# -*- Mode: Python; coding: utf-8; indent-tabs-mode: nil; tab-width: 4 -*-

class EdictSource():
	def __init__(self):
		self.edict_header = '？？？ /EDICT, EDICT_SUB(P), EDICT2 Japanese-English Electronic Dictionary Files/Copyright Electronic Dictionary Research & Development Group - 2010/Created: 2011-05-25/'
		self.edict_body = '''・ [なかぐろ] /(n) middle dot (typographical symbol used between parallel terms, names in katakana, etc.)/full-stop mark at mid-character height/interpoint (interword separation)/
・ [なかぽち] /(n) middle dot (typographical symbol used between parallel terms, names in katakana, etc.)/full-stop mark at mid-character height/interpoint (interword separation)/
・ [なかぽつ] /(n) middle dot (typographical symbol used between parallel terms, names in katakana, etc.)/full-stop mark at mid-character height/interpoint (interword separation)/
・ [なかポツ] /(n) middle dot (typographical symbol used between parallel terms, names in katakana, etc.)/full-stop mark at mid-character height/interpoint (interword separation)/
ヽ /(n) repetition mark in katakana/
ヾ /(n) voiced repetition mark in katakana/
ゝ /(n) repetition mark in hiragana/
ゞ /(n) voiced repetition mark in hiragana/
〃 [おなじ] /(n) ditto mark/
〃 [おなじく] /(n) ditto mark/
仝 [どうじょう] /(n) "as above" mark/
々 [おなじ] /(n) repetition of kanji (sometimes voiced)/
々 [おなじく] /(n) repetition of kanji (sometimes voiced)/
々 [くりかえし] /(n) repetition of kanji (sometimes voiced)/
々 [どうのじてん] /(n) repetition of kanji (sometimes voiced)/
々 [のま] /(n) repetition of kanji (sometimes voiced)/
〆 [しめ] /(n) end or closure mark/
〆る [しめる] /(v1,vt) (1) to total/to sum/(2) to make sushi adding a mixture of vinegar and salt/
〆切 [しめきり] /(n) closing/cut-off/end/deadline/Closed/No Entrance/
〆切り [しめきり] /(n) closing/cut-off/end/deadline/Closed/No Entrance/
〆切る [しめきる] /(v5r,vt) to close up/to shut up (e.g. behind doors)/to cut off (e.g. because a deadline has expired)/
〆切日 [しめきりび] /(n) time limit/closing day/deadline/
〆粕 [しめかす] /(n) oil cake/scrap cake/
〇 [かんすうじゼロ] /(n) "kanji" zero/
〇 [まる] /(iK) (n) (1) circle (sometimes used for zero)/(2) 'correct' (when marking)/
〇〇 [まるまる] /(n) symbol used as a placeholder (either because a number of other words could be used in that position, or because of censorship)/
ー /(n) long vowel mark (usually only used in katakana)/
〜 [にょろ] /(n) tilde/
〜朝時代 [〜ちょうじだい] /(exp) the era of the ... dynasty/the ... reign/
〜年生まれ [〜ねんうまれ] /(exp) born in .../
＋α [プラスアルファ] /(n) a little more than usual (wasei: plus alpha)/bribe money added to a regular fee/and then some/
× [ばつ] /(n) (1) x-mark (used to indicate an incorrect answer in a test, etc.)/
× [ぺけ] /(n) (1) x-mark (used to indicate an incorrect answer in a test, etc.)/
＠ [アットマーク] /(n) "at" mark/
＠系 [アットけい] /(n) roguelike (character display computer game)/
○ [かんすうじゼロ] /(iK) (n) "kanji" zero/
○ [まる] /(n) (1) circle (sometimes used for zero)/(2) 'correct' (when marking)/
○×テスト [まるばつテスト] /(n) true-false test/yes-no test/
◎ [にじゅうまる] /(n) double circle/'good work' (equiv. of silver star awarded to children at school)/
△ [さんかく] /(n) average (e.g. as a mark for homework)/weak/
※ [こめじるし] /(n) rice symbol/note (supplementary information) symbol/symbol with an "x" and four dots/
※印 [こめじるし] /(n) rice symbol/note (supplementary information) symbol/symbol with an "x" and four dots/
〒 [ゆうびんきごう] /(n) (abbr) (Japanese) postal symbol/post office/post/postal service/mail/
→ [やじるし] /(n) arrow (mark or symbol)/directional marker or indicator/
← [やじるし] /(n) arrow (mark or symbol)/directional marker or indicator/
↑ [やじるし] /(n) arrow (mark or symbol)/directional marker or indicator/
↓ [やじるし] /(n) arrow (mark or symbol)/directional marker or indicator/
≒ [おおよそ] /(adv,n) (uk) about/roughly/as a rule/approximately/
０９０金融 [ゼロキューゼロきんゆう] /(n) "090" financing/loan sharks operating from a cellphone (i.e. without a fixed phone number)/
１ [いち] /(num,pref) (1) one/(suf) (2) best in/the most (...) in (where an adjective follows)/
１ [ひと] /(num,pref) (1) one/
１０００円 [せんえん] /(n) 1000 yen/(P)/
１００円ショップ [ひゃくえんショップ] /(n) hundred-yen store/(P)/
１００円玉 [ひゃくえんだま] /(n) 100 yen coin/
１００均 [ひゃっきん] /(n) 100 yen shop/(P)/
１０月 [じゅうがつ] /(n-adv) October/(P)/
１０個１組 [じっこいちくみ] /(n) (comp) decade/
１０進 [じっしん] /(adj-na,adj-no) decimal/denary/deciam/
１０進 [じゅっしん] /(adj-na,adj-no) decimal/denary/deciam/
１０進２進変換 [じっしんにしんへんかん] /(n) (comp) decimal to binary conversion/
１０進演算 [じっしんえんざん] /(n) (comp) decimal arithmetic/
１０進演算子 [じっしんえんざんし] /(n) (comp) decimal operator/
１０進基数 [じっしんきすう] /(n) (comp) decimal radix/
１０進小数 [じっしんしょうすう] /(n) (comp) decimal fraction/
１０進小数点 [じっしんしょうすうてん] /(n) (comp) decimal point/
１０進数 [じっしんすう] /(n) (comp) decimal/decimal digit/decimal number/
１０進法 [じっしんほう] /(n) decimal system/
１０代 [じゅうだい] /(n,adj-no) (1) the teens (10-19)/teenage/(n) (2) the tenth generation/(P)/
１０日 [とおか] /(n) (1) the tenth day of the month/(2) ten days/(P)/
１１０番 [ひゃくとおばん] /(n,vs) police emergency tel. no. (in Japan)/(P)/
１１９番 [ひゃくじゅうきゅうばん] /(n) ambulance and fire brigade emergency tel. no. (in Japan)/
１１月 [じゅういちがつ] /(n-adv) November/(P)/
１２月 [じゅうにがつ] /(n-adv) December/(P)/
１６進法 [じゅうろくしんほう] /(n) (comp) hexadecimal/hexadecimal notation/
１８６７年憲法法 [せんはっぴゃくろくじゅうしちねんけんぽうほう] /(n) Constitution Act 1867 (which established Canada)/
１８禁 [じゅうはちきん] /(n) 18 certificate/R-18/restricted to those 18 years or older/
１９８２年憲法 [せんきゅうひゃくはちじゅうにねんけんぽう] /(n) Constitution Act, 1982 (part of the Canadian Constitution)/
１つ [ひとつ] /(num) (1) one/(n) (2) for one thing (often used in itemized lists)/(3) (after a noun) only/(4) (with a verb in negative form) (not) even/(n-adv) (5) just (i.e. "just try it")/
１パイント [いちパイント] /(n) one pint/
１羽 [いちわ] /(n) one (bird)/
１回生 [いっかいせい] /(n) first year (college) student/freshman/
１割 [いちわり] /(n) ten percent/(P)/
１月 [いちがつ] /(n-adv) January/(P)/
１限目 [いちげんめ] /(n) first period (e.g. first class in school day)/
１個あたり [いっこあたり] /(n,ctr) each/per piece/
１個当り [いっこあたり] /(n,ctr) each/per piece/
１次キャッシュ [いっしキャッシュ] /(n) (comp) level 1 cache/
１次コイル [いちじコイル] /(n) primary coil/primary winding (in transformer)/
１人 [いちにん] /(n) (1) one person/
１人 [ひとり] /(n) (1) one person/(2) alone/unmarried/solitary/
１人あたり [ひとりあたり] /(exp,adv) per person/per capita/per head/
１人きり [ひとりきり] /(n,adv) all on one's own/
１人っきり [ひとりっきり] /(n,adv) all on one's own/
１人っ切り [ひとりっきり] /(n,adv) all on one's own/
１人切り [ひとりきり] /(n,adv) all on one's own/
１人当たり [ひとりあたり] /(exp,adv) per person/per capita/per head/
１切れ [ひときれ] /(n) slice/small piece/
１対１の通信 [いちたいいちのつうしん] /(n) (comp) one to one communication/
１対一 [いったいいち] /(n,adj-no) one-to-one/
１対多 [いちたいた] /(n,adj-no) one-to-many/
１斗缶 [いっとかん] /(n) eighteen litre drum/
１度だけ [いちどだけ] /(exp) only once/
１等 [いっとう] /(n,adj-no) first-class/first-rank/A1/the most/the best/(P)/
１等軍曹 [いっとうぐんそう] /(n) sergeant first-class/
１等国 [いっとうこく] /(n) first-class power/
１等車 [いっとうしゃ] /(n) first-class carriage (coach)/
１等賞 [いっとうしょう] /(n) first place prize/blue ribbon/
１等親 [いっとうしん] /(n) first-degree relative/member of one's immediate family/
１等星 [いっとうせい] /(n) first-magnitude star/
１等卒 [いっとうそつ] /(n) private first-class/
１等地 [いっとうち] /(n) best (residential) district (in town)/
１等兵 [いっとうへい] /(n) private (e-2)/pfc/
１等陸士 [いっとうりくし] /(n) private first-class/
１日 [いちじつ] /(n) (1) first day of the month/(2) one day/
１日 [いちにち] /(n) (1) first day of the month/(2) one day/
１日 [ひとえ] /(ok) (n) (1) first day of the month/(2) one day/
１日 [ひとひ] /(ok) (n) (1) first day of the month/(2) one day/
１枚 [いちまい] /(n) one thin flat object/one sheet/
１万円 [いちまんえん] /(n) 10,000 Yen/
２ [に] /(num) two/
２ [ふ] /(num) two/
２ [ふう] /(num) two/
２ [ふた] /(num) two/
２０００年対応 [にせんねんたいおう] /(exp) Y2K compliant/
２０００年問題 [にせんねんもんだい] /(n) Y2K bug/year 2000 problem/
２０００年問題対応 [にせんねんもんだいたいおう] /(exp) Y2K compliant/
２０００年問題対策済み [にせんねんもんだいたいさくずみ] /(n) Y2K compliant/
２０歳 [はたち] /(n) (1) 20 years old/
２０世紀 [にじっせいき] /(n) twentieth century/
２０世紀 [にじゅっせいき] /(n) twentieth century/
２０日 [はつか] /(n) (1) twentieth (day of the month)/(2) twenty days/
２４時間 [にじゅうよじかん] /(n) 24 hours/twenty-four hours/
２７年テーゼ [にじゅうしちねんテーゼ] /(n) 1927 Theses/Comintern policy documents regarding capitalism, imperialism, and a possible revolution in Japan/
２ちゃんねら [にちゃんねら] /(n) 2channeler/2chan user/
２ちゃんねらー [にちゃんねらー] /(n) 2channeler/2chan user/
２ちゃんねる [にちゃんねる] /(n) (comp) 2channel (Japanese online forum)/
２つ [ふたつ] /(num) two/
２つに１つ [ふたつにひとつ] /(exp) one of two (possibilities, alternatives, etc.)/
２のべき [にのべき] /(n) power of two/
２の冪 [にのべき] /(n) power of two/
２ルート化 [にルートか] /(n) (comp) (link, path) redundancy/
２回生 [にかいせい] /(n) second year (college) student/sophomore/
２割 [にわり] /(n) 20 percent/(P)/
２月 [にがつ] /(n-adv) February/(P)/
２項式 [にこうしき] /(n,adj-no) (comp) binomial/
２時 [にじ] /(n-t) two o'clock/
２次局 [にじきょく] /(n) (comp) secondary station/
２進−５進 [にしんごしん] /(n) (comp) biquinary/
２進−５進法 [にしんーごしんほう] /(n) (comp) biquinary notation/
２進５進 [にしんごしん] /(n) (comp) biquinary/
２進データ同期通信 [にしんデータどうきつうしん] /(n) (comp) binary synchronous communication/
２進演算 [にしんえんざん] /(n) (comp) binary arithmetic operation/
２進化１０進コード [にしんかじっしんコード] /(n) (comp) binary-coded decimal code/
２進化１０進数 [にしんかじっしんすう] /(n) (comp) binary coded decimal/BCD/
２進化１０進表示法 [にしんかじっしんひょうじほう] /(n) (comp) binary-coded decimal representation/
２進化１０進法 [にしんかじっしんほう] /(n) (comp) binary-coded decimal notation/
２進加算器 [にしんかさんき] /(n) (comp) binary adder/
２進数 [にしんすう] /(n) binary digits/
２進数字 [にしんすうじ] /(n) (comp) binary digit/
２人きり [ふたりきり] /(n) just the two of them/
２人っきり [ふたりっきり] /(n) just the two of them/
２人っ切り [ふたりっきり] /(n) just the two of them/
２人とも [ふたりとも] /(n) both (people)/
２人乗り [ふたりのり] /(n,vs) two people using the same (vehicle) (often two on a bike)/
２人切り [ふたりきり] /(n) just the two of them/
２組 [ふたくみ] /(n) two classes/double/two sets/
２通 [につう] /(n) two copies/
２度と [にどと] /(adv) never again (with negative verb)/
２度寝 [にどね] /(n,vs) going back to sleep (e.g. after waking up in the morning)/
２等 [にとう] /(n) second class/
２等軍曹 [にとうぐんそう] /(n) staff sergeant/
２等車 [にとうしゃ] /(n) second class carriage/
２等賞 [にとうしょう] /(n) second prize/
２等親 [にとうしん] /(n) second-degree relative/
２等分 [にとうぶん] /(n,vs) bisection/
２等分線 [にとうぶんせん] /(n) bisector/
２等兵 [にとうへい] /(n) private (e-1)/
２等辺３角形 [にとうへんさんかくけい] /(n) isosceles triangle/
２等辺３角形 [にとうへんさんかっけい] /(n) isosceles triangle/
２日 [ふつか] /(n) (1) second day of the month/(2) two days/
２倍 [にばい] /(n) double/twice/twofold/
２番目 [にばんめ] /(n) second (in a series)/
２部上場企業 [にぶじょうじょうきぎょう] /(n) Second Section company (on the Tokyo Stock Exchange)/
２変量補間 [にへんりょうほかん] /(n) (comp) bivariable interpolation/
２本立て映画 [にほんたてえいが] /(n) double feature (movie)/
２枚 [にまい] /(n) two sheets (pieces) (of paper)/
３ [さん] /(num) (1) three/(pref) (2) tri-/
３ [み] /(num) (1) three/(pref) (2) tri-/
３２ビットの広い [さんじゅうにビットのひろい] /(n) (comp) 32 bits wide/
３２年テーゼ [さんじゅうにねんテーゼ] /(n) 1932 Theses/Comintern policy documents urging overthrow of Japan's imperial and metayage systems/
３Ｄ [さんディー] /(n) 3D/three dimensional/
３Ｄ [スリーディー] /(n) 3D/three dimensional/
３Ｄ映画 [さんディーえいが] /(n) 3D movie/
３Ｄ映像 [さんディーえいぞう] /(n) 3D image/
３Ｐ [さんピー] /(n) (col) (sens) threesome/
３つ [みっつ] /(num) three/
３カードモンテ [スリーカードモンテ] /(n) three-card monte (card game)/
３回生 [さんかいせい] /(n) third year (college) student/junior/
３角形 [さんかくけい] /(n,adj-no) triangle/three-cornered polygon/
３角形 [さんかっけい] /(n,adj-no) triangle/three-cornered polygon/
３月 [さんがつ] /(n-adv) March/(P)/
３元材料 [さんげんざいりょう] /(n) ternary material (e.g. semiconductor)/
３時 [さんじ] /(n-adv) (1) 3 o'clock/(2) 3 o'clock snack/
３時のおやつ [さんじのおやつ] /(exp) afternoon refreshment/afternoon tea/
３次元 [さんじげん] /(n) three dimensions/three dimensional/3D/3-D/(P)/
３人殺し [さんにんころし] /(n) triple murder/
３人殺し [さんにんごろし] /(n) triple murder/
３人乗り [さんにんのり] /(n) three people on the same vehicle (usu. bike)/
３組 [さんくみ] /(n) set of three/three sets/three classes/
３組 [みくみ] /(n) set of three/three sets/three classes/
３等 [さんとう] /(n) third class/
３等軍曹 [さんとうぐんそう] /(n) sergeant/
３等賞 [さんとうしょう] /(n) third prize/
３等親 [さんとうしん] /(n) third degree of kinship/
３等星 [さんとうせい] /(n) third magnitude star/
３等分 [さんとうぶん] /(n,vs) trisect/
３日 [みっか] /(n) (1) the third day of the month/(2) three days/
３倍 [さんばい] /(n) three-fold/three times/
３部 [さんぶ] /(n) three parts/three copies/
３本立て映画 [さんぼんたてえいが] /(n) triple feature (movie)/
３枚 [さんまい] /(n) (1) three flat objects (e.g. tickets, pieces of cloth, etc.)/(2) filleting (a fish)/
４ [し] /(num) four/
４ [よ] /(num) four/
４ [よん] /(num) four/
４ＷＤ [よんダブリューディー] /(n) four-wheel drive (vehicle)/
４つ [よっつ] /(num) four/
４ヵ年 [よんかねん] /(adj-pn) quadrennial/
４ヶ年 [よんかねん] /(adj-pn) quadrennial/
４回生 [よんかいせい] /(n) fourth year (college) student/senior/
４月 [しがつ] /(n-adv) April/(P)/
４月テーゼ [しがつテーゼ] /(n) April Theses/series of directives issued by Lenin after his return from exile/
４月馬鹿 [しがつばか] /(n) (1) April fool/(2) April fool's day/
４元材料 [よんげんざいりょう] /(n) quaternary material (e.g. semiconductor)/
４当５落 [よんとうごらく] /(exp) sleep four hours pass, sleep five hours fail/four-pass, five fail/
４日 [よっか] /(n) (1) fourth day of month/(2) four days/
５ [い] /(num) five/
５ [いつ] /(num) five/
５ [ご] /(num) five/
５００円玉 [ごひゃくえんだま] /(n) 500 yen coin/
５つ [いつつ] /(num) five/
５月 [ごがつ] /(n-adv) May/(P)/
５叉路 [ごさろ] /(n) five-forked road/five-road junction/
５日 [いつか] /(n) (1) the fifth day of the month/(2) five days/
６ [む] /(num) six/
６ [むう] /(num) six/
６ [ろく] /(num) six/
６つ [むっつ] /(num) six/
６つ [むつ] /(num) six/
６月 [ろくがつ] /(n-adv) June/(P)/
６日 [むいか] /(n) (1) sixth day of the month/(2) six days/
６日 [むゆか] /(ok) (n) (1) sixth day of the month/(2) six days/
６日 [むよか] /(ok) (n) (1) sixth day of the month/(2) six days/
７ [しち] /(num) (1) seven/(pref) (2) hepta-/
７ [な] /(num) (1) seven/(pref) (2) hepta-/
７ [なな] /(num) (1) seven/(pref) (2) hepta-/
７つ [ななつ] /(num) seven/
７月 [しちがつ] /(n-adv) July/(P)/
７月王政 [しちがつおうせい] /(n) (French) July Monarchy/
７日 [なぬか] /(n-adv) (1) the seventh day of the month/(2) seven days/
７日 [なのか] /(n-adv) (1) the seventh day of the month/(2) seven days/
８ [はち] /(num) eight/
８ [や] /(num) eight/
８３会 [はちさんかい] /(n) collectively, the 83 new LDP members of parliament elected in the Sept. 2005 general election/
８つ [やっつ] /(num) eight/
８つ [やつ] /(num) eight/
８の字 [はちのじ] /(n) (1) figure eight/figure of eight/
８月 [はちがつ] /(n-adv) August/(P)/
８進数 [はちしんすう] /(n) (comp) octal/base 8/
８日 [ようか] /(n) (1) the eighth day of the month/(2) eight days/
９ [きゅう] /(num) nine/
９ [く] /(num) nine/
９ [ここ] /(num) nine/
９ [ここの] /(num) nine/
９ [この] /(num) nine/
９１１事件 [きゅういちいちじけん] /(n) September 11th attacks/
９つ [ここのつ] /(num) nine/
９月 [くがつ] /(n-adv) September/(P)/
９日 [ここぬか] /(ok) (n) (1) the ninth day of the month/(2) nine days/
９日 [ここのか] /(n) (1) the ninth day of the month/(2) nine days/
Ａ [エー] /(n) A/a/
Ａ．Ｄ． [エーディー] /(n) AD (Anno Domini)/
ＡＡ会議 [エーエーかいぎ] /(n) Afro-Asian Conference (1955)/
ＡＢＣ順 [エービーシーじゅん] /(n) alphabetical order/
ＡＢＯ式血液型 [エービーオーしきけつえきがた] /(n) ABO blood type/
ＡＢ型 [エービーがた] /(n) type AB (blood, etc.)/
ＡＣ [エーシー] /(n) adult children/
ＡＣＬ [エーシーエル] /(n) (comp) ACL/
ＡＣＭ [エーシーエム] /(n) (comp) ACM/
ＡＣＯＳ [エーコス] /(n) (comp) ACOS/
ＡＣＲＳ [エーシーアールエス] /(n) Advisory Committee on Reactor Safeguards/ACRS/
ＡＤ [エーディー] /(n) AD (Anno Domini)/
ＡＤＥＳＳ [アデス] /(n) Automated Data Editing and Switching System/ADESS/
ＡＤＨＤ [エーディーエッチディー] /(n) attention-deficit hyperactivity disorder/ADHD/
ＡＤＰ [エーディーピー] /(n) adenosine diphosphate/ADP/
ＡＤＳＬ [エーディーエスエル] /(n) (comp) asymmetric digital subscriber line/ADSL/
ＡＧＲ [エージーアール] /(n) advanced gas-cooled reactor/AGR/
ＡＩ [エーアイ] /(n) artificial intelligence/AI/
ＡＩＤＳ [エイズ] /(n) (uk) acquired immune deficiency syndrome/AIDS/(P)/
ＡＩＤ人工授精 [ひはいぐうしゃかんじんこうじゅせい] /(n) artificial insemination by donor/
ＡＩＨ人工授精 [はいぐうしゃかんじんこうじゅせい] /(n) artificial insemination by sperm from husband/
ＡＫＹ [エーケイワイ] /(n) (sl) not noticing mood implicit to situations, conversations, etc./
ＡＬＤ [エイエルディー] /(n) atomic layer deposition/ALD/
ＡＬＥ [エイエルイー] /(n) atomic layer epitaxy/ALE/
ＡＬＳ [エーエルエス] /(n) (abbr) amyotrophic lateral sclerosis/ALS/
ＡＬＴ [エイエルティー] /(exp) assistant language teacher (technical term used in Japan)/ALT/
ＡＭＰ [エーエムピー] /(n) adenosine monophosphate (AMP)/
ＡＯ [エーオー] /(n) admissions office/admission office/
ＡＯＣＥ [エーオーシーイー] /(n) (comp) AOCE/
ＡＯＬ [エーオーエル] /(n) (comp) AOL/
ＡＰ通信社 [エーピーつうしんしゃ] /(n) Associated Press/
ＡＳＥＡＮ [アセアン] /(n) Association of Southeast Asian Nations/ASEAN/
ＡＴＩＣＳ [アティックス] /(n) Automobile Traffic Information & Control System/ATICS/
ＡＴＭ [エーティーエム] /(n) (1) automatic teller machine/ATM/automated teller machine/(2) asynchronous transfer mode/ATM/(3) anti-tank missile/ATM/(P)/
ＡＴＰ [エーティーピー] /(n) adenosine triphosphate/ATP/
ＡＴ互換機 [エーティーごかんき] /(n) (comp) AT-compatible/
ＡＶ [アダルトビデオ] /(n) porn video (from adult video)/
ＡＶ女優 [エーヴイじょゆう] /(n) female porn star/
Ａ級戦犯 [エーきゅうせんぱん] /(n) class-A war criminal/
Ａ型 [エーがた] /(n) type A (blood, influenza, hepatitis, etc.)/
Ａ型肝炎 [エーがたかんえん] /(n) hepatitis A/
Ａ系 [エーけい] /(n,adj-no) (abbr) (sl) Akihabara style/nerdy/
Ｂ [ビー] /(n) B/b/
Ｂ．Ｃ． [ビーシー] /(n) BC (before Christ)/
Ｂ５２ [ビーごじゅうに] /(n) B-52 Stratofortress/B-52 Bomber/
ＢＢＣ [ビービーシー] /(n) British Broadcasting Corporation/BBC/
ＢＢＳ [ビービーエス] /(n) bulletin board system/BBS/
ＢＣ [ビーシー] /(n) BC (before Christ)/
ＢＣＧ [ビーシージー] /(n) Bacille Calmette-Guerin (tuberculosis vaccine)/BCG/
ＢＣＧ陽転 [ビーシージーようてん] /(n) (obsc) positive tuberculin conversion after a BCG vaccination/
ＢＣ級戦犯 [ビーシーきゅうせんぱん] /(n) class-B and class-C war criminals/
ＢＤ [ビーディー] /(n) Blu-ray Disc/BD/
ＢＤＳＭ [ビーディーエスエム] /(n) bondage, discipline & sadomasochism/BDSM/
ＢＧＭ [ビージーエム] /(n) background music/BGM/(P)/
ＢＬ [ビーエル] /(n) (1) male homosexuality/(2) bill of lading/BL/
ＢＬコミック [ビーエルコミック] /(n) (col) comic featuring male homosexuality (wasei: boys love)/
ＢＯＤ [ビーオーディー] /(n) (1) biochemical oxygen demand/BOD/(2) bandwidth-on-demand/
ＢＳＥ [ビーエスイー] /(n) bovine spongiform encephalopathy/BSE/
ＢＳＬ [ビーエスエル] /(n) biosafety level/BSL/
ＢＷＲ [ビーダブリューアール] /(n) boiling-water reactor/BWR/
Ｂａｓｅ６４ [ベースろくじゅうよん] /(n) Base64/binary data/text data encoding conversion defined by MIME/
Ｂスプライン関数 [ビースプラインかんすう] /(n) (comp) B-spline/
Ｂリンパ球 [ビーリンパきゅう] /(n) B lymphocyte/B cell/
Ｂ型 [ビーがた] /(n) type B (blood, influenza, hepatitis, etc.)/
Ｂ型肝炎 [ビーがたかんえん] /(n) hepatitis B/
Ｂ系 [ビーけい] /(n,adj-no) (sl) hip-hop culture/Black culture (esp. breakdancing culture)/
Ｂ細胞 [ビーさいぼう] /(n) B cell/B lymphocyte/
Ｂ専 [ビーせん] /(n) (sl) attraction to ugly people/
Ｂ淋巴球 [ビーリンパきゅう] /(n) B lymphocyte/B cell/
Ｃ [シー] /(n) C/c/
Ｃ＋＋言語 [シープラスプラスげんご] /(n) C++/C plus plus/
Ｃ３植物 [シーさんしょくぶつ] /(n) C3 plant (any plant, such as rice, that uses C3 carbon fixation)/
Ｃ４植物 [シーよんしょくぶつ] /(n) C4 plant (any plant, such as corn, that uses C4 carbon fixation)/
ＣＡＤ [キャド] /(n) (comp) computer-aided design/CAD/
ＣＡＩ [シーエーアイ] /(n) (comp) computer-assisted instruction/CAI/computer-aided instruction/
ＣＡＭ [キャム] /(n) (comp) computer-aided manufacturing/CAM/
ＣＡＭ植物 [カムしょくぶつ] /(n) CAM plant (any plant, such as the pineapple, that uses crassulacean acid metabolism)/
ＣＡＮＤＵ炉 [キャンドゥろ] /(n) CANDU reactor/Candu reactor/
ＣＡＴＶ [シーエーティービー] /(n) community antenna television/CATV/
ＣＡＴＶ [シーエーティーブイ] /(n) community antenna television/CATV/
ＣＡＴＶインターネット [シーエーティーブイインターネット] /(n) cable internet/
ＣＢ [シービー] /(n) (1) Citizens' Band/CB (radio)/(2) convertible bond/(3) chronic bronchitis/(4) chemical and biological (weapons)/(5) center back/(6) community business/
ＣＤ [シーディー] /(n) (1) compact disk/CD/(2) cash dispenser/(3) (negotiable) certificate of deposit/
ＣＤ−ＤＡ [シーディーディーエー] /(n) (comp) CD-DA/
ＣＤ−Ｒ [シーディーアール] /(n) (comp) CD-R/
ＣＤ−ＲＯＭ [シーディーロム] /(n) compact disk read-only memory/CD-ROM/
ＣＤＤＡ [シーディーディーエー] /(n) (comp) CD-DA/
ＣＤＲ [シーディーアール] /(n) (comp) CD-R/
ＣＤＲＯＭ [シーディーロム] /(n) compact disk read-only memory/CD-ROM/
ＣＤプレーヤー [シーディープレーヤー] /(n) CD player/(P)/
ＣＤプレイヤー [シーディープレイヤー] /(n) CD player/
ＣＤラジカセ [シーディーラジカセ] /(n) CD radio-cassette/
ＣＥＯ [シーイーオー] /(n) chief executive officer/CEO/
ＣＦ [シーエフ] /(n) commercial film/CF/
ＣＦＣ [シーエフシー] /(n) (1) chlorofluorocarbon/CFC/(2) Common Fund for Commodities/CFC/
ＣＦＩＴ [シーフィット] /(n) Controlled Flight Into Terrain/CFIT/
ＣＧ [シージー] /(n) (comp) computer graphics/CG/
ＣＧＩ [シージーアイ] /(n) (1) (comp) common gateway interface/CGI/(2) computer generated imagery/CGI/
ＣＧＳ単位系 [シージーエスたんいけい] /(n) centimetre-gram-second system of units/
ＣＩＡ [シーアイエー] /(n) Central Intelligence Agency/CIA/
ＣＩＳ [シーアイエス] /(n) (1) Commonwealth of Independent States/CIS/(2) critical incident stress/CIS/
ＣＩＳＣ [シスク] /(n) (comp) complex instruction set computer/CISC/
ＣＭ [シーエム] /(n) CM/commercial message/(P)/
ＣＮＮ [シーエヌエヌ] /(n) CNN/Cable News Network/
ＣＯＤ [シーオーディー] /(n) (1) chemical oxygen demand/COD/(2) cash on delivery/COD/
ＣＯＳＭＥＴＳ [コスメッツ] /(n) (comp) Computer System for Meteorological Services/COSMETS/
ＣＲＴ [シーアルティー] /(n) cathode-ray tube/CRT/
ＣＴ [シーティー] /(n) (comp) CT (computerized tomography)/
ＣＴＣ [シーティーシー] /(n) centralized traffic control (centralised)/CTC/
ＣＴＳ [シーティーエス] /(n) (1) (comp) computerized typesetting system (computerised)/CTS/(2) cold type system/CTS/
ＣＴスキャナー [シーティースキャナー] /(n) CT scanner/
Ｃカード [シーカード] /(n) card carried by divers to prove they are certified/
Ｃ型 [シーがた] /(n) type C (hepatitis, etc.)/
Ｃ型肝炎 [シーがたかんえん] /(n) hepatitis C/
Ｃ言語 [シーげんご] /(n) (comp) C programming language/
Ｄ [ディー] /(n) D/d/
ＤＡＴ [ダット] /(n) digital audiotape/DAT/
ＤＡＴ [ディーエーティー] /(n) digital audiotape/DAT/
ＤＢＭＳ [ディービーエムエス] /(n) (comp) database management system/DBMS/
ＤＤＩ [ディーディーアイ] /(n) dideoxyinosine/didanosine/DDI/ddI/
ＤＤＴ [ディーディーティー] /(n) dichlorodiphenyl-trichloro-ethane/DDT/
ＤＩＮ [ヂン] /(n) Deutsches Institut fuer Normung/DIN/German Institute for Standardization/
ＤＩＮＫＳ [ディンクス] /(n) dinks (double-income, no kids)/childless working couple/
ＤＩＮバルブ [ディンバルブ] /(n) DIN type scuba tank valve/
ＤＪ [ディージェー] /(n) DJ/disc jockey/
ＤＬ [ディーエル] /(n) (comp) download/
ＤＭＡ [ディーエムエー] /(n) (comp) direct memory access/DMA/
ＤＮＡ [ディーエヌエー] /(n) deoxyribonucleic acid/DNA/
ＤＮＡウイルス [ディーエヌエーウイルス] /(n) DNA virus/
ＤＮＡクローニング [ディーエヌエークローニング] /(n) DNA cloning/
ＤＮＡ鑑定 [ディーエヌエーかんてい] /(n) DNA test/
ＤＮＳ [ディーエヌエス] /(n) (comp) DNS/Domain Name System/
ＤＱＮ [ドキュン] /(n) (sl) dumb-ass (person or corporation)/
ＤＲＳ理論 [でぃーあーるえすりろん] /(n) discourse representation structure theory/
ＤＶＤ [ディーブイディー] /(n) digital versatile disc/DVD/
ＤＶＤ−Ｒ [ディーブイディーアール] /(n) DVD-R (digital versatile disc recordable)/
ＤＶＤ−ＲＡＭ [ディーブイディーラム] /(n) (comp) DVD-RAM/
ＤＶＤ−ＲＯＭ [ディーブイディーロム] /(n) (comp) DVD-ROM/
ＤＶＤＲ [ディーブイディーアール] /(n) DVD-R (digital versatile disc recordable)/
ＤＶＤＲＡＭ [ディーブイディーラム] /(n) (comp) DVD-RAM/
ＤＶＤＲＯＭ [ディーブイディーロム] /(n) (comp) DVD-ROM/
ＤＶＤオーディオ [ディーブイディーオーディオ] /(n) DVD-Audio/
ＤＶＤビデオ [ディーブイディービデオ] /(n) Digital Versatile Disc video/DVD video/
ＤＶＤプレーヤー [ディーブイディープレーヤー] /(n) DVD player/(P)/
ＤＶＤレコーダー [ディーブイディーレコーダー] /(n) DVD recorder/
ＤｏＳ攻撃 [ディーオーエスこうげき] /(n) (comp) denial-of-service (DoS) attack/
Ｄ層 [ディーそう] /(n) D layer (of the ionosphere)/
Ｅ [イー] /(n) E/e/
ＥＢＭ [イービーエム] /(n) evidence-based medicine/EBM/
ＥＢウイルス [イービーウイルス] /(n) Epstein-Barr virus/EBV/
ＥＣＣＳ [イーシーシーエス] /(n) emergency core cooling system/ECCS/
ＥＤＴＡ [イーディーティーエー] /(n) ethylenediaminetetraacetic acid/EDTA/
ＥＥＰＲＯＭ [イーイープロム] /(n) (comp) electrically erasable programmable read-only memory/EEPROM/E2PROM/
ＥＦＦ [イーエフエフ] /(n) (1) Extended Fund Facility/EFF/(2) Electronic Frontier Foundation/EFF/
ＥＲＩＣ [エリック] /(n) Educational Resources Information Center/ERIC/
ＥＳＰ [イーエスピー] /(n) extrasensory perception/ESP/
ＥＳ細胞 [イーエスさいぼう] /(n) (abbr) embryonic stem cell/
ＥＴＣ [イーティーシー] /(n) electronic toll collection system/ETC/
ＥＴＲ [イーティーアール] /(n) engineering testing reactor/ETR/
ＥＵ [イーユー] /(n) EU/European Union/
Ｅメール [イーメール] /(n) (comp) email/electronic mail/
Ｅメールアドレス [イーメールアドレス] /(n) (comp) email address/
Ｅ層 [イーそう] /(n) E layer (of the ionosphere)/
Ｆ [エフ] /(n) F/f/
ＦＢＩ [エフビーアイ] /(n) Federal Bureau of Investigation/FBI/
ＦＦＴ [エフエフティー] /(n) fast-fourier-transform/FFT/
ＦＧＭ [エフジーエム] /(n) female genital mutilation/FGM/female circumcision/female genital cutting/
ＦＭ [エフエム] /(n) FM/frequency modulation/
ＦＭチューナー [エフエムチューナー] /(n) FM tuner/
ＦＳＨ [エフエスエッチ] /(n) follicle-stimulating hormone/FSH/
ＦＴＡ [エフティーエー] /(n) (1) Free Trade Agreement/(2) free-trade area/
ＦＴＴＨ [エフティーティーエッチ] /(n) fiber to the home (fibre)/FTTH/home fiber optic cable installation/
ＦＴＴｘ [エフティーティーエックス] /(n) fiber to the x (generic term for any network architecture that uses optical fiber) (fibre)/FTTx/
Ｆナンバー [エフナンバー] /(n) f-number (photography)/
Ｆ層 [エフそう] /(n) F layer (of the ionosphere)/
Ｇ [ジー] /(n) G/g/
ＧＡＢＡ [ギャバ] /(n) gamma-aminobutyric acid (GABA)/
ＧＡＴＴ [ガット] /(n) General Agreement on Tariffs and Trade/GATT/
ＧＢ理論 [ジービーりろん] /(n) (ling) government-binding theory/government and binding theory/
ＧＤＰ [ジーディーピー] /(n) gross domestic product/GDP/
ＧＨＱ [ジーエッチキュー] /(n) General Headquarters (office of the Supreme Commander of the Allied Powers)/GHQ/
ＧＮＰ [ジーエヌピー] /(n) gross national product/GNP/
ＧＮＰデフレーター [ジーエヌピーデフレーター] /(n) GNP deflator/
ＧＯＰ [ゴップ] /(n) Grand Old Party (Republican Party of the United States)/GOP/
ＧＳＲ [ジーエスアール] /(n) galvanic skin response/GSR/
ＧＵＩ [ジーユーアイ] /(n) graphical user interface/GUI/(P)/
ＧＵＴ [ジーユーティー] /(n) grand unified theory/GUT/
ＧＷ [ジーダブリュー] /(n) golden week/
Ｇｏｏｇｌｅ八分 [グーグルはちぶ] /(n) (of a website) being delisted or censored by the Google search engine/
Ｇスポット [ジースポット] /(n) Grafenberg spot (G-spot)/
Ｇメン [ジーメン] /(n) FBI agent (lit: G-men, government men)/
Ｇ様 [ジーさま] /(n) (sl) euph. for cockroach/
Ｈ [エイチ] /(n) (1) H/h/(adj-na,n) (2) (uk) indecent/lewd/frisky/sexy/(vs) (3) (uk) to have sex/
Ｈ [エッチ] /(n) (1) H/h/(adj-na,n) (2) (uk) indecent/lewd/frisky/sexy/(vs) (3) (uk) to have sex/
ＨＣＦＣ [エッチシーエフシー] /(n) hydrochlorofluorocarbon/HCFC/
ＨＤ・ＤＶＤ [エッチディー・ディーブイディー] /(n) high-definition digital versatile disc (HD DVD, high-definition DVD)/
ＨＤＤ [エイチディーディー] /(n) (comp) hard disk drive/HDD/
ＨＤＤ [エッチディーディー] /(n) (comp) hard disk drive/HDD/
ＨＤＤＶＤ [エッチディーディーブイディー] /(n) high-definition digital versatile disc (HD DVD, high-definition DVD)/
ＨＤＳＬ [エッチディーエスエル] /(n) (comp) high-bit-rate digital subscriber line/HDSL/
ＨＦＣ [エッチエフシー] /(n) (1) hydrofluorocarbon/HFC/(2) hybrid fiber coax/HFC/
ＨＩＩ領域 [エイチツーりょういき] /(n) H II region/
ＨＩＶ [エッチアイブイ] /(n) human immunodeficiency virus/HIV/
ＨＬＡ抗原 [エッチエルエーこうげん] /(n) human leukocyte antigen/
ＨＰ [エイチピー] /(n) (1) horsepower/HP/(2) home page/(3) half-pipe (i.e. in snowboarding)/(4) HP (i.e. a 'hit point' in a role-playing game)/
ＨＰ [エッチピー] /(n) (1) horsepower/HP/(2) home page/(3) half-pipe (i.e. in snowboarding)/(4) HP (i.e. a 'hit point' in a role-playing game)/
ＨＰＶ [エッチピーブイ] /(n) human papilloma virus/HPV/
ＨＰＶ検査 [エッチピーブイけんさ] /(n) HPV test/test for human papilloma virus/
ＨＲ図 [エッチアールず] /(n) (abbr) Hertzsprung-Russel diagram/HR diagram/
ＨＴＭＬ [エッチティーエムエル] /(n) (comp) hypertext markup language/HTML/
ＨＴＴＰ [エイチティーティーピー] /(n) Hypertext Transfer Protocol/http/
ＨＴＴＰ [エッチティーティーピー] /(n) Hypertext Transfer Protocol/http/
ＨＷＲ [エッチダブリューアール] /(n) heavy-water reactor/HWR/
Ｈな映画 [エッチなえいが] /(n) pornographic film/salacious film/
Ｈビデオ [エッチビデオ] /(n) pornographic video/salacious video/
Ｉ [アイ] /(n) I/i/
ＩＣＢＭ [アイシービーエム] /(n) intercontinental ballistic missile/ICBM/
ＩＣカード [アイシーカード] /(n) IC card/smart card/
ＩＣタグ [アイシータグ] /(n) IC tag (integrated circuit tag, used as an alternative to bar codes)/
ＩＣレコーダー [アイシーレコーダー] /(n) IC recorder/
ＩＤ [アイディー] /(n) identification/ID/identity/
ＩＤカード [アイディーカード] /(n) ID card/identification card/
ＩＤ番号 [アイディーばんごう] /(n) ID number/
ＩＥＥＥ [アイイーイーイー] /(n) Institute of Electrical and Electronics Engineers/IEEE/
ＩＥＥＥ [アイトリプルイー] /(n) Institute of Electrical and Electronics Engineers/IEEE/
ＩＨ調理器 [アイエッチちょうりき] /(n) induction cooker/
ＩＭ [アイエム] /(n) (1) instant messaging (messenger, message)/IM/(2) (comp) input method/IM/
ＩＭＯ [アイエムオー] /(n) (1) International Mathematical Olympiad/IMO/(2) International Maritime Organization/IMO/(3) International Meteorological Organization/IMO/
ＩＮＡＨ [アイナ] /(n) isonicotinic acid hydrazide/INAH/
ＩＯ [アイオー] /(n) (comp) input-output/
ＩＰ [アイピー] /(n) Internet Protocol/IP/
ＩＰＣＣ [アイピーシーシー] /(n) Intergovernmental Panel on Climate Change/IPCC/
ＩＰアドレス [アイピーアドレス] /(n) Internet Protocol address/IP address/
ＩＰ電話 [アイピーでんわ] /(n) voice over IP (VoIP)/Internet protocol telephony/IP telephony/Internet telephony/
ＩＲＢＭ [アイアールビーエム] /(n) intermediate-range ballistic missile/IRBM/
ＩＳＤＮ [アイエスディーエン] /(n) integrated services digital network/ISDN/
ＩＳＰ [アイエスピー] /(n) Internet Service Provider/ISP/
ＩＴ [アイティー] /(n) (comp) information technology/IT/
ＩＴＵ勧告 [アイティーユーかんこく] /(n) (comp) ITU Recommendation/
Ｉノード [アイノード] /(n) (comp) i-node (Unix)/
Ｊ [ジェー] /(n) J/j/
ＪＡＳ [ジャス] /(n) Japanese Agricultural Standard/JAS/
ＪＡＳＤＡＱ [ジャスダック] /(n) Japanese Association Of Securities Dealers Automated Quotations (JASDAQ)/
ＪＡＳＤＡＱ市場 [ジャスダックいちば] /(n) JASDAQ market/
ＪＡＳＲＡＣ [ジャスラック] /(n) Japanese Society for Rights of Authors, Composers and Publishers/JASRAC/
ＪＡＳマーク [ジャスマーク] /(n) JAS mark/
ＪＥＴＲＯ [ジェトロ] /(n) Japanese External Trade Organization (Organisation)/JETRO/
ＪＩＳ [ジス] /(n) (comp) Japanese Industrial Standard/JIS/
ＪＭＴＲ [ジェーエムティーアール] /(n) Japan Material Test Reactor/JMTR/
ＪＰＤＲ [ジェーピーディーアール] /(n) Japan Power Demonstration Reactor/JPDR/
ＪＲ [ジェーアール] /(n) Japan Railways/JR/(P)/
Ｊカーブ効果 [ジェーカーブこうか] /(n) J-curve effect/
Ｋ [ケー] /(n) K/k/
Ｋ−１ [ケイワン] /(n) K-1 (Japanese kick-boxing promotion)/
Ｋ−Ｔ境界 [ケイーティーきょうかい] /(n) K-T boundary (between the Cretaceous Period and the Tertiary Period)/
ＫＧＢ [カーゲーベー] /(n) KGB (former Soviet Union intelligency agency) (rus: Komitet Gosudarstvennoi Bezopasnosti)/
ＫＧＢ [ケージービー] /(n) KGB (former Soviet Union intelligency agency) (rus: Komitet Gosudarstvennoi Bezopasnosti)/
ＫＫＫ [ケーケーケー] /(n) (abbr) Ku Klux Klan/KKK/
ＫＴ境界 [ケイティーきょうかい] /(n) K-T boundary (between the Cretaceous Period and the Tertiary Period)/
ＫＹ [ケーワイ] /(n) being unable to read the situation/
ＫＹ [ケイーワイ] /(n) being unable to read the situation/
Ｋ粒子 [ケーりゅうし] /(n) K-meson/kaon/
Ｌ [エル] /(n) L/l/
ＬＡＮ [ラン] /(n) (comp) local area network/LAN/
ＬＡＮエミュレーション [ランエミュレーション] /(n) (comp) LAN emulation/
ＬＡＰ [ラップ] /(n) link access protocol/LAP/
ＬＣＤ [エルシーディー] /(n) liquid crystal display/LCD/
ＬＤＬ [エルディーエル] /(n) Low-density lipoprotein/LDL/
ＬＥＤ [エルイーディー] /(n) light-emitting diode/LED/
ＬＦＧ [エルエフジー] /(n) (ling) lexical-functional grammar/LFG/
ＬＬ [エルエル] /(n) language laboratory/LL/
ＬＬＣ [エルエルシー] /(n) (1) (comp) logical link control/LLC/(2) long-life coolant/LLC/
ＬＯＣＡ [ロカ] /(n) loss-of-coolant accident/LOCA/
ＬＰＥ [エルピーイー] /(n) liquid phase epitaxy/LPE/
ＬＰＳ [エルピーエス] /(n) lipopolysaccharide/LPS/
ＬＳＤ [エルエスディー] /(n) lysergic acid diethylamide/LSD/
ＬＷＲ [エルダブリューアール] /(n) light-water reactor/LWR/
Ｍ [エム] /(n) (1) (abbr) letter 'M'/(2) Mega/(3) (col) masochist/masochistic/
ＭＢＥ [エムビーイー] /(n) molecular beam epitaxy/MBE/
ＭＥＴＩ [メティ] /(n) Ministry of Economy, Trade and Industry/METI/
ＭＩＤＩ [ミディ] /(n) musical instrument digital interface/MIDI/
ＭＩＤＩ [ミディー] /(n) musical instrument digital interface/MIDI/
ＭＩＭＥ [マイム] /(n) (comp) Multipurpose Internet Mail Extension/MIME/
ＭＩＳ [エムアイエス] /(n) management information system (MIS)/
ＭＩＳ [ミス] /(n) management information system (MIS)/
ＭＭＲワクチン [エムエムアールワクチン] /(n) MMR vaccine (for measles, mumps and rubella)/
ＭＮＰ [エムエヌピー] /(n) mobile number portability/MNP/
ＭＮ式血液型 [エムエヌしきけつえきがた] /(n) MN blood type/
ＭＯＤチップ [モッドチップ] /(n) mod chip/
ＭＯＸ燃料 [モックスねんりょう] /(n) mixed oxide fuel/MOX fuel/
ＭＰ３ [エムピースリー] /(n) (comp) MP3/(P)/
ＭＰ３プレーヤー [エムピースリープレーヤー] /(n) (comp) MP3 player/(P)/
ＭＲＩ [エムアールアイ] /(n) magnetic resonance imaging/MRI/
ＭＲＳＡ [エムアールエスエー] /(n) methicillin-resistant staphylococcus aureus/MRSA/
ＭＴＲ [エムティーアール] /(n) material testing reactor/MTR/
ＭｉＧ [ミグ] /(n) (uk) Mig (Russian aeroplane, airplane)/MIG/
Ｍ字開脚 [エムじかいきゃく] /(n) pornographic pose (spreading one's legs open wide with knees bent, creating the shape of the letter 'M')/
Ｍ走 [メートルそう] /(suf) -meter race (after number)/
Ｍ理論 [エムりろん] /(n) M-theory ("master theory" that unifies the five superstring theories)/
Ｎ [エヌ] /(n) N/n/
ＮＡＤ [エヌエーディー] /(n) nicotinamide adenine dinucleotide (NAD)/
ＮＡＤ [ナッド] /(n) nicotinamide adenine dinucleotide (NAD)/
ＮＡＫ [ナック] /(n) (comp) negative acknowledgement/NAK/
ＮＡＰＳ [ナプス] /(n) Numerical Analysis and Prediction System/NAPS/
ＮＡＳＡ [ナサ] /(n) National Aeronautics and Space Administration/NASA/
ＮＡＳＤＡＱ [ナスダック] /(n) National Association of Securities Dealers Automated Quotations/NASDAQ/
ＮＡＴＯ [ナトー] /(n) North Atlantic Treaty Organization (Organisation)/NATO/
ＮＤフィルタ [エヌディーフィルター] /(n) neutral-density filter/neutral filter/
ＮＥＥＴ [ニート] /(n) NEET (young people not in education, employment or training)/
ＮＧ [エヌジ] /(n,adj-na) (1) NG/no good/(2) gaffe or "blooper" in TV or movies/
ＮＧ [エヌジー] /(n,adj-na) (1) NG/no good/(2) gaffe or "blooper" in TV or movies/
ＮＨＫ [エヌエッチケー] /(n) Japan Broadcasting Corporation/Nihon Housou Kyoukai/NHK/
ＮＨＫ教育テレビ [エヌエッチケーきょういくテレビ] /(n) NHK Educational TV/
ＮＨＫ教育テレビジョン [エヌエッチケーきょういくテレビジョン] /(n) NHK Educational TV/
ＮＨＫ受信料 [エヌエッチケーじゅしんりょう] /(n) NHK fees/
ＮＩＭＢＹ [ニンビー] /(n) NIMBY (not in my back yard)/Nimby/
ＮＭＲ [エヌエムアール] /(n) nuclear magnetic resonance/NMR/
ＮＯｘ [エヌオーエックス] /(n) nitrogen oxide/NOx/
ＮＯｘ [ノックス] /(n) nitrogen oxide/NOx/
ＮＰＯ [エヌピーオー] /(n) nonprofit organization/Not-for-Profit Organization/
ＮＰＯ法 [エヌピーオーほう] /(n) the NPO Law (1998)/Law Concerning the Promotion of Specific Non-Profit Organization Activities/
ＮＰＯ法人 [エヌピーオーほうじん] /(n) incorporated nonprofit organization/
ＮＰＳ [エヌピーエス] /(n) nuclear power station/NPS/
ＮＲＣ [エヌアールシー] /(n) (1) Nuclear Regulatory Commission/NRC/(2) National Research Council/NRC/
ＮＴＴ [エヌティーティー] /(n) Nippon Telegraph and Telephone Corporation/NTT/
ＮＵＬＬＰＯ [なるぽ] /(n) (uk) (sl) null pointer exception (in the Java programming language)/
ＮＵＬＬＰＯ [ぬるぽ] /(n) (uk) (sl) null pointer exception (in the Java programming language)/
ＮＵＬＬＰＯ [ナルポ] /(n) (uk) (sl) null pointer exception (in the Java programming language)/
ＮＵＬＬＰＯ [ヌルポ] /(n) (uk) (sl) null pointer exception (in the Java programming language)/
ＮａＫ [ナク] /(n) NaK (sodium-potassium alloy)/
ＮａＫ [ナック] /(n) NaK (sodium-potassium alloy)/
ＮａＮ [エヌエーエヌ] /(n) (comp) not a number/NaN/
ＮａＮ [ナン] /(n) (comp) not a number/NaN/
Ｎ響 [エヌきょう] /(n) (abbr) NHK Symphony Orchestra/
Ｏ [オー] /(n) O/o/
ＯＡ [オーエー] /(n) office automation/OA/
ＯＢ [オービー] /(n) (1) old boy/OB/(2) out-of-bounds/
ＯＥＭ [オーイーエム] /(n) (comp) original equipment manufacturer/OEM/
ＯＧ [オージー] /(n) (1) old girl/former female student/(2) office girl/
ＯＫ [オーケー] /(n) (col) OK/
ＯＫ [オッケー] /(n) (col) OK/
ＯＬ [オーエル] /(n) (abbr) (sens) OL/office lady/
ＯＳ [オーエス] /(n) (comp) operating system/OS/
ＯＴＣ [オーティーシー] /(n) over-the-counter drug/
ＯＴＣ薬 [オーティーシーやく] /(n) over-the-counter drug/
ＯＶ [オーブイ] /(n) (abbr) film released direct-to-video/
ＯＶＡ [オーブイエー] /(n) (abbr) animated film released direct-to-video/
Ｏバック [オーバック] /(n) O-back/skirt with peek-a-boo hole in rump/
Ｏリング [オーリング] /(n) O-ring/loop of elastomer used as a gasket/
Ｏ型 [オーがた] /(n) type O (blood, etc.)/
Ｐ [ピー] /(n) P/p/
ＰＢＸ [ピービーエックス] /(n) Private Branch eXchange/PBX/
ＰＣ [ピーシー] /(n) (comp) PC/personal computer/
ＰＣＩ [ピーシーアイ] /(n) (comp) PCI/
ＰＣＲ法 [ピーシーアールほう] /(n) polymerase chain reaction (method) (PCR)/
ＰＤＡ [ピーディーエー] /(n) personal digital assistant/PDA/
ＰＥＲ [パー] /(n) price-earnings ratio/PER/
ＰＥＴ [ペット] /(n) (1) polyethylene terephthalate/PET/(2) positron emission tomography/PET/
ＰＥＴボトル [ペットボトル] /(n) (uk) PET bottle (clear plastic beverage bottle)/
ＰＨＳ [ピーエイチエス] /(n) personal handyphone system/PHS/
ＰＨＳ [ピーエッチエス] /(n) personal handyphone system/PHS/
ＰＫＯ [ピーケーオー] /(n) peacekeeping operations/PKO/
ＰＬ教団 [ピーエルきょうだん] /(n) Church of Perfect Liberty (religious group founded in Japan in 1924)/
ＰＭ [ピーエム] /(n) (1) (comp) (abbr) private message/PM/(n-t) (2) post-meridiem/afternoon/
ＰＲ [ピーアール] /(n) public relations/PR/
ＰＴＡ [ピーティーエー] /(n) Parent-Teacher Association/PTA/
ＰＴＳＤ [ピーティーエスディー] /(n) post-traumatic stress disorder/PTSD/
ＰＵＲＥＸ [ピューレックス] /(n) plutonium-uranium extraction/PUREX/
ＰＶ [ピーブイ] /(n) (1) promotional video/music video/(2) page view/
ＰＶＣ [ピーブイシー] /(n) polyvinyl chloride/PVC/
ＰＶＣ管 [ピーブイシーかん] /(n) (abbr) polyvinyl chloride pipe/PVC pipe/
ＰＷＲ [ピーダブリューアール] /(n) pressurized-water reactor/PWR/
Ｐタイル [ピータイル] /(n) vinyl floor tile (typically 30 cm square)/
Ｐバルブ [ピーバルブ] /(n) P-valve/urinal built into a diver's dry suit/
Ｐ波 [ピーは] /(n) P-wave (e.g. of earthquake)/primary wave/
Ｑ [キュー] /(n) Q/q/
ＱＯＬ [キューオーエル] /(n) quality of life/QOL/
ＱＲコード [キューアーコード] /(n) quick response code (2-dimensional bar code commonly used by Japanese mobile phones to link to URLs)/QR code/
ＱＲコード [キューアールコード] /(n) quick response code (2-dimensional bar code commonly used by Japanese mobile phones to link to URLs)/QR code/
ＱＴ延長症候群 [きゅうちーえんちょうしょうこうぐん] /(n) long QT syndrome/
Ｑ熱 [キューねつ] /(n) Q fever (extremely contagious bacterial disease with flu-like symptoms)/
Ｒ [アール] /(n) (1) R/r/(2) (math) radius/(3) (uk) curve/
Ｒ＆Ｄ [アールアンドディー] /(n) research and development/R&D/
ＲＡＭ [ラム] /(n) random-access memory/RAM/
ＲＡＳ [ラス] /(n) (1) remote access service/RAS/(2) reliability, availability, serviceability/RAS/
ＲＣ造 [アールシーぞう] /(n) reinforced concrete construction/
ＲＥＭ [レム] /(n) rapid eye movement/REM/
ＲＥＭ睡眠 [レムすいみん] /(n) REM sleep/
ＲＦ [アールエフ] /(n) radio frequency (RF)/
ＲＦ−ＩＤ [アールエフアイディー] /(n) RFID (radio frequency identification)/
ＲＦＩＤ [アールエフアイディー] /(n) RFID (radio frequency identification)/
ＲＦタグ [アールエフタグ] /(n) RFID tag/
ＲＩＳＣ [リスク] /(n) (comp) reduced instruction set computer/RISC/
ＲＮＡ [アールエヌエー] /(n) ribonucleic acid/RNA/
ＲＮＡウイルス [アールエヌエーウイルス] /(n) RNA virus/
ＲＯＭ [ロム] /(n) (1) read-only memory/ROM/(2) lurker (on a forum)/read-only member/
ＲＳ２３２ケーブル [アールエスにさんにケーブル] /(n) rs232 cable/
ＲＳウイルス [アールエスウイルス] /(n) RS virus (respiratory syncytial virus)/
ＲＵ４８６ [アールユーよんはちろく] /(n) RU-486 (trademarked development name of mifepristone)/RU 486/
ＲＶ [アールブイ] /(n) (1) recreational vehicle/RV/sports utility vehicle/SUV/(2) reactor vessel/(3) reentry vehicle/(4) Revised Version/RV/
ＲＶ車 [アールブイしゃ] /(n) sports utility vehicle/SUV/four wheel drive (car or minivan)/lit: recreational vehicle (RV) (usu. not camper or motor home)/
Ｒｈ因子 [アールエッチいんし] /(n) Rh factor (Rhesus factor)/
Ｒｈ式血液型 [アールエッチしきけつえきがた] /(n) Rh blood type/
Ｓ [エス] /(n) (1) (abbr) letter "S" (abbr. for sister, south, steam, etc.)/(2) (abbr) sadistic/sadist/
ＳＡＲＳ [サーズ] /(n) severe acute respiratory syndrome/SARS/
ＳＢ [エスビー] /(n) (1) store brand/(2) straight bond/(3) station break/(4) sideback/(5) social business/
ＳＣＩＤ [スキッド] /(n,adj-f) severe combined immune deficiency/severe combined immunodeficiency/SCID/
ＳＣＩＤマウス [スキッドマウス] /(n) SCID mouse (severe combined immune deficiency)/
ＳＤＳＬ [エスディーエスエル] /(n) (comp) symmetric digital subscriber line/SDSL/
ＳＤ法 [エスディーほう] /(n) semantic differential/
ＳＦ [エスエフ] /(n) SF/science fiction/
ＳＩＭカード [シムカード] /(n) SIM card/
ＳＩＭロック解除 [シムロックかいじょ] /(n) SIM unlock/SIM lock cancellation/
ＳＩＳ [シス] /(n) strategic information system (SIS)/
ＳＬ [エスエル] /(n) steam locomotive/
ＳＬＢＭ [エスエルビーエム] /(n) submarine-launched ballistic missile/SLBM/
ＳＬＥ [エスエルイー] /(n) systemic lupus erythematosus/SLE/
ＳＮＡＰ [スナップ] /(n) Systems for Nuclear Auxiliary Power/SNAP/
ＳＮＰ [エスエヌピー] /(n) (1) Scottish National Party (SNP)/
ＳＮＰ [スニップ] /(n) (1) single nucleotide polymorphism (SNP)/
ＳＮＳ [エスエヌエス] /(n) social networking service/SNS/
ＳＯＳ [エスオーエス] /(n) save our souls/SOS/
ＳＯｘ [エスオーエックス] /(n) sulfur oxide (SO, SO2, etc.)/sulphur oxide/
ＳＯｘ [ソックス] /(n) sulfur oxide (SO, SO2, etc.)/sulphur oxide/
ＳＲＣ造 [エスアールシーぞう] /(n) steel-framed reinforced concrete construction/
ＳＳ [エスエス] /(n) (1) speed-sensitive/(2) suspended solids/(3) Schutzstaffel/SS/(4) service station/(5) sporty sedan/(6) shortstop/(7) steamship/(8) secret service/
ＳＳＬ [エスエスエル] /(n) secure socket layer/SSL/
ＳＳＰＥ [エスエスピーイー] /(n) subacute sclerosing panencephalitis/SSPE/
ＳＴＯＬ [エストール] /(n) short take-off and landing/STOL/
ＳＴＯＬ [ストール] /(n) short take-off and landing/STOL/
Ｓ状結腸 [エスじょうけっちょう] /(n) sigmoid colon/
Ｓ造 [エスぞう] /(n) steel construction/
Ｓ波 [エスは] /(n) S-wave (e.g. of earthquake)/secondary wave/
Ｔ [ティー] /(n) T/t/
ＴＢ [テーベー] /(n) tuberculosis/TB/
ＴＣＡ回路 [ティーシーエーかいろ] /(n) TCA (tricarboxylic acid) cycle/
ＴＥＵ [ティーイーユー] /(n) twenty foot equivalent unit (container)/TEU/
ＴＧＶ [テジェヴェ] /(n) TGV (fre: train a grande vitesse)/high-speed train/
ＴＯＥＦＬ [トーフル] /(n) Test of English as a Foreign Language/TOEFL/
ＴＯＥＦＬ [トッフル] /(n) Test of English as a Foreign Language/TOEFL/
ＴＯＥＦＬ [トフル] /(n) Test of English as a Foreign Language/TOEFL/
ＴＯＰＩＸ [トピックス] /(n) Tokyo Stock Price Index/TOPIX/
ＴＰＯ [ティーピーオー] /(n) time, place, occasion/TPO/
ＴＳＬ [ティーエスエル] /(n) techno-superliner (high-speed Japanese cargo ship)/TSL/
Ｔシャツ [ティーシャツ] /(n) T-shirt/
Ｔバック [ティーバック] /(n) T-back/bikini thong/(P)/
Ｔリンパ球 [ティーリンパきゅう] /(n) T cell/T lymphocyte/
Ｔ細胞 [ティーさいぼう] /(n) T cell/T lymphocyte/
Ｔ字路 [ティーじろ] /(n) T junction/
Ｔ淋巴球 [ティーリンパきゅう] /(n) T cell/T lymphocyte/
Ｕ [ユー] /(n) U/u/
ＵＡ能力の登録 [ユーエーのうりょくのとうろく] /(n) (comp) UA capabilities registration/
ＵＦＯ [ユーフォー] /(n) unidentified flying object/UFO/
ＵＨＦ [ユーエッチエフ] /(n) ultrahigh frequency/UHF/
ＵＭＡ [ユーエムエー] /(n) (comp) Unlicensed Mobile Access/UMA/
ＵＭＡ [ユーマ] /(n) (abbr) unidentified mysterious animal/
ＵＮ [ユーエン] /(n) United Nations/UN/
ＵＮＥＰ [ユネップ] /(n) United Nations Environment Program/UNEP/
ＵＮＩＣＥＦ [ユニセフ] /(n) United Nations Children's Fund (formerly Children's Emergency Fund)/UNICEF/
ＵＲＬ [ユーアールエル] /(n) uniform resouce locator/URL/
ＵＳＢ [ユーエスビー] /(n) (comp) universal serial bus/USB/
ＵＳＢハブ [ユーエスビーハブ] /(n) (comp) USB hub/
ＵＳＢバスパワー [ユーエスビーバスパワー] /(n) (comp) USB bus power/
ＵＳＢメモリー [ユーエスビーメモリー] /(n) (comp) USB flash drive/USB memory stick/thumb drive/
Ｕターン [ユーターン] /(n,vs) U-turn/
Ｕボート [ユーボート] /(n) U-boat/submarine/
Ｕ字溝 [ユーじこう] /(n) U-shaped gutter/
Ｖ [ブイ] /(n) (1) V/v/(2) victory/
Ｖ [ヴィー] /(n) (1) V/v/(2) victory/
ＶＤＳＬ [ブイディーエスエル] /(n) very-high-bit-rate digital subscriber line/VDSL/
ＶＨＦ [ブイエッチエフ] /(n) very high frequency/VHF/
ＶＩＳＡカード [ビザカード] /(n) Visa (credit) card/
ＶＰＥ [ヴイピーイー] /(n) vapor-phase epitaxy/VPE/
ＶＲＥ [ブイアールイー] /(n) vancomycin-resistant enterococcus/VRE/
ＶＳ [ブイエス] /(conj) versus (vs, v.)/
ＶＴＲ [ブイティーアール] /(n) videotape recorder/VTR/
ＶＴＲ [ブイティアール] /(ik) (n) videotape recorder/VTR/
ＶＸガス [ブイエックスガス] /(n) VX gas/
Ｖサイン [ブイサイン] /(n) V-sign/hand gesture similar to the peace sign, representing victory or happiness/
Ｖシネマ [ブイシネマ] /(n) film released direct-to-video (trademark of Toei Company) (wasei: V-cinema)/
Ｖ系 [ヴィジュアルけい] /(n) visual-kei (Japanese rock indies style)/
Ｗ [ダブリュー] /(n) W/w/
ＷＡＮ [ワン] /(n) wide area network/WAN/
ＷＭＯ [ダブリューエムオー] /(n) World Meteorological Organization/WMO/
ＷＷＷ [ダブリューダブリューダブリュー] /(n) (1) world wide web/WWW/(2) World Weather Watch/WWW/
ＷＹＳＩＷＹＧ [ウィジウィグ] /(n) what you see is what you get/WYSIWYG/
Ｗ杯 [ダブルはい] /(n) World Cup (soccer)/
Ｘ [エックス] /(n) (1) X/x/(2) unknown quantity/an unknown/
ＸＭＬ [エックスエムエル] /(n) (comp) extensible markup language/XML/
ＸＯ醤 [エックスオーじゃん] /(n) XO sauce (spicy seafood sauce used primarily in Cantonese cooking)/
Ｘデー [エックスデー] /(n) (col) day in the near future when a major event is expected to occur (wasei: X-day)/
Ｘマス [エックスマス] /(n) Xmas/Christmas/
Ｘ光線 [エックスこうせん] /(n) (obsc) X-ray/
Ｘ染色体 [エックスせんしょくたい] /(n) X chromosome/
Ｘ線 [エックスせん] /(n) X-ray/(P)/
Ｘ線撮影 [エックスせんさつえい] /(n) x-ray photography/
Ｘ端末 [エックスたんまつ] /(n) (comp) Xterm/Xterminal/
Ｙ [ワイ] /(n) Y/y/
Ｙシャツ [ワイシャツ] /(n) (uk) (abbr) shirt (wasei: white shirt)/business shirt/dress shirt/(P)/
Ｙ染色体 [ワイせんしょくたい] /(n) Y chromosome/
Ｙ染色体アダム [ワイせんしょくたいアダム] /(n) Y-chromosomal Adam/
Ｚ [ゼット] /(n) Z/z/
Ｚ [ゼッド] /(n) Z/z/
ａ [エー] /(n) A/a/
ｂ [ビー] /(n) B/b/
ｂｅ動詞 [ビーどうし] /(n) (ling) the 'to be' verb/
ｃ [シー] /(n) C/c/
ｄ [ディー] /(n) D/d/
ｄｄＩ [ディーディーアイ] /(n) dideoxyinosine/didanosine/DDI/ddI/
ｅ [イー] /(n) E/e/
ｅラーニング [イーラーニング] /(n) e-learning/
ｆ [エフ] /(n) F/f/
ｇ [ジー] /(n) G/g/
ｈ [エイチ] /(n) (1) H/h/(adj-na,n) (2) (uk) indecent/lewd/frisky/sexy/(vs) (3) (uk) to have sex/
ｈ [エッチ] /(n) (1) H/h/(adj-na,n) (2) (uk) indecent/lewd/frisky/sexy/(vs) (3) (uk) to have sex/
ｈｏｇｅ [ほげ] /(n) (comp) foobar-style name for a dummy variable/
ｈｐ [エイチピー] /(n) (1) horsepower/HP/(2) harp/
ｈｐ [エッチピー] /(n) (1) horsepower/HP/(2) harp/
ｈｔｔｐ [エイチティーティーピー] /(n) Hypertext Transfer Protocol/http/
ｈｔｔｐ [エッチティーティーピー] /(n) Hypertext Transfer Protocol/http/
ｉ [アイ] /(n) I/i/
ｊ [ジェー] /(n) J/j/
ｋ [ケー] /(n) K/k/
ｌ [エル] /(n) L/l/
ｍＲＮＡ [エムアールエヌエー] /(n) messenger RNA/mRNA/
ｍｉｘｉ [ミクシ] /(n) Mixi (Japanese social networking website)/
ｍｉｘｉ疲れ [ミクシィづかれ] /(n) (sl) growing tired of the mixi community due to constant use and quitting/
ｎ [エヌ] /(n) N/n/
ｏ [オー] /(n) O/o/
ｐ [ピー] /(n) P/p/
ｐＨ [ピーエイチ] /(n) pH (measure of acidity)/concentration of hydrogen ions/
ｐＨ [ペーハー] /(n) pH (measure of acidity)/concentration of hydrogen ions/
ｑ [キュー] /(n) Q/q/
ｒ [アール] /(n) (1) R/r/(2) (math) radius/(3) (uk) curve/
ｒｅｍ [レム] /(n) rem (unit of radiation dose)/
ｔ [ティー] /(n) T/t/
ｔＲＮＡ [ティーアールエヌエー] /(n) transfer RNA/tRNA/
ｔｏ不定詞 [ツーふていし] /(n) (ling) to-infitinitive/full infinitive/
ｕ [ユー] /(n) U/u/
ｖ [ブイ] /(n) (1) V/v/(2) victory/
ｖ [ヴィー] /(n) (1) V/v/(2) victory/
ｗ [ダブリュー] /(n) W/w/
ｗｅｂ拍手 [ウェブはくしゅ] /(n) system for showing appreciation to the author of a web-site (lit: web-applause)/virtual applause/
ｘ [エックス] /(n) (1) X/x/(2) unknown quantity/an unknown/
ｘＤＳＬ [エックスディーエスエル] /(n) (comp) x digital subscriber line/xDSL/
ｘｘ [ちょめちょめ] /(n) (m-sl) blankety-blank/bleep/used in place of sensitive word (often sexually related)/
ｙ [ワイ] /(n) Y/y/
ｚ [ゼット] /(n) Z/z/
ｚ [ゼッド] /(n) Z/z/
あ /(int) (1) Ah! (expression of surprise, recollection, etc.)/Oh!/(2) Hey! (to get someone's attention)/
あーあ /(int) oh no (used as an expression of despair or when giving up)/sigh of boredom or disgust/oh boy/
あーた /(n) (sl) you (slang for anta, often used by a wife addressing her husband)/
ああ /(adv) like that (used for something or someone distant from both speaker and listener)/so/(P)/
ああいう /(exp,adj-pn) that sort of/like that/(P)/
ああいう風に [ああいうふうに] /(exp) (uk) in that way/like that/
ああいった /(exp,adj-f) that sort of/like that/
ああした /(exp,adj-pn) that sort of/like that/
ああしろこうしろ /(exp) do this, do that/dos and don'ts/
ああそうそう /(int) (1) (col) oh yes!/(2) I remember/Oh, now I remember/
ああだこうだ /(exp) this, that and the other/this and that/
ああでもないこうでもない /(exp) humming and hawing/shilly-shallying/
ああゆう /(exp,adj-pn) that sort of/like that/
ああ見えても [ああみえても] /(exp) despite appearances/
ああ言えばこう言う [ああいえばこういう] /(exp) to have a comeback (i.e. a reason, or rationalization) for every remark/
あいうえお順 [あいうえおじゅん] /(n) aiueo-order/(table) index based on the kana syllabary order/
あいきょう /(n) salted (pickled) ayu eggs baked in mother ayu/
あいさつ回り [あいさつまわり] /(n) New Year courtesy calls/
あいそ笑 [あいそわらい] /(n,vs) insincere smile/ingratiating smile/forced smile/
あいそ笑い [あいそわらい] /(n,vs) insincere smile/ingratiating smile/forced smile/
あいた /(int) Ouch!/
あいたた /(int) Ouch!/
あいたっ /(int) Ouch!/
あいた口が塞がらぬ [あいたくちがふさがらぬ] /(exp,adj-f) surprising/shocking/jaw-dropping/
あいた口も塞がらぬ [あいたくちもふさがらぬ] /(exp,adj-f) surprising/shocking/jaw-dropping/
あいつら /(n) they/(P)/
あいの子 [あいのこ] /(n) (derog) person of mixed parentage/crossbreed/Eurasian/mulatto/hybrid/
あいの手 [あいのて] /(io) (n) (1) interlude/(2) interjection/interruption/
あいまいな内容モデル [あいまいなないようモデル] /(n) (comp) ambiguous content model/
あいまい検索 [あいまいけんさく] /(n) (comp) fuzzy reference/ambiguous search/ambiguous retrieval/
あいまい制御 [あいまいせいぎょ] /(n) (comp) fuzzy control/
あいまい性 [あいまいせい] /(n) ambiguity/fuzziness/
あいまい度 [あいまいど] /(n) (comp) equivocation/
あいまい理論 [あいまいりろん] /(n) (comp) fuzzy theory/
あいまい量 [あいまいりょう] /(n) (comp) equivocation/
あいまい論理 [あいまいろんり] /(n) (comp) fuzzy logic/
あい変らず [あいかわらず] /(adv,n) as ever/as usual/the same/
あい変わらず [あいかわらず] /(adv,n) as ever/as usual/the same/
あい昧 [あいまい] /(adj-na,n) (1) vague/ambiguous/unclear/(2) (math) (comp) fuzzy/
あい路 [あいろ] /(n) defile/narrow path/bottleneck/
あうんの呼吸 [あうんのこきゅう] /(n) the harmonizing, mentally and physically, of two parties engaged in an activity/
あえか /(adj-na) (poet) delicate/gentle/fleeting/
あえぎ声 [あえぎごえ] /(n) heavy breathing/
あえ物 [あえもの] /(n) (food) chopped fish, shellfish or vegetables, dressed with (miso or other) sauce/
あおがら /(n) blue tit (Parus caeruleus)/
あおぎ見る [あおぎみる] /(v1,vt) to look upwards/to look up/
あおた /(n) blue shark (Prionace glauca, species of circumglobal requiem shark)/
あおなぎ /(n) shark (esp. the blue shark, Prionace glauca)/
あおば /(n) (obs) (former) regular (stops at every station) Touhoku-line Shinkansen/
あおばせせり /(n) (uk) blue-winged skipper butterfly/
あおり止め [あおりどめ] /(n) doorstop/
あおり立てる [あおりたてる] /(v1,vt) to flap strongly/to stir up fiercely/
あお向け [あおむけ] /(n) face up/
あかし暮らす [あかしくらす] /(v5s) to spend one's days and nights doing .../
あかの他人 [あかのたにん] /(exp,n) complete stranger/
あかまた /(n) Ryukyu odd-tooth snake (Dinodon semicarinatum)/
あかんべ /(int,n) facial gesture of pulling one's eyelid down and sticking out one's tongue/
あかんべい /(int,n) facial gesture of pulling one's eyelid down and sticking out one's tongue/
あかんべえ /(int,n) facial gesture of pulling one's eyelid down and sticking out one's tongue/
あか抜ける [あかぬける] /(v1) to refine/
あがり症 [あがりしょう] /(n) stage fright/social anxiety disorder/social phobia/
あがり性 [あがりしょう] /(n) stage fright/social anxiety disorder/social phobia/
あがり湯 [あがりゆ] /(n) clean hot bath water for rinsing/
あがり目 [あがりめ] /(n) (1) eyes slanted upward/(2) rising tendency/
あきたこまち /(n) Akitakomachi (variety of rice)/
あきまへん /(adj-na) (ksb:) no good/unacceptable/
あきれて物が言えない [あきれてものがいえない] /(exp,adj-i) utterly scandalized/
あきれ返る [あきれかえる] /(v5r,vi) to be utterly amazed/to be stunned/
あき場所 [あきばしょ] /(n) autumn (fall) (September) sumo tournament, held in Tokyo/
あくあく /(n) (uk) (on-mim) bird's chirping sound/
あくが強い [あくがつよい] /(exp,adj-i) (1) having a strong alkaline taste/harsh to the taste/(2) excessively strong-willed/fiercely individualistic/strongly idiosyncratic/
あくの強い [あくのつよい] /(adj-i) (1) harsh tasting/strongly alkaline tasting/(2) excessively strong-willed/fiercely individualistic/strongly idiosyncratic/
あくる日 [あくるひ] /(n-adv,n-t) next day/following day/
あくを取る [あくをとる] /(exp,v5r) to skim the scum from broth or liquid/to skim (a liquid)/
あく洗い [あくあらい] /(n) scouring/washing vegetables in lye/
あく促 [あくせく] /(adv-to,vs) fussily/busily/sedulously/worrying about (small things)/
あく抜き [あくぬき] /(n,vs) removal of astringent taste (e.g. by cooking)/
あぐら鼻 [あぐらばな] /(n) snub nose/flat nose with flattened nostrils/
あけおめ /(exp) (abbr) Happy New Year/
あけおめことよろ /(exp) (col) (abbr) abbreviation of "akemashite omedetou, kotoshi mo yoroshiku onegaishimasu"/
あけっ放し [あけっぱなし] /(adj-na,n) (1) leaving open/leaving ajar/(2) outspoken/frank/
あけ烏 [あけがらす] /(n) (1) daybreak sound of a crow/(2) (name of) poetry anthology/
あげくの果て [あげくのはて] /(adv,n) finally/in the end/on top of all that/
あげ間 [あげまん] /(n) (uk) (col) woman purported to bring good luck to the man she is near/
あげ物 [あげもの] /(n) (food) deep-fried food/
あこう鯛 [あこうだい] /(n) (1) (uk) Matsubara's red rockfish (Sebastes matsubarae)/(2) (food) Pacific ocean perch (Sebastes alutus)/
あごが干上がる [あごがひあがる] /(exp,v5r) to lose one's means of livelihood/to become unable to earn a living/
あごで使う [あごでつかう] /(exp,v5u) (1) to set somebody to work in an arrogant fashion/to push somebody around/to indicate by pointing one's chin/(2) (sl) to chatter/to jaw/to jabber/
あごで人を使う [あごでひとをつかう] /(exp,v5u) to set somebody to work in an arrogant fashion/to push somebody around/to indicate someone by pointing one's chin/
あさぎり型護衛艦 [あさぎりがたごえいかん] /(n) Asagiri class destroyer/
あさだ /(n) Japanese hop hornbeam/ostrya japonica/
あさひ /(n) skips-most-stations Jouetsu-line Shinkansen/
あさま山荘事件 [あさまさんそうじけん] /(n) Asama-Sanso incident (famous hostage crisis and police siege in Feb. 1972)/
あさ湯 [あさゆ] /(n) morning bath/
あさ飯 [あさはん] /(n) breakfast/
あさ飯 [あさめし] /(n) breakfast/
あざーす /(exp) (abbr) (sl) thank you/
あざーっす /(exp) (abbr) (sl) thank you/
あざとい /(adj-i) clever/sly/cunning/pushy/
あざ笑う [あざわらう] /(v5u,vt) (uk) to sneer at/to ridicule/
あしきり /(n) (arch) cutting off the leg at the knee (form of punishment in ancient China)/
あしらい /(n) treatment/reception/
あしらう /(v5u,vt) to arrange/to treat/to handle/to deal with/
あし毛 [あしげ] /(n,adj-no) grey (horse coat color)/gray/
あずま屋 [あずまや] /(n) arbor/arbour/bower/summer house/square gazebo/
あぜ道 [あぜみち] /(n) footpath between rice fields/
あそばせ言葉 [あそばせことば] /(n) polite language used by women/
あそび女 [あそびめ] /(n) (arch) prostitute/
あたご型護衛艦 [あたごがたごえいかん] /(n) Atago class destroyer/
あたふた /(adv-to) (on-mim) in a hurry/hastily/in feverish haste/
あたぼう /(adj-na) (sl) natural/reasonable/obvious/
あたり前 [あたりまえ] /(adj-na,n,adj-no) (1) natural/reasonable/obvious/(2) usual/common/ordinary/
あだ花 [あだばな] /(n) (1) non-fruit-bearing flower/(2) something that is flashy with no content/
あだ事 [あだごと] /(n) trivial matter/
あだ討ち [あだうち] /(n) vengeance/revenge/retaliation/
あだ名 [あだな] /(n,vs) nickname/
あちゃー /(int) stone the crows/blow me down/oops/uh oh/expression of annoyed surprise or shock/
あっかんべー /(int,n) facial gesture of pulling one's eyelid down and sticking out one's tongue/
あっかんべえ /(int,n) facial gesture of pulling one's eyelid down and sticking out one's tongue/
あっけらかんと /(adv) quite indifferent/looking blank/looking as though one has nothing at all to do with what is going on/
あっさり /(adv,adv-to,vs) (on-mim) easily/readily/quickly/(P)/
あっさりした /(adj-f) simple/light/easy/openhearted/(P)/
あっそ /(int) hmmmmm (lackadaisical, noncommittal reply)/
あっちゃ /(int) stone the crows/blow me down/oops/uh oh/expression of annoyed surprise or shock/
あっち行け [あっちいけ] /(exp) get away from me!/
あってなきがごとき /(exp) (1) virtually nonexistent/negligible/(2) absolutely useless/
あっての /(adj-f) which can exist solely due to the presence of/whose existence is determined entirely by/which owes everything to/(P)/
あっと /(adv) (on-mim) in a surprising way/
あっという間 [あっというま] /(exp) a blink of time (lit: the time it takes to say "Ah!")/
あっという間に [あっというまに] /(exp) just like that (lit: in the time it takes to say "Ah!")/in the twinkling of an eye/in the blink of an eye/
あっとゆう間 [あっとゆうま] /(exp) a blink of time (lit: the time it takes to say "Ah!")/
あっとゆう間に [あっとゆうまに] /(exp) just like that (lit: in the time it takes to say "Ah!")/in the twinkling of an eye/in the blink of an eye/
あっと言う間 [あっというま] /(exp) a blink of time (lit: the time it takes to say "Ah!")/
あっと言う間 [あっとゆうま] /(exp) a blink of time (lit: the time it takes to say "Ah!")/
あっと言う間に [あっというまに] /(exp) just like that (lit: in the time it takes to say "Ah!")/in the twinkling of an eye/in the blink of an eye/
あっと言う間に [あっとゆうまに] /(exp) just like that (lit: in the time it takes to say "Ah!")/in the twinkling of an eye/in the blink of an eye/
あっと言わせる [あっといわせる] /(exp,v1) to startle/to surprise/
あっぱっぱ /(n) loose-fitting summer dress/
あっぷあっぷ /(adv,n,vs) floundering and almost drowning/
あっ化 [あっか] /(n,vs,adj-no) (suffer) deterioration/growing worse/aggravation/degeneration/corruption/
あっ気 [あっけ] /(n) taken aback/dumbfounded/
あっ砕 [あっさい] /(n,vs) crushing/
あっ搾 [あっさく] /(n,vs) pressure/compression/
あっ殺 [あっさつ] /(n,vs) crushing to death/
あっ死 [あっし] /(n,vs) crushing to death/
あっ縮 [あっしゅく] /(n,vs) compression/condensation/constriction/compaction/
あっ勝 [あっしょう] /(n,vs) complete victory/
あっ制 [あっせい] /(n) oppression/tyranny/despotism/
あっ旋 [あっせん] /(n,vs) (1) kind offices/services/through the good offices of/influence/(2) intercession/mediation/
あっ倒 [あっとう] /(n,vs) overwhelm/overpower/overwhelming/
あてなき旅 [あてなきたび] /(n) journey without a destination/
あて外れ [あてはずれ] /(n,adj-na) disappointment/
あて字 [あてじ] /(n) kanji used as a phonetic symbol, instead of for the meaning/phonetic-equivalent character/substitute character/
あて先 [あてさき] /(n) address/destination/
あて先変更 [あてさきへんこう] /(n) (comp) redirection/
あて先変更の発信者による禁止 [あてさきへんこうのはっしんしゃによるきんし] /(n) (comp) redirection disallowed originator/
あて馬 [あてうま] /(n) stallion brought close to a mare to test her readiness to mate/stalking horse/spoiler/
あて名 [あてな] /(n) (addressee's) name/(recipient's) name and address/
あで姿 [あですがた] /(n) charming figure/alluring figure/
あと一歩 [あといっぽ] /(adv,adj-na) one more/another/the other/not quite/not very good/
あと口 [あとくち] /(n) (1) aftertaste/(2) later (in line or in turn, etc.)/
あどけない /(adj-i) innocent/cherubic/
あなた任せ [あなたまかせ] /(exp) leaving everything to Buddha's providence/depending on others/leaving things to others/
あなた方 [あなたがた] /(pn,adj-no) (hon) you (plural)/
あに図らんや [あにはからんや] /(exp) contrary to one's expectations/to one's surprise/
あねさん被り [あねさんかぶり] /(n) towel wrapped around a woman's head/
あの /(int) say/well/errr .../(P)/
あのー /(int) say/well/errr .../
あのう /(int) say/well/errr .../(P)/
あのさあ /(int) Excuse me .../You see/
あのね /(int) Excuse me .../You see/(P)/
あのように /(exp) in that way/like that/that way/
あの頃 [あのころ] /(exp) in those days/
あの手この手 [あのてこのて] /(exp) this way and that/(by) various means/(by) every means/
あの人 [あのひと] /(pn,adj-no) he/she/that person/
あの世 [あのよ] /(n,adj-no) the other world/world of the dead/(P)/
あの方 [あのかた] /(pn,adj-no) that gentleman (lady)/he/she/(P)/
あはは /(int) a-ha-ha (laughing loudly)/
あばよ /(conj,int) good-bye/farewell/
あばら屋 [あばらや] /(n) (1) dilapidated house/tumbledown house/hovel/miserable shack/(2) (hum) my house/my home/(3) small resting place comprising four pillars and a roof (with no walls)/
あばら家 [あばらや] /(n) (1) dilapidated house/tumbledown house/hovel/miserable shack/(2) (hum) my house/my home/(3) small resting place comprising four pillars and a roof (with no walls)/
あばら骨 [あばらぼね] /(n) (1) rib/(2) frame (of a ship)/
あば擦れ [あばずれ] /(adj-na,n) a bitch/
あふれ検査 [あふれけんさ] /(n) (comp) overflow check/
あふれ出す [あふれだす] /(v5s) to begin to overflow/to start overflowing/to pour out/
あふれ表示 [あふれひょうじ] /(n) (comp) overflow indication/
あふれ返る [あふれかえる] /(v5r) to be awash with/to teem with/to be full of/
あぶくま型護衛艦 [あぶくまがたごえいかん] /(n) Abukuma class destroyer escort/
あぶく銭 [あぶくぜに] /(n) easy money/
あぶない橋を渡る [あぶないはしをわたる] /(exp,v5r) to tread on thin ice (lit: to cross a dangerous bridge)/to go out on a limb/to walk a tightrope/to take risks/
あぶな絵 [あぶなえ] /(n) suggestive or indecent picture/
あぶみ骨 [あぶみこつ] /(n,adj-no) stapes/stirrup (bone of the ear)/
あぶらそこむつ /(n) (uk) escolar (Lepidocybium flavobrunneum)/snake mackerel/
あぶらとり紙 [あぶらとりがみ] /(n) oil-absorbent paper used cosmetically to absorb oil from (facial) skin/
あぶら身 [あぶらみ] /(n) fat meat/
あぶら虫 [あぶらむし] /(n) (1) (uk) aphid/plant louse/(2) (obsc) cockroach/(3) (obsc) Japanese house bat (Pipistrellus abramus)/(4) hanger-on/parasite/(5) (arch) visitor to a red-light district who's only there to look/
あぶり出し [あぶりだし] /(n,adj-no) invisible writing revealed by applying heat/writing done in invisible ink/
あぶり出す [あぶりだす] /(v5s,vt) to bring into the open/to reveal/to uncover (e.g. evidence)/to bring to light/
あべこべ /(adj-na,n) (on-mim) contrary/opposite/inverse/(P)/
あほんだら /(n) (ksb:) fool/oaf/airhead/
あまえん坊 [あまえんぼう] /(adj-na,n) pampered or spoiled child (spoilt)/
あましいら /(n) luvar (Luvarus imperialis, species of perciform fish closely related to the surgeonfish)/
あまに油 [あまにゆ] /(n) linseed oil/
あま噛み [あまかみ] /(n,vs) play-biting/
あま噛み [あまがみ] /(n,vs) play-biting/
あま味 [あまみ] /(n) sweetness/sugary taste/
あみ出す [あみだす] /(v5s,vt) to work out/to think out/
あめ玉 [あめだま] /(n) candy/
あめ色 [あめいろ] /(n) amber/yellowish-brown/
あや /(int) (arch) wow/whoa/
あやかし /(n) (1) ghost that appears at sea during a shipwreck/(2) something strange or suspicious/(3) idiot/fool/(4) Noh mask for roles involving dead or ghost characters/
あやかり者 [あやかりもの] /(n) lucky person/
あやす /(v5s,vt) to cuddle/to comfort/to rock/to soothe/to dandle/
あやふや /(adj-na,n) (on-mim) uncertain/vague/ambiguous/(P)/
あや取り [あやとり] /(n) (uk) cat's cradle/
あや織り [あやおり] /(n) twill (fabric)/
あら /(int) (fem) oh/ah/(P)/
あらいやだ /(exp) Oh no/Oh dear/
あらかじめ計画 [あらかじめけいかく] /(exp) advance plans/forward plans/
あらせいとう /(n) stock (botanical)/
あらぬ事 [あらぬこと] /(exp) the unthinkable/
あらまあ /(int) wow!/gee!/oh dear!/
あらまし /(adv,n) (1) outline/gist/abstract/(2) roughly/about/
あらやだ /(exp) Oh no/Oh dear/
あられ /(n) roasted mochi pieces (usu. flavoured with soy sauce, or sweetened with sugar, etc.)/
あられもない /(adj-i) (1) unladylike/unbecoming/immodest/(2) unthinkable/impossible/ridiculous/
あらん限り [あらんかぎり] /(exp,adv,adj-no) all/as much as possible/
あら塩 [あらしお] /(n) sea salt/bay salt/coarse salt/
あら塩 [あらじお] /(n) sea salt/bay salt/coarse salt/
あら捜し [あらさがし] /(n,vs) finding fault/being picky/
あら探し [あらさがし] /(n,vs) finding fault/being picky/
あら熱 [あらねつ] /(n) the heat of food just after cooking/
あら挽き [あらびき] /(adj-no) coarsely ground (e.g. coffee, grain)/minced (e.g. meat)/
あら皮 [あらかわ] /(n) bark/husk/untanned pelt/
ありあり /(adj-f,adv-to) (on-mim) distinct/clear/vivid/
ありがた味 [ありがたみ] /(n) value/worth/virtue/blessing/
ありがた迷惑 [ありがためいわく] /(adj-na,n) unwelcome favor/unwelcome favour/mixed blessing/white elephant/
ありがと /(ik) (conj,exp) Thank you/
ありき /(suf,adj-no) based on/originating from/
ありし日 [ありしひ] /(n-t) (1) days of yore/the olden days/(2) during one's lifetime/
ありなさい /(exp) please be ..../
ありはしない /(exp) doesn't even exist/
ありゃしない /(exp) doesn't even exist/
ありんす /(exp) variation of "arimasu" used by the prostitutes of the Yoshiwara red light district in the Edo period/
ありんすことば /(n) language used by the harlots of the Yoshiwara red light district during the Edo period/
あり金 [ありがね] /(n) money on hand/
あり触れた [ありふれた] /(adj-f) (uk) unsurprising/trite/commonplace/mundane/hackneyed/garden variety (of)/
あり地獄 [ありじごく] /(n) (1) ant lion larva/doodlebug/(2) ant lion larva's pit/
あり得 [ありう] /(v2a-s,vi) to be possible/to be likely/to be probable/
あり得ない [ありえない] /(adj-i) (uk) impossible/(P)/
あり得ないほど [ありえないほど] /(n) (uk) unbelievable (extent)/
あり得ない程 [ありえないほど] /(n) (uk) unbelievable (extent)/
あり得べき [ありうべき] /(adj-f) (uk) possible/probable/likely/
あり得る [ありうる] /(adj-f,exp) possible/likely/probable/
あり得る [ありえる] /(adj-f,exp) possible/likely/probable/
あり方 [ありかた] /(n) (1) the way something ought to be/(2) the (current) state of things/how things are/
あるある /(exp) Oh yeah/Of course it is so/Cheer up, that's average/It happens/It's possible/Don't worry, it happens/
あること無いこと [あることないこと] /(exp) mixture of fact and fiction/half-truths/
あるらしい /(exp) seems to be/appears to have/supposed to be/
ある意味で [あるいみで] /(exp) in a sense/in some way/to an extent/(P)/
ある意味では [あるいみでは] /(exp) in a sense/in some way/to an extent/(P)/
ある限り [あるかぎり] /(n) (1) all (there is)/(exp,n-adv) (2) as long as there is/
ある事ない事 [あることないこと] /(exp) mixture of fact and fiction/half-truths/
ある時 [あるとき] /(n) once (i.e. "once, when I was studying ..")/
ある種 [あるしゅ] /(adj-no) certain/some kind of/some sort of/of sorts/
ある人 [あるひと] /(n) someone (unspecified, but someone in particular)/a certain person/
ある程度 [あるていど] /(exp,adj-no) to some extent/to a certain extent/
ある動詞 [あるどうし] /(n) irregularly conjugating honorific verb (gozaru, etc.)/
ある日 [あるひ] /(n) one day (e.g. "one day while studying, ..")/
あれあれ /(int) whoa (used to express surprise or stupefaction)/
あれから /(conj) since then/after that/
あれだけ /(exp) to that extent/to that degree/(P)/
あれっきり /(exp) since then/
あれまあ /(exp) Good heavens!/Oh my god!/gee whiz/
あれよあれよ /(int) expression of surprise/dumbfounded/
あれ以来 [あれいらい] /(exp) since then/
あれ性 [あれしょう] /(n) dry or chapped skin/
あれ程 [あれほど] /(adv,adj-no) (uk) to that extent/(P)/
あれ肌 [あれはだ] /(n) rough skin/
あろうとなかろう /(exp) whether or not/presence or absence/
あわせ鏡 [あわせかがみ] /(n) opposite mirrors/
あわてん坊 [あわてんぼう] /(n) flustered person/hasty person/
あわや /(exp) in no time/in an instant/in the nick of time/in the twinkling of an eye/
あわよくば /(exp) if there is a chance/if possible/if circumstances permit/if things go well/if luck is on my side/
あんぐり /(adv,adj-f) open-mouthed/
あんこ /(n) daughter (in Izu Oshima dialect)/young lady/
あんこ型 [あんこがた] /(n) sumo wrestler with a big belly/
あんさん /(n) (ksb:) you/
あんじょう /(adv) (ksb:) well/
あんす /(aux-v) to be/
あんだ /(n) (rkb:) oil/
あんだーぎー /(adj-f) (1) (rkb:) deep-fried/(2) Okinawan doughnut/
あんだぎー /(adj-f) (1) (rkb:) deep-fried/(2) Okinawan doughnut/
あんだけ /(exp) to that extent/to that degree/(P)/
あんだんすー /(n) fried mixture of minced pork, miso, mirin, etc. (Okinawan dish)/
あんちょこ /(n) crib notes/key (to a diagram)/
あんな /(adj-pn) such (about something or someone distant from both speaker and listener, or about a situation unfamiliar to both speaker and listener)/so/that/sort of/(P)/
あんなに /(exp) to that extent/to that degree/
あんな風に [あんなふうに] /(exp) (uk) in that way/like that/that way/
あんね /(int) Excuse me .../You see/
あんぽ柿 [あんぽがき] /(n) partially-dried Japanese persimmon/
あんま /(adv) (ksb:) not very (with negative sentence)/not much (with negative sentence)/
あんよ /(n,vs) (1) foot (children's language)/tootsy/(2) toddle/walk/
あん肝 [あんきも] /(n) monkfish liver/goosefish liver/
あん馬 [あんば] /(n) (1) side horse/pommel horse/(2) saddled horse/
あん分 [あんぶん] /(n,vs) proportional division or distribution/
あん摩 [あんま] /(n,vs) (1) massage, esp. the Anma Japanese type of massage/(n) (2) (sens) masseur/masseuse/(P)/
あ然 [あぜん] /(adj-t,adv-to) dumbfounded/in mute amazement/
あ段 [あだん] /(n) (ling) 'a' row/
い /(prt) (fam) strengthens a question, assertion, etc./
いいか /(int) (col) Listen! (used to get someone's attention)/
いいかい /(int) (col) Listen! (used to get someone's attention)/
いいから /(exp) (col) listen up (used at start of command sentences for emphasis)/
いいぞ /(int) way to go!/attaboy!/hear, hear!/
いいとこ /(n) (1) good thing/strong point/(2) good family/prestigious school/(3) the right moment/(adj-f) (4) utter/extreme/(n-adv) (5) at (the) best/at most/
いいところ /(n) (1) good thing/strong point/(2) good family/prestigious school/(3) the right moment/(adj-f) (4) utter/extreme/(n-adv) (5) at (the) best/at most/
いいとこ取り [いいとこどり] /(n,vs) focusing on only the good points or strong points/incorporating the benefits (while ignoring the drawbacks)/picking the best of both (everything)/cherrypicking (e.g. information)/
いいとも /(exp) damn straight/no problem/sounds good/sure thing/
いいカモ /(exp) (uk) desirable prey/easy game/easy mark/easy prey/easy target/
いい加減 [いいかげん] /(adj-na) (1) (uk) irresponsible/perfunctory/careless/(2) lukewarm/half-baked/halfhearted/vague/(3) reasonable/moderate (usu. in suggestions or orders)/(adv) (4) considerably/quite/rather/pretty/(P)/
いい加減にしなさい [いいかげんにしなさい] /(exp) shape up!/act properly!/
いい加減にしろ [いいかげんにしろ] /(exp) that's enough!/cut it out!/get a life!/(P)/
いい加減にする [いいかげんにする] /(exp,vs-i) to put an end to something/to get something over with/to quit something one has been engaged in too long or to an excessive degree/
いい鴨 [いいかも] /(exp) (uk) desirable prey/easy game/easy mark/easy prey/easy target/
いい感じ [いいかんじ] /(n) pleasant feeling/good vibes/
いい顔 [いいかお] /(n) (1) big-shot/influential person/(2) happy face/smiling face/(3) sympathetic attitude/
いい気 [いいき] /(adj-na,n) easygoing/optimistic/conceited/
いい気になる [いいきになる] /(exp,v5r) to be self-complacent/to be conceited/to flatter oneself/to be full of oneself/
いい気持 [いいきもち] /(n,adj-no) good feeling/
いい気持ち [いいきもち] /(n,adj-no) good feeling/
いい気味 [いいきび] /(n,adj-na) it serves you (him) right/it's what you (he) deserves/
いい気味 [いいきみ] /(n,adj-na) it serves you (him) right/it's what you (he) deserves/
いい頃 [いいころ] /(exp) high time/about time/
いい子 [いいこ] /(n) good child/
いい子いい子 [いいこいいこ] /(n,vs) patting or stroking (pet, child, etc.)/
いい子になる [いいこになる] /(exp,v5r) to make oneself popular without any regard to others/to take all the credit to oneself/
いい子ぶる [いいこぶる] /(v5r) to act the goody-goody/to pretend to be nice/
いい事 [いいこと] /(exp,n) (1) good thing/nice thing/(2) good excuse/good grounds/good opportunity/(int) (3) (fem) interjection used to impress an idea or to urge a response/
いい人 [いいひと] /(exp) (1) good-natured person/(n) (2) lover/
いい線 [いいせん] /(exp) more or less right/you are on the right track/getting warm/
いい線いってる [いいせんいってる] /(exp,v1) (col) to be on the right track/to be close enough/
いい線を行く [いいせんをいく] /(exp,v5k-s) to be on the right track/to go well/
いい線行く [いいせんいく] /(exp,v5k-s) to be on the right track/to go well/
いい線行ってる [いいせんいってる] /(exp,v1) (col) to be on the right track/to be close enough/
いい天気 [いいてんき] /(n) fine weather/fair weather/
いい度胸 [いいどきょう] /(n,vs) some nerve (as in 'you must have some nerve to ...')/
いい年して [いいとしして] /(exp) (in spite of) being old enough to know better/
いい年をして [いいとしをして] /(exp) (in spite of) being old enough to know better/
いい薬になる [いいくすりになる] /(exp,v5r) to learn a lesson (usu. from an unpleasant experience)/to be good for someone/
いぇい /(int) yay/
いかがお過ごしですか [いかがおすごしですか] /(exp) How are things with you?/How are you doing?/
いかさま裁判 [いかさまさいばん] /(n) fake trial/kangaroo court/
いかさま師 [いかさまし] /(n) cheat/swindler/
いかす /(v5s,vi) to be smart/to be cool/to be sharp/to be stylish/
いかなる場合でも [いかなるばあいでも] /(exp) in any case/whatever the case may be/
いかり肩 [いかりがた] /(n) square shoulders/
いかれぽんち /(n) airhead (of a male)/ditz/
いかれる /(v1,vi) (1) to be beaten/to break down/(2) to be crazy/to be touched/(3) to be infatuated with/(4) to be outdone (by someone)/to be beaten (in a contest)/
いかんともし難い [いかんともしがたい] /(n) impenetrably difficult/
いがいが /(n) (1) crying of a baby/(2) tickle in the throat/
いがみ合い [いがみあい] /(n) (1) snarl/snarling/(2) quarrel/wrangling/feud/
いがみ合う [いがみあう] /(v5u,vi) to snarl/to quarrel/
いきり立つ [いきりたつ] /(v5t,vi) to get angry/to lose one's temper/
いき値 [いきち] /(n) threshold (amount, dose, etc.)/
いく /(v5k-s,vi) (X) (col) to have an orgasm/to come/to cum/
いくつかの理由から [いくつかのりゆうから] /(exp) for whatever reason/
いくない /(exp,adj-i) not good/
いく重 [いくえ] /(n) multiple layers/many piles/
いく日 [いくにち] /(n) how many days?/what day (of month)?/
いく日か [いくにちか] /(exp) some days/several days/
いく日もいく日も [いくにちもいくにちも] /(adv) day after day/for many days/
いけ /(pref) prefix used to strengthen a derogatory adjective/
いけいけ /(n) bitch/
いけしゃあしゃ /(adv) shamelessly/brazenly/
いけしゃあしゃあ /(adv,adv-to) brazenly/
いけず /(adj-na) (1) (ksb:) unkind/mean/(2) wicked/
いけぞんざい /(n,adj-na) rude/careless/slovenly/
いけ好かない [いけすかない] /(adj-i) nasty/disgusting/disagreeable/creepy/
いけ図図しい [いけずうずうしい] /(adj-i) (uk) impudent/shameless/
いけ年 [いけどし] /(n) (arch) old enough (to know better, etc.)/
いごっそう /(n) (tsb:) stubborn Kochi man/
いささ小笹 [いささおざさ] /(n) (arch) (obsc) short bamboo/small bamboo/
いささ小川 [いささおがわ] /(n) (arch) (obsc) trickling brook/
いささ川 [いささがわ] /(n) (arch) trickling brook/
いさら井 [いさらい] /(n) (arch) small water spring/
いさら小川 [いさらおがわ] /(n) (arch) (obsc) trickling brook/
いさら川 [いさらがわ] /(n) (arch) trickling brook/
いざ /(adv,int) now/come (now)/well/
いざこざ /(n) trouble/quarrel/difficulties/complication/tangle/(P)/
いざさらば /(exp) (1) (arch) well then, (shall we)/well then, (I'll)/(2) goodbye/
いざという時 [いざというとき] /(exp) when it's important/when it comes to the crunch/
いざと言う時 [いざというとき] /(exp) when it's important/when it comes to the crunch/
いざなぎ景気 [いざなぎけいき] /(n) Izanagi economic boom (1965-70) of Japan/
いざなみ景気 [いざなみけいき] /(n) period of Japanese economic expansion from February 2002 to October 2007/
いざ鎌倉 [いざかまくら] /(n) case that something major happens/event of an emergency/when it comes to the crunch/
いざ知らず [いざしらず] /(exp) I don't know about ... but/it may be possible for ... but/
いしかり型護衛艦 [いしかりがたごえいかん] /(n) Ishikari class destroyer escort/
いし海豚 [いしいるか] /(n) (uk) Dall's porpoise (Phocoenoides dalli)/
いじいじ /(adv,adv-to,vs) (1) (on-mim) reserved/timid/servile/(2) unable to be honest/perverse/
いじくり回す [いじくりまわす] /(v5s) (uk) to fiddle with/to monkey around with/
いじける /(v1,vi) (1) to grow timid (e.g. from an inferiority complex)/to lose one's nerve/(2) to become perverse/to become contrary/
いじましい /(adj-i) piddling/paltry/
いじめっ子 [いじめっこ] /(n) bully/
いじめられっ子 [いじめられっこ] /(n) bullied child/
いじらしい /(adj-i) innocent/lovable/sweet/pitiful/pathetic/
いじり回す [いじりまわす] /(v5s) to tinker with/to fumble with/to twist up/
いす取りゲーム [いすとりゲーム] /(n) musical chairs/
いずれ菖蒲か杜若 [いずれあやめかかきつばた] /(exp) equally beautiful/
いそいそ /(adv,n,vs,adv-to) (on-mim) cheerfully/excitedly/(P)/
いたし方 [いたしかた] /(n) way/method/
いたずらっ子 [いたずらっこ] /(n) (1) mischievous child/scamp/rascal/(2) elf/imp/
いたずら好き [いたずらずき] /(adj-na,adj-no) mischievous/
いたずら盛り [いたずらざかり] /(n) mischievous age/
いたずら電話 [いたずらでんわ] /(n) crank call/prank phone call/
いたずら坊主 [いたずらぼうず] /(n) mischievous boy/troublemaker/pesky kids/
いたせんぱら /(n) deepbody bitterling (species of cyprinid, Acheilognathus longipinnis)/
いたちの道 [いたちのみち] /(exp) not to write to or visit someone/road of the weasel (it is believed that if someone blocks the path a weasel, he will never take that path again)/
いたちの道切り [いたちのみちきり] /(exp) not to write to or visit someone/road of the weasel (it is believed that if someone blocks the path a weasel, he will never take that path again)/
いたみ悲しむ [いたみかなしむ] /(v5m) (obsc) to mourn/to grieve/
いちい樫 [いちいがし] /(n) (uk) Quercus gilva (species of oak)/
いちさかき /(ok) (n) (uk) Eurya japonica (species of evergreen related to sakaki)/
いちびり /(n) (osb:) prankster/joker/taking a joke to the extreme/
いちびる /(v5r,vi) (ksb:) to mess around/to get carried away/to press one's luck/
いちゃいちゃ /(adv,n,vs) flirt/make out/
いちゃつく /(v5k,vi) to flirt with/to dally/
いちゃもん /(n) quibble/false charge/
いちゃもんを付ける [いちゃもんをつける] /(exp,v1) to pick a fight/to find fault/
いち押し [いちおし] /(n) (1) recommendation/(something) highly recommended/(vs) (2) to recommend/
いち推し [いちおし] /(n) (1) recommendation/(something) highly recommended/(vs) (2) to recommend/
いち早く [いちはやく] /(adv) promptly/quickly/without delay/
いっかくじゅう座 [いっかくじゅうざ] /(n) (constellation) Monoceros/
いっけ /(pref) prefix used to strengthen a derogatory adjective/
いっそ /(adv) rather/sooner/preferably/(P)/
いっその事 [いっそのこと] /(adv) rather/sooner/preferably/(P)/
いったい何なんですか [いったいなんなんですか] /(exp) what is it exactly?/what is it precisely/
いったい全体 [いったいぜんたい] /(adv) ... the heck (e.g. "what the heck?")/... in the world (e.g. "why in the world?")/... on earth (e.g. "who on earth?")/
いって参ります [いってまいります] /(exp) So long (lit:"(I'm) going and coming back")/I'm off/see you later/
いって来ます [いってきます] /(exp) (uk) I'm off/see you later/
いって来る [いってくる] /(vk) (1) I'm off/see you later/(2) to go (and then come back)/
いっらしゃいませ /(ik) (exp) welcome (in shops, etc.)/
いつかそのうち /(exp) one of these days/before very long/in the near future/
いつの間にか [いつのまにか] /(adv) before one knows/before one becomes aware of/unnoticed/unawares/
いつの間にやら [いつのまにやら] /(n) unawares/unnoticed/before you know it/
いつの時代にも [いつのじだいにも] /(adv) in all ages/over the ages/forever and ever/
いつの時代も [いつのじだいも] /(adv) in all ages/over the ages/forever and ever/
いつの日にか [いつのひにか] /(exp) one of these days/
いつまで経っても [いつまでたっても] /(exp) no matter how much time passes/
いつもいつも /(exp) year in, year out/24-7/
いつもの通りに [いつものとおりに] /(adv) as always/
いつも通り [いつもとおり] /(ik) (adv) as always/as usual/
いつも通り [いつもどおり] /(adv) as always/as usual/
いつ何どき [いつなんどき] /(adv) (uk) at any time/every moment/
いつ何時 [いつなんどき] /(adv) (uk) at any time/every moment/
いて座 [いてざ] /(n) Sagittarius/the Archer (constellation)/
いと /(adv) greatly/really/
いとこ婚 [いとここん] /(n) marriage between cousins/
いとし子 [いとしご] /(n) beloved dear child/
いとど /(n) (1) old name for a cave cricket/(2) even though/despite/even more/still/
いとはん /(n) (ksb:) daughter (of a good family)/
いとも /(adv) extremely/
いとも簡単に [いともかんたんに] /(adv) very easily/
いないいないばあ /(n) peekaboo (baby game)/peepbo/
いなか者 [いなかもの] /(n,adj-no) countryman/provincial/person from the country/provincial person/bumpkin/hick/hillbilly/
いなくなった /(exp) gone/left/
いなくなる /(exp) to disappear/to stop being/to leave/
いなだ /(n) young Japanese amberjack/
いのころ草 [いのころぐさ] /(n) spike-eared grass/
いのちの電話 [いのちのでんわ] /(n) telephone counselling service/
いのちを捨てる [いのちをすてる] /(exp,v1) to give one's life/to lay down one's life/
いの一番 [いのいちばん] /(exp) first of all/first thing/
いばらの道 [いばらのみち] /(n) thorny path/
いばら姫 [いばらひめ] /(n) Sleeping Beauty/Thorn Princess/Briar Rose/
いばりんぼ /(n) (col) boaster/
いびり出す [いびりだす] /(v5s) to drive someone out/to force someone to leave/
いびる /(v5r,vt) to pick on/to tease/
いぶし銀 [いぶしぎん] /(n) (1) oxidized silver/oxidised silver/(2) refined (aesthetic) taste/
いぶり出す [いぶりだす] /(v5s,vt) to smoke animal out of its den/
いぼた /(n) (uk) Ligustrum japonicum/
いま一つ [いまひとつ] /(adj-na,adv) (1) (uk) (col) one more/another/the other/(2) not quite/not very good/lacking/
いま一歩 [いまいっぽ] /(n,adv) (1) one more/another/the other/not quite/(2) close run/just falling short of success/
いみじくも /(adv) admirably/exquisitely/aptly/
いめいめしい /(adj-i) (obsc) annoying/
いもち病 [いもちびょう] /(n) rice blight/rice blast/
いもづる式 [いもづるしき] /(adv) one after another/in succession/
いもづる接続 [いもづるせつぞく] /(n) (comp) daisy chain connection/
いも虫 [いもむし] /(n) hornworm (caterpillar of a hawk moth)/(hairless) caterpillar/
いやが上に [いやがうえに] /(exp,adv) even more/all the more/
いやが上にも [いやがうえにも] /(adv) all the more/
いやだ /(int) not a chance/not likely/no way/(P)/
いやはや /(int) (Oh) dear!/(Oh) dear me!/Good gracious/
いや増す [いやます] /(v5s,vi) to increase (all the more)/
いよいよという時 [いよいよというとき] /(exp) (at the) last moment/(in the) nick of time/
いよいよと言う時 [いよいよというとき] /(exp) (at the) last moment/(in the) nick of time/
いようが /(exp) (following te-form verb) regardless of/whether (or not)/
いよやか /(adj-na) tall/stout/clear/well defined/
いらか段 [いらかだん] /(n) corbie-step/corbel gable/crowsteps/
いらしてください /(exp) please come (and visit us)/please come (to our shop)/
いらしゃい /(ik) (int,n) (1) (hon) (used as a polite imperative) come/go/stay/(2) welcome!/
いらしゃいませ /(ik) (exp) welcome (in shops, etc.)/
いらっしゃい /(int,n) (1) (hon) (used as a polite imperative) come/go/stay/(2) welcome!/(P)/
いらっしゃいませ /(exp) welcome (in shops, etc.)/(P)/
いらっしゃってください /(exp) (pol) please come (and visit us)/please come (to our shop)/
いらっしゃる /(v5aru,vi) (1) (hon) to come/to go/to be (somewhere)/(aux-v) (2) (after a -te form, or the particle "de") is (doing)/are (doing)/(P)/
いられないくらい /(exp) almost not able (to do something)/
いら立たしい [いらだたしい] /(adj-i) irritating/frustrating/
いら立ち [いらだち] /(n) irritation/
いら立つ [いらだつ] /(v5t) to be irritated/
いりがしら /(n) kanji "enter" radical at top (radical 11)/
いりやね /(n) kanji "enter" radical at top (radical 11)/
いるか座 [いるかざ] /(n) Delphinus/the Dolphin (constellation)/
いろは歌 [いろはうた] /(n) iroha poem/
いろは順 [いろはじゅん] /(n) Traditional ordering of Japanese syllabary based on a Buddhist poem/
いわし雲 [いわしぐも] /(n) cirro-cumulus/mackerel sky/
いを汲む [いをくむ] /(exp,v5m) to enter into a person's feelings/to guess what somebody feels (using one's intuition)/
いを用いる [いをもちいる] /(exp,v1) to pay attention to/
いんげん豆 [いんげんまめ] /(n) kidney bean/wax bean/
いんちき /(adj-na,n,vs) (1) cheating/fake/bogus/(2) travelling seller of trinkets, magic tricks, etc. (traveling)/
いん石 [いんせき] /(n) meteorite/
い辛っぽい [いがらっぽい] /(adj-i) (uk) acrid/pungent/irritating/
い段 [いだん] /(n) (ling) 'i' row/
うーん /(int) hmm/well/
ういっす /(int) (col) Hi/
ううむ /(int) erm/hurm/
ううん /(int) (1) no/(2) er, well, .../(3) groan/(P)/
うお座 [うおざ] /(n,adj-no) (1) (constellation) Pisces/the Fish/the Fishes/(2) (arch) fishmongers' guild/
うお氷に上る [うおこおりにのぼる] /(exp) third climate of spring (when the ice breaks and fish start appearing near the surface)/
うお氷に上る [うおひにのぼる] /(exp) third climate of spring (when the ice breaks and fish start appearing near the surface)/
うかうか /(adv,adv-to) (on-mim) carelessly/inattentively/
うかび出る [うかびでる] /(v1,vi) to surface/
うかれ歩く [うかれあるく] /(v5k,vi) to gad around/
うがい薬 [うがいぐすり] /(n) mouthwash/
うがん /(n) (Okinawa) sacred place/sacred grove/
うぐいす色 [うぐいすいろ] /(n) greenish brown/
うぐいす張り [うぐいすばり] /(n) nightingale (flooring)/method of laying floors to deliberately make a noise (like a nightingale's call) when walked across (security feature)/
うぐいす餅 [うぐいすもち] /(n) mochi filled with red bean paste and topped with green soy flour/
うけ取る [うけとる] /(v5r,vt) (1) to receive/to get/to accept/(2) to take/to interpret/to understand/
うさぎ座 [うさぎざ] /(n) Lepus/the Hare (constellation)/
うざい /(adj-i) (1) (col) annoying/noisy/(2) strict/
うざがる /(exp,v5r) to behave annoyed/to feel annoyed/
うざっこい /(adj-i) jumbled up/confused/frustrating/
うざったい /(adj-i) (1) (col) annoying/noisy/(2) strict/
うしかい座 [うしかいざ] /(n) Bootes/the Herdsman (constellation)/
うしろ手 [うしろで] /(n) (1) hands behind one's back/hands tied behind one's back/(2) behind (e.g. someone)/rear/back/(3) appearance from behind/
うじうじ /(adv,n,vs) (on-mim) irresolute/hesitant/
うじゃうじゃ /(adv,n,vs) in swarms/
うす口 [うすくち] /(n) light (flavor, flavour)/
うず /(aux-v) (1) (arch) will probably be/(2) intending to/will/(3) should/
うずうず /(n,adv,vs) (on-mim) sorely tempted/itching to do something/(P)/
うずまき線 [うずまきせん] /(n) spiral/
うずら豆 [うずらまめ] /(n) pinto bean/mottled kidney bean/
うず巻く [うずまく] /(v5k,vi) to whirl/to eddy/to swirl/to curl (smoke)/
うず形式 [うずけいしき] /(n) vortex design/
うそも方便 [うそもほうべん] /(exp) the end justifies the means/circumstances may justify a lie/
うそやん /(exp) (osb:) You're kidding!/
うそ寒い [うそさむい] /(adj-i) somewhat cold/a bit chilly/
うそ泣き [うそなき] /(n,vs) faking crying/crocodile tears/
うぞうぞ /(adv) (on-mim) fearfully/gingerly/
うたた寝 [うたたね] /(n,vs) dozing/napping (e.g. on the floor in one's clothes, in the train)/
うた沢 [うたざわ] /(n) slow-paced style of shamisen music with vocal accompaniment (popular during the late Edo period)/
うた沢節 [うたざわぶし] /(n) slow-paced style of shamisen music with vocal accompaniment (popular during the late Edo period)/
うだうだ /(adv) (on-mim) idle/long-winded and meaningless/
うだつが上がらない [うだつがあがらない] /(exp) no hope of getting ahead/
うだつの上がらない [うだつのあがらない] /(exp,adj-i) lacking potential for advancement/no-hoper/
うちの者 [うちのもの] /(n) a member of one's "in group" (e.g. one's family, employees, etc.)/
うちの人 [うちのひと] /(n) my husband/one's family/
うちの奴 [うちのやつ] /(n) my wife/"the wife"/
うちわやんま /(n) (uk) Sinictinogomphus clavatus (species of clubtail dragonfly)/
うち捨てる [うちすてる] /(v1,vt) to throw away/to abandon/
うち続く [うちつづく] /(v5k,vi) to continue for a long time/to undergo a repeated series/
うち破る [うちやぶる] /(v5r,vt) to break/to smash/to defeat/to destroy/to eliminate/
うち連れる [うちつれる] /(v1,vi) to go along with/
うっかり /(adv,n,vs) carelessly/thoughtlessly/inadvertently/(P)/
うっかりミス /(n) honest mistake/
うって変わる [うってかわる] /(v5r) to change suddenly/
うっとり /(adv,adv-to) (1) ecstatically/spellbound/with rapt attention/(2) abstractedly/absentmindedly/absorbedly/vacantly/
うっとりさせる /(v1) to enchant/to enrapture/to enthrall (enthral)/to charm/
うっとりする /(exp,vs-i) (1) to be entranced/to be enraptured/to be transported/to be fascinated/(2) to be absentminded/to be miles away/to be in a world of one's own/
うっとりとする /(exp,vs-i) (1) to be entranced/to be enraptured/to be transported/to be fascinated/(2) to be absentminded/to be miles away/to be in a world of one's own/
うっぷ /(n) (on-mim) burp/belch/
うっ血 [うっけつ] /(n,vs) (1) blood congestion/(suf) (2) -stasis/
うっ血性心不全 [うっけつせいしんふぜん] /(n) congestive heart failure/CHF/
うっ滞 [うったい] /(n,adj-no,vs) (uk) congestion/pent-up feelings/
うつつを抜かす [うつつをぬかす] /(exp,v5s) to be infatuated/to be hooked on/
うつぼ /(n) (uk) moray (eel) (Gymnothorax kidako)/muraenid/
うつらうつら /(adv) drowsily/nodding off/
うつ向く [うつむく] /(v5k) to hang one's head in shame/to look downward/to cast one's eyes down/
うつ状態 [うつじょうたい] /(n,adj-no) depression/manic depression/
うつ病 [うつびょう] /(n) melancholia/depression/
うつ伏す [うつぶす] /(v5s) (1) to lie with one's face on the ground/(2) (arch) to lower (one's head, gaze, etc.)/
うつ伏せる [うつぶせる] /(v1,vt) to lie face-down/
うとうと /(adv,n,vs,adv-to) (on-mim) falling in a doze/dozing/(P)/
うとっと /(adv,n,vs,adv-to) (on-mim) falling in a doze/dozing/
うどの大木 [うどのたいぼく] /(exp) good for nothing (of people)/derived from a large 'udo' plant being of no use (only the young, tender, plant can be eaten)/
うどんこ病 [うどんこびょう] /(n) powdery mildew/
うどん粉 [うどんこ] /(n) udon flour (wheat flour)/
うながっぱ /(n) type of maki sushi typically made from eel and cucumber/
うなぎ屋 [うなぎや] /(n) eel restaurant/
うなぎ昇り [うなぎのぼり] /(n,adj-no) rapid promotion/soaring/going through the roof/
うなぎ上り [うなぎのぼり] /(n,adj-no) rapid promotion/soaring/going through the roof/
うなぎ登り [うなぎのぼり] /(n,adj-no) rapid promotion/soaring/going through the roof/
うなぎ丼 [うなぎどんぶり] /(n) bowl of eel and rice (donburi)/
うなり出す [うなりだす] /(v5s) to let out a roar (hum, groan, moan)/to produce a loud noise/
うなり声 [うなりごえ] /(n) (1) roar/growl/(2) groan/moan/
うな重 [うなじゅう] /(n) broiled eel served over rice a lacquered box/
うな丼 [うなどん] /(n) bowl of eel and rice (donburi)/
うねうね /(adv,n,vs) (on-mim) winding/meandering/zigzag/sinuous/tortuous/
うはうは /(exp) exhilarated/all smiles/
うば車 [うばぐるま] /(n) baby carriage/perambulator/
うふふ /(adv) chuckling/giggling/
うぶ毛 [うぶげ] /(n) (1) soft, downy hair (i.e. such as on one's cheek)/peach fuzz/fluff/pappus/(2) lanugo/(adj-no) (3) lanuginous/pappose/pappous/
うまい菜 [うまいな] /(n) (osb:) Swiss chard/
うまい汁を吸う [うまいしるをすう] /(exp,v5u) to be onto a good thing/to make money without working/to line one's pockets/
うまい棒 [うまいぼう] /(n) Umaibo/small, puffed, cylindrical corn snack (trademarked)/
うまい話 [うまいはなし] /(n) too good to be true stories (offers) (e.g. scams and frauds)/
うまくやって行く [うまくやっていく] /(exp,v5k-s) to get along well with/to make a go of it/
うまく行かない [うまくいかない] /(exp,adj-i) unsuccessful/going badly/
うまく行く [うまくいく] /(v5k-s) to go smoothly/to turn out well/to do the trick/to have peaceful relations/(P)/
うま味 [うまみ] /(n) (1) good flavor (flavour)/good taste/deliciousness/(2) umami (fifth category of taste, corresponding to the flavour of glutamates)/(3) skill/(4) profit/
うま味調味料 [うまみちょうみりょう] /(n) flavour enhancer (e.g. MSG)/flavor enhancer/
うみたなご /(n) (uk) sea chub (Ditrema temminckii temminckii)/
うみへび座 [うみへびざ] /(n) Hydra (constellation)/
うみ葡萄 [うみぶどう] /(n) sea grapes (Caulerpa lentillifera)/
うむ /(int) (arch) yea/uh huh/
うめき声 [うめきごえ] /(n) groan/moan/moaning/
うようよ /(adv,vs) (on-mim) in swarms/crawling with/
うらうら /(adv-to) (on-mim) gently and clearly shining (like the sun in springtime)/
うらぶれる /(v1,vi) to get shabby/to go downhill/to go to seed/to go to the dogs/
うら枯れる [うらがれる] /(v1,vi) to die (esp. foliage as winter approaches)/
うら若い [うらわかい] /(adj-i) young/youthful/
うら寂しい [うらさびしい] /(adj-i) lonesome/lonely/forlorn/
うら恥ずかしい [うらはずかしい] /(adj-i) slightly ashamed/rather shy/
うら悲しい [うらがなしい] /(adj-i) sad/mournful/melancholy/sorrowful/
うりずん /(n) climate of the third month of the lunar calendar in Okinawa (end of the dry season)/early summer/
うり二つ [うりふたつ] /(adj-na) as alike as two melons (two peas in a pod)/
うるう年 [うるうどし] /(n,adj-no) (uk) leap year/
うるき星 [うるきぼし] /(n) Chinese "Girl" constellation (one of the 28 mansions)/
うるさ型 [うるさがた] /(n) fastidiousness/faultfinding/nit-picking/
うるさ方 [うるさがた] /(iK) (n) fastidiousness/faultfinding/nit-picking/
うるめぶし /(n) finely chopped round herring/
うれしい悲鳴 [うれしいひめい] /(exp,n) shriek of delight/cry of joy/
うれし泣き [うれしなき] /(n,vs) weeping for joy/crying with happiness/
うろうろ /(adv,n,vs) (on-mim) loiteringly/aimless wandering/(P)/
うろこ引き [うろこひき] /(n) fish scaler/
うろちょろ /(n,vs) loitering/hanging around/wandering around/
うろつき回る [うろつきまわる] /(v5r) to rove/to prowl/to go cruising/
うろ覚え [うろおぼえ] /(n) (1) vague recollection/faint memory/
うろ抜く [うろぬく] /(v5k,vt) to thin out (e.g. seedlings)/
うわ /(int) Wow!/Holy smokes!/Aaargh!/O my God!/
うわー /(int) Wow!/Holy smokes!/Aaargh!/O my God!/
うわあ /(int) Wow!/Holy smokes!/Aaargh!/O my God!/
うわさを聞く [うわさをきく] /(exp,v5k) to hear a rumor/to get wind of/
うわさ話 [うわさばなし] /(n,vs) gossip/
うわの空 [うわのそら] /(adj-na,n) inattention/absent-mindedness/
うわ気 [うわき] /(n,adj-na,vs) (1) (sens) extramarital sex/affair/fooling around/(2) infidelity/wantonness/unfaithfulness/inconstancy/fickleness/caprice/
うわ言 [うわごと] /(n) (uk) talking in delirium/incoherent muttering/
うん /(int) (1) yeah/uh huh/(n-pref) (2) some (at the start of a number in place of a digit)/(P)/
うんうん /(int) uh-huh/sound indicating agreement/grunting or groaning sound/
うんこ /(n,vs) (col) shit/faeces/feces/(P)/
うんざり /(adv,n,vs) tedious/boring/being fed up with/(P)/
うんしょっと /(int) omigosh/crikey/
うんたら /(n) mumble (used in place of meaningful words in a sentence)/
うんたらかんたら /(n) something-something (phrase used in place of meaningful words in a sentence)/
うんち /(n,vs) (col) shit/faeces/feces/(P)/
うんちゃらかんちゃら /(exp) something-something ('fill in the blank' type phrase)/
うんと /(adv) (1) (on-mim) a great deal/very much/a lot/(2) with a great amount of effort/
うんとこさ /(n) (1) grunt of effort/oof/(2) a lot/plenty/
うんとこしょ /(n) yell made when starting to move something/grunt/
うんともすんとも /(exp,adv) (followed by a negative verb form) not uttering a single word/not giving even the slightest response/
うんともすんとも言わない [うんともすんともいわない] /(exp,adj-i) keeping silent/saying nothing at all/
うん蓄 [うんちく] /(n,vs) one's vast stock of knowledge/
うん蓄を傾ける [うんちくをかたむける] /(exp,v1) (obs) to draw upon one's profound knowledge/
うん薹 [うんたい] /(n) rape (seed oil plant, Brassica campestris)/Chinese colza/yuntai/
うん薹 [うんだい] /(n) rape (seed oil plant, Brassica campestris)/Chinese colza/yuntai/
う蝕 [うしょく] /(n) tooth decay/dental caries/
う段 [うだん] /(n) (ling) 'u' row/
え /(int) (1) eh? (surprise)/(2) eh (agreement)/(prt) (3) (arch) strengthens a question, assertion, etc./(4) (after a noun) used when calling out to someone/
えいえいおう /(int) hurray/hurrah/
えいや /(int) go for it/heave/ugh/
えいやっ /(int) go for it/heave/ugh/
えい航 [えいこう] /(n,vs) towing (a ship)/
ええ /(int) (1) yes/that is correct/right/(2) um/errr/(3) huh?/(4) grrr/gah/Must I?/(adj-f) (5) (ksb:) good/(P)/
ええじゃないか /(exp) (1) isn't it great?/(n) (2) carnival-like religious celebrations (e.g. dancing festivals) that occurred across Japan from June 1867 to May 1868/
ええと /(int) let me see/well/errr .../(P)/
ええ加減にしいや [ええかげんにしいや] /(exp) (uk) (ksb:) I've had enough of your messing around (orig. a phrase signaling the end of a manzai performance)/
えげつない /(adj-i) dirty/vulgar/nasty/
えこ贔屓 [えこひいき] /(adj-na,n,vs) favoritism/favouritism/partiality/prejudice/bias/
えさ場 [えさば] /(n) feeding grounds/
えずい /(adj-i) (1) unpleasant/uncomfortable/(2) frightening/(3) cruel/rude/violent/wild/
えせ学者 [えせがくしゃ] /(n,adj-no) pseudo-scholar/fake scholar/would-be expert/
えぞももんが /(n) (uk) Pteromys volans orii (subspecies of the Siberian flying squirrel, endemic to Hokkaido)/
えっ /(int) Huh?/What's up?/
えっさっさ /(int) heave-ho (chant when doing heavy work)/
えっちらおっちら /(adv) with a great deal of effort/laboriously/
えっと /(int) let me see/well/errr .../
えっへん /(int) ahem/
えのき茸 [えのきたけ] /(n) (uk) enoki mushroom (long, thin and white)/Flammulina velutipes/winter mushroom/
えのき茸 [えのきだけ] /(n) (uk) enoki mushroom (long, thin and white)/Flammulina velutipes/winter mushroom/
えばりんぼ /(n) (col) boaster/
えびっさん /(n) (col) Ebisu (local dialect forms)/
えへへ /(exp) tee-hee/giggle/
えへらえへら /(adv) meaninglessly (laugh)/(laugh) hollowly/
えへん /(int) ahem/
えべっさん /(n) (col) Ebisu (local dialect forms)/
えも言われず [えもいわれず] /(adj-f) indescribable (in praise of something)/exquisite/inexpressible/indefinable/
えも言われぬ [えもいわれぬ] /(adj-f) indescribable (in praise of something)/exquisite/inexpressible/indefinable/
えらい目 [えらいめ] /(exp) terrible time/hard time/bad day/
えら呼吸 [えらこきゅう] /(n) branchial respiration (breathing using gills)/
えら物 [えらぶつ] /(n) talented person/great man/great woman/
えら物 [えらもの] /(n) talented person/great man/great woman/
えり好み [えりごのみ] /(n,vs) being particular about/fastidious/
えり蚕 [えりさん] /(n) (uk) eri silkmoth (Samia cynthia ricini)/eri silkworm/
えり抜き [えりぬき] /(adj-no,n) the very best/elite/
えり抜く [えりぬく] /(v5k,vt) to select/to choose/
えり分ける [えりわける] /(v1,vt) to classify/to sort out/to sift through/
えんがちょ /(n) (1) (chn) crossed fingers and word said to call someone to be avoided as 'dirty'/(vs) (2) to cross one's fingers (to ward off 'dirt')/
えんがちょ切った [えんがちょきった] /(exp) (chn) phrase used (usu. with accompanying crossed fingers gesture) to ward off catching 'dirtiness' from another child/
えんこ /(n,vs) (1) squatting/sitting/(2) breaking down/stopping (e.g. of car engine)/
えんさかほい /(n) heave! (sound made while pulling a heavy vehicle)/
えんすう /(n) (obsc) mythical Chinese bird/
えんぺら /(n) squid fin/
えんま帳 [えんまちょう] /(n) teacher's mark or grade book/
えん官 [えんかん] /(n) eunuch/
えん罪 [えんざい] /(n) false charge/false accusation/misrepresentation/
えん堤 [えんてい] /(n) dike/weir/
えゾオオカミ /(n) (uk) Hokkaido wolf (Canis lupus hattai, extinct)/
え辛っぽい [えがらっぽい] /(adj-i) (uk) acrid/pungent/irritating/
え段 [えだん] /(n) (ling) 'e' row/
お /(int) oh! (expression of slight surprise)/
おーい /(int) ahoy/hullo/hello/
おｋ [オーケー] /(n) (col) OK/
おｋ [オッケー] /(n) (col) OK/
おあつらえ向き [おあつらえむき] /(adj-no) perfect/just right/ideal/
おい /(int) (1) hey!/oi!/(2) (ksb:) me/
おいおい /(int) (1) Hey!/Wait a minute!/Whoa!/(adv,adv-to) (2) boohoo/waaaa/
おいそれと /(adv) at a moment's notice/readily/
おいた /(n) childish prank/mischief/
おいでやす /(exp) (kyb:) welcome (in shops, etc.)/
おいどん /(n) (Kagoshima dialect) I/me/
おいべっさん /(n) (col) Ebisu (local dialect forms)/
おい付く [おいつく] /(v5k,vi) to overtake/to catch up (with)/
おうし座 [おうしざ] /(n) Taurus/the Bull (constellation)/
おうむ返し [おうむがえし] /(n) parroting another's words/
おう吐 [おうと] /(n,vs,adj-no) vomiting/
おえら方 [おえらがた] /(n) superiors/very important persons/VIPs/dignitaries/big shots/
おおい /(int) (1) hey!/oi!/
おおいぬ座 [おおいぬざ] /(n) Canis Major (constellation)/
おおかみ座 [おおかみざ] /(n) Lupus (constellation)/
おおぐま座 [おおぐまざ] /(n) Ursa Major (constellation)/
おおすみ型輸送艦 [おおすみがたゆそうかん] /(n) Osumi class vehicle transport ship/
おおたなご /(n) (uk) Acheilognathus macropterus (species of cyprinid)/
おおひるめのむち /(n) Sun Goddess/Amaterasu Oomikami/
おおみず /(n) white angel/malus tschonoskii/
おおアメリカももんが /(n) (uk) northern flying squirrel (Glaucomys sabrinus)/
おかか /(n) finely chopped katsuobushi, sometimes with soy sauce/
おかけ下さい [おかけください] /(exp) (uk) please sit down/please have a seat/
おかしみ /(n) humor/humour/wit/
おかちん /(n) (fem) (arch) mochi/
おが屑 [おがくず] /(n) sawdust/
おきえそ /(n) (uk) bluntnose lizardfish (Trachinocephalus myops)/snakefish/
おぎゃあ /(n) cry (of baby)/mewl (of kitten)/
おくびにも出さない [おくびにもださない] /(exp) not revealing (thoughts, feelings)/not breathing a word/
おくれ毛 [おくれげ] /(n) straggling hair/
おく病 [おくびょう] /(adj-na,n) cowardice/timidity/
おけさ /(n) type of traditional vocal music/
おけさ節 [おけさぶし] /(n) okesa song/
おこしやす /(exp) (kyb:) welcome (in shops, etc.)/
おこし種 [おこしだね] /(n) roasted millet or rice cake used to make okoshi/
おこじょ /(n) stoat/ermine/short-tailed weasel (Mustela erminea)/
おさげ髪 [おさげがみ] /(n) pigtails/two plaits hanging about one's shoulders/two plaits hanging down one's back/queue/
おさらば /(n,vs) good-bye/farewell/
おさ打ち [おさうち] /(n) beating/beating up/
おさ通し [おさとおし] /(n) reed drawing-in (manuf.)/denting/
おざなりになって /(exp) to say commonplace things/
おしっこ /(n) (1) (col) wee-wee/pee-pee/number one/(vs) (2) to urinate/(P)/
おしどり夫婦 [おしどりふうふ] /(exp) loving couple/couple of lovebirds/happily married couple (who are always together)/
おしゃぶり /(n) teething ring/pacifier/dummy/
おしゃま /(n,adj-na) precocity/
おしろい焼 [おしろいやけ] /(n) damage to skin by ceruse/
おしろい焼け [おしろいやけ] /(n) damage to skin by ceruse/
おし黙る [おしだまる] /(v5r,vi) to keep silent/
おじゃる /(v4r) (1) (arch) (hon) to come/to go/to be/(aux-v) (2) (usu. after the particle 'de') forms a polite copula/
おじゃん /(n) coming to nothing/
おじゃんになる /(exp) to fall through/to come to nothing/to be ruined/
おじや /(n) rice gruel containing vegetables, fish, etc., and seasoned with miso or soy sauce/
おじん /(n) old man/old-timer/old fogey/
おせち料理 [おせちりょうり] /(n) food served during the New Year's Holidays/
おせんち /(n,adj-na) (uk) (col) (abbr) sentimental/sentimentality/
おそれ多い [おそれおおい] /(adj-i) awesome/awe-inspiring/august/
おそろ /(n,adj-no) (abbr) (sl) same/matching/going together/
おぞい /(adj-i) (1) (col) crude/inferior grade/worn/ragged/shameful/(2) sly/clever/(3) disgusting/repulsive/absurd/
おぞけを振るう [おぞけをふるう] /(exp,v5u) to be horrified/to be filled with trepidation/
おぞけ立つ [おぞけだつ] /(v5t,vi) to be horrified/to be filled with trepidation/to shake with fright/to yield to terror/
おたおた /(adv,n,vs) (on-mim) shocked speechless/
おたふく風邪 [おたふくかぜ] /(n) mumps/
おたんこなす /(n) fool/twit/idiot/bird-brain/
おちゃっぴい /(n) chatterbox/talkative girl/precocious girl/
おちょくる /(v5r,vt) to tease/to banter/to make fun of somebody/
おちょける /(v5r,vt) to tease/to banter/to make fun of somebody/
おちょぼ口 [おちょぼぐち] /(n) puckered-up mouth/button of a mouth/
おっかけ /(n) person who chases after idol, showbiz star/
おっかない /(adj-i) (1) frightening/scary/(2) extreme/exaggerated/huge/
おっかなびっくり /(adv) fearfully/nervously/timidly/gingerly/
おっさん /(n) (1) (abbr) rude term for middle-aged man/(2) Buddhist priest/(P)/
おっちょこちょい /(adj-na,n) careless person/scatterbrain/birdbrain/
おっつかっつ /(adj-no) much the same/nearly equal/
おっと /(int) uh-oh/oops/sorry/
おっとり /(adv-to,adv,vs) gently/quietly/calmly/
おっぱい /(n) (1) (chn) breasts/boobies/tits/(2) (chn) breast milk/(P)/
おっぱいアイス /(n) soft icecream sold in a balloon/
おっぽり出す [おっぽりだす] /(v5s,vt) to throw out/to fire/to expel/to give up/to abandon/to neglect/
おっ開く [おっぴらく] /(v5k) (1) to do something in public/(2) to open/
おっ魂消る [おったまげる] /(v1,vi) (uk) to be very surprised/to be flabbergasted/
おっ放り出す [おっぽりだす] /(v5s,vt) to throw out/to fire/to expel/to give up/to abandon/to neglect/
おつむ /(n) (1) (abbr) face (used mostly with children)/head/(2) brains/intelligence/
おつむてんてん /(exp,n) motion of a baby gently hitting his own face with both of his hands/
おでん屋 [おでんや] /(n) oden vendor/
おとぎの国 [おとぎのくに] /(n) a fairyland or never-never land/
おとぎ話 [おとぎばなし] /(n) fairy-tale/nursery-tale/
おとし入れる [おとしいれる] /(v1,vt) (1) to trick someone into (committing a crime, etc.)/to hatch a plan and deceive someone/(2) to assault (a castle, etc.)/(3) to drop something and have it fall into something/
おととい来やがれ [おとといきやがれ] /(exp) (sl) Don't you ever come here again!/
おとめ座 [おとめざ] /(n) Virgo (constellation)/the Virgin/
おとり捜査 [おとりそうさ] /(n) sting operation/undercover investigation/
おと年 [おととし] /(n-adv,n-t) year before last/
おどおど /(adv,n,vs) (on-mim) coweringly/hesitantly/(P)/
おどり出る [おどりでる] /(v1,vi) to jump (e.g. to first place)/to spring out/
おどり上がる [おどりあがる] /(v5r,vi) to spring up/to leap to one's feet/to jump up and down/
おどろおどろしい /(adj-i) (1) (arch) eerie/hair-raising/(2) exaggerated/ostentatious/
おなかの子 [おなかのこ] /(exp) child one is expecting/
おにい系 [おにいけい] /(n) men's fashion style characterized by brown hair and deep-tanned skin, expensive brand-name clothes and accessories/
おにかます /(n) (uk) great barracuda (Sphyraena barracuda)/
おねんね /(n,vs) bed-time (for a baby)/going bye-byes/
おのずから明らか [おのずからあきらか] /(adj-na) self-evident/
おは /(int) (abbr) Good morning!/Hi!/
おはか参り [おはかまいり] /(n) ritual visit to the tomb of one's ancestors (bringing flowers, burning incense, cleansing the tombstone)/
おはよっす /(exp) G'morning/Hi!/
おばこ /(n) (col) virgin/
おばたりあん /(n) (col) generally obnoxious middle-aged woman (from aunt and battalion)/
おばはん /(n,adj-na) (1) (ksb:) aunt/(2) middle-aged lady/
おひつじ座 [おひつじざ] /(n) Aries (constellation)/the Ram/
おびき寄せる [おびきよせる] /(v1,vt) to lure someone/to entice someone/
おびき出す [おびきだす] /(v5s,vt) (1) to lure out of/to decoy out of/(2) to drive to (tears, sleep, etc.)/to evoke (sympathy, etc.)/(3) (arch) to abduct/to entice out of/
おべっか /(n) flattery/
おべっかを使う [おべっかをつかう] /(exp,v5u) to suck up to/to curry up to someone/
おべっさん /(n) (col) Ebisu (local dialect forms)/
おべんちゃら /(n) flattery/
おほんおっほん /(int) ahem/harrumph/
おぼれる者はわらをもつかむ [おぼれるものはわらをもつかむ] /(exp) (proverb) A drowning man will catch at a straw/
おぼれる者は藁をもつかむ [おぼれるものはわらをもつかむ] /(exp) (proverb) A drowning man will catch at a straw/
おぼろ雲 [おぼろぐも] /(n) altostratus cloud/
おぼろ月夜 [おぼろづきよ] /(n) misty, moonlit night/
おぼろ夜 [おぼろよ] /(n) misty, moonlit night/
おまんこ /(n) (1) (X) (col) vagina/(vs) (2) to have sexual intercourse/to screw/
おまんまの食い上げ [おまんまのくいあげ] /(exp) losing the means of livelihood/
おみ /(n) (1) (abbr) (col) miso (usu. said by housewives)/(2) miso soup/
おみ足 [おみあし] /(n) (hon) another's foot or leg/
おみ籤 [おみくじ] /(n) (uk) written oracle/fortune slip/
おめおめ /(adv-to) (1) (on-mim) shamelessly/acting brazenly unaffected/(2) being resigned to (disgrace)/
おめかし /(n,vs) dressing up/
おめこ /(n) (1) (X) (col) vagina/(vs) (2) to have sexual intercourse/to screw/
おめでた /(n) matter for congratulation (wedding, pregnancy, birth, etc.)/happy event/
おめでた婚 [おめでたこん] /(n) (euph. for) shotgun wedding (seeking to avoid a negative connotation)/
おもしい /(adj-i) interesting (Kanazawa dialect)/amusing/
おもちゃ屋 [おもちゃや] /(n) toy shop/
おもり /(n) clog/
おもろい /(adj-i) (ksb:) interesting/amusing/
おや /(conj,int,n) oh!/oh?/my!/(P)/
おやおや /(int) my goodness!/oh my!/oh dear!/
おやしお型潜水艦 [おやしおがたせんすいかん] /(n) Oyashio class submarine/
おやじぎゃる /(n) (sl) young woman who acts like an old man/
おやじギャル /(n) (sl) young woman who acts like an old man/
おやじ狩り [おやじがり] /(n) street violence against middle-aged men/
おやまあ /(exp) Good heavens!/Oh my god!/gee whiz/
およしなさい /(exp) please stop/
およべっさん /(n) (col) Ebisu (local dialect forms)/
おりたたみ印刷物 [おりたたみいんさつぶつ] /(n) leaflet/folded printed matter/
おり立つ [おりたつ] /(v5t,vi) (1) to go down and stand/(2) to alight/to get down/
おれおれ詐欺 [おれおれさぎ] /(n) type of fraud involving phone calls pretending distress/
おれんち /(n) (male) my house/
おれ合う [おれあう] /(v5u,vi) to get along with/to compromise/to make concessions/to come to an agreement/
おれ込む [おれこむ] /(v5m,vi) to be folded under or inside/
おろおろ /(adv,n,vs) (on-mim) nervous/flustered/in a dither/all shook up/(P)/
おろおろ声 [おろおろごえ] /(n) broken voice/emotional voice/
おろか者 [おろかもの] /(n) fool/
おろしポン酢 [おろしポンず] /(n) ponzu mixed with grated daikon/
おろちょろ /(n,vs) lounging about/
おわら風の盆 [おわらかぜのぼん] /(n) Owara-Kaze-no-Bon Festival (Toyama)/
おん /(n) (Okinawa) sacred site/sacred grove/
おんおん /(adv-to,adv) (obsc) bawling/crying/
おんにゃのこ /(n) girl/
おんぼろ /(adj-na,adj-no) worn-out/shabby/tattered/dilapidated/
おんり /(vs) (chn) to get down (from being carried)/to get off (a vehicle)/
おセンチ /(n,adj-na) (uk) (col) (abbr) sentimental/sentimentality/
おデブさん /(n) chubby person/
お愛でたい [おめでたい] /(n) (1) (uk) (pol) special/auspicious/happy/(2) naive/inncocent/good-natured/
お愛想 [おあいそ] /(n) (1) (pol) compliment/flattery/(2) service/hospitality/(3) bill (at a restaurant; formerly, not used by customers)/check/
お愛想 [おあいそう] /(n) (1) (pol) compliment/flattery/(2) service/hospitality/(3) bill (at a restaurant; formerly, not used by customers)/check/
お握り [おにぎり] /(n) (uk) rice ball (often triangular, sometimes with a filling and wrapped in nori)/(P)/
お安い [おやすい] /(adj-i) easy/simple/
お安いご用 [おやすいごよう] /(n) easy task/no problem/
お安い御用 [おやすいごよう] /(n) easy task/no problem/
お安くない [おやすくない] /(exp) on very good terms with each other/romantically attached/
お偉いさん [おえらいさん] /(n) (col) big shot/higher-ups/
お偉方 [おえらがた] /(n) superiors/very important persons/VIPs/dignitaries/big shots/
お為ごかし [おためごかし] /(n) self-aggrandizement under pretense of aiding another (aggrandisement, pretence)/
お医者さん [おいしゃさん] /(n) (pol) doctor/(P)/
お医者様 [おいしゃさま] /(n) (hon) doctor/
お一人様 [おひとりさま] /(n) one person or customer/(may indicate a restaurant hospitable for lone women)/
お稲荷さん [おいなりさん] /(n) (1) (hon) Inari (god of harvests, wealth, fertility, etc.)/(2) (hon) Inari shrine/(3) (pol) Inari-zushi (sushi wrapped in fried tofu)/
お印 [おしるし] /(n) (1) (uk) a show/blood-stained mucus discharge that happens during pregnancy up to two weeks before delivery/(2) signature mark (crest) used by members of the Imperial family to mark their belongings/(3) a sign (with honorific 'o')/
お引き受け [おひきうけ] /(n) undertaking/underwriting/acceptance/
お引き摺り [おひきずり] /(n) (1) train of dress/trailing skirt/(2) woman who doesn't work and only thinks about fashion/
お引摺り [おひきずり] /(n) (1) train of dress/trailing skirt/(2) woman who doesn't work and only thinks about fashion/
お蔭 [おかげ] /(n) (your) backing/assistance/thanks or owing to/
お蔭で [おかげで] /(exp) thanks to you/owing to you/because of you/
お蔭参り [おかげまいり] /(n) pilgrimage to Ise/
お蔭様 [おかげさま] /(n) (your) backing/assistance/
お蔭様で [おかげさまで] /(exp) (pol) (I'm fine) thank you/under the gods' shadow/(P)/
お陰 [おかげ] /(n) (your) backing/assistance/thanks or owing to/
お陰で [おかげで] /(exp) (uk) thanks to ... (can be used for non-people causes)/owing to ..../
お陰様で [おかげさまで] /(exp) (pol) (I'm fine) thank you/under the gods' shadow/
お羽車 [おはぐるま] /(n) portable shrine used to transport a sacred object/
お越し [おこし] /(exp) (hon) coming or leaving/
お下がり [おさがり] /(n,adj-no) (1) food offering to the gods/(2) leftovers/hand-me-downs/
お下げ [おさげ] /(n) wearing one's hair in braids/
お下げ髪 [おさげがみ] /(n) pigtails/two plaits hanging about one's shoulders/two plaits hanging down one's back/queue/
お化け [おばけ] /(n) goblin/apparition/monster/ghost/(P)/
お化けの話 [おばけのはなし] /(n) spooky tale/ghost story/
お化け屋敷 [おばけやしき] /(n) haunted house/
お化け暦 [おばけごよみ] /(n) (arch) private koyomi published illegally (Edo period)/
お化け話 [おばけばなし] /(n) ghost story/spooky story/
お伽 [おとぎ] /(n) attending (upon)/keeping another company/
お伽の国 [おとぎのくに] /(n) a fairyland or never-never land/
お伽草子 [おとぎぞうし] /(n) fairy-tale book/
お伽話 [おとぎばなし] /(n) fairy-tale/nursery-tale/
お嫁さん [およめさん] /(n) bride/
お家 [おうち] /(n) (pol) your home/your group/their home/
お家芸 [おいえげい] /(n) (1) one's specialty/one's forte/(2) specialty of a kabuki school/
お家騒動 [おいえそうどう] /(n) family trouble (quarrel)/domestic squabble/internal squabble (over headship rights) in a daimyo family in the Edo period/
お暇 [おいとま] /(n,vs) (1) (uk) leaving/going home/(2) quitting one's job/(3) free time/leisure/spare time/
お河童 [おかっぱ] /(n) (uk) bobbed hair (from resemblance to the mythical Kappa's hair style)/
お火焚 [おひたき] /(n) Kyoto area festival held on the 11th lunar month (wherein bonfires are burned at shrines)/
お火焚 [おほたき] /(n) Kyoto area festival held on the 11th lunar month (wherein bonfires are burned at shrines)/
お花見 [おはなみ] /(n,vs) cherry blossom viewing/flower viewing/
お花畑 [おはなばたけ] /(n) field of alpine flowers/
お荷物 [おにもつ] /(n) (1) (pol) baggage/luggage/(2) burden/albatross around someone's neck/excess baggage/
お菓子 [おかし] /(n) confections/sweets/candy/(P)/
お過ごし [おすごし] /(exp) (hon) getting along/
お芽出度い [おめでたい] /(ateji) (n) (1) (uk) (pol) special/auspicious/happy/(2) naive/inncocent/good-natured/
お芽出度う [おめでとう] /(ateji) (int) (uk) congratulations!/an auspicious occasion!/
お会計 [おかいけい] /(n) (restaurant) bill/
お悔やみ申し上げます [おくやみもうしあげます] /(exp) my condolences/my deepest sympathy/
お開き [おひらき] /(n) breakup (of a ceremony, wedding, party, meeting, etc.)/closure/
お開きにする [おひらきにする] /(vs-i) to break up (e.g. a meeting)/to call it a night/
お楽しみ [おたのしみ] /(n) (pol) enjoyment/pleasure/diversion/amusement/hobby/
お掛け下さい [おかけください] /(exp) (uk) please sit down/please have a seat/
お株 [おかぶ] /(n) one's forte/
お株を奪う [おかぶをうばう] /(exp,v5u) to beat someone at his own game/
お釜 [おかま] /(n) (1) (pol) pot/(2) volcanic crater/(3) (one's) buttocks/(4) (uk) (col) male homosexual/effeminate man/male transvestite/
お釜を掘る [おかまをほる] /(exp,v5r) (1) to perform anal sex/to bugger/to sodomize/to sodomise/(2) to crash a car into the back of another (usu. used in the passive voice)/to rear-end/
お粥 [おかゆ] /(n) thin rice porridge/watery cooked rice/rice gruel/
お冠 [おかんむり] /(n) (uk) bad temper/bad mood/
お寒い [おさむい] /(adj-i) (1) poor/unsatisfactory/inadequate/(2) (pol) cold/chilly/
お勧め [おすすめ] /(n,vs) recommendation/advice/suggestion/encouragement/
お丸 [おまる] /(n) (uk) bedpan/chamber pot/potty/
お眼鏡 [おめがね] /(n) (your) judgment/discernment/
お顔 [おかお] /(n) your (honorable) face (honourable)/
お願い [おねがい] /(n,vs) (1) (hon) request/wish/(int) (2) (abbr) please/
お願いいたします [おねがいいたします] /(exp) (hon) please/
お願いごと [おねがいごと] /(n) request/
お願いします [おねがいします] /(exp) (hum) please/(P)/
お願いできますか [おねがいできますか] /(exp) (hon) may I ask (for)/might I ask (that)/
お願いを聞く [おねがいをきく] /(exp,v5k) to grant someone's request/
お願い事 [おねがいごと] /(n) request/
お願い出来ますか [おねがいできますか] /(exp) (hon) may I ask (for)/might I ask (that)/
お願い申し上げる [おねがいもうしあげる] /(exp,v1) (pol) please/
お願い致します [おねがいいたします] /(exp) (hon) please/
お帰り [おかえり] /(n) (1) (hon) return/(int) (2) (abbr) welcome home/(P)/
お帰りなさい [おかえりなさい] /(int) welcome home/(P)/
お気に召す [おきにめす] /(exp,v5s) (hon) to like/to prefer/to be pleased by/
お気に入り [おきにいり] /(exp) (1) favorite/favourite/pet (e.g. teacher's pet)/(2) bookmark (in web browser)/(P)/
お気の毒 [おきのどく] /(adj-na) pitiful/pity/
お気の毒に [おきのどくに] /(exp) my sympathies/that's too bad/my condolences/
お気を確かに [おきをたしかに] /(exp) Don't do anything rash!/Keep composed!/
お祈り [おいのり] /(n,vs) prayer/supplication/
お亀 [おかめ] /(n) plain-looking woman/
お詰 [おつめ] /(n) (1) lowest-ranking guest at tea ceremony/(2) tea master/
お詰め [おつめ] /(n) (1) lowest-ranking guest at tea ceremony/(2) tea master/
お客さま [おきゃくさま] /(n) (hon) guest/visitor/customer/
お客さん [おきゃくさん] /(n) guest/visitor/customer/
お客好き [おきゃくずき] /(adj-na) enjoys company/enjoys having guests/
お客様 [おきゃくさま] /(n) (hon) guest/visitor/customer/
お久 [おひさ] /(exp) (abbr) (sl) long time no see/
お久しぶり [おひさしぶり] /(exp) (abbr) (sl) it's been a long time/long time no see/
お休み [おやすみ] /(n) (1) (pol) holiday/day off/absence/(2) (hon) sleep/rest/(exp) (3) (abbr) Good night/(P)/
お休みなさい [おやすみなさい] /(exp) good night/(P)/
お宮 [おみや] /(n) Shinto shrine/
お宮参り [おみやまいり] /(n) shrine visit/
お供 [おとも] /(n,vs) attendant/companion/
お供え [おそなえ] /(n) an offering/
お侠 [おきゃん] /(n) pert girl/girl with "attitude"/lively minx/tomboy/
お強請り [おねだり] /(n) (uk) (pol) begging/pestering/pleading/coaxing/
お玉 [おたま] /(n) egg/ladle/
お玉杓子 [おたまじゃくし] /(n) (1) tadpole/(2) ladle/(3) musical note/
お勤め [おつとめ] /(n) (1) (arch) (pol) one's business/(2) reading of scriptures before a (statue of) Buddha/(3) bargain/discount/(4) money paid to a prostitute or geisha/
お近付き [おちかづき] /(n) making someone's acquaintance/
お金 [おかね] /(n) (pol) money/(P)/
お金持ち [おかねもち] /(n) rich person/
お金本位 [おかねほんい] /(n,adj-no) money-centered way (of thinking)/
お兄さん [おにいさん] /(n) (1) (hon) older brother/elder brother/(2) (vocative) young man/buddy/fella/laddie/(P)/
お兄ちゃん [おにいちゃん] /(n) (1) (fam) familiar form of "older brother"/(2) (fam) form of address for young adult male/mister/
お兄系 [おにいけい] /(n) men's fashion style characterized by brown hair and deep-tanned skin, expensive brand-name clothes and accessories/
お経 [おきょう] /(n) (Buddh) Buddhist sutra/
お迎え [おむかえ] /(vt) receiving/welcoming/
お決まり [おきまり] /(n,adj-no) standard/set/routine/regular/usual/conventional/stereotyped/same old/
お決り [おきまり] /(n,adj-no) standard/set/routine/regular/usual/conventional/stereotyped/same old/
お結び [おむすび] /(n) rice ball/
お月様 [おつきさま] /(n) (hon) the moon/
お見えになる [おみえになる] /(exp) (hon) to arrive/
お見合い [おみあい] /(n,vs) formal marriage interview/
お見合いデート [おみあいデート] /(n) blind date/
お見事 [おみごと] /(int) well done!/bravo/
お見知りおき [おみしりおき] /(exp) pleased to make your acquaintance (formal phrase used on first meeting someone to encourage them to remember you)/
お見知り置き [おみしりおき] /(exp) pleased to make your acquaintance (formal phrase used on first meeting someone to encourage them to remember you)/
お見通し [おみとおし] /(n) seeing through (e.g. a trick, someone's mind)/
お見逃しなく [おみのがしなく] /(exp) Don't miss it/
お見舞 [おみまい] /(n) calling on someone who is ill/enquiry/inquiry/
お見舞い [おみまい] /(n) calling on someone who is ill/enquiry/inquiry/
お見舞い申し上げる [おみまいもうしあげる] /(exp,v1) (hum) you have my deepest sympathy/
お遣い [おつかい] /(n) (1) (pol) errand/mission/going as envoy/(2) (pol) messenger/bearer/errand boy/errand girl/(3) (pol) (hon) familiar spirit/
お元気ですか [おげんきですか] /(exp) how are you?/
お言葉 [おことば] /(exp) (1) availing myself of your kind offer/taking you at your word/
お古 [おふる] /(n) used article (esp. clothes)/
お呼ばれ [およばれ] /(n) being invited/
お呼び [および] /(n,vs) (hon) call/invitation/
お虎子 [おまる] /(n) (uk) bedpan/chamber pot/potty/
お雇い外国人 [おやといがいこくじん] /(n) hired foreigners/foreign advisors hired by the Japanese government for their specialized knowledge to assist in the modernization of Japan at the end of the Bakufu and during the Meiji Era/
お互い [おたがい] /(n) mutual/reciprocal/each other/
お互いさま [おたがいさま] /(adj-na,n) we are of equal status in this regard/
お互いに [おたがいに] /(adv) (pol) mutually/with each other/reciprocally/together/both/
お互い様 [おたがいさま] /(adj-na,n) we are of equal status in this regard/
お後がよろしいようで [おあとがよろしいようで] /(exp) (from rakugo) that's all from me, and now the next speaker .../expression used to hand over to the next speaker/
お御輿 [おみこし] /(n) (1) (pol) portable shrine (carried in festivals)/(2) (uk) buttocks/lower back/waist/hips/
お御籤 [おみくじ] /(n) (uk) written oracle/fortune slip/
お好み [おこのみ] /(n,adj-no) choice/preference/
お好み焼き [おこのみやき] /(n) savoury pancake with various ingredients/
お好み焼き屋 [おこのみやきや] /(n) okonomiyaki shop (savoury pancake shop)/
お広め [おひろめ] /(n,vs) debut/
お構い [おかまい] /(n) (1) (pol) entertainment/hospitality/(2) banishment (Edo period)/
お構いなく [おかまいなく] /(exp) (pol) please don't fuss over me/
お構いなし [おかまいなし] /(adj-na,n) being unmindful/
お絞り [おしぼり] /(n) wet towel (supplied at table)/hot, moistened hand towel/(P)/
お高い [おたかい] /(adj-i) haughty/
お高く止まる [おたかくとまる] /(v5r) to assume an air of importance/to be self-important/to put on airs/
お高く留まる [おたかくとまる] /(v5r) to assume an air of importance/to be self-important/to put on airs/
お高祖頭巾 [おこそずきん] /(n) kerchief worn by women in former times in Japan in cold weather, covering the whole head (except eyes)/
お告 [おつげ] /(n) oracle/divine message/
お告げ [おつげ] /(n) oracle/revelation/divine message/
お告げの祝日 [おつげのしゅくじつ] /(n) Annunciation Day/Lady Day/
お国言葉 [おくにことば] /(n) (pol) national language/local dialect/
お国自慢 [おくにじまん] /(n) boasting of one's hometown/
お腰 [おこし] /(n) (1) (hon) buttocks/lower back/waist/hips/(2) (fem) kimono underskirt/
お惚け [おとぼけ] /(n) feigned ignorance/
お座なり [おざなり] /(adj-na) perfunctory/apathetic/careless/slapdash/commonplace/
お座り [おすわり] /(n,vs) (1) (chn) sit down/sit up/(2) Sit! (to a dog)/
お座成り [おざなり] /(adj-na) perfunctory/apathetic/careless/slapdash/commonplace/
お座敷 [おざしき] /(n) (1) (pol) tatami room/(2) gathering (to which one has been invited to perform as a geisha, etc.)/
お座敷がかかる [おざしきがかかる] /(exp,v5r) to be invited (often to perform for an audience)/to be called/
お座敷が掛かる [おざしきがかかる] /(exp,v5r) to be invited (often to perform for an audience)/to be called/
お歳暮 [おせいぼ] /(n) end of the year/year-end gift/(P)/
お祭 [おまつり] /(n) (pol) festival/feast/carnival/
お祭り [おまつり] /(n) (pol) festival/feast/carnival/
お祭り騒ぎ [おまつりさわぎ] /(n) festival merrymaking/revelry/
お菜 [おかず] /(n) (1) (uk) accompaniment for rice dishes/side dish/(2) food for thought (esp. in the context of conversation, or material for assisting arousal during masturbation)/
お菜 [おさい] /(n) (1) (uk) accompaniment for rice dishes/side dish/
お作り [おつくり] /(n) (1) make-up/(2) (ksb:) sashimi/
お札 [おさつ] /(n) bill/note (currency)/
お札 [おふだ] /(n) a charm/
お雑煮 [おぞうに] /(n) New Year dish/
お皿 [おさら] /(n) plate/dish/
お三時 [おさんじ] /(n) three-o'clock snack/
お参り [おまいり] /(n,vs) worship/shrine visit/(P)/
お山 [おやま] /(n) (hon) (pol) (fam) mountain/
お山の大将 [おやまのたいしょう] /(n) king of the castle/king of the mountain/
お産 [おさん] /(n) (pol) (giving) birth/childbirth/delivery/confinement/(P)/
お仕置き [おしおき] /(n,vs) punishment/spanking/smacking/chastisement/scolding/
お仕着せ [おしきせ] /(n) uniforms supplied to employees/an allotment/
お仕舞 [おしまい] /(n) (uk) (pol) the end/closing/being done for/
お仕舞い [おしまい] /(n) (uk) (pol) the end/closing/being done for/(P)/
お使 [おつかい] /(io) (n) (1) (pol) errand/mission/going as envoy/(2) (pol) messenger/bearer/errand boy/errand girl/(3) (pol) (hon) familiar spirit/
お使い [おつかい] /(n) (1) (pol) errand/mission/going as envoy/(2) (pol) messenger/bearer/errand boy/errand girl/(3) (pol) (hon) familiar spirit/
お姉さん [おねえさん] /(n) (1) (hon) elder sister/(2) (vocative) young lady/(3) miss (referring to a waitress, etc.)/(4) ma'am (used by geisha to refer to their superiors)/(P)/
お姉ちゃん [おねえちゃん] /(n) (1) (fam) familiar form of "older sister"/(2) (fam) form of address for young adult female/
お姉ギャル [おねえギャル] /(n) (abbr) fashion style characterized by brown hair and deep-tanned skin, expensive brand-name clothes and accessories/
お姉系 [おねえけい] /(n) (abbr) fashion style characterized by brown hair and deep-tanned skin, expensive brand-name clothes and accessories/
お姉系ギャル [おねえけいギャル] /(n) fashion style characterized by brown hair and deep-tanned skin, expensive brand-name clothes and accessories/
お子 [おこ] /(n) (pol) (someone else's) child/
お子さん [おこさん] /(n) (someone else's) child/
お子ちゃま [おこちゃま] /(n) (1) child/(2) childish person/immature person/
お子様 [おこさま] /(n) (pol) child (someone else's)/
お子様セット [おこさまセット] /(n) kid's meal/special meal prepared for children at a restaurant/
お子様ランチ [おこさまランチ] /(n) kid's lunch/special lunch (meal) prepared for children at a restaurant/
お歯黒 [おはぐろ] /(n) tooth blackening/
お寺 [おてら] /(n) (1) (hon) (pol) temple/(2) (abbr) monk/
お寺さま [おてらさま] /(n) (hon) monk/
お寺様 [おてらさま] /(n) (hon) monk/
お持て成し [おもてなし] /(n) (uk) hospitality/entertainment/service/(P)/
お辞儀 [おじぎ] /(n,vs) (pol) bow/bowing/(P)/
お七夜 [おしちや] /(n) name-giving ceremony/
お叱り [おしかり] /(n) (hon) scolding/
お邪魔 [おじゃま] /(n,vs) (pol) hindrance/intrusion (suru and itasu verb forms are used as set phrases said prior to entering or leaving someone's home)/
お邪魔します [おじゃまします] /(exp) (1) excuse me for disturbing (interrupting) you/(2) greeting used on going to someone's home/
お邪魔虫 [おじゃまむし] /(n) someone who gets in the way without serving any useful purpose/fly in the ointment/buttinsky/third wheel/
お酌 [おしゃく] /(n,vs) (1) pouring alcohol/(2) person pouring alcohol for guests or customers (typically a woman)/(3) (apprentice) geisha/dancing girl/
お釈迦 [おしゃか] /(n) (1) poorly made or ruined articles/(2) the Buddha/
お釈迦さん [おしゃかさん] /(n) Buddha/Shakyamuni/
お釈迦様 [おしゃかさま] /(n) Buddha/Shakyamuni/
お釈迦様 [おしゃかさん] /(n) Buddha/Shakyamuni/
お釈迦様の誕生日 [おしゃかさまのたんじょうび] /(exp) Buddha's birthday/
お主 [おぬし] /(pn,adj-no) (arch) you (when referring to one's equals or inferiors)/
お取り置き [おとりおき] /(n) layaway/lay-bye/layaway plan/
お守 [おまもり] /(io) (n) charm/amulet/
お守 [おもり] /(n,vs) (1) babysitting/babysitter/(2) taking care of/assisting/assistant/helper/
お守り [おまもり] /(n) charm/amulet/(P)/
お守り [おもり] /(n,vs) (1) babysitting/babysitter/(2) taking care of/assisting/assistant/helper/
お手 [おて] /(n) (1) (pol) hand/arm/(2) (hon) handwriting/penmanship/(int) (3) 'shake' (command to have a dog place its paw in your hand)/
お手々 [おてて] /(n) hand(s) (kid talk)/
お手つき [おてつき] /(n) (1) touching a wrong card/(2) making a mistress of a servant/mistress (who is one's servant)/
お手て [おてて] /(n) hand(s) (kid talk)/
お手の物 [おてのもの] /(n) one's speciality/one's forte/one's own thing/
お手塩 [おてしょ] /(n) (fem) (obsc) small, shallow dish/
お手塩 [おてしょう] /(n) (fem) (obsc) small, shallow dish/
お手許 [おてもと] /(n) (uk) chopsticks (often written on the paper wrapper)/
お手玉 [おてだま] /(n) (1) beanbag/beanbag juggling game/(2) bobbling the ball (baseball)/
お手元 [おてもと] /(n) (uk) chopsticks (often written on the paper wrapper)/
お手元金 [おてもときん] /(n) the privy purse/the money used for private purposes by the members of the Imperial family/
お手手 [おてて] /(n) hand(s) (kid talk)/
お手柔らか [おてやわらか] /(adv) gently/mildly/
お手上げ [おてあげ] /(n) all over/given in/given up hope/bring to knees/(P)/
お手数 [おてかず] /(n) (hon) trouble/bother/
お手数 [おてすう] /(n) (hon) trouble/bother/
お手数をおかけいたします [おてすうをおかけいたします] /(exp) (hum) to be a burden/to make trouble for someone/
お手数をおかけ致します [おてすうをおかけいたします] /(exp) (hum) to be a burden/to make trouble for someone/
お手盛り [おてもり] /(n) making arbitrary decisions which benefit oneself/self-approved plan/
お手洗い [おてあらい] /(n) toilet/restroom/lavatory/bathroom/(P)/
お手前 [おてまえ] /(n) (1) skill/dexterity/artistry/ingenuity/(2) etiquette of tea-ceremony/
お手伝い [おてつだい] /(n,vs) (1) maid/(2) help/(P)/
お手伝いさん [おてつだいさん] /(n) maid/(P)/
お手付き [おてつき] /(n) (1) touching a wrong card/(2) making a mistress of a servant/mistress (who is one's servant)/
お手並み拝見 [おてなみはいけん] /(exp) let's see what you've got/show me what you've got/
お手並拝見 [おてなみはいけん] /(exp) let's see what you've got/show me what you've got/
お手本 [おてほん] /(n) example/role model/
お酒 [おさけ] /(n) (pol) alcohol/sake/
お呪い [おまじない] /(n) (1) (uk) good luck charm/(exp) (2) uttered when using magic/abracadabra/presto/
お終い [おしまい] /(n) (uk) (pol) the end/closing/being done for/
お汁粉 [おしるこ] /(n) sweet red-bean soup/
お重 [おじゅう] /(n) multi-tiered food box/
お祝 [おいわい] /(n,vs) (hon) congratulation/congratulations/celebration/festival/congratulatory gift/
お祝い [おいわい] /(n,vs) (hon) congratulation/congratulations/celebration/festival/congratulatory gift/(P)/
お出かけ [おでかけ] /(n) about to start out/just about to leave or go out/
お出で [おいで] /(n) (1) (uk) coming/going/being (somewhere)/(exp) (2) (col) (abbr) come (used as an imperative, usu. to children and one's inferiors)/go/stay/
お出でなさい [おいでなさい] /(exp) (1) (uk) (hon) (used as a polite imperative) come/go/stay/(2) welcome!/
お出でなさる [おいでなさる] /(v5aru) (1) (uk) (hon) to come/to go/to be (somewhere)/(2) (after the -te form of a verb) -ing/
お出でになる [おいでになる] /(v5r) (1) (uk) (hon) to be/(2) to come/(3) to go/
お出まし [おでまし] /(n) appearance/presence/
お出掛け [おでかけ] /(n) about to start out/just about to leave or go out/
お出来 [おでき] /(n) (uk) boil/blister/pimple/
お巡り [おまわり] /(n) policeman/
お巡りさん [おまわりさん] /(n) (fam) policeman/(P)/
お暑うございます [おあつうございます] /(exp) it is warm (very polite)/
お暑うご座います [おあつうございます] /(exp) it is warm (very polite)/
お召し [おめし] /(n) (1) (hon) summoning/calling/riding/wearing/dressing/clothing/(2) (abbr) (high-quality) silk crepe (fabric)/
お召し替え [おめしかえ] /(n) (hon) changing one's clothes/a change of clothes/
お召し物 [おめしもの] /(n) (pol) clothing/
お召し列車 [おめしれっしゃ] /(n) Imperial train/royal train/
お奨め [おすすめ] /(n,vs) recommendation/advice/suggestion/encouragement/
お小遣い [おこづかい] /(n) personal expenses/pocket money/spending money/incidental expenses/allowance/
お焦げ [おこげ] /(n) burnt rice/scorched rice/
お笑い [おわらい] /(n) comical (story, song)/comic/
お笑いコンビ [おわらいコンビ] /(n) comic duo/
お笑い芸人 [おわらいげいにん] /(n) comedian (esp. of traditional Japanese comedy)/
お上 [おかみ] /(n) (1) (hon) Emperor/(2) (hon) authorities/government/(3) term used to refer to a woman running a restaurant, inn, etc./landlady/(4) (hon) your wife/his wife/madam/
お上さん [おかみさん] /(n) (uk) missus (orig. honorific, now familiar)/missis/
お上りさん [おのぼりさん] /(n) countryside people (in town)/visitor from the country/out-of-towner/country bumpkin (visiting the big city)/yokel/
お上手 [おじょうず] /(n,adj-na) (1) skill/skillful/dexterity/(2) flattery/
お上手を言う [おじょうずをいう] /(exp,v5u) to flatter/to boot-lick/to curry favour (favor)/
お嬢 [おじょう] /(n) (hon) (someone else's) daughter/
お嬢さま [おじょうさま] /(n) (term of respect for) another's daughter/daughter of a high-class family/
お嬢さん [おじょうさん] /(n) (1) (hon) daughter/(2) young lady/(P)/
お嬢様 [おじょうさま] /(n) (term of respect for) another's daughter/daughter of a high-class family/
お情け [おなさけ] /(n) (1) pity/(2) affection/
お飾り [おかざり] /(n) decorations/offerings/mere window dressing/
お色直し [おいろなおし] /(n,vs) changing one's dress (e.g. at the wedding reception)/
お食い初め [おくいぞめ] /(n) weaning ceremony/
お食事処 [おしょくじどころ] /(n) (Japanese) restaurant/
お尻 [おしり] /(n) arse/ass/bottom/buttocks/
お尻ぺんぺん [おしりぺんぺん] /(n,vs) spanking (a child)/
お寝小 [おねしょ] /(n,vs) (uk) (fem) (chn) bed-wetting/
お新香 [おしんこ] /(n) pickled vegetables/pickles/
お浸し [おひたし] /(n) vegetable side dish/
お神興 [おみこし] /(iK) (n) (1) (pol) portable shrine (carried in festivals)/(2) (uk) buttocks/lower back/waist/hips/
お神酒 [おみき] /(n) sacred wine or sake/sake offered to the gods/
お神渡り [おみわたり] /(n) cracks that form in the ice on Lake Suwa/
お神輿 [おみこし] /(n) (1) (pol) portable shrine (carried in festivals)/(2) (uk) buttocks/lower back/waist/hips/(P)/
お神籤 [おみくじ] /(n) (uk) written oracle/fortune slip/
お針 [おはり] /(n) (1) needlework/sewing/(2) seamstress/
お針子 [おはりこ] /(n) seamstress/
お人よし [おひとよし] /(adj-na,adj-no,n) softhearted (good-natured, credulous) person/easy mark/soft touch/simple soul/
お人好し [おひとよし] /(adj-na,adj-no,n) softhearted (good-natured, credulous) person/easy mark/soft touch/simple soul/
お尋ね者 [おたずねもの] /(n) wanted man/person sought by the police/
お水 [おみず] /(n) (1) (a cup of) water/(adj-na) (2) racy/titillating/sexy/suggestive/
お水取り [おみずとり] /(n) water-drawing ceremony (Toudaiji)/rite of drawing sacred water/
お数 [おかず] /(n) (1) (uk) accompaniment for rice dishes/side dish/(2) food for thought (esp. in the context of conversation, or material for assisting arousal during masturbation)/
お雛様 [おひなさま] /(n) set of dolls on display/
お裾分け [おすそわけ] /(n,vs) sharing with others what has been given to you/sharing a portion of the profit with others/
お澄まし [おすまし] /(adj-na,n) prim and proper girl/
お世辞 [おせじ] /(n) flattery/compliment/(P)/
お世話 [おせわ] /(n) help/aid/assistance/
お世話さま [おせわさま] /(exp) thanks for taking care of me/thanks for taking care of my loved one/
お世話になる [おせわになる] /(exp,v5r) to receive favor (favour)/to be much obliged to someone/to be indebted/to be grateful/
お世話をする [おせわをする] /(exp,vs-i) to take care of/
お成り [おなり] /(n) going out (of a nobleman, etc.)/visiting/
お正月太り [おしょうがつぶとり] /(n) putting on weight over the New Year's holidays/
お生 [おなま] /(n,adj-na) (fem) impudence/sauciness/
お生憎さま [おあいにくさま] /(adj-na,int,n) that's too bad (ironical)/unfortunate person (often a gleeful "too bad for you!")/
お生憎様 [おあいにくさま] /(adj-na,int,n) that's too bad (ironical)/unfortunate person (often a gleeful "too bad for you!")/
お声掛かり [おこえがかり] /(n) a recommendation/an order/
お節 [おせち] /(n) food served during the New Year's Holidays/
お節介 [おせっかい] /(adj-na,n) meddling/meddlesomeness/nosiness/interference/officiousness/(P)/
お節料理 [おせちりょうり] /(n) food served during the New Year's Holidays/(P)/
お先 [おさき] /(n) going before/the future/
お先に [おさきに] /(adv) (1) before/previously/(2) ahead/(exp) (3) (abbr) (hon) Pardon me for leaving (before you)/
お先に失礼します [おさきにしつれいします] /(exp) pardon me for leaving (first) (used when leaving a workplace while others remain)/
お先真っ暗 [おさきまっくら] /(adj-na) (of the future) very bleak/dim/
お先棒 [おさきぼう] /(n) a person whose services are at the disposal of another/
お先棒を担ぐ [おさきぼうをかつぐ] /(exp,v5g) to be a willing cats-paw or tool for a person/
お薦 [おこも] /(n) (arch) beggar/
お薦め [おすすめ] /(n,vs) recommendation/advice/suggestion/encouragement/
お前 [おまい] /(pn,adj-no) (1) (fam) (male) you (formerly honorific, now sometimes derog. term referring to an equal or inferior)/
お前 [おまえ] /(pn,adj-no) (1) (fam) (male) you (formerly honorific, now sometimes derog. term referring to an equal or inferior)/(2) presence (of a god, nobleman, etc.)/(P)/
お前 [おめえ] /(pn,adj-no) (1) (fam) (male) you (formerly honorific, now sometimes derog. term referring to an equal or inferior)/
お前さま [おまえさま] /(n) (hon) (arch) you/
お前さん [おまえさん] /(n) (1) you/(2) my dear/(3) hey/
お膳 [おぜん] /(n) (uk) four-legged tray for festive food/
お膳立て [おぜんだて] /(n,vs) setting the table/preparation/
お祖父さん [おじいさん] /(n) (1) grandfather/(2) male senior-citizen/(P)/
お祖父ちゃん [おじいちゃん] /(n) (col) grandpa/grandad/
お祖母さん [おばあさん] /(n) (1) grandmother/(2) female senior-citizen/(P)/
お祖母ちゃん [おばあちゃん] /(n) (uk) (fam) granny/grandma/gran/female senior-citizen/
お粗末 [おそまつ] /(adj-na) poor/lame/ill-prepared/
お粗末さまでした [おそまつさまでした] /(exp) (hum) expression of humility said by the person who provided a meal after it is eaten/
お粗末様でした [おそまつさまでした] /(exp) (hum) expression of humility said by the person who provided a meal after it is eaten/
お倉 [おくら] /(n) (1) shelving (a play, movie, etc.)/closing down/cancelling/canceling/the shelf/(2) rice storehouse of the Edo shogunate/
お早う [おはよう] /(int) (uk) (abbr) Good morning/(P)/
お早うございます [おはようございます] /(int) (uk) (pol) good morning/(P)/
お相伴 [おしょうばん] /(n,vs) sharing a meal/
お草々 [おそうそう] /(adj-na) neglectful (i.e. in the treatment of one's guests)/
お草々様 [おそうそうさま] /(adj-na) (pol) neglectful (i.e. in the treatment of one's guests)/
お草草 [おそうそう] /(adj-na) neglectful (i.e. in the treatment of one's guests)/
お草草様 [おそうそうさま] /(adj-na) (pol) neglectful (i.e. in the treatment of one's guests)/
お蔵 [おくら] /(n) (1) shelving (a play, movie, etc.)/closing down/cancelling/canceling/the shelf/(2) rice storehouse of the Edo shogunate/
お造り [おつくり] /(n) (1) make-up/(2) (ksb:) sashimi/
お揃い [おそろい] /(adj-no) same/matching/going together/
お孫さん [おまごさん] /(n) (hon) grandchild/
お多福 [おたふく] /(n) moon-faced woman/homely woman/
お多福豆 [おたふくまめ] /(n) (1) large broad bean/(2) (boiled and sweetened) broad bean/
お多福風邪 [おたふくかぜ] /(n) mumps/
お太鼓 [おたいこ] /(n) (abbr) very common way of tying a woman's kimono sash/
お太鼓結び [おたいこむすび] /(n) very common way of tying a woman's kimono sash/
お陀仏 [おだぶつ] /(n) dying/ruining oneself/
お待たせしました [おまたせしました] /(exp) Thank you for waiting/Have I kept you waiting?/
お待ち [おまち] /(n,n-suf) waiting/waiting time/
お待ち遠さま [おまちどおさま] /(exp) I'm sorry to have kept you waiting/
お待ち遠様 [おまちどおさま] /(exp) I'm sorry to have kept you waiting/
お待ち兼ね [おまちかね] /(n,adj-no) long-waited-for/
お替り [おかわり] /(n,vs) (1) second helping/another cup/seconds/(int) (2) command to have dog place its second paw in one's hand/
お替わり [おかわり] /(n,vs) (1) second helping/another cup/seconds/(int) (2) command to have dog place its second paw in one's hand/
お袋 [おふくろ] /(n) (col) one's mother/(P)/
お代り [おかわり] /(n,vs) (1) second helping/another cup/seconds/(int) (2) command to have dog place its second paw in one's hand/
お代わり [おかわり] /(n,vs) (1) second helping/another cup/seconds/(int) (2) command to have dog place its second paw in one's hand/(P)/
お大事に [おだいじに] /(exp) take care of yourself/
お題目 [おだいもく] /(n) (1) (pol) Nichiren chant/(2) (an empty) slogan/
お宅 [おたく] /(n) (1) (hon) your house/your home/your family/(2) (hon) your husband/(3) (hon) your organization/(pn,adj-no) (4) (hon) you (referring to someone of equal status with whom one is not especially close)/(P)/
お達し [おたっし] /(n) notice or order handed down from above/announcement/notification/
お誕生おめでとうございます [おたんじょうおめでとうございます] /(exp) congratulations on the birth of your baby/
お誕生会 [おたんじょうかい] /(n) birthday party/
お誕生日おめでとう [おたんじょうびおめでとう] /(exp) Happy Birthday/
お誕生日おめでとうございます [おたんじょうびおめでとうございます] /(exp) Happy Birthday/
お弾き [おはじき] /(n) (1) children's game similar to marbles, played with coin-shaped coloured glass/(2) tiddlywink/counter/
お断り [おことわり] /(n) (pol) declining/nonacceptance/declination/refusal/rejection/turndown/
お断わり [おことわり] /(n) (pol) declining/nonacceptance/declination/refusal/rejection/turndown/
お段 [おだん] /(n) (ling) 'o' row/
お談義 [おだんぎ] /(n) lecture (i.e. an admonishment)/sermon/
お知らせ [おしらせ] /(n,vs) notice/notification/
お茶 [おちゃ] /(n) (1) (pol) tea (usu. green)/(2) tea break (at work)/(3) tea ceremony/(P)/
お茶する [おちゃする] /(exp,vs-i) (col) to go out for tea (or coffee, etc.)/
お茶っ葉 [おちゃっぱ] /(n) tea leaves/
お茶の子 [おちゃのこ] /(n) a cinch/
お茶を濁す [おちゃをにごす] /(exp,v5s) (1) to make do with/(2) to cook up a specious story to get out of an uncomfortable situation/(3) to speak ambiguously/to prevaricate/(4) to be evasive/to give an evasive answer/
お茶請け [おちゃうけ] /(n) tea-cake/
お茶目 [おちゃめ] /(adj-na,n) playfulness/mischief/urchin/wag/
お中 [おなか] /(n) stomach/
お中元 [おちゅうげん] /(n) Bon Festival gifts/(P)/
お昼 [おひる] /(n-adv,n) (pol) lunch/noon/
お猪口 [おちょこ] /(n) (1) (uk) small cup/sake cup/(2) cup-shaped/
お喋り [おしゃべり] /(adj-na,n,adj-no,vs) (uk) chattering/talk/idle talk/chat/chitchat/gossip/chatty/talkative/chatterbox/blabbermouth/(P)/
お調子者 [おちょうしもの] /(n,adj-no) flip/luck-pusher/frivolous person/person who readily chimes in with others/person who gets carried away easily/
お通し [おとおし] /(n) appetizer/appetiser/
お通じ [おつうじ] /(n) (pol) bowel movement/evacuation/
お通夜 [おつや] /(n) (pol) all-night vigil over a body/wake/
お釣り [おつり] /(n) (pol) change (i.e. money)/balance/(P)/
お定まり [おさだまり] /(n) usual/normal/stereotyped/
お摘まみ [おつまみ] /(n) snacks to go with alcohol/
お摘み [おつまみ] /(n) snacks to go with alcohol/
お天気 [おてんき] /(n) (1) (pol) weather/(2) temper/mood/
お天気屋 [おてんきや] /(n) moody person/temperamental person/fickle person/
お天道様 [おてんとさま] /(n) the sun/
お店 [おたな] /(n) (1) merchant's home (esp. used by apprentices, etc.)/(2) (your) rental home/
お転婆 [おてんば] /(adj-na,n) tomboy (dut: ontembaar)/
お点前 [おてまえ] /(n) (1) skill/dexterity/artistry/ingenuity/(2) etiquette of tea-ceremony/
お田植え祭 [おたうえまつり] /(n) (1) shrine ritual held with the first two months of the year to forecast (or pray for) a succesful harvest/(2) seasonal planting of rice on a field affiliated with a shrine/
お田植え祭り [おたうえまつり] /(n) (1) shrine ritual held with the first two months of the year to forecast (or pray for) a succesful harvest/(2) seasonal planting of rice on a field affiliated with a shrine/
お屠蘇 [おとそ] /(n) New Year's sake/spiced sake/
お土産 [おみやげ] /(n) (pol) present/souvenir/(P)/
お土産話 [おみやげばなし] /(n) trip story/vacation story/
お湯 [おゆ] /(n) (1) (pol) hot water/(2) (pol) hot bath/
お得意さん [おとくいさん] /(n) regular customer/valued client/
お徳 [おとく] /(n) economical/
お凸 [おでこ] /(n) (sens) brow/forehead/(P)/
お内 [おうち] /(n) (pol) your home/your group/their home/
お内儀さん [おかみさん] /(n) (uk) missus (orig. honorific, now familiar)/missis/
お鍋 [おなべ] /(n) (1) (pol) pot/(2) (arch) typical name for a female servant in the Edo-period/(3) working at night/(4) (uk) (sl) female with symptoms of gender identity disorder (i.e. a transvestite)/
お馴み [おなじみ] /(iK) (adj-no,n) (pol) familiar/well-known/regular (e.g. customer)/old stand-by/
お馴染み [おなじみ] /(adj-no,n) (pol) familiar/well-known/regular (e.g. customer)/old stand-by/(P)/
お日様 [おひさま] /(n) the sun/
お任せ [おまかせ] /(exp) I'll leave it to you/meal selected by the chef/
お忍び [おしのび] /(n) (1) (abbr) travelling incognito (traveling)/(2) special palanquin for carrying a daimyo or his wife incognito/
お熱 [おねつ] /(n) (1) having a crush on someone/(2) flushing/
お年玉 [おとしだま] /(n) New Year's gift (usu. money given to a child by relatives and visitors)/(P)/
お捻り [おひねり] /(n) wrapped offering (of money)/
お婆さん [おばあさん] /(n) (1) grandmother/(2) female senior-citizen/
お婆ちゃん [おばあちゃん] /(n) (uk) (fam) granny/grandma/gran/female senior-citizen/(P)/
お婆はる [おばはる] /(v5r) (sl) to shamelessly demand one's rights/
お婆ん [おばん] /(n) old maid/frump/hag/old woman/
お馬鹿さん [おばかさん] /(n) silly person/dumb-bunny/dope/
お買い上げ [おかいあげ] /(n) (hon) buying/purchasing/
お買い得 [おかいどく] /(n,adj-no) bargain/good buy/budget/(P)/
お買い徳 [おかいどく] /(iK) (n,adj-no) bargain/good buy/budget/
お買得 [おかいどく] /(n,adj-no) bargain/good buy/budget/(P)/
お買徳 [おかいどく] /(iK) (n,adj-no) bargain/good buy/budget/
お萩 [おはぎ] /(n) rice ball coated with sweetened red beans, soybean flour or sesame/
お白州 [おしらす] /(n) (arch) court of law in the Edo period, in which the parties sat on white sand/
お薄 [おうす] /(n) weak matcha/
お八 [おやつ] /(n) (1) (uk) between meal snack/(2) mid-afternoon (around 3 o'clock) snack/afternoon refreshment/afternoon tea/
お八つ [おやつ] /(n) (1) (uk) between meal snack/(2) mid-afternoon (around 3 o'clock) snack/afternoon refreshment/afternoon tea/(P)/
お鉢 [おはち] /(n) container for boiled rice/
お鉢が回ってくる [おはちがまわってくる] /(exp,vk) one's turn finally comes round/
お髪 [おぐし] /(n) (hon) hair/
お晩彩 [おばんさい] /(iK) (n) (uk) light Kyoto-style home cooking with boiled vegetables and marinated food, also now served in restaurants/
お晩彩 [おばんざい] /(iK) (n) (uk) light Kyoto-style home cooking with boiled vegetables and marinated food, also now served in restaurants/
お晩菜 [おばんさい] /(n) (uk) light Kyoto-style home cooking with boiled vegetables and marinated food, also now served in restaurants/
お晩菜 [おばんざい] /(n) (uk) light Kyoto-style home cooking with boiled vegetables and marinated food, also now served in restaurants/
お番菜 [おばんさい] /(n) (uk) light Kyoto-style home cooking with boiled vegetables and marinated food, also now served in restaurants/
お番菜 [おばんざい] /(n) (uk) light Kyoto-style home cooking with boiled vegetables and marinated food, also now served in restaurants/
お披露目 [おひろめ] /(n,vs) debut/
お疲れさま [おつかれさま] /(exp) (1) thank you/many thanks/much appreciated/(2) that's enough for today/(P)/
お疲れ様 [おつかれさま] /(exp) (1) thank you/many thanks/much appreciated/(2) that's enough for today/(P)/
お美事 [おみごと] /(int) well done!/bravo/
お膝下 [おひざもと] /(n) home territory of a powerful figure/Imperial Court/businessman's turf/Shogun's headquarters/
お膝許 [おひざもと] /(n) home territory of a powerful figure/Imperial Court/businessman's turf/Shogun's headquarters/
お膝元 [おひざもと] /(n) home territory of a powerful figure/Imperial Court/businessman's turf/Shogun's headquarters/
お姫様 [おひめさま] /(n) spoiled girl/hothouse flower/princess/
お姫様だっこ [おひめさまだっこ] /(n,vs) (col) carrying a person in one's arms/
お姫様抱っこ [おひめさまだっこ] /(n,vs) (col) carrying a person in one's arms/
お百姓さん [おひゃくしょうさん] /(n) farmer/
お百度 [おひゃくど] /(n) hundred times worship (e.g. walking back and forth a hundred times before a shrine offering a prayer each time)/
お百度を踏む [おひゃくどをふむ] /(exp,v5m) (obs) to visit repeatedly (to request)/
お付き [おつき] /(n) retainer/attendant/escort/
お付き合い [おつきあい] /(n) association/socializing/socialising/fellowship/
お父さま [おとうさま] /(n) (hon) father/
お父さん [おとうさん] /(n) (hon) father/dad/papa/pa/pop/daddy/dada/(P)/
お父様 [おとうさま] /(n) (hon) father/
お負け [おまけ] /(n,vs) (1) freebie (e.g. with a purchase)/something additional/bonus/an extra/(2) (on the spot) price reduction/(3) exaggeration/(P)/
お負けに [おまけに] /(conj,exp) to make matters worse/besides/what's more/in addition/on top of that/
お部屋 [おへや] /(n) (hon) (pol) room/
お風呂 [おふろ] /(n) bath/
お風呂に入る [おふろにはいる] /(exp,v5r) to take a bath/
お腹 [おなか] /(n) stomach/(P)/
お腹いっぱい [おなかいっぱい] /(exp) (1) (col) full up/(2) to have had enough of something (both good and bad nuance)/
お腹がすく [おなかがすく] /(exp,v5k) to become hungry/to get an empty stomach/
お腹がへる [おなかがへる] /(exp,v5r) to become hungry/
お腹が空く [おなかがすく] /(exp,v5k) to become hungry/to get an empty stomach/
お腹が減る [おなかがへる] /(exp,v5r) to become hungry/
お腹の子 [おなかのこ] /(exp) child one is expecting/(P)/
お腹をすかす [おなかをすかす] /(exp,v5s) to feel hungry/to get hungry/
お腹を空かす [おなかをすかす] /(exp,v5s) to feel hungry/to get hungry/
お腹を空かせる [おなかをすかせる] /(exp,v1) to feel hungry/to get hungry/
お払い箱 [おはらいばこ] /(n) discarding/firing (an employee)/
お払い物 [おはらいもの] /(n) goods to offer the junk dealer/
お聞きいただく [おききいただく] /(v5k) to ask (politely)/
お聞き頂く [おききいただく] /(v5k) to ask (politely)/
お平に [おたいらに] /(exp) please make yourself comfortable/please relax your sitting position/
お平らに [おたいらに] /(exp) please make yourself comfortable/please relax your sitting position/
お米 [おこめ] /(n) (husked grains of) rice/
お別れ [おわかれ] /(n) farewell/
お変わりありませんか [おかわりありませんか] /(exp) (pol) how have (you) been? (gen. used after some time apart)/lit: nothing (untoward) has happened, has it?/
お返し [おかえし] /(n,vs) (1) return gift/return favour (favor)/(2) revenge/(3) change (in a cash transaction)/(P)/
お勉め品 [おつとめひん] /(n) article offered at a bargain price/real bargain/
お弁当 [おべんとう] /(n) bento (Japanese box lunch)/
お母 [おふくろ] /(iK) (n) (col) one's mother/
お母さま [おかあさま] /(n) (hon) mother/
お母さん [おかあさん] /(n) (hon) mother/(P)/
お母ちゃん [おかあちゃん] /(n) (fam) mum/mom/
お母様 [おかあさま] /(n) (hon) mother/
お報せ [おしらせ] /(n,vs) notice/notification/
お宝 [おたから] /(n,adj-no) (1) (pol) treasure/(2) picture of a treasure ship/(3) money/cash/
お方 [おかた] /(n) this lady or gentleman/
お坊さん [おぼうさん] /(n) Buddhist priest/monk/(P)/
お坊ちゃん [おぼっちゃん] /(n) (1) (hon) son (of others)/(2) young master/(3) green young man from a well-to-do family/
お坊っちゃん [おぼっちゃん] /(n) (1) (hon) son (of others)/(2) young master/(3) green young man from a well-to-do family/
お墨付き [おすみつき] /(n) (1) handwriting/autograph/authorization/authorisation/(2) certificate/certified document/paper with signature of the shogun or lord/
お盆 [おぼん] /(n) O-Bon/Bon Festival/Lantern Festival/Festival of the Dead/
お毛々 [おけけ] /(n) (sl) (vulg) pubic hair/
お毛毛 [おけけ] /(n) (sl) (vulg) pubic hair/
お目 [おめ] /(n) (1) (hon) eye/eyes/(2) sight/vision/looking/
お目々 [おめめ] /(n) (sl) eyes (kid talk)/
お目にかかる [おめにかかる] /(exp,v5r) (1) (hum) to meet (someone of higher status)/(2) (arch) to be recognized (esp. by someone of higher status)/to be visible/to be seen/to be noticed/
お目にかける [おめにかける] /(exp,v1) (hum) to show/
お目にとまる [おめにとまる] /(exp,v5r) to be recognized (by someone of higher status)/to be noticed/to get attention/
お目に掛かる [おめにかかる] /(exp,v5r) (1) (hum) to meet (someone of higher status)/(2) (arch) to be recognized (esp. by someone of higher status)/to be visible/to be seen/to be noticed/
お目に掛ける [おめにかける] /(exp,v1) (hum) to show/
お目に留まる [おめにとまる] /(exp,v5r) to be recognized (by someone of higher status)/to be noticed/to get attention/
お目もじ [おめもじ] /(n,vs) personal meeting (esp. used by females)/
お目覚 [おめざ] /(n) type of candy given to a child after it wakes up from a nap/wake-up sweets/
お目覚まし [おめざまし] /(n) type of candy given to a child after it wakes up from a nap/wake-up sweets/
お目玉 [おめだま] /(n) a scolding/
お目玉を食らう [おめだまをくらう] /(exp,v5u) to get a good scolding/
お目見え [おめみえ] /(n,vs) (1) (the privilege to have) an audience (with one's lord, a dignitary, etc.)/interview (with one's superior)/(2) one's debut (first) appearance/debut (of a new product, work of art, actor, etc.)/(3) trial service (of a servant)/
お目見得 [おめみえ] /(n,vs) (1) (the privilege to have) an audience (with one's lord, a dignitary, etc.)/interview (with one's superior)/(2) one's debut (first) appearance/debut (of a new product, work of art, actor, etc.)/(3) trial service (of a servant)/
お目出度い [おめでたい] /(ateji) (n) (1) (uk) (pol) special/auspicious/happy/(2) naive/inncocent/good-natured/
お目出度う [おめでとう] /(ateji) (int) (uk) congratulations!/an auspicious occasion!/(P)/
お目出度うご座います [おめでとうございます] /(exp) (uk) congratulations/
お目文字 [おめもじ] /(n,vs) personal meeting (esp. used by females)/
お目目 [おめめ] /(n) (sl) eyes (kid talk)/
お餅 [おもち] /(n) (uk) rice cakes/pounded mochi rice/
お問い合わせ [おといあわせ] /(n) enquiry/inquiry/
お門違い [おかどちがい] /(exp) barking up the wrong tree/calling at the wrong house/
お爺さん [おじいさん] /(n) (1) grandfather/(2) male senior-citizen/
お役御免 [おやくごめん] /(n) dismissal/firing/retirement/being relieved from one's post/being relieved of a burden/
お役所仕事 [おやくしょしごと] /(n) bureaucratic routine/red tape/
お役目 [おやくめ] /(n) (public) duty/
お預け [おあずけ] /(n) postponement/wait (until one is given permission)/
お預けを食う [おあずけをくう] /(exp,v5u) to have to wait (for the realization of something hoped for)/to be forced to postpone/
お預けを食らう [おあずけをくらう] /(exp,v5u) to have to wait (for the realization of something hoped for)/to be forced to postpone/
お里 [おさと] /(n) (1) (hon) (pol) one's parents' home/(2) one's origins/one's upbringing/one's past/
お里が知れる [おさとがしれる] /(exp,v1) to reveal one's upbringing (through one's words, actions, etc.)/to betray one's origin/to give oneself away/
お立ち [おたち] /(n) polite term for calling, departing and staying where one is/
お立ち台 [おたちだい] /(n) Balcony of Appearances (where the royal family appear)/
お流れ [おながれ] /(n) cancellation/abandonment/
お留守になる [おるすになる] /(exp,v5r) to fail to be attentive to/
お旅所 [おたびしょ] /(n) place where the sacred palanquin is lodged during a festival/
お隣さん [おとなりさん] /(n) (hon) the next-door neighbour (neighbor)/
お涙頂戴 [おなみだちょうだい] /(n,adj-no) tearjerker/sob story/maudlin tale/
お冷 [おひや] /(n) cold (drinking) water/cold boiled rice/
お冷や [おひや] /(n) cold (drinking) water/cold boiled rice/
お礼 [おれい] /(n) thanking/expression of gratitude/(P)/
お礼の申しよう [おれいのもうしよう] /(n) expression of gratitude/
お礼の申し様 [おれいのもうしよう] /(n) expression of gratitude/
お礼参り [おれいまいり] /(n) (1) visiting a shrine or temple to give thanks/(2) settling scores/
お礼奉公 [おれいぼうこう] /(n) free service after one has finished one's apprenticeship/
お零れ [おこぼれ] /(n) leavings/leftovers/
お歴々 [おれきれき] /(n) dignitaries/very important persons/VIPs/
お歴歴 [おれきれき] /(n) dignitaries/very important persons/VIPs/
お漏らし [おもらし] /(n,vs) (col) peeing/
お話 [おはなし] /(n) story/tale/
お話し [おはなし] /(n) story/tale/
お話し中 [おはなしちゅう] /(n) busy (phone)/(P)/
お話中 [おはなしちゅう] /(n) busy (phone)/
お詫び [おわび] /(n,vs) apology/
お碗 [おわん] /(n) bowl/
お恍け [おとぼけ] /(n) feigned ignorance/
お櫃 [おひつ] /(n) (uk) round, wooden container for cooked rice/
お洒落 [おしゃれ] /(adj-na,adj-no) (1) (uk) smartly dressed/stylish/fashion-conscious/(n) (2) someone smartly dressed/(vs) (3) to dress up/to be fashionable/
お浚い [おさらい] /(n) review/rehearsal/
お祓い [おはらい] /(n) exorcism (Shinti rite)/purification/
お臍 [おへそ] /(n) navel/belly button/
お襁褓 [おむつ] /(n) (uk) diaper/nappy/
お襁褓気触れ [おむつかぶれ] /(n) (uk) diaper rash/nappy rash/
お誂え向き [おあつらえむき] /(adj-no) perfect/just right/ideal/
か /(prt) (1) indicates question (sentence end)/(2) indicates choice, doubt, etc./(P)/
かあ /(n) cawing (of a crow)/
かあかあ /(adv) (1) (on-mim) caw-caw (the sound of a crow cawing)/(n) (2) (sl) crow (childish term)/
かい /(prt) (fam) marks yes-no question/(P)/
かいつぶり /(n) (1) (uk) little grebe (Tachybaptus ruficollis)/(2) grebe (any waterbird of family Podicipedidae)/
かいま見る [かいまみる] /(v1,vt) to take a peep at/to catch a glimpse of/
かいま聞く [かいまきく] /(v5k,vt) (col) (obsc) to get wind of/
かい込む [かいこむ] /(v5m,vt) to carry under the arm/to rake in/to scoop up/
かい出す [かいだす] /(v5s,vt) to bail out/
かい摘む [かいつまむ] /(v5m,vt) (uk) to sum up/to summarize/to summarise/
かえ /(prt) (fam) marks yes-no question/
かえるの目借時 [かえるのめかりどき] /(exp) springtime mating of frogs (haiku term)/
かえるの目借時 [かえるのめかるどき] /(exp) springtime mating of frogs (haiku term)/
かかえ込む [かかえこむ] /(v5m,vt) to hold (carry) a thing in one's arm/to embrace (a baby)/to take upon oneself/
かかり合う [かかりあう] /(v5u) to have dealings with/to be involved in/
かかわり合う [かかわりあう] /(v5u) to get involved or entangled in/to get mixed up in/to have something to do with/to have dealings with/
かがい /(n) (arch) ritual singing and dancing gathering of young men and women/
かがみ込む [かがみこむ] /(v5m,vi) to lean over/to lean in/
かがり火 [かがりび] /(n) bonfire/watch fire/fishing fire/cresset/brazier/
かきこ /(n) (abbr) (sl) post (to a BBS)/comment (on a blog)/
かき回す [かきまわす] /(v5s,vt) to stir up/to churn/to ransack/to disturb/
かき寄せる [かきよせる] /(v1,vt) to sweep/to rake up/
かき交ぜる [かきまぜる] /(v1) to mix/to stir/to scramble/to churn/
かき口説く [かきくどく] /(v5k,vi) to complain/to pester/to plead/to beg/
かき合せる [かきあわせる] /(v1,vt) to adjust/to arrange/
かき混ぜる [かきまぜる] /(v1) to mix/to stir/to scramble/to churn/
かき混ぜ規則 [かきまぜきそく] /(n) scrambling/
かき菜 [かきな] /(n) (uk) kakina (green leafy vegetable of the genus Brassica)/
かき集める [かきあつめる] /(v1,vt) to gather up/to scrape up together/
かき傷 [かききず] /(n) scratch/scrape/abrasion/
かき消える [かききえる] /(v1,vi) to disappear/
かき消す [かきけす] /(v5s,vt) to erase/
かき切る [かききる] /(v5r,vt) to cut/to slit/
かき氷 [かきごおり] /(n) shaved ice (usually served with flavored simple syrup)/Italian ice/Sno-cone/snow cone/(P)/
かき分ける [かきわける] /(v1,vt) to push one's way through/
かき鳴らす [かきならす] /(v5s,vt) to thrum/to strum/
かき揚げ [かきあげ] /(n) shrimp and vegetable fritters/
かき乱す [かきみだす] /(v5s,vt) to stir up/to disturb/
かき立てる [かきたてる] /(v1,vt) to stir up/to arouse/
かぎ回る [かぎまわる] /(v5r) to sniff around (looking for)/
かぎ取る [かぎとる] /(v5r,vt) (1) to smell/(2) to sense/
かぎ出す [かぎだす] /(v5s,vt) to scent out/to detect/
かぎ針 [かぎばり] /(n) hook/crochet needle/
かぎ針編み [かぎばりあみ] /(n) crochet/
かぎ爪 [かぎづめ] /(n) claw/talon/
かぎ縄 [かぎなわ] /(n) ninja rope with grappling hook/
かくかくしかじか /(exp) blah-blah yadda-yadda/expression used to replace part of conversation/
かくはん機 [かくはんき] /(n) mixer/agitator/
かくれ家 [かくれが] /(n) hiding place/refuge/
かく乱 [かくらん] /(n,vs) disturbance/perturbation/derangement/
かけたかの鳥 [かけたかのとり] /(n) (obsc) lesser cuckoo (Cuculus poliocephalus)/
かけ寄る [かけよる] /(v5r,vi) to rush over/to run up to/
かけ橋 [かけはし] /(n) (1) suspension bridge/viaduct/temporary bridge/(2) mediation/go-between/
かけ合い [かけあい] /(n) (1) negotiations/bargaining/(2) dialogue/duet/
かけ合う [かけあう] /(v5u,vi) to negotiate with/to talk over with/
かけ算 [かけざん] /(n) multiplication/
かけ持ち [かけもち] /(n,vs) holding two or more positions concurrently/
かけ声 [かけごえ] /(n,vs) yell used to time or encourage activity (e.g. "Heave ho!", "On three ... One, two, three!" in English)/enthusiastic shout from the audience (e.g. in kabuki)/shouting (in concerts)/
かけ直す [かけなおす] /(v5s) to call again/to call someone back/
かけ離む [かけこむ] /(v5m,vi) to rush in (at the last minute)/to stampede/
かけ離れる [かけはなれる] /(v1,vi) to be very far apart from/to be remote/to be quite different from/
かこう岩 [かこうがん] /(n,adj-no) granite/
かごの鳥 [かごのとり] /(exp) (1) caged bird/(2) person whose freedom has been restricted (esp. a prostitute, mistress, concubine, etc.)/
かご漁 [かごりょう] /(n) fishing baskets (esp. for crabs, lobsters, etc.)/lobster pots/
かさかさ /(adj-na,vs,adv,adv-to) (1) (on-mim) dry/bone dry/(2) rustle/
かさかさ鳴る [かさかさなる] /(v5r) to rustle/to make a rustling sound/to crinkle/
かさこそ /(adv,adv-to) rustlingly/
かさに着る [かさにきる] /(exp,v1) to wear the mantle of (borrowed) authority and misuse it/
かさねの色目 [かさねのいろめ] /(n) combination of colors created by layering of garments (colours)/
かさ高 [かさだか] /(adj-na) (1) bulky/unwieldy/(2) haughty/high-handed/
かさ高い [かさだかい] /(adj-i) (1) bulky/unwieldy/(2) haughty/high-handed/
かさ上げ [かさあげ] /(n,vs) increase/raising (e.g. embankment, levee)/padding or inflation (e.g. of a bill)/
かざみ /(n) (uk) swimming crab (Portunus trituberculatus)/
かざり職 [かざりしょく] /(n) maker of metallic ornaments/
かしめる /(v1) to caulk/
かしゃかしゃ /(adv-to) (on-mim) click-clack/clickety-click/clicking sound/clattering sound/
かしゃっ /(adv-to) with a click/
かしら /(prt) I wonder/(P)/
かし携帯 [かしけいたい] /(n) rental mobile phone/rental cell phone/cell phone that is rented/
かじき座 [かじきざ] /(n) (constellation) Dorado/Goldfish/Swordfish/
かじ取り [かじとり] /(n,vs) helmsman/coxwain/steering/guidance/
かじ付き [かじつき] /(adj-f) coxed (rowing)/having a coxswain/
かじ付きフォア [かじつきフォア] /(n) coxed-four (rowing)/
かじ無し [かじなし] /(adj-f) coxless (rowing)/
かすかす /(adj-na,adj-no,adv,vs) (1) dry (and tasteless)/(adv,vs) (2) barely/just/
かすり傷 [かすりきず] /(n,vs) scratch/graze/abrasion/
かすれ声 [かすれごえ] /(n) hoarse voice/husky voice/
かすんだ /(adj-f) (comp) grayed/
かす汁 [かすじる] /(n) soup made with sake lees/
かずの子 [かずのこ] /(n) herring roe/
かせぎ高 [かせぎだか] /(n) earnings/
かせ糸 [かせいと] /(n) reeled thread/
かせ蚯蚓 [かせみみず] /(n) Epimenia verrucosa (mollusc)/
かぜ薬 [かぜぐすり] /(n) remedy for a cold/cold medicine/
かそこら /(exp) around .../or so/
かたいことは言いっこなし [かたいことはいいっこなし] /(exp) let's put formalities aside/let's not speak so stiffly/
かたかた /(adv,n,vs) (on-mim) clattering/
かたきを討つ [かたきをうつ] /(exp,v5t) to take revenge/
かたき討 [かたきうち] /(n) vengeance/revenge/retaliation/
かたき討ち [かたきうち] /(n) vengeance/revenge/retaliation/
かたくり粉 [かたくりこ] /(n) (1) potato starch/(2) starch of dogtooth violet/
かたり /(adv-to) (on-mim) with a clatter/clatteringly/
かちかち /(adj-na,adv,n) (on-mim) tick-tock/knocking (stones together)/frozen solid/set rock hard/obstinate/scared stiff/(P)/
かちっと /(adv,vs) (1) (on-mim) with a click (door sound)/(2) with tenseness or firmness/
かちゃかちゃ /(n,adv-to) clink/clatter/clang/
かちゃり /(adv-to) (on-mim) with a clang or a clink/tinkle/
かちり /(adv-to) (on-mim) with a clink (click, clack)/
かちん /(adv-to,n) (on-mim) clink/clack/
かちんこ /(n) clapperboard/
かち合う [かちあう] /(v5u,vi) to clash/to be in conflict with/
かっか /(adv,adv-to,vs) (on-mim) burning hotly/burning redly/
かっかと /(adv,adv-to,vs) (on-mim) burning hotly/burning redly/
かっきり /(adv) (1) (on-mim) exactly/just/precisely/(2) punctually/(adv-to) (3) clearly delineated (of boundaries, etc.)/
かっきりに /(adv) (1) (on-mim) exactly/just/precisely/(2) punctually/
かっけー /(adj-na,adj-no) (col) attractive/good-looking/stylish/"cool"/
かっこかわいい /(exp) (col) cool and cute/
かっこ悪い [かっこわるい] /(adj-i) unattractive/ugly/unstylish/uncool/
かっこ好い [かっこいい] /(adj-i) attractive/good-looking/stylish/"cool"/
かっちり /(adv,n,vs) tightly/exactly/
かっと /(adv,n,vs) (on-mim) flare up/flying into a rage/
かっとなる /(exp,v5r) (col) to flare up/to fly into a rage/
かっぺ /(n) (abbr) (vulg) hick/country bumpkin/yokel/
かっぽれ /(n) kappore (traditional Japanese comic dance)/
かっ血 [かっけつ] /(n,vs) lung hemorrhage/lung haemorrhage/
かっ飛ばす [かっとばす] /(v5s,vt) to knock out (a homer)/to slam/
かつお節 [かつおぶし] /(n) katsuobushi (small pieces of sliced dried bonito)/
かつかつ /(adj-na,adv) (on-mim) barely/scraping by/
かて /(prt) (1) (ksb:) even if/if/(2) (ksb:) though/despite/(3) (ksb:) even/
かてきょ /(n) (abbr) (sl) home tutor/private tutor/coach/
かてて加えて [かててくわえて] /(exp) moreover/besides/in addition/on top of/to make matters worse/
かと言って [かといって] /(exp) (uk) having said that/on the other hand/
かどうか /(exp) whether or not (in phrases like "I don't know whether or not I can come")/(P)/
かな /(prt) (1) I wonder (sentence ending prt)/(2) should I? (question prt when thinking out loud)/is it?/(3) I wish that (with a negative)/I hope that/(P)/
かなあ /(prt) (1) I wonder (sentence ending prt)/(2) should I? (question prt when thinking out loud)/is it?/(3) I wish that (with a negative)/I hope that/
かなきり声 [かなきりごえ] /(n,adj-no) shrill voice/piercing cry/shriek/scream/
かなぐり捨てる [かなぐりすてる] /(v1) to fling off/to throw off/to throw to the winds/
かなとこ雲 [かなとこぐも] /(n) anvil cloud/
かなにか /(exp,suf) or something/
かな漢字変換 [かなかんじへんかん] /(n) (comp) kana-kanji conversion (on a computer, etc.)/
かな遣い [かなづかい] /(n) kana orthography/syllabary spelling/
かな使い [かなづかい] /(n) kana orthography/syllabary spelling/
かな入力 [かなにゅうりょく] /(n) (comp) kana input/
かね /(prt) interrogative sentence-ending particle expressing doubt/(P)/
かねてから /(exp) for some time/
かばち /(n) (col) quibble (in Hiroshima dialect)/
かばと /(adv) (on-mim) emphatically/energetically/
かばん語 [かばんご] /(n) (obs) portmanteau/combination of two words (often first half of one, second half of another)/
かばん持ち [かばんもち] /(n) (1) private secretary/(2) (derog) flunky/someone who is always following around someone of high rank/(3) someone who carries a bag for someone/luggage carrier/carrying a bag/
かば焼き [かばやき] /(n) loach or eel dipped and broiled in soy-based sauce/
かび止め [かびどめ] /(n) fungicide/preservative against mold/antimold agent/
かび臭い [かびくさい] /(adj-i) musty/putrid/
かぴかぴ /(adj-na,adv,adj-no) (on-mim) (col) crusty/flaky/dried out/
かぶき者 [かぶきもの] /(n) dandy/peacock/early-17th-century equivalent of present-day yakuza/Edo-period eccentric who attracted public attention with their eye-catching clothes, peculiar hairstyle, and weird behavior/
かぶり笠 [かぶりがさ] /(n) (obsc) conical hat (East-Asian style)/coolie hat/
かぶり物 [かぶりもの] /(n) headdress/headgear/
かぼちゃ野郎 [かぼちゃやろう] /(n) (derog) man with an unattractive, unusually shaped face/
かまくら /(n) mid-January festival in northern Japan, with snow huts in which children play house/(P)/
かませ犬 [かませいぬ] /(n) foil/someone to look as if he's putting up a fight but actually have no chance of winning/
かみのけ座 [かみのけざ] /(n) (constellation) Coma Berenices/
かみ合う [かみあう] /(v5u,vi) (1) to gear (engage) with/to be in gear (mesh)/(2) to bite each other/
かみ合せ [かみあわせ] /(n) (1) engaging or meshing (of gears)/(2) occlusion (of teeth)/
かみ合わせ [かみあわせ] /(n) (1) engaging or meshing (of gears)/(2) occlusion (of teeth)/
かみ殺す [かみこなす] /(v5s,vt) to chew/to digest/
かみ殺す [かみころす] /(v5s,vt) (1) to stifle a smile, yawn, etc./(2) to bite to death/
かみ切る [かみきる] /(v5r,vt) to bite off/to gnaw through/
かみ締める [かみしめる] /(v1,vt) (1) to chew thoroughly/(2) to reflect upon/to digest/
かみ付く [かみつく] /(v5k,vt) to bite (at)/to snap at/to snarl at/
かむ /(v5m) (uk) to blow (one's nose)/(P)/
かも /(prt) (abbr) may/might/perhaps/may be/possibly/
かもしれん /(exp) may/might/perhaps/may be/possibly/(P)/
かもめーる /(n) summer greeting cards containing a lottery ticket, sold every year starting in June/
かも知れない [かもしれない] /(exp) (uk) may/might/perhaps/may be/possibly/(P)/
かも知れません [かもしれません] /(exp) (uk) (pol) may/might/perhaps/may be/possibly/(P)/
かや葺 [かやぶき] /(n) thatching a roof with grass/
かゆいところに手が届く [かゆいところにてがとどく] /(exp,v5k) to be extremely thorough, focusing on even the finest of details/
かゆい所に手が届く [かゆいところにてがとどく] /(exp,v5k) to be extremely thorough, focusing on even the finest of details/
かゆみ止め [かゆみどめ] /(n) anti-itch medication/antipruritic drug/
かよ /(prt) sentence-ending particle expressing doubt/
から /(prt) (1) from (e.g. time, place, numerical quantity)/since/(2) from (originator)/(3) because/(4) out of (constituent, part)/(5) through (e.g. window, vestibule)/(6) after/since (following te-form verb)/(P)/
からから /(adj-na,adv,vs,adj-no) (1) (on-mim) parched/dried-up/(adv-to) (2) (on-mim) rattle/(3) (on-mim) loud laughter/
からきし /(adv) quite/utterly/(not) at all/completely/
からくり時計 [からくりとけい] /(n) automaton clock/marionette clock/
からくり時計 [からくりどけい] /(n) automaton clock/marionette clock/
からくり人形 [からくりにんぎょう] /(n) mechanical doll/automaton/string puppet/marionette/person who follows orders blindly/
からころ /(n) clip-clop/
からして /(exp) (1) even/for starters/(2) so/therefore/(3) judging from/based on/(4) since/from/
からすの濡れ羽色 [からすのぬればいろ] /(n) glossy black (hair) (lit: color of a crow with wet feathers)/
からすると /(n) judging from/on the basis of/from the point of view of/
からす麦 [からすむぎ] /(n) (1) (uk) wild oat (Avena fatua)/wild oats/(2) oat (Avena sativa)/oats/
からっきし /(adv) quite/utterly/(not) at all/completely/
からっと /(adv,vs) (1) (on-mim) changing suddenly and completely/(2) crisp and dry (e.g. skies, weather, tempura, laundry, etc.)/
からっ風 [からっかぜ] /(n) a cold, strong, dry wind/
からと言って [からといって] /(exp) while it may be true that/just because/nevertheless/not necessarily/
からなる /(exp) Y adding up to Z/Y making up Z/Y constituting Z/Z consisting of Y/Z composed of Y/Z containing Y/
からには /(exp) now that/since/so long as/because/
からみ /(n) (uk) slag/
からみ合う [からみあう] /(v5u,vi) to be(come) intertwined/to be entangled/
からりと /(adv) (on-mim) changing suddenly and completely/(P)/
からんからん /(adv-to) (on-mim) clank clank/
からんころん /(n) (on-mim) sound made by geta/clip-clop/
から騒ぎ [からさわぎ] /(n,vs) much ado about nothing/
から風 [からかぜ] /(n) dry wind/
かりかり /(adj-f) (1) crisp/crunchy/(vs) (2) to be crisp/to eat a crisp/(3) to have a chip on one's shoulder/to be grumpy/to be irritated/to be annoyed/(adv,adv-to) (4) with crunching sound or effect/
かりん糖 [かりんとう] /(n) (uk) fried dough cake/
かり子 [かりこ] /(n) (arch) maid in an Osaka brothel/
かれ草 [かれくさ] /(n) dry grass/dead grass/hay/withered grass/
かわ /(n) (uk) matte (metallurgical)/
かわい子ちゃん [かわいこちゃん] /(n) (sl) popsy/cutie/sweetie/
かわゆす /(int) (abbr) cute!/adorable!/
かわら状 [かわらがさね] /(adj-no) imbricate/
かわり得る [かわりうる] /(exp,adj-f) able to change/
かわり得る [かわりえる] /(ik) (exp,adj-f) able to change/
かん /(adv,adv-to) (on-mim) ding/chime (sound of a bell or a small gong)/
かんかん /(n,adj-no) (1) anger/flare-up/(2) intense heat/(3) clanging noise/
かんかん怒る [かんかんおこる] /(v5r) to get very mad/
かんかん帽 [かんかんぼう] /(n) boater (flat straw hat)/
かんこ鳥 [かんこどり] /(n) cuckoo/
かんしゃく玉 [かんしゃくだま] /(n) (1) fit of anger/temper/rage/(2) firecracker/
かんじき兎 [かんじきうさぎ] /(n) (uk) snowshoe hare/snowshoe rabbit (Lepus americanus)/
かんで含めるように [かんでふくめるように] /(exp) in an easy-to-understand manner/in a very kind and detailed way/
かんで吐き出すように [かんではきだすように] /(exp) curtly, in a displeased manner/
かんばん方式 [かんばんほうしき] /(n) just-in-time inventory management/JIT/
かんむり座 [かんむりざ] /(n) Corona Borealis (constellation)/
かんらん岩 [かんらんがん] /(n) peridotite/
かん口令 [かんこうれい] /(n) gag order/gag rule/
かん高い [かんたかい] /(adj-i) shrill/
かん子 [かんし] /(n) forceps/
かん状 [かんじょう] /(adj-no) rod-shaped/bacillary/bacilliform/baculiform/
かん状体 [かんじょうたい] /(n) rod (shape of cell)/
かん体 [かんたい] /(n) rod (shape of cell)/
かん体細胞 [かんたいさいぼう] /(n) rod cell/
かん木 [かんぼく] /(n) bush/shrub/
かクルマサカオウム /(n) (uk) Major Mitchell's cockatoo (Cacatua leadbeateri)/Leadbeater's cockatoo/
か月 [かげつ] /(ctr) (number of) months/
か国 [かこく] /(ctr) counter for countries/
か国語 [かこくご] /(ctr) counter for languages/
か黒い [かぐろい] /(adj-i) deep black/
か細い [かぼそい] /(adj-i) (1) thin/skinny/(2) delicate/fragile/feeble/
か弱い [かよわい] /(adj-i) frail/feeble/(P)/
か所 [かしょ] /(n) passage/place/point/part/
か否か [かいなか] /(exp) whether or not/
か文字 [かもじ] /(n) (arch) mother/wife/
か流ファン [かりゅうファン] /(n) regenerative fan/vortex flow fan/
か流ブロワ [かりゅうブロワ] /(n) regenerative blower/vortex flow blower/
か流形センサ [かりゅうがたセンサ] /(n) vortex sensor/
か流形素子 [かりゅうけいそし] /(n) vortex device/
が /(prt) (1) indicates sentence subject (occasionally object)/(2) indicates possessive (esp. in literary expressions)/(prt,conj) (3) but/however/still/and/(P)/
がーっ /(n) with a grinding noise/
がい骨 [がいこつ] /(n,adj-no) skeleton/
がかる /(suf) (after a noun, used as a godan verb) inclining to/leaning to/
がが芋 [ががいも] /(n) (uk) rough potato (Metaplexis japonica)/
がが藷 [ががいも] /(n) (uk) rough potato (Metaplexis japonica)/
がくがく /(adj-na,adv,n,vs) (on-mim) body trembling/teeth clattering/something coming loose/
がくんと /(adv) (on-mim) suddenly/with a jerk/
がさがさ /(adj-na,adv,n,vs,adj-no) (on-mim) rustling/dry or rough feeling/(P)/
がさごそ /(n,adj-f) rustling sound/
がさっ /(adv-to) (on-mim) with a swoosh/at one fell swoop/
がさつ /(adj-na) (1) crude/unrefinded/coarse/rough/(2) ill-mannered/rude/insensitive/tactless/boorish/
がさみ /(n) (uk) swimming crab (Portunus trituberculatus)/
がさ入れ [がさいれ] /(n,vs) (sl) premises search/household search/
がざみ /(n) (uk) swimming crab (Portunus trituberculatus)/
がざめ /(n) (uk) swimming crab (Portunus trituberculatus)/
がしがし /(adv,adv-to) (on-mim) boisterously/roughly/briskly/
がしゃっ /(adv-to) (on-mim) (with a) crack/
がしんたれ /(n) (ksb:) good-for-nothing/bum/loser/coward/
がじゃがじゃ /(adj-na,adv) rummage (in a drawer)/
がじゃまめ /(n) peanut brittle/
がす [はがす] /(v5s,vt) to tear off/to peel off/to rip off/to strip off/to skin/to flay/to disrobe/to deprive of/to detach/to disconnect/
がす [へがす] /(v5s,vt) to tear off/to peel off/to rip off/to strip off/to skin/to flay/to disrobe/to deprive of/to detach/to disconnect/
がせ /(n,pref) fake/lie/nonsense/
がせねた /(n) faked information/bogus intelligence/disinformation/
がせネタ /(n) faked information/bogus intelligence/disinformation/
がたい /(n) (sl) body build/
がたがくる /(exp,vk) to show one's age (e.g. to start creaking at the joints)/to wear out (e.g. machinery)/
がたがた /(adj-na,adv,adv-to,vs,adj-no) (on-mim) rattle/clatter/(P)/
がたごと /(adv,adv-to) (on-mim) rattling/clattering/
がたっと /(adv) (1) (on-mim) with a clunk/with a clank/(2) the sound of a sudden decrease (in profits, vigor, etc.)/
がたつく /(v5k,vi) to rattle/to be bumpy/to be shaky/to be unsteady/
がたぴし /(n,vs) rattle/rattling sound/
がたり /(adv) (on-mim) with a bang (clash, bump)/
がたん /(adv-to,adv) (on-mim) (with a) bump/(with a) bang/(with a) crash/sharply/
がた落ち [がたおち] /(n,vs) (value or amount) plummeting/
がちがち /(adj-na,adv,n) (on-mim) chattering (teeth)/frozen solid/overly serious/
がちっと /(adv) (on-mim) with a clashing or clanging sound/
がちゃがちゃ /(adj-na,n,vs,adv,adv-to) (on-mim) clatter/
がちゃつく /(v5k,vi) (1) to clatter/to rattle/(2) to turn into a ruckus/
がちゃりと /(adv) (on-mim) with a clank/
がちゃ目 [がちゃめ] /(n) (sl) strabismus/squint/
がちんがちん /(n) tick-tock/chipping (sound)/
がちんこ /(n) (sl) competing in earnest (esp. in sumo)/
がっかり /(adv,n,vs,adv-to) (on-mim) feel disappointed/dejected/lose heart/feel emotionally drained/feel let down/(P)/
がっかりするな /(exp) cheer up!/
がっくり /(adv,n,vs,adv-to) (on-mim) heartbroken/crestfallen/(P)/
がっこ /(n) water (dialect from the Tsugaru region of Aomori)/
がっしり /(adv,n,vs) firmly/solidly/tough/(P)/
がったんごっとん /(n) clickety-clack (e.g. train sound)/
がっちり /(adv,n,vs) solidly built/tightly/shrewd/calculating/(P)/
がっちり屋 [がっちりや] /(n) tightwad/
がっつく /(v5k,vi) to be greedy/to devour greedily/
がっつり /(adv) (sl) firmly/plentifully/with all one's might/
がっぷり /(adv) firmly (grasped)/latched onto/locked onto/
がっぽがっぽ /(adv-to) (on-mim) in large quantities/
がっぽり /(adv-to,adv) (on-mim) in large quantities/
がつがつ /(adv,n,vs) (on-mim) greedily/burning with desire for something/
がつんと言う [がつんという] /(exp,v5u) to tell a person (something) emphatically/to let a person have it/
がてら /(prt) on the same occasion/at the same time/coincidentally/along with/partly (to do, for)/
がなり立てる [がなりたてる] /(v1) to yell/to shout/
がなる /(v5r) to yell/to shout/
がに股 [がにまた] /(adj-no) bowlegged/bandy-legged/
がね /(prt) (positive sentence end) I dare say/(negative sentence end) though, honestly/
がはと /(adv) (on-mim) emphatically/energetically/
がばがば /(adj-no) (1) (on-mim) over-sized/(adv) (2) in large quantities/
がばっと /(adv) (on-mim) emphatically/energetically/
がばと /(adv) (on-mim) emphatically/energetically/
がぶがぶ /(adj-na,adv,n) (on-mim) gulping down/guzzling/(P)/
がぶりと /(adv) (on-mim) emphatically (bite, gulp, chew, etc.)/
がぶり寄り [がぶりより] /(n) pushing the opponent with the torso (sumo)/
がぶる /(v5r) (1) to pitch (e.g. a boat)/(2) to force out an opponent (Sumo)/
がぶ飲み [がぶのみ] /(n,vs) swig/gulp/
がぼがぼ /(adj-f) squelching/
がましい /(suf) look like/sound like/savor of/smack of/
がまん強い [がまんづよい] /(adj-i) (very) patient/persevering/
がま口 [がまぐち] /(n) pouch/purse/handbag/
がみがみ /(adv) (on-mim) nagging/griping/
がめつい /(adj-i) greedy/grasping/predatory/calculating/avaricious/
がめる /(v1,vt) (1) to greedily try to win big (e.g. in mahjong)/(2) to swipe/to nick/to pilfer/
がめ子 [がめこ] /(n) chintzy, money-grubbing girl/
がやがや /(adv,n,vs) (on-mim) crowd of people talking/(P)/
がらがら /(adv,adv-to,vs) (1) (on-mim) clattering/rattling/gargling/(adj-na,adj-no) (2) empty/bare/uninhabited/vacant/unoccupied/(3) raspy (voice)/gravelly/(n) (4) rattle (e.g. baby's toy)/
がらがら蛇 [がらがらへび] /(n) (uk) rattlesnake/
がらがら声 [がらがらごえ] /(n) rough voice (e.g. when one has a cold or sore throat)/
がらくた食糧 [がらくたしょくりょう] /(n) (obsc) junk food/
がらっと /(adv) (1) (on-mim) to burst open/to open suddenly (of a door)/(2) to change completely/to do a 180/
がらっぱち /(n,adj-na) (col) rudeness/rude person/
がらり /(adv,adv-to) (1) (on-mim) entirely/suddenly/completely/rudely/(n) (2) window louvre/
がらんがらん /(adv-to) (on-mim) clanging/
がらんと /(adv,vs) (on-mim) empty/deserted/(P)/
がらんどう /(adj-na,n) hollowness/emptiness/void/
がら空き [がらあき] /(adj-no) virtually empty/quite empty/
がら明き [がらあき] /(adj-no) virtually empty/quite empty/
がり /(n) (col) (abbr) mimeograph/
がり /(n) sliced ginger prepared in vinegar (served with sushi)/pickled ginger/
がりせん /(n) person physically attracted to thin people/
がり版 [がりばん] /(n) mimeograph/
がり勉 [がりべん] /(n,vs) drudge/grind/someone who studies too much/cram-study (for exam, etc.)/
がる /(suf,v5r) (1) to feel (on adj-stem to represent a third party's apparent emotion)/(2) to behave as if one were/
がれ /(n) scree/
がれ場 [がれば] /(n) scree slope/
がん /(adv-to) (1) (on-mim) thump/thud (dull sound representing something being hit)/(2) severe/difficult/hard/
がんがん /(adv,vs) (col) (on-mim) sound of large bell/sound of scolding voice/(pounding of) headache/intense/
がんがん食べる [がんがんたべる] /(exp,v1) (sl) to pig out/to chow down/
がんと一発くらわす [がんといっぱつくらわす] /(exp,v5s) to punch someone/to give someone a belt/
がんば /(int) (col) Go for it (kiddy talk)/Keep at it/
がんばり屋 [がんばりや] /(n) someone who battles on in difficult circumstances/
がんも /(n) (abbr) deep-fried tofu mixed with thinly sliced vegetables/
がん首 [がんくび] /(n) (1) head of a pipe, incl. the bowl and stem attachment/(2) (col) neck/head/
がん首そろえる [がんくびそろえる] /(exp,v1) to sit silently at a meeting/
がん首をそろえる [がんくびをそろえる] /(exp,v1) to sit silently at a meeting/
がん診断 [がんしんだん] /(n) cancer diagnosis/
がん抑制遺伝子 [がんよくせいいでんし] /(n) tumour suppressor gene/tumor suppressor gene/
が早いか [がはやいか] /(exp) no sooner ... than .../hardly ... when .../
が聞いてあきれる [がきいてあきれる] /(exp,v1) who do you think you're kidding by saying (used to indicate incredulous dismissal of some claim)/What a laugh!/
が聞いて呆れる [がきいてあきれる] /(exp,v1) who do you think you're kidding by saying (used to indicate incredulous dismissal of some claim)/What a laugh!/
きかっけ /(n) chance/start/cue/excuse/motive/impetus/occasion/
きかん気 [きかんき] /(adj-na,n,adj-no) daring/unyielding/
きしきし /(adv) (on-mim) squeak/creak/
きしみ合う [きしみあう] /(v5u) to engage in (mutual) competition/
きしょー /(int) gross/nasty/yuck/
きしょい /(adj-f) (sl) feel sick/(something is) weird/
きしり /(adv-to,adv) creak/squeak/
きず音 [きずおん] /(n) flaw noise/
きせ分 [きせぶん] /(n) excess of fold beyond the stitching seam/
きぜん /(adv-to,adj-t) (arch) soaring highly/towering greatly/
きちきち /(adj-na,adv-to,n) (1) (on-mim) jam-packed (physically or of schedule, etc.)/(2) (used to denote a) grinding noise/(3) precisely/correctly (e.g. when working, etc.)/(n) (4) acrida cinerea/oriental longheaded locust/
きちきち蝗虫 [きちきちばった] /(n) (1) (uk) (col) male Oriental longheaded locust (Acrida cinerea)/(2) (obs) Gonista bicolor (species of grasshopper resembling the Oriental longheaded locust)/
きちっと /(adv,vs) (on-mim) exactly/perfectly/(P)/
きちんきちん /(adv-to,adv) correctly/properly/accurately/
きちんと /(adv,vs) (on-mim) precisely/accurately/neatly/(P)/
きっかり /(adv) exactly/precisely/
きっきゅう如 [きっきゅうじょ] /(adj-t,adv-to) deferential/humble/reverent/respectful/
きっしょー /(int) gross/nasty/yuck/
きっちり /(adv,vs) (1) punctually/on the dot/precisely/(2) closely/tightly/(fits) like a glove/(3) without fail/(P)/
きっぱり /(adv,adv-to,vs) (on-mim) clearly/plainly/decisively/distinctly/flatly/(P)/
きっぱりと /(adv,adv-to,vs) (on-mim) clearly/plainly/decisively/distinctly/flatly/
きつい /(adj-i) (1) intense/severe/hard/(2) determined/forceful/formidable/(3) strong/(4) tight/close/(P)/
きつねの嫁入り [きつねのよめいり] /(n) rain shower while the sun shines/sun shower/
きつね色 [きつねいろ] /(n) light brown/
きつぷ /(ik) (n) ticket/
きつめ /(adj-no,adj-na,n) a little too tight/
きなこ餅 [きなこもち] /(n) (uk) mochi sprinkled with soy flour/
きな臭い [きなくさい] /(adj-i) (1) burning or scorched smell/(2) imminent military action/(3) suspicious/
きな粉 [きなこ] /(n) (uk) soy flour/soybean flour/
きな粉餅 [きなこもち] /(n) (uk) mochi sprinkled with soy flour/
きぬごし豆腐 [きぬごしどうふ] /(n) silken tofu/soft tofu/
きぬた骨 [きぬたこつ] /(n,adj-no) incus (bone of the ear)/
きびきび /(adv,n,vs) (on-mim) brisk/lively/energetic/
きびすを返す [きびすをかえす] /(exp,v5s) to turn back/to return/
きび砂糖 [きびざとう] /(n) light brown sugar/
きまりが悪い [きまりがわるい] /(exp,adj-i) embarrassed/ashamed/
きまり悪い [きまりわるい] /(adj-i) feeling awkward/being ashamed/being bashful/
きまり文句 [きまりもんく] /(n) cliche/platitude/formula/set phrase/
きめえ /(exp) (sl) disgusting/gross/bad feeling/weird/
きめ細やか [きめこまやか] /(adj-na) smooth/polite and attentive to detail/
きもい /(adj-i) (sl) (abbr) gross/disgusting/
きもを冷やす [きもをひやす] /(exp,v5s) to be struck with terror/to be terrified/to be scared to death/
きも可愛い [きもかわいい] /(adj-f) (sl) (col) being both repellant and attractive at the same time/being both cute and disgusting/
きゃあ /(int) Eek!/Yipe!/
きゃっ /(int) shriek/scream/
きゃぴきゃぴ /(n,vs) (col) acting all cute and charged up/brimming with youthful enthusiasm/in high spirits/raring to go/overflowing with youthful energy (used mainly of girls)/
きゃんきゃん /(int) yelp/yap/
きゅうきゅう /(adj-na,adv,n) squeak/
きゅうよ /(n) (obsc) armadillo/
きゅう舎 [きゅうしゃ] /(n) barn/stable/
きゅう首 [きゅうしゅ] /(n,vs) going into a huddle/
きゅう鏘 [きゅうそう] /(adj-t,adv-to) (arch) echoing beautifully (of the sound produced by striking together jewels or metals)/beautiful (of a melody, etc.)/
きゅっと /(adv) (on-mim) tightly/squeaking/
きゅん /(adv,adv-to) (on-mim) momentary tightening of one's chest caused by powerful feelings/
きょう正 [きょうせい] /(n,vs,adj-no) correction/remedy/
きょう体 [きょうたい] /(n) (comp) cabinet/case/housing/component/unit/chassis/main frame/
きょしちょう座 [きょしちょうざ] /(n) Tucana (constellation)/the Toucan/
きょときょと /(adv,n,vs) (on-mim) look around restlessly/
きょとんと /(adv) (on-mim) (looking) blankly/(staring) in puzzlement/
きょろきょろ /(adv,n,vs) (on-mim) look around restlessly/(P)/
きょん /(n) Chinese muntjac (species of barking deer, Muntiacus reevesi)/
きらきら /(adv,adv-to,vs) (on-mim) glitter/sparkle/glisten/twinkle/(P)/
きらっ /(adv-to) (on-mim) glittering/glitteringly/sparkling/twinkling/brightly/
きらり /(adv,adv-to) (on-mim) with a momentary flash of light/
きりきり /(adv) (on-mim) at once/right away/quickly/
きりきり舞い [きりきりまい] /(n,vs) a whirl/going round and round/rushing a person off his feet/
きりっと /(adv,vs) (on-mim) stiff and slackless/tense without any looseness/
きりっとした /(adj-f) smart/spruce/neat/
きりり /(adv,adv-to) (1) (on-mim) stiff and slackless/tense without any looseness/(2) cling tightly/pulled or stretched as far as possible/(3) creaking of a door or oar/
きれい事 [きれいごと] /(n) (1) (uk) whitewashing/glossing over/lip service/(2) deftly finishing up/putting on the final touches/
きんき /(n) broadbanded thornyhead/broadfin thornyhead/kichiji rockfish (Sebastolobus macrochir)/
きんきらきん /(adj-no) gaudy/flashy/showy/
きんきん /(adv,n,vs) (on-mim) shrill/strident/piercing/
きんちゃく袋 [きんちゃくぶくろ] /(n) pouch/purse/
き印 [きじるし] /(n) (sl) (sens) madness/madman/
き損 [きそん] /(n,vs) damage/injury/defamation/waste/
き鳳鏡 [きほうきょう] /(n) (obsc) intricately inscribed ancient bronze or iron mirror featuring a pair of firebirds/
き鳳文 [きほうもん] /(n) (obsc) inscription of a fantastic birdlike creature found on Yin and Zhou dynasty bronze ware etc./
き裂 [きれつ] /(n) crack/crevice/fissure/chap/
ぎーぎー /(n) creak/squeak/rasping sound/
ぎいぎい /(n) creak/squeak/rasping sound/
ぎいとん /(adv,adv-to) (on-mim) squeaking or creaking (followed by a thump)/
ぎくぎく /(adv,adv-to,vs) jerkily/
ぎくしゃく /(adv,n,vs) (1) jerkiness/awkwardness/stiltedness/(2) souring (of a relationship)/strain (e.g. in relations)/
ぎくっと /(adv-to) (1) (with a) start/(vs) (2) to feel shocked/
ぎくり /(adv,adv-to) (1) (on-mim) (with a) start/(vs) (2) to be startled/
ぎこぎこ /(adv,adv-to) (on-mim) squeak squeak/squeaking/
ぎこちない /(adj-i) awkward/clumsy/stiff/crude/unrefined/constrained/(P)/
ぎごちない /(adj-i) awkward/clumsy/stiff/crude/unrefined/constrained/
ぎざぎざ /(adj-na,adj-no,n,adv) (on-mim) jagged/notched/corrugated/milled/serrated/(P)/
ぎしぎし /(n) creak/squeak/creaking sound/
ぎすぎす /(adv,n,vs) (on-mim) strained atmosphere/thin and bony/
ぎちぎち /(adv,adv-to,vs) (1) creakily/(adj-na) (2) close (i.e. with no room to spare)/
ぎっくり腰 [ぎっくりごし] /(n) strained back/slipped disk/lumbosacral strain/
ぎっしり /(adv) tightly/fully/(P)/
ぎっちょ /(n) (sl) (sens) left-handed/
ぎっちり /(adv) tightly/fully/
ぎとぎと /(vs,adj-no) (on-mim) oily/sticky/greasy/
ぎゃあぎゃあ /(adv,n) scream/squawk/squeal/
ぎゃふん /(n) speechlessness/state of being unable to argue/
ぎゃふんと言う [ぎゃふんという] /(exp,v5u) to be beaten hollow/to be argued into silence/
ぎゅう /(adv,adv-to) (1) (on-mim) squeezing something tightly/sound made by someone (or something) being squeezed/(2) criticizing someone severely/sound made by someone being criticized/(n) (3) (col) hug/
ぎゅうぎゅう /(adj-na,adv) (on-mim) packing in tightly/creaking leather, door, etc./(P)/
ぎゅうぎゅう詰め [ぎゅうぎゅうづめ] /(exp) jam packed/
ぎゅう詰め [ぎゅうづめ] /(adj-na,n) packed like sardines/jammed/
ぎゅぎゅ /(adv) (on-mim) snoringly/
ぎゅっと /(adv) (on-mim) hard/tight(ly)/(P)/
ぎょうかく /(n,adj-na,adj-t,adv-to) (uk) stony, fallow land/
ぎょっと /(adv,n,vs) (on-mim) being startled/(P)/
ぎょりゅう /(n) (uk) Tamarix chinensis/Chinese tamarisk/
ぎょろぎょろ /(adv,adv-to,vs) (on-mim) goggling/rolling (one's eyes)/
ぎょろり /(adv,adv-to) staring (e.g. eyes)/goggling/
ぎらぎら /(adv,n,vs,adv-to) (1) (on-mim) glare/dazzle/(2) glitter/(P)/
ぎらっ /(adv-to) (on-mim) dazzlingly/
ぎらつく /(v5k,vi) (1) to glare/to dazzle/(2) to glitter/
ぎりぎり /(adj-na,adv) (1) (on-mim) at the last moment/just barely/(2) grinding sound/(P)/
ぎりぎりまで /(exp) until something reaches the very limit/until the very last minute/up to the breaking point/
ぎりぎりセーフ /(exp) just safe (e.g. just avoiding being late, failing an exam, etc.)/just (barely) OK/
ぎろぎろ /(adv,adv-to,vs) glaringly (staring)/
ぎんた /(exp) (id) (kyu:) in case of/
ぎんやんま /(n) (uk) lesser emperor (species of dragonfly, Anax parthenope)/
くい違い [くいちがい] /(n) discrepancy/different or conflicting opinions/
くい違う [くいちがう] /(v5u,vi) to cross each other/to run counter to/to differ/to clash/to go awry/
くい止める [くいとめる] /(v1,vt) to check/to hold back/
くぐもった声 [くぐもったこえ] /(n) muffled voice/
くぐり戸 [くぐりど] /(n) side door/side gate/
くぐり抜ける [くぐりぬける] /(v1,vi) to go through/to pass through/to escape (through the cordon)/to evade (the law)/
くさくさ /(adv,n,vs) (on-mim) feeling depressed/
くさび形 [くさびがた] /(adj-na,n) (uk) wedge-shape/
くさび石 [くさびいし] /(n) (1) keystone/(2) sphene/
くさや /(n) horse mackerel dipped in salt water and dried in the sun/
くしゃくしゃ /(adj-na,adv,n,vs) (on-mim) crumpled/disheveled/dishevelled/feel gloomy/(P)/
くし形 [くしがた] /(adj-no) comb-shaped/
くじで選ぶ [くじでえらぶ] /(exp,v5b) to choose by lot/
くじら座 [くじらざ] /(n) (constellation) Cetus/Whale/
くじを引く [くじをひく] /(exp,v5k) to draw lots/
くじ引き [くじびき] /(n,vs) (uk) lottery/drawn lot/
くじ運 [くじうん] /(n) luck in a lottery/luck in a raffle/
くすくす /(n,adv,vs) (on-mim) chuckle/giggle/
くすくす笑う [くすくすわらう] /(exp,v5u) to giggle/
くすねる /(v1,vt) to pilfer/to filch/to swipe/
くすみ /(n,adj-no) dullness (esp. of the skin)/lack of luster/dirt/soil/contamination/
くすむ /(v5m,vi) to be quiet/to be dull/to darken/
くすり指 [くすりゆび] /(n) ring finger/third finger/
くすん /(n,adv-to) (on-mim) sniff/sniffle/snuffle/
くず屋 [くずや] /(n) (sens) ragman/junkman/garbage man/
くず屋さん [くずやさん] /(n) ragman/junkman/garbage man/
くず肉 [くずにく] /(n) waste meat/meat scraps/offal/
くず物 [くずもの] /(n) (1) trash/junk/garbage/(2) worthless product/
くず粉 [くずこ] /(n) kudzu starch/
くせっ毛 [くせっけ] /(n) kinky hair/frizzy hair/unruly hair/curly hair/
くせ者 [くせもの] /(n) ruffian/villain/knave/thief/suspicious fellow/
くせ毛 [くせげ] /(n) kinky hair/frizzy hair/unruly hair/curly hair/
くそ食らえ [くそくらえ] /(exp) (uk) fuck off! (lit: eat shit)/up yours!/up your arse (ass)/
くそ度胸 [くそどきょう] /(n) foolhardiness/daredevil courage/
くそ勉強 [くそべんきょう] /(n,vs) (sl) cram for an exam/concentrated study/
くたくた /(adj-na,adj-no) (1) (on-mim) exhausted/tired/(2) withered/worn out/(n) (3) boiling until shapeless or mushy/(4) tediously/repetitively/wordily/(P)/
くたばっちまえ /(exp) (X) (vulg) (ktb:) Drop dead, you bastard!/fuck you!/
くたばりぞこない /(exp) (vulg) worthless (of a person)/somebody who wouldn't be missed if they died/
くたばる /(v5r,vi) (1) (col) to kick the bucket/to drop dead/to die/(2) to be pooped/to be exhausted/(P)/
くたばれ /(exp) (X) (vulg) (ktb:) fuck you!/shove it!/go to hell!/drop dead!/
くたびれ儲け [くたびれもうけ] /(n,adj-no) waste of effort/thankless task/
くだくだ /(adv-to) (on-mim) tediously/lengthily/wordily/
くだくだしい /(adj-i) tedious/lengthy/wordy/long-winded/
くちゃくちゃ /(adv,adv-to,adj-na) (on-mim) crunching/crumpling/messy/
くっきり /(adv,n,vs,adv-to) (on-mim) distinctly/clearly/boldly/(P)/
くっくっくっ /(int) evil laughter/
くっすん /(n) sobbing noise/
くっちゃべる /(v5r) to talk/to chatter/to tell (e.g. secrets)/
くっつき虫 [くっつきむし] /(n) burr (prickly seeds or seedheads that stick to fur and clothes)/
くっ付き虫 [くっつきむし] /(n) burr (prickly seeds or seedheads that stick to fur and clothes)/
くっ付く [くっつく] /(v5k) (uk) to adhere to/to keep close to/(P)/
くっ付ける [くっつける] /(v1) to attach/(P)/
くつくつ /(adv) (on-mim) simmering/
くつくつ法師 [くつくつぼうし] /(ateji) (n) (obsc) Meimuna opalifera (species of cicada)/
くつわを並べて [くつわをならべて] /(exp) together/abreast/side-by-side/
くつ一足 [くついっそく] /(n) pair of shoes/
くつ屋 [くつや] /(n) shoemaker/shoe store/
くどくど /(adv,adv-to) (on-mim) tediously/repetitively/(P)/
くにゃくにゃ /(n,vs,adv-to) (on-mim) (the impression of being) soft and flexible/
くねくね /(adv,n,vs) (on-mim) bending loosely back and forth/making something/meandering/wriggling body/
くねる /(v5r,vi) to bend loosely back and forth/
くの一 [くのいち] /(ik) (n) (1) female ninja/(2) (col) woman/
くの字に曲げる [くのじにまげる] /(exp,v1) to bend over in the shape of the the character ku/to bend forward from the waist to form a chevron shape/
くの字点 [くのじてん] /(n) iteration mark shaped like the hiragana "ku" (used in vertical writing to represent repetition of two or more characters)/
くびすを返す [くびすをかえす] /(exp,v5s) to turn back/to return/
くびれフェチ /(n) (sl) small waist fetish (from kubire fetish)/wasp waist fetish/
くぼ地 [くぼち] /(n) pit/hollow/basin/depression/
くみ取り便所 [くみとりべんじょ] /(n) outhouse (from which night-soil may be collected)/privy/
くみ取る [くみとる] /(v5r,vt) (1) to scoop out/to pump out/(2) to understand/to surmise/
くもの巣理論 [くものすりろん] /(n) cobweb theorem/
くも膜 [くもまく] /(n) the arachnoid (membrane)/
くも膜下出血 [くもまくかしゅっけつ] /(n) subarachnoid hemorrhage/subarachnoid haemorrhage/
くよくよ /(adv,n,vs,adv-to) (on-mim) worry about/mope/brood over/(P)/
くらい /(suf,prt) (1) approximately/about/around/or so/(2) to (about) the extent that/(almost) enough that/so ... that .../at least/(3) as ... as .../like/(P)/
くらくら /(adv,n,vs) (on-mim) dizziness/giddiness/
くらっと /(adv) (1) (on-mim) dizzyingly/(vs) (2) to feel dizzy/
くりかえし /(n) repetition mark in hiragana/
くりかえし /(n) repetition mark in katakana/
くりかえし /(n) voiced repetition mark in hiragana/
くりかえし /(n) voiced repetition mark in katakana/
くりくり /(adj-f) big and round (e.g. eyes, shaven head, etc.)/
くり色 [くりいろ] /(n,adj-no) chestnut-color/chestnut-colour/
くり抜く [くりぬく] /(v5k,vt) to gouge out/to excavate/to bore/to drill/
くり返し [くりかえし] /(n,vs,adj-no,adj-na) (1) repetition/reiteration/iteration/cycle/(adv) (2) repeatedly/
くり返す [くりかえす] /(v5s,vt,vi) to repeat/to do something over again/
くるくる /(adv,n) (on-mim) like a small spinning object/winding up a long string, etc./(P)/
くるっ /(adv-to) turn around/rapid turn/round and charming (e.g. eyes)/
くるみ割り [くるみわり] /(n) nutcracker/nutcrackers/
くるり棒 [くるりぼう] /(n) (obsc) flail (for threshing grain)/
くる病 [くるびょう] /(n) rickets/
くろくろ /(adv) (on-mim) going round and round/
くわえ込む [くわえこむ] /(v5m) (1) to hold fast deep in (one's mouth or other orifice, often used in a sexual context)/(2) to bring in a man for sex/
くわん /(adv,adv-to) (on-mim) ding/chime (sound of a bell or a small gong)/
くわ入れ式 [くわいれしき] /(n) ground-breaking ceremony/
くんくん鳴く [くんくんなく] /(exp,v5k) to whine (of a dog)/
くんろ /(aux) (ksb:) to give/to let one have/to do for one/to be given/
くん蒸 [くんじょう] /(n,vs,adj-no) fumigation/smoking (out)/
くん製 [くんせい] /(adj-no) smoking (of fish, meat, etc.)/
くノ一 [くのいち] /(n) (1) female ninja/(2) (col) woman/
ぐーぐー /(adv,adv-to,vs) (1) snoring/(2) growling (low rumbling sound)/
ぐい /(adv-to) (on-mim) with a jerk/
ぐいぐい /(adv) (on-mim) doing something forcefully and continuously (pulling hard, gulping drink)/
ぐいっ /(adv-to) (on-mim) with a jerk/
ぐい飲み [ぐいのみ] /(n) (1) large sake cup/(n,vs) (2) gulping down a drink/taking a swig at something/
ぐい呑 [ぐいのみ] /(n) (1) large sake cup/(n,vs) (2) gulping down a drink/taking a swig at something/
ぐう /(n) (1) rock (in rock, paper, scissors)/(adv,n) (2) sound made through constricted throat/(3) sound made in suffering or under adversity/
ぐうぐう /(adv) (on-mim) fast (asleep)/snoring or grumbling sound/
ぐうぐう寝ちゃう [ぐうぐうねちゃう] /(v5u) (ktb:) to fall sound asleep/
ぐうたら /(n,adj-na,adj-no) lazybones/good-for-nothing/idler/
ぐうっと /(adv,adv-to) (on-mim) heartily (drinking)/
ぐうの音も出ない [ぐうのねもでない] /(exp,adj-i) lost for words/not knowing what to say by way of excuse (refutation)/
ぐきぐき /(adv,n,vs) (1) throbbing pain/(2) jerkily/awkwardly/
ぐさりと /(adv) (on-mim) deeply (e.g. dagger thrust)/
ぐしゃぐしゃ /(adv-to,adv,adj-na,vs) (on-mim) soggy/mushy/crumpled/
ぐしゃっ /(adv-to) (on-mim) crushed flat/squashed to a pulp/squished/crumpled/
ぐしょぐしょ /(n,adj-no) sopping/soaking/
ぐしょ濡れ [ぐしょぬれ] /(n,adj-no) sopping wet/sodden/wet to the skin/
ぐし縫 [ぐしぬい] /(n) running stitch/
ぐじぐじ /(adv,adv-to,vs) (1) (on-mim) mumblingly/grumblingly/(2) tardily/slowly/
ぐじゃぐじゃ /(adj-no,adj-na,adv,adv-to) (1) soggy/soaking/drenched/(adv,adv-to) (2) incessantly (complaining)/
ぐすく /(n) Okinawan fortress/
ぐすん /(n,adv-to) (on-mim) sniff/sniffle/snuffle/
ぐたぐた /(adj-na,adj-no) (1) (on-mim) exhausted/tired/(2) withered/worn out/(n) (3) boiling until shapeless or mushy/(4) tediously/repetitively/wordily/
ぐたり /(adv,adv-to,vs) (on-mim) completely exhausted/dead tired/limp/senseless/
ぐだぐだ /(adj-na,adj-no) (1) (on-mim) exhausted/tired/(2) withered/worn out/(n) (3) boiling until shapeless or mushy/(4) tediously/repetitively/wordily/
ぐちぐち /(n,vs) (1) to mumble/to mutter/(2) to complain (continuously) about something/
ぐちゃ /(n) splat!/
ぐちゃぐちゃ /(adj-na,adv,n,vs) (on-mim) pulpy/soppy/sloppy/
ぐちょぐちょ /(n,adj-no) sopping/soaking/
ぐっしょり /(adv) soaking (wet)/wringing/
ぐっすり /(adv,adv-to) (on-mim) sound asleep/fast asleep/(P)/
ぐったり /(adv,adv-to,vs) (on-mim) completely exhausted/dead tired/limp/senseless/(P)/
ぐっと /(adv) (on-mim) firmly/fast/much/more/
ぐつぐつ /(n,adv) (on-mim) simmering/boiling gently/
ぐでぐで /(adj-na) dead drunk/
ぐでんぐでん /(adj-na) dead drunk/
ぐにゃぐにゃ /(adj-na,adj-no,adv,n,vs) (on-mim) flabby/limp/soft/flexible/
ぐにゃっと /(vs) to become limp/
ぐにゃり /(adv-to) flabbily/softly/limply/effortlessly/flexibly/mushy/
ぐびぐび /(n) (on-mim) gulping/guzzling/
ぐぶぐぶ /(n) sound of rinsing one's mouth/
ぐむ /(suf,v5m) to appear/to start to appear/to show signs of appearing/
ぐらい /(suf,prt) (1) approximately/about/around/or so/(2) to (about) the extent that/(almost) enough that/so ... that .../at least/(3) as ... as .../like/(P)/
ぐらぐら /(adj-na,adv,n,vs) (on-mim) loose, irregular movement/lolling/indecisiveness/(P)/
ぐらっと /(adv) (on-mim) shaking violently/
ぐらつく /(v5k,vi) to be unsteady/to reel/to shake/
ぐらり /(adv-to,adv) shaking violently/
ぐる /(n) accomplice/cohort/
ぐるぐる /(adv,vs,adv-to) (1) (on-mim) turning round and round/going around in circles/(2) wrapped around/(P)/
ぐるっと /(adv) (on-mim) turning in a circle/going around/turning about/surrounding/encircling/(P)/
ぐるみ /(suf) (together) with/-wide/including/
ぐるり /(n) surroundings/circumference/(P)/
ぐるりと /(adv) (on-mim) turning in a circle/going around/turning about/surrounding/encircling/
ぐれる /(v1,vi) to stray from the right path/
ぐろい /(adj-i) (sl) grotesque/disgusting/gross/
ぐんぐん /(adv) (on-mim) steadily/
ぐんと /(adv) (on-mim) remarkably/noticeably/
ぐんにゃり /(adv) limp/enervated/
け /(prt) particle indicating that the speaker is trying to recall some information/
けい秀画家 [けいしゅうがか] /(n) (accomplished) woman painter/
けい線 [けいせん] /(n) ruled line/rule/
けい線を引く [けいせんをひく] /(exp,v5k) to rule (line)/
けい線表 [けいせんひょう] /(n) chart/
けい頭 [けいがしら] /(n) kanji "pig's head" radical/
けい動脈 [けいどうみゃく] /(n) carotid artery/
けが人 [けがにん] /(n) wounded or injured person/(P)/
けし粒 [けしつぶ] /(n) (1) poppy seed/(adj-f) (2) pinhead-like/small as ants/
けじめ /(n) distinction (between right and wrong)/(P)/
けじめを付ける [けじめをつける] /(exp,v1) (1) to draw the line (between two situations)/to make a clear distinction/(2) to take clear responsibility for (mistakes, etc.)/
けたけた /(adv) laughing foolishly/cackling/
けたたましい /(adj-i) piercing/shrill/noisy/loud/clamorous/wild/
けた位置 [けたいち] /(n) (comp) digit position/
けた移動 [けたいどう] /(n) (comp) shift/
けた区切り機能 [けたくぎりきのう] /(n) (comp) punctuation capability/
けた上げ [けたあげ] /(n) (comp) carry (of digit, bit, etc.)/
けた上げなし加算 [けたあげなしかさん] /(n) (comp) addition without carry/
けた上げる [けたあげる] /(v1) (comp) to carry (of digit, bit, etc.)/
けた上げ数 [けたあげすう] /(n) (comp) carry digit/
けた上げ保留加算機 [けたあげほりゅうかさんき] /(n) (comp) carry-save adder/
けた上り [けたあがり] /(n) (comp) carry (of digit, bit, etc.)/
けた送り [けたおくり] /(n) (comp) shift/
けち /(n,adj-na) (1) stinginess/miserliness/penny-pinching/cheesparing/miser/pinchpenny/skinflint/cheapskate/tightwad/niggard/(2) shabby/cheap/mangy/poor/(3) petty/narrow-minded/quibbling/mean-spirited/(4) bad luck/ill omen/glitch/
けちけち /(adv,vs) stingy/tightfisted/miserly/
けちつける /(v1) to find fault with/to rain on one's parade/to nitpick/to quibble/
けちのつき始め [けちのつきはじめ] /(exp) the first sign of bad luck/the first bad omen/
けちを付ける [けちをつける] /(exp,v1) (uk) to find fault with/to rain on one's parade/to nitpick/to quibble/
けちん坊 [けちんぼ] /(n,adj-na) miser/cheapskate/skinflint/
けちん坊 [けちんぼう] /(n,adj-na) miser/cheapskate/skinflint/
けち臭い [けちくさい] /(adj-i) mean/stingy/
けったい /(adj-na) (ksb:) queer/weird/bizarre/
けったくそ悪い [けったくそわるい] /(adj-i) (vulg) extremely vexing/
けってい /(n) (uk) hinny/
けつの穴 [けつのあな] /(n) (X) (col) anus/asshole/arsehole/
けど /(conj,prt) but/however/although/(P)/
けども /(conj,prt) but/however/although/
けばい /(adj-i) gawdy/glitzy/loud (e.g. of makeup)/
けばけば /(adv,n,vs) (on-mim) gaudy/garish/
けむりフード /(n) anti-smoke hood/
けらけら /(adv) (on-mim) cackling (sound of shrill laughter)/
けらけら笑う [けらけらわらう] /(v5u) to cackle/
けられ /(n) vignetting (darkening of the perimeter of a photographic image)/
けり /(aux-v) (1) indicates recollection or realization (i.e. of hearsay or the past)/can form a poetic past tense/(2) indicates continuation from the past to the present/(3) end/conclusion/
けりが付く [けりがつく] /(exp,v5k) (uk) to be settled/to be brought to an end/
けりを付ける [けりをつける] /(exp,v1) (uk) to settle/to finish/to bring to an end/
けり込む [けりこむ] /(v5m) to kick in/
けり殺す [けりころす] /(v5s) to kick to death/
けれど /(conj,prt) but/however/although/(P)/
けれども /(conj,prt) but/however/although/(P)/
けろっと /(adv,vs) as if nothing happened/nonchalantly/
けろり /(adv,adv-to) (1) (on-mim) completely/entirely/(2) nonchalantly/as if nothing happened/
けん /(n) (arch) (obsc) xun (ancient Chinese musical instrument resembling a clay ocarina)/
けんかを売る [けんかをうる] /(exp,v5r) to pick a fight/
けんか腰 [けんかごし] /(n,adj-no) belligerent/
けんか両成敗 [けんかりょうせいばい] /(exp) in a quarrel, both parties are to blame/
けんけん /(n,vs) hopping on one foot/
けんせい球 [けんせいきゅう] /(n) throw to check a runner/
けんちん汁 [けんちんじる] /(n) Japanese tofu and vegetable chowder/
けんつくを食わす [けんつくをくわす] /(exp,v5s) (obsc) to burst out in anger/
けんつくを食わせる [けんつくをくわせる] /(exp,v1) to angrily reject/to snub/to give a person a good scolding/to give a person a rap on the knuckles/
けんもほろほろ /(ik) (adj-na,adj-no) curt/blunt/brusque/
けんもほろろ /(adj-na,adj-no) curt/blunt/brusque/
けん引 [けんいん] /(n,vs) hauling/tow/pull/drag/
けん玉 [けんだま] /(n) Japanese bilboquet (cup-and-ball game)/
けん制 [けんせい] /(n,vs) check/restraint/constraint/diversion/feint/screen/
けん怠感 [けんたいかん] /(n) physical weariness/sense of fatigue/washed-out feeling/
けん土重来 [けんどじゅうらい] /(n) recouping one's strength for a renewed attack (on)/making another attempt with redoubled efforts/
けん土重来 [けんどちょうらい] /(n) recouping one's strength for a renewed attack (on)/making another attempt with redoubled efforts/
けん盤 [けんばん] /(n) keyboard (e.g. piano, computer)/
げ /(int) exclamation of surprised disappointment, disgust, or worry (yuck, ick, ack, eeew, crap!, blech, gross)/
げきを飛ばす [げきをとばす] /(exp,v5s) to issue a manifesto/to appeal/
げそげそ /(n) (the appearance of having) lost weight/
げた箱 [げたばこ] /(n) shoe rack (in genkan)/cupboard (for shoes and clogs)/
げっ /(int) exclamation of surprised disappointment, disgust, or worry (yuck, ick, ack, eeew, crap!, blech, gross)/
げっそり /(adv,n,vs) being disheartened/losing weight/
げっぷ /(n) (on-mim) belch/burp/eructation/
げっ歯動物 [げっしどうぶつ] /(n) (1) gnawing animal/(2) rodent/
げっ歯目 [げっしもく] /(n) (1) Rodentia/(adj-no) (2) rat-like/rodential/
げっ歯類 [げっしるい] /(n,adj-no) rodent/
げつ /(n) (arch) (obsc) cutting off the leg at the knee (form of punishment in ancient China)/
げらげら /(adv,adv-to) (on-mim) guffaw/
げらげら笑う [げらげらわらう] /(exp,v5u) to guffaw/
げろ /(n) (col) spew/
げろげろ /(exp) (sl) gross me out!/disgusting!/
げろげろ吐く [げろげろはく] /(exp,v5k) to vomit/to throw up/
げんぜん /(adv-to,adj-t) (1) (arch) alone/(2) spilling tears in large drops/crying out in anguish/crying out in sorrow/
げんなり /(adv,vs) wearily/dejectedly/
げんを担ぐ [げんをかつぐ] /(exp,v5g) to be superstitious/
げん灯 [げんとう] /(n) running lights/sidelight/side light/
こ /(suf) (1) (abbr) doing/in such a state/(2) doing together/contest/match/(3) (fam) familiarizing suffix (sometimes meaning "small")/
こいさん /(n) (hon) (ksb:) youngest daughter (of a good family)/
こういった /(exp) this sort of/
こうかく /(n,adj-na,adj-t,adv-to) (uk) stony, fallow land/
こうする /(exp,vs-i) to (do) like this/
こうすると /(exp) having done this/if this is done/if it is done in this way/(P)/
こうすれば /(exp) if you do this/if this is the case/(P)/
こうなると /(exp) given the situation/now that it has come to this/
こうべを垂れる [こうべをたれる] /(exp,v1) (1) to hang one's head/(2) to bow down/
こうもり傘 [こうもりがさ] /(n) (Western-style) umbrella/
こうやって /(conj) thus/in this way/
こう化 [こうか] /(n,vs) gelatinization/gelatinisation/
こう言う [こういう] /(adj-pn) such/like this/
こう言う [こうゆう] /(adj-pn) such/like this/
こう頭 [こうとう] /(adj-na,n,adj-no) larynx/
こき下ろす [こきおろす] /(v5s,vt) to denounce/to disparage/to lambast/to abuse/
こき使う [こきつかう] /(v5u,vt) to work someone hard/
こくり /(n,vs,adv-to) (1) nodding/dozing off/(adv,adv-to) (2) suddenly/
こくん /(adv-to) (1) (on-mim) nod deeply/(2) glugging/drinking deeply/
こくんこくん /(adv-to) (1) (on-mim) glugging/drinking deeply/(2) nodding deeply/
こけこっこ /(adv) (1) cock-a-doodle-doo (sound made by cockerels, roosters)/(n) (2) (sl) cockerel/rooster (childish term)/
こけこっこう /(adv) (1) cock-a-doodle-doo (sound made by cockerels, roosters)/(n) (2) (sl) cockerel/rooster (childish term)/
こけっこう /(adv) (1) cock-a-doodle-doo (sound made by cockerels, roosters)/(n) (2) (sl) cockerel/rooster (childish term)/
こけら板 [こけらいた] /(n) thin shingles/
こけら葺き [こけらぶき] /(n) shingling/shingled roof/
こけら落し [こけらおとし] /(n) opening of a new theater (theatre)/
こけら落とし [こけらおとし] /(n) opening of a new theater (theatre)/
こげ茶色 [こげちゃいろ] /(n) dark brown/olive brown/
ここで逢ったが百年目 [ここであったがひゃくねんめ] /(exp) (id) At last your time has come/
ここで会ったが百年目 [ここであったがひゃくねんめ] /(exp) (id) At last your time has come/
ここにきて /(exp) (1) (id) came here/coming here/(2) recently/
こころを用いる [こころをもちいる] /(exp,v1) to be attentive to/to pay attention to/
ここん所 [ここんとこ] /(n) this place/here/
ここ一番 [ここいちばん] /(n) the crucial moment/the moment of truth/a do-or-die situation/a crucial juncture/a crucial stage/
こざっぱり /(adv,vs) neat (neatly)/tidy/trim/
こしょばい /(adj-i) ticklish/
こし器 [こしき] /(n) filter/strainer/colander/
こし紙 [こしがみ] /(n) filter paper/
こし布 [こしぬの] /(n) cloth strainer/filter cloth/
こし餡 [こしあん] /(n) strained bean paste/
こじつけ /(n,adj-no) distortion/stretch/strained interpretation/technicality/casuistry/sophistry/
こじつける /(v1,vt) to distort/to strain (interpretation)/to force (meaning)/
こじ開ける [こじあける] /(v1,vt) to wrench open/to prize open/to pick (lock)/
こすり合わせる [こすりあわせる] /(v1) to rub together (e.g. one's hands)/
こせこせ /(adv,n,vs) (on-mim) fussy/make a big deal out of nothing/
こそ /(prt) for sure (emphasize preceding word)/(P)/
こそあど /(n) (ling) Japanese ko-so-a-do demonstratives (e.g. pronouns: kore, sore, are, dore)/
こそげ取る [こそげとる] /(v5r,vt) to scape off/
こそこそ /(adv,adv-to,n,vs) (on-mim) sneakily/move stealthily/(P)/
こそばい /(adj-i) ticklish/
こそばゆい /(adj-i) ticklish/
こそ泥 [こそどろ] /(n) sneak-thief/
こだま /(n) regular (stops at every station) Toukai-line Shinkansen/
こだわり /(n) (1) obsession/fixation/hangup/(2) determination/fastidiousness/pickiness about (trait, style, etc.)/
こちこち /(adj-na,adv,n,adj-no) (on-mim) dry/hard/puritanical/frightened/(P)/
こちらこそ /(exp) it is I who should say so/
こちらの話 [こちらのはなし] /(exp) talking to oneself/
こちんこちん /(adj-no,adj-na) (1) hard (due to freezing, drying, etc.)/(2) wound up/tense/
こっきり /(suf) just (applies to set number of items, instances, etc.)/
こっくり /(n,vs,adv-to) (1) nodding/dozing off/(adv,adv-to) (2) suddenly/
こっくりうなずく /(v5k) to nod in agreement/to nod in assent/
こっくりこっくり /(n,vs) niddle-noddle/nid-nod/
こっくりさん /(n) table turning (tipping, tilting)/divination by planchette/
こっくりとうなずく /(v5k) to nod in agreement/to nod in assent/
こっそり /(adv-to) (on-mim) stealthily/secretly/(P)/
こった /(exp) (col) slang form of "koto da"/
こっちの話 [こっちのはなし] /(exp) (col) talking to oneself/
こっちゃ /(exp) (1) (as for (that)) thing/(given (that)) thing/matter/fact/(2) (ksb:) (it is a ~) thing/matter/fact/
こってり /(adv,adv-to,vs) (1) thickly/heavily/richly/(2) severely/strongly/
こっぱ微塵 [こっぱみじん] /(n,vs) (uk) broken into small fragments/smashed to atoms/fragments and splinters/smithereens/
こっ酷い [こっぴどい] /(adj-i) (uk) bad/harsh/severe/
こつこつ /(adv,adv-to) (1) (on-mim) unflaggingly/steadily/untiringly/laboriously/(2) clicking/drumming/(P)/
こつこつ働く [こつこつはたらく] /(exp,v5k) to work hard/to moil/to keep one's nose to the grindstone/to slug away/
こつんと /(adv) with a bump/with a clunk/
こてこて /(adj-na,vs,adv) (1) (on-mim) over the top/(2) thickly/heavily/richly/
こてんこてん /(n,adv) black and blue (e.g. beaten ...)/
こてんぱ /(n,adv) black and blue (e.g. beaten ...)/
こてんぱん /(n,adv) black and blue (e.g. beaten ...)/
こと /(prt) (1) particle indicating a command/(2) (fem) particle indicating mild enthusiasm/(3) particle indicating a gentle interrogative/(4) particle used to soften a judgment or conclusion/
ことあるごとに /(exp,adv) with every little thing/at every opportunity/for each and every thing that crops up/
ことから /(exp) from the fact that .../
ことができる /(exp,v1) can (do)/to be able to (do)/(P)/
ことこと /(adv,adv-to) (1) (on-mim) simmering noise/light bubbling/gentle clinking/sound of rapping/sound of rattling/(2) cooking something on a low flame/chopping something lightly/
こととて /(conj) because/
ことなかれ主義 [ことなかれしゅぎ] /(n) (uk) principle of peace-at-any-price/
ことになっている /(exp,v1) to be scheduled to (do)/to be expected to (do)/
ことので /(exp) from the fact that .../
ことばに甘える [ことばにあまえる] /(exp,v1) to accept an offer/to be charmed by someone's kind words and do as he wishes/
ことば典 [ことばてん] /(n) dictionary/
こともあろうに /(exp) of all things/
ことゆえ無し [ことゆえなし] /(exp) (arch) without incident/
ことよろ /(n) (col) (abbr) abbreviation of "kotoshi mo yoroshiku onegai shimasu" (please be kind to me again this year)/
ことん /(adv-to) (on-mim) clunk/thump/
こと座 [ことざ] /(n) (constellation) Lyra/
こと自体 [ことじたい] /(exp) (the thing) itself/
こどもの日 [こどものひ] /(n) Children's Day (national holiday; May 5th)/
こにちは /(ik) (int) (col) hello/good day (daytime greeting)/
こにちわ /(ik) (int) (col) hello/good day (daytime greeting)/
こぬか雨 [こぬかあめ] /(n) light or fine rain/drizzle/
こねくり回す [こねくりまわす] /(v5s) to knead/to turn/
こねくり返す [こねくりかえす] /(v5s) (1) to tamper/to mess with/(2) to go on endlessly/
こね回す [こねまわす] /(v5s,vt) to knead/to mix/to complicate/to turn into a mess/
こね上げる [こねあげる] /(v1,vt) (1) to knead thoroughly/to work up/(2) to concoct/to make up/
こね返す [こねかえす] /(v5s,vt) to knead/to mix/to complicate/to turn into a mess/
このおかげで /(exp) because of this/thanks to this/due to this/
このぐらい /(exp) to this extent/(P)/
このたびは大変お世話になりありがとうございました [このたびはたいへんおせわになりありがとうございました] /(exp) thank you for all your hard work/
このため /(exp) because of this/(P)/
このような場合に [このようなばあいに] /(exp,adv) in this kind of situation/
この位 [このくらい] /(n,adv) (uk) this much/this amount/
この位 [このぐらい] /(n,adv) (uk) this much/this amount/
この外 [このほか] /(conj) (uk) besides/moreover/in addition/
この間 [このあいだ] /(n-t,n-adv) (1) the other day/lately/recently/during this period/(P)/
この間 [このかん] /(n-t,n-adv) (1) the other day/lately/recently/during this period/(2) meanwhile/in the meantime/
この期 [このご] /(n-t) now (with the nuance of 'the last moment')/this late in the game/
この結果 [このけっか] /(exp) consequently/as a result/
この後 [このあと] /(exp) after this/henceforth/henceforward/from now on/
この後 [こののち] /(exp) after this/henceforth/henceforward/from now on/
この頃 [このころ] /(n-adv,n-t) recently/nowadays/these days/now/at present/
この頃 [このごろ] /(n-adv,n-t) recently/nowadays/these days/now/at present/(P)/
この際 [このさい] /(n-adv) on this occasion/now/
この次 [このつぎ] /(adj-no) next/
この次から [このつぎから] /(exp) from now on/
この手 [このて] /(exp) this way (of doing)/this sort (of thing)/
この種 [このしゅ] /(adj-no) this kind of/
この所 [このところ] /(n) (uk) lately/recently/
この上 [このうえ] /(exp) besides/moreover/in addition/further/
この上ない [このうえない] /(exp) the most/the best/peerless/the greatest/first-rate/
この上なく [このうえなく] /(exp) most of all/extremely/
この上もなく [このうえもなく] /(exp) most of all/extremely/
この場合 [このばあい] /(exp) in this case/
この世 [このよ] /(n,adj-no) this world/the present life/
この世を去る [このよをさる] /(exp,v5r) to leave this world/to die/
この節 [このせつ] /(n-adv) these days/now/recently/
この先 [このさき] /(n-adv) beyond this point/from now on/after this/
この先の心持ち [このさきのこころもち] /(exp) feelings from this point on/
この前 [このまえ] /(n,adj-no) (1) some time ago/recently/lately/(2) last (Sunday, etc.)/previous/(P)/
この中 [このうち] /(exp) (1) (uk) among these/between these/of these/
この中 [このなか] /(exp) (1) (uk) among these/between these/of these/(2) in here/in this/
この通り [このとおり] /(exp) like this/in this way/as you see/
この度 [このたび] /(n-adv,n-t) this occasion/at this time/now/
この度は大変お世話になりありがとうございました [このたびはたいへんおせわになりありがとうございました] /(exp) thank you for all your hard work/
この内 [このうち] /(exp) (1) (uk) among these/between these/of these/(P)/
この分 [このぶん] /(exp) at this rate/
この分では [このぶんでは] /(exp) as affairs stand/judging from the present situation/as things are now/
この辺 [このへん] /(pn,adj-no) this area/around here/
この方 [このかた] /(n-adv) (1) since/(pn,adj-no) (2) this person/
この方 [このほう] /(n-adv) this one/this way/this method/
この様 [このよう] /(adj-na) like this/this sort/this way/
この様に [このように] /(adv) (uk) in this manner/in this way/like this/
この類 [このるい] /(adj-no) this kind/
この儘 [このまま] /(exp) (uk) as (it) is/
こびり付く [こびりつく] /(v5k) (uk) to stick to/to cling to/
こぴぺ /(n,vs) (abbr) copy-and-paste/
こぶみかんの葉 [こぶみかんのは] /(n) Kaffir lime (leaves used in Thai, etc. cuisine) (Citrus hystrix DC., Rutaceae)/
こぼし屋 [こぼしや] /(n) grump/heat merchant/
こぼし合い [こぼしあい] /(n) gripe session/grievance session/
こぼし話 [こぼしばなし] /(n) complaining/
こぼれ落ちる [こぼれおちる] /(v1,vi) to spill over and fall/to scatter (petals, leaves, etc.)/
こましゃくれる /(v1) to be saucy (of children)/to be impudent/to be cheeky/to be sassy/to be precocious/
こます /(v5s,vi) (1) to do/to have sexual intercourse/(2) to give/to present/to award/
こまちゃくれる /(v1) to be saucy (of children)/to be impudent/to be cheeky/to be sassy/to be precocious/
こまっしゃくれる /(v1) to be saucy (of children)/to be impudent/to be cheeky/to be sassy/to be precocious/
こまっちゃくれる /(v1) to be saucy (of children)/to be impudent/to be cheeky/to be sassy/to be precocious/
こまを回す [こまをまわす] /(exp,v5s) to spin a top/
こま板 [こまいた] /(n) cutting guide board for noodles/
こま飛び [こまとび] /(n) (obsc) frame skipping (e.g. during video playback)/
こみ合う [こみあう] /(v5u,vi) to be crowded/to be packed/to be jammed/
こみ上げる [こみあげる] /(v1,vi) (1) to fill (one's heart)/to experience a welling up of feelings or sensations/(2) to feel nauseated/
こむら返り [こむらがえり] /(n) cramp in the leg/
こよない /(adj-i) best/perfect/superb/
こよなく /(adv) exceedlingly/
こよなく愛する [こよなくあいする] /(exp,vs-s) to love greatly/to love beyond all else/
こら /(conj,int) (1) interjection meant to scold or reprove someone/hey!/(2) interjection to call out to someone/hey!/
こりこり /(adv) crunchy/crisp/
こりゃ /(exp) hey there/I say/see here/
これ /(int) (used to get the attention of one's equals or inferiors) hey/oi/yo/
これっ切り [これっきり] /(n,n-adv) (1) (uk) last time (as of now)/never again/(2) only this/
これで /(exp) here/with this/(P)/
これでも /(exp) even though things may appear this way/
これでもかこれでもか /(exp,adv-to) as if it weren't already enough/
これでもかと言うほど [これでもかというほど] /(exp) as if it weren't already enough/
これと言った [これといった] /(exp) (uk) nothing special (with neg. verb)/
これと言って [これといって] /(exp) nothing special (with neg. verb)/
これと同じ [これとおなじ] /(exp) the same as this/
これにより /(exp) herewith/from this/
これより /(exp) from (this, here, etc.)/since (this)/
これより三役 [これよりさんやく] /(n) final three bouts on the last day of a sumo tournament/
これより先 [これよりさき] /(exp) ahead/further on/beyond (this place)/
これを書いている時点で [これをかいているじてんで] /(exp) at the time of writing/
これを要するに [これをようするに] /(exp,adv) to sum things up/in short/in other words/
これ位 [これくらい] /(n,adv) this much/this amount/
これ位 [これぐらい] /(n,adv) this much/this amount/
これ見よがし [これみよがし] /(adj-no,adj-na) for show/ostentatious/flaunting/showing off/
これ切り [これきり] /(n,n-adv) (1) (uk) last time (as of now)/never again/(2) only this/
これ切り [これぎり] /(n,n-adv) (1) (uk) last time (as of now)/never again/(2) only this/
これ等 [これら] /(pn,adj-no) (uk) these/
ころ /(n) (obsc) roller/runner/dried whale blubber/
ころく /(n) quiver (worn on the right hip; post-Nara period)/
ころころ /(adv,n,vs) (1) (on-mim) small and round thing rolling/(2) pleasant, high-pitched sound/(3) something that changes frequently/something fickle/(P)/
ころっと /(adv) (1) (on-mim) sound of something small rolling once (often into a hole)/(2) disappointing/(3) complete reversal of a situation/(4) curling up into the fetal position/going to sleep suddenly/
ころり /(adv-to) (1) (on-mim) easily/effortlessly/suddenly/utterly/(2) changing completely/(n) (3) plink (sound of something light falling or rolling)/
ころコンベア /(n) roller conveyor/roller way/roller path/
ころコンベヤ /(n) roller conveyor/roller way/roller path/
ころ柿 [ころがき] /(n) dried persimmon/
ころ軸受け [ころじくうけ] /(n) roller bearing/
こん /(adv-to) (1) the sound that something makes when it is hit/with a bump/(2) yelp (e.g. of a fox)/bark/howl/
こんがらかる /(v5r) to become entangled/to become complicated/to get mixed up/to screw up/to get caught up in/
こんがらがる /(v5r) to become entangled/to become complicated/to get mixed up/to screw up/to get caught up in/
こんがり /(adv,adv-to) (on-mim) well-cooked/well-done/browned/
こんこん /(adv,adv-to) (1) (on-mim) tap-tap/knock-knock/bang-bang/(2) (on-mim) cough-cough/(3) (on-mim) bark (of a fox)/yelp/cry/(4) (on-mim) heavily (e.g. of snow falling)/(n) (5) (chn) fox/
こんごう型護衛艦 [こんごうがたごえいかん] /(n) Kongo class destroyer/
こんち /(n-t) (sl) today/this day/
こんちゃ /(int) (abbr) hi!/good day (daytime greeting)/
こんとん /(n) steamed manju/steamed mochi/
こんどん /(n) steamed manju/steamed mochi/
こんな /(adj-pn) such (about something/someone close to the speaker (including the speaker), or about ideas expressed by the speaker)/like this/(P)/
こんなに /(adv) so/like this/in this way/(P)/
こんな風に [こんなふうに] /(adv) (uk) in this way/like this/
こんにちわ /(ik) (int) (col) hello/good day (daytime greeting)/
こんばんわ /(ik) (int) good evening/
こんもり /(adv,vs) (on-mim) thickly/densely/luxuriantly/
こんもりと /(adv,vs) (on-mim) thickly/densely/luxuriantly/
こん睡状態 [こんすいじょうたい] /(n,adj-no) lethargic state/comatose state/
こん包 [こんぽう] /(n,vs) packing/crating/packaging/
こん包材 [こんぽうざい] /(n) packing material (boxes, insulation, shock resistance, etc.)/
こん包費 [こんぽうひ] /(n) packaging cost/
こん棒 [こんぼう] /(n) stick/club/cudgel/bludgeon/
ごう慢 [ごうまん] /(adj-na,n) pride/haughtiness/arrogance/insolence/hubris/
ごくごく /(adv,adv-to) (on-mim) gulping repetitively/
ごくり /(adv,adv-to) (on-mim) gulpingly/
ごくわずか /(exp,adj-na) derisory/negligible/minimal/nominal/imperceptible/
ごく一部 [ごくいちぶ] /(exp) small fraction/small proportion/
ごく最近 [ごくさいきん] /(adj-no,n-adv,n-t) very recently/in the very recent past/
ごく潰し [ごくつぶし] /(n) good-for-nothing/parasite/deadbeat/loafer/drone/idler/
ごしごし /(n,vs,adv) (on-mim) scrubbing/rubbing briskly/rasping/
ごしゃごしゃ /(adj-no,adj-na,adv,adv-to,vs) jumbled/disarrayed/messy/
ごそごそ /(adv,n,vs) (on-mim) rummaging sound/jarring sound/
ごたごた /(adj-na,adv,n,vs) (on-mim) trouble/confusion/
ごたつく /(v5k,vi) to be confused/to be in disorder/
ごた混ぜ [ごたまぜ] /(n,adj-na) jumble/hodgepodge/
ごち /(n) (sl) treat/banquet/feast/entertainment/goodies/
ごちゃごちゃ /(adj-na,adv,n,vs) (1) (on-mim) jumble/mix up/(2) complaining about various things/
ごちゃ混ぜ [ごちゃまぜ] /(n,adj-na) mess/jumble/muddle/chaos/
ごっくり /(adv,adv-to) (on-mim) gulpingly/
ごっくん /(n) (1) (on-mim) gulp/(2) (vulg) semen-swallowing/
ごっこ /(n-suf) something done together/game of make-believe/
ごっそり /(adv) completely/entirely/wholly/
ごった /(adj-na) confusion/mess/mix/huddle/
ごった煮 [ごったに] /(n) various foods cooked together/hodgepodge/hotchpotch/mulligan stew/
ごった返す [ごったがえす] /(v5s,vi) to be in confusion or commotion/to be in a turmoil/to be crowded or jammed with people/
ごっちゃ /(adj-na,adv,n,vs) (1) (on-mim) jumble/mix up/(2) complaining about various things/
ごっつあん /(exp) (sl) thank you (sumo slang)/
ごっつい /(adj-i) (1) rough/tough/hard/(2) unrefined/rustic/(3) exceeding/extreme/too much/
ごっつい手 [ごっついて] /(n) big hands/massive hands/
ごっつん盗 [ごっつんとう] /(n) (sl) stealing a car by rear-ending it lightly and having a friend jump in and drive off after the driver gets out/
ごってり /(adv,adv-to,vs) (1) thickly/heavily/richly/(2) severely/strongly/
ごつい /(adj-i) (1) rough/tough/hard/(2) unrefined/rustic/(3) exceeding/extreme/too much/
ごつい手 [ごついて] /(exp) big hands/massive hands/
ごつごつ /(adv,n,vs) (on-mim) rugged/scraggy/angular/
ごつん /(adv) thud/thump/bang/
ごとごと /(adv,adv-to) (1) clop clop/rumble rumble/(2) sound of something being boiled/
ごとり /(adv-to,adv) thump/clang/clank/
ごにょごにょ /(adv) (speak) mumblingly/unintelligibly/
ごねる /(v1,vi) to grumble/to make difficulties/
ごね得 [ごねどく] /(n) (col) getting what one wants by complaining or grumbling/profiting by holding out or taking a hard line/getting more by raising a ruckus/
ごほん /(int) cough/ahem/
ごぼごぼ /(adv) (on-mim) sound of gushing water/
ごぼっ /(adv-to) gurgling down/being sucked into/caving in suddenly/
ごまんと /(adv) in a great quantity/
ごま豆腐 [ごまどうふ] /(n) crushed sesame seeds boiled in water and chilled like tofu/
ごま油 [ごまあぶら] /(n) sesame oil/
ごみごみ /(adv,adv-to,vs) (on-mim) squalid/messy/
ごみ屋 [ごみや] /(n) (sens) ragman/garbage man/garbage collector/
ごみ音 [ごみおん] /(n) contamination noise/noise from contamination/
ごみ焼き炉 [ごみやきろ] /(n) incinerator/refuse furnace/
ごみ袋 [ごみぶくろ] /(n) garbage bag/
ごみ入 [ごみいれ] /(n) trashcan/rubbish bin/dustbin/ashcan/
ごみ入れごみ出し [ごみいれごみだし] /(exp) (comp) garbage in, garbage out/
ごみ箱 [ごみばこ] /(n) garbage can/garbage box/rubbish bin/trash can/dust bin/dustbin/
ごりごり /(adv,adv-to,vs) (1) scraping/scratching/(adj-no,adj-na) (2) hard (to the bite, to the touch)/
ごり押し [ごりおし] /(n,vs) pushing though/bulldozing/doing something by force/arm twisting/
ごろごろ /(adv,n,vs,adv-to) (1) (on-mim) thunder/purring/grumbling (e.g. stomach)/(2) something large and heavy starting to roll/(3) scattered about/(4) idleness/idle about/(5) having a foreign substance in (e.g. one's eye or stomach)/(P)/
ごろっと /(adv) (1) (on-mim) slumping/flopping down/(2) heavily rotating/
ごろつく /(v5k,vi) (1) to rumble/to thunder/to roll about (people, large objects)/(2) to wander about without a fixed workplace, home, etc./to hang around/to loiter/
ごろりと /(adv) (1) (on-mim) slumping/flopping down/(2) heavily rotating/
ごろりと横になる [ごろりとよこになる] /(exp,v5r) to throw oneself down/to lie down/
ごろ合せ [ごろあわせ] /(n) rhyming game/play on words/pun/
ごろ寝 [ごろね] /(n,vs) dozing/napping (e.g. on the floor in one's clothes, in the train)/
ごわごわ /(adj-na,adv,vs) (on-mim) stiff/starchy/
ごわす /(aux-v) (Satsuma) to be/
ごわつく /(v5k,vi) to be stiff/to be starchy/
ごわんす /(aux-v) (Satsuma) to be/
ごんごん /(adv) (on-mim) bang/clang/
ごんす /(exp) (abbr) (arch) (pol) to be/to exist/
ご挨拶 [ごあいさつ] /(n) (1) (pol) greeting/(2) a fine thing to say (used as part of a sarcastic response to a rude remark)/
ご意見を伺う [ごいけんをうかがう] /(exp,v5u) to ask the opinion of (a superior)/
ご意見箱 [ごいけんばこ] /(n) (1) suggestion box/opinion box/(2) advisor/sounding board/
ご一緒 [ごいっしょ] /(n,vs) (hon) going together/
ご一新 [ごいっしん] /(n) the (Meiji) restoration/
ご影 [ごえい] /(n) (hon) image (esp. of a deity, buddha, royal, noble, etc.)/
ご詠歌 [ごえいか] /(n) song in praise of the Buddha/
ご遠慮ください [ごえんりょください] /(exp) please refrain from ~ (e.g. smoking, etc.)/(P)/
ご遠慮下さい [ごえんりょください] /(exp) please refrain from ~ (e.g. smoking, etc.)/(P)/
ご恩 [ごおん] /(n) (hon) (received) favor, kindness or blessing (favour)/
ご下問 [ごかもん] /(n) a question from the emperor/
ご家人 [ごけにん] /(n) lower-ranking vassal in the Kamakura and Edo periods/
ご希望の向きは [ごきぼうのむきは] /(exp) those who want it/
ご機嫌 [ごきげん] /(adj-na,n,adj-no) pleasant/in a good mood/in high spirits/
ご機嫌いかがですか [ごきげんいかがですか] /(exp) (uk) How are you?/
ご機嫌よう [ごきげんよう] /(int) (1) (uk) how do you do?/nice to meet you/(2) adieu/farewell/bon voyage/
ご機嫌斜め [ごきげんななめ] /(exp) in a bad temper/
ご機嫌麗しい [ごきげんうるわしい] /(adj-i) in good humor (humour)/
ご協力 [ごきょうりょく] /(n,vs) cooperation/collaboration/
ご苦労 [ごくろう] /(adj-na,int,n) (hon) trouble (I have put you through)/
ご苦労さま [ごくろうさま] /(exp,adj-na) thank you very much for your .../I appreciate your efforts/(P)/
ご苦労さん [ごくろうさん] /(exp) I appreciate your efforts/
ご苦労様 [ごくろうさま] /(exp,adj-na) thank you very much for your .../I appreciate your efforts/
ご兄弟 [ごきょうだい] /(n) (hon) siblings/brothers and sisters/
ご降誕 [ごこうたん] /(n,vs) birth (regal)/nativity/
ご沙汰 [ごさた] /(n) (imperial) words/
ご座います [ございます] /(exp) (pol) to be/to exist/
ご座る [ござる] /(v4r,vi) (pol) (arch) (abbr) to be/
ご座居る [ございる] /(v1) (uk) (arch) to be (very pol.)/
ご座所 [ござしょ] /(n) a throne/
ご三家 [ごさんけ] /(n) (1) three branch Tokugawa families (Owari, Kii, and Mito)/(2) big three/top three/
ご三卿 [ごさんきょう] /(n) three secondary Tokugawa branch families (Tayasu, Shimizu, and Hitotsubashi)/
ご参考まで [ごさんこうまで] /(exp) for your reference/FYR/for your information/FYI/
ご自身 [ごじしん] /(n) himself/yourself/herself/
ご主人 [ごしゅじん] /(n) (hon) your husband/her husband/(P)/
ご朱印 [ごしゅいん] /(n) letter bearing the shogun's scarlet seal/
ご朱印船 [ごしゅいんせん] /(n) shogun-authorized trading vessel (authorised)/
ご愁傷さま [ごしゅうしょうさま] /(exp) my condolences/
ご愁傷様 [ごしゅうしょうさま] /(exp) my condolences/
ご愁傷様でございます [ごしゅうしょうさまでございます] /(exp) my condolences/
ご所 [ごしょ] /(n) old imperial palace/
ご所車 [ごしょぐるま] /(n) an ox-drawn coach/
ご笑納 [ごしょうのう] /(n,vs) (hum) please accept (this)/used to refer to another's acceptance of one's present/
ご心配なく [ごしんぱいなく] /(exp) don't worry/never mind/
ご新造 [ごしんぞ] /(n) wife (esp. of a prominent, recently married man)/
ご新造 [ごしんぞう] /(n) wife (esp. of a prominent, recently married man)/
ご真影 [ごしんえい] /(n) an imperial portrait/
ご神火 [ごじんか] /(n) deified volcano or volcanic eruption/
ご神体 [ごしんたい] /(n) shintai/object of worship housed in a Shinto shrine and believed to contain the spirit of a deity/
ご神灯 [ごしんとう] /(n) (1) light used as a religious offering/(2) paper lantern (hung up near the door of performers and geishas)/
ご親拝 [ごしんぱい] /(n) (hon) worship by the emperor at a shrine/
ご仁 [ごじん] /(n) (hon) personage/
ご成功 [ごせいこう] /(n) your success/
ご前を退く [ごぜんをのく] /(exp,v5k) to withdraw from the presence (of the Emperor)/
ご前会議 [ごぜんかいぎ] /(n) Imperial Council/
ご膳 [ごぜん] /(n) (hon) meal/emperor's meal/
ご存じ [ごぞんじ] /(n) (1) (hon) knowing/(2) (an) acquaintance/(P)/
ご存じの方 [ごぞんじのかた] /(n) (1) (hon) your acquaintance/(2) (hon) people who know/
ご存知 [ごぞんじ] /(ateji) (n) (1) (hon) knowing/(2) (an) acquaintance/
ご存知なのか [ごぞんじなのか] /(exp) do you know/perhaps you know/I wonder if you know/
ご多分 [ごたぶん] /(n) common/in the usual course/
ご多分にもれず [ごたぶんにもれず] /(exp) as is usual with/in common with/
ご多分に洩れず [ごたぶんにもれず] /(exp) as is usual with/in common with/
ご多分に漏れず [ごたぶんにもれず] /(exp) as is usual with/in common with/
ご多忙中 [ごたぼうちゅう] /(exp) in the midst of your work (often used as a formal phrase in business letters, etc.)/
ご大層 [ごたいそう] /(adj-na,n) exaggerated story/
ご託 [ごたく] /(n) tedious talk/impertinent talk/repetitious talk/saucy speech/pretentious statement/
ご馳走 [ごちそう] /(n) (1) feast/treating (someone)/(vs) (2) to treat (someone, e.g. to a meal)/(P)/
ご馳走さま [ごちそうさま] /(int) (1) word used after one has been treated (esp. used after a meal)/(2) used after hearing something lovey-dovey/(P)/
ご馳走様でした [ごちそうさまでした] /(exp) said after meals/
ご注意 [ごちゅうい] /(n) caution/being careful/attention (heed)/warning/advice/
ご注文 [ごちゅうもん] /(n,vs) order/request/
ご殿 [ごてん] /(n) palace/court/
ご殿女中 [ごてんじょちゅう] /(n) waiting woman in a shogun or daimyo's palace/
ご都合主義 [ごつごうしゅぎ] /(n) opportunism/double standards/timeserving/expediency/
ご都合主義者 [ごつごうしゅぎしゃ] /(n) opportunist/
ご難 [ごなん] /(adj-na,n) misfortune/calamity/
ご念 [ごねん] /(n) worry/care/consideration/
ご破算 [ごはさん] /(n) starting afresh/
ご飯 [ごはん] /(n) (1) cooked rice/(2) meal/(P)/
ご飯時 [ごはんどき] /(n) mealtime/
ご飯蒸し [ごはんむし] /(n) a rice steamer/
ご不浄 [ごふじょう] /(n) (pol) bathroom/
ご府内 [ごふない] /(n) within the town limits of Edo/
ご幣 [ごへい] /(n) (hon) staff with plaited paper streamers used in Shinto/
ご幣担ぎ [ごへいかつぎ] /(n) superstition/superstitious person/
ご鞭撻 [ごべんたつ] /(n,vs) encouragement/enthusiasm/urging/
ご方便 [ごほうべん] /(n) (1) (Buddh) (hon) upaya (skillful means, methods of teaching)/(2) convenience/suitability/availability/
ご褒美 [ごほうび] /(n) reward/prize/
ご本 [ごほん] /(n) (hon) (pol) book/
ご本尊 [ごほんぞん] /(n) (1) principal object of worship at a temple (usu. a buddha or bodhisattva)/principal image/idol/(2) the man himself/the person at the heart of the matter/
ご満悦の体 [ごまんえつのてい] /(exp) looking satisified/looking very pleased/
ご満悦の態 [ごまんえつのてい] /(exp) looking satisified/looking very pleased/
ご無沙汰 [ごぶさた] /(n,vs) not writing or contacting for a while/neglecting (failing) to write (call, visit, etc.)/long silence/
ご無理ご尤も [ごむりごもっとも] /(exp) you are unquestionably right/
ご迷惑 [ごめいわく] /(n,adj-na) trouble/bother/annoyance/
ご免 [ごめん] /(int,n) (uk) your pardon/declining (something)/dismissal/permission/(P)/
ご免あそばせ [ごめんあそばせ] /(exp) (uk) (pol) (fem) I beg your pardon/
ご免ください [ごめんください] /(exp) (1) may I come in?/(2) (pol) please forgive me/I'm sorry/(P)/
ご免こうむる [ごめんこうむる] /(exp,v5r) (1) to receive permission/(2) to leave (with someone's permission)/to retire/(3) to refuse/to beg off doing/
ご免なさい [ごめんなさい] /(exp) I beg your pardon/excuse me/
ご免下さい [ごめんください] /(exp) (1) may I come in?/(2) (pol) please forgive me/I'm sorry/
ご免被る [ごめんこうむる] /(exp,v5r) (1) to receive permission/(2) to leave (with someone's permission)/to retire/(3) to refuse/to beg off doing/
ご免遊ばせ [ごめんあそばせ] /(iK) (exp) (uk) (pol) (fem) I beg your pardon/
ご面相 [ごめんそう] /(n) frightful face/
ご尤も [ごもっとも] /(exp) (1) You are quite right/(adj-na,adv) (2) (pol) plausible/natural/
ご用 [ごよう] /(n) your order/your business/official business/
ご用の方 [ごようのかた] /(n) customer/guest/
ご用学者 [ごようがくしゃ] /(n) a scholar beholden to the government/
ご用始め [ごようはじめ] /(n) re-opening of offices in New Year (usu. Jan. 4)/
ご用商人 [ごようしょうにん] /(n) a purveyor to the government/
ご用新聞 [ごようしんぶん] /(n) a government newspaper or organ/
ご用組合 [ごようくみあい] /(n) a company union/
ご用達 [ごようたし] /(n) purveyor to the government/purveyor to the Imperial Household/
ご用達 [ごようたつ] /(n) purveyor to the government/purveyor to the Imperial Household/
ご用達 [ごようだち] /(n) purveyor to the government/purveyor to the Imperial Household/
ご用達 [ごようだつ] /(n) purveyor to the government/purveyor to the Imperial Household/
ご用納め [ごようおさめ] /(n) year-end office closing (usu. Dec. 28)/
ご用聞き [ごようきき] /(n) (1) the rounds of tradesmen going door to door/(2) route man/door-to-door tradesman/order taker/order-taking/(3) thief taker/secret policeman/
ご来光 [ごらいこう] /(n) sunrise viewed from the top of a high mountain/the rising sun/
ご来店 [ごらいてん] /(n,vs) (hon) coming to the store/
ご覧 [ごらん] /(int) (1) (abbr) (after the -te form of a verb) (please) try to/(2) (abbr) (please) look/(n) (3) (hon) seeing/looking/watching/
ご覧ください [ごらんください] /(exp) (uk) (hon) please look at it/
ご覧なさい [ごらんなさい] /(exp) (1) (hon) (pol) (please) look/(2) see (used to emphasize that an earlier prediction was correct)/(aux-v) (3) (hon) (pol) (after the -te form of a verb) (please) try to do/
ご覧なさる [ごらんなさる] /(v5aru) (hon) to see/to look/to watch/
ご覧になる [ごらんになる] /(exp,v5r) (1) (hon) to see/to look/to watch/(2) (after the -te form of a verb) try to/(P)/
ご覧に成る [ごらんになる] /(exp,v5r) (1) (hon) to see/to look/to watch/(2) (after the -te form of a verb) try to/
ご覧に入れる [ごらんにいれる] /(exp,v1) (hum) to show/to display/
ご覧の通り [ごらんのとおり] /(exp) (hon) as you see/
ご覧下さい [ごらんください] /(exp) (uk) (hon) please look at it/
ご利益 [ごりやく] /(n) (1) grace (of God)/divine favour/blessing/miracle/(2) benefit/(3) efficacy/
ご立派 [ごりっぱ] /(adj-na) (pol) splendid/fine/handsome/elegant/imposing/prominent/legal/legitimate/
ご了承 [ごりょうしょう] /(n,vs) acknowledgement/acknowledgment/understanding (e.g. "please be understanding of the mess during our renovation")/noting/
ご両親 [ごりょうしん] /(n) your (honorable, honourable) parents/
ご寮人 [ごりょうにん] /(n) mistress/madam/
ご陵 [ごりょう] /(n) imperial tomb/
ご令嬢 [ごれいじょう] /(n) (hon) (your) daughter/young woman/
ご令息 [ごれいそく] /(n) (hon) son/
ご霊前 [ごれいぜん] /(n) "before the spirit of the deceased" (written on the condolence-money envelope)/
ご連絡 [ごれんらく] /(vs) (1) (hon) to contact/to get in touch/(n) (2) contacting/getting in touch/communication/(your) call/(your) message/
ご連絡申し上げます [ごれんらくもうしあげます] /(exp) I am writing ..../we are contacting .../
さ /(suf) (1) -ness (nominalizing suffix indicating degree or condition)/(prt) (2) (sentence end, mainly masc.) indicates assertion/(int) (3) come/come now/(P)/
さーたーあんだぎー /(n) type of Okinawan doughnut (donut)/
さあ /(conj,int) come/come now/(P)/
さあさあ /(int) come/come now/
さあっと /(n) (1) relatively quickly (esp. actions)/(2) quite suddenly (esp. wind, rain, etc.)/
さいの目 [さいのめ] /(n) (1) pip (spot on a die)/(2) small cube (esp. of food)/die/dice/
さい銭 [さいせん] /(n) monetary offering/offertory/
さい帯血 [さいたいけつ] /(n) umbilical cord blood/
さえ /(prt) even/if only/if just/as long as/the only thing needed/(P)/
さえあれば /(exp) if only (you) have/(P)/
さえに /(exp) furthermore/and another thing/even as/
さえも /(exp) even/if only/if just/as long as/the only thing needed/
さお竹 [さおだけ] /(n) bamboo pole/
さかい /(prt) (ksb:) because/since/
さがし出す [さがしだす] /(v5s,vt) to locate/to discover/
さく /(n) (1) (uk) capsule (moss sporangium)/(2) capsule (type of dehiscent fruit)/
さくい /(adj-i) (1) friendly/sociable/(2) brittle/fragile/light/
さくさく /(adv,vs) (on-mim) crunchy/crisp (not moist or juicy)/flaky (as in pastry)/
さくっ /(adv-to) (1) (on-mim) with a crunching or grinding sound/(2) quickly/promptly/abruptly/simply/efficiently/(3) crispily/crunchily/
さくらの木 [さくらのき] /(n) cherry tree/
さくらめーる /(n) congratulatory postcards with a spring pattern sold every year in February/
さくらメール /(n) congratulatory postcards with a spring pattern sold every year in February/
さく果 [さくか] /(n) capsule (type of dehiscent fruit)/
さく乳器 [さくにゅうき] /(n) (1) breast pump/(2) milking device/milking machine/
さく薬 [さくやく] /(n) explosives/
さく裂 [さくれつ] /(n,vs) explosion/
ささくれ /(n) fine split/hangnail/
ささくれる /(v1,vi) (1) to split finely/to splinter/to get frayed/(2) to become irritable/
ささげ持つ [ささげもつ] /(v5t) to hold something reverently with both hands/
ささげ銃 [ささげつつ] /(n) presenting arms/
ささめく /(v5k,vi) to whisper/
ささやき声 [ささやきごえ] /(n) whisper/murmur/
さざめき /(n) hubbub/din/noise/
さざめく /(v5k,vi) to be boisterously noisy/
さざれ石 [さざれいし] /(n) (1) pebbles/gravel/(2) boulder formed from gravel and sediment/
さざれ波 [さざれなみ] /(n) (arch) ripple/
さざ波 [さざなみ] /(n) (uk) ripple (on water)/wavelets/
さし /(n) blowfly maggots used as fishing bait/
さしすせそ /(n) the five fundamental seasonings used in Japanese cooking: (in order) sugar, salt, vinegar, soy sauce, miso/
さしもの /(exp) as though one is/
さし出す [さしだす] /(v5s,vt) to present/to submit/to tender/to hold out/
さし招く [さしまねく] /(v5k,vt) to beckon (to)/
さし錠 [さしじょう] /(n) (obsc) bolt/
さじ加減 [さじかげん] /(n) prescription/consideration/making allowances for/
さすけね /(exp) (thb:) no problem/that's OK/
させて頂く [させていただく] /(exp,v5k) (hum) to have the privilege of doing/
させる /(aux-v,v1) (1) auxiliary verb indicating the causative/(2) (hum) auxiliary verb indicating that one has been granted the permission to do something/(3) auxiliary verb used to make verbs more "active"/(4) (hon) auxiliary verb used as an extreme honorific for others' actions/
させ子 [させこ] /(n) whore/
さっき /(n) some time ago/(P)/
さっくり /(adv) lightly/gently/
さっさと /(adv) (on-mim) quickly/(P)/
さった /(n) (1) (Buddh) (abbr) sattva (being)/(2) bodhisattva/
さっぱり /(adj-na,adv,n,vs,adv-to) (1) (on-mim) feeling refreshed/feeling relieved/(2) neat/trimmed/(3) plain/simple/(4) completely/entirely/(5) not in the least (in sentence with negative verb)/not at all/(n) (6) completely ignorant/not doing at all/(P)/
さっぱり分かりません [さっぱりわかりません] /(exp) having no inkling of/having no idea of/
さっぱり分らない [さっぱりわからない] /(exp,adj-i) having no inkling of/having no idea of/
さっ果 [さっか] /(n) capsule (type of dehiscent fruit)/
さつま芋 [さつまいも] /(n) sweet potato (Ipomoea batatas)/
さてこそ /(adv) (1) just as I thought/as expected/(2) that's why/
さてさて /(int) well/now/then/
さては /(conj) and then/besides/on top of that/
さて置き [さておき] /(conj) setting aside/leaving to one side/
さて置く [さておく] /(v5k) (uk) to set aside/
さばけ口 [さばけぐち] /(n) (1) outlet (e.g. for water or gas)/(2) market (for something)/(3) outlet (e.g. for excess energy)/vent (e.g. for emotions)/
さばさば /(adv,n,vs) (on-mim) relief/candid/
さばを読む [さばをよむ] /(exp,v5m) to manipulate figures to one's advantage/to count wrongly on purpose/to inflate or deflate one's age/
さば雲 [さばぐも] /(n) cirrocumulus cloud/
さば節 [さばぶし] /(n) dried, smoked mackerel/shavings from dried, smoked mackerel/
さび /(n) (1) hook (high point of a song)/(2) (abbr) (at a sushi shop) wasabi/
さび止め [さびどめ] /(n) rust-proofing/anti-corrosive/
さび色 [さびいろ] /(n,adj-no) rust (colour)/
さぶる児 [さぶるこ] /(n) (arch) (uk) prostitute and entertainer/
さぶる少女 [さぶるおとめ] /(n) (arch) prostitute and entertainer/
さまざまな理由から [さまざまなりゆうから] /(exp) for various reasons/
さまよえるユダヤ人 [さまよえるユダヤじん] /(n) Wandering Jew/
さめざめ /(adv) (on-mim) sorrowfully/anguishedly/
さもしい /(adj-i) selfish/self-seeking/self-interested/mean/
さやさや /(adv,adv-to) rustling/
さや取り [さやとり] /(n) brokerage/
さようならホームラン /(n) game-ending home run (baseball)/
さよか /(int) (1) (osb:) really?/(2) no thanks/
さよなら /(int) good-bye/(P)/
さよならホームラン /(n) game-ending home run (baseball)/
さらけ出す [さらけだす] /(v5s,vt) to expose/to disclose/to lay bare/to confess/
さらさら /(adj-na,adv-to,n,vs) (1) (on-mim) rustling/murmuring/(2) fluently/(3) silky (hair)/(P)/
さらし者 [さらしもの] /(n) pilloried criminal exposed to public view/public scorn or humiliation/person shamed in front of others/
さらし粉 [さらしこ] /(n) bleaching powder/
さらに悪いこと [さらにわるいこと] /(exp) and what is worse/to make matters worse/
さらば /(conj,int) farewell/
さらり /(adv,adv-to) (1) (on-mim) sleek/smooth/(2) thin (of a liquid)/(3) without hesitation or delay/
さり気ない [さりげない] /(adj-i) (uk) nonchalant/unconcerned/in a casual manner/
さるおがせ /(n) (uk) old man's beard (any lichen of genus Usnea)/
さる事 [さること] /(n) (1) (uk) something like that/that sort of thing/(2) something natural/something plausible/
さる年 [さるどし] /(n) year of the monkey/
されてしまった /(exp) (suru verb ending, passive) done and finished/done once and for all/
されなければならない /(exp) must have been done/has to have been done/
さん /(suf) (1) Mr, Mrs, Miss or Ms/(2) honorific used with occupational titles/(P)/
さんざ /(adv) (abbr) severely/harshly/utterly/terribly/
さんざめく /(v5k,vi) to be boisterously noisy/
さんや袋 [さんやぶくろ] /(n) pilgrim's carry-all bag/
さん付け [さんづけ] /(n,vs) attaching 'san' to somebody's name/
さ湯 [さゆ] /(n) (plain) hot water/boiled water/
さ迷う [さまよう] /(v5u,vi) to loiter/to putter/to prowl/to wander about/to roam about/to knock around/
さ迷える [さまよえる] /(v1) (uk) to wander/
さ迷えるユダヤ人 [さまよえるユダヤじん] /(n) Wandering Jew/
さ来月 [さらいげつ] /(n-adv,n-t) month after next/
さ来週 [さらいしゅう] /(n-adv,n-t) week after next/
さ来年 [さらいねん] /(n-adv,n-t) year after next/
ざあざあ /(adv) (on-mim) sound of rushing water/sound of pouring rain/white noise sound/(P)/
ざあっ /(adv,n) (on-mim) sound of water/
ざくざく /(adj-na,adv,adv-to) (1) (on-mim) lots of coins or jewels/(2) cutting up roughly/(3) walking on frost/(4) mixing gravel/
ざくろ鼻 [ざくろばな] /(n) rhinophyma/red swollen nose (often associated with alcoholism)/
ざく切り [ざくぎり] /(n,vs) cutting into chunks (esp. vegetables)/
ざけんじゃねーよ /(exp) (X) (vulg) fuck you!/don't fuck with me!/don't fuck around!/don't be a screw off!/
ざけんなよ /(exp) (X) (vulg) fuck you!/don't fuck with me!/don't fuck around!/don't be a screw off!/
ざざめく /(v5k,vi) to be boisterously noisy/
ざざ虫 [ざざむし] /(n) (in Shinshu) dobsonfly or stonefly larva/
ざっくざっく /(adv) crunch crunch/thud thud/tramp tramp/
ざっくばらん /(adj-na,n) frankness/
ざっくり /(adv,vs) (1) roughly/approximately/loosely/(2) cutting or breaking apart with vigour/(3) deeply (cut or split)/(4) rough (woollens, etc., as adjectival phrase with (to)shita)/(5) sound of treading on pebbles/
ざっと /(adv) (on-mim) roughly/in round numbers/(P)/
ざぶざぶ /(adv) (on-mim) gushing (of water, etc.)/
ざぶり /(adv-to,adv) (on-mim) splash/plop/
ざぶりざぶり /(adv-to) (on-mim) sound of living, moving water/
ざぶん /(adv-to,adv) (on-mim) splash/plop/
ざます /(aux-v) (arch) to be/
ざまを見ろ [ざまをみろ] /(exp) serves you right!/see what happens!/
ざら /(adj-na) common/
ざらざら /(adj-na,adv,n,vs,adv-to,adj-no) (on-mim) feeling rough/(P)/
ざらつく /(v5k,vi) to be rough feeling/
ざらにある /(exp) common (of object)/
ざらにいる /(exp,v1) common (of people)/
ざらめ糖 [ざらめとう] /(n) granulated sugar/
ざら紙 [ざらがみ] /(n) pulp paper/rough (printing) paper/
ざら場 [ざらば] /(n) continuous session (e.g. trading in a stock exchange)/zaraba/
ざり /(aux) (1) (arch) (used after a -nai stem) not .../(exp) (2) is/are/
ざりがに /(n) (uk) crayfish (esp. Japanese crayfish, Cambaroides japonicus)/
ざる /(aux) (arch) not/un-/
ざるべからず /(exp,aux) (arch) must (do, be)/
ざるを得ない [ざるをえない] /(exp) cannot help (doing)/have no choice but to/am compelled to/am obliged to/it is incumbent upon (me) to/
ざる得ない [ざるえない] /(exp) cannot help (doing)/have no choice but to/
ざわざわ /(adv,n,vs) (on-mim) noisy/sound of people talking/(P)/
ざわつく /(v5k,vi) to be noisy (e.g. from people talking)/
ざんざめく /(v5k,vi) to be boisterously noisy/
ざんす /(aux-v) (arch) to be/
ざんばら髪 [ざんばらがみ] /(n) loose and disheveled hair/
ざんぶ /(adv-to,adv) (on-mim) splash/plop/
ざんぶり /(adv-to,adv) (on-mim) splash/plop/
ざ瘡 [ざそう] /(n) acne/
し /(n) (obsc) 10**24/septillion (American)/quadrillion (British)/
し /(prt,conj) (at the end of a phrase) notes one (of several) reasons/(P)/
しーっ /(int) Shhh! (sound used when getting someone to shut up)/
しいさあ /(n) Okinawan lion statues, used as talisman against evil/
しいら /(n) (uk) mahimahi (Coryphaena hippurus)/common dolphinfish/dolphin/dorado/
しいんと /(adv,vs) (on-mim) silently (as the grave)/quietly (as in death)/
しおらしい /(adj-i) meek/gentle/modest/sweet/
しか /(prt) only (used with a negative verb)/nothing but/(P)/
しかけ絵本 [しかけえほん] /(n) pop-up book/
しかと /(n,vs) (sl) ostracism/ignoring someone/leaving someone out/
しかない /(exp) have no choice/(P)/
しかめっ面 [しかめっつら] /(n) frown or scowl/grimace/
しかめ面 [しかめつら] /(n) frown or scowl/grimace/
しかるが故に [しかるがゆえに] /(conj) as such/that being so/for that reason/
しかる後 [しかるのち] /(n-adv,n-t) thereafter/after doing that/followed by/
しかる上は [しかるうえは] /(conj) now that it is as such/since it is as such/
しがたい /(exp) (suru verb ending) hard to do/
しがない /(adj-i) (1) poor/humble/(2) (arch) uninteresting/trivial/
しがみ付く [しがみつく] /(v5k) (uk) to cling/
しきい値 [しきいち] /(n) threshold (amount, dose, etc.)/(P)/
しくしく /(adv,adv-to,vs) (1) (on-mim) weeping/sobbing/crying/(2) with a dull pain/prolonged dull pain/
しくしく泣く [しくしくなく] /(v5k) to sob/to weep/
しくじり /(n) failure/
しくじる /(v5r,vi) to fail/to fall through/to blunder/(P)/
しくる /(v5r) (sl) to fail/to stuff up/
しけもく /(n) (sl) smokeable cigarette end (butt)/
しこたま /(adv) a lot/loads/plenty/
しこ名 [しこな] /(n) (uk) sumo wrestler's stage name/
しずしず /(adv) (on-mim) sweaty atmosphere/
したい /(adj-i) want to do/
したい気がする [したいきがする] /(exp,vs-i) to feel like doing/
したがる /(exp,v5r) (1) to wish (to do)/to desire/to want/(2) to be ready/to be eager/
したたか者 [したたかもの] /(n) (1) strong-willed person/old hand/shrewd rascal/wily fox/desperate character/formidable woman/(2) strong man/brave man/
したり /(int) God bless me!/Good heavens!/
したり顔 [したりがお] /(n,adj-no) self-satisfied look/triumphant expression/
した方がいい [したほうがいい] /(exp) had better do so/
しだらない /(adj-i) slovenly/
しだり尾 [しだりお] /(n) drooping tail/
しっくり /(adv-to) (1) (on-mim) exactly/nicely/to a tee/(vs) (2) to be fitting/
しっくり行く [しっくりいく] /(v5k-s) to get on well with (someone)/
しっこ /(n) (1) (col) wee-wee/pee-pee/number one/(vs) (2) to urinate/
しっとり /(adv,vs) (1) calm/graceful/(2) quiet/mellow/(3) damp/moist/
しっとりと /(adv) (on-mim) gently/softly/
しっぺ返し [しっぺがえし] /(n) returning tit for tat/retaliating/
しっぽり /(adv) (1) drenched/soaked/(2) (of love) tender/
しつこい /(adj-i) (1) insistent/obstinate/persistent/tenacious/(2) too rich (taste, etc.)/fatty/heavy/greasy/(P)/
しつっこい /(adj-i) (1) insistent/obstinate/persistent/tenacious/(2) too rich (taste, etc.)/fatty/heavy/greasy/
しつつある /(exp,v5r-i) to be doing/to be in the process of doing/
しつつ行なう [しつつおこなう] /(exp,v5u) (1) to be carrying out/to be in the process of carrying out/(2) to be performing/to be in the process of performing/
して /(prt) (1) by (indicating means of action)/as (a group, etc.)/(2) indicates patient of a causative expression/(3) (after the ren'youkei form of an adjective) acts as a connective/(4) (after an adverb or a particle) adds emphasis/(conj) (5) and then/
してみると /(exp) then/in that case/considering/if that is the case/if so/
してみれば /(exp) then/in that case/considering/if that is the case/if so/
して遣られる [してやられる] /(exp,v1) (uk) to be forestalled/to be taken in/to be cheated/to be outwitted/
して遣る [してやる] /(v5r,vt) (uk) to do for (someone)/
して言えば [していえば] /(n) if I must say (choose)/
しとしと /(adj-na,adv,n) (on-mim) gently/(P)/
しとど /(adv) (arch) dripping wet/
しどけない /(adj-i) slovenly/
しどろもどろ /(adj-no) flustered/confused/disordered/incoherent/
しないのではないか /(exp) I think (something) won't (something)/probably (something) isn't (something)/(P)/
しなを作る [しなをつくる] /(exp,v5r) to put on coquettish airs/to act flirtatiously/to act kittenish/
しのぎを削る [しのぎをけずる] /(exp,v5r) to compete ruthlessly/to sharpen swords/
しばおま /(exp) (abbr) please wait/one moment please/
しばく /(v5k) (ksb:) to strike/to hit/
しばしば /(vs,adv) (on-mim) blinking repeatedly/
しばしば目 [しばしばめ] /(exp) blinking away tears/blinking tear filled eyes/
しばらくの間 [しばらくのあいだ] /(exp,adv) for a short while/for a while/for some time/for the time being/
しびれ感 [しびれかん] /(n) numbness/
しびれ薬 [しびれぐすり] /(n) (obsc) anesthetic/anaesthetic/
しぶとい /(adj-i) tenacious/tough/enduring/dogged/headstrong/stubborn/obstinate/unyielding/
しぼり汁 [しぼりじる] /(n) squeezed juice (e.g. of a lemon)/
しまいに /(adj-f) at the end/finally/
しまい込む [しまいこむ] /(v5m,vt) to put away/to stow away/to tuck away/to hoard/
しまった /(exp) damn it!/damn!/oops!/oh dear!/oh no!/(P)/
しまりが無い [しまりがない] /(exp,adj-i) not at all tense/relaxed/calm/
しまんちゅ /(n) (rkb:) islanders/
しま模様 [しまもよう] /(n,adj-no) striped pattern/
しみったれ /(n,adj-na,adj-no) stinginess/miser/
しみったれる /(v1,vi) to be stingy/to be tightfisted/
しみ込む [しみこむ] /(v5m,vi) to soak into/to permeate/
しみ出し [しみだし] /(n) seepage/
しみ出す [しみだす] /(v5s) to ooze (out)/to seep/
しみ出る [しみでる] /(v1,vi) to ooze/to exude/to percolate/to soak through/
しめやか /(adj-na) quiet and subdued in appearance/solemn/sad and depressed in manner/soft/gentle/
しめる /(v1,aux-v) (arch) to make (old causative verbal ending)/to let/
しめ縄 [しめなわ] /(n) (Shinto) rope used to cordon off consecrated areas or as a talisman against evil/
しもた屋 [しもたや] /(n) store that has been gone out of business/household that lives without carrying on a business/
しもつかれ /(n) dish of simmered salmon head, soybeans, vegetables, and leftovers (popular in Tochigi Prefecture and surrounds)/
しゃあしゃあ /(adv,n,vs) shamelessly/
しゃあない /(exp) (osb:) it can't be helped/so it goes/c'est la vie/
しゃがみ込む [しゃがみこむ] /(v5m,vi) (uk) to squat/to crouch down (completely, generally with face looking through knees)/
しゃがむ /(v5m,vi) to squat/to crouch/(P)/
しゃきしゃき /(adv,n,vs) crisp/precise/clipped/
しゃきっと /(adv) (1) crisp/crunchy/(2) refreshing/straight/firm/sharp/smart and stylish/
しゃぎり /(n) (1) short flute piece (in kyogen; usu. a lively solo)/(2) flute and drum music played after each act but the last (in kabuki)/
しゃくに障る [しゃくにさわる] /(exp,v5r) to irritate/to grate on one's nerves/to aggravate/to be galling/to be invidious/
しゃくの種 [しゃくのたね] /(n) irritant/cause of irritation/cause of annoyance/
しゃくり上げる [しゃくりあげる] /(v1) to sob convulsively/to heave with sobs/
しゃく熱 [しゃくねつ] /(n,adj-no) red hot/scorching heat/incandescence/
しゃこ /(n) (1) (uk) (abbr) giant clam (any clam of subfamily Tridacnidae)/(2) giant clam shell/
しゃこめし /(n) shako meshi/rice cooked with shrimp/
しゃこ貝 [しゃこがい] /(n) (uk) giant clam (any clam of subfamily Tridacnidae)/
しゃしゃり出る [しゃしゃりでる] /(v1) to come uninvited/to crash (a party)/to butt in/
しゃちほこ張る [しゃちほこばる] /(v5r) (1) to stand on ceremony/(2) to stiffen up (the nerves)/to be tense/
しゃっきり /(adv) crisp/straight (back)/unwavering attitude/brisk/
しゃばい /(adj-i) (1) (sl) dangerous/(2) (sl) unsatisfactory/boring/
しゃぶしゃぶ /(adv,n) (1) shabu-shabu (thinly sliced meat boiled quickly with vegetables, and dipped in sauce)/(2) sound of this dish being prepared/(P)/
しゃぶる /(v5r,vt) to suck/to chew/
しゃり /(n) rice prepared for sushi/
しゃりしゃり /(adv,vs) sound of two hard thin objects rubbing together/
しゃんと /(adv,n,vs) (on-mim) being in shape/holding a dignified appearance/
しゃ断機 [しゃだんぺき] /(n) bulkhead/barrier/
しやすい /(n) easy to make/easy to do/
しゅっしゅっ /(adv-to,adv) (1) (on-mim) choo-choo/chug-chug/chuff-chuff/hiss-hiss/(2) (on-mim) brush-brush/scrub-scrub/
しゅんと /(vs) to feel despondent/
しゅん功 [しゅんこう] /(n,vs) completion (e.g. of construction)/
しゅん工 [しゅんこう] /(n,vs) completion (e.g. of construction)/
しょうがないなぁ /(exp) if you insist (on it)/
しょうがないなあ /(exp) if you insist (on it)/
しょうが茶 [しょうがちゃ] /(n) ginger tea/
しょうが無い [しょうがない] /(ik) (exp,adj-i) (uk) it can't be helped/it is inevitable/nothing can be done/
しょうも無い [しょうもない] /(exp,adj-i) (1) (uk) useless/stupid/good-for-nothing/(2) having no way to do .../
しょう液 [しょうえき] /(n) juice/sap/blood serum/
しょっちゅう /(adv) always/constantly/frequently/often/(P)/
しょぼい /(adj-i) (1) shabby/dull/(2) gloomy/
しょぼくれる /(v1,vi) to be dispirited/to be dejected/to be disheartened/to lose heart/
しょぼしょぼ /(adv,vs) drizzling/weakly (blinking)/blearily/
しょぼん /(adv-to) (on-mim) down-hearted/dejected/
しょんべんをたれる /(exp,v1) to pee/to piss/
しょんぼり /(adv,n,vs) being downhearted/(P)/
しょ難しい [しょむずかしい] /(adj-i) (obsc) terribly difficult/
しようかしまいか /(exp) to do or not to do/
しようとしまいと /(exp) whether one does or does not/
しようとする /(exp,vs-i) to try and do something/to attempt to do something/
しようも無い [しようもない] /(exp,adj-i) (1) (uk) useless/stupid/good-for-nothing/(2) having no way to do .../
しらす漁 [しらすりょう] /(n) fishing for young anchovy, sardines, etc./
しらね型護衛艦 [しらねがたごえいかん] /(n) Shirane class destroyer/
しらばくれる /(v1,vi) to play dumb/to feign ignorance/to act as innocent/
しらばっくれる /(v1,vi) to play dumb/to feign ignorance/to act as innocent/
しらを切る [しらをきる] /(exp,v5r) to feign ignorance/to pretend to be ignorant of/to play innocent/to brazen it out/
しるこ屋 [しるこや] /(n) sweet red-bean soup shop/shiruko shop/
しれっと /(adv-to,vs) nonchalantly/as if nothing happened/
しろ /(n) intestine (yakitori)/
しろと言う [しろという] /(exp,v5u) (uk) to advise strongly/to insist (on something)/
しわを寄せる [しわをよせる] /(exp,v1,vt) to wrinkle up (one's eyebrows, one's nose)/to furrow/to crimple/
しわ寄せ [しわよせ] /(n,vs) foisting upon/shifting to/shifting (the loss) to someone else/
しんこもち /(n) rice flour dough/
しんしん /(adv-to,adj-t) (uk) falling heavily (of rain, snow, etc.)/
しんと /(vs,adv) (on-mim) silent (as the grave)/deadly silent/
しんどい /(adj-i) (1) tired/frazzled/(2) tiresome/worrisome/bothersome/(P)/
しんねり /(adv,n,vs) annoying persistence/
しんみり /(adv,n,vs) solemn/serious/sad/heart-to-heart/
しん酌 [しんしゃく] /(n,vs) consideration (for others)/(making) allowance/
し過ぎる [しすぎる] /(v1) (uk) to overdo/to do too much/(P)/
し慣れる [しなれる] /(v1) to be used to doing/to be experienced in/
し兼ねない [しかねない] /(adj-i) (uk) capable of anything/liable to do/
し兼ねる [しかねる] /(v1) (uk) to be reluctant to do/to hesitate to do/to refuse to do/to be unable to do/
し甲斐 [しがい] /(exp) (col) (uk) worthy of/worth doing/worth having/
し合う [しあう] /(v5u,vt) (uk) to do together/
し始める [しはじめる] /(v1,vt) to begin/to start/
し終える [しおえる] /(v1,vt) to finish/
し吹く [しぶく] /(v5k,vi) to splash/to spray/
し続ける [しつづける] /(v1) to continue to do/to persist in doing/(P)/
し損じる [しそんじる] /(v1,vt) to blunder/to fail/to make a mistake/
し損ずる [しそんずる] /(vz,vt) to blunder/to fail/to make a mistake/
し直す [しなおす] /(v5s) to do over/to remake/to resume/
し難い [しにくい] /(adj-i) (uk) hard to do/
じーっと /(adv,n,vs) (1) (on-mim) (uk) motionlessly/(2) (uk) fixedly (e.g. of staring)/(3) (uk) patiently/(4) (uk) firmly (e.g. hold)/restrained/
じーと /(adv,n,vs) (1) (on-mim) (uk) motionlessly/(2) (uk) fixedly (e.g. of staring)/(3) (uk) patiently/(4) (uk) firmly (e.g. hold)/restrained/
じーんと /(adv) (1) (on-mim) extremely cold feeling that makes one feel numb/sharp pain that is almost numbing/(2) heartrending/touching the heart/
じいじい /(adv) (1) (on-mim) sizzle (sound of meat cooking)/(2) shrill droning of a cicada/
じいんと /(adv) (1) (on-mim) extremely cold feeling that makes one feel numb/sharp pain that is almost numbing/(2) heartrending/touching the heart/
じくじく /(adv,n,vs) (on-mim) oozily/
じたばた /(adv,n,vs) (kick and) struggle/wriggle/
じだんだを踏む [じだんだをふむ] /(exp,v5m) to stamp one's feet (in frustration, impatience, etc.)/
じっくり /(adv,adv-to) (on-mim) deliberately/carefully/(P)/
じっとり /(adv,vs) damp/moist (negative nuance)/
じっと見る [じっとみる] /(exp,v1) to watch steadily/to stare/
じっと見返す [じっとみかえす] /(v5s) to gaze back at/
じとじと /(adv-to,adj-na) damp, soaked, moist to the point of being uncomfortable/
じぶ煮 [じぶに] /(n) duck meat stew (dish from Ishikawa prefecture)/
じまう /(v5u) (col) to do something completely/
じめじめ /(adv,n,vs) (on-mim) damp and humid/sodden/wet/clammy/(P)/
じゃ /(conj,int) (1) then/well/so/well then/(2) combination of 'de' and 'wa' particles/(aux) (3) (ksb:) plain copula/(P)/
じゃーね /(exp) See you then/Bye/Ciao/
じゃあ /(conj,int) (1) then/well/so/well then/(2) combination of 'de' and 'wa' particles/(P)/
じゃあじゃあ /(adv) (water spilling) noisily/
じゃあね /(exp) See you then/Bye/Ciao/
じゃう /(aux-v,v5u) to do something completely/
じゃかすか /(adv,adv-to) with gusto/
じゃが芋 [じゃがいも] /(n) (uk) potato (Solanum tuberosum)/(P)/
じゃじゃ馬 [じゃじゃうま] /(n) (1) (col) restive horse/(2) unmanageable person (esp. a woman)/shrew/stubborn tomboy/
じゃないか /(exp) (1) questioning (something)/(2) let's do (something)/(P)/
じゃね /(exp) See you then/Bye/Ciao/
じゃぱゆき /(n) derog. term for Asian women working in Japan/
じゃぶじゃぶ /(adv) splashing water sound/(P)/
じゃまた /(exp) (abbr) see you later (used in casual correspondence and conversation)/goodbye/sincerely/
じゃまたね /(exp) good-bye/see you later/
じゃらじゃら /(adv,adv-to,vs) (1) jingling/jangling/clinking/chinking/(2) lasciviously/coquettishly/
じゃら付く [じゃらつく] /(v5k,vi) (1) (uk) to jingle/to jangle/to clink/to chink/(2) to act lasciviously/to act coquettishly/
じゃりじゃり /(adj-na,adv,n,vs) crunchy/
じゃりっぱげ /(n) (col) (obsc) bald spot (e.g. on a pet due to injury, stress, etc.)/bald patch/
じゃん /(aux-v) (sl) isn't it/
じゃんじゃか /(adv) (1) noisily (playing a musical instrument)/(2) doing something on and on/
じゃんじゃん /(adv) clanging noise of a bell/something happening non-stop/
じゃん拳 [じゃんけん] /(n,vs) (uk) rock, paper, scissors game/
じゃん拳ぽん [じゃんけんぽん] /(n) (uk) rock, paper, scissors game/
じゃ口 [じゃぐち] /(n) faucet/tap/
じゃ無さそう [じゃなさそう] /(exp,aux) does not seem (to be)/
じゅうじゅう /(adv,adv-to) (1) (on-mim) sizzle (as in meat cooking)/sizzling sound/frizzle/
じゅるり /(n) (m-sl) sound effect for slurping back up excess saliva (e.g. as stimulated by desire for food)/
じゅ文 [じゅもん] /(n) spell/charm/incantation/magic word/
じらす女 [じらすおんな] /(n) cock-teaser (woman who pretends to be "easy")/
じりじり /(adv,n,vs) (on-mim) running out of patience/slowly approaching/scorching sun/sound of alarm bell/
じり安 [じりやす] /(n) gradual decline (of stock prices)/
じり高 [じりだか] /(n) gradual rise in prices/
じり貧 [じりひん] /(n) gradually becoming poor/situation getting gradually worse and worse/
じろじろ /(adv,adv-to) (on-mim) staringly/scrutinizing/scrutinising/
じろじろ見る [じろじろみる] /(exp,v1) to stare at/to look hard at/to look up and down/to scrutinize/to scrutinise/
じろっと /(adv) (on-mim) glancing (look)/
じろり /(adv,adv-to) (on-mim) glancing (look)/
じろりと見る [じろりとみる] /(v1) to throw a glance/
じわっと /(adv) (on-mim) slowly but steadily/
じんじん /(adv,adv-to) (1) tingling sensation (e.g. in a leg)/feeling numb/painful tingle/throbbing/(2) noisily/ears ringing/
じんと /(adv) (1) (on-mim) extremely cold feeling that makes one feel numb/sharp pain that is almost numbing/(2) heartrending/touching the heart/
じんわり /(adv) gradually/
じん帯 [じんたい] /(n,adj-no) ligament/
じん肺 [じんはい] /(n) pneumoconiosis (lung disease caused by dust inhalation)/
じん肺 [じんぱい] /(n) pneumoconiosis (lung disease caused by dust inhalation)/
すーすー /(adv,vs) (on-mim) cool sensation from passing air/sound of air leaking/
すぃません /(exp) (col) sorry/excuse me/
すい /(adv-to) lightly/nimbly/
すいすい /(adv,adv-to) (on-mim) (swim, work) smoothly/unhindered/
すいっ /(adv-to) lightly/nimbly/
すいません /(exp) (col) excuse me/
すい炎 [すいえん] /(n) pancreatitis/
すい星 [すいせい] /(n) comet/
すい賓 [すいひん] /(n) (1) (in China) 7th note of the ancient chromatic scale (approx. G sharp)/(2) fifth lunar month/
すうすう /(adv,vs) (on-mim) sound of wind rustling through a crack/wheezing/
すうっと /(vs,adv) (on-mim) refreshed/relieved/
すう勢 [すうせい] /(n) tendency/trend/
すえ臭い [すえくさい] /(adj-i) (obsc) smelling of rotten food and drink/
すか /(n) (1) nonsense/(2) loss (on scratch lottery tickets, etc.)/
すかす /(v5s) to pose/to be affected/to put on an air/
すかすか /(adj-na) (1) hollow/(adv,adv-to) (2) sharply/cleanly (of cutting)/(3) smoothly/
すかっと /(adv) (1) (on-mim) refreshed/clear/(vs) (2) to feel refreshed/
すかり /(n) (1) net for caught fish/(2) net-like tassel of Buddhist prayer beads/(adv,adv-to) (3) easily/
すがり /(n) (1) net for caught fish/(2) net-like tassel of Buddhist prayer beads/(3) (thb:) Vespula flaviceps (species of yellowjacket)/(4) (kyu:) ant/
すがる /(n) (1) (uk) (arch) red-banded sand wasp (Ammophila sabulosa)/(2) deer/
すきま風 [すきまかぜ] /(n) (1) draft/draught/cold air entering through the crack of a door or window/(2) cooling off of a relationship/draft of cold air between two persons/
すき間 [すきま] /(n) crevice/crack/gap/opening/
すき間市場 [すきましじょう] /(n) niche market/
すき焼 [すきやき] /(n) (food) thin slices of beef, cooked with various vegetables in a table-top cast-iron pan/sukiyaki/(P)/
すき焼き [すきやき] /(n) (food) thin slices of beef, cooked with various vegetables in a table-top cast-iron pan/sukiyaki/(P)/
すき腹 [すきはら] /(n) empty stomach/hunger/
すき腹 [すきばら] /(n) empty stomach/hunger/
すくい上げる [すくいあげる] /(v1,vt) to dip or scoop up/
すくい綴じ [すくいとじ] /(n) (uk) mattress stitch/
すくすく /(adv) (on-mim) quickly/fast/rapidly/
すくすくと /(adv) (on-mim) quickly/fast/rapidly/
すくみ /(n) (comp) deadlock/
すくみ上がる [すくみあがる] /(v5r) to cringe with fear/to cower with fright/to be terribly afraid/
すぐ側 [すぐそば] /(n) (uk) near/immediately/(P)/
すぐ様 [すぐさま] /(adv) (uk) immediately/promptly/
すけこまし /(n) lady-killer/philanderer/
すげい /(adj-i) (sl) (ksb:) incredible/terrific/impressive/
すし詰め [すしづめ] /(n) (food) jam-packed/packed in like sushi (like sardines)/
すじ違い [すじちがい] /(n,vs) (1) cramp/sprain/crick/strain (muscle)/(n) (2) unreasonableness/absurdity/(adj-no,adj-na) (3) illogical/unreasonable/(4) misdirected/misplaced/wrong (of estimate, guess)/
すじ雲 [すじぐも] /(n) (col) cirrus cloud/
すじ肉 [すじにく] /(n) sinewy meat/
すすり泣き [すすりなき] /(n) sobbing/sob/weeping/
すすり泣く [すすりなく] /(v5k,vi) to sob/
すす色 [すすいろ] /(n,adj-no) color of soot (colour)/
すす掃き [すすはき] /(n) sweeping the soot from one's house (to welcome the kami of the New Year)/
すずめの涙 [すずめのなみだ] /(n) drop in the bucket/very small quantity/chicken feed/insignificant amount/
すそ分け [すそわけ] /(n) sharing with others what has been given to you/sharing a portion of the profit with others/
すたこら /(adv) helter-skelter/
すたすた /(adv) (on-mim) briskly/
すっからかん /(adj-na,n) (1) flat out (of)/completely empty/(2) out of money/penniless/broke/
すっかり /(adv,adv-to) all/completely/thoroughly/(P)/
すっきり /(adv,adv-to,vs) (1) (on-mim) clearly/refreshed/(2) shapely/neatly/refinedly/(3) cleanly/without trouble/(4) clearly/plainly/distinctly/(5) completely/thoroughly/(6) not at all (with negative sentence)/not even slightly/(P)/
すっくと /(adv) straight/upright/erect/
すっこむ /(v5m) to draw back/to leave (the area)/
すっすっ /(adv-to,adv) smoothly/frictionlessly/easily/
すってんてん /(adj-na) flat broke/cleaned out/penniless/
すっと /(adv,n,vs) (on-mim) straight/quickly/directly/all of a sudden/quietly/gently/softly/(P)/
すっとこどっこい /(n,adj-na) idiot/fool/idiocy/stupidity/
すっぱ /(adv,adv-to) do something completely/cut cleanly/
すっぱり /(adv,adv-to) do something completely/
すっぱ抜く [すっぱぬく] /(v5k,vt) to expose/to disclose/to unmask/
すっぽかす /(v5s,vt) to stand (someone) up/to leave (something) undone/to neglect (a duty)/
すっぽり /(adv,adv-to) (1) (on-mim) entirely/completely/(2) cleanly/snugly/(P)/
すっぽんぽん /(adj-na,n) utterly stark naked/wearing only one's birthday suit/
すっぽ抜ける [すっぽぬける] /(v1) (1) to slip out (e.g. from one's fingers)/(2) to cleanly forget/
すっ転ぶ [すっころぶ] /(v5b,vi) to (dramatically) fall over/to fall flat/
すっ飛ぶ [すっとぶ] /(v5b,vi) to rush off/to rush away/to vanish/
すててこ /(n) men's underwear/
すとん /(adv-to,adv) (1) (on-mim) (with a) thump/(2) (on-mim) (hanging) straight down/
すね毛 [すねげ] /(n) leg hair/
すばしこい /(adj-i) nimble/smart/quick/
すばしっこい /(adj-i) nimble/smart/quick/
すべからず /(exp) must not do/should not do/do not do/
すべく /(aux-v,conj) doing in order to/doing for the purpose of/
すべし /(exp) should do/ought to do/
すべすべ /(adj-f) smooth/silky/
すべすべした /(adj-f) smooth to the touch/
すべた /(n) (col) bitch/
すべらか /(adj-na) slippery/smooth/
すべりひゆ /(n) (uk) common purslane (Portulaca oleracea)/
すべり出し [すべりだし] /(n) start/beginning/
すべり台 [すべりだい] /(n) (1) (playground) slide/(2) (ship) launching platform/sliding bed/
すまし込む [すましこむ] /(v5m) to put on airs/to affect (importance, etc.)/to look wise/
すまじき /(adj-f) should not be done/must not be done/
すまじきものは宮仕え [すまじきものはみやづかえ] /(exp) phrase indicating that it is better to work for oneself than to work for someone else/
すまらん /(exp) (col) Excuse me (coll. form of sumaranai)/
すまん /(exp) sorry/excuse me/
すみれ色 [すみれいろ] /(n,adj-no) violet (colour)/
すやすや /(adv) (on-mim) sleeping soundly/(P)/
すら /(prt) even/if only/if just/as long as/the only thing needed/
すらすら /(adv,adv-to) (on-mim) smoothly/(P)/
すらっと /(adv,vs) (on-mim) slender/slim/
すらも /(exp) even/if only/if just/as long as/the only thing needed/
すらり /(adv,adv-to) (1) (on-mim) long, slender and well-proportioned/(2) smooth, continuous (movement)/
すり衣 [すりぎぬ] /(n) (arch) plain white clothing patterned using dyes/
すり衣 [すりごろも] /(n) (arch) plain white clothing patterned using dyes/
すり寄る [すりよる] /(v5r,vi) to draw close to/to edge up to/to snuggle up to/to nestle close to/to cuddle with/to draw closer to/
すり減らす [すりへらす] /(v5s,vt) to wear away/to rub down/to abrade/
すり減る [すりへる] /(v5r,vi) to be worn down/to be reduced/
すり合わせ [すりあわせ] /(n) (1) precision surface finishing/lapping/(2) bouncing of ideas (opinions, etc.) off each other to obtain a fine-tuned integrated whole/
すり合わせる [すりあわせる] /(v1) to rub together/
すり込む [すりこむ] /(v5m) to rub in/to grind and mix/
すり込む [すりこむ] /(v5m,vt) to insert (an illustration)/to stencil (a pattern)/to print on/
すり傷 [すりきず] /(n,vs) scratch/graze/abrasion/
すり身 [すりみ] /(n) surimi/minced fish (or meat) mashed into a paste/
すり足 [すりあし] /(n) sliding feet/shuffling (one's feet)/moving legs forward with feet never leaving the ground (sumo exercise)/
すり替える [すりかえる] /(v1,vt) to switch (secretly)/to substitute/to sidestep (an issue)/
すり潰す [すりつぶす] /(v5s,vt) to pulverize/to pulverise/to mash/to deface/to lose a fortune/
すり鉢 [すりばち] /(n) (earthenware) mortar (for grinding)/
すり抜ける [すりぬける] /(v1,vi) to slip through/to make one's way through quickly/
すり付ける [すりつける] /(v1,vt) (1) to rub against/to nuzzle against (e.g. dog nosing a person)/(2) to strike (a match)/
するが良い [するがいい] /(exp) had better .../may as well .../
するが良い [するがよい] /(exp) had better .../may as well .../
するする /(adv) smoothly/swiftly/
するすると /(adv) smoothly/swiftly/
すると /(conj) thereupon/hereupon/(P)/
するべき /(exp) should do/ought to do/
するよろし /(n) had better .../may as well .../
するり /(adv,adv-to) (on-mim) with a smooth, unhindered motion/speedily and without delay/
する事なす事 [することなすこと] /(exp) (uk) everything one does/
すれてない /(adj-i) naive/
すれば /(exp) if so/in that case/in that situation/
すればするほど /(exp) the more you do (it), the... (i.e. "the more you drink, the better it tastes")/
すれ違い [すれちがい] /(n) passing each other/crossing paths without meeting/being at cross purposes/
すれ違う [すれちがう] /(v5u,vi) to pass by one another/to disagree/to miss each other/
すんごい /(adj-i) (col) terrible/dreadful/terrific/amazing/great/wonderful/to a great extent/
すんづくり /(n) kanji sun ("inch") radical at right (radical 41)/
すんでの所で [すんでのところで] /(exp) (uk) almost/very nearly/
すんなり /(adv,n,vs) pass with no objection/slim/slender/
すんません /(exp) (col) excuse me/
すんまへん /(exp) (col) excuse me/
す可き [すべき] /(exp) (uk) should do (abbr. of suru+beki)/ought to do/
す巻 [すまき] /(n) (1) wrapping something in a bamboo mat/(2) wrapping somebody in a bamboo mat and throwing him in a river (Edo period unofficial punishment)/
ずーっと /(adv) (1) continuously in some state (for a long time, distance)/throughout/all along/the whole time/all the way/(2) much (better, etc.)/by far/far and away/(3) far away/long ago/(4) direct/straight/(P)/
ずい /(adv-to) straightforwardly/readily/without hesitation/
ずいっ /(adv-to) straightforwardly/readily/without hesitation/
ずうずう弁 [ずうずうべん] /(n) thick Tohoku accent (wherein some "j" sounds become "z" sounds)/
ずうっと /(adv) (1) continuously in some state (for a long time, distance)/throughout/all along/the whole time/all the way/(2) much (better, etc.)/by far/far and away/(3) far away/long ago/(4) direct/straight/
ずかずか /(adv) (on-mim) making rude entrance/
ずきずき /(adv,n,vs) (on-mim) throbbing pain/heartbreakingly/(P)/
ずきん /(adv-to) (on-mim) throbbing (pain)/pounding/
ずきんずきん /(adv-to) (on-mim) throbbing (pain)/pounding/
ずく /(n) (nab:) putting oneself into something/exerting oneself/
ずくが無い [ずくがない] /(n) (uk) unmotivated/unenthusiastic/
ずく無し [ずくなし] /(n) (uk) bum/slacker/good-for-nothing/loser/
ずけずけ /(adv) (on-mim) bluntly/
ずしずし /(adv,adv-to) (on-mim) thump/thud (sound representing the footfalls of something heavy)/
ずしっ /(adv,adv-to,vs) (on-mim) heavily/profoundly/
ずして /(conj,aux) without doing/not being/
ずしり /(adv,adv-to,vs) (on-mim) heavily/profoundly/
ずっこけ /(n,adj-f) (1) not the norm/(2) foolish/(3) stupid/
ずっこける /(v1) to make a fool of oneself/to whoop it up/to be on the spree/to fall down/
ずっしり /(adv,adv-to,vs) (on-mim) heavily/profoundly/
ずっと /(adv) (1) continuously in some state (for a long time, distance)/throughout/all along/the whole time/all the way/(2) much (better, etc.)/by far/far and away/(3) far away/long ago/(4) direct/straight/(P)/
ずっと前に [ずっとまえに] /(exp) a long time ago/
ずつ /(suf) (1) apiece/each/(2) at a time/piecemeal/(P)/
ずとも /(conj,aux) even without doing/even without being/
ずどん /(n,adv-to) thud/bang/
ずに /(conj,aux) without doing/
ずには居られない [ずにはいられない] /(exp,adj-i) (uk) (after neg. verb stem) feel compelled to/can't help but feel/can't help but do/
ずばずば /(adv) (on-mim) straightforwardly/
ずばずば言う [ずばずばいう] /(exp,v5u) to speak one's mind/to speak very frankly/
ずばっと /(adv) (1) (on-mim) piercing or cutting something/(2) getting to the heart of the matter/
ずばり /(adv) decisively/decidedly/once and for all/unreservedly/frankly/(P)/
ずば抜ける [ずばぬける] /(v1,vi) to tower above the rest/to be by far the best/to be prominent/to be outstanding/to be a cut above/
ずぶ /(adv) (obsc) completely/entirely/totally/
ずぶの /(adj-pn) complete/total/absolute/
ずぶり /(adv,adv-to) (stabbing) through/(plunging) into/
ずぶ焼き入れ [ずぶやきいれ] /(n) immersion quenching (hardening by dropping heated metal into water or oil)/
ずぶ濡れ [ずぶぬれ] /(n) soaked/dripping wet/
ずべら /(adj-na) sloppy/slovenly/slipshod/negligent/loose/unkempt/
ずべら坊 [ずべらぼう] /(n) (1) plain (e.g. face)/smooth/(2) slovenly/
ずぼら /(adj-na) sloppy/slovenly/slipshod/negligent/loose/unkempt/
ずまん /(exp) (col) Excuse me (coll. form of sumimasen)/
ずらかる /(v5r) to leave/to run away/to escape/to avoid detection after having done something/to play truant/to skedaddle/
ずらずら /(adv-to) in succession/in an endless stream/continuing without pause or interruption/
ずらっと /(adv) (on-mim) in a line/in a row/
ずらり /(adv-to) (on-mim) in a row/
ずりせん /(n) (col) (sl) masturbation (male)/
ずり下がる [ずりさがる] /(v5r,vi) to slide down/to slip down/
ずり上がる [ずりあがる] /(v5r,vi) to creep up/to ride up/
ずり落ちる [ずりおちる] /(v1,vi) to slip down/to slide down/to glide down/
ずるずる /(adj-na,adv,n,adv-to) (on-mim) sound or act of dragging/loose/inconclusive but unwanted situation/trailingly/(P)/
ずる休み [ずるやすみ] /(n,vs) playing hookey/being away from work without a good reason/
ずる賢い [ずるがしこい] /(adj-i) sly/
ずれ /(n) gap/slippage/
ずれる /(v1,vi) to slide/to slip off/to get dislocated/to be out of alignment/to get dislodged/to deviate/to shift (position)/to be out of sync./to be slightly off/to be off-point/(P)/
ずれ込む [ずれこむ] /(v5m,vi) to drag on/to be delayed/
ずわい蟹 [ずわいがに] /(n) (uk) snow crab (Chionoecetes opilio)/queen crab/
ずんぐり /(adv,vs) short and stout/small but wide around/
ずんぐりむっくり /(adv,vs) very short and stout/small but quite wide around/
ずんずん /(adv) (on-mim) rapidly/
ずんと /(adv) much/
ずんべら坊 [ずんべらぼう] /(n) (1) plain (e.g. face)/smooth/(2) slovenly/
ずんべら棒 [ずんべらぼう] /(n) (1) plain (e.g. face)/smooth/(2) slovenly/
せいご /(n) (uk) juvenile Japanese sea perch (under two years of age and 25 cm in length)/
せかせか /(adv,n,vs) (on-mim) impetuously/hastily/(P)/
せがむ /(v5m,vt) to badger (pester) (a person to do)/(P)/
せきを切ったよう [せきをきったよう] /(exp,adj-na) gushing forth/bursting out/
せきを切る [せきをきる] /(exp,v5r) to break a dam and gush forth/to burst out/
せき止める [せきとめる] /(v1,vt) (1) to dam up/to hold back/to keep back/to bring to a halt/to intercept/(2) to check/
せき板 [せきいた] /(n) sheeting/sheathing board/cover/
せき立てる [せきたてる] /(v1,vt) to hurry (up)/to press/to urge on/
せこい /(adj-i) petty/small-minded/stingy/cheap (as in cheap shot, cheating, skirting the rules, etc.)/
せざるを得ない [せざるをえない] /(exp,adj-i) cannot avoid doing/cannot help but (do)/is compelled to do/(feel) obliged to (do)/has to do/
せざる得ない [せざるえない] /(exp,adj-i) cannot avoid doing/cannot help but (do)/is compelled to do/(feel) obliged to (do)/has to do/
せしめる /(v1,vt) to cheat someone out of/to wangle/
せず /(prt,suf) without/
せずに /(adv) without (doing)/instead of/(P)/
せせこましい /(adj-i) (1) narrow/limited/(2) fussy/
せせらぎ /(n) (1) small stream/brooklet/(2) murmuring (as of a stream)/
せせらぐ /(v5g) to babble (stream)/
せせら笑い [せせらわらい] /(n) sardonic laugh/scornful smile/
せせら笑う [せせらわらう] /(v5u,vt) (uk) to sneer at/to ridicule/
せせり蝶 [せせりちょう] /(n) (uk) skipper butterfly/
せせり箸 [せせりばし] /(n) poking one's food around using one's chopsticks/playing with one's food with one's chopsticks (a breach of etiquette)/
せせる /(v5r) (uk) to perform a small motion repetitively (i.e. picking or poking something)/
せっかち /(adj-na,n) hasty/impatient/(P)/
せっけん石 [せっけんせき] /(n) soapstone/
せっせと /(adv) (on-mim) diligently/assiduously/(P)/
せっ器 [せっき] /(n) earthenware (baked at high temperature)/stoneware/
せっ生 [せっしょう] /(n,vs) (1) killing/destruction of life/(adj-na) (2) barbarous/callous/brutal/cruel/
せっ生 [せっせい] /(n,vs) hygiene/health maintenance/
せつ /(n) furuncle/
せびる /(v5r,vt) to demand money/to pester/to extort/
せぶる /(v5r) to sleep/to lie down/
せみほうぼう /(n) (uk) Oriental flying gurnard (Dactyloptena orientalis)/
せめぎ合い [せめぎあい] /(n) conflict/fighting each other/
せめて /(adv) at least/at most/(P)/
せめてもの /(adj-pn) minimal/
せよ /(exp) granted that/even if/even though/
せよと言う [せよという] /(exp,v5u) (uk) to advise strongly/to insist (on something)/
せられる /(v1,aux-v) (1) (hon) verb used as an honorific for others' actions/(aux-v,v1) (2) (hon) auxiliary verb used as an extreme honorific for others' actions/
せりばんご /(n) ordinal number/
せり出す [せりだす] /(v5s,vt) (1) to push (a thing) out/to jut out (can have a negative nuance)/to protrude/(2) to rise out the trap door (on stage)/
せる /(aux-v,v1) (1) auxiliary verb indicating the causative/(2) (hum) auxiliary verb indicating that one has been granted the permission to do something/(3) auxiliary verb used to make verbs more "active"/(4) (hon) auxiliary verb used as an extreme honorific for others' actions/
せんさく好き [せんさくずき] /(n) nosy person/busybody/
せんとする /(exp,vs-i) (arch) to attempt to do something/
せん光 [せんこう] /(n) flash/glint/
せん孔機 [せんこうき] /(n) drill/perforator/(hole) puncher/keypunch/
せん孔装置 [せんこうそうち] /(n) (comp) punch/
せん状骨 [せんじょうこつ] /(n) scaphoid bone (in wrist near thumb)/
せん断 [せんだん] /(n,vs) shear/shearing/
せん断強さ [せんだんつよさ] /(n) shear strength/
せん断強度 [せんだんきょうど] /(n) shear strength/
せん断効果 [せんだんこうか] /(n) shear effect/shearing effect/
せん断剛性 [せんだんごうせい] /(n) shear modulus/
せん断弾性係数 [せんだんだんせいけいすう] /(n) elastic shear modulus/
せん断抵抗角 [せんだんていこうかく] /(n) angle of shearing resistance/
せん断破壊 [せんだんはかい] /(n) shear failure/
せん断箱 [せんだんばこ] /(n) shear box/
せん頭 [せんとう] /(n,adj-no) point/pointed end/cusp/
せん馬 [せんば] /(n) gelding/castrated horse/
ぜ /(prt) (male) (sentence end) adds force/indicates command/(P)/
ぜいぜい /(adv,adv-to,vs) (on-mim) gasping for breath/puffing and panting/wheezing/
ぜえ /(prt) (arch) (at sentence-end) indicates mild emphasis/
ぜえぜえ /(adv,adv-to,vs) (on-mim) gasping for breath/puffing and panting/wheezing/
ぜにたなご /(n) (uk) Acheilognathus typus (species of bitterling-like cyprinid)/
ぜんまい仕掛け [ぜんまいじかけ] /(n,adj-no) clockwork (motor, etc.)/spring action/
ぜん音 [ぜんおん] /(n) (1) stridor/(adj-no) (2) stridulous/
そーっと /(adv,vs) (on-mim) softly/gently/quietly/secretly/
そーれっ /(int) oof/umph/whoosh/
そう /(adv) (1) so/really/seeming/(adj-na,suf) (2) (after masu stem and adj-stem) appearing that/seeming that/looking like/having the appearance of/(P)/
そういうことか /(exp) I got it/I see/I now know/So that's the reason/
そううつ病 [そううつびょう] /(n,adj-no) manic depression/manic-depressive psychosis/bipolar disorder/
そううつ病 [そううつやまい] /(n,adj-no) manic depression/manic-depressive psychosis/bipolar disorder/
そうか /(exp) is that so? (generally rhetorical)/(P)/
そうかと言って [そうかといって] /(conj) but still/
そうかもしれない /(exp) you could say that/
そうかもしれません /(exp) you could say that/
そうさ /(int) yes, that's right/yep/sure thing/
そうした中で [そうしたなかで] /(exp) meanwhile/
そうして見ると [そうしてみると] /(exp) when looked at in that way/
そうする /(exp,vs-i) to do so/to do thus/
そうすると /(exp) having done that/if that is done/if it is done in that way/(P)/
そうすれば /(exp) if so/in that case/in that situation/(P)/
そうだ /(int) (1) that is so/that is right/it looks to me/I am of the impression/(2) people say that (after plain verb, adj)/it is said that/I hear that/(P)/
そうっと /(adv,vs) (on-mim) softly/gently/quietly/secretly/
そうです /(int) (1) that is so/that is right/it looks to me/I am of the impression/(2) people say that (after plain verb, adj)/it is said that/I hear that/(P)/
そうですが /(exp) that's so, however ..../(P)/
そうですね /(exp) that's so, isn't it/(P)/
そうでない /(exp) not so/
そうでない場合は [そうでないばあいは] /(exp) if this is not the case/
そうとも言える [そうともいえる] /(exp,v1) you could say that/
そうなると /(exp) if that is the case/if it becomes so/when it becomes so/(P)/
そうなんです /(int) (col) yes/that is so/
そうなんですか /(exp) is that so?/
そうなんですけどねぇ /(exp) that may be so/
そうにない /(exp) (after masu-stem of verb) showing no signs of (verb)/extremely unlikely to (verb)/
そうになった /(exp) almost (did)/nearly (did)/
そうね /(exp) Oh well/
そうは問屋がおろさない [そうはとんやがおろさない] /(exp) things don't work that well in the real world/things seldom go as one wishes/that is expecting too much/
そうは問屋が卸さない [そうはとんやがおろさない] /(exp) things don't work that well in the real world/things seldom go as one wishes/that is expecting too much/
そうみたい /(exp) (col) it seems so/that's what it looks like/
そうもありません /(exp) (after -masu base of verb) very unlikely to (verb)/
そうもない /(exp) (after -masu base of verb) very unlikely to (verb)/
そう言う [そういう] /(adj-pn) such/like that/that sort of/very/
そう言う [そうゆう] /(ok) (adj-pn) such/like that/that sort of/very/
そう言えば [そういえば] /(exp) (uk) which reminds me .../come to think of it .../now that you mention it .../on that subject .../so, if you say .../(P)/
そう言った [そういった] /(exp) (uk) like that/this type/
そう身 [そうしん] /(n) slim figure/weight reduction/
そう身 [そうみ] /(n) one's whole body/
そう氷 [そうひょう] /(n) pack ice/
そう来なくっちゃ [そうこなくっちゃ] /(exp) (col) I thought so/I suspected as much/Just as I thought/Now you are talking/
そう囃 [そうざつ] /(n,vs) (obsc) heartburn/sour stomach/
そう痒 [そうよう] /(n) (1) itch/pruritus/(adj-na) (2) amyctic/pruritic/itchy/irritating/
そおっと /(adv,vs) (on-mim) softly/gently/quietly/secretly/
そぎ切り [そぎぎり] /(n,vs) cutting a thin object (e.g. vegetable stalk) at a 45 degree angle/cutting in a way that blunts or rounds the cut/
そぎ落とす [そぎおとす] /(v5s) to chip off/to scrape off/to prune/
そぐう /(v5u,vi) to be suitable/to be appropriate/to match/
そぐわない /(adj-i) unsuitable/not matching/out of character/
そこから /(adv) from there/thence/
そこそこ /(adv) (1) (on-mim) reasonably/fairly well/(suf) (2) or so/about/
そこそこに /(adv) hurriedly/in a hurry/
そこはかとない /(adj-i) faint/slight/vague/nebulous/indeterminate/tinge of .../touch of .../
そこはかとなく /(adv) somehow/for some reason/
そこへ持ってきて [そこへもってきて] /(exp) what is worse/to make matters worse/
そこまで /(exp) go that far/to that extent/
そこら中 [そこらじゅう] /(n) everywhere/all over the place/
そこら辺 [そこらへん] /(n-adv) (uk) (col) hereabouts/around there/that area/(P)/
そこんち /(exp) (col) that house/
そしたら /(exp) then/(P)/
そそくさ /(adv-to) (on-mim) hurriedly/in haste/
そそける /(v1) to be nappy/to get fluffy/
そそけ立つ [そそけだつ] /(v5t,vi) (1) to be nappy/to be disheveled (hair)/(2) to shudder/
そそっかしい /(adj-i) careless/thoughtless/(P)/
そそられる /(v1,vt) to be interesting/to be fascinating/to be tantalizing/to be intriguing/(P)/
そぞろ歩き [そぞろあるき] /(n,vs) slow, relaxed walk/stroll/
そちら様 [そちらさま] /(pn,adj-no) (hon) you/
そち退け [そちのけ] /(n) (uk) ignoring (one thing) for (another)/
そっか /(exp) is that so? (generally rhetorical)/
そっから /(adv) from there/thence/
そっくり /(adj-na,adv,n) (on-mim) all/altogether/entirely/just like/the spitting image of/(P)/
そっくり返る [そっくりかえる] /(v5r,vi) to throw one's chest out/to hold one's head high/
そっち退け [そっちのけ] /(n) (uk) ignoring (one thing) for (another)/
そっと /(adv,vs) (on-mim) softly/gently/quietly/secretly/(P)/
そっぽを向く [そっぽをむく] /(v5k,exp) to turn away/to face away/
そつ /(n) (1) slip-up/miss/(2) waste/wasteful or pointless action/
そない /(adv) (ksb:) so/to such an extent/such/
そに鳥 [そにどり] /(n) (arch) kingfisher/
そのこと自体は [そのことじたいは] /(exp) as such ..../
そのよう /(adj-na) that kind of/of the sort/of the kind/such/
そのケ /(exp) (col) euph. for (male or female) homosexuality/interest in same gender/
その為 [そのため] /(exp) hence/for that reason/
その下で [そのしたで] /(adv) thereunder/whereunder/
その下に [そのしたに] /(adv) whereunder/thereunder/
その外 [そのた] /(n-adv,conj) etc./otherwise/besides/in addition/the rest/the others/and so forth/
その外 [そのほか] /(n-adv,conj) etc./otherwise/besides/in addition/the rest/the others/and so forth/(P)/
その割には [そのわりには] /(exp) unexpectedly/unusually/considering all that/
その割りには [そのわりには] /(exp) unexpectedly/unusually/considering all that/
その気 [そのき] /(n) what one has a mind to do/what one feels like (doing)/being so minded/(with) that in mind/
その気 [そのけ] /(exp) (col) euph. for (male or female) homosexuality/interest in same gender/
その気になる [そのきになる] /(exp,v5r) to feel like it/to get to think that way/to become so minded/
その儀 [そのぎ] /(exp) that matter/those matters/
その筋 [そのすじ] /(n) (1) that field/(2) the authorities (esp. the police)/
その後 [そのあと] /(n-adv,n-t) after that/afterwards/thereafter/
その後 [そのご] /(n-adv,n-t) after that/afterwards/thereafter/
その後 [そののち] /(n-adv,n-t) after that/afterwards/thereafter/
その頃 [そのころ] /(n,adj-no) (uk) at that time/in those days/at that moment/then/
その時 [そのとき] /(exp) at that time/at that moment/then/on that occasion/
その時以来 [そのときいらい] /(adv) since that time/since then/from that point (on)/
その実 [そのじつ] /(adv) in fact/
その手は食わない [そのてはくわない] /(exp) I am not going to fall for that trick/
その上 [そのうえ] /(conj) (1) in addition/furthermore/(2) above (which)/on top of (which)/(P)/
その上で [そのうえで] /(exp) moreover/in addition/
その場 [そのば] /(n) (1) there/that situation/that occasion/(2) the spot (i.e. "on the spot")/immediately/then and there/
その場しのぎ [そのばしのぎ] /(n,adj-no) stopgap/makeshift/temporary measure/
その場限り [そのばかぎり] /(n) temporary/ad hoc/
その場合には [そのばあいには] /(n) in that case/
その場逃れ [そのばのがれ] /(n) makeshift/stopgap/
その場凌ぎ [そのばしのぎ] /(n,adj-no) stopgap/makeshift/temporary measure/
その昔 [そのむかし] /(exp) a long time ago/in those days/
その折り [そのおり] /(n-t,n-adv) on that occasion/at that time/
その節 [そのせつ] /(n-adv) at that time/that time/
その先 [そのさき] /(exp) beyond that point/after that/
その他 [そのた] /(n-adv,conj) etc./otherwise/besides/in addition/the rest/the others/and so forth/
その他 [そのほか] /(n-adv,conj) etc./otherwise/besides/in addition/the rest/the others/and so forth/(P)/
その他にも [そのほかにも] /(exp) in addition/furthermore/also/
その代り [そのかわり] /(conj) instead/but (on the other hand)/
その代わり [そのかわり] /(conj) instead/but (on the other hand)/
その通り [そのとおり] /(exp) just like that/quite so/I agree/
その都度 [そのつど] /(n) each time it happens/at all such times/
その道 [そのみち] /(exp) line (of business)/profession/trade/
その内 [そのうち] /(adv) (uk) eventually/sooner or later/of the previously mentioned/(P)/
その内に [そのうちに] /(exp,adv) (uk) one of these days/sooner or later/eventually/(P)/
その日 [そのひ] /(exp) that day/the very same day/
その日その日 [そのひそのひ] /(exp) each day/from day to day/day-to-day/
その日暮し [そのひぐらし] /(n) (1) financially scraping by/meagre existence (meager)/hand to mouth existence/(2) living one's life without plan/living life day-by-day/taking life one day at a time/
その日暮らし [そのひぐらし] /(n) (1) financially scraping by/meagre existence (meager)/hand to mouth existence/(2) living one's life without plan/living life day-by-day/taking life one day at a time/
その反面 [そのはんめん] /(n) on the other hand/
その物 [そのもの] /(n) the very thing/itself/(P)/
その分 [そのぶん] /(exp) (1) to that extent/(2) that state/that look/
その癖 [そのくせ] /(conj) (uk) and yet/even so/nonetheless/for all that/
その辺 [そのへん] /(n,adj-no) (1) around there/near there/(2) or thereabouts/or so/(3) such a matter/such a thing/
その辺り [そのあたり] /(exp) thereabouts/vicinity/that area/
その方 [そのかた] /(pn,adj-no) (hon) that person/
その方 [そのほう] /(pn,adj-no) (arch) you (referring to one's inferior)/
そば殻 [そばがら] /(n) buckwheat chaff/
そば杖 [そばづえ] /(n) blow received by a bystander/getting dragged in to somebody else's fight/
そば切 [そばきり] /(n) soba/Japanese buckwheat noodles/
そば切り [そばきり] /(n) soba/Japanese buckwheat noodles/
そば湯 [そばゆ] /(n) water left in the pot after one has boiled soba/
そば粉 [そばこ] /(n) buckwheat flour/
そびえ立つ [そびえたつ] /(v5t) to stand towering over the surrounds/
そびれる /(v1,vi) to miss a chance/to fail to do/
そぼそぼ /(adv) drizzling (rain)/
そぼろ /(n) minced meat or fish with soy sauce, etc. (served on rice)/
そぼ降る [そぼふる] /(v5r) to drizzle (rain)/
そやす /(v5s,vt) (arch) to praise/to extol/
そよ /(adv-to) with a slight (breeze)/
そよそよ /(adv) (on-mim) breeze (sound representing a soft wind)/
そよ風 [そよかぜ] /(n) gentle breeze/soft wind/breath of air/zephyr/(P)/
そら /(conj,exp) look!/look out!/look at me!/
そらそら /(int) sparklingly/
そらで歌う [そらでうたう] /(exp,v5u) to sing from memory/
そらで覚える [そらでおぼえる] /(exp,v1) to learn by heart (rote)/to memorize/to memorise/
そらで言う [そらでいう] /(exp,v5u) to speak from memory/
そらで読む [そらでよむ] /(exp,v5m) recite from memory/
そら耳 [そらみみ] /(n) (1) mishearing/(2) (feigned) deafness/
そら豆 [そらまめ] /(n) broad bean/horse bean/fava bean/
そりが合わない [そりがあわない] /(exp,adj-i) unable to cooperate/unable to hit it off/
そりゃ /(adv) (1) very/extremely/(exp) (2) that is/
そり上げる [そりあげる] /(v1) to shave off/
そり跡 [そりあと] /(n) stubble (after shaving)/
それ /(int) there! (used to call someone's attention to something)/
それからというもの /(exp) after that (a substantive change occurred)/
それこそ /(exp) degree or extent (of effect or result)/
それご覧 [それごらん] /(exp) (obsc) Well, look at that... (used when someone ignores your advice and ultimately fails at something)/
それすら /(n) even that/
それだから /(exp) therefore/and so/for that reason/accordingly/consequently/hence/
それっぽい /(exp) like that/looks real/seems authentic/(P)/
それっ切り [それっきり] /(n,adv) (1) (uk) no more than that/with that/on that note/altogether/(2) since then/ending there/
それでいて /(conj) and yet/despite (all) that/(P)/
それとて /(conj) even so/even that/
それと無く [それとなく] /(adv) (uk) indirectly/obliquely/
それなのに /(conj) and yet/despite this/but even so/but even then/however/nevertheless/for all that/notwithstanding that/
それならそうと /(exp) even so (expressing frustration, etc.)/still/
それならそれで /(exp) even so (expressing frustration, etc.)/still/
それにしても /(exp) nevertheless/at any rate/even so/(P)/
それにも拘わらず [それにもかかわらず] /(conj) (uk) nonetheless/nevertheless/
それに加えて [それにくわえて] /(exp) in addition to this/
それは /(adv) (1) very/extremely/(exp) (2) that is/
それはさておき /(exp) apart from that/to return to the topic/enough of that/(P)/
それはそうかもしれない /(exp) that may be true/that might be the case/
それはそうかもしれません /(exp) (pol) that may be true/that might be the case/
それはそれで /(exp) in that case/(might not be what was expected or hoped for but) if that's the case/
それはそれは /(exp,int) (1) My goodness (expresses surprise, wonder, etc.)/(adv) (2) very/extremely/
それはどうかな /(exp) I wonder about that/don't bet on it/famous last words/
それはどうも /(exp) why yes, thank you/
それも /(conj) and in addition to that/
それもこれも /(n) all/everything/
それより /(conj) apart from that/other than that/leaving that aside/more ... than that/but/however/(P)/
それ以外のものは [それいがいのものは] /(exp) aside from this/aside from these/
それ以上 [それいじょう] /(exp) further/above/anymore/
それ以来 [それいらい] /(n) since then/from that time/ever since/
それ計り [そればかり] /(n-t) (uk) that much/as much/to that extent/only that/that alone/no more than that/
それ見たことか [それみたことか] /(exp) You see that? (used when someone ignores your advice and ultimately fails at something)/
それ見た事か [それみたことか] /(exp) (id) I told you so/
それ見ろ [それみろ] /(exp) Well, look at that... (used when someone ignores your advice and ultimately fails at something)/
それ故 [それゆえ] /(conj) therefore/for that reason/so/
それ故に [それゆえに] /(adv) and so .../
それ御覧 [それごらん] /(exp) (obsc) Well, look at that... (used when someone ignores your advice and ultimately fails at something)/
それ自身 [それじしん] /(pn) itself/himself/herself/
それ自体 [それじたい] /(n) in itself/the thing itself/this itself/for its own sake/per se/
それ処か [それどころか] /(exp) (uk) on the contrary/
それ切り [それきり] /(n,adv) (uk) with that/on that note/altogether/ending at that point/cut off there/
それ切り [それぎり] /(n,adv) (uk) with that/on that note/altogether/ending at that point/cut off there/
それ相応 [それそうおう] /(adj-no,adj-na,n) appropriate/suitable/proper/fitting/
それ程 [それほど] /(adv) (uk) to that degree/extent/
それ迄 [それまで] /(exp,n-t) (uk) That's the end of the matter/That's it/Until then/
それ来た [それきた] /(exp) there it is/there it comes/got it/expression one says when what is expected comes/
そろそろ /(adv,adv-to) (1) slowly/quietly/steadily/gradually/gingerly/(adv) (2) soon/momentarily/before long/any time now/(P)/
そろっと /(adv) (1) soon/momentarily/before long/any time now/
そろり /(adv-to,adv) (1) slowly and quietly/(2) smoothly/
そわそわ /(adv,n,vs) (on-mim) fidgety/restless/nervous/uneasy/(P)/
そんじょそこら /(exp) anywhere/here and there/
そんだけ /(n,adv) only that/that's all (used in casual speech)/(P)/
そんで /(conj) (col) and/thereupon/because of that/
そんでもって /(conj) (col) and (so)/because of which/(P)/
そんな /(adj-pn) such (about the actions of the listener, or about ideas expressed or understood by the listener)/like that/that sort of/(P)/
そんなこんな /(exp) this and that/various things/(P)/
そんなに /(exp) so much/so/like that/(P)/
そんな具合に [そんなぐあいに] /(exp) in that manner/
そんな風に [そんなふうに] /(exp) (uk) in that manner/like that/
そ求 [そきゅう] /(n) redemption/recourse/
そ求権 [そきゅうけん] /(n) right of recourse/right for redemption/
そ知らぬ顔 [そしらぬかお] /(n) pretending not to recognize (recognise)/feigned ignorance/
そ嚢 [そのう] /(n) bird's crop/bird's craw/
ぞ /(prt) (male) (sentence end) adds force/indicates command/(P)/
ぞい /(prt) (arch) (at sentence-end) indicates mild emphasis/
ぞえ /(prt) (arch) (at sentence-end) indicates mild emphasis/
ぞくぞく /(adv,n,vs) (on-mim) shiver/feel chilly/shudder/thrill/(P)/
ぞくっと /(adv) tremblingly/having the chills (through fear, cold, anticipation, etc.)/
ぞっこん /(adv) (1) from the bottom of one's heart/with all one's heart/(2) completely/entirely/
ぞっと /(adv,n,vs) (on-mim) shiver/shudder/
ぞっとしない /(exp) not very appealing/pretty disgusting/
ぞろぞろ /(adv,n) (on-mim) in groups/in succession/(P)/
ぞろっぺい /(adj-na) slovenly/
ぞろり /(adv,adv-to) (1) (arch) (on-mim) all together in a line/all together in a lump/(2) dressed sloppily/overdressed for the occasion/
ぞろ目 [ぞろめ] /(n) (1) matching dice/doublets/(2) bet on two horses in the same bracket/
ぞろ薬 [ぞろやく] /(n) (col) generic drug/
ぞんざい /(adj-na,n) rude/careless/slovenly/(P)/
たい /(aux-adj) (1) (after the -masu stem of a verb) want to ... do something/would like to .../(prt) (2) (kyu:) (at sentence-end) indicates emphasis/(suf,adj-i) (3) (after a noun or the -masu stem of a verb) very .../(P)/
たいらぎ /(n) fan mussel (species of pen shell, Atrina pectinata)/
たいりくももんが /(n) (uk) Siberian flying squirrel (Pteromys volans)/
たい肥 [たいひ] /(n) compost/
たかなみ型護衛艦 [たかなみがたごえいかん] /(n) Takanami class destroyer/
たかべ /(n) (uk) Labracoglossa argentiventris (species of knifefish)/
たかり /(n) extortion/sponging/
たがる /(aux-v,v5r) wanting to (verb) (not used in the first person, combination of ~tai and ~garu)/
たき火 [たきび] /(n,vs) (1) open-air fire (e.g. for garden refuse)/bonfire/(2) open fire (e.g. in a kitchen)/
たき木 [たきぎ] /(n) (1) firewood/kindling/fuel/(2) piece(s) of firewood/
たくし上げる [たくしあげる] /(v1) to roll up or pull up (sleeves, skirt, etc.)/
たくる /(v5r) to pull in/to take for oneself/to tuck up (one's sleeves)/
たけり /(n) ox or whale penis, used as a tonic or aphrodisiac/
たけり狂う [たけりくるう] /(v5u) to rage/to rampage/
たけり立つ [たけりたつ] /(v5t,vi) (1) to rage/(2) to howl/
たこつぼ型心筋症 [たこつぼがたしんきんしょう] /(n) takotsubo cardiomyopathy/
たこつぼ心筋症 [たこつぼしんきんしょう] /(n) takotsubo cardiomyopathy/
たこ焼き [たこやき] /(n) octopus dumplings/
たこ焼き器 [たこやきき] /(n) tako-yaki pan (cast iron with semi-spherical molds)/
たこ焼き鍋 [たこやきなべ] /(n) (obsc) tako-yaki pan (cast iron with semi-spherical molds)/
たこ足 [たこあし] /(adj-f,n) many-legged/octopus-like/
たじたじ /(adv,n) (on-mim) overwhelmed/recoiling/cringing/
たじろぐ /(v5g,vi) to falter/to wince/
たすき掛け [たすきがけ] /(n,vs) tucking up the sleeves of a kimono with a tasuki/
たたき壊す [たたきこわす] /(v5s) to tear down/to shatter/
たたき起こす [たたきおこす] /(v5s,vt) to wake up/to rouse out of bed/
たたき込む [たたきこむ] /(v5m,vt) to drive into/to throw into/to hit into/
たたき出す [たたきだす] /(v5s,vt) to begin to strike/to kick out/
たたき上げ [たたきあげ] /(n) (1) working one's way up/(n,adj-no) (2) self-made person/veteran/
たたき切る [たたききる] /(v5r) to mangle/to hack down/to chop down/
たたき台 [たたきだい] /(n,adj-no) chopping block/springboard for discussion/
たたらを踏む [たたらをふむ] /(exp,v5m) to stumble a step or two forward (when trying to stop)/to pass one's destination and stumble a step or two forward/to totter/
たたら星 [たたらぼし] /(n) Chinese "Bond" constellation (one of the 28 mansions)/
ただいま帰りました [ただいまかえりました] /(exp,int) Here I am/I'm home!/
ただごと歌 [ただごとうた] /(n) plain form (of waka)/
ただし書 [ただしがき] /(n) proviso/
ただし書き [ただしがき] /(n) proviso/
ただじゃおかないぞ /(exp) You'll pay for this!/You'd better keep your mouth shut!/
ただでは /(exp) This isn't over/I will get my revenge/
ただではおかないぞ /(exp) You'll pay for this!/You'd better keep your mouth shut!/
ただより高いものはない [ただよりたかいものはない] /(exp) (id) Nothing costs as much as what is given to us/
ただ今 [ただいま] /(int,exp) (1) (uk) (abbr) Here I am/I'm home!/(n-t,adv) (2) presently/right away/right now/just now/(P)/
ただ今帰りました [ただいまかえりました] /(exp,int) Here I am/I'm home!/
ただ事 [ただごと] /(n) trivial matter/
ただ者 [ただもの] /(n) ordinary person (usu. in neg. sentences)/
ただ中 [ただなか] /(n) middle/
たちかぜ型護衛艦 [たちかぜがたごえいかん] /(n) Tachikaze class destroyer/
たちが悪い [たちがわるい] /(exp,adj-i) nasty/vicious/wicked/poor (quality)/
たちが良い [たちがいい] /(exp,adj-i) (uk) good (quality)/
たちが良い [たちがよい] /(exp,adj-i) (uk) good (quality)/
たちの悪い [たちのわるい] /(adj-i) nasty/poor (quality)/
たちの良い [たちのいい] /(exp) good (quality)/
たちの良い [たちのよい] /(exp) good (quality)/
たった /(adj-f,adv) only/merely/but/no more than/(P)/
たった１人 [たったひとり] /(n) just one person/only one/
たった一人 [たったひとり] /(n) just one person/only one/
たった今 [たったいま] /(adv) just now/a moment ago/this very minute/
たって /(conj,prt) (1) but/however/still/yet/although/even though/(suf) (2) even/even if/(3) or something/
たっぷり /(adj-na,adv,n) (on-mim) full/in plenty/ample/(P)/
たっ観 [たっかん] /(n,vs) farsightedness/taking a philosophic view (ripeness)/
たっ成 [たっせい] /(n,vs) achievement/
たてうね織 [たてうねおり] /(n) warp rib weave (cloth)/
たてびき鋸 [たてびきのこ] /(n) ripsaw/
たて琴 [たてごと] /(n) harp/lyre/
たて穴 [たてあな] /(n) pit/shaft/
たて糸 [たていと] /(n) (weaving) warp/
たて続け [たてつづけ] /(n) succession/
たとえ歌 [たとえうた] /(n) (1) metaphorical poem (of the Man'yoshu)/(2) metaphorical form (of waka)/
たとえ話 [たとえばなし] /(n) allegory/fable/parable/
たどり着く [たどりつく] /(v5k,vi) to struggle on to/to arrive somewhere after a struggle/to grope along to/to barely manage to reach/to finally arrive at/to finally hit on (e.g. an idea)/(P)/
たなご /(n) (uk) bitterling (any fish of subfamily Acheilognathinae, esp. species Acheilognathus melanogaster)/
たな引く [たなびく] /(v5k) (uk) to linger/to hover above/to trail/to hang over/to lie over/
たぬき寝入り [たぬきねいり] /(n,vs) feigning sleep/
たね違い [たねちがい] /(n) half-brother/half-sister/
たの /(exp) (usu. sentence end) indicates emotion, admiration, emphasis, etc./
たのもし講 [たのもしこう] /(n) mutual financing association/
たばこ税 [たばこぜい] /(n) tobacco tax/cigarette tax/
たび心 [たびごころ] /(n) desire to travel/
たび人 [たびびと] /(n) traveller/traveler/wayfarer/tourist/
たぶたぶ /(adv-to) (1) (on-mim) brimming/full to the point of overflowing/(2) loose/baggy/
たぷたぷ /(adj-no) (on-mim) flabby/
たほいや /(n) Fictionary game/dictionary game/
たまご酒 [たまござけ] /(n) eggnog/
たまご焼き [たまごやき] /(n) fried eggs/omelet/omelette/
たまご色 [たまごいろ] /(n) yellowish colour (color)/
たまさか鳥 [たまさかどり] /(n) (obsc) lesser cuckoo (Cuculus poliocephalus)/
たまて箱 [たまてばこ] /(n) (1) treasure chest (in the story of Urashima Taro)/Urashima's casket/Pandora's box/(2) important secret that is not easily revealed to others/
たまり醤油 [たまりじょうゆ] /(n) tamari soy sauce/variety of rich soy sauce (used for sashimi, etc.)/
たまり場 [たまりば] /(n) gathering spot/haunt/rendezvous/meeting place/hang-out/
たまり水 [たまりみず] /(n) stagnant water/
たま蝿 [たまばえ] /(n) (uk) gall midge (any insect of family Cecidomyiidae)/
たま蜂 [たまばち] /(n) (uk) gall wasp (any insect of family Cynipidae)/
たま蠅 [たまばえ] /(n) (uk) gall midge (any insect of family Cecidomyiidae)/
ため /(n) (col) the same/
ため桶 [ためおけ] /(n) (1) bucket (for carrying sake, soy sauce, etc.)/(2) manure bucket/(3) rainwater bucket (for dousing fires)/
ため口 [ためぐち] /(n) casual talk/frank, unreserved speech/peer language/
ため込む [ためこむ] /(v5m,vt) to save up/to stockpile/to stash away/to hoard/to amass/to salt away/
ため息 [ためいき] /(n) sigh/(P)/
ため息をつく [ためいきをつく] /(exp,v5k) to sigh/to breathe a sigh/
ため息を吐く [ためいきをつく] /(exp,v5k) to sigh/to breathe a sigh/
ため池 [ためいけ] /(n) reservoir/pond/
ため年 [ためどし] /(n) (sl) same age/
たも /(n) (abbr) fishing net (hand held, hoop with net on a bamboo stick)/
たも /(n) Japanese ash (Fraxinus mandshurica var. japonica)/
たも網 [たもあみ] /(n) fishing net (hand held, hoop with net on a bamboo stick)/
たゆまず努力 [たゆまずどりょく] /(n,vs) untiring labor (labour)/
たゆまぬ努力 [たゆまぬどりょく] /(exp) diligence/unceasing efforts/
たら /(conj,prt) (1) indicates supposition/if ... then/when/after/(prt) (2) (typically after someone's name) indicates exasperation/(P)/
たらい回し [たらいまわし] /(n,vs) (1) acrobatic barrel-rolling (performed using the feet while lying on the back)/(2) handing something around (within a fixed group of people in a pre-arranged order)/(3) handing off a problem to someone else (in order to evade responsibility)/
たらしい /(suf,adj-i) (after a noun or the stem of an adjective) seeming very... (usu. with a negative connotation)/
たらしめる /(v1) (arch) to make/to make something what it should be/to cause to be/
たらし込む [たらしこむ] /(v5m,vt) to cajole/to deceive/to seduce/
たらたら /(adv) (1) (on-mim) drop-by-drop/dribbling/in a trickle/(2) incessantly/in great profusion/(P)/
たらの木 [たらのき] /(n) (uk) devil's walking stick (tree) (Aralia elata)/Japanese angelica tree/
たらば蟹 [たらばがに] /(n) (uk) red king crab (Paralithodes camtschaticus)/
たらんと /(n,vs) tending to be/wanting to be/
たら子 [たらこ] /(n) cod roe (roe of any fish from family Gadidae, esp. salted walleye pollack roe)/
たり /(prt) (1) -ing and -ing (e.g. "coming and going")/(2) (used adverbially) doing such things as.../(3) expresses a command/(aux-v) (4) (arch) (after a noun) to be/(5) (arch) indicates completion or continuation of an action/(P)/
たりけり /(exp,aux-v) (arch) auxiliary verb indicating past condition or occurrence (e.g. "was", "had been", etc.)/
たりとも /(exp) (not) even/(not) any/
たる /(aux-v) (those) who are/(that) which is/often used in relation to qualifications and requirements for a position/in the capacity of/
たるたる /(adj-no) (col) droopy (e.g. of skin)/drooping/
たるや /(exp,adv) (after a noun) speaking of... (used to introduce a topic emphatically)/
たる木 [たるき] /(n) rafter/
たれ込む [たれこむ] /(v5m) to inform on someone/to squeal (to the police)/
たれ込める [たれこめる] /(v1,vi) (1) (uk) to hang low over (e.g. clouds)/(2) (arch) to seclude oneself (behind screens, curtain, etc.)/
たれ壁 [たれかべ] /(n) hanging partition wall (e.g. against smoke)/
たろう /(aux) (1) ought to have been/was ... right?/(2) (ksb:) to do for (inferiors)/
たわい無い [たわいない] /(adj-i) (uk) silly/foolish/absurd/childish/easy/trifling/guileless/
たわけ者 [たわけもの] /(n) idiot/dummy/joker/fool/trickster/
たわみ計 [たわみけい] /(n) deflectometer/
たわ言 [たわこと] /(ok) (n) nonsense/bullshit/silly things/joke/
たわ言 [たわごと] /(n) nonsense/bullshit/silly things/joke/
たん /(suf) (m-sl) (fam) (fem) (cute) suffix for familiar person/
たんこぶ /(n) bump/lump/protuberance/swelling/
たんと /(adv) (1) (on-mim) (poss. Kansai dialect) many/much/a great amount/(2) excessive amount/
たんぱく質 [たんぱくしつ] /(n) protein/
たんび /(n,n-suf,ctr) time (three times, each time, etc.)/times/
たんぽ /(n) pad/wad/wadding/
たんぽ槍 [たんぽやり] /(n) padded spear (for practice)/
たんま /(n) (children's language) to interrupt a game/time out/
たんまり /(adv) quite a lot/
だ /(aux) plain copula/(P)/
だい /(prt) (1) (fam) marks wh-question (what, where, who)/(2) (chn) strengthens one's judgment or conclusion/(P)/
だいだい色 [だいだいいろ] /(n) orange-colored/orange-coloured/
だから /(conj,n) so/therefore/(P)/
だからこそ /(exp) for this reason/
だからって /(exp) even so/all the same/nevertheless/yes, but .../
だからと言って [だからといって] /(conj) while it may be true that/just because/nevertheless/not necessarily/
だから何だ [だからなんだ] /(exp) so what!/who gives a damn?/
だが /(conj) but/however/(and) yet/nevertheless/still/for all that/(P)/
だく /(n) (abbr) trot (as in horse riding)/
だく足 [だくあし] /(n) (obsc) trot (as in horse riding)/
だけあって /(suf) .. being the case/(precisely) because .../as might be expected (from ..)/
だけでなく /(exp) not just ... (but also ..)/(P)/
だけど /(conj) however/(P)/
だけども /(exp) though/much as/(P)/
だけは /(exp) (id) at least .../at least not (when followed by a negative)/
だけれども /(exp) though/much as/(P)/
ださい /(adj-i) primitive/unsophisticated/out of fashion/
ださ男 [ださお] /(n) (sl) an uncool man/dork/geek/dweeb/nerd/
だし巻き卵 [だしまきたまご] /(n) Japanese omelette/
だだっ広い [だだっぴろい] /(adj-i) very (excessively) spacious/unduly wide/sprawling/
だだっ子 [だだっこ] /(n) unmanageable child/spoiled child (spoilt)/spoiled brat/
だだっ児 [だだっこ] /(n) unmanageable child/spoiled child (spoilt)/spoiled brat/
だち /(n) (col) (abbr) friend/
だっけ /(exp) expression used when the speaker is trying to recall some information/(P)/
だったら /(conj) if it's the case/(P)/
だって /(conj,prt) (1) but/however/still/yet/although/even though/(suf) (2) even/even if/(3) or something/(P)/
だてらに /(suf,prt) a mere (status or characteristic)/implies activity unsuited to (status or characteristic)/(P)/
だと /(exp) if it's the case/(P)/
だに /(prt) even/
だの /(suf,prt) and/or/and the like/and so forth/and what not/(P)/
だぶだぶ /(adj-na,adv,n,vs,adj-no) (1) (on-mim) loose/baggy/(2) overflowing/brimming/(P)/
だぶつく /(v5k,vi) (1) to be too large/to be baggy/to be flabby/(2) to have a glut/
だぼ /(n) dowel/joggle/
だぼ鯊 [だぼはぜ] /(n) goby (fish)/
だまし絵 [だましえ] /(n) trompe l'oeil/
だまし取る [だましとる] /(v5r) to take something away by deception/
だみ声 [だみごえ] /(n) (1) thick voice/hoarse voice/(2) voice with a thick accent/
だめる /(int) "Shut up!"/"Be quiet!"/
だめ押し [だめおし] /(exp) (1) making doubly sure/(2) insurance runs (baseball)/
だもの /(n,vs) indicate reason/infers some protest/
だもので /(exp) thereupon/therefore/because of that/
だもんで /(exp) thereupon/therefore/because of that/
だらけ /(n-suf) (1) implying (negatively) that something is full of (e.g. mistakes)/(2) covered all over (e.g. with blood)/(P)/
だらける /(v1,vi) to be lazy/to be slack/to feel dull/to feel languid/to feel listless/
だらしが無い [だらしがない] /(exp,adj-i) (uk) slovenly/loose/sluttish/slatternly/untidy/undisciplined/careless/
だらしの無い [だらしのない] /(exp,adj-i) (uk) slovenly/loose/sluttish/slatternly/untidy/undisciplined/careless/
だらし無い [だらしない] /(adj-i) (uk) slovenly/loose/sluttish/slatternly/untidy/undisciplined/careless/
だらだら /(adv,n,vs,adv-to) (1) (on-mim) pouring liquid/(2) prevaricating/(3) long, gentle slope/(4) sluggishly/endlessly/(P)/
だらだらかげろう景気 [だらだらかげろうけいき] /(n) period of Japanese economic expansion from February 2002 to October 2007/
だらだら陽炎景気 [だらだらかげろうけいき] /(n) period of Japanese economic expansion from February 2002 to October 2007/
だらり /(adv-to) (on-mim) languidly/loosely/
だらん /(adv-to) (on-mim) languidly/loosely/
だり /(prt) (1) -ing and -ing (e.g. "coming and going")/(2) (used adverbially) doing such things as.../(3) expresses a command/
だれる /(v1,vi) (1) to lose interest/to weaken/to slacken/(2) to lose value after a peak (e.g. stock)/
だろ /(exp) (1) seems/I think/I guess/I wonder/I hope/(2) don't you agree?/I thought you'd say that!/
だろう /(exp) (1) seems/I think/I guess/I wonder/I hope/(2) don't you agree?/I thought you'd say that!/(P)/
だんだん /(exp) thank you (dialect from the Izumo region of Shimane Prefecture)/
だんな取り [だんなどり] /(vs) (1) to become a mistress/to serve as a concubine/(2) to serve one's master/
だ円 [だえん] /(n,adj-no) ellipse/
だ円関数 [だえんかんすう] /(n) (math) elliptic function/
だ体 [だたい] /(n) literary form imparting the nuance of speech (with sentences ending in "da")/
だ捕 [だほ] /(n,vs) capture/seizure/
ちぇ /(int) shoot/shit/dang/crap/rats/dammit/
ちぇっ /(int) shoot/shit/dang/crap/rats/dammit/
ちぎりぎ /(n) (MA) weight-chain-pole weapon/
ちぎり絵 [ちぎりえ] /(n) collage of pieces of colored paper/
ちくちく /(n,vs) (on-mim) type of prickling pain/prick/prickle/
ちくちく痛む [ちくちくいたむ] /(exp,v5m) to prickle/to tingle/
ちくる /(v5r) (sl) to tattle/to inform a superior of someone's actions/
ちぐはぐ /(adj-na,n) (on-mim) mismatched/(P)/
ちちり星 [ちちりぼし] /(n) Chinese "Well" constellation (one of the 28 mansions)/
ちぢれ毛 [ちぢれげ] /(n) curly hair/kinky hair/frizzy hair/
ちっちゃい人間 [ちっちゃいにんげん] /(exp) person of poor character/narrow-minded/unpleasant person/gossip-monger/person of low self-esteem/
ちっとも気にならない [ちっともきにならない] /(exp,adj-i) not be concerned about at all/not mind about at all/not care a bit/
ちっとやそっと /(exp) small amount/bit/smidgen/
ちっぽけ /(adj-na,n) very small/tiny/
ちはや /(n) (obsc) (uk) thin, white ceremonial haori worn by miko/
ちびくろサンボ /(n) Little Black Sambo (book title)/
ちびちび /(adv,adv-to) (on-mim) making something last/
ちびっ子 [ちびっこ] /(n) (col) small child/rug rat/ankle-biter/
ちびりちびり /(adv,adv-to) (on-mim) making something last/
ちびる /(v5r,vt) (1) (col) to wet oneself/to shit oneself/(2) to be miserly/
ちまう /(v5u) (col) to do something completely/
ちまちま /(adv-to,adv) (on-mim) small/compact/
ちゃいかん /(exp) must not do/
ちゃう /(aux-v,v5u) to do something completely/
ちゃう /(exp) (1) (osb:) No!/(2) isn't it?/wasn't it?/
ちゃうちゃう /(exp) (1) (osb:) That's not true!/
ちゃきちゃき /(n) efficient/
ちゃち /(adj-na) cheap/rubbishy/shoddy/roughly made/
ちゃっかり /(adv,n,vs) shrewd/calculating/nervy/cheeky/
ちゃった /(exp) finished doing/did completely/
ちゃぶ台 [ちゃぶだい] /(n) low dining table/tea table/
ちゃぶ台返し [ちゃぶだいがえし] /(n) flipping a table over in anger/overturning a table in anger/
ちゃぷちゃぷ /(adj-na,adj-no,adv-to,n) splish-splash/glug-glug/
ちゃほや /(ik) (adv,n,vs,adv-to) (on-mim) pamper/make a fuss of/spoil/
ちゃぽちゃぽ /(adv,n,vs) (1) splash water/dabble in water/splashing sound/
ちゃら /(n) (col) forgiving a debt/getting even/
ちゃらい /(adj-i) flashy/gaudy/wrapped in cheap flattery/
ちゃらっぽこ /(int) no way/that can't be true/nonsense!/
ちゃらんぽらん /(n,adj-no) devil-may-care/speaking off-hand/slaphappy/
ちゃり /(n) (abbr) (col) bicycle/
ちゃりんこ /(n) (1) (sl) child pickpocket/(2) (col) bicycle/
ちゃん /(n-suf) (1) suffix for familiar person/(n) (2) (arch) (abbr) (sl) (chn) daddy/pa/(P)/
ちゃんこ /(n) traditional sumo stew/
ちゃんこ屋 [ちゃんこや] /(n) chanko restaurant, often owned by former sumo wrestler/
ちゃんこ長 [ちゃんこちょう] /(n) most experienced chanko cook in the sumo stable/
ちゃんこ鍋 [ちゃんこなべ] /(n) weight-gaining stew for sumo/
ちゃんこ番 [ちゃんこばん] /(n) (sumo) person in charge of preparing food for rikishi (usually performed by low-ranking rikishi)/
ちゃんこ料理 [ちゃんこりょうり] /(n) sumo food/
ちゃんたま /(n) (col) testicles/
ちゃんちゃん /(adv,n) regularly/promptly/
ちゃんちゃんこ /(n) padded sleeveless kimono jacket/Japanese vest/
ちゃんと /(adv,n,vs) perfectly/properly/exactly/(P)/
ちゃんばら /(n) sword fight/
ちゃんばら映画 [ちゃんばらえいが] /(n) samurai movie/
ちゃんぽん /(n,adj-na) (1) practice of mixing things normally kept separate (practise)/mixture/(2) dish of noodles, seafood, vegetables (from Nagasaki)/
ちゃんぽんに /(adv) (1) alternately/by turns/(2) all together/
ちゃんぽん語 [ちゃんぽんご] /(n) words from another language/
ちゃん付け [ちゃんづけ] /(n,vs) attaching 'chan' to somebody's name/
ちゃ色 [ちゃいろ] /(n,adj-no) light brown/tawny/
ちやほや /(adv,n,vs,adv-to) (on-mim) pamper/make a fuss of/spoil/
ちゅう /(n,vs) (1) (col) kiss/(n,adv-to) (2) squeak (as in the sound made by mice)/(3) sound of liquid being sucked up/
ちゅうちゅう吸う [ちゅうちゅうすう] /(exp,v5u) to suck/
ちゅうちゅう鳴く [ちゅうちゅうなく] /(exp,v5k) to squeak/to chirp/to twitter/
ちゅうひ /(n) (uk) Eastern marsh harrier (Circus spilonotus)/
ちゅっと /(adv,vs) (col) kissing/
ちゅらさん /(n) (rkb:) beauty/prettiness/
ちゅん /(adv,adv-to) (on-mim) chirp/cheep/
ちゅんちゅん /(adv,adv-to) (on-mim) chirp/cheep/
ちょい /(adv,adv-to) (1) just a minute/short time/just a little/(2) somewhat/easily/readily/rather/
ちょいちょい /(adv,int,n) often/frequently/now and then/occasionally/
ちょいと /(adv) (1) (uk) just a minute/short time/just a little/(2) somewhat/easily/readily/rather/(3) (before a verb in negative form) (will not) easily/(int) (4) hey!/
ちょいむず /(n,adj-na) (abbr) (sl) slightly difficult/
ちょいムズ /(n,adj-na) (abbr) (sl) slightly difficult/
ちょい悪おやじ [ちょいわるおやじ] /(n) (col) older and fashionable man (wild-looking, burly, etc.)/
ちょい悪オヤジ [ちょいわるオヤジ] /(n) (col) older and fashionable man (wild-looking, burly, etc.)/
ちょい役 [ちょいやく] /(n) bit part (e.g. in a film)/extra/
ちょうど今 [ちょうどいま] /(exp,n-t) right now/just now/
ちょう形骨 [ちょうけいこつ] /(n) sphenoid bone (of the skull)/
ちょう待って [ちょうまって] /(exp) (ksb:) Wait a minute/
ちょう度 [ちょうど] /(n) consistency/
ちょくちょく /(adv) often/frequently/now and then/occasionally/(P)/
ちょくる /(v5r,vt) to tease/to banter/to make fun of somebody/
ちょける /(v5r,vt) to tease/to banter/to make fun of somebody/
ちょこちょこ /(adv,n,vs) toddling/hobbling/restless/easily accomplished/
ちょこっと /(adv,adj-f) (on-mim) rather/a little/small/
ちょこなん /(adv-to) (on-mim) slightly (of an action)/(looking) small and quiet/
ちょこまか /(vs,adv-to) restlessly/in continuous motion/
ちょこん /(adv-to) (on-mim) slightly (of an action)/(looking) small and quiet/
ちょちょいのちょい /(exp) piece of cake/a walk in the park/
ちょっかい /(n) meddle/dabble/make a pass at/
ちょっきり /(adv,adv-to) (1) (on-mim) exactly/just/(2) snip/
ちょっくら /(adv,n) (a) little/
ちょっとそこまで /(exp) nowhere in particular/just out for a bit/(euph. for) toilet break/
ちょっと一杯 [ちょっといっぱい] /(exp) let's have a quick drink/
ちょっと見 [ちょっとみ] /(n) a look or glance/
ちょっぴり /(adv) very little bit/just a smidgin/wee bit/(P)/
ちょびっと /(adv) a little/(P)/
ちょびと /(adv) a little/(P)/
ちょび髭 [ちょびひげ] /(n) small mustache/short mustache/
ちょぼちょぼ /(adj-na,adv,n) (on-mim) sparsely/drop-by-drop/
ちょろい /(adj-i) easy/simple/
ちょろちょろ /(adv,n,vs) (1) in trickles (e.g. water flowing)/(2) darting about (e.g. a small animal)/moving rapidly/
ちょろまかす /(v5s,vt) to pilfer/to filch/to snaffle/to pocket/
ちょん /(adv-to,n) (1) (on-mim) clap clap (sound)/(2) chop vigorously/(3) slight movement/(4) the end/
ちょんちょん /(n,adv,adv-to) (1) (on-mim) sound of wooden clappers clapping/(n) (2) punctuation marks such as the dakuten/
ちょんになる /(exp,v5r) to come to an end/to finish/to get fired/
ちょんぼ /(n,vs) apparent and grievous error/mistake/blunder/bungle/goof/
ちょんまげ /(aux) (sl) please do (for me)/
ちょん掛 [ちょんがけ] /(n) pulling heel hook (sumo)/
ちょん掛け [ちょんがけ] /(n) pulling heel hook (sumo)/
ちょん切る [ちょんぎる] /(v5r,vt) to chop something off (e.g. head)/to snip off/to fire/
ちらし寿司 [ちらしずし] /(n) (food) sushi rice in a box or bowl with a variety of ingredients sprinkled on top/
ちらちら /(adv,adv-to,vs) (on-mim) fluttering/flickering/intermittently/(P)/
ちらっと /(adv) (on-mim) at a glance/by accident/(P)/
ちらっと見る [ちらっとみる] /(exp,v1) to glance at/to glimpse/
ちらつき /(n) flickering (e.g. on a video display)/
ちらつき防止フィルタ [ちらつきぼうしフィルタ] /(n) (comp) glare filter/
ちらつく /(v5k,vi) to flicker/to flit/to litter/to be dazzled/
ちらと /(adv) (on-mim) at a glance/by accident/
ちらほら /(adv) (on-mim) here and there/now and then/in twos and threes/
ちらり /(adv-to,adv) (on-mim) fleeting (glimpse, glance, etc.)/(P)/
ちらりほらり /(adv,adv-to) here and there/now and then/twos and threes/sparsely/
ちらりズム /(n) the art of giving a brief glimpse of something (e.g. one's underwear)/
ちら見 [ちらみ] /(n,vs) (sl) glancing look/
ちり /(n) dish of fish (meat, etc.), tofu, vegetables boiled together and served with ponzu dipping sauce/
ちりこ星 [ちりこぼし] /(n) Chinese "Extended Net" constellation (one of the 28 mansions)/
ちりちり /(adv,n,adj-na,vs) (on-mim) bits and pieces/frizzily (as in perm)/
ちりんちりん /(adv) jingle/ding (sound representing the ringing of small bells)/
ちり紙 [ちりがみ] /(n) (1) (a) tissue/(2) toilet paper/(P)/
ちり取 [ちりとり] /(n) dustpan/(P)/
ちり取り [ちりとり] /(n) dustpan/(P)/
ちり鍋 [ちりなべ] /(n) dish of fish (meat, etc.), tofu, vegetables boiled together and served with ponzu dipping sauce/pot used to cook such a dish/
ちろちろ /(adv-to) (1) flicker (light)/waver/(2) trickle (water)/(3) glance at/
ちわっす /(int) (col) Hi/Yo/
ちん /(n-suf) intimate (or disdainful) suffix used after a person's name (or the base of an adjective describing that person)/
ちんけ /(adj-na) worst/poor and boring/uncool/
ちんこ /(n) (col) (vulg) penis/
ちんすこう /(n) Okinawan sweet/
ちんたら /(adv,adv-to) (on-mim) dilatorily/sluggishly/
ちんちくりん /(n,adj-na) short (person)/shorty/stumpy/
ちんちん /(adv,adv-to) (1) (on-mim) chink/jingle/tinkle/whistle (kettle)/(n,vs) (2) begging (animal)/(n) (3) (chn) penis/
ちんちん電車 [ちんちんでんしゃ] /(n) (sl) streetcar, trolley/
ちんちん鳴る [ちんちんなる] /(v5r) to jingle/to tinkle/to whistle (kettle)/
ちんどん屋 [ちんどんや] /(n) traditional Japanese band of sandwich board advertisers/
ちんぴら /(n,adj-no) (young) hoodlum/small-time yakuza/delinquent boy/delinquent girl/hooligan/punk/
ちんぽ /(n) (col) penis/
ちんまり /(adv-to,vs) (on-mim) snugly/cosily/compactly/
ちん入 [ちんにゅう] /(n,vs) intrusion/forced entry/
ちん毛 [ちんげ] /(n) (sens) (sl) (uk) pubic hair/penis hair/
っけ /(prt) particle indicating that the speaker is trying to recall some information/
っこ /(suf) (1) (abbr) doing/in such a state/(2) doing together/contest/match/(3) (fam) familiarizing suffix (sometimes meaning "small")/
っこない /(exp) (after a verb's -masu base) no chance of (verb)/
っしょ /(aux) (col) col. form of deshou/
っす /(aux) col. form of desu/
ったく /(int) (col) (abbr) good grief (expression of exasperation)/
ったら /(conj,prt) (1) indicates supposition/if ... then/when/after/(prt) (2) (typically after someone's name) indicates exasperation/(P)/
ったらありゃしない /(exp) (col) (used after adj.) nothing more ... than this/as .... as it could possibly be/
ったらしい /(suf,adj-i) (after a noun or the stem of an adjective) seeming very... (usu. with a negative connotation)/
ったらない /(exp) (col) (used after adj.) nothing more ... than this/as .... as it could possibly be/
っつーか /(conj) (col) or rather (say)/or better (say)/or perhaps I should say/or, how should I put it,.../I mean/
っつうか /(conj) (col) or rather (say)/or better (say)/or perhaps I should say/or, how should I put it,.../I mean/
って /(prt) casual quoting particle/(P)/
っていうか /(conj) (col) or rather (say)/or better (say)/or perhaps I should say/or, how should I put it,.../I mean/
ってか /(conj) (col) or rather (say)/or better (say)/or perhaps I should say/or, how should I put it,.../I mean/
ってば /(prt) (1) indicates emotional closeness or annoyance with someone/(2) indicates an indirect command by expressing annoyance (in sentence-final position)/
ってゆうか /(conj) (col) or rather (say)/or better (say)/or perhaps I should say/or, how should I put it,.../I mean/
っぷり /(suf) (col) manner/style/
っぽい /(suf,adj-i) (1) (col) -ish/-like/(P)/
っ限り [っきり] /(prt) (1) (uk) only/just/(2) (uk) since/(3) (uk) remaining (in a particular state)/
っ子 [っこ] /(suf) (col) someone with a liking or characteristic/a true representative of (place)/
っ切り [っきり] /(prt) (1) (uk) only/just/(2) (uk) since/(3) (uk) remaining (in a particular state)/
っ放し [っはなし] /(n-suf) (uk) keep ...-ing (negative nuance, with the state being improper, unpleasant, etc.)/have been ...-ing/leaving (something) on/leaving (something) still in use/
っ放し [っぱなし] /(n-suf) (uk) keep ...-ing (negative nuance, with the state being improper, unpleasant, etc.)/have been ...-ing/leaving (something) on/leaving (something) still in use/
つ /(conj) (1) indicates two contrasting actions/(prt) (2) (arch) indicates possessive (often found in place names and compound words)/
つーか /(conj) (col) or rather (say)/or better (say)/or perhaps I should say/or, how should I put it,.../I mean/
つーんと /(adv) pungently (of a smell)/
つい /(adv) (1) just (now)/(2) quite (near)/(3) unintentionally/unconsciously/by mistake/against one's better judgement (judgment)/(P)/
ついさっき /(n) just now/a little while back/a short time ago/
ついつい /(adv) (on-mim) unintentionally/unconsciously/by mistake/against one's better judgement/against one's better judgment/
ついて回る [ついてまわる] /(v5r,vi) to follow around/
ついて行く [ついていく] /(v5k-s) to accompany/to follow/
ついて行く [ついてゆく] /(v5k-s) to accompany/to follow/
つうっと /(adv) (on-mim) quickly/smoothly/
つうと /(adv) (on-mim) quickly/smoothly/
つかず離れず [つかずはなれず] /(exp,adv) maintaining a reasonable distance/neutral position/indecision/
つかず離れずの態度 [つかずはなれずのたいど] /(n) neutral attitude/
つかつか /(adv,adv-to) (on-mim) walking briskly/determinedly/
つかの間 [つかのま] /(n,adj-no) moment/brief time/brief/transient/(P)/
つかみ取る [つかみとる] /(v5r) to grasp/to get/
つかみ所 [つかみどころ] /(n) (1) (uk) point (of a conversation, etc.)/sense/(2) hold/grip/
つきが回る [つきがまわる] /(exp,v5r) to have fortune come your way/to become lucky/
つき合い [つきあい] /(n) association/socializing/socialising/fellowship/
つき合う [つきあう] /(v5u,vi) (1) to associate with/to keep company with/to go out with/to go steady with/to get on with/(2) to go along with/to follow someone's lead/to accompany someone/to compromise/
つき刺す [つきさす] /(v5s,vt) to stab/to pierce/to thrust/
つき手 [つきて] /(n) hand touch down (sumo)/
つき従う [つきしたがう] /(v5u,vi) to follow/to accompany/to cleave to/to join up with/to obey implicitly/to flatter/
つき出し [つきだし] /(n) (1) protrusion/(2) (Japanese) hors d'oeuvre/snacks/(3) (sumo winning technique of) pushing out of the ring/
つき出す [つきだす] /(v5s,vt) to push out/to project/
つき物 [つきもの] /(n) accessory/accompaniment/indispensable part/appendage/
つぎ込む [つぎこむ] /(v5m,vt) to invest in/to sink money into/to put into/to lay out (funds)/to inject/to impregnate/to infuse/to instill/to implant/to imbue/to focus (attention, efforts)/
つくつく法師 [つくつくぼうし] /(ateji) (n) (uk) Meimuna opalifera (species of cicada)/
つくねんと /(adv) (1) absentmindedly/vacantly/blankly/(2) by oneself/all alone/
つくり直す [つくりなおす] /(v5s,vt) to remake/to rebuild/
つけ加える [つけくわえる] /(v1,vt) to add one thing to another/
つけ込む [つけこむ] /(v5m,vi) to take advantage of/to impose on/to make an entry/
つけ根 [つけね] /(n) root/joint/base/crotch/
つけ入る [つけいる] /(v5r) to take advantage of/to impose on/
つけ麺 [つけめん] /(n) cold Chinese noodles accompanied by soup for dipping/
つじ風 [つじかぜ] /(n) (1) whirlwind/
つっと /(adv) (on-mim) quickly/smoothly/
つつ /(prt) while/though/(P)/
つつある /(suf) (with masu stem) to be doing/to be in the process of doing/
つつき回す [つつきまわす] /(v5s) (uk) to poke something around/
つづら折 [つづらおり] /(adj-no,n) winding/meandering/sinuous/zigzag/
つづら折り [つづらおり] /(adj-no,n) winding/meandering/sinuous/zigzag/
つづり方 [つづりかた] /(n) (1) (way of) literary composition/(2) (way of) spelling/(3) school composition/
つづれ錦 [つづれにしき] /(n) (hand-woven) brocade/
つづれ織り [つづれおり] /(n) (hand-woven) tapestry/
つと /(adv) (1) quickly/(2) calmly/(3) intently/
つなぎ合わせる [つなぎあわせる] /(v1) to connect/to join/to join or tie or knot together/
つなぎ止める [つなぎとめる] /(v1,vt) to tie/to fasten/to hitch/to secure (e.g. load, patronage of customers, etc.)/to hold on to/
つなぎ売り [つなぎうり] /(n,vs) hedging/hedge selling/
つなぎ服 [つなぎふく] /(n) overalls/boiler suit/
つなぎ目 [つなぎめ] /(n) joint/link/tie-together point/
つばさ /(n) extra-high-speed Touhoku-line Shinkansen/
つばす /(n) (ksb:) young Japanese amberjack/
つぶしが利く [つぶしがきく] /(exp,v5k) to be valuable as scrap/to be able to do other work/to have marketable skills/
つぶし島田 [つぶししまだ] /(n) type of woman's hairdo (Edo period)/
つぶし餡 [つぶしあん] /(n) slightly crushed sweetened red-bean paste/
つべこべ /(adv,adv-to) (on-mim) complaining/nitpicking/
つまみ上げる [つまみあげる] /(v1) to take a pinch of something (e.g. salt)/to pick up in one's fingers/
つまみ食い [つまみぐい] /(n,vs) (1) eating with one's fingers/(2) snitching food/snatched food/secret eating/food snatched and eaten without the meal starting/(3) embezzlement/misappropriation/exploiting something/(4) flirting/
つまらない物ですが [つまらないものですが] /(exp) (uk) "It's not much, but..." (phrase often used when giving gifts)/
つまる処 [つまるところ] /(adv) in sum/in short/in the end/
つまる所 [つまるところ] /(adv) in sum/in short/in the end/
つまんない /(adj-i) (sl) dull/boring/(P)/
つま先 [つまさき] /(n) tiptoe/(P)/
つま先下がり [つまさきさがり] /(n) downhill path/
つま先上がり [つまさきあがり] /(n) uphill path/
つま先立ち [つまさきだち] /(n) standing on tiptoes/
つま先立つ [つまさきだつ] /(v5t,vi) to stand on tiptoes/
つみ重ねる [つみかさねる] /(v1,vt) to pile up/to accumulate/
つむじ曲がり [つむじまがり] /(adj-na,n) perversity/cantankerous/eccentric/
つむじ風 [つむじかぜ] /(n) (1) whirlwind/
つめ見出し [つめみだし] /(n) thumb index (e.g. in a dictionary)/
つめ込む [つめこむ] /(v5m,vt) to cram/to stuff/to jam/to squeeze/to compress/to pack/to crowd/
つめ車 [つめぐるま] /(n) ratchet/toothed wheel/
つもりである /(exp,v5r-i) to intend/
つや出し [つやだし] /(n,vs) burnishing/glazing/polishing/
つや消し [つやけし] /(adj-na,adj-no) (1) frosted (glass)/matted/(n,adj-na) (2) disillusionment/letdown/
つや消しガラス [つやけしガラス] /(n) frosted glass/
つゆだく /(n) soupy/containing more broth or sauce than usual (of gyudon, etc.)/
つらい目にあう [つらいめにあう] /(exp,v5u) to have a hard time of it/
つり下げる [つりさげる] /(v1,vt) to suspend from/to be suspended (from)/
つり革 [つりかわ] /(n) strap (to hang onto)/
つり索 [つりさく] /(n) shroud line/
つり上げる [つりあげる] /(v1,vt) (1) to raise/to lift/to hang up/to suspend/(2) to (artificially, deliberately) raise prices/
つり針 [つりばり] /(n) fish hook/
つり銭 [つりせん] /(n) change (e.g. for dollar)/
つり銭口 [つりせんぐち] /(n) coin return slot/change slot/
つり足場 [つりあしば] /(n) suspended scaffolding/
つり輪 [つりわ] /(n) (gymnastic) rings/
つるし雲 [つるしぐも] /(n) roll cloud/rotor cloud/
つるし上げ [つるしあげ] /(n) (1) hung up/hoist/(2) denounced/severely criticised/kangaroo court/
つるし上げる [つるしあげる] /(v1,vt) (1) to hang up/to hoist/(2) to denounce/to subject someone to a kangaroo court/
つるつる /(adj-na,adv,n,vs,adj-no) (on-mim) slippery/smooth/(P)/
つるり /(adv-to) (on-mim) smoothly/with a slipping or sliding motion/
つるん /(adv-to) (on-mim) smoothly/with a slipping or sliding motion/
つる鋸 [つるのこ] /(n) traditional Japanese woodworking saw/bow saw/
つる植物 [つるしょくぶつ] /(n,adj-no) creeper (creeping plant)/trailer (trailing plant)/climber (climbing plant)/vine/
つる性植物 [つるせいしょくぶつ] /(n) creeper (plant that grows along the ground, etc. similar to a vine)/
つる草 [つるくさ] /(n) vine/creeper/
つる鍋 [つるなべ] /(n) pot with a bail for a handle/
つる返し [つるがえし] /(n) (uk) digging up, removing sprouts from, and replanting tubers (esp. of the sweet potato) to make for a bigger end product/
つれない /(adj-i) cold/indifferent/unfriendly/unsympathetic/unkind/
つれ帰る [つれかえる] /(v5r) to bring (someone) back home/to take (someone) back home/
つれ添う [つれそう] /(v5u,vi) to become a couple/to be man and wife/to be married to/
つわ者 [つわもの] /(n) (1) soldier/warrior/(2) strong man/exceptional person/man of courage/
つんけん /(adv,vs) crabbily/unsociably/
つんつん /(adv,n,vs) (on-mim) aloof/morose/pointed/
つんでれ /(adj-f,n) (1) being on the surface sharp and sarcastic (tsuntsun) but underneath lovestruck and fawning (deredere)/characteristic of a gap between acted out actions and feelings in mind/(2) normally being sharp but at some prompt suddenly becoming lovestruck/hot-cold personality type/
つんと /(adv) (1) prickly (attitude)/aloof/(vs) (2) to look standoffish/(3) acrid/sharp (smell)/(4) popping (e.g. of ears, sinuses, etc.)/
つんのめる /(v5r,vi) to pitch (fall) forward/
つんぼ桟敷 [つんぼさじき] /(n) (1) (sens) being kept uninformed/being cut off/out of the loop/(2) (arch) upper gallery (where one can't hear)/blind seat/
づつ /(ok) (suf) (1) apiece/each/(2) at a time/piecemeal/(P)/
づんと /(ok) (adv) much/
て /(prt) casual quoting particle/(P)/
てい /(n) (1) Di (ancient Chinese ethnic group)/(2) Chinese "root" constellation (one of the 28 mansions)/
ていい /(exp,adj-i) (1) (after the ren'youkei form of a verb) indicates concession or compromise/(2) indicates permission/
ていうか /(exp) I mean (used at the beginning of a sentence)/
てかてか /(adj-na,adv,n,vs) (on-mim) gleaming/
てきばき /(adv,adv-to,vs) (on-mim) briskly/quickly/promptly/
てきぱき /(adv,adv-to,vs) (on-mim) briskly/quickly/promptly/
てき儻 [てきとう] /(n) exceedingly wiser than the common man/
てくてく /(adv) (on-mim) trudgingly/going long way at steady pace/(P)/
てくシー /(n) (sl) going on foot/
てこてこ /(n) sound of walking/
てこの原理 [てこのげんり] /(n) principle of leverage/
てっきり /(adv) surely/certainly/beyond doubt/(P)/
てっさ /(n) (ksb:) fugu sashimi/
てっぺんかけたか /(adv) (1) (obsc) calling sound of the lesser cuckoo/(n) (2) lesser cuckoo (Cuculus poliocephalus)/
てつまん /(n) all-night Mah Jongg/
てな /(prt) a sort of thing like/used after a phrase to modify the following noun/
てば /(prt) (1) indicates emotional closeness or annoyance with someone/(2) indicates an indirect command by expressing annoyance (in sentence-final position)/
ても /(conj,prt) (1) but/however/still/yet/although/even though/(suf) (2) even/even if/(3) or something/
ても /(prt) (1) (abbr) even if/even though/(int) (2) wow/
てもいい /(exp,adj-i) (1) (after the ren'youkei form of a verb) indicates concession or compromise/(2) indicates permission/
てゆーか /(conj) (col) or rather (say)/or better (say)/or perhaps I should say/or, how should I put it,.../I mean/
てらてら /(adv,adv-to,vs) (on-mim) gleamingly/shinily/
てれながら /(n) feeling awkward/
てれ隠し [てれかくし] /(n) hiding one's embarrassment/
てんてこ舞 [てんてこまい] /(n,vs) whirl of busyness/humming with activity/bustling activity/
てんてこ舞い [てんてこまい] /(n,vs) whirl of busyness/humming with activity/bustling activity/
てんで /(adv) (not) at all/altogether/entirely/
てんびん座 [てんびんざ] /(n) (constellation) Libra/the Scales/
てんやわんや /(adj-no) hectic/topsy-turvy/chaotic/
てん補 [てんぽ] /(n,vs) (1) supplementation/replenishment/(2) compensation/indemnification/
て拳道 [てこんどー] /(n) (uk) Tae Kwon Do (kor:)/
て成らない [てならない] /(exp,adj-i) (uk) unable to resist/unable to supress/
で /(prt) (1) indicates location of action/at/in/(2) indicates time of action/(3) indicates means of action/cause of effect/by/(conj) (4) and then/so/(P)/
であ /(aux) (abbr) (arch) to be/
であります /(exp) (pol) to be (copula)/
である /(v5r-i) to be (formal, literary)/
であるから /(exp) therefore/and so/for that reason/accordingly/consequently/hence/
であるからして /(exp) therefore/and so/for that reason/accordingly/consequently/hence/
である体 [であるたい] /(n) literary form imparting a formal written nuance (with sentences ending in "de aru")/
であれ /(conj) (1) even if/(2) (it doesn't matter) whether (A or B or ...)/whatever/(3) should/
であろう /(aux) will/probably/may/I think/surely/I hope/I fear/it seems/
でい岩 [でいがん] /(n) mudstone/
でか /(n) (sl) detective/
でかい /(adj-i) huge/gargantuan/(P)/
でかい顔する [でかいかおする] /(exp,vs-i) (col) to act self-importantly/to be arrogant/to be high-handed/to puff up/
でかい顔をする [でかいかおをする] /(exp,vs-i) (col) to act self-importantly/to be arrogant/to be high-handed/to puff up/
でかちん /(n,adj-no) (sl) (vulg) large penis/huge dick/
でかでか /(adv) (on-mim) in a big way/
でかぱい /(n) (X) (vulg) huge breasts/
できこと /(n) event/
できちゃった結婚 [できちゃったけっこん] /(n) marriage due to unintended pregnancy/shotgun wedding/
できちゃった婚 [できちゃったこん] /(n) marriage due to unintended pregnancy/shotgun wedding/
できない相談 [できないそうだん] /(n) impossible proposition/unreasonable proposal/tall order/
できるだけ早く [できるだけはやく] /(exp) as soon as possible/(P)/
できる限り [できるかぎり] /(n) as ... as one can/
できる限り早い [できるかぎりはやい] /(adj-i) as soon as possible/at the earliest time/
できる限り早期 [できるかぎりそうき] /(n) as soon as possible/ASAP/
でき婚 [できこん] /(n,vs) (abbr) shotgun marriage/
でき次第 [できしだい] /(n-t) as soon as completed/
でき上がる [できあがる] /(v5r,vi) (1) to be completed/to be finished/to be ready (e.g. to serve or eat)/(2) to be very drunk/
でき損い [できそこない] /(n) failure/dead loss/washout/badly done/good-for-nothing/
でくでく /(adv) (on-mim) plump/fat/
でくの坊 [でくのぼう] /(n) (1) wooden doll/(2) blockhead/good-for-nothing/
でこぴん /(n) poke in the forehead/
でこピン /(n) poke in the forehead/
でごんす /(exp) (arch) (pol) to be (copula)/
でご座る [でござる] /(v5aru) (uk) (pol) to be/
でさえ /(prt) even/but/however/(P)/
でしょ /(ik) (exp) (1) (pol) seems/I think/I guess/I wonder/I hope/(2) don't you agree?/I thought you'd say that!/
でしょう /(exp) (1) (pol) seems/I think/I guess/I wonder/I hope/(2) don't you agree?/I thought you'd say that!/(P)/
です /(aux) (pol) polite copula in Japanese/(P)/
ですか /(exp) (pol) indicates question (sentence end)/
ですから /(conj) so/therefore/(P)/
ですが /(conj) but/however/(and) yet/nevertheless/still/for all that/(P)/
ですが何か [ですがなにか] /(exp) what if I am ..?/
ですます体 [ですますたい] /(n) literary form imparting the nuance of polite speech (with sentences ending in "desu" and verbs ending in "masu")/
です体 [ですたい] /(n) literary form imparting the nuance of polite speech (with sentences ending in "desu" and verbs ending in "masu")/
でっかい /(adj-i) huge/gargantuan/(P)/
でっち上げ [でっちあげ] /(n) (uk) fabrication/put-up job/trumped-up story/frame-up/hoax/
でっち上げる [でっちあげる] /(v1,vt) (1) (uk) to fabricate/to invent/to make up (a story)/to hoax/to pull a hoax/(2) to frame someone/
でっぷり /(n,vs,adj-f) stoutness/corpulence/
でっぷりした /(adj-f) stout/fat/corpulent/portly/
ででむし /(n) (arch) snail/
でないと /(exp) without/but if/(P)/
でなくて何だろう [でなくてなんだろう] /(exp) (uk) if not ... then what is it?/(this) is nothing other than .../
でなければ /(exp) without/but if/(P)/
でなければいけない /(exp) having to be/must be/should be/ought to be/
でなければならない /(exp) having to be/must be/should be/ought to be/(P)/
でなければならぬ /(exp) having to be/must be/should be/ought to be/
では /(conj,int) then/well/so/well then/(P)/
ではありますまいか /(exp) I wonder if it is not (something, a thing)/
ではある /(exp,v5r-i) to be (in contrast to something that is not the case)/
ではないか /(exp) (1) questioning (something)/(2) let's do (something)/(P)/
ではまた /(exp) (abbr) see you later (used in casual correspondence and conversation)/goodbye/sincerely/
では無さそう [ではなさそう] /(exp,aux) does not seem (to be)/
でぶっちょ /(n,adj-na,adj-no) (derog) fatty/butterball/
でぶでぶ /(adj-no,adj-na,adv,adv-to,vs) fat/
でぶ専 [でぶせん] /(n) (sl) chubby-chasing (fat fetishism)/chubby-chaser/
でも /(conj,prt) (1) but/however/still/yet/although/even though/(suf) (2) even/even if/(3) or something/(P)/
でもある /(v5r-i) (1) to also be (formal, literary)/implies that as well as the earlier stated this is also the case/(2) to be ... or something/(P)/
でもって /(prt) (uk) indicates means of action/cause of effect/by/
でもない /(exp) (1) neither... nor... (with the implication that there are other "nor..." items)/(2) denying explicitly one thing and also denying implicitly other things as well/(3) not like (you)/not (your) usual self/(P)/
でも医者 [でもいしゃ] /(n) quack (doctor)/
でれっと /(adv,n,vs) (col) (on-mim) exhausted/lovestruck/logy/
でれでれ /(adv,n,vs) (on-mim) exhausted/lovestruck/logy/fawning/mooning/
でんぐり返る [でんぐりがえる] /(v5r,vi) to turn a somersault/to turn over (topsy-turvy)/to turn head over heels/
でんと /(adv) imposingly/heavily/conspicuously/in a dignified manner/
でん粉 [でんぷん] /(n) starch/
で御座います [でございます] /(exp) (uk) (pol) to be (copula)/
で御座ります [でござります] /(exp) (arch) (pol) to be (copula)/
で御座る [でござる] /(v5aru) (uk) (pol) to be/
で候 [でそう] /(aux) (pol) (arch) to be/
で成らない [でならない] /(exp,adj-i) (uk) unable to resist/unable to supress/
と /(prt,conj) (1) if/when/(2) and/(3) with/(4) particle used for quoting (with speech, thoughts, etc.)/(n) (5) (abbr) promoted pawn (shogi)/(P)/
とあって /(conj) due to the fact that/because of/
とあらば /(conj) if it is the case that/if/
とあれば /(conj) if it is the case that/if/
といったらない /(exp) (col) (used after adj.) nothing more ... than this/as .... as it could possibly be/
といっても過言ではない [といってもかごんではない] /(exp,adj-i) it is no exaggeration to say/it is not too much to say/
とうの昔 [とうのむかし] /(exp,n-t) a long time ago/
とう嚢炎 [とうのうえん] /(n) navicular disease/navicular syndrome/
とう鞳 [とうとう] /(adj-t,adv-to) (1) (uk) sound of bells or drums reverberating/(2) (uk) sound of water or waves resounding/
とか /(prt,conj) among other things/such things as/or something like that/(P)/
とき /(n) regular (stops at every station) Jouetsu-line Shinkansen/
ときの声 [ときのこえ] /(n) war cry/battle cry/
ときめき /(n) palpitation/throbbing/
ときめく /(v5k,vi) to throb/to flutter/to palpitate/
とき卵 [ときたまご] /(n) beaten egg/eggwash/
とぎまぎ /(n,vs) confusion/bewilderment/embarrassment/
とぎ汁 [とぎしる] /(n) water that has been used to wash rice/
とぎ汁 [とぎじる] /(n) water that has been used to wash rice/
とく /(v5k) to do something in readiness for/to get something (needful) done/
とくだま /(n) Tokudama plantation lily/Hosta tokudama/
とくとく /(adv-to,adv) (on-mim) glug-glug/
とくの昔 [とくのむかし] /(exp,n-t) (obsc) a long time ago/
とぐろを巻く [とぐろをまく] /(exp,v5k) (1) to coil itself (e.g. a snake)/(2) to loaf around/
とけ込む [とけこむ] /(v5m,vi) (1) to melt into/to merge into/(2) to fit in/to adapt/to blend/
とことこ /(adv,adv-to) (on-mim) briskly with small steps/trotting/
とことん /(adv,n) (to) the end/thoroughly/
ところがどっこい /(exp) funny you should mention that/
ところてん式に [ところてんしきに] /(adv) systematically/in turn/
ところを /(prt,conj) although (it is a certain time or something is in a certain condition)/(P)/
ところ狭し [ところせし] /(adv-to) crowded/overflowing/cramped/
ところ狭し [ところせまし] /(adv-to) crowded/overflowing/cramped/
とこを /(prt,conj) although (it is a certain time or something is in a certain condition)/
とさかに来る [とさかにくる] /(exp,v5r) to get mad/
とされる /(exp) ... is considered to .../
としたら /(conj) if it happens that/if we make .../if we take .../if we assume .../
としちゃ /(exp) as (for)/for/in the capacity of/
としちゃあ /(exp) as (for)/for/in the capacity of/
として /(exp) (1) as (i.e. in the role of)/for (i.e. from the viewpoint of)/(2) apart from... (used to change the topic)/(3) (before a negative form) even (e.g. "not even a single person")/(4) (after a volitional form) thinking that.../trying to.../(P)/
としては /(exp) as (for)/for/in the capacity of/
としても /(prt) assuming .../even if .../(P)/
とじ針 [とじばり] /(n) large sewing needle/wool needle/
とする /(exp,vs-i) (1) to try to .../to be about to do .../(2) to decide to .../(3) to take as/to treat as/(4) to use for/(5) to suppose that (such) is the case/to assume/(6) to decide that/to think that/(7) to make into/to change into/(8) to feel (e.g. after sound symbolism or psychological experience word)/to look/to feel like/(9) to intend/to have the intention/
とすると /(conj) if we make .../if we take .../if we assume .../(P)/
とすれば /(conj) if it happens that/if we make .../if we take .../if we assume .../(P)/
とちる /(v5r,vt) (1) to flub (one's lines)/(v5r,vi) (2) to be flustered/to be confused/
とち狂う [とちくるう] /(v5u,vi) to be playful/to gambol/to be amused (with something)/to play/to sport/to frolic/to joke/
とち狂う [とちぐるう] /(v5u,vi) to be playful/to gambol/to be amused (with something)/to play/to sport/to frolic/to joke/
とっくの昔 [とっくのむかし] /(exp,n-t) a long time ago/
とったり /(n) arm bar throw (sumo)/
とっちる /(v1,vi) to be flustered/to be confused/
とっと /(n) (chn) fish/bird/
とっとと /(adv) quickly/hurriedly/
とっぷり /(adv,adv-to) (on-mim) completely/fully/entirely/
とっぽい /(adj-i) (col) pompous/affected/fresh/
とて /(prt) (1) even/(2) even if/even though/(3) because of/on the grounds that/
とと /(n) (chn) fish/bird/
とどの詰まり [とどのつまり] /(exp,adv) final outcome/final result/consequence/upshot/in the end/after all is said and done/
とどまるところを知らない [とどまるところをしらない] /(exp) knowing no bounds/showing no signs of stopping or slowing down/
とどめを刺す [とどめをさす] /(exp,v5s) (1) to finish off/to ensure (something) is dead/to deliver the coup de grace/(2) to put an end to/to deliver the final blow/(3) to be the best for A/
となく /(suf,exp) adds vagueness and indirectness to the word or phrase it is used with/
となったら /(exp) where ... is concerned/when it becomes/if it becomes/(P)/
となりのサインフェルド /(n) Seinfeld (TV Show)/
となりの芝生は青い [となりのしばふはあおい] /(exp) the grass is always greener on the other side/
となる /(exp) to become/to amount to/
となるために /(exp) (1) in order to be(come).../(2) since it amounts to.../(3) since it is advantageous to.../
となると /(exp) where ... is concerned/when it comes to .../if it comes to .../as far as ... is concerned/(P)/
となれば /(exp) where ... is concerned/when it becomes/if it becomes/(P)/
とは /(prt) indicates word or phrase being defined/(P)/
とは言うものの [とはいうものの] /(exp) (uk) having said that/be that as it may/(P)/
とは言え [とはいえ] /(conj) (uk) though/although/be that as it may/nonetheless/
とは限らない [とはかぎらない] /(exp) not necessarily so/is not always true/
とは別に [とはべつに] /(adv) in addition to/apart from/
とば口 [とばくち] /(n) (1) entrance/threshold/(2) beginning/first step/start/
とびえい /(n) (uk) Japanese eagle ray (Myliobatis tobijei)/
とびっきり /(adj-no,adv) extraordinary/superior/choice/
とびっこ /(n) flying fish roe/
とび出る [とびでる] /(v1,vi) (1) to project/to protrude/to pop out (e.g. eyes)/(2) to jump out/to rush out/
とび職 [とびしょく] /(n) scaffolding or construction worker/steeplejack/
とび職人 [とびしょくにん] /(n) scaffold constructor/steeplejack/
とび色 [とびいろ] /(n) reddish brown/
とべ /(n) (sl) last (in a contest)/
とぼとぼ /(adv) (on-mim) totteringly/trudgingly/
とまれ /(adv) anyway/in any case/
とみて星 [とみてぼし] /(n) Chinese "Emptiness" constellation (one of the 28 mansions)/
とも /(suf,prt) (1) certainly/of course/to be sure/rather/(2) even if/no matter (who, what, when, where, why, how)/(3) at the (least, earliest, etc.)/(P)/
ともあろうもの /(exp) of all people (expression showing surprise at a high standing person's misbehavior)/
ともし火 [ともしび] /(n) light/lamp/torch/
ともすると /(exp,adv) (on-mim) apt to (do)/liable to/prone to/
ともすれば /(adv) apt to (do)/liable to/prone to/
ともろく /(n) (abbr) (sl) Internet friend or buddy list/
とも言う [ともいう] /(exp) also called/
とも星 [ともぼし] /(n) Chinese "root" constellation (one of the 28 mansions)/
とも無く [ともなく] /(exp) (uk) phrase used to express the uncertainty or lack of intent in what precedes it/
とも無しに [ともなしに] /(exp) (uk) to do something without any particular intention or mind to do so/
とやかく言う [とやかくいう] /(exp,v5u) to say all kinds of things/to complain/to find fault (with)/
とやら /(prt) indicates uncertainty or second hand nature of information quoted/
とらの子 [とらのこ] /(n) (1) tiger cub/(2) treasure (as it is said that tigers treasure their young)/
とりの日 [とりのひ] /(n) Bird Day/Day of the Bird/
とりむね肉 [とりむねにく] /(n) chicken breast meat/
とり囲む [とりかこむ] /(v5m,vt) to surround/to crowd around/
とり貝 [とりがい] /(n) Japanese egg cockle (Fulvia mutica)/
とり結ぶ [とりむすぶ] /(v5b,vt) (1) to make (a promise)/to conclude (a contract)/(2) to act as a go-between/to act as mediator/(3) to curry favour with/
とり出す [とりだす] /(v5s,vt) (1) to take out/to produce/to pick out/(2) to fetch/to retrieve/
とり払う [とりはらう] /(v5u,vt) to clear away/to remove/to demolish/
とり戻す [とりもどす] /(v5s,vt) to take back/to regain/to get back/to recover/
とる /(v5r) is being/
とるに足りない [とるにたりない] /(exp,adj-i) of little importance/trivial/worthless/valueless/
とろ /(n) fatty, more expensive tuna meat/(P)/
とろい /(adj-i) slow (slightly pejorative)/dull/stupid/
とろき星 [とろきぼし] /(n) Chinese "Turtle Beak" constellation (one of the 28 mansions)/
とろくさい /(adj-i) (derog) dull/slow/stupid/
とろっと /(vs) (1) to become syrupy/to become thick (e.g. when cooking)/(adv) (2) stickily/
とろとろ /(adj-na,adv,n,vs) (1) (on-mim) dozing/drowsily/(2) simmering/(3) sticky/syrupy/(4) oily/brimming with melted fat/
とろり /(adv-to,adv) (1) (on-mim) thick/viscous/(2) (on-mim) sleepy/
とろろ芋 [とろろいも] /(n) yam/
とろろ昆布 [とろろこぶ] /(n) (1) (uk) shredded kombu/(2) Kjellmaniella gyrata (species of kelp)/
とろろ昆布 [とろろこんぶ] /(n) (1) (uk) shredded kombu/(2) Kjellmaniella gyrata (species of kelp)/
とろん /(adv-to) (on-mim) appearing drowsy or intoxicated (of eyes, actions, etc.)/
とろ火 [とろび] /(n) low flame (heat, gas)/
とん /(adv-to,adv) (on-mim) tap/knock/bonk/
とんかち /(n) (col) hammer/
とんがり帽子 [とんがりぼうし] /(n) pointy hat/
とんずら /(n,vs) (sl) fleeing/escape/
とんだ /(adj-pn) (1) unthinkable/unimaginable/inconceivable/unexpected/(2) terrible/awful/serious/(adv) (3) (arch) very/(P)/
とんでもありません /(adj-f) (1) unthinkable/unexpected/outrageous/offensive/(exp) (2) (col) absolutely not!/not at all!/far from it!/impossible!/preposterous!/what a thing to say!/no way!/bullshit/(3) don't mention it/you're welcome/
とんでもございません /(adj-f) (1) unthinkable/unexpected/outrageous/offensive/(exp) (2) (col) absolutely not!/not at all!/far from it!/impossible!/preposterous!/what a thing to say!/no way!/bullshit/(3) don't mention it/you're welcome/
とんでも無い [とんでもない] /(adj-f) (1) (uk) unthinkable/unexpected/outrageous/offensive/(exp) (2) (col) (uk) absolutely not!/not at all!/far from it!/impossible!/preposterous!/what a thing to say!/no way!/bullshit/(3) (uk) don't mention it/you're welcome/
とんとん /(adj-na,adv,n,adv-to) (on-mim) tap/rap-tap/tapping/(P)/
とんとん拍子 [とんとんびょうし] /(adv) without a hitch/swimmingly/with rapid strides/
とんど /(n) burning of New Year's gate decorations (usu. on the 15th day of the new year)/
とんぶり /(n) belvedere fruit/field caviar/land caviar/mountain caviar/kochia seed/
とんぼ返り [とんぼがえり] /(n,vs) (1) somersault/(2) returning from a destination right after arriving there/non-stop round trip/round trip without an overnight stop/(3) abrupt change of direction/
と或る [とある] /(adj-pn) (uk) a certain .../
と仮定して [とかていして] /(exp) assuming that .../supposing that .../
と仮定しても [とかていしても] /(exp) even assuming that .../even granted that .../
と覚しい [とおぼしい] /(exp,adj-i) (uk) thought to be/seen as/
と共に [とともに] /(exp) together with/
と金 [ときん] /(n) promoted pawn (shogi)/
と見られる [とみられる] /(exp,v1) (followed by verb) believed to/expected to/feared to/poised to/considered to/likely to/
と言う [という] /(exp) (uk) said/called thus/
と言うか [というか] /(exp,adv) or perhaps I should say/or, how should I put it,..../
と言うことだ [ということだ] /(exp) (1) I've heard that .../rumour has it that .../(2) it appears as if .../
と言うことは [ということは] /(exp,adv) (uk) that is to say/so that means/
と言うことはない [ということはない] /(exp) (uk) it is not possible (to, that)/there is no such thing as/(P)/
と言うと [というと] /(conj) (1) (uk) if one were to speak of ..., then certainly/if it were the case that ..., then certainly/if it were a ..., then certainly/phrase used to indicate the inevitability of what follows it (based on what precedes it)/(2) so that means (when used in sentence-initial position)/
と言うところ [というところ] /(exp) (1) (uk) a state called/a position described as/can sum up as/approximates to/(2) places known as/that called/(3) the place named/
と言うところ [とゆうところ] /(exp) (1) (uk) a state called/a position described as/can sum up as/approximates to/(2) places known as/that called/(3) the place named/
と言うのに [というのに] /(exp) even though/despite/when/
と言うのは [というのは] /(exp) (1) (uk) means/is/(2) because (often with kara)/that is to say/
と言うのも [というのも] /(exp) because/
と言うもの [というもの] /(exp) (uk) something like .../something called .../(P)/
と言うより [というより] /(exp) rather than/
と言う所 [というところ] /(exp) (1) (uk) a state called/a position described as/can sum up as/approximates to/(2) places known as/that called/(3) the place named/
と言う所 [とゆうところ] /(exp) (1) (uk) a state called/a position described as/can sum up as/approximates to/(2) places known as/that called/(3) the place named/
と言う物 [というもの] /(exp) (uk) something like .../something called .../
と言う訳だ [というわけだ] /(exp) this is why/this means/
と言えど [といえど] /(exp) be (that) as it may/having said that/
と言えなくもない [といえなくもない] /(exp) (one) could even say that/
と言えなくも無い [といえなくもない] /(exp) (one) could even say that/
と言えば [といえば] /(exp) speaking of/
と言った [といった] /(conj) (uk) such ... as/or some such/
と言ったら嘘になる [といったらうそになる] /(exp,v5r) I'd be lying if I said .../
と言って [といって] /(exp) however/because/as/
と言ってきかない [といってきかない] /(exp) insisting/
と言ってしまえばそれまで [といってしまえばそれまで] /(exp) it is certain true that ... (but)/you can't argue that it's not ... (but)/
と言っても [といっても] /(conj) (uk) although I say/although one might say/although called/(P)/
と言ってもいい [といってもいい] /(exp) you could say/you might say/verging on the/
と言ってもよい [といってもよい] /(exp) you could say/you might say/verging on the/
と言っても過言ではない [といってもかごんではない] /(exp,adj-i) it is no exaggeration to say/it is not too much to say/
と言っても良い [といってもいい] /(exp) you could say/you might say/verging on the/
と言っても良い [といってもよい] /(exp) you could say/you might say/verging on the/
と言って聞かない [といってきかない] /(exp) insisting/
と言われる [といわれる] /(exp,v1) to be called .../to be referred to as .../
と公言してはばからない [とこうげんしてはばからない] /(exp,adj-i) have no hesitation in stating (declaring)/
と考えられる [とかんがえられる] /(exp,v1) one can think that .../it is conceivable that .../
と思しい [とおぼしい] /(exp,adj-i) (uk) thought to be/seen as/
と思われる [とおもわれる] /(exp,v1) be considered/be deemed/thought to be/
と畜場 [とちくじょう] /(n) abattoir/slaughterhouse/
と同じように [とおなじように] /(exp) in the same way as/just like/
と同じ様に [とおなじように] /(exp) in the same way as/just like/
と比べて [とくらべて] /(exp) compared with/
と来たら [ときたら] /(exp) (uk) when it comes to .../concerning/where ... are concerned/
ど /(pref) (1) (ksb:) precisely/exactly/plumb/totally/very/(2) derogatory prefix used before nouns & adjectives/
どう /(int) whoa (command used to stop a horse, etc.)/
どう /(ok) (pref) (1) (ksb:) precisely/exactly/plumb/totally/very/(2) derogatory prefix used before nouns & adjectives/
どういう風に [どういうふうに] /(exp) in what way (do you mean)/
どういう風の吹き回しか [どういうかぜのふきまわしか] /(exp) whatever brought that on?/
どうか /(adv,n) please/somehow or other/
どうかした /(exp) by mere chance/by some chance/somehow or other/in some way/
どうかしたのか /(exp) is something up?/is something wrong?/
どうかしたのですか /(exp) is something up?/is something wrong?/
どうかしたんですか /(exp) is something up?/is something wrong?/
どうかして /(exp) by mere chance/by some chance/somehow or other/in some way/
どうかすると /(exp) there is a tendency/there is a possibility/
どうかと言うと [どうかというと] /(exp) if you ask me .../as for .../
どうかと思う [どうかとおもう] /(exp,v5u) to doubt/to have a problem with/to think badly of/
どうかな /(exp) (1) how about ...?/(2) I wonder/I don't know/
どうしたって /(adv) (col) by all means/no matter what/at any rate/
どうしたの /(adj-f) what's the matter?/what's wrong?/
どうしたもの /(exp) (col) what's up with/what's the deal with/what's to be done with/
どうしたもん /(exp) (col) what's up with/what's the deal with/what's to be done with/
どうしたら /(exp) how can (we, I, et al. do something)/
どうしたら良い [どうしたらいい] /(exp,adj-i) (uk) what's the best thing to do?/
どうしたら良い [どうしたらよい] /(exp,adj-i) (uk) what's the best thing to do?/
どうしたん /(adj-f) what's the matter?/what's wrong?/
どうした風の吹き回しか [どうしたかぜのふきまわしか] /(exp) whatever brought that on?/
どうしてる /(exp) How did you like ...?/How about ...?/What's going on?/How's it going?/
どうしますか /(exp) what would (you) do?/what to do about it/
どうしょう /(ik) (exp) what to do/
どうしよう /(exp) what to do/
どうするか /(exp) what would (you) do?/what to do about it/
どうせ /(adv) anyhow/in any case/at any rate/after all/at best/at most/at all/(P)/
どうせなら /(conj) (if you want to do something) you might as well/
どうぞ /(adv) (1) please/kindly/(2) by all means/(P)/
どうぞ宜しく [どうぞよろしく] /(exp) (uk) pleased to meet you/
どうだい /(exp) How did you like ...?/How about ...?/What's going on?/How's it going?/
どうだっていい /(exp) inconsequential/indifferent/not worth worrying about/whatever you do is OK/trivial/
どうってことはない /(exp) nothing special/no big deal/doesn't matter/
どうであれ /(conj) however/whatever/
どうであろうと /(exp) whatever (the case may be)/
どうでもいい /(exp) inconsequential/indifferent/not worth worrying about/whatever you do is OK/trivial/(P)/
どうと /(adv) (on-mim) crash/smash/bang/sound of a large, heavy object falling/
どうということはない /(exp) nothing special/no big deal/doesn't matter/
どうということもない /(exp) nothing special/no big deal/doesn't matter/
どうど /(ok) (adv) (on-mim) crash/smash/bang/sound of a large, heavy object falling/
どうどう /(int) whoa, whoa (command used to stop or quiet down a horse, etc.)/
どうどうと /(adv) (on-mim) with roaring sound/
どうにか /(adv,vs) in some way or other/one way or another/(P)/
どうにかこうにか /(exp) somehow or other/
どうにかして /(exp) by any means (possible)/somehow/
どうにもならない /(exp) helpless/futile/situation about which nothing can be done/(P)/
どうも /(int) (1) (abbr) thanks/(adv) (2) much (thanks)/very (sorry)/quite (regret)/(3) quite/really/(4) somehow/(5) no matter how hard one may try/(int) (6) greetings/hello/goodbye/(P)/
どうも有難う [どうもありがとう] /(exp) Thank you/(P)/
どうも有難うございます [どうもありがとうございます] /(exp) thank you very much/
どうやったら /(exp) how (can)/by what means/
どうやったらいい /(exp) what one should do (usu. in questions)/
どうやって /(exp) how/in what way/by what means/
どうやら /(adv) it seems like/it appears that/somehow or other/(P)/
どうやらこうやら /(exp) somehow or other/
どうゆう風に [どうゆうふうに] /(exp) in what way (do you mean)/
どう言う [どういう] /(adj-pn) (uk) somehow/how/in what way/why/what kind of/
どう言う風に [どういうふうに] /(exp) in what way (do you mean)/
どう言う風に [どうゆうふうに] /(exp) in what way (do you mean)/
どう仕様もない [どうしようもない] /(exp,adj-i) (uk) it cannot be helped/there is no other way/
どう仕様も無い [どうしようもない] /(exp,adj-i) (uk) it cannot be helped/there is no other way/
どう致しまして [どういたしまして] /(int) (uk) you are welcome/don't mention it/not at all/my pleasure/(P)/
どう猛 [どうもう] /(adj-na,n) ferocity/truculence/
どかっと /(adv) (on-mim) thuddingly/plumping down (like a heavy weight)/
どかと /(adv) (on-mim) thuddingly/plumping down (like a heavy weight)/
どかどか /(adv,adv-to) (1) (on-mim) noisily/with loud footsteps/(2) in a crowd/incessantly/all together/
どかり /(adv-to,adv) (on-mim) falling heavily/
どかん /(adv,adv-to) (on-mim) with a bang/
どか食い [どかぐい] /(n,vs) eating a lot/excessive eating/
どきっと /(adv,n,vs) (on-mim) feeling a shock/startling/(P)/
どきつく /(v5k,vi) to palpitate (with anxiety, etc.)/
どきどき /(adv,n,vs) (on-mim) throb/beat (fast)/(P)/
どきり /(adv,adv-to,vs) (on-mim) feeling shocked or startled/
どきんと /(adv,n,vs) (on-mim) feeling a shock/startling/
どぎつい /(adj-i) gaudy/loud/garish/violent/harsh/
どぎまぎ /(n,vs,adv) flurried/in a flutter/upset/nervous/
どく /(v5k) to do something in readiness for/to get something (needful) done/
どくどく /(adv,adv-to) (on-mim) gushingly/copiously/profusely/in a steady stream/
どくろマーク /(n) skull and crossbones/
どけち /(n,adj-na) (uk) cheapskate/very miserly/
どこからともなく /(exp) suddenly (appears) out of nowhere/
どこであれ /(conj) whereever/
どこのどいつ /(exp) Who on earth?/
どこへともなく /(exp) suddenly disappears somewhere/
どころ /(prt) particle used to indicate that what precedes it is an extreme example and strongly negates it/
どこ吹く風 [どこふくかぜ] /(exp) something that doesn't concern one at all/
どさくさ /(n,adv) confusion/turmoil/
どさくさ紛れに [どさくさまぎれに] /(exp,adv) in the confusion of the moment/taking advantage of the confused state of affairs/
どさっと /(adv) (on-mim) with a thud/
どさどさ /(adv,adv-to,vs) (1) (on-mim) throwing down multiple objects in succession/(2) at once in great numbers/
どさり /(adv-to) with a thud/
どさ回り [どさまわり] /(n) touring/on the road/
どさ回りをやる [どさまわりをやる] /(exp,v5r) to go on tour/to be on the road (e.g. theatre troupe) (theater)/
どしどし /(adv) (on-mim) rapidly/constantly/one after the other/without hesitation/sound of tramping/(P)/
どしゃ降り [どしゃぶり] /(n) downpour/pouring rain/cloudburst/pelting rain/heavy rain/
どしり /(adv-to,adv) sound of an heavy object falling/
どしん /(adv-to,adv) (on-mim) plump/with a thud/heavily/
どしんどしん /(adv-to) (on-mim) walking (with heavy steps)/tramping/lumbering/clumping/
どじ /(adj-na,n) blunder/bungle/clumsiness/
どじる /(v5r) to fail/to mess up/to bungle/to screw the pooch/
どじを踏む [どじをふむ] /(exp,v5m) to bungle/to make a blunder/
どすこい /(n) sumo exclamation/
どすっ /(adv-to) kerplunk/smack/bang/
どすん /(int,adv-to) (on-mim) bam/whomp/thump/
どす黒い [どすぐろい] /(adj-i) darkish/dusky/
どたどた /(adv,adv-to,vs) (on-mim) noisily (esp. the noise of heavy feet)/
どたばた /(adv,adv-to,vs) (1) (on-mim) noisily (esp. the noise of heavy feet)/(n) (2) (abbr) slapstick/(P)/
どたばた喜劇 [どたばたきげき] /(n) slapstick comedy/
どたりと /(adv) (on-mim) with a flop/flump/plump/
どたん /(adv-to,adv) (on-mim) thud/
どたキャン /(n,vs) (abbr) last-minute cancellation/
どちみち /(n) whichever/whatever/
どちらか /(n) either/one (of the two)/
どちらかと言うと [どちらかというと] /(exp) (uk) if pushed I'd say/if I had to say then/
どちらかと言えば [どちらかといえば] /(exp) if pushed I'd say/if I had to say then/
どちらにしても /(exp) either way/in any case/one way or another/
どちらにしろ /(exp) whichever one one chooses/either way/
どちらにせよ /(exp) in either case (used specifically in the instance of two possible outcomes or situations)/either way/one way or another/(P)/
どちら共 [どちらとも] /(n) (uk) both/
どちら様 [どちらさま] /(exp) (1) (hon) (id) who are you?/(n) (2) (hon) who/
どち狂う [どちぐるう] /(v5u,vi) to be playful/to gambol/to be amused (with something)/to play/to sport/to frolic/to joke/
どっかと /(adv) (on-mim) with a thump/floppingly/
どっかり /(adv-to) (on-mim) plunk (down something heavy)/flump (into a chair)/
どっきり /(adv,adv-to,vs) (on-mim) feeling shocked or startled/
どっきりカメラ /(n) candid-camera/candid-camera footage/
どっこい /(exp) heigh-hoh/heave-ho/hold on!/just a minute/
どっこいどっこい /(adj-na) about the same/about equal to/close match/
どっさり /(adv,adv-to) (on-mim) lot of/heaps/
どっしり /(adv,n,vs,adv-to) (on-mim) bulky and heavy/massive/massy/substantial/
どっちか /(n) either/one (of the two)/
どっと /(adv) (on-mim) suddenly/
どっぴゅ /(adv,adv-to) (on-mim) sound of something being powerfully ejected/
どっぷり /(adj-na,adv,adv-to) (on-mim) totally (immersed in something, e.g. liquid, work)/addicted/
どっぷりと漬かる [どっぷりとつかる] /(exp,v5r) to be deeply submerged/
どつぼ /(adj-na) state of profound sadness/
どでかい /(adj-i) huge/gargantuan/
どないしたん /(exp) (osb:) what's the matter?/
どなたか /(n) (hon) someone/
どなり立てる [どなりたてる] /(v1) to stand and shout/
どの位 [どのくらい] /(exp,n,n-adv) (uk) how long/how far/how much/(P)/
どの位 [どのぐらい] /(exp,n,n-adv) (uk) how long/how far/how much/(P)/
どの場合にも [どのばあいにも] /(exp) in any case/in either case/whichever the case may be/
どの道 [どのみち] /(adv) anyway/anyhow/at any rate/in any case/
どの辺 [どのへん] /(n) whereabouts/(P)/
どの面さげて [どのつらさげて] /(exp) How could I (you, etc.) ...?/How dare you (they, etc.) (have the nerve to) ...?/
どの面下げて [どのつらさげて] /(exp) How could I (you, etc.) ...?/How dare you (they, etc.) (have the nerve to) ...?/
どの様 [どのよう] /(exp,adj-na) how/
どの様なこと [どのようなこと] /(n) what kind (of thing)/
どぶ /(n) (abbr) unrefined sake/
どぶに捨てる [どぶにすてる] /(exp,v1) to throw down the drain/to waste/
どぶん /(adv,adv-to) (on-mim) plop/splash/
どぶ鼠 [どぶねずみ] /(n) (1) (uk) brown rat (Rattus norvegicus)/common rat/Norway rat/(2) dark grey (colour, color)/dark gray/(3) secret evil-doer/
どぶ漬 [どぶづけ] /(n) drenching/soaking/marinating/
どぶ板 [どぶいた] /(n) boards covering a ditch (drainage, sewage, etc.)/
どぼん /(adv,adv-to) (on-mim) plop/splash/
どや /(n) cheap lodging or flophouse, especially in a skid row area or slum/
どやし付ける [どやしつける] /(v1,vt) (1) (uk) to strike/to hit/(2) to give hell to/
どやす /(v5s) (1) to shout at/(2) (arch) to hit/to beat/
どやどや /(adv,adv-to) (on-mim) sound of many footsteps/
どや街 [どやがい] /(n) flophouse area/flophouse district/flophouse quarter/
どや顔 [どやがお] /(n) self-satisfied look/triumphant look/
どら /(n-pref,n) (1) loafing/indolent/lazy/debauched/profligate/(int) (2) hey/
どら焼き [どらやき] /(n) Japanese dessert consisting of two slices of kasutera (sponge cake) with red bean jam in between/
どら声 [どらごえ] /(n) gruff voice/
どら猫 [どらねこ] /(n) stray cat/
どれか /(n) (1) which one/(2) one of/any of/
どれだけ /(exp) how long/how much/to what extent/(P)/
どれでも /(n) any one/(P)/
どれにも /(exp) none (in sentence with negative verb)/
どれ位 [どれくらい] /(exp,n) (uk) how long/how far/how much/
どれ位 [どれぐらい] /(exp,n) (uk) how long/how far/how much/
どれ一つ [どれひとつ] /(exp) not one (in sentence with negative verb)/
どれ程 [どれほど] /(adv,n) (uk) how much (long, far)/
どろどろ /(adj-na,adv,n,adj-no) (on-mim) syrupy/muddled/(P)/
どろり /(adv,adv-to) (on-mim) thick (of a liquid)/muddy/gooey/
どろん /(n,vs) absconding/taking oneself off/slipping out (home) unnoticed early (e.g. from work, out of parties, etc.)/
どん /(pref) (1) very/totally/(2) polite suffix used after a person's name (often of an apprentice; used much more broadly in southern Kyushu)/(n,adv-to) (3) bang (e.g. of large drum, signal pistol, etc.)/with a thud/sound when slamming something down/
どんぐりの背比べ [どんぐりのせいくらべ] /(exp) having no outstanding characteristics (lit: height comparison among acorns)/to all seem about the same/bragging competition ("pissing contest") concerning matters of little importance/
どんけつ /(n) (uk) tail end/very bottom/the lowest rank/
どんだけ /(exp) what a ..... (word used to show strong emotion, emphasis, punchlines, etc.)/
どんちゃん騒ぎ [どんちゃんさわぎ] /(n) merrymaking/high jinks/spree/
どんつく /(v5k) to make a drumming noise/
どんでん返し [どんでんがえし] /(n) (sudden) complete reversal (of plot)/unexpected twist (at end of story)/
どんど /(n) burning of New Year's gate decorations (usu. on the 15th day of the new year)/
どんどん /(adv-to,adv) (1) (on-mim) drumming (noise)/(2) rapidly/steadily/(P)/
どんど焼 [どんどやき] /(n) burning of New Year's gate decorations (usu. on the 15th day of the new year)/
どんど焼き [どんどやき] /(n) burning of New Year's gate decorations (usu. on the 15th day of the new year)/
どんな /(adj-pn) (1) what/what kind of/(2) (with -temo, demo, etc.) any(body, thing, means, etc.)/(P)/
どんなに /(adv) how/how much/(P)/
どんぴしゃり /(int) exactly right!/dead on/
どんぶらこ /(adv,adv-to) (1) (on-mim) tumbling/
どんぶり /(adv,adv-to) (on-mim) plop/splash/
どんぶりこ /(adv,adv-to) (1) (on-mim) plop/splash/(2) (on-mim) tumbling/
どんより /(n,vs,adv) (1) heavy/leaden/dull/(2) glazed (eyes)/
どん詰まり [どんづまり] /(n) (uk) (dead) end/end of the line/
どん詰り [どんづまり] /(n) (uk) (dead) end/end of the line/
どん尻 [どんじり] /(n) tail end/tailender/
どん底 [どんぞこ] /(n) very bottom/
どアホ /(n) (uk) (ksb:) total idiot/fuck-wit/
ど阿呆 [どあほ] /(n) (uk) (ksb:) total idiot/fuck-wit/
ど阿呆 [どあほう] /(n) (uk) (ksb:) total idiot/fuck-wit/
ど偉い [どえらい] /(adj-i) immense/awesome/enormous/terrific/
ど演歌 [どえんか] /(n) quintessential enka/enka with age-old lyrical themes set to a haunting traditional-style melody/
ど下手 [どべた] /(n,adj-na) very unskillful/extremely awkward/
ど根性 [どこんじょう] /(n) utter gutsiness/
ど真ん中 [どまんなか] /(n,adj-no) (col) right in the center (centre)/
ど真中 [どまんなか] /(n,adj-no) (col) right in the center (centre)/
ど田舎 [どいなか] /(n) remote countryside/boondocks/the sticks/
ど頭 [どたま] /(n) (uk) (derog) head/dome/bean/nob/noggin/
ど突く [どつく] /(v5k) to jab/to hit/to punch/to stand out/
ど突く [どづく] /(ok) (v5k) to jab/to hit/to punch/to stand out/
ど忘れ [どわすれ] /(n,vs) lapse of memory/forgetting for a moment something one knows well/(something) slipping one's mind/
な /(prt) (1) (sentence end, mainly masc.) indicates emotion or emphasis/(2) (abbr) (used with masu stem verb) command/(3) (used with dictionary form verb) prohibition/(P)/
なあ /(int) (fam) hey/say/look/used to get someone's attention or press one's point/
なあなあ /(n) complicit/colluding/
ない /(aux-adj) (1) not (verb-negating suffix; may indicate question or invitation with rising intonation)/(suf,adj-i) (2) emphatic suffix (used after the root of an adjective)/(P)/
ないか /(exp) (1) (used to ask a question in the negative) won't (hasn't, isn't, doesn't, etc.)/(2) (used to make invitations, express desires or give indirect commands) won't you/
ないことには /(exp) (with verb stem) unless you do something/
ないちゃー /(n) (rkb:) person from any part of Japan that is not also part of Okinawa/
ないで /(conj,aux) (1) without doing .../(aux) (2) used in sentence-final position as an indirect prohibition/
ないでは居られない [ないではいられない] /(exp,adj-i) (uk) feel compelled to/can't help but feel/can't help but do/
ないと行けない [ないといけない] /(exp,adj-i) (1) (uk) (after negative base of verb) have to (verb)/must (verb)/(2) is indispensable/absolutely necessary/(P)/
ないと行けません [ないといけません] /(exp) (1) (uk) (after negative base of verb) have to (verb)/must (verb)/(2) is indispensable/absolutely necessary/
ないのではないか /(exp) I think (something) won't (something)/probably (something) isn't (something)/
ないよりはまし /(exp) better than a poke in the eye/better than none at all/
ないよりまし /(exp) better than a poke in the eye/better than none at all/
ない交ぜにする [ないまぜにする] /(exp,vs-i) to blend (e.g. truth and lies)/to mix together (e.g. kanji and kana)/
ない内に [ないうちに] /(exp) (after neg. stem of verb) before it becomes (verb)/before (an undesirable thing occurs)/
ない乳 [ないちち] /(n) (uk) (col) very small breasts/
なう /(suf,v5u) (after a noun, etc.) to do .../
なえ /(adv) (arch) accompanying/at the same time as/together with/
なえに /(adv) (arch) accompanying/at the same time as/together with/
なおこ /(n) long thin brown "naoko" mushroom/
なお更 [なおさら] /(adv) all the more/still less/
なお書 [なおがき] /(n) proviso/
なかば眠っている [なかばねむっている] /(exp,v1) to be half asleep/
なかろう /(exp) probably not so/
ながし眼 [ながしめ] /(n) (1) sidelong glance/(2) flirtatious glance/
ながし目 [ながしめ] /(n) (1) sidelong glance/(2) flirtatious glance/
ながら族 [ながらぞく] /(n) people who study or work while listening to the radio (or watching television, etc.)/
なぎ倒す [なぎたおす] /(v5s,vt) to mow down/to beat/to cut a swath/to sweep off one's feet/
なくても良い [なくてもいい] /(exp) (1) (after neg. stem of verb) need not (verb)/(not) have to/expressing absence of obligation or necessity/(2) need not have/need not exist/
なくても良い [なくてもよい] /(exp) (1) (after neg. stem of verb) need not (verb)/(not) have to/expressing absence of obligation or necessity/(2) need not have/need not exist/
なぐり倒す [なぐりたおす] /(v5s) to knock down/to knock out/
なけばならない /(exp) have to do/must/should/ought to/
なければいけない /(exp) have to do/must/should/ought to/(P)/
なければならない /(exp) have to do/must/should/ought to/(P)/
なければならぬ /(exp) have to do/must/should/ought to/
なければなりません /(exp) have to do/must/should/ought to/(P)/
なければなるまい /(exp) (after neg. verb stem) ought to (verb)/should (verb)/
なごりの雪 [なごりのゆき] /(n) (1) lingering snow/(2) snowfall at the end of the winter or the beginning of spring/
なごり雪 [なごりゆき] /(n) (1) lingering snow/(2) snowfall at the end of the winter or the beginning of spring/
なさい /(aux) do (imperative form often used after ~masu base of verbs)/
なしで済ます [なしですます] /(exp,v5s) to do without/
なし崩し [なしくずし] /(n) (1) paying back in installments (instalments)/amortization plan/(adv) (2) gradual reduction/little by little/
なじみ深い [なじみぶかい] /(adj-i) extremely intimate/very well-acquainted/
なすがまま /(exp) at someone's (something's) mercy/
なすり合い [なすりあい] /(n) recrimination/
なずらえ歌 [なずらえうた] /(n) allusive form (of waka)/
なせば成る [なせばなる] /(exp) (id) if you have a mind to do something, you can do it/if you do, it will become .../where there is a will.../
なぞ /(prt,n-suf) (col) et cetera/etc./and the like/and so forth/
なだれ込む [なだれこむ] /(v5m,vi) to rush or crowd into/to surge into/
なってない /(exp) to be unacceptable/
なつあし /(n) kanji radical 35 when at the bottom (as in the character for summer)/
なつい /(adj-i) (abbr) (sl) dear/desired/missed/
なつメロ /(n) (abbr) nostalgic melody/
なで回す [なでまわす] /(v5s) to pat (e.g. dog)/to rub/to stroke/to fondle/
なにかいい手はないか [なにかいいてはないか] /(exp) what would be a good way to do it?/
なに食わぬ顔 [なにくわぬかお] /(exp) innocent look/nonchalant look/air of innocence/
なの /(aux) (fem) (col) feminine copula/
なのだ /(aux) it is assuredly that .../can say with confidence that .../
なのである /(aux) it is assuredly (that).../can say with confidence that it is.../
なのです /(aux) it is assuredly that .../can say with confidence that .../
なのに /(conj) and yet/despite this/but even so/but even then/however/nevertheless/for all that/notwithstanding that/
なはる /(v4r,aux-v) (hon) (arch) to do/
なぶり殺し [なぶりごろし] /(n) torture to death/torment to death/
なへに /(adv) (arch) accompanying/at the same time as/together with/
なべに /(adv) (arch) accompanying/at the same time as/together with/
なべ物 [なべもの] /(n) stew/food cooked in a pot/
なまこ板 [なまこいた] /(n) corrugated iron sheet/
なまこ板 [なまこばん] /(n) corrugated iron sheet/
なまめ星 [なまめぼし] /(n) Chinese "Wall" constellation (one of the 28 mansions)/
なまり節 [なまりぶし] /(n) boiled and half-dried bonito/
なま足 [なまあし] /(n) (sl) bare legs/bare feet/
なみなみ /(adv,adv-to) to the brim/
なめし革 [なめしがわ] /(n,adj-no) (1) leather/tanned animal hide/suede/(2) kanji "tanned leather" radical (radical 178)/
なよなよ /(adv-to,adv,vs) delicately/weakly/gently/supplely/
なら /(aux) (1) if/in case/if it is the case that/if it is true that/(2) as for/on the topic of/(conj) (3) (col) (abbr) if that's the case/if so/that being the case/(P)/
ならず者 [ならずもの] /(n,adj-no) ruffian/scamp/hooligan/
ならず者国家 [ならずものこっか] /(n) rogue nation/rogue state/
ならでは /(n-suf) but/except/without/but for/
ならではの /(exp,aux) distinctive of/characteristic of/uniquely applying to/special to/
ならともかく /(exp) it's different when ... but/it's not so bad when ... but/
ならない /(exp) (1) cannot help (doing, etc.)/irresistibly/unbearably/(2) must not do/bad/wrong/not good/(P)/
ならぬ /(exp) (1) cannot help (doing, etc.)/irresistibly/unbearably/(2) must not do/bad/wrong/not good/
ならば /(aux) (1) if/in case/if it is the case that/if it is true that/(conj) (2) (col) (abbr) if that's the case/if so/that being the case/(3) if possible/if circumstances allow/(P)/
なり /(prt) (1) or/whether or not/(2) (after dictionary form verb) as soon as/right after/(3) (after past tense verb) while still/with previous state still in effect/(P)/
なりけり /(exp,aux-v) (arch) auxiliary verb indicating the speaker's personal recollection or something they've heard (e.g. "was", "wasn't it?", "is said to have ...", etc.)/
なりに /(prt) in one's own way or style/(P)/
なる /(suf,adj-f) (1) (arch) that is in/(2) who is called/that is called/(3) that is/
なれど /(conj) but/however/
なれども /(conj) (arch) but/however/
なれの果て [なれのはて] /(exp) the mere shadow of one's former self/the ruin of what one once was/
なれ合い [なれあい] /(n) collusion/conspiracy/illicit intercourse/liaison/
なれ鮨 [なれずし] /(n) (uk) old-style fermented sushi (pickled in brine rather than vinegar)/
なわ編み [なわあみ] /(n) cable stitch/
なわ編み針 [なわあみばり] /(n) cable needle (knitting)/
なをん /(n) (col) woman/
なんか /(exp,suf) things like .../or something like that ... (often derogatory)/(P)/
なんくるない /(exp) (rkb:) don't worry - be happy/
なんじゃそりゃ /(exp) (col) what's that?/
なんじゃらほい /(int) What!/
なんぞ /(prt,n-suf) (col) et cetera/etc./and the like/and so forth/
なんたらかんたら /(exp) something or other (often used in place of a word or phrase that has been forgotten)/
なんだ /(aux) it is assuredly that .../can say with confidence that .../
なんだよおい /(int) What!/
なんちゃって /(int) (1) (col) just kidding!/(pref) (2) fake/
なんて /(suf) (1) such as/(things) like/(2) exclamation/(P)/
なんてこった /(exp) (col) Oh no!/Holy cow!/Damn!/
なんて目じゃない [なんてめじゃない] /(exp) it's not a problem/it's not a big deal/(person or thing) can be easily beaten or bettered (by one)/
なんです /(aux) it is assuredly that .../can say with confidence that .../
なんでも屋 [なんでもや] /(n) (1) Jack of all trades/(2) general merchant/
なんでよっ /(adv) Why?/Why not?/What for?/What's wrong?/
なんでよつ /(adv) Why?/Why not?/What for?/What's wrong?/
なんど /(prt,n-suf) (col) et cetera/etc./and the like/and so forth/
なんにしても /(exp) even so/
なんやかんや /(n) one thing or another/this and that/something or another/
に /(prt) indicates such things as location of person or thing, location of short-term action, etc./(P)/
にあっては /(conj) in/on/at/during/in the condition of/(P)/
にいにい蝉 [にいにいぜみ] /(n) (uk) Kaempfer cicada (Platypleura kaempferi)/
にかけて /(exp) (1) till/to/over (a period)/through (e.g. Monday through Thursday)/about (approx. time or place)/on/(2) concerning (an area of expertise)/(3) to swear by (one's sword, God, etc.)/(P)/
にかけては /(exp) when it comes to/at home with/being a master of/being clever at/
にかたくない /(exp) not hard to... (in certain circumstances, it would be possible)/
にかわって /(exp) (1) instead of/replacing/(2) on behalf of/
にかわり /(exp) (1) instead of/replacing/(2) on behalf of/
にきび面 [にきびづら] /(n) face covered with pimples/
にこっと /(adv) pleasantly smiling/
にこっと笑う [にこっとわらう] /(exp,v5u) to smile pleasantly/
にこぽん /(n) (1) backslapping/a smile and a tap on the shoulder/(2) backslapper/someone who smiles and gives you a slap on the shoulder/someone who wins people over/
にこやか /(adj-na,n) smiling/(P)/
にこよん /(n) day laborer (slang term)/
にこり /(adv,adv-to) (on-mim) smile (sweetly)/grin/
にしおおのすり /(n) (uk) long-legged buzzard (Buteo rufinus)/
にして /(exp) (1) only/just because/(2) although/even/(3) at (place, time)/in (time span)/
にしては /(exp) for (e.g. "she dances well for an eight-year old")/considering it's (something or someone)/
にしても /(exp) even if/(P)/
にして置く [にしておく] /(exp,v5k) (uk) to leave as/to view as/to maintain the status quo/
にしろ /(exp) though/even if/whether ... or .../
にじみ出る [にじみでる] /(v1,vi) to exude/to ooze/to seep out/
にじり寄る [にじりよる] /(v5r,vi) to sidle up to/
にじり口 [にじりぐち] /(n) small door which leads into a tea ceremony hut/
にする /(exp,vs-i,vt) (1) to place, or raise, person A to a post or status B/(2) to transform A to B/to make A into B/to exchange A for B/(3) to make use of A for B/to view A as B/to handle A as if it were B/(4) to feel A about B/(5) to decide (on something)/
にせよ /(exp) granted that/even if/even though/
にせ医者 [にせいしゃ] /(n) quack/quack doctor/fake doctor/
にたつく /(v5k,vi) to have (break out into) a broad (suggestive) grin/
にたにた /(adv,n,vs) (on-mim) broad grin/
にたり /(adv-to) smirkingly/smugly/broadly/
にちゃにちゃ /(adv,n,vs) slimy/
にっこり /(adv,n,vs,adv-to) (on-mim) smile sweetly/smile/grin/(P)/
にっこり笑う [にっこりわらう] /(exp,v5u) to smile cheerfully/to crack a smile/
にて /(prt) indicates location of action (formal literary form of "de")/at/in/(P)/
になって初めて [になってはじめて] /(exp) (it was) not until/(it was) only when/
になる /(suf) (1) becomes/will become/turns out/(2) (with "o" and masu-stem of verb) grammatical form creating an honorific verbal expression/(P)/
になると /(exp) when it becomes/when it comes to/(P)/
には /(prt) for (in regard to)/in order to/
には及ばない [にはおよばない] /(exp) (1) (uk) (after a verb) there is no need to/it is fine if you don't/unnecessary/(2) (after a noun) does not match/out of reach of/
にべ /(n) (1) (uk) drum/croaker (any fish of the family Sciaenidae)/(2) (uk) Nibe croaker (Nibea mitsukurii)/
にも /(exp) also/too/not ... either/as well/even/
にも関らず [にもかかわらず] /(conj,exp) in spite of/nevertheless/
にも関わらず [にもかかわらず] /(conj,exp) in spite of/nevertheless/(P)/
にも拘らず [にもかかわらず] /(conj,exp) in spite of/nevertheless/(P)/
にも拘わらず [にもかかわらず] /(conj,exp) in spite of/nevertheless/
にゃ /(exp) (1) if not ... (negative conditional)/(2) for (in regard to)/in order to/
にゃあ /(n) mewing (cat)/meow/miaow/
にゃあにゃあ /(n) (1) (baby talk for) cat/(2) mewing (of a cat)/meow/miaow/
にゃお /(n) mewing (cat)/meow/miaow/
にゃにゃ /(n,vs) (1) cat meow/miaow/(n) (2) cat/(n,vs) (3) sexual intercourse/making out/
にゃんこ /(n) (chn) kitty cat/
にゃんにゃん /(n,vs) (1) cat meow/miaow/(n) (2) cat/(n,vs) (3) sexual intercourse/making out/
にやつく /(v5k) to smirk/to grin broadly/
にやにや /(adv,n,vs) (on-mim) grinning/broad grin/smirk/(P)/
にやり /(adv,adv-to) (on-mim) broadly grinning/
にょきにょき /(adv) shooting up one after another/
にょきりにょきり /(adv-to) (on-mim) feelings/memories/imagined items or dreams that sprout up one after the other/
にょっきり /(adv) sticking out prominently (usu. something long and thin)/rising up/
にょろにょろ /(adv,vs) slitheringly/wriggling, slipping and sliding/
によって異なる [によってことなる] /(exp,v5r) to differ depending on .../(P)/
にらいかない /(n) paradise across the ocean (folk belief of Okinawa & Amami)/
にらみ付ける [にらみつける] /(v1,vt) to glare at/to scowl at/
にわか雨 [にわかあめ] /(n,adj-no) rain shower/
にわたって /(exp) throughout/over a period of .../over a span of .../
にんまり /(n,vs,adv) complacent smile/
にんまり笑う [にんまりわらう] /(exp,v5u) to smile complacently/to smile a smile of satisfaction/
にん傷に及ぶ [にんじょうにおよぶ] /(exp,v5b) to come to bloodshed/
に依って [によって] /(exp) (uk) according to/by (means of)/due to/because of/
に依り [により] /(exp) (uk) according to/by (means of)/due to/because of/
に依る [による] /(exp,v5r) (uk) by means of/due to/because of/according to/
に依ると [によると] /(exp) (uk) according to (someone)/
に依れば [によれば] /(exp) (uk) according to (quotation)/
に違いない [にちがいない] /(exp) I am sure/no doubt that/must/must have (done)/
に因って [によって] /(exp) (uk) according to/by (means of)/due to/because of/
に因り [により] /(exp) (uk) according to/by (means of)/due to/because of/
に因る [による] /(exp,v5r) (uk) by means of/due to/because of/according to/
に因れば [によれば] /(exp) (uk) according to (quotation)/
に因んで [にちなんで] /(exp) (uk) named after/associated with/connected with/
に影響されて [にえいきょうされて] /(exp) influenced by/in response to/in the wake of/triggered by/following/
に越したことはない [にこしたことはない] /(exp) it is better to/it is best to/
に沿って [にそって] /(exp,adv) along/parallel to/in accordance with/
に於いて [において] /(exp) (uk) in/on/at (place)/as for/regarding/
に於ける [における] /(exp) (uk) in/at/on/as for/regarding/with regards to/
に応じて [におうじて] /(exp) depending on/dependent on/
に加え [にくわえ] /(exp) in addition/
に加えて [にくわえて] /(exp) in addition/(P)/
に過ぎない [にすぎない] /(exp) no more than/just/only/
に関し [にかんし] /(exp) related to/in relation to/
に関して [にかんして] /(exp) related to/in relation to/
に関する [にかんする] /(exp) related to/in relation to/
に基づいて [にもとづいて] /(exp) based on/on the basis of/
に基づき [にもとづき] /(exp) based on/
に拠る [による] /(exp,v5r) (uk) by means of/due to/because of/according to/
に拠れば [によれば] /(exp) (uk) according to (quotation)/
に限って [にかぎって] /(exp) (particularly) when ... (often in phrases like "the bus just has to be on-time when we are late")/(only) for .../if we are restricting the discussion to.../in the particular case of/(P)/
に限らず [にかぎらず] /(conj) not limited to/not just .../
に限る [にかぎる] /(exp,v5r) nothing better than/
に際して [にさいして] /(exp) on the occasion of/at the time of/(P)/
に似て [ににて] /(exp) similar to/like/
に取って [にとって] /(exp) (uk) to/for/concerning/as far as ... is concerned/regarding/
に就いて [について] /(exp) (uk) concerning/along/under/per/
に就て [について] /(exp) (uk) concerning/along/under/per/
に従い [にしたがい] /(exp) in accordance with/according to/
に従って [にしたがって] /(exp) in accordance with/according to/(P)/
に准じて [にじゅんじて] /(exp) in proportion (to)/
に準じて [にじゅんじて] /(exp) in proportion (to)/
に照らして [にてらして] /(exp) in comparison with/when compared with/according to/in light of/in view of/
に乗っとり [にのっとり] /(exp) (uk) in compliance with/in accordance with/
に続いて [につづいて] /(exp) (temporal or logical sense) following .../in the wake of .../
に続く [につづく] /(exp,v5k) (temporal or logical sense) follow .../come after .../
に他ならない [にほかならない] /(exp) it is nothing else but/it is nothing short of/it is simply that/
に対し [にたいし] /(exp) towards/against/regarding/in contrast with/
に対して [にたいして] /(exp) towards/against/regarding/in contrast with/
に対する [にたいする] /(exp) regarding/in/to/towards/with regards to/
に置いて [において] /(iK) (exp) (uk) in/on/at (place)/as for/regarding/
に超したことはない [にこしたことはない] /(exp) it is better to/it is best to/
に当たって [にあたって] /(exp) (uk) at the time of (ind. opportunity or situation where something should be done)/
に伴い [にともない] /(exp) as/because/with/due to/
に反して [にはんして] /(exp) against/contrary to/
に比べ [にくらべ] /(exp) compared to/
に付いて [について] /(exp) (uk) concerning/along/under/per/
に付き [につき] /(exp) per/apiece/because of/regarding/(printing) impression/sociability/appearance/
に劣らず [におとらず] /(adv) (uk) just like/the same as/no different than/
に連れ [につれ] /(conj) (uk) as X, then Y (e.g. as we age we gain wisdom, as wine matures it becomes more valuable, etc.)/
に連れて [につれて] /(conj) (uk) as X, then Y (e.g. as we age we gain wisdom, as wine matures it becomes more valuable, etc.)/
ぬ /(aux-v,suf) (1) (after the -nai stem of a verb) not (verb-negating suffix)/(2) (arch) indicates completion/
ぬうっと /(adv) (on-mim) suddenly/abruptly/
ぬえ的 [ぬえてき] /(adj-na) mysterious/strange/sphinx-like/enigmatic/noncommital/
ぬき足 [ぬきあし] /(n) stealthy footsteps/
ぬぐい去る [ぬぐいさる] /(v5r) to rub out/to clean off/to clear away/to efface/to erase/
ぬぐい取る [ぬぐいとる] /(v5r,vt) to wipe off/to wipe out/to expunge/
ぬこ /(n) (col) cat (net slang)/
ぬすみ食い [ぬすみぐい] /(n) sneaking a bite/snitching food/
ぬたうつ /(v5t,vi) to roll around in the grass or mud/
ぬたくる /(v5r,vi) to scrawl/to daub/
ぬっと /(adv) (on-mim) suddenly/abruptly/
ぬまむし /(n) (uk) Nipponocypris sieboldii (species of cyprinid)/
ぬめっと /(adv) (on-mim) glistening/shiny/sleek/slippery/
ぬめ革 [ぬめかわ] /(n) cow hide tanned using tannin/
ぬらぬら /(adv,n,vs) (on-mim) slimy/slippery/
ぬらりくらり /(adv,vs,adv-to) (on-mim) lazy/evasive/non-commital/slippery as an eel/
ぬりこ星 [ぬりこぼし] /(n) Chinese "Willow" constellation (one of the 28 mansions)/
ぬるぬる /(adj-na,adv,n,vs) (on-mim) slimy/slippery/(P)/
ぬるま湯 [ぬるまゆ] /(n) tepid water/lukewarm water/
ね /(prt) (1) (sentence end) indicates emphasis, agreement, request for confirmation, etc./is it so/(int) (2) hey/come on/(P)/
ねえ /(prt) (1) (sentence end) indicates emphasis, agreement, request for confirmation, etc./is it so/(int) (2) hey/come on/
ねぎだく /(n) containing more onions or leeks than usual (of gyudon, etc.)/
ねじりゴム編み [ねじりゴムあみ] /(n) twisted rib stitch (knitting)/
ねじり秤 [ねじりばかり] /(n) torsion balance/
ねじり鉢巻きで [ねじりはちまきで] /(exp,adv) as hard as one can/with one's whole heart/
ねじれ国会 [ねじれこっかい] /(n) the two houses of the Diet being controlled by different parties (lit: twisted parliament)/
ねじれ秤 [ねじればかり] /(n) torsion balance/
ねじ花 [ねじばな] /(n) screw flower/
ねじ回し [ねじまわし] /(n) screwdriver/
ねじ曲がる [ねじまがる] /(v5r) to be twisted/to be wrapped/to be distorted/
ねじ曲げる [ねじまげる] /(v1,vt) to twist/to distort/
ねじ込む [ねじこむ] /(v5m,vt) to screw in/to thrust into a container/to protest against (and demand compensation)/
ねじ式 [ねじしき] /(adj-no,n) screw type/screw-on/threaded/
ねじ釘 [ねじくぎ] /(n) screw/screw spike/
ねじ伏せる [ねじふせる] /(v1,vt) to hold down/to twist one's arm/
ねずみ講 [ねずみこう] /(n) pyramid scheme/
ねずみ算 [ねずみさん] /(n) (1) geometric progression/(2) proliferation/multiplying like rats/
ねずみ算 [ねずみざん] /(n) (1) geometric progression/(2) proliferation/multiplying like rats/
ねずみ取り [ねずみとり] /(n) (1) mousetrap/rattrap/(2) speed trap/(3) rat poison/
ねた /(n) (1) material/joke material/contents/proof/(2) topping of nigiri sushi/(P)/
ねちこい /(adj-i) persistent/obstinate/stubborn/pigheaded/
ねちっこい /(adj-i) persistent/obstinate/stubborn/pigheaded/
ねちねち /(adv-to,n,vs) (on-mim) sticky/persistent/
ねっとり /(adv,adv-to,vs) viscously/stickily/
ねつ造 [ねつぞう] /(n,vs) fabrication/forgery/falsehood/hoax/
ねとねと /(adv,vs) sticky/gooey/sirupey/
ねば /(exp) if not ... (negative conditional)/
ねばならない /(exp) have to do/must/should/ought to/
ねばならぬ /(exp) have to do/must/should/ought to/
ねばなりません /(exp) have to do/must/should/ought to/
ねばなるまい /(exp) (after neg. verb stem) ought to (verb)/should (verb)/
ねばり強い [ねばりづよい] /(adj-i) tenacious/persevering/persistent/stubborn/steadfast/
ねぶた /(n) (1) nighttime festival in Aomori/(adj-na) (2) drowsy (Aomori dial.)/
ねぶた祭り [ねぶたまつり] /(n) nighttime festival in Aomori/
ねぶり箸 [ねぶりばし] /(n) licking one's chopsticks (a breach of etiquette)/
ねんね /(n,vs) bed-time (for a baby)/going bye-byes/
の /(prt) indicates possessive among other uses (for full details and examples see the main entry (linked))/
のうのう /(adv-to) (id) (on-mim) careless/carefree/
のか /(prt) endorsing and questioning the preceding statement (sentence ending particle)/lamenting reflections on the preceding statement (sentence ending particle)/
のぎ /(n) (arch) small fish bone stuck in one's throat/
のけ者 [のけもの] /(n) outcast/odd man out/pariah/
のけ者にする [のけものにする] /(exp,vs-i) to shun somebody/to send a person to Coventry/to ignore someone/
のこぎりえい /(n) (uk) sawfish (Pristidae spp.)/
のこのこ /(adv) (on-mim) unconcernedly/nonchalantly/
のさばる /(v5r) to act as one pleases/to throw one's weight around/to have everything one's own way/
のしのし /(adv-to) (on-mim) walking heavily/lumbering/
のしのしと歩く [のしのしとあるく] /(exp,v5k,vi) to walk heavily and clumsily/to lumber/
のしを付ける [のしをつける] /(exp,v1) (uk) to make a gift of/
のし歩く [のしあるく] /(v5k,vi) to swagger/
のすり /(n) (uk) common buzzard (Buteo buteo)/
のそのそ /(adv,n,vs) (on-mim) slowly/
のそり /(adv,adv-to) (on-mim) moving slowly (and dull-wittedly)/
のぞき込む [のぞきこむ] /(v5m,vt) to look into/to peer in/
のぞのぞ /(exp) slowly/sluggishly/
のぞみ /(n) extra-high-speed Toukai-line Shinkansen/(P)/
のたうち回る [のたうちまわる] /(v5r,vi) to writhe/
のたくる /(v5r,vi) to wriggle/to writhe/to squirm/
のたりのたり /(exp) undulating/rolling slowly/gently swelling/
のたれ死に [のたれじに] /(n,vs) (sens) dying by the roadside/dying a dog's death/
のた打つ [のたうつ] /(v5t) (uk) to writhe/to squirm/to wriggle/
のだ /(exp) the expectation is that .../the reason is that .../the fact is that .../it is that .../(P)/
のっけ /(n) the very beginning/
のっしのっし /(adv-to) (on-mim) walking heavily/lumbering/
のっそり /(adv,adv-to,vs) (on-mim) sluggishly/
のっと /(adv) (on-mim) suddenly/abruptly/
のっぺらぼう /(adj-na) (1) smooth/flat/lacking bumps and dents/(2) featureless/uneventful/(n) (3) mythical being with flat featureless face/
のっぺり /(adv) flat/smooth/expressionless/blank/
のっぽ /(n) tall lanky person/bean pole/daddy-longlegs/
ので /(prt) that being the case/because of .../the reason is ..../given that.../(P)/
のです /(exp) the expectation is that .../the reason is that .../the fact is that .../it is that .../(P)/
のどから手が出る [のどからてがでる] /(exp,v1) to want something desperately/to want something (so badly one can taste it)/
のどが渇く [のどがかわく] /(exp,v5k) to be thirsty/
のどが乾く [のどがかわく] /(exp,v5k) to be thirsty/
のどに詰まる [のどにつまる] /(exp,v5r) to stick in one's throat/to choke on something/
のど飴 [のどあめ] /(n) throat lozenge/cough drop/
のど自慢 [のどじまん] /(n) (1) singing contest/(2) person proud of their voice/
のど袋 [のどぶくろ] /(n) dewlap/gular pouch/
のに /(prt) (1) although/when/and yet/despite this/in spite of/even though/but even so/but even then/however/nevertheless/for all that/notwithstanding that/(2) while/(3) if only/I wish/(4) I tell you/you should do/(5) in order to/(P)/
のべつ /(adv) ceaselessly/continually/all the time/incessantly/
のべつ幕なし [のべつまくなし] /(adv) without a break/without stopping/incessantly/ceaselessly/
のべつ幕無し [のべつまくなし] /(adv) without a break/without stopping/incessantly/ceaselessly/
のほほんと /(adv) (on-mim) nonchalantly/without a care/
のぼせ上がる [のぼせあがる] /(v5r,vi) to be beside oneself/to lose one's head/to go mad with something/
のぼり詰める [のぼりつめる] /(v1,vi) (1) to go to the top/to climb to the top/to ascend to the top/to reach the summit (e.g. of a mountain)/(2) to be engrossed in/to be very enthusiastic about/to be infatuated with/
のみ /(suf,prt) only/nothing but/(P)/
のみならず /(conj) besides/as well as/
のみの市 [のみのいち] /(n) flea market/
のみ込む [のみこむ] /(v5m,vt) (1) to gulp down/to swallow deeply/(2) to understand/to take in/to catch on to/to learn/to digest/
のみ取り首輪 [のみとりくびわ] /(n) flea collar/
のめのめ /(adv,adv-to,vs) (on-mim) shamelessly/
のめり込む [のめりこむ] /(v5m,vi) to be completely absorbed in/to fall for (something)/
のめる /(v5r,vi) to fall forward/
のらくら /(adv,adv-to) (on-mim) vaguely/idly/lazily/aimlessly/
のらりくらり /(adv,vs,adv-to) (on-mim) lazy/evasive/non-commital/slippery as an eel/
のりのり /(adj-f) in high spirits/
のり巻き [のりまき] /(n) (food) vinegared rice rolled in nori (laver)/
のり面 [のりめん] /(n) slope (e.g. of embankment)/
のろけ話 [のろけばなし] /(n) (uk) speaking fondly of/
のろのろ /(adv,n,vs,adv-to) (on-mim) slowly/sluggishly/(P)/
のんけ /(n) (male) (sl) heterosexual male (as viewed by homosexual males)/
のんどり /(n,adv,vs) tranquility/tranquillity/leisure/
のんびり /(adv,n,vs) carefree/at leisure/(P)/
のんびり屋 [のんびりや] /(n) easygoing person/
のんべんだらり /(adv-to) idly/sluggishly/doing nothing/
の為に [のために] /(aux) (uk) for the sake of/because/(P)/
の下に [のもとに] /(exp) (1) (uk) under the supervision of/(2) underneath/(3) on the basis of/
の許に [のもとに] /(exp) (1) (uk) under the supervision of/(2) underneath/(3) on the basis of/
の向かいに [のむかいに] /(adv) opposite of/across from/
の度に [のたびに] /(exp,aux) (uk) on the occasion of/(P)/
の度に [のたんびに] /(exp,aux) (uk) on the occasion of/
の辺に [のあたりに] /(exp) (1) (uk) on the shores of/by the side of (e.g. rivers, ponds)/(2) in the neighborhood of/in the neighbourhood of/in the vicinity of/close by/near/by/
の辺に [のほとりに] /(exp) (1) (uk) on the shores of/by the side of (e.g. rivers, ponds)/(2) in the neighborhood of/in the neighbourhood of/in the vicinity of/close by/near/by/
の辺りに [のあたりに] /(exp) (1) (uk) on the shores of/by the side of (e.g. rivers, ponds)/(2) in the neighborhood of/in the neighbourhood of/in the vicinity of/close by/near/by/
の辺りに [のほとりに] /(exp) (1) (uk) on the shores of/by the side of (e.g. rivers, ponds)/(2) in the neighborhood of/in the neighbourhood of/in the vicinity of/close by/near/by/
の余り [のあまり] /(exp) so much (something) as to (e.g. so moved as to cry)/overwhelmed/carried away/because of too much/
の様に [のように] /(adv) (1) (uk) like/similar to/(2) as with/in the same way/
は /(int) (1) yes/indeed/well/(2) ha!/(3) what?/huh?/(4) sigh/
は /(prt) (1) topic marker particle/(2) indicates contrast with another option (stated or unstated)/(3) adds emphasis/(P)/
はあ /(int) (1) yes/indeed/well/(2) ha!/(3) what?/huh?/(4) sigh/
はあとめーる /(n) postcards associated with Respect-for-the-Aged Day, and sold every year starting in September (wasei: heart mail)/
はあはあ /(n) (on-mim) gasp/pant/
はい /(int) (1) (pol) yes/(2) OK (used to get attention prior to an utterance)/okay/(3) giddy-up/giddap/(P)/
はい /(n) (arch) lotus root/
はいはい /(int) (col) yeah, yeah (used for half-hearted or insincere agreement)/
はい芽 [はいが] /(n) embryo bud/germ/
はい回る [はいまわる] /(v5r,vi) to creep about/
はい作業主任者 [はいさぎょうしゅにんしゃ] /(n) bulk loading safety officer/
はえぬき /(n) Haenuki (variety of rice)/
はがき大 [はがきだい] /(n) postcard size/
はきはき /(adv,n,vs) (on-mim) briskly/smartly/promptly/clearly/lucidly/
はぎ取り [はぎとり] /(n) stripping/skinning/tearing/removing/
はぎ取る [はぎとる] /(v5r,vt) to tear off/to strip/to rob/
はくしょん /(int,vs) achoo!/atishoo!/sneeze/
はくれん /(n) (uk) silver carp (Hypophthalmichthys molitrix)/
はく製 [はくせい] /(n,vs,adj-no) (1) stuffing/mounting/(n) (2) stuffed animal/
はぐる /(v5r,vt) to roll up (e.g. sleeves)/to turn over/
はけ口 [はけぐち] /(n) (1) outlet (e.g. for water or gas)/(2) market (for something)/(3) outlet (e.g. for excess energy)/vent (e.g. for emotions)/
はげ上がる [はげあがる] /(v5r) to become bald from the forehead/to recede/
はげ頭 [はげあたま] /(n,adj-no) (1) bald head/(2) baldness/
はこべ塩 [はこべじお] /(n) (obsc) chickweed (stitchwort) roasted and mixed with salt, then ground into a powder for use as toothpaste/
はしごを掛ける [はしごをかける] /(exp,v1) to set a ladder up against/
はしご車 [はしごしゃ] /(n) hook-and-ladder truck/
はしご酒 [はしござけ] /(n) barhopping/
はしご段 [はしごだん] /(n) step/stair/staircase/
はした金 [はしたがね] /(n) odd money/loose change/small (paltry) sum (of money)/chicken feed/(mere) pittance/
はしどい /(n) Japanese tree lilac (Syringa reticulata)/
はじき飛ばす [はじきとばす] /(v5s,vt) to flick off/to give ... the flick/to send something flying/to hit (a person)/to knock down/
はじけ飛ぶ [はじけとぶ] /(v1,vi) to pop off/to pop out/to fly off/to shoot off/to burst open/
はす /(n) (uk) three-lips (freshwater fish of the minnow family, Opsariichthys uncirostris)/
はずがない /(exp) cannot (do)/it is impossible that.../
はずだ /(exp) be supposed or expected to (do)/be sure to (do)/ought to (do)/
はずです /(exp) be supposed or expected to (do)/be sure to (do)/ought to (do)/
はず押し [はずおし] /(n) pushing up with hands under opponent's armpits (sumo)/armpit push/
はたかぜ型護衛艦 [はたかぜがたごえいかん] /(n) Hatakaze class destroyer/
はたたく /(v5k,vi) (arch) to resound loudly (of thunder, etc.)/
はたと /(adv) suddenly/sharply (to cast a glance, to make a sound)/
はたはた /(n) flutter/flap (sound representing something light such as cloth or feathers moving in the wind)/
はためく /(v5k,vi) to flutter (e.g. a flag)/
はた迷惑 [はためいわく] /(adj-na,n) nuisance to other people/inconvenience to others/
はだ脱ぐ [はだぬぐ] /(v5g,vi) (1) to remove one's shirt thus revealing the skin/to remove the upper part of one's garments/(2) to work with great effort/
はちきん /(n) (tsb:) strong independent Japanese woman from the Kochi area/
はちの子 [はちのこ] /(n) (food) hornet larva (esp. of yellowjacket species Vespula flaviceps)/bee larva/
はちぶんぎ座 [はちぶんぎざ] /(n) Octans (constellation)/the Octant/
はちみつ酒 [はちみつしゅ] /(n) mead/honey wine/ambrosia/nectar of the gods/
はち切れる [はちきれる] /(v1,vi) to be filled to bursting/to burst/
はっきり /(adv,adv-to,vs) (on-mim) clearly/plainly/distinctly/(P)/
はっくしょん /(int,vs) achoo!/atishoo!/sneeze/
はっけよい /(int) phrase shouted by a sumo referee when both rikishi have stopped moving/
はったい /(n) (uk) parched flour, esp. barley (can be drunk in hot water with sugar)/
はったり /(n) bluff/
はっちゃける /(v1) to make merry and forgot one's troubles/to do as one pleases/
はって行く [はっていく] /(v5k-s) to creep/to crawl/
はっと /(adv,n,vs) (on-mim) taken aback/
はっと息を呑む [はっといきをのむ] /(exp,v5m) to gasp in or with surprise/
はっ着 [はっちゃく] /(n,vs) arrival and departure/
はつい星 [はついぼし] /(n) Chinese "Encampment" constellation (one of the 28 mansions)/
はつゆき型護衛艦 [はつゆきがたごえいかん] /(n) Hatsuyuki class destroyer/
はつ恋 [はつこい] /(n) first love/puppy love/
はて /(int) (1) Dear me!/Good gracious!/(2) well ... (used before sentences expressing a doubt)/let me see/now .../
はてさて /(exp) (id) Let me see/
はてな /(int) (1) Dear me!/Good gracious!/(2) well ... (used before sentences expressing a doubt)/let me see/now .../
はてなマーク /(n) question mark/
はと座 [はとざ] /(n) (constellation) Columba/
はと目 [はとめ] /(n) eyelet/
はなきり /(n) (arch) cutting off the nose (form of punishment in ancient China)/
はにかみ屋 [はにかみや] /(n) shy/very shy person/
はね上がる [はねあがる] /(v5r,vi) to jump up/to spring up/
はね飛ばす [はねとばす] /(v5s,vt) (1) to send (something) flying/to splatter/(2) to drive (something) off/
はね返る [はねかえる] /(v5r) to rebound/to recoil/to spring back up/
ははあ /(int) Aha!/
はばき /(n) metal collar mounted between a sword blade and the hand guard/
はまち /(n) (uk) (ksb:) young Japanese amberjack/young yellowtail/
はまり込む [はまりこむ] /(v5m) (1) to get stuck in/to be mired in/(2) to be addicted to/
はまり道 [はまりみち] /(n) road to (figurative) addiction/
はまり役 [はまりやく] /(n) well-suited role/
はみパン /(n) (abbr) (sl) having part of one's underwear exposed from their shorts/
はみ出し [はみだし] /(n) jutting out (of bounds)/being crowded out/
はみ出す [はみだす] /(v5s,vi) (1) to be forced out/to be crowded out/(2) to jut out (of bounds)/
はみ出る [はみでる] /(v1,vi) (1) to jut out (of bounds)/(2) to be crowded out/to be forced out/
はみ乳 [はみちち] /(n) (sl) exposed breasts/
はめ込み [はめこみ] /(n) (1) insertion/inlaying/(2) (math) immersion/
はめ込む [はめこむ] /(v5m,vt) (1) to inlay/to insert/to set/(2) (math) to plug in (to a formula)/to immerse/(3) to trick/to deceive/
はめ殺し [はめごろし] /(n) fixed fitting/
はめ倒す [はめたおす] /(v5s) (col) to make love/
はやり病 [はやりやまい] /(n) epidemic/
はやり目 [はやりめ] /(n) conjunctivitis/pink eye/epidemic keratoconjunctivitis/
はらはら /(adv,vs,adv-to) (1) (on-mim) heart going pit-a-pat/falling rapidly in big drops/fluttering down/(2) keeping on tenterhooks/suspense/(3) exciting/thrilling/
はらみ /(n) skirt steak/tender beef around the diaphragm/
はららご /(n) (uk) hard roe (esp. salmon)/
はらり /(adv-to,adv) gently (falling)/
はりはり /(n) thin, dried strips of daikon soaked in vinegar and other flavorings/
はりはり漬け [はりはりつけ] /(n) thin, dried strips of daikon soaked in vinegar and other flavorings/
はり合わせる [はりあわせる] /(v1) to paste together/
はり札 [はりふだ] /(n,vs) poster/notice/
はり師 [はりし] /(n) acupuncturist/
はり紙 [はりがみ] /(n) paper patch/paper backing/poster/sticker/label/
はり付け [はりつけ] /(n) (comp) paste/
はる /(v5r,aux-v,suf) (hon) (ksb:) to do/
はるしお型潜水艦 [はるしおがたせんすいかん] /(n) Harushio class submarine/
はるじおん /(n) common fleabane/Philadelphia fleabane (Erigeron philadelphicus)/
はるじょおん /(n) common fleabane/Philadelphia fleabane (Erigeron philadelphicus)/
はるな型護衛艦 [はるながたごえいかん] /(n) Haruna class destroyer/
はるの雲 [はるのくも] /(exp,n) cloud floating in a spring sky/
はん /(suf) (ksb:) Mr/Mrs/Ms/-san/
はんなり /(adv-to,adv,vs) (ksb:) elegant/lively but restrained/quietly beautiful/
はん用レジスタ [はんようレジスタ] /(n) (comp) general purpose register/
はん用階層ファイルモデル [はんようかいそうファイルモデル] /(n) (comp) general hierarchical model/
はん用体 [はんようたい] /(n) (comp) generic unit/
はん用定義 [はんようていぎ] /(n) (comp) generic definitions/
はん用的試験項目 [はんようてきしけんこうもく] /(n) (comp) generic test case/
はん用的試験項目群 [はんようてきしけんこうもくぐん] /(n) (comp) generic test suite/
は種 [はしゅ] /(n,vs) sowing/seeding/planting/
は虫類 [はちゅうるい] /(n) reptiles/
ば /(prt) indicates supposition/if ... then/(P)/
ばあちゃん /(n) (fam) granny/grandma/gran/female senior-citizen/(P)/
ばい煙 [ばいえん] /(n) dirty smoke/soot and smoke/
ばい貝 [ばいがい] /(n) whelk/small water snails/
ばい菌 [ばいきん] /(n) (1) (col) germ/germs/bacteria/mold (mould)/(2) something harmful (used figuratively)/vermin/(P)/
ばかっぽい /(adj-i) geeky/geekish/
ばかを見る [ばかをみる] /(exp,v1) to feel like an idiot/to make a fool of yourself/
ばか者 [ばかもの] /(n) (derog) moron/idiot/stupid person/
ばか笑い [ばかわらい] /(n,vs) horse laugh/guffaw/wild laughter/
ばか騒ぎ [ばかさわぎ] /(n,vs) horseplay/fooling around/
ばきっ /(adv-to) snapping (i.e. branch)/
ばくち打ち [ばくちうち] /(n) (1) professional gambler/(2) gambling/
ばくんちょ /(n) (1) (sl) eating in one bite/(2) sexual intercourse/
ばく大 [ばくだい] /(adj-na,n) enormous/vast/
ばさばさ /(adj-na,adv,n,vs) (on-mim) rustle/loose/
ばさりと /(adv) (on-mim) with a thud/
ばしゃっ /(adv-to) (on-mim) splash/sploosh/
ばたつく /(v5k,vi) to clatter/to flap (noisily)/to rattle/to walk around being unable to settle down/
ばたばた /(n,vs,adv,adv-to) (1) (on-mim) flapping/rattling (sound)/noisily/clattering noise/(n) (2) commotion/kerfuffle/(P)/
ばたり /(adv) with a flop/
ばた脚 [ばたあし] /(n) flutter kick (swimming)/the thrash/
ばた足 [ばたあし] /(n) flutter kick (swimming)/the thrash/
ばちゃん /(adv,adv-to) (on-mim) with a splash/
ばちん /(adv-to) (on-mim) (with a) slap/smack/
ばっくれ /(n) (1) (sl) feigning ignorance/(2) evading one's responsibilities/
ばっくれる /(v1) (1) (sl) to feign ignorance/(2) to evade one's responsibilities/
ばっくんちょ /(n) (1) (sl) eating in one bite/(2) sexual intercourse/
ばっさばっさ /(adv-to,adv) rapidly/flapping wings/
ばっさり /(adv) with a single stroke/resolutely/drastically/completely/
ばったり /(adv) with a clash (thud)/with a bang/plump/flop/suddenly/abruptly/unexpectedly/
ばっちい /(adj-i) (sl) dirty (word used by kids)/unclean/
ばっちり /(adv) perfectly/properly/right on the mark/sure thing/
ばってん /(conj) (kyu:) but/however/although/
ばっと /(adv) (on-mim) suddenly/in a flash/rapidly/nimbly/alertly/
ばっ気 [ばっき] /(n,vs) aeration/
ばつ /(n,adj-no) (1) one's circumstances or condition, esp. compared to that of another/(2) coherence (e.g. of a conversation)/
ばついち /(n) divorced (once) (lit: strike one, i.e. one name struck from the koseki)/
ばつが悪い [ばつがわるい] /(exp,adj-i) awkward/uncomfortable/embarrassing/
ばつの悪い [ばつのわるい] /(adj-i) awkward/uncomfortable/embarrassing/
ばつを合わせる [ばつをあわせる] /(exp,v1) to make one's story to seem coherent/to adjust one's story to fit the situation/
ばてる /(v1,vi) to be exhausted/to be worn out/(P)/
ばね仕掛け [ばねじかけ] /(n,adj-no) clockwork (motor, etc.)/spring action/
ばね指 [ばねゆび] /(n) trigger finger/flexor tendinitis/
ばね秤 [ばねばかり] /(n) spring balance/spring scale/pull tension gauge/
ばば /(n) shit/bullshit/
ばば抜き [ばばぬき] /(n) old maid/living without one's mother-in-law/
ばむ /(suf,v5m) to be ...y (suffix indicating that something is in the state of the preceding noun, etc.)/
ばやい /(n-adv,n) case/situation/(slangy version of baai)/
ばらす /(v5s,vt) (1) to expose/to lay open (e.g. secret)/(2) to take to pieces/(3) to kill/to murder/(P)/
ばらたなご /(n) (uk) rosy bitterling (Rhodeus ocellatus)/
ばらつき /(n) scattering (e.g. in statistics)/a scatter/dispersion/
ばらつく /(v5k,vi) to rain (drops on the large side)/to go to pieces/to be taken apart/
ばらばら /(adj-na,adj-no,adv,vs) (on-mim) scattered/disperse/loose/disconnected/in pieces/in drops/rustling/
ばらばら事件 [ばらばらじけん] /(n) murder case in which the victim is chopped into pieces/mutilation murder case/
ばらまき政治 [ばらまきせいじ] /(n) money politics/pork-barrel politics/
ばらむつ /(n) (uk) oilfish (Ruvettus pretiosus)/
ばら荷 [ばらに] /(n) bulk goods/
ばら撒き [ばらまき] /(n) (1) (uk) broadcasting (e.g. seed)/disseminating/(2) distributing (e.g. favours)/pork barrelling/
ばら蒔く [ばらまく] /(v5k,vt) (uk) to disseminate/to scatter/to give money freely/
ばら寿司 [ばらずし] /(n) (ksb:) type of sushi with a variety ingredients sprinkled on the rice/
ばら色 [ばらいろ] /(n) rose-colour/rose-color/
ばら肉 [ばらにく] /(n) boned rib (esp. of pork)/
ばら鮨 [ばらずし] /(n) (ksb:) type of sushi with a variety ingredients sprinkled on the rice/
ばりばり /(adj-na,adv,n) (on-mim) tearing/crunching (sound)/work hard/actively/(P)/
ばりッと /(adv) (1) (on-mim) sound of an object breaking loudly/ripping sound/tearing sound/(2) being stylish/
ばれる /(v1,vi) to leak out (a secret)/to be exposed (a lie, improper behaviour, etc.) (behavior)/(P)/
ばわい /(n-adv,n) case/situation/(slangy version of baai)/
ばんばん /(adv) (1) (on-mim) bang bang (sound of a hammer or gunfire)/(2) doing something at a mad pace (spend money, work)/
ぱ /(suf) apiece/each/
ぱあ /(n,adj-na) (1) paper (in rock, paper, scissors)/(2) disappearing completely/(3) foolishness/stupidity/
ぱあっと /(adv) with energy (of parties and such)/enthusiastically/going all out/
ぱいおつ /(n) (X) (col) tits (trendy inverse of oppai)/
ぱいぱい /(n) (chn) (sl) boobs/female breasts/hooters/
ぱかぱか /(adv-to,adv) (on-mim) clip-clop/clippety-clop/
ぱかん /(adv-to) (1) (on-mim) vacantly/blankly/absentmindedly/(2) (on-mim) openmouthed/with one's mouth wide-open/gaping/flabbergasted/(3) (on-mim) with a whack/with a thump/
ぱくつく /(v5k,vt) to open your mouth wide and eat heartily/to gulp down food/
ぱくぱく /(adv,n,vs) (on-mim) flapping open and closed (e.g. mouth)/
ぱくり /(adv,adv-to,n) (1) (on-mim) gaping (esp. mouth)/(2) snapping into/biting into/(n,vs) (3) cribbing/lifting/plagiarism/rip-off/
ぱくり屋 [ぱくりや] /(n) confidence man/con man/company (or person) carrying out credit fraud/
ぱさつく /(v5k,vi) to be dried out/to be parched/
ぱしゃっ /(adv-to) (on-mim) splash/sploosh/
ぱしり /(n) (abbr) person who is made to do things or go get things for someone else/gofer/
ぱしる /(v5r) (sl) to make do errands/to set to scutwork/
ぱたぱた /(adv,vs) (1) (on-mim) flap (sound of something light and thin such as a fan moving through the air)/(2) pitter-patter (sound of light footsteps)/(3) dealing with a situation quickly/
ぱたり /(adv) clink/sudden stop/
ぱたんと /(adv,vs) with a snap/with a bang/with a plonk/with a click/sudden stopping/
ぱちくり /(adv,n,vs) blinking with surprise/
ぱちっ /(n,adv-to) snapping (e.g. fingers) sound/with a pop/
ぱちつかせる /(v1) to blink repeatedly/to wave repeatedly (e.g. a paper fan)/
ぱちり /(adv-to) (on-mim) quickly/suddenly/
ぱちんこ /(n,vs) (1) pachinko (Japanese pinball)/(2) slingshot/catapult/
ぱちんこ屋 [ぱちんこや] /(n) pinball parlor/pinball hall/
ぱっくり /(adv,adv-to,n) (1) (on-mim) gaping (esp. mouth)/(2) snapping into/biting into/(n,vs) (3) cribbing/lifting/plagiarism/rip-off/
ぱったり /(adv,adv-to) unexpectedly/suddenly/abruptly/
ぱっちり /(adv,n,vs) (of eyes) big and beautiful, or open wide/
ぱっと /(adv,vs) (on-mim) suddenly/in a flash/rapidly/nimbly/alertly/(P)/
ぱっとしない /(exp) expression of vague dissatisfaction with a thing, person, or situation/
ぱっぱっと /(adv) (1) in puffs/in whiffs/(2) in flashes/
ぱっぱと /(adv) quickly/
ぱねぇ /(adv,pref) (sl) a lot/to a very great extent/absolutely/
ぱらつく /(v5k,vi) to sprinkle (e.g. with rain)/
ぱらり /(adv-to,adv) sprinkling/dropping in small light bits/
ぱりっと /(adv,vs) (1) (col) dashing/classy/posh/new/modern/(2) crisp/crisply/crunchy/
ぱりぱり /(adj-na,adv,n) (on-mim) crispy/first-class/
ぱるる /(n) Postal Savings system/
ぱんぱん /(n,adj-na,adv) (1) (on-mim) kapow/bang/slap/(n) (2) prostitute (esp. just after WWII)/
ひいて板 [ひいてばん] /(n) boards/cut timber/
ひいひい /(adv) (on-mim) sound of a baby crying/
ひかり /(n) skips-most-stations Toukai-line Shinkansen/
ひがみっぽい /(adj-i) cynical/warped/
ひき殺す [ひきころす] /(v5s,vt) to kill by running over/
ひき逃げ [ひきにげ] /(n,vs) (uk) hit-and-run accident causing personal injury/
ひき肉 [ひきにく] /(n) minced meat/ground meat/
ひくつく /(v5k,vi) to twitch/
ひくひく /(adv,n,vs) (on-mim) twitching/
ひけらかす /(v5s,vt) to show off/to make a display (e.g. of wealth)/
ひけ目 [ひけめ] /(n) weakness/drawing back/
ひげを生やす [ひげをはやす] /(exp,v5s) to grow a beard/
ひげ面 [ひげづら] /(n) bearded face/unshaven face/hairy face/
ひさかき /(n) (uk) Eurya japonica (species of evergreen related to sakaki)/
ひさぎ /(n) (uk) Eurya japonica (species of evergreen related to sakaki)/
ひさし髪 [ひさしがみ] /(n) (obsc) classic Japanese women's low pompadour hairstyle/
ひざ元 [ひざもと] /(n) (1) near one's knee/below one's knee/(2) under the protection of (e.g. one's parents)/under the care of/(3) territory of a powerful person/
ひしめき合う [ひしめきあう] /(v5u) to crowd together in a confined space/to gather and make a commotion/
ひじ掛け [ひじかけ] /(n) armrest (of a chair)/elbow rest/
ひじ掛けいす [ひじかけいす] /(n) (1) armchair/chair with arm rests/(2) senior staff/
ひじ掛け椅子 [ひじかけいす] /(n) (1) armchair/chair with arm rests/(2) senior staff/
ひじ当て [ひじあて] /(n) (1) (detachable) elbow rest/arm rest/elbow pad/(2) (MA) elbow strike (karate)/
ひそひそ /(adv,adv-to) (on-mim) whisperingly/(P)/
ひそひそ話 [ひそひそばなし] /(n,vs) whispering/
ひたひた /(adv) (1) (on-mim) gradually/steadily/(2) lapping (against, on, toward)/(3) lightly submerging something (in water)/
ひたむきに聞く [ひたむきにきく] /(exp,v5k) to listen intently/
ひた隠し [ひたかくし] /(n) cover-up/hiding at all costs/
ひた謝り [ひたあやまり] /(n) earnest apology/profuse apology/
ひっきり無し [ひっきりなし] /(adj-na) (uk) continually/continuously/incessantly/
ひっくり返す [ひっくりかえす] /(v5s,vt) to turn over/to overturn/to knock over/to upset/to turn inside out/
ひっくり返る [ひっくりかえる] /(v5r,vi) to be overturned/to be upset/to topple over/to be reversed/
ひっしゅ /(n) (Buddh) (obsc) bhikkhu (fully ordained Buddhist monk)/
ひっすう /(n) (Buddh) (obsc) bhikkhu (fully ordained Buddhist monk)/
ひっそり /(adv,n,vs,adv-to) (on-mim) quiet/still/silent/deserted/(P)/
ひっそり閑 [ひっそりかん] /(adv,adv-to) (uk) quietly/
ひっつき虫 [ひっつきむし] /(n) burr (prickly seeds or seedheads that stick to fur and clothes)/
ひっ提げる [ひっさげる] /(v1) (uk) (col) to carry in one's own hands/to carry in a manner that is obvious to others/
ひつじ雲 [ひつじぐも] /(n) altocumulus cloud/
ひとっ走り [ひとっぱしり] /(n,vs) spin (as in 'take a car for a spin')/run/
ひとつとっても /(exp) one example of (when there are more examples)/
ひとめぼれ /(n) Hitomebore (variety of rice)/
ひとり言 [ひとりごと] /(n) soliloquy/monologue/speaking to oneself/
ひとり子 [ひとりご] /(n) child/only child/
ひとり歩き [ひとりあるき] /(n,vs) walking alone/walking unaided/going alone/standing on one's own/
ひとり暮し [ひとりぐらし] /(n) a single life/a solitary life/living alone/
ひとり立ち [ひとりだち] /(n,vs) being independent/standing on one's own/becoming independent/
ひと雨 [ひとあめ] /(n) shower/rainfall/
ひと泳ぎ [ひとおよぎ] /(n,vs) a swim/
ひと押し [ひとおし] /(n,vs) push/another try/
ひと回り [ひとまわり] /(n-adv) (1) one turn/one round/(2) (a) size/(vs) (3) to go around/to make a circuit/to take a turn/
ひと塊 [ひとかたまり] /(n) one lump/one group/
ひと塊り [ひとかたまり] /(n) one lump/one group/
ひと休み [ひとやすみ] /(n,vs) rest/
ひと欠けら [ひとかけら] /(n) fragment/piece/
ひと欠片 [ひとかけら] /(n) fragment/piece/
ひと結び [ひとむすび] /(n,vs) knotting/
ひと月 [ひとつき] /(n) one month/
ひと言 [ひとこと] /(n,vs) single word/
ひと口 [ひとくち] /(n) (1) mouthful/bite/sip/draft/draught/(2) one word/
ひと財産 [ひとざいさん] /(n) a fortune/
ひと時 [ひととき] /(n-t,n-adv) (1) moment/a (short) time/a while/(2) former times/(3) (arch) two-hour period/
ひと升 [ひとます] /(n) one square on a grid/one cell of a grid/
ひと吹き [ひとふき] /(n) blast/puff/whiff/gust/
ひと切り [ひときり] /(n) pause/period/step/once/some years ago/
ひと先ず [ひとまず] /(adv) (uk) for the present/once/in outline/
ひと騒動 [ひとそうどう] /(n) disturbance/kerfuffle/
ひと続き [ひとつづき] /(n,adj-no) a chain (of)/a series (of)/
ひと度 [ひとたび] /(n-adv) (1) once/one time/on one occasion/(2) temporarily/for a moment/
ひと肌 [ひとはだ] /(n,adj-no) the skin/body warmth/
ひと晩 [ひとばん] /(n-adv,n-t) one evening/all night/overnight/
ひと味違う [ひとあじちがう] /(exp,v5u) (col) to be somewhat different (from before, from others, etc.)/
ひと眠り [ひとねむり] /(n,vs) (1) (usu. in positive sentences) (a) sleep/(a) nap/(2) first sleep of silkworms/
ひと目 [ひとめ] /(n-adv,n-t) (1) (a) glance/(a) look/(a) glimpse/(2) complete view/bird's-eye view/
ひと舐め [ひとなめ] /(n,vs) a lick/one lick/
ひどい仕打ち [ひどいしうち] /(exp) cruel treatment/raw deal/kick in the pants/
ひどい目にあう [ひどいめにあう] /(exp,v5u) to have a bad time/to go through a bitter experience/to get into trouble/to get hurt/to suffer/
ひどい目にあわせる [ひどいめにあわせる] /(exp,v1) to bring someone to grief/to give someone hell/
ひどい目に遭わせる [ひどいめにあわせる] /(exp,v1) to bring someone to grief/to give someone hell/
ひど過ぎる [ひどすぎる] /(v1) too much/too cruel/
ひな菊 [ひなぎく] /(n) daisy/
ひな型 [ひながた] /(n) (1) model/miniature/pattern/(2) sample/specimen/(3) prescribed form/
ひな形 [ひながた] /(n) (1) model/miniature/pattern/(2) sample/specimen/(3) prescribed form/
ひな祭り [ひなまつり] /(n) Girls' Festival (March 3rd)/Dolls' Festival/
ひな壇 [ひなだん] /(n) tiered doll stand/tiered platform or gallery/
ひな段 [ひなだん] /(n) tiered doll stand/tiered platform or gallery/
ひな鳥 [ひなどり] /(n) chick/baby bird/
ひねり出す [ひねりだす] /(v5s,vt) to work out/to think up/to devise/to manage (somehow)/to summon up (e.g. courage)/
ひび /(n) brushwood, etc. used as cultch for seaweed or oyster farming (culch)/
ひびが入る [ひびがはいる] /(exp,v5r) to get cracked/to develop a crack/to be fissured/
ひびの切れた [ひびのきれた] /(adj-f) chapped (hands)/
ひび割れ [ひびわれ] /(n,vs) crack/crevice/fissure/
ひび割れる [ひびわれる] /(v1,vi) to crack/to develop a crack/
ひび焼き [ひびやき] /(n) crackleware/
ひま人 [ひまじん] /(n) man of leisure/woman of leisure/
ひめじおん /(n) daisy/Erigeron annuus/
ひめじょおん /(n) daisy/Erigeron annuus/
ひもじい /(adj-i) hungry/
ひもじい思い [ひもじいおもい] /(n) state of feeling hungry/
ひゃっくり /(n) (obsc) hiccup/hiccough/
ひやりはっと /(n) close call/near miss/
ひゅー /(adv-to) (on-mim) (with a) whizzing sound/sound of something whizzing by/
ひゅーっ /(adv-to) (on-mim) (with a) whizzing sound/sound of something whizzing by/
ひゅうひゅう /(n) whistling sound/sound of the wind/
ひゆ /(n) (uk) Joseph's-coat (Amaranthus tricolor)/tampala/
ひょいと /(adv) (on-mim) by chance/suddenly/accidentally/with agility/
ひょいひょい /(adv,adv-to) (1) with agility/(2) casually/
ひょう /(n) (uk) Joseph's-coat (Amaranthus tricolor)/tampala/
ひょう窃 [ひょうせつ] /(n,vs,adj-no) plagiarism/piracy/
ひょう柄 [ひょうがら] /(n) leopard print (design)/
ひょう疽 [ひょうそ] /(n) whitlow/
ひょこひょこ /(adv,n) unsteady steps/
ひょっくり /(adv) all of a sudden/suddenly/by chance/unexpectedly/
ひょっこり /(adv) all of a sudden/suddenly/by chance/unexpectedly/
ひょっと /(adv,vs) (1) (on-mim) possibly/perhaps/perchance/(2) (on-mim) unintentionally/accidentally/
ひょっとしたら /(exp) possibly/by some possibility/perhaps/(P)/
ひょっとして /(exp) by any chance/(should) it happen (that)/(P)/
ひょっとすると /(adv) (on-mim) perhaps/maybe/possibly/(P)/
ひょろひょろ /(adj-na,adv,n,vs) (on-mim) frail/lanky/swaying/
ひょろりと /(adv) (on-mim) long and thin/tall and thin/
ひょろ長い [ひょろながい] /(adj-i) long and narrow/lanky/gangling/spindly/
ひょんな /(adj-pn) strange/unexpected/(by) chance/unusual/curious/
ひよこ豆 [ひよこまめ] /(n) chickpea (Cicer arietinum)/garbanzo bean/
ひよひよ /(adv,adv-to) (1) (on-mim) cheep cheep/tweet tweet/(2) gently (moving)/
ひらひら /(adv,adv-to,n,vs) (on-mim) flutter/(P)/
ひらり /(adv-to) (on-mim) nimbly/lightly/
ひら社員 [ひらしゃいん] /(n) rank and file member of staff/ordinary employee/low-grade employee/
ひら茸 [ひらたけ] /(n) (uk) oyster mushroom (Pleurotus ostreatus)/
ひりつく /(v5k,vi) to hurt/to smart/to sting/
ひりひり /(adv,n,vs) (on-mim) prickling pain/smarting/stinging/
ひれ伏す [ひれふす] /(v5s,vi) to prostrate oneself before/
ひんやり /(adv,n,vs) to feel (pleasantly) cool/
ひん曲げる [ひんまげる] /(v1,vt) (1) to bend (with great force)/to twist/to wrench/(2) to distort (the truth)/
ひん死 [ひんし] /(n,adj-no) dying/(on the) verge of death/
ひん斥 [ひんせき] /(n,vs) rejection/ostracism/
ひん剥く [ひんむく] /(v5k) to strip/to peel/to tear off/
ひん抜く [ひんぬく] /(v5k) to uproot/to pull out/
ひ弱 [ひよわ] /(adj-na,n) weak/delicate/sickly/
ひ弱い [ひよわい] /(adj-i) weak/sickly/
ひ孫 [ひいまご] /(n) great-grandchild/
ひ孫 [ひこ] /(ok) (n) great-grandchild/
ひ孫 [ひこまご] /(ok) (n) great-grandchild/
ひ孫 [ひひこ] /(ok) (n) great-grandchild/
ひ孫 [ひまご] /(n) great-grandchild/
びくっと /(adv) with a start/
びくつく /(v5k,vi) to be scared/
びくともしない /(adj-i) (1) unperturbed/undaunted/retaining composure/(2) unyielding/not giving an inch/
びくびく /(adv,n,vs,adj-no) (on-mim) being afraid of/being fearful/being timid/being nervous/(P)/
びくりと /(adv) with a start/
びけ /(n) last on the list/at the bottom/
びしっと /(adv) (1) (on-mim) with a snap/(break) cleanly/(2) (reject) sternly/flatly/(3) smartly (e.g. of dressing up well)/
びしびし /(adv) (on-mim) stickily/relentlessly/
びしゃびしゃ /(adv) soaked/slushy/wet/
びしゃん /(n) bush hammer/
びしょびしょ /(adj-na,adv,n) (on-mim) saturated/wet through/(P)/
びしょ濡れ [びしょぬれ] /(n,adj-no) sopping wet/sodden/wet to the skin/(P)/
びしり /(adv-to) (1) (on-mim) with a snap/(break) cleanly/(2) (reject) sternly/flatly/(3) smartly (e.g. of dressing up well)./
びたびた /(adj-no,adj-na,adv,vs) (1) drenched/soaked/(adv,vs) (2) romantically/
びた一文 [びたいちもん] /(exp) being penniless/not having a cent/
びちゃびちゃ /(adj-na,adv,n,vs) splashing/dabbling/
びちょびちょ /(adj-na,adv,n) (on-mim) saturated/wet through/
びっくりカメラ /(n) candid-camera/candid-camera footage/
びっくり仰天 [びっくりぎょうてん] /(n,vs) astonished/stunned/startled out of one's wits/thunderstruck/open-eyed astonishment/
びっくり箱 [びっくりばこ] /(n) jack-in-the-box/jack-in-a-box/
びっこを引く [びっこをひく] /(exp,v5k) to limp/
びっしょり /(adj-na,adv) (on-mim) wet through/drenched/(P)/
びっしり /(adv) closely packed/crowded close/(P)/
びにる /(v5r) (sl) to go to a convenience store/
びびり /(n) chatter mark (machine tools)/
びびる /(v5r,vi) (1) to feel nervous/to feel self-conscious/to feel surprise/(2) (col) to get cold feet/to get the jitters/to feel frightened/
びらびら /(adv,n,vs) (on-mim) flutter/flutteringly/
びり /(n) last on the list/at the bottom/
びりびり /(adj-na,adv,n) (on-mim) like an electric shock/ripping/rattling/(P)/
びる /(suf,v1) seeming to be .../becoming like .../behaving as .../
びわ酒 [びわしゅ] /(n) loquat wine/
びんた /(n) slap in the face/
びんびん /(adj-no) hard (e.g. penis)/strong (e.g. beat of music)/
ぴいかん /(n) state of fine weather where one is subject to direct sunlight/
ぴいぴい /(n,adj-f,adv) (1) (on-mim) whistling or chirping/(2) flute/(3) beginner/(4) poor/
ぴかっと /(adv,vs) brightly/dazzlingly/sparklingly/brilliantly (shining)/
ぴかぴか /(adj-na,adv-to,n,adj-no) (on-mim) glitter/sparkle/(P)/
ぴかぴか光る [ぴかぴかひかる] /(exp,v5r) to sparkle/to glitter/to twinkle/
ぴか一 [ぴかいち] /(n) (1) scoring hand with one 20 point flower card and six 1 point flower cards/(2) something (or someone) that stands out above the rest/
ぴくっと /(adv) with a twitch (e.g. an eyebrow)/with a dip/with a bob/with a flutter/
ぴくぴく /(vs) (1) to twitch/(adv-to) (2) twitchingly/
ぴくぴく動く [ぴくぴくうごく] /(exp,v5k) to jerk/to wiggle/to twitch/
ぴくり /(adv-to,adv) (on-mim) with a twitch (e.g. an eyebrow)/with a dip/with a bob/with a flutter/
ぴくんぴくん /(vs) to twitch/
ぴしっ /(adv-to) (on-mim) with a crack/with a snap/slam (a door)/stretch (one's spine)/
ぴしゃっと /(adv) (on-mim) slapping/splatting/
ぴしゃっぴしゃっ /(adv) (1) slap (sound of a flat object continuously striking something)/(2) splash/
ぴしゃぴしゃ /(adv) (1) slap (sound of a flat object continuously striking something)/(2) splash/
ぴしゃり /(adv,adv-to) slapping/splashing/splatting/banging shut/flat (refusal, denial, etc.)/
ぴしり /(adv-to) with a click/with a snap/
ぴたっと /(adv) (on-mim) closely/exactly/suddenly/tightly/
ぴたりと /(adv) (on-mim) closely/exactly/suddenly/tightly/
ぴちっと /(adv,vs) tightly/snugly/
ぴちぴち /(adv,adj-na) (on-mim) lively/spunky/energetic/
ぴちゃぴちゃ /(adv,n,vs) (1) splash water/dabble in water/splashing sound/
ぴちゃん /(adv-to,adv) (1) (on-mim) splash/(2) (on-mim) slam/slap/
ぴったり /(adj-na,adv,n,vs,adv-to) (on-mim) exactly/neatly/sharp/(P)/
ぴっちり /(adv,adv-to,vs) (on-mim) tightly/snugly/
ぴゅう /(adv-to) (1) swoosh/whoosh/(2) sound of a whistle/
ぴゅうぴゅう /(adv) sound of whistling or wheezing/
ぴゅぴゅ /(n) whistling of wind/
ぴょこぴょこ /(adv-to) (1) (on-mim) up and down/lightly/nimbly/moving in small leaps as a frog or rabbit/(2) (on-mim) casually/(strolling about) without a care/
ぴょこん /(adv) quickly, in a bouncing way (e.g. for a bow)/action of quickly bowing or lowering one's head/
ぴょこんと /(adv) quickly, in a bouncing way (e.g. for a bow)/action of quickly bowing or lowering one's head/
ぴょんぴょん /(adv) hopping/skipping/(P)/
ぴよぴよ /(adv,adv-to) (1) (on-mim) cheep cheep/tweet tweet/
ぴよぴよ鳴く [ぴよぴよなく] /(exp,v5k) to peep/to cheep/
ぴりっと /(adv,vs) (on-mim) tingling/stinging/pungently/
ぴりっとくる /(exp,vk) pungent/biting/racy/hot/
ぴりぴり /(adv,n,vs) (on-mim) tingle/sting/smart/hot/burning the tongue/becoming tense/(P)/
ぴんと張る [ぴんとはる] /(exp,v5r) to pull tight/
ぴんと来る [ぴんとくる] /(vk) to get (a joke or explanation)/to strike home/to know intuitively/
ぴんぴん /(adv,n,vs,adj-no) (on-mim) lively/(P)/
ぴん札 [ぴんさつ] /(n) (col) crisp, unwrinkled banknote/
ふーふー /(adv) (1) (on-mim) sound of heavy breathing/(n,vs) (2) blowing on something (e.g. to cool it down)/
ふーん /(int) (1) hmm/well .../humph/huh/pshaw/pish/
ふい /(n) coming to nothing/ending without result/total waste/
ふいご祭 [ふいごまつり] /(n) Bellows Festival (festival for blacksmiths and foundries on the eighth day of the eleventh month of the lunar calendar, on which they would clean their bellows and pray)/
ふいご祭り [ふいごまつり] /(n) Bellows Festival (festival for blacksmiths and foundries on the eighth day of the eleventh month of the lunar calendar, on which they would clean their bellows and pray)/
ふいと /(adv) abruptly/suddenly/unexpectedly/
ふいにする /(exp,vs-i) to lose completely/to waste all/to let something slip away/
ふいになる /(exp) to come to nothing/to fall through/to end without result/
ふうふう /(adv) (1) (on-mim) sound of heavy breathing/(n,vs) (2) blowing on something (e.g. to cool it down)/
ふうん /(int) (1) hmm/well .../humph/huh/pshaw/pish/
ふかふか /(adv) soft (and fluffy)/
ふき /(n) (obsc) turned-back hem of a kimono/
ふき取る [ふきとる] /(v5r,vt) to wipe off/to wipe up/
ふくれっ面 [ふくれっつら] /(n,adj-no) sulky look/sullen look/
ふくろももんが /(n) (uk) sugar glider (species of flying phalanger, Petaurus breviceps)/
ふける /(v1,vi) (sl) to run away (e.g. from work)/
ふさ /(adv,adj-na) (arch) plenty/
ふさぎ込む [ふさぎこむ] /(v5m,vi) to mope/to brood/to be in low spirits/to have the blues/
ふざく /(v5k) to frolic/to romp/to fool/to be flip/
ふざけんなよ /(exp) (vulg) stop bullshitting me/you're fucking kidding me/you're full of shit/
ふしだら /(adj-na,n) slovenly/untidy/messy/fast/loose/
ふし穴 [ふしあな] /(n) (1) knothole/peep-hole/(2) bad eyes/
ふたご座 [ふたござ] /(n) Gemini (constellation)/the Twins/
ふためく /(v5k) to make a commotion/
ふたを開ける [ふたをあける] /(exp,v1) to open the lid/
ふたを閉める [ふたをしめる] /(exp,v1) to shut the lid/
ふた時 [ふたとき] /(n-t) (1) fairly long period of time/(2) (arch) four-hour period/
ふだん草 [ふだんそう] /(n) Swiss chard (Beta vulgaris var. cicla)/silverbeet/
ふっくら /(adv-to) (on-mim) fully/luxuriantly/fluffy/plump/soft and full/
ふっくり /(adv-to) fully/luxuriantly/fluffy/plump/soft and full/corpulent/
ふっこ /(n) juvenile Japanese sea perch (usu. 2-3 years in age and 40-60 cm in length)/
ふっつり /(adv,adv-to) break/snapping off/suddenly stopping/
ふっと /(adv) (1) (on-mim) with a whiff/with a puff/(2) suddenly/abruptly/without warning/
ふっ飛ばす [ふっとばす] /(v5s) (1) to blow off something (strongly)/(2) to blow off one's worries/to brush away one's worries/(3) to accomplish a task very rapidly/(4) to drive (a car) at full speed/
ふつおた /(n) listeners' corner (portion of radio programming for correspondence from listeners)/
ふつり /(adv-to,adv) breaking/snapping off/suddenly stopping/
ふて寝 [ふてね] /(n,vs) staying in bed out of spite/
ふて腐れる [ふてくされる] /(v1,vi) (uk) to become sulky/to become irresponsible/
ふところ手 [ふところで] /(n,vs) with hands in pockets/idleness/
ふところ都合 [ふところつごう] /(n) financial situation/financial standing/
ふとした /(adj-pn) impulsive/unexpected/accidental/casual/inadvertent/on a whim/
ふにゃふにゃ /(n,vs) (1) limpness/(adj-na,adj-no) (2) soft/limp/flabby/(3) mumbling/talking with food in one's mouth/
ふふ /(n) giggling sound/laugh/ha ha/
ふふん /(int) pooh!/
ふむ /(int) hmm/I see/hrm/
ふらっと /(adv) (on-mim) aimlessly/by chance/accidentally/casually/suddenly/unexpectantly/
ふらつき /(n,adj-no,adv) lightheadedness/disorientation/wobbliness/staggering/
ふらつき感 [ふらつきかん] /(n) lightheadedness/disorientation/wobbliness/
ふらつく /(v5k,vi) to feel giddy/to totter/to stagger/
ふらふら /(adj-na,adv-to,vs,adj-no) (on-mim) unsteady on one's feet/stagger/reel/totter/dizzy/(P)/
ふらり /(adv) aimlessly/
ふるいに掛ける [ふるいにかける] /(v1) (uk) to sieve/to sift/
ふるい落す [ふるいおとす] /(v5s) to shake off/
ふるい落す [ふるいおとす] /(v5s) to sift out/to screen or eliminate (candidates)/
ふるい落とす [ふるいおとす] /(v5s) to shake off/
ふるい落とす [ふるいおとす] /(v5s) to sift out/to screen or eliminate (candidates)/
ふるえ音 [ふるえおん] /(n) (ling) trill/
ふるまい酒 [ふるまいざけ] /(n) treat of sake/
ふれあい動物園 [ふれあいどうぶつえん] /(n) petting zoo/
ふわっと /(adv,vs) (1) (on-mim) floating/drifting/weightlessness/(2) (on-mim) softly/gently/lightly/
ふわり /(adv-to) (on-mim) softly/gently/lightly/(P)/
ふん /(int) (1) hmm/well .../humph/huh/pshaw/pish/(pref) (2) roughly/harshly/violently/
ふんぞり返る [ふんぞりかえる] /(v5r,vi) (1) to lie on one's back with legs outstretched/to recline/(2) to get cocky/to be arrogant/
ふんだくる /(v5r,vt) (1) to snatch/to grab/to steal/(2) to charge (an exorbitant price) for/
ふんだん /(adj-na,n) plentiful/abundant/lavish/
ふんどし担ぎ [ふんどしかつぎ] /(n) (1) (uk) (col) rikishi of the lowest rank/(2) underling/
ふんなんに /(adv) in plenty/fully/
ふんわり /(adv-to,adv) (on-mim) gently/airily/fluffily/(P)/
ふん縛る [ふんじばる] /(v5r,vt) to tie fast/
ふ化 [ふか] /(n,vs) incubation/hatching/
ふ頭 [ふとう] /(n) pier/wharf/quay/
ふ卵 [ふらん] /(n,vs) incubation/hatching/
ぶーん /(adv-to,adv) (1) whirr/hum/buzz/(2) whoosh/woosh/whiz/
ぶうぶう /(adv) (1) (on-mim) bugling sound/honking/oinking/(2) (on-mim) grumbling/complaining/(n) (3) (chn) car/automobile/
ぶうん /(adv-to,adv) (1) whirr/hum/buzz/(2) whoosh/woosh/whiz/
ぶかぶか /(adj-na,adv,n,vs,adj-no) (on-mim) too big/baggy/(P)/
ぶきっちょ /(adj-na,n) awkward/
ぶくぶく /(adj-na,adv,n,vs) (1) (on-mim) bulging/swelling (e.g. with water)/loose-fitting or baggy (clothing)/(2) bubbling/foaming/
ぶくり /(adv) sound of something floating or sinking in water/
ぶすっと /(adv,vs) (1) (on-mim) sound of something thick and soft being pierced by something sharp and hard/(2) containing sullen anger or discontempt/
ぶすぶす /(adv-to,vs) (on-mim) sputtering/smoldering/
ぶち壊す [ぶちこわす] /(v5s,vt) to destroy/to spoil/to crush/to break by striking/to wreck/
ぶち開ける [ぶちあける] /(v1,vt) (1) to forcefully open up a hole (in a wall, etc.)/(2) to speak frankly, holding nothing back/(3) to throw out everything inside/
ぶち込む [ぶちこむ] /(v5m) to drive in (e.g. nail, stake)/to devote oneself to/to shoot into/to smash/to throw into/to cast into/
ぶち切れ [ぶちきれ] /(adj-f) livid/
ぶち切れ [ぶちぎれ] /(adj-f) livid/
ぶち切れる [ぶちきれる] /(v1) (col) to be enraged/to flip out/
ぶち切れる [ぶちぎれる] /(v1) (col) to be enraged/to flip out/
ぶち当たる [ぶちあたる] /(v5r) (1) to slam into (e.g. a wall, a limit) (figuratively)/to hit/(2) to face (e.g. trouble, a problem)/to confront/
ぶち破る [ぶちやぶる] /(v5r) (col) to smash down/to beat in/
ぶち抜き [ぶちぬき] /(n) (1) removing a partition/(adv) (2) (col) straight through without interruption/
ぶち明ける [ぶちあける] /(v1,vt) (1) to forcefully open up a hole (in a wall, etc.)/(2) to speak frankly, holding nothing back/(3) to throw out everything inside/
ぶっきら棒 [ぶっきらぼう] /(adj-na,n) curt/blunt/brusque/(P)/
ぶった切る [ぶったぎる] /(v5r,vt) to chop (a branch, etc.)/
ぶっちゃけ /(n) speaking one's mind and holding nothing back/
ぶっちゃける /(v1,vt) to be frank .../to put things bluntly .../
ぶっつけ /(n,adj-na) without preparation/off the cuff/abrupt/outspoken/(at) first/
ぶっつけ本番 [ぶっつけほんばん] /(n,adj-no) performing without rehearsal/
ぶっとい /(adj-i) fat/thick/
ぶっとび /(adj-f) (sl) surprise/surprising/
ぶっ違い [ぶっちがい] /(n) diagonal cross/x-shaped cross/
ぶっ壊す [ぶっこわす] /(v5s,vt) (col) to destroy/to crush/to wreck/
ぶっ掛ける [ぶっかける] /(v1,vt) to dash (slosh) water (or other liquid) on a person or in a person's face/
ぶっ殺す [ぶっころす] /(v5s,vt) to beat to death/to kill/
ぶっ続け [ぶっつづけ] /(adv) (1) (uk) continuously/throughout/(2) in succession/
ぶっ叩く [ぶったたく] /(v5k) to beat vigorously/to rain stikes upon someone/to tan someone's hide/to mericlessly pummel/to beat the daylights out of/
ぶっ通し [ぶっとおし] /(adj-no,n-t) continuous/
ぶっ倒す [ぶったおす] /(v5s) to knock down/
ぶっ倒れる [ぶったおれる] /(v1,vi) to fall flat/to collapse in a heap/
ぶっ飛ばす [ぶっとばす] /(v5s,vt) (1) to strike (as to send flying)/to beat/to knock/(2) to jump with force/to leap/(3) to accomplish a task very rapidly/(4) to drive at full speed (e.g. a car)/
ぶっ放す [ぶっぱなす] /(v5s) to fire a gun/to let off a gun/to loose off a shell/
ぶつかり合い [ぶつかりあい] /(n) collision/clashing/
ぶつかり合う [ぶつかりあう] /(v5u,vt) to collide/to clash/
ぶつくさ /(adv) moaning/muttering/complaining/
ぶつぶつ /(n,adv,adv-to) (1) (on-mim) grunt/grumble/complaint/mutter/(2) pimples/spots/eruption/rash/(3) cutting into small pieces/(4) simmering/(P)/
ぶつ切り [ぶつぎり] /(n,vs) chunk (cooking)/lump/thick slice/
ぶどう酒 [ぶどうしゅ] /(n,adj-no) (grape) wine/
ぶなの木 [ぶなのき] /(n) Japanese beech tree/
ぶほっっ /(int) boohoo (crying)/
ぶよぶよ /(adj-na,adv,n,vs) (on-mim) soft and flabby/
ぶらっと /(adv) (1) limply/(2) idly/(3) aimlessly/
ぶらつく /(v5k,vi) to dangle/to swing/to stroll about/to hang around/to linger/
ぶらぶら /(adj-na,adv,adv-to,vs) (1) (on-mim) dangling heavily/swaying to and fro/swinging/(adv,adv-to,vs) (2) (on-mim) strolling/rambling/roaming/wandering/(3) (on-mim) idly/lazily/leisurely/aimlessly/(4) (on-mim) persisting (of an illness)/(P)/
ぶらり /(adv-to,adv) (1) (on-mim) dangling/(2) (on-mim) aimlessly/casually/idly/(3) (on-mim) unexpectedly/
ぶらりぶらり /(adv-to,adv) (on-mim) dangling heavily/swaying to and fro/swinging/
ぶら下がり [ぶらさがり] /(n) (1) (id) cornering someone by lying in wait, e.g. for an unexpected interview or photograph/doorstepping/(adj-f) (2) hanging/dangling/
ぶら下がりインデント [ぶらさがりインデント] /(n) (comp) hanging indent/
ぶら下がり取材 [ぶらさがりしゅざい] /(n) doorstop interview/doorstep interview/on-the-move interview/informal interview in which reporters surround a public figure and prod him for an off-the-cuff response/
ぶら下がる [ぶらさがる] /(v5r,vi) to hang from/to dangle/to swing/(P)/
ぶら下げる [ぶらさげる] /(v1,vt) to hang/to suspend/to dangle/to swing/to carry/(P)/
ぶりこ /(n) sailfin sandfish eggs/
ぶりっ子 [ぶりっこ] /(n,vs,adj-no) cutesy girl/child-like woman/
ぶりぶり /(adv,n,vs) (1) (on-mim) angrily/in a huff/in anger/(2) high on marijuana/
ぶり返す [ぶりかえす] /(v5s,vi) to come back/to return/to recur/
ぶるぶる /(adv,n,vs) (on-mim) shivering with cold or fear/shaking/trembling/(P)/
ぶるり /(adv-to,adv) (on-mim) with a vroom/with a sudden shaking/
ぶるん /(adv-to,adv) (on-mim) with a vroom/with a sudden shaking/
ぶれ /(n) camera shake/picture blur/
ぶれる /(v1,vi) to be blurred (photo, video, etc.)/for a camera to be shaken/
ぶんぶん /(n,adv) (on-mim) buzz/hum/
ぶん殴る [ぶんなぐる] /(v5r,vt) to knock/
ぶん屋 [ぶんや] /(n) (abbr) newspaper reporter/
ぶん投げる [ぶんなげる] /(v1,vt) to throw (strongly, violently, etc.)/
ぶ厚い [ぶあつい] /(adj-i) bulky/massive/thick/heavy/
ぷいと /(adv) (on-mim) acting rudely and suddenly/
ぷちぷち /(adv-to,adv,vs) (1) (on-mim) sound of bubbles (or other small objects) being popped/(2) (on-mim) lumpy sensation (e.g. of food)/(n) (3) little bits/small grains/
ぷっつん /(n,vs) (1) (sl) weird/crazy/losing common sense/snapping/(2) sound of a stretched string snapping/
ぷっと /(adv) (1) puffing motion (when blowing, spitting, etc.)/(2) pouting (with displeasure)/
ぷつん /(n,adv-to) snap (sound of something being suddenly and irreversibly broken)/
ぷにぷに /(adj-f) squishy/
ぷよぷよ /(n) jelly-like/
ぷりぷり /(adv,n,vs) (1) (on-mim) angrily/in a huff/in anger/(2) high on marijuana/(3) tender (to chew)/
ぷりぷりして /(adv) in an angry mood/in anger/angrily/in a huff/
ぷりぷり怒る [ぷりぷりおこる] /(exp,v5r) to be in a huff/
ぷるぷる /(adv-to) (1) yielding, soft, elastic/(n,vs) (2) jiggle, bounce, slightly trembling/
ぷんと /(adv,vs) (on-mim) crossly/angrily/
ぷんぷん /(adv,vs,adv-to) (1) (on-mim) intense smell (hanging around)/(2) state of being furious or angry/
ぷんぷんして /(adv) in an angry mood/in anger/angrily/in a huff/
へ /(prt) indicates direction or goal (e.g. "to")/(P)/
へいへい /(int) (col) yeah, yeah (used for half-hearted or insincere agreement)/
へえ /(int) oh, yes?/really?/
へきへき /(n,vs) being gobsmacked/being struck dumb/being fed up with something/
へき地 [へきち] /(n) (sens) remote place/backcountry/the sticks/
へぎ板 [へぎいた] /(n) splint/shingle/
へこき虫 [へこきむし] /(n) fart bug/
へこき蟲 [へこきむし] /(n) fart bug/
へこたれる /(v1,vi) to lose heart/
へこへこ /(adv,adv-to,vs) (1) pliantly/pliably/(2) ingratiatingly/
へご /(n) (uk) Cyathea spinulosa (species of tree fern)/
へしむくれ /(exp) term of abuse about someone's looks, etc./
へし折る [へしおる] /(v5r,vt) to smash/to break/
へそくり金 [へそくりがね] /(n) secret savings/
へその緒 [へそのお] /(n) umbilical cord/
へそを曲げる [へそをまげる] /(exp,v1) to get angry/to become perverse/
へそ曲がり [へそまがり] /(n,adj-na,adj-no) perverseness/devil's advocate/
へそ曲り [へそまがり] /(n,adj-na,adj-no) perverseness/devil's advocate/
へたこいた /(exp) (sl) failed/
へたの横好き [へたのよこずき] /(n) being crazy about something but being very bad at it/
へたばる /(v5r,vi) to be exhausted/to be worn out/
へたり込む [へたりこむ] /(v5m) to sit down hard/to sink down to the floor/
へたる /(v5r) to fall on one's backside/to be exhausted/to lose strength/to lose one's abilities/
へたれ /(n,adj-na) (col) (ksb:) good-for-nothing/incompetent/lazy/
へちむくれ /(exp) term of abuse about someone's looks, etc./
へちゃむくれ /(exp) term of abuse about someone's looks, etc./
へちゃもくれ /(exp) term of abuse about someone's looks, etc./
へったくれ /(exp) to hell with/be damned/
へっぴり腰 [へっぴりごし] /(n) (1) bent back/prone posture/(2) weak-kneed/timidity/lack of nerve/
へっぽこ /(n,adj-na) hack/untrained/quack (doctor)/
へとへと /(adj-na,n,adj-no) completely exhausted/(P)/
へどもど /(vs,adv) flustered/flurried/stuttering (e.g. an apology)/
へどろ /(n) sludge/slime/chemical ooze/
へなへな /(adj-na,adv,n,vs) (on-mim) bending/loss of strength/
への字 [へのじ] /(n) mouth shaped like a kana "he" character/mouth turned down at the corners/
への字に結んだ口 [へのじにむすんだくち] /(n) mouth shaped like a kana "he" character/mouth turned down at the corners/
へばり付く [へばりつく] /(v5k) to cling to/
へばる /(v5r,vi) to be exhausted/to be worn out/
へべれけ /(adj-na) (col) drunk/blotto/
へぼ /(adj-na,n) bungler/greenhorn/clumsy/poor hand/
へぼい /(adj-i) clumsy/unskillful/bungling/poor/bad/
へぼ医者 [へぼいしゃ] /(n) quack doctor/
へま /(adj-na,n) blunder/bungle/gaffe/
へまをやる /(exp,v5r) to commit a blunder/
へらへら /(adj-na,adv,n,vs) (on-mim) frivolous/
へりくだった /(exp) condescending/modest/
へりくだって /(exp) cap in hand/
へろへろ /(adj-na,adv-to,vs) completely exhausted/dog-tired/dreadfully weary/terribly frustrated/limp/weak/flimsy/
へん /(exp) (ksb:) suffix used to negate a verb in the non-past tense/
へんとう炎 [へんとうえん] /(n) tonsillitis/
べ /(aux) (1) (ktb:) (thb:) word used at sentence-end (like a particle) to indicate speculation, volition or invitation/
べーだ /(int) (abbr) sound often made when performing the akanbe- (childish and insulting) gesture/
べーっだ /(int) (abbr) sound often made when performing the akanbe- (childish and insulting) gesture/
べえ /(aux) (1) (ktb:) (thb:) word used at sentence-end (like a particle) to indicate speculation, volition or invitation/
べからざる /(exp) cannot/must not/
べか船 [べかぶね] /(n) small sailing boat used for collecting nori, etc./
べきではない /(exp) should not/must not/
べき乗打切り待機法 [べきのりうちきりたいきほう] /(n) (comp) truncated binary exponential back-off/
べく /(aux-v,conj) (1) in order to/for the purpose of/(aux,suf) (2) must/should/
べくもない /(exp) cannot possibly be/
べこべこ /(n) empty/hungry/
べし見 [べしみ] /(n) beshimi/type of Noh mask with a slanted mouth, bulging eyes and large nostrils/
べそ /(n) child's tear-stained face/
べそをかく /(exp,v5k) to be ready to cry/to be on the point of tears/
べそを作る [べそをつくる] /(exp,v5r) (uk) to be ready to cry/to be on the point of tears/
べた /(adj-na) (1) things without gaps or spaces between them/something painted or printed solid/(2) (comp) plain (e.g. plain text)/(3) (sl) cliched/hackneyed/
べたべた /(adj-na,adv,n,vs) (1) (on-mim) sticky/(2) all over/(3) clinging (e.g. of a person)/following around/(adj-na) (4) cliched/hackneyed/(P)/
べたんこ /(adj-no) squished flat/
べた惚れ [べたぼれ] /(n,vs) (falling) deeply in love/
べた焼き [べたやき] /(n) contact print/
べた組み [べたぐみ] /(n) solid printing/solid typesetting/
べた塗り内部様式 [べたぬりないぶようしき] /(n) (comp) solid interior style/
べた付く [べたつく] /(v5k,vi) (1) (uk) to be sticky/(2) to be close together/
べた褒め [べたほめ] /(n,vs) high praise/eulogy/rave review/
べた褒め [べたぼめ] /(n,vs) high praise/eulogy/rave review/
べちゃべちゃ /(adj-na,adv,vs) (on-mim) chattering/prattling/gooey/messy (from mud, ink, etc.)/
べちゃんこ /(adj-no) squished flat/
べったり /(adv,n) closely/thickly/hard/
べっとり /(adv) (1) sticky/thick (e.g. thickly plastered)/ikky/gummy/(2) to stick closely/
べっ甲 [べっこう] /(n) (1) tortoiseshell (of the hawksbill turtle)/bekko/(2) (in Chinese medicine) tortoiseshell (esp. of the Chinese soft-shelled turtle)/
べとつく /(v5k,vi) to be sticky/
べとべと /(adj-na,adv,n,vs) (on-mim) being sticky/
べと病 [べとびょう] /(n) downy mildew (disease)/
べらべら /(adj-na,adv,n,vs) (1) (on-mim) non-stop talking/speaking indiscreetly/chattering/(2) thin/flimsy/
べらぼう奴 [べらぼうめ] /(n) (derog) (uk) moron/idiot/
べらんめえ /(exp) bloody fool!/
べろっと /(adv) licking/sticking out one's tongue/
べろべろ /(adv,adv-to) (1) (on-mim) licking/(adj-na) (2) drunken/
べろべろ嘗める [べろべろなめる] /(exp,v1) (uk) to lick something up/to lap something up/
べろべろ舐める [べろべろなめる] /(exp,v1) (uk) to lick something up/to lap something up/
べろんべろん /(adj-na) (1) drunken/
べんべら /(n) worn-out silk clothes/cheap items/
ぺ /(aux) (1) (ktb:) (thb:) word used at sentence-end (like a particle) to indicate speculation, volition or invitation/(suf) (2) familiar suffix used after a personal name/
ぺこぺこ /(adj-na,adv,n,vs) (1) (on-mim) fawning/being obsequious/cringing/(2) being very hungry/(3) giving in/being dented/(P)/
ぺこり /(adv,adv-to) (1) sound of thin metal or plastic surface caving in and springing back/(2) action of quickly bowing or lowering one's head/
ぺこりと /(adv,adv-to) (1) sound of thin metal or plastic surface caving in and springing back/(2) action of quickly bowing or lowering one's head/
ぺこん /(adv,adv-to) (1) sound of thin metal or plastic surface caving in and springing back/(2) action of quickly bowing or lowering one's head/
ぺこんと /(adv,adv-to) (1) sound of thin metal or plastic surface caving in and springing back/(2) action of quickly bowing or lowering one's head/
ぺしゃんこ /(adj-na,adj-no) (1) crushed flat/flattened/squashed/flat-topped/(n) (2) (col) (m-sl) flat-chested girl/(3) (on-mim) sound of a sticky rice cake sticking to something/
ぺたぺた /(adv) (on-mim) sound of a flat surface repeatedly making contact with something/
ぺたり /(adv-to) slapping on/flopping down/
ぺたん /(adv) (on-mim) sound of something making firm contact with a flat surface/
ぺたんこ /(adj-na,adj-no) (1) crushed flat/flattened/squashed/flat-topped/(n) (2) (col) (m-sl) flat-chested girl/(3) (on-mim) sound of a sticky rice cake sticking to something/
ぺちゃくちゃ /(adv,vs) (on-mim) chattering/chit-chat/(ladies) prattle/
ぺちゃぱい /(n) small breasts/flat-chested/
ぺちゃぺちゃ /(adv) (1) chatter/prattle/(2) sound of juicy food being bitten into/
ぺちゃんこ /(adj-na,adj-no) (1) crushed flat/flattened/squashed/flat-topped/(n) (2) (col) (m-sl) flat-chested girl/(3) (on-mim) sound of a sticky rice cake sticking to something/
ぺったり /(adv) closely/fast/
ぺったん /(adv-to) flattening/
ぺったんこ /(adj-na,adj-no) (1) crushed flat/flattened/squashed/flat-topped/(n) (2) (col) (m-sl) flat-chested girl/(3) (on-mim) sound of a sticky rice cake sticking to something/
ぺっちゃんこ /(adj-na,adj-no) (1) crushed flat/flattened/squashed/flat-topped/(n) (2) (col) (m-sl) flat-chested girl/(3) (on-mim) sound of a sticky rice cake sticking to something/
ぺてん /(n) fraud/swindle/
ぺてん師 [ぺてんし] /(n) swindler/imposter/crook/
ぺらっ /(adv-to) (1) flipping (e.g. a page), peel off/(2) fluently/
ぺらぺら /(adj-na,adv,n,vs) (1) (on-mim) fluent/fluency/(2) flipping (pages)/(3) thin or weak (paper, cloth)/(P)/
ぺろりと /(adv) (on-mim) while sticking out one's tongue/
ぺろりと平らげる [ぺろりとたいらげる] /(exp,v1) to make short work of/to eat up quickly/
ぺんぺん /(n,vs) smack/spanking/
ぺチャパイ /(n) small breasts/flat-chested/
ほいほい /(adv) (1) Shoo! (used to drive away people or animals)/without considering the pros and (particularly) the cons/thoughtlessly/readily/blithely/willingly/(vs) (2) to pamper/to spoil/
ほうき星 [ほうきぼし] /(n) comet/
ほうじ茶 [ほうじちゃ] /(n) roasted green tea/
ほうっと /(adv) deeply/
ほうの木 [ほうのき] /(ik) (ik) (n) (uk) magnolia (Magnolia obovata)/Japanese big leaf magnolia/
ほうほうの体 [ほうほうのてい] /(exp) scuttling (to escape in a panic, in shame, etc.)/scurrying/scrambling/
ほうらいえそ /(n) (uk) Sloane's viperfish (Chauliodus sloani)/
ほうり込む [ほうりこむ] /(v5m,vt) to throw into/to toss into/
ほうり出す [ほうりだす] /(v5s,vt) to throw out/to fire/to expel/to give up/to abandon/to neglect/
ほうり投げる [ほうりなげる] /(v1,vt) to throw/to fling/to heave/to toss/
ほうれん草 [ほうれんそう] /(n) spinach/
ほお紅 [ほおべに] /(n) rouge/blusher/
ほかす /(v5s,vt) (ksb:) to throw away/to dispose/
ほかっておく /(v5k) (col) to leave alone/to leave as is/to ignore/to neglect/
ほかない /(exp) can do nothing but (do)/cannot help (doing) something/
ほかほか /(adj-na,adv,n,vs,adj-no) (on-mim) steamy hot food/warm(ly)/
ほかほか弁当 [ほかほかべんとう] /(n) hot bento/
ほか弁 [ほかべん] /(n) hot bento/
ほくそ笑む [ほくそえむ] /(v5m,vi) to chuckle/to snicker/
ほくほく /(adv,n,vs) (1) (on-mim) not soggy/(2) pleased with oneself/chuckling to oneself/
ほざく /(v5k,vt) (vulg) to say/to spatter/to prate/to prattle/to babble/to grumble/to murmur/to brawl/
ほじそ /(n) flowers heads of beefsteak plant (food)/
ほそぼそ話す [ほそぼそはなす] /(v5s) to speak slowly and quietly/
ほそ道 [ほそみち] /(n) narrow path/narrow lane/
ほぞ /(n) (uk) tenon/cog/dovetail/pivot/
ほぞを噛む [ほぞをかむ] /(exp,v5m) to regret bitterly/to be very sorry (for)/
ほぞを固める [ほぞをかためる] /(exp,v1) to make up one's mind (to do something)/to resolve firmly (to do something)/
ほぞんかけたか /(n) calling sound of the lesser cuckoo/
ほぞ穴 [ほぞあな] /(n) mortice/mortise/
ほたえる /(v1,vi) (1) (arch) to mess around/to clown around/(2) (arch) to take advantage of/to be spoiled/to be spoilt/
ほだえる /(v1,vi) (1) (arch) to mess around/to clown around/(2) (arch) to take advantage of/to be spoiled/to be spoilt/
ほっかいろ /(n) (chemical) body warmer/
ほっけ /(n) Arabesque greenling (Pleurogrammus azonus)/Okhostk Atka mackerel/
ほっこり /(adv-to,vs) (1) (on-mim) warm and fluffy/soft/(2) steamy hot (food)/hot and flaky/(exp) (3) (ksb:) feeling mentally tired/feeling of tired relief or accomplishment after effort or perseverance/
ほっそり /(n,vs,adv,adv-to) (on-mim) being slim/slender/
ほっつき歩く [ほっつきあるく] /(v5k) (col) to loiter around/to wander about/
ほっつく /(v5k,vi) (1) to loiter/(2) to waste money/
ほっと /(adv,n,vs) (on-mim) feeling relieved/(sigh of) relief/(P)/
ほっといて /(exp) back off!/leave me alone!/(P)/
ほっといてくれ /(exp) back off!/leave me alone!/(P)/
ほっほっほっ /(exp) Hohoho, as for Santa Clause/
ほっぽかす /(v5s) (obsc) (col) to leave/to skip out/
ほっぽらかす /(v5s,vt) to neglect/to abandon/
ほっぽり出す [ほっぽりだす] /(v5s,vt) to throw out/to fire/to expel/to give up/to abandon/to neglect/
ほつく /(v5k,vi) (1) to loiter/(2) to waste money/
ほつれ髪 [ほつれがみ] /(n) unkempt hair/
ほとおり星 [ほとおりぼし] /(n) (1) constellation/(2) (arch) mansion (any of the Chinese constellations used to divide the ecliptic into 28 positions)/(3) Chinese "star" constellation (one of the 28 mansions)/
ほとばしり出る [ほとばしりでる] /(v1) to gush out/to gush forth/to effuse/
ほとんどの人 [ほとんどのひと] /(exp) most people/
ほどき物 [ほどきもの] /(n) unsewing/clothes to be unsewn/
ほどのことは無い [ほどのことはない] /(exp) (uk) not worth (getting angry about, etc.)/
ほどの事はない [ほどのことはない] /(exp) (uk) not worth (getting angry about, etc.)/
ほど遠い [ほどとおい] /(adj-i) far off or away/
ほど近い [ほどちかい] /(adj-i) near/nearby/not far off/
ほな /(int) (osb:) well then/
ほにゃらら /(exp) something something (used to indicate a blank to be filled in)/
ほの暗い [ほのぐらい] /(adj-i) gloomy/obscure/
ほの字 [ほのじ] /(n) the L-word (i.e. love)/
ほの明かり [ほのあかり] /(n) faint light/dim light/
ほふく前進 [ほふくぜんしん] /(n,vs) crawling along/
ほほえみ返す [ほほえみかえす] /(v5s) to smile back (at a person)/to answer someone's smile/
ほほ笑み [ほほえみ] /(n) smile/
ほほ笑む [ほほえむ] /(v5m,vi) to smile/
ほめぱげ /(n) (sl) homepage/home page/
ほめ言葉 [ほめことば] /(n) words of praise/eulogy/compliment/
ほやほや /(adj-na,adj-no,adv) (on-mim) fresh/new/
ほら /(conj,exp) look!/look out!/look at me!/(P)/
ほらね /(int) see/you see/ha/
ほらを吹く [ほらをふく] /(exp,v5k) to boast/to brag/
ほら貝 [ほらがい] /(n) (uk) conch (Charonia tritonis)/trumpet shell/
ほら穴 [ほらあな] /(n) cave/den/grotto/
ほら吹き [ほらふき] /(n) braggart/boaster/
ほら話 [ほらばなし] /(n) tall story/cock-and-bull story/
ほれ込む [ほれこむ] /(v5m,vi) to be charmed by/
ほろほろ /(adv) (1) (on-mim) by ones and twos/(2) tears or flower petals falling quietly/(3) gurgling bird sound/
ほろほろ鳥 [ほろほろちょう] /(n) guinea fowl/
ほろり /(adv-to) (on-mim) being moved (to tears)/being touched by/becoming sentimental/
ほろ苦い [ほろにがい] /(adv,adj-i) bittersweet/slightly bitter/something that has a strong taste that adults favor/
ほろ子 [ほろし] /(n) (arch) rash/skin eruption/
ほろ子 [ほろせ] /(n) (arch) rash/skin eruption/
ほろ酔い [ほろよい] /(n) slight intoxication/
ほんで /(conj) (ksb:) and/thereupon/because of that/
ほんのり /(adv,n) slightly/faintly/
ほんわか /(adv,adv-to) (on-mim) warm/snug/
ほんわかした /(adj-f) (uk) warm and snug/soft and comfortable/
ほんわかとした /(adj-f) (uk) warm and snug/soft and comfortable/
ほ場 [ほじょう] /(n) cultivated land (field, garden, orchard, etc.)/
ほ乳動物 [ほにゅうどうぶつ] /(n) mammal/
ほ乳瓶 [ほにゅうびん] /(n) baby bottle/
ほ乳類 [ほにゅうるい] /(n) mammal/mammalian/
ぼーっと /(adv,n,vs) (on-mim) doing nothing/being stupefied/faintly/vaguely/in flames/flushingly/abstractedly/dazedly/blankly/dimly/hazily/dreamily/indistinctly/
ぼいん /(n) big breasts/
ぼうぜん自失 [ぼうぜんじしつ] /(n,vs,adj-no) stupor/stupefaction/trance/(being) dumbfounded/
ぼうっと /(adv,n,vs) (on-mim) doing nothing/being stupefied/faintly/vaguely/in flames/flushingly/abstractedly/dazedly/blankly/dimly/hazily/dreamily/indistinctly/
ぼうぼう /(adv-to,adv) (on-mim) burning vigorously/burning furiously/
ぼう張 [ぼうちょう] /(n,vs,adj-no) expansion/swelling/increase/growth/
ぼおっと /(adv,n,vs) (on-mim) doing nothing/being stupefied/faintly/vaguely/in flames/flushingly/abstractedly/dazedly/blankly/dimly/hazily/dreamily/indistinctly/
ぼくぼく /(adv,adv-to,vs) (1) (arch) (of soil, etc.) soft, dry and crumbly/(2) sound of quiet walking/
ぼけっと /(adv,vs) being stupified/doing nothing/
ぼこぼこ /(n-adv) (1) (on-mim) burbling/(2) hollow (sounding)/(3) holey/full of holes/
ぼこる /(v5r) (sl) to beat the hell out of/
ぼさっと /(adv,vs) (1) absent-mindedly/vacantly/idly/lazily/
ぼさぼさ /(adj-na,adv,n,vs,adj-no) (on-mim) unkempt, ruffled hair or brush bristles/idling away time/
ぼそっと /(adv,vs) (1) absent-mindedly/vacantly/idly/lazily/(2) in a whisper/
ぼそぼそ /(adj-na,adv,n,vs,adv-to) (1) (on-mim) dry and crumbling/(2) whispering/subdued/(3) tasteless/flavorless/flavourless/
ぼそり /(adv) whispering/murmuring/subdued/
ぼたぼた /(adv,adv-to,n) (on-mim) drip drip/
ぼたり /(adv,adv-to) falling with a splat/oozing/dripping/
ぼだいさった /(n) (Buddh) bodhisattva/
ぼちぼち /(adv,adv-to) (1) (on-mim) little-by-little/gradually/slowly/soon/(adj-na) (2) (ksb:) not bad/passable/so-so/
ぼちゃぼちゃ /(adv,n,vs) (1) splash water/dabble in water/splashing sound/
ぼちゃんと /(adv) (on-mim) with a splash/
ぼったくり /(n) (ksb:) rip-off/unfair overcharging/clip joint/
ぼったくる /(v5r) to rip someone off/
ぼったり /(adv,adv-to) falling with a splat/oozing/dripping/
ぼっちゃま /(n) (hon) son/boy/
ぼってり /(adj-f) (1) fleshy/plump/chubby/corpulent/(vs) (2) to apply thickly/to slap on/to coat with something thick/
ぼつぼつ /(adv,n) (on-mim) gradually/here and there/spots/pimples/
ぼとぼと /(adv) dripping/in drops/
ぼぼ /(n) baby/doll/pussy(cat)/slang for cunt/
ぼやかす /(v5s,vt) to make ambiguous/
ぼやく /(v5k,vi) to grumble/to complain/
ぼやける /(v1,vi) to become dim/to become blurred/(P)/
ぼやっと /(adv,vs) (on-mim) absentmindedly/dazedly/vaguely/
ぼらぼら /(exp) one after another/
ぼりぼり /(adv) (on-mim) munch/crunch/
ぼりぼり食べる [ぼりぼりたべる] /(exp,v1) to eat with a munching or crunching sound/
ぼる /(v5r) to ask a high price/to overcharge/
ぼろい /(adj-i) (1) profitable/(2) worn-out/crumbling/
ぼろくそに言う [ぼろくそにいう] /(exp,v5u) to speak ill of/to speak very disparagingly about/to speak very harshly about/
ぼろっちい /(adj-i) (sl) worn-out/crumbling/
ぼろぼろ /(adj-na,adv,n,vs,adj-no) (1) (on-mim) worn-out/torn/crumbling/tattered/(2) tears or grain of rice falling/(P)/
ぼろを出す [ぼろをだす] /(exp,v5s) to reveal the faults/
ぼろ屋 [ぼろや] /(n) (1) run-down shabby house/(2) (arch) rag and scrap merchant/
ぼろ家 [ぼろや] /(n) (1) run-down shabby house/(2) (arch) rag and scrap merchant/
ぼろ切れ [ぼろきれ] /(n) old rag/
ぼろ布 [ぼろきれ] /(n) old rag/
ぼろ儲け [ぼろもうけ] /(n,vs) easy money/easy gain/
ぼんたん飴 [ぼんたんあめ] /(n) Botan Rice Candy (lemon orange flavored soft, chewy candy with an edible wrapper and includes a small Botan Ame)/Botan Ame/Bontan Ame/
ぼんぼん /(adv,adv-to) (1) fiercely (e.g. of a fire burning)/(2) bong-bong (of clock ringing)/(3) with repeated bangs (e.g. of fire cracker)/(n) (4) (abbr) striking clock/(5) (ksb:) green young man from a well-to-do family/
ぼんぼん時計 [ぼんぼんどけい] /(n) striking clock/wall clock/pendulum clock/
ぼんやり /(adv,adv-to,vs) (1) (on-mim) dimly/faintly/indistinctly/vaguely/(2) (on-mim) absentmindedly/vacantly/carelessly/(3) (on-mim) idly/aimlessly/(n) (4) absence of mind/fool/blockhead/dunce/(P)/
ぽい /(suf,adj-i) (1) (col) -ish/-like/(n) (2) (on-mim) tossing something out/throwing something away/
ぽいする /(vs-s,vt) (chn) to toss away/to throw out/
ぽいと /(adv) (on-mim) carelessly (throwing, tossing, etc.)/nonchalantly/
ぽい捨て [ぽいすて] /(n) littering, esp. such things as empty cans, cigarette butts, dog faeces, etc. along roads, in parks, etc./careless tossing away/
ぽうっと /(adv,vs) (1) (on-mim) shrill whistling sound/(2) reddening or brightening slightly/(3) rush of blood to the head/
ぽか /(n,vs) (col) blunder/(careless) mistake/error/
ぽかぽか /(adv,n,vs,adv-to) (1) (on-mim) warmth throughout your body/(2) sound of beating someone/(P)/
ぽかよけ /(n) fool-proofing/mistake-proofing/error-proofing/fail-safe/
ぽかん /(adv-to) (1) (on-mim) vacantly/blankly/absentmindedly/(2) (on-mim) openmouthed/with one's mouth wide-open/gaping/flabbergasted/(3) (on-mim) with a whack/with a thump/(P)/
ぽきっと /(adv) (on-mim) snappingly/with a snap/
ぽこちん /(n) (col) penis/
ぽたぽた /(adv) (on-mim) dripping water/(P)/
ぽたぽた焼 [ぽたぽたやき] /(n) pota pota yaki (var. of senbei (rice cracker) coated with a sweet soy-sauce glaze on top)/
ぽたぽた落ちる [ぽたぽたおちる] /(exp,v1) to fall in drops/to drip down/to trickle down/
ぽたり /(adv-to) (1) (on-mim) drip/fall drop-by-drop/(2) suddenly (of drops of water)/
ぽちぽち /(adv,adv-to) (1) spattering/splotching/(2) step-by-step/little-by-little/(3) soon/(n) (4) dots/(5) ditto mark/
ぽちゃぽちゃ /(adv,n,vs) (1) splash water/dabble in water/splashing sound/(adj-f) (2) plump/chubby/
ぽちゃり /(adv-to,adv) (on-mim) splash/splosh/
ぽっ /(adv-to) (on-mim) with a blush/slightly flushed/fresh-faced/
ぽっかり /(adv,adv-to) (1) (on-mim) lightly/(2) gaping wide/
ぽっきり /(adv) merely/having just .../
ぽっくり /(adv) suddenly (e.g. sudden death)/
ぽっちゃり /(adv,adv-to) plump/chubbily/
ぽっちり /(adv,adv-to) very slightly/a little/
ぽっつり /(adv-to,adv) (1) (on-mim) isolated/standing alone/(2) falling in drops (e.g. rain)/(3) sighing (when saying something)/
ぽってり /(adv,vs) plump/fat/
ぽっと /(adv,vs) (1) (on-mim) slightly (blushing)/(2) (on-mim) suddenly (getting bright, flaring up, flashing on, etc.)/(3) (on-mim) distractedly/
ぽつぽつ /(adv,n) (on-mim) bit by bit/piece by piece/spots/pimples/
ぽつり /(adv-to,adv) (1) (on-mim) isolated/standing alone/(2) falling in drops (e.g. rain)/(3) sighing (when saying something)/
ぽつん /(adv-to,adv) (1) (on-mim) isolated/standing alone/(2) falling in drops (e.g. rain)/(3) sighing (when saying something)/
ぽとぽと /(adv) (on-mim) trickle down in thick drops/
ぽとり /(adv-to) with a "plop" (of tears, drop of water, etc.)/
ぽとりと落ちる [ぽとりとおちる] /(exp,v1) to fall down with a "plop"/
ぽにょぽにょ /(exp) to be fat/
ぽりぽり /(adv) (on-mim) crunching sound/
ぽろぽろ /(adj-na,adv,n,vs) (on-mim) in large drops/
ぽろり /(adv) (1) crying/(2) falling off/falling down/(3) inadvertently coming to the surface/
ぽん /(adv) (on-mim) pop/plop/cloop/
ぽんと /(adv) (on-mim) with a pop/
ぽん引き [ぽんびき] /(n) (1) tout/swindler/con-man/(2) pimp/
ぽん引き [ぽんぴき] /(n) (1) tout/swindler/con-man/(2) pimp/
まあ /(adv,conj,int) (fem) you might say/Oh!/Wow!/Well!/(P)/
まあね /(exp) well, I must admit .../
まあまあ /(adj-na,adv,int) (1) (on-mim) so-so/(int) (2) now, now (used in calming people down)/(3) (fem) my, my (expression of wonder, surprise, etc.)/(P)/
まい /(aux) (1) probably isn't (doesn't, won't, etc.)/(2) don't (doesn't) intend to/intend not to/(3) must not/(when used in an imperative sentence) don't/
まいう /(n,adj-f) (sl) delicious (slang reversal of "umai")/
まいうー /(n,adj-f) (sl) delicious (slang reversal of "umai")/
まいか /(exp) (used to make a request, etc.) won't you/
まいとーく /(n) (comp) Mytalk/
まいに /(conj) even though it is not/despite not/
まいゆ /(adj-f) (1) delicious/appetizing/appetising/(2) skillful/clever/expert/wise/successful/(3) fortunate/splendid/promising/
まいゆう /(adj-f) (1) delicious/appetizing/appetising/(2) skillful/clever/expert/wise/successful/(3) fortunate/splendid/promising/
まか不思議 [まかふしぎ] /(adj-na,n) mysterious/profound mystery/
まがい物 [まがいもの] /(n) imitation/fake/sham/
まがりかわ /(n) kanji "curving river" radical (variant of radical 47)/
まき込む [まきこむ] /(v5m,vt) to roll up/to involve/to enfold/to swallow up/to drag into/
まき散らす [まきちらす] /(v5s,vt) to scatter/to spread/
まくし立てる [まくしたてる] /(v1,vt) to talk on and on/
まくり上げる [まくりあげる] /(v1) to tuck (e.g. sleeves)/to roll up/
まぐわう /(v5u,vi) to have sexual intercourse/
まげわりふ /(n) kanji "crooked seal" radical at right (variant of radical 26)/
まごまご /(adv,n,vs) (on-mim) confused/(P)/
まさかの時 [まさかのとき] /(exp) in time of need/for a rainy day/in case of emergency/
まざまざ /(adv-to) (on-mim) plainly/clearly/vividly/
まし /(aux) (1) (pol) (used to make a polite request or demand) please/(2) used to increase the politeness of a greeting, apology, etc./
ましなんだ /(exp) (pol) (arch) suffix used to negate a verb in the past tense/
ましょ /(ik) (exp) (1) (pol) (used to express the speaker's volition) I'll/(2) (used to make an invitation, request, etc.) let's/(3) (used to express a conjecture) probably/
ましょう /(exp) (1) (pol) (used to express the speaker's volition) I'll/(2) (used to make an invitation, request, etc.) let's/(3) (used to express a conjecture) probably/
ましょうか /(exp) (1) shall I?/(2) shall we?/
まじ /(adj-na,n) (1) (sl) serious (not capricious or flirtatious)/(aux-v) (2) cannot/should not/will not/must not/
まじき /(aux-adj,adj-f) should not be/must not be/
まじまじと /(adv) staringly/fixedly/
まじまじと見る [まじまじとみる] /(exp,v1) to take a long hard look at something/
ます /(aux-v) (1) (pol) used to indicate respect for the listener (or reader)/(2) (arch) (hum) used to indicate respect for those affected by the action/
ますです体 [ますですたい] /(n) literary form imparting the nuance of polite speech (with sentences ending in "desu" and verbs ending in "masu")/
ます目 [ますめ] /(n) (1) measure/(2) square (e.g. of graph paper or Japanese manuscript paper)/(3) box (e.g. on a form)/
まずる /(v5r) to bungle/to make things awkward/
まず隗より始めよ [まずかいよりはじめよ] /(exp) he who first suggests it should be the first to do it/
ませ /(aux) (1) (pol) (used to make a polite request or demand) please/(2) used to increase the politeness of a greeting, apology, etc./
ませなんだ /(exp) (pol) (arch) suffix used to negate a verb in the past tense/
ませる /(v1) to seem grown-up/to seem mature/to be precocious/to be advanced for one's age/
ません /(exp) (pol) suffix used to negate a verb in the non-past tense/
ませんか /(exp) (1) (pol) (used to ask a question in the negative) won't (hasn't, isn't, doesn't, etc.)/(2) (used to make invitations, express desires or give indirect commands) won't you/(P)/
ませんかった /(exp) (pol) (arch) suffix used to negate a verb in the past tense/
ませんだった /(exp) (pol) (arch) suffix used to negate a verb in the past tense/
ませんでした /(exp) (pol) suffix used to negate a verb in the past tense/
またぎ /(n) ancient hunting communities in Touhoku/
またたく間に [またたくまに] /(adv) in the twinkling of an eye/in a flash/
またね /(exp) good-bye/see you later/(P)/
またの名 [またのな] /(n) alias/another name/
また逢う日まで [またあうひまで] /(exp) till we meet again/
また会う日まで [またあうひまで] /(exp) till we meet again/
また明日 [またあした] /(exp) (uk) see you tomorrow/
また来週 [またらいしゅう] /(exp) See you next week/
まだまだこれから /(exp) it's not over yet/you haven't seen anything yet/it's not over until the fat lady sings/it's too soon to tell/we're not out of the woods/(P)/
まったく気にかけない [まったくきにかけない] /(exp,adj-i) not be concerned about at all/not be troubled by/to not care about/
まったく気にならない [まったくきにならない] /(exp,adj-i) not be concerned about at all/not mind about at all/not care a bit/
まったり /(adj-f) (1) rich (taste)/full-bodied (flavour, flavor)/mellow(ness)/(2) laid-back (lifestyle)/
まっ四角 [まっしかく] /(n) square/
まっ正直 [まっしょうじき] /(adj-na,n) perfectly honest/
まっ昼間 [まっぴるま] /(n-adv,n-t) broad daylight/
まっ白 [まっしろ] /(adj-na,adj-no,n) pure white/
まつ毛 [まつげ] /(n,adj-no) (uk) eyelashes/
までなら /(exp) up to ... (e.g. items) (nuance of comparison)/until ... (times)/as far as/(P)/
までもない /(exp) (after verb phrase) doesn't amount to doing (something)/not significant enough to require (something)/(P)/
まとめ買い [まとめがい] /(n,vs) collecting together and buying/doing a big shop/
まとめ役 [まとめやく] /(n) mediator/peacemaker/troubleshooter/manager/
まどろこい /(adj-i) dull (e.g. of movement or reaction)/sluggish/
まどろこしい /(adj-i) dull (e.g. of movement or reaction)/sluggish/
まどろっこい /(adj-i) dull (e.g. of movement or reaction)/sluggish/
まどろっこしい /(adj-i) dull (e.g. of movement or reaction)/sluggish/
まなじりを決して [まなじりをけっして] /(exp) with one's eyes flashing/
まな板 [まないた] /(n) chopping board/
まの当り [まのあたり] /(adv,n) in one's presence/face to face/on the spot/before one's eyes/
まひょ /(ik) (exp) (1) (pol) (used to express the speaker's volition) I'll/(2) (used to make an invitation, request, etc.) let's/(3) (used to express a conjecture) probably/
まぶ達 [まぶだち] /(n) (col) true friend/close friend/
まへん /(exp) (pol) (ksb:) suffix used to negate a verb in the non-past tense/
まべ貝 [まべがい] /(n) (uk) penguin wing oyster (Pteria penguin)/
まま息子 [ままむすこ] /(n) stepson/
まま娘 [ままむすめ] /(n) stepdaughter/
まむし /(n) (food) (ksb:) broiled eel (usu. mixed into rice)/
まむし丼 [まむしどん] /(n) (ksb:) bowl of eel and rice (donburi)/
まむし丼 [まむしどんぶり] /(n) (ksb:) bowl of eel and rice (donburi)/
まやかし /(n,adj-no) deception/make-believe/fake/counterfeit/phony/
まやかす /(v5s,vt) to cheat/to swindle/to deceive/
まるあおめえそ /(n) (uk) Chlorophthalmus borealis (species of greeneye)/
まる覚え [まるおぼえ] /(n,vs) full memorization/full memorisation/
まわり灯篭 [まわりどうろう] /(n) revolving lantern/
まんざら夢ではない [まんざらゆめではない] /(exp,adj-i) not altogether a dream/
まんじり /(n) (1) (usu. with negative verb) nap/doze/short sleep/(adv-to) (2) staringly/fixedly/
まんじりともしない /(exp) not sleeping a wink/wide awake all night/
まんじりともせず /(exp) not sleeping a wink/wide awake all night/
まんまと /(adv) (on-mim) successfully/fairly/artfully/nicely/thoroughly/
まん丸 [まんまる] /(adj-na,n) perfect circle/
まん前 [まんまえ] /(adj-no,adv) right in front/just opposite/under the nose/
まん中 [まんなか] /(n) middle/centre/center/mid-way/
み /(suf) (1) -ness (nominalizing suffix, esp. of sensory or subjective adjectives)/(2) nominalizing suffix indicating location/(3) (as ...mi ...mi) alternating between ... and .../
みいちゃんはあちゃん /(exp) the follower of each new fad/
みいはあ /(adj-na,n) (1) (abbr) follower of each new fad/(2) (sl) poser/
みかじめ料 [みかじめりょう] /(n) protection money/
みかん箱 [みかんばこ] /(n) cardboard box for mandarin oranges/
みかん畑 [みかんばたけ] /(n) mandarin plantation/
みこしを据える [みこしをすえる] /(exp,v1) to ensconce oneself (e.g. in a chair)/to settle oneself down/to plant oneself/
みこしを担ぐ [みこしをかつぐ] /(exp,v5g) (1) to wheedle a person into doing something/(2) to carry a portable shrine/
みしみし /(adv,adv-to,vs) creaking/groaning (e.g. of something under physical stress)/
みじん切り [みじんぎり] /(n) finely chopped (cooking)/(P)/
みずほ銀行 [みずほぎんこう] /(n) Mizuho Bank/
みそ汁 [みそしる] /(n) miso soup/
みたい /(suf,adj-na) (col) -like/sort of/similar to/resembling/(P)/
みっちり /(adv) (1) severely/strictly/fully/(2) earnestly/diligently/
みつかけ星 [みつかけぼし] /(n) Chinese "Chariot" constellation (one of the 28 mansions)/
みどりの日 [みどりのひ] /(n) Greenery Day (national holiday; May 4)/
みなし子 [みなしご] /(n,adj-no) orphan/
みなし配当 [みなしはいとう] /(n) consent dividend/constructive dividend/deemed dividend/
みなし有価証券 [みなしゆうかしょうけん] /(n) deemed securities/
みなみじゅうじ座 [みなみじゅうじざ] /(n) Southern Cross/
みみっちい /(adj-i) tightfisted/stingy/miserly/small-minded/
みやげもの屋 [みやげものや] /(n) souvenir store/gift shop/
みやこたなご /(n) (uk) Tokyo bitterling (species of cyprinid fish, Tanakia tanago)/
みる貝 [みるがい] /(n) (uk) Tresus keenae (species of trough shell)/
みんなの党 [みんなのとう] /(n) Your Party (a Japanese political party)/
みんみん /(adv,n) (on-mim) seeing through another person's scheme (e.g. lies and flattery)/
みんみん蝉 [みんみんぜみ] /(n) (uk) Oncotympana maculaticollis (large black and green species of Oriental cicada)/
み国 [みくに] /(n) (1) (hon) country/(2) (hon) Japan/
み使い [みつかい] /(n) angel/
む /(int) (1) (arch) unh (sound of physical exertion)/oof/(2) wow/whoa/(3) yes/yeah/uh-huh/(aux-v) (4) (after a -nai stem) probably/(5) will/intend to/(6) would like to have done (for me)/
むうっと /(adv,vs) (1) (on-mim) sullenly/angrily/testily/huffily/petulantly/indignantly/(2) (on-mim) stuffily/stiflingly/(adv) (3) (on-mim) slowly (exhaling smoke)/
むかっと /(adv,vs) feeling angry (or nauseated, etc.) suddenly/
むかっ腹 [むかっぱら] /(n) anger/passion/
むかつく /(v5k,vi) to feel sick/to feel irritated/to feel offended/to feel angry/
むかむか /(adv,n,vs) (on-mim) nausea/queasy/surge of anger/(P)/
むき出し [むきだし] /(adj-na,n) nakedness/frankness/
むき出す [むきだす] /(v5s,vt) to show/to bare (the teeth)/
むき身 [むきみ] /(n) shellfish removed from the shell/
むくつけき /(adj-pn) coarse/uncultured/
むくむく /(adv,adv-to,vs) (1) (on-mim) rising up/towering/billowing (e.g. clouds of smoke)/(2) (on-mim) plump/chubby/fat/(3) (on-mim) shaggy/hairy/
むくり /(adv,adv-to,vs) (1) (rising) abruptly/
むさい /(adj-i) filthy/squalid/dirty/foul/sordid/
むささび /(n) (uk) giant flying squirrel (Petaurista leucogenys)/
むさ苦しい [むさくるしい] /(adj-i) (uk) filthy/squalid/dirty/foul/sordid/
むざむざ /(adv) helplessly/easily/without resistance/without regret/
むしゃくしゃ /(adv,vs) (1) vexed/irritated/fretful/in ill humour/in ill humor/in a temper/(2) shaggy/bushy/ragged/rugged/
むしゃむしゃ /(adv) munch/crunch/
むしょ送り [むしょおくり] /(n) being sent to prison/
むしり取る [むしりとる] /(v5r,vt) to tear off/to pluck off/
むず /(aux-v) (1) (arch) will probably be/(2) intending to/will/(3) should/
むずい /(adj-i) (abbr) difficult/
むずつく /(v5k,vi) to itch/
むずむず /(vs) (1) (on-mim) to feel itchy/to itch/to feel creepy/(2) to be impatient/to itch (to do something)/to be eager/
むずむず脚症候群 [むずむずあししょうこうぐん] /(n) Restless Leg Syndrome/RLS/
むずむず足症候群 [むずむずあししょうこうぐん] /(n) Restless Leg Syndrome/RLS/
むず痒い [むずがゆい] /(adj-i) (1) itchy/(2) creepy/feeling uneasy/
むせび泣き [むせびなき] /(vs) (1) to sob/to be choked with tears/(n) (2) sobbing/
むせび泣く [むせびなく] /(v5k,vi) to sob/to be choked with tears/
むせ返る [むせかえる] /(v5r,vi) to choke/to sob convulsively/to cough/
むだ骨 [むだぼね] /(n) useless/waste of time and effort/pointless/vain efforts/
むだ足 [むだあし] /(n,vs) visit for no reason/go on fool's errand/
むちむち /(adv-to,adv,vs) (on-mim) plump/chubby/voluptuous/
むち打ち [むちうち] /(n) (1) (abbr) whipping/beating with a whip/(2) (abbr) whiplash/
むち打ち症 [むちうちしょう] /(n) whiplash/
むち打つ [むちうつ] /(v5t,vt) to whip/to lash/to give the rod/to spur on/to encourage/
むっくり /(adv,adv-to,vs) (1) (rising) abruptly/(2) plump/rotund/
むっちり /(adv-to,adv,vs) (on-mim) plump/chubby/voluptuous/
むっちりと /(adv) (on-mim) plumply/
むっつり /(adv-to,adv,vs) (1) (on-mim) sullenly/taciturnly/morosely/gloomily/silently/(n) (2) taciturn person/uncommunicative person/(P)/
むっと /(adv,vs) (1) (on-mim) sullenly/angrily/testily/huffily/petulantly/indignantly/(2) (on-mim) stuffily/stiflingly/(P)/
むつ /(n) (uk) gnomefish (Scombrops boops)/
むつ五郎 [むつごろう] /(n) (uk) mudskipper (Boleophthalmus pectinirostris)/goggle-eyed goby/
むとす /(exp,vs-i) (1) (after a -nai stem) to be trying to/(2) to be just about to/
むにゃむにゃ /(adv) mumbling/incomprehensible muttering/talking with food in one's mouth/talking in sleep/
むねを冷やす [むねをひやす] /(exp,v5s) to be frightened/
むらさめ型護衛艦 [むらさめがたごえいかん] /(n) Murasame class destroyer/
むんず /(adv-to) strongly/violently/with all one's strength/
むんむん /(adv,n,vs) (1) (on-mim) stuffy/(2) woman's desire/
めい想 [めいそう] /(n,vs) meditation/contemplation/
めかけ奉公 [めかけぼうこう] /(n,vs) serving as a concubine/
めがねっ娘 [めがねっこ] /(n) (m-sl) girl (usu. attractive) with glasses/glasses-wearing girl/
めきめき /(adv) (on-mim) conspicuously/(P)/
めく /(suf,v5k) (1) to show signs of .../to have the appearance of .../(2) (X) (col) to jerk off/to masturbate/(P)/
めくら印 [めくらいん] /(n) (col) (obsc) (sens) rubber stamp/
めくら判 [めくらばん] /(n) (sens) approving a document without adequately reading it/rubber-stamping/
めくり上げる [めくりあげる] /(v1) to lift/to turn over/to fold over/
めぐり会う [めぐりあう] /(v5u) to meet fortuitously (e.g. running into an old friend)/to meet by chance/to happen across/
めぐり合う [めぐりあう] /(v5u) to meet fortuitously (e.g. running into an old friend)/to meet by chance/to happen across/
めぐり合わせ [めぐりあわせ] /(n) fate/chance/
めげる /(v1,vi) to be discouraged/to shrink from/
めじ /(n) young tuna (esp. northern bluefin tuna under 1 meter)/
めじろ押し [めじろおし] /(n) jostling/milling about/
めそめそ /(adv,n,vs) (on-mim) uncontrolled weeping/sobbing/
めためた /(adj-na,adv,adv-to) beyond repair/
めちゃぱい /(n) big breasts/
めっ /(int) used to scold small children and pets/
めっきり /(adv) remarkably/(P)/
めっさ /(adj-na) (sl) extremely/very/
めっちゃ /(adv) (sl) (ksb:) very/extremely/excessively/
めばち /(n) sty (on the eyelid)/stye/
めばちこ /(n) sty (on the eyelid)/stye/
めらめら /(adv,adv-to) (on-mim) flaring up/bursting into flames/
めりはりの利いた [めりはりのきいた] /(exp) explicit/clear/unambiguous/meaningful/lively/
めりはりを利かせた [めりはりをきかせた] /(exp) explicit/clear/unambiguous/meaningful/lively/
めりめり /(adv-to) (on-mim) splintering or cracking (e.g. in a strong wind)/
めり込む [めりこむ] /(v5m,vi) to sink into/to cave in/
めんこい /(adj-i) (thb:) lovely/sweet/cute/
めんご /(n) (sl) sorry (not very sincere)/
めんそーれ /(n) (rkb:) welcome/
めんそおれ /(n) (rkb:) welcome/
めん棒 [めんぼう] /(n) cotton swab/
めん棒 [めんぼう] /(n) rolling pin/
め組 [めぐみ] /(n) (arch) fire brigade (in Edo)/
め組の頭 [めぐみのかしら] /(n) (arch) fire brigade chief (in Edo)/chief fireman/
も /(prt) (1) also/too/words of similar weight/(2) about (emphasizing an upper limit)/as much as/even/(adv) (3) more/further/other/again/(P)/
もう /(adv,int) (1) already/anymore/(2) soon/shortly/(3) more/further/other/again/(int,adv) (4) interjection used to strengthen expression of an emotion (often exasperation)/(P)/
もういっちょ /(exp) (col) once more/again/
もうけ物 [もうけもの] /(n) good bargain/a find/godsend/a steal/
もうすっかり /(exp) already completed (arrived, happened, etc.)/(P)/
もうちょっとしたら /(exp) in a little while (referring to the very near future on the order of minutes)/in a bit/
もうひと頑張り [もうひとがんばり] /(n,vs) one more effort/
もうひと踏ん張り [もうひとふんばり] /(exp) holding out a little longer/
もうもう /(adv,adv-to) (1) (on-mim) mooing/(n) (2) (chn) moo-moo (i.e. kid's talk for "cow")/
もう一つ [もうひとつ] /(n,adv) (uk) another/one more/
もう一回 [もういっかい] /(exp) once more/once again/
もう一頑張り [もうひとがんばり] /(n,vs) one more effort/
もう一人 [もうひとり] /(n,adv) another (person)/the other person/one more (person)/
もう一度 [もういちど] /(exp) once more/again/
もう一踏ん張り [もうひとふんばり] /(exp) holding out a little longer/
もう一遍 [もういっぺん] /(exp) (uk) (ksb:) once more/again/
もう少し [もうすこし] /(exp) a bit more/a bit longer/
もう少しで [もうすこしで] /(exp) almost/nearly/close to/
もう少しのところで [もうすこしのところで] /(exp) almost/nearly/close to/
もう少しの所で [もうすこしのところで] /(exp) almost/nearly/close to/
もう直 [もうじき] /(exp,adv) (uk) soon/
もう直ぐ [もうすぐ] /(exp) (uk) very soon/
もがな /(prt) particle used to indicate the speaker's hope, desire, wish, etc. (e.g. "it would be nice if ...", "I wish there were ...", etc.)/
もぎたて /(adj-no) fresh-picked/
もぎり /(n) ticket-collector/
もぎる /(v5r,vt) (uk) to pluck/to pick/to tear off/
もぎ取る [もぎとる] /(v5r) (uk) to pluck off/to pick/to break or tear off/to wrest (away from)/to wrench free/to snatch (away)/
もくもく /(adv,adv-to) (on-mim) with clouds of smoke/
もくる /(v5r) (sl) to smoke/
もぐ /(v5g) (uk) to pluck (usually from a tree)/to pick (e.g. apples)/(P)/
もぐもぐ /(adv,vs,adv-to) (on-mim) mumbling/chewing one's words/
もぐら打ち [もぐらうち] /(n) driving away moles by hitting the ground with straw bundles prepared by children (esp. as an annual event on January 15th)/
もぐり込む [もぐりこむ] /(v5m,vi) to slip into/to crawl into (under)/to conceal oneself (under)/
もげる /(v1,vi) (uk) to be torn off/to come off/
もこもこ /(adj-f) lumpy/fluffy/
もごもご /(adv,vs,adv-to) (on-mim) mumbling/chewing one's words/
もさっと /(adv,vs) absentmindedly/
もさもさ /(vs) (1) hairy (person)/thickly bearded person/(2) slow person/dull person/
もさることながら /(exp) one may well say so, but .../even more than/
もし /(int) excuse me! (when calling out to someone)/
もしあれば /(exp) if any/if it exists/
もしかし /(exp,adv) (abbr) perhaps/maybe/by some chance/
もしかしなくても /(exp,adv) (col) no need to guess/certainly/
もしそうなら /(exp) if so/in that case/
もしそれが興奮させなかったら [もしそれがこうふんさせなかったら] /(exp) If it was not exciting/
もしもし /(int) (1) hello (e.g. on phone)/(2) excuse me! (when calling out to someone)/(P)/
もしもの事 [もしものこと] /(exp) emergency/accident/rare possibility/unexpected occurrence/
もしゃもしゃ /(adj-na,adv,vs) shaggy/scraggly/bushy/disheveled/dishevelled/unkempt/tousled/raggedy/
もし可能ならば [もしかのうならば] /(exp) if possible/
もじもじ /(adv,vs) (on-mim) bashfully/hesitantly/fidgety/restlessly/squirming/wriggling/haltingly/
もじゃもじゃ /(adj-na) tousled/shaggy (hair)/dishevelled/disheveled/unkempt/
もじら組 [もじらぐみ] /(n) Mozilla community/
もそっと /(adv) a little more/
もそもそ /(vs,adv,adv-to) (on-mim) creeping about/stirring restlessly/squirming/
もぞもぞ /(vs,adv,adv-to) (on-mim) creeping about/stirring restlessly/squirming/
もたつく /(v5k,vi) to be slow/to not make progress/to be inefficient/
もたもた /(adv,n,vs) (on-mim) inefficient/slow/
もたれ掛る [もたれかかる] /(v5r,vi) (1) to lean on/to recline on/(2) to rely on/to depend on/
もち /(adv) (abbr) (col) of course/for sure/definitely/
もちのろん /(adv) (sl) of course/certainly/naturally/
もちの木 [もちのき] /(n) (uk) Nepal holly (Ilex integra)/
もちはもち屋 [もちはもちや] /(exp) (id) every man knows his own business best/one should go to specialists for the best results/
もちもち /(adj-no,vs) springy (texture)/
もち肌 [もちはだ] /(n) soft skin/smooth skin/
もち米 [もちごめ] /(n) glutinous rice/
もっかい /(n) (col) once more/once again/
もっけの幸い [もっけのさいわい] /(exp) windfall/piece of good luck/
もっこり /(vs,adv-to,adv) (1) (on-mim) bulge in a pocket or clothing/(2) "tent" an erection makes against pants or bedsheets/
もっさい /(adj-i) (sl) unfashionable/
もっさり /(adv,vs) (1) unfashionable/lacking style/(2) dim-witted/slow/
もっそり /(adv-to,adv,vs) (1) slowly/(2) unrefined/
もっての外 [もってのほか] /(adj-na,n) absurd/unreasonable/
もって瞑すべし [もってめいすべし] /(exp) one can now rest in peace/one ought to be contented with what has been accomplished/
もっと /(adv) (on-mim) (some) more/even more/longer/further/(P)/
もっともらしい顔 [もっともらしいかお] /(exp) dignified expression/solemn expression/serious expression/
もっぺん /(exp) (col) (abbr) once more/again (abbr. of mou ippen)/
もつ /(n) (food) (abbr) entrails/giblets/guts/internal organs (as food)/
もつれ合う [もつれあう] /(v5u) to entangle themselves together (e.g. of butterflies)/to be intertwined/
もつ焼 [もつやき] /(n) roast giblets/
もつ焼き [もつやき] /(n) roast giblets/
もつ鍋 [もつなべ] /(n) miso nabe made with offal and vegetables/(P)/
もて /(pref) emphatic prefix/
もてあそび物 [もてあそびもの] /(n) plaything/toy/
もて扱う [もてあつかう] /(v5u,vt) (1) (arch) to take care of/(2) (arch) to be too much for one/to find unmanageable/to be beyond one's control/to not know what to do with/
もて映やす [もてはやす] /(v5s,vt) (uk) to praise extravagantly/to lionize/to lionise/to make much of/
もて栄やす [もてはやす] /(v5s,vt) (uk) to praise extravagantly/to lionize/to lionise/to make much of/
もて遊ぶ [もてあそぶ] /(v5b,vt) (1) (uk) to play with (a toy, one's hair, etc.)/to fiddle with/(2) to toy with (one's emotions, etc.)/to trifle with/(3) to do with something as one pleases/(4) to appreciate/
もて囃す [もてはやす] /(v5s,vt) (uk) to praise extravagantly/to lionize/to lionise/to make much of/
もと /(n) yeast mash/
もどかしい /(adj-i) irritating/not quick enough/tantalizing/tantalising/feel impatient/tardy/
もどかしげに /(adv) fretfully/impatiently/
もにゃもにゃ /(adv) mumbling/incomprehensible muttering/talking with food in one's mouth/talking in sleep/
もぬけの殻 [もぬけのから] /(exp) (uk) completely empty/
ものか /(prt) (male) used to create a form of question indicating that the speaker actually believes the opposite is true/emphasizes a determination not to do something, e.g. "Like hell I will!"/
ものが言えない [ものがいえない] /(exp) speechless (with amazement)/struck dumb/
ものだから /(conj) the reason for something/
もので /(prt,conj) conjunctive particle indicating a cause or reason/
ものである /(exp) is something that/is that which/
ものですか /(exp) (fem) used to create a rhetorical question indicating that the speaker actually believes the opposite is true/emphasizes a determination not to do something by means of a rhetorical question/
ものですから /(exp) reason or excuse (nuance of seeking understanding)/
ものの /(prt) but/although/(P)/
ものの数ではない [もののかずではない] /(exp) nothing special/nothing significant/
ものの道理 [もののどうり] /(n) the principle of the thing/
ものも言いよう [ものもいいよう] /(exp) (id) To make or mar depends on the telling/
ものを /(conj,prt) although (with nuance of strong discontent)/but/even though/I wish ..../
ものを言う [ものをいう] /(exp,v5u) (1) to speak (of something)/(2) to be effective/to be powerful/to mean everything/
もの言う [ものいう] /(v5u,vt) to talk/to carry meaning/
もの寂しい [ものさびしい] /(adj-i) lonely/
もの臭い [ものぐさい] /(adj-i) troublesome/bothersome/burdensome/
もの柔らか [ものやわらか] /(adj-na,n) mild/mild-mannered/gentle/
もの静か [ものしずか] /(adj-na,n) quiet/still/calm/
もの悲しい [ものがなしい] /(adj-i) sad/melancholy/
もの憂い [ものうい] /(adj-i) languid/weary/listless/melancholy/
もの淋しい [ものさびしい] /(adj-i) lonely/
もみじ袋 [もみじぶくろ] /(n) rice-bran bag (used for scrubbing the skin when bathing)/
もみの木 [もみのき] /(n) fir tree/
もみもみ /(n,vs) massage/
もみ殻 [もみがら] /(n) rice husks/
もみ合い [もみあい] /(n) jostle/struggle/scuffle/
もみ合う [もみあう] /(v5u,vt) to jostle/to shove and push/to struggle with one another/
もみ手 [もみで] /(n,vs) rubbing one's hands together/
もみ手で頼む [もみででたのむ] /(exp,v5m) to supplicate/to implore humbly/
もみ消す [もみけす] /(v5s,vt) to crush/to hush up/to blanket/
もみ療治 [もみりょうじ] /(n,vs) (therapeutic) massage/
もめ事 [もめごと] /(n) quarrel/trouble/dispute/friction (between people)/
ももんが /(n) (uk) small Eurasian flying squirrel (Pteromys momonga)/
ももんがあ /(n) (uk) small Eurasian flying squirrel (Pteromys momonga)/
ももんじい屋 [ももんじいや] /(n) (arch) meat vendor/butcher/
ももんじ屋 [ももんじや] /(n) (arch) meat vendor/butcher/
もも引き [ももひき] /(n) close fitting trousers/working trousers/long johns/long underpants/
もも上げ [ももあげ] /(n) high knee (exercise drill where one brings one's knees up high while walking or running)/
もも肉 [ももにく] /(n) leg (meat)/round/ham/
もやい結び [もやいむすび] /(n) bowline (knot)/
もやしっ子 [もやしっこ] /(n) weak, frail or gangly child/
もやもや /(adv,n,vs) (on-mim) hazy/misty/feeling sad/feeling fuzzy/feeling depressed/gloomy/
もやもや病 [もやもやびょう] /(n) moyamoya disease (rare, progressive cerebrovascular disorder caused by blocked arteries in the basal ganglia)/
もようびゆ /(n) (uk) calico plant (Alternanthera ficoidea)/
もらい受ける [もらいうける] /(v1,vt) to get/to be given/
もりもり /(adv,n) (on-mim) swelling/someone full of zest/gusto/
もろ刃 [もろは] /(adj-no) (1) double-edged/
もろ肌 [もろはだ] /(n) both bare shoulders/stripped to the waist/
もろ肌を脱ぐ [もろはだをぬぐ] /(exp,v5g) (1) to strip to one's waist/(2) to go at with might and main/
もろ肌脱ぎ [もろはだぬぎ] /(n) stripping to one's waist/being bare from the waist up/
もんか /(prt) (male) used to create a form of question indicating that the speaker actually believes the opposite is true/emphasizes a determination not to do something, e.g. "Like hell I will!"/
もんじゃ焼き [もんじゃやき] /(n) savoury pancake with various fillings, thinner than okonomiyaki/
もんだから /(conj) the reason for something/
もんで /(prt,conj) conjunctive particle indicating a cause or reason/
もんですか /(exp) (fem) used to create a rhetorical question indicating that the speaker actually believes the opposite is true/emphasizes a determination not to do something by means of a rhetorical question/
もんどり打つ [もんどりうつ] /(v5t) to turn a somersault/
もんぺ /(n) women's work pants/
も一つ [もひとつ] /(exp) furthermore/adding to the above-mentioned/
や /(prt) (1) such things as (non-exhaustive list related to a specific time and place)/and ... and/(2) (after the dictionary form of a verb) the minute (that) .../no sooner than .../(int) (3) punctuational exclamation in haiku, renga, etc./(aux) (4) (ksb:) plain copula/(P)/
やあ /(int) (1) Yo! (greeting)/(2) Wow! (expression of surprise)/
やいやい /(adv,adv-to) (1) pressingly/demandingly/(int) (2) hey! hey!/oi!/
やえやま型掃海艦 [やえやまがたそうかいかん] /(n) Yaeyama class minesweeper/
やおい /(n) manga on the theme of male homosexual love/
やおら /(adv) slowly/leisurely/deliberately/
やか /(suf,adj-na) (after a noun, adjective stem, onomatopoeic-mimetic word, etc.) seeming very .../
やがる /(aux,v5r) verb suffix (te form or masu stem) to indicate hatred and contempt, or disdain for another's action (vulg)/
やきもき /(adv,n,vs) impatient/worry about/
やきもちを焼く [やきもちをやく] /(exp,v5k) to be jealous/
やきもちを妬く [やきもちをやく] /(exp,v5k) to be jealous/
やきもち焼き [やきもちやき] /(n) jealous person/
やくざ /(n) (1) professional gambler or ruffian (esp. a member of the Japanese mafia)/yakuza (member)/(adj-na,n) (2) uselessness/purposelessness/(P)/
やくざ者 [やくざもの] /(n) (1) professional gambler/(2) good-for-nothing/ne'er-do-well/hoodlum/ruffian/
やけっ腹 [やけっぱら] /(n,vs) desperation/despair/
やけに /(adv) (sl) awfully/frightfully/desperately/violently/
やけを起こす [やけをおこす] /(exp,v5s) to become desperate/to give way to despair/
やけ酒 [やけざけ] /(n) drowning one's cares in drink/drinking in desperation/
やけ食い [やけぐい] /(n,vs) binge eating/stress eating/
やご /(n) (uk) dragonfly naiad (nymph)/
やさぐれ /(n) (1) (sl) running away from home/(2) runaway (child)/
やさぐれる /(v1) (sl) to sulk/to be peevish/
やしない /(aux) (col) (usu. used after -masu stem of verb) emphatic negative (verb)/
やせても枯れても [やせてもかれても] /(exp) even though one has fallen on hard times/however down on one's luck one may be/
やせ過ぎ [やせすぎ] /(n) being too thin/being underweight/
やせ我慢 [やせがまん] /(n,vs) (uk) fake stoicism/pretended endurance (for sake of pride)/false courage/
やせ型 [やせがた] /(n) (1) slender build/slender figure/leptosome/leptosomatic habit/(adj-no) (2) waifish/leptosomaic/leptosomatic/ectomorphic/
やせ形 [やせがた] /(n) (1) slender build/slender figure/leptosome/leptosomatic habit/(adj-no) (2) waifish/leptosomaic/leptosomatic/ectomorphic/
やせ細る [やせほそる] /(v5r,vi) to lose weight/to become thin/to wither away/
やっかむ /(v5m,vi) (col) (ktb:) to be jealous/to be envious/
やっさもっさ /(n,vs,adv-to) (on-mim) hurly-burly/helter-skelter/hustle and bustle/turmoil/
やった /(int) hooray (lit: I or we did it)/whee/hot dog!/you beaut/whacko/yowzer!/whoopee!/yes!/(P)/
やったー /(int) hooray (lit: I or we did it)/whee/hot dog!/you beaut/whacko/yowzer!/whoopee!/yes!/
やっちまう /(exp,v5u) to do something one regrets/
やっつけ仕事 [やっつけしごと] /(n) rush job/quick-and-dirty work/
やって見る [やってみる] /(exp,v1) to have a go/to try and do (something)/to take a chance with something/
やって行く [やっていく] /(v5k-s) to live/to make a living/to get on with/
やって来る [やってくる] /(exp,vk) to come along/to come around/to turn up/(P)/
やっと /(adv) (on-mim) at last/at length/(P)/
やっとこ /(adv) barely/
やっとこまかせ /(n) yell made when starting to move something/grunt/
やっとの思いで [やっとのおもいで] /(exp,adv) finally/after great pains/
やっとの事で [やっとのことで] /(exp) just managing/with great difficulty/
やっとまかせ /(n) yell made when starting to move something/grunt/
やっ付ける [やっつける] /(v1,vt) to beat/to attack (an enemy)/to do away with/to finish off/(P)/
やとらに /(adv) indiscriminately/
やなぐい /(n) quiver (worn on the right hip; post-Nara period)/
やねん /(aux) (ksb:) it is assuredly that .../can say with confidence that .../
やばい /(adj-i) (1) (sl) dangerous/risky/(2) (sl) awful/terrible/crap/(3) (sl) terrific/amazing/cool/(P)/
やぶ蛇 [やぶへび] /(n,vs) unnecessary trouble brought upon oneself/stirring up a hornet's nest/
やほー /(int) (col) hi/howdy/
やまびこ /(n) skips-most-stations Touhoku-line Shinkansen/
やまめ /(n) (uk) dragonfly naiad (nymph)/
やみ屋 [やみや] /(n) black marketeer/black market trader/
やむを得ず [やむをえず] /(adv) unavoidably/inevitably/necessarily/reluctantly/against one's will/
やむを得ない [やむをえない] /(exp) cannot be helped/unavoidable/(P)/
やむ終えない [やむおえない] /(exp,adj-i) cannot be helped/unavoidable/
やむ得ず [やむえず] /(adv) (uk) unavoidably/inevitably/necessarily/reluctantly/against one's will/
やめ検 [やめけん] /(n) (abbr) (col) former public prosecutor who now works as a lawyer/retired public prosecutor/
やめ検弁護士 [やめけんべんごし] /(n) (col) former public prosecutor who now works as a lawyer/prosecutor-turned-lawyer/
やもう得ない [やもうえない] /(exp,adj-i) cannot be helped/unavoidable/
やもめ暮らし [やもめぐらし] /(n) widowhood/widowerhood/viduity/
やも知れぬ [やもしれぬ] /(suf) (arch) may/might/perhaps/may be/possibly/
ややあって /(exp) after a little while/presently/
ややこしい /(adj-i) puzzling/tangled/complicated/complex/(P)/
やや小さい [ややちいさい] /(exp,adj-i) smallish/on the small side/
やや大きい [ややおおきい] /(exp,adj-i) biggish/largish/
やら /(prt) (1) indicates a non-exhaustive list of items/(2) denotes uncertainty/
やらざるを得ない [やらざるをえない] /(exp) cannot avoid doing/cannot help but (do)/is compelled to do/(feel) obliged to (do)/has to do/
やらしい /(adj-i) (uk) unpleasant/disgusting/repulsive/detestable/disagreeable/indecent/lewd/dirty/lascivious/
やらせ /(n) (1) faked situation/(2) prearranged performances/
やらはた /(n) (abbr) (col) 20+ years old virgin/
やらやら /(int) expression of strong emotion or surprise/
やりこい /(adj-i) (tsb:) soft/tender/limp/
やりたなご /(n) (uk) Tanakia lanceolata (species of cyprinid)/
やりっぱ /(n) (abbr) (sl) leave unfinished or incomplete/
やりっ放し [やりっぱなし] /(adj-no,adj-na) unfinished/incomplete/
やりとも /(n) someone with whom one is not romantically involved but frequently has sexual relations with anyway/
やりまん /(n) (col) slut/bimbo/
やりよう /(n) way of doing something/
やりコン /(n) blind date party, with the object of sex (slang)/
やり過ぎ [やりすぎ] /(n,adj-no) overkill/(something) overdone/
やり過ぎる [やりすぎる] /(v1) to overdo/to go too far/to go to excess/
やり過ごす [やりすごす] /(v5s,vt) (1) to let something (or somebody) go past/(2) to do too much/(P)/
やり玉 [やりだま] /(n) make an example of/singled out/
やり繰り [やりくり] /(n,vs) (uk) making do/getting by (somehow)/managing/(P)/
やり甲斐 [やりがい] /(n) (uk) being worth doing/(P)/
やり合う [やりあう] /(v5u,vt) to compete with/to argue with/to quarrel/
やり込める [やりこめる] /(v1,vt) to talk down/to corner someone in an argument/
やり残し [やりのこし] /(n) things left undone/
やり残す [やりのこす] /(v5s) to leave undone/
やり取り [やりとり] /(n,vs) giving and taking/exchange (of letters)/arguing back and forth/(conversational) exchange/(P)/
やり手 [やりて] /(n) (1) doer/(2) giver/(3) skilled person/capable person/shrewd person/go-getter/hotshot/(4) brothel madam/
やり場 [やりば] /(n) place of refuge (figurative)/outlet (for an emotion, anger, etc.)/
やり遂げる [やりとげる] /(v1,vt) to accomplish/
やり切る [やりきる] /(v5r) (uk) complete decisively/to do to completion/
やり切れない [やりきれない] /(adj-i) unbearable/intolerable/too much/(P)/
やり損なう [やりそこなう] /(v5u) to fail/
やり直し [やりなおし] /(n,vs) redoing/(P)/
やり直す [やりなおす] /(v5s,vt) to do over again/to redo/to start over/to remake/to resume/to recommence/(P)/
やり通す [やりとおす] /(v5s) to carry through/to achieve/to complete/
やり投げ [やりなげ] /(n) javelin (throw)/
やり逃げ [やりにげ] /(n) (sl) (vulg) having sex with a woman and then breaking off contact with her (esp. after telling her that you love her)/wham-bam-thank-you-ma'am/hit it and quit it/fuck and chuck/
やり抜く [やりぬく] /(v5k,vt) to carry out to completion/to accomplish/
やり返す [やりかえす] /(v5s,vt) to do over/to answer or fire back/to retort/
やり方 [やりかた] /(n) manner of doing/way/method/means/(P)/
やる気 [やるき] /(n) willingness (e.g. to do something)/eagerness/motivation/inspiration/determination/high aspirations/
やる気をそがれる [やるきをそがれる] /(exp,v1) to be discouraged/
やる気を削がれる [やるきをそがれる] /(exp,v1) to be discouraged/
やる気を殺がれる [やるきをそがれる] /(exp,v1) to be discouraged/
やる気充分 [やるきじゅうぶん] /(exp) sufficiently motivated (to do something)/
やる気十分 [やるきじゅうぶん] /(exp) sufficiently motivated (to do something)/
やる気満々 [やるきまんまん] /(adj-no) totally willing/fully motivated/
やる瀬ない [やるせない] /(adj-i) helpless/cheerless/miserable/disconsolate/dreary/downhearted/
やれ /(int) oh!/ah!/oh dear!/dear me!/thank God!/
やれやれ /(int) exclamation of relief or disappointment/(P)/
やろう /(exp) (ksb:) seems/I guess/
やん /(n-suf) suffix for familiar person/
やんか /(exp) (ksb:) questioning (something)/
やんけ /(suf) (ksb:) questioning (something)/
やんす /(aux-v) to be/
やんちゃ /(adj-na,n) naughty/mischievous/
やんでれ /(n,adj-f) (m-sl) person (usu. female) with an unhealthy romantic obsession (has a connotation of mental instability)/
やんま /(n) (1) (uk) darner (any dragonfly of family Aeshnidae)/devil's darning needle/(2) dragonfly (esp. a large one)/
やんややんや /(exp) hear! hear!/hooray/
やんわり /(adv,vs) softly/mildly/gently/
やんわりと /(adv,vs) softly/mildly/gently/
や否や [やいなや] /(exp) (1) the minute (that) .../no sooner than .../(2) whether or not/
ゆうちょ銀行 [ゆうちょぎんこう] /(n) JP Bank (former Postal Savings Bank, created when the Postal Services were privatized)/(P)/
ゆうちょ銀行を除く [ゆうちょぎんこうをのぞく] /(exp,v5k) excluding the Post Office bank/excluding Japan Post Bank/
ゆうばり型護衛艦 [ゆうばりがたごえいかん] /(n) Yubari class destroyer escort/
ゆうパック /(n) You Pack (Japan Post's parcel delivery service)/(P)/
ゆかた地 [ゆかたじ] /(n) yukata cloth material/special light woven material 36-40cm wide for making yukata/
ゆくりなく /(adv) unexpectedly/
ゆさゆさ /(adv,n,vs) (on-mim) large thing swaying/
ゆすり取る [ゆすりとる] /(v5r) to extort/to shake down (for money)/
ゆず胡椒 [ゆずこしょう] /(n) condiment paste made from yuzu zest and chile peppers/
ゆず胡椒 [ゆずごしょう] /(n) condiment paste made from yuzu zest and chile peppers/
ゆっくり /(adv,n,vs,adv-to) (on-mim) slowly/at ease/restful/(P)/
ゆっくり地震 [ゆっくりじしん] /(n) slow earthquake/
ゆったり /(adv,vs,adv-to) (1) (on-mim) comfortable/easy/calm/(2) loose/spacious/
ゆで麺 [ゆでめん] /(n) boiled noodles/
ゆで卵 [ゆでたまご] /(n) boiled egg/
ゆとり /(n,adj-f) elbowroom/leeway/room/reserve/margin/allowance/latitude/time/(P)/
ゆとり教育 [ゆとりきょういく] /(exp) "education with breathing space" system/pressure-free education/
ゆむし /(n) (uk) spoonworm (esp. species Urechis unicinctus)/
ゆらり /(adv,adv-to) (1) swaying (only once, in a large, slow motion)/(2) relaxedly/
ゆらりゆらり /(adv,adv-to) swaying (repeatedly, in a large, slow motion)/
ゆり落とす [ゆりおとす] /(v5s) to shake down (e.g. nuts from a tree)/
ゆるキャラ /(n) (weak) mascot character (e.g. devised for PR purposes by local government, government departments, etc.)/
よ /(prt) (1) (at sentence end) indicates certainty, emphasis, contempt, request, etc./(2) (after a noun) used when calling out to someone/(3) (in mid-sentence) used to catch one's breath or get someone's attention/(int) (4) yo!/(P)/
よーし /(int) alright/all right/right on/looking good/OK/okay/
よいしょ /(int) (1) (expression of) effort or strain/Yo-heave-ho!/(vs) (2) to butter up/to suck up to/
よいっしょ /(int) (1) (expression of) effort or strain/Yo-heave-ho!/(vs) (2) to butter up/to suck up to/
よいやよいや /(exp) hear! hear!/hooray/
よいよい /(n) (col) (sens) locomotor ataxia/difficulty walking or speaking (due to alcoholism, a stroke, etc.)/someone with this problem/
よい天気 [よいてんき] /(n) fine weather/fair weather/
よい旅を [よいたびを] /(exp) bon voyage!/have a nice trip!/
よい旅行を [よいりょこうを] /(exp) "Bon voyage!"/"Have a nice trip!"/
ようが /(exp) (volitional form of verb + ga) regardless of/whether (or not)/
ようこそ /(int) welcome!/nice to see you!/(P)/
ようこそ画面 [ようこそがめん] /(n) (comp) welcome screen/
ようさん /(adv,adj-no) (ksb:) many/a lot/much/
ようし /(int) alright/all right/right on/looking good/OK/okay/
ようつべ /(n) (sl) YouTube (Internet video-sharing web site)/
ような /(adj-pn) like/similar to/
ように /(exp) (1) in order to (e.g. meet goal)/so that/take care (so as)/(2) hoping or wishing for something/(P)/
ようにする /(exp,vs-i) (following a verb) to be sure to/to do (something) so that .../to make sure to/to try to/(P)/
ようになる /(exp) to reach the point that/to come to be that/(P)/
ように言う [ようにいう] /(exp,v5u) to tell (somebody) to (do something)/
よき人 [よきひと] /(n) (arch) person of high rank/
よくあるご質問 [よくあるごしつもん] /(n) frequently asked questions/FAQ/(P)/
よくある御質問 [よくあるごしつもん] /(n) frequently asked questions/FAQ/
よくある事だが [よくあることだが] /(exp) (uk) as often is the case/
よくある質問 [よくあるしつもん] /(n) frequently asked questions/FAQ/
よく学びよく遊べ [よくまなびよくあそべ] /(exp) study hard and play hard/
よく言うよ [よくいうよ] /(exp) Look who's talking./Oh, look who's talking!/Give me a break!/Blow it out/Get out of here!/
よく出来た [よくできた] /(adj-f) well-balanced/considerate/of fine character/
よこ糸 [よこいと] /(n) weft/woof (crosswise threads on a loom)/
よさこい /(n) dance originating in Kochi Prefecture using "naruko"/
よし /(int) alright/all right/right on/looking good/OK/okay/(P)/
よしなに /(adv) at your own discretion/as you see fit/
よしよし /(exp) there, there/
よじ上る [よじのぼる] /(v5r,vi) to climb/to clamber (over, up)/to scramble (up)/to scale/to claw one's way up/
よじ登る [よじのぼる] /(v5r,vi) to climb/to clamber (over, up)/to scramble (up)/to scale/to claw one's way up/
よそ見 [よそみ] /(n,vs) looking away/looking aside/(P)/
よそ行き [よそいき] /(adj-no) (1) going out/(2) one's best (clothes, looks, manners, behaviour, etc.)/(3) formal behaviour (manners, speech, etc.)/
よそ行き [よそゆき] /(adj-no) (1) going out/(2) one's best (clothes, looks, manners, behaviour, etc.)/(3) formal behaviour (manners, speech, etc.)/(P)/
よそ者 [よそもの] /(n) stranger/outsider/
よたよた /(adv,vs) unsteadily/waddling/staggeringly/totteringly/
よだれを垂らす [よだれをたらす] /(exp,v5s) to drool/to dribble/to slobber/
よちよち /(adv,int,n,vs) (on-mim) totteringly/with tottering steps/(P)/
よちよち歩き [よちよちあるき] /(n,adj-no) toddling/taking tottering steps/
よっこいしょ /(int) (expression of) effort or strain/heave-ho/
よって来たる [よってきたる] /(exp,adj-f) (uk) originating/causing/beginning/
よって来る [よってきたる] /(exp,adj-f) (uk) originating/causing/beginning/
よぼよぼ /(adj-na,adv,n,vs) (1) (on-mim) unsteady/tottering/(2) weak from old age/infirm/
よもや /(adv) surely/certainly/
より /(adv,prt) (1) from/out of/since/at/(2) than/(3) other than/except/but/(4) more/(P)/
よりによって今日 [よりによってきょう] /(exp) today of all days/
よりを戻す [よりをもどす] /(exp,v5s) to get back together again/to be reconciled/
より糸 [よりいと] /(n) twisting (thread, etc.)/twisted yarn/twisted thread/twine/
より小さい [よりちいさい] /(n) (1) less than .../(2) smaller .../
より対線 [よりついせん] /(n) (comp) twisted pair cable/
より大きい [よりおおきい] /(adj-i) (1) greater than .../(2) bigger .../
より抜き [よりぬき] /(adj-no,n) the very best/elite/
より分ける [よりわける] /(v1,vt) to classify/to sort out/to sift through/
より良い [よりよい] /(adj-i) superior/better/
よれば /(exp) according to/(P)/
よれよれ /(adj-na,n) worn-out/shabby/seedy/wrinkled-up/
よろしくお願いいたします [よろしくおねがいいたします] /(exp) (hon) please remember me/please help me/please treat me well/
よろしくお願いします [よろしくおねがいします] /(exp) please remember me/please help me/please treat me well/I look forward to working with you/
よろぴく /(adv) (1) well/properly/suitably/(exp) (2) best regards/please remember me/
よろよろ /(adv,n,vs,adv-to,adj-no) (on-mim) unsteady on its feet/tottering/(P)/
よんやよんや /(exp) hear! hear!/hooray/
らい病 [らいびょう] /(n) (sens) Hansen's disease/leprosy/
らか /(suf,adj-na) (after an adjective stem, onomatopoeic-mimetic word, etc.) being .../
らくだ色 [らくだいろ] /(n) (uk) camel color/
らしい /(aux-adj) (1) seeming ... (expresses judgment based on evidence, reason or trustworthy hearsay)/appearing .../(suf,adj-i) (2) (after a noun, adverb or adjective stem) -ish/like a .../typical of .../appropriate for .../becoming of .../worthy of the name .../(P)/
らしくない /(adj-i) unusual/different/
らせん状 [らせんじょう] /(n,adj-no) helical/spiral-shaped/
らっしゃる /(v5aru,vi) (abbr) (hon) to be/to come/to go/
らっぱ飲み [らっぱのみ] /(n,vs) drinking straight from a bottle/
らっぱ吹き [らっぱふき] /(n) (1) bugler/trumpeter/(2) blowing one's own horn/
らりる /(v5r) (sl) to become intoxicated (e.g. with drugs)/
られる /(aux-v,v1) (1) auxiliary verb indicating passive voice (inc. the "suffering passive")/(2) auxiliary verb indicating the potential form/(3) auxiliary verb indicating spontaneous occurrence/(4) (hon) auxiliary verb used as an honorific for others' actions/
ら抜き [らぬき] /(n) (abbr) 'ra'-removed/the practice of skipping the 'ra' from the 'rareru' verb conjugation/
ら抜き言葉 [らぬきことば] /(n) 'ra'-removed word (i.e. lacking the 'ra' in the 'rareru' verb conjunction)/
りどめ /(n) (comp) (sl) readme/
りゅう天に登る [りゅうてんにのぼる] /(exp) rise of the dragon (bringing rain around the time of the spring equinox)/
りんごアメ /(n) candied apple/toffee apple/
りんご飴 [りんごあめ] /(n) candied apple/toffee apple/
りんご園 [りんごえん] /(n) apple orchard/
りんご狩り [りんごがり] /(n) apple picking/
りんご摘み [りんごつみ] /(n) (obsc) picking apples/harvesting apples/
りんりん /(adv) (on-mim) bell ringing (chiming)/
りん気 [りんき] /(n,vs) jealousy/
るっさい /(adj-f) (1) noisy/loud/(2) fussy/(3) annoying/troublesome/tiresome/importunate/(4) bossy/
るんるん気分 [るんるんきぶん] /(n) euphoric mood/exuberant mood/
れどめ /(n) (comp) (sl) readme/
れる /(aux-v,v1) (1) auxiliary verb indicating passive voice (inc. the "suffering passive")/(2) auxiliary verb indicating the potential form/(3) auxiliary verb indicating spontaneous occurrence/(4) (hon) auxiliary verb used as an honorific for others' actions/
れんが塀 [れんがべい] /(n) brick wall/
ろうけつ染め [ろうけつぞめ] /(n) batik (handbag, purse)/
ろう引き [ろうびき] /(n,adj-no) waxing/
ろう者 [ろうしゃ] /(n) deaf person/
ろう付け [ろうづけ] /(n) soldering/brazing/
ろくぶんぎ座 [ろくぶんぎざ] /(n) Sextant (constellation)/
ろくろっ首 [ろくろっくび] /(n) rokurokubi/long-neck woman/monstrous person (often a woman) with a neck that can expand and contract (in Japanese folklore)/
ろくろ首 [ろくろくび] /(n) rokurokubi/long-neck woman/monstrous person (often a woman) with a neck that can expand and contract (in Japanese folklore)/
ろにん /(ik) (n) (1) ronin/wandering samurai without a master to serve/(2) out of work/(3) waiting for another chance to enter a university/
ろは /(n) (col) free/
ろは台 [ロハだい] /(n) (col) free seat (i.e. a park bench)/
ろれつが回らない [ろれつがまわらない] /(exp,adj-i) speaking inarticulately (slurring, lisping, etc.)/
ろ液 [ろえき] /(n) filtrate/
ろ過 [ろか] /(n,vs) filtration/filtering/percolation/
ろ過器 [ろかき] /(n) strainer/colander/filter/
ろ砂 [ろしゃ] /(n) ammonium chloride/
ろ紙 [ろし] /(n) filter paper/
ろ紙クロマトグラフィー [ろしクロマトグラフィー] /(n) paper chromatography/
ろ紙ディスク [ろしディスク] /(n) filter paper disk/
ろ紙電気泳動 [ろしでんきえいどう] /(n) paper electrophoresis/
ろ水 [ろすい] /(n) (1) filtered water/(2) drainage/
ろ水タンク [ろすいタンク] /(n) filter bed/
ろ水器 [ろすいき] /(n) water filter/
ろ波器 [ろぱき] /(n) filter/wave filter/
わ /(prt) (fem) (sentence end) indicates emotion or admiration/(P)/
わあ /(int) (1) wow! (surprise)/(2) yeah!/alright! (joy)/(3) waah! (crying)/
わあわあ /(n) waah waah! (crying)/
わい /(prt) (sentence end, mainly male) indicates emotion/
わいせつ罪 [わいせつざい] /(n) criminal indecency/
わいわい /(adv) (on-mim) noisily/clamorously/many people making a din/(P)/
わい曲 [わいきょく] /(n,vs) distortion/falsification/perversion/
わい小 [わいしょう] /(adj-na,n) diminutive/pygmy/pigmy/stunted/
わい小不規則銀河 [わいしょうふきそくぎんが] /(n) dwarf irregular galaxy/
わい星 [わいせい] /(n) dwarf star/
わい談 [わいだん] /(n,vs) indecent talk/
わえ /(prt) (sentence end, mainly male) indicates emotion/
わかし /(n) (ktb:) young Japanese amberjack/
わかし湯 [わかしゆ] /(n) hot water (esp. cold mineral spring water heated up at the right temperature for bathing)/
わからず屋 [わからずや] /(n) obstinate person/blockhead/
わかれ道 [わかれみち] /(n) branch/forked road/crossroads/branch road/parting of the ways/turning point/
わが意を得たり [わがいをえたり] /(exp) that's just what I thought/that's exactly like I feel/that's exactly what I think, too/
わが校 [わがこう] /(exp,n) our school/my school/
わが国 [わがくに] /(n) our country/our land/one's own country/
わが子 [わがこ] /(n) one's own child/one's own children/
わが社 [わがしゃ] /(n) our company/my company/
わが身 [わがみ] /(n) (1) myself/oneself/(pn) (2) (arch) I/me/(3) (arch) (fam) you (referring to one's inferior)/
わが闘争 [わがとうそう] /(n) Mein Kampf (by Adolf Hitler, 1925-1926)/
わが輩 [わがはい] /(pn,adj-no) (1) (arch) (male) I (nuance of arrogance)/me/myself/(2) we/us/ourselves/
わきが甘い [わきがあまい] /(exp,adj-i) (1) preventing one's opponent from getting an underarm grip (in sumo)/(2) having weak defenses/
わきの下 [わきのした] /(n) armpit/axilla/
わき上がる [わきあがる] /(v5r,vi) (1) to boil up/to come to the boil/to seethe/(2) to arise/to break out/(3) to get excited/to be in uproar/
わき道 [わきみち] /(n,adj-no) side road/byroad/digression/
わき目 [わきめ] /(n) looking aside/(from the) eyes of an onlooker/
わき目も振らずに [わきめもふらずに] /(exp) without looking aside/looking neither right nor left/wholeheartedly/
わくわく /(adv,n,vs) (on-mim) tremble/get nervous/excitedly/thrilled/(P)/
わけが無い [わけがない] /(exp) (uk) there is no way that ... (expresses speaker's belief that something is impossible)/
わけでは無い [わけではない] /(exp) (uk) it does not mean that .../I don't mean that .../
わけには行かない [わけにはいかない] /(exp) (uk) impossible to do (although wants to)/
わけ知り顔 [わけしりがお] /(n) know-it-all airs/I-know-how-it-is look/
わさび醤油 [わさびじょうゆ] /(n) soy sauce flavoured with grated wasabi (used for sashimi, etc.)/
わさび大根 [わさびだいこん] /(n) horseradish/
わたし的 [わたしてき] /(adj-na) personal/my style/my way/
わっと /(adv) (on-mim) suddenly and in a loud voice (e.g. sobbing)/
わなわな /(adv-to,vs) (on-mim) trembling from fear/trembling all over/
わにえそ /(n) (uk) wanieso lizardfish (Saurida wanieso)/
わね /(exp) (fem) expresses depth of feeling or emphasis (sentence end)/
わはは /(int,adv-to) Wa-haha!/vigorous laughter/
わめき声 [わめきごえ] /(n) yell/shout/outcry/
わや /(exp) fiasco/debacle/disaster/train wreck/
わやく /(n) (1) (arch) trickery/(2) fiasco/(3) disobedience/
わらじを脱ぐ [わらじをぬぐ] /(exp,v5g) to complete one's journey/
わらび糊 [わらびのり] /(n) (uk) type of glue produced from bracken starch/
わらび粉 [わらびこ] /(n) bracken starch (starch produced from the rhizomes of bracken)/
わらび餅 [わらびもち] /(n) bracken-starch dumpling (type of dumpling traditionally made using bracken starch)/
わらわら /(adv) (on-mim) bustling/shuffling/squirming/creepy crawly/
わら屋根 [わらやね] /(n) straw-thatched roof/
わら人形 [わらにんぎょう] /(n) straw doll or figure/straw effigy/
わり込む [わりこむ] /(v5m,vt) to cut in/to thrust oneself into/to wedge oneself in/to muscle in on/to interrupt/to disturb/
わり箸 [わりばし] /(n) splittable (wood) chopsticks/
われめちゃん /(n) (X) vulva/slit/cunt/vagina/twat/
われを忘れる [われをわすれる] /(exp,v1) to forget oneself/to lose control of oneself/
われ鐘のような声 [われがねのようなこえ] /(n) resounding voice/thunderous voice/
われ知らず [われしらず] /(adv) involuntarily/instinctively/without realizing/
わん /(n) (1) (on-mim) woof/bark/
わんさ /(adv-to) in swarms/in great crowds/
わんさか /(n,adj-na) a lot/
わんさガール /(n) small-part actress/female extras/
わんぱく盛り [わんぱくざかり] /(n) (at the) peak of mischievousness/little demon (of children)/
わんわん /(adv-to,adv) (1) (on-mim) bow-wow (barking sound)/arf arf/woof/bark/(2) (on-mim) waah-waah (crying sound)/(3) (on-mim) clamouring/clamoring/echoing/(n) (4) (chn) a bow-wow (i.e. a dog)/doggy/
わん曲 [わんきょく] /(n,vs,adj-no) curve/bend/crook/
わん公 [わんこう] /(n) (col) dog/
ゐ /(n) (obs) hiragana for "wi"/
ゑ /(n) (obs) hiragana for "we"/
を /(prt) (1) indicates direct object of action/(2) indicates subject of causative expression/(3) indicates an area traversed/(4) indicates time (period) over which action takes place/(5) indicates point of departure or separation of action/(6) indicates object of desire, like, hate, etc./(P)/
をば /(prt) (arch) marks object of action, etc. (also adds emphasis)/
を以って [をもって] /(adv) (uk) by (means of)/with/
を以て [をもって] /(adv) (uk) by (means of)/with/
を介して [をかいして] /(exp) using as an intermediary/through/
を回って [をめぐって] /(exp) in regard to/concerning (usu. of disputes)/
を廻って [をめぐって] /(exp) in regard to/concerning (usu. of disputes)/
を基として [をもととして] /(exp) based on/built on/made from/
を基にして [をもとにして] /(exp) based on/built on/made from/
を経て [をへて] /(exp) via/passing through/
を元として [をもととして] /(exp) based on/built on/made from/
を元にして [をもとにして] /(exp) based on/built on/made from/
を限りに [をかぎりに] /(exp) as of the end of (today, this month, etc.)/to make (today, etc.) the last (day)/
を巡って [をめぐって] /(exp) in regard to/concerning (usu. of disputes)/
を措いて [をおいて] /(exp) (uk) other than/excluding/without/
を単位として [をたんいとして] /(exp) (comp) in increments of/
を通して [をとおして] /(exp) through/throughout/through (the good offices of)/by way of/
ん /(int) (1) (abbr) used to express approval, especially in slurred or unclear speech (abbr. of interjection "un")/(2) negative verb ending used in informal speech (abbr. of negative verb ending "nu")/(3) abbr. of particle "no"/(4) abbr. of particle "ni" (used especially when it precedes the verb "naru")/
んがため /(exp) in order to/
んず /(aux-v) (1) (arch) will probably be/(2) intending to/will/(3) should/
んだ /(exp) the expectation is that .../the reason is that .../the fact is that .../it is that .../
んで /(prt) that being the case/because of .../the reason is ..../given that.../
んです /(exp) the expectation is that .../the reason is that .../the fact is that .../it is that .../
んとす /(exp,vs-i) (1) (after a -nai stem) to be trying to/(2) to be just about to/
んとする /(exp,vs-i) (1) (after a -nai stem) to be trying to/(2) to be just about to/
んと欲す [んとっほす] /(conj) (arch) to endeavor to (connects to -nai stem)/
んまい /(adj-i) (col) delicious/appetizing/appetising/
アー /(int) (1) (uk) Ah!/Oh!/Alas!/(2) Yes/Indeed/That is correct/(3) Hey!/Yo!/(4) Uh huh/Yeah yeah/Right/Gotcha/
アーアー /(int) uh oh/
アーウィン /(n) (comp) ERwin/
アーカイバ /(n) (comp) archiver/
アーカイバー /(n) (comp) archiver/
アーカイバルファイル /(n) (comp) archival file/
アーカイバルメモリ /(n) (comp) archival memory/
アーカイビング /(n) (comp) archiving/
アーカイブ /(n) archive/
アーカイブサーバ /(n) (comp) archive server/
アーカイブサーバー /(n) (comp) archive server/
アーカイブス /(n) archives/
アーカイブズ /(n) archives/
アーカイブデータセット /(n) (comp) archive data set/
アーカイブビット /(n) (comp) archive bit/
アーカイブファイル /(n) (comp) archive file/
アーカイブライブラリ /(n) (comp) archive library/
アーカイブ先 [アーカイブさき] /(n) (comp) archiving destination/
アーカイブ属性 [アーカイブぞくせい] /(n) (comp) archive attribute/
アーカイブ対象ファイル [アーカイブたいしょうファイル] /(n) (comp) archived file/
アーガイル /(n) argyle/
アーガイルチェック /(n) argyle check/
アーガット /(n) ergot/
アーガルチェック /(n) argyle check/
アーキー /(n) (comp) ARCHIE/
アーキオロジー /(n) archaeology/
アーキタイプ /(n) archetype/
アーキテクチャ /(n) architecture/(P)/
アーキテクチャー /(n) architecture/
アーキテクチャラル /(n) architectural/
アーキテクチュア /(n) architecture/
アーキテクチュラル /(n) architectural/
アーキテクト /(n) architect/
アーキテクトニック /(n) aechitectonic/
アーキトレーブ /(n) architrave/
アーキペラゴ /(n) archipelago/
アーギュー /(n,vs) argue/
アーギュメント /(n) argument/
アーク /(n) (1) arc/(2) arch-/(P)/
アークエネルギー /(n) arc energy/
アークエンジェル /(n) archangels/
アークガイド /(n) arc guide/
アークガウジング /(n) arc gouging/
アークコサイン /(n) arccosine/arc-cosine/
アークコセカント /(n) arccosecant/arc-cosecant/
アークコタンジェント /(n) arccotangent/arc-cotangent/
アークサイン /(n) arcsine/
アークスペクトル /(n) arc spectrum/
アークセカント /(n) arcsecant/
アークタンジェント /(n) arctangent/
アークティック /(n) Arctic/
アークティックグレイリング /(n) Arctic grayling (Thymallus arcticus arcticus)/
アークティックシスコ /(n) Arctic cisco (Coregonus autumnalis)/
アークティックスタッグホーンスカルピン /(n) Arctic staghorn sculpin (Gymnocanthus tricuspis)/
アークティックチャー /(n) Arctic char (Salvelinus alpinus alpinus)/
アークティックフラウンダー /(n) Arctic flounder (Liopsetta glacialis, was Pleuronectes glacialis)/
アークライト /(n) arc light/
アークランプ /(n) arc lamp/arc light/
アーク切断 [アークせつだん] /(n) arc cutting/
アーク灯 [アークとう] /(n) arc light/
アーク燈 [アークとう] /(n) arc light/
アーク放電 [アークほうでん] /(n) arc discharge/
アーク溶接 [アークようせつ] /(n) arc welding/
アーク炉 [アークろ] /(n) arc furnace/
アーケード /(n) arcade/(P)/
アーケードゲーム /(n) (comp) arcade game/
アーケード街 [アーケードがい] /(n) shopping arcade/
アーケイイック /(adj-na,n) archaic/
アーケイイック /(adj-no) archaic/
アーケイック /(adj-na,n) archaic/
アーケイック /(adj-no) archaic/
アーケイックスマイル /(n) archaic smile/
アーケイド /(n) arcade/
アーケオロジー /(n) archaeology/
アーケステティズム /(n) archaesthetism/
アーケゾア /(n) Archezoa/
アーゴノミックス /(n) ergonomics/
アーゴン /(n) argon/
アーサー王物語 [アーサーおうものがたり] /(n) Arthurian romances/
アーサナル /(n) arsenal/
アーシン /(n) arsine/
アージ /(n,vs) urge/
アージェンシー /(n) urgency/
アージェント /(n) urgent/
アージャンシー /(n) urgency/
アージャント /(n) urgent/
アージュアス /(adj-no) arduous/
アース /(n) earth/(electrical) ground/(P)/
アースウオッチ /(n) Earthwatch/
アースカラー /(n) earth color/earth colour/
アースク /(n,vs) ask/
アースクウェイク /(n) earthquake/
アースクェイク /(n) earthquake/
アースクエイク /(n) earthquake/
アースダム /(n) earth dam/
アースデー /(n) Earth Day (April 22nd)/
アースデイ /(n) Earth Day (April 22nd)/
アースナル /(n) arsenal/
アースバンド /(n) (comp) earth band/earth strap/strap snug/
アースマウンド /(n) earth mound/
アースムーバ /(n) earth mover/
アースライン /(n) (comp) ground line/earth line/
アースリ /(adj-no) earthly/
アースワーム /(n) earthworm/
アースン /(adj-no) earthen/
アース線 [アースせん] /(n) ground (earth) wire/earthed line/
アース端子付きのＡＣコンセント [アースたんしづきのエーシーコンセント] /(n) (comp) grounded (or earthed) outlet/
アース端子付きプラグ [アースたんしづきプラグ] /(n) (comp) grounding (or grounded) type plug/
アース用ストラップ [アースようストラップ] /(n) (comp) ground strap/
アーズラナイト /(n) arzrunite/
アーセナル /(n) arsenal/
アーセニック /(n) arsenic/
アーセニッククロライド /(n) arsenic chloride/
アーセン /(n) arsenic/
アーゼノクラサイト /(n) arsenoclasite/arsenoklasite/
アーソノライト /(n) arsenolite/
アーダー /(n) ardor/ardour/
アーダント /(adj-no) ardent/
アーチ /(n) (1) arch/(2) homerun (baseball)/(P)/
アーチー /(n) (comp) ARCHIE/
アーチェリ /(n) archery/
アーチェリー /(n) archery/(P)/
アーチザン /(n) artisan/
アーチステック /(adj-no) artistic/
アーチスト /(n) artist/musician/(P)/
アーチダム /(n) arch dam/
アーチビショップ /(n) archbishop/
アーチファクト /(adj-na) artifact/
アーチャ /(n) archer/
アーチャー /(n) archer/
アーチャン /(n) urchin/
アーチリュート /(n) archlute/
アーチン /(n) urchin/
アーチ橋 [アーチきょう] /(n) arch bridge/
アーチ型 [アーチがた] /(n,adj-no) arch shaped/arched/
アーチ作用 [アーチさよう] /(n,vs) arching/
アーッ /(int) aah/
アーツアンドクラフツ運動 [アーツアンドクラフツうんどう] /(n) Arts and Crafts Movement/
アーティキュレーション /(n) articulation/
アーティキュレーテッドアクスル /(n) articulated axle/
アーティキュレーテッドコンロッド /(n) articulated con-rod/
アーティキュレーテッドシャフト /(n) articulated shaft/
アーティキュレイション /(n) articulation/
アーティキュレット /(adj-no) articulate/
アーティクル /(n) article/
アーティザン /(n) artisan/
アーティスティック /(adj-f) artistic/
アーティスティックインプレッション /(n) artistic impression/
アーティスト /(n) artist/musician/(P)/
アーティチョーク /(n) artichoke/
アーティチョウク /(n) artichoke/
アーティファクト /(adj-na) artifact/
アーティフィシャル /(adj-na) artificial/
アーティフィシャルインテリジェンス /(n) artificial intelligence/
アーティフィス /(n) artifice/
アーティレリ /(n) artillery/
アーテキュレイション /(n) articulation/
アーテキュレイト /(n) articulate/
アーテキュレット /(n) articulate/
アーテクル /(n) article/
アーテフィシャル /(adj-na) artificial/
アーテフィス /(n) artifice/
アーテラリ /(n) artillery/
アーテリ /(n) artery/
アーデント /(n) ardent/
アート /(n) art/(P)/
アートガラス /(n) art glass/
アートギャラリー /(n) art gallery/
アートシアター /(n) art theater/art theatre/
アートスーパバイザ /(n) art supervisor/
アートスタジオ /(n) art studio/
アートタイトル /(n) art title/
アートタイプ /(n) artotype/
アートディレクター /(n) art director/
アートフェア /(n) art fair/
アートフォトグラフィー /(n) art photography/
アートワーク /(n) artwork/
アート紙 [アートし] /(n) coated paper/art paper/
アードバーク /(n) aardvark/
アーニス /(n) arnis (Filipino marshal art)/
アーネット /(n) (comp) AARnet/
アーバニズム /(n) urbanism/
アーバニティ /(n) urbanity/
アーバニティー /(n) urbanity/
アーバン /(n) urban/(P)/
アーバンエクソダス /(n) urban exodus/
アーバンコンプレックス /(n) urban complex/
アーバンスプロール /(n) urban sprawl/
アーバンツイル /(n) urban twill (fabric)/
アーバンデクライン /(n) urban decline/
アーバンデザイナー /(n) urban designer/
アーバンデザイン /(n) urban design/
アーバンビレッジ /(n) urban village/
アーバンファーニチャー /(n) urban furniture/
アーバンファミリー /(n) urban family/
アーバンブルース /(n) urban blues/
アーバンプランナー /(n) urban planner/
アーバンライフ /(n) urban life/
アーバンリゾート /(n) urban resort/
アーバンリニューアル /(n) urban renewal/
アーバンリニュアル /(n) urban renewal/
アーパ /(n) (comp) ARPA/
アーパー /(n) (sl) stupid person/dummy/dolt/
アーパネット /(n) (comp) Advanced Research Projects Agency Network/ARPANET/
アービタ /(n) arbiter/
アービトラージ /(n) arbitrage/
アービトラージ取引 [アービトラージとりひき] /(n) arbitrage/arbitrage position/arbitrage transaction/
アービトラリ /(n) arbitrary/
アービトレーション /(n) arbitration/
アービトレーショングループ /(n) (comp) arbitration group/
アービトレーションレベル /(n) (comp) arbitration level/
アービトレィジャー /(n) arbitrager/arbitrageur/
アービトレリ /(n) arbitrary/
アービュタス /(n) arbutus/
アーフタ /(n) after/
アーフタヌーン /(n) afternoon/
アーフタワーズ /(n) afterwards/
アープ /(n) (comp) ARP/
アーベイン /(adj-no) urbane/
アーベル /(adj-na) (math) Abelian/
アーベント /(n) evening (ger: Abend)/
アーマー /(n) armor/armour/
アーマードプレコ /(n) Pseudorinelepis genibarbis (species of armored catfish from the Amazon River)/
アーマープレート /(n) armor plate/
アーマジロ /(n) armadillo/
アーマチャ /(n) armature/
アーマチャー /(n) armature/
アーマチュア /(n) armature/
アーマチュアコア /(n) armature core/
アーマチュアコイル /(n) armature coil/
アーマチュアシート /(n) armature sheet/
アーマチュアブレーキ /(n) armature brake/
アーマメント /(n) armament/
アーマライト /(n) Armalite/
アーマリー /(n) armory/
アーミー /(n) army/(P)/
アーミーブルー /(n) army blue/
アーミールック /(n) army look/
アーミィ /(n) army/
アーミスティス /(n) armistice/
アーミッシュ /(n) Amish/
アーミン /(n) ermine/
アーミング /(n) arming/
アーム /(n) (1) arm/(2) automated retroactive minimal moderation/ARMM/(P)/
アームウォマー /(n) arm warmer/knitted sleeve, analogous to a leg warmer/
アームカバー /(n) arm cover (e.g. chair)/
アームチェア /(n) armchair/
アームチェアー /(n) armchair/
アームバンド /(n) arm band/
アームホール /(n) armhole/sleeve-hole/
アームライト /(n) adjustable lamp (wasei: arm light)/
アームリフター /(n) armlifter (e.g. on a gramophone turntable)/
アームレスト /(n) armrest/
アームレスリング /(n) (1) arm wrestling/(vs) (2) to arm wrestle/
アームレット /(n) armlet/
アームロック /(n) arm lock/armlock/
アーメン /(n) amen/
アーモンド /(n) almond/(P)/
アーモンドスネークヘッド /(n) Channa lucius (species of snakehead fish)/
アーモンドパウダー /(n) almond powder/
アーモンドミール /(n) almond meal/
アーヤトッラー /(n) Ayatollah/
アーユルヴェーダ /(n) Ayurveda (traditional system of medicine practiced in India)/
アーラン /(n) erlang/
アーリーアメリカン /(n) early American/
アーリーミュージック /(n) early music/
アーリア人 [アーリアじん] /(n) Aryan/
アール /(n) (1) are (fre:)/measure of area (100 sq.m.)/(2) art (fre:)/
アールをとる /(exp,v5r) to take the radius/
アールエイチ /(n) Rh/Rhesus factor/
アールエスニーサンニーシー /(n) (comp) RS-232C/
アールエスニーサンニーディー /(n) (comp) RS-232D/
アールエスヨンニーニ /(n) (comp) RS-422/
アールエフシー /(n) (comp) RFC/
アールエムアイ /(n) (comp) RMI/
アールオーラップ /(n) (comp) ROLAP/
アールグレイ /(n) Earl Grey (tea)/
アールジービー /(n) (comp) RGB/
アールダム /(n) earldom/
アールティーエフ /(n) (comp) RTF/
アールティーエフジェイ /(n) (comp) RTFJ/
アールデービー /(n) (comp) RDB/
アールデービーエムエス /(n) (comp) RDBMS/
アールディーオー /(n) (comp) RDO/
アールデコ /(n) art deco (fre:)/
アールドム /(n) earldom/
アールヌーボー /(n) art nouveau (fre:)/
アールヌーヴォー /(n) art nouveau (fre:)/
アールブイ車 [アールブイしゃ] /(n) sports utility vehicle/SUV/four wheel drive (car or minivan)/lit: recreational vehicle (RV) (usu. not camper or motor home)/
アーレ /(n) measure of area (ger: Ar)/
アーレフ /(n) Aleph (new name of religious group Aum Shinrikyo)/
アーン /(n) (comp) EARN/
アーンして /(exp) open wide/say 'aah'/
アーント /(n) aunt/
アーンドラン /(n) earned run/
アィディア /(n) idea/
アイ /(n) eye/
アイアールキュー /(n) (comp) IRQ/
アイアールシー /(n) (comp) IRC/
アイアールディーエー /(n) (comp) IrDA/
アイアイ /(n) aye-aye (primate, Daubentonia madagascariensis)/
アイアイエス /(n) (comp) IIS/
アイアイオーピー /(n) (comp) IIOP/
アイアイジェイ /(n) (comp) IIJ/
アイアイジェイフォーユー /(n) (comp) IIJ4U/
アイアニング /(n) ironing/
アイアランド /(n) (uk) Ireland/Eire/
アイアロニ /(n) irony (fre: ironie, ger: Ironie)/
アイアン /(n) iron/
アイアンクラブ /(n) iron club/
アイアンストン /(n) ironstone/
アイアンメイデン /(n) iron maiden/
アイイー /(n) (comp) IE/
アイイーティーエフ /(n) (comp) IETF/
アイウェア /(n) eyewear/
アイエーイーエー /(n) International Atomic Energy Agency/IAEA/
アイエーシーエー /(n) International Atomic Energy Agency/IACA/IAEA/
アイエービー /(n) (comp) IAB/
アイエスエーピーアイ /(n) (comp) ISAPI/
アイエスオー /(n) (comp) ISO/
アイエスオーシー /(n) (comp) ISOC/
アイエスオーディーイー /(n) (comp) ISODE/
アイエスディーエヌ /(n) (comp) ISDN/
アイエニウェア /(n) (comp) iAnywhere/
アイエムイー /(n) (comp) IME/
アイエムエフ /(n) International Monetary Fund/IMF/
アイエルオー /(n) International Labour Organization (Labor, Organisation)/ILO/
アイオー /(n) (comp) I-O/
アイオーコントロール /(n) (comp) IO control/input-output control/
アイオーデータ /(n) (comp) I-O DATA/
アイオダイン /(n) iodine/
アイオライト /(n) iolite (blue gemstone)/
アイオリ /(n) aioli (fre:)/
アイオリソース /(n) aioli sauce/
アイカメラ /(n) eye camera/
アイキャッチ /(n) short clip used to begin and end commercial breaks on Japanese TV (wasei: eyecatch)/
アイキャッチャ /(n) eye-catcher/
アイキャッチャー /(n) eye-catcher/
アイキャン /(n) (comp) Internet Corporation for Assigned Names and Numbers/ICANN/
アイキュー /(n) IQ/intelligence quotient/
アイケア /(n) eye care/
アイコ /(n) (abbr) iced coffee/
アイコニックインタフェース /(n) (comp) iconic interface/
アイコニックサイン /(n) iconic signs/
アイコニックメモリ /(n) iconic memory/
アイコニファイ /(n) iconify/
アイコノクラズム /(n) iconoclasm/
アイコノスコープ /(n) iconoscope/
アイコラ /(n) (abbr) altered photograph, usu. with sexual connotations, such as putting someone's face on top of a picture of a nude idol, etc./
アイコン /(n) (comp) icon/(P)/
アイコンエディタ /(n) (comp) icon editor/
アイコンキャラクタ /(n) (comp) icon character/
アイコンタクト /(n) eye contact/
アイコンプ /(n) (comp) iCOMP/
アイコンボタン /(n) (comp) icon button/
アイコン化 [アイコンか] /(n,vs) (comp) iconization/minimization/
アイゴ /(n) (uk) mottled spinefoot (Siganus fuscescens, species of Western Pacific rabbitfish)/dusky rabbitfish/sandy spinefoot/
アイゴー /(int) argh (kor: aigo)/sigh/
アイゴ科 [アイゴか] /(n) Siganidae (family of fishes known as rabbitfishes, spinefoots and foxfaces)/
アイゴ属 [アイゴぞく] /(n) Siganus (genus of perciform fishes in the family Siganidae)/rabbitfish/spinefoot/foxface/
アイサ /(n) (uk) merganser (any duck of genus Mergus)/
アイサイト /(n) eyesight/
アイサピ /(n) (comp) ISAPI/
アイサム /(n) (comp) ISAM/
アイザメ /(n) (uk) any shark of genus Centrophorus (esp. the dwarf gulper shark, Centrophorus atromarginatus)/
アイザメ科 [アイザメか] /(n) Centrophoridae (family of generally deepwater gulper sharks)/
アイシー /(n) (comp) IC/
アイシーエムピー /(n) (comp) ICMP/
アイシーキュー /(n) (comp) ICQ/
アイシェード /(n) eyeshade/
アイシクル /(n) icicle/
アイシャドー /(n) eyeshadow/
アイシャドウ /(n) eyeshadow/(P)/
アイシュ /(n) (comp) ish/
アイシング /(n) icing/
アイシングザパック /(n) icing the puck/
アイシングラス /(n) fish gelatin/isinglass/
アイジングラス /(n) isinglass/
アイス /(n) (1) ice (eng: ice, ger: Eis)/(2) (abbr) ice cream/icecream/(P)/
アイス・ホッケー /(n) ice hockey/
アイスアリーナ /(n) ice arena/
アイスィ /(adj-f) icy/
アイスキャンデー /(n) ice pop (wasei: ice candy)/icy pole/popsicle/
アイスキャンディー /(n) ice pop (wasei: ice candy)/icy pole/popsicle/
アイスキューブ /(n) ice cube/
アイスクライミング /(n) ice climbing/
アイスクリーム /(n) ice cream/icecream/(P)/
アイスクリームコーン /(n) ice cream cone/
アイスクリームサンデー /(n) ice cream sundae/icecream sundae/
アイスクリームソーダ /(n) ice cream soda/icecream soda/
アイスクリン /(n) old fashioned-style ice cream (icecream)/
アイスコーヒー /(n) iced coffee/(P)/
アイスコンデンサ /(n) ice condenser/
アイスショー /(n) ice show/
アイススケート /(n) ice skating/
アイススプリンタ /(n) ice splinters/
アイススマック /(n) ice smack (ice cream, icecream)/
アイスズメダイ /(n) Australian gregory (Stegastes apicalis)/
アイスダイビング /(n) ice diving/
アイスダンス /(n) ice dancing/
アイスティ /(n) iced tea/ice tea/
アイスティー /(n) iced tea/ice tea/
アイステズボド /(n) eisteddfod/
アイストング /(n) ice tongs/
アイスハーケン /(n) ice piton (ger: Eishaken)/ice screw/
アイスバーグ /(n) iceberg/
アイスバーン /(n) ice skating place (ger: Eisbahn)/
アイスバケット /(n) ice bucket/
アイスバックス /(n) icebox/
アイスパック /(n) ice bag/ice pack/pack ice/
アイスピック /(n) ice pick/
アイスフォール /(n) icefall/
アイスブリッジ /(n) ice bridge/
アイスブレイカー /(n) icebreaker/
アイスプディング /(n) ice pudding/
アイスプラント /(n) ice plant (Mesembryanthemum crystallinum)/
アイスペール /(n) ice pail/
アイスホッケー /(n) ice hockey/(P)/
アイスボックス /(n) icebox/
アイスポッテッドパファー /(n) Tetraodon leiurus (species of pufferfish)/
アイスポットクテノポマ /(n) eyespot ctenopoma (species of freshwater fish, Ctenopoma ocellatum)/
アイスポットシクリッド /(n) eye-spot cichlid (Cichla spp.)/peacock bass/
アイスミルク /(n) ice milk/iced milk/
アイスヨット /(n) ice yacht/
アイスランド /(n) (uk) Iceland/
アイスランドキャットシャーク /(n) Iceland catshark (Apristurus laurussonii, an Atlantic species)/
アイスランドポピー /(n) Iceland poppy (Papaver nudicaule)/Icelandic poppy/
アイスランド語 [アイスランドご] /(n) Icelandic (language)/
アイスランド苔 [アイスランドごけ] /(n) (obsc) Iceland moss (Cetraria islandica)/Iceland lichen/
アイスリンク /(n) ice rink/skating rink/
アイズ /(n) eyes/
アイセック /(n) L'Association Internationale des Etudiants en Sciences Economiques et Commercial/AIESEC/
アイゼン /(n) metal pins of climbing shoes (ger: Eisen)/crampons/climbing irons/
アイゼンメンゲル症候群 [アイゼンメンゲルしょうこうぐん] /(n) Eisenmenger syndrome/
アイソキネティックス /(n) isokinetics/
アイソクロナルテスト /(n) isochronal test/
アイソザイム /(n) isozyme/isoenzyme/
アイソスタシー /(n) isostasy/
アイソスピン /(n) isospin/
アイソセンタ /(n) isocentre/
アイソタイプ /(n) isotype/
アイソタクチックポリオレフィン /(n) isotactic polyolefin/
アイソタクチックポリプロピレン /(n) isotactic polypropylene/
アイソトープ /(n) isotope/
アイソトープ検査 [アイソトープけんさ] /(n) isotope examination/
アイソトープ治療 [アイソトープちりょう] /(n) isotope therapy/
アイソトニック /(adj-f) isotonic/
アイソトニックス /(n) isotonics/
アイソトロン /(n) isotron/
アイソバリックスピン /(n) isobaric spin/
アイソパイア /(n) isopyre/
アイソパラメトリック /(adj-f) isoparametric/
アイソパルスシステム /(n) isopulse system/
アイソメトリック /(adj-f) isometric/
アイソメトリックエクササイズ /(n) isometric exercise/
アイソメトリックス /(n) isometrics/
アイソレーション /(n) isolation/
アイソレーションシンドローム /(n) isolation syndrome/
アイソレータ /(n) isolator/
アイソレーター /(n) isolator/
アイソレイト /(n) isolate/
アイタム /(ik) (n) (1) item/(2) something that one "just has to have"/
アイダイアグラム /(n) (comp) eye diagram/
アイティーエフ /(n) (comp) ITF/
アイティーユー /(n) (comp) ITU/
アイティーユーティー /(n) (comp) ITU-T/
アイティーユーティーエス /(n) (comp) ITU-TS/
アイテニアム /(n) (comp) Itanium/
アイテム /(n) (1) item/(2) something that one "just has to have"/(P)/
アイデア /(n) idea/(P)/
アイデアプロセッサ /(n) (comp) idea processor/
アイデアマン /(n) idea man/ideas man/person of ideas/
アイデアライズ /(vs) idealize/
アイデアラッシュ /(n,vs) brainstorming (wasei: idea rush)/
アイデアル /(adj-na) ideal/
アイディーイー /(n) (comp) IDE/
アイディーイーエー /(n) (comp) IDEA/
アイディーエル /(n) (comp) IDL/
アイディーシー /(n) (comp) IDC/
アイディア /(n) idea/(P)/
アイディアマン /(n) idea man/ideas man/person of ideas/
アイディアリスト /(n) idealist/
アイディアリズム /(n) idealism/
アイディアル /(adj-na) ideal/
アイディア商品 [アイディアしょうひん] /(n) novelty (wasei: idea product)/
アイディリスト /(ik) (n) idealist/
アイディル /(n) idyll/
アイデンティカル /(adj-f) identical/
アイデンティティ /(n) identity/(P)/
アイデンティティー /(n) identity/(P)/
アイデンティティーカード /(n) identity card/
アイデンティティークライシス /(n) identity crisis/
アイデンティティクライシス /(n) identity crisis/
アイデンティファイ /(n,vs) identify/
アイデンティフィケーション /(n) identification/
アイデンティフィケーションカード /(n) identification card/
アイデンティフケイション /(n) identification/
アイデンテティ /(n) identity/
アイデンテファイ /(n,vs) identify/
アイデンテフィケイション /(n) identification/
アイトリプルイー /(n) (comp) IEEE/
アイドゥリ /(adv) idly/
アイドゥル /(n) (1) idol/(2) idle/
アイドゥルネス /(n) idleness/
アイドリ /(adv) idly/
アイドリング /(n) idling/
アイドリングストップ /(n) turning off a vehicle engine when stopped (wasei: idling stop)/
アイドル /(n) (1) idol/(2) idle/(P)/
アイドルインタラプト /(n) (comp) idle interrupt/
アイドルキャピタル /(n) idle capital/
アイドルギア /(n) idle gear/intermediate gear/
アイドルギヤ /(n) idle gear/intermediate gear/
アイドルコスト /(n) idle cost/
アイドルコラージュ /(n) altered photograph, usu. with sexual connotations, such as putting someone's face on top of a picture of a nude idol, etc. (wasei: idol collage)/
アイドルシステム /(n) idle system/
アイドルタイム /(n) idle time/
アイドルネス /(n) idleness/
アイドルビット /(n) idle bit/
アイドルフラグ /(n) (comp) idle flag/
アイドルマネー /(n) idle money/
アイドル歌手 [アイドルかしゅ] /(n) pop idol/idol singer/
アイドル時間 [アイドルじかん] /(n) (comp) idle time/
アイドル状態 [アイドルじょうたい] /(n) (comp) idle state/idle conditions/
アイナメ /(n) (uk) fat greenling (Hexagrammos otakii)/
アイナメ科 [アイナメか] /(n) Hexagrammidae (family of marine fishes incorporating the greenlings)/
アイヌ /(n,adj-no) Ainu/(P)/
アイヌ犬 [アイヌけん] /(n) Hokkaido dog/dog breed native to Hokkaido/
アイヌ語 [アイヌご] /(n) Ainu (language)/
アイヌ新法 [アイヌしんぽう] /(n) New Ainu Law (passed in 1997, aiming at promoting and protecting Ainu culture)/
アイヌ族 [アイヌぞく] /(n) the Ainu race/
アイネク /(n) (abbr) Eine Kleine Nachtmusik (work by Mozart)/
アイネット /(n) (comp) INET/
アイバンク /(n) eye bank/
アイパック /(n) (comp) iPaq/
アイパッチドバタフライフィッシュ /(n) Philippine butterflyfish (Chaetodon adiergastos)/panda butterflyfish/
アイビ /(n) (1) ivy/(2) Ivy League (style)/
アイビー /(n) (1) ivy/(2) Ivy League (style)/
アイビーエム /(n) (comp) IBM/
アイビーシャツ /(n) ivy shirt/
アイビースタイル /(n) ivy style/
アイビーム /(n) (comp) i-beam/
アイビームポインタ /(n) (comp) I-beam pointer/
アイビーリーグ /(n) Ivy League/
アイビールック /(n) ivy look/
アイビス /(n) ibis/
アイピーエックスエスピーエックス /(n) (comp) IPX-SPX/
アイピーブイシックス /(n) (comp) IPv6/
アイフ /(n) (comp) AIFF/
アイフック /(n) eye hook/eyehook/
アイブック /(n) (comp) iBook/
アイブラウ /(n) eyebrow/
アイブリ /(n) blackbanded trevally (Seriolina nigrofasciata)/blackbanded amberjack/
アイブリ属 [アイブリぞく] /(n) Seriolina (genus of jacks in the family Carangidae)/
アイブロー /(n) eyebrow/
アイブローシェープ /(n) eyebrow shape/
アイブローペンシル /(n) eyebrow pencil/
アイブロウ /(n) eyebrow/
アイベックス /(n) ibex/
アイボリ /(n) ivory/
アイボリー /(n) ivory/(P)/
アイボリーブラック /(n) ivory black/
アイボリーホワイト /(n) ivory-white/
アイボリー板紙 [アイボリーいたがみ] /(n) ivory paper/
アイボルト /(n) eye bolt/eyebolt/
アイマスク /(n) eye mask/
アイマック /(n) (comp) iMac/
アイマックス /(n) (comp) IMAX/
アイマップ /(n) (comp) IMAP/
アイメート /(n) seeing-eye dog (wasei: eye mate)/guide dog/
アイメイク /(n) eye makeup (wasei: eye make)/
アイメイト /(n) seeing-eye dog (wasei: eye mate)/guide dog/
アイモードサービス /(n) i-mode service/
アイヨンハチロク /(n) (comp) i486/
アイライナー /(n) eye liner/eyeliner/
アイライン /(n) eyeline/
アイラッシュ /(n) eyelash/
アイラッシュカーラー /(n) eyelash curler/
アイラブユー /(exp) (sl) I love you/
アイランド /(n) island/
アイランドキッチン /(n) island kitchen/
アイランドグレゴリー /(n) island gregory (Stegastes insularis)/
アイランドホッグフィッシュ /(n) island hogfish (Bodianus insularis)/
アイリス /(n) iris/(P)/
アイリスアウト /(n) iris-out/
アイリスイン /(n) iris-in/
アイリックス /(n) (comp) IRIX/
アイリッシュ /(n,adj-no) Irish/
アイリッシュウルフハウンド /(n) Irish wolfhound/
アイリッシュコーヒー /(n) Irish coffee/
アイリッシュハープ /(n) Irish harp/
アイリフト /(n) eyelift/
アイリンク /(n) (comp) i.LINK/
アイル /(n) aisle/
アイルランド /(n) (uk) Ireland/Eire/
アイルランド語 [アイルランドご] /(n) Irish (language)/Erse/
アイルランド人 [アイルランドじん] /(n) Irish (person)/
アイレット /(n) eyelet/
アイレットワーク /(n) eyelet work/
アイロニー /(n) irony (fre: ironie, ger: Ironie)/
アイロニカル /(adj-na) ironical/
アイロニック /(adj-na) ironic/
アイロン /(n) (electric) iron/(P)/
アイロンを掛ける [アイロンをかける] /(exp,v1) (uk) to iron/to do the ironing/
アイロン掛け [アイロンかけ] /(n,vs) (doing the) ironing/
アイロン掛け [アイロンがけ] /(n,vs) (doing the) ironing/
アイロン台 [アイロンだい] /(n) ironing board/
アインシュタイン宇宙 [アインシュタインうちゅう] /(n) Einsteinian universe/
アインスタイニウム /(n) einsteinium (Es)/
アウア /(n) hour/
アウアズ /(n) ours/
アウアセルブズ /(n) ourselves/
アウェーゲーム /(n) away game/
アウェーゴール /(n) away goals (rule in soccer)/
アウェア /(n) aware/
アウェイ /(n) away/
アウェイク /(n) awake/
アウェイクン /(vs) awaken/
アウェイト /(n) await/
アウエア /(n) aware/
アウエイ /(n) away/
アウエイク /(n) awake/
アウエイクン /(vs) awaken/
アウエイト /(n) await/
アウォード /(n) award/
アウケニプテルス科 [アウケニプテルスか] /(n) Ageneiosidae (family of driftwood catfishes)/
アウケニプテルス属 [アウケニプテルスぞく] /(n) Auchenipterus (genus of catfishes in the family Auchenipteridae)/
アウケノグラニスオッキデンタリス /(n) bubu (Auchenoglanis occidentalis)/giraffe catfish/
アウスト /(vs) oust/
アウストラロピテクス /(n) Australopithecus (lat:)/
アウストロアジア語族 [アウストロアジアごぞく] /(n) Austro-Asiatic languages/
アウストロネシア語族 [アウストロネシアごぞく] /(n) Austronesian languages/
アウストロレビアスアドルフィー /(n) killifish (Austrolebias adloffi)/
アウタ /(n) outer/
アウター /(n) outer/
アウターウエア /(n) outerwear/
アウタースペース /(n) outer space/
アウタルキー /(n) autarchy (ger: Autarkie)/
アウチ /(n) ouch/
アウティング /(n) outing/
アウテリア /(n) exterior (wasei: outerior)/
アウテング /(n) outing/
アウト /(n) out/(P)/
アウトゥサイド /(n) outside/
アウトゥドア /(n,adj-no) outdoor/al fresco/
アウトゥドアズ /(n) outdoors/
アウトゥブレイク /(n) outbreak (of war or disease)/
アウトゥプット /(n) output/
アウトゥライン /(n) outline/
アウトゥルック /(n) outlook/
アウトゥレット /(n) outlet (store that sells seconds, discontinued lines, etc.)/
アウトゥワァド /(n) outward/
アウトゥワッズ /(n) outwards/
アウトウエア /(n) out wear/
アウトオブオーダー実行 [アウトオブオーダーじっこう] /(n) (comp) out of order execution/
アウトオブデート /(adj-na) out-of-date/
アウトオブバウンズ /(n) out of bounds/
アウトオブファッション /(n) out of fashion/
アウトオブ眼中 [アウトオブがんちゅう] /(n) (col) being out of consideration/effectively not existing as an option/
アウトカウント /(n) out count/
アウトカム /(n) outcome/
アウトコース /(n) (1) outside track (wasei: out course)/(2) outside pitch (baseball)/
アウトコーナー /(n) outside corner (baseball, racetrack, etc.) (wasei: out corner)/
アウトサイダー /(n) outsider/
アウトサイド /(n) outside/
アウトサイドグリップ /(n) outside grip/
アウトスウィング /(n) outswing/
アウトスタンディング /(n) outstanding/
アウトストラーダ /(n) autostrada (ita:)/
アウトソーシング /(n,vs) out-sourcing/outsourcing/
アウトソース /(n,vs) outsourcing/
アウトダイヤル /(n) (comp) outdialing/
アウトテイク /(n) outtake (of a film, television program, etc.)/
アウトドア /(n,adj-no) outdoor/al fresco/
アウトドアゲーム /(n) outdoor game/
アウトドアショップ /(n) outdoor shop/
アウトドアスポーツ /(n) outdoor sports/
アウトドアズ /(n) outdoors/
アウトドアライフ /(n) outdoor life/
アウトドアリビング /(n) out-door living/
アウトドアレジャー /(n) outdoor leisure/
アウトドライブ /(n) outdrive/
アウトバーン /(n) autobahn (only used for German, etc. highways) (ger: Autobahn)/
アウトバウンド /(n) (comp) outbound/
アウトバスト /(n) outburst/
アウトバック /(n) outback/
アウトフィールダー /(n) (obsc) outfielder/
アウトフィールド /(n) outfield/
アウトフィット /(n) outfit/
アウトフォーカス /(n) soft focus (photography, film) (wasei: out focus)/out-of-focus technique/
アウトフロー /(n) outflow/
アウトブリード /(n) outbreed/
アウトブレイク /(n) outbreak (of war or disease)/
アウトプット /(n) output/
アウトプットポート /(n) (comp) output port/
アウトプレースメント /(n) outplacement/
アウトボクシング /(n) out boxing/
アウトボックス /(n) (comp) out-box/
アウトポケット /(n) outpocket/
アウトライト取引 [アウトライトとりひき] /(n) outright transaction/
アウトライン /(n) outline/
アウトラインステッチ /(n) outline stitch/
アウトラインフォント /(n) (comp) outline font/
アウトラインプロセッサ /(n) (comp) outline processor/
アウトラインプロセッサー /(n) outline processor/
アウトラインユーティリティ /(n) (comp) outline utility/
アウトラインレベル /(n) (comp) outline level/
アウトリガ /(n) outrigger/
アウトリガー /(n) outrigger/
アウトルック /(n) outlook/
アウトレイジ /(n) outrage/
アウトレット /(n) outlet (store that sells seconds, discontinued lines, etc.)/(P)/
アウトレットストア /(n) outlet store/
アウトレットボックス /(n) outlet box/
アウトロ /(n) outro/conclusion (music)/
アウトロー /(n) outlaw/
アウトワァド /(n) outward/
アウトワッズ /(n) outwards/
アウフタクト /(n) upbeat (ger: Auftakt)/anacrusis/
アウフヘーベン /(n) lift (ger: aufheben)/pick up/
アウム真理教 [アウムしんりきょう] /(ik) (n) Aum Shinrikyou religious group/
アウラ /(n) aura/
アウル /(n) owl/
アウロノカラエテルヴァイナエ /(n) Chitande aulonocara (species of peacock cichlid, Aulonocara ethelwynnae)/Northern Aulonocara/
アウロノカラスチュアートグランティ /(n) flavescent peacock (species of peacock cichlid, Aulonocara stuartgranti)/
アウロノカラハンスバエンシィ /(n) Aulonocara Fort Maguire (species of peacock cichlid, Aulonocara hansbaenschi)/firebird cichlid/
アウロノカラバエンシ /(n) Nkhomo-benga peacock (species of peacock cichlid, Aulonocara baenschi)/new yellow regal/yellow peacock/
アウロノカラフエセリ /(n) night aulonocara (species of peacock cichlid, Aulonocara hueseri)/Aulonocara white top/
アウロノカラメイランディ /(n) sulfurhead Aulonocara (species of peacock cichlid, Aulonocara maylandi maylandi)/
アウロノカラヤコブフライベルギ /(n) fairy cichlid (species of peacock cichlid, Aulonocara jacobfreibergi)/Malawi butterfly/
アウロノカラロストラートゥム /(n) Aulonocara rostratum (species of peacock cichlid from Lake Malawi)/
アウロノカラ属 [アウロノカラぞく] /(n) Aulonocara (genus of cichlids endemic to Lake Malawi in East Africa in the family Cichlidae)/peacock cichlids/
アウロノクラヌスデウィンドティ /(n) Aulonocranus dewindti (cichlid fish endemic to Lake Tanganyika in E. Africa)/
アウン /(n) (1) (uk) Om (san:)/Aun/syllable representing the primordial trinity of Vishnu, Shiva and Brahma/(2) inspiration and expiration/respiration/alpha and omega/
アウンス /(n) ounce/28.35g/
アエクィデンスサパイェンシス /(n) Sapayo cichlid (Aequidens sapayensis)/
アエクィデンステトラメルス /(n) saddle cichlid (Aequidens tetramerus)/
アエクィデンスディアデマ /(n) Aequidens diadema (species of South American freshwater cichlid)/
アエクィデンスパリドゥス /(n) doublespot acara (species of S. American cichlids, Aequidens pallidus)/
アエクィデンスメタエ /(n) yellow acara (species of cichlid in Colombia, Aequidens metae)/
アエクィデンス属 [アエクィデンスぞく] /(n) Aequidens (genus of fish in the family Cichlidae)/
アオアシシギ /(n) (uk) greenshank (species of sandpiper, Tringa nebularia)/
アオイ /(n) (1) (uk) mallow (any plant of family Malvaceae)/(2) Asarum caulescens (species of wild ginger)/(3) hollyhock/
アオイガイ /(n) (1) (uk) eggcase (shell) of the greater argonaut/(2) (col) greater argonaut (species of paper nautilus, Argonauta argo)/
アオイソハゼ /(n) prasites pygmy goby (Eviota prasites)/hairfin pygmy goby/
アオイ目 [アオイもく] /(n) Malvales (order of plants)/
アオウオ /(n) (uk) black carp (Mylopharyngodon piceus)/
アオウミガメ /(n) (uk) green turtle (Chelonia mydas)/
アオカケス /(n) (uk) blue jay (Cyanocitta cristata)/
アオカワラヒワ /(n) (uk) European greenfinch (Carduelis chloris)/
アオガラ /(n) blue tit (Parus caeruleus)/
アオキ /(n) (1) Japanese laurel/spotted laurel/Aucuba japonica/(2) live tree/
アオギハゼ /(n) blue-striped cave goby (Trimma tevegae, was Trimma caudomaculata)/blue-striped dwarfgoby/cave pygmy-goby/
アオギリ /(n) (uk) Chinese parasol-tree (Firmiana simplex)/Chinese-bottletree/Japanese varnishtree/phoenix-tree/
アオゲラ /(n) (uk) Japanese green woodpecker (Picus awokera)/Japanese woodpecker/wavy-bellied woodpecker/
アオコ毒 [アオコどく] /(n) poisonous algae bloom (often green in color) (colour)/
アオサ /(n) (uk) sea lettuce (Ulva spp.)/
アオザイ /(n) ao dai (traditional Vietnamese dress) (vie:)/
アオザメ /(n) (uk) shortfin mako shark (Isurus oxyrinchus)/
アオザメ属 [アオザメぞく] /(n) Isurus (genus of mackerel sharks in the family Lamnidae commonly known as the mako sharks)/
アオシタトカゲ /(n) bluetongued lizard/sleepy lizard/
アオジ /(n) (uk) black-faced bunting (Emberiza spodocephala)/
アオジタトカゲ /(n) bluetongued lizard/sleepy lizard/
アオタ /(n) blue shark (Prionace glauca, species of circumglobal requiem shark)/
アオタテジマチョウチョウウオ /(n) bluestriped butterflyfish (Chaetodon frembii)/
アオダイショウ /(n) (uk) Japanese rat snake (Elaphe climacophora)/
アオダモ /(n) chinese flowering ash/fraxinus lanuginosa form. serrata/
アオチビキ /(n) (uk) blue-gray snapper (Aprion virescens)/green jobfish/
アオナギ /(n) shark (esp. the blue shark, Prionace glauca)/
アオノメハタ /(n) peacock grouper (Cephalopholis argus)/
アオハダ /(n) macropoda holly/variety of holly common in Japan/ilex macropoda/
アオハナホソオオトカゲ /(n) canopy goanna (Varanus keithhornei, species of carnivorous monitor lizard native to Northeast Australia)/blue-nosed goanna/Nesbit River monitor/
アオバスズメダイ /(n) black-axil chromis (Chromis atripectoralis)/blackfin chromis/
アオバズク /(n) (uk) brown hawk owl (Ninox scutulata)/
アオバセセリ /(n) (uk) blue-winged skipper butterfly/
アオバト /(n) (uk) white-bellied green pigeon (Treron sieboldii)/
アオブダイ /(n) (uk) Scarus ovifrons (species of parrotfish)/
アオブダイ属 [アオブダイぞく] /(n) Scarus (genus of parrotfish in the family Scaridae)/
アオホソオオトカゲ /(n) blue-spotted tree monitor (Varanus macraei, species of carnivorous monitor lizard from the island of Batanta, Indonesia)/
アオミドロ /(n) spirogyra/algae forming pond scum/
アオメエソ /(n) (uk) Chlorophthalmus albatrossis (species of greeneye)/
アオモリトドマツ /(n) (uk) Maries' fir (Abies mariesii)/
アオヤガラ /(n) (uk) bluespotted cornetfish (Fistularia commersonii)/
アオヤサイ /(n) green crop/green vegetable/
アオリイカ /(n) bigfin reef squid/oval squid (Sepioteuthis lessoniana)/
アオリスト /(n) aorist/
アカアシイワシャコ /(n) (uk) red-legged partridge (Alectoris rufa)/
アカアシシギ /(n) (uk) common redshank (Tringa totanus)/
アカイエカ /(n) common house mosquito (Culex pipiens pallens)/
アカイソハゼ /(n) Eviota masudai (species of pygmy goby found in Japanese waters)/
アカウオ /(n) (1) Matsubara's red rockfish (Sebastes matsubarae)/(2) Pacific ocean perch (Sebastes alutus)/(3) comb goby (Ctenotrypauchen microcephalus)/(4) Japanese dace (Tribolodon hakonensis)/(5) any edible red saltwater fish/
アカウシアブ /(n) (uk) Tabanus chrysurus (species of horsefly)/
アカウソ /(n) (uk) bullfinch (Pyrrhula pyrrhula rosacea)/
アカウミガメ /(n) (uk) loggerhead turtle (Caretta caretta)/
アカウンタビリティ /(n) accountability/
アカウンタビリティー /(n) accountability/
アカウンティング /(n) accounting/
アカウンティングファイル /(n) (comp) accounting file/
アカウンティングマシン /(n) accounting machine/
アカウント /(n) account/
アカウントエイリアス /(n) (comp) account alias/
アカウントエグゼクティブ /(n) account executive/
アカウントドメイン /(n) (comp) account domain/
アカウントプランナー /(n) account planner/
アカウントポリシー /(n) (comp) account policy/
アカウントマネージャ /(n) account manager/
アカウントロックアウト /(n) (comp) account lockout/
アカウント管理 [アカウントかんり] /(n) account management/
アカエリヒレアシシギ /(n) (uk) red-necked phalarope (Phalaropus lobatus)/
アカオノスリ /(n) (uk) red-tailed hawk (Buteo jamaicensis)/
アカカマス /(n) red barracuda (Sphyraena pinguis)/
アカガイ /(n) (uk) blood clam (Scapharca broughtonii)/
アカガエル /(n) (1) (uk) any brown or reddish-brown frog (esp. of family Ranidae)/(2) Japanese brown frog (Rana japonica)/brown frog/
アカガレイ /(n) (uk) flathead flounder (Hippoglossoides dubius)/
アカギツネ /(n) (uk) (obsc) red fox (Vulpes vulpes)/
アカギンザメ /(n) spookfish (Hydrolagus mitsukurii, species of cartilaginous fish from the Northwest Pacific)/
アカギンザメ属 [アカギンザメぞく] /(n) Hydrolagus (genus of cartilaginous fish in the family Chimaeridae)/
アカククリ /(n) dusky batfish (Platax pinnatus, species of Western Pacific spadefish found from the Ryukyu Islands to Australia)/
アカグツ /(n) (uk) starry handfish (Halieutaea stellata)/
アカグマ /(n) (uk) brown bear (esp. the Ussuri brown bear, Ursus arctos lasiotus)/
アカコッコ /(n) Izu thrush (Turdus celaenops)/
アカサンゴ /(n) (uk) red coral (Corallium japonicum)/
アカザ /(n) (uk) white gooseweed (Chenopodium album)/fat hen/lamb's-quarters/pigweed/
アカザエビ /(n) (uk) Japanese lobster (Metanephrops japonicus)/
アカザ科 [アカザか] /(n) Chenopodiaceae (plant family)/
アカシア /(n) acacia/
アカシカ /(n) (uk) red deer (Cervus elaphus)/
アカシガタ /(n) (uk) Camellia sasanqua 'Akasigata' (cultivar of Christmas camellia)/
アカシタビラメ /(n) (uk) Cynoglossus joyneri (species of cyprinid)/
アカシデ /(n) (uk) loose-flowered hornbeam (Carpinus laxiflora)/akashide/
アカシュモクザメ /(n) (uk) scalloped hammerhead (Sphyrna lewini)/bronze hammerhead shark/
アカショウビン /(n) (uk) ruddy kingfisher (Halcyon coromanda)/
アカスグリ /(n) red-currant (Ribes rubrum)/
アカダニ /(n) (col) spider mite (any mite of family Tetranychidae)/
アカツキハギ /(n) Achilles tang (Acanthurus achilles, species of surgeonfish found from the Western Pacific to the East Central Pacific)/
アカテガニ /(n) (uk) red-clawed crab (Chiromantes haematocheir)/
アカデミー /(n) academia (fre: academie)/academy/(P)/
アカデミー賞 [アカデミーしょう] /(n) Academy Award/(P)/
アカデミシズム /(n) academicism/
アカデミシャン /(n) academician/
アカデミズム /(n) academism/
アカデミック /(adj-na,n) academic/(P)/
アカデミックガウン /(n) academic gown/
アカデミックディスカウント /(n) academic discount/
アカデミックパッケージ /(n) (comp) academic package/
アカナマダ /(n) (uk) crestfish (Lophotus capellei)/unicornfish/
アカニシ /(n) (uk) veined rapa whelk (Rapana venosa)/
アカネ /(n) (1) (uk) madder (esp. Japanese madder, Rubia argyi)/(2) madder (red color)/
アカネキンチャクダイ /(n) orangeface angelfish (Chaetodontoplus chrysocephalus)/
アカネズミ /(n) (uk) large Japanese field mouse (Apodemus speciosus)/
アカハタ /(n) (uk) blacktip grouper (species of fish, Epinephelus fasciatus)/
アカバナ /(n) (uk) willowherb (Epilobium pyrricholophum)/
アカヒメジ /(n) yellowfin goatfish (Mulloidichthys vanciolensis)/
アカヒレ /(n) (uk) white cloud mountain minnow (Tanichthys albonubes)/Canton danio/
アカプリッチオ /(n) a capriccio (ita:)/
アカプルコグレゴリー /(n) Acapulco major (Stegastes acapulcoensis)/Acapulco gregory/Acapulco damselfish/
アカペラ /(n) a capella (unaccompanied choir or choral work) (ita: a cappella)/
アカホシイソハゼ /(n) melasma pygmy goby (Eviota melasma)/black-spotted pygmy-goby/
アカホシキツネベラ /(n) lined hogfish (Bodianus leucosticticus)/Bodianus rubrisos (declared separate species from B. leucosticticus in 2006)/
アカボウ /(n) Bodianus cylindriatus (species of hogfish)/
アカボウクジラ /(n) (1) (uk) beaked whale/(2) Cuvier's beaked whale (Ziphius cavirostris)/
アカボウフラ /(n) (uk) (obsc) bloodworm (nonbiting midge larva)/
アカマタ /(n) Ryukyu odd-tooth snake (Dinodon semicarinatum)/
アカマタクロマタ /(n) (uk) red-masked and black-masked gods (folk belief of the Yaeyama Islands)/harvest festival celebrating these gods (held in the 6th lunar month)/
アカマツカサ /(n) bigscale soldierfish (Myripristis berndti)/
アカマンボウ /(n) (uk) opah (Lampris guttatus)/moonfish/
アカミミダレミツスイ /(n) (uk) red wattlebird (Anthochaera carunculata)/
アカムツ /(n) (1) Doederleinia berycoides (species of temperate ocean bass)/(2) male dark chub (Zacco temmincki) in mating season/
アカムパニ /(vs) accompany/
アカムパニメント /(n) accompaniment/
アカムプリッシュ /(vs) accomplish/
アカメイモ /(n) (uk) type of taro originally from Sulawesi, has large tubers with red eyes/
アカメガシワ /(n) (1) Mallotus japonicus/(2) mallotus bark (herbal medicine)/
アカメフグ /(n) red-eyed puffer (Takifugu chrysops)/
アカモミタケ /(n) Lactarius laeticolorus (edible species of lactarius mushroom)/
アカヤガラ /(n) (uk) red cornetfish (Fistularia petimba)/
アカヤマアリ /(n) (uk) Formica sanguinea (species of red wood ant)/
アカラシア /(n) achalasia/
アカル・テケ /(n) Akhal-Teke, a breed of horses originating in Turkmenistan/
アカルテケ /(n) Akhal-Teke, a breed of horses originating in Turkmenistan/
アカントアメーバ /(n) Acanthamoeba/
アカンパニ /(vs) accompany/
アカンパニメント /(n) accompaniment/
アカンプリッシュ /(vs) accomplish/
アカンベー /(int,n) facial gesture of pulling one's eyelid down and sticking out one's tongue/
アガナイズ /(vs) agonize/
アガパンサス /(n) agapanthus (esp. the African lily, Agapanthus africanus) (lat:)/lily-of-the-nile/
アガペー /(n) (1) agape (Christian love)/(2) agape (love feast)/
アガリクス /(n) Agaricus subrufescens (species of mushroom with purported medicinal properties)/
アガロース /(n) agarose/
アキー /(n) akee (Blighia sapida)/ackee/
アキアカネ /(n) (uk) var. of red dragonfly (Sympetrum frequens)/
アキカラマツ /(n) (uk) Thalictrum minus var. hypoleucum (variety of lesser meadow rue)/
アキシアルジェット /(n) axial jet/
アキシアルピストンポンプ /(n) axial piston pump/
アキシャルオフセット /(n) axial offset/
アキダクト /(n) aqueduct/
アキテクチャ /(n) architecture/
アキニレ /(n) (uk) Chinese elm (Ulmus parvifolia)/
アキバ系 [アキバけい] /(n,adj-no) (sl) Akihabara style/nerdy/
アキヘラザメ /(n) deep-water catshark (Apristurus profundorum, species found in the Atlantic)/
アキメネス /(n) achimenes (lat:)/
アキャデミィ /(n) academia (fre: academie)/academy/
アキュームレータ /(n) (comp) accumulator/
アキュセイション /(n) accusation/
アキュゼイション /(n) accusation/
アキュテイン /(n) Accutane/
アキュパイ /(vs) occupy/
アキュペイション /(n) occupation/
アキュミュレイト /(n,vs) accumulate/
アキュムレータ /(n) (comp) accumulator/
アキュムレーター /(n) (comp) accumulator/
アキュムレイト /(n,vs) accumulate/
アキュラシ /(n) accuracy/
アキュラスィ /(n) accuracy/
アキュレイト /(n) accurate/
アキュレット /(n) accurate/
アキレア /(n) achillea (lat:)/
アキレス /(n,adj-no) Achilles/
アキレスの論証 [アキレスのろんしょう] /(n) Achilles argument (i.e. Achilles and the tortoise; one of Zeno's paradoxes)/
アキレスタン /(n) Achilles tang (Acanthurus achilles, species of surgeonfish found from the Western Pacific to the East Central Pacific)/
アキレス腱 [アキレスけん] /(n) (1) Achilles tendon/calcaneal tendon/(2) Achilles' heel/vulnerable point/
アキレス腱炎 [アキレスけんえん] /(n) achilles tendonitis/achilles tendinitis/
アキレス腱滑液嚢炎 [アキレスけんかつえきのうえん] /(n) achillobursitis/
アキレス腱反射 [アキレスけんはんしゃ] /(n) Achilles tendon reflex/
アギ /(n) (uk) asafetida (Ferula assafoetida)/
アクースティック /(n,adj-na) acoustic/
アクア /(n) aqua/
アクアチント /(n) aquatint/
アクアティック /(adj-na) aquatic/
アクアティント /(n) aquatint/
アクアテック /(adj-na) aquatic/
アクアトロン /(n) aquatron/
アクアノート /(n) aquanaut/
アクアビット /(n) aquavit/akvavit/
アクアプレーン /(n) aquaplane/
アクアポリス /(n) aqua polis/city on water/
アクアポリン /(n) aquaporin/
アクアマリーン /(n) aquamarine/
アクアマリン /(n) aquamarine/
アクアミネラル /(n) mineral water (wasei: aqua mineral)/
アクアラング /(n) aqualung/Self-Contained Underwater Breathing Apparatus/SCUBA/
アクアリウム /(n) aquarium/
アクアロビクス /(n) aquarobics/
アクイエス /(n) acquiesce/
アクイジション /(n) acquisition/
アクイット /(n) acquit/
アクイロニウム /(n) Aulonocara aquilonium (species of peacock cichlid from Lake Malawi)/
アクウィエス /(n) acquiesce/
アクウィジション /(n) acquisition/
アクウィダクト /(n) aqueduct/
アクウィット /(n) acquit/
アクウェアリアム /(n) aquarium/
アクウェインタンス /(n) acquaintance/
アクウェイント /(n) acquaint/
アクウェリアム /(n) aquarium/
アクウダクト /(n) aqueduct/
アクエインタンス /(n) acquaintance/
アクエイント /(n) acquaint/
アクサン /(n) accent (usu. French accents such as acute and grave) (fre:)/
アクサングラーブ /(n) "grave" accent (fre: accent grave)/
アクサンシルコンフレックス /(n) circumflex accent (fre: accent circonflexe)/
アクサンスィルコンフレックス /(n) circumflex accent (fre: accent circonflexe)/
アクサンツルコンフレックス /(ik) (n) circumflex accent (fre: accent circonflexe)/
アクサンテギュ /(n) "acute" accent (fre: aigu)/
アクシオン /(n) axion/
アクシス /(n) axis/
アクシデンタル /(n) accidental/
アクシデント /(n) accident/(P)/
アクション /(n) action/(P)/
アクションアイテム /(n) action item/
アクションクエリ /(n) (comp) action query/
アクションゲーム /(n) (comp) action game/
アクションスター /(n) action star/
アクションタイプ /(n) (comp) action type/
アクションドラマ /(n) action drama/
アクションバー /(n) action bar/
アクションプラン /(n) action plan/
アクションプログラム /(n) action program/action programme/
アクションペインティング /(n) action painting/
アクションリサーチ /(n) action research/
アクション映画 [アクションえいが] /(n) action movie/
アクスィジェン /(n) oxygen/
アクスィデン /(n) accident/
アクスィデンタル /(n) accidental/
アクスル /(n) axle/
アクスルスタンド /(n) axle stand/
アクスルハウジング /(n) axle housing/
アクセ /(n) (abbr) accessory/
アクセサ /(n) (comp) accessor/
アクセサリ /(n) accessory/
アクセサリー /(n) accessory/(P)/
アクセシビリティ /(n) accessibility/a11y (in IT)/
アクセシビリティー /(n) accessibility/
アクセシブル /(adj-na) accessible/
アクセス /(n,vs) access/(P)/
アクセスを許可する [アクセスをきょかする] /(exp,vs-i) (comp) to permit access/
アクセスアーム /(n) (comp) access arm/
アクセスカウンタ /(n) (comp) access counter/Web counter/
アクセスカウンター /(n) (comp) access counter/Web counter/
アクセスキー /(n) (comp) access key/
アクセスコード /(n) access code/
アクセスコンテキスト /(n) (comp) access context/
アクセスコントロール /(n) (comp) access control/
アクセスコントロールリスト /(n) (comp) access control list/ACL/
アクセススイッチ /(n) (comp) access switch/
アクセススピード /(n) (comp) access speed/
アクセスタイム /(n) (comp) access time/
アクセスチャージ /(n) access charge/
アクセスパネル /(n) access panel/
アクセスブロック /(n) (comp) access block/
アクセスプロバイダ /(n) (comp) access provider/
アクセスポイント /(n) access point/
アクセスマスク /(n) (comp) access mask/
アクセスモード /(n) (comp) access mode/
アクセスレベル /(n) (comp) access level/
アクセスログ /(n) (comp) access log/
アクセス可能 [アクセスかのう] /(adj-na) (comp) accessible/
アクセス回線 [アクセスかいせん] /(n) (comp) access line/
アクセス管理 [アクセスかんり] /(n) (comp) access management/
アクセス機構 [アクセスきこう] /(n) (comp) access mechanism/actuator/
アクセス許可 [アクセスきょか] /(n) (comp) access permission/
アクセス禁止 [アクセスきんし] /(exp) (comp) banned from access (e.g. from a web forum, etc.)/
アクセス系 [アクセスけい] /(n) (comp) access system/
アクセス権 [アクセスけん] /(n) right of access/access permission/access right/
アクセス権限 [アクセスけんげん] /(n) (comp) access authorizations/
アクセス時間 [アクセスじかん] /(n) (comp) access time/
アクセス失敗率 [アクセスしっぱいりつ] /(n) (comp) failure rate/
アクセス情報 [アクセスじょうほう] /(n) (comp) access information/
アクセス制御 [アクセスせいぎょ] /(n) (comp) access control/
アクセス制御フィールド [アクセスせいぎょフィールド] /(n) (comp) access control field/
アクセス制御一覧 [アクセスせいぎょいちらん] /(n) (comp) access control list/
アクセス制御語 [アクセスせいぎょご] /(n) (comp) access control word/
アクセス単位 [アクセスたんい] /(n) (comp) Access Unit/AU/
アクセス点 [アクセスてん] /(n) (comp) access point/
アクセス番号 [アクセスばんごう] /(n) (comp) access number/
アクセス番組 [アクセスばんぐみ] /(n) access program/access programme/
アクセス頻度が低いファイル [アクセスひんどがひくいファイル] /(n) (comp) inactive file/
アクセス頻度の低いファイル [アクセスひんどのひくいファイル] /(n) (comp) infrequently accessed files/
アクセス不能 [アクセスふのう] /(n) (comp) unaccessible/
アクセス保護手続き [アクセスほごてつづき] /(n) (comp) access security procedure/
アクセス方式 [アクセスほうしき] /(n) (comp) access method/
アクセス方式実行プログラム [アクセスほうしきじっこうプログラム] /(n) (comp) access method executor/
アクセス法 [アクセスほう] /(n) (comp) access method/
アクセス網 [アクセスもう] /(n) (comp) access network/
アクセス要求信号 [アクセスようきゅうしんごう] /(n) (comp) access request signal/
アクセス料金 [アクセスりょうきん] /(n) (comp) access charge/access fee/
アクセス例外 [アクセスれいがい] /(n) (comp) access exception/
アクセソワリスト /(n) accessoiriste (fre:)/
アクセッシング /(n) accessing/
アクセプター /(n) acceptor/
アクセプタンス /(n) acceptance/
アクセプト /(n) accept/
アクセラレータ /(n) accelerator/
アクセラレーター /(n) accelerator/
アクセラレータカード /(n) (comp) accelerator card/
アクセル /(n) (1) (abbr) accelerator/(2) (abbr) Axel (figure skating jump)/axel/(P)/
アクセル・ジャンプ /(n) Axel jump (figure skating)/
アクセル・パウルゼン・ジャンプ /(n) (obsc) Axel Paulsen jump (figure skating)/
アクセルジャンプ /(n) Axel jump (figure skating)/
アクセルパウルゼンジャンプ /(n) (obsc) Axel Paulsen jump (figure skating)/
アクセルペダル /(n) accelerator pedal/gas pedal/throttle pedal/
アクセルレータ /(n) accelerator/
アクセレレーター /(n) accelerator/
アクセンチュエイション /(n) accentuation/
アクセント /(n) (1) accent (in language)/(2) stress/highlight/accent/(P)/
アクセント記号 [アクセントきごう] /(n) accent mark/
アクセント照明 [アクセントしょうめい] /(n) accent lighting/
アクセント付き文字 [アクセントつきもじ] /(n) (comp) accented character/
アクタ /(n) actor/
アクター /(n) actor/
アクチナイド /(n,adj-f) actinide (family of elements)/actinides/actinoid/
アクチニウム /(n) actinium (Ac)/
アクチニウム系列 [アクチニウムけいれつ] /(n) actinium series/Actinides/
アクチニド /(n,adj-f) actinide (family of elements)/actinides/actinoid/
アクチノイド /(n,adj-f) actinide (family of elements)/actinides/actinoid/
アクチノマイシン /(n) actinomycin/
アクチビティ /(n) activity/
アクチブ /(adj-na) active/
アクチブディフェンス /(n) active defense/active defence/
アクチャリ /(adv) actually/
アクチャル /(adj-na,n) actual/
アクチュアリ /(adv) actually/
アクチュアリー /(n) actuary/
アクチュアリティー /(n) actuality/
アクチュアル /(adj-na,n) actual/
アクチュアルタイム /(n) actual time/
アクチュアルポジション /(n) actual position/
アクチュエータ /(n) (comp) access mechanism (e.g. disk)/actuator/
アクチュエタ /(n) actuator/
アクチン /(n) actin/
アクティビティ /(n) activity/(P)/
アクティビティー /(n) activity/
アクティビティサンプリング /(n) activity sampling/
アクティビティモデルステップ /(n) (comp) activity model step/
アクティビティ間コンテキスト定義集合 [アクティビティかんコンテキストていぎしゅうごう] /(n) (comp) inter-activity defined context set/
アクティビティ属性 [アクティビティぞくせい] /(n) (comp) activity attributes/
アクティブ /(adj-na) active/(P)/
アクティブなバス /(n) (comp) active bus/
アクティブウィンドウ /(n) (comp) active window/
アクティブエックス /(n) (comp) ActiveX/
アクティブエックスドキュメンツ /(n) (comp) ActiveX Documents/
アクティブオブジェクト /(n) (comp) active object/
アクティブキャッシュ /(n) (comp) active cache/
アクティブコンテンツ /(n) (comp) active content/
アクティブサーバーページ /(n) (comp) Active Server Page/ASP/
アクティブサーバーページズ /(n) (comp) ActiveServerPages/
アクティブシステム /(n) active system/
アクティブスクリプティング /(n) (comp) active scripting/
アクティブスクリプト /(n) (comp) active script/
アクティブスポーツウエア /(n) active sportswear/
アクティブセーフティー /(n) active safety/
アクティブセットアップ /(n) (comp) active setup/
アクティブセル /(n) (comp) active cell/
アクティブソーラー /(n) active solar/
アクティブソーラーハウス /(n) active solar house/
アクティブソナー /(n) active sonar/
アクティブターミネータ /(n) (comp) active-terminator/
アクティブタスク /(n) active task/
アクティブチャネル /(n) (comp) active channel/
アクティブディスプレイ /(n) active display/
アクティブディフェンス /(n) active defense/active defence/
アクティブディレクトリ /(n) (comp) Active Directory/
アクティブデスクトップ /(n) (comp) Active Desktop/
アクティブハブ /(n) (comp) active hub/
アクティブパール /(n) (comp) Active Perl/
アクティブファイル /(n) (comp) active file/
アクティブフィルタ /(n) active filter/
アクティブプログラム /(n) (comp) active program/
アクティブホーミング /(n) active homing/
アクティブマトリクスディスプレイ /(n) (comp) active matrix display/
アクティブマトリクス方式 [アクティブマトリクスほうしき] /(n) (comp) active matrix/
アクティブマトリックス /(n) active matrix/
アクティブリスク /(n) active risk/
アクティブロジック機能 [アクティブロジックきのう] /(n) (comp) active logic function/
アクティブ化 [アクティブか] /(n) (comp) activate/
アクティベーション /(n) activation/
アクティベート /(n) (comp) activation (e.g. of network accounts, etc.)/
アクティング /(n) acting/
アクティングアウト /(n) acting out/
アクティヴ /(adj-na) active/
アクテビティ /(n) activity/
アクト /(n) act/
アクトゥレス /(ik) (n) actress/
アクトパス /(n) octopus/
アクトビット /(n) activation bit/
アクトミオシン /(n) actomyosin/
アクトレス /(n) actress/
アクネ /(n) acne/
アクノリッジ /(n) (comp) acknowledge/
アクムレイト /(n,vs) accumulate/
アクメ /(n) orgasm (fre: acme)/
アクリジン /(n) acridine/
アクリッド /(adj-na) acrid/
アクリノール /(n) acrinol/
アクリフラビン /(n) acriflavine/
アクリリックレジンセメント /(n) acrylic resin cement/
アクリル /(n,adj-no) acrylic (esp. acrylic fibre, fiber)/(P)/
アクリルアミド /(n) acrylamide/
アクリルアルデヒド /(n) acrylic aldehyde/
アクリルゴム /(n) acrylic rubber/
アクリルシロップ /(n) acrylic syrup/
アクリルセメント /(n) acrylic cement/
アクリルプラスチック /(n) acrylic plastic/
アクリルペインティング /(n) acrylic painting/
アクリルレンズ /(n) acrylic lens/
アクリル絵の具 [アクリルえのぐ] /(n) acrylic paint/
アクリル絵具 [アクリルえのぐ] /(n) acrylic paint/
アクリル酸 [アクリルさん] /(n) acrylic acid/
アクリル酸塩 [アクリルさんえん] /(n) acrylate/
アクリル樹脂 [アクリルじゅし] /(n) acrylic resin/
アクリル繊維 [アクリルせんい] /(n) acrylic fiber/acrylic fibre/
アクリル板 [アクリルばん] /(n) acrylic plate/
アクリロイド /(n) acryloid/
アクリロイルモルホリン /(n) acryloyl morpholine/
アクリログアナミン /(n) acryloguanamine/
アクリロニトリル /(n) acrylonitrile/
アクリロニトリルゴム /(n) acrylonitrile rubber/
アクリロニトリルブタジエンゴム /(n) acrylonitrile/butadiene rubber/
アクレイム /(n) acclaim/
アクレジット /(vs) accredit/
アクレディット /(vs) accredit/
アクロシン /(n) acrosin/
アクロス /(adv) across/
アクロスティック /(n) acrostic/
アクロスティックパズル /(n) acrostic puzzle/
アクロステックパズル /(n) acrostic puzzle/
アクロニム /(n) acronym/
アクロバチック /(adj-na) acrobatic/
アクロバット /(n) (1) acrobat/(2) acrobatics/(P)/
アクロバットダンサー /(n) acrobatic dancer/contortionist/
アクロバットダンス /(n) acrobatic dance/
アクロバットチーム /(n) aerobatic team/acrobatic team/
アクロバティック /(adj-na) acrobatic/
アクロポリス /(n) acropolis/
アクロマート /(n) achromat/
アクロマチックレンズ /(n) achromatic lens/
アクロメガリー /(n) acromegaly/
アクロレイン /(n) acrolein/
アクワイア /(vs) acquire/
アクワイヤ /(vs) acquire/
アクワティック /(adj-na) aquatic/
アク禁 [アクきん] /(n) (comp) (col) (abbr) banned from access (e.g. from a web forum, etc.)/
アグーチ /(n) Brazilian agouti (Dasyprocta leporina)/
アグニ /(n) Agni (Vedic god of fire) (san:)/
アグヌスデイ /(n) Agnus Dei (lat:)/
アグラデーション /(n) aggradation/
アグラベイト /(vs) aggravate/
アグリ /(n) (1) agree/(2) ugly/
アグリー /(n) (1) agree/(2) ugly/
アグリーメント /(n) agreement/
アグリカルチャ /(n) agriculture/
アグリカルチャー /(n) agriculture/
アグリカルチュラル /(n) agricultural/
アグリケミカル /(n) agrichemicals/
アグリゲイション /(n,vs) aggregation/
アグリゲイト /(vs) aggregate/
アグリネス /(n) ugliness/
アグリビジネス /(n) agribusiness/
アグリビジネスマン /(n) agribusinessman/
アグリベイト /(vs) aggravate/
アグリメント /(n) agreement/
アグレアブル /(n) agreeable/
アグレガシオン /(n) civil service competitive examination for some positions in the public education system in France (fre: agregation)/
アグレゲイション /(n,vs) aggregation/
アグレゲイト /(vs) aggregate/
アグレシブ /(adj-na) aggressive/
アグレション /(n) aggression/
アグレッシブ /(adj-na) aggressive/(P)/
アグレッション /(n) aggression/
アグレッシン /(n) aggression/
アグレマン /(n) agreement (fre:)/
アグロフォレストリー /(n) agroforestry/
アグロメ /(n) (abbr) agglomeration/
アケイシャ /(n) acacia/
アケオメコトヨロ /(exp) (col) (abbr) abbreviation of "akemashite omedetou, kotoshi mo yoroshiku onegaishimasu"/
アケビ科 [アケビか] /(n) Lardizabalaceae (plant family)/(common name) the lardizabala family/
アケボノソウ /(n) (uk) Swertia bimaculata (species of felwort)/
アケボノチョウチョウウオ /(n) (uk) blackback butterflyfish (Chaetodon melannotus, species found in the Indo-Pacific)/
アケボノヒメオオトカゲ /(n) northern ridge-tailed monitor (Varanus primordius, species of carnivorous monitor lizard native to the Northern Territory of Australia)/blunt-spined goanna/
アゲーン /(n) (1) repeat of a deuce (in tennis, etc.) (eng: again)/(adv) (2) again/
アゲィンスト /(adv) against/
アゲイン /(n) (1) repeat of a deuce (in tennis, etc.) (eng: again)/(adv) (2) again/
アゲハ /(n) (uk) (abbr) swallowtail butterfly (esp. the citrus swallowtail butterfly, Papilio xuthus)/
アゲハチョウ /(n) (uk) swallowtail butterfly (esp. the citrus swallowtail butterfly, Papilio xuthus)/
アゲマキガイ /(n) (uk) constricted tagelus (Sinonovacula constricta)/Chinese razor clam/
アゲラタム /(n) ageratum/
アゲン /(n) (1) repeat of a deuce (in tennis, etc.) (eng: again)/(adv) (2) again/
アゲンスト /(adv) against/
アゲンストウインド /(adv) against wind/
アコースティック /(n,adj-na) acoustic/(P)/
アコースティックエミッション /(n) acoustic emission/
アコースティックギター /(n) acoustic guitar/
アコースティックサウンド /(n) acoustic sound/
アコーディアン /(n) accordion/
アコーディオン /(n) accordion/(P)/
アコーディオンドア /(n) accordion door/
アコーディオンプリーツ /(n) accordion pleats/
アコーデオン /(n) accordion/
アコーデオンドア /(n) accordion door/
アコーデオンプリーツ /(n) accordion pleats/
アコード /(n) accord/(P)/
アコウ /(n) (uk) Japanese sea fig (Ficus superba var. japonica)/
アコギ /(n) (abbr) acoustic guitar/
アコナイト /(n) aconite/
アコニチン /(n) aconitine/
アコニットアルカロイド /(n) aconitum alkaloid/
アコモデーション /(n) accommodation/
アコモデーター /(n) accommodator/
アコモデイション /(n) accommodation/
アコモデイト /(vs) accommodate/
アコヤガイ /(n) (uk) Marten's pearl oyster (Pinctada fucata martensii)/Akoya pearl oyster/
アコライト /(n) acolyte/
アコンドライト /(n) achondrite/
アコンパニ /(vs) accompany/
アコンパニメント /(n) accompaniment/
アコンプリス /(n) accomplice/
アコンプリッシ /(vs) accomplish/
アコンプリッシュ /(vs) accomplish/
アゴハゼ /(n) (uk) forktongue goby (Chaenogobius annularis)/chestnut goby/
アゴヒゲアザラシ /(n) (uk) bearded seal (Erignathus barbatus)/
アゴラ /(n) (comp) Agora/
アゴラフォビア /(n) agoraphobia/
アサーション /(n) assertion/
アサーティブネストレーニング /(n) assertiveness training/
アサート /(n,vs) assert/
アサイド /(n) aside/
アサイラム /(n) asylum/
アサイン /(n) assign/
アサインメント /(n) assignment/
アサガオガイ /(n) (uk) common purple snail (Janthina janthina)/common purple sea snail/violet snail/purple bubble raft snail/janthina/
アサクサノリ /(n) (1) (uk) Porphyra tenera (species of edible seaweed)/(2) dried nori/dried laver/
アサシネイション /(n) assassination/
アサシネイト /(vs) assassinate/
アサシン /(n) assassin/
アサターム /(n) (comp) ASATERM/
アサダ /(n) Japanese hop hornbeam/ostrya japonica/
アサヒる /(v5r) (uk) (sl) to fabricate (stories) (based on alleged behaviour of the Asahi newspaper)/to make up/
アサヒコム /(n) (comp) asahi.com/
アサヒビール /(n) (1) Asahi beer/(2) Asahi Breweries, Ltd./
アサマツゲ /(n) (uk) (obsc) Japanese box tree (Buxus microphylla var. japonica)/
アサリ /(n) Manila clam (Ruditapes philippinarum)/
アサリウスバタフライフィッシュ /(n) West Australian butterflyfish (Chaetodon assarius)/Assarius butterflyfish/Western butterflyfish/
アサルト /(n) assault/
アサルトライフル /(n) assault rifle/
アサンプション /(n) assumption/
アザチオプリン /(n) azathioprine/
アザミ /(n) (uk) thistle (Cirsium spp.)/
アザミウマ /(n) (uk) thrips (any insect of order Thysanoptera)/thrip/
アザミゲシ /(n) (uk) Mexican prickly poppy (Argemone mexicana)/
アザラシ /(n) (uk) true seal (animal)/earless seal/
アザラシ科 [アザラシか] /(n) Phocidae (seals)/
アザレア /(n) azalea/
アザワイズ /(adv) otherwise/
アシ /(n,adj-no) (uk) common reed (Phragmites australis)/
アシ /(n,vs) (abbr) assistant/
アシェイムド /(adj-f) ashamed/
アシカ /(n,adj-no) (uk) eared seal (esp. the California sea lion, Zalophus californianus)/sea lion/
アシクロビル /(n) aciclovir/
アシスタンス /(n) assistance/
アシスタント /(n) assistant/(P)/
アシスタントオブジェクト /(n) (comp) assistant object/
アシスタントディレクター /(n) assistant director/
アシスタントパーサー /(n) assistant purser/
アシスト /(n,vs) assist/assistance/(P)/
アシタバ /(n) (uk) Angelica keiskei (species of angelica, a herb of the parsley family)/
アシダカグモ /(n) (uk) huntsman spider (Heteropoda venatoria)/
アシッド /(n) acid/
アシッドジャズ /(n) acid jazz/
アシドーシス /(n) acidosis/
アシナガグモ /(n) (uk) Tetragnatha praedonia (species of long-jawed orb weaver)/
アシナシイモリ /(n) (uk) caecilian (any burrowing legless amphibian of the order Gymnophiona)/
アシナシトカゲ /(n) (uk) legless lizard (esp. Anguidae spp., inc. glass lizards and slow worms)/
アシボソ /(n) (uk) Japanese stilt grass (Microstegium vimineum)/
アシマネ /(n) (abbr) assistant manager/
アシミレイション /(n) assimilation/
アシミレイト /(vs) assimilate/
アシメ /(n,adj-no) (abbr) (sl) assymetry/
アシメトリ /(n) asymmetry/
アシメトリー /(n) asymmetry/
アシメトリックデザイン /(n) asymmetric design/
アシモ /(n) ASIMO (bipedal robot created by Honda)/
アシュア /(vs) assure/
アシュアランス /(n) assurance/
アシュアリッドリ /(adv) assuredly/
アシュケナジム /(n) Ashkenazim (Jews of Central European descent)/
アシル基 [アシルき] /(n) acyl group/
アシロ /(n) (uk) Ophidion asiro (species of cusk eel)/
アシンメトリー /(n) asymmetry/
アシンメトリックデザイン /(n) asymmetric design/
アシ君 [アシくん] /(n) (sl) man who drives a woman around for free/man used by a woman for his car/
アジ /(n) (abbr) agitation/
アジる /(v5r,vt) to stir up/to instigate (somebody to do something)/to agitate/to foment/
アジア /(n) (1) (uk) Asia (esp. "the Far East")/(adj-no) (2) Asian/Asiatic/(P)/
アジア・太平洋戦争 [アジア・たいへいようせんそう] /(n) Asia-Pacific War (starting with the Manchurian Incident in 1931 and ending with the Japanese surrender in 1945)/
アジアーゴ・チーズ /(n) Asiago cheese/
アジアかぜ /(n) Asia influenza/
アジアアフリカ会議 [アジアアフリカかいぎ] /(n) Asian-African Conference (1955)/Afro-Asian Conference/
アジアインフルエンザ /(n) Asian influenza/
アジアカップ /(n) Asian Cup/
アジアダラー /(n) Asia dollar/
アジアヒキガエル /(n) (uk) Asiatic toad (Bufo gargarizans)/
アジアプレス /(n) Asia Press (company)/
アジアン /(adj-f) Asian (esp. SE Asian)/
アジア開発銀行 [アジアかいはつぎんこう] /(n) Asian Development Bank/
アジア競技大会 [アジアきょうぎたいかい] /(n) Asian Games/
アジア系 [アジアけい] /(n) Asian/(person) of Asian descent/
アジア諸国 [アジアしょこく] /(n) Asian countries/Asian nations/
アジア象 [アジアぞう] /(n) (uk) Asian elephant/Indian elephant/
アジア太平洋 [アジアたいへいよう] /(n) Asia-Pacific (region)/
アジア太平洋機械翻訳協会 [アジアたいへいようきかいほんやくきょうかい] /(n) Asia-Pacific Association for Machine Translation/AAMT/
アジア太平洋経済協力会議 [アジアたいへいようけいざいきょうりょくかいぎ] /(n) Asia-Pacific Economic Cooperation/APEC/
アジア太平洋戦争 [アジアたいへいようせんそう] /(n) Asia-Pacific War (starting with the Manchurian Incident in 1931 and ending with the Japanese surrender in 1945)/
アジア太平洋地域 [アジアたいへいようちいき] /(n) Asia-Pacific region/
アジア大会 [アジアたいかい] /(n) Asian Games/
アジア大陸 [アジアたいりく] /(n) Asian Continent/
アジア的生産様式 [アジアてきせいさんようしき] /(n) Asiatic mode of production (Marx)/
アジア蟇 [アジアひきがえる] /(n) (uk) Asiatic toad (Bufo gargarizans)/
アジェイサント /(adj-f) adjacent/
アジェイスント /(adj-f) adjacent/
アジェクティブ /(n) adjective/
アジェクテブ /(n) adjective/
アジェンダ /(n) agenda/
アジェンダセッティング /(n) agenda setting/
アジクト /(n) addict/
アジサイ /(n) (uk) hydrangea (Hydrangea macrophylla)/
アジサイ科 [アジサイか] /(n) Hydrangeaceae (plant family)/hydrangea/
アジサシ /(n) (uk) tern (esp. the common tern, Sterna hirundo)/
アジソン症候群 [アジソンしょうこうぐん] /(n) Addison's syndrome/
アジソン病 [アジソンびょう] /(n) Addison's disease/
アジタート /(n) agitato (ita:)/
アジテーション /(n) agitation/
アジテーター /(n) agitator/
アジテート /(vs) agitate/
アジテイション /(n) agitation/
アジテイト /(vs) agitate/
アジト /(n) hideout (rus: agitpunkt)/secret base of operations/safe house/(P)/
アジドチミジン /(n) azidothymidine/AZT/
アジビラ /(n) (abbr) propaganda handbill (wasei: agitation bill)/
アジピン酸 [アジピンさん] /(n) adipic acid/
アジマス角 [アジマスかく] /(n) (comp) azimuth angle/
アジメドジョウ /(n) (uk) Niwaella delicata (species of loach)/
アジャスター /(n) adjuster/
アジャスタブルレンチ /(n) adjustable wrench/
アジャスト /(n) adjust/
アジャタ /(n) (abbr) sport similar to ball-toss game played in schools (All Japan Tamaire)/
アジュバント /(n) adjuvant/
アジリティ /(n) (comp) agility/
アジ演説 [アジえんぜつ] /(n) propaganda speech/inflammatory speech/
アジ化鉛 [アジかなまり] /(n) lead azide/
アスィスタント /(n) assistant/
アスキー /(n) (comp) American Standard Code for Information Interchange/ASCII/(P)/
アスキーネット /(n) (comp) ASCII Net/
アスキーファイル /(n) (comp) ASCII file/
アスキーモード /(n) (comp) ASCII mode/
アスキファイル /(ik) (n) (comp) ASCII file/
アスクル /(n) (comp) ASKUL/
アスクレピオスの杖 [アスクレピオスのつえ] /(n) rod of Asclepius/
アスコットタイ /(n) Ascot tie/
アスコルビン酸 [アスコルビンさん] /(n) ascorbic acid/
アスコン /(n) (abbr) asphalt concrete/
アスター /(n) (abbr) asterisk/
アスタチン /(n) astatine (At)/
アスタリスク /(n) asterisk/
アスチルベ /(n) astilbe (flowering plant of the saxifrage family)/
アステカ /(n) Aztec/
アステカ族 [アステカぞく] /(n) Aztec/
アステック /(n) Aztec/
アステリ /(n) (abbr) asterisk/
アステリスク /(n) asterisk/
アステリズム /(n) asterism (pattern of stars which do not form a constellation)/
アステロイド /(n) asteroid/
アストゥラノマ /(n) astronomer/
アストゥラノミィ /(n) astronomy/
アストニッシメント /(n) astonishment/
アストニッシュ /(vs) astonish/
アストニッシュメント /(n) astonishment/
アストラカン /(n) astrakhan/
アストラゼネカ /(n) AstraZeneca (212-atenolol)/
アストラル /(adj-f) astral/
アストリンゼン /(n) (1) astringent/(2) astringent lotion/
アストリンゼント /(n) (1) astringent/(2) astringent lotion/
アストロサイト /(n) astrocyte/
アストロドーム /(n) Astrodome/
アストロノータス /(n) marble cichlid (Astronotus ocellatus) (lat: Astronotus)/
アストロノート /(n) astronaut/
アストロノウト /(n) astronaut/
アストロノマー /(n) astronomer/
アストロノミー /(n) astronomy/
アストロラーベ /(n) astrolabe/
アストロラマ /(n) astro-rama/
アストロロジー /(n) astrology/
アスナロ /(n) (uk) hiba false arborvitae (species of cypress, Thujopsis dolabrata)/
アスパック /(n) ASPAC/
アスパラ /(n) (abbr) asparagus/
アスパラガス /(n) asparagus/(P)/
アスパラギン /(n) asparagine/
アスパラギン酸 [アスパラギンさん] /(n) aspartic acid/
アスパルテーム /(n) aspartame/
アスピー /(n) (comp) ASPI/
アスピーテ /(n) Aspite (ger:)/
アスピック /(n) aspic/
アスピリン /(n) aspirin (ger: Aspirin)/
アスピリンスノー /(n) aspirin snow/
アスファルト /(n,adj-no) asphalt/(P)/
アスファルトコンクリート /(n) asphalt concrete/
アスファルトシングル /(n) asphalt shingle/
アスファルトジャングル /(n) asphalt jungle/
アスファルトフェルト /(n) asphalt felt/
アスファルト道路 [アスファルトどうろ] /(n) asphalt road/blacktop/tarmac road/
アスプ /(n) Egyptian cobra/asp (Naja haje)/
アスプ鎖蛇 [アスプくさりへび] /(n) (uk) asp viper (Vipera aspis)/
アスベスト /(n) asbestos (dut: asbest)/(P)/
アスベストセメント /(n) asbestos cement/
アスペクト /(n) aspect/
アスペクトレーショ /(n) (comp) aspect ratio/
アスペクトレシオ /(n) (comp) aspect ratio/
アスペクト指向 [アスペクトしこう] /(n) aspect-oriented design/
アスペクト比 [アスペクトひ] /(n) (comp) aspect ratio/
アスペルガー症候群 [アスペルガーしょうこうぐん] /(n) Asperger's syndrome/
アスペルギルス症 [アスペルギルスしょう] /(n) aspergillosis/
アスペン /(n) aspen/
アスリート /(n) athlete/(P)/
アスリートトラスト /(n) athlete trust/
アスリートファンド /(n) athlete fund/
アスレチック /(n) (1) athletic/(2) leisure facilities/(P)/
アスレチッククラブ /(n) athletic club/fitness club/gym/sports club/
アスレチックス /(n) athletics/
アスレチックフィールド /(n) athletic field/
アスロック /(n) Anti-Submarine ROCket/ASROC/
アスロン /(n) (comp) Athlon/
アズキゾウムシ /(n) (uk) adzuki bean weevil (Callosobruchus chinensis)/
アズサ /(n) (1) (uk) Japanese cherry birch (Betula grossa)/(2) yellow catalpa (Catalpa ovata)/(3) printing block/
アズファーエンジェル /(n) Arabian angelfish (Pomacanthus asfur)/
アズマギンザメ /(n) Pacific longnose chimaera (Harriotta raleighana, species of deep water cartilaginous fish)/narrownose chimaera/
アズマギンザメ属 [アズマギンザメぞく] /(n) Harriotta (genus with two species of long-nosed chimaeras in the family Rhinochimaeridae)/
アズマシャクナゲ /(n) (uk) Azuma rhododendron/Rhododendron metternichii var./
アズマネザサ /(n) (uk) Pleioblastus chino (species of bamboo grass)/
アズマヒガン /(n) (uk) double weeping rosebud cherry (Prunus pendula)/
アズマヤマアザミ /(n) (uk) Azumayama thistle/Cirsiummicrospicatum/
アセス /(n) (abbr) assessment/
アセスメント /(n) assessment/(P)/
アセタール樹脂 [アセタールじゅし] /(n) acetal resin/
アセチリーン /(n) acetylene/
アセチル /(n) acetyl/
アセチルＣｏＡ [アセチルコエー] /(n) acetyl-CoA/acetyl-coenzyme A/
アセチルコリン /(n) acetylcholine/
アセチルコリンエステラーゼ /(n) acetylcholinestrase/
アセチルサリチル酸 [アセチルサリチルさん] /(n) acetylsalicylic acid (i.e. aspirin)/
アセチルセルロース /(n) (obsc) acetylcellulose/
アセチル化 [アセチルか] /(n,vs) acetylation/
アセチル基 [アセチルき] /(n) acetyl group/
アセチレン /(n) acetylene/
アセチレンランプ /(n) acetylene torch/
アセチレン系炭化水素 [アセチレンけいたんかすいそ] /(n) (obsc) alkyne/
アセット /(n) asset/
アセットマネージメント /(n) asset management/
アセテート /(n) acetate/
アセテートレーヨン /(n) acetate rayon/
アセテート繊維 [アセテートせんい] /(n) acetate fiber/acetate fibre/
アセティシズム /(n) asceticism/
アセトアニリド /(n) acetanilide/
アセトアミノフェン /(n) acetaminophen/paracetamol/
アセトアルデヒド /(n) acetaldehyde/
アセトン /(n,adj-no) acetone/
アセトンブタノール発酵 [アセトンブタノールはっこう] /(n) acetone-butanol fermentation/
アセト酢酸 [アセトさくさん] /(n) acetoacetic acid/
アセノスフェア /(n) asthenosphere/
アセフェート /(n) acephate/
アセローラ /(n) acerola (spa:)/
アセロラ /(n) acerola (Malpighia glabra) (spa:)/Barbados cherry/
アセンダ /(n) (comp) ascender/
アセンブラ /(n) (comp) assembler/
アセンブラー /(n) (comp) assembler/
アセンブラマクロ変換支援プログラム [アセンブラマクロへんかんしえんプログラム] /(n) (comp) assembler macro conversion aid/
アセンブラ言語 [アセンブラげんご] /(n) (comp) assembly language/
アセンブラ制御命令 [アセンブラせいぎょめいれい] /(n) (comp) assembler control instruction/
アセンブリ /(n) (comp) assembly/
アセンブリー /(n) (comp) assembly/
アセンブリー言語 [アセンブリーげんご] /(n) assembly language/
アセンブリー言葉 [アセンブリーことば] /(n) assembly language/
アセンブリー工業 [アセンブリーこうぎょう] /(n) assembly industry/
アセンブリキャッシュ /(n) (comp) assembly cache/
アセンブリマニフェスト /(n) (comp) assembly manifest/
アセンブリライン /(n) assembly line/
アセンブリ言語 [アセンブリげんご] /(n) (comp) assembly language/
アセンブル /(n,vs) assemble/
アセンブル時 [アセンブルじ] /(n) (comp) assembly time/
アセンブル時間 [アセンブルじかん] /(n) (comp) assembly time/
アセンブル編集 [アセンブルへんしゅう] /(n) (comp) assemble edit/
アゼトウナ /(n) (uk) Crepidiastrum keiskeanum (species of plant in the daisy family)/
アゼルバイジャン語 [アゼルバイジャンご] /(n) Azerbaijani (language)/
アソーシエイト /(n) associate/
アソートメント /(n) assortment/
アソシエーション /(n) association/
アソシエーションフットボール /(n) association football/soccer/
アソシエーション応答側 [アソシエーションおうとうがわ] /(n) (comp) association-responder/
アソシエーション応答側応用エンティティ [アソシエーションおうとうがわおうようエンティティ] /(n) (comp) association-responding-application-entity/association-responder/
アソシエーション起動側 [アソシエーションきどうがわ] /(n) (comp) association-initiator/
アソシエーション起動側応用エンティティ [アソシエーションきどうがわおうようエンティティ] /(n) (comp) association-initiating-application-entity/association-initiator/
アソシエーション制御サービス要素 [アソシエーションせいぎょサービスようそ] /(n) (comp) association control service element/ACSE/
アソシエーション制御プロトコル機械 [アソシエーションせいぎょプロトコルきかい] /(n) (comp) Association Control Protocol Machine/
アソシエーツ /(n) associates/
アソシエート /(n,adj-f) associate/
アソシエイト /(n,adj-f) associate/
アゾトバクター /(n) azotobacter/
アゾレスクロミス /(n) Azores chromis (Chromis limbata)/
アゾ化合物 [アゾかごうぶつ] /(n) azo compound/
アゾ基 [アゾき] /(n) azo group/
アゾ染料 [アゾせんりょう] /(n) azo dye/
アタシンチ /(n) (abbr) (col) (fem) my family/
アタッカー /(n) attacker/
アタック /(n,vs) attack/(P)/
アタックパターン /(n) (comp) attack pattern/
アタックライン /(n) attack line/
アタッシェ /(n) attache (fre:)/
アタッシェケース /(n) attache case/
アタッシュケース /(n) attache case/
アタッチ /(n) (comp) attach/
アタッチファイル /(n) (comp) attach file/
アタッチメント /(n) attachment/
アタッチメントユニットインタフェース /(n) (comp) attachment unit interface/AUI/
アタピー /(n) (comp) ATAPI/
アタマジラミ /(n) (uk) head louse (Pediculus humanus capitis)/head lice/
アタラクシア /(n) ataraxia (gre:)/
アタリ /(n) collision/overlapping (e.g. of two objects in a video game)/
アタリメ /(n) (uk) dried squid/dried cuttlefish/
アダージェット /(n) adagietto (ita:)/
アダージョ /(n) adagio (ita:)/
アダジオ /(n) adagio (ita:)/
アダプタ /(n) adapter/
アダプター /(n) adapter/(P)/
アダプタカード /(n) (comp) adaptor card/
アダプテーション /(n) adaptation/
アダプテーションレイヤ /(n) (comp) adaptation layer/
アダプテーション機能 [アダプテーションきのう] /(n) (comp) adaptation function/
アダプテーション層 [アダプテーションそう] /(n) (comp) adaptation layer/
アダプティヴ /(n) adaptive/
アダプト /(vs) to adapt/
アダムスストークス症候群 [アダムスストークスしょうこうぐん] /(n) Adams-Stokes syndrome/
アダルト /(n) adult/(P)/
アダルト・グラフィック /(n) glossy sex magazine (wasei: adult graphic)/
アダルトエデュケーション /(n) adult education/
アダルトグッズ /(n) sex toy (wasei: adult goods)/
アダルトグラフィック /(n) glossy sex magazine (wasei: adult graphic)/
アダルトゲーム /(n) adult game/
アダルトコンテンツ /(n) adult content/pink content/
アダルトサイト /(n) sexually explicit WWW sites (from adult site)/
アダルトショップ /(n) sex shop/adult shop/porn shop/
アダルトチルドレン /(n) (1) (col) people psychologically traumatized from being raised in an abusive or dysfunctional family (e.g. by alcoholic parents) (wasei: adult children)/(2) immature adults/childish adults/
アダン /(n) (uk) screw pine (Pandanus odoratissimus, P. tectorius)/pandanus palm/pandanus fruit/
アチーブ /(n) (1) achieve/(2) (abbr) achievement test/
アチーブメントテスト /(n) achievement test/
アチェレランド /(n) accelerando/
アッ /(int) oh/ah/
アッカド語 [アッカドご] /(n) Akkadian (language)/
アック /(n) (comp) ACK/
アックス /(n) axe/
アッサイ /(n) assai (ita:)/
アッシー /(n) (1) (abbr) (automotive) assembly/(2) (sl) man who drives a woman around for free/man used by a woman for his car/
アッシー君 [アッシーくん] /(n) (sl) man who drives a woman around for free/man used by a woman for his car/
アッシュ /(n) ash/
アッシュメドウズキリフィッシュ /(n) Ash Meadows killifish (Empetrichthys merriami)/
アッセンブリー /(n) assembly/
アッセンブリーライン /(n) assembly line/
アッチェレランド /(n) accelerando/
アッテネータ /(n) attenuator/
アッテネーター /(n) attenuator/
アット /(n) at/(P)/
アットニフティ /(n) (comp) at nifty/
アットバット /(exp) at bat/
アットホーム /(adj-na,n) cosy (wasei: at home)/cozy/
アットランダム /(n) at random/
アッハッハ /(int) guffaw/
アッパー /(n) upper/(P)/
アッパーウィンドウディスプレイカラムアセンブリ /(n) (comp) upper window display column assembly/
アッパーカット /(n) uppercut/
アッパーケース /(n) upper case/
アッパーミドル /(n) upper-middle/
アッパッパ /(n) loose-fitting summer dress/
アッピール /(n) (1) appeal/(vs) (2) to attract/to appeal (to)/
アッピア街道 [アッピアかいどう] /(n) Appian Way/
アップ /(n,n-suf,vs) (1) increasing (eng: up)/(n,vs) (2) (abbr) uploading/(n) (3) (abbr) close-up/(n,vs) (4) (abbr) finishing shooting (of a film, etc.)/(n) (5) up (i.e. of a woman's hair)/(6) being up (i.e. leading in sports)/(7) (abbr) warming up/(n-suf) (8) being over/being finished/(P)/
アップグレード /(n) upgrade/
アップグレードの準備 [アップグレードのじゅんび] /(n) (comp) preparing to upgrade/upgrade preparation/
アップグレード手順 [アップグレードてじゅん] /(n) (comp) upgrade procedures/
アップグレード版 [アップグレードはん] /(n) (comp) upgrade version/
アップサイドダウンケーキ /(n) upside-down cake/
アップサンプル /(n) (comp) upsample/
アップスタイル /(n) up style/up sweep/
アップストリーム /(n) (comp) upstream/
アップタイム /(n) (comp) uptime/
アップタウン /(n) uptown/
アップダウン /(n) up down/
アップツーデート /(adj-na,n) up to date/
アップテンポ /(n) uptempo/
アップデート /(n) update/
アップデイト /(n) update/
アップトーク /(n) style of speaking in which the speaker gives the end of each sentence or phrase a higher intonation (wasei: up talk)/
アップビート /(n) upbeat/
アップライト /(n) upright/
アップライトピアノ /(n) upright piano/
アップリケ /(n) applique (fre:)/
アップリンク /(n,vs) (comp) uplink/
アップリンクＩＤ [アップリンクアイディー] /(n) (comp) uplink ID/
アップリンクライセンス /(n) (comp) uplink license/
アップル /(n) (1) apple/(2) (comp) Apple (computer company)/
アップルキー /(n) (comp) Apple key/
アップルソース /(n) apple sauce/apple-sauce/
アップルデスクトップバス /(n) (comp) Apple Desktop Bus/
アップルトーク /(n) (comp) AppleTalk/
アップルパイ /(n) apple pie/
アップルメニュー /(n) (comp) Apple menu/
アップル拡張キーボード [アップルかくちょうキーボード] /(n) (comp) Apple Extended Keyboard/
アップローダ /(n) (comp) uploader/
アップロード /(n,vs) (comp) upload/
アップワードコンパチブル /(n) (comp) upward compatibility/upward compatibile/
アッペ /(n) (abbr) appendicitis/
アッポジャトゥーラ /(n) appoggiatura/
アツモリソウ /(n) (uk) large-flowered cypripedium (species of lady's slipper, Cypripedium macranthos, esp. Cypripedium macranthos var. speciosum)/
アティック /(n) attic/
アテスト /(n) attest/
アテトーシス /(n) athetosis/
アテトージス /(n) athetosis/
アテナ /(n) Athena (Greek goddess)/Athene/
アテネ /(n) Athens (lat: Athenae)/
アテネータ /(n) attenuator/
アテネーター /(n) attenuator/
アテレクトミー /(n) atherectomy/
アテレコ /(n) (abbr) dubbing/voice over/
アテローム /(n) atheroma (ger: atherom)/
アテローム性動脈硬化症 [アテロームせいどうみゃくこうかしょう] /(n) atherosclerosis/
アテンション /(n) attention/
アテンションバリュー /(n) attention value/
アテンダンス /(n) attendance/
アテンダント /(n) attendant/
アテンド /(n,vs) attendance/attending to someone/taking care of someone/
アテンポ /(exp) a tempo (ita:)/
アディオス /(exp) good-bye (spa: adios)/carton/
アディショナル /(adj-f) additional/
アディダス /(n) Adidas (brand name)/
アディポネクチン /(n) adiponectin/
アデニル酸 [アデニルさん] /(n) adenylic acid/
アデニル酸シクラーゼ [アデニルさんシクラーゼ] /(n) adenylate cyclase/adenyl cyclase/
アデニン /(n) adenine/
アデノイド /(n) adenoid/
アデノウイルス /(n) Adenovirus (ger:)/
アデノシン /(n) adenosine/
アデノシンデアミナーゼ /(n) adenosine deaminase/
アデノシン一リン酸 [アデノシンいちリンさん] /(n) adenosine monophosphate (AMP)/
アデノシン一燐酸 [アデノシンいちりんさん] /(n) adenosine monophosphate (AMP)/
アデノシン三リン酸 [アデノシンさんリンさん] /(n) adenosine triphosphate/ATP/
アデノシン三燐酸 [アデノシンさんりんさん] /(n) adenosine triphosphate/ATP/
アデノシン二リン酸 [アデノシンにリンさん] /(n) adenosine diphosphate/ADP/
アデノシン二燐酸 [アデノシンにりんさん] /(n) adenosine diphosphate/ADP/
アデプト /(n) adept/
アデヤッコ /(n) yellowface angelfish (Pomacanthus xanthometopon)/blueface angelfish/
アデュー /(exp) good-bye (fre: adieu)/
アデリーペンギン /(n) Adelie penguin (Pygoscelis adeliae)/
アト /(n,pref) atto-/10^-18/
アトニー /(n) (physiological) atony (ger: Atonie)/
アトピー /(n,adj-no) atopic/predisposition toward allergies/(P)/
アトピー性皮膚炎 [アトピーせいひふえん] /(n) atopic dermatitis/
アトピン /(n) focal point of a lens behind the subject/
アトミズム /(n) atomism/
アトミック /(n) atomic/
アトム /(n) atom/(P)/
アトモキセチン /(n) atomoxetine (Strattera)/
アトモスフィア /(n) atmosphere/
アトモスフェア /(n) atmosphere/
アトモメーター /(n) (obsc) atmometer/
アトラク /(n) (abbr) attraction/
アトラクション /(n) attraction/(P)/
アトラクター /(n) attractor/
アトラクティブ /(adj-na) attractive/
アトラジン /(n) atrazine/
アトラス /(n) (1) Atlas/(2) atlas/(P)/
アトランダム /(adj-na,n) at random/
アトリ /(n) (uk) brambling (bird) (Fringilla montifringilla)/
アトリウム /(n) atrium/
アトリエ /(n) studio (fre: atelier)/(P)/
アトリエ巡り [アトリエめぐり] /(n) art studio visits/
アトリビューション /(n) (comp) attribution/
アトリビュート /(n) attribute/
アトルバスタチン /(n) atrovastatin/
アトロード /(n) autoload/
アトロピン /(n) atropine/
アド /(n) (1) ad/advertisement/(2) (abbr) address/(P)/
アド /(n) (uk) secondary or supporting actor in a noh or kyogen play/
アドービ /(n) adobe/
アドイン /(n) (comp) add-in/
アドインソフト /(n) (comp) add-in software/
アドインソフトウェア /(n) (comp) add-in software/
アドインパクト /(n) ad impact/
アドゥバタイズメント /(n) advertisement/
アドゥベンチャラス /(adj-f) adventurous/
アドゥレッス /(n) (1) address/(2) (comp) email address/
アドウェア /(n) (comp) adware/
アドオン /(n) add-on/
アドオンセクション /(n) (comp) add-on section/
アドオンデバイス /(n) (comp) add-on device/
アドオンボード /(n) (comp) add-on board/
アドオンモジュール /(n) add-on module/
アドオン電話 [アドオンでんわ] /(n) add-on telephone/
アドオン方式 [アドオンほうしき] /(n) add-on/
アドキャンペーン /(n) ad campaign/
アドストリップ /(n) (comp) Add-Strip/
アドバイザー /(n) adviser/advisor/(P)/
アドバイザリ /(n,adj-no) advisory/
アドバイザリー /(n,adj-no) advisory/
アドバイザリスタッフ /(n) (comp) advisory staff/
アドバイス /(n,vs) advice/(P)/
アドバタイジング /(n) advertising/
アドバタイズメント /(n) advertisement/
アドバルーン /(n) advertising balloon/ad-balloon/
アドバンス /(n) advance(d)/
アドバンスト /(adj-f) advanced/
アドバンストプログラム間通信 [アドバンストプログラムかんつうしん] /(n) (comp) Advanced Program-to-Program Communication/APPC/
アドバンスド /(n) advanced/
アドバンスドオープンウオーターダイバー /(n) advanced open water diver/
アドバンテージ /(n) advantage/(P)/
アドバンテージルール /(n) advantage rule/
アドバンテッジ /(n) advantage/
アドビ /(n) (comp) Adobe/
アドプション /(n) adoption/
アドベ /(n) adobe/
アドベンチャー /(n) adventure/(P)/
アドベンチャーゲーム /(n) (comp) adventure game/
アドベンチャースポーツ /(n) adventure sports/
アドベンチャラス /(adj-f) adventurous/
アドホクラシー /(n) ad-hocracy/
アドホック /(n) ad hoc (lat:)/
アドホックモード /(n) (comp) ad hoc mode/
アドボ /(n) Filipino national dish of braised chicken or pork/
アドマン /(n) ad man/
アドミタンス /(n) admittance/
アドミッション /(n) admission/
アドミッションオフィス /(n) admission office/
アドミッションフリー /(n) free admission (wasei: admission free)/
アドミッションポリシー /(n) admission policy/
アドミッタンス /(n) admittance/
アドミニストレーション /(n) (comp) administration/
アドミニストレータ /(n) administrator/
アドミニストレーター /(n) administrator/
アドミラル /(n) admiral/
アドミン /(n) admin/
アドモード /(n) (comp) add mode/
アドリブ /(n,adj-no) ad lib (lat:)/ad-lib/(P)/
アドレシング /(n) (comp) addressing/
アドレシング可能 [アドレシングかのう] /(adj-na) (comp) addressable/
アドレス /(n) (1) address/(2) (comp) email address/(P)/
アドレスカウンタ /(n) (comp) address counter/
アドレスクラス /(n) (comp) address classes/
アドレスジェネレータ /(n) (comp) address generator/
アドレススクリーニング /(n) (comp) address screening/
アドレスデコーダ /(n) (comp) address decoder/
アドレスバス /(n) (comp) address bus/
アドレスマスク /(n) (comp) address mask/
アドレスレジスタ /(n) (comp) address register/
アドレスレンジ /(n) (comp) address range/
アドレス可能カーソル [アドレスかのうカーソル] /(n) (comp) addressable cursor/
アドレス可能点 [アドレスかのうてん] /(n) (comp) addressable point/
アドレス解決 [アドレスかいけつ] /(n) (comp) address resolution/
アドレス解決プロトコル [アドレスかいけつプロトコル] /(n) (comp) address resolution protocol/
アドレス管理 [アドレスかんり] /(n) (comp) address administration/
アドレス空間 [アドレスくうかん] /(n) (comp) address space/
アドレス形式 [アドレスけいしき] /(n) (comp) address format/
アドレス計算 [アドレスけいさん] /(n) (comp) address computation/
アドレス構成要素 [アドレスこうせいようそ] /(n) (comp) address component/
アドレス指定可能な記憶域をもたない計算器 [アドレスしていかのうなきおくいきをもたないけいさんき] /(exp) (comp) calculator without addressable storage/
アドレス指定能力 [アドレスしていのうりょく] /(n) (comp) addressability/
アドレス指定例外 [アドレスしていれいがい] /(n) (comp) addressing exception/
アドレス修飾 [アドレスしゅうしょく] /(n) (comp) address modification/
アドレス情報 [アドレスじょうほう] /(n) (comp) address information/
アドレス生成 [アドレスせいせい] /(n) (comp) address generation/
アドレス帳 [アドレスちょう] /(n) address book/
アドレス定数 [アドレスていすう] /(n) (comp) address constant/
アドレス定数リテラル [アドレスていすうリテラル] /(n) (comp) address constant literal/
アドレス部 [アドレスぶ] /(n) (comp) address field/address part/
アドレス部拡張 [アドレスぶかくちょう] /(n) (comp) address field extension/
アドレス変換 [アドレスへんかん] /(n) (comp) address translation/address mapping/
アドレス変換バッファ [アドレスへんかんバッファ] /(n) (comp) Translation Look-aside Buffer/TLB/
アドレス変換機構 [アドレスへんかんきこう] /(n) (comp) address translator/
アドレス変換例外 [アドレスへんかんれいがい] /(n) (comp) (address) translation exception/
アドレス変更 [アドレスへんこう] /(n) (comp) address modification/
アドレス変更子 [アドレスへんこうし] /(n) (comp) address modifier/
アドレッシング /(n) addressing/
アドレッシングモード /(n) (comp) addressing mode/
アドレナリン /(n) adrenalin/(P)/
アドヴァイザー /(n) adviser/advisor/
アドヴァイス /(n,vs) advice/
アド帳 [アドちょう] /(n) address book (email)/
アナ /(n) (abbr) announcer/(P)/
アナーキー /(n,adj-na) anarchy/
アナーキスト /(n) anarchist/
アナーキズム /(n) anarchism/
アナウサギ /(n) (uk) European rabbit (Oryctolagus cuniculus)/
アナウンサ /(n) announcer/
アナウンサー /(n) announcer/(P)/
アナウンス /(n) (1) (abbr) announcement/(vs) (2) to announce/(P)/
アナウンスメント /(n) announcement/
アナカン /(n) (abbr) unaccompanied baggage/
アナキスト /(n) anarchist/
アナキズム /(n) anarchism/
アナクロ /(n) (abbr) anachronism/
アナクロニズム /(n) anachronism/
アナグマ /(n) (1) (uk) badger/(2) (uk) Eurasian badger (Meles meles)/(3) (abbr) defensive opening for shogi/
アナグラム /(n) anagram/
アナコン /(n) (comp) (abbr) analog computer/
アナコンダ /(n) anaconda (esp. the green anaconda, Eunectes murinus)/
アナザー /(n) another/
アナスチグマート /(n) anastigmat (compound lens corrected for astigmatism) (ger: Anastigmat)/
アナタース /(n) anatase/
アナターゼ /(n) anatase/
アナツバメ /(n) (uk) swiftlet/
アナテマ /(n) anathema/
アナデジ /(n) (abbr) analog digital/
アナトー /(n) annatto/annato/
アナトー色素 [アナトーしきそ] /(n) annatto colouring/annato coloring/
アナトキシン /(n) (obsc) anatoxin/
アナトミー /(n) anatomy/
アナトリア語派 [アナトリアごは] /(n) Anatolian (branch of languages)/
アナバス亜目 [アナバスあもく] /(n) Anabantoidei (suborder of the order Perciformes known as labyrinth fish that are defined by having an accessory breathing organ for respiration in air)/
アナバチ /(n) (uk) digger wasp/
アナバプティスト /(n) anabaptist/
アナバプテスト /(n) anabaptist/
アナフィラキシー /(n) Anaphylaxie (ger:)/
アナプラズマ病 [アナプラズマびょう] /(n) anaplasmosis/
アナホリフクロウ /(n) (uk) burrowing owl (Athene cunicularia)/
アナボリズム /(n) anabolism/
アナボリックステロイド /(n) anabolic steroids/
アナムネーシス /(n) anamnesis (gre:)/
アナライザ /(n) analyzer/
アナライザー /(n) analyzer/
アナライズ /(n) analysis/
アナリシス /(n) analysis/
アナリスト /(n) analyst/(P)/
アナリストミーティング /(n) analyst meeting/
アナル /(adj-f) (1) anal/(vs) (2) to annul/
アナルコ・サンディカリスム /(n) anarcho-syndicalism/
アナルコサンディカリスム /(n) anarcho-syndicalism/
アナルジージク /(n) analgesic/
アナルセックス /(n,vs) anal intercourse/anal sex/
アナル舐め [アナルなめ] /(n) (col) rimming (i.e. analingus)/rimjob/
アナログ /(adj-na,n,adj-no) analog/analogue/(P)/
アナログＲＧＢ [アナログアージービー] /(n) (comp) analog RGB (red green blue)/
アナログコントローラ /(n) analog controller/
アナログコンピュータ /(n) (comp) analog computer/
アナログコンピューター /(n) (comp) analog computer/
アナログシンセサイザー /(n) analog synthesizer/
アナログジョイスティック /(n) (comp) analog joystick/
アナログスイッチ /(n) (comp) analog switch/
アナログスピードメーター /(n) analog speedometer/
アナログデータ /(n) (comp) analog data/
アナログディジタル変換器 [アナログディジタルへんかんき] /(n) (comp) analog-to-digital converter/AD converter/ADC/
アナログディスプレイ /(n) (comp) analog display/
アナログデジタル変換器 [アナログデジタルへんかんき] /(n) (comp) analog-digital converter/AD converter/ADC/
アナログボード /(n) (comp) analog board/
アナログポート /(n) (comp) analog port/
アナログモデム /(n) (comp) analog modem/
アナログ加算器 [アナログかさんき] /(n) (comp) summer/analog adder/
アナログ回線 [アナログかいせん] /(n) (comp) analog line (circuit)/
アナログ回路 [アナログかいろ] /(n) (comp) analog circuitry/
アナログ掛算器 [アナログかけざんき] /(n) (comp) analog multiplier/
アナログ割算器 [アナログわりざんき] /(n) (comp) analog divider/
アナログ計算機 [アナログけいさんき] /(n) (comp) analog computer/
アナログ時計 [アナログとけい] /(n) analogue watch or clock/
アナログ時計 [アナログどけい] /(n) analogue watch or clock/
アナログ出力 [アナログしゅつりょく] /(n) analog output/AO/
アナログ出力チャネル増幅器 [アナログしゅつりょくチャネルぞうふくき] /(n) (comp) analog output channel amplifier/
アナログ除算器 [アナログじょざんき] /(n) (comp) analog divider/
アナログ乗算器 [アナログじょうざんき] /(n) (comp) analog multiplier/
アナログ信号 [アナログしんごう] /(n) (comp) analog signal/
アナログ信号処理 [アナログしんごうしょり] /(n) analog signal processing/
アナログ信号生成器 [アナログしんごうせいせいき] /(n) (comp) analog signal generator/
アナログ装置 [アナログそうち] /(n) (comp) analog device/
アナログ通信路 [アナログつうしんろ] /(n) (comp) analog channel/
アナログ伝送 [アナログでんそう] /(n) (comp) analog transmission/
アナログ入力 [アナログにゅうりょく] /(n) analog input/AI/
アナログ入力チャネル [アナログにゅうりょくチャネル] /(n) (comp) analog input channel (e.g. in process control)/
アナログ入力チャネル増幅器 [アナログにゅうりょくチャネルぞうふくき] /(n) (comp) analog input channel amplifier/
アナログ表現 [アナログひょうげん] /(n) (comp) analog representation/
アナログ表示 [アナログひょうじ] /(n) (comp) analog representation/
アナログ変数 [アナログへんすう] /(n) (comp) analog variable/
アナログ放送 [アナログほうそう] /(n) analog broadcasting/
アナロジー /(n) analogy/
アナン /(n) Annan, Kofi (former UN Secretary-General)/
アニーリング /(n) annealing/
アニール /(n) annealing/
アニオタ /(n) (col) (abbr) anime otaku/
アニオン /(n) anion/
アニカラ /(n) (abbr) anime karaoke/karaoke accompanied by animation/
アニサキス症 [アニサキスしょう] /(n) anisakiasis/
アニス /(n) anise/
アニゼット /(n) anisette (fre:)/
アニソール /(n) (chem) anisole/
アニソン /(n) (abbr) anime song/
アニバーサリー /(n) anniversary/
アニマ /(n) anima (lat:)/
アニマート /(n) animato (ita:)/
アニマティズム /(n) animatism/
アニマリズム /(n) animalism/
アニマル /(n) animal/(P)/
アニマル・セラピー /(n) animal therapy/
アニマルセラピー /(n) animal therapy/
アニマルトレーナー /(n) animal trainer/
アニマルライツ /(n) animal rights/
アニマルライト /(n) animal rights/
アニミズム /(n) animism/
アニメ /(n,adj-no) (1) animated film/animated cartoon/anime (when referring to Japanese cartoons)/(2) (abbr) animation/(P)/
アニメーション /(n,adj-no) (1) animation/(2) animated film/animated cartoon/(P)/
アニメーションソフト /(n) (comp) animation software/
アニメーター /(n) animator/
アニメーテッドＧＩＦ [アニメーテッドギッフ] /(n) (comp) Animated Graphics Interchange Format/
アニメーテッドＧＩＦ [アニメーテッドジッフ] /(n) (comp) Animated Graphics Interchange Format/
アニメイト /(adj-f) animate/
アニメオタク /(n) anime otaku/
アニメキャラ /(n) (abbr) cartoon characters/anime characters/
アニメキャラクター /(n) cartoon characters/anime characters/
アニメソング /(n) anime song/
アニメ映画 [アニメえいが] /(n) animated cartoon/animated film/
アニュアル /(n,adj-f) annual/
アニュアルレポート /(n) annual report/
アニュスデイ /(n) Agnus Dei (lat:)/
アニョロッティ /(n) agnolotti (ita:)/
アニリン /(n) aniline/
アニリングス /(n) anilingus/
アニリンブラック /(n) aniline black/
アニリン染料 [アニリンせんりょう] /(n) aniline dye/
アニリン点 [アニリンてん] /(n) aniline point/
アヌス /(n) anus (lat:)/
アネアロビクス /(n) anaerobics/
アネクドート /(n) anecdote/
アネクメーネ /(n) Anoekumene (ger:)/
アネスセチック /(n) anesthetic/anaesthetic/
アネスセティック /(n) anesthetic/anaesthetic/
アネックス /(n) annex/annexe/
アネモネ /(n) anemone (lat:)/windflower/
アネモメーター /(n) anemometer/
アネルギー /(n) anergy/
アネロイド /(adj-no,adj-f) aneroid/
アネロイド気圧計 [アネロイドきあつけい] /(n) aneroid barometer/
アノード /(n) anode/
アノードスライム /(n) anode slime/
アノール /(n) anole/American chameleon/
アノールトカゲ /(n) anole/American chameleon/
アノア /(n) anoa (either of two small African water buffalo of genus Bubalus)/
アノイボット /(n) (comp) annoybot/
アノイリン /(n) aneurin/
アノテーション /(n) annotation/
アノニマス /(n) anonymous/
アノニマスＦＴＰ [アノニマスエフティーピー] /(n) (comp) anonymous ftp/
アノニマスエフティーピー /(n) (comp) anonymous FTP/
アノニマスサーバ /(n) (comp) anonymous server/
アノニム /(n) anonym/
アノフェレス /(n) (obsc) Anopheles (genus of mosquitoes that act as malarial vectors)/
アノミー /(n) anomie (fre:)/anomy/
アノラック /(n) anorak/
アノレクシア /(n) anorexia/
アバウト /(adj-na) (1) approximate (number)/rough (calculation)/(2) sloppy (person)/lackadaisical/(P)/
アバカ /(n) abaca (Musa textilis)/
アバクロ /(n) (col) (abbr) Abercrombie & Fitch (clothing retailer)/
アバター /(n) (1) avatar/incarnation of an immortal being (Hindu)/(2) (comp) icon or representation of a user in a shared virtual reality/
アバディーンアンガス種 [アバディーンアンガスしゅ] /(n) Aberdeen Angus (type of cattle)/
アバランシュ /(n) avalanche (fre:)/
アバンギャルド /(n) avant-garde (fre:)/
アバンゲール /(n) pre-war (fre: avant-guerre)/
アバンタイトル /(n) material before the title and credits in anime, etc. (wasei: avant title)/
アバンチュール /(n) adventure (fre: aventure)/
アパーチャ /(n) aperture/
アパーチャグリル /(n) (comp) aperture grille/
アパーチュア /(n) aperture/
アパート /(n) (1) (abbr) apartment building/apartment block/apartment house/(2) (abbr) apartment/(P)/
アパートメント /(n) apartment/
アパートメントハウス /(n) apartment house/
アパート荒らし [アパートあらし] /(n) apartment house robbery (robber)/
アパコン /(n) (abbr) aperture compensation/
アパシー /(n) apathy/
アパタイト /(n) appetite/
アパチャカード /(n) (comp) aperture card/
アパッシュ /(n) apache (fre: apache)/
アパッチ /(n) Apache/
アパテイア /(n) apatheia (gre:)/
アパトサウルス /(n) apatosaurus (lat:)/brontosaurus/
アパラチア山脈 [アパラチアさんみゃく] /(n) Appalachian mountains/Appalachians/
アパルトヘイト /(n) apartheid/
アパルトヘイド /(n) apartheid/
アパルトマン /(n) apartment (fre: appartement)/
アパレイション /(n) (1) appellation/(2) operation/
アパレル /(n) apparel (clothing)/
アパレルメーカー /(n) apparel (clothing) maker/
アパレル産業 [アパレルさんぎょう] /(n) apparel business/
アヒンサー /(n) ahimsa (principle of non-violence in Jainism, Buddhism, Hinduism, etc.)/
アビ /(n) (uk) red-throated loon (Gavia stellata)/
アビーム /(n) abeam (e.g. wind)/
アビエーション /(n) aviation/
アビオニクス /(n) avionics/
アビシニア /(n) (uk) Abyssinia (Empire of Ethiopia, 980 B.C. to 1974)/
アビシニアジャッカル /(n) Abyssinia jackal (carnivore, Canis simensis)/simian jackal/simenian jackal/simenian wolf/Ethiopian wolf/
アビシニアン /(n) Abyssinian (breed of cat)/
アビタ /(n) arbiter/
アビタシオン /(n) habitation (fre:)/
アビュース /(n) abuse/
アビューズ /(n) abuse/
アビリスク /(n) obelisk/
アビリティー /(n) ability/
アビリンピック /(n) ability Olympics (wasei: abi-olympics)/
アピーズメントポリシー /(n) appeasement policy/
アピール /(n) (1) appeal/(vs) (2) to attract/to appeal (to)/(P)/
アピる /(v5r) (sl) to try to make a favourable impression/to appeal/
アピアランスマネー /(n) appearance money/
アピストグラマ /(n) Apistogramma (genus of cichlids)/
アピタイザー /(n) appetizer/
アピックネット /(n) (comp) APICNET/
アファーマティブアクション /(n) affirmative action/
アフィ /(n) (col) (abbr) affiliate program (of Internet advertising)/
アフィニティ /(n) (comp) affinity/
アフィニティークロマトグラフィー /(n) affinity chromatography/
アフィリ /(n) (abbr) affiliate/
アフィリエート /(n) affiliate/affiliation/
アフィリエートサービス /(n) (comp) affiliate service/
アフィリエートプログラム /(n) (comp) affiliate program (of Internet advertising)/
アフィリエートマーケティング /(n) (comp) affiliate marketing/
アフィリエイト /(n) affiliate/affiliation/
アフィリエイトサービス /(n) (comp) affiliate service/
アフィリエイトプログラム /(n) (comp) affiliate program (of Internet advertising)/
アフィリエイトマーケティング /(n) (comp) affiliate marketing/
アフィン変換 [アフィンへんかん] /(n) (comp) affine transformation/
アフェア /(n) affair/
アフェアー /(n) affair/
アフェクション /(n) affection/
アフェリエイト /(ik) (n) affiliate/affiliation/
アフェレーシス /(n) apheresis/
アフォーダンス /(n) affordance/affordability/
アフォリズム /(n) aphorism/
アフォルズム /(n) aphorism/
アフカーナ /(n) Afrikaner/
アフガニスタン /(n,adj-no) Afghanistan/
アフガン /(n) Afghan/
アフガン戦争 [アフガンせんそう] /(n) Afghan Wars/
アフガン編み [アフガンあみ] /(n) Afghan stitch/
アフタ /(n) aphtha/
アフター /(n) after/(P)/
アフター・フォロー /(n) follow-up service (wasei: after follow)/follow-up services/
アフターケア /(n) after-sales service (wasei: after care)/
アフターサービス /(n) after-sales service (wasei: after service)/warranty service/
アフターシェーブローション /(n) after-shave lotion/
アフタースキー /(n) after-ski/
アフターダーク /(n) (comp) After Dark/
アフターヌーン /(n) afternoon/(P)/
アフターヌーンドレス /(n) afternoon dress/
アフターバーナー /(n) afterburner/
アフタービート /(n) afterbeat/
アフターファイブ /(exp) after five/
アフターフォロー /(n) follow-up service (wasei: after follow)/follow-up services/
アフターレコーディング /(n) adding sounds to a soundtrack after a film has been made (wasei: after recording)/postrecording/postsynchronization/postsynchronisation/postlooping/dubbing/
アフタヌーン /(n) afternoon/
アフタヌーンシャドー /(n) afternoon shadow/
アフタヌーンドレス /(n) afternoon dress/
アフタ性口内炎 [アフタせいこうないえん] /(n) stomatitis aphthosa/
アフラトキシン /(n) aflatoxin/
アフリカ /(n,adj-no) (uk) Africa/(P)/
アフリカーンス /(n) Afrikaans/
アフリカーンス語 [アフリカーンスご] /(n) Afrikaans (language)/
アフリカの角 [アフリカのつの] /(n) horn of Africa/
アフリカコシジロアマツバメ /(n) (uk) white-rumped swift (Apus caffer)/
アフリカスイギュウ /(n) (uk) African buffalo/Cape buffalo (Syncerus caffer)/
アフリカスミレ /(n) (uk) African violet/
アフリカンアメリカン /(n) African-American/
アフリカンエンジェル /(n) Guinean angelfish (Holacanthus africanus)/West African angelfish/
アフリカンコリス /(n) false clownwrasse (Coris cuvieri)/African coris/
アフリカンスペードフィッシュ /(n) African spadefish (Tripterodon orbis, species of Western Indian Ocean spadefish)/
アフリカンバタフライフィッシュ /(n) African butterflyfish (Chaetodon dolosus)/
アフリカ系アメリカ人 [あふりかけいあめりかじん] /(n) African American/
アフリカ腰白雨燕 [アフリカこしじろあまつばめ] /(n) (uk) white-rumped swift (Apus caffer)/
アフリカ象 [アフリカぞう] /(n) African elephant/
アフリカ人 [アフリカじん] /(n) African/
アフリカ水牛 [アフリカすいぎゅう] /(n) (uk) African buffalo/Cape buffalo (Syncerus caffer)/
アフリカ大陸 [アフリカたいりく] /(n) African Continent/
アフリカ南部 [アフリカなんぶ] /(adj-no) South African/
アフリカ民族会議 [アフリカみんぞくかいぎ] /(n) African National Congress/ANC/
アフリカ菫 [アフリカすみれ] /(n) (uk) African violet/
アフレコ /(n) (abbr) adding sounds to a soundtrack after a film has been made (wasei: after recording)/postrecording/postsynchronization/postsynchronisation/postlooping/dubbing/
アフロ /(n) Afro/
アフロアジア語族 [アフロアジアごぞく] /(n) Afro-Asiatic (family of languages)/
アフロカリビアン /(n,adj-no) Afro-Caribbean/
アフロキューバンリズム /(n) Afro-Cuban rhythm/
アフロディテ /(n) Aphrodite/
アフロヘア /(n) Afro-hair/
アブ /(n) (uk) horsefly/gadfly/
アブサイジン酸 [アブサイジンさん] /(n) abscisic acid/
アブサン /(n) absinthe (fre:)/
アブサン油 [アブサンゆ] /(n) absinthe oil/wormwood oil/
アブシジン酸 [アブシジンさん] /(n) abscisic acid/
アブストラクション /(n) abstraction/
アブストラクト /(adj-na,n) abstract (of a paper)/
アブストラクトアート /(n) abstract art/
アブストラクトゲーム /(n) abstract strategy game (wasei: abstract game)/
アブセンティズム /(n) absenteeism/
アブソーバー /(n) absorber/
アブソリューティズム /(n) absolutism/
アブソリュート /(n) absolute/
アブソルバン /(adj-no) absorbant (fre:)/
アブダクション /(n,vs) abduction/
アブノーマル /(adj-na,n) abnormal/
アブラカダブラ /(int) abracadabra/
アブラガニ /(n) (1) (uk) blue king crab (Paralithodes platypus)/(2) striped shore crab (Pachygrapsus crassipes)/
アブラギク /(n) (uk) chrysanthemum (Chrysanthemum indicum)/
アブラギリ /(n) (uk) Japanese tungoil tree (Vernicia cordata)/
アブラコウモリ /(n) (uk) Japanese house bat/Japanese pipistrelle (Pipistrellus abramus)/
アブラザメ /(n) (uk) spiny dogfish (Squalus acanthias)/
アブラソコムツ /(n) (uk) escolar (Lepidocybium flavobrunneum)/snake mackerel/
アブラチャン /(n) Parabenzoin praecox/
アブラツノザメ /(n) (uk) spiny dogfish (Squalus acanthias)/
アブラナ /(n) rape (seed oil plant, Brassica campestris)/
アブラナ科 [アブラナか] /(n) Brassicaceae (cabbage family of plants)/
アブラハヤ /(n) (uk) Amur minnow (Phoxinus logowskii steindachneri)/
アブラヒガイ /(n) (uk) Sarcocheilichthys biwaensis (species of cyprinid)/
アブラボウズ /(n) (uk) skilfish (Erilepis zonifer)/skil/
アブラボテ /(n) oily bitterling (Tanakia limbata)/
アブラムシ /(n) (1) (uk) aphid/plant louse/(2) (obsc) cockroach/(3) (obsc) Japanese house bat (Pipistrellus abramus)/(4) hanger-on/parasite/(5) (arch) visitor to a red-light district who's only there to look/
アブラメ /(n) (1) (obsc) greenling/(2) salamander/
アブラヤシ /(n) (uk) oil palm (esp. the African oil palm, Elaeis guineensis)/
アプザイレン /(n,vs) abseiling (ger: Abseilen)/lowering on a rope/
アプス /(n) apse/
アプストレー /(adj-no) abstrait (fre:)/
アプソルバン /(adj-no) absorbant (fre:)/
アプダ /(n) (comp) APDA/
アプライ /(n) apply/
アプライアンス /(n) appliance/
アプライアンスサーバ /(n) (comp) appliance server/
アプリ /(n) (comp) (abbr) (computer) application/(P)/
アプリオリ /(adj-na,n) a priori (lat:)/
アプリオリ法 [アプリオリほう] /(n) (comp) gestalt method/a priori method/
アプリカント /(n) applicant/
アプリケ /(n) applique (fre:)/
アプリケーション /(n) (comp) application/(P)/
アプリケーションを終了する [アプリケーションをしゅうりょうする] /(exp,vs-i) (comp) to exit from the application/
アプリケーションアイコン /(n) (comp) application icon/
アプリケーションインターフェース /(n) (comp) application interface/
アプリケーションエンジニア /(n) (comp) application systems engineer/
アプリケーションキー /(n) (comp) application key/
アプリケーションサーバ /(n) (comp) application server/
アプリケーションサーバー /(n) (comp) application server/
アプリケーションサービス /(n) (comp) application service/
アプリケーションサービスプロバイダ /(n) (comp) Application Service Provider/
アプリケーションシステム /(n) (comp) application system/
アプリケーションジェネレータ /(n) (comp) application generator/
アプリケーションソフト /(n) (comp) application software/
アプリケーションソフトウェア /(n) (comp) application software/
アプリケーションソフトウエア /(n) (comp) application software/
アプリケーションテクノロジ /(n) (comp) application technology/
アプリケーションデータ /(n) (comp) application data/
アプリケーションノート /(n) (comp) application note/
アプリケーションバンドル /(n) (comp) application-bundling/
アプリケーションフォーマット /(n) (comp) disk formatting (wasei: application format)/
アプリケーションフレームワーク /(n) (comp) application framework/
アプリケーションプログラミングインタフェース /(n) (comp) application programming interface/API/
アプリケーションプログラム /(n) (comp) application program/application programme/
アプリケーションプログラムパッケージ /(n) (comp) application program package/
アプリケーションプロセッサ /(n) (comp) application processor/
アプリケーションプロトコル /(n) (comp) application protocol/
アプリケーション開発 [アプリケーションかいはつ] /(n) (comp) application development/
アプリケーション開発システム [アプリケーションかいはつシステム] /(n) (comp) application development system/
アプリケーション開発ツール [アプリケーションかいはつツール] /(n) (comp) application development tool/
アプリケーション開発環境 [アプリケーションかいはつかんきょう] /(n) (comp) Application Development Environment/ADE/
アプリケーション開発言語 [アプリケーションかいはつげんご] /(n) (comp) application development language/
アプリケーション開発者 [アプリケーションかいはつしゃ] /(n) (comp) application developer/applications developer/applications programmer/
アプリケーション設計プロセス [アプリケーションせっけいプロセス] /(n) (comp) application design process/
アプリケーション層 [アプリケーションそう] /(n) (comp) application layer/
アプリケーション部 [アプリケーションぶ] /(n) (comp) application part/
アプリケータ /(n) applicator/
アプリコット /(n) apricot/
アプル /(n) (comp) A Programming Language/APL/
アプルーバル /(n) approval/
アプルーブ /(vs) to approve/
アプレゲール /(n) apres-guerre (fre:)/
アプレット /(n) (comp) applet/
アプレットビューアー /(n) (comp) applet viewer/
アプローズ /(n) applause/
アプローチ /(n,vs) (1) approach/(2) (abbr) approach shot/(P)/
アプローチショット /(n) approach shot/
アプローチライト /(n) approach light/
アプロード /(vs) to applaud/
アプロプリエーションアート /(n) appropriation art/
アヘッド /(n) ahead/
アヘン /(n) (uk) opium/
アヘン常用者 [アヘンじょうようしゃ] /(n) opium smoker/opium eater/
アヘン戦争 [アヘンせんそう] /(n) Opium War (1840-42)/
アヘン中毒 [アヘンちゅうどく] /(n) opium addiction/
アベイラビリティ /(n) availability/
アベイラビリティー /(n) availability/
アベイラビリティ基準 [アベイラビリティきじゅん] /(n) availability criterion/availability criteria/
アベイラビリティ率 [アベイラビリティりつ] /(n) availability ratio/
アベイラブル /(adj-f) available/
アベイラブルビットレイト /(n) (comp) available bit rate/
アベック /(n) a couple (of lovers, etc.) (fre: avec)/(P)/
アベックホームラン /(n) back-to-back homeruns (baseball) (wasei: avec homerun)/
アベニュー /(n) avenue/(P)/
アベハゼ /(n) (uk) Samoan mullet goby (Mugilogobius abei)/
アベマリア /(exp) Ave Maria (prayer) (lat:)/Hail Mary/
アベレージ /(n) average/
アベレージゴルファー /(n) average golfer/
アベンド /(n) (comp) abnormal termination/abnormal end/ABEND/
アペタイザー /(n) appetizer/appetiser/
アペリチフ /(n) aperitif (fre:)/
アペリティフ /(n) aperitif (fre:)/
アペンディクス /(n) appendix (of a book, etc.)/
アペンディサイティス /(n) appendicitis/
アペンディックス /(n) appendix (of a book, etc.)/
アペンド /(n) (comp) append/
アホ /(adj-na,n) (sens) fool/simpleton/idiot/
アホウドリ /(n) (uk) albatross (esp. the short-tailed albatross, Phoebastria albatrus)/
アホロートル /(n) axolotl/Mexican walking fish/edible salamander/neotenous salamander (Ambystoma mexicanum)/
アホロトル /(n) axolotl/Mexican walking fish/edible salamander/neotenous salamander (Ambystoma mexicanum)/
アホ毛 [アホげ] /(n) (1) (m-sl) long spike (or 'antenna') of hair, may do tricks (seen in anime and manga)/(2) frizz/short tufts springing up from hair surface here and there/
アボート /(n,vs) (comp) abort/
アボカド /(n) avocado/
アボガド /(n) avocado/
アボガドロの法則 [アボガドロのほうそく] /(n) Avogadro's law/
アボガドロ数 [アボガドロすう] /(n) (obs) Avogadro's number/Avogadro's constant/
アボガドロ定数 [アボガドロていすう] /(n) Avogadro's constant/Avogadro's number/
アボジ /(n) father (kor:)/
アボスティル /(n) stamp or certificate of public document authentication in accordance with Hague Convention XII/apostille/
アボリジニ /(n) aborigine/
アボリジニー /(n) aborigine/
アボリジニ語 [アボリジニご] /(n) Aboriginal languages (of Australia)/
アボリジン /(n) aborigine/
アポ /(n) (abbr) appointment/
アポート /(ik) (n,vs) (comp) abort/
アポインテシステム /(n) (abbr) appointment system/
アポインテメントシステム /(n) appointment system/
アポイント /(n) (abbr) appointment/
アポイントメント /(n) appointment/
アポカリプス /(n) apocalypse/
アポクリファ /(n) Apocrypha/
アポクリン腺 [アポクリンせん] /(n) apocrine gland/
アポクロマート /(n) Apochromat (ger:)/
アポジモーター /(n) apogee motor/
アポスティーユ /(n) stamp or certificate of public document authentication in accordance with Hague Convention XII/apostille/
アポステリオリ /(n,adj-na) a posteriori (lat:)/
アポストロフィ /(n) apostrophe/
アポストロフィー /(n) apostrophe/
アポトーシス /(n) apoptosis/apoptotic/
アポトリテル /(n) telephone call made to get an appointment/
アポプトーシス /(n) apoptosis/apoptotic/
アポミクシス /(n) apomixis (seed development without fertilization)/
アポミクシス性 [アポミクシスせい] /(n,adj-no) apomictic/of or relating to a plant that reproduces by apomixis/related to reproduction without fertilization, meiosis or production of gametes, with the result that the seeds are genetically identical to the parent plant/
アポミクティック /(n) apomictic/of or relating to a plant that reproduces by apomixis/related to reproduction without fertilization, meiosis or production of gametes, with the result that the seeds are genetically identical to the parent plant/
アポモルヒネ /(n) apomorphine/
アポリア /(n) aporia (grc:)/
アポロ /(n) (1) (abbr) (Project) Apollo (lat:)/(2) Apollo (god of Greek and Roman mythology) (lat:)/
アポロ１１号 [アポロじゅういちごう] /(n) Apollo 11/
アポロン /(n) Apollo (gre: Apollon)/
アポロン的 [アポロンてき] /(adj-na) Apollonian/
アポロ計画 [アポロけいかく] /(n) Apollo Project/
アポロ的 [アポロてき] /(adj-na) Apollonian/
アポロ薄羽白蝶 [アポロうすばしろちょう] /(n) parnassian butterfly/
アポ酵素 [アポこうそ] /(n) apoenzyme/
アマ /(n) (abbr) amateur/(P)/
アマ /(n,adj-no) flax (Linum usitatissimum)/linseed/
アマービレ /(n) amabile (music)/
アマエビ /(n) (uk) northern shrimp (Pandalus borealis)/sweet shrimp/northern pink prawn/red shrimp/Maine shrimp/
アマオブネガイ /(n) (uk) ox-palate nerite (Nerita albicilla)/blotched nerite/
アマガサヘビ /(n) (uk) krait (esp. the Taiwanese banded krait, Bungarus multicinctus)/
アマサギ /(n) (uk) cattle egret (Bubulcus ibis)/
アマシイラ /(n) luvar (Luvarus imperialis, species of perciform fish closely related to the surgeonfish)/
アマシイラ科 [アマシイラか] /(n) Luvaridae (family containing 1 extant species of perciform fish similar to a surgeonfish)/
アマシイラ属 [アマシイラぞく] /(n) Luvarus (sole genus of perciform fish in the family Luvaridae whose only member is the luvar)/
アマゾーン /(n) Amazon/
アマゾニス /(n) Amazons/
アマゾネス /(n) Amazons/
アマゾン /(n,adj-no) (1) the Amazon river/(2) Amazon (woman of Greek mythology)/
アマゾンドットコム /(n) (comp) Amazon.com/
アマゾン川 [アマゾンがわ] /(n) Amazon River/
アマチャヅル /(n) (uk) jiaogulan (species of herbaceous vine; Gynostemma pentaphyllum)/
アマチュア /(n,adj-no) amateur/(P)/
アマチュアカメラマン /(n) amateur photographer/
アマチュアバンド /(n) amateur bands/
アマチュアマラソン /(n) amateur marathon/fun run/
アマチュアリズム /(n) amateurism/
アマチュア無線 [アマチュアむせん] /(n) amateur radio/
アマチュア無線局 [アマチュアむせんきょく] /(n) amateur radio station/
アマツバメ /(n) (1) (uk) swift (any bird of family Apodidae)/(2) fork-tailed swift (Apus pacificus)/
アマナ /(n) (uk) Tulipa edulis (species of tulip with an edible bulb)/
アマビリスモミ /(n) (uk) Pacific silver fir (Abies amabilis)/
アマビリス樅 [アマビリスもみ] /(n) (uk) Pacific silver fir (Abies amabilis)/
アマミスズメダイ /(n) stout chromis (Chromis chrysura)/
アマミノクロウサギ /(n) (uk) Amami rabbit (Pentalagus furnessi)/Ryukyu rabbit/
アマリリス /(n) amaryllis/
アマルガム /(n) amalgam/
アマルナ時代 [アマルナじだい] /(n) Amarna period (of Egyptian history)/
アマルナ文書 [アマルナぶんしょ] /(n) Amarna letters (archive of Egyptian correspondence, recorded on clay tablets)/
アマレット /(n) amaretto (ita:)/
アマン /(n) lover (fre: amant, amante)/
アマ相撲 [アマずもう] /(n) amateur sumo/
アミ /(n) (1) friend (fre: ami, amie)/(2) AMI/
アミーガ /(n) (comp) Amiga/
アミーバ /(n,adj-no) amoeba/
アミール /(n) amir (ara:)/
アミア /(n) bowfin (Amia calva) (lat: Amia)/mudfish/
アミアイゴ /(n) little spinefoot (Siganus spinus, species of Indo-West Pacific rabbitfish)/black spinefoot/black trevally/blue-spotted trevally/spiny rabbitfish/
アミカス・キューリー /(n) amicus curiae/friend of the court/
アミカス・キュリィ /(n) amicus curiae/friend of the court/
アミカス・キュリエ /(n) amicus curiae/friend of the court/
アミグダリン /(n) amygdalin/
アミセチン /(n) amicetin/
アミチョウチョウウオ /(n) latticed butterflyfish (Chaetodon rafflesii, species found in the Indo-Pacific)/
アミティ /(n) amity/
アミド /(n) amide/
アミドール /(n) amidol/
アミノ /(pref) amino/
アミノピリン /(n) aminopyrine/
アミノ安息香酸エチル [アミノあんそくこうさんエチル] /(n) ethyl aminobenzoate/
アミノ基 [アミノき] /(n) amino group/
アミノ酸 [アミノさん] /(n) amino acid/(P)/
アミノ酸発酵 [アミノさんはっこう] /(n) amino-acid fermentation/
アミノ樹脂 [アミノじゅし] /(n) amino resin/
アミノ糖 [アミノとう] /(n) amino-sugar/
アミメウナギ /(n) (uk) reedfish (Erpetoichthys calabaricus)/ropefish/
アミメカゲロウ /(n) (uk) neuropteran (any insect of order Neuroptera)/
アミメカゲロウ目 [アミメカゲロウもく] /(n) Neuroptera (order of insects with four membranous wings)/
アミメチョウチョウウオ /(n) pearlscale butterflyfish (Chaetodon xanthurus, Western Pacific species found from Indonesia and the Philippines north to the Ryukyu Islands)/Philippines chevron butterflyfish/orange butterflyfish/netted butterflyfish/yellow-tailed butterflyfish/
アミメニシキヘビ /(n) (uk) reticulated python (Python reticulatus)/
アミューズ /(vs) to amuse/
アミューズメント /(n) amusement/(P)/
アミューズメント・パーク /(n) amusement park/
アミューズメントセンター /(n) amusement center/amusement centre/
アミューズメントパーク /(n) amusement park/
アミュプラザ /(n) (abbr) amusement plaza/
アミラーゼ /(n) amylase (ger:)/
アミルアルコール /(n) amyl alcohol/
アミロース /(n) amylose/
アミロイド /(n) amyloid/
アミロイドーシス /(n) amyloidosis/
アミロイドニューロパシー /(n) familial amyloidotic polyneuropathy/FAP/
アミロペクチン /(n) amylopectin/
アミロ法 [アミロほう] /(n) amylo process/
アミン /(n,adj-no) amine/
アムール /(n) love (fre: amour)/
アムトラック /(n) Amtrak/
アムネスティ /(n) amnesty/
アムハラ /(n) Amhara (people)/
アムハラ語 [アムハラご] /(n) Amharic (language)/
アムホテリシン /(n) amphotericin/
アムラー /(n) (abbr) young girls who imitate the style of singer Amuro Namie/
アメーバ /(n,adj-no) amoeba/(P)/
アメーバ運動 [アメーバうんどう] /(n) ameboid movement/
アメーバ赤痢 [アメーバせきり] /(n) amoebic dysentery/
アメカジ /(n) (abbr) American casual (fashion style)/
アメコミ /(n) (abbr) American comic book/
アメシスト /(n) amethyst/
アメショー /(n) (abbr) American Shorthair (cat breed)/
アメジスト /(n) amethyst/
アメスク /(n) (abbr) American school/
アメスラン /(n) Ameslan/American sign language/
アメダス /(n) Automated Meteorological Data Acquisition System/AMeDAS/(P)/
アメニティ /(n) amenity/
アメニティー /(n) amenity/
アメノウオ /(n) (uk) biwa trout (Oncorhynchus masou rhodurus)/biwa salmon/
アメバ /(n,adj-no) amoeba/
アメフト /(n) (abbr) American football/(P)/
アメフラシ /(n) (uk) sea hare (esp. species Aplysia kurodai)/
アメラグ /(n) (abbr) American rugby/
アメリカ・ドル /(n) American dollar/United States dollar/US dollar/
アメリカざりがに /(n) (uk) red swamp crayfish (Procambarus clarkii)/
アメリカねずこ /(n) redwood/
アメリカねり /(n) okra/
アメリカももんが /(n) (uk) southern flying squirrel (Graucomys volans)/
アメリカインディアン /(n) American Indian/
アメリカインディアン諸語 [アメリカインディアンしょご] /(n) Amerindian languages/
アメリカオオコノハズク /(n) (uk) screech owl (Otus asio)/
アメリカオシ /(n) (uk) wood duck (Aix sponsa)/Carolina duck/
アメリカオンライン /(n) (comp) America On Line/AOL/
アメリカクロクマ /(n) (uk) American black bear (Ursus americanus)/
アメリカコガラ /(n) (uk) black-capped chickadee (Parus atricapillus)/
アメリカサインランゲージ /(n) American Sign Language/ASL/
アメリカザリガニ /(n) (uk) red swamp crayfish (Procambarus clarkii)/
アメリカシロヅル /(n) (uk) whooping crane (Grus americana)/
アメリカシロヒトリ /(n) (uk) fall webworm (Hyphantria cunea)/
アメリカスズカケノキ /(n) (uk) American sycamore (Platanus occidentalis)/
アメリカスペイン戦争 [アメリカスペインせんそう] /(n) Spanish-American War/
アメリカズカップレース /(n) America's Cup race/
アメリカソウ /(n) (uk) (obsc) moss-rose purslane (Portulaca grandiflora)/
アメリカダイシャクシギ /(n) (uk) long-billed curlew (Numenius americanus)/
アメリカダチョウ /(n) (uk) (obsc) rhea (Pterocnemia pennata)/
アメリカチョウゲンボウ /(n) (uk) American kestrel (Falco sparverius)/
アメリカデイゴ /(n) (uk) cockspur coral tree (Erythrina crista-galli)/
アメリカドクトカゲ /(n) (uk) Gila monster (Heloderma suspectum)/
アメリカドル /(n) American dollar/United States dollar/US dollar/
アメリカナイズ /(n,vs) Americanize/Americanise/
アメリカナヌカザメ /(n) (uk) swellshark (Cephaloscyllium ventriosum, species of catshark in the Eastern Pacific)/
アメリカニズム /(n) Americanism/
アメリカネリ /(n) okra/
アメリカバイソン /(n) American bison (Bison bison)/
アメリカバク /(n) (uk) Brazilian tapir/lowland tapir (Tapir tapirus)/
アメリカヒドリ /(n) (uk) American wigeon (Anas americana)/
アメリカヒレアシシギ /(n) (uk) Wilson's phalarope (Phalaropus tricolor)/
アメリカビーバー /(n) American beaver (Castor canadensis)/
アメリカフウ /(n) American sweetgum (Liquidambar styraciflua)/redgum/
アメリカプロフットボールリーグ /(n) National Football League/NFL/
アメリカボウフウ /(n) (uk) parsnip (plant) (Pastnica sativa)/
アメリカミズバショウ /(n) (uk) yellow skunk cabbage (Lysichiton americanum)/
アメリカミンク /(n) American mink (Mustela vison)/
アメリカムナグロ /(n) (uk) American golden plover (Pluvialis dominica)/
アメリカメキシコ戦争 [アメリカメキシコせんそう] /(n) Mexican-American War (1846-1848)/
アメリカモモンガ /(n) (uk) southern flying squirrel (Graucomys volans)/
アメリカヤツメ属 [アメリカヤツメぞく] /(n) Ichthyomyzon (genus of lamprey in the family Petromyzontidae)/
アメリカヤマボウシ /(n) (uk) flowering dogwood (Cornus florida)/
アメリカヨタカ /(n) (uk) common nighthawk (Chordeiles minor)/
アメリカライオン /(n) (American) puma/
アメリカワシミミズク /(n) (uk) great horned owl (Bubo virginianus)/
アメリカン /(n,adj-f) (1) American/(2) (abbr) American coffee (weaker than regular Japanese coffee)/(P)/
アメリカン・インディアン /(n) (sens) American Indian/
アメリカンインディアン /(n) (sens) American Indian/
アメリカンカジュアル /(n) American casual (fashion style)/
アメリカンコーヒー /(n) American coffee (i.e. weak and tasteless)/
アメリカンスクール /(n) American school/
アメリカンチェリー /(n) (1) Bing cherry (wasei: American cherry)/(2) cherries imported to Japan from America/
アメリカンドッグ /(n) corn dog (frankfurter on a stick dipped in batter and deep-fried) (wasei: American dog)/
アメリカンドリーム /(n) American dream/
アメリカンフットボール /(n) American football/
アメリカンブルックランプリ /(n) American brook lamprey (Lampetra appendix)/
アメリカンプラン /(n) American plan/
アメリカンリーグ /(n) American League/
アメリカ映画 [アメリカえいが] /(n) American film/American movie/
アメリカ英語 [アメリカえいご] /(n) American English/
アメリカ鴛鴦 [アメリカおし] /(n) (uk) wood duck (Aix sponsa)/Carolina duck/
アメリカ規格委員会 [アメリカきかくいいんかい] /(n) (comp) ANSI - American National Standards Institute/
アメリカ胸黒 [アメリカむなぐろ] /(n) (uk) American golden plover (Pluvialis dominica)/
アメリカ熊 [アメリカぐま] /(n) (uk) American black bear (Ursus americanus)/
アメリカ軍 [アメリカぐん] /(n) U.S. forces/American military/
アメリカ穴熊 [アメリカあなぐま] /(n) (uk) American badger (Taxidea taxus)/
アメリカ合衆国 [アメリカがっしゅうこく] /(n) the United States of America/(P)/
アメリカ合衆国連邦緊急事態管理庁 [アメリカがっしゅうこくれんぽうきんきゅうじたいかんりちょう] /(n) Federal Emergency Management Agency of the United States/FEMA/
アメリカ国土安全保障省 [アメリカこくどあんぜんほしょうしょう] /(n) Department of Homeland Security (US)/DHS/
アメリカ国防情報局 [アメリカこくぼうじょうほうきょく] /(n) Defense Intelligence Agency (USA)/
アメリカ黒熊 [アメリカくろくま] /(n) (uk) American black bear (Ursus americanus)/
アメリカ山法師 [アメリカやまぼうし] /(n) (uk) flowering dogwood (Cornus florida)/
アメリカ七日鮫 [アメリカなぬかざめ] /(n) (uk) swellshark (Cephaloscyllium ventriosum, species of catshark in the Eastern Pacific)/
アメリカ篠懸の木 [アメリカすずかけのき] /(n) (uk) American sycamore (Platanus occidentalis)/
アメリカ小雀 [アメリカこがら] /(n) (uk) black-capped chickadee (Parus atricapillus)/
アメリカ松 [アメリカまつ] /(n) (obsc) common Douglas fir (Pseudotsuga menziesii)/
アメリカ人 [アメリカじん] /(n) American person/
アメリカ人参 [アメリカにんじん] /(n) American ginseng (Panax quinquefolius)/
アメリカ水芭蕉 [アメリカみずばしょう] /(n) (uk) yellow skunk cabbage (Lysichiton americanum)/
アメリカ草 [アメリカそう] /(n) (uk) (obsc) moss-rose purslane (Portulaca grandiflora)/
アメリカ大杓鷸 [アメリカだいしゃくしぎ] /(n) (uk) long-billed curlew (Numenius americanus)/
アメリカ大木葉木菟 [アメリカおおこのはずく] /(n) (uk) screech owl (Otus asio)/
アメリカ大陸 [アメリカたいりく] /(n) American continent/the Americas/
アメリカ中央情報局 [アメリカちゅうおうじょうほうきょく] /(n) Central Intelligence Agency/CIA/
アメリカ長元坊 [アメリカちょうげんぼう] /(n) (uk) American kestrel (Falco sparverius)/
アメリカ梯沽 [アメリカでいご] /(n) (uk) cockspur coral tree (Erythrina crista-galli)/
アメリカ毒蜥蜴 [アメリカどくとかげ] /(n) (uk) Gila monster (Heloderma suspectum)/
アメリカ独立記念日 [アメリカどくりつきねんび] /(n) American Independence day/Fourth of July/
アメリカ独立戦争 [アメリカどくりつせんそう] /(n) American War of Independence/American Revolution/
アメリカ白鶴 [アメリカしろづる] /(n) (uk) whooping crane (Grus americana)/
アメリカ白灯蛾 [アメリカしろひとり] /(n) (uk) fall webworm (Hyphantria cunea)/
アメリカ緋鳥 [アメリカひどり] /(n) (uk) American wigeon (Anas americana)/
アメリカ豹 [アメリカひょう] /(n) jaguar/
アメリカ鰭足鷸 [アメリカひれあししぎ] /(n) (uk) Wilson's phalarope (Phalaropus tricolor)/
アメリカ文化 [アメリカぶんか] /(n) American culture/
アメリカ防風 [アメリカぼうふう] /(n) (uk) parsnip (plant) (Pastnica sativa)/
アメリカ夜鷹 [アメリカよたか] /(n) (uk) common nighthawk (Chordeiles minor)/
アメリカ野牛 [アメリカやぎゅう] /(n) buffalo/American bison/
アメリカ輸出入銀行 [アメリカゆしゅつにゅうぎんこう] /(n) Export-Import Bank (US)/
アメリカ領ヴァージン諸島 [アメリカりょうヴァージンしょとう] /(n) (p) United States Virgin Islands/
アメリカ連合国 [アメリカれんごうこく] /(n) The Confederate States of America/The Confederacy/CSA/
アメリカ連邦議会 [アメリカれんぽうぎかい] /(n) US Congress/
アメリカ鷲木菟 [アメリカわしみみずく] /(n) (uk) great horned owl (Bubo virginianus)/
アメリカ鰐 [アメリカわに] /(n) (uk) American crocodile (Crocodylus acutus)/
アメリカ獏 [アメリカばく] /(n) (uk) Brazilian tapir/lowland tapir (Tapir tapirus)/
アメリカ貘 [アメリカばく] /(n) (uk) Brazilian tapir/lowland tapir (Tapir tapirus)/
アメリカ鉤虫 [アメリカこうちゅう] /(n) New World hookworm (Necator americanus)/
アメリカ駝鳥 [アメリカだちょう] /(n) (uk) (obsc) rhea (Pterocnemia pennata)/
アメリケーヌソース /(n) American sauce/
アメリシウム /(n) americium (Am)/
アメンチア /(n) amentia (lat:)/
アメンド /(vs) to amend/
アメンボ /(n) (uk) pond skater (any insect of family Gerridae)/water strider/
アメンボウ /(n) (uk) pond skater (any insect of family Gerridae)/water strider/
アメ公 [アメこう] /(n) (col) American person/Yankee/
アメ車 [アメしゃ] /(n) American car/
アモス書 [アモスしょ] /(n) Amos (book of the Bible)/
アモルファス /(adj-f) amorphous/
アモルファスシリコン /(n) amorphous silicon/
アモルファス金属 [アモルファスきんぞく] /(n) amorphous metal/
アモルファス太陽電池 [アモルファスたいようでんち] /(n) amorphous solar cell/
アモルファス半導体 [アモルファスはんどうたい] /(n) amorphous semiconductor/
アモロソ /(n) amoroso (music)/
アモンド /(n) almond/
アヤトラ /(n) Ayatollah/
アヤメ /(n) (1) iris (flower)/(2) Siberian iris (Iris sanguinea)/(3) (arch) sweet flag (Acorus calamus)/calamus/
アユカケ /(n) (uk) fourspine sculpin (Cottus kazika)/
アユモドキ /(n) (uk) kissing loach (Leptobotia curta)/
アラ /(n) saw-edged perch (Niphon spinosus)/
アラー /(n) Allah/
アラート /(n,adj-no) alert/
アラーム /(n) alarm/
アラームスピーカ /(n) (comp) audible alarm speaker/
アラームプロファイル /(n) (comp) alarm profile/
アラームランプ /(n) (comp) alarm lamp/
アラーム検出 [アラームけんしゅつ] /(n) (comp) alarm detection/
アラーム重要度 [アラームじゅうようど] /(n) (comp) alarm severity/
アラールキル /(n) (chem) aralkyl/
アライアンス /(n) alliance/
アライバル /(n) arrival/
アライブ /(adj-f) (1) alive/(vs) (2) to arrive/
アライメント /(n) alignment/
アラインメント /(n) alignment/
アラインメントテストイメージ /(n) (comp) alignment test image/
アラウアンス /(n) allowance/
アラウンド /(n) around/
アラカシ /(n) (uk) ring-cupped oak (Quercus glauca)/Japanese blue oak/
アラカルト /(n) a la carte (fre:)/(P)/
アラキ /(n) arrack (grain or rice wine) (dut:)/arak/
アラキドン酸 [アラキドンさん] /(n) arachidonic acid/
アラサー /(exp) around 30/
アラザン /(n) silver dragee (fre: argent)/
アラスカヒグマ /(n) (uk) Kodiak bear (Ursus arctos middendorffi)/Alaskan brown bear/
アラスカメヌケ /(n) (uk) Pacific ocean perch (Sebastes alutus)/
アラスカン・マラミュート /(n) Alaskan malamute/
アラスカンマラミュート /(n) Alaskan malamute/
アラスカ目抜 [アラスカめぬけ] /(n) (uk) Pacific ocean perch (Sebastes alutus)/
アラスカ羆 [アラスカひぐま] /(n) (uk) Kodiak bear (Ursus arctos middendorffi)/Alaskan brown bear/
アラタ体 [アラタたい] /(n) corpus allatum/
アラック /(n) arrack (grain or rice wine) (dut:)/arak/
アラニン /(n) alanine/
アラバスター /(n) alabaster/
アラビア /(n,adj-no) (uk) Arabia/
アラビアコーヒーの木 [アラビアコーヒーのき] /(n) coffee tree/
アラビアゴム /(n) gum arabic/
アラビアゴムの木 [アラビアゴムのき] /(n) acacia/
アラビアチョウハン /(n) diagonal butterflyfish (Chaetodon fasciatus)/Red Sea raccoon butterflyfish/
アラビアン・エンジェルフィッシュ /(n) Arabian angelfish (Pomacanthus asfur)/
アラビアンエンジェルフィッシュ /(n) Arabian angelfish (Pomacanthus asfur)/
アラビアンクロミス /(n) Arabian chromis (Chromis flavaxilla)/
アラビアンナイト /(n) Arabian Nights (stories)/
アラビアンバタフライフィッシュ /(n) Arabian butterflyfish (Chaetodon melapterus)/blackfin butterflyfish/
アラビアンライト /(n) Arabian light/
アラビア医学 [アラビアいがく] /(n) Arabian medicine/
アラビア語 [アラビアご] /(n) Arabic (language)/
アラビア人 [アラビアじん] /(n) Arabian (person)/Arab/
アラビア数字 [アラビアすうじ] /(n) Arabic numeral/
アラビア馬 [アラビアうま] /(n) Arab (horse)/
アラビア文字 [アラビアもじ] /(n) Arabic script/
アラビア夜話 [アラビアよばなし] /(n) Arabian Nights/The Thousand and One Nights/The Arabian Nights' Entertainments/
アラフィフ /(exp) around 50 (years of age, esp. women)/
アラフォー /(exp) around 40 (years of age, esp. women) (eng:)/
アラフラオオセ /(n) (uk) tasselled wobbegong (Eucrossorhinus dasypogon, sole species of the carpet shark genus Eucrossorhinus)/
アラフラ大瀬 [アラフラおおせ] /(n) (uk) tasselled wobbegong (Eucrossorhinus dasypogon, sole species of the carpet shark genus Eucrossorhinus)/
アラブ /(n,adj-no) Arab/(P)/
アラブ首長国連邦 [アラブしゅちょうこくれんぽう] /(n) United Arab Emirates/
アラブ諸国 [アラブしょこく] /(n) Arab countries/Arab states/
アラブ人 [アラブじん] /(n) Arab/
アラブ連盟 [アラブれんめい] /(n) Arab League/
アラベスク /(n) arabesque (fre:)/
アラミド繊維 [アラミドせんい] /(n) aramid fibre/aramid fiber/
アラム /(n,adj-no) (1) alum/(2) Aram/
アラム語 [アラムご] /(n) Aramaic/
アラム文字 [アラムもじ] /(n) Aramaic letter/
アラメ /(n) (uk) arame (species of kelp, Eisenia bicyclis)/
アラメヘラザメ /(n) Apristurus fedorovi (Federov's catshark, a species from Japan)/
アラモード /(n) a la mode (fre:)/
アララギ /(n) (1) (uk) Japanese yew (Taxus cuspidata)/(2) (arch) wild rocambole (Allium grayi)/
アラルガンド /(n,adj-no) allargando/
アラレキンチャクフグ /(n) spotted sharpnose (Canthigaster solandri, type of pufferfish)/
アラレ石 [アラレいし] /(n) aragonite/
アラン /(n) Alan (member of an ancient Scythian people)/
アランダム /(n) alundum (material made of fused aluminum usu. used as an abrasive)/
アラントイン /(n) allantoin/
アラン模様 [アランもよう] /(n) Aran (sweater pattern)/
アリーナ /(n) arena/(P)/
アリーヤー /(n) aliyah/immigration to Israel/
アリール基 [アリールき] /(n) aryl group/
アリの塔 [アリのとう] /(n) anthill/
アリア /(n) aria (ita:)/(P)/
アリウス主義 [アリウスしゅぎ] /(n) Arianism/
アリエッタ /(n) arietta (music)/
アリクイ /(n) (uk) anteater/
アリグモ /(n) (uk) Myrmarachne japonica (species of ant-mimicking spider)/
アリゲーター /(n) alligator/
アリザリン /(n) alizarin/
アリスイ /(n) (uk) Eurasian wryneck (species of bird, Jynx torquilla)/
アリストクラシー /(n) aristocracy/
アリストクラット /(n) aristocrat/
アリストクラティック /(adj-no) aristocratic/
アリストテレスの提灯 [アリストテレスのちょうちん] /(n) Aristotle's lantern/
アリスマティック /(n) arithmetic/
アリダード /(n) alidade/
アリッグ /(n) (abbr) American league/
アリッサム /(n) alyssum/
アリドリ科 [アリドリか] /(n) Thamnophilidae (antbird family)/
アリバイ /(n) alibi/(P)/
アリバイ会社 [アリバイがいしゃ] /(n) front company set up to hide someone's true profession by pretending to employ them (often used by call girls)/
アリマキ /(n) (uk) aphid/plant louse/plant lice/
アリモドキゾウムシ /(n) (uk) sweet potato weevil (Cylas formicarius)/
アリヤー /(n) aliyah/immigration to Israel/
アリル /(n,adj-no) allyl/
アリルアルコール /(n) allyl alcohol/
アリ学 [アリがく] /(n) myrmecology (the study of ants)/
アリ塚 [アリづか] /(n) anthill/
アルカーイダ /(n) Al Qaeda/al-Qaeda/Al Qaida/al-Qaida/al-Qa'idah/
アルカイーダ /(n) Al Qaeda/al-Qaeda/Al Qaida/al-Qaida/al-Qa'idah/
アルカイスム /(n) archaism (fre:)/
アルカイズム /(n) archaism (fre:)/
アルカイダ /(n) Al Qaeda/al-Qaeda/Al Qaida/al-Qaida/al-Qa'idah/
アルカイック /(adj-na,n) archaic/
アルカイックスマイル /(n) archaic smile/
アルカディア /(n,adj-no) arcadia/(P)/
アルカプトン尿症 [アルカプトンにょうしょう] /(n) alkaptonuria/alcaptonuria/
アルカリ /(n) alkali/(P)/
アルカリ塩 [アルカリえん] /(n) alkali salt/
アルカリ乾電池 [アルカリかんでんち] /(n) alkaline battery/
アルカリ岩 [アルカリがん] /(n) alkali rock/
アルカリ金属 [アルカリきんぞく] /(n) alkali metal/
アルカリ血症 [アルカリけつしょう] /(n) (obsc) alkalosis/
アルカリ性 [アルカリせい] /(n,adj-no) alkalinity/alkaline/(P)/
アルカリ性食品 [アルカリせいしょくひん] /(n) alkaline food/
アルカリ電池 [アルカリでんち] /(n) alkali battery/
アルカリ土類金属 [アルカリどるいきんぞく] /(n) alkali earth metal/
アルカローシス /(n,adj-no) alkalosis/
アルカロイド /(n,adj-no) alkaloid/
アルカロシス /(n,adj-no) alkalosis/
アルカン /(n) alkane/
アルキド樹脂 [アルキドじゅし] /(n) alkyd resin/
アルキメデスの原理 [アルキメデスのげんり] /(n) Archimedes' principle/
アルキメデスの公理 [アルキメデスのこうり] /(n) axiom of Archimedes/
アルキメデスの螺線 [アルキメデスのらせん] /(n) Archimedean spiral/
アルキル /(n) alkyl/
アルキルアルミニウム /(n) alkylaluminium/
アルキルフェノール /(n) alkyl phenol/
アルキルベンゼン /(n) alkyl benzene/
アルキルベンゼンスルホン酸塩 [アルキルベンゼンスルホンさんえん] /(n) alkyl benzene sulfonate/
アルキル化 [アルキルか] /(n,vs) alkylation/
アルキル化剤 [アルキルかざい] /(n) alkylating agent/
アルキル基 [アルキルき] /(n) alkyl group/
アルキン /(n) alkyne/
アルギナーゼ /(n) arginase/
アルギニン /(n) arginine/
アルギン酸 [アルギンさん] /(n) alginic acid/
アルクトゥールス /(n) Arcturus (star in the constellation Bootes)/
アルクトゥルス /(n) Arcturus (star in the constellation Bootes)/
アルケミー /(n) alchemie (dut:)/
アルケン /(n) alkene/olefin/olefine/
アルコーブ /(n) alcove/
アルコール /(n,adj-no) alcohol/(P)/
アルコールハラスメント /(n) alcohol related harassment (wasei: alcohol harassment)/
アルコールランプ /(n) alcohol lamp/
アルコール依存症 [アルコールいぞんしょう] /(n) alcohol dependency/alcoholism/
アルコール飲料 [アルコールいんりょう] /(n) alcoholic drink/alcoholic beverage/
アルコール温度計 [アルコールおんどけい] /(n) alcohol thermometer/
アルコール検知器 [アルコールけんちき] /(n) breathalyser/alcometer/
アルコール性肝障害 [アルコールせいかんしょうがい] /(n) alcoholic liver disease/
アルコール中毒 [アルコールちゅうどく] /(n) alcoholism/alcohol addiction/
アルコール漬 [アルコールづけ] /(n) (1) preserving in alcohol/(2) pickling one's liver/drinking incessantly/being a souse/
アルコール漬け [アルコールづけ] /(n) (1) preserving in alcohol/(2) pickling one's liver/drinking incessantly/being a souse/
アルコール度 [アルコールど] /(n) alcohol content (usu. expressed per cent)/
アルコール発酵 [アルコールはっこう] /(n) alcohol fermentation/
アルコール分 [アルコールぶん] /(n) alcoholic content/
アルゴリズミック /(adj-na,n) algorithmic/
アルゴリズム /(n,adj-no) (comp) algorithm/(P)/
アルゴル /(n) (1) (comp) Algol (algorithmic language)/(2) Algol (beta perseus)/
アルゴン /(n) argon (Ar) (ger:)/
アルゴンキン族 [アルゴンキンぞく] /(n) Algonquin (nation)/
アルサロ /(n) (abbr) "salon" where the hostesses are supposedly part-timers with other jobs/
アルシオーネ /(n) Alcyone (star in Taurus, brightest of the Pleiades)/
アルシン /(n) arsine/
アルジェリア /(n) Algeria/
アルスアマトリア /(n) ars amatoria/
アルゼンチン /(n,adj-no) (uk) Argentina/
アルゼンチンタンゴ /(n) Argentine tango/
アルゼンチン出血熱 [アルゼンチンしゅっけつねつ] /(n) Argentine hemorrhagic fever/
アルタイル /(n) Altair (star in the constellation Aquila)/
アルタイ語族 [アルタイごぞく] /(n) Altaic (family of languages)/
アルタイ諸語 [アルタイしょご] /(n) Altaic/
アルタビスタ /(n) (comp) ALTA VISTA/
アルチザン /(n) artisan (fre:)/
アルツハイマー /(n) Alzheimer (disease)/(P)/
アルツハイマー病 [アルツハイマーびょう] /(n) Alzheimer's disease/
アルティアハチハチゼロゼロ /(n) (comp) Altair8800/
アルティチュード・ダイブ /(n) altitude dive/
アルティチュードダイブ /(n) altitude dive/
アルティメット /(adj-f) ultimate/
アルテミア /(n) brine shrimp (Artemia salina) (lat: artemia)/
アルテミシア属 [アルテミシアぞく] /(n) Artemisia (genus of a between 200 to 400 species of plants in the daisy family Asteraceae)/
アルテミス /(n) Artemis/
アルデバラン /(n) Aldebaran (star in the constellation Taurus)/
アルデヒド /(n) aldehyde/(P)/
アルデヒド基 [アルデヒドき] /(n) aldehyde group/
アルデンテ /(n,adj-no) al dente (ita:)/
アルト /(n) alto (ita:)/(P)/
アルトサックス /(n) alto saxophone/
アルト歌手 [アルトかしゅ] /(n) alto (voice or singer)/
アルドース /(n) aldose/
アルドステロン /(n) aldosterone/
アルドステロン症 [アルドステロンしょう] /(n) aldosteronism/
アルドリン /(n) aldrin/
アルニカ /(n) arnica (esp. mountain tobacco, Arnica montana) (lat:)/
アルハラ /(n) alcohol-related harassment/
アルバートサウルス /(n) Albertosaurus/
アルバイター /(n) part-time worker (ger: Arbeiter)/part-timer/
アルバイト /(n,vs) (1) part-time job (ger: Arbeit)/side job/(n) (2) albite/(P)/
アルバトロス /(n) albatross/
アルバニア /(n) Albania/
アルバニア語 [アルバニアご] /(n) Albanian (language)/
アルバニア語派 [アルバニアごは] /(n) Albanian (branch of languages)/
アルバム /(n) album/(P)/
アルパイン /(n) alpine/(P)/
アルパカ /(n) alpaca/
アルビーノ /(n) albino/
アルビノ /(n) albino/
アルビレオ /(n) Albireo (aka Beta Cygni)/
アルピニスト /(n) alpinist/
アルピニズム /(n) alpinism/
アルファ・ギーク /(n) (comp) alpha geek (var. of computer nerd)/
アルファとオメガ /(exp) (obsc) alpha and omega/
アルファギーク /(n) (comp) alpha geek (var. of computer nerd)/
アルファチャネル /(n) (comp) alpha channel/
アルファテスト /(n) (comp) alpha test/
アルファデータ /(n) (comp) Alpha Data/
アルファニューメリック /(n) (comp) alphanumeric/
アルファニューメリック表記法 [アルファニューメリックひょうきほう] /(n) (comp) alphanumeric notation/
アルファバージョン /(n) (comp) alpha version/
アルファベット /(n,adj-no) alphabet/(P)/
アルファベットの語 [アルファベットのご] /(n) (comp) alphabetic word/
アルファベット順 [アルファベットじゅん] /(n) alphabetical order/(P)/
アルファベット表記法 [アルファベットひょうきほう] /(n) (comp) alphabetical notation/
アルファルド /(n) Alphard (aka Alpha Hydra)/
アルファルファ /(n) alfalfa/
アルファ線 [アルファせん] /(n) alpha rays/
アルファ波 [アルファは] /(n) alpha wave/
アルファ版 [アルファばん] /(n) (comp) alpha version/
アルファ崩壊 [アルファほうかい] /(n) alpha decay/
アルファ粒子 [アルファりゅうし] /(n) alpha particle/
アルブミン /(n) albumin/
アルプス /(n,adj-no) alps/(P)/
アルプスの険 [アルプスのけん] /(n) steep pass in the Alps/
アルプスの嶮 [アルプスのけん] /(n) steep pass in the Alps/
アルプスイワナ /(n) Arctic char (Salvelinus alpinus alpinus)/
アルベド /(n) albedo/
アルペジオ /(n) arpeggio (ita:)/
アルペジオーネ /(n) arpeggione (ita:)/
アルペッジオ /(n) arpeggio (ita:)/
アルペッジョ /(n) arpeggio (ita:)/
アルペン /(n) Alpen (ger:)/
アルペンスキー /(n) Alpine skiing (ger: Alpenski)/
アルペンホルン /(n) alpenhorn (ger:)/alphorn/
アルペン種目 [アルペンしゅもく] /(n) Alpine events/Alpine sports/
アルホイル /(ik) (n) (abbr) aluminum foil/aluminium foil/tin foil/
アルマイト /(n) anodized aluminum (from Alumite (brand name))/anodised aluminium/
アルマジロ /(n) armadillo/
アルマナック /(n) almanac/
アルマニャック /(n) armagnac (fre:)/
アルマンディン /(n) almandine/
アルマンド /(n) allemande (dance) (fre:)/
アルミ /(n) (abbr) aluminum (Al)/aluminium/(P)/
アルミサッシ /(n) (abbr) aluminium sash (aluminum) (i.e. window frame)/
アルミナ /(n) alumina/
アルミナセメント /(n) alumina cement/
アルミナ磁器 [アルミナじき] /(n) alumina porcelain/
アルミニウム /(n,adj-no) aluminum (Al)/aluminium/(P)/
アルミニウム合金 [アルミニウムごうきん] /(n) aluminum alloy/
アルミニューム /(n,adj-no) aluminum (Al)/aluminium/
アルミホイル /(n) (abbr) aluminum foil/aluminium foil/tin foil/
アルミ缶 [アルミかん] /(n) aluminium can/aluminum can/
アルミ箔 [アルミはく] /(n) aluminum foil/
アルム /(n) arum (any plant of the genus Arum, typically having arrow-shaped leaves)/
アルメール /(n) (comp) AL-Mail/
アルメニア /(n) Armenia (Armyanskaya)/
アルメニア教会 [アルメニアきょうかい] /(n) Armenian Church/Armenian Apostolic Orthodox Church/
アルメニア語 [アルメニアご] /(n) Armenian (language)/
アルメニア語派 [アルメニアごは] /(n) Armenian (branch of languages)/
アルルカン /(n) arlequin (fre:)/
アル中 [アルちゅう] /(n) (abbr) alcoholism/
アレイ /(n) (1) array/(2) alley/
アレイコンピュータ /(n) (comp) array computer/
アレイプロセッサ /(n) (comp) array processor/
アレイプロセッサー /(n) (comp) array processor/
アレインメント /(n) arraignment/
アレイ処理 [アレイしょり] /(n) (comp) array processing/
アレイ処理機構 [アレイしょりきこう] /(n) (comp) array processor/vector processor/
アレイ処理装置 [アレイしょりそうち] /(n) (comp) array processor/vector processor/
アレカ椰子 [アレカやし] /(n) areca palm/
アレキサンドライト /(n) alexandrite/
アレクサンドライト /(n) alexandrite/
アレグレット /(n) allegretto (ita:)/
アレグロ /(n,adj-no) allegro (ita:)/
アレゴリー /(n) allegory/
アレス /(n) Ares (Greek god)/
アレチネズミ /(n) (uk) lesser Egyptian gerbil (Gerbillus gerbillus)/
アレックス /(n) (comp) Alex/
アレフ /(n) aleph/
アレルギー /(n,adj-no) allergy (ger: Allergie)/(P)/
アレルギーテスト /(n,vs) allergy testing/
アレルギー症状 [アレルギーしょうじょう] /(n) allergy symptoms/
アレルギー性 [アレルギーせい] /(adj-no) allergenic/allergic/
アレルギー性炎症 [アレルギーせいえんしょう] /(n) allergic inflammation/
アレルギー性疾患 [アレルギーせいしっかん] /(n) allergic disease/
アレルギー性鼻炎 [アレルギーせいびえん] /(n) allergic rhinitis/
アレルギー体質 [アレルギーたいしつ] /(n) allergic diathesis (predisposition to be allergic)/
アレルギー反応 [アレルギーはんのう] /(n) allergic reaction/
アレルゲン /(n) allergen (ger:)/
アレルゲン皮膚反応 [アレルゲンひふはんのう] /(n) allergen skin test/
アレルヤ /(n) alleluia (lat:)/
アレロタクシス /(n) allelotaxis/allelotaxy/
アレンジ /(vs) (1) to arrange/(n,vs) (2) (abbr) (musical) arrangement/(P)/
アレンジメント /(n) arrangement/
アレンジャー /(n) arranger/
アレンビック /(n) alembic/
アロー /(n) arrow/(P)/
アロー戦争 [アローせんそう] /(n) Arrow War (the second Opium War, 1856-1860)/
アロイ /(n) alloy/
アロエ /(n) aloe (lat:)/
アロカシア /(n) alocasia/
アロケーション /(n) allocation/
アロケート /(n) allocate/
アロサ /(n) shad (Alosa spp.) (lat: Alosa)/river herring/
アロサウルス /(n) allosaurus (lat:)/allosaur/
アロステリズム /(n,adj-no) allosterism/
アロステリック /(adj-no) allosteric/
アロステリック効果 [アロステリックこうか] /(n) allosteric effect/
アロタイプ /(n,adj-no) allotype/
アロック /(n) alloc/
アロハ /(n) (1) aloha/(2) (abbr) aloha shirt/(P)/
アロハシャツ /(n) aloha shirt/
アロフェン /(n) allophane/
アロマ /(adj-na) (1) aroma/(2) class/style/elegance/(3) (abbr) aromatherapy/
アロマを焚く [アロマをたく] /(exp,v5k) to burn aromatherapy oils/to diffuse aromatherapy oils/
アロマオイル /(n) aroma oil/
アロマセラピー /(n) aromatherapy (fre:)/
アロマテラピー /(n) aromatherapy (fre:)/
アロワナ /(n) arowana (any fish of subfamily Osteoglossinae)/bonytongue/
アワー /(n) hour/(P)/
アワード /(n) award/
アワビ /(n) (uk) abalone/ear shell/
アワフキムシ /(n) (uk) froghopper (any insect of family Cercopidea)/spittlebug/
アワブキ /(n) Meliosma myriantha/
アワブネガイ /(n) (uk) Bostrycapulus gravispinosus (species of spiny slipper snail)/
アンアイデンティファイド /(adj-f) unidentified/
アンインストール /(n,vs) (comp) uninstall/
アンカー /(n) (1) anchor/(2) (comp) link to previous post (e.g. in web forums)/(P)/
アンカーボルト /(n) anchor bolt/
アンカーマン /(n) anchorman/
アンカット /(n,adj-no) uncut (esp. of a book, etc.)/
アンカバー /(n) (comp) UnCover/
アンカレジ /(n) Anchorage/
アンカレッジ /(n) Anchorage/
アンガージュマン /(n) moral or political commitment to a cause (fre: engagement)/
アンガージュマンの文学 [アンガージュマンのぶんがく] /(n) literature politically or morally comitted to a cause/
アンキロザウルス /(n) ankylosaurus (lat:)/
アンギオテンシン /(n) angiotensin/
アンギナ /(n,adj-no) angina/
アンギュラー /(adj-no) angular/
アンク /(n) (1) ankh/(2) ANK/
アンクル /(n) (1) uncle/(2) ankle/
アンクルブーツ /(n) ankle boots/
アンクレット /(n) anklet/
アングィラ島 [アングィラとう] /(n) Anguilla (island)/
アングラ /(n) (abbr) underground/(P)/
アングラー /(n) angler/
アングラマネー /(n) (abbr) underground money/
アングラ映画 [アングラえいが] /(n) underground film/
アングラ劇場 [アングラげきじょう] /(n) underground theater/underground theatre/
アングリー /(adj-f) angry/
アングリカン教会 [アングリカンきょうかい] /(n) Anglican Church/
アングル /(n) angle/(P)/
アングルショット /(n) angle shot/
アングルドーザー /(n) angle dozer/
アングルブロック /(n) angle block/angle iron/
アングル括弧 [アングルかっこ] /(n) (comp) less-than mark/left angle bracket/
アングロ・カトリック /(n,adj-no) Anglo-Catholic/
アングロ・サクソン /(n,adj-no) Anglo-Saxon/
アングロアメリカ /(n) (1) Anglo-America/(2) English-speaking part of America/
アングロアラブ /(n) Anglo-Arab/
アングロカトリック /(n,adj-no) Anglo-Catholic/
アングロサクソン /(n,adj-no) Anglo-Saxon/
アングロノルマン /(n) (1) Anglo-Norman (French dialect)/(2) Anglo-Norman (horse breed)/
アンケート /(n) questionnaire (fre: enquete)/survey/(P)/
アンケート調査 [アンケートちょうさ] /(n) questionnaire survey/
アンケート用紙 [アンケートようし] /(n) questionnaire (form)/
アンゲリカ /(n) angelica (any herb of the genus Angelica, esp. garden angelica, Angelica archangelica)/
アンコール /(n,vs) encore/(P)/
アンコールアワー /(n) encore hour/
アンコウ /(n) (1) (uk) goosefish (any anglerfish of family Lophiidae)/monkfish/sea devil/(2) (arch) fool/(3) curved gutter/
アンコウザメ /(n) grey sharpnose shark (Rhizoprionodon oligolinx, species of requiem shark found in the Indo-West Pacific)/
アンコン /(n) (abbr) overcoat with very simple lines and no shoulder pads, etc. (from: unconstructed)/
アンゴラ /(n) (1) Angola/(2) angora/
アンゴラ共和国 [アンゴラきょうわこく] /(n) Republic of Angola/
アンゴラ山羊 [アンゴラやぎ] /(n) Angora goat/
アンゴラ兎 [アンゴラうさぎ] /(n) Angora rabbit/
アンゴラ猫 [アンゴラねこ] /(n) Angora cat/
アンサー /(n) answer/
アンサーファイル /(n) (comp) answer file/
アンサーモード /(n) (comp) answer mode/
アンサブスクライブ /(n) (comp) unsubscribe/
アンサホン /(n) answer phone/
アンサンブル /(n,vs,adj-no) ensemble/all-in/(P)/
アンザイレン /(n,vs) roping oneself up (ger: Anseilen)/
アンザス /(n) Australia, New Zealand and the United States/ANZUS/
アンザス条約 [アンザスじょうやく] /(n) ANZUS Treaty (Australia, New Zealand and the United States)/
アンザック /(n) Anzac (from Australian and New Zealand Army Corps during WWI)/
アンザックデー /(n) Anzac Day/
アンザックビスケット /(n) Anzac biscuit (type of oatmeal biscuit)/
アンシアル /(n) uncial/uncial letter/
アンシャンレジーム /(n) Ancien Regime (in France) (fre:)/
アンシラリー /(adj-f) ancillary/
アンシラリーサービス /(n) Ancillary services/
アンジェラス /(n) angelus/
アンジェリカ /(n) angelica (any herb of the genus Angelica, esp. garden angelica, Angelica archangelica)/
アンジオグラフィー /(n) angiography/
アンジッヒ /(n) thing in itself (philosophy) (ger: Ding an sich)/
アンジュレーション /(n) undulation/
アンスウィズル /(n) (comp) unswizzle/
アンスペシファイドビットレイト /(n) (comp) unspecified bit rate/
アンスリウム /(n) anthurium (type of tropical flowering plant) (lat:)/
アンセム /(n) anthem/
アンゼリカ /(n) angelica (any herb of the genus Angelica, esp. garden angelica, Angelica archangelica)/
アンソロ /(n) (abbr) anthology/
アンソロジー /(n) anthology/(P)/
アンタイドローン /(n) untied loan/
アンタゴニスト /(n,adj-f) antagonist/
アンタゴニズム /(n) antagonism/
アンタッチャブル /(adj-na,n) untouchable/
アンタレス /(n) Antares/
アンタント /(n) entente (fre:)/
アンダー /(n) under/(P)/
アンダー・ザ・テーブル /(n,adj-no) under-the-table/
アンダーウェア /(n) underwear/
アンダーウエア /(n) underwear/
アンダーカット /(n) undercut/
アンダーカバー /(adj-f) undercover/
アンダーグラウンド /(n) underground/
アンダーコート /(n) undercoat/
アンダーザテーブル /(n,adj-no) under-the-table/
アンダーシャツ /(n) undershirt/
アンダースカート /(n) bloomers (wasei: under skirt)/'safe' pants worn over normal underwear in sports/
アンダースキル /(n) underskill/
アンダースコート /(n) bloomers (wasei: under skirt)/'safe' pants worn over normal underwear in sports/
アンダースコア /(n) underscore/
アンダースタンド /(vs) understand/
アンダースロー /(n) (abbr) underhand throw (baseball)/submarine pitch/
アンダートーン /(n) undertone/
アンダーハンド /(adj-no) underhand/
アンダーハンドサーブ /(n) underhand serve/
アンダーハンドスロー /(n) underhand throw/
アンダーバスト /(n) under bust (measurement, corsette, etc.)/
アンダーパー /(n) under par/
アンダーパス /(n) (roadway) underpass/
アンダーピニング /(n) underpinning/
アンダーフロー /(n) (comp) underflow/
アンダープルーフ /(n) underproof/
アンダープロット /(n) underplot/
アンダーヘア /(n) (female) genital hair (wasei: under hair)/
アンダーライター /(n) underwriter/
アンダーライン /(n) underline/(P)/
アンダーリペア /(n) under repair/
アンダカット /(n) undercut/
アンダフロー /(n) (comp) underflow/
アンダフロー表示 [アンダフローひょうじ] /(n) (comp) underflow indication/
アンダンスー /(n) fried mixture of minced pork, miso, mirin, etc. (Okinawan dish)/
アンダンテ /(n) andante (music) (ita:)/
アンダンティーノ /(n) andantino (ita:)/
アンダンテカンタービレ /(n,adj-no) andante cantabile (ita:)/
アンチ /(n) anti-/disliked/(P)/
アンチーク /(n,adj-na) antique (fre:)/
アンチークファッション /(n) antique fashion/
アンチアメリカ /(adj-no) anti-American/
アンチウィルス /(n,adj-no) (comp) anti-virus (e.g. software)/
アンチウィルスソフト /(n) (comp) anti-virus software/
アンチウイルス /(n,adj-no) (comp) anti-virus (e.g. software)/
アンチウイルスソフト /(n) (comp) anti-virus software/
アンチエージング /(n) anti-aging/
アンチエイジング /(n) anti-aging/
アンチエイリアシング /(n) (comp) anti-aliasing/
アンチエイリアス /(n) (comp) anti-aliasing/
アンチエスタブリッシュメント /(n) anti-establishment/
アンチクライマックス /(n) anticlimax/
アンチグラム /(n) antigram/
アンチコドン /(n) anticodon/
アンチコピー技術 [アンチコピーぎじゅつ] /(n) (comp) anti-copying technology (software)/
アンチスキッド /(adj-no) antiskid/
アンチセミティズム /(n) (obsc) anti-Semitism/
アンチダイブ /(adj-no) anti-dive/
アンチック /(n,adj-na) antique (fre:)/
アンチック体 [アンチックたい] /(n) antique/
アンチテーゼ /(n) antithesis (ger: Antithese)/
アンチテアトル /(n) anti-theatre (theater) (fre: anti-theatre)/
アンチドート /(n) antidote/
アンチノック /(n) antiknock/
アンチノック剤 [アンチノックざい] /(n) antiknock agent/
アンチノック性 [アンチノックせい] /(n,adj-no) anti-knocking/
アンチノミー /(n) antinomy (ger: Antinomie)/
アンチハッキング /(n) (comp) anti-hacking/
アンチヒーロー /(n) antihero/
アンチヒューマニズム /(n) anti-humanism/
アンチピリン /(n) antipyrine/
アンチフェブリン /(n) antifebrin/
アンチフェミニズム /(n) antifeminism/
アンチフリーズ /(n) antifreeze/
アンチマグネチック /(n) antimagnetic/
アンチモニー /(n,adj-no) antimony (Sb) (ger: Antimon)/
アンチモン /(n,adj-no) antimony (Sb) (ger: Antimon)/
アンチョビ /(n) anchovy/
アンチョビー /(n) anchovy/
アンチロックブレーキシステム /(n) anti-lock brake system/
アンチロマン /(n) anti-roman (fre:)/
アンツーカ /(n) en-tout-cas (track or tennis court surface made of clay and crushed brick) (fre:)/
アンツーカー /(n) en-tout-cas (track or tennis court surface made of clay and crushed brick) (fre:)/
アンティーク /(n,adj-na) antique (fre:)/(P)/
アンティークファッション /(n) antique fashion/
アンティグア /(n) Antigua/
アンティック /(n,adj-na) antique (fre:)/
アンティパスト /(n) antipasto (ita:)/
アンテドラッグ /(n) antedrug/
アンテナ /(n) (1) antenna/(2) person who collects information or opinions/(P)/
アンテナショップ /(n) (1) shop used for testing sales of new products (wasei: antenna shop)/showroom/(2) shop selling local specialities to Tokyo/
アンテナ利得率 [アンテナりとくりつ] /(n) (comp) antenna gain factor/
アンテロープ /(n) antelope/
アンディーブ /(n) (1) (uk) endive (fre:)/(2) chicory/
アンデッド /(n) undead/
アンデパンダン /(n) independents (in the context of art) (fre:)/
アンデリート /(n) (comp) Undelete/
アントシアニン /(n) anthocyanin/
アントシアン /(n) anthocyan/
アントニム /(n) antonym/
アントラキノン /(n) anthraquinone/
アントラキノン染料 [アントラキノンせんりょう] /(n) anthraquinone dye/
アントラセン /(n) anthracene/
アントルプルヌール /(n) entrepreneur/
アントルメ /(n) entremets (fre:)/
アントレ /(n) (1) entree (fre:)/(2) (abbr) entrepreneurship/
アントレー /(n) (1) entree (fre:)/
アントレプレナー /(n) entrepreneur/
アントロポロギー /(n) (obsc) anthropology (ger: Anthropologie)/
アントン症候群 [アントンしょうこうぐん] /(n) Anton's syndrome/
アンド /(n) ampersand sign/and/(P)/
アンドゥ /(n) undo/
アンドウトラワ /(exp) un, deux, trois (fre:)/
アンドラ /(n) Andorra/
アンドロイド /(n) android/(P)/
アンドロゲン /(n) androgen (ger:)/
アンドロステロン /(n) androsterone/
アンドロメダ /(n) Andromeda/
アンドロメダ銀河 [アンドロメダぎんが] /(n) Andromeda galaxy/
アンドロメダ座 [アンドロメダざ] /(n) (constellation) Andromeda/
アンド回路 [アンドかいろ] /(n) AND circuit/
アンナハチドリ /(n) (uk) Anna's woodpecker (Calypte anna)/
アンナンバード接続 [アンナンバードせつぞく] /(n) (comp) unnumbered connection/
アンナ蜂鳥 [アンナはちどり] /(n) (uk) Anna's woodpecker (Calypte anna)/
アンニュイ /(n,adj-na) boredom (fre: ennui)/listlessness/languor/
アンノーン /(adj-no,adj-na,adj-f,n) unknown/
アンノウン /(adj-no,adj-na,adj-f,n) unknown/
アンハッピー /(n) unhappy/
アンバー /(n,adj-no) amber/umber/
アンバーグリス /(n) ambergris/
アンバサダー /(n) ambassador/
アンバランス /(adj-na) (1) unbalanced/imbalance/(n) (2) ambulance/(P)/
アンバンドリング /(n) unbundling/
アンバンドル /(vs) to unbundle/
アンパーサンド /(n) (comp) ampersand (&)/
アンパーザー /(n) unparser/
アンパイア /(n) umpire/
アンパイヤ /(n) umpire/
アンパサンド /(n) (comp) ampersand/
アンパック /(n,vs) (comp) unpack/
アンパック１０進表記法 [アンパックじっしんひょうきほう] /(n) (comp) unpacked decimal notation/
アンパック十進表記法 [アンパックじっしんひょうきほう] /(n) (comp) unpacked decimal notation/
アンパン /(n) (1) bread roll filled with anko/(2) paint thinner placed inside a bag used as a drug/
アンヒューマ /(n) amphiuma/
アンビアンス /(n) ambiance/ambience/
アンビエント /(n) (comp) ambient/
アンビエント光 [アンビエントこう] /(n) (comp) ambient light/
アンビギュイティ /(n) ambiguity/
アンビシャス /(adj-no,adj-na) ambitious/
アンビション /(n) ambition/
アンビバレンス /(n,adj-no) ambivalence/
アンビリ /(adj-f) (abbr) unbelievable/
アンビリーバボー /(adj-f) unbelievable/
アンビル /(n) anvil/
アンビヴァレンス /(n,adj-no) ambivalence/
アンピシリン /(n) ampicillin/
アンファンテリブル /(n) enfants terribles (fre:)/
アンフィカエトドン属 [アンフィカエトドンぞく] /(n) Amphichaetodon (genus of butterflyfishes in the family Chaetodontidae)/
アンフィプロステュロス /(adj-no) amphiprostyle/
アンフェア /(adj-na) unfair/(P)/
アンフェタミン /(n) amphetamine/
アンフェノール /(n) (comp) Amphenol/
アンフォーマット /(n) (comp) unformat/
アンフォラ /(n) amphora/
アンフォロー /(n,vs) (comp) unfollow/
アンブシュール /(n) embouchure (the position and use of the lips, tongue, and teeth in playing a wind instrument) (fre:)/mouthpiece of a musical instrument/
アンブシュア /(n) embouchure (the position and use of the lips, tongue, and teeth in playing a wind instrument) (fre:)/mouthpiece of a musical instrument/
アンブッシュ /(n) ambush/
アンブレイカブル /(adj-f) unbreakable/
アンブレラ /(n) umbrella/
アンブレラカット /(n) umbrella cut/
アンプ /(n) (1) amp/ampere/(2) (abbr) amplifier/(P)/
アンプス /(n) (comp) AMPS/
アンプラグド /(exp) unplugged/not needing or having electrification (e.g. music)/
アンプリファイア /(n) amplifier/
アンプリファイアー /(n) amplifier/
アンプル /(n) ampoule (fre:)/
アンプレーアブル /(n,adj-no) unplayable/
アンプレアブル /(n,adj-no) unplayable/
アンプレイアブル /(n,adj-no) unplayable/
アンプレショニスム /(n) Impressionism/
アンプレヤブル /(n,adj-no) unplayable/
アンプロンプチュ /(n) impromptu (fre:)/
アンペールの法則 [アンペールのほうそく] /(n) Ampere's law/
アンペア /(n) ampere/
アンペア時 [アンペアじ] /(n) ampere hour/
アンペラ /(n) (1) Machaerina rubiginosa (species of tropical sedge) (may: ampela)/(2) woven mat made of Machaerina rubiginosa root/
アンペライ /(n) (uk) Machaerina rubiginosa (species of tropical sedge)/
アンペラ藺 [アンペラい] /(n) (uk) Machaerina rubiginosa (species of tropical sedge)/
アンホテリシン /(n) amphotericin/
アンボンスズメダイ /(n) Ambon chromis (Chromis amboinensis)/
アンポピュラー /(n) unpopular/
アンマウント /(n) (comp) unmount (e.g. a drive)/
アンマッチ /(n) discrepancy (wasei: unmatch)/
アンマネージコード /(n) (comp) unmanaged code/
アンマネージド /(adj-no) (comp) unmanaged/
アンメーター /(n) ammeter/
アンモナイト /(n) ammonite/
アンモニア /(n,adj-no) ammonia/(P)/
アンモニアソーダ法 [アンモニアソーダほう] /(n) ammonia soda process/
アンモニア水 [アンモニアすい] /(n) ammonia water/aqueous ammonia/
アンモニウム /(n) ammonium/
アンモラル /(adj-na) unmoral/
アンラッキー /(adj-na) unlucky/
アンローダー /(n) unloader/
アンロード /(n) (comp) unload/
アンロック /(n) unlock/
アンヴィル /(n) anvil/
アヴァター /(n) (1) avatar/incarnation of an immortal being (Hindu)/(2) (comp) icon or representation of a user in a shared virtual reality/
アヴァンギャルド /(n) avant-garde (fre:)/
アヴァンチュール /(n) adventure (fre: aventure)/
アヴィーナサティヴァ /(n) avena sativa/
アヴェマリア /(exp) Ave Maria (prayer) (lat:)/Hail Mary/
ア式蹴球 [アしきしゅうきゅう] /(n) association football/soccer/
ィ形容詞 [イけいようし] /(n) adjective ending in "i"/i-adjective/
イ /(n) (uk) soft rush (Juncus effusus var. decipiens)/
イ /(n) 1st in a sequence denoted by the iroha system/1st note in the diatonic scale (used in key names, etc.)/
イーアールピー /(n) (comp) ERP/
イーアイエー /(n) (comp) EIA/
イーアイサ /(n) (comp) EISA/
イーアイディーイー /(n) (comp) EIDE/
イーイーカメラ /(n) electric-eye camera/
イーイーピーロム /(n) (comp) EEPROM/
イーエスシーピー /(n) (comp) ESC-P/
イーエムエス /(n) (comp) EMS/
イーエムエムサンハチロク /(n) (comp) EMM386/
イーエムシー /(n) (comp) EMC/
イーエムビー /(n) (comp) EMB/
イーエルエーピー /(n) (comp) ELAP/
イーオーエス /(n) (comp) EOS/
イーオーエフ /(n) (comp) EOF/
イーオン /(n) eon/very long period of time/
イーグル /(n) eagle (bird of prey, Accipitridae family)/(P)/
イーコム /(n) (comp) ECOM/
イーサ /(n) ether/
イーサーボード /(n) ether(net) board/
イーサトーク /(n) (comp) EtherTalk/
イーサネット /(n) (comp) Ethernet/
イーサネットアドレス /(n) (comp) Ethernet address/
イーシー /(n) European Community/EC/
イーシーエム /(n) (comp) ECM/
イージー /(adj-na,n) easy/(P)/
イージーウェブ /(n) (comp) Ezweb/
イージーエー /(n) (comp) EGA/
イージーオーダー /(n) easy order/
イージーケア /(n) easy care/
イージーゴーイング /(n) easy-going/
イージースカジー /(n) (comp) EZ-SCSI/
イージーパンツ /(n) loose-fitting pants with an elastic or drawcord waist (wasei: easy pants)/
イージーフライ /(n) routine fly ball (baseball) (wasei: easy fly)/
イージーペイメント /(n) easy payment (system)/
イージーミス /(n) silly mistake (was easy miss)/
イージーリスニング /(n) (abbr) easy listening music/
イージーリスニングミュージック /(n) easy listening music/
イージス /(n) (1) aegis (mythical shield)/(2) Aegis (system)/Aegis (missile guidance system)/
イージスシステム /(n) Aegis system/
イージス艦 [イージスかん] /(n) Aegis ship/
イージャーナル /(n) (comp) e-journal/
イースイート /(n) (comp) eSuite/
イースター /(n) Easter/(P)/
イースターアイランドバタフライフィッシュ /(n) Easter Island butterflyfish (Chaetodon litus)/white-tip butterflyfish/
イースターエッグ /(n) easter egg/
イースターバニー /(n) Easter bunny/
イースター島 [イースターとう] /(n) Easter Island/
イースタエッグ /(n) (comp) Easter egging/
イースタン /(n) eastern/
イースタングリップ /(n) eastern grip (in tennis)/
イースタンリーグ /(n) Eastern League/
イースト /(n) (1) east/(2) yeast/(P)/
イーストアトランティックアフリカンスペードフィッシュ /(n) East Atlantic African spadefish (Ephippus goreensis, species of Eastern Atlantic spadefish)/
イーストエンド /(n) East End/
イーストコースト /(n) East Coast/
イーストサイド /(n) East Side/
イーストパシフィックバタフライフィッシュ /(n) threebanded butterflyfish (Chaetodon humeralis)/
イースト菌 [イーストきん] /(n) yeast cell/
イーズィン /(n) (comp) e-zine/
イーゼル /(n) easel/
イーダブリューエス /(n) (comp) EWS/
イーチャン /(n) a game of mahjong (chi:)/
イーティーエックス /(n) (comp) ETX/
イーテキスト /(n) (comp) e-text/
イーディーアイ /(n) (comp) EDI/
イーディーアイファクト /(n) (comp) EDIFACT/
イーディーエス /(n) (comp) EDS/
イーディーオーラム /(n) (comp) EDO RAM/
イーディーユー /(n) (comp) edu/
イートイン /(n) eat in (as in at a fast food restaurant)/
イートンカラー /(n) Eton collar/
イード /(n) Eid (Muslim festival) (ara:)/Id/
イードアルアドハー /(n) Eid ul-Adha (ara:)/Id ul-Adha/
イードアルフィトル /(n) Eid ul-Fitr (ara:)/Id ul-Fitr/
イービジネス /(n) (comp) e-business/
イービル /(n) evil/
イーピーウィング /(n) (comp) EPWING/
イーピーロム /(n) (comp) EPROM/
イーブル /(n) evil/
イーブン /(n) even/
イーブンパー /(n) even par/
イーブンペース /(n) even pace/
イーベイ /(n) (comp) eBay/
イーホームズ /(n) eHomes (Japanese construction certification company)/
イーマシーンズ /(n) (comp) eMachines/
イーマックス /(n) (comp) Emacs/
イーメールカード /(n) (comp) e-mail card/
イーメイル /(n) (comp) e-mail/
イーモール /(n) (comp) EMALL/
イーユーシー /(n) (comp) EUC/
イーユーシージス /(n) (comp) eucjis/
イールド /(n) yield/
イールドカーブ /(n) yield curve/
イールドスプレッド /(n) yield spread/
イーワールド /(n) (comp) eWorld/
イア /(n) (1) ear/
イアースポットエンジェルフィッシュ /(n) goldtail angelfish (Pomacanthus chrysurus)/earspot angelfish/
イアピアス /(n,vs) ear piercing/
イアブック /(n) yearbook/
イアリング /(n) ear-ring/
イイ /(n) (abbr) Iran-Iraq/
イイズナ /(n) (uk) least weasel (Mustela nivalis)/
イイダコ /(n) (uk) ocellated octopus (Octopus ocellatus)/
イイヅナ /(n) (uk) least weasel (Mustela nivalis)/
イェス /(int) yes/
イェティー /(n) yeti/abominable snowman/
イェテボリ /(n) Goteborg/Gothenburg/
イェロー /(adj-na,n) yellow/
イェロウ /(adj-na,n) yellow/
イェンウオ /(n) (uk) swift's nest (used to make bird's nest soup)/
イェンツーユイ /(n) (uk) Chinese high fin banded shark (Myxocyprinus asiaticus) (chi: yanzhiyu)/Chinese sucker/
イエコウモリ /(n) (uk) Japanese house bat (Pipistrellus abramus)/
イエシロアリ /(n) (uk) Formosan subterranean termite (Coptotermes formosanus)/
イエス /(n) (1) Jesus (lat:)/(int,n) (2) yes/(P)/
イエスかノーか /(exp) yes or no/yes-no/all or nothing/
イエスキリスト /(n) Jesus Christ/
イエスタデー /(n) yesterday/
イエスマン /(n) yes-man/
イエズス /(n) (1) Jesus (lat:)/
イエズス会 [イエズスかい] /(n) Society of Jesus/Jesuits/
イエズス会士 [イエズスかいし] /(n) Jesuit/
イエッサー /(exp) (col) Yessir!/
イエティ /(n) yeti/abominable snowman/
イエネコ /(n) domesticated cat/
イエバエ /(n) (uk) housefly (Musca domestica)/house fly/
イエメンオオトカゲ /(n) Yemen monitor (Varanus yemenensis, species of carnivorous monitor lizard found at the base of the Tihama mountains along the western coast of Yemen)/
イエロー /(adj-na,n) yellow/(P)/
イエロー・タン /(n) yellow tang (Zebrasoma flavescens, species of Pacific tang)/
イエローアクシルクロミス /(n) yellow-axil chromis (Chromis xanthochira)/
イエローイアーエンジェルフィッシュ /(n) yellow-ear angelfish (Apolemichthys xanthotis)/Red Sea angelfish/
イエローオーカ /(n) yellow ochre/
イエローオーカー /(n) yellow ochre/
イエローカード /(n) yellow card (e.g. in soccer)/
イエローキャブ /(n) (1) yellow cab/(2) term referring to an ethnic stereotype of Japanese women, and by extension other Asians, suggesting that they are sexually available to foreign men/
イエロークラウンドバタフライフィッシュ /(n) yellow-crowned butterflyfish (Chaetodon flavocoronatus)/
イエローケーキ /(n) yellowcake/
イエローケーブル /(n) (comp) yellow cable/
イエロージャーナリズム /(n) yellow journalism/
イエローストライプコリス /(n) yellowstripe coris (Coris flavovittata)/
イエロースペックルドクロミス /(n) yellow-speckled chromis (Chromis alpha)/
イエロースポテットソウテール /(n) yellowspotted sawtail (Prionurus maculatus, species of Southwest Pacific tang)/
イエローゾーン /(n) yellow zone/
イエロータン /(n) yellow tang (Zebrasoma flavescens, species of Pacific tang)/
イエローテール・タン /(n) yellowtail tang (Zebrasoma xanthurum, species of Western Indian tang)/purple tang/yellowtail surgeonfish/
イエローテールエンジェルフィッシュ /(n) yellowtail angelfish (Apolemichthys xanthurus)/Indian yellowtail angelfish/
イエローテールサージャンフィッシュ /(n) yellowtail surgeonfish (Prionurus punctatus, species of Eastern Central Pacific tang found in reefs from the Gulf of California to El Salvador)/
イエローテールサージョンフィッシュ /(n) yellowtail surgeonfish (Prionurus punctatus, species of Eastern Central Pacific tang found in reefs from the Gulf of California to El Salvador)/
イエローテールスターリー・ラビットフィッシュ /(n) brown-spotted spinefoot (Siganus stellatus, species of rabbitfish from the Indian Ocean)/starspotted spinefoot/tellate rabbitfish/
イエローテールスターリーラビットフィッシュ /(n) brown-spotted spinefoot (Siganus stellatus, species of rabbitfish from the Indian Ocean)/starspotted spinefoot/tellate rabbitfish/
イエローテールタン /(n) yellowtail tang (Zebrasoma xanthurum, species of Western Indian tang)/purple tang/yellowtail surgeonfish/
イエローティアドロップバタフライフィッシュ /(n) yellow teardrop butterflyfish (Chaetodon interruptus)/
イエローティップダムゼルフィッシュ /(n) yellowtip damselfish (Stegastes pictus)/
イエローテイルリーフフィッシュ /(n) yellowtail reeffish (Chromis enchrysura)/Caribbean chromis/
イエローフィンクロミス /(n) yellowfin chromis (Chromis xanthopterygia)/Arabian chromis/
イエローフィンサージャンフィッシュ /(n) yellowfin surgeonfish (Acanthurus xanthopterus, Indo-Pacific species of tang)/
イエローフィンサージョンフィッシュ /(n) yellowfin surgeonfish (Acanthurus xanthopterus, Indo-Pacific species of tang)/
イエローフラッグ /(n) yellow flag/
イエローブック /(n) Yellow Book/
イエロープレス /(n) yellow press/
イエローヘッドバタフライフィッシュ /(n) yellowhead butterflyfish (Chaetodon xanthocephalus)/
イエローヘッドモニター /(n) yellow-head monitor (Varanus melinus, species of carnivorous monitor lizard native to Indonesia)/quince monitor/
イエローページ /(n) Yellow Pages/
イエローペーパー /(n) yellow paper/
イエローペリル /(n) yellow peril/
イエローヤンキー /(n) yellow Yankee/
イオ /(n) Io (moon of Jupiter)/
イオナイザー /(n) ionizer/
イオニア旋法 [イオニアせんぽう] /(n) Ionian mode/
イオニウム /(n) Ionium/
イオマンテ /(n) Ainu bear festival (ain:)/
イオン /(n,adj-no) ion/electrically-charged atom/(P)/
イオンエンジン /(n) ion engine/
イオンチャンネル /(n) ion channel/
イオンデポジションプリンタ /(n) (comp) ion-deposition printer/
イオンビーム /(n) ion beam/
イオンポンプ /(n) ion pump/
イオンロケット /(n) ion rocket/
イオン化 [イオンか] /(n,vs) ionization/ionisation/
イオン化エネルギー [イオンかエネルギー] /(n) energy of ionization/energy of ionisation/
イオン化傾向 [イオンかけいこう] /(n) ionization tendency/ionisation tendency/
イオン価 [イオンか] /(n) electrovalence/
イオン強度 [イオンきょうど] /(n) ionic strength/
イオン結合 [イオンけつごう] /(n) ionic bond/
イオン結晶 [イオンけっしょう] /(n) ionic crystal/
イオン顕微鏡 [イオンけんびきょう] /(n) ion microscope/
イオン交換 [イオンこうかん] /(n) ion exchange/
イオン交換樹脂 [イオンこうかんじゅし] /(n) ion exchange resin/
イオン交換水 [イオンこうかんすい] /(n) deionized water/DI water/
イオン性 [イオンせい] /(n) (1) ionicity/(adj-f) (2) ionic/
イオン注入 [イオンちゅうにゅう] /(n) ion implantation/
イオン半径 [イオンはんけい] /(n) ionic radius/
イオン反応 [イオンはんのう] /(n) ionic reaction/
イカ /(n) (uk) cuttlefish/squid/
イカの甲 [イカのこう] /(n) cuttlebone/
イカの舟 [イカのふね] /(n) cuttlebone/
イカの墨 [イカのすみ] /(n) squid's ink/
イカゲソ /(n) squid tentacles/
イカチー /(adj-f) (sl) grim/stern/
イカナゴ /(n) (uk) Japanese sand lance (Ammodytes personatus)/Pacific sandeel/
イカリソウ /(n) (uk) horny goat weed (Epimedium grandiflorum var. thunbergianum)/
イカル /(n) (uk) Japanese grosbeak (Eophona personata)/
イカ下足 [イカげそ] /(n) squid tentacles/
イカ墨 [イカすみ] /(n) squid ink/
イガ /(n) (uk) Tinea translucens (species of clothes moth)/
イガイ /(n) (uk) Korean mussel (Mytilus coruscus)/
イガイガ /(n) (1) crying of a baby/(2) tickle in the throat/
イキ /(n) (1) living/being alive/(2) freshness/liveliness/vitality/(3) situation in which a group of stones cannot be captured because it contains contains two or more gaps (in go)/(4) (uk) stet/(pref) (5) damned/
イキがいい /(n) fresh (fish)/
イキシア /(n) ixia (lat:)/
イギリスオランダ戦争 [イギリスオランダせんそう] /(n) (obsc) Anglo-Dutch Wars (1652-1654, 1665-1667, 1672-1674)/
イギリスビルマ戦争 [イギリスビルマせんそう] /(n) Anglo-Burmese Wars (1823-1826, 1852-1853, 1885-1887)/
イギリス英語 [イギリスえいご] /(n) British English (i.e. English as spoken in the UK)/
イギリス海峡 [イギリスかいきょう] /(n) English Channel/
イギリス経験論 [イギリスけいけんろん] /(n) British empiricism/
イギリス諸島 [イギリスしょとう] /(n) British Isles/
イギリス人 [イギリスじん] /(n) Englishman/Englishwoman/
イギリス製 [イギリスせい] /(n,adj-no) British made/made in Britain/
イギリス帝国 [イギリスていこく] /(n) British Empire/
イギリス東インド会社 [イギリスひがしインドがいしゃ] /(n) British East India Company/
イギリス文学 [イギリスぶんがく] /(n) English literature/
イギリス放送協会 [イギリスほうそうきょうかい] /(n) British Broadcasting Corporation/BBC/
イギリス領ギアナ [イギリスりょうギアナ] /(n) British Guiana/
イギリス領ホンデュラス [イギリスりょうホンデュラス] /(n) British Honduras/
イギリス領ボルネオ [イギリスりょうボルネオ] /(n) British Borneo/
イギリス領ヴァージン諸島 [イギリスりょうヴァージンしょとう] /(n) (p) British Virgin Islands/
イギリス連邦 [イギリスれんぽう] /(n) Commonwealth of Nations (formerly British Commonwealth)/
イクイップメント /(n) equipment/
イクサイトメント /(n) excitement/
イクスキジットバタフライフィッシュ /(n) blacktail butterflyfish (Chaetodon austriacus)/exquisite butterflyfish/
イクスクイジット・ピグミー・ゴビー /(n) exquisite pygmy goby (Trimma preclarum)/
イクスクイジットピグミーゴビー /(n) exquisite pygmy goby (Trimma preclarum)/
イクチオサウルス /(n) ichthyosaurus (lat:)/ichthyosaur/
イクチオルニス /(n) ichthyornis (extinct Cretaceous-period seabird)/
イクラ /(n) salted salmon roe (i.e. individual mature eggs) (rus: ikra)/(P)/
イグアナ /(n) iguana/
イグアノドン /(n) iguanodon (lat:)/
イグサ /(n) (uk) soft rush (Juncus effusus var. decipiens)/
イグサ科 [イグサか] /(n) Juncaceae (the rush family)/
イグニッション /(n) ignition/
イグニッションキー /(n) ignition key/
イグニッションコイル /(n) ignition coil/
イグニンブライト /(n) ignimbrite/
イグルー /(n) igloo/
イケてる /(adj-f) cool/with-it/turn-on/sexy/
イケア /(n) Ikea (housewares store)/
イケメン /(n) cool guy/good-looking, energetic man/hunk/
イケ面 [イケめん] /(n) cool guy/good-looking, energetic man/hunk/
イコール /(adj-na) (1) equal/(2) (math) the equality sign (=)/(exp) (3) (col) equals (A equals B)/(P)/
イコールオポチューニティー /(n) equal opportunity/
イコールパートナー /(n) equal partner/
イコールフッティング /(n) equal footing/
イコール機能 [イコールきのう] /(n) (comp) equals function/
イコクエイラクブカ /(n) tope shark (Galeorhinus galeus)/soupfin shark/
イコクエイラクブカ属 [イコクエイラクブカぞく] /(n) Galeorhinus (genus whose only member is the school shark, Galeorhinus galeus, in the family Triakidae)/
イコノクラスム /(n) iconoclasme (fre:)/
イコノグラフィー /(n) iconography/
イコノロジー /(n) iconology/
イコライザ /(n) equalizer/equaliser/
イコライザー /(n) equalizer/equaliser/
イコン /(n) icon (religious)/
イサイズドットコム /(n) (comp) ISIZE.COM/
イサキ /(n) (uk) chicken grunt (species of fish, Parapristipoma trilineatum)/threeline grunt/
イサギ /(n) (uk) chicken grunt (species of fish, Parapristipoma trilineatum)/threeline grunt/
イサザ /(n) (1) isaza goby (Gymnogobius isaza)/(2) ice goby (Leucopsarion petersii)/(3) Neomysis intermedia/
イサザアミ /(n) (1) Neomysis awatschensis (shrimp)/(2) (obs) Neomysis intermedia (shrimp)/
イザヤ書 [イザヤしょ] /(n) Isaiah (book of the Bible)/
イザリウオ /(n) (uk) (sens) frogfish (any fish of family Antennariidae, esp. the striated frogfish, Antennarius striatus)/
イシイルカ /(n) (uk) Dall's porpoise (Phocoenoides dalli)/
イシガイ /(n) (uk) Unio douglasiae (species of freshwater mussel)/
イシガキダイ /(n) (uk) rock porgy (Oplegnathus punctatus)/spotted knifejaw/
イシガメ /(n) var. of turtle (Clemmys japonica)/
イシガレイ /(n) stone flounder (Kareius bicoloratus)/
イシダタミガイ /(n) (uk) toothed top shell (Monodonta labio)/
イシチドリ /(n) (uk) stone curlew/thick-knee (Burhinus oedicnemus)/
イシドジョウ /(n) (uk) Cobitis takatsuensis (species of loach)/
イシナギ /(n) (uk) striped jewfish (Stereolepis doederleini)/
イシフエダイ /(n) (uk) small-toothed jobfish (Aphareus furca)/
イシムカデ /(n) (uk) stone centipede (Lithobiomorpha spp.)/
イシモチ /(n) (uk) white croaker/blue drum (Pennahia argentata)/
イジェクト /(n,vs) (comp) eject/
イジェクトボタン /(n) (comp) ejector button/
イジュ /(n) (uk) (rkb:) Chinese guger tree (species of evergreen, Schima wallichii)/
イジュティハード /(n) ijtihad (use of discretionary judgement in deducing a law not specified in scripture) (ara:)/
イスカ /(n) (uk) common crossbill (Loxia curvirostra)/
イスズミ /(n) (uk) brassy chub (Kyphosus vaigiensis)/
イスタブリッシュメント /(n) (comp) establishment/
イスタンブール /(n) Istanbul/(P)/
イスタンブル /(n) Istanbul/
イスラーム /(n,adj-no) Islam/
イスラエル /(n,adj-no) Israel/(P)/
イスラエルロビー /(n) Israel lobby/
イスラム /(n,adj-no) Islam/(P)/
イスラム過激主義 [イスラムかげきしゅぎ] /(n) Islamic extremism/
イスラム教 [イスラムきょう] /(n,adj-no) Islam/(P)/
イスラム教徒 [イスラムきょうと] /(n) Muslim/
イスラム原理主義 [イスラムげんりしゅぎ] /(n) Islamic fundamentalism/
イスラム諸国 [イスラムしょこく] /(n,adj-f) Islamic countries/Islamic world/
イスラム復興 [イスラムふっこう] /(n) Islamic revival/
イスラム文化 [イスラムぶんか] /(n) Islamic culture/
イスラム法 [イスラムほう] /(n) Islamic law (i.e. sharia)/
イスラム暦 [イスラムれき] /(n) Islamic calendar/
イスランド苔 [イスランドごけ] /(n) (obsc) Iceland moss (Cetraria islandica)/Iceland lichen/
イス取りゲーム [イスとりゲーム] /(n) musical chairs/
イズハナトラザメ /(n) Izu cat shark (Scyliorhinus tokubee, species found in Japan)/
イズバスチヤ /(ik) (n) Izvestia (Russian newspaper) (rus:)/
イズベスチヤ /(n) Izvestia (Russian newspaper) (rus:)/
イズム /(n) (1) ism/(suf) (2) -ism/(P)/
イセエビ /(n) (uk) spiny lobster (esp. Japanese spiny lobster, Panulirus japonicus)/
イセゴイ /(n) (1) (uk) striped mullet (Mugil cephalus)/(2) (uk) redlip mullet (Chelon haematocheilus)/(3) (uk) Indo-Pacific tarpon (Megalops cyprinoides)/
イセリアカイガラムシ /(n) (uk) cottony cushion scale (species of scale insect, Icerya purchasi)/
イセリア介殻虫 [イセリアかいがらむし] /(n) (uk) cottony cushion scale (species of scale insect, Icerya purchasi)/
イソ /(pref) (chem) iso-/
イソウロウグモ /(n) (uk) dewdrop spider (any spider of genus Argyrodes)/
イソオクタン /(n) isooctane/
イソガニ /(n) (uk) Asian shore crab (Hemigrapsus sanguineus)/
イソキノリン /(n) isoquinoline/
イソギンチャク /(n) (uk) sea anemone/
イソシアン酸 [イソシアンさん] /(n) isocyanic acid/
イソシアン酸塩 [イソシアンさんえん] /(n) isocyanate/
イソジン /(n) Isodine (iodine based disinfectant)/
イソスズメダイ /(n) yellowtail sergeant (Abudefduf notatus)/
イソップ童話 [イソップどうわ] /(n) Aesop's Fables/
イソップ物語 [イソップものがたり] /(n) Aesop's Fables/
イソニアジド /(n) isoniazid/
イソニコチン酸ヒドラジド [イソニコチンさんヒドラジド] /(n) isonicotinic acid hydrazide/
イソハゼ /(n) Eviota abax (species of pygmy goby ranging from Southern Japan to Hainan Is.)/
イソハゼ属 [イソハゼぞく] /(n) Eviota (genus of very small reef-associated Indo-Pacific gobies in the family Gobiidae)/pygmy gobies/
イソフラボン /(n) isoflavone/
イソブチレン /(n) isobutylene/
イソプレン /(n) isoprene/
イソプレンゴム /(n) isoprene rubber/
イソプロパノール /(n) isopropanol/
イソプロピルアルコール /(n) isopropyl alcohol/
イソマグロ /(n) (uk) dogtooth tuna (Gymnosarda unicolor)/
イソメ /(n) (uk) eunicid (any worm of family Eunicidae)/
イソメラーゼ /(n) isomerase/
イソロイシン /(n) isoleucine (ger: Isoleucin)/
イソ体 [イソたい] /(n) isomer/
イタめし /(n) (abbr) Italian food/
イタイイタイ病 [イタイイタイびょう] /(n) "ouch-ouch disease", caused by cadmium poisoning from industrial wastes in Toyama Prefecture/
イタカジ /(n) (abbr) Italian casual/
イタセンパラ /(n) deepbody bitterling (species of cyprinid, Acheilognathus longipinnis)/
イタチ /(n) (1) (uk) weasel (esp. the Japanese weasel, Mustela itatsi)/(2) mustelid (any other member of the weasel family, inc. badgers, martens, minks, ferrets, otters, polecats, stoats, skunks, etc.)/
イタチアナグマ /(n) (uk) ferret badger (esp. the Chinese ferret-badger, Melogale moschata)/
イタチウオ /(n) (uk) goatsbeard brotula (species of ophidiiform fish, Brotula multibarbata)/
イタチザメ /(n) (uk) tiger shark (Galeocerdo cuvier)/
イタチザメ属 [イタチザメぞく] /(n) Galeocerdo (genus in the family Carcharhinidae whose sole member is the tiger shark)/
イタチハギ /(n) (uk) false indigo (Amorpha fruticosa)/bastard indigo/leadwort/
イタチ科 [イタチか] /(n) Mustelidae/Mustelids/
イタドリ /(n) (uk) Japanese knotweed (Fallopia japonica)/Japanese fleeceflower/Mexican bamboo/Polygonum cuspidatum/Reynoutria japonica/
イタメ /(n) nuisance mail (such as chain mail, etc.)/
イタメール /(n) nuisance mail (such as chain mail, etc.)/
イタメル /(n) nuisance mail (such as chain mail, etc.)/
イタヤカエデ /(n) (uk) painted maple (Acer mono)/
イタヤガイ /(n) (uk) Japanese bay scallop (Pecten albicans)/
イタリー /(n,adj-no) (uk) Italy/
イタリア /(n,adj-no) (uk) Italy/(P)/
イタリアトルコ戦争 [イタリアトルコせんそう] /(n) Italo-Turkish War (1911-1912)/
イタリアルネッサンス /(n) the Italian renaissance/
イタリアン /(n,adj-na) Italian/
イタリアンカット /(n) Italian cut/
イタリアンコーヒー /(n) Italian coffee/
イタリア語 [イタリアご] /(n) Italian (language)/
イタリア人 [イタリアじん] /(n) Italian (person)/
イタリア製 [イタリアせい] /(n,adj-no) Italian made/made in Italy/
イタリア料理 [イタリアりょうり] /(n) Italian food/Italian cooking/
イタリック /(n) italic/
イタリック語派 [イタリックごは] /(n) Italic (branch of languages)/
イタリック体 [イタリックたい] /(n) (comp) Italic/
イタリヤ /(n,adj-no) (uk) Italy/
イタルタス通信 [イタルタスつうしん] /(n) ITAR-TASS News Agency/
イタ公 [イタこう] /(n) (col) Italian person/
イタ車 [イタし] /(n) (col) car painted with anime characters and loaded with figures and stuffed dolls (lit: 'painful car' because some people consider it painful to look at)/
イタ電 [イタでん] /(n) (abbr) prank call/nuisance call/
イタ飯 [イタはん] /(n) Italian food/Italian restaurant/
イチイ /(n) (1) (uk) Japanese yew (Taxus cuspidata)/
イチイ /(n) (uk) Quercus gilva (species of oak)/
イチイガシ /(n) (uk) Quercus gilva (species of oak)/
イチイ科 [イチイか] /(n) Taxaceae (plant family)/yew/
イチイ目 [イチイもく] /(n) (obs) Taxales (order of plants)/
イチゴ /(n) strawberry (esp. the garden strawberry, Fragaria x ananassa)/
イチジク /(n) fig/
イチヂク /(ik) (n) fig/
イチボ /(n) (abbr) aitchbone/
イチマルイチキーボード /(n) (comp) 101 Keyboard/
イチマルロクキーボード /(n) (comp) 106 Keyboard/
イチモンジハゼ /(n) Trimma grammistes (species of small goby found in Japan and Taiwan)/
イチョウ /(n) (uk) ginkgo (Ginkgo biloba)/gingko/maidenhair tree/
イチョウ科 [イチョウか] /(n) Ginkgoaceae (plant family)/ginkgo/
イチョウ目 [イチョウもく] /(n) Ginkgoales (order of plants)/
イッカク /(n) (1) (uk) narwhal (Monodon monoceros)/
イッカク科 [イッカクか] /(n) Monodontidae/
イッキ飲み [イッキのみ] /(n,vs) chugging an entire drink without stopping to take a breath/
イッシー /(n) Isshi (lake monster said to be living in Kyushu's Lake Ikeda)/
イッチ /(n) itch/
イッテルビウム /(n) ytterbium (Yb)/
イッテンオオメイガ /(n) (uk) (obsc) yellow stem borer (species of moth, Scirpophaga incertulas)/
イッテンチョウチョウウオ /(n) teardrop butterflyfish (Chaetodon unimaculatus)/teardrop coralfish/one-spot butterfly/
イット /(n) it/(P)/
イットウダイ /(n) (uk) North Pacific squirrelfish (Sargocentron spinosissimum)/
イットリウム /(n) yttrium (Y)/
イッヒロマン /(n) first-person novel (ger: Ich-Roman)/
イッピー /(n) Yippie/
イデー /(n) idea (ger: Idee)/
イデア /(n) idea (in Platonic thought) (gre:)/
イデアル /(n,adj-no) (1) ideal/(2) (math) ideal in a ring (i.e. subset of a ring closed under addition and multiplication by elements of the ambient ring)/
イディオム /(n) idiom/
イディッシュ語 [イディッシュご] /(n) Yiddish/
イデオム /(n) idiom/
イデオローグ /(n) ideologue (fre:)/
イデオロギ /(n,adj-no) ideology (ger: Ideologie)/
イデオロギー /(n,adj-no) ideology (ger: Ideologie)/(P)/
イトヒキアカボウ /(n) Bodianus thoracotaeniatus (species of hogfish)/
イトヒキアジ /(n) (uk) African pompano (Alectis ciliaris)/
イトヒキイワシ /(n) (uk) attenuated spider fish (Bathypterois atricolor)/
イトヒキギンザメ /(n) Hydrolagus alberti (species of Atlantic cartilaginous shortnose chimaera fish)/
イトヒキハゼ /(n) (uk) Myersina filifer (species of goby)/
イトヒキフエダイ /(n) (uk) chinamanfish (Symphorus nematophorus)/
イトマキフグ /(n) (uk) basketfish (Kentrocapros aculeatus)/
イトマキボラ /(n) (uk) trapezium horse conch (Pleuroploca trapezium)/
イトヨ /(n) (uk) three-spined stickleback (Gasterosteus aculeatus)/
イトヨリダイ /(n) (uk) golden threadfin bream (Nemipterus virgatus)/besugo/
イド /(n) id/
イナゴマメ /(n) carob/locust bean/
イナズマヤッコ /(n) bluegirdled angelfish (Pomacanthus navarchus)/majestic angelfish/
イナズマヨコバイ /(n) (uk) zig-zag rice leafhopper (Recilia dorsalis)/
イナダ /(n) young Japanese amberjack/
イナバウアー /(n) Ina Bauer (figure skating technique first performed in 1957 by West German skater Ina Bauer)/(P)/
イニ /(n) (comp) .ini/
イニシアチブ /(n) initiative/
イニシアティブ /(n) initiative/
イニシアライズ /(n,vs) initialize/initialise/
イニシアル /(n) (1) initial/the first/(2) (one's) initials/
イニシエーション /(n) initiation/
イニシエータ /(n) initiator/
イニシエーター /(n) initiator/
イニシャライザルーチン /(n) (comp) initializer routine/
イニシャライズ /(n,vs) initialize/initialise/
イニシャル /(n) (1) initial/the first/(2) (one's) initials/
イニシャルコスト /(n) (comp) initial cost/
イニシャルプログラムロード /(n) (comp) initial program load/IPL/
イニット /(n) (comp) init/INIT/
イニング /(n) inning/(P)/
イヌイット /(n) Inuit/
イヌクグ /(n) (uk) Pacific island flatsedge (Cyperus cyperoides)/
イヌコウジュ /(n) (uk) Mosla punctulata (plant)/
イヌサフラン /(n) (uk) meadow saffron (Colchicum autumnale)/autumn crocus/naked lady/
イヌザメ /(n) brownbanded bambooshark (Chiloscyllium punctatum, species from the Indo-West Pacific)/
イヌシデ /(n) (uk) Chonowski's hornbeam (Carpinus tschonoskii)/
イヌツゲ /(n) (uk) Japanese holly (Ilex crenata)/
イヌハッカ /(n) (uk) catnip (Nepeta cataria)/catmint/
イヌビワ /(n) (uk) Ficus erecta (species of ficus)/
イヌブナ /(n) (uk) Japanese beech (Fagus japonica)/
イヌホシザメ /(n) dusky smooth-hound (Mustelus canis, species of hound shark found in the Western Atlantic)/
イヌマキ /(n) (uk) yew plum pine (Podocarpus macrophyllus)/
イヌリン /(n) inulin (ger:)/
イヌワシ /(n) (uk) golden eagle (Aquila chrysaetos)/
イヌ亜目 [イヌあもく] /(n) Caniformia/
イネーブラ /(n) (comp) enabler/
イネーブル /(n) (comp) enable/
イネーブル信号 [イネーブルしんごう] /(n) (comp) enable signal/
イネゾウムシ /(n) (uk) rice plant weevil (Echinocnemus squameus)/
イネネクイハムシ /(n) (uk) Donacia provostii (species of leaf beetle)/
イネミズゾウムシ /(n) (uk) rice water weevil (Lissorhoptrus oryzophilus)/
イネ科 [イネか] /(n) Poaceae (grass family of plants)/Gramineae/
イノシシ /(n) (uk) wild boar/
イノシトール /(n) inositol/
イノシン酸 [イノシンさん] /(n) inosinic acid/
イノセンス /(n) innocence/
イノセント /(adj-na) innocent/
イノベーション /(n) innovation/(P)/
イノベイション /(n) innovation/
イバラ /(n) (1) thorny shrub/(2) wild rose/briar/(3) thorn/(4) (architectural) cusp/
イヒチオール /(n) Ichthyol/ichthammol/
イフシェム /(n) (comp) IFSHEM/
イフリート /(n) efreet/
イブ /(n) eve (esp. Christmas Eve)/the night before/(P)/
イブキ /(n) (uk) Chinese juniper (Juniperus chinensis)/
イブキトラノオ /(n) (uk) common bistort (species of flowering plant, Polygonum bistorta)/
イブキビャクシン /(n) (uk) Chinese juniper (Juniperus chinensis)/
イブニング /(n) evening/(P)/
イブニングコート /(n) evening coat/
イブニングドレス /(n) evening dress/
イブプロフェン /(n) ibuprofen/
イベサー /(n) (abbr) special-event club/
イベント /(n) event/(P)/
イベントを生成する [イベントをせいせいする] /(exp,vs-i) (comp) to generate an event/to trigger an event/
イベントカテゴリ /(n) (comp) event category/
イベントキュー /(n) (comp) event queue/
イベントクラス /(n) (comp) event class/
イベントサークル /(n) special-event club (esp. at university) (wasei: event circle)/
イベントスケジューリング /(n) event-scheduling/
イベントドリブン /(n) (comp) event driven/
イベントドリブンプログラミング /(n) (comp) event-driven programming/
イベントハンドラ /(n) (comp) event handler/
イベントプロバイダ /(n) (comp) event provider/
イベントプロパティ /(n) (comp) event property/
イベントログ /(n) (comp) event log/event logging/
イベントログエントリー /(n) (comp) event log entry/
イベント駆動 [イベントくどう] /(n) (comp) event driven/
イベント駆動型 [イベントくどうがた] /(n) (comp) event driven/
イベント指定子 [イベントしていし] /(n) (comp) event descriptor/
イベント処理 [イベントしょり] /(n) (comp) event processing/
イベント報告 [イベントほうこく] /(n) (comp) event reporting/
イペリット /(n) mustard gas (fre: yperite)/
イボイノシシ /(n) (uk) warthog (Phacochoerus aethiopicus)/
イボガエル /(n) (col) toad with wart-covered skin (esp. the Japanese toad or the wrinkled frog)/
イボガンギエイ /(n) (uk) thornback ray (Raja clavata)/thornback skate/
イボタ /(n) (uk) Ligustrum japonicum/
イボダイ /(n) (uk) Japanese butterfish (Psenopsis anomala)/melon seed/
イボニシ /(n) (uk) Thais clavigera (species of rock shell)/
イマーゴ /(n) imago/
イマージェンシー /(n) emergency/
イマージュ /(n) image (fre: image)/
イマーム /(n) imam (ara:)/Imam/
イマイチ /(adj-na,adv) (1) (uk) (col) one more/another/the other/(2) not quite/not very good/lacking/
イマジズム /(n) imagism/
イマジニアリング /(n) imagineering/
イマジネーション /(n) imagination/
イマジネイション /(n) imagination/
イマジン /(vs) imagine/
イマメガシ /(n) (uk) (obsc) ubame oak (Quercus phillyraeoides)/
イマラチオ /(n) (vulg) (sl) irrumatio (fellatio wherein the majority of movement is performed by the felatee) (lat:)/
イミグレーション /(n) immigration/
イミダゾール /(n) imidazole/
イミテーション /(n) imitation/
イミテイション /(n) imitation/
イミディエイト /(adj-na) immediate/
イミド /(n) imide/
イミドール /(n) Imidol (Japanese brand of imipramine, the first tricyclic antidepressant)/
イミフ /(adj-na) (abbr) (sl) of uncertain meaning/ambiguous/
イミプラミン /(n) imipramine/
イメージ /(n,vs) (1) (one's) image/(2) (comp) (computer) image/(3) artist's impression/(P)/
イメージＤＶＤ [イメージディーブイディー] /(n) DVD containing a slideshow of still images (usually of women) (wasei: image DVD)/
イメージアップ /(n,vs) creating a better image (wasei: image up)/
イメージオルシコン /(n) image orthicon/
イメージカード /(n) (comp) image card/
イメージキャラクター /(n) image character/
イメージクラブ /(n) sex establishment in which staff dress in costumes (schoolgirl, nurse, etc.) (wasei: image club)/
イメージサーベイ /(n) image survey/
イメージサイズ /(n) (comp) image size/
イメージスキャナ /(n) (comp) image scanner/
イメージスキャナー /(n) (comp) image scanner/
イメージセッター /(n) (comp) imagesetter/
イメージダウン /(n,vs) ruining one's image (wasei: image down)/
イメージチェンジ /(n) image change/changing one's image/
イメージデータ /(n) (comp) image data/
イメージトレーニング /(n) image training/
イメージバッファ /(n) (comp) image buffer/
イメージビデオ /(n) video containing a slideshow of still images (usually of women) (wasei: image video)/
イメージファイル /(n) image file/
イメージプリンタ /(n) image printer/
イメージマップ /(n) (comp) imagemap/
イメージメーカー /(n) image maker/
イメージリサーチ /(n) image research/
イメージング /(n) (comp) imaging/
イメージ管 [イメージかん] /(n) image tube/
イメージ広告 [イメージこうこく] /(n) image advertising/
イメージ処理 [イメージしょり] /(n) (comp) image processing/
イメージ調査 [イメージちょうさ] /(n) image survey/
イメクラ /(n) (abbr) sex establishment in which staff dress in costumes (schoolgirl, nurse, etc.) (wasei: image club)/
イメジ /(n,vs) (1) (one's) image/(2) (comp) (computer) image/(3) artist's impression/
イメチェン /(n,vs) (abbr) image change (esp. for teen idols)/
イメレス /(n) (comp) (abbr) (sl) image response/
イモビライザー /(n) immobiliser (electronic device that prevents an automobile engine from running without the key)/immobilizer/
イモムシ /(n) hornworm (caterpillar of a hawk moth)/(hairless) caterpillar/
イモリ /(n) (uk) newt (esp. the Japanese fire belly newt, Cynops pyrrhogaster)/
イモリザメ /(n) salamander shark (Parmaturus pilosus, found in China and Japan)/
イモリザメ属 [イモリザメぞく] /(n) Parmaturus (genus containing 9 species of catshark in the family Scyliorhinidae)/
イヤ /(n) (1) ear/
イヤー /(n) (1) ear/(2) year/
イヤーブック /(n) yearbook/
イヤドロップ /(n) eardrop (earring with a pendant)/
イヤバルブ /(n) ear valve/
イヤフォン /(n) earphone/(P)/
イヤプロテクター /(n) ear protector/
イヤホーン /(n) earphone/
イヤホン /(n) earphone/(P)/
イヤマーク /(n) earmark/
イヤラウンドファッション /(n) year-round fashion/
イヤリング /(n) earring/(P)/
イヨカン /(n) (uk) iyokan (Citrus iyo)/type of citrus fruit/
イヨマンテ /(n) Ainu bear festival (ain:)/
イヨミズキ /(n) (uk) iyomizugi winter hazel (Corylopsis spicata)/
イラつく /(v5k,vi) (uk) to get irritated/
イライト /(n) illite/
イライラさせる /(exp,v1) to get beneath someone's skin/to in someone's hair/to irritate/
イラガ /(n) (uk) Monema flavescens (species of slug moth)/
イラク /(n,adj-no) Iraq/(P)/
イラクサ /(n) (uk) nettle (Urtica thunbergiana)/
イラクサ目 [イラクサもく] /(n) (obs) Urticales (order of plants)/
イラク軍 [イラクぐん] /(n) Iraq military/
イラク戦争 [イラクせんそう] /(n) Iraq War (2003-)/
イラショナル /(n) irrational/
イラジエーション /(n) irradiation/
イラステシティ /(n) elasticity/
イラスト /(n) (abbr) illustration/(P)/
イラストマップ /(n) illustrated map/
イラストラ /(n) (comp) Illustra/
イラストレーション /(n) illustration/
イラストレーター /(n) illustrator/(P)/
イラプション /(n) eruption/
イラマチオ /(n) (vulg) (sl) irrumatio (fellatio wherein the majority of movement is performed by the felatee) (lat:)/
イラン /(n) (uk) Iran/
イランイラク戦争 [イランイラクせんそう] /(n) Iran-Iraq War (1980-1988)/
イランイラン /(n) ylang-ylang (Cananga odorata)/ilang-ilang/
イランコントラ事件 [イランコントラじけん] /(n) Iran-Contra affair/Irangate/
イランド /(n) eland/
イラン革命 [イランかくめい] /(n) Iranian Revolution/
イラン語 [イランご] /(n) Iranian (any member language of the Iranian language branch, esp. Farsi)/
イラン語派 [イランごは] /(n) Iranian (branch of languages)/
イリーガル /(n) (comp) illegal/
イリエワニ /(n) (uk) saltwater crocodile (Crocodylus porosus)/estuarine crocodile/
イリガリティー /(n) illegality/
イリジウム /(n) iridium (Ir)/
イリジウム計画 [イリジウムけいかく] /(n) (comp) IRIDIUM project/
イリノイ /(n) Illinois/(P)/
イリュージョン /(n) illusion/(P)/
イリュミネイション /(n) illumination/
イリュリア語 [イリュリアご] /(n) Illyrian (language)/
イルージョン /(n) illusion/
イルカ /(n) (uk) dolphin (or other small toothed whales, such as porpoises, belugas, etc.)/
イルコン /(n) (abbr) illumination control/
イルドフランス /(n) Ile de France (region around Paris)/
イルミ /(n) (abbr) illumination/
イルミナティ /(n) Illuminati (Name of group)/
イルミネーション /(n) illumination/(P)/
イレーザー /(n) eraser/rubber/
イレーズ /(n) (comp) erase/
イレウス /(n) ileus/
イレギュラー /(adj-na) irregular/
イレギュラーバウンド /(n,vs) irregular bound (tennis)/bad bounce/bad hop/
イレクト /(n,vs) (1) elect/(2) erect/
イレズミエイラクブカ /(n) Hemitriakis complicofasciata (species of houndshark found in the Ryukyu Islands and Taiwan)/
イレズミコンニャクアジ /(n) (uk) ragfish (Icosteus aenigmaticus)/
イレズミニザ /(n) white-freckled surgeonfish (Acanthurus maculiceps, species of tang from the Indo-West Pacific)/spot-face surgeon/pale-lined surgeonfish/yellow-freckled surgeon fish/
イレデンティズム /(n) irredentism/
イレブる /(v5r) to go to a Seven-Eleven/
イレブン /(n) eleven/(P)/
イレブンナイン /(n) eleven nines/99.999999999 percent/
イレヴン /(n) eleven/
イロコイ /(n) Iroquois/
イロチ /(n,adj-no) (abbr) (sl) being of a different color/
イロチ買い [イロチがい] /(n,vs) (sl) buying the same item multiple times, each one being a different color (colour)/
イロニー /(n) irony (fre: ironie, ger: Ironie)/
イロハ /(n) (1) (uk) traditional ordering of the Japanese syllabary/(2) fundamentals/the ABCs of .../
イロハモミジ /(n) (uk) Japanese maple (Acer palmatum)/
イロハ順 [イロハじゅん] /(n) Traditional ordering of Japanese syllabary based on a Buddhist poem/
イワイソメ /(n) (uk) Marphysa sanguinea (species of eunicid worm)/
イワオモダカ /(n) (uk) Pyrrosia tricuspis (species of felt fern)/
イワガニ /(n) (uk) striped shore crab (Pachygrapsus crassipes)/
イワシクジラ /(n) (uk) sei whale (Balaenoptera borealis)/
イワシャコ /(n) (uk) chukar partridge (Alectoris chukar)/
イワダヌキ /(n) (uk) hyrax/
イワツバメ /(n) (uk) Asian house martin (species of songbird, Delichon dasypus)/
イワトビペンギン /(n) (uk) rockhopper penguin (Eudyptes chrysocome)/
イワナ属 [イワナぞく] /(n) Salvelinus (genus of salmonid fish of the family Salmonidae)/char or charr/
イワニガナ /(n) (uk) creeping lettuce (Ixeris stolonifera)/
イワネシボリ /(n) (uk) Camellia japonica 'Iwaneshibori' (cultivar of common camellia)/
イワヒバリ /(n) (uk) alpine accentor (Prunella collaris)/
イワヒメオオトカゲ /(n) Storr's pygmy monitor (Varanus storri, species of small carnivorous monitor lizard native to Australia)/Storr's goanna/Storr's monitor/
イワブクロ /(n) (uk) Penstemon frutescens (species of beardtongue)/
イワベンケイ /(n) (uk) roseroot (Rhodiola rosea)/
イワムシ /(n) (uk) Marphysa sanguinea (species of eunicid worm)/
イワレンゲ /(n) (uk) Chinese dunce cap (species of succulent plant, Orostachys iwarenge)/
イン /(n) (1) in/(2) inn/(P)/
インアクティブウィンドウ /(n) (comp) inactive window/IAW/
インカム /(n) income/
インカムゲイン /(n) income gain/
インカムタックス /(n) income tax/
インカレ /(adj-no,n) (abbr) intercollegiate/
インカ帝国 [インカていこく] /(n) Incan Empire/
インキ /(n,adj-no) ink (dut: inkt)/(P)/
インキー /(vs) shutting yourself out of your car with the key left inside (wasei: in key)/
インキーパー /(n) innkeeper/
インキュナブラ /(n) (comp) incunabulum/
インキュバス /(n) incubus/
インキュベーション /(n) incubation/
インキュベータ /(n) incubator/
インキュベーター /(n) incubator/
インキュベート /(n) incubate/
インキング /(n) (comp) inking/
インク /(n,adj-no) ink (dut: inkt)/(P)/
インクカートリッジ /(n) (comp) ink cartridge/
インクジェット /(n) ink jet/
インクジェットプリンタ /(n) (comp) ink-jet printer/
インクジェットプリンター /(n) (comp) ink-jet printer/
インクジェット印字装置 [インクジェットいんじそうち] /(n) (comp) ink jet printer/
インクジェット方式 [インクジェットほうしき] /(n) (comp) ink-jet method/
インクスタンド /(n) inkstand/
インクデスクトップ /(n) (comp) ink desktop/
インクトミ /(n) (comp) Inktomi/
インクブロットテスト /(n) inkblot test/
インクライン /(n) incline/
インクリビジネス /(n) (abbr) incremental business/
インクリボン /(n) (comp) inked ribbon/
インクリメンタリズム /(n) incrementalism/
インクリメンタル /(adj-na) incremental/
インクリメンタルサーチ /(n) (comp) incremental search/
インクリメンタルバックアップ /(n) (comp) incremental backup/
インクリメント /(n,vs) increment/
インクルード /(n) include/
インク消し [インクけし] /(n) ink eraser/
インク瓶 [インクびん] /(n) bottle of ink/
インク壺 [インクつぼ] /(n) inkwell/
イングランド /(n,adj-no) England/(P)/
イングランド銀行 [イングランドぎんこう] /(n) Bank of England/
イングリッシュ /(adj-f) (1) English/(n) (2) Engrish/
イングリッシュグリップ /(n) English grip (tennis)/
イングリッシュブルーベル /(n) (English) bluebell/
イングリッシュブレックファースト /(n) English breakfast/
イングリッシュホーン /(n) English horn (music)/cor anglais/
イングリッシュホルン /(n) English horn (music)/cor anglais/
イングリッシュマフィン /(n) English muffin/
イングレス /(n) (comp) Ingres/
インコ /(n) (uk) true parrot (esp. small parrots such as the parakeet, lory and conure)/
インコース /(n) (1) inside track (wasei: in course)/(2) inside pitch (baseball)/
インコーナー /(n) (abbr) inside corner/
インコンシステンシー /(n) inconsistency/
インゴール /(n) in-goal area (rugby)/
インゴット /(n) ingot/
インサーキットエミュレータ /(n) (comp) incircuit emulator/
インサーキットテスタ /(n) in-circuit tester/
インサーション /(n) insertion/
インサート /(n,vs) insert/
インサートモード /(n) (comp) insert mode/
インサート編集 [インサートへんしゅう] /(n) (comp) insert edit/
インサイダー /(n) insider/(P)/
インサイダー取引 [インサイダーとりひき] /(n) insider trading/
インサイト /(n) insight/
インサイド /(n) inside (e.g. of home plate)/
インサイドアウト /(n) inside out/swinging golf club with an inside out motion/
インサイドストーリー /(n) inside story/
インサイドベースボール /(n) inside baseball/
インサイドベルト /(n) inside belt/
インサイドレポート /(n) inside report/
インサイドワーク /(n) inside work/catcher's game/
インザホール /(n) in the hole/
インシデンス /(n) incidence/
インシデント /(n) incident/
インシネレタ /(n) incinerator/
インシネレター /(n) incinerator/
インシュージアスト /(n) enthusiast/
インシュート /(n) inshoot/
インシュアランス /(n) insurance/
インシュラリティー /(n) insularity/
インシュリン /(n) insulin/(P)/
インシュリンショック療法 [インシュリンショックりょうほう] /(n) insulin shock therapy/
インシュレーション /(n) insulation/
インシュレーションボード /(n) insulation board/
インシュレータ /(n) insulator/
インジーニャス /(adj-f) ingenious/
インジウム /(n) indium (In)/
インジェクション /(n) injection/
インジェクタ /(n) injector/
インジェクター /(n) injector/
インジケータ /(n) indicator/
インジケーター /(n) indicator/
インジケータランプ /(n) (comp) indicator light/
インジゴ /(n) indigo/
インジゴイド染料 [インジゴイドせんりょう] /(n) (obsc) indigoid dye/
インジゴブルー /(n) indigo (blue)/
インジニアス /(adj-f) ingenious/
インジャリータイム /(n) injury time/
インジャンクション /(n) injunction/
インジュリータイム /(n) injury time/
インジレース /(n) Indianapolis 500 mile race/
インス /(n) (comp) INS/
インスージアスト /(n) enthusiast/
インスインガー /(n) inswinger (baseball)/
インスコ /(n,vs) (comp) (sl) install/
インスタマチックカメラ /(n) Instamatic camera/
インスタレーション /(n) installation/
インスタンス /(n) instance/
インスタンス化 [インスタンスか] /(n) (comp) instantiate/
インスタンス変数 [インスタンスへんすう] /(n) (comp) instance variable/
インスタント /(adj-na,n) instant/(P)/
インスタントカメラ /(n) instant camera/
インスタントコーヒー /(n) instant coffee/
インスタントメッセージ /(n) instant message/IM/
インスタントメッセージング /(n) (comp) instant messaging/IM/
インスタントメッセンジャー /(n) instant messenger/IM/
インスタントラーメン /(n) instant ramen/precooked Chinese noodles/
インスタント食品 [インスタントしょくひん] /(n) instant foods/
インスティチューショナリズム /(n) institutionalism/
インスティチューション /(n) institution/
インスティチュート /(n) institute/
インスティテューション /(n) institution/
インスティンクト /(n) instinct/
インステップキック /(n) instep kick (soccer)/
インスト /(n) (abbr) instant/installation/instructions (e.g. briefings for market researchers)/
インストーラ /(n) (comp) installer/
インストーラー /(n) (comp) installer/
インストール /(n,vs) install/
インストールプログラム /(n) (comp) installation program/
インストールメント /(n) installment/instalment/
インストールログファイル /(n) (comp) installation log file/
インストール可能デバイスドライバ [インストールかのうデバイスドライバ] /(n) (comp) installable device driver/
インストール後の作業 [インストールごのさぎょう] /(n) (comp) post installation step/
インストアマーチャンダイジング /(n) in-store merchandising/
インストゥルメント /(n) instrument/
インストラクション /(n) instruction/
インストラクションセット /(n) (comp) instruction set/
インストラクションセットアーキテクチャ /(n) (comp) instruction set/
インストラクター /(n) instructor/(P)/
インストルメンタリズム /(n) instrumentalism/
インストルメンタル /(adj-f) instrumental/
インストルメンタルポップ /(n) instrumental pop/
インストルメンタルロック /(n) instrumental rock/
インストルメント /(n) instrument/
インストルメントパネル /(n) instrument panel/
インストレーション /(n,vs) (comp) installation/
インストレーションプログラム /(n) (comp) installation program/
インスパイア /(vs) (1) to inspire/(n) (2) inspiration/
インスパイアー /(vs) (1) to inspire/(n) (2) inspiration/
インスピレーション /(n) inspiration/(P)/
インスピレイション /(n) inspiration/
インスペクション /(n) inspection/
インスペクター /(n) inspector/
インスラ /(n) (abbr) inside slider (baseball)/
インスリノーマ /(n) insulinoma/
インスリン /(n) insulin/(P)/
インスリン・ショック /(n) insulin shock/
インスリン・ショック療法 [インスリン・ショックりょうほう] /(n) insulin shock therapy/
インスリンショック /(n) insulin shock/
インスリンショック療法 [インスリンショックりょうほう] /(n) insulin shock therapy/
インスリン抵抗性症候群 [インスリンていこうせいしょうこうぐん] /(n) insulin-resistance syndrome/
インセキュリティー /(n) insecurity/
インセスト /(n) incest/
インセストタブー /(n) incest taboo/
インセンス /(n) incense/
インセンティブ /(n) incentive/(P)/
インセンティブセール /(n) incentive sale/
インソール /(n) insole/
インター /(n) (1) (abbr) interchange/(2) (abbr) international/(P)/
インターアクション /(n) interaction/
インターエクスチェンジ /(n) (comp) interexchange/
インターオペラビリティ /(n) (comp) interoperability/
インターオペラビリティー /(n) interoperability/
インターカット /(n) intercut/
インターカレッジ /(n) intercollegiate (games)/
インターキャスト /(n) (comp) Intercast/
インターキャフィス /(n) (comp) InterCAFIS/
インターキュー /(n) (comp) interQ/
インターコース /(n) intercourse/
インターコム /(n) intercom/intercommunication system/
インターコンチネンタル /(n) intercontinental (e.g. hotel)/
インターステートハイウエー /(n) interstate highway/
インタースリップ /(n) (comp) InterSLIP/
インターセプション /(n) interception/
インターセプター /(n) interceptor/
インターセプト /(n) intercept/
インターゼミ /(n) (abbr) inter seminar/
インターゼミナール /(n) inter seminar/
インターチェンジ /(n) interchange/service interchange/
インターテキスト /(n) (comp) InterText/
インタートップ /(n) (comp) INTERTop/
インターナショナライゼーション /(n) (comp) internationalization/
インターナショナリズム /(n) internationalism/
インターナショナリゼーション /(n) (comp) internationalization/
インターナショナル /(adj-na,n) international/(P)/
インターナショナルバカロレア /(n) International Baccalaureat/
インターナションアリズム /(n) internationalism/
インターナル /(n) internal/
インターニック /(n) (comp) InterNIC/
インターネット /(n,adj-no) (comp) the Internet/(P)/
インターネットＶＰＮ [インターネットブイピーエン] /(n) (comp) Internet Virtual Private Network/
インターネットで結ぶ [インターネットでむすぶ] /(exp,v5b) (comp) to link to the Internet/
インターネットによる願書提出 [インターネットによるがんしょていしゅつ] /(n) (comp) on-line submission of an application form/
インターネットのベテランユーザ /(n) (comp) Internet veteran/
インターネットアクセス /(n) (comp) Internet access/
インターネットアドレス /(n) (comp) Internet address/
インターネットエクスプローラ /(n) (comp) Internet Explorer/
インターネットオークション /(n) Internet auction/
インターネットカフェ /(n) (comp) Internet cafe/cybercafe/
インターネットギャンブル /(n) Internet gambling/
インターネットサービス /(n) (comp) Internet service/Internet-based service/
インターネットサービスプロバイダ /(n) (comp) Internet Service Provider/ISP/
インターネットサービスプロバイダー /(n) (comp) Internet Service Provider/ISP/
インターネットサイト /(n) (comp) Internet site/
インターネットショッピング /(n) (comp) Internet shopping/
インターネットセキュリティ /(n) Internet security/
インターネットソサエティ /(n) (comp) Internet Society/
インターネットテレビ /(n) (comp) Internet television/Internet TV/
インターネットデータセンター /(n) (comp) Internet Data Center/
インターネットバブル /(n) dot-com bubble/
インターネットバンキング /(n) (comp) Internet banking/
インターネットビジネス /(n) (comp) Internet business/
インターネットフォン /(n) (comp) Internet Phone/
インターネットプロトコル /(n) (comp) Internet Protocol/IP/
インターネットプロトコルアドレス /(n) (comp) Internet Protocol address/IP address/
インターネットプロバイダ /(n) (comp) Internet provider/
インターネットプロバイダー /(n) (comp) Internet Service Provider/ISP/
インターネットマーケティング /(n) (comp) Internet marketing/
インターネットメール /(n) (comp) Internet mail/
インターネットユーザー /(n) Internet user/
インターネットラジオ /(n) Internet radio/
インターネットリレーチャット /(n) (comp) Internet relay chat/IRC/
インターネットワーキング /(n) (comp) internetworking/
インターネットワーク /(n) (comp) internetwork/
インターネットワーム /(n) (comp) Internet worm/
インターネットワールド /(n) (comp) Internet World (trade show)/
インターネット閲覧ソフト [インターネットえつらんソフト] /(n) (comp) Web browser/Web-browsing software/
インターネット学会 [インターネットがっかい] /(n) (comp) Internet Society/ISOC/
インターネット技術推進グループ [インターネットぎじゅつすいしんグループ] /(n) (comp) Internet Engineering Steering Group/IESG/
インターネット技術特別調査委員会 [インターネットぎじゅつとくべつちょうさいいんかい] /(n) (comp) Internet Engineering Task Force/IETF/
インターネット検索 [インターネットけんさく] /(n) (comp) Web search/
インターネット研究推進グループ [インターネットけんきゅうすいしんグループ] /(n) (comp) Internet Research Steering Group/IRSG/
インターネット研究特別調査委員会 [インターネットけんきゅうとくべつちょうさいいんかい] /(n) (comp) Internet Research Task Force/IRTF/
インターネット接続 [インターネットせつぞく] /(n) (comp) Internet connection/
インターネット接続共有 [インターネットせつぞくきょうゆう] /(n) (comp) Internet Connection Sharing/ICS/
インターネット接続業者 [インターネットせつぞくぎょうしゃ] /(n) Internet service provider/ISP/
インターネット電話 [インターネットでんわ] /(n) (1) (comp) Internet telephony/(2) Internet telephone/
インターネット放送 [インターネットほうそう] /(n) Webcast/Internet broadcast/
インターハイ /(n) (abbr) inter high school/
インターバル /(n) interval/
インターバルタイマ /(n) (comp) interval timer/
インターバルトレーニング /(n) interval training/
インターバンク /(n) interbank/
インターバンクローン /(n) inter-bank loan/
インターバンク取引 [インターバンクとりひき] /(n) interbank exchange dealings/
インタービュー /(n,vs) interview (i.e. television, newspaper, etc.)/
インターフェース /(n) (comp) interface/
インターフェースアダプタ /(n) (comp) interface adapter/
インターフェースビルダ /(n) (comp) interface builder/
インターフェア /(n) interfere/
インターフェアランス /(n) interference/
インターフェイス /(n) (comp) interface/
インターフェイスボード /(n) (comp) interface board/
インターフェイスメッセージプロセッサー /(n) (comp) Interface Message Processor/IMP/
インターフェロン /(n) interferon/
インターフォン /(n) intercom (wasei: interphone)/
インターブロックギャップ /(n) (comp) interblock gap/IBG/
インタープリタ /(n) (comp) interpreter/
インタープリター /(n) (comp) interpreter/
インタープリタ型言語 [インタープリタかたげんご] /(n) (comp) interpretive language/
インターホン /(n) intercom (wasei: interphone)/
インターポール /(n) Interpol/International Criminal Police Organization (Organisation)/
インターポル /(n) Interpol/International Criminal Police Organization (Organisation)/
インターミッション /(n) intermission/
インターメディア /(n) (comp) InterMedia/
インターラプト /(n) interrupt/
インターリービング /(n) (comp) interleaving/
インターリーブ /(n) interleave/
インターリーブメモリ /(n) (comp) interleaved memory/
インタールード /(n) interlude/
インターレース /(n) (comp) interlace/
インターレースＧＩＦ [インターレースギッフ] /(n) (comp) interlaced GIF/
インターレースＧＩＦ [インターレースジッフ] /(n) (comp) interlaced GIF/
インターロイキン /(n) interleukin/
インターロッキング・システム /(n) interlocking system/
インターロッキンググリップ /(n) interlocking grip (golf)/
インターロッキングシステム /(n) interlocking system/
インターロック /(n,pref) interlock/
インターロック回路 [インターロックかいろ] /(n) interlock circuit/interlocking circuit/
インターワーキング /(n) (comp) interworking/
インターン /(n) intern/(P)/
インターンシップ /(n) internship/
インターン制度 [インターンせいど] /(n) internship system/
インタアクティブ /(adj-na,n) interactive/
インタセプト /(n) intercept/
インタネット /(n,adj-no) (comp) the Internet/
インタバル /(n) interval/
インタビュ /(n,vs) interview (i.e. television, newspaper, etc.)/
インタビュー /(n,vs) interview (i.e. television, newspaper, etc.)/(P)/
インタビューアー /(n) interviewer/
インタビュアー /(n) interviewer/
インタビュウ /(ik) (n,vs) interview (i.e. television, newspaper, etc.)/
インタファクス通信 [インタファクスつうしん] /(n) Interfax news agency/
インタフェース /(n) (comp) interface/
インタフェースアドレス /(n) (comp) interface address/
インタフェースカード /(n) (comp) interface card/
インタフェースモジュール /(n) (comp) interface module/
インタフェース種別 [インタフェースしゅべつ] /(n) (comp) interface type/
インタフェース定義言語 [インタフェースていぎげんご] /(n) (comp) Interface Definition Language/
インタフェイス /(n) (comp) interface/
インタフェス /(n) (comp) interface/
インタプリータ型言語 [インタプリータかたげんご] /(n) (comp) interpretive language/
インタプリタ /(n) (1) (comp) interpreter/(2) interpretive program/
インタプリタ型言語 [インタプリタかたげんご] /(n) (comp) interpretive language/
インタプリティブ /(n) interpretive/
インタプリト /(n) interpret/
インタラクション /(n) interaction/
インタラクティビティー /(n) interactivity/
インタラクティブ /(adj-na,n) interactive/(P)/
インタラクティブテレビ /(n) (comp) interactive television/
インタラクティブボタン /(n) (comp) interactive button/
インタラクティヴ /(adj-na,n) interactive/
インタラプト /(n) (comp) interrupt/
インタリーブ /(n,vs) (comp) interleave/
インタリオ /(n) intaglio/
インタレース /(n) (comp) interlace/
インタレスト /(n) interest/
インタレストグループ /(n) (comp) interest group/
インタロゲーション /(n,adj-f) interrogation/
インタロゲーションマーク /(n) interrogation mark/
インタロゲイション /(n,adj-f) interrogation/
インタロゲイションマーク /(n) interrogation mark/
インタヴュー /(n,vs) interview (i.e. television, newspaper, etc.)/
インタヴュアー /(n) interviewer/
インダイレクト /(adj-na) indirect/
インダクション /(n) induction/
インダクションコイル /(n) induction coil/
インダクションモーター /(n) induction motor/
インダクタ /(n) inductor/
インダクター /(n) inductor/
インダクタンス /(n) inductance/
インダストゥリアル /(ik) (adj-na,n) industrial/
インダストリ /(n) industry/
インダストリー /(n) industry/
インダストリアル /(adj-na,n) industrial/(P)/
インダストリアルエンジニアリング /(n) industrial engineering/
インダストリアルデザイナー /(n) industrial designer/
インダストリアルデザイン /(n) industrial design/
インダストリアルパーク /(n) industrial park/
インダス文明 [インダスぶんめい] /(n) Indus (valley) civilization (civilisation)/
インチ /(n) (uk) inch/(P)/
インチキ /(adj-na,n,vs) (1) cheating/fake/bogus/(2) travelling seller of trinkets, magic tricks, etc. (traveling)/(P)/
インチネジ /(n) (comp) inch screw threads/
インツーリスト /(n) Inturist (rus:)/
インテーク /(n) intake/
インティファーダ /(n) intifada (ara:)/
インティメート /(adj-no) intimate/
インテグラル /(n) integral/
インテグレーション /(n) integration/(P)/
インテグレーティドルーチング /(n) (comp) integrated routing/
インテグレーテット /(n) integrated/
インテグレーテッドマーケティング /(n) integrated marketing/
インテグレート /(n) integrate/
インテジャ /(n) integer/
インテラクティブ /(adj-na,n) interactive/
インテリ /(n,adj-no) (abbr) egghead/intelligentsia/(P)/
インテリやくざ /(n) intellectual-type gangster/
インテリア /(n) interior/(P)/
インテリアアドバイサー /(n) interior adviser/interior advisor/
インテリアクラフト /(n) interior craft/
インテリアコーディネーター /(n) interior coordinator/
インテリアデコレーション /(n) interior decoration/
インテリアデザイナー /(n) interior designer/
インテリアデザイン /(n) interior design/
インテリアバール /(n) prying tool used in interior decoration (wasei: interior bar)/
インテリアファブリック /(n) interior fabric/
インテリゲンチア /(n) intelligentsia (rus:)/
インテリゲンチャ /(n) intelligentsia (rus:)/
インテリジェンス /(n) intelligence/(P)/
インテリジェンスサービス /(n) intelligence service/
インテリジェンステスト /(n) intelligence test/
インテリジェント /(adj-na,n) intelligent/(P)/
インテリジェントＩＭフィルタ [インテリジェントアイエムフィルタ] /(n) (comp) intelligent IM filter/
インテリジェントケーブル /(n) (comp) intelligent cable/
インテリジェントシティー /(n) intelligent city/
インテリジェントステーション /(n) (comp) intelligent station/
インテリジェントターミナル /(n) (comp) intelligent terminal/
インテリジェントデータベース /(n) (comp) intelligent database/
インテリジェントデザイン /(n) intelligent design (theory that life or the universe must have been designed by an intelligent being)/
インテリジェントネットワーク /(n) (comp) intelligent network/
インテリジェントハブ /(n) (comp) intelligent hub/
インテリジェントビル /(n) (abbr) intelligent building/
インテリジェントマルチプレクサ /(n) (comp) intelligent mux/intelligent multiplexer/
インテリジェント装置 [インテリジェントそうち] /(n) (comp) intelligent device/
インテリジェント端末 [インテリジェントたんまつ] /(n) (comp) intelligent (as opposed to dumb) terminal/
インテリ層 [インテリそう] /(n) intellectuals/intelligentsia/educated class/
インテル /(n) (1) (comp) Intel (chip manufacturer)/(2) interline leads/(P)/
インテルクチュアル /(n) intellectual/
インテルサット /(n) Intelsat/International Telecommunications Satellite Organization (Organisation)/
インテルメッツォ /(n) intermezzo (ita:)/
インテレクチュアル /(n) intellectual/
インテレクト /(n) intellect/
インテンシティ /(n) intensity/
インテンシブ /(adj-na) intensive/
インテンショナル /(adj-na) intentional/
インデアン /(n) Indian/
インディー /(n) indie/
インディーズ /(n) indies/independent film or music/
インディーズビデオ /(n) (abbr) pornographic videos (wasei: indecent videos)/
インディア /(n) India/
インディアナ /(n) Indiana/(P)/
インディアナポリス５００マイルレース [インディアナポリスごひゃくマイルレース] /(n) Indianapolis 500-mile race (each year on May 30th)/
インディアペーパー /(n) India paper/
インディアン /(n) Indian/(P)/
インディアン・スウェル・シャーク /(n) Indian swellshark (Cephaloscyllium silasi, species of catshark from the western Indian Ocean)/
インディアンオーシャンミミックサージャンフィッシュ /(n) Indian Ocean mimic surgeonfish (Acanthurus tristis, species of tang from the Indian Ocean)/
インディアンオーシャンミミックサージョンフィッシュ /(n) Indian Ocean mimic surgeonfish (Acanthurus tristis, species of tang from the Indian Ocean)/
インディアンクロミス /(n) blacktail chromis (Chromis nigrura)/
インディアングレゴリー /(n) Western gregory (Stegastes obreptus)/
インディアンゴールドバードバタフライフィッシュ /(n) Indian golden-barred butterflyfish (Roa jayakari, was Chaetodon jayakari)/
インディアンゴールドリングブリストルトゥース /(n) Indian gold-ring bristle-tooth (Ctenochaetus truncatus, species of bristletooth tang native to the Indian Ocean)/
インディアンサマー /(n) Indian summer/
インディアンジュエリー /(n) Indian jewellery (jewelry)/
インディアンスウェルシャーク /(n) Indian swellshark (Cephaloscyllium silasi, species of catshark from the western Indian Ocean)/
インディアンバタフライフィッシュ /(n) Indian butterflyfish (Chaetodon mitratus)/
インディアンバナーフィッシュ /(n) phantom bannerfish (Heniochus pleurotaenia)/Indian Ocean bannerfish/
インディアンブルー /(n) Indian blue/
インディアンヴァガボンドバタフライフィッシュ /(n) Indian vagabond butterflyfish (Chaetodon decussatus)/blackened butterflyfish/black-finned vagabond/
インディアン座 [インディアンざ] /(n) Indus (constellation)/
インディア紙 [インディアかみ] /(n) India paper/
インディオ /(n) (1) an Indian/(2) Indeo/
インディケータ /(n) indicator/
インディケーター /(n) indicator/
インディゴ /(n) indigo/
インディビジュアリスト /(n) individualist/
インディビジュアリズム /(n) individualism/
インディビジュアリティー /(n) (obsc) individuality/
インディビジュアル /(n) individual/
インディヘナ /(n) native (spa: indigena)/
インディペンデンス /(n) independence/
インディペンデント /(adj-na,n) independent/(P)/
インディペンデントリビング運動 [インディペンデントリビングうんどう] /(n) independent living movement/
インデキシング /(n) indexing/
インデクサ /(n) (comp) indexer/
インデクシング /(n) indexing/
インデクセーション /(n) indexation/
インデックス /(n) index/indices/indexes/(P)/
インデックスアドレッシング /(n) (comp) index addressing/
インデックストラック /(n) (comp) index track/
インデックスバッファ /(n) (comp) index buffer/
インデックスファイル /(n) (comp) indexed file/
インデックスファンド /(n) index fund/
インデックスホール /(n) (comp) index hole/
インデックスレジスタ /(n) (comp) index register/
インデックス付きアドレス [インデックスつきアドレス] /(n) (comp) indexed address/
インデックス付きサーチ [インデックスつきサーチ] /(n) (comp) indexed search/
インデペンデンス /(n) independence/
インデンテーション /(n) indentation/
インデンテイション /(n) indentation/
インデント /(n) indent/
イントネーション /(n) intonation/(P)/
イントラ /(n) (abbr) Intranet/
イントラスタット /(n) (comp) intrastat/
イントラネット /(n) (comp) Intranet/
イントラネットウェア /(n) (comp) IntranetWare/
イントランス /(n) entrance/
イントラント /(n) entrant/
イントレランス /(n) intolerance/
イントロ /(n) (abbr) intro/introduction/(P)/
イントロダクション /(n) introduction/
イントロパック /(n) (comp) intro-pack/
イントロビジョン /(n) intro-vision/
イントロン /(n) intron/
インド /(n,adj-no) (uk) India/Hindustan/
インド・アーリア語派 [インド・アーリアごは] /(n) Indic languages/Indo-Aryan languages/
インド・ヨーロッパ祖語 [インド・ヨーロッパそご] /(n) Proto-Indo-European (hypothetical language from which all Indo-European languages are derived)/
インドール /(n) indole/
インドール酢酸 [インドールさくさん] /(n) indoleacetic acid/
インドール酪酸 [インドールらくさん] /(n) indolebutyric acid/
インドア /(n) indoor/(P)/
インドアーリア語派 [インドアーリアごは] /(n) Indic languages/Indo-Aryan languages/
インドアゲーム /(n) indoor game/
インドアスポーツ /(n) indoor sports/
インドカレー屋 [インドカレーや] /(n) Indian curry shop/
インドクジャク /(n) (uk) Indian peafowl/common peafowl (Pavo cristatus)/
インドクトリネーション /(n) indoctrination/
インドゲルマン語族 [インドゲルマンごぞく] /(n) (obs) Indo-Germanic (family of languages)/
インドコブラ /(n) Indian cobra/spectacled cobra/Asian cobra (Naja naja)/
インドゴムの木 [インドゴムのき] /(n) India rubber tree/
インドサイ /(n) Indian rhinoceros/great one-horned rhinoceros (Rhinoceros unicornis)/
インドサリー /(n) Indian sari/
インドシアニン /(n) indocyanine/
インドシナ語族 [インドシナごぞく] /(n) Indo-Chinese (family of languages)/
インドシナ戦争 [インドシナせんそう] /(n) (first) Indochina War (1946-1954)/
インドシュモクザメ /(n) (uk) winghead shark (Eusphyra blochii, species of Indo-West Pacific hammerhead shark)/
インドシュモクザメ属 [インドシュモクザメぞく] /(n) Eusphyra (genus of hammerhead shark in the family Sphyrnidae whose sole member is the winghead shark)/
インドスダレ /(n) blackwedged butterflyfish (Chaetodon falcula)/saddled butterflyfish/pigface coralfish/sickle butterflyfish/Indian double-saddle butterflyfish/
インドネシア /(n,adj-no) Indonesia/(P)/
インドネシア語 [インドネシアご] /(n) Indonesian (language)/Bahasa Indonesia/
インドネシア語派 [インドネシアごは] /(n) Indonesian (branch of languages)/
インドネシア人 [インドネシアじん] /(n) Indonesian (person)/
インドハッカ /(n) (uk) common myna/Indian myna (species of mynah bird, Acridotheres tristis)/
インドヒメジ /(n) bicolor goatfish (Parupeneus barberinoides)/half-and-half goatfish/
インドフウライ /(n) Indian vagabond butterflyfish (Chaetodon decussatus)/blackened butterflyfish/black-finned vagabond/
インドメタシン /(n) indomethacin/
インドヨーロッパ語族 [インドヨーロッパごぞく] /(n) Indo-European languages/
インドヨーロッパ祖語 [インドヨーロッパそご] /(n) Proto-Indo-European (hypothetical language from which all Indo-European languages are derived)/
インドライオン /(n) Asiatic lion (from Indian lion)/
インドリ /(n) indri (short-tailed lemur) (Indri indri)/
インドレント /(adj-f) indolent/
インドワタノキ /(n) (uk) (obsc) Indian silk-cotton tree (Bombax ceiba)/
インド亜大陸 [インドあたいりく] /(n) Indian subcontinent/
インド医学 [インドいがく] /(n) Indian medicine/
インド語派 [インドごは] /(n) Indic languages/Indo-Aryan languages/
インド孔雀 [インドくじゃく] /(n) (uk) Indian peafowl/common peafowl (Pavo cristatus)/
インド犀 [インドさい] /(n) Indian rhinoceros/great one-horned rhinoceros (Rhinoceros unicornis)/
インド象 [インドぞう] /(n) Indian elephant/Asian elephant/
インド水牛 [インドすいぎゅう] /(n) Indian buffalo/
インド総督 [インドそうとく] /(n) Viceroy of India/
インド太平洋 [インドたいへいよう] /(n) Indo-Pacific/
インド大反乱 [インドだいはんらん] /(n) Indian Mutiny (1857-1858)/
インド大叛乱 [インドだいはんらん] /(n) Indian Mutiny (1857-1858)/
インド大麻 [インドたいま] /(n) Indian hemp/
インド哲学 [インドてつがく] /(n) Indian philosophy/
インド八哥 [インドはっか] /(n) (uk) common myna/Indian myna (species of mynah bird, Acridotheres tristis)/
インド綿の木 [インドわたのき] /(n) (uk) (obsc) Indian silk-cotton tree (Bombax ceiba)/
インド洋 [インドよう] /(n) Indian Ocean/
インド藍 [インドあい] /(n) indigo/
インド料理 [インドりょうり] /(n) Indian food/Indian cooking/
インナー /(adj-f) (1) inner/(n) (2) underwear/innerwear/
インナーキャビネット /(n) inner cabinet/
インナーシティ /(n) inner city/
インナーシティー /(n) inner city/
インナースペース /(n) inner space/
インナートリップ /(n) inner trip/
インナーベンチャー /(n) inner venture/
インナーライフ /(n) inner life/
インニング /(n) inning/
インハイ /(n) in high/
インハウス /(n) in-house/
インハラベイビー /(n) (sl) being pregnant/
インハラベビー /(n) (sl) being pregnant/
インバー /(n) Invar (trademarked nickel-steel alloy)/
インバース /(n) inverse/
インバータ /(n) (comp) inverter/
インバーター /(n) (comp) inverter/(P)/
インバイアロンメント /(n) environment/
インバウンド /(n) (comp) inbound/
インバネス /(n) Inverness (e.g. coat, cape)/
インバランス /(n,adj-na) imbalance/
インバリッド /(n) invalid/
インパクト /(n) impact/(P)/
インパクトプリンタ /(n) (comp) impact printer/
インパクトローン /(n) impact loan/
インパスト /(n) impasto (ita:)/
インパチェンス /(n) impatiens (Impatiens sultanii, Impatiens walleriana)/
インパチエンス /(n) impatiens (Impatiens sultanii, Impatiens walleriana)/
インパネ /(n) (abbr) instrument panel/
インパラ /(n) impala/
インパルス /(n) impulse/
インビジブル /(adj-na) invisible/
インビジブルリスク /(n) invisible risk/
インビテーション /(n) invitation/
インビトロ /(exp) in vitro (lat:)/
インビボ /(exp) in vivo (lat:)/
インピーダンス /(n) impedance/
インピーダンス管理グラウンド層 [インピーダンスかんりグラウンドそう] /(n) (comp) impedance-controlling ground plane/
インピーダンス整合 [インピーダンスせいごう] /(n) impedance matching/
インファイト /(n) infighting (boxing)/
インファント /(n) infant/
インフィールダー /(n) (obsc) infielder/
インフィールド /(n) infield/
インフィールドフライ /(n) infield fly/
インフィックス表記法 [インフィックスひょうきほう] /(n) (comp) infix notation/
インフィニティ /(n) infinity/
インフィニティー /(n) infinity/
インフェリオリティーコンプレックス /(n) inferiority complex/
インフェルノ /(n) inferno/
インフォ /(n) (abbr) information/
インフォーマー /(n) informer/
インフォーマル /(adj-na) informal/
インフォーマルオーガニゼーション /(n) informal organization/informal organisation/
インフォーマルケア /(n) informal care/
インフォーマルドレス /(n) informal dress/
インフォーマント /(n) informant (often with regard to survey respondents)/
インフォームドコンセント /(n) informed consent/
インフォーメーシオン /(ik) (n) information/
インフォーメーション /(n) information/
インフォウェッブ /(n) (comp) Info-Web/
インフォシーク /(n) (comp) Infoseek/
インフォストラクチャー /(n) (comp) infostructure/information structure/
インフォスフィア /(n) (comp) InfoSphere/
インフォテイメント /(n) (comp) infortainment/
インフォナビゲーター /(n) (comp) InfoNavigator/
インフォマーシャル /(n) (abbr) information commercial/
インフォマック /(n) (comp) Info-Mac/
インフォミックス /(n) (comp) Informix/
インフォメーション /(n) information/(P)/
インフォメーション・テクノロジー /(n) information technology/IT/
インフォメーションアナリスト /(n) information analyst/
インフォメーションギャプ /(n) information gap/
インフォメーションサイエンス /(n) information science/
インフォメーションシステム /(n) information system/
インフォメーションシンジケート /(n) information syndicate/
インフォメーションスーパーハイウェイ /(n) (comp) information superhighway/
インフォメーションセオリー /(n) information theory/
インフォメーションセンター /(n) information kiosk/information centre/
インフォメーションソサイエティー /(n) information society/
インフォメーションテクノロジー /(n) information technology/IT/
インフォメーションディスクロージャー /(n) information disclosure/
インフォメーションデモクラシー /(n) information democracy/
インフォメーションブローカー /(n) information broker/
インフォメーションプロセッサー /(n) information processor/
インフォメーションプロセッシング /(n) information processing/
インフォメーションプロバイダー /(n) information provider/
インフォメーションユーティリティー /(n) information utility/
インフォメーションリテラシー /(n) information literacy/
インフォメーションリトリーバル /(n) information retrieval/
インフォメーションレボリューション /(n) information revolution/
インフォモザイク /(n) (comp) Infomosaic/
インフラ /(n) (abbr) infrastructure/(P)/
インフラストラクチャ /(n) infrastructure/
インフラストラクチャー /(n) infrastructure/
インフラストラクチャモード /(n) (comp) infrastructure mode/
インフラ開発 [インフラかいはつ] /(n) infrastructure development/
インフラ整備 [インフラせいび] /(n) infrastructure improvement/
インフルエンザ /(n,adj-no) influenza/(P)/
インフルエンザの予防接種 [インフルエンザのよぼうせっしゅ] /(n) influenza vaccination/flu shot/
インフルエンザウイルス /(n) influenza virus/
インフルエンザワクチン /(n) flu vaccine/influenza vaccine/
インフルエンザ脳症 [インフルエンザのうしょう] /(n) influenza-associated encephalopathy/
インフルエンス /(n) influence/
インフレ /(n,adj-no) (abbr) inflation/(P)/
インフレーション /(n) inflation/
インフレーション宇宙 [インフレーションうちゅう] /(n) inflationary universe/
インフレーション会計 [インフレーションかいけい] /(n) inflation accounting/
インフレーション率 [インフレーションりつ] /(n) inflation rate/
インフレアドインタフェース /(n) (comp) infrared interface/
インフレギャップ /(n) inflationary gap/
インフレターゲット /(n) inflation target/
インフレヘッジ /(n) inflation hedge (hedge against inflation)/
インフレ傾向 [インフレけいこう] /(n) inflationary tendency/
インフレ懸念 [インフレけねん] /(n) inflation fear/inflation worries/
インフレ政策 [インフレせいさく] /(n) inflationary policy/
インフレ対策 [インフレたいさく] /(n) counter-inflation measures/
インフレ率 [インフレりつ] /(n) (abbr) inflation rate/
インフロー /(n) inflow/
インブリード /(vs) to inbreed/
インプット /(n,vs) input/(P)/
インプットポート /(n) (comp) input port/
インプットメソッド /(n) (comp) input method/IM/
インプライズ /(n) (comp) INPRISE/
インプラント /(n,vs) implant (esp. dental)/
インプリケーション /(n) implication/
インプリメンタ /(n) implementor/
インプリメンテーション /(n) implementation/
インプリメンテイション /(n) implementation/
インプリメント /(n) (1) implement/(2) (abbr) implementation/
インプリンティング /(n) imprinting/
インプレー /(n) in play (sports)/
インプレッシブ /(adj-na) impressive/
インプレッショニズム /(n) impressionism/
インプレッション /(n) impression/
インプレメント /(n) implement/
インプロ /(n) (1) (abbr) improvisation/(2) improvisational theatre/
インプロセス /(n) (comp) in-process/
インプロビゼーション /(n) improvisation/improvization/
インプロヴァイゼィション /(n) improvisation/improvization/
インプロヴィゼーション /(n) improvisation/improvization/
インヘリタンス /(n) (comp) inheritance/
インベーダー /(n) invader/
インベスター /(n) investor/
インベスターリレーションズ /(n) investor relations/
インベステメントカウンセラー /(n) investment counselor/investment counsellor/
インベステメントバンク /(n) investment bank/
インベストメント /(n) investment/
インベストメントアナリスト /(n) investment analyst/
インベストメントバンキング /(n) investment banking/
インベストメントバンク /(n) investment bank/
インベルターゼ /(n) invertase (ger: Invertase)/
インベンション /(n) invention/
インベントリ /(n) inventory/stock/goods/list/
インベントリー /(n) inventory/stock/goods/list/
インベントリーサイクル /(n) inventory cycles/
インベントリーファイナンス /(n) inventory finance/
インベントリーリカバリー /(n) inventory recovery/
インベントリーリセッション /(n) inventory recession/
インベントリー分析 [インベントリーぶんせき] /(n) inventory analysis/
インベントリ分析 [インベントリぶんせき] /(n) inventory analysis/
インペーダンス /(n) impedance/
インペラ /(n) impeller/
インペリアリズム /(n) imperialism/
インペリアル /(n) imperial/(P)/
インペル /(vs) to impel/
インボイス /(n) invoice/
インボックス /(n) (comp) in-box/
インボックスドライバ /(n) (comp) in-box driver/
インボリュート /(n) (math) involute/
インボリュート曲線 [インボリュートきょくせん] /(n) (math) involute curve/
インボリュート歯車 [インボリュートはぐるま] /(n) involute gear/
インボルブ /(n) involve/
インポ /(n) (abbr) impotence/
インポータント /(n) important/
インポート /(n,vs) import/(P)/
インポシブル /(adj-na) (col) impossible/
インポッシブル /(adj-na) (col) impossible/
インポテンス /(n) impotence (ger: Impotenz)/
インポテンツ /(n) impotence (ger: Impotenz)/
インポ薬 [インポやく] /(n) (abbr) anti-impotence medication/
インマルサット /(n) International Maritime Satellite Organization (Organisation)/INMARSAT/
インメガチャート /(n) TV test pattern chart/megacycles chart/
インモーラル /(adj-na,adj-no) immoral/
インモラル /(adj-na,adj-no) immoral/
インヨウカク /(n) horny goat weed (Epimedium grandiflorum var. thunbergianum)/rowdy lamb herb/barrenwort/bishop's hat/fairy wings/yin yang huo/
インライン /(n,adj-no) (comp) in-line/
インライン・スケート /(n) inline skates/
インラインイメージ /(n) (comp) inline image/
インラインオブジェクト /(n) (comp) inline object/
インラインコード /(n) (comp) in-line code/
インラインサブルーチン /(n) (comp) in-line subroutine/
インラインスケート /(n) inline skates/
インラインスタイル /(n) (comp) inline style/
インラインディスカッション /(n) (comp) inline discussion/
インライン画像 [インラインがぞう] /(n) (comp) inline graphic/
インライン展開 [インラインてんかい] /(n) (comp) in-line expansion/
インライン変換 [インラインへんかん] /(n) (comp) in-line translation/
インレー /(n) inlay/
インレット /(n) inlet/
インロー /(n) seal case/pill box/medicine case/
インヴァース /(n) inverse/
インヴァリアント /(n) invariant/
インヴェンション /(n) invention/
インヴォイス /(n) invoice/
イン腹ベイビー [インはらベイビー] /(n) (sl) being pregnant/
イン腹ベビー [インはらベビー] /(n) (sl) being pregnant/
イヴ /(n) eve (esp. Christmas Eve)/the night before/
イヴニング /(n) evening/
イ音便 [イおんびん] /(n) euphonic change wherein some mora ('ki', 'gi', 'shi' and 'ri') are pronounced 'i'/
イ形容詞 [イけいようし] /(n) adjective ending in "i"/i-adjective/
イ短調 [イたんちょう] /(n) A minor/
イ調 [イちょう] /(n) key of A (music)/
イ長調 [イちょうちょう] /(n) A major/
ウージ /(n) (rkb:) sugar cane/sugarcane/
ウースターソース /(n) Worcester (Worcestershire) sauce/
ウーステッド /(n) worsted/
ウーゾ /(n) ouzo (gre:)/
ウード /(n) oud (lute-like instrument of Arabic origin) (ara: ud)/
ウーハー /(n) woofer (speaker system)/
ウーハイ /(n) (abbr) (sl) oolong tea highball/
ウーパールーパー /(n) (col) axolotl (esp. an albino) (wasei: wooper looper)/
ウーファー /(n) woofer (speaker system)/
ウーマン /(n,adj-no) woman/(P)/
ウーマンハンター /(n) woman hunter/
ウーマンパワー /(n) woman power/
ウーマンリブ /(n) (abbr) women's liberation/
ウーリーコットン /(n) woolly cotton/
ウーリーナイロン /(n) woolly nylon/
ウーリーモンキー /(n) woolly monkey (any New World monkey of genus Lagothrix)/
ウール /(n) wool/(P)/
ウールマーク /(n) wool mark/
ウーロンハイ /(n) oolong tea highball/
ウーロン茶 [ウーロンちゃ] /(n) Oolong tea/
ウーン /(int) hmm/well/
ウァギナ /(n) vagina (lat:)/
ウィ /(int) yes (fre: oui)/
ウィーク /(n) (1) week/(2) weak/(P)/
ウィークエンド /(n) weekend/(P)/
ウィークエンドハウス /(n) weekend house/
ウィークデー /(n) weekday/
ウィークデイ /(n) weekday/
ウィークボソン /(n) weak boson/
ウィークポイント /(n) weak point/
ウィークリ /(n,adv) weekly/
ウィークリー /(n,adv) weekly/(P)/
ウィークリーマンション /(n) small apartment rented by the week (wasei: weekly mansion)/
ウィード /(n) weed/
ウィービング /(n,vs) weaving/
ウィーンアピール /(n) Vienna Appeal/
ウィーン学団 [ウィーンがくだん] /(n) Vienna Circle/
ウィキ /(n) (comp) Wiki/
ウィキペディア /(n) Wikipedia (free online encyclopedia)/
ウィク /(n) wick/
ウィクショナリー /(n) Wiktionary (a wiki based open content dictionary)/
ウィグワム /(n) wigwam (North American Indian tent) (alg:)/
ウィケット /(n) wicket (e.g. in cricket)/
ウィザ /(vs) to wither/
ウィザー /(vs) to wither/
ウィザード /(n) wizard/
ウィザードリー /(n) (comp) Wizardry/
ウィザァド /(n) wizard/
ウィジウィズ /(n) (comp) WYSIWYS/
ウィジェット /(n) widget/(P)/
ウィジャ板 [ウィジャばん] /(n) ouija board/
ウィスカー /(n) whisker/
ウィスキー /(n) whisky/whiskey/(P)/
ウィスキーサウー /(n) whisky sour/whiskey sour/
ウィスキーボンボン /(n) whisky bonbon (fre:)/whiskey bonbon/liqueur candy/
ウィスパー /(n) whisper/
ウィダール反応 [ウィダールはんのう] /(n) Widal reaction (for typhoid fever)/
ウィッカ /(n) Wicca/
ウィッグ /(n) wig/
ウィッケット /(n) wicket (cricket)/
ウィッチヘーゼル /(n) witch hazel/
ウィット /(n) wit/
ウィドー /(n) widow/
ウィドウ /(n) widow/
ウィドウア /(n) widower/
ウィニングボール /(n) winning ball/
ウィラメット /(n) (comp) Willamette/
ウィリー /(n) wheelie/
ウィルス /(n) (1) virus (lat:, ger:)/(adj-no) (2) viral/(P)/
ウィルスプロテクション /(n) (comp) virus protection/
ウィルス隔離 [ウィルスかくり] /(n) (comp) virus removal/virus sweep/
ウィルトンカーペット /(n) Wilton carpet/
ウィルム /(n) wyrm (variety of wyvern)/
ウィローグリーン /(n) willow green/
ウィンイニ /(n) (comp) WIN.INI/
ウィンエフティーピー /(n) (comp) WinFTP/
ウィンカー /(n) (1) Winker (automobile)/(2) (car) blinker/(car) turning indicator/
ウィンク /(n,vs) wink/
ウィング /(n) wing/
ウィングス /(n) wings/
ウィングチェア /(n) wing chair/
ウィングヘッド・シャーク /(n) winghead shark (Eusphyra blochii, species of Indo-West Pacific hammerhead shark)/
ウィングヘッドシャーク /(n) winghead shark (Eusphyra blochii, species of Indo-West Pacific hammerhead shark)/
ウィンサンジューニ /(n) (comp) Win32/
ウィンサンジューニエス /(n) (comp) Win32s/
ウィンザーチェア /(n) Windsor chair/
ウィンザー家 [ウィンザーけ] /(n) House of Windsor/
ウィンジー /(n) (comp) WinG/
ウィンジップ /(n) (comp) WinZip/
ウィンジューロク /(n) (comp) Win16/
ウィンズ /(n) (comp) WINS/
ウィンソック /(n) (comp) WindSock/Winsock/
ウィンタ /(n) winter/
ウィンター /(n) winter/(P)/
ウィンタースポーツ /(n) winter sports/
ウィンタッチ /(n) (comp) WinTach/
ウィンチ /(n) winch/
ウィンチェスターディスク /(n) (comp) Winchester disk/
ウィンチェスタテクノロジ /(n) (comp) winchester technology/
ウィンチェスタディスク /(n) (comp) Winchester disk/
ウィンテル /(n) (comp) Wintel/
ウィンド /(n) wind/(P)/
ウィンドー /(n) (1) (comp) window/(2) window (shop display)/
ウィンドーショッピング /(n,vs) window-gazing window-shopping/
ウィンドーディスプレー /(n) window display/
ウィンドードレッシング /(n) window dressing/
ウィンドゥズ /(n) (comp) Windows (Microsoft operating system)/
ウィンドウ /(n) (1) (comp) window/(2) window (shop display)/(P)/
ウィンドウを最大化する [ウィンドウをさいだいかする] /(exp,vs-i) (comp) to maximize a window's size/to maximise a window's size/
ウィンドウを最大表示する [ウィンドウをさいだいひょうじする] /(exp,vs-i) (comp) to maximize a window/
ウィンドウアクセラレータボード /(exp) (comp) Windows accelerator board/
ウィンドウシステム /(n) (comp) window system/
ウィンドウショッピング /(n,vs) window-gazing window-shopping/
ウィンドウズ /(n) (comp) Windows (Microsoft operating system)/
ウィンドウズアクセラレータ /(n) (comp) Windows accelerator/
ウィンドウズエックスピー /(n) (comp) Windows XP/
ウィンドウズエヌティー /(n) (comp) WindowsNT/
ウィンドウズキュージューゴ /(n) (comp) Windows95/
ウィンドウズキュージューハチ /(n) (comp) Windows98/
ウィンドウズサンテンイチ /(n) (comp) Windows3.1/
ウィンドウズニセン /(n) (comp) Windows2000/
ウィンドウズミー /(n) (comp) WindowsMe/
ウィンドウソフトウェア /(n) (comp) windowing software/
ウィンドウディスプレイ /(n) window display/
ウィンドウビューイング変換 [ウィンドウビューイングへんかん] /(n) (comp) normalization transformation/Viewing transformation/window-to-viewport transformation/
ウィンドウビューポート変換 [ウィンドウビューポートへんかん] /(n) (comp) window/viewport transformation/viewing transformation/
ウィンドウマネージャ /(n) (comp) window manager/
ウィンドウ下限 [ウィンドウかげん] /(n) (comp) lower window edge/
ウィンドウ環境 [ウィンドウかんきょう] /(n) (comp) windowing environment/
ウィンドウ上限 [ウィンドウじょうげん] /(n) (comp) upper window edge/
ウィンドウ情報 [ウィンドウじょうほう] /(n) (comp) window information/
ウィンドオーケストラ /(n) wind band (wasei: wind orchestra)/symphonic band/
ウィンドクラスト /(n) windcrust/crust formed on snow by strong wind/
ウィンドサーフィン /(n) windsurfing/
ウィンドシアー /(n) wind shear/
ウィンドブレーカー /(n) windbreaker/jacket/
ウィンドミル /(n) windmill/
ウィンドローズ /(n) wind rose/
ウィンナーシュニッツェル /(n) Wiener schnitzel/
ウィンビフ /(n) (comp) Winbiff/
ウィンブイエヌ /(n) (comp) WinVN/
ウィンブルドン /(n) Wimbledon/
ウィンヘック /(n) (comp) WinHEC/
ウイ /(int) yes (fre: oui)/
ウイーク /(n) (1) week/(2) weak/
ウイークエンド /(n) weekend/(P)/
ウイークエンドカーペンター /(n) weekend carpenter/
ウイークエンドファーザー /(n) weekend father/
ウイークエンドペインター /(n) weekend painter/
ウイークデー /(n) weekday/
ウイークデイ /(n) weekday/
ウイークボソン /(n) weak boson/
ウイークポイント /(n) weak point/
ウイークリー /(n,adv) weekly/
ウイービング /(n,vs) weaving/
ウイグル /(n) (uk) Uighur (Turkic people and language in NW China)/Uygur/
ウイグル語 [ウイグルご] /(n) Uighur language (Uigur, Uygur)/
ウイザード /(n) wizard/
ウイスカー /(n) whisker/
ウイスキ /(n) whisky/whiskey/
ウイスキー /(n) whisky/whiskey/(P)/
ウイスキーサウー /(n) whisky sour/whiskey sour/
ウイスキーボンボン /(n) whisky bonbon (fre:)/whiskey bonbon/liqueur candy/
ウイスケ /(n) whisky/whiskey/
ウイック /(n) wick/
ウイック回転 [ウイックかいてん] /(n) (math) Wick rotation/
ウイッグ /(n) wig/
ウイッチ /(n) witch/
ウイット /(n) wit/
ウイドー /(n) widow/
ウイドウ /(n) widow/
ウイナー /(n) winner/
ウイナーテイクオール /(n) winner-take-all/
ウイニング /(n) winning/
ウイニングショット /(n) winning shot (tennis, ball games)/
ウイニングボール /(n) winning ball/
ウイニングポスト /(n) winning post/
ウイニングラン /(n) winning run/
ウイリー /(n) wheelie/
ウイルス /(n) (1) virus (lat:, ger:)/(adj-no) (2) viral/(P)/
ウイルスを排除する [ウイルスをはいじょする] /(exp,vs-i) (1) to fight off a virus/(2) (comp) to screen out computer viruses/
ウイルスシグネチャ /(n) (comp) virus signature/
ウイルススキャンＡＰＩ [ウイルススキャンエーピーアイ] /(n) (comp) virus scanning API/
ウイルススキャンをする /(exp,vs-i) (comp) to run a virus scan program/
ウイルスチェッカ /(n) (comp) virus checker/
ウイルスチェック /(n) (comp) virus check/
ウイルスチェックソフトウェア /(n) (comp) virus checker software/
ウイルス学 [ウイルスがく] /(n) virology/
ウイルス監視機能 [ウイルスかんしきのう] /(n) (comp) virus protection/
ウイルス警報 [ウイルスけいほう] /(n) (comp) virus alert/
ウイルス検出ソフトウェア [ウイルスけんしゅつソフトウェア] /(n) (comp) virus detection software/
ウイルス性肝炎 [ウイルスせいかんえん] /(n) viral hepatitis/
ウイルス性疾患 [ウイルスせいしっかん] /(n) viral disease/
ウイルス性出血熱 [ウイルスせいしゅっけつねつ] /(n) viral hemorrhagic fever/
ウイルス性脳炎 [ウイルスせいのうえん] /(n) viral encephalitis/
ウイルス病 [ウイルスびょう] /(n) virus disease/viral disease/
ウイルス防衛用ソフト [ウイルスぼうえいようソフト] /(n) (comp) virus detection software/
ウイルス防止 [ウイルスぼうし] /(n) (comp) virus check/
ウイロイド /(n) viroid/
ウインカー /(n) (1) Winker (automobile)/(2) (car) blinker/(car) turning indicator/(P)/
ウインク /(n,vs) wink/(P)/
ウイング /(n) wing/(P)/
ウイングカラー /(n) wing collar/
ウイングチップ /(n) wing tip/
ウイングバック /(n) wingback/
ウイングポンプ /(n) wing pump/
ウインザーチェア /(n) Windsor char/
ウインター /(n) winter/
ウインタースポーツ /(n) winter sports/(P)/
ウインターリゾート /(n) winter resort/
ウインチ /(n) winch/
ウインド /(n) wind/(P)/
ウインドー /(n) (1) (comp) window/(2) window (shop display)/
ウインドーショッピング /(n,vs) window-gazing window-shopping/
ウインドーディスプレー /(n) window display/
ウインドードレッシング /(n) window dressing/
ウインドーペーン /(n) windowpane/
ウインドウ /(n) (1) (comp) window/(2) window (shop display)/(P)/
ウインドウズ /(n) (comp) Windows (Microsoft operating system)/
ウインドウメニュー /(n) (comp) window menu/
ウインドクラスト /(n) windcrust/crust formed on snow by strong wind/
ウインドサーファー /(n) windsurfer/
ウインドサーフィン /(n) windsurfing/
ウインドシールドワイパー /(n) windshield wiper/windscreen wiper/
ウインドフォール /(n) windfall/
ウインドブレーカー /(n) windbreaker/jacket/
ウインドミル /(n) windmill/
ウインドヤッケ /(n) windjacket (ger: Windjacke)/
ウインドラス /(n) windlass/
ウインドローズ /(n) wind rose/
ウインナ /(n) Wiener/Viennese/
ウインナーソーセージ /(n) Vienna sausage/
ウインナコーヒー /(n) Vienna coffee/
ウインナソーセージ /(n) Vienna sausage/
ウインナワルツ /(n) Viennese waltz (wasei: Vienna waltz)/
ウインブルドン /(n) Wimbledon/
ウェー /(n) way/(P)/
ウェーター /(n) waiter/
ウェート /(n) (1) wait/(2) weight/
ウェートリフティング /(n) weight lifting/
ウェートレス /(n) waitress/
ウェーバ /(n) weber/
ウェーバー /(n) (1) waiver/(2) weber (Wb) (unit of magnetic flux)/
ウェーバーの法則 [ウェーバーのほうそく] /(n) Weber's law/
ウェーバーフェヒナーの法則 [ウェーバーフェヒナーのほうそく] /(n) Weber-Fechner law/
ウェーブ /(n,vs) (1) wave (on water)/(2) wave (electromagnetic, sound, etc.)/(3) wavy hairstyle/(4) audience wave/the wave/(n) (5) (comp) WAVeform audio format/WAV/
ウェーブフロント /(n) wavefront/
ウェーブレット /(n) wavelet (physics)/
ウェールズ /(n) Wales/(P)/
ウェールズ語 [ウェールズご] /(n) Welsh (language)/
ウェア /(n,suf) (1) -ware/(2) -wear (clothing)/(sports) wear/
ウェアウルフ /(n) werewolf/
ウェアハウス /(n) warehouse/
ウェアラブルパソコン /(n) (comp) wearable personal computer/
ウェイ /(n) way/
ウェイジ /(n) wage/
ウェイジドリフト /(n) wage drift/
ウェイズ /(n) (comp) WAIS/
ウェイタ /(n) waiter/
ウェイター /(n) waiter/
ウェイト /(n) (1) wait/(2) weight/(P)/
ウェイトリフティング /(n) weight lifting/
ウェイトレス /(n) waitress/(P)/
ウェイト状態 [ウェイトじょうたい] /(n) (comp) wait state/
ウェイハー /(n) wafer/
ウェイファー /(n) wafer/
ウェイブ /(n,vs) (1) wave (on water)/(2) wave (electromagnetic, sound, etc.)/(3) wavy hairstyle/(4) audience wave/the wave/(n) (5) (comp) WAVeform audio format/WAV/
ウェイン /(n,vs) wane/
ウェザ /(n) weather/
ウェザー /(n) weather/
ウェス /(n) rag (for wiping)/waste (cloth)/
ウェスタ /(n) Vesta (Roman goddess of hearth, home and family)/
ウェスタン /(n) Western/
ウェスタン・ウォビゴン /(n) western wobbegon (Orectolobus hutchinsi, species of carpet shark from Western Australia)/
ウェスタンウォビゴン /(n) western wobbegon (Orectolobus hutchinsi, species of carpet shark from Western Australia)/
ウェスタンキングラス /(n) Western king wrasse (Coris auricularis)/
ウェスタングリップ /(n) Western grip (tennis)/
ウェスト /(n) (1) waist/(2) west/(n,vs) (3) waste/(P)/
ウェストオーストラリアンクロミス /(n) West Australian chromis (Chromis westaustralis)/
ウェストオーストラリアンバタフライフィッシュ /(n) West Australian butterflyfish (Chaetodon assarius)/Assarius butterflyfish/Western butterflyfish/
ウェストコート /(n) waistcoat/
ウェストニッパー /(n) waist nipper/
ウェストバージニア /(n) West Virginia/
ウェストボール /(n) waste ball (baseball)/taking a pitch/
ウェストポーチ /(n) waist pouch/waist bag/
ウェストミンスター憲章 [ウェストミンスターけんしょう] /(n) Statute of Westminster (1931)/
ウェストライン /(n) waistline/
ウェッジ /(n) wedge/
ウェッジソール /(n) wedge sole/
ウェッジヒール /(n) wedge heel/wedgie/
ウェッディング /(n) wedding/
ウェッデルアザラシ /(n) (uk) Weddell seal (Leptonychotes weddellii)/
ウェッデル海豹 [ウェッデルあざらし] /(n) (uk) Weddell seal (Leptonychotes weddellii)/
ウェット /(adj-na,n) wet/
ウェットスーツ /(n) wet suit/
ウェットストーン /(n) (comp) Whetstone/
ウェットティッシュ /(n) wet wipes/moist towelette/baby wipes/
ウェットフライ /(n) wet fly/
ウェッブ /(n,adj-no) (1) web/(2) (comp) World Wide Web/WWW/Web/
ウェディング /(n) wedding/
ウェディングケーキ /(n) wedding cake/
ウェディングドレス /(n) wedding dress/(P)/
ウェディングブルー /(n) pre-nuptial doubts (wasei: wedding blue)/
ウェディングベール /(n) wedding veil/
ウェディングベル /(n) wedding bell/
ウェディングマーチ /(n) wedding march/
ウェディングリング /(n) wedding ring/
ウェヌス /(n) Venus/
ウェハ /(n) wafer/
ウェハー /(n) wafer/
ウェファ /(n) wafer/
ウェファース /(n) wafers/
ウェブ /(n,adj-no) (1) web/(2) (comp) World Wide Web/WWW/Web/(P)/
ウェブアーカイブ /(n) (comp) Web archive/
ウェブアドレス /(n) (comp) Web address/
ウェブアプリケーション /(n) (comp) web application/
ウェブエクスプローラ /(n) (comp) Web Explorer/
ウェブカム /(n) webcam/
ウェブカメラ /(n) (comp) web camera/webcam/
ウェブサーバ /(n) (comp) Web server/
ウェブサーバー /(n) (comp) Web server/
ウェブサービス /(n) web service/web services/
ウェブサーファー /(n) (comp) Web surfer/
ウェブサイト /(n) (comp) web site/website/(P)/
ウェブジン /(n) (comp) WebZine/
ウェブティービー /(n) (comp) WebTV/
ウェブテキスト /(n) (comp) Web text/text from the Web/
ウェブデービー /(n) (comp) WebDB/
ウェブデザイナ /(n) (comp) web designer/
ウェブデザイン /(n) web design/
ウェブデュー /(n) (comp) WebdeW/
ウェブトラフィック /(n) web traffic/
ウェブフォーム /(n) web form/
ウェブブラウザ /(n) (comp) web browser/web-browsing software/
ウェブブラウザー /(n) (comp) web browser/web-browsing software/
ウェブベース企業管理 [ウェブベースきぎょうかんり] /(n) (comp) Web-Based Enterprise Management/WBEM/
ウェブページ /(n) (comp) Web page/(P)/
ウェブページテキスト /(n) (comp) Web-page text/
ウェブマスター /(n) (comp) Webmaster/
ウェブログ /(n) weblog/blog/(P)/
ウェブ検索 [ウェブけんさく] /(n) web search/
ウェブ上 [ウェブじょう] /(adv) over the Web/
ウェブ拍手 [ウェブはくしゅ] /(n) system for showing appreciation to the author of a web-site (lit: web-applause)/virtual applause/
ウェポン /(n) weapon/
ウェルウィッチア /(n) welwitschia/
ウェルカム /(n) welcome/(P)/
ウェルカムボード /(n) welcome board (e.g. placed outside wedding reception to greet guests, and confirm location)/
ウェルシュコーギー /(n) Welsh corgi/
ウェルダン /(n) well-done/
ウェルディングステーション /(n) welding station/
ウェルニッケ失語症 [ウェルニッケしつごしょう] /(n) Wernicke's aphasia/
ウェルニッケ中枢 [ウェルニッケちゅうすう] /(n) Wernicke's area/
ウェルニッケ領 [ウェルニッケりょう] /(n) (obsc) Wernicke's area/
ウェルニッケ領域 [ウェルニッケりょういき] /(n) (obsc) Wernicke's area/
ウェルネス /(n) wellness/
ウェルプ /(n) whelp/
ウエー /(n) way/
ウエーター /(n) waiter/
ウエーティング /(n) (abbr) waiting game/
ウエーティングサークル /(n) waiting circle (baseball)/on-deck batter's circle/
ウエーティングシステム /(n) waiting system/
ウエーティングルーム /(n) waiting room/
ウエーデルン /(n) wedeling (skiing term) (ger: Wedeln)/
ウエート /(n) (1) wait/(2) weight/
ウエートトレーニング /(n) weight training/
ウエートリフティング /(n) weight lifting/
ウエートレス /(n) waitress/
ウエーバー /(n) (1) waiver/(2) weber (Wb) (unit of magnetic flux)/
ウエーファー /(n) wafer/
ウエーブ /(n,vs) (1) wave (on water)/(2) wave (electromagnetic, sound, etc.)/(3) wavy hairstyle/(4) audience wave/the wave/(n) (5) (comp) WAVeform audio format/WAV/(P)/
ウエーブフロント /(n) wave-front/
ウエア /(n,suf) (1) -ware/(2) -wear (clothing)/(sports) wear/(P)/
ウエアインジケーター /(n) wear indicator/
ウエアハウス /(n) warehouse/
ウエアハウスストア /(n) warehouse store/
ウエイター /(n) waiter/
ウエイト /(n) (1) wait/(2) weight/(P)/
ウエイトコントロール /(n) weight control/
ウエイトトレーニング /(n) weight training/
ウエイトリフティング /(n) weight lifting/
ウエイトレス /(n) waitress/
ウエザー /(n) weather/
ウエザーコック /(n) weathercock/
ウエザーマーチャンダイジング /(n) weather merchandising/
ウエス /(n) rag (for wiping)/waste (cloth)/
ウエスタン /(n) Western/(P)/
ウエスタングリップ /(n) Western grip (tennis)/
ウエスタンスイング /(n) western swing/
ウエスタンデジタル /(n) (comp) WesternDigital/
ウエスタンミュージック /(n) Western music/
ウエスタンリーグ /(n) Western league/
ウエスティングハウス /(n) Westinghouse/
ウエスト /(n) (1) waist/(2) west/(n,vs) (3) waste/(P)/
ウエストアフリカンスペードフィッシュ /(n) West African spadefish (Chaetodipterus lippei, species of Eastern Atlantic spadefish found from Senegal to Angola)/
ウエストエンド /(n) West End/
ウエストコースト /(n) West Coast/
ウエストコート /(n) waistcoat/
ウエストサイド /(n) West Side/
ウエストナイルウイルス /(n) West Nile virus/
ウエストナイル熱 [ウエストナイルねつ] /(n) West Nile fever/
ウエストニッパー /(n) waist nipper/
ウエストバッグ /(n) waist pouch/waist bag/
ウエストボール /(n) waste ball (baseball)/taking a pitch/
ウエストポイント /(n) West Point/
ウエストモール /(n) weatherstrip molding/weatherstrip moulding/
ウエストライン /(n) waistline/
ウエッジ /(n) wedge/
ウエッジソール /(n) wedge sole/
ウエッディング /(n) wedding/
ウエット /(adj-na,n) wet/(P)/
ウエットカット /(n) wet cut/
ウエットクリーニング /(n) wet cleaning/
ウエットコア /(n) wet core/
ウエットスーツ /(n) wet suit/
ウエットフライ /(n) wet fly/
ウエディング /(n) wedding/
ウエディングケーキ /(n) wedding cake/
ウエディングドレス /(n) wedding dress/(P)/
ウエディングベール /(n) wedding veil/
ウエディングベル /(n) wedding bell/
ウエディングマーチ /(n) wedding march/
ウエディングリング /(n) wedding ring/
ウエハー /(n) wafer/
ウエハース /(n) wafers/
ウエハスケールインテグレーション /(n) (comp) wafer-scale integration/
ウエブ /(n,adj-no) (1) web/(2) (comp) World Wide Web/WWW/Web/
ウエブサイト /(n) (comp) web site/website/
ウエブマスター /(n) (comp) Webmaster/
ウエポン /(n) weapon/
ウエルカム /(n) welcome/(P)/
ウエルカムドリンク /(n) free drink served to hotel guests upon arrival (from welcome drink)/
ウエルカムプラン２１ [ウエルカムプランにじゅういち] /(n) Welcome Plan 21/
ウエルター級 [ウエルターきゅう] /(n) welterweight class (boxing)/
ウエルダン /(n) well-done/
ウエルネス /(n) wellness/
ウエンズデー /(n) Wednesday/
ウォーカー /(n) walker/
ウォーカソン /(n) walkathon/
ウォーキートーキー /(n) walkie-talkie/
ウォーキールッキー /(n) walkie-lookie/
ウォーキング /(n) walking/
ウォーキングシューズ /(n) walking shoes/
ウォーキングディクショナリー /(n) walking dictionary/
ウォーク /(n) walk/
ウォークインクロゼット /(n) walkin closet/
ウォークスルー /(n) (comp) (structured) walk through/
ウォークマン /(n) Walkman/(P)/
ウォークライ /(n) war cry/
ウォークラリー /(n) walk rally/
ウォーゲーム /(n) war game/
ウォーサ /(n) (comp) WOSA/
ウォータ /(n) water/
ウォーター /(n) water/
ウォーターカラー /(n) watercolor/watercolour/
ウォータークーラー /(n) watercooler/water cooler/
ウォータークレス /(n) watercress/
ウォータークロゼット /(n) water closet/
ウォーターゲート /(n) Watergate/
ウォーターゲート事件 [ウォーターゲートじけん] /(n) Watergate scandal/
ウォーターシュート /(n) water chute/
ウォータージャケット /(n) water jacket/
ウォータースパニエル /(n) water spaniel/
ウォータースライダー /(n) water slide/water slider/
ウォータータイト /(n) watertight/
ウォーターハザード /(n) water hazard/
ウォーターフォール /(n) waterfall/
ウォーターフロント /(n) waterfront/
ウォータープルーフ /(n) waterproof/
ウォーターベッド /(n) waterbed/
ウォーターボーディング /(n) waterboarding/
ウォーターポロ /(n) water polo/
ウォーターメロン /(n) watermelon/
ウォーターヤム /(n) (obsc) water yam (Dioscorea alata)/winged yam/purple yam/
ウォータフォール /(n) waterfall/
ウォーダイヤラ /(n) (comp) war dialer/
ウォーダイヤリング /(n) (comp) war dialing/
ウォードライビング /(n) (comp) war driving/
ウォードローブ /(n) wardrobe/
ウォードロウブ /(n) wardrobe/
ウォーニング /(n) warning/
ウォーニングランプ /(n) warning lamp/
ウォーホール型ワーム [ウォーホールかたワーム] /(n) (comp) Warhol worm/
ウォーマー /(n) warmer/
ウォーミング /(n) warming/
ウォーミングアップ /(n,vs) warming-up/
ウォーム /(n) (1) worm/(2) warm/
ウォームアップ /(n,vs) warm-up/
ウォームギア /(n) worm gear/
ウォームスタート /(n) (comp) warm start/
ウォームビズ /(n) WARM BIZ (Japanese government campaign encouraging companies to set their heater thermostats to 20 degrees Celsius over the winter)/
ウォームブート /(n) (comp) warm boot/
ウォーム歯車 [ウォームはぐるま] /(n) worm gear/
ウォーラント /(n) warrant/
ウォール /(n) wall/
ウォールアイ /(n) walleye (Sander vitreus)/
ウォールサーキットブレーカ /(n) (comp) wall circuit breaker/
ウォールツ /(n) waltz/
ウォールナット /(n) walnut/
ウォールフラワー /(n) wallflower/
ウォールペーパー /(n) (comp) wall paper/
ウォール街 [ウォールがい] /(n) Wall Street/(P)/
ウォーレス線 [ウォーレスせん] /(n) Wallace's line (hypothetical line separating the Oriental and Australian zoogeographical regions)/
ウォシュレット /(n) toilet seat with bidet functions (wasei: wash toilet)/
ウォストーク /(n) Vostok (rus:)/
ウォッカ /(n) vodka (rus:)/(P)/
ウォッシャー /(n) washer/
ウォッシャブル /(adj-f) washable/
ウォッシュアンドウェア /(n) wash-and-wear/
ウォッシュアンドウエア /(n) wash-and-wear/
ウォッシュレット /(n) toilet seat with bidet functions (wasei: wash toilet)/
ウォッチ /(n,vs) (1) watch (timepiece)/(2) watch (turn to watch or guard something)/
ウォッチドッグ /(n) watchdog/surveillance/
ウォッチドッグタイマ /(n) (comp) watchdog timer/
ウォッチドッグタイマー /(n) (comp) watchdog timer/
ウォッチドッグドライバ /(n) (comp) watchdog driver/
ウォッチマン /(n) watchman/
ウォッチャー /(n) (comp) (industry) watcher/analyst/
ウォッチング /(n) watching/(P)/
ウォツカ /(n) vodka (rus:)/
ウォトカ /(n) vodka (rus:)/
ウォビゴン /(n) wobbegong (eleven species of carpet shark in the family Orectolobidae)/
ウォラント /(n) warrant/
ウォルナット /(n) walnut/
ウォルフ /(n) wolf/
ウォルフラム /(n) tungsten (ger: Wolfram)/wolfram/
ウォレット /(n) wallet/
ウォレマイパイン /(n) Wollemi pine (Wollemia nobilis)/
ウォン /(n) won (unit of Korean currency) (kor:)/(P)/
ウォンテット /(n) wanted/
ウォンテッド /(adj-no) wanted/
ウォンド /(n) (1) wand/
ウォンバット /(n) wombat/
ウオー /(n) war/
ウオーカー /(n) walker/
ウオーキング /(n) walking/
ウオーキングシューズ /(n) walking shoes/
ウオーキングディクショナリー /(n) walking dictionary/
ウオーク /(n) walk/
ウオークインクロゼット /(n) walk-in closet/
ウオークライ /(n) war cry/
ウオーター /(n) water/
ウオータークーラー /(n) watercooler/water cooler/
ウオータークレス /(n) watercress/
ウオータークロゼット /(n) water closet/
ウオーターシュート /(n) water chute/
ウオータージェット /(n) waterjet/
ウオータースポット /(n) water spot/
ウオータースライダー /(n) water slide/water slider/
ウオーターハザード /(n) water hazard/
ウオーターバス /(n) water bath/
ウオーターフロント /(n) waterfront/
ウオータープルーフ /(n) waterproof/
ウオーターポロ /(n) water polo/
ウオーデン /(n) warden/
ウオーニング /(n) warning/
ウオーマー /(n) warmer/
ウオーミングアップ /(n,vs) warming-up/
ウオームアップ /(n,vs) warm-up/
ウオームカラー /(n) warm color/
ウオームギア /(n) worm gear/
ウオール /(n) wall/
ウオッカ /(n) vodka (rus:)/
ウオッシャブル /(adj-no) washable/
ウオッシュ /(n,vs) wash/
ウオッシュアンドウエア /(n) wash-and-wear/
ウオッチ /(n,vs) (1) watch (timepiece)/(2) watch (turn to watch or guard something)/
ウオッチポケット /(n) watch pocket/
ウオッチャー /(n) watcher/
ウオッチング /(n) watching/
ウオツカ /(n) vodka (rus:)/
ウオノエ科 [ウオノエか] /(n) Cymothoidae (family of isopods)/
ウオルナット /(n) walnut/
ウオン /(n) won (unit of Korean currency) (kor:)/(P)/
ウガンダ /(n,adj-no) Uganda/
ウキウキ /(adv,adv-to,vs) (uk) cheerful/buoyant/cheery/lighthearted/
ウキゴリ /(n) (1) (uk) common freshwater goby (Gymnogobius urotaenia)/(2) floating goby (Gymnogobius petschiliensis)/(3) Gymnogobius opperiens (fish)/(4) isaza goby (Gymnogobius isaza)/
ウキヤガラ /(n) (uk) Scirpus yagara (species of club-rush)/
ウクライナ /(n) Ukraine/(P)/
ウクライナヤツメ属 [ウクライナヤツメぞく] /(n) Eudontomyzon (genus of lamprey in the family Petromyzontidae)/
ウクレレ /(n) ukulele/(P)/
ウグイ /(n) (uk) Japanese dace (Tribolodon hakonensis)/
ウグイス /(n) (1) (uk) Japanese bush warbler/Japanese nightingale (Cettia diphone)/(2) (abbr) greenish brown/(n-pref) (3) having a beautiful voice/
ウグイスガイ /(n) (uk) Pteria brevialata (species of wing oyster)/
ウケクチウグイ /(n) (uk) Tribolodon nakamurai (species of cyprinid)/
ウコギ /(n) (uk) fiveleaf aralia (Acanthopanax sieboldianus)/
ウコギ科 [ウコギか] /(n) Araliaceae (plant family)/aralia or ginseng/
ウコン /(n) (uk) turmeric (Curcuma domestica)/
ウサギ /(n) (uk) rabbit/hare/cony/
ウサギ科 [ウサギか] /(n) Leporidae/Leporids/
ウサギ跳び [ウサギとび] /(n,vs) jumping along in a squatting position/rabbit jumping/
ウシアブ /(n) (uk) Tabanus trigonus (species of horsefly)/
ウシエビ /(n) (uk) giant tiger prawn (Penaeus monodon)/black tiger prawn/
ウシガエル /(n) (uk) American bullfrog (Lithobates catesbeianus)/
ウシザメ /(n) (uk) bull shark (Carcharhinus leucas)/
ウシツツキ /(n) (uk) oxpecker/
ウシノケグサ /(n) (uk) sheep's fescue (Festuca ovina)/
ウシバエ /(n) (uk) ox warble fly (Hypoderma bovis)/
ウスケ /(n) whisky/whiskey/
ウスターソース /(n) Worcester (Worcestershire) sauce/
ウスバカゲロウ /(n) (uk) ant lion (esp. species Hagenomyia micans)/
ウスバハギ /(n) (uk) unicorn leatherjacket (Aluterus monoceros)/
ウスベニタチアオイ /(n) (uk) common marshmallow (Althaea officinalis)/marsh mallow/
ウスユキソウ /(n) (uk) Leontopodium japonicum (species of perennial closely related to edelweiss)/
ウスユキバト /(n) (uk) diamond dove (Geopelia cuneata)/
ウズベキスタン /(n) Uzbekistan/
ウズラ /(n) (1) (uk) quail/(2) Japanese quail (Coturnix japonica)/
ウズラクイナ /(n) (uk) corn crake/corncrake/land rail (Crex crex)/
ウソ /(n) (uk) Eurasian bullfinch (Pyrrhula pyrrhula)/Japanese bullfinch/
ウゾ /(n) ouzo (gre:)/
ウタリ /(n) (1) human (in Ainu) (ain:)/one's fellow man/kin/comrade/(2) self-referential term used by the Ainu about their people/
ウダイカンバ /(n) (uk) monarch birch (Betula maximowicziana)/Japanese birch/
ウチナーグチ /(n) (uk) words and phrases only used in Okinawa/Okinawa dialect/
ウチワエビ /(n) (uk) fan lobster (Ibacus spp., esp. the Japanese fan lobster, Ibacus ciliatus)/sand crayfish/
ウチワシュモクザメ /(n) (uk) bonnethead (Sphyrna tiburo, species of hammerhead shark found in the Western Hemisphere)/
ウチワヤンマ /(n) (uk) Sinictinogomphus clavatus (species of clubtail dragonfly)/
ウッ /(int) oof/ough/ulp/
ウッズクロミス /(n) Wood's chromis (Chromis woodsi)/
ウッディー /(n) woody/
ウッド /(n) wood/(P)/
ウッドカーペット /(n) wood carpet/fabric (or linoleum) backed wooden floor covering/
ウッドクラフト /(n) woodcraft/
ウッドクリップ /(n) wooden clip/wooden clothespin/
ウッドストックフェスティバル /(n) Woodstock Music and Art Festival (1969)/
ウッドチップ /(n) woodchip/
ウッドチップコース /(n) woodchip course/
ウッドチャック /(n) woodchuck/
ウッドパルプ /(n) woodpulp/
ウッドブロック /(n) woodblock (musical instrument)/
ウッドペッカー /(n) woodpecker/
ウッドメタル /(n) Wood's metal/
ウツボ /(n) (uk) moray (eel) (Gymnothorax kidako)/muraenid/
ウツボグサ /(n) (uk) common self-heal (Prunella vulgaris subsp. asiatica)/common selfheal/
ウド /(n) (uk) udo (plant related to ginseng, used in medicine and cooking) (Aralia cordata)/
ウドムルト語 [ウドムルトご] /(n) Udmurt (language)/
ウドンコ病 [ウドンコびょう] /(n) powdery mildew/
ウニ /(n,adj-no) sea urchin/sea urchin eggs/
ウネウ /(n) fur seal (esp. the northern fur seal, Callorhinus ursinus) (ain:)/
ウバーレ /(n) uvala (composite karst depression) (ger: Uvale)/
ウバウオ /(n) (uk) Aspasma minima (species of clingfish)/
ウバガイ /(n) (uk) Sakhalin surf clam (Pseudocardium sachalinense)/
ウバザメ /(n) (uk) basking shark (Cetorhinus maximus)/
ウバザメ科 [ウバザメか] /(n) Cetorhinidae (family whose only member is the basking shark)/
ウバザメ属 [ウバザメぞく] /(n) Cetorhinus (sole genus of the only species of basking shark in the family Cetorhinidae)/
ウバタマ /(n,adj-no) (1) jet black/pitch dark/(n) (2) (uk) peyote (Lophophora williamsii)/mescaline/
ウバヒガン /(n) (uk) (obsc) double weeping rosebud cherry (Prunus pendula)/
ウバメガシ /(n) (uk) ubame oak (Quercus phillyraeoides)/
ウパニシャッド /(n) Upanishad (sacred Hindu treatises) (san: Upanisad)/
ウフッ /(n,adv-to) chuckle/chuckling/
ウベ /(n) water yam (Dioscorea alata) (fil: ube)/winged yam/purple yam/
ウマゴヤシ /(n) (1) toothed medick (Medicago polymorpha)/hairy medick/bur clover/(2) (col) white clover (Trifolium repens)/
ウマン /(n,adj-no) woman/
ウミイグアナ /(n) (uk) marine iguana (Amblyrhynchus cristatus)/
ウミウ /(n) (uk) Japanese cormorant (Phalacrocorax capillatus)/Temminck's cormorant/
ウミウシ /(n) (uk) sea slug (various orthogastropod species, esp. of order Nudibranchia)/nudibranch/
ウミエラ /(n) (uk) sea pen (any coelenterate of the family Pennatulidae or related families)/sea feather/
ウミガラス /(n) (uk) common murre/common guillemot (Uria aalge)/
ウミグモ類 [ウミグモるい] /(n) sea spiders (Pycnogonida spp.)/
ウミケムシ /(n) (uk) Chloeia flava (species of bristle worm)/
ウミサソリ /(n) (uk) eurypterid/
ウミザリガニ /(n) (uk) (obsc) lobster/
ウミスズメ /(n) (1) (uk) murrelet (esp. the ancient murrelet, Synthliboramphus antiquus)/(2) roundbelly cowfish (Lactoria diaphana)/
ウミタケガイ /(n) (uk) dilate piddock (Barnea dilatata)/
ウミタナゴ /(n) (uk) sea chub (Ditrema temminckii temminckii)/
ウミツバメ /(n) (uk) storm petrel (any bird of family Hydrobatidae)/
ウミヅキチョウチョウウオ /(n) bluelashed butterflyfish (Chaetodon bennetti)/Bennett's butterflyfish/
ウミテング /(n) (uk) short dragonfish (Eurypegasus draconis)/
ウミニナ /(n) (uk) many-formed cerith (Batillaria multiformis)/
ウミバト /(n) (uk) pigeon guillemot (Cepphus columba)/
ウミヒゴイ /(n) yellow striped goatfish (Parupeneus chrysopleuron)/
ウミヒゴイ属 [ウミヒゴイぞく] /(n) Parupeneus (genus of goatfishes of the family Mullidae)/
ウミヘビ /(n) (1) (uk) sea snake/(2) (uk) worm eel (Ophichthidae spp.)/snake eel/
ウミヤツメ /(n) sea lamprey (Petromyzon marinus)/
ウミヤツメ属 [ウミヤツメぞく] /(n) Petromyzon (genus of lamprey in the family Petromyzontidae)/
ウミユリ /(n) (uk) sea lily/crinoid/
ウミワニ /(n) (obsc) (uk) saltwater crocodile (Crocodylus porosus)/estuarine crocodile/
ウムラウト /(n) umlaut (ger:)/
ウムラウト符号 [ウムラウトふごう] /(n) umlaut/
ウメ /(n) (1) plum/Japanese apricot/prunus mume/(2) lowest (of a three-tier ranking system)/
ウメバチソウ /(n) (uk) marsh grass of Parnassus (Parnassia palustris)/
ウメモドキ /(n) (uk) Japanese winterberry/Ilex serrata/
ウラウズガイ /(n) (uk) Astralium haematragum (species of turban shell)/
ウラウチイソハゼ /(n) Eviota ocellifer (species of pygmy goby from the Ryukyu Islands, Japan)/
ウラウチフエダイ /(n) (uk) Papuan black snapper (Lutjanus goldiei)/
ウラウラ /(adv-to) (on-mim) gently and clearly shining (like the sun in springtime)/
ウラシマソウ /(n) (uk) Arisaema urashima (species of cobra lily)/
ウラシマチョウチョウウオ /(n) guyot butterflyfish (Prognathodes guyotensis)/
ウラシル /(n) uracil/
ウラジロノキ /(n) fern with white-backed leaves/sorbus japonica/
ウラニウム /(n) uranium (U) (ger: Uran)/(P)/
ウラヌス /(n) Uranus/
ウラノス /(n) Uranus/
ウラバナ /(n) story not generally known/inside story/the real story (behind something)/
ウラマー /(n) ulama (body of authoritative Muslim scholars) (ara:)/ulema/
ウラルアルタイ語族 [ウラルアルタイごぞく] /(n) (ling) Ural-Altaic/
ウラル語族 [ウラルごぞく] /(n) Uralic (family of languages)/
ウラン /(n) uranium (U) (ger: Uran)/(P)/
ウラン・ガラス /(n) uranium glass/
ウラン２３５ [ウランにひゃくさんじゅうご] /(n) uranium-235 (U-235)/
ウランガラス /(n) uranium glass/
ウラン鉛法 [ウランなまりほう] /(n) uranium-lead method/
ウラン系列 [ウランけいれつ] /(n) uranium series/
ウラン鉱 [ウランこう] /(n) uranium ore/
ウラン二三五 [ウランにひゃくさんじゅうご] /(n) uranium-235 (U-235)/
ウラン濃縮 [ウランのうしゅく] /(n) uranium enrichment/
ウリザネジョウチュウ /(n) (uk) dog tapeworm (Dipylidium caninum)/cucumber tapeworm/double-pore tapeworm/
ウリジン /(n) uridine/
ウリノキ /(n) alangium platanifolium var. trilobum/
ウリノキ科 [ウリノキか] /(n) Alangiaceae (plant family)/(common name) the Alangium family/
ウリハムシ /(n) (uk) cucurbit leaf beetle (Aulacophora femoralis)/
ウリバエ /(n) (uk) (obsc) cucurbit leaf beetle (Aulacophora femoralis)/
ウリミバエ /(n) (uk) melon fly (Bactrocera cucurbitae)/
ウリ専 [ウリせん] /(n) (1) male prostitute/rent boy/rentboy/(2) gay brothel/
ウルカヌス /(n) Vulcan (Roman god) (lat: Vulcanus)/
ウルガタ /(n) Vulgate (Catholic Latin bible) (lat:)/
ウルグアイ /(n) Uruguay/(P)/
ウルグアイラウンド /(n) Uruguay round/
ウルシオール /(n) urushiol/
ウルシ科 [ウルシか] /(n) Anacardiaceae (plant family)/(common name) the sumac family/
ウルツ鉱 [ウルツこう] /(n) wurtzite/
ウルティマ /(n) (comp) Ultima/
ウルトラ /(n) ultra/(P)/
ウルトラスカジー /(n) (comp) Ultla SCSI/
ウルトラスパーク /(n) (comp) UltraSPARC/
ウルトラナショナリズム /(n) ultranationalism/
ウルトラマリン /(n) ultramarine/
ウルトラモダン /(n) ultramodern/
ウルトラモバイルＰＣ [ウルトラモバイルピーシー] /(n) (comp) ultra-mobile PC/
ウルトラモンタニズム /(n) ultramontanism/
ウルドゥー語 [ウルドゥーご] /(n) Urdu (language)/
ウルフ /(n) wolf/(P)/
ウルフハウンド /(n) wolfhound/
ウルメ /(n) (uk) (abbr) round herring (Etrumeus teres)/
ウルメイワシ /(n) (uk) round herring (Etrumeus teres)/
ウレアーゼ /(n) urease/
ウレタン /(n) (1) urethane foam (ger: Urethan)/(2) polyurethane/
ウレタンゴム /(n) (abbr) polyurethane rubber (ger: Urethan, dut: gom)/
ウレタンフォーム /(n) Urethane foam/
ウレタン樹脂 [ウレタンじゅし] /(n) urethane resin/
ウロつく /(v5k,vi) (1) (uk) to loiter/to putter/to prowl/to wander aimlessly/to knock around/(2) to be confused from not knowing what to do/
ウロキナーゼ /(n) urokinase/
ウロコベニハゼ /(n) Emery's goby (Trimma emeryi)/
ウロハゼ /(n) (uk) Glossogobius olivaceus (species of goby)/
ウロビリノーゲン /(n) urobilinogen/
ウロビリノゲン /(n) urobilinogen/
ウロビリン /(n) urobilin/
ウロボロス /(n) uroboros/ouroboros (image of a serpent or dragon swallowing its own tail)/
ウロン酸 [ウロンさん] /(n) uronic acid/
ウワミズザクラ /(n) (uk) Japanese bird cherry (Prunus grayana)/Gray's bird cherry/Gray's chokecherry/
ウヰスキー /(n) whisky/whiskey/
ウヰスケ /(n) whisky/whiskey/
ウンウン /(int) uh-huh/sound indicating agreement/grunting or groaning sound/
ウンウンオクチウム /(n) ununoctium (Uuo)/
ウンウンクアジウム /(n) ununquadium (Uuq)/
ウンウンセプチウム /(n) Ununseptium (Uus)/
ウンウントリウム /(n) ununtrium (Uut)/
ウンウンビウム /(n) ununbium (Uub)/
ウンウンヘキシウム /(n) ununhexium (Uuh)/
ウンウンペンチウム /(n) ununpentium (Uup)/
ウンカ /(n) (uk) plant hopper (any insect of family Delphacidae)/leafhopper/
ウンシュウミカン /(n) satsuma mandarin (Citrus unshiu)/
ウンスンカルタ /(n) Edo-period Japanese card game (por: um sum carta)/
ウンタイ /(n) rape (seed oil plant, Brassica campestris)/Chinese colza/yuntai/
ウンダイ /(n) rape (seed oil plant, Brassica campestris)/Chinese colza/yuntai/
ウンディーネ /(n) undine/
ウンピョウ /(n) (uk) clouded leopard (Neofelis nebulosa)/
ウ音便 [ウおんびん] /(n) euphonic change wherein some mora ('ku', 'gu', 'hi', 'bi' and 'mi') are pronounced 'u'/
ウ冠 [ウかんむり] /(n) "roof" kanji radical at top (radical 40)/
エーアールジェイ /(n) (comp) ARJ/
エーアイエックス /(n) (comp) AIX/
エーアイエフ /(n) (comp) AIF/
エーアイエフエフ /(n) (comp) AIFF/
エーアイエムエム /(n) (comp) AIMM/
エーエスーピーアイ /(n) (comp) ASPI/
エーエスピー /(n) (comp) ASP/
エーエスヨンヒャク /(n) (comp) AS-400/
エーエヌエス /(n) (comp) ANS/
エーエフエス /(n) (comp) AFS/
エーエムーディー /(n) (comp) AMD/
エーエムディーケーシックス /(n) (comp) AMD-K6/
エーエムディーケーセブン /(n) (comp) AMD-K7/
エーエルユー /(n) (comp) ALU/
エーカー /(n) acre/
エークラス /(n) A class/
エーゲ文明 [エーゲぶんめい] /(n) Aegean civilization/
エーコッコシー /(adj-f) (ksb:) someone who is overly concerned with status. Can be used enviously with reference to someone of real accomplishment/
エーコン管 [エーコンかん] /(n) acorn tube/
エーシック /(n) (comp) ASIC/
エージ /(n) age/
エージェンシー /(n) agency/(P)/
エージェント /(n) agent/(P)/
エージェントの役割 [エージェントのやくわり] /(n) (comp) agent role/
エージェントオレンジ /(n) Agent Orange (dioxin-laden defoliant used during the Vietnam War)/
エージェント指向 [エージェントしこう] /(n) (comp) agent oriented/
エージグループ /(n) age-group/
エージシューター /(n) age shooter/
エージズム /(n) agism/ageism/
エージドビーフ /(n) aged beef/
エージレス /(adj-no) ageless/
エージング /(n) aging/ageing/
エージント /(n) (comp) agent/
エース /(n) ace/(P)/
エースアタッカー /(n) ace attacker/
エーススパイカー /(n) ace spiker/
エーティーアンドティー /(n) (comp) AT&T/
エーティーエー /(n) (comp) ATA/
エーティーコマンド /(n) (comp) AT command/
エーテル /(n) ether (dut:)/
エーテル結合 [エーテルけつごう] /(n) ether linkage/
エーディーオー /(n) (comp) ADO/
エーディーコンバーター /(n) A-D converter/
エーディージェイ /(n) (comp) ADJ/
エーディービー /(n) (comp) ADB/
エーディーピーシーエム /(n) (comp) ADPCM/
エーデルワイス /(n) alpine flower (ger: Edelweiss)/
エートゥビー /(n) (comp) A-to-B/
エートス /(n) ethos/
エービーイー /(n) (comp) ABE/
エービーシー /(n) alphabet/ABC/
エービー型 [エービーがた] /(n) type AB (blood, etc.)/
エーピーアイ /(n) (comp) API/
エーピーエル /(n) (comp) APL/
エーブイアイ /(n) (comp) AVI/
エープリル /(n) April/
エープリルフール /(n) April fool/April Fool's Day/April Fools' Day/
エーユーエックス /(n) (comp) A-UX/
エーリアン /(n) alien/
エール /(n) (1) yell/cheerleading shout/(2) ale/(P)/
エールフランス /(n) Air France/
エーログラム /(n) aerogram/aerogramme/
エーロゾル /(n) aerosol/
エー型 [エーがた] /(n) type A (blood, influenza, hepatitis, etc.)/
エー系 [エーけい] /(n,adj-no) (abbr) (sl) Akihabara style/nerdy/
エア /(n) air/(P)/
エアー /(n) air/(P)/
エアーエヌエフエス /(n) (comp) AIR NFS/
エアーパッキン /(n) plastic packing material with air bubbles (wasei: air packing)/bubble wrap/
エアーマネジメント /(n) air management/
エアウェー /(n) airway/
エアカーゴ /(n) air cargo/
エアカーテン /(n) air curtain/
エアガール /(n) air girl/stewardess/
エアガン /(n) air gun/
エアキャップ /(n) (1) plastic packing material with air bubbles (wasei: air cap)/bubble wrap/(2) cap on a tyre valve/(3) brand of lawn mower/
エアギター /(n) air guitar (imaginary instrument used when pretending to play the guitar)/
エアクッション /(n) air cushion/
エアクラフト /(n) aircraft/
エアクリーナー /(n) air cleaner/
エアコン /(n,adj-no) air-conditioner/air-conditioning/(P)/
エアコンディショナー /(n) air conditioner/
エアコンディショニング /(n) air-conditioning/
エアコンプレッサー /(n) air compressor/
エアサービス /(n) air service/
エアサイクルシステム /(n) air circulating system/
エアサス /(n) (abbr) air suspension/
エアサスペンション /(n) air suspension/
エアシック /(n) air sick/
エアシックネス /(n) airsickness/
エアシックバッグ /(n) airsick bag/
エアシップ /(n) airship/
エアシャトル /(n) air shuttle/
エアシューター /(n) pneumatic tube (wasei: air shooter)/
エアシュート /(n) air shoot/
エアシリンダ /(n) air cylinder/pneumatic cylinder/
エアステーション /(n) air station/
エアゾール /(n) aerosol/(P)/
エアターミナル /(n) air terminal/
エアタオル /(n) air towel/
エアダクト /(n) air duct/
エアダムチーズ /(n) Edam cheese/
エアチェック /(n) air check/
エアチャンバー /(n) air chamber/
エアドーム /(n) air dome/
エアドア /(n) air door/
エアハンマー /(n) air hammer/
エアバス /(n) airbus/
エアバッグ /(n) air bag/(P)/
エアパッド /(n) air pad/
エアピープル /(n) air people/
エアピストル /(n) air pistol/
エアフィールド /(n) airfield/
エアフィルタ /(n) air filter/
エアフィルター /(n) air filter/
エアフォース /(n) air force/
エアブラシ /(n) airbrush/
エアブリージングエンジン /(n) air breathing engine/
エアブレーキ /(n) air brake/
エアプランツ /(n) air plant (Tillandsia)/
エアページェント /(n) air pageant/
エアホール /(n) air hole/
エアホステス /(n) air hostess/stewardess/
エアボーン /(n) airborne/
エアポート /(n) airport/
エアポートタックス /(n) airport tax/
エアポケット /(n) air pocket/
エアポット /(n) air pot/
エアポンプ /(n) air pump/
エアマック /(n) (comp) AirMac/
エアマット /(n) (abbr) air mattress/
エアマネ /(n) (abbr) air management/
エアメール /(n) air mail/(P)/
エアモザイク /(n) (comp) Air Mosaic/
エアモニ /(n) (abbr) on-air monitor/
エアライト /(n) air right/
エアライフル /(n) air rifle/
エアライン /(n) airline/
エアリアル /(n) aerial/
エアリアルスキー /(n) aerial skiing/
エアレーション /(n) aeration/
エアレーションタンク /(n) aeration tank/
エアレション /(n,vs) aeration/
エアロ /(n) (abbr) aerobics/
エアログラム /(n) aerogram/aerogramme/
エアロゾル /(n) aerosol/
エアロダイナミックス /(n) aerodynamics/
エアロック /(n) air lock/
エアロノート /(n) aeronaut/
エアロバイク /(n) exercise bike (wasei: aero(bic) bike)/
エアロビ /(n) (abbr) aerobics/
エアロビクス /(n) aerobics/(P)/
エアロビサイズ /(n,vs) aerobicising/exercising with aerobics/
エアロビックダンシング /(n) aerobic dancing/
エアロビックフィットネス /(n) aerobic fitness/
エイ /(n) (uk) ray (fish)/stingray/
エイコサペンタエン酸 [エイコサペンタエンさん] /(n) eicosapentaenoic acid/EPA/
エイコンドライト /(n) achondrite/
エイジス /(n) (1) aegis (mythical shield)/(2) Aegis (system)/Aegis (missile guidance system)/
エイジス艦 [エイジスかん] /(n) Aegis ship/
エイジズム /(n) ageism/
エイジング /(n) aging/ageing/
エイズウイルス /(n) AIDS virus/
エイズワクチン /(n) AIDS vaccine/
エイダ /(n) (comp) Ada/
エイチエスブイ /(n) (comp) HSV/
エイチエムエー /(n) (comp) HMA/
エイチティーエムエル /(n) (comp) HTML/
エイチティーティーピーディー /(n) (comp) httpd/
エイチディー /(n) (comp) HD/
エイチディーエルシー /(n) (comp) HDLC/
エイチピーエフエス /(n) (comp) HPFS/
エイチピーユーエックス /(n) (comp) HP-UX/
エイティーン /(n) eighteen/
エイト /(n) eight/(P)/
エイトック /(n) (comp) ATOK (Advanced Technology Of Kana-kanji transfer)/
エイトビート /(n) eight beat/
エイド /(n) aid/
エイドス /(n) (1) form (in Aristotelian philosophy) (gre: eidos)/(2) idea (in Platonic philosophy)/
エイドリス /(n) (comp) EDLIS/
エイプリルフール /(n) April fool/April Fool's Day/April Fools' Day/(P)/
エイペック /(n) Asia-Pacific Economic Cooperation/APEC/
エイラクブカ /(n) Japanese topeshark (Hemitriakis japanica)/
エイラクブカ属 [エイラクブカぞく] /(n) Hemitriakis (genus of houndshark in the family Triakidae)/
エイランタイ /(n) (uk) (obsc) Iceland moss (Cetraria islandica)/Iceland lichen/
エイリアシング /(n) (comp) aliasing/
エイリアス /(n) alias/
エイリアン /(n) alien/(P)/
エウスタキオ管 [エウスタキオかん] /(n) Eustachian tube/
エウテュプローンのジレンマ /(n) Euthyphro dilemma/
エオアントロプス /(n) (obsc) Piltdown man (manufactured fossil of a fraudulent ape-human missing link, Eoanthropus dawsoni) (lat: Eoanthropus)/
エオシン /(n) eosine/
エオニズム /(n) (obsc) eonism/transvestism/
エオヒップス /(n) eohippus (lat:)/hyracotherium (earliest fossil ancestor of the horse)/
エオラプトル /(n) eoraptor (late-Triassic dinosaur; Eoraptor lunensis) (lat:)/
エオリア旋法 [エオリアせんぽう] /(n) Aeolian mode/
エオルス音 [エオルスおん] /(n) aeolian sound/eolian sound/aeolian tone/
エキウム /(n) echium (flower)/
エキサイティング /(adj-na,n) exciting/(P)/
エキサイティングゲーム /(n) exciting game/
エキサイト /(n,vs) excite/(P)/
エキササイズ /(n,vs) exercise/
エキササイズウォーキング /(n) exercise walking/
エキシビション /(n) exhibition/
エキシビションゲーム /(n) exhibition game or match/
エキジビション /(n) exhibition/
エキジビションゲーム /(n) exhibition game or match/
エキス /(n) (uk) (abbr) extract (esp. of food, fruit, etc.)/essence/(P)/
エキストラ /(n) extra/(P)/
エキストライニング /(n) extra inning/
エキストラクト /(n) extract (dut:)/
エキストラネット /(n) (comp) extra-net/
エキストラベッド /(n) extra bed/
エキストラホール /(n) extra hole (golf)/
エキスパート /(n) expert/(P)/
エキスパートシステム /(n) (comp) expert system/
エキスパンションキャビネットパネル /(n) (comp) expansion cabinet panel/
エキスパンションジョイント /(n) expansion joint/
エキスパンダー /(n) expander/
エキスパンドブック /(n) (comp) Expand Book/
エキスプレス /(n) express/(P)/
エキスプレッション /(n) expression/
エキスポ /(n) expo/exposition/(P)/
エキス剤 [エキスざい] /(n) extract/
エキセントリック /(adj-na,n) eccentric/
エキソヌクレアーゼ /(n) exonuclease/
エキソン /(n) exon/
エキゾースト /(n) exhaust/
エキゾーストパイプ /(n) exhaust pipe/
エキゾチ /(n) exoticism/
エキゾチシズム /(n) exoticism/
エキゾチズム /(n) exoticism/
エキゾチック /(adj-na,n) exotic/(P)/
エキゾチックアニマル /(n) exotic animal (e.g. tarantula)/
エキノコッカス /(n) echinococcus (lat:)/
エキノコッカス症 [エキノコッカスしょう] /(n) echinococcosis/hydatid disease/
エキノコックス /(n) echinococcus (lat:)/
エキノコックス症 [エキノコックスしょう] /(n) echinococcosis/hydatid disease/
エキノマイシン /(n) echinomycin/
エキパイ /(n) (abbr) exhaust pipe/
エキマニ /(n) (abbr) exhaust manifold/
エキュー /(n) European Currency Unit/ECU/
エキュメニズム /(n) ecumenism/
エキュメノポリス /(n) ecumenopolis/
エギーユ /(n) aiguille (sharp rock peak) (fre:)/
エクアドル /(n) Ecuador/(P)/
エクイタブル /(n) equitable/
エクイティ /(n,adj-no) equity/
エクイティー /(n,adj-no) equity/
エクイティーファイナンス /(n) equity finance/
エクイティファイナンス /(n) equity finance/
エクサ /(n,pref) exa-/10^18/
エクササイズ /(n) exercise/
エクサバイト /(n) (comp) Exabyte/
エクジソン /(n) ecdysone/
エクスカーション /(n) excursion/
エクスカーションチケット /(n) excursion ticket/
エクスカーションフェア /(n) excursion fare/
エクスカージョン /(n) excursion/
エクスカリバー /(n) Excalibur/
エクスキューショナー /(n) executioner/
エクスキューズミー /(n) excuse me/
エクスキューター /(n) executor/
エクスクラメーションマーク /(n) exclamation mark/
エクスクルーシブオア /(n) (comp) exclusive OR/
エクスターナル /(n) external/
エクスタシー /(n) ecstasy/
エクスチェンジ /(n) exchange/
エクスチェンジオーダー /(n) exchange order/
エクステ /(n) (abbr) (sl) (hair) extensions/
エクステリア /(n) exterior/
エクステンション /(n) extension/(P)/
エクステント /(n) extent/
エクステンドメモリ /(n) (comp) extended memory/
エクステンドメモリプロック /(n) (comp) extended memory block/EMB/
エクステンドメモリ仕様 [エクステンドメモリしよう] /(n) (comp) extended memory specification/XMS/
エクストラネット /(n) (comp) extra-net (as opposed to Internet)/
エクストリーム /(adj-f) extreme/
エクストリームスポーツ /(n) extreme sports/
エクスパート /(n) expert/
エクスパイア /(n) expire/
エクスプレス /(n) express/(P)/
エクスプレスウエー /(n) expressway/freeway/motorway/highway/
エクスプレッショニズム /(n) expressionism/
エクスプレッション /(n) expression/
エクスプロージョン /(n) explosion/
エクスプロージョンショット /(n) explosion shot/
エクスプローラ /(n) explorer/
エクスプロイテーション /(n) exploitation/
エクスペディション /(n) expedition/
エクスペリエンス /(n) experience/(P)/
エクスペリメント /(n) experiment/
エクスペンシブ /(n) expensive/
エクスペンス /(n) expense/
エクスポ /(n) expo/(international) exposition/
エクスポート /(n,vs) export/
エクスリブリス /(n) ex libris (lat:)/bookplate/
エクスルブリス /(n) ex libris (lat:)/bookplate/
エクセプション /(n) exception/
エクセラン /(n) Excelan/
エクセル /(n) (comp) EXCEL/
エクセルシート /(n) Excel spreadsheet/
エクセレント /(adj-na) excellent/
エクセントリック /(adj-na) eccentric/
エクソシスト /(n) exorcist/
エクソダス /(n) exodus/
エクダイソン /(n) ecdysone/
エクトプラズム /(n) ectoplasm/
エクメーネ /(n) ecumenism (gre: Oekumene, ger:)/
エクリチュール /(n) literature (fre: ecriture)/
エクリプス /(n) eclipse/
エクリン腺 [エクリンせん] /(n) eccrine gland/
エクレーア /(n) eclair (fre:)/
エクレア /(n) eclair (fre:)/
エクレクティシズム /(n) eclecticism/
エクロジャイト /(n) eclogite/
エグザミネーション /(n) examination/
エグザンプル /(n) example/
エグジスタンシアリスム /(n) existentialisme (fre:)/
エグジスタンス /(n) existence/
エグジット /(n) exit/
エグセクティブクラス /(n) executive class/
エグゼキュート /(n) (comp) execute/
エグゼクティブ /(n) executive/(P)/
エグゼック /(n) (comp) exec/
エグゼンプション /(n) exemption/
エグゼンプト /(n) exempt/
エゲレス /(n) (arch) Great Britain (dut: Engelsch)/United Kingdom/
エコ /(n) (abbr) ecology/
エコー /(n,vs) echo/(P)/
エコーキャンセラ /(n) (comp) echo canceller/
エコーキャンセル /(n) (comp) echo cancellation/
エコーチェック /(n) (comp) echo check/
エコーチェンバー /(n) echo chamber/
エコーバック /(n) (comp) echo back/
エコールーム /(n) echo room/
エコールドパリ /(n) Ecole de Paris (fre:)/
エコーロケーション /(n) echolocation/
エコー減衰器 [エコーげんすいき] /(n) (comp) echo suppressor/
エコー葉書 [エコーはがき] /(n) (uk) postcards with the bottom third of the front side reserved for an advertisement, and sold at a lower cost than regular postcards/
エコー立体 [エコーりったい] /(n) (comp) echo area/echo volume/
エコー領域 [エコーりょういき] /(n) (comp) echo area/echo volume/
エコカー /(n) eco-car/
エコサイド /(n) ecocide/
エコシステム /(n) ecosystem/
エコステーション /(n) a service station for cars that run on alternative fuels/
エコツーリズム /(n) ecotourism/
エコツアー /(n) ecotour/
エコノマイザー /(n) economizer (of a boiler)/economiser/
エコノミ /(n) economy/
エコノミー /(n) economy/(P)/
エコノミークラス /(n) economy class/
エコノミークラス症候群 [エコノミークラスしょうこうぐん] /(n) economy class syndrome (occurrence of deep vein thrombosis in air travelers)/
エコノミカル /(adj-na,n) economical/
エコノミクス /(n) economics/
エコノミスト /(n) economist/(P)/
エコノミック /(adj-no) economic/
エコノミックアニマル /(n) economic animal/
エコノミックス /(n) economics/
エコノメトリックス /(n) econometrics/
エコビジネス /(n) eco-business/
エコファーマー /(n) environmentally friendly farmer (as recognized by law) (wasei: eco-farmer)/
エコフェミニズム /(n) ecofeminism/
エコマーク /(n) (abbr) ecological mark/
エコロケーション /(n) echolocation/
エコロジ /(n) ecology/(P)/
エコロジー /(n) ecology/(P)/
エコロジー運動 [エコロジーうんどう] /(n) ecological movement/
エコロジー神学 [エコロジーしんがく] /(n) ecological theology/
エコロジカル /(adj-no) ecological/
エコロジスト /(n) ecologist/
エゴ /(n) ego (lat:)/(P)/
エゴイスティック /(adj-na) egotistic/
エゴイスト /(n) egotist/
エゴイズム /(n) egoism/
エゴティスト /(n) egotist/
エゴティズム /(n) egotism/
エゴノキ /(n) Japanese snowbell/styrax japonica/
エゴノキ科 [エゴノキか] /(n) Styracaceae (plant family)/(common name) the snowball family/
エサキダイオード /(n) Esaki diode/
エサ箱 [エサばこ] /(n) (animal) feed tray/feed trough/feed box/feed bowl/bait box (e.g. for fishing)/
エシェリキア /(n) escherichia coli/
エシェリヒア /(n) escherichia coli/
エシックス /(n) ethics/
エシャレット /(n) shallot (fre: echalote)/
エシャロット /(n) shallot (fre: echalote)/
エジソン効果 [エジソンこうか] /(n) Edison effect (thermionic emission from a heated metal or semiconductor)/
エジブト /(n,adj-no) (uk) Egypt/
エジプト /(n,adj-no) (uk) Egypt/(P)/
エジプトコブラ /(n) Egyptian cobra (from Egypt cobra)/asp (Naja haje)/
エジプトトルコ戦争 [エジプトトルコせんそう] /(n) Turko-Egyptian Wars (1831-1833; 1839-1840)/
エジプト学 [エジプトがく] /(n) Egyptology/
エジプト語 [エジプトご] /(n) Egyptian (language)/
エジプト人 [エジプトじん] /(n) Egyptian (person)/
エジプト文字 [エジプトもじ] /(n) Egyptian script (i.e. hieroglyphs, hieratic, and demotic)/
エス /(n) (1) Jesus (lat:)/
エスアイエー /(n) (comp) SIA/
エスアイエス /(n) (comp) SIS/
エスイー /(n) (comp) SE/
エスイーダブリュービー /(n) (comp) SEWB/
エスエイピー /(n) (comp) SAP/
エスエイピーアールスリー /(n) (comp) SAP R-3/
エスエヌエー /(n) (comp) SNA/
エスエフエー /(n) (comp) SFA/
エスエム /(n) sado-masochism/
エスエムティーピー /(n) (comp) SMTP/
エスエムピー /(n) (comp) SMP/
エスカッション /(n) (1) escutcheon/(2) ornamental plate or flange/
エスカップ /(n) Economic and Social Commission for Asia and the Pacific/ESCAP/
エスカルゴ /(n) (edible) snail (fre: escargot)/
エスカルゴバター /(n) escargot butter/
エスカレーション /(n) escalation/
エスカレータ /(n) escalator/
エスカレーター /(n) escalator/(P)/
エスカレーター学校 [エスカレーターがっこう] /(n) (col) private school that allows students to advance from one stage of education to the next, often kindergarten to university, without taking entrance exams en route/"escalator school"/
エスカレーター校 [エスカレーターこう] /(n) (col) private school that allows students to advance from one stage of education to the next, often kindergarten to university, without taking entrance exams en route/"escalator school"/
エスカレーター条項 [エスカレーターじょうこう] /(n) escalator clause/
エスカレータ学校 [エスカレータがっこう] /(n) (col) private school that allows students to advance from one stage of education to the next, often kindergarten to university, without taking entrance exams en route/"escalator school"/
エスカレータ校 [エスカレータこう] /(n) (col) private school that allows students to advance from one stage of education to the next, often kindergarten to university, without taking entrance exams en route/"escalator school"/
エスカレート /(n,vs) escalate/escalation/(P)/
エスカロープ /(n) escalope (fre:)/
エスカロップ /(n) escalope (fre:)/
エスキス /(n) sketch (fre: esquisse)/
エスキモー /(n) Eskimo/
エスキモー犬 [エスキモーけん] /(n) Eskimo dog/
エスキューエル /(n) (comp) SQL/
エスキューエルサーバ /(n) (comp) SQL Server/
エスキューエルネット /(n) (comp) SQL*Net/
エスキューエルプラス /(n) (comp) SQL*Plus/
エスキューブ /(n) (comp) S3/
エスクリマ /(n) escrima (Filipino marshal art)/
エスクローサービス /(n) (comp) escrow service/
エスクワイア /(n) esquire/
エスケープ /(n,vs) escape/
エスケープキー /(n) (comp) ESC key/
エスケープクローズ /(n) escape clause/
エスケープシークェンス /(n) (comp) escape sequence/
エスケープシーケンス /(n) (comp) escape sequence/
エスケープ文字 [エスケープもじ] /(n) (comp) escape character/ESC/
エスケープ要素 [エスケープようそ] /(n) (comp) escape elements/
エスコート /(n,vs) escort/(P)/
エスコートガール /(n) escort girl/
エスサイズ /(n) S size/small size/
エスシーオー /(n) (comp) SCO/
エスジーエムエル /(n) (comp) SGML/
エスジス /(n) (comp) sjis/
エススリー /(n) (comp) S3/
エスタブリシュメント /(n) establishment/
エスタブリッシュメント /(n) establishment/
エスツェット /(n) eszet (German character for ss)/eszett/
エステ /(adj-na) (1) (abbr) esthetic (fre: esthetique)/aesthetic/(n) (2) (abbr) beauty salon/beauty-treatment clinic/
エステート /(n) estate/(P)/
エスティーエヌ /(n) (comp) STN/
エスティディー /(n) (comp) STD/
エステサロン /(n) (abbr) salon where people go to get makeovers, massages, facials, etc. (wasei: esthetic salon)/beauty salon/
エステシャン /(n) esthetician (fre:)/
エステティシャン /(n) esthetician (fre:)/
エステティック /(adj-f) esthetic (fre: esthetique)/aesthetic/(P)/
エステティックサロン /(n) beauty salon (wasei: esthetic salon)/beauty-treatment clinic/(P)/
エステラーゼ /(n) esterase/
エステル /(n) ester/(P)/
エステル化 [エステルか] /(n,vs) esterification/
エステル記 [エステルき] /(n) Esther (book of the Bible)/
エステル変換 [エステルへんかん] /(n) transesterification/
エスディーケー /(n) (comp) SDK/
エスディーラム /(n) (comp) SD-RAM/
エストッペル /(n) estoppel/
エストニア /(n) Estonia/(P)/
エストニア語 [エストニアご] /(n) Estonian (language)/
エストラゴン /(n) tarragon (fre: estragon)/
エストラジオール /(n) estradiol/oestradiol/
エストリオール /(n) estriol/oestriol/
エストロゲン /(n) estrogen/(P)/
エストロン /(n) estrone/
エスニシズム /(n) ethnicism/
エスニシティ /(n) ethnicity/
エスニシティー /(n) ethnicity/
エスニック /(adj-na,n) ethnic/(P)/
エスニッククレンジング /(n) ethnic cleansing/
エスニックグループ /(n) ethnic group/
エスニックフード /(n) ethnic food/
エスニックファッション /(n) ethnic fashion/
エスニックマイノリティー /(n) ethnic minority/
エスニックルック /(n) ethnic look/
エスニック料理 [エスニックりょうり] /(n) ethnic food (esp. Asian, African, etc.)/
エスノ /(pref) ethno/
エスノグラフィー /(n) ethnography/
エスノサイエンス /(n) ethnoscience/
エスノセントリズム /(n) ethnocentrism/
エスノメソドロジー /(n) ethnomethodology/
エスノロジー /(n) ethnology/
エスパー /(n) ESPer/one who has ESP (extrasensory perception)/
エスパドリーユ /(n) espadrille (type of women's sandals) (fre:)/
エスパニョールソース /(n) sauce Espagnole/
エスピー盤 [エスピーばん] /(n) 78-rpm record/standard-play record/
エスブイアールフォー /(n) (comp) SVR4/
エスブイジーエー /(n) (comp) SVGA/
エスプラネード /(n) esplanade/
エスプリ /(n) esprit (fre:)/spirit/(P)/
エスプリヌーボー /(n) esprit nouveau (fre:)/
エスプレッソ /(n) espresso (coffee) (ita:)/expresso/
エスベース /(n) (comp) Essbase/
エスペラント /(n) Esperanto (epo:)/
エスポワール /(n) hope (fre: espoir)/
エスラム /(n) (comp) SRAM/
エス字型 [エスじがた] /(n) S-shape/
エス波 [エスは] /(n) S-wave (e.g. of earthquake)/secondary wave/
エズラ記 [エズラき] /(n) Ezra (book of the Bible)/
エゼキエル書 [エゼキエルしょ] /(n) Ezekiel (book of the Bible)/
エソ /(n) (uk) lizardfish (any fish of family Synodontidae)/
エソロジー /(n) ethology/science of animal behaviour/science of animal behavior/
エゾクロテン /(n) (uk) Japanese sable (subspecies of sable native to Hokkaido, Martes zibellina brachyura)/
エゾシカ /(n) (uk) Hokkaido sika (deer) (Cervus nippon yesoensis)/Yezo sika/
エゾネギ /(n) (uk) chives (Allium schoenoprasum var. schoenoprasum)/
エゾバイ /(n) (uk) Middendorf's whelk (Buccinum middendorffi)/
エゾバイ科 [エゾバイか] /(n) Buccinidae (family of gastropod mollusc comprising the true whelks)/
エゾヒグマ /(n) (uk) Hokkaido brown bear (Ursus arctos yesoensis)/
エゾボラ /(n) (uk) Ezo neptune (species of whelk, Neptunea polycostata)/
エゾボラモドキ /(n) (uk) double-sculptured neptune (species of whelk, Neptunea intersculpta)/
エゾマツ /(n) (uk) Yezo spruce (Picea jezoensis)/Jezo spruce/
エゾモモンガ /(n) (uk) Pteromys volans orii (subspecies of the Siberian flying squirrel, endemic to Hokkaido)/
エゾヤマザクラ /(n) (uk) sargent cherry (Prunus sargentii)/
エゾライチョウ /(n) (uk) hazel grouse (Bonasa bonasia)/
エゾリス /(n) (uk) Hokkaido squirrel (subspecies of red squirrel, Sciurus vulgaris orientis)/
エターナル /(n) eternal/
エターニティー /(n) eternity/
エタクリン酸 [エタクリンさん] /(n) ethacrynic acid/
エタニティ /(n) eternity/
エタニティー /(n) eternity/
エタノール /(n) ethanol (ger: A"thanol)/
エタロン /(n) etalon (optical element with parallel surfaces used to increase the coherent length of a laser)/
エタン /(n) ethane (ger: A"than)/
エタンジオール /(n) ethanediol/
エダムチーズ /(n) Edam cheese/
エチオピア /(n) Ethiopia/
エチオピア区 [エチオピアく] /(n) Ethiopian (zoogeographical region)/
エチオピア語 [エチオピアご] /(n) Ethiopic (language, languages)/
エチオピア狼 [エチオピアおおかみ] /(n) Ethiopian wolf (carnivore, Canis simensis)/Abyssinia jackal/simian jackal/simenian jackal/simenian wolf/
エチケット /(n) etiquette (fre:)/(P)/
エチケット袋 [エチケットぶくろ] /(n) airsickness bag/motion sickness bag/
エチモロジー /(n) etymology/
エチュード /(n) etude (fre:)/
エチル /(n) ethyl (ger: A"thyl)/
エチルアルコール /(n) ethanol (ger: A"thylalkohol)/ethyl alcohol/
エチルエーテル /(n) ethyl ether/
エチレン /(n) ethylene/
エチレンオキシド /(n) ethylene oxide/
エチレングリコール /(n) ethylene glycol/ethanediol/
エチレンジアミン /(n) ethylenediamine/
エチレンジアミン四酢酸 [エチレンジアミンしさくさん] /(n) ethylenediaminetetraacetic acid/EDTA/
エチレン系炭化水素 [エチレンけいたんかすいそ] /(n) (obsc) alkene/olefin/olefine/
エックスウィンドウ /(n) (comp) X-Window/
エックスエー /(n) (comp) XA/
エックスエムエス /(n) (comp) XMS/
エックスオープン /(n) (comp) X-Open/
エックスオア /(n) (comp) XOR/
エックスジーエー /(n) (comp) XGA/
エックスディエスエル /(n) (comp) xDSL/
エックスニーゴー /(n) (comp) X.25/
エックスファー /(n) (comp) XFER/
エックスフィット /(n) (comp) XFIT/
エックスモデム /(n) (comp) XMODEM/
エックスモデムイチケー /(n) (comp) XMODEM-1k/
エックスモデムシーアールシー /(n) (comp) XMODEM-CRC/
エックスヨンヒャク /(n) (comp) X.400/
エックス脚 [エックスきゃく] /(n) knock-kneed/
エックス線 [エックスせん] /(n) X-ray/(P)/
エックス線撮影 [エックスせんさつえい] /(n) x-ray photography/
エッグ /(n) egg (esp. chicken eggs)/
エッグカップ /(n) eggcup/
エッグノッグ /(n) eggnog/
エッグプラント /(n) eggplant/
エッサッサ /(int) heave-ho (chant when doing heavy work)/
エッジ /(n) edge/(P)/
エッジサブスクリプション /(n) (comp) edge subscription/
エッジサブスクリプションファイル /(n) (comp) edge subscription file/
エッジトリガ方式 [エッジトリガほうしき] /(n) (comp) edge trigger method/
エッジボール /(n) edge ball/
エッジワースカイパーベルト天体 [エッジワースカイパーベルトてんたい] /(n) Edgeworth-Kuiper belt objects/
エッジング /(n) edging/
エッセー /(n,adj-no) essay/(P)/
エッセィ /(n,adj-no) essay/
エッセイ /(n,adj-no) essay/(P)/
エッセイスト /(n) essayist/(P)/
エッセネ派 [エッセネは] /(n) the Essenes/
エッセン /(n) meal (ger: Essen)/
エッセンシャル /(n) essential/
エッセンス /(n) essence/extract/(P)/
エッチな映画 [エッチなえいが] /(n) pornographic film/salacious film/
エッチュウバイ /(n) (uk) finely-striate buccinum (species of whelk, Buccinum striatissimum)/
エッチング /(n,vs) etching/(P)/
エッフェル塔 [エッフェルとう] /(n) Eiffel Tower/(P)/
エッペンチューブ /(n) Eppendorf tube/microcentrifuge tube/microfuge tube/
エツ /(n) (uk) Japanese grenadier anchovy (Coilia nasus)/
エティモロジー /(n) etymology/
エディアカラ化石群 [エディアカラかせきぐん] /(n) (obsc) Ediacara fossil biota/
エディアカラ動物群 [エディアカラどうぶつぐん] /(n) Ediacara fauna/
エディション /(n) edition/(P)/
エディタ /(n) (comp) editor/
エディター /(n) (comp) editor/(P)/
エディット /(n) edit/(P)/
エディットボックス /(n) (comp) edit box/
エディティング /(n) editing/
エディト /(n) edit/
エディトリアル /(n) editorial/
エディトリアルデザイン /(n) editorial design/
エディファクト /(n) (comp) EDIFACT/
エディブルフラワー /(n) edible flower/
エディプスコンプレックス /(n) Oedipus complex/sexual attraction to one's mother/
エディンバラ /(n) Edinburgh/(P)/
エデュ /(n) (comp) edu/
エデュケーション /(n) education/
エデュコム /(n) (comp) EDUCOM/
エデュテイメント /(n) (comp) edutainment/
エデュテインメント /(n) (comp) edutainment/
エデン /(n) Eden/(P)/
エデンの園 [エデンのその] /(n) Garden of Eden/
エトス /(n) ethos/
エトセトラ /(n) et cetera (lat:)/and so forth/
エトピリカ /(n) tufted puffin (ain:)/
エトランゼ /(n) stranger (fre: etranger)/
エトルリア語 [エトルリアご] /(n) Etruscan (language)/
エトルリア人 [エトルリアじん] /(n) Etruscan (person)/
エトルリア文字 [エトルリアもじ] /(n) Etruscan character/Etruscan alphabet/
エトワール /(n) star (fre: etoile)/
エトワス /(exp) somewhat (ger: etwas)/
エドアブラザメ /(n) sharpnose sevengill shark (Heptranchias perlo, species of circumglobal cow shark)/
エドアブラザメ属 [エドアブラザメぞく] /(n) Heptranchias (genus of cow shark in the family Hexanchidae containing the sharpnose seven-gill shark as its only member)/
エドガー /(n) (comp) EDGAR/
エドサック /(n) (comp) EDSAC/
エドバック /(n) (comp) EDVAC/
エドヒガン /(n) (uk) double weeping rosebud cherry (Prunus pendula)/
エナージー /(n) energy/
エナジー /(n) energy/(P)/
エナジーセーバ /(n) (comp) energy saver/
エナジーセーブの即時実行 [エナジーセーブのそくじじっこう] /(n) (comp) quick energy saver/
エナジーセーブモード /(n) (comp) energy save mode/low power mode/
エナミン /(n) enamine/
エナメル /(n) enamel/(P)/
エナメルドグラス /(n) enameled glass/
エナメルペイント /(n) enamel paint/
エナメル質 [エナメルしつ] /(n,adj-f) (tooth) enamel/adamantine/
エナメル線 [エナメルせん] /(n) enameled wire/
エニアック /(n) (comp) ENIAC (Electronic Numerical Integrator And Calculator)/
エニグマ /(n) enigma/
エニコム /(n) (comp) ENICOM/
エニシダ /(n) (uk) common broom (Cytisus scoparius, Genista scoparia)/Scotch broom/English broom/
エヌアールイーエヌ /(n) (comp) NREN/
エヌアイアイ /(n) (comp) NII/
エヌアイエスオー /(n) (comp) NISO/
エヌアイエスティー /(n) (comp) NIST/
エヌアイエム /(n) (comp) NIM/
エヌイーシー /(n) (comp) NEC/
エヌエスエーピーアイ /(n) (comp) NSAPI/
エヌエスエフネット /(n) (comp) NSFnet/
エヌエスピー /(n) (comp) NSP/
エヌエスピーアイエックスピー /(n) (comp) NSPIXP/
エヌエッチケー教育テレビ [エヌエッチケーきょういくテレビ] /(n) NHK Educational TV/
エヌエッチケー教育テレビジョン [エヌエッチケーきょういくテレビジョン] /(n) NHK Educational TV/
エヌエヌティーピー /(n) (comp) NNTP/
エヌエフエス /(n) (comp) NFS/
エヌエフエスネット /(n) (comp) NFSNET/
エヌオーエス /(n) (comp) NOS/
エヌオーシー /(n) (comp) NOC/
エヌサピ /(n) (comp) NSAPI/
エヌシー /(n) (comp) NC/
エヌシーアール /(n) (comp) NCR/
エヌシーエー /(n) (comp) NCA/
エヌシーエスエー /(n) (comp) NCSA/
エヌシーエフティーピー /(n) (comp) ncftp/
エヌシーティービー /(n) (comp) NCTV/
エヌシーユー /(n) (comp) NCU/
エヌティーティーディレクトリ /(n) (comp) NTT Directory/
エヌティーピー /(n) (comp) NTP/
エヌピーティーエヌ /(n) (comp) NPTN/
エヌファー /(n) (comp) NFER/
エヌライトン /(n) (comp) NlightN/
エヌレン /(n) (comp) NREN/
エネ /(n) (abbr) energy/(P)/
エネーブル /(n) enable/
エネトピア /(n) (abbr) housing development designed with an eye toward energy conservation/
エネミー /(n) enemy/
エネルギー /(n) energy (ger: Energie)/(P)/
エネルギースター /(n) (comp) Energy Star/
エネルギースポット /(n) location thought to be flowing with mystical energy (wasei: energy spot)/
エネルギー革命 [エネルギーかくめい] /(n) energy revolution/
エネルギー源 [エネルギーげん] /(n) energy source/
エネルギー交代 [エネルギーこうたい] /(n) (obsc) energy metabolism/
エネルギー効率 [エネルギーこうりつ] /(n) energy efficiency/
エネルギー産業 [エネルギーさんぎょう] /(n) energy industry/
エネルギー資源 [エネルギーしげん] /(n) energy resources/
エネルギー準位 [エネルギーじゅんい] /(n) energy level/
エネルギー帯 [エネルギーたい] /(n) energy band/
エネルギー代謝 [エネルギーたいしゃ] /(n) energy metabolism/
エネルギー代謝率 [エネルギーたいしゃりつ] /(n) relative metabolic rate/
エネルギー保存の法則 [エネルギーほぞんのほうそく] /(n) law of conservation of energy/
エネルギー問題 [エネルギーもんだい] /(n) energy problems/
エネルギー論 [エネルギーろん] /(n) energetics/
エネルギッシュ /(adj-na) energetic (ger: Energisch)/(P)/
エネルゲイア /(n) energeia (gre:)/
エノキタケ /(n) (uk) enoki mushroom (long, thin and white)/Flammulina velutipes/winter mushroom/
エノキダケ /(n) (uk) enoki mushroom (long, thin and white)/Flammulina velutipes/winter mushroom/
エノコログサ /(n) (uk) green foxtail (species of annual grass, Setaria viridis)/
エノハ /(n) (uk) landlocked masu salmon/
エバ /(adv) ever/
エバー /(adv) ever/(P)/
エバーオンワード /(n) ever onward/
エバーグリーン /(n) evergreen/
エバーグレーズ /(n) Everglaze/
エバーソフト /(n) foam rubber (from Eversoft (tm))/
エバープリーツ /(n) Everpleats/
エバーホワイト /(n) Everwhite/
エバキュエーション /(n,vs) evacuation/
エバチップ /(n) (abbr) special version of a product with features that allow it to be used for evaluation (wasei: evaluation chip)/
エバポレーテッドミルク /(n) evaporated milk/
エバミルク /(n) (abbr) evaporated milk/
エバリュエーション /(n) evaluation/
エバリュエータ /(n) evaluator/
エバンジェリスト /(n) evangelist/
エビ /(n) prawn/shrimp/lobster/crayfish/(P)/
エビガニ /(n) (uk) (col) crayfish (esp. red swamp crayfish, Procambarus clarkii)/
エビガライチゴ /(n) (uk) Japanese wineberry (Rubus phoenicolasius Maxim.)/wine raspberry/wineberry/
エビシディック /(n) (comp) EBCDIC/
エビスグサ /(n) (uk) sicklepod (Senna obtusifolia)/
エビスザメ /(n) (uk) broadnose sevengill shark (Notorynchus cepedianus, species of circumglobal cow shark with 7 gill slits)/
エビスザメ属 [エビスザメぞく] /(n) Notorynchus (genus of cow sharks in the family Hexanchidae whose only extant member is the broadnose sevengill shark)/
エビヅル /(n) (uk) Vitis ficifolia (species of grapevine)/
エビヅルムシ /(n) (uk) (obsc) clearwing moth larva/
エビヅル虫 [エビヅルむし] /(n) (uk) (obsc) clearwing moth larva/
エビデンス /(n) evidence/
エビル /(n) evil/
エビ漁 [エビりょう] /(n) shrimp fishing/shrimping/
エピオルニス /(n) aepyornis/elephant bird/
エピキュリアン /(n) epicurean/
エピクロス学派 [エピクロスがくは] /(n) Epicurean school (of philosophy)/
エピクロス主義 [エピクロスしゅぎ] /(n) Epicureanism/
エピグラフ /(n) epigraph/
エピグラム /(n) epigram/
エピゴーネン /(n) epigone (ger: Epigonen)/
エピスコパル教会 [エピスコパルきょうかい] /(n) Episcopal Church/
エピスタシス /(n) epistasis/
エピステーメー /(n) episteme (gre:)/
エピソード /(n) episode/(P)/
エピソーム /(n) episome/
エピタキシー /(n) epitaxy/epitaxial growth/
エピタキシャル /(n) epitaxial/
エピタキシャル成長 [エピタキシャルせいちょう] /(n) epitaxial growth/epitaxy/
エピタフ /(n) epitaph/
エピック /(n) epic/(P)/
エピトープ /(n) epitope/
エピネフリン /(n) epinephrine/
エピローグ /(n) epilogue/
エフィシェンシー /(n) efficiency/
エフイーピー /(n) (comp) FEP/
エフェクタ /(n) (comp) effector/
エフェクター /(n) effector/
エフェクツ /(n) effects/
エフェクティブ /(adj-na) effective/
エフェクト /(n) effect/
エフェクトコンパイラ /(n) (comp) effect compiler/
エフェクトマシン /(n) effect machine/
エフェソの信徒への手紙 [エフェソのしんとへのてがみ] /(n) Epistle to the Ephesians (book of the Bible)/
エフェドリン /(n) ephedrine/
エフエー /(n) (comp) FA/
エフエーキュー /(n) (comp) FAQ/
エフエスエフ /(n) (comp) FSF/
エフエヌシー /(n) (comp) FNC/
エフエムタウンズ /(n) (comp) FM TOWNS/
エフキューディーエヌ /(n) (comp) FQDN/
エフギャル /(n) (comp) FGAL/
エフシーシー /(n) (comp) FCC/
エフジェイ /(n) (comp) fj/
エフティーピー /(n) (comp) FTP/
エフディー /(n) (comp) FD/
エフディーエイチディー /(n) (comp) FDHD/
エフディーディー /(n) (comp) FDD/
エフディーディーアイ /(n) (comp) FDDI/
エフピーユー /(n) (comp) FPU/
エフラボ /(n) (comp) FLABO/
エプロン /(n) apron/(P)/
エプロンステージ /(n) apron stage/
エベレスト /(n) Everest/
エベンキ /(n) Evenki (people of Mongolia and Russia)/
エベント /(n) event/
エペ /(n) epee (fre: epee)/(P)/
エホバ /(n) Jehovah/
エホバの証人 [エホバのしょうにん] /(n) Jehovah's Witnesses/
エボシダイ /(n) (uk) man-of-war fish (Nomeus gronovii)/
エボシドリ /(n) (uk) turaco (any bird of family Musophagidae, esp. the Knysna turaco, Tauraco corythaix)/touraco/loerie/lourie/
エボナイト /(n) ebonite/
エボラウイルス /(n) Ebola virus/
エボラ出血熱 [エボラしゅっけつねつ] /(n) Ebola hemorrhagic fever/
エボリューション /(n) evolution/
エボリュート /(n) (math) evolute/
エボリュート曲線 [エボリュートきょくせん] /(n) (math) (obsc) evolute curve/
エポーレット・シャーク /(n) epaulette shark (Hemiscyllium ocellatum)/blind shark/
エポーレットシャーク /(n) epaulette shark (Hemiscyllium ocellatum)/blind shark/
エポウレットシャーク /(n) epaulette shark (Hemiscyllium ocellatum)/
エポキシ /(n) epoxy/
エポキシ樹脂 [エポキシじゅし] /(n) epoxy resin/
エポック /(n) epoch/(P)/
エポックメーキング /(adj-na) epoch-making/
エポックメイキング /(adj-na) epoch-making/
エポニム /(n,adj-no) eponym (word derived from the name of a place or person)/
エポレット /(n) epaulette (fre:)/
エマージェンシー /(n) emergency/
エマージェンシーランディング /(n) emergency landing/
エマージング /(adj-no) emerging/
エマルション /(n) emulsion/
エマルジオン /(ik) (n) emulsion/
エマルジョン /(n) emulsion/
エマルジョンレーザー記憶装置 [エマルジョンレーザーきおくそうち] /(n) (comp) emulsion laser storage/
エマルジョン塗料 [エマルジョンとりょう] /(n) emulsion paint/
エマンシペーション /(n) emancipation/
エミグラント /(n) (obsc) emigrant/
エミグレーション /(n) emigration/
エミッション /(n) emission/
エミッター /(n) emitter/
エミッタートランジスタ論理回路 [エミッタートランジスタろんりかいろ] /(n) (comp) Emitter-Coupled Transistor Logic/ECTL/
エミッタ結合素子 [エミッタけつごうそし] /(n) (comp) ECL/Emitter Coupled Logic/
エミネント /(n) eminent/
エミフィル /(n) (abbr) EMI (electro-magnetic interference) filter/
エミュ /(n) (abbr) emulator/emulation/
エミュー /(n) emu/
エミュレーション /(n,vs) emulation/
エミュレータ /(n) (comp) emulator/
エミュレーター /(n) (comp) emulator/
エミュレート /(n,vs) emulate/
エムアールエヌエー /(n) mRNA/
エムエス /(n) (comp) MS/
エムエスアイイー /(n) (comp) MSIE/
エムエスエヌ /(n) (comp) MSN/
エムエスシーディーイーエックス /(n) (comp) MSCDEX/
エムエスディーエヌ /(n) (comp) MSDN/
エムエスドス /(n) (comp) MS-DOS/
エムエディタ /(n) (comp) EmEditor/
エムエムイー /(n) (comp) MME/
エムエムエックス /(n) (comp) MMX/
エムエムオー /(n) (comp) MMO/
エムエムユー /(n) (comp) MMU/
エムオー /(n) (comp) MO/
エムオーラップ /(n) (comp) MOLAP/
エムサイズ /(n) M size/medium size/
エムシーアイ /(n) (comp) MCI/
エムティーエス /(n) (comp) MTS/
エムティービーエフ /(n) (comp) MTBF/
エムティーユー /(n) (comp) MTU/
エムディー /(n) (comp) MD/
エムピーシー /(n) (comp) MPC/
エムピーピー /(n) (comp) MPP/
エムピーユー /(n) (comp) MPU/
エムブイエス /(n) (comp) MVS/
エムペグ /(n) (comp) MPEG/
エムペグツー /(n) (comp) MPEG2/
エムペグプラスプラス /(n) (comp) MPEG++/
エムボーン /(n) (comp) MBONE/
エムユーディー /(n) (comp) MUD/
エムルション /(n) emulsion/
エメチン /(n) emetine/
エメラルド /(n) emerald/(P)/
エメラルド・ツリー・モニター /(n) emerald tree monitor (Varanus prasinus, species of arboreal carnivorous monitor lizard found from New Guinea to Queensland, Australia)/green tree monitor/
エメラルドグリーン /(n) emerald green/
エメラルドツリーモニター /(n) emerald tree monitor (Varanus prasinus, species of arboreal carnivorous monitor lizard found from New Guinea to Queensland, Australia)/green tree monitor/
エメリー /(n) emery/
エメリーズグレゴリー /(n) Emery's gregory (Stegastes emeryi)/
エメリーペーパー /(n) emery paper/
エメリーボード /(n) emery board/
エメンタール /(n) Emmental/Emmenthal/Emmenthaler/Emmentaler/Emmenthaler cheese/
エモーショナリスム /(n) emotionalism/
エモーショナル /(adj-no) emotional/
エモーション /(n) emotion/
エモーティコン /(n) (comp) emoticon/
エモリアント /(n) emollient/
エヤー /(n) air/
エヤクラチオン /(n) ejaculation/
エラー /(n) error/(P)/
エラーの検出と訂正 [エラーのけんしゅつとていせい] /(n) (comp) Error Checking and Correcting/ECC/
エラーコード /(n) (comp) error code/
エラーシグナル /(n) error-signal/
エラーチェック /(n) (comp) error check/
エラーハンドリング /(n) (comp) error handling/
エラーバー /(n) (comp) error bar (graph)/
エラーフリー /(n) (comp) error free/
エラーメッセージ /(n) (comp) error message/
エラーレート /(n) (comp) error rate/
エラーレベル /(n) (comp) error level/
エラーログ /(n) (comp) error log/
エラー回復 [エラーかいふく] /(n) (comp) error recovery/
エラー回復ルーチン [エラーかいふくルーチン] /(n) (comp) error recovery routine/
エラー検出符号 [エラーけんしゅつふごう] /(n) (comp) Error-Detecting Code/EDC/
エラー終了 [エラーしゅうりょう] /(n,vs) (comp) error termination/terminate with error/
エラー処理 [エラーしょり] /(n) (comp) error handling/
エラー処理ルーチン [エラーしょりルーチン] /(n) (comp) error handling routine/error-handling routine/
エラー処理手順 [エラーしょりてじゅん] /(n) (comp) error procedure/
エラー処理方法 [エラーしょりほうほう] /(n) (comp) error handling mechanism/error-handling mechanism/
エラー状態 [エラーじょうたい] /(n) (comp) error condition (in calculators)/
エラー状態リスト [エラーじょうたいリスト] /(n) (comp) error state list/
エラー制御 [エラーせいぎょ] /(n) (comp) error control/
エラー制御ロジック [エラーせいぎょロジック] /(n) (comp) error-control logic/
エラー訂正 [エラーていせい] /(n) (comp) error correction/
エラー訂正エンコーディング [エラーていせいエンコーディング] /(n) (comp) error-correcting encoding/
エラー訂正プロトコル [エラーていせいプロトコル] /(n) (comp) error-correcting protocol/
エラー訂正メモリ [エラーていせいメモリ] /(n) (comp) error-correcting memory/
エラー訂正符号 [エラーていせいふごう] /(n) (comp) Error-Correcting Code/ECC/
エラー表示 [エラーひょうじ] /(n) (comp) error indication/
エラー補正後 [エラーほせいご] /(n-adv,n-t) (comp) after error correction/
エラー履歴 [エラーりれき] /(n) (comp) error history/
エラっぽい /(exp) (col) klutzy/clumsy/
エライザ法 [エライザほう] /(n) enzyme-linked immunoSorbent assay (virus detection method)/ELISA/
エラスチック /(n) elastic/
エラスチック織物 [エラスチックおりもの] /(n) elastic fabric/
エラスチン /(n) elastin/
エラスティック /(n) elastic/
エラストマー /(n) elastomer/
エラトステネスの篩 [エラトステネスのふるい] /(n) Eratosthenes' sieve/
エラブウナギ /(n) (uk) Erabu black-banded sea krait (Laticauda semifasciata)/
エラブウミヘビ /(n) (uk) Erabu black-banded sea krait (Laticauda semifasciata)/
エラブオオコウモリ /(n) (uk) northern Ryukyu fruit bat (Pteropus dasymallus dasymallus)/
エラブトキシン /(n) erabutoxin/
エランド /(n) eland/
エランビタール /(n) elan vital (hypothetical driving force behind creative evolution) (fre:)/
エランビタル /(n) elan vital (hypothetical driving force behind creative evolution) (fre:)/
エランヴィタル /(n) elan vital (hypothetical driving force behind creative evolution) (fre:)/
エリート /(n,adj-no) elite (fre:)/(P)/
エリート意識 [エリートいしき] /(n) elitism/
エリア /(n) area/(P)/
エリアコード /(n) (comp) area code/
エリアマーケティング /(n) area marketing/
エリア境界 [エリアきょうかい] /(n) (comp) area boundary/
エリキシル /(n) elixir/
エリキシル剤 [エリキシルざい] /(n) elixir/
エリクシア /(n) elixir/
エリクソン /(n) (comp) Ericsson/
エリサン /(n) (uk) eri silkmoth (Samia cynthia ricini)/eri silkworm/
エリシウム /(n) Elysium/
エリジビリティー /(n) eligibility/
エリス /(n) (1) Eris (dwarf planet)/(2) Eris (Greek goddess of strife)/
エリスリトール /(n) erythritol (artificial sweetener)/
エリスロポイエチン /(n) erythropoietin/
エリスロポエチン /(n) erythropoietin/
エリスロマイシン /(n) erythromycin/
エリダヌス座 [エリダヌスざ] /(n) Eridanus (constellation) (lat:)/
エリテマトーデス /(n) lupus erythematosus (esp. systemic lupus erythematosus) (ger: Erythematodes)/
エリホシベニハゼ /(n) four-eye pygmy goby (Trimma hayashii, found from Japan to the Solomons)/
エリマキシギ /(n) (uk) ruff/reeve (species of sandpiper, Philomachus pugnax)/
エリマキトカゲ /(n) (uk) frilled lizard (Chlamydosaurus kingii)/frill-necked lizard/
エリミネーター /(n) eliminator/
エリヤ /(n) area/
エリンギ /(n) king trumpet mushroom (Pleurotus eryngii)/king oyster mushroom/
エリント /(n) electronic intelligence/ELINT/
エル /(n) ell (unit of length, approx. 45 inches)/
エルード /(n,vs) elude/
エルエーティー /(n) (comp) LAT/
エルエイチアーク /(n) (comp) LHarc/
エルエイチエー /(n) (comp) LHA/
エルエスアイ /(n) (comp) large scale integrated circuit/LSI/
エルク /(n) elk/
エルグ /(n) erg/
エルゴード仮説 [エルゴードかせつ] /(n) ergodic hypothesis/
エルゴード的 [エルゴードてき] /(adj-na) (comp) ergodic/
エルゴカルシフェロール /(n) ergocalciferol/
エルゴステロール /(n) ergosterol/
エルゴタミン /(n) ergotamine/
エルゴノビン /(n) ergonovine/
エルゴノミク /(adj-f) ergonomic/
エルゴノミクス /(n) (comp) ergonomics/
エルゴノミックキーボード /(n) (comp) ergonomic keyboard/
エルゴノミックス /(n) ergonomics/
エルゴメトリン /(n) ergometrine/
エルサイズ /(n) L size/large size/
エルサップ /(n) (comp) LSAP/
エルサルバドル /(n) El Salvador/(P)/
エルステッド /(n) oersted/
エルゼットエイチ /(n) (comp) lzh/
エルダップ /(n) (comp) LDAP/
エルディエーピー /(n) (comp) LDAP/
エルドラド /(n) El Dorado/
エルニーニョ /(n) El Nino (spa:)/
エルビウム /(n) erbium (Er)/
エルピー /(n) LP record/long-play(ing) record/
エルピーレコード /(n) LP record/
エルピー盤 [エルピーばん] /(n) LP/long-playing record/
エルフ /(n) elf/
エルボー /(n) elbow/
エルマン /(n) Herman/
エルム /(n) elm/
エルユー /(n) (comp) LU/
エルヴン /(adj-f) elven/
エレアコ /(n) (abbr) electric acoustic guitar/
エレア学派 [エレアがくは] /(n) Eleatic school (of philosophy)/
エレガンス /(adj-na) elegance/(P)/
エレガンスユニコーンフィッシュ /(n) elegant unicornfish (Naso elegans, species of Indian Ocean tang)/
エレガント /(adj-na,n) elegant/(P)/
エレガントコリス /(n) elegant coris (Coris venusta)/elegant wrasse/
エレガントユニコーンフィッシュ /(n) elegant unicornfish (Naso elegans, species of Indian Ocean tang)/
エレキ /(n) (1) (abbr) electricity/(2) (abbr) electric guitar/(P)/
エレキギター /(n) (col) electric guitar/(P)/
エレキテル /(n) electricity (Edo-period term) (dut: electriciteit)/
エレクション /(n) erection/
エレクト /(n,vs) erect/
エレクトーン /(n) (1) Electone/(2) electronic organ/
エレクトラコンプレックス /(n) Electra complex/
エレクトリカルキー /(n) (comp) electrical key/
エレクトリック /(adj-na,n) electric/(P)/
エレクトリックギター /(n) electric guitar/
エレクトリックコマース /(n) (comp) electric commerce/
エレクトリックベース /(n) electric bass/bass guitar/
エレクトレット /(n) electret/
エレクトロオフィス /(n) (abbr) electronic office/
エレクトロコテージ /(n) (abbr) electronic cottage/
エレクトロセラミックス /(n) electroceramics/
エレクトロタイプ /(n) electrotype/
エレクトロニクス /(n) electronics/(P)/
エレクトロニック /(n) electronic/
エレクトロニックオフィス /(n) electronic office/
エレクトロニックカフェ /(n) (comp) electronic cafe/
エレクトロニックコテージ /(n) electronic cottage/
エレクトロニックコマース /(n) (comp) electronic commerce/
エレクトロニックサウンド /(n) electronic sound/
エレクトロニックバンキング /(n) (comp) electronic banking/
エレクトロニックファイル /(n) electronic file/
エレクトロニックマネー /(n) electronic money/
エレクトロニックミュージック /(n) electronic music/
エレクトロニックメール /(n) electronic mail/
エレクトロバンキング /(n) (abbr) electronic banking/
エレクトロメーター /(n) electrometer/
エレクトロルミネセンス /(n) (comp) electroluminescence/electro-luminescence/electronic luminescence/EL/
エレクトロルミネッセンス /(n) (comp) electroluminescence/electro-luminescence/electronic luminescence/EL/
エレクトロン /(n) electron/
エレクトロンボルト /(n) electron volt/
エレジー /(n) elegy/
エレック /(n) (abbr) electronic cooking/
エレファンタイン /(adj-f) elephantine/
エレファント・ノーズ・フィッシュ /(n) elephantnose fish (Gnathonemus petersii)/
エレファントノーズフィッシュ /(n) elephantnose fish (Gnathonemus petersii)/
エレプシン /(n) erepsin/
エレベ /(n) (abbr) elevation/
エレベーション /(n) elevation/
エレベータ /(n) (1) elevator/lift/(2) elevator (aviation)/
エレベーター /(n) (1) elevator/lift/(2) elevator (aviation)/(P)/
エレベーターホール /(n) elevator landing/elevator hall/
エレベーター力士 [エレベーターりきし] /(n) sumo wrestler that keeps going up and down the rankings/
エレミヤ書 [エレミヤしょ] /(n) Jeremiah (book of the Bible)/
エレメンタリー /(n) elementary/
エレメント /(n) element/elements/
エロ /(adj-na,n,adj-no) erotic/eroticism/(P)/
エロい /(adj-i) (1) (col) erotic/pornographic/risque/(2) (sl) eminent/great/
エロかっこいい /(adj-i) (sl) sexy and cool/
エロアニメ /(n) (abbr) erotic animation/pornographic animation/animation containing explicit sexual content/
エロカワ /(n,adj-na,adj-no) (abbr) (sl) sexy, but still cute/
エロキューション /(n) elocution/
エログラム /(n) aerogram/aerogramme/
エログロ /(adj-na,n,adj-no) (abbr) erotic and grotesque/
エログロナンセンス /(n) (abbr) erotic and grotesque nonsense/
エロゲ /(n) (abbr) erotic game/
エロゲー /(n) (abbr) erotic game/
エロゲーム /(n) erotic game/
エロコイ /(n) purely sexual love/highly sexual love/
エロコメディ /(n) erotic comedy/
エロジナスゾーン /(n) erogenous zone/
エロス /(n) Eros/(P)/
エロダクション /(n) (abbr) erotic production/
エロチカ /(n) erotica/
エロチシズム /(n) eroticism/
エロチズム /(n) erotism/
エロチック /(adj-na,n) erotic/(P)/
エロトマニア /(n) erotomania/
エロプリ /(n) (abbr) (sl) erotic pictures taken at purikura/
エロプリクラ /(n) (sl) erotic pictures taken at purikura/
エロ可愛い [エロかわいい] /(adj-i) (sl) sexy, but still cute/
エロ画 [エロが] /(n) (abbr) (sl) erotic photograph (on a computer, mobile phone, etc.)/
エロ画像 [エロがぞう] /(n) erotic picture/
エロ写真 [エロしゃしん] /(n) erotic photograph/
エロ上戸 [エロじょうご] /(n) (derog) (sl) horny drunkard/
エロ本 [エロほん] /(n) erotic book/
エロ漫画 [エロまんが] /(n) erotic or pornographic manga/
エロ爺 [エロじじい] /(n) (sl) dirty old man/pervert/groper (on trains)/lecher/
エロ恋 [エロこい] /(n) purely sexual love/highly sexual love/
エンカウンター /(n) encounter/
エンカウンターグループ /(n) encounter group/
エンカウント /(n) (1) (abbr) (sl) an encounter (usu. in computer games) (wasei: encount)/(vs) (2) to encounter/
エンカプセレーション /(n) encapsulation/
エンガチョ /(n) (1) (chn) crossed fingers and word said to call someone to be avoided as 'dirty'/(vs) (2) to cross one's fingers (to ward off 'dirt')/
エンキャプシュレーション /(n) (comp) encapsulation/
エンク /(n) (comp) ENQ/
エンクリプト /(n) (comp) encrypt/
エンクロージャー /(n) enclosure/
エンクロージュア /(n) enclosure/
エングラム /(n) engram/n-gram/
エングレーバー /(n) engraver/
エンケファリン /(n) enkephalin/
エンゲージ /(n) engage/
エンゲージブルー /(n) engagement doubts (wasei: engage blue)/
エンゲージメント /(n) engagement/
エンゲージリング /(n) (abbr) engagement ring/
エンゲルの法則 [エンゲルのほうそく] /(n) Engel's law/
エンゲル係数 [エンゲルけいすう] /(n) Engel's coefficient/
エンコーダ /(n) (comp) encoder/
エンコーダー /(n) (comp) encoder/
エンコーディング /(n) encoding/
エンコード /(n) encode/
エンサイクロペディア /(n) encyclopedia/
エンザイム /(n) enzyme/
エンシレージ /(n) ensilage/
エンジェル /(n) angel/(P)/
エンジェルフィッシュ /(n) Bermuda blue angelfish (Holacanthus bermudensis)/
エンジニア /(n) engineer/(P)/
エンジニアリング /(n) engineering/(P)/
エンジニアリングセラミックス /(n) engineering ceramics/
エンジニアリングプラスチック /(n) engineering plastics/
エンジニアリングワークステーション /(n) (comp) engineering workstation/EWS/
エンジムシ /(n) (uk) cochineal insect (Dactylopius coccus)/
エンジュ /(n) (uk) Japanese pagoda tree (Sophora japonica)/
エンジョイ /(n,vs) enjoy/(P)/
エンジン /(n) engine/(P)/
エンジンを吹かす [エンジンをふかす] /(exp,v5s) to rev up the engine/
エンジンオイル /(n) engine oil/motor oil/
エンジンキー /(n) ignition key (wasei: engine key)/
エンジンストップ /(n) engine stall (wasei: engine stop)/
エンジンブレーキ /(n) engine brake/
エンジン故障 [エンジンこしょう] /(n) engine failure/
エンジン発動機 [エンジンはつどうき] /(n) engine/
エンスー /(n) (abbr) enthusiast/
エンスト /(n) (abbr) engine stall/
エンスペース /(n) (comp) en space/
エンゼル /(n) angel/(P)/
エンゼルフィシュ /(n) angelfish/
エンゼルフィッシュ /(n) angelfish/
エンゼルベビー /(n) angel baby/
エンター /(n) enter/
エンターキー /(n) (comp) Enter key/
エンターテイナー /(n) entertainer/
エンターテイメント /(n) entertainment/
エンターテインメント /(n) entertainment/(P)/
エンタープライズ /(n) enterprise/(P)/
エンタープライズＸアーキテクチャ [エンタープライズエックスアーキテクチャ] /(n) (comp) Enterprise X Architecture/
エンタープライズサーバレベルの /(n) (comp) enterprise-server-level/
エンタープライズレベル /(n) (comp) enterprise-level/
エンタイトル /(n) entitled/
エンタイトルツーベース /(n) two-base entitlement (baseball)/
エンタシス /(n) entasis/
エンタテイメンツ /(n) entertainments/
エンタテイメント /(n) entertainment/(P)/
エンタテインメント /(n) entertainment/
エンタブレチュア /(n) entablature/
エンタメ /(n) (abbr) entertainment/
エンタルピー /(n) enthalpy/
エンダイブ /(n) endive/
エンダッシュ /(n) (comp) en dash/
エンチーム /(n) enzyme/
エンチラーダ /(n) enchilada (spa:)/
エンティティ /(n) entity/
エンティティ種類 [エンティティしゅるい] /(n) (comp) entity type/
エンテレケイア /(n) entelechy (gre: entelecheia)/
エンテロウイルス /(n) enterovirus/
エンテロキナーゼ /(n) enterokinase/
エンディアン /(suf) (comp) -endian (i.e. big-endian or little-endian)/
エンディング /(n) ending/(P)/
エンディングノート /(n) booklet constituting an informal living will (containing wishes regarding one's hospitalization or funeral, and perhaps one's life story, messages to loved ones, etc.) (wasei: ending note)/
エントランス /(n) entrance/
エントランスホール /(n) entrance hall/
エントリ /(n,vs) entry/
エントリー /(n,vs) entry/(P)/
エントリーマシン /(n) (comp) entry machine/
エントリーモデル /(n) (comp) entry model/
エントリーレベル /(n) (comp) entry-level/
エントリポイント /(n) (comp) entry point/
エントリマシン /(n) (comp) entry machine/
エントリモデル /(n) (comp) entry model/
エントリ種別 [エントリしゅべつ] /(n) (comp) entry-type/
エントリ順データセット [エントリじゅんデータセット] /(n) (comp) ESDS/Entry-Sequenced Data Set/
エントリ情報 [エントリじょうほう] /(n) (comp) entry-information/
エントリ情報選択 [エントリじょうほうせんたく] /(n) (comp) entry-information-selection/
エントリ状況 [エントリじょうきょう] /(n) (comp) entry-status/
エントロピ /(n) (1) entropy/(2) mean information content/average information content/
エントロピー /(n) (1) entropy/(2) mean information content/average information content/
エンド /(n) end/(P)/
エンドウ豆 [エンドウまめ] /(n) pea (Pisum sativum)/green pea/
エンドエンド /(n) (comp) end to end/
エンドエンド通信パス [エンドエンドつうしんパス] /(n) (comp) end to end communication path/
エンドオブテキスト /(n) (comp) end-of-text/
エンドオブファイル /(n) (comp) end-of-file/
エンドカーラー /(n) end curler/
エンドキー /(n) (comp) End key/
エンドサイトーシス /(n) endocytosis/
エンドシステム /(n) (comp) end system/
エンドセリン /(n) endothelin/
エンドゾーン /(n) end zone/
エンドツーエンド /(n) (comp) end to end/
エンドツエンド /(n) (comp) end-to-end/
エンドトランザクション /(n) (comp) end-transaction/
エンドヌクレアーゼ /(n) endonuclease/
エンドプレート /(n) endplate/
エンドポイント /(n) (comp) endpoint/
エンドミル /(n) endmill/
エンドユーザ /(n) end user/
エンドユーザー /(n) end user/
エンドユーザーコンピューティング /(n) (comp) end user computing/EUC/
エンドラーズ・ライブベアラ /(n) Endler's livebearer (Poecilia wingei)/Endler's guppy/
エンドラーズライブベアラ /(n) Endler's livebearer (Poecilia wingei)/Endler's guppy/
エンドライン /(n) end line/
エンドラン /(n) (abbr) hit-and-run (baseball)/
エンドリン /(n) endrin/
エンドルフィン /(n) endorphin/
エンドレス /(adj-na) endless/(P)/
エンドレステープ /(n) endless tape/
エンドロール /(n) credits roll (at the end of a show or movie) (wasei: endroll)/end credit roll/
エンハンストアイディーイー /(n) (comp) Enhanced IDE/
エンハンストシーユーシーミー /(n) (comp) Enhanced Cu-SeeMe/
エンハンストパラレルインタフェース /(n) (comp) enhanced parallel interface/
エンハンストモード /(n) (comp) enhanced mode/
エンハンスドＣＤ [エンハンスドシーディー] /(n) (comp) enhanced compact disc/
エンハンスドモード /(n) (comp) enhanced mode/
エンハンスメント /(n) enhancement/
エンバーゴー /(n) embargo/
エンバーミング /(n) embalming/
エンバイロメント /(n) environment/
エンバシー /(n) embassy/
エンパイア /(n) empire/
エンパイアステートビル /(n) Empire State Building/
エンパイアチューブ /(n) empire tube/
エンパイアデー /(n) Empire Day/
エンパシー /(n) empathy/
エンパワーメント /(n) empowerment/
エンピツビャクシン /(n) (uk) eastern red cedar (Juniperus virginiana)/
エンファサイズ /(n) emphasize/emphasise/
エンファシス /(n) emphasis/
エンフォースメント /(n) enforcement/
エンブリオ /(n) embryo/
エンブレム /(n) emblem/(P)/
エンブロイダリー /(n) embroidery/
エンブロイダリーレース /(n) embroidery lace/
エンプティー /(n) empty/
エンプティーネスト /(n) empty nest/
エンプティーネストシンドローム /(n) empty nest syndrome/
エンプティオマニア /(n) emptiomania/
エンプラ /(n) (abbr) engineering plastics/
エンプレス /(n) empress/
エンベロープ /(n) envelope/
エンペラ /(n) squid fin/
エンペラー /(n) emperor/
エンペラー・テトラ /(n) emperor tetra (Nematobrycon palmeri)/
エンペラーテトラ /(n) emperor tetra (Nematobrycon palmeri)/
エンペラーペンギン /(n) emperor penguin (Aptenodytes forster)/
エンボス /(n) emboss/
エンボス加工 [エンボスかこう] /(n) embossment/
エンマーク /(n) (comp) Yen mark/
エンラージメント /(n) enlargement/
エンリッチ /(n) enrich/
エンリッチド・エア /(n) enriched air/air with additional oxygen added/
エンリッチドエア /(n) enriched air/air with additional oxygen added/
エンレイソウ /(n) (uk) Trillium smallii (species of trillium)/
オーアールデービー /(n) (comp) ORDB/
オーアールビー /(n) (comp) ORB/
オーイーエム /(n) (comp) OEM/
オーエー /(n) (comp) (abbr) OA/office automation/(P)/
オーエーディージー /(n) (comp) OADG/
オーエス /(int) heave! (fre: oh hisse)/heave-ho/
オーエスアールツー /(n) (comp) OSR2/
オーエスアイ /(n) (comp) OSI/
オーエスツー /(n) (comp) OS-2/
オーエスツーワープ /(n) (comp) OS-2 Warp/
オーエルイー /(n) (comp) OLE/
オーエルティーピー /(n) (comp) OLTP/
オーカー /(n) ochre (fre: ocre)/
オーガ /(n) ogre/(P)/
オーガスト /(n) August/
オーガズム /(n) orgasm (ger: Orgasmus)/
オーガナイザー /(n) organizer/organiser/
オーガナイズ /(n,vs) organize/organise/
オーガナイゼーション /(n) (comp) organization/
オーガニゼーション /(n) organization/organisation/
オーガニゼイション /(n) organization/organisation/
オーガニック /(n) organic/
オーガニック農法 [オーガニックのうほう] /(n) organic farming/
オーガンザ /(n) organza/
オーガンディー /(n) organdy/
オーキシン /(n) auxin (plant growth hormone)/
オーキッド /(n) orchid/
オーク /(n) (1) oak/(2) orc/(P)/
オークション /(n) auction/(P)/
オークションサイト /(n) auction site/
オークションブリッジ /(n) auction bridge/
オークス /(n) oaks/(P)/
オークル /(n) ochre (fre: ocre)/
オーケストラ /(n) orchestra/(P)/
オーケストラピット /(n) orchestra pit/
オーケストラボックス /(n) orchestra box/
オーケストリオン /(n) orchestrion/
オーケストレーション /(n) orchestration/
オーサー /(n) author/
オーサリングシステム /(n) (comp) authoring system/
オーサリングソフト /(n) (comp) authoring software/
オーサリングソフトウェア /(n) (comp) authoring software/
オーサリングツール /(n) (comp) authoring tool (WWW)/
オーサリングプラットフォーム /(n) (comp) authoring platform/
オーサリングプログラム /(n) (comp) authoring program/
オーシーアール /(n) (comp) OCR/
オーシーエックス /(n) (comp) OCX/
オーシーエヌ /(n) (comp) OCN/
オーシャニック・ホワイトティップ・シャーク /(n) oceanic whitetip shark (Carcharhinus longimanus)/
オーシャニックホワイトティップシャーク /(n) oceanic whitetip shark (Carcharhinus longimanus)/
オーシャノート /(n) oceanaut/
オーシャン /(n) ocean/(P)/
オーシャンサージャン /(n) ocean surgeon (Acanthurus bahianus, species of Atlantic tang)/
オーシャンサージョン /(n) ocean surgeon (Acanthurus bahianus, species of Atlantic tang)/
オーシャンレース /(n) ocean race/
オージー /(n) (1) orgy/(2) Australian (Aussie)/
オージーパーティー /(n) (1) orgy party/(2) Australian (Aussie) party/
オージェーティー /(n) on-the-job training/OJT/
オースチン /(n) Austin/
オースティン /(n) Austin/
オーステナイト /(n) austenite/
オーストララシア /(n) Australasia/
オーストラリア /(n) (uk) Australia/
オーストラリアサーモン /(n) Australian salmon (Arripis trutta)/
オーストラリアン・マーブル・キャットシャーク /(n) Australian marbled catshark (Atelomycterus macleayi, species endemic to Australia)/
オーストラリアンスウェルシャーク /(n) Australian swellshark (Cephaloscyllium laticeps, species of catshark which inhabits the continental shelf of southern Australia)/
オーストラリアンマーブルキャットシャーク /(n) Australian marbled catshark (Atelomycterus macleayi, species endemic to Australia)/
オーストラリア区 [オーストラリアく] /(n) Australian (zoogeographical region)/
オーストラリア式フットボール [オーストラリアしきフットボール] /(n) Aussie-Rules Football/Australian-Rules Football/
オーストラリア諸語 [オーストラリアしょご] /(n) Aboriginal languages (of Australia)/
オーストラリア人 [オーストラリアじん] /(n) Australian person/
オーストラロイド /(n) Australoid/
オーストラロピテクス /(n) Australopithecus (lat:)/
オーストリア /(n) Austria/
オーストリア学派 [オーストリアがくは] /(n) Austrian School (of economic theory)/
オーストリア継承戦争 [オーストリアけいしょうせんそう] /(n) War of the Austrian Succession (1740-1748)/
オーストリッチ /(n) ostrich/
オーストリッチレザー /(n) ostrich leather/
オーストロアジア語族 [オーストロアジアごぞく] /(n) Austro-Asiatic languages/
オーストロネシア語族 [オーストロネシアごぞく] /(n) Austronesian languages/
オーセンティシティ /(n) authenticity/
オーセンティック /(adj-na) authentic/
オーソグラフィー /(n) orthography/
オーソスコープ /(n) orthoscope (instrument for examining the iris)/
オーソドキシー /(n) orthodoxy/
オーソドックス /(adj-na,n) orthodox/(P)/
オーソライズ /(n,vs) authorize/authorise/authorization/authorisation/
オーソリティ /(n) authority/
オーソリティー /(n) authority/
オータム /(n) autumn/
オーダ /(n,vs) order/
オーダー /(n,vs) order/(P)/
オーダーエントリー /(n) order entry/
オーダーエントリーシステム /(n) order entry system/
オーダーメード /(n) made-to-order (wasei: order made)/custom-made/(P)/
オーダーメード医療 [オーダーメードいりょう] /(n) personalized medicine (wasei: order-made medicine)/
オーダーメイド /(n) made-to-order (wasei: order made)/custom-made/(P)/
オーダーメイド医療 [オーダーメイドいりょう] /(n) personalized medicine (wasei: order-made medicine)/
オーダシティ /(n) audacity/
オーダスィティ /(ik) (n) audacity/
オーダセティ /(ik) (n) audacity/
オーチャード /(n) orchard/(P)/
オーチャードグラス /(n) orchard grass/
オーツ /(n) oat (Avena sativa)/oats/
オーデービーエムエス /(n) (comp) ODBMS/
オーディーエヌ /(n) (comp) ODN/
オーディービーシー /(n) (comp) ODBC/
オーディーピー /(n) (comp) ODP/
オーディーン /(n) Odin/
オーディエンス /(n) audience/
オーディエンスサーベイ /(n) audience survey/
オーディオ /(n) audio/(P)/
オーディオアンプ /(n) audio amp/audio amplifier/
オーディオカセットプレーヤ /(n) (comp) tape player/audio cassette player/
オーディオクリップ /(n) audio clip/
オーディオビジュアル /(n) audio-visual/
オーディオブック /(n) audio book (book read onto CD or tape)/
オーディオメーター /(n) audiometer/
オーディオ信号発生器 [オーディオしんごうはっせいき] /(n) tone generator/audio signal generator/AF signal generator/
オーディション /(n) audition/(P)/
オーディトリアム /(n) auditorium/
オーディナリー /(n) ordinary/
オーディン /(n) (comp) ODIN/
オーデコロン /(n) eau de Cologne (fre:)/
オート /(n) (1) auto/automobile/automatic/(2) oat/oats/(P)/
オートインクリメント /(n) (comp) auto-increment/
オートインデント /(n) (comp) auto indent/
オートウォーク /(n) moving walkway/
オートエグゼックバット /(n) (comp) AUTOEXEC.BAT/
オートキャンプ /(n) autocamping/(P)/
オートクチュール /(n) haute couture (fre:)/(P)/
オートクラシー /(n) autocracy/
オートクラッチ /(n) automatic clutch/
オートクレーブ /(n) autoclave/
オートクロス /(n) autocross/
オートケーキ /(n) oatcake/
オートショー /(n) auto show/
オートジャイロ /(n) autogyro (helicopter)/
オートスクロール /(n) (comp) auto scroll/
オートスケーリング /(n) (comp) autoscaling/
オートストップ /(n) automatic stop/
オートセーブ /(n) (comp) auto save/
オートダイヤル /(n) (comp) auto dial/
オートチェンジャー /(n) auto-changer (tape recorder)/
オートチューニングデッキ /(n) automatic tuning deck/
オートデクリメント /(n) (comp) auto-decrement/
オートトランスフォーマー /(n) (comp) auto transformer/
オートドア /(n) auto door/
オートナース /(n) auto-nurse/
オートノミックコンピューティング /(n) (comp) autonomic computing/
オートバイ /(n) motorcycle (wasei: auto-bike)/(P)/
オートバイオグラフィー /(n) autobiography/
オートバイレース /(n) motorcycle race/
オートバックス /(n) autobacks/
オートパーラー /(n) auto parlor/auto parlour/
オートパイロット /(n) autopilot/
オートパワーオフ /(n) (comp) auto power off/
オートフォーカス /(n) auto focus/
オートプレーヤー /(n) auto player/
オートホワイトバランス /(n) (comp) auto white balance/AWB/
オートポイエーシス /(n) autopoiesis/
オートマ /(n) (abbr) automatic/
オートマウント /(n) (comp) automount/
オートマチック /(adj-na,n) automatic/(P)/
オートマチック・シフト /(n) automatic transmission/
オートマチックコントロール /(n) automatic control/
オートマチックシフト /(n) automatic transmission/
オートマチックトランスミッション /(n) automatic transmission/
オートマチック車 [オートマチックしゃ] /(n) automatic transmission car/
オートマット /(n) automat/
オートマティスム /(n) automatism/
オートマトン /(n) automaton/
オートマトン理論 [オートマトンりろん] /(n) (comp) automata theory/
オートマニピュレーター /(n) auto-manipulator/
オートマ車 [オートマしゃ] /(n) automatic car/car with automatic transmission/
オートミール /(n) oatmeal/
オートミールクッキー /(n) oatmeal cookie/
オートメ /(n) (abbr) automation/
オートメーション /(n) automation/(P)/
オートメーション理論 [オートメーションりろん] /(n) (comp) automatics/
オートモーチブ /(adj-f) automotive/
オートモービル /(n) automobile/
オートモビル /(n) automobile/
オートラジオグラフィー /(n) autoradiography/
オートリターン /(n) automatic return/
オートリトラクト /(n) (comp) auto retract/
オートリバース /(n) automatic reverse tape-recorder (wasei: auto reverse)/
オートリピート /(n) automatic repeat/
オートレース /(n) autoracing/
オートレイズ /(n) auto-raise/
オートロード /(n) autoload/
オートログイン /(n) (comp) auto login/auto-login/
オートロック /(n) self-locking (wasei: autolock)/(P)/
オート三輪 [オートさんりん] /(n) three-wheeler vehicle/
オート麦 [オートむぎ] /(n) oats/
オード /(n) ode/(P)/
オードコロン /(n) eau de Cologne (fre:)/
オードトワレ /(n) eau de toilette (fre:)/
オードビ /(n) brandy (fre: eau de vie)/
オードブル /(n) hors d'oeuvre (fre:)/(P)/
オーナ /(n) owner/
オーナー /(n) owner/(P)/
オーナーシステム /(n) owner system/
オーナーシップ /(n) (comp) ownership/
オーナードライバー /(n) owner-driver/
オーナーパイロット /(n) owner-pilot/
オーナシェフ /(n) owner-chef/
オーナメント /(n) ornament/
オーニソプター /(n) ornithopter/
オーニング /(n) awning/
オーバ /(adj-na,n,vs) (1) (abbr) overcoat/(2) over/exceeding/going beyond/exaggeration/(3) ball hit over the head of an outfielder (baseball)/(P)/
オーバー /(adj-na,n,vs) (1) (abbr) overcoat/(2) over/exceeding/going beyond/exaggeration/(3) ball hit over the head of an outfielder (baseball)/(P)/
オーバーアクション /(n) overaction/
オーバーウエート /(n) overweight/
オーバーオール /(n) overall/
オーバーオールポジション /(n) overall position/
オーバーキル /(n) overkill/
オーバークロッキング /(n) (comp) overclocking/
オーバークロック /(n) (comp) overclock/
オーバーコート /(n) overcoat/
オーバーコール /(n) over-rule (in tennis) (wasei: over call)/
オーバーシューズ /(n) overshoes (waterproof covers for shoes)/galoshes/
オーバーシューツ /(n) overshoes (waterproof covers for shoes)/galoshes/
オーバーシュート /(n) (comp) overshoot/
オーバースキル /(n) overskill/
オーバーステップ /(n) overstep/(P)/
オーバースライド /(n) overslide/
オーバースロー /(n) (abbr) overhand throw (baseball)/
オーバーゾーン /(n) overzone/
オーバータイム /(n) overtime/
オーバーダビング /(n) overdubbing/
オーバーダブ /(n) overdub/
オーバーチャージ /(n) overcharge/
オーバーチュア /(n) overture/
オーバーテクノロジー /(n) super technology (wasei: over technology)/technology beyond our current capabilities, mainly in science fiction/
オーバートップ /(n) overtop/
オーバードクター /(n) unemployed person with a PhD (wasei: over doctor)/
オーバードライブ /(n) overdrive/
オーバードライブプロセッサ /(n) (comp) over drive processor/ODP/
オーバードラフト /(n) overdraft/overdraught/
オーバーナイト /(n) overnight/
オーバーナイトバッグ /(n) overnight bag/
オーバーナイトフォトサービス /(n) overnight photo service/
オーバーネット /(n) reaching over the net (volleyball, etc.) (wasei: over net)/
オーバーハング /(n) overhang/
オーバーハンド /(n) overhand/
オーバーハンドスロー /(n) overhand throw/
オーバーハンドパス /(n) overhand pass/
オーバーパー /(n) over par (golf)/
オーバーヒート /(n,vs) overheat/(P)/
オーバーフェンス /(n) over fence/
オーバーフロー /(n) overflow/
オーバーフローエラー /(n) (comp) overflow error/
オーバーフロールーチング /(n) (comp) overflow routing/
オーバーフロールート /(n) (comp) overflow route/
オーバーフロー表示 [オーバーフローひょうじ] /(n) (comp) overflow indication/
オーバーブッキング /(n) overbooking/
オーバーブラウス /(n) overblouse/
オーバープルーフ /(n) overproof/
オーバープレゼンス /(n) overpresence/
オーバーヘッド /(n) overhead/
オーバーヘッドキック /(n) overhead kick/
オーバーヘッドスロー /(n) overhead throw/
オーバーヘッドパス /(n) overhead pass/
オーバーヘッドプロジェクター /(n) overhead projector/
オーバーペース /(n) overpace/
オーバーホール /(n,vs) overhaul/
オーバーボローイング /(n) overborrowing/
オーバーライト /(n) overwrite/
オーバーライド /(n) override/
オーバーラップ /(n,vs) overlap/(P)/
オーバーラップウィンドウ /(n) (comp) overlap window/
オーバーラップウィンドウ方式 [オーバーラップウィンドウほうしき] /(n) (comp) overlapped windowing/
オーバーラン /(n,vs) overrun/(P)/
オーバーレー /(n,vs) (1) overlay/(2) (comp) overlay (segment)/
オーバーレイ /(n,vs) (1) overlay/(2) (comp) overlay (segment)/
オーバーレイネットワーク /(n) (comp) overlay network/
オーバーローディング /(n) overloading/
オーバーロード /(n) overload/
オーバーローン /(n) overlent situation in a bank (wasei: overloan)/
オーバーワーク /(n) overwork/
オーバコート /(n) overcoat/
オーバチュア /(n) overture/
オーバパンチ /(n,vs) overpunch/
オーバフロー /(n,vs) (comp) overflow/
オーバヘッド /(n) overhead/
オーバヘッドタイム /(n) (comp) overhead time/
オーバヘッドプロジェクター /(n) (comp) Overhead Projector/
オーバラップ /(n) (comp) overlap/
オーバラン /(n,vs) (comp) overrun/
オーバル /(n) oval/
オーバレイ /(n,vs) (1) overlay/(2) (comp) overlay (segment)/
オーバレイアドレッシング /(n) (comp) overlay addressing/
オーバレイモデル /(n) (comp) overlay model/
オーバレイルーチング /(n) (comp) overlay routing/
オーバレイ区分 [オーバレイくぶん] /(n) (comp) overlay (segment)/
オーバレイ構造 [オーバレイこうぞう] /(n) (comp) overlay structure/
オーパーツ /(n) out of place artifact/OOPArt/
オーパス /(n) opus (lat:, eng:)/
オービス /(n) automatic camera for detecting and recording speeding vehicles (from Orbis - brand name)/
オービター /(n) orbiter/
オーピーエス /(n) (comp) OPS/
オーファンドラッグ /(n) orphan drug/
オーブ /(n) orb/
オーブン /(n) oven/(P)/
オーブントースター /(n) oven toaster/toaster oven/
オーブンレンジ /(n) combination microwave and (gas or electric bar) oven/
オープナー /(n) opener/
オープニング /(n) opening/(P)/
オープニングゲーム /(n) opening game/
オープニングナンバー /(n) opening number/
オープン /(adj-na,n,vs) open/(P)/
オープン・カフェ /(n) pavement cafe (wasei: open cafe)/sidewalk cafe/open-air cafe/
オープン・チケット /(n) open ticket/
オープンアーキテクチャ /(n) (comp) open architecture/
オープンアカウント /(n) open account/
オープンウオーターダイバー /(n) open water diver/
オープンエア /(n) open-air/
オープンエンド /(n) open-end/
オープンエンドスパナ /(n) (comp) open-end wrench/
オープンエンドモーゲージ /(n) open-end mortgage/
オープンカー /(n) convertible (wasei: open car)/(P)/
オープンカット /(n) open-cut/
オープンカフェ /(n) pavement cafe (wasei: open cafe)/sidewalk cafe/open-air cafe/
オープンカラー /(n) open collar/
オープンキッチン /(n) open kitchen/
オープンキャプション /(n) open caption/
オープンキャンパス /(n) open campus/
オープンクライアント /(n) (comp) OpenClient/
オープンゲーム /(n) open game/
オープンコース /(n) open course/
オープンコンピュータネットワーク /(n) (comp) Open Computer Network/OCN/
オープンゴルフ /(n) open golf/
オープンサイド /(n) open side (rugby)/
オープンサンド /(n) (abbr) open sandwich/
オープンサンドイッチ /(n) open sandwich/
オープンシステム /(n) open system/
オープンシステムの会社 [オープンシステムのかいしゃ] /(n) (comp) open systems company/
オープンシステム病院 [オープンシステムびょういん] /(n) open system hospital/
オープンシャツ /(n) open-necked shirt (wasei: open shirt)/
オープンショップ /(n) open shop/
オープンショップ制 [オープンショップせい] /(n) open shop system (employment of both unionists and non-unionists)/
オープンスカイ /(n) airline deregulation policy (wasei: open sky)/
オープンスクール /(n) school(s) with flexible, child-centred curricula (wasei: open school)/
オープンスタンス /(n) open stance/
オープンスペース /(n) open space/clearing/
オープンセサミ /(n) open sesame/
オープンセット /(n) open set/(P)/
オープンソース /(n) (comp) open source (software, etc.)/
オープンソースの会社 [オープンソースのかいしゃ] /(n) (comp) open source vendor/open source company/
オープンソースコード /(n) (comp) open source code/
オープンソースソフトウェア /(n) (comp) open source software/
オープンチケット /(n) open ticket/
オープンテニス /(n) open tennis/
オープンデーティングシステム /(n) open-dating system/
オープンディスカッション /(n) open discussion (style of meeting)/
オープンディスプレー /(n) open display/
オープントレード /(n) open trade/
オープンドア /(n) open door/
オープンドック /(n) (comp) OpenDoc/
オープンネットワーク /(n) (comp) open network/
オープンハウス /(n) open house/
オープンヒールタイプ /(n) type of scuba fin with an open heel, also called "adjustable fins"/
オープンファイル /(n) (comp) open file/
オープンファイル記述 [オープンファイルきじゅつ] /(n) (comp) open file description/
オープンフェース /(n) open face/
オープンフレーム /(n) open frame/
オープンプライス /(n) (comp) open price/
オープンプラットフォーム /(n) (comp) open platform/
オープンプランニング /(n) open planning/
オープンプレー /(n) open play/
オープンマーケット /(n) open market/
オープンマーケットオペレーション /(n) open market operation/
オープンマネーマーケット /(n) open money market/
オープンマリッジ /(n) open marriage/
オープンユニバーシティー /(n) Open University/
オープンリール /(n) open reel/
オープンリールテープ /(n) open-reel tape/
オープンルック /(n) (comp) OPENLOOK/
オープン化 [オープンか] /(n) (comp) opening/
オープン価格 [オープンかかく] /(n) (comp) open price/
オープン勘定 [オープンかんじょう] /(n) open account/
オープン最短パスファースト [オープンさいたんパスファースト] /(n) (comp) open shortest path first/OSPF/
オープン戦 [オープンせん] /(n) exhibition game (baseball)/open game/(P)/
オープン選手権 [オープンせんしゅけん] /(n) open competition/
オープン投信 [オープンとうしん] /(n) open investment trust/
オーベルジュ /(n) auberge (French-style inn and restaurant) (fre:)/
オーペア /(n) au pair/
オーペアガール /(n) au pair girl/
オーペントーナメント /(n) open tournament/
オーボー /(n) oboe (ita:)/
オーボエ /(n) oboe (ita:)/(P)/
オーボエダモーレ /(n) oboe d'amore (ita:)/
オーム /(n) Ohm/
オームの法則 [オームのほうそく] /(n) Ohm's law/
オーメン /(n) omen/
オーラ /(n) aura/(P)/
オーライ /(n) all right/OK/
オーラップ /(n) (comp) OLAP/
オーラミン /(n) auramine/
オーラル /(n) oral/
オーラルアプローチ /(n) oral approach/
オーラルコミュニケーション /(n) aural communication/
オーラルセックス /(n) oral sex/
オーラルピル /(n) (obsc) oral pill (i.e. oral contraceptive pill)/
オーラルメソッド /(n) oral method/
オール /(n) (1) oar/(2) all/(3) (sl) staying up all night long/(P)/
オールＡ [オールエイ] /(n) straight As/all As/
オールイングリッシュ /(n) all English (method of teaching English)/
オールインワン /(n) all-in-one/
オールインワンＰＣ [オールインワンピーシー] /(n) (comp) all-in-one Personal Computer/
オールインワンパソコン /(n) (comp) all-in-one personal computer/
オールウェザー /(adj-no) all-weather/
オールウェザーコート /(n) all-weather coat/
オールウエーブ /(n) all-wave (receiver)/
オールウエザー /(n) all-weather/
オールウエザーコート /(n) all-weather coat/
オールウエザートラック /(n) all-weather track/
オールオーディナリーズ /(n) All Ordinaries (Australian stock index)/
オールオアナシング /(n) all or nothing/
オールオアナッシング /(exp) all-or-nothing/
オールオケージョンドレス /(n) all-occasion dress/
オールギャランティー /(n) all guarantee/
オールシーズンコート /(n) all-season coat/
オールシーズントラック /(n) all-season track/
オールシーズンドレス /(n) all-season dress/
オールスクエア /(n) all square/
オールスター /(n) all-star (cast)/
オールスターキャスト /(n) all-star cast/(P)/
オールスターゲーム /(n) all-star game/
オールスパイス /(n) allspice/
オールターナティブ /(adj-na) alternative/
オールターナティブスクール /(n) alternative school/
オールターナティブスペース /(n) alternative space/
オールタナティブ /(n) alternative/
オールディー /(n) oldie/
オールディーズ /(n) oldies/
オールトーキー /(exp) all talkie/
オールトの雲 [オールトのくも] /(n) Oort cloud/
オールト雲 [オールトうん] /(n) Oort cloud/
オールド /(n) old/
オールドイングリッシュシープドッグ /(n) Old English sheepdog/
オールドウーマンエンジェルフィッシュ /(n) old woman angelfish (Pomacanthus rhomboides)/
オールドエコノミー /(n) Old Economy/
オールドカード /(n) old guard/(P)/
オールドガード /(n) old guard/
オールドタイマー /(n) old-timer/
オールドパー /(n) Old Parr/
オールドパワー /(n) old power/
オールドファッション /(n) old-fashioned/
オールドファッショングラス /(n) oldfashioned glass/
オールドファン /(n) old fan/
オールドボーイ /(n) old boy/
オールドミス /(n) (sens) old maid (wasei: old miss)/
オールドリベラリスト /(n) old liberalist/
オールドローズ /(n) old rose/
オールナイト /(n) all-night/(P)/
オールヌード /(n) totally naked (wasei: all nude)/buck naked/
オールバック /(n) swept back hair (wasei: all back)/
オールパーパス /(n) all-purpose/
オールパス /(n) all pass/
オールボアール /(int) au revoir (fre:)/good-bye/
オールマイティー /(adj-na,n) almighty/(P)/
オールラウンダー /(n) all-rounder/
オールラウンド /(adj-na) all-round/(P)/
オールラウンドプレーヤー /(n) all-round player/
オールリスクス /(n) all risks/
オールロケ /(n) (abbr) all locations/
オールヴォワール /(int) au revoir (fre:)/good-bye/
オール電化 [オールでんか] /(adj-no) all-electric (e.g. heating)/
オーレ /(n) (comp) OLE/
オーレオマイシン /(n) Aureomycin (chlortetracycline)/
オーロックス /(n) aurochs/urus (extinct ancestor of the modern cow, Bos taurus)/
オーロラ /(n) aurora/(P)/
オーロン /(n) Orlon/
オア /(n) (comp) OR/
オアシス /(n) (1) oasis/(2) (comp) OASYS (Fujitsu WP system)/(P)/
オアス /(n) (comp) OAS/
オアペック /(n) Organization of Arab Petroleum Exporting Countries (Organisation)/OAPEC/
オイカワ /(n) (uk) freshwater minnow/pale chub (Zacco platypus)/
オイキムチ /(n) cucumber kimchi (kor: oi kimch'i)/
オイゲノール /(n) eugenol/
オイスター /(n) oyster/
オイスターソース /(n) oyster sauce/
オイタナシー /(n) euthanasia (ger: Euthanasie)/
オイチョカブ /(n) oicho-kabu (traditional Japanese gambling card game)/
オイディプス /(n) Oedipus/(P)/
オイラーの定理 [オイラーのていり] /(n) Euler's theorem/
オイリー /(adj-na) oily/greasy/
オイル /(n) oil/engine oil/kerosene/(P)/
オイルエンジン /(n) oil engine/
オイルカラー /(n) oil color/oil colour/
オイルガス /(n) oilgas/
オイルクーラー /(n) oil cooler/
オイルクロース /(n) oilcloth/
オイルクロス /(n) oilcloth/
オイルサーディン /(n) oiled sardine/
オイルサンド /(n) oil sands/tar sands/bituminous sands/
オイルシェール /(n) oil shale/
オイルシャンプー /(n) oil shampoo/
オイルショック /(n) oil crisis, es. 1973 OPEC oil crisis (wasei: oil shock)/
オイルシルク /(n) oiled silk/
オイルスキン /(n) oilskin/
オイルステイン /(n) oil stain/
オイルストーン /(n) oilstone/
オイルタンカー /(n) oiltanker/
オイルダラー /(n) oil dollar/
オイルダンパー /(n) oil damper/
オイルドレザー /(n) oiled leather/
オイルバーナー /(n) oil burner/
オイルパック /(n) oil pack/
オイルヒーター /(n) oil-heater/
オイルファシリティー /(n) oil facility/
オイルフィニッシュ /(n) oil finish/
オイルフェンス /(n) oil fence/(P)/
オイルブレーキ /(n) oil brake/
オイルペインティング /(n) oil painting/
オイルペイント /(n) oil paint/
オイルボール /(n) oil ball/
オイルポンプ /(n) oil pump/
オイルマッサージ /(n) oil massage/
オイルマネー /(n) oil money/
オイルロード /(n) oil road/
オイル語 [オイルご] /(n) langue d'oil/
オウギチョウチョウウオ /(n) scrawled butterflyfish (Chaetodon meyeri)/Meyer's butterflyfish/
オウギハクジラ /(n) (uk) Stejneger's beaked whale (Mesoplodon stejnegeri)/
オウギバショウ /(n) (uk) traveller's tree (Ravenala madagascariensis)/traveller's palm/
オウゴンヒワ /(n) (uk) American goldfinch (Carduelis tristis)/
オウサマペンギン /(n) (uk) king penguin (Aptenodytes patagonicus)/
オウチュウ /(n) (uk) black drongo (Dicrurus macrocercus)/
オウバーチャージ /(n) overcharge/
オウバイ /(n) (uk) winter jasmine (Jasminum nudiflorum)/
オウム /(n) (uk) (large) parrot (inc. the cockatoo)/
オウムガイ /(n) (uk) chambered nautilus (esp. species Nautilus pompilius)/
オウムブダイ /(n) palenose parrotfish (Scarus psittacus)/
オウム真理教 [オウムしんりきょう] /(n) Aum Shinrikyou religious group/
オウム病 [オウムびょう] /(n) psittacosis/parrot fever/
オウラフィン /(n) olefin/
オウンゴール /(n) own goal (soccer)/
オオアメリカモモンガ /(n) (uk) northern flying squirrel (Glaucomys sabrinus)/
オオアリクイ /(n) (uk) giant anteater (Myrmecophaga tridactyla)/
オオアワガエリ /(n) (uk) timothy (Phleum pratense)/timothy grass/
オオイトカケガイ /(n) (uk) precious wentletrap (Epitonium scalare)/
オオウナギ /(n) (uk) giant mottled eel (Anguilla marmorata)/marbled eel/
オオウミガラス /(n) (uk) great auk (Pinguinus impennis)/
オオウラジロノキ /(n) malus tschonoskii/white angel/
オオカナダモ /(n) (uk) Brazilian elodea (species of aquatic plant, Egeria densa)/
オオカバマダラ /(n) monarch butterfly (Danaus plexippus)/
オオカミ /(n) (uk) wolf (carnivore, Canis lupus)/
オオカミウオ /(n) (uk) Bering wolffish (Anarhichas orientalis)/
オオカミ少年 [オオカミしょうねん] /(n,vs) boy who cried wolf/
オオカメノキ /(n) viburnum furcatum/
オオギハクジラ /(ik) (n) (uk) Stejneger's beaked whale (Mesoplodon stejnegeri)/
オオクチバス /(n) largemouth bass (Micropterus salmoides)/bigmouth bass/
オオクログワイ /(n) (uk) Chinese water chestnut (Eleocharis dulcis)/
オオクロムクドリモドキ /(n) (uk) common grackle (Quiscalus quiscula)/
オオグチバス /(n) largemouth bass (Micropterus salmoides)/bigmouth bass/
オオグンカンドリ /(n) (uk) great frigatebird (Fregata minor)/
オオケタデ /(n) (uk) kiss-me-over-the-garden-gate (species of smartweed, Polygonum orientale)/prince's feather/
オオコウモリ /(n) (uk) fruit bat/flying fox/
オオコノハズク /(n) (uk) collared scops owl (Otus bakkamoena)/
オオゴマダラ /(n) (uk) tree nymph butterfly (Idea leuconoe)/
オオサガ /(n) (uk) Sebastes iracundus (species of rockfish)/
オオサンショウウオ /(n) (uk) Japanese giant salamander (Andrias japonicus)/
オオシマザクラ /(n) (uk) Oshima cherry (Prunus speciosam, P. lannesiana var. speciosa)/
オオシラビソ /(n) (uk) Maries' fir (Abies mariesii)/
オオジカ /(n) (1) large deer/(2) moose/elk/red deer/
オオジシギ /(n) (uk) Latham's snipe (Gallinago hardwickii)/
オオジュリン /(n) (uk) reed bunting (Emberiza schoeniclus)/
オオスジヒメジ /(n) dash-and-dot goatfish (Parupeneus barberinus)/
オオスズメバチ /(n) (uk) Asian giant hornet (Vespa mandarinia)/yak-killer hornet/
オオセ /(n) (uk) Japanese wobbegong (Orectolobus japonicus, species of carpet shark)/Japanese carpet shark/fringe shark/
オオセッカ /(n) (uk) Japanese marsh warbler (Megalurus pryeri)/
オオセ科 [オオセか] /(n) Orectolobidae (family containing 11 species in 3 genera of carpet sharks known as wobbegongs)/
オオセ属 [オオセぞく] /(n) Orectolobus (genus containing 9 species of wobbegong carpet sharks in the family Orectolobidae)/
オオゾウムシ /(n) (uk) Japanese giant weevil (Sipalinus gigas)/
オオタカ /(n) (1) (uk) northern goshawk (Accipiter gentilis)/(2) female hawk (or falcon)/(3) (abbr) falconry (using a northern goshawk)/
オオタナゴ /(n) (uk) Acheilognathus macropterus (species of cyprinid)/
オオタニワタリ /(n) (uk) Asplenium antiquum (species of spleenwort)/
オオタマオシコガネ /(n) (uk) scarab beetle/sacred scarab (Scarabaeus sacer)/
オオツノヒツジ /(n) (uk) (obsc) bighorn sheep (Ovis canadensis)/
オオテンジクザメ /(n) tawny nurse shark (Nebrius ferrugineus, species found in the Indo-Pacific)/
オオテンジクザメ属 [オオテンジクザメぞく] /(n) Nebrius (genus of a single species of nurse shark in the family Ginglymostomatidae)/
オオデマリ /(n) (uk) Japanese snowball/Viburnum plicatum/
オオトカゲ /(n) (uk) monitor lizard/
オオトカゲ科 [オオトカゲか] /(n) Varanidae (family of carnivorous monitor lizards whose only living genus is Varanus)/
オオトカゲ属 [オオトカゲぞく] /(n) Varanus (genus of carnivorous monitor lizards in the family Varanidae)/
オオトリテエ /(ok) (n) authority/
オオノガイ /(n) (uk) Mya arenaria oonogai (subspecies of soft-shell clam)/
オオハクチョウ /(n) (uk) whooper swan (Cygnus cygnus)/
オオハシ /(n) (uk) toucan/
オオハシウミガラス /(n) (uk) razorbill (Alca torda)/
オオバウチワエビ /(n) (uk) smooth fan lobster (Ibacus novemdentatus)/
オオバギボウシ /(n) (uk) ooba (big leaves) plantation lily/Hosta sieboldiana/
オオバコ /(n) (uk) plantain (esp. Asian plantain, Plantago asiatica)/
オオバコ科 [オオバコか] /(n) Plantaginaceae (the plantain family)/
オオバタン /(n) (uk) Moluccan cockatoo (Cacatua moluccensis)/salmon-crested cockatoo/
オオバライチゴ /(n) a variety of raspberry (Rubus croceacanthus H. Lev.)/
オオバン /(n) (uk) coot (Fulica atra)/
オオヒキガエル /(n) (uk) cane toad/marine toad/giant toad (Bufo marinus)/
オオヒゲマワリ /(n) (uk) volvox/
オオヒメグモ /(n) (uk) common house spider (Achaearanea tepidariorum)/
オオフエヤッコダイ /(n) longnose butterflyfish (Forcipiger longirostris)/
オオフルマカモメ /(n) (uk) giant petrel (esp. the southern giant petrel, Macronectes giganteus)/
オオヘビガイ /(n) (uk) scaly worm shell (Serpulorbis imbricatus)/
オオマシコ /(n) (uk) Pallas's rosefinch (Carpodacus roseus)/
オオマツヨイグサ /(n) (uk) red-sepaled evening primrose (Oenothera erythrosepala)/
オオミズ /(n) white angel/malus tschonoskii/
オオミズアオ /(n) (uk) emperor moth (Actias artemis)/Japanese moon moth/
オオミズナギドリ /(n) (uk) streaked shearwater (species of seabird, Calonectris leucomelas)/
オオミズネズミ /(n) rakali (Hydromys chrysogaster)/water-rat/
オオムカデ /(n) (uk) Scolopendra subspinipes (species of centipede)/
オオムラサキ /(n) (1) giant purple butterfly (species of nymphalid butterfly, Sasakia charonda)/(2) Rhododendron oomurasaki (species of purple azalea)/
オオメジロザメ /(n) (uk) bull shark (Carcharhinus leucas)/
オオメハゼ /(n) flame goby (Trimma macrophthalmum)/large-eyed dwarfgoby/red-spotted pygmy-goby/
オオモズ /(n) (uk) northern shrike/great grey shrike (Lanius excubitor)/
オオヨシキリ /(n) (uk) great reed warbler (Acrocephalus arundinaceus)/
オオヨモギ /(n) Artemisia montana/
オオルリ /(n) (uk) blue-and-white flycatcher (Cyanoptila cyanomelana)/
オオワニザメ /(n) smalltooth sand tiger (Odontaspis ferox)/ragged-tooth shark/
オオワニザメ科 [オオワニザメか] /(n) Odontaspididae (family of four species in two genera of lamniform sand sharks, also known as sand tiger sharks or ragged tooth sharks)/
オオワニザメ属 [オオワニザメぞく] /(n) Odontaspis (genus of two species in the sand shark family Odontaspididae)/
オカズ /(n) (1) (uk) accompaniment for rice dishes/side dish/(2) food for thought (esp. in the context of conversation, or material for assisting arousal during masturbation)/
オカチメンコ /(n) (uk) (woman's) ugly or homely face/old bag/
オカトラノオ /(n) (uk) gooseneck loosestrife (Lysimachia clethroides)/
オカヒジキ /(n) (uk) Salsola komarovii (species of saltwort)/
オカピ /(n) okapi (giraffe-like animal)/
オカマ /(n) (1) (pol) pot/(2) volcanic crater/(3) (one's) buttocks/(4) (uk) (col) male homosexual/effeminate man/male transvestite/
オカメインコ /(n) (uk) cockatiel (Nymphicus hollandicus)/
オカヤドカリ /(n) (uk) concave land hermit crab (Coenobita cavipes)/
オカリナ /(n) ocarina (type of flute) (ita:)/(P)/
オカルチャー /(n) (abbr) occult culture/
オカルティズム /(n) occultism/
オカルティック /(adj-na) occult (wasei: occultic)/spooky/eerie/
オカルト /(adj-na,adj-no) occult/(P)/
オカルトブーム /(n) occult fad/occult boom/
オガサワオオコウモリ /(n) (uk) Bonin flying fox (Pteropus pselaphon)/
オガサワラマシコ /(n) (uk) Bonin grosbeak (Chaunoproctus ferreorostris, extinct)/
オガタマノキ /(n) (uk) Michelia compressa (species of Japanese tree similar to champak)/
オガライト /(n) wood briquet/
オキアミ /(n) (uk) krill/euphasiid (any species in the family Euphausiacea)/
オキエソ /(n) (uk) bluntnose lizardfish (Trachinocephalus myops)/snakefish/
オキゴンドウ /(n) (uk) false killer whale (Pseudorca crassidens)/
オキサイド /(n) oxide/
オキサロ酢酸 [オキサロさくさん] /(n) oxaloacetic acid/
オキシゲナーゼ /(n) oxygenase (ger: Oxygenase)/
オキシジェン /(n) oxygen/
オキシダーゼ /(n) oxidase/
オキシダント /(n) oxidant/
オキシダント雲 [オキシダントぐも] /(n) oxidant cloud/
オキシテトラサイクリン /(n) oxytetracycline/
オキシトシン /(n) oxytocin/
オキシドール /(n) (hydrogen) peroxide (solution) (ger: Oxydol)/
オキシドレダクターゼ /(n) oxidoreductase/
オキシフル /(n) Oxyfull (Japanese brand of hydrogen peroxide)/
オキシヘモグロビン /(n) oxyhemoglobin/
オキシラン /(n) oxirane/ethylene oxide/
オキソニウムイオン /(n) oxonium ion/
オキソ酸 [オキソさん] /(n) oxoacid/
オキナエビス /(n) (uk) Beyrich's slit shell (species of sea snail, Pleurotomaria beyrichii)/
オキナエビスガイ /(n) (uk) Beyrich's slit shell (species of sea snail, Pleurotomaria beyrichii)/
オキナヒメジ /(n) blackspot goatfish (Parupeneus spilurus)/
オキナメクラ /(n) Myxine paucidens (species of hagfish from the Sagaminada Sea in Japan)/
オキナワオオコウモリ /(n) (uk) Okinawa flying fox (Pteropus loochoensis) (extinct)/
オキナワベニハゼ /(n) Okinawa rubble goby (Trimma okinawae)/red-spotted dwarfgoby/orange-red goby/Okinawa pygmy-goby/
オキナワヤマイモ /(n) (obsc) water yam (Dioscorea alata)/winged yam/purple yam/
オキニシ /(n) (uk) warty frog shell (Bursa bufonia dunkeri)/
オキフエダイ /(n) blacktail snapper (Lutjanus fulvus)/
オキュパイド /(n) occupied/
オキュペーショナルセラピー /(n) occupational therapy/
オギノ式 [オギノしき] /(n) Ogino method/
オギョウ /(n) (uk) Jersey cudweed (species of cottonweed, Gnaphalium affine)/
オクシデンタリズム /(n) occidentalism/
オクシデンタル /(adj-na) occidental/
オクシデント /(n) Occident/
オクスフォード /(n) Oxford/
オクスブリッジ /(n) Oxbridge (i.e. Oxford and Cambridge)/
オクターブ /(n) octave (fre:)/(P)/
オクターボ /(n) octavo/
オクタボ /(n) octavo/
オクタン /(n) octane/
オクタン価 [オクタンか] /(n) octane value/
オクテット /(n) octet/
オクテット列型 [オクテットれつがた] /(n) (comp) octet-string type/
オクトーバー /(n) October/
オクトパス /(n) (1) (abbr) octopus/(2) octopus regulator/alternate 2nd stage air pressure regulator used as an alternate air source in an emergency/
オクラ /(n) (1) shelving (a play, movie, etc.)/closing down/cancelling/canceling/the shelf/(2) rice storehouse of the Edo shogunate/
オクラ /(n) okra (herb) (Abelmoschus esculentus)/(P)/
オクラホマ /(n) Oklahoma/(P)/
オグロ /(n) graceful shark (Carcharhinus amblyrhynchoides, species of requiem shark found in the tropical Indo-Pacific)/
オグロシギ /(n) (uk) black-tailed godwit (species of sandpiper, Limosa limosa)/
オグロメジロザメ /(n) (uk) blacktail reef shark (Carcharhinus amblyrhynchos, species of Indo-Pacific requiem shark)/grey reef shark/
オケ /(n) (abbr) orchestra/(P)/
オケる /(v5r) (sl) to go to a karaoke bar/
オケラ /(n) (uk) mole cricket (esp. the Oriental mole cricket, Gryllotalpa orientalis)/
オコジョ /(n) stoat/ermine/short-tailed weasel (Mustela erminea)/
オゴポゴ /(n) Ogopogo (lake monster reported to live in Canada's Lake Okanagan)/
オサガメ /(n) (uk) leatherback turtle (Dermochelys coriacea)/
オサゾウムシ /(n) (uk) true weevil (any weevil of family Curculionidae)/
オシザメ /(n) false catshark (species of deep water ground shark, Pseudotriakis microdon)/
オシザメ科 [オシザメか] /(n) Pseudotriakidae (family with only one species of false catshark, Pseudotriakis microdon)/
オシャレ /(adj-na,adj-no) (1) (uk) smartly dressed/stylish/fashion-conscious/(n) (2) someone smartly dressed/(vs) (3) to dress up/to be fashionable/
オショロコマ /(n) dolly varden (species of trout, Salvelinus malma, esp. subspecies Salvelinus malma malma) (ain:)/
オシロ /(n) (abbr) oscilloscope/
オシログラフ /(n) oscillograph/
オシログラム /(n) oscillogram/
オシロスコープ /(n) oscilloscope/
オシロメーター /(n) oscillometer/
オジサン /(n) (1) (hon) (fam) uncle/(2) (fam) old man/mister (vocative)/(3) (uk) manybar goatfish (Parupeneus multifasciatus)/
オジロジカ /(n) (uk) white-tailed deer (Odocoileus virginianus)/whitetail deer/
オス /(n) male (animal)/
オスカー /(n) Oscar/(P)/
オスコネクタ /(n) (comp) male connector/
オスジイソハゼ /(n) zebra goby (Eviota zebrina)/five-bar pygmy-goby/
オスジクロハギ /(n) ringtail surgeonfish (Acanthurus blochii, species of tang from the Indo-Pacific)/blue-banded pualu/dark surgeon/tailring surgeonfish/
オスティナート /(n) ostinato (ita:)/
オステオポローシス /(n) osteoporosis/
オストラシズム /(n) ostracism/
オストリッチ /(n) ostrich/
オストリッチポリシー /(n) ostrich policy/
オストワルト表色系 [オストワルトひょうしょくけい] /(n) (comp) Ostwald color system/
オスネジ /(n) male screw/
オスパー /(n) ocean space explorer/OSPER/
オスマントルコ /(n) Ottoman Turks/
オスマン朝 [オスマンちょう] /(n) Ottoman (Osmanli) dynasty/
オスマン帝国 [オスマンていこく] /(n) Ottoman Empire/
オスマン帝国憲法 [オスマンていこくけんぽう] /(n) First Turkish (Ottoman) Constitution/
オスミウム /(n) osmium (Os)/
オスメス変換 [オスメスへんかん] /(n) (comp) gender bender/
オスメス変換器 [オスメスへんかんき] /(n) (comp) gender changer/sex changer/
オス猿 [オスざる] /(n) male monkey/
オセアニア /(n) Oceania/(P)/
オセロ /(n) Othello (board game)/
オセロゲーム /(n) Othello (board game) (wasei: Othello game)/
オセロット /(n) ocelot (feline, Felis pardalis)/
オゾン /(n) ozone/(P)/
オゾンホール /(n) ozone hole/(P)/
オゾン層 [オゾンそう] /(n) ozone layer/
オゾン層保護法 [オゾンそうほごほう] /(n) Ozone Layer Protection Law/
オタ /(n,suf) (col) (abbr) nerd/geek/enthusiast/
オタク /(n) (col) geek/nerd/enthusiast/otaku/(P)/
オタッキー /(adj-na) geeky/otaku-y/
オタネニンジン /(n) (uk) Asian ginseng (Panax ginseng)/
オタマジャクシ /(n) (1) tadpole/(2) ladle/(3) musical note/
オタリア /(n) South American sea lion (Otaria flavescens) (lat: Otaria)/
オタワ /(n) Ottawa/(P)/
オタ芸 [オタげい] /(n) type of fan who yells and dances at pop concerts, etc./
オタ車 [オタしゃ] /(n) (col) otaku car (painted with anime characters, loaded with figures and stuffed dolls, etc.)/
オダマキ /(n) (uk) fan columbine (Aquilegia flabellata)/
オダリスク /(n) odalisque/odalisk/
オッカムの剃刀 [オッカムのかみそり] /(n) Occam's razor/Ockham's razor/
オックステール /(n) oxtail/
オックスフォード /(n) Oxford/(P)/
オックスフォード学派 [オックスフォードがくは] /(n) (obsc) Oxford school (of analytic philosophy)/
オック語 [オックご] /(n) (1) langue d'oc/(2) Occitan/
オッズ /(n) chances of winning (a bet)/odds/
オッタートロール /(n) otter trawl/
オッターハウンド /(n) otterhound/
オットセイ /(n) (uk) fur seal (esp. the northern fur seal, Callorhinus ursinus)/Alaskan fur seal/
オットマン /(n) ottoman/
オッドアイ /(n) eyes mismatched in colour (color) (wasei: odd eye)/
オッパイ /(n) (1) (chn) breasts/boobies/tits/(2) (chn) breast milk/
オッファー /(n,vs) offer/
オップアート /(n) op art/optical art/
オツネンチョウ /(n) (uk) (obsc) eastern pale clouded yellow (butterfly, Colias erate)/
オデッセイ /(n) Odyssey/
オトギリソウ /(n) (uk) Hypericum erectum (species of St. John's wort)/
オトギリソウ科 [オトギリソウか] /(n) Clusiaceae (family of plants including St. John's worts and mangosteens)/Guttiferae/
オトギリソウ属 [オトギリソウぞく] /(n) Hypericum (plant genus including St. John's worts)/
オトギリソウ目 [オトギリソウもく] /(n) Guttiferales (plant order)/
オトシンクルス /(n) dwarf sucker (Otocinclus spp.) (lat: Otocinclus)/
オトト /(n) (uk) (chn) fish/
オトナ語 [オトナご] /(n) adult language/office jargon/
オトヒメエビ /(n) (uk) banded coral shrimp (Stenopus hispidus)/coral banded shrimp/banded boxer shrimp/
オトメツバキ /(n) (uk) otome camellia (Camellia japonica f. otome)/
オトメベラ /(n) moon wrasse (Thalassoma lunare)/
オドメーター /(n) odometer/
オドリコソウ /(n) (uk) Lamium album var. barbatum (variety of white deadnettle)/
オナー /(n) honor/honour/
オナる /(v5r) (col) to masturbate/
オナカップ /(n) artificial vagina (ger: Onanie, eng: cup)/
オナガガモ /(n) (uk) northern pintail (Anas acuta)/
オナガザメ /(n) (uk) thresher shark (esp. the common thresher shark, Alopias vulpinus)/
オナガザメ科 [オナガザメか] /(n) Alopiidae (family with three species of thresher sharks all within the genus Alopias)/
オナガザメ属 [オナガザメぞく] /(n) Alopias (genus of three extant thresher shark species in the family Alopiidae)/
オナガザル /(n) (uk) cercopithecoid (any Old World monkey of family Cercopithecidae, esp. the guenons of genus Cercopithecus)/
オナガスズメダイ /(n) Allen's chromis (Chromis alleni)/
オナガドチザメ /(n) pygmy ribbontail catshark (Eridacnis radcliffei, found in the Indo-West Pacific)/
オナガドチザメ属 [オナガドチザメぞく] /(n) Eridacnis (genus of finback catshark in the family Proscylliidae)/
オナゴダケ /(n) (uk) (obsc) Simon bamboo (Pleioblastus simonii)/
オナドル /(n) (abbr) fantasy object for masturbation (wasei: onanism idol)/
オナニ /(n) (X) (col) onanism (ger: Onanie)/masturbation/
オナニー /(n) (X) (col) onanism (ger: Onanie)/masturbation/
オナペット /(n) (obs) fantasy object for masturbation (wasei: onanism pet)/
オナホ /(n) sex sleeve (wasei: onanism hole)/masturbation device that mimics female genitalia/
オナホール /(n) sex sleeve (wasei: onanism hole)/masturbation device that mimics female genitalia/
オニイ系 [オニイけい] /(n) men's fashion style characterized by brown hair and deep-tanned skin, expensive brand-name clothes and accessories/
オニオコゼ /(n) (uk) devil stinger (Inimicus japonicus)/
オニオン /(n) onion (edible plant, Allium cepa)/(P)/
オニカサゴ /(n) (uk) scorpionfish (Scorpaenopsis cirrhosa)/hairy stingfish/
オニカッコウ /(n) (uk) Asian koel (Eudynamys scolopacea)/
オニカマス /(n) (uk) great barracuda (Sphyraena barracuda)/
オニキス /(n) onyx/
オニキンメ /(n) (uk) common fangtooth (Anoplogaster cornuta)/
オニグモ /(n) (uk) Araneus ventricosus (species of orb-weaving spider)/
オニグルミ /(n) (uk) Manchurian walnut (Juglans mandshurica)/
オニタビラコ /(n) (uk) Oriental false hawksbeard (Youngia japonica)/
オニダルマオコゼ /(n) (uk) reef stonefish (Synanceia verrucosa)/stonefish/devilfish/
オニックス /(n) onyx/
オニテングハギ /(n) humpback unicornfish (Naso brachycentron, species of Indo-Pacific tang)/
オニネズミ /(n) (uk) greater bandicoot rat (Bandicota indica)/
オニノヤガラ /(n) (uk) Gastrodia elata (species of saprophytic orchid)/
オニハタタテダイ /(n) masked bannerfish (Heniochus monoceros)/pennant coralfish/
オニベニハゼ /(n) Trimma yanagitai (species of goby found in Japan)/
オニボウズギス /(n) (uk) black swallower (Chiasmodon niger)/
オニヤンマ /(n) (uk) Anotogaster sieboldii (largest species of dragonfly in Japan)/
オネジ /(n) male screw/
オネトーム /(n) respectable person (fre: honnete homme)/
オノコロ島 [オノコロじま] /(n) (1) (arch) Onokoro Island (in Japanese mythology, the island formed by drops of water falling from the heavenly jeweled spear)/Onogoro Island/(2) Japan/
オノゴロ島 [オノゴロじま] /(n) (1) (arch) Onokoro Island (in Japanese mythology, the island formed by drops of water falling from the heavenly jeweled spear)/Onogoro Island/(2) Japan/
オノマトピーア /(n) onomatopoeia (fre: onomatopee)/
オノマトペ /(n) onomatopoeia (fre: onomatopee)/
オノマトペー /(n) onomatopoeia (fre: onomatopee)/
オノマトペア /(n) onomatopoeia (fre: onomatopee)/
オノマンネングサ /(n) (uk) needle stonecrop (Sedum lineare)/
オハイオ /(n) Ohio/(P)/
オハグロハギ /(n) Thompson's surgeonfish (Acanthurus thompsoni, species of Indo-Pacific tang whose Indian Ocean population lacks the white caudal fin of the Pacific variety)/
オバールクロミス /(n) Hawaiian chromis (Chromis ovalis)/oval chromis/
オバむ /(v5m) (sl) (various meanings, including) to chant, "Yes we can, yes we can!"/
オバデア書 [オバデアしょ] /(n) Obadiah (book of the Bible)/
オバデヤ書 [オバデヤしょ] /(n) Obadiah (book of the Bible)/
オバルブミン /(n) ovalbumin/
オパール /(n) opal (fre:)/
オパールガラス /(n) opal glass/
オヒシバ /(n) (uk) Indian goosegrass (Eleusine indica)/
オヒョウ /(n) (uk) halibut (esp. the Pacific halibut, Hippoglossus stenolepis)/
オヒョウ /(n) Manchurian elm (Ulmus laciniata) (ain:)/
オヒルギ /(n) (uk) black mangrove (Bruguiera gymnorrhiza)/
オビイソハゼ /(n) broad-banded pygmy goby (Eviota latifasciata)/
オビトウカイスズメダイ /(n) Okinawa chromis (Chromis okamurai)/
オビラプトル /(n) oviraptor (species of dinosaur, Oviraptor philoceratops)/
オピウム /(n) opium/
オピオイド /(n) opioid/
オピオイドペプチド /(n) opioid peptide/
オピニオン /(n) opinion/(P)/
オピニオンリーダー /(n) opinion leader/(P)/
オフ /(n) off/(P)/
オファー /(n,vs) offer/
オフィオライト /(n) ophiolite/
オフィサー /(n) officer/
オフィシャル /(adj-na,n) official/(P)/
オフィシャルゲーム /(n) official game/
オフィシャルサプライヤー /(n) official supplier/
オフィシャルハンデ /(n) official handicap (golf)/
オフィシャルレコード /(n) official record/
オフィス /(n) office/(P)/
オフィスアプリケーション /(n) (comp) office application/
オフィスアメニティ /(n) office amenity/
オフィスアワー /(n) office hours/working day/
オフィスエックスピー /(n) (comp) OfficeXP/
オフィスオートメーション /(n) office automation/
オフィスガール /(n) office girl/
オフィスキュウジュウゴ /(n) (comp) Office95/
オフィスキュウジュウハチ /(n) (comp) Office98/
オフィスコンピュータ /(n) (comp) office computer/
オフィスコンピューター /(n) (comp) office computer/
オフィスソフト /(n) office software package/office suite/
オフィスニセン /(n) (comp) Office2000/
オフィスパーク /(n) office park/
オフィスビル /(n) office building/office complex/
オフィスラブ /(n) love affair with colleague (wasei: office love)/
オフィスランドスケープ /(n) office landscape/
オフィスレディ /(n) female office worker (wasei: office lady)/OL/
オフィスレディー /(n) female office worker (wasei: office lady)/OL/
オフィスワイフ /(n) office wife/
オフェンス /(n) offense/offence/
オフオフブロードウェー /(n) off-off-Broadway/
オフコース /(exp) of course/
オフコン /(n) (comp) (abbr) office computer/
オフサイトセンター /(n) off-site centre (center)/
オフサイド /(n) off-side/(P)/
オフサイドトラップ /(n) offside trap/
オフザジョブトレーニング /(n) off-the-job training/
オフザレコード /(n) off the record/
オフシーズン /(n) off-season/(P)/
オフショア /(n) offshore/
オフショアカンパニー /(n) offshore company/
オフショアセンター /(n) offshore center/offshore centre/
オフショアファンド /(n) offshore fund/
オフショア開発 [オフショアかいはつ] /(n) (comp) offshore development/
オフショア市場 [オフショアいちば] /(n) offshore market/
オフショルダー /(n) off shoulder/
オフショルダーネックライン /(n) off-the-shoulder neckline/
オフスクリーンメモリ /(n) (comp) off-screen memory/
オフセット /(n) offset/
オフセット印刷 [オフセットいんさつ] /(n) (comp) offset printing/
オフタートル /(n) knit top with a loose turtleneck or cowl neck design (wasei: off turtle)/
オフタイム /(n) off-time/
オフトラック /(n) (comp) off-track/
オフビート /(n) off-beat/
オフフック /(n) off hook (line)/OH/
オフブロードウェー /(n) off Broadway/
オフホワイト /(n,adj-no) off-white/
オフマイク /(n) off mike/
オフミ /(n) (comp) (abbr) offline meeting/
オフライン /(n) off-line/
オフラインストレージ /(n) (comp) offline storage/
オフラインフォルダファイル /(n) (comp) offline folder file/
オフラインヘルプ /(n) (comp) offline help/
オフラインミーティング /(n) (comp) off-line meeting/
オフライン記憶装置 [オフラインきおくそうち] /(n) (comp) offline storage/
オフランプ /(n) off-ramp/
オフリミット /(n) off-limits/
オフレコ /(n,adj-no) off-the-record/(P)/
オフロード /(n) off-road/(P)/
オフロードバイク /(n) off-road bike/
オフロードレース /(n) off-road race/
オフ会 [オフかい] /(n) offline meeting (face-to-face meeting by people who normally interact online)/
オブザーバ /(n) observer/(P)/
オブザーバー /(n) observer/(P)/
オブジェ /(n) objet d'art (fre:)/item of artwork/(P)/
オブジェクション /(n) objection/
オブジェクト /(n) object/
オブジェクトのリンクと埋め込み [オブジェクトのリンクとうめこみ] /(n) (comp) Object Linking and Embedding/OLE/
オブジェクトオリエンテッド /(n) (comp) object-oriented/
オブジェクトクラス /(n) (comp) object class/
オブジェクトコード /(n) (comp) object code/
オブジェクトデータベース管理システム [オブジェクトデータベースかんりシステム] /(n) (comp) object database management system/
オブジェクトファイル /(n) (comp) object file/
オブジェクトブラウザ /(n) (comp) object browser/
オブジェクトプログラム /(n) (comp) object program/
オブジェクトモジュール /(n) (comp) object module/
オブジェクトモデリングツール /(n) (comp) object modeling tool/
オブジェクトモデルダイアグラム /(n) (comp) object model diagram/
オブジェクトライブラリ /(n) (comp) object library/
オブジェクト記述子型 [オブジェクトきじゅつしがた] /(n) (comp) object descriptor type/
オブジェクト技術 [オブジェクトぎじゅつ] /(n) (comp) object technology/
オブジェクト指向 [オブジェクトしこう] /(n,adj-no) (comp) object-oriented/
オブジェクト指向インタフェース [オブジェクトしこうインタフェース] /(n) (comp) object-oriented interface/
オブジェクト指向グラフィックス [オブジェクトしこうグラフィックス] /(n) (comp) object-oriented graphics/
オブジェクト指向データベース [オブジェクトしこうデータベース] /(n) (comp) object-oriented database/OODB/
オブジェクト指向プログラミング [オブジェクトしこうプログラミング] /(n) (comp) object-oriented programming/
オブジェクト指向型データベース [オブジェクトしこうがたデータベース] /(n) (comp) object oriented database/
オブジェクト指向言語 [オブジェクトしこうげんご] /(n) (comp) object-oriented language/
オブジェクト識別子 [オブジェクトしきべつし] /(n) (comp) object identifier/
オブジェクト識別子型 [オブジェクトしきべつしがた] /(n) (comp) object identifier type/
オブジェクト修飾 [オブジェクトしゅうしょく] /(n) (comp) object modification/
オブストラクション /(n) obstruction/
オブセッション /(n) obsession/
オブラート /(n) oblate (dut: oblaat, ger: oblate)/(P)/
オブラートに包む [オブラートにつつむ] /(exp,v5m) use an indirect expression/
オブリーク /(n) (abbr) oblique line/
オブリガート /(n) obbligato (ita:)/
オブリクバタフライフィッシュ /(n) oblique butterflyfish (Prognathodes obliquus)/
オブリゲーション /(n) obligation/
オプアート /(n) op art/optical art/
オプショナル /(n) optional/
オプショナルツアー /(n) optional tour/
オプショナルパーツ /(n) optional parts/
オプション /(n) option/(P)/
オプションキー /(n) (comp) Option key/
オプションスイッチ /(n) (comp) option switch/
オプションボタン /(n) (comp) option button/
オプション契約 [オプションけいやく] /(n) option contract/
オプション取引 [オプションとりひき] /(n) option trading/option dealing/option transaction/
オプス /(n) opus (lat:, eng:)/
オプス・デイ /(n) Opus Dei (Roman Catholic organization)/
オプスデイ /(n) Opus Dei (Roman Catholic organization)/
オプソニン /(n) opsonin/
オプチミスティック /(adj-na) optimistic/
オプチミスト /(n) optimist/
オプチミズム /(n) optimism/
オプティカル /(n) optical/
オプティカルアート /(n) optical art/
オプティカルスキャナ /(n) (comp) optical scanner/
オプティカルプリンタ /(n) (comp) optical printer/
オプティカルマウス /(n) (comp) optical mouse/
オプティプレックス /(n) (comp) OptiPlex/
オプティマイザ /(n) optimizer/optimiser/
オプティマイズ /(n) optimize/optimise/
オプティミスティック /(adj-f) optimistic/
オプティミスト /(n) optimist/
オプティミズム /(n) optimism/
オプトエレクトロニクス /(n) optoelectronics/
オプトメカニカルマウス /(n) (comp) optomechanical mouse/
オベリスク /(n) obelisk/
オベルスク /(n) obelisk/
オペ /(n) (abbr) medical operation/(P)/
オペーク /(n) opaque/
オペアンプ /(n) (abbr) operational amplifier/
オペコード /(n) (comp) operation code/op-code/
オペコド /(n) (comp) opcode/
オペック /(n) Organization of Petroleum Exporting Countries (Organisation)/OPEC/
オペラ /(n) opera (ita:)/(P)/
オペラグラス /(n) opera glasses/
オペラコミック /(n) comic opera (fre: opera-comique)/
オペラセリア /(n) opera seria (ita:)/
オペラハウス /(n) opera house/
オペラハット /(n) opera hat/
オペラバッグ /(n) opera bag/
オペラブッファ /(n) opera buffa (ita:)/
オペラント /(n) operant/
オペラント条件づけ [オペラントじょうけんづけ] /(n) operant conditioning/
オペラント条件付け [オペラントじょうけんづけ] /(n) operant conditioning/
オペランド /(n) (comp) operand/
オペラ歌手 [オペラかしゅ] /(n) opera singer/
オペラ座 [オペラざ] /(n) opera house/
オペレーショナル /(adj-na) operational/
オペレーション /(n) operation/(P)/
オペレーションコード /(n) (comp) operation code/op-code/
オペレーションズ /(n) operations/
オペレーションズリサーチ /(n) operations research/OR/
オペレーションセンター /(n) operation center/operation centre/
オペレーションツイスト /(n) operation twist/
オペレーションマニュアル /(n) (comp) Operations manuals/
オペレーションリサーチ /(n) operations research/
オペレータ /(n) operator/
オペレーター /(n) operator/(P)/
オペレーティング /(n) operating/
オペレーティングシステム /(n) (comp) operating-system/OS/
オペレーティングシステムイメージ /(n) (comp) operating system image/
オペレーティングシステムファームウェア /(n) (comp) operating system firmware/
オペレーティングマージン /(n) operating margin/
オペレーティング環境 [オペレーティングかんきょう] /(n) (comp) operating environment/
オペレイティングシステム /(n) (comp) operating-system/OS/
オペレッタ /(n) operetta (ita:)/(P)/
オペロン /(n) operon/
オペロン説 [オペロンせつ] /(n) operon theory (Jacob & Monod, 1961)/
オボアルブミン /(n) ovalbumin/
オボロキンチャクダイ /(n) velvet angelfish (Chaetodontoplus dimidiatus)/phanthom angelfish/
オポジションパーティー /(n) opposition party/
オポチュニスト /(n) opportunist/
オポチュニズム /(n) opportunism/
オポッサム /(n) opossum/
オマージュ /(n) homage (fre: hommage)/
オマール /(n) lobster (fre: homard)/
オマールエビ /(n) lobster/
オマール蝦 [オマールえび] /(n) lobster/
オマール海老 [オマールえび] /(n) lobster/
オマーン /(n) Oman/
オマーンバタフライフィッシュ /(n) Oman butterflyfish (Chaetodon dialeucos)/
オマキザル /(n) (uk) any monkey of family Cebidae (esp. the capuchin monkeys of genus Cebus, but also including marmosets, tamarins and squirrel monkeys)/
オミット /(n) (1) exception/exclusion/(vs) (2) to omit/to disallow (e.g. in a sport after a rule is broken)/to reject (e.g. faulty product)/to eject/to expel/to throw out/
オミナエシ /(n) (uk) golden lace (Patrinia scabiosifolia)/scabious patrinia/yellow patrinia/
オムツ /(n) (uk) diaper/nappy/(P)/
オムツ気触れ [オムツかぶれ] /(n) (uk) diaper rash/nappy rash/
オムニバス /(n) omnibus/(P)/
オムニマックス /(n) (comp) OMNIMAX/
オムライス /(n) (abbr) omelet with a filling of ketchup-seasoned fried rice (omelette) (wasei: omelet rice)/
オムレツ /(n) omelette/omelet/(P)/
オムロン /(n) Omron Corporation (Japanese electronics firm)/(P)/
オメガ３脂肪酸 [オメガさんしぼうさん] /(n) omega-3 fatty acid/
オメガ航法 [オメガこうほう] /(n) omega navigation/
オモダカ /(n) (uk) threeleaf arrowhead (Sagittaria trifolia)/
オモナガフタホシハゼ /(n) Eviota partimaculata (species of Indo-Pacific pygmy goby)/
オモナガフタボシイソハゼ /(n) Eviota partimacula (species of pygmy goby found in the Marshall Islands)/
オモニ /(n) mother (kor:)/
オヤジギャル /(n) (sl) young woman who acts like an old man/
オヤジ化 [オヤジか] /(exp) (sl) growing old/
オヤニラミ /(n) (uk) aucha perch (Coreoperca kawamebari)/
オヤビッチャ /(n) Indo-Pacific sergeant-major fish (Abudefduf vaigiensis)/
オヤビッチャ属 [オヤビッチャぞく] /(n) Abudefduf (genus of damselfish in the family Pomacentridae)/
オヤマスズメ /(n) (uk) (obsc) alpine accentor (Prunella collaris)/
オヨギイソハゼ /(n) twostripe pygmy goby (Eviota bifasciata)/doublebar goby/
オヨギベニハゼ /(n) yellow cave goby (Trimma taylori, species found in Indo-Pacific waters)/cave dwarfgoby/yellow-speckled pygmy-goby/
オライオン /(n) (comp) Orion/
オラクル /(n) oracle/(P)/
オラクルアイエーエス /(n) (comp) Oracle iAS/
オラクルアプリケーション /(n) (comp) Oracle Applications/
オラクルイービーエス /(n) (comp) Oracle EBS/
オラクルエイト /(n) (comp) Oracle 8/
オラクルエイトアイ /(n) (comp) Oracle 8i/
オラクルセブン /(n) (comp) Oracle 7/
オラクルナインアイ /(n) (comp) Oracle 9i/
オラクルナインアイエーエス /(n) (comp) Oracle 9iAS/
オラショ /(n) Horatio/
オラトリオ /(n) oratorio (ita:)/(P)/
オランウータン /(n) orangutan/(P)/
オランダイチゴ /(n) (uk) garden strawberry (Fragaria x ananassa)/
オランダカイウ /(n) (uk) calla lily (Zantedeschia aethiopica)/
オランダ海芋 [オランダかいう] /(n) (uk) calla lily (Zantedeschia aethiopica)/
オランダ語 [オランダご] /(n) Dutch (language)/
オランダ人 [オランダじん] /(n) Dutchman/
オランダ東インド会社 [オランダひがしインドがいしゃ] /(n) Dutch East India Company/
オランダ領ギアナ [オランダりょうギアナ] /(n) Netherlands Guiana/
オランダ苺 [オランダいちご] /(n) (uk) garden strawberry (Fragaria x ananassa)/
オランデーズソース /(n) sauce Hollandaise/
オリーブ /(n,adj-no) olive (fre:)/
オリーブオイル /(n) olive oil/
オリーブグリーン /(n) olive green/
オリーブドラブ /(n) olive drab/
オリーブヒメキツツキ /(n) (uk) olivaceous piculet (species of bird, Picumnus olivaceus)/
オリーブ色 [オリーブいろ] /(n) olive (colour, color)/olive brown/(P)/
オリーブ姫啄木鳥 [オリーブひめきつつき] /(n) (uk) olivaceous piculet (species of bird, Picumnus olivaceus)/
オリーブ油 [オリーブゆ] /(n) olive oil/
オリーヴ /(n,adj-no) olive (fre:)/
オリーヴ色 [オリーヴいろ] /(n) olive (colour, color)/olive brown/
オリエンタリスト /(n) orientalist/
オリエンタリズム /(n) orientalism/(P)/
オリエンタル /(adj-na) oriental/(P)/
オリエンタル・ショートヘア /(n) oriental shorthair/
オリエンタル・バタフライ・フィッシュ /(n) Oriental butterflyfish (Chaetodon auripes, species found mostly from Japan to Taiwan)/
オリエンタル・ロングヘア /(n) oriental longhair/
オリエンタルショートヘア /(n) oriental shorthair/
オリエンタルバタフライフィッシュ /(n) Oriental butterflyfish (Chaetodon auripes, species found mostly from Japan to Taiwan)/
オリエンタルロングヘア /(n) oriental longhair/
オリエンテーション /(n) orientation/(P)/
オリエンテーション教育 [オリエンテーションきょういく] /(n) orientation/
オリエンテーリング /(n) orienteering/(P)/
オリエンテッド /(adj-na) oriented/
オリエント /(n) Orient/(P)/
オリエント急行 [オリエントきゅうこう] /(n) Orient express/
オリエント美術 [オリエントびじゅつ] /(n) Oriental art/
オリオン /(n) Orion/(P)/
オリオンズ /(n) (comp) ORIONS/
オリオン座 [オリオンざ] /(n) Orion/
オリオン星雲 [オリオンせいうん] /(n) Orion Nebula/
オリガーキー /(n) oligarchy/
オリキャラ /(n) (abbr) original character (i.e. not a character from some other existing work)/
オリコン /(n) (abbr) original content/
オリゴヌクレオチド /(n) oligonucleotide/
オリゴポリー /(n) (obsc) oligopoly/
オリゴマー /(n) oligomer/(P)/
オリゴ糖 [オリゴとう] /(n) oligosaccharide (sugar polymer containing several but not many component simple sugars)/
オリザニン /(n) Oryzanin (brand-name vitamin B1; extracted from rice)/
オリジナリティ /(n) originality/
オリジナリティー /(n) originality/(P)/
オリジナル /(adj-no,n) original/(P)/
オリジナル・コンテンツ /(n) original content/
オリジナルカロリー /(n) original calorie/
オリジナルコンテンツ /(n) original content/
オリジナルシナリオ /(n) original scenario/
オリジナルビデオ /(n) film released direct-to-video (wasei: original video)/
オリジナルビデオアニメーション /(n) animated film released direct-to-video (wasei: original video animation)/
オリジナルプリント /(n) original print/
オリジナルプログラム /(n) original program/
オリジナル性 [オリジナルしょう] /(n) originality/
オリジネートモード /(n) (comp) originate mode/
オリジン /(n) origin/
オリストストローム /(n) olistostrome/
オリックス /(n) oryx (esp. the gemsbok, Oryx gazella)/
オリハルコン /(n) orichalcum/
オリフィス /(n) orifice/
オリフラ /(n) (abbr) orientation flat (semiconductors)/
オリブ /(n,adj-no) olive (fre:)/
オリンピア /(n) Olympia/(P)/
オリンピアード /(n) Olympiad/
オリンピア祭 [オリンピアさい] /(n) Festival of Zeus (held at Olympia every four years from 776 BCE to 393 BCE)/
オリンピック /(n) Olympics/(P)/
オリンピック・イヤー /(n) Olympic year/
オリンピック・コングレス /(n) Olympic Congress/
オリンピックイヤー /(n) Olympic year/
オリンピックコングレス /(n) Olympic Congress/
オリンピックデー /(n) Olympic Day (June 23rd)/
オリンピックパーク /(n) Olympic Park/
オリンピック旗 [オリンピックき] /(n) Olympic flag/
オリンピック記録 [オリンピックきろく] /(n) Olympic record/
オリンピック競技 [オリンピックきょうぎ] /(n) Olympic event/Olympic Games/
オリンピック景気 [オリンピックけいき] /(n) economic boom created by the Tokyo Olympic Games (1962-1964)/
オリンピック憲章 [オリンピックけんしょう] /(n) Olympic Charter/
オリンピック種目 [オリンピックしゅもく] /(n) Olympic event/
オリンピック聖火 [オリンピックせいか] /(n) Olympic Flame/Olympic Torch/
オリンピック選手 [オリンピックせんしゅ] /(n) Olympic athlete/
オリンピック村 [オリンピックむら] /(n) Olympic Village/
オリンピック大会 [オリンピックたいかい] /(n) Olympic Games/Olympics/
オリンピック冬季競技大会 [オリンピックとうききょうぎたいかい] /(n) Olympic Winter Games/
オリンポス /(n) Olympus/
オルガスム /(n) orgasm (ger: Orgasmus)/(P)/
オルガスムス /(n) orgasm (ger: Orgasmus)/
オルガナイザー /(n) organizer/organiser/
オルガナイズ /(n,vs) organize/organise/
オルガニスト /(n) organist/
オルガニズム /(n) organism/
オルガネラ /(n) organelle (lat: organella)/
オルガン /(n) organ (musical instrument) (por: orgao)/(P)/
オルグ /(n,vs) (1) (abbr) organizer/organiser/(2) organizing/organising/organization/organisation/(P)/
オルゴール /(n) music box (dut: orgel)/(P)/
オルゴン /(n) orgone energy/
オルシコン /(n) orthicon (early form of television camera tube)/
オルソクロマチック /(adj-no) orthochromatic/
オルソスコープ /(n) orthoscope (instrument for examining the iris)/
オルソパンクロマチック /(adj-no) orthopanchromatic/
オルゾー /(n) orzo (ita:)/
オルターナティブ /(n) alternative/
オルターナティヴ /(n) alternative/
オルタナティブ /(n) alternative/
オルタナティヴ /(n) alternative/
オルタネーター /(n) alternator/
オルタネイト /(n) alternate/
オルタネタ /(n) alternator/
オルト /(adj-no) ortho/
オルトキー /(n) (comp) Alt Key/
オルトフェニルフェノール /(n) orthophenyl phenol/OPP/
オルトリン酸塩 [オルトリンさんえん] /(n) orthophosphate/
オルトルイズム /(n) altruism/
オルト燐酸塩 [オルトりんさんえん] /(n) orthophosphate/
オルド /(n) (1) horde/
オルドビス紀 [オルドビスき] /(n) Ordovician period/
オルニチン /(n) ornithine/
オルニチン回路 [オルニチンかいろ] /(n) ornithine cycle/
オルム /(n) olm (Proteus anguinus)/
オルリオオトカゲ /(n) blue-tailed monitor (Varanus doreanus, species of carnivorous monitor lizard found in Australia, New Guinea, and the Bismarck Archipelago)/Kalabeck's monitor/
オレアンドマイシン /(n) oleandomycin/
オレイン酸 [オレインさん] /(n) oleic acid/
オレオレジン /(n) oleoresin/
オレオレ詐欺 [オレオレさぎ] /(n) type of fraud involving phone calls pretending distress/
オレカ /(n) (abbr) orange card/
オレゴン /(n) Oregon/
オレゴンパイン /(n) Oregon pine (another term for the common Douglas fir, Pseudotsuga menziesii)/
オレフィン /(n) olefin/olefine/alkene/
オレンジ /(n) orange/(P)/
オレンジエード /(n) orangeade/
オレンジカード /(n) orange card (pre-paid ticket)/
オレンジジュース /(n) orange juice/
オレンジスポッティド・スパインフット /(n) goldlined spinefoot (Siganus guttatus, species of Eastern Indian Ocean and Western Pacific rabbitfish)/orange-spotted spinefoot/
オレンジスポッティドスパインフット /(n) goldlined spinefoot (Siganus guttatus, species of Eastern Indian Ocean and Western Pacific rabbitfish)/orange-spotted spinefoot/
オレンジソケットサージャンフィッシュ /(n) orange-socket surgeonfish (Acanthurus auranticavus, species of the Indo-West Pacific)/
オレンジソケットサージョンフィッシュ /(n) orange-socket surgeonfish (Acanthurus auranticavus, species of the Indo-West Pacific)/
オレンジビターズ /(n) orange bitters/
オレンジピール /(n) orange peel/
オレンジフェイスバタフライフィッシュ /(n) hooded butterflyfish (Chaetodon larvatus)/
オレンジペコー /(n) orange pekoe/
オレンジ革命 [オレンジかくめい] /(n) Orange Revolution (Ukraine, 2004-2005)/
オレンジ色 [オレンジいろ] /(n) orange (colour, color)/(P)/
オロイド /(n) oroide (gold-coloured copper-zinc alloy)/
オロチン酸 [オロチンさん] /(n) orotic acid/
オロブロンコ /(n) sweet grapefruit-like citrus fruit/super-grapefruit/
オン /(n,vs) on/(P)/
オンエア /(n,vs) on air/on the air/(P)/
オンエアランプ /(n) on the air lamp/
オンオフ /(n) on-off/
オングストローム /(n) angstrom/
オンコジーン /(n) oncogene/
オンサイト /(n) on-site/
オンサイトサービス /(n) (comp) on-site service/onsite service/
オンサイトサポート /(n) (comp) on-site support/
オンサイド /(n) on-side/
オンザジョブトレーニング /(n) on-the-job training/
オンザフライ印字装置 [オンザフライいんじそうち] /(n) (comp) on-the-fly printer/
オンザフライ書き込み [オンザフライかきこみ] /(n) (comp) on-the- fly recording/
オンザマーク /(n) on the mark/
オンザロック /(n) on the rocks/
オンジエア /(n) on the air/
オンス /(n) ounce/28.35g/(P)/
オンスクリーンディスプレイ /(n) (comp) on-screen display/
オンスクリーン機能 [オンスクリーンきのう] /(n) (comp) on-screen function/
オンステージ /(n) on stage/
オンタリオ /(n) Ontario/
オンチップキャッシュ /(n) (comp) on-chip cache/
オンデマンド /(n) (comp) on demand/
オンデマンドダイヤルアップ接続 [オンデマンドダイヤルアップせつぞく] /(n) (comp) on demand dial-up/
オントレード /(exp) on-trade/
オントロギー /(n) (obsc) ontology (ger: Ontologie)/
オントロジー /(n,adj-no) ontology/
オンドマルトノ /(n) ondes Martenot (electronic musical instrument) (fre:)/
オンドル /(n) (uk) Korean floor heater (kor:)/
オンパレード /(n) display (lit: on parade)/array of/succession of/(P)/
オンフック /(n) (comp) on hook/
オンブズパースン /(n) ombudsperson/
オンブズマン /(n) ombudsman (swe:)/(P)/
オンボード /(n) (comp) on-board/
オンボードコンピュータ /(n) (comp) on-board computer/
オンボードデバイス /(n) (comp) onboard device/
オンマイク /(n) on-mike/
オンメモリ /(n) (comp) on memory/
オンユアマーク /(n) on your mark/
オンライン /(n) (comp) on-line/(P)/
オンラインでの求職活動 [オンラインでのきゅうしょくかつどう] /(n) (comp) on-line job-hunting/
オンラインの友人 [オンラインのゆうじん] /(n) (comp) online buddy/
オンラインイベント /(n) (comp) online event/
オンラインオークション /(n) online auction/
オンラインゲーム /(n) (comp) online game/
オンラインコンピュータ /(n) (comp) online computer/
オンラインコンピューター /(n) (comp) online computer/
オンラインコンピュータシステム /(n) (comp) online computer system/
オンラインサービス /(n) (comp) online service/
オンラインサインアップ /(n) (comp) on-line sign up/online sign-up/
オンラインサポートセンター /(n) (comp) online support center/
オンラインシステム /(n) (comp) on-line system/
オンラインショッピング /(n) online shopping/
オンラインショッピングカート /(n) (comp) online shopping carts/
オンラインショッピングサイト /(n) online shopping site/
オンラインショップ /(n) (comp) online shop/
オンラインストア /(n) online store/
オンラインストレージ /(n) (comp) online storage/
オンラインソフト /(n) (comp) online software/
オンラインソフトウェア /(n) (comp) online software/
オンラインダンプ /(n) (comp) online dump/
オンラインテスト /(n) (comp) online test/online testing/
オンラインテストシステム /(n) (comp) online test system/
オンラインテストセクション /(n) (comp) online test section/
オンラインテストプログラム /(n) (comp) online test program/
オンラインテスト制御プログラム [オンラインテストせいぎょプログラム] /(n) (comp) online test control program/
オンラインテラーズマシン /(n) (comp) online teller-machine/
オンラインデータベース /(n) (comp) on-line database/online database/
オンラインデータベースシステム /(n) (comp) online database system/
オンラインデータ収集システム [オンラインデータしゅうしゅうシステム] /(n) (comp) online data gathering system/
オンラインデータ処理 [オンラインデータしょり] /(n) (comp) on-line data processing/
オンラインデータ入力 [オンラインデータにゅうりょく] /(n) (comp) online data entry/
オンラインディクショナリー /(n) on-line dictionary/
オンラインディレイド処理システム [オンラインディレイドしょりシステム] /(n) (comp) online delayed time system/
オンラインディレクトリー /(n) (comp) online directory/
オンラインデバッギング /(n) (comp) online debugging/
オンラインデバッグ /(n) (comp) online debug/
オンライントランザクション処理 [オンライントランザクションしょり] /(n) (comp) online transaction processing/
オンライントレーディング /(n) (comp) on-line trading/
オンラインネットワークシステム /(n) (comp) on-line network system/
オンラインバックアップ /(n) (comp) online backup/
オンラインバッチ処理システム [オンラインバッチしょりシステム] /(n) (comp) online batch processing system/
オンラインバンキング /(n) (comp) online banking/
オンラインバンキングシステム /(n) (comp) online banking system/
オンラインパターン解析認識システム [オンラインパターンかいせきにんしきシステム] /(n) (comp) online pattern analysis and recognition system/
オンラインパッケージ /(n) (comp) online package/
オンラインプログラミングシステム /(n) (comp) online programming system/
オンラインプロジェクト管理 [オンラインプロジェクトかんり] /(n) (comp) online project management/
オンラインヘルプ /(n) (comp) online help/
オンラインボリューム管理 [オンラインボリュームかんり] /(n) (comp) on-line volume management/
オンラインマガジン /(n) (comp) online magazine/
オンラインマニュアル /(n) (comp) online-manual/online documentation/on-screen electronic book/
オンラインメディアのパイオニア /(n) (comp) online media pioneer/
オンラインモード /(n) (comp) online mode/
オンラインモニタ /(n) (comp) online monitor/
オンラインリアルタイム /(n) (comp) online real time/
オンラインリアルタイムシステム /(n) (comp) on-line real time system/
オンラインリアルタイム監視 [オンラインリアルタイムかんし] /(n) (comp) online real-time surveillance/
オンラインリアルタイム処理 [オンラインリアルタイムしょり] /(n) (comp) online real-time processing/
オンラインリアルタイム処理システム [オンラインリアルタイムしょりシステム] /(n) (comp) online real-time system/
オンライン科学コンピュータ [オンラインかがくコンピュータ] /(n) (comp) online scientific computer/
オンライン機械 [オンラインきかい] /(n) (comp) online machines/
オンライン機器 [オンラインきき] /(n) (comp) online equipment/
オンライン記憶 [オンラインきおく] /(n) (comp) online storage/
オンライン銀行業務設備 [オンラインぎんこうぎょうむせつび] /(n) (comp) online banking facilities/
オンライン計算処理 [オンラインけいさんしょり] /(n) (comp) online computing/
オンライン計測器パッケージ [オンラインけいそくきパッケージ] /(n) (comp) online instrumentation package/
オンライン検査機能 [オンラインけんさきのう] /(n) (comp) online test facility/
オンライン処理 [オンラインしょり] /(n) (comp) online processing/online operation/
オンライン処理環境 [オンラインしょりかんきょう] /(n) (comp) online processing environment/
オンライン情報処理 [オンラインじょうほうしょり] /(n) (comp) online information processing/
オンライン状態 [オンラインじょうたい] /(n) (comp) online state/
オンライン申し込み [オンラインもうしこみ] /(n) (comp) online sign-up/
オンライン診断 [オンラインしんだん] /(n) (comp) online diagnostics/
オンライン制御 [オンラインせいぎょ] /(n) (comp) online control/
オンライン端末テスト [オンラインたんまつテスト] /(n) (comp) online terminal test/
オンライン通信 [オンラインつうしん] /(n) (comp) online communication/
オンライン動作状態 [オンラインどうさじょうたい] /(n) (comp) online working/
オンライン配布 [オンラインはいふ] /(n) (comp) online distribution/
オンライン版 [オンラインはん] /(n) (comp) on-line version/on-line edition/
オンライン分析 [オンラインぶんせき] /(n) (comp) online analysis/
オンライン分析処理 [オンラインぶんせきしょり] /(n) (comp) On-Line Analytical Processing/OLAP/
オンライン問題解決 [オンラインもんだいかいけつ] /(n) (comp) online problem solving/
オンライン利用者 [オンラインりようしゃ] /(n) (comp) online consumers/
オンランプ /(n) on-ramp/
オンリ /(n) only/
オンリー /(n) only/(P)/
オンリーワン /(n) unique (wasei: only one)/
オンリイ /(n) only/
オンリミット /(n) on-limits/
オンワード /(n) onward/
オヴェイション /(n) ovation/
カ /(ctr) counter for the ichi-ni-san counting system (usu. directly preceding the item being counted)/a noun read using its on-yomi/
カー /(n) car/(P)/
カーきち /(n) petrolhead/car nut/
カーエレ /(n) (abbr) automotive electronics/
カーエレクトロニクス /(n) automotive electronics (wasei: car electronics)/
カーカー /(n) caw (sound made by crows)/croak/
カーカス /(n) (1) carcass (inner body of a car tyre) (tire)/(2) carcase/
カーキ /(n) khaki/
カーキチ /(n) petrolhead/car nut/
カーキ色 [カーキいろ] /(n) khaki/
カークーラー /(n) car air-conditioner (wasei: car cooler)/
カーゴ /(n) cargo/
カーゴ・スリング /(n) cargo sling/
カーゴカルト /(n) cargo cult (Melanesian belief system)/
カーゴスリング /(n) cargo sling/
カーゴテナー /(n) (roll) box pallet (from cargo container)/
カーサ /(n) house (spa: casa)/
カーシェール /(n) kasher/kosher/
カージナル /(n) cardinal (Catholic prelate, number characteristic, etc.)/
カージナル・テトラ /(n) cardinal tetra (Paracheirodon axelrodi)/
カージナルス /(n) Cardinals (US baseball team)/
カージナルテトラ /(n) cardinal tetra (Paracheirodon axelrodi)/
カース /(n) curse/
カーステレオ /(n) car stereo/
カースト /(n) caste/(P)/
カースリーパー /(n) sleeping car (car sleeper) (train)/
カーセックス /(n) car sex/
カーソル /(n) (comp) cursor/(P)/
カーソルキー /(n) (comp) cursor keys/
カーソルコントロールキー /(n) (comp) cursor control key/
カーソル移動キー [カーソルいどうキー] /(n) (comp) cursor control key/
カーソル強調 [カーソルきょうちょう] /(n) cursored emphasis/
カーダンパー /(n) car dumper/
カーチェイス /(n) car chase/(P)/
カーテシ /(n) courtesy/
カーテン /(n) curtain/curtains/(P)/
カーテンアンテナ /(n) curtain antenna/
カーテンウォール /(n) curtain wall/
カーテンウオール /(n) curtain wall/
カーテンコール /(n) curtain call/
カーテンリング /(n) curtain ring/
カーテンレール /(n) curtain rail/
カーテンレクチャー /(n) curtain lecture/
カーディガン /(n) cardigan/(P)/
カーディナル /(n) cardinal/
カート /(n) cart/(P)/
カートゥーン /(n) cartoon/
カートリッジ /(n) cartridge/(P)/
カートリッジテープドライブ /(n) (comp) cartridge tape drive/
カートリッジテープドライブモジュール /(n) (comp) cartridge tape drive module/
カートリッジフォント /(n) (comp) cartridge font/
カートレーン /(n) passenger and freight train (wasei: car train)/
カートレイン /(n) car train/
カートン /(n) (1) carton (e.g. of cigarettes)/(2) tray (in which money is placed when paying)/dish/
カード /(n) (1) card/(2) curd/(P)/
カードエッジコネクタ /(n) (comp) edge connector/
カードケージ /(n) (comp) card cage/
カードケージの突出部 [カードケージのとっしゅつぶ] /(n) (comp) card cage extrusion/
カードゲーム /(n) card game/(P)/
カードサービス /(n) (comp) card services/
カードシステム /(n) card system/
カードスタッカ /(n) (comp) card stacker/
カードスロット /(n) (comp) card slot/
カードデック /(n) (comp) card deck/
カードバス /(n) (comp) CardBus/
カードホッパ /(n) (comp) card hopper/
カードリーダー /(n) (comp) card reader/
カードル /(n,vs) (1) curdle/(n) (2) bundle (fre: cadre)/rack for storage or transport/stillage/
カードローン /(n) card loan/
カード会員 [カードかいいん] /(n) (credit) card holder/cardmember/
カード型データベース [カードがたデータベース] /(n) (comp) card-type database/
カード穿孔機構 [カードせんこうきこう] /(n) (comp) card punch/
カード穿孔装置 [カードせんこうそうち] /(n) (comp) card punch/
カード送り機構 [カードおくりきこう] /(n) (comp) card feed/
カード通路 [カードつうろ] /(n) (comp) card path/
カード読み取り装置 [カードよみとりそうち] /(n) (comp) card reader/
カード読取り機構 [カードよみとりきこう] /(n) (comp) card reader/
カード読取り装置 [カードよみとりそうち] /(n) (comp) card reader/
カード破産 [カードはさん] /(n) personal bankruptcy caused by excessive card-loan borrowing/
カード分類機 [カードぶんるいき] /(n) (comp) card sorter/
カーナビ /(n) (abbr) car navigation system/
カーナビゲーション /(n) (comp) car navigation/
カーナビゲーションシステム /(n) car navigation system/
カーナライト /(n) carnallite/
カーニバル /(n) carnival/(P)/
カーニング /(n) (comp) kerning/
カーヌーン /(n) qanun (Near-Eastern string instrument) (ara:)/
カーネーション /(n) carnation/(P)/
カーネージョン /(n) carnation/
カーネル /(n) (comp) kernel/
カーバ /(n) Kaaba/
カーバイド /(n) (1) carbide/(2) (calcium) carbide/
カーヒーター /(n) car heater/
カービン /(n) carbine/
カービング /(n) carving/
カービングナイフ /(n) carving knife/
カービン銃 [カービンじゅう] /(n) carbine/
カーフ /(n) calf/
カーフェリー /(n) car ferry/(P)/
カーフスキン /(n) calfskin/
カーブ /(n,vs) (1) curve/(2) curve ball (baseball)/(P)/
カーブフォロア /(n) (comp) curve follower/
カーブマーケット /(n) curb market/
カーブミラー /(n) (abbr) convex mirror/
カーブ尺 [カーブじゃく] /(n) curved ruler/
カープール /(n) car pool/
カーペット /(n) carpet/(P)/
カーペンター /(n) carpenter/
カーペンタリア湾 [カーペンタリアわん] /(n) Gulf of Carpentaria/
カーボーイ /(n) cowboy/
カーボナタイト /(n) carbonatite/
カーボランダム /(n) carborundum (hard silicon carbide solid, used as an abrasive)/
カーボロイ /(n) carboloy (alloy containing carbon, cobalt, and tungsten)/
カーボン /(n) carbon/(P)/
カーボングラファイト /(n) carbon graphite/
カーボンコピー /(n) carbon copy/
カーボンデーティング /(n) carbon dating/
カーボンナノチューブ /(n) carbon nano-tube/carbon nanotube/
カーボンニュートラル /(n,adj-na,adj-no) carbon-neutral/
カーボンファイバー /(n) carbon fiber/carbon fibre/
カーボンブラック /(n) carbon black/
カーボンヘッド /(n) carbon head/
カーボンマイクロホン /(n) carbon microphone/
カーボンリボン /(n) (comp) carbon ribbon/
カーボンレスペーパー /(n) carbonless paper/
カーボンロッド /(n) carbon rod/
カーボン紙 [カーボンかみ] /(n) carbon paper/
カーボン紙 [カーボンし] /(n) carbon paper/
カーポート /(n) carport/
カーマ /(n) Karma/
カーマイン /(n) carmine/
カーマインレッド /(n) carmine red/
カーマスートラ /(n) Kamasutra/
カーマニア /(n) car enthusiast (wasei: car mania)/car buff/
カーミット /(n) (comp) Kermit/
カーミン /(n) carmine (dut: karmijn)/
カーラー /(n) curler/
カーライフ /(n) car life/
カーラジオ /(n) car radio/
カーラッシュ /(n) Curlash/
カーリース /(n) car lease/
カーリーヘア /(n) curly hair/
カーリング /(n) curling/(P)/
カール /(n,vs) (1) curl/(n) (2) cwm (ger: Kar)/cirque/corrie/(P)/
カーレーサー /(n) racing driver (wasei: car racer)/
カーレース /(n) car race/(P)/
カーワックス /(n) car wax/
カーン /(n) (1) kern/(2) Kahn/(P)/
カーンカーン /(adv-to,n) clanging/dong dong/
カーヴ /(n) curve/
カイアシ類 [カイアシるい] /(n) copepods (small crustaceans of subclass Copepoda)/
カイエンペッパー /(n) cayenne pepper/
カイガラムシ /(n) (uk) scale insect/
カイギュウ /(n) (uk) serenian (any aquatic mammal of order Sirenia, inc. manatees, and dugongs)/sea cow/
カイコ /(n) (uk) silkworm (Bombyx Mori)/
カイザー /(n) Kaiser (ger:)/
カイゼル /(n) Kaiser (ger:)/
カイゼル髭 [カイゼルひげ] /(n) handlebar mustache (lit: Kaiser)/
カイダコ /(n) (uk) greater argonaut (species of paper nautilus, Argonauta argo)/
カイツブリ /(n) (1) (uk) little grebe (Tachybaptus ruficollis)/(2) grebe (any waterbird of family Podicipedidae)/
カイト /(n) kite/(P)/
カイドウ /(n) (1) flowering crab apple (Malus halliana)/(2) Kaido crab apple (Malus micromalus)/(3) Chinese flowering apple (Malus spectabilis)/(4) Siberian crab apple (Malus baccata)/(5) aronia (flower)/
カイネシクス /(n) kinesics/
カイネチン /(n) kinetin/
カイパーベルト /(n) Kuiper belt/
カイブツギンザメ /(n) rabbit fish (Chimaera monstrosa)/
カイマン /(n) caiman/cayman (crocodilian similar to an alligator)/
カイモグラフ /(n) kymograph/
カイヤン /(n) sutchi catfish (Pangasianodon hypophthalmus)/iridescent shark catfish/
カイリックス /(n) (comp) Kylix/
カイロ /(n) Cairo/
カイロテック /(n) (abbr) chiropractic/
カイロプラクター /(n) chiropractor/
カイロプラクチック /(n) chiropractic/
カイロプラクティック /(n) chiropractic/
カイロプラター /(n) chiropractor/
カインコンプレックス /(n) Cain complex (jealousy of a sibling, ultimately leading to hatred)/
カイ二乗検定 [カイにじょうけんてい] /(n) (comp) Chi square test/
カウ /(n) (comp) (abbr) automatically responding with an upload slot to someone who allows you to download (e.g. in P2P systems)/
カウチ /(n) couch/
カウチポテト /(n) couch potato/television addict/(P)/
カウハイド /(n) cowhide/
カウパー腺 [カウパーせん] /(n) Cowper's gland/bulbourethral gland/
カウベル /(n) cowbell/
カウボーイ /(n) cowboy/(P)/
カウボーイハット /(n) cowboy hat/
カウボーイブーツ /(n) cowboy boots/
カウリング /(n) cowling/
カウル /(n) cowl/
カウルネックライン /(n) cowl neckline/
カウンシル /(n) council/
カウンセラー /(n) counselor/counsellor/(P)/
カウンセリング /(n) counseling/(P)/
カウンタ /(n) (1) counter/(2) service counter (e.g. at a bank)/(3) counter (at a bar, cafe, etc.)/(4) (comp) automatically responding with an upload slot to someone who allows you to download (e.g. in P2P systems)/
カウンター /(n) (1) counter/(2) service counter (e.g. at a bank)/(3) counter (at a bar, cafe, etc.)/(4) (comp) automatically responding with an upload slot to someone who allows you to download (e.g. in P2P systems)/(P)/
カウンターアタック /(n) counter attack/
カウンターインテリジェンス /(n) counterintelligence/
カウンターカルチャー /(n) counterculture/
カウンターキッチン /(n) kitchen with a small counter for eating, usu. allowing a view into the living and dining rooms (wasei: counter kitchen)/
カウンターストップ /(n) maximum value in games (e.g. 99, 255, etc.) (wasei: counter stop)/
カウンターテナー /(n) countertenor/
カウンターディスプレー /(n) counter display/
カウンターパーチェス /(n) counterpurchase/
カウンターパート /(n) counterpart/
カウンターパンチ /(n) counterpunch/
カウンターブロー /(n) counterblow/
カウンターブロウ /(n) counterblow/
カウンタープロパゲーション /(n) counter-propagation/
カウンティ /(n) county/
カウント /(n,vs) count/(P)/
カウントアウト /(n) count-out/
カウントダウン /(n) countdown/
カエサル /(n,adj-no) Caesar/
カエサルの物はカエサルに [カエサルのものはカエサルに] /(exp) (uk) render unto Caesar the things which are Caesar's/
カエデチョウ /(n) (1) (uk) black-rumped waxbill (Estrilda troglodytes)/(2) estrildid (any bird of family Estrildidae)/waxbill/
カエデ科 [カエデか] /(n) Aceraceae (plant family)/maple/
カエトドンアンダマネンシス /(n) yellow butterflyfish (Chaetodon andamanensis)/
カエル /(n) (1) (uk) frog/
カエルアンコウ /(n) (uk) frogfish (any fish of family Antennariidae, esp. the striated frogfish, Antennarius striatus)/
カエルツボカビ症 [カエルツボカビしょう] /(n) chytridiomycosis (fatal infectious disease of amphibians)/
カオス /(n) chaos/(P)/
カオス理論 [カオスりろん] /(n) chaos theory/
カオダイ教 [カオダイきょう] /(n) Caodaism/
カオリナイト /(n) kaolinite/
カオリャン /(n) variety of sorghum, esp. used in making spirits (chi: kaoliang)/
カオリン /(n) kaolin/
カカオ /(n) cacao/cocoa/
カカオバター /(n) cacao butter/cocoa butter/
カカオマス /(n) cacao mass/
カガミチョウチョウウオ /(n) Asian butterflyfish (Chaetodon argentatus)/
カキ /(n) kaki/Japanese persimmon (Diospyros kaki)/
カキコ /(n) (abbr) (sl) post (to a BBS)/comment (on a blog)/(P)/
カキツバタ /(n) (uk) rabbitear iris (Iris laevigata)/
カキナ /(n) (uk) kakina (green leafy vegetable of the genus Brassica)/
カキノキ /(n) (Japanese) persimmon tree (Diospyros kaki)/
カキノキ科 [カキノキか] /(n) Ebenaceae (plant family)/ebony/
カキノキ目 [カキノキもく] /(n) Ebenales (order of plants)/
カキパン /(n) heavy petting/
カキピー /(n) kaki mochi and peanuts (a common snack)/
カキ油 [カキあぶら] /(n) oyster sauce/
カギムシ /(n) (uk) velvet worm (Onychophora)/
カギ爪 [カギづめ] /(n) claw/talon/
カクタス /(n) cactus/
カクタスペア /(n) fruit of a cactus in genus Opuntia (inc. prickly pears and cholla)/cactus pear/
カクチョウジョウチュウ /(n) sheep tapeworm (Moniezia expansa)/
カクテイル /(n,adj-no) cocktail/
カクテキ /(n) cubed daikon kimchi (kor: kkakdugi)/
カクテル /(n,adj-no) cocktail/(P)/
カクテルグラス /(n) cocktail glass/
カクテルソース /(n) cocktail sauce/
カクテルドレス /(n) cocktail dress/
カクテルパーティー /(n) cocktail party/
カクテルラウンジ /(n) cocktail lounge/
カクテル療法 [カクテルりょうほう] /(n) cocktail treatment/
カクレウオ /(n) (uk) Encheliophis sagamianus (species of pearlfish)/
カクレガニ /(n) (uk) pea crab (any crab of the family Pinnotheridae)/
カグラザメ /(n) (uk) bluntnose sixgill shark (Hexanchus griseus, species of circumglobal cow shark)/
カグラザメ科 [カグラザメか] /(n) Hexanchidae (family with 4 species and 3 genera of cow sharks characterized by either 1 or 2 additional pairs of gill slits)/
カグラザメ属 [カグラザメぞく] /(n) Hexanchus (genus of sixgill sharks in the family Hexanchidae comprised of 2 extant species)/
カケス /(n) (uk) Eurasian jay (Garrulus glandarius)/
カゴノキ /(n) (uk) Litsea coreana (species of tree in the laurel family)/
カサカサ /(adj-na,vs,adv,adv-to) (1) (on-mim) dry/bone dry/(2) rustle/(P)/
カサガイ /(n) (uk) limpet (esp. species Cellana mazatlandica)/
カササギ /(n) (uk) European magpie (Pica pica)/
カサレヴサ /(n) katharevousa (traditional literary form of modern Greek) (gre:)/
カザリキンチャクフグ /(n) Bennett's sharpnose puffer (Canthigaster bennetti)/
カシア /(n) cassia (Cinnamomum aromaticum)/
カシオ /(n) Casio/(P)/
カシオペア /(n) Cassiopeia/
カシケイタイ /(n) rental mobile phone/rental cell phone/cell phone that is rented/
カシコ /(n) oak flour (esp. as animal food)/acorn flour/
カシゴ /(n) oak flour (esp. as animal food)/acorn flour/
カシス /(n) black currant (fre:)/Cassis (French black currant) liqueur/
カシミール /(n) Kashmir/
カシミールカレー /(n) Kashmir curry/
カシミール語 [カシミールご] /(n) Kashmiri (language)/
カシミール人 [カシミールじん] /(n) Kashmiri (people)/
カシミア /(n) cashmere (fiber, yarn, fleece, clothing, etc. from the cashmere goat)/
カシミア山羊 [カシミアやぎ] /(n) Cashmere goat/
カシミア糸 [カシミアいと] /(n) cashmere yarn/
カシミヤ /(n) cashmere (fiber, yarn, fleece, clothing, etc. from the cashmere goat)/
カシメ /(n) standoff (mechanical fastener)/self-clinch hardware/
カシュー /(n) cashew (Anacardium occidentale)/acajou/
カシューの木 [カシューのき] /(n) (obsc) cashew tree (Anacardium occidentale)/acajou/
カシューアップル /(n) cashew apple/
カシューナッツ /(n) cashew nuts/
カシュクール /(n) crossover cardigan or sweater (fre: cache-coeur)/
カシュルート /(n) kashrut (Jewish dietary laws)/
カジ /(n) (uk) paper mulberry (Broussonetia papyrifera)/
カジイチゴ /(n) (uk) Rubus trifidus (species of raspberry)/
カジカ /(n) (1) (uk) sculpin (any fish of family Cottidae, inc. the bullheads and the miller's-thumb)/(2) Japanese fluvial sculpin (Cottus pollux)/
カジカガエル /(n) (uk) kajika frog (Buergeria buergeri)/
カジノ /(n) casino (fre:)/(P)/
カジノキ /(n) (uk) paper mulberry (Broussonetia papyrifera)/
カジメ /(n) (uk) Ecklonia cava (species of brown alga)/
カジュアル /(adj-na,n) casual/(P)/
カジュアルウエア /(n) casual wear/
カジュアルウォーター /(n) casual water/
カジュアルルック /(n) casual look/
カジュマル /(n) (uk) Chinese banyan (Ficus microcarpa or Ficus retusa)/Malayan banyan/Indian laurel/
カスカス /(n) (1) cuscus (variety of phalanger)/
カスカラサグラダ /(n) cascara sagrada/
カスガマイシン /(n) kasugamycin/
カスケーディングスタイルシート /(n) (comp) cascade style sheets/CSS/
カスケード /(adj-na,n) cascade/
カスケードシャワー /(n) cascade shower/
カスケードメニュー /(n) (comp) cascading menu/
カスケード式けた上げ [カスケードしきけたあげ] /(n) (comp) cascaded carry/
カスケード表示 [カスケードひょうじ] /(n) (comp) cascade/
カスケット /(n) casket/
カスザメ /(n) (uk) Japanese angel shark (Squatina japonica)/
カスター /(n) caster/
カスタード /(n) custard/
カスタードクリーム /(n) custard cream/
カスタードプディング /(n) custard pudding/
カスタードプリン /(n) custard pudding/
カスタネット /(n) castanets/
カスタマ /(n) (comp) customer/
カスタマー /(n) customer/(P)/
カスタマーインストレーションインストラクション /(n) (comp) customer installation instruction/
カスタマーエンジニア /(n) (comp) customer engineer/
カスタマーサービス /(n) customer service/
カスタマーサポート /(n) (comp) customer support/
カスタマーマニュアル /(n) (comp) customer manual/
カスタマイザ /(n) customizer/customiser/
カスタマイズ /(n,vs) customize/customise/
カスタマエンジニア /(n) (comp) customer engineer/CE/
カスタマサービス /(n) (comp) customer service/
カスタム /(n,adj-no) custom/
カスタムＩＣ [カスタムアイシー] /(n) (comp) custom IC/
カスタムＬＳＩ [カスタムエルエスアイ] /(n) (comp) custom LSI/
カスタムアイシー /(n) custom IC/
カスタムアダプタ /(n) (comp) custom adapter/
カスタムカー /(n) customized car/customised car/
カスタムコミュニケーション /(n) customized communication/customised communication/
カスタムコントロール /(n) (comp) custom control/
カスタムサブネットマスク /(n) (comp) custom subnet mask/
カスタムズ /(n) customs/
カスタムソフトウェア /(n) (comp) custom software/
カスタムダイアログボックス /(n) (comp) custom dialog box/
カスタムチップ /(n) (comp) custom IC/custom chip/ASIC/
カスタムパネルウィンドウ /(n) (comp) custom panel pane/
カスタムパレット /(n) (comp) custom palette/
カスタムプラグイン /(n) (comp) custom plug-in/
カスタムプロパティ /(n) (comp) custom property/
カスタムプロパティダイアログボックス /(n) (comp) custom properties dialog box/
カスタムプロファイル /(n) (comp) custom profile/
カスタムメード /(n) custom-made/
カスタムメイド /(n) custom-made/
カスタム化 [カスタムか] /(n,vs) customization/customisation/
カステーラ /(n) sponge cake (por: pao de Castella)/
カステラ /(n) sponge cake (por: pao de Castella)/(P)/
カステン /(n) cabinet, usu. containing medical instruments, medicines, etc. (ger: Kasten)/case/
カスト /(n) caste/
カストラート /(n) castrato (ita:)/
カスバ /(n) kasbah/(P)/
カスピヤツメ属 [カスピヤツメぞく] /(n) Caspiomyzon (genus of lamprey in the family Petromyzontidae)/
カスピ海 [カスピかい] /(n) Caspian Sea/(P)/
カスミアジ /(n) bluefin trevally (Caranx melampygus)/
カスミザクラ /(n) (uk) Korean hill cherry (Prunus verecunda)/
カスミチョウチョウウオ /(n) pyramid butterflyfish (Hemitaurichthys polylepis)/
カスミチョウチョウウオ属 [カスミチョウチョウウオぞく] /(n) Hemitaurichthys (genus of tropical butterflyfish in the family Chaetodontidae)/
カスリイシモチ /(n) iridescent cardinalfish (Apogon kallopterus)/
カスリモヨウベニハゼ /(n) Griffiths' pygmy-goby (Trimma griffithsi, found in the Indo-West Pacific)/princess pygmy goby (Trimma marinae, found in Japan, New Guinea and Palau)/
カズザキヨモギ /(n) (uk) Japanese mugwort/
カズノバ /(n) Casanova/
カズワル /(n) (obsc) cassowary (Casuarius spp.)/
カセクシス /(n) cathexis/
カセット /(n) (1) cassette (tape)/(2) game cartridge/(P)/
カセットテープ /(n) cassette tape/(P)/
カセットテープレコーダー /(n) cassette tape recorder/
カセットデッキ /(n) cassette deck/
カセットブック /(n) cassette book/
カセットレコーダー /(n) cassette recorder/
カセトメーター /(n) cathetometer/
カセドラル /(n) cathedral (fre: cathedrale)/
カセロール /(n) casserole/
カゼ /(n) (abbr) casein/
カゼイン /(n) casein (ger: Kasein)/
カゼトゲタナゴ /(n) Rhodeus atremius atremius (subspecies of Kyushu bitterling)/
カソード /(n) cathode/
カソリック /(n) Catholic/
カタカナ /(n) (uk) katakana/angular Japanese syllabary used primarily for loanwords/(P)/
カタカナ語 [カタカナご] /(n) katakana word (esp. a loanword)/
カタカナ語辞典 [カタカナごじてん] /(n) katakana dictionary/loanword dictionary/
カタクチイワシ /(n) (uk) Japanese anchovy (Engraulis japonica)/
カタコンブ /(n) catacomb (fre: catacombes)/
カタコンベ /(n) catacombe (dut:)/
カタストロフ /(n) catastrophe/
カタストロフィ /(n) catastrophe/
カタストロフィー /(n) catastrophe/
カタツムリ /(n) (1) (uk) snail/
カタパルト /(n) catapult/
カタピラー /(n) caterpillar/endless track/
カタプルト /(n) catapult/
カタボシニシキベニハゼ /(n) Trimma nomurai (species of goby found in Japan, Indonesia and New Caledonia)/
カタマラン /(n) catamaran/
カタマラン船 [カタマランせん] /(n) catamaran ship/
カタラーゼ /(n) catalase (ger: Katalase)/
カタルシス /(n) catharsis (grc: katharsis)/
カタル性 [カタルせい] /(adj-no) catarrhal/
カタル性肺炎 [カタルせいはいえん] /(n) catarrhal pneumonia/
カタレプシー /(n) catalepsy/
カタログ /(n,vs) (uk) catalog/catalogue/(P)/
カタログショッピング /(n) catalog shopping/catalogue shopping/
カタログスペック /(n) (comp) catalog spec/
カタログセット /(n) (comp) catalog set/
カタログドプロシジャ /(n) (comp) cataloged procedure/
カタログプロパティ /(n) (comp) catalog property/
カタログレゾネ /(n) catalogue with the entire works of one artist (used to check authenticity) (fre:)/catalogue raisonne/
カタログ販売 [カタログはんばい] /(n) catalog retailing/catalogue retailing/
カタン糸 [カタンいと] /(n) cotton/
カダベリン /(n) cadaverine/
カダヤシ /(n) (uk) mosquitofish (Gambusia affinis)/mosquito fish/gambusia/
カチオン /(n) cation/
カチッ /(n) klik/plock/
カチューシャ /(n) (1) cloth band worn around hair - named after a character in Tolstoy's novel "Resurrection" (rus: Katyusha)/(2) Katyusha rocket launcher (Soviet)/(3) name of a popular song/(P)/
カチンカチン /(adj-na) (1) rock hard/stiff and unyielding (personality)/(n) (2) clangor/
カチンコ /(n) clapperboard/
カチン語 [カチンご] /(n) Kachin (language)/
カッと /(adv,n,vs) (on-mim) flare up/flying into a rage/(P)/
カッとなる /(exp,v5r) (col) to flare up/to fly into a rage/
カッと来る [カッとくる] /(vk) (uk) to be made angry/to fly into a rage/
カッコ /(ik) (adj-na,n,adj-no) (1) shape/form/posture/appearance/manner/(2) suitability/moderateness (in price)/
カッコー /(ik) (n) (uk) common cuckoo (Cuculus canorus)/
カッコウ /(n) (uk) common cuckoo (Cuculus canorus)/
カッコカワイイ /(exp) (col) cool and cute/
カッコ内 [カッコない] /(exp,adj-no) in parentheses/bracketed/
カッター /(n) cutter/(P)/
カッターシャツ /(n) cutter shirt (long-sleeved sports shirt)/
カッターシューズ /(n) cutter shoes/
カッターナイフ /(n) box cutter (wasei: cutter knife)/utility knife/
カッタウェー /(n) cutaway (coat, jacket, etc.)/
カッタウエイ /(n) cutaway (coat, jacket, etc.)/
カッチ /(n) cutch (catechu)/
カッテージチーズ /(n) cottage cheese/
カッティング /(n,vs) cutting/
カッティングボード /(n) cutting board/
カット /(n,vs) cut/cutting/
カット＆ペースト [カットアンドペースト] /(n) (comp) cut and paste/cut & paste/
カットアウト /(n) (comp) cutout/
カットアンドコピー機能 [カットアンドコピーきのう] /(n) (comp) cut and copy function/
カットアンドソーン /(exp) cut and sewn/
カットイン /(exp) cut-in/
カットオーバ /(n) (comp) cutover/cut-over/starting new (IT) equipment/transferring from the old to a new (hardware and/or software) system./
カットオーバー /(n) (comp) cutover/cut-over/starting new (IT) equipment/transferring from the old to a new (hardware and/or software) system./
カットオフ /(n) cutoff (play) (baseball)/
カットグラス /(n) cut glass/
カットシート /(n) (comp) cut sheet (paper)/
カットシートフィーダ /(n) (comp) cut-sheet feeder/
カットステップ /(n) cut step/
カットソー /(n) (abbr) clothes made from jersey cloth (wasei: cut and sewn)/
カットハウス /(n) beauty parlour (wasei: cut house)/beauty parlor/
カットバック /(n) cutback/
カットバッファ /(n) (comp) cut buffer/
カットバン /(n) (abbr) band aid/(pre-cut) adhesive plaster/
カットフィルム /(n) cut film (i.e. sheet film)/
カットペースト /(n) (comp) cut and paste/cut & paste/
カットワーク /(n) cutwork/
カット紙 [カットし] /(n) (comp) cut paper/
カッパーマイン /(n) (comp) Coppermine/
カッフェー /(n) (1) cafe (fre:)/(2) hostess bar (serving western alcoholic beverages; Taisho and Showa period)/
カップ /(n) cup/(P)/
カップアイス /(n) ice cream cup (wasei: cup ice)/icecream cup/
カップケーキ /(n) cupcake/fairy cake/
カップスタン /(n) capstan/
カップボード /(n) cupboard/
カップラ /(n) coupler/
カップラー /(n) coupler/
カップラーメン /(n) cup noodles/cup ramen/
カップリング /(n) coupling/
カップリングシュガー /(n) coupling sugar/(P)/
カップリング曲 [カップリングきょく] /(n) coupling track/B side/B-side/
カップル /(n) couple/(P)/
カップ麺 [カップめん] /(n) instant noodles purchased in cup (lit: cup noodle(s))/
カッペ /(n) (abbr) (vulg) hick/country bumpkin/yokel/
カツ /(n) (abbr) cutlet/(P)/
カツオノエボシ /(n) (uk) Portuguese man-of-war (Physalia physalis)/
カツオ節 [カツオぶし] /(n) katsuobushi (small pieces of sliced dried bonito)/
カツカツ /(adv-to) (uk) clicking/clopping/clacking/
カツラ /(n) (uk) Japanese Judas tree (Cercidiphyllum japonicum)/
カツラ科 [カツラか] /(n) Cercidiphyllaceae (monotypic plant family containing the Japanese Judas trees)/
カツレツ /(n) cutlet (usu. crumbed and fried)/
カツ丼 [カツどん] /(n) breaded pork on rice/
カテージチーズ /(n) cottage cheese/
カテーテル /(n) catheter (ger: Katheter)/(P)/
カテキズム /(n) catechism/
カテキュー /(n) catechu (vegetable extract containing tannin)/cachou/
カテキン /(n) catechin/
カテコール /(n) catechol/
カテコールアミン /(n) catecholamine/
カテゴライザ /(n) (comp) categorizer/
カテゴライズ /(vs) categorize/
カテゴリ /(n) category (ger: Kategorie)/
カテゴリー /(n) category (ger: Kategorie)/(P)/
カテゴリーキラー /(n) category killer/
カテゴリーミステーク /(n) category mistake/
カテゴリー化 [カテゴリーか] /(n,vs) categorization/
カテゴリィ /(n) (comp) category/
カテゴリプロパティ /(n) (comp) category property/
カテドラル /(n) cathedral (fre: cathedrale)/
カテプシン /(n) cathepsin/
カデンツ /(n) cadence (ger: Kadenz)/(P)/
カデンツァ /(n) cadenza (ita:)/
カト /(n) (1) cat/(2) kat/qat/quat/khat/
カトマイ /(n) (comp) Katmai/
カトラリー /(n) cutlery/
カトリシズム /(n) Catholicism/(P)/
カトリック教会 [カトリックきょうかい] /(n) Catholic Church/(P)/
カトリック信仰 [カトリックしんこう] /(n) Catholicism/
カトレア /(n) cattleya (type of orchid) (lat:)/
カトレヤ /(n) cattleya (type of orchid) (lat:)/(P)/
カドヘリン /(n) cadherin/
カドミウム /(n) cadmium (Cd)/(P)/
カドミウムイエロー /(n) cadmium yellow/
カドミウムオレンジ /(n) cadmium orange/
カドミウムレッド /(n) cadmium red/
カドミウム赤 [カドミウムあか] /(n) cadmium red/
カドミウム中毒 [カドミウムちゅうどく] /(n) cadmium poisoning/
カドミウム標準電池 [カドミウムひょうじゅんでんち] /(n) cadmium standard cell/
カドリール /(n) quadrille/
カナカ /(n) (sens) kanaka/Polynesians, Micronesians, and native Hawaiians/
カナガシラ /(n) (uk) red-whiskered bulbul (Lepidotrigla microptera)/
カナキン /(n) canequim (por:)/unbleached muslin/calico/
カナスタ /(n) canasta/
カナダ /(n) (uk) Canada/
カナダガン /(n) (uk) Canada goose (Branta canadensis)/
カナダデー /(n) Canada Day/
カナダバルサム /(n) Canada balsam (resin obtained from balsam fir)/
カナダ雁 [カナダがん] /(n) (uk) Canada goose (Branta canadensis)/
カナダ自由党 [カナダじゆうとう] /(n) Liberal Party of Canada/
カナダ進歩保守党 [カナダしんぽほしゅとう] /(n) Progressive Conservative Party of Canada/
カナダ人 [カナダじん] /(n) Canadian (person)/
カナダ人権憲章 [カナダじんけんけんしょう] /(n) Canadian Charter of Rights and Freedoms/
カナダ藻 [カナダも] /(n) waterweed (any aquatic plant of genus Elodea, esp. common waterweed, Elodea canadensis)/
カナダ鶴 [カナダづる] /(n) (uk) sandhill crane (Grus canadensis)/
カナッペ /(n) canape (piece of furniture, small open sandwich) (fre:)/
カナディアン /(n,adj-no) Canadian/
カナディアンカヌー /(n) Canadian canoe/
カナディアンベーコン /(n) Canadian bacon/
カナブン /(n) (uk) drone beetle (scarabaeid beetle) (Rhomborrhina japonica)/
カナヘビ /(n) (uk) lacertid (any lizard of family Lacertidae, esp. the Japanese grass lizard, Takydromus tachydromoides)/
カナペ /(n) canape (piece of furniture, small open sandwich) (fre:)/
カナマイシン /(n) kanamycin/
カナマイジン /(n) kanamycin/
カナムグラ /(n) (uk) Japanese hop (Humulus japonicus)/
カナメモチ /(n) Japanese photinia (Photinia glabra)/
カナリー /(n) (uk) canary (esp. the island canary, Serinus canaria) (por:)/
カナリーダムゼル /(n) Canary damsel (Abudefduf luridus)/
カナリア /(n) (uk) canary (esp. the island canary, Serinus canaria) (por:)/(P)/
カナリアナス /(n) (uk) nipplefruit (Solanum mammosum)/apple of Sodom/titty fruit/cow's udder/
カナリア色 [カナリアいろ] /(n) canary/daffodil yellow/
カナリヤ /(n) (uk) canary (esp. the island canary, Serinus canaria) (por:)/
カナンガ /(n) ylang-ylang (Cananga odorata)/ilang-ilang/
カナンガ油 [カナンガゆ] /(n) cananga oil/ylang-ylang oil/ilang-ilang oil/
カニカマ /(n) imitation crab meat/
カニクイアザラシ /(n) (uk) crabeater seal (Lobodon carcinophagus)/
カニクサ /(n) (uk) Japanese climbing fern (Lygodium japonicum)/
カニグモ /(n) (uk) crab spider (any spider of family Thomisidae)/
カニダマシ /(n) (uk) porcelain crab (any decapod crustacean of family Porcellanidae)/
カニバリズム /(n) cannibalism/
カニバル /(n) cannibal/
カニミソ /(n) (uk) miso-like paste found inside a crab's (and arthropods in general) intestinal area/
カニムシ /(n) (uk) pseudoscorpion (any arachnid of order Pseudoscorpionida)/false scorpion/
カニューレ /(n) cannula (ger: Kanuele)/
カニ蒲 [カニかま] /(n) imitation crab meat/
カニ漁 [カニりょう] /(n) crab fishing/crabbing/
カヌー /(n) canoe/(P)/
カヌーイスト /(n) canoeist/
カヌーイング /(n) canoeing/
カヌー競技 [カヌーきょうぎ] /(n) canoeing/
カネヒラ /(n) (uk) Acheilognathus rhombeus (species of cyprinid)/
カネローニ /(n) canneloni (ita:)/
カネロニ /(n) canneloni (ita:)/
カネロニー /(n) canneloni (ita:)/(P)/
カノープス壺 [カノープスつぼ] /(n) Canopic jar/Canopic vase (used to store the internal organs of an Egyptian mummy)/
カノーラ /(n) Canola (oil)/
カノプス壺 [カノプスつぼ] /(n) Canopic jar/Canopic vase (used to store the internal organs of an Egyptian mummy)/
カノポス壺 [カノポスつぼ] /(n) Canopic jar/Canopic vase (used to store the internal organs of an Egyptian mummy)/
カノン /(n) (1) canon/(2) (abbr) cannon (dut: kanon)/
カノン法 [カノンほう] /(n) canon law/
カノン砲 [カノンほう] /(n) cannon (esp. high-velocity artillery)/
カバ /(n) (uk) birch (esp. Japanese white birch)/
カバ /(n) (uk) hippopotamus (Hippopotamus amphibius)/
カバ /(n) kava (Piper methysticum)/kavakava/
カバー /(n,vs) (1) cover (e.g. book)/(P)/
カバーエリア /(n) (comp) coverage area/
カバーオール /(n) coverall/
カバーガール /(n) cover girl/
カバーガラス /(n) cover glass/
カバーグラス /(n) cover glass/
カバーチャージ /(n) cover charge/
カバート /(adj-no) covert/
カバーバージョン /(n) cover version/
カバーリング /(n) covering/
カバーレター /(n) cover letter/covering letter/
カバーロール /(n) coverall/
カバーン /(n) cavern/
カバー曲 [カバーきょく] /(n) remake of another artist's song (a "cover")/
カバキコマチグモ /(n) (uk) Japanese foliage spider (Chiracanthium japonicum)/
カバノキ /(n) (uk) birch tree (esp. the Japanese white birch, Betula platyphylla var. japonica)/
カバノキ科 [カバノキか] /(n) Betulaceae (plant family)/hazelnut/
カバラ /(n) kabbalah (qabalah, cabala) (Jewish mystic tradition)/
カバリエ /(n) cavalier (fre:)/
カバレッジ /(n) coverage/
カビ /(n) mold/mould/mildew/
カビが生える [カビがはえる] /(exp,v1) (1) to get moldy/to get mouldy/(2) (id) to get out-of-fashion/
カビア /(n) caviare/caviar/
カビ臭 [カビしゅう] /(n) mold smell/mould smell/
カビ臭い [カビくさい] /(adj-i) musty/putrid/
カピカピ /(adj-na,adv,adj-no) (on-mim) (col) crusty/flaky/dried out/
カピタル /(n) capital/
カピチュレーション /(n) capitulation/
カピバラ /(n) capybara/
カフェ /(n) (1) cafe (fre:)/(2) hostess bar (serving western alcoholic beverages; Taisho and Showa period)/(P)/
カフェー /(n) (1) cafe (fre:)/(2) hostess bar (serving western alcoholic beverages; Taisho and Showa period)/
カフェる /(v5r) (sl) to go to a cafe/
カフェアラクレーム /(n) cafe a la creme (fre:)/
カフェイン /(n) caffeine (ger: Kaffein)/(P)/
カフェエスプレッソ /(n) expresso coffee (ita: caffe espresso)/
カフェオレ /(n) cafe au lait (fre:)/
カフェキャバ /(n) cafe cabaret/
カフェテラス /(n) sidewalk cafe (fre: cafe terrasse)/footpath cafe/
カフェテリア /(n) cafeteria/(P)/
カフェナポリターノ /(n) Neapolitan coffee (ita: caffe napolitano)/
カフェノワール /(n) black coffee (fre: cafe noir)/
カフェバー /(n) cafe bar (fre:)/
カフェラッテ /(n) cafe latte (ita:)/latte/
カフェラテ /(n) cafe latte (ita:)/latte/
カフェロワイヤル /(n) cafe royal (fre:)/
カフカス人 [カフカスじん] /(n) Caucasian person/
カフス /(n) cuffs/(P)/
カフスカバー /(n) cuffs-cover/
カフスボタン /(n) cuff links (wasei: cuffs button)/
カフタン /(n) caftan/
カフドパンツ /(n) cuffed pants/
カフリンクス /(n) cuff links/
カブ /(n) cub/(P)/
カブスカウト /(n) cub scout/
カブトウオ /(n) (1) (uk) large-headed midnight fish (Poromitra crassiceps)/(2) armored fish/armoured fish/
カブトガニ /(n) (uk) horseshoe crab/
カブトムシ /(n) (uk) rhinoceros beetle (esp. the Japanese rhinoceros beetle, Trypoxylus dichotomus)/
カブト虫 [カブトむし] /(n) (uk) rhinoceros beetle (esp. the Japanese rhinoceros beetle, Trypoxylus dichotomus)/
カブラヤスズメダイ /(n) Ternate chromis (Chromis ternatensis)/
カブリオレ /(n) cabriolet (soft-top convertible) (fre:)/
カプサイシン /(n) capsaicin/
カプセル /(n,adj-no) capsule (ger: Kapsel)/(P)/
カプセルホテル /(n) capsule hotel/
カプセル化 [カプセルか] /(n) (comp) encapsulation/
カプチーノ /(n) cappuccino (ita:)/
カプラ /(n) coupler/
カプラー /(n) coupler/(P)/
カプリオール /(n) capriole/
カプリコン /(n) Capricorn/
カプリチオ /(n) capriccio (ita:)/
カプリッチオ /(n) capriccio (ita:)/(P)/
カプリン酸 [カプリンさん] /(n) capric acid/
カプロラクタム /(n) caprolactam/
カプロン酸 [カプロンさん] /(n) caproic acid/
カベルネ・ソービニヨン /(n) Cabernet Sauvignon (wine grape variety)/
カベルネ・フラン /(n) Cabernet Franc (wine grape variety)/
カベルネソービニヨン /(n) Cabernet Sauvignon (wine grape variety)/
カベルネフラン /(n) Cabernet Franc (wine grape variety)/
カペッリ・ダンジェロ /(n) angel hair pasta (ita: capelli d'angelo)/
カペッリーニ /(n) capellini (ita:)/
カペッリダンジェロ /(n) angel hair pasta (ita: capelli d'angelo)/
カペラ /(n) Capella (star) (lat:)/
カペリン /(n) capelin/caplin (Mallotus villosus)/
カボス /(n) (uk) kabosu (type of citrus fruit) (Citrus sphaerocarpa)/
カボチャ /(n) (uk) pumpkin/squash/
カボベルデ /(n) Cape Verde/
カポー /(n) (sl) couple/
カポエイラ /(n) capoeira (por:)/
カポエラ /(n) capoeira (por:)/
カポシ肉腫 [カポシにくしゅ] /(n) Kaposi's sarcoma/
カポジ肉腫 [カポジにくしゅ] /(n) Kaposi's sarcoma/
カポック /(n) kapok/
カポックの木 [カポックのき] /(n) kapok tree (species of silk-cotton tree, Ceiba pentandra)/
カマーバンド /(n) cummerbund/(P)/
カマアシムシ /(n) (uk) proturan (any wingless insect of order Protura)/
カマアシムシ目 [カマアシムシもく] /(n) Protura (order of wingless insects)/
カマイルカ /(n) (uk) Pacific white-sided dolphin (Lagenorhynchus obliquidens)/
カマキリ /(n) (uk) praying mantis (esp. the narrow-winged mantis, Tenodera angustipennis)/
カマキリモドキ /(n) (uk) mantidfly (any insect of the family Mantispidae)/
カマシア /(n) camassia/wild hyacinth/
カマス /(n) (uk) barracuda/
カマスサワラ /(n) (uk) wahoo (species of fish, Acanthocybium solandri)/
カマストガリザメ /(n) blacktip shark (Carcharhinus limbatus, species of reef-associated requiem shark)/
カマツカ /(n) (1) (uk) sickle handle/(2) goby minnow (Pseudogobio esocinus)/(3) Oriental photinia (species of shrub, Photinia villosa)/(4) Asiatic dayflower (Commelina communis)/(5) Joseph's-coat (species of amaranth, Amaranthus tricolor)/
カマヒレザメ /(n) snaggletooth shark (Hemipristis elongata, species of Indo-West Pacific weasel shark and the only extant member of its genus)/
カマヒレザメ属 [カマヒレザメぞく] /(n) Hemipristis (genus of the weasel shark family Hemigaleidae with the snaggletooth shark as its only extant species)/
カマボコ型 [カマボコがた] /(adj-no) semi-circular/D-shaped/
カマラサウルス /(n) Camarasaurus (genus of Jurassic dinosaurs) (lat:)/
カマンベール /(n) camembert (fre:)/
カミセン /(n) (abbr) younger members of the group (wasei: coming century)/
カミソリ /(n) (uk) razor/
カミツキガメ /(n) (uk) snapping turtle (Chelydra serpentina)/
カミナリ族 [カミナリぞく] /(n) hot rodders/thunder tribe/vrooming motorcycle gangs/
カミニッカーズ /(n) cami-knickers/
カミン /(n) chimney (narrow cleft used to climb a rock face) (ger: Kamin)/
カミングアウト /(n,vs) coming out (of the closet, etc.)/
カミングスーン /(exp) coming soon/
カム /(n) cam/(P)/
カムイ /(n) god (ain: kamuy)/deity/divinity/spirit/kami/
カムコーダー /(n) (comp) camcorder/
カムシャフト /(n) camshaft/
カムバック /(n,vs) comeback/(P)/
カムフラージュ /(n,vs) camouflage (fre:)/
カムルチー /(n) northern snakehead (species of fish, Channa argus) (kor: kamultchi)/
カムルチイ /(n) northern snakehead (species of fish, Channa argus) (kor: kamultchi)/
カメオ /(n) cameo/
カメコ /(n) (abbr) photographer, usually an amateur, who likes to take pictures of models and presenter ladies in exhibitions/
カメムシ /(n) (uk) shield bug/stink bug/
カメムシ目 [カメムシもく] /(n) Hemiptera (taxonomic order comprising the true bugs)/
カメラ /(n) camera/(P)/
カメラアイ /(n) camera-eye/
カメラアングル /(n) camera angle/
カメラオブスキュラ /(n) camera obscura/
カメラオブスクーラ /(n) camera obscura/
カメラポジション /(n) camera position/
カメラマン /(n) cameraman/(P)/
カメラリハーサル /(n) camera rehearsal/
カメラルーシダ /(n) camera lucida (lat:)/
カメラルシダ /(n) camera lucida (lat:)/
カメラルポ /(n) (abbr) camera reportage/
カメラルポルタージュ /(n) camera reportage/
カメラワーク /(n) camera work/
カメラ割り [カメラわり] /(n) camera blocking/
カメラ小僧 [カメラこぞう] /(n) photographer, usually an amateur, who likes to take pictures of models and presenter ladies in exhibitions/
カメリア /(n) camellia (lat:)/
カメリハ /(n) (abbr) camera rehearsal/
カメレオン /(n) chameleon/(P)/
カメンベール /(n) camembert/
カメ虫 [カメむし] /(n) (uk) shield bug/stink bug/
カメ目 [カメもく] /(n) Testudines/
カモシカ /(n) (uk) serow/wild goat/
カモノハシ /(n) (uk) platypus (Ornithorhynchus anatinus)/
カモハシ竜 [カモハシりゅう] /(n) duck-billed dinosaur/hadrosaur/
カモフラージ /(n,vs) camouflage (fre:)/(P)/
カモフラージュ /(n,vs) camouflage (fre:)/
カモマイル /(n) German chamomile (Matricaria recutita)/German camomile/
カモミール /(n) German chamomile (Matricaria recutita)/German camomile/
カモメ /(n) (1) (uk) common gull (Larus canus)/mew gull/(2) gull (Laridae spp.)/seagull/
カモ科 [カモか] /(n) Anatidae (duck family of birds)/
カモ目 [カモもく] /(n) Anseriformes (order of swimming birds)/
カヤ /(n) (uk) Japanese nutmeg tree (Torreya nucifera)/
カヤクグリ /(n) (uk) Japanese accentor (Prunella rubida)/
カヤック /(n,vs) kayak/(P)/
カヤツリグサ /(n) (1) (uk) galingale (any plant of genus Cyperus, esp. species Cyperus microiria)/
カヤネズミ /(n) (uk) harvest mouse (Mus minutus)/
カラー /(n) (1) collar/(2) color/colour/(3) calla (variety of arum lily)/(P)/
カラーアナリスト /(n) color analyst/
カラーアレンジメント /(n) color arrangement/colour arrangement/
カラーイメージ /(n) (comp) color image/
カラーイメージスキャナ /(n) (comp) graphics scanner/
カラーインク /(n) colored ink/coloured ink/
カラーガード /(n) color guard/colour guard/
カラーギャング /(n) Japanese street gang (wasei: color gang)/
カラーグラフィックス /(n) (comp) color graphics/
カラーコーディネーション /(n) color coordination/
カラーコーディネーター /(n) color coordinator/colour coordinator/(P)/
カラーコード /(n) (comp) color code/
カラーコーン /(n) color cone/
カラーコンディショニング /(n) color conditioning/colour conditioning/
カラーコンビネーション /(n) color combination/colour combination/
カラーサークル /(n) color circle/
カラーシャツ /(n) (1) colored shirt (wasei: color shirt)/(2) shirt with a collar (wasei: collar shirt)/
カラースキーム /(n) color scheme/colour scheme/
カラースキャナー /(n) colour scanner (color)/
カラースケール /(n) color scale/
カラースプレー /(n) color spraypaint/colour spraypaint/
カラーセパレーション /(n) (comp) color separation/
カラーダイナミックス /(n) color dynamics/colour dynamics/
カラーチャート /(n) (comp) color chart/
カラーディスプレー /(n) color display/colour display/
カラートーン /(n) color screentone/colour screentone/color mechanical tint/colour mechanical tint/
カラートタン /(n) (abbr) colored steel sheet/coloured steel sheet/
カラード /(n) colored/coloured/(P)/
カラーネガフィルム /(n) color negative film (colour)/
カラーバー /(n) color bars (television test pattern)/colour bars/
カラーパレット /(n) (comp) color pallet/
カラービット /(n) (comp) color bits/
カラーフィールドペインティング /(n) colorfield painting/
カラーフィルム /(n) color film (colour)/
カラープランニング /(n) color planning/colour planning/
カラープリンタ /(n) (comp) color printer/
カラープリント /(n) colour print (color)/
カラーペン /(n) color pen/
カラーボール /(n) (1) colored ball/(2) anti-thief colored ball (filled with a colored dye)/paintball/
カラーボックス /(n) color box/colour box/
カラーマーカー /(n) color marking pen/colour marking pen/
カラーマネジメントシステム /(n) (comp) color management system/
カラーリバーサルフィルム /(n) color reversal film (colour)/
カラーリンス /(n) color rinse/colour rinse/
カラールックアップテーブル /(n) (comp) color look-up table/
カラーレス /(n) (1) collarless/(2) colorless/colourless/
カラー液晶 [カラーえきしょう] /(n) (comp) color LCD/
カラー写真 [カラーしゃしん] /(n) color photo/colour photo/
カライダ /(n) (comp) Kaleida/
カライトソウ /(n) (uk) Sanguisorba hakusanensis/
カライワシ /(n) (uk) Hawaiian ladyfish (Elops hawaiensis)/
カラオケ /(n,adj-no) (uk) karaoke (singing to taped accompaniment)/(P)/
カラオケ・ボックス /(n) karaoke box/club with individual rooms that can be rented with karaoke machines/
カラオケバー /(n) karaoke bar/
カラオケボックス /(n) karaoke box/club with individual rooms that can be rented with karaoke machines/
カラオケ屋 [カラオケや] /(n) karaoke club (bar)/
カラカラ /(n) caracara/
カラカル /(n) caracal (Caracal caracal)/African lynx/
カラギーナン /(n) carrageenan (seaweed-based emulsifying agent)/
カラギナン /(n) carrageenan (seaweed-based emulsifying agent)/
カラクサオオセ /(n) ornate wobbegong (Orectolobus ornatus, species of Western Pacific carpet shark)/
カラゲナン /(n) carrageenan (seaweed-based emulsifying agent)/
カラザ /(n) chalaza (part of egg tissue)/
カラシン科 [カラシンか] /(n) Characidae (family comprising the characins)/
カラス /(n) crow/raven/
カラスアゲハ /(n) (uk) Chinese peacock (species of swallowtail butterfly, Papilio bianor)/
カラスウリ /(n) (uk) Japanese snake gourd (Trichosanthes cucumeroides)/
カラスガイ /(n) (uk) cockscomb pearl mussel (Cristaria plicata)/
カラスムギ /(n) (1) (uk) wild oat (Avena fatua)/wild oats/(2) oat (Avena sativa)/oats/
カラス麦 [カラスむぎ] /(n) (1) (uk) wild oat (Avena fatua)/wild oats/(2) oat (Avena sativa)/oats/
カラタケ /(n) (1) (uk) Japanese timber bamboo (Phyllostachys bambsoides)/giant timber bamboo/madake/(2) Henon bamboo (Phyllostachys nigra var. henonis)/
カラタチ /(n) (uk) trifoliate orange (Poncirus trifoliata)/hardy orange/
カラチ /(n) Karachi/(P)/
カラッと /(adv,vs) (1) (on-mim) changing suddenly and completely/(2) crisp and dry (e.g. skies, weather, tempura, laundry, etc.)/
カラット /(n) carat/karat/(P)/
カラトウキ /(n) (uk) dong quai (aromatic herb used to treat various gynecological symptoms, Angelica sinensis)/
カラナデシコ /(n) (uk) (obsc) China pink (species of flower, Dianthus chinensis)/
カラバラ /(n) ballads sung by Karashima Midori/
カラビナ /(n) carabiner (ger: Karabiner)/snap ring/
カラフ /(n) carafe/
カラフトフクロウ /(n) (uk) great grey owl (Strix nebulosa)/
カラフトマス /(n) (uk) pink salmon (Oncorhynchus gorbuscha)/humpback salmon/
カラフトライチョウ /(n) (uk) willow ptarmigan (Lagopus lagopus)/
カラフル /(adj-na,n) colorful/colourful/(P)/
カラボケ /(n) kara flowering quince/Choenomeles lagenaria/
カラマツ /(n) (uk) (Japanese) larch (Larix leptolepis, Larix kaempferi)/
カラミン /(n) calamine/
カラム /(n) column (esp. in chemistry, file, equipment, etc.)/
カラムシ /(n) (uk) ramie (Boehmeria nivea var. nipononivea)/
カラムチャート /(n) (comp) column chart/
カラメル /(n) caramel/
カラメルソース /(n) caramel sauce/
カラモモ /(n) (1) (uk) apricot (Prunus armeniaca)/(2) Prunus persica var. densa (Chinese variety of peach)/
カラライゼーション /(n) colorization/
カラリスト /(n) colorist/colourist/
カラン /(n) water outlet (ger: Kran, dut: kraan)/tap/faucet/
カランコエ /(n) kalanchoe (esp. species Kalanchoe blossfeldiana) (lat:)/
カランコロン /(n) (on-mim) sound made by geta/clip-clop/
カランツ /(n) currants/
カランティンサービス /(n) (comp) quarantine service/
カリアチード /(n) caryatide (fre:)/
カリアティード /(n) caryatid/
カリウム /(n,adj-no) potassium (K) (ger: kalium)/(P)/
カリウムアルゴン法 [カリウムアルゴンほう] /(n) potassium-argon dating/
カリエス /(n,adj-no) caries (ger: Karies)/
カリカチュール /(n) caricature (fre:)/
カリカチュア /(n) caricature/
カリカチュライズ /(n) caricaturize/caricaturise/
カリガネソウ /(n) (uk) blue spirea (Caryopteris divaricata)/blue mist shrub/
カリガラス /(n) Kaliglas (dut:)/potash glass/
カリキュラム /(n) curriculum/(P)/
カリグラフィー /(n) calligraphy/
カリグラフィック表示装置 [カリグラフィックひょうじそうち] /(n) (comp) calligraphic display device/directed beam display device/
カリコム /(n) Caribbean Community (from CARICOM)/
カリスト /(n) Callisto/
カリスマ /(n,adj-f) (1) charisma (ger: Charisma)/(2) divinely conferred power or talent/(3) charismatic person/(P)/
カリスマチック /(n) charismatic/
カリスマ性 [カリスマせい] /(n) charisma/
カリスマ先生 [カリスマせんせい] /(n) (col) charismatic teacher/charming professor/
カリスマ美容師 [カリスマびようし] /(n) star beautician/famous beautician/
カリット /(n) crunchy/
カリニ肺炎 [カリニはいえん] /(n) pneumocystis carinii pneumonia/
カリバチ /(n) hunter wasp (i.e. potter wasp, sand wasp, etc.)/
カリパス /(n) (pair of) calipers/
カリビアン /(n,adj-no) Caribbean/
カリビアン・リーフ・シャーク /(n) Caribbean reef shark (Carcharhinus perezii, species of requiem shark found in the tropical waters of the western Atlantic Ocean from Florida to Brazil)/
カリビアンリーフシャーク /(n) Caribbean reef shark (Carcharhinus perezii, species of requiem shark found in the tropical waters of the western Atlantic Ocean from Florida to Brazil)/
カリフ /(n) caliph/chief civil and religious Muslim ruler (prior to 1924)/
カリフォルニア /(n) California/(P)/
カリフォルニア・スウェル・シャーク /(n) swellshark (Cephaloscyllium ventriosum, species of catshark in the Eastern Pacific)/
カリフォルニアコンドル /(n) California condor (Gymnogyps californianus)/
カリフォルニアスウェルシャーク /(n) swellshark (Cephaloscyllium ventriosum, species of catshark in the Eastern Pacific)/
カリフォルニアドチザメ /(n) leopard shark (Triakis semifasciata, species found along the Pacific coast of North America)/
カリフォルニアネコザメ /(n) horn shark (Heterodontus francisci, a bullhead shark from the Eastern Pacific)/
カリフォルニアロール /(n) California roll/
カリフラワー /(n) cauliflower/
カリブー /(n) caribou/
カリブヘラザメ /(n) smallfin catshark (Apristurus parvipinnis, species of the western Atlantic)/
カリブ海 [カリブかい] /(n,adj-no) Caribbean Sea/(P)/
カリプソ /(n) calypso/
カリホルニウム /(n) californium (Cf)/
カリヨン /(n) carillon (fre:)/
カリロン /(n) carillon (fre:)/
カリン /(n) (1) (uk) Burmese rosewood (Pterocarpus indicus)/angsana/amboyna/amboina/(2) (uk) flowering quince (of genus Chaenomeles) (Pseudocydonia sinensis)/Chinese quince (Chaenomeles sinensis)/(3) (uk) quince (Cydonia oblonga)/
カリンバ /(n) kalimba (bnt:)/
カリ活用 [カリかつよう] /(n) classical form of i-adjective inflection formed by contraction of the "ku" adverbial form with the classical verb "ari" ("aru")/
カリ岩塩 [カリがんえん] /(n) sylvite/sylvine/
カリ首 [カリくび] /(n) (1) (something resembling a) goose's neck/(2) glans/head of a penis/
カリ石鹸 [カリせっけん] /(n) potash soap/
カリ長石 [カリちょうせき] /(n) potash feldspar/
カリ肥料 [カリひりょう] /(n) potash fertilizer/potash fertiliser/
カリ明礬 [カリみょうばん] /(n) potassium alum/
カルーア /(n) Kahlua (coffee liqueur)/
カルーセル /(n) carousel/
カルウエ /(n) (abbr) calcium wafer/
カルガリー /(n) Calgary/(P)/
カルキ /(n) chalk (ger: Kalk, dut: kalk)/(P)/
カルキュレータ /(n) (comp) calculator/
カルキュレーター /(n) (comp) calculator/
カルク /(n) (comp) spreadsheet (wasei: calc)/
カルシウム /(n) calcium (Ca)/(P)/
カルシウムシアナミド /(n) calcium cyanamide (CaCN2)/
カルシトニン /(n) calcitonin/
カルシフェロール /(n) calciferol/
カルジオスコープ /(n) cardioscope/
カルス /(n) callus/
カルスト /(n,adj-no) karst (geologic formation of irregular limestone deposits) (ger: Karst)/
カルスト地形 [カルストちけい] /(n) karst/
カルセオラリア /(n) calceolaria (lat:)/
カルソン /(n) (1) boy/(2) male waiter (fre: garcon)/
カルタ /(n) (uk) playing cards (por: carta)/card game/
カルタ会 [カルタかい] /(n) card match (esp. using uta-garuta)/
カルダモン /(n) cardamom/(P)/
カルチノイド /(n) carcinoid/
カルチベーター /(n) cultivator/
カルチャー /(n) culture/(P)/
カルチャーショック /(n) culture shock/(P)/
カルチャーセンター /(n) culture center/culture centre/(P)/
カルチュラルスタディーズ /(n) cultural studies/
カルツーン /(n) cartoon/
カルテ /(n) clinical records (ger: Karte)/(P)/
カルティエ /(n) Cartier/
カルテジアン劇場 [カルテジアンげきじょう] /(n) Cartesian theatre/
カルテット /(n) quartet (ita: quartetto)/(P)/
カルテル /(n) cartel (ger: Kartell)/(P)/
カルデア人 [カルデアじん] /(n) Chaldean (person)/
カルデラ /(n) caldera/(P)/
カルデラ湖 [カルデラこ] /(n) caldera lake/
カルト /(n) cult/(P)/
カルトゥーシュ /(n) cartouche (fre:)/
カルトン /(n) (1) carton (e.g. of cigarettes)/(2) tray (in which money is placed when paying)/dish/(3) pasteboard (fre: carton)/
カルト映画 [カルトえいが] /(n) cult film/cult movie/
カルニチン /(n) carnitine/
カルノーサイクル /(n) Carnot cycle/Carnot's cycle/
カルノー図 [カルノーず] /(n) Karnaugh map/Karnaugh diagram (for mapping Boolean expressions)/
カルバドス /(n) calvados (fre:)/(P)/
カルバマゼピン /(n) carbamazepine/
カルバミン酸 [カルバミンさん] /(n) carbamic acid/
カルバン主義 [カルバンしゅぎ] /(n) Calvinism/
カルパ /(n) tent (spa: carpa)/
カルパス /(n) Kolbasa (semi-dry Russian sausage)/calpas/
カルパッチョ /(n) carpaccio (ita:)/
カルビ /(n) beef ribs (kor: galbi)/
カルピス /(n) (1) Calpis (Japanese milk-based soft drink)/(2) (col) sperm/semen/cum/(P)/
カルフォルニア /(n) California/
カルボイ /(n) carboy/
カルボキシル /(n) carboxyl/
カルボキシル基 [カルボキシルき] /(n) carboxyl group/
カルボキシ基 [カルボキシき] /(n) carboxy group/
カルボナーラ /(n) (spaghetti alla) carbonara (type of pasta) (ita:)/
カルボニル化合物 [カルボニルかごうぶつ] /(n) carbonyl compound/
カルボニル基 [カルボニルき] /(n) carbonyl group/
カルボン酸 [カルボンさん] /(n) carboxylic acid/
カルマ /(n) Karma/
カルマンフィルター /(n) (comp) Kalman filter/
カルミア /(n) kalmia (esp. mountain laurel, Kalmia latifolia) (lat:)/
カルミン /(n) carmine (dut: karmijn)/
カルメラ /(n) caramel (por: caramelo)/(P)/
カルメ焼 [カルメやき] /(n) caramel (por: caramelo)/
カルモジュリン /(n) calmodulin/
カルヴァン主義 [カルヴァンしゅぎ] /(n) Calvinism/
カレー /(n) (abbr) curry/(P)/
カレーコーナー /(n) curry corner/
カレーソース /(n) curry sauce/
カレードスコープ /(n) kaleidoscope/
カレーライス /(n) curry and rice/(P)/
カレー饂飩 [カレーうどん] /(n) Udon cooked with curry topping/
カレイ /(n) (uk) righteye flounder (any fish of family Pleuronectidae)/
カレイドスコープ /(n) kaleidoscope/
カレカノ /(n) (abbr) boyfriend and girlfriend matters/
カレセン /(n) (uk) younger woman (usu. 20-30 years old) who is physically attracted to mature older men (usu. 50-60 years old)/
カレッジ /(n) college/(P)/
カレッジペーパー /(n) college paper/
カレッジリング /(n) college ring/
カレッジレベル /(n) college level/
カレドニアン /(n) caledonian/
カレハスズメダイ /(n) agile chromis (Chromis agilis)/bronze reef chromis/
カレンシー /(n) currency/(P)/
カレンズ /(n) currants/
カレンダ /(n) (1) calendar/(2) calender (machine for flattening things)/
カレンダー /(n) (1) calendar/(2) calender (machine for flattening things)/(P)/
カレンダープログラム /(n) (comp) calendar program/
カレンダクロック /(n) (comp) calendar clock/
カレンツ /(n) currants/
カレント /(n) current/
カレントイングリッシュ /(n) current English/
カレントディレクトリ /(n) (comp) current directory/
カレントトピックス /(n) current topics/
カレントトランザクション /(n) (comp) current transaction/
カレントドライブ /(n) (comp) current drive/
カレントドレイン /(n) (comp) current drain/
カレントニュース /(n) current news/
カレントプライス /(n) current price/
カレントループ /(n) (comp) current loop/current-loop/
カレントレコード /(n) (comp) current record/
カレン族 [カレンぞく] /(n) Karen (people)/
カローラ /(n) corolla/(P)/
カロス /(n) kaross (cloak made of animal skin)/
カロチノイド /(n) carotenoid/carotinoid/
カロチン /(n) carotene/(P)/
カロテノイド /(n) carotenoid/carotinoid/
カロテン /(n) carotene/
カロメル /(n) calomel/
カロライナ /(n) Carolina/(P)/
カロライナコガラ /(n) (uk) Carolina chickadee (Parus carolinensis)/
カロライナ小雀 [カロライナこがら] /(n) (uk) Carolina chickadee (Parus carolinensis)/
カロリー /(n,adj-no) calorie/(P)/
カロリーオフ /(n) diet (wasei: calorie off)/low calorie/reduced calorie/
カロリーフリー /(n) diet (wasei: calorie free)/no calorie/non-caloric/
カロリメーター /(n) calorimeter/
カロル /(n) carol/
カワイルカ /(n) (uk) river dolphin/
カワウ /(n) (uk) great cormorant (Phalacrocorax carbo)/
カワウソ /(n) (uk) otter (esp. the Japanese river otter, Lutra lutra whiteleyi)/
カワカマス /(n) (uk) pike (esp. the Amur pike, Esox reichertii)/pickerel/
カワガラス /(n) (uk) brown dipper (Cinclus pallasii)/
カワゲラ /(n) (uk) stonefly (any insect of order Plecoptera, esp. those of family Perlidae)/
カワシンジュガイ /(n) (uk) Margaritifera laevis (species of freshwater pearl mussel)/
カワセミ /(n) (1) kingfisher (esp. the common kingfisher, Alcedo atthis)/
カワトンボ /(n) (uk) broad-winged damselfly (of family Calopterygidae)/
カワネズミ /(n) (uk) Japanese water shrew (Chimarrogale platycephala)/
カワバタモロコ /(n) (uk) golden venus chub (Hemigrammocypris rasborella)/
カワヒガイ /(n) (uk) Sarcocheilichthys variegatus variegatus (subspecies of cyprinid)/
カワヒメマス属 [カワヒメマスぞく] /(n) Thymallus (genus of freshwater fish in the salmon family Salmonidae)/
カワムツ /(n) (uk) dark chub (Nipponocypris temminckii)/
カワモズク /(n) (uk) Batrachospermum gelatinosum (species of red alga)/
カワヤツメ /(n) (uk) arctic lamprey (Lethenteron camtschaticum)/
カワヤツメ属 [カワヤツメぞく] /(n) Lethenteron (genus of lamprey in the family Petromyzontidae)/
カワユス /(int) (abbr) cute!/adorable!/
カワラナデシコ /(n) (uk) large pink (Dianthus superbus var. longicalycinus)/
カワラニンジン /(n) (uk) Artemisia apiacea (species of artemisia)/
カワラバト /(n) (uk) rock pigeon (Columba livia)/rock dove/
カワラヒワ /(n) (uk) Oriental greenfinch (Carduelis sinica)/
カワラマツバ /(n) (uk) our lady's bedstraw (Galium verum)/yellow bedstraw/
カワラヨモギ /(n) (uk) capillary artemisia (Artemisia capillaris)/yin-chen wormwood/
カンアオイ /(n) (uk) Asarum nipponicum (species of wild ginger)/
カンカン /(n) can-can (fre: cancan)/(P)/
カンガルー /(n) kangaroo/(P)/
カンガルーネズミ /(n) (uk) kangaroo rat (of North America; any rodent of genus Dipodomys)/
カンガルー鼠 [カンガルーねずみ] /(n) (uk) kangaroo rat (of North America; any rodent of genus Dipodomys)/
カンコる /(v5r) to be in a slump/
カンコロジー /(n) kan ecology (beautifying an area by picking up cans)/
カンザス /(n) Kansas/(P)/
カンジキウサギ /(n) (uk) snowshoe hare/snowshoe rabbit (Lepus americanus)/
カンジタ /(n) candidal vaginitis/
カンジダ症 [カンジダしょう] /(n) candidiasis/
カンジダ膣炎 [カンジダちつえん] /(n) candidal vaginitis/vaginal yeast infection/
カンスト /(n,vs) (abbr) abbr. of counter stop/max value in games (99, 255 and such)/
カンゾウ /(n) hemerocallis/daylily/
カンゾウタケ /(n) (uk) beefsteak fungus (Fistulina hepatica)/beefsteak mushroom/
カンター /(n) canter/
カンタータ /(n) cantata (ita:)/(P)/
カンタービレ /(n) cantabile (in a smooth, singing manner) (ita:)/
カンタム /(n) (comp) Quantum/
カンタリジン /(n) cantharadin (active ingredient of cantharides)/
カンタリス /(n) cantharides (lat: cantharis)/
カンタループ /(n) cantaloupe/
カンタロープ /(n) cantaloupe/
カンチク /(n) (uk) marbled bamboo (Chimonobambusa marmorea)/
カンチレバー /(n,adj-no) cantilever/
カンツォーナ /(n) canzone (ita:)/
カンツォーネ /(n) canzone (ita:)/(P)/
カンツォネッタ /(n) canzonetta (ita:)/
カンテ /(n) border (ger: Kante)/
カンティレバー /(n,adj-no) cantilever/
カンテラ /(n) torch (dut: kandelaar)/
カンディル /(n) candiru (Vandellia spp., esp. Vandellia cirrhosa)/canero/toothpick fish/
カンデラ /(n) candela/
カント /(n) (1) Kant/(2) cant/(P)/
カントカ /(n) (uk) something/something or other/so-and-so/
カントラプラスの星雲説 [カントラプラスのせいうんせつ] /(n) Kant-Laplace nebular hypothesis/
カントリー /(n) country/
カントリーアンドウェスタン /(n) country and western/
カントリーアンドウエスタン /(n) country and western/
カントリーウエア /(n) country wear/
カントリーウオーク /(n) country walk/
カントリーエレベーター /(n) country elevator/
カントリークラブ /(n) country club/
カントリースクール /(n) country school/
カントリーブルース /(n) country blues/
カントリーミュージック /(n) country music/
カントリーリスク /(n) country risk/
カントリーロック /(n) country rock/
カントリコード /(n) (comp) country code/
カントン料理 [カントンりょうり] /(n) Cantonese food/
カンナ掛け [カンナがけ] /(n) (uk) planing (wood)/
カンニング /(n,vs) cheating (wasei: cunning)/(P)/
カンニングペーパー /(n) (1) crib sheet (wasei: cunning paper)/cheat sheet/(2) large sketchbook used during TV filming to notify the cast of special stage direction, relay messages, etc./
カンバス /(n) (1) canvas/(P)/
カンバセーション /(n) conversation/
カンパ /(n,vs) (1) (abbr) fund raising campaign (rus: kampanya)/(2) campaign/(P)/
カンパチ /(n) (uk) greater amberjack (Seriola dumerili)/purplish amberjack/greater yellowtail/
カンパニー /(n) company/(P)/
カンパニーエコノミスト /(n) company economist/
カンパニーペーパー /(n) company paper/
カンパニーマガジン /(n) company magazine/
カンパニーユニオン /(n) company union/
カンパニア /(n,vs) fund-raising campaign (rus: kampanya)/
カンピロバクター /(n) Campylobacter (lat:)/
カンファー /(n) camphor/
カンファレンシング /(n) (comp) conferencing/
カンファレンス /(n) conference/
カンフル /(n) camphor (dut: kamfer)/(P)/
カンフル丁幾 [カンフルチンキ] /(n) tincture of camphor/
カンブリア紀 [カンブリアき] /(n) Cambrian period/
カンブリア系 [カンブリアけい] /(n,adj-no) Cambrian system (i.e. rock layer deposited during the Cambrian period)/
カンブリア爆発 [カンブリアばくはつ] /(n) Cambrian explosion (of life)/
カンブリック /(n) cambric/
カンプトサウルス /(n) camptosaurus (lat:)/
カンペ /(n) (abbr) large sketchbook used during TV filming to notify the cast of special stage direction, relay messages, etc./cue card/
カンペン /(n) metallic pencil box (wasei: can pencil-case)/
カンボジア /(n) (uk) Cambodia/
カンマ /(n) comma/cedilla/
カンマ表示 [カンマひょうじ] /(n) (comp) comma format/
カンムリカイツブリ /(n) (uk) Great Crested Grebe (Podiceps cristatus)/
カンムリベラ /(n) clown coris (Coris aygula)/
カンムリベラ属 [カンムリベラぞく] /(n) Coris (genus of wrasses in the family Labridae)/
カンムリワシ /(n) (uk) crested serpent eagle (Spilornis cheela)/
カンラン /(n) (1) (uk) Chinese white olive (Canarium album)/(2) olive (Olea europea)/
カンランハギ /(n) black-spot surgeonfish (Acanthurus bariene, species of tang found from Mozambique and Maldives to the western Pacific)/roundspot surgeonfish/bariene surgeonfish/eye-spot surgeon/
カンラン石 [カンランせき] /(n) olivine/peridot/
カヴァ /(n,vs) (1) cover (e.g. book)/(2) kava (Piper methysticum)/
カヴァー /(n,vs) (1) cover (e.g. book)/
カ月 [かげつ] /(ctr) (number of) months/(P)/
カ行 [カぎょう] /(n) classification for Japanese verb with the dictionary form ending in "ku"/"ka" column or row of the kana syllabary/
カ行変格活用 [カぎょうへんかくかつよう] /(n) irregular conjugation (inflection, declension) of the verb "kuru"/
カ国 [かこく] /(ctr) counter for countries/
カ国語 [かこくご] /(ctr) counter for languages/
カ氏 [カし] /(n,adj-no) degrees Fahrenheit/
カ氏温度 [カしおんど] /(n) Fahrenheit temperature/degrees Fahrenheit/
カ所 [かしょ] /(n) passage/place/point/part/
カ変 [カへん] /(n) (abbr) irregular conjugation (inflection, declension) of the verb "kuru"/
ガー /(n) gar (any fish of family Lepisosteidae)/garfish/garpike/
ガーガー /(n) quack (sound made by ducks)/braak/
ガーゴイル /(n) gargoyle/
ガースコントロール /(n) girth control/
ガーゼ /(n) gauze (ger: Gaze)/(P)/
ガーター /(n) garter/
ガータースネーク /(n) garter snake/
ガーター編み [ガーターあみ] /(n) garter stitch/
ガーッ /(n) with a grinding noise/
ガーディアン /(n) guardian/(P)/
ガーデニング /(n) gardening/
ガーデン /(n) garden/(P)/
ガーデンスモーカー /(n) garden smoker/
ガーデントラクター /(n) garden tractor/
ガーデンハウス /(n) garden house/
ガーデンパーティー /(n) garden party/
ガード /(n,vs) (1) guard/(n) (2) girder bridge/(P)/
ガードケーブル /(n) guard cable/
ガードナーズバタフライフィッシュ /(n) Gardner's butterflyfish (Chaetodon gardineri)/
ガードバンカー /(n) guard bunker/
ガードバンド /(n) (comp) guard band/
ガードマン /(n) security guard (wasei: guardman)/(P)/
ガードル /(n) girdle/
ガードレール /(n) guardrail/(P)/
ガーナ /(n) Ghana/
ガーナ共和国 [ガーナきょうわこく] /(n) Republic of Ghana/
ガーニッシュ /(n) garnish/(automotive) trim/
ガーネット /(n) garnet/
ガーパイク /(n) garpike (any fish of family Lepisosteidae)/garfish/gar/
ガーベージ /(n) garbage/
ガーベジコレクション /(n) (comp) garbage collection/
ガーベッジ /(n) (comp) garbage/
ガーベッジコレクション /(n) (comp) garbage collection/GC/
ガーベラ /(n) gerbera (lat:)/African daisy/
ガーボロジー /(n) garbology/
ガーメント /(n) garment/
ガーリック /(n) garlic (edible plant, Allium sativum)/
ガーリック・トースト /(n) garlic toast/
ガーリックソルト /(n) garlic salt/
ガーリックトースト /(n) garlic toast/
ガール /(n) girl/(P)/
ガールスカウト /(n) Girl Scouts/
ガールズラブ /(n) (col) comics or novels about female homosexuality (wasei: girls love)/
ガールハント /(n) girl hunt/
ガールフレンド /(n) girl friend/girlfriend/(P)/
ガーン /(int) (m-sl) sound effect for shock (usu. the disappointing kind)/
ガーンジー /(n) guernsey/
ガーンジー島 [ガーンジーとう] /(n) Guernsey (island)/
ガイ /(n) guy/(P)/
ガイア /(n) Gaia/Gaea/Ge/
ガイアナ /(n,adj-no) Guyana/
ガイアナバタフライフィッシュ /(n) French butterflyfish (Prognathodes guyanensis, was Chaetodon guyanensis)/Guyana butterflyfish/
ガイアナ協同共和国 [ガイアナきょうどうきょうわこく] /(n) Co-operative Republic of Guyana/
ガイガーカウンター /(n) Geiger counter/
ガイガーミュラーカウンター /(n) Geiger-Mueller counter/
ガイガーミュラー計数管 [ガイガーミュラーけいすうかん] /(n) Geiger-Mueller counter/
ガイガー計数管 [ガイガーけいすうかん] /(n) Geiger counter/
ガイザービル /(n) (comp) Geyserville/
ガイスト /(n) spirit (ger: Geist)/
ガイダンス /(n) guidance/(P)/
ガイド /(n,vs) tour guide/(P)/
ガイドナンバー /(n) guide number/
ガイドピン /(n) (comp) guide pin/
ガイドピンネジ /(n) (comp) guide pin screw/
ガイドブック /(n) guidebook/
ガイドポスト /(n) guidepost/
ガイドメロディ /(n) guide melody (karaoke melody to help the singer hold the tune)/
ガイドライン /(n) guideline/
ガイヤルド /(n) galliard (fre: gaillarde)/
ガイル /(n) guile/
ガウシアン /(n) Gaussian/(P)/
ガウス /(n) gauss/
ガウスの法則 [ガウスのほうそく] /(n) Gauss's law/
ガウス曲線 [ガウスきょくせん] /(n) Gaussian curve/
ガウス消去 [ガウスしょうきょ] /(n) (comp) Gaussian elimination/
ガウス分布 [ガウスぶんぷ] /(n) Gaussian distribution/normal distribution/
ガウチョ /(n) gaucho/
ガウチョハット /(n) gaucho hat/
ガウチョパンツ /(n) gaucho pants/
ガウチョルック /(n) gaucho look/
ガウン /(n) gown/(P)/
ガオー /(n) roar/sound made by monsters/
ガガイモ /(n) (uk) rough potato (Metaplexis japonica)/
ガガイモ科 [ガガイモか] /(n) milkweed family (Asclepiadaceae)/
ガキ /(n) (1) (uk) brat/kids/(2) (Buddh) preta (hungry ghost)/ghoul/
ガクアジサイ /(n) (uk) Gaku hydrangea/Hydrangea macrophylla/
ガクガク /(adj-na,adv,n,vs) (on-mim) body trembling/teeth clattering/something coming loose/
ガクガクブルブル /(vs) (on-mim) to tremble/to shiver (from stress, fear or panic)/(figuratively) to experience a sense of stress, fear, or panic/
ガクッ /(adv,adv-to) (sound effect for) collapsing/losing strength/slumping/
ガクブル /(vs) (abbr) (on-mim) to tremble/to shiver (from stress, fear or panic)/(figuratively) to experience a sense of stress, fear, or panic/
ガクリ /(adv,adv-to) (sound effect for) collapsing/losing strength/slumping/
ガクルクス /(n) Gacrux (aka Gamma Crucis)/
ガクンガクン /(adv-to,adv) jerkingly/
ガサ /(n) (sl) household search (conducted by the police)/
ガサッ /(adv-to) (on-mim) with a swoosh/at one fell swoop/
ガサ入れ [ガサいれ] /(n,vs) (sl) premises search/household search/
ガザニア /(n) gazania (esp. species Gazania rigens) (lat:)/
ガザミ /(n) (uk) swimming crab (Portunus trituberculatus)/
ガザ地区 [ガザちく] /(n) Gaza Strip/
ガシる /(v5r) to well up/to be overcome with emotion/to be close to tears/
ガシガシ /(adv,adv-to) (on-mim) boisterously/roughly/briskly/(P)/
ガシッ /(adv-to) firmly/
ガシャポン /(n) capsule-toy vending machine/machine-vended capsule toy/
ガシャン /(int) clash/
ガジェット /(n) gadget/(P)/
ガジェットバッグ /(n) gadget bag/
ガス /(n,adj-no) (uk) gas (dut:, eng:)/(P)/
ガスエンジン /(n) gasengine/
ガスカーボン /(n) gas carbon/
ガスクロ /(n) (abbr) gas chromatography/
ガスクロマトグラフ /(n) gas chromatograph/
ガスクロマトグラフィー /(n) gas chromatography/
ガスケット /(n) gasket/
ガスコンロ /(n) gas range/
ガスステーション /(n) gas station/
ガスストーブ /(n) gas stove/gas heater/
ガスタービン /(n) gas turbine/(P)/
ガスタンク /(n) gas tank/gasholder/gasometer/
ガスト /(n) gust/
ガストアルバイター /(n) foreign worker (ger: Gastarbeiter)/(P)/
ガストリン /(n) gastrin/
ガストロ /(n) butterfly kingfish (Gasterochisma melampus)/butterfly tuna/bigscale mackerel/
ガストロカメラ /(n) gastrocamera/
ガストロノーム /(n) gastronome/
ガストロノミー /(n) gastronomy/
ガストロノミスト /(n) gastronomist/
ガストロノミック /(n) gastronomic/
ガスハイドレート /(n) gas hydrates/
ガスバーナー /(n) blowtorch/gas burner/bunsen burner/
ガスパーチョ /(n) gazpacho (spa:)/
ガスパイプ /(n) gas pipe/
ガスパイプライン /(n) gas pipeline/
ガスパチョ /(n) gazpacho (spa:)/
ガスパネル /(n) (comp) plasma panel/gas panel/
ガスヒーポン /(n) gas heat pump/
ガスボイラー /(n) gas boiler/
ガスボンベ /(n) gas cylinder (ger: Gasbombe)/(P)/
ガスマスク /(n) gas mask/(P)/
ガスマット /(n) aluminum-foil burner liner (wasei: gas mat)/
ガスマントル /(n) gas mantle/
ガスメーター /(n) gas meter/
ガスライター /(n) gas lighter/
ガスランプ /(n) gas lamp/
ガスレンジ /(n) gas cooker/gas range/
ガス液 [ガスえき] /(n) gas liquor/
ガス化学工業 [ガスかがくこうぎょう] /(n) gas chemical industry/
ガス壊疽 [ガスえそ] /(n,adj-no) gas gangrene/
ガス管 [ガスかん] /(n) gas pipe/gas tube/
ガス機関 [ガスきかん] /(n) gas engine/
ガス欠 [ガスけつ] /(n) running out of gasoline (petrol)/
ガス交換 [ガスこうかん] /(n) gas exchange/
ガス糸 [ガスいと] /(n) gassed yarn/
ガス室 [ガスしつ] /(n) gas chamber/
ガス銃 [ガスじゅう] /(n) gas gun/tear gas gun/
ガス状 [ガスじょう] /(adj-no) gaseous/gasiform/
ガス状星雲 [ガスじょうせいうん] /(n) gaseous nebula/
ガス状惑星 [ガスじょうわくせい] /(n) gas giant (e.g. Jupiter, Saturn)/gas planet/
ガス栓 [ガスせん] /(n) gas tap/gas cock/
ガス体 [ガスたい] /(n,adj-no) gas/
ガス弾 [ガスだん] /(n) gas bomb/
ガス中毒 [ガスちゅうどく] /(n) gas poisoning/
ガス田 [ガスでん] /(n) gas field/
ガス灯 [ガスとう] /(n) gas light/gas lamp/
ガス燈 [ガスとう] /(oK) (n) gas light/gas lamp/
ガス突出 [ガスとっしゅつ] /(n) outburst of gas/
ガス抜き [ガスぬき] /(n,vs) degassing/gas venting/
ガス分析 [ガスぶんせき] /(n) gas analysis/
ガス放電ディスプレイ [ガスほうでんディスプレイ] /(n) (comp) gas-discharge display/
ガス油 [ガスゆ] /(n) gas oil/
ガス溶接 [ガスようせつ] /(n) gas welding/
ガス冷却炉 [ガスれいきゃくろ] /(n) gas-cooled reactor/
ガス漏れ [ガスもれ] /(n) gas leak/
ガス漏れ警報器 [ガスもれけいほうき] /(n) gas leak sensor/
ガス焜炉 [ガスこんろ] /(n) gas range/
ガセ /(n,pref) fake/lie/nonsense/
ガセネタ /(n) faked information/bogus intelligence/disinformation/
ガゼット /(n) gadget/
ガゼットバック /(n) gadget bag/
ガゼットバッグ /(n) gadget bag/
ガゼル /(n) gazelle/
ガソール /(n) gasohol/(P)/
ガソホール /(n) gasohol/
ガソリン /(n) gasoline/petrol/(P)/
ガソリンエンジン /(n) gasoline engine/petrol engine/
ガソリンカー /(n) gasoline engine car/petrol engine car/
ガソリンスタンド /(n) gas station (wasei: gasoline stand)/petrol station/(P)/
ガソリン車 [ガソリンしゃ] /(n) gasoline-powered vehicle/gasoline automobile/gasoline car/gasoline truck/
ガソリン代 [ガソリンだい] /(n) gasoline (money)/petrol (cost)/
ガタ /(n) gutter/
ガター /(n) gutter/
ガタがくる /(exp,vk) to show one's age (e.g. to start creaking at the joints)/to wear out (e.g. machinery)/
ガタイ /(n) (sl) body build/
ガタガタ /(adj-na,adv,adv-to,vs,adj-no) (on-mim) rattle/clatter/(P)/
ガタゴト /(adv,adv-to) (on-mim) rattling/clattering/
ガチッと /(adv) (on-mim) with a clashing or clanging sound/
ガチャポン /(n) capsule-toy vending machine/machine-vended capsule toy/
ガチャン /(adv-to,n) (on-mim) (with a) slamming noise/(with a) banging noise/(with a) clash/(with a) clank/(with a) bang/
ガチン /(adv-to,n) (on-mim) (with a) slamming noise/(with a) banging noise/(with a) clash/(with a) clank/(with a) bang/
ガチンコ /(n) (sl) competing in earnest (esp. in sumo)/
ガッと /(adv) vigorously/swiftly/
ガッシュ /(n) (1) gash/(2) gush/(3) gouache (fre:)/
ガッタブル /(n) gattable/
ガッツ /(n) guts/(P)/
ガッツポーズ /(n) triumphant pose assumed by an athlete (wasei: guts pose)/(P)/
ガッツリ /(adv) (sl) firmly/plentifully/with all one's might/
ガット /(n) (1) gut (i.e. used to make violin strings)/catgut/(2) grand unified theory/GUT/(P)/
ガットギター /(n) gut guitar/
ガツ /(n) (food) stomach (esp. a pig's stomach or a cow's rumen)/pork stomach/
ガツガツ /(adv,n,vs) (on-mim) greedily/burning with desire for something/
ガツン /(n) (1) klop/klunk/whonk/(adv,adv-to) (2) with a heavy impact/forcibly/
ガトー /(n) gateau (fre:)/
ガトリングガン /(n) Gatling gun/
ガトリング銃 [ガトリングじゅう] /(n) Gatling gun/
ガトリング砲 [ガトリングほう] /(n) Gatling gun/
ガドリニウム /(n) gadolinium (Gd)/
ガナッシュ /(n) ganache (icing made of mixed chocolate and cream) (fre:)/
ガニメデ /(n) Ganymede (moon of Jupiter)/
ガバージン /(n) gaberdine/gabardine/
ガバナー /(n) governor/
ガバナビリティー /(n) governability/
ガバナンス /(n) governance/
ガバメント /(n) government/
ガビーン /(int) (m-sl) indicates shock and disappointment (not actually said out loud)/
ガビアル /(n) gharial (fre:)/gavial (large crocodilian found on the Indian subcontinent)/
ガベージインガベージアウト /(n) (comp) garbage in, garbage out/
ガベジ /(n) (comp) garbage/
ガベジコレクション /(n) (comp) garbage collection/
ガボット /(n) gavotte (fre:)/(P)/
ガボン /(n) Gabon/
ガボン共和国 [ガボンきょうわこく] /(n) Gabonese Republic/
ガマアンコウ /(n) (uk) toadfish (any fish of family Batrachoididae, esp. the Pacuma toadfish, Batrachoides surinamensis)/
ガマズミ /(n) (uk) linden arrowwood (Viburnum dilatatum)/Japanese bush cranberry/
ガム /(n) chewing gum/(P)/
ガムシロップ /(n) gum syrup/
ガムテ /(n) (abbr) packing tape (wasei: gum tape)/
ガムテープ /(n) packing tape (wasei: gum tape)/
ガムドロップ /(n) gumdrop/
ガムボ /(n) gumbo/
ガムラン /(n) gamelan (traditional Indonesian music ensemble) (ind:)/
ガメ /(n) Gamay (variety of grape)/
ガメる /(v1,vt) (1) to greedily try to win big (e.g. in mahjong)/(2) to swipe/to nick/to pilfer/
ガメイ /(n) Gamay (variety of grape)/
ガメラン /(n) gamelan (traditional Indonesian music ensemble) (ind:)/(P)/
ガヤ /(n) background chatter on a soundtrack/
ガラ・ルファ /(n) doctor fish (Garra rufa)/nibble fish/kangal fish/reddish log sucker/
ガラガラヘビ /(n) (uk) rattlesnake/
ガラガラ抽選 [ガラガラちゅうせん] /(n) tombola/raffle drum/
ガラクトース /(n) galactose/
ガラクトース血症 [ガラクトースけっしょう] /(n) galactosemia/
ガラコンサート /(n) gala concert/
ガラゴ /(n) galago/
ガラス /(n) (uk) glass (dut: glas)/pane/(P)/
ガラスウール /(n) glass wool/
ガラスブロック /(n) glass block/
ガラス絵 [ガラスえ] /(n) picture painted on glass/stained glass/
ガラス球 [ガラスだま] /(n) glass sphere/glass bead/glass marble/
ガラス玉 [ガラスだま] /(n) glass sphere/glass bead/glass marble/
ガラス固化 [ガラスこか] /(n) vitrification/
ガラス戸 [ガラスど] /(n) glass door/(P)/
ガラス工芸 [ガラスこうげい] /(n) glasswork/
ガラス細工 [ガラスざいく] /(n) glasswork/
ガラス障子 [ガラスしょうじ] /(n) glazed sliding door/
ガラス切り [ガラスきり] /(n) glass cutter/
ガラス繊維 [ガラスせんい] /(n) glass fiber/glass fibre/
ガラス窓 [ガラスまど] /(n) glass window/
ガラス体 [ガラスたい] /(n) vitreous body (of the eye)/
ガラス張り [ガラスばり] /(n,adj-no) glass-sided/aboveboard/open to scrutiny/(P)/
ガラス片 [ガラスへん] /(n) splinters of glass/glass shards/
ガラス綿 [ガラスめん] /(n) glass wool/
ガラス壺 [ガラスつぼ] /(n) glass jar/
ガラテヤの信徒への手紙 [ガラテヤのしんとへのてがみ] /(n) Epistle to the Galatians (book of the Bible)/
ガラテヤ書 [ガラテヤしょ] /(n) (obsc) Epistle to the Galatians (book of the Bible)/
ガラテヤ人への手紙 [ガラテヤじんへのてがみ] /(n) Epistle to the Galatians (book of the Bible)/
ガラナ /(n) (1) guarana (tree)/Paullinia cupana/(2) guarana (seed extract as an ingredient used in stamina drinks and foods for restorative and stimulant effect)/
ガラパゴスザメ /(n) Galapagos shark (Carcharhinus galapagensis, species of circumtropical requiem shark found in the reef environments around oceanic islands)/
ガラパゴスゾウガメ /(n) (uk) Galapagos tortoise (Geochelone nigra)/
ガラパゴスネコザメ /(n) Galapagos bullhead shark (Heterodontus quoyi)/
ガラパゴスリクイグアナ /(n) (uk) Galapagos land iguana (Conolophus subcristatus)/
ガラパゴスリングテールダムセルフィッシュ /(n) Southern whitetail major (Stegastes beebei)/Galapagos ringtail damselfish/
ガラパゴス小羽鵜 [ガラパゴスこばねう] /(n) flightless cormorant/Galapagos cormorant/
ガラパゴス象亀 [ガラパゴスぞうがめ] /(n) (uk) Galapagos tortoise (Geochelone nigra)/
ガラパゴス陸イグアナ [ガラパゴスりくイグアナ] /(n) (uk) Galapagos land iguana (Conolophus subcristatus)/
ガラムマサラ /(n) garam masala (hin:)/
ガラルファ /(n) doctor fish (Garra rufa)/nibble fish/kangal fish/reddish log sucker/
ガランタミン /(n) galanthamine/
ガランティン /(n) galantine/
ガリ /(n) (1) gully/
ガリ /(n) sliced ginger prepared in vinegar (served with sushi)/pickled ginger/
ガリー /(n) (1) gully/(2) galley/
ガリア /(n) Gaul (lat: Gallia)/
ガリア戦記 [ガリアせんき] /(n) History of the Gallic Wars/
ガリウム /(n,adj-no) gallium (Ga)/(P)/
ガリウムひ素半導体 [ガリウムひそはんどうたい] /(n) gallium arsenide semiconductor/
ガリウムヒ素 [ガリウムヒそ] /(n) gallium arsenide (GaAs)/
ガリウム砒素 [ガリウムひそ] /(n) gallium arsenide (GaAs)/
ガリウム砒素リン [ガリウムひそリン] /(n) (comp) Gallium Arsenide Phosphide/GaAsP/
ガリウム砒素半導体 [ガリウムひそはんどうたい] /(n) gallium arsenide semiconductor/
ガリガリ /(adj-na,n) (1) (uk) skin and bones/appearing to be underweight/(adv) (2) with a grinding, crunching, scratching (sound)/(3) desperately/recklessly/(adj-no) (4) crunchy hardness/(5) selfishness/selfish person/
ガリセン /(n) person physically attracted to thin people/
ガリバー /(n) (1) Gulliver/(2) preeminent example of its kind/(P)/
ガリバー商品 [ガリバーしょうひん] /(n) outstanding product/market leader/
ガリバルディ /(n) Garibaldi damselfish (Hypsypops rubicundus, damselfish found from Monterey Bay California to Guadalupe Island Baja California)/official state marine fish of California/
ガリレイ衛星 [ガリレイえいせい] /(n) Galilean satellites/
ガリレイ式望遠鏡 [ガリレイしきぼうえんきょう] /(n) Galilean telescope/
ガリレオ /(n) Galileo/(P)/
ガリレオ衛星 [ガリレオえいせい] /(n) Galilean satellites/
ガル /(n) gal (unit of gravitational acceleration)/
ガルソン /(n) (1) boy/(2) male waiter (fre: garcon)/
ガルソンヌ /(n) boyish girl (fre: garconne)/
ガルニ /(n) (abbr) garniture (fre:)/
ガルニチュール /(n) garniture/
ガルバノメーター /(n) galvanometer/
ガルバンソ /(n) garbanzo (spa:)/
ガルフサージャンフィッシュ /(n) Gulf surgeonfish (Acanthurus randalli, species of tang found in Florida and northeastern Gulf of Mexico)/
ガルフサージョンフィッシュ /(n) Gulf surgeonfish (Acanthurus randalli, species of tang found in Florida and northeastern Gulf of Mexico)/
ガレー /(n) galley/
ガレージ /(n) garage (at house)/(P)/
ガレージキット /(n) small scale production model kit (e.g. for figurines) (wasei: garage kit)/
ガレージセール /(n) garage sale/
ガレオン /(n) galleon/
ガレキ /(n) (abbr) small scale production model kit (e.g. for figurines)/
ガレリー /(n) gallery/
ガロア理論 [ガロアりろん] /(n) Galois theory/
ガロップ /(n) (1) galop (dance)/
ガロン /(n) gallon/(P)/
ガロン瓶 [ガロンびん] /(n) gallon bottle/three litre glass bottle used for pharmaceuticals/
ガン /(n) gun/(P)/
ガンガン /(adv,vs) (col) (on-mim) sound of large bell/sound of scolding voice/(pounding of) headache/intense/(P)/
ガンガン食べる [ガンガンたべる] /(exp,v1) (sl) to pig out/to chow down/
ガンギエイ /(n) (uk) skate (Rajinidae spp., esp. the Kwangtung skate, Dipturus kwangtungensis)/
ガンギレ /(n,vs) (sl) losing one's cool/blowing one's top/
ガンクラブチェック /(n) gunclub check/
ガンクロ /(n) darkly tanned face (fashionable among trendy young people ca. 1999-2000)/
ガングリオシド /(n) ganglioside/
ガングリオン /(n) ganglion/
ガンシクロビル /(n) ganciclovir/
ガンショップ /(n) gun shop/
ガンジスメジロザメ /(n) Ganges shark (Glyphis gangeticus, rare species of fresh water requiem shark that dwells in the rivers of India)/
ガンジスメジロザメ属 [ガンジスメジロザメぞく] /(n) Glyphis (genus containing 5 known species of secretive true river sharks in the family Carcharhinidae)/
ガンディー /(n) Ghandi/
ガントチャート /(n) Gantt chart/
ガントリークレーン /(n) gantry crane/
ガントレット /(n) gauntlet/
ガンナー /(n) gunner/
ガンニー /(n) gunny/
ガンバリズム /(n) attitude that one must keep going no matter what (wasei: gambarism)/
ガンビール /(n) gambir (species of climbing plant, Uncaria gambir) (dut:)/gambier/
ガンビア共和国 [ガンビアきょうわこく] /(n) Republic of the Gambia/
ガンビア川 [ガンビアがわ] /(n) Gambia/
ガンピ /(n) (1) (uk) Diplomorpha sikokiana (species of flowering plant)/(2) (abbr) paper made from the fibre of this plant/
ガンピ /(n) (uk) Lychnis coronata/
ガンファイター /(n) gunfighter/
ガンファイト /(n) gunfight/
ガンブー /(adj-na) (1) (derog) (sl) ugly mug/(n) (2) gambuh (Balinese traditional dance)/
ガンプラ /(n) (abbr) Gundam plastic models/
ガンベルト /(n) gun belt/
ガンボ /(n) gumbo/okra/
ガンボージ /(n) gamboge/
ガンボージの木 [ガンボージのき] /(n) (obsc) gamboge tree/
ガンマアミノ酪酸 [ガンマアミノらくさん] /(n) gamma-aminobutyric acid (GABA)/
ガンマイク /(n) (comp) shotgun microphone/
ガンマグロブリン /(n) gamma globulin/
ガンマニア /(n) gun mania/
ガンマフィールド /(n) gamma field/
ガンマランプ /(n) (comp) gamma ramp/
ガンマン /(n) gunman/
ガンマ線 [ガンマせん] /(n,adj-no) gamma rays/
ガンマ補正 [ガンマほせい] /(n) (comp) gamma correction/
ガンマ崩壊 [ガンマほうかい] /(n) gamma decay/
ガンメタル /(n) gunmetal/
ガン見 [ガンみ] /(n,vs) (sl) glaring look/giving the stink eye/
ガン告知 [ガンこくち] /(n) cancer notification/
ガン寝 [ガンね] /(n) fast asleep/bombed/crashed/
ガン切れ [ガンぎれ] /(n,vs) (sl) losing one's cool/blowing one's top/
ガ行 [ガぎょう] /(n) classification for Japanese verb with the dictionary form ending in "gu"/"ga" column or row of the kana syllabary/
ガ目 [ガもく] /(n) Lepidoptera/
キー /(n) (1) key/(2) long squealing sound/(P)/
キーアサイン /(n) (comp) key assign/
キーアドバイザー /(n) key advisor/key adviser/
キーイン /(n) (comp) key in/
キーインダストリー /(n) key industry/
キーウィ /(n) (1) kiwi/(2) kiwi fruit/
キーウィー /(n) (1) kiwi/(2) kiwi fruit/
キーウェブクリエイタ /(n) (comp) KeyWeb Creater/
キーエスキューエル /(n) (comp) KeySQL/
キーエスクロー /(n) (comp) key escrow/
キーカスタマイズ /(n) (comp) key customize/
キーカレンシー /(n) key currency/
キーキー /(adv) (on-mim) creak/squeak/
キークラブ /(n) key club/
キーコード /(n) (comp) key code/
キーシム /(n) keysym/key-symbol/
キーステーション /(n) key station/(P)/
キーストーン /(n) keystone/
キーストーンコンビ /(n) (abbr) keystone combination/
キーストーンコンビネーション /(n) keystone combination/
キーストローク /(n) (comp) key-stroke/
キーセン /(n) Korean female entertainer (kor: gi-saeng)/
キータイトル /(n) (comp) key title/
キータッチ /(n) (comp) key-touch/
キーテクノロジー /(n) (comp) key technology/
キーディスク /(n) (comp) key disk/
キートップ /(n) (comp) keytop/
キーノー /(n) keno/
キーノート /(n) keynote/
キーバインド /(n) (comp) key binding/
キーバッファ /(n) (comp) key buffer/
キーパー /(n) keeper/(P)/
キーパーソン /(n) key person/
キーパーチャージ /(n) keeper charge/
キーパッド /(n) (comp) keypad/
キーパンチ /(n) key punch/
キーパンチャー /(n) key puncher/
キーパンチヤー /(n) keypuncher/
キーフィーチャ /(n) (comp) key feature/
キーフィールド /(n) (comp) key field/
キーフレーム /(n) (comp) key frame/
キープ /(n,vs) (1) keep/(n) (2) quipu/quippu/(P)/
キープアライブ /(n) (comp) keep-alive/
キープアライブメッセージ /(n) (comp) keep alive message/
キープサンプル /(n) reference sample (wasei: keep sample)/
キープボットル /(n) bottle of whiskey (whisky) that a bar customer buys, writes his name on, keeps on a shelf at the bar, and drinks little by little on successive visits (wasei: keep bottle)/
キーベッド /(n) key bed/
キーホール /(n) keyhole/
キーホールジャーナリズム /(n) keyhole journalism/
キーホルダー /(n) (1) key chain (wasei: key holder)/(2) key ring (encryption)/(P)/
キーボード /(n) keyboard/(P)/
キーボードのデザイン /(n) (comp) keyboard design/
キーボードの配置 [キーボードのはいち] /(n) (comp) keyboard layout/
キーボードエンハンサ /(n) (comp) keyboard enhancer/
キーボードショートカット /(n) (comp) keyboard shortcut/
キーボードテンプレート /(n) (comp) keyboard template/
キーボードバッファ /(n) (comp) keyboard buffer/
キーボードパスワード /(n) (comp) keyboard password/
キーボードプログラム入力式計算器 [キーボードプログラムにゅうりょくしきけいさんき] /(n) (comp) calculator with keyboard program input/
キーボードヘルプ /(n) (comp) keyboard help/
キーボードマクロ /(n) (comp) keyboard macro/
キーボードリセット /(n) (comp) keyboard reset/
キーボードロック /(n) (comp) keyboard lock/
キーボード及び外部プログラム入力式計算器 [キーボードおよびがいぶプログラムにゅうりょくしきけいさんき] /(n) (comp) calculator with keyboard and external program input/
キーボード制御式のアドレス指定可能な記憶域をもつ計算器 [キーボードせいぎょしきのアドレスしていかのうなきおくいきをもつけいさんき] /(exp) (comp) calculator with keyboard controlled addressable storage/
キーボード制御装置 [キーボードせいぎょそうち] /(n) (comp) keyboard controller/
キーボード入力 [キーボードにゅうりょく] /(n) (comp) keyboard input/
キーポイント /(n) key point/the key/(P)/
キーマーケット /(n) key market/
キーマクロ /(n) (comp) key macro/
キーマップ /(n) key-map/
キーマン /(n) keyman/(P)/
キーライト /(n) key light/
キーリカバリー /(n) (comp) key recovery/
キーリピート /(n) (comp) key repeat/
キーリング /(n) (comp) key ring (encryption)/
キール /(n) keel/(P)/
キーレスエントリー /(n) keyless entry/
キーレセプタクル /(n) (comp) key receptacle/
キーロガー /(n) (comp) software used to note content typed (typically to steal passwords) (wasei: key logger)/
キーワード /(n) keyword/buzzword/catch-phrase/(P)/
キーワードサーチ /(n) (comp) keyword search/
キーワード検索 [キーワードけんさく] /(n) (comp) keyword search/
キーンコーンカーンコーン /(n) bing-bong bang-bong (Big Ben chimes, used as a bell in Japanese schools)/
キー割り当て [キーわりあて] /(n) (comp) key assignment/
キー割当 [キーわりあて] /(n) (comp) key assignment/
キー局 [キーきょく] /(n) key station/
キー候補 [キーこうほ] /(n) (comp) candidate key/
キー順データセット [キーじゅんデータセット] /(n) (comp) KSDS/Key-Sequenced Data Set/
キー照合 [キーしょうごう] /(n) (comp) key matching/
キー入力 [キーにゅうりょく] /(n) (comp) key (input)/
キー入力検証 [キーにゅうりょくけんしょう] /(n) (comp) keystroke verification/
キー入力待ち [キーにゅうりょくまち] /(n) (comp) waiting for key-in/
キアイ /(n) (1) (uk) anil indigo (Indigofera suffruticosa)/(2) (uk) Assam indigo (Strobilanthes cusia)/
キアシシギ /(n) (uk) grey-tailed tattler (species of sandpiper, Heteroscelus brevipes)/
キアズマ /(n) chiasma/chiasmata/
キアロスクーロ /(n) chiaroscuro (ita:)/
キィキィ /(adv) (on-mim) creak/squeak/
キイキイ /(adv) (on-mim) creak/squeak/
キイチゴ /(n) (uk) raspberry (any plant of genus Rubus, esp. Rubus palmatus var. coptophyllus)/
キイロオオトカゲ /(n) yellow monitor (Varanus flavescens, species of asian carnivorous monitor lizard found in India, Pakistan, Nepal and Bangladesh)/
キイロショウジョウバエ /(n) (uk) Drosophila melanogaster (species of fruit fly)/
キイロスズメバチ /(n) (uk) yellow hornet (Vespa simillima xanthoptera, subspecies of the Japanese hornet, Vespa simillima)/
キイロハギ /(n) yellow tang (Zebrasoma flavescens, species of Pacific tang)/
キウィ /(n) (1) kiwi/(2) kiwi fruit/
キウイ /(n) (1) kiwi/(2) kiwi fruit/(P)/
キウイフルーツ /(n) kiwi fruit/
キオスク /(n) kiosk/(P)/
キオスクモード /(n) (comp) KIOSK mode/
キオスズメダイ /(n) sunshinefish (Chromis insolata)/olive chromis/
キオビスズメダイ /(n) whitebar gregory (Stegastes albifasciatus)/
キオビホオナガスズメバチ /(n) (uk) median wasp (Dolichovespula media)/
キクイタダキ /(n) (uk) goldcrest (species of passerine bird, Regulus regulus)/
キクイムシ /(n) (1) (uk) bark beetle (Scolytidae spp.)/(2) gribble (Limnoria lignorum)/
キクイモ /(n) (uk) Jerusalem artichoke (Helianthus tuberosus)/topinambur/girasol/girasole/
キクヂシャ /(n) (uk) endive (Cichorium endivia)/escarole/
キク科 [キクか] /(n) (uk) Asteraceae, Compositae (plant family)/aster family/daisy family/sunflower family/
キケロ /(n) Cicero/
キササゲ /(n) (uk) yellow catalpa (Catalpa ovata)/Chinese catalpa/
キサンチン /(n) xanthine/
キサントフィル /(n) xanthophyll/
キシャヤスデ /(n) (uk) Parafontaria laminata (species of millipede)/
キシュ /(n) quiche (fre:)/
キショイ /(adj-f) (sl) feel sick/(something is) weird/
キシラン /(n) xylan/
キシリトール /(n) xylitol (artificial sweetener)/artificial wood sugar (xylose)/
キシリトル /(n) xylitol (artificial sweetener)/artificial wood sugar (xylose)/
キシレン /(n) xylene/
キシロース /(n) xylose/
キシロール /(n) xylol/
キジ /(n) (uk) green pheasant (Phasianus versicolor)/Japanese pheasant/
キジカクシ /(n) (uk) Asparagus schoberioides/
キジハタ /(n) (uk) red-spotted grouper (species of fish, Epinephelus akaara)/Hong Kong grouper/
キジバト /(n) (uk) Oriental turtle dove (Streptopelia orientalis)/eastern turtle dove/rufous turtledove/
キジラミ /(n) (uk) psylla (any insect of family Psyllidae)/psyllid/jumping plant louse/
キジ科 [キジか] /(n) Phasianidae (pheasant family of birds)/
キジ目 [キジもく] /(n) Galliformes (galliform order of birds)/
キス /(n) (uk) sillago (any fish of genus Sillago, esp. the Japanese whiting, Sillago japonica)/
キス /(n,vs) kiss/(P)/
キスアンドライド /(n) kiss-and-ride/dropping family member off at a station/
キスカール /(n) kiss curl/spit curl/
キスシーン /(n) kiss scene/
キスジアカボウ /(n) Polylepion russelli (species of wrasse)/
キスジゲンロクダイ /(n) goldengirdled coralfish (Coradion chrysozonus)/orangebanded coralfish/
キスマーク /(n) (1) lipstick mark (wasei: kiss mark)/(2) love bite/hickey/passion mark/
キズイセン /(n) (uk) jonquil (Narcissus jonquilla)/
キセキレイ /(n) (uk) grey wagtail (Motacilla cinerea)/gray wagtail/
キセニア /(n) xenia/
キセノン /(n) xenon (Xe)/
キセノンアークランプ /(n) Xenon arc lamp/
キセノンランプ /(n) Xenon lamp/
キセル /(n) (1) (tobacco) pipe with metal tipped stem (khm: khsier)/(2) stolen train ride (only paying a local fare each end)/
キタカワヒメマス /(n) Arctic grayling (Thymallus arcticus arcticus)/
キタキツネ /(n) Ezo red fox (Vulpes vulpes schrencki)/
キタタキ /(n) (uk) white-bellied woodpecker (Dryocopus javensis)/
キタテハ /(n) (uk) Asian comma butterfly (Polygonia c-aureum)/
キタマクラ /(n) (1) lying with one's head to the north (trad. position for dead bodies; taboo for sleeping)/(2) (uk) brown-lined puffer (species of pufferfish, Canthigaster rivulata)/
キタラ /(n) kithara (ancient Greek musical instrument) (gre:)/cithara/
キタリス /(n) (uk) red squirrel (Sciurus vulgaris)/
キダイ /(n) (uk) yellowback sea bream (Dentex tumifrons)/
キダチヒャクリコウ /(n) (obsc) thyme/
キチ /(n-suf) (sl) mania/enthusiasm/maniac/enthusiast/nut/
キチキチ /(adj-na,adv-to,n) (1) (on-mim) jam-packed (physically or of schedule, etc.)/(2) (used to denote a) grinding noise/(3) precisely/correctly (e.g. when working, etc.)/(n) (4) acrida cinerea/oriental longheaded locust/
キチキチバッタ /(n) (1) (uk) (col) male Oriental longheaded locust (Acrida cinerea)/(2) (obs) Gonista bicolor (species of grasshopper resembling the Oriental longheaded locust)/
キチジ /(n) (uk) broadbanded thornyhead/broadfin thornyhead/kichiji rockfish (Sebastolobus macrochir)/
キチョウ /(n) (1) (uk) large grass yellow (species of butterfly, Eurema hecabe)/common grass yellow/(2) yellow butterfly/
キチン /(n) (1) kitchen/(2) chitin/
キチンのサイクル /(n) Kitchin cycle/
キッカー /(n) kicker (soccer, football, rugby, etc.)/
キック /(n,vs) kick/(P)/
キックアウト /(n) kickout/
キックアンドラッシュ /(n) kick and rush/
キックオフ /(n) kickoff/(P)/
キックスターター /(n) kick starter/
キックステップ /(n) kick step (mountaineering technique)/
キックターン /(n) kick turn/
キックドラム /(n) kick drum/
キックバック /(n) kickback/
キックボール /(n) kickball/
キックボクシング /(n) kickboxing/kick-boxing/(P)/
キッシュ /(n) quiche (fre:)/
キッシング・グラミー /(n) kissing gourami (Helostoma temmincki)/kissing fish/
キッシンググラミー /(n) kissing gourami (Helostoma temmincki)/kissing fish/
キッス /(n,vs) kiss/
キッズ /(n) kids/children/
キッズカフェ /(n) restaurant with a play area for children (wasei: kids' cafe)/
キッズビジネス /(n) kids' business/(P)/
キッズルーム /(n) kids' room/
キッチュ /(adj-na,n) kitsch (ger:)/
キッチン /(n) (1) kitchen/(P)/
キッチンウエア /(n) kitchenware/
キッチンキャビネット /(n) kitchen cabinet/
キッチンドリンカー /(n) kitchen drinker/
キッチンプログラマー /(n) kitchen programmer/
キッチンペーパー /(n) paper towel (wasei: kitchen paper)/
キット /(n) kit/(P)/
キッド /(n) kid/(P)/
キッパー /(n) kipper (i.e. kippered fish)/
キップ /(n) kip/(P)/
キツツキ /(n) (uk) woodpecker/
キツネ /(n) (1) fox (esp. the red fox, Vulpes vulpes)/(2) fox (i.e. a sly person)/(3) soba or udon topped with deep-fried tofu/(4) (abbr) light brown/
キツネザル /(n) (uk) lemur/
キツネダイ /(n) Bodianus oxycephalus (species of hogfish)/
キツネナス /(n) (uk) nipplefruit (Solanum mammosum)/apple of Sodom/titty fruit/cow's udder/
キツネベラ /(n) Hawaiian hogfish (Bodianus albotaeniatus)/tarry hogfish (Bodianus bilunulatus)/saddleback hogfish (Bodianus bilunulatus)/
キツネホシザメ /(n) smalleye smooth-hound (Mustelus higmani, species of houndshark from the western Atlantic)/
キヅタ /(n) (uk) Hedera rhombea (species of ivy)/
キテレツ /(adj-na,n) very strange/odd/queer/
キディ /(n) kiddie/kiddy/
キディー /(n) kiddie/kiddy/
キトン /(n) chiton (gre:)/
キドニー /(n) kidney/
キドニーパイ /(n) kidney-pie/
キドニーパンチ /(n) (obsc) kidney punch/
キナーゼ /(n) kinase/
キナクリン /(n) quinacrine (antimalarial)/
キナプリル /(n) quinapril/
キナ皮 [キナひ] /(n) cinchona bark/
キニーネ /(n) quinine (dut: kinine)/
キニク学派 [キニクがくは] /(n) Cynic school (of philosophy)/
キニジン /(n) quinidine/
キニン /(n) quinine/
キヌゲネズミ /(n) (uk) (obsc) hamster (any rodent of subfamily Cricetinae)/
キヌザル /(n) (uk) (obsc) common marmoset (Callithrix (Callithrix) jacchus)/
キヌヒカリ /(n) Kinuhikari (variety of rice)/
キヌベラ /(n) surge wrasse (Thalassoma purpureum)/
キネシオロジー /(n) kinesiology/(P)/
キネシクス /(n) kinesics/
キネスコープ /(n) kinescope/
キネチン /(n) kinetin/
キネティックアート /(n) kinetic art/
キネトスコープ /(n) kinetoscope/
キネマ /(n) (abbr) kinema/
キネマトグラフ /(n) kinematograph/
キノア /(n) quinoa/
キノコ /(n) mushroom/(P)/
キノドン類 [キノドンるい] /(n) cynodonts/
キノノゲシ /(n) Indian lettuce (Lactuca indica)/
キノホルム /(n) chinoform/(P)/
キノボリウオ /(n) (uk) climbing perch (esp. of genus Anabas)/
キノボリウオ亜目 [キノボリウオあもく] /(n) Anabantoidei (suborder of the order Perciformes known as labyrinth fish that are defined by having an accessory breathing organ for respiration in air)/
キノボリトカゲ /(n) (uk) Ryukyu tree lizard (Japalura polygonata)/
キノリン /(n) quinoline/
キノン /(n) quinone/
キハギ /(n) (uk) Lespedeza buergeri (species of bush clover)/
キハダ /(n) (uk) Amur cork tree (Phellodendron amurense)/
キハダ /(n) (uk) yellowfin tuna (Thunnus albacares)/
キハダマグロ /(n) (uk) yellowfin tuna (Thunnus albacares)/
キハチス /(n) (uk) rose of Sharon (Hibiscus syriacus)/
キバウミニナ /(n) (uk) mud creeper (Terebralia palustris)/
キバシヒワ /(n) (uk) twite (species of finch, Carduelis flavirostris)/
キバシリ /(n) (uk) common treecreeper (species of songbird, Certhia familiaris)/
キバソフト /(n) (comp) KIVASOFT/
キビ /(n) (uk) (common) millet (Panicum miliaceium)/proso millet/
キビタキ /(n) (uk) narcissus flycatcher (Ficedula narcissina)/
キビナゴ /(n) (uk) silver-stripe round herring (Spratelloides gracilis)/
キビレボウズハギ /(n) slender unicorn (Naso minor, species of Indo-West Pacific tang found from Mozambique to the Philippines)/blackspine unicornfish/little unicorn/
キブアンドテーク /(exp) give-and-take/
キブシ /(n) early spiketail (species of flowering plant, Stachyurus praecox)/
キブツ /(n) kibbutz/
キプロス /(n) Cyprus/
キヘリキンチャクダイ /(n) black-velvet angelfish (Chaetodontoplus melanosoma)/
キホシスズメダイ /(n) yellow-spotted chromis (Chromis flavomaculata)/
キホシヤッコ /(n) French angelfish (Pomacanthus paru)/
キボシマルトビムシ /(n) (uk) garden springtail (Bourletiella hortensis)/
キボンヌ /(n) (sl) hope/wish/aspiration/
キマイラ /(n) (1) chimera (mythological)/chimaera/
キマメ /(n) (uk) pigeon pea (Cajanus cajan)/
キミミダレミツスイ /(n) (uk) yellow wattlebird (Anthochaera paradoxa)/
キムタク /(n) (abbr) Kimura Takuya/
キムラグモ /(n) (uk) Heptathela kimurai (species of burrowing spider)/
キメラ /(n) (1) chimera (mythological)/chimaera/(2) chimera (biological)/chimaera/(P)/
キメラマウス /(n) chimeric mouse/
キメ顔 [キメがお] /(n) (sl) posed look (sexy face, etc.)/
キモい /(adj-i) (sl) (abbr) gross/disgusting/
キモカワイイ /(adj-f) (sl) (col) being both repellant and attractive at the same time/being both cute and disgusting/
キモグラフ /(n) kymograph/
キモシン /(n) chymosin/
キモトリプシン /(n) chymotrypsin/
キモメン /(n) (sl) repulsive man/
キモ可愛い [キモかわいい] /(adj-f) (sl) (col) being both repellant and attractive at the same time/being both cute and disgusting/
キャスク /(n) cask/
キャスター /(n) (1) caster/(2) (abbr) newscaster/(P)/
キャスターバッグ /(n) roller bag (wasei: caster bag)/wheelie bag/
キャスチング /(n) casting/
キャスチングボート /(n) casting vote/
キャスチングリール /(n) casting reel/
キャスティング /(n) casting/(P)/
キャスティングボート /(n) casting vote/
キャステリャ /(n) Castilian/
キャスト /(n,vs) cast/(P)/
キャスリング /(n) castling/
キャセイ /(n) Cathay (Airline)/(P)/
キャセロール /(n) casserole (fre:)/
キャタストロフィ /(n) catastrophe/
キャタピラ /(n) caterpillar/endless track/
キャタピラー /(n) caterpillar/endless track/(P)/
キャッ /(int) shriek/scream/
キャッサバ /(n) cassava (Manihot esculenta)/manioc/tapioca/
キャッシャー /(n) cashier/
キャッシュ /(n) (1) cache/(2) cash/(P)/
キャッシュオンデリバリー /(n) cash on delivery/COD/
キャッシュカード /(n) cash card/ATM card/(P)/
キャッシュコーナ /(n) (comp) automatic teller machine/
キャッシュコントローラ /(n) (comp) cache controller/
キャッシュサービスコーナー /(n) automatic teller machine (wasei: cash-service corner)/ATM/flexi-teller/hole-in-the-wall/
キャッシュディスク /(n) (comp) cache disk/
キャッシュディスペンサ /(n) cash dispenser/
キャッシュディスペンサー /(n) cash dispenser/
キャッシュバック /(n) cash-back/rebate/
キャッシュファイル /(n) (comp) cache file/
キャッシュフロー /(n) cash flow/
キャッシュブック /(n) cashbook/
キャッシュプラグイン /(n) (comp) cache plug-in/
キャッシュベルト /(n) money belt (wasei: cash belt)/
キャッシュボックス /(n) cashbox/
キャッシュマシン /(n) cash machine/automatic teller machine/
キャッシュメモリ /(n) (comp) cache memory/
キャッシュメモリー /(n) (comp) cache memory/
キャッシュメモリ機構 [キャッシュメモリきこう] /(n) (comp) cache memory organization/
キャッシュライタ /(n) (comp) cache writer/
キャッシュレジスター /(n) cash register/
キャッシュレス /(adj-f) cashless/
キャッシュレスシステム /(n) cashless system/
キャッシュレスソサイティー /(n) cashless society/
キャッシュレスチェックレスソサイティ /(n) cashless checkless society (chequeless)/
キャッシュレス社会 [キャッシュレスしゃかい] /(n) cashless society/
キャッシュ記憶装置 [キャッシュきおくそうち] /(n) (comp) cache storage/
キャッシング /(n) (1) caching/(2) cashing/(3) taking out small loans/(P)/
キャッスル /(n) (1) castle/(2) (comp) Compact Application Solution Language/CASL/
キャッチ /(n,vs) catch/(P)/
キャッチー /(adj-na) catchy/
キャッチアップ /(n) catch-up/
キャッチアンドリリース /(n) catch and release (fishing)/
キャッチコピー /(n) catch copy (in copywriting, large text that appears in ads or brochures to catch the reader's attention)/
キャッチセールス /(n) unscrupulous sales practice involving expensive hard-to-break contracts (practise) (wasei: catch sales)/
キャッチバー /(n) catch bar/
キャッチフレーズ /(n) catchphrase/(P)/
キャッチホン /(n) call waiting (wasei: catch phone)/
キャッチボール /(n) playing catch (wasei: catch ball)/
キャッチャー /(n) catcher/(P)/
キャッチャーボート /(n) catcher (whaling boat)/
キャッチワード /(n) catchword/
キャッツ /(n) cats (esp. the musical: Cats)/
キャッツアイ /(n) (1) cat's-eye (semiprecious stone)/(2) cat's-eye (light-reflecting road stud)/(P)/
キャット /(n) cat/
キャットウォーク /(n) catwalk/(P)/
キャットウオーク /(n) catwalk/
キャットタン /(n) (sl) unable to take (thermally) hot food (wasei: cat tongue)/have a tongue too sensitive to heat/
キャットフード /(n) cat food/
キャットボンド /(n) cat bond/catastrophe bond/
キャッピング /(n) capping/
キャップ /(n) (1) cap/(2) top reporter at a newspaper's local office/(3) (abbr) captain/(P)/
キャップスリーブ /(n) cap sleeve/
キャップハイト /(n) (comp) cap height/
キャップハンディ /(n) empathetically putting oneself in the place of a handicapped person (wasei: cap handy)/
キャップライト /(n) cap light/
キャップライン /(n) (comp) capline/
キャップランプ /(n) cap lamp/
キャップレス /(n) capless/
キャップロック /(n) cap rock/
キャディ /(n) (comp) caddy/
キャディー /(n) caddie/caddy/(P)/
キャディーバッグ /(n) caddie bag/caddy bag/
キャデラック /(n) Cadillac/
キャドキャム /(n) (comp) CAD-CAM/
キャニオン /(n) canyon/
キャニスター /(n) canister/
キャノーラ /(n) Canola (oil)/
キャノピー /(n) canopy/
キャノン /(n) cannon/
キャノンボール /(n) cannonball/
キャノン砲 [キャノンほう] /(n) cannon/
キャバクラ /(n) (abbr) cabaret club/
キャバクラ嬢 [キャバクラじょう] /(n) female cabaret club employee/
キャバレー /(n) cabaret (fre:)/(P)/
キャバ嬢 [キャバじょう] /(n) female cabaret club employee/
キャパ /(n) (abbr) capacity/
キャパシタ /(n) (comp) capacitor/
キャパシター /(n) capacitor/
キャパシタンス /(n) capacitance/
キャパシティ /(n) capacity/
キャパシティー /(n) capacity/
キャパシティプランニング /(n) (comp) capacity planning/
キャビア /(n) caviar/caviare/(P)/
キャビテーション /(n) cavitation/
キャビネ /(n) cabinet (fre:)/
キャビネット /(n) cabinet/housing (of equipment)/(P)/
キャビネットの筺体 [キャビネットのきょうたい] /(n) (comp) cabinet enclosure/
キャビネットアラーム /(n) (comp) cabinet alarm/
キャビネットタイプ /(n) (comp) cabinet type/
キャビネットファイル /(n) (comp) cabinet file/
キャビネットフレーム /(n) (comp) cabinet frame/
キャビネットフロントドア /(n) (comp) cabinet front door/
キャビネットモニタコントローラ /(n) (comp) cabinet monitoring controller/
キャビネットモニタリング /(n) (comp) cabinet monitoring/
キャビネットルーフ /(n) (comp) cabinet roof/
キャビネット環境 [キャビネットかんきょう] /(n) (comp) cabinet environment/
キャビネット筺体 [キャビネットきょうたい] /(n) (comp) cabinet enclosure/
キャビネ判 [キャビネばん] /(n) cabinet size/
キャビン /(n) cabin/(P)/
キャビンアテンダント /(n) cabin attendant/
キャピタリズム /(n) capitalism/(P)/
キャピタル /(n) capital/
キャピタルゲイン /(n) capital gain/(P)/
キャピタルベース /(n) capital base/
キャピタルリスク /(n) capital risk/
キャピタルレター /(n) capital letter/
キャピタルロス /(n) capital loss/
キャピトル /(n) (1) capital/(2) capitol/
キャフィス /(n) (comp) CAFIS/
キャフェ /(n) (1) cafe (fre:)/(2) hostess bar (serving western alcoholic beverages; Taisho and Showa period)/
キャフェテリア /(n) cafeteria/
キャブタイヤケーブル /(n) cab-tyre cable/
キャブレター /(n) carburetor/carburettor/carburator/carburetter/(P)/
キャプション /(n) caption/legend/cutline/(P)/
キャプスタン /(n) capstan/
キャプスロック /(n) (comp) Caps Lock/
キャプスロックキー /(n) (comp) Caps Lock key/caps lock key/
キャプチャ /(n,vs) (1) capture/(n) (2) (abbr) CAPTCHA/Completely Automated Public Turing test to tell Computers and Humans Apart/
キャプチャー /(n,vs) (1) capture/
キャプチャデバイス /(n) (comp) capture device/
キャプチャバッファ /(n) (comp) capture buffer/
キャプテン /(n) captain/(P)/
キャプテンシステム /(n) Character and Pattern Telephone Access Information System/CAPTAIN System/
キャプテンジャケット /(n) captain jacket/
キャプリーヌ /(n) capeline/
キャベツ /(n) cabbage/(P)/
キャペリン /(n) capelin/caplin (Mallotus villosus)/
キャミソール /(n) camisole/
キャメラ /(n) camera/
キャメル /(n) camel/(P)/
キャラ /(n) (abbr) character (e.g. in a manga, anime, game, etc.)/
キャラウェー /(n) caraway/
キャラウエー /(n) caraway/
キャラクタ /(n) character/
キャラクター /(n) character/(P)/
キャラクターコード /(n) (comp) character code/
キャラクターディスプレー /(n) character display/
キャラクタイメージ /(n) (comp) character image/
キャラクタコード /(n) (comp) character code/
キャラクタジェネレータ /(n) (comp) character generator/
キャラクタセット /(n) (comp) character set/
キャラクタセル /(n) (comp) character cell/
キャラクタディスプレイ /(n) (comp) character display/
キャラクタデバイス /(n) (comp) character device/
キャラクタフォーマット /(n) (comp) character format/
キャラクタプリンタ /(n) (comp) character printer/
キャラクタベース /(n) (comp) character based/
キャラクタマップ /(n) (comp) character map/
キャラクタ集合 [キャラクタしゅうごう] /(n) (comp) character set/
キャラクタ定義テーブル [キャラクタていぎテーブル] /(n) (comp) character definition table/
キャラコ /(n,adj-no) calico/
キャラバン /(n) (1) caravan/(2) group of people touring to sell, investigate, etc./(P)/
キャラバンカー /(n) van or truck with a display, retail, etc. facility (wasei: caravan car)/mobile showroom/
キャラバンサライ /(n) caravansary/
キャラバンシューズ /(n) light mountain-climbing shoes (wasei: caravan shoes)/
キャラベル /(n) caravel/
キャラメル /(n) caramel (por: caramelo)/(P)/
キャリー /(n) (comp) carry/(P)/
キャリーオーバー /(n) carry-over/
キャリートレード /(n) carry-trade/
キャリーバック /(n) (1) large bag with handles/carry bag/(2) small case with wheels/(3) bringing the ball back to one's own position (rugby) (wasei: carry back)/
キャリービット /(n) (comp) carry bit/
キャリー商品 [キャリーしょうひん] /(n) leftover stock/carry-over stock/
キャリア /(n) (1) career/(2) career government employee/(3) carrier/(P)/
キャリアー /(n) (1) career/(2) career government employee/(3) carrier/
キャリアを積む [キャリアをつむ] /(exp,v5m) to build one's career/
キャリアウーマン /(n) career woman/
キャリアガール /(n) career girl/
キャリアコード /(n) (comp) carrier code/
キャリアサイド /(n) (comp) carrier-side/
キャリアセンス /(n) (comp) carrier sense/
キャリアディテクト /(n) (comp) carrier detect/CD/
キャリアトーン /(n) carrier tone/
キャリア検出 [キャリアけんしゅつ] /(n) (comp) carrier detect/
キャリア検知 [キャリアけんち] /(n) (comp) carrier sense/
キャリア検地 [キャリアけんち] /(n) (comp) carrier detect/carrier sense/
キャリア検地多重アクセス衝突回避ネットワーク [キャリアけんちたじゅうアクセスしょうとつかいひネットワーク] /(n) (comp) carrier sense multiple access with collision avoidance network/CSMA/CA network/
キャリア検地多重アクセス衝突検出ネットワーク [キャリアけんちたじゅうアクセスしょうとつけんしゅつネットワーク] /(n) (comp) carrier sense multiple access with collision detection network/CSMA/CD network/
キャリア組 [キャリアぐみ] /(n) career bureaucrats/
キャリコ /(n) calico/
キャリッジ /(n) carriage/
キャリッジリターン /(n) (comp) carriage return/
キャリパー /(n) caliper/
キャリパス /(n) callipers/calipers/
キャリブレーション /(n) calibration/
キャリブレート /(n,vs) (comp) calibration/
キャリヤ /(n) (comp) carrier/
キャリヤー /(n) (1) career/(2) career government employee/(3) carrier/
キャリングケース /(n) carrying case/
キャリングボール /(n) carrying-ball/
キャルス /(n) (comp) CALS/
キャレット /(n) (comp) caret/
キャロット /(n) (1) carrot/(2) calotte (type of hat) (fre:)/
キャロル /(n) carol/(P)/
キャン /(adv-to) (on-mim) yelp/
キャンキャン /(int) yelp/yap/
キャンギャル /(n) (abbr) model featured in an advertising campaign (wasei: campaign girl)/
キャンサー /(n) cancer/
キャンセラー /(n) canceller/canceler/
キャンセル /(n,vs) (comp) cancel/(P)/
キャンセル待ち [キャンセルまち] /(n) waiting list (waiting for a cancellation)/
キャンセル料 [キャンセルりょう] /(n) cancellation charge/
キャンター /(n) canter/
キャンタロープ /(n) cantaloupe/
キャンティ /(n) Chianti (wine) (ita:)/
キャンデー /(n) candy/sweets/(P)/
キャンディ /(n) candy/sweets/
キャンディー /(n) candy/sweets/
キャンディデート /(n) (comp) candidate/
キャンディデート版 [キャンディデートばん] /(n) (comp) candidate release/
キャンドソフトウェア /(n) (comp) canned software/
キャンドル /(n) candle/(P)/
キャンドルーチン /(n) (comp) canned routine/
キャンドルサービス /(n) candle service/
キャンドルスティック /(n) candlestick/
キャンドルライト /(n) candlelight/
キャンバー /(n) camber/
キャンバス /(n) (1) canvas/(2) base (in baseball)/(P)/
キャンバスワーク /(n) canvas work/
キャンパー /(n) camper/(P)/
キャンパス /(n) campus/(P)/
キャンパスウエア /(n) campus wear/
キャンパスシューズ /(n) campus shoes/
キャンパスバックボーン /(n) (comp) campus backbone/
キャンピング /(n) camping/(P)/
キャンピングカー /(n) mobile home (wasei: camping car)/camper-van/RV/(P)/
キャンピングトレーラー /(n) camping trailer/caravan/
キャンブリック /(n) cambric/
キャンプ /(n,vs) camp/(P)/
キャンプを張る [キャンプをはる] /(exp,v5r) to pitch camp/
キャンプイン /(n) camp in/(P)/
キャンプサイト /(n) camp site/
キャンプファイア /(n) campfire (usually large, and for gathering and singing, etc. around)/
キャンプファイアー /(n) campfire (usually large, and for gathering and singing, etc. around)/
キャンプファイヤー /(n) campfire (usually large, and for gathering and singing, etc. around)/
キャンプ場 [キャンプじょう] /(n) camping-ground/
キャンプ村 [キャンプむら] /(n) campsite/
キャンベラ /(n) Canberra/(P)/
キャンペーン /(n) campaign/(P)/
キャンペーンセール /(n) campaign sale/
キャン待ち [キャンまち] /(n) (abbr) (sl) waiting list (waiting for someone to cancel)/
キヤノン /(n) Canon/(P)/
キュー /(n) (1) queue/(2) cue/(P)/
キューから取り出す [キューからとりだす] /(exp,v5s) (comp) to dequeue/
キューに入れる [キューにいれる] /(exp,v1) (comp) to enqueue/to queue in line/
キューイング /(n) (comp) queuing/
キューイング理論 [キューイングりろん] /(n) (comp) queuing theory/
キューエルディー /(n) (comp) QLD/
キューゴ /(n) (comp) 95/
キュージューゴ /(n) (comp) 95/
キューティー /(n) cutie/
キューティクル /(n) cuticle/
キューティクルクリーム /(n) cuticle cream/
キューティクルリムーバー /(n) cuticle remover/
キュート /(adj-na,n) cute/(P)/
キューハチ /(n) (comp) 98/
キューバ /(n,adj-no) (uk) Cuba/(P)/
キューバリーブレ /(n) cuba libre (cocktail)/
キューバリブレ /(n) cuba libre (cocktail)/
キューバンヒール /(n) Cuban heel/
キューバ革命 [キューバかくめい] /(n) Cuban Revolution/
キューバ危機 [キューバきき] /(n) Cuban Missile Crisis (1962)/
キュービクル /(n) cubicle/
キュービジョン /(n) (comp) Q-Vision/
キュービズム /(n) Cubism (art movement) (fre:)/
キュービック /(n) cubic/
キュービックタイプ /(n) cubic type/
キュービック補間 [キュービックほかん] /(n) (comp) cubic interpolation/
キュービット /(n) (1) cubit/(2) qubit/
キューピー /(n) kewpie doll/
キューピッド /(n) Cupid/(P)/
キューブ /(n) cube/
キューポラ /(n) cupola/
キューレット /(n) curette (fre:)/
キュー末尾 [キューまつび] /(n) (comp) end of a queue/
キュア /(n) cure/
キュイジーヌ /(n) cuisine (fre:)/
キュウカンチョウ /(n) (uk) hill myna (species of mynah bird, Gracula religiosa)/
キュウジュウハチ /(n) (comp) 98/
キュウセン /(n) (uk) multicolorfin rainbowfish (Parajulis poecilepterus, was Halichoeres poecilopterus)/
キュウリ /(n) (uk) cucumber/
キュウリウオ /(n) (uk) rainbow smelt (Osmerus mordax dentex)/
キュビスト /(n) Cubist/
キュビスム /(n) Cubism (art movement) (fre:)/
キュビズム /(n) Cubism (art movement) (fre:)/
キュビット /(n) (1) cubit/(2) qubit/
キュビワノ /(n) cubewano/classical Kuiper belt object/
キュプラ /(n) cupra/
キュプロニッケル /(n) (obsc) cupronickel/
キュポラ /(n) cupola/
キュラソー /(n) curacao (fre:)/
キュリー /(n) curie (unit of radioactivity)/(P)/
キュリー温度 [キュリーおんど] /(n) Curie temperature/
キュリー点 [キュリーてん] /(n) Curie point/
キュリウム /(n) curium (Cm)/
キュリオシティー /(n) curiosity/
キュレーター /(n) curator/(P)/
キュレネ学派 [キュレネがくは] /(n) Cyrenaic school (of philosophy)/
キュロット /(n) culotte (fre:)/(P)/
キュロットスカート /(n) culotte skirt/culottes/
キュンメル /(n) kummel (liqueur flavored with caraway seed or cumin) (ger:)/
キョウジョシギ /(n) (uk) ruddy turnstone (species of sandpiper, Arenaria interpres)/
キョクアジサシ /(n) arctic tern/
キョドる /(v5r,vi) (1) (sl) to act suspiciously/to behave in a strange way/(exp) (2) How are you today?/
キョン /(n) Chinese muntjac (species of barking deer, Muntiacus reevesi)/
キヨスク /(n) kiosk/(P)/
キヨミオレンジ /(n) Kiyomi orange/type of tangor (tangerine-orange hybrid)/Citrus unshiu sinensis/
キラー /(n) killer/(P)/
キラーアプリケーション /(n) (comp) "killer" application/
キラーダスト /(n) killer dust/
キラー衛星 [キラーえいせい] /(n) killer satellite/
キラー細胞 [キラーさいぼう] /(n) killer cell/
キラキラ /(adv,adv-to,vs) (on-mim) glitter/sparkle/glisten/twinkle/
キラッ /(adv-to) (on-mim) glittering/glitteringly/sparkling/twinkling/brightly/
キラメキ /(n) glitter/glimmer/sparkle/twinkle/
キランソウ /(n) (uk) creeping bugleweed (Ajuga decumbens)/
キリギリス /(n) (1) (uk) Japanese katydid (Gampsocleis buergeri)/(2) katydid/bush-cricket (Tettigoniidae)/long-horned grasshopper/(3) (arch) cricket/
キリシタン /(n) (uk) early Japanese Christianity (from the later Muromachi period) (por: cristao)/early Japanese Christian/(P)/
キリシタンパテレン /(n) Christian priest (por: cristao padre)/
キリシタン版 [キリシタンばん] /(n) books printed in Japan by the Jesuits (1590-1612)/
キリスト /(n,adj-no) (uk) Christ (por: Cristo)/(P)/
キリスト教 [キリストきょう] /(n) Christianity/(P)/
キリスト教国 [キリストきょうこく] /(n) Christian countries/
キリスト教式 [キリストきょうしき] /(n) Christian rites/
キリスト教社会主義 [キリストきょうしゃかいしゅぎ] /(n) Christian socialism/
キリスト教徒 [キリストきょうと] /(n) Christians/
キリスト教民主同盟 [キリストきょうみんしゅどうめい] /(n) Christian Democratic Union (Germany)/Christian Democrats/CDU/
キリスト降誕祭 [キリストこうたんさい] /(n) Christmas/
キリリク /(n) (col) lucky-number request (the person who is the Nth visitor to a web site gets to make a request, e.g. for a custom drawing, where N is a special number like 10000)/
キリル /(n) Cyrillic/(P)/
キリル文字 [キリルもじ] /(n) Cyrillic character/
キリン /(n) (1) (uk) giraffe/(2) qilin (Chinese unicorn)/(3) Kirin (brand of beer)/
キリンサイ /(n) (uk) Eucheuma muricatum (species of red algae)/
キリンソウ /(n) (uk) Kamchatka stonecrop (Sedum kamtschaticum)/
キリ番 [キリばん] /(n) good turning point number (10000, 12345 etc., often referring to web site visit counts)/
キル /(n) kill/(P)/
キルギスタン /(n) Kyrgyzstan/
キルク /(n) cork (dut: kurk)/
キルシュ /(n) kirsch (ger: Kirsch)/
キルシュワッサー /(n) kirschwasser (ger: Kirschwasser)/
キルティング /(n) quilting/
キルト /(n) (1) quilt/(2) kilt/
キルヒホッフ /(n) Kirchhoff/(P)/
キルヒホッフの法則 [キルヒホッフのほうそく] /(n) Kirchhoff's law/
キルビメーター /(n) curvimeter (fre:)/(P)/
キレート /(n) chelate/
キレート化合物 [キレートかごうぶつ] /(n) chelate compound/
キレート滴定 [キレートてきてい] /(n) chelatometric titration/
キレる /(v1) (sl) to get angry/to snap/to blow one's top/
キレット /(n) (uk) gap (in a mountain ridge)/
キレネ学派 [キレネがくは] /(n) Cyrenaic school (of philosophy)/
キロ /(pref) (1) kilo- (fre:)/10^3/(n) (2) (abbr) kilogram/kilogramme/(3) (abbr) kilometre/kilometer/(pref) (4) (comp) kilo-/2^10/(P)/
キロアンペア /(n) kiloampere/
キロカロリー /(n) kilocalorie/
キログラムカロリー /(n) kilogram calorie/
キログラム原器 [キログラムげんき] /(n) prototype kilogram/
キログラム重 [キログラムじゅう] /(n) kilogram-weight/kilogramme-weight/
キロトン /(n) kiloton/
キロバイト /(n) (comp) kilobyte/kB/
キロビット /(n) (comp) kilobit/
キロヘルツ /(n) (comp) kilohertz/kHz/
キロメーター /(n) kilometer (mis-spelling) (kilometre)/
キロワット /(n) kilowatt/(P)/
キロワット時 [キロワットじ] /(n) kWh/kilowatt hour/
キロ連量 [キロれんりょう] /(n) weight of 1000 sheets of paper/ream weight/
キワダ /(n) (uk) yellowfin tuna (Thunnus albacares)/
キワダマグロ /(n) (uk) yellowfin tuna (Thunnus albacares)/
キンカジュー /(n) kinkajou (Potos flavus)/
キンカチョウ /(n) (uk) zebra finch (Taeniopygia guttata)/
キンカン /(n) (uk) kumquat (Fortunella spp.)/cumquat/
キンキ /(n) broadbanded thornyhead/broadfin thornyhead/kichiji rockfish (Sebastolobus macrochir)/
キンキーブーツ /(n) kinky boots/(P)/
キンキールック /(n) kinky look/
キンクロハジロ /(n) (uk) tufted duck (Aythya fuligula)/
キング /(n) king/(P)/
キングエンゼル /(n) king angelfish (Holacanthus passer)/
キングクリップ /(n) kingklip (Genypterus blacodes)/pink cusk-eel/
キングコブラ /(n) king cobra/hamadryad (Ophiophagus hannah)/
キングサーモン /(n) king salmon/
キングサイズ /(n) king-size/
キングズイングリッシュ /(n) King's English/
キングドーム /(n) King Dome/
キングヒメオオトカゲ /(n) King's goanna (Varanus kingorum, species of small carnivorous monitor lizard native to the Australia)/
キングピン /(n) kingpin/
キングヘビ /(n) (uk) king snake (any snake of genus Lampropeltis)/
キングペンギン /(n) king penguin (Aptenodytes patagonicus)/
キングボルト /(n) kingbolt/
キングメーカー /(n) kingmaker/(P)/
キング蛇 [キングへび] /(n) (uk) king snake (any snake of genus Lampropeltis)/
キンシバイ /(n) (uk) goldencup St. John's wort (Hypericum patulum)/
キンタル /(n) quintal/
キンチャクソウ /(n) (uk) pocketbook plant (any plant of genus Calceolaria)/
キンチャクダイ /(n) bluestriped angelfish (Chaetodontoplus septentrionalis)/
キンチャクダイ属 [キンチャクダイぞく] /(n) Chaetodontoplus (genus of marine angelfishes in the family Pomacanthidae)/
キンチャクフグ属 [キンチャクフグぞく] /(n) Canthigaster (genus of pufferfish in the family Tetraodontidae)/
キントキダイ /(n) (uk) red bigeye (Priacanthus macracanthus)/
キンドル /(n) (comp) Kindle (Amazon's electronic book device)/
キンバーライト /(n) kimberlite/
キンバイソウ /(n) (uk) Trollius hondoensis (species of globeflower)/
キンバエ /(n) (uk) greenbottle fly (esp. species Lucilia caesar)/
キンバト /(n) (uk) emerald dove (Chalcophaps indica)/
キンバリー岩 [キンバリーがん] /(n) (obsc) kimberlite/
キンパ /(n) (abbr) (sl) blond hair/
キンパラ /(n) (uk) chestnut munia (species of passerine bird, Lonchura atricapilla)/black-headed munia/
キンブナ /(n) (uk) Carassius buergeri/
キンホシイソハゼ /(n) storthynx pygmy goby (Eviota storthynx)/belly-spotted pygmy-goby/
キンポウゲ科 [キンポウゲか] /(n) Ranunculaceae (plant family)/crowfoot/
キンポウゲ目 [キンポウゲもく] /(n) Ranunculales (order of plants)/
キンポウジュ /(n) (uk) crimson bottlebrush/Callistemon citrinus/
キンマ /(n) (uk) betel (Piper betle)/
キンモクセイ /(n) (uk) fragrant olive (Osmanthus fragrans var. aurantiacus)/
キンランチョウ /(n) (uk) red bishop (species of African weaverbird, Euplectes orix)/
キンリンサザナミハギ /(n) spotted surgeonfish (Ctenochaetus strigosus, species of bristletooth tang found in Hawaii, Johnston Island, and Australia)/goldring surgeonfish/goldring bristletooth/
キンレンカ /(n) (uk) nasturtium (species of Indian cress, Tropaeolum majus)/
キン族 [キンぞく] /(n) Kinh (people)/Vietnamese (people)/
ギー /(n) ghee/
ギーク /(n) (comp) geek/
ギア /(n) gear/(P)/
ギアシフト /(n) gearshift/
ギアチェンジ /(n) gear change/
ギアナ /(n) Guiana/
ギアナバタフライ /(n) French butterflyfish (Prognathodes guyanensis, was Chaetodon guyanensis)/Guyana butterflyfish/
ギアボックス /(n) gearbox/gear box/
ギアラ /(n) abomasum (fourth compartment of the stomach of a ruminant)/maw/rennet-bag/
ギイア /(n) gear/
ギガ /(n,pref) giga-/10^9/(P)/
ギガトン /(n) gigaton/
ギガバイト /(n) (comp) gigabyte/
ギガビット /(n) (comp) gigabit/
ギガビットイーサネット /(n) (comp) Gigabit Ethernet/
ギガヘルツ /(n) (comp) gigahertz/
ギガモ /(n) (comp) GIGAMO/
ギギ /(n) (uk) forktail bullhead (species of catfish, Pelteobagrus nudiceps)/
ギクシャク /(adv,n,vs) (1) jerkiness/awkwardness/stiltedness/(2) souring (of a relationship)/strain (e.g. in relations)/
ギグ /(n) gig/
ギザギザ /(adj-na,adj-no,n,adv) (on-mim) jagged/notched/corrugated/milled/serrated/
ギシギシ /(n) (uk) Japanese dock (plant) (Rumex japonicus)/
ギシギシ /(n) creak/squeak/creaking sound/
ギター /(n) guitar/(P)/
ギターの弦 [ギターのげん] /(n) guitar string/
ギターアンプ /(n) guitar amplifier/
ギターシンセ /(n) guitar synthesizer/guitar synthesiser/
ギターマガジン /(n) guitar magazine/
ギターリスト /(ik) (n) guitarist/
ギタリスト /(n) guitarist/(P)/
ギックリ腰 [ギックリごし] /(n) strained back/slipped disk/lumbosacral strain/
ギニー /(n) guinea/
ギニーピッグ /(n) guinea pig/
ギニア /(n) Guinea/
ギニアビサウ /(n) Guinea-Bissau/
ギニアビサウ共和国 [ギニアビサウきょうわこく] /(n) Republic of Guinea-Bissau/
ギニアンエンジェルフィッシュ /(n) Guinean angelfish (Holacanthus africanus)/West African angelfish/
ギニア共和国 [ギニアきょうわこく] /(n) Republic of Guinea/
ギニョール /(n) guignol (fre:)/
ギニョル /(n) guignol (fre:)/
ギネスブック /(n) Guinness Book of Records/(P)/
ギバチ /(n) (uk) cut-tailed bullhead (species of catfish, Pseudobagrus aurantiacus)/
ギフト /(n) gift/(P)/
ギフトカード /(n) gift card/gift certificate/
ギフトクーポン /(n) gift coupon/
ギフトショップ /(n) gift shop/
ギフトチェック /(n) gift check/gift cheque/
ギフトパッケージ /(n) gift package/
ギフト券 [ギフトけん] /(n) gift certificate/gift voucher/
ギブ /(n,vs) (1) give/(int) (2) (abbr) uncle! (I give up)/
ギブアップ /(n,vs) give up/(P)/
ギブアンドテーク /(n) give-and-take/give and take/
ギブアンドテイク /(n) give-and-take/give and take/
ギブス /(n) (1) gypsum (ger: Gips)/plaster-of-paris/(2) plaster cast/cast/
ギブスサンプリング /(n) (comp) Gibbs sampling/
ギプス /(n) (1) gypsum (ger: Gips)/plaster-of-paris/(2) plaster cast/cast/(P)/
ギプス包帯 [ギプスほうたい] /(n) plaster cast/
ギベレリン /(n) gibberellin (plant hormone)/
ギボウシ /(n) (1) bridge railing-post knob/(2) (uk) stone-leek flower/hosta (genus of about 40 species of lily-like plants in the family Agavaceae)/
ギボシ /(n) (1) bridge railing-post knob/(2) (uk) stone-leek flower/hosta (genus of about 40 species of lily-like plants in the family Agavaceae)/
ギボシムシ /(n) (uk) acorn worm (any hemichordate of class Enteropneusta)/
ギボン /(n) gibbon/
ギミック /(n) gimmick/
ギムナジウム /(n) gymnasium (ger:)/
ギムネマ /(n) gymnema (Indian herb)/
ギムレット /(n) gimlet (cocktail)/
ギャーザー /(n) gather (e.g. in cloth)/
ギャグ /(n) joke/gag/(P)/
ギャグる /(v5r) to joke/to say something funny/
ギャグマン /(n) gagman/gag man/
ギャザー /(n) gather/
ギャザースカート /(n) gathered skirt/
ギャゼットバッグ /(n) gadget bag/
ギャップ /(n) gap/(P)/
ギャップレース /(n) gap lathe/
ギャッベ /(n) Gabbeh (type of Persian carpet)/Gabbe/Gava/Khersak/
ギャバジン /(n) gabardine/
ギャフ /(n) gaff/
ギャモン /(n) gammon/
ギャラ /(n) (1) (abbr) guarantee/(2) fee paid to performing artists/(P)/
ギャラクシー /(n) galaxy/
ギャラップ調査 [ギャラップちょうさ] /(n) Gallup poll/
ギャラティー /(n) guarantee/
ギャラリー /(n) gallery/(P)/
ギャランティー /(n) guaranty/guarantee/
ギャランティ型 [ギャランティかた] /(n) (comp) guarantee type/
ギャランドゥ /(n) happy trail (line of hair from the navel to the genitals)/pubic hair/
ギャランドゥー /(n) happy trail (line of hair from the navel to the genitals)/pubic hair/
ギャル /(n) gal/(P)/
ギャルゲ /(n) (comp) (abbr) computer game for men featuring beautiful women characters (usu. adult game) (wasei: gal game)/
ギャルゲー /(n) (comp) (abbr) computer game for men featuring beautiful women characters (usu. adult game) (wasei: gal game)/
ギャルソン /(n) (1) boy/(2) male waiter (fre: garcon)/(P)/
ギャルママ /(n) (1) teenage mother/(2) young mother who wears "gal" styles/
ギャル車 [ギャルしゃ] /(n) (sl) girly car (often full of plastic flowers, stuffed animals, etc.) owned by a young, trendy female/
ギャル男 [ギャルお] /(n) man who imitates girls in dress, hair style, etc./
ギャル文字 [ギャルもじ] /(n) obfuscated style of Japanese text, used particularly by young women in keitai emails/
ギャレー /(n) galley/
ギャレージ /(n) garage (at house)/
ギャロッピングインフレ /(n) galloping inflation/(P)/
ギャロップ /(n) (1) gallop/(2) galop (dance)/
ギャング /(n) (1) gang/(2) (abbr) gangster/(P)/
ギャングエージ /(n) gang age/
ギャングスター /(n) gangster/
ギャング映画 [ギャングえいが] /(n) gangster film/
ギャンブラー /(n) gambler/(P)/
ギャンブル /(n) gambling/(P)/
ギャンブル運 [ギャンブルうん] /(n) luck in gambling/
ギャンブレル屋根 [ギャンブレルやね] /(n) gambrel roof/
ギヤ /(n) gear/
ギヤマン /(n) diamant (dut:)/diamond/
ギヤマン石 [ギヤマンせき] /(n) (arch) diamond/
ギュヨー /(n) guyot/
ギョーザ /(n) (uk) gyoza (crescent-shaped pan-fried dumplings stuffed with minced pork and vegetables)/
ギョウザ /(n) (uk) gyoza (crescent-shaped pan-fried dumplings stuffed with minced pork and vegetables)/
ギョッ /(int) shock/
ギョリュウ /(n) (uk) Tamarix chinensis/Chinese tamarisk/
ギョロリ /(adv,adv-to) staring (e.g. eyes)/goggling/
ギヨー /(n) guyot/
ギヨチン /(n) guillotine (fre:)/
ギラつく /(v5k,vi) (1) to glare/to dazzle/(2) to glitter/
ギランバレー症候群 [ギランバレーしょうこうぐん] /(n) Guillain-Barre syndrome/
ギリギリアウト /(exp) (col) too late (by a short time)/just failed (by a small margin)/
ギリギリセーフ /(exp) just safe (e.g. just avoiding being late, failing an exam, etc.)/just (barely) OK/
ギリシア /(n,adj-no) (uk) Greece (por: Grecia)/
ギリシア共和国 [ギリシアきょうわこく] /(n) Republic of Greece/Hellenic Republic/
ギリシア語 [ギリシアご] /(n) Greek (language, word)/
ギリシア神話 [ギリシアしんわ] /(n) Greek mythology/
ギリシア人 [ギリシアじん] /(n) Greek (person)/
ギリシア正教 [ギリシアせいきょう] /(n) Greek Orthodox Church/
ギリシア正教会 [ギリシアせいきょうかい] /(n) Greek Orthodox Church/
ギリシア彫刻 [ギリシアちょうこく] /(n) Greek sculpture/
ギリシア哲学 [ギリシアてつがく] /(n) Greek philosophy/
ギリシア美術 [ギリシアびじゅつ] /(n) Greek art/
ギリシア文字 [ギリシアもじ] /(n) Greek character/Greek characters/
ギリシャ /(n,adj-no) (uk) Greece (por: Grecia)/
ギリシャリクガメ /(n) (uk) European tortoise/Greek tortoise (Testudo graeca)/
ギリシャ共和国 [ギリシャきょうわこく] /(n) Republic of Greece/Hellenic Republic/
ギリシャ語 [ギリシャご] /(n) Greek (language, word)/
ギリシャ神話 [ギリシャしんわ] /(n) Greek mythology/
ギリシャ人 [ギリシャじん] /(n) Greek (person)/
ギリシャ正教 [ギリシャせいきょう] /(n) Greek Orthodox Church/
ギリシャ正教会 [ギリシャせいきょうかい] /(n) Greek Orthodox Church/
ギリシャ彫刻 [ギリシャちょうこく] /(n) Greek sculpture/
ギリシャ哲学 [ギリシャてつがく] /(n) Greek philosophy/
ギリシャ美術 [ギリシャびじゅつ] /(n) Greek art/
ギリシャ文字 [ギリシャもじ] /(n) Greek character/Greek characters/
ギリシャ陸亀 [ギリシャりくがめ] /(n) (uk) European tortoise/Greek tortoise (Testudo graeca)/
ギリセーフ /(exp) (col) (abbr) just safe (e.g. just avoiding being late, failing an exam, etc.)/just (barely) OK/
ギリヤーク /(n) (obs) Gilyak (old name for the Nivkh ethnic minority group of Russia)/
ギルダー /(n) guilder/
ギルト /(n) gilt/
ギルトトップ /(n) gilt-top/
ギルド /(n) guild/(P)/
ギルド社会主義 [ギルドしゃかいしゅぎ] /(n) guild socialism/
ギロチン /(n) guillotine (fre:)/(P)/
ギロチン破断 [ギロチンはだん] /(n) guillotine break/guillotine rupture/
ギンガム /(n) gingham/
ギンガメアジ /(n) (uk) bigeye trevally (Caranx sexfasciatus)/bigeye jack/great trevally/six-banded trevally/dusky jack/
ギンギン /(adv) (1) (on-mim) ecstatic/ecstatically/(2) splitting headache/
ギンザケ /(n) (uk) coho salmon (Oncorhynchus kisutsh)/silver salmon/
ギンザメ /(n) (uk) silver chimaera (Chimaera phantasma, species of deep water cartilaginous ghost shark from the Western Pacific)/
ギンザメダマシ /(n) Hydrolagus ogilbyi (species of cartilaginous fish endemic to Australia)/Ogilbys ghostshark/
ギンザメ科 [ギンザメか] /(n) Chimaeridae (family of shortnose chimaeras, cartilaginous fish with short round snouts)/
ギンザメ属 [ギンザメぞく] /(n) Chimaera (genus of cartilaginous fish in the family Chimaeridae)/
ギンザンマシコ /(n) (uk) pine grosbeak (Pinicola enucleator)/
ギンッ /(n) (sound effect) sproing/spring up/
ギンドロ /(n) (uk) white poplar (Populus alba)/
ギンナン /(n) ginkgo nut/gingko nut/
ギンブナ /(n) (uk) Carassius langsdorfii/
ギンホオミツスイ /(n) (uk) little wattlebird (Anthochaera lunulata)/
ギンポ /(n) (uk) tidepool gunnel (Pholis nebulosa)/
ギンメダイ /(n) (uk) silver eye (species of beardfish, Polymixia japonica)/
ギンモクセイ /(n) (uk) tea olive (Osmanthus fragrans)/fragrant olive/sweet olive/
ギンヤンマ /(n) (uk) lesser emperor (species of dragonfly, Anax parthenope)/
ギンリョウソウ /(n) (uk) Monotropastrum humile (species of saprophytic plant)/
ギンリョウソウモドキ /(n) (uk) Indian pipe (Monotropa uniflora)/
ギ酸 [ギさん] /(n) (1) formic acid/(adj-no) (2) formic/
ギ神 [ギかみ] /(n) Greek god or goddess/
クーガー /(n) cougar/
クーキー /(n) (1) kooky/weird/(2) cookie/cooky/(P)/
クーキーガール /(n) (obsc) kooky girl/
クークラックスクラン /(n) Ku Klux Klan/KKK/
クーシェット /(n) couchette (fre:)/non-private sleeper car or berth on a European train/
クーデター /(n) coup d'etat (fre:)/coup/(P)/
クーバード /(n) (obsc) couvade (custom in which a male acts out the physical process of his own child being born) (fre:)/
クーパーハイタカ /(n) (uk) Cooper's hawk (Accipiter cooperii)/
クーパー鷂 [クーパーはいたか] /(n) (uk) Cooper's hawk (Accipiter cooperii)/
クーペ /(n) coupe (fre:)/(P)/
クーポン /(n) coupon (fre:)/(P)/
クーポンレート /(n) coupon rate/
クーポン券 [クーポンけん] /(n) coupon (ticket)/
クーラー /(n) cooler/air conditioner/(P)/
クーラーボックス /(n) cooler-box/
クーラント /(n) courante (fre:)/
クーリー・ローチ /(n) kuhli loach (Pangio kuhlii)/
クーリーローチ /(n) kuhli loach (Pangio kuhlii)/
クーリエ /(n) courier/
クーリエサービス /(n) courier service/
クーリッジ管 [クーリッジかん] /(n) Coolidge tube/
クーリングオフ /(n) cooling-off (period)/(P)/
クーリングタワー /(n) cooling tower/
クーリングダウン /(n) cooling down/
クーリングファン /(n) (comp) cooling fan/
クール /(adj-na) (1) cool (temperature, color, etc.)/(2) cool (i.e. calm and collected)/(3) cool (i.e. fashionable, attractive, etc.)/(n) (4) course (of medical treatment) (ger: Kur)/(5) season (series) of a television program (usu. 13 installments over a 3-month period) (fre: cours)/(P)/
クールー /(n) kuru (degenerative brain disease usually associated with New Guinean cannabalism)/
クールアイランド /(n) cool island/
クールカラー /(n) cool color/
クールジャズ /(n) cool jazz/
クールダウン /(n) cool down/
クールビズ /(n) COOL BIZ (Japanese government campaign encouraging people to wear lighter clothes, companies to set their air conditioners to 28C, etc.)/
クールボックス /(n) cool-box/
クーロアール /(n) couloir (fre:)/
クーロメーター /(n) coulometer/
クーロワール /(n) couloir (fre:)/
クーロン /(n) (1) coulomb (fre:)/(2) (comp) cron (computer job run at specific time)/
クーロンの法則 [クーロンのほうそく] /(n) Coulomb's law/
クーロン力 [クーロンりょく] /(n) Coulomb's force/
クァルテット /(n) quartet (ita: quartetto)/
クアッガ /(n) quagga (extinct South African zebra) (Equus quagga quagga)/
クアッハ /(n) quagga (extinct South African zebra) (Equus quagga quagga)/
クアドハイト /(n,adj-no) (comp) quad-height/
クアハウス /(n) multi-purpose health facility (ger: Kurhaus)/
クィーン /(n) queen/
クィディッチ /(n) quidditch (fictional sport from Harry Potter series)/
クィンテット /(n) quintet (ita: quintetto)/
クイーン /(n) queen/(P)/
クイーンエンゼル /(n) queen angelfish (Holacanthus ciliaris)/
クイーンサイズ /(adj-no) queen size/large size/
クイーンズイングリッシュ /(n) Queen's English/(P)/
クイーンズランド /(n) Queensland/
クイーンズランドイエローテールエンジェルフィッシュ /(n) Queensland yellowtail angelfish (Chaetodontoplus meredithi)/Meredith's angelfish/
クイーンメリー /(n) the Queen Mary/
クイズ /(n) quiz/(P)/
クイズマニア /(n) quiz mania/
クイズラリー /(n) quiz rally/
クイズ番組 [クイズばんぐみ] /(n) quiz show/
クイック /(n) quick/(P)/
クイックサンド /(n) quicksand/
クイックスタイル /(n) (comp) quick styles/
クイックステップ /(n) quickstep/
クイックソート /(n) (comp) quick sort/
クイックターン /(n) quick turn/
クイックタイム /(n) (comp) QuickTime/
クイックタブ /(n) (comp) quick tabs/
クイックチェンジ /(n) quick change/
クイックドロー /(n) (comp) QuickDraw/
クイックバン /(n) (comp) QUICK-VAN/
クイックパン /(n) quick bread/
クイックビー /(n) (comp) QUICK B/
クイックブレッド /(n) quick bread/bread made with baking powder instead of yeast/
クイックモーション /(n) (1) quick motion/(2) pitcher throwing to first base (baseball)/
クイックランチ /(n) quick lunch/
クイックリファレンス /(n) (comp) quick reference/
クイッケン /(n) (comp) QUICKEN (accounting package)/
クイナ /(n) (uk) rail (any bird of family Rallidae, esp. the water rail, Rallus aquaticus)/
クイルター /(n) quilter/
クインテット /(n) quintet (ita: quintetto)/(P)/
クイント /(n) quinto/
クウェート /(n) Kuwait/(P)/
クウォート /(n) quote/
クウォウタ /(n) (1) quarter/(2) someone with one non-Japanese grandparent/(3) quota/
クェイク /(n) quake/
クェスチョンマーク /(n) question mark/
クエ /(n) (uk) longtooth grouper (species of fish, Epinephelus bruneus)/
クエーカー /(n) Quaker/Society of Friends/(P)/
クエーサー /(n) quasar/QSO/(P)/
クエスチョン /(n) (1) question/(2) question (mark)/
クエスチョンタイム /(n) question time (section of proceedings in parliament)/
クエスチョンマーク /(n) question mark/
クエッションマーク /(n) question mark/
クエリ /(n) (comp) query/
クエリー /(n) (comp) query/
クエリチャネル /(n) (comp) query channel/
クエリデザイン /(n) (comp) query design/
クエン /(n) (obsc) (uk) citron (Citrus medica)/
クエン酸 [クエンさん] /(n) citric acid/
クエン酸塩 [クエンさんえん] /(n) citrate/
クエン酸回路 [クエンさんかいろ] /(n) citric acid cycle/
クォーク /(n) quark/
クォータ /(n) (1) quarter/(2) someone with one non-Japanese grandparent/(3) quota/
クォーター /(n) (1) quarter/(2) someone with one non-Japanese grandparent/(3) quota/
クォーターバック /(n) quarterback/
クォーターファイナル /(n) quarterfinal/
クォータリー /(n) quarterly/
クォーツ /(n) quartz/
クォーテーション /(n) quotation/
クォーテーションマーク /(n) quotation mark/
クォート /(n) (1) quart/(2) quote/(3) quarto/
クォウタ /(n) (1) quarter/(2) someone with one non-Japanese grandparent/(3) quota/
クォウト /(n) quote/
クォドルプル /(n) quad scull (rowing)/
クォリティー /(n) quality/
クォリティーオブライフ /(n) quality of life/
クォリティーペーパー /(n) quality paper/
クォリファイア /(n) (comp) qualifier/
クォンタイズ /(n) quantize/quantise/
クォンティティー /(n) quantity/
クオーク /(n) quark/
クオータ /(n) (1) quarter/(2) someone with one non-Japanese grandparent/(3) quota/
クオーター /(n) (1) quarter/(2) someone with one non-Japanese grandparent/(3) quota/
クオーターバック /(n) quarterback/
クオーターファイナル /(n) quarter-final/
クオーターマスター /(n) quarter-master/
クオータリー /(n) quarterly/
クオーツ /(n) quartz/
クオーテーション /(n) quotation/
クオーテーションマーク /(n) quotation marks/
クオート /(n) (1) quart/(2) quote/(3) quarto/(P)/
クオリア /(n) quale/qualia (qualities or feelings considered independently of their effects on behavior)/
クオリティ /(n) quality/(P)/
クオリティー /(n) quality/
クオリティーオブライフ /(n) quality of life/
クオリティーペーパー /(n) quality paper/
クオリティオブサービス /(n) (comp) quality of service/
クオンツ /(adj-na) (abbr) quantitative/
クオンツ運用 [クオンツうんよう] /(n) quantitative investment management/
クオンツ分析 [クオンツぶんせき] /(n) quantitative analysis (esp. financial)/
クオンティティー /(n) quantity/
クガイソウ /(n) (uk) Veronicastrum sibiricum (species of flowering plant)/
クギベラ /(n) bird wrasse (Gomphosus varius)/
クギベラ属 [クギベラぞく] /(n) Gomphosus (genus of marine wrasse in the family Labridae)/
ククー /(ik) (n) cuckoo/
ククク /(int) evil laughter/
クグ /(n) (uk) Pacific island flatsedge (Cyperus cyperoides)/
クコ /(n) (uk) Chinese matrimony vine (Lycium chinense)/Chinese wolfberry/goji/
クコの実 [クコのみ] /(n) Chinese wolfberry fruit (Lycium chinense)/Chinese matrimony vine fruit/
クサイチゴ /(n) (uk) Rubus hirsutus (species of raspberry)/
クサカゲロウ /(n) (uk) green lacewing (esp. species Chrysopa intima)/
クサガメ /(n) (1) (uk) Chinese pond turtle (Chinemys reevesii)/Reeves' turtle/(2) stink bug/shield bug/
クサギ /(n) (uk) harlequin glorybower (species of flowering plant, Clerodendrum trichotomum)/
クサグモ /(n) (uk) Agelena limbata (species of araneomorph funnel-web spider)/
クサスギカズラ /(n) (uk) Chinese asparagus (Asparagus cochinchinensis)/
クサソテツ /(n) (uk) Ostrich fern/Matteuccia struthiopteris/
クサフグ /(n) (uk) grass puffer (Takifugu niphobles)/
クサリトラザメ /(n) chain catshark (Scyliorhinus retifer, species found in the Western Atlantic)/
クサリヘビ /(n) (uk) viper (esp. a pitless viper)/
クシェット /(n) couchette (fre:)/non-private sleeper car or berth on a European train/
クシクラゲ /(n) (uk) comb jelly (any jellyfish-like animal of the phylum Ctenophora)/
クシクラゲ類 [クシクラゲるい] /(n) comb jellies (jellyfish-like animals of the phylum Ctenophora)/
クシファクティヌス /(n) Xiphactinus (extinct genus of predatory bony fish)/
クシメ鏝 [クシメごて] /(n) notched trowel/
クシャーナ朝 [クシャーナちょう] /(n) Kushan dynasty (of India, approx. 60-375 CE)/
クシャトリヤ /(n) (uk) Kshatriya (member of India's military caste)/
クシャン朝 [クシャンちょう] /(n) Kushan dynasty (of India, approx. 60-375 CE)/
クジメ /(n) (uk) spotbelly greenling (Hexagrammos agrammus)/
クジャク /(n) (uk) peafowl (inc. the male peacock, female peahen, and young peachick)/
クジャクオオトカゲ /(n) peacock monitor (Varanus auffenbergi, species of carnivorous monitor lizard native to the island of Roti in Indonesia)/Auffenberg's monitor/
クジャクシダ /(n) (uk) northern maidenhair (Adiantum pedatum)/
クジャクスズメダイ /(n) sapphire damsel (Pomacentrus pavo, species of marine damselfish from the Indo-Pacific)/
クジャクソウ /(n) (1) (uk) marigold (esp. the French marigold, Tagetes patula)/(2) plains coreopsis (Coreopsis tinctoria)/(3) northern maidenhair (Adiantum pedatum)/
クジャクチョウ /(n) (uk) peacock butterfly (Inachis io)/
クジャクバト /(n) (uk) fantail pigeon/
クス /(n) (uk) camphor tree (Cinnamomum camphora)/camphorwood/camphor laurel/
クスクス /(n) (1) couscous (fre:)/(2) cuscus (variety of phalanger)/
クスクス笑う [クスクスわらう] /(exp,v5u) to giggle/
クスノキ科 [クスノキか] /(n) Lauraceae (laurel family of plants)/
クズネッツの波 [クズネッツのなみ] /(n) Kuznets swings/
クズネッツ循環 [クズネッツじゅんかん] /(n) Kuznets cycle/
クズリ /(n) (uk) wolverine (Gulo gulo)/glutton/carcajou/
クセ /(n) (1) (uk) long segment of a noh play forming its musical highlight/(n-pref) (2) wrong/improper/indecent/
クセノン /(n) xenon (Xe)/
クソトビ /(n) (uk) (col) (obsc) common buzzard (Buteo buteo)/
クソニンジン /(n) annual mugwort (Artemisia annua)/annual wormwood/sweet sagewort/sweet Annie/sweet wormwood/
クソノキ /(n) (uk) camphor tree (Cinnamomum camphora)/camphorwood/camphor laurel/
クソバエ /(n) (col) greenbottle/
クソボケ /(n) (uk) (derog) shit for brains/
クソミソ /(adj-na,n) (1) harsh/severe (e.g. criticism, verbal attack)/(n) (2) (uk) sweeping denunciation/
クソ味噌 [クソみそ] /(adj-na,n) (1) harsh/severe (e.g. criticism, verbal attack)/(n) (2) (uk) sweeping denunciation/
クチクラ /(n) cuticule (lat: cuticula)/
クチコミ /(n) (1) word of mouth/(2) comment on an Internet forum or web page/
クチナシ /(n) (uk) Cape jasmine (Gardenia jasminoides)/Cape jessamine/gardenia/
クチヒゲザル /(n) (uk) mustached monkey (Cercopithecus cephus)/moustached guenon/
クチュリエ /(n) couturier (fre:)/
クチュリエール /(n) couturiere (fre:)/
クチン /(n) cutin/
クッキー /(n) (1) cookie/biscuit/(2) (comp) cookie (browser-related file sent from a WWW server)/(P)/
クッキング /(n) cooking/(P)/
クッキングカード /(n) cooking card/
クッキングスクール /(n) cooking school/
クッキングホイル /(n) cooking foil/
クック /(n) cook/(P)/
クックー /(n) cuckoo/
クックッ /(n,adv-to) (1) chuckle/stifled laughter/giggle/(2) cluck/coo (bird call)/
クックックッ /(int) evil laughter/
クックドソーセージ /(n) cooked sausage/
クッシー /(n) Kusshi (lake monster said to be living in Hokkaido's Lake Kussharo)/
クッション /(n) cushion/(P)/
クッションボール /(n) cushion ball (carom off the outfield wall by a batted ball) (baseball)/
クッシング症候群 [クッシングしょうこうぐん] /(n) Cushing's syndrome/
クッソ /(n) (uk) kousso (African flowering plant, Hagenia abyssinica)/kosso/cusso/koso/brayera/
クッソ花 [クッソか] /(n) (obsc) kousso (vermifuge made from pistillate brayera flowers)/kosso/cusso/koso/
クッパ /(n) gukbap (Korean rice soup)/
クツワムシ /(n) (uk) Mecopoda nipponensis (species of katydid)/
クテノポマ /(n) climbing gourami (of genus Ctenopoma or Microctenopoma) (lat: Ctenopoma)/
クテノポマ属 [クテノポマぞく] /(n) Ctenopoma (genus of freshwater climbing gouramies with terrestrial locomotion ability in the family Anabantidae)/
クトゥルフ /(n) Cthulhu (fictional divinity created by H.P. Lovecraft)/
クニマス /(n) (uk) Oncorhynchus nerka kawamurae (rare Japanese subspecies of sockeye salmon)/
クヌーセンセル /(n) Knudsen cell/
クヌギ /(n) (uk) sawtooth oak (Quercus acutissima)/
クパティーノ /(n) (comp) Cupertino/
クビ /(n) (1) neck/(2) head/(3) unemployed person/
クビット /(n) (1) cubit/(2) qubit/
クビレフェチ /(n) (sl) small waist fetish (from kubire fetish)/wasp waist fetish/
クビワペッカリー /(n) (uk) collared peccary (Tayassu tajacu)/
クプロファン /(n) Cuprophan/
クマアリ /(n) (obsc) (uk) Japanese carpenter ant (Camponotus japonicus)/
クマゲラ /(n) (uk) black woodpecker (Dryocopus martius)/
クマザサ /(n) (uk) Sasa veitchii/
クマシデ /(n) (uk) Japanese hornbeam (Carpinus japonica)/
クマゼミ /(n) (uk) Cryptotympana facialis (species of cicada)/
クマツヅラ科 [クマツヅラか] /(n) Verbenaceae (plant family)/vervain/
クマドリキンチャクフグ /(n) shy toby (Canthigaster ocellicincta)/
クマネズミ /(n) (uk) black rat (Rattus rattus)/roof rat/
クマノミ /(n) (uk) clownfish (Amphiprioninae spp., esp. the yellowtail clownfish, Amphiprion clarkii)/anemone fish/
クマバチ /(n) (1) Japanese carpenter bee (Xylocopa appendiculata circumvolans)/(2) (col) wasp/hornet/yellow jacket/
クマムシ /(n) (uk) water bear/tardigrades/
クマンバチ /(n) (1) (uk) Japanese carpenter bee (Xylocopa appendiculata circumvolans)/(2) (col) wasp/hornet/yellow jacket/
クミン /(n) cumin/
クメールルージュ /(n) Khmer Rouge (Cambodian communist guerrilla organization)/
クモ /(n) (uk) spider/
クモの巣 [クモのす] /(n,adj-no) spiderweb/
クモガニ /(n) spider crab/
クモザル /(n) (uk) spider monkey/
クモノスカビ /(n) (uk) Rhizopus (saprobic fungus)/
クモハダオオセ /(n) spotted wobbegong (Orectolobus maculatus, species of Australian carpet shark)/
クモヒトデ /(n) (1) (uk) brittle star (any starfish-like echinoderm of the order Ophiuroidea)/brittlestar/(2) Ophioplocus japonicus (species of brittlestar)/
クモ恐怖症 [クモきょうふしょう] /(n) arachnophobia/
クモ形類 [クモがたるい] /(n) arachnids/
クモ膜下腔 [クモまくかくう] /(n) subarachnoid space/
クモ類 [クモるい] /(n) (1) arachnids/(2) araneids/
クラーク /(n) clerk/(P)/
クラーケン /(n) kraken/
クラーレ /(n) curare/
クライ /(n) cry/
クライアント /(n) client/(P)/
クライアント・サーバーモデル /(n) (comp) client-server model/
クライアントアクセスポイント /(n) (comp) client access point/
クライアントアクセスライセンス /(n) (comp) client access license/
クライアントサーバ /(n) (comp) client-server/
クライアントサーバー /(n) (comp) client-server/
クライアントサーバーシステム /(n) (comp) client-server system/CSS/
クライアントサーバーモデル /(n) (comp) client-server model/
クライアントサーバアーキテクチャ /(n) (comp) client-server architecture/
クライアントサーバコンピューティング /(n) (comp) client-server computing/
クライアントサーバモデル /(n) (comp) client-server model/
クライアントサブスクリプション /(n) (comp) client subscription/
クライアントスクリプト /(n) (comp) client script/
クライアントハブ /(n) (comp) client hub/
クライアント側アプリケーション [クライアントがわアプリケーション] /(n) (comp) client-side application/
クライエント /(n) client/
クライオエレクトロニクス /(n) cryoelectronics/
クライオジーニクス /(n) cryogenics/
クライシス /(n) crisis/(P)/
クライシスマネージメント /(n) crisis management/
クライストロン /(n) klystron/
クライスラー /(n) Chrysler/(P)/
クライテリア /(n) criteria/
クライト /(n) krait/
クライマー /(n) climber/
クライマックス /(n) climax/(P)/
クライミング /(n) climbing/(P)/
クライムストーリー /(n) crime story/(P)/
クライモグラフ /(n) climograph/
クラインの壺 [クラインのつぼ] /(n) Klein bottle/
クラインフェルター症候群 [クラインフェルターしょうこうぐん] /(n) Klinefelter's syndrome/
クラウチ /(n) crouch/
クラウチングスタート /(n) crouching start/
クラウチングスタイル /(n) crouching style/
クラウディングアウト /(n) crowding out/
クラウド /(n) (1) cloud/(2) crowd/
クラウン /(n) crown/(P)/
クラウン・ローチ /(n) clown loach (Chromobotia macracanthus)/tiger botia/
クラウンエーテル /(n) crown ether/
クラウンギア /(n) crown gear/
クラウンギヤ /(n) crown gear/
クラウンゴール /(n) crown gall/
クラウントビー /(n) clown toado (Canthigaster callisterna)/clown toby/
クラウンロースト /(n) crown roast/
クラウンローチ /(n) clown loach (Chromobotia macracanthus)/tiger botia/
クラウン硝子 [クラウンガラス] /(n) (uk) crown glass/
クラカケアザラシ /(n) (uk) ribbon seal (Histriophoca fasciata)/
クラカケザメ /(n) saddle carpetshark (Cirrhoscyllium japonicum, species found in Japan)/
クラカケザメ科 [クラカケザメか] /(n) Parascylliidae (family of collared carpet sharks containing 8 species and 2 genera)/
クラカケザメ属 [クラカケザメぞく] /(n) Cirrhoscyllium (genus of collared carpet sharks in the family Parascylliidae)/
クラカケチョウチョウウオ /(n) Philippine butterflyfish (Chaetodon adiergastos)/panda butterflyfish/
クラカケトラザメ /(n) slender catshark (Schroederichthys tenuis, found off Suriname and Brazil)/
クラカケトラザメ属 [クラカケトラザメぞく] /(n) Schroederichthys (genus of catshark in the family Scyliorhinidae)/
クラカケモンガラ /(n) (uk) blackbelly triggerfish (Rhinecanthus verrucosus)/
クラクション /(n) Klaxon/car horn/(P)/
クラゲ /(n) (1) (uk) jellyfish/(2) medusa/
クラサバ /(n) (abbr) client server/
クラシカル /(adj-na,n) classical/(P)/
クラシシズム /(n) classicism/
クラシック /(n) (1) (abbr) classical music/(adj-na) (2) classic/classical/(n) (3) (the) classics/(P)/
クラシックカー /(n) classic car/
クラシックギター /(n) classic guitar/
クラシックパンツ /(n) loin cloth (wasei: classic pants)/
クラシックライフ /(n) classic life/
クラシックレース /(n) classic races/
クラシックロック /(n) classic rock/
クラシック音楽 [クラシックおんがく] /(n) classical music/(P)/
クラシファイア /(n) classifier/
クラシフィケイション /(n) classification/
クラス /(n) class/(P)/
クラスＡＩＰアドレス [クラスエーアイピーアドレス] /(n) (comp) class A IP address/
クラスＢＩＰアドレス [クラスビーアイピーアドレス] /(n) (comp) class B IP address/
クラスＣＩＰアドレス [クラスシーアイピーアドレス] /(n) (comp) class C IP address/
クラスＩＤ [クラスアイディー] /(n) (comp) class ID/
クラスアクション /(n) class action/
クラスセレクタ /(n) (comp) class selector/
クラスタ /(n) cluster/
クラスター /(n) cluster/
クラスター爆弾 [クラスターばくだん] /(n) cluster bomb/
クラスター分析 [クラスターぶんせき] /(n) cluster analysis/
クラスタアダプタ /(n) (comp) cluster adapter/
クラスタサイズ /(n) (comp) cluster size/
クラスタリング /(n) (comp) clustering/
クラスタ化されたアプリケーション [クラスタかされたアプリケーション] /(n) (comp) clustered applications/
クラスタ装置 [クラスタそうち] /(n) (comp) clustered device/
クラスタ番号 [クラスタばんごう] /(n) (comp) cluster number/
クラスト /(n) crust/
クラスファクトリ /(n) (comp) class factory/
クラスプ /(n) clasp/
クラスマガジン /(n) class magazine/
クラスメート /(n) classmate/(P)/
クラスメイト /(n) classmate/(P)/
クラスメディア /(n) class media/
クラスライブラリ /(n) (comp) class library (as in C++)/
クラスルーム /(n) classroom/
クラス会 [クラスかい] /(n) class reunion/
クラス階層 [クラスかいそう] /(n) (comp) class hierarchy/
クラス替え [クラスがえ] /(n) (school) class change/class shuffle/rearrangement of which students are in which teachers class/
クラッカ /(n) (comp) cracker/
クラッカー /(n) cracker/(P)/
クラッキング /(n) (comp) cracking/
クラック /(n) crack/(P)/
クラッシク /(n) (1) (abbr) classical music/(adj-na) (2) classic/classical/(n) (3) (the) classics/
クラッシック /(n) (1) (abbr) classical music/(adj-na) (2) classic/classical/(n) (3) (the) classics/(P)/
クラッシック音楽 [クラッシックおんがく] /(n) classical music/
クラッシャー /(n) (1) crusher/(2) crasher/
クラッシュ /(n,vs) crash/(P)/
クラッシュシンドローム /(n) crush syndrome/
クラッシュ回復 [クラッシュかいふく] /(n) (comp) crash recovery/
クラッシュ症候群 [クラッシュしょうこうぐん] /(n) crush syndrome/
クラッチ /(n) clutch/(P)/
クラッチバッグ /(n) clutch bag/
クラッチヒッター /(n) clutch hitter/
クラッチペダル /(n) clutch pedal/
クラッド /(n) (comp) clad/cladding (of a fiber)/
クラッド径 [クラッドけい] /(n) (comp) clad(ding) diameter/
クラドセラケ /(n) Cladoselache (genus of extinct shark)/
クラバー /(n) (comp) clobber/
クラビーア /(n) clavier/
クラビア /(n) clavier/
クラビアインキ /(n) gravure ink/
クラビコード /(n) clavichord/
クラフォード賞 [クラフォードしょう] /(n) Crafoord Prize/
クラフティ /(n) clafoutis (type of dessert) (fre:)/
クラフト /(n) craft/(P)/
クラフトデザイン /(n) craft design/
クラフトパルプ /(n) kraft pulp/
クラフトマン /(n) craftsman/
クラフトユニオン /(n) craft union/
クラフト紙 [クラフトし] /(n) craft paper/
クラブ /(n) (1) club (e.g. golf, tennis)/(2) clubs (card suit)/(3) crab/(P)/
クラブ /(n) (uk) club/fraternity/sorority/clubhouse/(P)/
クラブサン /(n) clavecin (fre:)/
クラブサンドイッチ /(n) club sandwich/
クラブチーム /(n) club team/
クラブハウス /(n) clubhouse/
クラブフェース /(n) club face (golf)/
クラブヘッド /(n) club head/
クラブ活動 [クラブかつどう] /(n) club activities (usu. clubs in association with a school)/extracurricular activities/(P)/
クラマスヤツメ /(n) Klamath river lamprey (Lampetra similis)/
クラミジア /(n) chlamydia (lat:)/
クラムチャウダー /(n) clam chowder/
クラリオネット /(n) clarionet/
クラリオン /(n) clarion/
クラリオンエンゼル /(n) clarion angelfish (Holacanthus clarionensis)/
クラリス /(n) (comp) Claris/
クラリティ /(n) clarity/
クラリティー /(n) clarity/
クラリネット /(n) clarinet/
クラレ /(n) curare/
クラレット /(n) claret/
クラン /(n) clan/(P)/
クランク /(n) crank/(P)/
クランクアップ /(n,vs) finish shooting (wasei: crank up)/
クランクイン /(n,vs) start (of) filming (wasei: crank in)/(P)/
クランクケース /(n) crankcase/
クランクシャフト /(n) crankshaft/
クランクバック /(n) (comp) crankback/
クランケ /(n) diseased persons (ger: Kranke)/
クランチ /(n) crunch/
クランプ /(n) clamp/
クランベリー /(n) cranberry/
クランベリーソース /(n) cranberry sauce/
クランポン /(n) crampon (fre:)/
クラヴィーア /(n) clavier/
クラヴィア /(n) clavier/
クラヴィコード /(n) clavichord/
クラヴサン /(n) clavecin (fre:)/
クリ /(n) (abbr) (vulg) clitoris/
クリ /(n) (uk) Japanese chestnut (Castanea crenata)/
クリーク /(n) (1) cleek (golf - type of fairway wood)/(2) creek/waterway, including irrigation or drainage canal/(3) clique/(4) creak/(P)/
クリーチャー /(n) creature/
クリート /(n) cleat/
クリーナー /(n) cleaner/(P)/
クリーニング /(n,vs) cleaning/dry cleaning/laundry service/(P)/
クリーネ /(n) Kleene/
クリーピングインフレ /(n) creeping inflation/
クリーピングインフレーション /(n) creeping inflation/
クリープ /(n) (1) creep/(2) Creap/
クリーベッジ /(n) cleavage/
クリーミー /(adj-na) creamy (in flavor or texture)/
クリーム /(n) cream/(P)/
クリームサンデー /(n) cream sundae/
クリームスキミング /(n) cream skimming/
クリームソース /(n) cream sauce/
クリームソーダ /(n) ice cream soda/icecream soda/
クリームチーズ /(n) cream cheese/
クリームパン /(n) cream-filled roll/
クリーム色 [クリームいろ] /(n) cream (colour, color)/
クリーン /(adj-na,n) clean/(P)/
クリーンアップ /(n) clean up (esp. baseball)/
クリーンアップトリオ /(n) cleanup trio (baseball)/(P)/
クリーンインストール /(n) (comp) clean install/
クリーンエネルギー /(n) clean energy/
クリーンナップ /(n) cleanup/
クリーンナップトリオ /(n) cleanup trio (baseball)/
クリーンヒーター /(n) vented heater/clean heater/
クリーンヒット /(n) clean hit/(P)/
クリーンビル /(n) clean bill/
クリーンフロート /(n) clean float/
クリーンブート /(n) (comp) clean boot/
クリーンライス /(n) clean rice/
クリーンルーム /(n) clean room (e.g. in semiconductor manufacturing)/cleanroom/
クリーンローン /(n) clean loan/
クリーヴァ /(n) cleaver/
クリちゃん /(n) clitoris/
クリア /(adj-na,vs) clear/
クリアー /(adj-na,vs) clear/
クリアエリア /(n) (comp) clear area/
クリアエントリー機能 [クリアエントリーきのう] /(n) (comp) clear entry function/
クリアキー /(n) (comp) Clear key/
クリアストーリー /(n) clerestory/clearstory/
クリアテキスト /(n) (comp) clear text/
クリアバンド /(n) (comp) clear band/
クリアビジョン /(n) Extended Definition Television (wasei: clear vision)/EDTV/
クリアラッカー /(n) clear lacquer/
クリアランス /(n) clearance/
クリアランスセール /(n) clearance sale/
クリアリングハウス /(n) (comp) clearing house/
クリエ /(n) (comp) Clie/CLIE/
クリエーション /(n) creation/
クリエータ /(n) (comp) creator/
クリエーター /(n) creator/(P)/
クリエーティビティー /(n) creativity/
クリエーティブ /(adj-na) creative/(P)/
クリエーティブエージェンシー /(n) creative agency/
クリエーティブグループ /(n) creative group/
クリエート /(n,vs) create/
クリエイター /(n) creator/inventor/developer/
クリエイティブ /(adj-na) creative/
クリエイティブコンテンツ /(n) (comp) creative content/
クリエイティヴ /(adj-na) creative/(P)/
クリエイト /(n,vs) create/
クリオール /(n) creole/(P)/
クリオネ /(n) clione/sea angel/
クリオメトリクス /(n) cliometrics/
クリケット /(n) cricket (game)/(P)/
クリケットクラブ /(n) cricket club/
クリコン /(n) (abbr) Christmas concert/
クリシェ /(n) cliche/
クリシギゾウムシ /(n) (uk) chestnut weevil (Curculio dentipes)/
クリシュナ /(n) Krishna/
クリスター /(n) klister (warm-weather ski wax)/
クリスタル /(n) crystal/(P)/
クリスタルガラス /(n) crystal glass/
クリスタルグラス /(n) crystal glass/
クリスタルフルーツ /(n) crystal fruit/
クリスタルマイクロフォン /(n) crystal microphone/
クリスタルマイクロホン /(n) crystal microphone/
クリスチャニア /(n) (1) Kristiania (ger:)/(2) Christiania/
クリスチャン /(n) Christian/(P)/
クリスチャンギャングスタラップ /(n) Christian gangsta rap/
クリスチャンサイエンス /(n) Christian Science/
クリスチャンネーム /(n) Christian name/
クリスチャンラップ /(n) Christian rap/
クリスチャンロック /(n) Christian rock/
クリスピー /(adj-na) crispy/
クリスプブレッド /(n) crisp bread/
クリスマス /(n) Christmas/(P)/
クリスマスイブ /(n) Christmas Eve/
クリスマスイヴ /(n) Christmas Eve/(P)/
クリスマスカード /(n) Christmas card/(P)/
クリスマスカロル /(n) Christmas carol/
クリスマスキャロル /(n) Christmas carol/
クリスマスケーキ /(n) Christmas cake/
クリスマスツリー /(n) Christmas tree/(P)/
クリスマスパーティ /(n) Christmas party/
クリスマスパーティー /(n) Christmas party/
クリスマスプレゼント /(n) Christmas present/
クリスマスリース /(n) Christmas wreath/
クリスマスローズ /(n) Christmas rose (Helleborus niger)/
クリスルス /(n) goldtail angelfish (Pomacanthus chrysurus)/earspot angelfish/
クリソツ /(n,adj-na) (sl) the spitting image of/identical/
クリソベリル /(n) chrysoberyl/
クリッカブルイメージマップ /(n) (comp) clickable imagemap/
クリッカブルマップ /(n) (comp) clickable map/
クリック /(n,vs) click/
クリックレート /(n) (comp) click rate/
クリック保証 [クリックほしょう] /(n) (comp) click guaranteed/
クリッパー /(n) clipper/
クリッパーチップ /(n) (comp) Clipper Chip/
クリッパートンエンジェルフィッシュ /(n) Clipperton angelfish (Holacanthus limbaughi)/
クリッピング /(n) clipping/
クリッピングパス /(n) (comp) clipping path/
クリップ /(n) clip/(P)/
クリップアート /(n) (comp) clip art/
クリップコレクション /(n) (comp) clip collection/
クリップボード /(n) clipboard/
クリップボードコンピュータ /(n) (comp) clipboard computer/
クリティーク /(n) critique/
クリティカル /(n,adj-na) critical/
クリティカルエラー /(n) (comp) critical error/
クリティカルエラーハンドラ /(n) (comp) critical-error handler/
クリティカルセクション /(n) (comp) critical section/
クリティカルパス /(n) critical path/
クリティカルパス法 [クリティカルパスほう] /(n) (comp) critical path method/
クリティシズム /(n) criticism/
クリティック /(n) critic/
クリト /(n) (abbr) (vulg) clitoris/
クリトリス /(n) clitoris/
クリニック /(n) clinic/(P)/
クリノメータ /(n) clinometer/
クリノメーター /(n) clinometer/
クリノリン /(n) crinoline/
クリパ /(n) (abbr) Christmas party/
クリビア /(n) clivia (lat:)/
クリプケ /(n) Kripke/
クリプト /(pref) crypto/
クリプトグラフィー /(n) cryptography/
クリプトコッカス症 [クリプトコッカスしょう] /(n) cryptococcosis/
クリプトスポリジウム /(n) Cryptosporidium/
クリプトン /(n) krypton (Kr)/
クリプトン８５ [クリプトンはちじゅうご] /(n) krypton-85/
クリプト藻 [クリプトそう] /(n) cryptophyte/
クリミア戦争 [クリミアせんそう] /(n) Crimean War (1853-1856)/
クリムソン /(n) crimson/
クリムソンレーキ /(n) crimson lake/
クリムゾン /(n) crimson/
クリモグラフ /(n) climograph/
クリヤー /(vs) to clear/
クリンカー /(n) clinker/
クリンカータイル /(n) clinker tile/
クリンゴン語 [クリンゴンご] /(n) Klingon (fictitious language)/
クリンチ /(n,vs) clinch/(P)/
クルー /(n) crew/(P)/
クルーカット /(n) crew-cut (type of haircut)/
クルーガーランド /(n) Krugerrand/
クルーザー /(n) cruiser (i.e. warship or cabin cruiser)/(P)/
クルージング /(n) cruising/(P)/
クルーズ /(n) cruise/(P)/
クルーセーダー /(n) (obsc) crusader/
クルーセード /(n) (obsc) Crusade/
クルーソ /(n) (comp) Crusoe/
クルーソー /(n) (comp) Crusoe/
クルーソックス /(n) crew socks/
クルートン /(n) crouton/
クルーナー /(n) crooner/
クルーネック /(n) crew neck (sweater)/
クループ /(n) croup/
クルーラー /(n) cruller/
クルアーン /(n,adj-no) Koran (ara: kuran)/Qur'an/Quran/the Islamic holy book/
クルス /(n) cross sign (por: cruz)/(P)/
クルックス管 [クルックスかん] /(n) Crookes tube/
クルップ /(n) croup/
クルトン /(n) crouton (fre:)/
クルド /(n) Kurd/Kurdish/(P)/
クルマバソウ /(n) (uk) sweet woodruff (Asperula odorata)/
クルマバツクバネソウ /(n) (uk) Paris verticillata (flowering plant closely related to herb Paris)/
クルミ科 [クルミか] /(n) Juglandaceae (plant family)/(common name) the walnut family/
クルミ目 [クルミもく] /(n) Juglandales (order of plants)/
クルムホルン /(n) krummhorn (ger: Krummhorn)/crumhorn/
クルルホルム /(n) chloroform/
クルルマイセチン /(n) Chloromycetin/
クルンジンガーズクロミス /(n) black-headed chromis (Chromis klunzingeri)/
クルンジンガーズラス /(n) Klunzinger's wrasse (Thalassoma rueppellii)/
クレー /(n) clay/(P)/
クレーコート /(n) clay court (tennis)/(P)/
クレージー /(adj-na) crazy/(P)/
クレーター /(n) crater/(P)/
クレートトレーニング /(n) crate training/housebreaking/house-training/
クレード /(n) clade/
クレードル /(n) (comp) cradle/
クレーピジョン /(n) clay pigeon/
クレープ /(n) crepe (fre:)/pancake/(P)/
クレープシャツ /(n) crepe shirt/
クレープデシン /(n) crepe de Chine/
クレープペーパー /(n) crape paper/
クレーマー /(n) claimer/claimant/
クレーム /(n) (1) customer complaint seeking compensation/claim (for compensation)/(2) (general) complaint/objection/(3) cream (fre: creme)/(P)/
クレームアングレーズ /(n) creme anglaise (fre:)/
クレームトークン /(n) (comp) claim token/
クレームブリュレ /(n) creme brulee (fre:)/
クレーム処理 [クレームしょり] /(n) handling complaints/
クレーン /(n) crane/(P)/
クレーン車 [クレーンしゃ] /(n) (mobile) crane/
クレー射撃 [クレーしゃげき] /(n) clay pigeon shooting/
クレアチニン /(n) creatinine/
クレアチニンクリアランス /(n) creatinine clearance/(P)/
クレアチン /(n) creatine/
クレアチン尿症 [クレアチンにょうしょう] /(n) creatinurea/creatinuria/
クレアチン燐酸 [クレアチンりんさん] /(n) creatine phosphate/
クレアトゥール /(n) creator (fre: createur)/
クレイ /(n) clay/(P)/
クレイジー /(n) crazy/
クレイモア /(n) claymore/
クレイワン /(n) (comp) CRAY-1/
クレオール /(n) (1) creole (pidgin which has become a mother tongue) (fre:)/(2) Creole (person of mixed ancestry, esp.in the Caribbean)/
クレオール語 [クレオールご] /(n) creole (pidgin that has become a mother tongue)/
クレオソート /(n) creosote/(P)/
クレオソート油 [クレオソートゆ] /(n) creosote oil/
クレオパトラの鼻 [クレオパトラのはな] /(exp,n) Cleopatra's nose/a small thing with a huge influence/
クレオメ /(n) cleome (esp. the spider flower, Cleome hassleriana) (lat:)/
クレシェンド /(n) crescendo (ita:)/
クレジット /(n) credit/(P)/
クレジットカード /(n) credit card/(P)/
クレジットカード会社 [クレジットカードがいしゃ] /(n) credit card company/
クレジットカード番号 [クレジットカードばんごう] /(n) credit card number/
クレジットカード与信照会用端末 [クレジットカードよしんしょうかいようたんまつ] /(n) (comp) CAT/Credit Authorization Terminal/
クレジットクランチ /(n) credit crunch/
クレジットタイトル /(n) credit title/
クレジットデリバティブ /(n) credit derivative/
クレジットファシリティ /(n) credit facility/
クレジットベース /(n) (comp) credit-based (flow control mechanism)/
クレジットホリック /(n) creditholic/
クレジットライン /(n) credit line/
クレジットリスク /(n) credit risk/
クレステッドホーンシャーク /(n) crested bullhead shark (Heterodontus galeatus, found in eastern Australia)/
クレセント /(n) crescent/
クレソン /(n) watercress (fre: cresson)/
クレゾール /(n) cresol (ger: Kresol)/
クレゾール石鹸液 [クレゾールせっけんえき] /(n) saponated cresol solution/
クレタケ /(n) (uk) Alternative name for henon bamboo (Phyllostachys nigra var. henonis)/
クレチン病 [クレチンびょう] /(n) cretinism/
クレッシェンド /(n) crescendo (ita:)/
クレッセント /(n) crescent/
クレディビリティーギャップ /(n) credibility gap/(P)/
クレド /(n) credo (lat:)/
クレバス /(n) crevasse (fre:)/
クレバネット /(n) cravenette/
クレパス /(n) (abbr) pastel crayons/
クレブス回路 [クレブスかいろ] /(n) Krebs cycle/
クレペリン /(n) Kraepelin/
クレマチス /(n) clematis (lat:)/
クレムリノロジー /(n) Kremlinology/
クレムリン /(n) Kremlin/(P)/
クレメモ /(n) (abbr) credit memo/
クレヨン /(n) crayon (fre:)/
クレリック /(n) cleric/
クレン /(n) (comp) CREN/
クレンザー /(n) cleanser/(P)/
クレンジング /(n,vs) cleansing/
クレンジングクリーム /(n) cleansing cream/(P)/
クレンジングフォーム /(n) cleansing foam/
クレンジングローション /(n) cleansing lotion/
クレンメ /(n) clamp (ger: Klemme)/forceps/
クローカス /(n) crocus/
クローク /(n) (abbr) cloakroom/checkroom/(P)/
クロークルーム /(n) cloakroom/
クローザー /(n) closer (baseball)/
クローシュ /(n) cloche (fre:)/
クロージャ /(n) closure/
クロース /(n,vs) (1) cross/(2) gross/(3) cloth/
クローズ /(n,vs) close/(P)/
クローズアップ /(n,vs) close-up/(P)/
クローズド /(n) closed/
クローズドアーキテクチャ /(n) (comp) closed architecture/
クローズドエンド /(n) closed-end/
クローズドエンドモーゲージ /(n) closed-end mortgage/
クローズドシステム /(n) closed system/
クローズドショップ /(n) closed shop/
クローズドショップ制 [クローズドショップせい] /(n) closed shop system (employment of only union members)/
クローズドスタンス /(n) closed stance/
クローズドポット /(n) closed pot/
クローズドモーゲージ /(n) closed mortgage/
クローズドユニオン /(n) closed union/
クローズボックス /(n) (comp) close box/
クローゼット /(n) closet/
クローナ /(n) krona (swe:, ice:)/
クローニング /(n) cloning/
クローヌス /(n) clonus/
クローネ /(n) krone (dan:, nor:)/
クローバー /(n) clover/
クローブ /(n) clove/
クローム /(n) chromium (Cr) (ger: Chrom, fre: chrome)/
クロームイエロー /(n) chrome yellow/
クローラー /(n) crawler (e.g. a web crawler or robot)/
クローリングペッグ /(n) crawling peg/
クロール /(n) crawl/(P)/
クローン /(n,adj-no) clone/(P)/
クローンメーカ /(n) (comp) clone maker/
クローン化 [クローンか] /(n,vs) cloning/
クローン技術 [クローンぎじゅつ] /(n) cloning technology/
クローン人間 [クローンにんげん] /(n) (human) clone/
クローン選択説 [クローンせんたくせつ] /(n) clonal selection theory/
クローン動物 [クローンどうぶつ] /(n) cloned animal/
クローン病 [クローンびょう] /(n) Crohn's disease/
クロアゲハ /(n) (uk) spangle (species of black swallowtail butterfly, Papilio protenor)/
クロアシアホウドリ /(n) (uk) black-footed albatross (Diomedea nigripes)/
クロアチア /(n) Croatia/(P)/
クロイサザアミ /(n) (obs) Neomysis awatschensis (shrimp)/
クロイスター /(n) cloister/
クロイツフェルトヤコブ病 [クロイツフェルトヤコブびょう] /(n) Creutzfeldt-Jakob disease/CJD/
クロウ /(n) crow/
クロウカード /(n) (uk) (m-sl) Clow Card/Clow Cards/
クロウシノシタ /(n) (uk) black cow-tongue (species of tonguefish, Paraplagusia japonica)/
クロウタドリ /(n) (uk) blackbird (Turdus merula)/
クロウメモドキ科 [クロウメモドキか] /(n) Rhamnaceae (plant family)/buckthorn/
クロウメモドキ目 [クロウメモドキもく] /(n) Rhamnales (order of plants)/
クロウラー /(n) (comp) (Web) crawler/
クロオオアリ /(n) (uk) Japanese carpenter ant (Camponotus japonicus)/
クロオビスズメダイ /(n) black-bar chromis (Chromis retrofasciata)/
クロオビチョウチョウウオ /(n) reef butterflyfish (Chaetodon sedentarius)/
クロカジキ /(n) (uk) Indo-Pacific blue marlin (Makaira mazara)/
クロカン /(n) (abbr) off-road vehicle (from cross-country)/
クロガラシ /(n) (uk) black mustard (Brassica nigra)/
クロキヅタ /(n) (uk) Caulerpa scalpelliformis (species of green alga)/
クロキンチャクダイ /(n) black angelfish (Chaetodontoplus niger)/
クロクビコブラ /(n) (uk) black-necked spitting cobra (Naja nigricollis)/
クログチニザ /(n) chocolate surgeonfish (Acanthurus pyroferus, Indo-Pacific species of tang)/mimic surgeonfish/orange-gilled surgeonfish/
クログワイ /(n) (1) (food) (uk) Eleocharis kuroguwai (species of spikerush)/(2) Chinese water chestnut (Eleocharis dulcis)/
クロケット /(n) (1) croquet/(2) croquette/
クロコショウ /(n) (uk) black pepper (Piper nigrum)/
クロコダイル /(n) crocodile/
クロコダイル・モニター /(n) crocodile monitor (Varanus salvadorii, species of carnivorous monitor lizard found in New Guinea)/Salvadori's monitor/Papua monitor/artellia/
クロコダイルモニター /(n) crocodile monitor (Varanus salvadorii, species of carnivorous monitor lizard found in New Guinea)/Salvadori's monitor/Papua monitor/artellia/
クロコン /(n) (abbr) cross-country skiing/
クロサイ /(n) (uk) black rhinoceros (Diceros bicornis)/
クロス /(n,vs) (1) cross/(2) gross/(3) cloth/(P)/
クロスアセンブラ /(n) (comp) cross assembler/
クロスエグザミネーション /(n) cross-examination/
クロスオーガニゼーション /(n) cross organization/
クロスオーバー /(n,vs) crossover/
クロスオーバーケーブル /(n) (comp) crossover cable/
クロスカウンター /(n) cross counter/
クロスカントリー /(n) (1) cross-country (skiing)/(2) (abbr) cross-country race/(P)/
クロスカントリースキー /(n) cross country skiing/
クロスカントリーレース /(n) cross-country race/
クロスキック /(n) cross kick (rugby)/
クロスグリ /(n) black-currant (Ribes nigrum)/cassis/
クロスケーブル /(n) (comp) crossover cable/
クロスゲーム /(n) close game/
クロスコネクト /(n) (comp) cross connect/
クロスコマンド /(n) (comp) XCMD/
クロスコンパイラ /(n) (comp) cross compiler/
クロスサイトスクリプティング /(n) (comp) cross-site scripting/
クロスシート /(n) cross seat/
クロスジイソハゼ /(n) Sebree's pygmy goby (Eviota sebreei)/
クロススティッチ /(n) cross-stitch/
クロスステッチ /(n) cross-stitch/
クロスズメダイ /(n) bowtie damselfish (Neoglyphidodon melas, species of Indo-West Pacific damselfish)/
クロスズメバチ /(n) (uk) Vespula flaviceps (species of yellowjacket)/
クロスセクション /(n) cross-section/
クロスセリング /(n) cross-selling/
クロスセル /(n) cross-selling (selling other products to a customer)/cross sell/
クロスチェック /(n) cross-check/
クロスチェックファン /(n) (comp) cross-checked fan/
クロストーク /(n) (comp) crosstalk/
クロストレーニング /(n) cross-training/
クロスニコル /(n) (abbr) crossed Nichol prism/
クロスハッチ /(n) (comp) cross hatch/
クロスバー /(n) crossbar/
クロスバー交換機 [クロスバーこうかんき] /(n) crossbar switchboard/
クロスバンカー /(n) cross bunker (golf)/
クロスファイア /(n) cross fire/
クロスフッティング /(n) (comp) crossfooting/
クロスプラットフォーム技術 [クロスプラットフォームぎじゅつ] /(n) (comp) cross-platform technology/
クロスプラットホーム /(n) (comp) cross-platform/
クロスプレー /(n) close play/
クロスヘッド /(n) crosshead/
クロスベルト /(n) crossed belt/
クロスボー /(n) crossbow/
クロスボーティング /(n) cross-voting/
クロスボウ /(n) crossbow/
クロスポイント /(n) (comp) crosspoint/
クロスポスト /(n) cross-post/
クロスライセンス /(n) cross-license/cross-licensing/
クロスランゲージ情報アクセス [クロスランゲージじょうほうアクセス] /(n) cross-language information access/
クロスランゲージ情報検索 [クロスランゲージじょうほうけんさく] /(n) (comp) cross-language information retrieval/CLIR/
クロスリファレンス /(n) (comp) cross reference/
クロスリファレンス形式 [クロスリファレンスけいしき] /(n,adj-no) (comp) (obsc) cross-referenced/
クロスレート /(n) cross rate/
クロスレファレンス /(n) cross-reference/
クロスワード /(n) crossword/(P)/
クロスワードパズル /(n) crossword puzzle/
クロス開発 [クロスかいはつ] /(n) (comp) cross development/
クロス集計 [クロスしゅうけい] /(n) (comp) cross tabulation/
クロス商い [クロスあきない] /(n) cross trade/
クロス積 [クロスせき] /(n) cross product/
クロゼット /(n) closet/
クロソイド /(n) clothoid/
クロソラスズメダイ /(n) dusky farmerfish (Stegastes nigricans, species of Indo-Pacific damselfish)/dusky gregory/
クロソラスズメダイ属 [クロソラスズメダイぞく] /(n) Stegastes (genus of damselfish in the family Pomacentridae)/
クロチョウガイ /(n) (uk) black-lip pearl oyster (Pinctada margaritifera)/
クロッカス /(n) crocus/
クロッキー /(n) sketch (fre: croquis)/rough draft/
クロッキー帳 [クロッキーちょう] /(n) (artist's) sketch pad/
クロッキング /(n) (comp) clocking/
クロック /(n) clock/(P)/
クロックアップ /(n) (comp) clock up/
クロックサイクル /(n) (comp) clock cycle/
クロックスピード /(n) (comp) clock speed/
クロックトラック /(n) (comp) clock track/
クロックパルス /(n) (comp) clock signal/clock pulse/
クロックレート /(n) (comp) clock rate/
クロック供給源 [クロックきょうきゅうげん] /(n) (comp) clock source/
クロック周波数 [クロックしゅうはすう] /(n) (comp) clock frequency/
クロック信号 [クロックしんごう] /(n) (comp) clock signal/clock pulse/
クロック速度 [クロックそくど] /(n) (comp) clock speed/clock frequency/clock rate/
クロック発振ロジック [クロックはっしんロジック] /(n) (comp) clock generation logic/
クロック分配 [クロックぶんぱい] /(n) (comp) clock (signal) distribution/
クロッケー /(n) croquet (fre:)/
クロッシングゾーン /(n) crossing zone/
クロップ /(n,vs) (comp) crop/
クロップドパンツ /(n) cropped pants/
クロツグミ /(n) (uk) Japanese thrush (Turdus cardis)/
クロテッドクリーム /(n) clotted cream/
クロテン /(n) (uk) sable (Martes zibellina)/
クロテングギンザメ /(n) Rhinochimaera africana (species of cartilaginous fish from the Southeast Atlantic)/
クロトウゾクカモメ /(n) (uk) parasitic jaeger/Arctic skua (Stercorarius parasiticus)/
クロトガリザメ /(n) (uk) silky shark (Carcharhinus falciformis, species of circumtropical requiem shark)/
クロトン /(n) croton (lat:)/
クロナマコ /(n) black sea cucumber (Holothuria atra)/
クロニクル /(n) chronicle/(P)/
クロネッカー /(n) Kronecker/
クロネッカーのデルタ /(n) Kronecker delta/
クロノ /(n) chrono/
クロノグラフ /(n) chronograph/
クロノスコープ /(n) chronoscope/(P)/
クロノバイオロジー /(n) chronobiology/
クロノメーター /(n) chronometer/
クロノロジー /(n) chronology/
クロハギ /(n) yellowfin surgeonfish (Acanthurus xanthopterus, Indo-Pacific species of tang)/
クロハギ属 [クロハギぞく] /(n) Acanthurus (type genus of surgeonfishes and tangs in the family Acanthuridae which have a pair of sharp spines on either side of the base of the tail)/
クロハコフグ /(n) spotted boxfish (Ostracion meleagris)/
クロバエ /(n) (uk) blowfly (excluding bluebottles and greenbottles)/
クロフウライチョウチョウウオ /(n) Indian vagabond butterflyfish (Chaetodon decussatus)/blackened butterflyfish/black-finned vagabond/
クロフサスグリ /(n) black-currant (Ribes nigrum)/
クロヘリメジロ /(n) (uk) copper shark (Carcharhinus brachyurus, only member of Carcharhinus found mostly at temperate latitudes)/bronze whaler/narrowtooth shark/
クロヘリメジロザメ /(n) (uk) copper shark (Carcharhinus brachyurus, only member of Carcharhinus found mostly at temperate latitudes)/bronze whaler/narrowtooth shark/
クロベ /(n) (uk) Japanese arborvitae (Thuja standishii)/
クロホシイソハゼ /(n) Smaragdus pygmy goby (Eviota smaragdus)/
クロホシマンジュウダイ /(n) (uk) spotted scat (Scatophagus argus, species of Indo-Pacific scat which occurs in green and red morphs)/green scat/red scat/
クロホシマンジュウダイ科 [クロホシマンジュウダイか] /(n) Scatophagidae (family containing 4 species in 2 genera of small Indo-Pacific fish commonly called scats which are known for eating feces)/
クロホシマンジュウダイ属 [クロホシマンジュウダイぞく] /(n) Scatophagus (genus of two species in the scats family Scatophagidae)/
クロホソオオトカゲ /(n) (uk) black tree monitor (Varanus beccarii, species of monitor lizard from the Aru Islands of eastern Indonesia)/Beccari's monitor/
クロマイ /(n) (abbr) chloromycetin/
クロマキー /(n) (comp) chroma key/
クロマクリア /(n) (comp) CROMACLEAR/
クロマクリア管 [クロマクリアかん] /(n) (comp) CromaClear Tube/
クロマチック /(adj-no,adj-na) chromatic/
クロマチン /(n) chromatin/
クロマトグラフィー /(n) chromatography/
クロマトグラム /(n) chromatogram/
クロマトロン /(n) chromatron/
クロマニョン /(n) Cro-Magnon/
クロマニョン人 [クロマニョンじん] /(n) Cro-Magnon man/
クロマルハナバチ /(n) (uk) Bombus ignitus (species of bumblebee)/
クロミスキネラセンス /(n) green puller (Chromis cinerascens)/green chromis/
クロミナンス /(n) (comp) chrominance/
クロミフェン /(n) clomiphene/
クロム /(n) chromium (Cr) (ger: Chrom, fre: chrome)/(P)/
クロムイエロー /(n) chrome yellow/
クロムグリーン /(n) chrome green (pigment made of chromium oxide, Cr2O3)/
クロムバナジウム鋼 [クロムバナジウムこう] /(n) chrome-vanadium steel/
クロムモリブデン鋼 [クロムモリブデンこう] /(n) chromium molybdenum steel/chrome molybdenum steel/
クロム鋼 [クロムこう] /(n) chrome steel/chromium steel/
クロム酸 [クロムさん] /(n) chromic acid/
クロム酸カリウム [クロムさんカリウム] /(n) potassium chromate/
クロム酸鉛 [クロムさんなまり] /(n) lead chromate (PbCrO4)/
クロム酸塩 [クロムさんえん] /(n) chromate/
クロム酸混液 [クロムさんこんえき] /(n) potassium dichromate-sulfuric acid solution/
クロム中毒 [クロムちゅうどく] /(n) chromium poisoning/
クロム鉄鉱 [クロムてっこう] /(n) chromite/
クロム明礬 [クロムみょうばん] /(n) chrome alum/
クロム鞣 [クロムなめし] /(n) tanning using chromium compounds (i.e. potassium dichromate, etc.)/
クロメクラウナギ /(n) brown hagfish (Eptatretus atami, species found in Japan)/
クロモ /(n) (1) (uk) hydrilla (species of aquatic plant, Hydrilla verticillata)/(2) Papenfussiella kuromo (species of brown algae)/
クロモンガラ /(n) pinktail durgon (durgeon) (triggerfish) (Melicthys vidua)/
クロモンツキ /(n) epaulette surgeonfish (Acanthurus nigricauda, Indo-Pacific species of tang)/blackstreak surgeonfish/
クロヤマアリ /(n) (uk) Japanese wood ant (Formica japonica)/
クロラール /(n) chloral (CCl3CHO)/trichloroethanal/
クロライチョウ /(n) (uk) black grouse (Tetrao tetrix)/blackcock (male black grouse)/greyhen (female black grouse)/
クロラミン /(n) chloramine/
クロラムフェニコール /(n) chloramphenicol/
クロルテトラサイクリン /(n) chlortetracycline/
クロルデン /(n) chlordane/
クロルピクリン /(n) chlorpicrin/
クロルプロマジン /(n) chlorpromazine/
クロルヘキシジン /(n) chlorhexidine/
クロレラ /(n) chlorella (alga) (lat:)/(P)/
クロロアセトフェノン /(n) chloroacetophenone/
クロロキン /(n) chloroquine/
クロロシス /(n) chlorosis/
クロロジフェニルアルシン /(n) chlorodiphenylarsine/
クロロピクリン /(n) chloropicrin/
クロロフィル /(n) chlorophyll/
クロロフルオロカーボン /(n) chlorofluorocarbon/CFC/
クロロプレン /(n) chloroprene/
クロロプレンゴム /(n) chloroprene rubber/
クロロベンゼン /(n) chlorobenzene/
クロロホルム /(n) chloroform/
クロロマイセチン /(n) chloromycetin/chloramphenicol/
クロワッサン /(n) croissant (fre:)/
クロン /(n) clone/
クワーティ /(n) (comp) qwerty/
クワイ /(n) (uk) Sagittaria trifolia var. edulis (edible variant of threeleaf arrowhead)/
クワイア /(n) choir/(P)/
クワガタ /(n) (1) hoe-shaped helmet crest/(2) (abbr) (uk) stag beetle/
クワガタムシ /(n) (uk) stag beetle/
クワキジラミ /(n) (uk) mulberry psyllid (Anomoneura mori)/
クワシオルコール /(n) kwashiorkor/
クワス /(n) kvass (fermented beverage resembling beer but made from rye or barley) (rus:)/
クワッガ /(n) quagga (extinct South African zebra) (Equus quagga quagga)/
クワドラント /(n) (comp) quadrant/
クワドラントカードスロット /(n) (comp) quadrant card slot/
クワルテット /(n) quartet (ita: quartetto)/(P)/
クワ科 [クワか] /(n) Moraceae (plant family)/mulberry/
クンクン /(n,adv,vs) (on-mim) sniff/
クンクン鳴く [クンクンなく] /(exp,v5k) to whine (of a dog)/
クンニ /(n) (abbr) cunnilingus/
クンニリングス /(n) cunnilingus/
ク活用 [クかつよう] /(n) classical form of i-adjective inflection (easily recognized by its attributive form ending in "ki" and predicative form ending in "shi")/
ク語法 [クごほう] /(n) creating a noun by affixing "ku" to the end of an inflectable word (i.e. "omowaku", "osoraku", etc.)/
グー /(adj-na) (1) good/(n) (2) goo/(3) rock (in rock-paper-scissors game)/(4) (col) fist/(P)/
グーグー /(adv,adv-to,vs) (1) snoring/(2) growling (low rumbling sound)/
グーグル /(n) (comp) Google (WWW search engine)/
グーグル八分 [グーグルはちぶ] /(n) (of a website) being delisted or censored by the Google search engine/
グースカ /(adv) soundly (of sleeping)/(sleeping) like a log/
グーズベリー /(n) gooseberry bush/
グータラ /(n,adj-na,adj-no) lazybones/good-for-nothing/idler/
グーテンモルゲン /(exp) good morning (ger: Guten Morgen)/
グーラグ /(n) Gulag (Soviet Union labor camp from 1930-1955)/
グーラッシュ /(n) goulash/
グーラミ /(n) gourami/
グーラミー /(n) gourami/
グール /(n) ghoul/(P)/
グールマン /(n) gourmand/
グールメ /(n) gourmet/
グール朝 [グールちょう] /(n) Ghurid Dynasty (of south Asia, approx. 1148-1215 CE)/
グーローシェーディング /(n) (comp) Gouraud shading/
グーングニル /(n) Gungnir (spear of Odin)/
グァテマラ /(n) Guatamala/
グァム /(n) Guam/
グアーガム /(n) guar gum/
グアテマラ /(n) Guatamala/(P)/
グアテマラ共和国 [グアテマラきょうわこく] /(n) Republic of Guatemala/(P)/
グアドループ島 [グアドループとう] /(n) Guadeloupe (island)/
グアナコ /(n) guanaco/
グアニジン /(n) guanidine/
グアニル酸 [グアニルさん] /(n) guanylic acid/
グアニン /(n) guanine/
グアノ /(n) guano/
グアノシン /(n) guanosine/
グアノシン三燐酸 [グアノシンさんりんさん] /(n) guanosine triphosphate/GTP/
グアバ /(n) guava/
グアム /(n) Guam/(P)/
グアム島 [グアムとう] /(n) Guam (island)/
グアヤク /(n) guaiacum/
グアヤコール /(n) guaiacol/
グイ /(adv-to) (on-mim) with a jerk/
グイッ /(adv-to) (on-mim) with a jerk/
グイッと呷る [グイッとあおる] /(exp,v5r) (uk) (vulg) to down another drink/to belt/
グェノン /(n) guenon (any Old World monkey of genus Cercopithecus)/
グエノン /(n) guenon (any Old World monkey of genus Cercopithecus)/
グエン朝 [グエンちょう] /(n) Nguyen Dynasty (Vietnam; 1802-1945)/
グキグキ /(adv,n,vs) (1) throbbing pain/(2) jerkily/awkwardly/
ググる /(v5r) (sl) to Google (i.e. to search for on the WWW using the Google search engine)/
ググル /(n) (comp) Google (WWW search engine)/
グシャグシャ /(adv-to,adv,adj-na,vs) (on-mim) soggy/mushy/crumpled/
グスベリー /(n) gooseberry/
グチグチ /(n,vs) (1) to mumble/to mutter/(2) to complain (continuously) about something/
グッジョブ /(int) (col) good job/
グッズ /(n) goods/promotional items/(P)/
グッタペルカ /(n) guttapercha (may:)/
グッチ /(n) Gucci/
グッド /(adj-na,n) good/(P)/
グッドアイディア /(n) good idea/
グッドアフターヌーン /(n) good afternoon/
グッドイヤー /(n) Goodyear/
グッドウィル /(n) good will/
グッドジョブ /(int) (col) good job/
グッドタイミング /(n) good timing/
グッドデザイン /(n) good design/
グッドデザインマーク /(n) good design mark/
グッドナイト /(exp) good night/
グッドバイ /(exp) goodby/goodbye/
グッドモーニング /(exp) good morning/
グッドラック /(int) Good luck/
グッドルッキング /(adj-f) good-looking/
グッドルックス /(n) good looks/
グッピー /(n) guppy/
グッモーニン /(int) G'morning/Good morning/
グニュー /(n) (comp) GNU (computer OS, project, etc.)/
グヌー /(n) (comp) GNU (computer OS, project, etc.)/
グノーシス /(n) gnosis (gre:)/
グノーシス主義 [グノーシスしゅぎ] /(n) gnosis/Gnosticism/
グプタ /(n) Gupta (dynasty of India, approx. 320-600 CE)/
グプタ朝 [グプタちょう] /(n) Gupta dynasty (of India, approx. 320-600 CE)/
グミ /(n) (uk) oleaster (any plant of genus Elaeagnus)/silverberry (US)/
グミ /(n) gummi (ger:)/gummi candy/gummi drop/
グミベア /(n) gummi bear/gummy bear/
グヤーシュ /(n) goulash/
グラーフ卵胞 [グラーフらんぽう] /(n) Graafian follicle/
グラーフ濾胞 [グラーフろほう] /(n) (obsc) Graafian follicle/
グラーベ /(n) (1) grave (tempo indication in music) (ita:)/(2) grave (accent in French, etc.)/
グラーヴェ /(n) (1) grave (tempo indication in music) (ita:)/(2) grave (accent in French, etc.)/
グライコ /(n) (abbr) graphic equalizer/graphic equaliser/(P)/
グライダー /(n) glider/(P)/
グライディング /(n) gliding/
グライドパス /(n) glide path/
グラインダー /(n) grinder/
グラインド /(n) grind/
グラウコーマ /(n) glaucoma/
グラウチング /(n) grouting/
グラウト /(n) grout/grouting (cement between tile squares)/
グラウンダー /(n) grounder/
グラウンド /(n) sports ground/sports oval/(P)/
グラウンドキーパー /(n) groundkeeper/
グラウンドシーツ /(n) groundsheet/
グラウンドストローク /(n) ground stroke/
グラウンドスマッシュ /(n) ground smash (tennis)/
グラウンドゼロ /(n) ground zero/
グラウンドパルプ /(n) ground pulp/
グラウンドホステス /(n) ground hostess/
グラウンドホッグ /(n) groundhog/
グラウンドボーイ /(n) bat boy/ground boy/
グラウンドマナー /(n) ground manners/
グラウンドルール /(n) ground rule/
グラウンドレスリング /(n) ground wrestling/
グラウンドワーク /(n) groundwork/
グラグ /(n) Gulag (Soviet Union labor camp from 1930-1955)/
グラゴル /(n) Glagolitic/
グラサン /(n) (abbr) (sl) sunglasses/
グラジオラス /(n) gladiolus/
グラス /(n) (1) glass/(2) grass/(P)/
グラスウール /(n) glass wool/
グラスゲージ /(n) glass gauge/
グラスコート /(n) grass court/
グラスジョー /(n) glass jaw/
グラススキー /(n) (1) glass fiber ski/glass fibre ski/(2) grass ski/
グラスステージ /(n) glass stage/
グラスノスチ /(n) glasnost (rus:)/(P)/
グラスハープ /(n) glass harp/
グラスハーモニカ /(n) glass harmonica/
グラスファイバー /(n) glass fiber/glass fibre/(P)/
グラスファイバーポール /(n) glass fiber pole/glass fibre pole/
グラスフィッシュ /(n) Asiatic glassfish (e.g. the Indian glassy fish, Parambassis ranga)/
グラスホッパー /(n) grasshopper/
グラスボート /(n) glass boat/
グラスリスト /(n) Generally Recognized as Safe list (Recognised)/GRAS list/
グラスルートデモクラシー /(n) grassroots democracy/
グラスロッド /(n) glass fiber rod/glass fibre rod/
グラスワーク /(n) glass work/
グラスワイン /(n) glass of wine (wasei: glass wine)/
グラタン /(n,adj-no) gratin (fre:)/(P)/
グラチェ /(exp) thank you (ita: grazie)/(P)/
グラッシ /(n) glacis (fre:)/
グラッセ /(n) glace (fre:)/
グラッパ /(n) grappa (ita:)/
グラデーション /(n) gradation/(P)/
グラディウス /(n) gladius/
グラディエーター /(n) gladiator/
グラディエント /(n) gradient/
グラドル /(n) (col) (abbr) bikini model (usually teenage) (wasei: gravure idol)/pin-up girl/
グラニット /(n) granite/
グラニュー /(n) granulated (sugar)/
グラニュー糖 [グラニューとう] /(n) granulated sugar/
グラニュライト /(n) granulite/
グラニュラリティ /(n) (comp) granularity/
グラノーラ /(n) granola/
グラハムブレッド /(n) graham bread/
グラバーハンド /(n) (comp) grabber hand/
グラビア /(n) gravure/photogravure/rotogravure/gravure picture/(P)/
グラビアアイドル /(n) bikini model (usually teenage) (wasei: gravure idol)/pin-up girl/
グラビアページ /(n) gravure page/
グラビア印刷 [グラビアいんさつ] /(n) photogravure/
グラビトン /(n) graviton/
グラフ /(n) graph/(P)/
グラファイト /(n) graphite/
グラフィカ /(adj-na,n) graphical/
グラフィカル /(adj-na,n) graphical/
グラフィカルインターフェイス /(n) graphical interface/
グラフィカルカーネルシステム /(n) (comp) Graphical Kernel System/GKS/
グラフィカルユーザーインターフェース /(n) (comp) graphical user interface/
グラフィカルユーザーインターフェイス /(n) (comp) graphical user interface/
グラフィカルユーザインタフェース /(n) (comp) graphical user interface/GUI/
グラフィクス /(ik) (n) graphics/
グラフィクス装置 [グラフィクスそうち] /(n) (comp) graphics device/
グラフィクス中核系 [グラフィクスちゅうかくけい] /(n) (comp) GKS/graphical kernel system/
グラフィッカー /(n) (comp) artist (of computer game) (wasei: graphic-er)/
グラフィック /(n,adj-no) (1) graphic/(2) graphic magazine/pictorial magazine/
グラフィックアート /(n) graphic arts/
グラフィックアクセラレータ /(n) (comp) graphics accelerator/
グラフィックイコライザー /(n) graphic equalizer/graphic equaliser/
グラフィックエンジン /(n) (comp) graphic engine/
グラフィックカード /(n) (comp) graphics card/
グラフィックス /(n) graphics/(P)/
グラフィックスアクセラレータ /(n) (comp) graphics accelerator/
グラフィックスアダプタ /(n) (comp) graphics adapter/
グラフィックスカード /(n) (comp) graphics card/
グラフィックスコプロセッサ /(n) (comp) graphics coprocessor/
グラフィックスコントローラ /(n) (comp) Graphics Controller/
グラフィックスサブシステム /(n) (comp) graphics subsystem/
グラフィックスターミナル /(n) (comp) graphics terminal/
グラフィックスタブレット /(n) (comp) graphics tablet/
グラフィックスチップ /(n) (comp) graphics chip/
グラフィックスフォーマット /(n) (comp) graphics format/
グラフィックスプリンタ /(n) (comp) graphics printer/
グラフィックスプロセシングユニット /(n) (comp) graphics processing unit/GPU/
グラフィックスボード /(n) (comp) graphics board/
グラフィックスワークステーション /(n) (comp) graphics workstation/GWS/
グラフィックソフト /(n) (comp) graphics software/software for graphics/
グラフィックソフトウェア /(n) (comp) graphics software/software for graphics/
グラフィックタブレット /(n) (comp) graphic tablet/
グラフィックツール /(n) (comp) graphic(al) tool/
グラフィックディスプレー /(n) graphic display/graphics display/
グラフィックディスプレイ /(n) (comp) graphic display/
グラフィックデザイナー /(n) graphic designer/
グラフィックデザイン /(n) graphic design/
グラフィックフィルタ /(n) (comp) graphic filter/graphics filter/
グラフィックモード /(n) (comp) graphics mode/
グラフィック基本要素 [グラフィックきほんようそ] /(n) (comp) graphical primitive elements/
グラフィック基本要素の表示要相 [グラフィックきほんようそのひょうじようそう] /(n) (comp) aspects of primitives/
グラフィック文字 [グラフィックもじ] /(n) (comp) graphics character/
グラフィティ /(n) graffiti/
グラフィティー /(n) graffiti/
グラフイック /(n,adj-no) (1) graphic/(2) graphic magazine/pictorial magazine/(P)/
グラフエリア /(n) (comp) chart area/
グラフスライド /(n) (comp) chart slide/
グラフマッチング /(n) graph-matching/
グラフ理論 [グラフりろん] /(n) graph theory/
グラフ領域 [グラフりょういき] /(n) (comp) graph area/
グラブ /(n) (1) glove (esp. sports)/mitt/(2) grab/(P)/
グラブバケット /(n) grab bucket/
グラベル /(n) gravel/
グラマー /(adj-na,n) (1) glamour/glamor/glamour girl/glamor girl/(2) buxom/full-breasted/(3) grammar/(P)/
グラマーガール /(n) glamour girl/glamor girl/
グラマースクール /(n) grammar school/
グラマーストック /(n) glamour stock/glamor stock/
グラマトロジー /(n) grammatology/
グラマラス /(adj-na) glamorous/
グラミー /(n) Grammy (award)/(P)/
グラミー賞 [グラミーしょう] /(n) Grammy Awards/Grammy Award/
グラムイオン /(n) gram ion/
グラムカロリー /(n) gram-calorie/
グラムトン /(n) gram-ton/
グラム陰性菌 [グラムいんせいきん] /(n) gram-negative bacteria/
グラム原子 [グラムげんし] /(n) gram atom/
グラム重 [グラムじゅう] /(n) gram-weight/
グラム染色 [グラムせんしょく] /(n) gram stain/
グラム当量 [グラムとうりょう] /(n) gram equivalent/
グラム分子 [グラムぶんし] /(n) gram molecule/
グラム陽性菌 [グラムようせいきん] /(n) gram-positive bacteria/
グランジ /(n) grunge/
グランス /(n) glans (lat:)/(P)/
グランゼコール /(n) grandes ecoles (French elite tertiary education institutions)/
グランデ /(n) grand (ita: grande)/(P)/
グラント /(n) (1) grant/(2) grunt/
グラントエレメント /(n) grant element/
グランド /(n) (1) gland/(2) grand/(3) ground (e.g. land, electrical, base material of textiles, etc.)/(P)/
グランドオペラ /(n) grand opera/
グランドスタンド /(n) grandstand/
グランドスタンドプレー /(n) grandstand play/
グランドスラム /(n) grand slam/
グランドセール /(n) grand sale/
グランドツーリングカー /(n) grand touring car/
グランドデザイン /(n) grand design/
グランドピアノ /(n) grand piano/(P)/
グランドファイナル /(n) grand final/
グランドフィナーレ /(n) grand finale/
グランドホステス /(n) female airline staff working at airports (wasei: grand hostess)/
グランドメニュー /(n) main menu in a restaurant, as opposed to the lunchtime menu/
グランプリ /(n) Grand Prix (fre:)/(P)/
グランプリレース /(n) Grand Prix race/
グリー /(n) glee/
グリーキング /(n) (comp) greeking/
グリーク /(n) Greek/
グリークラブ /(n) glee club/(P)/
グリース /(n) grease/
グリースカップ /(n) grease cup/
グリースガン /(n) grease gun/
グリーティングカード /(n) greeting card/
グリーニズム /(n) greenism/
グリーン /(adj-na,n) green/environmentally friendly/(P)/
グリーン・スキャット /(n) green scat (green morph of the spotted scat, Scatophagus argus)/
グリーン・ネオン・テトラ /(n) green neon tetra (Paracheirodon simulans)/
グリーン・ファイヤー・テトラ /(n) green fire tetra (Aphyocharax rathbuni)/redflank bloodfin/
グリーンＰＣ [グリーンピーシー] /(n) (comp) environmentally friendly computer (e.g. low power consumption) (wasei: green PC)/
グリーンアーキテクチャー /(n) green architecture/
グリーンアスパラガス /(n) green asparagus/
グリーンアノール /(n) green anole (Anolis carolinensis)/
グリーンイグアナ /(n) green iguana (Iguana iguana)/
グリーンエージ /(n) green age/
グリーンカード /(n) (1) green card (United States Permanent Resident Card)/(2) green card (international insurance certificate for United Kingdom motorists)/
グリーンカール /(n) var. of lettuce with curled leaves (wasei: green curl)/
グリーンクロミス /(n) green chromis (Chromis caerulea)/blue-green chromis/
グリーンコーディネーター /(n) green coordinator/
グリーンサラダ /(n) green salad/
グリーンスキャット /(n) green scat (green morph of the spotted scat, Scatophagus argus)/
グリーンスクール /(n) green school/(P)/
グリーンタフ /(n) green tuff/
グリーンツーリズム /(n) taking a relaxed holiday in a rural area (wasei: green tourism)/
グリーンティー /(n) green tea/
グリーンテクノロジー /(n) green technology/
グリーンネオンテトラ /(n) green neon tetra (Paracheirodon simulans)/
グリーンハウス /(n) greenhouse/
グリーンバードマウスラス /(n) green birdmouth wrasse (Gomphosus caeruleus)/checkerboard wrasse/Indian Ocean bird wrasse/
グリーンバック /(n) greenback/
グリーンピース /(n) (1) green peas/(2) Greenpeace/(P)/
グリーンファイヤーテトラ /(n) green fire tetra (Aphyocharax rathbuni)/redflank bloodfin/
グリーンフィー /(n) green fee/(P)/
グリーンブック /(n) (comp) Green Book/
グリーンベルト /(n) green belt/
グリーンベレー /(n) green beret/
グリーンボーイ /(n) green boy/
グリーンメーラー /(n) greenmailer/
グリーンメール /(n) greenmail/
グリーンランド /(n) Greenland/(P)/
グリーンランド島 [グリーンランドとう] /(n) Greenland/
グリーンリーフ /(n) green leaf/
グリーンレート /(n) green rate/
グリーンレボリューション /(n) green revolution/
グリーン券 [グリーンけん] /(n) green (car) ticket/
グリーン車 [グリーンしゃ] /(n) green car (1st class)/
グリア細胞 [グリアさいぼう] /(n) glial cell/glia/neuroglia/
グリオ /(n) Griot/Jeli/type of African poet or bard/
グリオー /(n) Griot/Jeli/type of African poet or bard/
グリオキシソーム /(n) glyoxysome/
グリオキシル酸回路 [グリオキシルさんかいろ] /(n) glyoxylate cycle/
グリグリ /(adv,n,vs) (1) (on-mim) grinding against/rubbing with turning movements (e.g. shoulders)/(2) hard lump under the skin (e.g. an adipous tumor or lymph node tumor)/(3) big and round eyes/googly eyes/(4) rattling sound/
グリグリ目玉 [グリグリめだま] /(n) big and round eyes/googly eyes/
グリコーゲン /(n) glycogen/(P)/
グリコール /(n) glycol/
グリコール酸 [グリコールさん] /(n) glycolic acid/
グリコシダーゼ /(n) glycosidase/
グリコシド /(n) glycoside/
グリシン /(n) glycine/
グリス /(n) grease/
グリズリー /(n) (1) (obsc) grizzly bear (Ursus arctos horribilis)/(2) brown bear (Ursus arctos)/
グリズリーベア /(n) (obsc) grizzly bear (Ursus arctos horribilis)/
グリセード /(n) glissade/
グリセオフルビン /(n) griseofulvin/
グリセリド /(n) glyceride/
グリセリン /(n) glycerin/glycerol/
グリセリン酸 [グリセリンさん] /(n) glyceric acid/
グリセルアルデヒド /(n) glyceraldehyde/
グリセロール /(n) glycerol/
グリッサンド /(n) glissando (ita:)/
グリッシーニ /(n) grissini (ita:)/
グリッチ /(n) (comp) glitch/
グリッディング /(n) gridding/
グリット /(n) (1) grit/(2) grid/
グリッド /(n) grid/
グリッドコンピューティング /(n) (comp) grid computing/
グリッドバイアス /(n) grid bias/
グリッドパターン /(n) (comp) grid pattern/
グリッドプラニング /(n) grid planning/
グリッドプラン /(n) grid plan/
グリップ /(n) grip/(P)/
グリニジ時 [グリニジじ] /(n) (obsc) Greenwich Time/
グリニッジ /(n) Greenwich (Mean Time)/(P)/
グリニッジ時 [グリニッジじ] /(n) (obsc) Greenwich Time/
グリニッジ標準時 [グリニッジひょうじゅんじ] /(n) Greenwich mean time/
グリニッジ平均時 [グリニッジへいきんじ] /(n) (obsc) Greenwich Mean Time/GMT/
グリフ /(n) (comp) glyph/
グリフィスエンジェルフィッシュ /(n) Griffis angelfish (Apolemichthys griffisi)/
グリフォン /(n) griffon/
グリフ形状 [グリフけいじょう] /(n) (comp) glyph shape/
グリフ座標系 [グリフざひょうけい] /(n) (comp) glyph coordinate system/
グリフ手続き [グリフてつづき] /(n) (comp) glyph procedure/
グリフ手続きインタプリタ [グリフてつづきインタプリタ] /(n) (comp) glyph procedure interpreter/
グリフ集合 [グリフしゅうごう] /(n) (comp) glyph collection/
グリフ像 [グリフぞう] /(n) (comp) glyph image/
グリフ配置量 [グリフはいちりょう] /(n) (comp) glyph metrics/
グリフ表現 [グリフひょうげん] /(n) (comp) glyph representation/
グリムの法則 [グリムのほうそく] /(n) Grimm's law/
グリモア /(n) grimoire/manual of black magic/book of magic and spells/
グリモワール /(n) grimoire/manual of black magic/book of magic and spells/
グリュイエール /(n) gruyere (fre:)/
グリル /(n) grill/(P)/
グリルカバー /(n) (comp) grill cover/
グリルコネクタ /(n) (comp) grill-mounted connector/grill-mounting connector/
グリルドチーズサンド /(n) grilled cheese sandwich/grilled cheese/
グリルドチーズサンドイッチ /(n) grilled cheese sandwich/grilled cheese/
グリンゴ /(n) gringo (spa:)/
グリンピース /(n) (1) green peas/(2) Greenpeace/(P)/
グリンプス /(n) glimpse/
グルー /(n) glue/(P)/
グルーオン /(n) gluon/
グルービー /(n) groovy/
グルーピー /(n) groupie/
グルーピング /(n,vs) grouping/
グルーピングエフェクト /(n) grouping-effect/
グループ /(n) group (usu. of people)/(P)/
グループ１動詞 [グループいちどうし] /(n) godan verb/
グループ２動詞 [グループにどうし] /(n) ichidan verb/type II verb/
グループＩＤ [グループアイディー] /(n) (comp) group identifier/GID/
グループアドレス /(n) (comp) group address/
グループインタビュー /(n) group interview/
グループウィンドウ /(n) (comp) group box/group window/
グループウェア /(n) (comp) groupware/
グループウエア /(n) groupware/
グループケア /(n) group care/
グループコミット /(n) (comp) group commit/
グループサウンズ /(n) rock band (wasei: group sounds)/
グループダイナミックス /(n) group dynamics/
グループディスカッション /(n) group discussion/
グループホーム /(n) group home/(P)/
グループボックス /(n) (comp) group box/group window/
グループワーク /(n) group work/
グループ化 [グループか] /(n) (comp) grouping/
グループ見出し [グループみだし] /(n) group heading/
グループ作業 [グループさぎょう] /(n) group interaction/
グループ絶縁 [グループぜつえん] /(n) (comp) grouping isolation/
グループ同報 [グループどうほう] /(n) (comp) group broadcast/
グループ分離キャラクタ [グループぶんりキャラクタ] /(n) (comp) group separator/GS/
グループ料金制 [グループりょうきんせい] /(n) (comp) group rate system/
グルーマー /(n) groomer/
グルーミー /(adj-na) gloomy/
グルーミング /(n) grooming/
グルーヴ /(n) groove/
グルになる /(exp) to conspire/
グルイン /(n) (abbr) group interview/
グルオン /(n) gluon/
グルカ /(n) Gurkha/
グルカゴン /(n) glucagon/
グルクマ /(n) Indian mackerel (Rastrelliger kanagurta)/
グルクロン酸 [グルクロンさん] /(n) glucuronic acid/
グルコース /(n) glucose/
グルココルチコイド /(n) glucocorticoid/
グルコサミン /(n) glucosamine/
グルコシド /(n) glucoside/
グルジア /(n) Georgia (rus: Gruziya)/
グルジアソビエト社会主義共和国 [グルジアソビエトしゃかいしゅぎきょうわこく] /(n) (former) Georgian Soviet Socialist Republic/Georgian SSR/GSSR/
グルタチオン /(n) glutathione/
グルタミン /(n) glutamine/
グルタミン酸 [グルタミンさん] /(n) glutamic acid/
グルタミン酸ソーダ [グルタミンさんソーダ] /(n) monosodium glutamate/MSG/
グルタミン酸ナトリウム [グルタミンさんナトリウム] /(n) monosodium glutamate/MSG/sodium glutamate/
グルテリン /(n) glutelin/
グルテン /(n) gluten/
グルテンミール /(n) gluten meal/
グルデン /(n) gulden/
グルフコース /(ik) (n) golf course/
グルフバッグ /(ik) (n) golf bag/
グルマン /(n) gourmand (fre:)/
グルメ /(n) gourmet (fre:)/(P)/
グレー /(adj-na,n) (1) grey (gray)/(P)/
グレーイング /(n) graying/greying/
グレーエンジェルフィッシュ /(n) Gray angelfish (Pomacanthus arcuatus)/
グレーカラー /(n) gray-collar/grey-collar/
グレーコード /(n) (comp) gray code/
グレーシャー /(n) glacier/
グレースケール /(n) (comp) gray scale/
グレーズ /(n,vs) (1) glaze/(vs) (2) graze/
グレーゾーン /(n) gray zone/grey zone/(P)/
グレーダー /(n) grader/
グレート /(n) great/(P)/
グレート・ハンマーヘッド /(n) great hammerhead (Sphyrna mokarran, the largest species of hammerhead shark)/
グレートデン /(n) Great Dane (type of dog)/
グレートハンマーヘッド /(n) great hammerhead (Sphyrna mokarran, the largest species of hammerhead shark)/
グレートブリテン /(n) Great Britain/
グレード /(n) grade/(P)/
グレードアップ /(n,vs) upgrade (wasei: grade up)/update/
グレーハウンド /(n) greyhound/
グレーバー /(n) graver/
グレービー /(n) gravy/
グレービーシマウマ /(n) (uk) Grevy's zebra (Equus grevyi)/
グレービー縞馬 [グレービーしまうま] /(n) (uk) Grevy's zebra (Equus grevyi)/
グレービー斑馬 [グレービーしまうま] /(n) (uk) Grevy's zebra (Equus grevyi)/
グレープ /(n) grape/
グレープジュース /(n) grape juice/
グレープフルーツ /(n) grapefruit/(P)/
グレーユニコーンフィッシュ /(n) gray unicornfish (Naso caesius, species of Pacific tang)/
グレーン /(n) grain (1-7000 of a pound, approx. 64.80 mg)/
グレーンウイスキー /(n) grain whisky/
グレア /(n) (comp) glare/
グレアフィルタ /(n) (comp) glare filter/
グレイ /(adj-na,n) (1) grey (gray)/(2) gray (SI unit of absorbed dose of radiation)/(P)/
グレイ・リーフ・シャーク /(n) grey reef shark (Carcharhinus amblyrhynchos, species of Indo-Pacific requiem shark)/
グレイオオトカゲ /(n) Gray's monitor (Varanus olivaceus, species of carnivorous monitor lizard from Luzon and the Catanduanes Islands in the Philippines)/
グレイス /(n) grace/
グレイテールエンジェルフィッシュ /(n) Chaetodontoplus poliourus (species for marine angelfish)/
グレイビー /(n) gravy/
グレイブ /(n) grave/
グレイリーフシャーク /(n) grey reef shark (Carcharhinus amblyrhynchos, species of Indo-Pacific requiem shark)/
グレインウイスキー /(n) grain whisky/grain whiskey/
グレコローマン /(n) Greco-Roman (style of wrestling)/
グレコローマンスタイル /(n) Greco-Roman style/(P)/
グレゴリオ /(n) Gregorian (calendar)/(P)/
グレゴリオ聖歌 [グレゴリオせいか] /(n) Gregorian chant/
グレゴリオ暦 [グレゴリオれき] /(n) Gregorian calendar/
グレシャムの法則 [グレシャムのほうそく] /(n) Gresham's Law ("when there is a legal tender currency, bad money drives good money out of circulation")/
グレップ /(n) (comp) grep/
グレナダ /(n,adj-no) Grenada/
グレナダ島 [グレナダとう] /(n) Grenada (island of)/
グレナディンシロップ /(n) grenadine syrup/
グレネード /(n) grenade/
グレビーシマウマ /(n) Grevy's zebra (Equus grevyi)/
グレビー縞馬 [グレビーしまうま] /(n) Grevy's zebra (Equus grevyi)/
グレムリン /(n) gremlin/
グレンチェック /(n) glen check/
グロ /(adj-na,n) (abbr) grotesque/(P)/
グローサリー /(n) grocery/
グロースターター /(n) glow starter/
グロースティック /(n) glowstick/neon light stick/
グロースリセッション /(n) growth recession/
グローバライゼイション /(n) globalization/globalisation/
グローバリスト /(n) globalist/
グローバリズム /(n) globalism/(P)/
グローバリゼーション /(n) globalization/globalisation/
グローバル /(adj-na,n) global/(P)/
グローバルＩＰアドレス [グローバルアイピーアドレス] /(n) (comp) global IP address/
グローバルアドレス /(n) (comp) global address/
グローバルウォー /(n) global war/
グローバルグループ /(n) (comp) global group/
グローバルサプライチェーン /(n) global supply-chain/
グローバルスタンダード /(n) global standards/
グローバルデータ /(n) (comp) global data/
グローバルデフレ /(n) global deflation/
グローバルトランザクション /(n) (comp) global transaction/
グローバルネットワークアドレス領域 [グローバルネットワークアドレスりょういき] /(n) (comp) global network addressing domain/
グローバルパワー /(n) global powers/
グローバルビレッジ /(n) global village/
グローバルマーケット /(n) global market/
グローバルメモリプール /(n) (comp) global memory pool/
グローバルローミング /(n) (comp) global roaming/
グローバル化 [グローバルか] /(n,vs) globalization/(P)/
グローバル形式 [グローバルけいしき] /(n) (comp) global format/
グローバル検索 [グローバルけんさく] /(n) (comp) global search/
グローバル宣言 [グローバルせんげん] /(n) (comp) global declaration/
グローバル変数 [グローバルへんすう] /(n) (comp) global variable/
グローバル名称 [グローバルめいしょう] /(n) (comp) global-title/
グローブ /(n) (1) glove (esp. sports)/(2) globe/(P)/
グローブボックス /(n) glove box/glove compartment/
グローライト・テトラ /(n) glowlight tetra (Hemigrammus erythrozonus)/
グローライトテトラ /(n) glowlight tetra (Hemigrammus erythrozonus)/
グローランプ /(n) glow lamp/
グローリー /(n) glory (i.e. an anticorona)/
グローリア /(n) gloria (lat: gloria)/
グローヴ /(n) glove/
グロー放電 [グローほうでん] /(n) glow discharge/
グロー放電発光分光法 [グローほうでんはっこうぶんこうほう] /(n) glow discharge optical emission spectrometry/
グロい /(adj-i) (sl) grotesque/disgusting/gross/
グロキシニア /(n) gloxinia/
グログラン /(n) grosgrain (silk or silk-like fabric) (fre: gros-grain)/
グロス /(n) (a) gross/
グロスオプティマイザ /(n) (comp) gloss optimizer/
グロストン /(n) gross ton/
グロッキー /(adj-na,n) groggy/
グロッギー /(adj-na,n) groggy/
グロッグ /(n) grog/
グロッサリー /(n) glossary/
グロッシー /(n) glossy/
グロッソラリア /(n) glossolalia (the phenomenon of speaking in tongues)/
グロテスク /(adj-na,n) grotesque/(P)/
グロビュール /(n) globule/
グロビン /(n) globin/
グロブリン /(n) globulin/
グロメット /(n) grommet/
グロリア /(n) gloria (lat: gloria)/(P)/
グロリオーサ /(n) gloriosa (flower) (lat:)/
グワカモーレ /(n) guacamole (spa:)/
グワカモレ /(n) guacamole (spa:)/
グワッシュ /(n) (1) gouache (fre:)/
グンバイヒルガオ /(n) (uk) beach morning glory (Ipomoea pes-caprae)/
グンバイムシ /(n) (uk) lace bug (any insect of family Tingidae)/
ケ /(ctr) (read as "ka") counter for the ichi-ni-san counting system (usu. directly preceding the item being counted)/a noun read using its on-yomi/
ケーエーナインキュー /(n) (comp) KA9Q/
ケーオー /(n,vs) KO/knock-out/(P)/
ケーオス /(n) chaos/
ケーキ /(n) cake/(P)/
ケーキサーバー /(n) cake server/
ケーキ作り [ケーキづくり] /(n) cake making/
ケーゲル /(n) pubococcygeal muscle/Kegel muscle/
ケーゴーロクエックスツー /(n) (comp) K56x2/
ケーゴーロクフレックス /(n) (comp) K56flex/
ケーシックス /(n) (comp) K6/
ケージ /(n) cage/(P)/
ケージャン /(n) Cajun/
ケージャン料理 [ケージャンりょうり] /(n) Cajun food/
ケース /(n) (1) case (e.g. receptacle, condition, event, legal action, letter style, etc.)/(2) (comp) Computer-Aided Software Engineering/CASE/(P)/
ケースアース /(n) chassis ground (wasei: case earth)/frame ground/
ケースカンファレンス /(n) case conference/
ケーススタディ /(n) case study/
ケーススタディー /(n) case study/(P)/
ケースセンシティブ /(n) (comp) case-sensitive/
ケースバイケース /(exp) case-by-case/
ケースブック /(n) casebook/
ケースマネージメント /(n) case management/
ケースメソッド /(n) case method/
ケースワーカー /(n) caseworker/(P)/
ケースワーク /(n) casework/
ケーソン /(n) caisson/
ケーソン工法 [ケーソンこうほう] /(n) caisson method/(P)/
ケーソン病 [ケーソンびょう] /(n) caisson disease/
ケータイ /(n,vs,adj-no) (1) something carried (in the hand)/handheld/(n) (2) (abbr) (col) mobile telephone/cell phone/
ケータイ小説 [ケータイしょうせつ] /(n) cellphone novel/
ケータリング /(n) catering/
ケータリングサービス /(n) catering service/
ケードロ /(n) cops and robbers (hide-and-seek game)/
ケーナ /(n) quena (Andean flute) (spa:)/
ケーバン /(n) (col) (abbr) mobile phone number/
ケーパー /(n) caper (Capparis spinosa)/
ケーパビリティ /(n) capability/
ケービング /(n) caving/
ケーファイブ /(n) (comp) K5/
ケーブル /(n) cable/(P)/
ケーブルＴＶ [ケーブルティービー] /(n) (comp) cable television/
ケーブルとアース線の配置 [ケーブルとアースせんのはいち] /(n) (comp) arrangement of cables and ground wires/
ケーブルの再工事 [ケーブルのさいこうじ] /(n) (comp) recabling/
ケーブルの切断 [ケーブルのせつだん] /(n) (comp) cable cut/
ケーブルアセンブリ /(n) (comp) cable assembly/
ケーブルインターネット /(n) cable internet/
ケーブルオペレータ /(n) (comp) cable operator/
ケーブルカー /(n) cable car/
ケーブルキット /(n) (comp) cable kit/cabling kit/
ケーブルクランプ /(n) (comp) cable clamp/
ケーブルコネクタ /(n) (comp) cable connector/
ケーブルサービスプロバイダ /(n) (comp) global service provider/
ケーブルセレクト /(n) (comp) cable select/
ケーブルテレビ /(n) cable television/
ケーブルテレビジョン /(n) cable television/
ケーブルマッチャー /(n) (comp) cable matcher/
ケーブルマネージャ /(n) (comp) cable manager/
ケーブルモデム /(n) (comp) cable modem/
ケーブルルータ /(n) (comp) cable router/
ケーブルレリーズ /(n) cable release/
ケーブル配線図 [ケーブルはいせんず] /(n) (comp) cabling diagram/
ケープ /(n) cape/(P)/
ケープペンギン /(n) Cape penguin/African penguin/blackfooted penguin/jackass penguin (Spheniscus demersus)/
ケーマン諸島 [ケーマンしょとう] /(n) Cayman (islands)/
ケール /(n) kale/
ケー番 [ケーばん] /(n) (col) (abbr) mobile phone number/
ケア /(n,vs) (1) care/(n) (2) kea (Nestor notabilis)/(P)/
ケアウエル /(n) (abbr) wellness care/
ケアサービス /(n) care service/
ケアハウス /(n) nursing care center/nursing care centre/
ケアプラン /(n) care plan/
ケアマネージメント /(n) care management/
ケアマネージャー /(n) care manager/
ケアマネジャー /(n) care manager/
ケアレスミス /(n) (abbr) careless mistake/
ケアワーカー /(n) care taker/
ケア付き住宅 [ケアつきじゅうたく] /(exp) accommodation facilities for disabled and aged people, with care provided/
ケイオス /(n) chaos/
ケイカー /(n) lightweight car with low registration costs/
ケイサツカン /(n) policemen/policeman/police officer/
ケイジャン /(n) Cajun/
ケイジャン料理 [ケイジャンりょうり] /(n) Cajun food/
ケイス /(n) (1) case (e.g. receptacle, condition, event, legal action, letter style, etc.)/(2) (comp) Computer-Aided Software Engineering/CASE/(P)/
ケイタイ /(n,vs,adj-no) (1) something carried (in the hand)/handheld/(n) (2) (abbr) (col) mobile telephone/cell phone/
ケイタイ小説 [ケイタイしょうせつ] /(n) cellphone novel/
ケイトウ /(n) (uk) silver cock's comb (Celosia argentea, esp. crested cock's comb, Celosia argentea var. cristata)/
ケイドロ /(n) cops and robbers (hide-and-seek game)/
ケイバン /(n) (col) (abbr) mobile phone number/
ケイパー /(n) caper (Capparis spinosa)/
ケイブダイビング /(n) cave diving/
ケイリン /(n) keirin/cycle racing event, usu. 2km with a paced start and sprint finish/
ケイワイ /(exp) to be unable to read the situation/to be unable to pick up on the mood of a conversation (e.g. A and B are complaining about C, and D joins the conversation praising C)/
ケイン /(n) cane/
ケインズ主義 [ケインズしゅぎ] /(n) Keynesianism/
ケイ化 [ケイか] /(n,vs) silicification/
ケイ化物 [ケイかぶつ] /(n) silicide/
ケイ砂 [ケイしゃ] /(n) silica sand/
ケイ酸 [ケイさん] /(n) silicic acid/
ケイ酸ナトリウム [ケイさんナトリウム] /(n) sodium silicate (Na2SiO3)/
ケイ酸塩 [ケイさんえん] /(n) silicate/
ケイ石 [ケイせき] /(n) silica/
ケイ素 [ケイそ] /(n) silicon (Si)/
ケイ素鋼 [ケイそこう] /(n) silicon steel/
ケイ素樹脂 [ケイそじゅし] /(n) silicone resin/
ケイ肺 [ケイはい] /(n) silicosis/
ケカアミ /(n) crosshatching/
ケカビ /(n) (uk) mucor/
ケガ人 [ケガにん] /(n) wounded or injured person/
ケサガケベラ /(n) splitlevel hogfish (Bodianus mesothorax)/mesothorax hogfish/eclipse pigfish/
ケサディージャ /(n) quesadilla (spa:)/
ケサディーヤ /(n) quesadilla (spa:)/
ケサランパサラン /(n) (1) flock from a vine-seed weed, used for face powder, and believed to promote desire and happiness/(2) animal from popular folklore with a white fluffy down made from dandelions and a rabbit's tail resembling a fluffy hairball/
ケショウフグ /(n) (uk) map puffer (Arothron mappa)/
ケシ粒 [ケシつぶ] /(n) (1) poppy seed/(adj-f) (2) pinhead-like/small as ants/
ケセラセラ /(exp) What will be, will be (spa: que sera, sera)/
ケセランパサラン /(n) (1) flock from a vine-seed weed, used for face powder, and believed to promote desire and happiness/(2) animal from popular folklore with a white fluffy down made from dandelions and a rabbit's tail resembling a fluffy hairball/
ケセランパセラン /(n) (1) flock from a vine-seed weed, used for face powder, and believed to promote desire and happiness/(2) animal from popular folklore with a white fluffy down made from dandelions and a rabbit's tail resembling a fluffy hairball/
ケタミン /(n) ketamine/
ケダニ /(n) trombiculid mite (any mite of family Trombiculidae)/
ケチつける /(v1) to find fault with/to rain on one's parade/to nitpick/to quibble/
ケチる /(v5r) (uk) (col) to be stingy/to scrimp/
ケチを付ける [ケチをつける] /(exp,v1) (uk) to find fault with/to rain on one's parade/to nitpick/to quibble/
ケチケチ /(adv,vs) stingy/tightfisted/miserly/
ケチャッパー /(n) (sl) someone who loves ketchup/
ケチャップ /(n) ketchup/catsup/(P)/
ケチュア /(n) Quechua (people)/Quecha/Quichua/
ケチュア族 [ケチュアぞく] /(n) Quechua (people)/Quecha/Quichua/
ケッチ /(n) ketch (two-masted vessel with a small mizzen)/
ケッチリグ /(n) ketch rig/
ケッテイ /(n) (uk) hinny/
ケットル /(n) kettle/
ケッパー /(n) caper (Capparis spinosa)/
ケッヘル番号 [ケッヘルばんごう] /(n) Koechel number (catalogue of Mozart's music)/
ケツの穴が小さい [ケツのあながちいさい] /(exp,adj-f) (id) small-minded/petty/cowardly/chicken-hearted/
ケツァール /(n) resplendent quetzal (Pharomachrus mocinno)/
ケトーシス /(n) ketosis/
ケトース /(n) ketose/
ケトル /(n) kettle/
ケトン /(n) ketone/
ケトン基 [ケトンき] /(n) ketone group/
ケトン酸 [ケトンさん] /(n) ketonic acid/
ケトン体 [ケトンたい] /(n) ketone body/
ケナガイタチ /(n) polecat/fitch/
ケナガネズミ /(n) (uk) Ryukyu long-haired rat (Diplothrix legata)/
ケニア /(n) Kenya/
ケニアンクロミス /(n) Kenyan chromis (Chromis nigroanalis)/
ケニア共和国 [ケニアきょうわこく] /(n) Republic of Kenya/
ケネリーヘビサイド層 [ケネリーヘビサイドそう] /(n) (obsc) Kennelly-Heaviside layer/
ケノトロン /(n) kenotron/
ケバブ /(n) kebab (tur:)/
ケビン /(n) cabin/
ケファリン /(n) cephalin (ger: Kephalin)/
ケフェイド変光星 [ケフェイドへんこうせい] /(n) Cepheid variable/
ケフェウス型変光星 [ケフェウスがたへんこうせい] /(n) Cepheid variable/
ケフェウス座 [ケフェウスざ] /(n) (constellation) Cepheus/
ケブカスズメバチ /(n) (uk) Japanese hornet (Vespa simillima, esp. subspecies Vespa simillima simillima)/yellow hornet/
ケプラーの法則 [ケプラーのほうそく] /(n) Kepler's laws/
ケプラー式望遠鏡 [ケプラーしきぼうえんきょう] /(n) Keplerian telescope/
ケベック /(n) Quebec (fre:)/(P)/
ケミカル /(n) chemical/(P)/
ケミカルシューズ /(n) chemical shoes/
ケミカルパルプ /(n) chemical pulp/
ケミカルヒートポンプ /(n) chemical heat pump/
ケミカルレース /(n) chemical lace/
ケミスト /(n) chemist/
ケミストリ /(n) chemistry/
ケミストリー /(n) chemistry/
ケヤキ /(n) (uk) Japanese zelkova (species of elm-like tree, Zelkowa serrata)/
ケラ /(n) (uk) mole cricket (esp. the Oriental mole cricket, Gryllotalpa orientalis)/
ケラチン /(n,adj-no) keratin (ger:)/
ケラマジカ /(n) Kerama deer/Ryukyu sika (Cervus nippon keramae)/
ケラレ /(n) vignetting (darkening of the perimeter of a photographic image)/
ケリ /(n) (uk) gray-headed lapwing (Microsarcops cinereus)/grey-headed lapwing/
ケルト /(n) Celt/
ケルト語 [ケルトご] /(n) Celtic (language)/
ケルト語派 [ケルトごは] /(n) Celtic (branch of languages)/
ケルビム /(n) cherubim (lat:)/
ケルビン /(n) kelvin/
ケルプ /(n) kelp/
ケルベロス /(n) (comp) Kerberos (computer security protocol)/
ケルメット /(n) (abbr) kelmet alloy/
ケルン /(n) (1) Koeln/Cologne/(2) cairn/(P)/
ケレオソート /(n) creosote/
ケレス /(n) (1) Ceres (dwarf planet)/(2) Ceres (Roman goddess of agriculture)/
ケレド /(n) credo (lat:)/
ケレン /(n) scraping/
ケロイド /(n,adj-no) keloid (ger:)/(P)/
ケロケロ /(n) (on-mim) ribbit (frog sound)/
ケロシン /(n) kerosene/
ケロモンガラ /(n) pinktail durgon (type of triggerfish) (Melichthys vidua)/
ケンタウア /(n) Centaur (gre: Kentauros)/
ケンタウル /(n) Centaur (gre: Kentauros)/
ケンタウルス /(n) Centaur (gre: Kentauros)/
ケンタウルス座 [ケンタウルスざ] /(n) (constellation) Centaurus/
ケンタウロス /(n) Centaur (gre: Kentauros)/
ケンタッキー /(n) Kentucky/
ケンチキ /(n) (abbr) (sl) Kentucky Fried Chicken/
ケント紙 [ケントし] /(n) Kent paper/
ケンネル /(n) kennel/
ケンブリッジ /(n) Cambridge/
ケンブリッジ学派 [ケンブリッジがくは] /(n) Cambridge school (of economics)/
ケンポナシ /(n) (uk) Japanese raisin tree (Hovenia dulcis)/
ケンミジンコ /(n) (uk) cyclops (any minute crustacean of genus Cyclops)/
ケンヤ /(n) Kenya/
ケ月 [かげつ] /(ctr) (number of) months/(P)/
ケ国 [かこく] /(ctr) counter for countries/
ケ国語 [かこくご] /(ctr) counter for languages/
ケ所 [かしょ] /(n) passage/place/point/part/
ゲ /(int) exclamation of surprised disappointment, disgust, or worry (yuck, ick, ack, eeew, crap!, blech, gross)/
ゲーゲー /(vs) to vomit/
ゲージ /(n) gauge/(P)/
ゲージガラス /(n) gauge glass/
ゲージブロック /(n) gauge block/
ゲージ圧力 [ゲージあつりょく] /(n) pressure gauge/
ゲージ理論 [ゲージりろん] /(n) gauge theory/
ゲージ粒子 [ゲージりゅうし] /(n) gauge boson/
ゲーズ語 [ゲーズご] /(n) Ge'ez (language)/
ゲーセン /(n) (abbr) game center/game centre/
ゲーデル /(n) Godel (Goedel)/
ゲート /(n) (1) gate (for entry, boarding, etc.)/(2) (comp) gate/(3) logic element/(P)/
ゲートアレイ /(n) (comp) gate array/
ゲートイン /(n,vs) entering the starting gate (wasei: gate in)/
ゲートウェー /(n) (comp) gateway/
ゲートウェー交換機 [ゲートウェーこうかんき] /(n) (comp) gateway switch/
ゲートウェイ /(n) (comp) gateway/
ゲートウェイサービス /(n) (comp) gateway service/
ゲートウエー /(n) gateway/
ゲートボール /(n) gate ball (game similar to croquet)/(P)/
ゲートル /(n) gaiter (fre: guetre)/spat/spats/
ゲート回路 [ゲートかいろ] /(n) gate circuit/
ゲーブルウインドー /(n) gable window/
ゲーマー /(n) gamer (someone who plays a game)/
ゲーム /(n) game/(P)/
ゲームの理論 [ゲームのりろん] /(n) game theory/theory of games/
ゲームオーバー /(n) game over/the game is over/
ゲームオール /(n) game all/
ゲームカウント /(n) game count/
ゲームカセット /(n) game-cassette/
ゲームコントロールアダプタ /(n) (comp) game control adapter/
ゲームセット /(n) game and set/game over/(P)/
ゲームセンター /(n) game centre (wasei: game center)/game arcade/video arcade/penny arcade/(P)/
ゲームソフト /(n) (comp) game software/
ゲームパッド /(n) gamepad/
ゲームポート /(n) (comp) game port/
ゲームポイント /(n) game point/
ゲームメーカー /(n) game maker/
ゲーム機 [ゲームき] /(n) console/game console/game machine/gaming machine/
ゲーム機エミュレータ [ゲームきエミュレータ] /(n) (game) emulator/
ゲーム差 [ゲームさ] /(n) distance in the standings between two teams expressed as the difference in number of games won or lost (baseball)/
ゲーム理論 [ゲームりろん] /(n) (comp) theory of games/
ゲーリュサックの法則 [ゲーリュサックのほうそく] /(n) Gay-Lussac's law/
ゲール語 [ゲールご] /(n) Gaelic (language)/
ゲイ /(n) gay/(P)/
ゲイセン /(n) (abbr) game center/game centre/
ゲイバー /(n) gay bar/
ゲイボーイ /(n) gay boy/
ゲイムセンター /(n) game centre (wasei: game center)/game arcade/video arcade/penny arcade/
ゲイリブ /(n) gay lib(eration)/(P)/
ゲイリュサックの法則 [ゲイリュサックのほうそく] /(n) Gay-Lussac's law/
ゲイル /(n) gale/
ゲイン /(n) gain/(P)/
ゲエズ語 [ゲエズご] /(n) Ge'ez (language)/
ゲオポリティーク /(n) geopolitic/geopolitics/
ゲシュタポ /(n) Gestapo (ger: Geheime Staatspolizei)/(P)/
ゲシュタルト /(n) gestalt (ger:)/
ゲシュタルト心理学 [ゲシュタルトしんりがく] /(n) Gestalt psychology/
ゲスト /(n) guest/(P)/
ゲストＩＤ [ゲストアイディー] /(n) (comp) guest ID/
ゲストＯＳ [ゲストオーエス] /(n) (comp) guest Operating System/
ゲストコンピュータ /(n) (comp) guest computer/
ゲストハウス /(n) guesthouse/
ゲストメンバー /(n) guest member/
ゲストルーム /(n) guest room/
ゲゼルシャフト /(n) society (ger:)/gesellschaft/
ゲッ /(int) exclamation of surprised disappointment, disgust, or worry (yuck, ick, ack, eeew, crap!, blech, gross)/
ゲッケイジュ /(n) (uk) bay laurel (Laurus nobilis)/bay tree/sweet bay/laurel tree/
ゲッター /(n) getter/
ゲッツー /(n) baseball double-play (wasei: get two)/
ゲット /(n,vs) (1) scoring a goal (point, etc.) (from get)/(vs) (2) to get (something)/to obtain/
ゲットー /(n) ghetto (ita:)/(P)/
ゲットウ /(n) (uk) shell ginger (Alpinia zerumbet)/
ゲットセット /(n) get set/
ゲットツー /(n) baseball double-play (wasei: get two)/
ゲトる /(v5r) (obsc) (sl) to get/
ゲネプロ /(n) costume rehearsal (ger: Generalprobe)/
ゲノム /(n) genome (ger: Genom)/(P)/
ゲノムプロジェクト /(n) genome project/
ゲノム分析 [ゲノムぶんせき] /(n) genome analysis/
ゲノン /(n) guenon (any Old World monkey of genus Cercopithecus)/
ゲバ /(n) (abbr) (political) violence/violent tactics used by political radicals/
ゲバリスタ /(n) Guevarista (spa:)/(P)/
ゲバルト /(n) (political) violence (ger: Gewalt)/violent tactics used by political radicals/
ゲフィルテフィッシュ /(n) gefilte fish/
ゲマインシャフト /(n) community (ger:)/gemeinschaft/
ゲマトリア /(n) gematria/
ゲラ /(n) (1) (abbr) galley (tray used for printing)/(2) galley proof/
ゲラゲラ /(adv,adv-to) (on-mim) guffaw/
ゲラダ狒々 [ゲラダひひ] /(n) gelada baboon/
ゲラダ狒狒 [ゲラダひひ] /(n) gelada baboon/
ゲラ刷り [ゲラずり] /(n) galley proof/
ゲリマンダー /(n) gerrymander/
ゲリラ /(n) guerrilla/(P)/
ゲリラライブ /(n) surprise concert (wasei: guerrilla live)/
ゲリラ戦 [ゲリラせん] /(n) guerrilla warfare/
ゲリラ兵 [ゲリラへい] /(n) guerrilla/
ゲル /(n) (1) gel (ger: Gel)/(2) money (ger: Geld)/(3) yurt (mon: gher)/(P)/
ゲルト /(n) money (ger: Geld)/
ゲルピン /(n) (abbr) money-shortage crisis (ger: Geld, eng: pinch)/
ゲルマニウム /(n) germanium (Ge) (ger:)/
ゲルマン /(n) germane (ger:)/(P)/
ゲルマン語派 [ゲルマンごは] /(n) Germanic (branch of languages)/
ゲルマン人 [ゲルマンじん] /(n) Germanic peoples/
ゲルンジー /(n) guernsey/
ゲル状 [ゲルじょう] /(n) (1) gel/(adj-no) (2) gelatinous/gelled/
ゲレーン /(n) grain (1-7000 of a pound, approx. 64.80 mg)/
ゲレイン /(n) grain (1-7000 of a pound, approx. 64.80 mg)/
ゲレンデ /(n) ski slope (ger: Gelaende)/(P)/
ゲロを吐く [ゲロをはく] /(exp,v5k) (col) to throw up/to spew/
ゲロゲロ /(n) (on-mim) ribbit (frog sound)/
ゲロゲロ鳴く [ゲロゲロなく] /(exp,v5k) to croak (e.g. like a frog)/
ゲン /(n) gene (ger: Gen)/(P)/
ゲンゴロウ /(n) (1) (uk) diving beetle/(2) Japanese predacious diving beetle (Cybister japonicus)/
ゲンゴロウブナ /(n) (uk) Japanese crucian carp (Carassius cuvieri)/white crucian carp/
ゲンソウ /(n) (uk) Thunberg's geranium (Geranium thunbergii)/
ゲンチアナ /(n) gentian (esp. the great yellow gentian, Gentiana lutea) (lat: gentiana)/
ゲンツェン /(n) Gentzen/
ゲンナリ /(adv,vs) wearily/dejectedly/
ゲンノショウコ /(n) (uk) Thunberg's geranium (Geranium thunbergii)/
ゲンロクダイ /(n) brown-banded butterflyfish (Chaetodon modestus)/modest butterflyfish/
コーカサス諸語 [コーカサスしょご] /(n) Caucasian languages/
コーカサス人種 [コーカサスじんしゅ] /(n) Caucasoid/
コーカソイド /(n) Caucasoid/
コーキング /(n,vs) caulking/calking/(P)/
コーク /(n) Coke/
コークス /(n) coke (ger: Koks)/
コークスクリュー /(n) corkscrew/(P)/
コークハイ /(n) Coke highball/
コーケ /(n) Coke/
コーシャー /(n) kosher/
コーション /(n) caution/
コージェネレーション /(n) cogeneration/co-generation/
コージェネレーションシステム /(n) co-generation system/cogeneration system/
コージェライト /(n) cordierite/
コージュロイ /(n) corduroy/
コース /(n) course/(P)/
コースウェア /(n) (comp) courseware/
コースウエア /(n) courseware/
コースオブスタディー /(n) course of study/
コースター /(n) coaster/(P)/
コースターブレーキ /(n) coaster brake/
コースト /(n) coast/
コースライン /(n) courseline/
コースレコード /(n) course record/
コースレット /(n) corselet/
コースロープ /(n) lane marks (wasei: course rope)/
コーダ /(n) coda (ita:)/
コーチ /(n,vs) coach/(P)/
コーチゾン /(n) cortisone/
コーチボックス /(n) coach's box/
コーチャー /(n) coach/coacher/
コーチン /(n) Cochin (breed of chicken)/
コーチングステッチ /(n) couching stitch/
コーテーションマーク /(n) quotation mark/
コーティング /(n,vs) coating/(P)/
コーテッドペーパー /(n) coated paper/
コーテッドレンズ /(n) coated lens/
コーディアライト /(n) cordierite/
コーディネーション /(n) coordination/
コーディネーター /(n) coordinator/(P)/
コーディネート /(n,vs) (1) coordinate/co-ordinate/coordination/(2) matching (e.g. clothes, accessories, furniture, colours)/(n) (3) matching outfit (clothes and accessories)/(P)/
コーディネイト /(n,vs) (1) coordinate/co-ordinate/coordination/(2) matching (e.g. clothes, accessories, furniture, colours)/(n) (3) matching outfit (clothes and accessories)/
コーディング /(n,vs) (comp) coding/
コーディングシステム /(n) coding system/
コーディング体系 [コーディングたいけい] /(n) (comp) coding system/
コーディング用紙 [コーディングようし] /(n) (comp) coding form/
コーデック /(n) (comp) codec/
コーデュロイ /(n) corduroy/
コート /(n) (1) coat/(2) court (i.e. tennis, basketball, etc.)/(P)/
コートジボアール /(n) (Republic of) Ivory Coast/Cote d'Ivoire/
コートジボワール /(n) (Republic of) Ivory Coast/Cote d'Ivoire/
コートドレス /(n) coatdress/
コートハウス /(n) courthouse/
コートヤード /(n) courtyard/
コート紙 [コートし] /(n) coated paper/
コード /(n) (1) code/(2) cord/(3) chord/(P)/
コードインデペンデント /(n) (comp) code-independent/
コードグループ /(n) (comp) code-group/
コードコンバータ /(n) (comp) code converter/
コードサイズ /(n) (comp) code size/
コードセット /(n) (1) code set/(2) cord set (electrical)/
コードセンシティブ /(adj-na) (comp) code-sensitive/
コードトランスペアレント /(adj-na) (comp) code-transparent/
コードネーム /(n) (1) chord-name/(2) code name/
コードバン /(n) cordovan (type of leather)/
コードビット /(n) (comp) code-bit/
コードブック /(n) code book/
コードブックス /(n) code-books/
コードプログラミング /(n) (comp) code programming/
コードページ /(n) (comp) code page/
コードページ切り替え [コードページきりかえ] /(n) (comp) code page switching/
コードペンダント /(n) cord pendant/
コードポイント /(n) (comp) code point/
コードモーフィングソフトウェア /(n) (comp) code morphing software/
コードレス /(n) cordless/(P)/
コードレステレフォニー /(n) (comp) cordless telephony/
コードレスホン /(n) cordless phone/(P)/
コードレス電話 [コードレスでんわ] /(n) cordless phone/
コード化 [コードか] /(n,vs) (comp) encoding/codification/
コード化画像 [コードかがぞう] /(n) (comp) coded image/
コード化集合 [コードかしゅうごう] /(n) (comp) coded set/
コード化表現 [コードかひょうげん] /(n) (comp) code element/code value/coded representation/
コード化文字集合 [コードかもじしゅうごう] /(n) (comp) coded character set/
コード拡張文字 [コードかくちょうもじ] /(n) (comp) code extension character/
コード管理 [コードかんり] /(n) (comp) code management/
コード構成 [コードこうせい] /(n) (comp) coding scheme/
コード刺繍 [コードししゅう] /(n) cord embroidery/
コード進行 [コードしんこう] /(n) chord progression (music)/
コード設計 [コードせっけい] /(n) (comp) code design/
コード体系 [コードたいけい] /(n) (comp) code/coding scheme/
コード値 [コードち] /(n) (comp) code element/code value/coded representation/
コード透過形データ通信 [コードとうかがたデータつうしん] /(n) (comp) code-transparent data communication/
コード独立形データ通信 [コードどくりつがたデータつうしん] /(n) (comp) code-independent data communication/
コード入力 [コードにゅうりょく] /(n) (comp) input by codes/
コード変換 [コードへんかん] /(n) (comp) code conversion/code translation/
コード変換器 [コードへんかんき] /(n) (comp) code converter/
コード名 [コードめい] /(n) (comp) code name/
コード要素 [コードようそ] /(n) (comp) code element/code value/coded representation/
コーナ /(n) corner/
コーナー /(n) corner/(P)/
コーナーカップボード /(n) corner cupboard/
コーナーキック /(n) corner kick (soccer)/
コーナーキャビネット /(n) corner cabinet/
コーナースロー /(n) corner throw/
コーナートップ /(n) corner top/
コーナーワーク /(n) corner work/
コーナリング /(n) cornering/(P)/
コーナリングランプ /(n) cornering lamp/
コーニス /(n) cornice/
コーネリアエ /(n) Aulonocara chizumulu (species of peacock cichlid, Aulonocara korneliae)/Aulonocara blue gold/
コーパス /(n) corpus/corpora/
コーパス言語学 [コーパスげんごがく] /(n) corpus linguistics/
コーパル /(n) copal/
コーヒー /(n,adj-no) (uk) coffee (eng: coffee, dut: koffie)/(P)/
コーヒーの木 [コーヒーのき] /(n) coffee tree/
コーヒーカップ /(n) coffee cup/(P)/
コーヒーショップ /(n) coffee shop/(P)/
コーヒーシロップ /(n) coffee syrup/
コーヒースタンド /(n) coffee stand/
コーヒーハウス /(n) coffee house/
コーヒーフロート /(n) coffee float/
コーヒーブラウン /(n) (brown) coffee/
コーヒーブレーク /(n) coffee break/
コーヒーブレイク /(n) coffee break/
コーヒーポット /(n) coffee pot/
コーヒーマグ /(n) coffee mug/
コーヒーミル /(n) coffee mill/coffee grinder/
コーヒーメーカー /(n) coffee maker/
コーヒー豆 [コーヒーまめ] /(n) coffee bean/
コーヒー粉 [コーヒーこ] /(n) coffee grounds/
コーヒー粉砕機 [コーヒーふんさいき] /(n) coffee grinder/coffee mill/
コーピング /(n) coping/
コープ /(n) coop/(P)/
コープス /(n) corpse/
コーヘン /(n) Cohen/
コーホート /(n) cohort (statistics,, biology, etc.)/
コーボルト /(n) kobold (evil spirit in German folklore) (ger: Kobolt)/goblin/
コーポ /(n) (abbr) corporated house/(P)/
コーポクラシー /(n) corpocracy/
コーポラス /(n) corporated house/
コーポラティズム /(n) corporatism/
コーポラティブハウス /(n) cooperative house/
コーポリマー /(n) copolymer/
コーポレーション /(n) corporation/(P)/
コーポレート /(adj-f) corporate/
コーポレートアイデンティティー /(n) corporate identity/(P)/
コーポレートガバナンス /(n) corporate governance/
コーポレートバンキング /(n) corporate banking/
コーポレートライセンス /(n) (comp) corporate license/
コーマ /(n) coma/
コーム /(n) (comp) comb/
コーラ /(n) cola/(P)/
コーライト /(n) coalite/semi-carbonized coke/semi-coke/
コーラス /(n) chorus/(P)/
コーラスガール /(n) chorus girl/
コーラル /(n) (1) coral/(adj-f) (2) choral/
コーラルアイランド /(n) coral island/
コーラルシーグレゴリー /(n) Coral Sea gregory (Stegastes gascoynei)/
コーラルリーディング /(n) choral reading (reading aloud in a group)/
コーラルリング /(n) coral ring/
コーラン /(n,adj-no) Koran (ara: kuran)/Qur'an/Quran/the Islamic holy book/(P)/
コーラングレ /(n) cor anglais (fre:)/
コーリャン /(n) variety of sorghum, esp. used in making spirits (chi: kaoliang)/
コーリャン酒 [コーリャンしゅ] /(n) kaoliang (strong distilled Chinese alcohol made from sorghum)/
コール /(n,vs) (1) call/(n) (2) coal/(3) (ksb:) cold/(P)/
コール・ド・バレエ /(n) corps de ballet (fre:)/
コールアングレ /(n) cor anglais (fre:)/
コールウエイティング /(n) (comp) call waiting/
コールオプション /(n) call option/
コールカッター /(n) coal cutter/
コールガール /(n) call girl/
コールサイン /(n) call sign/
コールサック /(n) Coalsack Nebula/
コールスロー /(n) coleslaw/
コールセットアップ /(n) (comp) call setup/
コールセンター /(n) (comp) call center/
コールタール /(n) coal tar/
コールタン /(n) (abbr) corded velveteen/
コールテン /(n) corded velveteen/corduroy/
コールド /(n) (1) cold/(2) called/(P)/
コールドウェーブ /(n) cold wave/
コールドウエーブ /(n) cold wave/
コールドウォー /(n) cold war/
コールドウオー /(n) cold war/
コールドカラー /(n) (obsc) cold colour (color)/
コールドクリーム /(n) cold cream/
コールドゲーム /(n) called game (baseball)/(P)/
コールドコーヒー /(n) cold coffee/
コールドスタート /(n) (comp) cold start/
コールドタイプ /(n) cold type/
コールドタイプシステム /(n) cold type system/
コールドチェーン /(n) cold chain/
コールドチキン /(n) cold chicken/
コールドバレエ /(n) corps de ballet (fre:)/
コールドパーマ /(n) (abbr) cold permanent wave/
コールドビーフ /(n) cold beef/
コールドフォルト /(n) (comp) cold fault/
コールドブート /(n) (comp) cold booting/
コールドボルテックス /(n) cold vortex/
コールドミート /(n) cold meat/
コールドリセット /(n) (comp) cold reset/
コールドロード /(n) (comp) cold load/
コールド負け [コールドまけ] /(n) loss of a match that is 'called' part way into the game/
コールナンバー /(n) call number/
コールバック /(n) call-back/
コールバックモデム /(n) (comp) callback modem/
コールバック機能 [コールバックきのう] /(n) (comp) call-back function/
コールピック /(n) coal pick/
コールブローカー /(n) call broker/
コールマネー /(n) call money/
コールユーブンゲン /(n) choir exercises (ger: Choruebungen)/
コールラビ /(n) kohlrabi/
コールレート /(n) call rate/
コールローン /(n) call loan/
コール酸 [コールさん] /(n) cholic acid/
コール市場 [コールいちば] /(n) call (money) market/call trading/
コール市場 [コールしじょう] /(n) call (money) market/call trading/
コール天 [コールてん] /(n) corded velveteen/corduroy/
コーレーグース /(n) (uk) (rkb:) capsicum/chili pepper (chile, chilli)/cayenne/red pepper/
コーレーグス /(n) (uk) (rkb:) capsicum/chili pepper (chile, chilli)/cayenne/red pepper/
コーレル /(n) (comp) Corel/
コーン /(n) (1) cone/(2) corn/(P)/
コーンウイスキー /(n) corn whiskey (whisky)/
コーンオイル /(n) corn oil/
コーンシロップ /(n) corn syrup/
コーンスープ /(n) corn soup/
コーンスターチ /(n) corn starch/(P)/
コーンスネーク /(n) corn snake (Elaphe guttata)/
コーンスノー /(n) corn snow/
コーンスピーカー /(n) cone speaker/
コーンズ /(n) (1) cones/(2) corns/
コーンチャウダー /(n) corn chowder/
コーンビーフ /(n) corned beef/
コーンフラワー /(n) cornflour/
コーンフレーク /(n) cold cereal/breakfast cereal/corn flakes/
コーンフレークス /(n) cold cereal/breakfast cereal/corn flakes/
コーンベルト /(n) corn belt/
コーンミール /(n) cornmeal/
コの字 [コのじ] /(n) U-shaped/
コア /(n) core/(P)/
コアを吐く [コアをはく] /(exp,v5k) (comp) to dump core/to dump memory contents/
コアカリキュラム /(n) core curriculum/
コアキシャルケーブル /(n) (comp) coaxial cable/
コアキシャルスピーカー /(n) coaxial loudspeaker/
コアシステム /(n) core system/
コアジサシ /(n) little tern (the official bird of Chiba)/sterna albifrons/
コアストア /(n) (comp) core store/
コアセルベート /(n) coacervate/
コアタイム /(n) core time/
コアダンプ /(n) (comp) core-dump/
コアックス /(n) (comp) coax/coaxial cable/
コアビジネス /(n) core business/
コアビタシオン /(n) cohabitation (fre:)/(P)/
コアプログラム /(n) (comp) core program/
コアホウドリ /(n) (uk) Laysan albatross (Diomedea immutabilis)/
コアラ /(n) koala/(P)/
コアリズム /(n) weight-loss exercises (wasei: core rhythm)/weight-loss body movements/
コアルータ /(n) (comp) core router/
コア技術 [コアぎじゅつ] /(n) (comp) core technology/
コア径 [コアケイ] /(n) (comp) core diameter (of a fiber)/
コイ /(n) Khoi (people)/Khoikhoi/Khoi-khoin/
コイガ /(n) (uk) common clothes moth (Tineola biselliella)/
コイサン /(n) Khoisan (Khoikhoi and San peoples of Southern Africa)/
コイタス /(n) coitus/(P)/
コイネー /(n) koine (post-classical Greek language) (gre:)/
コイバナ /(n) (abbr) love story/
コイル /(n) coil/(P)/
コイルガン /(n) coilgun (gun in which a magnetic projectile is propelled using electromagnetic coils)/
コイルスプリング /(n) coil spring/
コイルボビン /(n) coil bobbin/
コイワシクジラ /(n) (uk) (obsc) minke whale/piked whale (Balaenoptera acutorostrata)/
コイン /(n) coin/(P)/
コイン・パーキング /(n) coin-operated parking (spaces) (wasei: coin parking)/
コイントス /(n) coin toss/coin flipping/toss of a coin/
コインパーキング /(n) coin-operated parking (spaces) (wasei: coin parking)/
コインランドリー /(n) laundromat (wasei: coin laundry)/laundrette/
コインロッカー /(n) coin locker/(P)/
コイ族 [コイぞく] /(n) (obsc) Khoi (people)/Khoikhoi/Khoi-khoin/
コウイカ /(n) golden cuttlefish (Sepia esculenta)/cuttlefish (any species in the family Sepiidae)/
コウウチョウ /(n) (uk) brown-headed cowbird (Molothrus ater)/
コウカイチョウチョウウオ /(n) white-face butterflyfish (Chaetodon mesoleucos)/
コウカイミスジ /(n) blacktail butterflyfish (Chaetodon austriacus)/exquisite butterflyfish/
コウコナット /(n) coconut/
コウジンメヌケ /(n) (uk) (obsc) Sebastes iracundus (species of rockfish)/
コウゾ /(n) (uk) hybrid mulberry tree used to make Japanese paper (Broussonetia kazinoki x papyrifera)/
コウナゴ /(n) young lancefish/young sand lance/
コウノトリ /(n) (uk) stork (esp. the Oriental stork, Ciconia boyciana)/
コウノトリの揺り籠 [コウノトリのゆりかご] /(n) (uk) baby hatch for unwanted newborns at Jikei Hospital, Kumamoto (lit: stork's cradle)/
コウホネ /(n) (uk) Japanese spatterdock (species of water lily, Nuphar japonica)/
コウモリガ /(n) (uk) swift moth (Hepialidae spp., esp. Endoclita excrescens)/
コウヤノマンネングサ /(n) (uk) Climacium japonicum (species of moss)/
コウヤノマンネンゴケ /(n) (uk) Climacium japonicum (species of moss)/
コウライウグイス /(n) (uk) black-naped oriole (Oriolus chinensis)/
コウライオヤニラミ /(n) (uk) Coreoperca herzi (species of temperate perch)/
コウラウン /(n) (uk) red-whiskered bulbul (Pycnonotus jocosus)/
コウ丸 [コウがん] /(n,adj-no) testicles/testes/balls/
コエビ /(n) (1) shrimp (infraorder Caridea)/(2) small shrimp, prawn or lobster/
コエンザイム /(n) coenzyme/
コエンドロ /(n) coriander (Coriandrum sativum) (por: coentro)/
コオペラティヴシステム /(n) cooperative system/
コカの木 [コカのき] /(n) coca tree/
コカイン /(n) cocaine/(P)/
コカコーラ /(n) Coca-Cola/(P)/
コカトリス /(n) cockatrice/
コガシラベラ /(n) bluntheaded wrasse (Thalassoma amblycephalum)/bluehead wrasse/rainbow wrasse/
コガタスズメバチ /(n) (uk) yellow-vented hornet (Vespa analis)/
コガネオオトカゲ /(n) (uk) quince monitor (Varanus melinus, species of carnivorous monitor lizard native to Indonesia)/yellow-head monitor/
コガネスズメダイ /(n) yellow chromis (Chromis analis)/
コガネチョウチョウウオ /(n) pebbled butterflyfish (Chaetodon multicinctus)/multiband butterflyfish/
コガモ /(n) (uk) green-winged teal (species of duck, Anas crecca)/
コガラ /(n) (uk) willow tit (Parus montanus)/
コキール /(n) shell (fre: coquille)/
コキュ /(n) cuckold (fre: cocu)/
コキュー /(n) cuckold (fre: cocu)/
コギトエルゴスム /(exp) cogito, ergo sum (Descartes) (lat:)/(P)/
コギノコ /(n) (uk) Buckleya lanceolata (species of parasitic deciduous shrub)/
コギャル /(n) (abbr) obsessively trend-conscious teen-age girls/
コクーン /(n) cocoon/
コクる /(v5r,vt) (sl) to confess (one's love)/to propose (marriage)/to ask out (on a date)/
コクサッキーウイルス /(n) Coxsackie virus/
コクシエラバーネッティ /(n) Coxiella burnetii (causative agent of Q fever)/
コクシジウム /(n) coccidium/
コクシジウム症 [コクシジウムしょう] /(n) coccidiosis/
コクス /(n) coke (ger: Koks)/
コクゾウムシ /(n) (uk) maize weevil (Sitophilus zeamais)/
コクチバス /(n) (uk) smallmouth bass (Micropterus dolomieu)/
コクチマス属 [コクチマスぞく] /(n) Coregonus (genus of salmon in the family Salmonidae)/whitefishes/
コクテール /(n,adj-no) cocktail/
コクテンカタギ /(n) crochet butterflyfish (Chaetodon guentheri)/Gunther's butterflyfish/
コクテンサザナミハギ /(n) twospot surgeonfish (Ctenochaetus binotatus, species of bristletooth tang native to the Indo-Pacific)/
コクピット /(n) cockpit/(P)/
コクマルガラス /(n) (uk) Daurian jackdaw (Corvus dauuricus)/
コクワ /(n) (uk) hardy kiwi (Actinidia arguta)/tara vine/bower vine/
コクン /(adv-to) (1) (on-mim) nod deeply/(2) glugging/drinking deeply/
コクンコクン /(adv-to) (1) (on-mim) glugging/drinking deeply/(2) nodding deeply/
コケコッコー /(adv) (1) cock-a-doodle-doo (sound made by cockerels, roosters)/(n) (2) (sl) cockerel/rooster (childish term)/
コケッティシュ /(adj-na) coquettish/
コケット /(adj-na,n) coquette (fre:)/
コケットリー /(n) coquetterie (fre:)/
コケティッシュ /(adj-na) coquettish/
コケムシ /(n) (uk) moss animal (any animal of phylum Bryozoa)/
コケモモ /(n) (uk) cowberry (Vaccinium vitis-idaea)/mountain cranberry/foxberry/partridgeberry/
コケ威し [コケおどし] /(n) bluff/showing off/
コケ植物 [コケしょくぶつ] /(n) bryophyte (any of three groups of non-vascular land plants, inc. mosses, hornworts and liverworts)/
コゲラ /(n) (uk) pygmy woodpecker (Dendrocopos kizuki)/
ココア /(n) cocoa/(P)/
ココアダムゼルフィッシュ /(n) cocoa damselfish (Stegastes variabilis)/
ココス諸島 [ココスしょとう] /(n) Cocos (islands)/
ココナッツ /(n) coconut/
ココナッツオイル /(n) coconut oil/
ココナッツミルク /(n) coconut milk/
ココナット /(n) coconut/
ココナツ /(n) coconut/
ココノホシギンザメ /(n) Hydrolagus barbouri (species of cartilaginous fish found in the Sea of Japan and East China Sea)/
ココム /(n) Coordinating Committee for Export to Communist Area/COCOM/(P)/
ココムリスト /(n) COCOM list/
ココリス /(n) coccolith/
ココ椰子 [ココやし] /(n) coconut palm/
コサージ /(n) (1) corsage (fre:)/small bouquet worn by a woman/(2) (arch) bodice of a woman's dress/
コサージュ /(n) (1) corsage (fre:)/small bouquet worn by a woman/(2) (arch) bodice of a woman's dress/
コサイン /(n) cosine/cos/
コサック /(n,adj-no) Cossack/
コシ /(n) (1) back/lower back/waist/hips/lumbar region/(2) body (of hair, noodle, paper, etc.)/resilience/spring/
コシアブラノキ /(n) Acanthopanax sciadophylloides/
コシジロキンパラ /(n) white-rumped Munia (Lonchura striata)/
コシダ /(n) (uk) old world forked fern/Dicranopteris linearis/
コシヒカリ /(n) Koshihikari (variety of rice)/
コショウ /(n,adj-no) (uk) pepper/(P)/
コショウダイ /(n) (uk) crescent sweetlips (species of fish, Plectorhinchus cinctus)/
コジアスコ山 [コジアスコさん] /(n) Mount Kosciusko/
コジェネレーション /(n) cogeneration/co-generation/
コジェネレーションシステム /(n) co-generation system/cogeneration system/
コジュケイ /(n) (uk) Chinese bamboo partridge (Bambusicola thoracicus)/
コスる /(v5r) (sl) to cosplay/to dress up in costume (of some anime character, etc.)/
コスタリカ /(n) Costa Rica/(P)/
コスチューム /(n) costume/(P)/
コスチュームジュエリー /(n) costume jewelry/
コスチュームプレー /(n) (1) costume play/costume drama/(2) cosplay/
コスト /(n) cost/(P)/
コストアップ /(n,vs) increase in cost (wasei: cost up)/
コストインフレ /(n) cost inflation/
コストインフレーション /(n) cost inflation/
コストエフェクティブ /(n) (comp) cost effective/
コストコントロール /(n) cost control/
コストセービング /(n) cost saving/
コストダウン /(n,vs) cost down/
コストパーサウザンド /(n) cost per thousand/
コストパーサウスザンド /(n) cost per thousand/
コストパーフォーマンス /(ik) (n) cost performance/
コストパフォーマンス /(n) cost performance/
コストプッシュインフレーション /(n) cost-push inflation/
コストプラス契約 [コストプラスけいやく] /(n) cost-plus contract/
コストベネフィット分析 [コストベネフィットぶんせき] /(n) cost-benefit analysis/
コストマネジメント /(n) cost management/
コスト安 [コストやす] /(n,adj-no) low cost/
コスト割れ [コストわれ] /(n) pricing below cost/cutting into cost/
コスト効率 [コストこうりつ] /(n) cost effectiveness/
コスト高 [コストだか] /(n) high cost/high costs/
コスト削減 [コストさくげん] /(n) cost reduction/cost saving/
コスプレ /(n) (abbr) cosplay (dressing in costume, esp. as a manga character, etc.)/(P)/
コスプレイヤー /(n) cosplayer (someone who participates in cosplay)/cosplayers/
コスプレショー /(n) costume party (wasei: costume play show)/
コスメ /(n) (abbr) cosmetics/
コスメチック /(n) cosmetic/
コスメチックレンズ /(n) cosmetic lens/
コスメトロジー /(n) cosmetology/
コスモ /(n) cosmos/(P)/
コスモス /(n) cosmos/(P)/
コスモノート /(n) cosmonaut/
コスモポリス /(n) cosmopolis/
コスモポリタニズム /(n) cosmopolitanism/
コスモポリタン /(n) cosmopolitan/(P)/
コスモロジー /(n) cosmology/
コズミック /(n) cosmic/
コズミックボーリング /(n) bowling in a bowling alley that is lit up like a disco with lots of flashing lights (wasei: cosmic bowling)/
コセカント /(n) cosecant/
コソ /(n) (uk) kousso (African flowering plant, Hagenia abyssinica)/kosso/cusso/koso/brayera/
コソ花 [コソか] /(n) (obsc) kousso (vermifuge made from pistillate brayera flowers)/kosso/cusso/koso/
コタニワタリ /(n) (uk) hart's-tongue fern (Asplenium scolopendrium)/
コタンジェント /(n) cotangent/
コダシル /(n) (comp) CODASYL/
コダック /(n) Kodak/(P)/
コチ /(n) (uk) flathead (esp. the bartailed flathead, Platycephalus indicus)/
コチジャン /(n) gochujang (Korean red chili paste) (kor:)/
コチドリ /(n) (uk) little ringed plover (Charadrius dubius)/
コチニール /(n) cochineal/
コチュジャン /(n) gochujang (Korean red chili paste) (kor:)/
コチョウゲンボウ /(n) (uk) merlin (species of falcon, Falco columbarius)/pigeon hawk/
コッカースパニエル /(n) Cocker spaniel/
コッカトリース /(n) cockatrice/
コック /(n) (1) cook (dut: kok)/(2) tap/spigot/faucet/cock/(3) cock (male fowl)/(4) cock (penis)/(P)/
コックス /(n) cox/(P)/
コックドール /(n) coq d'or (fre:)/
コックニー /(n) cockney/
コックピット /(n) cockpit/(P)/
コックローチ /(n) cockroach/
コッター /(n) cotter/
コッテージ /(n) cottage/
コッテージチーズ /(n) cottage cheese/
コットン /(n) cotton/(P)/
コットンペーパー /(n) cotton paper/
コッパーマイン /(n) (comp) Coppermine/
コッフェル /(n) portable stove (outdoor gear) (ger: Kocher)/
コップ /(n) (1) glass (i.e. drinking vessel) (dut: Kop)/tumbler/(2) (sl) cop (police officer)/(P)/
コップの中の嵐 [コップのなかのあらし] /(exp) storm in a teacup/
コップ酒 [コップざけ] /(n) sake sold in a cup rather than a bottle/drinking sake from a regular-size cup rather than from a small sake cup/
コッヘル /(n) portable stove (outdoor gear) (ger: Kocher)/
コッペパン /(n) bread roll (wasei: coupe, wasei: pao)/
コツ /(n) (uk) knack/skill/trick/secret/know-how/the ropes/hang/
コツコツ /(adv,adv-to) (1) (on-mim) unflaggingly/steadily/untiringly/laboriously/(2) clicking/drumming/
コツコツ働く [コツコツはたらく] /(exp,v5k) to work hard/to moil/to keep one's nose to the grindstone/to slug away/
コツメ /(n) (abbr) otter/
コツメカワウソ /(n) (uk) Asian small-clawed otter (Aonyx cinerea)/
コテージ /(n) cottage/(P)/
コテージチーズ /(n) cottage cheese/
コテコテ /(adj-na,vs,adv) (1) (on-mim) over the top/(2) thickly/heavily/richly/
コテハン /(n) (col) (abbr) fixed (user) name (usu. with 2ch)/
コディアックヒグマ /(n) (uk) Kodiak bear (Ursus arctos middendorfii)/
コディアック羆 [コディアックひぐま] /(n) (uk) Kodiak bear (Ursus arctos middendorfii)/
コデイン /(n) codeine/
コトドリ /(n) (uk) superb lyrebird (Menura novaehollandiae)/
コトヨル /(n) (col) (abbr) abbreviation of "kotoshi mo yoroshiku onegai shimasu" (please be kind to me again this year)/
コドン /(n) codon/
コナ /(n) Kona (variety of Hawaiian coffee)/
コナーベーション /(n) conurbation/
コナコーヒー /(n) Kona coffee/
コナダニ /(n) mold mite (any mite of family Acaridae)/
コナミコマンド /(n) Konami Code (for the video games Gradius, Contra, etc.)/
コナラ /(n) konara oak/quercus serrata/
コニーデ /(n) Fujiyama-shaped volcano (ger: Konide)/(P)/
コニイン /(n) coniine/
コニファー /(n) conifer/
コニャック /(n) cognac (fre:)/(P)/
コニングシ /(n) Aulonocara koningsi (species of peacock cichlid from Lake Malawi, E. Africa)/
コヌカグサ /(n) (uk) redtop (species of bent grass, Agrostis gigantea)/
コネ /(n) (abbr) connection/pull/(P)/
コネクショニスト /(n) connectionist/
コネクショニストモデル /(n) connectionist-model/
コネクショニズム /(n) connectionism/
コネクション /(n) connection/(P)/
コネクションオリエンテッド /(n) (comp) connection oriented/
コネクショントラヒック記述子 [コネクショントラヒックきじゅつし] /(n) (comp) connection traffic descriptor/
コネクションプロビジョニング /(n) (comp) connection provisioning/
コネクションレス /(n) (comp) connectionless/
コネクションレス型 [コネクションレスがた] /(n) (comp) connectionless communication/
コネクションレス型ネットワーク伝送 [コネクションレスがたネットワークでんそう] /(n) (comp) connectionless-mode (network communications)/
コネクション管理 [コネクションかんり] /(n) (comp) CMT/Connection Management/
コネクション許可制御 [コネクションきょかせいぎょ] /(n) (comp) connection admission control/CAC/
コネクション型 [コネクションがた] /(n) (comp) connection-type/connection-oriented/
コネクション指向 [コネクションしこう] /(n) (comp) connection oriented/
コネクション識別子 [コネクションしきべつし] /(n) (comp) connection identifier/
コネクション制御 [コネクションせいぎょ] /(n) (comp) connection control/
コネクション設定 [コネクションせってい] /(n) (comp) connection setup, initialization/
コネクション単位 [コネクションたんい] /(n) (comp) per-connection/by connection/
コネクション統計 [コネクションとうけい] /(n) (comp) connection statistics/
コネクション容量 [コネクションようりょう] /(n) (comp) connection capacity/
コネクション要求 [コネクションようきゅう] /(n) (comp) connection request/
コネクタ /(n) (comp) connector/
コネクター /(n) (comp) connector/
コネクタポイント /(n) (comp) connector point/
コネクティビティ /(n) (comp) connectivity/
コネクティングロッド /(n) connecting rod/
コネクト /(n,vs) connect/
コネクトチャージ /(n) (comp) connect charge/
コネチカット /(n) Connecticut/
コノシロ /(n) (uk) konoshiro gizzard shad (Konosirus punctatus)/
コノテーション /(n) connotation/
コノハズク /(n) (uk) Eurasian scops owl (Otus scops)/
コノハドリ /(n) (uk) leafbird/fairy bluebird/
コノハムシ /(n) (uk) leaf insect (esp. species Phyllium pulchrifolium)/
コハウチワカエデ /(n) Siebold maple/acer sieboldianum/
コハク酸 [コハクさん] /(n) succinic acid/
コハダ /(n) (uk) mid-sized konoshiro gizzard shad (i.e. about 15 cm in size)/
コハビテーション /(n) cohabitation/
コバステッチ /(n,vs) topstitch (dressmaking) (eng: cover stitch)/
コバタン /(n) (uk) yellow-crested cockatoo (Cacatua sulphurea)/
コバラミン /(n) cobalamin/
コバルト /(n,adj-no) cobalt (Co)/(P)/
コバルト６０ [コバルトろくじゅう] /(n) cobalt-60/
コバルトグリーン /(n) cobalt green/
コバルトブルー /(n) cobalt blue/(P)/
コバルト華 [コバルトか] /(n) cobalt bloom/erythrite/erythrine/red cobalt/cobalt ocher/
コバルト照射療法 [コバルトしょうしゃりょうほう] /(n) cobalt radiation therapy/
コバルト爆弾 [コバルトばくだん] /(n) cobalt bomb/
コバルト六〇 [コバルトろくじゅう] /(n) cobalt-60/
コバンヒメジ /(n) Indian goatfish (Parupeneus indicus)/Yellowspot goatfish/
コパル /(n) copal/
コヒーラー /(n) coherer/
コヒーレンス /(n) coherence/
コヒーレント /(n) coherent/
コビトイソハゼ /(n) twospot pygmy goby (Eviota distigma)/
コビトカバ /(n) (uk) pygmy hippopotamus (Choeropsis liberiensis)/
コビトスズメダイ /(n) midget chromis (Chromis acares)/
コビトペンギン /(n) (uk) little penguin (Eudyptula minor)/fairy penguin/
コビレゴンドウ /(n) (uk) short-finned pilot whale (Globicephala macrorhyncus)/
コピー /(n,vs) (1) copy/photocopy/(2) blurb on a book jacket/(3) (abbr) catch copy/(P)/
コピーアンドペースト /(n) (comp) copy and paste/
コピーガード /(n) copy guard/
コピーコントロール /(n) copy control/
コピープログラム /(n) (comp) copy program/
コピープロテクション /(n) (comp) copy protection/
コピープロテクト /(n) (comp) copy protection/
コピーペースト /(n) (comp) copy and paste/
コピーライター /(n) copywriter/
コピーライト /(n) copyright/(P)/
コピーレフト /(n) (comp) copyleft/
コピーワンス /(n) copy once (regulation)/
コピー機 [コピーき] /(n) copier/copy machine/(P)/
コピー機器 [コピーきき] /(n) (comp) copier/copy machine/
コピー食品 [コピーしょくひん] /(n) artificial food (fabricated to resemble rare or expensive foods)/
コピー本 [コピーほん] /(n) photocopy book/staplebound book/
コピー用紙 [コピーようし] /(n) copier paper/photocopying paper/
コピる /(v5r) to copy/
コピペ /(n,vs) (abbr) copy-and-paste/
コピュラ /(n) (1) (ling) copula/
コフィン /(n) coffin/
コフキコガネ /(n) (uk) Japanese cockchafer (Melolontha japonica)/
コブウシ /(n) (uk) zebu/
コブハクチョウ /(n) (uk) mute swan (Cygnus olor)/
コブラ /(n) cobra/(P)/
コブラツイスト /(n) cobra twist/abdominal stretch/
コプト /(n) Copt/
コプト教会 [コプトきょうかい] /(n) Coptic Church/
コプト語 [コプトご] /(n) Coptic (language)/
コプラ /(n) (1) copra/(2) (ling) copula/
コプロ /(n) (comp) coprocessor/
コプロセッサ /(n) (comp) coprocessor/
コヘレトの言葉 [コヘレトのことば] /(n) Ecclesiastes (book of the Bible) (lit: words of Qohelet)/
コペイカ /(n) kopeck/kopek/copeck/
コペック /(n) kopeck/
コペラ /(n) splashing goby (Copella spp.) (lat: Copella)/splash goby/
コペルニクス /(n) Kopernikus/Coponicus/(P)/
コペルニクス的転回 [コペルニクスてきてんかい] /(n) Copernican revolution/
コホート /(n) cohort (statistics,, biology, etc.)/
コホモロジー /(n) (math) cohomology/
コボル /(n) (comp) Common Business Oriented Language/COBOL/
コボルト /(n) kobold (evil spirit in German folklore) (ger: Kobolt)/goblin/
コボルド /(n) kobold (evil spirit in German folklore) (ger: Kobolt)/goblin/
コポルマー /(n) copolymer/
コマ /(n) (1) coma/(2) frame in a film or video/(P)/
コマーシャリズム /(n) commercialism/
コマーシャル /(n) commercial (e.g. TV)/(P)/
コマーシャルアート /(n) commercial art/
コマーシャルソング /(n) commercial song/
コマーシャルデザイン /(n) commercial design/
コマーシャルパッケージ /(n) commercial package/
コマーシャルフィルム /(n) commercial film/
コマーシャルベース /(n) commercial base/
コマーシャルペーパー /(n) commercial paper/
コマーシャルメッセージ /(n) commercial message/
コマース /(n) (comp) commerce/
コマースサーバー /(n) (comp) commerce server/
コマイ /(n) (1) (uk) saffron cod (Eleginus gracilis)/
コマクサ /(n) (uk) dicentra (Dicentra peregrina)/
コマソン /(n) (abbr) commercial song/commercial jingle/
コマツグミ /(n) (uk) American robin (Turdus migratorius)/
コマツナ /(n) type of rape, potherb mustard, kyouna, mizuna (Brassica juncea var. japonica)/
コマドリ /(n) (uk) Japanese robin (Erithacus akahige)/
コマユミ /(n) spindle tree/euonymus alatus f. ciliatodentatus/
コマンタレブー /(exp) Comment allez-vous? (fre:)/
コマンド /(n) (1) (comp) (computer) command/(2) commando/(P)/
コマンドＰＤＵ [コマンドピーディーユー] /(n) (comp) command PDU/
コマンドインタープリタ /(n) (comp) command interpretor/
コマンドインタープリター /(n) (comp) command interpretor/
コマンドウィンドウ /(n) (comp) command window/
コマンドキー /(n) (comp) command key/
コマンドコム /(n) (comp) COMMAND.COM/
コマンドシーケンス /(n) (comp) command sequence/
コマンドシンタックス /(n) (comp) command syntax/
コマンドタイムアウト /(n) (comp) command timeout/
コマンドパラメータ /(n) (comp) command parameter/
コマンドフレーム /(n) (comp) command frame/
コマンドプロセッサ /(n) (comp) command processor/
コマンドプロンプト /(n) (comp) command prompt/
コマンドプロンプトウィンドウ /(n) (comp) command prompt window/
コマンドボタン /(n) (comp) command button/
コマンドモード /(n) (comp) command mode/
コマンドモジュール /(n) command module/
コマンドライン /(n) (comp) command line/
コマンドラインインターフェイス /(n) (comp) command line interface/
コマンドラインインタフェース /(n) (comp) command-line interface/CLI/
コマンドレット /(n) (comp) commandlet/cmdlet/
コマンドレットプロバイダ /(n) (comp) cmdlet provider/
コマンドレベル /(n) (comp) command level/
コマンド記述ブロック [コマンドきじゅつブロック] /(n) (comp) command descriptor block/
コマンド駆動型システム [コマンドくどうがたシステム] /(n) (comp) command driven method/command-driven system/
コマンド検索パス [コマンドけんさくパス] /(n) (comp) command search path/
コマンド行 [コマンドぎょう] /(n) (comp) command line/
コマンド行引数 [コマンドぎょうひきすう] /(n) (comp) command line argument/
コマンド待ち状態 [コマンドまちじょうたい] /(n) (comp) command state/
コマンド入力 [コマンドにゅうりょく] /(n) (comp) command input/
コマンド入力型インタフェース [コマンドにゅうりょくがたインタフェース] /(n) (comp) command-oriented user interface/
コマンド名 [コマンドめい] /(n) (comp) command name/
コマンド要求 [コマンドようきゅう] /(n) (comp) command request/
コマンド履歴 [コマンドりれき] /(n) (comp) command history/
コマ割り [コマわり] /(n) panel layout/
コミカル /(adj-na,n) comical/(P)/
コミカレ /(n) (col) (abbr) community college/
コミケ /(n) (abbr) comic (book) market/
コミケット /(n) (abbr) comic market/convention where amateur manga artists sell their work/
コミック /(adj-na,n) comic books/comics/(P)/
コミックオペラ /(n) comic opera/
コミックス /(n) comics/(P)/
コミックストリップ状画像 [コミックストリップじょうがぞう] /(n) (comp) comic strip-oriented image/
コミックソング /(n) comic song/
コミックブック /(n) comic book/
コミッショナー /(n) commissioner/(P)/
コミッション /(n) commission/(P)/
コミッティー /(n) committee/
コミット /(n,vs) (comp) commit/(P)/
コミットメント /(n) commitment/
コミットメント単位 [コミットメントたんい] /(n) (comp) commitment unit/
コミットメント調整者 [コミットメントちょうせいしゃ] /(n) (comp) commitment coordinator/
コミットログ記録 [コミットログきろく] /(n) (comp) log-commit record/
コミット準備完了状態 [コミットじゅんびかんりょうじょうたい] /(n) (comp) ready-to-commit state/
コミット調整担当 [コミットちょうせいたんとう] /(n) (comp) commit coordinator/
コミネカエデ /(n) garden maple/komine maple/acer micranthum/
コミュ /(n) (comp) (abbr) community/
コミューター /(n) commuter/
コミューターサービス /(n) commuter service/
コミューターマリッジ /(n) commuter marriage/
コミューター航空 [コミューターこうくう] /(n) commuter aviation/
コミューン /(n) commune (fre:)/
コミュナリズム /(n) communalism/
コミュニケ /(n) communique (fre:)/(P)/
コミュニケーション /(n) communication/(P)/
コミュニケーションギャップ /(n) communications gap/
コミュニケーショングッズ /(n) communications goods/
コミュニケーションサーバー /(n) (comp) communication server/
コミュニケーションシステム /(n) (comp) communication system/
コミュニケーション科学基礎研究所 [コミュニケーションかがくきそけんきゅうしょ] /(n) Communication Science Laboratories/
コミュニケーション理論 [コミュニケーションりろん] /(n) (comp) communication theory/
コミュニケーター /(n) communicator/operator in a telemarketing business/
コミュニケート /(n,vs) communicate/
コミュニケイション /(n) communication/
コミュニスト /(n) communist/
コミュニズム /(n) communism/
コミュニタス /(n) communitas/
コミュニタリアン /(n) communitarian/
コミュニティ /(n) community/(P)/
コミュニティー /(n) community/(P)/
コミュニティーオーガニゼーション /(n) community organization/
コミュニティーカレッジ /(n) junior college/community college/
コミュニティーケア /(n) community care/
コミュニティースクール /(n) community school/
コミュニティースポーツ /(n) community sports/
コミュニティーセンター /(n) community center/community centre/
コミュニティーペーパー /(n) community paper/
コミュニティーメディア /(n) community media/
コミンテルン /(n) Komintern (rus:)/Comintern/(P)/
コミント /(n) communications intelligence (comint)/
コミンフォルム /(n) Cominform/Communist Information Bureau/
コム /(n) (comp) computer output microfilm system/COM/(P)/
コムカデ /(n) (uk) symphylan (any centipede-like arthropod of class Symphyla)/
コムサット /(n) comsat/communications satellite/
コムソモール /(n) Komsomol (rus:)/(P)/
コムツー /(n) (comp) COM2/
コムデックス /(n) (comp) COMDEX/
コムロ /(vs) (sl) to make an all-night vigil/to spend a sleepless night/
コムワン /(n) (comp) COM1/
コメ /(n,vs) (1) (abbr) comment/(2) (blog) comment/
コメクイドリ /(n) (uk) (obsc) bobolink (species of songbird, Dolichonyx oryzivorous)/
コメコン /(n) Council for Mutual Economic Assistance/COMECON/(P)/
コメット /(n) comet/
コメツキムシ /(n) (uk) click beetle/skipjack (beetle of family Elateridae)/
コメツブイソハゼ /(n) Eviota sp.3 (species of pygmy goby)/
コメディ /(n) comedy/
コメディー /(n) comedy/(P)/
コメディーリリーフ /(n) comedy relief/
コメディアデラルテ /(n) commedia dell'arte (ita:)/
コメディアン /(n) comedian/(P)/
コメディカル /(n) co-medical/
コメンタリー /(n) commentary/
コメンテーター /(n) commentator/(P)/
コメント /(n,vs,adj-no) (1) comment/(2) (abbr) (blog) comment/(P)/
コメントアウト /(n,vs) comment-out/
コメントスパム /(n) comment spam/
コメント化 [コメントか] /(n,vs) (comp) to comment/
コメント欄 [コメントらん] /(n) (comp) comment field (e.g. on a blog)/
コメ離れ [コメばなれ] /(n) shift away from rice consumption/consumers losing interest in eating rice/
コモチマンネングサ /(n) (uk) Sedum bulbiferum (species of stonecrop)/
コモディティー /(n) commodity/
コモドール /(n) (comp) Commodore/
コモドオオトカゲ /(n) (uk) Komodo dragon (Varanus komodoensis)/
コモドドラゴン /(n) Komodo dragon (Varanus komodoensis)/
コモド大蜥蜴 [コモドおおとかげ] /(n) (uk) Komodo dragon (Varanus komodoensis)/
コモリガエル /(n) (uk) Surinam toad (Pipa pipa)/pipa/
コモリグモ /(n) (uk) wolf spider (any spider of family Lycosidae)/
コモリザメ /(n) (uk) nurse shark (Ginglymostoma cirratum)/
コモリザメ科 [コモリザメか] /(n) Ginglymostomatidae (family of carpet shark species containing three monotypic genera of nurse sharks)/
コモロ /(n) (Federal Islamic Republic of the) Comoros/
コモン /(n) common/
コモン・ロー /(n) (1) common law/(2) Anglo-American law/
コモンアクセスメソッド /(n) (comp) common access method/CAM/
コモンアジェンダ /(n) common agenda/
コモンウェルスデー /(n) Commonwealth Day/
コモンキャリア /(n) common carrier/
コモンキャリヤー /(n) (comp) common carrier/
コモンセンス /(n) common sense/
コモンソール /(n) common sole (Solea solea)/
コモンツパイ /(n) common tree shrew (Tupaia glis)/
コモンランゲージ /(n) common language/
コモンリスプ /(n) (comp) common lisp/
コモンロー /(n) (1) common law/(2) Anglo-American law/
コヨーテ /(n) coyote (carnivore, Canis latrans)/
コヨシキリ /(n) (uk) black-browed reed warbler (Acrocephalus bistrigiceps)/
コラーゲン /(n) collagen (ger: Kollagen)/
コラージュ /(n) collage (fre:)/(P)/
コラール /(n) choral (ger:)/(P)/
コラーレバタフライフィッシュ /(n) redtail butterflyfish (Chaetodon collare)/brown butterflyfish/collared butterflyfish/
コラーン /(n,adj-no) Koran (ara: kuran)/Qur'an/Quran/the Islamic holy book/
コライダー /(n) collider/
コライト /(n) coalite/semi-carbonized coke/semi-coke/
コラボ /(n) (abbr) collaboration/
コラボレーション /(n) collaboration/(P)/
コラボレーター /(n) collaborator/
コラボレイティブ /(n) collaborative/
コラム /(n) column (e.g. in newspaper)/stand-alone feature article framed by a box/(P)/
コラムシフト /(n) column shift/
コラムニスト /(n) columnist/(P)/
コランダー /(n) colander/strainer/sieve/
コランダム /(n) corundum/
コリー /(n) collie/(P)/
コリーダ /(n) corrida (spa:)/
コリア /(n) Korea/(P)/
コリアン /(n,adj-f) Korean/
コリアンダー /(n) coriander/cilantro/dhania/Chinese parsley (Coriandrum sativum)/
コリア語 [コリアご] /(n) Korean (language)/
コリウス /(n) coleus (esp. species Solenostemon scutellarioides) (lat:)/
コリオグラファー /(n) choreographer/
コリオリの力 [コリオリのちから] /(n) Coriolis' force/
コリジョン /(n) collision/
コリスフォルモーサ /(n) queen coris (Coris formosa)/
コリドラス /(n) corydoras (any armored catfish of genus Corydoras)/
コリメーター /(n) collimator/
コリュージョン /(n) collusion/
コリュフェイ /(n) coryphee (senior corps de ballet member)/
コリン /(n) choline/
コリンエステラーゼ /(n) cholinesterase/
コリントの信徒への手紙一 [コリントのしんとへのてがみいち] /(n) First Epistle to the Corinthians (book of the Bible)/
コリントの信徒への手紙二 [コリントのしんとへのてがみに] /(n) Second Epistle to the Corinthians (book of the Bible)/
コリントゲーム /(n) pinball machine game (lit: Corinth game)/
コリント式 [コリントしき] /(n) Corinthian order (building style)/
コリント書 [コリントしょ] /(n) (obsc) Epistle to the Corinthians (comprising two books of the Bible)/
コリント人への手紙 [コリントじんへのてがみ] /(n) Epistle to the Corinthians (comprising two books of the Bible)/
コリント様式 [コリントようしき] /(n) Corinthian order (building style)/
コル /(n) col (fre:)/(P)/
コルーチン /(n) (comp) coroutine/
コルク /(n) cork (dut: kurk)/(P)/
コルク樫 [コルクがし] /(n) cork oak/
コルク形成層 [コルクけいせいそう] /(n) cork cambium/
コルク組織 [コルクそしき] /(n) cork tissue/phellem/
コルク抜き [コルクぬき] /(n) corkscrew/
コルサージュ /(n) (1) corsage (fre:)/small bouquet worn by a woman/(2) (arch) bodice of a woman's dress/
コルサコフ症候群 [コルサコフしょうこうぐん] /(n) Korsakoff's syndrome/Korsakoff's psychosis/
コルセット /(n) corset/
コルタン /(n) coltan/columbite-tantalite/
コルダイト /(n) cordite/
コルチカム /(n) colchicum/
コルチコイド /(n) corticoid/
コルチコステロイド /(n) corticosteroid/
コルチシン /(n) colchicine/
コルチゾール /(n) cortisol/
コルチゾン /(n) cortisone/
コルテスダムゼルフィッシュ /(n) Cortez damselfish (Stegastes rectifraenum)/Cortez gregory/
コルテツエンジェルフィッシュ /(n) Cortez angelfish (Pomacanthus zonipectus)/
コルテツエンゼル /(n) Cortez angelfish (Pomacanthus zonipectus)/
コルテツレインボーラス /(n) Cortez rainbow wrasse (Thalassoma lucasanum)/
コルト /(n) Colt/
コルニッシュボイラー /(n) cornish boiler/
コルヌコピア /(n) cornucopia/
コルネット /(n) cornet (ita: cornetto)/
コルバ /(n) (comp) CORBA/
コルヒチン /(n) colchicine (ger: Kolchizin)/
コルフェ /(n) coryphee (senior corps de ballet member)/
コルベット /(n) corvette/
コルホーズ /(n) kolkhoz (rus:)/collective farm/(P)/
コルモゴロフ /(n) Kolmogorov/
コルリ /(n) (uk) Siberian blue robin (Luscinia cyane)/
コルレーニョ /(n) col legno (ita:)/
コルレス /(n) (abbr) correspondent/
コルレス契約 [コルレスけいやく] /(n) correspondent arrangement/
コレーティングソート /(n) (comp) collating sort/
コレウス /(n) coleus (esp. species Solenostemon scutellarioides) (lat:)/
コレオグラフィー /(n) choreography/
コレカルシフェロール /(n) cholecalciferol/
コレクション /(n) (1) collection/(2) correction/(P)/
コレクションビル /(n) collection bill/
コレクタ /(n) collector/
コレクター /(n) collector/(P)/
コレクターズ /(n) collectors/
コレクターズアイテム /(n) collector's item/
コレクティビズム /(n) collectivism/
コレクティブアンコンシャス /(n) collective unconscious/
コレクティヴィズム /(n) collectivism/
コレクト /(n,vs) collect/
コレクトオンデリバリー /(n) collect on delivery/
コレクトコール /(n) collect call/
コレクトマニア /(n) collectomania/
コレゴヌス属 [コレゴヌスぞく] /(n) Coregonus (genus of salmon in the family Salmonidae)/whitefishes/
コレシストキニンパンクレオザイミン /(n) cholecystokinin-pancreozymin/
コレステリン /(n) cholesterin/
コレステロール /(n) cholesterol/(P)/
コレステロール値 [コレステロールち] /(n) cholesterol level/
コレスポンデンス /(n) correspondence/
コレスポンデント /(n) correspondent/
コレット /(n) collet/
コレポン /(n) (abbr) correspondence/
コレラ /(n) (uk) cholera (eng:, dut:)/(P)/
コレラタケ /(n) (uk) Galerina fasciculata (poisonous mushroom)/
コレラ菌 [コレラきん] /(n) vibrio cholerae/
コロイド /(n) colloid/(P)/
コロイド化学 [コロイドかがく] /(n) colloid chemistry/
コロイド溶液 [コロイドようえき] /(n) colloidal solution/
コロイド粒子 [コロイドりゅうし] /(n) colloidal particle/
コロキュアル /(n) colloquial/
コロケーション /(n) (1) collocation/(2) co-location/
コロケーションサービス /(n) (comp) co-location service/
コロサイの信徒への手紙 [コロサイのしんとへのてがみ] /(n) Epistle to the Colossians (book of the Bible)/
コロシアム /(n) Colosseum (lat:)/Coliseum/(P)/
コロシント /(n) colocynth/
コロジオン /(n) collodion/
コロセウム /(n) Colosseum (lat:)/Coliseum/
コロソマ /(n) tambaqui (Colossoma macropomum) (lat: Colossoma)/pacu/black pacu/black-finned pacu/giant pacu/cachama/gamitana/
コロタイプ /(n) (a) collotype/photogelatin process/
コロッケ /(n) croquette (fre:)/(P)/
コロッケ屋 [コロッケや] /(n) croquette vendor/
コロッサス /(n) colossus/
コロップ /(n) cork (dut: prop)/
コロップ抜き [コロップぬき] /(n) (obsc) corkscrew/
コロトロン /(n) corotron (electrostatic charging device using a corona discharge)/
コロナ /(n) corona/(P)/
コロナウイルス /(n) coronavirus/
コロナグラフ /(n) coronagraph/
コロナ観測所 [コロナかんそくじょ] /(n) corona observatory/
コロナ質量放出 [コロナしつりょうほうしゅつ] /(n) coronal mass ejection/
コロナ放電 [コロナほうでん] /(n) corona discharge/
コロニー /(n) colony/(P)/
コロニアリズム /(n) colonialism/
コロニアル /(adj-na) colonial/
コロネーション /(n) coronation/
コロネード /(n) colonnade/
コロネット /(n) coronet/
コロブス /(n) colobus/
コロポックル /(n) mythical Ainu dwarf god (ain:)/
コロモジラミ /(n) (uk) body louse (Pediculus humanus humanus)/body lice/
コロラチューラ /(n) coloratura (ita:)/
コロラチュラ /(n) coloratura (ita:)/
コロラチュラソプラノ /(n) coloratura soprano (ita:)/
コロラトゥーラ /(n) coloratura (ita:)/
コロラトゥーラソプラノ /(n) coloratura soprano (ita:)/
コロラド /(n) Colorado/(P)/
コロラドハムシ /(n) (uk) Colorado potato beetle (Leptinotarsa decemlineata)/
コロラド葉虫 [コロラドはむし] /(n) (uk) Colorado potato beetle (Leptinotarsa decemlineata)/
コロリスト /(n) colorist/colourist/
コロン /(n) (1) colon/(2) (abbr) eau de Cologne (fre:)/(3) colonist (fre: colon)/(P)/
コロンバイト /(n) columbite (mineral combining niobite and tantalite)/
コロンバン /(n) (vulg) turd (fre: colombin)/
コロンビア /(n) (1) Columbia/(2) Colombia/
コロンビウム /(n) columbium/
コロンブスの卵 [コロンブスのたまご] /(n) Columbus' egg/
コロンブスデー /(n) Columbus Day/(P)/
コワイヤ /(n) choir/
コンカレント /(n) concurrent/
コンカレントアクセス /(n) (comp) concurrent access/
コンガ /(n) conga/
コンキスタドール /(n) conquistador (spa:)/conquistadores/
コンキスタドーレス /(n) conquistador (spa:)/conquistadores/
コンキリエ /(n) conchiglie (ita:)/
コンク /(adj-f) (abbr) concentrated/
コンクール /(n) contest (fre: concours)/(P)/
コンクラーベ /(n) conclave/
コンクリ /(n) (abbr) concrete/
コンクリート /(n) (uk) concrete/(P)/
コンクリートジャングル /(n) concrete jungle/
コンクリートバイブレーター /(n) concrete vibrator/
コンクリートパイル /(n) concrete pile/
コンクリートブロック /(n) concrete block/
コンクリートプレーサー /(n) concrete placer/
コンクリートポンプ /(n) concrete pump/
コンクリートミキサー /(n) concrete mixer/
コンクリート打ち込み [コンクリートうちこみ] /(n) placing of concrete/positioning concrete/
コンクリート打込 [コンクリートうちこみ] /(n) placing of concrete/positioning concrete/
コンクリート打込み [コンクリートうちこみ] /(n) placing of concrete/positioning concrete/
コンクリトブロック /(n,adj-f) concrete block/
コンクリトミキサ /(n) concrete mixer/
コングラ /(n) (comp) (abbr) computer graphics/
コングラチュレーション /(n) congratulations/
コングラチュレーションズ /(n) congratulations/
コングレス /(n) congress/
コングレスブーツ /(n) congress gaiters/
コングロマーチャント /(n) (abbr) conglomerate merchant/(P)/
コングロマリット /(n) conglomerate/
コンコース /(n) concourse/(P)/
コンコーダンス /(n) concordance/
コンコルダート /(n) concordat (ger: Konkordat)/
コンコルド /(n) (1) concord/(2) Concord/(3) Concorde (fre:)/(P)/
コンコン /(adv,adv-to) (1) (on-mim) tap-tap/knock-knock/bang-bang/(2) (on-mim) cough-cough/(3) (on-mim) bark (of a fox)/yelp/cry/(4) (on-mim) heavily (e.g. of snow falling)/(n) (5) (chn) fox/
コンゴ /(n) Congo/(P)/
コンゴ・テトラ /(n) Congo tetra (Phenacogrammus interruptus)/
コンゴーレッド /(n) Congo red/
コンゴテトラ /(n) Congo tetra (Phenacogrammus interruptus)/
コンゴ共和国 [コンゴきょうわこく] /(n) Republic of the Congo/
コンゴ民主共和国 [コンゴみんしゅきょうわこく] /(n) Democratic Republic of the Congo (formerly Zaire)/
コンサート /(n) concert/(P)/
コンサートピッチ /(n) concert pitch/
コンサートホール /(n) concert hall/
コンサートマスター /(n) concert master/
コンサーバティブ /(n) conservative/
コンサーヴァトーリ /(n) conservatory/
コンサイス /(n) concise/
コンサバ /(n) (abbr) conservative/
コンサバティブ /(n) conservative/
コンサベーション /(n) conservation/
コンサベーター /(n) conservator/
コンサル /(n) (1) (abbr) consultation/consulting/(2) consul/
コンサルタンツ /(n) consultants/
コンサルタント /(n) (1) consultant/(2) concertante (music)/(P)/
コンサルタントエンジニア /(n) consultant engineer/
コンサルテーション /(n) consultation/
コンサルティング /(n) consulting/(P)/
コンサルティングセールス /(n) consulting sales/
コンサルテイション /(n) consultation/
コンサンプション /(n) consumption/
コンシェルジュ /(n) concierge (fre:)/
コンシエルジュ /(n) concierge (fre:)/
コンシステンシ /(n) consistency/
コンシダレーション /(n) consideration/
コンシャス /(n) conscious/
コンシャスネスレイジング /(n) consciousness-raising/
コンシューマー /(n) consumer/(P)/
コンシューマーインターポール /(n) Consumer Interpole/
コンシューマーズリサーチ /(n) consumers' research/CR/
コンシューマーズリレーション /(n) consumers' relation/
コンシューマー向けポータブルモデル [コンシューマーむけポータブルモデル] /(n) (comp) consumer portable/
コンシューマリズム /(n) advocacy of consumer rights (product safety, accurate labelling, etc.)/consumer activism/consumer advocacy/consumerism (in the original sense)/
コンシューマリング /(n) consumering/
コンシューマ向け製品 [コンシューマむけせいひん] /(n) consumer products/
コンシューマ製品 [コンシューマせいひん] /(n) consumer goods/consumer products/
コンシル /(n) (1) consul/
コンジローマ /(n) condyloma/
コンジローム /(n) condyloma/
コンスターチ /(n) cornstarch/
コンスタンタン /(n) constantan/
コンスタント /(adj-na,n) constant/(P)/
コンスタントシェーディング /(n) (comp) constant shading/
コンスタントビットレイト /(n) (comp) constant bit rate/
コンスティチューション /(n) constitution/
コンステレーション /(n) constellation/
コンステレーションシステム /(n) constellation system/
コンスト /(n) (abbr) control strip/
コンストラクション /(n) construction/
コンストラクションマネージメント /(n) construction management/
コンストラクタ /(n) constructor/
コンストラクター /(n) constructor/
コンストラクト /(n) construct/
コンストレイント /(n) constraint/
コンスピキュオスエンジェルフィッシュ /(n) conspicuous angelfish (Chaetodontoplus conspicillatus)/spectacled angelfish/
コンスル /(n) consul/
コンセ /(n,adj-f) (1) (abbr) concessionary/(2) (abbr) concession/
コンセショナリー /(n,adj-f) concessionary/
コンセショナリーチェーン /(n) concessionary chain/
コンセッショナリー /(n,adj-f) concessionary/
コンセッション /(n,adj-f) concession/
コンセプション /(n) conception/
コンセプチュアルアート /(n) conceptual art/
コンセプト /(n) concept/(P)/
コンセプトアート /(n) (abbr) conceptual art/
コンセプトアド /(n) concept advertisement/
コンセルバトワール /(n) conservatorium (fre: conservatoire)/conservatoire/
コンセルヴァトワール /(n) conservatorium (fre: conservatoire)/conservatoire/
コンセンサス /(n) consensus/(P)/
コンセント /(n) (1) electrical outlet (concentric plug)/(2) consent/(3) concentric/(P)/
コンセントレーション /(n) concentration/
コンセントレータ /(n) (comp) concentrator/
コンセントレーター /(n) concentrator/
コンソーシアム /(n) consortium/(P)/
コンソーティアム /(n) consortium/
コンソート /(n) consort/
コンソール /(n) (1) (comp) (computer) console/(2) single console for multiple diving gauges/
コンソールアプリケーション /(n) (comp) console application/
コンソールタイプ /(n) console type/
コンソールプログラム /(n) (comp) console program/
コンソールポート /(n) (comp) console port/
コンソナント /(n) consonant/
コンソメ /(n) consomme (fre:)/
コンソリデーション /(n) consolidation/
コンソル公債 [コンソルこうさい] /(n) consolidated annuities/consols/
コンター /(n) contour/
コンタープロット /(n) (comp) contour plot/
コンタクト /(n,vs) (1) contact/(2) (abbr) contact lens/(P)/
コンタクトレンズ /(n) contact lens/(P)/
コンタック /(n) contact/
コンタミ /(n) (abbr) contamination/
コンタミネーション /(n) contamination/
コンダクター /(n) conductor/(P)/
コンダクタンス /(n) conductance/
コンダクト /(n) conduct/
コンチェルティナ /(n) concertina/(P)/
コンチェルト /(n) concerto (ita:)/(P)/
コンチェルトグロッソ /(n) concerto grosso/
コンチネンタル /(n) continental/(P)/
コンチネンタルスタイル /(n) continental style/
コンチネンタルタンゴ /(n) continental tango/
コンチネンタルブレックファースト /(n) continental breakfast/
コンチネンタルプラン /(n) continental plan/
コンチネンタルルック /(n) continental look/
コンツェルン /(n) group of companies (ger: Konzern)/combine/
コンテ /(n) (1) (abbr) continuity (esp. in film-making)/(2) var. kind of lead pencil (fre:)/(P)/
コンティニュイティ /(n) continuity/
コンティニュイティー /(n) continuity/
コンティニュエーション /(n) continuation/
コンティンジェンシー /(n) contingency/
コンテキスト /(n) context/
コンテキストＩＤ [コンテキストアイディー] /(n) (comp) context ID/
コンテキストスイッチ /(n) (comp) context switching/
コンテキストプロパティ /(n) (comp) context property/
コンテキスト接頭部 [コンテキストせっとうぶ] /(n) (comp) context prefix/
コンテキスト定義集合 [コンテキストていぎしゅうごう] /(n) (comp) defined context set/
コンテクスト /(n) context/
コンテクストエディタ /(n) (comp) context editor/
コンテクストセンシティブ /(adj-na) (comp) context-sensitive/
コンテクスト切り換え [コンテクストきりかえ] /(n) (comp) context switching/
コンテスト /(n) contest/(P)/
コンテナ /(n) container/(P)/
コンテナー /(n) container/
コンテナーバッグ /(n) container bag/
コンテナオブジェクト /(n) (comp) container object/
コンテナバッグ /(n) container bag/
コンテナファイル /(n) (comp) container file/
コンテナリゼーション /(n) containerization/containerisation/
コンテナ船 [コンテナせん] /(n) container ship/
コンテンション /(n) (comp) contention (e.g. in LANs)/
コンテンションモード /(n) (comp) contention mode/
コンテンツ /(n) contents/content/
コンテンツアドバイザ /(n) (comp) content advisor/
コンテンツクラス /(n) (comp) content class/
コンテンツサイズ /(n) (comp) content size/
コンテンツバンドル /(n) (comp) content-bundling/
コンテンツフィルタリング /(n) (comp) content filtering/
コンテンツプロバイダ /(n) (comp) content provider/
コンテンツプロバイダー /(n) (comp) content provider/
コンテンツマスタ /(n) (comp) content master/
コンテンツライブラリ /(n) (comp) content library/
コンテンツ管理システム [コンテンツかんりシステム] /(n) (comp) Content Management System/
コンテント /(n) (comp) content/
コンテントハンドラー /(n) (comp) content handler/
コンテンポラリー /(adj-na) contemporary/(P)/
コンディショナー /(n) conditioner/
コンディショニング /(n) conditioning/
コンディション /(n) condition/(P)/
コンデンサ /(n) condenser (electrical component)/capacitor/
コンデンサー /(n) condenser (electrical component)/capacitor/(P)/
コンデンス /(n,vs) condense/
コンデンスミルク /(n) condensed milk/
コント /(n) (1) tale (fre: conte)/short story/(2) comic or light-hearted short play/(P)/
コントーション /(n) contortion/
コントミン /(n) chlorpromazine hydrochloride (Thorazine)/
コントラ /(n) contra/(P)/
コントラクション /(n) contraction/
コントラクター /(n) contractor/
コントラクト /(n) contract/
コントラクトブリッジ /(n) contract bridge/
コントラスト /(n) contrast/(P)/
コントラバス /(n) contrabass (ger:)/(P)/
コントラファゴット /(n) contrabassoon (ita: controfagotto)/
コントラプロペラ /(n) contrapropeller/
コントラルト /(n) contralto (ita:)/
コントリビューション /(n) contribution/
コントルダンス /(n) contredanse (fre:)/
コントローラ /(n) controller/
コントローラー /(n) controller/(P)/
コントローラ番号 [コントローラばんごう] /(n) (comp) controller number/
コントローラ保守診断バス [コントローラほしゅしんだんバス] /(n) (comp) controller maintenance and diagnostic bus/
コントロール /(n,vs) control/(P)/
コントロールＳ [コントロールエス] /(n) (comp) Control S/
コントロールアンプ /(n) control amp/
コントロールイニ /(n) (comp) CONTROL.INI/
コントロールキー /(n) (comp) control key/
コントロールケーブル /(n) (comp) control cable/
コントロールコード /(n) (comp) control code/
コントロールセンター /(n) control center/control centre/
コントロールタワー /(n) control tower/
コントロールパネル /(n) (comp) control panel/
コントロールファイル /(n) (comp) control file/
コントロールブレーク /(n) (comp) control break/
コントロールプログラム /(n) control program/control programme/
コントロールボール /(n) (comp) control ball/track ball/tracker ball/
コントロールポイント /(n) (comp) control-point/
コントロールメッセージ /(n) (comp) control message/
コントロール機器 [コントロールきき] /(n) (comp) control mechanism/
コントロール理論 [コントロールりろん] /(n) control theory/
コンドーム /(n) condom/(P)/
コンドミニアム /(n) condominium/(P)/
コンドライト /(n) chondrite/
コンドラチエフのサイクル /(n) Kondratieff cycle/
コンドリオソーム /(n) chondriosome/
コンドリオゾーム /(n) chondriosome/
コンドル /(n) (1) condor (inc. other New World vultures of family Cathartidae)/(2) Andean condor (Vultur gryphus)/(P)/
コンニャク /(n) (uk) solidified jelly made from the rhizome of devil's tongue (konjac, konjak, koniak, konnyaku)/
コンバージェンス /(n) (comp) convergence/
コンバージョン /(n) conversion/
コンバージョンレンズ /(n) conversion lens/
コンバース /(n) converse/
コンバータ /(n) converter/
コンバーター /(n) converter/(P)/
コンバーターレンズ /(n) converter lens/
コンバーチブル /(n) convertible/
コンバーティブル /(n) convertible/
コンバート /(n,vs) convert/(P)/
コンバイン /(n) (abbr) combine/combine harvester/(P)/
コンバインドリンクセット /(n) (comp) combined link set/
コンバインドレース /(n) combined race (skiing event with cross country and ski jumping)/
コンバインハーベスター /(n) combine harvester/
コンバチブルマシン /(n) compatible machine/
コンバット /(n) combat/
コンバットチーム /(n) combat team/
コンパ /(n) (1) (abbr) company/(2) party/social (event)/(P)/
コンパートメント /(n) compartment/
コンパイラ /(n) (comp) compiler/
コンパイラー /(n) (comp) compiler/
コンパイラー言語 [コンパイラーげんご] /(n) compiler language/
コンパイラー言葉 [コンパイラーことば] /(n) (comp) compiler language/
コンパイラによる最適化 [コンパイラによるさいてきか] /(n) (comp) compiler optimization/
コンパイラの最適化能力 [コンパイラのさいてきかのうりょく] /(n) (comp) compiler efficiency/
コンパイラコンパイラ /(n) (comp) compiler-compiler/
コンパイラ型言語 [コンパイラかたげんご] /(n) (comp) compiler language/
コンパイラ言語 [コンパイラげんご] /(n) (comp) compiler languages/
コンパイラ指示命令 [コンパイラしじめいれい] /(n) (comp) compiler-directing statement/
コンパイル /(n,vs) (comp) compile/
コンパイルエラー /(n) (comp) compiler error/
コンパイル済みモジュール [コンパイルすみモジュール] /(n) (comp) precompiled module/
コンパイル時 [コンパイルじ] /(n) (comp) compilation time/
コンパイル時間 [コンパイルじかん] /(n) (comp) compilation time/
コンパイル単位 [コンパイルたんい] /(n) (comp) source module/compilation unit/
コンパウンド /(n) compound/
コンパクション /(n) compaction/
コンパクト /(adj-na) (1) compact/(n) (2) (powder) compact (portable makeup & mirror case)/(P)/
コンパクトＨＴＭＬ [コンパクトエッチティーエムエル] /(n) (comp) Compact HTML/
コンパクトカー /(n) compact car/
コンパクトカメラ /(n) compact camera/
コンパクトディスク /(n) compact disc/CD/
コンパクトフラッシュ /(n) (comp) Compact Flash/
コンパクトプロ /(n) (comp) Compact Pro/
コンパクト化 [コンパクトか] /(n,vs) compacting/
コンパクト銀河 [コンパクトぎんが] /(n) compact galaxy/
コンパス /(n) compass (dut:)/(P)/
コンパチ /(n) (1) (abbr) compatibility/(adj-na) (2) (abbr) compatible/
コンパチビリティ /(n) compatibility/
コンパチビリティー /(n) compatibility/
コンパチブル /(adj-na) compatible/
コンパック /(n) (comp) Compaq (computer manufacturer)/(P)/
コンパニー /(n) company/
コンパニオン /(n) companion/paid companion of a wealthy woman/women presenting products at consumer electronic or car shows/(P)/
コンパニオンアニマル /(n) companion animal/pet/
コンパニオンプラント /(n) companion plant/
コンパネ /(n) (1) (abbr) plywood panel/(2) control panel/
コンパラブルワース /(n) comparable worth/
コンパルソリー /(n) compulsory/
コンパルソリーフィギュア /(n) compulsory figure/
コンパレータ /(n) (comp) comparator/
コンパレーター /(n) comparator/
コンパレート /(n,vs) comparison/
コンビ /(n) (abbr) combination/pair/duo/(P)/
コンビーフ /(n) corned beef/
コンビナート /(n) industrial complex (rus: kombinat)/(P)/
コンビナートキャンペーン /(n) industrial campaign (rus: kombinat, eng: campaign)/
コンビナートシステム /(n) industrial system (rus: kombinat, eng: system)/
コンビニ /(n) (abbr) convenience store/(P)/
コンビニエンス /(n) convenience/(P)/
コンビニエンスストア /(n) convenience store/
コンビニエンスフーズ /(n) convenience foods/
コンビニエンスフード /(n) convenience food/
コンビニスト /(n) (sl) someone who frequents convenience stores (wasei: convenienist)/
コンビネーション /(n) combination/(P)/
コンビネーションサラダ /(n) combination salad/
コンビネーションジャンプ /(n) combination jump/
コンビネーションブロー /(n) combination blow/
コンビネーションプレー /(n) combination play/
コンビネータ /(n) combinator/
コンビネイション /(n) combination/
コンピュータ /(n) (comp) computer/(P)/
コンピュータ・ウィルス /(n) (comp) computer virus/
コンピュータ・ウイルス /(n) (comp) computer virus/
コンピューター /(n) (comp) computer/(P)/
コンピューター・ウィルス /(n) (comp) computer virus/
コンピューター・ウイルス /(n) (comp) computer virus/
コンピューター・システム /(n) (comp) computer system/
コンピューターアート /(n) (comp) computer art/
コンピューターアニメ /(n) (comp) (abbr) computer animation/
コンピューターアニメーション /(n) (comp) computer animation/
コンピューターアレルギー /(n) (comp) computer allergy/
コンピューターウィルス /(n) (comp) computer virus/
コンピューターウイルス /(n) (comp) computer virus/
コンピューターグラフィックス /(n) (comp) computer graphics/(P)/
コンピューターゲーム /(n) (comp) computer game/
コンピューターサイエンス /(n) (comp) computer science/
コンピューターシステム /(n) (comp) computer system/
コンピュータージオグラフィックス /(n) (comp) computer geographics/
コンピューターセキュリティ /(n) (comp) computer security/
コンピューターセキュリティー /(n) (comp) computer security/
コンピュータートモグラフィー /(n) (comp) computer tomography/
コンピューターネットワーク /(n) (comp) computer network/
コンピュータービジョン /(n) (comp) computer-vision/
コンピューターマインド /(n) (comp) computer mind/
コンピューターユーティリティー /(n) (comp) computer utility/
コンピューターリテラシー /(n) (comp) computer literacy/
コンピューターワクチン /(n) computer vaccine/
コンピューター援用生産 [コンピューターえんようせいさん] /(n) (comp) computer-aided manufacture/CAM/
コンピューター援用設計 [コンピューターえんようせっけい] /(n) (comp) computer-aided design/CAD/
コンピューター化 [コンピューターか] /(n) (comp) computerization/
コンピューター断層撮影法 [コンピューターだんそうさつえいほう] /(n) (comp) (obsc) computerized tomography/CT/computed tomography/
コンピューター犯罪 [コンピューターはんざい] /(n) (comp) computer crime/
コンピュータアート /(n) (comp) computer art/
コンピュータウィルス /(n) (comp) computer virus/
コンピュータウイルス /(n) (comp) computer virus/
コンピュータグラフィクスのメタファイル /(n) (comp) Computer Graphics Metafile/CGM/
コンピュータグラフィクスインタフェース /(n) (comp) Computer Graphics Interface/CGI/
コンピュータグラフィックス /(n) (comp) computer graphics/CG/
コンピュータゲーム /(n) (comp) computer game/
コンピュータサイエンス /(n) (comp) computer science/
コンピュータシステム /(n) (comp) computer system/
コンピュータセキュリティ /(n) (comp) computer security/
コンピュータソフトウェア /(n) (comp) computer-software/
コンピュータソフトウェア著作権協会 [コンピュータソフトウェアちょさくけんきょうかい] /(n) (comp) Association of Copyright for Computer Software/ACCS/
コンピュータネットワーク /(n) (comp) computer network/
コンピュータビジョン /(n) (comp) computer-vision/
コンピュータプログラマー /(n) (comp) computer programmer/
コンピュータマイクログラフィックス /(n) (comp) computer micrographics/
コンピュータマニア /(n) (comp) hacker (wasei: computer mania)/
コンピュータミュージック /(n) (comp) computer-music/
コンピュータリゼーション /(n) (comp) computerization/computerisation/
コンピュータリテラシ /(n) (comp) computer literacy/
コンピュータリテラシー /(n) (comp) computer literacy/
コンピュータワーム /(n) (comp) computer worm/
コンピュータ依存言語 [コンピュータいぞんげんご] /(n) (comp) computer-dependent language/
コンピュータ化 [コンピュータか] /(n,vs) (comp) computerization/computerisation/
コンピュータ緊急対応センター [コンピュータきんきゅうたいおうセンター] /(n) (comp) JP Computer Emergency Response Term/JPCERT-CC/
コンピュータ支援協調作業 [コンピュータしえんきょうちょうさぎょう] /(n) (comp) computer supported cooperative work/CSCW/
コンピュータ資源 [コンピュータしげん] /(n) (comp) computer resource/
コンピュータ切り替え器 [コンピュータきりかえき] /(n) (comp) computer switch/
コンピュータ端末 [コンピュータたんまつ] /(n) (comp) computer terminal/
コンピュータ断層撮影 [コンピュータだんそうさつえい] /(n) (comp) computer tomography/CT/
コンピュータ統合生産 [コンピュータとうごうせいさん] /(n) (comp) CIM/Computer Integrated Manufacturing/
コンピュータ媒介言語 [コンピュータばいかいげんご] /(n) (comp) Computer Mediated Communication/CMC/
コンピュータ犯罪 [コンピュータはんざい] /(n) (comp) computer crime/
コンピュータ用語 [コンピュータようご] /(n) (comp) computerese/
コンピューティング /(n) (comp) computing/
コンピューティング環境 [コンピューティングかんきょう] /(n) (comp) computing environment/
コンピューテックス /(n) (comp) Computex/
コンピュートピア /(n) (comp) computopia (computer utopia)/
コンピュートポルス /(n) (comp) computopolis/
コンピュサーブ /(n) (comp) CompuServe/
コンピュテーション /(n) computation/
コンピュニケーション /(n) (comp) computer communication/
コンピレーション /(n) compilation/(P)/
コンファレンス /(n) conference/
コンフィ /(n) confit (fre:)/
コンフィギュレーション /(n) (comp) configuration/(P)/
コンフィギュレーションコマンド /(n) (comp) configuration commands/
コンフィギュレーションメモリ /(n) (comp) configuration memory/
コンフィギュレション /(n) (comp) configuration/
コンフィグ /(n) (1) (abbr) config./configuration/(vs) (2) to configure/
コンフィグシス /(n) (comp) CONFIG.SYS/
コンフィグレーション /(n) (comp) configuration/
コンフィデンシャル /(adj-no) confidential/
コンフィデンス /(n) confidence/
コンフェクショナリー /(n) confectionery/
コンフェクション /(n) confection/
コンフェッション /(n) confession/
コンフェデレーション /(n) confederation/
コンフェデレーションズカップ /(n) Confederations Cup/
コンフォーミズム /(n) conformism/
コンフォーム /(n) conform/
コンフュージョン /(n) confusion/
コンフリー /(n) comfrey/
コンフリクト /(n,vs) conflict/
コンブ /(n) kombu (any kelp of genus Laminaria) (konbu)/devil's apron/
コンブリオ /(n) con brio/(P)/
コンプ /(n,vs) complete (e.g. a game)/
コンプトン効果 [コンプトンこうか] /(n) Compton effect/
コンプライアンス /(n) compliance/
コンプリーション /(n) completion/
コンプリート /(adj-na) complete/
コンプリション /(n) completion/
コンプリヘンシブレイアウト /(n) comprehensive layout/
コンプリメント /(n) (1) compliment/(2) complement/
コンプレス /(n) compress/
コンプレックス /(n) complex/(P)/
コンプレックススクリプト /(n) (comp) complex script/
コンプレッサ /(n) (comp) compressor/
コンプレッサー /(n) compressor/(P)/
コンプレッション /(n) (comp) compression/
コンプロミー /(n) compromis/
コンヘソル /(n) confessor (por:)/
コンベア /(n) conveyor/
コンベアー /(n) conveyor/
コンベックス /(adj-f) convex/
コンベニ /(ik) (n) (abbr) convenience store/
コンベヤ /(n) conveyor/
コンベヤー /(n) conveyor/
コンベヤーに乗らない搬送物 [コンベヤーにのらないはんそうぶつ] /(n) nonconveyable product/nonconveyable load/
コンベヤーシステム /(n) conveyor system/
コンベンショナリズム /(n) conventionalism/
コンベンショナル /(adj-na) conventional/
コンベンショナルメモリ /(n) (comp) conventional memory/
コンベンショナルメモリー /(n) (comp) conventional memory/
コンベンション /(n) convention/(P)/
コンベンションセンター /(n) convention center/convention centre/(P)/
コンベンションビューロー /(n) convention bureau/
コンベンションホール /(n) convention hall/
コンペ /(n) (abbr) competition/(P)/
コンペートー /(n) small coloured sugar candy covered in bulges (por: confeito)/
コンペイトー /(n) small coloured sugar candy covered in bulges (por: confeito)/
コンペティション /(n) competition/(P)/
コンペティティブアップグレード /(n) (comp) competitive upgrade/
コンボ /(n) combo/
コンボイ /(n) convoy/(P)/
コンボボックス /(n) (comp) combo box/
コンボリューション /(n) (comp) convolution/
コンボルブルス /(n) convolvulus (lat:)/
コンボルボルス /(n) convolvulus (lat:)/
コンポ /(n) (abbr) component/component stereo/(P)/
コンポーザー /(n) composer/
コンポート /(n) compote/
コンポーネント /(n) component/
コンポーネントステレオ /(n) component stereo/
コンポーネントソフト /(n) (comp) Component software/
コンポーネントタイプ /(n) component type/
コンポーネントトランザクションモニター /(n) (comp) component transaction monitor/CTM/
コンポーネント信号 [コンポーネントしんごう] /(n) (comp) component signal/
コンポジション /(n) composition/
コンポジット /(n) composite/
コンポジットインデックス /(n) composite index/
コンポジット信号 [コンポジットしんごう] /(n) (comp) composite signal/
コンポスト /(n) compost/(P)/
コンポラ写真 [コンポラしゃしん] /(n) contemporary photograph/
コンマ /(n) comma/cedilla/(P)/
コンマス /(n) (abbr) concert master/
コンマ以下 [コンマいか] /(exp) below the decimal/of no account/
コンミッション /(n) commission/
コンミューン /(n) commune (fre:)/
コンミュニズム /(n) communism/
コンメンタール /(n) notes (ger: Kommentar)/comments/annotations/
コンモート /(n) con moto (ita:)/
コンロ /(n) (uk) portable cooking stove/gas burner/
コンロウスタイル /(n) cornrow style (hairdo)/
コンロッド /(n) (abbr) connecting rod (automotive)/con-rod/
コンヴァージョン /(n) conversion/
コンヴァート /(n) convert/
コンヴィクト・サージャンフィッシュ /(n) convict surgeonfish (Acanthurus triostegus, species of the Indo-Pacific)/convict tang/manini/
コンヴィクトサージャンフィッシュ /(n) convict surgeonfish (Acanthurus triostegus, species of the Indo-Pacific)/convict tang/manini/
コンヴォリューション /(n) convolution/
コンヴォルヴ /(n) convolve/
コン症候群 [コンしょうこうぐん] /(n) Conn's syndrome/
ゴー /(n) go (somewhere)/go (signal)/
ゴーっ /(adv-to) (on-mim) roaringly/rumblingly/
ゴーイングコンサーン /(n) going concern/
ゴーイングマイウェイ /(exp) going my way/
ゴーイングマイウエー /(exp) going my way/
ゴーカート /(n) go-cart/(P)/
ゴーグル /(n) goggles/(P)/
ゴーゴー /(n) go-go/
ゴーゴーダンス /(n) go-go dance/
ゴーサイン /(n) green light (wasei: go sign)/giving permission/(P)/
ゴージ /(n) (1) gouge (tool)/(2) gorge/
ゴージャス /(adj-na,n) gorgeous/(P)/
ゴース /(n) gauze/
ゴーステディー /(n) go steady/
ゴースト /(n) ghost/(P)/
ゴーストタウン /(n) ghost town/(P)/
ゴーストダンス /(n) ghost dance/
ゴーストップ /(n) traffic light (wasei: go stop)/
ゴーストライター /(n) ghost writer/
ゴータビリティー /(n) goatability/
ゴーダ /(n) Gouda/
ゴーダチーズ /(n) Gouda cheese/
ゴート /(n) (1) goat/(2) Goth/
ゴートスキン /(n) goatskin/
ゴート語 [ゴートご] /(n) Gothic (language)/
ゴート族 [ゴートぞく] /(n) Goths/Gothic peoples/
ゴーファ /(n) (comp) gopher/
ゴーファー /(n) (comp) Gopher/
ゴーフル /(n) type of waffle (fre: gaufre)/
ゴーフレット /(n) type of waffle (fre: gaufrette)/
ゴーペケハチロク /(n) (comp) 5x86/
ゴーヤ /(n) (Okinawan name for) bitter melon (Momordica charantia)/
ゴーヤー /(n) (Okinawan name for) bitter melon (Momordica charantia)/
ゴーリー /(n) goalie/goalkeeper/
ゴール /(n,vs) goal/(P)/
ゴールイン /(n,vs) (1) goal reached (wasei: goal in)/make the goal/hit the goal/(2) (col) get married/(P)/
ゴールエリア /(n) goal area/
ゴールキーパー /(n) goalkeeper/(P)/
ゴールキック /(n) goal kick/
ゴールゲッター /(n) goal getter/
ゴールデン /(adj-no) golden/(P)/
ゴールデンアワー /(n) prime time television (wasei: golden hour)/(P)/
ゴールデンウィーク /(n) Golden Week (early-May holiday season in Japan)/(P)/
ゴールデンウイーク /(n) Golden Week (early-May holiday season in Japan)/
ゴールデンエージ /(n) golden age/
ゴールデンクリーナーラス /(n) Hawaiian cleaner wrasse (Labroides phthirophagus)/rainbow cleaner wrasse/golden cleaner wrasse/
ゴールデングレゴリー /(n) golden gregory (Stegastes aureus)/
ゴールデングローブ賞 [ゴールデングローブしょう] /(n) Golden Globe Award/Golden Globe Awards/
ゴールデンストライプトバタフライフィッシュ /(n) golden butterflyfish (Chaetodon aureofasciatus)/
ゴールデンスポッティドエンジェルフィッシュ /(n) goldspotted angelfish (Apolemichthys xanthopunctatus)/
ゴールデンタイム /(n) prime-time television (wasei: golden time)/(P)/
ゴールデンディスク /(n) golden disk/
ゴールデントライアングル /(n) Golden Triangle (area near the borders of Burma, Thailand and Laos)/
ゴールデンハムスター /(n) golden hamster (Mesocricetus auratus)/Syrian hamster/
ゴールデンバタフライフィッシュ /(n) bluecheek butterflyfish (Chaetodon semilarvatus)/addis butterflyfish/golden butterflyfish/redlined butterflyfish/
ゴールデンバット /(n) golden bat/
ゴールデンモンキー /(n) golden monkey/
ゴールデンライオンタマリン /(n) golden lion tamarin (Leontopithecus rosalia)/
ゴールデンラインド・スパインフット /(n) golden-lined spinefoot (Siganus lineatus, species of Indo-West Pacific rabbitfish)/goldlined rabbitfish/
ゴールデンラインドスパインフット /(n) golden-lined spinefoot (Siganus lineatus, species of Indo-West Pacific rabbitfish)/goldlined rabbitfish/
ゴールデンラインドラビットフィッシュ /(n) golden-lined spinefoot (Siganus lineatus, species of Indo-West Pacific rabbitfish)/goldlined rabbitfish/
ゴールデンルール /(n) golden rule/
ゴールデンレトリーバー /(n) golden retriever/
ゴールデンレトリバー /(n) golden retriever/
ゴールド /(adj-na,n) gold/(P)/
ゴールドスポッティド・スパインフット /(n) goldspotted spinefoot (Siganus punctatus, species of Western Pacific rabbitfish)/gold-spotted rabbitfish/
ゴールドスポッティドスパインフット /(n) goldspotted spinefoot (Siganus punctatus, species of Western Pacific rabbitfish)/gold-spotted rabbitfish/
ゴールドテールエンジェルフィッシュ /(n) goldtail angelfish (Pomacanthus chrysurus)/earspot angelfish/
ゴールドディスク /(n) gold disc/
ゴールドバーグ /(n) Goldberg/(P)/
ゴールドフレークエンジェルフィッシュ /(n) goldspotted angelfish (Apolemichthys xanthopunctatus)/
ゴールドメダリスト /(n) gold medalist/
ゴールドラッシュ /(n) gold rush/
ゴールドリング・ブリストルトゥース /(n) spotted surgeonfish (Ctenochaetus strigosus, species of bristletooth tang found in Hawaii, Johnston Island, and Australia)/goldring surgeonfish/goldring bristletooth/
ゴールドリングサージョンフィッシュ /(n) spotted surgeonfish (Ctenochaetus strigosus, species of bristletooth tang found in Hawaii, Johnston Island, and Australia)/goldring surgeonfish/goldring bristletooth/
ゴールドリングブリストルトゥース /(n) spotted surgeonfish (Ctenochaetus strigosus, species of bristletooth tang found in Hawaii, Johnston Island, and Australia)/goldring surgeonfish/goldring bristletooth/
ゴールポスト /(n) goal post/
ゴールライン /(n) goal line/(P)/
ゴール朝 [ゴールちょう] /(n) Ghurid Dynasty (of south Asia, approx. 1148-1215 CE)/
ゴーレム /(n) golem/
ゴーン /(n) dong (of a bell or gong)/
ゴーントレット /(n) gauntlet/
ゴアードスカート /(n) gored skirt/
ゴアテックス /(n) Gore-Tex/
ゴイサギ /(n) (uk) black-crowned night heron (Nycticorax nycticorax)/night heron/
ゴカイ類 [ゴカイるい] /(n) (col) bristle worm/polychaete/
ゴキカブリ /(n) (uk) (obsc) cockroach/
ゴキブリ /(n) cockroach/(P)/
ゴギョウ /(n) (uk) Jersey cudweed (species of cottonweed, Gnaphalium affine)/
ゴクラクハゼ /(n) (uk) barcheek goby (Rhinogobius giurinus)/
ゴク潰し [ゴクつぶし] /(n) good-for-nothing/parasite/deadbeat/loafer/drone/idler/
ゴシキドリ /(n) (uk) barbet (any bird of family Capitonidae)/
ゴシキノジコ /(n) (uk) painted bunting (Passerina ciris)/
ゴシキヒワ /(n) (uk) European goldfinch (Carduelis carduelis)/
ゴシゴシ /(n,vs,adv) (on-mim) scrubbing/rubbing briskly/rasping/
ゴシック /(n) gothic/(P)/
ゴシックロック /(n) Gothic rock/
ゴシックロリータ /(n) Gothic and Lolita (type of teenage fashion)/
ゴシック建築 [ゴシックけんちく] /(n) Gothic architecture/
ゴシック式 [ゴシックしき] /(n) Gothic style (of art)/
ゴシック小説 [ゴシックしょうせつ] /(n) gothic novel/
ゴシック体 [ゴシックたい] /(n) (comp) "Gothic" typeface (usu. sans-serif)/
ゴシップ /(n) (1) gossip/(2) (comp) government OSI procurement/GOSIP/(P)/
ゴシップメーカー /(n) gossip maker/
ゴジュウカラ /(n) (uk) Eurasian nuthatch (Sitta europaea)/
ゴジラ /(n) Godzilla/(P)/
ゴスバンク /(n) (obs) central bank of the Soviet Union (rus: Gosbank)/(P)/
ゴスプラン /(n) (obs) State Plan (rus: Gosplan)/
ゴスペル /(n) gospel/(P)/
ゴスペルソング /(n) gospel song/
ゴスロリ /(n) (abbr) Gothic and Lolita (type of teenage fashion)/
ゴチ /(n) (sl) treat/banquet/feast/entertainment/goodies/
ゴチる /(v5r) (sl) to treat someone/to entertain someone/
ゴチック /(n) gothic/
ゴッダード /(n) Goddard/
ゴッド /(n) god/
ゴッドファーザー /(n) godfather/(P)/
ゴツン /(adv) thud/thump/bang/
ゴツンゴツン /(adv) thumping/banging/
ゴトウクジラ /(n) (obsc) larger whales of family Delphinidae (esp. the pilot whale or blackfish)/
ゴトゴト /(adv,adv-to) (1) clop clop/rumble rumble/(2) sound of something being boiled/
ゴナドトロピン /(n) gonadotropin (gonadotrophin)/
ゴブラン /(n) Gobelins (fre:)/
ゴブラン織り [ゴブランおり] /(n) (a) Gobelin tapestry/
ゴブリン /(n) goblin/
ゴブレット /(n) goblet/
ゴホン /(int) cough/ahem/
ゴボウ /(n) (uk) great burdock (Arctium lappa)/
ゴマアイゴ /(n) goldlined spinefoot (Siganus guttatus, species of Eastern Indian Ocean and Western Pacific rabbitfish)/orange-spotted spinefoot/
ゴマウツボ /(n) yellow margin moray eel (Gymnothorax flavimarginatus)/
ゴマキ /(ik) (n) (uk) Siebold's arrowwood (Viburnum sieboldii)/
ゴマギ /(n) (uk) Siebold's arrowwood (Viburnum sieboldii)/
ゴマサバ /(n) (uk) blue mackerel (Scomber australasicus)/
ゴマチョウチョウウオ /(n) (uk) speckled butterflyfish (Chaetodon citrinellus, species of the Indo-Pacific)/citron butterflyfish/
ゴマテングハギモドキ /(n) spotted unicornfish (Naso maculatus, species of Pacific tang found from Japan and Lord Howe Island to Hawaii)/
ゴマニザ /(n) whitespotted surgeonfish (Acanthurus guttatus, Indo-Pacific species of tang)/
ゴマノハグサ目 [ゴマノハグサもく] /(n) Scrophulariales (order of plants)/
ゴマハギ /(n) twotone tang (Zebrasoma scopas, species of Indo-Pacific tang)/
ゴマフエダイ /(n) (uk) mangrove jack (Lutjanus argentimaculatus)/mangrove red snapper/
ゴマフキンチャクフグ /(n) spider-eye puffer (Canthigaster amboinensis)/ambon toby/
ゴマフタマガイ /(n) (uk) tiger moon shell (Natica tigrina)/
ゴマフトラザメ /(n) boa catshark (Scyliorhinus boa, species from the Caribbean and Gulf of Mexico)/
ゴマモンガラ /(n) (uk) titan triggerfish (Balistoides viridescens)/giant triggerfish/moustache triggerfish/
ゴマ豆腐 [ゴマどうふ] /(n) crushed sesame seeds boiled in water and chilled like tofu/
ゴマ油 [ゴマあぶら] /(n) sesame oil/
ゴミ /(n) (uk) rubbish/trash/garbage/refuse/(P)/
ゴミの日 [ゴミのひ] /(n) garbage day/rubbish collection day/
ゴミムシ /(n) (1) (uk) ground beetle/carabid (esp. of superfamily Caraboidea, but excluding subfamily Carabinae)/(2) Anisodactylus signatus (species of ground beetle)/
ゴミ音 [ゴミおん] /(n) contamination noise/noise from contamination/
ゴミ漁り [ゴミあさり] /(n) picking through garbage/dumpster diving/scavenging rubbish/
ゴミ捨て場 [ゴミすてば] /(n) dump site/
ゴミ収集車 [ゴミしゅうしゅうしゃ] /(n) waste collection vehicle/dustcart/garbage truck/
ゴミ集積場 [ゴミしゅうせきじょう] /(n) village garbage collection point/
ゴミ袋 [ゴミぶくろ] /(n) garbage bag/
ゴミ置き場 [ゴミおきば] /(n) garbage (rubbish) collection point/
ゴミ置場 [ゴミおきば] /(n) garbage (rubbish) collection point/
ゴミ分別 [ゴミぶんべつ] /(n) separating rubbish (for recycling, etc.)/
ゴム・ホース /(n) rubber hose/
ゴムの木 [ゴムのき] /(n) rubber tree/
ゴムテープ /(n) elastic/elastic band/insulating tape/rubberized tape/rubberised tape/
ゴムバンド /(n) elastic band/rubber band/
ゴムパッキン /(n) rubber seal/
ゴムホース /(n) rubber hose/
ゴムライニング /(n) rubber lining/
ゴム引き [ゴムびき] /(adj-no) rubber-coated/
ゴム靴 [ゴムぐつ] /(n) rubber shoes/
ゴム糊 [ゴムのり] /(n) mucilage/
ゴム手 [ゴムて] /(n) rubber gloves/
ゴム腫 [ゴムしゅ] /(n) (1) gumma/gumme/(adj-no) (2) gummatous/
ゴム状 [ゴムじょう] /(n) (1) elastomer/(adj-no) (2) gummy/rubbery/elastomeric/
ゴム植物 [ゴムしょくぶつ] /(n) rubber plant/gum plant/
ゴム草履 [ゴムぞうり] /(n) (uk) rubber thongs/rubber flip-flops/
ゴム弾 [ゴムだん] /(n) rubber bullet/
ゴム長 [ゴムなが] /(n) rubber boots/
ゴム紐 [ゴムひも] /(n) (uk) elastic/elastic cord/elastic band/
ゴム風船 [ゴムふうせん] /(n) rubber balloon/
ゴム編み [ゴムあみ] /(n) rib stitch/ribbing (in knitting)/
ゴム輪 [ゴムわ] /(n) rubber tire (tyre)/
ゴム毬 [ゴムまり] /(n) rubber ball/
ゴライアスバードイーター /(n) Goliath birdeater (Theraphosa blondi, a large species of tarantula)/
ゴラテックス /(ik) (n) Gore-Tex/
ゴラン高原 [ゴランこうげん] /(n) Golan Heights/
ゴリ /(n) (1) (uk) fish of the genus Rhinogobius/(2) dusky tripletooth goby (Tridentiger obscurus)/(3) common freshwater goby (Gymnogobius urotaenia)/(4) Japanese fluvial sculpin (fish, Cottus pollux)/
ゴリラ /(n) gorilla/(P)/
ゴルゴー /(n) Gorgon/
ゴルゴン /(n) Gorgon/
ゴルゴンゾラ /(n) Gorgonzola (cheese) (ita:)/
ゴルジュ /(n) gorge (fre:)/(P)/
ゴルジ装置 [ゴルジそうち] /(n) Golgi apparatus/Golgi body/
ゴルジ体 [ゴルジたい] /(n) Golgi body/Golgi apparatus/
ゴルノアルタイ自治州 [ゴルノアルタイじちしゅう] /(n) Gorno-Altayskaya Avtonomnaya Oblast'/Gorno-Altayskaya Autonomous Region/Gorno-Altayskaya AO/
ゴルノバダフシャン自治州 [ゴルノバダフシャンじちしゅう] /(n) Gorno-Badakhshanskaya Avtonomnaya Oblast'/Gorno-Badakhshanskaya Autonomous Region/Gorno-Badakhshanskaya AO/
ゴルフ /(n) golf/(P)/
ゴルフ・コース /(n) golf course/
ゴルファー /(n) golfer/(P)/
ゴルフウイドー /(n) golf widow/
ゴルフウエア /(n) golf wear/
ゴルフカート /(n) golf cart/
ゴルフクラブ /(n) golf club/
ゴルフコース /(n) golf course/
ゴルフスウィング /(n) golf swing/
ゴルフバッグ /(n) golf bag/
ゴルフパンツ /(n) golf pants/
ゴルフボール /(n) golf ball/
ゴルフリンク /(n) golf links/
ゴルフ場 [ゴルフじょう] /(n) golf links/golf course/club/
ゴロ /(n) grounder (baseball)/(P)/
ゴロワーズ /(n) Gauloise (fre:)/
ゴロ新聞 [ゴロしんぶん] /(n) racketeering newspaper/journal that demands money in return for favourable articles/
ゴワつく /(v5k,vi) to be stiff/to be starchy/
ゴング /(n) gong/(P)/
ゴンズイ /(n) (uk) Euscaphis japonica (species of tree)/
ゴンズイ /(n) striped eel catfish (Plotosus lineatus) (lat: Plotosus)/
ゴンドウクジラ /(n) (uk) larger whales of family Delphinidae (esp. the pilot whales or blackfish)/
ゴンドラ /(n) gondola (ita:)/(P)/
ゴンドワナ /(n) Gondwana/
ゴンドワナ大陸 [ゴンドワナたいりく] /(n) Gondwanaland/
ゴンパ /(n) gompa (Tibetan Buddhist ecclesiastical building)/
サー /(n) Sir/
サーカス /(n) circus/(P)/
サーカス団 [サーカスだん] /(n) circus (company, troupe)/
サーカディアンリズム /(n) circadian rhythm/
サーカムスクライブ /(n) circumscribe/
サーカムスクリプション /(n) circumscription/
サーカムフレックス /(n) circumflex/
サーガ /(n) saga/
サーキット /(n) circuit/(P)/
サーキットエミュレーション /(n) (comp) circuit emulation/
サーキットエミュレーションサービス /(n) (comp) circuit emulation service/
サーキットトレーニング /(n) circuit training/
サーキットブレーカー /(n) circuit breaker/
サーキュラー /(n) circular/
サーキュラースカート /(n) circular skirt/
サーキュラーピッチ /(n) circular pitch/
サーキュレーション /(n) circulation/
サーキュレーター /(n) (air) circulator/
サークライン /(n) circular fluorescent lamp (Circuline)/
サークリップ /(n) circlip/snap ring/
サークル /(n) circle/club (e.g. company sports club)/(P)/
サークル活動 [サークルかつどう] /(n) club activities/group activities/
サークレット /(n) circlet/
サーコート /(n) surcoat/
サージ /(n,vs) (1) surge/(2) serge/
サージタンク /(n) surgetank/
サージプロテクタ /(n) (comp) surge protector/
サージャント /(n) sergeant/
サージャントメージャー /(n) sergeant-major (Abudefduf saxatilis)/
サージャントメイジャーダムゼルフィッシュ /(n) green damselfish (Abudefduf abdominalis)/Hawaiian sergeant/Hawaiian sergeant-major damselfish/Maomao/
サージン /(n) sardine/
サージング /(n) surging/
サージ耐力 [サージたいりょく] /(n) (comp) surge resistance/
サージ抵抗 [サージていこう] /(n) (comp) surge resistance/
サーズデー /(n) Thursday/
サーセン /(exp) (sl) sorry/(P)/
サーターアンダキー /(n) type of Okinawan doughnut (donut)/
サーチ /(n,vs) search/(P)/
サーチ＆リカバリー [サーチアンドリカバリー] /(n) search and recovery/
サーチ＆リカバリー・ダイブ [サーチアンドリカバリー・ダイブ] /(n) search and recovery dive/
サーチ＆リカバリーダイブ [サーチアンドリカバリーダイブ] /(n) search and recovery dive/
サーチエンジン /(n) (comp) search engine/
サーチエンジンポジショニング /(n) (comp) search engine positioning/
サーチエンジン最適化 [サーチエンジンさいてきか] /(n) (comp) search engine optimization/
サーチエンジン対策 [サーチエンジンたいさく] /(n) (comp) search engine optimization/
サーチタイム /(n) (comp) search time/
サーチパス /(n) (comp) search path/
サーチパタン /(n) (comp) search pattern/
サーチャー /(n) searcher/
サーチャージ /(n) surcharge/
サーチライト /(n) searchlight/(P)/
サーチ許可 [サーチきょか] /(n) (comp) search permission/
サーチ時間 [サーチじかん] /(n) (comp) rotational delay/search time/
サーチ不可能 [サーチふかのう] /(n) (comp) unsearchable/
サーチ文字列 [サーチもじれつ] /(n) (comp) search string/
サーティ /(n) thirty/
サーティー /(n) thirty/
サーティーン /(n) thirteen/
サーティフィケート /(n) certificate/
サーティフィケイト /(n) certificate/
サーディン /(n) sardine/
サート /(n) (comp) CERT/
サード /(n) third (base, baseman, gear)/(P)/
サードニックス /(n) sardonyx/
サードパーティ /(n) (comp) third party/
サードパーティー /(n) (comp) third party/
サードベース /(n) third base/
サードベンダ /(n) (comp) third vender/
サーバ /(n) (comp) server/
サーバー /(n) (comp) server/
サーバクライアント型 [サーバクライアントがた] /(n) (comp) client-server model/
サーバブレード /(n) (comp) server blade/
サーバル /(n) serval (Felis serval)/
サーバント /(n) servant/
サービサー /(n) debt collection (company, agency) (wasei: servicer)/
サービス /(n,vs,adj-no) (1) service/support system/(2) goods or services without charge/(P)/
サービスに依存 [サービスにいそん] /(n,vs) (comp) service-dependent/
サービスの復旧 [サービスのふっきゅう] /(n) (comp) service restoration/restoration of service/
サービスの妨害 [サービスのぼうがい] /(n) (comp) denial of service/
サービスの貿易に関する一般協定 [サービスのぼうえきにかんするいっぱんきょうてい] /(n) General Agreement on Trade in Services/GATS/
サービスアクセスポイント /(n) (comp) service access point/SAP/
サービスアクセス点 [サービスアクセスてん] /(n) (comp) service access point/SAP/
サービスアスペクト /(n) (comp) service aspect/
サービスエース /(n) ace (tennis) (wasei: service ace)/(P)/
サービスエリア /(n) service area (usu. an area off a highway to buy gasoline, etc. for vehicles)/(P)/
サービスエンドポイント /(n) (comp) service end point/
サービスカー /(n) service car/
サービスガール /(n) service girl/
サービスクラス /(n) (comp) service class/
サービスグレード /(n) (comp) service grade/
サービスコート /(n) service court/
サービスコンセント /(n) (comp) service outlet/
サービスサイズ /(n) service size/
サービスステーション /(n) service station/
サービスセンター /(n) (comp) service center/
サービスタイプ /(n) (comp) service type/
サービスデータ単位 [サービスデータたんい] /(n) (comp) SDU/Service Data Unit/
サービスハウス /(n) service house/
サービスビューロー /(n) (comp) Service Bureau/
サービスブレーク /(n) service break/
サービスプリミティブ /(n) (comp) service primitive/
サービスプログラム /(n) (comp) utility program/service program/
サービスプロバイダ /(n) (comp) service provider/
サービスマーク /(n) service mark/
サービスマン /(n) (comp) serviceman/
サービスヤード /(n) service yard/
サービスライン /(n) service line/
サービスルーチン /(n) (comp) utility routine/service routine/
サービスルーチンプログラム /(n) (comp) utility routine (program)/service routine (program)/
サービスルーム /(n) service room/
サービスロード /(n) service load/
サービス拒否攻撃 [サービスきょひこうげき] /(n) (comp) denial of service attack/
サービス業 [サービスぎょう] /(n) service industry/service sector/(P)/
サービス産業 [サービスさんぎょう] /(n) service industry/service sector/
サービス残業 [サービスざんぎょう] /(n) unpaid overtime/
サービス実現 [サービスじつげん] /(n) (comp) service implementation/
サービス種別 [サービスしゅべつ] /(n) (comp) service class/
サービス信頼性 [サービスしんらいせい] /(n) (comp) service reliability/
サービス制御群 [サービスせいぎょぐん] /(n) (comp) service controls/
サービス提供区域 [サービスていきょうくいき] /(n) (comp) service area boundary/
サービス提供者 [サービスていきょうしゃ] /(n) (comp) service provider/
サービス提供地域 [サービスていきょうちいき] /(n) (comp) service area/
サービス統合ディジタル網 [サービスとうごうディジタルもう] /(n) (comp) ISDN/integrated services digital network/
サービス内容 [サービスないよう] /(n) (comp) service content/
サービス品質 [サービスひんしつ] /(n) (comp) quality of service/QOS/
サービス品質契約 [サービスひんしつけいやく] /(n) (comp) quality of service agreement, contract/
サービス不能攻撃 [サービスふのうこうげき] /(n) (comp) denial of service attack/
サービス便覧 [サービスびんらん] /(n) (comp) user handbook/service handbook/
サービス妨害攻撃 [サービスぼうがいこうげき] /(n) (comp) denial of service attack/
サービス要素 [サービスようそ] /(n) (comp) element of service/service element/
サービス料 [サービスりょう] /(n) service charge/
サービス料金 [サービスりょうきん] /(n) service charge/
サーフ /(n) surf/
サーファー /(n) surfer/(P)/
サーフィス /(n) surface/
サーフィスモデル /(n) (comp) surface model/
サーフィン /(n,vs) surfing/(P)/
サーフェイス /(n) surface/
サーフェイスモデル /(n) (comp) surface model/
サーフェス /(n) surface/
サーフキャスティング /(n) surf casting/
サーフキャスト /(n) surf cast/
サーフジェット /(n) surf jet/
サーフスキー /(n) surf ski/
サーフトローリング /(n) surf trolling/
サーフパンツ /(n) surf pants/
サーフボード /(n) surfboard/
サーフミュージック /(n) surf music/
サーフライダー /(n) surf rider/
サーフローラー /(n) surf roller/
サーブ /(n,vs) serve/(P)/
サーブアンドボレー /(n) serve and volley/
サーブポイント /(n) serve point/
サーブル /(n) sabre (fre:, dut: sabel)/saber/
サーブレット /(n) servlet/
サープラス /(n) surplus/
サーベイ /(n) survey/
サーベイヤー /(n) surveyor/
サーベイランス /(n) surveillance/(P)/
サーベル /(n) sabre (fre:, dut: sabel)/saber/
サーベルタイガー /(n) (abbr) sabre-toothed tiger (prehistoric feline, Smilodon californicus) (wasei: sabre tiger)/saber-toothed tiger/
サーボ /(n) (abbr) servo/
サーボブレーキ /(n) servo-brake/
サーボモーター /(n) servomotor/
サーボ機構 [サーボきこう] /(n) servomechanism/
サーマル /(n,adj-f) thermal/
サーマルプリンタ /(n) (comp) thermal printer/
サーマルプリンター /(n) thermal printer/
サーマルペーパー /(n) (comp) thermal paper/
サーマルリレー /(n) thermal relay/
サーミスター /(n) thermistor/
サーム /(n) therm/
サーメット /(n) cermet (ceramic metal)/
サーメン /(n) (col) sperm/semen/cum/
サーモ /(pref) thermo-/
サーモインナー /(n) thermo inner/inner lining (e.g. of ski boots) that is thermally molded to fit/
サーモエレメント /(n) thermoelement/
サーモカップル /(n) thermocouple/
サーモカラー /(n) thermocolor/
サーモグラフィー /(n) thermography/
サーモコンクリート /(n) thermoconcrete/
サーモスタット /(n) thermostat/
サーモメータ /(n) thermometer/
サーモメーター /(n) thermometer/
サーモン /(n) salmon/(P)/
サーモンピンク /(n) salmon pink/
サーランギ /(n) sarangi (violin-like instrument of Indian origin) (hin:)/
サール /(n) Searle/(P)/
サーロイン /(n) sirloin/(P)/
サーロインステーキ /(n) sirloin steak/
サーン /(n) (comp) CERN/
サーヴィス /(n,vs,adj-no) (1) service/support system/(2) goods or services without charge/
サイ /(n) psi/(P)/
サイアザイド /(n) thiazide/
サイアベンダゾール /(n) thiabendazole/
サイアミン /(n) thiamine/thiamin/
サイアロン /(n) sialon/
サイイド朝 [サイイドちょう] /(n) Sayyid Dynasty (of India, 1414-1451 CE)/
サイエンス /(n) science/(P)/
サイエンス・フィクション /(n) science fiction/
サイエンスフィクション /(n) science fiction/
サイエンティスト /(n) scientist/
サイエンティフィック /(adj-na) scientific/
サイエントロジー /(n) scientology/
サイオン /(n) (comp) PSION/
サイカシン /(n) cycasin/
サイカチ /(n) (uk) honey locust/Gleditsia japonica/
サイキック /(n) psychic/
サイキックス /(n) psychics/
サイクリスト /(n) cyclist/
サイクリック /(n) cyclic/
サイクリックＡＭＰ [サイクリックエーエムピー] /(n) cyclic AMP/
サイクリング /(n) cycling/(P)/
サイクリングコース /(n) cycling course/
サイクリング道路 [サイクリングどうろ] /(n) cycling track/cycling road/
サイクル /(n) cycle/(P)/
サイクルアンドライド方式 [サイクルアンドライドほうしき] /(n) cycle and ride system/
サイクルインスタンス /(n) (comp) cycle instance/
サイクルサッカー /(n) cycle ball/cycle soccer/
サイクルスチール /(n) (comp) cycle stealing/
サイクルストック /(n) cycle stock/
サイクルタイム /(n) cycle time/
サイクルヒット /(n) cycle hit/
サイクル時間 [サイクルじかん] /(n) (comp) cycle time/
サイクロＣ [サイクロシー] /(n) cyclo-C/cyclocytidine/
サイクロイド /(n) cycloid/
サイクロイド歯車 [サイクロイドはぐるま] /(n) cycloidal gear teeth/
サイクロシチジン /(n) cyclocytidine/
サイクロスポリン /(n) cyclosporine/
サイクロセリン /(n) cycloserine/
サイクロトロン /(n) cyclotron/
サイクロメーター /(n) cyclometer/
サイクロン /(n) cyclone/(P)/
サイケ /(adj-na) (abbr) psychedelic/
サイケデリック /(adj-na) psychedelic/
サイケデリックサウンド /(n) psychedelic sound/
サイケデリックロック /(n) psychedelic rock/
サイコ /(n) psycho/
サイコアナリシス /(n) psychoanalysis/
サイコオンコロジー /(n) psycho-oncology/
サイコガルバノメーター /(n) psychogalvanometer/
サイコキネシス /(n) psychokinesis/
サイコグラフ /(n) psychograph/
サイコセラピー /(n) psychotherapy/
サイコセラピスト /(n) psychotherapist/
サイコソマチックス /(n) psychosomatics/
サイコドラマ /(n) psychodrama/
サイコパス /(n) psychopath/
サイコロ /(n) (uk) dice/die/
サイコロジー /(n) psychology/
サイコロジカル /(n) psychological/
サイコロジスト /(n) psychologist/
サイゴン /(n,adj-no) Saigon/
サイザル /(n) sisal/
サイザル麻 [サイザルあさ] /(n) sisal hemp/
サイジング /(n) sizing/
サイジング・プレス /(n) sizing press/
サイジングプレス /(n) sizing press/
サイズ /(n) size/(P)/
サイズバタフライフィッシュ /(n) scythemarked butterflyfish (Prognathodes falcifer)/scythe butterflyfish/
サイゼ /(n) (abbr) (sl) Saizeriya (Italian restaurant chain)/
サイダー /(n) (1) carbonated beverage, esp. fruit flavored/(2) cider/
サイチョウ /(n) (uk) hornbill (any bird of family Bucerotidae)/
サイテーション /(n) citation/
サイディング /(n) siding/
サイト /(n) (1) site (usu. website)/(2) sight/(3) (abbr) payable on sight/(P)/
サイトカイニン /(n) cytokinin/
サイトカイン /(n) cytokine/
サイトシーイング /(n) sightseeing/
サイトシステム /(n) (comp) site system/
サイトデザイナ /(n) (comp) site designer/
サイトメガロウイルス /(n) cytomegalovirus (CMV)/
サイトライセンス /(n) (comp) site license/
サイド /(n) side/(P)/
サイドアウト /(n) side-out/
サイドウォーク /(n) side walk/sidewalk/footpath/pavement/
サイドカー /(n) sidecar/(P)/
サイドジョブ /(n) side job/
サイドステップ /(n) side step/
サイドストローク /(n) sidestroke/
サイドスラスター /(n) side-thruster/
サイドスリップ /(n) sideslip/
サイドスロー /(n) sidearm throw/
サイドテーブル /(n) side table/
サイドディッシュ /(n) side dish/
サイドドラム /(n) side drum/
サイドバ /(n) sidebar (as on a web page)/
サイドバー /(n) sidebar (as on a web page)/
サイドバック /(n) sideback/defender (soccer)/
サイドビジネス /(n) side business/side job/(P)/
サイドフォース /(n) sideforce/
サイドブレーキ /(n) hand brake (wasei: side brake)/
サイドベンツ /(n) side vents/
サイドボード /(n) sideboards/
サイドポール /(n) side pole/
サイドポケット /(n) side pocket/
サイドミラー /(n) sideview mirror/
サイドライト /(n) side light/
サイドライン /(n) sideline/
サイドリーダー /(n) supplementary reader in a foreign language classroom (wasei: side reader)/
サイドローブ /(n) side lobe/
サイドワーク /(n) side work/side job/
サイドワインダー /(n) (1) sidewinder (species of rattlesnake, Crotalus cerastes)/(2) sidewinder (missile)/
サイナス腺 [サイナスせん] /(n) sinus gland/
サイネリア /(n) cineraria/
サイノロジー /(n) Sinology/
サイバー /(n) cyber/
サイバーカフェ /(n) (comp) cybercafe/
サイバーキャッシュ /(n) (comp) cybercash/
サイバースクワッター /(n) cybersquatter/
サイバースクワット /(n) (comp) cyber squat/
サイバースペース /(n) cyberspace/
サイバーテロ /(n) cyberterrorism/
サイバードッグ /(n) (comp) Cyberdog/
サイバーパンク /(n) (comp) cyberpunk/
サイバーモール /(n) (comp) cybermall/
サイバー警官 [サイバーけいかん] /(n) cybercop/
サイバー探偵 [サイバーたんてい] /(n) cybersleuth/
サイバー犯罪 [サイバーはんざい] /(n) cybercrime/
サイバネ /(n) (abbr) cybernation/
サイバネーション /(n) cybernation/
サイバネティクス /(n) (comp) cybernetics/
サイバネティックス /(n) (comp) cybernetics/
サイフォン /(n) siphon/
サイプレス /(n) cypress/
サイベース /(n) (comp) SYBASE/
サイベネティックス /(n) cybernetics/
サイホン /(n) siphon/
サイボーグ /(n) cyborg/cybernetic organism/
サイマさいまき /(n) kuruma prawn (esp. a small one, i.e. less than 10 cm in length)/
サイマルキャスト /(n) simulcast/
サイマル放送 [サイマルほうそう] /(n) simulcast/simultaneous broadcast/
サイムルキャスト /(n) simulcast/
サイリスター /(n) thyristor/
サイリックス /(n) (comp) Cyrix/
サイリューム /(n) light stick (from Cyalume (tradename))/glow stick/
サイレージ /(n) silage/
サイレン /(n,adj-no) siren/(P)/
サイレンサー /(n) silencer/
サイレンス /(n) silence/
サイレント /(n) silent/(P)/
サイレントＲＩＰ [サイレントリップ] /(n) (comp) silent RIP/
サイレントインフェクション /(n) silent infection/
サイレントストーン /(n) silent stone/
サイレントセットアップ /(n) (comp) silent setup/
サイレントチェーン /(n) silent chain/
サイレントマジョリティー /(n) silent majority/
サイレント映画 [サイレントえいが] /(n) silent film/
サイレント鎖 [サイレントぐさり] /(n) silent chain/
サイロ /(n) silo/(P)/
サイロキシン /(n) Thyroxin/
サイロシビン /(n) psilocybin/
サイロニン /(n) thyronine/
サイン /(n,vs) (1) autograph/signature/(2) sign/(n) (3) sine/(P)/
サインアウト /(n) (comp) sign out/
サインアップ /(n) sign up/
サインイン /(n,vs) sign-in/
サインオフ /(n,vs) (comp) sign off/
サインオン /(n,vs) (comp) sign on/
サインチェンジ機能 [サインチェンジきのう] /(n) (comp) sign change function/
サインブック /(n) autograph album (wasei: sign book)/
サインプレー /(n) sign play/
サインペン /(n) felt-tip pen (wasei: sign pen)/
サインボード /(n) signboard/
サインボール /(n) signed ball/
サインランゲージ /(n) sign language/
サインレンゲージ /(n) sign language/
サイン会 [サインかい] /(n) signing/autograph session/(P)/
サイン曲線 [サインきょくせん] /(n) sinusoid/sine curve/
サイン入り [サインいり] /(n,adj-no) autographed/signed/(P)/
サウザンアイランド /(n) Thousand Island (dressing)/
サウザンド /(n) thousand/
サウジ /(n) Saudi/(P)/
サウジアラビア /(n) Saudi Arabia/(P)/
サウスアフリカンクロミス /(n) blue-spotted chromis (Chromis dasygenys)/
サウスアフリカンバタフライフィッシュ /(n) doublesash butterflyfish (Chaetodon marleyi)/Marley's Butterflyfish/
サウスウエスタンベル /(n) (comp) Southwestern Bell/
サウスカロライナ /(n) South Carolina/(P)/
サウスダコタ /(n) South Dakota/
サウスブリッジ /(n) (comp) South Bridge/
サウスポー /(n) southpaw/left-handed/(P)/
サウナ /(n) sauna/(P)/
サウナ風呂 [サウナぶろ] /(n) sauna (bath)/
サウン /(n) saung (Burmese harp) (bur: tzaung)/
サウンディング /(n) sounding/
サウンド /(n) sound/(P)/
サウンドインターフェース /(n) sound (audio) interface/
サウンドエフェクト /(n) sound effects/
サウンドカード /(n) (comp) sound card/
サウンドクリップ /(n) (comp) sound clip/
サウンドスカルプチャー /(n) sound sculpture/
サウンドスケープ /(n) soundscape/
サウンドスペクトログラフ /(n) sound spectrograph/
サウンドソース /(n) (comp) sound source/
サウンドトラック /(n) soundtrack/
サウンドビジネス /(n) sound business/
サウンドファイル /(n) (comp) sound file/
サウンドブラスタ /(n) (comp) Sound Blaster/
サウンドボード /(n) (comp) sound board/
サウンドボックス /(n) sound box/
サウンドボディー /(n) soundbody/
サウンドマン /(n) sound man/
サウンドレンジ /(n) (comp) sound range/
サウンドロゴ /(n) (abbr) sound logo/commercial jingle/
サウンド機能 [サウンドきのう] /(n) (comp) sound function/
サエラ /(exp) ca et la (fre:)/
サカサナマズ /(n) (uk) upside-down catfish (Synodontis nigriventris)/
サカタザメ /(n) (uk) yellow guitarfish (Rhinobatos schlegelii)/
サガ /(n) saga/
サガフロ /(n) (abbr) Saga Frontier (game)/
サキシトキシン /(n) saxitoxin/
サキソフォン /(n) saxophone/
サキソホン /(n) saxophone/
サギゴケ /(n) (uk) Miquel's mazus (species of small flowering plant, Mazus miquelii)/
サギフエ /(n) (uk) longspine snipefish (Macroramphosus scolopax)/common bellowsfish/snipe-fish/snipefish/spine trumpet fish/trumpetfish/
サクサク /(adv,vs) (on-mim) crunchy/crisp (not moist or juicy)/flaky (as in pastry)/
サクション /(n) suction/
サクスホルン /(n) saxhorn/
サクセス /(n) success/(P)/
サクセスストーリー /(n) success story/
サクソフォーン /(n) saxophone/
サクソフォン /(n) saxophone/(P)/
サクソルン /(n) saxhorn/
サクッ /(adv-to) (1) (on-mim) with a crunching or grinding sound/(2) quickly/promptly/abruptly/simply/efficiently/(3) crispily/crunchily/
サクラの木 [サクラのき] /(n) cherry tree/
サクラエビ /(n) sakura shrimp (Sergia lucens)/
サクラガイ /(n) (uk) Nitidotellina nitidula (species of tellin)/
サクラソウ /(n) (1) (uk) primula (any flower of genus Primula, which includes primroses, cowslips and cyclamens)/(2) Siebold's primrose (Primula siebold)/
サクラダイ /(n) (uk) cherry anthias (Sacura margaritacea)/
サクラマス /(n) (uk) masu salmon (Oncorhynchus masou)/
サクラメント /(n) sacrament/
サクランボ /(n) (uk) (edible) cherry/
サクラ咲く [サクラさく] /(exp,v5k) (id) exam success/
サクラ散る [サクラちる] /(exp) (1) (id) exam failure/(2) cherry blossom blooming/cherry blossom falling/
サクリファイス /(n) sacrifice/
サクリファイスバント /(n) sacrifice bunt/
サクリファイスヒット /(n) sacrifice hit/
サクリファイスフライ /(n) sacrifice fly/
サゴヤシ /(n) (uk) sago palm (Metroxylon sagu)/
サゴ椰子 [サゴやし] /(n) (uk) sago palm (Metroxylon sagu)/
ササウシノシタ /(n) (uk) bamboo sole (Heteromycteris japonica)/
ササグモ /(n) (uk) Oxyopes sertatus (species of lynx spider)/
ササスズメダイ /(n) scaly chromis (Chromis lepidolepis)/
ササニシキ /(n) Sasanishiki (variety of rice)/
サザエ /(n) (uk) turban shell (any mollusc of the family Turbinidae, esp. the horned turban, Turbo cornutus)/
サザナミトサカハギ /(n) bignose unicornfish (Naso vlamingii, species of Indo-pan-Pacific tang)/
サザナミハギ /(n) striated surgeonfish (Ctenochaetus striatus, species of bristletooth tang native to the Indo- Pacific)/
サザナミハギ属 [サザナミハギぞく] /(n) Ctenochaetus (genus of bristletooth tangs in the family Acanthuridae)/
サザナミヤッコ /(n) semicircle angelfish (Pomacanthus semicirculatus)/Koran angelfish/
サザナミヤッコ属 [サザナミヤッコぞく] /(n) Pomacanthus (genus of marine angelfish in the family Pomacanthidae)/
サザンカ /(n) (uk) sasanqua (Camellia sasanqua)/
サザンクロス /(n) Southern Cross/(P)/
サザンソウル /(n) southern soul/
サザンビーフ /(n) "southern" beef (i.e. produced in Australia)/
サザンロック /(n) Southern rock/
サシガメ /(n) (uk) assassin bug (any insect of family Reduviidae)/
サシバ /(n) (uk) grey-faced buzzard (Butastur indicus)/gray-faced buzzard/
サシバエ /(n) (uk) stable fly (Stomoxys calcitrans)/
サジー /(n) sea buckthorn (Hippophae rhamnoides)/
サジェスチョン /(n) suggestion/
サジェスト /(n,vs) suggest/
サスカチワン /(n) Saskatchewan/
サスケネ /(exp) (thb:) no problem/that's OK/
サステイナビリティ /(n) sustainability/
サステイナブル /(adj-f) sustainable/
サステイナブルディベロップメント /(n) sustainable development/
サステイニングプログラム /(n) sustaining program/sustaining programme/
サステイン /(n) sustain/
サステナビリティ /(n) sustainability/
サスプロ /(n) (abbr) sustaining program/sustaining programme/
サスペンション /(n) suspension/(P)/
サスペンス /(n) suspense/(P)/
サスペンスドラマ /(n) suspense drama/
サスペンダー /(n) suspenders/
サスペンダースカート /(n) skirt with suspender/
サスペンデットゲーム /(n) suspended game/(P)/
サスペンデッドゲーム /(n) suspended game/
サスペンド /(n) suspend/
サズ /(n) saz (Near-Eastern and Central-Asian lute-like instrument)/
サセプロ /(n) (abbr) sustaining program/sustaining programme/
サゼッション /(n) suggestion/
サソリモドキ /(n) (uk) whip scorpion (any arachnid of order Thelyphonida)/
サターン /(n) Saturn/(P)/
サタイア /(n) (comp) satire/
サタデー /(n) Saturday/
サタデーナイトスペシャル /(n) Saturday night special/
サタン /(n) Satan/
サッカー /(n) (1) soccer/(2) seersucker/(P)/
サッカーコーチ /(n) soccer coach/
サッカーチーム /(n) soccer team/
サッカーボール /(n) soccer ball/football (as used in soccer)/
サッカー選手 [サッカーせんしゅ] /(n) soccer player/
サッカー部 [サッカーぶ] /(n) soccer club/
サッカー籤 [サッカーくじ] /(n) (uk) football pool/soccer lottery/
サッカラーゼ /(n) saccharase (ger: Saccharase)/
サッカリメーター /(n) saccharimeter/
サッカリン /(n) saccharin/
サッカロース /(n) (obsc) saccharose/
サック /(n) (1) sack/(2) (col) (abbr) condom/
サックコート /(n) sack coat/
サックス /(n) (abbr) saxophone/sax/(P)/
サックスブルー /(n) saxe blue/
サックドレス /(n) sack dress/
サッサフラス /(n) sassafras (Sassafras albidum)/
サッシ /(n) sash/(P)/
サッシュ /(n) sash/
サッドマック /(n) (comp) Sad Mac/
サッパ /(n) (uk) Japanese sardinella (Sardinella zunasi)/
サッフィズム /(n) sapphism/
サツキツツジ /(n) (uk) satsuki azalea (Rhododendron indicum)/
サツキマス /(n) (uk) satsukimasu salmon (subspecies of cherry salmon, Oncorhynchus masou ishikawae)/red-spotted masu salmon/amago/
サティスファクション /(n) satisfaction/
サティフィケット /(n) certificate/
サテュロス /(n,adj-no) satyr (gre: satyros)/Silenus/
サテライト /(n) satellite/(P)/
サテライトオフィス /(n) satellite office/
サテライトコンピューター /(n) (comp) satellite computer/
サテライトスタジオ /(n) satellite studio/
サテライトステーション /(n) satellite station/
サテン /(n) satin (dut: satijn)/(P)/
サテンステッチ /(n) satin stitch/
サディスティック /(adj-na) sadistic/(P)/
サディスト /(n) sadist/
サディズム /(n) sadism/
サトイモ科 [サトイモか] /(n) Araceae (the arum family of plants)/
サトウカエデ /(n) (uk) sugar maple (Acer saccharum)/rock maple/
サトウキビ /(n) (uk) sugarcane (Saccharum officinarum)/
サトウモロコシ /(n) (uk) sweet sorghum (Sorghum bicolor var. saccharatum)/
サトウヤシ /(n) (uk) sugar palm (Arenga pinnata)/
サトリ /(n) (uk) a mythical being that can read minds/
サド /(n) (1) (abbr) sadist/(2) sadism/(P)/
サドカイ派 [サドカイは] /(n) the Sadducees/
サドマゾ /(n,adj-no) (abbr) sadomasochism/
サドマゾヒスト /(n) sadomasochist/
サドマゾヒズム /(n) sadomasochism/
サドル /(n) saddle/(P)/
サドルシューズ /(n) saddle shoes/
サドルバックバタフライフィッシュ /(n) blackwedged butterflyfish (Chaetodon falcula)/saddled butterflyfish/pigface coralfish/sickle butterflyfish/Indian double-saddle butterflyfish/
サドルラス /(n) saddle wrasse (Thalassoma duperrey)/
サドンデス /(n) sudden death (esp. working overtime)/(P)/
サナダムシ /(n) (uk) tapeworm/
サナトリウム /(n) sanatorium/
サナトロジー /(n) thanatology/
サニー /(adj-no) sunny/
サニーサイドアップ /(n,adj-no) sunny side up/
サニーレタス /(n) lollo rosso (wasei: sunny lettuce)/red-leaf lettuce/
サニタリー /(n) (1) sanitary/(2) utility area in a kitchen, etc. where there are laundry facilities/(P)/
サニタリーナプキン /(n) sanitary napkin/
サヌカイト /(n) sanukite/
サノバビッチ /(int) son of a bitch/
サハラ /(n) Sahara/(P)/
サハラ砂漠 [サハラさばく] /(n) Sahara desert/(P)/
サハリン /(n) (sens) Sakhalin/
サバ /(n) (uk) mackerel (esp. the chub mackerel, Scomber japonicus)/
サバイバル /(n) survival/(P)/
サバイバルウエア /(n) survival wear/
サバイバルゲーム /(n) survival game/
サバイバルフーズ /(n) survival foods/
サバイバルマニュアル /(n) survival manual/
サバクオオトカゲ /(n) Desert monitor (Varanus griseus, species of carnivorous monitor lizard found in North Africa and western Asia)/
サバゲ /(n) (abbr) survival game/
サバティカル /(n) sabbatical leave/
サバティカルイヤー /(n) sabbatical year/
サバト /(n) Saturday (por: sabado)/
サバナ /(n) savanna/sahel/
サバヒー /(n) (uk) milkfish (Chanos chanos)/
サバラン /(n) savarin (crown-shaped cake served with liqueur-laced syrup) (fre:)/
サバンナ /(n) savanna/sahel/(P)/
サバンナオオトカゲ /(n) savanna monitor (Varanus exanthematicus, species of carnivorous monitor lizard native to sub-Saharan Africa)/Bosc's monitor/
サバンナモンキー /(n) savannah monkey (the vervet monkey, green monkey and grivet monkey taken collectively as one species, Cercopithecus aethiops)/
サバ節 [サバぶし] /(n) dried, smoked mackerel/shavings from dried, smoked mackerel/
サパー /(n) supper/(P)/
サパークラブ /(n) supper club/
サビ /(n) (1) hook (high point of a song)/
サビイロオオトカゲ /(n) rusty monitor (Varanus semiremex, species of carnivorous monitor lizard native to the east coast of Queensland, Australia)/
サビロイ /(n) saveloy/
サピアウォーフの仮説 [サピアウォーフのかせつ] /(n) Sapir-Whorf hypothesis/
サピエンス /(n) sapience/
サファイア /(n) sapphire/(P)/
サファリ /(n) safari/(P)/
サファリコート /(n) safari coat/
サファリジャケット /(n) safari jacket/
サファリスタイル /(n) camouflage clothes (wasei: safari style)/
サファリパーク /(n) safari park/
サファリラリー /(n) safari rally/(P)/
サファリルック /(n) safari look/
サファリレース /(n) safari rally/
サフィズム /(n) sapphism/
サフィックス /(n) suffix/
サフラジェット /(n) suffragette/
サフラジスト /(n) suffragist/
サフラワー /(n) safflower/
サフラワー油 [サフラワーゆ] /(n) safflower oil/
サフラン /(n) saffron (dut: saffraan)/
サフラン擬 [サフランもどき] /(n) zephyr lily/
サブ /(n) (abbr) sub/substitute/(P)/
サブアド /(n) (1) (comp) (abbr) secondary email/(2) sub-address/
サブアドレス /(n) (1) (comp) secondary email/(2) sub-address/
サブウーハー /(n) subwoofer (speaker system)/
サブウーファー /(n) subwoofer (speaker system)/
サブウェー /(n) subway/
サブウェーシリーズ /(n) Subway Series/
サブウェイ /(n) subway/
サブウエー /(n) subway/
サブカルチャー /(n) subculture/
サブキャラクター /(n) minor characters (wasei: sub-character)/
サブクラス /(n) (comp) subclass/
サブグラフ /(n) sub-graph/
サブグループ /(n) subgroup (e.g. in society)/
サブコマンド /(n) (comp) subcommand/
サブコレクション /(n) (comp) subcollection/
サブコン /(n) (abbr) subcontractor/
サブコントラクター /(n) subcontractor/
サブコンパクトカー /(n) subcompact car/
サブゴール /(n) sub-goal/
サブサイト /(n) (comp) sub-site/
サブザック /(n) small knacksack (wasei: sub, wasei: Sack)/
サブシェル /(n) (comp) sub-shell/
サブシステム /(n) sub-system/
サブジェクト /(n) subject/
サブジェクトライン /(n) (comp) subject line/
サブスクライバ /(n) (comp) subscriber/
サブスクライバー /(n) (comp) subscriber/
サブスクライブ /(n) (comp) subscribe/
サブスクリプション /(n) subscription/
サブスクリプト /(n) (comp) subscript/
サブスタンス /(n) substance/
サブスティチューション /(n) substitution/
サブスティチュート /(n) substitute/
サブスティテューション /(n) substitution/
サブスティテュート /(n) substitute/
サブストリング /(n) (comp) substring/
サブセット /(n) sub-set/
サブセンター /(n) (comp) subcenter/
サブソサイエティ /(n) sub-society (e.g. of an academic society)/
サブタイトル /(n) subtitle/(P)/
サブタイプ /(n) (comp) subtype/
サブダクションゾーン /(n) subduction zone/
サブチャネル /(n) subchannel/sub-channel/
サブチャンネル /(n) subchannel/sub-channel/
サブテーマ /(n) subtopic (wasei: subtheme)/
サブティーン /(n) subteen/
サブディレクトリ /(n) (comp) subdirectory/
サブトラック /(n) subtrack/
サブドミナント /(n) subdominant/
サブドメイン /(n) (comp) subdomain/
サブナード /(n) (abbr) sub promenade/
サブネッティング /(n) (comp) subnetting/
サブネット /(n) subnet/
サブネットマスク /(n) (comp) subnet mask/
サブネットワーク /(n) (comp) sub-network/
サブネットワークアドレス /(n) (comp) subnetwork point of attachment address/subnetwork address/
サブネットワークコネクション /(n) (comp) subnetwork-connection/
サブネットワーク接続点 [サブネットワークせつぞくてん] /(n) (comp) subnetwork point of attachment/
サブネットワーク接続点アドレス [サブネットワークせつぞくてんアドレス] /(n) (comp) subnetwork point of attachment address/subnetwork address/
サブネット化 [サブネットか] /(n) (comp) subnetting/
サブノート /(n) (abbr) sub notebook/
サブノート型パソコン [サブノートがたパソコン] /(n) (comp) subnotebook personal computer/
サブバンク /(n) subbank/
サブパス /(n) (comp) subpath/
サブパターン /(n) sub-pattern/
サブパタン /(n) (comp) subpattern/
サブフィールド /(n) (comp) subfield/
サブプライム /(n) subprime/
サブプライム・モーゲージ /(n) subprime mortgage/
サブプライム・ローン /(n) subprime loan/subprime lending/
サブプライムモーゲージ /(n) subprime mortgage/
サブプライムローン /(n) subprime loan/subprime lending/
サブプライム融資 [サブプライムゆうし] /(n) subprime lending in housing mortage market/housing loans to low-income, high-risk consumers/
サブプログラム /(n) (comp) subprogram/
サブプロセス /(n) sub-process/
サブヘッディング /(n) subheading/
サブヘッド /(n) subhead/
サブマシンガン /(n) submachine gun/
サブマネージャー /(n) submanager/
サブマリン /(n) submarine/(P)/
サブマリンピッチャー /(n) submarine pitcher/
サブミクロン /(n) submicron/
サブメニュー /(n) (comp) sub-menu/
サブユニット /(n) subunit/
サブリーダー /(n) subleader/sub reader/
サブリナパンツ /(n) Sabrina pants/
サブリミナル /(n,adj-no,adj-na) subliminal (below the threshold of sensation or consciousness)/
サブリミナルアド /(n) subliminal advertisement/
サブリミナルテープ /(n) subliminal tape/
サブリミナルメッセージ /(n) subliminal message/
サブリミナル効果 [サブリミナルこうか] /(n) subliminal effect/
サブリュック /(n) small knapsack (eng: sub, ger: Rueck(sack))/small rucksack/
サブルーチン /(n) subroutine/
サブルーチン副プログラム [サブルーチンふくプログラム] /(n) (comp) subroutine subprogram/
サブルーチン名 [サブルーチンめい] /(n) (comp) subroutine name/
サブレ /(n) shortbread (fre: sable)/
サブレー /(n) shortbread (fre: sable)/
サブレット /(n) sublet/
サブレンジ /(n) (comp) subrange/
サブロック /(n) (abbr) submarine rocket/SUBROC/
サプライ /(n) supply/(P)/
サプライア /(n) (comp) supplier/
サプライサイド /(n) supply side/
サプライサイドエコノミックス /(n) supplyside economics/
サプライズ /(n) surprise/(P)/
サプライチェーン /(n) supply chain/
サプライチェーンマネジメント /(n) supply chain management/
サプライヤー /(n) supplier/(P)/
サプライヤサイト /(n) (comp) supplier site/
サプリ /(n) (abbr) supplement/(P)/
サプリカント /(n) (comp) supplicant/
サプリメント /(n) supplement/
サプレス /(n,vs) (comp) suppression/
サプレス可 [サプレスか] /(n) (comp) suppressible/
サプレッションプール /(n) suppression pool (nuclear reactor)/
サボ /(n) (1) wooden shoes (fre: sabot)/(2) (abbr) sabotage/
サボる /(v5r,vi) to be truant/to play hooky/to skip school/to skip out/to be idle/to sabotage by slowness/(P)/
サボタージ /(n,vs) sabotage (fre:)/
サボタージュ /(n,vs) sabotage (fre:)/
サボタージ員 [サボタージいん] /(n) saboteur/
サボテン /(n,adj-no) (uk) cactus (por: sabao)/
サポータ /(n) (1) supporter/(2) regular (guest) on a TV program/
サポーター /(n) (1) supporter/(2) regular (guest) on a TV program/(P)/
サポート /(n,vs) support/(P)/
サポートウェア /(n) (comp) support-ware/
サポートグループ /(n) (comp) support group/
サポートスタッフ /(n) (comp) support staff/
サポートセンター /(n) support centre (center)/
サポジラ /(n) sapodilla/
サポニン /(n) active substance from plants used in manufacture of soap, detergents and medication (ger: Saponin)/
サマー /(n) summer/(P)/
サマーウール /(n) summer wool/
サマーウェア /(n) summer wear/
サマーキャンプ /(n) summer camp/
サマーコート /(n) summer coat/
サマースクール /(n) summer school/(P)/
サマーストック /(n) summer stock/
サマーセーター /(n) summer sweater/
サマータイム /(n) daylight savings time (summertime)/
サマーハウス /(n) summer house/
サマーリゾート /(n) summer resort/
サマソルトターン /(n) somersault turn/
サマライズ /(n) summarize/summarise/(P)/
サマリ /(n) summary/
サマリー /(n) summary/
サマリープロジェクト /(n) (comp) summary project/
サマリウム /(n) samarium (Sm)/
サマリプロジェクト /(n) (comp) summary project/
サミズダート /(n) underground publishing (rus: samizdat)/
サミット /(n) summit/(P)/
サミュエル /(n) Samuel/(P)/
サミング /(n) thumbing (in boxing, poking a thumb in one's opponent's eye)/
サム /(n) (1) sum/(2) surface-to-air missile/SAM/(P)/
サムエル記下 [サムエルきか] /(n) Samuel II (book of the Bible)/
サムエル記上 [サムエルきじょう] /(n) Samuel I (book of the Bible)/
サムシング /(n) something/
サムズアップ /(n) thumbs up/
サムターン /(n) thumbturn/
サムチェック /(n) (comp) checksum/
サムネ /(n) (comp) (abbr) thumbnail/
サムネール /(n) thumbnail (i.e. miniature image)/
サムネイル /(n) thumbnail (i.e. miniature image)/
サムホール /(n) thumbhole/
サムホイール /(n) (comp) thumb wheel/
サムライアリ /(n) (uk) Polyergus samurai (species of amazon ant)/
サムライ債 [サムライさい] /(n) samurai loan/yen-denominated loan/
サメ /(n) shark/
サメハダイモリ /(n) (uk) rough-skinned newt (Taricha granulosa)/
サメヒレ /(n) shark fin/
サモア諸島 [サモアしょとう] /(n) Samoa (islands)/
サモサ /(n) samosa/
サモワール /(n) samovar (rus:)/
サヤナガ /(n) (uk) spear squid (Loligo bleekeri)/
サヤミドロ /(n) (uk) oedogonium (any of a genus of filamentous green algae)/
サヨナキドリ /(n) (uk) nightingale (Luscinia megarhynchos)/
サヨナラ /(int) good-bye/
サヨリ /(n) (uk) Japanese halfbeak (species of fish with elongated lower jaw) (Hemiramphus sajori)/stickleback/
サラ /(pref,suf) (abbr) salary/salaryman/
サラウンド /(n) surround/(P)/
サラウンドシステム /(n) surround system/
サラサドウダン /(n) (uk) redvein enkianthus (Enkianthus campanulatus)/
サラサバテイラ /(n) (uk) Tectus maximus (species of top shell)/
サラサ馬蹄螺 [サラサばていら] /(n) (uk) Tectus maximus (species of top shell)/
サラセニア /(n) sarracenia (lat:)/
サラセミア /(n) thalassemia/thalassaemia/
サラセン /(n) Saracen/
サラダ /(n) salad (por:)/(P)/
サラダオイル /(n) salad oil/
サラダドレッシング /(n) salad dressing/
サラダバー /(n) salad bar/
サラダボール /(n) salad-bowl/
サラダボウル /(n) salad bowl/
サラダ一皿 [サラダひとさら] /(n) plate of salad/
サラダ菜 [サラダな] /(n) butterhead lettuce/
サラダ油 [サラダゆ] /(n) salad oil/
サラドレ /(n) (abbr) salad dressing/
サラバンド /(n) saraband (music)/sarabande/
サラファン /(n) sarafan (type of garment) (rus:)/
サラブレッド /(n) thoroughbred/(P)/
サラブレッド種 [サラブレッドしゅ] /(n) thoroughbred/
サラマンダー /(n) salamander/
サラミ /(n) salami (ita:)/
サラリー /(n) salary/(P)/
サラリーマン /(n) office worker (wasei: salary man)/company employee/(P)/
サラリーマン金融 [サラリーマンきんゆう] /(n) consumer financing/
サランラップ /(n) cling wrap/Saran wrap (US)/glad wrap (Aus)/cling film (UK)/
サラ金 [サラきん] /(n) (abbr) consumer financing firm/loan shark/
サリー /(n) sari/(P)/
サリチオン /(n) salithion/
サリチル /(n) salicylic/
サリチル酸 [サリチルさん] /(n) salicylic acid/
サリチル酸ナトリウム [サリチルさんナトリウム] /(n) sodium salicylate/
サリチル酸フェニル [サリチルさんフェニル] /(n) phenyl salicylate/
サリチル酸メチル [サリチルさんメチル] /(n) methyl salicylate/
サリチル酸塩 [サリチルさんえん] /(n) salicylate/
サリドマイド /(n) thalidomide/
サリドマイドベビー /(n) thalidomide baby/
サリン /(n) Sarin (type of poison nerve-gas)/(P)/
サルーン /(n) saloon/(P)/
サルオガセ /(n) (uk) old man's beard (any lichen of genus Usnea)/
サルコイドーシス /(n) sarcoidosis/
サルサ /(n) (uk) sarsaparilla (Smilax regelii) (lit: sarsa) (lat:)/
サルサ /(n) salsa/(P)/
サルスエラ /(n) zarzuela (spa:)/
サルスベリ /(n) (uk) crape myrtle (Lagerstroemia indica)/
サルタン /(n) sultan/
サルダーナ /(n) sardana (spa:)/
サルトリイバラ /(n) (uk) Smilax china (species of sarsaparilla)/
サルバトール・モニター /(n) water monitor (Varanus salvator, species of carnivorous monitor lizard common from Sri Lanka in the west to the Philippines in the east)/common water monitor/
サルバトールモニター /(n) water monitor (Varanus salvator, species of carnivorous monitor lizard common from Sri Lanka in the west to the Philippines in the east)/common water monitor/
サルバルサン /(n) Salvarsan (brand name of arsphenamine)/(P)/
サルパ /(n) salpa (any tunicate of genus Salpa)/salp/salpian/
サルビア /(n) salvia (lat:)/(scarlet) sage/
サルファ /(n) sulfur/sulphur/
サルファイトパルプ /(n) sulfite pulp/
サルファダイアジン /(n) sulfadiazine/
サルファ剤 [サルファざい] /(n) sulfa drug/
サルベージ /(n) salvage/
サルベージ船 [サルベージせん] /(n) salvage boat/
サルモネラ /(n) Salmonella/
サルモネラ菌 [サルモネラきん] /(n) salmonella/
サルモネラ食中毒 [サルモネラしょくちゅうどく] /(n) salmonella food poisoning/
サル目 [サルもく] /(n) primates/
サロゲートペア /(n) surrogate pair (of characters)/(P)/
サロゲートマザー /(n) surrogate mother/
サロス /(n) saros (period of approximately 18 years and 11 days between repetition of eclipses)/
サロス周期 [サロスしゅうき] /(n) Saros cycle/
サロペット /(n) overall (fre: salopette)/overalls/
サロン /(n) (1) salon (fre:)/(2) sarong (may:)/(P)/
サロンエプロン /(n) sarong apron/
サロンミュージック /(n) salon music/
サロン的 [サロンてき] /(adj-na) (1) social/(2) exclusive/
サワー /(n) sour/
サワークリーム /(n) sour cream/
サワードウ /(n) sourdough/
サワー種 [サワーだね] /(n) sourdough/
サワガニ /(n) (uk) Japanese freshwater crab (Geothelphusa dehaani)/
サワギキョウ /(n) (uk) Lobelia sessilifolia (species of lobelia)/
サワグルミ /(n) (uk) Japanese wing nut (Pterocarya rhoifolia)/
サワシバ /(n) (uk) heartleaf hornbeam (Carpinus cordata)/
サワラ /(n) (uk) Japanese Spanish mackerel (Scomberomorus niphonius)/
サワラ /(n) (uk) sawara cypress (Chamaecyparis pisifera)/
サン /(n) (1) sun/(2) saint/(3) San (people)/
サンオーエス /(n) (comp) SunOS/
サンオイル /(n) sunscreen (wasei: suntan oil)/sunblock/
サンオブアビッチ /(int) son of a bitch/
サンカ /(n) group of mountain nomads (in Japan)/group of mountain people/the Sanka/
サンカクガイ /(n) (uk) trigoniid (any clam of family Trigoniidae)/
サンカメイガ /(n) (uk) yellow stem borer (species of moth, Scirpophaga incertulas)/
サンガリズム /(n) Sangerism/
サンキスト /(n) Sunkist/
サンキュー /(exp) thank you/(P)/
サンキライ /(n) (1) (uk) Smilax glabra (species of sarsaparilla)/(2) (col) Smilax china (species of sarsaparilla)/
サンクガーデン /(n) sunk garden/
サンクコスト /(n) sunk cost/
サンクション /(n) sanction/
サンクス /(n) thanks/
サンクスギビングデー /(n) Thanksgiving Day/(P)/
サンクチュール /(n) sans couture (fre:)/seamless/
サンクチュアリ /(n) sanctuary/
サンクチュアリー /(n) sanctuary/(P)/
サングラス /(n) sunglasses/(P)/
サングリア /(n) sangria/
サンケア指数 [サンケアしすう] /(n) sun protection index/
サンコウチョウ /(n) (uk) Japanese paradise flycatcher (Terpsiphone atrocaudata)/
サンゴアイゴ /(n) blue-spotted spinefoot (Siganus corallinus, species of Indo-West Pacific rabbitfish)/coral rabbitfish/orange spinefoot/
サンゴトラザメ /(n) coral catshark (Atelomycterus marmoratus, found in the Indo-West Pacific)/
サンゴトラザメ属 [サンゴトラザメぞく] /(n) Atelomycterus (genus of five species of catshark in the family Scyliorhinidae)/
サンゴヘビ /(n) (uk) coral snake/
サンゴミズキ /(n) (uk) Cornus alba/
サンゴ礁 [サンゴしょう] /(n) coral reef/
サンザ /(n) sansa/
サンザシ /(n) (uk) hawthorn/Crataegus cuneata/Crataegus apiifolia/may/quickthorn/whitethorn/
サンシェード /(n) sunshade/
サンシモニズム /(n) Saint-Simonism/
サンシャイン /(n) sunshine/(P)/
サンシャインフィッシュ /(n) sunshinefish (Chromis insolata)/olive chromis/
サンシュユ /(n) (uk) Asiatic dogwood (Cornus officinalis)/Japanese cornel/Japanese cornelian-cherry/
サンショウ /(n) (uk) Japanese pepper (species of Sichuan pepper, Zanthoxylum piperitum)/Japanese prickly ash/
サンショウクイ /(n) (uk) ashy minivet (species of passerine bird, Pericrocotus divaricatus)/
サンショウモ /(n) (uk) floating watermoss (Salvinia natans)/
サンジカリスト /(n) syndicalist (fre:)/
サンジカリスム /(n) syndicalism (fre:)/
サンジカリズム /(n) syndicalism (fre:)/
サンジカルスト /(n) syndicalist (fre:)/
サンジカルスム /(n) syndicalism (fre:)/
サンスーシ /(n) sans-souci (fre:)/carefree/
サンスーツ /(n) sunsuit/
サンスクリーン /(n) sunscreen/
サンスクリット /(n) Sanskrit/(P)/
サンスクリット語 [サンスクリットご] /(n) Sanskrit (language)/
サンステファノ条約 [サンステファノじょうやく] /(n) Treaty of San Stefano (ending the Russo-Turkish War, 1878)/
サンストーン /(n) sunstone/
サンスポ /(n) (abbr) Sankei Sports/
サンセット /(n) sunset/
サンセットバタフライフィッシュ /(n) sunset butterflyfish (Chaetodon pelewensis)/dot-and-dash butterflyfish/
サンセベーリア /(n) sansevieria (esp. mother-in-law's tongue, Sansevieria trifasciata) (lat:)/sanseveria/
サンセベリア /(n) sansevieria (esp. mother-in-law's tongue, Sansevieria trifasciata) (lat:)/sanseveria/
サンセリフ /(n) (comp) sans serif/
サンソフト /(n) (comp) SunSoft/
サンソン図法 [サンソンずほう] /(n) Sanson-Flamsteed projection/sinusoidal projection/
サンタ /(n) Santa/Santa Claus/Saint Nicholas/Sinterklaas/
サンタクララ /(n) Santa Clara (in California)/(P)/
サンタクルーズ /(n) Santa Cruz/
サンタクロース /(n) Santa Claus/(P)/
サンタフェ /(n) Santa Fe/(P)/
サンタマリア /(n) Santa Maria (por:)/
サンタン /(n) suntan/
サンタンオイル /(n) suntan oil/
サンタンカ /(n) ixora chinensis (flower)/
サンダー /(n) thunder/
サンダーバード /(n) thunderbird (North-American indigenous mythical spirit bird)/thunderbird (Australian bird, Pachycephala gutturalis)/(P)/
サンダル /(n) sandal/(P)/
サンダル履き [サンダルばき] /(n) (1) wearing sandals/(adj-no) (2) informal/casual/
サンチーム /(n) centime (fre:)/
サンチュ /(n) Korean lettuce (kor: sangchu)/
サンチュール /(n) belt (fre: ceinture)/(P)/
サンテティスム /(n) synthetism (fre: synthetisme)/
サンデー /(n) (1) sundae/(2) Sunday/(P)/
サンディエゴ /(n) San Diego/(P)/
サンディカリスト /(n) syndicalist (fre:)/
サンディカリスム /(n) syndicalism (fre:)/
サンディカリズム /(n) syndicalism (fre:)/
サンデッキ /(n) sun deck/
サント /(n) saint/
サントール /(n) Centaur (gre: Kentauros)/
サントニン /(n) santonin/
サントメプリンシペ /(n) (Democratic Republic of) Sao Tome and Principe/
サントメ縞 [サントメじま] /(n) striped cotton fabric imported from Sao Tome, also copied in Japan/
サントラ /(n) (abbr) soundtrack/(P)/
サントリー /(n) Suntory/(P)/
サンド /(n) (1) sand/(2) (abbr) sandwich/(P)/
サンドイッチ /(n) sandwich/(P)/
サンドイッチマン /(n) sandwich man/
サンドイッチ構造 [サンドイッチこうぞう] /(n) sandwich structure/
サンドウィッチ /(n) sandwich/
サンドウェッジ /(n) sand wedge/
サンドウエッジ /(n) sand wedge/
サンドスキー /(n) sand skiing/
サンドストーム /(n) sandstorm/
サンドストーン /(n) sandstone/
サンドタイガーシャーク /(n) sand tiger shark (Carcharias taurus)/
サンドバー・シャーク /(n) sandbar shark (Carcharhinus plumbeus, a species of requiem shark)/
サンドバーシャーク /(n) sandbar shark (Carcharhinus plumbeus, a species of requiem shark)/
サンドバギー /(n) sand buggy/dune buggy/
サンドバス /(n) sand bath/
サンドバッグ /(n) sandbag/
サンドパイル /(n) sand pile/
サンドブラスト /(n) sandblast/
サンドペーパー /(n) sandpaper/(P)/
サンドボックス /(n) (comp) sandbox/
サンドポンプ /(n) sand pump/
サンドレス /(n) sundress/
サンノゼ /(n) San Jose/(P)/
サンハチロク /(n) (comp) 386/
サンバ /(n) samba (por:)/(P)/
サンバー /(n) sambar/
サンバーストバタフライフィッシュ /(n) golden butterflyfish (Chaetodon aureofasciatus)/
サンバーン /(n) sunburn/
サンバイザー /(n) sun visor/
サンビーム /(n) sunbeam/
サンフェリクスバタフライフィッシュ /(n) narrow-barred butterflyfish (Amphichaetodon melbae)/
サンフォライズ /(n) Sanforized/Sanforised/(P)/
サンフラワー /(n) sunflower/
サンフランシスコ /(n) San Francisco/(P)/
サンフランシスコ講和条約 [サンフランシスコこうわじょうやく] /(n) Treaty of San Francisco/Treaty of Peace with Japan (Sept. 8, 1951)/
サンプラ /(n) (1) sampler/(2) imitation platinum/
サンプラー /(n) (1) sampler/(P)/
サンプリング /(n,vs) sampling/(P)/
サンプリングキーボード /(n) (comp) sampling keyboard/
サンプリングレート /(n) (comp) sampling rate/
サンプリング周波数 [サンプリングしゅうはすう] /(n) sampling frequency/
サンプリング定理 [サンプリングていり] /(n) (comp) sampling theorem/
サンプル /(n) sample/(P)/
サンプルサイズ /(n) (comp) sample size/
サンプルセリングシステム /(n) sample selling system/
サンプルドキュメント /(n) (comp) sample document/
サンプルブック /(n) sample book/
サンプルホールド装置 [サンプルホールドそうち] /(n) (comp) sample-and-hold device/
サンプル集団 [サンプルしゅうだん] /(n) (comp) sample group/sample set/
サンベルト /(n) Sunbelt/
サンボ /(n) (abbr) self-defence (defense) (type of wrestling) (rus: sambo)/(P)/
サンボリスト /(n) symbolist (fre:)/
サンボリスム /(n) symbolism (19th-century artistic movement)/
サンボリズム /(n) symbolism (fre:)/
サンマ /(n) (uk) Pacific saury (Cololabis saira)/mackerel pike/
サンマー /(n) summer/
サンマイクロシステムズ /(n) (comp) Sun Microsystems/(P)/
サンマリノ /(n) San Marino/
サンユーザグループ /(n) (comp) Sun User Group/SUG/
サンライズ /(n) (1) sunrise/(2) half-melon shaped bun (term used in the Chugoku area)/
サンルーフ /(n) sunroof/(P)/
サンルーム /(n) sunroom/
サンローラン /(n) (abbr) Yves Saint-Laurent/(P)/
サン族 [サンぞく] /(n) San (people)/
サ行 [サぎょう] /(n) classification for Japanese verb with the dictionary form ending in "su"/"sa" column or row of the kana syllabary/
サ行変格活用 [サぎょうへんかくかつよう] /(n) irregular conjugation (inflection, declension) of "suru" verbs/
サ店 [サてん] /(n) (abbr) (col) coffee lounge/coffee shop/cafe/
サ変 [サへん] /(n) (abbr) irregular conjugation (inflection, declension) of "suru" verbs/
サ変名詞 [サへんめいし] /(n) verb formed by adding "suru" to a noun/
ザ /(n) the/
ザーコム /(n) (comp) Xircom/
ザーザー /(adv) (on-mim) heavy rainfall/(P)/
ザーッ /(adv,n) (on-mim) sound of water/
ザーメン /(n) semen (ger: Samen)/seed/
ザイール /(n) (1) Zaire (now Democratic Republic of the Congo)/(2) zaire (currency of the Democratic Republic of the Congo)/(P)/
ザイル /(n) climbing rope (i.e. for mountaineering) (ger: Seil)/
ザイロフォウン /(ik) (n) xylophone/
ザイロフォン /(n) xylophone/
ザイン /(n) existence (ger: Sein)/
ザウアークラウト /(n) sauerkraut (i.e. pickled cabbage) (ger:)/
ザウアクラウト /(n) sauerkraut (i.e. pickled cabbage) (ger:)/
ザウルス /(n) (comp) ZAURUS/
ザカート /(n) zakat (ara:)/
ザギン /(n) (sl) Ginza/
ザクースカ /(n) entree (rus: zakuska)/hors d'oeuvres/
ザクソンインターネット /(n) (comp) XAXON Internet/
ザクロ石 [ザクロいし] /(n) garnet/
ザゼンソウ /(n) (uk) eastern skunk cabbage (Symplocarpus foetidus)/
ザック /(n) rucksack (ger:)/sack/
ザッツオーケー /(n) that's OK/
ザッツオール /(n) that's all/
ザッツライト /(n) that's right/
ザッピング /(n) zapping/
ザップ /(n) (comp) zap/
ザトウクジラ /(n) (uk) humpback whale (Megaptera novaeangliae)/
ザブザブ /(adv) (on-mim) gushing (of water, etc.)/
ザボン /(n) shaddock (por: zamboa)/pomelo/Citrus maximus/Citrus grandis/Citrus decumana/
ザラつく /(v5k,vi) to be rough feeling/
ザラクビオオトカゲ /(n) black roughneck monitor lizard (Varanus rudicollis, carnivorous species found throughout Southeast Asia)/
ザリガニ /(n) (uk) crayfish (esp. Japanese crayfish, Cambaroides japonicus)/(P)/
ザルガイ /(n) (uk) Burchard's cockle (Vasticardium burchardi)/
ザルガイ科 [ザルガイか] /(n) Cardiidae (family of bivalve molluscs comprising the cockles)/
ザワークラウト /(n) sauerkraut (i.e. pickled cabbage) (ger:)/
ザワークラフト /(n) sauerkraut (i.e. pickled cabbage) (ger:)/
ザワつく /(v5k,vi) to be noisy (e.g. from people talking)/
ザンジバルバタフライフィッシュ /(n) Zanzibar butterflyfish (Chaetodon zanzibarensis)/
ザンビア /(n,adj-no) Zambia/(P)/
ザンビア共和国 [ザンビアきょうわこく] /(n) Republic of Zambia/
ザ行 [ザぎょう] /(n) classification for Japanese verb with the dictionary form ending in "zu"/"za" column or row of the kana syllabary/
シ /(n) ti/si/7th note in the tonic solfa representation of the diatonic scale/
シー /(n) sea/
シー・サーペント /(n) sea serpent/
シーアール /(n) (comp) CR/
シーアールエム /(n) (comp) CRM/
シーアールシー /(n) (comp) CRC/
シーアールティー /(n) (comp) CRT/
シーアイイー /(n) (comp) CIE/
シーアンカー /(n) sea anchor/
シーアンドエア方式 [シーアンドエアほうしき] /(n) sea and air system/
シーア派 [シーアは] /(n) Shia (sect of Islam) (ara: Shi'a)/
シーイー /(n) (comp) CE/
シーイング /(n) seeing/
シーエー /(n) (comp) CA/
シーエーイー /(n) (comp) CAE/
シーエーブイ /(n) (comp) CAV/
シーエスエムエーシーエー /(n) (comp) CSMA-CA/
シーエスエムエーシーディー /(n) (comp) CSMA-CD/
シーエスジェイ /(n) (comp) CSJ/
シーエスネット /(n) (comp) CSNET/
シーエスブイ /(n) (comp) CSV/
シーエフ /(n) cf/
シーエムワイケー /(n) (comp) CMYK/
シーエルブイ /(n) (comp) CLV/
シーカー /(n) seeker/
シーカヤック /(n) sea kayak/
シーク /(n) (1) Sikh/(2) seek/(P)/
シークェンス /(n) sequence/
シークエンス /(n) sequence/
シークタイム /(n) (comp) seek time/
シークレット /(n) secret/(P)/
シークレット・シューズ /(n) shoes with thick soles to make one look taller (wasei: secret shoes)/
シークレットサービス /(n) secret service/(P)/
シークレットシューズ /(n) shoes with thick soles to make one look taller (wasei: secret shoes)/
シークヮーサー /(n) flat lemon (Citrus depressa Hayata)/Hirami lemon/thin-skinned flat lemon/shekwasha/Taiwan tangerine/
シークワーシャー /(n) flat lemon (Citrus depressa Hayata)/Hirami lemon/thin-skinned flat lemon/shekwasha/Taiwan tangerine/
シーク教 [シークきょう] /(n) Sikhism/
シーク時間 [シークじかん] /(n) (comp) positioning time/seek time/
シーグリーン /(n) sea green/
シーケンサ /(n) sequencer/
シーケンサー /(n) sequencer/
シーケンシャル /(adj-na,n) sequential/
シーケンシャルアクセス /(n) (comp) sequential access/
シーケンシャルファイル /(n) (comp) sequential file/
シーケンス /(n) sequence/
シーケンスソフト /(n) (comp) sequence soft/
シーケンス番号 [シーケンスばんごう] /(n) (comp) sequence number/
シーゲート /(n) (comp) Seagate/
シーサー /(n) Okinawan lion statues, used as talisman against evil/
シーサーペント /(n) sea serpent/
シーサイド /(n) seaside/
シーサイドスクール /(n) seaside school/
シーサイドリゾート /(n) seaside resort/
シーサット /(n) Seasat/
シーシー /(n) (comp) cc:/
シーシーアイティーティー /(n) (comp) CCITT/
シーシーディー /(n) (comp) CCD/
シーシーメイル /(n) (comp) cc:Mail/
シーシェル /(n) (comp) C shell/
シーシック /(n) seasickness/
シーシャープ /(n) (comp) C#/
シージーエー /(n) (comp) CGA/
シージャック /(n) seajack/
シース /(n) sheath/
シースシルエット /(n) sheath silhouette/
シーストローク /(n,vs) C-stroke (canoeing)/
シースドレス /(n) sheath dress/
シースナイフ /(n) sheath knife/
シースヒーター /(n) sheathed heater/
シースリップ /(n) (comp) CSLIP/
シースルー /(adj-no) see-through (e.g. blouse)/
シースルーファブリック /(n) see-through fabric/
シースルールック /(n) see-through look/
シーズ /(n) seeds/
シーズナリティ /(n) seasonal adjustment (to prices, etc.)/seasonality/
シーズニング /(n) seasoning/(P)/
シーズヒーター /(n) sheath heater/electric coil heater contained in metal tube/
シーズン /(n,adj-no) season (sporting)/(P)/
シーズンイン /(n) season in/
シーズンオフ /(n) off-season (wasei: season off)/(P)/
シーズンストック /(n) season stock/
シーズンスポーツ /(n) season sports/
シーズンセール /(n) season sale/
シーズンパス /(n) season pass/
シーズ線 [シーズせん] /(n) sheathing wire/
シーソー /(n) seesaw/
シーソーゲーム /(n) seesaw game/(P)/
シーソーポリシー /(n) seesaw policy/
シーソー遊び [シーソーあそび] /(n) seesaw (game)/
シーターム /(n) (comp) CTERM/
シーチキン /(n) canned tuna (from sea chicken, orig. a brand name)/
シーチング /(n) sheeting/
シーツ /(n) sheet/(P)/
シーテック /(n) Combined Exhibition of Advanced Technologies (Electronics Show)/CEATEC/
シーディーアイ /(n) (comp) CD-I/
シーディーエムエー /(n) (comp) CDMA/
シーディージー /(n) (comp) CD-G/
シーディーブイ /(n) (comp) CD-V/
シート /(n) (1) seat/(2) sheet/(P)/
シートウォーマー /(n) seat warmer/
シートカバー /(n) seat cover/
シートシャッター /(n) roller shutter (wasei: sheet shutter)/rolling shutter/
シートノック /(n,vs) fielding practice (practise) (wasei: seat knock)/
シートパイル /(n) sheet piling (method of interlocking sheets of metal)/sheet pile/
シートピア /(n) sea utopia (wasei: seatopia)/
シートフィーダ /(n) (comp) sheet feeder/
シートフィードスキャナ /(n) (comp) sheet-fed scanner/
シートフィルム /(n) sheet film/
シートベルト /(n,vs) seat belt/seatbelt/(P)/
シード /(n,vs) seed/(P)/
シードスパイス /(n) seed spice/
シーナップ /(n) (comp) CNAP/
シーニュ /(n) (ling) sign (fre: signe)/
シーネット /(n) (comp) C|NET/
シーハイル /(exp) skiers' greeting meaning "Good skiing!" (ger: Ski Heil)/(P)/
シーバース /(n) sea berth/
シーバス /(n) (comp) C Bus/
シーバックソーン /(n) sea buckthorn (Hippophae rhamnoides)/
シービーム /(n) (1) Sea Beam (company name)/(2) C-beam/
シーピーアイ /(n) consumer price index/CPI/
シーピーエス /(n) consumer price survey/CPS/
シーピーエム /(n) (comp) CPM/
シーピーエル /(n) (comp) CPL/
シーピーユー /(n) (comp) CPU/
シーフ /(n) thief (particularly in RPG games)/
シーフード /(n) seafood/(P)/
シープ /(n) sheep/
シープシャンク /(n) sheep shank/
シープスキン /(n) sheep skin/
シープドッグ /(n) sheep dog/
シープラスプラス /(n) (comp) C++/C plus plus/
シープラプラ /(n) (comp) C++/C plus plus/
シーベルト /(n) sievert (Sv)/
シーホース /(n) seahorse/
シーボーギウム /(n) seaborgium (Sg)/
シームレス /(n) seamless/(P)/
シーメンス事件 [シーメンスじけん] /(n) Siemens scandal (1914)/
シーモス /(n) (comp) complementary metal-oxide semiconductor/CMOS/
シーモンキー /(n) Sea-Monkeys (trademarked variant of brine shrimp)/
シーユーアイ /(n) (comp) CUI/
シーユーエスアイ /(n) (comp) CUSI/
シーユーシーミー /(n) (comp) CU-SeeMe/
シーユージー /(n) (comp) CUG/
シーラカンス /(n) coelacanth/
シーラスロジック /(n) (comp) Cirrus Logic/
シーラブ /(n) Sealab/
シーランプリ /(n) sea lamprey (Petromyzon marinus)/
シーリーズ /(n) series/
シーリング /(n) (1) ceiling/(2) sealing (compound, act of, etc.)/(P)/
シーリングプライス /(n) ceiling price/
シーリングランプ /(n) ceiling lamp/
シーリング照明器具 [シーリングしょうめいきぐ] /(n) ceiling light/
シーリング方式 [シーリングほうしき] /(n) ceiling system/
シール /(n) (1) seal/(2) sticker/(P)/
シールスキン /(n) sealskin/
シールセット /(n) seal set/set of stickers/
シールテープ /(n) thread sealing tape (wasei: seal tape)/plumber's tape/
シールド /(n,vs) shield/(P)/
シールドルーム /(n) shield room/
シールド工法 [シールドこうほう] /(n) shield method/
シーレーン /(n) sea-lane/
シーレン /(n) sea-lane/(P)/
シーロスタット /(n) coelostat/
シーロメータ /(n) ceilometer/
シーロメーター /(n) ceilometer/
シーン /(n,n-suf) scene/(P)/
シーンと /(adv,vs) (on-mim) silently (as the grave)/quietly (as in death)/
シーンタフネス性 [シーンタフネスせい] /(n) ability of a video camera to hold a scene steady (wasei: scene toughness)/
シアーズ /(n) Sears/(P)/
シアター /(n) theater/theatre/(P)/
シアターオルガン /(n) theatre organ/
シアトル /(n) Seattle/(P)/
シアナミド /(n) cyanamide (ger: Cyanamid)/
シアノコバラミン /(n) cyanocobalamin/
シアノバクテリア /(n) cyanobacteria/
シアノ基 [シアノき] /(n) cyano group/
シアン /(n) cyan (dut:)/(P)/
シアン化カリウム [シアンかカリウム] /(n) potassium cyanide/
シアン化ナトリウム [シアンかナトリウム] /(n) sodium cyanide/
シアン化銀 [シアンかぎん] /(n) silver cyanide/
シアン化合物 [シアンかごうぶつ] /(n) cyanide/
シアン化水銀 [シアンかすいぎん] /(n) mercury cyanide/
シアン化水素 [シアンかすいそ] /(n) hydrogen cyanide/
シアン化物 [シアンかぶつ] /(n) cyanide/
シアン基 [シアンき] /(n) cyano group/
シアン酸 [シアンさん] /(n) cyanic acid/
シイ /(n) (uk) any beech tree of genus Castanopsis/
シイザア /(n,adj-no) Caesar/
シイノキ /(n) (uk) any beech tree of genus Castanopsis/
シイラ /(n) (uk) mahimahi (Coryphaena hippurus)/common dolphinfish/dolphin/dorado/
シェーカー /(n) shaker/(P)/
シェーク /(n,vs) shake/(P)/
シェークダラー /(n) sheik dollar/
シェークハンド /(n) shake hands/
シェークハンドグリップ /(n) shake-hands grip (in ping-pong, table tennis)/
シェーグレン症候群 [シェーグレンしょうこうぐん] /(n) Sjogren's sydrome/Sjogren's disease/
シェーディング /(n) shading/
シェード /(n) shade/
シェーバー /(n) shaver/(P)/
シェーパー /(n) shaper/
シェービング /(n) shaving/
シェービングクリーム /(n) shaving cream/
シェービングフォーム /(n) shaving foam/
シェービングローション /(n) shaving lotion/
シェーピング /(n) (comp) shaping/
シェープ /(n,vs) shape/
シェープアップ /(n,vs) shape-up/
シェーマ /(n) scheme (ger: Schema)/schema/
シェール /(n) shale/
シェールオイル /(n) shale oil/
シェールガス /(n) shale gas/
シェア /(n) (market) share/(P)/
シェアード /(n) shared/
シェアードハブ /(n) (comp) shared hub/
シェアードメモリ /(n) (comp) shared memory/
シェアードメモリー /(n) (comp) shared memory/
シェアードライブラリ /(n) (comp) shared library/
シェアウェア /(n) (comp) shareware/
シェアウエア /(n) shareware/
シェアクロッパー /(n) share cropper/
シェアハウス /(n) (sl) share-house/
シェアリング /(n) sharing/(P)/
シェイク /(n,vs) shake/(P)/
シェイド /(n) shade/
シェイパ /(n) (comp) shaper/
シェイピング /(n) (comp) shaping/
シェイプアップ /(n,vs) shape-up/(P)/
シェイプトキャンバス /(n) shaped canvas/
シェケル /(n) shekel/sheqel/
シェトランドポニー /(n) Shetland pony/
シェニール糸 [シェニールいと] /(n) chenille/chenille yarn/
シェパード /(n) (1) shepherd/(2) German sheperd/(P)/
シェパードチェック /(n) shepherd's check/
シェフ /(n) chef (fre:)/(P)/
シェラック /(n) shellac/
シェリー /(n) sherry/(P)/
シェリー酒 [シェリーしゅ] /(n) sherry/
シェリフ /(n) sheriff/
シェル /(n) (comp) shell/(P)/
シェルスクリプト /(n) (comp) shell-script/
シェルター /(n) shelter/(P)/
シェルタードハウジング /(n) sheltered housing/
シェルパ /(n) Sherpa/
シェルパ族 [シェルパぞく] /(n) Sherpa (people)/
シェルフ /(n) shelf/
シェルプログラマ /(n) (comp) shell program/
シェルプロンプト /(n) (comp) shell prompt/
シェル構造 [シェルこうぞう] /(n) shell construction/
シェル変数 [シェルへんすう] /(n) (comp) shell variable/
シエスタ /(n) siesta/(P)/
シエラレオネ /(n) Sierra Leone/
シオアメンボ /(n) (uk) Asclepios shiranui (species of pond skater)/
シオクグ /(n) (uk) Carex scabrifolia (species of sedge)/
シオニスト /(n) Zionist/(P)/
シオニズム /(n) Zionism/(P)/
シオマネキ /(n) (uk) fiddler crab (esp. species Uca arcuata)/
シオン主義 [シオンしゅぎ] /(n) Zionism/
シカクマメ /(n) (uk) winged bean (Psophocarpus tetragonolobus)/
シカゴ /(n) Chicago/(P)/
シカゴ学派 [シカゴがくは] /(n) Chicago School (of economics)/
シカト /(n,vs) (sl) ostracism/ignoring someone/leaving someone out/
シガー /(n) cigar/
シガヌスドリアータス /(n) barred spinefoot (Siganus doliatus, species of Western Pacific rabbitfish)/barred rabbitfish/
シガヌスロウスピ /(n) bicolored foxface (Siganus uspi, species of rabbitfish endemic to Fiji sometimes found in New Caledonia)/
シガヌスロマグニフィカス /(n) magnificent rabbitfish (Siganus magnificus, species of rabbitfish found from Thailand to Java)/
シガリロ /(n) cigarillo/small cigar/
シガレット /(n) cigarette/
シガレットケース /(n) cigarette case/
シガレットパンツ /(n) cigarette pants/
シガレットペーパー /(n) cigarette paper/
シガレットホールダー /(n) cigarette holder/
シキソトロピー /(n) thixotropy/
シキビ /(n) (uk) Japanese star anise (Illicium anisatum)/
シキミ /(n) (uk) Japanese star anise (Illicium anisatum)/
シギ /(n) (uk) sandpiper (any bird of family Scolopacidae, inc. the curlews, godwits, phalaropes, redshanks, ruff, snipes, turnstones, and woodcocks)/
シギダチョウ /(n) (uk) tinamou (any bird of family Tinamidae)/
シクる /(v5r) (sl) to fail/to stuff up/
シクラミン酸ナトリウム [シクラミンさんナトリウム] /(n) sodium cyclamate/
シクラメン /(n) cyclamen (esp. species Cyclamen persicum) (lat:)/(P)/
シクリッド /(n) cichlid/
シクロ /(n) cyclo (Southeast Asian pedicab)/
シクロクロス /(n) cyclocross/cyclo-cross/
シクロスポリン /(n) cyclosporin/cyclosporine/
シクロデキストリン /(n) cyclodextrin/
シクロプロパン /(n) cyclopropane/
シクロヘキサン /(n) cyclohexane/
シクロホスファミド /(n) cyclophosphamide/
シクワーシャー /(n) flat lemon (Citrus depressa Hayata)/Hirami lemon/thin-skinned flat lemon/shekwasha/Taiwan tangerine/
シクンシ /(n) (uk) Rangoon creeper (Quisqualis indica)/
シク活用 [シクかつよう] /(n) classical form of i-adjective inflection (easily recognized by its attributive form ending in "shiki" and predicative form ending in "shi")/
シク教 [シクきょう] /(n) Sikhism/
シク戦争 [シクせんそう] /(n) Sikh Wars (1845-1846, 1848-1849)/
シグ /(n) (comp) SIG/
シグナチャー /(n) signature/(P)/
シグナリング /(n) (comp) signalling/
シグナリングメカニズム /(n) (comp) signalling mechanism/
シグナリングメッセージ /(n) (comp) signalling message/
シグナリング機能 [シグナリングきのう] /(n) (comp) signalling function/
シグナリング層 [シグナリングそう] /(n) (comp) signalling layer/
シグナル /(n) signal/(P)/
シグナルハンドラ /(n) (comp) signal handler/
シグナルレッド /(n) signal red/
シグナル名 [シグナルめい] /(n) (comp) signal name/
シグネチャ /(n) (comp) signature/
シグネチャー /(n) signature/
シグモイド関数 [シグモイドかんすう] /(n) sigmoid function/
シグラ /(n) (abbr) signal ground/
シケイン /(n) chicane/
シケメン /(n) (sl) drab, depressed man/
シコる /(v5r) (col) to masturbate/
シコクスズメダイ /(n) bicolor chromis (Chromis margaritifer)/whitetail chromis/
シコクビエ /(n) (uk) finger millet (Eleusine coracana)/
シコシコ /(n,vs) (1) (on-mim) chewy/springy/al dente/(2) slowly but steadily/(3) masturbation/fap fap/
シコンノボタン /(n) princess-flower (Tibouchina urvilleana)/
シザーカット /(n) scissors cut/
シザース /(n) scissors/
シザースジャンプ /(n) scissors jump/
シザースパス /(n) scissors pass/
シザースホールド /(n) scissors hold/
シザーズパス /(n) scissors pass/
シザーテイルダムゼルフィッシュ /(n) scissortail damselfish (Chromis atrilobata)/
シシウド /(n) (uk) pubescent angelica (Angelica pubescens)/
シシカバブ /(n) shish-kebabs/
シシャモ /(n) shishamo smelt (Spirinchus lanceolatus) (ain: susuhamu)/
シシュフォス /(n) Sisyphus, Sisuphos, Greek mythology, from Homer's Odyssey/
シジュウカラ /(n) (uk) great tit (Parus major)/
シジュウカラガン /(n) (uk) Aleutian Canada goose (Branta canadensis leucopareia)/
シジュウガラ /(n) (uk) great tit (Parus major)/
シス /(n) (1) cis/(2) sister/(P)/
シスアド /(n) (comp) (abbr) (computer) systems administrator/
シスオペ /(n) (abbr) system operator/sysop/
シスコ /(n) (abbr) San Francisco/
シスコシステムズ /(n) (comp) Cisco Systems/
シスコン /(n) (1) (comp) (abbr) system component/(2) (abbr) sister complex/unnatural attachment to one's sister/
シスター /(n) sister/(P)/
シスターボーイ /(n) sissy (wasei: sister boy)/
シスチン /(n) cystine/
システイン /(n) cysteine/
システマチック /(adj-na) systematic/
システマティク /(adj-na) systematic/
システマティック /(adj-na) systematic/
システム /(n,adj-no) system/(P)/
システム５ [システムファイブ] /(n) (comp) System V (variety of Unix)/System 5/
システムのエナジーセーブレベル /(n) (comp) system energy saver level/
システムのリセット /(n) (comp) system reset/
システムアーキテクチャ /(n) (comp) system architecture/
システムアクティビティ /(n) (comp) system activity/
システムアドミニストレータ /(n) (comp) system administrator/
システムアナリシス /(n) systems analysis/
システムアナリスト /(n) systems analyst/
システムアプリケーションアーキテクチャ /(n) (comp) System Application Architecture/SAA/
システムアプローチ /(n) systems approach/
システムイニ /(n) (comp) SYSTEM.INI/
システムイベント /(n) (comp) system event/
システムインテグレーション /(n) (comp) system integration/SI/
システムインテグレータ /(n) (comp) system integrator/
システムエラー /(n) (comp) system error/
システムエリア /(n) (comp) system area/
システムエンジニア /(n) (comp) systems engineer/
システムエンジニアリング /(n) systems engineering/
システムオペレータ /(n) (comp) system operator (sysop)/
システムカメラ /(n) system camera/
システムキッチン /(n) system kitchen/
システムキャレット /(n) (comp) system caret/
システムクラッシュ /(n) (comp) system crash/
システムクロック /(n) (comp) system clock/
システムコール /(n) (comp) system call/
システムコンテキスト /(n) (comp) system context/
システムコンバーター /(n) system converter/
システムコンフィギュレーション /(n) (comp) system configuration/
システムコンポ /(n) (comp) (abbr) system component/
システムズ /(n) systems/(P)/
システムズアプローチ /(n) systems approach/
システムズネットワークアーキテクチャ /(n) (comp) systems network architecture/SNA/
システムセブン /(n) (comp) System 7/
システムソフトウェア /(n) (comp) system software/
システムソフトウエア /(n) systems software/
システムダウン /(n) (comp) system crash/
システムチャネル /(n) (comp) system channel/
システムテレビ /(n) system television/
システムデータ /(n) (comp) system data/
システムディスク /(n) (comp) system disk/
システムデザイナー /(n) systems designer/
システムデザイン /(n) systems design/
システムデバイス /(n) (comp) system device/
システムドライブ /(n) (comp) system drive/
システムネットワーク /(n) systems network/
システムネットワークアーキテクチャ /(n) (comp) Systems Network Architecture/SNA/
システムハウス /(n) system house/
システムハッキング /(n) systems hacking/
システムバス /(n) (comp) system bus/
システムパラメータ /(n) (comp) system parameter/
システムパラメタ /(n) (comp) system parameter/
システムビルダ /(n) (comp) system builder/
システムファイル /(n) (comp) system file/
システムファイル記述子 [システムファイルきじゅつし] /(n) (comp) system file descriptor/
システムフォルダ /(n) (comp) system folder/
システムフォローアップ /(n) (comp) system follow-up/post-implementation review/post-development review/
システムフォント /(n) (comp) system font/
システムフローチャート /(n) systems flow chard/
システムプランナー /(n) systems planner/
システムプログラマ /(n) (comp) system programmer/
システムプログラム /(n) (comp) system program/systems program/
システムプロセス /(n) (comp) system process/
システムプロンプト /(n) (comp) system prompt/
システムボード /(n) (comp) system board/
システムメニュー /(n) system menu/
システムメモリ /(n) (comp) system memory/
システムメンテナンス /(n) (comp) system maintenance/
システムライフサイクル /(n) (comp) system life cycle/
システムライブラリ /(n) (comp) system library/
システムラベル /(n) (comp) system label/
システムリソース /(n) (comp) system resource/
システム開発 [システムかいはつ] /(n) (comp) system development/
システム概念設計 [システムがいねんせっけい] /(n) (comp) conceptual system design/
システム監査 [システムかんさ] /(n) (comp) system auditing/
システム管理 [システムかんり] /(n) (comp) systems-management/
システム管理オブジェクト [システムかんりオブジェクト] /(n) (comp) systems managed object/
システム管理サービス [システムかんりサービス] /(n) (comp) systems management service/
システム管理応用エンティティ [システムかんりおうようエンティティ] /(n) (comp) systems-management-application-entity/
システム管理応用サービス要素 [システムかんりおうようサービスようそ] /(n) (comp) systems management application service element/
システム管理応用プロセス [システムかんりおうようプロセス] /(n) (comp) systems management application process/
システム管理機能 [システムかんりきのう] /(n) (comp) systems management function/
システム管理機能単位 [システムかんりきのうたんい] /(n) (comp) systems management functional unit/
システム管理機能単位パッケージ [システムかんりきのうたんいパッケージ] /(n) (comp) systems management package/
システム管理機能領域 [システムかんりきのうりょういき] /(n) (comp) systems management functional area/
システム管理者 [システムかんりしゃ] /(n) (comp) system administrator/
システム管理操作 [システムかんりそうさ] /(n) (comp) (systems management) operation/
システム記述 [システムきじゅつ] /(n) (comp) system description/
システム共通領域 [システムきょうつうりょういき] /(n) (comp) system common area/
システム産業 [システムさんぎょう] /(n) system industry/
システム支援 [システムしえん] /(n) (comp) system support/system aids/
システム試験時間 [システムしけんじかん] /(n) (comp) system test time/
システム試験評価計画 [システムしけんひょうかけいかく] /(n) (comp) test plan/system test and evaluation plan/
システム資源 [システムしげん] /(n) (comp) system resource/
システム識別子 [システムしきべつし] /(n) (comp) system identifier/
システム実動時間 [システムじつどうじかん] /(n) (comp) system production time/
システム手帳 [システムてちょう] /(n) personal organiser (e.g. Filofax)/
システム修復ディスク [システムしゅうふくディスク] /(n) (comp) Emergency Repair Disk/
システム商品 [システムしょうひん] /(n) system goods/
システム障害 [システムしょうがい] /(n) (comp) system fault/
システム制御プログラム [システムせいぎょプログラム] /(n) (comp) system control program/
システム生成 [システムせいせい] /(n) (comp) system generation/sysgen (acronym)/
システム設計 [システムせっけい] /(n) (comp) system design/
システム宣言 [システムせんげん] /(n) (comp) system declaration/
システム適合性試験報告書 [システムてきごうせいしけんほうこくしょ] /(n) (comp) system conformance test report/SCTR/
システム適合性宣言 [システムてきごうせいせんげん] /(n) (comp) system conformance statement/
システム統合 [システムとうごう] /(n) (comp) system integration/
システム負荷レベル [システムふかレベル] /(n) (comp) system work load level/
システム分析 [システムぶんせき] /(n) (comp) systems analysis/
システム文字集合 [システムもじしゅうごう] /(n) (comp) system character set/
システム文書 [システムぶんしょ] /(n) (comp) system documentation/
システム保守 [システムほしゅ] /(n) (comp) system maintenance/
システム名 [システムめい] /(n) (comp) system-name/
システム名称 [システムめいしょう] /(n) (comp) system-title/
システム要求 [システムようきゅう] /(n) (comp) system requirement/
システム要件 [システムようけん] /(n) (comp) system requirement/
システム理論 [システムりろん] /(n) system theory/
システム立ち上げ [システムたちあげ] /(n) (comp) system initialization/system start up/
システム量 [システムりょう] /(n) (comp) system capacity/
システム領域 [システムりょういき] /(n) (comp) system area/
システム論 [システムろん] /(n) systems theory/
システム論理装置 [システムろんりそうち] /(n) (comp) system logical unit/
シストランス異性 [シストランスいせい] /(n) cis-trans isomerism/
シストリック /(adj-na) systolic/
シストリックアレイ /(n) systaltic array/
シストロン /(n) cistron/
シスプリ /(n) (abbr) Sister Princess (manga, game, TV series)/
シズル /(n) sizzle/
シズルカット /(n) sizzle cut/sizzle shot/mouth-watering image in an advertising/
シソーラス /(n) thesaurus/(P)/
シソーラスの項目 [シソーラスのこうもく] /(n) (comp) thesaurus entry/
シソ科 [シソか] /(n) Labiatae (plant family)/mint/Lamiaceae/
シソ目 [シソもく] /(n) Lamiales (order of plants)/
シゾイド人間 [シゾイドにんげん] /(n) schizoid person/
シタール /(n) sitar (hin:)/
シターン /(n) cittern/cithern/
シタビラメ /(n) (1) (uk) sole (esp. the tonguefishes of family Cynoglossidae, but also the true soles of family Soleidae)/(2) red tonguesole (Cynoglossus joyneri)/
シタムシ /(n) (uk) (obsc) tongue worm (any worm of phylum Pentastomida)/
シダレモモ /(n) weeping peach (Prunus persica var. pendula)/
シダ植物 [シダしょくぶつ] /(n) pteridophyte (any plant of division Pteridophyta, inc. ferns and fern allies)/
シチジル酸 [シチジルさん] /(n) cytidylic acid/
シチセンスズメダイ /(n) banded sergeant (Abudefduf septemfasciatus)/
シチセンチョウチョウウオ /(n) spotband butterflyfish (Chaetodon punctatofasciatus)/
シチセンムスメベラ /(n) Batu coris (Coris batuensis)/variegated wrasse/Dapple coris (Coris variegata)/
シチヘンゲ /(n) (1) (uk) lantana (plant, flower)/(2) kabuki dance in which the dancer quickly changes his clothes seven times/
シチュー /(n) stew/(P)/
シチュエーション /(n) situation/(P)/
シチリアの晩鐘 [シチリアのばんしょう] /(n) Sicilian Vespers/
シッカチーフ /(n) siccative (drying agent)/
シッカロール /(n) baby powder (brand name: Siccarol)/
シック /(adj-na) (1) chic (fre:)/(2) sick/(3) thick/(P)/
シックス /(n) six/
シックスシグマ /(n) (comp) six sigma/
シックスシグマＤＭＡＩＣサイクル [シックスシグマディーエムエーアイシーサイクル] /(n) six sigma DMAIC cycle/
シックスティ /(n) sixty/
シックスティー /(n) sixty/
シックスナイン /(n) (1) six nines/99.9999%/(2) (X) soixante-neuf/69/(P)/
シックスプレートソウテール /(n) sixplate sawtail (Prionurus microlepidotus, species of western Pacific tang)/
シックナー /(n) thickener/
シックネスバッグ /(n) sickness bag/
シックハウス /(n) sick house (as in "sick house syndrome")/
シックハウス症候群 [シックハウスしょうこうぐん] /(n) sick-house syndrome/sick-building syndrome/
シッティングルーム /(n) sitting room/
シットイン /(n) sit-in/
シットスピン /(n) sit spin/
シットダウンストライキ /(n) sit-down strike/
シッピングゾーン /(n) (comp) shipping zone/
シップ /(n) ship/(P)/
シップアメリカン /(n) Ship American policy/
シップエア方式 [シップエアほうしき] /(n) ship air system/
シティ /(n) city/(P)/
シティー /(n) city/
シティーエアターミナル /(n) city air terminal/(P)/
シティーギャル /(n) city gal/
シティーブルース /(n) city blues/
シティーホール /(n) city hall/
シティーボーイ /(n) city boy/
シティーポップス /(n) city pops (musical style)/
シティガイド /(n) city guide/
シティモール /(n) city mall/
シテンチョウチョウウオ /(n) fourspot butterflyfish (Chaetodon quadrimaculatus)/
シテンヤッコ /(n) threespot angelfish (Apolemichthys trimaculatus)/
シテンヤッコ属 [シテンヤッコぞく] /(n) Apolemichthys (genus of marine angelfishes in the family Pomacanthidae)/
シデムシ /(n) (uk) carrion beetle (any beetle of family Silphidae, inc. burying beetles)/
シデロスタット /(n) siderostat/
シデロライト /(n) siderolite/
シトクロム /(n) cytochrome (ger: Cytochrom)/
シトコム /(n) sitcom/
シトシン /(n) cytosine/
シトラス /(n) citrus (fruit)/
シトリン /(n) citrine/citrine quartz/false topaz/
シトルリン /(n) citrulline/
シトロン /(n) citron/(P)/
シドニー /(n) Sydney/(P)/
シドニージョウゴグモ /(n) Sydney funnel-web spider (Atrax robustus)/
シドニー大学 [シドニーだいがく] /(n) The University of Sydney/
シナゴーグ /(n) synagogue/
シナジー /(n) synergy/
シナチベット語族 [シナチベットごぞく] /(n) Sino-Tibetan (family of languages)/
シナチベット諸語 [シナチベットしょご] /(n) Sino-Tibetan languages/
シナトラドクトリン /(n) Sinatra Doctrine/
シナノキ /(n) (uk) Japanese linden (Tilia japonica)/
シナノキンバイ /(n) (uk) Trollius riederianus var. japonicus (Japanese variety of the Kamchatka globeflower, Trollius riederianus)/
シナノキ科 [シナノキか] /(n) Tiliaceae (plant family)/linden or basswood/
シナバー /(n) cinnabar/mercury sulphide (sulfide)/
シナプシス /(n) synapsis/
シナプス /(n,adj-no) synapse/
シナモン /(n) cinnamon/(P)/
シナリオ /(n) scenario/(P)/
シナリオライター /(n) scenario writer/(P)/
シナレンギョウ /(n) (uk) Chinese golden bells/Forsythia Vahl/
シナントロプスペキネンシス /(n) Sinanthropus pekinensis (lat:)/Peking man/
シナ海 [シナかい] /(n) China Sea/
シニア /(n) senior/(P)/
シニアハイスクール /(n) senior high school/
シニオリティー /(n) seniority/
シニカル /(adj-na,n) cynical/(P)/
シニシズム /(n) cynicism/
シニック /(adj-na) cynic/
シニフィアン /(n) signifiant (fre:)/signifier/
シニフィエ /(n) signifie (fre:)/signified/
シニョン /(n) chignon (ladies' hairstyle) (fre:)/
シニヨン /(n) chignon (ladies' hairstyle) (fre:)/
シヌソイド /(n) sinusoid/sine curve/
シネカメラ /(n) cinecamera/
シネクティクス /(n) synectics/
シネコン /(n) (abbr) cinema complex/
シネサイン /(n) cine sign/
シネスコ /(n) (abbr) CinemaScope/
シネフィルム /(n) cinefilm/
シネプレックス /(n) cineplex/
シネマ /(n) cinema (fre:)/(P)/
シネマオルガン /(n) cinema organ/
シネマコンプレックス /(n) cinema complex/
シネマスコープ /(n) CinemaScope/
シネマトグラフ /(n) cinematograph (fre: cinematographe)/
シネモード /(n) cine mode/
シネラマ /(n) Cinerama/
シネラリア /(n) cineraria/
シネラリヤ /(n) cineraria/
シノア /(n) chinois (fre:)/
シノドンティス /(n) squeaker (upside-down catfish of family Mochokidae, esp. members of genus Synodontis) (lat: Synodontis)/
シノニム /(n) (comp) synonym (partic. in computing and technical contexts)/(P)/
シノノメサカタザメ /(n) (uk) bowmouth guitarfish (Rhina ancylostoma)/mud skate/shark ray/
シノプシス /(n) synopsis/
シノワ /(n) chinois (fre:)/
シノワズリー /(n) chinoiserie (fre:)/
シバエビ /(n) shiba shrimp (prawn, Metapenaeus joyneri)/
シバザクラ /(n) (uk) moss phlox (Phlox subulata)/moss pink/
シビア /(adj-na,n) severe/(P)/
シビック /(n) civic/(P)/
シビックセンター /(n) civic center/civic centre/
シビックトラスト /(n) civic trust/
シビリアン /(n) civilian/
シビリアンコントロール /(n) civilian control/(P)/
シビリゼーション /(n) civilization/civilisation/
シビルミニマム /(n) civil minimum/
シビレ /(n) sweetbread (culinary name for the thymus and the pancreas, especially of the calf)/
シビレウナギ /(n) (uk) (obsc) electric eel (Electrophorus electricus)/
シビレナマズ /(n) (uk) (obsc) electric catfish (any species of family Malapteruridae, esp. species Malapterurus electricus)/
シファクティヌス /(n) Xiphactinus (extinct genus of predatory bony fish)/
シフィリス /(n) syphilis/
シフォン /(n,adj-no) chiffon (fre:)/(P)/
シフォンケーキ /(n) chiffon (cake)/sponge (cake)/
シフォンベルベット /(n) chiffon velvet/
シフト /(n,vs) shift/(P)/
シフトＪＩＳ [シフトジス] /(n) (comp) shift-JIS/shift_JIS/SJIS/
シフトアウト /(n) (comp) shift out/SO/
シフトイン /(n) (comp) shift in/SI/
シフトキー /(n) shift key/
シフトジス /(n) (comp) Shifted JIS/
シフトダウン /(n) move into low gear (wasei: shift down)/
シフトドレス /(n) shift dress/
シフトレジスタ /(n) (comp) shift register/
シフトレバー /(n) shift lever/
シフト演算機構 [シフトえんざんきこう] /(n) (comp) shift arithmetic unit/
シフト機能 [シフトきのう] /(n) (comp) shift function/
シブリー・アールキスト鳥類分類 [シブリー・アールキストちょるいぶんるい] /(n) Sibley-Ahlquist taxonomy of birds/
シブレット /(n) chive (Allium schoenoprasum) (fre: ciboulette)/
シプレ調 [シプレちょう] /(n) Chypre fragrance (family of scents including sage, lavender, and oak moss, used in perfumes)/
シベトン /(n) civetone/
シベリア /(n,adj-no) Siberia/(P)/
シベリアツマグロカジカ /(n) Arctic staghorn sculpin (Gymnocanthus tricuspis)/
シベリアトラ /(n) (uk) Siberian tiger (Panthera tigris altaica)/Amur tiger/
シベリアヤツメ /(n) Siberian brook lamprey (Lethenteron kessleri, species found in Eastern Europe and Siberia)/
シベリアンハスキー /(n) Siberian husky/
シベリア虎 [シベリアとら] /(n) (uk) Siberian tiger (Panthera tigris altaica)/Amur tiger/
シベリア縞栗鼠 [シベリアしまりす] /(n) (uk) Siberian chipmunk (Tamias sibiricus)/
シボリイソハゼ /(n) Eviota korechika (species of pygmy goby found in Japan and Indonesia)/
シボリキンチャクフグ /(n) honeycomb toby (Canthigaster janthinoptera)/spotted puffer (Australia)/
シボレー /(n) Chevrolet/(P)/
シマアジ /(n) (uk) striped jack (Pseudocaranx dentex)/white trevally/
シマイソハゼ /(n) candycane pygmy goby (Trimma cana, species from the Western Pacific)/
シマウキゴリ /(n) (uk) Gymnogobius opperiens (var. of goby)/
シマウシノシタ /(n) (uk) zebra sole (Zebrias zebrinus)/
シマウマ /(n,adj-no) (uk) zebra/
シマキツネベラ /(n) Bodianus masudai (species of hogfish)/
シマキンチャクフグ /(n) Valentin's sharpnose puffer (Canthigaster valentini)/black-saddle toby/
シマザメ /(n) grey bambooshark (Chiloscyllium griseum, species from the Indo-West Pacific)/
シマスカンク /(n) (uk) striped skunk (Mephitis mephitis)/
シマスズメダイ /(n) blackspot sergeant (Abudefduf sordidus)/
シマドジョウ /(n) (uk) Japanese striped loach (Cobitis biwae)/
シマネコザメ /(n) zebra bullhead shark (Heterodontus zebra, found in the Western Pacific)/
シマハギ /(n) (uk) convict surgeonfish (Acanthurus triostegus, species of the Indo-Pacific)/convict tang/manini/
シマハタタテダイ /(n) singular bannerfish (Heniochus singularius)/
シマバエ /(n) (1) (uk) lauxaniid fly (any fly of family Lauxaniidae)/(2) flesh fly (any fly of family Sarcophagidae)/
シマフクロウ /(n) (uk) Blakiston's fish owl (Bubo blakistoni)/
シマフグ /(n) (uk) yellowfin puffer (Takifugu xanthopterus)/
シマミドリハゼ /(n) Afele's fringefin goby (Eviota afelei)/Afele's pygmy goby/
シマミミズ /(n) brandling (species of earthworm, Eisenia fetida)/
シマリス /(n) (uk) chipmunk (esp. the Siberian chipmunk, Tamias sibiricus)/
シマンギク /(n) (uk) chrysanthemum (Chrysanthemum indicum)/
シミーズ /(n) chemise (fre:)/(P)/
シミエンジャッカル /(n) Abyssinia jackal (carnivore, Canis simensis)/simian jackal/simenian jackal/simenian wolf/Ethiopian wolf/
シミュレーション /(n,vs) (comp) simulation/(P)/
シミュレーションゲーム /(n) (comp) simulation game/
シミュレータ /(n) simulator/
シミュレーター /(n) simulator/(P)/
シミュレート /(n,vs) simulate/
シミュレション /(n,vs) (comp) simulation/
シミリ /(n) simile/
シム /(n) shim/
シムーン /(n) simoon/
シムアース /(n) (comp) SIMEARTH/
シムシティー /(n) (comp) SIMCITY/
シムバイオス /(n) (comp) SYMBIOS/
シメ /(n) (uk) hawfinch (Coccothraustes coccothraustes)/
シメジ /(n) (1) (uk) Lyophyllum shimeji (species of edible mushroom)/(2) euagaric fungus (in grocery stores, usu. refers to cultivated field mushrooms, etc.)/
シメチジン /(n) cimetidine/
シメニアジャッカル /(n) Abyssinia jackal (carnivore, Canis simensis)/simian jackal/simenian jackal/simenian wolf/Ethiopian wolf/
シメニア狼 [シメニアおおかみ] /(n) simenian wolf (carnivore, Canis simensis)/Abyssinia jackal/simian jackal/simenian jackal/Ethiopian wolf/
シモクレン /(n) (uk) alternative name for lily magnolia (Magnolia quinquepeta, Magnolia liliiflora)/
シモツケ /(n) (uk) (abbr) Japanese spirea (Spiraea Japonica)/
シモツケソウ /(n) (uk) meadowsweet (Filipendula multijuga)/
シモフリアイゴ /(n) white-spotted spinefoot (Siganus canaliculatus, species of Indo-West Pacific rabbitfish)/
シャーク /(n) shark/
シャークスキン /(n) shark skin/(P)/
シャーシ /(n) chassis/
シャーシー /(n) chassis/
シャーシ接地 [シャーシせっち] /(n) (comp) chassis ground/
シャープ /(adj-na,n) (1) sharp/(2) hash sign/# sign/(3) (abbr) automatic pencil/(4) Sharp (company)/(P)/
シャープナー /(n) sharpener/
シャープノーズパファー /(n) Caribbean sharpnose-puffer (Canthigaster rostrata)/sharpnose puffer/
シャープペンシル /(n) propelling or mechanical pencil (wasei: sharp pencil)/(P)/
シャーベット /(n) sherbet/(P)/
シャーペン /(n) (abbr) mechanical pencil (wasei: sharp pencil)/automatic pencil/
シャーマニズム /(n) shamanism/
シャーマン /(n) shaman/(P)/
シャーリング /(n) shirring/(P)/
シャーレ /(n) dish (i.e. Petri dish) (ger: Schale)/
シャーロッキアン /(n) Sherlockian/(P)/
シャー芯 [シャーしん] /(n) (abbr) mechanical pencil lead/
シャイ /(adj-na,n) shy/(P)/
シャイニング /(n) shining/
シャオシンチュー /(n) shaoxingjiu (Chinese alcohol made from rice or glutinous millet) (chi:)/
シャオシンチュウ /(n) shaoxingjiu (Chinese alcohol made from rice or glutinous millet) (chi:)/
シャカシャカ /(n) (sl) nylon track suit (when worn as street fashion)/
シャカシャカパンツ /(n) (sl) nylon track pants (when worn as street fashion)/
シャカパン /(n) (abbr) (sl) nylon track pants (when worn as street fashion)/
シャガ /(n) (uk) fringed iris (Iris japonica)/Japanese iris/
シャキッと /(adv) (1) crisp/crunchy/(2) refreshing/straight/firm/sharp/smart and stylish/
シャギー /(n) (sl) shaggy (hair style)/
シャギーカーペット /(n) shaggy carpet/
シャクシギ /(n) (uk) (obsc) curlew (any bird of genus Numenius)/
シャクジョウソウ /(n) (uk) yellow bird's-nest (Monotropa hypopitys)/pinesap/false beechdrops/
シャクラク /(n) (uk) Chinese peony (Paeonia lactiflora)/
シャコ /(n) (1) (uk) (abbr) giant clam (any clam of subfamily Tridacnidae)/(2) giant clam shell/
シャコ /(n) (1) (uk) francolin (partridge-like bird of genus Francolinus)/(2) (arch) partridge (of genus Perdix)/
シャコ /(n) (uk) mantis shrimp (any marine crustacean of order Stomatopoda, esp. the species Oratosquilla oratoria)/
シャコめし /(n) shako meshi/rice cooked with shrimp/
シャコガイ /(n) (uk) giant clam (any clam of subfamily Tridacnidae)/
シャコタン /(n) vehicle with body lowered/
シャコンヌ /(n) chaconne (fre:)/
シャシ /(n) chassis/
シャシー /(n) chassis/
シャシャンボ /(n) (uk) sea bilberry (Vaccinium bracteatum)/
シャソン /(n) chanson/
シャチ /(n) (1) (uk) orca (Orcinus orca)/killer whale/grampus/
シャチハタ /(n) self-inking (rubber) stamp (from the company name)/
シャチホコガ /(n) (uk) lobster moth (Stauropus fagi persimilis)/
シャッキとしろ /(exp) look sharp!/
シャッキシャッキ /(n) crisp/precise/
シャッター /(n) (1) camera shutter/(2) shutter (door, window, etc.)/(P)/
シャッターを切る [シャッターをきる] /(exp,v5r) to release a shutter (camera)/to click a shutter/
シャッターチャンス /(n) good time to take a picture (wasei: shutter chance)/
シャッター通り [シャッターどおり] /(n) shutter Street (street with many closed-down shops or offices)/
シャット /(n) shut/
シャットアウト /(n,vs) shutout/(P)/
シャットダウン /(n,vs) shutdown/
シャットル /(n) shuttle/
シャッフリング /(n) shuffling/
シャッフル /(n,vs) shuffle/
シャッポ /(n) hat (fre: chapeau)/(P)/
シャッポを脱ぐ [シャッポをぬぐ] /(exp,v5g) to take one's hat off/
シャツ /(n) shirt/singlet/(P)/
シャツカラー /(n) shirt collar/
シャツブラウス /(n) shirt blouse/shirtwaist/
シャトー /(n) castle (fre: chateau)/(P)/
シャトーブリアン /(n) chateaubriand (fre:)/
シャトーワイン /(n) chateau wine/
シャトル /(n) shuttle/(P)/
シャトルーズ /(n) chartreuse (fre:)/
シャトルコック /(n) shuttlecock/
シャトルバス /(n) shuttle bus/(P)/
シャトルループ /(n) shuttle loop/
シャトル外交 [シャトルがいこう] /(n) shuttle diplomacy/
シャドー /(n) shadow/(P)/
シャドーイング /(n,vs) shadowing/
シャドーキャビネット /(n) shadow cabinet/
シャドーストライプ /(n) shadow stripe/
シャドーピッチング /(n) shadow pitching/
シャドープライス /(n) shadow price/
シャドーボクシング /(n) shadowboxing/
シャドーマスク /(n) shadow mask/
シャドーワーク /(n) shadow work/
シャドゥイング /(n,vs) shadowing/
シャドウ /(n) shadow/
シャドウＲＡＭ [シャドウラム] /(n) (comp) shadow Random Access Memory/
シャドウイング /(n,vs) shadowing/
シャドウマスク /(n) (comp) shadow mask/
シャドウマップ /(n) shadow map/
シャネラー /(n) young women completely outfitted in Chanel clothing and accessories (wasei: Chaneler)/
シャネル /(n) Chanel (name)/(P)/
シャノンの理論 [シャノンのりろん] /(n) (comp) shannon's low/
シャバい /(adj-i) (1) (sl) dangerous/(2) (sl) unsatisfactory/boring/
シャヒード /(n) shahid (ara: shid)/shaheed/Muslim martyr/
シャビー /(n,adj-f) shabbiness/shabby/
シャフト /(n) shaft/(P)/
シャブ /(n) stimulant/pep-pill/upper/speed/
シャベル /(n) shovel/(P)/
シャペロン /(n) chaperon (fre:)/
シャボテン /(n,adj-no) (uk) cactus (por: sabao)/
シャボン /(n) soap (por: sabao)/
シャボン玉 [シャボンだま] /(n) soap bubble/(P)/
シャポー /(n) hat (fre: chapeau)/
シャマニズム /(n) shamanism/
シャマン /(n) shaman/
シャミセンガイ /(n) (uk) lingulate brachiopod (esp. species Lingula anatina)/
シャム /(n) Siam/
シャム語 [シャムご] /(n) (obsc) Siamese (language)/
シャム双生児 [シャムそうせいじ] /(n) Siamese twins/
シャム猫 [シャムねこ] /(n) Siamese cat/
シャモア /(n) chamois (Rupicapra rupicapra) (fre:)/
シャモット煉瓦 [シャモットれんが] /(n) chamotte brick/
シャリーア /(n) sharia (ara: sariya)/shariah/shariat/Islamic canonical law/
シャリング /(n,vs) shearing/cropping/
シャルトルーズ /(n) chartreuse (fre:)/
シャルドネ /(n) Chardonnay (fre:)/
シャルマン /(adj-na,n) charming (fre: charmant)/(P)/
シャルム /(n) charm (fre: charme)/
シャルルの法則 [シャルルのほうそく] /(n) Charles' law/Charles's law/
シャルロット /(n) Charlotte/
シャルワール /(n) shalwar/
シャレ /(adj-na,n) (1) joke/pun/witticism/(adj-na) (2) smartly dressed/stylish/fashion-conscious/refined/
シャレード /(n) charade/
シャロット /(n) shallot/(P)/
シャワー /(n) shower/(P)/
シャワーカーテン /(n) shower curtain/
シャワーキャップ /(n) shower cap/
シャワートイレ /(n) bidet toilet (wasei: shower toilet)/washlet/
シャワー効果 [シャワーこうか] /(n) shower effect (theory that placing high-selling items on the upper floors of a department store will lead to increased sales in the lower floors)/
シャン /(adj-na,n) beautiful (ger:)/(P)/
シャンク /(n) shank/
シャングリラ /(n) Shangri-la/
シャンゼリゼ /(n) Champs Elysees (in Paris)/(P)/
シャンソニエ /(n) chansonnier (fre:)/
シャンソン /(n) chanson (fre:)/(P)/
シャンツェ /(n) ski jump (Schanze) (ger: Schanze)/
シャンティー /(n) Chantilly (e.g. lace)/(P)/
シャンデリア /(n) chandelier/(P)/
シャント /(n) shunt/
シャンパーニュ /(n) (uk) champagne (fre:)/
シャンパン /(n) (uk) champagne (fre:)/(P)/
シャンパングラス /(n) champagne flute/champagne glass/
シャンピニオン /(n) champignon (fre:)/
シャンピニョン /(n) champignon (fre:)/
シャンブレー /(n) chambray/
シャンプー /(n,vs) shampoo/(P)/
シャンペン /(n) (uk) champagne (fre:)/
シャンペンサイダー /(n) champagne cider/
シヤー /(n) shear/
シヤン /(ik) (adj-na,n) beautiful (ger:)/
シュークリーム /(n) chou a la creme (fre:)/cream-filled pastry/(P)/
シューシャイン /(n) shoeshine/
シューシュー /(adv-to) (on-mim) hiss/fizz/woosh/swish/whiz/
シューズ /(n) shoes/(P)/
シューター /(n) (1) shooter/(2) chute/
シューツリー /(n) shoetree/
シューティングゲーム /(n) (comp) shooting game/
シューティングスクリプト /(n) shooting script/
シュート /(n,vs) (1) shoot/(2) chute/(P)/
シュートボール /(n) shoot ball (baseball)/shooter/screwball/
シュードモナス /(n) pseudomonas/
シューベルト /(n) Schubert/(P)/
シューホーン /(n) shoehorn/
シューマイ /(n) steamed meat dumpling (Chinese-style) (chi: shao-mai)/
シューメイカー・スパインフット /(n) shoemaker spinefoot (Siganus sutor, species of rabbitfish from the western Indian Ocean)/
シューメイカースパインフット /(n) shoemaker spinefoot (Siganus sutor, species of rabbitfish from the western Indian Ocean)/
シュール /(adj-na) (1) (abbr) surreal (fre: sur)/(n) (2) (abbr) surrealism/(P)/
シュールレアリスト /(n) surrealist/
シュールレアリスム /(n) surrealism/
シュールレアリズム /(n) surrealism/(P)/
シュア /(n) sure/
シュウカイドウ /(n) (uk) hardy begonia (Begonia grandis)/
シュウ酸 [シュウさん] /(n) oxalic acid/
シュウ酸カルシウム [シュウさんカルシウム] /(n) calcium oxalate/
シュガー /(n) sugar/(P)/
シュガーカット /(n) sugar cut/
シュガーコート /(n) sugar coat/
シュガーシャック /(n) sugar shack/
シュガーボウル /(n) sugar bowl/
シュガーレス /(adj-no) sugarless/
シュグニー語 [しゅぐにーご] /(n) Shughni (language spoken in Pamir mountains in Afghanistan and Tajikistan)/
シュシュ /(n) (uk) scrunchie/hair tie covered in fabric/
シュタージ /(n) Stasi (Staatssicherheitsdienst, state security service of East Germany) (ger:)/
シュタイナー学校 [シュタイナーがっこう] /(n) Steiner school/(P)/
シュッシュッ /(adv-to,adv) (1) (on-mim) choo-choo/chug-chug/chuff-chuff/hiss-hiss/(2) (on-mim) brush-brush/scrub-scrub/
シュテムクリスチャニア /(n) Stemmkristiania (crystal) (ger:)/
シュテムボーゲン /(n) stem turn in skiing (ger: Stemmbogen)/(P)/
シュトゥルムウントドラング /(exp) Sturm und Drang (ger:)/(P)/
シュナウツァー /(n) schnauzer (ger: Schnauzer)/
シュナップス /(n) liquor (ger: Schnaps)/(P)/
シュノーケリング /(n) snorkeling/
シュノーケル /(n) snorkel/
シュバシコウ /(n) (uk) white stork (Ciconia ciconia)/
シュプール /(n) trace (e.g. from skis) (ger: Spur)/
シュプレッヒコール /(n) speaking in chorus, unison (ger: Sprechchor)/
シュプレヒコール /(n) speaking in chorus, unison (ger: Sprechchor)/(P)/
シュプレマティスム /(n) suprematism (fre:)/
シュプレマティズム /(n) suprematism (fre:)/
シュペッツレ /(n) spaetzle (ger:)/
シュペリオリティーコンプレックス /(n) superiority complex/
シュポシュポ /(n) sound like a steam engine/
シュミーズ /(n) chemise (fre:)/
シュミットオオトカゲ /(n) peach throat monitor (Varanus jobiensis, species of carnivorous monitor lizard native to Australia)/
シュミットカメラ /(n) Schmidt camera/(P)/
シュミネ /(n) (1) fireplace (fre:)/mantlepiece/(2) chimney (narrow cleft used to climb a rock face)/
シュミレーション /(ik) (n,vs) (comp) simulation/
シュメール語 [シュメールご] /(n) Sumerian (language)/
シュメール人 [シュメールじん] /(n) Sumerian (person)/
シュモクザメ /(n) (uk) hammerhead shark/
シュモクザメ科 [シュモクザメか] /(n) Sphyrnidae (family containing the nine known species of hammerhead sharks)/
シュモクザメ属 [シュモクザメぞく] /(n) Sphyrna (genus of hammerhead sharks in the family Sphyrnidae)/
シュラーフ /(n) (abbr) sleeping bag (ger: Schlafsack)/
シュラーフザック /(n) sleeping bag (ger: Schlafsack)/
シュラウド /(n) shroud (e.g. of a reactor core, motor cycle, etc.)/
シュラスコ /(n) Brazilian barbecue (por: churrasco)/
シュラフ /(n) (abbr) sleeping bag (ger: Schlafsack)/
シュラフザック /(n) sleeping bag (ger: Schlafsack)/
シュリンプ /(n) shrimp/
シュルント /(n) schrund (crevasse, esp. a bergschrund, a crevasse near the head of a glacier) (ger:)/
シュレーゲルアオガエル /(n) (uk) Schlegel's green tree frog (Rhacophorus schlegelii)/
シュレーゲル青蛙 [シュレーゲルあおがえる] /(n) (uk) Schlegel's green tree frog (Rhacophorus schlegelii)/
シュレーディンガーの猫 [シュレーディンガーのねこ] /(n) Schrodinger's cat (quantum mechanics thought experiment)/
シュレーディンガー方程式 [シュレーディンガーほうていしき] /(n) Schroedinger equation/
シュレッダ /(n) shredder/
シュレッダー /(n) shredder/(P)/
シュロ /(n) (uk) Chinese windmill palm (Trachycarpus fortunei)/Chusan palm/hemp palm/
シュロチク /(n) (uk) Rhapis humilis/rhapis/
シュワン細胞 [シュワンさいぼう] /(n) Schwann cell/
シュンガ /(n) Shunga (dynasty of India, approx. 180-68 BCE)/Sunga/
シュンシュン /(adv,adv-to) whistling (e.g. of a kettle)/
シュンラン /(n) (uk) noble orchid (Cymbidium goeringii)/
シュヴァリエ /(n) chevalier/
ショー /(n) show/(P)/
ショーウィンドー /(n) display (show) window/
ショーウィンドウ /(n) display (show) window/
ショーウインドー /(n) display (show) window/(P)/
ショーガール /(n) show girl/
ショーケース /(n) showcase/(P)/
ショーダービジョン /(n) shordarvision/shore radar television/
ショーツ /(n) shorts/(P)/
ショート /(n,vs) (1) short (e.g. a circuit)/(2) short stop (baseball)/(P)/
ショートアイアン /(n) short iron (golf)/
ショートオーダー /(n) short order/
ショートカット /(n,vs) short cut/(P)/
ショートカットキー /(n) (comp) shortcut key/
ショートケーキ /(n) shortcake/
ショートコント /(n) skit/short comic play/
ショートサーキット /(n) short circuit/
ショートサーキットアピール /(n) short-circuit appeal/
ショートショート /(n) short short (story)/
ショートスカート /(n) short skirt/
ショートスキー /(n) short ski/
ショートスケール /(n) short-scale/
ショートステイ /(n) short stay/temporary care/(P)/
ショートストーリー /(n) short story/
ショートストップ /(n) shortstop/
ショートタイム /(n) short time/
ショートトラック /(n) short track/
ショートトン /(n) short ton/
ショートドリンク /(n) short drink (martini, gimlet, etc.)/
ショートニング /(n) shortening/
ショートハンド /(n) shorthand/
ショートバウンド /(n,vs) short bound/
ショートパス /(n) short pass (soccer)/
ショートパンツ /(n) short pants/shorts/(P)/
ショートパント /(n) short punt/
ショートピン /(n) (comp) short pin/
ショートプラグ /(n) (comp) short plug/
ショートプログラム /(n) short program/
ショートヘア /(n) short hair/
ショートヘアー /(n) short hair/
ショートホール /(n) short hole (golf)/
ショートメール /(n) (comp) short mail/
ショートライナー /(n) line drive to the shortstop (baseball)/
ショートリリーフ /(n) short relief/
ショービジネス /(n) show business/
ショービズ /(n) show biz/
ショービニスト /(n) chauvinist/
ショービニスム /(n) chauvinism (fre:)/
ショービニズム /(n) chauvinism (fre:)/
ショーファー /(n) shofar/
ショーボート /(n) showboat/
ショーマン /(n) showman/
ショーマンシップ /(n) showmanship/
ショーム /(n) shawm/
ショーラン /(n) shoran/short-range navigation aid/
ショール /(n) shawl/(P)/
ショールーム /(n) showroom/(P)/
ショールカラー /(n) shawl collar/
ショールダーバッグ /(n) shoulder bag/
ショーロ /(n) weeping (por: choro)/crying/
ショーヴィニスム /(n) chauvinism (fre:)/
ショウ /(n) show/(P)/
ショウガ /(n) (uk) ginger (Zingiber officinale)/
ショウサイフグ /(n) (uk) Takifugu snyderi (species of pufferfish)/
ショウジョウコウカンチョウ /(n) (uk) northern cardinal (Cardinalis cardinalis)/common cardinal/
ショウジョウソウ /(n) (uk) Mexican fireplant (species of poinsettia, Euphorbia heterophylla)/
ショウジョウバエ /(n) (uk) fruit fly (any insect of family Drosophilidae)/vinegar fly/pomace fly/banana fly/
ショウタイム /(n) show time/
ショウナリ /(n) (comp) less-than mark (<)/left angle bracket/
ショウリョウバッタ /(n) (uk) Oriental longheaded locust (Acrida cinerea)/
ショウリョウバッタモドキ /(n) (uk) Gonista bicolor (species of grasshopper resembling the Oriental longheaded locust)/
ショウルーム /(n) showroom/
ショコラ /(n) chocolate (fre:)/
ショコラショウ /(n) hot chocolate (fre: chocolat chaud)/
ショコラティエ /(n) chocolatier (fre:)/chocolate maker/
ショタコン /(n) (abbr) Shoutarou complex (obsession with young boys)/
ショッカー /(n) shocker/
ショッキング /(adj-na,n) shocking/(P)/
ショッキングピンク /(n) shocking pink/
ショック /(adj-na,n) shock/(P)/
ショックアブソーバ /(n) shock absorber/
ショックアブソーバー /(n) shock absorber/
ショックウェーブ /(n) (comp) ShockWave/
ショックウェイブ /(n) shockwave/
ショックセオリー /(n) shock theory/
ショック死 [ショックし] /(n,vs) death due to shock (triggered by blood loss, heart failure or other causes)/
ショック療法 [ショックりょうほう] /(n) shock therapy/shock treatment/
ショット /(n) (1) shot (in films)/(2) shot (of alcohol)/(3) hitting a ball (e.g. in tennis)/(n,vs) (4) shoot (in basketball)/(P)/
ショットガン /(n) shotgun/
ショットガンウェディング /(n) shotgun wedding/
ショットガンフォーメーション /(n) shotgun formation/
ショットガンブライド /(n) shotgun bride/
ショットガンマリッジ /(n) shotgun marriage/
ショットキーダイオード /(n) Schottky diode/
ショットグラス /(n) shot glass/
ショットバー /(n) shot bar/quickie bar/
ショッピッング /(ik) (n,vs) shopping/
ショッピング /(n,vs) shopping/(P)/
ショッピングカート /(n) shopping cart/
ショッピングセンター /(n) shopping centre/shopping center/mall/
ショッピングバッグ /(n) shopping bag/
ショッピングバッグレディー /(n) shopping bag lady/
ショッピングモール /(n) shopping mall/
ショッピング街 [ショッピングがい] /(n) shopping street/shopping district/
ショップ /(n) shop/(P)/
ショップガール /(n) shopgirl/
ショパン /(n) Chopin/(P)/
ショプインショップ /(n) shop in shop/
ショベル /(n) shovel/(P)/
ショベルカー /(n) digger (wasei: shovel car)/
ショベルノーズ・キャットフィッシュ /(n) shovelnose catfish (Sorubim lima)/duckbill catfish/
ショベルノーズキャットフィッシュ /(n) shovelnose catfish (Sorubim lima)/duckbill catfish/
ショベルローダー /(n) shovel loader/
ショルダー /(n) shoulder/
ショルダーバッグ /(n) shoulder bag/(P)/
ショルダーパッド /(n) shoulder pad/
ショルダーベーコン /(n) shoulder bacon/
シラー /(n) (1) scilla (lat:)/(2) Syrah (fre:)/
シラウオ /(n) (uk) icefish (Salangidae spp., esp. the Japanese icefish, Salangichthys microdon)/noodlefish/whitebait/
シラカシ /(n) quercus myrsinifolia/bamboo Leaved Oak/quercus myrsinaefolia/
シラカバ /(n) Japanese white birch (Betula platyphylla var. japonica)/
シラカンバ /(n) Japanese white birch (Betula platyphylla var. japonica)/
シラコダイ /(n) Japanese butterflyfish (Chaetodon nippon)/
シラコバト /(n) (uk) Eurasian collared dove (Streptopelia decaocto)/collared dove/
シラス /(n) (uk) shirasu (white pumiceous soil of southern Kyushu)/
シラスゲ /(n) (uk) Carex alopecuroides var. chlorostachya (species of sedge)/
シラタマ /(n) (1) white gem (esp. a pearl)/(2) rice flour dumpling/(3) (abbr) (uk) white-flowered camellia/
シラタマツバキ /(n) white-flowered camellia/Camellia japonica var./
シラップ /(n) syrup/
シラバス /(n) syllabus/
シラビソ /(n) (uk) Veitch's silver fir (Abies veitchii)/
シラブル /(n) syllable/
シラベ /(n) (uk) Veitch's silver fir (Abies veitchii)/
シラミバエ /(n) (uk) louse fly (any fly of family Hippoboscidae)/
シラン /(n) silane/
シリーズ /(n,n-suf) series/(P)/
シリーズレギュレータ /(n) (comp) series regulator/
シリア /(n) Syria/(P)/
シリアゲムシ /(n) (uk) scorpionfly (esp. the Japanese scorpionfly, Panorpa japonica)/scorpion fly/
シリアス /(adj-na,n) serious/(P)/
シリアスドラマ /(n) serious drama/
シリアライズ /(n) serialize/serialise/
シリアル /(adj-na,n,adj-no) (1) serial/(2) cereal/
シリアルＡＴＡ [シリアルエーティーエー] /(n) (comp) Serial AT Attachment/
シリアルＡＴＡＩＩ [シリアルエーティーエーアイアイ] /(n) (comp) serial AT Attachment 2/
シリアルＥＥＰＲＯＭ [シリアルイーイープロム] /(n) (comp) serial EEPROM/
シリアルインターフェース /(n) (comp) serial interface/
シリアルインターフェイス /(n) (comp) serial interface/
シリアルインタフェース /(n) (comp) serial interface/
シリアルコネクタ /(n) (comp) serial connector/
シリアルデバイス /(n) (comp) serial device/
シリアルトラックボール /(n) (comp) serial trackball/
シリアルナンバー /(n) (comp) serial number/
シリアルプリンタ /(n) (comp) character printer/serial printer/
シリアルプリンター /(n) serial printer/
シリアルポート /(n) (comp) serial port/
シリアルポインティングデバイス /(n) (comp) serial pointing device/
シリアルマウス /(n) (comp) serial mouse/
シリアルラインインターネットプロトコル /(n) (comp) Serial Line Internet Protocol/SLIP/
シリアル接続 [シリアルせつぞく] /(n) (comp) serial connection/
シリアル通信 [シリアルつうしん] /(n) serial communication/
シリアル転送 [シリアルてんそう] /(n) (comp) serial transfer/
シリアル伝送 [シリアルでんそう] /(n) (comp) serial transmission/
シリアル番号 [シリアルばんごう] /(n) (comp) serial number/
シリアンハムスター /(n) Syrian hamster (Mesocricetus auratus)/golden hamster/
シリウス /(n) Sirius (lat:)/(P)/
シリウスベニハゼ /(n) Trimma halonevum (species of goby found in Papua New Guinea)/sparsely-spotted pygmy-goby/
シリカ /(n) silica/
シリカガラス /(n) silica glass/
シリカゲル /(n) silica gel/
シリカタイル /(n) silica tile/
シリコーン /(n) silicone/(P)/
シリコーンゴム /(n) silicone rubber/
シリコーン樹脂 [シリコーンじゅし] /(n) silicone resin/
シリコーン油 [シリコーンゆ] /(n) silicone oil/
シリコン /(n) (1) silicon/(2) silicone (oxidized form)/(P)/
シリコンアイランド /(n) Silicon Island (Kyuushu's Silicon Valley)/
シリコンウェハ /(n) (comp) silicon wafer/
シリコンウエハ /(n) (comp) silicon wafer/
シリコンカーバイド /(n) silicon carbide (fiber, fibre)/
シリコングラフィックス /(n) (comp) Silicon Graphics, Inc./SGI/
シリコンディスク /(n) (comp) silicon disk/
シリコンバレー /(n) Silicon Valley/
シリコンポリマー /(n) silicon polymer/
シリトゲオオトカゲ /(n) (uk) black-headed monitor (Varanus tristis, small species of carnivorous monitor lizard native to Australia)/freckled monitor/
シリヤケイカ /(n) (uk) Japanese spineless cuttlefish (Sepiella japonica)/
シリヤル /(adj-na,n,adj-no) (1) serial/(2) cereal/
シリング /(n) (1) shilling/(2) schilling (ger: Schilling)/
シリンジ /(n) syringe/(P)/
シリンダ /(n) cylinder/
シリンダー /(n) cylinder/(P)/
シリンダーオイル /(n) cylinder oil/
シリンダー錠 [シリンダーじょう] /(n) cylinder lock/
シルエッター /(n) silhouetter/(P)/
シルエット /(n) silhouette (fre:)/(P)/
シルキー /(adj-na) silky/
シルキー・シャーク /(n) silky shark (Carcharhinus falciformis, species of circumtropical requiem shark)/
シルキーシャーク /(n) silky shark (Carcharhinus falciformis, species of circumtropical requiem shark)/
シルク /(n) silk/(P)/
シルクスクリーン /(n) silk screen/
シルクスクリーン印刷 [シルクスクリーンいんさつ] /(n) silk-screen printing/
シルクハット /(n) silk hat/
シルクロード /(n) Silk Road/(P)/
シルク形式 [シルクけいしき] /(n) (comp) Symbolic LinK format/
シルケット /(n) Silket/
シルコンフレックス /(n) circumflex/
シルスイキツツキ /(n) (uk) yellow-bellied sapsucker (Sphyrapicus varius)/
シルト /(n) silt/
シルト岩 [シルトがん] /(n) siltstone/
シルバー /(adj-na,n) silver/(P)/
シルバー・アロワナ /(n) silver arowana (Osteoglossum bicirrhosum)/
シルバー・シャーク /(n) silver shark (Balantiocheilos melanopterus)/Bala shark/tricolor shark/shark minnow/
シルバー・スキャット /(n) spotbanded scat (Selenotoca multifasciata, species of Indo-West Pacific scat)/silver scat/
シルバーアロワナ /(n) silver arowana (Osteoglossum bicirrhosum)/
シルバーウィーク /(n) (col) Silver Week (any long string of Japanese public holidays other than Golden Week)/
シルバーウェディング /(n) silver wedding/
シルバーエイジ /(n) old age (wasei: silver age)/
シルバーオンライン /(n) Silver-On-Line/
シルバーグレー /(n) silver gray/silver grey/
シルバーグレイ /(n) silver gray/
シルバーシート /(n) seat for seniors and handicapped (wasei: silver seat)/
シルバーシャーク /(n) silver shark (Balantiocheilos melanopterus)/Bala shark/tricolor shark/shark minnow/
シルバーシングル /(n) silver single/
シルバースキャット /(n) spotbanded scat (Selenotoca multifasciata, species of Indo-West Pacific scat)/silver scat/
シルバーフォックス /(n) silver fox/
シルバープラン /(n) silver plan/
シルバーホン /(n) silver phone/
シルバーボランティア /(n) silver volunteer/
シルバーマーケット /(n) silver market/
シルフ /(n) sylph/
シルボン紙 [シルボンし] /(n) lens-cleaning paper/
シルミン /(n) aluminium and sicilicum alloy (ger: Silumin)/
シルリア紀 [シルリアき] /(n) Silurian period/
シルル紀 [シルルき] /(n) Silurian period/
シルヴァンシャー /(n) (obsc) Shirvanshah/
シルヴィア /(n) Sylvia/
シロアリモドキ /(n) (uk) web-spinner (any insect of order Embioptera, esp. family Oligotomidae)/
シロイソハゼ /(n) spotted fringefin goby (Eviota albolineata)/white-barred pygmy-goby/whiteline pygmy goby/
シロイワヤギ /(n) (uk) mountain goat (Oreamnos americanus)/Rocky Mountain goat/
シロウオ /(n) (uk) ice goby (Leucopsarion petersii)/
シロウト童貞 [シロウトどうてい] /(n) man who has never had sex except with sex workers/
シロエリハゲワシ /(n) (uk) griffon vulture (Gyps fulvus)/
シロオニタケ /(n) shiroonitake/false virgin's lepidella/Amanita virgineoides Bas/
シロオビイソハゼ /(n) Pellucida pygmy goby (Eviota pellucida)/neon pygmy goby/
シロカグラ /(n) bigeyed sixgill shark (Hexanchus nakamurai, species of cow shark)/
シロカジキ /(n) (uk) black marlin (Makaira indica)/
シロガネツバメウオ /(n) Atlantic spadefish (Chaetodipterus faber, species of Western Atlantic spadefish)/
シロガネツバメウオ属 [シロガネツバメウオぞく] /(n) Chaetodipterus (genus of 3 species of spadefishes in the family Ephippidae)/
シロガラシ /(n) (uk) white mustard (Sinapis alba)/
シロギス /(n) (uk) Japanese whiting (Sillago japonica)/
シロクジャク /(n) (uk) white peafowl (white variety of Indian peafowl)/
シロクマ /(n) polar bear (Ursus maritimus)/
シログチ /(n) (uk) white croaker (Pennahia argentata)/
シロサイ /(n) (uk) white rhinoceros (Ceratotherium simum)/
シロザメ /(n) spotless smooth-hound (Mustelus griseus, species of houndshark from the northwest Pacific)/
シロシビン /(n) psilocybin/
シロシュモクザメ /(n) (uk) smooth hammerhead (Sphyrna zygaena, species of hammerhead shark)/
シロタエギク /(n) type of chrysanthemum (white leafed) (senecio cineria)/
シロチョウ /(n) (uk) any butterfly of family Pieridae (inc. the white butterflies and the sulfur butterflies)/
シロチョウガイ /(n) (uk) silver-lipped pearl oyster (Pinctada maxima)/golden-lipped pearl oyster/white-lipped pearl oyster/
シロッコ /(n) sirocco (ita: scirocco)/
シロップ /(n) syrup (dut: siroop)/(P)/
シロップ剤 [シロップざい] /(n) (1) syrup/syrupus/(adj-no) (2) syrupy/
シロツメクサ /(n) white clover (Trifolium repens)/Dutch clover/
シロテテナガザル /(n) (uk) white-handed gibbon/lar gibbon (Hylobates lar)/
シロナガスクジラ /(n) (uk) blue whale (Balaenoptera musculus)/
シロハラ /(n) (uk) pale thrush (Turdus pallidus)/
シロハラトウゾクカモメ /(n) (uk) long-tailed jaeger/long-tailed skua (Stercorarius longicaudus)/
シロバナタンポポ /(n) (uk) Taraxacum albidum (species of white dandelion)/
シロヒトリ /(n) (uk) Chionarctia nivea (species of ermine moth)/
シロビタイジョウビタキ /(n) (uk) common redstart (Phoenicurus phoenicurus)/
シロフォン /(n) xylophone/
シロフクロウ /(n) (uk) snowy owl (Bubo scandiacus)/
シロブチギンザメ /(n) Chimaera owstoni (species of deep water cartilaginous ghost shark found in Japan)/
シロホシネコザメ /(n) whitespotted bullhead shark (Heterodontus ramalheira, found in the Western Indian Ocean)/
シロホン /(n) xylophone/
シロボシスズメダイ /(n) white-spotted chromis (Chromis albomaculata)/
シロボシテンジク /(n) whitespotted bambooshark (Chiloscyllium plagiosum)/white-spotted catshark (species from the Indo-West Pacific)/
シロマス属 [シロマスぞく] /(n) Coregonus (genus of salmon in the family Salmonidae)/whitefishes/
シロモミ /(n) (uk) white fir (Abies concolor)/
シロワニ /(n) sand tiger shark (Carcharias taurus)/
シロワニ属 [シロワニぞく] /(n) Carcharias (genus of sand sharks, or sand tigers, which are lamniform sharks of the family Odontaspidae)/
シワシワ /(adv) (uk) crumpled/wrinkled/
シン /(n) thin/(P)/
シンカー /(n) sinker/(P)/
シンガー /(n) singer/(P)/
シンガーソングライター /(n) singer-songwriter/(P)/
シンガード /(n) shin guard/
シンガポール /(n) (uk) Singapore/(P)/
シンガポール・スリング /(n) Singapore sling/
シンガポールスリング /(n) Singapore sling/
シンガポールテレコム /(n) (comp) Singapore Telecom/
シンガポールドル /(n) Singapore dollar/
シンキング /(n,vs) (1) thinking/(2) sinking/
シンギュラリティー /(n) singularity/
シンク /(n) (1) sink/(2) sync (synchronous)/(P)/
シンクタンカー /(n) think tanker/
シンクタンク /(n) think tank/(P)/
シンクパッド /(n) (comp) ThinkPad/
シンクライアント /(n) (comp) thin client/
シンクラヴィア /(n) Synclavier (brand-name digital synthesizer and sampler)/
シンクレティズム /(n) syncretism (interworking of two or more cultural perspectives into one system)/
シンクロ /(n,vs) (1) (abbr) synchronize/synchronise/(n) (2) (abbr) synchronized swimming/(3) oscilloscope/(P)/
シンクロサイクロトロン /(n) synchrocyclotron/
シンクロスコープ /(n) synchroscope/
シンクロトロン /(n) synchrotron/
シンクロトロン放射 [シンクロトロンほうしゃ] /(n) synchrotron radiation/
シンクロナイズ /(n,vs) synchronize/synchronise/(P)/
シンクロナイズド /(n) synchronized/synchronised/
シンクロナイズドスイミング /(n) synchronized swimming/synchronised swimming/
シンクロナス /(n) synchronous/
シンクロナスＤＲＡＭ [シンクロナスディーラム] /(n) (comp) Synchronous Dynamic Random Access Memory/SDRAM/
シンクロニシティー /(n) synchronicity/
シンクロニック /(adj-na) synchronic/
シンクロフラッシュ /(n) synchroflash/
シンクロミズム /(n) synchromism/
シンクロメッシュ /(n) synchromesh/
シンクロ納入 [シンクロのうにゅう] /(n) synchronous supply/
シングル /(n,adj-no) (1) single/(2) (abbr) single-digit handicap (e.g. golf)/(P)/
シングルＩＴハブ [シングルアイティーハブ] /(n) (comp) single TT hub/
シングルエンド /(n) (comp) single ended/
シングルオーバーヘッドカムシャフト /(n) single overhead camshaft/
シングルカット /(n) single cut/
シングルキャスト /(n) (comp) single cast/
シングルクォーテーション /(n) (comp) single quotation (mark)/apostrophe/
シングルクォート /(n) (comp) single quote/
シングルクリック /(n) (comp) single click/
シングルコース /(n) single course/
シングルサインオン /(n) (comp) single sign-on/
シングルシーター /(n) single-seater/
シングルシフト /(n) (comp) single shift/
シングルジャストロー /(exp) single-just-low (description of a small truck)/
シングルス /(n) singles/(P)/
シングルスコート /(n) singles court/
シングルステップ /(n) (comp) single step (debugging mode)/
シングルスペース /(n) (comp) single space/
シングルズ /(n) singles/
シングルセッション /(n) (comp) single-session/
シングルソースサプライヤー /(n) (comp) single source supplier/
シングルタスク /(n) (comp) single task/
シングルトラック /(n) single-track/
シングルハンデッドキャッチ /(n) one-handed catch (baseball)/
シングルヒット /(n) single (baseball)/one-base hit/
シングルブレスト /(n) (abbr) single-breasted suit/
シングルプレーヤー /(n) single player/
シングルベッド /(n) single bed/
シングルボードコンピュータ /(n) (comp) single-board computer/
シングルマザー /(n) single mother/
シングルマッチ /(n) single match/
シングルモード /(n) (comp) single mode/
シングルモードファイバ /(n) (comp) singlemode fiber/
シングルユー /(n) (comp) single user/
シングルユーザー /(n) (comp) single user/
シングルユーザーシステム /(n) (comp) single-user system/
シングルライフ /(n) single life/
シングルリフト /(n) single lift (ski)/
シングルリンク手順 [シングルリンクてじゅん] /(n) (comp) single-link protocol/
シングルルーム /(n) single room/
シンコペーション /(n) syncopation/
シンサーバー /(n) (comp) thin server/
シンシア /(adj-f) sincere/
シンシナティ /(n) Cincinnatti (Ohio)/(P)/
シンショ /(n) (uk) (obsc) water yam (Dioscorea alata)/winged yam/purple yam/
シンジケート /(n) syndicate/(P)/
シンジケートローン /(n) syndicate loan/
シンセ /(n) (abbr) synthesizer/synthesiser/
シンセサイザ /(n) synthesizer/synthesiser/
シンセサイザー /(n) synthesizer/synthesiser/(P)/
シンセシス /(n) (1) synthesis (ger: Synthese)/(2) synthesis (in semiconductor technology)/
シンセポップ /(n) synthpop/
シンターゼ /(n) synthase/
シンタクス /(n) syntax/
シンタックス /(n) syntax/
シンタックスエラー /(n) (comp) syntax error/
シンタックスチェッカ /(n) (comp) syntax checker/
シンチカメラ /(n) (abbr) scintillation camera/
シンチグラム /(n) scintigram/
シンチレーション /(n) scintillation/
シンチレーションカウンター /(n) scintillation counter/
シンチレーションカメラ /(n) scintillation camera/
シンチレーター /(n) scintillator/
シンテターゼ /(n) synthetase/
シンデレラ /(n) Cinderella/(P)/
シンデレラコンプレックス /(n) Cinderella complex/
シンデレラボーイ /(n) Cinderella boy/
シンドローム /(n) syndrome/(P)/
シンナー /(n) thinner/(P)/
シンナー遊び [シンナーあそび] /(n) (sens) paint sniffing/thinner sniffing/glue sniffing (huffing)/
シンハラ語 [シンハラご] /(n) Sinhalese language/Sinhala/
シンハラ人 [シンハラじん] /(n) Sinhalese people/Sinhalese person/
シンハラ文字 [シンハラもじ] /(n) Sinhala alphabet/
シンバル /(n) cymbal/cymbals/
シンパ /(n) (abbr) (Communist, union, etc.) sympathizer/sympathiser/(P)/
シンパサイザー /(n) sympathizer/sympathiser/
シンパシー /(n) sympathy/
シンパセティック /(n) sympathetic/
シンビジウム /(n) cymbidium (plant) (lat:)/
シンフェイン党 [シンフェインとう] /(n) Sinn Fein/
シンフォニー /(n) symphony/(P)/
シンフォニーオーケストラ /(n) symphony orchestra/
シンフォニックジャズ /(n) symphonic jazz/
シンフォニックポエム /(n) symphonic poem/
シンフォニックロック /(n) symphonic rock/
シンブル /(n) thimble/
シンプリシティー /(n) simplicity/
シンプリファイ /(n,vs) simplify/
シンプル /(adj-na,n) simple/(P)/
シンプルステートメント /(n) (comp) simple statement/
シンプレックス /(n) (comp) simplex/
シンプレックス法 [シンプレックスほう] /(n) (comp) simplex method/
シンボライズ /(n,vs) symbolize/symbolise/
シンボリスト /(n) symbolist/(P)/
シンボリズム /(n) symbolism (19th-century artistic movement)/
シンボリック /(adj-na) symbolic/(P)/
シンボリックス /(n) Symbolics/
シンボリックデバッガ /(n) (comp) symbolic debugger/
シンボリックリンク /(n) symbolic link/
シンボル /(n,adj-no) symbol/(P)/
シンボルカラー /(n) symbol color/symbol colour/
シンボルテーブル /(n) (comp) symbol table/
シンボルマーク /(n) logo (wasei: symbol mark)/banner/
シンボルマップ /(n) (comp) symbol map/
シンボル操作 [シンボルそうさ] /(n) symbol manipulation/
シンポ /(n) (1) sympathetic/(2) symposium/(P)/
シンポジウム /(n) symposium/(P)/
シンママ /(n) (abbr) single mother/
シンメトリー /(n) symmetry/
シンメトリック /(adj-na) symmetric/
ジーアイ /(n) GI/general infantry/(P)/
ジーオン /(n) (comp) Xeon/
ジーグ /(n) gigue (fre:)/
ジージップ /(n) (comp) gzip/
ジージャン /(n) (abbr) denim jacket (wasei: jeans jumper)/
ジーゼル /(n) diesel/
ジーニー /(n) (comp) Jini/
ジーニアス /(n) genius/
ジーパン /(n) (abbr) jeans (wasei: jeans pants)/dungarees/(P)/
ジーファイブ /(n) G5/Conference of Ministers of the Group of Five/
ジープ /(n) jeep/(P)/
ジープニー /(n) jeepney/
ジーマーク /(n) G-mark/Good design mark/
ジーマン /(n) G-men/government men/
ジーメン /(n) G-man/FBI agent/
ジーメンス /(n) (comp) Siemens/
ジーリブシー /(n) (comp) glibc/
ジール /(n) zeal/
ジーン /(n) gene/(P)/
ジーンと /(adv) (1) (on-mim) extremely cold feeling that makes one feel numb/sharp pain that is almost numbing/(2) heartrending/touching the heart/
ジーンと来る [ジーンとくる] /(exp,vk) to be moved to the point of tears/to be touched/
ジーンエンジニアリング /(n) gene engineering/genetic engineering/
ジーンズ /(n) jeans/(P)/
ジーンズパンツ /(n) jeans pants/
ジーンバンク /(n) gene bank/
ジアスターゼ /(n) diastase (ger: Diastase)/
ジアセチルモルヒネ /(n) diacetylmorphine (ger: Diacetylmorphin)/
ジアゼパム /(n) diazepam/
ジアゾジニトロフェノール /(n) diazodinitrophenol/
ジアゾニウム塩 [ジアゾニウムえん] /(n) diazonium salt/
ジアゾ化 [ジアゾか] /(n,vs) diazotization/
ジアゾ化合物 [ジアゾかごうぶつ] /(n) diazo compound/
ジアゾ感光紙 [ジアゾかんこうし] /(n) diazo paper/diazotype paper/
ジアゾ複写 [ジアゾふくしゃ] /(n) diazotype/diazo/
ジアミン /(n) diamine/
ジェーストローク /(n,vs) J-stroke (canoeing)/
ジェード /(n) jade/
ジェイ /(n) jay/
ジェイイニシエータ /(n) (comp) Jinitiator/
ジェイサイド・ドット・コム /(n) (comp) Jside.com/
ジェイシーエル /(n) (comp) JCL/
ジェイダ /(n) (comp) JEIDA/
ジェイデービーシー /(n) (comp) JDBC/
ジェイディーケー /(n) (comp) JDK/
ジェイディエドワーズ /(n) (comp) JDEdwards/
ジェイド /(n) jade/
ジェイピーニック /(n) (comp) JPNIC/
ジェイペグ /(n) (comp) JPEG/
ジェオデシック /(adj-f) geodesic/
ジェオドーム /(n) geodome/
ジェス /(n) job entry subsystem/JES/
ジェスイット /(n) Jesuit/(P)/
ジェスチャ /(n) (comp) gesture/
ジェスチャー /(n) gesture/(P)/
ジェスチャーゲーム /(n) charades (wasei: gesture game)/
ジェステル /(n) diester (synthetic oil used as lubricant)/
ジェット /(n) jet/(P)/
ジェットエンジン /(n) jet engine/
ジェットコースター /(n) roller coaster (wasei: jet coaster)/(P)/
ジェットスキー /(n) jet ski/
ジェットストリーム /(n) jet stream/
ジェットセット /(n) jet set/
ジェットフォイル /(n) jetfoil/
ジェットポンプ /(n) jet pump/
ジェットラグ /(n) jet-lag/
ジェット機 [ジェットき] /(n) jet aeroplane/jet airplane/(P)/
ジェット気流 [ジェットきりゅう] /(n) jet stream/
ジェット推進研究所 [ジェットすいしんけんきゅうしょ] /(n) Jet Propulsion Laboratory/JPL/
ジェット推進船 [ジェットすいしんせん] /(n) jet propulsion ship/
ジェット燃料 [ジェットねんりょう] /(n) jet fuel/
ジェネスト /(n) general strike/
ジェネティック /(n) genetic/
ジェネティックアルゴリズム /(n) genetic algorithms/
ジェネティックシステム /(n) genetic system/
ジェネラリスト /(n) generalist/
ジェネラル /(n) general/
ジェネリック /(n) generic/
ジェネリックなＰＣ互換機 [ジェネリックなピーシーごかんき] /(n) (comp) generic PC/
ジェネリックセル速度アルゴリズム [ジェネリックセルそくどアルゴリズム] /(n) (comp) generic cell rate algorithm/GCRA/
ジェネリックブランド /(n) generic brand/
ジェネリック医薬品 [ジェネリックいやくひん] /(n) generic drug/
ジェネリック品 [ジェネリックひん] /(n) generic product/
ジェネレーション /(n) generation/(P)/
ジェネレーションギャップ /(n) generation gap/
ジェネレータ /(n) generator/
ジェネレーター /(n) generator/
ジェネレート /(n) generate/
ジェノサイド /(n) genocide/(P)/
ジェノサイド条約 [ジェノサイドじょうやく] /(n) Convention on the Prevention and Punishment of the Crime of Genocide (United Nations, 1948)/
ジェノミクス /(n) genomics/
ジェマー・イスラミア /(n) Jemaah Islamiah/JI/
ジェマーイスラミア /(n) Jemaah Islamiah/JI/
ジェミニ /(n) Gemini/
ジェム /(n) gem/
ジェムストーン /(n) gemstone/
ジェラート /(n) gelato (Italian ice cream) (ita:)/
ジェラシー /(n) jealousy/(P)/
ジェラチン /(n,adj-no) gelatin/gelatine/
ジェラルミン /(n) duralumin/
ジェランド /(n) gerund/
ジェリー /(n) jelly/
ジェリービーンズ /(n) jelly beans/jellybeans/jelly bean/jellybean/
ジェリィ /(n) jelly/
ジェリカン /(n) jerrycan/
ジェル /(n) gel (hair, soap)/
ジェロントクラシー /(n) gerontocracy/(P)/
ジェロントロジー /(n) gerontology/
ジェンダー /(n) gender/(P)/
ジェンダーギャップ /(n) gender gap/
ジェンダーバランス /(n) gender balance/
ジェンダーフリー /(adj-f) gender equality (wasei: gender-free)/
ジェンツーペンギン /(n) gentoo penguin (Pygoscelis papua)/
ジェントリ /(n) gentry/
ジェントリー /(n) gentry/
ジェントルマン /(n) gentleman/
ジエステル /(n) diester (synthetic oil used as lubricant)/
ジエチルエーテル /(n) diethyl ether/
ジエチルスチルベストロール /(n) diethylstilbestrol/
ジエチレングリコール /(n) diethylene glycol/
ジエンド /(n) the end/
ジオール /(n) diol/
ジオイド /(n) geoid/
ジオグラフィー /(n) geography/
ジオシティーズ /(n) (comp) GeoCities/
ジオシンセティックス /(n) geosynthetic/
ジオデシックドーム /(n) geodesic dome/
ジオトピア /(n) Geotopia/
ジオプタ /(n) diopter (optical unit of refraction in lenses) (ger: Dioptrie)/
ジオプトリー /(n) diopter (optical unit of refraction in lenses) (ger: Dioptrie)/
ジオメトリー /(n) geometry/
ジオメトリック /(adj-na) geometric/
ジオメトリック平均値 [ジオメトリックへいきんち] /(n) (comp) geometric mean/
ジオラマ /(n) diorama (fre:)/
ジオレフィン /(n) diolefin/
ジオロジー /(n) geology/
ジカルボン酸 [ジカルボンさん] /(n) dicarboxylic acid/
ジガー /(n) jigger/
ジガバチ /(n) (1) (uk) red-banded sand wasp (Ammophila sabulosa)/(2) thread-waisted wasp (any wasp of family Sphecidae, inc. digger wasps & mud daubers)/
ジキルとハイド /(n) Jekyll and Hyde/
ジギタリス /(n) digitalis (lat:)/foxglove/
ジクロルボス /(n) dichlorvos/
ジクロロベンゼン /(n) dichlorobenzene/
ジグ /(n) (1) gigue (dance) (fre:)/(2) jig (dance)/
ジグ /(n) (uk) jig (tool)/
ジグザグ /(adj-na,n,adj-no) zig-zag/(P)/
ジグザグデモ /(n) (abbr) zigzag demonstration/
ジグソー /(n) (1) (abbr) jigsaw/(2) jigsaw (puzzle)/
ジグソーパズル /(n) jigsaw puzzle/(P)/
ジグゾーパズル /(n) jigsaw puzzle/
ジグモ /(n) (uk) Atypus karschi (Asian species of mygalomorph spider)/
ジコマン /(n) (abbr) (sl) self-satisfaction/(self-)complacency/
ジゴレット /(n) gigolette (feminine form of gigolo) (fre:)/
ジゴロ /(n) gigolo (fre:)/
ジシアン /(n) dicyanogen/
ジシバリ /(n) (1) (uk) creeping lettuce (Ixeris stolonifera)/(2) (uk) southern crabgrass (Digitaria ciliaris)/
ジステンパー /(n) distemper/
ジストマ /(n) distoma/
ジストロフィー /(n) dystrophy/(P)/
ジスプロシウム /(n) dysprosium (Dy)/
ジスマーク /(n) JIS mark/
ジスルフィラム /(n) disulfiram/
ジタバグ /(n) jitterbug/
ジッグ /(n) (1) gigue (dance) (fre:)/
ジッグラト /(n) ziggurat (stepped Mesopotamian tower)/
ジッタ /(n) (comp) jitter/
ジッター /(n) jitter/
ジッパー /(n) zip fastener/slide fastener/Zipper (tradename)/
ジップコード /(n) ZIP code/(US) postal code/
ジップジス /(n) (comp) ZIPJIS/
ジッヘル /(n) belaying (ger: Sicherung)/
ジッポー /(n) Zippo/(P)/
ジデオキシイノシン /(n) dideoxyinosine/didanosine/DDI/ddI/
ジデオキシシチジン /(n) dideoxycytidine/
ジト目 [ジトめ] /(n) (m-sl) (stare or glare with) scornful eyes/reproachful eyes/disgusted eyes/
ジドブジン /(n) zidovudine/
ジニ係数 [ジニけいすう] /(n) Gini coefficient/Gini's coefficient/
ジネズミ /(n) (uk) white-toothed shrew (any rodent of genus Crocidura)/shrew/
ジハード /(n) jihad (ara:)/jehad/Muslim holy war against unbelievers/(P)/
ジバン /(n) undershirt (por:)/singlet/
ジバンシー /(n) Givenchy/(P)/
ジバンシイ /(n) Givenchy/
ジパング /(n) Zipangu (the name for Japan used by Marco Polo) (ita:)/(P)/
ジビエ /(n) wild game (fre: gibier)/
ジフィリス /(n) syphilis (ger:)/
ジフェニール /(n) diphenyl/
ジフェニル /(n) diphenyl/
ジフテリア /(n) diphtheria/
ジフテリア菌 [ジフテリアきん] /(n) Corynebacterium diphtheriae (bacterium that causes diphtheria)/
ジフテリヤ /(n) diphtheria/
ジフトリア /(n) diphtheria/
ジブ /(n) jib/(P)/
ジブクレーン /(n) jib crane/
ジブラルタル /(n) Gibraltar/
ジプシー /(n) (sens) gypsy/gipsy/(P)/
ジプシールック /(n) gypsy look/
ジプシー音楽 [ジプシーおんがく] /(n) gypsy music/
ジベタリアン /(n) young people who sit on the ground or sidewalk (footpath)/
ジベレリン /(n) gibberellin (plant hormone)/
ジベレリン酸 [ジベレリンさん] /(n) gibberellic acid/
ジベンゾフラン /(n) dibenzofuran/
ジペプチド /(n) dipeptide/
ジホスフィン /(n) (chem) diphosphine/diphosphane/P2H4/
ジミ婚 [ジミこん] /(n) plain subdued wedding ceremony/
ジム /(n) gym/gymnasium/(P)/
ジムカーナ /(n) gymkhana/
ジムカデ /(n) (uk) Alaska bellheather (Harrimanella stelleriana)/
ジムクロー /(n) Jim Crow/
ジムナーカス /(n) aba (Gymnarchus niloticus) (lat: Gymnarchus)/aba aba/frankfish/African knifefish/
ジムナジウム /(n) gymnasium/
ジムナスチックス /(n) gymnastics/
ジムナスティックス /(n) gymnastics/
ジメチルグリオキシム /(n) dimethylglyoxime/
ジモティキ /(n) demotic (everyday form of modern Greek) (gre: dimotiki)/
ジモルホラミン /(n) dimorpholamine/
ジモ語 [ジモご] /(n) (sl) local language/local dialect/
ジャー /(n) jar/(P)/
ジャーキー /(n) jerky/
ジャーク /(n) jerk/(P)/
ジャーゴン /(n) jargon/
ジャージ /(n) jersey/
ジャージー /(n) jersey/(P)/
ジャージー島 [ジャージーとう] /(n) Jersey/
ジャージャー麺 [ジャージャーめん] /(n) zhajiangmian (Chinese dish of ground pork over wheat noodles) (chi:)/
ジャーナリスティック /(adj-na,n) journalistic/
ジャーナリスト /(n) journalist/(P)/
ジャーナリズム /(n) journalism/(P)/
ジャーナル /(n) (comp) journal/log/(P)/
ジャーニー /(n) journey/
ジャーポット /(n) hot water dispenser (wasei: jar pot)/
ジャーマン /(n) German/
ジャーマン・シェパード /(n) German sheperd/
ジャーマン・シェパード・ドッグ /(n) German shepherd dog/
ジャーマンシェパード /(n) German sheperd/
ジャーマンシェパードドッグ /(n) German shepherd dog/
ジャーン /(n) (1) clash/bang/(int) (2) Ta-dah!/
ジャイアンツ /(n) Giants (baseball team)/
ジャイアント /(adj-na,n) giant/(P)/
ジャイアントクロミス /(n) doublebar chromis (Chromis opercularis)/
ジャイアントケルプ /(n) giant kelp (Macrocystis pyrifera)/
ジャイアントスラローム /(n) giant slalom/
ジャイアントパンダ /(n) giant panda (Ailuropoda melanoleuca)/
ジャイアントピグミーゴビー /(n) giant pygmy goby (Trimma gigantum, fish found in Palau)/
ジャイアントホッグフィッシュ /(n) giant hogfish (Bodianus macrognathos)/
ジャイナ教 [ジャイナきょう] /(n) Jainism/
ジャイブ /(n) jive/
ジャイロ /(n) (abbr) gyro/gyroscope/gyrocompas/
ジャイロコプター /(n) gyrocopter/
ジャイロコンパス /(n) gyrocompass/
ジャイロスコープ /(n) gyroscope/(P)/
ジャイロスタビライザー /(n) gyrostabilizer/
ジャイロパイロット /(n) gyropilot/
ジャイロホライズン /(n) gyro horizon/
ジャカード /(n) Jacquard (type of loom)/
ジャカード機 [ジャカードき] /(n) Jacquard machine/
ジャカード織 [ジャカードおり] /(n) jacquard weave/
ジャカルタ /(n) Jakarta/(P)/
ジャガー /(n) jaguar/(P)/
ジャガーシーティーエス /(n) (comp) JaguarCTS/
ジャガーネコ /(n) oncilla (Leopardus tigrinus)/little spotted cat/tigrillo/cunaguaro/tiger cat/
ジャガイモ /(n) (uk) potato (Solanum tuberosum)/
ジャガタライモ /(n) (uk) potato (Solanum tuberosum) (lit: Jakarta potato)/
ジャガタラ芋 [ジャガタラいも] /(n) (uk) potato (Solanum tuberosum) (lit: Jakarta potato)/
ジャガタラ薯 [ジャガタラいも] /(n) (uk) potato (Solanum tuberosum) (lit: Jakarta potato)/
ジャガ芋 [ジャガいも] /(n) (uk) potato (Solanum tuberosum)/(P)/
ジャギー /(n) (1) jazz dance/(2) jaggies/
ジャクージ /(n) jacuzzi/
ジャクソン癲癇 [ジャクソンてんかん] /(n) (uk) Jacksonian epilepsy/
ジャグ /(n) jug/
ジャグヘッド /(n) (comp) Jughead/
ジャグラー /(n) juggler/
ジャグリング /(n) juggling/
ジャケット /(n) (1) jacket/(2) book jacket/dust cover/(P)/
ジャケットタイプ /(n) (1) jacket type (e.g. a style of clothing)/(2) jacket-style buoyancy control device (BCD) shaped like a sleeveless coat/
ジャケツ /(n) (1) jacket/(2) book jacket/dust cover/
ジャケ写 [ジャケしゃ] /(n) jacket picture (i.e. of a record)/
ジャコウアゲハ /(n) (uk) Chinese windmill (species of red-bodied swallowtail butterfly, Atrophaneura alcinous)/
ジャコウウシ /(n) (uk) muskox (Ovibos moschatus)/
ジャコウネコ /(n) (uk) civet cat/
ジャコウネズミ /(n) (uk) Asian house shrew (Suncus murinus)/
ジャザーサイズ /(n) jazzercize/jazzercise/
ジャスダック市場 [ジャスダックいちば] /(n) JASDAQ market/
ジャスティス /(n) justice/
ジャスティファイ /(n,vs) justify/
ジャスティフィケーション /(n) justification/
ジャスト /(n) just/perfect/exact/(P)/
ジャストインタイム /(n) just-in-time (inventory strategy)/JIT/
ジャストインタイムコンパイラ /(n) (comp) Just In Time Compiler/
ジャストウィンドウ /(n) (comp) Just Window/
ジャストクロック /(n) internal clock that is always correct (wasei: just clock)/
ジャストサイズ /(exp) correct size/perfect size/
ジャストシステム /(n) (comp) JustSystem/
ジャストネット /(n) (comp) JustNet/
ジャストフィット /(exp) it fits perfectly (wasei: just fit)/
ジャストミート /(n,vs) (1) hit the ball squarely (baseball) (wasei: just meet)/(2) (metaphorically) being somebody's type/
ジャスパーウエア /(n) jasperware/
ジャスピン /(n) (abbr) in perfect focus/
ジャスミン /(n) jasmine/(P)/
ジャスミン茶 [ジャスミンちゃ] /(n) jasmine tea/
ジャズ /(n) jazz/(P)/
ジャズクラブ /(n) jazz club/
ジャズコーラス /(n) jazz chorus/
ジャズシンガー /(n) jazz singer/
ジャズソング /(n) jazz song/
ジャズダンス /(n) jazz dance/
ジャズバンド /(n) jazz band/
ジャズピアノ /(n) jazz piano/
ジャズフェスティバル /(n) jazz festival/
ジャズメン /(n) jazzmen/(P)/
ジャズライフ /(n) jazz life/
ジャズ演奏家 [ジャズえんそうか] /(n) jazz musician/jazzman/
ジャダー /(n) judder/
ジャッカル /(n) jackal (carnivores, Canis aureus ssp., C. adustus, C. mesomelas)/
ジャッキ /(n) jack/(P)/
ジャック /(n) jack/(P)/
ジャック・オ・ランターン /(n) jack-o'-lantern/jack o'lantern/
ジャックオランターン /(n) jack-o'-lantern/jack o'lantern/
ジャックナイフ /(n) jack-knife/
ジャックポット /(n) jackpot/
ジャックランタン /(n) jack-o'-lantern/jack o'lantern/
ジャッグル /(n,vs) juggle/
ジャッジ /(n) judge/(P)/
ジャッジフラッグ /(n) judge flag/
ジャッジペーパー /(n) judge paper/
ジャッジメント /(n) judgement/judgment/
ジャッジランプ /(n) judge lamp/
ジャップ /(n) (vulg) (X) Japanese person/Jap/
ジャドマ /(n) (comp) JADMA/
ジャニュアリー /(n) January/
ジャネット /(n) (comp) Janet/
ジャノヒゲ /(n) (uk) dwarf mondo grass (Ophiopogon japonicus)/
ジャノメチョウ /(n) (uk) satyrid (any butterfly of subfamily Satyrinae, esp. the dryad, Minois dryas)/grayling/
ジャバ /(n) (comp) Java/jabber/
ジャバー /(n) (comp) jabber/
ジャバウェブサーバ /(n) (comp) JavaWebServer/
ジャバオーエス /(n) (comp) JavaOS/
ジャバサーバ /(n) (comp) JavaServer/
ジャバスクリプト /(n) (comp) JavaScript/
ジャバステーション /(n) (comp) JavaStation/
ジャバソフト /(n) (comp) JavaSoft/
ジャバツー /(n) (comp) Java2/
ジャバビーンズ /(n) (comp) JavaBeans/
ジャバワークショップ /(n) (comp) JavaWorkshop/
ジャバ制御 [ジャバせいぎょ] /(n) (comp) jabber control/
ジャパカナ /(n) Japanese Canadian/
ジャパニーズ /(n) Japanese (people, language)/(P)/
ジャパニーズ・ボブテイル /(n) Japanese bobtail (breed of cat)/
ジャパニーズイングリッシュ /(n) Japanese English/
ジャパニーズカナディアン /(n) Japanese Canadian/
ジャパニーズスマイル /(n) Japanese smile/
ジャパニーズボブテイル /(n) Japanese bobtail (breed of cat)/
ジャパニメーション /(n) Japanimation/
ジャパネスク /(n) Japanesque/
ジャパノロジー /(n) Japanology/
ジャパノロジスト /(n) Japanologist/
ジャパン /(n) Japan/(P)/
ジャパンカップ /(n) Japan Cup/(P)/
ジャパンサージャンフィッシュ /(n) Japan surgeonfish (Acanthurus japonicus, Indo-West Pacific species of tang found from Indonesia to the Philippines and Ryukyu Islands)/
ジャパンサージョンフィッシュ /(n) Japan surgeonfish (Acanthurus japonicus, Indo-West Pacific species of tang found from Indonesia to the Philippines and Ryukyu Islands)/
ジャパンシフト /(n) Japan shift/
ジャパンソサエティー /(n) Japan Society/
ジャパンタイムズ /(n) Japan Times (newspaper)/
ジャパンバッシング /(n) Japan bashing/
ジャパンファウンデーション /(n) Japan Foundation/
ジャブ /(n) jab (esp. in boxing)/(P)/
ジャプリッシュ /(n) Japlish (Japanese English)/
ジャベリン /(n) javelin/
ジャポニカ /(n) Japonica/(P)/
ジャポニスム /(n) Japonisme (fre:)/
ジャポネズリ /(n) Japonaiserie (fre:)/
ジャマー /(n) jammer/
ジャマイカ /(n) Jamaica/(P)/
ジャミング /(n) jamming/
ジャム /(n) jam/(P)/
ジャムる /(v5r) (col) to jam/
ジャムセッション /(n) jam session/
ジャムパン /(n) jam bun (wasei: jam pan (bread))/
ジャム信号 [ジャムしんごう] /(n) (comp) jam signal/
ジャユプロ /(n) (abbr) Japan unique process/
ジャラジャラ /(adv,adv-to,vs) (1) jingling/jangling/clinking/chinking/(2) lasciviously/coquettishly/
ジャルパック /(n) JAL PAK (JAL tourist package)/
ジャワ /(n) (1) Java/(2) java (coffee)/
ジャワサイ /(n) Javan rhinoceros (Rhinoceros sondaicus)/
ジャワラビットフィッシュ /(n) streaked spinefoot (Siganus javus, species of Indo-Pacific rabbitfish)/bluespotted spinefoot/Java rabbitfish/
ジャワ語 [ジャワご] /(n) Javanese (language)/
ジャワ犀 [ジャワさい] /(n) Javan rhinoceros (Rhinoceros sondaicus)/
ジャンキー /(n) junkie/(P)/
ジャンク /(n) junk/
ジャンクＤＮＡ [ジャンクディーエヌエー] /(n) junk DNA/
ジャンクアート /(n) junk art/
ジャンクアクセサリー /(n) junk accessories/
ジャンクション /(n) junction/system interchange (between highways)/(P)/
ジャンクフード /(n) junk food/
ジャンクボンド /(n) junk bond/
ジャンクメール /(n) junk e-mail/
ジャンク債 [ジャンクさい] /(n) junk bond/junk bonds/
ジャングル /(n) jungle/(P)/
ジャングルジム /(n) jungle-gym/
ジャンケット /(n) junket/
ジャンジャウィード /(n) Janjaweed (militia in Sudan)/
ジャンセニスム /(n) Jansenism/
ジャンセニズム /(n) Jansenism/
ジャンタグ /(n) (comp) JWNTUG/
ジャンダルム /(n) gendarme (fre:)/
ジャンバライヤ /(n) jambalaya/
ジャンバラヤ /(n) jambalaya/
ジャンパ /(n) (comp) jumper/
ジャンパー /(n) jacket/jumper/(P)/
ジャンパースカート /(n) jumper (skirt)/
ジャンパオプション /(n) (comp) strapping option/jumper option/
ジャンパスイッチ /(n) (comp) jumper switch/
ジャンパピン /(n) (comp) jumper pin/
ジャンパフリー /(n) (comp) jumper-free/
ジャンパブロック /(n) (comp) jumper block/
ジャンパプラグ /(n) (comp) jumper plug/
ジャンパポスト /(n) (comp) jumper post/
ジャンパ選択可能 [ジャンパせんたくかのう] /(n) (comp) jumper selectable/
ジャンピング /(n) jumping/
ジャンピングジャック /(n) jumping jack/
ジャンピングスティルト /(n) (obsc) jumping stilts/
ジャンプ /(n,vs) jump/(P)/
ジャンプスーツ /(n) jumpsuit/
ジャンプブルース /(n) jump blues/
ジャンプボール /(n) jump ball/
ジャンプ競技 [ジャンプきょうぎ] /(n) ski jumping/
ジャンボ /(adj-na,n) jumbo/(P)/
ジャンボサイズ /(n) jumbo-size/
ジャンボジェット /(n) jumbo-jet/
ジャンボジェット機 [ジャンボジェットき] /(n) jumbo-jet/
ジャンボリー /(n) jamboree/
ジャンボ機 [ジャンボき] /(n) jumbo jet/
ジャンル /(n) genre (fre:)/(P)/
ジュー /(n) (1) jus/(2) (vulg) Jew/
ジュークボックス /(n) juke-box/(P)/
ジューサー /(n) juicer/
ジューシー /(adj-na) juicy (having lots of juice or liquid)/
ジュージュー /(adv,adv-to) (1) (on-mim) sizzle (as in meat cooking)/sizzling sound/frizzle/(n) (2) juju (African fetish)/
ジュース /(n) (1) juice/(2) soft drink (any (sweet) non-alcoholic beverage, carbonated or uncarbonated)/(3) deuce/(P)/
ジューズハープ /(n) Jew's harp/
ジュート /(n) jute/
ジューリー /(n) jewelry/jewellery/
ジュール /(n) joule/(P)/
ジュールの法則 [ジュールのほうそく] /(n) Joule's law/
ジューン /(n) June/
ジューンブライド /(n) June bride/(P)/
ジュウイチ /(n) (1) (uk) Hodgson's hawk-cuckoo (Cuculus fugax)/
ジュウシマツ /(n) (uk) Bengalese finch/society finch (Lonchura striata var. domestica)/
ジュウリー /(n) jewelry/jewellery/
ジュエリー /(n) jewelry/jewellery/(P)/
ジュエル /(n) jewel/
ジュグラーのサイクル /(n) Juglar cycle/
ジュゴン /(n) (uk) dugong/sea pig/
ジュジュミュージック /(n) juju music/
ジュセイトウ /(n) (uk) Prunus persica var. densa (Chinese variety of peach)/
ジュト /(n) jute/
ジュニア /(n,adj-f) junior/(P)/
ジュニアウエルター /(n) junior welter (weight)/(P)/
ジュニアウエルター級 [ジュニアウエルターきゅう] /(n) junior welterweight/
ジュニアカレッジ /(n) junior college/
ジュニアスタイル /(n) junior style/
ジュニアチーム /(n) junior team/
ジュニアハイスクール /(n) junior high school/
ジュニアバンタム級 [ジュニアバンタムきゅう] /(n) junior bantamweight/
ジュニアフェザー /(n) junior feather (weight)/
ジュニアフェザー級 [ジュニアフェザーきゅう] /(n) junior featherweight/
ジュニアフライ /(n) junior fly (weight)/
ジュニアフライ級 [ジュニアフライきゅう] /(n) junior flyweight/
ジュニアヘビー級 [ジュニアヘビーきゅう] /(n) junior heavyweight/
ジュニアボード /(n) (abbr) junior board of directors/
ジュニアボードシステム /(n) junior board of directors systems/
ジュニアミドル /(n) junior middle (weight)/
ジュニアミドル級 [ジュニアミドルきゅう] /(n) junior middleweight/
ジュニアライト /(n) junior light (weight)/
ジュニアライト級 [ジュニアライトきゅう] /(n) junior lightweight/
ジュネーブ /(n) Geneva/(P)/
ジュネーブ軍縮会議 [ジュネーブぐんしゅくかいぎ] /(n) Geneva Conference on Disarmament/
ジュネーブ条約 [ジュネーブじょうやく] /(n) Geneva Convention/
ジュネット /(n) (comp) JUNET/
ジュノー /(n) Juno (Roman goddess)/
ジュビリー /(n) jubilee/(P)/
ジュピター /(n) Jupiter (lat:)/(P)/
ジュブナイル /(n) young adult fiction/
ジュベナイル /(n,adj-no) juvenile/
ジュライ /(n) July/
ジュラルミン /(n) duralumin/(P)/
ジュラ紀 [ジュラき] /(adj-na,n,adj-no) Jurassic Period/Jurassic/
ジュリー /(n) jury/(P)/
ジュルジュル /(n) whizzing/going by quickly/
ジュンサイ /(n) (uk) water shield (Brasenia schreberi)/
ジュンロン /(n) Junlon (synthetic fibre, fiber)/
ジョー /(n) (1) (comp) joe/(n,adj-f) (2) jaw/
ジョーカー /(n) joker/(P)/
ジョーク /(n) joke/(P)/
ジョークラッシャー /(n) jaw crusher/
ジョーズ /(n) jaws (film title)/(P)/
ジョーゼット /(n) georgette/
ジョーボニング /(n) jawboning/
ジョイ /(n) joy/(P)/
ジョイス /(n) (comp) JOIS/
ジョイスティック /(n) joy stick/
ジョイスト /(n) joist/
ジョイパッド /(n) (comp) joypad/
ジョイフル /(n) joyful/
ジョイン /(n) (comp) join/
ジョイント /(n,vs) joint/(P)/
ジョイントコンサート /(n) joint concert/
ジョイントベンチャー /(n) joint venture/JV/
ジョウビタキ /(n) (uk) Daurian redstart (species of passerine bird, Phoenicurus auroreus)/
ジョガー /(n) jogger/
ジョギング /(n) jogging/(P)/
ジョギングシューズ /(n) jogging shoes/
ジョギングパンツ /(n) jogging pants/
ジョグ /(n) jog/
ジョコーソ /(n) giocoso (ita:)/
ジョセフソン /(n) Josephson/(P)/
ジョセフソン効果 [ジョセフソンこうか] /(n) Josephson effect/
ジョセフソン接合 [ジョセフソンせつごう] /(n) (comp) Josephson junction/
ジョセフソン素子 [ジョセフソンそし] /(n) Josephson device/
ジョッキ /(n) (1) beer mug/stein/tankard/(2) jockey/(P)/
ジョッキー /(n) (1) beer mug/stein/tankard/(2) jockey/(P)/
ジョッギング /(n) jogging/
ジョッパーズ /(n) jodhpurs/riding breeches/
ジョドパーズ /(n) jodhpurs/
ジョブ /(n) job/
ジョブの流れ [ジョブのながれ] /(n) (comp) job stream/run stream/input stream/
ジョブエントリシステム /(n) (comp) Job Entry System/
ジョブエンラージメント /(n) job enlargement/
ジョブエンリッチメント /(n) job enrichment/
ジョブオブジェクト /(n) (comp) job object/
ジョブキュー /(n) (comp) job queue/
ジョブスケジューラ /(n) (comp) job scheduler/
ジョブストリーム /(n) (comp) job stream/
ジョブタイトル /(n) job title/
ジョブタイプ /(n) (comp) job type/
ジョブホッパー /(n) jobhopper/
ジョブメニュー /(n) job menu/
ジョブローテーション /(n) job rotation/
ジョブ回復制御ファイル [ジョブかいふくせいぎょファイル] /(n) (comp) backup file/job-recovery control file/
ジョブ固有領域 [ジョブこゆうりょういき] /(n) (comp) job private area/
ジョブ制御 [ジョブせいぎょ] /(n) (comp) job control/
ジョブ制御言語 [ジョブせいぎょげんご] /(n) (comp) Job Control Language/JCL/
ジョブ番号 [ジョブばんごう] /(n) (comp) job number/
ジョリーロジャー /(n) Jolly Rodger/pirate skull-and-crossbones flag/
ジョルダンギンザメ /(n) Chimaera jordani (species of deep water cartilaginous ghost shark)/
ジョロウグモ /(n) (1) (uk) Nephila clavata (an Oriental species of golden orb-weaving spider)/(2) Argiope amoena (an Oriental species of orb-weaving spider)/(3) wasp spider (Argiope bruennichi)/
ジョン /(n) John/(P)/
ジョントラ /(n) (abbr) John Travolta/
ジョンブル /(n) John Bull/
ジラフ /(n) giraffe/(P)/
ジリス /(n) (uk) ground squirrel (esp. a ground squirrel of North America or Africa)/
ジル /(n) gill/zel/zill/
ジルカロイ /(n) zircaloy/
ジルコニア /(n) zirconia/
ジルコニウム /(n) zirconium (Zr)/
ジルコン /(n) zircon/
ジルバ /(n) (abbr) jitterbug/
ジルベール症候群 [ジルベールしょうこうぐん] /(n) Gilbert's Syndrome/
ジレー /(n) vest (fre: gilet)/waistcoat/cardigan/
ジレッタント /(n) dilettante/
ジレンマ /(n,adj-no) dilemma/(P)/
ジロフォン /(ik) (n) xylophone/
ジワジワ /(n,adv) (on-mim) bit by bit/(P)/
ジン /(n) gin/jin/(P)/
ジンと /(adv) (1) (on-mim) extremely cold feeling that makes one feel numb/sharp pain that is almost numbing/(2) heartrending/touching the heart/
ジンギスカン /(n) Genghis Khan/dish with mutton and vegetables/(P)/
ジンギスカン鍋 [ジンギスカンなべ] /(n) slotted dome cast iron grill for preparing the Genghis Khan dish/
ジンク /(n) zinc/
ジンクス /(n) jinx/omen (can be a good omen)/(P)/
ジングシュピール /(n) singspiel (ger:)/
ジングル /(n) jingle (i.e. in a television commercial)/
ジンゲル /(n) (1) (obsc) singer (ger: Singer)/(2) (obs) (sl) geisha/
ジンゴイズム /(n) jingoism/
ジンジャー /(n) ginger/
ジンジャーエール /(n) ginger ale/
ジンジャーケーキ /(n) ginger cake/
ジンジャースナップ /(n) gingersnap/
ジンジャントロプス /(n) Zinjanthropus (early man)/
ジンス /(n) jeans/
ジンセン /(n) Asian ginseng (Panax ginseng) (chi: jenshen)/
ジンチョウ /(n) (obsc) penguin/
ジンチョウゲ /(n) winter daphne (Daphne odora)/
ジンチョウゲ科 [ジンチョウゲか] /(n) Thymelaeaceae (plant family)/mezereum/
ジンテーゼ /(n) (1) synthesis (ger: Synthese)/(2) synthesis (in semiconductor technology)/
ジントニック /(n) gin and tonic/
ジンバブエ /(n) Zimbabwe/(P)/
ジンバブエ共和国 [ジンバブエきょうわこく] /(n) Republic of Zimbabwe/
ジンファンデル /(n) Zinfandel/
ジンフィーズ /(n) gin fizz/
ジンフィズ /(n) gin fizz/
ジンベエザメ /(n) (uk) whale shark (Rhincodon typus)/
ジンベエザメ科 [ジンベエザメか] /(n) Rhincodontidae (family of whale sharks containing only one species of one genus, Rhincodon typus)/
ジンベエザメ属 [ジンベエザメぞく] /(n) Rhincodon (genus of one species of whale shark, Rhincodon typus, in the family Rhincodontidae)/
ジンマシン /(n) hives/nettle rash/urticaria/
ジンライム /(n) gin and lime/
スー /(n) (1) Sioux (fre:)/(2) sou/
スーザフォーン /(n) sousaphone/
スータン /(n) (1) soutane (fre:)/(2) stern/
スーツ /(n) suit/(P)/
スーツアクター /(n) stunt man (wasei: suit actor)/
スーツケース /(n) suitcase/(P)/
スーツ姿 [スーツすがた] /(n) suited figure/person in a suit/
スーババイザ /(n) (comp) supervisor/
スーパ /(n) (1) super/(2) (abbr) supermarket/(3) (abbr) superimpose/(4) (abbr) superheterodyne/(5) (film with) subtitles/
スーパー /(n) (1) super/(2) (abbr) supermarket/(3) (abbr) superimpose/(4) (abbr) superheterodyne/(5) (film with) subtitles/(P)/
スーパーＯＣＮ [スーパーオーシーエン] /(n) (comp) super OCN/
スーパーアロイ /(n) super-alloy/
スーパーインポーズ /(n) superimpose/
スーパーウーファー /(n) super woofer/
スーパーウーマン /(n) superwoman/
スーパーオーディオＣＤ [スーパーオーディオシーディー] /(n) (comp) Super Audio CD/
スーパーオキサイドディスムターゼ /(n) superoxide dismutase/
スーパーカー /(n) supercar/
スーパーカレンダー /(n) super-calender/
スーパーコンピュータ /(n) (comp) supercomputer/
スーパーコンピューター /(n) (comp) supercomputer/
スーパーサイズ /(n) super-size/
スーパーショットキーダイオード /(n) super Schottky diode/
スーパージェット /(n) superjet/
スーパースカラー /(n) (comp) superscalar/
スーパースクリプト /(n) (comp) super script/
スーパースケーラ /(n) (comp) superscalar/
スーパースコープ /(n) super size wide screen (wasei: superscope)/
スーパースター /(n) superstar/(P)/
スーパーステーション /(n) superstation/
スーパーストア /(n) superstore/
スーパースプレッダー /(n) super spreader (carrier of a viral disease who spreads the virus to a large number of other people)/
スーパーソニック /(n) supersonic/
スーパータイトル /(n) supertitle/surtitle/
スーパータンカー /(n) supertanker/
スーパーチェーン /(n) (abbr) supermarket chain/(P)/
スーパーチャージャー /(n) supercharger/
スーパーチューズデイ /(n) Super Tuesday/
スーパードライブ /(n) (comp) SuperDrive/
スーパーネッティング /(n) (comp) supernetting/
スーパーネット化 [スーパーネットか] /(n) (comp) supernetting/
スーパーノバ /(n) supernova/
スーパーハイウェー /(n) superhighway/
スーパーハイウエー /(n) superhighway/
スーパーハイデッカー /(n) super high decker/
スーパーバイザ /(n) superviser/(P)/
スーパーバイザー /(n) superviser/
スーパーヒーロー /(n) super hero/
スーパービジョン /(n) supervision/
スーパーファミコン /(n) (comp) Super Nintendo (wasei: super fam(ily) com(puter))/
スーパーヘテロダイン /(n) super-heterodyne/
スーパーヘビー級 [スーパーヘビーきゅう] /(n) super heavyweight/
スーパーボール /(n) SuperBall/
スーパーボウル /(n) Super Bowl/(P)/
スーパーマーケット /(n) supermarket/(P)/
スーパーマウス /(n) super mouse/
スーパーマン /(n) superman/(P)/
スーパーミニコン /(n) (comp) (abbr) super minicomputer/
スーパーモザイク /(n) (comp) SuperMosaic/
スーパーモデル /(n) supermodel/
スーパーユーザ /(n) (comp) super user/
スーパーユーザー /(n) (comp) super user/
スーパーリアリズム /(n) superrealism/
スーパーレディー /(n) superlady/
スーパーロー /(exp) super-low (description of a small truck with a low tray)/
スーパー受信機 [スーパーじゅしんき] /(n) superheterodyne receiver/
スーパセット /(n) (comp) superset/
スーパバイザ /(n) superviser/
スーパバイザコール /(n) (comp) supervisor call/
スーパミニ /(n) (comp) supermini/
スーフィ /(n) Sufi/
スーブニール /(n) souvenir (fre:)/
スープ /(n) (Western) soup/(P)/
スープカップ /(n) soup cup/
スープストック /(n) soup stock/
スープスプーン /(n) soupspoon/soup spoon/
スープフィン・シャーク /(n) tope shark (Galeorhinus galeus)/soupfin shark/
スープフィンシャーク /(n) tope shark (Galeorhinus galeus)/soupfin shark/
スープボウル /(n) soup bowl/
スープ皿 [スープざら] /(n) soup plate/soup bowl/
スープ鉢 [スープばち] /(n) (obsc) soup bowl/
スーベニア /(n) souvenir/
スーベニアショップ /(n) souvenir shop/
スァット /(vs) swat - to hit with a sharp slapping blow usually with an instrument (as a bat or flyswatter)/
スィート /(ik) (n,adj-na) (1) sweet/(n) (2) suite/
スィーパー /(n) sweeper/
スィッチ /(n,vs) switch/
スィルコンフレックス /(n) circumflex/
スイーツ /(n) sweets (desserts, candy, etc.)/
スイーティー /(n) sweetie (sweet green-skinned citrus; cross between a grapefruit and a pomelo)/oroblanco/
スイート /(n,adj-na) (1) sweet/(n) (2) suite/(P)/
スイートコーン /(n) sweet corn/
スイートスポット /(n) sweet spot/
スイートハート /(n) sweetheart/
スイートピー /(n) sweet pea/
スイートホーム /(n) sweet home/
スイートポテト /(n) sweet potato/
スイートメロン /(n) sweet melon/
スイートルーム /(n) suite/
スイーパー /(n) sweeper/(P)/
スイープ /(n) sweep/
スイカ /(n) Suica (rechargeable prepaid IC card that can be used as a train pass in the greater Tokyo, Osaka and Sendai regions and also as electric money in some stores)/
スイカ /(n) watermelon/(P)/
スイカズラ /(n) Japanese honeysuckle (Lonicera japonica)/
スイカズラ科 [スイカズラか] /(n) Caprifoliaceae (plant family)/honeysuckle/
スイショウガイ /(n) (uk) Strombus canarium turturella (subspecies of dog conch)/
スイジガイ /(n) (uk) spider conch (Lambis chiragra)/
スイス /(n) (1) (uk) Switzerland (fre: Suisse)/(adj-f) (2) Swiss/
スイスイ /(adv,adv-to) (on-mim) (swim, work) smoothly/unhindered/
スイスチャード /(n) Swiss chard (Beta vulgaris var. cicla)/silverbeet/
スイステレコム /(n) (comp) Swiss Telecom/
スイスラマ /(n) Swissrama/
スイッチ /(n,vs) switch/(P)/
スイッチアーキテクチャ /(n) (comp) switch architecture/
スイッチドバーチャルサーキット /(n) (comp) switched virtual circuit/
スイッチドバーチャルパス /(n) (comp) switched virtual path/
スイッチバック /(n,vs) switchback/
スイッチヒッター /(n) switch-hitter (baseball)/
スイッチベンダ /(n) (comp) switch vendor/
スイッチマトリクス /(n) (comp) switch matrix/switching matrix/
スイッチャ /(n) (comp) switcher/
スイッチャー /(n) switcher/
スイッチング /(n) switching/
スイッチングステージ /(n) (comp) switching stage/
スイッチングテーブル /(n) (comp) switching table/
スイッチングハブ /(n) (comp) switching hub/
スイッチングルータ /(n) (comp) switching router/
スイッチングレギュレータ /(n) (comp) switching regulator/
スイッチング関数 [スイッチングかんすう] /(n) (comp) switching function/
スイッチング遅延 [スイッチングちえん] /(n) (comp) switching delay/
スイッチング電源 [スイッチングでんげん] /(n) (comp) switching regulator/
スイッチング能力 [スイッチングのうりょく] /(n) (comp) switching capacity/
スイッチング変数 [スイッチングへんすう] /(n) (comp) switching variable/
スイッチ間通信 [スイッチあいだつうし] /(n) (comp) interswitch signalling/
スイッチ状態条件 [スイッチじょうたいじょうけん] /(n) (comp) switch-status condition/
スイッチ選択可能 [スイッチせんたくかのう] /(adj-na) (comp) switch-selectable/
スイッチ貿易 [スイッチぼうえき] /(n) switch trade/
スイッチ容量 [スイッチようりょう] /(n) (comp) switch(ing) capacity/
スイバル /(n) swivel/
スイフト /(n) (abbr) swift ball/
スイベル /(n) swivel/
スイマー /(n) swimmer/(P)/
スイミング /(n) swimming/
スイミングクラブ /(n) swimming club/(P)/
スイミンググローブ /(n) swimming glove/
スイミングスクール /(n) swimming school/
スイミングトランクス /(n) swimming trunks (male swimsuit)/
スイミングパンツ /(n) swimming trunks (wasei: swimming pants)/bathers/
スイミングプール /(n) swimming pool/
スイミングプール炉 [スイミングプールろ] /(n) swimming pool reactor/
スイムスーツ /(n) swimsuit/
スイレン /(n) (1) (uk) water lily (any plant of genus Nymphaea)/(2) pygmy waterlily (Nymphaea tetragona)/
スインガー /(n) swinger/
スインガーパーティー /(n) swinger party/
スインギング /(n) swinging/
スイング /(n,vs) swing/(P)/
スイングアウト /(n) swing out/
スイングジャズ /(n) swing jazz/
スイングドア /(n) swing door/
スイングプレー /(n) swing play/
スイング戦略 [スイングせんりゃく] /(n) swing strategy/
スウィーツ /(n) sweets (desserts, candy, etc.)/
スウィーティ /(n) sweetie (sweet green-skinned citrus; cross between a grapefruit and a pomelo)/oroblanco/
スウィート /(n,adj-na) (1) sweet/(n) (2) suite/
スウィープ /(n) sweep/
スウィズル /(n) (comp) swizzle/
スウィッチ /(n) switch/
スウィミング /(n) swimming/
スウィング /(n,vs) swing/
スウェー /(n) sway/
スウェーデン /(n) (uk) Sweden/
スウェーデンリレー /(n) Sweden relay/
スウェーデン語 [スウェーデンご] /(n) Swedish (language)/
スウェーデン蕪 [スウェーデンかぶ] /(n) swede/Swedish turnip/rutabaga/
スウェット /(n) (1) sweat/(2) (abbr) sweatshirt/sweat pants/
スウェットシャツ /(n) sweatshirt/
スウェットスーツ /(n) sweatsuit/sweat suit/
スウェットパンツ /(n) sweatpants/
スウェル /(n) swell/
スウォッチ /(n) Swatch (brand of watch, etc.)/
スェット /(n) (1) sweat/(2) (abbr) sweatshirt/sweat pants/
スエー /(n) sway/
スエージング /(n) swaging/
スエーター /(n) sweater/jumper/
スエード /(n) suede (fre:)/
スエズ運河 [スエズうんが] /(n) Suez Canal/
スエズ戦争 [スエズせんそう] /(n) Suez War (1956)/
スエズ動乱 [スエズどうらん] /(n) Suez Crisis (1956)/
スエット /(n) (1) sweat/(2) suet/(3) (abbr) sweatshirt/sweat pants/
スエットシャツ /(n) sweatshirt/
スエットスーツ /(n) sweatsuit/sweat suit/
スエットパンツ /(n) sweatpants/
スエットプディング /(n) suet pudding/
スカ /(n) ska (type of Jamaican music)/
スカート /(n) skirt/(P)/
スカーフ /(n) scarf/(P)/
スカーフェイスブレニー /(n) scarface blenny (Cirripectes vanderbilti)/
スカーレット /(n) scarlet/(P)/
スカす /(v5s) to leave one's stable (sumo term)/
スカイ /(n) sky/(P)/
スカイグレー /(n) sky gray/
スカイサイン /(n) sky sign/
スカイジャッカー /(n) skyjacker/hijacker/
スカイジャック /(n) skyjack/
スカイスクレーパー /(n) skyscraper/
スカイダイバー /(n) skydiver/
スカイダイビング /(n) skydiving/
スカイパーキング /(n) multi-storey parking garage (wasei: sky parking)/
スカイフック /(n) skyhook/sky-hook/sky hook/
スカイブルー /(n) sky blue/
スカイプ /(n) Skype (an Internet telephone service)/
スカイメート /(n) student discount air ticket (wasei: sky mate)/
スカイメイト /(n) student discount air ticket (wasei: sky mate)/
スカイラーク /(n) skylark/
スカイライティング /(n) skywriting/
スカイライト /(n) skylight/
スカイライン /(n) (1) skyline/(2) scenic mountain road/(P)/
スカイラブ /(n) Skylab/sky-laboratory/
スカイレストラン /(n) sky restaurant/
スカウト /(n,vs) scout/(P)/
スカジー /(n) (comp) SCSI/
スカジースリー /(n) (comp) SCSI-3/
スカジーツー /(n) (comp) SCSI-2/
スカジャン /(n) satin and embroidered version of a stadium jumper/
スカスカ /(adj-na) (1) hollow/(adv,adv-to) (2) sharply/cleanly (of cutting)/(3) smoothly/
スカッシュ /(n) squash/(P)/
スカッシング関数 [スカッシングかんすう] /(n) squashing function/
スカッパー /(n) scupper/
スカトロ /(n,adj-no) (abbr) scatology/
スカトロジー /(n) scatology/
スカポライト /(n) scapolite/
スカラ /(n) (1) scalar/(2) Selective Compliant Assembly Robot Arm (type of industrial robot)/Selective Compliant Articulated Robot Arm/SCARA/
スカラー /(n) (1) scalar/(2) Selective Compliant Assembly Robot Arm (type of industrial robot)/Selective Compliant Articulated Robot Arm/SCARA/
スカラーシップ /(n) scholarship/
スカラーポテンシャル /(n) scalar potential/
スカラー積 [スカラーせき] /(n) scalar product/
スカラシップ /(n) scholarship/(P)/
スカラップ /(n) scallop/
スカラップ・ハンマーヘッド /(n) scalloped hammerhead (Sphyrna lewini)/bronze hammerhead shark/
スカラップ・ボンネットヘッド /(n) scalloped bonnethead (Sphyrna corona, little-known species of hammerhead shark found in the eastern Pacific from southern Mexico to northern Peru)/
スカラップハンマーヘッド /(n) scalloped hammerhead (Sphyrna lewini)/bronze hammerhead shark/
スカラップボンネットヘッド /(n) scalloped bonnethead (Sphyrna corona, little-known species of hammerhead shark found in the eastern Pacific from southern Mexico to northern Peru)/
スカラブ /(n) scarab (Egyptian gemstone)/
スカラベ /(n) (1) scarab (Egyptian gemstone) (fre: scarabee)/(2) scarabeid (any of a group of beetles including the scarab beetle, Scarabeus sacer)/
スカラムーシュ /(n) Scaramouche (fre:)/
スカラ値 [スカラち] /(n) (comp) scalar value/
スカラ変数 [スカラへんずう] /(n) (comp) scalar variable/
スカリフィケーション /(n) scarification/
スカル /(n) scull/(P)/
スカルプチャー /(n) sculpture/
スカルプトリートメント /(n) scalp treatment/
スカンク /(n,adj-no) (1) skunk (animal)/(2) skunk (i.e. preventing someone from scoring entirely)/(P)/
スカンジウム /(n) scandium (Sc)/
スカンジナビア /(n) Scandinavia/
スカンピ /(n) scampi/
スガイ /(n) (uk) Lunella coreensis (species of turban shell)/
スガル /(n) (1) (uk) (arch) red-banded sand wasp (Ammophila sabulosa)/(2) deer/
スキー /(n) (1) skiing/(2) ski/skis/(P)/
スキーの板 [スキーのいた] /(n) ski/
スキーウエア /(n) ski-wear/
スキーシーズン /(n) ski season/
スキージャンプ /(n) ski jump/
スキーツアー /(n) ski tour/
スキート射撃 [スキートしゃげき] /(n) skeet shooting/
スキーマ /(n) schema/
スキーム /(n) scheme/
スキーヤー /(n) skier/(P)/
スキーラック /(n) ski rack/
スキーリフト /(n) ski lift/
スキーン腺 [スキーンせん] /(n) Skene's gland (possibly responsible for female ejaculation)/
スキー靴 [スキーくつ] /(n) ski boots/
スキー場 [スキーじょう] /(n) ski area/
スキー板 [スキーいた] /(n) skis (pair of)/
スキー用品 [スキーようひん] /(n) ski outfit/
スキアシガエル /(n) (uk) spadefoot toad (Pelobatidae spp.)/
スキゾ /(n) schizo/
スキゾフレニア /(n) schizophrenia/
スキット /(n) skit/
スキッドロー /(n) skid row/
スキッパー /(n) skipper/(P)/
スキップ /(n,vs) skip/
スキップフロア /(n) skip floor/
スキナー箱 [スキナーばこ] /(n) Skinner box (i.e. an operant conditioning chamber)/
スキニー /(n) skinny/
スキマー /(n) (comp) skimmer/
スキマティク図 [スキマティクず] /(n) (comp) schematic/
スキミング /(n) skimming (illegally copying credit cards with a swipe device)/
スキム /(n,vs) skim/
スキムボード /(n) skimboard/
スキムミルク /(n) skim milk/
スキャッティ /(n) scatty (Scatophagus tetracanthus, species of Indo-West Pacific scat)/African scat/
スキャット /(n) scat/
スキャット・ファーガス /(n) Selenotoca papuensis (species of Western Pacific scat known in Sulawesi and Papua New Guinea)/
スキャットファーガー /(n) spotted scat (Scatophagus argus)/
スキャットファーガス /(n) Selenotoca papuensis (species of Western Pacific scat known in Sulawesi and Papua New Guinea)/
スキャッブ /(n) (obsc) scab (i.e. a strikebreaker)/
スキャナ /(n) scanner/
スキャナー /(n) scanner/(P)/
スキャニング /(n) scanning/
スキャン /(n,vs) scan/(P)/
スキャンエンジン /(n) (comp) scan engine/
スキャンコンバータ /(n) (comp) scan converter/
スキャンダラス /(adj-na) scandalous/(P)/
スキャンダル /(n) scandal/(P)/
スキャンティー /(n) scanties/
スキャンディスク /(n) (comp) SCANDISK/
スキャントーク /(n) Scan Talk (brand name for a barcode system for recording and playing back brief sequences of sound)/
スキャンプロファイル /(n) (comp) scan profile/
スキャンヘッド /(n) (comp) scan head/
スキャンライン法 [スキャンラインほう] /(n) (comp) scanline algorithm/
スキャンロン方式 [スキャンロンほうしき] /(n) Scanlon plan/
スキュー /(n) (comp) skew/
スキューギア /(n) skew gear/
スキューバ /(n) scuba/self-contained under-water breathing apparatus/(P)/
スキューバダイビング /(n) scuba diving/
スキリオライヌス・ステラリス /(n) nursehound (Scyliorhinus stellaris, species of catshark in the Northeast Atlantic and Mediterranean)/
スキリオライヌスステラリス /(n) nursehound (Scyliorhinus stellaris, species of catshark in the Northeast Atlantic and Mediterranean)/
スキル /(n) skill/
スキルアップ /(n) reskilling (wasei: skill-up)/
スキルインベントリーシステム /(n) skills inventory system/
スキルス癌 [スキルスがん] /(n) scirrhous carcinoma/
スキルフル /(n) skillful/
スキレット /(n) skillet/
スキン /(n) (1) skin/(2) (col) condom/(3) (comp) skin (e.g. alternative look and feel for interface of a program)/(P)/
スキンクリーム /(n) skin cream/
スキンケア /(n) skin care/(P)/
スキンシップ /(n) (1) child-rearing with frequent physical contact (wasei: skinship)/(2) close relationship (esp. physical)/(P)/
スキンダイバー /(n) skin diver/
スキンダイビング /(n) skin diving/
スキンフード /(n) skin food/
スキンヘッズ /(n) skinheads/
スキンヘッド /(n) (1) shaved head (from skinhead)/person with a shaved head/(2) skinhead (shaved-headed member of a subculture often associated with Neo-nazism)/
スキンレディ /(n) door-to-door condom sales-lady (wasei: skin lady)/
スギ /(n) Japanese cedar (Cryptomeria japonica)/
スギ /(n) cobia (Rachycentron canadum)/sergeant fish/
スギアヤチョウチョウウオ /(n) foureye butterflyfish (Chaetodon capistratus)/
スクーター /(n) scooter/(P)/
スクーナー /(n) schooner/
スクーバ /(n) scuba/self-contained under-water breathing apparatus/
スクーバ・ダイバー /(n) scuba diver/
スクーバダイバー /(n) scuba diver/
スクーバダイビング /(n) scuba diving/
スクープ /(n,vs) scoop/(P)/
スクープヘッド /(n) scoophead (Sphyrna media, species of little-known hammerhead shark found in tropical waters of the western Atlantic and eastern Pacific)/
スクーリング /(n) schooling/
スクール /(n) school/(P)/
スクールカウンセラー /(n) school counsellor/
スクールカラー /(n) school color/school colour/
スクールガール /(n) schoolgirl/
スクールゾーン /(n) school zone/
スクールバス /(n) school bus/
スクールフィギュア /(n) school figure/
スクールボーイ /(n) schoolboy/
スクールメート /(n) schoolmate/
スクールメイト /(n) schoolmate/
スクアレン /(n) squalene/
スクイーザー /(n) squeezer/
スクイーズ /(adj-f) anamorphic (DVD) (lit: squeeze)/
スクイズ /(n,vs) (1) squeeze/(2) (in scuba diving) discomfort or pain caused by increasing water pressure compressing body air spaces and pushing body tissue inward/(P)/
スクイズバント /(n) squeeze bunt/
スクイズプレー /(n) squeeze play/
スクイッド /(n) squid/
スクウェア /(n) square/
スクェア /(adj-na,n) square/
スクエア /(adj-na,n) square/(P)/
スクエアスタンス /(n) square stance/
スクエアダンス /(n) square dance/
スクエアネック /(n) square neck/
スクエアネックライン /(n) square neckline/
スクエアポジション /(n) square position/
スクエアユニコーンフィッシュ /(n) squarenose unicornfish (Naso mcdadei, species of Indo-West Pacific tang found from East Africa to the Great Barrier Reef)/
スクォーク /(n) squark (scalar quark)/
スクオーク /(n) squark (scalar quark)/
スクショ /(n) (abbr) screenshot/
スクラッチ /(n,vs) scratch/
スクラッチノイズ /(n) scratch noise/
スクラッチパッド /(n) (comp) scratchpad/
スクラッチヒット /(n) scratch hit/
スクラッチプレーヤー /(n) scratch player/
スクラッチマッチ /(n) scratch match/
スクラッチレース /(n) scratch race/
スクラップ /(n,vs) scrap/(P)/
スクラップ＆ビルド [スクラップアンドビルド] /(n) scrap and build/
スクラップアンドビルド /(n) scrap and build/
スクラップブック /(n) scrapbook/
スクラブ /(n,vs) scrub/
スクラム /(n) (1) scrum/(2) scram (nuclear reactor)/(P)/
スクラムジェット /(n) scramjet/
スクラムトライ /(n) scrum try/
スクラムハーフ /(n) scrum half/
スクラムワーク /(n) scrum work/
スクラメージ /(n) scrummage (rugby)/scrum/
スクランブラー /(n) scrambler/
スクランブル /(n,vs) scramble/(P)/
スクランブルエッグ /(n) scrambled eggs/
スクランブルドエッグ /(n) scrambled eggs/
スクランブルドエッグズ /(n) scrambled eggs/
スクランブルレース /(n) scramble race/
スクランブル交差点 [スクランブルこうさてん] /(n) multiple intersection (lit: scramble instersection)/
スクリーニング /(n,vs) screening/
スクリーマー /(n) screamer/
スクリーン /(n) screen/(P)/
スクリーンイメージバッファ /(n) (comp) screen image buffer/
スクリーンエディタ /(n) (comp) screen editor/
スクリーンカプチャー /(n) (comp) screen capture/
スクリーンキャプチャ /(n) (comp) screen capture/
スクリーンショット /(n) screenshot/
スクリーンセーバ /(n) (comp) screen saver/
スクリーンセーバー /(n) (comp) screen saver/
スクリーンセーブ /(n) (comp) screen save/
スクリーンセイバー /(n) (comp) screen saver/
スクリーントーン /(n) screentone/adhesive mechanical tint/
スクリーンバッファ /(n) (comp) screen buffer/
スクリーンパス /(n) screen pass/
スクリーンフォント /(n) (comp) screen fonts/
スクリーンプレー /(n) screen play/
スクリーンプロセス /(n) screen process/
スクリーンミュージック /(n) screen music/
スクリーンモード /(n) screen mode/
スクリーン印刷 [スクリーンいんさつ] /(n) screen printing/
スクリブルドエンゼル /(n) scribbled angelfish (Chaetodontoplus duboulayi)/
スクリプター /(n) scripter/(P)/
スクリプチャー /(n) Scripture/
スクリプト /(n) script/
スクリプトエンジン /(n) (comp) scripting engine/
スクリプトガール /(n) script girl/
スクリプトコマンド /(n) (comp) script command/
スクリプトファイル /(n) (comp) script file/
スクリプトヘッダ /(n) script header/
スクリプトヘッダー /(n) script header/
スクリプト言語 [スクリプトげんご] /(n) (comp) script language/
スクリム /(n) scrim/
スクリメージ /(n) scrimmage (football)/
スクリメージライン /(n) scrimmage line/line of scrimmage/
スクリュー /(n) (1) screw/(2) propeller (e.g. on a ship)/(P)/
スクリューギア /(n) screw gear/
スクリュードライバー /(n) screwdriver/
スクリュープロペラ /(n) screw propeller/
スクリュープロペラ船 [スクリュープロペラせん] /(n) screw ship/
スクリューボール /(n) screwball (baseball)/
スクリユー /(n) (1) screw/(2) propeller (e.g. on a ship)/
スクループル /(n) scruple/
スクレーパー /(n) scraper/
スクレイパー /(n) scraper/
スクレイピー /(n) scrapie/
スクロース /(n) sucrose/
スクローリング /(n) (comp) scrolling/
スクロール /(n,vs) scroll/
スクロールダウン /(n,vs) (comp) scroll down/
スクロールバー /(n) (comp) scroll bar/
スクロールバースライダ /(n) (comp) scroll bar slider/
スクワッター /(n) squatter/
スクワット /(n) squat/
スグリ /(n) (1) (uk) gooseberry/currant/(2) (uk) plants from the Ribes genus/
スグリ属 [スグリぞく] /(n) Ribes (genus of flowering plants, including the edible currants)/
スケ /(ctr) square millimetres/mm**2/
スケーター /(n) skater/(P)/
スケーティング /(n) skating/(P)/
スケート /(n,vs) skate/skates/skating/(P)/
スケートボーディング /(n) skateboarding/
スケートボード /(n) skateboard/
スケートリンク /(n) skating rink/(P)/
スケート靴 [スケートぐつ] /(n) skates/
スケープゴーティング /(n) scapegoating/
スケープゴート /(n) scapegoat/(P)/
スケーラ /(n) (1) scalar/
スケーラー /(n) (1) scalar/
スケーラビリティ /(n) (comp) scalability/
スケーラビリテイ /(n) (comp) scalability/
スケーラブル /(n,adj-f) scalable/
スケーラブルフォント /(n) (comp) scalable font/
スケーリング /(n) (comp) scaling (e.g. in computer graphics)/
スケーリングファクター /(n) scaling factor/
スケール /(n) scale/vernier/(P)/
スケールアウト /(n) (comp) scale-out/
スケールアップ /(n,vs) scale-up/
スケールメリット /(n) economy of scale (wasei: scale merit)/cost saving or benefit from having a larger scale (e.g. of production)/
スケールモデル /(n) scale model/
スケジューラ /(n) scheduler/
スケジューラー /(n) scheduler/
スケジューリング /(n) scheduling/
スケジュール /(n,vs) schedule/(P)/
スケソウダラ /(n) (uk) walleye pollack/Alaska pollack (Theragra chalcogramma)/
スケッチ /(n,vs,adj-no) sketch/(P)/
スケッチブック /(n) sketchbook/(P)/
スケッチホン /(n) sketch phone/
スケトウダラ /(n) (uk) walleye pollack/Alaska pollack (Theragra chalcogramma)/
スケブ /(n) (abbr) sketchbook/
スケプチシズム /(n) skepticism/scepticism/
スケプチック /(n) skeptic/sceptic/
スケプティック /(n) skeptic/sceptic/
スケボー /(n) skateboard/
スケルツォ /(n) scherzo (ita:)/
スケルツオ /(n) scherzo (ita:)/
スケルトン /(n) skeleton/
スケ番 [スケばん] /(n) leader of a female gang/leader of a group of delinquent girls/
スコー /(n) (comp) SCO/
スコーカー /(n) squawker/(P)/
スコート /(n) skirt/
スコーピング /(n) scoping/
スコープ /(n) scope/(P)/
スコープノート /(n) (comp) scope note/
スコール /(n) squall/(P)/
スコーン /(n) scone/
スコア /(n) score/(P)/
スコアカード /(n) scorecard/
スコアブック /(n) scorebook/
スコアボード /(n) scoreboard/(P)/
スコアラー /(n) scorer/
スコアリングポジション /(n) scoring position/
スコアレスドロー /(n) scoreless draw/
スコスコ /(adv) (1) (on-mim) repeatedly/leaving no stone unturned/walking rapidly/(n,vs) (2) (col) (on-mim) masturbation/
スコッチ /(n) Scotch/(P)/
スコッチウイスキー /(n) Scotch whiskey/Scotch whisky/
スコッチエッグ /(n) Scotch egg/
スコッチツイード /(n) Scotch tweed/
スコッチテープ /(n) Scotch tape/
スコッチテリア /(n) Scotch terrier/
スコッチライト /(n) road reflector (wasei: Scotch Light)/
スコットランド /(n) (1) Scotland/(adj-f) (2) Scottish/(P)/
スコットランドヤード /(n) Scotland Yard/
スコットランド人 [スコットランドじん] /(n) Scot/Scottish person/
スコップ /(n) (1) shovel (dut: schop)/spade/scoop/(2) (comp) SCOP/(P)/
スコトフォビン /(n) scotophobin/
スコボフィリア /(n) scopophilia/
スコポフィリー /(n) scopophilia/
スコポラミン /(n) Skopolamin/
スコヤ /(n) square/
スコラ学 [スコラがく] /(n) scholasticism/
スコラ的 [スコラてき] /(adj-na) scholastic/
スコラ哲学 [スコラてつがく] /(n) scholasticism/
スコリア /(n) scoria/
スコンク /(n,adj-no) (1) skunk (i.e. preventing someone from scoring entirely)/
スコ法 [スコほう] /(n) Scottish law/
スサノオ /(n) Susanoo (Japanese deity)/Susanoo-no-Mikoto/
スサノヲ /(n) Susanoo (Japanese deity)/Susanoo-no-Mikoto/
スサビノリ /(n) (uk) Porphyra yezoensis (species of edible purple laver)/
スジイルカ /(n) (uk) striped dolphin (Stenella coeruleoalba)/
スジクロハギ /(n) whitebar surgeonfish (Acanthurus leucopareius, Western Central Pacific species of tang)/
スジグロシロチョウ /(n) (uk) Pieris melete (species of cabbage white butterfly)/
スジベラ /(n) pale-barred coris (Coris dorsomacula)/
スジメヒメオオトカゲ /(n) stripe-tailed goanna (Varanus caudolineatus, species of carnivorous monitor lizard native to the forests of Western Australian)/
スジャータ /(n) Sujahta (brand of coffee cream and icecream)/
ススイロアホウドリ /(n) (uk) sooty albatross (Phoebetria fusca)/
スズ /(n) (uk) tin/
スズカケノキ /(n) plane tree (esp. the Oriental plane, Platanus orientalis)/
スズガエル /(n) (uk) Oriental fire-bellied toad (Bombina orientalis)/
スズガモ /(n) (uk) greater scaup (species of diving duck, Aythya marila)/
スズキ /(n) (uk) Japanese sea perch (Lateolabrax japonicus, esp. referring to an adult)/Japanese sea bass/
スズキ /(n) Suzuki (Japanese automobile and motorcycle manufacturer)/
スズキ亜目 [スズキあもく] /(n) Percoidei (suborder of perch and perch-like fish)/
スズキ目 [スズキもく] /(n) Perciformes (order of perch and perch-like fish)/
スズシロソウ /(n) (uk) Arabis flagellosa (species of rockcress)/
スズタケ /(n) (uk) Sasamorpha borealis (species of bamboo grass unique to Japan)/
スズナ /(n) (uk) turnip (Brassica rapa)/
スズメ /(n) (1) tree sparrow (Passer montanus)/(2) talkative person/knowledgeable person/
スズメガ /(n) (uk) hawk moth (any moth of family Sphingidae)/hawkmoth/sphinx moth/
スズメダイ /(n) (uk) pearl-spot chromis (Chromis notata, species of damselfish found in southern Japan, Ryukyu Islands, Taiwan, and China)/
スズメダイ科 [スズメダイか] /(n) Pomacentridae (family containing about 360 species of primarily marine tropical damselfishes and clownfishes in approximately 29 genera)/
スズメダイ属 [スズメダイぞく] /(n) Chromis (genus containing most damselfish of the family Pomacentridae)/
スズメノテッポウ /(n) (uk) shortawn foxtail (Alopecurus aequalis)/
スズメノヒエ /(n) (uk) Japanese paspalum (Paspalum thunbergii)/
スズメノヤリ /(n) (1) (uk) Luzula capitata (species of woodrush)/(2) shortawn foxtail (Alopecurus aequalis)/
スズメバチ /(n) (1) (uk) hornet/yellow jacket/wasp (of subfamily Vespinae)/(2) (uk) Asian giant hornet (Vespa mandarinia)/yak-killer hornet/
スター /(n) star/(P)/
スターアニス /(n) star anise (spice)/
スターウォーズ /(n) Star Wars (film title)/
スターウォッチング /(n) Star Watching (project)/
スターガイド /(n) star guide/
スターキング /(n) star king/
スターサファイア /(n) star sapphire/
スターシステム /(n) star system/
スターズアンドストライプス /(n) Stars and Stripes/(P)/
スターター /(n) starter/(P)/
スターターキット /(n) (comp) starters kit/
スターダスト /(n) stardust/
スターダム /(n) stardom/
スターチ /(n) starch/
スターチス /(n) statice (flower)/sea-lavender/
スターティング /(n) starting/
スターティングピッチャー /(n) starting pitcher/
スターティングブロック /(n) starting block/
スターティングメンバー /(n) starting member/
スターティングラインアップ /(n) starting lineup/
スタート /(n,vs) start/(P)/
スタートを切る [スタートをきる] /(exp,v5r) to make a start/
スタートアップ /(n) (comp) startup/
スタートアップスクリーン /(n) (comp) startup screen/
スタートアップディスク /(n) (comp) startup disk/
スタートダッシュ /(n) start dash/
スタートビット /(n) (comp) start bit/
スタートボタン /(n) (comp) start button (e.g. in Windows)/
スタートライン /(n) start line/(P)/
スタートラッカ /(n) star tracker/
スタートラッカー /(n) star tracker/
スタートレック /(n) Star Trek/
スタート信号 [スタートしんごう] /(n) (comp) start signal/
スターネットワーク /(n) (comp) star network/
スターバックス /(n) Starbucks/
スタープレーヤー /(n) star player/
スターボード /(n) starboard/
スターライト /(n) starlight/
スターリニズム /(n) Stalinism/
スターリング /(n) sterling/
スターリングエンジン /(n) Sterling engine/(P)/
スターリングシルバー /(n) Sterling silver/
スターリングブロック /(n) Sterling block/
スターレット /(n) starlet/
スター型 [スターがた] /(n) (comp) star configuration/
スター型ネットワーク [スターがたネットワーク] /(n) (comp) star network/
スター形 [スターがた] /(n) (comp) star configuration/
スター形配線リングネットワーク [スターけいはいせんリングネットワーク] /(n) (comp) star/ring network/
スター状 [スターじょう] /(n) (comp) star configuration/
スター選手 [スターせんしゅ] /(n) star player/star athlete/
スタイミー /(n) stymie (golf)/(P)/
スタイラス /(n) stylus/
スタイラスペン /(n) (comp) stylus pen/
スタイリスト /(n) stylist/(P)/
スタイリッシュ /(adj-na) stylish/
スタイリング /(n) styling/(P)/
スタイル /(n) (1) style/(2) (female) figure/(P)/
スタイルシート /(n) (comp) stylesheet/
スタイルファイル /(n) style file/
スタイルブック /(n) stylebook/
スタイン /(n) stein (ger:)/
スタウト /(n) stout/
スタグネーション /(n) stagnation/
スタグフレーション /(n) stagflation/
スタジアム /(n) stadium/(P)/
スタジアムジャンパー /(n) jacket with team's logo (wasei: stadium jumper)/
スタジオ /(n) studio/(P)/
スタジャン /(n) (abbr) jacket with team's logo (wasei: stadium jumper)/
スタチック /(adj-na,n) static/
スタチュー /(n) statue/
スタッカート /(n) staccato (ita:)/
スタッキングパーム /(n) stacking permanent wave/
スタック /(n) (1) stack/(2) (comp) pushdown list/pushdown stack/(n,vs) (3) stuck/
スタックウェア /(n) (comp) stackware/
スタックオブジェクト /(n) stack-object/
スタックセグメント /(n) (comp) stack segment/
スタックトレース /(n) (comp) stack trace/
スタックハブ /(n) (comp) stack(able) hub/
スタックパーマ /(n) (abbr) stacking permanent wave/
スタックヒール /(n) stacked heel/
スタックポインタ /(n) (comp) stack-pointer/stack indicator/
スタッグパーティー /(n) stag party/
スタッグフィルム /(n) stag film/
スタッコ /(n) stucco/
スタッド /(n) stud/
スタッドレスタイヤ /(n) studless winter tire (tyre)/
スタッフ /(n,adj-no) (1) staff/(2) stuff/(P)/
スタッフイット /(n) (comp) Stuff It/
スタッフドエッグ /(n) stuffed egg/
スタッフドオリーブ /(n) stuffed olives/
スタッフルーム /(n) staff room/
スタティサイダ /(n) (comp) staticizer/serial-parallel converter/
スタティスティックス /(n) statistics/
スタティック /(adj-na,n) static/
スタティックＲＡＭ [スタティックラム] /(n) (comp) static Random Access Memory/SRAM/
スタティックプラグアンドプレイ /(n) (comp) static plug and play/
スタティックメモリ /(n) (comp) static memory/
スタティックラム /(n) (comp) static RAM/
スタティックランダムアクセスメモリ /(n) (comp) static random access memory/SRAM/
スタテル /(n) stater (coin used in ancient Greece) (gre:)/
スタディ /(n) study/
スタディー /(n) study/
スタディアム /(n) stadium/
スタディオ /(n) studio/
スタディレポート /(n) (comp) study report/
スタバ /(n) (abbr) Starbucks/
スタバる /(v5r) (obsc) (sl) to go to Starbucks/
スタビライザー /(n) stabilizer/stabiliser/
スタビリティー /(n) stability/
スタブ /(n) stub/(P)/
スタペリア /(n) stapelia/
スタミナ /(n,adj-no) stamina/energy/(P)/
スタメン /(n) (abbr) starting member/(P)/
スタリオン /(n) stallion/
スタン /(n) stun/(P)/
スタンガン /(n) stun gun/(P)/
スタンザ /(n) stanza/
スタンス /(n) stance/(P)/
スタンダーズ /(n) standards/
スタンダード /(adj-na,n) standard/(P)/
スタンダードＭＩＤＩファイル [スタンダードミディファイル] /(n) (comp) Standard MIDI File/SMF/
スタンダードテスト /(n) standard test/
スタンダードナンバー /(n) standard number/
スタンダードバージョン /(n) (comp) standard version/
スタンダードモード /(n) (comp) standard mode/
スタンダードライブラリ /(n) standard library (programming)/
スタンダードライブラリー /(n) standard library (programming)/
スタンダード版 [スタンダードはん] /(n) (comp) standard version/
スタンツ /(n) stunts/
スタンディング /(n) (abbr) free-standing bar/
スタンディングウェーブ /(n) standing wave/
スタンディングウエーブ /(n) standing wave/
スタンディングオベーション /(n) standing ovation/
スタンディングスタート /(n) standing start/
スタント /(n) stunt/
スタントカー /(n) stunt car/
スタントカイト /(n) stunt kite/
スタントマン /(n) stunt man/
スタンド /(n) stand/(P)/
スタンドアローン /(n,adj-f) (comp) standalone/
スタンドアロン /(n) (comp) stand alone/
スタンドイン /(n) stand-in/
スタンドオフ /(n) standoff/
スタンドカラー /(n) stand-up collar/
スタンドバー /(n) bar (wasei: stand bar)/
スタンドバイクレジット /(n) standby credit/
スタンドプレー /(n) grandstand play (wasei: stand play)/grandstanding/
スタンドポイント /(n) standpoint/
スタンドレスリング /(n) stand wrestling/
スタンバる /(v5r) to stand by/to be on standby/
スタンバイ /(n,adj-no,vs) standby/preparation/arrangement/ready/waiting/
スタンバイパッセンジャー /(n) standby passenger/
スタンバイファイル /(n) (comp) standby file/
スタンフォード /(n) Stanford/(P)/
スタンプ /(n) (1) stamp/(2) stump (e.g. in cricket)/(P)/
スタンプコレクション /(n) stamp collection/
スタンプハンマー /(n) stamp hammer/
スタンプミル /(n) stamp mill/
スタンプ販売 [スタンプはんばい] /(n) stamp trading/
スダチ /(n) (uk) sudachi (species of Japanese citrus, Citrus sudachi)/
スダレガイ /(n) (uk) Paphia euglypta (species of Venus clam)/
スダレチョウチョウウオ /(n) Pacific double-saddle butterflyfish (Chaetodon ulietensis)/sickle butterflyfish/
スチーム /(n) steam/(P)/
スチームアイロン /(n) steam iron/
スチームエンジン /(n) steam engine/
スチームタービン /(n) steam turbine/
スチームハンマー /(n) steam hammer/
スチームバス /(n) steam bath/
スチームパイプ /(n) steampipe/
スチームヒーター /(n) steam heater/
スチームローラー /(n) steam roller/
スチール /(n) (1) steel/(n,vs) (2) steal (baseball)/(n) (3) still (picture)/(P)/
スチールウール /(n) steel wool/
スチールカラー /(n) steel collar worker/robot/
スチールカン /(n) steel can/
スチールギター /(n) steel guitar/
スチールグレー /(n) steel gray/
スチールサッシ /(n) steel sash/
スチールサッシュ /(n) steel sash/
スチールドラム /(n) steel drum/steel pan/
スチールネールファイル /(n) steel nail file/
スチールバンド /(n) steel band/
スチールパン /(n) steel pan/steel drum/
スチールファイル /(n) steel file/
スチールヘッド /(n) steelhead (large migratory rainbow trout)/
スチールラジアル /(n) steel radial/
スチール家具 [スチールかぐ] /(n) steel furniture/
スチール缶 [スチールかん] /(n) steel can/
スチコン /(n) Styrol condensor/
スチューデント /(n) student/
スチューデントアパシー /(n) student apathy/
スチューデントパワー /(n) student power/
スチューベル /(n) Stueber/
スチュワーデス /(n) stewardess/(female) flight attendant/(P)/
スチュワード /(n) steward/
スチル /(n) (1) still (picture)/
スチルブ /(n) stilb/
スチレン /(n) styrene/
スチレンブタジエンゴム /(n) styrene-butadiene rubber/SBR/
スチレンペーパー /(n) styrene paper/
スチレン樹脂 [スチレンじゅし] /(n) styrene resin/
スチロール /(n) styrene (ger:)/Styrol/
スッてしまう /(exp,v5u) (uk) (obsc) to squander one's money (through gambling, Pachinko, etc.)/
スッスッ /(adv-to,adv) smoothly/frictionlessly/easily/
スッチー /(n) (abbr) stewardess/(female) flight attendant/
スットンキョー /(adj-na,n) wild/in disarray/harum-scarum/hysteric/
スッポン /(n) (uk) Chinese soft-shelled turtle (Pelodiscus sinensis)/soft-shelled turtle (Trionychidae)/
スッポンタケ /(n) (uk) common stinkhorn (Phallus impudicus)/
スツール /(n) stool/
ステー /(n) stay/
ステーキ /(n) steak/(P)/
ステーキハウス /(n) steakhouse/
ステーキ屋 [ステーキや] /(n) steak house/
ステークス /(n) stakes/
ステークホルダー /(n) stakeholder/stakeholders/
ステーショナリー /(n) stationery/
ステーション /(n) station/(P)/
ステーションコール /(n) station call/
ステーションブレーク /(n) station break/
ステーションブレイク /(n) station break/
ステーションワゴン /(n) station wagon/
ステージ /(n) (1) stage/(2) performance/(P)/
ステージダンス /(n) dance for the stage/
ステーター /(n) stator/
ステータス /(n) status/(P)/
ステータスインジケータ /(n) (comp) status indicater/
ステータスシンボル /(n) status symbol/
ステータスバー /(n) (comp) status bar/
ステータスレジスタ /(n) (comp) status register/
ステータス行 [ステータスぎょう] /(n) (comp) status line/
ステーツウーマン /(n) stateswoman/
ステーツマン /(n) statesman/
ステーツマンシップ /(n) statesmanship/
ステート /(n) state/(P)/
ステートアマ /(n) (abbr) state amateur (government-funded sportsperson in training)/(P)/
ステートアマチュア /(n) state amateur (government-funded sportsperson in training) (wasei: state amateur)/
ステートメント /(n) statement/(P)/
ステートメント番号 [ステートメントばんごう] /(n) (comp) statement number/
ステートレス /(n) stateless/
ステープラー /(n) stapler/
ステープル /(n) staple/
ステープルファイバー /(n) staple fiber/
ステアプシン /(n) steapsin/
ステアリン /(n) stearin/
ステアリング /(n) (abbr) steering gear/
ステアリン酸 [ステアリンさん] /(n) stearic acid/
スティーブンスジョンソン症候群 [スティーブンスジョンソンしょうこうぐん] /(n) Stevens-Johnson syndrome/
スティープルチェイス /(n) steeplechase/
スティール /(n) steal/
スティグマ /(n) stigma/
スティッキービット /(n) (comp) sticky bit/
スティック /(n) stick/(P)/
スティック型ポインティングデバイス [スティックかたポインティングデバイス] /(n) (comp) stick-type pointing device/
スティッチ /(n) stitch/
スティラコサウルス /(n) styracosaurus (dinosaur)/
スティルトン /(n) Stilton (blue cheese)/
スティンガー /(n) stinger/(P)/
スティング /(n) sting/
スティングレイ /(n) stingray/stingaree/
ステイ /(n,vs) stay/
ステイオンタブ /(n) stayon tab/
ステイタス /(n) status/(P)/
ステイト /(n) state/
ステイヤー /(n) stayer/
ステイルメイト /(n) (comp) stalemate/
ステインドグラス /(n) stained glass/
ステカセ /(n) (abbr) stereo cassette/
ステガノグラフィー /(n) steganography/
ステゴサウルス /(n) Stegosaurus (lat:)/
ステゴザウルス /(n) Stegosaurus (lat:)/
ステゴドン /(n) Stegodon (lat:)/
ステッカー /(n) (1) sticker/(2) stacker/(P)/
ステッキ /(n) (1) stick/(2) (m-sl) (magic) wand/staff/(P)/
ステックガール /(n) thin (stick) girl/
ステッチ /(n) stitch/
ステッパー /(n) stepper (device used in the manufacture of integrated circuits)/
ステッピング /(n) stepping/
ステップ /(n,vs) (1) step/(n) (2) steppe/(P)/
ステップアクション /(n) (comp) step-by-step procedure/
ステップス /(n) steps/
ステップスカルプチャ /(n) (comp) step scarpcher/
ステップターン /(n) step turn/
ステップバイステップ /(n) step-by-step/
ステップファミリー /(n) stepfamily/
ステップワイズ /(n) (comp) stepwise/
ステップ応答 [ステップおうとう] /(n) step response/
ステップ関数 [ステップかんすう] /(n) step function/
ステディ /(n) steady/
ステディー /(n) steady/
ステノグラファー /(n) stenographer/
ステノグラフィー /(n) stenography/
ステビア /(n) stevia (lat:)/
ステファンボルツマンの法則 [ステファンボルツマンのほうそく] /(n) Stefan-Boltzmann law/Stefan-Boltzmann's law/
ステム /(n) (1) stem (of a plant)/(2) stem (bicycle part)/axle/shaft/
ステム幅整合 [ステムはばせいごう] /(n) (comp) snap/
ステラ /(n) stela/
ステラーカイギュウ /(n) (uk) Steller's sea cow (Hydrodamalis gigas)/
ステラー海牛 [ステラーかいぎゅう] /(n) (uk) Steller's sea cow (Hydrodamalis gigas)/
ステラジアン /(n) steradian/
ステルス /(n) stealth/(P)/
ステルスコールバック /(n) (comp) stealth callback/
ステルスブイラム /(n) (comp) Stealth VRAM/
ステルス技術 [ステルスぎじゅつ] /(n) stealth technology/
ステルス戦闘機 [ステルスせんとうき] /(n) stealth fighter/
ステルス爆撃機 [ステルスばくげきき] /(n) stealth bomber/
ステレオ /(n) stereo/(P)/
ステレオカメラ /(n) stereo camera/
ステレオグラム /(n) stereogram/
ステレオスコープ /(n) stereoscope/
ステレオタイプ /(n) stereotype/(P)/
ステレオテープ /(n) stereotape/
ステレオビジョン /(n) stereovision/
ステレオフォニック /(n) stereophonic/
ステレオレコード /(n) stereo record/
ステレオ写真 [ステレオしゃしん] /(n) stereo-photography/
ステレオ放送 [ステレオほうそう] /(n) stereo broadcasting/
ステロール /(n) sterol/
ステロイド /(n) steroid/(P)/
ステロイドホルモン /(n) steroid hormone/
ステロタイプ /(n) stereotype/
ステンシル /(n) stencil/
ステント /(n) stent (tubular support temporarily placed inside a blood vessel, etc.)/
ステンドグラス /(n) stained glass/(P)/
ステンレス /(n) stainless/(P)/
ステンレススチール /(n) stainless steel/
ステンレス鋼 [ステンレスこう] /(n) stainless steel/
スト /(n) (abbr) strike/(P)/
ストーカー /(n) stalker/
ストーキング /(n,vs) stalking/
ストークスの法則 [ストークスのほうそく] /(n) Stokes' law/
ストーブ /(n) heater (from stove)/(P)/
ストーブリーグ /(n) stove league/
ストーム /(n) storm/(P)/
ストーリ /(n) story/
ストーリー /(n) story/(P)/
ストーリーテラー /(n) story teller/
ストーリボード /(n) storyboard/
ストール /(n) (1) stole (scarf)/(2) stall (of an engine or aircraft)/(P)/
ストールン /(adj-f) stolen/
ストーン /(n) stone/
ストーンウォッシュ /(n) stone wash/(P)/
ストーンウオッシュ /(n) stonewashed/
ストーングラブ /(n) stone crab/
ストーンサークル /(n) stone circle/
ストーヴ /(n) stove/
ストア /(n) (1) store/(2) stoa (classical Greek colonnade or portico)/(P)/
ストアー /(n) (1) store/
ストアコンセプト /(n) store concept/
ストアコントローラ /(n) (comp) store controller/
ストアドプロシージャ /(n) (comp) stored procedure/
ストアドライバ /(n) (comp) store driver/
ストアブランド /(n) store brand/
ストア学派 [ストアがくは] /(n) Stoic school/the Stoics/
ストア哲学 [ストアてつがく] /(n) Stoic philosophy/
ストイシズム /(n) stoicism/
ストイチズム /(n) Stoicism/(P)/
ストイック /(adj-na,n) Stoic/(P)/
ストッカー /(n) stocker/
ストッキング /(n) stockings/(P)/
ストック /(n,vs) (1) stock/(n) (2) ski pole (ger: Stock)/(P)/
ストックオプション /(n) stock option/
ストックカー /(n) stock car/
ストックカーレース /(n) stock car race/
ストックコントロール /(n) stock control/
ストックブローカー /(n) stockbroker/
ストックホルダー /(n) stockholder/
ストックホルム /(n) Stockholm/(P)/
ストックホルム症候群 [ストックホルムしょうこうぐん] /(n) Stockholm syndrome/
ストックポイント /(n) stock point/
ストックヤード /(n) stockyard/
ストッパー /(n) stopper/(P)/
ストップ /(n,vs) stop/(P)/
ストップウォッチ /(n) stopwatch/(P)/
ストップウオッチ /(n) stopwatch/
ストップオーバー /(n) stopover/
ストップバルブ /(n) stop valve/
ストップビット /(n) (comp) stop bit/
ストップモーション /(n) stop motion/
ストップライト /(n) stoplight/
ストップ信号 [ストップしんごう] /(n) (comp) stop signal/
ストパー /(n) (abbr) straight perm/
ストマイ /(n) (abbr) streptomycin/
ストマック /(n) stomach/
ストライカー /(n) striker/(P)/
ストライキ /(n,vs) strike (i.e. industrial action)/(P)/
ストライク /(n) strike (e.g. with bowling, baseball)/(P)/
ストライクゾーン /(n) strike zone (baseball)/
ストライド /(n) stride/
ストライピング /(n) (comp) striping/
ストライプ /(n) stripe/(P)/
ストライプド・バス /(n) striped bass (Morone saxatilis)/Atlantic striped bass/stripers/linesiders/pimpfish/rockfish/
ストライプドバス /(n) striped bass (Morone saxatilis)/Atlantic striped bass/stripers/linesiders/pimpfish/rockfish/
ストライプドフィンサージャンフィッシュ /(n) striped-fin surgeonfish (Ctenochaetus marginatus, species of bristletooth tangs from the Pacific)/blue-spotted bristletooth/
ストライプドフィンサージョンフィッシュ /(n) striped-fin surgeonfish (Ctenochaetus marginatus, species of bristletooth tangs from the Pacific)/blue-spotted bristletooth/
ストライプヘッドドワーフゴビー /(n) stripehead goby (Trimma striatum, was Trimma striata)/stripehead dwarf goby (an Indo-West Pacific fish species)/
ストライプメディアセット /(n) (comp) striped media set/
ストラクチャ /(n) structure/
ストラクチャー /(n) structure/
ストラックアウト /(n) strikeout (baseball)/
ストラッグル /(n) struggle/
ストラップ /(n) strap (often decorative for key-holder, mobile phones, etc.)/
ストラップオプション /(n) (comp) strapping option/jumper option/
ストラップタイプ /(n) type of scuba fin with adjustable straps/
ストラップレス /(adj-no) strapless/
ストラテジー /(n) strategy/
ストラディバリ /(n) violin made by Stradivari/Stradivarius violin/
ストラドリングストック /(n) straddling stocks/
ストリーカー /(n) streaker/(P)/
ストリーキング /(n) streaking/
ストリークド・スパインフット /(n) streaked spinefoot (Siganus javus, species of Indo-Pacific rabbitfish)/bluespotted spinefoot/Java rabbitfish/
ストリークドスパインフット /(n) streaked spinefoot (Siganus javus, species of Indo-Pacific rabbitfish)/bluespotted spinefoot/Java rabbitfish/
ストリート /(n) street/(P)/
ストリートウォーカー /(n) streetwalker/
ストリートエンゼル /(n) street angel/
ストリートオルガン /(n) street organ/
ストリートカー /(n) streetcar/
ストリートガール /(n) street girl/
ストリートギャング /(n) street gang/
ストリートチルドレン /(n) street children/
ストリートビュー /(n) (Google) street view/
ストリートファーニチャー /(n) street furniture/
ストリートファーニチュア /(n) street furniture/
ストリーマ /(n) streamer/streaming tape drive/
ストリーマー /(n) streamer/streaming tape drive/
ストリーマーフライ /(n) streamer fly/
ストリーミング /(n) streaming/
ストリーミングＳＩＭＤ拡張命令 [ストリーミングエスアイエムディーかくちょうめいれい] /(n) (comp) Streaming SIMD Extensions/SSE/
ストリーミングサーバー /(n) streaming server/
ストリーミングテープ /(n) (comp) streaming tape/
ストリーミングテープ駆動機構 [ストリーミングテープくどうきこう] /(n) (comp) streaming tape drive/streamer/
ストリーミングビデオ /(n) streaming video/
ストリーミングミュージック /(n) streaming music/
ストリーム /(n) stream/
ストリームライン /(n) streamline/
ストリームワークス /(n) (comp) StreamWorks/
ストリアータゴビー /(n) stripehead goby (Trimma striatum, was Trimma striata)/stripehead dwarf goby (an Indo-West Pacific fish species)/
ストリキニーネ /(n) strychnine/
ストリキニン /(n) strychnine/
ストリッパー /(n) stripper/(P)/
ストリップ /(n) strip/(P)/
ストリップガール /(n) strip girl/
ストリップショー /(n) strip show/striptease/
ストリップティーズ /(n) striptease/
ストリップミル /(n) strip mill/
ストリップライト /(n) striplight/
ストリング /(n) string/
ストリングオーケストラ /(n) string orchestra/
ストリングス /(n) strings/
ストリング変数 [ストリングへんすう] /(n) (comp) string variable/
ストレージ /(n) (comp) storage/
ストレージベイ /(n) (comp) storage bay/
ストレージ構造 [ストレージこうぞう] /(n) (comp) storage structure/
ストレート /(adj-na,n) (1) straight/(2) straightforward/direct/straight out/blunt/(P)/
ストレートケーブル /(n) (comp) straight cable/
ストレートコース /(n) straight course/
ストレートパーマ /(n) straight permanent wave (wasei: straight perm)/
ストレートパンチ /(n) straight punch/
ストレートフラッシュ /(n) straight flush/
ストレーナー /(n) (1) strainer/colander/(2) cocktail strainer/
ストレーンゲージ /(n) strain gauge/
ストレイン /(n) (1) strain/effort/tension/tiredness/(2) tendancy/lineage/race/inheritance/
ストレス /(n) stress/(P)/
ストレスコントロール /(n) stress control/
ストレステスト /(n) (comp) stress test/
ストレス解消 [ストレスかいしょう] /(n) stress reduction/
ストレス対処法 [ストレスたいしょほう] /(n) method of dealing or coping with stress/
ストレッサー /(n) stressor/
ストレッチ /(n) stretch/(P)/
ストレッチパンツ /(n) stretch pants/
ストレッチャー /(n) stretcher/
ストレッチング /(n) stretching/
ストレッチ織物 [ストレッチおりもの] /(n) stretch fabric/
ストレッチ体操 [ストレッチたいそう] /(n) stretching exercise/
ストレプトカーパス /(n) streptocarpus (lat:)/
ストレプトマイシン /(n) streptomycin/
ストレプトマイシン難聴 [ストレプトマイシンなんちょう] /(n) streptomycin deafness/
ストレリチア /(n) bird of paradise flower (lat: Strelitzia)/Strelitzia reginae/
ストレングス /(n) strength/
ストレンジアトラクター /(n) strange attractor/
ストレンジネス /(n) strangeness (in nuclear physics)/
ストレンジャー /(n) stranger/
ストロー /(n) straw/(P)/
ストローク /(n) stroke/(P)/
ストロークフォント /(n) (comp) stroke font/
ストロークプレー /(n) stroke play/
ストローク入力装置 [ストロークにゅうりょくそうち] /(n) (comp) stroke device/
ストローク文字発生器 [ストロークもじはっせいき] /(n) (comp) stroke character generator/
ストローハット /(n) straw hat/
ストローブ /(n) strobe/
ストローボート /(n) (comp) straw vote/straw ballot/
ストロー級 [ストローきゅう] /(n) straw weight/
ストロップ /(n) strop/
ストロファンチン /(n) strophanthin/
ストロフルス /(n) strophulus/red gum (skin condition primarily affecting children)/
ストロベリー /(n) strawberry/(P)/
ストロボ /(n,adj-no) stroboscope (wasei: strobo)/strobe lamp/stroboscopic lamp/(P)/
ストロボスコープ /(n) stroboscope/
ストロマ /(n) stroma/
ストロマトライト /(n) stromatolite/
ストロン /(n) (botanical) stolon/
ストロング /(n) strong/
ストロンチウム /(n) strontium (Sr)/(P)/
ストロンチウム９０ [ストロンチウムきゅうじゅう] /(n) strontium 90 (Sr-90)/
ストロンチウム九〇 [ストロンチウムきゅうじゅう] /(n) strontium 90 (Sr-90)/
ストロンボリ式噴火 [ストロンボリしきふんか] /(n) Strombolian eruption/
ストン /(adv-to,adv) (1) (on-mim) (with a) thump/(2) (on-mim) (hanging) straight down/
スト権 [ストけん] /(n) right to strike/
スト破り [ストやぶり] /(n) strikebreaker/scab/strikebreaking/
スナイパー /(n) sniper/
スナオオトカゲ /(n) Gould's monitor (Varanus gouldii, species of carnivorous monitor lizard native to Australia)/sand goanna/sand monitor/Gould's goanna/
スナガニ /(n) (uk) Ocypode stimpsoni (species of ghost crab, sand crab or white crab)/
スナック /(n) (1) snack/(2) snack bar/(P)/
スナックバー /(n) snack bar/
スナック菓子 [スナックがし] /(n) snack food (esp. potato chips, popcorn, etc.)/munchie/nosh/
スナック麺 [スナックめん] /(n) snack noodle/
スナッチ /(n) snatch/(P)/
スナッフ /(n) snuff/
スナッフボトル /(n) snuff bottle/
スナップ /(n) (1) snap/(2) (abbr) snapshot (esp. of people)/(P)/
スナップイン /(n) (comp) snap-in/
スナップゲージ /(n) snap gauge/
スナップショット /(n) snapshot/
スナップショットスライド /(n) (comp) snapshot slide/
スナップリング /(n) snap ring/circlip/
スナップ写真 [スナップしゃしん] /(n) snapshot (esp. of people)/
スナドリネコ /(n) (uk) fishing cat (Prionailurus viverrinus)/
スナネズミ /(n) (uk) Mongolian gerbil (Meriones unguiculatus)/Mongolian jird/
スナノミ /(n) (uk) chigoe/sand flea/chigger (Tunga penetrans)/
スナメリ /(n) (uk) black finless porpoise (Neophocaena phocaenoides)/
スナヤツメ /(n) (uk) Far Eastern brook lamprey (Lethenteron reissneri)/sand lamprey (species found in the Northwest Pacific)/
スニーカー /(n) sneaker/(P)/
スニークプレビュー /(n) sneak preview/
スニーダー /(n) (comp) CNIDR/
スニッファ /(n) (comp) packet analyzer/packet sniffer/
スニファ /(n) (comp) sniffer/
スヌーカー /(n) snooker/(P)/
スヌーピー /(n) snoopy/(P)/
スネーク /(n) snake/(P)/
スネークアウト /(n) sneak out/
スネークイン /(n) sneak in/
スネークウッド /(n) snakewood/
スネークスキン /(n) snakeskin/
スネークダンス /(n) snake dance/
スネアドラム /(n) snare drum/
スネルの法則 [スネルのほうそく] /(n) Snell's law/
スノー /(n) snow/(P)/
スノーガン /(n) snow gun/
スノーケリング /(n) snorkeling/
スノーケル /(n) snorkel/
スノーサーフィン /(n) snow surfing/
スノータイヤ /(n) snow tire (tyre)/
スノーダンプ /(n) hand-held snow shovel (wasei: snow-dump)/snow scoop/
スノードロップ /(n) snowdrop (Galanthus spp.)/
スノーフレーク /(n) snowflake/
スノーブーツ /(n) snow boots/
スノーブリッジ /(n) snowbridge/
スノープラウ /(n) snow plow/snow plough/
スノープロウ /(n) snow plow/snow plough/
スノーホワイト /(n) snow white/
スノーボーディング /(n) snowboarding/
スノーボート /(n) snow boat/(P)/
スノーボード /(n,vs) snowboard/snowboarding/
スノーモービル /(n) snow mobile/
スノッブ /(n) snob/
スノビズム /(n) snobbism/
スノボ /(n) (abbr) snowboard/
スノボル /(n) (comp) SNOBOL/
スハマソウ /(n) (uk) hepatica (Hepatica nobilis var. japonica f. variegata)/liverleaf/
スバル /(n) Subaru (company)/
スバルバール /(n) Svalbard/
スパ /(n) (1) (abbr) spa/(2) spaghetti/
スパー /(n) spar/
スパーギア /(n) spur gear/
スパーギヤ /(n) spur gear/
スパーク /(n,vs) (1) spark/(n) (2) SPARC/(P)/
スパークプラグ /(n) spark plug/
スパークリングワイン /(n) sparkling wine/
スパークル /(n) (comp) sparkle/
スパーテル /(n) spatula/
スパート /(n,vs) spurt/(P)/
スパームバンク /(n) sperm bank/
スパーラ /(n) sparrer (one who spars)/
スパーリング /(n,vs) sparring/(P)/
スパーリングパートナー /(n) sparring partner/
スパイ /(n,vs) spy/(P)/
スパイウェア /(n) (comp) spyware/
スパイウエア /(n) (comp) spyware/
スパイカー /(n) spiker/
スパイキーカット /(n) spiky cut/
スパイク /(n,vs) spike/(P)/
スパイクシューズ /(n) spiked shoes/
スパイクタイヤ /(n) studded snow tire (tyre) (wasei: spike tire)/
スパイクヒール /(n) spike heel/stiletto heel/
スパイシー /(adj-na) spicy/
スパイシースパイス /(n) spicy spice/
スパイス /(n) spice/(P)/
スパイダ /(n) (comp) spider/
スパイダー /(n) spider/
スパイダーウェブ /(n) spider web/
スパイラル /(n) spiral/(P)/
スパイラルバンド雲 [スパイラルバンドうん] /(n) spiral band/
スパイロメーター /(n) spirometer/
スパイ衛星 [スパイえいせい] /(n) reconnaissance satellite/
スパイ行為 [スパイこうい] /(n) espionage/
スパイ罪 [スパイざい] /(n) crime of espionage/
スパゲッティ /(n) spaghetti (ita:)/(P)/
スパゲッティーニ /(n) spaghettini (ita:)/
スパゲッティウエスタン /(n) spaghetti Western (film)/
スパゲッティコード /(n) (comp) spaghetti code/
スパゲッティプログラム /(n) (comp) spaghetti program/
スパゲッティミートソース /(n) spaghetti with meat sauce/
スパゲティ /(n) spaghetti (ita:)/(P)/
スパゲティー /(n) spaghetti (ita:)/
スパコン /(n) (comp) (abbr) supercomputer/
スパシーボ /(exp) thank you (rus: spasibo)/
スパズム /(n) spasm/
スパチュラ /(n) spatula/
スパッタリング /(n) (1) ink spattering/(2) sputtering (semiconductor manuf.)/(P)/
スパッタ法 [スパッタほう] /(n) sputtering (semiconductor manuf.)/sputtering method/
スパッツ /(n) gaiters/leggings/tights/spats/(P)/
スパッツタイツ /(n) tights (wasei: spats tights)/footless tights/
スパット /(n) spot/
スパナ /(n) spanner/wrench/
スパニエル /(n) spaniel/
スパニッシュ /(n) Spanish/
スパニッシュアメリカ /(n) Spanish America/
スパニッシュフライ /(n) (1) Spanish fly (Lytta vesicatoria)/(2) Spanish fly (crushed dried Spanish flies sometimes used as an aphrodisiac)/cantharides/
スパニッシュホッグフィッシュ /(n) Spanish hogfish (Bodianus rufus)/
スパニング /(n) (comp) spanning/
スパニングツリー /(n) (comp) spanning tree/
スパファク /(n) (abbr) student slang for the restaurant chain "Spaghetti Factory"/
スパミング /(n) (comp) spamming (sending unwanted email, messages)/
スパム /(n) (1) Spam (trademarked luncheon meat, made mostly from ham)/(2) (comp) spam (unsolicited email messages)/(P)/
スパムブロック /(n) (comp) spamblock/
スパムメール /(n) (comp) spam mail/
スパルタ /(n,adj-no) (1) (abbr) Sparta/(2) hard education or training/
スパルタキアード /(n) Spartacus Games (Socialist Olympics) (rus: spartakiada)/
スパルタ教育 [スパルタきょういく] /(n) hard education or training/
スパン /(n) span/(P)/
スパンオブコントロール /(n) span of control/
スパングル /(n) spangle/
スパンコール /(n) spangle/
スパンジ /(ik) (n) sponge/
スパンデックス /(n) spandex/
スパンレーヨン /(n) spun rayon/
スピーカ /(n) speaker/
スピーカー /(n) speaker/(P)/
スピーカーフォン /(n) speakerphone/
スピーカーホン /(n) speakerphone/
スピーカーユニット /(n) speaker unit/
スピーカフォン /(n) speakerphone/
スピーキング /(n) speaking (generally related to learning English)/
スピーク /(n,vs) speak/speaking/
スピーチ /(n) speech/(P)/
スピーチ・コンテスト /(n) speech contest/
スピーチコンテスト /(n) speech contest/
スピーチセラピー /(n) speech therapy/
スピーチセラピスト /(n) speech therapist/
スピーチライター /(n) speechwriter/
スピーディ /(adj-na,n) speedy/
スピーディー /(adj-na,n) speedy/(P)/
スピード /(n) speed/(P)/
スピードアップ /(n,vs) speed up/(P)/
スピードウェー /(n) speedway/
スピードウェイ /(n) speedway/(P)/
スピードウエー /(n) speedway/(P)/
スピードウエイ /(n) speedway/
スピードガン /(n) speed-gun/
スピードスケート /(n) speed skating/
スピードスプレーヤー /(n) speed sprayer/
スピードダウン /(n,vs) slowing down (wasei: speed down)/
スピードプレー /(n) speed play/
スピードボート /(n) speedboat/
スピードボール /(n) speed ball/fastball (baseball)/
スピードメーター /(n) speedometer/
スピードリミット /(n) speed limit/
スピード違反 [スピードいはん] /(n) exceeding the speed limit/speeding/
スピード線 [スピードせん] /(n) speed lines/lines drawn to represent motion/
スピア /(n) spear/(P)/
スピアートゥース・シャーク /(n) speartooth shark (Glyphis glyphis, species of fresh water requiem shark from the western Pacific known only from the original description of 1839)/
スピアートゥースシャーク /(n) speartooth shark (Glyphis glyphis, species of fresh water requiem shark from the western Pacific known only from the original description of 1839)/
スピアフィッシング /(n) spear fishing/
スピコン /(n) (abbr) speed controller/
スピッカート /(n) spiccato (ita:)/
スピッツ /(n) pomeranian (dog) (ger: Spitz)/
スピットボール /(n) spitball/
スピナー /(n) spinner/
スピナー・シャーク /(n) spinner shark (Carcharhinus brevipinna)/long-nose grey shark/
スピナーシャーク /(n) spinner shark (Carcharhinus brevipinna)/long-nose grey shark/
スピニングリール /(n) spinning reel/
スピネーカー /(n) spinnaker/
スピネット /(n) spinet/
スピネル /(n) spinel/
スピノザ主義 [スピノザしゅぎ] /(n) Spinozism/
スピノル /(n) spinor/
スピリチャリティー /(ik) (n) spirituality/
スピリチュアリズム /(n) spiritualism/
スピリチュアリティ /(n) spirituality/
スピリチュアル /(adj-na) (1) spiritual/(n) (2) religious song/spiritual/
スピリッツ /(n) spirits/
スピリット /(n) spirit/(P)/
スピリトーソ /(adj-f) spiritoso (ita:)/
スピリトーゾ /(ik) (adj-f) spiritoso (ita:)/
スピルオーバー /(n) spillover/
スピルラ /(n) spirula/
スピルリナ /(n) Spirulina (algae)/(P)/
スピロヘータ /(n) (1) spirochaete (lat: Spirochaeta)/spirochete/(2) (col) Treponema pallidum (species of spirochaete that causes syphilis, bejel, pinta, and yaws)/
スピン /(n,vs) spin/(P)/
スピンアウト /(n) spin out/
スピンイン /(n) (comp) spin-in/
スピンオフ /(n) spin-off/spinoff/
スピングラス /(n) spin-glass/
スピンターン /(n) spin turn/
スピンドル /(n) (comp) spindle/
スピンドル油 [スピンドルゆ] /(n) spindle oil/
スフ /(n) (abbr) staple fiber/staple fibre/
スフィンクス /(n) (uk) Sphinx/(P)/
スフィンゴ脂質 [スフィンゴししつ] /(n) sphingolipid/
スフェロメーター /(n) spherometer/
スフォルツァンド /(n) sforzando/sforzato/
スフレ /(n) souffle (fre:)/
スブエコ /(n) (abbr) sub-economizer (electronics)/sub-economiser/
スプートニク /(n) Sputnik/
スプーラ /(n) spooler/
スプーリング /(n) (comp) spooling/
スプール /(n,vs) spool/
スプーン /(n) spoon/(P)/
スプーンフィーディング /(n) spoon-feeding/
スプーンレース /(n) spoon race (i.e. egg and spoon race)/
スプーン曲げ [スプーンまげ] /(n) spoon bending/
スプライサー /(n) splicer/
スプライシング /(n) splicing (genetics)/
スプライス /(n,vs) splice/
スプライト /(n) (comp) sprite/
スプライン /(n) spline/
スプライン曲線 [スプラインきょくせん] /(n) (comp) spline curve/
スプライン曲面 [スプラインきょくめん] /(n) (comp) spline surface/
スプライン軸 [スプラインじく] /(n) spline shaft/
スプライン補完 [スプラインほかん] /(n) (comp) spline interpolation/
スプラッシャー /(n) splasher/(P)/
スプラッシュ /(n) splash/
スプラッタームービー /(n) splatter movie/
スプラッター映画 [スプラッターえいが] /(n) splatter movie/
スプラッタムービー /(n) splatter movie/
スプラッタ映画 [スプラッタえいが] /(n) splatter movie/
スプリッター /(n) splitter (device that splits and reassembles signals from different frequencies)/
スプリッツァー /(n) spritzer/
スプリット /(n) split/(P)/
スプリットタイム /(n) split time/
スプリットタン /(n) tongue splitting/forked tongue/
スプリットフィンガーファーストボール /(n) split fingered fast ball/
スプリットランテスト /(n) split-run test/
スプリンクラー /(n) sprinkler/(P)/
スプリンクラー設備 [スプリンクラーせつび] /(n) sprinkler system/
スプリング /(n) spring/(P)/
スプリングキャンプ /(n) spring camp/
スプリングコート /(n) spring coat/
スプリングボード /(n) springboard/
スプリンター /(n) sprinter/(P)/
スプリント /(n) (1) sprint/(2) splint/(P)/
スプリントカー /(n) sprint car/
スプリントレース /(n) sprint race/
スプルース /(n) spruce/
スプレー /(n,vs) spray/(P)/
スプレーガン /(n) spray gun/
スプレードライ /(n) spray-dry/
スプレーヤー /(n) sprayer/
スプレッド /(n) spread/
スプレッドシート /(n) (comp) spreadsheet/
スプレッドシートプログラム /(n) (comp) spreadsheet program/
スプロール /(n) sprawl/
スプロール現象 [スプロールげんしょう] /(n) sprawl/
スプロケット /(n) sprocket/
スプロケットフィード /(n) (comp) sprocket feed/
スプン /(n) spoon/
スベタ /(n) sword (por: espada)/
スベリヒユ /(n) (uk) common purslane (Portulaca oleracea)/
スペ /(n) (abbr) insert a space (editor's mark)/
スペーサ /(n) (comp) spacer/
スペーシング /(n) spacing/(P)/
スペース /(n) space/(P)/
スペースインベーダー /(n) space invaders/
スペースオペラ /(n) space opera/
スペースガン /(n) space gun/
スペースキー /(n) (comp) space bar/space key/
スペースクラフト /(n) spacecraft/
スペースコロニー /(n) space colony/
スペースシップ /(n) space ship/
スペースシャトル /(n) space shuttle/(P)/
スペーステレスコープ /(n) space telescope/
スペーストラベル /(n) space travel/
スペースファンタジー /(n) space fantasy/
スペースフレーム /(n) space frame/
スペースプレーン /(n) space plane/
スペースマン /(n) spaceman/
スペースラブ /(n) Space Lab/
スペード /(n) spade/
スペア /(n) (1) spare/(2) spear/(P)/
スペアキー /(n) spare key/
スペアシート /(n) spare seat/
スペアタイヤ /(n) spare tire (tyre)/
スペアナ /(n) (abbr) spectrum analyzer/
スペアミント /(n) spearmint/
スペアリブ /(n) spare rib/
スペア部品 [スペアぶひん] /(n) (comp) spare part/
スペイン /(n,adj-no) (uk) Spain/
スペインダイ /(n) (uk) red sea bream (Pagellus bogaraveo)/
スペイン継承戦争 [スペインけいしょうせんそう] /(n) War of the Spanish Succession (1701-1714)/
スペイン語 [スペインご] /(n) Spanish (language)/
スペイン語圏 [スペインごけん] /(n) Spanish-speaking world/Spanish-speaking countries/
スペイン人 [スペインじん] /(n) Spaniard/
スペイン鯛 [スペインだい] /(n) (uk) red sea bream (Pagellus bogaraveo)/
スペイン内戦 [スペインないせん] /(n) Spanish Civil War/
スペイン風邪 [スペインかぜ] /(n) Spanish influenza/
スペイン料理 [スペインりょうり] /(n) Spanish food/Spanish cooking/
スペイン領ギニア [スペインりょうギニア] /(n) Spanish Guinea/
スペイン領サハラ [スペインりょうサハラ] /(n) Spanish Sahara/
スペキュレーション /(n) speculation/
スペキュレーター /(n) speculator/
スペクター /(n) spectre/specter/
スペクタクル /(n) spectacle/(P)/
スペクタクル映画 [スペクタクルえいが] /(n) spectacular film/
スペクトラム /(n) spectrum/
スペクトラム拡散通信 [スペクトラムかくさんつうしん] /(n) (comp) spread spectrum communication/
スペクトル /(n) spectrum (radio, etc.) (fre: spectre)/spectral/spectra/(P)/
スペクトルバンド /(n) (comp) spectral band/
スペクトル型 [スペクトルがた] /(n) spectral class/
スペクトル系列 [スペクトルけいれつ] /(n) spectral series/
スペクトル半値幅 [スペクトルはんねはば] /(n) (comp) FWHM/full width half maximum/spectral width/
スペクトル幅 [スペクトルはば] /(n) (comp) FWHM/full width half maximum/spectral width/
スペクトル分析 [スペクトルぶんせき] /(n) spectrum analysis/
スペクトログラフ /(n) spectrograph/
スペクトログラム /(n) spectrogram/
スペクトロメーター /(n) spectrometer/
スペシャリスト /(n) specialist/(P)/
スペシャル /(adj-na,n) special/(P)/
スペシャルオリンピックス /(n) Special Olympics/
スペシャルゲスト /(n) guest performer (wasei: special guest)/
スペシャルティ・ダイバー /(n) specialty diver/
スペシャルティーカー /(n) specialty car/
スペシャルティダイバー /(n) specialty diver/
スペシャルライセンスプレーヤー /(n) special license player (licence)/
スペック /(n) specification/
スペックマーク /(n) (comp) SPECmark/
スペックル干渉計 [スペックルかんしょうけい] /(n) speckle interferometer/
スペツナズ /(n) special purpose (troops) (rus: spetsnaz)/
スペランカー /(n) spelunker/
スペリオリティーコンプレックス /(n) superiority complex/
スペリング /(n) spelling/
スペリングコンテスト /(n) spelling bee/
スペル /(n) (abbr) spelling/(P)/
スペルアウト /(vs) spell out/
スペルチェッカ /(n) (comp) spelling checker/
スペルチェッカー /(n) (comp) spelling checker/
スペルチェック /(n,vs) spellcheck/spell checking/
スペルマ /(n) (col) sperm (ger:)/semen/cum/
スペルミス /(n) spelling mistake (usually in a foreign language) (wasei: spell miss)/
スペンサーオオトカゲ /(n) Spencer's monitor (Varanus spenceri, species of carnivorous monitor lizard native to northern Australia)/Spencer's goanna/
スペンサージャケット /(n) spencer jacket/(P)/
スポーク /(n) spoke/(P)/
スポークスウーマン /(n) spokeswoman/
スポークスパーソン /(n) spokesperson/
スポークスマン /(n) spokesman/(P)/
スポークンタイトル /(n) spoken title/
スポーツ /(n,adj-no) sport/sports/(P)/
スポーツ・ファン /(n) sports fan/
スポーツイベント /(n) sports event/
スポーツウーマン /(n) sportswoman/
スポーツウェア /(n) sportswear/
スポーツウエア /(n) sportswear/
スポーツカー /(n) sports car/(P)/
スポーツキャスター /(n) sportscaster/
スポーツクラブ /(n) sports club/
スポーツサイエンス /(n) sports science/
スポーツシャツ /(n) sports shirt/sport shirt/
スポーツシューズ /(n) sports shoes/
スポーツセンター /(n) sports center/sports centre/
スポーツテスト /(n) sports test/
スポーツトレーナー /(n) sports trainer/
スポーツドリンク /(n) sports drink/
スポーツバッグ /(n) sports bag/
スポーツファン /(n) sports fan/
スポーツフェアー /(n) sports fair/
スポーツプログラマー /(n) sports programmer/
スポーツマーケティング /(n) sports marketing/
スポーツマン /(n) sportsman/(P)/
スポーツマンシップ /(n) sportsmanship/
スポーツマン精神 [スポーツマンせいしん] /(n) sportsmanship/
スポーツライター /(n) sportswriter/
スポーツ医学 [スポーツいがく] /(n) sports medicine/
スポーツ心臓 [スポーツしんぞう] /(n) athlete's heart/
スポーツ新聞 [スポーツしんぶん] /(n) sporting newspaper/(P)/
スポーツ選手 [スポーツせんしゅ] /(n) athlete/
スポーツ万能 [スポーツばんのう] /(n,adj-na,adj-no) athletic/good at sports/
スポーティー /(adj-na,n) sporty/(P)/
スポイト /(n) syringe (dut: spuit)/dropper/
スポイラー /(n) spoiler/
スポイル /(n,vs) spoil/
スポイルズシステム /(n) spoils system/
スポクラ /(n) (abbr) sports club/
スポッティドタン /(n) spotted tang (Zebrasoma gemmatum, species of Western Indian Ocean tang)/gem surgeonfish/
スポッティドトビー /(n) Hawaiian whitespotted toby (Canthigaster jactator)/Hawaiian pufferfish/
スポッティドバタフライフィッシュ /(n) peppered butterflyfish (Chaetodon guttatissimus)/spotted butterflyfish/
スポッティドラットフィッシュ /(n) spotted ratfish (Hydrolagus colliei, a shortnose chimaera found in the Eastern Pacific)/
スポッテッド・ガー /(n) spotted gar (Lepisosteus oculatus)/
スポッテッド・タン /(n) spotted tang (Zebrasoma gemmatum, species of Western Indian Ocean tang)/gem surgeonfish/
スポッテッドガー /(n) spotted gar (Lepisosteus oculatus)/
スポッテッドシャープノーズパファー /(n) spotted sharpnosed puffer (Canthigaster punctatissima)/
スポッテッドスキャット /(n) spotted scat (Scatophagus argus)/
スポッテッドバタフライフィッシュ /(n) peppered butterflyfish (Chaetodon guttatissimus)/spotted butterflyfish/
スポット /(n,adj-no) (1) spot/(2) (abbr) spot advertisement/spot advertising/(3) (abbr) spot news/(4) (abbr) spotlight/(P)/
スポットアド /(n) spot ad/
スポットアナウンス /(n) spot announcement/
スポットカラー /(n) (comp) spot color/
スポットキャンペーン /(n) spot campaign/
スポットコマーシャル /(n) spot commercial/
スポットチェック /(n) spot check/
スポットテールバタフライフィッシュ /(n) spot-tail butterflyfish (Chaetodon ocellicaudus)/
スポットニュース /(n) spot news/
スポットネイプバタフライフィッシュ /(n) spot-nape butterflyfish (Chaetodon oxycephalus)/
スポットフィンバタフライフィッシュ /(n) spotfin butterflyfish (Chaetodon ocellatus)/
スポットフィンホッグフィッシュ /(n) spotfin hogfish (Bodianus pulchellus)/
スポットライト /(n) spotlight/(P)/
スポット価格 [スポットかかく] /(n) spot price/
スポット原油 [スポットげんゆ] /(n) spot (marketed) crude oil/
スポット光源 [スポットこうげん] /(n) (comp) spot light source/
スポット広告 [スポットこうこく] /(n) spot advertisement/spot advertising/spot ad/
スポット穿孔機 [スポットせんこうき] /(n) (comp) spot punch/
スポット投信 [スポットとうしん] /(n) spot investment trust/
スポット溶接 [スポットようせつ] /(n) spot welding/
スポドリ /(n) (abbr) sports drink/
スポンサ /(n) sponsor/
スポンサー /(n) sponsor/(P)/
スポンサーシップマネー /(n) sponsorship money/
スポンジ /(n) sponge/(P)/
スポンジケーキ /(n) sponge cake/(P)/
スポンジゴム /(n) sponge rubber/
スポンジボール /(n) soft ball/sponge ball/
スポンジラバー /(n) sponge rubber/
スポンジ状 [スポンジじょう] /(n) (1) sponge/(adj-no) (2) spongy/spongiform/
スポ根 [スポこん] /(n) heart (athletics)/tenacity/
スマート /(adj-na,n) (1) smart/stylish/(2) slim/(P)/
スマートカード /(n) smart card/
スマートドライブ /(n) (comp) SMARTDRV/
スマートビル /(n) smart building/intelligent building/
スマートフォン /(n) (comp) smart phone/
スマートメディア /(n) (comp) SmartMedia/
スマートメディアフォーラム /(n) (comp) smartmedia forum/
スマート爆弾 [スマートばくだん] /(n) smart bomb/
スマーフ /(n) smurf/
スマイリー /(n) (comp) smiley (face made up of characters)/emoticon/
スマイリーフェイス /(n) (comp) smiley faces/
スマイリーマーク /(n) (comp) smiley mark/
スマイル /(n) smile/(P)/
スマイルマーク /(n) (comp) smiley (wasei: smile mark)/
スマック /(n) smack/
スマッシュ /(n,vs) smash/(P)/
スマッシング /(n,vs) smashing/
スマトラサイ /(n) Sumatran rhinoceros (Dicerorhinus sumatrensis)/
スマトラ沖地震 [スマトラおきじしん] /(n) Sumatra-Andaman earthquake (2004, resulting in the Indian Ocean tsunami)/
スマトラ犀 [スマトラさい] /(n) Sumatran rhinoceros (Dicerorhinus sumatrensis)/
スマドラ /(n) smart drug/nootropic/
スマラン /(exp) (col) Excuse me (coll. form of sumaranai)/
スミアー /(n) smear/
スミイカ /(n) (1) (uk) golden cuttlefish (Sepia esculenta)/(2) Japanese spineless cuttlefish (Sepiella japonica)/
スミウキゴリ /(n) (uk) floating goby (Gymnogobius petschiliensis)/
スミスィズバタフライフィッシュ /(n) Smith's butterflyfish (Chaetodon smithi)/
スミスズトビー /(n) bicolored toby (Canthigaster smithae)/Smith's pufferfish/
スミスネズミ /(n) Smith's red-backed vole (Eothenomys smithii)/Smith's vole/
スミソニアン /(n) Smithsonian Institution/(P)/
スミツキイソハゼ /(n) infulata pygmy goby (Eviota infulata)/shoulder-mark pygmy goby/
スミツキザメ /(n) (uk) whitecheek shark (Carcharhinus dussumieri, species of the Indo-West Pacific)/
スミツキトノサマダイ /(n) bluespot butterflyfish (Chaetodon plebeius)/blueblotch butterflyfish/
スミツキベラ /(n) axilspot hogfish (Bodianus axillaris)/
スミナガシ /(n) (uk) Asian constable (species of butterfly, Dichorragia nesimachus)/
スミレ /(n) (uk) violet (any flower of genus Viola, esp. the Fuji dawn, Viola mandshurica)/
スミレ科 [スミレか] /(n) Violaceae (the violet family of plants)/
スムージー /(n) smoothie/
スムージング /(n) (comp) smoothing/
スムージングオペレーション /(n) smoothing operation/
スムース /(adj-na,n) smooth/
スムーズ /(adj-na,n) smooth/(P)/
スムーズ・ハンマーヘッド /(n) smooth hammerhead (Sphyrna zygaena, species of hammerhead shark)/
スムーズシェーディング /(n) (comp) smooth shading/
スムーズスクロール /(n) (comp) smooth scroll/
スムーズハウンド /(n) smooth-hound (Mustelus mustelus, houndshark found in the Eastern Atlantic and Mediterranean)/
スムーズハンマーヘッド /(n) smooth hammerhead (Sphyrna zygaena, species of hammerhead shark)/
スメア /(n,vs) smear/
スメアー /(n,vs) smear/
スメクチック /(n) smectic/
スメグマ /(n) smegma/
スメロビジョン /(n) smellovision/
スモーカー /(n) smoker/(P)/
スモーガスボード /(n) smorgasbord (swe:)/
スモーキング /(n) smoking/
スモーキングジャケット /(n) smoking jacket/
スモーク /(n) smoke/
スモークサーモン /(n) smoked salmon/
スモークチーズ /(n) smoked cheese/
スモークハム /(n) smoked ham/
スモークハラスメント /(n) harrassment by smoking (wasei: smoke harrassment)/
スモールアイ・ハンマーヘッド /(n) smalleye hammerhead (Sphyrna tudes, species of hammerhead shark common in the western Atlantic)/
スモールアイ・ラビットフィッシュ /(n) smalleyed rabbitfish (Hydrolagus affinis)/Atlantic chimaera/deepwater chimaera/
スモールアイハンマーヘッド /(n) smalleye hammerhead (Sphyrna tudes, species of hammerhead shark common in the western Atlantic)/
スモールアイラビットフィッシュ /(n) smalleyed rabbitfish (Hydrolagus affinis)/Atlantic chimaera/deepwater chimaera/
スモールキャピタル /(n) (comp) small capital/
スモールトーク /(n) (comp) Smalltalk/
スモールビジネス /(n) (comp) small business/
スモールボアライフル /(n) small-bore rifle/
スモールライト /(n) parking light (wasei: small light)/side light/
スモッキング /(n) smocking/
スモック /(n) smock/smoking jacket/
スモッグ /(n,adj-no) smog/(P)/
スモハラ /(n) (abbr) harrassment by smoking/
スモモ /(n) Japanese plum/prune/Prunus salicina/
スモン /(n) subacute myelo-optico-neuropathy/SMON/
スモン病 [スモンびょう] /(n) subacute myelo-optico-neuropathy/SMON/
スラー /(n) slur/
スライサー /(n) slicer/
スライス /(n,vs) slice/(P)/
スライダ /(n) (comp) slider/
スライダー /(n) slider (usu. volume control)/(P)/
スライダーメモリ /(n) slider-memory/
スライダック /(n) (abbr) variable autotransformer/
スライディング /(n,vs) sliding/(P)/
スライディングキャッチ /(n) sliding catch/
スライディングシート /(n) sliding seat/
スライディングシステム /(n) sliding system/
スライディングスケール /(n) sliding scale/
スライディングタックル /(n) sliding tackle/
スライド /(n) (1) slide/(2) change (in value or situation)/proportional change/(vs) (3) to slide/to slip/(4) to change (in value, e.g. with a sliding scale)/to change (in situation)/(P)/
スライドガラス /(n) microscope slide (wasei: slide glass)/
スライドグラス /(n) slide glass/
スライドショー /(n) (comp) slide show/
スライドバルブ /(n) slide valve/
スライドフィルム /(n) slide film/positive or reversal film/
スライドプロジェクター /(n) slide projector/
スライドマスタ /(n) (comp) slide master/
スライドライブラリ /(n) (comp) slide library/
スライドルール /(n) (obsc) slide rule/
スライド制 [スライドせい] /(n) sliding scale system/
スライハンド /(n) sleight of hand (magic)/
スライバー /(n) sliver (strand of loose fibers)/
スライム /(n) slime/
スラグ /(n) slag/
スラスター /(n) thruster (e.g. on a satellite)/
スラスト /(n) thrust/
スラスト軸受 [スラストじくうけ] /(n) thrust bearing/
スラッガー /(n) slugger/
スラック /(n) slack/(P)/
スラックス /(n) slacks/(P)/
スラッグ /(n) slug/
スラッシャーフィルム /(n) slasher film/
スラッシュ /(n,vs) (1) slash character (ASCII 057)/(2) slash (fan fiction)/
スラッシュメタル /(n) thrash metal/
スラッジ /(n) sludge/
スラップスケート /(n) slap-skate/klap-skate/
スラップスティック /(n) slapstick/
スラブ /(n) (1) Slav/Slavic/(2) slab/
スラブ語派 [スラブごは] /(n) Slavic (branch of languages)/
スラブ毛糸 [スラブけいと] /(n) slub yarn (yarn with lumps, thickening, etc.)/
スラプスティック喜劇 [スラプスティックきげき] /(n) slapstick/
スラム /(n,vs) (1) slam/(2) slum/(3) thrum/
スラム街 [スラムがい] /(n) slum quarters/
スラリー /(n) slurry/
スラローム /(n) slalom (nor:)/(P)/
スラング /(n) slang/
スランプ /(n) slump/(P)/
スランプフレーション /(n) slumpflation/
スラヴ /(n) (1) Slav/Slavic/
スラヴ語派 [スラヴごは] /(n) Slavic (branch of languages)/
スリー /(n) three/
スリー・スポット・グラミー /(n) three spot gourami (Trichogaster trichopterus)/
スリーウエースピーカー /(n) three-way speaker/
スリークォーター /(n) three-quarter back (rugby)/
スリークォーターバックス /(n) three-quarter backs/
スリークオーター /(n) three-quarter/
スリーコム /(n) (comp) 3COM/
スリーサイズ /(n) bust-waist-hip measurements (wasei: three size)/vital statistics/(P)/
スリースポットエンジェルフィッシュ /(n) threespot angelfish (Apolemichthys trimaculatus)/
スリースポットクロミス /(n) threespot chromis (Chromis verater)/
スリースポットグラミー /(n) three spot gourami (Trichogaster trichopterus)/
スリースポットダムゼルフィッシュ /(n) threespot damselfish (Stegastes planifrons)/
スリーター /(n) three-wheeled bicycle (wasei: threeter)/
スリーディーアール /(n) (comp) 3DR/
スリーディーオー /(n) (comp) 3DO/
スリーバンディッドバタフライフィッシュ /(n) threebanded butterflyfish (Chaetodon humeralis)/
スリーバント /(n) (abbr) bunting on two strikes/
スリーピース /(n) three-piece suit/
スリーピングバッグ /(n) sleeping bag/
スリーブ /(n) sleeve/
スリーブロッチド・ラビットフィッシュ /(n) threeblotched rabbitfish (Siganus trispilos, species of rabbitfish from the eastern Indian Ocean)/
スリーブロッチドラビットフィッシュ /(n) threeblotched rabbitfish (Siganus trispilos, species of rabbitfish from the eastern Indian Ocean)/
スリープ /(n) sleep/
スリーベースヒット /(n) three-base hit/
スリーマー /(n) slimmer/
スリーヴ /(n) sleeve/
スリカータ /(n) suricate (species of meerkat, Suricata suricatta) (lat: suricata)/
スリカタ /(n) suricate (species of meerkat, Suricata suricatta) (lat: suricata)/
スリザーリンク /(n) slither link (popular Japanese number puzzle)/
スリッカー /(n) slicker/
スリット /(n) slit/(P)/
スリットカメラ /(n) slit camera/
スリットドラム /(n) slit drum/
スリッパ /(n) slipper/slippers/(P)/
スリップ /(n,vs) (1) slip (i.e. slide)/(n) (2) slip (i.e. petticoat)/(3) Serial Link IP/SLIP/(P)/
スリップオン /(n) slip-on/
スリップス /(n) thrips/
スリップストリーム /(n) slipstream/
スリップダウン /(n) slip down/
スリップノット /(n) (comp) SlipKnot/
スリップ事故 [スリップじこ] /(n) (car) accidents caused by slippery road conditions/icy road accidents/
スリッポン /(n) slip-on/
スリム /(adj-na,n) slim/(P)/
スリムアップ /(n) slimming down (wasei: slim up)/
スリムスカート /(n) slim skirt/
スリム化 [スリムか] /(n,vs) thinning/streamlining/
スリム型 [スリムかた] /(n) (comp) slim-type/
スリム型ＰＣ [スリムかたピーシー] /(n) (comp) slim-type PC/
スリム型コンピュータ [スリムかたコンピュータ] /(n) (comp) slim-type computer/
スリラー /(n) thriller (movie, story)/(P)/
スリラー映画 [スリラーえいが] /(n) thriller (film)/
スリランカ /(n) Sri Lanka/
スリリング /(adj-na,n) thrilling/(P)/
スリル /(n) thrill/(P)/
スリング /(n) (1) sling/(2) (abbr) sling (e.g. Singapore sling)/(3) (abbr) cargo sling/(4) (abbr) baby sling/
スルー /(n) (1) through/(vs) (2) (sl) ignoring/(P)/
スルーアウト /(adv) throughout/
スルーディーベンチ /(n) (comp) 3DBENCH/
スルーパス /(n) through pass/
スループ /(n) sloop/
スループット /(n) throughput/
スループットＢＯＤ [スループットビーオーディー] /(n) (comp) throughput Bandwidth On Demand/
スルーホール /(n) (comp) through hole/
スルーレート /(n) slew rate/
スルー接続 [スルーせつぞく] /(n) (comp) through-connect/
スルタン /(n) sultan/
スルナーイ /(n) (obsc) surnay (Anatolian woodwind instrument) (per:)/zurna/
スルピリン /(n) sulpyrine/
スルファグアニジン /(n) sulfaguanidine/
スルファジアジン /(n) sulfadiazine/
スルファダイアジン /(n) sulfadiazine/
スルファニルアミド /(n) sulfanilamide/sulphanilamide/
スルファミン /(n) sulfamine/
スルホンアミド /(n) sulfonamide/sulphonamide/
スルホン化 [スルホンか] /(n,vs) sulfonation/
スルホン酸 [スルホンさん] /(n) sulfonic acid/
スルホン酸塩 [スルホンさんえん] /(n) sulfonate/
スルホ基 [スルホき] /(n) sulfo group/
スルメ /(n) (1) (uk) dried squid/dried cuttlefish/(2) (uk) Japanese common squid (Todarodes pacificus)/
スルメイカ /(n) (uk) Japanese common squid/Pacific flying squid (Todarodes pacificus)/
スレ /(n) (abbr) thread/
スレーキ /(n) sleek (fabric)/
スレーキング /(n) slaking/
スレート /(n,adj-no) slate/(P)/
スレートグレー /(n) slate gray/
スレート葺 [スレートぶき] /(n) slate roof/
スレーブ /(n) slave/
スレーブドライブ /(n) (comp) slave drive/
スレイブ /(n) slave/(P)/
スレイヤー /(n) slayer/
スレイヴ /(n) slave/
スレオニン /(n) threonine (ger: Threonin)/
スレタイ /(n) (abbr) thread title/
スレチ /(n) (col) off topic (e.g. in a web forum)/
スレッシャー /(n) thresher/
スレッド /(n) thread/
スレッドセーフ /(n) (comp) thread safe/
スレッドタイトル /(n) title of a thread in email, news, etc. (wasei: thread title)/
スレッドフィンスキャット /(n) threadfin scat (Rhinoprenes pentanemus, species of Western Pacific spadefish found from Papua New Guinea to northern Australia)/
スレンダー /(n) slender/(P)/
スレ違い [スレちがい] /(n) off topic (e.g. in a web forum)/
スロー /(adj-na) (1) slow/(n,vs) (2) throw/(P)/
スローイン /(n) throw-in (football, etc.)/
スローイング /(n) throwing/
スローウイルス /(n) slow virus/
スローウイルス感染症 [スローウイルスかんせんしょう] /(n) slow virus infection/
スローカーブ /(n) slow curve/
スローガン /(n) slogan/(P)/
スロージン /(n) sloe gin/
スロースターター /(n) slow starter/
スローダウン /(n) (comp) slowdown/
スローダンス /(n) slow dance/
スロービデオ /(n) (abbr) slow-motion video/
スローフード /(n) slow food (as opposed to fast food)/
スローフォワード /(n) throw forward/
スロープ /(n) slope/(P)/
スローペース /(n) slow pace/
スローボール /(n) slowball/
スローモー /(adj-na,n) (derog) slow-moving person/dull person/
スローモーション /(adj-na,n) slow-motion (picture)/
スローロリス /(n) slow loris/
スロー映像 [スローえいぞう] /(n) slow motion (clip, image, etc.)/
スロッター /(n) slotter/
スロット /(n) slot/(P)/
スロットマシン /(n) slot machine/fruit machine/poker machine/
スロットル /(n) throttle/
スロットルバルブ /(n) throttle valve/
スロットルレバー /(n) throttle lever/
スロット形リングネットワーク [スロットがたリングネットワーク] /(n) (comp) slotted-ring network/
スロット時間 [スロットじかん] /(n) (comp) slot time (in CSMA-CD)/
スロット翼 [スロットよく] /(n) slotted wing/
スロバキア /(n) Slovakia/(P)/
スロバキア語 [スロバキアご] /(n) Slovakian (language)/Slovak/
スロベニア /(n) Slovenia/(P)/
スロベニア語 [スロベニアご] /(n) Slovenian (language)/Slovene/
スロヴェニア /(n) Slovenia/
スワガーコート /(n) swagger coat/
スワッチ /(n) swatch/
スワット /(n) Special Weapons and Tactics/SWAT/
スワッピング /(n) swapping/
スワップ /(n,vs) swap/(P)/
スワップアウト /(n) (comp) swapped out/
スワップイン /(n) (comp) swapped in/
スワップエリア /(n) (comp) swap area/
スワップファイル /(n) (comp) swap file/
スワップミート /(n) swap meet/
スワップ協定 [スワップきょうてい] /(n) swap agreement/
スワップ取引 [スワップとりひき] /(n) swap transactions/swap dealings/
スワップ領域 [スワップりょういき] /(n) (comp) swap space/swap area/
スワヒリ語 [スワヒリご] /(n) Swahili (language)/Kiswahili/(P)/
スワン /(n) swan/(P)/
スンナ /(n) Sunna (collection of recorded words and actions of the prophet Muhammad) (ara: sunna)/Sunnah/
スンナ派 [スンナは] /(n) Sunni (sect of Islam) (ara:)/
スンニ /(n) Sunni (branch of Islam) (ara:)/
スンニ・トライアングル /(n) Sunni Triangle (area of Iraq bounded by Baghdad, Ramadi and Tikrit) (ara: Sunni)/
スンニトライアングル /(n) Sunni Triangle (area of Iraq bounded by Baghdad, Ramadi and Tikrit) (ara: Sunni)/
スンニ派 [スンニは] /(n) Sunni (branch of Islam) (ara:)/Sunnah/
スンプ法 [スンプほう] /(n) sump method/
ズーオロジー /(n) zoology/
ズージャー /(n) (sl) jazz/
ズートスーツ /(n) zoot suit/
ズーノーシス /(n) zoonosis (disease transmissible from animals to humans or vice versa)/
ズーミング /(n) (comp) zooming/
ズーム /(n) zoom/(P)/
ズームアウト /(vs) to zoom out/
ズームアップ /(vs) to zoom up/
ズームイン /(n) zoom in/
ズームバック /(vs) to zoom back/
ズームボックス /(n) (comp) zoom box/
ズームレンズ /(n) zoom lens/(P)/
ズールー族 [ズールーぞく] /(n) Zulu tribe/
ズアオアトリ /(n) (uk) chaffinch (Fringilla coelebs)/
ズィーブラ /(n) zebra/
ズィール /(n) zeal/
ズウォチ /(n) zloty (Polish currency)/
ズウォティ /(n) zloty (Polish currency)/
ズキンアザラシ /(n) (uk) hooded seal (Cystophora cristata)/
ズシッと /(adv,adv-to,vs) (on-mim) heavily/profoundly/
ズシン /(adv) thud/
ズジキツネベラ /(n) fourline hogfish (Bodianus trilineatus)/threeline hogfish/
ズッキーニ /(n) zucchini (ita:)/courgette/
ズック /(n) screen (dut: doek)/cloth/canvas/
ズッコケ /(n,adj-f) (1) not the norm/(2) foolish/(3) stupid/
ズナガアカボウ /(n) Bodianus tanyokidus (species of hogfish)/
ズバイモモ /(n) (obsc) nectarine/
ズビニ鉤虫 [ズビニこうちゅう] /(n) Old World hookworm (Ancylostoma duodenale) (from Dubini hookworm)/
ズベラ /(adj-na) sloppy/slovenly/slipshod/negligent/loose/unkempt/
ズベ公 [ズベこう] /(n) female delinquent/
ズボラ /(adj-na) sloppy/slovenly/slipshod/negligent/loose/unkempt/
ズボン /(n) trousers (fre: jupon)/(P)/
ズボンプレッサー /(n) trouser press/
ズボン下 [ズボンした] /(n) long johns/long underpants/long underwear/
ズボン吊り [ズボンつり] /(n) suspenders/
ズマン /(exp) (col) Excuse me (coll. form of sumimasen)/
ズミ /(n) (uk) Toringo crabapple (Malus sieboldii)/
ズム /(suf) (1) -ism/
ズリセン /(n) (col) (sl) masturbation (male)/
ズルチン /(n) dulcin (type of artificial sweetener) (ger: Dulzin)/
ズルナ /(n) zurna (Anatolian woodwind instrument) (tur:)/surnay/
ズル休み [ズルやすみ] /(n,vs) playing hookey/being away from work without a good reason/
ズレる /(v1,vi) to slide/to slip off/to get dislocated/to be out of alignment/to get dislodged/to deviate/to shift (position)/to be out of sync./to be slightly off/to be off-point/
ズロース /(n) drawers/
ズロチ /(n) zloty (Polish currency)/
ズワイガニ /(n) (uk) snow crab (Chionoecetes opilio)/queen crab/
ズワイ蟹 [ズワイがに] /(n) (uk) snow crab (Chionoecetes opilio)/queen crab/
セーの法則 [セーのほうそく] /(n) Say's law/
セージ /(n,adj-no) sage/
セーター /(n) sweater/jumper/(P)/
セーバー /(n) sabre (fre:, dut: sabel)/saber/
セービング /(n) saving/
セービンワクチン /(n) Sabin vaccine (for polio)/
セーフ /(n) safe/(P)/
セーフガード /(n) safeguard/
セーフティー /(n) safety/
セーフティーゾーン /(n) safety zone/
セーフティードライブ /(n) driving safely (wasei: safety drive)/(P)/
セーフティーネット /(n) safety net/
セーフティーバルブ /(n) safety valve/
セーフティーバント /(n) bunt performed for a base hit (wasei: safety bunt)/
セーフティービンディング /(n) safety binding (ski)/
セーフティーファクター /(n) safety factor/
セーフティーボックス /(n) safety deposit box (wasei: safety box)/
セーフティネット /(n) safety net/
セーフティボックス /(n) safety deposit box (wasei: safety box)/
セーフライト /(n) safelight/
セーブ /(n,vs) save/(P)/
セーブポイント /(n) save point/
セーブル /(n) sable/
セーブル磁器 [セーブルじき] /(n) Sevres porcelain/
セーム革 [セームがわ] /(n) chamois leather/
セーラー /(n) sailor/
セーラーカラー /(n) sailor collar/
セーラー服 [セーラーふく] /(n) sailor suit/middy uniform/(P)/
セーリング /(n) sailing/
セーリングボート /(n) sailing boat/
セール /(n) sale/(P)/
セールス /(n) sales/(P)/
セールスアプローチ /(n) sales approach/
セールスエンジニア /(n) sales engineer/
セールストーク /(n) sales talk/
セールスプロモーション /(n) sales promotion/
セールスマン /(n) salesman/(P)/
セールス戦略 [セールスせんりゃく] /(n) sales strategy/
セイウチ /(n) (uk) walrus (Odobenus rosmarus) (rus: sivuch)/
セイゴ /(n) (uk) juvenile Japanese sea perch (under two years of age and 25 cm in length)/
セイジ /(n,adj-no) sage/
セイタカアワダチソウ /(n) (uk) Canada goldenrod (Solidago canadensis var. scabra)/
セイタカシギ /(n) (1) (uk) black-winged stilt (Himantopus himantopus)/(2) stilt (any bird of family Recurvirostridae)/avocet/
セイタカヨモギ /(n) (uk) Artemisia selengensis/
セイバー /(n) sabre (fre:, dut: sabel)/saber/(P)/
セイファート銀河 [セイファートぎんが] /(n) Seyfert galaxy/
セイフティバント /(n) bunt performed for a base hit (wasei: safety bunt)/
セイフティボックス /(n) (1) safe deposit box (wasei: safety box)/(2) small safe/
セイボリー /(n) savory (herb)/
セイヨウアジサイ /(n) (uk) Western hydrangea/Hydrangea macrophylla/
セイヨウキヅタ /(n) English ivy (Hedera helix)/common ivy/
セイヨウシミ /(n) (uk) silverfish (Lepisma saccharina)/
セイヨウスグリ /(n) (European) gooseberry (Ribes uva-crispa L.)/
セイヨウノコギリソウ /(n) (uk) yarrow (Achillea millefolium)/milfoil/
セイヨウハコヤナギ /(n) (uk) Lombardy poplar (Populus nigra var. italica)/
セイヨウハシバミ /(n) (uk) Eurasian hazel (Corylus avellana)/
セイヨウヒイラギ /(n) (uk) English holly (Ilex aquifolium)/
セイヨウミザクラ /(n) (uk) sweet cherry (Prunus avium)/mazzard/
セイヨウヤマハッカ /(n) (uk) lemon balm (Melissa officinalis)/sweet balm/
セイラー /(n) sailer/
セイリング /(n) sailing/
セイルフィン・モーリー /(n) sailfin molly (Poecilia velifera)/Yucatan molly/
セイルフィンモーリー /(n) sailfin molly (Poecilia velifera)/Yucatan molly/
セイレーネス /(n) siren (in Greek mythology) (grc: seiren, grc: seirenos)/
セイレーン /(n) siren (in Greek mythology) (grc: seiren, grc: seirenos)/
セイレン /(n) siren (in Greek mythology) (grc: seiren, grc: seirenos)/
セイロンニッケイ /(n) (uk) cinnamon tree (Cinnamomum zeylanicum)/
セイロン肉桂 [セイロンにっけい] /(n) (uk) cinnamon tree (Cinnamomum zeylanicum)/
セイント /(n) saint/
セオドライト /(n) theodolite/
セオリー /(n) theory/(P)/
セオリスト /(n) theorist/
セオレティカル /(adj-na) theoretical/
セオレテイカル /(adj-na) theoretical/
セカンダリ /(n,adj-f) secondary/
セカンダリー /(n,adj-f) secondary/
セカンダリＤＮＳサーバ [セカンダリディーエンエスサーバ] /(n) (comp) secondary DNS server/
セカンダリキャッシュ /(n) (comp) secondary cache/
セカンダリサイト /(n) (comp) secondary site/
セカンダリビデオディスプレイコントローラ /(n) (comp) secondary video display controller/
セカンダリリング /(n) (comp) secondary ring/
セカント /(n) secant/
セカンド /(n) (1) second/(2) second base/(P)/
セカンドウインド /(n) second wind/
セカンドオピニオン /(n) second opinion/
セカンドスクール /(n) outdoor environmental educational program for city children (programme) (wasei: second school)/
セカンドソース /(n) (comp) second source/
セカンドハウス /(n) second house/second home/
セカンドハンド /(n) secondhand/
セカンドバッグ /(n) second bag/zippered carrying case/
セカンドバッテリ /(n) (comp) second battery/
セカンドベース /(n) second base/
セカンドベスト /(n) second best/
セカンドライフ /(n) (1) second life (esp. that of a retiree)/(2) SecondLife (online virtual world)/
セカンドラン /(n) second run/
セガ /(n) (comp) Sega/
セガサターン /(n) (comp) Sega Saturn/
セキショクヤケイ /(n) (uk) red jungle fowl (Gallus gallus)/
セキスタント /(n) (obsc) sextant/
セキチク /(n) (uk) China pink (species of flower, Dianthus chinensis)/
セキュア /(adj-f) secure/
セキュアハッシュアルゴリズム /(n) (comp) secure hash algorithm/
セキュアビット /(n) (comp) secure bit/
セキュリタイゼーション /(n) securitization/
セキュリティ /(n) security/(P)/
セキュリティー /(n) security/(P)/
セキュリティーホール /(n) security hole/
セキュリティーポリス /(n) security police/
セキュリティＩＤ [セキュリティアイディー] /(n) (comp) security ID/
セキュリティコンテキスト /(n) (comp) security context/
セキュリティシステム /(n) (comp) security system/
セキュリティファイル /(n) (comp) security file/
セキュリティプリンシパル /(n) (comp) security principal/
セキュリティプロトコル /(n) (comp) security protocol/
セキュリティホール /(n) security hole/
セキュリティホスト /(n) (comp) security host/
セキュリティポリス /(n) bodyguard for VIPs (wasei: security police)/
セキュリティリスク /(n) (comp) security risk/
セキュリティログ /(n) (comp) security log/
セキュリティ管理 [セキュリティかんり] /(n) (comp) security management/
セキレイ /(n) (uk) any bird of family Motacillidae (excluding the pipits)/wagtail/longclaw/
セクシー /(adj-na,n) sexy/(P)/
セクシィ /(adj-na,n) sexy/
セクシィー /(adj-na,n) sexy/
セクシスト /(adj-no) sexist/
セクシズム /(n) sexism/
セクシャリティ /(n) sexuality/
セクシャル /(adj-no) sexual/
セクシャルハラスメント /(n) sexual harrassment/sexual harassment/
セクシュアリティ /(n) sexuality/
セクシュアリティー /(n) sexuality/
セクシュアル /(adj-no) sexual/
セクシュアルハラスメント /(n) sexual harrassment/sexual harassment/
セクショナリズム /(n) sectionalism/
セクショニング /(n) sectioning/
セクション /(n) section/(P)/
セクションペーパー /(n) section paper/
セクション区画 [セクションくかく] /(n) (comp) section/
セクスィ /(adj-na,n) sexy/
セクスィー /(adj-na,n) sexy/
セクスタント /(n) (obsc) sextant/
セクスティング /(n) sexting/
セクステット /(n) sextet/sextette/
セクタ /(n) sector/
セクター /(n) sector/(P)/
セクタのデータ領域 [セクタのデータりょういき] /(n) (comp) data field of a sector/
セクタアンテナ /(n) (comp) sectored antenna/
セクト /(n) sect/
セクハラ /(n) (abbr) sexual harassment/(P)/
セクフレ /(n) (abbr) sex friend/
セクレタリー /(n) secretary/
セクレチン /(n) secretin/
セグウェイ /(n) Segway (motorized personal vehicle)/
セグウエー /(n) Segway (motorized personal vehicle)/
セグエ /(n) segue (proceeding without interruption in music, etc.)/
セグメンテーション /(n) segmentation/
セグメント /(n) segment/
セグメントアドレッシング /(n) (comp) segment addressing/
セグメントテーブル /(n) (comp) segment table/
セグメント化 [セグメントか] /(n) (comp) segmentation/
セグメント属性 [セグメントぞくせい] /(n) (comp) segment attributes/
セグメント変換 [セグメントへんかん] /(n) (comp) segment transformation/
セグメント優先度 [セグメントゆうせんど] /(n) (comp) segment priority/
セグロオオトカゲ /(n) tricolored monitor (Varanus yuwonoi, species of carnivorous monitor lizard from Halmahera Island in North Maluku, Indonesia)/Moluccan black-backed monitor/
セグロカモメ /(n) (uk) herring gull (Larus argentatus)/
セグロセキレイ /(n) (uk) Japanese wagtail (Motacilla grandis)/
セグロチョウチョウウオ /(n) saddleback butterflyfish (Chaetodon ephippium, species of the Indo-Pacific)/saddled butterflyfish/
セコイア /(n) sequoia (lat:)/redwood/
セコイアデンドロン /(n) giant sequoia (Sequoiadendron giganteum) (lat: Sequoiadendron)/giant redwood/
セコハン /(adj-no) (abbr) secondhand/
セコンダリー /(n) secondary/
セコンド /(n) second/
セコンドハンド /(n) secondhand/
セサミ /(n) sesame/
セシウム /(n) cesium (Cs)/caesium/(P)/
セシウム１３７ [セシウムひゃくさんじゅうしち] /(n) cesium 137 (Cs-137)/caesium 137/
セシウム原子時計 [セシウムげんしどけい] /(n) cesium atomic clock/
セシウム百三十七 [セシウムひゃくさんじゅうしち] /(n) cesium 137 (Cs-137)/caesium 137/
セション /(n) (comp) session/
セションコネクション同期 [セションコネクションどうき] /(n) (comp) session-connection synchronization/
セションサービス利用者 [セションサービスりようしゃ] /(n) (comp) session service user/SS-user/
セションプロトコル機械 [セションプロトコルきかい] /(n) (comp) session protocol machine/SPM/
セションリーダ /(n) (comp) session leader/
セション生存期間 [セションせいぞんきかん] /(n) (comp) session lifetime/
セジメント /(n) sediment/sludge/
セス /(n) (comp) CES/
セスジネズミ /(n) (uk) striped field mouse (Apodemus agrarius)/
セセッション /(n) secession/
セセリチョウ /(n) (uk) skipper butterfly/
セゾン /(n) season (fre: saison)/(P)/
セタン価 [セタンか] /(n) cetane number/
セダカスズメダイ /(n) Japanese gregory (Stegastes altus)/
セダカハナアイゴ /(n) Siganus woodlandi (species of rabbitfish found in New Caledonia)/
セダカヤッコ /(n) yellowbar angelfish (Pomacanthus maculosus)/yellowband angelfish/yellowblotch angelfish/
セダン /(n) sedan/(P)/
セッカ /(n) (uk) zitting cisticola (Cisticola juncidis)/fan-tailed warbler/
セックス /(n,vs) sexual intercourse/(P)/
セックスアピール /(n) sex appeal/
セックスシンボル /(n) sex symbol/
セックステ /(n) (abbr) sexual technique/
セックステクニック /(n) sexual technique/
セックスフレンド /(n) sex friend/someone with whom one is not romantically involved but frequently has sexual relations with anyway/
セックスレス /(n) sexless/sexless marriage/
セックス産業 [セックスさんぎょう] /(n) sex industry/
セッション /(n) (1) session/(2) (abbr) jam session/jam/(P)/
セッションセレクタ /(n) (comp) session selector/
セッション層 [セッションそう] /(n) (comp) session layer/
セッター /(n) setter (dog type)/
セッツルメント /(n) settlement/
セッティング /(n,vs) setting/(P)/
セット /(n,vs) (1) set/(2) set meal/(P)/
セットアッパー /(n) set upper/
セットアップ /(n,vs) setup/
セットアップエグゼ /(n) (comp) setup.exe/
セットアップタイム /(n) (comp) setup time/
セットアップメッセージ /(n) (comp) SETUP message/
セットアップ時間 [セットアップじかん] /(n) (comp) setup time/
セットアップ手続き [セットアップてつづき] /(n) (comp) (call) setup procedure/
セットインスリーブ /(n) set-in sleeve/
セットスクラム /(n) set scrum/
セットトップ /(n) (comp) set-top (box, device)/
セットトップボックス /(n) set-top box/
セットバック /(n) set-back/
セットプレー /(n) set play/
セットポイント /(n) set point (tennis, volley-ball, etc.)/
セットポジション /(n) set position (baseball)/
セットメーカー /(n) manufacturer of assembled products (wasei: set maker)/
セットメニュー /(n) set menu/
セットローション /(n) (abbr) setting lotion/
セット販売 [セットはんばい] /(n,vs) (comp) bundle/
セツルメント /(n) settlement/
セディ /(n) cedi (Ghanan currency)/
セトモノ /(n) earthenware/crockery/china/
セナスジベラ /(n) sixbar wrasse (Thalassoma hardwicke)/
セニョール /(n) senor (spa:)/
セニョリータ /(n) seniorita/
セネガ /(n) senega (species of milkwort, Polygala senega)/
セネガル /(n) Senegal/
セネガ根 [セネガこん] /(n) dried senega root/
セバシン酸 [セバシンさん] /(n) sebacic acid/
セパード /(n) shepherd/
セパレータ /(n) (comp) separator/
セパレーツ /(n) separates/
セパレート /(adj-f) separate/
セパレートアドレッシング /(n) (comp) separate addressing/
セパレートコース /(n) separate course/
セパレート水着 [セパレートみずぎ] /(n) two-piece swimming suit (not bikini style)/
セパレイト /(adj-f) separate/
セビチェ /(n) ceviche/seviche/South American dish of marinated raw seafood/
セビロ /(n) business suit/
セピア /(n) sepia/(P)/
セピア色 [セピアいろ] /(n) sepia (colour, color)/
セファルディム /(n) Sephardim (Jews of Spanish or Portuguese descent)/
セファロスポリン /(n) cephalosporin/
セフォタキシム /(n) cefotaxime/
セフレ /(n) (abbr) sex friend (someone with whom one is not romantically involved but frequently has sexual relations with anyway)/
セブン /(n) seven/(P)/
セブンイレブン /(n) Seven-Eleven/
セブンティーン /(n) seventeen/seventeen (years old)/
セプテンバー /(n) September/
セプトゥアギンタ /(n) (obsc) Septuagint (lat: Septuaginta)/
セボリー /(n) savory/savoury/
セポイの反乱 [セポイのはんらん] /(n) Sepoy Mutiny (1857-1858)/
セポイの叛乱 [セポイのはんらん] /(n) Sepoy Mutiny (1857-1858)/
セマフォ /(n) semaphore/
セマフォア /(n) semaphore/
セマン /(n) Semang (Negrito ethnic group of the Malay Peninsula)/
セマンティクス /(n) semantics/
セマンティック /(n) semantic/
セマンティックウェブ /(n) semantic web/
セマンティックエラー /(n) (comp) semantic error/
セマンティックス /(n) semantics/
セマンティックディファレンシャル法 [セマンティックディファレンシャルほう] /(n) semantic differential method/
セマン族 [セマンぞく] /(n) Semang people (Negrito ethnic group of the Malay Peninsula)/
セミ /(n) cicada/locust/
セミエビ /(n) (uk) blunt slipper lobster (species of shovel-nosed lobster, Scyllarides squammosus)/
セミオートマチック /(n,adj-f) semi-automatic/
セミオロジー /(n) semiology/
セミクジラ /(n) (uk) North Pacific right whale (Eubalaena japonica)/
セミコロン /(n) semicolon/(P)/
セミコンダクタ /(n) semiconductor/
セミスチール /(n) semi-steel/
セミタイト /(n) semi-tight (skirt)/
セミダブル /(n) three-quarter bed (wasei: semi-double (bed))/
セミダブルベッド /(n) three-quarter bed (wasei: semi-double bed)/
セミドキュメンタリー /(n) semi-documentary/
セミドライソーセージ /(n) semidry sausage/
セミナ /(n) seminar/
セミナー /(n) seminar/(P)/
セミナール /(n) seminar/
セミナリー /(n) seminary/
セミヌード /(n) semi-nude/
セミファイナル /(n) semifinals/
セミフォーマル /(adj-na,adj-no,n) semiformal/
セミプロ /(adj-no) (abbr) semiprofessional/
セミホウボウ /(n) (uk) Oriental flying gurnard (Dactyloptena orientalis)/
セミロング /(n) shoulder length hair (wasei: semi long)/
セム語派 [セムごは] /(n) Semitic (branch of languages)/
セム人 [セムじん] /(n) Semite (speaker of a semitic language, esp. Jews and Arabs)/
セム族 [セムぞく] /(n) Semites/
セメダイン /(n) Cemedine (glue, adhesive)/
セメンタイト /(n) cementite/
セメンテーション /(n) cementation/
セメント /(n) cement/(P)/
セメントモルタル /(n) cement mortar/
セメント瓦 [セメントがわら] /(n) cement roof tile/cement tile/
セメント質 [セメントしつ] /(n) cementum (hard connective tissue covering the tooth root)/cement/
セモリナ /(n) semolina/
セラ /(n) sera/(P)/
セラー /(n) (1) seller/(2) cellar/(P)/
セラード /(n) cerrado/
セラチア菌 [セラチアきん] /(n) Serratia marcescens/
セラック /(n) shellac/
セラヒン /(n) seraphim/
セラピー /(n) therapy/(P)/
セラピードッグ /(n) therapy dog/
セラピスト /(n) therapist/
セラピム /(n) seraphim/
セラミック /(n,adj-f) ceramic/(P)/
セラミックエンジン /(n) ceramic engine/
セラミックス /(n) ceramics/
セラミド /(n) ceramide/
セリ /(n) (uk) Java water dropwort (Oenanthe javanica)/Japanese parsley/
セリー /(n) sherry/
セリーグ /(n) (abbr) Central League/
セリアック /(n) (abbr) celiac disease/
セリアック病 [セリアックびょう] /(n) celiac disease/coeliac disease/
セリアル /(n) cereal/
セリウム /(n) cerium (Ce)/(P)/
セリカ /(n) Celica/(P)/
セリシン /(n) sericin/
セリフ /(n) serif/(P)/
セリフ /(n) speech/words/one's lines/remarks/
セリン /(n) serine/
セリ科 [セリか] /(n) Apiaceae (parsley family of plants)/Umbelliferae/
セリ目 [セリもく] /(n) Apiales (order of plants)/
セル /(n) (1) cell/(2) serge/(P)/
セルアニメーション /(n) (comp) cell animation/
セルシンモーター /(n) selsyn motor/
セルスイッチング /(n) (comp) cell switching/
セルスイッチング容量 [セルスイッチングようりょう] /(n) (comp) cell switching capacity/
セルスクランブル /(n) (comp) cell scrambling/
セルタス /(n) celtuce/
セルティック /(adj-f) Celtic (esp. football club)/
セルト /(n) Celt/
セルバス /(n) (comp) cell path/
セルバッファ /(n) (comp) cell buffer/
セルビア /(n) Serbia/(P)/
セルビア人 [セルビアじん] /(n) Serbian/
セルビッチ /(n) selvage (traditional method of denim weaving)/
セルフ /(n) self/(P)/
セルフアップネジ /(n) captive screw (wasei: self up)/
セルフィーユ /(n) chervil (fre: cerfeuil)/
セルフイメージ /(n) self-image/
セルフエスティーム /(n) self-esteem/
セルフケア /(n) self-care/
セルフコントロール /(n) self-control/
セルフサービス /(n) self-service/(P)/
セルフスタンド /(n) self-service gasoline station (wasei: self stand)/self-service petrol station/
セルフタイマー /(n) self-timer/delayed-action (shutter release)/
セルフタッピングネジ /(n) (comp) self-tapping screws/
セルフチェッキング /(n) self-checking/
セルフヘルプグループ /(n) self-help group/
セルフメディケーション /(n) self-medication/
セルフモニタリング /(n) self-monitoring/
セルヘッダー /(n) (comp) cell header/
セルベース /(n) (comp) cell based/
セルポインタ /(n) (comp) cell pointer/
セルモーター /(n) starter motor (wasei: cell motor)/
セルラー /(n) (comp) cellular/
セルラーゼ /(n) cellulase/
セルラーフォン /(n) (comp) cellular phone/
セルラーフロア /(n) cellular floor/
セルラーモデム /(n) (comp) cellular modem/
セルラー方式 [セルラーほうしき] /(n) (comp) cellular system/
セルリー /(n) celery/
セルリアク /(n) celeriac/
セルリアンブルー /(n) cerulean blue/
セルリレー /(n) (comp) cell relay/
セルリレーサービス /(n) (comp) cell relay service/
セルループバック試験 [セルループバックしけん] /(n) (comp) cell loopback test/
セルレートアルゴリズム /(n) (comp) cell rate algorithm/
セルロース /(n) cellulose/
セルローズ /(n) cellulose/
セルロイド /(n) celluloid/(P)/
セルロス /(n) (comp) cell loss/
セルン /(n) (comp) CERN/
セル化 [セルか] /(n) (comp) cell encapsulation/conversion into cells/
セル化遅延 [セルかちえん] /(n) (comp) (cell) encapsulation delay/
セル画 [セルが] /(n) animation cel (from an animated movie)/
セル間の到着時間 [セルかんのとうちゃくじかん] /(n) (comp) cell inter-arrival time/
セル交換 [セルこうかん] /(n,adj-no) (comp) cell switching/
セル式電話 [セルしきでんわ] /(n) (comp) cellular phone/
セル処理 [セルしょり] /(n) (comp) cell processing/
セル組立分解 [セルくみたてぶんかい] /(n) (comp) cell assembly and disassembly/
セル損失 [セルそんしつ] /(n) (comp) cell loss/
セル損失プライオリティ [セルそんしつプライオリティ] /(n) (comp) cell loss priority/CLP/
セル損失比 [セルそんしつひ] /(n) (comp) cell loss ratio/
セル損失優先権 [セルそんしつゆせんけん] /(n) (comp) cell loss priority/
セル損失率 [セルそんしつりつ] /(n) (comp) cell loss rate/
セル遅延変動 [セルちえんへんどう] /(n) (comp) cell delay variation/CDV/
セル廃棄 [セルはいき] /(n) (comp) cell discarding/
セル廃棄率 [セルはいきりつ] /(n) (comp) cell loss rate/
セル配列 [セルはいれつ] /(n) (comp) cell array/
セル付 [セルつき] /(n) with a self-starter/
セル分割 [セルぶんかつ] /(n) (comp) cell splitting/
セレーション /(n) serration/
セレキノン /(n) Cerekinon (trimebutine maleate), used to treat irritable bowel syndrome/
セレギリン /(n) selegiline (reversible monoamine oxidase inhibitor)/
セレクション /(n) selection/(P)/
セレクションマッチ /(n) selection match/
セレクタ /(n) selector/
セレクタチャネル /(n) (comp) selector channel/
セレクティング /(n) (comp) selecting/
セレクト /(n,vs) select/(P)/
セレス /(n) (1) Ceres (dwarf planet)/(2) Ceres (Roman goddess of agriculture)/
セレナータ /(n) serenata (ita:)/
セレナーデ /(n,vs) serenade (fre:, ger:)/(P)/
セレナード /(n,vs) serenade (fre:, ger:)/(P)/
セレニウム /(n) selenium/
セレネース /(n) Serenace (Japanese brand of haloperidol)/
セレブ /(n) (abbr) wealthy socialite/celebrity/
セレブリティ /(n) celebrity/
セレブリティー /(n) celebrity/
セレブロシド /(n) cerebroside/
セレベス芋 [セレベスいも] /(n) type of taro originally from Sulawesi/
セレモニー /(n) ceremony/(P)/
セレモニーホール /(n) facility providing funeral services/
セレロン /(n) (comp) Celeron/
セレン /(n) selenium (Se) (ger: Selen)/
セレンディピティ /(n) serendipity/
セレンディピティー /(n) serendipity/
セレン化亜鉛 [セレンかあえん] /(n) zinc selenide/
セレン酸 [セレンさん] /(n) selenic acid/
セレン整流器 [セレンせいりゅうき] /(n) selenium rectifier/
セロ /(n) cello/violoncello/
セロテープ /(n) cellophane tape (Sellotape)/(P)/
セロトニン /(n) serotonin/
セロハン /(n) cellophane (fre:)/
セロハンテープ /(n) cellophane tape/Scotch tape/(P)/
セロファン /(n) cellophane (fre:)/
セロリ /(n) celery/(P)/
セロリアーク /(n) celeriac/
セロリシード /(n) celery seed/
セロリソルト /(n) celery salt/
セン /(n-suf) stopper/bottle cap/(P)/
センウラン鉱 [センウランこう] /(n) uraninite/
センサ /(n) sensor/
センサー /(n) sensor/(P)/
センサス /(n) census/
センシティブ /(n) (comp) sensitive/
センシトメトリー /(n) sensitometry/
センシビリティー /(n) sensibility/
センシブル /(adj-na) sensible/
センシュアリズム /(n) sensualism/
センシュアル /(adj-na) sensual/
センス /(n) good taste (for music, style, tact, etc.) (from sense)/(P)/
センスデータ /(n) (comp) sense data/
センセーショナリズム /(n) sensationalism/
センセーショナル /(adj-na,n) sensational/(P)/
センセーション /(n) sensation/(P)/
センタ /(n) centre/center/
センター /(n) centre/center/(P)/
センターＧＵＹ [センターガイ] /(n) (sl) young men with deep tans (or dark makeup) who wear white eyeliner and lipstick/
センターオブエクセレンス /(n) center of excellence/
センターコート /(n) center court/
センターサークル /(n) center circle/
センタースプレッド /(n) center spread/
センターハーフ /(n) center half/
センターバック /(n) center back (soccer)/
センターピース /(n) centerpiece/
センターフォールド /(n) centerfold/
センターフォワード /(n) center forward/
センターベンツ /(n) centre vent/
センターボード /(n) centerboard/
センターポール /(n) center pole/
センターライン /(n) center line/centerline/
センタール /(n) centare/
センタウル /(n) Centaur (gre: Kentauros)/
センタノード /(n) (comp) center node/
センタライン /(n) (comp) center line/
センタリング /(n,vs) centering/centring/(P)/
センダイムシクイ /(n) (uk) eastern crowned warbler (Phylloscopus coronatus)/
センチ /(n) (1) centimeter/(n,pref) (2) centi-/10^-2/(adj-na) (3) (abbr) sentimental/(P)/
センチコガネ /(n) (1) (uk) dor beetle (of family Geotrupidae)/(2) Geotrupes laevistriatus (species of dor beetle)/
センチメーター /(n) centimeter/
センチメートル /(n) centimeter/(P)/
センチメートル波 [センチメートルは] /(n) centimetric wave/
センチメンタリスト /(n) sentimentalist/
センチメンタリズム /(n) sentimentalism/
センチメンタル /(adj-na,n) sentimental/(P)/
センチメント /(n) sentiment/
センチモ /(n) centimo (spa:)/
センチュラ /(n) (comp) Centura/
センチュリー /(n) (1) century/(2) Centuri/
センテンス /(n) sentence/
セント /(n) cent/(P)/
セント /(n) saint/
セントーア /(n) Centaur (gre: Kentauros)/
セントール /(n) Centaur (gre: Kentauros)/
セントキッツ島 [セントキッツとう] /(n) Saint Kitts (island)/
セントバーナード /(n) Saint Bernard (dog)/
セントヘレナバタフライフィッシュ /(n) Saint Helena butterflyfish (Chaetodon sanctaehelenae)/
セントポーリア /(n) saintpaulia (lat:)/African violet/
セントラル /(adj-f) central/
セントラルキッチン /(n) central kitchen/
セントラルサイト /(n) (comp) central site/
セントラルドグマ /(n) central dogma (of molecular biology)/
セントラルパーク /(n) central park/
セントラルヒーティング /(n) central heating/
セントラルプロセシングユニット /(n) (comp) central processing unit/
セントラルリーグ /(n) Central League/CL/
セントルシア /(n) Saint Lucia/
セントレア /(n) Centrair/
セントロイド /(n) centroid/
セントロニクス /(n) (comp) Centronics/
セントロニクスインターフェース /(n) (comp) centronics interface/
センド /(n) send/
センネンダイ /(n) (uk) emperor red snapper (Lutjanus sebae)/bourgeois red snapper/bourgeois fish/
センブリ /(n) (1) (uk) Japanese green gentian (Swertia japonica)/(2) alderfly (esp. species Sialis japonica)/alder fly/
センボンヤリ /(n) (uk) Leibnitz daisy (Leibnitzia anandria)/
センマイ /(n) (1) (food) (uk) cow omasum/cow psalterium/
センリョウ科 [センリョウか] /(n) Chloranthaceae (plant family)/
セヴンティーン /(n) seventeen/
セ氏 [セし] /(n,adj-no) Centigrade/Celsius/(P)/
ゼーゼー /(adv) (on-mim) wheezing sound/gasping sound/
ゼーゼー言う [ゼーゼーいう] /(exp,v5u) to wheeze/to breathe with difficulty/to gasp/
ゼーマン効果 [ゼーマンこうか] /(n) Zeeman effect/
ゼウス /(n) Zeus/
ゼオライト /(n) zeolite/
ゼカリヤ書 [ゼカリヤしょ] /(n) Zechariah (book of the Bible)/
ゼスイット /(n) Jesuit/
ゼスチャー /(n) (comp) gesture/
ゼスチュア /(n) gesture/
ゼゼラ /(n) Biwia zezera (species of cyprinid)/
ゼタ /(n,pref) zetta-/10^21/
ゼッケン /(n) cloth bib with number or logo worn by athletes, etc. (e.g. over their shirts) (ger: Decken)/
ゼットハチマル /(n) (comp) Z80/
ゼットブイポート /(n) (comp) ZV PORT/
ゼットモデム /(n) (comp) ZMODEM/
ゼツェシオン /(n) secession/
ゼツェッション /(n) secession/
ゼニアオイ /(n) (uk) common mallow (Malva sylvestris var. mauritiana)/
ゼニガタアザラシ /(n) (uk) harbor seal (Phoca vitulina)/harbour seal/common seal/
ゼニタナゴ /(n) (uk) Acheilognathus typus (species of bitterling-like cyprinid)/
ゼネコン /(n) (abbr) general contractor/major construction contractor/(P)/
ゼネスト /(n) (abbr) general strike/(P)/
ゼネラリスト /(n) generalist/
ゼネラル /(adj-f) general/
ゼネラルコントラクタ /(n) general contractor/major construction contractor/
ゼネラルコントラクター /(n) general contractor/
ゼネラルスタッフ /(n) general staff/
ゼネラルストライキ /(n) general strike/
ゼネラルマーチャンダイズストア /(n) general merchandise store/
ゼネラルマネージャー /(n) general manager/(P)/
ゼネラルユニオン /(n) general union/
ゼネレーション /(n) generation/
ゼノタイム /(n) xenotime/
ゼノンの逆説 [ゼノンのぎゃくせつ] /(n) Zeno's paradoxes/
ゼパニヤ書 [ゼパニヤしょ] /(n) Zephaniah (book of the Bible)/
ゼファー /(n) zephyr/
ゼファニヤ書 [ゼファニヤしょ] /(n) Zephaniah (book of the Bible)/
ゼフィルス /(n) hairstreak (any gossamer-winged butterfly of tribe Theclini) (lat: Zephyrus)/
ゼブ /(n) zebu/
ゼブー /(n) zebu/
ゼブラ /(n) zebra/
ゼブラソマ属 [ゼブラソマぞく] /(n) Zebrasoma (genus of 7 species of marine tang in the family Acanthuridae with pointed snouts and forward facing spines at the base of the tail)/
ゼブラゾーン /(n) zebra crossing/zebra zone/
ゼブラフィッシュ /(n) zebrafish (Danio rerio)/
ゼプト /(n,pref) zepto-/10^-21/
ゼプト秒 [ゼプトびょう] /(n) zeptosecond/
ゼミ /(n) (abbr) seminar/(P)/
ゼミナール /(n) seminar/(P)/
ゼムクリップ /(n) (gem) clip/
ゼラチン /(n,adj-no) gelatin/gelatine/(P)/
ゼラチンペーパー /(n) gelatin paper/
ゼラニウム /(n) geranium (usu. a cultivated pelargonium) (lat:)/
ゼリー /(n) jelly/(P)/
ゼリービーンズ /(n) jelly beans/jellybeans/jelly bean/jellybean/
ゼロ /(n,adj-no) zero/nought/(P)/
ゼロアドレス命令 [ゼロアドレスめいれい] /(n) (comp) zero address instruction/
ゼロエミッション /(n) zero-emission/
ゼロクーポン債 [ゼロクーポンさい] /(n) zero coupon loan/
ゼログラフィー /(n) xerography/
ゼロゲーム /(n) zero game/
ゼロコスト /(n,adj-f) zero cost/
ゼロサプレス /(n) (comp) zero suppression/
ゼロサプレス機能 [ゼロサプレスきのう] /(n) (comp) zero suppression function/
ゼロサム /(n) zerosum/
ゼロサムゲーム /(n) zero-sum game/
ゼロサム社会 [ゼロサムしゃかい] /(n) zero-sum society/
ゼロゼロセブン /(n) 007 (James Bond's code in the books and films)/double-oh-seven/
ゼロックス /(n) Xerox/(P)/
ゼロハン /(n) (uk) 50cc motorbike/
ゼロベース /(n) zero-base/
ゼロメートル /(n) sea level (wasei: zero metre)/
ゼロ以外 [ゼロいがい] /(n,adj-no) (comp) non-zero/
ゼロ位法 [ゼロいほう] /(n) zero method/
ゼロ空間 [ゼロくうかん] /(n) null space/
ゼロ行列 [ゼロぎょうれつ] /(n) (comp) zero matrix/
ゼロ国債 [ゼロこくさい] /(n) zero national debt/
ゼロ歳 [ゼロさい] /(exp) less than a year old/
ゼロ次 [ゼロじ] /(adj-na) zero-order/
ゼロ充てん [ゼロあてん] /(n,vs) (comp) zerofill/
ゼロ成長 [ゼロせいちょう] /(n) zero growth/zero economic growth/no-growth economy/
ゼロ戦 [ゼロせん] /(n) Zero fighter plane/
ゼロ地点 [ゼロちてん] /(n) ground zero/
ゼロ番目 [ゼロばんめ] /(n,adj-no) (comp) zero argument/
ゼロ復帰記録 [ゼロふっききろく] /(n) (comp) return-to-zero recording/RZ/
ゼロ抑制 [ゼロよくせい] /(n) (comp) zero suppression/
ゼロ抑制機能 [ゼロよくせいきのう] /(n) (comp) zero suppression function/
ゼロ和ゲーム [ゼロわゲーム] /(n) zero-sum game/
ゼンスト /(n) (abbr) general strike/
ゼントルマン /(n) gentleman/
ソ /(n) soh/so/5th note in the tonic solfa representation of the diatonic scale/
ソーイング /(n) sewing/
ソーイングセット /(n) sewing kit/(P)/
ソーガム /(n) sorghum/
ソーキング /(n) soaking/
ソークワクチン /(n) Salk vaccine/
ソーサー /(n) saucer/
ソーサームサーイ /(n) saw sam sai (three-stringed Thai fiddle) (tha:)/
ソーサラー /(n) sorcerer/
ソーシャリスト /(n) socialist/
ソーシャリズム /(n) socialism/
ソーシャリゼーション /(n) socialization/
ソーシャル /(n) social/
ソーシャル・ネットワーキング・サービス /(n) social networking service/
ソーシャルアクション /(n) social action/
ソーシャルエコロジー /(n) social ecology/
ソーシャルエンジニアリング /(n) (comp) social engineering/
ソーシャルグループワーク /(n) social group work/
ソーシャルケースワーカー /(n) social caseworker/
ソーシャルケースワーク /(n) social casework/
ソーシャルコスト /(n) social cost/
ソーシャルスキル /(n) social skill/
ソーシャルスキルズトレーニング /(n) social skills training/
ソーシャルセキュリティー /(n) social security/
ソーシャルダンス /(n) social dancing/
ソーシャルダンピング /(n) social dumping/
ソーシャルネットワーキングサービス /(n) social networking service/
ソーシャルワーカー /(n) social worker/
ソーシャルワーク /(n) social work/
ソーシング /(n) sourcing (e.g. of components)/
ソース /(n) (1) sauce (esp. Worcestershire sauce)/(2) source/(P)/
ソースイメージ /(n) (comp) source image/
ソースコード /(n) (comp) source-code/
ソースコード管理システム [ソースコードかんりシステム] /(n) (comp) source code control system/
ソーストラヒック /(n) (comp) source traffic/
ソースドライブ /(n) (comp) source drive/
ソースパン /(n) saucepan/
ソースファイル /(n) source file/
ソースプログラム /(n) (comp) source program/
ソースモジュール /(n) (comp) source module/
ソースルーティング /(n) (comp) source routing/
ソースルート /(n) (comp) source route/
ソースレベル互換 [ソースレベルごかん] /(n) (comp) source level compatible/
ソース顔 [ソースがお] /(n) someone with a slender chin/
ソーセージ /(n) sausage/(P)/
ソーター /(n) sorter/
ソーダ /(n) (uk) soda (dut:)/
ソーダガラス /(n) (abbr) soda-lime glass/
ソーダクラッカー /(n) soda cracker/
ソーダパルプ /(n) soda pulp/
ソーダファウンテン /(n) soda fountain/
ソーダフロート /(n) soda float/
ソーダ灰 [ソーダばい] /(n) soda ash/
ソーダ工業 [ソーダこうぎょう] /(n) alkali industry/
ソーダ水 [ソーダすい] /(n) soda water/
ソーダ石灰 [ソーダせっかい] /(n) soda lime/
ソーダ石灰ガラス [ソーダせっかいガラス] /(n) soda-lime-silica glass/soda-lime glass (most common type of glass)/
ソーティー /(n) sortie/
ソーティング /(n) sorting/
ソーテック /(n) (comp) SOTEC/
ソーテルヌ /(n) Sauternes (fre:)/
ソート /(n,vs) sort/
ソートキー /(n) (comp) sort key/
ソード /(n) sword/
ソードテール /(n) swordtail (Xiphophorus helleri)/
ソーナー /(n) sonar/
ソープ /(n) soap/(P)/
ソープオペラ /(n) soap opera/
ソープランド /(n) brothel where one can bathe with the prostitutes (wasei: soapland)/(P)/
ソープレスソープ /(n) (obsc) soapless soap (i.e. synthetic detergent)/
ソープレディ /(n) prostitute working at a soapland (wasei: soaplady)/
ソーホー /(n) (comp) SOHO/
ソーマ /(n) soma (san:)/
ソーラー /(n) solar/(P)/
ソーラーカー /(n) solar car/
ソーラーカーレース /(n) solar car race/
ソーラーコレクター /(n) solar collector/
ソーラーシステム /(n) solar system/
ソーラーセール /(n) solar sail/
ソーラーセイル /(n) solar sail/
ソーラーセル /(n) solar cell/solar battery/
ソーラーハウス /(n) solar house/
ソーラーパネル /(n) solar panel/
ソーラーパワー /(n) solar power/
ソーラープレーン /(n) solar plane/
ソーラーポンド /(n) solar pond (salty pond in which energy from solar energy accumulates in the lower layers, due to lack of convection)/
ソーラン節 [ソーランぶし] /(n) traditional work song of Hokkaido herring fishery workers, performed by school students in modern choreographed interpretations/
ソール /(n) (1) sole/(2) soul/
ソールミュージック /(n) soul music/
ソーン /(n) sone (unit of perceived loudness)/
ソアラ /(n) soarer/sailplane/
ソアラー /(n) soarer/sailplane/
ソアリング /(n) soaring/
ソイソース /(n) soy sauce/
ソイルセメント /(n) soil cement/
ソウダガツオ属 [ソウダガツオぞく] /(n) Auxis (genus of tuna)/
ソウハクヒ /(n) (uk) mulberry root bark (Morus alba)/
ソウメンカボチャ /(n) (uk) spaghetti squash/
ソウル /(n) (1) soul/(2) Seoul (in South Korea)/
ソウルジャズ /(n) soul jazz/
ソウルフード /(n) comfort food/soul food/
ソウルミュージック /(n) soul music/
ソケイ /(n) (uk) Spanish jasmine (Jasminum grandiflorum)/
ソケット /(n) socket/
ソケットサービス /(n) (comp) socket services/
ソケットサンナナマル /(n) (comp) Socket 370/
ソケットセブン /(n) (comp) Socket 7/
ソサイエティー /(n) society/
ソサエティ /(n) society/(P)/
ソサエティー /(n) society/
ソシアリスト /(n) socialist/
ソシアリスム /(n) socialism/
ソシアリズム /(n) socialism/
ソシアル /(n) social/
ソシアルワーカー /(n) social worker/(P)/
ソシオエコノミックス /(n) socioeconomics/
ソシオグラム /(n) sociogram/
ソシオバイオロジー /(n) sociobiology/
ソシオメトリー /(n) sociometry/
ソシオロジー /(n) sociology/
ソジウム /(n) sodium (Na) (ger: Natrium)/
ソステヌート /(n) sostenuto (ita:)/
ソックス /(n) socks/(P)/
ソックパペット /(n) sock puppet/
ソッコー /(n) (sl) (finishing something) suddenly/abruptly/
ソップ /(n) soup (dut: sop)/
ソテー /(n) saute (fre:)/
ソテツ /(n) (uk) Japanese sago palm (species of cycad, Cycas revoluta)/
ソテツ科 [ソテツか] /(n) Cycadaceae (plant family)/(common name) the cycad family/
ソテツ目 [ソテツもく] /(n) Cycadales (order of plants)/
ソディウム /(n) sodium/
ソトイワシ /(n) (uk) bonefish (Albula vulpes)/banana fish/ladyfish/
ソトワール /(n) sautoir/long necklace (longer than opera-length), often with an ornament (tassel or pendant) at the end/
ソドミー /(n) sodomy/
ソナー /(n) sonar/
ソナグラム /(n) sonagram/
ソナタ /(n) sonata (ita:)/(P)/
ソナタ形式 [ソナタけいしき] /(n) sonata form/
ソナチネ /(n) sonatina (ita:)/
ソニー /(n) Sony/(P)/
ソニック /(n) sonic/
ソニックブーム /(n) sonic boom/
ソネット /(n) (1) sonnet/(2) (comp) SONET/SO-NET/
ソノグラフ /(n) sonograph/
ソノシート /(n) Sonosheet/sound sheet/flexible (phonograph) record/
ソノブイ /(n) sonobuoy/
ソノリティ /(n) sonority/
ソハールサージャンフィッシュ /(n) sohal surgeonfish (Acanthurus sohal, species of tang found from the Red Sea to the Persian Gulf)/Red Sea surgeonfish/sohal tang/
ソハールサージョンフィッシュ /(n) sohal surgeonfish (Acanthurus sohal, species of tang found from the Red Sea to the Persian Gulf)/Red Sea surgeonfish/sohal tang/
ソバット /(n) kick-fighting (fre: savate)/French boxing/
ソビエト /(n) Soviet Union/(P)/
ソビエト共産党 [ソビエトきょうさんとう] /(n) Communist Party of the Soviet Union/
ソビエト社会主義共和国 [ソビエトしゃかいしゅぎきょうわこく] /(n) soviet socialist republic/SSR/
ソビエト社会主義自治共和国 [ソビエトしゃかいしゅぎじちきょうわこく] /(n) autonomous soviet socialist republic/ASSR/
ソビエト連邦 [ソビエトれんぽう] /(n) (abbr) Soviet Union/USSR/
ソファ /(n) sofa/couch/(P)/
ソファー /(n) sofa/couch/(P)/
ソファーベッド /(n) sofa bed/sofa-bed/sofabed/
ソフィスティケーション /(n) sophistication/
ソフィスティケート /(n,vs) sophistication (trans: sophisticate)/
ソフィスト /(n) sophist/
ソフト /(adj-na,adj-no) (1) soft/(n) (2) (abbr) soft hat/(3) (comp) (abbr) software/(P)/
ソフトＳＡ [ソフトエスエー] /(n) (comp) soft SA/
ソフトウェア /(n) software/(P)/
ソフトウェアエンジニア /(n) (comp) software engineer/
ソフトウェアエンジニアリング /(n) (comp) software engineering/SE/
ソフトウェアガイド /(n) (comp) software guide/
ソフトウェアキーボード /(n) (comp) software keyboard/
ソフトウェアスクロール /(n) (comp) software scroll/
ソフトウェアスタック /(n) software-stack/
ソフトウェアディベロッパキット /(n) (comp) software developer kit/
ソフトウェアハウス /(n) (comp) software house/
ソフトウェアパッケージ /(n) (comp) software package/
ソフトウェアフロー制御 [ソフトウェアフローせいぎょ] /(n) (comp) software flow control/
ソフトウェアモデム /(n) (comp) software modem/
ソフトウェアライセンス /(n) (comp) software license/
ソフトウェア開発 [ソフトウェアかいはつ] /(n) (comp) software development/
ソフトウェア割り込み [ソフトウェアわりこみ] /(n) (comp) software interrupt/
ソフトウェア許諾契約 [ソフトウェアきょだくけいやく] /(n) (comp) software license agreement/
ソフトウェア工学 [ソフトウェアこうがく] /(n) (comp) software engineering/
ソフトウェア構成 [ソフトウェアこうせい] /(n) (comp) software configuration/
ソフトウェア使用許諾契約 [ソフトウェアしようきょだくけいやく] /(n) (comp) software product license/
ソフトウェア使用契約 [ソフトウェアしようけいやく] /(n) (comp) software license agreement/
ソフトウェア支援 [ソフトウェアしえん] /(n) (comp) software support/
ソフトウェア製品 [ソフトウェアせいひん] /(n) (comp) software product/
ソフトウェア著作権の侵害 [ソフトウェアちょさくけんのしんがい] /(n) (comp) software piracy/
ソフトウェア品質 [ソフトウェアひんしつ] /(n) (comp) software quality/
ソフトウェア品質測定法 [ソフトウェアひんしつそくていほう] /(n) (comp) software quality metric/
ソフトウェア品質特性 [ソフトウェアひんしつとくせい] /(n) (comp) software quality characteristics/
ソフトウェア無線 [ソフトウェアむせん] /(n) software-defined radio/SDR/
ソフトウエア /(n) software/(P)/
ソフトエネルギーパス /(n) soft energy path/
ソフトエラー /(n) (comp) soft error/transient error/
ソフトカードミルク /(n) soft curd milk/
ソフトカバー /(n) soft-cover (book)/
ソフトカラー /(n) soft collar/
ソフトカレンシー /(n) soft currency/
ソフトクリーム /(n) soft serve ice cream (icecream) (wasei: soft cream)/
ソフトコーラル /(n) soft coral/
ソフトコピー /(n) (comp) soft copy/
ソフトコンタクトレンズ /(n) soft contact lens/
ソフトシャドウ /(n) soft shadow/
ソフトスキル /(n) good customer skills (wasei: soft skills)/good with people/well-spoken/
ソフトセクタリング /(n) (comp) soft sectoring/
ソフトセクタ式ディスク [ソフトセクタしきディスク] /(n) (comp) soft-sectored diskette/
ソフトタッチ /(n) soft touch/
ソフトテニス /(n) soft tennis (using soft rubber balls instead of hard yellow balls)/
ソフトドリンク /(n) soft drink/(P)/
ソフトハイフン /(n) (comp) soft hyphen/
ソフトハウス /(n) (comp) software house/
ソフトバンク /(n) SoftBank (Japanese telecommunications company)/
ソフトパッチ /(n,vs) (comp) soft patch/
ソフトパワー /(n) soft power/
ソフトフォーカス /(n) soft focus/
ソフトフォント /(n) (comp) soft font/
ソフトページブレーク /(n) (comp) soft page break/
ソフトボール /(n) softball/(P)/
ソフトランディング /(n) soft landing/
ソフトリターン /(n) (comp) soft return/
ソフトローン /(n) soft loan/
ソフト化 [ソフトか] /(n,vs) shift away from manufacturing to an information and service-based economy/
ソフト行末 [ソフトぎょうまつ] /(n) (comp) soft line terminator/
ソフト帽 [ソフトぼう] /(n) felt hat/
ソフホーズ /(n) sovkhoz (rus:)/state-owned Soviet farm/
ソブリンローン /(n) sovereign loan/
ソプラノ /(n) soprano (ita:)/(P)/
ソプラノ記号 [ソプラノきごう] /(n) soprano clef/
ソホーズ /(n) sovkhoz (rus:)/state-owned Soviet farm/
ソマトスタチン /(n) somatostatin/
ソマトトロピン /(n) somatotropin/
ソマリバタフライフィッシュ /(n) Somali butterflyfish (Chaetodon leucopleura)/
ソムリエ /(n) sommelier (sommeliere) (fre:)/waiter or waitress who manages and is an expert on wine/
ソムリエール /(n) sommelier (sommeliere) (fre:)/waiter or waitress who manages and is an expert on wine/
ソメワケイソハゼ /(n) blackbelly goby (Eviota nigriventris)/blackbelly pygmy goby/
ソメワケベラ /(n) bicolor cleaner wrasse (Labroides bicolor)/
ソユーズ /(n) Soyuz (Russian spacecraft)/(P)/
ソライロアサガオ /(n) (uk) grannyvine (species of morning glory, Ipomoea tricolor)/
ソラスズメダイ属 [ソラスズメダイぞく] /(n) Pomacentrus (genus of marine damselfish in the family Pomacentridae)/
ソラス条約 [ソラスじょうやく] /(n) safety of life at sea/SOLAS/
ソラニン /(n) solanin/
ソラリア /(n) solaria/solar area/
ソラリアム /(n) solarium/
ソラリス /(n) (comp) Solaris/
ソラリゼーション /(n) solarization/
ソリスト /(n) soloist (fre:)/(P)/
ソリダリティー /(n) solidarity/
ソリッド /(n) solid/
ソリッドギター /(n) solid guitar/
ソリッドステート /(adj-no) solid-state (e.g. circuitry)/
ソリッドタイヤ /(n) solid tire/
ソリッドモデル /(n) (comp) solid model/
ソリッド抵抗器 [ソリッドていこうき] /(n) solid resistor/
ソリトン /(n) soliton/
ソリハシシギ /(n) (uk) Terek sandpiper (Xenus cinereus)/
ソリハシセイタカシギ /(n) (uk) pied avocet (Recurvirostra avosetta)/
ソリューション /(n) solution (esp. to a problem)/
ソリューションプロバイダ /(n) (comp) solution provider/
ソル /(n) Sol/(P)/
ソルガム /(n) sorghum/
ソルゴー /(n) sorgo/
ソルジャー /(n) soldier/
ソルダーリング /(n) soldering/
ソルダム /(n) soldum/
ソルダリング /(n) soldering/
ソルティドッグ /(n) salty dog (cocktail)/
ソルト /(n) (1) Strategic Arms Limitation Talks/SALT/(2) salt/
ソルトリーフ /(n) salt leaf (var. of ice plant)/
ソルバー /(n) (comp) solver/
ソルビトール /(n) sorbitol (artificial sweetener)/
ソルビン酸 [ソルビンさん] /(n) sorbic acid/
ソルベ /(n) sorbet (fre:)/
ソルベンシーマージン /(n) solvency margin/
ソルベン率 [ソルベンりつ] /(n) solvency ratio/
ソレアイト /(n) tholeiite/
ソレイユ /(n) (1) sun (fre: soleil)/(2) sunflower (Helianthus annuus)/
ソレノイド /(n) solenoid/
ソロ /(n,adj-no) solo (ita:)/(P)/
ソロアルバム /(n) solo album/
ソロイスト /(n) soloist (fre:)/
ソロイモンガラ /(n) black durgon (durgeon) (Melicthys niger)/
ソロプチミスト /(n) soroptimist/
ソロレート /(n) sororate/
ソロレート婚 [ソロレートこん] /(n) sororate marriage/
ソワレ /(n) (1) soiree (fre:)/evening party/evening performance/(2) evening dress/
ソンクラーン /(n) Thai New Year (tha: songkrang)/
ソング /(n) song/(P)/
ソングポスト /(n) song post/
ソンブレロ /(n) sombrero (spa:)/
ソンミ事件 [ソンミじけん] /(n) My Lai Massacre/Son My Massacre/
ソンミ村虐殺事件 [ソンミむらぎゃくさつじけん] /(n) My Lai Massacre/Son My Massacre/
ソヴィエト /(n) Soviet/
ソヴィエト連邦 [ソヴィエトれんぽう] /(n) (abbr) Soviet Union/USSR/
ソ連 [ソれん] /(n,adj-no) (abbr) (former) Soviet Union/Union of Soviet Socialist Republics/USSR/(P)/
ソ連圏 [ソれんけん] /(n) Soviet bloc (defunct)/
ソ連邦 [ソれんぽう] /(n) (abbr) (former) Soviet Union/USSR/
ゾース /(n) zorse/
ゾーディアック /(n) zodiac/
ゾーニング /(n) zoning/
ゾープ /(n) (comp) Zope/
ゾーン /(n) zone/(P)/
ゾーンディフェンス /(n) zone defense/
ゾーンパンチ /(n) (comp) zone punch/
ゾーンメルティング /(n) zone melting/
ゾーン形式 [ゾーンけいしき] /(n) (comp) zoned format/
ゾイサイト /(n) zoisite/
ゾゥァラジカル /(adj-f) zoological/
ゾゥアラジィ /(n) zoology/
ゾウアラジカル /(adj-f) zoological/
ゾウオロジー /(n) zoology/
ゾウガメ /(n) (uk) giant tortoise/
ゾウゲヤシ /(n) (uk) ivory palm (Phytelephas macrocarpa)/
ゾウディアック /(n) zodiac/
ゾウン /(n) zone/
ゾエア /(n) zoea/
ゾッと /(adv,n,vs) (on-mim) shiver/shudder/
ゾディアック /(n) zodiac/
ゾル /(n) sol (ger: Sol)/colloidal suspension/
ゾロ /(n) (abbr) generic drug/
ゾロアスター /(n) Zoroaster/
ゾロアスター教 [ゾロアスターきょう] /(n) Zoroastrianism/
ゾロ薬 [ゾロやく] /(n) (col) generic drug/
ゾンデ /(n) (1) sonde (ger: Sonde)/balloon-borne radio instrument/(2) probe (medical)/sound/(3) gavage/feeding through a tube/
ゾンビ /(n) zombie/
ゾンビ会社 [ゾンビかいしゃ] /(exp) zombie businesses (firms that would have failed but for government intervention)/
ターキー /(n) turkey/
タークス・カイコス諸島 [タークス・カイコスしょとう] /(n) (p) Turks and Caicos Islands/
タークスカイコス諸島 [タークス・カイコスしょとう] /(n) (p) Turks and Caicos Islands/
ターゲット /(n) target/(P)/
ターゲットゾーン /(n) target zone/
ターゲットドライブ /(n) (comp) target drive/
ターゲットマーケティング /(n) targeted marketing/
ターコイズ /(n) turquoise/
ターコイズブルー /(n) turquoise blue/
タータン /(n) tartan/
タータンチェック /(n) tartan (i.e. plaid pattern or fabric) (wasei: tartan check)/
タート /(n) tart/
タートル /(n) (comp) turtle/
タートルネック /(n,adj-no) turtleneck/turtle-necked sweater/polo-neck(ed) sweater/
ターナー症候群 [ターナーしょうこうぐん] /(n) Turner's syndrome/
ターニップ /(n) turnip/
ターニング /(n) turn (from turning)/revolution/rotation/
ターニングポイント /(n) turning point/
ターバン /(n) turban/
ターパン /(n) tarpan (extinct subspecies of wild horse, Equus ferus ferus)/
タービダイト /(n) turbidite/
タービン /(n) turbine/(P)/
タービンエンジン /(n) turbine engine/
ターフ /(n) turf/
ターフコース /(n) turf course/
ターフル /(n) table (dut: tafel)/
ターボ /(n) turbo/(P)/
ターボジェット /(n) turbojet (engine)/
ターボジェットエンジン /(n) turbojet engine/
ターボチャージャー /(n) turbocharger/
ターボット /(n) turbot/
ターボファン /(n) turbofan/
ターボプロップ /(n) turboprop (engine)/turbo-propeller engine/
ターボリナックス /(n) (comp) Turbo Linux/
ターポン /(n) tarpon/
ターミナル /(n) terminal/(P)/
ターミナルアダプタ /(n) (comp) terminal adapter/TA/
ターミナルアダプター /(n) (comp) terminal adapter/
ターミナルエミュレーション /(n) (comp) terminal emulation/
ターミナルエミュレータ /(n) (comp) terminal emulator/
ターミナルケア /(n) terminal care/
ターミナルビル /(n) (airport) terminal building/
ターミネータ /(n) terminator/
ターミネーター /(n) terminator/
ターミネイタ /(n) terminator/
ターミノロジー /(n) terminology/
ターム /(n) term/
タームローン /(n) term loan/
ターメリック /(n) turmeric/
タール /(n) tar/(P)/
タールサンド /(n) tar sand/
タールピッチ /(n) tar pitch/
タール癌 [タールがん] /(n) tar cancer/tar carcinoma/
タール色素 [タールしきそ] /(n) tar dye/
ターレット /(n) turret/
ターン /(n,vs) turn/(P)/
ターンアラウンドタイム /(n) (comp) turnaround time/
ターンオン安定時間 [ターンオンあんていじかん] /(n) (comp) turn-on stabilizing time/
ターンキーソリューション /(n) (comp) turnkey solution/
ターンキー方式輸出 [ターンキーほうしきゆしゅつ] /(n) turnkey export/
ターンテーブル /(n) turntable/
ターンバックル /(n) turnbuckle/
ターンパイク /(n) turnpike (road)/
タイ /(n) (1) (uk) sea bream (Sparidae)/porgy/(2) tai (species of reddish-brown Pacific sea bream, Pagrus major)/(P)/
タイ /(n) (uk) Thailand/(P)/
タイ /(n) tie/(P)/
タイア /(n) tire/tyre/
タイアップ /(n,vs) tie-up/(P)/
タイアップ番組 [タイアップばんぐみ] /(n) tie-up program/tie-up programme/
タイカラー /(n) four-in-hand (type of necktie)/
タイガー /(n) tiger (feline, Panthera tigris)/
タイガー・ショベルノーズ・キャットフィッシュ /(n) tiger shovelnose catfish (Pseudoplatystoma fasciatum)/barred sorubim/
タイガーエンジェルフィッシュ /(n) tiger angelfish (Apolemichthys kingi)/
タイガーシャーク /(n) tiger shark (Galeocerdo cuvier)/
タイガーショベルノーズキャットフィッシュ /(n) tiger shovelnose catfish (Pseudoplatystoma fasciatum)/barred sorubim/
タイガース /(n) Tigers (usu. sports team)/
タイゲーム /(n) tie game/(P)/
タイコウチ /(n) (uk) Laccotrephes japonensis (species of water scorpion)/
タイゴン /(n) tigon (offspring of a male tiger and a female lion)/tiglon/
タイサンボク /(n) evergreen magnolia/Southern magnolia/Magnolia grandiflora/
タイショク /(n) body color/
タイセイヨウクロマグロ /(n) (uk) northern bluefin tuna (Thunnus thynnus)/Atlantic bluefin tuna/
タイセイヨウサケ /(n) (uk) Atlantic salmon (Salmo salmar)/
タイセイヨウセミクジラ /(n) (uk) North Atlantic right whale (Eubalaena glacialis)/
タイセイヨウニシン /(n) (uk) Atlantic herring (Clupea harengus)/
タイタック /(n) tie tack/
タイタン /(n) Titan/
タイダル /(n) tidal/
タイツ /(n) tights/(P)/
タイト /(adj-na,n) tight/(P)/
タイトスカート /(n) tight (straight) skirt/
タイトバック /(n) tight back/
タイトラー /(n) video titler/
タイトリージョン /(n) (comp) title-region/
タイトル /(n) title/(P)/
タイトルチューン /(n) title song (of a RECORD) (wasei: title tune)/
タイトルバー /(n) (comp) title bar/
タイトルバック /(n) (abbr) film credits (wasei: title background)/
タイトルページ /(n) title page/
タイトルホルダー /(n) titleholder/
タイトルマスタ /(n) (comp) title master/
タイトルマッチ /(n) title match/
タイトルリージョン /(n) title-region/
タイトルロール /(n) title role/
タイトル戦 [タイトルせん] /(n) title fight/championship match/
タイトロープ /(n) tightrope/
タイドプール /(n) tide pool/
タイドローン /(n) tied loan/
タイバック /(n) tie-back/tieback/
タイパン /(n) taipan (Oxyuranus scutellatus)/
タイピスト /(n) typist/(P)/
タイピン /(n) tiepin/
タイピング /(n) typing/
タイフーン /(n) typhoon/
タイブレーカ /(n) tiebreaker/
タイブレーカー /(n) tiebreaker/
タイブレーク /(n) tie break/
タイプ /(n,vs) (1) type/kind/sort/style/(2) (abbr) typewriter/typing/(P)/
タイプイン /(n,vs) (comp) type in/
タイプスタイル /(n) (comp) type style/
タイプセッター /(n) (comp) typesetter/
タイプファミリ /(n) (comp) type family/
タイプフェース /(n) (comp) typeface/
タイプミス /(n) typographical error (wasei: type miss)/typo/
タイプライタ /(n) typewriter/
タイプライター /(n) typewriter/(P)/
タイプライブラリ /(n) (comp) type library/
タイプ練習 [タイプれんしゅう] /(n) typing practice/
タイポ /(n) typo/typographical error/
タイポグラフィ /(n) typography/
タイポグラフィー /(n) typography/
タイマ /(n) (comp) timer/clock register/
タイマー /(n) (comp) timer/clock register/(P)/
タイマイ /(n) (uk) hawksbill turtle (Eretmochelys imbricata)/
タイマン /(n) (sl) one to one (battle, competition, etc.)/
タイミング /(n) timing/(P)/
タイミングチャート /(n) (comp) timing chart/
タイミング信号 [タイミングしんごう] /(n) (comp) timing signal/
タイミング図 [タイミングず] /(n) (comp) timing chart/
タイム /(n) (1) time/(2) thyme/(P)/
タイムアウト /(n) timeout/
タイムアップ /(exp) time is up/
タイムインテリジェンス /(n) (comp) time intelligence/
タイムカード /(n) time-card/
タイムカプセル /(n) time capsule/
タイムキーパー /(n) time-keeper/
タイムコード /(n) (comp) time code/
タイムシート /(n) time-sheet/
タイムシェアリング /(n) (comp) time sharing/
タイムシェアリングシステム /(n) (comp) time sharing system/TSS/
タイムシフト /(n) time-shift/
タイムスイッチ /(n) time-switch/
タイムスケジュール /(n) time schedule/
タイムスタンプ /(n) (1) time-stamp/(2) time-stamping machine/(P)/
タイムスタンプカウンタ /(n) (comp) time stamp counter/
タイムスライシング /(n) (comp) time slicing/
タイムスライス /(n) (comp) time slice/
タイムスリップ /(n,vs) time slip (into the past or future)/
タイムズ /(n) times/(P)/
タイムセール /(n) special offers available for a limited time of the day (wasei: time sale)/(P)/
タイムテーブル /(n) timetable/
タイムトライアル /(n) time trial/
タイムトライアルロードレース /(n) time trial road race/
タイムトラベル /(n) time travel/
タイムトリップ /(n,vs) time travel (wasei: time trip)/
タイムトンネル /(n) time tunnel/
タイムパス /(n) (comp) Tympass/
タイムフェンス /(n) (comp) time fence/
タイムマシーン /(n) time machine/
タイムマシン /(n) time machine/(P)/
タイムライン /(n) (comp) timeline/
タイムラグ /(n) time lag/
タイムリ /(adj-na) (1) timely/(n) (2) run-batted-in (baseball)/RBI/
タイムリー /(adj-na) (1) timely/(n) (2) run-batted-in (baseball)/RBI/(P)/
タイムリーヒット /(n) run-batted-in hit (baseball) (wasei: timely hit)/RBI hit/good hitting in which a run is scored/
タイムリエラー /(n) error which directly allows a run to score (baseball)/
タイムリヒット /(n) run-batted-in hit (baseball) (wasei: timely hit)/RBI hit/good hitting in which a run is scored/
タイムリミット /(n) time limit/
タイムレース /(n) time race/
タイムレコーダー /(n) time clock/time recorder/
タイムワーク /(n) timework/
タイムワープ /(n) time warp/
タイム誌 [タイムし] /(n) Time magazine/
タイヤ /(n) tire/tyre/(P)/
タイヤチェーン /(n) tire chain/
タイヤローラー /(n) tire roller/
タイヨウチョウ /(n) (uk) sunbird (any bird in the family Nectariniidae)/
タイヨウチョウ /(n) (uk) sunset morpho (butterfly, Morpho hecuba)/
タイラギ /(n) fan mussel (species of pen shell, Atrina pectinata)/
タイラノザウルス /(n) Tyrannosaurus Rex (lat:)/
タイラント /(n) tyrant/
タイリクモモンガ /(n) (uk) Siberian flying squirrel (Pteromys volans)/
タイリング /(n) (comp) tiling/
タイリングウィンドウ方式 [タイリングウィンドウほうしき] /(n) (comp) tiling window method/
タイル /(n) (1) tile/(2) coating/(P)/
タイル方式 [タイルほうしき] /(n,adj-no) (comp) tiling/
タイワンキンギョ /(n) (uk) paradise fish (Macropodus opercularis)/
タイワンザメ /(n) graceful catshark (Proscyllium habereri, found in the Western Pacific)/
タイワンザメ科 [タイワンザメか] /(n) Proscylliidae (family of finback catsharks containing 7 species in 4 genera)/
タイワンザメ属 [タイワンザメぞく] /(n) Proscyllium (genus of finback catshark in the family Proscylliidae)/
タイワンジカ /(n) Formosan sika/Taiwan sika (Cervus nippon taiouanus)/
タイワンスズメダイ /(n) twinspot chromis (Chromis elerae)/
タイワンドジョウ /(n) (uk) blotched snakehead (species of fish, Channa maculata)/
タイワンヤジブカ /(n) pigeye shark (Carcharhinus amboinensis, species of tropical requiem shark)/
タイワンヤマイモ /(n) (obsc) water yam (Dioscorea alata)/winged yam/purple yam/
タイワンヤモリザメ /(n) blacktip sawtail catshark (Galeus sauteri, found in Japan, Taiwan and the Philippines)/
タイワンリス /(n) (uk) Taiwanese squirrel (subspecies of Pallas's squirrel, Callosciurus erythraeus thaiwanensis)/
タイ科 [タイか] /(n) the family Sparidae (tai)/
タイ記録 [タイきろく] /(n,adj-no) equal to the current record (in sports, etc.)/
タイ語 [タイご] /(n) Thai (language)/
タイ語派 [タイごは] /(n) Tai (branch of languages)/
タイ国 [タイこく] /(n) Thailand/
タイ人 [タイじん] /(n) Thai/person from Thailand/
タウナギ /(n) (uk) Asian swamp eel (Monopterus albus)/
タウリン /(n) taurine/
タウルケット /(ik) (n) type of bed linen resembling a large beach towel and used to cover oneself in hot weather (wasei: towel blanket)/
タウン /(n) town/(P)/
タウンウェア /(n) townwear/
タウンウエア /(n) townwear/
タウンシップ /(n) township/
タウンハウス /(n) town house/
タウンページ /(n) Town Page (NTT yellow pages)/
タウンミーティング /(n) town meeting/
タウ粒子 [タウりゅうし] /(n) tau particle/tau lepton/
タオル /(n) (hand) towel/(P)/
タオルを投げる [タオルをなげる] /(exp,v1) to throw in the towel/
タオルケット /(n) type of bed linen resembling a large beach towel and used to cover oneself in hot weather (wasei: towel blanket)/
タオル地 [タオルじ] /(n) terrycloth/towelling/toweling/
タカサゴ /(n) (uk) double-lined fusilier (Pterocaesio digramma)/
タカサゴスズメダイ /(n) Weber's chromis (Chromis weberi)/
タカサゴヒメジ /(n) cinnabar goatfish (Parupeneus heptacanthus)/small-spot goatfish/
タカジアスターゼ /(n) Taka-Diastase/Takadiastase (brand-name form of diastase)/
タカネザクラ /(n) (uk) (obsc) Japanese alpine cherry (Prunus nipponica)/
タカネナナカマド /(n) (uk) Siberian mountain ash (Sorbus sambucifolia)/
タカノツメ /(n) (1) (uk) Gamblea innovans (species of deciduous tree)/(2) extremely spicy form of chili pepper/(3) variety of high-quality green tea/
タカノハダイ /(n) (uk) spottedtail morwong (Goniistius zonatus)/
タカハヤ /(n) (uk) Chinese minnow (Phoxinus oxycephalus)/
タカベ /(n) (uk) Labracoglossa argentiventris (species of knifefish)/
タカヨモギ /(n) (uk) Artemisia selengensis/
タカラガイ /(n) (uk) cowrie/cowry/
タカ派 [タカは] /(n) hawks/hardline faction/
タカ蓬 [タカよもぎ] /(n) (uk) Artemisia selengensis/
タカ艾 [タカよもぎ] /(n) (uk) Artemisia selengensis/
タガメ /(n) (uk) Lethocerus deyrollei (species of giant water bug)/
タガログ語 [タガログご] /(n) Tagalog (language)/
タガログ族 [タガログぞく] /(n) Tagalog (people)/
タキオン /(n) tachyon/
タキゲンロクダイ /(n) highfin butterflyfish (Coradion altivelis)/highfin coralfish/altivelis butterfly/
タキゲンロクダイ属 [タキゲンロクダイぞく] /(n) Coradion (genus of tropical fish in the family Chaetodontidae)/
タキシー /(n) taxi/
タキシード /(n) tuxedo/dinner suit/(P)/
タキストスコープ /(n) tachistoscope/
タキベラ /(n) golden-spot hogfish (Bodianus perditio)/
タキベラ属 [タキベラぞく] /(n) Bodianus (genus of wrasses in the family Labridae)/
タキメーター /(n) tachymeter/
タクる /(v5r) (sl) to catch a taxi/to take a taxi/
タクシー /(n) taxi/(P)/
タクシーに乗る [タクシーにのる] /(exp,v5r) to take a taxi/
タクシーメーター /(n) taximeter/
タクシー乗り場 [タクシーのりば] /(n) taxi rank/
タクティック /(n) tactic/
タクティックス /(n) tactics/
タクト /(n) baton (ger: Taktstock)/
タクトシステム /(n) tact system/
タクトタイム /(n) cycle time (wasei: takt time)/
タグ /(n) tag/
タグＲＡＭ [タグラム] /(n) (comp) Tag Random Access Memory/
タグジャンプ /(n) (comp) tag jump/
タグボート /(n) tugboat/(P)/
タグマッチ /(n) tag match/
タグライン /(n) tag line/tagline/
タグ付き [タグつき] /(n) (comp) tagged (as in a tagged cell)/
タグ付き型 [タグつきがた] /(n) (comp) tagged type/
タグ付け [タグつけ] /(n) (comp) tagging/
タケガラス /(n) (uk) (obsc) spotted nutcracker (Nucifraga caryocatactes)/
タケノコ継手 [タケノコつぎて] /(n) barb fitting/barbed tubing connection/
タゲリ /(n) (uk) northern lapwing (Vanellus vanellus)/green plover/pewit/peewit/
タコ /(n) octopus/
タコイカ /(n) (uk) boreopacific armhook squid (Gonatopsis borealis)/
タコグラフ /(n) tachograph/
タコジェネ /(n) (abbr) tachogenerator/
タコス /(n) tacos/
タコノアシ /(n) (uk) Penthorum chinensis (species of saxifrage)/
タコノキ /(n) (uk) Pandanus boninensis (species of shrub)/
タコブネ /(n) (1) (uk) (col) eggcase (shell) of the winged argonaut/(2) winged argonaut (species of paper nautilus, Argonauta hians)/
タコメーター /(n) tachometer/
タコ足 [タコあし] /(adj-f,n) many-legged/octopus-like/
タコ足配線 [タコあしはいせん] /(n) overloading an electrical circuit/piggybacked electrical outlet/"octopus outlet"/
タシギ /(n) (uk) common snipe (Gallinago gallinago)/
タシロイモ /(n) (uk) taccad (any plant of family Taccaceae)/
タス /(n) TASS (Russian News Agency)/(P)/
タスキチョウチョウウオ /(n) French butterflyfish (Prognathodes guyanensis, was Chaetodon guyanensis)/Guyana butterflyfish/
タスキモンガラ /(n) reef triggerfish (Rhinecanthus rectangulus)/picasso triggerfish/
タスク /(n) task/(P)/
タスクスイッチ /(n) (comp) task switching/
タスクスイッチャ /(n) (comp) task switcher/
タスクバー /(n) (comp) task bar/
タスクフォース /(n) taskforce/
タスクマネージャ /(n) (comp) task manager/
タスマニアアボリジニ /(n) Tasmanian Aborigine/
タスマニアタイガー /(n) Tasmanian tiger/
タスマニアデビル /(n) Tasmanian devil (Sarcophilus harrisii)/
タスマニア狼 [タスマニアおおかみ] /(n) Tasmanian wolf/
タス通信 [タスつうしん] /(n) TASS News Agency/
タタキ /(n) (1) hard-packed dirt (clay, gravel, etc.) floor/concrete floor/(P)/
タダより高いものは無い [ただよりたかいものはない] /(exp) (id) Nothing costs as much as what is given to us/
タチ /(n) (col) dominant partner of a homosexual relationship/
タチアオイ /(n) (uk) hollyhock (Alcea rosea)/
タチウオ /(n) hairtail (Trichiurus lepturus)/scabbard fish/
タチジャコウソウ /(n) (uk) thyme/
タッキング /(n) tacking/
タック /(n) tack/(P)/
タックイン /(n) tuck in/
タックシール /(n) (comp) tack seal/
タックス /(n) tax/
タックス・ヘイブン /(n) tax haven/
タックス・ヘイヴン /(n) tax haven/
タックスフリー /(adj-no) tax free/
タックスヘイブン /(n) tax haven/
タックスヘイヴン /(n) tax haven/
タックル /(n,vs) tackle (ball game)/
タッグ /(n) tag/
タッグマッチ /(n) tag-team match (wrestling)/
タッセル /(n) tassel/
タッセルド・ウォビゴン /(n) tasselled wobbegong (Eucrossorhinus dasypogon, sole species of the carpet shark genus Eucrossorhinus)/
タッセルドウォビゴン /(n) tasselled wobbegong (Eucrossorhinus dasypogon, sole species of the carpet shark genus Eucrossorhinus)/
タッチ /(n,n-suf,vs) (1) touch/(n,vs) (2) being involved in/(P)/
タッチアウト /(n) tag out (baseball) (wasei: touch out)/
タッチアップ /(n,vs) tag up (baseball) (wasei: touch up)/
タッチアンドゴー /(exp) touch and go/
タッチスクリーン /(n) (comp) touchscreen/
タッチタイピング /(n,vs) touch typing/
タッチタイプ /(n) (comp) touch typing/
タッチダウン /(n,vs) touchdown (as in rugby, etc.)/
タッチパッド /(n) (comp) touchpad/
タッチパネル /(n) (comp) touch panel/
タッチフットボール /(n) touch football/
タッチフリック /(n) (comp) touch flick/
タッチポインタ /(n) (comp) touch pointer/
タッチライン /(n) touchline/
タッチラグビー /(n) touch rugby/
タッチング /(n) tatting/
タッチングレース /(n) tatting lace/
タッパ /(n) plastic container usually for food (from Tupperware)/
タッパー /(n) plastic container usually for food (from Tupperware)/
タッパーウェア /(n) plastic container usually for food (from Tupperware)/
タッピングネジ /(n) (comp) self-tapping screws/
タップ /(n) tap/(P)/
タップダンサー /(n) tap dancer/
タップダンス /(n) tap dance/
タップミノー /(n) topminnow/
タツナミソウ /(n) (uk) Scutellaria indica (species of skullcap)/
タツノオトシゴ /(n) seahorse/sea horse/
タテゴトアザラシ /(n) (uk) harp seal (Phoca groenlandica)/
タテジマキンチャクダイ /(n) emperor angelfish (Pomacanthus imperator)/
タテハチョウ /(n) (uk) nymphalid (any butterfly of family Nymphalidae)/
タデ科 [タデか] /(n) Polygonaceae (plant family)/knotweed family/smartweed family/
タトゥー /(n,vs) tattoo/(P)/
タナグモ /(n) (uk) araneomorph funnel-web spider (any spider of family Agelenidae)/
タナゴ /(n) (uk) bitterling (any fish of subfamily Acheilognathinae, esp. species Acheilognathus melanogaster)/
タナトス /(n) Thanatos/
タナトロジー /(n) thanatology/
タナボタ /(n) (uk) godsend/windfall/
タニウツギ /(n) (uk) Weigela hortensis (species of deciduous shrub in the honeysuckle family)/
タニシ /(n) (uk) pond snail (Viviparidae spp.)/
タニノボリ科 [タニノボリか] /(n) Balitoridae (family comprising the river loaches)/
タヌキベラ /(n) striped pigfish (Bodianus izuensis)/
タネツケバナ /(n) (uk) woodland bittercress (Cardamine flexuosa)/wavy bittercress/
タバコ /(n) (uk) tobacco (por: tabaco)/cigarettes/(P)/
タバコ・モザイク病 [タバコ・モザイクびょう] /(n) tobacco mosaic/
タバコモザイク病 [タバコモザイクびょう] /(n) tobacco mosaic/
タバコ税 [タバコぜい] /(n) tobacco tax/cigarette tax/
タバコ入れ [タバコいれ] /(n) tobacco container (esp. a tobacco pouch)/
タバスコ /(n) Tabasco/jalapeno sauce/pepper sauce/
タパクロス /(n) tapa cloth/
タヒチバタフライフィッシュ /(n) Tahiti butterflyfish (Chaetodon trichrous)/Tahitian butterflyfish/
タヒバリ /(n) (uk) water pipit (Anthus spinoletta)/
タビビトノキ /(n) (uk) traveller's tree (Ravenala madagascariensis)/traveller's palm/
タビラコ /(n) (uk) Japanese nipplewort (Lapsanastrum apogonoides)/
タピ /(n) (comp) TAPI/
タピオカ /(n) tapioca/
タピストリー /(n) tapestry/
タフ /(adj-na,n) tough/(P)/
タフィー /(n) taffy/
タフガイ /(n) tough guy/
タフタ /(n) taffeta/
タフト /(n) tuft/
タフネス /(n) toughness/
タブ /(n) (1) tab (character)/(2) tabulation alignment/tabulation/(3) tub/
タブー /(n) taboo/(P)/
タブカラー /(n) tab collar/
タブキー /(n) (comp) tab key/
タブコード /(n) (comp) tab code/
タブストップ /(n) (comp) tabulation stop/tab stop/
タブブラウズ /(n) (comp) tabbed browsing/
タブラ /(n) tabla (Indian hand drums) (hin:)/
タブラチュア /(n) tablature/
タブララサ /(n) tabula rasa (lat:)/
タブレット /(n) tablet/
タブレットＰＣ [タブレットピーシー] /(n) tablet personal computer (tablet PC)/
タブレットペン /(n) (comp) tablet pen/
タブレットボタン /(n) (comp) tablet button/
タブロー /(n) tableau (fre:)/
タブロイド /(n) tabloid/(P)/
タブン /(n) tabun (nerve gas)/
タブ区切り [タブくぎり] /(n) (comp) tab delimited/
タブ停止位置 [タブていしいち] /(n) (comp) tabulation stop/
タブ文字 [タブもじ] /(n) (comp) tab character/
タペクリ /(n) (abbr) tappet clearance/
タペストリー /(n) tapestry/
タペット /(n) tappet/
タポタポ /(n) sound like tapping a soft belly/
タマーレ /(n) tamale (spa: tamal)/tamal/
タマーレス /(n) tamale (spa: tamal)/tamal/
タマオシコガネ /(n) (uk) (obsc) dung beetle/
タマカイ /(n) giant grouper (Epinephelus lanceolatus)/brindle bass/bumblebee grouper/Queensland grouper/
タマガイ /(n) (1) (uk) moon snail (Naticidae spp.)/moon shell/(2) (uk) Marten's pearl oyster (Pinctada fucata martensii)/Akoya pearl oyster/
タマガイ科 [タマガイか] /(n) Naticidae (family of molluscs comprising the moon snails)/
タマキン /(n) (sl) balls/testicles/
タマゴテングタケ /(n) (uk) death cap (species of poisonous mushroom, Amanita phalloides)/death cup/
タマシギ /(n) (uk) painted snipe (Rostratula benghalensis)/
タマバエ /(n) (uk) gall midge (any insect of family Cecidomyiidae)/
タマバチ /(n) (uk) gall wasp (any insect of family Cynipidae)/
タマリン /(n) tamarin/
タマリンド /(n) tamarind (spa: tamarindo, por: tamarindo)/
タマレ /(n) tamale (spa: tamal)/tamal/
タマレス /(n) tamale (spa: tamal)/tamal/
タミフル /(n) Tamiflu (brand-name flu medication)/
タミル /(n) Tamil (people)/
タミル語 [タミルご] /(n) Tamil (language)/
タミル族 [タミルぞく] /(n) Tamil (people)/
タムシバ /(n) (uk) willow-leafed magnolia (Magnolia salicifolia)/anise magnolia/
タムタム /(n) (1) tam-tam/(2) tom-tom/
タメ /(n) (col) the same/
タメ語 [タメご] /(n) casual language/
タメ口 [タメぐち] /(n) casual talk/frank, unreserved speech/peer language/
タモ /(n) Japanese ash (Fraxinus mandshurica var. japonica)/
タモキシフェン /(n) tamoxifen/
タモロコ /(n) (uk) Gnathopogon elongatus (species of cyprinid)/
タラ /(n) (1) gadid (any fish of the family Gadidae, inc. cod, haddock, whiting and pollack)/(2) Pacific cod (Gadus macrocephalus)/
タラ /(n) Japanese angelica tree (Aralia elata)/
タラの木 [タラのき] /(n) (uk) devil's walking stick (tree) (Aralia elata)/Japanese angelica tree/
タラゴン /(n) tarragon/
タラップ /(n) gangway (dut: trap)/ramp/
タラノキ /(n) (uk) devil's walking stick (tree) (Aralia elata)/Japanese angelica tree/
タラバガニ /(n) (uk) red king crab (Paralithodes camtschaticus)/
タラレバ /(n) what if (as in What If stories)/
タランチュラ /(n) tarantula/
タランテラ /(n) tarantella (ita:)/
タラント /(n) talent/
タラ子 [タラこ] /(n) cod roe (roe of any fish from family Gadidae, esp. salted walleye pollack roe)/
タラ戦争 [タラせんそう] /(n) Cod Wars (conflicts between the United Kingdom and Iceland regarding fishing rights (1958, 1971, 1975))/
タリー /(n) (comp) tally/
タリアテッレ /(n) tagliatelle (ita:)/
タリウム /(n,adj-no) thallium (Tl)/(P)/
タリスマン /(n) talisman/
タリズマン /(n) talisman/
タリバン /(n) Taliban (Afghani fundamentalist Muslim group)/Taleban/
タリフ /(n) tariff/
タリフエスカレーション /(n) tariff escalation/
タリ活用 [タリかつよう] /(n) classical form of na-adjective inflection formed by contraction of the particle "to" with the classical verb "ari" ("aru")/
タルカムパウダー /(n) talcum powder/
タルカン /(n) talcum/
タルク /(n) talc/(P)/
タルタル /(n) tartar/tartare/
タルタルステーキ /(n) steak tartare (wasei: tartar steak)/
タルタルソース /(n) tartar sauce (tartare)/
タルト /(n) (1) tart (fre: tarte)/(2) roll of sponge cake with sweetened beans (dut: taart)/
タルトレット /(n) tartelette/
タルムード /(n) Talmud (heb:)/
タレソース /(n) tare sauce/
タレッジョ /(n) taleggio/
タレット旋盤 [タレットせんばん] /(n) turret lathe/
タレント /(n) star (esp. television) (from talent)/personality/(P)/
タレントマネー /(n) talent-money/
タロウ /(n) (1) tallow/(2) taro/
タロット /(n) tarot/
タロットカード /(n) tarot/tarot card/
タロ芋 [タロいも] /(n) taro (Colocasia esculenta)/cocoyam/dasheen/
タワー /(n) tower/(P)/
タワークレーン /(n) tower crane/
タワーレコード /(n) Tower Records (company)/
タワー型 [タワーがた] /(n) (comp) tower configuration/
タワドリ /(n) Tower Dream (game)/
タワラグミ /(n) (uk) Elaeagnus multiflora var. hortensis (variety of goumi)/
タワレコ /(n) (abbr) Tower Records (company)/
タン /(n) tongue/(P)/
タンカー /(n) tanker/(P)/
タンギング /(n) tonguing/
タンク /(n) tank/(P)/
タンクトップ /(n) tank top/
タンクブリージング /(n) (scuba) tank breathing/
タンクローリ /(n) tanker (wasei: tank lorry)/tanker truck/(P)/
タンクローリー /(n) tanker (wasei: tank lorry)/tanker truck/
タンク車 [タンクしゃ] /(n) tank car/tank truck/
タングステン /(n) tungsten (W)/
タングステン鋼 [タングステンこう] /(n) tungsten steel/
タングステン酸 [タングステンさん] /(n) tungstic acid/
タングステン酸塩 [タングステンさんえん] /(n) tungstate/
タングステン電球 [タングステンでんきゅう] /(n) tungsten lamp/tungsten bulb/
タングラム /(n) tangram/
タンゲント /(ik) (n) tangent/
タンゴ /(n) tango/dance form (from Argentina)/
タンザニア /(n) Tanzania/(P)/
タンシチュー /(n) stewed tongue/
タンジェリン /(n) tangerine/
タンジェント /(n) tangent/
タンジブル /(adj-f) tangible/
タンタライト /(n) tantalite (mineral containing tantalum and niobium)/
タンタラム /(n) tantalum/
タンタル /(n,adj-no) tantalum (Ta) (ger: Tantal)/
タンタン麺 [タンタンめん] /(n) Szechuan dish of noodles covered with a sauce of sesame paste and chili oil (chi: dan dan mian)/
タンタン麺 [タンタンメン] /(n) Szechuan dish of noodles covered with a sauce of sesame paste and chili oil (chi: dan dan mian)/
タンダー /(n) tender/
タンチョウ /(n) (uk) red-crowned crane/Japanese crane (Grus japonensis)/
タンチョウヅル /(n) (uk) red-crowned crane/Japanese crane (Grus japonensis)/
タンデム /(n) tandem/(riding with a) passenger on a motorcycle/(P)/
タンデムスプリント /(n) (abbr) tandem bicycle sprint/
タントラ /(n) tantra/
タンドーリチキン /(n) tandoori chicken/
タンドール /(n) tandoor/
タンドリーチキン /(n) Tandoori chicken/
タンドリチキン /(n) Tandoori chicken/
タンナー /(n) tanner (person who tans animal hides)/
タンニン /(n,adj-no) tannin/
タンニン酸 [たんにんさん] /(n) tannic acid/tannin/
タンバリン /(n) tambourine/
タンパク質 [タンパクしつ] /(n) protein/
タンパク質分解酵素 [タンパクしつぶんかいこうそ] /(n) protease/
タンパク消化酵素 [タンパクしょうかこうそ] /(n) protein-digesting enzyme/
タンパク同化ステロイド [タンパクどうかステロイド] /(n) anabolic steroid/
タンブール /(n) tambour (fre:)/
タンブラー /(n) (1) tumble dryer/tumbler/tumbler dryer/(2) drinking cup/
タンブラースイッチ /(n) tumbler switch/
タンブラン /(n) tambourin (fre:)/
タンブリング /(n) tumbling/
タンプラー /(n) (1) tumble dryer/tumbler/tumbler dryer/(2) drinking cup/
タンポ /(n) pad/wad/wadding/
タンポポ /(n) (uk) dandelion (esp. species Taraxacum platycarpum)/
タンポン /(n) tampon (ger: Tampon)/
タ行 [タぎょう] /(n) classification for Japanese verb with the dictionary form ending in "tsu"/"ta" column or row of the kana syllabary/
ダー /(n) (abbr) (sl) darling/
ダーウィニズム /(n) Darwinism/
ダーウィンフィンチ /(n) Darwin's finches/
ダーウィンレア /(n) Darwin's rhea (Rhea pennata)/
ダーウイン /(n) Darwin/(P)/
ダーク /(adj-na,n) dark/(P)/
ダーク・ゴースト・フィッシュ /(n) dark ghost shark (Hydrolagus novaezealandiae, a shortnose chimaera endemic to New Zealand)/
ダーク・スーツ /(n) dark (menswear) suit (midnight blue, black, etc.)/
ダークエージ /(n) dark age/the Dark Ages/
ダークエネルギー /(n) dark energy/
ダークゴーストフィッシュ /(n) dark ghost shark (Hydrolagus novaezealandiae, a shortnose chimaera endemic to New Zealand)/
ダークサージャン /(n) ringtail surgeonfish (Acanthurus blochii, species of tang from the Indo-Pacific)/blue-banded pualu/dark surgeon/tailring surgeonfish/
ダークサージョン /(n) ringtail surgeonfish (Acanthurus blochii, species of tang from the Indo-Pacific)/blue-banded pualu/dark surgeon/tailring surgeonfish/
ダークサイド /(n) dark side/
ダークスーツ /(n) dark (menswear) suit (midnight blue, black, etc.)/
ダークステージ /(n) dark stage/
ダークチェンジ /(n) dark change/
ダークファイバ /(n) (comp) dark fiber/
ダークファイバー /(n) dark fiber/dark fibre/
ダークブルー /(n,adj-no) dark blue/
ダークホース /(n) dark horse/
ダークマター /(n) dark matter/
ダーシ /(n) dash/
ダーツ /(n) darts/
ダーティー /(adj-na) dirty (often as in underhand, immoral, illegal)/
ダーティーフロート /(n) dirty float/
ダート /(n) dirt/
ダートコース /(n) dirt course/
ダートトライアル /(n) dirt trial/
ダーニングステッチ /(n) darning stitch/
ダービータイ /(n) necktie/tie/
ダームスタチウム /(n) darmstadtium (Ds)/
ダーリア /(n) dahlia (Dahlia pinnata)/
ダーリヤ /(n) dahlia (Dahlia pinnata)/
ダーリン /(n) darling/(P)/
ダール /(n) Dahl/
ダーンドル /(n) dirndl/
ダイア /(n) (1) (abbr) diamond/(2) (railway) schedule/(3) (abbr) diagram/(4) dyer/
ダイアクリティカルマーク /(n) diacritical mark/
ダイアクリティック /(adj-f) (1) diacritic/(n) (2) diacritical mark/
ダイアグラム /(n) diagram/(P)/
ダイアゴナル /(n) diagonal/
ダイアジノン /(n) diazinon/
ダイアジン /(n) diazine/
ダイアトニック /(n) diatonic/
ダイアド /(n) dyad/
ダイアナモンキー /(n) Diana monkey (Cercopithecus diana)/
ダイアネティクス /(n) dianetics/
ダイアネティックス /(n) dianetics/
ダイアメーター /(n) calipers (wasei: diameter meter)/
ダイアモンド /(n) diamond/
ダイアリー /(n) diary/
ダイアル /(n,vs) dial/
ダイアルアップ /(n) (comp) dial-up (esp. modem connection)/
ダイアルアップＩＰ接続 [ダイアルアップアイピーせつぞく] /(n) (comp) dial-up IP connection/
ダイアルアップ接続 [ダイアルアップせつぞく] /(n) (comp) dial-up connection/
ダイアルイン /(n) direct telephone number (wasei: dial in)/
ダイアル式 [ダイアルしき] /(n,adj-no) dial-style (e.g. of phones)/
ダイアレクト /(n) (comp) dialect/
ダイアローグ /(n) dialogue/
ダイアログ /(n) dialogue/
ダイアログボックス /(n) (comp) dialog box/
ダイアログボックスを閉じる [ダイアログボックスをとじる] /(exp,v1) (comp) to dismiss a dialog box/
ダイアログ回復 [ダイアログかいふく] /(n) (comp) dialogue recovery/
ダイアログ確立指示未完了 [ダイアログかくりつしじみかんりょう] /(n) (comp) (obsc) dialogue establishment indication outstanding/
ダイアログ確立要求未完了 [ダイアログかくりつようきゅうみかんりょう] /(n) (comp) (obsc) dialogue establishment request outstanding/
ダイアログ終了指示未完了 [ダイアログしゅうりょうしじみかんりょう] /(n) (comp) (obsc) dialogue termination indication outstanding/
ダイアログ終了要求未完了 [ダイアログしゅうりょうようきゅうみかんりょう] /(n) (comp) (obsc) dialogue termination request outstanding/
ダイイン /(n) diein/
ダイウイキョウ /(n) (uk) star anise (Illicium verum)/
ダイエット /(n,vs) (1) diet/(2) losing weight by any method (e.g. exercise)/(P)/
ダイエットふりかけ /(n) (col) furikake put on rice to make it blue, which is said to act as an appetite suppressant/
ダイオード /(n) diode/(P)/
ダイオードトランジスタ論理回路 [ダイオードトランジスタろんりかいろ] /(n) (comp) Diode-Transistor Logic/
ダイオード関数発生器 [ダイオードかんすうはっせいき] /(n) (comp) Diode Function Generator/DFG/
ダイオウショウ /(n) (uk) longleaf pine (Pinus palustris)/
ダイオウマツ /(n) (uk) longleaf pine (Pinus palustris)/
ダイオウヤシ /(n) (uk) royal palm (esp. Cuban royal palm, Roystonea regia)/
ダイオキシン /(n) dioxin/
ダイオキシン汚染 [ダイオキシンおせん] /(n) dioxin contamination/
ダイオキシン法施行規則 [ダイオキシンほうしこうきそく] /(n) Law Concerning Special Measures Against Dioxins/
ダイオド /(n) diode/
ダイカグラ /(n) (1) grand kagura performance at Ise/(2) type of performance including the lion dance and juggling/(3) (uk) Camellia japonica 'Daikagura' (cultivar of Japanese camellia)/
ダイキリ /(n) daiquiri/
ダイクストラ /(n) Dijkstra/
ダイクロイックミラー /(n) (comp) dichroic mirror/
ダイコクコガネ /(n) (uk) horned dung beetle (Copris ochus)/
ダイコクネズミ /(n) (1) white rat/(2) white rat that serves Daikoku (god of wealth)/
ダイコン /(n) (col) (abbr) dive computer/
ダイサ /(n) (comp) DISA/
ダイサイズ /(n) (comp) die size/
ダイシャクシギ /(n) (uk) Eurasian curlew (Numenius arquata)/
ダイシング /(n) dicing (e.g. cutting up of a microchip wafer)/
ダイジェスト /(n,vs) digest/(P)/
ダイジェストアクセスプロトコル /(n) (comp) digest access protocol/
ダイジョ /(n) (uk) water yam (Dioscorea alata)/winged yam/purple yam/
ダイス /(n) (1) dice/(2) die (tool)/
ダイス回し [ダイスまわし] /(n) diestock/die handle/
ダイゼン /(n) (uk) black-bellied plover/grey plover (Pluvialis squatarola)/
ダイダイ /(n) bitter orange (Citrus aurantium)/
ダイダラボッチ /(n) mythical giant/
ダイトウオオコウモリ /(n) (uk) Daito flying fox (Pteropus dasymallus daitoensis)/
ダイトクベニハゼ /(n) Trimma caudipunctatum (species of goby found in Japan and Palau)/
ダイナー /(n) diner/
ダイナースクラブ /(n) Diner's Club (credit card)/(P)/
ダイナセット /(n) (comp) dynamic set/
ダイナブック /(n) DynaBook/
ダイナマイト /(n) dynamite/(P)/
ダイナミクス /(n) dynamics/(P)/
ダイナミサイザ /(n) (comp) serializer/parallel-serial converter/dynamicizer/
ダイナミズム /(n) dynamism/(P)/
ダイナミック /(adj-na,n) dynamic/(P)/
ダイナミックＨＴＭＬ [ダイナミックエッチティーエムエル] /(n) (comp) dynamic HTML/
ダイナミックＲＡＭ [ダイナミックラム] /(n) (comp) dynamic Random Access Memory (dynamic RAM, DRAM)/
ダイナミックアロケーション /(n) (comp) dynamic allocation/
ダイナミックス /(n) dynamics/
ダイナミックスピーカー /(n) dynamic speaker/
ダイナミックデータエクスチェンジ /(n) (comp) dynamic data exchange/DDE/
ダイナミックディスク /(n) (comp) dynamic disk/
ダイナミックプログラミング /(n) dynamic programming/
ダイナミックメモリ /(n) (comp) dynamic memory/
ダイナミックリロケーション /(n) (comp) dynamic relocation/
ダイナミックリンク /(n) (comp) dynamic link/
ダイナミックリンクライブラリ /(n) (comp) dynamic linking library/DLL/
ダイナミックリンクライブラリファイル /(n) (comp) dynamic-link library file/
ダイナミックルーティング /(n) (comp) dynamic routing/
ダイナミックルート /(n) (comp) dynamic route/
ダイナミックレンジ /(n) (comp) dynamic range/
ダイナモ /(n) dynamo/
ダイナモザイク /(n) (comp) DynaMosaic/
ダイナモメーター /(n) dynamometer/
ダイナモ理論 [ダイナモりろん] /(n) dynamo theory/
ダイナリ /(n) (comp) greater-than mark (>)/right angle bracket/
ダイニング /(n) (1) dining/(2) (abbr) dining room/(3) meal/(P)/
ダイニングキッチン /(n) eat-in kitchen (wasei: dining kitchen)/
ダイニングテーブル /(n) dining table/
ダイニングルーム /(n) dining room/
ダイノソー /(n) dinosaur/
ダイノソア /(n) dinosaur/
ダイハツ /(n) Daihatsu (Japanese automobile manufacturer)/
ダイバー /(n) diver/
ダイバー・プロパルジョン・ビークル・ダイブ /(n) diver propulsion vehicle dive/
ダイバーシティ /(n) (comp) diversity/
ダイバーシティー方式 [ダイバーシティーほうしき] /(n) diversity receiving system/
ダイバープロパルジョンビークル /(n) diver propulsion vehicle dive/
ダイビング /(n,vs) diving/(P)/
ダイビングキャッチ /(n,vs) diving catch/
ダイビングコンピュータ /(n) dive computer/
ダイビングスタイル /(n) diving style/
ダイビングナイフ /(n) diving knife/
ダイブ /(n) underwater dive/
ダイブテーブル /(n) table of mathematical decompression and oxygen toxicity models for divers (wasei: dive table)/
ダイポール /(n) dipole/
ダイポールアンテナ /(n) dipole antenna/
ダイポル /(n) dipole/
ダイム /(n) dime/
ダイメンション /(n) dimension/
ダイヤ /(n) (1) (abbr) diamond/(2) (railway) schedule/(3) (abbr) diagram/(4) dyer/(P)/
ダイヤの指輪 [ダイヤのゆびわ] /(n) diamond ring/
ダイヤグラム /(n) diagram/
ダイヤフラム圧力計 [ダイヤフラムあつりょくけい] /(n) diaphragm gauge/
ダイヤモンド /(n) diamond/(P)/
ダイヤモンド・テトラ /(n) diamond tetra (Moenkhausia pittieri)/
ダイヤモンドカーソル /(n) (comp) diamond cursor/
ダイヤモンドゲーム /(n) chinese checkers (wasei: diamond game)/
ダイヤモンドダスト /(n) diamond dust/
ダイヤモンドテトラ /(n) diamond tetra (Moenkhausia pittieri)/
ダイヤモンドリング /(n) diamond ring/
ダイヤモンド婚式 [ダイヤモンドこんしき] /(n) diamond wedding (anniversary)/
ダイヤル /(n,vs) dial/(P)/
ダイヤルＱ２ [ダイヤルキュウツー] /(n) (comp) Dial Q2/
ダイヤルアウト /(n) (comp) dial out/
ダイヤルアップ /(n) (comp) dial-up (esp. modem connection)/
ダイヤルアップＩＰ接続 [ダイヤルアップアイピーせつぞく] /(n) (comp) dial-up IP connection/
ダイヤルアップ接続 [ダイヤルアップせつぞく] /(n) (comp) dial-up access/dial-up connection/
ダイヤルイン /(n) (comp) dial-in/
ダイヤルインサービス /(n) (comp) dial-in service/
ダイヤルインジケーター /(n) dial indicator/
ダイヤルイン番号サービス [ダイヤルインばんごうサービス] /(n) (comp) dial-in number service/
ダイヤルゲージ /(n) dial gauge/
ダイヤルトーン /(n) dial tone/
ダイヤルトン /(n) dial tone/
ダイヤルパッド /(n) (comp) dial pad/
ダイヤルプラン /(n) (comp) dial plan/
ダイヤル音 [ダイヤルおん] /(n) (comp) dial tone/
ダイヤル式 [ダイヤルしき] /(n,adj-no) dial-style (e.g. of phones)/
ダイヤレクト /(n) dialect/
ダイヤ柄 [ダイヤがら] /(n,adj-no) diamond-pattern/
ダイラタンシー /(n) dilatancy/
ダイルトーン /(n) dial tone/
ダイレイタンシー /(n) dilatancy/
ダイレクト /(adj-na,n) direct/(P)/
ダイレクトＯＥＭ [ダイレクトオーイーエム] /(n) (comp) direct OEM/
ダイレクトＲＤＲＡＭ [ダイレクトアーディーラム] /(n) (comp) Direct Rambus Dynamic Random Access Memory/
ダイレクトアクセス /(n) (comp) direct access/
ダイレクトエックス /(n) (comp) DirectX/
ダイレクトコール機能 [ダイレクトコールきのう] /(n) (comp) direct call facility/
ダイレクトコネクション /(n) (comp) direct connection/
ダイレクトシュート /(n) direct shoot/
ダイレクトセール /(n) direct sale/
ダイレクトセールス /(n) direct sales/
ダイレクトタッチ /(n) direct touch/
ダイレクトドライブ /(n) direct drive/
ダイレクトプッシュ /(n) (comp) direct push/
ダイレクトプリント /(n) direct print/
ダイレクトマーケティング /(n) direct marketing/
ダイレクトメール /(n) direct mail/
ダイレクトメソッド /(n) direct method/
ダイレクトメッセージ /(n) (comp) direct message/direct messages/
ダイレクトメモリーアクセス /(n) (comp) direct memory access/DMA/
ダイレクト接続 [ダイレクトせつぞく] /(n) (comp) direct connection/
ダイン /(n) dyne/
ダイヴィング /(n) diving/
ダウ /(n) (1) (abbr) Dow (i.e. Dow-Jones)/(2) dhow/
ダウジング /(n,vs) dowsing/
ダウト /(n) doubt/
ダウン /(n-suf) (1) down (feathers)/(2) down (opposite of up)/becoming lower/(3) down (e.g. with a cold) and unable to continue (work)/(4) (comp) not running (e.g. of servers)/(5) (comp) (abbr) download/downstream/(P)/
ダウンサイジング /(n,vs) (1) downsizing/(2) (comp) switching from mainframe to personal computers/(P)/
ダウンスイング /(n) down swing/
ダウンストリーム /(n) (comp) downstream/
ダウンタイム /(n) (comp) down time/downtime/
ダウンタウン /(n) downtown/(P)/
ダウンバースト /(n) downburst/
ダウンヒル /(n) downhill/
ダウンビート /(n) downbeat/
ダウンフォース /(n) downforce/
ダウンライト /(n) downlight/
ダウンラインロード /(n) (comp) down-line loading/
ダウンリンク /(n) (comp) downlink/
ダウンロード /(n,vs) (comp) download/(P)/
ダウンロードオンリーメンバー /(n) (comp) leech (wasei: download-only member)/lurker/
ダウンロードコンテンツ /(n) downloadable content (e.g. for a video game) (wasei: download contents)/DLC/
ダウン時間 [ダウンじかん] /(n) (comp) down time/
ダウン症 [ダウンしょう] /(n) Down's syndrome/
ダウン症候群 [ダウンしょうこうぐん] /(n) Down's syndrome/
ダウ式平均株価 [ダウしきへいきんかぶか] /(n) Dow-Jones averages/
ダウ平均 [ダウへいきん] /(n) (abbr) the Dow (i.e. the Dow Jones Industrial Average)/
ダウ平均株価 [ダウへいきんかぶか] /(n) Dow-Jones average/(P)/
ダオ /(n) (comp) DAO/
ダカ /(n) daka-/10^1/da/(P)/
ダカーポ /(n) da capo (ita:)/DC/
ダガー /(n) dagger/
ダクチノマイシン /(n) dactinomycin/
ダクト /(n) duct/(P)/
ダクマダクマ /(exp,adj-na) (fem) woman's word for the sound of feet thumping across a Noh theatre/space of Noh theatre based on the reach of the sound of feet thumping/
ダクロ /(adj-f) (abbr) Dacrotized (trademark for an anti-corrosion metal coating) (Dacrotised)/
ダクロダイズド /(adj-f) Dacrotized (trademark for an anti-corrosion metal coating) (Dacrotised)/
ダクロン /(n) dacron/
ダグアウト /(n) dugout/
ダグラスファー /(n) Douglas fir/
ダケカンバ /(n) (uk) Erman's birch (Betula ermanii)/Russian rock birch/
ダケガラス /(n) (uk) (obsc) spotted nutcracker (Nucifraga caryocatactes)/
ダゲレオタイプ /(n) daguerreotype/daguerrotype/
ダコタ /(n) Dakota/
ダサイタマ /(n) (uk) (col) (sl) derogatory reference to Saitama Prefecture (from dasai and Saitama)/
ダサメン /(n) (sl) (derog) geeky, unattractive man/
ダサ男 [ダサお] /(n) (sl) an uncool man/dork/geek/dweeb/nerd/
ダシ /(n) (1) (uk) dashi (Japanese soup stock made from fish and kelp)/
ダジャレ /(n) (uk) pun/
ダスキー・スパインフット /(n) dusky spinefoot (Siganus luridus, species of rabbitfish from the Western Indian Ocean)/
ダスキークロミス /(n) green puller (Chromis cinerascens)/green chromis/
ダスキースパインフット /(n) dusky spinefoot (Siganus luridus, species of rabbitfish from the Western Indian Ocean)/
ダスキーテールクロミス /(n) duskytail chromis (Chromis pelloura)/
ダスター /(n) duster/
ダスターコート /(n) duster/dust-coat/
ダスト /(n) dust/
ダストカバー /(n) (comp) jacket/book jacket/dust cover/
ダストコート /(n) dustcoat/
ダストシュート /(n) rubbish disposal chute (wasei: dust chute)/
ダストボックス /(n) dust box/dumpster/skip/
ダスド /(n) (comp) DASD/
ダズン /(n) dozen/
ダダ /(n) tantrum/fretting/
ダチ /(n) (col) (abbr) friend/
ダチョウ /(n) (uk) ostrich/
ダッキング /(n,vs) ducking (e.g. in boxing)/
ダック /(n) (1) Development Assistance Committee/DAC/(2) dock/(3) duck/
ダックスフント /(n) dachshund (ger:)/
ダックマダックマ /(exp,adj-na) (fem) woman's word for the sound of feet thumping across a Noh theatre/space of Noh theatre based on the reach of the sound of feet thumping/
ダッグアウト /(n) dugout/
ダッシュ /(n,vs) dash/(P)/
ダッシュボード /(n) dashboard/dash/
ダッチ・アカウント /(n) splitting the bill (wasei: Dutch account)/
ダッチアカウント /(n) splitting the bill (wasei: Dutch account)/
ダッチェスポテト /(n) duchess potatoes/
ダッチマン /(n) (sl) Dutchman/
ダッチワイフ /(n) (1) life-sized doll used for masturbation (wasei: Dutch wife)/(2) cage (rattan or cane) used in bed in the tropics/(3) bolster used for warmth when sleeping/
ダッファー /(n) duffer/
ダッフル /(n) duffel/duffle/
ダッフルコート /(n) duffle coat/
ダッフルバッグ /(n) duffel bag/duffle bag/
ダツ /(n) (uk) Pacific needlefish (Strongylura anastomella)/
ダテ /(n,adj-na) (1) elegance/dandyism/sophistication/having style/(2) affectation/showing off/putting on an air/appearances/just for show/
ダディ /(n) daddy/
ダディー /(n) daddy/
ダトニオイデス科 [ダトニオイデスか] /(n) Datnioididae (family of perciform fishes)/
ダニ /(n,adj-no) (uk) tick/mite/
ダニエル書 [ダニエルしょ] /(n) Daniel (book of the Bible)/
ダビット /(n) davit/
ダビデの星 [ダビデのほし] /(n) Star of David/Magen David/
ダビング /(n,vs) (1) dubbing/adding a new audio (usu. voice) track to an existing video, film, etc./(2) dubbing/re-recording existing video or audio data to a new DVD, tape, etc./(P)/
ダビンチ /(n) da Vinci/
ダファー /(n) duffer/
ダフニス /(n) Daphnis (in Greek mythology)/
ダフニスとクロエ /(exp) Daphnis and Chloe (in Greek mythology)/
ダフ屋 [ダフや] /(n) (ticket) scalper ("dafu" is "fuda" backwards)/
ダブ /(n) (1) dab/(2) dove/(3) dub/
ダブる /(v5r,vi) to coincide (fall on the same day)/to have two of something/to overlap/to duplicate/to appear doubled/to repeat a school year after failing/
ダブダブダブシー /(n) (comp) WWWC/
ダブリュースリー /(n) (comp) W3/
ダブリュースリーシー /(n) (comp) W3C/
ダブリュズィーエディター /(n) (comp) WZ EDITOR/
ダブル /(n) double/(P)/
ダブルイーグル /(n) double eagle (golf)/
ダブルイメージ /(n) double image/
ダブルオーバーヘッドカムシャフト /(n) double overhead camshaft/
ダブルカウント /(n) double-count/
ダブルカフス /(n) French cuffs (wasei: double cuffs)/
ダブルカラー /(n) double collar/
ダブルキャスト /(n) double cast/
ダブルクォーテーション /(n) (comp) double quotation (mark)/
ダブルクォート /(n) (comp) double quote/
ダブルクリック /(n,vs) (comp) double click/
ダブルコース /(n) double course/
ダブルコンティンジェンシー /(n) double contingency/
ダブルサッシュバタフライフィッシュ /(n) doublesash butterflyfish (Chaetodon marleyi)/Marley's Butterflyfish/
ダブルジョーゼット /(n) double georgette/
ダブルス /(n) doubles (e.g. in tennis)/
ダブルスカル /(n) double scull/
ダブルスコート /(n) doubles court/
ダブルスコア /(n) double score/
ダブルスタンダード /(n) double standard/
ダブルスチール /(n) double steal/
ダブルスピーク /(n) doublespeak/
ダブルスペース /(n) (comp) Double Space/
ダブルターム /(n) (comp) Wterm/
ダブルタップ /(n) (comp) double-tap/
ダブルチーズバーガー /(n) double cheeseburger/
ダブルチェック /(n,vs) double-checking (trans: double-check)/countercheck/
ダブルデッカー /(n) double-decker/
ダブルトーン /(n) double tone/
ダブルトラック /(n) double track/
ダブルドリブル /(n) double dribble/
ダブルニット /(n,adj-no) double-knit/
ダブルハイト /(n,adj-no) (comp) double-height/
ダブルハイフン /(n) double hyphen/
ダブルハット /(n) (1) (derog) double hat-trick/(adj-na) (2) woman who has a good body but an unattractive face/
ダブルバークロミス /(n) doublebar chromis (Chromis opercularis)/
ダブルバイト /(n) (comp) double byte/
ダブルバインド /(n) double bind/
ダブルバスーン /(n) (obsc) contrabassoon/double bassoon/
ダブルバンドサージャンフィッシュ /(n) doubleband surgeonfish (Acanthurus tennentii, species of Indian Ocean tang)/lieutenant surgeon/leutenant surgeonfish/leutenant tang/
ダブルバンドサージョンフィッシュ /(n) doubleband surgeonfish (Acanthurus tennentii, species of Indian Ocean tang)/lieutenant surgeon/leutenant surgeonfish/leutenant tang/
ダブルパンチ /(n) double-punch/
ダブルフォールト /(n) double fault/
ダブルブート /(n) (comp) two operating systems on a computer/double-boot/
ダブルブッキング /(n) double booking/
ダブルブレスト /(adj-no) double-breasted/
ダブルプレー /(n) double play/
ダブルヘッダー /(n) doubleheader/double-header/
ダブルベース /(n) double bass/
ダブルベッド /(n) double bed/
ダブルボギー /(n) double bogie/
ダブルボタン /(n) double-buttoned/
ダブルミーニング /(n) double meaning/
ダブルラム /(n) (comp) WRAM/
ダブルリード /(n) double reed/
ダブルルーム /(n) double room (e.g. at a hotel)/
ダブルロール /(n) double role/
ダブルワード /(n) (comp) doubleword/
ダブル選挙 [ダブルせんきょ] /(n) double election (e.g. of the lower and higher chambers)/
ダブレット /(n) doublet (14th-17th century men's jacket)/
ダベる /(v5r,vi) (uk) to jabber/to chatter/to chat with/
ダボ /(n) (abbr) double bogie/
ダボダボ /(adv-to) (1) loose (of clothing)/(2) plenty (of pouring a liquid)/
ダマスク /(n) damask/
ダミー /(n) dummy/(P)/
ダミーパラメタ /(n) (comp) dummy parameter/
ダミーレコード /(n) (comp) dummy record/
ダミー会社 [ダミーがいしゃ] /(n) dummy corporation/front company/shell corporation/
ダム /(n) (1) dam/(adj-f) (2) dumb/(P)/
ダムサイト /(n) dam-site/
ダムゼルフィッシュ /(n) damselfish (Chromis chromis)/Mediterranean chromis/
ダムターミナル /(n) (comp) dumb terminal/
ダムダム弾 [ダムダムだん] /(n) dum-dum ammunition/
ダムハブ /(n) (comp) dumb hub/
ダム湖 [ダムこ] /(n) reservoir/lake formed by a dam/
ダム端末 [ダムたんまつ] /(n) (comp) dumb terminal/
ダム放流 [ダムほうりゅう] /(n) dam discharge (e.g. water)/
ダム放流水 [ダムほうりゅうすい] /(n) discharge water from a dam/
ダメ /(adj-na,n) (1) (uk) no good/not serving its purpose/useless/broken/(2) (uk) hopeless/wasted/in vain/purposeless/(3) (uk) cannot/must not/not allowed/
ダメージ /(n) damage/(P)/
ダメージコントロール /(n) damage control/
ダメージジーンズ /(n) pre-ripped jeans (wasei: damage jeans)/
ダメで元々 [ダメでもともと] /(exp) giving something a try because one has nothing to lose/
ダメる /(int) "Shut up!"/"Be quiet!"/
ダメル /(int) "Shut up!"/"Be quiet!"/
ダメンズ /(n) (sl) good-for-nothing man/no-hoper/
ダメ押し [ダメおし] /(exp) (1) making doubly sure/(2) insurance runs (baseball)/
ダメ出し [ダメだし] /(n) (sl) judging someone (negatively) and urging them to improve/finding fault (in somebody's work)/
ダメ人間 [ダメにんげん] /(n) useless member of society/hopeless case/failure/
ダヨネ /(n) day-one/
ダラー /(n) (comp) dollar (symbol)/
ダライ /(n) lathe/
ダライラマ /(n) the Dalai Lama/(P)/
ダラクマ /(n) drachma/
ダラシ /(n) dalasi/
ダラス /(n) Dallas (Texas)/(P)/
ダラム /(n) dram/drachm/
ダランベールのパラドックス /(n) d'Alembert's paradox/
ダリア /(n) dahlia (Dahlia pinnata)/
ダリヤ /(n) dahlia (Dahlia pinnata)/
ダル /(adj-no) dull/
ダルゲーム /(n) dull game/
ダルシマー /(n) (hammered) dulcimer/
ダルパ /(n) (comp) DARPA/
ダルマザメ /(n) (uk) cookie-cutter shark (Isistius brasiliensis)/cigar shark/
ダルメシアン /(n) Dalmatian (dog breed)/
ダンする /(vs-s) to make a done deal/
ダンガリー /(n) dungaree/
ダンク /(n) dunk/(P)/
ダンクショット /(n) dunk shot/
ダンゴムシ /(n) (uk) pillbug/pill bug/
ダンサー /(n) dancer/(P)/
ダンサブル /(adj-na) danceable/
ダンシング /(n) dancing/(P)/
ダンジョン /(n) dungeon/
ダンス /(n,vs) dance/(P)/
ダンス・パーティー /(n) dance party/
ダンスキャップ /(n) dunce cap/fool's cap/
ダンスクラブ /(n) dance club/
ダンスセラピー /(n) dance therapy/
ダンスパーティー /(n) dance party/
ダンスホール /(n) dance hall/(P)/
ダンチク /(n) (uk) Arundo donax/
ダンディ /(n) (1) dandy/fop/esthete/
ダンディー /(n) (1) dandy/fop/esthete/(2) Dundee/D'Indy/
ダンディズム /(n) dandyism/
ダンディマン /(n) dandy/fop/esthete/metrosexual/
ダンディライオン /(n) dandelion/
ダンデライオン /(n) dandelion/
ダントツ /(adj-na,n,adj-no) (uk) (abbr) the best/far and away the best/decisive lead/(P)/
ダンパ /(n) (1) damper/(2) (abbr) dance party/
ダンパー /(n) damper/
ダンピング /(n) dumping/(P)/
ダンピング関税 [ダンピングかんぜい] /(n) anti-dumping duties/
ダンピング症候群 [だんぴんぐしょうこうぐん] /(n) dumping syndrome/
ダンピング抵抗 [ダンピングていこう] /(n) (comp) damping resistor/
ダンプ /(n,vs) (1) dump/(2) (abbr) dump truck/(P)/
ダンプカー /(n) dump truck (wasei: dump car)/(P)/
ダンプトラック /(n) dump truck/
ダンプリスト /(n) (comp) dump list/
ダンプリング /(n) dumpling/
ダンベル /(n) dumbbell/
ダンボール /(n) (corrugated) cardboard/
ダンマパダ /(n) (Buddh) Dhammapada/
ダヴィデの星 [ダヴィデのほし] /(n) Star of David/Magen David/
ダヴィンチ /(n) da Vinci/
ダ行 [ダぎょう] /(n) classification for Japanese verb with the dictionary form ending in "dzu"/"da" column or row of the kana syllabary/
ダ埼玉 [ださいたま] /(uK) (n) (uk) (col) (sl) derogatory reference to Saitama Prefecture (from dasai and Saitama)/
チ /(n) ti/si/7th note in the tonic solfa representation of the diatonic scale/
チーク /(n) (1) cheek/(2) teak/
チークダンス /(n) cheek-to-cheek dancing/
チーズ /(n) (1) cheese/(exp) (2) say cheese! (when taking photographs)/(P)/
チーズケーキ /(n) cheese cake/
チーズサンド /(n) cheese sandwich/
チーズトースト /(n) cheese toast/
チーズバーガー /(n) cheeseburger/
チーズフォンデュー /(n) cheese fondue/
チーゼル /(n) teasel/
チータ /(n) cheetah/
チーター /(n) cheetah/
チーフ /(n) chief/(P)/
チーフアンパイア /(n) chief umpire/
チーフエグゼクティブ /(n) chief executive/
チーフオフィサー /(n) chief officer/
チーフセコンド /(n) chief second/
チーフメート /(n) chief mate/
チープ /(adj-na) cheap/
チープガバメント /(n) cheap government/
チープシック /(n) cheap chic/
チープレーバー /(n) cheap labour (labor)/
チーマー /(n) juvenile delinquents roaming about the city in groups (wasei: teamer)/
チーム /(n) team/(P)/
チームゲーム /(n) team game/
チームジャンパー /(n) team jumper/
チームティーチング /(n) team teaching/
チームプレー /(n) team play/
チームプレイ /(n) team play/
チームメート /(n) teammate/
チームリーダー /(n) team leader/
チームワーク /(n) teamwork/(P)/
チーン /(n,vs) (1) ding (sound of a bell)/bing/(vs) (2) to cook (or heat) in a microwave oven (from the 'ching' timer bell)/(3) sneeze (into a tissue, used with children)/
チア /(n) cheer/(P)/
チアガール /(n) cheerleader (wasei: cheer girl)/(P)/
チアジン /(n) thiazine (ger: Thiazin)/
チアゾール /(n) thiazole/
チアダンス /(n) cheerleading (wasei: cheer dance)/
チアノーゼ /(n) cyanosis (ger: Zyanose)/
チアベンダゾール /(n) thiabendazole/
チアホーン /(n) cheer horn/
チアミン /(n) thiamine/thiamin/
チアリーダー /(n) cheerleader/
チアリーディング /(n) cheerleading/
チェ /(int) shoot/shit/dang/crap/rats/dammit/(P)/
チェーサー /(n) chaser/
チェーシング /(n) chasing/
チェーン /(n) chain/(P)/
チェーンステッチ /(n) chainstitch/
チェーンストア /(n) chain store/
チェーンスモーカー /(n) chain smoker/
チェーンソー /(n) chainsaw/
チェーンブロック /(n) chain block/
チェーンプリンタ /(n) (comp) chain printer/
チェーンメール /(n) (comp) chain mail/
チェーンレター /(n) chain letter/
チェーン印字装置 [チェーンいんじそうち] /(n) (comp) chain printer/
チェーン店 [チェーンてん] /(n) chain store/
チェア /(n) chair/(P)/
チェアパースン /(n) chairperson/
チェアパーソン /(n) chairperson/
チェアマン /(n) chairman/(P)/
チェイサー /(n) chaser/
チェイン /(n) chain/(P)/
チェキ /(n) small instant camera/
チェキる /(v5r) to take a picture with a "cheki" camera/
チェコ /(n) Czech Republic/(P)/
チェコスロバキア /(n) Czechoslovakia/(P)/
チェコ共和国 [チェコきょうわこく] /(n) (p) Czech Republic/
チェコ語 [チェコご] /(n) Czech (language)/
チェシャーチーズ /(n) Cheshire cheese/
チェス /(n) chess/(P)/
チェスターフィールド /(n) chesterfield/
チェスト /(n) chest/
チェストパス /(n) chest pass/
チェスボード /(n) chessboard/
チェスマッチ /(n) chess match/
チェス盤 [チェスばん] /(n) chessboard/
チェダー /(n) cheddar/
チェダーチーズ /(n) cheddar cheese/
チェチェン /(n) Chechin/Chechnia/Chechnya/Chechenia/(P)/
チェッ /(int) shoot/shit/dang/crap/rats/dammit/
チェッカ /(n) checker/
チェッカー /(n) checker/(P)/
チェッカーズ /(n) checkers/
チェッカーフラッグ /(n) checkered flag/
チェッカープレイヤー /(n) checker-player/
チェッカーボード /(n) checkerboard/
チェック /(n,vs,adj-no) check/plaid/(P)/
チェックアウト /(n,vs) check-out/
チェックアウトタイム /(n) check-out time/checkout time/
チェックアンドバランス /(n) checks and balances/
チェックイン /(n,vs) check-in/(P)/
チェックインカウンター /(n) check-in counter/
チェックオフ /(n) checkoff/
チェックギャランティーカード /(n) check guarantee card/
チェックサム /(n) (comp) checksum/
チェックディスク /(n) (comp) CHKDSK/
チェックバルブ /(n) checkvalve/
チェックビルド /(n) (comp) checked build/
チェックブック /(n) checkbook/
チェックプライス /(n) check price/
チェックプロテクター /(n) check protector/
チェックボックス /(n) (comp) checkbox/
チェックポイント /(n) (comp) check point/
チェックマーク /(n) check mark/tick/
チェックメート /(n) checkmate/
チェックメイト /(n) checkmate/
チェックライター /(n) checkwriter/
チェックリスト /(n) checklist/
チェボル /(n) chaebol/
チェラブ /(n) cherub/
チェリー /(n) cherry/(P)/
チェリートマト /(n) cherry tomato/
チェリーピンク /(n) (cerise) cherry/
チェリーボーイ /(n) (col) male virgin (wasei: cherry boy)/
チェリオ /(n) cheerio/
チェリスト /(n) cellist/
チェルノブイリ /(n) Chernobyl/(P)/
チェレスタ /(n) celesta (ita:)/
チェレンコフ効果 [チェレンコフこうか] /(n) Cherenkov effect/
チェレンコフ放射 [チェレンコフほうしゃ] /(n) Cherenkov radiation/Cerenkov radiation/
チェロ /(n) cello/violoncello/(P)/
チェロキー /(n) Cherokee/
チェンジ /(n,vs) change/(P)/
チェンジアップ /(n) changeup/pitch that comes toward the batter at a speed slower than expected (baseball)/
チェンジオーバー /(n) changeover/
チェンジオブペース /(n) change of pace/
チェンジポケット /(n) changepocket/
チェンジャー /(n) changer/(P)/
チェンジレバー /(n) gear shift (wasei: change lever)/gear stick/
チェンバー /(n) chamber/
チェンバーオルガン /(n) chamber organ/
チェンバーミュージック /(n) (obsc) chamber music/
チェンバロ /(n) cembalo (ita:)/harpsichord/(P)/
チオシアン酸 [チオシアンさん] /(n) thiocyanic acid/
チオシアン酸塩 [チオシアンさんえん] /(n) thiocyanate/
チオテパ /(n) thiotepa (drug used in chemotherapy)/
チオフェン /(n) thiophene/
チオベン /(n) thioben/
チオベンカルブ /(n) thiobencarb/
チオベンズアミド /(n) thiobenzamide/
チオペンタール /(n) thiopental/
チオン酸 [チオンさん] /(n) thionic acid/
チオ硫酸 [チオりゅうさん] /(n,adj-no) thiosulphuric acid/thiosulfuric acid/
チオ硫酸ナトリウム [チオりゅうさんナトリウム] /(n) sodium thiosulfate/
チカイエカ /(n) (uk) Culex pipiens molestus (subspecies of house mosquito)/
チカチカ /(adv,vs) (1) (on-mim) flickering/flashing on and off (e.g. Christmas lights)/(2) prickling (pain)/
チカラシバ /(n) (uk) Chinese fountain grass (Pennisetum alopecuroides)/
チガヤ /(n) (uk) cogon grass (Imperata cylindrica)/
チキる /(v5r) (sl) to get scared/to chicken out/
チキソトロピー /(n) thixotropy (property of being more fluid when shaken)/
チキン /(n,adj-na) chicken/(P)/
チキンカツ /(n) chicken cutlet/
チキンカツレツ /(n) chicken cutlet/
チキンキエフ /(n) chicken Kiev/
チキンスープ /(n) chicken soup/
チキンナゲット /(n) chicken nugget/
チキンフラワー /(n) chicken flower/
チキンライス /(n) chicken with rice/
チクる /(v5r) (sl) to tattle/to inform a superior of someone's actions/
チクソモールド /(n) thixomolding (plastic and semiconductor industries)/
チクソ性 [チクソせい] /(n) thixotrophy (property of certain gels to liquefy when subjected to vibratory forces)/
チクタク /(n) ticktack/
チクチク /(n,vs) (on-mim) type of prickling pain/prick/prickle/
チクチク痛む [チクチクいたむ] /(exp,v5m) to prickle/to tingle/
チクリ /(adv) type of prickling pain/tale telling/(P)/
チクルス /(n) cycle (e.g. of songs) (ger: Zyklus)/
チクロ /(n) (abbr) sodium cyclohexylsulfamate/
チグリスユーフラテス /(n) Tigris-Euphrates (river system)/
チケット /(n) ticket/(P)/
チゲ /(n) Korean stew (kor:)/
チコリ /(n) chicory/
チコリー /(n) chicory/
チゴハヤブサ /(n) (uk) northern hobby (species of falcon, Falco subbuteo)/
チゴベニハゼ /(n) Naude's rubble goby (Trimma naudei, an Indo-West Pacific fish species)/rubble dwarfgoby/red pygmy-goby/
チジミ /(n) buchimgae (Korean pancake) (kor: jijimi)/
チスジノリ /(n) (uk) Thorea okadae (species of red alga)/
チター /(n) zither (ger:)/
チタニウム /(n) titanium (Ti) (ger: Titan)/
チタン /(n) titanium (Ti) (ger: Titan)/(P)/
チタン合金 [チタンごうきん] /(n) titanium alloy/
チタン酸 [チタンさん] /(n) titanic acid/
チタン酸バリウム [チタンさんバリウム] /(n) barium titanate (BaTiO3)/
チタン磁器 [チタンじき] /(n) titanium porcelain/
チタン石 [チタンせき] /(n) titanite/
チタン鉄鉱 [チタンてっこう] /(n) ilmenite/
チタン白 [チタンはく] /(n) titanium white/
チダイ /(n) (uk) crimson sea bream (Evynnis japonica)/
チダケサシ /(n) (uk) Astilbe microphylla (species of astilbe)/
チチカカ・オレスティア /(n) Titicaca Orestias (Orestias cuvieri)/
チチカカオレスティア /(n) Titicaca Orestias (Orestias cuvieri)/
チチクサ /(n) Metaplexis japonica/
チチタケ /(n) (uk) tawny milkcap mushroom (Lactarius volemus)/
チチブ /(n) (uk) dusky tripletooth goby (Tridentiger obscurus)/
チチュウカイミバエ /(n) (uk) Mediterranean fruit fly (Ceratitis capitata)/medfly/
チヂミ /(ik) (n) buchimgae (Korean pancake) (kor: jijimi)/
チッカー /(n) (comp) ticker/
チッキ /(n) (abbr) baggage check/check one's baggage/book one's luggage/
チック /(n) (1) (abbr) cosmetic/stick pomade/(2) chick/(3) tic/(suf) (4) (col) -tic/
チック症 [チックしょう] /(n) tic/
チップ /(n) (1) gratuity/tip/(2) chip/(P)/
チップイン /(vs) to chip in/
チップショット /(n) chip shot (golf)/
チップセット /(n) (comp) chip set/
チップチューン /(n) chiptune (music synthesized in realtime; e.g. in video games)/
チップボード /(n) chip board/
チップ抵抗 [チップていこう] /(n) SMT resistor/
チデークニ /(n) type of yellow carrot grown in Okinawa/
チトクロム /(n) cytochrome (ger: Cytochrom)/
チドリ /(n) (uk) plover/
チドリソウ /(n) (1) (uk) fragrant orchid (Gymnadenia conopsea)/(2) rocket larkspur (Consolida ajacis)/
チヌ /(n) (uk) black porgy (Acanthopagrus schlegeli)/
チヌダイ /(n) (uk) (obsc) black porgy (Acanthopagrus schlegeli)/
チパタマ /(n) head of the penis/
チヒロザメ属 [チヒロザメぞく] /(n) Pseudotriakis (genus of ground shark in the family Pseudotriakidae whose sole member is the false catshark)/
チビ /(n) (1) (uk) (sens) small child/pipsqueak/small fry/small, cute versions of manga, anime, etc. characters, typically with oversized heads/(2) (vulg) short person/midget/dwarf/(3) small animal/runt/(pref) (4) worn down (pencil, etc.)/
チフス /(n) (uk) typhoid fever (ger: Typhus, dut:)/typhus/(P)/
チフス菌 [チフスきん] /(n) typhoid bacillus/
チブス /(n) (uk) typhoid fever (ger: Typhus, dut:)/typhus/
チベタンマスチフ /(n) Tibetan mastiff (dog breed)/
チベット /(n) Tibet/(P)/
チベット語 [チベットご] /(n) Tibetan (language)/
チベット高原 [チベットこうげん] /(n) Tibetan plateau/
チベット大蔵経 [チベットだいぞうきょう] /(n) Tibetan Buddhist canon/
チベット仏教 [チベットぶっきょう] /(n) Tibetan Buddhism/
チベット文字 [チベットもじ] /(n) Tibetan character/
チペピジン /(n) tipepidine/
チボリ /(n) (comp) Tivoli/
チポラータ /(n) chipolata/
チマーゼ /(n) zymase (ger: Zymase)/
チミン /(n) thymine/
チムニー /(n) chimney/
チモール /(n) thymol/
チモール文鳥 [チモールぶんちょう] /(n) Timor dusky sparrow (Lonchura fuscata, Padda fuscata)/
チモシー /(n) timothy (Phleum pratense)/timothy grass/
チャーシュー麺 [チャーシューメン] /(n) ramen soup topped with slices of roasted pork (chi: chashao mian)/
チャージ /(n,vs) (1) charge (electrical)/(2) charge (i.e. fee)/(P)/
チャージャー /(n) charger/
チャージング /(n) charging/
チャージ機 [チャージき] /(n) card charger/charge machine/
チャーター /(n,vs) charter/(P)/
チャーター機 [チャーターき] /(n) chartered aircraft (airplane, jet, etc.)/
チャーター便 [チャーターびん] /(n) charter flight/
チャーチ /(n) church/(P)/
チャート /(n) (1) chart/(2) chert/(P)/
チャートファイル /(n) chart file/
チャート解析器 [チャートかいせきき] /(n) chart parser/
チャーハン /(n) (uk) Chinese-style fried rice (chi:)/(P)/
チャービル /(n) chervil/
チャープ /(n) (comp) CHRP/
チャーミング /(adj-na,n) charming/(P)/
チャーム /(adj-na,n,vs) charm/
チャームポイント /(n) most attractive feature of a person (wasei: charm point)/
チャールストン /(n) Charleston/(P)/
チャールズバベイジ /(n) (comp) Charles Babbage/
チャイコフスキー /(n) Tchaikovsky/
チャイドル /(n) (abbr) child idol/
チャイナ /(n) China/(P)/
チャイナ・シンドローム /(n) China syndrome/
チャイナシンドローム /(n) China syndrome/
チャイナタウン /(n) Chinatown/
チャイナドレス /(n) qipao (wasei: china dress)/cheongsam/mandarin dress/
チャイニーズ /(n) Chinese/(P)/
チャイニーズカラー /(n) Mandarin collar/Chinese collar/
チャイブ /(n) chive (edible plant with flat leaves, Allium schoenoprasum)/
チャイム /(n) chime/(P)/
チャイルド /(n) child/(P)/
チャイルドアビューズ /(n) child abuse/
チャイルドシート /(n) (car) child seat/
チャイロスズメバチ /(n) (uk) brown hornet (Vespa dybowskii)/
チャウダー /(n) chowder/
チャウチャウ /(exp) (1) (osb:) That's not true!/(n) (2) chow chow (dog)/
チャオズ /(n) (uk) gyoza (crescent-shaped pan-fried dumplings stuffed with minced pork and vegetables)/
チャカ /(n) (sl) pistol/heat/
チャグチャグ馬こ [チャグチャグうまこ] /(n) (1) Chagu Chagu Horse Festival (of Iwate Prefecture)/(2) small wooden horse toy with bells on its neck (made in Iwate prefecture)/
チャグチャグ馬コ [チャグチャグうまコ] /(n) (1) Chagu Chagu Horse Festival (of Iwate Prefecture)/(2) small wooden horse toy with bells on its neck (made in Iwate prefecture)/
チャコ /(n) chalk/
チャコール /(n) charcoal/
チャコールグレー /(n) charcoal gray/
チャコールフィルター /(n) charcoal filter/
チャセンシダ /(n) (uk) maidenhair spleenwort (Asplenium trichomanes)/
チャタテムシ /(n) (uk) psocid (any insect of order Psocoptera, which includes booklice)/
チャタリング /(n) chattering/key-bounce (in keyboards)/
チャチャチャ /(n) cha-cha (dance) (spa: cha cha cha)/
チャッカー /(n) chukka/
チャッカマン /(n) Chakaman (brand-name of rechargeable lighter)/
チャック /(n) (1) chuck (device for holding a workpiece in a lathe or a tool in a drill)/(2) fastener/zipper/(P)/
チャックリーマー /(n) chucking reamer/
チャッターマーク /(n) chatter mark/
チャット /(n,vs) (comp) (Internet) chat/(P)/
チャットエリア /(n) (comp) chat area/
チャットルーム /(n) (comp) chat room/
チャップ /(n) chop/
チャップン /(exp) splash/plop/kerplop/
チャツネ /(n) chutney (hin: catni)/
チャド /(n) (comp) chad/
チャドル /(n) chador/
チャネリング /(n,vs) channelling/channeling/(P)/
チャネル /(n) channel/(P)/
チャネルアジリティ /(n) (comp) channel agility/
チャネルステータスワード /(n) (comp) channel status word/
チャネルデフィニションフォーマット /(n) (comp) channel definition format/
チャネルパス再接続 [チャネルパスさいせつぞく] /(n) (comp) CPR/Channel Path Reconnection/
チャネルプログラム /(n) (comp) channel program/
チャネルプロトコル機械 [チャネルプロトコルきかい] /(n) (comp) channel protocol machine/CPM/
チャネル間アダプタ [チャネルかんアダプタ] /(n) (comp) channel-to-channel adapter/
チャネル間結合装置 [チャネルかんけつごうそうち] /(n) (comp) CTCA/Channel To Channel Adapter/
チャネル間分離 [チャネルかんぶんり] /(n) (comp) interchannel isolation/
チャネル状態語 [チャネルじょうたいご] /(n) (comp) channel status word/
チャネル当たり [チャネルあたり] /(n) (comp) per channel/
チャバネゴキブリ /(n) (uk) German cockroach (Blattella germanica)/
チャパティ /(n) chapati (hin: capati)/chapatti/
チャパラル /(n) Chaparral (missile)/
チャヒキグサ /(n) (uk) (obsc) wild oat (Avena fatua)/wild oats/
チャフ /(n) chaff/
チャブ /(n) chub (Leuciscus cephalus)/
チャブ台 [チャブだい] /(n) low dining table/tea table/
チャブ台返し [チャブだいがえし] /(n) flipping a table over in anger/overturning a table in anger/
チャプスイ /(n) (food) (uk) chop suey/
チャプタ /(n) (comp) chapter/
チャプター /(n) chapter/(P)/
チャプチャプ /(adj-na,adj-no,adv-to,n) splish-splash/glug-glug/
チャプレン /(n) chaplain/
チャペル /(n) chapel/(P)/
チャボヒバ /(n) (uk) Chamaecyparis obtusa var. breviramea (ornamental variety of hinoki cypress)/
チャボ檜葉 [チャボひば] /(n) (uk) Chamaecyparis obtusa var. breviramea (ornamental variety of hinoki cypress)/
チャム族 [チャムぞく] /(n) Cham (people)/
チャラ /(n) (col) forgiving a debt/getting even/
チャラい /(adj-i) flashy/gaudy/wrapped in cheap flattery/
チャラチャラ /(n,vs) messing around/showing off/
チャランゴ /(n) charango (spa:)/small lute-like stringed instrument, orig. from Bolivia/
チャラ付く [チャラつく] /(v5k) (sl) to make (the effort to make) oneself look cool/
チャリ /(n) (abbr) (col) bicycle/
チャリオット /(n) chariot/
チャリティ /(n) charity/(P)/
チャリティー /(n) charity/
チャリティーショー /(n) charity show/
チャリテイ /(n) charity/
チャルダッシュ /(n) Csardas (Hungarian dance) (hun:)/Czardas/
チャルマース /(n) Chalmers/
チャルメル草 [チャルメルそう] /(n) Mitella stylosa (species of miterwort)/
チャレンジ /(n,vs) self-challenge/trying hard to do something/(P)/
チャレンジャー /(n) challenger/
チャンキング /(n,vs) (ling) chunking/
チャンク /(n) chunk/
チャンコロ /(n) (sl) (vulg) (X) Chinese person/Manchu person/Chink/
チャンジャ /(n) salted Pacific cod entrails in spicy sauce/
チャンス /(n) chance/opportunity/(P)/
チャンドラ /(n) (comp) chandra/
チャンネル /(n) channel/(P)/
チャンバラ /(n) sword fight/
チャンピオン /(n) champion/(P)/
チャンピオンシップ /(n) championship/
チャンピオンフラッグ /(n) pennant/champion flag/
チャンピオンベルト /(n) championship belt/
チャンピョン /(n) champion/
チャンプ /(n) (abbr) champ/
チャンプルー /(n) chanpuru/champuru/Okinawan stir-fry dish, usually containing vegetables (especially bitter melon), tofu, meat or fish (poss. from Indonesian "campur" meaning mixed)/
チャンポン /(n,adj-na) (1) practice of mixing things normally kept separate (practise)/mixture/(2) dish of noodles, seafood, vegetables (from Nagasaki)/
チャン語 [チャンご] /(n) (vulg) Chinese (language)/
チューインガム /(n) chewing gum/
チューズデー /(n) Tuesday/
チューター /(n) tutor/(P)/
チューダー王朝 [チューダーおうちょう] /(n) Tudor dynasty (of England; 1485-1603)/
チューダー朝 [チューダーちょう] /(n) Tudor dynasty (of England; 1485-1603)/
チューチュー /(n) squeak (sound made by a mouse)/cheep/peep/
チューチュー鳴く [チューチューなく] /(exp,v5k) to squeak/to chirp/to twitter/
チュートリアル /(n) tutorial/
チュートン /(n,adj-no) Teuton/
チューナ /(n) (1) tuner (e.g. radio)/(2) tuna (edible fish, Thunnus spp.)/
チューナー /(n) (1) tuner (e.g. radio)/(P)/
チューニング /(n,vs) tuning/
チューハイ /(n) (uk) (abbr) shochu with tonic water/(P)/
チューバ /(n) tuba/
チュービング /(n) tubing/
チューブ /(n) tube/(P)/
チューブラーベルズ /(n) tubular bells/
チューブリン /(n) tubulin/
チューブレスタイヤ /(n) tubeless tire/tubeless tyre/
チューベローズ /(n) tuberose (Polianthes tuberosa)/
チューリッヒ /(n) Zurich/
チューリップ /(n) tulip/(P)/
チューリップツリー /(n) tulip tree (Liriodendron tulipifera)/
チューリング /(n) Turing/
チューリングテスト /(n) Turing's test/
チューリングマシン /(n) Turing machine/
チューリング機械 [チューリングきかい] /(n) Turing machine/
チュール /(n) tulle (fre:)/
チューン /(n) tune/
チューンアップ /(n,vs) tune-up/
チューンナップ /(n) tune up/
チュアブル /(n) chewable (pill)/
チュウシャクシギ /(n) (uk) whimbrel (species of curlew, Numenius phaeopus)/
チュウヒ /(n) (uk) Eastern marsh harrier (Circus spilonotus)/
チュウリップ /(n) tulip/
チュニジア /(n) Tunisia/(P)/
チュニック /(n) tunic/
チュニックコート /(n) tunic coat/
チュノム /(n) hanzi-based Vietnamese script/chu nom/
チュベローズ /(n) tuberose (Polianthes tuberosa)/
チュリンガ /(n) churinga/
チュルク語派 [チュルクごは] /(n) Turkic (branch of languages)/
チュン /(adv,adv-to) (on-mim) chirp/cheep/
チュンチュン /(adv,adv-to) (on-mim) chirp/cheep/
チョー /(n,n-suf,pref) (1) (uk) super-/ultra-/hyper-/very/really/(2) over/more than/
チョーカー /(n) choker (type of necklace)/
チョーキング /(n) (1) choking/(2) chalking/(3) bending (a guitar string)/(P)/
チョーク /(n,adj-no) (1) chalk/(2) choke/(3) chock/(P)/
チョークコイル /(n) choke coil/choking coil/
チョークストライプ /(n) chalk stripe/
チョーパン /(n) head butt/
チョーラ朝 [チョーラちょう] /(n) Chola Dynasty (of India, approx. 848-1279 CE)/
チョイス /(n,vs) choice/selection/
チョウゲンボウ /(n) (uk) common kestrel (Falco tinnunculus)/
チョウザメ /(n) (uk) sturgeon (Acipenser mikadoi)/
チョウジザクラ /(n) (uk) clove cherry (Prunus apetala)/
チョウジャガイ /(n) (uk) (obsc) Beyrich's slit shell (species of sea snail, Pleurotomaria beyrichii)/
チョウセンイタチ /(n) (uk) Korean yellow weasel (Mustela sibirica coreana)/
チョウセンブナ /(n) (uk) roundtail paradisefish (Macropodus ocellatus)/
チョウセンヤツメ /(n) Korean lamprey (Lampetra morii)/
チョウセンヨモギ /(n) (uk) Chinese mugwort (Artemisia argyi)/Argy wormwood/Argy's wormwood/
チョウセンレンギョウ /(n) (uk) Korean golden bells/Forsythia vahl/
チョウチョウウオ /(n) (uk) Oriental butterflyfish (Chaetodon auripes, species found mostly from Japan to Taiwan)/
チョウチョウウオ属 [チョウチョウウオぞく] /(n) Chaetodon (genus of tropical butterflyfish in the family Chaetodontidae)/
チョウチンアンコウ /(n) (uk) football fish (any fish of family Himantolophidae, esp. the Atlantic footballfish, Himantolophus groenlandicus)/
チョウドウフ /(n) fermented tofu/stinky tofu/smelly tofu/
チョウハン /(n) (uk) raccoon butterflyfish (Chaetodon lunula)/moon butterflyfish/
チョウマメ /(n) (uk) butterfly pea (Clitoria ternatea)/Asian pigeonwings/
チョウモク /(n) Lepidoptera/
チョウ目 [チョウもく] /(n) Lepidoptera/
チョキ /(n) scissors (in rock paper scissors game)/
チョキチョキ /(adv) snipping sound/cutting sound/to cut/
チョコ /(n) choco(late)/(P)/
チョコクロ /(n) (abbr) chocolate croissant/
チョココロネ /(n) (abbr) choco cornet/
チョコチップ /(n) chocolate chips/chocolate chip/
チョコレート /(n) chocolate/(P)/
チョコレートケーキ /(n) chocolate cake/
チョコレートサージャンフィッシュ /(n) chocolate surgeonfish (Acanthurus pyroferus, Indo-Pacific species of tang)/mimic surgeonfish/orange-gilled surgeonfish/
チョコレートサージョンフィッシュ /(n) chocolate surgeonfish (Acanthurus pyroferus, Indo-Pacific species of tang)/mimic surgeonfish/orange-gilled surgeonfish/
チョコレートディップクロミス /(n) chocolatedip chromis (Chromis dimidiata)/half-and-half chromis/twotone chromis/
チョコレート色 [チョコレートいろ] /(n) chocolate brown/
チョソンクル /(n) hangul script (North Korean name) (kor: choson'gul)/
チョソングル /(n) hangul script (North Korean name) (kor: choson'gul)/
チョッキ /(n) waistcoat (por: jaque)/vest/(P)/
チョック /(n,adj-no) (1) chock/
チョックストーン /(n) chockstone/
チョッパー /(n) chopper/
チョッパヤ /(n) (sl) very fast/very early/
チョッピングツール /(n) chopping tool/
チョップ /(n) chop/
チョベリグ /(n) very, very good (teen slang)/
チョベリバ /(n) very, very bad (teen slang)/
チョボ /(n) (1) (uk) dot/point/mark/(2) gidayuu musicians (in kabuki)/
チョムカ /(n) very sickening (teen slang)/
チョリソ /(n) chorizo (spa:)/
チョリソー /(n) chorizo (spa:)/
チョロギ /(n) (uk) Chinese artichoke (Stachys sieboldii)/Japanese artichoke/chorogi/
チョン /(n) (1) (vulg) (sl) abusive term used to refer to Koreans/(2) (original meaning) idiot/(3) Korean currency unit (1-100 of a won)/
チョンカス /(n) (vulg) (sl) (obsc) gook (pejorative term for Koreans)/
チョン国 [チョンこく] /(n) (derog) term for Korea/
チヨッキ /(n) long vest with open sleeves/chokki vest/kimono vest/
チラコイド /(n) thylakoid/
チラシ /(n) (1) scattering/(2) (uk) leaflets/(P)/
チラチラ /(adv,adv-to,vs) (on-mim) fluttering/flickering/intermittently/
チラツキ /(n) flickering (e.g. on a video display)/
チラノサウルス /(n) Tyrannosaurus Rex (lat:)/
チラミン /(n) tyramine/
チラ見 [チラみ] /(n,vs) (sl) glancing look/
チラ見せ [チラみせ] /(n,vs) (sl) giving someone a peek (of cleavage, etc.)/
チリ /(n) (uk) Chile/(P)/
チリコンカーン /(n) chili con carne/
チリコンカルネ /(n) chili con carne/
チリソース /(n) chili sauce/
チリパウダー /(n) chili powder/
チリペッパー /(n) chili pepper/
チリメンアイゴ /(n) peppered spinefoot (Siganus punctatissimus, species of Western Pacific rabbitfish)/finespotted rabbitfish/
チリメンヤッコ /(n) vermiculated angelfish (Chaetodontoplus mesoleucus)/
チリ硝石 [チリしょうせき] /(n) Chile saltpeter/soda nitre/
チルダ /(n) tilde/(P)/
チルト /(n) (comp) tilt/
チルド /(adj-f) (1) chilled/(n) (2) tilde/
チルドキャスチング /(n) chilled casting/
チルドビーフ /(n) chilled beef/
チルドレン /(n) children/
チルドロール /(n) chilled roll/
チロキシン /(n) Thyroxin/
チロシン /(n) tyrosine/
チロリアンハット /(n) Tyrolean hat/
チロル /(n) Tyrol/(P)/
チワワ /(n) chihuahua/
チワン語 [チワンご] /(n) Zhuang language/
チワン族 [チワンぞく] /(n) Zhuang (Chinese ethnic minority group)/Chuang/
チン /(n) chin/(P)/
チン /(n,vs) (1) ding (sound of a bell)/bing/(vs) (2) to cook (or heat) in a microwave oven (from the 'ching' timer bell)/(3) sneeze (into a tissue, used with children)/
チンカス /(n) (col) smegma/
チンキ剤 [チンキざい] /(n) tincture/
チンク油 [チンクゆ] /(n) zinc oxide oil/
チンケ /(adj-na) worst/poor and boring/uncool/
チンゲ /(n) (sens) (sl) (uk) pubic hair/penis hair/
チンゲンサイ /(n) qinggengcai (spinach-like green vegetable originating in China)/pak choi/bok choi/bok choy/
チンゲン菜 [チンゲンさい] /(n) qinggengcai (spinach-like green vegetable originating in China)/pak choi/bok choi/bok choy/
チンシバイ /(n) (uk) sorbaria/
チンスコー /(n) Okinawan sweet/
チンチョウゲ /(n) winter daphne (Daphne odora)/
チンチラ /(n) chinchilla/
チンチン /(adv,adv-to) (1) (on-mim) chink/jingle/tinkle/whistle (kettle)/(n,vs) (2) begging (animal)/(n) (3) (chn) penis/
チンパンジー /(n) chimpanzee/chimp/
チンピラ /(n,adj-no) (young) hoodlum/small-time yakuza/delinquent boy/delinquent girl/hooligan/punk/(P)/
ヂンチョウゲ /(ik) (n) winter daphne (Daphne odora)/
ツー /(n) two/
ツーと言えばカーだ [ツーといえばカーだ] /(exp) to be quick to take a hint/to be very responsive/to be quick on the uptake/
ツーアイドコーラルフィッシュ /(n) twospot coralfish (Coradion melanopus)/twoeye coralfish/
ツーウエー /(n) two-way/
ツーウエースピーカー /(n) two-way speaker/
ツーカー /(n) Tu-Ka (name of a KDDI mobile phone operation)/
ツーカーの仲 [ツーカーのなか] /(exp) (id) on such good terms as to know what each other is thinking/
ツーキニスト /(n) (abbr) bike-commuter/
ツークール /(n) two runs of a television series (wasei: two cours)/
ツーサイクルエンジン /(n) two-cycle engine/
ツーショット /(n) photograph of two people, usu. male and female (wasei: two shot)/
ツーステップ /(n) two-step/
ツーテール /(n) pigtails (wasei: two tail)/
ツートーン /(n) two-tone/
ツートップ /(exp) two tops/
ツートンカラー /(n,adj-no) two-tone coloring/
ツートンドクロミス /(n) chocolatedip chromis (Chromis dimidiata)/half-and-half chromis/twotone chromis/
ツーバイフォー /(n) two-by-four (e.g. method)/
ツーバイフォー工法 [ツーバイフォーこうほう] /(n) wood frame construction/
ツービート /(n) two-beat/
ツーピース /(n) (women's) two piece suit (wasei: two piece)/(P)/
ツープラトーンシステム /(n) two-platoon system/
ツーベース /(n) double (baseball) (wasei: two base)/
ツーベースヒット /(n) two-base hit/
ツーリスト /(n) tourist/(P)/
ツーリストクラス /(n) tourist class/
ツーリストビューロー /(n) tourist bureau/
ツーリズム /(n) tourism/
ツーリング /(n) touring/tooling/(P)/
ツーリングカー /(n) touring car/
ツール /(n) (1) (comp) tool (esp. software, etc.)/(2) tour (e.g. Tour de France)/(P)/
ツールキット /(n) (comp) toolkit/
ツールサーバ /(n) (comp) tool server/
ツールセット /(n) (comp) tool set/
ツールド /(exp) Tour de ... (e.g. Tour de France)/
ツールドフランス /(n) Tour de France (fre:)/
ツールバー /(n) (comp) toolbar/tool-bar/
ツールホルダー /(n) toolholder/
ツールボックス /(exp) tool box/
ツーンと /(adv) pungently (of a smell)/
ツァー /(n) tsar/czar/tzar/
ツァーリ /(n) tsar/czar/tzar/
ツァーリズム /(n) tsarizm/czarism/tsarism/
ツァール /(n) tsar/czar/tzar/
ツァイトガイスト /(n) zeitgeist (ger: Zeitgeist)/
ツアー /(n) tour/(P)/
ツアーオブ /(exp) tour of .../
ツアーコンダクター /(n) tour conductor/
ツィーター /(n) tweeter (audio equipment)/
ツィクルス /(n) cycle (e.g. of songs) (ger: Zyklus)/
ツィクロンＢ [ツィクロンビー] /(n) Zyklon B/
ツィター /(n) zither (ger:)/
ツィンバロム /(n) cymbalom (large Hungarian dulcimer)/cimbalom/
ツィンバロン /(n) cymbalom (large Hungarian dulcimer)/cimbalom/
ツイーザーズ /(n) tweezers/
ツイーター /(n) tweeter (audio equipment)/
ツイート /(n) tweet/tweets/
ツイード /(n,adj-no) tweed/
ツイスター /(n) twister (e.g. the game)/
ツイスト /(n) twist (dance)/
ツイストドリル /(n) twist drill/
ツイストペア /(n) (comp) twisted pair/
ツイストペアケーブル /(n) (comp) twisted pair cable/
ツイッター /(n) (comp) Twitter/
ツイル /(n) twill (fabric)/
ツイン /(n) twin/(P)/
ツイン・ターボ /(n) twin-turbo/
ツインカム /(n) twin cam/
ツインターボ /(n) twin-turbo/
ツインテール /(n) pigtails (wasei: twin tail)/
ツインベッド /(n) twin bed/
ツインリーキーバケット /(n) (comp) twin leaky bucket/
ツインルーム /(n) double room/twin room/
ツェッペリン飛行船 [ツェッペリンひこうせん] /(n) Zeppelin airship/
ツェツェ蝿 [ツェツェばえ] /(n) tsetse fly/
ツェツェ蠅 [ツェツェばえ] /(n) tsetse fly/
ツェン /(n) (comp) TSENG/
ツカツクリ /(n) (uk) megapode (any bird of family Megapodiidae, inc. brush turkeys and mallee fowl)/mound builder/
ツキ /(n) (uk) Japanese zelkova (species of elm-like tree, Zelkowa serrata)/
ツキ /(n,n-suf) (1) furnished with/including/(2) attached to/(3) impression/appearance/(n) (4) (uk) luck/(5) sociality/(n,n-suf) (6) under/assistant (e.g. to a manager)/(7) soup base/
ツキが悪い [ツキがわるい] /(exp) (1) not staying on well/not sticking on well/(2) unlucky/
ツキが回る [ツキがまわる] /(exp,v5r) to have fortune come your way/to become lucky/
ツキが良い [ツキがいい] /(exp) (1) stay well (on)/(2) lucky/
ツキチョウチョウウオ /(n) Hongkong butterflyfish (Chaetodon wiebeli)/panda butterflyfish/
ツキヌキニンドウ /(n) (uk) trumpet honeysuckle/Lonicera sempervirens/
ツキノワグマ /(n) (uk) Asian black bear (Selenarctos thibetanus)/moon bear/
ツキベラ /(n) ornate wrasse (Halichoeres ornatissimus)/
ツクシガモ /(n) (uk) common shelduck (Tadorna tadorna)/
ツクシシャクナゲ /(n) (uk) Tsukushi rhododendron/Rhododendron metternichii var./
ツクツクボウシ /(n) (uk) Meimuna opalifera (species of cicada)/
ツクバネ /(n) (uk) Buckleya lanceolata (species of parasitic deciduous shrub)/
ツクバネアサガオ /(n) (uk) petunia/
ツクバネウツギ /(n) (uk) twin-flowering abelia (Abelia spathulata)/
ツクバネガシ /(n) (uk) Quercus sessilifolia (species of oak)/
ツクバネソウ /(n) (uk) Paris tetraphylla (flowering plant closely related to herb Paris)/
ツクリタケ /(n) (uk) common mushroom (Agaricus bisporus)/
ツグミ /(n) (uk) thrush (esp. the dusky thrush, Turdus naumanni)/
ツグルク朝 [ツグルクちょう] /(n) Tughluq Dynasty (of India, 1320-1413 CE)/
ツケが回って来る [ツケがまわってくる] /(exp,vk) the bill will come due (expression used to imply that someone will eventually have to pay the price for their misdeeds)/
ツゲ /(n) (uk) Japanese box tree (Buxus microphylla var. japonica)/Japanese boxwood/
ツシマテン /(n) (uk) Tsushima marten (Martes melampus tsuensis, a subspecies of the Japanese marten)/
ツシマヤマネコ /(n) (uk) Tsushima cat (variety of leopard cat, Prionailurus bengalensis euptailurus)/
ツタウルシ /(n) (uk) Asian poison ivy (Rhus ambigua)/
ツタンカーメン /(n) Tutankamen/(P)/
ツチガエル /(n) (uk) wrinkled frog (Rana rugosa)/
ツチクジラ /(n) (uk) Baird's beaked whale (Berardius bairdii)/
ツチグリ /(n) (uk) barometer earthstar (Astraeus hygrometricus)/
ツチノコ /(n) mythical snake-like creature/tsuchinoko/
ツチバチ /(n) (uk) scoliid wasp (any wasp of family Scoliidae)/
ツチフキ /(n) (uk) Chinese false gudgeon (Abbottina rivularis)/
ツチブタ /(n) (uk) aardvark (Orycteropus afer)/
ツッパリ /(n) delinquent youth/delinquent youngster/
ツツガムシ /(n) (uk) chigger/jigger/harvest mite (any mite of family Trombiculidae)/
ツツガムシ病 [ツツガムシびょう] /(n) scrub typhus/tsutsugamushi disease/
ツツジ科 [ツツジか] /(n) Ericaceae (plant family)/heath/(subset of Ericaceae once formally had the generic name Azalea)/
ツツジ目 [ツツジもく] /(n) Ericales (order of plants)/
ツツドリ /(n) (uk) Oriental cuckoo (Cuculus saturatus)/
ツヅラフジ /(n) (1) (uk) Chinese moonseed (Sinomenium acutum)/(2) complex inter-relationship (as in the struggle between two types of vine over one piece of land)/
ツヅラフジ科 [ツヅラフジか] /(n) Menispermaceae (moonseed family of plants)/
ツデー /(n-adv,n-t) today/
ツナ /(n) tuna (usu. refers to canned tuna)/(P)/
ツナサンド /(n) tuna sandwich/
ツナマヨネーズ /(n) mixture of mayonnaise and canned tuna, used on bread, pasta, etc./
ツノガレイ /(n) (uk) Alaska plaice (Pleuronectes quadrituberculatus)/
ツノガレイ属 [ツノガレイぞく] /(n) Pleuronectes (genus of flatfish in the family Pleuronectidae)/
ツノゴケ /(n) (uk) hornwort/
ツノゴケ類 [ツノゴケるい] /(n) hornworts (non-vascular plants of order Anthocerotopsida)/
ツノザメ /(n) (uk) dogfish (any shark of family Squalidae)/
ツノゼミ /(n) (uk) treehopper (any insect of family Membracidae, esp. the species Orthobelus flavipes)/
ツノダシ /(n) (uk) moorish idol (Zanclus cornutus, species of Indo-Pacific perciform fish)/
ツノダシ科 [ツノダシか] /(n) Zanclidae (family of perciform fish whose sole member is the moorish idol)/
ツノダシ属 [ツノダシぞく] /(n) Zanclus (sole genus of the family Zanclidae containing the moorish idol as its sole extant species)/
ツノトカゲ /(n) (uk) horned lizard/horned toad/
ツノナス /(n) (uk) nipplefruit/apple of Sodom (Solanum mammosum)/titty fruit/cow's udder/
ツノハシバミ /(n) (uk) Japanese hazel (Corylus sieboldiana)/
ツノハタタテダイ /(n) horned bannerfish (Heniochus varius)/hunchbacked coralfish/
ツノメドリ /(n) (uk) horned puffin (Fratercula corniculata)/
ツノモ /(n) (uk) dinoflagellate of genus Ceratium/
ツバイモモ /(n) (obsc) nectarine/
ツバキ /(n) (1) (uk) common camellia/Camellia japonica/
ツバキ科 [ツバキか] /(n) Theaceae (plant family)/tea/
ツバキ目 [ツバキもく] /(n) Theales (order of plants)/
ツバクロザメ /(n) daggernose shark (Isogomphodon oxyrhynchus, species of requiem shark found in Trinidad, Guyana, Suriname, French Guiana, and Brazil)/
ツバクロザメ属 [ツバクロザメぞく] /(n) Isogomphodon (genus of requiem shark in the family Carcharhinidae with one extant species known as the daggernose shark)/
ツバメ /(n) (1) (uk) swallow (bird of the Hirundinidae family)/martin/(2) barn swallow (Hirundo rustica)/(3) younger man involved with an older woman/(P)/
ツバメの巣 [ツバメのす] /(n) (1) swallow's nest/(2) (food) swift's nest (used to make bird's nest soup)/
ツバメウオ /(n) (1) (uk) longfin batfish (Platax teira, species of Indo-West Pacific spadefish)/Tiera batfish/(2) (uk) (obsc) flying fish (esp. the Japanese flying fish, Cypselurus agoo)/
ツバメウオ属 [ツバメウオぞく] /(n) Platax (genus of 5 extant species of Indo-Pacific batfish in the spadefish family Ephippidae)/
ツパイ /(n) (1) tree shrew (order Scandentia, esp. family Tupaiidae) (may: tupai)/(2) common tree shrew (Tupaia glis)/
ツブ /(n) (1) (uk) whelk (esp. Neptunea and Buccinum spp.)/(2) small spiral-shelled snail (esp. a pond snail)/
ツブ貝 [ツブがい] /(n) whelk (esp. Neptunea and Buccinum spp.)/
ツベルクリン /(n) tuberculin (ger: Tuberkulin)/
ツベルクリン反応 [ツベルクリンはんのう] /(n) tuberculin test/
ツボる /(v5r) to hit the bullseye (of tastes, humour, etc.)/
ツボカビ /(n) (uk) chytrid (any simple, algaelike fungi of order Chytridiales)/
ツボクラリン /(n) tubocurarine/
ツマグロ /(n) (1) (uk) blacktip reef shark (Carcharhinus melanopterus, species of requiem shark mostly found in the Indo-Pacific)/(n,adj-no) (2) (arch) black tip/
ツマグロエイラクブカ /(n) blacktip tope (Hypogaleus hyugaensis, a hound shark found in the Indo-West Pacific)/
ツマグロエイラクブカ属 [ツマグロエイラクブカぞく] /(n) Hypogaleus (genus whose sole member is the blacktip tope, Hypogaleus hyugaensis, a hound shark of the family Triakidae)/
ツマグロカジカ属 [ツマグロカジカぞく] /(n) Gymnocanthus (genus of northern demersal fish in the Cottidae family)/
ツマグロスズメバチ /(n) (uk) lesser banded hornet (Vespa affinis)/
ツマグロチョウチョウウオ /(n) spotfin butterflyfish (Chaetodon ocellatus)/
ツマグロヨコバイ /(n) (uk) green rice leafhopper (Nephotettix cincticeps)/
ツマジロ /(n) (uk) silvertip shark (Carcharhinus albimarginatus, a requiem shark found throughout the tropical Indian and Pacific Oceans)/
ツマリテングハギ /(n) spotted unicornfish (Naso brevirostris, species of Indo-Pacific tang)/
ツミ /(n) (uk) Japanese sparrowhawk (Accipiter gularis)/
ツムブリ /(n) (uk) rainbow runner (Elagatis bipinnulata)/rainbow yellowtail/Spanish jack/Hawaiian salmon/
ツメ /(n) (abbr) to close up (editing mark)/
ツメタガイ /(n) (uk) bladder moon shell (Glossaulax didyma)/
ツメダニ /(n) (uk) cheyletid (any mite of the family Cheyletidae)/
ツモロー /(n-adv,n-t) tomorrow/
ツユクサ /(n) (uk) Asiatic dayflower (Commelina communis)/
ツユベラ /(n) African coris (Coris gaimard)/yellow tail coris/clown wrasse/
ツリー /(n) (Christmas) tree/(P)/
ツリードクター /(n) tree doctor/
ツリー構造 [ツリーこうぞう] /(n) (comp) tree structure/
ツリアブ /(n) (uk) bee fly (any insect of family Bombyliidae)/
ツリウム /(n) thulium (Tm)/
ツリバナ /(n) (uk) Korean spindletree (Euonymus oxyphyllus)/
ツル /(n) crane (any bird of the family Gruidae, esp. the red-crowned crane, Grus japonensis)/
ツルウメモドキ /(n) (uk) Celastrus orbiculatus/
ツルコケモモ /(n) (uk) small cranberry (Vaccinium oxycoccos)/
ツルボ /(n) (uk) Scilla scilloides (species of squill)/
ツルマキ /(n) (uk) zebra sole (Zebrias zebrinus)/
ツルリンドウ /(n) tsururindo (Tripterospermum japonicum)/
ツルレイシ /(n) (uk) bitter melon (Momordica charantia)/
ツングース /(n) Tungus (Tungusic-speaking people, esp. the Evenki)/
ツングース語 [ツングースご] /(n) Tungusic language (esp. Evenki)/
ツングース諸語 [ツングースしょご] /(n) Tungusic languages/
ツンデレ /(adj-f,n) (1) being on the surface sharp and sarcastic (tsuntsun) but underneath lovestruck and fawning (deredere)/characteristic of a gap between acted out actions and feelings in mind/(2) normally being sharp but at some prompt suddenly becoming lovestruck/hot-cold personality type/
ツンドラ /(n) cold desert/tundra/
ツヴァイハンダー /(n) two-handed sword (ger: zweihander)/
ヅアル運転 [ヅアルうんてん] /(n) (comp) dual drive/
ヅラ /(n) hairpiece/wig/
テーク /(n) take/
テークアウェイ /(n) takeaway/(P)/
テークアウト /(n) takeout/
テークオーバー /(n) take-over/
テークオーバーゾーン /(n) take-over zone/
テークオーバービッド /(n) take-over bid/
テークオフ /(n) take-off/
テークバック /(n) take back/
テースト /(n) taste/
テーゼ /(n) thesis (ger: These)/statement/(P)/
テータ関数 [テータかんすう] /(n) theta function/
テーパー /(n) taper/
テーパーゲージ /(n) taper gauge/
テーパーピン /(n) taper pin/
テーパーリーマー /(n) taper reamer/
テーパールドスラックス /(n) tapered slacks/
テーピング /(n,vs) taping (e.g. an injured joint)/(P)/
テーブル /(n,adj-no) table/(P)/
テーブルウエア /(n) tableware/
テーブルカバー /(n) table cover/
テーブルクロス /(n) tablecloth/
テーブルゲーム /(n) tabletop game/table game/
テーブルスピーチ /(n) short speech at a dinner (wasei: table speech)/
テーブルスプーン /(n) tablespoon/
テーブルセンター /(n) centrepiece of a table (wasei: table center)/
テーブルタップ /(n) power strip (wasei: table tap)/power bar/
テーブルチャージ /(n) cover charge/table charge/
テーブルテニス /(n) table tennis/
テーブルトーク /(n) table talk/
テーブルマナー /(n) table manners/
テーブルリネン /(n) table linen/
テーブルルックアップ /(n) (comp) table lookup/
テーブルワイン /(n) table wine/
テーブル掛 [テーブルかけ] /(n) table cloth/
テーブル掛け [テーブルかけ] /(n) table cloth/
テープ /(n) tape/(P)/
テープを切る [テープをきる] /(exp,v5r) to break the tape (at the finishing line)/to breast the tape/
テープカートリッジ /(n) (comp) tape cartridge/
テープカット /(n,vs) tape cut (e.g. ribbon cutting ceremony)/
テープストリーマ /(n) (comp) tape streamer/
テープスプール /(n) (comp) tape spool/hub/
テープデッキ /(n) tape deck/
テープデバイス /(n) (comp) tape device/
テープドライブ /(n) (comp) tape drive/
テープバックアップ /(n) (comp) tape backup/
テープヒス /(n) tape hiss/
テープフレーム /(n) (comp) tape row/tape frame/
テーププレーヤー /(n) tape player/
テープマーク /(n) (comp) tape mark/
テープライブラリ /(n) (comp) tape library/
テープライブラリー /(n) tape library/
テープレコーダー /(n) tape recorder/(P)/
テープ駆動機構 [テープくどうきこう] /(n) (comp) tape drive/
テープ駆動部 [テープくどうぶ] /(n) (comp) tape transport/
テープ始端マーカ [テープしたんマーカ] /(n) (comp) beginning-of-tape marker/BOT marker/
テープ終わりマーク [テープおわりマーク] /(n) (comp) end-of-tape mark/
テープ終端マーカ [テープしゅうたんマーカ] /(n) (comp) end-of-tape marker/EOT marker/
テープ穿孔機構 [テープせんこうきこう] /(n) (comp) tape punch/
テープ穿孔装置 [テープせんこうそうち] /(n) (comp) tape punch/
テープ装置 [テープそうち] /(n) (comp) tape device/tape drive/
テープ複製機構 [テープふくせいきこう] /(n) (comp) tape reproducer/
テープ複製装置 [テープふくせいそうち] /(n) (comp) tape reproducer/
テーベ物語 [テーベものがたり] /(n) Thebais/
テーマ /(n) topic (ger: Thema)/theme/project/(P)/
テーマキャンペーン /(n) Theme campaign/
テーマソング /(n) Theme song/(P)/
テーマパーク /(n) theme park/(P)/
テーマプロモーション /(n) Theme promotion/
テーマミュージック /(n) Theme music/
テーラー /(n) tailor/(P)/
テーラーシステム /(n) Taylor system/
テーラード /(n) tailored/
テーラードカラー /(n) tailored collar/
テーラードスーツ /(n) tailored suit/
テーラーメード /(n) tailor-made/
テーラーメード医療 [テーラーメードいりょう] /(n) personalized medicine (wasei: tailor-made medicine)/
テーラーメイド /(n) tailor-made/
テーラーメイド医療 [テーラーメイドいりょう] /(n) personalized medicine (wasei: tailor-made medicine)/
テール /(n) (1) tail/(2) tael (Chinese unit of mass & currency)/(3) (abbr) (obsc) tailcoat/tails/
テールエンド /(n) tail end/
テールコート /(n) tailcoat/
テールフィン /(n) tail fin/
テールライト /(n) taillight/
テールランプ /(n) tail lamp/
テアトル /(n) theater/theatre/
テアトロ /(n) theater/theatre/
ティ /(n) (1) tea/(2) tee/(P)/
ティー /(n) (1) tea/(2) tee/(P)/
ティーアップ /(n,vs) tee-up/teeing (golf)/
ティーエー /(n) (comp) TA/
ティーエーピーアイ /(n) (comp) TAPI/
ティーエスアール /(n) (comp) TSR/
ティーエヌエヌ /(n) (comp) tnn/
ティーエフティー /(n) (comp) TFT/
ティーオフ /(n) tee off/
ティーカップ /(n) teacup/
ティーグラウンド /(n) teeing ground/
ティーケーオー /(n) technical knockout/TKO/
ティーコゼー /(n) tea cozy/tea cosy/
ティーシーピーアイピー /(n) (comp) TCP-IP/
ティーショット /(n) tee shot (golf)/
ティースプーン /(n) teaspoon/
ティースリー /(n) (comp) T3/
ティーセット /(n) tea set/
ティーゾーン /(n) (comp) T-ZONE/
ティーチイン /(n) teach-in/
ティーチャ /(n) teacher/
ティーチャー /(n) teacher/
ティーチングマシン /(n) teaching machine/
ティーディーエムエー /(n) (comp) TDMA/
ティーバッグ /(n) tea bag/
ティーバッティング /(n) tee batting/
ティーパーティー /(n) tea party/
ティーピーシー /(n) (comp) TPC/
ティーピーシーシー /(n) (comp) TPC-C/
ティーピーモニタ /(n) (comp) TP monitor/
ティーポット /(n) teapot/
ティーム /(n) team/
ティールーム /(n) tearoom/
ティーロフ /(n) (comp) TROFF/
ティーワン /(n) (comp) T1/
ティーン /(n) (abbr) teen/
ティーンエージ /(n) teen-age/
ティーンエージャ /(n) teenager/
ティーンエージャー /(n) teenager/(P)/
ティーンエイジ /(n) teen-age/
ティーンエイジャー /(n) teenager/
ティーンズ /(n) teens/
ティアードスカート /(n) tiered skirt/
ティアラ /(n) tiara/
ティグラウンド /(n) teeing ground (golf)/
ティケット /(n) ticket/
ティシュ /(n) tissue/
ティシュー /(n) tissue/(P)/
ティシュペーパー /(n) tissue-paper/
ティッカー /(n) (comp) ticker/
ティッカーシンボル /(n) ticker symbol/
ティッカーバー /(n) (comp) ticker bar/
ティックル /(n) (comp) Tcl/
ティックルティーケー /(n) (comp) Tcl-Tk/
ティッシュ /(n) (facial) tissues/(P)/
ティッシュー /(n) (facial) tissues/
ティッシュペーパー /(n) (a) tissue/facial tissue/facial tissues/(P)/
ティップス /(n) (comp) TIPS/
ティピ /(n) tipi/tepee/teepee/
ティピー /(n) tipi/tepee/teepee/
ティピカル /(adj-na,n) typical/
ティフ /(n) (comp) TIFF/
ティモール /(n) Timor/
ティモシー /(n) timothy (Phleum pratense)/timothy grass/
ティラー /(n) tiller/
ティラニー /(n) tyranny/(P)/
ティラノザウルス /(n) Tyrannosaurus Rex (lat:)/
ティラピア /(n) tilapia (freshwater fishes native to Africa, introduced to many areas worldwide as a food source) (lat:)/
ティラミス /(n) tiramisu/
ティルデ /(n) tilde/
ティルト /(n) (comp) tilt/
ティンカーズバタフライフィッシュ /(n) Hawaiian butterflyfish (Chaetodon tinkeri)/Tinker's butterflyfish/
ティンパニ /(n) timpani (ita: timpani)/tympany/(P)/
ティンパニー /(n) timpani (ita: timpani)/tympany/
テイカカズラ /(n) (uk) Asiatic jasmine (Trachelospermum asiaticum)/Asian jasmine/
テイカデ /(n) (comp) teikade/
テイク /(n) take/
テイクアウト /(n) take-away food/take-out/
テイクオーバー /(n) take-over/
テイクオーバービッド /(n) take-over bid/
テイクオフ /(n) take-off/
テイクバック /(vs) to take back/
テイサックス病 [テイサックスびょう] /(n) Tay-Sachs disease/
テイスティング /(n) sampling food or drink/tasting/
テイスト /(n) taste/
テイラーズシャープノーズトビー /(n) Tyler's toby (Canthigaster tyleri)/
テイル /(n) tail/
テイント /(n) (comp) tainted/
テオクラシー /(n) theocracy/
テオフィリン /(n) theophylline/
テオブロミン /(n) theobromine/
テガタチドリ /(n) (uk) fragrant orchid (Gymnadenia conopsea)/
テガフール /(n) Tegafur/
テキ /(n) (abbr) beefsteak/(P)/
テキーラ /(n) tequila/
テキサス /(n) Texas/(P)/
テキサスヒット /(n) Texas hit (baseball)/Texas leaguer/
テキサスリーガー /(n) Texas leaguer/
テキス /(n) text/
テキスタイル /(n) textile/
テキスタイルデザイン /(n) textile design/
テキスチャ /(n) texture/
テキスト /(n) (1) text/(2) text book/(P)/
テキストイメー /(n) (comp) text image/
テキストエディタ /(n) (comp) text editor/
テキストオブジェクト /(n) (comp) text object/
テキストクエリ /(n) (comp) text query/
テキストスライド /(n) (comp) text slide/
テキストデータ /(n) (comp) character data/
テキストファイル /(n) (comp) text file/
テキストフォーマット /(n) (comp) text format/
テキストフォント /(n) (comp) text font/
テキストブック /(n) textbook/
テキストブロック /(n) (comp) text block/
テキストベース /(n) (comp) text based (e.g. interface)/
テキストボックス /(n) (comp) text box/
テキストモード /(n) (comp) text mode/
テキストラベル /(n) (comp) text label/
テキスト位置 [テキストいち] /(n) (comp) text position/
テキスト画面 [テキストがめん] /(n) (comp) text plane/
テキスト開始 [テキストかいし] /(n) (comp) start of text/STX/
テキスト局所座標系 [テキストきょくしょざひょうけい] /(n) (comp) text local coordinate system/
テキスト区域 [テキストくいき] /(n) (comp) text extent/
テキスト形式 [テキストけいしき] /(n) (comp) text format/
テキスト終結 [テキストしゅうけつ] /(n) (comp) end of text/ETX/
テキスト処理 [テキストしょり] /(n) (comp) text processing/
テキスト配置 [テキストはいち] /(n) (comp) text alignment/
テキスト表示精度 [テキストひょうじせいど] /(n) (comp) text precision/
テキスト平面 [テキストへいめん] /(n) (comp) text plane/
テキスト平面定義ベクトル [テキストへいめんていぎベクトル] /(n) (comp) text direction vectors/
テキスト方向 [テキストほうこう] /(n) (comp) text path/
テキ屋 [テキや] /(n) racketeer/faker/stall-keeper/
テク /(n) (1) (abbr) technology/(2) (sl) technique/(P)/
テクシー /(n) (sl) going on foot/
テクシーで行く [テクシーでいく] /(exp,v5k-s) (sl) to foot it/to hoof it/to go on foot/
テクスタイル /(n) textile/
テクスチャ /(n) texture/(P)/
テクスチャー /(n) texture/
テクスチャマッピング /(n) (comp) texture mapping/
テクスチュア /(n) texture/
テクスト /(n) (1) text/(2) text book/
テクセル /(n) texel/
テクタイト /(n) tektite/
テクトニクス /(n) tectonics/
テクトロニクス /(n) Tektronics/
テクニカラー /(n) Technicolor/
テクニカル /(adj-na,n) technical/(P)/
テクニカル・ダイバー /(n) technical diver/
テクニカル・ダイビング /(n) technical diving/
テクニカルサポート /(n) (comp) technical support/
テクニカルターム /(n) technical term/
テクニカルダイバー /(n) technical diver/
テクニカルダイビング /(n) technical diving/
テクニカルネーム /(n) (comp) technical/
テクニカルノックアウト /(n) technical knockout/
テクニカルファウル /(n) technical foul/
テクニカルフォール /(n) technical fall/
テクニカルプログラム /(n) technical program/
テクニカルポイント /(n) technical point/
テクニカルメリット /(n) technical merit/
テクニクス /(n) technics/
テクニシャン /(n) technician/(P)/
テクニック /(n) technique/(P)/
テクネチウム /(n) technetium (Tc)/
テクネトロニック /(n) technetronic/
テクノ /(pref) (1) techno-/(n) (2) techno/(3) (abbr) techno-pop/
テクノイコノミックス /(n) technoeconomics/
テクノインダストリアル /(n) (comp) techno-industrial/
テクノカット /(n) techno cut/
テクノカル /(n) technical/
テクノカルターム /(n) technical term/
テクノクラート /(n) technocrat/(P)/
テクノクラシー /(n) technocracy/
テクノサイエンス /(n) techno-science/
テクノサウンド /(n) techno sound/
テクノスーパーライナー /(n) techno-superliner (high-speed Japanese cargo ship)/TSL/
テクノストラクチャー /(n) technostructure/
テクノストレス /(n) techno-stress/
テクノナショナリズム /(n) technonationalism/
テクノフォビア /(n) technophobia/
テクノペザント /(n) technopeasant/
テクノポップ /(n) techno-pop/
テクノポリス /(n) technopolis/
テクノマート /(n) techno mart/
テクノミスト /(n) technomist/
テクノレディー /(n) techno lady/
テクノロジ /(n) technology/
テクノロジー /(n) technology/(P)/
テクノロジーアート /(n) technology art/
テクノロジーアセスメント /(n) technology assessment/
テクノロジーギャップ /(n) technology gap/
テクノロジートランスファー /(n) technology transfer/
テクノロジーバブル /(n) technology bubble/
テクノロジズ /(n) technologies/
テクラム /(n) (comp) Tekram/
テグス /(n) synthetic fiber thread (usually nylon) typically used for stringing beads/
テケツ /(n) ticket/
テコンドー /(n) (uk) Tae Kwon Do (kor:)/
テコ入れ [テコいれ] /(n,vs) supporting/shoring up/
テサロニケの信徒への手紙一 [テサロニケのしんとへのてがみいち] /(n) First Epistle to the Thessalonians (book of the Bible)/
テサロニケの信徒への手紙二 [テサロニケのしんとへのてがみに] /(n) Second Epistle to the Thessalonians (book of the Bible)/
テスター /(n) tester/(P)/
テスタメント /(n) testament/
テスティング /(n) testing/
テスト /(n,vs) test/(P)/
テストキャンペーン /(n) test campaign/
テストケース /(n) test case/(P)/
テストスクリプト /(n) (comp) test script/
テストステロン /(n) testosterone/
テストセット /(n) test-set/
テストドライバー /(n) test driver/
テストパイロット /(n) test pilot/
テストパターン /(n) test pattern/
テストピース /(n) testpiece/
テストマーケティング /(n) test marketing/
テストマッチ /(n) test match/
テストメール /(n) test-mail/
テストモード /(n) (comp) static test mode/
テストライダー /(n) test rider/
テストラン /(n) test run/trial run/
テストリリース /(n) (comp) test release/
テスト結果 [テストけっか] /(n) (comp) test results/
テスト仕様 [テストしよう] /(n) (comp) test specification/
テスト版 [テストばん] /(n) (comp) test version, edition, release/
テスラ /(n) tesla/
テズルモズル /(n) (uk) basket star (any brittlestar of family Euryalina)/basket fish/
テタニー /(n) tetany/
テチス海 [テチスかい] /(n) Tethys Sea/
テック /(n) (1) (abbr) technical center/technical centre/(2) TeX/
テックエド /(n) (comp) Tech Ed/
テックス /(n) (1) soft fiberboard/soft fibreboard/(2) cloth/fabric/material/(3) tex/unit of linear mass density of fibres/(P)/
テックワイヤー /(n) (comp) TechWire/
テッポウウオ /(n) (uk) archerfish (any fish of family Toxotidae, esp. the banded archerfish, Toxotes jaculatrix)/
テツギョ /(n) (uk) comet goldfish/
テヅルモヅル /(n) (uk) basket star (any brittlestar of family Euryalina)/basket fish/
テディー /(n) teddy (bear) (type of lingerie)/
テディーベア /(n) teddy bear/
テトスへの手紙 [テトスへのてがみ] /(n) Epistle to Titus (book of the Bible)/
テトラ /(pref) (1) tetra-/(n) (2) tetra (fish)/
テトラオドン・レイウルス /(n) Tetraodon leiurus (species of pufferfish)/
テトラオドン属 [テトラオドンぞく] /(n) Tetraodon (largest genus in the pufferfish family Tetraodontidae)/
テトラクロロエチレン /(n) tetrachloroethylene/(P)/
テトラサイクリン /(n) tetracycline/
テトラパック /(n) Tetrapack/
テトラヒドロカンナビノール /(n) tetrahydrocannabinol/THC/
テトラポッド /(n) Tetrapod/
テトリス /(n) Tetris/
テトロドトキシン /(n) tetrodotoxin/
テトロン /(n) Tetoron/
テト攻勢 [テトこうせい] /(n) Tet Offensive (North Vietnamese offensive launched in January 1968)/
テナー /(n) tenor/(P)/
テナーサックス /(n) tenor sax/tenor saxophone/
テナガエビ /(n) freshwater prawn (any species in the genus Macrobrachium)/
テナガザル /(n) (uk) gibbon (any small, long-armed ape of family Hylobatidae)/
テナガダコ /(n) (uk) long-armed octopus (Octopus minor)/
テナガミズテング /(n) (uk) Bombay duck (Harpadon nehereus)/bummalo/
テナント /(n) tenant/(P)/
テニス /(n) tennis/(P)/
テニスウェア /(n) tennis-wear/
テニスエルボー /(n) tennis elbow/
テニスクラブ /(n) tennis club/
テニスコート /(n) tennis court/(P)/
テニスシューズ /(n) tennis shoes/
テニスプレーヤー /(n) tennis player/
テニスプレイヤー /(n) tennis player/
テニスボール /(n) tennis ball/
テニスラケット /(n) tennis racket/
テニス肘 [テニスひじ] /(n) tennis elbow/
テヌート /(n) tenuto (ita:)/
テヌト /(n) tenuto (ita:)/
テネシー /(n,adj-no) Tennessee/(P)/
テノール /(n) tenor (ger:)/(P)/
テフ /(n) TeX/
テフラ /(n) tephra (particles ejected by an eruption)/
テフロン /(n) Teflon/
テヘラン /(n) Tehran/(P)/
テポドン /(n) Taepodong (kor:)/Taep'o-dong/North Korean ballistic missile/
テマ /(n) theme/
テモテへの手紙一 [テモテへのてがみいち] /(n) First Epistle to Timothy (book of the Bible)/
テモテへの手紙二 [テモテへのてがみに] /(n) Second Epistle to Timothy (book of the Bible)/
テューバ /(n) tuba/
テューリング /(n) Turing/(P)/
テュニジア /(n) Tunisia/
テラ /(n,pref) tera-/10^12/
テラー /(n) teller/
テラコッタ /(n) terra cotta (ita:)/
テラス /(n) terrace/(P)/
テラスハウス /(n) terrace house/
テラス栽培 [テラスさいばい] /(n) terrace culture/
テラゾー /(n) terrazzo (ita:)/mosaic stone flooring/
テラターム /(n) (comp) Tera Term/
テラバイト /(n) (comp) terabyte/
テラピア /(n) tilapia (freshwater fishes native to Africa, introduced to many areas worldwide as a food source) (lat:)/
テラフォーミング /(n) terraforming/
テラマイシン /(n) Terramycin/
テラリウム /(n) terrarium/
テラロッサ /(n) terra rossa (ita:)/
テラワロス /(exp) (sl) laughing my ass off/LMAO/rolling on the floor laughing/ROTFL/
テリークロス /(n) terry cloth/
テリーヌ /(n) terrine (fre:)/(P)/
テリア /(n) terrier/
テリトリー /(n) territory/(P)/
テル /(n) tell (Middle-Eastern archaeological mound)/
テルアビブ /(n) Tel Aviv/(P)/
テルシェット /(n) terzetto/
テルスター /(n) Telstar/
テルネット /(n) (comp) telnet/
テルビウム /(n) terbium (Tb)/
テルペン /(n) terpene (ger: Terpen)/
テルミット反応 [テルミットはんのう] /(n) thermit reaction/
テルミン /(n) theremin (electronic musical instrument)/
テルリウム /(n) tellurium/
テルリド /(n) telluride/
テルル /(n) (abbr) tellurium (Te) (ger: Tellur)/
テルル化物 [テルルかぶつ] /(n,adj-f) telluride/
テレ /(adj-no) tele/
テレアポ /(n) (1) (abbr) telephone appointment/arranging meetings and appointments in advance by phone/(2) cold-calling to get potential customers to agree to meet a salesman/carrying out market surveys by phone/
テレウェイシリウス /(n) (comp) Teleway Sirius/
テレオノミー /(n) teleonomy/
テレカ /(n) (abbr) telephone card/
テレカンファレンス /(n) teleconference/(P)/
テレキネシス /(n) telekinesis/
テレキャスタ /(n) telecast/
テレクラ /(n) (abbr) telephone club (chat line, dating service)/(P)/
テレグラフ /(n) telegraph/(P)/
テレコ /(n) (abbr) tape recorder/
テレコネクション /(n) teleconnection/
テレコミ /(n) (abbr) telecommunication/
テレコミューティング /(n) (comp) telecommuting/
テレコミュニケーション /(n) telecommunication/
テレコム /(n) (abbr) telecommunication/(P)/
テレコムネットワーク /(n) (comp) telecom network/
テレコムベンダー /(n) (comp) telecom vendor/
テレコムマレーシア /(n) (comp) Telecom Malaysia/
テレコントロールシステム /(n) telecontrol system/
テレコンバーター /(n) teleconverter/
テレコンファレンス /(n) teleconference/
テレゴニー /(n) telegony/
テレシネ /(n) telecine/
テレショップ /(n) (abbr) television shopping/
テレジェニック /(n) telegenic/
テレスキャン /(n) telescan/(P)/
テレスコープ /(n) telescope/
テレストリアル /(n,adj-no) terrestrial/
テレタイプ /(n) teletype/
テレタイプライター /(n) teletypewriter/
テレチョイス /(n) (comp) Telechoice/
テレッキング /(ik) (n) trekking/
テレックス /(n) (abbr) telex/teletypewriter exchange/(P)/
テレテキスト /(n) (comp) teletext/
テレテックス /(n) teletex/
テレテル /(n) (comp) Teletel/
テレトピア /(n) Teletopia/
テレパシー /(n) telepathy/
テレビ /(n) (abbr) television/TV/(P)/
テレビアンテナ /(n) television aerial/television antenna/
テレビカメラ /(n) television camera/
テレビガイド /(n) TV guide/television guide/
テレビゲーム /(n) video game (wasei: television game)/
テレビコマーシャル /(n) television advertising/television commercial/
テレビコンテ /(n) (abbr) television continuity/
テレビショー /(n) TV show/
テレビショッピング /(n) home shopping network (wasei: television shopping)/
テレビジョン /(n) television/(P)/
テレビスクリーン /(n) television screen/TV screen/telescreen/
テレビスクリン /(n) television screen/TV screen/telescreen/
テレビスター /(n) television star/TV star/telly-celeb/
テレビスタジオ /(n) television studio/TV studio/
テレビスポット /(n) place in a TV program/television spot/
テレビセット /(n) television set/
テレビタレント /(n) television talent/
テレビデオ /(n) combination television and video-recorder (or DVD)/
テレビドアホン /(n) video intercom (wasei: television door phone)/intercom with a video camera and display/video doorphone/
テレビドラマ /(n) teledrama/television drama/television play/video drama/
テレビネットワーク /(n) television network/
テレビパソコン /(n) (comp) PC using a TV as a monitor/
テレビファクシミリ /(n) (abbr) facsimile through television/
テレビレーティングシステム /(n) television rating system/
テレビン /(n,adj-no) terebinthina/
テレビン油 [テレビンゆ] /(n) turpentine oil/
テレビ映画 [テレビえいが] /(n) TV movie/
テレビ会議 [テレビかいぎ] /(n) teleconference/video conferencing/
テレビ局 [テレビきょく] /(n) television station/
テレビ信号 [テレビしんごう] /(n) (comp) television signal/
テレビ政治 [テレビせいじ] /(n) telepolitics/
テレビ送信所 [テレビそうしんじょ] /(n) television transmitter/
テレビ中継 [テレビちゅうけい] /(n,vs) television broadcast/
テレビ中継所 [テレビちゅうけいじょ] /(n) TV relay station/
テレビ電話 [テレビでんわ] /(n) visual telephone/screen-phone/
テレビ塔 [テレビとう] /(n) TV tower/
テレビ番組 [テレビばんぐみ] /(n) television program/tv program/
テレビ報道 [テレビほうどう] /(n) television report/
テレビ放送 [テレビほうそう] /(n) telecast/
テレビ方式 [テレビほうしき] /(n) (comp) television system/
テレファックス /(n) telefax/
テレフィーチャー /(n) telefeature/
テレフォトグラフ /(n) telephotograph/
テレフォニー /(n) (comp) telephony/
テレフォン /(n) telephone/
テレフォンカード /(n) telephone card/
テレフタル酸 [テレフタルさん] /(n) terephtalic acid/
テレプリンター /(n) teleprinter/
テレプロセシング /(n) (comp) teleprocessing/
テレホーダイ /(n) (comp) off-peak telephone call price reduction/
テレホン /(n) telephone/(P)/
テレホンカード /(n) telephone card/
テレホンキャッシング /(n) over-the-phone loan (wasei: telephone cashing)/loan-by-phone/
テレホンクラブ /(n) telephone club/
テレホンサービス /(n) telephone service/
テレホンショッピング /(n) phone shopping/
テレホンセックス /(n) telephone sex/
テレホンボックス /(n) telephone box/
テレポーテーション /(n) teleportation/
テレポート /(n) Teleport/
テレマーカー /(n) telemarker/
テレマーク /(n) telemark/
テレマーケター /(n) telemarketer/
テレマーケチング /(n) telephone marketing/
テレマーケティング /(n) telemarketing/
テレミン /(n) theremin (electronic musical instrument)/
テレメーター /(n) telemeter/(P)/
テレメータリング /(n) telemetering/
テレメディスン /(n) (comp) telemedicine/
テレメデシン /(n) telemedicine/
テレメトリ /(n) telemetry/
テレメトリー /(n) telemetry/
テレメンタラリー /(n) (abbr) telementary/television documentary/
テレライティング /(n) telewriting/
テレワーク /(n) telework/telecommuting/
テレ放題 [テレほうだい] /(n) NTT's unmetered telephone service/
テロ /(n) (abbr) terror/terrorism/(P)/
テロとの戦い [テロとのたたかい] /(exp) war on terror/
テロる /(v5r) to commit an act (or acts) of terrorism/
テロップ /(n) (orig) television opaque projector (telop), used for subtitles and captions, now used for the subtitles and captions themselves/(P)/
テロメア /(n,adj-no) telomere/
テロメラーゼ /(n) telomerase/
テロリスト /(n) terrorist/(P)/
テロリストグループ /(n) terrorist group/
テロリズム /(n) terrorism/(P)/
テロル /(n) terrorism (ger: Terror)/
テロ攻撃 [テロこうげき] /(n) terrorist attack/
テロ支援国 [テロしえんこく] /(n) state sponsor of terrorism/
テロ支援国家 [テロしえんこっか] /(n) state sponsor of terrorism/state that sponsors or supports terrorism/
テロ組織 [テロそしき] /(n) terrorist organization/terrorist organisation/
テロ対策 [テロたいさく] /(n) anti-terrorist/
テン /(n) (1) (uk) Japanese marten (Martes melampus)/(2) marten (any arboreal weasel-like mammal of genus Martes)/
テン /(n) 10/ten/(P)/
テンイバラザメ /(n) straight-tooth weasel shark (Paragaleus tengi, species of Western Pacific weasel shark found from Japan to Viet Nam)/
テンイバラザメ属 [テンイバラザメぞく] /(n) Paragaleus (genus in the weasel shark family Hemigaleidae)/
テンガロンハット /(n) cowboy hat/ten-gallon hat/
テンキー /(n) (comp) (abbr) numeric keypad (wasei: ten key)/
テンキーパッド /(n) (comp) numeric keypad (wasei: ten key pad)/
テンキーロック /(n) numeric keypad lock (wasei: ten key lock)/
テングギンザメ /(n) Pacific spookfish (Rhinochimaera pacifica, species of deep water cartilaginous fish)/deep-sea chimaera/
テングギンザメ科 [テングギンザメか] /(n) Rhinochimaeridae (family of cartilaginous long-nosed chimaera fish)/
テングギンザメ属 [テングギンザメぞく] /(n) Rhinochimaera (genus with three species of long-nosed chimaeras in the family Rhinochimaeridae)/
テングコウモリ /(n) (uk) greater tube-nosed bat (Murina leucogaster)/
テングサ /(n) (uk) any red algae in the family Gelidiaceae (esp. Gelidium crinale)/
テングタケ /(n) (uk) panther cap (species of poisonous mushroom, Amanita pantherina)/
テングチョウチョウウオ /(n) yellow-dotted butterflyfish (Chaetodon selene)/
テングハギ /(n) bluespine unicornfish (Naso unicornis, species of Indo-Pacific tang)/bluespine surgeonfish/short-nose unicornfish/
テングハギモドキ /(n) sleek unicornfish (Naso hexacanthus, species of Indo-Pacific tang)/sleek unicorn/blacktongue unicorn/blacktounge unicornfish/Thorpe's unicornfish/nohorn unicorn/
テングハギ属 [テングハギぞく] /(n) Naso (genus of tropical marine surgeonfishes in the family Acanthuridae known as unicorn fishes due to a spike protruding from the forehead)/
テングヘラザメ /(n) longhead catshark (Apristurus longicephalus, an Indo-West Pacific species)/
テンサラバサラ /(n) (1) flock from a vine-seed weed, used for face powder, and believed to promote desire and happiness/(2) animal from popular folklore with a white fluffy down made from dandelions and a rabbit's tail resembling a fluffy hairball/
テンション /(n) (1) tension/(2) (sl) (highness of) spirits/(P)/
テンションピープル /(n) people between whom there is tension (wasei: tension people)/
テンションマリオン構法 [テンションマリオンこうほう] /(n) tension-mullion glazing system/
テンジクザメ /(n) slender bambooshark (Chiloscyllium indicum, found in the Indo-West Pacific)/
テンジクザメ科 [テンジクザメか] /(n) Hemiscylliidae (family of tropical Indo-Pacific longtail carpet sharks or bamboo sharks)/
テンジクザメ属 [テンジクザメぞく] /(n) Chiloscyllium (genus of carpet sharks or bamboo sharks in the family Hemiscylliidae with long snouts and subterminal nostrils)/
テンジクスズメダイ /(n) Bengal sergeant (Abudefduf bengalensis)/
テンス /(n) tense/
テンソル /(n,adj-no) tensor/
テンダー /(adj-no) tender/
テンダーオファー /(n) tender offer/
テンダーロイン /(n) tenderloin/
テンダーロインステーキ /(n) tenderloin steak/
テンダロイン /(n) tenderloin/
テンツキチョウチョウウオ /(n) sixspine butterflyfish (Parachaetodon ocellatus)/ocellate coralfish/eye-spot butterflyfish/ocellate butterflyfish/
テンデンシー /(n) tendency/
テント /(n) tent/(P)/
テントウムシ /(n) (uk) ladybug/ladybird/
テントウムシダマシ /(n) (1) (uk) handsome fungus beetle (any beetle of family Endomychidae)/(2) (col) 28-spotted ladybird (Epilachna vigintioctopunctata)/
テンナイン /(n) ten nines/99.99999999%/
テンナンショウ /(n) (uk) jack-in-the-pulpit/cobra lily (plant of genus Arisaema)/
テンニンチョウ /(n) (uk) pin-tailed whydah (species of weaverbird, Vidua macroura)/
テンパー /(n) temper/
テンパる /(v5r) to be about to blow one's fuse/
テンプ /(n) (abbr) temporary/
テンプテーション /(n) temptation/
テンプラ /(n) (uk) tempura (por: tempero, temporas)/deep-fried fish and vegetables in a light batter/(P)/
テンプルトン賞 [テンプルトンしょう] /(n) Templeton Prize/
テンプル騎士団 [テンプルきしだん] /(n) Knights Templar/Knights Templars/
テンプレ /(n) (abbr) template/
テンプレート /(n) (1) temperate/(2) template/
テンベースツー /(n) (comp) 10BASE-2/
テンベースティー /(n) (comp) 10BASE-T/
テンベースファイブ /(n) (comp) 10BASE-5/
テンペ /(n) tempeh (Indonesian dish made from fermented soy beans)/
テンペラ /(n) tempera (ita:)/(P)/
テンペラメント /(n) temperament/
テンホー /(n) mahjong hand in which the dealer goes out immediately/
テンポ /(n) tempo (ita:)/(P)/
テンポラリ /(n) temporary/
テンポラリー /(n) temporary/(P)/
テンポラリーワーカー /(n) temporary worker/
テンポラリファイル /(n) (comp) temporary file/
テンポラリ変数 [テンポラリへんすう] /(n) (comp) temporary variable/
テンポルバート /(n) tempo rubato (ita:)/
テンモード /(n) ten mode/
テ形 [テけい] /(n) (ling) -te form (e.g. of a verb)/
テ欄 [テらん] /(n) television listings/
デー /(suf) (1) day (as in holiday)/(adj-f) (2) daytime/
デーケア /(n) day care/
デーケアセンター /(n) day-care center/
デーゲーム /(n) day game/(P)/
デーサイト /(n) dacite/
デージー /(n) daisy/
デージーチェーン /(n) (comp) daisy chain/
デージーチェーン接続 [デージーチェーンせつぞく] /(n) (comp) daisy chain connection/
デージーホイールプリンタ /(n) (comp) daisy-wheel printer/
データ /(n) data/datum/(P)/
データのチェック /(n) (comp) data check/
データの汚染 [データのおせん] /(n) (comp) data corruption/data contamination/
データの階層 [データのかいそう] /(n) (comp) data hierarchy/
データの完全性 [データのかんぜんせい] /(n) (comp) data integrity/
データの丸め [データのまるめ] /(n) (comp) data rounding/
データの基底アドレス [データのきていアドレス] /(n) (comp) base address of data/
データの先頭 [データのせんとう] /(n) (comp) beginning of data/
データの品質 [データのひんしつ] /(n) (comp) data quality/
データの保全性 [データのほぜんせい] /(n) (comp) data integrity/
データの要素 [データのようそ] /(n) (comp) data element/
データインスタンス /(n) (comp) data instance/
データインタフェース /(n) (comp) data interface/
データインテンシブ /(n) (comp) data intensive/
データインベントリ /(n) (comp) data inventory/
データウェアハウス /(n) (comp) data warehouse/data warehousing/
データエンジン /(n) (comp) data engine/
データエントリ /(n) (comp) data entry/
データオブジェクト /(n) (comp) data-object/
データクラフト /(n) data craft/
データグラム /(n) (comp) datagram/
データグラムサービス /(n) (comp) datagram service/
データグローブ /(n) data-glove/
データコム /(n) (comp) datacom/
データコンバータ /(n) (comp) data converter/
データショウ /(n) (comp) data-show/
データシリーズ /(n) data series/
データステーション /(n) (comp) data station/
データストレージ /(n) (comp) data storage/
データセット /(n) (comp) data-set/
データセンタ /(n) (comp) data centre/
データセンター /(n) (comp) data center/
データタイプ /(n) (comp) data type/
データタイプ理論 [データタイプりろん] /(n) data type theory/
データタグ /(n) (comp) data tag/
データタグ群 [データたぐぐん] /(n) (comp) data tag group/
データタグ形式 [データたぐけいしき] /(n) (comp) data tag pattern/
データチャネル /(n) (comp) data channel/
データチャネル装置 [データチャネルそうち] /(n) (comp) data channel equipment/
データチャンネル /(n) (comp) data channel/
データディクショナリ /(n) (comp) data dictionary/
データバス /(n) (comp) data bus/
データバンク /(n) (comp) data bank/(P)/
データパイプ /(n) (comp) data pipe/
データパケット /(n) (comp) data packet/
データビット長 [データビットちょう] /(n) (comp) data bit length/
データファイル /(n) (comp) data-file/
データフィールド /(n) (comp) data field/
データフォーク /(n) (comp) data fork/
データフロー /(n) (comp) data flow/
データブレード /(n) (comp) DataBlade/
データプロセシング /(n) (comp) data processing/
データプロセッサー /(n) (comp) data processor/
データベース /(n) (comp) database/
データベースアプリケーション /(n) (comp) database application/
データベースエンジン /(n) (comp) database engine/
データベースサーバー /(n) (comp) database server/
データベースソフト /(n) (comp) database software/
データベースソフトウェア /(n) (comp) database software/
データベース化 [データベースか] /(n) compilation of a database/
データベース管理 [データベースかんり] /(n) (comp) database management/
データベース管理システム [データベースかんりシステム] /(n) (comp) Data Base Management System/DBMS/
データベース管理者 [データベースかんりしゃ] /(n) (comp) Data Base Administrator/DBA/
データベース技術 [データベースぎじゅつ] /(n) (comp) database technology/
データベース再編成 [データベースさいへんせい] /(n) (comp) data base reconstruction/reorganization/
データホルダー /(n) copy holder (wasei: data holder)/
データマート /(n) (comp) datamart/
データマイニング /(n) (comp) data mining/
データマルチプレクサ /(n) (comp) data multiplexer/
データマン /(n) (comp) data man/
データモジュール /(n) (comp) data module/
データモデリング /(n) (comp) data modelling/data modeling/
データリンク /(n) (comp) datalink/
データリンクコネクション識別子 [データリンクコネクションしきべつし] /(n) (comp) data link connection identifier/DLCI/
データリンクレベル /(n) (comp) data link level/
データリンク層 [データリンクそう] /(n) (comp) data link layer/
データレコード /(n) (comp) data record/DR/
データ圧縮 [データあっしゅく] /(n) (comp) data compression/
データ暗号化規格 [データあんごうかきかく] /(n) (comp) Data Encryption Standard/DES/
データ依存ジッタ [データいぞんジッタ] /(n) (comp) DDJ/data dependent jitter/
データ依存形障害 [データいぞんがたしょうがい] /(n) (comp) data-sensitive fault/
データ意味論 [データいみろん] /(n) (comp) data semantics/
データ解析 [データかいせき] /(n) (comp) data analysis/
データ回線 [データかいせん] /(n) (comp) data-circuit/
データ回線終端装置 [データかいせんしゅうたんそうち] /(n) (comp) data circuit-terminating equipment/DCE/
データ回線透過性 [データかいせんとうかせい] /(n) (comp) data circuit transparency/
データ階層 [データかいそう] /(n) (comp) data hierarchy/
データ確認 [データかくにん] /(n) (comp) (data) authentication/
データ完全性 [データかんぜんせい] /(n) (comp) data integrity/
データ管理者 [データかんりしゃ] /(n) (comp) data administrator/
データ機密保護 [データきみつほご] /(n) (comp) data security/
データ記述ファイル [データきじゅつファイル] /(n) (comp) data descriptor file/DDF/
データ記述レコード [データきじゅつレコード] /(n) (comp) data descriptor record/
データ記述言語 [データきじゅつげんご] /(n) (comp) Data Description Language/DDL/
データ記述項 [データきじゅつこう] /(n) (comp) data description entry/
データ記録装置 [データきろくそうち] /(n) (comp) Data Recording Device/
データ共用 [データきょうよう] /(n) (comp) data sharing/
データ局 [データきょく] /(n) (comp) data station/
データ句 [データく] /(n) (comp) data clause/
データ群 [データぐん] /(n) (comp) data aggregate/data constellation/
データ傾向 [データけいこう] /(n) (comp) data trend/data tendency/
データ型 [データがた] /(n) (comp) data type/
データ形式 [データけいしき] /(n) (comp) data format/
データ欠損 [データけっそん] /(n) (comp) data unavailability/lack of data/shortage of data/
データ交換 [データこうかん] /(n) (comp) data exchange/
データ交換機 [データこうかんき] /(n) (comp) data switch/
データ交換制御装置 [データこうかんせいぎょそうち] /(n) (comp) DXC/Data Exchange Controller/
データ交換装置 [データこうかんそうち] /(n) (comp) data switching exchange/DSE/
データ構造 [データこうぞう] /(n) (comp) data structure/
データ項目 [データこうもく] /(n) (comp) item/data item/
データ混在環境 [データこんざいかんきょう] /(n) (comp) mixed data (type) environment/
データ辞書 [データじしょ] /(n) (comp) data dictionary/
データ実体 [データじったい] /(n) (comp) data entity/data object/
データ実体化 [データじったいか] /(n) (comp) data materialization/
データ写像 [データしゃぞう] /(n) (comp) data mapping/
データ取得 [データしゅとく] /(n) (comp) data acquisition/
データ受信装置 [データじゅしんそうち] /(n) (comp) data sink/
データ収集 [データしゅうしゅう] /(n) (comp) data collection/data acquisition/
データ収集管理システム [データしゅうしゅうかんりシステム] /(n) (comp) data acquisition and control system/
データ収集端末 [データしゅうしゅうたんまつ] /(n) (comp) data input station/data collection station/
データ集線装置 [データしゅうせんそうち] /(n) (comp) data concentrator/
データ処理 [データしょり] /(n) (comp) data processing/data handling/
データ処理システム [データしょりシステム] /(n) (comp) data processing system/computer system/computing system/
データ処理システムの安全保護 [データしょりシステムのあんぜんほご] /(n) (comp) data processing system security/computer system security/
データ処理ステーション [データしょりステーション] /(n) (comp) data processing station/
データ処理センター [データしょりセンター] /(n) (comp) Data Processing Center/DPC/
データ処理ノード [データしょりノード] /(n) (comp) data processing node/
データ処理機械 [データしょりきかい] /(n) (comp) data processing machine/
データ信号速度 [データしんごうそくど] /(n) (comp) data signaling rate/
データ整合性 [データせいごうせい] /(n) (comp) data consistency/
データ精度 [データせいど] /(n) (comp) data accuracy/
データ専用文字 [データせんようもじ] /(n) (comp) dedicated data character/
データ操作言語 [データそうさげんご] /(n) (comp) Data Manipulation Language/DML/
データ送信装置 [データそうしんそうち] /(n) (comp) data source/
データ属性 [データぞくせい] /(n) (comp) data attribute/
データ損失 [データそんしつ] /(n) (comp) data loss/
データ多重変換装置 [データたじゅうへんかんそうち] /(n) (comp) data multiplexer/
データ対象 [データたいしょう] /(n) (comp) data object/
データ単位 [データたんい] /(n) (comp) data unit/
データ端末装置 [データたんまつそうち] /(n) (comp) data terminal equipment/DTE/
データ段階化 [データだんかいか] /(n) (comp) data staging/
データ値 [データち] /(n) (comp) data value/
データ抽象化 [データちゅうしょうか] /(n) (comp) data abstraction/
データ通信 [データつうしん] /(n) (comp) data communication/(P)/
データ通信機器 [データつうしんきき] /(n) (comp) Data Communications Equipment/DCE/
データ通信装置 [データつうしんそうち] /(n) (comp) data communications equipment/
データ定義言語 [データていぎげんご] /(n) (comp) Data Definition Language/DDL/
データ転送フェーズ [データてんそうフェーズ] /(n) (comp) data transfer phase/
データ転送速度 [データてんそうそくど] /(n) (comp) data-transfer rate/
データ転送段階 [データてんそうだんかい] /(n) (comp) data transfer phase/
データ点 [データてん] /(n) (comp) data point/
データ伝送 [データでんそう] /(n) (comp) data transmission/
データ伝送回線 [データでんそうかいせん] /(n) (comp) data transmission circuit/
データ伝送路 [データでんそうろ] /(n) (comp) channel/data Transmission channel/
データ登録 [データとうろく] /(n) (comp) data registration/
データ投入 [データとうにゅう] /(n) (comp) data entry/
データ独立性 [データどくりつせい] /(n) (comp) data independence/
データ内容 [データないよう] /(n) (comp) data content/
データ内容記法 [データないようきほう] /(n) (comp) data content notation/
データ入力 [データにゅうりょく] /(n) (comp) data entry/
データ入力端末 [データにゅうりょくたんまつ] /(n) (comp) data input station/data collection station/
データ媒体 [データばいたい] /(n) (comp) data medium/
データ媒体変換 [データばいたいへんかん] /(n) (comp) data transformation/
データ媒体保護機構 [データばいたいほごきこう] /(n) (comp) data medium protection device/
データ発信元認証 [データはっしんもとにんしょう] /(n) (comp) data origin authentication/
データ表示 [データひょうじ] /(n) (comp) data representation/
データ付き出力基本要素 [データつきしゅつりょくきほんようそ] /(n) (comp) with-data primitives/
データ付き領域集合 [データつきりょういきしゅうごう] /(n) (comp) fill area set with data/
データ付き領域集合群 [データつきりょういきしゅうごうぐん] /(n) (comp) set of fill area sets with data/
データ分析 [データぶんせき] /(n) (comp) data analysis/
データ文字 [データもじ] /(n) (comp) data character/
データ変換 [データへんかん] /(n) (comp) data conversion/
データ変換器 [データへんかんき] /(n) (comp) data converter/
データ編集者 [データへんしゅうしゃ] /(n) (comp) data preparer/
データ保護 [データほご] /(n) (comp) data protection/
データ補間 [データほかん] /(n) (comp) data interpolation/
データ放送 [データほうそう] /(n) (comp) data broadcasting/
データ密度 [データみつど] /(n) (comp) data density/packing density (deprecated in this sense)/
データ名 [データめい] /(n) (comp) data-name/
データ網 [データもう] /(n) (comp) data network/
データ要素 [データようそ] /(n) (comp) data element/data entity/
データ流れ [データながれ] /(n) (comp) data flow/
データ連鎖 [データれんさ] /(n) (comp) data chaining/
デーツ /(n) date/
デート /(n,adj-no,vs) date/go on a date/(P)/
デートガール /(n) date girl/
デートクラブ /(n) date club/
デートスポット /(n) date spot/
デートレイプ /(n) date rape/
デーバナーガリー文字 [デーバナーガリーもじ] /(n) Devanagari character/
デーパック /(n) day pack/
デービー /(n) (comp) DB/
デービーエムエス /(n) (comp) DBMS/
デービーツー /(n) (comp) DB2/
デービーデーシー /(n) (comp) DB-DC/
デービーマジック /(n) (comp) dbMAGIC/
デーホスピタル /(n) day hospital/
デーモン /(n) (1) demon/(2) (comp) daemon (in Unix, etc.)/(P)/
デーライト /(n) daylight/
デーライトスクリーン /(n) daylight screen/
デーライトタイプ /(n) daylight type/
デーリー /(n) daily/(P)/
デーリーエキスプレス /(n) daily express/
デーリーサテライトフィード /(n) daily satellite feed/
デーリースプレッド /(n) daily spread/
デーリーミラー /(n) Daily Mirror (newspaper)/
デーン人 [デーンじん] /(n) Danish person/Danes/Dane/
デーヴァナーガリー /(n) Devanagari/
デーヴァナーガリー文字 [デーヴァナーガリーもじ] /(n) Devanagari character/
デアンドル /(n) dirndl (traditional women's clothing of Southern Germany and Austria)/
ディ /(n) day/(P)/
ディーアイエックス /(n) (comp) DIX/
ディーイーエス /(n) (comp) DES/
ディーイーケー /(n) (comp) DEK/
ディーエーオー /(n) (comp) DAO/
ディーエーピー /(n) (comp) DAP/
ディーエスエス /(n) (comp) DSS/
ディーエスティエヌ /(n) (comp) D-STN/
ディーエスピー /(n) (comp) DSP/
ディーエスユー /(n) (comp) DSU/
ディーエックスツー /(n) (comp) DX2/
ディーエックスフォー /(n) (comp) DX4/
ディーエッチ /(n) (designated hitter - baseball)/
ディーエム /(n) (abbr) direct mail/
ディーエムエー /(n) (comp) DMA/
ディーエルエル /(n) (comp) DLL/
ディーコム /(n) (comp) DCOM/
ディーシーアイ /(n) (comp) DCI/
ディーシーイー /(n) (comp) DCE/
ディーシーエヌエー /(n) (comp) DCNA/
ディーゼル /(n) diesel/(P)/
ディーゼルエンジン /(n) diesel engine/
ディーゼルカー /(n) (1) diesel locomotive/(2) diesel powered car/
ディーゼル機関 [ディーゼルきかん] /(n) diesel engine/
ディーゼル機関車 [ディーゼルきかんしゃ] /(n) diesel locomotive/
ディーゼル自動車 [ディーゼルじどうしゃ] /(n) diesel powered car/
ディーゼル電気車 [ディーゼルでんきしゃ] /(n) diesel electric car/
ディーゼル動車 [ディーゼルどうしゃ] /(n) diesel locomotive/
ディーティーイー /(n) (comp) DTE/
ディーティーエム /(n) (comp) DTM/
ディーティーピー /(n) (comp) DTP/
ディーディーエー /(n) (comp) DDE/
ディーディーエックス /(n) (comp) DDX/
ディーディーエックスティーピー /(n) (comp) DDX-TP/
ディーディーエックスピー /(n) (comp) DDX-P/
ディーディーエヌ /(n) (comp) DDN/
ディーディーエル /(n) (comp) DDL/
ディーピーアイ /(n) (comp) dpi/
ディーピーイー /(n) film processing (developing, printing, enlarging)/DPE/
ディープ /(n) deep/(P)/
ディープ・ダイブ /(n) deep dive/
ディープエコロジー /(n) deep ecology/
ディープキス /(n) French kiss (wasei: deep kiss)/
ディープシークロミス /(n) deepsea chromis (Chromis abyssicola)/
ディープスペース /(n) deep space/
ディープスロート /(n) (1) (sl) deep throat (i.e. a concealed informant)/(2) deep throat (i.e. deeply penetrative fellatio)/
ディープダイブ /(n) deep dive/
ディープリーフクロミス /(n) deep reef chromis (Chromis delta)/
ディープリンク /(n) (comp) deep link/
ディーベース /(n) (comp) dBASE/
ディーモン /(n) daemon/
ディーラー /(n) dealer/(P)/
ディーラム /(n) (comp) DRAM/
ディーリング /(n) dealing/
ディーリングルーム /(n) dealing room/
ディーン /(n) dean/
ディア /(n) (1) deer/(2) dear/
ディアスポラ /(n) diaspora (gre:)/
ディアテッサロン /(n) (obsc) diatessaron (the four Gospels woven into a single narrative)/
ディアボロ /(n) diabolo/
ディインダストリアライゼーション /(n) deindustrialization/
ディオニソス /(n) Dionysus (gre: Dionysos)/
ディオニュソス /(n) Dionysus (gre: Dionysos)/
ディオニュソス的 [ディオニュソスてき] /(adj-na) Dionysian/
ディオプター /(n) diopter/
ディオラマ /(n) diorama/
ディオン /(n) (comp) DION/
ディキンソニア /(n) Dickinsonia (lat:)/
ディクショナリ /(n) dictionary/(P)/
ディクショナリー /(n) dictionary/
ディクショナリプロパティ /(n) (comp) dictionary property/
ディクション /(n) diction (fre:)/
ディクテーション /(n) dictation/
ディグニティ /(n) dignity/
ディグニティー /(n) dignity/
ディグリー /(n) degree/
ディグリーデー /(n) degree-day/
ディケイ /(n) decay/
ディコーダー /(n) decoder/
ディコンストラクション /(n) deconstruction/
ディザ /(n) (comp) dither/
ディザリング /(n) (comp) dithering/
ディザ法 [ディザほう] /(n) (comp) dither method/
ディシジョンツリー /(n) (comp) decision tree/
ディシジョンポイント /(n) (comp) decision point/
ディシプリン /(n) discipline/
ディジカメ /(n) (abbr) digital camera/
ディジタライズ /(n,vs) (comp) digitize/
ディジタル /(n,adj-no) digital/
ディジタルアナログ変換器 [ディジタルアナログへんかんき] /(n) (comp) digital-to-analog converter/DA converter/DAC/
ディジタルイクイップメント /(n) (comp) Digital Equipment/
ディジタルデータ /(n) (comp) digital data/
ディジタルビデオディスク /(n) (comp) digital video disk/DVD/
ディジタル化 [ディジタルか] /(n,vs) (comp) digitization/
ディジタル回線 [ディジタルかいせん] /(n) (comp) digital line/
ディジタル計数形 [ディジタルけいすうがた] /(n) (comp) digital/
ディジタル検出遅延時間 [ディジタルけんしゅつちえんじかん] /(n) (comp) recognition time/
ディジタル光ディスク [ディジタルひかりディスク] /(n) (comp) optical disk/digital optical disk/
ディジタル署名 [ディジタルしょめい] /(n) (comp) digital signature/
ディジタル信号 [ディジタルしんごう] /(n) (comp) digital signal/
ディジタル表現 [ディジタルひょうげん] /(n) (comp) digital representation/
ディジット /(n) (comp) digit/
ディジボル /(n) (abbr) digital voltmeter/
ディジャブ /(n) deja vu (fre:)/something already seen or experienced/feeling of having seen or experienced something at least once before/
ディスる /(v5r) (sl) to dis/to diss/
ディスアセンブル /(exp) (comp) disassemble/
ディスアドバンテージ /(n) disadvantage/
ディスインターミディエーション /(n) disintermediation/
ディスインフレ /(n) (abbr) disinflation/
ディスインフレーション /(n) disinflation/
ディスエーブル /(n) (comp) disable/
ディスカウンター /(n) discounter/
ディスカウント /(n,vs) discount/(P)/
ディスカウントキャッシュフロー /(n) discounted cash flow/
ディスカウントショップ /(n) discount shop/
ディスカウントストア /(n) discount store/
ディスカウントセール /(n) discount sale/
ディスカス /(n) discus/
ディスカッション /(n,vs) discussion/(P)/
ディスカバー /(n) discover/(P)/
ディスカバラー /(n) discoverer/
ディスカバラーニセン /(n) (comp) Discoverer2000/
ディスカバリー /(n) discovery/
ディスク /(n) (comp) disk/(P)/
ディスクーリング /(n) deschooling/
ディスクール /(n) discourse (fre: discours)/
ディスクなし /(n,adj-no) (comp) diskless/
ディスクの空き領域 [ディスクのあきりょういき] /(n) (comp) disk space/
ディスクアットワンス /(n) (comp) disk at once/
ディスクアレイ /(n) (comp) disk array/
ディスクオペレーティングシステム /(n) (comp) disk operating system/DOS/
ディスクカートリッジ /(n) (comp) disk cartridge/
ディスクキャッシュ /(n) (comp) disk cache/
ディスクキャッシング /(n) (comp) disk caching/
ディスククォータ /(n) (comp) disk quota/
ディスククラッチ /(n) disc clutch/
ディスクコントローラ /(n) (comp) disk controller/
ディスクジョッキー /(n) disk jockey/disc jockey/(P)/
ディスクスペース /(n) (comp) disk space/
ディスクダブラー /(n) (comp) disk doubler/
ディスクデバイス /(n) (comp) disk device/
ディスクドライブ /(n) (comp) disk drive/
ディスクパーティション /(n) (comp) disk partition/
ディスクパック /(n) (comp) disk pack/
ディスクブレーキ /(n) disk brake/
ディスクマン /(n) Discman/diskman/
ディスクミラーリング /(n) (comp) disk mirroring/
ディスクライブ /(n,vs) describe/description/
ディスクリート /(n) discrete (semiconductor device)/
ディスクリプタ /(n) descriptor/
ディスクレス /(n,adj-no) (comp) diskless/
ディスクロージャー /(n) disclosure/(P)/
ディスク圧縮 [ディスクあっしゅく] /(n) (comp) disk compression/
ディスク駆動機構 [ディスクくどうきこう] /(n) (comp) disk drive/
ディスク装置 [ディスクそうち] /(n) (comp) disk drive/
ディスク二重化 [ディスクにじゅうか] /(n) (comp) disk duplexing/
ディスク容量 [ディスクようりょう] /(n) (comp) disk capacity/
ディスケット /(n) (comp) diskette/
ディスケットドライブ /(n) (comp) diskette drive/
ディスケットドライブランプ /(n) (comp) diskette light/
ディスコ /(n) (abbr) disco (fre:)/(P)/
ディスコグラフィ /(n) discography/
ディスコグラフィー /(n) discography/
ディスコサウンド /(n) disco sound/
ディスコダンス /(n) disco dancing/
ディスコテーク /(n) discotheque (fre: discotheque)/
ディスコネクト /(n) disconnect/
ディスコミュージック /(n) disco music/
ディスコン /(n) (1) discontinue(d)/(2) (abbr) disk controller/
ディスターブ /(n) disturb/
ディスタンス /(n) distance/
ディスタンスレース /(n) distance race/
ディスチャージ /(n) discharge/
ディスティネーション /(n) destination/
ディストーション /(n) distortion/(P)/
ディストピア /(n) dystopia/
ディストラクタ /(n) destructor/
ディストリビューション /(n) distribution/
ディストリビューター /(n) distributor/
ディスパッチ /(n,vs) dispatch/despatch/
ディスパッチャ /(n) dispatcher/despatcher/
ディスパッチャー /(n) dispatcher/despatcher/
ディスプレー /(n,vs) (comp) display/(P)/
ディスプレースメント /(n) displacement/
ディスプレイ /(n,vs) (comp) display/(P)/
ディスプレイアダプタ /(n) (comp) display adapter/
ディスプレイカード /(n) (comp) display card/
ディスプレイコントローラ /(n) (comp) display controller/
ディスプレイシステム /(n) (comp) display system/
ディスプレイセッション /(n) (comp) display session/
ディスプレイポストスクリプト /(n) (comp) Display PostScript/DPS/
ディスプレイモデル /(n) (comp) display model/
ディスプレイ装置 [ディスプレイそうち] /(n) (comp) display unit/
ディスペル /(n) dispel (esp. magic or potion used to return one's character to normal status in an RPG, etc.)/
ディスペンサー /(n) dispenser/
ディスポーサブル手袋 [ディスポーサブルてぶくろ] /(n) disposable gloves/
ディスポーザー /(n) disposer/
ディスポーザブル /(n) disposable/
ディスラプト /(n) disrupt(ion)/
ディスレキシア /(n) dyslexia/
ディスレクシア /(n) dyslexia/
ディズニー /(n) Disney/(P)/
ディズニーランド /(n) Disneyland/(P)/
ディセーブル /(n) (comp) disable/
ディセンシー /(n) decency/
ディセンダ /(n) (comp) descender/
ディセントラリゼーション /(n) decentralization/decentralisation/
ディセンバー /(n) December/
ディゾルブ /(n) dissolve/
ディダクション /(n) deduction/
ディップ /(n) (1) dip/(2) (comp) dual inline package/DIP/
ディップスイッチ /(n) (comp) DIP switch/Dual In-line Package switch/
ディップスティック /(n) dip stick/
ディテール /(n) detail/(P)/
ディテクション /(n) detection/
ディテクタ /(n) detector/
ディテクター /(n) detector/
ディテクティブ /(n) detective/
ディテクティブストーリー /(n) detective story/
ディナー /(n) dinner/(P)/
ディナージャケット /(n) dinner jacket/
ディナースーツ /(n) dinner suit/
ディナーセット /(n) dinner set/
ディナードレス /(n) dinner dress/
ディナーパーティー /(n) dinner party/
ディノサウル /(n) dinosaur/
ディノサウルス /(n) dinosaurs/
ディノテーション /(n) denotation/
ディノテイション /(n) denotation/
ディバイス /(n) device/(P)/
ディバイダ /(n) divider/
ディバイダー /(n) divider/
ディバイデッドスカート /(n) divided skirt/
ディバッガ /(n) (comp) debugger/
ディバッグ /(n) debug/
ディビジョン /(n) division/
ディフ /(n) (comp) DIF/
ディファレンシアル /(adj-f) differential/
ディファレンシエーション /(n) differentiation/
ディファレンシャル /(adj-f) differential/
ディファレンシャルギア /(n) differential gear/
ディファレンシャルマンチェスタ符号化方式 [ディファレンシャルマンチェスタふごうかほうしき] /(n) (comp) differential Manchester encoding/
ディフィニション /(n) definition/
ディフェンス /(n) defense/defence/(P)/
ディフェンダー /(n) defender/
ディフェンディング /(n) defending/
ディフェンディングゾーン /(n) defending zone/
ディフェンディングチャンピオン /(n) defending champion/
ディフォールト /(n) default/
ディフォルト /(n) default/
ディフォルメ /(n,vs) distortion (often used for caricature in manga, etc.) (fre: deformer)/deformation/
ディフュージョンインデックス /(n) diffusion index/
ディプスイッチ /(n) (comp) dip switch/
ディプリーション /(n) depletion/
ディプレッション /(n) depression/
ディプロマ /(n) diploma/
ディプロマット /(n) diplomat/
ディベート /(n) debate/(P)/
ディベラップメント /(n) development/
ディベルティメント /(n) divertimento (ita:)/
ディベロッパー /(n) developer/
ディベロップメント /(n) development/
ディボット /(n) divot/
ディマンド /(n) demand/
ディマンドインフレ /(n) demand-pull inflation/
ディマンドバス /(n) demand bus/
ディマンドプルインフレーション /(n) demand-pull inflation/
ディミヌエンド /(n) diminuendo (ita:)/(P)/
ディム /(n) (comp) DIMM/
ディメトロドン /(n) dimetrodon (dinosaur)/
ディメンショナリティ /(n) (comp) dimensionality/
ディメンショニング /(n) (comp) dimensioning/
ディメンション /(n) dimension/
ディメンションメンバ /(n) (comp) dimension member/
ディメンションメンバプロパティ /(n) (comp) dimension member property/
ディメンションレベル /(n) (comp) dimension level/
ディリジェンス /(n) diligence/
ディル /(n) dill/
ディルド /(n) dildo/
ディルドリン /(n) dieldrin/
ディルハム /(n) dirham (ara:)/
ディレードスチール /(n) delayed steal/
ディレイ /(n) delay/
ディレイライン /(n) delay-line/
ディレギュレーション /(n) deregulation/
ディレクＴＶ [ディレクティービー] /(n) DirecTV/
ディレクタ /(n) director/
ディレクター /(n) director/(P)/
ディレクターズチェア /(n) director's chair/
ディレクティブ /(n) (comp) directive/
ディレクトリ /(n) (comp) directory/(P)/
ディレクトリー /(n) (comp) directory/
ディレクトリィ /(n) (comp) directory/
ディレクトリエントリ /(n) (comp) directory entry/link/
ディレクトリサービス /(n) (comp) directory service/
ディレクトリシステムエージェント /(n) (comp) Directory System Agent/DSA/
ディレクトリシステム機能体 [ディレクトリシステムきのうたい] /(n) (comp) Directory System Agent/DSA/
ディレクトリスタック /(n) (comp) directory stack/
ディレクトリストア /(n) (comp) directory store/
ディレクトリツリー /(n) (comp) directory tree/
ディレクトリ管理領域 [ディレクトリかんりりょういき] /(n) (comp) Directory Management Domain/DMD/
ディレクトリ構造 [ディレクトリこうぞう] /(n) (comp) directory structure/
ディレクトリ情報ベース [ディレクトリじょうほうベース] /(n) (comp) Directory Information Base/DIB/
ディレクトリ名 [ディレクトリめい] /(n) (comp) directory name/
ディレクトリ名による受信者指定 [ディレクトリめいによるじゅしんしゃしてい] /(n) (comp) designation of recipient by directory name/MTPR/
ディレクトリ利用者エージェント [ディレクトリりようしゃエージェント] /(n) (comp) Directory User Agent/DUA/
ディレクトリ利用者機能体 [ディレクトリりようしゃきのうたい] /(n) (comp) Directory User Agent/DUA/
ディレッタンティズム /(n) dilettantism/
ディレッタント /(n) dilettante/
ディレンマ /(n,adj-no) dilemma/
ディン /(n) (comp) DIN/
ディンギー /(n) dinghy/(P)/
ディンゴ /(n) dingo (Australian carnivore, Canis (lupus) dingo)/
ディンプル /(n) dimple/
ディヴェルティスマン /(n) divertissement (dance) (fre:)/
ディヴェルティメント /(n) divertimento (ita:)/
デイ /(n) day/(P)/
デイケア /(n) day care/
デイケアセンター /(n) day-care center/
デイコ /(n) (uk) Indian coral tree (Erythrina variegata)/
デイゴ /(n) (uk) Indian coral tree (Erythrina variegata)/
デイサービス /(n) nursing in the home by visiting nurses (wasei: day service)/
デイサイト /(n) dacite/
デイジーチェーン /(n) (comp) daisy-chain/
デイジーホイールプリンタ /(n) (comp) daisywheel printer/
デイトレーダー /(n) day trader/
デイトレード /(n) day trade/
デイノニクス /(n) deinonychus (lat:)/
デイパック /(n) day pack/
デイベッド /(n) day bed/
デイホスピタル /(n) day hospital/
デイリー /(n) daily/
デイリーニュース /(n) daily news/(P)/
デインデート /(n) day'n'date/day and date/
デウス /(n) Deus/
デウス・エクス・マキナ /(n) deus ex machina/
デウスエクスマキナ /(n) deus ex machina/
デオキシリボ /(n) deoxyribo (nucleic acid)/
デオキシリボース /(n) deoxyribose/
デオキシリボ核酸 [デオキシリボかくさん] /(n) deoxyribo nucleic acid/DNA/
デオキシルボ /(n) deoxyribo (nucleic acid)/(P)/
デオドラント /(n) deodorant/
デカ /(n,pref) deca-/10^1/
デカール /(n) decare/
デカダン /(adj-na) decadent (fre:)/
デカダンス /(n) decadence (fre:)/
デカチン /(n,adj-no) (sl) (vulg) large penis/huge dick/
デカップラ /(n) decoupler/
デカップリング /(n) decoupling/
デカパイ /(n) (X) (vulg) huge breasts/
デカブリスト /(n) Decembrist (19C Russian revolutionaries) (rus: Dekabrist)/
デカプリング /(n) decoupling/
デカリットル /(n) decaliter/decalitre/
デカルコマニー /(n) transfer (fre: decalcomanie)/(P)/
デカルト座標 [デカルトざひょう] /(n) Cartesian coordinates/rectangular coordinates/
デカログ /(n) Decalogue (i.e. the Ten Commandments)/
デカンタ /(n) decanter/
デカンター /(n) decanter/
デカンタージュ /(n) decanting (of wine, etc.) (fre: decantage)/
デカンテーション /(n) decantation/
デカ声 [デカごえ] /(n) (col) (obsc) loud voice/
デキシー /(n) Dixie/
デキシーランド /(n) Dixieland/
デキシーランドジャズ /(n) Dixieland jazz/
デキストラン /(n) dextran/
デキストリン /(n) dextrin/
デキャンタージュ /(n) decanting (of wine, etc.) (fre: decantage)/
デクデク /(adv) (on-mim) plump/fat/
デクパージュ /(n) carving (fre: decoupage)/cutting up/
デクラッセ /(n) low status (fre: declasse)/
デクラメーション /(n) declamation/
デクリプト /(n) (comp) decrypt/
デクリメント /(n) decrement/
デクレッシェンド /(n) decrescendo (ita:)/
デグリー /(n) degree/
デケイ /(n,vs) (comp) decay/
デコーダ /(n) (comp) decoder/(P)/
デコーダー /(n) (comp) decoder/(P)/
デコーディング /(n) decoding/
デコード /(n) (comp) decode/
デコイ /(n) decoy/
デコトラ /(n) decorated truck/art truck/
デコパージュ /(n) carving (fre: decoupage)/cutting up/
デコピン /(n) poke in the forehead/
デコポン /(n) Citrus reticulata Siranui/type of citrus fruit (sweet orange with a lump at the top)/
デコラ /(n) Decola (brand-name laminate similar to Formica, made of melamine resin)/
デコラティブ /(adj-na) decorative/
デコルテ /(n,adj-no) low-cut (fre: decolletee)/
デコレーション /(n) decoration/(P)/
デコレーションケーキ /(n) decorated cake (wasei: decoration cake)/fancy cake/
デコンストラクション /(n) deconstruction/
デコンパイラ /(n) (comp) decompiler/
デコンボリューション /(n) (comp) deconvolution/
デコ電 [デコでん] /(n) decorated cell phone/
デサール /(n) dessert/(P)/
デサリュージョン /(n) disillusion/
デザート /(n) (1) dessert/(2) desert/(P)/
デザートワイン /(n) dessert wine/
デザイア /(n) desire/
デザイナー /(n) designer/(P)/
デザイナードラッグ /(n) designer drug/
デザイナーニセン /(n) (comp) Designer2000/
デザイナーブランド /(n) designer brand/
デザイン /(n,vs) design/(P)/
デザインイン /(n) design-in/
デザインセンター /(n) (comp) design center/
デザインプロモーター /(n) design promoter/
デザインポリシー /(n) design policy/
デザイン寸法 [デザインすんぽう] /(n) (comp) design size/
デシ /(pref) deci- (fre:)/10^-1/(P)/
デシケーター /(n) desiccator/
デシジョン /(n) decision/
デシジョンメーキング /(n) decision-making/
デシジョンルーム /(n) decision room/
デシネ /(n) design (fre: dessiner)/
デシベル /(n) decibel/dB/(P)/
デシマル /(n) decimal/
デシマルポイント /(n) decimal point/
デシメートル /(n) decimeter/
デシューツ /(n) (comp) Deschutes/
デシュート /(n) (comp) Deschutes/
デシリットル /(n) deciliter (fre:)/
デシン /(n) (abbr) crepe de Chine/
デジアナ /(n) digital analog/
デジイチ /(n) digital single lens reflex camera/digital SLR camera/
デジカメ /(n) (abbr) digital camera/
デジケート /(vs) to dedicate/
デジタイザ /(n) (comp) digitizer/
デジタイザー /(n) digitizer/
デジタル /(n,adj-no) digital/(P)/
デジタルーアナログ変換回路 [デジタルーアナログへんかんかいろ] /(n) digital-to-analog converter/
デジタルＩＤ [デジタルアイディー] /(n) (comp) digital ID/
デジタルＰＢＸ [デジタルピービーエックス] /(n) (comp) digital Private Branch eXchange/DPBX/
デジタルＲＧＢ [デジタルアージービー] /(n) (comp) digital RGB/
デジタルＶＴＲ [デジタルブイティーアー] /(n) (comp) digital Video Tape Recorder/
デジタルからアナログへ /(n,adj-no) (comp) digital-to-analog (D-A)/
デジタルアーカイブ /(n) digital archive/
デジタルアート /(n) digital art/
デジタルアナログ変換器 [デジタルアナログへんかんき] /(n) (comp) digital-to-analog converter/DA converter/DAC/
デジタルインク /(n) (comp) digital ink/
デジタルオーディオ /(n) (comp) digital audio/DA/
デジタルオーディオテープレコーダー /(n) digital audio tape recorder/
デジタルオーディオラジオサービス /(n) (comp) digital audio radio service/DARS/
デジタルカメラ /(n) digital camera/
デジタルキャッシュ /(n) (comp) digital cash/
デジタルキャッシュカード /(n) digital cash card/
デジタルコンテンツ /(n) digital content/
デジタルコンピュータ /(n) (comp) digital computer/
デジタルコンピューター /(n) (comp) digital computer/
デジタルシグナルプロセッサ /(n) (comp) digital signal processor/DSP/
デジタルシンセサイザー /(n) digital synthesizer/
デジタルスチルカメラ /(n) (comp) digital still camera/
デジタルスピードメーター /(n) digital speedometer/
デジタルテレビ /(n) digital television/
デジタルディバイド /(n) digital divide/
デジタルデバイド /(n) (comp) digital divide/
デジタルハイビジョン /(n) digital Hi-Vision/
デジタルハイビジョンチャンネル /(n) digital Hi-Vision channel/
デジタルビデオ /(n) (comp) digital video/
デジタルビデオカメラ /(n) (comp) Digital Video camera/
デジタルビデオディスク /(n) (comp) Digital Video Disk/
デジタルブック /(n) (comp) digital book/
デジタルペン /(n) digital pen/
デジタルモンスター /(n) digital monster (internationally popular cartoon and comic series)/
デジタルライセンス /(n) (comp) digital license/
デジタルラジオ /(n) (comp) digital radio/
デジタルリマスター /(n) digital remastering/
デジタル衛星放送 [デジタルえいせいほうそう] /(n) (comp) Digital Satellite Service/DSS/
デジタル音楽 [デジタルおんがく] /(n) (comp) digital music/
デジタル音楽ファイル [デジタルおんがくファイル] /(n) (comp) digital sound file/
デジタル化 [デジタルか] /(n,vs) (comp) digitization/
デジタル回線 [デジタルかいせん] /(n) (comp) digital line/
デジタル計算機 [デジタルけいさんき] /(n) (comp) digital computer/
デジタル交換機 [デジタルこうかんき] /(n) (comp) digital switch/
デジタル交換網 [デジタルこうかんもう] /(n) (comp) digital data exchange network/
デジタル撮像機 [デジタルさつぞうき] /(n) digital camera/
デジタル時計 [デジタルどけい] /(n) digital clock/
デジタル写真 [デジタルしゃしん] /(n) digital photography/digital picture/
デジタル署名 [デジタルしょめい] /(n) (comp) digital signature/
デジタル署名アルゴリズム [デジタルしょめいアルゴリズム] /(n) (comp) digital signature algorithm/
デジタル証明 [デジタルしょうめい] /(n) (comp) digital certificate/digital authentication/
デジタル信号 [デジタルしんごう] /(n) (comp) digital signal/
デジタル信号プロセッサ [デジタルしんごうプロセッサ] /(n) (comp) Digital Signal Processor/DSP/
デジタル信号処理 [デジタルしんごうしょり] /(n) digital signal processing/DSP/
デジタル通信 [デジタルつうしん] /(n) digital communication/
デジタル放送 [デジタルほうそう] /(n) digital broadcasting/
デジモン /(n) (abbr) digital monster (internationally popular cartoon and comic series)/
デジャウ /(n) deja vu (fre:)/something already seen or experienced/feeling of having seen or experienced something at least once before/
デジャビュ /(n) deja vu (fre:)/something already seen or experienced/feeling of having seen or experienced something at least once before/
デジャヴュ /(n) deja vu (fre:)/something already seen or experienced/feeling of having seen or experienced something at least once before/
デス /(n) death/
デスィリュージョン /(n) disillusion/
デスエデュケーション /(n) death education/
デスカレーション /(n) de-escalation/
デスカレート /(n) de-escalate/
デスク /(n) (1) desk/(2) copy editor/(P)/
デスクアクセサリ /(n) (comp) desk accessory/DA/
デスクセット /(n) desk set/
デスクトップ /(n) (1) (comp) desk-top computer/(2) desktop of a computer (the primary screen for most graphical-based computer operating systems)/
デスクトップＰＣ [デスクトップピーシー] /(n) (comp) desktop PC/
デスクトップエクスペリエンス /(n) (comp) desktop experience/
デスクトップコンピュータ /(n) (comp) desktop computer/
デスクトップパソコン /(n) desktop personal computer/
デスクトップパターン /(n) (comp) desktop pattern/
デスクトップパブリッシング /(n) (comp) desktop publishing/
デスクトッププレゼンテーション /(n) (comp) desktop presentation/
デスクトップミュージック /(n) (comp) desktop music/DTM/
デスクトップ会議 [デスクトップかいぎ] /(n) (comp) desktop conferencing/
デスクトップ環境 [デスクトップかんきょう] /(n) (comp) desktop environment/
デスクトップ型 [デスクトップかた] /(n) (comp) desktop-type/
デスクトップ型ＰＣ [デスクトップかたピーシー] /(n) (comp) desktop-type PC/
デスクトップ型コンピュータ [デスクトップかたコンピュータ] /(n) (comp) desktop-type computer/
デスクトップ出版 [デスクトップしゅっぱん] /(n) (comp) desktop publishing/
デスクバンド /(n) (comp) deskband/
デスクプラン /(n) desk plan/
デスクリプション /(n) description/
デスクリプタ /(n) (comp) descriptor/
デスクワーク /(n,vs) desk work/
デスジャーディンズセイルフィンタン /(n) Desjardin's sailfin tang (Zebrasoma desjardinii, species of Indian Ocean tang)/Indian sail-fin surgeonfish/Red Sea sailfin tang/
デスティニー /(n) destiny/
デスティネーション /(n) destination/
デスティネーションドライブ /(n) (comp) destination drive/
デストラクタ /(n) (comp) destructor/
デストロイヤー /(n) destroyer/
デスビキャップ /(n) (abbr) (engine) distributor cap/
デスピュー /(n) (comp) despew/
デスプーラ /(n) (comp) despooler/
デスペル /(n) dispel (esp. magic or potion used to return one's character to normal status in an RPG, etc.)/
デスペレート /(adj-na) desperate/
デスポット /(n) despot/
デスポティズム /(n) despotism/
デスマスク /(n) death mask/
デスマッチ /(n) fight to a finish (wasei: death match)/desperate struggle/
デスモソーム /(n) desmosome/
デタッチ /(n) (comp) detach/
デタッチトコート /(n) detached coat/
デタラメ /(adj-na,n) (1) (uk) irresponsible utterance/nonsense/bullshit/codswallop/(2) random/haphazard/unsystematic/
デタレントギャップ /(n) deterrent gap/
デタント /(n) detente (fre:)/(P)/
デダクション /(n) deduction/
デッキ /(n) deck/(P)/
デッキシューズ /(n) deck shoes/
デッキチェア /(n) deck chair/
デッキブラシ /(n) deck brush/
デッキプレート /(n) deck plate/
デック /(n) (comp) DEC/
デッサン /(n,vs) rough sketch (fre: dessin)/(P)/
デットサービスレシオ /(n) debt service ratio/
デッド /(n) dead/(P)/
デッドウオーター /(n) dead water/
デッドエンド /(n) (1) dead end/(2) tragic ending (e.g. of film)/
デッドオンアライバル /(n) dead-on-arrival/
デッドコピー /(n) dead copy/
デッドストック /(n) dead stock/
デッドスペース /(n) dead space/
デッドタイム /(n) dead time/
デッドヒート /(n) dead heat/(P)/
デッドボール /(n) hit a batter by pitching a ball (baseball) (wasei: dead ball)/
デッドボールライン /(n) dead-ball line/
デッドポイント /(n) dead point/
デッドライン /(n) deadline/
デッドリフト /(n) dead lift/
デッドロック /(n) (comp) deadlock/
デッドロック回避 [デッドロックかいひ] /(n) (comp) deadlock avoidance/
デテール /(n) detail/
デテクター /(n) detector/
デテクティブ /(n) detective/
デディケーション /(n) dedication/
デディケート /(n,vs) dedicate/
デトックス /(n) detox/
デトネーション /(n) detonation/
デトリタス /(n) detritus/
デニール /(n) denier/(P)/
デニる /(v5r) to eat at Denny's/
デニッシュ /(n) Danish (pastry)/
デニッシュペストリー /(n) Danish pastry/
デニム /(n) denim/(P)/
デネボラ /(n) Denebola ("Lion's tail" star in Leonis)/
デノテーショナル /(n) denotational/
デノテーション /(n) denotation/
デノテイション /(n) denotation/
デノミ /(n) (abbr) denomination (reducing the face value of currency after inflation)/(P)/
デノミネーション /(n) denomination/
デバイス /(n) device/(P)/
デバイスＩＤ [デバイスアイディー] /(n) (comp) device ID/
デバイススタック /(n) (comp) device stack/
デバイスドライバ /(n) (comp) device driver/
デバイスフォント /(n) (comp) device font/
デバイスベイ /(n) (comp) device bay/
デバイス名 [デバイスめい] /(n) (comp) device name/
デバイダー /(n) divider/
デバグ /(n) debug/
デバスズメダイ /(n) (uk) blue green damselfish (Chromis viridis, a damselfish from the Indo-Pacific)/blue-green chromis/
デバッガ /(n) (comp) debugger/
デバッガー /(n) (comp) debugger/
デバッギング /(n) debugging/
デバッギングモニタ /(n) (comp) debugging monitor/
デバッグ /(n,vs) (comp) debug/
デバッグフラグ /(n) (comp) debug(ger) flag/
デバッグ行 [デバッグぎょう] /(n) (comp) debugging line/
デバッグ節 [デバッグせつ] /(n) (comp) debugging section/
デバネズミ /(n) (uk) African mole rat (any rodent of family Bathyergidae)/
デバリュエーション /(n) devaluation/
デパーチャー /(n) departure/
デパート /(n) (abbr) department store/(P)/
デパートメント /(n) department/
デパートメントストア /(n) department store/
デパチカ /(n) (col) (abbr) basement of a department store (where foodstuffs are usually sold)/
デパレス /(n) (abbr) restaurant inside a department store/
デパ地下 [デパちか] /(n) (col) (abbr) basement of a department store (where foodstuffs are usually sold)/(P)/
デヒドロゲナーゼ /(n) dehydrogenase/
デヒドロコール酸 [デヒドロコールさん] /(n) dehydrocholic acid/
デヒドロ酢酸 [デヒドロさくさん] /(n) dehydroacetic acid/
デビアン /(n) (comp) Debian/
デビスカップ /(n) Davis Cup/(P)/
デビットカード /(n) debit card/
デビットカードサービス /(n) (comp) debit card service/
デビトロセラミックス /(n) devitroceramics/
デビュー /(n,vs) debut (fre:)/(P)/
デビュウ /(n,vs) debut (fre:)/
デビュタント /(n) debutante (fre:)/
デビル /(n) devil/
デビルイヤー /(n) sharp ear/long ears/
デビルズフードケーキ /(n) devil's food cake/
デビルフィッシュ /(n) devilfish/
デフ /(n) (abbr) differential gear/
デファクト /(n) de facto/
デファクトスタンダード /(n) (comp) de facto standard/
デフィニション /(n) definition/
デフォールト /(n) default/
デフォールト値 [デフォールトち] /(n) default value/
デフォッガー /(n) defogger/
デフォルト /(n) default/
デフォルトインスタンス /(n) (comp) default instance/
デフォルトゲートウェイ /(n) (comp) default gateway/
デフォルトデータ /(n) (comp) default data/
デフォルト時の解釈 [デフォルトときのかいしゃく] /(n) (comp) default assumption/
デフォルト設定 [デフォルトせってい] /(n) (comp) default setting (setup)/
デフォルト値 [デフォルトち] /(n) default value/
デフォルメ /(n,vs) distortion (often used for caricature in manga, etc.) (fre: deformer)/deformation/(P)/
デフコン /(n) defense condition/defence condition/
デフラグ /(n) (comp) Defrag/
デフラグメンテーション /(n) (comp) defragmentation/
デフラグメント /(n) (comp) defragment/
デフレ /(n) (abbr) deflation/(P)/
デフレーション /(n) deflation/
デフレーター /(n) deflator/
デフレギャップ /(n) deflationary gap/
デフレション /(n) deflation/
デフレスパイラル /(n) deflationary spiral/
デフロスター /(n) defroster/
デブ /(n,adj-na) chubby/fat/(P)/
デブる /(v5r) (derog) (sl) to grow fat/to become fat/
デブセン /(n) (sl) chubby-chasing (fat fetishism)/chubby-chaser/
デブリ /(n) debris (fre:)/
デブ専 [デブせん] /(n) (sl) chubby-chasing (fat fetishism)/chubby-chaser/
デプスインタビュー /(n) depth interview/
デプレッション /(n) depression/
デベロッパー /(n) developer/(P)/
デベロッパーニセン /(n) (comp) Developer2000/
デベロップメント /(n) development/
デボン紀 [デボンき] /(n) Devonian period/(P)/
デポー /(n,vs) depot (fre:)/
デポジット /(n) deposit/(P)/
デポジット制度 [デポジットせいど] /(n) deposit system/
デポプロベラ /(n) Depo-provera/
デマ /(n,adj-no) (false) rumor (rumour) (abbr. from demagogy)/(P)/
デマケ /(n) (abbr) demarcation/
デマケーション /(n) demarcation/
デマゴーグ /(n) demagogue (ger: Demagog)/
デマゴギー /(n) demagogue (ger: Demagogie)/
デマメール /(n) (comp) email spreading rumors and false stories (rumours)/
デマルチプレクサ /(n) (comp) demultiplexer/
デマルチプレクス /(n) (comp) demultiplexing/
デマンド /(n) demand/(P)/
デマンドバス /(n) demand bus/
デマンドプルインフレ /(n) demand-pull inflation/
デミ /(pref) demi-/(P)/
デミウルゴス /(n) demiurge (gre: demiourgos)/
デミグラスソース /(n) demi-glace (type of brown sauce)/
デミタス /(n) demi-tasse (fre:)/small cup/
デミング /(n) Deming/
デム /(n) (abbr) demagogue/
デメテル /(n) Demeter (Greek goddess)/
デメニギス /(n) barreleye (Macropinna microstoma)/
デメリット /(n) demerit/(P)/
デモ /(n) (abbr) demo/demonstration/(P)/
デモーニッシュ /(adj-na,n) devilish (ger: daemonisch)/
デモる /(v5r,vi) to demonstrate (e.g. in the streets)/
デモイセル /(n) demoiselle (Chromis dispilus)/
デモクラシー /(n) democracy/(P)/
デモクラチック /(adj-f) democratic/
デモクラット /(n) democrat/(P)/
デモクラティック /(adj-na) democratic/
デモグラフィー /(n) demography/
デモグラフィック /(n) demographic/
デモサイド /(n) democide/the murder of any person or people by a government/
デモジュレータ /(n) demodulator/
デモテープ /(n) demonstration tape/
デモティキ /(n) demotic (everyday form of modern Greek) (gre: dimotiki)/
デモティック /(n,adj-no) demotic (Egyptian script)/
デモンストレーション /(n) demonstration/(P)/
デモンストレーション効果 [デモンストレーションこうか] /(n) demonstration effect/
デモンストレーター /(n) demonstrator/
デモ行進 [デモこうしん] /(n) demonstration parade/
デモ隊 [デモたい] /(n) demonstrators/(P)/
デモ版 [デモはん] /(n) (comp) demonstration version/demo version/
デモ版 [デモばん] /(n) (comp) demonstration version/demo version/
デュー・プロセス /(n) due process/
デューク /(n) duke/
デューティ /(n) duty/
デューティーフリー /(n) duty-free/(P)/
デューティーフリーショップ /(n) duty-free shop/
デューティサイクルひずみジッタ /(n) (comp) DCD/duty cycle distortion jitter/
デューテリウム /(n) deuterium/
デューテロン /(n) deuteron/
デューディリジェンス /(n) due diligence/
デュープ /(n,vs) duplicate/
デュープリケート /(n) duplicate/
デュープロセス /(n) due process/
デュープロセスオブロー /(n) due process of law/
デュアリズム /(n) dualism/
デュアル /(n) dual/
デュアルアタッチド /(n) (comp) dual attached/
デュアルインラインパッケージ /(n) (comp) dual inline package/DIP/
デュアルコート /(n) dual coat/
デュアルシステム /(n) dual system/
デュアルスキャンディスプレー /(n) (comp) dual scan display/
デュアルスタック /(n) (comp) dual stack/
デュアルタイムレース /(n) dual time race/
デュアルディスクドライブ /(n) (comp) dual-disk drive/
デュアルバンド /(n) (comp) dual band/
デュアルブート /(n) (comp) dual boot/
デュアルホーミング /(n) (comp) dual homing/
デュアルホームド /(n) (comp) dual homed/
デュアルポートＲＡＭ [デュアルポートラム] /(n) (comp) dual port Random Access Memory/
デュアルモード /(n) (comp) dual mode/
デュアルモードシステム /(n) dual mode system/
デュエット /(n) duet/duetto/(P)/
デュエル /(n) duel/
デュオ /(n) duo (ita:)/(P)/
デュナミス /(n) dunamis (gre: dynamis)/
デュプリケート /(n) duplicate/
デュプレックス /(n,adj-no) (comp) duplex/
デュポン /(n) (abbr) Du Pont de Nemours/(P)/
デュメリルオオトカゲ /(n) Dumeril's monitor (Varanus dumerilii, species of carnivorous monitor lizard from Southeast Asia)/
デュラム小麦 [デュラムこむぎ] /(n) durum wheat/
デュラルミン /(n) duralumin/
デュレイション /(n) duration/
デュロン /(n) (comp) Duron/
デュロンプティの法則 [デュロンプティのほうそく] /(n) Dulong-Petit law/
デュワー瓶 [デュワーびん] /(n) Dewar vessel/
デラーク /(n) (comp) delurk/
デライブド /(n) derived/(P)/
デラウェア /(n) Delaware/
デラシネ /(n) uprooted person (fre: deracine)/free spirit/something or someone who has lost (cultural, geographical, family, etc.) roots/
デラックス /(adj-na,n) deluxe/(P)/
デリースルタン朝 [デリースルタンちょう] /(n) Delhi Sultanate (1206-1527 CE)/
デリート /(n) delete/(P)/
デリー王朝 [デリーおうちょう] /(n) Delhi Dynasties/the Mamluk, Khilji, Tughlaq, Sayyid, and Lodi dynasties of India/
デリカ /(adj-na,n) (abbr) delicatessen/(P)/
デリカシー /(n) delicacy/tact/considerateness/sensitivity/thoughtfulness/
デリカショップ /(n) (abbr) delicatessen shop/
デリカテセン /(n) delicatessen (ger: Delikatessen)/
デリカテッセン /(n) delicatessen (ger: Delikatessen)/
デリケート /(adj-na,n) delicate/(P)/
デリゲーション /(n) delegation/
デリゲートサーバー /(n) (comp) delegate server/
デリシャス /(adj-na) delicious/
デリス /(n) derris (Derris elliptica)/
デリス剤 [デリスざい] /(n) derris compound/
デリック /(n) derrick/
デリバティブ /(n) derivative (stock)/
デリバリー /(n) delivery/
デリバリーヘルス /(n) prostitution (wasei: delivery health)/call girl business/
デリヘル /(n) (abbr) prostitution (wasei: delivery health)/call girl business/
デリミタ /(n) (comp) delimiter/
デリンジャー /(n) derringer (pistol)/
デリンジャー現象 [デリンジャーげんしょう] /(n) Dellinger phenomenon/
デルタインベントリ /(n) (comp) delta inventory/
デルタインベントリファイル /(n) (comp) delta inventory file/
デルタフォース /(n) Delta Force (US)/
デルファイ /(n) (comp) Delphi/
デルファイ法 [デルファイほう] /(n) Delphi technique/
デルフィニアム /(n) delphinium/
デルフィニウム /(n) delphinium/
デルフィニューム /(n) delphinium/
デルフト焼き [デルフトやき] /(n) Delftware (ceramics)/
デレギュレーション /(n) deregulation/
デレゲーション /(n) delegation/(P)/
デロス同盟 [デロスどうめい] /(n) Delian League (the Athenian empire)/
デンキナマズ /(n) (uk) electric catfish (any species of family Malapteruridae, esp. species Malapterurus electricus)/
デング熱 [デングねつ] /(n) dengue fever/
デンショ /(n) (uk) (obsc) water yam (Dioscorea alata)/winged yam/purple yam/
デンジャラス /(adj-na) dangerous/
デンタル /(adj-no) dental/
デンタルフロス /(n) dental floss/
デンタルリンス /(n) dental rinse (i.e. mouthwash)/
デントコーン /(n) dent corn/
デンドロビウム /(n) dendrobe (any orchid of genus Dendrobium) (lat: dendrobium)/
デンバー /(n) Denver/(P)/
デンマーク /(n) (uk) Denmark/
デンマーク語 [デンマークご] /(n) Danish (language)/
デンヴァー /(n) Denver/
デヴィリッシュ /(adj-na) (obsc) devilish/
デヴィル /(n) devil/
デ杯 [デはい] /(n) Davis Cup/
ト /(n) 7th in a sequence denoted by the iroha system/7th note in the diatonic scale (used in key names, etc.)/
トー /(n) toe/(P)/
トーイック /(n) TOEIC/Test of English for International Communication/
トーイン /(n) toe-in (alignment of the front wheels of a motor vehicle closer together at the front than at the back)/
トーガ /(n) toga (lat:)/
トーキ /(n) (1) talkie (motion picture with sound)/(2) prerecorded announcement/
トーキー /(n) (1) talkie (motion picture with sound)/(2) prerecorded announcement/(P)/
トーキック /(n) toe kick/
トーキングドラム /(n) talking drum/
トーキングペーパー /(n) talking paper/
トーク /(n) (1) talk/(2) toque/(P)/
トークショー /(n) talk show/(P)/
トークニズム /(n) tokenism/
トークン /(n) (comp) token/authentication token/
トークンキュー /(n) (comp) token queue/
トークンバス /(n) (comp) token bus/
トークンバスネットワーク /(n) (comp) token-bus network/
トークンパッシングプロトコル /(n) (comp) token passing protocol/
トークンパッシング手順 [トークンパッシングてじゅん] /(n) (comp) token passing protocol/token passing procedure/
トークンリング /(n) (comp) token ring/
トークンリングネットワーク /(n) (comp) token-ring network/
トークン化 [トークンか] /(n,vs) (comp) tokenize/
トークン発生レート [トークンはっせいレート] /(n) (comp) token issue rate/
トーケイ /(n) Tokay/
トーゴ /(n) Togo/
トーシューズ /(n) toeshoes/
トーションメーター /(n) torsion meter/
トースター /(n) toaster/(P)/
トースト /(n,adj-no) toast/(P)/
トータリゼーターシステム /(n) totalizator system/
トータル /(adj-na,n) total/(P)/
トータルエネルギーシステム /(n) total energy system/
トータルコスト /(n) (comp) total cost/
トータルシステム /(n) (comp) total system/
トータルファッション /(n) total fashion/
トータルプロダクト /(n) total product/
トータルルック /(n) total look/
トーダンス /(n) toe dance/
トーチ /(n) torch/(P)/
トーチカ /(n) bunker (military) (rus: tochka)/
トーチランプ /(n) torch lamp/
トーチリレー /(n) torch relay/
トーテミズム /(n) totemism/
トーテム /(n) totem/
トーテムポール /(n) totem pole/
トート /(n) tote bag/
トートバック /(ik) (n) tote bag/
トートバッグ /(n) tote bag/
トートロジー /(n) tautology/
トード /(n) toad/
トーナメント /(n) tournament/(P)/
トーナメントツアー /(n) tournament tour/
トーナメントプロ /(n) tournament pro/
トーナリティ /(n) tonality/
トーナル /(n) tonal/
トーネード /(n) tornado/
トービン税 [トービンぜい] /(n) Tobin tax (on cross-border currency trading)/
トーラー /(n) Torah/
トーラス /(n) (1) Taurus/(2) torus/(P)/
トール /(n) toll/(P)/
トール・ワゴン /(n) tall wagon (wasei: tall wagon)/
トールゲート /(n) tollgate/
トールワゴン /(n) tall wagon (wasei: tall wagon)/
トーン /(n) tone/(P)/
トーンアーム /(n) tone arm/tonearm/
トーンダウン /(n) tone down/
トーン検出 [トーンけんしゅつ] /(n) (comp) tone detection/
トイチ /(n) (uk) type of illegal loan charging 10% interest every 10 days/
トイピアノ /(n) toy piano/
トイファー /(n) (uk) (rkb:) tonfa (traditional Okinawan weapon similar to a nightstick)/
トイレ /(n) (abbr) toilet/restroom/bathroom/lavatory/(P)/
トイレタリー /(n) toiletry/
トイレット /(n) toilet/(P)/
トイレットケース /(n) toilet case/
トイレットソープ /(n) toilet soap/
トイレットパウダー /(n) toilet powder/
トイレットペーパー /(n) toilet paper/(P)/
トイレットルーム /(n) (obsc) bathroom (wasei: toilet room)/washroom/lavatory/
トゥース /(n) tooth/
トゥール /(n) (1) (comp) tool (esp. software, etc.)/(2) tour (e.g. Tour de France)/
トゥエルブ /(n) twelve/
トゥエンティー /(n) twenty/
トゥギャザー /(n) together/(P)/
トゥグルク朝 [トゥグルクちょう] /(n) Tughluq Dynasty (of India, 1320-1413 CE)/
トゥッティ /(n) tutti (music) (ita:)/
トゥデー /(n-adv,n-t) today/
トゥナイト /(n-adv,n-t) tonight/
トゥモロー /(n-adv,n-t) tomorrow/
トゥラジカル /(adj-f) tragical/
トゥラジック /(adj-f) tragic/
トゥルー /(n) true/(P)/
トゥルータイプ /(n) (comp) TrueType/
トゥルータイプフォント /(n) (comp) True Type font/
トゥレットシンドローム /(n) Tourette's syndrome/
トゥレット障害 [トゥレットしょうがい] /(n) Tourette's Syndrome/
トウ /(n) toe/(P)/
トウィップ /(n) (comp) twip/
トウインクル /(n) twinkle/
トウェイン /(n) (comp) TWAIN/
トウカイスズメダイ /(n) Japanese chromis (Chromis mirationis)/
トウカエデ /(n) trident maple/acer buergerianum/
トウガラシ /(n) (1) capsicum (Capsicum annuum, esp. the cultivated chili peppers)/chili pepper (chile, chilli)/cayenne/red pepper/
トウキ /(n) (1) (uk) dong dang gui (aromatic herb similar to dong quai, Angelica acutiloba)/(2) (obsc) dong quai (aromatic herb used to treat various gynecological symptoms, Angelica sinensis)/
トウグミ /(n) (uk) Elaeagnus multiflora var. hortensis (variety of goumi)/
トウゴロウイワシ /(n) (uk) flathead silverside (Hypoatherina valenciennei)/
トウジュロ /(n) miniature Chusan palm (Trachycarpus wagnerianus)/(poss. Trachycarpus fortunei)/
トウジンビエ /(n) (uk) pearl millet (Pennisetum glaucum)/
トウゾクカモメ /(n) (1) (uk) skua (any bird of family Stercorariidae, inc. the jaegers)/(2) pomarine jaeger/pomarine skua (Stercorarius pomarinus)/
トウダイグサ /(n) wartweed (Euphorbia helioscopia)/sun splurge/
トウダイグサ科 [トウダイグサか] /(n) Euphorbiaceae (plant family)/
トウチク /(n) (uk) Chinese temple bamboo (Sinobambusa tootsik)/tootsik bamboo/
トウナ /(n) (uk) tang cai (Brassica rapa var. toona)/
トウバイ /(n) (uk) wintersweet (Chimonanthus praecox)/Japanese allspice/
トウヒ /(n) (uk) spruce tree (esp. Picea jezoensis hondoensis, a variety of Ezo spruce)/
トウモロコシ /(n) (uk) corn (US)/maize (UK)/
トウモロコシ畑 [トウモロコシばたけ] /(n) corn field/maize field/
トカイ /(n) Tokaji/
トカゲ /(n) lizard/
トカゲ目 [トカゲもく] /(n) Squamata (order of scaled reptiles, sometimes esp. the Sauria or Lacertilia)/
トカマク /(n) Tokamak/
トガサワラ /(n) (uk) Japanese Douglas fir (Pseudotsuga japonica)/
トガリアンコウザメ /(n) spadenose shark (Scoliodon laticaudus, species of requiem shark found in the Indo-West Pacific)/
トガリアンコウザメ属 [トガリアンコウザメぞく] /(n) Scoliodon (genus of requiem shark in the family Carcharhinidae whose sole member is the spadenose shark)/
トガリザメ /(n) whitenose shark (Nasolamia velox, species found in the eastern Pacific)/
トガリザメ属 [トガリザメぞく] /(n) Nasolamia (genus of requiem shark in the family Carcharhinidae whose only member is the whitenose shark)/
トガリドチザメ /(n) slender smooth-hound (Gollum attenuatus, species of finback catshark from the Southwest Pacific)/
トガリドチザメ属 [トガリドチザメぞく] /(n) Gollum (genus of one species, Gollum attenuatus, in the family Proscylliidae)/
トガリネズミ /(n) (uk) shrew (any rodent of family Soricidae, esp. those of genus Sorex)/
トガリメザメ /(n) sliteye shark (Loxodon macrorhinus, species of requiem shark found in the tropical waters of the Indo-West Pacific)/
トガリメザメ属 [トガリメザメぞく] /(n) Loxodon (genus containing the sliteye shark as its only member in the family Carcharhinidae)/
トキ /(n) (uk) Japanese crested ibis (Nipponia nippon)/crested ibis/
トキソイド /(n) toxoid/
トキソプラズマ /(n) toxoplasma/
トキソプラズマ症 [トキソプラズマしょう] /(n) toxoplasmosis/
トキワギョリュウ /(n) (uk) (obsc) beefwood (Casuarina equisetifolia)/
トクトク /(adv-to,adv) (on-mim) glug-glug/
トクビレ /(n) (uk) sailfin poacher (Podothecus sachi)/
トクホ /(n) food for specified health uses (e.g. cholesterol reduction)/designated health food/
トグル /(n,vs) toggle/
トグルスイッチ /(n) toggle switch/
トグルボタン /(n) (comp) toggle button/
トケイソウ /(n) (uk) blue passion flower (Passiflora caerulea)/
トゲウオ /(n) (uk) stickleback (any fish of family Gasterosteidae)/
トゲオオオトカゲ /(n) (uk) ridge-tailed monitor (Varanus acanthurus, species of monitor lizard found throughout the arid northern regions of Australia)/spiny-tailed monitor/
トゲチョウチョウウオ /(n) (uk) threadfin butterflyfish (Chaetodon auriga, species of the Indo-Pacific)/
トゲネズミ /(n) (uk) Ryukyu spiny rat (Tokudaia osimensis)/
トコフェロール /(n) tocopherol/
トコブシ /(n) (uk) Sulculus diversicolor supertexta (species of abalone or ear shell)/
トコロ /(n) (1) (uk) Dioscorea tokoro (species of wild yam)/
トコン /(n) (uk) ipecac (species of shrub, Cephaelis ipecacuanha)/ipecacuanha/
トサー /(n) tosser/
トサカ /(n) (uk) cockscomb/crest/
トサカノリ /(n) (uk) Meristotheca papulosa (species of edible red alga)/
トサカハギ /(n) humpnose unicornfish (Naso tuberosus, species of Indo-Pacific tang)/
トサミズキ /(n) (uk) spike winter hazel (Corylopsis spicata)/
トス /(n,vs) toss/(P)/
トスバッティング /(n) toss batting (baseball)/pepper game/
トタテグモ /(n) (uk) trapdoor spider (any spider of family Ctenizidae)/folding trapdoor spider (any spider of family Antrodiaetidae)/
トタン /(n) (1) zinc (por: tutanaga)/(2) galvanized sheet iron/galvanised sheet iron/(P)/
トチノキ /(n) Japanese horse chestnut/
トチノキ科 [トチノキか] /(n) Hippocastanaceae (plant family)/horse-chestnut/
トチバニンジン /(n) (uk) Japanese ginseng (Panax japonicus)/
トチュウ /(n) (uk) hardy rubber tree (near-threatened species often used in Chinese medicine, Eucommia ulmoides)/
トチュウ科 [トチュウか] /(n) Eucommiaceae (monotypic plant family containing only the hardy rubber tree)/
トッカータ /(n) toccata (ita:)/
トック /(n) tteok (sweet Korean rice cake) (kor:)/
トックリバチ /(n) (uk) potter wasp (esp. species Eumenes mikado)/
トッグル /(n) toggle/
トッケイ /(n) tokay/
トッパー /(n) topper/(P)/
トッパーズ /(n) topaz/
トッピング /(n,vs) topping/
トッフィー /(n) toffy/
トップ /(n) (1) top/(2) top position/(3) senior management/senior bureaucrat/(P)/
トップギア /(n) top gear/
トップクォーク /(n) top quark/
トップクオーク /(n) top quark/
トップクラス /(n) top class/(P)/
トップグループ /(n) top group/
トップコート /(n) topcoat/
トップコンテンダー /(n) top competitor (lit: top contender)/
トップコンディション /(n) top condition/
トップシークレット /(n) top secret/
トップシーン /(n) top scene/
トップスター /(n) top star/(P)/
トップスピン /(n) top spin/
トップセラー /(n) top seller/
トップダウン /(adj-na,n) (comp) top down/
トップダウン設計 [トップダウンせっけい] /(n) (comp) top-down design/
トップテン /(n) topten/
トップドメイン /(n) top-domain/
トップニュース /(n) top news/(P)/
トップノート /(n) top-note/
トップハット /(n) top hat/
トップバスト /(n) top bust/
トップバッター /(n) top batter (ball game)/(P)/
トップファッション /(n) top fashion/
トップボール /(n) top ball/
トップマネージメント /(n) top management/
トップマネジメント /(n) top management/
トップメニュー /(n) (comp) top for menu/
トップモード /(n) latest fashion (wasei: top mode)/
トップライト /(n) top light/
トップランナー /(n) top runner (system of benchmarking against best-in-class performance)/
トップレス /(n) topless/(P)/
トップレディー /(n) top lady/
トップレベル /(n) top-level/
トップレベルドメイン /(n) (comp) toplevel domain/
トッポキ /(n) tteokbokki (spicy stir-fried Korean rice cake) (kor:)/
トッポッキ /(n) tteokbokki (spicy stir-fried Korean rice cake) (kor:)/
トトカルチョ /(n) football pool (ita: totocalcio)/(P)/
トド /(n) (uk) Steller's sea lion/Northern sea lion/
トド /(n) Sakhalin fir (Abies sachalinensis)/
トドマツ /(n) (uk) Sakhalin fir (Abies sachalinensis)/
トナー /(n) toner/
トナーカートリッジ /(n) (comp) toner cartridge/
トナカイ /(n) (uk) reindeer (Rangifer tarandus) (ain:)/
トニータイ /(n) tony tie/(P)/
トニック /(n) tonic/
トニックウォーター /(n) tonic water/
トニックウオーター /(n) tonic water/
トノサマダイ /(n) mirror butterflyfish (Chaetodon speculum)/ovalspot butterflyfish/
トノサマバッタ /(n) (uk) migratory locust (Locusta migratoria)/
トパーズ /(n) topaz/
トパズ /(n) topaz/
トビウオ /(n) (uk) flying fish (esp. the Japanese flying fish, Cypselurus agoo)/
トビエイ /(n) (uk) Japanese eagle ray (Myliobatis tobijei)/
トビケラ /(n) (uk) caddisfly/caddis fly (any moth-like insect of the order Trichoptera)/
トビケラ目 [トビケラもく] /(n) Trichoptera (the order of insects comprising the caddisflies)/
トビトカゲ /(n) (uk) flying dragon (any gliding lizard of genus Draco)/
トビナナフシ /(n) (uk) Micadina phluctaenoides (species of stick insect)/
トビネズミ /(n) (uk) jerboa (any rodent of family Dipodidae)/
トビハゼ /(n) (uk) mudskipper (Periophthalmus cantonensis)/mudspringer/
トピ /(n) (abbr) topic/
トピずれ /(n) off topic/
トピアリー /(n) topiary/
トピカル /(n) topical/
トピック /(n) topic/(P)/
トピックス /(n) topics/
トピックニュース /(n) topic news/
トピ主 [トピぬし] /(n) original poster (of a web-forum thread)/
トフィー /(n) toffy/
トホホホ /(n) (on-mim) boo-hoo/boo-hoo-hoo/
トボガン /(n) toboggan/
トポグラフィー /(n) topography/
トポロジ /(n) (comp) topology/
トポロジー /(n) topology/
トポロジカル /(n) topological/
トマスカップ /(n) Thomas Cup (International Badminton Championship)/
トマス福音書 [トマスふくいんしょ] /(n) Gospel of Thomas (apocryphal) (book of the Bible)/
トマト /(n) tomato/(P)/
トマトケチャップ /(n) tomato ketchup/
トマトジュース /(n) tomato juice/
トマトソース /(n) tomato sauce/
トマトピューレ /(n) tomato puree/
トマトペースト /(n) tomato paste/
トマホーク /(n) tomahawk/(P)/
トミーガン /(n) tommy gun/(P)/
トミズム /(n) (obsc) Thomism (theology of Thomas Aquinas or his followers)/
トミニサージャンフィッシュ /(n) Tomini surgeonfish (Ctenochaetus tominiensis, species of bristletooth tang from the Western Central Pacific)/
トミニサージョンフィッシュ /(n) Tomini surgeonfish (Ctenochaetus tominiensis, species of bristletooth tang from the Western Central Pacific)/
トミヨ /(n) (uk) Amur stickleback (Pungitius sinensis)/
トムコリンズ /(n) Tom Collins/
トムソンガゼル /(n) Thomson's gazelle/
トムトム /(n) tom-tom/
トムヤムクン /(n) tom yum goong (Thai soup dish) (tha:)/
トモエガモ /(n) (uk) Baikal teal (species of dabbling duck, Anas formosa)/
トモグラフィー /(n) tomography/
トモダチ作戦 [トモダチさくせん] /(n) Operation Tomodachi/United States Armed Forces assistance operation to support Japan in disaster relief following the 2011 Tohoku earthquake and tsunami/
トモロク /(n) (abbr) (sl) Internet friend or buddy list/
トヨタ /(n) Toyota/
トヨタ自動車 [トヨタじどうしゃ] /(n) Toyota Motor/
トラ /(n) (1) tiger (Panthera tigris)/(2) (col) drunk person/(P)/
トラ /(n) (abbr) trouble/
トライ /(n,vs) try/(P)/
トライ＆エラー [トライアンドエラー] /(n) trial and error (wasei: try and error)/
トライアウト /(n) tryout/
トライアスリート /(n) tri-athlete/
トライアスロン /(n) triathlon/(P)/
トライアド /(n) triad/
トライアル /(n) trial/(P)/
トライアルアンドエラー /(n) trial and error/
トライアルウェア /(n) (comp) trial version of software/"trialware"/
トライアル版 [トライアルばん] /(n) (software) trial version/
トライアングル /(n) triangle/(P)/
トライアングルバタフライフィッシュ /(n) triangle butterflyfish (Chaetodon triangulum)/
トライアングルパス /(n) triangle pass/
トライシクル /(n) tricycle/
トライジェット /(n) trijet/
トライスター /(n) Tristar/
トライデント /(n) Trident/
トライトン /(n) (comp) Triton/
トライバリズム /(n) tribalism/
トライバル /(adj-f) tribal/
トライフル /(n) trifle (type of dessert)/
トライボロジー /(n) tribology/
トライポッド /(n) (comp) Tripod/
トライミックス /(n) trimix/diver's gas mix of helium, oxygen, and nitrogen/
トライリンガル /(adj-f) trilingual/
トラウザーズ /(n) trousers/
トラウマ /(n) trauma (usu. psychological)/
トラガカントゴム /(n) tragacanth gum/
トラギス /(n) (uk) harlequin sandsmelt (Parapercis pulchella)/
トラクションコントロール /(n) traction control/
トラクタ /(n) tractor/
トラクター /(n) tractor/(P)/
トラクタトラック /(n) tractor-trailer (wasei: tractor-truck)/semi-trailer/18-wheeler/articulated lorry/
トラクタフィーダ /(n) (comp) tractor feeder/
トラクタフィード /(n) (comp) tractor feed/
トラクト /(n) tract/
トラグラ /(n) (abbr) transistor glamour/transistor glamor/
トラコーマ /(n) trachoma/
トラザメ /(n) cloudy catshark (Scyliorhinus torazame, species found from Japan and Korea to Taiwan)/
トラザメ科 [トラザメか] /(n) Scyliorhinidae (family of catsharks containing 146 species in 16 genera)/
トラザメ属 [トラザメぞく] /(n) Scyliorhinus (genus containing 15 species of catsharks in the family Scyliorhinidae)/
トラジェディー /(n) tragedy/
トラジカル /(adj-f) tragical/
トラジコメディー /(n) tragi-comedy/
トラジック /(adj-f) tragic/
トラジディー /(n) tragedy/
トラス /(n) truss/
トラスティ /(n) (comp) trustee/
トラスト /(n) trust/(P)/
トラス橋 [トラスきょう] /(n) truss bridge/
トラッキング /(n) (1) trucking/(2) (comp) tracking (e.g. in computer graphic)/
トラッキングステーション /(n) tracking station/
トラッキング記号 [トラッキングきごう] /(n) (comp) tracking symbol/
トラック /(n,adj-no) (1) truck/(2) track (running, CD, DVD, etc.)/(P)/
トラックアクセス時間 [トラックアクセスじかん] /(n) (comp) track access time/
トラックアットワンス /(n) (comp) track at once/
トラックアップ /(n) track up/
トラッククレーン /(n) truck crane/
トラックシステム /(n) truck system/
トラックターミナル /(n) truck terminal/
トラックトレーラー /(n) truck trailer/semi truck/tractor trailer/
トラックバック /(n) track back/
トラックパッド /(n) (comp) track pod/
トラックピッチ /(n) (comp) track pitch/
トラックファーム /(n) truck farm/
トラックホールドユニット /(n) (comp) track and hold unit/track and store unit/
トラックボール /(n) trackball/
トラックマン /(n) trackman/
トラック競技 [トラックきょうぎ] /(n) track events/
トラック密度 [トラックみつど] /(n) (comp) track density/
トラッシュ /(n) trash/
トラットリア /(n) trattoria (ita:)/small informal Italian restaurant/
トラッド /(adj-na) trad/(P)/
トラッピング /(n) trapping/
トラップ /(n) trap/(P)/
トラップハンドラ /(n) (comp) trap handler/
トラップ射撃 [トラップしゃげき] /(n) trap shooting/
トラツグミ /(n) (uk) White's thrush (Zoothera dauma)/
トラテープ /(n) safety stripe tape (black-and-yellow plastic tape) (wasei: tora tape)/barricade tape/
トラディショナル /(adj-na) traditional/
トラディション /(n) tradition/
トラノオシダ /(n) (uk) Asplenium incisum (species of spleenwort)/
トラノコイソハゼ /(n) barred pygmy goby (Eviota fasciola)/grubby pygmy-goby/
トラバーサル順序 [トラバーサルじゅんじょ] /(n) (comp) traversal sequence/
トラバース /(n,vs) traverse/
トラバース測量 [トラバースそくりょう] /(n) traverse survey/
トラバーチン /(n) travertine/
トラバーユ /(n) work (fre: travail)/(P)/
トラヒック /(n) (comp) traffic/
トラヒックエンジニアリング /(n) (comp) traffic engineering/
トラヒックサージ /(n) (comp) traffic surge/
トラヒックシェイピング /(n) (comp) traffic shaping/
トラヒックタイプ /(n) (comp) traffic type/
トラヒックディスクリプタ /(n) (comp) traffic descriptor/
トラヒックバースト /(n) (comp) traffic burst/
トラヒックパターン /(n) (comp) traffic pattern/
トラヒックパラメータ /(n) (comp) traffic parameter/
トラヒックフロー /(n) (comp) traffic flow/
トラヒック記述子 [トラヒックきじゅつし] /(n) (comp) traffic descriptor/
トラヒック契約 [トラヒックけいやく] /(n) (comp) traffic contract/
トラヒック全体 [トラヒックぜんたい] /(n) (comp) total traffic/
トラヒック特性 [トラヒックとくせい] /(n) (comp) traffic characteristics/
トラピーズ /(n) trapeze (in sailing)/
トラピスチーヌ /(n) trappistine/
トラピスト /(n) (1) trappiste/(2) Trappist/
トラフ /(n) trough/(P)/
トラフィック /(n) traffic/(P)/
トラフィックシェーピング /(n) (comp) traffic shaping/
トラフィックパディング /(n) (comp) traffic padding/
トラフィックパラメータ /(n) (comp) traffic parameter/
トラフィックビルダー /(n) traffic builder/
トラフィックフロー /(n) (comp) traffic flow/
トラフィックフロー機密性 [トラフィックフローきみつせい] /(n) (comp) traffic flow confidentiality/
トラフィックマネジメント /(n) (comp) traffic management/
トラフィック解析 [トラフィックかいせき] /(n) (comp) traffic analysis/
トラフィック制御 [トラフィックせいぎょ] /(n) (comp) traffic control/
トラフィック量 [トラフィックりょう] /(n) (comp) traffic load/traffic amount/
トラフィック輻輳 [トラフィックふくそう] /(n) (comp) traffic congestion/
トラフザメ /(n) zebra shark (Stegostoma fasciatum, a type of Indo-West Pacific carpet shark)/
トラフザメ科 [トラフザメか] /(n) Stegostomatidae (family of Indo-Pacific carpet sharks containing a single species, Stegostoma fasciatum)/
トラフザメ属 [トラフザメぞく] /(n) Stegostoma (genus of one species of Indo-Pacific carpet shark in the family Stegostomatidae)/
トラフズク /(n) (uk) long-eared owl (Asio otus)/
トラブる /(v5r,vi) to make trouble/
トラブル /(n) trouble/(P)/
トラブルシューティング /(n) trouble-shooting/
トラブルショット /(n) trouble shot/
トラブルメーカー /(n) troublemaker/
トラプスト /(n) (1) trappiste/(2) Trappist/
トラベラー /(n) traveler/traveller/
トラベラーズチェック /(n) traveller's cheque/traveler's check/(P)/
トラベラーチェック /(n) traveller's cheque/traveler's check/
トラベリング /(n) travelling/traveling/
トラベル /(n) travel/(P)/
トラベルウォッチ /(n) travel watch/
トラベルエージェンシー /(n) travel agency/
トラベルスター /(n) (comp) Travelstar/
トラベルセット /(n) travel set/
トラベルビューロー /(n) travel bureau/
トラペン /(n) (abbr) transparency/
トラポン /(n) (abbr) transponder/
トランキライザー /(n) tranquilizer/tranquiliser/(P)/
トランキロ /(n) tranquillo (music) (ita:)/
トランキング /(n) (comp) trunking/
トランク /(n) (1) suitcase/trunk/(2) trunk (of a car)/boot/(3) (trunk) line/(P)/
トランクィッロ /(n) tranquillo (music) (ita:)/
トランクィロ /(n) tranquillo (music) (ita:)/
トランクイロ /(n) tranquillo (music) (ita:)/
トランクス /(n) trunks/(P)/
トランクタイプ /(n) (comp) trunk type/
トランクルーム /(n) trunk room/
トランク予備 [トランクよび] /(n) (comp) trunk conditioning/
トランザクショナルアナリシス /(n) transactional analysis/
トランザクション /(n) transaction/
トランザクションＩＤ [トランザクションアイディー] /(n) (comp) transaction ID/
トランザクションコミットメント /(n) (comp) transaction commitment/commitment/
トランザクションコンテキスト /(n) (comp) transaction context/
トランザクションテキスト /(n) (comp) transaction text/
トランザクションパイプライン /(n) (comp) transacted pipeline/
トランザクションプログラム /(n) (comp) transaction program/
トランザクションロールバック /(n) (comp) transaction rollback/rollback/
トランザクションログファイル /(n) (comp) transaction log file/
トランザクション回復 [トランザクションかいふく] /(n) (comp) transaction recovery/
トランザクション記録動作 [トランザクションきろくどうさ] /(n) (comp) transaction logging/
トランザクション識別子 [トランザクションしきべつし] /(n) (comp) transaction identifier/
トランザクション終了フェーズ [トランザクションしゅうりょうフェーズ] /(n) (comp) termination phase of a transaction/
トランザクション処理 [トランザクションしょり] /(n) (comp) transaction processing/
トランザクション処理サービス提供者 [トランザクションしょりサービスていきょうしゃ] /(n) (comp) Transaction Processing Service Provider/TPSP/
トランザクション処理サービス利用者 [トランザクションしょりサービスりようしゃ] /(n) (comp) Transaction Processing Service User/TPSU/
トランザクション処理チャネル [トランザクションしょりチャネル] /(n) (comp) Transaction Processing channel/channel/
トランザクション処理プロトコル機械 [トランザクションしょりプロトコルきかい] /(n) (comp) Transaction Processing Protocol Machine/TPPM/
トランザクション処理応用サービス要素 [トランザクションしょりおうようサービスようそ] /(n) (comp) Transaction Processing Application Service Element/TPASE/
トランザクション分枝 [トランザクションぶんし] /(n) (comp) transaction branch/
トランザクション分枝識別子 [トランザクションぶんししきべつし] /(n) (comp) transaction branch identifier/
トランザクション木の制約条件 [トランザクションもくのせいやくじょうけん] /(n) (comp) transaction tree constraint/
トランザクトエスキューエル /(n) (comp) Transact-SQL/
トランザム /(n) Trans-Am/trans-American/
トランシーバ /(n) transceiver/small wireless telephone/
トランシーバー /(n) transceiver/small wireless telephone/(P)/
トランシット /(n) transit/
トランシルバニア /(n) Transylvania/
トランジション /(n) transition/
トランジスタ /(n) electrical transistor/(P)/
トランジスター /(n) electrical transistor/
トランジスターグラマー /(n) transistor glamour/transistor glamor/
トランジスターラジオ /(n) transistor radio/
トランジスタダイオードロジック /(n) (comp) Transistor-Diode Logic/TDL/
トランジスタトランジスタロジック /(n) (comp) transistor-transistor logic/TTL/
トランジスタラジオ /(n) transistor radio/
トランジット /(n) transit/(P)/
トランス /(n) (1) (abbr) (power) transformer/(2) trance/(pref) (3) trans/(P)/
トランスアミナーゼ /(n) transaminase/
トランスクリプション /(n) transcription/
トランスジェニック生物 [トランスジェニックせいぶつ] /(n) transgenic organism/
トランスジェンダー /(n,adj-no) transgender/transgendered individual/
トランスナショナル /(n) transnational/
トランスパーソナル心理学 [トランスパーソナルしんりがく] /(n) transpersonal psychology/
トランスヒューマニスト /(n) transhumanist/
トランスヒューマニズム /(n) transhumanism/
トランスピュータ /(n) Transputer/
トランスファ /(n) transfer/
トランスファー /(n) transfer/
トランスファーＲＮＡ [トランスファーアールエヌエー] /(n) transfer RNA/tRNA/
トランスファープライシング /(n) transfer pricing/
トランスファープライス /(n) transfer price/
トランスファーマシーン /(n) transfer machine/
トランスファーマシン /(n) transfer machine/
トランスフェクション /(n) transfection/
トランスフェラーゼ /(n) transferase/
トランスフォーマー /(n) transformer (toy)/
トランスフォーム断層 [トランスフォームだんそう] /(n) transform fault/
トランスフォーメーション /(n) transformation/
トランスペアレンシー /(n) (comp) transparency/
トランスペアレント /(n) (comp) transparent/
トランスポーター /(n) transporter/
トランスポーテーション /(n) transportation/
トランスポート /(n) transport/
トランスポートサービス提供者 [トランスポートサービスていきょうしゃ] /(n) (comp) transport service provider/TS-provider/
トランスポートサービス利用者 [トランスポートサービスりようしゃ] /(n) (comp) transport service user/
トランスポート層 [トランスポートそう] /(n) (comp) transport layer/
トランスポゾン /(n) transposon (transposable or movable genetic element)/
トランスポンダ /(n) (comp) transponder/
トランスポンダー /(n) transponder/(P)/
トランスミッション /(n) transmission/
トランスミッションギア /(n) transmission gear/
トランスミッター /(n) transmitter/
トランスモダン /(n) trans-modern/
トランスルーセント・グラス・キャットフィッシュ /(n) glass catfish (Kryptopterus bicirrhis)/
トランスルーセントグラスキャットフィッシュ /(n) glass catfish (Kryptopterus bicirrhis)/
トランスレーション /(n) translation/
トランスレータ /(n) translator/
トランスレーター /(n) translator/
トランスレート /(n) translate/
トランス系 [トランスけい] /(adj-no) transsexual/transgender/
トランス脂肪酸 [トランスしぼうさん] /(n) trans-fatty acid/trans-fatty acids/trans fat/trans fats/
トランズアクション /(n) (comp) transaction/
トランパー /(n) tramper/
トランプ /(n) playing cards (from trump)/(P)/
トランプ狂 [トランプきょう] /(n) card freak/
トランペッター /(n) trumpeter/
トランペット /(n) trumpet/(P)/
トランペットウィンソック /(n) (comp) Trumpet Winsock/
トランペットスカート /(n) trumpet skirt/
トランポリン /(n) trampoline/
トラヴェル /(n) travel/
トリートメント /(n) treatment/(P)/
トリアージ /(n) triage/
トリアージタッグ /(n) triage tag/
トリアジン /(n) triazine/
トリアセテート繊維 [トリアセテートせんい] /(n) triacetate fiber/triacetate fibre/
トリアゾラム /(n) triazolam/
トリウム /(n,adj-no) thorium (Th)/(P)/
トリウム系列 [トリウムけいれつ] /(n) thorium series/
トリエンナール /(n) triennale (ita:)/
トリオ /(n) trio (ita:)/(P)/
トリオース /(n) triose/
トリオソナタ /(n) trio sonata/
トリカブト /(n) (1) (uk) aconite (esp. species Aconitum japonicum)/wolfsbane/monkshood/(2) traditional bugaku hat/
トリカルボン酸回路 [トリカルボンさんかいろ] /(n) tricarboxylic acid cycle/TCA cycle/
トリガ /(n) trigger/
トリガー /(n) trigger/(P)/
トリガー価格 [トリガーかかく] /(n) trigger price/
トリガイ /(n) Japanese egg cockle (Fulvia mutica)/
トリガプロセス /(n) (comp) trigger process/
トリガ回路 [トリガかいろ] /(n) (comp) trigger circuit/
トリクイグモ /(n) (uk) (obsc) tarantula (any spider of family Theraphosidae)/
トリクロ /(n) (abbr) trichloroethylene/
トリクロロエタン /(n) trichloroethane/
トリクロロエチレン /(n) trichloroethylene/(P)/
トリクロロ酢酸 [トリクロロさくさん] /(n) trichloroacetic acid/
トリグリセリド /(n) triglyceride/
トリケラトプス /(n) triceratops (dinosaur) (lat:)/
トリコット /(n) tricot/
トリコマイシン /(n) trichomycin/
トリコモナス /(n) trichomonas (lat:)/
トリコモナス膣炎 [トリコモナスちつえん] /(n) vaginal trichomoniasis/
トリコロール /(n) tricolor (fre:)/tricolour/tricolore/
トリゴニア /(n) Trigonia (genus of triangular clams) (lat:)/
トリスティス・モニター /(n) black-headed monitor (Varanus tristis, small species of carnivorous monitor lizard native to Australia)/freckled monitor/
トリスティスモニター /(n) black-headed monitor (Varanus tristis, small species of carnivorous monitor lizard native to Australia)/freckled monitor/
トリチウム /(n) tritium/
トリッキー /(adj-na) tricky/
トリック /(n,adj-no) trick/(P)/
トリックスター /(n) trickster/
トリックプレー /(n) trick play/
トリックワーク /(n) trick work/
トリッピー /(n) (comp) Tri-P/
トリッピング /(n) tripping/
トリップ /(n) trip/(P)/
トリップメーター /(n) trip meter/
トリップワイヤ /(n) tripwire/
トリッペル /(n) Tripper (ger:)/
トリトマ /(n) red-hot poker (Kniphofia uvaria) (lat: tritoma)/
トリトリグモ /(n) (uk) (obsc) tarantula (any spider of family Theraphosidae)/
トリトン /(n) triton/
トリニティー /(n) Trinity/
トリニトロトルエン /(n) trinitrotoluen/TNT/(P)/
トリニトロフェノール /(n) trinitrophenol/
トリニトロベンゼン /(n) trinitrobenzene/
トリニトロン /(n) (comp) Trinitron/
トリハロメタン /(n) trihalomethane/
トリパノソーマ /(n) trypanosome (lat: Trypanosoma)/
トリパノソーマ症 [トリパノソーマしょう] /(n) trypanosomiasis/sleeping sickness/
トリパノゾーマ /(n) trypanosome (lat: Trypanosoma)/
トリビア /(n) trivia/
トリビアリズム /(n) trivialism/
トリビアル /(adj-na) trivial/
トリビュート /(n) tribute/
トリビューン /(n) tribune/(P)/
トリプシン /(n) trypsin/
トリプタン /(n) triptan (any one of a family of drugs used to treat severe headaches)/
トリプティク /(n) triptych/
トリプトファン /(n) tryptophan/
トリプル /(n) triple/(P)/
トリプルアクセル /(n) triple axel (figure skating)/
トリプルクラウン /(n) triple crown/
トリプルジャンプ /(n) triple jump/
トリプルスチール /(n) triple steal/
トリプルプレー /(n) triple play/
トリプルボギー /(n) triple bogey (golf)/
トリプレット /(n) triplet (three nucleotide pairs that form a codon)/
トリポッド /(n) tripod/
トリマー /(n) trimmer/
トリミング /(n,vs) trimming/
トリミングポイント /(n) (comp) trim points/
トリム /(n) trim/
トリムマーク /(n) trim mark (usu. on paper)/
トリュフ /(n) truffle (fre: truffe)/(P)/
トリリンガル /(adj-f) trilingual/
トリル /(n) trill/
トリレン /(n) tolylene/
トリレンマ /(n) trilemma/
トル /(n) (1) torr/(2) to delete (editor's mark)/
トルースタイト /(n) troostite (transitional constituent of steel)/
トルーパー /(n) trooper/(P)/
トルーマンドクトリン /(n) Truman Doctrine/
トルイジン /(n) toluidine/
トルエン /(n) toluene/(P)/
トルク /(n) torque/(P)/
トルクエタム /(n) torquetum/
トルクコンバーター /(n) torque converter/
トルクメニスタン /(n) Turkmenistan/
トルコ /(n) (1) (uk) Turkey/(2) (abbr) turquoise/(P)/
トルコブルー /(n) turquoise blue/
トルコヤツメ /(n) Turkish brook lamprey (Eudontomyzon lanceolata)/
トルコン /(n) (abbr) torque converter/
トルコ鞍部腫瘍 [トルコあんぶしゅよう] /(n) sellar tumour/
トルコ語 [トルコご] /(n) Turkish (language)/
トルコ嬢 [トルコじょう] /(n) (sens) prostitute working at a soapland (lit: Turkish girl)/
トルコ人 [トルコじん] /(n) Turk/
トルコ石 [トルコいし] /(n) turquoise/
トルコ風呂 [トルコぶろ] /(n) (1) Turkish bath/(2) (sens) soapland (brothel where one can bathe with the prostitutes)/
トルコ帽 [トルコぼう] /(n) fez/
トルストイアン /(n,adj-no) Tolstoyan/Tolstoian/
トルソー /(n) torso (ita:)/
トルテ /(n) torte (ger:)/
トルティージャ /(n) tortilla/
トルティーヤ /(n) tortilla/
トルテッリーニ /(n) tortellini/
トルネード /(n) tornado/
トルバドール /(n) troubadour (fre:)/
トルバドゥール /(n) troubadour (fre:)/
トルマリン /(n) tourmaline/
トレー /(n) tray/(P)/
トレーサー /(n) tracer/
トレーサビリティー /(n) traceability/
トレーサリー /(n) tracery/
トレーシング /(n) tracing/
トレーシングペーパー /(n) tracing paper/
トレース /(n,vs) trace/(P)/
トレースモード /(n) (comp) trace mode/
トレース紙 [トレースし] /(n) tracing paper/
トレーダー /(n) trader/
トレーディング /(n) trading/
トレーディングカード /(n) trading card/collectible card/
トレーディングカンパニー /(n) trading company/
トレーディングルーム /(n) trading room/
トレード /(n,vs) trade/(P)/
トレードオフ /(n) trade-off/
トレードショー /(n) (comp) trade show/
トレードショウ /(n) trade show/
トレードマーク /(n) trademark/(P)/
トレードマネー /(n) trade money/
トレードユニオン /(n) trade union/
トレーナー /(n) (1) trainer (someone who works with sports athletes)/(2) sweatshirt (wasei: trainer)/(P)/
トレーニング /(n,vs) training/(P)/
トレーニングウィザード /(n) training wizard/
トレーニングウェア /(n) training wear/
トレーニングウエア /(n) training wear/
トレーニングキャンプ /(n) training camp/
トレーニングシャツ /(n) sweat shirt (wasei: training shirt)/
トレーニングシューズ /(n) training shoes/
トレーニングセンター /(n) training centre (center)/
トレーニングパンツ /(n) sweat pants (wasei: training pants)/
トレーパン /(n) (abbr) track-suit trousers (wasei: training pants)/sweat pants/
トレーラ /(n) trailer (actually a combination of tractor and trailer)/
トレーラー /(n) trailer (actually a combination of tractor and trailer)/(P)/
トレーラーハウス /(n) trailer house/house trailer/
トレーラーバス /(n) trailer bus/
トレール /(n) trail/
トレールバイク /(n) trail bike/
トレーン /(n) train/
トレアドールパンツ /(n) toreador pants/
トレアドル /(n) toreador/
トレアドルパンツ /(n) toreador pants/
トレイ /(n) tray/
トレイナー /(n) (1) trainer (someone who works with sports athletes)/(2) sweatshirt (wasei: trainer)/
トレオニン /(n) threonine (ger: Threonin)/
トレカ /(n) (abbr) trading card/
トレジャー /(n) treasure/(P)/
トレジャーハンター /(n) treasure hunter/
トレセン /(n) training centre (center)/
トレッカー /(n) trekker/(P)/
トレッキング /(n) trekking/
トレッド /(n) tread/
トレッドウエアインジケーター /(n) tread wear indicator/
トレッドパターン /(n) tread pattern/
トレッドミル /(n) treadmill/
トレニア /(n) Torenia (plant)/
トレハロース /(n) trehalose (used in foods as a sweetener, stabilizer and flavor enhancer) (stabiliser) (flavour)/
トレパネーション /(n) trepanation/
トレパン /(n) (abbr) track-suit trousers (wasei: training pants)/sweat pants/
トレビアン /(exp) very good (fre: tres bien)/
トレペ /(n) (abbr) tracing paper/
トレポネーマ /(n) treponema (lat:)/treponeme/
トレポネマ /(n) treponema (lat:)/treponeme/
トレミー星座 [トレミーせいざ] /(n) (obsc) Ptolemaic constellations/
トレモロ /(n,adj-no) tremolo (ita:)/
トレランス /(n) tolerance/
トレンカ /(n) leggings (pos. from Trencker)/
トレンチ /(n) trench/
トレンチコート /(n) trench coat/(P)/
トレンチング /(n) trenching/
トレンチ工法 [トレンチこうほう] /(n) trench cut method/
トレンディ /(n) trendy/
トレンディー /(adj-na,n) trendy/(P)/
トレント /(n) (comp) Torrent/file format used with BitTorrent peer-to-peer file-sharing applications/
トレンド /(n) trend/(P)/
トレンドセッター /(n) trendsetter/
トローチ /(n) troche/
トローラ /(n) (comp) Motorola (company)/
トローリング /(n) (1) trawling/(2) trolling/
トロール /(n,adj-no) (1) trawl/(2) troll/(P)/
トロール漁業 [トロールぎょぎょう] /(n) trawl fishery/
トロール漁船 [トロールぎょせん] /(n) (obsc) trawler/
トロール船 [トロールせん] /(n) trawler/
トロール網 [トロールあみ] /(n) trawl/
トロくさい /(adj-i) (derog) dull/slow/stupid/
トロイ /(n) Troy/(P)/
トロイの木馬 [トロイのもくば] /(n) Trojan horse/
トロイア戦争 [トロイアせんそう] /(n) Trojan War/
トロイオンス /(n) troy ounce/ounce troy/
トロイカ /(n) troika (rus:)/(P)/
トロイデ /(n) Tholoide (ger:)/
トロイポンド /(n) troy pound/
トロイヤ群 [トロイヤぐん] /(n) Trojan group/
トロイ衡 [トロイこう] /(n) (obsc) troy weight (e.g. troy ounce, troy pound)/
トロイ戦争 [トロイせんそう] /(n) Trojan War/
トロコイド /(n) trochoid/
トロッと /(vs) (1) to become syrupy/to become thick (e.g. when cooking)/(adv) (2) stickily/
トロッコ /(n) rail car (esp. a small one used in mines, etc.)/trolley/
トロッター /(n) trotter/
トロット /(n) trot/
トロツキスト /(n) Trotskyist/Trotskyite/
トロツキズム /(n) Trotskyism/
トロピカル /(n) tropical/
トロピカルドリンク /(n) tropical drink/
トロピカルフィッシュ /(n) tropical fish/
トロピカルフルーツ /(n) tropical fruits/
トロピカルプラント /(n) tropical plant/
トロピズム /(n) tropism/
トロフィー /(n) trophy/(P)/
トロリ /(adv-to,adv) (1) (on-mim) thick/viscous/(2) (on-mim) sleepy/
トロリー /(n) trolley/
トロリーバス /(n) trolleybus/
トロロアオイ /(n) (uk) sunset hibiscus (Hibiscus manihot)/
トロン /(n) TRON/(P)/
トロント /(n) Toronto/(P)/
トロンビン /(n) thrombin/
トロンプルイユ /(n) trompe-l'oeil (fre:)/
トロンボーン /(n) trombone/(P)/
トロンボプラスチン /(n) thromboplastin/
トロンメル /(n) trommel/
トロ箱 [トロばこ] /(n) box for shipping seafood (usually made of styrofoam)/
トワイライト /(n) twilight/(P)/
トワエモア /(exp) you and I (fre: toi et moi)/
トワレ /(n) toilette/
トワレット /(n) toilette/
トンキロ /(n) ton-kilometer/tonne-kilometre/
トンキン湾事件 [トンキンわんじけん] /(n) Gulf of Tonkin Incident/
トング /(n) tongs/
トンチンカン /(adj-na,n) (uk) absurdity/contradiction/incoherence/irrelevance/
トンデモ /(exp) (slang) ridiculous/outrageous/obviously wrong/
トントン拍子 [トントンびょうし] /(adv) without a hitch/swimmingly/with rapid strides/
トンネリング /(n) (comp) tunneling/
トンネル /(n,vs) (1) tunnel/(2) fielding error (baseball)/(P)/
トンネルダイオード /(n) tunnel diode/
トンネル会社 [トンネルがいしゃ] /(n) dummy company/
トンネル効果 [トンネルこうか] /(n) tunnel effect/
トンネル栽培 [トンネルさいばい] /(n) plastic tunnel culture/
トンネル窯 [トンネルがま] /(n) tunnel kiln/
トンパ文字 [トンパもじ] /(n) Dongba script (used by the Naxi People in southern China) (also Tomba, Tompa)/
トンファー /(n) (uk) (rkb:) tonfa (traditional Okinawan weapon similar to a nightstick)/
トンプソンチョウチョウウオ /(n) Thompson's butterflyfish (Hemitaurichthys thompsoni)/
トンボ /(n) (uk) dragonfly/damselfly/
トンボ /(n) crop mark (usu. on paper)/trim mark/registry guide/
トンボ返り [トンボがえり] /(n,vs) (1) somersault/(2) returning from a destination right after arriving there/non-stop round trip/round trip without an overnight stop/(3) abrupt change of direction/
ト音記号 [トおんきごう] /(n) G clef/
ト書 [トがき] /(n) stage directions/
ト書き [トがき] /(n) stage directions/
ト短調 [トたんちょう] /(n) G minor/
ト調 [トちょう] /(n) key of G (music)/
ト長調 [トちょうちょう] /(n) G major/(P)/
ド /(n) doh/do/1st note in the tonic solfa representation of the diatonic scale/
ドーアップ /(n) close-up (e.g. photo)/
ドーク /(n) dawk/(P)/
ドーズ案 [ドーズあん] /(n) Dawes Plan/
ドーターカード /(n) (comp) daughter card/
ドーターボード /(n) (comp) daughter board/
ドータカード /(n) (comp) daughter card/
ドータボード /(n) (comp) daughter board/
ドードー /(n) dodo (Raphus cucullatus)/
ドーナツ /(n) doughnut/(P)/
ドーナツ化現象 [ドーナツかげんしょう] /(n) doughnut phenomenon/combination of urban sprawl and inner-city decay/
ドーナツ現象 [ドーナツげんしょう] /(n) doughnut phenomenon/
ドーハラウンド /(n) Doha Round (trade negotiations)/
ドーパミン /(n) dopamine/
ドーピング /(n) doping/(P)/
ドーピングコントロール /(n) doping control/
ドーピングテスト /(n) drug test/dope test/
ドープ /(n,vs) dope/doping/
ドープチェック /(n) dope check/
ドーベルマン /(n) Doberman/
ドーベルマンピンシェル /(n) Dobermann Pinscher/
ドーマー /(n) dormer/
ドーマーウインドー /(n) dormer window/(P)/
ドーマイ /(exp) (abbr) don't mind/never mind/that's OK/
ドーミー /(n,adj-no) dormie (golf)/dormy/
ドーミーホール /(n) dormie hole (golf)/
ドーミトリー /(n) dormitory/
ドーム /(n) dome/(P)/
ドームズデー /(n) doomsday/domesday/
ドーム状 [ドームじょう] /(adj-no,n) dome-shaped/
ドーラン /(n) greasepaint (ger: Dohran)/
ドーリア /(n) Doria/
ドーリア式 [ドーリアしき] /(n) Doric order (building)/
ドーリア様式 [ドーリアようしき] /(n) Doric order (building)/
ドール /(n) doll/
ドールキュー /(n) dole queue/(P)/
ドールハウス /(n) dollhouse/
ドア /(n) door (Western-style)/(P)/
ドアーズ /(n) doors/
ドアーヒンヂ /(n) door hinge/
ドアアイ /(n) door peephole (wasei: door eye)/
ドアエンジン /(n) door operating equipment (wasei: door engine)/
ドアガール /(n) door girl/
ドアスコープ /(n) peep hole (wasei: door scope)/
ドアストッパー /(n) doorstopper/
ドアチェーン /(n) door chain/
ドアチェック /(n) door check/
ドアチャイム /(n) door chime/
ドアップ /(n) close-up (e.g. photo)/
ドアツードア /(n) door-to-door/
ドアツードアセールス /(n) door-to-door sales/
ドアノブ /(n) doorknob/
ドアヒンジ /(n) door hinge/
ドアヒンヂ /(n) door hinge/
ドアビーム /(n) door beam/
ドアベル /(n) doorbell/
ドアホン /(n) (abbr) intercommunication system (wasei: door phone)/
ドアボーイ /(n) door boy/
ドアマット /(n) doormat/
ドアマン /(n) doorman/
ドアミラー /(n) door mirror/
ドアロック /(n) door lock (on a car)/
ドイツ /(n) (uk) Germany (dut: Duits)/
ドイツマルク /(n) Deutschmark/
ドイツ革命 [ドイツかくめい] /(n) German Revolution (1918-1919)/
ドイツ観念論 [ドイツかんねんろん] /(n) German idealism/
ドイツ騎士団 [ドイツきしだん] /(n) Teutonic Knights/Teutonic Order/
ドイツ語 [ドイツご] /(n,adj-no) German (language)/
ドイツ語学科 [ドイツごがっか] /(n) German department (e.g. in a university)/
ドイツ工業規格 [ドイツこうぎょうきかく] /(n) (comp) Deutsche Institut fuer Normung/DIN/
ドイツ人 [ドイツじん] /(n) German person/
ドイツ農民戦争 [ドイツのうみんせんそう] /(n) German Peasants' War (1524-1525)/
ドイツ文化 [ドイツぶんか] /(n) German culture/
ドイツ民主共和国 [ドイツみんしゅきょうわこく] /(n) German Democratic Republic (i.e. former East Germany)/
ドイツ連邦共和国 [ドイツれんぽうきょうわこく] /(n) Federal Republic of Germany (former West Germany)/
ドイト /(n) (abbr) a do-it-yourself store/
ドイリー /(n) doily/
ドゥーイットユアセルフ /(n) do-it-yourself/(P)/
ドゥーチェ /(n) Duce/Il Duce (title assumed by Mussolini)/
ドゥーパ /(n) (comp) DoPa/
ドゥーム /(n) doom/
ドゥーワップ /(n) doo-wop/
ドゥイットユアセルフ /(n) do-it-yourself/
ドゥエリング /(n) dwelling/
ドゥオモ /(n) cathedral (ita: duomo)/
ドゥルイド /(n) druid/
ドウガネブイブイ /(n) (uk) cupreous chafer (scarabaeid beetle, Anomala cuprea)/
ドウダンツツジ /(n) (uk) Enkianthus perulatus/
ドエリング /(n) dwelling/
ドエル /(n) dwell/
ドカ雪 [ドカゆき] /(n) heavy snowfall/blizzard/
ドキドキ /(adv,n,vs) (on-mim) throb/beat (fast)/(P)/
ドキュメンタリ /(n) documentary/
ドキュメンタリー /(n) documentary/(P)/
ドキュメンタリードラマ /(n) documentary drama/
ドキュメンタリー映画 [ドキュメンタリーえいが] /(n) documentary film/
ドキュメンタル /(adj-na) documental/
ドキュメンテーション /(n) documentation/
ドキュメンテーションセンタ /(n) (comp) information centre/documentation centre/
ドキュメンテーション言語 [ドキュメンテーションげんご] /(n) (comp) documentary language/
ドキュメント /(n) document/(P)/
ドキュメントィンドウ /(n) (comp) document window/
ドキュメントイメージング /(n) (comp) document imaging/
ドキュメントオブジェクトモデル /(n) (comp) document object model/DOM/
ドキュメントファイル /(n) (comp) document file/
ドキュメントプロパティ /(n) (comp) document properties/
ドキュメントライブラリ /(n) (comp) document library/
ドキュメント共有 [ドキュメントきょうゆう] /(n) (comp) document sharing/
ドキュメント型 [ドキュメントがた] /(n) (comp) document type/
ドキュメント整理 [ドキュメントせいり] /(n) (comp) document sorting/
ドキュメント読取り装置 [ドキュメントよみとりそうち] /(n) (comp) document reader/
ドギーバッグ /(n) doggie bag/
ドクウツギ /(n) (uk) Coriaria japonica (species of shrub)/
ドクエ /(n) (uk) Japanese tungoil tree (Vernicia cordata)/
ドクサ /(n) doxa (gre:)/
ドクゼリ /(n) (uk) Mackenzie's water hemlock (Cicuta virosa)/
ドクター /(n) doctor (dut: doctor, ger: Doktor)/(P)/
ドクター・コース /(n) doctoral program (wasei: doctor course)/doctoral course/
ドクターコース /(n) doctoral program (wasei: doctor course)/doctoral course/
ドクターサーフ /(n) (comp) Dr.SURF/
ドクターストップ /(n) (1) stopping a sport, such as boxing, on doctor's orders (wasei: doctor stop)/referee's stop/(2) being ordered by one's doctor to give up such habits as drinking, smoking, overeating, etc/
ドクターフィッシュ /(n) doctorfish (Garra rufa)/nibble fish/kangal fish/doctorfishen/reddish log sucker/
ドクターヘリ /(n) air ambulance (wasei: doctor heli(copter))/helicopter emergency medical service/helicopter ambulance/(P)/
ドクダミ /(n) (uk) chameleon plant (Houttuynia cordata)/
ドクトカゲ /(n) (uk) heloderm (any venomous lizard of genus Heloderma, inc. the gila monster and the beaded lizard)/
ドクトリン /(n) doctrine/(P)/
ドクトル /(n) doctor (dut: doctor, ger: Doktor)/
ドクムギ /(n) (uk) darnel (Lolium temulentum)/
ドクロマーク /(n) skull and crossbones/
ドグマ /(n) dogma/
ドグマチスト /(n) dogmatist/
ドグマチズム /(n) dogmatism/
ドグマチック /(adj-na) dogmatic/
ドグマティズム /(n) dogmatism/
ドグマティック /(adj-na) dogmatic/
ドコサヘキサエン酸 [ドコサヘキサエンさん] /(n) docosahexaenoic acid/DHA/
ドコモ /(n) DoCoMo (NTT mobile phone service)/
ドサ /(n) thud/
ドサっと /(adv) (on-mim) with a thud/
ドシンドシン /(adv-to) (on-mim) walking (with heavy steps)/tramping/lumbering/clumping/
ドジ /(adj-na,n) blunder/bungle/clumsiness/
ドジる /(v5r) to fail/to mess up/to bungle/to screw the pooch/
ドジョウ /(n) (1) (uk) loach (any fish of family Cobitidae)/(2) weather loach (Misgurnus anguillicaudatus)/
ドス /(n) (1) dagger (esp. in yakuza slang)/(2) (comp) disk operating system/DOS/(P)/
ドスキン /(n) doeskin/
ドスブイ /(n) (comp) DOS-V/
ドスン /(int,adv-to) (on-mim) bam/whomp/thump/
ドスンドスン /(adv) (on-mim) thud thud (esp. footsteps)/clump clump/
ドタキャン /(n,vs) (abbr) last-minute cancellation/
ドタドタ /(adv,adv-to,vs) (on-mim) noisily (esp. the noise of heavy feet)/
ドタバタ /(adv,adv-to,vs) (1) (on-mim) noisily (esp. the noise of heavy feet)/(n) (2) (abbr) slapstick/
ドタバタ喜劇 [ドタバタきげき] /(n) slapstick comedy/
ドタブカ /(n) dusky shark (Carcharhinus obscurus, species of reef-associated requiem shark)/
ドタン /(adv-to,adv) (on-mim) thud/
ドチザメ /(n) (uk) banded houndshark (Triakis scyllium, found in the northwest Pacific from southern Siberia to Taiwan)/
ドチザメ科 [ドチザメか] /(n) Triakidae (family of houndsharks consisting of about 40 species in 9 genera)/
ドチザメ属 [ドチザメぞく] /(n) Triakis (genus of houndshark in the family Triakidae)/
ドッキリ /(adv,adv-to,vs) (on-mim) feeling shocked or startled/
ドッキング /(n,vs) docking/(P)/
ドッキングステーション /(n) (comp) docking station/
ドック /(n) dock/(P)/
ドッグ /(n) andiron/dog/locking dog/
ドッグイヤー /(n) "dog year", expression for the rapid pace at which the information technology field moves/
ドッグフード /(n) dog food/(P)/
ドッグファイト /(n) dogfight/(P)/
ドッグレース /(n) dog racing/
ドッグレッグ /(n) dogleg (e.g. in golf)/
ドッジボール /(n) dodge ball/(P)/
ドッジング /(n) dodging/
ドッチーモ /(n) (comp) doccimo/
ドッチボール /(n) dodge ball/
ドット /(n,adj-no) (1) dot/point/(2) polka dots/(3) pixel/(P)/
ドットアドレス /(n) (comp) dot address/
ドットアンドダッシュバタフライフィッシュ /(n) sunset butterflyfish (Chaetodon pelewensis)/dot-and-dash butterflyfish/
ドットインパクトプリンタ /(n) (comp) dot impact printer/
ドットゲイン /(n) (comp) dot gain/
ドットドット /(n) (comp) dot-dot/
ドットピッチ /(n) (comp) dot pitch/DP/
ドットファイル /(n) (comp) dot file/
ドットフォント /(n) (comp) dot font/
ドットプリンタ /(n) (comp) dot (matrix) printer/matrix printer/
ドットプリンター /(n) dot printer/
ドットボム /(n) dot-bomb/
ドットマップ /(n) dot map/
ドットマトリクス /(n) (comp) dot matrix/
ドットマトリクスプリンタ /(n) (comp) dot matrix printer/
ドットマトリックス /(n) dot matrix/
ドットマトリックス文字発生器 [ドットマトリックスもじはっせいき] /(n) (comp) dot matrix character generator/
ドット印字装置 [ドットいんじそうち] /(n) (comp) dot (matrix) printer/matrix printer/
ドット字形 [ドットじけい] /(n) (comp) dot-style/
ドット積 [ドットせき] /(n) dot product/
ドッド /(n) (comp) DoD/
ドップラー /(n) Doppler (e.g. effect)/
ドップラー効果 [ドップラーこうか] /(n) Doppler effect/
ドツボ /(adj-na) state of profound sadness/
ドデカフォニー /(n) dodecaphony/
ドド /(n) dodo (Raphus cucullatus)/
ドドンパ /(n) Dodompa (a rumba-like Japanese musical genre popular in the 1960s)/
ドナー /(n) donor/(P)/
ドナーカード /(n) donor card/
ドネーション /(n) (comp) donation/
ドバト /(n) (uk) domestic pigeon/feral pigeon/
ドビュッシー /(n) Debussy/
ドブニウム /(n) dubnium (Db)/
ドブネズミ /(n) (1) (uk) brown rat (Rattus norvegicus)/common rat/Norway rat/(2) dark grey (colour, color)/dark gray/(3) secret evil-doer/
ドブラ /(n) dobra (monetary unit of Sao Tome and Principe)/
ドブローイ波 [ドブローイは] /(n) (obsc) de Broglie wave/
ドブロイ波 [ドブロイは] /(n) (obsc) de Broglie wave/
ドブン /(adv,adv-to) (on-mim) plop/splash/
ドブ板 [ドブいた] /(n) boards covering a ditch (drainage, sewage, etc.)/
ドプラーシフト /(n) (comp) doppler shift/
ドプラー周波数 [ドプラーしゅうはすう] /(n) (comp) doppler frequency/
ドベ /(n) lowest ranking/worst (e.g. in a test)/
ドボドボ /(adv-to) (on-mim) with glugging (e.g. of liquid being poured, running down)/
ドボン /(adv,adv-to) (on-mim) plop/splash/
ドミグラスソース /(n) demi-glace (type of brown sauce)/
ドミタス /(n) demi-tasse (fre:)/small cup/
ドミナント /(n) dominant/
ドミニオン /(n) dominion/
ドミニコ修道会 [ドミニコしゅうどうかい] /(n) Dominican Order/Order of Preachers/
ドミノ /(n) domino/(P)/
ドミノ理論 [ドミノりろん] /(n) domino theory/
ドミンゴ /(n) (arch) Sunday (esp. as the sabbath in early Japanese Christianity) (por: domingo)/
ドム /(n) (comp) DOM/
ドメ /(n) (abbr) domestic/
ドメイン /(n) domain/
ドメインネーム /(n) (comp) domain name/
ドメインネームサーバー /(n) (comp) domain name server/DNS/
ドメインネームシステム /(n) (comp) domain name service/DNS/
ドメイン名 [ドメインめい] /(n) domain name/
ドメス /(n) (abbr) domestic/
ドメスチック /(adj-na,n) domestic/
ドメスチックサイエンス /(n) domestic science/
ドメスティック /(n,adj-no) domestic/
ドメスティックバイオレンス /(n) domestic violence/
ドモルガン /(n) de Morgan/
ドモルガンの法則 [ドモルガンのほうそく] /(n) de Morgan's laws/
ドュアルポートＲＡＭ [ドュアルポートラム] /(n) (comp) dual-port RAM/
ドラ /(n) (abbr) mah-jongg tile that doubles the score of any hand (or the rule set that includes these tiles)/
ドライ /(adj-na,n) dry (esp. as in not wet or as in dry humour)/(P)/
ドライアイ /(n) dry eye/
ドライアイス /(n) dry ice/
ドライイースト /(n) dry yeast/
ドライエリア /(n) dry area/
ドライカット /(n) dry cut/
ドライカッパー /(n) (comp) dry copper/
ドライカレー /(n) dry curry/
ドライクリーニング /(n) dry cleaning/
ドライシェービング /(n) dry shaving/
ドライシャンプー /(n) dry shampoo/
ドライジン /(n) dry gin/
ドライスーツ /(n) dry suit/
ドライスーツ・ダイブ /(n) dry suit dive/
ドライスーツダイブ /(n) dry suit dive/
ドライスキン /(n) dry skin/
ドライソーセージ /(n) dried sausage/
ドライバ /(n) (1) driver (of a vehicle)/(2) (abbr) screwdriver/(3) driver (golf)/(4) (comp) driver (device driver)/
ドライバー /(n) (1) driver (of a vehicle)/(2) (abbr) screwdriver/(3) driver (golf)/(4) (comp) driver (device driver)/(P)/
ドライバスタック /(n) (comp) driver stack/
ドライビール /(n) dry beer/
ドライビングアイアン /(n) driving iron/
ドライビングコンテスト /(n) driving contest/
ドライビングスクール /(n) driving school/
ドライビングテクニック /(n) driving technique/
ドライフライ /(n) dry fly/
ドライフラワー /(n) dry flower/(P)/
ドライブ /(n) (1) drive/trip by car/driving/(vs,vi) (2) to (go for a) drive/to go on a trip by car/(vs,vt) (3) to drive (e.g. a car)/(4) to drive (innovation, change, etc.)/to propel/(P)/
ドライブイン /(n) drive in/
ドライブインシアター /(n) drive-in theater/drive-in theatre/
ドライブインバンク /(n) drive-in bank/
ドライブインレストラン /(n) drive-in restaurant/
ドライブウェー /(n) driveway/
ドライブウェイ /(n) driveway/
ドライブウエー /(n) driveway/
ドライブクラブ /(n) (abbr) car rental agency/driving club/
ドライブサーブ /(n) drive serve/
ドライブスルー /(n,adj-f) drive-through (shop, etc.)/
ドライブタイプ /(n) (comp) drive type/
ドライブバイインストール /(n) (comp) drive-by install/
ドライブベイ /(n) (comp) drive bay/storage bay/
ドライブマップ /(n) road map (wasei: drive map)/
ドライブレスワークステーション /(n) (comp) driveless workstation/
ドライブレター /(n) (comp) drive letter/
ドライブ位置 [ドライブいち] /(n) (comp) drive position/
ドライブ文字 [ドライブもじ] /(n) (comp) drive letter/
ドライブ名 [ドライブめい] /(n) (comp) drive letter/drive letter designator/
ドライペイント /(n) dry paint/
ドライポイント /(n) drypoint/
ドライマーティーニ /(ik) (n) dry martini/
ドライマティーニ /(n) dry martini/
ドライミルク /(n) dry milk/
ドライヤー /(n) dryer/(P)/
ドライリハーサル /(n) dry rehearsal/
ドラクエ /(n) (abbr) Dragon Quest (game)/
ドラクマ /(n) drachma/
ドラグーン /(n) dragoon/
ドラコン /(n) (abbr) driving contest (golf)/longest drive contest/
ドラゴン /(n) dragon (as depicted in Western myths)/(P)/
ドラゴンボート /(n) dragon boat/
ドラジェー /(n) dragee (fre:)/
ドラスチック /(adj-na) drastic/(P)/
ドラスティック /(n) drastic/
ドラセナ /(n) dracaena (any palmlike tree of genus Dracaena or Cordyline) (lat:)/
ドラッガブル /(adj-f) (comp) draggable/
ドラッギング /(n) dragging/
ドラッグ /(n) (1) drag/(n,vs) (2) drug (esp. illegal)/(vs) (3) to drag/(4) (comp) to highlight (e.g. by click-dragging a cursor over text)/(P)/
ドラッグ＆ドロップ [ドラッグアンドドロップ] /(n) (comp) drag and drop/
ドラッグアンドドロップ /(n) drag and drop/
ドラッグストア /(n) drugstore/pharmacy/
ドラッグデリバリーシステム /(n) drug delivery system/
ドラッグバント /(n) drag bunt/
ドラッグレース /(n) drag race/
ドラッグロック /(n) (comp) drag lock/
ドラテク /(n) (abbr) driving technique/
ドラド /(n) (1) dorado (South American freshwater catfish, Salminus maxillosus)/(2) dolphinfish/(3) (constellation) Dorado/
ドラビダ語族 [ドラビダごぞく] /(n) Dravidian (family of languages)/
ドラビダ族 [ドラビダぞく] /(n) Dravidian (people)/
ドラフ /(n) draft/draught/
ドラフト /(n) draft/draught/(P)/
ドラフトビール /(n) draft beer/draught beer/
ドラフトモード /(n) (comp) draft mode/
ドラマ /(n) (1) drama/(2) (abbr) TV drama/teledrama/play/(P)/
ドラマー /(n) drummer/(P)/
ドラマＣＤ [ドラマシーディー] /(n) voice dramatization on CD (usu. based on manga, anime, etc.) (wasei: drama CD)/
ドラマチスト /(n) dramatist/
ドラマチック /(adj-na) dramatic/(P)/
ドラマツルギー /(n) dramaturgy (ger: Dramaturgie)/
ドラマティック /(adj-na) dramatic/
ドラミング /(n) drumming/
ドラム /(n) (1) drum/(2) dram/drachm/(P)/
ドラムスキャナ /(n) (comp) drum scanner/
ドラムセット /(n) drum-set/
ドラムソロ /(n) drum solo/
ドラムブレーキ /(n) drum brake/
ドラムプリンタ /(n) (comp) drum printer/
ドラムプロッタ /(n) (comp) drum plotter/
ドラムマシーン /(n) drum machine/
ドラム印字装置 [ドラムいんじそうち] /(n) (comp) drum printer/
ドラム缶 [ドラムかん] /(n) drum/(P)/
ドラム記憶装置 [ドラムきおくそうち] /(n) (comp) drum storage/
ドラム作図装置 [ドラムさくずそうち] /(n) (comp) drum plotter/
ドラム式プロッタ [ドラムしきプロッタ] /(n) (comp) drum plotter/
ドラヴィダ語族 [ドラヴィダごぞく] /(n) Dravidian (family of languages)/
ドラヴィダ族 [ドラヴィダぞく] /(n) Dravidian (people)/
ドラ息子 [ドラむすこ] /(n) lazy son/profligate son/(P)/
ドリー /(n) dolly/(P)/
ドリー /(n) palette surgeonfish (Paracanthurus hepatus, species of Indo-Pacific tang)/palette surgeon/blue surgeonfish/blue tang/
ドリーネ /(n) doline (sinkhole, in karst topography) (ger: Doline)/
ドリーマー /(n) dreamer/
ドリーミー /(adj-na) dreamy/
ドリーミング /(n) dreaming/
ドリーム /(n) dream/(P)/
ドリームランド /(n) dreamland/
ドリア /(n) doria (fre:)/
ドリアン /(n) (1) durian (fruit)/(2) Dorian (mode, column)/(P)/
ドリキャス /(n) (abbr) Dreamcast (game)/
ドリッパー /(n) dripper (e.g. for making coffee)/
ドリップ /(n) (abbr) drip coffee/
ドリップコーヒー /(n) drip coffee/
ドリネ /(n) doline (sinkhole, in karst topography) (ger: Doline)/
ドリフター /(n) drifter/
ドリフト /(n) drift/
ドリフト・ダイブ /(n) drift dive/
ドリフトダイブ /(n) drift dive/
ドリブル /(n,vs) dribble/(P)/
ドリブン /(adj-na) driven/
ドリリングマシン /(n) drilling machine/
ドリル /(n) drill/(P)/
ドリルダウン /(n) (comp) drill down/
ドリンク /(n) drink/(P)/
ドル /(n) (1) dollar/(2) doll/(P)/
ドルイド /(n) druid/
ドルクローズ /(n) dollar clause/
ドルシフト /(n) dollar shift/
ドルショック /(n) dollar shock/
ドルショップ /(n) dollar shop/
ドルチェ /(n,adj-no) dolce (ita:)/
ドルチッシモ /(n) dolcissimo/
ドルトムント /(n) Dortmund/
ドルトンの法則 [ドルトンのほうそく] /(n) Dalton's law/
ドルビー /(n) Dolby/
ドルビーサラウンド /(n) Dolby surround/
ドルビーデジタル /(n) (comp) Dolby Digital/
ドルフィン /(n) dolphin/
ドルフィンキック /(n) dolphin kick/(P)/
ドルペッグ /(n) dollar peg/being pegged to the dollar/
ドルマンスリーブ /(n) dolman sleeve/
ドルメン /(n) dolmen/
ドルユーザンス /(n) dollar usance/
ドル安 [ドルやす] /(n) cheap dollar/
ドル外交 [ドルがいこう] /(n) dollar diplomacy/
ドル記号 [ドルきごう] /(n) dollar sign ($)/
ドル建て [ドルだて] /(n) dollar basis/quotation in dollars/
ドル高 [ドルだか] /(n) strong dollar/
ドル札 [ドルさつ] /(n) dollar bill/
ドル相場 [ドルそうば] /(n) exchange rates of the dollar/
ドル地域 [ドルちいき] /(n) dollar area/
ドル買い [ドルかい] /(n) dollar purchase/(P)/
ドル箱 [ドルばこ] /(n) patron/milch cow/
ドレーピング /(n) draping/
ドレープ /(n) drape/
ドレーン /(n) drain/
ドレーンコック /(n) drain cock/
ドレイン /(n) drain/
ドレス /(n) dress/(P)/
ドレスアップ /(n,vs) dress up/
ドレスウオッチ /(n) dress watch/
ドレスコード /(n) dress code/
ドレスシャツ /(n) dress shirt/
ドレススーツ /(n) dress suit/
ドレスダウン /(vs) to dress down/
ドレスフォーム /(n) dress form/
ドレスメーカー /(n) dressmaker/
ドレスメーキング /(n) dressmaking/
ドレス店 [ドレスてん] /(n) dress store/
ドレッサー /(n) dresser/
ドレッシー /(adj-na,n) dressy/
ドレッシング /(n) dressing/(P)/
ドレッシングルーム /(n) dressing room/
ドレッジャー /(n) dredger/
ドレッドノート /(n) dreadnought/
ドレッドヘア /(n) dreadlocks (wasei: dread hair)/
ドレナージ /(n) drainage/
ドレペ /(n) (abbr) dressing paper/
ドレミファ /(n) solfa syllables (do, re, mi, fa, sol (soh), la and si (ti))/
ドレメ /(n) (abbr) dressmaker/
ドレンチャー /(n) drencher/
ドロー /(n) draw/(P)/
ドローイング /(n) drawing/(P)/
ドローイングソフトウェア /(n) (comp) drawing software/
ドローイングプログラム /(n) (comp) drawing program/
ドローイングペーパー /(n) drawing paper/
ドローイングボード /(n) (comp) drawing board/
ドローストリング /(n) drawstring/
ドローソフト /(n) (comp) draw software/
ドローソフトウェア /(n) (comp) drawing software/
ドローボール /(n) draw ball/
ドローン /(n) drone/
ドローンゲーム /(n) drawn game/
ドローンワーク /(n) drawnwork/
ドロア /(n) drawer/
ドロスト /(n) (col) drawstring/drawstrings/
ドロップ /(n,vs) drop/(P)/
ドロップアウト /(n,vs) dropout/
ドロップアウトカラー /(n) (comp) drop-out colour/
ドロップイン /(n) (comp) drop-in/
ドロップキック /(n) drop-kick/
ドロップケーブル /(n) (comp) drop cable (for workstations)/
ドロップゴール /(n) drop goal/
ドロップショット /(n) drop shot/
ドロップダウンコンボボックス /(n) (comp) drop-down combo box/
ドロップダウンメニュー /(n) (comp) drop down menu/
ドロップダウンリストボックス /(n) (comp) drop-down list box/
ドロップディレクトリ /(n) (comp) drop directory/
ドロップハンドル /(n) drop handle/
ドロップハンマー /(n) drop hammer/
ドロップフォルダ /(n) (comp) drop folder/
ドロドロ /(adj-na,adv,n,adj-no) (on-mim) syrupy/muddled/
ドロノキ /(n) (uk) Japanese poplar (Populus maximowiczii)/
ドロバチ /(n) (uk) potter wasp (any wasp of subfamily Eumeninae)/mason wasp/
ドロマイト /(n) dolomite/
ドロメ /(n) (uk) gluttonous goby (Chasmichthys gulosus)/
ドロヤナギ /(n) (uk) Japanese poplar (Populus maximowiczii)/
ドロン /(n,vs) absconding/taking oneself off/slipping out (home) unnoticed early (e.g. from work, out of parties, etc.)/
ドロンゲーム /(n) drawn game/
ドロンワーク /(n) drawnwork/
ドロ着 [ドロぎ] /(n) clothes sumo wrestler wears when he has his belt on/
ドワーフ /(n) dwarf/
ドワーフ・グラミー /(n) dwarf gourami (Colisa lalia)/
ドワーフ・スネークヘッド /(n) dwarf snakehead (Channa gachua)/
ドワーフグラミー /(n) dwarf gourami (Colisa lalia)/
ドワーフスネークヘッド /(n) dwarf snakehead (Channa gachua)/
ドン /(n) Don (Spanish honorific) (spa:)/(P)/
ドンキー /(n) donkey/
ドンキホーテ型 [ドンキホーテがた] /(n,adj-no) quixotic/
ドングル /(n) (comp) dongle/
ドンコ /(n) (uk) dark sleeper (species of sleeper goby, Odontobutis obscura)/
ドンゴロス /(n) dungarees/
ドンタク /(n) sunday (dut: zondag)/
ドンパチ /(exp) the firing of guns/
ドンピシャリ /(int) exactly right!/dead on/
ドンファン /(n) (1) Don Juan/(2) womanizer/libertine/
ドンマイ /(exp) (abbr) don't mind/never mind/that's OK/
ドン引き [ドンびき] /(n,vs) talking or acting in such a way as to make those around you draw away/
ド演歌 [ドえんか] /(n) quintessential enka/enka with age-old lyrical themes set to a haunting traditional-style melody/
ド肝 [ドぎも] /(n) guts/pluck/nerve/spirit/
ド肝を抜く [ドぎもをぬく] /(exp,v5k) to knock or scare (someone) out of his or her wits/to strike a person dumb/to dumbfound/to take (someone) aback/
ド忘れ [どわすれ] /(n,vs) lapse of memory/forgetting for a moment something one knows well/(something) slipping one's mind/
ナーイ /(n) nay/
ナーサリー /(n) nursery/(P)/
ナーサリーテール /(n) nursery tale/
ナーシングホーム /(n) nursing home/
ナース /(n) nurse/(P)/
ナースコール /(n) nurse call/a patient's call button in a hospital/
ナースステーション /(n) nurse station/
ナースハウンド /(n) nursehound (Scyliorhinus stellaris, species of catshark in the Northeast Atlantic and Mediterranean)/
ナースハウンドシャーク /(n) nursehound (Scyliorhinus stellaris, species of catshark in the Northeast Atlantic and Mediterranean)/
ナースバンク /(n) nurse bank/
ナード /(n) nerd/
ナーバス /(adj-na) nervous/(P)/
ナーリング /(n) knurling/ridged pattern usu. on circular or cylindrical objects/
ナール /(n) knurl/
ナーン /(n) naan (hin:)/nan/flatbread in Central and South Asian cuisine/
ナイーブ /(adj-na,n) naive/innocent/sensitive/uncomplicated/unpretentious/straightforward/(P)/
ナイアガラ /(n) Niagara/(P)/
ナイアシン /(n) niacin/
ナイキストフィルタ /(n) (comp) nyquist filter/
ナイキスト周波数 [ナイキストしゅうはすう] /(n) (comp) Nyquist frequency/
ナイキハーキュリーズ /(n) Nike Hercules/(P)/
ナイジェリア /(n) Nigeria/(P)/
ナイジェリア詐欺 [ナイジェリアさぎ] /(n) Nigerian fraud/419 fraud/
ナイス /(n) nice/(P)/
ナイスガイ /(n) nice guy/
ナイスショット /(n) nice shot/
ナイスチョイス /(exp) nice choice/
ナイスバディ /(n,adj-na) attractive body (wasei: nice body)/nice-looking body/(P)/
ナイスバディー /(n,adj-na) attractive body (wasei: nice body)/nice-looking body/
ナイスボディ /(n,adj-na) attractive body (wasei: nice body)/nice-looking body/
ナイスボディー /(n,adj-na) attractive body (wasei: nice body)/nice-looking body/
ナイスミドル /(n) attractive middle-aged man (wasei: nice middle)/
ナイター /(n) game under lights (e.g. baseball) (wasei: nighter)/night game/(P)/
ナイチチ /(n) (uk) (col) very small breasts/
ナイチンゲール /(n) nightingale/(P)/
ナイティー /(n) nightie/
ナイト /(n) (1) night/(2) knight/(P)/
ナイト・ダイブ /(n) night dive/
ナイトウェア /(n) nightwear/
ナイトウエア /(n) nightwear/
ナイトガウン /(n) nightgown/
ナイトキャップ /(n) nightcap/
ナイトクラス /(n) night class/
ナイトクラブ /(n) nightclub/(P)/
ナイトクリーム /(n) night cream/
ナイトゲーム /(n) night game/
ナイトショー /(n) night show/
ナイトスポット /(n) night spot/
ナイトダイブ /(n) night dive/
ナイトヅレス /(n) nightdress/
ナイトテーブル /(n) night table/
ナイトホスピタル /(n) night hospital/
ナイトメア /(n) nightmare/
ナイトラッチ /(n) night latch/
ナイトロジェンマスタード /(n) nitrogen mustard (chemical compound related to mustard gas, used as a chemical weapon or an anticarcinogen)/
ナイトロックス /(n) nitrox/any nitrogen-oxygen gas mix/
ナイト爵位 [ナイトしゃくい] /(n) knighthood/
ナイネックス /(n) (comp) Nynex (Regional Bell Operating Company - US)/
ナイフ /(n) knife/(P)/
ナイフエッジ /(n) knifeedge/
ナイフフィッシュ /(n) knifefish/
ナイフリッジ /(n) knife ridge/
ナイラッチ /(n) (abbr) nylon latch/
ナイル /(n) (uk) Nile (river)/(P)/
ナイル・アロワナ /(n) African arowana (Heterotis niloticus)/
ナイル・パーチ /(n) Nile perch (Lates niloticus)/African snook/Capitaine/Victoria perch/
ナイル・モニター /(n) Nile monitor (Varanus niloticus, species of carnivorous monitor lizard native to sub-Saharan Africa)/water leguaan/
ナイルアロワナ /(n) African arowana (Heterotis niloticus)/
ナイルオオトカゲ /(n) (uk) Nile monitor (Varanus niloticus, species of carnivorous monitor lizard native to sub-Saharan Africa)/water leguaan/
ナイルグリーン /(n) Nile green/
ナイルパーチ /(n) Nile perch (Lates niloticus)/African snook/Capitaine/Victoria perch/
ナイルモニター /(n) Nile monitor (Varanus niloticus, species of carnivorous monitor lizard native to sub-Saharan Africa)/water leguaan/
ナイルワニ /(n) (uk) Nile crocodile (Crocodylus niloticus)/
ナイル鰐 [ナイルわに] /(n) (uk) Nile crocodile (Crocodylus niloticus)/
ナイロン /(n) nylon/(P)/
ナイロンストッキング /(n) nylons/nylon stockings/
ナイン /(n) (1) nine/(int) (2) no (ger: nein)/(P)/
ナインスパインバットフィッシュ /(n) ninespine batfish (Zabidius novemaculeatus, species of Indo-Pacific spadefish found from Indonesia to northwestern Australia)/
ナウ /(adj-na,n) now/"in"/trendy/(P)/
ナウい /(adj-i) modern (slang from the 1980s)/trendy/hip/in/up-to-date/
ナウナウイズム /(n) now-now-ism/being interested only in the here and now without any regard for the future/
ナウマン象 [ナウマンぞう] /(n) Naumann elephant (extinct)/
ナオン /(n) (col) woman/
ナガイモ /(n) (uk) Chinese yam (Dioscorea batatas)/
ナガコンブ /(n) (uk) Laminaria longissima (species of kelp)/
ナガサキトラザメ /(n) blackspotted catshark (Halaelurus buergeri, found in the Northwest Pacific)/
ナガサキトラザメ属 [ナガサキトラザメぞく] /(n) Halaelurus (genus of catshark in the family Scyliorhinidae)/
ナガシメベニハゼ /(n) Trimma kudoi (species of goby found in Japan)/
ナガスクジラ /(n) (uk) fin whale/finback (whale)/razorback whale (Balaenoptera physalus)/
ナガテングハギモドキ /(n) elongate unicornfish (Naso lopezi, species of western Pacific tang)/
ナガニザ /(n) brown surgeonfish (Acanthurus nigrofuscus, species of Indo-Pacific tang)/
ナガニシ /(n) (uk) perplexed spindle (species of sea snail, Fusinus perplexus)/
ナガハナメジロザメ /(n) night shark (Carcharhinus signatus, species of nocturnally active requiem shark found in the Atlantic Ocean)/
ナガヘラザメ /(n) flathead catshark (Apristurus macrorhynchus, species from Japan and Taiwan)/
ナキウサギ /(n) (uk) pika (rabbit-like animal of family Ochotonidae)/
ナギ /(n) (uk) nagi (species of conifer, Nageia nagi)/
ナギイカダ /(n) (uk) butcher's broom (Ruscus aculeatus)/
ナゲット /(n) nugget/
ナサファッション /(n) NASA fashion/
ナザレ人 [ナザレびと] /(n) Nazarene (native of Nazareth, esp. Jesus Christ)/
ナシュプロ /(n) (abbr) national project/
ナショナリスト /(n) nationalist/
ナショナリズム /(n) nationalism/(P)/
ナショナリゼーション /(n) nationalization/nationalisation/
ナショナリティー /(n) nationality/
ナショナル /(adj-na,n) national/(P)/
ナショナルアイデンティティー /(n) national identity/
ナショナルアトラス /(n) national atlas/
ナショナルアド /(n) national ad/
ナショナルインタレスト /(n) national interest/
ナショナルキャラクター /(n) national character/
ナショナルゲーム /(n) national game/
ナショナルコスチューム /(n) national costume/
ナショナルコンセンサス /(n) national consensus/
ナショナルコンベンション /(n) national convention/
ナショナルステートメント /(n) statement by the government/national statement/
ナショナルスト /(n) nationalist/
ナショナルセキュリティー /(n) national security/
ナショナルセンター /(n) National Center of Trade Unions/
ナショナルチーム /(n) national team/
ナショナルチェーン /(n) national chain/(P)/
ナショナルトラスト /(n) National Trust/
ナショナルバンク /(n) national bank/
ナショナルパーク /(n) national park/
ナショナルブランド /(n) national brand/
ナショナルプレステージ /(n) national prestige/
ナショナルプロジェクト /(n) national project/
ナショナルプロダクト /(n) national product/
ナショナルホリデー /(n) national holiday/
ナショナルミニマム /(n) national minimum/
ナショナルリーグ /(n) National League/(P)/
ナスタースキー /(n) National Standard Race ski/NASTAR ski/
ナスターチウム /(n) nasturtium/
ナスタチウム /(n) nasturtium/
ナスダックジャパン /(n) Nasdaq Japan/
ナスティグラム /(n) (comp) nastygram/
ナス科 [ナスか] /(n) Solanaceae (nightshade family of plants)/
ナス属 [ナスぞく] /(n) Solanum (nightshade genus of plants)/
ナズナ /(n) (uk) shepherd's purse (Capsella bursa-pastoris)/
ナセル /(n) nacelle (fre:)/
ナタールサージャント /(n) Natal sergeant (Abudefduf natalensis)/
ナタールトビー /(n) Natal toby (Canthigaster natalensis)/
ナタデココ /(n) coconut milk (spa: nata de coco)/
ナタネナ /(n) (uk) rape (seed oil plant, Brassica campestris)/
ナチ /(n) (abbr) Nazi (ger:)/Nationalsozialist/(P)/
ナチス /(n) (abbr) Nazi (ger:)/Nationalsozialist/
ナチズム /(n) Nazism/(P)/
ナチュラライズ /(n) naturalize/naturalise/
ナチュラリスティック /(n) naturalistic/
ナチュラリスト /(n) naturalist/(P)/
ナチュラリズム /(n) naturalism/
ナチュラリゼーション /(n) naturalization/naturalisation/
ナチュラル /(adj-na,n) natural/(P)/
ナチュラルウェーブ /(n) natural wave/
ナチュラルカラー /(n) natural color/natural colour/
ナチュラルグリップ /(n) natural grip/
ナチュラルサイエンス /(n) natural science/
ナチュラルセレクション /(n) natural selection/
ナチュラルターン /(n) natural turn/
ナチュラルチーズ /(n) natural cheese/
ナチュラルトーン /(n) natural tone/
ナチュラルヒストリー /(n) natural history/
ナチュラルフーズ /(n) natural foods/
ナチョ /(n) nacho (spa:)/
ナチョス /(n) nachos/
ナチ党 [ナチとう] /(n) Nazi Party (National Socialist German Workers' Party)/
ナックル /(n) (1) knuckle/(2) knuckle ball (baseball)/(P)/
ナックルガード /(n) knuckle guard/
ナックルパート /(n) knuckle part/
ナックルフォア /(n) knuckle four/
ナックルボール /(n) knuckle ball/
ナッシュ /(int) gnash/
ナッシュビル /(n) (comp) Nashville/
ナッシュ均衡 [ナッシュきんこう] /(n) Nash equilibrium/
ナッシング /(n) nothing/(P)/
ナッチョ /(n) nacho (spa:)/
ナッツ /(n) nuts/
ナッツアレルギー /(n) nut allergy/
ナッツメッグ /(n) nutmeg/
ナット /(n) (1) nut (as in nut and bolt)/(2) natural unit of information content/nat/(P)/
ナットオイル /(n) nut oil/
ナットクラッカー /(n) nutcracker/
ナップ /(n) nappe/
ナップサック /(n) knapsack (ger: Knappsack)/rucksack/backpack/
ナップザック /(n) knapsack (ger: Knappsack)/rucksack/backpack/(P)/
ナッペ /(n) nappe/
ナツグミ /(n) (uk) goumi (species of oleaster, Elaeagnus multiflora)/cherry silverberry/
ナツツバキ /(n) (uk) Japanese stewartia (Stewartia pseudocamellia)/
ナツハゼ /(n) (uk) oldham blueberry (Vaccinium oldhamii)/
ナツメグ /(n) nutmeg/
ナデシコ /(n) (1) (uk) pink (Dianthus spp., esp. the fringed pink, Dianthus superbus)/(2) (arch) lovable, caressable girl/
ナトリウム /(n) sodium (Na) (ger: Natrium)/(P)/
ナトリウムアマルガム /(n) sodium amalgam (ger: Natriumamalgam)/
ナトリウムランプ /(n) sodium vapor lamp (vapour) (from Natrium lamp)/
ナトリウム灯 [ナトリウムとう] /(n) sodium-vapor lamp/sodium-vapour lamp/
ナナカマド /(n) (uk) Japanese rowan (species of mountain ash, Sorbus commixta)/
ナナカマド属 [ナナカマドぞく] /(n) Sorbus (genus of trees and shrubs comprising whitebeam, rowan, service tree, and mountain ash)/
ナナフシ /(n) (uk) walking stick (any insect of order Phasmatodea)/walkingstick/stick insect/leaf insect/
ナナホシテントウ /(n) (uk) seven-spot ladybird/seven-spotted ladybug (Coccinella septempunctata)/
ナニワイバラ /(n) Cherokee rose/Rosa laevigata/
ナヌカザメ /(n) (uk) blotchy swell shark (species of cat shark, Cephaloscyllium umbratile)/
ナヌカザメ属 [ナヌカザメぞく] /(n) Cephaloscyllium (genus of catshark known as swellsharks in the family Scyliorhinidae capable of inflating their body)/
ナノ /(n,pref) nano-/10^-9/(P)/
ナノセカンド /(n) nanosecond/billionth of a second/ns/
ナノチューブ /(n) nanotube/
ナノテクノロジー /(n) nanotechnology/
ナノメータ /(n) (comp) nanometer/
ナノメートル /(n) (comp) nanometer/
ナノ秒 [ナノびょう] /(n) (comp) nanosecond (ns)/
ナバホー /(n) Navaho/
ナパーム /(n) napalm/
ナパーム弾 [ナパームだん] /(n) napalm bomb/
ナパバレー /(n) Napa Valley/
ナビ /(n) (abbr) navigator/(car) navigation system/
ナビる /(v5r) (abbr) (sl) to navigate/
ナビゲーション /(n,vs) navigation/
ナビゲーションシステム /(n) navigation system/
ナビゲータ /(n) navigator/
ナビゲーター /(n) navigator/(P)/
ナビゲート /(n,vs) (comp) navigation/
ナビダイヤル /(n) Navi Dial (NTT's Japan-wide call handling service) (wasei:)/0570 service/
ナフサ /(n) naphtha/(P)/
ナフタ /(n) (1) naphtha/(2) North American Free Trade Agreement/NAFTA/
ナフタリン /(n) Naphthalin (ger:)/
ナフタレン /(n) Naphthalin (ger:)/
ナフテン /(n) naphthene/
ナフテン系炭化水素 [ナフテンけいたんかすいそ] /(n) naphthenic hydrocarbon/
ナフトール /(n) naphthol/
ナブスター /(n) Navstar/
ナプキン /(n) (1) (table) napkin/serviette/(2) sanitary napkin/(P)/
ナプルプス /(n) (comp) NAPLPS/
ナベカ /(n) (uk) Omobranchus elegans (species of combtooth blenny)/
ナベヅル /(n) (uk) hooded crane (Grus monacha)/
ナホム書 [ナホムしょ] /(n) Nahum (book of the Bible)/
ナポリ /(n) Naples (ita: Napoli)/(P)/
ナポリを見て死ね [ナポリをみてしね] /(exp) (id) See Naples and then die/
ナポリタン /(adj-no) Neapolitan (fre: napolitain)/
ナポレオン /(n) Napoleon/(P)/
ナポレオン法典 [ナポレオンほうてん] /(n) Napoleonic code/
ナマケグマ /(n) (uk) sloth bear (Melursus ursinus)/
ナマケモノ /(n) (uk) sloth (Sth. Am. tree-dwelling mammal)/
ナマコ /(n) (uk) sea cucumber (Holothuroidea spp.)/
ナマズ /(n) (1) (uk) catfish (esp. the Amur catfish, Silurus asotus)/(2) (arch) earthquake/
ナマズ号 [ナマズごう] /(n) earthquake simulator/
ナミアゲハ /(n) (uk) citrus swallowtail (species of butterfly, Papilio xuthus)/
ナミガイ /(n) (uk) Japanese geoduck (Panopea japonica)/
ナミシュモクザメ /(n) smalleye hammerhead (Sphyrna tudes, species of hammerhead shark common in the western Atlantic)/
ナミダクロハギ /(n) Japan surgeonfish (Acanthurus japonicus, Indo-West Pacific species of tang found from Indonesia to the Philippines and Ryukyu Islands)/
ナミビア /(n) Namibia/(P)/
ナミヘビ科 [ナミヘビか] /(n) Colubridae (family of snakes)/
ナミ穴針 [ナミあなはり] /(n) needle with a normal eye/
ナミ孔針 [ナミあなはり] /(n) needle with a normal eye/
ナムル /(n) namul (Korean dishes consisting of seasoned vegetables)/
ナムロック /(n) (comp) NumLock/
ナメクジウオ /(n) (uk) lancelet/amphioxus/
ナメコ /(n) (uk) nameko (var. of mushroom) (Pholiota nameko)/
ナメタガレイ /(n) (uk) slime flounder (Microstomus achne)/
ナメラハギ /(n) chronixis surgeonfish (Acanthurus chronixis, Western-Pacific species of tang from Kapingamarangi in the Caroline Islands)/
ナユタケ /(n) (1) (uk) (obsc) Simon bamboo (Pleioblastus simonii)/(2) any thin, but flexible bamboo/
ナヨタケ /(n) (1) (uk) (obsc) Simon bamboo (Pleioblastus simonii)/(2) any thin, but flexible bamboo/
ナラシ /(n) running-in/breaking in (e.g. engine, etc.)/accustomizing/
ナラタージュ /(n) narratage/
ナラタケ /(n) (uk) honey fungus (Armillaria mellea)/honey mushroom/
ナラトロジー /(n) narratology/
ナリーグ /(n) (abbr) National League/
ナリシングクリーム /(n) nourishing cream/
ナリッシュ /(n) nourish/
ナリッシュメント /(n) nourishment/
ナリ活用 [ナリかつよう] /(n) classical form of na-adjective inflection formed by contraction of the particle "ni" with the classical verb "ari" ("aru")/
ナル /(n,adj-na) (abbr) (sl) narcissistic/
ナルちゃん /(n) (abbr) (sl) narcissist/
ナルキッソス /(n) Narcissus (gre: narkissos)/
ナルコチン /(n) narcotine/
ナルコユリ /(n) (uk) Solomon's seal/Polygonatum falcatum/
ナルコレプシー /(n) narcolepsy/
ナルシー /(n) (abbr) (sl) narcissist/
ナルシシスト /(n) narcissist/
ナルシシスム /(n) narcissism (fre: narcissisme)/
ナルシシズム /(n) narcissism/
ナルシス /(n) Narcissus (fre: Narcisse)/
ナルシスト /(n) narcissist/
ナルシズム /(n) narcissism/
ナルチシズム /(n) narcissism (fre: narcissisme)/
ナルラー /(n) (abbr) (sl) narcissist/
ナル型 [ナルがた] /(n) (comp) null type/
ナル文字列 [ナルもじれつ] /(n) (comp) null string/
ナレ /(n) (abbr) narration/narrator/
ナレーション /(n) narration/(P)/
ナレーター /(n) narrator/(P)/
ナレッジ /(n) knowledge/
ナレッジエンジニアリング /(n) knowledge engineering/
ナレッジナビゲータ /(n) (comp) knowledge navigator/
ナレッジマネージメント /(n) (comp) knowledge management/
ナローキャスティング /(n) narrowcasting/(P)/
ナローゲージ /(n) narrow gauge/
ナローシレエット /(n) narrow silhouette/
ナロードニキ /(n) narodniki (rus:)/
ナローバンド /(n) (comp) narrowband/
ナロウバンド /(n) narrow-band/
ナワシロイチゴ /(n) (uk) native raspberry (Rubus parvifolius)/
ナワシログミ /(n) (uk) silverthorn (species of oleaster, Elaeagnus pungens)/thorny elaeagnus/thorny olive/
ナワ族 [ナワぞく] /(n,adj-no) Nahuatl (people)/
ナン /(n) naan (hin:)/nan/flatbread in Central and South Asian cuisine/
ナンキンナナカマド /(n) (uk) Sorbus gracilis (species of mountain ash)/
ナンキン条約 [ナンキンじょうやく] /(n) Treaty of Nanking (1842)/
ナンクロ /(n) (abbr) number crossword (var. of kanji crossword puzzle with numbers where squares with the same number contain the same kanji)/
ナンセンス /(adj-na,n) nonsense/(P)/
ナンセンスコメディー /(n) nonsense comedy/
ナンテン /(n) (1) the southern sky/(2) heavenly bamboo/nandina/Nandina domestica/
ナンド /(n) NAND (gate, circuit)/not-and/
ナンド回路 [ナンドかいろ] /(n) NAND circuit/
ナンバー /(n) number/(P)/
ナンバーエイト /(n) number eight/
ナンバークロス /(n) number crossword (var. of kanji crossword puzzle with numbers where squares with the same number contain the same kanji)/
ナンバーディスプレー /(n) (1) number display/(2) caller ID (on telephones)/
ナンバーディスプレイ /(n) (comp) number display/
ナンバープレート /(n) number plate/licence plate/license plate/(P)/
ナンバープレイス /(n) sudoku (wasei: number place)/
ナンバーポータビリティー /(n) (mobile phone) number portability/
ナンバーワン /(n) number one/(P)/
ナンバリング /(n,vs) numbering/numbering machine/
ナンバリングマシーン /(n) numbering machine/
ナンバリングマシン /(n) numbering machine/
ナンパ /(adj-na,n,vs) (1) (uk) flirt/scam/scope/skirt chaser/
ナンフ /(n) nymph/
ナンプラー /(n) nam plaa (Thai)/type of fish sauce used in Thai cooking/
ナンプレ /(n) (abbr) sudoku (wasei: number place)/
ナンベイウズラ科 [ナンベイウズラか] /(n) Odontophoridae (New World quail family of birds)/
ナンヨウツバメウオ /(n) orbicular batfish (Platax orbicularis, species of Indo-Pacific spadefish)/
ナンヨウハギ /(n) palette surgeonfish (Paracanthurus hepatus, species of Indo-Pacific tang)/palette surgeon/blue surgeonfish/blue tang/
ナンヨウハギ属 [ナンヨウハギぞく] /(n) Paracanthurus (genus in the family Acanthuridae whose sole member is the palette surgeonfish)/
ナンヨウミドリハゼ /(n) green bubble goby (Eviota prasina)/pepperfin pygmy goby/
ナ形容詞 [なけいようし] /(n) na-adjective/adjective ending in "na"/
ナ行変格活用 [ナぎょうへんかくかつよう] /(n) (ling) irregular conjugation (inflection, declension) of verbs ending in "nu" (in written Japanese)/
ナ変 [ナへん] /(n) (abbr) irregular conjugation (inflection, declension) of verbs ending in "nu" (in written Japanese)/
ニ /(n) 4th in a sequence denoted by the iroha system/4th note in the diatonic scale (used in key names, etc.)/
ニー /(n) knee/(P)/
ニーエイチシー /(n) (comp) 2HC/
ニーエイチディー /(n) (comp) 2HD/
ニーサポーター /(n) knee supporter/
ニーズ /(n) needs/(P)/
ニーソ /(n) (abbr) knee-high socks (wasei: knee-socks)/
ニーソックス /(n) knee-high socks (wasei: knee-socks)/
ニーダ /(n) kneader/
ニーディーディー /(n) (comp) 2DD/
ニート /(adj-na) neat/
ニード /(n) need/
ニードル /(n) needle/
ニードルポイント /(n) needlepoint/
ニードロップ /(n) knee drop/
ニーハオ /(int) hello (chi: nihao)/
ニーハチロク /(n) (comp) 286/
ニーパン /(n) (abbr) needle-punched nonwoven fabric/
ニーパンツ /(n) knee pants/knee-length pants/
ニーモニック /(n) (comp) mnemonic/
ニーレングス /(n) knee-length/
ニアービデオオンデマンド /(n) (comp) near video on demand/
ニアピン /(n) (1) near pin (golf)/closest to pin (flagstick)/(2) close (closest) answer or figure/
ニアミス /(n) near-miss/(P)/
ニオイスミレ /(n) (uk) sweet violet (Viola odorata)/
ニオイネズミ /(n) (uk) muskrat (Ondatra zibethicus)/
ニオビウム /(n) niobium/
ニオブ /(n) niobium (Nb) (ger: Niob)/
ニカの乱 [ニカのらん] /(n) the Nika riots which took place in 532 in Constantinople/
ニカイア公会議 [ニカイアこうかいぎ] /(n) Council of Nicaea/
ニカイア信条 [ニカイアしんじょう] /(n) Nicene Creed/
ニカメイガ /(n) (uk) striped stem borer (species of moth, Chilo suppressalis)/
ニカラグア /(n) Nicaragua/(P)/
ニカラグワ /(n) Nicaragua/
ニガー /(n) (sl) (vulg) (X) nigger/
ニガウリ /(n) bitter melon (Momordica charantia)/
ニガナ /(n) (uk) Ixeris dentata (species of the daisy family)/
ニギス /(n) (uk) deepsea smelt (Glossanodon semifasciatus)/
ニクズク /(n) (uk) common nutmeg (tree) (Myristica fragrans)/
ニクソンショック /(n) Nixon shock/
ニクバエ /(n) (uk) flesh fly (any fly of family Sarcophagidae)/
ニクロム /(n,adj-no) Nichrome/
ニクロム線 [ニクロムせん] /(n) nichrome wire/
ニグリト /(n) Negrito/
ニグリロ /(n) Negrillo (spa:)/
ニグロ /(n) (col) negro/
ニグロスピリチュアル /(n) Negro spiritual/
ニケツ /(n) (sl) sharing the same seat on a bicycle, scooter, etc./
ニコチン /(n) nicotine/(P)/
ニコチンアミドアデニンジヌクレオチド /(n) nicotinamide adenine dinucleotide/
ニコチンアミドアデニンジヌクレオチドホスフェート /(n) nicotinamide adenine dinucleotidephosphate (NAD)/
ニコチンガム /(n) nicotine gum/
ニコチンキャンディー /(n) nicotine lollipop/
ニコチン酸 [ニコチンさん] /(n) nicotinic acid/
ニコチン中毒 [ニコチンちゅうどく] /(n) nicotinism/nicotine addiction/nicotine poisoning/
ニコニコ /(n,vs,adv) (on-mim) smile/(P)/
ニコヨン /(n) day laborer (slang term)/
ニコラ /(n) (comp) NICOLA/
ニコラス /(n) Nicholas/(P)/
ニコルプリズム /(n) Nicol prism/
ニコ中 [ニコちゅう] /(n) (abbr) nicotinism/
ニゴイ /(n) (uk) Hemibarbus barbus (species of cyprinid)/
ニゴロブナ /(n) (uk) Carassius auratus grandoculis (subspecies of goldfish)/
ニザダイ /(n) (uk) scalpel sawtail (Prionurus scalprum, species of tang found from Japan to Taiwan)/
ニザダイ亜目 [ニザダイあもく] /(n) Acanthuroidei (suborder of the order Perciformes, containing the families Acanthuridae, Ephippidae, Luvaridae, Scatophagidae, Siganidae, and Zanclidae)/
ニザダイ科 [ニザダイか] /(n) Acanthuridae (family of marine tropical surgeonfishes, tangs, and unicornfishes including about 80 species in 6 genera)/
ニザダイ属 [ニザダイぞく] /(n) Prionurus (genus of surgeonfish and sawtail tangs in the family Acanthuridae)/
ニシ /(n) (uk) small spiral-shelled snail/
ニシイワツバメ /(n) (uk) common house martin (species of songbird, Delichon urbica)/
ニシオオノスリ /(n) (uk) long-legged buzzard (Buteo rufinus)/
ニシキウズガイ /(n) (uk) maculated top shell (Trochus maculatus)/
ニシキギ /(n) (uk) winged spindle-tree (Euonymus alatus)/burning bush/winged euonymus/
ニシキギ科 [ニシキギか] /(n) Celastraceae (plant family)/bittersweet/
ニシキギ目 [ニシキギもく] /(n) the order Celastrales (plant)/
ニシキヘビ /(n) (uk) python/rock snake/
ニシキベラ /(n) Thalassoma cupido (commercially cultured type of wrasse in Japan)/
ニシキベラ属 [ニシキベラぞく] /(n) Thalassoma (genus of brightly colored fish of the wrasse family Labridae)/
ニシコクマルガラス /(n) (uk) Eurasian jackdaw (Corvus monedula)/
ニシツノメドリ /(n) (uk) Atlantic puffin (Fratercula arctica)/
ニシテングギンザメ /(n) straightnose rabbitfish (Rhinochimaera atlantica)/Atlantic knife-nose chimaera/spearnose chimaera/
ニシネズミザメ /(n) porbeagle (Lamna nasus, species of mackerel shark)/
ニシブッポウソウ /(n) (uk) European roller (species of bird, Coracias garrulus)/
ニシモウカサメ /(n) porbeagle (Lamna nasus, species of mackerel shark)/
ニシレモンザメ /(n) lemon shark (Negaprion brevirostris, species of requiem shark)/
ニシン /(n) (uk) Pacific herring (Clupea pallasii)/
ニジェールコルドファン語族 [ニジェールコルドファンごぞく] /(n) Niger-Kordofan (family of languages)/
ニジェールコンゴ語族 [ニジェールコンゴごぞく] /(n) Niger-Congo (family of languages)/
ニジギンザメ /(n) Hydrolagus eidolon (species of deep water Japanese cartilaginous fish)/
ニジハギ /(n) lined surgeonfish (Acanthurus lineatus, Indo-Pacific species of tang)/clown surgeonfish/blue banded surgeonfish/blue linned surgeonfish/striped surgeonfish/
ニジマス /(n) (uk) rainbow trout (Salmo gairdneri)/
ニジュウヤホシテントウ /(n) (uk) 28-spotted ladybird (Epilachna vigintioctopunctata)/
ニジョウサバ /(n) (uk) double-lined mackerel (Grammatorcynus bilineatus)/
ニス /(n) (abbr) varnish/
ニセアカシア /(n) black locust/robinia pseudoacacia/
ニセカンランハギ /(n) eyestripe surgeonfish (Acanthurus dussumieri, species of Indo-Pacific tang)/palani/Dussumier's surgeonfish/
ニセクロスジイソハゼ /(n) comet pygmy goby (Eviota cometa)/
ニセクロスジギンポ /(n) (uk) sabre-toothed blenny (Aspidontus taeniatus)/
ニセフウライチョウチョウウオ /(n) lined butterflyfish (Chaetodon lineolatus)/
ニセ物 [ニセもの] /(n,adj-no) spurious article/forgery/counterfeit/imitation/sham/
ニタニタ /(adv,n,vs) (on-mim) broad grin/
ニタリ /(n) pelagic thresher (species of thresher shark, Alopias pelagicus)/
ニタリ貝 [ニタリがい] /(n) (1) (sl) Korean mussel (Mytilus coruscus)/(2) silicone receptacle used for male masturbation/
ニチニチソウ /(n) (uk) Madagascar periwinkle (Catharanthus roseus)/
ニッカ /(n) (abbr) knickerbockers/
ニッカー /(n) (abbr) knickerbockers/
ニッカーズ /(n) knickers/(P)/
ニッカーズボン /(n) (abbr) knickerbockers/
ニッカーボッカー /(n) knickerbockers/
ニッカーボッカーズ /(n) knickerbockers/
ニッカズボン /(n) (abbr) knickerbockers/
ニッカド /(n) (comp) nickel cadmium (NiCad)/
ニッカドバッテリ /(n) (comp) nickel-cadmium battery/
ニッカド電池 [ニッカドでんち] /(n) (comp) NiCad battery/
ニック /(n) (1) nick/(2) (comp) NIC/(P)/
ニックネーム /(n) nickname/(P)/
ニッケル /(n,adj-no) nickel (Ni)/(P)/
ニッケルカドミウム /(n) nickel-cadmium/
ニッケルカドミウムバッテリ /(n) (comp) nickel-cadmium battery/
ニッケルカドミウム電池 [ニッケルカドミウムでんち] /(n) nickel-cadmium battery/
ニッケルクロム鋼 [ニッケルクロムこう] /(n) nickel-chromium steel/
ニッケル鋼 [ニッケルこう] /(n) nickel steel/
ニッケル水素 [ニッケルすいそ] /(n) (comp) nickel metal hydride (NiMH)/
ニッケル水素バッテリ [ニッケルすいそバッテリ] /(n) (comp) nickel metal hydride battery/
ニッケル水素電池 [ニッケルすいそでんち] /(n) (comp) Nickel-Metal Hydride battery (NiMH battery)/
ニッケル銅 [ニッケルどう] /(n) cupronickel (alloy of approximately 80% copper and 20% nickel)/
ニッチ /(n,adj-na) niche/
ニッチ市場 [ニッチしじょう] /(n) niche market/
ニッティング /(n) knitting/
ニット /(n) (1) knit/knitted fabric/knitted garments/(2) nit (unit of surface brightness equal to 1 candela per square meter)/(P)/
ニットウエア /(n) knitwear/
ニットキャップ /(n) knit cap/woollen hat/
ニット帽 [ニットぼう] /(n) knitted hat/woollen hat/
ニッパー /(n) nippers/
ニッパ椰子 [ニッパやし] /(n) nipa palm/
ニトリル /(n) nitrile/
ニトロ /(n,pref) (1) nitro-/(2) (abbr) nitroglycerin/
ニトログリコール中毒 [ニトログリコールちゅうどく] /(n) nitroglycol poisoning/
ニトログリセリン /(n) nitroglycerin/
ニトロセルロース /(n) nitrocellulose/
ニトロソアミン /(n) nitrosamine/
ニトロソ基 [ニトロソき] /(n) nitroso group/
ニトロベンゼン /(n) nitrobenzene/
ニトロ化 [ニトロか] /(n,vs) nitration/
ニトロ化合物 [ニトロかごうぶつ] /(n) nitro compound/
ニトロ基 [ニトロき] /(n) nitro group/
ニナリッチ /(n) Nina Ricci (brand of cosmetics)/
ニヒリスティック /(adj-na,n) nihilistic/
ニヒリスト /(n) nihilist/
ニヒリズム /(n) nihilism/
ニヒル /(adj-na,n) (abbr) nihilistic (from nihil) (lat:)/nihility/(P)/
ニフティーサーブ /(n) (comp) NIFTY-serve/
ニフティサーブ /(n) (comp) Niftyserve/
ニブヒ /(n) Nivkh (ethnic minority group of Russia, living near the Amur river and on Sakhalin)/
ニブフ /(n) Nivkh (ethnic minority group of Russia, living near the Amur river and on Sakhalin)/
ニベ /(n) (1) (uk) drum/croaker (any fish of the family Sciaenidae)/(2) (uk) Nibe croaker (Nibea mitsukurii)/
ニホンアカガエル /(n) (uk) Japanese brown frog (Rana japonica)/
ニホンアナグマ /(n) (uk) Japanese badger (Meles meles anakuma)/
ニホンイタチ /(n) (uk) Japanese weasel (Mustela itatsi)/
ニホンイモリ /(n) (uk) Japanese fire belly newt (Cynops pyrrhogaster)/
ニホンウズラ /(n) (uk) Japanese quail (Coturnix japonica)/
ニホンオオカミ /(n) (uk) Japanese wolf (Canis lupus hodophilax, extinct)/
ニホンカモシカ /(n) (uk) Japanese serow/Capricornis crispus/
ニホントウキ /(n) (uk) (obsc) dong dang gui (aromatic herb similar to dong quai, Angelica acutiloba)/
ニホンヘラザメ /(n) Japanese catshark (Apristurus japonicus, found in Chiba Prefecture and the East China Sea)/
ニホンマムシ /(n) (uk) Japanese copperhead (Gloydius blomhoffii)/mamushi pit-viper/
ニホンヤモリザメ /(n) broadfin sawtail catshark (Galeus nipponensis, found in China, Japan, and the Kyushu-Palau Ridge)/
ニホンリス /(n) (uk) Japanese squirrel (Sciurus lis)/
ニムダ /(n) (comp) NIMDA/
ニモニック /(n) mnemonic/
ニヤつく /(v5k) to smirk/to grin broadly/
ニヤニヤ /(adv,n,vs) (on-mim) grinning/broad grin/smirk/(P)/
ニヤリ /(adv,adv-to) (on-mim) broadly grinning/
ニュー /(n) (1) new/(2) newly purchased item/(P)/
ニューアカ /(n) (abbr) new academism/
ニューアカデミズム /(n) new academism/
ニューアダルト /(n) person recently turned 20 (wasei: new adult)/
ニューウェーブ /(n) new wave/(P)/
ニューウェーヴ /(n) new wave/
ニューウエーブ /(n) new wave/
ニューエイジ /(n) new age/
ニューエコノミー /(n) New Economy/
ニューオープン /(n) newly opened (e.g. of shop) (wasei: new open)/
ニューカッスル病ウイルス [ニューカッスルびょうウイルス] /(n) Newcastle disease virus/NDV/
ニューカマー /(n) newcomer/
ニューキャッスル /(n) Newcastle/
ニューギニア /(n) New Guinea/
ニューク /(n) nuke/
ニュークリア /(adj-f) nuclear/
ニュークリア・ファミリー /(n) (obsc) nuclear family/
ニュークリアファミリー /(n) (obsc) nuclear family/
ニュークレア /(adj-f) nuclear/
ニューコアラ /(n) (comp) NewCOARA/
ニューサウスウェールズ /(n) New South Wales/(P)/
ニューサンス /(n) nuisance/
ニューシティー /(n) new city/
ニューシネマ /(n) new cinema/
ニュージーランド /(n) New Zealand/
ニュージーランドナヌカザメ /(n) draughtsboard shark (species of catshark endemic to New Zealand, Cephaloscyllium isabellum)/
ニュージーランドホシザメ /(n) spotted estuary smooth-hound (Mustelus lenticulatus, species of houndshark found around southern Australia and New Zealand)/
ニュージーランドミナミアユ /(n) New Zealand grayling (Prototroctes oxyrhynchus)/
ニュージェネレーション /(n) (comp) new generation/
ニュージャージー /(n) New Jersey/(P)/
ニュージャーナリズム /(n) new journalism/
ニュージャズ /(n) new jazz/
ニュース /(n) news/(P)/
ニュースアナリスト /(n) news analyst/
ニュースウォッチャー /(n) (comp) NewsWatcher/
ニュースエージェント /(n) (comp) NewsAgent/
ニュースオンデマンド /(n) (comp) news on demand/
ニュースキャスター /(n) newscaster/
ニュースクライアント /(n) (comp) news client (software)/
ニュースグループ /(n) (comp) NG/news group/
ニュースサーバー /(n) news-server/
ニュースサイト /(n) news site/
ニュースシステム /(n) news-system/
ニュースショー /(n) news show/
ニューススタンド /(n) newsstand/NewsStand Inc./
ニュースステーション /(n) news-station/
ニューススプール /(n) (comp) news-spool/
ニュースソース /(n) news source/(P)/
ニュースタイル /(n) new style/
ニュースチャンネル /(n) news channel/
ニュースバリュー /(n) news value/
ニュースフィード /(n) (comp) news-feed/
ニュースフループ /(n) (comp) newsfroup/
ニュースペーパー /(n) newspaper/
ニュースポーツ /(n) new sports/
ニュースマガジン /(n) newsmagazine/
ニュースリーダ /(n) (comp) newsreader/
ニュースリーダー /(n) news-reader/
ニュースルーム /(n) newsroom/
ニュースレター /(n) newsletter/(P)/
ニュース映画 [ニュースえいが] /(n) newsreel/
ニュース記事 [ニュースきじ] /(n) (comp) news article/
ニュース媒体 [ニュースばいたい] /(n) news media/
ニュース番組 [ニュースばんぐみ] /(n) news programme/news program/
ニューズ /(n) news/
ニューズウィーク /(n) Newsweek/(P)/
ニューズレター /(n) (comp) newsletter/
ニューセラミックス /(n) new ceramics/
ニューセンチュリー /(n) new century/
ニュータイプ /(n) new type/
ニュータウン /(n) new town/(P)/
ニューディール /(n) New Deal/
ニューデリーメタロベータラクタマーゼ /(n) New Delhi metallo-beta-lactamase/NDM-1/
ニュートラ /(n) (abbr) new traditional/(P)/
ニュートラッド /(n) (abbr) new traditional/
ニュートラディッショナル /(n) new traditional/
ニュートラリズム /(n) neutralism/
ニュートラリティー /(n) neutrality/
ニュートラル /(adj-na) neutral/
ニュートラルゾーン /(n) neutral zone/
ニュートリノ /(n) neutrino/
ニュートリノ振動 [ニュートリノしんどう] /(n) neutrino oscillation/
ニュートリノ星 [ニュートリノぼし] /(n) neutrino star/
ニュートリノ天文学 [ニュートリノてんもんがく] /(n) neutrino astronomy/
ニュートロン /(n) neutron/
ニュートン /(n) (1) newton (N) (SI unit of force)/(2) Newton (Sir Isaac)/(P)/
ニュートン環 [ニュートンかん] /(n) Newton's rings (interference pattern seen when a convex lens is placed on another surface)/
ニュートン式望遠鏡 [ニュートンしきぼうえんきょう] /(n) Newtonian telescope (having a secondary mirror at 45 degrees, reflecting light into the eyepiece)/
ニュートン力学 [ニュートンりきがく] /(n) Newtonian mechanics/
ニューネッシー /(n) "New Nessie" (unidentified sea creature discovered by Japanese trawler Zuiyo Maru in 1977)/
ニューハーフ /(n) transsexual or transvestite performer (wasei: new half)/
ニューハンプシャー /(n) New Hampshire/(P)/
ニューバージョン /(n) (comp) new version/
ニュービー /(n) (comp) newbie/
ニュービジネス /(n) new business/
ニューファウンドランド /(n) Newfoundland/
ニューファウンドランドヒラガシラ /(n) Atlantic sharpnose shark (Rhizoprionodon terraenovae, species of requiem shark found in the northwestern Atlantic)/
ニューファッション /(n) new fashion/
ニューファミリー /(n) nuclear family in the postwar generation (wasei: new family)/
ニューフェース /(n) new face/(P)/
ニューフロンティア /(n) new frontier/
ニューブランズウィック /(n) New Brunswick/
ニューブリッジ /(n) (comp) Newbridge/
ニュープアー /(n) new poor/
ニュープリント /(n) new print (e.g. film)/new edition/
ニューベジネス /(n) new business/
ニューペインティング /(n) new painting/
ニューボイス /(n) new voice/
ニューマチック /(n) pneumatic/
ニューマチックハンマー /(n) pneumatic hammer/
ニューミュージック /(n) new music/
ニューメキシコ /(n) New Mexico/(P)/
ニューメディア /(n) new media/(P)/
ニューメディアコミュニティー /(n) new media community/
ニューモード /(n) new mode/
ニューモデル /(n) new model/
ニューモノウルトラマイクロスコーピックシリコヴォルケーノコニオシス /(n) pneumonoultramicroscopicsilicovolcanoconiosis/pneumonoultramicroscopicsilicovolcanokoniosis/
ニューヨーカー /(n) The New Yorker/(P)/
ニューヨーク /(n) New York/(P)/
ニューヨークタイムズ /(n) The New York Times/
ニューヨーク州 [ニューヨークしゅう] /(n) New York State/(P)/
ニューヨーク証券取引所 [ニューヨークしょうけんとりひきじょ] /(n) New York Stock Exchange/NYSE/
ニューライト /(n) New Right/
ニューライン /(n) (comp) newline (character)/
ニューラル /(n) neural/
ニューラルネット /(n) neural net/
ニューラルネットワーク /(n) (comp) neural network/
ニューリーダー /(n) new leader/(P)/
ニューリアリズム /(n) new realism/
ニュールック /(n) new look/
ニューレイヤーズルック /(n) new layers look/
ニューレフト /(n) new left/
ニューロ /(n) neuro-/(P)/
ニューローラー /(n) new roller/
ニューロコンピュータ /(n) (comp) neuro-computer/
ニューロコンピューター /(n) (comp) neuro-computer/
ニューロコンピューティング /(n) (comp) neuro-computing/
ニューロパチー /(n) neuropathy/
ニューロン /(n) neuron/(P)/
ニュアンス /(n) nuance (fre:)/(P)/
ニュクリアス /(n) (comp) nucleus/
ニュルンベルク裁判 [ニュルンベルクさいばん] /(n) Nuremberg Trials/
ニョッキ /(n) gnocchi (ita:)/
ニラ /(n) (uk) Chinese chive/garlic chive (Allium tuberosum)/
ニライカナイ /(n) paradise across the ocean (folk belief of Okinawa & Amami)/
ニルバーナ /(n) nirvana (san:)/
ニルバーナ原則 [ニルバーナげんそく] /(n) (obsc) Nirvana principle/
ニルヴァーナ /(n) nirvana (san:)/
ニレ /(n) (uk) elm tree (esp. the Japanese elm, Ulmus davidiana var. japonica)/
ニレ科 [ニレか] /(n) Ulmaceae (plant family)/elm/
ニワゼキショウ /(n) (uk) blue-eyed grass (Sisyrinchium rosulatum)/
ニワヤナギ /(n) (uk) knotgrass (Polygonum aviculare)/
ニンギョウベニハゼ /(n) Trimma sheppardi (species of goby found in the Indo-West Pacific)/
ニンニク絞り器 [ニンニクしぼりき] /(n) garlic press/
ニンバスグレー /(n) nimbus gray/nimbus grey/
ニンヒドリン反応 [ニンヒドリンはんのう] /(n) ninhydrin reaction/
ニンフ /(n) nymph/
ニンフェット /(n) nymphet/
ニンフォマニア /(n) nymphomania/
ニンベン師 [ニンベンし] /(n) (obs) (sl) forger/
ニヴヒ /(n) Nivkh (ethnic minority group of Russia, living near the Amur river and on Sakhalin)/
ニヴフ /(n) Nivkh (ethnic minority group of Russia, living near the Amur river and on Sakhalin)/
ニ短調 [ニたんちょう] /(n) D minor/
ニ調 [ニちょう] /(n) key of D (music)/
ニ長調 [ニちょうちょう] /(n) D major/
ヌー /(n) gnu/
ヌークリア /(adj-f) nuclear/
ヌークレア /(adj-f) nuclear/
ヌース /(n) nous (gre:)/
ヌーディー /(n) nudie/(P)/
ヌーディスト /(n) nudist/
ヌーディズム /(n) nudism/
ヌートリア /(n) nutria (Myocastor coypus)/coypu/
ヌード /(n) nude/(P)/
ヌードショー /(n) striptease (wasei: nude show)/
ヌードスタジオ /(n) nude studio/
ヌードマウス /(n) nude mouse/
ヌードモデル /(n) nude model/
ヌードル /(n) (1) noodle/(2) (abbr) (sl) nude idol/(P)/
ヌード写真 [ヌードしゃしん] /(n) nude photo/
ヌーバス /(n) (comp) NuBus/
ヌーベル /(n) nouvelle (fre:)/(P)/
ヌーベルバーグ /(n) New Wave (esp. in cinema) (fre: Nouvelle Vague)/
ヌーボー /(n,adj-t,adv-to) nouveau/(P)/
ヌーボーロマン /(n) nouveau roman (fre:)/
ヌーンブライト /(n) noon bright/
ヌーヴェルキュイジーヌ /(n) nouvelle cuisine (fre:)/
ヌーヴェルヴァーグ /(n) New Wave (esp. in cinema) (fre: Nouvelle Vague)/
ヌーヴォーロマン /(n) nouveau roman/
ヌエ的 [ヌエてき] /(adj-na) mysterious/strange/sphinx-like/enigmatic/noncommital/
ヌカカ /(n) (uk) biting midge/no-see-um (any insect of family Ceratopogonidae)/
ヌガー /(n) nougat (fre:)/
ヌクレアーゼ /(n) nuclease/
ヌクレオシド /(n) nucleoside/
ヌクレオソーム /(n) nucleosome/
ヌクレオチド /(n) nucleotide/
ヌタウナギ /(n) (uk) inshore hagfish (Eptatretus burgeri, species found from Japan to Taiwan)/
ヌタウナギ属 [ヌタウナギぞく] /(n) Eptatretus (genus of hagfish in the family Myxinidae)/
ヌテッラ /(n) Nutella/
ヌテラ /(n) Nutella/
ヌドマウス /(n) nude mouse/
ヌバック /(n) nubuck (type of leather)/
ヌマスギ /(n) bald Cypress (Taxodium distichum)/
ヌマトラノオ /(n) (uk) Lysimachia fortunei (species of loosestrife)/
ヌマムツ /(n) (uk) Nipponocypris sieboldii (species of cyprinid)/
ヌメ革 [ヌメかわ] /(n) cow hide tanned using tannin/
ヌル /(n,adj-no) null/
ヌルデ /(n) Japanese sumac (Rhus javanica)/
ヌルバイト /(n) (comp) null byte/
ヌルパタン /(n) (comp) null pattern/
ヌルフィールド /(n) (comp) null field/
ヌルポインター /(n) (comp) null pointer/
ヌルモデム /(n) (comp) null modem/
ヌルリスト /(n) (comp) null list/
ヌル型 [ヌルがた] /(n) (comp) null type/
ヌル値 [ヌルち] /(n) (comp) null value/
ヌル文字 [ヌルもじ] /(n) (comp) null character/
ヌル文字列 [ヌルもじれつ] /(n) (comp) null character string/
ヌンチャク /(n) (MA) (uk) (rkb:) nunchaku (two linked fighting sticks)/nunchak/
ヌ行 [ヌぎょう] /(n) classification for Japanese verb with the dictionary form ending in "nu"/"na" column or row of the kana syllabary/
ネーション /(n) nation/
ネーチャー /(n) nature/(P)/
ネーチャートレール /(n) nature trail/
ネーティビズム /(n) nativism/
ネーティブ /(adj-na,n) (1) native/(2) (abbr) native speaker (of English)/
ネーティブスピーカー /(n) native speaker/
ネーティブファイルフォーマット /(n) (comp) native file format/
ネーデルランド /(n) The Netherlands/Holland/
ネービー /(n) navy/
ネービーブルー /(n) navy blue/
ネービールック /(n) navy look/
ネーブル /(n) navel/
ネーブルオレンジ /(n) navel orange/
ネーミング /(n) naming/(P)/
ネーム /(n) (1) name/(2) storyboard (esp. of manga and doujinshi)/(P)/
ネームサーバ /(n) (comp) name-server/
ネームサーバー /(n) (comp) name-server/
ネームサービス /(n) (comp) name service/
ネームスペース /(n) name-space/
ネームドパイプ /(n) (comp) named pipe/
ネームバリュー /(n) established reputation (wasei: name value)/
ネームプレート /(n) nameplate/
ネームヴァリュー /(n) name-value/
ネール /(n) nail/(P)/
ネールエナメル /(n) nail enamel/
ネールファイル /(n) nail file/
ネールポリッシュ /(n) nail polish/
ネアカ /(n) (1) innate cheerfulness/(2) innately cheerful person/happy-go-lucky person/natural optimist/
ネアンデルタール /(n) Neanderthal/(P)/
ネアンデルタール人 [ネアンデルタールじん] /(n) Neanderthal man/
ネイキッド /(n) naked/(P)/
ネイキッドバイク /(n) style of motorcycle having the engine exposed and visible/
ネイグウェア /(n) (comp) nagware/
ネイチャー /(n) nature/(P)/
ネイチャートレイル /(n) nature trail/
ネイティブ /(adj-na,n) (1) native/(2) (abbr) native speaker (of English)/
ネイティブアメリカン /(n) native American/
ネイティブコンパイラ /(n) (comp) native compiler/
ネイティブサポート /(n) (comp) native support/
ネイティブスピーカー /(n) native speaker/
ネイティブフォーマット /(n) (comp) native format/
ネイティブモード /(n) (comp) native mode/
ネイティブ対応 [ネイティブたいおう] /(n) (comp) native support/
ネイティヴ /(adj-na,n) (1) native/(2) (abbr) native speaker (of English)/
ネイビー /(n) navy/(P)/
ネイビールック /(n) navy look/
ネイブル /(n) navel/
ネイリスト /(n) nailist/someone whose occupation is to cut any type of nail, apply artificial nails (or "nail art") and care for nails/
ネイル /(n) nail/(P)/
ネイルアート /(n) nail art/
ネイルエナメル /(n) nail enamel/
ネイルファイル /(n) nail file/
ネイルポリッシュ /(n) nail polish/
ネオ /(n,pref) neo/(P)/
ネオイデアリズム /(n) neoidealism/
ネオインプレッショニズム /(n) neoimpressionism/
ネオクラシシズム /(n) neoclassicism/
ネオコロニアリズム /(n) neocolonialism/
ネオコン /(n,adj-no) (abbr) neo-conservative/
ネオコンサバティブ /(n) neo-conservative/
ネオシュガー /(n) neosugar/
ネオジム /(n) neodymium (Nd) (ger: Neodym)/
ネオダーウィニズム /(n) neo-Darwinism/
ネオダダ /(n) neo dada/
ネオテニー /(n) neoteny/
ネオトリゴニア /(n) Neotrigonia (genus of triangular clams) (lat:)/
ネオナチ /(n) Neo-Nazi/(P)/
ネオファシズム /(n) neo-fascism/
ネオフィリア /(n) neophilia/
ネオプレン /(n) neoprene/
ネオポリス /(n) neopolis/
ネオマーカンティリズム /(n) neomercantilism/
ネオマイシン /(n) neomycin/
ネオラマルキズム /(n) neo-Lamarckism/
ネオリアリズム /(n) neorealism/
ネオリバー /(n) Neorever (coating remover solvent)/
ネオリバラル /(n) neoliberal/
ネオレジスト /(n) neologist/
ネオレジズム /(n) neologism/
ネオロジー /(n) neology/
ネオロジズム /(n) neologism/
ネオロマンチシズム /(n) neoromanticism/
ネオン /(n) neon (Ne)/(P)/
ネオンサイン /(n) neon sign/
ネオンテトラ /(n) neon tetra (Paracheirodon innesi)/
ネオンランプ /(n) neon lamp/
ネオン管 [ネオンかん] /(n) neon tube/
ネカフェ /(n) (abbr) Internet cafe/net cafe/
ネカフェ難民 [ネカフェなんみん] /(n) (abbr) net cafe refugee/homeless person living in an Internet cafe/
ネカマ /(n) (sl) someone who plays (portrays themselves as) the opposite sex online (formed from netto and okama)/
ネガ /(n) (photographic) negative/(P)/
ネガカラー /(n) (abbr) negative color/negative colour/
ネガチィブ /(adj-na,n) negative/
ネガチブ /(adj-na,n) negative/
ネガティブ /(adj-na,n) negative/(P)/
ネガティブカラー /(n) negative color/negative colour/
ネガティブキャンペーン /(n) negative campaign/
ネガティブリスト /(n) negative list/
ネガティブ表示 [ネガティブひょうじ] /(n) (comp) negative expression/
ネガティヴ /(adj-na,n) negative/
ネガディブリスト /(n) import restriction list (wasei: negative list)/
ネガフィルム /(n) negative film (as opposed to positive or reversal film)/negative/
ネギ /(n) (uk) Welsh onion (species of scallion, Allium fistulosum)/green onion/spring onion/
ネギだく /(n) containing more onions or leeks than usual (of gyudon, etc.)/
ネギトロ /(n) tuna minced with Welsh onion leaves (type of sushi topping)/
ネクイハムシ /(n) (uk) leaf beetle (of subfamily Donaciinae)/
ネクサス /(n) nexus/
ネクスジェン /(n) (comp) NexGen/
ネクスト /(n) (1) next/(2) (comp) NeXT/
ネクストステップ /(n) (comp) NeXTSTEP/
ネクター /(n) nector/
ネクタイ /(n) tie/necktie/(P)/
ネクタイピン /(n) necktie pin/
ネクタリン /(n) nectarine/
ネクトン /(n) nekton/
ネクローシス /(n) necrosis/
ネクロフィリア /(n) necrophilia/
ネクロフォビア /(n) necrophobia/
ネクロポリス /(n) necropolis/
ネグる /(v5r,vt) to neglect/
ネグリート /(n) Negrito/
ネグリジェ /(n) negligee (fre:)/
ネグリチュード /(n) negritude (fre:)/
ネグリト /(n) Negrito/
ネグリロ /(n) Negrillo (spa:)/
ネグレクト /(n,vs) neglect/
ネグロ /(n) (col) negro/
ネグロイド /(n) Negroid (person)/
ネゲート /(n,vs) (comp) negate/
ネゲット /(n,vs) (col) (abbr) 'getting' someone who is a net acquaintance (e.g. forming a physical relationship)/
ネゲントロピー /(n) negentropy/
ネコギギ /(n) (uk) Pseudobagrus ichikawai (species of catfish)/
ネコクサ /(n) (uk) cat grass (often Avena sativa)/catgrass/
ネコザメ /(n) (uk) bullhead shark (esp. the Japanese bullhead shark, Heterodontus japonicus)/
ネコザメ科 [ネコザメか] /(n) Heterodontidae (family with one genus, Heterodontus, containing 9 living species of bullhead sharks)/
ネコザメ属 [ネコザメぞく] /(n) Heterodontus (sole genus of living bullhead sharks in the family Heterodontidae)/
ネコノミ /(n) (uk) cat flea (Ctenocephalides felis)/
ネコ亜目 [ネコあもく] /(n) Feliformia/
ネコ目 [ネコもく] /(n) Carnivora (animals of the order Carnivora)/
ネゴシエーション /(n) negotiation/
ネゴシエータ /(n) (obsc) negotiator/
ネゴシエーター /(n) negotiator/
ネゴシエート /(n,vs) (comp) negotiation/
ネザーランド /(n) The Netherlands/Holland/
ネジレバネ /(n) (uk) strepsipteran/
ネジ山 [ネジやま] /(n) screw thread/ridge/
ネス /(suf) -ness/(P)/
ネスカフェ /(n) Nescafe/
ネスティング /(n) nesting/
ネスト /(n) nest/(P)/
ネストテーブル /(n) nest table/several tables inside each other/
ネストリウス派 [ネストリウスは] /(n) Nestorian sect (of Christianity)/
ネスパ /(exp) Is it so? (fre: N'est-ce pas?)/Really?/
ネズ /(n) (uk) Juniperus rigida/
ネズコ /(n) (uk) Japanese arborvitae (Thuja standishii)/
ネズッポ /(n) (uk) dragonet (any fish of family Callionymidae, esp. Richard's dragonet, Repomucenus richardsonii)/
ネズミ /(n) (1) mouse/rat/(2) dark gray/dark grey/slate (color, colour)/
ネズミーシー /(n) (sl) Disney Sea/
ネズミーランド /(n) (sl) Disneyland/
ネズミカンガルー /(n) (uk) rat kangaroo (any marsupial of family Potoroidae, inc. bettongs and potoroos)/
ネズミゴチ /(n) (uk) Richardson's dragonet (Repomucenus richardsonii)/Richard's dragonet/
ネズミザメ /(n) (uk) salmon shark (species of North Pacific mackerel shark, Lamna ditropis)/
ネズミザメ科 [ネズミザメか] /(n) Lamnidae (family of large, fast-swimming sharks known as mackerel sharks or white sharks)/
ネズミザメ属 [ネズミザメぞく] /(n) Lamna (genus of mackerel sharks or white sharks with two living species in the family Lamnidae)/
ネズミチフス菌 [ネズミチフスきん] /(n) Salmonella typhimurium/
ネズミモチ /(n) (uk) Japanese privet (Ligustrum japonicum)/
ネズミヤッコ /(n) Gray angelfish (Pomacanthus arcuatus)/
ネズミ亜目 [ネズミあもく] /(n) Myomorpha (suborder of rodents)/
ネズミ算 [ネズミざん] /(n) (1) geometric progression/(2) proliferation/multiplying like rats/
ネズミ捕り [ネズミとり] /(n) (1) mousetrap/rattrap/(2) speed trap/(3) rat poison/
ネタ /(n) (1) material/joke material/contents/proof/(2) topping of nigiri sushi/
ネタばれ /(n) spoiler/something that spoils the ending of a story or movie/
ネタバレ /(n) spoiler/something that spoils the ending of a story or movie/
ネチケット /(n) (comp) netiquette/
ネチズン /(n) (comp) netizen/Net citizen/
ネチネチ /(adv-to,n,vs) (on-mim) sticky/persistent/
ネッカチーフ /(n) neckerchief/(P)/
ネッキング /(n) necking/
ネック /(n) (abbr) neck/bottleneck/(P)/
ネックチェーン /(n) nack chain/
ネックポイント /(n) neck point/
ネックライン /(n) neckline/
ネックレス /(n) necklace/(P)/
ネッシー /(n) Nessie (i.e. the Loch Ness monster)/
ネッスル /(n) (Societe des produits) Nestle/(P)/
ネッティング /(n) netting/
ネット /(n) (comp) net/(P)/
ネットアクセス /(n) (comp) net access/
ネットイン /(n) net in (tennis)/netball falling in/
ネットウェア /(n) (comp) NetWare/
ネットエイト /(n) (comp) Net8/
ネットオーエルティピー /(n) (comp) NetOLTP/
ネットオークション /(n) net auction/
ネットカフェ /(n) Internet cafe/net cafe/
ネットカフェ難民 [ネットカフェなんみん] /(n) net cafe refugee/homeless person living in an Internet cafe/
ネットゲーム /(n) (comp) net game/
ネットゴット /(n) (comp) net.got/
ネットサーファ /(n) (comp) net surfer/
ネットサーフィン /(n) (comp) net surfing/
ネットシチズン /(n) (comp) net.citizen/
ネットスケープ /(n) (comp) Netscape/
ネットスケープコミュニケーションズ /(n) (comp) Netscape Communications Crop./
ネットスケープコミュニケータ /(n) (comp) Netscape Communicator/
ネットスケープナビゲータ /(n) (comp) Netscape Navigator/
ネットスコア /(n) net score/
ネットツーフォン /(n) (comp) Net2Phone/
ネットトポロジー /(n) net(work) topology/
ネットニュース /(n) (comp) net news/network news/Usenet/
ネットバイオス /(n) (comp) NetBIOS/
ネットビーエスディー /(n) (comp) NetBSD/
ネットビジネス /(n) Internet business/
ネットビューイ /(n) (comp) NetBEUI/
ネットファインド /(n) (comp) Netfind/
ネットフォン /(n) (comp) NetPhone/
ネットブック /(n) (comp) netbook (type of small laptop computer)/
ネットプライス /(n) net price/
ネットプレー /(n) net play/(P)/
ネットボール /(n) net ball/
ネットマスク /(n) (comp) net-mask/
ネットユーザ /(n) (comp) net user/network user/
ネットワーカー /(n) (comp) networker/
ネットワーキング /(n) networking/
ネットワーク /(n) (comp) network/(P)/
ネットワークＯＳ [ネットワークオーエス] /(n) (comp) network operating system/NOS/
ネットワークアーキテクチャ /(n) (comp) network architecture/
ネットワークアクセスポイント /(n) (comp) network access point/NAP/
ネットワークアクセス点 [ネットワークアクセスてん] /(n) (comp) network access point/
ネットワークアダプタ /(n) (comp) network adapter/
ネットワークアドミニストレータ /(n) (comp) network administrator/
ネットワークアドミン /(n) (comp) network administration/
ネットワークアドレス /(n) (comp) network address/
ネットワークアドレス付与機関 [ネットワークアドレスふよきかん] /(n) (comp) network addressing authority/
ネットワークアドレス変換 [ネットワークアドレスへんかん] /(n) (comp) Network Address Translation/
ネットワークアドレス領域 [ネットワークアドレスりょういき] /(n) (comp) network addressing domain/
ネットワークインターフェースカード /(n) (comp) network interface card/NIC/
ネットワークインターフェイスカード /(n) (comp) network interface card/NIC/
ネットワークインフラ /(n) (comp) network infrastructure/
ネットワークエレメント /(n) (comp) network element/
ネットワークエンジニアリング /(n) (comp) network engineering/
ネットワークオペレーティングシステム /(n) (comp) network operating system/
ネットワークケーブル /(n) (comp) network cabling/
ネットワークコントローラ /(n) (comp) network controller/
ネットワークコンピュータ /(n) (comp) network computer/NC/
ネットワークサーバモード /(n) (comp) network server mode/
ネットワークサービスプロバイダ /(n) (comp) network service provider/NSP/
ネットワークサービス提供者 [ネットワークサービスていきょうしゃ] /(n) (comp) network service provider/
ネットワークトポロジー /(n) (comp) network topology/
ネットワークドライブ /(n) (comp) network drive/
ネットワークバイトオーダー /(n) (comp) network byte order/
ネットワークパケット /(n) (comp) network packet/
ネットワークファイルシステム /(n) (comp) Network File System/NFS/
ネットワークプリンタ /(n) (comp) network printer/
ネットワークプロトコル /(n) (comp) network protocol/
ネットワークプロトコルアドレス指定情報 [ネットワークプロトコルアドレスしていじょうほう] /(n) (comp) network protocol address information/
ネットワークプロトコルアナライザ /(n) (comp) network protocol analyzer/
ネットワークマネージャ /(n) (comp) network manager/
ネットワークリソース /(n) (comp) network resource/
ネットワーク改造 [ネットワークかいぞう] /(n) (comp) network restructuring/
ネットワーク監視 [ネットワークかんし] /(n) (comp) network supervision/
ネットワーク管理 [ネットワークかんり] /(n) (comp) network administration/
ネットワーク管理システム [ネットワークかんりシステム] /(n) (comp) network management system/
ネットワーク管理者 [ネットワークかんりしゃ] /(n) (comp) network administrator/
ネットワーク機器 [ネットワークきき] /(n) (comp) network device/
ネットワーク計画 [ネットワークけいかく] /(n) (comp) network planning/
ネットワーク効率 [ネットワークこうりつ] /(n) (comp) network efficiency/
ネットワーク構成 [ネットワークこうせい] /(n) (comp) network configuration/network layout/
ネットワーク構造 [ネットワークこうぞう] /(n) (comp) network structure/
ネットワーク資源 [ネットワークしげん] /(n) (comp) network resources/
ネットワーク資産 [ネットワークしさん] /(n) (comp) network resource/
ネットワーク状況 [ネットワークじょうきょう] /(n) (comp) network conditions/
ネットワーク図 [ネットワークず] /(n) (comp) network chart/
ネットワーク接続 [ネットワークせつぞく] /(n) (comp) network connection/
ネットワーク接続形態 [ネットワークせつぞくけいたい] /(n) (comp) network topology/
ネットワーク全体 [ネットワークぜんたい] /(n) (comp) entire network/
ネットワーク層 [ネットワークそう] /(n) (comp) network layer/
ネットワーク統合 [ネットワークとうごう] /(n) (comp) network integration/
ネットワーク内 [ネットワークない] /(n,adj-no) (comp) intranetwork/
ネットワーク名 [ネットワークめい] /(n) (comp) network name/
ネットワールドインターロップ /(n) (comp) NETWORLD+INTEROP/
ネット混雑 [ネットこんざつ] /(n) (comp) Internet congestion/net congestion/
ネット調査 [ネットちょうさ] /(n) Internet poll/
ネット犯罪 [ネットはんざい] /(n) cyber-crime/net crime/
ネトゲ /(n) (abbr) net game/
ネバーギブアップ /(exp) Never give up!/
ネバーハップン /(n) Never happen/
ネバーマイン /(exp) never mind/
ネバーマインド /(n) Never mind/
ネバギバ /(int) (col) (abbr) Never give up!/
ネバダ /(n) Nevada/
ネパール /(n) Nepal/
ネビュラ /(n) nebula/
ネフローゼ /(n) nephrosis (ger: Nephrose)/
ネフローゼ症候群 [ネフローゼしょうこうぐん] /(n) nephrotic syndrome/
ネフロン /(n) nephron/
ネブライザー /(n) nebulizer/
ネブラスカ /(n) Nebraska/(P)/
ネブルズ /(n) Kurdish New Year (Newroz)/
ネプチューン /(n) Neptune/
ネプツニウム /(n) neptunium (Np)/
ネプツニウム系列 [ネプツニウムけいれつ] /(n) neptunium series/
ネヘミヤ記 [ネヘミヤき] /(n) Nehemiah (book of the Bible)/
ネベ /(n) permanent snowpatch (fre: neve)/
ネポチズム /(n) nepotism/
ネポティズム /(n) nepotism/
ネマチック /(n) nematic/
ネマティック液晶 [ネマティックえきしょう] /(n) Nematic liquid crystal/
ネマトーダ /(n) (obsc) Nematoda (lat:)/
ネムリブカ /(n) (uk) whitetip reef shark (Triaenodon obesus, species of Indo-Pacific requiem shark)/
ネムリブカ属 [ネムリブカぞく] /(n) Triaenodon (genus of requiem shark in the family Carcharhinidae whose sole member is the whitetip reef shark)/
ネル /(n) (abbr) flannel/
ネルソン /(n) Nelson/(P)/
ネロリ油 [ネロリゆ] /(n) neroli oil/
ネ申 [かみ] /(n) (sl) god/
ノー /(int,n-pref,n) no/
ノーアイロン /(n) drip-dry/no-iron/wash-and-wear/
ノーアウト /(exp) no out/
ノーウェイト /(n) (1) (comp) (abbr) no wait state memory (memory the CPU can access without requiring wait states)/(2) instant (e.g. for display speed of text in computer games) (wasei: no wait)/
ノーウエイト /(n) (1) (comp) (abbr) no wait state memory (memory the CPU can access without requiring wait states)/(2) instant (e.g. for display speed of text in computer games) (wasei: no wait)/
ノーカーボン /(n) no carbon (paper)/
ノーカーボン紙 [ノーカーボンし] /(n) non-carbon paper/
ノーカウント /(n) not counting (as anything significant) (wasei: no count)/
ノーカット /(n) no cut/
ノーカン /(n) (abbr) not counting (as anything significant)/
ノーキャリア /(n) (comp) no carrier/
ノークラッチ /(n) no clutch/
ノークラッチ車 [ノークラッチしゃ] /(n) automatic car/
ノーコメント /(n) no comment/(P)/
ノーコン /(adj-no) no control/out of control/
ノーコントロール /(exp) no control/
ノーゴール /(exp) no goal/
ノーサイド /(n) no side (rugby)/(P)/
ノーサンキュー /(n) No, thank you/
ノーザン・バラムンディ /(n) northern barramundi (Scleropages jardinii)/gulf saratoga/
ノーザンテレコム /(n) (comp) Northern Telecom/
ノーザンバラムンディ /(n) northern barramundi (Scleropages jardinii)/gulf saratoga/
ノーシーボ /(n) nocebo (negative response to a dummy drug)/
ノーシーボ効果 [ノーシーボこうか] /(n) nocebo effect/
ノース /(n) (1) north/(2) Norse/(P)/
ノースウェスタン /(n) northwestern/
ノースウェスト准州 [ノースウェストじゅんしゅう] /(n) Northwest Territories/
ノースウエスト /(n) Northwest (airline)/
ノースウッド /(n) (comp) Northwood/
ノースカロライナ /(n) North Carolina/(P)/
ノースダコタ /(n) North Dakota/
ノーストッキング /(exp) without stockings/
ノースブリッジ /(n) (comp) North Bridge/
ノースモーキング /(n) No smoking/
ノースリーブ /(adj-no) sleeveless (wasei: no sleeve)/
ノーズ /(n) nose (of a person, car, etc.)/
ノーズコーン /(n) nose cone (e.g.of a rocket)/
ノーズフルート /(n) nose flute/
ノータイ /(n) tieless (wasei: no tie)/
ノータイム /(n) no time/
ノータッチ /(exp) (1) Do not touch! (wasei: no touch)/(2) not participating in/not being concerned by/(P)/
ノータム /(n) notice to airmen/NOTAM/
ノータリン /(n) (1) slow-witted person/simpleton/(adj-no,adj-pn) (2) pig-ignorant/dumbass/
ノーダウン /(n) no outs (baseball) (wasei: no down)/
ノーダン /(n) no outs (baseball) (wasei: no down)/
ノーチェック /(exp,adj-no) (going) unchecked (wasei: no check)/
ノーツ /(n) (comp) Notes (e.g. Lotus Notes)/
ノーツポンプ /(n) (comp) NotesPump/
ノート /(n,vs) (1) (abbr) notebook/copy-book/exercise book/(2) note/(n) (3) notebook PC/(P)/
ノートＰＣ [ノートピーシー] /(n) (comp) note PC/
ノートパソコン /(n) laptop/notebook/
ノートパッド /(n) notepad (memo pad, computer, software)/
ノートブック /(n) notebook/
ノートブック型パーソナルコンピュータ [ノートブックがたパーソナルコンピュータ] /(n) (comp) notebook personal computer/
ノートリアス /(n) notorious/
ノートン /(n) (comp) Norton/
ノートンユーティリティ /(n) (comp) Norton Utilities/
ノート型 [ノートがた] /(n) (comp) note-type/
ノート型ＰＣ [ノートがたピーシー] /(n) (comp) note-type PC/
ノート型コンピュータ [ノートがたコンピュータ] /(n) (comp) note-type computer/
ノート型パソコン [ノートがたパソコン] /(n) (comp) notebook personal computer/
ノード /(n) node/
ノードネーム /(n) (comp) nodename/
ノーネクタイ /(exp) no necktie/
ノーハウ /(n) know-how/
ノーパーキング /(n) No parking/
ノーパソ /(n) (comp) (abbr) notebook PC/
ノーパン /(n) panty-less/wearing no underwear/
ノーヒット /(exp) no hit/
ノーヒットノーラン /(exp) no-hit, no-run baseball game/
ノーヒットノーランゲーム /(n) no-hit no-run game/(P)/
ノーヒント /(n) no hint (e.g. quiz questions where no clues are given)/
ノーフォークジャケット /(n) Norfolk jacket/
ノーフロスト /(n) no frost/
ノーブラ /(n,adj-no) no bra/
ノーブランド /(n) generic (goods) (wasei: no brand)/
ノーブル /(adj-na) noble/(P)/
ノーブルマン /(n) nobleman/
ノーブレ /(n) swimming without breathing (wasei: no bre(ath))/
ノーブレッシング /(exp) no breathing/
ノープレー /(n) no play/
ノープロブレム /(n) (col) no problem/
ノーヘル /(n) (abbr) without a helmet/
ノーベリウム /(n) nobelium (No)/
ノーベル /(n) Nobel/(P)/
ノーベル化学賞 [ノーベルかがくしょう] /(n) Nobel Prize in Chemistry/
ノーベル経済学賞 [ノーベルけいざいがくしょう] /(n) Nobel Prize in Economics/
ノーベル賞 [ノーベルしょう] /(n) Nobel prize/(P)/
ノーベル生理学医学賞 [ノーベルせいりがくいがくしょう] /(n) Nobel Prize in Physiology or Medicine/
ノーベル物理学賞 [ノーベルぶつりがくしょう] /(n) Nobel Prize in Physics/
ノーベル文学賞 [ノーベルぶんがくしょう] /(n) Nobel Prize in Literature/
ノーベル平和賞 [ノーベルへいわしょう] /(n) Nobel peace prize/
ノーベンバー /(n) November/
ノーペーパーソサイエティー /(n) no-paper society/
ノーマーク /(adj-no,n) (1) not covered (e.g. of a sports opponent) (wasei: no mark)/unobserved/under the radar/(2) unmarked (e.g. of a product)/unlabelled/(P)/
ノーマライズ /(n) normalize/normalise/(P)/
ノーマライゼーション /(n) normalization/
ノーマリゼーション /(n) normalization/
ノーマル /(adj-na,n) normal/(P)/
ノーマルテープ /(n) normal tape/
ノーマルヒル /(n) normal hill/
ノーマルモード /(n) (comp) normal mode/
ノーム /(n) (1) gnome/(2) norm/
ノーメンクラツーラ /(n) nomenklatura (rus:)/
ノーモア /(exp) no more/
ノーラン /(exp) no run/
ノーランストッキング /(n) no-run stockings/(P)/
ノーリターン /(exp) no return (e.g. after buying something at an auction)/
ノールックパス /(exp,vs) passing (e.g. in football) without looking (wasei: no look pass)/
ノーワークノーペイ /(n) no work no pay/
ノー天気 [ノーてんき] /(adj-na) optimistic/thoughtless/insolent/
ノー問題 [ノーもんだい] /(n) no problem/
ノア /(n) (1) NOAA/(2) NOR/(P)/
ノアの箱舟 [ノアのはこぶね] /(n) Noah's ark/
ノアの方舟 [ノアのはこぶね] /(n) Noah's ark/
ノアザミ /(n) (uk) Japanese thistle (Cirsium japonicum)/
ノイジーマイノリティ /(n) noisy minority/
ノイジネス /(n) noisiness/
ノイズ /(n) noise/(P)/
ノイズィ /(n) noisy/
ノイズリダクション /(n) noise reduction/
ノイズレス /(n) noiseless/
ノイバラ /(n) (uk) multiflora rose (Rosa multiflora)/
ノイマン /(n) Neumann/(P)/
ノイマンアーキテクチャ /(n) (comp) Neuman architecture/
ノイマン型 [ノイマンがた] /(n) (comp) Neumann-type (computer)/
ノイマン形コンピュータ [ノイマンがたコンピューター] /(n) (comp) von Neumann-type computer/
ノイローゼ /(n) neurosis (ger: Neurose)/(P)/
ノイロン /(n) neuron (ger: Neuron)/
ノウ /(n,vs) (1) know/(int) (2) no/
ノウゼンカズラ /(n) Chinese trumpet creeper (Campsis grandiflora)/
ノウゼンハレン /(n) (uk) nasturtium (species of Indian cress, Tropaeolum majus)/
ノウテイション /(n) notation/
ノウハウ /(n) know-how/(P)/
ノウボット /(n) (comp) Knowbot/
ノエル /(n) Christmas (fre: Noel)/(P)/
ノカンゾウ /(n) (uk) day lily (Hemerocallis fulva var. distiche)/
ノガン /(n) (uk) bustard (esp. the great bustard, Otis tarda)/
ノキシノブ /(n) (uk) Lepisorus thunbergiana (species of fern)/
ノギス /(n) (pair of) vernier calipers (ger: Nonius)/vernier micrometer/
ノクターン /(n) nocturne/
ノクトビジョン /(n) infrared imaging (with infrared lighting)/noctovision/
ノクトベジョン /(n) infrared imaging (with infrared lighting)/noctovision/
ノグチゲラ /(n) (uk) Okinawa woodpecker (Sapheopipo noguchii)/
ノコギリエイ /(n) (uk) sawfish (Pristidae spp.)/
ノコギリクワガタ /(n) (uk) sawtooth stag beetle (Prosopocoilus inclinatus)/saw stag beetle/
ノコギリザメ /(n) (uk) saw shark (esp. the Japanese saw shark, Prietiophorus japonicus)/
ノコギリソウ /(n) (1) (uk) Siberian yarrow (Achillea sibirica)/(2) achillea/
ノゴマ /(n) (uk) Siberian rubythroat (Luscinia calliope)/
ノザワナ /(n) (uk) rape (Brassica rapa)/common rape/cole/coleseed/coleseed greens/
ノシ /(exp) (col) (arm waving) bye-bye! (text only, not spoken)/
ノジコ /(n) (uk) Japanese yellow bunting (Emberiza sulphurata)/
ノスカピン /(n) noscapine/
ノスタルジー /(n) nostalgia (ger: Nostalgie, fre: nostalgie)/(P)/
ノスタルジア /(n) nostalgia/(P)/
ノスタルジック /(adj-na) nostalgic/(P)/
ノスリ /(n) (uk) common buzzard (Buteo buteo)/
ノズル /(n) nozzle/(P)/
ノセボ /(n) nocebo (negative response to a dummy drug)/
ノセボ効果 [ノセボこうか] /(n) nocebo effect/
ノッカー /(n) knocker/(P)/
ノッキング /(n,vs) knocking/
ノック /(n,vs) (1) knock/(2) fungo (baseball)/(P)/
ノックアウト /(n,vs) knockout/
ノックアウトマウス /(n) knockout mouse/
ノックオン /(n) knock-on/
ノックダウン /(n,vs) knockdown/(P)/
ノックバッティング /(n) batting for fielding practice in baseball (wasei: knock batting)/fungo (hitting)/
ノックバット /(n) fungo bat (baseball)/
ノッチ /(n) notch/
ノッチドラペル /(n) notched lapel/
ノッチバック /(n) notchback/
ノッチフィルタ /(n) notch-filter/
ノット /(n) (1) knot/(2) (comp) NOT/(pref) (3) not/(P)/
ノット /(n) (uk) knot (nautical mile per hour)/
ノットイコール /(n) (comp) not equal/
ノットステッチ /(n) knot stitch/
ノッブ /(n) (1) knob/(2) (abbr) doorknob/
ノドアカハチドリ /(n) (uk) ruby-throated hummingbird (Archilochus colubris)/
ノドジロオオトカゲ /(n) rock monitor (Varanus albigularis, species of carnivorous monitor lizard found in southern Africa)/legavaan/white-throated monitor/
ノドチンコ /(n) (uk) (col) uvula/
ノネナール /(n) nonenal (fatty acid responsible for a distinctive body odor in older people)/
ノノ点 [ノノてん] /(n) ditto marks/
ノバ /(n) nova/
ノバスコーシャ /(n) Nova Scotia/
ノバスコシア /(n) Nova Scotia/
ノバラ /(n) (1) wild rose/(2) (uk) multiflora rose (Rosa multiflora)/
ノビ /(n,vs) (1) growth/development/(2) stretching (e.g. body when waking up)/(3) spread/elongation/extension/carry (e.g. of sound)/sustain/
ノビタキ /(n) (uk) common stonechat (Saxicola torquata)/
ノブ /(n) (1) knob/(2) (abbr) doorknob/(P)/
ノブレー /(n) swimming without breathing (wasei: no bre(ath))/
ノベライズ /(vs) to novelize/to novelise/to turn a film script into a novel/
ノベライゼーション /(n,vs) novelization (turning a film script into a novel)/
ノベリスト /(n) novelist/
ノベル /(n) (1) novel/(2) (comp) Novell/
ノベルズ /(n) 17x11 cm paperback book/
ノベルティー /(n) novelty/
ノベレット /(n) novelette/
ノベンバー /(n) November/
ノボタン /(n) Asian melastome/Melastoma candidum/
ノボタン科 [ノボタンか] /(n) Melastomataceae (plant family)/(common name) the melastome family/
ノボロギク /(n) (uk) common groundsel (Senecio vulgaris)/
ノミ /(n) flea/
ノミナリズム /(n) nominalism/
ノミナル /(adj-na) nominal/
ノミナルプライス /(n) nominal price/
ノミナルレート /(n) nominal rate/
ノミネーション /(n) nomination/
ノミネート /(n,vs) nominate/(P)/
ノミュニケーション /(n) communicating while drinking/
ノミ行為 [ノミこうい] /(n) bookmaking/(stock market) bucketing/
ノミ取り首輪 [ノミとりくびわ] /(n) flea collar/
ノミ取り粉 [ノミとりこ] /(n) flea powder/
ノミ取粉 [ノミとりこ] /(io) (n) flea powder/
ノモグラフ /(n) nomograph/
ノモグラム /(n) nomogram/
ノモンハン事件 [ノモンハンじけん] /(n) Nomonhan Incident/Battle of Khalkhin Gol/
ノライズム /(n) Noraism/(P)/
ノリが悪い [ノリがわるい] /(exp) difficult to get into/not be easily influenced into joining some mood or activity/
ノリが良い [ノリがいい] /(exp) (1) spreading well/(2) easily be influenced into joining some mood/(3) easy to get into/
ノリの良い [ノリのいい] /(adj-i) (uk) easy to get into (e.g. of music, etc.)/easily getting into (a certain mood, etc.)/
ノリウツギ /(n) (uk) panicled hydrangea (Hydrangea paniculata)/peegee hydrangea/
ノリッジ /(n) knowledge/
ノリノリ /(adj-f) in high spirits/
ノリ突っ込み [ノリつっこみ] /(n) going along with a joke, etc. at the beginning then pointing out its ridiculousness/
ノルアドレナリン /(n) noradrenaline/noradrenalin/
ノルウェー /(n) (uk) Norway/
ノルウェー語 [ノルウェーご] /(n) Norwegian (language)/
ノルエピネフリン /(n) norepinephrine/
ノルジヒドログアイアレチン酸 [ノルジヒドログアイアレチンさん] /(n) nordihydroguaiaretic acid/NDGA/
ノルジヒドログアヤレチン酸 [ノルジヒドログアヤレチンさん] /(n) nordihydroguaiaretic acid/NDGA/
ノルジヒドログアヤレト酸 [ノルジヒドログアヤレトさん] /(n) nordihydroguaiaretic acid/NDGA/
ノルディック /(n) Nordic/(P)/
ノルディックコンバインド /(n) Nordic combined (skiing event)/
ノルディックスキー /(n) Nordic skiing (wasei: Nordic ski)/
ノルディック種目 [ノルディックしゅもく] /(n) Nordic event (in skiing)/
ノルディック複合 [ノルディックふくごう] /(n) Nordic combined (skiing event)/
ノルマ /(n) (one's) quota (rus: norma)/assignment/
ノルマル /(n) normal (e.g. normal hexane) (ger: Normal)/
ノルマンディー /(n) Normandy/(P)/
ノルマン人 [ノルマンじん] /(n) Norman/the Normans/
ノルマン征服 [ノルマンせいふく] /(n) Norman Conquest/
ノレッジ /(n) knowledge/
ノロウイルス /(n) norovirus/
ノロカジメ /(n) (uk) (obsc) Ecklonia cava (species of brown alga)/
ノロンハラス /(n) Noronha wrasse (Thalassoma noronhanum)/
ノワゼット /(n) hazelnut (fre: noisette)/
ノン /(pref) (1) non-/(int) (2) no (fre: non)/(P)/
ノンアタッチメントディジーズ /(n) non-attachment disease/
ノンアド機能 [ノンアドきのう] /(n) (comp) nonadd function/
ノンアルコール /(n,adj-no) non-alcoholic/alcohol-free/(P)/
ノンインターレース /(n) (comp) non-interlaced/
ノンインタレース /(n) (comp) non-interlace/
ノンインパクトプリンタ /(n) (comp) nonimpact printer/
ノンキ /(adj-na,n) (uk) carefree/optimistic/careless/reckless/heedless/happy-go-lucky/easygoing/
ノンキャリア /(n) non career (i.e. civil servants not on track for high-ranking positions)/
ノンクリング /(n) non cling/
ノングレア処理 [ノングレアしょり] /(n) (comp) non-glare treatment/
ノンケ /(n) (male) (sl) heterosexual male (as viewed by homosexual males)/
ノンコンデザイン /(n) (abbr) non-conforming design/
ノンスクランブルチャンネル /(n) non-scrambled channel/
ノンステップバス /(n) bus without a step up into it, usually because it lowers itself, or has a lift (wasei: no-step bus)/low-floor bus/
ノンストアリテーリング /(n) non store retailing/
ノンストップ /(n,adj-no) nonstop/(P)/
ノンストップコンピュータ /(n) (comp) non-stop computer/
ノンスリップ /(n) nonslip/
ノンセクション /(n) unaffiliated (wasei: non-section)/
ノンセクト /(n) (abbr) non-sectarian (wasei: non-sect)/
ノンセンス /(adj-na,n) nonsense/
ノンターミナル /(adj-na) non-terminal/
ノンタイトル /(adj-no) nontitle/
ノンタイトルマッチ /(n) nontitle match/
ノンチャラン /(n) nonchalant/
ノントロップ /(n) non troppo (ita:)/
ノントロッポ /(n) non troppo (ita:)/
ノンドロップフレームタイムコード /(n) (comp) non-drop frame time code/
ノンバーバル /(n) non-verbal/
ノンバーバルコミュニケーション /(n) non-verbal communication/
ノンバンク /(n) nonbank banking/(P)/
ノンパレル /(n) nonpareil/
ノンフィクション /(n) nonfiction/(P)/
ノンブック /(n) nonbook/
ノンブル /(n) number (fre: nombre)/
ノンブロッキング /(n) (comp) non-blocking/
ノンプリエンプティブなマルチタスク /(n) (comp) nonpreemptive multitasking/
ノンプリエンプティブマルチタスク /(n) (comp) non-preemptive multitasking/
ノンプリント機能 [ノンプリントきのう] /(n) (comp) nonprint function/
ノンプロ /(n,adj-no) (abbr) non-professional (wasei: non-pro)/
ノンポリ /(n,adj-no) (abbr) nonpolitical/
ノンポリティカル /(n) nonpolitical/
ノンマスカブルインタラプト /(n) (comp) nom-maskable interrupt/NMI/
ノンラン /(n) nonrun (stocking)/
ノンリニア /(n) (comp) nonlinear/
ノンリニア編集 [ノンリニアへんしゅう] /(n) (comp) nonlinear editing/NLE/
ノヴァ /(n) nova/
ノヴェライゼーション /(n) novelization/
ノヴェル /(n) (comp) Novell/
ノ米偏 [ノごめへん] /(n) kanji "topped rice" radical (radical 165)/
ノ木偏 [のぎへん] /(n) kanji "two-branch tree" radical at left (radical 115)/
ハ /(n) 3rd in a sequence denoted by the iroha system/3rd note in the diatonic scale (used in key names, etc.)/
ハーキュリーズ /(n) (1) Hercules/Herakles/
ハーケン /(n) (1) piton (metal support peg used when climbing) (ger: Haken)/(2) hook/
ハーケンクロイツ /(n) swastika (45-degree clockwise swastika used by the Nazi party) (ger: Hakenkreuz)/
ハーテビースト /(n) hartebeest (Alcelaphus buselaphus)/
ハーディーワインベルクの法則 [ハーディーワインベルクのほうそく] /(n) Hardy-Weinberg principle/
ハーディガーディ /(n) hurdy-gurdy/
ハート /(n) heart/(P)/
ハートカム /(n) heart cam/
ハートビート /(n) (comp) heartbeat/HB/
ハートビートパケット /(n) (comp) heartbeat packet/
ハートビート信号 [ハートビートしんごう] /(n) (comp) heartbeat signal/
ハートビル法 [ハートビルほう] /(n) nickname of Building Access law (wasei: heartful building)/
ハートピア /(n) (from heart and utopia) welfare institutions, etc./
ハートフル /(adj-na) (1) heart-warming (wasei: heartful)/feel-good/emotionally uplifting/warm-hearted/(2) barrier-free/disabled or senior-friendly/
ハートブレーク /(n) heartbreak/
ハートメール /(n) postcards associated with Respect-for-the-Aged Day, and sold every year starting in September (wasei: heart mail)/
ハートメイル /(n) postcards associated with Respect-for-the-Aged Day, and sold every year starting in September (wasei: heart mail)/
ハートレー /(n) (comp) Hartley/decimal unit of information content/
ハート形 [ハートがた] /(n) heart shape/
ハード /(adj-na,n,adj-no) (1) hard/(2) (abbr) hardware/(3) (abbr) hard disk/(P)/
ハードウェア /(n) (comp) hardware (esp. computer)/(P)/
ハードウェアＴ＆Ｌ [ハードウェアティーアンドエル] /(n) (comp) hardware transform and lighting/hardware T&L/
ハードウェアエラー /(n) (comp) hardware error/
ハードウェアフロー制御 [ハードウェアフローせいぎょ] /(n) (comp) hardware flow control/
ハードウェアプラットフォーム /(n) (comp) hardware platform/
ハードウェアベース /(n) (comp) hardware based/
ハードウェア割り込み [ハードウェアわりこみ] /(n) (comp) hardware interrupt/
ハードウェア構成 [ハードウェアこうせい] /(n) (comp) hardware configuration/
ハードウエア /(n) (comp) hardware (esp. computer)/
ハードエラー /(n) (comp) hard error/
ハードカバー /(n) hard-cover/(P)/
ハードカレンシー /(n) hard currency/
ハードケース /(n) hardcase/case with hard shell/
ハードゲイ /(n) hard-core gay (pornography)/
ハードコート /(n) hard court/
ハードコア /(n) hard-core/
ハードコアポルノ /(n) hard-core porno/
ハードコピー /(n) (comp) hard-copy/
ハードコンタクトレンズ /(n) hard contact lens/
ハードスケジュール /(n) heavy schedule/tight schedule/hard schedule/
ハードセクター /(n) (comp) hard sector/
ハードセクタリング /(n) (comp) hard sectoring/
ハードセクタ式ディスク [ハードセクタしきディスク] /(n) (comp) hard-sectored disk/
ハードセクタ方式 [ハードセクタほうしき] /(n) (comp) hard sectoring/
ハードセル /(n) hard sell/
ハードソース /(n) hard sauce/
ハードディスク /(n) (comp) hard-disk/(P)/
ハードディスクドライブ /(n) (comp) hard disk drive/hard drive/
ハードディスクレコーダー /(n) hard disk recorder/
ハードディスクレコーディング /(n) (comp) hard disk recording/HDR/
ハードトップ /(n) hardtop/(P)/
ハードトレーニグ /(n) hard training/
ハードトレーニング /(n) hard training/
ハードドライブ /(n) (comp) hard drive/
ハードドリンク /(n) hard drink/
ハードハイフン /(n) (comp) hard hyphen/
ハードバップ /(n) hard bop/
ハードパッチ /(n) (comp) hard patch/
ハードパワー /(n) hard power/
ハードパンチャー /(n) hard puncher/
ハードボード /(n) hardboard/
ハードボイルド /(n) hard-boiled/(P)/
ハードラック /(n) hard luck/misfortune/
ハードリンク /(n) hard-link/
ハードリング /(n) hurdling/
ハードル /(n) hurdle/(P)/
ハードル競走 [ハードルきょうそう] /(n) hurdle race/
ハードロック /(n) hard-rock/(P)/
ハードワーカー /(n) hard worker/
ハードワーク /(n) hard work/
ハードワイアリング /(n) hard-wiring/
ハードワイヤード /(n) (comp) hard-wired/
ハード行末 [ハードぎょうまつ] /(n) (comp) hard line terminator/
ハーニー /(n) honey/sweetheart/
ハーネス /(n) harness/
ハーバー /(n) harbor/harbour/(P)/
ハーバーボッシュ法 [ハーバーボッシュほう] /(n) Haber-Bosch process (for producing ammonia)/
ハーバリング /(n) harboring/
ハーパーメディア /(n) (comp) hypermedia/
ハーパン /(n) (abbr) (sl) shorts/
ハーピー /(n) harpy/
ハーフ /(n) (1) half/(2) someone of mixed race/(P)/
ハーフアンドハーフクロミス /(n) half-and-half chromis (Chromis iomelas)/
ハーフイエローバタフライフィッシュ /(n) half-yellow butterflyfish (Chaetodon hemichrysus)/
ハーフインターチェンジ /(n) half interchange (an interchange that lacks an exit or an entrance in either or both directions)/
ハーフウェー /(n) halfway/
ハーフウェーハウス /(n) halfway house/
ハーフウェーライン /(n) halfway line/
ハーフウエー /(n) halfway/
ハーフウエーライン /(n) halfway line/
ハーフコート /(n) three-quarter/half coat/top coat/
ハーフサイズ /(adj-no) half-size/
ハーフサイズカメラ /(n) half-size camera/
ハーフスイング /(n) half swing (baseball)/
ハーフタイム /(n) half time/(P)/
ハーフティンバー /(n) half-timber/
ハーフトーン /(n) half tone/
ハーフネルソン /(n) half-nelson/
ハーフハイト /(n) (comp) half height/
ハーフハイトのドライブ /(n) (comp) half height drive/
ハーフバック /(n) halfback/
ハーフパイプ /(n) half-pipe (i.e. in snowboarding)/
ハーフパンツ /(n) shorts (wasei: half-pants)/
ハーフブーツ /(n) half boot/
ハーフボレー /(n) half volley/
ハーフマラソン /(n) half-marathon/
ハーフミラー /(n) half mirror/50% beam splitter/
ハーフメード /(adj-no) half made (e.g. clothes that are already cut and basted when purchased)/
ハーフメイド /(adj-no) half made (e.g. clothes that are already cut and basted when purchased)/
ハーフライン /(n) (comp) halfline/
ハーフワード /(n) (comp) half-word/
ハーブ /(n) herb/(P)/
ハーブスパイス /(n) herb spice/
ハーブティー /(n) herb tea/
ハープ /(n) harp/(P)/
ハープーン /(n) harpoon/
ハープシコード /(n) harpsichord/
ハーベスター /(n) harvester/
ハーベスト /(n,vs) harvest/
ハーメルンの笛吹き男 [ハーメルンのふえふきおとこ] /(n) the Pied Piper of Hamelin/
ハーモナイズ /(n) harmonize/harmonise/
ハーモナイゼーション /(n) harmonization/harmonisation/
ハーモニー /(n) harmony/(P)/
ハーモニウム /(n) harmonium/
ハーモニカ /(n) (1) harmonica/mouth organ/(2) (X) cunnilingus/(P)/
ハーモニクス /(n) harmonic/harmonics/
ハーモニックス /(n) harmonics/
ハーラーダービー /(n) hurler derby/(P)/
ハーレム /(n) harem/(P)/
ハーレムパンツ /(n) harem pants/
ハーロット・ピグミー・ゴビー /(n) harlot pygmy goby (Trimma fucatum, fish species from Thailand)/
ハーロットピグミーゴビー /(n) harlot pygmy goby (Trimma fucatum, fish species from Thailand)/
ハーン /(n) khan (medieval ruler of a Tatary tribe)/
ハーヴェスト /(n,vs) harvest/
ハイ /(adj-na,n) high/(P)/
ハイアラーキー /(n) hierarchy/
ハイアライ /(n) jai-alai (spa:)/
ハイイロアザラシ /(n) (uk) gray seal (Halichoerus grypus)/grey seal/
ハイイログマ /(n) (uk) grizzly bear (Ursus arctos horribilis)/
ハイイロヒレアシシギ /(n) (uk) red phalarope/grey phalarope (Phalaropus lobatus)/
ハイイロホシガラス /(n) (uk) Clark's nutcracker (Nucifraga columbiana)/
ハイイロヨモギ /(n) (uk) Artemisia sieversiana/
ハイウェー /(n) highway/
ハイウェーパトロール /(n) highway patrol/
ハイウェイ /(n) highway/(P)/
ハイウエー /(n) highway/(P)/
ハイウエイ /(n) highway/
ハイエナ /(n) hyena/
ハイエログリフ /(n) hieroglyph/hieroglyphic/
ハイエンド /(adj-f) high-end/high end/high level/
ハイエンドマシン /(n) (comp) high-end machine/
ハイエンドモデル /(n) (comp) high-end model/
ハイエンド機種 [ハイエンドきしゅ] /(n) (comp) high-end machine/
ハイオク /(n) high-octane gasoline/high-octane petrol/
ハイオクガソリン /(n) high-octane gasoline/high-octane petrol/
ハイオクタン /(n) high octane/
ハイオクタンガソリン /(n) high-octane gasoline/
ハイカ /(n) (abbr) highway card/
ハイカー /(n) hiker/(P)/
ハイカラ /(adj-na,n,adj-no) (1) stylish/smart/fashionable/(2) high collar/(3) hair dressed in a western style/(vs) (4) to dress in the latest Western fashion/
ハイカラー /(n) (1) high collar/(2) (comp) high color/
ハイカルチャー /(n) high culture/
ハイガシラミツスイ /(n) (uk) brush wattlebird (Anthochaera chrysoptera)/
ハイキー /(n,adj-no) high-key/
ハイキートーン /(n) high-key tone/
ハイキューブ /(n) (abbr) high cubic capacity (used for measuring shipping containers)/
ハイキング /(n) hiking/(P)/
ハイク /(n) hike/(P)/
ハイクオリティ /(n) high quality/
ハイクラス /(adj-na,n) high class/
ハイクリヤー /(n) high clear/
ハイグレード /(adj-na) high grade/
ハイコスト /(n) (comp) high cost/
ハイコントラスト /(n) (comp) high contrast/
ハイサイ /(n) (rkb:) hello/good afternoon/
ハイサルファ /(n) high-sulfur (crude oil)/high-sulphur/
ハイシエラフォーマット /(n) (comp) High Sierra format/HSF/
ハイジャッカー /(n) (comp) hijacker/
ハイジャック /(n,vs) hijack/highjack/(P)/
ハイジャック防止法 [ハイジャックぼうしほう] /(n) anti-highjack law/
ハイジャッンプ /(n) high jump/
ハイジャンプ /(n) high jump/
ハイス /(n) (abbr) high-speed steel/
ハイスクール /(n) high school/(P)/
ハイスピード /(n) high speed/
ハイスピードスチール /(n) high-speed steel/
ハイスペック /(n) high spec/
ハイセンス /(n,adj-na) refined taste (wasei: high sense)/good taste/
ハイゼニッククリーム /(n) hygenic cream/
ハイゼンベルグ /(n) Heisenberg/
ハイソ /(adj-na,adj-no,n) (abbr) high society/
ハイソサエティ /(n) high society/
ハイソサエティー /(n) high society/
ハイソックス /(n) knee socks (wasei: high socks)/
ハイタカ /(n) (uk) Eurasian sparrowhawk (Accipiter nisus)/
ハイタッチ /(n) high five (wasei: high touch)/
ハイチ /(n) Haiti/
ハイチ共和国 [ハイチきょうわこく] /(n) Republic of Haiti/
ハイチ島 [ハイチとう] /(n) Haiti (island)/
ハイツ /(n) heights/(P)/
ハイティー /(n) high tea/
ハイティーン /(n,adj-no) late teens (wasei: high teen)/(P)/
ハイテキスト /(n) (comp) HiText/
ハイテク /(adj-na,n,adj-no) high-tech/(P)/
ハイテクノロジー /(adj-na,n) high-technology/high-tech/
ハイテック /(adj-no) high-tech/
ハイテルネット /(n) (comp) HyTelnet/
ハイテンション /(n) (1) high tension (as in electronics, etc.)/(2) excited/enthusiastic/
ハイテンションボルト /(n) high tension bolt/
ハイテンポ /(n) high tempo/
ハイディング /(n) hiding/
ハイデッカー /(n) tourist bus with high seating for better sight-seeing (wasei: high decker, high-deck car)/
ハイデフィニション /(adj-f) high-definition (e.g. television)/
ハイデルベルク人 [ハイデルベルクじん] /(n) Homo heidelbergensis/
ハイドパーク /(n) Hyde Park/
ハイドラ /(n) (comp) hydra/
ハイドランジア /(n) hydrangea/
ハイドロ /(n,adj-no) hydro/
ハイドロカルチャー /(n) hydroculture/
ハイドロキシアパタイト /(n) hydroxyapatite/
ハイドロキノン /(n) hydroquinone/
ハイドロクロロフルオロカーボン /(n) hydrochlorofluorocarbon/HCFC/
ハイドロコーチゾン /(n) hydrocortisone/
ハイドロサルファイト /(n) hydrosulfite/
ハイドロフォイル /(n) hydrofoil/
ハイドロプレーニング /(n) hydroplaning/
ハイドロプレーン /(n) hydroplane/
ハイドロポニック /(n) hydroponics/
ハイドロメーター /(n) hydrometer/
ハイドロラグス・コリエイ /(n) spotted ratfish (Hydrolagus colliei, a shortnose chimaera found in the Eastern Pacific)/
ハイドロラグスコリエイ /(n) spotted ratfish (Hydrolagus colliei, a shortnose chimaera found in the Eastern Pacific)/
ハイドン /(n) Haydn/(P)/
ハイネック /(n,adj-no) high-necked/
ハイハードル /(n) high hurdles/
ハイハット /(n) hi-hat/high-hat/
ハイバックチェア /(n) high back chair/high-back chair/
ハイバネーション /(n) (comp) hibernation/
ハイパー /(n) hyper/(P)/
ハイパーインフレ /(n) hyperinflation/
ハイパーインフレーション /(n) hyperinflation/
ハイパーウェイズ /(n) (comp) HyperWAIS/
ハイパーエディット /(n) (comp) HyperEdit/
ハイパーカード /(n) (comp) hypercard/
ハイパースペース /(n) hyperspace/
ハイパーソニック /(n) hypersonic/
ハイパーチャージ /(n) hypercharge/
ハイパーテキスト /(n) (comp) hypertext/
ハイパーテキストマークアップ言語 [ハイパーテキストマークアップげんご] /(n) (comp) HyperText Markup Language/HTML/
ハイパーテキスト転送プロトコル [ハイパーテキストてんそうプロトコル] /(n) (comp) HyperText Transfer Protocol/HTTP/
ハイパーバイザー /(n) (comp) hypervisor/virtual machine monitor/
ハイパーマーケット /(n) hypermarket/
ハイパーメディア /(n) (comp) hypermedia/
ハイパーリアリズム /(n) hyperrealism/
ハイパーリンク /(n) (comp) hyperlink/
ハイパー核 [ハイパーかく] /(n) hypernucleus/
ハイパスフィルタ /(n) (comp) high pass filter/HPF/
ハイパテキスト /(n) (comp) hypertext/
ハイパフォーマンス /(n) (comp) high performance/
ハイパフォーマンスフォートラン /(n) (comp) High Performance Fortran/HPF/
ハイパメディア /(n) (comp) hypermedia/
ハイパメディア応用 [ハイパメディアおうよう] /(n) (comp) hypermedia application/
ハイパメディア及び時間依存情報の構造化言語 [ハイパメディアおよびじかんいぞんじょうほうのこうぞうかげんご] /(n) (comp) Hypermedia/Time-based Structuring Language/HyTime/
ハイパメディア文書 [ハイパメディアぶんしょ] /(n) (comp) hypermedia document/
ハイパリンク /(n) (comp) hyperlink/
ハイパワー /(n,adj-f) high power/high-powered/
ハイパワード・マネー /(n) high-powered money/
ハイパワードマネー /(n) high-powered money/
ハイパント /(n) high punt/
ハイパ文書 [ハイパぶんしょ] /(n) (comp) hyperdocument/
ハイヒール /(n) high heels/high-heeled shoes/(P)/
ハイビション /(n) high-definition television/HDTV/Hi-Vision/
ハイビジョン /(n) high-definition television/HDTV/Hi-Vision/(P)/
ハイビスカス /(n) hibiscus/(P)/
ハイビャクシン /(n) (uk) dwarf Japanese garden juniper (Juniperus chinensis var. procumbens)/
ハイピッチ /(n) high pitch/
ハイファイ /(n,adj-no) hi-fi/(P)/
ハイファイビデオ /(n) hi-fi video/
ハイファイ装置 [ハイファイそうち] /(n) hi-fi equipment/
ハイファッション /(n) high fashion/
ハイフィ /(n,adj-no) hi-fi/
ハイフィデリティ /(n,adj-no) high fidelity/
ハイフネーション /(n) hyphenation/
ハイフン /(n) hyphen/
ハイブツール /(n) hive tool (beekeeping, apiculture)/
ハイブラウ /(adj-na) highbrow/
ハイブリードマ /(n) hybridoma/
ハイブリッド /(n,adj-no) hybrid/(P)/
ハイブリッドＩＣ [ハイブリッドアイシー] /(n) (comp) hybrid Integrated Circuit/
ハイブリッドカー /(n) hybrid car/
ハイブリッドコンピューター /(n) (comp) hybrid computer/
ハイブリッドディスク /(n) (comp) hybrid disk/
ハイブリッド計算機 [ハイブリッドけいさんき] /(n) (comp) hybrid computer/
ハイブリッド車 [ハイブリッドしゃ] /(n) hybrid vehicle (e.g. electric and gasoline)/
ハイブリドーマ /(n) hybridoma/
ハイブロー /(adj-na) highbrow/
ハイペース /(adj-na,n) quick pace (wasei: high pace)/(P)/
ハイペロン /(n) hyperon/
ハイホー /(n) (comp) Hi-HO/
ハイボール /(n) high-ball/
ハイポ /(n) hypo/
ハイポキシア /(n) hypoxia/
ハイポリマー /(n) high polymer/
ハイマート /(n) homeland (ger: Heimat)/
ハイマウントストップランプ /(n) high-mount stop-lamp/
ハイミス /(n) (sens) older unmarried woman (wasei: high miss)/old maid/spinster/
ハイム /(n) home (ger: Heim)/(P)/
ハイメムシス /(n) (comp) HIMEM.SYS/
ハイメモリエリア /(n) (comp) high memory area/HMA/
ハイヤー /(n) (1) hire/(2) hired automobile with driver/hired car/(P)/
ハイラーテン /(n) to marry (ger: heiraten)/
ハイラート /(n) marriage (ger: Heirat)/
ハイライト /(n) highlight/(P)/
ハイライト版 [ハイライトばん] /(n) highlight halftone/
ハイライフ /(n) highlife/
ハイラックス /(n) hyrax/
ハイランド /(n) highland/(P)/
ハイリスク /(adj-na) high risk/
ハイリターン /(adj-na) high return/
ハイル /(exp) Live Long! (ger: Heil)/
ハイレグ /(n) high-leg leotard/(P)/
ハイレゾ /(n) (comp) high resolution/
ハイレゾリューション /(n) (comp) high resolution/
ハイレゾリューションモード /(n) (comp) high resolution mode/
ハイレベル /(adj-na,n) high-level/(P)/
ハイレベルデータリンク制御手順 [ハイレベルデータリンクせいぎょてじゅん] /(n) (comp) High-level Data Link Control/HDLC/
ハイレベルレンゲージ /(n) high-level language/
ハイレン /(n) (uk) Indo-Pacific tarpon (Megalops cyprinoides)/
ハウ /(n) how/(P)/
ハウジング /(n) housing/cabinet/(P)/
ハウジングサービス /(n) (comp) housing service/
ハウス /(n) house/(P)/
ハウスウエア /(n) housewares/
ハウスオーガン /(n) house organ/
ハウスカード /(n) credit card issued by a particular store or business (wasei: house card)/
ハウスキーパー /(n) housekeeper/
ハウスキーピング /(n) housekeeping/
ハウスクリーニング /(n) housecleaning/
ハウスダスト /(n) house dust/
ハウスドレス /(n) housedress/
ハウスハズバンド /(n) househusband/
ハウスビル /(n) house bill/
ハウスホールド /(n) household/
ハウスボート /(n) house boat/
ハウスマヌカン /(n) house mannequin/
ハウスミヌカン /(n) sales clerk in a fancy boutique clothing store (wasei: house mannequin)/
ハウスミュージック /(n) house music/
ハウスメード /(n) housemaid/
ハウスメイド /(n) housemaid/
ハウスワイフ /(n) housewife/
ハウチワカエデ /(n) (uk) Japanese maple (Acer japonicum)/
ハウツー /(n) how to/(P)/
ハウツー物 [ハウツーもの] /(n) how-to book/
ハウリング /(n) howling (esp. audio feedback)/
ハウント /(n) haunt/
ハウンド /(n) hound/
ハウンドトゥースチェック /(n) hound's-tooth check/
ハエジゴク /(n) (uk) Venus flytrap/Venus's flytrap/
ハエトリグサ /(n) (uk) Venus flytrap/Venus's flytrap/
ハエトリグモ /(n) (uk) jumping spider (any spider of family Salticidae)/
ハエトリソウ /(n) (uk) Venus flytrap/Venus's flytrap/
ハエ叩き [ハエたたき] /(n) fly swatter/
ハエ目 [ハエもく] /(n) Diptera/
ハオコゼ /(n) (uk) Hypodytes rubripinnis (species of waspfish)/
ハオユー /(n) (obsc) (uk) oyster sauce (chi: haoyou)/
ハオリムシ /(n) (uk) vestimentiferan (any tube worm of order Vestimentifera)/
ハカピック /(n) spiked club used for killing seals (nor: hakapik)/hakapik/
ハガイ書 [ハガイしょ] /(n) Haggai (book of the Bible)/
ハガツオ /(n) (uk) striped bonito (Sarda orientalis)/Mexican bonito/
ハキリアリ /(n) (uk) leafcutter ant/
ハギ /(n) (1) (uk) bush clover/Japanese clover (any flowering plant of genus Lespedeza)/(2) dark red exterior with blue interior (color combination worn in autumn)/
ハギス /(n) haggis (traditional Scottish dish made from a sheep's offal cooked in the animal's stomach)/
ハギマシコ /(n) (uk) Asian rosy finch (Leucosticte arctoa)/
ハギ属 [ハギぞく] /(n) Lespedeza (genus comprising the bush clovers)/
ハクウンボク /(n) fragrant styrax/styrax obassia/
ハクガン /(n) (uk) snow goose (Chen caerulescens)/blue goose/
ハクサンシャクナゲ /(n) (uk) Hakusan rhododendron/Rhododendron metternichii var./
ハクション /(int,vs) achoo!/atishoo!/sneeze/
ハクジラ /(n) (uk) toothed whale (i.e. a whale of suborder Odontoceti)/
ハクセイハギ /(n) barred filefish (Cantherhines dumerilii)/
ハクセキレイ /(n) (uk) black-backed wagtail (Motacilla alba lugens)/
ハクテンカタギ /(n) mailed butterflyfish (Chaetodon reticulatus)/mailed coralfish/reticulated butterflyfish/black butterflyfish/
ハクトウワシ /(n) (uk) bald eagle (Haliaeetus leucocephalus)/
ハクニー /(n) hackney/
ハクビシン /(n) civet (animal)/
ハクレン /(n) (uk) silver carp (Hypophthalmichthys molitrix)/
ハグ /(n,vs) hug/
ハゲタカ /(n) (uk) (col) vulture/
ハゲブダイ /(n) bullethead parrotfish (Chlorurus sordidus, was Scarus sordidus)/daisy parrotfish/
ハコエビ /(n) (uk) Japanese spear lobster (Linuparus trigonus)/
ハコネサンショウウオ /(n) (uk) Japanese clawed salamander (Onychodactylus japonicus)/
ハコフグ /(n) (1) (uk) bluespotted boxfish (Ostracion immaculatus)/(2) boxfish (any fish of family Ostraciidae)/trunkfish/
ハコベ /(n) (uk) chickweed/stitchwort (Stellaria sp.)/
ハコベラ /(n) (uk) chickweed/stitchwort (Stellaria sp.)/
ハコベラ /(n) fivestripe wrasse (Thalassoma quinquevittatum)/
ハコベ塩 [ハコベじお] /(n) (obsc) chickweed (stitchwort) roasted and mixed with salt, then ground into a powder for use as toothpaste/
ハコヤナギ /(n) (uk) Japanese aspen (Populus tremula var. sieboldii)/
ハゴロモガラス /(n) (uk) red-winged blackbird (Agelaius phoeniceus)/
ハゴロモムシクイ /(n) (uk) American redstart (Setophaga ruticilla)/
ハサミ /(n) (uk) scissors/tongs/
ハサミムシ /(n) (uk) earwig/
ハザード /(n) hazard/
ハザードマップ /(n) hazard map/
ハザードランプ /(n) hazard lamp/
ハシーシ /(n) hashish/
ハシグロヒタキ /(n) (uk) northern wheatear (Oenanthe oenanthe)/
ハシゴオオトカゲ /(n) banded tree monitor (Varanus scalaris, species of carnivorous monitor lizard native to northwestern Australia)/spotted tree goanna/
ハシシ /(n) hashish/
ハシシュ /(n) hashish/
ハシッシュ /(n) hashish/
ハシディズム /(n) Hasidism/Chasidism/Chassidism/Hassidism/
ハシドイ /(n) Japanese tree lilac (Syringa reticulata)/
ハシナガチョウチョウウオ /(n) copperband butterflyfish (Chelmon rostratus)/banded longsnout butterflyfish/beaked butterflyfish/beaked coralfish/longnose butterflyfish/
ハシナガチョウチョウウオ属 [ハシナガチョウチョウウオぞく] /(n) Chelmon (genus of tropical fish in the family Chaetodontidae)/
ハシナガヤモリザメ /(n) longnose sawtail cat shark (Galeus longirostris, found in Amami-oshima, the Ogasawara and Izu islands)/
ハシバミ /(n) Siberian hazel (Corylus heterophylla var. thunbergii)/
ハシビロガモ /(n) (uk) northern shoveler (species of duck, Anas clypeata)/northern shoveller/
ハシビロコウ /(n) (uk) shoebill (Balaeniceps rex)/
ハシブトウミガラス /(n) (uk) thick-billed murre (Uria lomvia)/Brunnich's guillemot/
ハシブトガラス /(n) (uk) jungle crow (Corvus macrorhynchos)/
ハシブトハタオリ /(n) (uk) grosbeak weaver (Amblyospiza albifrons)/
ハシボソキツツキ /(n) (uk) northern flicker (species of bird, inc. the yellow-shafted flicker and the red-shafted flicker, Colaptes auratus)/
ハシリドコロ /(n) (uk) Japanese belladonna (Scopolia japonica)/
ハジ /(n) hajj (ara:)/haj/hadj/
ハジラミ /(n) (uk) biting louse (any louse of order Mallophaga)/chewing louse/
ハジロウミバト /(n) (uk) black guillemot (Cepphus grylle)/tystie/
ハジロコチドリ /(n) (uk) ringed plover (Charadrius hiaticula)/
ハス /(n) (1) (uk) sacred lotus (Nelumbo nucifera)/Indian lotus/lotus/
ハス /(n) (uk) three-lips (freshwater fish of the minnow family, Opsariichthys uncirostris)/
ハスイモ /(n) (uk) giant elephant ear (species of taro, Colocasia gigantea)/
ハスカップ /(n) Blue-berried honeysuckle (Lonicera caerulea subsp. edulis)/
ハスキー /(adj-na) husky/huskie/(P)/
ハスキーボイス /(n) husky voice/
ハスラー /(n) hustler/
ハズ /(n) (abbr) husband/hubby/
ハズ /(n) (uk) purging croton (Croton tiglium)/
ハズハント /(n) husband hunt/
ハズバンド /(n) husband/
ハゼ科 [ハゼか] /(n) Gobiidae (family of gobies containing over 2,000 species in over 200 genera)/
ハタオリドリ /(n) (uk) weaverbird/weaver (any of a number of birds in family Ploceidae that weave elaborate nests)/
ハタタテダイ /(n) pennant coralfish (Heniochus acuminatus)/common bannerfish/feather-fin bullfish/featherfin coralfish/longfin bannerfish/reef bannerfish/
ハタタテダイ属 [ハタタテダイぞく] /(n) Heniochus (genus of fish in the family Chaetodontidae)/
ハタネズミ /(n) (1) (uk) Japanese grass vole (Microtus montebelli)/(2) any rodent of subfamily Arvicolinae (inc. voles, lemmings and muskrats)/
ハタハタ /(n) (uk) sailfin sandfish (Arctoscopus japonicus)/
ハタリス /(n) (uk) ground squirrel (esp. the Daurian ground squirrel, Spermophilus dauricus)/
ハダカイワシ /(n) (uk) lantern fish (any fish of family Myctophidae, esp. Watase's lanternfish, Diaphus watasei)/
ハダカデバネズミ /(n) (uk) naked mole rat (Heterocephalus glaber)/
ハダニ /(n) (uk) spider mite (any mite of family Tetranychidae)/
ハダル /(n) Hadar (Arabic name for Beta Centauri)/
ハチェット /(n) hatchet/
ハチェットフィッシュ /(n) hatchetfish (Gasteropelecidae spp.)/
ハチク /(n) (uk) Henon bamboo (Phyllostachys nigra var. henonis)/
ハチジョウタカラガイ /(n) (uk) chocolate cowry (Mauritia mauritiana)/humpback cowry/
ハチジョウダカラガイ /(n) (uk) chocolate cowry (Mauritia mauritiana)/humpback cowry/
ハチドリ /(n) (uk) hummingbird (Trochilidae family)/
ハチマルハチロク /(n) (comp) 8086/
ハチマルペケハチロク /(n) (comp) 80x86/
ハチワレ /(n) bigeye thresher (species of thresher shark, Alopias superciliosus)/
ハチ公 [ハチこう] /(n) statue of Hachiko (a dog) at Shibuya station/
ハチ目 [ハチもく] /(n) Hymenoptera/
ハッと /(adv,n,vs) (on-mim) taken aback/
ハッと息をのむ [ハッといきをのむ] /(exp,v5m) to gasp in or with surprise/
ハッカー /(n) (comp) hacker/(P)/
ハッカー症候群 [ハッカーしょうこうぐん] /(n) hacker syndrome/
ハッカチョウ /(n) (uk) crested myna (species of mynah bird, Acridotheres cristatellus)/
ハッカ語 [ハッカご] /(n) Hakka (dialect of Mandarin Chinese)/
ハッキング /(n) (comp) hacking/
ハック /(n) (comp) hack/
ハックション /(int,vs) achoo!/atishoo!/sneeze/
ハックルベリー /(n) huckleberry/
ハッシウム /(n) hassium (Hs)/
ハッシッシ /(n) hashish/
ハッシュ /(n) (comp) hash/
ハッシュ・ブラウン /(n) hash browns/
ハッシュアルゴリズム /(n) (comp) hash algorithm/
ハッシュテーブル /(n) (comp) hash table/
ハッシュトータル /(n) (comp) hash total/
ハッシュドビーフ /(n) hashed beef/
ハッシュブラウン /(n) hash browns/
ハッシュ関数 [ハッシュかんすう] /(n) (comp) hash function/
ハッシュ合計 [ハッシュごうけい] /(n) (comp) hash total/
ハッシュ処理 [ハッシュしょり] /(n) (comp) hashing/
ハッシュ表探索 [ハッシュひょうたんさく] /(n) (comp) hash table search/
ハッシュ法 [ハッシュほう] /(n) (comp) hashing/
ハッジ /(n) hajj (ara:)/haj/hadj/
ハッジー /(n) haji/
ハッスル /(n,vs) hustle/(P)/
ハッセ /(n) Hasse, Helmut (1898-1979) (mathematician)/
ハッチ /(n) hatch/(P)/
ハッチバック /(n) hatchback/
ハッチング /(n) (comp) hatching/
ハッチ定義表 [ハッチていぎひょう] /(n) (comp) hatch table/
ハッチ内部様式 [ハッチないぶようしき] /(n) (comp) hatch interior style/
ハッチ様式 [ハッチようしき] /(n) (comp) hatch style/
ハット /(n) (1) hat/(2) hut/(P)/
ハットトリック /(n) hat trick/
ハッピー /(adj-na,n) happy/(P)/
ハッピーエンド /(n) happy ending (wasei: happy end)/(P)/
ハッピーコート /(n) happi coat (happy coat)/
ハッピースラッピング /(n) (obsc) happy slapping/
ハッピーバースデー /(int) Happy Birthday/
ハッピーバースデイ /(int) Happy Birthday/
ハッピーマンデー /(n) national holiday that has been moved to a Monday (e.g. Coming-of-Age Day) (wasei: happy Monday)/
ハッピバー /(int) (abbr) (sl) Happy Birthday/
ハッブルの法則 [ハッブルのほうそく] /(n) Hubble's law/
ハッブル宇宙望遠鏡 [ハッブルうちゅうぼうえんきょう] /(n) Hubble Space Telescope/
ハッブル望遠鏡 [ハッブルぼうえんきょう] /(n) Hubble telescope/
ハップ /(n) (1) poultice (dut: pap)/cataplasm/
ハツ /(n) hearts/
ハツカネズミ /(n) (uk) house mouse (Mus musculus)/
ハディース /(n) Hadith (ara: hadit)/tradition related to the words and deeds of Muhammad/
ハト /(n) pigeon/dove/
ハトムギ /(n) (uk) adlay (Coix lacryma-jobi var. ma-yuen)/Job's tears/coixseed/tear grass/adlai/
ハトロン紙 [ハトロンし] /(n) kraft paper/
ハト派 [ハトは] /(n) doves/soft-liner/
ハト目 [ハトもく] /(n) Columbiformes (family of birds comprising pigeons and doves)/
ハドック /(n) haddock (Melanogrammus aeglefinus)/
ハドル /(n) huddle/
ハドロン /(n) hadron/
ハナアイゴ /(n) streamlined spinefoot (Siganus argenteus, species of Indo-Pacific rabbitfish)/Roman-nose spinefoot/forktail rabbitfish/rabbitface spinefoot/
ハナアブ /(n) (1) (uk) hoverfly (any fly of family Syrphidae)/syrphid/(2) drone fly (Eristalis tenax)/
ハナウド /(n) (uk) Heracleum nipponicum (species of hogweed)/
ハナエチゼン /(n) Hanaechizen (variety of rice)/
ハナカイドウ /(n) (uk) Hall's crab apple/flowering crab apple/Malus halliana/
ハナカケトラザメ /(n) small-spotted catshark (Scyliorhinus canicula, species found in the northeast Atlantic and Mediterranean)/
ハナカンザシ /(n) (1) (uk) chamomile sunray (Rhodanthe anthemoides)/
ハナガイ /(n) (uk) Placamen tiara (species of venerid)/
ハナキャベツ /(n) cauliflower/
ハナキンチャクフグ /(n) crowned puffer (Canthigaster coronata)/crown toby/saddle-back puffer/
ハナグマ /(n) (uk) coati/
ハナグモ /(n) (uk) Misumenops tricuspidatus (species of crab spider)/
ハナグロ /(n) blacknose shark (Carcharhinus acronotus, species of requiem shark common in the western Atlantic)/
ハナグロイソハゼ /(n) Eviota shimadai (species of pygmy goby found in Japan, Palau and Indonesia)/
ハナグロザメ /(n) blacknose shark (Carcharhinus acronotus, species of requiem shark common in the western Atlantic)/
ハナグロチョウチョウウオ /(n) ornate butterflyfish (Chaetodon ornatissimus)/
ハナゴンドウ /(n) (uk) Risso's dolphin (Grampus griseus)/grampus/
ハナザメ /(n) (uk) spinner shark (Carcharhinus brevipinna)/long-nose grey shark/
ハナジロチョウチョウウオ /(n) black butterflyfish (Chaetodon flavirostris)/dusky butterflyfish/
ハナズオウ /(n) (uk) Cercis chinensis/
ハナトラノオ /(n) (uk) false dragonhead (Physostegia virginiana)/obedient plant/
ハナナガスズメダイ /(n) blunt snout gregory (Stegastes lividus)/
ハナヒリノキ /(n) (uk) Leucothoe grayana (species of ericaceous plant)/
ハナビラウツボ /(n) whitemouth moray eel (Gymnothorax meleagris, was Gymnothorax chlorostigma)/
ハナブトオオトカゲ /(n) (uk) crocodile monitor (Varanus salvadorii, species of carnivorous monitor lizard found in New Guinea)/Salvadori's monitor/Papua monitor/artellia/
ハナミズキ /(n) (uk) flowering dogwood (Cornus florida)/
ハナミノカサゴ /(n) (uk) red lionfish (Pterois volitans)/
ハナミョウガ /(n) (uk) peppermint stick (species of perennial evergreen, Alpinia japonica)/
ハナムグリ /(n) (1) (uk) flower chafer (any flower beetle of tribe Cetoniini)/(2) Eucetonia pilifera (flower chafer species of tribe Cetoniini)/
ハナ金 [ハナきん] /(n) thank God it's Friday (lit: flowery Friday, when young men et al. stay out late)/TGIF/going out on Friday night/
ハニー /(n) honey/
ハニカム /(n) honeycomb/
ハニカム構造 [ハニカムこうぞう] /(n) honeycomb construction/honeycomb structure/
ハネカクシ /(n) (uk) rove beetle/
ハネジネズミ /(n) (uk) elephant shrew (Macroscelididae spp.)/
ハネムーン /(n) honeymoon/(P)/
ハノイ /(n) Hanoi/
ハノイの塔 [ハノイのとう] /(n) (comp) tower of Hanoi/
ハハコグサ /(n) (uk) Jersey cudweed (species of cottonweed, Gnaphalium affine)/
ハバード /(n) Hubbard/
ハバクク書 [ハバククしょ] /(n) Habakkuk (book of the Bible)/
ハバタキ /(n) Habataki (variety of rice)/
ハバネラ /(n) habanera (style of slow Cuban dance) (spa:)/
ハバネロ /(n) Habanero (pepper)/
ハバハバ /(n) hubba-hubba/
ハビタット /(n) (comp) Habitat/
ハビット /(n) habit/
ハビリテーション /(n) habilitation/
ハビレ /(n) bignose shark (Carcharhinus altimus, species of circumglobal requiem shark)/
ハピバー /(int) (abbr) (sl) Happy Birthday/
ハフニウム /(n) hafnium (Hf)/
ハフマン符号 [ハフマンふごう] /(n) (comp) Huffman code/
ハフリンガー /(n) Haflinger (breed of horse)/
ハブ /(n) (1) (comp) hub/(vs) (2) (sl) to ostracize (someone)/to reject/
ハブる /(v5r) to exclude/to leave out (of conversations, etc.)/to send to Coventry/
ハブソウ /(n) (uk) coffee senna (Senna occidentalis)/
ハブリッドカー /(n) hybrid car/
ハブリング /(n) (comp) hub ring/
ハブ空港 [ハブくうこう] /(n) hub airport/
ハプテン /(n) hapten/
ハプニング /(n) happening/(P)/
ハプニングバー /(n) partner-swapping sex club (wasei: happening bar)/
ハプバー /(n) (abbr) partner-swapping sex club/
ハプロタイプ /(n) haplotype (haploid genotype)/
ハプロタイプ地図 [ハプロタイプちず] /(n) haplotype map/HapMap/Hap Map/
ハペニング /(n) happening/
ハホウツボ /(n) broomrape (Orobanche coerulescens)/
ハボウキガイ /(n) (uk) Pinna bicolor (species of pen shell)/
ハマる /(v5r,vi) (1) (uk) to fit/to get into/to go into/(2) (uk) to be fit for (a job, etc.)/to be suited for/to satisfy (conditions)/(3) (uk) to fall into/to plunge into/to get stuck/to get caught/(4) (uk) to be deceived/to be taken in/to fall into a trap/(5) (uk) to be addicted to/to be deep into/to be crazy about/to be stuck on/(P)/
ハマカンゾウ /(n) (uk) daylily/
ハマグリ /(n) (uk) common orient clam (Meretrix lusoria)/
ハマゴウ /(n) (uk) beach vitex (Vitex rotundifolia)/round-leaf vitex/
ハマス /(n) Hamas (Palestinian Islamic fundamentalist group)/
ハマスゲ /(n) (uk) nut grass (Cyperus rotundus)/
ハマゼリ /(n) (uk) Cnidium japonicum (species of umbellifer)/
ハマダイ /(n) (uk) queen snapper (Etelis coruscans)/ruby snapper/flame snapper/
ハマダラカ /(n) (uk) anopheles mosquito (any mosquito of genus Anopheles, capable of carrying malaria)/
ハマチ /(n) (uk) (ksb:) young Japanese amberjack/young yellowtail/
ハマトビムシ /(n) (uk) beach flea (any amphipod of family Talitridae)/sand flea/sand hopper/
ハマトラ /(n) (abbr) style of clothing popular in the late 1970s and resembling a Catholic school uniform (wasei: Yokohama traditional)/
ハマナス /(n) (uk) rugosa rose (Rosa rugosa)/Japanese rose/Ramanas rose/
ハマヒバリ /(n) (uk) shore lark (Eremophila alpestris)/horned lark/
ハマヒルガオ /(n) (uk) seashore false bindweed (Calystegia soldanella)/
ハマボウフウ /(n) (uk) Glehnia littoralis (species of umbellifer used in Chinese medicine)/
ハミ /(n) (uk) bit mouthpiece/
ハミパン /(n) (abbr) (sl) having part of one's underwear exposed from their shorts/
ハミルトニアン /(n,adj-no) Hamiltonian/
ハミルトン /(n) Hamilton/(P)/
ハミング /(n,vs) (1) humming/(n) (2) Hamming/
ハミングコード /(n) (comp) Hamming code/
ハミングコードチェック /(n) (comp) Hamming code check/
ハミングバード /(n) hummingbird/
ハム /(n) (1) ham (cured pig meat)/(2) ham (amateur radio enthusiast)/(3) hum/(P)/
ハムエッグ /(n) ham and eggs/
ハムサラダ /(n) ham and salad/
ハムサンド /(n) ham sandwich/
ハムシ /(n) (uk) leaf beetle (of family Chrysomelidae)/
ハムスター /(n) hamster/(P)/
ハムセム語族 [ハムセムごぞく] /(n) (obs) (obsc) Hamito-Semitic (family of languages)/
ハムレット /(n) hamlet/
ハムレット型 [ハムレットがた] /(n,adj-no) Hamletish/
ハム語族 [ハムごぞく] /(n) (obs) Hamitic (hypothetical family of languages)/
ハメ /(n,vs) fucking/screwing/having sex/
ハメ撮り [ハメどり] /(n,vs) (vulg) photographing or filming of sex/
ハモ /(n) (1) (uk) daggertooth pike conger (Muraenesox cinereus)/(2) (in Northern Japan) conger eel/garden eel/
ハモる /(v5r) to harmonize/to harmonise/to be in harmony/
ハモニカ /(n) harmonica/
ハモンドオルガン /(n) Hammond organ/
ハヤシ /(n) (1) hash (e.g. hashed meat)/(2) hash (function)/
ハヤシライス /(n) hashed meat with rice/
ハヤブサ /(n) (uk) falcon (esp. the peregrine falcon, Falco peregrinus)/
ハラール /(n) halal (ara:)/
ハラアカ /(n) (1) (obsc) trout/
ハラカ /(n) (1) (obsc) trout/
ハラショー /(adj-f) good (rus: khorosho)/wonderful/splendid/agreed/(P)/
ハラタケ /(n) (uk) field mushroom (Agaricus campestris)/meadow mushroom/
ハラハラ /(adv,vs,adv-to) (1) (on-mim) heart going pit-a-pat/falling rapidly in big drops/fluttering down/(2) keeping on tenterhooks/suspense/(3) exciting/thrilling/(P)/
ハラビロカマキリ /(n) (uk) Indo-Pacific mantis (Hierodula patellifera)/
ハラペーニョ /(n) jalapeno pepper (spa:)/jalapeno/
ハラペニョ /(n) jalapeno pepper (spa:)/jalapeno/
ハラミ /(n) skirt steak/tender beef around the diaphragm/
ハリー彗星 [ハリーすいせい] /(n) Halley's comet/
ハリとコシ /(exp) bounce and resilience (of hair)/
ハリアー /(n) Harrier/
ハリイカ /(n) (1) (uk) golden cuttlefish (Sepia esculenta)/(2) Madokai's cuttlefish (Sepia madokai)/
ハリウッドスター /(n) (col) Hollywood star/
ハリウッド映画 [ハリウッドえいが] /(n) Hollywood movie/
ハリエンジュ /(n) black locust/robinia pseudoacacia/
ハリオアマツバメ /(n) (uk) white-throated needletail (species of swift, Hirundapus caudacutus)/
ハリガネムシ /(n) (1) (uk) any horsehair worm of class Gordioidea/gordian worm (of class Gordioidea)/hair worm (of class Gordioidea)/(2) wireworm (click beetle larva)/
ハリグワ /(n) (uk) storehousebush (Cudrania tricuspidata)/mandarin melon berry/silkworm thorn/cudrang/
ハリケーン /(n) hurricane/(P)/
ハリケーン・カトリーナ /(n) Hurricane Katrina (2005)/
ハリケーンカトリーナ /(n) Hurricane Katrina (2005)/
ハリケイン /(n) hurricane/
ハリジャン /(n) Harijan (member of India's untouchable caste)/
ハリストス /(n) Christ (rus: Khristos)/
ハリストス正教会 [ハリストスせいきょうかい] /(n) (1) Eastern Orthodox Church/(2) Japan Orthodox Church/
ハリセン /(n) (uk) (paper fan used as) a slapstick/
ハリセンボン /(n) porcupinefish/balloonfish/
ハリネズミ /(n) (uk) hedgehog (any mammal of family Erinaceidae)/
ハリハリ /(n) thin, dried strips of daikon soaked in vinegar and other flavorings/
ハリハリ漬け [ハリハリつけ] /(n) thin, dried strips of daikon soaked in vinegar and other flavorings/
ハリバット /(n) halibut/
ハリファ /(n) caliph/chief civil and religious Muslim ruler (prior to 1924)/
ハリファックス大爆発 [ハリファックスだいばくはつ] /(n) The Halifax Explosion (Dec. 6, 1917)/
ハリモグラ /(n) (uk) short-beaked echidna (Tachyglossidae spp.)/spiny anteater/
ハリモグラ科 [ハリモグラか] /(n) Tachyglossidae/
ハリモミ /(n) (uk) tiger-tail spruce (Picea polita)/
ハリヨ /(n) (uk) Gasterosteus microcephalus (species of stickleback)/
ハルシャギク /(n) (uk) plains coreopsis (Coreopsis tinctoria)/
ハルシャ菊 [ハルシャぎく] /(n) (uk) plains coreopsis (Coreopsis tinctoria)/
ハルジー朝 [ハルジーちょう] /(n) Khalji Dynasty (of India, 1290-1320 CE)/Khilji Dynasty/
ハルジオン /(n) common fleabane/Philadelphia fleabane (Erigeron philadelphicus)/
ハルジョオン /(n) common fleabane/Philadelphia fleabane (Erigeron philadelphicus)/
ハルツ /(n) resin (ger: Harz)/
ハルニレ /(n) (uk) Japanese elm (Ulmus davidiana var. japonica)/
ハルバ /(n) halva/
ハルバード /(n) halberd/
ハルパゴルニスワシ /(n) (uk) Haast's eagle (Harpagornis moorei)/Harpagornis eagle/
ハルパゴルニス鷲 [ハルパゴルニスわし] /(n) (uk) Haast's eagle (Harpagornis moorei)/Harpagornis eagle/
ハルベルト /(n) halberd/
ハルマゲドン /(n) Armageddon (gre: Harmagedon)/
ハルマッタン /(n) harmattan (wind)/
ハルモニウム /(n) harmonium/
ハルリンドウ /(n) (uk) Gentiana thunbergii (species of gentian)/
ハレー /(n) Halley/(P)/
ハレーション /(n) halation (i.e. in photography, a halo-effect when additional light leaks out around the subject)/
ハレー彗星 [ハレーすいせい] /(n) Halley's comet/
ハレム /(n) harem/
ハレルヤ /(n) hallelujah/
ハロ /(n) (1) halo/
ハロー /(n) (1) halo/(2) hello/hallo/hullo/(3) harrow/(P)/
ハローウィン /(n) Halloween/
ハローページ /(n) Hello Page (NTT white pages)/
ハローワーク /(n) (name of) Japanese government employment agency (wasei: hello work)/
ハロー効果 [ハローこうか] /(n) halo effect/
ハロウィーン /(n) Halloween/(P)/
ハロウィン /(n) Halloween/
ハロカーボン /(n) halocarbon/
ハロゲン /(n,adj-no) halogen/(P)/
ハロゲンヒーター /(n) halogen heater/
ハロゲンライト /(n) halogen light/
ハロゲンランプ /(n) halogen lamp/
ハロゲン化 [ハロゲンか] /(n,vs) halogenation/
ハロゲン化銀 [ハロゲンかぎん] /(n) silver halide/
ハロゲン族元素 [ハロゲンぞくげんそ] /(n) halogen family elements/
ハロゲン電球 [ハロゲンでんきゅう] /(n) tungsten halogen lamp/
ハロステン /(n) Halosten (Japanese brand of haloperidol)/
ハロセン /(n) halothane/
ハロタン /(n) halothane/
ハロップ /(n) Harrop/(P)/
ハロペリドール /(n) haloperidol/
ハロン /(n) (1) halon/(2) furlong/(P)/
ハワイアン /(n) Hawaiian/
ハワイアンギター /(n) Hawaiian guitar/(P)/
ハワイアンクリーナーラス /(n) Hawaiian cleaner wrasse (Labroides phthirophagus)/rainbow cleaner wrasse/golden cleaner wrasse/
ハワイアングレゴリー /(n) Hawaiian gregory (Stegastes marginatus)/
ハワイアンゴールドバードバタフライフィッシュ /(n) Hawaiian gold-barred butterflyfish (Roa excelsa, formerly Chaetodon excelsa)/
ハワイアンバイカラークロミス /(n) Hawaiian bicolor chromis (Chromis hanui)/chocolate-dip chromis/chocolate dip damsel/
ハワイアンプファーフィシュ /(n) Hawaiian whitespotted toby (Canthigaster jactator)/Hawaiian pufferfish/
ハワイアンホワイトスポッティドトビィ /(n) Hawaiian whitespotted toby (Canthigaster jactator)/Hawaiian pufferfish/
ハワイガン /(n) (uk) Hawaiian goose (Branta sandvicensis)/nene/
ハワイクリーナーラス /(n) Hawaiian cleaner wrasse (Labroides phthirophagus)/rainbow cleaner wrasse/golden cleaner wrasse/
ハワイミツスイ /(n) (uk) Hawaiian honeycreeper/
ハワイ雁 [ハワイがん] /(n) (uk) Hawaiian goose (Branta sandvicensis)/nene/
ハワイ語 [ハワイご] /(n) Hawaiian (language)/
ハワイ式噴火 [ハワイしきふんか] /(n) Hawaiian eruption/
ハワイ諸島 [ハワイしょとう] /(n) Hawaiian Islands/
ハワイ蜜吸 [ハワイみつすい] /(n) (uk) Hawaiian honeycreeper/
ハン /(n) khan (medieval ruler of a Tatary tribe)/
ハンカチ /(n) (abbr) handkerchief/(P)/
ハンカチーフ /(n) handkerchief/
ハンガー /(n) (1) (aircraft) hangar/(2) (coat) hanger/(3) hunger/(P)/
ハンガーストライキ /(n) hunger strike/
ハンガーディスプレ /(n) hanger display/
ハンガープラント /(n) hanger plant/
ハンガリー /(n) (uk) Hungary/
ハンガリー語 [ハンガリーご] /(n) Hungarian/
ハンガリー精神 [ハンガリーせいしん] /(n) hungry spirit (lacking in people not having drive or ambition)/
ハンギングスリーブ /(n) hanging sleeve/
ハンギングプラント /(n) hanging plant/
ハング /(n,vs) hang/(P)/
ハングアップ /(n,vs,adj-f) (1) hung-up/(2) hang up/
ハンググライダー /(n) hang glider/
ハンググライディング /(n) hang gliding/
ハングテン /(n) hang ten (surfing)/
ハングライダー /(n) (col) (abbr) hang glider/
ハングリー /(adj-na,n) hungry/(P)/
ハングリーマーケット /(n) hungry market/
ハングル /(n) hangul (Korean script) (kor:)/(P)/
ハングル語 [ハングルご] /(n) Hangul language (improper neologism for the Korean language)/
ハンケチ /(n) (abbr) handkerchief/
ハンケチーフ /(n) handkerchief/
ハンサム /(adj-na,n) handsome/(P)/
ハンザキ /(n) (uk) Japanese giant salamander (Andrias japonicus)/
ハンザ同盟 [ハンザどうめい] /(n) Hanseatic League/
ハンスト /(n,vs) (abbr) hunger strike/(P)/
ハンズフリー /(n,adj-no) hands free (e.g, telephone)/
ハンセン氏病 [ハンセンしびょう] /(n) (obsc) Hansen's disease/leprosy/
ハンセン病 [ハンセンびょう] /(n) (sens) Hansen's disease/leprosy/(P)/
ハンセン病患者 [ハンセンびょうかんじゃ] /(n) leper/
ハンター /(n) hunter/(P)/
ハンターキラー /(n) hunter killer/
ハンタウイルス /(n) hantavirus/
ハンダ /(n) solder/pewter/
ハンダ付け [ハンダづけ] /(n,vs,adj-no) soldering/
ハンダ鏝 [ハンダごて] /(n) soldering iron/
ハンチング /(n) (1) hunting/(2) oscillatory behavior of a non-converging feedback loop (behaviour)/(3) (abbr) hunting cap/(P)/
ハンチング帽 [ハンチングぼう] /(n) hunting cap/
ハンチントン舞踏病 [ハンチントンぶとうびょう] /(n) Huntington's chorea/
ハンティング /(n) hunting/(P)/
ハンテンボク /(n) (uk) tulip tree (Liriodendron tulipifera)/tuliptree/yellow poplar/
ハンデ /(n) (abbr) handicap/
ハンディ /(adj-na,n) (1) handy/(2) (abbr) handicap/(P)/
ハンディー /(adj-na,n) (1) handy/(2) (abbr) handicap/
ハンディームック /(n) handy mook (mook is magazine book)/
ハンディキャップ /(n) handicap/(P)/
ハンディキャップレース /(n) handicap race/
ハンディクラフト /(n) handicraft/
ハンディスキャナ /(n) (comp) handy scanner/
ハンディフォン /(n) (comp) handiphone/PHP/mobile telephone/
ハンディムック /(n) handy mook (mook is magazine book)/
ハンデルスブラット /(n) Handelsblatt (German commercial newspaper)/
ハント /(n,vs) hunt/
ハンド /(n) hand/(P)/
ハンドへルドデバイス /(n) (comp) handheld device/
ハンドアウト /(n) handout/
ハンドアックス /(n) hand axe (ax)/
ハンドウイルカ /(n) (uk) bottlenose dolphin/bottlenosed dolphin (Tursiops truncatus)/
ハンドオーバー /(n) handover (in cellular telecommunications)/handoff/
ハンドオフ /(n) (comp) handoff/
ハンドカート /(n) handcart/
ハンドキャリアー /(n) employee of a messenger or delivery service (wasei: hand carrier)/
ハンドクリーム /(n) hand cream/
ハンドシェーキング /(n) (comp) handshaking/
ハンドシェーク /(n) handshake/
ハンドシェーク指示未完了 [ハンドシェークしじみかんりょう] /(n) (comp) handshake indication outstanding/
ハンドシェーク要求未完了 [ハンドシェークようきゅうみかんりょう] /(n) (comp) (obsc) handshake request outstanding/
ハンドシェイク /(n) (comp) handshake/
ハンドセット /(n) (comp) handset/
ハンドタオル /(n) hand-towel/
ハンドトラクター /(n) hand tractor/
ハンドドリル /(n) hand drill/
ハンドニット /(n) hand-knit/
ハンドバッグ /(n) handbag/purse/(P)/
ハンドフリー /(n) (comp) handsfree/
ハンドブック /(n) handbook/(P)/
ハンドブレーキ /(n) hand brake/
ハンドヘルド /(n) (comp) hand held/
ハンドヘルドＰＣ [ハンドヘルドピーシー] /(n) (comp) handheld Personal Computer/HPC/
ハンドヘルドコンピュータ /(n) (comp) hand-held computer/
ハンドヘルドスキャナ /(n) (comp) hand-held scanner/handheld scanner/
ハンドヘルドスキャナー /(n) (comp) hand-held scanner/handheld scanner/
ハンドヘルド計算器 [ハンドヘルドけいさんき] /(n) (comp) pocket calculator/hand-held calculator/
ハンドベル /(n) handbell/
ハンドボール /(n) hand-ball/(P)/
ハンドマネー /(n) hand money/
ハンドメード /(n) (1) handmade object/craft work/(adj-f) (2) handmade/
ハンドメイド /(n) (1) handmade object/craft work/(adj-f) (2) handmade/(P)/
ハンドラ /(n) handler/
ハンドリフト /(n) handlift/pallet jack/manual forklift/
ハンドリング /(n) handling/
ハンドル /(n) (1) handle/(2) steering wheel/(3) (bicycle) handlebar/(P)/
ハンドルネーム /(n) handle name/
ハンドレットベースティー /(n) (comp) 100BASE-T/
ハンドレッド /(n) hundred/
ハンドローション /(n) hand lotion/
ハンドログ /(n) hand log/
ハンドワーク /(n) handwork/
ハンノキ /(n) (uk) Japanese alder (Alnus japonica)/
ハンバーガー /(n) hamburger (on a bun)/(P)/
ハンバーグ /(n) hamburger (meat, no bun)/Hamburg steak/(P)/
ハンバーグステーキ /(n) hamburger (meat, no bun)/beefburger/Hamburg steak/
ハンバイ /(n,vs) sales/selling/marketing/
ハンブル /(adj-f) (1) humble/(n,vs) (2) fumble/
ハンプ /(n) hump (e.g. speed hump)/
ハンプバックバットフィッシュ /(n) humpback batfish (Platax batavianus, species of Indo-West Pacific spadefish found from Madagascar to Indonesia and Australia)/
ハンマー /(n) hammer/(P)/
ハンマービーム /(n) hammer beam/
ハンマービームトラス /(n) hammer beam truss/
ハンマーヘッド・シャーク /(n) hammerhead shark/
ハンマーヘッドシャーク /(n) hammerhead shark/
ハンマーロック /(n) hammerlock/
ハンマー投げ [ハンマーなげ] /(n) hammer throw (track and field)/
ハンモック /(n) hammock/
ハンレイ岩 [ハンレイがん] /(n) gabbro (a type of rock similar to granite)/
ハンロンの剃刀 [ハンロンのかみそり] /(n) (obsc) Hanlon's razor ("Never attribute to malice that which can be adequately explained by stupidity")/
ハ音記号 [ハおんきごう] /(n) C clef/
ハ行 [ハぎょう] /(n) classification for Japanese verb with the dictionary form ending in "hu or fu"/"ha" column or row of the kana syllabary/
ハ短調 [ハたんちょう] /(n) C minor/
ハ調 [ハちょう] /(n) key of C (music)/
ハ長調 [ハちょうちょう] /(n) C major/
バー /(n) (1) bar/(2) VAR/(P)/
バーガー /(n) burger/(P)/
バーキットリンパ腫 [バーキットリンパしゅ] /(n) Burkitt's lymphoma/
バーク /(n) bark/
バークリウム /(n) berkelium (Bk)/(P)/
バークレー /(n) Berkeley/(P)/
バーケンチン /(n) barkentine/barquentine/
バーゲニングパワー /(n) bargaining power/
バーゲン /(n) bargain/(P)/
バーゲンセール /(n) bargain sale/(P)/
バーゲンハンティング /(n) bargain hunting/
バーコード /(n) bar code/(P)/
バーコードスキャナー /(n) bar code scanner/
バーコードヘア /(n) hair combed in stripes across a bald pate (wasei: barcode hair)/
バーコードリーダ /(n) (comp) bar-code reader/
バーコードリーダー /(n) (comp) bar code reader/
バーコード頭 [バーコードあたま] /(n) someone with hair combed in stripes across their bald spot (from barcode head)/
バーサーカ /(n) berserker/
バーサーカー /(n) berserker/
バーサーク /(n) berserk/
バージ /(n) (comp) ViRGE/
バージェスバタフライフィッシュ /(n) Burgess' butterflyfish (Chaetodon burgessi)/
バージェス動物群 [バージェスどうぶつぐん] /(n) Burgess fauna (animal fossils found in the Burgess Shale)/
バージナル /(n,adj-no) virginal/
バージニア /(n) Virginia/(P)/
バージニティ /(n) virginity/
バージニティー /(n) virginity/
バージョン /(n) version/(P)/
バージョンアップ /(n,vs) (abbr) updating a software version (wasei: version up)/version upgrade/
バージョン管理システム [バージョンかんりシステム] /(n) (comp) version control system/
バージョン番号 [バージョンばんごう] /(n) (comp) version number/
バージン /(n) virgin/(P)/
バージンソイル /(n) virgin soil/
バージンロード /(n) the aisle (i.e. the thing a bride walks down) (wasei: virgin road)/
バース /(n) (1) berth/(2) verse/(3) birth/(P)/
バースコントロール /(n) birth control/
バースデー /(n) birthday/(P)/
バースデーカード /(n) birthday card/
バースデーケーキ /(n) birthday cake/
バースディ /(n) birthday/
バースデイ /(n) birthday/
バースデイカード /(n) birthday card/
バースト /(n,vs) burst/(P)/
バーストＳＲＡＭ [バーストエスラム] /(n) (comp) burst SRAM/
バーストサイズ /(n) (comp) burst size/
バーストデータ /(n) (comp) burst data/
バーストトラヒック /(n) (comp) burst traffic/bursty traffic/
バーストトラフィック /(n) (comp) burst(y) traffic/
バーストページ /(n) (comp) burst page/
バーストモード /(n) (comp) burst mode/
バーストモード転送 [バーストモードてんそう] /(n) (comp) burst-mode transfer/burst operation/
バースト性 [バーストせい] /(n) (comp) burstiness/
バースト長 [バーストちょう] /(n) (comp) burst length/
バースト的 [バーストてき] /(adj-na) (comp) bursty/
バースト転送 [バーストてんそう] /(n) (comp) burst transfer/
バースト伝送 [バーストでんそう] /(n) (comp) burst transmission/
バースト頻度 [バーストひんど] /(n) (comp) burst frequency/
バースマティー /(n) basmati (rice)/
バース党 [バースとう] /(n) Baath Party/Ba'ath Party/
バーゼ /(n) (chem) base (ger:)/
バーゼル /(n) Basel/
バーター /(n) barter/(P)/
バーターシステム /(n) barter system/
バーチカルマーケティング /(n) vertical marketing/
バーチャル /(adj-na,n) virtual/(P)/
バーチャルＬＡＮ [バーチャルラン] /(n) (comp) virtual Local Area Network/VLAN/
バーチャルウォレット /(n) virtual wallet/
バーチャルコーポレーション /(n) (comp) virtual corporation/VC/
バーチャルコネクション /(n) (comp) virtual connection/
バーチャルサーキット /(n) virtual circuit/
バーチャルサーキット識別子 [バーチャルサーキットしきべつし] /(n) (comp) virtual channel identifier/VCI/
バーチャルパス /(n) (comp) virtual path/
バーチャルパス識別子 [バーチャルパスしきべつし] /(n) (comp) virtual path identifier/VPI/
バーチャルマシン /(n) (comp) virtual machine/VM/
バーチャルメモリー /(n) (comp) virtual memory/
バーチャルモール /(n) (comp) virtual mall/
バーチャルリアリティ /(n) virtual reality/
バーチャルリアリティー /(n) virtual reality/
バーチュアル /(adj-na,n) virtual/
バーチュオーソ /(n) virtuoso (ita:)/
バーツ /(n) baht (Thai monetary unit) (tha:)/
バーティゴ /(n) vertigo/
バーテックスシェーダ /(n) (comp) vertex shader/
バーテン /(n) (abbr) bartender/(P)/
バーテンダー /(n) bartender/
バーディー /(n) birdie/(P)/
バートカービング /(n) bird carving/
バートレット /(n) Bartlett (pear)/
バートレット法 [バートレットほう] /(n) Bartlett Act (1964)/
バード /(n) (1) bird/(2) bard (esp. in RPG games)/
バード・バス /(n) bird bath/bird-bath/
バードウィーク /(n) Bird Week (starting on May 10th of each year)/
バードウォッチング /(n) bird-watching/
バードウオッチャー /(n) bird-watcher/birdwatcher/
バードウオッチング /(n) bird watching/
バードコール /(n) birdcall/(P)/
バードサンクチュアリ /(n) bird sanctuary/
バードサンクチュアリー /(n) bird sanctuary/
バードスパインフット /(n) barred spinefoot (Siganus doliatus, species of Western Pacific rabbitfish)/barred rabbitfish/
バードバス /(n) bird bath/bird-bath/
バードホッグフィッシュ /(n) barred hogfish (Bodianus scrofa)/
バーナー /(n) burner/(P)/
バーナリゼーション /(n) vernalization/
バーニア /(n) scale/vernier/
バーニヤ /(n) vernier/
バーニヤキャリパス /(n) vernier callipers (calipers)/
バーニング /(n) burning/
バーバー /(n) barber/(P)/
バーバーフィッシュ /(n) blacknosed butterflyfish (Johnrandallia nigrirostris)/barberfish/
バーバリー /(n) Burberry/
バーバリズム /(n) barbarism/
バーフィック /(n) (comp) barfic/
バープリンタ /(n) (comp) bar printer/
バーベキュー /(n) barbecue/BBQ/(P)/
バーベキューソース /(n) barbecue sauce/BBQ sauce/
バーベキュー場 [バーベキューじょう] /(n) barbecue site/barbecue area/
バーベナ /(n) verbena (lat:)/
バーベル /(n) barbell/(P)/
バーボン /(n) bourbon/(P)/
バーミキュライト /(n) vermiculite/
バーミセリ /(n) vermicelli (ita:)/
バーミューダ /(n) Bermuda/
バーミューダショーツ /(n) Bermuda shorts/
バーミューダトライアングル /(n) Bermuda Triangle/
バーミリオン /(n,adj-no) vermillion/
バーミンガム /(n) Birmingham/(P)/
バーモント /(n) Vermont/
バール /(n) (1) bar/(2) (abbr) crowbar/(P)/
バーレスク /(n) burlesque/(P)/
バーレッド・スパインフット /(n) barred spinefoot (Siganus doliatus, species of Western Pacific rabbitfish)/barred rabbitfish/
バーレッドスパインフット /(n) barred spinefoot (Siganus doliatus, species of Western Pacific rabbitfish)/barred rabbitfish/
バーレル /(n) barrel/(P)/
バーン /(n) (1) barn/(2) bahn (ger:)/(adv-to) (3) (on-mim) bang/bam/wham/(n) (4) (comp) BAAN/
バーンアウトシンドローム /(n) burn-out syndrome/(P)/
バーンインテスト /(n) (comp) burn-in test/
バーントアンバー /(n) burnt umber/
バーントシェンナ /(n) burnt sienna/
バー印字装置 [バーいんじそうち] /(n) (comp) bar printer/
バー小体 [バーしょうたい] /(n) Barr body/
バアス党 [バアスとう] /(n) Baath Party/Ba'ath Party/
バイ /(n) (1) (uk) Japanese babylon (species of shelled mollusk, Babylonia japonica)/Japanese ivory shell/(2) (abbr) spinning top (traditionally made from a Japanese babylon shell)/
バイ /(n) (1) by/(2) bye/(P)/
バイじい /(n) (abbr) old man who takes Viagra/
バイアウト /(n) buyout/
バイアグラ /(n) Viagra/
バイアス /(n) bias/
バイアスタイヤ /(n) bias tire/
バイアステープ /(n) bias tape/
バイアスロン /(n) biathlon/(P)/
バイアル /(n) vial/
バイイングパワー /(n) buying power/
バイエル /(n) Bayer/Farbenfabriken Bayer Aktiengesellschaft/
バイオ /(n,pref) (1) (abbr) biotechnology/bio/(2) VAIO (Sony brand-name)/(P)/
バイオアッセー /(n) bioassay/
バイオアッセイ /(n) bioassay/
バイオインダストリ /(n) bioindustry/
バイオインダストリー /(n) bioindustry/
バイオインフォマティクス /(n) bioinformatics/
バイオエシックス /(n) bioethics/
バイオエタノール /(n) bioethanol/
バイオエレクトロニクス /(n) bioelectronics/
バイオガス /(n) biogas/
バイオグラフィー /(n) biography/
バイオコンバーション /(n) bioconversion/
バイオコンピュータ /(n) (comp) biocomputer/
バイオコンピューター /(n) (comp) biocomputer/
バイオサイエンス /(n) bioscience/
バイオス /(n) (comp) BIOS/
バイオスフィア /(n) biosphere/
バイオセーフティーレベル /(n) biosafety level/
バイオセラミックス /(n) bioceramics/
バイオセンサー /(n) biosensor/
バイオチップ /(n) biochip/
バイオテクノロジー /(n) biotechnology/(P)/
バイオテレメトリー /(n) biotelemetry/
バイオテロリズム /(n) bioterrorism/
バイオディーゼル /(n) biodiesel/
バイオトロン /(n) biotron/
バイオニクス /(n) bionics/
バイオハザード /(n) biohazard/
バイオバンク /(n) DNA repository (wasei: biobank)/
バイオフィードバック /(n) biofeedback/
バイオプシー /(n) biopsy/
バイオホロニクス /(n) bioholonics/
バイオマス /(n) biomass/
バイオマテリアル /(n) biomaterial/
バイオミュージック /(n) bio music/
バイオメトリクス /(n) biometrics/
バイオリアクター /(n) bioreactor/
バイオリズム /(n) biorhythm/
バイオリニスト /(n) violinist/(P)/
バイオリン /(n) violin/(P)/
バイオリンの首 [バイオリンのくび] /(n) neck of a violin/
バイオレーション /(n) violation/
バイオレット /(n) violet/
バイオレメディエーション /(n) bioremediation/
バイオレンス /(n) violence/
バイオレンスゲーム /(n) (comp) violent (computer, video) game/
バイオロジー /(n) biology/
バイオ技術 [バイオぎじゅつ] /(n) biotechnology/
バイオ素子 [バイオそし] /(n) bio-device/
バイオ燃料 [バイオねんりょう] /(n) biofuel/
バイカウツギ /(n) Satsuma mock orange/Philadelphus satsumi/
バイカラーダムゼルフィッシュ /(n) bicolor damselfish (Stegastes partitus)/
バイカラード・フォックスフェイス /(n) bicolored foxface (Siganus uspi, species of rabbitfish endemic to Fiji sometimes found in New Caledonia)/
バイカラードフォックスフェイス /(n) bicolored foxface (Siganus uspi, species of rabbitfish endemic to Fiji sometimes found in New Caledonia)/
バイカラーバタフライフィッシュ /(n) bicolor butterflyfish (Prognathodes dichrous)/hedgehog butterflyfish/
バイカルアザラシ /(n) (uk) Baikal seal (Phoca sibirica)/
バイカル海豹 [バイカルあざらし] /(n) (uk) Baikal seal (Phoca sibirica)/
バイキング /(n) (1) Viking/(2) (abbr) smorgasbord/all-you-can-eat buffet/(P)/
バイキング料理 [バイキングりょうり] /(n) smorgasbord/all-you-can-eat buffet/
バイク /(n) bike/motorcycle/(P)/
バイクトレール /(n) bike trail/bicycle trail/
バイクパッキング /(n) bikepacking/
バイコレーター /(n) bicycle escalator (slim conveyor belt beside a flight of stairs)/
バイコロジー /(n) bicology/
バイザー /(n) visor/
バイシーモス /(n) (comp) Bi-CMOS/
バイシクル /(n) bicycle/
バイシクルトライアル /(n) bicycle trial/
バイシクルモトクロス /(n) bicycle motocross/
バイシンク /(n) (comp) bisync/binary synchronous/
バイス /(n) vice/vise/
バイスプレジデント /(n) vice-president/
バイセクシャル /(n,adj-no,adj-na) bisexual/
バイセクシュアル /(n,adj-no,adj-na) bisexual/
バイソン /(n) bison/
バイタミン /(n,adj-no) vitamin (ger:)/
バイタリズム /(n) vitalism/
バイタリティ /(n) vitality/
バイタリティー /(n) vitality/(P)/
バイタル /(n) vital/
バイタルサイン /(n) vital signs/
バイダー /(n) binder/
バイチ図 [バイチず] /(n) (comp) Veitch diagram/
バイト /(n,vs) (1) (abbr) work (esp. part time or casual) (ger: Arbeit)/(n) (2) (comp) (math) byte/octet/(3) bite/(4) cutting tool/bit/(P)/
バイトオーダー /(n) (comp) byte order/
バイトコード /(n) byte-code/
バイトコードインタープリタ /(n) (comp) byte code interpreter/
バイトコンパイル /(n) (comp) byte-compile/
バイトスワップ /(n) byte swap/
バイト敬語 [バイトけいご] /(n) Keigo used by employees in restaurants and other businesses/
バイト代 [バイトだい] /(n) (col) earnings from a part-time job/
バイト値 [バイトち] /(n) (comp) byte value/
バイナリ /(n) (comp) binary/
バイナリー /(n) (comp) binary/
バイナリダンプ /(n) binary dump/
バイナリデータ /(n) (comp) binary data/
バイナリファイル /(n) binary file/
バイナリフォーマット /(n) (comp) binary format/
バイナリモード /(n) (comp) binary mode/
バイナリラージオブジェクト /(n) (comp) binary large object/BLOB/
バイナリレベル互換 [バイナリレベルごかん] /(n) (comp) binary level compatibility/
バイナリ互換 [バイナリごかん] /(n) (comp) binary compatible/
バイナル /(n) vinal (polyvinyl alcohol)/vinylon/
バイニル /(n,adj-no) vinyl/
バイノーラル /(adj-f) binaural/
バイバイ /(exp) bye-bye/good-bye/
バイパー /(n) viper/
バイパス /(n,vs) bypass/(P)/
バイパス手術 [バイパスしゅじゅつ] /(n) bypass operation/
バイフュウエル車 [バイフュウエルしゃ] /(n) dual-fuel vehicle/
バイブ /(n,vs) vibe/vibration/
バイブル /(n) Bible/(P)/
バイブレーション /(n) vibration/
バイブレータ /(n) vibrator/
バイブレーター /(n) vibrator/
バイプレーヤー /(n) supporting actor (wasei: byplayer)/
バイポータブル /(n) (comp) Biportable/
バイポーラ /(n) bi-polar (in electronics)/
バイポーラートランジスター /(n) bipolar transistor/
バイポーラデバイス /(n) bi-polar device/
バイポーラトランジスタ /(n) (comp) bipolar transistor/
バイマクルー /(n) Kaffir lime (leaves used in Thai, etc. cuisine) (Citrus hystrix DC., Rutaceae)/
バイマックルー /(n) Kaffir lime (leaves used in Thai, etc. cuisine) (Citrus hystrix DC., Rutaceae)/
バイマンスリー /(n,adj-no) bimonthly/
バイメタル /(n) bimetal/
バイメタル温度計 [バイメタルおんどけい] /(n) bimetal thermometer/
バイモ /(n) (uk) fritillary/Fritillaria verticillata var. thunbergii/
バイヤー /(n) buyer/(P)/
バイヤーズクレジット /(n) buyer's credit/
バイヤー法 [バイヤーほう] /(n) Bayer process/
バイライン /(n) by-line/
バイラス /(n) (1) virus (lat:, ger:)/(adj-no) (2) viral/
バイラテラリズム /(n) bilateralism/
バイリニアフィルタリング /(n) (comp) bilinear filtering/
バイリン /(n) (abbr) bilingual/bilingualism/
バイリンガリズム /(n) bilingualism/
バイリンガル /(n) bilingual/(P)/
バインダー /(n) binder/
バインディング /(n) binding/
バインド /(n) bind/
バインドタイム /(n) (comp) binding time/
バインドファイル /(n) (comp) binding file/
バインヘクス /(n) (comp) BinHex/
バインリナックス /(n) (comp) Vine Linux/
バウ /(n) (comp) BOW/
バウサイド /(n) bow side/(P)/
バウチャー /(n) voucher/
バウチャーシステム /(n) voucher system/
バウムクーヘン /(n) baumkuchen (ger:)/(P)/
バウンス /(n) (comp) bounce/
バウンストメイル /(n) (comp) bounced mail/
バウンダリ調整 [バウンダリちょうせい] /(n) (comp) boundary alignment/
バウンド /(n,vs) bound/bounce/(P)/
バウンドトラップ /(n) (comp) bound trap/
バオバブ /(n) baobab (Bombacaceae)/
バカ /(n) (1) fool/idiot/(2) trivial matter/folly/absurdity/(adj-na) (3) foolish/stupid/dull/absurd/ridiculous/(n) (4) (abbr) surf clam/
バカが移る [バカがうつる] /(exp,v5r) (col) to catch 'the stupid' (e.g. from talking to stupid people, watching mindless TV, etc.)/
バカの壁 [バカのかべ] /(exp) phenomenon that perfect reasoning fail if an idiot cannot understand/
バカよけ /(adj-f) foolproof/
バカガイ /(n) (uk) Mactra chinensis (species of trough shell)/
バカザメ /(n) (uk) basking shark (Cetorhinus maximus)/
バカチョンカメラ /(n) (uk) (vulg) automatic camera (lit: "camera even idiots and simpletons can use")/
バカップル /(n) (sl) love birds/sickeningly sweet and soppy couple/
バカマツタケ /(n) (uk) Tricholoma bakamatsutake (mushroom)/false matsutake/
バカロレア /(n) baccalaureat (fre:)/
バカンス /(n) holidays (fre: vacances)/vacation/(P)/
バカ貝 [バカがい] /(n) (uk) Mactra chinensis (species of trough shell)/
バカ食い [バカくい] /(n,vs) binge eating/
バカ食い [バカぐい] /(n,vs) binge eating/
バガス /(n) bagasse/
バガボンド /(n) vagabond/(P)/
バキバキ /(adv) (on-mim) sound of cracking branches/sound made when cracking one's knuckles/
バキューム /(n) vacuum/
バキュームカー /(n) septic tank truck (wasei: vacuum car)/honey wagon/
バキュームカラム /(n) (comp) vacuum column/
バキュームクリーナー /(n) vacuum cleaner/
バギー /(n) (1) buggy/stroller/(2) baggy/(P)/
バギーカー /(n) all-terrain vehicle/sand buggy/
バギールック /(n) baggy look/
バギナ /(n) vagina (lat:)/
バクチリオファージ /(ik) (n) bacteriophage/
バクテリア /(n) bacteria/bacillus/germ/(P)/
バクテリオファージ /(n) bacteriophage/
バクテリヤ /(n) bacteria/bacillus/germ/
バクテロイド /(n) bacteroid/
バクバク /(n) thumping (heart)/banging (heart)/pounding (heart)/racing (heart)/
バクラム /(n) buckram/
バク転 [バクてん] /(n,vs) backward somersault/back handspring/backflip/
バグ /(n) (comp) (computer) bug/
バグる /(v5r) to behave buggily (software)/to foment/to be on the fritz/
バグダッド /(n) Baghdad/(P)/
バグパイプ /(n) bagpipe/
バグフィックス /(n) (comp) bug fix/
バグベア /(n) bugbear/
バグリスト /(n) bug list/
バグレポート /(n) bug report/
バケーション /(n) vacation/
バケアオザメ /(n) longfin mako (species of mackerel shark, Isurus paucus)/
バケット /(n) bucket/pail/skip/
バケットコンベヤー /(n) bucket conveyor/bucket conveyer/
バケットシート /(n) bucket seat/
バケツリレー素子 [バケツリレーそし] /(n) (comp) BBD/Bucket Bridge Device/
バケモン /(n) goblin/apparition/monster/ghost/phantom/spectre/specter/
バゲージ /(n) baggage/
バゲット /(n) baguette (fre:)/
バザー /(n) bazaar/bazar/(P)/
バザール /(n) bazaar/bazar/(P)/
バシトラシン /(n) bacitracin/
バシャッ /(adv-to) (on-mim) splash/sploosh/
バショウ /(n) (uk) Japanese fiber banana (Musa basjoo)/
バショウカジキ /(n) (uk) Indo-Pacific sailfish (Istiophorus platypterus)/
バシリカ /(n) basilica (church)/
バシリスク /(n) basilisk/
バジェット /(n) budget/
バジリカ /(n) basilica/
バジリコ /(n) basil (ita: basilico)/
バジル /(n) basil/
バス /(n) (1) bus/(2) bath/(3) bass/(P)/
バスーン /(n) bassoon/
バスに乗り遅れる [バスにのりおくれる] /(exp,v1) to miss the bus/to miss the boat/
バスに乗る [バスにのる] /(exp,v5r) to take the bus/
バスアービトレーション /(n) (comp) bus arbitration/
バスエラー /(n) (comp) bus error/
バスオイル /(n) bath oil/
バスガイド /(n) bus tour guide/
バスク /(n) (1) Basque/(2) bask/(P)/
バスクラリネット /(n) bass clarinet/
バスクロック /(n) (comp) bus clock/
バスケ /(n) (abbr) basketball/
バスケープ /(n) bath cape/
バスケット /(n) basket/(P)/
バスケットシューズ /(n) basketball shoes/
バスケットチーム /(n) (abbr) basketball team/
バスケットボール /(n) basketball/(P)/
バスケットボール部 [バスケットボールぶ] /(n) basketball club/
バスケットリング /(n) basketball hoop (wasei: basket ring)/basket hoop/
バスケット部 [バスケットぶ] /(n) basketball club/
バスコン /(n) (1) birth control/(2) bypass capacitor/
バスコントロール /(n) birth control/
バスジャック /(n) bus hijacking (wasei: bus jack)/
バスストップ /(n) bus stop/
バスター /(n) bastard fake bunt (baseball) (from bastard)/(P)/
バスターズ /(n) busters (e.g. ghost busters)/
バスターミナル /(n) bus terminal/
バスタオル /(n) bath towel/
バスタブ /(n) bathtub/
バスツアー /(n) bus tour/(P)/
バスト /(n) (1) bust (measurement)/(2) breasts/bosom/(P)/
バストパッド /(n) bust pad/
バストフィット /(n) the way a bra fits (wasei: bust fit)/
バストライン /(n) bustline/
バストレ /(n) (abbr) bass-treble/
バスドライバ /(n) (comp) bus driver/
バスドラム /(n) bass drum/
バスネットワーク /(n) (comp) bus network/
バスブザー /(n) bath buzzer/
バスボーイ /(n) busboy/
バスマウス /(n) (comp) bus mouse/
バスマスタ /(n) (comp) bus master/
バスマスター /(n) (comp) bus master/
バスマスタＤＭＡ [バスマスタディーエムエー] /(n) (comp) bus master Direct Memory Access/
バスマティ /(n) basmati (rice)/
バスルーム /(n) bathroom/(P)/
バスレーン /(n) bus lane/
バスローブ /(n) bathrobe/
バス型 [バスがた] /(n) (comp) bus configuration/
バス専用レーン [バスせんようレーン] /(n) bus lane (of a highway)/
バス調停 [バスちょうてい] /(n) (comp) bus arbitration/
バス賃 [バスちん] /(n) bus fare/
バス停 [バスてい] /(n) bus stop/(P)/
バス発着場 [バスはっちゃくじょう] /(n) depot/
バス幅 [バスはば] /(n) (comp) bus width/
バス未使用信号 [バスみしようしんごう] /(n) (comp) bus-quiet signal/
バズ /(n) buzz/
バズーカ /(n) bazooka/
バズーカ砲 [バズーカほう] /(n) bazooka/
バズセッション /(n) buzz session/
バセットハウンド /(n) basset hound/
バセドー病 [バセドーびょう] /(n) Basedow's disease/
バソプレシン /(n) vasopressin/
バソプレッシン /(n) vasopressin/
バソリス /(n) batholith/
バター /(n) butter/(P)/
バタークリーム /(n) buttercream/
バターケーキ /(n) butter cake/
バターソース /(n) butter sauce/
バタートースト /(n) buttered toast (wasei: butter toast)/
バタード・チャイルド /(n) battered child (syndrome)/
バタードチャイルド /(n) battered child (syndrome)/
バターナイフ /(n) butter knife/
バターピーナッツ /(n) shelled skinless peanuts prepared in butter (wasei: butter peanuts)/
バターミルク /(n) buttermilk/
バタール /(n) batard (type of French bread) (fre:)/
バターロール /(n) butter-enriched roll (wasei: butter roll)/
バタつく /(v5k,vi) to clatter/to flap (noisily)/to rattle/to walk around being unable to settle down/
バタバタ /(n,vs,adv,adv-to) (1) (on-mim) flapping/rattling (sound)/noisily/clattering noise/(n) (2) commotion/kerfuffle/(P)/
バタピー /(n) (abbr) shelled skinless peanuts prepared in butter/
バタフライ /(n) (1) butterfly (swimming stroke)/(2) type of G-string/(P)/
バタフライナイフ /(n) butterfly knife/
バタフライバルブ /(n) butterfly valve/
バタフライフィッシュ /(n) freshwater butterflyfish (Pantodon buchholzi)/African butterflyfish/
バタフライ効果 [バタフライこうか] /(n) butterfly effect (chaos theory)/
バタン /(n) cockatoo/
バタン /(n,adv-to) (on-mim) thud/(P)/
バタ屋 [バタや] /(n) (col) ragman/garbage man/
バタ臭い [バタくさい] /(adj-i) Western (lit: smelling of butter)/European/exotic/outlandish/alien/
バチェラー /(n) bachelor/
バチカン /(n) (1) clasp or ring for attaching a pendant to a chain/(2) Vatican/(P)/
バチカン宮殿 [バチカンきゅうでん] /(n) Vatican/
バチスカーフ /(n) bathyscaphe (fre:)/
バチスト /(n) batiste (fre:)/
バチャン /(adv,adv-to) (on-mim) with a splash/
バチルス /(n,adj-no) bacillus (ger: Bazillus)/
バチ環 [バチがん] /(n) (1) clasp or ring for attaching a pendant to a chain/
バッカス /(n,adj-no) Bacchus/(P)/
バッカス記法 [バッカスきほう] /(n) (comp) Backus-Naur form/BNF/Backus-Naur notation/
バッカル /(n) buccal/
バッキング /(n) backing/
バッキングストア /(n) (comp) backing store/
バッギング /(n) bugging/
バック /(n) (1) back/(vs) (2) to go backwards/to reverse/(3) to refund a customer/(P)/
バックアタック /(n) back attack/
バックアップ /(n,vs) (comp) backup/(P)/
バックアップコピー /(n) (comp) backup copy/
バックアップシステム /(n) backup system/
バックアップスナップショット /(n) (comp) backup snapshot/
バックアップセットカタログ /(n) (comp) backup set catalog/
バックアップディスケット /(n) (comp) backup diskette/
バックアップバッテリ /(n) (comp) backup battery/
バックアップファイル /(n) (comp) backup file/job-recovery control file/
バックアップライト /(n) backup light/
バックアップルート /(n) (comp) backup route/
バックアップ電源 [バックアップでんげん] /(n) (comp) backup power supply/
バックウォーター /(n) backwater/
バックウオーター /(n) backwater/
バックエンド /(n) (comp) back-end/
バックエンドプロセッサ /(n) (comp) back-end processor/
バックエンド処理 [バックエンドしょり] /(n) (comp) back-end processing/
バックオーダー /(n) back order/
バックオフィス /(n) (comp) back office/
バックギャモン /(n) backgammon/
バックギヤ /(n) back gear/
バッククォート /(n) (comp) backquote (character)/
バックグラウンド /(n) background/(P)/
バックグラウンドサウンド /(n) (comp) background sound/
バックグラウンドジョブ /(n) (comp) background job/
バックグラウンドミュージック /(n) background music/
バックグラウンド印刷 [バックグラウンドいんさつ] /(n) (comp) background printing/
バックグラウンド放射線 [バックグラウンドほうしゃせん] /(n) background radiation/
バックグランド /(n) (comp) background/
バックコーミング /(n) back combing/
バックシャン /(n) (col) (sl) woman's fine rear-end/good ass/nice derriere/
バックス /(n) (1) backs/(2) VAX/(3) dollars (from bucks)/(P)/
バックスイング /(n) backswing/
バックスキン /(n) backskin/
バックスクリーン /(n) back screen (esp. hitter's background in center field) (baseball)/(P)/
バックスクロール /(n) (comp) back-scroll/
バックスタッブ /(n,vs) backstab/
バックステージ /(n) backstage/
バックストレート /(n) back straight/
バックストレッチ /(n) backstretch/
バックストローク /(n) backstroke/
バックスピン /(n) backspin/
バックスペース /(n) backspace (char)/
バックスラッシュ /(n) backslash (character)/
バックソー /(n) backsaw/
バックチャージ /(n) back charge/
バックトス /(n) back toss/
バックトラッキング /(n) back-tracking/
バックトラック /(n,vs) backtrack/
バックドア /(n) (comp) back door/
バックドア型コンピュータウイルス [バックドアかたコンピュータウイルス] /(n) (comp) backdoor computer virus/
バックドロップ /(n) (1) back-drop/(2) suplex (pro-wrestling)/
バックナンバー /(n) back issue (of a publication)/back-number/
バックネット /(n) backstop (baseball) (wasei: back net)/back screen/(P)/
バックハンド /(n) backhand/(P)/
バックバッファ /(n) (comp) back buffer/
バックバンド /(n) back-band/
バックパッカー /(n) backpacker/
バックパッキング /(n) backpacking/
バックパック /(n) backpack/
バックビート /(n) backbeat/
バックファイア /(n) backfire/
バックフロートタイプ /(n) type of scuba buoyancy control device with a back-mounted air bladder (wasei: back float type)/
バックプレーン /(n) (comp) backplane/
バックプレッシャー /(n) backpressure/
バックプロパゲーション /(n) back-propagation/
バックペイ /(n) back pay/
バックホー /(n) backhoe/
バックボーン /(n) (comp) backbone (e.g. of a network)/(P)/
バックボーンネットワーク /(n) (comp) backbone network/
バックマーカー /(n) backmarker (competitor at the tail of the field, likely to be lapped)/
バックマージン /(n) back margin/
バックミュージック /(n) background music (wasei: back music)/
バックミラー /(n) rearview mirror (wasei: back-mirror)/
バックミンスターフラーレン /(n) buckminsterfullerene/
バックヤード /(n) (1) backyard/(2) background/
バックライト /(n) back light/backlight/backlite/backup light/
バックライトタイムアウト /(n) (comp) backlight time out/
バックラッシュ /(n) backlash/
バックラム /(n) buckram/
バックル /(n) buckle/
バックレス /(n) backless/
バックロー /(n) back row/
バックログ /(n) backlog/
バックワード回復 [バックワードかいふく] /(n) (comp) backward recovery/
バック転 [バックてん] /(n,vs) backward somersault/back handspring/backflip/
バッグ /(n) bag/(P)/
バッグパイプ /(n) bagpipe/
バッゲージ /(n) baggage/luggage/
バッシュ /(n) (abbr) basketball shoes/
バッシング /(n) bashing/
バッジ /(n) badge/(P)/
バッジェット /(n) budget/
バッジシステム /(n) BADGE system/
バッジテスト /(n) badge test/
バッター /(n) batter (baseball)/
バッターインザホール /(n) batter in the hole/
バッターボックス /(n) batter's box (baseball)/
バッタモン /(n) merchandise obtained by buying out the inventories of failed retailers instead of going through normal wholesale channels/
バッタ物 [バッタもの] /(n) knockoff/unlicensed or fake merchandise/
バッタ目 [バッタもく] /(n) Orthoptera/
バッチ /(n) (comp) batch/
バッチグー /(int) just right!/excellent!/
バッチサイズ /(n) batch size/
バッチジョブ /(n) (comp) batch job/
バッチファイル /(n) (comp) batch file/
バッチプログラム /(n) (comp) batch program/
バッチャープラント /(n) batcher plant/
バッチ型オンライン処理プログラム [バッチけいオンラインしょりプログラム] /(n) (comp) BMP/Batch Message Processing Program/
バッチ見出し文書 [バッチみだしぶんしょ] /(n) (comp) batch-header document/
バッチ処理 [バッチしょり] /(n) (comp) batch processing/
バッテーラ /(n) (1) boat (por: bateira)/(2) pressed mackerel sushi/
バッティング /(n) (1) batting/(2) butting/(3) intruding on someone else's turf/(4) having a time or schedule conflict/(P)/
バッティング・センター /(n) batting center/batting centre/batting cage/
バッティングアベレージ /(n) batting average/
バッティングオーダー /(n) batting order/
バッティングケージ /(n) batting cage/
バッティングセンター /(n) batting center/batting centre/batting cage/
バッティングピッチャー /(n) batting practice pitcher (baseball) (practise)/
バッテイング・センター /(n) batting center/batting centre/batting cage/
バッテイングセンター /(n) batting center/batting centre/batting cage/
バッテラ /(n) (1) boat (por: bateira)/(2) pressed mackerel sushi/
バッテリ /(n) (comp) battery/
バッテリー /(n) battery/(P)/
バッテリゲージ /(n) (comp) battery gauge/
バッテリバックアップ /(n) (comp) battery backup/
バッテリパック /(n) (comp) battery pack/
バッテリ駆動 [バッテリくどう] /(n,adj-no) (comp) battery-powered/
バッテレ /(n) (1) boat (por: bateira)/(2) pressed mackerel sushi/
バッテン /(n) (uk) cross mark/demerit mark/an X/
バット /(n) (1) bat (in baseball, cricket, etc.)/(2) (obsc) bat (animal)/(3) tray (from fre: bateau or eng: vat)/(P)/
バットジョイント /(n) butt joint/
バットマン /(n) batman/(P)/
バットレス /(n) buttress/
バットレスダム /(n) buttress dam/
バッド /(adj-no) bad/
バッドウェア /(n) (comp) badware/
バッドエンド /(n) bad ending (film, novel)/
バッドキアリー症候群 [バッドキアリーしょうこうぐん] /(n) Budd-Chiari syndrome/
バッドマーク /(n) bad mark/(P)/
バッハ /(n) Bach/(P)/
バッファ /(n) (comp) buffer/
バッファー /(n) (comp) buffer/
バッファーストック /(n) buffer stock/
バッファーゾーン /(n) buffer zone/
バッファード /(n) buffered/
バッファアンダーランエラー /(n) (comp) buffer under-run error/
バッファオーバーフロー /(n) (comp) buffer overflow/
バッファオーバーフロー攻撃 [バッファオーバーフローこうげき] /(n) (comp) buffer overflow attack/
バッファオーバラン /(n,vs) (comp) buffer overrun/
バッファプール /(n) (comp) buffer pool/
バッファメモリ /(n) (comp) buffer memory/
バッファリン /(n) aspirin (from Bufferin)/
バッファリング /(n) (comp) buffering/
バッファリングレベル /(n) (comp) buffering level/
バッファロー /(n) buffalo/
バッファ確保失敗 [バッファかくほしっぱい] /(n) buffer (full) error (i.e. space cannot be reserved as it is full)/
バッファ記憶 [バッファきおく] /(n) (comp) buffer storage/buffer/
バッファ付き [バッファづき] /(n,adj-no) (comp) buffered/
バッファ付き装置 [バッファづきそうち] /(n) (comp) buffered device/
バッフィー /(n) baffy/
バッフェイ /(n) buffet (fre:)/self-service meal/
バップ /(n) bop/
バツが悪い [バツがわるい] /(exp,adj-i) awkward/uncomfortable/embarrassing/
バツの悪い [バツのわるい] /(adj-i) awkward/uncomfortable/embarrassing/
バツイチ /(n) divorced (once) (lit: strike one, i.e. one name struck from the koseki)/
バテイラ /(n) (uk) Omphalius pfeifferi pfeifferi (subspecies of top shell)/
バテレン /(n) (1) Portuguese Jesuits (in Japan in the 16th century) (por: padre)/(2) Christianity/
バテンレース /(n) (abbr) Battenberg lace/
バディ /(n) (1) body/(2) buddy/
バディー /(n) (1) body/(2) buddy/
バディシステム /(n) buddy system/the idea that divers always dive with a buddy to assist each other/
バトカ /(n) vodka (rus:)/
バトラー /(n) butler/
バトル /(n) battle/
バトルロイヤル /(n) battle royal/
バトルロワイヤル /(n) battle royal/
バトン /(n) baton (relay, orchestral conducting, etc.)/(P)/
バトンを渡す [バトンをわたす] /(exp,v5s) (1) to pass the baton (e.g. in a relay race)/(2) to pass the torch (to one's successor)/(3) (comp) to pass the '(musical) baton' (e.g. a set of questions) to the next people/
バトンガール /(n) baton girl/
バトンゾーン /(n) exchange zone (in a relay race) (wasei: baton zone)/
バトンタッチ /(n,vs) baton pass (wasei: baton touch)/(P)/
バトントワーラー /(ik) (n) baton twirler/
バトントワラー /(n) baton twirler/
バトンパス /(n) baton pass/baton passing/
バド /(n,vs) (abbr) badminton/
バドミントン /(n) badminton/(P)/
バドミントン部 [バドミントンぶ] /(n) badminton club/
バナー /(n) (1) banner/(2) (comp) banner (graphic provided to link to site)/
バナー広告 [バナーこうこく] /(n) (comp) ad banner/
バナキュラー /(n) vernaculer/
バナジウム /(n) vanadium (V)/
バナジウム鋼 [バナジウムこう] /(n) vanadium steel/
バナジン /(n) vanadium (V)/
バナナ /(n) banana/(P)/
バナナの皮 [バナナのかわ] /(n) banana peel/
バナナ共和国 [バナナきょうわこく] /(n) banana republic/
バナナ等価線量 [バナナとうかせんりょう] /(n) banana equivalent dose (of radiation)/BED/
バニーガール /(n) bunny girl/
バニアン /(n) (comp) Banyan/
バニオン /(n) bunion/
バニシングクリーム /(n) vanishing cream/
バニティー /(n) vanity/
バニティーケース /(n) vanity case/
バニティーバッグ /(n) vanity bag/
バニヤン /(n) banyan/
バニラ /(n) vanilla/(P)/
バニラエッセンス /(n) vanilla essence/
バニリン /(n) vanillin/
バネ /(n) (uk) spring (e.g. coil, leaf)/mainspring/power spring/
バハイ /(n) (1) Baha'i/(2) the Baha'i faith/(3) a member of the Baha'i faith/
バハマ /(n) Bahama/
ババガレイ /(n) (uk) slime flounder (Microstomus achne)/
ババロア /(n) bavarois (fre:)/
ババ抜き [ババぬき] /(n) old maid/living without one's mother-in-law/
バヒタット /(n) HABITAT (1996 UN conference on Human Settlements)/
バビーイン /(n) accommodation for babies (wasei: baby inn)/
バビットメタル /(n) Babbitt metal/
バビルサ /(n) babirusa (Babyrousa babyrussa)/
バビロン /(n) (comp) Babylon/
バビロン捕囚 [バビロンほしゅう] /(n) Babylonian Captivity (of the Israelites, 586 BC - 539 BC)/
バビンスキー反射 [バビンスキーはんしゃ] /(n) Babinski reflex/
バピ /(n) (comp) BAPI/
バファリン /(n) (comp) buffer-in (computing term)/(P)/
バフェ /(n) buffet (fre:)/self-service meal/
バフ盤 [バフばん] /(n) buffing machine/
バブル /(n) bubble/(P)/
バブルジェットプリンタ /(n) (comp) bubble jet printer/
バブルソート /(n) (comp) bubble sort/
バブルメモリ /(n) (comp) bubble memory/
バブルメモリー /(n) (comp) bubble memory/
バブル記憶装置 [バブルきおくそうち] /(n) (comp) bubble memory/
バブル景気 [バブルけいき] /(n) bubble economy (of Japan, 1986-1991)/
バブル経済 [バブルけいざい] /(n) bubble economy/
バブル経済時代 [バブルけいざいじだい] /(n) bubble economy era/
バブル現象 [バブルげんしょう] /(n) bubble/
バプティズム /(n) baptism/
バプテスト /(n) Baptist/baptist/(P)/
バプテスマ /(n) baptism/
バベルの塔 [バベルのとう] /(n) Tower of Babel/(P)/
バミストン /(n) pumice stone/
バムバム /(n) bawm bawm (phenomenon) (name of Japanese pop song)/(P)/
バラ /(n) (abbr) bulk storage/
バラ /(n) (uk) rose/
バラード /(n) (1) ballade (narrative poetry, musical composition) (fre:)/(2) ballad (popular song)/(P)/
バラつく /(v5k,vi) to rain (drops on the large side)/to go to pieces/to be taken apart/
バラエティー /(n) variety/(P)/
バラエティーショー /(n) variety show/
バラエティーストア /(n) variety store/
バラエティ番組 [バラエティばんぐみ] /(n) variety program/
バラクーダ /(n) barracuda/
バラクラバ /(n) balaclava/
バラス /(n) (abbr) ballast/
バラスト /(n) ballast/
バラタナゴ /(n) (uk) rosy bitterling (Rhodeus ocellatus)/
バラック /(n) barracks/(P)/
バラッド /(n) ballad/
バラハタ /(n) (uk) yellow-edged lyretail (species of fish, Variola louti)/lyretail grouper/
バラバラ /(adj-na,adj-no,adv,vs) (on-mim) scattered/disperse/loose/disconnected/in pieces/in drops/rustling/(P)/
バラフエダイ /(n) (uk) two-spot red snapper (Lutjanus bohar)/
バラフォン /(n) balafon/
バラマンディ /(n) barramundi (Lates calcarifer)/
バラムツ /(n) (uk) oilfish (Ruvettus pretiosus)/
バラムンディ /(n) barramundi (Lates calcarifer)/
バラモン /(n,adj-no) (1) (uk) Brahman (priest of Hinduism, members of the highest caste) (san: brahmana)/(2) Brahmanism/priest of Brahmanism/
バラモン教 [バラモンきょう] /(n) Brahmanism/
バラライカ /(n) balalaika (rus:)/Russian 3-stringed instrument with a triangular body/
バラン /(n) balun/
バランサー /(n) balancer/
バランシング /(n) (comp) balancing/
バランス /(n,vs) balance/(P)/
バランスを取る [バランスをとる] /(exp,v5r) to keep balance/
バランスオブパワー /(n) balance of power/
バランスシート /(n) balance sheet/(P)/
バランス感覚 [バランスかんかく] /(n) sense of balance/
バランティア /(n,vs) volunteer/
バラ園 [バラえん] /(n) rose garden/
バラ科 [バラか] /(n) Rosaceae (plant family)/rose/
バラ戦争 [バラせんそう] /(n) War of the Roses/
バラ肉 [バラにく] /(n) boned rib (esp. of pork)/
バラ目 [バラもく] /(n) Rosales (order of plants)/
バリ /(n) burr/
バリア /(n) barrier/(P)/
バリアー /(n) barrier/
バリアーフリー /(n,adj-no) impediment removal (wasei: barrier free)/
バリアフリー /(n,adj-no) impediment removal (wasei: barrier free)/
バリアブルビットレイト /(n) (comp) variable bit rate/
バリアリーフクロミス /(n) barrier reef chromis (Chromis nitida)/
バリアント /(n) variant/
バリウム /(n) barium (Ba)/(P)/
バリエーション /(n) variation/(P)/
バリエーションルート /(n) variation route/
バリオレートテンジクザメ /(n) necklace carpetshark (Parascyllium variolatum, species endemic to Australia)/
バリオレートテンジクザメ属 [バリオレートテンジクザメぞく] /(n) Parascyllium (genus of collared carpet sharks in the family Parascylliidae)/
バリオン /(n) baryon/
バリオン間相互作用 [バリオンかんそうごさよう] /(n) baryon-baryon interaction (physics)/
バリカン /(n) (1) barber's clippers/(2) Barriquand et Marre/(P)/
バリケード /(n) barricade/(P)/
バリケイド /(n) barricade/
バリゲイティッド・スパインフィッシュ /(n) variegated spinefoot (Siganus randalli, species of Western Pacific rabbitfish)/
バリゲイティッドスパインフィッシュ /(n) variegated spinefoot (Siganus randalli, species of Western Pacific rabbitfish)/
バリコン /(n) (abbr) variable condensor/
バリサン /(n) "three bars" of cellphone reception/good cellphone reception/
バリスタ /(n) (1) varistor/(2) barrister/
バリスター /(n) (1) varistor/(2) barrister/
バリトン /(n) baritone/barytone/(P)/
バリトンサキソホン /(n) baritone saxophone/
バリトンサクソフォン /(n) baritone saxophone/
バリトンサックス /(n) baritone sax/
バリナエンジェルフィッシュ /(n) Ballina angelfish (Chaetodontoplus ballinae)/
バリバリ /(adj-na,adv,n) (on-mim) tearing/crunching (sound)/work hard/actively/
バリヤ /(n) barrier/
バリヤー /(n) barrier/
バリュー /(n) value/
バリューアナリシス /(n) value analysis/
バリューエンジニアリング /(n) value engineering/
バリュエータ /(n) (comp) valuator/
バリン /(n) (1) valine/(adv) (2) (on-mim) (with a) whoomp/smash/crunch/
バル /(n) (abbr) balcony/
バル・ミツバー /(n) bar mitzvah (heb:)/
バル・ミツヴァー /(n) bar mitzvah (heb:)/
バルーン /(n) balloon/(P)/
バルーン・モーリー /(n) balloon molly (var. of sailfin molly, Poecilia latipinna)/
バルーンカテーテル /(n) balloon catheter/
バルーンシャーク /(n) balloon shark (Cephaloscyllium sufflans, species of catshark from the western Indian Ocean)/
バルーンヘルプ /(n) (comp) balloon help/
バルーンモーリー /(n) balloon molly (var. of sailfin molly, Poecilia latipinna)/
バルアン /(n) (comp) balun/
バルカンファイバー /(n) vulcanized fiber/vulcanised fiber/vulcanized fibre/vulcanised fibre/
バルカンラバー /(n) vulcanized rubber/vulcanised rubber/(P)/
バルカン戦争 [バルカンせんそう] /(n) Balkan Wars (1912, 1913)/
バルカン砲 [バルカンほう] /(n) Vulcan cannon/
バルキー /(adj-na) bulky/
バルキーセーター /(n) bulky sweater/
バルク /(n) bulk/
バルクカーゴ /(n) bulk cargo/
バルクキャリアー /(n) bulk carrier/
バルクライン /(n) bulk line/
バルクワイン /(n) barreled wine/
バルク化 [バルクか] /(n,vs) bulking/
バルク品 [バルクひん] /(n) (comp) bulk goods/
バルコニー /(n) balcony/(P)/
バルサ /(n) balsa/
バルサミコ酢 [バルサミコす] /(n) balsamic vinegar/
バルサム /(n,adj-no) balsam (resin)/
バルサムの木 [バルサムのき] /(n) (obsc) balsam fir (Abies balsamea)/
バルサムモミ /(n) (uk) balsam fir (Abies balsamea)/
バルサム樅 [バルサムもみ] /(n) (uk) balsam fir (Abies balsamea)/
バルジ /(n) bulge/
バルセロナ /(n) Barcelona/(P)/
バルト /(n) Baltic/(P)/
バルトリン腺 [バルトリンせん] /(n) Bartholin's glands/
バルト語派 [バルトごは] /(n) Baltic (branch of languages)/
バルナ /(n) varna (each of the four Hindu castes)/
バルネラビリティー /(n) vulnerability/
バルハラ /(n) Valhalla/
バルバスバウ /(n) bulbous bow (on a ship to reduce drag)/
バルバドス /(n) Barbados/
バルビタール /(n) barbital/
バルビツール酸 [バルビツールさん] /(n) barbituric acid/
バルビツル酸 [バルビツルさん] /(n) barbituric acid/
バルブ /(n) (1) bulb/(2) valve/(P)/
バルブノーズユニコーンフィッシュ /(n) bulbnose unicornfish (Naso tonganus, species of Indo-West Pacific tang)/
バルブヘッド /(n) valve head/
バルプロ酸ナトリウム [バルプロさんナトリウム] /(n) sodium valproate/
バルボア /(n) balboa/
バルボル /(n) (abbr) valve volt/vacuum tube volt meter/
バルミツバー /(n) bar mitzvah (heb:)/
バレー /(n) (1) volley/(2) (abbr) volleyball/(3) valley/(4) ballet/(P)/
バレーボール /(n) volleyball/(P)/
バレる /(v1,vi) to leak out (a secret)/to be exposed (a lie, improper behaviour, etc.) (behavior)/
バレエ /(n) ballet (fre:)/(P)/
バレエスキー /(n) ski ballet/acroski/
バレエスクール /(n) ballet school/
バレエダンサー /(n) ballet dancer/
バレエ音楽 [バレエおんがく] /(n) ballet music/
バレッタ /(n) barrette (fre:)/
バレット /(n) barrette (fre:)/
バレティノガラバーニ /(n) Valentino Garavani/
バレバレ /(vs,adj-no,adj-na) to be found out/
バレリーナ /(n) ballerina (ita:)/(P)/
バレル /(n) barrel/(P)/
バレルオルガン /(n) barrel organ/
バレルロール /(n) barrel-roll/
バレンタイン /(n) Valentine/(P)/
バレンタインデー /(n) Valentine's Day/(P)/
バロース /(n) (comp) browse/
バロック /(n) baroque (fre:)/(P)/
バロック音楽 [バロックおんがく] /(n) Baroque music/
バロット /(n) ballot/
バロメータ /(n) barometer/
バロメーター /(n) barometer/(P)/
バロン /(n) baron/
バロンデッセ /(n) trial balloon (fre: ballon d'essai)/
バン /(n) (1) bun/(2) van (caravan)/(3) (comp) value-added network/VAN/(P)/
バンアレン /(n) Van Allen (belt)/
バンアレン帯 [バンアレンたい] /(n) the Van Allen (radiation) belt (layer)/
バンカ /(n) (1) banker/(2) bunker/
バンカー /(n) (1) banker/(2) bunker/(P)/
バンガロー /(n) bungalow/
バンキング /(n) banking/
バンク /(n) bank/(P)/
バンクーバー /(n) Vancouver/(P)/
バンクシア /(n) banksia/
バンクショット /(n) bank shot (in billiards)/
バンクバタフライフィッシュ /(n) bank butterflyfish (Prognathodes aya, was Chaetodon aya)/
バンクメモリー /(n) (comp) bank memory/
バンクロフト糸状虫 [バンクロフトしじょうちゅう] /(n) Wuchereria bancrofti (species of filaria)/
バング /(n) bang/
バングラデシュ /(n) Bangladesh/
バングル /(n) bangle/
バンケット /(n) banquet/
バンケットホール /(n) banquet hall/
バンコク /(n) Bangkok/(P)/
バンコマイシン /(n) vancomycin/
バンコマイシン耐性腸球菌 [バンコマイシンたいせいちょうきゅうきん] /(n) vancomycin resistant enterococci/VRE/
バンシー /(n) banshee/
バンジージャンプ /(n) bungee-jumping (from bungee jump)/
バンジョー /(n) banjo/
バンス /(n) (abbr) advance/(P)/
バンズ /(n) buns/
バンソーコ /(ik) (n) adhesive plaster/sticking plaster/bandage/band-aid/
バンソーコー /(n) adhesive plaster/sticking plaster/bandage/band-aid/
バンタム /(n) bantam (weight)/
バンタム級 [バンタムきゅう] /(n) bantam-weight (boxer)/(P)/
バンダイソウ /(n) (uk) houseleek (any plant species of genus Sempervivum)/
バンダナ /(n) bandana/
バンダリズム /(n) vandalism/
バンチ症候群 [バンチしょうこうぐん] /(n) Banti's syndrome/
バンツー /(n) Bantu (people)/
バンツー語派 [バンツーごは] /(n) Bantu (branch of languages)/
バンツー諸語 [バンツーしょご] /(n) Bantu languages/
バンツー族 [バンツーぞく] /(n) Bantu peoples/
バンティブ /(n) (comp) Vantive/
バンデージ /(n) bandage/
バンディクート /(n) bandicoot/
バンディット /(n) bandit/
バンディッドエンジェルフィッシュ /(n) banded angelfish (Apolemichthys arcuatus, was Holacanthus arcuatus)/black-banded angel/bandit angelfish/
バンディッドスキャット /(n) spotbanded scat (Selenotoca multifasciata, species of Indo-West Pacific scat)/silver scat/
バンディング /(n) banding/
バンデット /(n) bandit/
バンデッドバタフライフィッシュ /(n) banded butterflyfish (Chaetodon striatus)/
バンデリリェロ /(n) banderillero (spa:)/
バント /(n,vs) bunt/(P)/
バントアンドラン /(n) bunt and run/
バントゥー /(n) Bantu (people)/
バントゥー諸語 [バントゥーしょご] /(n) Bantu languages/
バントゥ系言語 [バントゥけいげんご] /(n) Bantu language (of the Bantu language family)/
バントウ /(n) (uk) donut peach (Amygdalus persica var. compressa)/UFO peach/flat peach/pan tao peach/Saturn peach/saucer peach/
バントエンドラン /(exp) bunt and run/
バンド /(n) (1) band/(vs) (2) to perform in a band/to create a (pop) band/(n) (3) The Bund (Shanghai, China)/(P)/
バンドウイルカ /(n) (uk) bottlenose dolphin/bottlenosed dolphin (Tursiops truncatus)/
バンドエード /(n) band aid/adhesive bandage/
バンドエイド /(n) band aid/adhesive bandage/
バンドカラー /(n) band collar/
バンドスコア /(n) band-score/
バンドスペクトル /(n) band spectrum/
バンドネオン /(n) bandoneon/
バンドパスフィルタ /(n) (comp) Band-Pass Filter/
バンドプリンタ /(n) (comp) band printer/
バンドマスター /(n) bandmaster/
バンドマン /(n) band-man (member of a musical band)/bandsman/
バンドリーダー /(n) bandleader/band leader/
バンドリング /(n) bundling/
バンドル /(n) bundle/
バンドワゴン /(n) bandwagon/
バンドワゴン効果 [バンドワゴンこうか] /(n) bandwagon effect/
バンドン会議 [バンドンかいぎ] /(n) Bandung Conference (1955)/
バンド印字装置 [バンドいんじそうち] /(n) (comp) band printer/
バンド幅 [バンドはば] /(n) (comp) bandwidth/
バンド名 [バンドめい] /(n) band name/
バンパー /(n) bumper/(P)/
バンパイア /(n) vampire/
バンビ /(n) Bambi/
バンブー /(n) bamboo/
バンプ /(n) (1) vamp (woman who uses sex appeal to exploit men)/(2) bump/
バンプマッピング /(n) (comp) bump mapping/
バンプマップ /(n) (comp) bump map/
バンペイユ /(n) Citrus grandis/Citrus maxima/
バンヤン /(n) banyan/
バンリュー /(n) outskirts of a city (fre: banlieue)/outer suburb/
バンロゼ /(n) vin rose/
バ行 [バぎょう] /(n) classification for Japanese verb with the dictionary form ending in "bu"/"ba" column or row of the kana syllabary/
パ /(n) (1) pas (dancing step) (fre:)/(2) (abbr) Pakistan/(3) (abbr) Pacific League/
パー /(n) (1) par/(2) paper (in rock-paper-scissors game)/(3) apiece (eng: per)/each/(4) (abbr) percent/(P)/
パーオン /(n) on par (in golf, meeting par for that hole)/
パーカ /(n) parka/
パーカー /(n) parka (hooded jacket)/hooded sweatshirt/(P)/
パーカーホ /(n) giant barb (Catlocarpio siamensis) (tha:)/Siamese giant carp/
パーカッション /(n) percussion/(P)/
パーカライジング /(n) parkerizing/
パーキング /(n) parking/(P)/
パーキングエリア /(n) parking area/
パーキングドライバー /(n) parking valet (wasei: parking driver)/
パーキングメーター /(n) parking meter/
パーキンソン /(n) Parkinson/
パーキンソンの法則 [パーキンソンのほうそく] /(n) Parkinson's law/
パーキンソン病 [パーキンソンびょう] /(n) Parkinson's disease/
パーク /(n,vs) park/(P)/
パークアンドライド /(n) park-and-ride/
パークセンター /(n) business, conference, etc. facility in a park (wasei: park center)/
パーケール /(n) percale (fine closely woven cotton fabric)/
パーコレーター /(n) percolator/
パーゴラ /(n) pergola/
パーサ /(n) (comp) parser/
パーサー /(n) (1) purser/(2) (comp) parser/
パーザ /(n) (1) purser/(2) (comp) parser/
パーザー /(n) (1) purser/(2) (comp) parser/
パーシステンス /(n) (comp) persistence/
パーシモン /(n) persimmon (esp. American persimmon, Diospyros virginiana)/
パーシャル /(n) partial/
パーシャルＣＡＶ [パーシャルシーエーブイ] /(n) (comp) partial CAV/
パーシャルフリージング /(n) partial freezing/
パーシ人 [パーシじん] /(n) Parsee/Parsi (adherent of Zoroastrianism, esp. descendants of those who fled to India to escape persecution in Persia)/
パージ /(n,vs) purge/(P)/
パージング /(n) parsing/
パース /(n) (1) pass/(2) purse/handbag/(3) (abbr) perspective/(P)/
パースニップ /(n) parsnip/
パースペクティブ /(n) perspective/
パーズ /(n) parse/
パーセーブ /(n) par save (in golf, number of shots above par for that hole)/
パーセク /(n) parsec/
パーセプション /(n) perception/
パーセプトロン /(n) perceptron/(P)/
パーセンタイル /(n) (comp) percentile/
パーセンテージ /(n) percentage/
パーセント /(n) percent/percentage/(P)/
パーセント記号 [パーセントきごう] /(n) (comp) percent sign/
パーソナライズ /(n) (comp) personalize/
パーソナリティ /(n) personality/
パーソナリティー /(n) personality/(P)/
パーソナル /(adj-na,n) personal/(P)/
パーソナルエリアネットワーク /(n) (comp) Personal Area Network/
パーソナルオピニオン /(n) personal opinion/
パーソナルコール /(n) personal call/
パーソナルコミュニケーション /(n) personal communication/
パーソナルコンピュータ /(n) (comp) personal computer/PC/
パーソナルコンピューター /(n) (comp) personal computer/PC/
パーソナルスペース /(n) personal space/
パーソナルセリング /(n) personal selling/
パーソナルチェック /(n) personal check/personal cheque/
パーソナルデジタルアシスタント /(n) (comp) personal digital assistant/PDA/
パーソナルファウル /(n) personal foul/
パーソナル化 [パーソナルか] /(n,vs) personalization/personalisation/product stopping being a luxury item/
パーソナル情報 [パーソナルじょうほう] /(n) personal information/
パーソン /(n) person/
パーソンコール /(n) person call/
パーソントリップ /(n) person trip/
パーチ /(n) perch (freshwater fish, Perca sp.)/
パーチメント /(n) parchment/
パーチメントペーパー /(n) parchment paper/
パーチメント紙 [パーチメントし] /(n) parchment paper/
パーッと /(adv) with energy (of parties and such)/enthusiastically/going all out/
パーツ /(n) (comp) parts (as in computer parts)/(P)/
パーティ /(n) party/(P)/
パーティー /(n) party/(P)/
パーティー・ドレス /(n) party dress/
パーティードレス /(n) party dress/
パーティー券 [パーティーけん] /(n) party ticket/
パーティクル /(n) (comp) particle/
パーティクルシステム /(n) (comp) Particle System/
パーティクルボード /(n) particle board/
パーティシペーション /(n) participation/
パーティシペーションプログラム /(n) participation program/participation programme/PT/
パーティショニング /(n) (comp) partitioning/
パーティション /(n,vs) partition/cubicle/
パーティションを切る [パーティションをきる] /(exp,v5r) (comp) to partition (e.g. a hard drive)/
パーティションテーブル /(n) (comp) partition table/
パーティング /(n) parting/
パーテル /(n) father (lat: pater)/priest/
パート /(n) (1) part/(2) (abbr) part-timer/(3) (abbr) part-time (work)/(P)/
パートタイマー /(n) part-timer/(P)/
パートタイム /(n) part time (esp. female part time employees)/(P)/
パートタイム従業員 [パートタイムじゅうぎょういん] /(n) part time employee/
パートナー /(n) partner/(P)/
パートナーシップ /(n) partnership/
パートナー関係 [パートナーかんけい] /(n) (comp) partner relation/
パードレ /(n) padre (por:)/
パーフェクト /(adj-na,n) perfect/(P)/
パーフェクトゲーム /(n) perfect game/
パーフェクトリバティー教団 [パーフェクトリバティーきょうだん] /(n) Church of Perfect Liberty (religious group founded in Japan in 1924)/
パーフォーマンス /(ik) (n) performance/
パーフォレーション /(n) perforation/
パープル /(n) purple/(P)/
パープルヤム /(n) purple yam (Dioscorea alata)/water yam/winged yam/
パープルリーフフィッシュ /(n) purple reeffish (Chromis scotti)/purple chromis/
パープレー /(n) par play/(P)/
パーマ /(n) permanent wave/perm/(P)/
パーマカルチャー /(n) permaculture/sustainable living practices/
パーマネント /(adj-na,n) permanent/
パーマネントウェーブ /(n) permanent wave/
パーマネントウエーブ /(n) permanent wave (hairdo)/
パーマネントバーチャルサーキット /(n) (comp) permanent virtual circuit/PVC/
パーマネントプリーツ /(n) permanent pleats/
パーマネントプレス /(n) permanent press/
パーマロイ /(n) permalloy/
パーミッション /(n) permission/
パーミル /(n) per mill/
パームオイル /(n) palm oil/
パームサイズ /(n) (comp) palm-sized/
パームサイズＰＣ [パームサイズピーシー] /(n) (comp) palm-size Personal Computer/
パームチット /(n) permutite/
パームトップ /(n) (comp) palm top/
パームトップコンピュータ /(n) (comp) palmtop computer/
パームトップコンピューター /(n) (comp) palmtop computer/
パームボール /(n) palm ball/(P)/
パームレスト /(n) (comp) palm rest/
パーラー /(n) (1) parlor/parlour/(P)/
パーライト /(n) (1) pearlite/(2) perlite/
パーラメント /(n) parliament/
パーリーゴートフィッシュ /(n) pearly goatfish (Parupeneus margaritatus)/
パーリ語 [パーリご] /(n) Pali (language)/
パール /(n) (1) pearl/(2) (comp) Perl/(3) purl (knitting stitch)/(P)/
パールクロミス /(n) duskytail chromis (Chromis pelloura)/
パールグレー /(n) pearl gray/pearl grey/
パールティーケー /(n) (comp) Perl-Tk/
パール編み [パールあみ] /(n) purl stitch/
パーレン /(n) parentheses/parenthesis/(P)/
パーン /(n) pawn (chess piece)/
パー璧 [パーぺき] /(adj-na) (obsc) (col) (sl) perfect/
パねぇ /(adv,pref) (sl) a lot/to a very great extent/absolutely/
パイ /(n) pie/tart/(P)/
パイイツ /(n) full cup (slang term from "ippai" reversed)/
パイオツ /(n) (X) (col) tits (trendy inverse of oppai)/
パイオニア /(n) (1) pioneer/(2) Pioneer (Japanese electronics company)/(P)/
パイオニアスピリット /(n) pioneer spirit/
パイオン /(n) pion/
パイカ /(n) (comp) pica/
パイク /(n) pike (freshwater fish, Esox sp.)/
パイグラフ /(n) pie graph/
パイソン /(n) python/
パイナップル /(n) pineapple/(P)/
パイナップルフラワー /(n) pineapple flower/
パイナップル科 [パイナップルか] /(n) Bromeliaceae (the bromeliad family of plants)/
パイパイ /(n) (chn) (sl) boobs/female breasts/hooters/
パイパン /(n) shaved female pubic area/
パイピング /(n) piping/
パイプ /(n) (1) pipe/tube/(2) channels, official or otherwise/(business) connections/(3) tobacco pipe/(P)/
パイプウニ /(n) slatepencil urchin (Heterocentrotus mammillatus)/
パイプオルガン /(n) pipe-organ/
パイプカット /(n) vasectomy (wasei: pipe cut)/
パイプスチル /(n) pipe still/
パイプベッド /(n) bed with frame made of pipes (wasei: pipe bed)/
パイプライン /(n) (comp) pipe-line/
パイプラインエディタ /(n) (comp) pipeline editor/
パイプラインオブジェクト /(n) (comp) pipeline object/
パイプラインデザイナ /(n) (comp) pipeline designer/
パイプラインバーストＳＲＡＭ [パイプラインバーストエスラム] /(n) (comp) pipeline burst Static Random Access Memory/PB SRAM/
パイプライン処理 [パイプラインしょり] /(n) (comp) pipeline processing/
パイプライン処理機構 [パイプラインしょりきこう] /(n) (comp) pipeline processor/pipelining/
パイプライン処理装置 [パイプラインしょりそうち] /(n) (comp) pipeline processor/
パイプレンチ /(n) pipe wrench/
パイプ椅子 [パイプいす] /(n) pipe chair/
パイプ爆弾 [パイプばくだん] /(n) pipe bomb/
パイプ役 [パイプやく] /(n) mediator/
パイル /(n) pile (fabric, nuclear reactor, structural support, etc.)/
パイルドライバー /(n) pile driver/
パイル織 [パイルおり] /(n) pile fabric/
パイレーツ /(n) pirate/pirates/
パイレーツパンツ /(n) pirate's pants/
パイレートエディション /(n) pirated edition/
パイレックス /(n) Pyrex/
パイレックスガラス /(n) Pyrex glass/
パイロキネシス /(n) pyrokinesisis/
パイロセラム /(n) Pyroceram/
パイロット /(n) pilot/(P)/
パイロットＩＤ [パイロットアイディー] /(n) (comp) pilot identifier/
パイロットサーベイ /(n) pilot survey/
パイロットショップ /(n) shop used for testing sales of new products (wasei: pilot shop)/
パイロットテスト /(n) (comp) pilot test/
パイロットバルーン /(n) pilot balloon/
パイロットファーム /(n) pilot farm/
パイロットプラント /(n) pilot plant/
パイロットプログラム /(n) (comp) pilot program/
パイロットプロジェクト /(n) (comp) pilot project/
パイロットボート /(n) pilot boat/
パイロットランプ /(n) pilot lamp/
パイロット試験 [パイロットしけん] /(n) (comp) pilot test/
パイロメーター /(n) pyrometer/
パイロン /(n) pylon/
パイン /(n) (1) pine/(2) (abbr) pineapple/
パインジュース /(n) pineapple juice/(P)/
パイント /(n) pint/liquid pint/
パイ共役 [パイきょうやく] /(n) pi conjugation/
パイ刷り [パイずり] /(n) (col) (vulg) breast fucking/ejaculation between or on breasts/titty fuck/
パイ皮 [パイがわ] /(n) pie crust/
パウア貝 [パウアかい] /(n) paua (edible New Zealand abalone; species Haliotis iris, H. australis, H. virginea)/
パウダー /(n) powder/(P)/
パウダー・スノー /(n) powder snow/
パウダースノー /(n) powder snow/
パウダースプレー /(n) aerosol deodorant (wasei: powder spray)/spray on deodorant/
パウダーブルーサージャンフィッシュ /(n) powderblue surgeonfish (Acanthurus leucosternon, species of Indo-West Pacific tang)/
パウダーブルーサージョンフィッシュ /(n) powderblue surgeonfish (Acanthurus leucosternon, species of Indo-West Pacific tang)/
パウダールーム /(n) powder room/changing room/
パウダリー /(n) powdery/
パウチ /(n) (1) pouch/
パウリの原理 [パウリのげんり] /(n) Pauli's principle/
パウレスタ /(n) paulista/
パウロの手紙 [パウロのてがみ] /(n) the letters of Paul/
パウロの書簡 [パウロのしょかん] /(n) Pauline Epistles/
パウロ書簡 [パウロしょかん] /(n) the epistles of Paul/Pauline epistles/
パウンド /(n) pound/
パウンドケーキ /(n) pound cake/
パエージャ /(n) paella (Spanish rice dish)/
パエーリャ /(n) paella (Spanish rice dish)/
パエジャ /(n) paella (Spanish rice dish)/
パエリア /(n) paella (Spanish rice dish)/
パエリャ /(n) paella (Spanish rice dish)/
パエリヤ /(n) paella (Spanish rice dish)/
パカン /(adv-to) (1) (on-mim) vacantly/blankly/absentmindedly/(2) (on-mim) openmouthed/with one's mouth wide-open/gaping/flabbergasted/(3) (on-mim) with a whack/with a thump/
パキケファロサウルス /(n) pachycephalosaurus/
パキスタン /(n) Pakistan/(P)/
パギャル /(n) (sl) half-gal (ref. to "gal" subculture)/semi-gal/quasi-gal/
パクつく /(v5k,vt) to open your mouth wide and eat heartily/to gulp down food/
パクり /(adv,adv-to,n) (1) (on-mim) gaping (esp. mouth)/(2) snapping into/biting into/(n,vs) (3) cribbing/lifting/plagiarism/rip-off/
パクる /(v5r) (1) to steal/to rip off/to nick/to filch/to pinch/(2) to arrest/to pinch/to nab/
パクスアメリカーナ /(n) Pax Americana (lat:)/
パクチー /(n) coriander (tha: phakchi)/cilantro/dhania/Chinese parsley (Coriandrum sativum)/
パクチョイ /(n) Chinese cabbage (Brassica campestris var. amplexicaulis)/white rape/bok choy/pak choi/
パクパク人形 [パクパクにんぎょう] /(n) puppet with a moving mouth/
パクリ /(adv,adv-to,n) (1) (on-mim) gaping (esp. mouth)/(2) snapping into/biting into/(n,vs) (3) cribbing/lifting/plagiarism/rip-off/
パクリ屋 [パクリや] /(n) confidence man/con man/company (or person) carrying out credit fraud/
パグ /(n) pug (variety of dog)/
パグウォッシュ会議 [パグウォッシュかいぎ] /(n) Pugwash conferences (series of international conferences promoting the peaceful application of science)/
パケット /(n) packet/
パケットアナライザ /(n) (comp) packet analyzer/
パケットスイッチング /(n) (comp) packet switching/
パケットタイプ /(n) (comp) packet type/
パケットドライバ /(n) (comp) packet driver/
パケットバッファ /(n) (comp) packet buffer/
パケットフィルタリング /(n) (comp) packet filtering/
パケット形態端末 [パケットけいたいたんまつ] /(n) (comp) packet mode terminal/
パケット交換 [パケットこうかん] /(n) (comp) packet switching/
パケット交換網 [パケットこうかんもう] /(n) (comp) packet exchange network/
パケット順序制御 [パケットじゅんじょせいぎょ] /(n) (comp) packet sequencing/
パケット組立て分解機能 [パケットくみたてぶんかいきのう] /(n) (comp) packet assembler-disassembler/PAD/
パケット通信 [パケットつうしん] /(n) (comp) packet transfer communication/
パケ死 [パケし] /(n) finding out you've run up a fortune by web access on your mobile (lit: packet death)/
パゴダ /(n) pagoda/(P)/
パサつく /(v5k,vi) to be dried out/to be parched/
パサパサ /(adj-na,vs,adv,adj-no) (on-mim) state of being dried out/(P)/
パシる /(v5r) (sl) to make do errands/to set to scutwork/
パシフィック /(n) Pacific/(P)/
パシフィックスペードフィッシュ /(n) Pacific spadefish (Chaetodipterus zonatus, species of Eastern Pacific spadefish found from California to Peru)/
パシフィックテレシス /(n) (comp) Pacific Telesys/
パシフィックリーグ /(n) Pacific League/
パシャ /(n) pasha/pacha/
パシャッ /(adv-to) (on-mim) splash/sploosh/
パジャマ /(n,adj-no) pajamas/pyjamas/(P)/
パジャマコール /(n) late-night phone call (wasei: pyjama call)/
パジャマ姿 [パジャマすがた] /(n) (appearance while) in pajamas (pyjamas)/
パス /(n) (1) path/(n,vs) (2) pass (e.g. skipping a move, passing an examination, ticket to allow entry, etc.)/(P)/
パスオーバー /(n) Passover/
パスオーバーヘッド /(n) (comp) path overhead/
パスオーバーヘッド部 [パスオーバーヘッドぶ] /(n) (comp) path overhead section/
パスカル /(n) (1) pascal (unit of pressure)/(2) (comp) PASCAL (language)/(3) Pascal (Blaise)/(P)/
パスカルの三角形 [パスカルのさんかくけい] /(n) Pascal's triangle/
パスカルの定理 [パスカルのていり] /(n) Pascal's theorem/
パスカルの法則 [パスカルのほうそく] /(n) Pascal's law/
パスケース /(n) commuter pass (wasei: pass case)/(P)/
パスコード /(n) (comp) passcode/
パスタ /(n) pasta (ita:)/(P)/
パスタ剤 [パスタざい] /(n) paste/
パスツレラ /(n) pasteurella/
パステ /(n) (abbr) power steering/
パスティス /(n) pastis (fre:)/
パステル /(n) pastel/(P)/
パステルカラー /(n) pastel color/pastel colour/
パステルトーン /(n) pastel tone/
パステル画 [パステルが] /(n) pastel (picture)/
パストラル /(n) pastoral/
パスフレーズ /(n) (comp) pass phrase/
パスプレフィックス /(n) (comp) path prefix/
パスボール /(n) passed ball (baseball)/catcher's error/
パスポート /(n) passport/(P)/
パスモ /(n) PASMO (rechargeable prepaid IC card that can be used as a train and bus ticket in the greater Tokyo region and also as electric money in some stores)/
パスレシーバー /(n) pass receiver/
パスワード /(n) (comp) (computer) password/(P)/
パスワードエントリ /(n) (comp) password entry/
パスワードファイル /(n) (comp) password file/
パスワード失効 [パスワードしっこう] /(n) (comp) password expiration/
パスワード制限 [パスワードせいげん] /(n) (comp) password control/
パスワード保護 [パスワードほご] /(n) (comp) password protection/
パス係数 [パスけいすう] /(n) path coefficient/
パス指向 [パスしこう] /(n) (comp) path-oriented/connection-oriented/
パス成功 [パスせいこう] /(n) pass completion (percentage) (US football)/
パス番号 [パスばんごう] /(n) (comp) path number/
パス名 [パスめい] /(n) (comp) pathname/
パス名の構成要素 [パスめいのこうせいようそ] /(n) (comp) pathname component/
パズル /(n) puzzle/(P)/
パセティック /(adj-na) pathetic/
パセティックドラマ /(n) pathetic drama/
パセリ /(n) parsley/(P)/
パソ /(n) (comp) (abbr) personal (computer)/
パソコン /(n,adj-no) (comp) (abbr) personal computer/(P)/
パソコンショップ /(n) (comp) computer shop/PC shop/(P)/
パソコン減税 [パソコンげんぜい] /(n) (comp) PC tax reduction/
パソコン通信 [パソコンつうしん] /(n) (comp) personal computer communication/
パソコン通信サービス [パソコンつうしんサービス] /(n) (comp) personal computer communications service/
パソドブレ /(n) paso doble (dance)/
パソ婚 [パソこん] /(n) (obsc) (sl) marriage between two people who met over the Internet/
パター /(n) putter/(P)/
パターナリズム /(n) paternalism/
パターン /(n) pattern/(P)/
パターン・メーカー /(n) pattern maker (for clothing)/fashion designer/
パターンプラクティス /(n) pattern practice/pattern practise/
パターンマッチング /(n) pattern matching/
パターンメーカー /(n) pattern maker (for clothing)/fashion designer/
パターン一致 [パターンいっち] /(n) (comp) pattern match/pattern matching/
パターン定義表 [パターンていぎひょう] /(n) (comp) pattern table/
パターン内部様式 [パターンないぶようしき] /(n) (comp) pattern interior style/
パターン認識 [パターンにんしき] /(n) pattern recognition/
パタン /(n) pattern/
パタンと /(adv,vs) with a snap/with a bang/with a plonk/with a click/sudden stopping/
パタンナー /(n) pattern maker (for clothing) (wasei: patterner)/fashion designer/
パタンマッチ /(n) (comp) pattern match/
パタンマッチング /(n) (comp) pattern matching/
パチこく /(n) (sl) telling a lie/
パチキ /(n,vs) headbutt (kor: bakchigi)/
パチスロ /(n) (abbr) slot machine in a pachinko parlor (parlour)/
パチパチ /(adv,adv-to,vs) (1) (on-mim) pleasant clapping sound/(2) sound of something hot bursting open (i.e. popcorn)/(3) incessant blinking/(P)/
パチプロ /(n) (abbr) professional pachinko player/
パチモン /(n) cheap imitations of famous brands/
パチョリ /(n) patchouli/
パチン /(adv-to) with a click/with a snap/
パチンコ /(n,vs) (1) pachinko (Japanese pinball)/(2) slingshot/catapult/(P)/
パチンコ台 [パチンコだい] /(n) pachinko (Japanese pinball) machine/
パッ /(int) poof/
パッとしない /(exp) expression of vague dissatisfaction with a thing, person, or situation/
パッカード /(n) (Hewlett) Packard/(P)/
パッキン /(n) (1) packing/(2) non-metallic seal/washer/gasket/
パッキング /(n) (1) packing/(2) non-metallic seal/washer/gasket/(P)/
パッキングケース /(n) packing-case/
パッキングペーパー /(n) packing-paper/
パック /(n,vs) (1) pack/(2) puck/(P)/
パック１０進表記法 [パックじっしんひょうきほう] /(n) (comp) packed decimal notation/
パック１十進表記法 [パックじっしんひょうきほう] /(n) (comp) packed decimal notation/
パックスアメリカーナ /(n) Pax Americana (lat:)/
パッケ /(n) (abbr) packaging/
パッケージ /(n,vs) package/(P)/
パッケージソフト /(n) (comp) packaged software/
パッケージソフトウェア /(n) (comp) packaged software/
パッケージツアー /(n) package tour/
パッケージプログラム /(n) package program/package programme/
パッケージメディア /(n) package media/
パッケージング /(n) packaging/
パッケージ名 [パッケージめい] /(n) (comp) package name/
パッサージ /(n) passage/glassed-over arcade/
パッサージュ /(n) passage (horse gait) (fre:)/
パッサカリア /(n) passacaglia (ita:)/
パッサメーター /(n) passameter/
パッシブ /(adj-na) passive/
パッシブクライアント /(n) (comp) passive client/
パッシブスモーキング /(n) passive smoking/
パッシブソーラー /(n) passive solar/
パッシブソーラーハウス /(n) passive solar house/
パッシブソナー /(n) passive sonar/
パッシブホーミング /(n) passive homing/
パッシブマトリクスディスプレイ /(n) (comp) passive matrix display/
パッシメーター /(n) passimeter/
パッショネート /(n) passionate/
パッション /(n) (1) passion/ardor/enthusiasm/(2) The Passion (Christianity)/(P)/
パッションフルーツ /(n) passionfruit (Passiflora edulis)/
パッシング /(n) passing/(P)/
パッシングザセンターライン /(exp) passing the center line/
パッシングショット /(n) passing shot/
パッセージ /(n) passage/
パッセンジャー /(n) passenger/
パッタイ /(n) pad thai (tha:)/phat thai/phad thai/Thai rice noodle dish/
パッチ /(n,vs) patch/
パッチギ /(n,vs) headbutt (kor: bakchigi)/
パッチテスト /(n) patch test/
パッチファイル /(n) (comp) patch file/
パッチプログラム /(n) (comp) patch program/
パッチポケット /(n) patch pocket/
パッチモジュール /(n) (comp) patch module/
パッチレベル /(n) (comp) patch level/
パッチワーク /(n) patchwork/(P)/
パッツン前髪 [パッツンまえがみ] /(n) hairstyle with the bangs cut completely straight/
パッティング /(n,vs) (1) patting/(2) putting/(P)/
パッティンググリーン /(n) putting green/
パット /(n,vs) (1) putt/(2) pat/(P)/
パッド /(n) pad/(P)/
パッパルデッレ /(n) pappardelle (ita:)/
パップ /(n) (1) poultice (dut: pap)/cataplasm/(2) pup/puppy/(3) Pap (smear, test, etc.)/
パップスメア /(n) Pap smear (test)/
パップテスト /(n) Pap (smear) test/
パップ剤 [パップざい] /(n) cataplasm/poultice/
パッラヴァ朝 [パッラヴァちょう] /(n) Pallava Dynasty (of India, 7th to 9th century CE)/
パツキン /(n) blond hair (slang term from "kinpatsu" reversed)/
パテ /(n) (1) putty/(2) pate (ger:)/(P)/
パティ /(n) patty (e.g. beef)/
パティオ /(n) patio/(P)/
パティシエ /(n) pastry shop (fre: patissier)/
パティス /(n) patis/
パテナイフ /(n) putty knife/
パテレン /(n) (1) Portuguese Jesuits (in Japan in the 16th century) (por: padre)/(2) Christianity/
パテント /(n) patent/
パトる /(v5r) (sl) to have your party wiped out (in the RPG Shin Megami Tensei: Nocturne)/
パトカー /(n) (abbr) patrol car/(P)/
パトグラフィー /(n) pathography/
パトス /(n) pathos/
パトライト /(n) (abbr) rotating warning light similar to the one on a patrol car (wasei: patrol light)/
パトリアルク /(n) patriarch/
パトリオティズム /(n) patriotism/(P)/
パトリキ /(n) patricians (ancient Roman nobility) (lat: patricii)/
パトローネ /(n) film cartridge (ger: Patrone)/
パトロール /(n,vs) patrol/(P)/
パトロールカー /(n) patrol car/police car/
パトロールマン /(n) patrolman/
パトロウル /(n,vs) patrol/
パトロン /(n) (1) patron (of the arts, an artist, etc.)/patroness/financial supporter/(2) sugar daddy/man who provides for a woman (e.g. a geisha)/(3) patron/master/manager/boss/(P)/
パドック /(n) paddock/(P)/
パドリング /(n) paddling/
パドル /(n) paddle/(P)/
パナウェーブ研究所 [パナウェーブけんきゅうじょ] /(n) Pana-Wave Laboratory (Japanese religious organization)/
パナビション /(n) panavision/
パナホール /(n) (abbr) Panasert hole (semiconductors)/
パナマ /(n) (uk) Panama/(P)/
パナマスペードフィッシュ /(n) Panama spadefish (Parapsettus panamensis, species of Eastern Pacific spadefish found from the Gulf of California to Peru)/
パナマックス /(n) Panamax (maximum size of ship that can pass through the Panama Canal)/
パナマニアンサージャント /(n) Panamic sergeant major (Abudefduf troschelii)/Panama sergeant major/Panamanian sergeant/
パナマ帽 [パナマぼう] /(n) panama hat/
パナミックサージェントメジャー /(n) Panamic sergeant major (Abudefduf troschelii)/Panama sergeant major/Panamanian sergeant/
パナラマ /(n,adj-no) panorama/
パニーニ /(n) panini (ita:)/
パニーノ /(n) panino (ita:)/
パニール /(n) paneer/panir/
パニクる /(v5r) (sl) to panic/
パニック /(n) panic/(P)/
パニックる /(v5r) (sl) to panic/
パニックディスオーダー /(n) panic disorder/
パニック画面 [パニックがめん] /(n) (comp) panic screen/
パニック障害 [パニックしょうがい] /(n) panic disorder/
パニング /(n) (comp) panning/
パネェ /(adv,pref) (sl) a lot/to a very great extent/absolutely/
パネトーネ /(n) panettone (ita:)/
パネラー /(n) panellist (panelist) (wasei: paneler)/(P)/
パネリスト /(n) panelist/(P)/
パネル /(n) panel/(P)/
パネルテクニック /(n) panel technique/
パネルディスカッション /(n) panel discussion/
パネルヒーター /(n) panel heater/panel heating/
パネルヒーティング /(n) panel heating/
パネル構造建築 [パネルこうぞうけんちく] /(n) panel construction/
パノプティコン /(n) panopticon/
パノラマ /(n,adj-no) panorama/(P)/
パノラマＸ線撮影法 [パノラマエックスせんさつえいほう] /(n) panoramic radiography/panoramic x-ray photography/
パノラマ撮影 [パノラマさつえい] /(n) (1) panoramic photography/(2) panoramic radiography/
パノラマ写真 [パノラマしゃしん] /(n) panoramic photograph/
パバーヌ /(n) pavane (fre:)/pavan/
パパ /(n) Papa/(P)/
パパイア /(n) papaya/pawpaw/(P)/
パパイヤ /(n) papaya/pawpaw/
パパイン /(n) papain/
パパベリン /(n) papaverine/
パパラッチ /(n) paparazzi/
パビリオン /(n) pavilion/(P)/
パピー /(n) puppy/
パピルス /(n) papyrus (lat:)/
パピローマウイルス /(n) papilloma virus/papillomavirus/HPV/
パフ /(n) (powder) puff/
パフアダー /(n) puff adder (Bitis arietans)/
パフェ /(n) parfait (fre:)/
パフォーマー /(n) performer/
パフォーマンス /(n) performance/(P)/
パフォーマンスアート /(n) performance art/
パフォーマンス向上 [パフォーマンスこうじょう] /(n) (comp) performance improvement/
パフスリーブ /(n) puff sleeve/
パフトライス /(n) puffed rice/
パフペースト /(n) puff paste/puff pastry/
パフューマー /(n) perfumer/
パフューム /(n) perfume/
パブ /(n) pub/(P)/
パブジーン /(n) (comp) Pubzine/
パブリシティ /(n) publicity/
パブリシティー /(n) publicity/(P)/
パブリック /(adj-na,n) public/(P)/
パブリックアクセプタンス /(n) public acceptance/
パブリックインボルブメント /(n) public involvement/
パブリックオピニオン /(n) public opinion/
パブリックキー /(n) (comp) public key/
パブリックコース /(n) public course/
パブリックコーポレーション /(n) public corporation/
パブリックコメント /(n) public comment/
パブリックサーバント /(n) public servant/
パブリックスクール /(n) public school/
パブリックスペース /(n) public space/
パブリックタイムライン /(n) (comp) public timeline/
パブリックドメイン /(n) (comp) public domain/
パブリックドメインソフト /(n) (comp) public domain software/PDS/
パブリックドメインソフトウェア /(n) (comp) public domain software/PDS/
パブリックドメインソフトウエア /(n) public-domain software/
パブリックハウス /(n) pub/public house/
パブリックフォルダ /(n) (comp) public folder/
パブリックリレーション /(n) public relations/
パブリックリレーションズ /(n) public relations/
パブリッシャ /(n) (comp) publisher/
パブリッシャー /(n) (comp) publisher/
パブリッシング /(n) publishing (of books, magazines, etc.)/
パブロフ /(n,adj-no) Pavlov/(P)/
パプア /(n) Selenotoca papuensis (species of Western Pacific scat known in Sulawesi and Papua New Guinea)/
パプアニューギニア /(n) Papua New Guinea/
パプアントビー /(n) Papuan toby (Canthigaster papua)/
パプリカ /(n) paprika (spice made from sweet peppers) (hun:)/
パペット /(n) puppet/
パマス /(n) pumice/
パミール /(n) the Pamirs/
パミール高原 [パミールこうげん] /(n) the Pamir plateau/
パミス /(n) pumice/
パミストーン /(n) pumice stone/
パミストン /(n) pumice stone/
パラ /(n) (1) parlor/parlour/(pref) (2) para-/
パラつく /(v5k,vi) to sprinkle (e.g. with rain)/
パラアルデヒド /(n) paraldehyde (ger: Paraaldehyd)/
パラインフルエンザ /(n) parainfluenza/
パラオ /(n) Palau/
パラグライダー /(n) paraglider/(P)/
パラグラフ /(n) paragraph/
パラコート /(n) paraquat/
パラゴム /(n) Para rubber/
パラゴムの木 [パラゴムのき] /(n) (uk) Para rubber tree (Hevea brasiliensis)/
パラゴムノキ /(n) (uk) Para rubber tree (Hevea brasiliensis)/
パラサイコロジー /(n) parapsychology/
パラサイトシングル /(n) single person who earns enough to live alone but prefers to live rent-free with his or her parents (wasei: parasite single)/
パラシュート /(n) parachute/(P)/
パラシュートスカート /(n) parachute skirt/
パラジウム /(n) palladium (Pd)/
パラジクロロベンゼン /(n) paradichlorobenzene/
パラジューム /(ik) (n) palladium (Pd)/
パラジュウム /(ik) (n) palladium (Pd)/
パラス /(n) palace/
パラセーリング /(n) parasailing/
パラセール /(n) parasail/
パラセタモール /(n) paracetamol/
パラソル /(n) parasol/(P)/
パラダイス /(n) paradise/(P)/
パラダイス鎖国 [パラダイスさこく] /(n) isolation paradise (esp. unique products without foreign competition)/
パラダイム /(n) paradigm/(P)/
パラダイムシフト /(n) paradigm shift/
パラチオン /(n) Parathion (ger:)/
パラチノース /(n) palatinose/
パラチフス /(n) paratyphoid (ger: Paratyphus)/
パラチフス菌 [パラチフスきん] /(n) paratyphoid bacillus/
パラチャン /(n) (abbr) parallel channel/parallel channels/
パラトルモン /(n) (obsc) parathormone (parathyroid hormone)/
パラドキシカル /(n) paradoxical/
パラドクシカル /(n) paradoxical/
パラドクス /(n) paradox/
パラドックス /(n) paradox/(P)/
パラノ /(n) parano/
パラノイア /(n) paranoia/
パラパラ /(adj-na,adv,adv-to) (on-mim) falling in (large) drops/sprinkle/pattering/clattering/flipping through a book/(P)/
パラパラ漫画 [パラパラまんが] /(n) flip book/flick book/
パラフィリア /(n) (obsc) paraphilia/
パラフィン /(n) paraffin/
パラフィン紙 [パラフィンし] /(n) paraffin paper/
パラフィン油 [パラフィンゆ] /(n) paraffin oil/
パラフィン蝋 [パラフィンろう] /(n) paraffin wax/
パラフレーズ /(n,vs) paraphrase/
パラプレーン /(n) paraplane/
パラペット /(n) parapet/
パラボラ /(n) parabola/(P)/
パラボラアンテナ /(n) parabolic antenna (wasei: parabola antenna)/(P)/
パラポックスウイルス属 [パラポックスウイルスぞく] /(n) Parapoxvirus (genus of large oval shaped DNA based viruses in the family Poxviridae)/
パラマウント /(adj-f) paramount/
パラミツ /(n) (1) paaramitaa/entrance into Nirvana/(2) jackfruit (Artocarpus heterophyllus)/
パラメータ /(n,adj-no) parameter/
パラメーター /(n,adj-no) parameter/
パラメーターファイル /(n) parameter file/
パラメタ /(n,adj-no) parameter/
パラメタグループ識別子 [パラメタグループしきべつし] /(n) (comp) parameter group identifier/PGI/
パラメタバイト /(n) (comp) parameter byte/
パラメタフィールド /(n) (comp) parameter field/
パラメタ化された実行可能試験項目 [パラメタかされたじっこうかのうしけんこうもく] /(n) (comp) parameterized executable test case/
パラメタ化された実行可能試験項目群 [パラメタかされたじっこうかのうしけんこうもくぐん] /(n) (comp) parameterized executable test suite/
パラメタ化された抽象的試験項目 [パラメタかされたちゅうしょうてきしけんこうもく] /(n) (comp) parameterized abstract test case/
パラメタ化された抽象的試験項目群 [パラメタかされたちゅうしょうてきしけんこうもくぐん] /(n) (comp) parameterized abstract test suite/
パラメタ空間 [パラメタくうかん] /(n) (comp) parameter space/
パラメタ結合 [パラメタけつごう] /(n) (comp) parameter association/
パラメタ限界値 [パラメタげんかいち] /(n) (comp) parameter range limits/
パラメタ識別子 [パラメタしきべつし] /(n) (comp) parameter identifier/PI/
パラメタ値 [パラメタち] /(n) (comp) parameter value/PV/
パラメタ範囲 [パラメタはんい] /(n) (comp) parameter range/
パラメタ方式 [パラメタほうしき] /(n,adj-no) (comp) parameter-driven/
パラメタ方式出力基本要素 [パラメタほうしきしゅつりょくきほんようそ] /(n) (comp) parametric output primitive/
パラメディカル /(n) paramedical/
パラメディカルスタッフ /(n) paramedical staff/
パラメトリック /(n,adj-f) parametric/
パラメトロン /(n) parametron/
パララックス /(n) parallax/
パラリーガル /(n) paralegal/
パラリンピック /(n) Paralympics/(P)/
パラレル /(adj-na,n) parallel/
パラレルＺｉｐ [パラレルジップ] /(n) (comp) parallel Zip/
パラレルインターフェース /(n) (comp) parallel interface/
パラレルインターフェイス /(n) (comp) parallel interface/
パラレルインタフェース /(n) (comp) parallel interface/
パラレルコネクタ /(n) (comp) parallel connector/
パラレルコンピュータ /(n) (comp) parallel computer/
パラレルスラローム /(n) parallel slalom/
パラレルターン /(n) parallel turn/
パラレルデバイス /(n) (comp) parallel device/
パラレルプリンタ /(n) (comp) parallel printer/
パラレルポート /(n) (comp) parallel port/
パラレルローン /(n) parallel loan/
パラレルワールド /(n) parallel world/
パラレル通信 [パラレルつうしん] /(n) parallel communication/
パラレル転送 [パラレルてんそう] /(n) (comp) parallel transfer/
パラレル伝送 [パラレルでんそう] /(n) (comp) parallel transmission/
パランプセスト /(n) palimpsest/
パラ言語 [パラげんご] /(n) paralanguage (nonlexical component of communication)/
パリー /(n) parry (fencing)/
パリーグ /(n) (abbr) Pacific League/(P)/
パリア犬 [パリアいぬ] /(n) pariah dog/
パリクラブ /(n) Paris club (group of creditor countries)/
パリコミューン /(n) the Paris Commune/
パリコレクション /(n) Paris Collection/
パリサイ人 [パリサイじん] /(n) Pharisee/
パリサイ派 [パリサイは] /(n) Pharisees/
パリシ /(n) parish/
パリジェンヌ /(n) parisienne (fre:)/
パリジャン /(n) parisien (fre:)/
パリソン /(n) parison, the first small bubble at the end of a blowpipe/
パリッシュ /(n) parish/
パリティ /(n) (comp) parity/
パリティー /(n) (comp) parity/
パリティーチェック /(n) parity check/
パリティチェック /(n) parity check/
パリティビット /(n) (comp) parity bit/
パリティ計算 [パリティけいさん] /(n) parity account/
パリティ検査 [パリティけんさ] /(n) (comp) parity check/
パリティ指数 [パリティしすう] /(n) parity index/
パリティ変換 [パリティへんかん] /(n) parity transformation (physics)/
パリング /(n) parrying/
パリンプセスト /(n) palimpsest/
パリ症候群 [パリしょうこうぐん] /(n) Paris syndrome (psychological problems associated with living in Paris)/
パルクール /(n,vs) parkour (fre: parcours (du combattant))/
パルコ /(n) park (ita: parco)/(P)/
パルサー /(n) pulsar/(P)/
パルス /(n) pulse/(P)/
パルスジェット /(n) (abbr) pulse-jet engine/
パルスジェットエンジン /(n) pulse-jet engine/
パルスダイアル /(n) (comp) pulse dial/
パルスダイヤリング /(n) (comp) pulse dialing/
パルスモータ /(n) pulse motor/stepping motor/
パルス回路 [パルスかいろ] /(n) pulse circuit/
パルス状 [パルスじょう] /(adj-f) pulse/pulsating/pulsatile/
パルス波 [パルスは] /(n) pulse wave/
パルス符号変調 [パルスふごうへんちょう] /(n) (comp) Pulse-Code Modulation/PCM/
パルス幅 [パルスはば] /(n) pulse width/pulsewidth/
パルス幅変調 [パルスはばへんちょう] /(n) pulse width modulation/
パルス変調 [パルスへんちょう] /(n) pulse modulation/PM/
パルス列 [パルスれつ] /(n) (comp) pulse stream (train, string)/
パルタイ /(n) party (political) (ger: Partei)/
パルチザン /(n) partisan (fre:)/(P)/
パルック /(n) neon light tube/
パルティータ /(n) partita (ita:)/
パルテノン /(n) Parthenon/
パルナシアン /(n) Parnassian/
パルフェ /(n) parfait (fre:)/
パルプ /(n,vs) pulp/(P)/
パルプマガジン /(n) pulp magazine/
パルミチン酸 [パルミチンさん] /(n) palmitic acid/
パルミラヤシ /(n) (uk) palmyra (species of fan palm, Borassus flabellifer)/
パルミラ椰子 [パルミラやし] /(n) (uk) palmyra (species of fan palm, Borassus flabellifer)/
パルメザンチーズ /(n) Parmesan cheese/
パルメット /(n) palmette/
パレート最適 [パレートさいてき] /(n) Pareto optimum/
パレード /(n,vs) parade/(P)/
パレオグラフィー /(n) paleography/
パレス /(n) palace/(P)/
パレスタイン /(n) Palestine (lat:)/
パレスチナ /(n) Palestine (lat:)/(P)/
パレスティナ /(n) Palestine (lat:)/
パレット /(n) palette/pallet/(P)/
パレット・サージャン /(n) palette surgeonfish (Paracanthurus hepatus, species of Indo-Pacific tang)/palette surgeon/blue surgeonfish/blue tang/
パレット・サージョン /(n) palette surgeonfish (Paracanthurus hepatus, species of Indo-Pacific tang)/palette surgeon/blue surgeonfish/blue tang/
パレットサージャンフィッシュ /(n) palette surgeonfish (Paracanthurus hepatus, species of Indo-Pacific tang)/palette surgeon/blue surgeonfish/blue tang/
パレットサージョン /(n) palette surgeonfish (Paracanthurus hepatus, species of Indo-Pacific tang)/palette surgeon/blue surgeonfish/blue tang/
パレットサージョンフィッシュ /(n) palette surgeonfish (Paracanthurus hepatus, species of Indo-Pacific tang)/palette surgeon/blue surgeonfish/blue tang/
パレットナイフ /(n) palette knife/
パレット車 [パレットしゃ] /(n) pallet car/
パロール /(n) (ling) parole (fre:)/
パロる /(v5r) (sl) to parody/
パロチン /(n) parotin/
パロディ /(n) parody/
パロディー /(n) parody/(P)/
パロミノ /(n) (comp) palomino/
パワー /(n) power/(P)/
パワー・シェアリング /(n) power sharing/
パワーＰＣ [パワーピーシー] /(n) (comp) PowerPC/
パワーアップ /(n,vs) making more powerful (wasei: power up)/(P)/
パワーアンプ /(n) (abbr) power amplifier/
パワーウインドー /(n) power window/
パワーウエイトレシオ /(n) power weight ratio/
パワーエリート /(n) power elite/
パワーオープン /(n) (comp) PowerOPEN/
パワーオンキー /(n) (comp) power-on key/
パワーゲーム /(n) power game/
パワーサイト /(n) (comp) PowerSite/
パワーサプライ /(n) (comp) power supply/
パワーシェアリング /(n) power sharing/
パワーシャベル /(n) power shovel/
パワーショベル /(n) power shovel/
パワージェイ /(n) (comp) PowerJ/
パワーステアリング /(n) power steering/(P)/
パワースポット /(n) location thought to be flowing with mystical energy (wasei: power spot)/
パワーソフト /(n) (comp) PowerSoft/
パワーデザイナー /(n) (comp) PowerDesigner/
パワーハウス /(n) powerhouse/
パワーハラスメント /(n) harassment, e.g. in the workplace, from a position of power (wasei: power harassment)/bullying/
パワービルダー /(n) (comp) PowerBuilder/
パワーブック /(n) (comp) Powerbook (type of computer)/
パワープラスプラス /(n) (comp) Power++/
パワーポイント /(n) Microsoft PowerPoint/
パワーポリシー /(n) power policy/
パワーポリティックス /(n) power politics/
パワーマネージメント機能 [パワーマネージメントきのう] /(n) (comp) power management function/
パワーユーザー /(n) (comp) power user/
パワーランチ /(n) power lunch/
パワーリード /(n) power lead/
パワーリフティング /(n) power lifting/
パワステ /(n) (abbr) power steering/
パワハラ /(n) (abbr) harassment (in the workplace) from a position of power/power harassment/
パワフル /(adj-na,n) powerful/(P)/
パワポ /(n) Microsoft PowerPoint/
パン /(n) (1) bread (por: pao)/pastries (e.g. croissants)/pastry-based products/(2) pan (eng: pan)/frying pan/(n,vs) (3) panning (in a film)/(P)/
パン・フルート /(n) pan flute/
パンと見世物 [パンとみせもの] /(exp) bread and circuses/
パンのプルート /(n) pan flute/
パンの耳 [パンのみみ] /(n) bread crust/
パンの木 [パンのき] /(n) breadfruit/
パンアメリカニズム /(n) Pan-Americanism/(P)/
パンク /(n,vs) (1) (abbr) puncture/flat tyre (tire)/bursting/(n) (2) punk/(P)/
パンクズリスト /(n) (uk) topic path/breadcrumbs list/breadcrumbs trail/
パンクチュアル /(adj-na) punctual/
パンクチュエーション /(n) punctuation/
パンクファッション /(n) punk fashion/
パンクレアチン /(n) pancreatin/
パンクロ /(n,adj-no) (abbr) panchromatic/
パンクロッカー /(n) punk rocker/
パンクロック /(n) punk rock/
パンクロマチックフィルム /(n) panchromatic film/
パングラム /(n) pangram/holo-alphabetic sentence/
パンケーキ /(n) pancake/
パンゲア /(n) Pangaea/
パンサー /(n) panther/leopard (Panthera pardus)/
パンジー /(n) pansy (Viola tricolor hortensis)/(P)/
パンジー色 [パンジーいろ] /(n) deep violet/
パンジャービードレス /(n) Salwar kameez (wasei: Punjabi dress)/
パンジャブ語 [パンジャブご] /(n) Punjabi (language)/Panjabi/
パンスケ /(n) whore/
パンスト /(n) (abbr) panty hose (wasei: panty stocking)/
パンセ /(n) thought (fre: pense'e)/idea/
パンタグラフ /(n) pantograph/(P)/
パンタロン /(n) pantaloons (fre: pantalon)/bell-bottoms/trousers/
パンダ /(n) panda/(P)/
パンチ /(n,vs) punch/(P)/
パンチェッタ /(n) pancetta (ita:)/
パンチカード /(n) (comp) punch card/
パンチカードシステム /(n) punch-card system/PCS/
パンチドランカー /(n) (1) person suffering from punch drunk syndrome (wasei: punch drunker)/person with dementia pugilistica/(2) punch drunk syndrome/dementia pugilistica/
パンチドランク /(adj-f) befuddled (from punch drunk)/confused/
パンチパーマ /(n) curly men's hairstyle, usu. associated with yakuza or delinquents (wasei: punch permanent)/(P)/
パンチボール /(n) punchball/
パンチャー /(n) puncher/
パンチラ /(n,vs) (abbr) showing underwear/
パンチライン /(n) punch-line (of story or joke)/
パンチング /(n) punching/
パンツ /(n) (1) underpants/pants/briefs/panties/shorts/knickers/(2) trousers (esp. women's)/jodhpurs/breeches/pants/trunks (e.g. swimming)/(P)/
パンツ一丁 [パンツいっちょう] /(n) (wearing only) one pair of underpants/
パンティ /(n) panties/panty/briefs/
パンティー /(n) panties/panty/briefs/(P)/
パンティーガードル /(n) panty girdle/
パンティースカート /(n) panty skirt/pantskirt/
パンティーストッキング /(n) panty hose (wasei: panty stocking)/
パンティストッキング /(n) panty hose (wasei: panty stocking)/
パンテオン /(n) pantheon/
パンデミック /(n) pandemic/
パント /(n) (abbr) punt kick (rugby)/(P)/
パントーン /(n) Pantone (color matching system)/
パントキック /(n) punt kick (rugby)/
パントグラフ /(n) pantograph/
パントテン /(n) pantothenic (acid)/
パントテン酸 [パントテンさん] /(n) pantothenic acid/
パントマイム /(n) pantomime/(P)/
パントリー /(n) pantry/
パントン /(n) Pantone (color matching system)/
パンドラの箱 [パンドラのはこ] /(n) Pandora's box/
パンドル /(n) paint (fre: peindre)/
パンニング /(n) (comp) panning/
パンパイプ /(n) panpipes/
パンパス /(n,adj-no) pampas/(P)/
パンパスグラス /(n) pampas grass (Cortaderia selloana)/
パンパン /(n,adj-na,adv) (1) (on-mim) kapow/bang/slap/(n) (2) prostitute (esp. just after WWII)/
パンパンガール /(n) prostitute (esp. one consorting with occupation soldiers after WWII)/pan-pan girl/
パンピ /(n) (abbr) common folk (somewhat insulting)/commoner/
パンピー /(n) (abbr) common folk (somewhat insulting)/commoner/
パンピング /(n) pumping/
パンフ /(n) (abbr) pamphlet/(P)/
パンフォーカス /(n) pan-focus/
パンフルート /(n) pan flute/
パンフレット /(n) brochure/pamphlet/(P)/
パンプキン /(n) pumpkin/
パンプス /(n) pumps/(P)/
パンヤ /(n) (1) silk cotton (esp. from the Indian silk cotton tree) (por: panha)/(2) Indian silk-cotton tree (Bombax ceiba)/
パンヤの木 [パンヤのき] /(n) red silk-cotton tree (Bombax ceiba)/Indian silk-cotton tree/
パンロリ /(n) punk Lolita (fashion style)/
パン屋 [パンや] /(n) bakery/
パン屑 [パンくず] /(n) (uk) (bread) crumb/
パン屑リスト [パンくずリスト] /(n) (uk) topic path/breadcrumbs list/breadcrumbs trail/
パン耳 [パンみみ] /(n) (bread) crust/
パン種 [パンだね] /(n) leavening agent (e.g. yeast)/
パン小麦 [パンこむぎ] /(n) wheat (for breadmaking)/
パン焼き器 [パンやきき] /(n) bread baking machine/
パン食 [パンしょく] /(n) bread-centered diet (as opposed to rice)/
パン生地 [パンきじ] /(n) bread dough/
パン粉 [パンこ] /(n) (1) breadcrumbs/panko/(2) bread flour/(P)/
パヴァーヌ /(n) pavane (fre:)/pavan/
パ行 [パぎょう] /(n) classification for Japanese verb with the dictionary form ending in "pu"/"pa" column or row of the kana syllabary/
ヒース /(n) heath/
ヒースロー /(n) Heathrow/
ヒータ /(n) heater/(P)/
ヒーター /(n) heater/(P)/
ヒーデス /(n) (arch) faith (lat: fides)/
ヒート /(n,vs) heat/(P)/
ヒートアイランド /(n) heat island/
ヒートアップ /(n,vs) heat up/
ヒートシンク /(n) (comp) heat sink/
ヒートスプレッダ /(n) (comp) heat spreader/
ヒートパイプ /(n) heat pipe/
ヒートポンプ /(n) heat pump/
ヒーブルーラス /(n) goldbar wrasse (Thalassoma hebraicum)/
ヒープ /(n) heap/
ヒープ領域 [ヒープりょういき] /(n) (comp) heap area/
ヒーポン /(n) (abbr) heat pump/
ヒーメン /(n) hymen (ger:)/
ヒーラー /(n) healer/
ヒーラ細胞 [ヒーラさいぼう] /(n) HeLa cell/
ヒーリング /(n) (1) healing/(2) relaxation/
ヒーリングミュージック /(n) healing music/
ヒール /(n) (1) heel/(2) heel (pro-wrestling)/(vs) (3) heal/(P)/
ヒールアウト /(n) heel out/
ヒール役 [ヒールやく] /(n) someone who plays the part of a 'heel' (bad guy) in wrestling, films, etc./
ヒーロー /(n) hero/(P)/
ヒーロパケージ /(n) hero package (commercial in which the product is the hero of the segment)/
ヒア /(n) (1) hear/(2) here/(P)/
ヒアシンス /(n) hyacinth/
ヒアリング /(n) (1) hearing/(2) listening comprehension/(3) public hearing/(4) interview/
ヒアリングテスト /(n) listening comprehension test/
ヒアルロニダーゼ /(n) hyaluronidase/
ヒアルロン酸 [ヒアルロンさん] /(n) hyaluronic acid/
ヒイデス /(n) (arch) faith (lat: fides)/
ヒイラギ /(n) (1) spotnape ponyfish (Leiognathus nuchalis)/
ヒエドリ /(n) (uk) brown-eared bulbul (Hypsipetes amaurotis)/
ヒエラグリフ /(n) hieroglyph/hieroglyphic/(P)/
ヒエラティック /(n,adj-no) hieratic (Egyptian script)/
ヒエラルキー /(n) hierarchy (ger: Hierachie)/
ヒエラルヒー /(n) hierarchy (ger: Hierachie)/
ヒエログリフ /(n) hieroglyph/
ヒエンソウ /(n) (uk) rocket larkspur (Consolida ajacis)/
ヒオウギガイ /(n) (uk) noble scallop (Chlamys nobilis)/
ヒオドシベラ /(n) lyretail hogfish (Bodianus anthioides)/
ヒカゲノカズラ /(n) (uk) running ground pine (species of club moss, Lycopodium clavatum)/
ヒカリモ /(n) (uk) Ochromonas vischeri (species of golden alga)/
ヒガイ /(n) (uk) Sarcocheillichthys variegatus (species of minnow)/
ヒガシベンガルオオトカゲ /(n) clouded monitor (Varanus nebulosus, species of diurnal carnivorous monitor lizard native to South-East Asia)/
ヒガラ /(n) (uk) coal tit (Parus ater)/
ヒガンザクラ /(n) (1) (uk) higan cherry (species of weeping cherry tree, Prunus subhirtella)/early-flowering cherry (around the spring equinox)/(2) (col) double weeping rosebud cherry (Prunus pendula)/
ヒガンバナ /(n) red spider lily (Lycoris radiata)/cluster amaryllis/
ヒキガエル /(n) (uk) toad (esp. the Japanese toad, Bufo japonicus)/
ヒクつく /(v5k,vi) to twitch/
ヒクイドリ /(n) (uk) cassowary (Casuarius spp.)/
ヒクイナ /(n) (uk) ruddy-breasted crake (Porzana fusca)/
ヒグス機構 [ヒグスきこう] /(n) Higgs mechanism (physics)/
ヒグマ /(n) (uk) brown bear (Ursus arctos)/
ヒゲクジラ /(n) (uk) baleen whale/whalebone whale/
ヒゲザメ /(n) barbelthroat carpetshark (Cirrhoscyllium expolitum, species from the China Sea)/
ヒゲペンギン /(n) (uk) chinstrap penguin (Pygoscelis antarctica)/
ヒゲムシ /(n) (uk) (obsc) beard worm (any worm of phylum Pogonophora)/
ヒゲワシ /(n) (uk) bearded vulture (Gypaetus barbatus)/lammergeier/
ヒサカキ /(n) (uk) Eurya japonica (species of evergreen related to sakaki)/
ヒザラガイ /(n) (1) (uk) chiton (any marine mollusk of the class Polyplacophora)/sea cradle/(2) Japanese chiton (Acanthopleura japonica)/
ヒシクイ /(n) (uk) bean goose (Anser fabalis)/
ヒシバッタ /(n) (uk) groundhopper (esp. species Tetrix japonica)/
ヒジャーブ /(n) hijab (Muslim head covering for women) (ara:)/
ヒジュラ /(n) Hegira (ara:)/Hejira/Hijra/
ヒジュラ暦 [ヒジュラれき] /(n) Islamic calendar/
ヒス /(n) (abbr) hysteria/
ヒスタミン /(n) histamine/
ヒスチジン /(n) histidine/
ヒステリー /(n) hysteria (ger: Hysterie)/(P)/
ヒステリー性格 [ヒステリーせいかく] /(n) hysterical personality/
ヒステリー性黒内障 [ヒステリーせいこくないしょう] /(n) hysteric amaurosis/
ヒステリシス /(n) hysteresis (behaviour where the state of something depends on its past, e.g. magnetic hysteresis, etc.)/
ヒステリック /(adj-na,n) hysteric/(P)/
ヒストグラム /(n) histogram/
ヒストプラスマ /(n) histoplasma/
ヒストリ /(n) history/
ヒストリー /(n) history/
ヒストリの置換 [ヒストリのちかん] /(n) (comp) history substitution/
ヒストリリスト /(n) (comp) history list/
ヒストン /(n) histone/
ヒスノイズ /(n) hiss noise/
ヒスパニック /(n) Hispanic/
ヒズボッラー /(n) Hizbollah/Hezbollah/Hisbollah/Hizballah/
ヒズボラ /(n) Hizbollah/Hezbollah/Hisbollah/Hizballah/
ヒゼンダニ /(n) (uk) itch mite (Sarcoptes scabiei)/
ヒタキ /(n) (uk) Old World flycatcher (any bird of family Muscicapinae, esp. the typical flycatchers of subfamily Muscicapinae)/
ヒダサンショウウオ /(n) (uk) Hida salamander (Hynobius kimurae)/
ヒダレウメ /(n) weeping plum (Prunus mume f. pendula)/weeping Japanese apricot/
ヒッキー /(n) (derog) (sl) someone who withdraws from society (e.g. hides in their room)/hikikomori/
ヒッグスボソン /(n) (obsc) Higgs boson (physics)/Higgs particle/
ヒッグス粒子 [ヒッグスりゅうし] /(n) Higgs particle/Higgs boson/
ヒッコリー /(n) hickory/
ヒッシング /(n) hissing/
ヒッタイト /(n) Hittites/
ヒッタイト語 [ヒッタイトご] /(n) Hittite (language)/
ヒッタイト人 [ヒッタイトじん] /(n) Hittite/
ヒッチハイカー /(n) hitchhiker/
ヒッチハイク /(n) hitch-hike/(P)/
ヒッティング /(n) hitting/
ヒット /(n,vs) hit/success/safe hit (baseball)/being a hit/(P)/
ヒットエンドラン /(n) hit-and-run/
ヒットソング /(n) hit song/
ヒットチャート /(n) hit chart/
ヒットパレード /(n) hit parade/
ヒットポイント /(n) hit point (videogame)/health point/life bar/HP/
ヒットマン /(n) hit man/
ヒットラー /(n) Hitler/
ヒット数 [ヒットすう] /(n) (comp) hit poit/
ヒット率 [ヒットりつ] /(n) (comp) hit rate/
ヒッパレ /(n) (abbr) hit parade/
ヒッピー /(n,adj-no) (1) hippy/(2) (comp) HIPPI/(P)/
ヒッピースタイル /(n) hippie style/
ヒップ /(n) hips/buttocks/backside/(P)/
ヒップアップガードル /(n) hip-up girdle/
ヒップカット /(n) hip cut/
ヒップパッド /(n) hip pad/
ヒップホップ /(n) hip-hop/
ヒップボーンスカート /(n) hipbone skirt/
ヒップライン /(n) hipline/
ヒツジグサ /(n) (uk) pygmy waterlily (Nymphaea tetragona)/
ヒトがん細胞 [ヒトがんさいぼう] /(n) human cancer cell/
ヒトゲノム /(n) (uk) human genome/
ヒトジラミ /(n) (uk) Pediculus humanus (species of louse that infests humans)/body louse/body lice/head louse/head lice/
ヒトツバカエデ /(n) (uk) lime-leaved maple (Acer distylum)/
ヒトデ /(n) (1) (uk) starfish (any echinoderm of the class Asteroidea)/asteroid/sea star/(2) northern Pacific seastar (Asterias amurensis)/
ヒトパピローマウイルス /(n) (uk) human papillomavirus/HPV/
ヒトラー /(n,adj-no) Hitler/(P)/
ヒトラーユーゲント /(n) Hitler Youth (ger: Hitler-Jugend)/
ヒトラー青年隊 [ヒトラーせいねんたい] /(n) (obsc) Hitler Youth/
ヒトリガ /(n) (uk) garden tiger moth (Arctia caja)/
ヒト遺伝子 [ヒトいでんし] /(n) human gene/
ヒト科 [ヒトか] /(n) Hominidae (family comprising of chimpanzees, gorillas, humans and orangutans)/
ヒト癌細胞 [ヒトがんさいぼう] /(n) human cancer cell/
ヒト疾患モデル [ヒトしっかんモデル] /(n) human disease model (e.g. using experimental animals)/
ヒト疾患モデルマウス [ヒトしっかんモデルマウス] /(n) mouse model for human disease/
ヒト成長ホルモン [ヒトせいちょうホルモン] /(n) human growth hormone/
ヒト乳頭腫ウイルス [ヒトにゅうとうしゅウイルス] /(n) human papilloma virus/HPV/
ヒト白血球抗原 [ヒトはっけっきゅうこうげん] /(n) human leukocyte antigen/HLA/
ヒト免疫不全ウイルス [ヒトめんえきふぜんウイルス] /(n) human immunodeficiency virus/HIV/
ヒドラ /(n) (1) Hydra/(2) hydra/
ヒドラジド /(n) hydrazide/
ヒドラジン /(n) hydrazine/
ヒドリガモ /(n) Eurasian wigeon (Anas penelope)/
ヒドロキシアパタイト /(n) hydroxyapatite/
ヒドロキシル基 [ヒドロキシルき] /(n) hydroxyl group/
ヒドロキシ酸 [ヒドロキシさん] /(n) hydroxy acid/
ヒドロキソニウムイオン /(n) (obsc) hydroxonium ion/
ヒドロキノン /(n) hydroquinone/
ヒドロゲル /(n) hydrogel/
ヒドロコルチゾン /(n) hydrocortisone/
ヒドロゾル /(n) hydrosol/
ヒドロニウムイオン /(n) hydronium ion/
ヒドロポリプ /(n) hydropolyp/
ヒドロムシ類 [ヒドロムシるい] /(n) hydrozoan/
ヒドロラーゼ /(n) hydrolase/
ヒドロ虫類 [ヒドロちゅうるい] /(n) hydrozoans/
ヒナノシャクジョウ /(n) (uk) Burmannia championii (species of flowering plant)/
ヒナモロコ /(n) (uk) Chinese bleak (Aphyocypris chinensis)/
ヒナユリ /(n) camassia/wild hyacinth/
ヒヌマイトトンボ /(n) (uk) Mortonagrion hirosei (species of damselfly)/
ヒノキ /(n) (uk) hinoki cypress (Chamaecyparis obtusa)/Japanese cypress/
ヒノキ科 [ヒノキか] /(n) Cupressaceae (plant family)/cypress/
ヒノキ目 [ヒノキもく] /(n) Cupressales (order of plants)/
ヒノヒカリ /(n) Hinohikari (variety of rice)/
ヒバ /(n) (1) hinoki leaf/(2) (uk) hiba false arborvitae (species of cypress, Thujopsis dolabrata)/(3) (uk) small ornamental false cypress (i.e. a variety of hinoki or a related species)/
ヒバマタ /(n) (uk) Arctic wrack (Fucus evanescens)/
ヒヒ /(n) (1) (uk) baboon/(2) lecher/dirty old man/skirt-chaser/
ヒビスカス /(n) hibiscus/
ヒフキアイゴ /(n) (uk) blotched foxface (Siganus unimaculatus, species of Western Pacific rabbitfish)/
ヒフ科 [ヒフか] /(n) dermatology/
ヒプノシス /(n) hypnosis/
ヒポクラテスの誓い [ヒポクラテスのちかい] /(n) Hippocratic oath/
ヒポクリット /(n) hypocrite/
ヒポコンデリー /(n) hypochondria (ger: Hypochondrie)/
ヒマ /(adj-na,n) (1) spare time/free time/leisure/(2) time off/day off/vacation/holiday/leave/(3) quitting (one's job)/firing someone/divorcing (one's spouse)/
ヒマラヤ /(n) Himalaya/(P)/
ヒマラヤグマ /(n) (uk) Himalayan black bear (Ursus thibetanus)/Asiatic black bear/
ヒマラヤスギ /(n) (uk) Himalayan cedar (Cedrus deodara)/deodar/
ヒマラヤユキノシタ /(n) (uk) Bergenia stracheyi (species of bergenia)/
ヒマラヤン /(n) Himalayan (breed of cat)/
ヒマラヤ熊 [ヒマラヤぐま] /(n) (uk) Himalayan black bear (Ursus thibetanus)/Asiatic black bear/
ヒマラヤ杉 [ヒマラヤすぎ] /(n) (uk) Himalayan cedar (Cedrus deodara)/deodar/
ヒマラヤ雪の下 [ヒマラヤゆきのした] /(n) (uk) Bergenia stracheyi (species of bergenia)/
ヒマワリ /(n) (uk) sunflower (Helianthus annuus)/
ヒム /(n) hymn/
ヒメアイゴ /(n) barhead spinefoot (Siganus virgatus, species of Indo-West Pacific rabbitfish)/
ヒメアオギハゼ /(n) wasp pygmy goby (Trimma flavatrum, species found from Japan to Australia)/
ヒメアマツバメ /(n) (uk) house swift (Apus nipalensis)/
ヒメアリ /(n) (uk) Monomorium intrudens (species of ant)/
ヒメウォンバット /(n) (uk) common wombat (Vombatus ursinus)/
ヒメウミスズメ /(n) (uk) dovekie (Alle alle)/dovekey/little auk/
ヒメウミツバメ /(n) (uk) European storm petrel (Hydrobates pelagicus)/
ヒメエゾボラ /(n) (uk) arthritic neptune (species of whelk, Neptunea arthritica)/
ヒメオコゼ /(n) (uk) grey stingfish (Minous monodactylus)/
ヒメキンチャクフグ /(n) compressed toby (Canthigaster compressa)/fingerprint sharpnose puffer/
ヒメコウゾ /(n) (uk) Broussonetia kazinoki (species of mulberry)/
ヒメコガネ /(n) (uk) soybean beetle (Anomala rufocuprea)/
ヒメシャガ /(n) fringed iris (Iris gracilipes)/
ヒメシャラ /(n) tall stewartia/hime-syara stewartia/stewartia monadelpha/
ヒメジ /(n) (uk) Bensasi goatfish (species of red mullet, Upeneus japonicus)/
ヒメジオン /(n) daisy/Erigeron annuus/
ヒメジョオン /(n) daisy/Erigeron annuus/
ヒメスズメダイ /(n) blackfin chromis (Chromis vanderbilti)/
ヒメスズメバチ /(n) (uk) Vespa ducalis (species of hornet)/
ヒメダイ /(n) (uk) lavender jobfish (Pristipomoides sieboldii)/flower jobfish/
ヒメツチハンミョウ /(n) (uk) Meloe coarctatus (species of oil beetle)/
ヒメツバキ /(n) (1) (uk) Chinese guger tree (species of evergreen, Schima wallichii)/(2) sasanqua (Camellia sasanqua)/(3) (arch) Japanese privet (Ligustrum japonicum)/
ヒメテングハギ /(n) whitemargin unicornfish (Naso annulatus, species of Indo-Pacific tang which reaches 1 meter in length)/
ヒメニラミベニハゼ /(n) sharp-eye pygmy-goby (Trimma anaima, a Western Indian Ocean species)/
ヒメネズミ /(n) (uk) small Japanese field mouse (Apodemus argenteus)/
ヒメハギ /(n) (uk) dwarf milkwort (Polygala japonica)/
ヒメハゼ /(n) (uk) sharp-nosed sand goby (Favonigobius gymnauchen)/
ヒメハナバチ /(n) (uk) mining bee (of family Andrenidae)/
ヒメハルゼミ /(n) (uk) Euterpnosia chibensis (species of cicada)/
ヒメバチ /(n) (uk) ichneumon wasp/ichneumon fly/
ヒメフウライチョウチョウウオ /(n) spot-nape butterflyfish (Chaetodon oxycephalus)/
ヒメヘラザメ /(n) broadgill catshark (Apristurus riveri, found in the Western Central Atlantic)/
ヒメマス /(n) (uk) kokanee (landlocked variety of sockeye salmon, Oncorhynchus nerka)/
ヒモパン /(n) (col) (sl) string bikini/g-string/thong/
ヒモムシ /(n) (uk) ribbon worm (any worm of phylum Nemertea)/
ヒャクメオオトカゲ /(n) Argus monitor (Varanus panoptes, species of carnivorous monitor lizard found in northern Australia and southern New Guinea)/yellow-spotted monitor/
ヒヤシンス /(n) hyacinth/
ヒヤリハット /(n) close call/near miss/
ヒヤリング /(n) (1) hearing/(2) listening comprehension/(3) public hearing/(4) interview/(P)/
ヒューストン /(n) Houston/(P)/
ヒューズ /(n) fuse/(P)/
ヒューズコック /(n) fuse cock/
ヒューズネットワークシステムズ /(n) (comp) Hughes Network Systems/
ヒューヒュー /(n) whistling sound/sound of the wind/
ヒューマー /(n) humor/humour/
ヒューマニスティック /(adj-na,n) humanistic/
ヒューマニスト /(n) humanist/
ヒューマニズム /(n) humanism/(P)/
ヒューマニゼーション /(n) humanization/humanisation/
ヒューマニティー /(n) humanity/
ヒューマノイド /(n) humanoid/
ヒューマン /(adj-na,n) human/(P)/
ヒューマンアセスメント /(n) human assessment/
ヒューマンインターフェース /(n) (comp) human interface/
ヒューマンインタフェース /(n) (comp) computer human interface/CHI/
ヒューマンインタレスト /(n) human interest/
ヒューマンウエーブ /(n) human wave/
ヒューマンエコロジー /(n) human ecology/
ヒューマンエンジニアリング /(n) human engineering/HE/
ヒューマンドキュメント /(n) human document/
ヒューマンライク /(n) humanlike/
ヒューマンリソース /(n) human resources/
ヒューマンリレーションズ /(n) human relations/HR/
ヒューム管 [ヒュームかん] /(n) Hume concrete pipe/
ヒューモア /(n) humour/
ヒューリスティク /(adj-na,n) heuristic/
ヒューリスティクス /(n) heuristics/
ヒューリスティック /(adj-na,n) heuristic/
ヒューリスティックス /(n) heuristics/
ヒューレット /(n) (abbr) Hewlett (Packard)/
ヒューレットパッカード /(n) (comp) HP/Hewlett Packard/
ヒュッテ /(n) (mountain) hut (ger: Huette)/
ヒュドラ /(n) hydra/
ヒュリスティックス /(n) heuristics/
ヒュレー /(n) (obsc) hyle (gre:)/
ヒユ /(n) (uk) Joseph's-coat (Amaranthus tricolor)/tampala/
ヒョウアザラシ /(n) (uk) leopard seal (Hydrurga leptonyx)/
ヒョウザメ /(n) Proscyllium venustum (species of finback catshark found in Japan's Okinawa Trough)/
ヒョウタン /(n) (uk) gourd/calabash (Lagenaria siceraria var. gourda)/
ヒョウモンダコ /(n) (uk) blue-ringed octopus (esp. one species, the blue-lined octopus, Hapalochlaena fasciata)/
ヒョウ属 [ヒョウぞく] /(n) Panthera (genus of the cat family Felidae containing tigers, lions, jaguars, and leopards)/
ヒョウ柄 [ヒョウがら] /(n) leopard print (design)/
ヒヨケザル /(n) (uk) flying lemur/colugo/
ヒヨケムシ /(n) (uk) sun spider (any arachnid of order Solifugae)/wind scorpion/camel spider/solpugid/
ヒヨス /(n) (uk) henbane (Hyoscyamus niger) (lat:)/
ヒヨスチアミン /(n) hyoscyamine/
ヒヨドリ /(n) (uk) brown-eared bulbul (Hypsipetes amaurotis)/
ヒヨドリジョウゴ /(n) (uk) Solanum lyratum (species of nightshade)/
ヒヨドリバナ /(n) (uk) Eupatorium makinoi (species of boneset)/
ヒラ /(n) (1) something broad and flat/palm of the hand/(2) common/ordinary/(3) (abbr) low-ranking employee/freshman/novice/private/
ヒラガシラ /(n) milk shark (Rhizoprionodon acutus, species of requiem shark found in the eastern Atlantic and the Indo-Pacific)/
ヒラガシラ属 [ヒラガシラぞく] /(n) Rhizoprionodon (genus of sharpnose sharks in the requiem shark family Carcharhinidae)/
ヒラコテリウム /(n) hyracotherium (lat:)/eohippus (earliest fossil ancestor of the horse)/
ヒラシュモクザメ /(n) (uk) great hammerhead (Sphyrna mokarran, the largest species of hammerhead shark)/
ヒラスズキ /(n) (uk) blackfin sea bass (Lateolabrax latus)/
ヒラタグモ /(n) (uk) Uroctea compactilis (species of araneomorph spider)/
ヒラタケ /(n) (uk) oyster mushroom (Pleurotus ostreatus)/
ヒラニザ /(n) elongate surgeonfish (Acanthurus mata, species of Indo-Pacific tang)/
ヒラマサ /(n) (uk) yellowtail amberjack (species of fish, Seriola lalandi)/
ヒラマメ /(n) (uk) lentil (Lens culinaris, Lens esculenta)/
ヒラミレモン /(n) Hirami lemon (Citrus Depressa)/
ヒラメ /(n) (1) (uk) flounder (esp. the large-tooth flounders of family Paralichthyidae, but also lefteye flounders of family Bothidae)/(2) bastard halibut/olive flounder (Paralichthys olivaceus)/
ヒラメ筋 [ヒラメきん] /(n) soleus muscle/
ヒリつく /(v5k,vi) to hurt/to smart/to sting/
ヒル /(n) hill/
ヒルギ /(n) (uk) mangrove (of family Rhizophoraceae)/
ヒルギダマシ /(n) (uk) grey mangrove (Avicennia marina)/white mangrove/
ヒルクライム /(n) hill climb/
ヒルジン /(n) hirudin (anticoagulant polypeptide produced by leeches)/
ヒルビリー /(n) hillbilly/
ヒルビリーミュージック /(n) hillbilly music/
ヒルベルト /(n) Hilbert/
ヒルベルト空間 [ヒルベルトくうかん] /(n) Hilbert space/
ヒレ /(n) fillet (fre: filet)/(P)/
ヒレアシシギ /(n) (uk) phalarope (any sandpiper of family Phalaropodidae)/
ヒレグロスズメダイ /(n) dark-fin chromis (Chromis atripes)/
ヒレグロベラ /(n) blackfin hogfish (Bodianus loxozonus)/
ヒレトガリザメ /(n) sicklefin weasel shark (Hemigaleus microstoma, species of Indo-West Pacific weasel shark)/
ヒレトガリザメ科 [ヒレトガリザメか] /(n) Hemigaleidae (family of weasel sharks containing 8 known species in 4 genera found from the eastern Atlantic to the continental Indo-Pacific)/
ヒレトガリザメ属 [ヒレトガリザメぞく] /(n) Hemigaleus (genus of the weasel shark family Hemigaleidae)/
ヒレナガゴンドウ /(n) (uk) long-finned pilot whale (Globicephala melas)/
ヒレナガスズメダイ属 [ヒレナガスズメダイぞく] /(n) Neoglyphidodon (genus of damselfish in the family Pomacentridae)/
ヒレナガハギ /(n) sailfin tang (Zebrasoma velifer, species of Pacific tang also found off Mozambique)/
ヒレナガハギ属 [ヒレナガハギぞく] /(n) Zebrasoma (genus of 7 species of marine tang in the family Acanthuridae with pointed snouts and forward facing spines at the base of the tail)/
ヒレンジャク /(n) (uk) Japanese waxwing (species of passerine bird, Bombycilla japonica)/
ヒロイズム /(n) heroism/(P)/
ヒロイック /(adj-na,n) heroic/
ヒロイン /(n) heroine/(P)/
ヒロズコガ /(n) (uk) tineid (any moth of family Tineidae)/
ヒロポン /(n) Philopon (banned Japanese brand-name methamphetamine)/
ヒワ /(n) (uk) cardueline finch (any finch of subfamily Carduelinae, esp. the Eurasian siskin, Carduelis spinus)/
ヒンジ /(n) hinge/(P)/
ヒンズー /(n) Hindu/(P)/
ヒンズー教 [ヒンズーきょう] /(n) Hinduism/
ヒンターランド /(n) hinterland (ger:)/
ヒンヂ /(n) hinge/
ヒンディー /(n) Hindi/
ヒンディー語 [ヒンディーご] /(n) Hindi/
ヒンディ語 [ヒンディご] /(n) Hindi/
ヒント /(n) hint/(P)/
ヒンドゥー /(n) Hindu/
ヒンドゥー教 [ヒンドゥーきょう] /(n) Hinduism/
ヒンドゥスターニー語 [ヒンドゥスターニーご] /(n) Hindustani (language)/
ヒンドスタン /(n) Hindustan/
ヒ酸 [ヒさん] /(n) arsenic acid/
ヒ酸鉛 [ヒさんなまり] /(n) lead arsenate/
ヒ素 [ひそ] /(n,adj-no) arsenic (As)/
ビー /(n) bee/
ビーア /(n) beer (dut: bier)/
ビーアールアイ /(n) (comp) BRI/
ビーアイエス /(n) (comp) BIS/
ビーアイエスディーエヌ /(n) (comp) B-ISDN/
ビーアイダブリュー /(n) (comp) BIW/
ビーイーアール /(n) (comp) BER/
ビーエス /(n) broadcast(ing) satellite/BS/
ビーエスエーシー /(n) British Sub-Aqua Club, founded 1953 (Prince Charles is honorary President)/BSAC/
ビーエスシー /(n) (comp) BSC/
ビーエスディー /(n) (comp) BSD/
ビーエヌシーコネクタ /(n) (comp) BNC connector/
ビーエムピー /(n) (comp) BMP/
ビーカ /(n) beaker/(P)/
ビーカー /(n) beaker/
ビーガン /(n) vegan/
ビークル /(n) vehicle/
ビーグル /(n) beagle/(P)/
ビーコン /(n) beacon/
ビーコンステーション /(n) (comp) beaconing station/
ビーサン /(n) (abbr) beach sandals/flip-flops/thongs, pluggers/jandals/
ビーザ /(n) visa/
ビーシーシー /(n) (comp) bcc:/
ビーシーディーコード /(n) (comp) BCD code/
ビースト /(n) beast/(P)/
ビーズ /(n) beads/(P)/
ビーター /(n) beater/
ビーチ /(n) beach/(P)/
ビーチウエア /(n) beachwear/
ビーチガウン /(n) beach gown/
ビーチク /(n) (col) nipple/
ビーチクラフト /(n) surface craft (wasei: beach craft)/
ビーチコート /(n) beach coat/
ビーチサンダル /(n) beach sandals/flip-flops/thongs/pluggers/jandals/(P)/
ビーチタオル /(n) beach towel/
ビーチハウス /(n) beach house/
ビーチバレー /(n) (abbr) beach volleyball/
ビーチパラソル /(n) beach parasol/beach umbrella/
ビーチボール /(n) beach ball/
ビーツ /(n) beets/
ビーツリー /(n) (comp) B-tree/
ビーティングリード /(n) beating reed/
ビート /(n) (1) beet/(2) beat/(P)/
ビートジェネレーション /(n) beat generation/
ビートリーブ /(n) (comp) Btrieve/
ビートル /(n) beetle/
ビートルズ /(n) Beatles/(P)/
ビートルマニア /(n) Beatlemania/
ビート族 [ビートぞく] /(n) beatniks/
ビードロ /(n) glass (word used from the end of the Muromachi era to the Edo era) (por: vidro)/
ビーナス /(n) Venus/(P)/
ビーナスピー /(n) (comp) VENUS-P/
ビーバ /(n) (1) beaver/(2) viva (ita:)/
ビーバー /(n) (1) beaver/(2) viva (ita:)/(P)/
ビーバップ /(n) bebop (1940s popular music)/
ビーピーエス /(n) (comp) bps/
ビーフ /(n) beef/(P)/
ビーフ・シチュー /(n) beef stew/
ビーフ・ストロガノフ /(n) beef stroganoff/
ビーファロー /(n) beefalo/
ビーフィーター /(n) beefeater (brand of gin, warden in the Tower of London)/
ビーフイーター /(n) beefeater/
ビーフウェリントン /(n) beef Wellington/
ビーフカツレツ /(n) beef cutlet/
ビーフシチュー /(n) beef stew/
ビーフジャーキー /(n) beef jerky/
ビーフステーキ /(n) beefsteak/
ビーフストロガノフ /(n) beef stroganoff/
ビーフパティ /(n) beef patty/
ビープ /(n) beep/
ビープコード /(n) (comp) beep code/
ビープラス /(n) (comp) B plus/
ビープ音 [ビープおん] /(n) (comp) beep/
ビーム /(n) beam/(P)/
ビームアンテナ /(n) beam antenna/
ビームペネトレーションＣＲＴ [ビームペネトレーションシーアルティー] /(n) (comp) beam penetration CRT/
ビームライダー /(n) beam rider/
ビームライフル /(n) beam rifle/
ビーム球 [ビームきゅう] /(n) spotlight bulb (e.g. in interior lighting)/
ビーム伝搬法 [ビームでんぱんほう] /(n) beam propagation method/BPM/
ビール /(n) beer (dut: bier)/(P)/
ビールス /(n) (1) virus (lat:, ger:)/(adj-no) (2) viral/
ビール券 [ビールけん] /(n) beer coupon/
ビール瓶 [ビールびん] /(n) beer bottle/
ビーン /(n) bean/
ビーンズ /(n) beans/(P)/
ビーンボール /(n) bean ball/
ビー玉 [ビーだま] /(n) (a) marble/(P)/
ビー系 [ビーけい] /(n,adj-no) (sl) hip-hop culture/Black culture (esp. breakdancing culture)/
ビー専 [ビーせん] /(n) (sl) attraction to ugly people/
ビア /(n) beer (dut: bier)/(P)/
ビアー /(n) beer (dut: bier)/
ビアガーデン /(n) beer-garden/(P)/
ビアデッドコリー /(n) bearded collie/
ビアフラドクターフィッシュ /(n) Biafra doctorfish (Prionurus biafraensis, species of Eastern Atlantic tang)/
ビアホール /(n) beer-hall/
ビアマグ /(n) beer mug/
ビアン /(n) (abbr) lesbian/
ビィルトイン /(n) (comp) built-in/
ビエタ /(ik) (n) Pieta (ita:)/pieta/
ビエラ /(n) Viyella/
ビエンナーレ /(n) biennale (biennial art exhibition) (ita:)/(P)/
ビオーエス /(n) (comp) BeOS/
ビオーサバールの法則 [ビオーサバールのほうそく] /(n) Biot-Savart law/
ビオール /(n) viol/
ビオサバールの法則 [ビオサバールのほうそく] /(n) Biot-Savart law/
ビオサヴァールの法則 [ビオサヴァールのほうそく] /(n) Biot-Savart law/
ビオス /(n) bios/
ビオチン /(n) biotin (ger: Biotin)/
ビオトープ /(n) biotope (ger: Biotop)/
ビオラ /(n) viola (ita:)/(P)/
ビオラダガンバ /(n) viola da gamba (ita:)/
ビオラダモーレ /(n) viola d'amore (ita:)/
ビオロン /(n) violon (fre:)/
ビオロンチェロ /(n) violoncello (ita:)/
ビガロポリス /(n) bigalopolis/
ビキニ /(n) (1) bikini (swimwear)/(2) Bikini island/(P)/
ビキニモデル /(n) bikini model/
ビキューナ /(n) vicuna/
ビギナー /(n) beginner/(P)/
ビギナーズラック /(n) beginner's luck/
ビギニング /(n) beginning/
ビクタ /(n) victor/
ビクター /(n) victor/(P)/
ビクッと /(adv) with a start/
ビクティム /(n) victim/
ビクトリー /(n) victory/(P)/
ビクトリーラン /(n) victory run/
ビクトリア /(n) Victoria/(P)/
ビクトリア女王誕生日 [ビクトリアじょおうたんじょうび] /(n) Victoria Day (Canadian public holiday)/
ビゴット /(n) (comp) bigot/
ビザ /(n) visa/(P)/
ビザー /(n) visa/
ビザンチン /(n) Byzantine/
ビザンチン教会 [ビザンチンきょうかい] /(n) Byzantine Church/
ビザンチン建築 [ビザンチンけんちく] /(n) Byzantine architecture/
ビザンチン式 [ビザンチンしき] /(n) (obsc) Byzantine style (of architecture)/
ビザンチン帝国 [ビザンチンていこく] /(n) Byzantine Empire/
ビザンチン美術 [ビザンチンびじゅつ] /(n) Byzantine art/
ビザンチン様式 [ビザンチンようしき] /(n) Byzantine style (of architecture)/
ビザンツ帝国 [ビザンツていこく] /(n) Byzantine Empire/
ビザンティン帝国 [ビザンティンていこく] /(n) Byzantine Empire/
ビシチェ /(n) bustier/
ビシャン /(n) bush hammer/
ビショップ /(n) bishop/
ビショビショ /(adj-na,adv,n) (on-mim) saturated/wet through/
ビジー /(n) busy/
ビジコン /(n) vidicon/
ビジジェニック /(n) (comp) Visigenic/
ビジター /(n) visitor/(P)/
ビジターフィー /(n) visitor fee/
ビジティングチーム /(n) visiting team/
ビジネス /(n) business/(P)/
ビジネス・スーツ /(n) business suit/
ビジネス・レター /(n) business letter/
ビジネスアセスメント /(n) business assessment/
ビジネスアナリスト /(n) (comp) business analyst/
ビジネスアプリケーション /(n) (comp) business applications/
ビジネスインテリジェンス /(n) (comp) business intelligence/
ビジネスウーマン /(n) businesswoman/female business-person/
ビジネスウエア /(n) business wear/
ビジネスオートメーション /(n) business automation/
ビジネスカレッジ /(n) business college/
ビジネスガール /(n) business girl/
ビジネスクラス /(n) business class/
ビジネスゲーム /(n) business game/
ビジネスコンサルタント /(n) business consultant/
ビジネスサーベイ /(n) business survey/
ビジネスシヨウ /(n) (comp) Businessshow/
ビジネススーツ /(n) business suit/
ビジネススクール /(n) business school/
ビジネススクール入学共通試験 [ビジネススクールにゅうがくきょうつうしけん] /(n) business school entrance test/GMAT/
ビジネスセンター /(n) (1) business center of a city (centre)/(2) business center of a hotel (providing fax & copy services, etc.)/
ビジネスソフトウェア連盟 [ビジネスソフトウェアれんめい] /(n) (comp) BSA/Business Software Association/
ビジネストラヒック /(n) (comp) business traffic/
ビジネスパートナー /(n) business partner/
ビジネスプラン /(n) business plan/
ビジネスプロセス /(n) (comp) business process/
ビジネスプロデュース /(n) starting up and developing a business (wasei: business produce)/
ビジネスホテル /(n) business hotel/
ビジネスマン /(n) businessman/(P)/
ビジネスモデリングオブジェクト /(n) (comp) business modeling objects/
ビジネスモデル /(n) business model/
ビジネスユーザ /(n) (comp) business user/
ビジネスライク /(adj-na,n) businesslike/(P)/
ビジネスランチ /(n) business lunch/
ビジネスリーダーシップ /(n) business leadership/
ビジネスレター /(n) business letter/
ビジネスローン /(n) business loan/
ビジネスロジック /(n) (comp) business logic/
ビジブローカー /(n) (comp) VisiBroker/
ビジュアライズ /(n) visualize/visualise/
ビジュアライゼーション /(n) visualization/visualisation/
ビジュアリゼーション /(n) visualization/visualisation/
ビジュアル /(adj-na,n,vs) visual/visualization/visualisation/(P)/
ビジュアル・ノベル /(n) visual novel/
ビジュアルコミュニケーション /(n) visual communication/
ビジュアルシープラプラ /(n) (comp) Visual C++/
ビジュアルシェル /(n) (comp) visual shell/
ビジュアルディスプレー /(n) visual display/
ビジュアルデザイン /(n) visual design/
ビジュアルノベル /(n) visual novel/
ビジュアルフライト /(n) visual flight/
ビジュアルマーチャンダイジング /(n) visual merchandising/
ビジュアルランゲージ /(n) visual language/
ビジュアル系 [ビジュアルけい] /(n) (1) a handsome man (esp. one who knows this)/(2) a musical group that places importance on visuals such as makeup/
ビジョン /(n) vision/(P)/
ビジランス /(n) vigilance/
ビジラント /(n) vigilant/
ビス /(n) (1) screw (fre: vis)/(2) -bis (again, second version) (fre: bis)/(3) Bank of International Settlements/BIS/(P)/
ビスカッチャ /(n) viscacha (rodents of two genera: Lagidium and Lagostomus)/
ビスク /(n) bisque (fre:)/
ビスクドール /(n) bisque doll/
ビスケット /(n) biscuit/(P)/
ビスケットジョイント /(n) biscuit joint/
ビスケット生地 [ビスケットきじ] /(n) cookie dough/biscuit dough/
ビスコース /(n) viscose/
ビスコースレーヨン /(n) viscose rayon/
ビスコース人絹 [ビスコースじんけん] /(n) (obsc) viscose rayon/
ビスタ /(n) vista/
ビスタカー /(n) vista (dome) car/(P)/
ビスチェ /(adj-no) bustier/
ビストロ /(n) bistro (fre:)/
ビスマス /(n,adj-no) bismuth (Bi)/
ビスムス /(n,adj-no) bismuth (Bi)/
ビズィタ /(n) visitor/
ビズテック /(n) (comp) BizTech/
ビター /(adj-na) (1) bitter (flavor)/(n) (2) bitter (type of beer)/
ビターズ /(n) bitters/
ビタカンフル /(n) vita camphor/
ビタビ復号 [ビタビふくごう] /(n) (comp) Viterbi decoding/
ビタミン /(n,adj-no) vitamin (ger:)/(P)/
ビタミンＡ [ビタミンエー] /(n) vitamin A/
ビタミンＢ１ [ビタミンビーいち] /(n) vitamin B1/
ビタミンＢ１２ [ビタミンビーじゅうに] /(n) vitamin B12/
ビタミンＢ２ [ビタミンビーに] /(n) vitamin B2/
ビタミンＢ６ [ビタミンビーろく] /(n) vitamin B6/
ビタミンＢ群 [ビタミンビーぐん] /(n) vitamin B group/
ビタミンＢ複合体 [ビタミンビーふくごうたい] /(n) vitamin B complex/
ビタミンＣ [ビタミンシー] /(n) vitamin C/
ビタミンＤ [ビタミンディー] /(n) vitamin D/
ビタミンＤ２ [ビタミンディーに] /(n) vitamin D2/
ビタミンＤ３ [ビタミンディーさん] /(n) vitamin D3/
ビタミンＥ [ビタミンイー] /(n) vitamin E/
ビタミンＨ [ビタミンエッチ] /(n) vitamin H/
ビタミンＫ [ビタミンケー] /(n) vitamin K/
ビタミンＬ [ビタミンエル] /(n) vitamin L (anthranilic acid)/
ビタミンＭ [ビタミンエム] /(n) vitamin M/
ビタミンＰ [ビタミンピー] /(n) vitamin P/
ビタミン過剰症 [ビタミンかじょうしょう] /(n) hypervitaminosis/
ビタミン欠乏症 [ビタミンけつぼうしょう] /(n) vitamin deficiency disease/avitaminosis/hypovitaminosis/
ビタミン剤 [ビタミンざい] /(n) vitamin pills/
ビタライス /(n) Vitarice/
ビチューメン /(n) bitumen/
ビチョビチョ /(adj-na,adv,n) (on-mim) saturated/wet through/
ビックリ /(vs,adv) (1) (uk) (on-mim) to be surprised/to be amazed/to be frightened/to be astonished/(adj-f) (2) (uk) (on-mim) surprise (e.g. surprise party)/
ビッグ /(adj-na,n) big/(P)/
ビッグアップル /(n) The Big Apple (nickname for New York City)/
ビッグイベント /(n) big event/(P)/
ビッグエッグ /(n) Big Egg/
ビッグエンディアン /(n) (comp) big-endian/
ビッグエンディアン式 [ビッグエンディアンしき] /(n) (comp) big endian/
ビッグカード /(n) big card/
ビッグクランチ /(n) big crunch (theoretical reversal of the big bang resulting in the demise of the universe)/
ビッグゲーム /(n) big game/
ビッグサイエンス /(n) big science/
ビッグスクリーン /(n) big screen (TV)/
ビッグニュース /(n) important news (wasei: big news)/
ビッグバン /(n) big bang/(P)/
ビッグバンド /(n) big band/
ビッグバン宇宙論 [ビッグバンうちゅうろん] /(n) big bang theory (cosmology)/
ビッグビジネス /(n) big business/
ビッグブルー /(n) (comp) Big Blue/
ビッグプレイ /(n) big play (US football)/
ビッグベン /(n) Big Ben/
ビッグホーン /(n) bighorn sheep (Ovis canadensis)/
ビッグローブ /(n) (comp) BIGLOBE/
ビッチ /(n) bitch/
ビット /(n) (comp) bit/(P)/
ビットストリーム /(n) (comp) bitstream/
ビットトランスペアレンシー /(n) (comp) bit transparency/
ビットトレント /(n) (comp) BitTorrent peer-to-peer file sharing protocol/
ビットネット /(n) (comp) BITNET/
ビットパターン /(n) (comp) bit-pattern/
ビットパリティ /(n) (comp) bit parity/
ビットフィールド /(n) (comp) bit-field/
ビットブリット /(n) (comp) BitBlt/
ビットプレーン /(n) (comp) bit plane/
ビットマスク /(n) (comp) bit mask/
ビットマップ /(n) (comp) bitmap/
ビットマップディスプレイ /(n) (comp) bit-mapped display/
ビットマップフォント /(n) (comp) bit-mapped font/
ビットマップフォントのこと /(n) (comp) raster font/bit-map font/
ビットレート /(n) (comp) bit rate/
ビットレイト /(n) (comp) bit rate/
ビット位置 [ビットいち] /(n) (comp) bit position/
ビット演算 [ビットえんざん] /(n) (comp) bit operation/
ビット誤り率 [ビットあやまりりつ] /(n) (comp) bit error rate/BER/
ビット構成 [ビットこうせい] /(n) (comp) bit configuration/
ビット場 [ビットば] /(n) bit field/
ビット組み [ビットくみ] /(n) (comp) bit combination/
ビット組合せ [ビットくみあわせ] /(n) (comp) bit combination/
ビット単位 [ビットたんい] /(n) (comp) bitwise/
ビット長 [ビットちょう] /(n) (comp) bit length/
ビット番号 [ビットばんごう] /(n) (comp) bit number/
ビット毎 [ビットごと] /(n) bit-wise/
ビット密度 [ビットみつど] /(n) (comp) bit density/recording density/
ビット列 [ビットれつ] /(n) (comp) bit stream/binary digit string/
ビット列型 [ビットれつがた] /(n) (comp) bitstring type/
ビップ /(n) very important person/VIP/
ビップス /(n) (comp) BIPS/
ビテイコツ /(n) coccyx/tailbone/
ビデ /(n) (1) bidet (fre:)/(2) douche/
ビディオウ /(n) video/
ビデオ /(n) video/(P)/
ビデオＢＩＯＳ [ビデオバイオス] /(n) (comp) video bios/
ビデオＣＤ [ビデオシーディー] /(n) (comp) video CD/
ビデオＲＡＭ [ビデオラム] /(n) (comp) video random access memory/VRAM/
ビデオアート /(n) video art/
ビデオアダプタ /(n) (comp) video adapter/
ビデオエンジニア /(n) video engineer/
ビデオオーバーレイ /(n) (comp) video overlay/
ビデオオンディマンド /(n) video on demand/
ビデオオンデマンド /(n) video-on-demand/
ビデオカード /(n) (comp) video card/
ビデオカセット /(n) videocassette/
ビデオカメラ /(n) video camera/video camcorder/
ビデオキャプチャ /(n) (comp) video capture/
ビデオキャプチャーボード /(n) (comp) video capture board/
ビデオクリップ /(n) video clip/
ビデオゲーム /(n) video game/
ビデオサーバ /(n) (comp) video server/
ビデオサーバー /(n) (comp) video server/
ビデオシーディー /(n) (comp) VideoCD/
ビデオシグナル /(n) video signal/
ビデオショップ /(n) video shop/
ビデオジェニック /(n) videogenic/
ビデオジャーナリスト /(n) video journalist/
ビデオストリーミング /(n) video streaming/
ビデオソフト /(n) video soft/
ビデオテープ /(n) video tape/(P)/
ビデオテープレコーダー /(n) video tape recorder/
ビデオテックス /(n) videotex/
ビデオディスク /(n) videodisc/VD/
ビデオディスプレイカード /(n) (comp) video display card/
ビデオデッキ /(n) video cassette recorder (wasei: video deck)/
ビデオバッファ /(n) (comp) video buffer/
ビデオプリンタ /(n) (comp) video printer/
ビデオプロジェクター /(n) video projector/
ビデオヘッド /(n) (comp) video head/
ビデオホール /(n) video hall/
ビデオボード /(n) (comp) video board/
ビデオマガジン /(n) video magazine/
ビデオメーター /(n) video meter/
ビデオメッセージ /(n) video message/
ビデオライブラリ /(n) (comp) video library/
ビデオリサーチ /(n) Video Research Ltd/
ビデオリンク /(n) (comp) video link/
ビデオレコーダー /(n) Video Cassette (Tape) Recorder/VCR/
ビデオレター /(n) video letter (message sent by video)/
ビデオ屋 [ビデオや] /(n) video store/
ビデオ会議 [ビデオかいぎ] /(n) (comp) video conference/
ビデオ会議システム [ビデオかいぎシステム] /(n) (comp) video conferencing system/
ビデオ同期装置 [ビデオどうきそうち] /(n) (comp) genlock/generation lock/
ビデコン /(n) vidicon/
ビニール /(n,adj-no) vinyl/(P)/
ビニールシート床材 [ビニールシートゆかざい] /(n) vinyl sheet flooring/
ビニールハウス /(n) plastic greenhouse (wasei: vinyl house)/
ビニールペイント /(n) vinyl paint/
ビニール傘 [ビニールがさ] /(n) plastic umbrella/
ビニール製 [ビニールせい] /(n,adj-no) plastic (usu. of bags)/vinyl/
ビニール袋 [ビニールぶくろ] /(n) plastic bag/
ビニる /(v5r) (sl) to go to a convenience store/
ビニガ /(n) vinegar/
ビニハン /(n) (abbr) vinyl (plastic) headed hammer/
ビニボン /(n) (abbr) pornographic magazines sold wrapped in plastic/
ビニル /(n,adj-no) vinyl/
ビニル基 [ビニルき] /(n) vinyl group/
ビニル樹脂 [ビニルじゅし] /(n) vinyl resin/
ビニロン /(n) vinylon (vinyl-nylon)/
ビニ本 [ビニぼん] /(n) pornographic magazine or book sold wrapped in plastic/
ビネガー /(n) vinegar/
ビネグレットソース /(n) vinaigrette sauce/
ビノスガイ /(n) (uk) Mercenaria stimpsoni (species of Venus clam)/
ビハインド /(n) behind/
ビバ /(n) (1) beaver/(2) viva (ita:)/(P)/
ビバーク /(n,vs) bivouac (fre: bivouac, ger: Biwak)/(P)/
ビバップ /(n) bebop (1940s popular music)/
ビヒクル /(n) vehicle/
ビヒズス /(n) (abbr) Lactobacillus bifidus/
ビヒモス /(n) behemoth/
ビビッド /(adj-na) vivid/(P)/
ビビビッ /(n,vs) (1) the 'be-be-be' sound of a detector going off/(2) clicking with someone/being compatible/
ビビリ /(n) chatter mark (machine tools)/
ビビンバ /(n) bibimbab (Korean rice dish)/
ビフ /(n) (comp) BIFF/
ビフィズス /(n) (abbr) Lactobacillus bifidus/(P)/
ビフィズス菌 [ビフィズスきん] /(n) Lactobacillus bifidus/
ビフェニル /(n) biphenyl/
ビフォアサービス /(n) before service/
ビフテキ /(n) beefsteak/
ビブラート /(n) vibrato (ita:)/
ビブラフォーン /(n) vibraphone/
ビブラフォン /(n) vibraphone/
ビブリオ /(n) vibrio (lat:)/
ビブリオグラフィー /(n) bibliography/
ビブリオマニア /(n) bibliomania/
ビブリッド /(n) (comp) biblid/
ビヘイビア /(n) behaviour/behavior/
ビヘイビアリズム /(n) behaviourism/behaviorism/
ビム /(n) (comp) VIM/
ビャクシ /(n) (1) (uk) bai zhi (Chinese name for angelica species Angelica dahurica)/traditional Chinese cure made from the root of this plant/(2) Heracleum nipponicum (species of hogweed)/
ビャクシン /(n) (uk) Chinese juniper (Juniperus chinensis)/
ビヤ /(n) beer (dut: bier)/
ビヤー /(n) beer (dut: bier)/
ビヤガーデン /(n) beer-garden/
ビヤスタンド /(n) beer stand/
ビヤホール /(n) beer-hall/
ビヤマグ /(n) beer mug/
ビヤ樽 [ビヤだる] /(n) beer barrel/
ビュー /(n) view/(P)/
ビューア /(n) (comp) viewer/
ビューアー /(n) viewer/
ビューイング変換 [ビューイングへんかん] /(n) (comp) viewing transformation/normalization transformation/window-to-viewport transformation/
ビューウィンドウ /(n) (comp) view window/
ビューカム /(n) viewcam/
ビューグル /(n) bugle/
ビューグレゴリー /(n) beaugregory (Stegastes leucostictus)/
ビューゲル /(n) type of power contact on the top of electric trains (ger: Bugel)/bow collector/
ビューティ /(n) beauty/
ビューティー /(n) beauty/
ビューティーアドバイザー /(n) beauty adviser/beauty advisor/
ビューティーコーナー /(n) beauty corner/
ビューティーコンテスト /(n) beauty contest/
ビューティーサイクル /(n) beauty cycle/
ビューティーサロン /(n) beauty salon/
ビューティースポット /(n) beauty spot/
ビューティーパーラー /(n) beauty parlor/beauty parlour/
ビューティフル /(adj-na) beautiful/(P)/
ビュートロン /(n) Viewtron/
ビューフォート風力階級 [ビューフォートふうりょくかいきゅう] /(n) Beaufort scale (of wind force)/
ビューブランメル /(n) Beaubrummel (damselfish species, Stegastes flavilatus)/
ビューポート /(n) (comp) viewport/
ビューポイント /(n) viewpoint/
ビューラー /(n) eyelash curler (wasei: beauler)/
ビューロー /(n) bureau/(P)/
ビューロクラシー /(n) bureaucracy/
ビューロクラット /(n) bureaucrat/
ビューロファックスサービスによる配達 [ビューロファックスサービスによるはいたつ] /(n) (comp) delivery via bureaufax service/PD PR/
ビューワ /(n) (comp) viewer/
ビュー基準座標系 [ビューきじゅんざひょうけい] /(n) (comp) view reference coordinates/
ビュー基準点 [ビューきじゅんてん] /(n) (comp) view reference point/
ビュー指標 [ビューしひょう] /(n) (comp) view index/
ビュー写像変換行列 [ビューしゃぞうへんかんぎょうれつ] /(n) (comp) view mapping matrix/
ビュー上方向定義ベクトル [ビューじょうほうこうていぎベクトル] /(n) (comp) view up vector/
ビュー定義表 [ビューていぎひょう] /(n) (comp) view table/
ビュー表現 [ビューひょうげん] /(n) (comp) view representation/
ビュー平面 [ビューへいめん] /(n) (comp) view plane/
ビュー平面法線 [ビューへいめんほうせん] /(n) (comp) view plane normal/
ビュー変換入力優先度 [ビューへんかんにゅうりょくゆうせんど] /(n) (comp) view transformation input priority/
ビュー方向変換行列 [ビューほうこうへんかんぎょうれつ] /(n) (comp) view orientation matrix/
ビュー立体 [ビューりったい] /(n) (comp) view volume/
ビュッフェ /(n) buffet (fre:)/self-service meal/(P)/
ビュレット /(n) burette/buret/
ビョウヤナギ /(ik) (n) (uk) Chinese hypericum (Hypericum monogynum)/
ビヨウヤナギ /(n) (uk) Chinese hypericum (Hypericum monogynum)/
ビラ /(n) holiday house (ita:)/villa/(P)/
ビラン剤 [ビランざい] /(n) blister agent/
ビリオネア /(n) billionaire/
ビリオン /(n) billion/
ビリジアン /(n) viridian/
ビリダンス型連鎖球菌 [ビリダンスがたれんさきゅうきん] /(n) Streptococcus viridans/
ビリヤード /(n) billiards/(P)/
ビリルビン /(n) bilirubin/
ビル /(n) (1) (abbr) building/(2) bill/(P)/
ビルゲイツ /(n) (comp) William H. Gates/
ビルジ /(n) bilge/
ビルジキール /(n) bilge-keel/
ビルジャック /(n) (abbr) building highjack (hostage situation)/
ビルゼン /(n) virgin (esp. the Virgin Mary) (por: virgem)/
ビルダ /(n) builder/
ビルダー /(n) builder/
ビルダーリング /(n) buildering/
ビルディング /(n) building/(P)/
ビルディングオートメーション /(n) building automation/
ビルトイン /(adj-f) built-in/(P)/
ビルトインスタビライザー /(n) built-in stabilizer/
ビルトゥオーソ /(n) virtuoso (ita:)/
ビルド /(n) (comp) build/
ビルド番号 [ビルドばんごう] /(n) (comp) build number/
ビルブローカー /(n) bill broker/
ビルベリー /(n) bilberry/European blueberry/
ビルボード /(n) billboard/(P)/
ビルマ /(n) Burma/
ビルマ戦争 [ビルマせんそう] /(n) Burmese Wars (1823-1826, 1852-1853, 1885-1887)/
ビルメンテナンス /(n) building maintenance/
ビル風 [ビルかぜ] /(n) eddies of wind around high buildings/
ビレー /(n) belaying (from belay)/
ビレッジ /(n) village/(P)/
ビレット /(n) billet/
ビロード /(n,adj-no) (uk) velvet (por: veludo)/
ビロシキ /(ik) (n) piroshki (Russian pierogi; meat and eggs, etc. baked in bread) (rus: pirozhki)/
ビワ /(n) (uk) loquat (Eriobotrya japonica)/Japanese medlar/
ビワコオオナマズ /(n) (uk) Lake Biwa catfish (Silurus biwaensis)/
ビワヒガイ /(n) (uk) Biwa oily gudgeon (Sarcocheilichthys variegatus microoculus)/
ビワマス /(n) (uk) biwa trout (Oncorhynchus masou rhodurus)/biwa salmon/
ビンクリスチン /(n) vincristine/
ビンゴ /(n) bingo/(P)/
ビンゴゲーム /(n) bingo game/
ビンテージ /(n) vintage/
ビンテージイヤー /(n) vintage year/
ビンテイジ /(n) vintage/
ビンディング /(n) foot fastening (ski) (ger: Bindung)/binding/
ビントロング /(n) binturong (Arctictis binturong)/
ビンナガ /(n) (uk) albacore (Thunnus alalunga)/germon/
ビンバー /(n) (1) someone whose state is slightly poorer than regular poverty/(2) 2nd degree poverty/
ビンビン /(adj-no) hard (e.g. penis)/strong (e.g. beat of music)/
ビンブラスチン /(n) vinblastine/
ビンベスト /(n) (1) extremely poor person/(2) 3rd degree poverty/
ビン南語 [ビンなんご] /(n) Min Nan (dialect of Chinese, inc. Taiwanese)/
ピーアール /(n,vs) PR/public relations/(P)/
ピーアイオー /(n) (comp) PIO/
ピーアンピー /(n) (comp) PnP/
ピーエーリスク /(n) (comp) PA-RISC/
ピーエスアイネット /(n) (comp) PSINet/
ピーエスツー /(n) (comp) PS-2/
ピーエッチ /(n) pH/
ピーエルエスキューエル /(n) (comp) PL-SQL/
ピーエルワン /(n) (comp) PL-1/
ピーカン /(n) pecan (Carya illinoinensis)/
ピーカン /(n) state of fine weather where one is subject to direct sunlight/
ピーク /(n) (1) peak/(n,vs) (2) peek/(P)/
ピーク・パフォーマンス・ボイヤンシー /(n) peak performance buoyancy/
ピークシフトコントロールプログラム /(n) (comp) peak shift control program/
ピークセルレート /(n) (comp) peak cell rate/
ピークセル速度 [ピークセルそくど] /(n) (comp) peak cell rate/PCR/
ピークトラヒック /(n) (comp) peak traffic/
ピークトラフィックコンディション /(n) (comp) peak traffic condition/
ピークドラペル /(n) peaked lapel/
ピークパフォーマンス・ダイブ /(n) peak performance dive/
ピークパフォーマンスダイブ /(n) peak performance dive/
ピークパフォーマンスボイヤンシー /(n) peak performance buoyancy/
ピークレート /(n) (comp) peak rate/
ピークレベルメータ /(n) (comp) density meter/peak level meter/
ピークロードプライシング /(n) peak-load pricing/
ピーク速度 [ピークそくど] /(n) (comp) peak speed/peak rate/
ピーク帯域幅 [ピークたいいきはば] /(n) (comp) peak bandwidth/
ピーケーエフ /(n) Peace Keeping Forces/PKF/
ピーケージップ /(n) (comp) PKZIP/
ピーコート /(n) pea coat/
ピーコック /(n) peacock/
ピーコックグリーン /(n) peacock green/
ピーコックブルー /(n,adj-no) peacock blue/
ピーコックラス /(n) ornate wrasse (Thalassoma pavo)/
ピーゴ /(n) (comp) P5/
ピーゴーゴーシー /(n) (comp) P55C/
ピーゴーヨンシー /(n) (comp) P54C/
ピーシーウィーク /(n) (comp) PCWEEK/
ピーシーエーティー /(n) (comp) PC-AT/
ピーシーエックスティー /(n) (comp) PC-XT/
ピーシーエム /(n) (comp) PCM/
ピーシーエムシーアイエー /(n) (comp) PCMCIA/
ピーシーキュージューハチ /(n) (comp) PC-98/
ピーシードス /(n) (comp) PC DOS/
ピーシーバン /(n) (comp) PC-VAN/
ピーシーヒャク /(n) (comp) PC100/
ピーシーピートス /(n) (comp) PC-PTOS/
ピージャケット /(n) pea jacket/
ピース /(n) (1) peace/(2) peas/(3) piece/(P)/
ピース・サイン /(n) peace sign/
ピースサイン /(n) peace sign/
ピースリー /(n) (comp) PPP/
ピースワーク /(n) piecework/
ピーターパン /(n) Peter Pan/
ピーターパンカラー /(n) Peter Pan collar/
ピーターパンシンドローム /(n) Peter Pan syndrome/(P)/
ピーチ /(n) peach/(P)/
ピーディー /(n) (comp) PD/
ピーディーエス /(n) (comp) PDS/
ピーディーエフ /(n) (comp) PDF/
ピーディーエム /(n) (comp) PDM/
ピート /(n) peat/
ピートス /(n) (comp) PTOS/
ピートポット /(n) peat pot/
ピートモス /(n) peat moss/
ピーナッツ /(n) peanuts/(P)/
ピーナッツ・オイル /(n) peanut oil/
ピーナッツアレルギー /(n) peanut allergy/
ピーナッツオイル /(n) peanut oil/
ピーナッツバター /(n) peanut butter/
ピーナツ /(n) peanuts/(P)/
ピーナツ・オイル /(n) peanut oil/
ピーナツアレルギー /(n) peanut allergy/
ピーナツオイル /(n) peanut oil/
ピーナツバター /(n) peanut butter/
ピーナナ /(n) (comp) P7/
ピーニーヨンティー /(n) (comp) P24T/
ピービーエックス /(n) (comp) PBX/
ピーピー /(n) peep (sound made by a small bird)/
ピーピーエム /(n) parts per million/PPM/
ピーピーピー /(n) (comp) PPP/
ピーピングトム /(n) Peeping Tom/(P)/
ピープショー /(n) peep show/
ピープル /(n) people/(P)/
ピープルズキャピタリズム /(n) people's capitalism/(P)/
ピープルソフト /(n) (comp) PeopleSoft/
ピープルパーソン /(n) people person/
ピープルパワー /(n) people power/
ピーヘン /(n) peahen/
ピーマン /(n) bell pepper (fre: piment)/green pepper/pimento/capsicum/(P)/
ピーメイル /(n) (comp) p-mail/
ピーラー /(n) peeler (for peeling a label from its base in a barcode printer)/
ピーラム /(n) (comp) PRAM/
ピーロク /(n) (comp) P6/
ピーロム /(n) (comp) PROM/
ピー波 [ピーは] /(n) P-wave (e.g. of earthquake)/primary wave/
ピア /(n) (comp) peer/
ピアー /(n) pier/
ピアアドレシッング /(n) (comp) peer addressing/
ピアキャッシュ /(n) (comp) peer-caching/
ピアグループ /(n) peer group/
ピアグループリーダ /(n) (comp) peer group leader/
ピアサー /(n) piercer/
ピアシステム /(n) (comp) peer system/
ピアジェ /(n) Piaget/(P)/
ピアス /(n) (1) earrings/(2) (body) piercings/(P)/
ピアストル /(n) piastre/
ピアッシング /(n) piercing/
ピアッツァ /(n) piazza/
ピアッフェ /(n) piaffe (horse gait)/
ピアツーピア /(n) (comp) peer-to-peer/
ピアトゥーピアネットワーク /(n) peer-to-peer network (P2P network)/
ピアニカ /(n) pianica/piano and harmonica/
ピアニスト /(n) pianist/(P)/
ピアニッシモ /(n) pianissimo (ita:)/
ピアノ /(n) piano/(P)/
ピアノトリオ /(n) piano trio/
ピアノフォルテ /(n) pianoforte (ita:)/
ピアノプレーヤー /(n) piano player/
ピアノラ /(n) pianola/
ピアノリサイタル /(n) piano recital/
ピアノ線 [ピアノせん] /(n) piano wire/
ピアフ /(n) (comp) PIAFS/
ピアリング /(n) (comp) peering/
ピエゾ電気 [ピエゾでんき] /(n) piezoelectricity/
ピエタ /(n) Pieta (ita:)/pieta/
ピエロ /(n) clown (fre: pierrot)/(P)/
ピオニール /(n) pioneer (rus: pioner)/
ピオネール /(n) pioneer (rus: pioner)/
ピカソ /(n) Picasso/(P)/
ピカタ /(n) piccata (ita:)/
ピカッと /(adv,vs) brightly/dazzlingly/sparklingly/brilliantly (shining)/
ピカッと光る [ピカッとひかる] /(exp,v5r) to flash/to be flashing/to be flashy/
ピカドール /(n) picador/
ピカドン /(n) atomic bomb/
ピカピカ光る [ピカピカひかる] /(exp,v5r) to sparkle/to glitter/to twinkle/
ピカレスク /(n) picaresque (novel)/
ピギーバック /(n) piggyback (system)/
ピギーバック輸送 [ピギーバックゆそう] /(n) piggyback system/
ピクサー /(n) Pixar/
ピクシー /(n) pixie (mythical creatures from Cornish folklore)/
ピクセル /(n) (comp) pixel/picture element/PEL/
ピクセルアスペクト比 [ピクセルアスペクトひ] /(n) pixel aspect ratio/
ピクセルシェーダ /(n) (comp) pixel shader/
ピクチャ /(n) (comp) picture (e.g. in programming languages)/
ピクチャー /(n) picture/(P)/
ピクチャーインピクチャー /(n) (comp) picture in picture/
ピクチャーウインドウ /(n) picture window/
ピクチャーレール /(n) picture rail/
ピクチャインピクチャ /(n) (comp) picture-in-picture/
ピクチャレスク /(n) picturesque/
ピクト /(n) (comp) PICT/
ピクトグラフ /(n) pictograph/
ピクトグラム /(n) pictogram/
ピクニック /(n) picnic/(P)/
ピクピク動く [ピクピクうごく] /(exp,v5k) to jerk/to wiggle/to twitch/
ピクラールエッチング /(n) picral etching/
ピクリン酸 [ピクリンさん] /(n) picric acid/
ピクル /(n) picul (Asian unit of weight, approx. 60 kg)/
ピクルス /(n) pickles/
ピグシ /(n) pixie (mythical creatures from Cornish folklore)/
ピグミー /(n) pygmy/pigmy/
ピグミー・グラミー /(n) pygmy gourami (Trichopsis pumila)/
ピグミーグラミー /(n) pygmy gourami (Trichopsis pumila)/
ピグミーチンパンジー /(n) pygmy chimpanzee (Pan paniscus)/
ピグミーマーモセット /(n) pygmy marmoset (Cebuella pygmaea)/
ピグメント /(n) pigment/
ピケ /(n) (1) pique (fre:)/(2) (abbr) picket/(P)/
ピケッティング /(n) picketing/
ピケット /(n) picket/
ピケットライン /(n) picket line/
ピコ /(n,pref) pico-/10^-12/(P)/
ピコット /(n) picot/
ピコファラド /(n) picofarad/pf/
ピコルナウィルス /(n) picornavirus/
ピコ秒 [ピコびょう] /(n) (comp) picosecond/
ピサ /(n) Pisa/(P)/
ピサの斜塔 [ピサのしゃとう] /(n) Leaning Tower of Pisa/
ピザ /(n) pizza (ita:)/(P)/
ピザパイ /(n) pizza pie/
ピザボックス型 [ピザボックスがた] /(n) (comp) pizza box type (flat square computer chassis)/
ピザ屋 [ピザや] /(n) pizzeria/
ピシャリ /(adv,adv-to) slapping/splashing/splatting/banging shut/flat (refusal, denial, etc.)/
ピジャマ /(n) pyjamas/
ピジン /(n) pidgin/
ピジンイングリッシュ /(n) pidgin English/
ピジン語 [ピジンご] /(n) pidgin/
ピスキー /(n) pixie (mythical creatures from Cornish folklore)/
ピスコ /(n) (abbr) piston corer/
ピスタチオ /(n) pistachio/
ピスト /(n) piste/
ピストル /(n) pistol/(P)/
ピストン /(n) piston/plunger/(P)/
ピストンエンジン /(n) piston engine/
ピストンピン /(n) piston pin/
ピストンポンプ /(n) piston pump/
ピストンリング /(n) piston ring/
ピストン棒 [ピストンぼう] /(n) piston rod/
ピストン輸送 [ピストンゆそう] /(n) shuttle/
ピタゴラスの定理 [ピタゴラスのていり] /(n) Pythagorean theorem/
ピタゴラス音律 [ピタゴラスおんりつ] /(n) Pythagorean temperament/Pythagorean tuning/
ピチカート /(n) pizzicato (ita:)/
ピチピチ /(adv,adj-na) (on-mim) lively/spunky/energetic/
ピチャピチャ /(adv,n,vs) (1) splash water/dabble in water/splashing sound/
ピチャリ /(adv) (on-mim) sound of a small wave hitting the shore/sound of a whip/sound of a slap/
ピッキング /(n) (1) picking (esp. distributor picking up merchandise from a storage facility)/(2) lock picking/(P)/
ピッキングリスト /(n) (comp) picking list/
ピッギーバックボード /(n) (comp) piggyback board/
ピック /(n) pick/picking/(P)/
ピックアップ /(n,vs) pick-up/choice or selection/picking out (from a larger list)/
ピックアップサービス /(n) pickup service/(P)/
ピックアップディレクトリ /(n) (comp) pickup directory/
ピックアップトラック /(n) pickup truck/
ピックオフプレー /(n) pickoff play/
ピックスマップ /(n) (comp) pixmap/
ピックテスター /(n) dial indicator (wasei: pick tester)/dial test indicator/
ピックフィルタ /(n) (comp) pick filter/
ピックルス /(n) pickles/
ピック経路 [ピックけいろ] /(n) (comp) pick path/
ピック識別子 [ピックしきべつし] /(n) (comp) pick identifier/
ピック入力装置 [ピックにゅうりょくそうち] /(n) (comp) pick device/
ピッグスキン /(n) pigskin/
ピッグス湾事件 [ピッグスわんじけん] /(n) Bay of Pigs Invasion (1961)/
ピッケル /(n) ice axe (ger: Pickel)/
ピッコロ /(n) piccolo/
ピッチ /(n) (1) pitch (i.e. pace, speed, angle, space, field, sound, etc.)/(2) pitch (from distilling petroleum, tar, etc.)/(3) (col) (abbr) PHS portable phone/(P)/
ピッチアウト /(n) pitchout (baseball)/
ピッチカート /(n) pizzicato (ita:)/
ピッチゲージ /(n) pitch gauge/
ピッチシフター /(n) (comp) pitch shifter/
ピッチショット /(n) pitch shot/
ピッチパイプ /(n) pitch pipe/
ピッチフォーク /(n) pitchfork/
ピッチブレンド /(n) pitchblende/
ピッチャー /(n) pitcher/(P)/
ピッチャーマウンド /(n) pitcher's mound (baseball)/
ピッチング /(n,vs) pitching/(P)/
ピッチングマシーン /(n) pitching machine/
ピッチングマシン /(n) pitching machine/
ピッツァ /(n) pizza (ita:)/(P)/
ピッツア /(n) pizza (ita:)/
ピット /(n) pit/(P)/
ピットイン /(n,vs) pit stop (wasei: pit in)/
ピットクルー /(n) pit crew/
ピップ /(n) pip/blip/
ピツイトリン /(n) Pituitrin/
ピテカントロプス /(n) pithecanthropus (lat:)/pithecanthrope/
ピテカントロプスエレクトゥス /(n) Pithecanthropus erectus/
ピトケアン /(n) Pitcairn/
ピトケルン /(n) Pitcairn/
ピトン /(n) piton (metal support peg used when climbing) (fre:)/
ピナクル /(n) pinnacle/
ピニオン /(n) pinion/
ピネン /(n) pinene/
ピノ・ノワール /(n) Pinot Noir (fre:)/
ピノノワール /(n) Pinot Noir (fre:)/
ピパ /(n) pipa (Pipa pipa)/Surinam toad/
ピピンアットマーク /(n) (comp) Pippin ATMARK/
ピフ /(n) (comp) PIF/
ピブロック /(n) pibroch/
ピペット /(n) pipette/
ピペラジン /(n) piperazine/
ピペリン /(n) piperine/
ピペロナール /(n) piperonal/
ピボット /(n) pivot/
ピム /(n) (comp) PIM/
ピメント /(n) pimento/
ピュー /(adv-to) (1) swoosh/whoosh/(2) sound of a whistle/
ピューター /(n) pewter/
ピューマ /(n) puma/cougar/American lion/
ピューリタン /(n) Puritan/
ピューリタン革命 [ピューリタンかくめい] /(n) Puritan Revolution/
ピューリッツァー /(n) Pulitzer (as in Pulitzer Prize)/
ピューリッツァー賞 [ピューリッツァーしょう] /(n) Pulitzer prize/
ピューリッツアー /(n) Pulitzer (as in Pulitzer Prize)/
ピューレ /(n) puree (fre:)/
ピューレックス法 [ピューレックスほう] /(n) PUREX process/
ピュア /(adj-na,n) pure/(P)/
ピュアテキスト /(n) (comp) pure text/
ピュアモルト /(n) pure malt/
ピュアリスト /(n) purist/
ピュアログバックアップ /(n) (comp) pure log backup/
ピュウッ /(adv-to) (1) swoosh/whoosh/(2) sound of a whistle/
ピュレ /(n) puree (fre:)/
ピヨピヨ /(adv,adv-to) (1) (on-mim) cheep cheep/tweet tweet/
ピヨピヨ鳴く [ピヨピヨなく] /(exp,v5k) to peep/to cheep/
ピラスター /(n) pilaster/
ピラゾロン /(n) pyrazolone/
ピラティス /(n) pilates/
ピラニア /(n) piranha (por:)/(P)/
ピラフ /(n) pilaf/(P)/
ピラミッド /(n) pyramid/(P)/
ピラミッドセリング /(n) pyramid selling/
ピラミッド型 [ピラミッドがた] /(adj-no) pyramid-style/pyramid-shaped/
ピラミッド形 [ピラミッドがた] /(adj-no) pyramid-style/pyramid-shaped/
ピラミドン /(n) Pyramidon (brand-name aminopyrine)/
ピラルク /(n) pirarucu/
ピラルクー /(n) pirarucu (Arapaima gigas)/arapaima/paiche/
ピリ /(n) (abbr) period/(P)/
ピリオディック /(n) periodic/
ピリオド /(n) (1) period/dot character/(2) period (era, amount of time)/(3) period (sports)/(P)/
ピリオドを打つ [ピリオドをうつ] /(exp,v5t) put an end (to)/close the books (on)/
ピリジン /(n) pyridine/
ピリドキサール /(n) pyridoxal/
ピリドキサル /(n) pyridoxal/
ピリドキシン /(n) pyridoxine/
ピリミジン /(n) pyrimidine/
ピリン /(n) pyrine/
ピリング /(n) pilling/
ピリン系 [ピリンけい] /(n) pyrine medicine/
ピル /(n) (1) pill/(2) (col) birth-control pill/oral contraceptive/the pill/(P)/
ピルーエット /(n) pirouette (horse gait) (fre:)/
ピルエット /(n) pirouette (horse gait) (fre:)/
ピルグリムファーザーズ /(n) Pilgrim Fathers/
ピルジカイニド塩酸 [ピルジカイニドえんさん] /(n) pilsicainide hydrochloride (anti-arrhythmic drug)/
ピルトダウン事件 [ピルトダウンじけん] /(n) (obsc) Piltdown hoax (1912 discovery of a fossilized ape-human missing-link skull, later revealed to be fraudulent)/
ピルトダウン人 [ピルトダウンじん] /(n) Piltdown man (manufactured fossil of a fraudulent ape-human missing link, Eoanthropus dawsoni)/
ピルビン酸 [ピルビンさん] /(n) pyruvic acid/pyruvate/
ピレア /(n) pilea (lat:)/
ピレトリン /(n) pyrethrin/
ピレノイド /(n) pyrenoid/
ピレン /(n) pyrene/
ピロー /(n) pillow/
ピローグ /(n) pirogue (dugout canoe)/
ピローケース /(n) pillowcase/
ピロートーク /(n) pillow talk/
ピローマネー /(n) pillow money/tip left by the pillow for the room maid/
ピロール /(n) pyrrole/
ピロカルピン /(n) pilocarpine/
ピロガロール /(n) pyrogallol/
ピロシキ /(n) piroshki (Russian pierogi; meat and eggs, etc. baked in bread) (rus: pirozhki)/
ピロティ /(n) pile (fre: pilotis)/stilt/
ピロリン酸 [ピロリンさん] /(n) pyrophosphoric acid/
ピロリン酸塩 [ピロリンさんえん] /(n) pyrophosphate/
ピロリ菌 [ピロリきん] /(n) Helicobacter pylori/
ピロン /(n) pylon/
ピロ燐酸 [ピロりんさん] /(n) pyrophosphoric acid/
ピロ燐酸塩 [ピロりんさんえん] /(n) pyrophosphate/
ピン /(n) pin/dowel/(P)/
ピンからキリまで /(exp) from the best to the worst/all sorts of/full range/
ピンぼけ /(n) out of focus/off the point/
ピンを撥ねる [ピンをはねる] /(exp,v1) (uk) to get a rakeoff/to get a kickback/to take a kickback/
ピンアップ /(n) pinup/
ピンイン /(n) PinYin (Chinese romanization system) (romanisation) (chi:)/
ピンカール /(n) pin curl/
ピンキー /(n) pinky/
ピンキリ /(exp) (abbr) from the best to the worst/all sorts of/full range/
ピンキング /(n) pinking/
ピンキング鋏 [ピンキングばさみ] /(n) pinking shears/
ピンク /(n,adj-no) pink/(P)/
ピンクちらし /(n) flyer advertising a sex-related business/
ピンクカラー /(n) pink-collar/
ピンクグレープフルーツ /(n) pink grapefruit/
ピンクサロン /(n) pink salon/
ピンクッション /(n) pincushion/
ピンクノイズ /(n) pink noise/
ピンクムード /(n) pink mood/
ピンクレディー /(n) pink lady/
ピンクロリ /(n) pink Lolita (fashion style)/
ピンク映画 [ピンクえいが] /(n) blue film (lit: pink film)/blue movie/
ピング /(n) (comp) ping/
ピンコネクタ /(n) (comp) pin connector/
ピンジャック /(n) (comp) pin jack/
ピンセット /(n) tweezers (fre: pincette, dut: pincet)/forceps/(P)/
ピンタック /(n) pin tuck/
ピンチ /(n) (1) pinch/crisis/(2) clothespin/(P)/
ピンチコック /(n) pinchcock/
ピンチヒッター /(n) pinch hitter/(P)/
ピンチランナー /(n) pinch runner/
ピント /(n) focus point (dut: brandpunt)/focus/(P)/
ピントがずれる /(exp,v1) (1) to be out of focus/(2) to be off the point (e.g. of a plan)/to have not got the point/
ピントがズれる /(exp,v1) (1) to be out of focus/(2) to be off the point (e.g. of a plan)/to have not got the point/
ピントが外れる [ピントがはずれる] /(v1,exp) (1) to be out of focus/(2) to be off the point/to not have got the point/
ピントグラス /(n) ground glass/
ピント送り [ピントおくり] /(n) (comp) rack focus/
ピンナップ /(n) pinup/
ピンナップガール /(n) pinup girl/
ピンハネ /(n,vs) (uk) (col) (taking a) kickback/
ピンヒール /(n) stiletto (high heels) (wasei: pin heel)/
ピンフィード /(n) (comp) pin feed/
ピンホール /(n) pinhole/
ピンホールカメラ /(n) pinhole camera/
ピンホールカラー /(n) pinhole collar/
ピンボール /(n) pinball/
ピンポーン /(n) (1) ping-pong/table tennis/(int) (2) exactly!/surely!/that's it!/
ピンポイント /(n) pinpoint/(P)/
ピンポイントランディング /(n) pinpoint landing/
ピンポン /(n) (1) ping-pong/table tennis/(int) (2) exactly!/surely!/that's it!/(P)/
ピンポンダッシュ /(n,vs) ding-dong dash (ringing a doorbell and running away)/
ピンレバーウォッチ /(n) pin lever watch/
ピン互換 [ピンごかん] /(n,adj-no) (comp) pin-compatible/
ピン札 [ピンさつ] /(n) (col) crisp, unwrinkled banknote/
ピン説明 [ピンせつめい] /(n) (comp) pin-outs/
ピン逃げ [ピンにげ] /(n) (obsc) ping pong dash/ding dong dash/
ピン撥ね [ピンはね] /(n,vs) (uk) (col) (taking a) kickback/
フーイズ /(n) (comp) whois/
フーガ /(n) fugue (ita: fuga)/(P)/
フーコーの振り子 [フーコーのふりこ] /(n) Foucault's pendulum/
フーズ /(n) foods (often part of company name)/
フーズヒー /(n) who's he/(P)/
フーズフー /(n) who's who/
フーゼル油 [フーゼルゆ] /(n) fusel oil/
フーダニット /(n) whodunit/
フーチング /(n) footing/
フーテン /(n) (1) vagabond/wanderer/
フート /(n) foot (unit of linear measure)/
フート /(n) foot/
フートポンド /(n) foot-pound/
フード /(n) (1) food/(2) hood/(P)/
フードファイター /(n) competitive eater (wasei: food fighter)/
フードプロセッサー /(n) food processor/
フープ /(n) hoop/
フープス /(n) (comp) HOOPS!/
フーホェア /(n) (comp) WhoWhere?/
フーリェ変換 [フーリェへんかん] /(n) (comp) fourier transform/
フーリエ /(n) Fourier/
フーリエ級数 [フーリエきゅうすう] /(n) Fourier series/
フーリエ展開 [フーリエてんかい] /(n) (math) Fourier expansion/
フーリエ変換 [フーリエへんかん] /(n) (comp) Fourier transform/
フーリガン /(n) hooligan/
フール /(n) fool/
フールスキャップ /(n) foolscap/
フールプルーフ /(n) fool proof/
フーロックテナガザル /(n) (uk) hoolock gibbon (either of the two gibbons in genus Hoolock)/
フーロック手長猿 [フーロックてながざる] /(n) (uk) hoolock gibbon (either of the two gibbons in genus Hoolock)/
ファ /(n) fa/fah/4th note in the tonic solfa representation of the diatonic scale/
ファー /(n) (1) fur/(2) far/(P)/
ファーイースト /(n) Far East/
ファーコート /(n) fur coat/
ファーザー /(n) father/
ファージ /(n) (abbr) phage/
ファージング /(n) farthing/
ファース /(n) farce/
ファースト /(n,adj-no) (1) first/(2) (abbr) first baseman/first base/(3) fast/(P)/
ファーストイーサネット /(n) (comp) fast Ethernet/
ファーストインプレッション /(n) first impression/
ファーストカラー /(n) fast color/
ファーストキス /(n) first kiss/
ファーストキッチン /(n) First Kitchen (fast food restaurant chain)/
ファーストクラス /(n) first-class/
ファーストコンタクト /(n) first contact/
ファーストダウン /(n) first down/
ファーストネーション /(n) First Nations (i.e. non-Inuit or Metis aboriginal peoples in Canada)/
ファーストネーム /(n) first-name/
ファーストネエム /(n) first name/
ファーストバック /(n) fast back/
ファーストフード /(n) fast-food/
ファーストブレーク /(n) fast break/
ファーストベース /(n) first base/
ファーストラブ /(n) first love/
ファーストラン /(n) first run/
ファーストレディー /(n) first lady/
ファーニチャー /(n) furniture/
ファーネス /(n) furnace/
ファーマー /(n) farmer/
ファーマシー /(n) pharmacy/chemist/drug store/
ファーム /(n) (1) farm/(2) firm/(P)/
ファームウェア /(n) (comp) firmware/
ファームウエア /(n) (comp) firmware/
ファームステイ /(n) farm stay/
ファームチーム /(n) farm team/
ファームバンキング /(n) (1) firm banking/(2) farm banking/
ファール /(n,vs) foul (sports)/
ファーロング /(n) furlong/
ファアームウエア /(n) (comp) firmware/
ファイア /(n) fire/(P)/
ファイアーウォール /(n) (comp) firewall/
ファイアーウオール /(n) (comp) firewall/
ファイアーサラマンダー /(n) fire salamander (Salamandra salamandra)/
ファイアアラーム /(n) fire alarm/
ファイアインシュアランス /(n) fire insurance/
ファイアウォール /(n) (comp) firewall/(P)/
ファイアウオール /(n) (comp) firewall/
ファイアサラマンダー /(n) fire salamander (Salamandra salamandra)/
ファイアストーム /(n) fire storm (celebratory bonfire)/
ファイアフォックス /(n) (comp) Firefox/
ファイアプルーフ /(n) fireproof/
ファイアプレース /(n) fireplace/
ファイアマン /(n) fireman/
ファイアワイヤ /(n) (comp) FireWire/
ファイター /(n) fighter/(P)/
ファイティングスピリット /(n) fighting spirit/(P)/
ファイト /(n) fight/(P)/
ファイトマネー /(n) fight money/purse/
ファイトレメディエーション /(n) phytoremediation/
ファイナル /(n) final/(P)/
ファイナルセット /(n) final set/(P)/
ファイナルバージョン /(n) (comp) final version/
ファイナンシャルプランニング /(n) financial planning/
ファイナンス /(n) finance/(P)/
ファイバ /(n) fiber/fibre/
ファイバー /(n) fiber/fibre/(P)/
ファイバーオプティクス /(n) (comp) fiber optics/
ファイバーガラス /(n) fiberglass/fibreglass/
ファイバーコンクリート /(n) fiber concrete/
ファイバースコープ /(n) fiberscope/fibrescope/
ファイバーチャネル /(n) (comp) Fibre Channel/
ファイバーツーザホーム /(n) fiber to the home/
ファイバーボード /(n) fiberboard/fibreboard/
ファイバー切断 [ファイバーせつだん] /(n) (comp) (intentional) fiber cut/
ファイバオプティックス /(n) (comp) fiber optics/
ファイバチャネル /(n) (comp) Fibre Channel/
ファイバツーザカーブ /(n) (comp) fiber to the curb/FTTC/
ファイバツーザホーム /(n) (comp) fiber to the home/FTTH/
ファイバトゥザホーム /(n) (comp) fiber to the home/FTTH/
ファイフォー /(n) (comp) FIFO/
ファイブ /(n) five/
ファイブスター /(n) five-star/(P)/
ファイヤ /(n) fire/
ファイヤー /(n) fire/
ファイヤーウォール /(n) (comp) firewall/
ファイヤーウオール /(n) (comp) firewall/
ファイヤウォール /(n) (comp) firewall/
ファイヤウオール /(n) (comp) firewall/
ファイヤリング /(n) firing/igniting/kindling/
ファイラ /(n) (comp) filer/
ファイラー /(n) (comp) filer/
ファイリング /(n,vs) filing/
ファイリングシステム /(n) filing system/(P)/
ファイル /(n,vs) file/(P)/
ファイルＤＳＮ [ファイルディーエスエン] /(n) (comp) file DSN/
ファイルの圧縮 [ファイルのあっしゅく] /(n) (comp) file compression/
ファイルの更新 [ファイルのこうしん] /(n) (comp) file updating/
ファイルの削除 [ファイルのさくじょ] /(n) (comp) file deletion/
ファイルの修復 [ファイルのしゅうふく] /(n) (comp) file recovery/
ファイルの断片化 [ファイルのだんぺんか] /(n) (comp) file fragmentation/
ファイルの変換 [ファイルのへんかん] /(n) (comp) file conversion/
ファイルの保護 [ファイルのほご] /(n) (comp) file protection/
ファイルの保守 [ファイルのほしゅ] /(n) (comp) file maintenance/
ファイルアクセス /(n) (comp) file access/
ファイルアクセスデータ単位 [ファイルアクセスデータたんい] /(n) (comp) file access data unit/
ファイルアクセスモード /(n) (comp) file access mode/
ファイルアクセス構造 [ファイルアクセスこうぞう] /(n) (comp) file access structure/
ファイルアダプタ /(n) (comp) file adapter/
ファイルアロケーションテーブル /(n) (comp) file allocation table/FAT/
ファイルオフセット /(n) (comp) file offset/
ファイルキャッシュ /(n) (comp) file cache/
ファイルキャビネット /(n) filing cabinet/file cabinet/
ファイルクリーンアップ /(n) (comp) file clean-up/
ファイルグループクラス /(n) (comp) file group class/
ファイルコレクション /(n) (comp) file collection/
ファイルコンテンツ /(n) (comp) file contents/
ファイルコンバータ /(n) (comp) file converter/
ファイルサーバ /(n) (comp) file server/
ファイルサーバー /(n) (comp) file server/
ファイルサービス利用者 [ファイルサービスりようしゃ] /(n) (comp) file service user/
ファイルサイズ /(n) (comp) file size/
ファイルシェアリング /(n) (comp) file sharing/
ファイルシステム /(n) (comp) file system/
ファイルストア動作 [ファイルストアどうさ] /(n) (comp) filestore action/
ファイルスロット /(n) (comp) file-slot/
ファイルセット /(n) (comp) file set/
ファイルテスト /(n) (comp) file test/
ファイルディスクリプタ /(n) (comp) file descriptor/
ファイルネーム /(n) filename/
ファイルハンドル /(n) (comp) file handle/
ファイルバックアップ /(n) (comp) file backup/
ファイルパーミッション /(n) (comp) file permission/
ファイルフォーマット /(n) (comp) file format/
ファイルフラグメンテーション /(n) (comp) file fragmentation/
ファイルプロパティ /(n) (comp) file property/
ファイルマネージャ /(n) (comp) file manager/
ファイルモード /(n) (comp) file mode/
ファイルモデル /(n) (comp) file model/
ファイル圧縮 [ファイルあっしゅく] /(n) (comp) file compression/
ファイル位置指示子 [ファイルいちしじし] /(n) (comp) file position indicator/
ファイル拡張子 [ファイルかくちょうし] /(n) (comp) file extension/
ファイル感染型ウイルス [ファイルかんせんかたウイルス] /(n) (comp) file-infection virus/
ファイル管理 [ファイルかんり] /(n) (comp) file management/file-control/
ファイル管理記述項 [ファイルかんりきじゅつこう] /(n) (comp) file control entry/
ファイル記憶装置 [ファイルきおくそうち] /(n) (comp) file storage/
ファイル記述 [ファイルきじゅつ] /(n) (comp) file description/
ファイル記述項 [ファイルきじゅつこう] /(n) (comp) file description entry/
ファイル記述子 [ファイルきじゅつし] /(n) (comp) file descriptor/
ファイル許可ビット [ファイルきょかビット] /(n) (comp) file permission bits/
ファイル共有 [ファイルきょうゆう] /(n) (comp) file sharing/
ファイル共有サービス [ファイルきょうゆうサービス] /(n) file-sharing service/
ファイル共用 [ファイルきょうよう] /(n) (comp) file sharing/
ファイル句 [ファイルく] /(n) (comp) file clause/
ファイル形式 [ファイルけいしき] /(n) (comp) file format/
ファイル結合子 [ファイルけつごうし] /(n) (comp) file connector/
ファイル固有属性 [ファイルこゆうぞくせい] /(n) (comp) fixed file attributes/
ファイル交換ソフトウェア [ファイルこうかんソフトウェア] /(n) (comp) file replacement software/
ファイル作成時 [ファイルさくせいじ] /(n) (comp) file creation time/
ファイル始めラベル [ファイルはじめラベル] /(n) (comp) beginning-of-file label/header label/HDR/
ファイル指定 [ファイルしてい] /(n) (comp) file specification/
ファイル終わりマーク [ファイルおわりマーク] /(n) (comp) end-of-file mark/
ファイル終わりラベル [ファイルおわりラベル] /(n) (comp) end-of-file label/trailer label/EOF/
ファイル終了条件 [ファイルしゅうりょうじょうけん] /(n) (comp) at end condition/
ファイル処理ルーチン [ファイルしょりルーチン] /(n) (comp) file-handling routine/
ファイル所有者クラス [ファイルしょゆうしゃクラス] /(n) (comp) file owner class/
ファイル節 [ファイルせつ] /(n) (comp) file section/
ファイル掃除 [ファイルそうじ] /(n) (comp) file clean-up/
ファイル送信 [ファイルそうしん] /(n) (comp) file transfer, transmission/
ファイル属性 [ファイルぞくせい] /(n) (comp) file attributes/
ファイル属性不整合条件 [ファイルぞくせいふせいごうじょうけん] /(n) (comp) file attribute conflict condition/
ファイル他者クラス [ファイルたしゃクラス] /(n) (comp) file other class/
ファイル通し番号 [ファイルとおしばんごう] /(n) (comp) file serial number/
ファイル転送 [ファイルてんそう] /(n) (comp) file transfer/
ファイル転送プロトコル [ファイルてんそうプロトコル] /(n) (comp) File Transfer Protocol/FTP/
ファイル入出力 [ファイルにゅうしゅつりょく] /(n) (comp) file input-output/
ファイル分割 [ファイルぶんかつ] /(n) (comp) file section/
ファイル分離キャラクタ [ファイルぶんりキャラクタ] /(n) (comp) file separator/FS/
ファイル編成 [ファイルへんせい] /(n) (comp) file organization/
ファイル保護リング [ファイルほごリング] /(n) (comp) write-enable ring/write ring/file-protection ring/file protect ring/safety ring/
ファイル名 [ファイルめい] /(n) (comp) file-name/
ファイル名の完結 [ファイルめいのかんけつ] /(n) (comp) filename completion/
ファイル名拡張子 [ファイルめいかくちょうし] /(n) (comp) filename extension/
ファイル名置換 [ファイルめいちかん] /(n) (comp) filename substitution/
ファイル名展開 [ファイルめいてんかい] /(n) (comp) filename expansion/
ファイン /(n) fine/
ファインアート /(n) fine art/
ファインケミカル /(n) fine chemical/
ファインセラミックス /(n) fine ceramics/
ファインダ /(n) finder/
ファインダー /(n) finder/(P)/
ファインチューニング /(n) fine-tuning/
ファインフード /(n) fine food/
ファインプレー /(n) fine play (baseball)/(P)/
ファインポリマー /(n) fine polymer/
ファインマンダイアグラム /(n) Feynman diagram/
ファインマン図 [ファインマンず] /(n) Feynman diagram/
ファインラインドサージャンフィッシュ /(n) finelined surgeonfish (Acanthurus grammoptilus, species of Western Pacific tang found in the Philippines, Indonesia and north-western Australia)/
ファインラインドサージョンフィッシュ /(n) finelined surgeonfish (Acanthurus grammoptilus, species of Western Pacific tang found in the Philippines, Indonesia and north-western Australia)/
ファウナ /(n) fauna/
ファウラーズサージャンフィッシュ /(n) Fowler's surgeonfish (Acanthurus fowleri, species of Western Pacific tang)/
ファウラーズサージョンフィッシュ /(n) Fowler's surgeonfish (Acanthurus fowleri, species of Western Pacific tang)/
ファウル /(n,vs) foul (sports)/(P)/
ファウルスロー /(n) foul throw/
ファウルチップ /(n) foul tip/
ファウルボール /(n) foul ball/
ファウルライン /(n) foul line/
ファウンダリ /(n) (comp) foundry/
ファウンテンペン /(n) fountainpen/
ファウンデーション /(n) foundation/
ファウンドリ /(n) (comp) foundry/
ファウンドリサービス /(n) (comp) foundry service/
ファカルティ /(n) faculty/
ファカルティディべロップメント /(n) faculty development/
ファカルティディベラップメント /(n) faculty development/
ファクシミリ /(n) (1) facsimile/(2) fax/fax machine/(P)/
ファクシミリアダプタ /(n) (comp) facsimile adapter/
ファクション /(n) faction/
ファクス /(n) (abbr) fax/facsimile/(P)/
ファクス送信 [ファクスそうしん] /(n) (comp) fax transmission/
ファクター /(n) factor/(P)/
ファクタリング /(n) factoring/
ファクト /(n) fact/
ファクトストア /(n) (comp) fact store/
ファクトデータベース /(n) fact database/
ファクトディメンション /(n) (comp) fact dimension/
ファクトリ /(n) factory/
ファクトリー /(n) factory/(P)/
ファクトリーオートメーション /(n) factory automation/
ファクトリーチーム /(n) factory team/
ファクトリアル /(n) factorial/
ファクトリオートメーション /(n) (comp) factory automation/FA/
ファコム /(n) (comp) FACOM/
ファゴッティングステッチ /(n) fagot-stitch/fagotting stitch/
ファゴット /(n) bassoon (ita: Fagotto)/
ファサード /(n) facade (fre:)/
ファザコン /(n) (abbr) father complex/
ファシスタ /(n) fascist/
ファシスタ党 [ファシスタとう] /(n) Fascist Party/
ファシスト /(n) fascist/(P)/
ファシスト党 [ファシストとう] /(n) Fascist Party/
ファシズム /(n) fascism/(P)/
ファシリティ /(n) facility/
ファシリティー /(n) facility/(P)/
ファシリティマネージメント /(n) (comp) facility management/
ファシリティマネジメント /(n) facility management/
ファシリテイ /(n) facility/
ファジー /(n) fuzzy/(P)/
ファジーコンピュータ /(n) (comp) fuzzy computer/
ファジーコンピューター /(n) (comp) fuzzy computer/
ファジーロジック /(n) (comp) fuzzy logic/
ファジー集合 [ファジーしゅうごう] /(n) (math) fuzzy set/
ファジー制御 [ファジーせいぎょ] /(n) (comp) fuzzy control/
ファジー理論 [ファジーりろん] /(n) fuzzy theory/
ファジー論理 [ファジーろんり] /(n) (comp) fuzzy logic/
ファジィ /(n) fuzzy/
ファジィ集合 [ファジィしゅうごう] /(n) (math) fuzzy set/
ファジィ理論 [ファジィりろん] /(n) fuzzy theory/
ファジィ論理 [ファジィろんり] /(n) (comp) fuzzy logic/
ファスチャン /(n) fustian/
ファストカンバス /(n) first base (baseball) (wasei: first canvas)/
ファストスカジー /(n) (comp) FastSCSI/
ファストセレクト /(n) (comp) fast select/
ファストトラック /(n) fast-track/
ファストネエム /(n) first name/
ファストフード /(n) fast-food/(P)/
ファストン /(n) fast on (terminal)/
ファスナー /(n) fastener/zipper/(P)/
ファズ /(n) fuzz/
ファセット /(n) (1) facet (jewel)/(2) facet (aspect)/
ファセットシソーラス /(n) (comp) faceted thesaurus/
ファセット順位 [ファセットじゅんい] /(n) (comp) citation order/
ファセット表示記号 [ファセットひょうじきごう] /(n) (comp) facet indicator/
ファセット分類体系 [ファセットぶんるいたいけい] /(n) (comp) faceted classification system/
ファセット連結記号 [ファセットれんけつきごう] /(n) (comp) intra-facet connector/
ファッキン /(n) (1) (abbr) (sl) First Kitchen (fast food restaurant chain)/(2) fucking/
ファック /(n,vs) (X) (col) fuck/(P)/
ファックス /(n) facsimile/FAX/(P)/
ファックスモデム /(n) (comp) FAX modem/
ファックス通信機能 [ファックスつうしんきのう] /(n) (comp) facsimile communications function/
ファックユー /(int) (vulg) (col) fuck you/
ファッショ /(n,adj-na,adj-no) faschia (ita: fascio)/(P)/
ファッショナブル /(adj-na) fashionable/(P)/
ファッション /(n) fashion/(P)/
ファッションインダストリー /(n) fashion industry/
ファッションエディター /(n) fashion editor/
ファッションコーディネーター /(n) fashion coordinator/
ファッションショー /(n) fashion show/(P)/
ファッションフード /(n) fashion food/
ファッションブック /(n) fashion book/
ファッションヘルス /(n) prostitution (in the guise of a massage service) (wasei: fashion health)/
ファッションマッサージ /(n) fashion massage/
ファッションモデル /(n) fashion model/
ファッション雑誌 [ファッションざっし] /(n) fashion magazine/
ファット /(n) (comp) FAT/
ファットパイプ /(n) (comp) fat pipe (i.e. a high bandwidth connection)/
ファッド /(n) (1) fad (por:)/
ファトアー /(n) fatwa (ara: fatwa)/ruling on Islamic law as dictated by a mufti (religious legal scholar)/
ファトゥワ /(n) fatwa (ara: fatwa)/ruling on Islamic law as dictated by a mufti (religious legal scholar)/
ファトワ /(n) fatwa (ara: fatwa)/ruling on Islamic law as dictated by a mufti (religious legal scholar)/
ファド /(n) (1) fad (por:)/(2) fado/
ファナティシズム /(n) fanaticism/
ファナティック /(adj-na,n) fanatic/
ファニー /(n) funny/
ファニーフェース /(n) funny face/
ファブリーペロエタロン /(n) Fabry-Perot etalon/
ファブリック /(n) fabric/
ファブレス /(n) fabless (wasei: fabless)/without fabrication facilities (esp. a semiconductor company that does not own a factory)/
ファミコン /(n) (comp) (abbr) video game system (from family computer - Nintendo tradename)/(P)/
ファミマ /(n) (abbr) Family Mart (company)/
ファミリ /(n) family/
ファミリー /(n) family/(P)/
ファミリーカー /(n) family car/
ファミリーコンピュータ /(n) (comp) family computer/
ファミリーコンピューター /(n) (comp) Nintendo (from family computer)/
ファミリーサイズ /(n) family-size/
ファミリーネーム /(n) family name/
ファミリーバイク /(n) family bike/
ファミリーファンド /(n) family fund/
ファミリーブランド /(n) family brand/
ファミリーマート /(n) Family Mart (company)/
ファミリーライフサイクル /(n) family life cycle/
ファミリーレストラン /(n) family restaurant/
ファミリア /(n) familiar/(P)/
ファミリアー /(n) familiar/
ファミリズム /(n) familism/
ファミレス /(n) (abbr) family restaurant/
ファモチジン /(n) famotidine/
ファラウェイ /(n) far away/(P)/
ファラオ /(n) pharaoh/
ファラッド /(n) farad/
ファラデーの法則 [ファラデーのほうそく] /(n) Faraday's law/
ファラデー効果 [ファラデーこうか] /(n) Faraday effect/
ファラデー定数 [ファラデーていすう] /(n) Faraday constant/
ファラド /(n) farad/
ファラノーク /(n) falanouc (Eupleres goudotii)/
ファラベラ /(n) Falabella (miniature horse)/
ファランクス /(n) phalanx/
ファランドール /(n) farandole (fre:)/
ファリサイ派 [ファリサイは] /(n) Pharisees/
ファリシズム /(n) phallicism/
ファルコン /(n) (1) falcon/(2) Falcon (missile)/
ファルシ /(n) stuffed food (e.g. eggs, tomatoes) (fre: farci)/
ファルシー /(n) stuffed food (e.g. eggs, tomatoes) (fre: farci)/
ファルス /(n,adj-no) (1) farce (fre:)/(2) phallus/(P)/
ファルセット /(n) falsetto (ita:)/
ファルファッレ /(n) farfalle (ita:)/
ファレノプシス /(n) Phalaenopsis (the moth orchid genus) (lat:)/
ファロー四徴症 [ファローしちょうこう] /(n) tetralogy of Fallot/
ファロー鹿 [ファローじか] /(n) fallow deer/
ファン /(n) (1) fan/(2) fun/(P)/
ファン・カー /(n) car using a fan to create a ground effect/
ファンアウト /(n) fan-out/
ファンカー /(n) car using a fan to create a ground effect/
ファンキー /(adj-na,n) funky/(P)/
ファンク /(n,adj-no) funk/(P)/
ファンクショナリズム /(n) functionalism/
ファンクション /(n) function/
ファンクションキー /(n) (comp) function key/
ファンクションコール /(n) (comp) function call/
ファンクタ /(n) functor/
ファンクラブ /(n) fan club/(P)/
ファンコイルユニット /(n) fan coil unit/
ファンサイト /(n) (comp) fan site (WWW)/fansite/(P)/
ファンサブ /(n) fansub/
ファンシー /(adj-na,n) fancy/
ファンシーグッズ /(n) fancy goods/
ファンシーストア /(n) fancy store/
ファンシードレス /(n) fancy dress/
ファンシーフード /(n) fancy food/
ファンシーボール /(n) fancy ball/
ファンジェット /(n) fan-jet/
ファンタジー /(n) fantasy/(P)/
ファンタジア /(n) fantasia (ita:)/
ファンタジック /(adj-na) fantastic (wasei: fantasy-ic)/fanciful/
ファンタスティック /(adj-na) fantastic/(P)/
ファンダメンタリスト /(n) fundamentalist/
ファンダメンタリズム /(n) fundamentalism/
ファンダメンタル /(adj-na) fundamental/
ファンダメンタルズ /(n) fundamentals/(P)/
ファンダンゴ /(n) fandango (spa:)/
ファンデーション /(n) foundation/(P)/
ファントム /(n) phantom/(P)/
ファントムＢＯＭ [ファントムビーオーエム] /(n) (comp) phantom BOM/
ファントラ /(n) (abbr) fund trust/
ファンド /(n) fund/(P)/
ファンドトラスト /(n) fund trust/
ファンドマネージャー /(n) fund manager/
ファンドマネジャー /(n) fund manager/
ファンヒーター /(n) fan heater/
ファンファール /(n) (1) fanfare (ger:)/flourish of trumpets/(2) fun fair/(P)/
ファンファーレ /(n) (1) fanfare (ger:)/flourish of trumpets/(2) fun fair/
ファンブル /(n,vs) fumble/
ファンレター /(n) fan letter/
ファン冷却式 [ファンれいきゃくしき] /(n) fan-equipped cooling system/fan-cooled system/
フィージビリティー /(n) feasibility/
フィージビリティースタディ /(n) feasibility study/
フィージビリティースタディー /(n) feasibility study/
フィージビリティスタディ /(n) (comp) feasibility study/
フィーダ /(n) feeder/(P)/
フィーダー /(n) feeder/
フィーチャ /(n,vs) feature/
フィーチャー /(n,vs) feature/
フィーチャーグループ /(n) (comp) feature group/
フィーチャコネクタ /(n) (comp) feature connector/
フィーディング /(n) feeding/
フィーデル /(n) fiddle/
フィート /(n) feet/foot/(P)/
フィード /(n) feed/
フィードバック /(n) feedback/(P)/
フィードバック制御 [フィードバックせいぎょ] /(n) feedback control/
フィードフォワード /(n) (comp) feed-forward/
フィードロット /(n) feed lot/
フィーバー /(n,vs) fever/(P)/
フィービジネス /(n) fee business/
フィーリング /(n) feeling/(P)/
フィールズ /(n) Fields/
フィールズ賞 [フィールズしょう] /(n) Fields Medal/
フィールダーズチョイス /(n) fielder's choice/
フィールディング /(n) fielding (practice, practise)/
フィールド /(n) field/(P)/
フィールドアーチェリー /(n) field archery/
フィールドアスレチック /(n) field athletic/
フィールドアップグレード /(n) (comp) field upgrade/
フィールドエンジニア /(n) (comp) field engineer/FE/
フィールドグラス /(n) field-glasses/
フィールドゴール /(n) field goal/
フィールドスタディー /(n) field study/
フィールドテスト /(n) (comp) field test/
フィールドノート /(n) field note/
フィールドホッケー /(n) field hockey/
フィールドマップ /(n) field map/
フィールドマン /(n) fieldman/
フィールドワーク /(n) fieldwork/(P)/
フィールド競技 [フィールドきょうぎ] /(n) field events/
フィールド分離文字 [フィールドぶんりもじ] /(n) (comp) field-separator character/
フィアンセ /(n) fiance (fre:)/fiancee/(P)/
フィギュア /(n) (1) figure/(2) figurine (small models of anime characters, etc.)/(P)/
フィギュアスケーティング /(n) figure skating/
フィギュアスケート /(n) (abbr) figure skating/
フィギュアヘッド /(n) figurehead/
フィギュラティフ /(n) figurative/
フィクサー /(n) fixer/(P)/
フィクション /(n) fiction/(P)/
フィクス /(n) fix/
フィクスト /(n) fixed/
フィコエリトリン /(n) phycoerythrin/
フィコシアニン /(n) phycocyanin/
フィジー /(n,adj-no) Fiji/
フィジオロジー /(n) physiology/
フィジカル /(adj-na,n) physical/
フィジカルフィットネス /(n) physical fitness/
フィジカルプロテクション /(n) physical protection/
フィジックス /(n) physics/
フィスカル /(n) fiscal/
フィスカルイヤー /(n) fiscal year/
フィスカルドラッグ /(n) fiscal drag/
フィスカルポリシー /(n) fiscal policy/(P)/
フィストファック /(n) fist-fucking (lit: fist fuck)/
フィズ /(n) fizz/
フィックス /(n) fix/
フィッシャーマン /(n) fisherman/
フィッシャーマンズセーター /(n) fisherman's sweater/
フィッシャーマンセーター /(n) fisherman's sweater/
フィッシュ /(n) (1) fish/(2) fiche/(P)/
フィッシュ＆チップス [フィッシュアンドチップス] /(n) fish and chips/
フィッシュアイレンズ /(n) fisheye lens/
フィッシュフィンガー /(n) fish finger/fishstick/
フィッシュミール /(n) fish meal/
フィッシング /(n) (1) fishing/(2) phishing/
フィッシングキャット /(n) fishing cat/
フィッシングジャケット /(n) fishing jacket/
フィッシング詐欺 [フィッシングさぎ] /(n) phishing/
フィッティング /(n) fitting/(P)/
フィッティングルーム /(n) fitting room/
フィット /(n,vs) fit/(P)/
フィットネス /(n) fitness/(P)/
フィットネスクラブ /(n) fitness club/health spa/
フィットネスシューズ /(n) fitness shoes/
フィットネスバイク /(n) exercise bike (wasei: fitness bike)/
フィップス /(n) (comp) FIPS/
フィデリティー /(n) fidelity (audio)/
フィトエストロゲン /(n) phytoestrogen/
フィトクロム /(n) phytochrome/
フィトンチッド /(n) phytoncide (anti-microbial compound derived from plants)/
フィド /(n) (comp) FIDO/
フィドル /(n) fiddle/
フィナーレ /(n) finale (ita:)/
フィナカップ /(n) Federation Internationale de Nation Amateur cup/FINA cup/(P)/
フィナステリド /(n) finasteride/
フィナル /(n) finale (ita:)/
フィナンシア /(n) financier/
フィナンシェ /(n) financier (type of pastry)/
フィニッシュ /(n,vs) finish/(P)/
フィフティ /(n) fifty/
フィフティー /(n) fifty/
フィフティーズ /(n) fifties/
フィフティーフィフティー /(n) fifty-fifty/(P)/
フィフティーン /(n) fifteen/
フィブリノーゲン /(n) fibrinogen/
フィブリノゲン /(n) fibrinogen/
フィブリン /(n) fibrin/
フィブロイン /(n) fibroin/
フィボナッチ探索 [フィボナッチたんさく] /(n) (comp) Fibonacci search/
フィボネッチ数列 [フィボネッチすうれつ] /(n) (comp) Fibonacci series/
フィヨルド /(n) fjord/(P)/
フィラー /(n) filler/
フィラー文字 [フィラーもじ] /(n) (comp) fill character/
フィラデルフィア /(n) Philadelphia/(P)/
フィラメント /(n) filament/
フィラリア /(n) filaria/
フィラリア症 [フィラリアしょう] /(n) filariasis/
フィラリア病 [フィラリアびょう] /(n) filarial disease/
フィランスロピー /(n) philanthropy/
フィランソロピー /(n) philanthropy/
フィリップ /(n) fillip/Philip/
フィリップス /(n) Philips/(P)/
フィリップス曲線 [フィリップスきょくせん] /(n) Phillips curve/
フィリバスター /(n) filibuster/
フィリピの信徒への手紙 [フィリピのしんとへのてがみ] /(n) Epistle to the Philippians (book of the Bible)/
フィリピノ語 [フィリピノご] /(n) Filipino (standardized Tagalog, the national language of the Philippines)/
フィリピン /(n) (uk) Philippines/
フィリピンクロミス /(n) Philippines chromis (Chromis scotochiloptera)/
フィリピン海プレート [フィリピンかいプレート] /(n) Philippine Sea Plate/
フィリピン人 [フィリピンじん] /(n) Filipino/
フィリング /(n) filling/
フィル /(n) fill/(P)/
フィルイン /(n) fill-in/
フィルタ /(n) filter (esp. camera)/
フィルター /(n) filter (esp. camera)/(P)/
フィルタープレス /(n) filter press/
フィルタバンク /(n) filter-bank/
フィルタリング /(n) filtering/
フィルタ項目 [フィルタこうもく] /(n) (comp) filter-item/
フィルダースチョイス /(n) fielder's choice (baseball)/(P)/
フィルダーズチョイス /(n) fielder's choice/
フィルダーチョイス /(n) fielder's choice (baseball)/
フィルダム /(n) fill dam/
フィルハーモニー /(n) philharmonie (ger:)/philharmonic/(P)/
フィルハーモニック /(adj-f) philharmonic (e.g. orchestra, choir)/
フィルハンドル /(n) (comp) fill handle/
フィルム /(n) film/(P)/
フィルムクリップ /(n) film clip/
フィルムスキャナ /(n) (comp) film scanner/
フィルムスピード /(n) film speed/
フィルムネット /(n) film net/
フィルムバッジ /(n) film badge/
フィルムライブラリ /(n) (comp) film library/
フィルムライブラリー /(n) film library/
フィルムレコーダ /(n) (comp) film recorder/
フィルム感度 [フィルムかんど] /(n) (comp) film sensitivity/
フィレ /(n) fillet (fre: filet)/
フィレオ /(n) filet/
フィレオフィッシュ /(n) Filet-O-Fish (McDonalds)/
フィレット /(n) fillet/
フィレモンへの手紙 [フィレモンへのてがみ] /(n) Epistle to Philemon (book of the Bible)/
フィロソファー /(n) philosopher/
フィロソフィー /(n) philosophy/
フィロソマ /(n) phyllosoma/
フィロデンドロン /(n) philodendron (lat:)/
フィロロジー /(n) philology/
フィン /(n) fin/(P)/
フィンウゴル語派 [フィンウゴルごは] /(n) Finno-Ugric (branch of languages)/
フィンガ /(n) (comp) finger/
フィンガー /(n) finger/
フィンガージョイント /(n) finger joint/
フィンガープリント /(n) fingerprint/
フィンガーペインティング /(n) finger painting/
フィンガーボード /(n) fingerboard/
フィンガーボール /(n) finger bowl/
フィンガリング /(n) fingering/
フィンスタビライザー /(n) fin stabilizer/
フィンチ /(n) finch/
フィンドレビン /(n) vinyl drainpipe with fins/
フィンランド /(n) (uk) Finland/(P)/
フィンランド語 [フィンランドご] /(n) Finnish (language)/
フイジカル /(adj-na,n) physical/
フイリアザラシ /(n) (uk) ringed seal (Pusa hispida)/
フイリピン /(n) (uk) Philippines/
フイルム /(n) film/(P)/
フウ /(n) (uk) Formosan sweetgum (Liquidambar formosana)/
フウスイ /(n) Chinese geomancy/feng shui/
フウセンウナギ /(n) (uk) whiptail gulper (any gulper eel of family Saccopharyngidae)/
フウライカジキ /(n) (uk) shortbill spearfish (Tetrapturus angustirostris)/
フウライチョウチョウウオ /(n) vagabond butterflyfish (Chaetodon vagabundus, species of the Indo-Pacific)/
フウロソウ /(n) (uk) geranium (any plant of genus Geranium)/
フウ属 [フウぞく] /(n) Liquidambar (genus of deciduous Sweetgum trees in the flowering plant family Altingiaceae)/
フェーク /(n) fake/
フェークファー /(n) fake fur/
フェーザー /(n) phaser/
フェーシャル /(n) facial/
フェース /(n) face/(P)/
フェースオフ /(n) face-off/
フェースカード /(n) face-card/
フェースシート /(n) face sheet (top copy)/questionnaire that asks for a demographic profile/
フェースツーフェース /(n) (comp) face to face/
フェースバリュー /(n) face value/
フェースパウダー /(n) face powder/
フェーズ /(n) phase/
フェータリスト /(n) fatalist/
フェータル /(adj-na) fatal/
フェーディング /(n) fading/
フェード /(n) fade/
フェードアウト /(n,vs) fade-out/FO/
フェードイン /(n) fade-in/FI/
フェードボール /(n) fade ball/
フェーブル /(n) fable/
フェーリング液 [フェーリングえき] /(n) Fehling's solution/
フェーリング反応 [フェーリングはんのう] /(n) Fehling's reaction/
フェール /(n,vs) fail/
フェールセーフ /(n) failsafe/
フェールセーフ動作 [フェールセーフどうさ] /(n) (comp) failsafe operation/
フェールソフト /(n) (comp) failsoft/
フェーン /(n) (abbr) Foehn phenomenon/
フェーン現象 [フェーンげんしょう] /(n) hot, dry wind that blows down from a mountain (Foehn phenomenon)/
フェア /(adj-na,n) (1) fair/(n) (2) fare/(3) fear/(P)/
フェアー /(adj-na,n) (1) fair/(n) (2) fare/(3) fear/
フェアウェー /(n) fairway/
フェアウェイ /(n) fairway/(P)/
フェアウエー /(n) fairway/
フェアキャッチ /(n) fair catch/
フェアコピー /(n) fair copy/
フェアセックス /(n) fair sex/
フェアプレー /(n) fair play/(P)/
フェアボール /(n) fair ball/
フェアリー /(n) fairy/
フェアリーテール /(n) fairy-tale/
フェアリーランド /(n) fairyland/
フェイク /(n) fake/(P)/
フェイクファー /(n) fake fur/
フェイシャル /(n) facial/
フェイジョア /(n) feijoa (Acca sellowiana) (lat:)/pineapple guava/guavasteen/
フェイス /(n) face/(P)/
フェイスタオル /(n) face towel/
フェイスブック /(n) (comp) Facebook/
フェイスマーク /(n) (comp) smiley (wasei: face mark)/emoticon/
フェイズ /(n) phase/
フェイズィング /(n) phasing/
フェイダー /(n) fader/
フェイドアウト /(n) fadeout/
フェイリュア /(n) failure/
フェイル /(n) fail/
フェイルセーフ /(n) fail-safe/
フェイント /(n) feint/(P)/
フェザー /(n) (1) phaser/phasor/(2) feather/
フェザーカット /(n) feathercut/
フェザープレーン /(n) feather plane/
フェザー級 [フェザーきゅう] /(n) featherweight/
フェジョアーダ /(n) feijoada (Portuguese stew of beans with beef, pork, etc.)/
フェジョアダ /(n) feijoada (Portuguese stew of beans with beef, pork, etc.)/
フェス /(n) (abbr) festival/
フェスタ /(n) festival (ita: festa)/
フェスティバル /(n) festival/(P)/
フェスティヴァ /(n) festival/
フェタチーズ /(n) feta cheese/
フェチ /(n) (1) (abbr) fetish/(2) passion/enthusiasm/
フェッチ /(n,vs) fetch/
フェッチサイクル /(n) (comp) fetch cycle/
フェットチーネ /(n) fettucine (ita:)/
フェップ /(n) (comp) FEP/
フェティシズム /(n) fetishism/
フェティッシュ /(n) fetish/
フェデラリスト /(n) federalist/
フェデラル /(adj-f) federal/
フェデラルファンド /(n) federal fund/FF/
フェデリーニ /(n) fedelini (pasta similar to thin vermicelli) (ita:)/
フェデレーション /(n) federation/(P)/
フェトチーネ /(n) fettucine (ita:)/
フェドラ /(n) fedora/
フェナセチン /(n) phenacetin/
フェナントレン /(n) phenanthrene/
フェニールケトン /(n) phenylketon(uria)/
フェニキア /(n) Phoenicia/
フェニキア文字 [フェニキアもじ] /(n) Phoenician alphabet/Phoenician character/
フェニックス /(n) phoenix (lat:)/(P)/
フェニュグリーク /(n) fenugreek/
フェニル /(n) phenyl/
フェニルアラニン /(n) phenylalanine/
フェニルケトン尿症 [フェニルケトンにょうしょう] /(n) phenylketonuria/
フェニル基 [フェニルき] /(n) phenyl group/
フェヌグリーク /(n) fenugreek/
フェネック /(n) fennec fox (Vulpes zerda)/
フェネル /(n) fennel/
フェノール /(n) phenol/
フェノールフタレイン /(n) phenolphthalein/
フェノール樹脂 [フェノールじゅし] /(n) phenol resin/
フェノール類 [フェノールるい] /(n) phenol/
フェノチアジン /(n) phenothiazine/
フェノバルビタール /(n) phenobarbital/
フェノメノン /(n) phenomenon/
フェヒナーの法則 [フェヒナーのほうそく] /(n) Fechner's law/
フェビアニズム /(n) Fabianism/
フェブラリー /(n) February/
フェミナチ /(n) (col) (derog) feminazi/man-hating feminist/
フェミニスト /(n) (1) man who indulges women (from feminist)/gentleman/(2) feminist/(P)/
フェミニスト神学 [フェミニストしんがく] /(n) feminist theology/
フェミニズム /(n) feminism/(P)/
フェミニズム批評 [フェミニズムひひょう] /(n) feminist criticism/
フェミニティーテスト /(n) feminity test/
フェミニニティーコントロール /(n) femininity control/
フェミニン /(adj-na) feminine/
フェミニンルック /(n) feminine look/
フェムト /(n,pref) femto-/10^-15/
フェムト秒化学 [フェムトびょうかがく] /(n) femtosecond chemistry/femtochemistry/
フェヤウェイ /(ik) (n) fairway/
フェヤウエイ /(ik) (n) fairway/
フェラ /(n) (abbr) fellatio/
フェラーリ /(n) Ferrari/(P)/
フェライト /(n,adj-f) ferrite/
フェライトコア /(n) (comp) ferrite core/
フェライト磁心 [フェライトじしん] /(n) (comp) ferrite core/
フェライト磁石 [フェライトじしゃく] /(n) ferrite magnet/
フェラチオ /(n) fellatio/blow job/(P)/
フェリー /(n) ferry/(P)/
フェリーボート /(n) ferryboat/
フェリシアン化カリウム [フェリシアンかカリウム] /(n) potassium ferricyanide (C6FeK3N6)/
フェリチン /(n) ferritin/
フェリ磁性体 [フェリじせいたい] /(n) ferrimagnetic substance/
フェルウル /(n) ferrule/(P)/
フェルト /(n) felt/(P)/
フェルトペン /(n) felt pen/felt-tip pen/fiber-tip pen/
フェルマーの原理 [フェルマーのげんり] /(n) Fermat's principle/
フェルマーの問題 [フェルマーのもんだい] /(n) Fermat's problem/
フェルマータ /(n) fermata (ita:)/
フェルマの原理 [フェルマのげんり] /(n) Fermat's principle/
フェルマの問題 [フェルマのもんだい] /(n) Fermat's problem/
フェルマ予想 [フェルマよそう] /(n) Fermat's last theorem/
フェルミウム /(n) fermium (Fm)/
フェルミオン /(n) fermion/
フェルミ面 [フェルミめん] /(n) Fermi surface/
フェルミ粒子 [フェルミりゅうし] /(n) Fermi particle/
フェレット /(n) ferret/(P)/
フェローシップ /(n) fellowship/(P)/
フェロー語 [フェローご] /(n) Faroese/Foroyar/
フェロアロイ /(n) ferro-alloy/
フェロシアン化カリウム [フェロシアンかカリウム] /(n) potassium ferrocyanide/
フェロセン /(n) ferrocene/
フェロタイプ /(n) ferrotype/
フェロモン /(n) pheromone/(P)/
フェンシング /(n) fencing/(P)/
フェンス /(n) fence/(P)/
フェンタニル /(n) fentanyl/
フェンダー /(n) (1) Fender (guitar company)/(2) fender/wing (of car)/
フェンネル /(n) fennel/
フエコチドリ /(n) (uk) piping plover (Charadrius melodus)/
フエダイ /(n) (uk) star snapper (species of fish, Lutjanus stellatus)/
フエヤッコダイ /(n) (uk) longnose butterfly fish (Forcipiger flavissimus, species of butterflyfish from the Indo-Pacific)/forcepsfish/
フエヤッコダイ属 [フエヤッコダイぞく] /(n) Forcipiger (genus of tropical bannerfish in the family Chaetodontidae)/
フォー /(n) (1) four/(2) pho (vie:)/Vietnamese noodle soup/
フォーアイバタフライフィッシュ /(n) foureye butterflyfish (Chaetodon capistratus)/
フォーウエーフラッシャー /(n) four-way flasher/
フォーカス /(n,vs) (1) focus/(2) forecast/(P)/
フォーカルプレーン /(n) focal plane/
フォーカルプレーンシャッター /(n) focal-plane shutter/
フォーキャスト /(n) forecast/prediction/
フォーク /(n) (1) fork/(2) folk/folk song/(P)/
フォークアート /(n) folk art/
フォークギター /(n) folk guitar/
フォークソング /(n) folk song/(P)/
フォークダンス /(n) folk dance/
フォークト部 [フォークトぶ] /(n) Voigt element (combination of spring and viscous damper)/
フォークボール /(n) fork ball (baseball)/(P)/
フォークミュージック /(n) folk music/
フォークランド /(n) Falklands/
フォークランド紛争 [フォークランドふんそう] /(n) Falklands War (1982)/
フォークリフト /(n) forklift/
フォークロア /(n) forklore/
フォークロック /(n) folk rock/
フォーゲットミーノット /(n) forget-me-not/
フォーサイクルエンジン /(n) four-cycle engine/
フォーシーム /(n) four-seam fastball (baseball)/
フォージ /(n) forge/
フォージーエル /(n) (comp) 4GL/
フォース /(n) (1) force/(2) (comp) FORTH/(P)/
フォースアウト /(n) force-out/
フォースプレー /(n) force play/
フォーチュン /(n) fortune/(P)/
フォーチュンクッキー /(n) fortune cookie/
フォーチュンテラー /(n) fortune-teller/
フォーティ /(n) forty/
フォーティー /(n) forty/
フォーティーン /(n) fourteen/
フォーディー /(n) (comp) 4D/
フォートラン /(n) (comp) (abbr) formula translation (computer language)/FORTRAN/(P)/
フォード /(n) (1) ford/(2) Ford (car)/(P)/
フォーナイン /(n) four nines/
フォーバンディッドバタフライフィッシュ /(n) four-banded butterflyfish (Chaetodon hoefleri)/
フォービート /(n) four-beat/
フォービスム /(n) fauvisme (fre:)/
フォーブ /(n) Fauve (fre:)/fauve/
フォーマ /(n) (comp) FOMA/
フォーマッタ /(n) formatter/
フォーマッティング /(n) formatting/
フォーマット /(n,vs) (comp) (computer) format/(P)/
フォーマティング /(n) (comp) formatting/
フォーマリズム /(n) formalism/
フォーマル /(adj-na,n) formal/(P)/
フォーマルウェア /(n) formal wear/
フォーマルウエア /(n) formal wear/
フォーマルドレス /(n) formal dress/
フォーミュラ /(n) formula/
フォーミュラカー /(n) formula car/(P)/
フォーミュラプラン /(n) formula plan/
フォーム /(n) (1) foam/(2) form/(P)/
フォームスタッカー /(n) (comp) form stacker/
フォームファクタ /(n) (comp) form factor/
フォームフィード /(n) (comp) form-feed (character)/FF/
フォームラバー /(n) foam rubber/
フォーメーション /(n) formation/(P)/
フォーラム /(n) forum/(P)/
フォーラム・ショッピング /(n) seeking a venue (usu. for litigation) (wasei: forum shopping)/
フォーラムショッピング /(n) seeking a venue (usu. for litigation) (wasei: forum shopping)/
フォーラムディスカッション /(n) forum discussion/
フォーリーズ /(n) follies/
フォール /(n,vs) fall/(P)/
フォールアウト /(n) fallout (atomic, radioactive, etc.)/fall-out/fall out/
フォールスアイサージャント /(n) false-eye sergeant (Abudefduf sparoides)/
フォールディングドア /(n) folding door/
フォールディングナイフ /(n) folding knife/
フォールト /(n) fault/(P)/
フォールトトレランス /(n) fault-tolerance/
フォールトトレラント /(adj-na) (comp) fault-tolerant/
フォールバック /(n) (comp) fallback/fall-back/
フォールバック機能 [フォールバックきのう] /(n) (comp) fallback facility/
フォールライン /(n) fall line/
フォーン /(n) phone/
フォーヴ /(n) Fauve (fre:)/fauve/
フォア /(n) (1) four/(int,n) (2) fore/(n) (3) (abbr) forehand/(P)/
フォアインハンド /(n) four-in-hand/
フォアグラ /(n) foie gras (fre:)/(P)/
フォアグラウンド /(n) foreground/
フォアグラウンドプログラム /(n) (comp) foreground program/
フォアグランドジョブ /(n) (comp) foreground job/
フォアシステムズ /(n) (comp) Fore Systems/
フォアハンド /(n) forehand/(P)/
フォアボール /(n) base on balls (baseball) (wasei: four balls)/walk/pass/(P)/
フォアマン /(n) foreman/(P)/
フォアレターワード /(n) four-letter word/
フォイル /(n) (1) foil (i.e. aluminum foil)/(2) foil (in fencing)/(3) foil (in Gothic architecture)/
フォグ /(n) fog/
フォグランプ /(n) fog lamp/
フォゲットミーノット /(n) forget-me-not/
フォスゲン /(n) phosgene (ger: Phosgen)/carbonyl chloride/
フォスターチャイルド /(n) foster child/(P)/
フォスターペアレント /(n) foster parent/
フォスファターゼ /(n) phosphatase/
フォスフォリラーゼ /(n) phosphorylase/
フォックス /(n) fox/
フォックステリア /(n) fox terrier/
フォックストロット /(n) fox-trot/foxtrot/(P)/
フォックスハウンド /(n) foxhound/
フォックスフェイス /(n) (1) nipplefruit (Solanum mammosum) (wasei: foxface)/apple of Sodom/titty fruit/cow's udder/(2) foxface (Siganus vulpinus, species of Western Pacific rabbitfish) (eng: foxface)/fox face/fox-face/
フォッグライト /(n) fog light/
フォッグランプ /(n) fog lamp/
フォッサ /(n) fossa (Cryptoprocta ferox)/
フォッサマグナ /(n) fossa magna (lat:)/
フォト /(n) photo/(P)/
フォトＣＤ [フォトシーディー] /(n) (comp) photo CD/
フォトカップラ /(n) photocoupler/
フォトカップラー /(n) photocoupler/
フォトカプラー /(n) photocoupler/
フォトクロミック /(n) photochromic/
フォトクロミックガラス /(n) photochromic glass/
フォトグラビア /(n) photogravure/
フォトグラフ /(n) photograph/
フォトグラファー /(n) photographer/
フォトグラフィ /(n) photography/
フォトグラフィー /(n) photography/
フォトコラージュ /(n) photocollage/photomontage/
フォトシーディー /(n) (comp) PhotoCD/
フォトジェニー /(n) photogenie (fre:)/
フォトジェニック /(adj-na) photogenic/
フォトジャーナリスト /(n) photojournalist/
フォトジャーナリズム /(n) photojournalism/
フォトスタジオ /(n) photo studio/
フォトスタンプ /(n) (comp) photo stamp/
フォトストーリー /(n) photo story/
フォトセル /(n) photocell/
フォトダイオード /(n) photodiode/
フォトトランジスタ /(n) phototransistor/
フォトトランジスター /(n) phototransistor/
フォトニック結晶 [フォトニックけっしょう] /(n) photonic crystal/
フォトニュートロン /(n) photoneutron/
フォトファブリケーション /(n) photofabrication/
フォトフレーム /(n) picture frame (with stand)/
フォトブラシ /(n) (comp) photo brush/
フォトプレー /(n) photoplay/
フォトプレーヤー /(n) photoplayer/
フォトマスク /(n) photomask/
フォトモンタージュ /(n) photomontage (fre:)/
フォトライブラリー /(n) photo library/
フォトリアリスティック /(n) (comp) photo realistic/
フォトリアリズム /(n) photo realism/
フォトレジスト /(n) photoresist/
フォトレタッチ /(n) (comp) photo retouching/
フォトレタッチソフト /(n) (comp) photo-retouching software/
フォトン /(n) photon/
フォトンファクトリー /(n) photon factory/
フォドー /(n) Fodor/
フォニーム /(n) phoneme/
フォネーム /(n) phoneme/
フォネティックス /(n) phonetics/
フォノグラフ /(n) phonograph/
フォノライト /(n) phonolite/
フォノロジー /(n) phonology/
フォノン /(n) phonon/
フォブポケット /(n) fob pocket/
フォリオ /(n) folio/
フォリナー /(n) foreigner/
フォリント /(n) forint (hun:)/
フォルアウト /(n) fallout (atomic, radioactive, etc.)/fall-out/fall out/
フォルクスワーゲン /(n) Volkswagen/VW/(P)/
フォルクローレ /(n) folklore/
フォルダ /(n) folder/
フォルダー /(n) folder/
フォルテ /(n) forte (ita:)/
フォルティッシモ /(n) fortissimo (ita:)/
フォルテピアノ /(n) fortepiano (ita:)/
フォルト /(n) fault/
フォルマリズム /(n) formalism (fre:)/
フォルマリン /(n) formalin/
フォルマント /(n) formant/
フォルム /(n) (1) forum (lat:)/(2) form/
フォルムアルデヒド /(n) formaldehyde/methanal/
フォレスト /(n) forest/
フォロー /(n,vs) (1) follow/(2) (abbr) followup (e.g. netnews)/(3) backing-up/covering for/(P)/
フォローアップ /(n,vs) follow-up/
フォローウインド /(n) follow wind/
フォロースルー /(n) follow-through/
フォローパン /(n) (comp) follow pan/
フォロウ /(n,vs) (1) follow/(2) (abbr) followup (e.g. netnews)/(3) backing-up/covering for/
フォロワー /(n) follower/
フォワーディング /(n) forwarding/
フォワード /(n) forward (in a ball game, contract, etc.)/(P)/
フォワードパス /(n) forward pass/
フォワードリンク /(n) (comp) forward link/
フォワグラ /(n) foie gras (fre:)/
フォン /(n) phone/(P)/
フォンコンファレンス /(n) phone conference/
フォンシェーディング /(n) (comp) Phong shading/
フォンダン /(n) fondant (fre:)/
フォンデュ /(n) fondue (fre:)/
フォンデュー /(n) fondue (fre:)/
フォント /(n) font/
フォントエディタ /(n) (comp) font editor/
フォントサイズ /(n) (comp) font size/
フォントファイル /(n) (comp) font file/
フォントファミリ /(n) (comp) font family/
フォントプログラム /(n) (comp) font program/
フォントメトリック /(n) (comp) font metric/
フォント参照 [フォントさんしょう] /(n) (comp) font reference/
フォント資源 [フォントしげん] /(n) (comp) font resource/
フォント寸法 [フォントすんぽう] /(n) (comp) font size/
フォント配置量 [フォントはいちりょう] /(n) (comp) font metrics/
フカ /(n) (uk) (ksb:) (large) shark/
フカシ /(n) (sl) fib/exaggeration (of the truth)/snow job/
フカヒレ /(n) (food) (uk) shark fin/
フカミスズメダイ /(n) whitetail chromis (Chromis leucura)/
フガート /(n) fugato (ita:)/
フキ /(n) (uk) giant butterbur (Petasites japonicus)/Japanese sweet coltsfoot/
フクロアリクイ /(n) (uk) numbat (Myrmecophaga tridactyla)/banded anteater/
フクロウ /(n) (uk) owl (esp. the Ural owl, Strix uralensis)/
フクロウオウム /(n) (uk) kakapo (Strigops habroptila)/owl parrot/
フクロウナギ /(n) (uk) pelican eel (Eurypharynx pelecanoides)/
フクロオオカミ /(n) (uk) Tasmanian tiger (Thylacinus cynocephalus)/thylacine/Tasmanian wolf/
フクログマ /(n) (uk) koala (Phascolarctos cinereus)/
フクログモ /(n) (1) (uk) sac spider (any spider of family Clubionidae)/(2) Atypus karschi (Asian species of mygalomorph spider)/
フクロタケ /(n) paddy straw mushroom/straw mushroom/Volvariella volvacea/
フクロテナガザル /(n) (uk) siamang (species of gibbon, Symphalangus syndactylus)/
フクロムシ /(n) (uk) rhizocephala (parasitic barnacles)/
フクロモモンガ /(n) (uk) sugar glider (species of flying phalanger, Petaurus breviceps)/
フグ /(n) (uk) puffer fish/blow fish/fugu/globefish/swellfish/
フグ科 [フグか] /(n) Tetraodontidae (family of pufferfish with four fused teeth)/
フグ中毒 [フグちゅうどく] /(n) pufferfish poisoning/
フグ毒 [フグどく] /(n) fugu poison/
フゲッタ /(n) fughetta (ita:)/
フコキサンチン /(n) fucoxanthin/
フサインマクマホン協定 [フサインマクマホンきょうてい] /(n) Hussein-McMahon agreement (1915-1916)/
フサオマキザル /(n) (uk) brown capuchin/tufted capuchin (Cebus apella)/
フサスグリ /(n) cultivated currant (Ribes altissimum)/
フサモ /(n) (uk) whorl-leaf water milfoil (Myriophyllum verticillatum)/
フシノキ /(n) (uk) (obsc) Japanese sumac (Rhus javanica)/
フジ /(n) wisteria (esp. Japanese wisteria, Wisteria floribunda)/wistaria/
フジアザミ /(n) (uk) Fuji thistle/Cirsium purpuratum/
フジウツギ /(n) (uk) Japanese butterfly bush (species of buddleia, Buddleja japonica)/
フジツボ /(n) (uk) acorn barnacle (Balanomorpha spp.)/
フジテレビ /(n) Fuji-TV/
フジナベニハゼ /(n) Trimma winchi (species of goby from the Chagos Archipelago)/
フジナマコ /(n) (uk) Holothuria decorata (species of sea cucumber)/
フジバカマ /(n) (uk) thoroughwort (species of boneset, Eupatorium fortunei)/
フジマメ /(n) (uk) hyacinth bean (Lablab purpureus)/
フセインマクマホン協定 [フセインマクマホンきょうてい] /(n) Hussein-McMahon agreement (1915-1916)/
フゼア調 [フゼアちょう] /(n) Fougere fragrance (family of scents including coumarin, oak moss, lavender, and geranium oil, used in perfumes)/
フタスジヒメジ /(n) doublebar goatfish (Parupeneus trifasciatus, was Parupeneus bifasciatus)/Indian Ocean member of the Parupeneus trifasciatus complex/
フタバアオイ /(n) (uk) Asarum caulescens (species of wild ginger)/
フタバガキ /(n) (uk) dipterocarp (any plant of genus Dipterocarpus)/
フタホシキツネベラ /(n) twospot hogfish (Bodianus bimaculatus)/
フタボシイソハゼ /(n) Lachdebrere's pygmy goby (Eviota lachdeberei)/
フタユビナマケモノ /(n) (uk) two-toed sloth/
フタル酸 [フタルさん] /(n) phthalic acid/
フタル酸エステル [フタルさんエステル] /(n) phthalate ester/
フタレイン /(n) phthalein/
フタロシアニン /(n) phthalocyanine/
フダンソウ /(n) Swiss chard (Beta vulgaris var. cicla)/silverbeet/
フダン草 [フダンそう] /(n) Swiss chard (Beta vulgaris var. cicla)/silverbeet/
フチドリスズメダイ /(n) Pacific gregory (Stegastes fasciolatus)/
フッ /(int) (1) hah (derisively)/pooh/(adv-to) (2) (on-mim) pfft (of something disappearing)/poof/(3) (on-mim) huff/puff/
フッカー /(n) hooker/(P)/
フッキング /(n) hooking/
フック /(n,vs) hook/(P)/
フックの法則 [フックのほうそく] /(n) Hooke's law/
フックボール /(n) hook bowl/
フックライン /(n) hook line/
フッコ /(n) juvenile Japanese sea perch (usu. 2-3 years in age and 40-60 cm in length)/
フッソ /(n) fluorine (F)/
フッタ /(n) (comp) footer/
フッター /(n) (comp) footer (e.g. of a file)/
フット /(n) foot/
フットサル /(n) indoor 5-man football (spa: futsal, abbr. of "futbol de salon")/
フットノート /(n) footnote/
フットフォールト /(n) foot fault/
フットブレーキ /(n) foot brake/
フットプリント /(n) (comp) footprint/
フットボール /(n) football/(P)/
フットボール場 [フットボールじょう] /(n) football field/
フットポケット /(n) foot pocket portion of a diving fin/
フットマン /(n) footman/
フットライト /(n) footlights/limelight/
フットライトを浴びる [フットライトをあびる] /(exp,v1) to appear on the stage/to be in the limelight/
フットレスト /(n) footrest/
フットワーク /(n) footwork/(P)/
フッロピーディスク /(n) (comp) floppy disk/
フッ化 [フッか] /(n,vs) (1) fluoridation/(pref) (2) fluoro-/fluor/(adj-no) (3) fluorinated/
フッ化カルシウム [フッかカルシウム] /(n) calcium fluoride (CaF2)/
フッ化水素 [フッかすいそ] /(n) hydrogen fluoride/HF/
フッ化水素酸 [フッかすいそさん] /(n) hydrofluoric acid/
フッ化物 [フッかぶつ] /(n) fluoride/
フッ素 [フッそ] /(n) fluorine (F)/
フツオタ /(n) listeners' corner (portion of radio programming for correspondence from listeners)/
フツメン /(n) (sl) normal, average looking guy/
フトイ /(n) (uk) softstem bulrush (Scirpus tabernaemontani)/
フトモモ /(n) (1) thigh/(2) (col) buttocks/arse/ass/butt/
フトモモ目 [フトモモもく] /(n) Myrtales (order of plants)/
フナ /(n) (uk) crucian carp (Carassius spp.)/
フナクイムシ /(n) (uk) shipworm (esp. naval shipworm, Teredo navalis)/teredo/
フナムシ /(n) wharf roach (species of isopod closely related to the sea slater; Ligia exotica)/
フネガイ /(n) (uk) Arca avellana (species of ark shell)/
フネダコ /(n) (uk) winged argonaut (species of paper nautilus, Argonauta hians)/
フフ /(n) giggling sound/laugh/ha ha/
フマル酸 [フマルさん] /(n) fumaric acid/
フミン酸 [フミンさん] /(n) humic acid/
フムス /(n) hummus (chickpea-based paste)/hommus/humus/humous/houmous/
フューエル /(n) fuel/
フューエルゲージ /(n) fuel gauge/
フューグ /(n) fugue (fre:)/
フュージョン /(n) fusion/(P)/
フューズ /(n) fuse/
フューダリズム /(n) feudalism/
フューチャー /(n) future/(P)/
フューチュリズム /(n) futurism/
フューナラルマーチ /(n) funeral march/
フューネラルマーチ /(n) (obsc) funeral march/
フューラー /(n) fuhrer (ger: Fuhrer)/fuehrer/leader/
フュエル /(n) fuel/
フュネラルマーチ /(n) (obsc) funeral march/
フユアオイ /(n) (uk) cluster mallow (Malva verticillata)/
フユイチゴ /(n) (uk) Rubus buergeri (species of raspberry)/
フヨウ /(n) (1) (uk) cotton rose (Hibiscus mutabilis)/Confederate rose/dixie rosemallow/(2) lotus blossom/
フラー /(n) hurrah/
フラーレン /(n) fullerene/
フラれる /(v1,vi) to be given the cold shoulder/to be jilted/to be rejected/to be dumped/
フライ /(n) (1) fried seafood or vegetables in general (fry)/(2) fly/(P)/
フライ・バイ・ワイヤ /(n) fly-by-wire/
フライアウト /(n) (comp) fly out/
フライイングバットレス /(n) flying buttress/
フライキャスチング /(n) fly casting/
フライギャラリー /(n) fly gallery/
フライシート /(n) flysheet/
フライジン /(n) (sl) foreigner who fled Japan after the Mar. 11, 2011 Tohoku earthquake/
フライス /(n) milling cutter (fre: fraise)/
フライス盤 [フライスばん] /(n) milling machine (fre: fraise)/
フライズ /(n) flies/
フライデー /(n) Friday/
フライト /(n,vs) (1) flight/(2) fright/(P)/
フライトアテンダント /(n) flight attendant/
フライトエンジニア /(n) flight engineer/
フライトコントロール /(n) flight control/
フライトシミュレータ /(n) (comp) flight simulator/
フライトテスト /(n) flight test/
フライトデータレコーダー /(n) flight data recorder/
フライトナンバー /(n) flight-number/
フライトバッグ /(n) flight bag/
フライトレコーダー /(n) flight recorder/
フライド /(n) fried/
フライドエッグ /(n) fried eggs/
フライドチキン /(n) fried chicken/(P)/
フライドポテト /(n) fried potato/French fries/chips/
フライバイワイヤー /(n) fly-by-wire/
フライパン /(n) fry pan/frying pan/(P)/
フライフィッシング /(n) fly-fishing/
フライホイール /(n) flywheel/(P)/
フライホイイル /(n) flywheel/
フライポテト /(ik) (n) fried potato/French fries/chips/
フライヤー /(n) (1) flier/flyer/(2) fryer/frier/
フライング /(n,vs) (1) flying/(2) (abbr) false start/(3) frying/(P)/
フライングゲット /(n,vs) obtaining items such as books, CDs and DVDs before the date they officially go on sale (wasei: flying get)/
フライングスタート /(n) premature start (wasei: flying start)/false start/
フライングタックル /(n) flying tackle/
フライングディスク /(n) flying disc/
フライングバットレス /(n) flying buttress/
フライ級 [フライきゅう] /(n) fly-weight (boxer)/(P)/
フライ人 [フライじん] /(n) (sl) foreigner who fled Japan after the Mar. 11, 2011 Tohoku earthquake/
フライ返し [フライがえし] /(n) spatula/
フラウ /(n) woman (ger: Frau)/
フラウンス /(n) flounce/
フラウンホーファー線 [フラウンホーファーせん] /(n) Fraunhofer lines/
フラクショナル /(n) (comp) fractional/
フラクション /(n) fraction/
フラクション活動 [フラクションかつどう] /(n) fraction activity/
フラクタル /(n) fractal/
フラクタル圧縮 [フラクタルあっしゅく] /(n) (comp) fractal compression/
フラクタル理論 [フラクタルりろん] /(n) fractal theory/
フラグ /(n) (1) flag/(suf) (2) (sl) tag indicating a future role or status for a character in anime, games, etc (e.g. death, love, survival)/
フラグが立つ [フラグがたつ] /(exp,v5t) (comp) (sl) to have a flag set (indicates the setting of a variable that determines, for example, how a game will end)/
フラグシーケンス /(n) (comp) flag sequence/
フラグメンテーション /(n) fragmentation/
フラグメント /(n) fragment/
フラグレジスタ /(n) (comp) flag register/
フラゲ /(n,vs) (abbr) obtaining items such as books, CDs and DVDs before the date they officially go on sale (wasei: flying get)/
フラジオマイシン /(n) fradiomycin/
フラジオレット /(n) flageolet/
フラジョレット /(n) flageolet/
フラスコ /(n) (1) fresco (technique of blending wet plaster with water based paint) (ita:, spa:)/(2) flask (por: frasco)/(P)/
フラストレーション /(n) frustration/(P)/
フラダンス /(n) hula dance/
フラックス /(n) flux (substance mixed with a solid in order to lower the its melting point)/fising agent/
フラッグ /(n) flag/(P)/
フラッグキャリア /(n) flag carrier/
フラッグゲット /(n,vs) obtaining items such as books, CDs and DVDs before the date they officially go on sale (wasei: flying get)/
フラッシャー /(n) flasher (i.e. a turn signal)/
フラッシュ /(n) (1) flash/(2) flush/(P)/
フラッシュＲＯＭ [フラッシュロム] /(n) (comp) flash ROM/
フラッシュオーバー /(n) flash over (fire)/flashover/
フラッシュガン /(n) flashgun/
フラッシュニュース /(n) news flash (wasei: flash news)/
フラッシュバック /(n) flashback/
フラッシュバルブ /(n) (1) flashbulb/(2) flush valve/
フラッシュメモリ /(n) (comp) flash memory/
フラッシュメモリー /(n) flash memory/
フラッシュライト /(n) flashlight/torch/
フラッシュランプ /(n) flashlamp/
フラッシング /(n) (comp) flashing/
フラッター /(n) flutter (sound)/
フラッディング /(n) (comp) flooding/
フラット /(adj-na,n) flat/
フラットアドレス空間 [フラットアドレスくうかん] /(n) (comp) flat address space/
フラットカラー /(n) flat collar/
フラットケーブル /(n) (comp) flat cable/
フラットシェーディング /(n) (comp) flat shading/
フラットシューズ /(n) flat shoes/
フラットディスプレイ /(n) (comp) flat (screen) display/
フラットパネル /(n) (comp) flat panel (monitor, e.g.)/
フラットパネルディスプレイ /(n) (comp) flat panel display/
フラットパネルモニター /(n) (comp) flat panel monitor/
フラットベットスキャナ /(n) (comp) flatbed scanner/
フラットベッド /(adj-f) flatbed (plotter, scanner, truck, etc.)/
フラットベッドスキャナ /(n) (comp) flatbed scanner/
フラットベッド式プロッタ [フラットベッドしきプロッタ] /(n) (comp) flatbed plotter/
フラットリスト /(n) (comp) flat list/
フラットレース /(n) flat race/
フラットロー /(n) small truck (wasei: flat low)/
フラット制約集号 [フラットせいやくしゅうごう] /(n) (comp) flat constraint set/
フラッド・ライト /(n) floodlight/
フラッドライト /(n) floodlight/
フラッパー /(n) flapper/
フラップ /(n) flap/(P)/
フラップポケット /(n) flap pocket/
フラッペ /(n) frappe (fre:)/
フラノ /(n) flannel/
フラビウイルス /(n) flavivirus/
フラビン /(n) flavin/
フラビン酵素 [フラビンこうそ] /(n) flavin enzyme/flavoenzyme/
フラフープ /(n) hula hoop/Hula-Hoop/
フラフラ /(adj-na,adv-to,vs,adj-no) (on-mim) unsteady on one's feet/stagger/reel/totter/dizzy/
フラボノイド /(n) flavonoid/
フラボン /(n) flavone/
フラボ酵素 [フラボこうそ] /(n) flavoenzyme/
フラマグ /(n) (abbr) flywheel magnet/
フラマン /(n,adj-no) Fleming (fre: Flamand)/Flemish/
フラマン語 [フラマンご] /(n) Flemish (language)/
フラマン人 [フラマンじん] /(n) a Fleming/Flemish person/
フラミンゴ /(n) flamingo/
フラメンコ /(n) flamenco/(P)/
フラメンコギター /(n) flamenco guitar/
フラワー /(n) flower/
フラワー・デザイン /(n) floral design (wasei: flower design)/floral decoration/
フラワーアレンジメント /(n) flower arrangement/(P)/
フラワーティー /(n) flower tea/
フラワーデザイン /(n) floral design (wasei: flower design)/floral decoration/
フラワーポット /(n) flowerpot/
フラン /(n) franc (fre:)/(P)/
フランカー /(n) flanker (in rugby)/
フランキスカ /(n) francisca/francesca/type of throwing axe/
フランク /(adj-na,n) frank/(P)/
フランクフルター /(n) frankfurter/
フランクフルト /(n) Frankfurt/(P)/
フランクフルトソーセージ /(n) frankfurter/
フランクフルト学派 [フランクフルトがくは] /(n) Frankfurt School (school of philosophy in the 1920s)/
フランクフルト国民議会 [フランクフルトこくみんぎかい] /(n) Frankfurt Parliament/
フラングレ /(n) Franglais (i.e. English words in French)/
フランコフォニー /(n) francophony (fre:)/francophonie/
フランシウム /(n) francium (Fr)/
フランシスカ /(n) francisca/francesca/type of throwing axe/
フランシスコ修道会 [フランシスコしゅうどうかい] /(n) Order of Friars Minor/Fransiscans/
フランジ /(n) flange/
フランジ継ぎ手 [フランジつぎて] /(n) flange fitting/
フランジ継手 [フランジつぎて] /(n) flange fitting/
フランス /(n,adj-no) (uk) France/
フランスギク /(n) (uk) oxeye daisy (Leucanthemum vulgare)/marguerite/
フランステレコム /(n) (comp) France Telecom/
フランスデモ /(n) large street demonstration (wasei: France demo)/
フランスパン /(n) French bread (wasei: France pan)/(P)/
フランス映画 [フランスえいが] /(n) French film/French movie/
フランス外人部隊 [フランスがいじんぶたい] /(n) French Foreign Legion/
フランス革命 [フランスかくめい] /(n) French Revolution/
フランス菊 [フランスぎく] /(n) (uk) oxeye daisy (Leucanthemum vulgare)/marguerite/
フランス共和国 [フランスきょうわこく] /(n) French Republic/Republique francaise/
フランス軍 [フランスぐん] /(n) French military/
フランス語 [フランスご] /(n) French (language)/(P)/
フランス産 [フランスさん] /(n,adj-no) French (produced)/made-in-France/
フランス刺繍 [フランスししゅう] /(n) embroidery/
フランス人 [フランスじん] /(n) Frenchman/Frenchwoman/
フランス製 [フランスせい] /(n,adj-no) French (made)/made in France/
フランス窓 [フランスまど] /(n) French window/
フランス文学 [フランスぶんがく] /(n) French literature/
フランス料理 [フランスりょうり] /(n) French food/(P)/
フランス領ギアナ [フランスりょうギアナ] /(n) French Guiana/
フランセ /(n) French (language) (fre: francais)/
フランチャイザー /(n) franchisor/franchiser/
フランチャイズ /(n) franchise/(P)/
フランチャイズチェーン /(n) franchise chain/FC/
フランドル楽派 [フランドルがくは] /(n) Flemish school (of music)/
フランドル派 [フランドルは] /(n) Flemish school (of art)/
フランネル /(n) flannel/
フランベ /(n) flambe (fre:)/
フランボワーズ /(n) raspberry (fre: framboise)/
フランポネ /(n) franponais/misuse of French in Japan (similar to Engrish)/
フランヴェルジュ /(n) flamberge/
フリー /(adj-na,n) free/(P)/
フリーＵＮＩＸ [フリーユニックス] /(n) (comp) free UNIX/
フリーアクセスフロア /(n) (comp) free access floor/
フリーウェー /(n) freeway/expressway/motorway/
フリーウェア /(n) (comp) freeware/
フリーウエー /(n) freeway/
フリーウエイト /(n) free weights (i.e. weights lined up on the side wall of a gym)/
フリーエージェント /(n) free agent/(P)/
フリーエムエル /(n) (comp) FreeML/
フリーキック /(n) free kick/(P)/
フリーク /(n) (1) freak/(2) flick/
フリークライミング /(n) free climbing/
フリーゲージ /(n) gauge changeable train (wasei: free-gauge)/
フリーゲージトレイン /(n) gauge-changing train (gage) (wasei: free gauge train)/gauge-changeable train/
フリーサイズ /(n) one size fits all (wasei: free size)/
フリーザー /(n) freezer/refrigerator/
フリージア /(n) freesia/
フリージャーナリスト /(n) freelance journalist/
フリージャズ /(n) free jazz/
フリージング /(n) freezing/
フリース /(n,adj-no) fleece/
フリースクール /(n) free school/
フリースケーティング /(n) free skating/
フリースタイル /(n) freestyle/(P)/
フリースタイルスキー /(n) freestyle skiing/
フリースロー /(n) free throw/
フリース転移 [フリースてんい] /(n) (chem) Fries rearrangement/
フリーズ /(n) (1) frieze/(n,vs) (2) freeze/(P)/
フリーズドライ /(n) freeze-dry/
フリーセックス /(n) free sex/
フリーソフト /(n) (comp) (abbr) free-software/
フリーソフトウェア /(n) (comp) free-software/
フリーソフトウェアファウンデーション /(n) (comp) Free Software Foundation Inc./FSF/
フリーソフトウエア /(n) free software/
フリーター /(n) (abbr) young people subsisting on part-time work/one whose livelihood is provided by part-time work/(P)/
フリータイム /(n) free time/
フリータックス /(n) free tax/
フリーダイアル /(n) (1) toll-free number (wasei: free dial)/(2) free dial (e.g. device or combination lock that can be set to any number)/
フリーダイビング /(n) (1) freediving/free-diving/(2) skin diving/
フリーダイヤル /(n) (1) toll-free number (wasei: free dial)/(2) free dial (e.g. device or combination lock that can be set to any number)/
フリーダム /(n) freedom/(P)/
フリートーキング /(n) free talking/
フリートーク /(n) free conversation (wasei: free talk)/
フリートレード /(n) free trade/
フリート街 [フリートがい] /(n) Fleet Street/
フリードマン /(n) Friedman/(P)/
フリーハンド /(n) free-hand/(P)/
フリーバッティング /(n) free batting/
フリーパス /(n) free pass/(P)/
フリービーエスディー /(n) (comp) FreeBSD/
フリーピストル /(n) free pistol/
フリーフォール /(n) free fall/
フリーフライト /(n) free flight/
フリーフライヤー /(n) experimental unmanned spacecraft (wasei: free flyer)/
フリーブッキング /(n) free booking/
フリーペーパー /(n) newspaper with a lot of advertisements and delivered for free of charge (wasei: free paper)/
フリーポート /(n) free port/
フリーマ /(n) (abbr) flea market/
フリーマーケット /(n) flea market/(P)/
フリーマケット /(n) flea market/
フリーメーソン /(n) Freemasonry/Freemason/
フリーメール /(n) free e-mail service (wasei: free mail)/
フリーメイソン /(n) Freemasonry/Freemason/
フリーライター /(n) freelance writer/
フリーライダー /(n) free rider/
フリーライフル /(n) free rifle/
フリーラジカル /(n) free radical/
フリーランサー /(n) free-lancer (in a profession where employment is the norm)/(P)/
フリーランス /(n,adj-no) freelance/(P)/
フリーリード /(n) free reed/
フリをする /(exp,vs-i) to pretend/
フリカッセ /(n) fricassee (fre:)/
フリクション /(n) friction/
フリクションフィード /(n) (comp) friction feed/
フリクテン /(n) phlycten/
フリゲート /(n) frigate/(P)/
フリジア語 [フリジアご] /(n) Frisian/
フリジディティー /(n) frigidity/
フリスビー /(n) Frisbee/
フリソデウオ /(n) (uk) polka-dot ribbonfish (Desmodema polystictum)/
フリチン /(n) (sl) (vulg) having the penis hang out (e.g. no trousers or pants)/
フリッカ /(n) (comp) flicker/
フリッカー /(n) flicker/(P)/
フリッカーテスト /(n) flicker test/
フリッカーフリーの /(n) (comp) flicker-free/
フリッカフリー /(n) (comp) flicker free/
フリックセット /(n) (comp) flicks set/
フリッター /(n) fritter/
フリッパー /(n) (1) (seal, walrus) flipper/(2) swimfin, (diving) fin, (diving) flipper/(3) (pinball) flipper/
フリップ /(n) flip/
フリップフロップ /(n) (comp) flip flop/bistable (trigger) circuit/(P)/
フリップフロップ回路 [フリップフロップかいろ] /(n) (comp) flip-flop circuit/
フリノロジー /(n) phrenology/
フリホーレス /(n) frijoles (spa:)/
フリホレス /(n) frijoles (spa:)/
フリマ /(n) (abbr) flea market/
フリューゲル /(n) wing (ger: Flugel)/
フリューゲルホーン /(n) flugelhorn (ger: Flugelhorn)/fluegelhorn/
フリューゲルホルン /(n) flugelhorn (ger: Flugelhorn)/fluegelhorn/
フリュート /(n) flute/
フリュートアベック /(n) flute a bec/recorder/
フリル /(n) frill/
フリルド・シャーク /(n) frilled shark (Chlamydoselachus anguineus)/
フリルドシャーク /(n) frilled shark (Chlamydoselachus anguineus)/
フリンジ /(n) fringe/(P)/
フリンジベネフィット /(n) fringe benefit/
フリント /(n) flint/
フリントガラス /(n) flint glass/
フリント硝子 [フリントがらす] /(n) flint glass/
フル /(adj-na,n) full/(P)/
フル・スクリーン /(n) (1) (comp) full screen (display on computer)/(2) full screen (video release of widescreen movie resized for 4:3 image display)/
フルーク /(n) (1) fluke/
フルーツ /(n) fruit/(P)/
フルーツカクテル /(n) fruit cocktail/
フルーツケーキ /(n) fruitcake/
フルーツサラダ /(n) fruit salad/
フルーツジュース /(n) fruit juice/
フルーツゼリー /(n) fruit jelly/
フルーツソース /(n) fruit sauce/
フルーツドリンク /(n) mixed juice drink (may contain non-fruit ingredients such as milk or yogurt) (from fruit drink)/
フルーツドロップ /(n) fruit drops/fruit drop/fruit flavored bonbons/
フルーツパーラー /(n) teahouse that sells fruit (or serves fruitcake, etc.) (wasei: fruit parlor)/
フルーツビネガー /(n) fruit vinegar/
フルーツポンチ /(n) fruit punch/
フルーティ /(adj-na) fruity/
フルーティー /(adj-na) fruity/
フルーティスト /(n) flutist/flautist/
フルート /(n) flute/(P)/
フルード /(n) fluid/
フルーレ /(n) foil (fencing) (fre: fleuret)/
フルインストール /(n) full install(ation)/
フルインターチェンジ /(n) full interchange (an interchange that has exits and entrances in both directions)/
フルオロカーボン /(n) fluorocarbon/
フルカウント /(n) full count (baseball, boxing)/
フルカラー /(n) full colour (color)/
フルカラープリンター /(n) full-color printer/
フルクトース /(n) fructose/
フルグライト /(n) fulgurite/
フルコース /(n) complete meal (wasei: full course)/
フルコーラス /(n) whole song (wasei: full chorus)/complete music/
フルコスト原則 [フルコストげんそく] /(n) full-cost principle/
フルコンプ /(n,vs) (abbr) fully complete (e.g. a collection) (wasei: full comp)/fully completing/
フルサイズ /(n) (comp) full size (computer, e.g.)/
フルショット /(n) full shot/
フルジャストロー /(exp) full-just-low (name of a Toyota truck)/
フルスイング /(n,vs) full swing/
フルスカート /(n) full skirt/
フルスクリーン /(n) (1) (comp) full screen (display on computer)/(2) full screen (video release of widescreen movie resized for 4:3 image display)/
フルスクリーンエディタ /(n) (comp) full-screen editor/
フルスコア /(n) full score/
フルストップ /(n) full stop/
フルスピード /(n) full speed/
フルスロットル /(n) full throttle/
フルセット /(n) full set/
フルタイマー /(n) full-timer/
フルタイム /(n) full time/
フルタイム従業員 [フルタイムじゅうぎょういん] /(n) full-time employee/
フルタワー型 [フルタワーがた] /(n) (comp) full-tower-style/
フルタワー型ＰＣ [フルタワーがたピーシー] /(n) (comp) full-tower-style PC/
フルタワー型コンピュータ [フルタワーがたコンピュータ] /(n) (comp) full-tower-style computer/
フルダンプ /(n) (comp) full dump/
フルチン /(n) (sl) (vulg) full exposure of the penis (e.g. no trousers or pants)/
フルテキストインデックス /(n) (comp) full-text index/
フルテキスト検索 [フルテキストけんさく] /(n) (comp) full-text search/
フルデュプレックス /(n) (comp) full-duplex/
フルニトラゼパム /(n) flunitrazepam (hypnotic drug formerly marketed as Rohypnol)/roofies (flunitrazepam used as a date-rape drug)/
フルヌード /(n) totally naked (wasei: full nude)/buck naked/
フルネーム /(n) full name/
フルネルソン /(n) full nelson/
フルハイト /(n,adj-no) (comp) full-height/
フルハウス /(n) full house (esp. in card games such as poker)/
フルバージョン /(n) (comp) full version/
フルバック /(n) fullback/
フルバックアップ /(n) (comp) full backup/
フルパス /(n) full path/
フルファッション /(adj-no) full-fashioned/
フルフェイスマスク /(n) full-face diving mask which seals the whole face from the water/
フルフットタイプ /(n) full foot type scuba fin/
フルフラール /(n) furfural/
フルベース /(n) bases loaded (baseball) (wasei: full base)/
フルページディスプレイ /(n) (comp) full-page display/
フルマカモメ /(n) (uk) northern fulmar (Fulmarus glacialis)/
フルマラソン /(n) full marathon/
フルマ鴎 [フルマかもめ] /(n) (uk) northern fulmar (Fulmarus glacialis)/
フルモーション /(n) (comp) full motion/
フルモーションビデオ /(n) (comp) full motion video/
フルレングス /(n) full-length/
フルレンジ /(n) full range/
フルンケル /(n) furuncle (ger: Furunkel)/
フル回転 [フルかいてん] /(n) full operation/
フル冗長 [フルじょうちょう] /(n) (comp) fully redundant/
フル装備 [フルそうび] /(n) fully equipped (particularly with reference to cars)/
フレー /(n) hurray/(P)/
フレーク /(n) flake/
フレージング /(n) phrasing (in music)/
フレーズ /(n) phrase/(P)/
フレーバー /(n) flavor/flavour/(P)/
フレーマ /(n) framer/
フレーミング /(n) (comp) framing/
フレーム /(n) (1) frame/(2) flame (abusive or threatening message)/(P)/
フレームアウト /(n) frame out/
フレームアップ /(n) frame-up/
フレームイン /(n) frame in/
フレームシーケンス /(n) (comp) frame sequence/
フレームバッファ /(n) (comp) frame buffer/
フレームベース /(n) (comp) frame based/
フレームリレー /(n) (comp) frame relay/
フレームリレーサービス /(n) (comp) frame relay service/
フレームレート /(n) (comp) frame rate/
フレームロック /(n,vs) (comp) framelock/
フレームワーク /(n) framework/
フレーム間タイムフィル [フレームかんタイムフィル] /(n) (comp) (obsc) interframe time fill/
フレーム形式 [フレームけいしき] /(n) (comp) frame format/
フレーム検査シーケンス [フレームけんさシーケンス] /(n) (comp) frame check sequence/
フレーム除去 [フレームじょきょ] /(n) (comp) stripping/
フレーム同期方式 [フレームどうきほうしき] /(n) (comp) frame synchronous communication/
フレーム廃棄 [フレームはいき] /(n) (comp) frame discard/
フレーメン /(n) flehmen/
フレア /(n,adj-no) flare/
フレアー /(n,adj-no) flare/(P)/
フレアースカート /(n) flare skirt/
フレア星 [フレアせい] /(n) flare star/
フレイジング /(n) phrasing/
フレイヴァー /(n) flavor/flavour/
フレオン /(n) Freon/
フレオンガス /(n) Freon gas/
フレキ /(n) (abbr) flexible cable/
フレキシビリティー /(n) flexibility/
フレキシブル /(adj-na,n) flexible/(P)/
フレキシブルアドバンストアーキテクチャシステム /(n) (comp) Flexible Advanced Systems Architecture/
フレキシブルディスク /(n) (comp) flexible disk/floppy disk/
フレキシブルディスクカートリッジ /(n) (comp) flexible disk cartridge/
フレキシブルバック /(n) flexible back/
フレキシブルマニュファクチャリングシステム /(n) flexible manufacturing system/
フレグランス /(n) fragrance/
フレコン /(n) (1) (abbr) flexible conduit/(2) flexible container/(3) flexible control/
フレコン化 [フレコンか] /(n,vs) changing something to full remote control/
フレスコ /(n) (1) fresco (technique of blending wet plaster with water based paint) (ita:, spa:)/(2) flask (por: frasco)/
フレスタ /(n) station where one meets friends (from friend and station)/
フレックス /(n) flex/(P)/
フレックスタイム /(n) flexible-hours system/flextime/
フレッシャー /(n) (1) fresher/freshman/(2) newly hired career-track company employee/
フレッシュ /(adj-na,n) (1) fresh/(2) flesh/(P)/
フレッシュマン /(n) (1) freshman/(2) newly hired career-track company employee/(P)/
フレッツＩＳＤＮ [フレッツアイエスディーエン] /(n) (comp) FLETS ISDN/
フレット /(n) fret/
フレットレス /(n) fretless/
フレミングの法則 [フレミングのほうそく] /(n) Fleming's rules (Fleming's left-hand rule & Fleming's right-hand rule)/
フレンズ /(n) friends/(P)/
フレンチ /(n) French/(P)/
フレンチインディアン戦争 [フレンチインディアンせんそう] /(n) French and Indian War (1754-1763)/
フレンチエンジェルフィッシュ /(n) French angelfish (Pomacanthus paru)/
フレンチエンゼルフィッシュ /(n) French angelfish (Pomacanthus paru)/
フレンチカナディアン /(n) French-Canadian/
フレンチカンカン /(n) French cancan/
フレンチキス /(n) French kiss/
フレンチスリーブ /(n) French sleeve/
フレンチタートル /(n) knit top with a loose turtleneck or cowl neck (wasei: French turtle)/
フレンチトースト /(n) French toast/
フレンチドレッシング /(n) French dressing/
フレンチバタフライフィッシュ /(n) French butterflyfish (Prognathodes guyanensis, was Chaetodon guyanensis)/Guyana butterflyfish/
フレンチフライ /(n) fried potato/French fries/chips/
フレンチホルン /(n) French horn/
フレンド /(n) friend/(P)/
フレンドシップ /(n) friendship/
フレンドリ /(adj-na) friendly/(P)/
フレンドリー /(adj-na) friendly/(P)/
フレンド教会 [フレンドきょうかい] /(n) Society of Friends/Quakers/
フロー /(n) flow/(P)/
フローインフル /(n) flow inflation/
フローコントロール /(n) (comp) flow control/
フローズン /(n) frozen/
フローズンフード /(n) frozen food/(P)/
フローズンヨーグルト /(n) frozen yoghurt/
フローセン /(n) Fluothane (trademarked name for halothane)/
フローターサーブ /(n) floater serve/
フローチャート /(n) (comp) flowchart/
フローティング /(n) floating/
フローティングパレット /(n) (comp) floating palette/
フローティングベスト /(n) life jacket (wasei: floating vest)/life vest/
フロート /(n) float/(P)/
フロート・ガラス /(n) float glass/
フロートガラス /(n) float glass/
フローラ /(n) flora/
フローラル /(adj-na) floral/
フローリスト /(n) florist/
フローリング /(n) wooden floor (from flooring)/(P)/
フロー制御 [フローせいぎょ] /(n) flow control/
フロア /(n) (1) floor/(2) follower/(P)/
フロアー /(n) (1) floor/(2) follower/
フロアシフト /(n) floor shift/
フロアショー /(n) floor show/
フロアスタンド /(n) floor lamp (wasei: floor stand)/
フロアダクト /(n) floor duct/
フロアディレクター /(n) floor director/FD/
フロアノード /(n) (comp) floor node/
フロアプライス /(n) floor price/
フロアプラン /(n) floor-plan/
フロアマネージャー /(n) floor manager/
フロアリミット /(n) floor limit/
フロアリング /(n) flooring/
フロアリングブロック /(n) flooring block/
フロアレディー /(n) bar hostess (wasei: floor lady)/
フロイライン /(n) miss (ger: Fraeulein)/
フロギストン /(n) phlogiston/
フロギストン説 [フロギストンせつ] /(n) phlogiston theory/
フロスト /(n) frost/(P)/
フロセミド /(n) furosemide (diuretic)/
フロック /(n) (1) fluke/(2) frock/(3) flock/(P)/
フロックコート /(n) frock coat/
フロックス /(n) phlox (lat:)/
フロッグ /(n) frog/
フロッグマン /(n) frogman/
フロッタージュ /(n) frottage (art technique) (fre:)/
フロッピ /(n) (1) (comp) (abbr) floppy (disk)/(adj-na) (2) (obsc) floppy/
フロッピー /(n) (1) (comp) (abbr) floppy (disk)/(adj-na) (2) (obsc) floppy/(P)/
フロッピー・ディスク /(n) (comp) floppy disk/flexible disk/
フロッピーディスク /(n) (comp) floppy disk/flexible disk/(P)/
フロッピーディスクコントローラ /(n) (comp) floppy disk controller/FDC/
フロッピーディスクドライブ /(n) (comp) floppy disk drive/FDD/
フロッピードライブ /(n) (comp) floppy drive/
フロッピィ /(n) (1) (comp) (abbr) floppy (disk)/(adj-na) (2) (obsc) floppy/
フロップス /(n) (comp) FLOPS/
フロプティカルディスク /(n) (comp) floptical disk/
フロマージュ /(n) cheese (fre: fromage)/
フロラ /(n) flora/
フロラシオン /(exp) floral style (wasei: floral + -ation)/
フロリーゲン /(n) florigen/
フロリゲン /(n) florigen/
フロリスト /(n) florist/
フロリダ /(n,adj-no) Florida/(P)/
フロリダ・バス /(n) Florida black bass (Micropterus salmoides)/
フロリダバス /(n) Florida black bass (Micropterus salmoides)/
フロリング /(n) flooring/
フロン /(n) (abbr) fluorocarbon/Freon/chlorofluorohydrocarbon/CFC/(P)/
フロンガス /(n) Freon gas/chlorofluorocarbon/CFC/(P)/
フロンティア /(n) frontier/(P)/
フロンティアスピリット /(n) frontier spirit/
フロンティア電子理論 [フロンティアでんしりろん] /(n) frontier molecular orbital theory/
フロント /(n) (1) front/(2) reception (hotel, etc.)/front desk/(P)/
フロントエンド /(n) (comp) front-end (processor)/FEP/
フロントエンドコンピュータ /(n) (comp) front-end computer/
フロントエンドプロセッサ /(n) (comp) front-end processor/FEP/
フロントエンドプロセッサー /(n) (comp) front-end processor/FEP/
フロントエンド処理 [フロントエンドしょり] /(n) (comp) front-end processing/
フロントエンド通信プロセッサ [フロントエンドつうしんプロセッサ] /(n) (comp) front-end communications processor/
フロントオフェス /(n) front office/
フロントガラス /(n) windscreen (wasei: front glass)/windshield/
フロントデスク /(n) registration desk (from front desk)/
フロントドライブ /(n) front wheel drive/
フロントバッファ /(n) (comp) front buffer/
フロントページ /(n) front page/
フロントロー /(n) front row/
フロント企業 [フロントきぎょう] /(n) front company (for an organized crime operation)/
フロンドの乱 [フロンドのらん] /(n) Fronde/series of French civil wars (1648-1653)/
フワイ /(n) (comp) for your information/FYI/
フワフワ /(adj-na,adv,vs,adj-no) (on-mim) light/airy/fluffy/(P)/
フンコロガシ /(n) (uk) (col) dung beetle/tumblebug/
フント /(n) (obs) funt (Russian pound) (rus:)/
フンボルトペンギン /(n) Humboldt penguin (Spheniscus humboldti)/
フンムス /(n) hummus (chickpea-based paste)/hommus/humus/humous/houmous/
フンワリ /(adv-to,adv) (on-mim) gently/airily/fluffily/
フン族 [フンぞく] /(n) the Huns/
ブーア人 [ブーアじん] /(n) Boer/
ブーア戦争 [ブーアせんそう] /(n) (second) Boer War (1899-1902)/
ブーイング /(n,vs) booing/(P)/
ブーイングの手紙 [ブーイングのてがみ] /(exp) letter of protest/
ブーケ /(n) bouquet (fre:)/(P)/
ブーケガルニ /(n) bouquet garni/
ブーケガルニー /(n) bouquet garni/
ブーゲンビリア /(n) bougainvillea (lat:)/
ブーショッファン /(n) boue chauffante (self-heating mud-pack for cosmetic purposes) (fre:)/
ブース /(n) booth/(P)/
ブースタ /(n) booster/
ブースター /(n) booster/
ブースター局 [ブースターきょく] /(n) booster station/
ブータブルＣＤ [ブータブルシーディー] /(n) (comp) bootable CDROM/
ブータブルＣＤＲＯＭ [ブータブルシーディーロム] /(n) (comp) bootable CD/bootable CDROM/
ブータン /(n) Bhutan/
ブーッショファン /(n) boue chauffante (self-heating mud-pack for cosmetic purposes) (fre:)/
ブーツ /(n) boots/(P)/
ブート /(n,vs) (1) boot/(2) (comp) bootload/bootstrap/
ブートストラップ /(n,vs) (comp) bootstrap/
ブートストラッププログラム /(n) (comp) bootstrap program/
ブートセクタ /(n) (comp) boot sector/
ブートセクター /(n) (comp) boot sector/
ブートディスク /(n) (comp) boot disk/
ブートドライブ /(n) (comp) boot drive/
ブートピー /(n) (comp) BOOTP/
ブートファイル /(n) (comp) boot file/
ブートプログラム /(n) (comp) boot(strap) program/
ブートレグ /(n) bootleg/
ブートレコード /(n) (comp) boot record/BR/
ブート可能ディスケット [ブートかのうディスケット] /(n) (comp) bootable diskette/
ブート時に [ブートときに] /(n) (comp) at boot time/
ブート不可能ディスケット [ブートふかのうディスケット] /(n) (comp) nonbootable diskette/
ブードゥー /(n) (comp) VooDoo/
ブードゥー教 [ブードゥーきょう] /(n) voodooism/
ブービー /(n) (abbr) booby prize/
ブーブー /(adv) (1) (on-mim) bugling sound/honking/oinking/(2) (on-mim) grumbling/complaining/(n) (3) (chn) car/automobile/
ブーム /(n) boom/(P)/
ブームスラング /(n) boomslang (species of venomous snake, Dispholidus typus)/
ブーメラン /(n) boomerang/(P)/
ブーメラン効果 [ブーメランこうか] /(n) boomerang effect/
ブーリアン /(n) boolean/
ブーリアン関数 [ブーリアンかんすう] /(n) boolean function/
ブール /(n) (1) boule (round loaf of white bread) (fre:)/(2) Boer/(P)/
ブールギニョン /(adj-f) Bourguignon (i.e. from Burgundy)/
ブールバード /(n) boulevard (fre:)/
ブールバール /(n) boulevard (fre:)/
ブールヴァール /(n) boulevard (fre:)/
ブール演算 [ブールえんざん] /(n) (comp) Boolean operation/
ブール演算子 [ブールえんざんし] /(n) (comp) Boolean operator/
ブール演算表 [ブールえんざんひょう] /(n) (comp) Boolean operation table/
ブール関数 [ブールかんすう] /(n) (comp) Boolean function/
ブール式 [ブールしき] /(n) (comp) boolean form/
ブール代数 [ブールだいすう] /(n) Boolean algebra/
ブール値 [ブールち] /(n) (comp) boolean value/
ブーレ /(n) bourree (dance) (fre:)/
ブーン /(adv-to,adv) (1) whirr/hum/buzz/(2) whoosh/woosh/whiz/
ブアン液 [ブアンえき] /(n) Bouin's fluid/
ブアン固定 [ブアンこてい] /(n) Bouin fixation/
ブアン固定液 [ブアンこていえき] /(n) Bouin's solution/Bouin's fluid/Bouin's fixative/
ブイ /(n) buoy/(P)/
ブイアール /(n) (comp) VR/
ブイアールエムエル /(n) (comp) VRML/
ブイアイ /(n) (comp) VI/
ブイアイエム /(n) (comp) VIM/
ブイアイピー /(n) very important person/VIP/
ブイエフシー /(n) (comp) V.FC/
ブイエフダブリュー /(n) (comp) VFW/
ブイエム /(n) (comp) VM/
ブイエムエス /(n) (comp) VMS/
ブイエルエスアイ /(n) (comp) VLSI/
ブイエルエム /(n) (comp) VLM/
ブイエルバス /(n) (comp) VL-bus/
ブイオーディー /(n) (comp) VOD/
ブイサンジュー /(n) (comp) V30/
ブイサンジューヨン /(n) (comp) V.34/
ブイシーシーアイ /(n) (comp) VCCI/
ブイシーピーアイ /(n) (comp) VCPI/
ブイジーエー /(n) (comp) VGA/
ブイターン /(n) V-turn/
ブイチャット /(n) (comp) V-Chat/
ブイティーヒャク /(n) (comp) VT-100/
ブイテキスト /(n) (comp) V-Text/
ブイディーティー /(n) (comp) VDT/
ブイトール /(n) vertical take-of and landing/VTOL/
ブイネック /(n) V neck/
ブイビー /(n) (comp) VB/
ブイビーエー /(n) (comp) VBA/
ブイビーエックス /(n) (comp) VBX/
ブイファスト /(n) (comp) V.fast/
ブイヤベース /(n) bouillabaisse (fre:)/
ブイヨン /(n) bouillon (fre:)/
ブイヨンジューニ /(n) (comp) V.42/
ブイヨンジューニビアイエス /(n) (comp) V.42bis/
ブイラム /(n) (comp) VRAM/
ブイロボット /(n) buoy robot/
ブウブウ /(adv) (1) (on-mim) bugling sound/honking/oinking/(2) (on-mim) grumbling/complaining/(n) (3) (chn) car/automobile/
ブカティーニ /(n) bucatini (ita:)/
ブギ /(n) boogie/
ブギー /(n) boogie/
ブギーマン /(n) bogeyman/boogeyman/bogyman/boogieman/
ブギウギ /(n) boogie-woogie/
ブギス族 [ブギスぞく] /(n) Bugis (people)/
ブサキモ /(adj-na) (sl) ugly and creepy (combination of the words busaiku and kimoi)/
ブサメン /(n) (sl) (derog) unattractive, uncouth man/
ブザー /(n) buzzer/(P)/
ブシュカン /(n) Buddha's hand/fingered citron (Citrus medica sarcodactylus)/
ブス /(n,adj-na,adj-no) (1) homely woman/plain-looking woman/
ブス専 [ブスせん] /(n) (sl) attraction to ugly people/
ブズーキ /(n) bouzouki/
ブタジエン /(n) butadiene/
ブタジエンゴム /(n) butadiene rubber/
ブタナ /(n) cat's-ear (Hypochoeris radicata)/false dandelion/
ブタノール /(n) butanol/
ブタペスト /(n) Budapest/
ブタン /(n) butane/(P)/
ブタ箱 [ブタばこ] /(n) (col) police cell/
ブダイ /(n) (uk) Japanese parrotfish (Calotomus japonicus)/
ブチアイゴ /(n) goldspotted spinefoot (Siganus punctatus, species of Western Pacific rabbitfish)/gold-spotted rabbitfish/
ブチキレ /(adj-f) livid/
ブチギレ /(adj-f) livid/
ブチサンショウウオ /(n) (uk) buchi salamander (Hynobius naevius)/
ブチルアルコール /(n) butyl alcohol/
ブチル基 [ブチルき] /(n) butyl group/
ブチレン /(n) butylene/
ブチ壊す [ブチこわす] /(v5s,vt) to destroy/to spoil/to crush/to break by striking/to wreck/
ブチ殺す [ブチころす] /(v5s) to kill by hitting/
ブチ切れ [ブチきれ] /(adj-f) livid/(P)/
ブチ切れ [ブチぎれ] /(adj-f) livid/
ブチ切れる [ブチきれる] /(v1) (col) to be enraged/to flip out/
ブチ切れる [ブチぎれる] /(v1) (col) to be enraged/to flip out/
ブッカー /(n) booker/(P)/
ブッキー /(n) bookie/
ブッキッシュ /(n) bookish/
ブッキング /(n) booking/
ブック /(n) book/(P)/
ブックエンド /(n) bookend/
ブックカバー /(n) dust jacket/book cover/
ブックキーピング /(n) bookkeeping/
ブッククラブ /(n) book club/
ブックケース /(n) bookcase/
ブックストー /(n) bookstore/
ブックストラップ /(n) book strap/
ブックディテクションシステム /(n) book detection system/
ブックバンド /(n) book-band/
ブックマーク /(n) bookmark/
ブックマート /(n) book mart/
ブックメーカー /(n) bookmaker/(P)/
ブックモビル /(n) (comp) mobile library/bookmobile (USA)/
ブックリスト /(n) (comp) booklist/bookmark file/
ブックレット /(n) booklet/(P)/
ブックレビュー /(n) book review/
ブッコミ /(n) (1) thrusting into/a put-down/(2) bottom fishing/legering/
ブッコミ釣り [ブッコミづり] /(n) bottom fishing/legering/
ブッシェル /(n) bushel/
ブッシュ /(n) bush/(P)/
ブッシュ・ドクトリン /(n) Bush Doctrine (American foreign policy guidelines allowing preemptive war, unilateral action, etc.)/
ブッシュカン /(n) Buddha's hand/fingered citron (Citrus medica sarcodactylus)/
ブッシュドクトリン /(n) Bush Doctrine (American foreign policy guidelines allowing preemptive war, unilateral action, etc.)/
ブッシュベビー /(n) bush baby/
ブッシュマン /(n) (col) bushman/
ブッシング /(n) bushing/
ブッセ /(n) bouche (fre:)/filled biscuit or bun/
ブッソウゲ /(n) (uk) Chinese hibiscus (Hibiscus rosa-sinensis)/
ブッチャー /(n) butcher/
ブッディスト /(n,adj-no) Buddhist/
ブッドレア /(n) buddleia (esp. the butterfly bush, Buddleja davidii) (lat:)/
ブッフェ /(n) buffet/
ブッブー /(int) (col) buh-boo (from sound of 'wrong' buzzer in quiz shows, used when somebody says an incorrect answer)/
ブッ放す [ブッぱなす] /(v5s) to fire a gun/to let off a gun/to loose off a shell/
ブティック /(n) shop selling fashion clothes, accessories, etc. (fre: boutique)/(P)/
ブティックホテル /(n) love hotel (wasei: boutique hotel)/
ブテン /(n) butene/
ブドウ球菌 [ブドウきゅうきん] /(n) staphylococcus/
ブドウ酒 [ブドウしゅ] /(n,adj-no) (grape) wine/
ブドウ糖 [ブドウとう] /(n) grape sugar/glucose/dextrose/
ブドウ膜 [ブドウまく] /(n,adj-no) uvea/
ブナ /(n) (uk) Japanese beech (Fagus crenata)/Siebold's beech/
ブナ /(n) Buna/brand-name synthetic rubber/
ブナ科 [ブナか] /(n) Fagaceae (plant family)/beech/
ブヒブヒ /(n) squealing (e.g. of small pigs)/oinking/
ブフナー漏斗 [ブフナーろうと] /(n) Buchner funnel/
ブブゼラ /(n) vuvuzela (South African plastic blowing horn)/
ブュー /(n) view/
ブューポイント /(n) viewpoint/
ブユ /(n) (uk) black fly (any insect of family Simuliidae)/gnat/
ブラ /(n) bra/
ブラーフミー文字 [ブラーフミーもじ] /(n) Brahmi script/
ブラーマン /(n,adj-no) (1) (uk) Brahman (priest of Hinduism, members of the highest caste) (san: brahmana)/(2) Brahmanism/priest of Brahmanism/
ブラームス /(n) Brahms/
ブラもの /(n) (abbr) (sl) brand-name product/
ブライアー /(n) brier (Erica arborea)/briar/
ブライズメイド /(n) bridesmaid/
ブライダル /(n) bridal/(P)/
ブライダルブーケ /(n) bridal bouquet/
ブライダルベール /(n) bridal veil/
ブライダルマーケット /(n) bridal market/
ブライダル産業 [ブライダルさんぎょう] /(n) wedding industry/
ブライトネス /(n) brightness/
ブライト運動 [ブライトうんどう] /(n) Bright's movement (movement comprised of naturalists, atheists, agnostics, etc.)/
ブライト病 [ブライトびょう] /(n) (obs) (obsc) Bright's disease (i.e. chronic nephritis)/
ブライド /(n) bride/
ブライヤー /(n) brier (Erica arborea)/briar/
ブラインシュリンプ /(n) brine shrimp (Artemia salina)/
ブラインド /(n) blind/(P)/
ブラインドサイド /(n) blind side/
ブラインドタッチ /(n,vs) touch typing (wasei: blind touch)/
ブラインドテスト /(n) blind test/
ブラインドデート /(n) blind date/
ブラインド入力 [ブラインドにゅうりょく] /(n) (comp) blind input/
ブラウザ /(n) (comp) (web) browser/
ブラウザー /(n) (comp) (web) browser/
ブラウザクラッシャー /(n) (comp) browser crasher/browser crusher/
ブラウザヘルパーオブジェクト /(n) (comp) browser helper object/
ブラウザ戦争 [ブラウザせんそう] /(n) (comp) browser war/
ブラウジング /(n) browsing/
ブラウジングツール /(n) browsing tool/
ブラウス /(n) blouse/(P)/
ブラウズ /(n,vs) browse/browsing/
ブラウン /(n) brown/
ブラウンクロミス /(n) brown chromis (Chromis multilineata)/yellow-edge chromis/
ブラウンサージャンフィッシュ /(n) brown surgeonfish (Acanthurus nigrofuscus, species of Indo-Pacific tang)/
ブラウンサージョンフィッシュ /(n) brown surgeonfish (Acanthurus nigrofuscus, species of Indo-Pacific tang)/
ブラウンシュガー /(n) brown sugar/
ブラウンスイス /(n) Brown Swiss (variety of dairy cattle)/
ブラウンスポッティドスパインフィッシュ /(n) brown-spotted spinefoot (Siganus stellatus, species of rabbitfish from the Indian Ocean)/starspotted spinefoot/tellate rabbitfish/
ブラウンソース /(n) brown sauce/
ブラウントラウト /(n) brown trout (Salmo trutta, esp. Salmo trutta fario)/
ブラウンプラー /(n) brown puller (Chromis hypsilepis)/one-spot chromis/
ブラウン運動 [ブラウンうんどう] /(n) Brownian motion/
ブラウン管 [ブラウンかん] /(n) cathode-ray tube/CRT/Braun tube/(P)/
ブラカップ /(n) bra cup/
ブラキオサウルス /(n) brachiosaurus/brachiosaur/
ブラクラ /(n) (comp) (abbr) browser crasher/
ブラケット /(n) bracket/
ブラケットクリープ /(n) bracket creep/
ブラコン /(n) (abbr) brother complex/unnatural attachment to one's brother/
ブラザー /(n) brother (usu. in names of films, companies, etc.)/
ブラザーズ /(n) brothers (usu. in company, etc. names)/
ブラシ /(n) (1) brush/(adj-f) (2) brushy/(P)/
ブラシの木 [ブラシのき] /(n) (uk) gray bottlebrush (Callistemon speciosus)/grey bottlebrush/
ブラシノキ /(n) (uk) gray bottlebrush (Callistemon speciosus)/grey bottlebrush/
ブラジャー /(n) bra/brassiere/(P)/
ブラジリアンロングスナウトバタフライフィッシュ /(n) Brazilian butterflyfish (Prognathodes brasiliensis)/
ブラジリアン柔術 [ブラジリアンじゅうじゅつ] /(n) Brazilian jiu-jitsu/
ブラジルナッツ /(n) Brazil nut (Bertholletia excelsa)/
ブラジルヒラガシラ /(n) Brazilian sharpnose shark (Rhizoprionodon lalandii, species of requiem shark found in the western Atlantic Ocean)/
ブラス /(n) brass/
ブラスバンド /(n) brass band/(P)/
ブラスリー /(n) brasserie (fre:)/
ブラスロック /(n) brass rock/
ブラチスラバ /(n) Bratislava/(P)/
ブラック /(n) black/(P)/
ブラック・アロワナ /(n) black arowana (Osteoglossum ferreirai)/
ブラック・ツリー・モニター /(n) black tree monitor (Varanus beccarii, species of monitor lizard from the Aru Islands of eastern Indonesia)/Beccari's monitor/
ブラック・フォックスフェイス /(n) black foxface (Siganus niger, species of rabbitfish endemic to Tonga)/
ブラックアイ・ラビットフィッシュ /(n) blackeye rabbitfish (Siganus puelloides, species of rabbitfish found in the Maldives and the Similan Islands)/
ブラックアイラビットフィッシュ /(n) blackeye rabbitfish (Siganus puelloides, species of rabbitfish found in the Maldives and the Similan Islands)/
ブラックアウト /(n) blackout/
ブラックアフリカ /(n) Black Africa/
ブラックアロワナ /(n) black arowana (Osteoglossum ferreirai)/
ブラックゲットー /(n) black ghetto/
ブラックコーヒー /(n) black coffee/
ブラックコメディー /(n) black comedy/
ブラックコンテンポラリー /(n) black contemporary/
ブラックサージャンフィッシュ /(n) black surgeonfish (Acanthurus gahhm, species of tang endemic to the Red Sea and the Gulf of Aden in the western Indian Ocean)/
ブラックサージョンフィッシュ /(n) black surgeonfish (Acanthurus gahhm, species of tang endemic to the Red Sea and the Gulf of Aden in the western Indian Ocean)/
ブラックシャフト /(n) black shaft/
ブラックジャーナリズム /(n) black journalism/
ブラックジャック /(n) blackjack/
ブラックジョーク /(n) black joke/black comedy/morbid humor/
ブラックスピリチュアルズ /(n) black spirituals/
ブラックスプロイテーション /(n) blaxploitation/
ブラックスポッティドバタフライフィッシュ /(n) black-spotted butterflyfish (Chaetodon nigropunctatus)/mystery butterflyfish/
ブラックスポットサージャンフィッシュ /(n) black-spot surgeonfish (Acanthurus bariene, species of tang found from Mozambique and Maldives to the western Pacific)/roundspot surgeonfish/bariene surgeonfish/eye-spot surgeon/
ブラックスポットサージョンフィッシュ /(n) black-spot surgeonfish (Acanthurus bariene, species of tang found from Mozambique and Maldives to the western Pacific)/roundspot surgeonfish/bariene surgeonfish/eye-spot surgeon/
ブラックスポットホッグフィッシュ /(n) blackspot hogfish (Bodianus opercularis)/candystripe hogfish/
ブラックスミス /(n) blacksmith (Chromis punctipinnis)/blacksmith chromis/
ブラックタイ /(n) black tie/
ブラックタイガー /(n) black tiger prawn (Penaeus monodon)/giant tiger prawn/
ブラックチークバタフライフィッシュ /(n) bluecheek butterflyfish (Chaetodon semilarvatus)/addis butterflyfish/golden butterflyfish/redlined butterflyfish/
ブラックチェンバー /(n) black chamber/
ブラックツリーモニター /(n) black tree monitor (Varanus beccarii, species of monitor lizard from the Aru Islands of eastern Indonesia)/Beccari's monitor/
ブラックテールクロミス /(n) blacktail chromis (Chromis nigrura)/
ブラックテールラス /(n) blacktail wrasse (Thalassoma ballieui)/Ballieu's wrasse/
ブラックティー /(n) black tea/
ブラックティップ・リーフ・シャーク /(n) blacktip reef shark (Carcharhinus melanopterus, species of requiem shark mostly found in the Indo-Pacific)/
ブラックティップリーフシャーク /(n) blacktip reef shark (Carcharhinus melanopterus, species of requiem shark mostly found in the Indo-Pacific)/
ブラックバースト /(n) (comp) black burst/
ブラックバード /(n) blackbird/
ブラックバーホッグフィッシュ /(n) blackbar hogfish (Bodianus speciosus)/
ブラックバーレッドサージャンフィッシュ /(n) black-barred surgeonfish (Acanthurus polyzona, species of tang known only from Mauritius, Reunion, Madagascar, and the Comoro Islands)/
ブラックバーレッドサージョンフィッシュ /(n) black-barred surgeonfish (Acanthurus polyzona, species of tang known only from Mauritius, Reunion, Madagascar, and the Comoro Islands)/
ブラックバーンズバタフライフィッシュ /(n) brownburnie (Chaetodon blackburnii)/Blackburn's butterflyfish/
ブラックバス /(n) black bass/
ブラックバック・バタフライフィッシュ /(n) blackback butterflyfish (Chaetodon melannotus, species found in the Indo-Pacific)/
ブラックバックバタフライフィッシュ /(n) blackback butterflyfish (Chaetodon melannotus, species found in the Indo-Pacific)/
ブラックバンディッドホッグフィッシュ /(n) black-banded hogfish (Bodianus macrourus, formerly Bodianus hirsutus)/
ブラックパワー /(n) Black Power/
ブラックパンサー /(n) Black Panther/
ブラックピラミッドバタフライフィッシュ /(n) brown-and-white butterflyfish (Hemitaurichthys zoster)/black pyramid butterflyfish/
ブラックフィンコーラルフィッシュ /(n) blackfin coralfish (Chelmon muelleri)/Muller's coralfish/Mueller's coralfish/
ブラックフォックスフェイス /(n) black foxface (Siganus niger, species of rabbitfish endemic to Tonga)/
ブラックベリー /(n) blackberry/
ブラックペッパー /(n) black pepper/
ブラックホール /(n) black hole/
ブラックボード /(n) blackboard/
ブラックボックス /(n) black box/
ブラックマーケット /(n) black market/
ブラックマウスドッグフィッシュ /(n) blackmouth catshark (Galeus melastomus, found in the Northeast Atlantic and Mediterranean)/
ブラックマジック /(n) black magic/
ブラックマネー /(n) black money/
ブラックマンデー /(n) black Monday/
ブラックマンバ /(n) black mamba (Dendroaspis polylepis)/
ブラックミュージック /(n) African-American music (wasei: black music)/
ブラックユーモア /(n) black humor/black humour/
ブラックライト /(n) black light/ultraviolet light/UV light/
ブラックリスト /(n) blacklist/
ブラッシー /(n) (1) brassie (type of golf club)/brassy/brassey/(adj-f) (2) brushy/(P)/
ブラッシュ /(n) brush/
ブラッシュアップ /(n,vs) brush up (i.e. polish up, revise)/
ブラッシュボール /(n) (abbr) brush back pitch/
ブラッシング /(n) brushing/
ブラッセル /(n) Brussels/
ブラッディーマリー /(n) Bloody Mary (cocktail of vodka and tomato juice)/
ブラッドエリート /(n) blood elite/(P)/
ブラッドオレンジ /(n) blood orange/
ブラッドストーン /(n) bloodstone/
ブラッドスポーツ /(n) horse racing (wasei: blood sport)/
ブラッドハウンド /(n) bloodhound/
ブラッドバンク /(n) blood bank/
ブラバン /(n) (abbr) brass band/
ブラピ /(n) (abbr) Brad Pitt/
ブラフマン /(n) Bhraman (in Hinduism, the ultimate reality of the universe) (san:)/Bhrama/Bhrahma/
ブラボー /(int) bravo (ita:)/(P)/
ブラマンジェ /(n) blancmange (fre: blanc-manger)/
ブランキング /(n) (comp) blanking/
ブランク /(adj-na,n) blank/(P)/
ブランクディスク /(n) (comp) blank disk/
ブランケット /(n) blanket/
ブランケットエリア /(n) blanket area/
ブランケットステッチ /(n) blanket stitch/
ブランコ /(n) (uk) swing/
ブランチ /(n) (1) branch/(2) brunch/(P)/
ブランデ /(n) brandy/
ブランデー /(n) brandy/(P)/
ブランデーグラス /(n) brandy glass/
ブランディ /(n) brandy/
ブランド /(n) (1) brand/(adj-no) (2) bland/(P)/
ブランドイメージ /(n) brand image/
ブランドウィンドウ /(n) (comp) branding pane/
ブランドロイヤリティー /(n) brand loyalty/
ブランド化 [ブランドか] /(n) branding/
ブランド商品 [ブランドしょうひん] /(n) brand items/
ブランド品 [ブランドひん] /(n) brand items/brand-name goods/
ブランド名 [ブランドめい] /(n) brand name/
ブランニュー /(adj-f) brand new/
ブランマンジェ /(n) blancmange (fre: blanc-manger)/
ブリ /(n) (uk) Japanese amberjack (species of yellowtail, Seriola quinqueradiata)/
ブリー /(n) Brie (fre:)/
ブリージング /(n) breathing/(P)/
ブリーダー /(n) breeder/
ブリーチ /(n) bleach/
ブリーチャーズ /(n) bleachers/
ブリート /(n) burrito (spa:)/
ブリーフ /(n) brief/(P)/
ブリーフィング /(n) briefing/
ブリーフケース /(n) briefcase/
ブリーフケースコンピュータ /(n) (comp) briefcase computer/
ブリオクエリー /(n) (comp) BrioQuery/
ブリオッシ /(n) brioche (fre:)/
ブリガンチン /(n) brigantine/
ブリキング /(n) (comp) blinking/
ブリザード /(n) blizzard/
ブリスケ /(n) (abbr) brisket/
ブリスケット /(n) brisket/
ブリスター /(n) blister/
ブリスターパック /(n) blister pack/
ブリスベン /(n) Brisbane/(P)/
ブリタニア /(n) Britannia/(P)/
ブリックス /(n) BRIC, BRICs (Brazil, Russia, India, China), referring especially to the fast-growing economies of these countries/
ブリックチーズ /(n) brick cheese/
ブリックパック /(n) (col) (juice) carton (wasei: brick pack)/
ブリッグ /(n) brig (ship)/
ブリッジ /(n) bridge/(P)/
ブリッジング /(n) (comp) bridging/
ブリッジ回路 [ブリッジかいろ] /(n) bridge circuit/
ブリッジ入力回路 [ブリッジにゅうりょくかいろ] /(n) (comp) bridge input circuit (e.g. in process control)/
ブリットポップ /(n) BritPop/
ブリティッシュエアウェイズ /(n) British Airways/(P)/
ブリティッシュコロンビア /(n) British Columbia/
ブリティッシュテレコム /(n) (comp) British Telecom/BT/
ブリトー /(n) burrito (spa:)/
ブリトン人 [ブリトンじん] /(n) Briton (celtic inhabitant of historical Britain)/
ブリヌイ /(n) blini (rus:)/blinis/
ブリム /(n) brim/
ブリモドキ /(n) (uk) pilot fish (Naucrates ductor)/
ブリュー /(n) blue/
ブリューパブ /(n) microbrewery (wasei: brewpub)/
ブリュッセル /(n) Brussels (fre: Bruxelles, dut: Brussel)/(P)/
ブリュワリー /(n) brewery (esp. of beer)/
ブリリアンティン /(n) brilliantine/
ブリリアント /(n) brilliant/
ブリリアントカット /(n) brilliant cut/
ブリンカー /(n) blinker(s) (e.g. on a horse)/
ブリンク /(n) (comp) blink/
ブリンツ /(n) blintz/blintze/
ブル /(n,adj-no) (1) bull/(2) (abbr) bulldog/(3) (abbr) bulldozer/(4) (abbr) bourgeois/bourgeoisie/(P)/
ブル・シャーク /(n) bull shark (Carcharhinus leucas)/
ブルー /(adj-na,n) (1) blue (colour, color)/(2) sad/down (in the dumps)/(P)/
ブルー・タン /(n) palette surgeonfish (Paracanthurus hepatus, species of Indo-Pacific tang)/palette surgeon/blue surgeonfish/blue tang/
ブルーアクシルクロミス /(n) blue-axil chromis (Chromis caudalis)/dusky puller/
ブルーアンドイエロークロミス /(n) Limbaugh's damselfish (Chromis limbaughi)/blue-and-yellow chromis/
ブルーエンジェルフィッシュ /(n) Bermuda blue angelfish (Holacanthus bermudensis)/
ブルーエンゼル /(n) blue angelfish (Holacanthus isabelita)/
ブルーカラー /(n) blue-collar worker/(P)/
ブルーギル /(n) bluegill/
ブルークロミス /(n) blue chromis (Chromis cyanea)/
ブルーグラス /(n) blueglass/
ブルーシート /(n) blue sheeting/blue tarpaulin/
ブルージーンズ /(n) blue jeans/
ブルース /(n) blues/(P)/
ブルーストッキング /(n) (obsc) bluestocking/
ブルースポッティド・スパインフト /(n) blue-spotted spinefoot (Siganus corallinus, species of Indo-West Pacific rabbitfish)/coral rabbitfish/orange spinefoot/
ブルースポッティドエンジェルフィッシュ /(n) bluespotted angelfish (Chaetodontoplus caeruleopunctatus)/
ブルースポッティドクロミス /(n) blue-spotted chromis (Chromis dasygenys)/
ブルースポッティドサージャント /(n) pearly sergeant (Abudefduf margariteus)/
ブルースポッティドスパインフト /(n) blue-spotted spinefoot (Siganus corallinus, species of Indo-West Pacific rabbitfish)/coral rabbitfish/orange spinefoot/
ブルーセッカス /(n) homosexual (wasei: blue sex)/
ブルータ /(n) (comp) brouter/
ブルータスお前もか [ブルータスおまえもか] /(exp) Et tu, Brutus?/And you too, Brutus?/
ブルータン /(n) palette surgeonfish (Paracanthurus hepatus, species of Indo-Pacific tang)/palette surgeon/blue surgeonfish/blue tang/
ブルータンサージャンフィッシュ /(n) blue tang surgeonfish (Acanthurus coeruleus, species of Atlantic tang)/
ブルータンサージョンフィッシュ /(n) blue tang surgeonfish (Acanthurus coeruleus, species of Atlantic tang)/
ブルーチーズ /(n) blue cheese/
ブルーチップ /(adj-no,n) blue-chip/
ブルーデー /(n) blue day/
ブルーデージー /(n) blue daisy/
ブルートゥース /(n) (comp) Bluetooth (variety of short-range wireless LAN)/
ブルートフォース攻撃 [ブルートフォースこうげき] /(n) (comp) brute force attack/
ブルートレーン /(n) blue train/sleeping train (from the original color of the trains) (colour)/
ブルートレイン /(n) blue train/
ブルーノート /(n) blue note/
ブルーバード /(n) bluebird/(P)/
ブルーバックス /(n) Blue Backs (series of books on the natural sciences published since 1963 by Kodansha)/
ブルーフィルム /(n) blue film/porno(graphic) film/
ブルーフェイスエンジェルフィッシュ /(n) blueface angelfish (Chaetodontoplus personifer)/Personifer angelfish/
ブルーブック /(n) blue book/
ブルーブラック /(n) blue-black/
ブループリント /(n) blueprint/
ブルーヘッド /(n) bluehead (Thalassoma bifasciatum)/bluehead wrasse/
ブルーベリー /(n) blueberry/
ブルーベル /(n) bluebell/
ブルーボーイ /(n) homosexual (wasei: blue boy)/
ブルーマー /(n) (1) long female underwear (from bloomers)/(2) shorts with elasticized cuffs (were used by women as sportswear) (elasticised)/gym shorts/
ブルーマウンテン /(n) Blue Mountain (coffee)/
ブルーマンデー /(n) blue Monday/
ブルーム /(n) broom/
ブルーラインドサージャン /(n) bluelined surgeon (Acanthurus nubilus, species of Indo-West Pacific tang)/
ブルーラインドサージャンフィッシュ /(n) bluelined surgeonfish (Acanthurus nigroris, species of Indo-Pacific tang)/
ブルーラインドサージョン /(n) bluelined surgeon (Acanthurus nubilus, species of Indo-West Pacific tang)/
ブルーラインドサージョンフィッシュ /(n) bluelined surgeonfish (Acanthurus nigroris, species of Indo-Pacific tang)/
ブルーラインドシャージャン /(n) bluelined surgeon (Acanthurus nubilus, species of Indo-West Pacific tang)/
ブルーリボン /(n) Blue Ribbon (Prize)/
ブルーリングエンジェルフィッシュ /(n) bluering angelfish (Pomacanthus annularis)/
ブルーレイ /(n) (abbr) Blu-ray Disc/BD/
ブルーレイディスク /(n) Blu-ray Disc/BD/
ブルカ /(n) burka/burqa/burkha/bourkha/
ブルカノ式噴火 [ブルカノしきふんか] /(n) Vulcanian eruption/
ブルガダ症候群 [ブルガダしょうこうぐん] /(n) Brugada syndrome (genetic condition resulting in increased risk of sudden cardiac arrest)/
ブルガリア /(n) Bulgaria/(P)/
ブルガリア語 [ブルガリアご] /(n) Bulgarian (language)/Bulgar/
ブルキナファソ /(n) Burkina Faso/
ブルグァ /(n) Bulgur (parched, crushed wheat)/
ブルグル /(n) Bulgur (parched, crushed wheat)/
ブルシャーク /(n) bull shark (Carcharhinus leucas)/
ブルシン /(n) brucine/
ブルジョア /(n,adj-f) bourgeois (fre:)/
ブルジョアジー /(n) bourgeoisie (fre:)/
ブルジョア革命 [ブルジョアかくめい] /(n) bourgeois revolution/
ブルジョア社会 [ブルジョアしゃかい] /(n) bourgeois society/
ブルジョワ /(n,adj-f) bourgeois (fre:)/(P)/
ブルジョワジー /(n) bourgeoisie (fre:)/
ブルスケッタ /(n) bruschetta (ita:)/
ブルズアイ・ピグミー・ゴビー /(n) bullseye pygmy goby (Trimma tauroculum, found in Palau)/
ブルズアイピグミーゴビー /(n) bullseye pygmy goby (Trimma tauroculum, found in Palau)/
ブルセラ /(n) (sl) used women's clothing such as bloomers and high-school sailor-suit uniforms (esp. as a source of sexual arousal)/(P)/
ブルセラショップ /(n) used women's clothing store (catering to male clientele who purchase panties, high-school uniforms, etc. for sexual arousal)/
ブルセラ病 [ブルセラびょう] /(n) brucellosis/
ブルゾン /(n) blouse (fre: blouson)/shirt gathered at the waist/(P)/
ブルック /(n) brook/
ブルックの法則 [ブルックのほうそく] /(n) (comp) Brooks's Law/
ブルテリア /(n) bull terrier/
ブルトレ /(n) (abbr) blue train/sleeping train/
ブルドーザー /(n) bulldozer/
ブルドッグ /(n) bulldog/
ブルネット /(n) brunette/(P)/
ブルブル /(adv,n,vs) (on-mim) shivering with cold or fear/shaking/trembling/
ブルペン /(n) bull pen/(P)/
ブルマ /(n) (1) long female underwear (from bloomers)/(2) shorts with elasticized cuffs (were used by women as sportswear) (elasticised)/gym shorts/
ブルマー /(n) (1) long female underwear (from bloomers)/(2) shorts with elasticized cuffs (were used by women as sportswear) (elasticised)/gym shorts/
ブルマーズ /(n) (1) long female underwear (from bloomers)/(2) shorts with elasticized cuffs (were used by women as sportswear) (elasticised)/gym shorts/
ブルワリー /(n) brewery (esp. of beer)/
ブレーカ /(n) breaker/(P)/
ブレーカー /(n) breaker/(P)/
ブレーカーが壊れる [ブレーカーがこわれる] /(exp,v1) (comp) to throw (open) a breaker/
ブレーキ /(n) brake/(P)/
ブレーキを掛ける [ブレーキをかける] /(exp,v1) to put on the brakes/to put a stop to/
ブレーキオイル /(n) brake oil/
ブレーキシュー /(n) brakeshoe/
ブレーキジャダー /(n) brake judder/
ブレーキドラム /(n) brake drum/
ブレーキフルード /(n) brake fluid/
ブレーキライト /(n) brake light/brakelight/
ブレーキ片 [ブレーキへん] /(n) brake shoe/
ブレーク /(n) (1) break (e.g. holiday, rest-period)/(2) break (e.g. ordering two boxers apart)/(3) break (to win or score well against an opponent's serve)/(4) brake/(n,vs) (5) suddenly becoming popular (from break)/(P)/
ブレークスルー /(n) breakthrough/
ブレークダウン /(n) breakdown/
ブレークダンス /(n) breakdance/
ブレークファスト /(n) breakfast/
ブレークポイント /(n) (comp) breakpoint/
ブレーク信号 [ブレークしんごう] /(n) break signal/
ブレーサー /(n) bracer/
ブレース /(n) brace/
ブレード /(n) (1) blade/(2) braid/(P)/
ブレードサーバ /(n) (comp) blade server/
ブレーブ /(n,adj-na) brave/
ブレーン /(n) brain/(P)/
ブレーンウォッシング /(n) brainwashing/
ブレーンストーミング /(n) brainstorming/
ブレーンストーム /(n) brainstorm/
ブレーントラスト /(n) brain trust/
ブレイク /(n) (1) break (e.g. holiday, rest-period)/(2) break (e.g. ordering two boxers apart)/(3) break (to win or score well against an opponent's serve)/(4) brake/(n,vs) (5) suddenly becoming popular (from break)/(P)/
ブレイクスルー /(n) breakthrough/
ブレイド /(n) (1) blade/(2) braid/
ブレイン /(n) brain/
ブレインストーム /(n) brainstorm/
ブレイヴ /(n,adj-na) brave/
ブレオマイシン /(n) bleomycin/
ブレザー /(n) blazer/(P)/
ブレザーコート /(n) blazer coat/
ブレス /(n,vs) breath/
ブレスト /(n) (1) breast/(2) (abbr) breast stroke/(3) (abbr) brainstorming/(P)/
ブレストストローク /(n) breaststroke/
ブレスレット /(n) bracelet/(P)/
ブレゼ /(n) braising (fre: braiser)/
ブレックファースト /(n) breakfast/
ブレッド /(n) bread/(P)/
ブレッドボード /(n) (comp) breadboard/
ブレンステッド酸塩基 [ブレンステッドさんえんき] /(n) Bronsted acids and bases/
ブレンダー /(n) blender/
ブレンド /(n,vs) blend/(P)/
ブレンドウイスキー /(n) blended whiskey/blended whisky/
ブロー /(n,vs) blow/(P)/
ブローカ /(n) broker/
ブローカー /(n) broker/(P)/
ブロークン /(adj-na) broken/
ブロークンイングリッシュ /(n) broken English/
ブロークンハート /(n) broken heart/
ブローシャ /(n) brochure/
ブローチ /(n) brooch/(P)/
ブローチ盤 [ブローチばん] /(n) broaching machine/
ブロード /(n) (abbr) broadcloth/(P)/
ブロードウェー /(n) Broadway/(P)/
ブロードキャスティング /(n) broadcasting/
ブロードキャスト /(n) broadcast/
ブロードキャストアドレス /(n) (comp) broadcast address/
ブロードキャストストーム /(n) (comp) broadcast storm/
ブロードクロス /(n) broadcloth/
ブロードノーズ・セブンギル・シャーク /(n) broadnose sevengill shark (Notorynchus cepedianus, species of circumglobal cow shark with 7 gill slits)/
ブロードノーズセブンギルシャーク /(n) broadnose sevengill shark (Notorynchus cepedianus, species of circumglobal cow shark with 7 gill slits)/
ブロードバンド /(n) (comp) broadband/
ブロードバンドＬＡＮ [ブロードバンドラン] /(n) (comp) broadband LAN/
ブロードバンドルータ /(n) (comp) broadband router/
ブローニー /(n) Brownie/
ブローニング /(n) Browning/
ブローホール /(n) blowhole (cavity in a metal casing)/
ブローランプ /(n) blowlamp/
ブロイラー /(n) broiler/(P)/
ブロガー /(n) blogger (writer of a weblog)/
ブログ /(n) blog/weblog/
ブログる /(v5r) (sl) to blog/
ブログコメント /(n) blog comment/
ブロケード /(n) brocade/
ブロコリ /(n) broccoli/
ブロゴスフィア /(n) blogosphere (the world of blogs and bloggers)/
ブロス /(n) broth/
ブロッカー /(n) blocker/(P)/
ブロッキング /(n) blocking/
ブロッキング系数 [ブロッキングけいすう] /(n) (comp) blocking factor/
ブロック /(vs) (1) to block (e.g. the way)/(n) (2) block (lump of something (usu. square), area of town, etc.)/(3) bloc/(n,vs) (4) (comp) block/physical record (e.g. on magnetic tape)/(P)/
ブロックゲージ /(n) block gauge/
ブロックサイズ /(n) (comp) block size/
ブロックサイン /(n) blocking signal/
ブロックソフト /(n) (comp) blocking software/
ブロックチェック /(n) (comp) block check/
ブロックチェック文字 [ブロックチェックもじ] /(n) (comp) block check character/BCC/
ブロックデバイス /(n) (comp) block device/
ブロックトレーディング /(n) block trading/
ブロックバスター /(n) blockbuster/
ブロックバッファリング /(n) (comp) block buffering/
ブロックブッキング /(n) block booking/
ブロックプラン /(n) block plan/
ブロックポイント /(n) block point/
ブロックレベルバックアップ /(n) (comp) block level backup/
ブロック化 [ブロックか] /(n) (comp) blocking/
ブロック化因数 [ブロックかいんすう] /(n) (comp) blocking factor/
ブロック間ギャップ [ブロックかんギャップ] /(n) (comp) interblock gap/
ブロック間隔 [ブロックかんかく] /(n) (comp) interblock gap/IBG/
ブロック型特殊ファイル [ブロックがたとくしゅファイル] /(n) (comp) block special file/
ブロック建築 [ブロックけんちく] /(n) concrete-block building/
ブロック検査 [ブロックけんさ] /(n) (comp) block check/
ブロック図 [ブロックず] /(n) block diagram/
ブロック操作 [ブロックそうさ] /(n) block operation/
ブロック長 [ブロックちょう] /(n) (comp) block size/block length/
ブロック転送 [ブロックてんそう] /(n) (comp) block transfer/
ブロック番号 [ブロックばんごう] /(n) block number/
ブロック符号 [ブロックふごう] /(n) (comp) block code/
ブロック塀 [ブロックべい] /(n) concrete-block wall/
ブロック連鎖 [ブロックれんさ] /(n) (comp) block chaining/
ブロッケン /(n) Brocken/
ブロッケン現象 [ブロッケンげんしょう] /(n) Brocken spectre/Brocken bow/
ブロッコリ /(n) broccoli/
ブロッコリー /(n) broccoli/
ブロッサム /(n) blossom/
ブロッス /(n) broth/
ブロッチド・フォックスフェイス /(n) blotched foxface (Siganus unimaculatus, species of Western Pacific rabbitfish)/
ブロッチドフォックスフェイス /(n) blotched foxface (Siganus unimaculatus, species of Western Pacific rabbitfish)/
ブロッティングペーパー /(n) blotting-paper/
ブロッブ /(n) blob/
ブロトポン /(n) Brotopon (Japanese brand of haloperidol)/
ブロマイド /(n) (1) bromide/(2) publicity photograph of a movie star, entertainer, etc./(P)/
ブロマイド紙 [ブロマイドし] /(n) bromide paper/
ブロム /(n) bromine (ger: Brom)/
ブロメライン /(n) bromelain/
ブロワー /(n) blower/
ブロンズ /(n,adj-no) bronze/(P)/
ブロンズ色 [ブロンズいろ] /(n,adj-no) bronze (coloured)/
ブロントザウルス /(n) Brontosaurus (lat:)/Apatosaurus/
ブロンド /(n,adj-no) blonde/
ブンゴウメ /(n) Bungo Japanese apricot/Prunus mume var. bungo/
ブンゼンバーナー /(n) Bunsen burner/
ブンド /(n) bond (ger: Bund)/(P)/
ブン屋 [ブンや] /(n) (abbr) newspaper reporter/
ブ男 [ブおとこ] /(n) (1) (derog) ugly man/
プーア /(n) poor/
プーアル茶 [プーアルちゃ] /(n) Puer tea/
プータロー /(n) (1) (col) vagabond/floater/vagrant/(2) day labourer, esp. on the docks/(P)/
プーチン /(n) Putin (Russian president)/
プートンファ /(n) putonghua (chi:)/standard (Mandarin) Chinese/
プード /(n) (obs) pood (Russian unit of mass) (rus: pud)/
プードル /(n) (1) powder (fre: poudre)/(2) poodle/
プーマ /(n) puma/
プーリー /(n) (1) pulley/(2) puli/
プール /(n) (1) (swimming) pool/(n,vs) (2) pool (billiards)/(3) pool (together)/(P)/
プールサイド /(n) poolside/
プールバー /(n) pool bar/
プール開き [プールびらき] /(n) opening of a pool (e.g. for the summer season)/
プール制 [プールせい] /(n) pool system/
プール熱 [プールねつ] /(n) pharyngoconjunctival fever/
プー太郎 [プーたろう] /(n) (1) (col) vagabond/floater/vagrant/(2) day labourer, esp. on the docks/
プア /(n) poor/
プアー /(n) poor/
プアーホワイト /(n) poor white/
プアルック /(n) poor look/
プエブロ /(n) Pueblo (spa:)/
プエブロインディアン /(n) Pueblo Indian/
プエルトリコ /(n) Puerto Rico/
プカプカ /(adv) (on-mim) sound of someone smoking/sound of something floating/
プクいち /(n) (sl) one hit/one drink/one toke/
プクイチ /(n) (sl) one hit/one drink/one toke/
プシケ /(n) (1) psyche (gre:)/(2) Psyche/
プシバルスキー馬 [プシバルスキーうま] /(n) Przewalski's horse/
プシュケー /(n) (1) psyche (gre:)/(2) Psyche/
プシロフィトン /(n) psilophyte (in palaeobotany) (lat: psilophyton)/
プソイドエフェドリン /(n) pseudoephidrene/
プチ /(pref) small (fre: petit)/(P)/
プチ・プライス /(n) inexpensive fashion accessories (e.g. clothes, makeup, etc.) (word used by young women) (wasei: petite, wasei: price)/
プチっ /(adv-to) (1) with a snap/with a click (beep)/(2) shortly/briefly/small/
プチアリン /(n) ptyalin/
プチギレ /(n,vs) (sl) getting irked/looking a little ticked off/
プチッ /(adv-to) (1) with a snap/with a click (beep)/(2) shortly/briefly/small/
プチトマト /(n) cherry tomato/
プチフール /(n) petit four (fre:)/
プチブル /(n) (abbr) petit bourgeois (fre:)/
プチブルジョア /(n) petit bourgeois (fre:)/
プチプチ /(adv-to,adv,vs) (1) (on-mim) sound of bubbles (or other small objects) being popped/(2) (on-mim) lumpy sensation (e.g. of food)/(n) (3) little bits/small grains/(4) bubble wrap (trademark of Kawakami Sangyo Co.)/
プチプチを潰す [プチプチをつぶす] /(exp,v5s) to pop bubble-wrap (e.g. for fun or as a stress relief technique)/
プチプチ潰し [プチプチつぶし] /(n,vs) popping bubble-wrap (e.g. for fun or as a stress relief technique)/
プチプラ /(n) (abbr) inexpensive fashion accessories (e.g. clothes, makeup, etc.) (word used by young women)/
プチプライス /(n) inexpensive fashion accessories (e.g. clothes, makeup, etc.) (word used by young women) (wasei: petite, wasei: price)/
プチ切れ [プチぎれ] /(n,vs) (sl) getting irked/looking a little ticked off/
プッシー /(n) pussy/
プッシュ /(n,vs) push/(P)/
プッシュアップ /(n) push-up/
プッシュカート /(n) push cart/
プッシュテクノロジー /(n) (comp) push technology/
プッシュバント /(n) push bunt/
プッシュプル /(n) push-pull/
プッシュプル増幅器 [プッシュプルぞうふくき] /(n) push-pull amplifier/
プッシュホン /(n) push-button telephone (wasei: push phone)/(P)/
プッシュボタン /(n) push button/
プッシュロック /(n) push lock/
プッシュロッド /(n) pushrod/
プッシュ技術 [プッシュぎじゅつ] /(n) (comp) push technology/
プッシング /(n) pushing/
プッチーニ /(n) Puccini/
プッツン /(n,vs) (1) (sl) weird/crazy/losing common sense/snapping/(2) sound of a stretched string snapping/
プッツン女優 [プッツンじょゆう] /(n) actress that frequently does bizarre things/
プット /(n) put (e.g. a put option)/
プットオプション /(n) put option/
プテラノドン /(n) Pteranodon (lat:)/
プディング /(n) pudding/
プトマイン /(n) ptomaine (ger:)/
プトレマイオス星座 [プトレマイオスせいざ] /(n) (constellation) Ptolemy/
プトレマイオス朝 [プトレマイオスちょう] /(n) Ptolemaic Dynasty/
プラーグ /(n) Prague/(P)/
プラーザ /(n) plaza/
プラージュ /(n) plage/
プライウッド /(n) plywood/
プライオリ /(n) priori/
プライオリティ /(n) priority/
プライオリティー /(n) priority/
プライオリティキューシステム /(n) (comp) priority queue system/
プライス /(n) price/(P)/
プライスダウン /(n) reduction in price (wasei: price down)/discount/
プライステーカー /(n) price taker/
プライスメーカー /(n) price maker/
プライスリーダー /(n) price leader/
プライスリーダーシップ /(n) price leadership/
プライズマネー /(n) prize money/
プライド /(n) pride/(P)/
プライバシ /(n) privacy/
プライバシー /(n) privacy/(P)/
プライバシー保護 [プライバシーほご] /(n) privacy protection/
プライバシイ /(n) privacy/
プライバシ保護 [プライバシほご] /(n) (comp) privacy protection/
プライベート /(adj-na,n) private/(P)/
プライベートＩＰアドレス [プライベートアイピーアドレス] /(n) (comp) private IP address/
プライベートアドレス /(n) (comp) private address/
プライベートオファーリング /(n) private offering/PO/
プライベートブランド /(n) private brand/
プライベートメッセージ /(n) (comp) private message/PM/
プライベートルーム /(n) private room/
プライマー /(n) primer/
プライマリ /(n) primary/
プライマリー /(n) primary/
プライマリーケア /(n) primary care/
プライマリースクール /(n) primary school/
プライマリーバランス /(n) primary balance/
プライマリーヘルスケア /(n) primary health care/
プライマリＤＮＳサーバ [プライマリディーエンエスサーバ] /(n) (comp) primary DNS server/
プライマリキャッシュ /(n) (comp) primary cache/
プライマリサイト /(n) (comp) primary site/
プライマリディスク /(n) (comp) primary disk/
プライマリマスタ /(n) (comp) primary master/
プライマリリング /(n) (comp) primary ring/
プライマル /(adj-f) primal/
プライミング /(n) priming/
プライム /(n) prime/
プライムタイム /(n) prime time/(P)/
プライムレート /(n) prime (lending) rate/(P)/
プライヤー /(n) pliers/
プライヴァシー /(n) privacy/
プラウ /(n) plough/plow/
プラウダ /(n) Pravda/(P)/
プラエトル /(n) praetor (Roman magistrate)/
プラカード /(n) placard/(P)/
プラクティカル /(adj-na) practical/
プラクティス /(n) practice/practise/
プラグ /(n) plug/connector/(P)/
プラグ＆プレー [プラグアンドプレー] /(n) (comp) plug and play/
プラグアンドプレイ /(n) (comp) plug and play/
プラグアンドプレイＢＩＯＳ [プラグアンドプレイバイオス] /(n) (comp) plug and play BIOS/
プラグイン /(n) (comp) plug-in (software)/plugin/
プラグコンパチブル /(n) (comp) plug compatible/
プラグマチスト /(n) pragmatist/
プラグマチズム /(n) pragmatism/
プラグマチック /(adj-na) pragmatic/
プラグマティスト /(n) pragmatist/
プラグマティズム /(n) pragmatism/(P)/
プラグマティック /(adj-na) pragmatic/
プラグマティックス /(n) pragmatics/
プラグ及びジャック [プラグおよびジャック] /(n) (comp) plug and jack/
プラグ互換 [プラグごかん] /(n,adj-no) (comp) plug-compatible/
プラケット /(n) placket/
プラコン /(n) plug compatible/
プラザ /(n) plaza/(P)/
プラザ合意 [プラザごうい] /(n) Plaza agreement (1985 agreement of G5 nations)/
プラシーボ /(n) placebo/
プラス /(n,vs) plus/(P)/
プラスオン /(n,vs) extras (wasei: plus on)/addition/supplement/
プラスタ /(n) plaster/
プラスター /(n) plaster/
プラスターボード /(n) plasterboard/
プラスチック /(n) plastic/(P)/
プラスチックタイル /(n) plastic tile/
プラスチックマネー /(n) plastic money/
プラスチックモデル /(n) plastic model/
プラスチック光ファイバ [プラスチックひかりファイバ] /(n) (comp) plastic optical fiber/
プラスチック製 [プラスチックせい] /(n) (made of) plastic/
プラスチック爆弾 [プラスチックばくだん] /(n) plastic explosive/
プラスチド /(n) plastid/
プラスティシティ /(n) plasticity/
プラスティック /(n) plastic/
プラスティネーション /(n) plastination/
プラストマー /(n) plastomer/
プラスドライバ /(n) Phillips head screwdriver (wasei: plus driver, i.e. + driver)/
プラスドライバー /(n) Phillips head screwdriver (wasei: plus driver, i.e. + driver)/
プラスマイナス /(n) plus-minus/+-/
プラスミド /(n) plasmid/
プラスミン /(n) plasmin (ger: Plasmin)/
プラスモディウム /(n) (obsc) plasmodium/
プラスα [プラスアルファ] /(n) a little more than usual (wasei: plus alpha)/bribe money added to a regular fee/and then some/
プラス思考 [プラスしこう] /(n) positive thought/
プラズマ /(n) plasma/(P)/
プラズマジーン /(n) (obsc) plasmagene/
プラズマディスプレー /(n) plasma display/
プラズマディスプレイ /(n) plasma display/
プラズマディスプレイパネル /(n) (comp) plasma display panel/PDP/
プラズマパネル /(n) (comp) plasma panel/gas panel/
プラズマフェレーシス /(n) plasmapheresis/
プラズマ細胞 [プラズマさいぼう] /(n) (obsc) plasma cell/
プラズマ発光分光法 [プラズマはっこうぶんこうほう] /(n) plasma emission spectrography/
プラズモン /(n) plasmon (quasiparticle resulting from the quantization of plasma oscillations)/
プラズモン共鳴 [プラズモンきょうめい] /(n) plasmon resonance/
プラセオジム /(n) praseodymium (Pr) (ger: Praseodym)/
プラセボ /(n) placebo/
プラセンタ /(n) placenta/
プラタナス /(n) plane tree (any tree of genus Platanus) (lat: platanus)/
プラチナ /(n) platinum (spa: platina)/(P)/
プラチナブロンド /(n) platinum blonde/
プラチナペーパー /(n) platina paper/
プラッシュ /(n) plush/
プラッタ /(n) (comp) platter/
プラットフォーム /(n) platform/
プラットフォーム特有 [プラットフォームとくゆう] /(n) (comp) platform specific/
プラットホーム /(n) platform/(P)/
プラティ /(n) common platy (Xiphophorus maculatus)/southern platyfish/moonfish/
プラテン /(n) (comp) platen/
プラトー /(n) plateau/
プラトニック /(adj-na,n) platonic/
プラトニックラブ /(n) Platonic love/
プラトンの問題 [プラトンのもんだい] /(n) Plato's problem/
プラトン主義 [プラトンしゅぎ] /(n) Platonism/
プラナリア /(n) planarian (any flatworm of family Planaria) (lat: planaria)/
プラニメーター /(n) (obsc) planimeter/
プラニング /(n) planning/
プラヌラ /(n) planula/
プラネタリウム /(n) planetarium/(P)/
プラネット /(n) planet/
プラハ /(n) Prague/(P)/
プラボットル /(n) (abbr) plastic bottle/
プラマイ /(n) (col) (abbr) plus-minus/
プラム /(n) plum/
プラムケーキ /(n) plum cake/
プラムプディング /(n) Christmas pudding/plum pudding/
プラモ /(n) (abbr) plastic model/
プラモデル /(n) (abbr) plastic model/(P)/
プラン /(n) plan/(P)/
プランクの法則 [プランクのほうそく] /(n) Planck's law/
プランクの量子仮説 [プランクのりょうしかせつ] /(n) Planck's quantum hypothesis/
プランクトン /(n) plankton/(P)/
プランク定数 [プランクていすう] /(n) Planck's constant/
プランジャー /(n) plunger/
プランジャーポンプ /(n) plunger pump/
プランター /(n) planter/(P)/
プランタン /(n) springtime (fre: printemps)/spring/(P)/
プランテーション /(n) plantation/
プラント /(n) plant (i.e. equipment, machinery, etc.)/(P)/
プラントオパール /(n) plant opal (opal phytolith)/
プラントリノベーション /(n) plant renovation/
プラントレイアウト /(n) plant layout/
プラント輸出 [プラントゆしゅつ] /(n) export of manufacturing plant/
プランナー /(n) planner/(P)/
プランニング /(n) planning/(P)/
プリ /(n) pre-/(P)/
プリースト /(n) priest/
プリーズ /(n) please/
プリーツ /(n,adj-no) pleat/pleats/plait/plaits/(P)/
プリーツスカート /(n) pleated skirt/
プリアンブル /(n) (comp) preamble/
プリアンプ /(n) (abbr) pre-amplifier/
プリインストール /(n,vs) (comp) preinstall/
プリインストールソフトウェア /(n) (comp) preinstalled software/
プリウス /(n) (Toyota) Prius/
プリエンプティブ /(n) (comp) preemptive/
プリエンプティブなマルチタスク /(n) (comp) preemptive multitasking/
プリエンプティブマルチタスク /(n) (comp) preemptive multitasking/
プリエンプティブ式のマルチタスキング [プリエンプティブしきのマルチタスキング] /(n) (comp) preemptive multitasking/
プリオン /(n) prion/
プリクラ /(n) (abbr) photo booth that prints out cards and stickers of the resulting photograph, which are then traded among friends (wasei: print club)/
プリゴ /(n) (abbr) Print Gokko (brandname of small silk-screen printer)/
プリザーブド /(adj-f) preserved (e.g. flower)/
プリザーブドフラワー /(n) preserved flower/
プリステラ /(n) pristella tetra (Pristella maxillaris) (lat: Pristella)/X-ray tetra/
プリズム /(n,adj-no) prism/(P)/
プリセット /(n) preset/
プリセット値 [プリセットあたい] /(n) (comp) preset value/
プリチャージ /(n) (comp) precharge/
プリティ /(n) pretty/(P)/
プリティー /(n) pretty/
プリティプリント /(n) pretty-print/
プリトラ /(n) (comp) (abbr) pre-translation/
プリナップ /(n) prenuptial agreement/
プリファレンス /(n) preference/
プリフィクス /(n) prefix/
プリフェッチ /(n) (comp) prefetch/
プリプリ /(adv,n,vs) (1) (on-mim) angrily/in a huff/in anger/(2) high on marijuana/(3) tender (to chew)/
プリプリ怒る [プリプリおこる] /(exp,v5r) to be in a huff/
プリプロセッサ /(n) (comp) preprocessor/
プリプロセッサー /(n) (comp) preprocessor/
プリベータ /(n) (comp) pre-beta/
プリペアードピアノ /(n) prepared piano/
プリペイド /(adj-f) (1) prepaid (phone, card, etc.)/(2) prep. aid/
プリペイドカード /(n) prepaid card/
プリペイドテレフォンカード /(n) (comp) prepaid telephone card/
プリペイド式携帯電話 [プリペイドしきけいたいでんわ] /(n) prepaid cellphone/
プリマ /(n) (abbr) prima donna (ita:)/
プリマドンナ /(n) prima donna (ita:)/
プリマバレリーナ /(n) prima ballerina (ita:)/
プリミティブ /(adj-na) primitive/
プリミティブアート /(n) primitive art/
プリムラ /(n) primula (any flower of genus Primula, which includes primroses, cowslips and cyclamens)/
プリムローズ /(n) primrose/
プリューム /(n) plume/
プリレコーディング /(n) prerecording/
プリレンダ /(n,vs) (comp) pre-render/pre-rendering/
プリン /(n) (1) (abbr) (custard) pudding/(2) purine/(P)/
プリンキピア /(n) Philosophiae Naturalis Principia Mathematica (physical science treatise by Sir Isaac Newton, 1687) (lat:)/
プリンシパル /(n) principal/
プリンシプル /(n) principle/
プリンス /(n) prince/(P)/
プリンスメロン /(n) prince melon/
プリンセス /(n) princess/(P)/
プリンセスコート /(n) princess coat/
プリンセスライン /(n) princess line/
プリンタ /(n) printer/
プリンター /(n) printer/(P)/
プリンター設定 [プリンターせってい] /(n) printer setup/
プリンタウィンドウ /(n) (comp) printer window/
プリンタエンジン /(n) (comp) printer engine/
プリンタケーブル /(n) (comp) printer cable/
プリンタコネクタ /(n) (comp) printer connector/
プリンタセッション /(n) (comp) printer session/
プリンタドライバ /(n) (comp) printer driver/
プリンタバッファ /(n) (comp) printer buffer/
プリンタフォント /(n) (comp) printer font/
プリンタポート /(n) (comp) printer port/
プリンタン /(n) springtime (fre: printemps)/spring/
プリンタ指定 [プリンタしてい] /(n) (comp) printer designation/
プリンタ制御コード [プリンタせいぎょコード] /(n) (comp) printer control code/
プリント /(n,vs) handout (wasei: print)/flyer/(P)/
プリントアウト /(n,vs) printout/
プリントキュー /(n) (comp) print queue/
プリントゴッコ /(n) Print Gokko (brandname of small silk-screen printer)/
プリントサーバー /(n) (comp) print server/
プリントスプーラ /(n) (comp) print spooler/
プリントスプール /(n) (comp) print spooling/
プリントスルー /(n) (comp) print through/
プリントプレビュー /(n) (comp) print preview/
プリントプロセッサ /(n) (comp) print processor/
プリントマネージャ /(n) (comp) Print Manager/
プリント回路 [プリントかいろ] /(n) (comp) printed circuit/
プリント回路板 [プリントかいろばん] /(n) printed circuit board/PCB/
プリント基板 [プリントきばん] /(n) printed wiring board/printed circuit board/PCB/
プリント基盤 [プリントきばん] /(iK) (n) printed wiring board/printed circuit board/PCB/
プリント合板 [プリントごうはん] /(n) printed plywood/
プリント配線 [プリントはいせん] /(n) printed circuit/printed wiring/
プリント配線板 [プリントはいせんばん] /(n) printed wiring board/PWB/
プリント配線盤 [プリントはいせんばん] /(n) (comp) printed circuit board/
プリント板 [プリントばん] /(n) (comp) printed circuit board/PC board/PCB/
プリン塩基 [プリンえんき] /(n) purine base/
プリン体 [プリンたい] /(n) purine (body)/
プリン頭 [プリンあたま] /(n) (col) black hair that has been dyed blond after the roots begin to grow in at the top giving an appearance much like custard pudding (lit. pudding head)/
プル /(n) pull/
プルークボーゲン /(n) snowplow (ger: Pflugbogen)/snowplough/(P)/
プルートー /(n) Pluto/
プルーフ /(n) proof/
プルーフコイン /(n) proof coin/
プルーム /(n) plume (in geology)/
プルームテクトニクス /(n) plume tectonics/
プルーン /(n) prune/
プルアップ /(n,vs,adj-f) pull-up (e.g. resistor)/
プルアップメニュー /(n) (comp) pull-up menu/
プルアップ抵抗 [プルアップていこう] /(n) pull-up resistor/
プルオーバー /(n) pullover/
プルキニエ現象 [プルキニエげんしょう] /(n) Purkinje effect/
プルキニエ細胞 [プルキニエさいぼう] /(n) Purkinje cell/
プルキニエ線維 [プルキニエせんい] /(n) Purkinje fibre/Purkinje fiber/
プルケ /(n) pulque/
プルコギ /(n) bulgogi (Korean dish of grilled beef) (kor:)/
プルサーマル /(n) plutonium-thermal (type of nuclear reactor) (wasei: pluthermal)/
プルサーマル計画 [プルサーマルけいかく] /(n) plutonium-thermal project/
プルシアンブルー /(n) Prussian blue/
プルシャン /(adj-f) Prussian/
プルシャンブルー /(n) Prussian blue/
プルス /(n) pulse/heartbeat/
プルタブ /(n) pulltab/
プルダウン /(n) pull-down/
プルダウンメニュー /(n) (comp) pulldown menu/
プルテウス /(n) pluteus (lat:)/
プルトップ /(n) pull tab/
プルトニウム /(n) plutonium (Pu)/(P)/
プルトニウム２３９ [プルトニウムにひゃくさんじゅうきゅう] /(n) plutonium-239/
プルトニウム爆弾 [プルトニウムばくだん] /(n) plutonium bomb/
プルプリン /(n) purpurin/1,2,4-Trihydroxyanthraquinone/
プルプル /(adv-to) (1) yielding, soft, elastic/(n,vs) (2) jiggle, bounce, slightly trembling/
プルマンカー /(n) Pullman car/
プルメリア /(n) plumeria (lat:)/
プルレス /(n) remote-controlled lighting equipment (wasei: pull less)/
プレ /(pref) pre-/
プレー /(n,vs) (1) play/(2) pray/(3) prey/(P)/
プレーイングマネージャー /(n) playing manager (player-manager of a sports team)/
プレーイングマネジャー /(n) player-manager/playing manager/
プレーオフ /(n) play-off/playoff/(P)/
プレーガール /(n) playgirl/
プレーガイド /(n) ticket agency (wasei: play guide)/
プレース /(n,vs) place/
プレースキック /(n) placekick/
プレーステーション /(ik) (n) Playstation/
プレースポット /(n) play spot/
プレースメント /(n) placement/
プレーセラピー /(n) play therapy/
プレート /(n) plate (often as in "tectonic plate")/(P)/
プレートアンパイア /(n) plate umpire/
プレートテクトニクス /(n) plate tectonics/
プレート電流 [プレートでんりゅう] /(n) plate current/
プレーナー /(n) planer/
プレーニング /(n) planing/
プレーバック /(n,vs) playback/
プレーボーイ /(n) playboy/
プレーボール /(n) (1) play ball/(2) start of a ball game/(P)/
プレーヤ /(n) (1) player/(2) prayer/
プレーヤー /(n) (1) player/(2) prayer/(P)/
プレーヤーピアノ /(n) player piano/
プレーリー /(n) prairie/
プレーリードッグ /(n) prairie dog/
プレーン /(adj-na) (1) plain/(n) (2) plane/(P)/
プレーンオムレツ /(n) plain omelet/
プレーンソーダ /(n) plain soda/
プレーンテキスト /(n) (comp) plain text/
プレーンテキスト版 [プレーンテキストはん] /(n) (comp) plain text version/
プレーントー /(n) plain toe/
プレーンノット /(n) plain knot/
プレーンヨーグルト /(n) plain yoghurt/
プレアデス /(n) Pleiades/
プレアデス星団 [プレアデスせいだん] /(n) Pleiades star cluster/
プレイ /(n,vs) (1) play/(2) pray/(3) prey/(P)/
プレイアディ /(n) Pleiades/
プレイアデス /(n) Pleiades/
プレイオフ /(n) play-off/playoff/
プレイガール /(n) playgirl/(P)/
プレイガイド /(n) (1) play guide/(2) ticket agency/
プレイグランド /(n) playground/
プレイス /(n,vs) place/
プレイステーション /(n) Playstation/
プレイスメントテスト /(n) placement test/
プレイバック /(n) playback/
プレイボーイ /(n) playboy/(P)/
プレイモード /(n) play-mode/
プレイヤ /(n) (1) player/(2) prayer/
プレイヤー /(n) (1) player/(2) prayer/(P)/
プレイリーダー /(n) playreader/
プレイリスト /(n) playlist/(P)/
プレイン /(adj-na) (1) plain/(n) (2) plane/
プレインキュベーション /(n) pre-incubation/
プレインストール /(n) (comp) preinstall/
プレオープン /(n) pre-opening (party or showing)/
プレオリンピック /(n) pre-Olympic (trials)/pre-Olympics/
プレオリンプック /(n) pre-Olympic (trials)/pre-Olympics/
プレカット /(n) pre-cut (e.g. of timber before taken to building site)/
プレカリアート /(n) precariat (wasei: precarious + proletariat)/class of workers with no stable jobs/
プレキャストコンクリート /(n) precast concrete/
プレクトラム /(n) plectrum/
プレグレッシブ /(n) progressive/
プレコ /(n) (abbr) plecostomus (algae-sucker fish)/pleco/plec/
プレシオザウルス /(n) Plesiosaurus/
プレシャス /(n) precious/
プレシャットダウン /(n) (comp) preshutdown/
プレシャットダウンタイムアウト /(n) (comp) preshutdown time-out/
プレジデント /(n) president/(P)/
プレジャ /(n) pleasure/
プレジャー /(n) pleasure/
プレス /(n,vs) press/(P)/
プレスカード /(n) press card/
プレスカンファレンス /(n) press conference/
プレスキャンペーン /(n) press campaign/
プレスクール /(n) preschool/
プレスクラブ /(n) press club/(P)/
プレスコ /(n) (abbr) prescoring (recording the music or sound effects before filming a scene)/
プレスコード /(n) press code/
プレスセンター /(n) press center/press centre/(P)/
プレスタオル /(n) compressed towel/compress towel/
プレステ /(n) (abbr) Playstation/
プレステージ /(n) prestige/
プレスティージ /(n) prestige/
プレスト /(n,adj-no) presto (ita:)/
プレストレストコンクリート /(n) prestressed concrete/
プレスハム /(n) pressed ham/
プレスリリース /(n) press release/(P)/
プレスルルース /(n) press release/
プレス加工 [プレスかこう] /(n) press working/
プレズィデント /(ik) (n) president/
プレゼン /(n) (abbr) presentation/
プレゼンス /(n) presence/
プレゼンツ /(n) (1) presence/(2) presents/
プレゼンテーション /(n,vs) presentation/(P)/
プレゼンテーションコンテキスト /(n) (comp) presentation context/
プレゼンテーションコンテキスト識別 [プレゼンテーションコンテキストしきべつ] /(n) (comp) presentation context identification/
プレゼンテーションコンテキスト識別子 [プレゼンテーションコンテキストしきべつし] /(n) (comp) presentation context identifier/
プレゼンテーションソフト /(n) (comp) presentation software/
プレゼンテーションソフトウェア /(n) (comp) presentation software/
プレゼンテーションデータ値 [プレゼンテーションデータち] /(n) (comp) presentation data value/
プレゼンテーションマネージャ /(n) (comp) presentation manager/PM/
プレゼンテーション層 [プレゼンテーションそう] /(n) (comp) presentation layer/
プレゼント /(n) (1) present/gift/(vs) (2) to give a present or gift/(P)/
プレゾンエイド /(n) (abbr) presentation aid/
プレタポルテ /(n) ready-made clothing (fre:)/ready-to-wear clothing/(P)/
プレッシャー /(n) pressure/(P)/
プレッシャーグループ /(n) pressure group/
プレッシング /(n) pressing/
プレッツェル /(n) pretzel/
プレッピー /(n) preppie/
プレッピールック /(n) preppie look/
プレップ /(n) (comp) PReP/
プレトリア /(n) Pretoria/(P)/
プレナップ /(n) prenuptial agreement/
プレハブ /(n,adj-no) prefab (usu. prefabricated house)/(P)/
プレハブコンクリート /(n) prefabricated concrete/
プレハブ住宅 [プレハブじゅうたく] /(n) prefabricated house/
プレハブ小屋 [プレハブごや] /(n) prefab hut/
プレパラート /(n) preparation (ger: Praeparat)/
プレパラトリースクール /(n) preparatory school/
プレビュー /(n) preview/
プレビューア /(n) previewer/
プレビューリリース /(n) (comp) preview release/
プレビュアー /(n) previewer/
プレファブ /(n) prefab/
プレフィクス /(n) prefix/
プレフィックス /(n) (comp) prefix/
プレフィックス形シフトキー [プレフィックスがたしふとキー] /(n) (comp) prefix-type shift key/
プレフィックス表記法 [プレフィックスひょうきほう] /(n) (comp) prefix notation/Polish notation/parenthesis-free notation/Lukasiewicz notation/
プレブス /(n) plebs (ancient Roman commonalty) (lat:)/
プレマスタリング /(n) (comp) premastering/
プレミア /(n) (1) (abbr) premium/(2) (abbr) premiere/
プレミアショー /(n) premiere (film, etc.) (wasei: premiere show)/
プレミアム /(n) premium/(P)/
プレミアムセール /(n) premium sale/
プレヤデス /(n) Pleiades/
プレヤデス星団 [プレヤデスせいだん] /(n) Pleiades cluster/
プレリュード /(n) prelude/(P)/
プレリリース /(n) prerelease/
プレ印刷用紙 [プレいんさつようし] /(n) pre-printed forms/
プロ /(n,adj-no) professional/(P)/
プローズ /(n) (obsc) prose/
プローブ /(n) probe/
プローン /(n) prawn/
プロアクティブ /(n) (comp) ProActive/
プロアクティブキャッシュ /(n) (comp) proactive caching/
プロイセン /(n) Prussia (ger: Preussen)/
プロカイン /(n) procaine/
プロキシ /(n) (comp) proxy/
プロキシーサーバー /(n) (comp) proxy server/
プロキシサーバ /(n) (comp) proxy server/
プロキシサーバー /(n) (comp) proxy server/
プロクシ /(n) (comp) proxy/
プロクシサーバ /(n) (comp) proxy server/
プログナトデス属 [プログナトデスぞく] /(n) Prognathodes (genus of tropical fish in the family Chaetodontidae)/
プログラマ /(n) (comp) programmer/
プログラマー /(n) (comp) programmer/
プログラマーズツールキット /(n) (comp) programmer's tool kit/
プログラマブル /(n) (comp) programmable/
プログラミング /(n,vs) (comp) programming/programing/
プログラミングインターフェイス /(n) (comp) programming interface/
プログラミングシステム /(n) (comp) programming system/
プログラミング可能 [プログラミングかのう] /(adj-na) (comp) programmable/
プログラミング環境 [プログラミングかんきょう] /(n) (comp) programming environment/
プログラミング言語 [プログラミングげんご] /(n) (comp) programming language/
プログラム /(n,vs) (comp) program/programme/(P)/
プログラムＩＯ [プログラムアイオー] /(n) (comp) Programmed Input-Output/
プログラムアナライザー /(n) program analyzer/programme analyzer/
プログラムエリア /(n) (comp) program area/
プログラムカウンタ /(n) (comp) program counter/
プログラムシャッター /(n) programmed shutter/
プログラムデータ /(n) (comp) program data/
プログラムディレクター /(n) program director/programme director/PD/
プログラムピクチャー /(n) programme picture (program)/
プログラムファンクションキー /(n) (comp) program function key/PF key/
プログラムマネージャ /(n) (comp) program manager/
プログラムライブラリ /(n) (comp) program library/
プログラムレジスタ /(n) (comp) instruction address register/program register/instruction pointer register/
プログラム依存形障害 [プログラムいぞんがたしょうがい] /(n) (comp) program-sensitive fault/
プログラム可能 [プログラムかのう] /(adj-na) (comp) programmable/
プログラム可能読取り専用記憶装置 [プログラムかのうよみとりせんようきおくそうち] /(n) (comp) programmable read-only memory/PROM/
プログラム学習 [プログラムがくしゅう] /(n) programmed learning/
プログラム言語 [プログラムげんご] /(n) (comp) programming language/programing language/
プログラム固定式計算器 [プログラムこていしきけいさんき] /(n) (comp) nonprogrammable calculator/
プログラム細胞死 [プログラムさいぼうし] /(n) programmed cell death/
プログラム仕様 [プログラムしよう] /(n) (comp) program specification/
プログラム試験時間 [プログラムしけんじかん] /(n) (comp) program test time/
プログラム式計算器 [プログラムしきけいさんき] /(n) (comp) programmable calculator/
プログラム実動時間 [プログラムじつどうじかん] /(n) (comp) program production time/
プログラム終わり見出し [プログラムおわりみだし] /(n) (comp) end program header/
プログラム状態語 [プログラムじょうたいご] /(n) (comp) program status word/PSW/
プログラム制御式のアドレス指定可能な記憶域をもつ計算器 [プログラムせいぎょしきのアドレスしていかのうなきおくいきをもつけいさんき] /(exp) (comp) calculator with program-controlled addressable storage/
プログラム制御式及びキーボード制御式のアドレス指定可能な記憶域をもつ計算器 [プログラムせいぎょしきおよびキーボードせいぎょしきのアドレスしていかのうなきおくいきをもつけいさんき] /(n) (comp) calculator with program-controlled and keyboard controlled addressable storage/
プログラム単位 [プログラムたんい] /(n) (comp) module/program unit/
プログラム売買 [プログラムばいばい] /(n) program trading/programme trading/
プログラム保守マニュアル [プログラムほしゅマニュアル] /(n) (comp) program maintenance manual/
プログラム保守説明書 [プログラムほしゅせつめいしょ] /(n) (comp) program maintenance manual/
プログラム名 [プログラムめい] /(n) (comp) program-name/
プログラム名記述項 [プログラムめいきじゅつこう] /(n) (comp) program identification entry/
プログラム誘導 [プログラムゆうどう] /(n) program guidance/programme guidance/
プログレ /(n) (abbr) progressive rock/
プログレス /(n) progress/
プログレッシブ /(n) progressive/
プログレッシブＪＰＥＧ [プログレッシブジェーペッグ] /(n) (comp) progressive Joint Photographic Expert Group/
プログレッシブロック /(n) progressive rock/
プロゲスチン /(n) progestin/
プロゲステロン /(n) progesterone/
プロサッカー /(n) professional soccer/
プロシー /(n) (comp) Pro*C/
プロシージャ /(n) procedure/
プロシーズ /(n) proceeds/
プロシア青 [プロシアあお] /(n) (obsc) Prussian blue/
プロシジャ /(n) procedure/
プロシジャコール /(n) procedure call/
プロシュート /(n) prosciutto (Italian ham) (ita:)/
プロシュット /(n) prosciutto (Italian ham) (ita:)/
プロショップ /(n) speciality shop/specialty shop/pro shop/
プロジェクション /(n) projection/
プロジェクタ /(n) projector/
プロジェクター /(n) projector/(P)/
プロジェクト /(n) project/(P)/
プロジェクトグループ /(n) (comp) project group/
プロジェクトタイプ /(n) (comp) project type/
プロジェクトタスク /(n) (comp) project tasks/
プロジェクトチーム /(n) project team/
プロジェクトデザイナ /(n) (comp) project designer/
プロジェクトファイル /(n) (comp) project file/
プロジェクトメソッド /(n) project method/
プロジェクトリーダー /(n) project leader/
プロジェクト管理 [プロジェクトかんり] /(n) (comp) project management/
プロジェクト管理ソフト [プロジェクトかんりソフト] /(n) (comp) project managemnet software/
プロジェクト計画 [プロジェクトけいかく] /(n) (comp) project planning/
プロジェクト仕様書 [プロジェクトしようしょ] /(n) (comp) project specification/
プロジェクト制御 [プロジェクトせいぎょ] /(n) (comp) project control/
プロジェクト統制 [プロジェクトとうせい] /(n) (comp) project control/
プロジェクト立案 [プロジェクトりつあん] /(n) (comp) project planning/
プロジェステロン /(n) progesterone/
プロジェリア /(n) progeria (disease characterized by symptoms suggestive of premature aging)/
プロスィーディング /(n) proceeding/(P)/
プロスタグランジン /(n) prostaglandin/
プロスタグランディン /(n) prostaglandin/
プロスティチュート /(n) prostitute/
プロスティテュート /(n) prostitute/
プロスペクティブ /(n) prospective/
プロスペクト /(n) prospect/
プロスペクト理論 [プロスペクトりろん] /(n) prospect theory/
プロスポーツ /(n) (abbr) professional sports/
プロセシング /(n) processing/
プロセス /(n) process/(P)/
プロセスＩＤ [プロセスアイディー] /(n) (comp) process ID/
プロセスの生存期間 [プロセスのせいぞんきかん] /(n) (comp) process lifetime/
プロセスアカウンティング /(n) (comp) process accounting/
プロセスインタフェースシステム /(n) (comp) process interface system/
プロセスカラー /(n) (comp) process color/
プロセスグループ /(n) (comp) process group/
プロセスグループＩＤ [プロセスグループアイディー] /(n) (comp) process group ID/
プロセスグループの生存期間 [プロセスグループのせいぞんきかん] /(n) (comp) process group lifetime/
プロセスグループリーダ /(n) (comp) process group leader/
プロセスコントロール /(n) process control/
プロセスチーズ /(n) process cheese/
プロセスチャート /(n) process chart/
プロセス印刷 [プロセスいんさつ] /(n) process printing/
プロセス割込み信号 [プロセスわりこみしんごう] /(n) (comp) process interrupt signal/
プロセス間通信 [プロセスかんつうしん] /(n) (comp) InterProcess Communication/
プロセス制御 [プロセスせいぎょ] /(n) (comp) process control/
プロセス制御装置 [プロセスせいぎょそうち] /(n) (comp) process control equipment/
プロセス番号 [プロセスばんごう] /(n) (comp) process number/
プロセッサ /(n) processor/
プロセッサー /(n) processor/(P)/
プロセッサカード /(n) (comp) processor card/
プロセッサバウンド /(n,adj-no) (comp) processor bound/
プロセッサバス /(n) (comp) processor bus/
プロセッサボード /(n) (comp) processor board/
プロセッサ処理主体 [プロセッサしょりしゅたい] /(n,adj-no) (comp) processor bound/
プロセッシング /(n) processing/
プロセニアム /(n) proscenium/
プロセニアムアーチ /(n) proscenium arch/
プロソディー /(n) prosody/
プロタミン /(n) protamine/
プロダクション /(n) production/(P)/
プロダクションコントロール /(n) production control/
プロダクションシステム /(n) (comp) production system/
プロダクションチーム /(n) production team/
プロダクションルール /(n) (comp) production rule/
プロダクツ /(n) products/
プロダクト /(n) product/(P)/
プロダクトアド /(n) product ad/
プロダクトデザイン /(n) product design/
プロダクトプランニング /(n) product planning/
プロダクトプロテクション /(n) product protection/
プロダクトマネージャー /(n) product manager/
プロダクトミックス /(n) product mix/
プロダクトライフサイクル /(n) product life cycle/
プロチーム /(n) professional team (usu. in sport)/pro team/
プロッタ /(n) (comp) plotter/
プロッター /(n) (comp) plotter/
プロッタフォント /(n) (comp) plotter font/
プロッタ増分量 [プロッタぞうぶんりょう] /(n) (comp) plotter step size/
プロッティングヘッド /(n) (comp) plotting head/
プロット /(n) plot/
プロットエリア /(n) (comp) plot area/
プロップ /(n) prop/
プロップジェット /(n) propjet/(P)/
プロテアーゼ /(n) protease/
プロテアーゼ阻害剤 [プロテアーゼそがいざい] /(n) protease inhibitor/
プロテイナーゼ /(n) proteinase (ger: Proteinase)/
プロテイン /(n) protein/
プロテインキナーゼ /(n) protein kinase/
プロテオース /(n) proteose/
プロテオーム /(n) proteome/
プロテクション /(n) protection/
プロテクター /(n) protector/
プロテクティブＭＢＲ [プロテクティブエムビーアー] /(n) (comp) protective MBR/
プロテクテッド /(n) protected/
プロテクト /(n,vs) protect/
プロテクトメモリー /(n) (comp) protected memory/
プロテクトモード /(n) (comp) protected mode/
プロテスタンティズム /(n) Protestantism/
プロテスタント /(n) protestant/(P)/
プロテスタント監督教会 [プロテスタントかんとくきょうかい] /(n) Protestant Episcopal Church/
プロテスタント教会 [プロテスタントきょうかい] /(n) Protestant Church/
プロテスト /(n) protest/
プロテストソング /(n) protest song/
プロディジー /(n) (comp) Prodigy/
プロデビュー /(n) professional debut/
プロデューサ /(n) producer/(P)/
プロデューサー /(n) producer/(P)/
プロデューサーシステム /(n) producer system/
プロデュース /(n,vs) produce/(P)/
プロトアクチニウム /(n) protoactinium (Pa)/(P)/
プロトアネモニン /(n) protoanemonin/
プロトケラトプス /(n) protoceratops (lat:)/
プロトコール /(n) (comp) protocol/
プロトコル /(n) (comp) protocol/
プロトコルアナライザ /(n) (comp) protocol analyzer/
プロトコルスイート /(n) (comp) protocol suite/
プロトコルスタック /(n) (comp) protocol stack/
プロトコルデータ単位 [プロトコルデータたんい] /(n) (comp) PDU/Protocol Data Unit/
プロトコル階層 [プロトコルかいそう] /(n) (comp) protocol hierarchy/
プロトコル機械 [プロトコルきかい] /(n) (comp) Protocol Machine/PM/
プロトコル群 [プロトコルぐん] /(n) (comp) protocol suite/protocol set/
プロトコル誤り [プロトコルあやまり] /(n) (comp) protocol error/
プロトコル実装適合性宣言 [プロトコルじっそうてきごうせいせんげん] /(n) (comp) protocol implementation conformance statement/PICS/
プロトコル適合性試験報告書 [プロトコルてきごうせいしけんほうこくしょ] /(n) (comp) protocol conformance test report/PCTR/
プロトコル変換 [プロトコルへんかん] /(n) (comp) protocol conversion/
プロトサイエンス /(n) protoscience/
プロトタイピング /(n) prototyping/
プロトタイプ /(n) prototype/
プロトタイプシステム /(n) (comp) prototype system/
プロトプラスト /(n) protoplast/
プロトロンビン /(n) prothrombin/
プロトン /(n) proton/
プロトン磁力計 [プロトンじりょくけい] /(n) proton magnetometer/
プロドラッグ /(n) prodrug/
プロナーゼ /(n) pronase/
プロバイダ /(n) (comp) Internet service provider (from provider)/ISP/
プロバイダー /(n) (comp) Internet service provider (from provider)/ISP/
プロバスケットボールリーグ /(n) professional basketball league/
プロバビリティー /(n) probability/
プロバブル /(adj-no) probable/
プロバレエダンサー /(n) (abbr) professional ballet dancer/
プロパー /(adj-na) (1) proper/(n) (2) (abbr) propagandist/propaganda/(3) full time (staff)/career (job title) (e.g. someone who has worked in the same area from the start)/(4) regular price/net price/(P)/
プロパガンダ /(n) propaganda/(P)/
プロパゲーション /(n) propagation/
プロパティ /(n) property/
プロパティー /(n) property/
プロパティエディタ /(n) (comp) property editor/
プロパティキャッシュ /(n) (comp) property cache/
プロパティセット /(n) (comp) property set/
プロパティバッグ /(n) (comp) property bag/
プロパティマッピング /(n) (comp) property mapping/
プロパノール /(n) propanol/
プロパン /(n) propane/(P)/
プロパンガス /(n) propane gas/
プロビジョニング /(n) (comp) provisioning/
プロビタミン /(n) provitamin/
プロビンス /(n) province/
プロピオン酸 [プロピオンさん] /(n) propionic acid/propanoic acid/
プロピル /(n,adj-f) propyl/
プロピレン /(n) propylene/
プロピレングリコール /(n) propylene glycol/
プロフ /(n) (abbr) profile/
プロファイラ /(n) profiler/
プロファイラー /(n) profiler/
プロファイル /(n) (comp) profile/
プロファイルエディタ /(n) (comp) profile editor/
プロファイルチケット /(n) (comp) profile ticket/
プロファイルプロパティ /(n) (comp) profile property/
プロフィール /(n) profile/(P)/
プロフィット /(n) profit/
プロフィル /(n) profile/
プロフェショナル /(n) (comp) professional/
プロフェッサー /(n) professor/
プロフェッショナル /(adj-na,n) professional/(P)/
プロフェッション /(n) profession/
プロブレム /(n) problem/
プロブレムメソッド /(n) problem method/
プロプライエタリ /(n) (comp) proprietary/
プロペラ /(n) propeller/(P)/
プロペラポンプ /(n) propeller pump/
プロペラ機 [プロペラき] /(n) propeller-driven aircraft/prop plane/
プロペラ水車 [プロペラすいしゃ] /(n) propeller water turbine/
プロペラ船 [プロペラせん] /(n) air propeller boat/
プロボクシング /(n) pro boxing/professional boxing/
プロボノ /(n) pro bono (lat:)/
プロポ /(n) (abbr) transmitter for radio-controlled toys, etc./
プロポーザル /(n) proposal/(P)/
プロポーショナルコントロールシステム /(n) proportional control system/
プロポーショナルスペーシング /(n) (comp) proportional spacing/
プロポーショナルフォント /(n) (comp) proportional font/
プロポーション /(n) proportion/proportionate width/
プロポーズ /(n,vs) (marriage) proposal/(P)/
プロマイド /(n) Promide (product name for bromides released by Marubell)/bromide (publicity photograph of a movie star, entertainer, etc.)/
プロマネ /(n) (abbr) project manager/
プロミスキャスモード /(n) (comp) promiscuous mode/
プロミックス /(n) promix/
プロミネンス /(n) prominence/
プロミン /(n) promin/
プロム /(n) prom/
プロムナード /(n) promenade (fre:)/
プロムナードデッキ /(n) promenade deck/
プロメチウム /(n) promethium (Pm)/
プロメテウス /(n) Prometheus/
プロモーション /(n) promotion/(P)/
プロモーションビデオ /(n) promotional video (wasei: promotion video)/music video/
プロモーター /(n) promoter/(P)/
プロモート /(n,vs) promote/promotion/(P)/
プロラクチン /(n) prolactin/
プロリニア /(n) (comp) PROLINEA/
プロリン /(n) proline/
プロレス /(n) (abbr) professional wrestling/(P)/
プロレスラー /(n) pro wrestler/
プロレスリング /(n) professional wrestling/
プロレタリア /(n) proletarian (ger: Proletarier)/(P)/
プロレタリアート /(n) proletariat (ger:)/
プロレタリア革命 [プロレタリアかくめい] /(n) proletarian revolution/
プロレタリア国際主義 [プロレタリアこくさいしゅぎ] /(n) proletarian internationalism/
プロレタリア独裁 [プロレタリアどくさい] /(n) proletarian dictatorship/
プロレタリア文学 [プロレタリアぶんがく] /(n) proletarian literature/
プロローグ /(n) (1) prologue/(2) (comp) Programming in Logic/PROLOG/(P)/
プロログ /(n) (1) prolog/(2) PROLOG/
プロングホーン /(n) pronghorn (Antilocapra americana)/pronghorn antelope/
プロンプター /(n) prompter/(P)/
プロンプタースクリーン /(n) prompter screen/
プロンプト /(n) (comp) (computer) prompt/
プロンプトに対して [プロンプトにたいして] /(n) (comp) at the prompt/
プロヴォローネ /(n) provolone/
プロ意識 [プロいしき] /(n) professionalism; professional awareness/
プロ選手 [プロせんしゅ] /(n) professional player (sports)/pro/
プロ版 [プロはん] /(n) (comp) professional version/
プロ野球 [プロやきゅう] /(n) professional baseball/(P)/
プロ野球チーム [プロやきゅうチーム] /(n) pro baseball team/professional baseball team/
プンプン /(adv,vs,adv-to) (1) (on-mim) intense smell (hanging around)/(2) state of being furious or angry/(P)/
ヘ /(n) 6th in a sequence denoted by the iroha system/6th note in the diatonic scale (used in key names, etc.)/
ヘーゼル /(n) Eurasian hazel (Corylus avellana)/
ヘーゼルナッツ /(n) hazelnut/
ヘーラクレース /(n) (1) Hercules/Herakles/
ヘア /(n) hair/(P)/
ヘアー /(n) hair/
ヘアーアイロン /(n) hair iron/
ヘアースタイル /(n) hairstyle/
ヘアアーティスト /(n) hair stylist (wasei: hair artist)/
ヘアアイロン /(n) hair iron/
ヘアオイル /(n) hair oil/
ヘアカーラー /(n) hair curler/
ヘアカラー /(n) hair dye/hair coloring/hair colouring/
ヘアクリーム /(n) hair cream/
ヘアケア /(n) hair care/(P)/
ヘアコンディショナー /(n) hair conditioner/
ヘアスタイル /(n) hairstyle/
ヘアスプレー /(n) hair spray/
ヘアダイ /(n) hairdye/
ヘアデライヤー /(n) hair dryer/
ヘアトニック /(n) hair tonic/
ヘアドライヤー /(n) hair dryer/
ヘアドレッサー /(n) hair dresser/
ヘアヌード /(n) nude photograph showing pubic hair (wasei: hair nude)/
ヘアネット /(n) hairnet/
ヘアバンド /(n) hair band/
ヘアピース /(n) hairpiece/
ヘアピン /(n) hair pin/hairclip/hairgrip/bobby pin/
ヘアピンカーブ /(n) hairpin curve/
ヘアピンショット /(n) hairpin shot/
ヘアピンレース /(n) hairpin lace/
ヘアブラシ /(n) hairbrush/
ヘアマニキュアー /(n) hair manicure (temporary hair dye or streaks)/
ヘアメークアーティスト /(n) hair and makeup artist (wasei: hair make artist)/beautician/hair-dresser/
ヘアメイクアーティスト /(n) hair and makeup artist (wasei: hair make artist)/beautician/hair-dresser/
ヘアリキッド /(n) hair styling liquid (for men) (wasei: hair liquid)/
ヘアリンス /(n) hair rinse/
ヘアローション /(n) hair lotion/
ヘイ /(int) hey/
ヘイキューブ /(n) hay cube/
ヘイシソウ /(n) (uk) sarracenia/
ヘイジョア /(n) feijoa (Acca sellowiana) (lat:)/pineapple guava/guavasteen/
ヘイスト /(n) haste/
ヘイズ /(n) (comp) Hayes/
ヘイズＡＴコマンド [ヘイズエーティーコマンド] /(n) (comp) Hayes AT command/
ヘイズ互換 [ヘイズごかん] /(n) (comp) Hayes compatible/
ヘイトクライム /(n) hate crime/
ヘキサクロロエタン /(n) hexachloroethane/
ヘキサシアノ鉄酸カリウム [ヘキサシアノてつさんカリウム] /(n) (1) (obsc) potassium ferrocyanide/(2) potassium ferricyanide/
ヘキサデカン /(n) hexadecane/
ヘキサン /(n) hexane/
ヘキサンジオール /(n) hexanediol/
ヘキシルレゾルシン /(n) hexylresorcin/
ヘキソーゲン /(n) hexogen/
ヘキソース /(n) hexose/
ヘキソキシ /(n) (chem) hexoxy/
ヘキヘキ /(n,vs) being gobsmacked/being struck dumb/being fed up with something/
ヘクタール /(n) hectare (fre:)/(P)/
ヘクト /(n,pref) hecto-/10^2/(P)/
ヘクトグラム /(n) hectogramme/
ヘクトパスカル /(n) hectopascal/
ヘクトメートル /(n) hectometre/
ヘクトリットル /(n) hectolitre/
ヘゲモニー /(n) hegemony (ger: Hegemonie)/
ヘコアユ /(n) (uk) razorfish (Aeoliscus strigatus)/
ヘゴ /(n) (uk) Cyathea spinulosa (species of tree fern)/
ヘザー /(n) heather/(P)/
ヘシアンクロス /(n) hessian cloth/
ヘジャブ /(n) hijab (Muslim head covering for women) (ara:)/
ヘジラ /(n) Hegira (ara:)/Hejira/Hijra/
ヘスの法則 [ヘスのほうそく] /(n) Hess's law/
ヘスティア /(n) Hestia (Greek goddess)/
ヘズボッラー /(n) Hizbollah/Hezbollah/Hisbollah/Hizballah/
ヘズボラ /(n) Hizbollah/Hezbollah/Hisbollah/Hizballah/
ヘソ /(n) navel/belly button/
ヘソイノシシ /(n) (uk) (obsc) peccary/
ヘタウマ /(adj-no,adj-na,n) (uk) at first glance poor, but on closer examination not too bad/crude but charming (of artwork, etc.)/poorly made but captivating/
ヘタクソ /(adj-na,n) (1) extreme clumsiness/severe lack of skill at a task/(int) (2) You're hopeless!/Give it up!/
ヘダイ /(n) (uk) silver sea bream (Sparus sarba)/
ヘッジ /(n) hedge/(P)/
ヘッジファンド /(n) hedge fund/
ヘッジホッグ /(n) hedgehog/
ヘッジホッグバタフライフィッシュ /(n) bicolor butterflyfish (Prognathodes dichrous)/hedgehog butterflyfish/
ヘッジング /(n) hedging/
ヘッダ /(n) header/
ヘッダー /(n) header/(P)/
ヘッダーファイル /(n) (comp) header file (.h)/
ヘッダファイル /(n) (comp) header file/
ヘッダレコード /(n) (comp) header record/
ヘッディング /(n) heading/
ヘッディング開始 [ヘッディングかいし] /(n) (comp) start of heading/start of header/SOH/
ヘット /(n) beef dripping (fat) (dut: vet)/
ヘッド /(n) head/(P)/
ヘッド・マウント・ディスプレー /(n) (comp) head mounted display/HMD/
ヘッドアップ /(n) head up/
ヘッドエンド /(n) (comp) headend/
ヘッドギア /(n) headgear/
ヘッドクォーター /(n) headquarters/
ヘッドクオーター /(n) headquarters/
ヘッドクラッシュ /(n) (comp) head crash/
ヘッドクリーニングキット /(n) (comp) head cleaning kit/
ヘッドコーチ /(n) head coach/(P)/
ヘッドシザース /(n) head scissors/
ヘッドストック /(n) headstock/
ヘッドスピン /(n) headspin/
ヘッドスライディング /(n,vs) head sliding/
ヘッドセット /(n) headset (for phones, etc.)/
ヘッドディスクアセンブリ /(n) (comp) head-disk assembly/HDA/
ヘッドハンター /(n) headhunter/
ヘッドハンティング /(n) head-hunting/recruiting professionals from other companies/
ヘッドバン /(n) flower-patterned material used to bind the ends of the spine in books (wasei: head band)/
ヘッドバンギング /(n) head banging (esp. in popular music)/
ヘッドピース /(n) head piece/
ヘッドピン /(n) headpin (bowling)/
ヘッドフォン /(n) headphone/
ヘッドホーン /(n) headphone/
ヘッドホン /(n) headphone/(P)/
ヘッドボード /(n) headboard/
ヘッドボイス /(n) head voice/
ヘッドマウンテッド /(n) (comp) head-mounted (display, for VR)/
ヘッドマウントディスプレー /(n) (comp) head mounted display/HMD/
ヘッドマウントディスプレイ /(n) (comp) head mounted display/HMD/
ヘッドライト /(n) headlight/(P)/
ヘッドライン /(n) headline/
ヘッドランプ /(n) headlamp/
ヘッドルーム /(n) head-room/
ヘッドレス /(n) (comp) headless/
ヘッドレスサーバ /(n) (comp) headless server/
ヘッドレスト /(n) headrest (esp. on a car seat)/
ヘッドローディング域 [ヘッドローディングいき] /(n) (comp) head loading zone/
ヘッドロック /(n) headlock/
ヘッドワーク /(n) headwork/
ヘッド高 [ヘッドこう] /(n) (comp) flying height/head gap/
ヘッド衝突 [ヘッドしょうとつ] /(n) (comp) head crash/
ヘッド切換え [ヘッドきりかえ] /(n) (comp) head switching/
ヘッピリムシ /(n) (1) (uk) bombardier beetle (esp. species Pheropsophus jessoensis)/(2) stink bug/
ヘテロ /(n) (1) (abbr) hetero/heterosexual/(2) (abbr) heterozygote/
ヘテローシス /(n) heterosis/
ヘテロカリオン /(n) heterocaryon/
ヘテロクロマチン /(n) heterochromatin/
ヘテロシス /(n) heterosis/
ヘテロジーニアス /(adj-na) heterogeneous/
ヘテロジニアス /(adj-na) heterogeneous/
ヘテロジニアスコンソリデーション /(n) (comp) heterogeneous consolidation/
ヘテロセクシャル /(n) heterosexual/
ヘテロセクシュアル /(n) heterosexual/
ヘテロダイン /(n) heterodyne/
ヘテロドキシー /(n) heterodoxy/
ヘテロドックス /(n) heterodox/
ヘテロ接合 [ヘテロせつごう] /(n) (1) heterojunction/heterostructure/heterozygosis/(adj-no) (2) heterozygous/
ヘテロ接合体 [ヘテロせつごうたい] /(n) heterozygote/
ヘディング /(n) heading/(P)/
ヘドニスト /(n) hedonist/
ヘドニズム /(n) hedonism/
ヘドバン /(n) (1) headband/(n,vs) (2) (abbr) headbanging/
ヘドロ /(n) sludge/slime/chemical ooze/(P)/
ヘパリン /(n) heparin/
ヘビー /(adj-na,n) heavy/(P)/
ヘビー・クリーム /(n) heavy cream/
ヘビークリーム /(n) heavy cream/
ヘビースモーカー /(n) heavy smoker/(P)/
ヘビースモカー /(n) heavy smoker/
ヘビードリンカー /(n) alcoholic (from heavy drinker)/
ヘビーメタル /(n) heavy metal/
ヘビーユーザー /(n) (comp) heavy user/
ヘビー級 [ヘビーきゅう] /(n) heavyweight/
ヘビイチゴ /(n) false strawberry (Duchesnea chrysantha)/mock strawberry/
ヘビギンポ /(n) (uk) Enneapterygius etheostomus (species of threefin blenny)/
ヘビトンボ /(n) (uk) dobsonfly (esp. species Protohermes grandis)/
ヘビメタ /(n) (abbr) heavy metal/
ヘビ革 [ヘビがわ] /(n,adj-no) snakeskin/
ヘファイストス /(n) Hephaestus (Greek god) (gre: Hephaistos)/
ヘブライ /(n) Hebrew/
ヘブライズム /(n) Hebraism/(P)/
ヘブライ語 [ヘブライご] /(n) Hebrew/
ヘブライ人への手紙 [ヘブライじんへのてがみ] /(n) Epistle to the Hebrews (book of the Bible)/
ヘブル /(n) Hebrew/
ヘブン /(n) heaven/
ヘプタデカン /(n) heptadecane/
ヘプタン /(n) heptane/
ヘボン /(n) Hepburn (James Curtis), after whom Hepburn romanization is named/
ヘボン式 [ヘボンしき] /(n) Hepburn system (of romaji)/
ヘマタイト /(n) hematite/
ヘマトーマ /(n) hematoma/haematoma/
ヘマトクリット /(n) hematocrit/
ヘミガレウス科 [ヘミガレウスか] /(n) Hemigaleidae (family of weasel sharks containing 8 known species in 4 genera found from the eastern Atlantic to the continental Indo-Pacific)/
ヘミセルロース /(n) hemicellulose/
ヘミン /(n) hemin (an iron-containing porphyrin)/
ヘム /(n) (1) hem/(2) heme/(P)/
ヘムステッチ /(n) hemstitch/
ヘムタンパク質 [ヘムタンパクしつ] /(n) hemoprotein/haemoprotein/
ヘムライン /(n) hemline/
ヘムロック /(n) hemlock/
ヘム蛋白質 [ヘムたんぱくしつ] /(n) hemoprotein/haemoprotein/
ヘモグロビン /(n) hemoglobin/haemoglobin/(P)/
ヘモシアニン /(n) hemocyanin/
ヘモジデリン /(n) hemosiderin/
ヘヤ /(n) hair/
ヘヤー /(n) hair/
ヘラ /(n) Hera (Greek goddess)/
ヘラクレス /(n) (1) Hercules/Herakles/
ヘラザメ /(n) Borneo catshark (Apristurus platyrhynchus, species from the Western Pacific)/
ヘラザメ属 [ヘラザメぞく] /(n) Apristurus (genus of catshark in the family Scyliorhinidae known as ghost or demon catsharks)/
ヘラジカ /(n) (uk) moose/elk/
ヘラチョウザメ /(n) (uk) American paddlefish (Polyodon spathula)/
ヘラヤガラ /(n) trumpetfish (Aulostomus chinensis)/
ヘラルド /(n) herald/(P)/
ヘリ /(n) (abbr) helicopter/(P)/
ヘリウム /(n) helium (He)/(P)/
ヘリウムガス /(n) helium gas/
ヘリオス /(n) Helios/
ヘリオスコープ /(n) helioscope/
ヘリオスタット /(n) heliostat/
ヘリオックス /(n) heliox/gas mixture of helium and oxygen/often hypoxic gas mix used by divers/medical gas used for its low density and easy breathing/
ヘリオトロープ /(n) heliotrope/
ヘリオトロピン /(n) heliotropin/
ヘリオメーター /(n) heliometer/
ヘリカル /(adj-f) helical/
ヘリカルギア /(n) helical gear/
ヘリカルギヤ /(n) helical gear/
ヘリカルスキャン /(n) (comp) helical scan/
ヘリカルスプリング /(n) helical spring/
ヘリコイド /(n) helicoid/
ヘリコバクターピロリ /(n) Helicobacter pylori/
ヘリコプター /(n) helicopter/(P)/
ヘリックス /(n) helix/
ヘリポート /(n) heliport/(P)/
ヘリングボーン /(n,adj-no) herringbone/
ヘリングボン /(n,adj-no) herringbone/
ヘリンボーン /(n,adj-no) herringbone/(P)/
ヘリンボン /(n,adj-no) herringbone/
ヘル /(n) (1) hell/(2) Mr (ger: Herr)/(P)/
ヘルクレス /(n) (1) Hercules/Herakles/(2) (abbr) Dynastes hercules (variety of rhinoceros beetle)/
ヘルクレス座 [ヘルクレスざ] /(n) Hercules (constellation)/
ヘルシー /(adj-na,n) healthy/(P)/
ヘルシンキ /(n) Helsinki/(P)/
ヘルス /(n) (1) health/(2) (abbr) type of brothel/massage parlor (parlour)/(P)/
ヘルス・モニタリング /(n) health monitoring/
ヘルスクラブ /(n) health club/(P)/
ヘルスケア /(n) health care/
ヘルスケアトレーナー /(n) personal trainer (wasei: health care trainer)/fitness trainer/
ヘルスセンター /(n) health center/health centre/health club/
ヘルスチェック /(n) health check/
ヘルスフード /(n) health food/
ヘルスメーター /(n) bathroom scales (wasei: health meter)/
ヘルスモニタリング /(n) health monitoring/
ヘルツ /(n) (1) hertz (unit of frequency)/Hz/(2) heart (ger: Herz)/(P)/
ヘルツェゴビナ /(n) Herzegovina/(P)/
ヘルツシュプルングラッセル図 [ヘルツシュプルングラッセルず] /(n) (obsc) Hertzsprung-Russel diagram/HR diagram/
ヘルニア /(n) hernia (lat:)/(P)/
ヘルパー /(n) helper/(P)/
ヘルパーＴ細胞 [ヘルパーティーさいぼう] /(n) helper T cell/helper cell/
ヘルパーアプリケーション /(n) (comp) helper application/
ヘルパー細胞 [ヘルパーさいぼう] /(n) (obsc) helper cell/helper T cell/
ヘルパプログラム /(n) (comp) helper program/
ヘルパンギーナ /(n) herpangina/
ヘルファイア /(n) hellfire/
ヘルプ /(n) help/
ヘルプコレクション /(n) (comp) help collection/
ヘルプデスク /(n) (comp) help desk/
ヘルプトピック /(n) (comp) help topics/
ヘルプファイル /(n) (comp) help file/
ヘルプメッセージ /(n) (comp) help message/
ヘルプメニュー /(n) (comp) help menu/
ヘルプ画面 [ヘルプがめん] /(n) (comp) help screen/
ヘルプ機能 [ヘルプきのう] /(n) (comp) help function/
ヘルベチア /(n) Switzerland (Helvetia)/
ヘルペス /(n) herpes/
ヘルペスウイルス /(n) herpes virus/herpesvirus/
ヘルム /(n) helm/
ヘルムホルツ /(n) Helmholtz/(P)/
ヘルメス /(n) Hermes/
ヘルメット /(n) helmet/hard hat/protective headgear/(P)/
ヘレニズム /(n) Hellenism/(P)/
ヘロイン /(n) heroin/(P)/
ヘロヘロ /(adj-na,adv-to,vs) completely exhausted/dog-tired/dreadfully weary/terribly frustrated/limp/weak/flimsy/
ヘロンの公式 [ヘロンのこうしき] /(n) Heron's formula/Hero's formula/
ヘンケル /(n) Henckels/
ヘンナ /(n) henna/
ヘンパーティー /(n) hen party/
ヘンプ /(n) hemp/
ヘンリー /(n) henry/
ヘンリーの法則 [ヘンリーのほうそく] /(n) Henry's law/
ヘンリーネック /(n) Henley neckline shirt/
ヘンルーダ /(n) common rue (Ruta graveolens) (dut: wijnruit)/
ヘヴィ /(adj-na) heavy/
ヘ音記号 [ヘおんきごう] /(n) F clef/bass clef/
ヘ短調 [ヘたんちょう] /(n) F minor/
ヘ調 [ヘちょう] /(n) key of F (music)/
ヘ長調 [ヘちょうちょう] /(n) F major/
ベーエムベー /(n) Bayrische Motorenwerke/BMW/(P)/
ベーカリー /(n) bakery/(P)/
ベーキングパウダー /(n) baking powder/
ベークオフ /(n) bake off (when a bakery bakes its wares from dough brought in from elsewhere)/
ベークトポテト /(n) baked potato/
ベークドチーズケーキ /(n) baked cheesecake/
ベークドポテト /(n) baked potato/
ベークライト /(n) Bakelite/
ベーグル /(n) bagel/
ベーコン /(n) bacon/(P)/
ベーコンエッグ /(n) bacon (and) eggs/
ベーゴマ /(n) (uk) spinning top (traditionally made of Japanese babylon shell)/
ベーシスト /(n) bassist/
ベーシック /(adj-na,n) (1) basic/(2) (comp) BASIC/(P)/
ベーシックイングリッシュ /(n) Basic English/version of English with a maximum of 850 basic words/
ベーシックサービス /(n) (comp) basic service/
ベーシックディスク /(n) (comp) basic disk/
ベーシックドレス /(n) basic dress/
ベージュ /(n) beige (fre:)/(P)/
ベージュ色 [ベージュいろ] /(n,adj-no) beige (coloured)/
ベース /(n) (1) base/(2) bass/(P)/
ベース６４ [ベースろくじゅうよん] /(n) Base64/binary data/text data encoding conversion defined by MIME/
ベースとする /(exp,vs-i) to base something on/to make something the basis/
ベースアップ /(n,vs) salary increase (wasei: base up)/(P)/
ベースアドレス /(n) (comp) base address/
ベースアドレスレジスタ /(n) (comp) base address register/
ベースキャンプ /(n) base camp/(P)/
ベースギター /(n) bass guitar/
ベースコーチ /(n) base coach/
ベースジャンピング /(n) BASE jumping/
ベースジャンプ /(n) BASE jumping/
ベースステーション /(n) (comp) base station/
ベースダウン /(n) base down/
ベースドラム /(n) bass drum/
ベースバンド /(n) (comp) baseband/
ベースバンドＬＡＮ [ベースバンドラン] /(n) (comp) baseband LAN/
ベースバンド伝送 [ベースバンドでんそう] /(n) (comp) baseband transmission/
ベースボール /(n) baseball/
ベースボールカード /(n) baseball card/
ベースポイント /(n) base point/reference point/
ベースメモリ /(n) (comp) base memory/
ベースメント /(n) basement/
ベースライン /(n) baseline/
ベースラインドキュメント /(n) (comp) baseline document/
ベースランニング /(n) base running/
ベースレジスタ /(n) (comp) base register/
ベース基地 [ベースきち] /(n) (comp) base station/
ベーゼ /(n) kiss (fre: baiser)/
ベータアミロイド /(n) beta-amyloid/
ベータガラクトシダーゼ /(n) beta-galactosidase/
ベータテスト /(n) (comp) beta test/
ベータテストを実施する [ベータテストをじっしする] /(exp,vs-i) (comp) to beta test (something)/
ベータトロン /(n) betatron/
ベータバージョン /(n) (comp) beta version/
ベータラクタム系 [ベータラクタムけい] /(n) beta-lactam (var. of antibiotic)/
ベータ波 [ベータは] /(n) beta wave/
ベータ版 [ベータばん] /(n) (comp) beta version/
ベータ崩壊 [ベータほうかい] /(n) beta decay/
ベーチェット /(n) Behcet (syndrome)/
ベーチェット病 [ベーチェットびょう] /(n) Behcets disease/Behcet's syndrome/
ベートーベン /(n) Beethoven/
ベートーヴェン /(n) Beethoven/(P)/
ベーパーウェア /(n) (comp) vaporware/
ベーパーロック /(n) vapor lock/
ベーパロック /(n) vapor lock/
ベービ /(n) baby/
ベービー /(n) baby/
ベーラム /(n) bay rum/
ベール /(n) veil/(P)/
ベーン /(n) vane/
ベア /(n) (1) (abbr) increase in basic salary (wasei: base up)/(2) bear/(P)/
ベアー /(n) (1) bear/
ベアード・スパインフット /(n) barred spinefoot (Siganus doliatus, species of Western Pacific rabbitfish)/barred rabbitfish/
ベアードスパインフット /(n) barred spinefoot (Siganus doliatus, species of Western Pacific rabbitfish)/barred rabbitfish/
ベアードバク /(n) (uk) Baird's tapir (Tapirus bairdii)/
ベアード獏 [ベアードばく] /(n) (uk) Baird's tapir (Tapirus bairdii)/
ベアード貘 [ベアードばく] /(n) (uk) Baird's tapir (Tapirus bairdii)/
ベアトップ /(n) bare top/
ベアハッグ /(n) bear hug/
ベアラ /(n) (comp) bearer/
ベアラサービス /(n) (comp) bearer service/
ベアリング /(n) bearing/(P)/
ベアルック /(n) bare look/
ベイ /(n) bay/
ベイウインドー /(n) bay window/
ベイシック /(n) (comp) BASIC/
ベイジアン /(n) Bayesian/
ベイスギ /(n) red cedar (thuja plicata)/
ベイスン /(n) basin/
ベイズ /(n) Bayes/
ベイパーロック /(n) vapor lock/
ベイビー /(n) baby/
ベイビー・スリング /(n) baby sling/
ベイビースリング /(n) baby sling/
ベイリーフ /(n) bay leaf/
ベイリウム /(n) valium/
ベイルート /(n) Beirut/(P)/
ベイルアウト /(n) bailout/
ベオグラード /(n) Belgrade/(P)/
ベガ /(n) Vega/(P)/
ベクタ /(n) vector/
ベクター /(n) vector/(P)/
ベクターグラフィックス /(n) (comp) vector graphics/
ベクターフォント /(n) (comp) vector font/
ベクター構築 [ベクターこうちく] /(n) vector construction (biology)/
ベクタグラフィックス /(n) (comp) vector graphics/
ベクタフォント /(n) (comp) vector font/
ベクトル /(n,adj-no) vector (ger: Vektor)/(P)/
ベクトルジェネレータ /(n) (comp) vector generator/
ベクトルデータ /(n) (comp) vector data/
ベクトルフォント /(n) (comp) vector font/
ベクトルプロセッサ /(n) (comp) vector processor/
ベクトルポテンシャル /(n) vector potential/
ベクトルラベル /(n) (comp) vector label/
ベクトル空間 [ベクトルくうかん] /(n) vector space/
ベクトル処理機構 [ベクトルしょりきこう] /(n) (comp) array processor/vector processor/
ベクトル処理装置 [ベクトルしょりそうち] /(n) (comp) array processor/vector processor/
ベクトル積 [ベクトルせき] /(n) cross product/vector product/outer product/
ベクトル値 [ベクトルち] /(n) vector value/
ベクトル添字 [ベクトルそえじ] /(n) (comp) vector subscript/
ベクトル発生器 [ベクトルはっせいき] /(n) (comp) vector generator/
ベクトル量 [ベクトルりょう] /(n) vector quantity/
ベクレル /(n) becquerel/
ベクロニウム /(n) vecuronium (muscle relaxant)/
ベゴニア /(n) begonia (lat:)/
ベサ /(n) (comp) VESA/
ベシャメルソース /(n) bechamel sauce/
ベジェ /(n) (comp) Bezier/
ベジェ曲線 [ベジェきょくせん] /(n) (comp) Bezier curve/
ベジタブル /(n) vegetable/(P)/
ベジタリアン /(n) vegetarian/
ベジマイト /(n) Vegemite (food paste made from yeast extract)/
ベスト /(adj-na) (1) best/(n) (2) vest/(P)/
ベスト・フォー /(n) final four (in a tournament) (wasei: best four)/reaching the semifinals/
ベストエイト /(n) having reached the quarterfinals (wasei: best eight)/
ベストエフォート /(n) (comp) best effort/
ベストエフォート型 [ベストエフォートかた] /(n) (comp) best effort type/
ベストコンディション /(n) best condition/
ベストセラー /(n) best-seller/(P)/
ベストタイプ /(n) best type/
ベストタイム /(n) best time/
ベストテン /(n) best ten/(P)/
ベストドレッサー /(n) best dresser/
ベストフォー /(n) final four (in a tournament) (wasei: best four)/reaching the semifinals/
ベストフレンド /(n) best friend/
ベストメンバー /(n) best member/
ベゼル /(n) (comp) bezel/
ベタ /(n) betta (esp. the Siamese fighting fish, Betta splendens)/(P)/
ベター /(adj-na,n) better/(P)/
ベターハーフ /(n) better half/
ベタ印刷 [ベタいんさつ] /(n) solid printing/
ベッキー /(n) (comp) Becky!/
ベッコウタケ /(n) Fomitella fraxinea/
ベット /(n) (1) bet/(2) vet/
ベットタウン /(n) bedroom community (wasei: bed town)/dormitory town/commuter town/
ベッド /(n) bed/(P)/
ベッドイン /(n,vs) going to bed (usu. with someone) (wasei: bed in)/
ベッドサイド /(n) bedside/
ベッドシーン /(n) (abbr) bedroom scene/
ベッドタウン /(n) bedroom community (wasei: bed town)/dormitory town/commuter town/
ベッドハウス /(n) bed house/
ベッドメーキング /(n,vs) making beds/
ベッドメイキング /(n,vs) making beds/
ベッドルーム /(n) bedroom/
ベテラン /(n,adj-no) person with a lot of experience/old hand/veteran (in a particular field)/(P)/
ベテルギウス /(n) Betelgeuse/Alpha Orionis/
ベデラン /(n,adj-no) person with a lot of experience/old hand/veteran (in a particular field)/
ベトつく /(v5k,vi) to be sticky/
ベトコン /(n) Vietcong/Viet Cong (communist guerrilla soldiers who fought in South Vietnam during the Vietnam War)/
ベトナム /(n,adj-no) (uk) Vietnam/
ベトナム語 [ベトナムご] /(n) Vietnamese (language)/
ベトナム人 [ベトナムじん] /(n) Vietnamese (person)/
ベトナム戦争 [ベトナムせんそう] /(n) Vietnam war/
ベトミン /(n) Vietminh (Vietnamese Independence League organized to obtain freedom from French colonial rule)/
ベトン /(n) concrete (fre:)/
ベドウィン /(n) Bedouin/(P)/
ベニイトトンボ /(n) (uk) Ceriagrion nipponicum (species of damselfly)/
ベニイモ /(n) (1) purple yam/water yam (Dioscorea alata)/winged yam/(2) purple fleshed sweet potato (any one of several different such)/(3) (uk) Conus pauperculus (species of cone shell)/
ベニオチョウチョウウオ /(n) atoll butterflyfish (Chaetodon mertensii)/Merten's butterflyfish/keel-finned butterfly-fish/orangebar butterflyfish/
ベニガイ /(n) (uk) full-blooded tellin (Pharaonella sieboldii)/
ベニキツネベラ /(n) spotfin hogfish (Bodianus pulchellus)/
ベニクラゲ /(n) (uk) immortal jellyfish (Turritopsis nutricula)/
ベニザケ /(n) (uk) sockeye salmon (Oncorhynchus nerka)/red salmon/
ベニスズメ /(n) (uk) elephant hawk moth (Deilephila elpenor)/
ベニスズメ /(n) (uk) red avadavat (Amandava amandava)/strawberry finch/red munia/
ベニズワイガニ /(n) (uk) red snow crab (Chionoecetes japonicus)/
ベニテングタケ /(n) (uk) fly agaric (species of poisonous mushroom, Amanita muscaria)/
ベニハシガラス /(n) (uk) red-billed chough (Pyrrhocorax pyrrhocorax)/
ベニハゼ /(n) caesiura dwarfgoby (Trimma caesiura, goby from the Western Pacific)/
ベニハゼ属 [ベニハゼぞく] /(n) Trimma (genus of goby in the family Gobiidae)/
ベニハゼ属の１種１８ [ベニハゼぞくのいちしゅじゅうはち] /(n) fishnet pygmy goby (Trimma agrena, was Trimma sp.18)/
ベニヒワ /(n) (uk) common redpoll (Carduelis flammea)/
ベニマシコ /(n) (uk) long-tailed rosefinch (Uragus sibiricus)/
ベニミョウレンジ /(n) (uk) Camellia japonica 'Benimyorenji' (cultivar of common camellia)/
ベニヤ /(n) veneer/(P)/
ベニヤ板 [ベニヤいた] /(n) plywood/(P)/
ベネシャン /(n) venetian/
ベネズエラ /(n) Venezuela/
ベネチアングラス /(n) Venetian glass/(P)/
ベネチアンブラインド /(n) Venetian blind/
ベネディクト修道会 [ベネディクトしゅうどうかい] /(n) Order of Saint Benedict/
ベネフィット /(n) benefit/(P)/
ベネルックス /(n) Benelux/Benelux countries (Belgium, the Netherlands, Luxembourg)/
ベヒーモス /(n) behemoth/
ベビー /(n) baby/(P)/
ベビーオール /(n) one-piece garment with snaps up the front, sort of like a jumpsuit for babies (wasei: baby all)/
ベビーオイル /(n) baby oil/
ベビーカー /(n) stroller (wasei: baby car)/buggy/pushchair/(P)/
ベビーサークル /(n) play pen (wasei: baby circle)/
ベビーシッター /(n) baby-sitter/babysitter/(P)/
ベビードール /(n) baby doll/
ベビーバギー /(n) baby buggy/
ベビーパウダー /(n) baby powder/
ベビーピンク /(n) baby pink/
ベビーフード /(n) baby food/(P)/
ベビーフェース /(n) baby face/
ベビーフェイス /(n) baby face/
ベビーブーマー /(n) baby boomer/
ベビーブーム /(n) baby boom/(P)/
ベビーブルー /(n) baby blue/
ベビーベッド /(n) cot (wasei: baby bed)/basinette/crib/
ベビーホテル /(n) unlicensed child care (wasei: baby hotel)/
ベビー箪笥 [ベビーだんす] /(n) small-sized wardrobe/
ベビィードール /(n) baby doll/
ベビィドール /(n) baby doll/
ベベルギヤ /(n) bevel gear/
ベラ /(n) (uk) wrasse (any fish of family Labridae)/
ベラドンナ /(n) belladonna/
ベラドンナリリー /(n) amaryllis belladonna/belladonna lily/
ベラム /(n) vellum/
ベラルーシ /(n) Belarus (Byelorussia, Belorussia)/
ベラルーシ語 [ベラルーシご] /(n) Belarusian/Belarussian/
ベランダ /(n) balcony/verandah/(P)/
ベリー /(adj-f) (1) very/(n) (2) berry/
ベリーショート /(n) hairstyle with hair cut short to typical men's hair length (wasei: very short)/
ベリーズ /(n,adj-no) Belize/
ベリーダンサー /(n) bellydancer/
ベリーダンス /(n) belly dance/(P)/
ベリーロール /(n) belly roll/
ベリカード /(n) (abbr) verification card/
ベリサイン /(n) (comp) Verisign/
ベリファイ /(n) verify/
ベリファイア /(n) verifier/
ベリベリ /(n) beriberi/
ベリューム /(n) volume/
ベリリウム /(n) beryllium (Be)/
ベリリウム銅 [ベリリウムどう] /(n) beryllium copper/
ベリル /(n) beryl/
ベル /(n) (1) bell/(2) bel/B/(P)/
ベルーガ /(n) beluga whale (Delphinapterus Leucas)/
ベルばら /(n) (abbr) Versailles rose/
ベルアトランティック /(n) (comp) Bell Atlantic (Regional Bell Operating Company - US)/
ベルカント /(n) bel canto (ita:)/
ベルガミン /(n) pergamin (transparent, parchment-like paper)/
ベルガモット /(n) (1) bergamot (Citrus aurantium ssp. bergamia) (ita: bergamotto)/bergamot orange/(2) bergamot (Monarda didyma)/bee balm/Oswego tea/
ベルギー /(n,adj-no) (uk) Belgium/
ベルクシュルント /(n) bergschrund (crevasse near the head of a glacier) (ger:)/
ベルグ /(n) mountain (ger: Berg)/
ベルコア /(n) Bellcore (Bell Research Labs)/
ベルサイユ /(n) Versailles/(P)/
ベルスーズ /(n) berceuse (fre:)/
ベルセルカー /(n) berserker/
ベルセルク /(n) berserk/
ベルティッドラス /(n) belted wrasse (Stethojulis balteata)/
ベルト /(n) Belt for western clothes/(P)/
ベルトコンベアー /(n) belt conveyer/
ベルトコンベヤー /(n) belt conveyer/(P)/
ベルトシュメルツ /(n) weltschmerz/
ベルトプリンタ /(n) (comp) belt printer/
ベルト印字装置 [ベルトいんじそうち] /(n) (comp) belt printer/
ベルト車 [ベルトぐるま] /(n) belt pulley/
ベルト伝動 [ベルトでんどう] /(n) belt drive/
ベルヌーイ /(n) (comp) Bernoulli/
ベルファスト /(n) Belfast/(P)/
ベルベーヌ /(n) verbena (lat:)/
ベルベット /(n) velvet/
ベルベリン /(n) berberine/
ベルボーイ /(n) bellboy/
ベルボトム /(n) bell-bottom/
ベルボトムパンツ /(n) bellbottom pants/
ベルマーク /(n) bell mark/(P)/
ベルメタル /(n) bell metal/
ベルモット /(n) vermouth (fre:)/(P)/
ベルリン /(n) Berlin/
ベルリンの壁 [ベルリンのかべ] /(n) the Berlin Wall/
ベル型 [ベルがた] /(n) (comp) bell-shaped (e.g. curve)/
ベル研究所 [ベルけんきゅうしょ] /(n) (comp) Bell laboratories/
ベル友 [ベルとも] /(n) person with whom one communicates by pager/
ベレー /(n) beret (fre:)/(P)/
ベレー帽 [ベレーぼう] /(n) beret/
ベレッタ /(n) Beretta (Italian firearm manufacturer)/
ベロ /(n) (col) tongue/(P)/
ベローズ /(n) bellows/
ベロア /(n) velours/
ベロキラプトル /(n) velociraptor (lat:)/
ベロシティ /(n) (comp) velocity/
ベロシティー /(n) velocity/
ベロナール /(n) veronal/
ベロベロ /(adv,adv-to) (1) (on-mim) licking/(adj-na) (2) drunken/
ベロベロ舐める [ベロベロなめる] /(exp,v1) (uk) to lick something up/to lap something up/
ベロンベロン /(adj-na) (1) drunken/
ベロ毒素 [ベロどくそ] /(n) verotoxin/
ベンガラ /(n) red iron oxide (dut: Bengala)/rouge/
ベンガルオオトカゲ /(n) Bengal monitor (Varanus bengalensis, species of carnivorous monitor lizard found widely distributed over South Asia)/common Indian monitor/
ベンガルヤマネコ /(n) (uk) leopard cat (Prionailurus bengalensis)/
ベンガル山猫 [ベンガルやまねこ] /(n) (uk) leopard cat (Prionailurus bengalensis)/
ベンケイソウ /(n) (uk) orpine (any plant of family Crassulaceae, esp. the garden stonecrop, Hylotelephium erythrostictum)/
ベンケイソウ科 [ベンケイソウか] /(n) Crassulaceae (plant family)/
ベンジルアデニン /(n) benzyladenine/
ベンジルアルコール /(n) benzyl alcohol/
ベンジン /(n) gasoline (ger: Benzin)/petrol/(P)/
ベンズアルデヒド /(n) benzaldehyde/
ベンゼノイド /(n) benzenoid/
ベンゼン /(n) benzene/
ベンゼンスルホン酸 [ベンゼンスルホンさん] /(n) benzene-sulfonic acid/
ベンゼン核 [ベンゼンかく] /(n) benzene ring/
ベンゼン環 [ベンゼンかん] /(n) benzene ring/
ベンソン /(n) Benson/
ベンゾール /(n) benzene (ger: Benzol)/benzole/
ベンゾイル基 [ベンゾイルき] /(n) benzoyl group/
ベンゾピレン /(n) benzopyrene/
ベンゾフラン /(n) benzofuran/
ベンダ /(n) (1) bender/(2) vendor/
ベンダー /(n) (1) bender/(2) vendor/
ベンダリゼーション /(n) venderization/venderisation/
ベンダ側 [ベンダがわ] /(n) (comp) vendor-side/
ベンチ /(n) bench/(P)/
ベンチを温める [ベンチをあたためる] /(exp,v1) to warm the bench/for a player, to stay on the bench during a sports match/
ベンチウォーマー /(n) bench warmer/
ベンチシート /(n) bench seat/
ベンチプレス /(n) bench press/
ベンチマーク /(n) benchmark/
ベンチマークタスク /(n) benchmark task/
ベンチマークテスト /(n) (comp) benchmark test/
ベンチマーク試験 [ベンチマークしけん] /(n) (comp) benchmark test/
ベンチャ /(n) (1) venture/(2) bencher (baseball)/
ベンチャー /(n) (1) venture/(2) bencher (baseball)/(P)/
ベンチャーキャピタル /(n) venture capital/
ベンチャービジネス /(n) venture business/
ベンチャー企業 [ベンチャーきぎょう] /(n) venture business/
ベンチュリ管 [ベンチュリかん] /(n) Venturi tube/
ベンチレーター /(n) ventilator/
ベンツ /(n) (1) (Mercedes) Benz/(2) vent/(P)/
ベンディング /(n) bending/
ベンディングマシーン /(n) vending machine/
ベント /(n) (1) vent/(adj-f) (2) bent/(n) (3) "finger bending" guitar technique/
ベントス /(n) benthos/
ベントナイト /(n) bentonite/
ベンド /(n) bend/
ベンド生物 [ベンドせいぶつ] /(n) Vendobionta/
ベンフォードの法則 [ベンフォードのほうそく] /(n) Benford's law/
ベン図 [ベンず] /(n) Venn diagram/
ベン髪 [ベンぱつ] /(n) pigtail/queue/cue/
ペーシュ・カショーロ /(n) payara (Hydrolycus scomberoides)/dog tooth characin/vampire fish/
ペーシュカショーロ /(n) payara (Hydrolycus scomberoides)/dog tooth characin/vampire fish/
ページに及ぶ [ページにおよぶ] /(exp,v5b) .. pages long/
ページの向き [ページのむき] /(n) (comp) page orientation/
ページの頭書き [ページのあたまがき] /(n) (comp) page heading/
ページの裏 [ページのうら] /(n) overleaf/
ページアウト /(n) page out/
ページイン /(n) page in/
ページェント /(n) pageant/
ページガール /(n) page girl/
ページデータセット /(n) (comp) page data set/
ページビュー /(n) (comp) page view/
ページファイル /(n) (comp) page file/
ページフォルト /(n) (comp) page fault/
ページフレーム /(n) (comp) page frame/
ページプリンタ /(n) (comp) page printer/
ページプリンター /(n) page printer/
ページボーイ /(n) page boy/
ページミル /(n) (comp) PageMill/
ページモード /(n) (comp) page mode/
ページャ /(n) pager/
ページャー /(n) (comp) pager/
ページレイアウトプログラム /(n) (comp) page layout program/
ページワン /(n) page one/
ページング /(n) (comp) paging/
ページング可能 [ページングかのう] /(adj-na) (comp) pageable/
ページング技法 [ページんぐぎほう] /(n) (comp) paging technique/
ページ印字装置 [ページいんじそうち] /(n) (comp) page printer/
ページ記述言語 [ページきじゅつげんご] /(n) (comp) Page Description Language/PDL/
ページ脚書き [ページあしがき] /(n) (comp) page footing/
ページ区切り [ページくぎり] /(n) (comp) page break/
ページ座標系 [ページざひょうけい] /(n) (comp) page coordinate system/
ページ集合 [ページしゅうごう] /(n) (comp) page set/
ページ書き込み保護 [ページかきこみほご] /(n) (comp) page write protect/
ページ数 [ページすう] /(n) number of pages/
ページ組み [ページぐみ] /(n) paging/
ページ置換アルゴリズム [ページちかんアルゴリズム] /(n) (comp) page replacement algorithm/
ページ読取り装置 [ページよみとりそうち] /(n) (comp) page reader/
ページ番号 [ページばんごう] /(n) (comp) page number/
ページ番号を付ける [ページばんごうをつける] /(exp,v1) (comp) to paginate/
ページ分け [ページわけ] /(n,vs) (comp) pagination/
ページ変換例外 [ページへんかんれいがい] /(n) (comp) page translation exception/
ページ本体 [ページほんたい] /(n) (comp) page body/
ページ枠 [ページわく] /(n) (comp) page frame/
ペース /(n) pace/(P)/
ペースト /(n) (1) paste/(2) pest/
ペースト状 [ペーストじょう] /(n) (a) paste/
ペースメーカ /(n) (1) pacemaker/(2) pacesetter/
ペースメーカー /(n) (1) pacemaker/(2) pacesetter/(P)/
ペース配分 [ペースはいぶん] /(n,vs) pacing (e.g. in athletics, etc.)/pacing oneself/
ペーズリー /(n) Paisley/
ペーソス /(n) pathos/(P)/
ペーパー /(n) paper/(P)/
ペーパーカップ /(n) paper cup/
ペーパーカンパニー /(n) paper company (i.e. existing "only on paper")/
ペーパークラフト /(n) papercraft/
ペーパークロマトグラフィー /(n) paper chromatography/
ペーパーゴールド /(n) paper gold/
ペーパータオル /(n) paper towel/
ペーパーテスト /(n) written test (wasei: paper test)/
ペーパードライバー /(n) person with driving licence but no practice (practise, license) (wasei: paper driver)/
ペーパーナイフ /(n) paper-knife/
ペーパーバック /(n) paperback/
ペーパープラン /(n) paper plan/
ペーパーホールダー /(n) paper holder/
ペーパーホルダー /(n) paper holder/
ペーパーレス /(adj-f) paperless/
ペーパーワーク /(n) paperwork/
ペーパー電池 [ペーパーでんち] /(n) paper cell/
ペーパフィード /(n) (comp) paper feed/
ペーブメント /(n) pavement/
ペーブメントアーチスト /(n) pavement artist/
ペール /(adj-f) (1) pale/(n) (2) pail/(P)/
ペールホワイト /(n,adj-no) pale white/
ペールリップドサージャンフィッシュ /(n) palelipped surgeonfish (Acanthurus leucocheilus, species of Indo-Pacific tang)/
ペールリップドサージョンフィッシュ /(n) palelipped surgeonfish (Acanthurus leucocheilus, species of Indo-Pacific tang)/
ペール缶 [ペールかん] /(n) large can with a handle (wasei: pail can)/pail/
ペーロニー病 [ペーロニーびょう] /(n) Peyronie's disease/
ペア /(n) (1) pair/(2) pair-oared boat/(3) pear/(P)/
ペアー /(n) (1) pair/(2) pair-oared boat/(3) pear/
ペアを組む [ペアをくむ] /(exp,v5m) to form a pair (pairs)/to partner/
ペアオール /(n) pair-oar/
ペアオキュペーション /(n) pair occupation/
ペアガラス /(n) double glazing (wasei: pair glass)/
ペアスケーティング /(n) pair skating/
ペアリフト /(n) pair lift (ski)/
ペアリング /(n) (1) pairing/(2) unmarried couple living together/(P)/
ペアルック /(n) matching clothing worn by couples (wasei: pair look)/
ペアレンツ /(n) parents/
ペアレント /(n) parent/
ペアワイズ /(n) pair-wise/
ペイ /(n,vs) pay/(P)/
ペイオフ /(n) (1) deposit insurance/(2) payoff (e.g. in game theory)/
ペイガニズム /(n) paganism/
ペイジャー /(n) (comp) pager/
ペイジング /(n) (comp) paging/
ペイテレビ /(n) pay TV/pay television/
ペイデー /(n) payday/
ペイバイフォン /(n) pay-by-phone/
ペイパー /(n) paper/
ペイパービュー /(n) pay-per-view/
ペイパーユーズ /(n) (comp) pay-per-use/
ペイブリッジ /(n) pay bridge/
ペイメント /(n) payment/
ペイルエル /(n) pale ale/
ペイロード /(n) (comp) payload (of a cell, packet, etc.)/
ペイロードスペシャリスト /(n) payload specialist/
ペイロニー病 [ペイロニーびょう] /(n) Peyronie's disease/
ペインクリニック /(n) pain clinic/(P)/
ペインティング /(n) (comp) painting/
ペインティングソフトウェア /(n) (comp) painting software/
ペインティングナイフ /(n) painting-knife/
ペイント /(n) paint/(P)/
ペイントシステム /(n) paint system/
ペイントソフト /(n) (comp) paint software/
ペイントプログラム /(n) (comp) paint program/
ペイントボール /(n) paintball/
ペイント系プログラム [ペイントけいプログラム] /(n) (comp) paint program/
ペイ患 [ペイかん] /(n) (obsc) drug addict/
ペイ中 [ペイちゅう] /(n) (obsc) drug addiction/
ペカン /(n) pecan (Carya illinoinensis)/
ペガサス /(n) Pegasus/
ペガススベニハゼ /(n) greybearded pygmy goby (Trimma annosum, from the Indo-West Pacific)/
ペガスス座 [ペガススざ] /(n) (constellation) Pegasus/
ペキニーズ /(n) Pekinese (dog)/
ペキノロジー /(n) Pekingology/
ペキン条約 [ペキンじょうやく] /(n) Convention of Peking (1860)/
ペキン料理 [ペキンりょうり] /(n) Beijing cuisine/
ペギング /(n) (comp) pegging/
ペクチン /(n,adj-no) pectin/pectine/
ペクチン酸 [ペクチンさん] /(n) pectic acid/
ペグ /(n) peg/
ペグマタイト /(n) pegmatite/
ペケ /(n) (1) x-mark (used to indicate an incorrect answer in a test, etc.)/(2) (uk) impossibility/futility/uselessness/
ペコリーノ /(n) pecorino/
ペザント /(n) peasant/
ペシミスチック /(adj-na) pessimistic/
ペシミスティック /(adj-na) pessimistic/(P)/
ペシミスト /(adj-na,n) pessimist/
ペシミズム /(n) pessimism/
ペスカトーレ /(n) pescatore (used in reference to Italian dishes with seafood) (ita:)/
ペスト /(n) black plague (fre: peste)/(P)/
ペストリー /(n) pastry/
ペスト菌 [ペストきん] /(n) plague bacillus (Yersinia pestis, formerly pasteurella pestis)/
ペセタ /(n) peseta/
ペソ /(n) peso/
ペタ /(n,pref) peta-/10^15/
ペタバイト /(n) (comp) petabyte/
ペタンク /(n) petanque (fre:)/
ペダル /(n) pedal/(P)/
ペダンチズム /(n) pedantism (fre:)/
ペダンチック /(adj-na,n) pedantic/
ペダント /(n) pedant/
ペダントリー /(n) pedantry/
ペチコート /(n) petticoat/
ペチコートガバメント /(n) petticoat government/
ペチャクチャ /(adv,vs) (on-mim) chattering/chit-chat/(ladies) prattle/
ペチュニア /(n) petunia (lat:)/
ペッカリー /(n) peccary/
ペック /(n) peck (unit of volume)/
ペッグ /(n) peg/
ペッサリー /(n) pessary/contraceptive diaphragm for vaginal use/(P)/
ペッタンコ /(adj-na,adj-no) (1) crushed flat/flattened/squashed/flat-topped/(n) (2) (col) (m-sl) flat-chested girl/(3) (on-mim) sound of a sticky rice cake sticking to something/
ペッティング /(n) heavy petting/sexual petting/
ペット /(n) (1) pet/(2) (abbr) trumpet/(P)/
ペットショップ /(n) pet shop/
ペットネーム /(n) pet name/
ペットフード /(n) pet food/(P)/
ペットロス /(n) emotional effect on pet owners from losing their pet (wasei: pet loss)/
ペット屋 [ペットや] /(n) pet store/
ペット病 [ペットびょう] /(n) pet-communicated infection/
ペッパー /(n) pepper/
ペッパーミル /(n) pepper mill/
ペテン師 [ペテンし] /(n) swindler/imposter/crook/
ペディキュア /(n) pedicure/
ペディメント /(n) pediment/
ペデスタル /(n) pedestal/
ペデストリアン /(n) pedestrian/
ペデストリアンデッキ /(n) pedestrian deck/
ペトリ /(n) Petri/(P)/
ペトリネット /(n) Petri-net/
ペトリ皿 [ペトリさら] /(n) Petri dish/
ペトリ皿 [ペトリざら] /(n) Petri dish/
ペトローリアム /(n) petroleum/(P)/
ペトロール /(n) (1) white spirit (fre: petrole)/mineral spirits/(2) petrol/gasoline/
ペトロの手紙一 [ペトロのてがみいち] /(n) First Epistle of Peter (book of the Bible)/
ペトロの手紙二 [ペトロのてがみに] /(n) Second Epistle of Peter (book of the Bible)/
ペトロダラー /(n) petrodollar/
ペトロフード /(n) petroleum/petrofood/(P)/
ペトロラタム /(n) petrolatum/
ペドフィリア /(n) pedophilia/
ペドメーター /(n) pedometer/(P)/
ペナルティ /(n) penalty/
ペナルティー /(n) penalty/(P)/
ペナルティーエリア /(n) penalty area/
ペナルティーエルア /(n) penalty area/
ペナルティーキック /(n) penalty kick/
ペナルティーゴール /(n) penalty goal/PG/
ペナルティーボックス /(n) penalty box/
ペナルティキック /(n) penalty kick/
ペナント /(n) pennant/(P)/
ペナントレース /(n) pennant race/
ペニー /(n) penny/
ペニーウェート /(n) pennyweight/
ペニシラミン /(n) penicillamine/
ペニシリン /(n) penicillin/(P)/
ペニシリンアナフィラキシー /(n) penicillin anaphylaxy/
ペニシリンアレルギー /(n) penicillin allergy/
ペニシリンショック /(n) penicillin shock/
ペニス /(n) penis (lat:)/
ペニス羨望 [ペニスせんぼう] /(n) penis envy/
ペニバン /(n) strap on dildo/
ペニヒ /(n) pfennig (ger: Pfennig)/
ペネトレーションテスト /(n) (comp) penetration test/
ペパー /(n) pepper/
ペパーミント /(n) peppermint/
ペパロニ /(n) pepperoni/
ペブルドバタフライフィッシュ /(n) pebbled butterflyfish (Chaetodon multicinctus)/multiband butterflyfish/
ペプシ /(n) Pepsi (Cola)/
ペプシノーゲン /(n) pepsinogen/
ペプシン /(n,adj-no) pepsin/(P)/
ペプチダーゼ /(n) peptidase/
ペプチド /(n) peptide/
ペプチドホルモン /(n) peptide hormone/
ペプチド結合 [ペプチドけつごう] /(n) peptide bond/
ペプトン /(n) peptone/
ペプラム /(n) peplum/
ペヘレイ /(n) pejerrey (Odontesthes bonariensis)/Argentinian silverside/
ペペロミア /(n) peperomia (lat:)/
ペペロンチーノ /(n) peperoncino (ita:)/
ペポ南瓜 [ペポカボチャ] /(n) (uk) marrow (any variety of Cucurbita pepo, inc. acorn squash, spaghetti squash, etc.)/
ペミカン /(n) pemmican/
ペヤ /(n) (1) pair/(2) pair-oared boat/(3) pear/
ペヤ /(n) pair/
ペヨーテ /(n) peyote/
ペラグラ /(n) pellagra (ita:)/
ペラルゴニウム /(n) pelargonium (lat:)/
ペリカン /(n) pelican/(P)/
ペリシアーズグレゴリー /(n) Mauritian gregory (Stegastes pelicieri)/
ペリスコープ /(n) periscope/
ペリパトス学派 [ペリパトスがくは] /(n) Peripatetic school (of philosophy)/
ペリフェラル /(n) (comp) peripheral/
ペリルポイント /(n) peril point/
ペル /(n) (comp) pel/
ペルー /(n) (uk) Peru/(P)/
ペルオキシソーム /(n) peroxisome/
ペルシア語 [ペルシアご] /(n) Persian (language)/Farsi/
ペルシア人 [ペルシアじん] /(n) Persian person/
ペルシア戦争 [ペルシアせんそう] /(n) Persian Wars/
ペルシア猫 [ペルシアねこ] /(n) Persian cat/
ペルシャ語 [ペルシャご] /(n) Persian (language)/Farsi/
ペルシャ戦争 [ペルシャせんそう] /(n) Persian Wars/
ペルシャ猫 [ペルシャねこ] /(n) Persian cat/
ペルシャ絨毯 [ペルシャじゅうたん] /(n) Persian carpet/
ペルシュロン種 [ペルシュロンしゅ] /(n) Percheron/
ペルセウス座 [ペルセウスざ] /(n) (constellation) Perseus/
ペルセウス座流星群 [ペルセウスざりゅうせいぐん] /(n) Perseids/
ペルソナ /(n) persona (lat:)/
ペルソナノングラータ /(n) persona non grata (lat:)/
ペルム紀 [ペルムき] /(n) Permian period/
ペルヴィアンクロミス /(n) Peruvian chromis (Chromis intercrusma)/
ペレーの毛 [ペレーのけ] /(n) Pele's hair (threads of volcanic glass formed in mid-air)/
ペレーの涙 [ペレーのなみだ] /(n) Pele's tears (tearlike drops of volcanic glass)/
ペレストロイカ /(n) perestroika (rus:)/(P)/
ペレスメジロザメ /(n) (uk) Caribbean reef shark (Carcharhinus perezii, species of requiem shark found in the tropical waters of the western Atlantic Ocean from Florida to Brazil)/
ペレス目白鮫 [ペレスめじろざめ] /(n) (uk) Caribbean reef shark (Carcharhinus perezii, species of requiem shark found in the tropical waters of the western Atlantic Ocean from Florida to Brazil)/
ペレタイジング /(n) pelletizing/
ペレット /(n) pellet/
ペレンティーオオトカゲ /(n) perentie (Varanus giganteus, largest species of carnivorous monitor lizard native to Australia)/
ペロニー病 [ペロニーびょう] /(n) Peyronie's disease/
ペロペロ /(adj-na,adv) (on-mim) licking/(P)/
ペロポネソス戦争 [ペロポネソスせんそう] /(n) Peloponnesian War/
ペン /(n) pen/(P)/
ペンに似た [ペンににた] /(n) (comp) light pen/
ペンは剣よりも強し [ペンはけんよりもつよし] /(exp) the pen is mightier than the sword/
ペンキ /(n) paint (dut: pek)/(P)/
ペンキ屋 [ペンキや] /(n) painter (of buildings, etc.)/
ペンキ塗り [ペンキぬり] /(n) painting (houses, fences, etc.)/
ペンキ塗り立て [ペンキぬりたて] /(n) wet paint/
ペンギン /(n) penguin/(P)/
ペンクラブ /(n) PEN club/club for poets, play-wrights, essayists, editors, novelists/(P)/
ペンコンピュータ /(n) (comp) pen computer/
ペンション /(n) pension (Western-style boardinghouse)/(P)/
ペンシル /(n) pencil/
ペンシル・フィッシュ /(n) pencil fish (Nannostomus spp.)/
ペンシルストライプ /(n) pencil stripe/
ペンシルバニア /(n) Pennsylvania/
ペンシルフィッシュ /(n) pencil fish (Nannostomus spp.)/
ペンシルベニア /(n) Pennsylvania/(P)/
ペンシルベニア・ダッチ /(n) Pennsylvania Dutch/Pennsylvania German/
ペンシルベニアダッチ /(n) Pennsylvania Dutch/Pennsylvania German/
ペンス /(n) pence/
ペンステモン /(n) penstemon (lat:)/pentstemon/beardtongue/
ペンセ /(n) thoughts (fre: pensee)/
ペンタゴン /(n) pentagon/(P)/
ペンタスロン /(n) pentathlon/
ペンタゾシン /(n) pentazocine/
ペンタックス /(n) Pentax/
ペンタッチ /(n) pen-touch/
ペンタトニック /(n) pentatonic (scale)/
ペンタブレット /(n) pen tablet/
ペンタプリズム /(n) pentaprism/
ペンタン /(n) pentane/
ペンダント /(n) pendant/(P)/
ペンダントトップ /(n) combination of pendant and chain attachment/
ペンチ /(n) (abbr) pliers (wasei: pinchers)/(P)/
ペンティアム /(n) (comp) Pentium (Intel processor)/
ペンティアムオーディーピー /(n) (comp) Pentium ODP/
ペンティアムスリー /(n) (comp) Pentium III/
ペンティアムツー /(n) (comp) Pentium II/
ペンティアムツージーオン /(n) (comp) Pentium II Xeon/
ペンティアムプロ /(n) (comp) Pentium Pro/
ペンディング /(n) pending/
ペントース /(n) pentose/
ペントハウス /(n) penthouse/
ペントリット /(n) penthrite/
ペンナイフ /(n) penknife/
ペンネ /(n) penne (ita:)/
ペンネーム /(n) pen-name/(P)/
ペンバクロミス /(n) Pemba chromis (Chromis pembae)/
ペンパル /(n) pen pal/
ペンフリック /(n) (comp) pen flick/
ペンフレンド /(n) pen-friend/
ペンプロッター /(n) pen plotter/
ペンホルダ /(n) (comp) pen holder/
ペンホルダー /(n) penholder/
ペンホルダーグリップ /(n) penholder grip/
ペンボタン /(n) (comp) pen button/
ペンマンシップ /(n) penmanship/
ペンライト /(n) penlight/
ペンローズ /(n) Penrose/
ペン画 [ペンが] /(n) pen drawing/pen-and-ink drawing/
ペン回し [ペンまわし] /(n) pen spinning/spinning a pen around between the fingers/
ペン型 [ペンがた] /(n,adj-no) pen-shaped/wand/stylus/
ペン形 [ペンがた] /(n,adj-no) pen-shaped/wand/stylus/
ペン皿 [ペンざら] /(n) pen tray/
ペン字 [ペンじ] /(n) pen writing/character written with a pen/
ペン軸 [ペンじく] /(n) penholder/
ペン書き [ペンがき] /(n) writing or drawing in ink/
ペン先 [ペンさき] /(n) pen nibs/(P)/
ペン入力 [ペンにゅうりょく] /(n,adj-no) (comp) pen input/
ペン胼胝 [ペンだこ] /(n) callus on one's middle finger (from writing)/
ホ /(n) 5th in a sequence denoted by the iroha system/5th note in the diatonic scale (used in key names, etc.)/
ホーア /(n) (obsc) whore/
ホーク /(n) (1) fork/(2) hawk/(P)/
ホース /(n) hose (dut: hoos)/(P)/
ホースアウト /(n) force out/
ホースカラータイプ /(n) front-mounted BCD (wasei: hose collar type)/scuba buoyancy control device with a front-mounted air bladder/
ホースパワー /(n) horsepower/HP/PS/
ホースフェイス・ローチ /(n) horseface loach (Acantopsis choirorhynchos)/horsehead loach/
ホースフェイスユニコーンフィッシュ /(n) bignose unicornfish (Naso vlamingii, species of Indo-pan-Pacific tang)/
ホースフェイスローチ /(n) horseface loach (Acantopsis choirorhynchos)/horsehead loach/
ホースラディッシュ /(n) horseradish/
ホースレース /(n) horse race/
ホーデン /(n) testicles (ger: Hoden)/
ホーニング /(n) honing/
ホーネット /(n) hornet/
ホーバークラフト /(n) Hovercraft/
ホーブ /(n) (comp) HORB/
ホープ /(n) hope/(P)/
ホーボー /(n) hobo/
ホーマー /(n) homer (baseball)/home run/(P)/
ホーミング /(n) homing/(P)/
ホーミング魚雷 [ホーミングぎょらい] /(n) homing torpedo/
ホーム /(n,adj-no) (1) platform/(2) (abbr) home/(P)/
ホームアドレス /(n) (comp) home address/
ホームアンドアウェー /(exp) home-and-away/
ホームイン /(n,vs) goal reached (baseball) (wasei: home in)/get home/(P)/
ホームインプルーブメント /(n) home improvement/HI/
ホームウエア /(n) house dress (wasei: home wear)/
ホームエコノミックス /(n) home economics/
ホームエステ /(n) (abbr) service that goes to clients' homes to give beauty treatments (wasei: home esthetics)/
ホームエレクトロニクス /(n) home electronics/
ホームオートメーション /(n) home automation/HA/
ホームクッキング /(n) home cooking/
ホームグラウンド /(n) home ground/(P)/
ホームグランド /(n) home ground/
ホームゲーム /(n) home game/
ホームコメディ /(n) home comedy/situation comedy/
ホームコメディー /(n) home comedy/situation comedy/
ホームコンピューティング /(n) (comp) home computing/
ホームシック /(n) homesick/(P)/
ホームショッピング /(n) home shopping/
ホームスクーリング /(n) home schooling/
ホームスチール /(n) stealing home in baseball (wasei: home steal)/
ホームステイ /(n) homestay/(P)/
ホームストレート /(n) home straight/
ホームストレッチ /(n) homestretch/
ホームスパン /(n) homespun/
ホームズ /(n) Holmes/(P)/
ホームセキュリティーシステム /(n) home security system/(P)/
ホームセンター /(n) home center/
ホームターミナル /(n) home terminal/(P)/
ホームタウン /(n) hometown/
ホームタウンディシジョン /(n) hometown decision/
ホームタウンデシジョン /(n) hometown decision/
ホームチーム /(n) home team/
ホームテレホン /(n) (comp) home telephone/
ホームディレクトリ /(n) (comp) home-directory/
ホームトレーディング /(n) home trading/
ホームトレード /(n) home trade/
ホームドクター /(n) family doctor (wasei: home doctor)/family physician/
ホームドラマ /(n) (TV) drama of family life (wasei: home drama)/soap opera/(P)/
ホームドレス /(n) plain dress for everyday wear (wasei: home dress)/
ホームバー /(n) home bar/
ホームバンキング /(n) (comp) home banking/
ホームパーティー /(n) house party (wasei: home party)/stayover/
ホームフリージング /(n) home freezing/
ホームプレート /(n) home plate/
ホームヘルパー /(n) home helper/(P)/
ホームベーカリー /(n) bread machine (wasei: home bakery)/breadmaker/
ホームベース /(n) home plate (base) (baseball)/
ホームページ /(n) (comp) web site/home page/
ホームポジション /(n) (comp) home position/
ホームマシン /(n) (comp) home computer (lit: home machine)/
ホームムービー /(n) home movie/
ホームメーカー /(n) homemaker/
ホームメード /(adj-f) homemade/
ホームメイド /(adj-f) homemade/
ホームユーザ /(n) (comp) home user/
ホームユーザー /(n) (comp) home user/
ホームユース /(n) home use/
ホームラン /(n) home run/(P)/
ホームランダービー /(n) home run derby/
ホームリザベーション /(n) home reservation/
ホームルーム /(n) homeroom/(P)/
ホームレス /(adj-no) homeless/
ホームワーク /(n) homework/
ホーム位置 [ホームいち] /(n) (comp) home position/
ホーリー /(n) (1) English holly (Ilex aquifolium)/
ホール /(n) (1) hall/(2) hole/(3) whole/(P)/
ホールアウト /(n) hole out/
ホールインワン /(n) hole in one/
ホールスタッフ /(n) staff who serve or assist customers or visitors (e.g. restaurant, pachinko parlour, etc.) (wasei: hall staff)/
ホールセール /(n) wholesale/
ホールター /(n) halter/
ホールターネック /(n) halterneck/
ホールダー /(n) holder/
ホールディング /(n) (1) holding (i.e. holding something)/(2) holding-pattern (e.g. aircraft)/
ホールトマト /(n) (tinned and peeled) whole tomatoes/
ホールド /(n) hold/
ホールドアップ /(int) (1) Hold up!/Hands up!/(vs) (2) to hold up/
ホールドタイム /(n) (comp) hold time/
ホールド時間 [ホールドじかん] /(n) (comp) hold time/
ホールピペット /(n) whole pipet/
ホールホイートブレッド /(n) whole-wheat bread/
ホーロー /(n) enamel/enamelled metal ware (sinks, pots, etc.)/
ホーローウェア /(n) hollowware, esp. enamelled castiron pots, pans, etc./
ホーン /(n) (1) horn/(2) phon (unit of loudness level of sound)/(P)/
ホーンシャーク /(n) horn shark (Heterodontus francisci, a bullhead shark from the Eastern Pacific)/
ホアー /(n) (obsc) whore/
ホイール /(n) wheel/(P)/
ホイールアライメント /(n) wheel alignment/
ホイールキャップ /(n) wheel cap/
ホイールスピン /(n) wheelspin/
ホイールベース /(n) wheelbase/
ホイールマウス /(n) (comp) wheel mouse/computer mouse with a wheel/
ホイスト /(n) (1) hoist/(2) whist/
ホイッスル /(n) whistle/(P)/
ホイッスルブロウワー /(n) whistle-blower/
ホイッパーウィルヨタカ /(n) (uk) whip-poor-will (Caprimulgus vociferus)/whippoorwill/
ホイッパーウィル夜鷹 [ホイッパーウィルよたか] /(n) (uk) whip-poor-will (Caprimulgus vociferus)/whippoorwill/
ホイップ /(n,vs) whip/
ホイップアーウイルヨタカ /(n) (uk) whip-poor-will (Caprimulgus vociferus)/whippoorwill/
ホイップアーウイル夜鷹 [ホイップアーウイルよたか] /(n) (uk) whip-poor-will (Caprimulgus vociferus)/whippoorwill/
ホイップクリーム /(n) whipped cream/
ホイヘンスの原理 [ホイヘンスのげんり] /(n) Huygens' principle/
ホイペット /(n) whippet/
ホイル /(n) foil (esp. aluminium foil)/
ホイル焼 [ホイルやき] /(n) roast in foil wrapper/
ホウィスカ /(n) whisker/
ホウオウボク /(n) (uk) royal poinciana (Delonix regia)/flamboyant/
ホウキムシ /(n) (uk) phoronid (any wormlike animal of phylum Phoronida)/
ホウギュウ /(n) zebu/
ホウサンダンゴ /(n) type of poisonous cockroach bait/
ホウズキ /(n) Hozukius emblemarius (species of fish closely related to the rockfish)/
ホウセキハタ /(n) (uk) brown-spotted grouper (species of fish, Epinephelus chlorostigma)/
ホウネンエビ /(n) (uk) Branchinella kugenumaensis (species of fairy shrimp)/
ホウノキ /(ik) (n) (uk) magnolia (Magnolia obovata)/Japanese big leaf magnolia/
ホウボウ /(n) (uk) red gurnard (Chelidonichthys spinosus)/gurnet/sea robin/
ホウライエソ /(n) (uk) Sloane's viperfish (Chauliodus sloani)/
ホウライザメ /(n) spot-tail shark (Carcharhinus sorrah, species of requiem shark found in the Indo-West Pacific)/
ホウライシダ /(n) (uk) common maidenhair (species of maidenhair fern, Adiantum capillus-veneris)/
ホウライヒメジ /(n) whitesaddle goatfish (Parupeneus ciliatus)/white-lined goatfish/diamondscale goatfish/cardinal goatfish/
ホウ砂 [ホウしゃ] /(n) borax/
ホウ酸 [ホウさん] /(n) boric acid/
ホウ酸だんご [ホウさんだんご] /(n) type of poisonous cockroach bait/
ホウ酸塩 [ホウさんえん] /(n) borate/
ホウ素 [ホウそ] /(n) boron (B)/
ホエー /(n) whey/
ホエール /(n) whale/
ホエールウオッチング /(n) whale watching/
ホエイ /(n) whey/
ホエザル /(n) (uk) howler monkey/
ホエジカ /(n) (uk) common muntjac (species of barking deer, Muntiacus muntjak)/Indian muntjac/
ホオジロ /(n) (1) (uk) meadow bunting (species of passerine, Emberiza cioides)/
ホオジロガモ /(n) (uk) common goldeneye (species of duck, Bucephala clangula)/
ホオジロザメ /(n) (uk) great white shark/white pointer (Carcharodon carcharias)/
ホオスジオオトカゲ /(n) Kimberley rock monitor (Varanus glauerti, species of carnivorous monitor lizard native to northern Australia)/Glauert's monitor/
ホオズキ /(n) (uk) ground cherry (Physalis alkekengi var. franchetii)/husk tomato/Chinese lantern plant/
ホオズキガイ /(n) (uk) (obsc) lampshell (excluding the lingulate brachiopods)/lamp shell/
ホオノキ /(n) (uk) magnolia (Magnolia obovata)/Japanese big leaf magnolia/
ホカホカ弁当 [ホカホカべんとう] /(n) hot bento/
ホカ弁 [ホカべん] /(n) hot bento/
ホキ /(n) hoki (Macruronus novaezelandiae)/blue grenadier/
ホクロキンチャクフグ /(n) Canthigaster inframacula (species of pufferfish found in the Eastern Central Pacific)/
ホコサキ /(n) hardnose shark (Carcharhinus macloti, species of requiem shark found in the Indo-West Pacific)/
ホコ天 [ホコてん] /(n) pedestrian mall (lit: pedestrian paradise)/car-free pedestrian mall/
ホサナ /(n) hosanna/
ホザキシモツケ /(n) (uk) Spiraea salicifolia (species of spirea)/
ホザキノフサモ /(n) (uk) Eurasian water milfoil (Myriophyllum spicatum)/
ホシガラス /(n) (uk) spotted nutcracker (Nucifraga caryocatactes)/
ホシクサ /(n) pipewort (Eriocaulon cinereum)/
ホシクズベニハゼ /(n) Trimma milta (species of goby from French Polynesia)/
ホシゴンベ /(n) blackside hawkfish (Paracirrhites forsteri)/
ホシザメ /(n) (uk) starspotted smooth-hound (species of hound shark, Mustelus manazo)/
ホシザメ属 [ホシザメぞく] /(n) Mustelus (genus of smooth-hound sharks in the family Triakidae)/from the Latin mustela meaning weasel/
ホシゾラヤッコ /(n) bluespotted angelfish (Chaetodontoplus caeruleopunctatus)/
ホシダカラガイ /(n) (uk) tiger cowrie (Cypraea tigris)/tiger cowry/
ホシヒレイソハゼ /(n) Queensland pygmy goby (Eviota queenslandica)/
ホシフグ /(n) starry toado (pufferfish, Arothron firmamentum)/
ホシムクドリ /(n) (uk) common starling/European starling (Sturnus vulgaris)/
ホシムシ /(n) (uk) peanut worm (any worm of phylum Sipuncula)/
ホジキンリンパ腫 [ホジキンリンパしゅ] /(n) Hodgkin's lymphoma/
ホジキン病 [ホジキンびょう] /(n) Hodgkin's lymphoma/Hodgkin's disease/
ホスゲン /(n) phosgene (ger: Phosgen)/carbonyl chloride/
ホスジャンプ /(n) (abbr) hop step and jump/triple jump/
ホスツ /(n) (comp) hosts/
ホスティングサービス /(n) (comp) hosting service/
ホステス /(n) hostess/(P)/
ホステラー /(n) hosteler/
ホステル /(n) hostel/(P)/
ホスト /(n) host/(P)/
ホストＯＳ [ホストオーエス] /(n) (comp) host Operating System/
ホストカントリー /(n) host country/
ホストクラブ /(n) host club/
ホストコンピュータ /(n) (comp) host computer/
ホストコンピューター /(n) (comp) host computer/
ホストシステム /(n) (comp) host system/
ホストネーム /(n) host-name/
ホストノード /(n) (comp) host node/
ホストバスアダプタ /(n) (comp) host bus adapter/
ホストファミリー /(n) host family/
ホストマシン /(n) (comp) host machine/
ホスト計算機 [ホストけいさんき] /(n) (comp) host computer/
ホスト名 [ホストめい] /(n) (comp) host name/
ホスピス /(n) hospice/(P)/
ホスピタリズム /(n) hospitalism/
ホスピタリティ /(n) hospitality/
ホスピタリティー /(n) hospitality/
ホスピタル /(n) hospital/
ホスファゲン /(n) phosphagen/
ホスファターゼ /(n) phosphatase/
ホスファチジルエタノールアミン /(n) phosphatidyl ethanolamine/
ホスフィン /(n) phosphine/
ホスフィン酸 [ホスフィンさん] /(n) phosphinic acid/
ホスホキナーゼ /(n) phosphokinase/
ホスホリラーゼ /(n) phosphorylase/
ホスホン酸 [ホスホンさん] /(n) phosphonic acid/
ホセア書 [ホセアしょ] /(n) Hosea (book of the Bible)/
ホソクビゴミムシ /(n) (uk) bombardier beetle (any insect of subfamily Brachininae)/
ホソヌタウナギ属 [ホソヌタウナギぞく] /(n) Myxine (genus of hagfish in the family Myxinidae)/
ホソバニンジン /(n) (uk) Artemisia annua/
ホタテガイ /(n) (uk) Japanese scallop (Patinopecten yessoensis)/
ホタル /(n) (uk) firefly (Luciola cruciata)/lightning bug/glowworm/
ホタルイ /(n) (uk) Scirpus hotarui (species of bulrush)/
ホタルイカ /(n) (uk) firefly squid (Watasenia scintillans)/sparkling enope squid/
ホチキス /(n) stapler (from Hotchkiss)/paper fastener/
ホチキス玉 [ホチキスたま] /(n) staple (for a stapler)/
ホチキス芯 [ホチキスしん] /(n) staple (for a stapler)/
ホチキス針 [ホチキスはり] /(n) staple (for a stapler)/
ホッキョクイワナ /(n) Arctic char (Salvelinus alpinus alpinus)/
ホッキョクギツネ /(n) (uk) Arctic fox (Alopex lagopus)/
ホッキョククジラ /(n) (uk) bowhead whale (Balaena mysticetus)/Greenland right whale/
ホッキョクグマ /(n) (uk) polar bear (Ursus maritimus)/
ホッキ貝 [ホッキかい] /(n) (uk) Sakhalin surf clam (Pseudocardium sachalinense)/
ホック /(n) (1) hook/hook and eye/(2) hock (white wine)/(P)/
ホッグ /(n) hog/
ホッケ /(n) Arabesque greenling (Pleurogrammus azonus)/Okhostk Atka mackerel/
ホッケー /(n) hockey/(P)/
ホッコクアカエビ /(n) (uk) northern shrimp (Pandalus borealis)/sweet shrimp/northern pink prawn/red shrimp/Maine shrimp/
ホッチキス /(n) stapler (from Hotchkiss)/paper fastener/
ホッチキス玉 [ホッチキスたま] /(n) staple (for a stapler)/
ホッチキス芯 [ホッチキスしん] /(n) staple (for a stapler)/
ホッチキス針 [ホッチキスはり] /(n) staple (for a stapler)/
ホッテントット /(n) (col) Hottentot/
ホット /(adj-na,n) hot/
ホットアトム /(n) hot atom/
ホットウィスキー /(n) hot whiskey (whisky)/
ホットウイスキー /(n) hot whisky/
ホットウォー /(n) hot war/
ホットウオー /(n) hot war/
ホットカーペット /(n) electric carpet (wasei: hot carpet)/
ホットカーラー /(n) hot curler/
ホットキー /(n) (comp) hot-key/
ホットケーキ /(n) hotcakes/pancakes/
ホットコーナー /(n) hot corner (baseball)/
ホットコーヒー /(n) coffee (hot, as opposed to iced)/
ホットジャズ /(n) hot jazz/
ホットジャバ /(n) (comp) HotJava/
ホットスタート /(n) (comp) hot start/
ホットスタンバイ /(n) hot stand-by/
ホットスペア /(n) (comp) hot spare/
ホットスポット /(n) hot spot/
ホットスワッパブル /(n) (comp) hot swappable/
ホットスワップ /(n) (comp) hot swap/hot switch-over/
ホットソース /(n) hot sauce/
ホットタイプ /(n) hot type/
ホットチョコレート /(n) hot chocolate/
ホットドッキング /(n) (comp) hot docking/
ホットドッグ /(n) hot dog/
ホットニュース /(n) hot news/
ホットバックアップ /(n) (comp) hot backup/
ホットバルーン /(n) hot balloon/
ホットパンツ /(n) hotpants/
ホットプラグ /(n) (comp) hot plugging/
ホットプレート /(n) hotplate/
ホットポテト /(n) hot potato/
ホットマネー /(n) hot money/
ホットライン /(n) hot line/(P)/
ホットラボ /(n) (abbr) hot laboratory/
ホットラボラトリー /(n) hot laboratory/
ホットリスト /(n) (comp) hotlist/
ホットリセット /(n) (comp) hot reset/
ホットリンク /(n) (comp) hotlink/
ホットロッド /(n) hot rod/
ホッパー /(n) hopper/
ホッパー車 [ホッパーしゃ] /(n) hopper car/
ホッビングマシン /(n) hobbing machine/
ホッピング /(n) pogo stick (wasei: hopping)/
ホップ /(n) (1) hop/(2) hops (Humulus lupulus) (dut:)/(P)/
ホップステップジャンプ /(n) hop, step and jump/
ホッホッホッ /(exp) Hohoho, as for Santa Clause/
ホテイチ /(n) (abbr) shops on the first floor of a hotel/
ホテイベニハゼ /(n) Trimma yanoi (species of goby from the Ryukyu Islands of Japan)/
ホテイラン /(n) (uk) fairy slipper (Calypso bulbosa, esp. Calypso bulbosa var. speciosa)/
ホテヘル /(n) (abbr) prostitution services in hotels (wasei: hotel health)/
ホテル /(n) hotel/(P)/
ホテルヘルス /(n) prostitution services in hotels (wasei: hotel health)/
ホテルマン /(n) hotel-keeper (wasei: hotel man)/
ホトケドジョウ /(n) (uk) Japanese eight-barbel loach (species of freshwater fish, Lefua echigonia)/
ホトケノザ /(n) (1) (uk) henbit deadnettle (Lamium amplexicaule)/henbit/(2) Japanese nipplewort (Lapsanastrum apogonoides)/
ホトシンセシス /(n) photosynthesis/
ホトトギス /(n) (uk) lesser cuckoo (Cuculus poliocephalus)/
ホトトギス /(n) (uk) toad lily (Tricyrtis hirta)/
ホトトギスソウ /(n) (uk) toad lily (Tricyrtis hirta)/
ホトマル /(n) (abbr) photo multiplier/
ホノルル /(n) Honolulu/(P)/
ホバークラフト /(n) Hovercraft/air-cushion vehicle/ground-effect machine/
ホバリング /(n) hovering/
ホビー /(n) hobby/
ホビークラフト /(n) hobby craft/
ホピ語 [ホピご] /(n) Hopi (language)/
ホフマン方式 [ホフマンほうしき] /(n) Hoffmann method/
ホブ /(n) hob/
ホホジロ /(n) (1) (uk) meadow bunting (species of passerine, Emberiza cioides)/
ホホジロザメ /(n) (uk) great white shark/white pointer (Carcharodon carcharias)/
ホホジロザメ属 [ホホジロザメぞく] /(n) Carcharodon (genus containing the extant great white shark and the extinct megalodon shark in the mackerel or white shark family Lamnidae)/
ホマトロピン /(n) homatropine/
ホミニゼーション /(n) hominization/
ホムペ /(n) (abbr) web page/web site/home page/
ホムンクルス /(n) homunculus/homonculus/
ホメオーシス /(n) (obsc) homeosis/
ホメオスタシス /(n) homeostasis/
ホメオティック遺伝子 [ホメオティックいでんし] /(n) homeotic gene/
ホメオパシー /(n) homeopathy/
ホメオパス /(n) homoeopath/
ホメオパチー /(n) homeopathy/
ホメオパティー /(n) homeopathy/
ホメオボックス /(n) homeobox/
ホメパゲ /(n) (sl) homepage/home page/
ホモ /(n,adj-no) (1) (abbr) homo/homosexual (esp. a male)/homosexuality (esp. male-male)/(2) (abbr) homozygote/(3) homogenization/(4) Homo (genus of primates inc. modern humans) (lat:)/(P)/
ホモっぽい /(adj-i) pretending to be gay/
ホモエコノミクス /(n) Homo economicus (lat:)/
ホモエレクトゥス /(n) Homo erectus (lat:)/
ホモエレクトス /(n) Homo erectus (lat:)/
ホモカリオン /(n) homocaryon/
ホモゲナイズ /(n) homogenize/homogenise/
ホモサピエンス /(n) Homo sapiens (lat:)/
ホモシステイン /(n) homocysteine/
ホモジナイズ /(n) homogenize/homogenise/
ホモジニアスコンソリデーション /(n) (comp) homogeneous consolidation/
ホモセクシャル /(n) homosexual/
ホモセクシュアリティ /(n) homosexuality/
ホモセクシュアリティー /(n) homosexuality/
ホモセクシュアル /(n) homosexual/
ホモソーシャル /(adj-no) homosocial/
ホモニム /(n) (obsc) homonym/
ホモノ科 [ホモノか] /(n) (obs) Gramineae/Poaceae/
ホモハビリス /(n) Homo habilis (lat:)/
ホモバー /(n) cruising bar, esp. for gays/
ホモファーベル /(n) homo faber (lat:)/
ホモファベル /(n) homo faber (lat:)/
ホモフォニー /(n) homophony/
ホモフォビア /(n) homophobia/
ホモモーベンス /(n) Homo movens/
ホモルーデンス /(n) Homo ludens (lat:)/
ホモ牛乳 [ホモぎゅうにゅう] /(n) homogenized milk/homogenised milk/
ホモ接合体 [ホモせつごうたい] /(n) homozygote/
ホモ達 [ホモだち] /(n) (col) (sens) homo-friend/
ホヤ /(n) (uk) sea squirt/ascidian/
ホラー /(n) horror/(P)/
ホラー映画 [ホラーえいが] /(n) horror film/horror movie/
ホライモリ /(n) (uk) olm (Proteus anguinus)/
ホラカントゥスバミューデンシス /(n) Bermuda blue angelfish (Holacanthus bermudensis)/
ホラカントゥス属 [ホラカントゥスぞく] /(n) Holacanthus (genus of marine angelfishes in the family Pomacanthidae)/
ホラガイ /(n) (uk) conch (Charonia tritonis)/trumpet shell/
ホラント /(n) Holland/The Netherlands/
ホリー /(n) (1) English holly (Ilex aquifolium)/(n,n-pref) (2) holy/
ホリスティック /(adj-na) holistic/
ホリスティックヘルス /(n) holistic health/
ホリスティック医学 [ホリスティックいがく] /(n) holistic medicine/
ホリズム /(n) (obsc) (philosophical) holism/
ホリゾンタル /(adj-f) horizontal/
ホリゾント /(n) horizon (ger: Horizont)/
ホリデー /(n) holiday/(P)/
ホリデイ /(n) holiday/(P)/
ホリネズミ /(n) (uk) pocket gopher/
ホリホック /(n) hollyhock/
ホルスター /(n) holster/(P)/
ホルスタイン /(n) Holstein (ger:)/German cow race/
ホルスタイン種 [ホルスタインしゅ] /(n) Holstein (cattle type)/Holstein-Friesian/
ホルタートップ /(n) halter top/
ホルダー /(n) holder/(P)/
ホルド /(n) (1) horde/(n,adj-f) (2) hold/
ホルマリン /(n) formalin/
ホルマント /(n) formant/
ホルミウム /(n) holmium (Ho)/
ホルムアルデヒド /(n) formaldehyde/methanal/
ホルモン /(n,adj-no) (1) hormone (ger: Hormon)/(2) (ksb:) cows' or pigs' offal (entrails)/(P)/
ホルモン焼 [ホルモンやき] /(n) (uk) (ksb:) fried beef or pork offal (entrails)/
ホルモン焼き [ホルモンやき] /(n) (uk) (ksb:) fried beef or pork offal (entrails)/
ホルモン補充療法 [ホルモンほじゅうりょうほう] /(n) hormone replacement therapy/
ホルモン療法 [ホルモンりょうほう] /(n) hormone therapy/
ホルン /(n) horn (ger:)/(P)/
ホルンフェルス /(n) hornfels (ger: Hornfels)/
ホローバック /(n) hollow back/
ホログラフィ /(n) holography/(P)/
ホログラフィー /(n) holography/
ホログラフィック /(n) holographic/
ホログラム /(n) hologram/
ホロコースト /(n) holocaust/(P)/
ホロス /(n) (comp) Holos/
ホロスコープ /(n) horoscope/
ホロホロ鳥 [ホロホロちょう] /(n) guinea fowl/
ホロ苦い [ホロにがい] /(adv,adj-i) bittersweet/slightly bitter/something that has a strong taste that adults favor/
ホワイエ /(n) foyer (lobby, lounge) of theatre, hotel, etc./
ホワイティング /(n) whiting (Merlangius merlangus)/
ホワイト /(adj-na,n) white/(P)/
ホワイト・ゴールド /(n) white gold/
ホワイト・シンドローム /(n) white syndrome (coral disease)/
ホワイトアウト /(n) whiteout/
ホワイトアスパラガス /(n) white asparagus/
ホワイトカソリン /(n) white gasoline/white petrol/
ホワイトカラー /(n) white-collar/(P)/
ホワイトキック /(n) (sl) dead silence after a joke falls flat (wasei: white kick)/
ホワイトクリスマス /(n) white Christmas/
ホワイトゴールド /(n) white gold/
ホワイトシャツ /(n) (arch) white (business) shirt/
ホワイトシンドローム /(n) white syndrome (coral disease)/
ホワイトストライプトピグミーゴビー /(n) spotted pygmy goby (Eviota guttata)/green pygmy-goby/
ホワイトスペース /(n) white space/
ホワイトスポッティド・スパインフット /(n) white-spotted spinefoot (Siganus canaliculatus, species of Indo-West Pacific rabbitfish)/
ホワイトスポッティドスパインフット /(n) white-spotted spinefoot (Siganus canaliculatus, species of Indo-West Pacific rabbitfish)/
ホワイトスポットダムゼルフィッシュ /(n) Hawaiian dascyllus (Dascyllus albisella)/whitespot damselfish/
ホワイトソース /(n) white sauce/
ホワイトタイ /(n) white tie/
ホワイトチーク・シャーク /(n) whitecheek shark (Carcharhinus dussumieri, species of the Indo-West Pacific)/
ホワイトチークシャーク /(n) whitecheek shark (Carcharhinus dussumieri, species of the Indo-West Pacific)/
ホワイトチップ・リーフ・シャーク /(n) whitetip reef shark (Triaenodon obesus, species of Indo-Pacific requiem shark)/
ホワイトチップリーフシャーク /(n) whitetip reef shark (Triaenodon obesus, species of Indo-Pacific requiem shark)/
ホワイトチョコレート /(n) white chocolate/
ホワイトテールドサージョンフィッシュ /(n) Ctenochaetus flavicauda (species from the Central Pacific, smallest bristletooth tang of its genus)/
ホワイトテールメージャー /(n) whitetail major (Stegastes leucorus)/whitetail damselfish/whitetail gregory/
ホワイトティップバタフライフィッシュ /(n) Easter Island butterflyfish (Chaetodon litus)/white-tip butterflyfish/
ホワイトデー /(n) White Day (March 14th)/
ホワイトデイ /(n) White Day (March 14th)/
ホワイトニング /(n,vs) whitening (e.g. of teeth)/(P)/
ホワイトノイズ /(n) white noise/
ホワイトハウス /(n) White House/
ホワイトバーサージャンフィッシュ /(n) whitebar surgeonfish (Acanthurus leucopareius, Western Central Pacific species of tang)/
ホワイトバーサージョンフィッシュ /(n) whitebar surgeonfish (Acanthurus leucopareius, Western Central Pacific species of tang)/
ホワイトバックラッシュ /(n) white backlash/
ホワイトバランス /(n) (comp) white balance/
ホワイトフィッシュ /(n) common whitefish (Coregonus lavaretus)/
ホワイトフィン・ハンマーヘッド /(n) whitefin hammerhead (Sphyrna couardi, species of hammerhead shark found in the West African tropics of the eastern Atlantic from Senegal to Congo)/
ホワイトフィンサージャンフィッシュ /(n) whitefin surgeonfish (Acanthurus albipectoralis, species of Western Pacific tang found on the Great Barrier Reef through the Coral Sea to Tonga)/
ホワイトフィンサージョンフィッシュ /(n) whitefin surgeonfish (Acanthurus albipectoralis, species of Western Pacific tang found on the Great Barrier Reef through the Coral Sea to Tonga)/
ホワイトフィンハンマーヘッド /(n) whitefin hammerhead (Sphyrna couardi, species of hammerhead shark found in the West African tropics of the eastern Atlantic from Senegal to Congo)/
ホワイトフェイスバタフライフィッシュ /(n) white-face butterflyfish (Chaetodon mesoleucos)/
ホワイトページ /(n) (comp) White Pages (telephone book)/
ホワイトペーパー /(n) (comp) white paper/
ホワイトペッパー /(n) white pepper/
ホワイトホール /(n) Whitehall/
ホワイトボード /(n) whiteboard/
ホワイトボックス /(n) (comp) whitebox/
ホワイトミート /(n) white meat/
ホワイトメタル /(n) white metal/
ホワイトリカー /(n) white liquor/
ホワイトリスト /(n) white list/
ホワイトレイズサージャント /(n) Whitley's sergeant (Abudefduf whitleyi)/
ホワイド /(adj-na,n) white/
ホワンチュー /(n) (uk) huangjiu (undistilled Chinese alcohol, made of fermented grains)/
ホワンチュウ /(n) (uk) huangjiu (undistilled Chinese alcohol, made of fermented grains)/
ホン /(n) phon (unit of loudness)/(P)/
ホンキートンク /(n) honky-tonk/
ホンコン /(n) Hong Kong (China)/
ホンコンかぜ /(n) Hong Kong flu/
ホンコンシャツ /(n) short-sleeved dress shirt (wasei: Hong Kong shirt)/
ホンシメジ /(n) (uk) Lyophyllum shimeji (species of edible mushroom)/
ホンシャクナゲ /(n) (uk) Rhododendron metternichii/
ホンジェラス /(n) Honduras/
ホンジュラス /(n) Honduras/
ホンジュラス共和国 [ホンジュラスきょうわこく] /(n) Republic of Honduras/
ホンソメワケベラ /(n) (uk) bluestreak cleaner wrasse (Labroides dimidiatus)/
ホンダ /(n) Honda/(P)/
ホンダワラ /(n) (uk) Sargassum fulvellum (species of edible brown alga)/
ホンビノスガイ /(n) (uk) quahog (Mercenaria mercenaria)/quahaug/hard clam/hard-shell clam/round clam/littleneck/topneck/cherrystone/chowder clam/
ホンブルグ /(n) homburg/
ホンモロコ /(n) (uk) willow gudgeon (species of fish, Gnathopogon caerulescens)/
ホ短調 [ホたんちょう] /(n) E minor/
ホ調 [ホちょう] /(n) key of E (music)/
ホ長調 [ホちょうちょう] /(n) E major/
ボー /(n) (1) bow/(2) baud/(P)/
ボーア /(n) (1) Boer/
ボーア磁子 [ボーアじし] /(n) Bohr magneton/
ボーア人 [ボーアじん] /(n) Boer/
ボーア戦争 [ボーアせんそう] /(n) (second) Boer War (1899-1902)/
ボーア半径 [ボーアはんけい] /(n) (obsc) Bohr radius/
ボーイ /(n) (1) boy/(2) bellboy/porter/waiter/(P)/
ボーイスカウト /(n) Boy Scouts/(P)/
ボーイズラブ /(n) (col) comics or novels about male homosexuality, targetted at young women (wasei: boys love)/
ボーイソプラノ /(n) boy soprano/
ボーイッシュ /(adj-na,n) boyish/
ボーイハント /(n) boy hunt/
ボーイフレンド /(n) boy friend/(P)/
ボーイング /(n) (1) bowing (of a string instrument)/(2) Boeing (Company)/(P)/
ボーカラー /(n) bow collar/(P)/
ボーカリスト /(n) vocalist/(P)/
ボーカル /(n) vocal/vocals/(P)/
ボーカルスコア /(n) vocal score/
ボーカルソロ /(n) vocal solo/
ボーカルミュージック /(n) vocal music/
ボーガン /(n) modern crossbow/bow gun/
ボーキサイト /(n) bauxite/
ボーク /(n) balk/(P)/
ボーグ /(n) vogue (fre:)/
ボーゲン /(n) bow (in skiing) (ger: Bogen)/
ボーザイト /(ik) (n) bauxite/
ボージョレーヌーヴォー /(n) Beaujolais Nouveau (fre:)/
ボージョレヌーボー /(n) Beaujolais Nouveau (fre:)/
ボースアインシュタイン凝縮 [ボースアインシュタインぎょうしゅく] /(n) Bose-Einstein condensate/
ボースン /(n) boatswain/bosun/
ボース粒子 [ボースりゅうし] /(n) Bose particle/
ボーゼン /(adj-t,adv-to) dumbfounded/overcome with surprise/in blank amazement/in a daze/
ボータイ /(n) bow tie/
ボーダー /(n) (1) border/(2) boarder/(P)/
ボーダープリント /(n) border print/
ボーダーライト /(n) border light/
ボーダーライン /(n) border line/(P)/
ボーダーレス /(adj-f) borderless/
ボーダフォン /(n) Vodafone/
ボーテックス /(n) vortex/
ボーテル /(n) boatel/
ボーデの法則 [ボーデのほうそく] /(n) Bode's law/
ボーディング /(n) boarding/
ボーディングカード /(n) boarding card/
ボーディングスクール /(n) boarding school/
ボーディングパス /(n) boarding pass/
ボーディングブリッジ /(n) boarding bridge/
ボート /(n) boat/rowing boat/(P)/
ボート・ダイブ /(n) boat dive/
ボートダイブ /(n) boat dive/
ボートデッキ /(n) boatdeck/
ボートネック /(n) boat neck/
ボートネックライン /(n) boot neckline/
ボートハウス /(n) boathouse/
ボートピープル /(n) boat people/(P)/
ボートマン /(n) boat man/
ボートレース /(n) boat race/
ボード /(n) board/(P)/
ボードゲーム /(n) board game/
ボードセーリング /(n) boardsailing/windsurfing/(P)/
ボードセイリング /(n) boardsailing/windsurfing/
ボードビリアン /(n) vaudevillian/
ボードビル /(n) vaudeville (fre:)/
ボードレート /(n) (comp) baud rate/
ボードレベル /(n) board-level/
ボーナス /(n) bonus/(P)/
ボーフラ /(n) (uk) mosquito larva/wriggler/maggot/
ボーマン嚢 [ボーマンのう] /(n) Bowman's capsule/
ボーラ /(n) bola/
ボーラーハット /(n) bowler hat/
ボーランド /(n) (comp) Borland/
ボーリウム /(n) bohrium (Bh)/
ボーリング /(n,vs) (1) bowling/(2) boring/drilling/(3) (obsc) bawling/(P)/
ボーリングマシン /(n) boring machine/
ボーリング場 [ボーリングじょう] /(n) bowling alley/
ボール /(n) (1) ball/(2) bowl/(3) (abbr) board (e.g. cardboard, pasteboard)/(P)/
ボールアンパイア /(n) ball umpire/
ボールカウント /(n) count of balls and strikes (baseball)/
ボールガール /(n) ball girl (as in tennis)/
ボールゲーム /(n) ball game/
ボールト /(n) vault/
ボールド /(n,adj-no) bold/(P)/
ボールド体 [ボールドたい] /(n) (comp) boldface/
ボールパーソン /(n) ball person/
ボールベアリング /(n) ball bearing/
ボールペン /(n) ball-point pen (wasei: ball pen)/(P)/
ボールボーイ /(n) ball boy/
ボールルーム /(n) ballroom/
ボール紙 [ボールがみ] /(n) cardboard/pasteboard/
ボール投げ [ボールなげ] /(n) ball game/playing catch/
ボール爆弾 [ボールばくだん] /(n) ball bomb/
ボール箱 [ボールばこ] /(n) cardboard box/carton/
ボール盤 [ボールばん] /(n) boor-bank drilling machine/
ボール遊び [ボールあそび] /(n) ball playing/
ボール螺子 [ボールねじ] /(n) ball screw/
ボーレート /(n) (comp) baud rate/
ボーロ /(n) small, round cookie (por: bolo)/small, round biscuit/
ボーン /(n) (1) born/(2) (comp) Bourne (shell)/(P)/
ボーンチャイナ /(n) bone china/
ボーンヘッド /(n) bonehead/
ボア /(n) (1) boa/(2) bore/(3) boar/
ボアコンストリクター /(n) boa constrictor (Boa constrictor)/
ボイエジャ /(n) voyager/
ボイコット /(n,vs) boycott/(P)/
ボイジャー /(n) voyager/(P)/
ボイス /(n) voice/(P)/
ボイスコーデック /(n) (comp) voice codec/
ボイストレーナー /(n) vocal coach (wasei: voice trainer)/
ボイスバロットの法則 [ボイスバロットのほうそく] /(n) Buys-Ballot's law/
ボイスメール /(n) (comp) voice mail/
ボイスメールボックス /(n) voice mail box/
ボイスメイル /(n) (comp) voice mail/
ボイスメッセージ /(n) (comp) voice message/
ボイスメッセージング /(n) (comp) voice messaging/
ボイスレコーダー /(n) dictaphone (wasei: voice recorder)/dictation system/(P)/
ボイップ /(n) (abbr) (sl) Voice over IP/VoIP/
ボイヤー /(n) boyar/
ボイヤンシーコントロール・デバイス /(n) buoyancy control device/BCD/
ボイヤンシーコントロールデバイス /(n) buoyancy control device/BCD/
ボイラ /(n) boiler/
ボイラー /(n) boiler/(P)/
ボイラーマン /(n) boilerman/
ボイラプレート /(n) (comp) boilerplate/
ボイリング /(n) boiling/
ボイル /(vs) (1) to boil (cook)/(n) (2) voile (type of fabric)/
ボイルの法則 [ボイルのほうそく] /(n) Boyle's law/
ボイルシャルルの法則 [ボイルシャルルのほうそく] /(n) combined gas law/
ボイルド /(adj-f) boiled (e.g. eggs, potatoes)/
ボイルドエッグ /(n) boiled egg/
ボイル油 [ボイルゆ] /(n) boiled oil/
ボインボイン /(n) (1) big breasts/(adj-na) (2) big-breasted/
ボウイング /(n) (1) bowing (of a string instrument)/(2) Boeing (Company)/
ボウウインドー /(n) bow window/
ボウエンギョ /(n) (uk) telescopefish (Giganturidae spp., esp. species Gigantura chuni)/
ボウカル /(n) vocal/vocals/
ボウガン /(n) modern crossbow/bow gun/
ボウズハギ /(n) oneknife unicornfish (Naso thynnoides, species of Indo-Pacific tang)/
ボウズハゼ /(n) (uk) Sicyopterus japonicus (species of goby)/
ボウブラメル /(n) Beaubrummel (damselfish species, Stegastes flavilatus)/
ボウラー /(n) bowler/
ボウリング /(n,vs) (1) bowling/(2) (obsc) bawling/(P)/
ボウリング場 [ボウリングじょう] /(n) bowling alley/
ボウル /(n) bowl/(P)/
ボウルゲーム /(n) bowl game/
ボカッ /(adv,adv-to) (on-mim) bop/pow/bonk/thump/
ボカン /(adv,adv-to) (on-mim) bop/pow/bonk/thump/
ボガートホソオオトカゲ /(n) Louisiade tree monitor (Varanus bogerti, species of carnivorous monitor lizard)/
ボキー /(n) bogey (golf)/bogie/
ボキャブラリー /(n) vocabulary/
ボキャ貧 [ボキャひん] /(n) lacking the words to say what one means/
ボギー /(n) bogey (golf)/bogie/(P)/
ボギー車 [ボギーしゃ] /(n) bogie car/
ボクサー /(n) boxer/(P)/
ボクシング /(n) boxing/(P)/
ボクシングの試合 [ボクシングのしあい] /(n) boxing bout/
ボクシングデー /(n) Boxing Day (public holiday in the UK, Aus., Canada, etc.)/
ボクシング部 [ボクシングぶ] /(n) boxing club/
ボクセル /(n) (comp) voxel/
ボクハン /(n) (uk) Camellia japonica 'Bokuhan' (cultivar of common camellia)/
ボケ /(n,suf) (1) (uk) idiot/fool/touched in the head (from)/out of it (from)/space case/(2) funny man (of a comedy duo)/(in comedy) silly or stupid line/(3) Alzheimer's (impol)/
ボケッと /(adv,vs) being stupified/doing nothing/
ボコーダ /(n) vocoder/(P)/
ボコーダー /(n) vocoder/
ボコる /(v5r) (sl) to beat the hell out of/
ボコボコ /(n-adv) (1) (on-mim) burbling/(2) hollow (sounding)/(3) holey/full of holes/
ボサノバ /(n) bossa nova (por:)/(P)/
ボジョレーヌーヴォー /(n) Beaujolais Nouveau (fre:)/
ボス /(n) boss/(P)/
ボストン /(n,adj-no) Boston/(P)/
ボストンバッグ /(n) traveling (overnight) bag (from Boston bag)/
ボスニア /(n) Bosnia/(P)/
ボスニアヘルツェゴビナ /(n) Bosnia-Herzegovina/
ボスニア紛争 [ボスニアふんそう] /(n) Bosnian Conflict (1992-1998)/
ボソリ /(adv) whispering/murmuring/subdued/
ボソン /(n) boson/
ボタニカルアート /(n) botanical art/
ボタン /(n) (1) (uk) tree peony (Paeonia suffruticosa)/moutan/(2) wild boar (meat)/
ボタン /(n) (uk) button (por: bota~o)/(P)/
ボタンの木 [ボタンのき] /(n) buttonwood tree (the American sycamore, Platanus occidentalis)/buttonball tree/
ボタンを掛ける [ボタンをかける] /(exp,v1) to fasten a button/
ボタンダウン /(n) button down/
ボタンバー /(n) (comp) button bar/
ボタンホール /(n) buttonhole/
ボタンボウフウ /(n) (uk) Peucedanum japonicum (species of umbellifer with edible leaves)/
ボタンロック /(n) button lock/
ボタン穴 [ボタンあな] /(n) buttonhole/
ボタン孔 [ボタンあな] /(n) buttonhole/
ボタン戦争 [ボタンせんそう] /(n) (obsc) war started or ended with the push of a single 'launch' button (wasei: button war)/
ボタン電池 [ボタンでんち] /(n) button battery/watch battery/button cell/
ボチボチ /(adv,adv-to) (1) (on-mim) little-by-little/gradually/slowly/soon/(adj-na) (2) (ksb:) not bad/passable/so-so/
ボックス /(n) box/(P)/
ボックス・セット /(n) box set/
ボックスカーフ /(n) box calf/
ボックスカメラ /(n) box camera/
ボックスカルバート /(n) box culvert/
ボックスコート /(n) box coat/
ボックスシート /(n) box seat/
ボックスストア /(n) box store/
ボックススパナ /(n) box spanner/
ボックスセット /(n) box set/
ボックスプリーツ /(n) box pleat/
ボックスモデル /(n) (comp) box model/
ボックスレンチ /(n) socket wrench/box wrench/socket spanner/
ボット /(n) (comp) bot (autonomous computer program, esp. on a network)/
ボッブ /(n) bob/
ボップスアンドジェイ /(n) (comp) BOPS&J/
ボツる /(v5r) (col) to cancel (plans, etc.)/to give up (on using)/
ボツネーム /(n) manga that has been rejected by an editor/
ボツリヌス /(n) botulinus (bacillus)/
ボツリヌス菌 [ボツリヌスきん] /(n) Clostridium botulinum (bacteria that causes botulism)/
ボツリヌス中毒 [ボツリヌスちゅうどく] /(n) botulism food poisoning/
ボツリヌス毒素 [ボツリヌスどくそ] /(n) botulin/
ボツワナ /(n,adj-no) Botswana/(P)/
ボデー /(n) (1) body/(2) buddy/
ボディ /(n) (1) body/(2) buddy/(P)/
ボディー /(n) (1) body/(2) buddy/(P)/
ボディーアーマー /(n) body armor/body armour/
ボディーウエーブ /(n) bodywave/
ボディーガード /(n) bodyguard/
ボディーコンシャス /(n) sexually flattering clothing (wasei: body conscious)/
ボディーシザーズ /(n) body scissors/
ボディーシャンプー /(n) body shampoo/
ボディースーツ /(n) bodysuit/
ボディースカルプチャー /(n) body sculpture/
ボディースラム /(n) body slam/
ボディーチェック /(n,vs) strip-searching (wasei: body check)/security check/
ボディートーク /(n) body talk/
ボディートリートメント /(n) body treatment/
ボディービル /(n) body-building/special exercise for developing big muscles/
ボディーピアス /(n) body piercing/
ボディーブロー /(n) body blow/(P)/
ボディーペインティング /(n) body painting/
ボディーボード /(n) body board/
ボディーライン /(n) body line/
ボディーランゲージ /(n) body language/
ボディアヌスヴルピヌス /(n) Western pigfish (Bodianus vulpinus)/
ボディガード /(n) bodyguard/
ボディコン /(n) (abbr) sexually flattering clothing (wasei: body con(scious))/(P)/
ボディスラム /(n) body slam (e.g. in wresting)/
ボディチェック /(n,vs) strip-searching (wasei: body check)/security check/
ボディビル /(n) body-building/special exercise for developing big muscles/
ボディビルダー /(n) bodybuilder/
ボディブロー /(n) body blow (boxing)/
ボディペインティング /(n) body painting/
ボディボード /(n) body board/
ボディランゲージ /(n) body language/
ボトカ /(n) vodka (rus:)/
ボトックス /(n) Botox/
ボトム /(n) bottom/(P)/
ボトムアウト /(n) bottom out/
ボトムアップ /(adj-na,n) bottom-up/
ボトムクォーク /(n) bottom quark/
ボトムクオーク /(n) bottom quark/
ボトムライン /(n) bottom-line/
ボトムレス /(n) bottomless/
ボトラー /(n) (uk) bottler/
ボトル /(n) bottle/(P)/
ボトルキープ /(n) practice of buying a bottle of spirits at a bar which is then kept there for the customer (wasei: bottle keep)/
ボトルグリーン /(n) bottle green/
ボトルシップ /(n) bottle ship/
ボトルネック /(n) bottleneck/
ボトル缶 [ボトルかん] /(n) aluminium can shaped like a bottle (aluminum)/metal bottle/
ボナス /(n) bonus/
ボナパルティズム /(n) Bonapartism/
ボナン /(n) bonang (small gongs used in the Javanese gamelan) (ind:)/
ボナンザグラム /(n) bonanzagram/
ボノボ /(n) bonobo (Pan paniscus)/
ボビン /(n) bobbin/
ボビンレース /(n) bobbin lace/
ボブ /(n) bob/(P)/
ボブキャット /(n) bobcat (Lynx rufus)/
ボブスレー /(n) bobsleigh/bobsled/(P)/
ボヘミアン /(n) Bohemian/
ボヘミアングラス /(n) Bohemian glass/
ボム /(n) bomb/
ボヤっと /(adv,vs) (on-mim) absentmindedly/dazedly/vaguely/
ボヤボヤ /(adj-na,vs,adv) (on-mim) careless/(P)/
ボラ /(n) (1) (uk) striped mullet (Mugil cephalus)/(2) (obsc) redlip mullet (Chelon haematocheilus)/
ボラード /(n) bollard/
ボラティリティ /(n) volatility (esp. of a financial market)/
ボラン /(n) borane/
ボランタリーチェーン /(n) voluntary chain/
ボランタリズム /(n) voluntarism/
ボランチ /(n) defensive midfielder (soccer, football) (por: volante)/
ボランテァ /(n,vs) volunteer/
ボランティア /(n,vs) volunteer/(P)/
ボランティア活動 [ボランティアかつどう] /(n) volunteer activities/volunteerism/
ボリシェビキ /(n) Bolshevik (rus: Bolsheviki)/
ボリシェビズム /(n) Bolshevism (rus: Bol'shevizm)/
ボリシェヴィキ /(n) Bolshevik (rus: Bolsheviki)/
ボリシェヴィズム /(n) Bolshevism (rus: Bol'shevizm)/
ボリジ /(n) borage (Borago officinalis)/
ボリビア /(n) Bolivia/
ボリューム /(n) (1) volume/(2) any kind of adjustment knob, not necessarily for sound/(P)/
ボリュームコントロール /(n) volume control/
ボリュームセット /(n) (comp) volume set/
ボリュームゾーン /(n) premium market segment (wasei: volume zone)/main (e.g. price range)/largest (e.g. age group)/
ボリュームディスカウント /(n) volume discount/
ボリュームマネージャ /(n) (comp) volume manager/
ボリュームラベル /(n) (comp) beginning-of-volume label/volume (header) label/volume header/
ボリュームレンダリング /(n) (comp) volume rendering/
ボリューム見出しラベル [ボリュームみだしラベル] /(n) (comp) beginning-of-volume label/volume (header) label/volume header/
ボリューム始めラベル [ボリュームはじめラベル] /(n) (comp) beginning-of-volume label/volume (header) label/volume header/
ボリューム指示子 [ボリュームしじし] /(n) (comp) current volume pointer/
ボリューム終わりラベル [ボリュームおわりラベル] /(n) (comp) end-of-volume label/EOV/
ボリューム集合 [ボリュームしゅうごう] /(n) (comp) volume set/
ボルガ /(n) Volga (river)/
ボルガ川 [ボルガがわ] /(n) Volga (River)/
ボルシェビキ /(n) Bolshevik (rus: Bolsheviki)/
ボルシェヴィキ /(n) Bolshevik (rus: Bolsheviki)/
ボルシチ /(n) borscht (Eastern European and Russian soup, usu. made with beets) (rus: borshch)/borsch/
ボルゾイ /(n) borzoi (rus:)/
ボルタの電池 [ボルタのでんち] /(n) voltaic cell/
ボルタメーター /(n) voltameter/voltmeter/
ボルタンメトリー /(n) voltammetry/
ボルタ電池 [ボルタでんち] /(n) voltaic cell/
ボルダー /(n) Boulder/
ボルツマン /(n) Boltzmann/
ボルツマン定数 [ボルツマンていすう] /(n) Boltzmann's constant/
ボルテージ /(n) voltage/(P)/
ボルテイジ /(n) voltage/
ボルテックス /(n) vortex/
ボルト /(n) (1) volt/(2) bolt/(P)/
ボルトアンペア /(n) volt-ampere/
ボルトメーター /(n) voltameter/voltmeter/
ボルドー液 [ボルドーえき] /(n) Bordeaux mixture/
ボルネオ /(n) Borneo/
ボルネオメジロザメ /(n) Borneo shark (Carcharhinus borneensis, species of requiem shark found in Borneo and China)/
ボルボ /(n) Volvo (Swedish car brand)/(P)/
ボルボックス /(n) volvox (lat:)/
ボレー /(n) volley/(P)/
ボレーキック /(n) volley kick/
ボレーシュート /(n,vs) kicking a ball in mid-air (soccer, football) (lit: volley shoot)/
ボレロ /(n) bolero (spa:)/(P)/
ボローニャソーセージ /(n) bologna sausage/
ボロい /(adj-i) (1) profitable/(2) worn-out/crumbling/
ボロっちい /(adj-i) (sl) worn-out/crumbling/
ボロボロ /(adj-na,adv,n,vs,adj-no) (1) (on-mim) worn-out/torn/crumbling/tattered/(2) tears or grain of rice falling/
ボロメーター /(n) bolometer/
ボロン /(n) boron/
ボロ勝ち [ボロがち] /(n,vs) decisive win/win hands down/
ボロ負け [ボロまけ] /(n,vs) decisive defeat/lose big/
ボン /(n) good (fre: bon)/(P)/
ボンゴ /(n) bongo/
ボンゴレ /(n) clam sauce pasta (ita: vongole)/vongole (e.g. spaghetti alle vongole)/
ボンジュール /(int) good day (fre: bonjour)/good morning/
ボンソワール /(int) good evening (fre: bonsoir)/
ボンタイル /(n) thick spray-on coating for walls/
ボンタン /(n) (ksb:) baggy pants, worn by construction workers and juvenile delinquents/
ボンデージ /(n) (sexual) bondage/
ボンディング /(n) bonding/
ボンド /(n) bond/(P)/
ボンド・ガール /(n) Bond girl/
ボンドガール /(n) Bond girl/
ボンド紙 [ボンドし] /(n) bond paper/
ボンネット /(n) (1) bonnet/(car) hood/(2) bonnet (hat)/(P)/
ボンネットシュモクザメ /(n) (uk) bonnethead (Sphyrna tiburo, species of hammerhead shark found in the Western Hemisphere)/
ボンネットバス /(n) bus with front engine/cab-behind-engine bus/
ボンネットヘッド /(n) bonnethead (Sphyrna tiburo, species of hammerhead shark found in the Western Hemisphere)/
ボンネット撞木鮫 [ボンネットしゅもくざめ] /(n) (uk) bonnethead (Sphyrna tiburo, species of hammerhead shark found in the Western Hemisphere)/
ボンバジーン /(n) bombazine/
ボンバックス /(n) Indian silk-cotton tree (Bombax ceiba)/
ボンベ /(n) compressed gas cylinder (ger: Bombe)/(P)/
ボンベイブラッド /(n) Bombay blood/(P)/
ボンボワイヤージュ /(int) bon voyage (fre:)/have a nice trip/
ボンボン /(n) bonbon (fre:)/
ボンレスハム /(n) boneless ham/
ポーカー /(n) poker/(P)/
ポーカーフェース /(n) poker face/
ポーク /(n) pork/
ポークカツ /(n) (abbr) pork cutlet/
ポークカツレツ /(n) pork cutlet/
ポークソテー /(n) pork saute/
ポークチェック /(n) poke check/
ポークチョップ /(n) pork chop/
ポーション /(n) (1) portion/(2) potion (e.g. magical)/
ポース /(n) (1) pose/(2) pause/(P)/
ポースレン /(n) porcelain/
ポーズ /(n) (1) pose/(2) pause/(P)/
ポーセリン /(n) porcelain/
ポーセレン /(n) porcelain/
ポーター /(n) porter/(P)/
ポーターハウスステーキ /(n) porterhouse steak/
ポータビリティ /(n) portability/
ポータブル /(adj-na,n) portable/(P)/
ポータブルコンピュータ /(n) (comp) portable computer/
ポータル /(n) (comp) portal/
ポータルサイト /(n) (comp) Internet portal/
ポーチ /(n) (1) porch/(2) pouch/(P)/
ポーチコ /(n) portico (ita:)/
ポーチドエッグ /(n) poached egg/
ポーチュラカ /(n) Portulaca (plant)/
ポーツマス条約 [ポーツマスじょうやく] /(n) Treaty of Portsmouth (ending the Russo-Japanese War, 1905)/
ポーティコ /(n) portico (ita:)/
ポーティング /(n) (comp) porting/
ポーテジェ /(n) (comp) Portege/
ポート /(n) port/(P)/
ポートジャクソンネコザメ /(n) Port Jackson shark (Heterodontus portusjacksoni, found in southern Australia and New Zealand)/
ポートタワー /(n) port tower/
ポートフォリオ /(n) portfolio/(P)/
ポートフォリオセレクション /(n) portfolio selection/
ポートリプリケータ /(n) (comp) port replicator/
ポートレート /(n) portrait/(P)/
ポートレイト /(n) portrait/
ポートレイトモード /(n) (comp) portrait mode/
ポートワイン /(n) port wine/
ポート番号 [ポートばんごう] /(n) (comp) port number/
ポート輻輳 [ポートふくそう] /(n) (comp) port congestion/
ポープ /(n) Pope/
ポーポー /(n) papaw/pawpaw/
ポーラ /(adj-f) (1) polar/(n) (2) (obsc) poral (type of 'summer' fabric with large 'pores')/
ポーラー /(adj-f) (1) polar/(n) (2) (obsc) poral (type of 'summer' fabric with large 'pores')/
ポーラータイ /(n) polar tie/
ポーラーフロント /(n) polar front/
ポーラーメソッド /(n) polar method/
ポーラル /(n) (1) (obsc) poral (type of 'summer' fabric with large 'pores')/
ポーラログラフ /(n) polarograph/
ポーラログラフィー /(n) polarography/
ポーランド /(n) (uk) Poland/
ポーランド記法 [ポーランドきほう] /(n) (comp) Polish notation/
ポーランド語 [ポーランドご] /(n) Polish (language)/
ポーランド表記法 [ポーランドひょうきほう] /(n) (comp) prefix notation/Polish notation/parenthesis-free notation/Lukasiewicz notation/
ポーリング /(n) polling/
ポール /(n) (1) pole/(2) poll/(P)/
ポールジャンプ /(n) pole jump/
ポールタックス /(n) poll tax/
ポールダンス /(n) pole dance/pole dancing/
ポールポジション /(n) pole position/
ポーン /(n) pawn (in chess)/
ポーンショップ /(n) pawnshop/
ポア /(n) death (Aum Shinrikyou term)/
ポアズ /(n) poise (unit of dynamic viscosity)/
ポアソン /(n) (in the context of French food) fish (fre: poisson)/
ポイと /(adv) (on-mim) carelessly (throwing, tossing, etc.)/nonchalantly/
ポイズン /(n) poison/
ポイズンピル /(n) poison pill (anti-takeover measure in business)/
ポインセチア /(n) poinsettia (lat:)/
ポインタ /(n) pointer/
ポインター /(n) pointer/
ポインターフィールド /(n) (comp) pointer field/
ポインタ結合 [ポインタけつごう] /(n) (comp) pointer association/
ポインタ代入 [ポインタだいにゅう] /(n) (comp) pointer assignment/
ポインタ代入文 [ポインタだいにゅうぶん] /(n) (comp) pointer assignment statement/
ポインティング /(n) pointing/
ポインティングデバイス /(n) (comp) pointing device/
ポインティングデバイスインタフェース /(n) (comp) pointing device interface/
ポイント /(n,vs) (1) point/(n) (2) points (of a railway)/switch/(P)/
ポイント・ツウ・ポイント /(n) (comp) point to point/
ポイント・ツウ・マルチポイント /(n) (comp) point to multipoint/
ポイントＵＲＬ [ポイントユーアールエル] /(n) (comp) point URL/
ポイントアンドシュート /(n) point and shoot/
ポイントアンドフィギュア /(exp) point and figure/
ポイントオブビュー /(n) point of view/
ポイントオブプレザンス /(n) (comp) point of presence/POP/
ポイントゲッター /(n) point getter/
ポイントサイズ /(n) point size/
ポイントツーポイント /(n,adj-no) (comp) point-to-point/
ポイントツーポイントシステム /(n) (comp) point-to-point system/
ポイントツーポイントプロトコル /(n) (comp) point to point protocol/PPP/
ポイントツーポイント接続 [ポイントツーポイントせつぞく] /(n) (comp) point-to-point connection/
ポイントメーク /(n) making up only parts of one's face instead of doing a full make-up job (wasei: point make)/
ポイントメイク /(n) making up only parts of one's face instead of doing a full make-up job (wasei: point make)/
ポイ捨て [ポイすて] /(n) littering, esp. such things as empty cans, cigarette butts, dog faeces, etc. along roads, in parks, etc./careless tossing away/
ポエジー /(n) poetry (fre: poesie)/
ポエット /(n) poet/
ポエティカル /(n) poetical/
ポエティック /(n) poetic/
ポエト /(n) poet/
ポエトリー /(n) poetry/
ポエニ戦争 [ポエニせんそう] /(n) Punic Wars (Rome and Carthage) (lat:)/
ポエマー /(n) poet (wasei: poem-er)/
ポエム /(n) poem/(P)/
ポカ /(n,vs) (col) blunder/(careless) mistake/error/
ポカミス /(n) careless mistake/
ポカヨケ /(n) fool-proofing/mistake-proofing/error-proofing/fail-safe/
ポカン /(adv-to) (1) (on-mim) vacantly/blankly/absentmindedly/(2) (on-mim) openmouthed/with one's mouth wide-open/gaping/flabbergasted/(3) (on-mim) with a whack/with a thump/
ポグロム /(n) pogrom (rus:)/
ポケ /(n) poke (Hawaian raw-fish salad)/
ポケッタブル /(adj-na) pocketable/
ポケット /(n) pocket/(P)/
ポケット・チーフ /(n) pocket square (decorative handkerchief used as an accessory to a suit)/
ポケットコンピュータ /(n) (comp) pocket computer/pocket PC/
ポケットコンピューター /(n) (comp) pocket computer/pocket PC/
ポケットサイズ /(n) pocket-size/(P)/
ポケットチーフ /(n) pocket square (decorative handkerchief used as an accessory to a suit)/
ポケットバイク /(n) pocket bike/minibike/
ポケットパーク /(n) pocket park/
ポケットブック /(n) pocketbook/
ポケットベル /(n) pager (wasei: pocket bell)/beeper/(P)/
ポケットマネー /(n) pocket money/(P)/
ポケットモデム /(n) (comp) pocket modem/
ポケットモンキー /(n) pocket monkey/
ポケットモンスター /(n) pocket monster (internationally popular cartoon series, originally a video game)/
ポケット計算器 [ポケットけいさんき] /(n) (comp) pocket calculator/hand-held calculator/
ポケハロ /(n) (abbr) "pocket Hello Kitty" that combines a pedometer and a tamagotchi/
ポケバイ /(n) (abbr) pocket bike (very small motorbike)/
ポケベル /(n) (abbr) pocket bell/pager/beeper/
ポケモン /(n) (abbr) pocket monster (internationally popular cartoon series, originally a video game)/
ポシェット /(n) pocket (fre: pochette)/
ポシビリティー /(n) possibility/(P)/
ポシブル /(n) possible/
ポシャる /(v5r,vi) to break down/to fail/to fizzle/to flop/to peter out/to fall flat/
ポジ /(n,adj-no) (abbr) positive/
ポジェット /(n) pocket (fre: pochette)/
ポジショニング /(n) positioning/(P)/
ポジション /(n) position/(P)/
ポジショントーク /(n) opinion expressed from someone's point of view (wasei: position talk)/
ポジショントレーダー /(n) position trader/
ポジックス /(n) (comp) POSIX/
ポジティビズム /(n) positivism/
ポジティブ /(adj-na,n) positive/(P)/
ポジティブオルガン /(n) positive organ/
ポジティブリスト /(n) positive list/
ポジティブ表示 [ポジティブひょうじ] /(n) (comp) positive expression/
ポジトロン /(n) positron/
ポジトロンＣＴ [ポジトロンシーティー] /(n) (comp) positron emission tomography (from positron CT)/PET/
ポジフィルム /(n) (abbr) positive film/reversal film/slide film/
ポス /(n) (comp) POS/
ポスシステム /(n) point of sales system/POS system/
ポスタ /(n) poster/
ポスター /(n) poster/(P)/
ポスターカラー /(n) poster color/poster colour/
ポスターセッション /(n) poster session/
ポスターバリュー /(n) poster value/
ポスター発表 [ポスターはっぴょう] /(n) poster presentation (at a conference, etc.)/poster session/
ポスト /(n,vs) (1) post/position/(2) postbox/mail box/pillar box/(pref) (3) post-/(P)/
ポストアンブル /(n) (comp) postamble/
ポストイット /(n) Post-It (note)/
ポストオフィス /(n) post office/
ポストカード /(n) postcard/
ポストグレス /(n) (comp) Postgres/
ポストケインジアン /(n) post-Keynesian/
ポストシーズン /(n) post-season/
ポストスクリプト /(n) postscript/
ポストドク /(n) post-doc/post-doctoral researcher/
ポストドクター /(n) post-doc/post-doctoral researcher/
ポストハーベスト /(n) post-harvest/
ポストピクセルブレンド /(n) (comp) post-pixel blending/
ポストフィックス表記法 [ポストフィックスひょうきほう] /(n) (comp) suffix notation/postfix notation/reverse Polish notation/
ポストフェミニズム /(n) postfeminism/
ポストプロセス /(n) post-process/
ポストプロダクション /(n) postproduction/
ポストペット /(n) (comp) Postpet/
ポストマスタ /(n) postmaster/
ポストマスター /(n) postmaster/
ポストマン /(n) postman/mailman/
ポストモダニスト /(adj-no) post-modernist/
ポストモダニズム /(n) postmodernism/
ポストモダン /(n) postmodern/post-modern/
ポストモダンフェミニズム /(n) postmodern feminism/
ポスト構造主義 [ポストこうぞうしゅぎ] /(n) poststructuralism/
ポセイドン /(n) Poseidon/
ポタージュ /(n) potage (thick soup) (fre:)/(P)/
ポタシウム /(n) potassium/
ポタポタ落ちる [ポタポタおちる] /(exp,v1) to fall in drops/to drip down/to trickle down/
ポタリ /(adv-to) (1) (on-mim) drip/fall drop-by-drop/(2) suddenly (of drops of water)/
ポタリング /(n) pottering/
ポチっ /(adv-to) (m-sl) sound effect when pressing a button/
ポッと /(adv,vs) (1) (on-mim) slightly (blushing)/(2) (on-mim) suddenly (getting bright, flaring up, flashing on, etc.)/(3) (on-mim) distractedly/
ポッケ /(n) (abbr) pocket/
ポッターズエンジェルフィッシュ /(n) Potter's angelfish (Centropyge potteri)/
ポット /(n) pot/(P)/
ポッド /(n) pod/
ポッドキャスティング /(n) podcasting/
ポッドキャスト /(n) podcast/(P)/
ポッピー /(n) poppy/
ポップ /(adj-na,n,vs) (1) pop/(2) signage/display/billboard (as used to decorate arcade games)/(P)/
ポップアート /(n) pop art/(P)/
ポップアップ /(n) (comp) pop-up/
ポップアップアイテム /(n) (comp) pop-up item/
ポップアップウィンドウ /(n) (comp) pop-up window/
ポップアップメッセージ /(n) (comp) pop-up message/
ポップアップメニュー /(n) (comp) popup menu/
ポップアップ絵本 [ポップアップえほん] /(n) pop-up book/
ポップアップ表示 [ポップアップひょうじ] /(n) (comp) pop-up display/
ポップカントリー /(n) pop country/
ポップグループ /(n) pop (music) group/
ポップコーン /(n) popcorn/
ポップゴスペル /(n) pop gospel/
ポップジャズ /(n) pop jazz/
ポップス /(n) pops/(P)/
ポップスリー /(n) (comp) POP3/
ポップヒント /(n) (comp) what's this tip/
ポップフライ /(n) pop fly/
ポップミュージック /(n) pop music/
ポップメイル /(n) (comp) POPmail/
ポップ界のカリスマ [ポップかいのカリスマ] /(n) pop icon/
ポツダム会談 [ポツダムかいだん] /(n) Potsdam Conference (Jul.-Aug., 1945 conference regarding the postwar occupation of Germany)/
ポツダム宣言 [ポツダムせんげん] /(n) Potsdam Declaration (July 26, 1945 statement establishing the terms of a Japanese surrender)/
ポツダム命令 [ポツダムめいれい] /(n) Potsdam Orders (commands made after the Japanese surrender based on the demands of the Potsdam Declaration)/
ポツリポツリ /(adv,adv-to) by ones and twos/
ポテチ /(n) (abbr) potato chip/
ポテト /(n) potato/(P)/
ポテトサラダ /(n) potato salad/
ポテトチップ /(n) potato chip/
ポテトチップス /(n) potato chips/potato crisps/(P)/
ポテトフライ /(n) fried potato (wasei: potato fry)/French fries/chips/
ポテポテ /(adv,vs) thick (of liquids)/stodgy/
ポテンシオメーター /(n) potentiometer/
ポテンシャル /(n) potential/(P)/
ポテンシャルエネルギー /(n) potential energy/
ポテンツ /(n) potency (ger: Potenz)/
ポディウム /(n) podium/
ポトス /(n) pothos/devil's ivy (species of arum, Epipremnum aureum)/
ポトフ /(n) pot-au-feu (fre:)/(P)/
ポトラッチ /(n) potlatch/
ポドソル /(n) podzol (rus:)/podsol/
ポドゾル /(n) podzol (rus:)/podsol/
ポドフィルム /(n) mayapple (Podophyllum peltatum) (lat: podophyllum)/May apple/
ポニー /(n) pony/
ポニーテール /(n) ponytail/(P)/
ポニョる /(v5r) (col) (fam) to be fat/
ポニョポニョ /(exp) to be fat/
ポピー /(n) poppy/
ポピーシード /(n) poppy seed/
ポピュラー /(adj-na,n) popular/(P)/
ポピュラーソング /(n) popular song/
ポピュラーミュージック /(n) popular music/
ポピュラー音楽 [ポピュラーおんがく] /(n) popular music/
ポピュラリティ /(n) popularity/
ポピュラリティー /(n) popularity/
ポピュリスム /(n) populism (fre: populisme)/
ポピュレーション /(n) population/
ポプラ /(n) poplar (esp. Lombardy poplar, Populus nigra var. italica)/
ポプリ /(n) pot-pourri (fre:)/(P)/
ポプリン /(n) poplin/
ポポー /(n) papaw/pawpaw/
ポマード /(n) pomade (fre:)/
ポマト /(n) pomato/cross of a tomato and a potato/
ポメラニアン /(n) Pomeranian/
ポメラニア犬 [ポメラニアけん] /(n) Pomeranian (dog)/
ポライトネス /(n) politeness/
ポラック /(n) pollack/pollock/
ポラリス /(n) Polaris/American submarine/
ポラロイド /(n) Polaroid (camera)/
ポラロイドカメラ /(n) Polaroid camera/
ポラロイド写真 [ポラロイドしゃしん] /(n) Polaroid picture/
ポランド /(n) (uk) Poland/
ポリ /(pref) (1) poly-/(n) (2) polyethylene/(3) (abbr) (sl) (derog) police/(P)/
ポリープ /(n) (1) (medical) polyp/(2) (zoological) polyp/(P)/
ポリアセタール /(n) polyacetal/
ポリアセチレン /(n) polyacetylene/
ポリアミド /(n) polyamide/
ポリアミド樹脂 [ポリアミドじゅし] /(n) polyamide resin/
ポリアミド繊維 [ポリアミドせんい] /(n) polyamide fiber/polyamide fibre/
ポリアンサス /(n) polyanthus (Primula x polyantha)/
ポリアンドリー /(n) (obsc) polyandry/
ポリイン /(n) polyyne/
ポリウレタン /(n) polyurethane/
ポリエステル /(n) polyester/
ポリエステル繊維 [ポリエステルせんい] /(n) polyester fiber/polyester fibre/
ポリエチレン /(n) polyethylene/(P)/
ポリエチレンテレフタラート /(n) polyethylene terephthalate/
ポリエチレンテレフタレート /(n) polyethylene-telephthalate/PET/
ポリエチレン樹脂 [ポリエチレンじゅし] /(n) polyethylene resin/
ポリエン /(n) polyene/
ポリオ /(n) polio/(P)/
ポリオーラフィン /(n) polyolefin/
ポリオウイルス /(n) poliovirus/
ポリオキシエチレン /(n) polyoxyethylene/
ポリオキシメチレン /(n) polyoxymethylene/
ポリオレフィン /(n) polyolefin/
ポリオワクチン /(n) polio vaccine (ger: Poliovakzin)/poliomyelitis vaccine/
ポリカーボネート /(n) polycarbonate/
ポリガミー /(n) (obsc) polygamy/
ポリクロミー /(n) polychromy/
ポリクロロプレン /(n) polychloroprene/
ポリグラフ /(n) polygraph/
ポリグラフテスト /(n) lie detector test/polygraph test/
ポリグロット /(n) polyglot/
ポリゴン /(n) polygon/
ポリサージュ /(n) (1) polishing (fre: polissage)/buffing/(2) make-up with a shiny appearance/
ポリシ /(n) policy/
ポリシー /(n) policy/(P)/
ポリシーに固執 [ポリシーにこしつ] /(n) adherence to a policy/
ポリシーミックス /(n) policy mix/
ポリシング /(n) (comp) policing/
ポリジーン /(n) polygene/
ポリス /(n) (1) police/(2) polis (ancient Greek city state) (gre: polis)/(suf) (3) -city/(P)/
ポリスアカデミー /(n) police academy/
ポリスコート /(n) police court/
ポリスチレン /(n) polystyrene/
ポリスチロール /(n) polystyrol/
ポリスボックス /(n) police box/
ポリスルホン /(n) polysulphone/polysulfone/
ポリセントリズム /(n) polycentrism/
ポリタンク /(n) plastic container (e.g. gas can, water can or similar) (wasei: poly-tank)/
ポリチオフェン誘導体 [ポリチオフェンゆうどうたい] /(n) polythiophene derivative/
ポリッシュリムーバー /(n) polish remover/
ポリッジ /(n) porridge/
ポリティカル /(adj-na) political/
ポリティカルアパシー /(n) political apathy/
ポリティカルコレクトネス /(n) political correctness/
ポリティカルフィクション /(n) political fiction/
ポリティシャン /(n) politician/
ポリティックス /(n) politics/
ポリテトラフルオロエチレン /(n) polytetrafluoroethylene/
ポリトープ法 [ポリトープほう] /(n) (comp) polytop method/
ポリヌクレオチド /(n) polynucleotide/
ポリネシア /(n) Polynesia/(P)/
ポリノジック /(n) polynosic/
ポリバケツ /(n) (abbr) polyethylene bucket/
ポリバス /(n) (abbr) polyethylene bathtub/
ポリビニル /(n,adj-no) polyvinyl/
ポリビニルアルコール /(n) polyvinyl alcohol/
ポリファーマシー /(n) polypharmacy/
ポリフェニレンオキシド /(n) polyphenylene oxide/
ポリフェニレンスルフィド /(n) polyphenylene sulfide/
ポリフェノール /(n) polyphenol/
ポリフォニー /(n) polyphony/
ポリブタジエン /(n) polybutadiene/
ポリプ /(n) (1) (medical) polyp/(2) (zoological) polyp/
ポリプテルス /(n) bichir (Polypteridae spp.) (lat: Polypterus)/
ポリプロピレン /(n) polypropylene/(P)/
ポリペプチド /(n) polypeptide/
ポリマー /(n) polymer/(P)/
ポリマーアロイ /(n) polymer alloy/
ポリミキシン /(n) polymyxin/
ポリメーター /(n) polymeter/
ポリメラーゼ /(n) polymerase/
ポリメラーゼ連鎖反応法 [ポリメラーゼれんさはんのうほう] /(n) polymerase chain reaction (PCR)/
ポリモーフィズム /(n) polymorphism/
ポリモフィズム /(n) polymorphism/
ポリモルフィズム /(n) polymorphism/
ポリューション /(n) pollution/
ポリリン酸 [ポリリンさん] /(n) polyphosphoric acid/
ポリロギスム /(n) polylogism/
ポリン /(n) porin/
ポリ塩化ビニル [ポリえんかビニル] /(n,adj-no) polyvinyl/
ポリ塩化ビニル管 [ポリえんかビニルかん] /(n) polyvinyl chloride pipe/PVC pipe/
ポリ塩化ビフェニル [ポリえんかビフェニル] /(n) polychlorinated biphenyl/
ポリ公 [ポリこう] /(n) slang for police officer/
ポリ酢酸ビニル [ポリさくさんビニル] /(n) polyvinyl acetate/PVAC/
ポリ袋 [ポリぶくろ] /(n) polyethylene bag/
ポリ燐酸 [ポリりんさん] /(n) polyphosphoric acid/
ポルカ /(n) polka/(P)/
ポルカドット /(n) polka dot/
ポルカドット・キャットシャーク /(n) polkadot catshark (Scyliorhinus besnardi, species from northern Uruguay)/
ポルカドットキャットシャーク /(n) polkadot catshark (Scyliorhinus besnardi, species from northern Uruguay)/
ポルシェ /(n) Porsche (German car brand)/(P)/
ポルターガイスト /(n) poltergeist (ger:)/
ポルタティブ /(n) portative/
ポルタメント /(n) portamento (ita:)/
ポルダー /(n) low-lying land reclaimed from the sea (dut: polder)/
ポルチコ /(n) portico (ita:)/
ポルティコ /(n) portico (ita:)/
ポルトガル語 [ポルトガルご] /(n) Portuguese (language)/
ポルトランドセメント /(n) Portland cement/
ポルノ /(n) (abbr) pornography/(P)/
ポルノグラフィ /(n) pornography/
ポルノグラフィー /(n) pornography/
ポルノサイト /(n) porn site/
ポルノ映画 [ポルノえいが] /(n) blue film/
ポルフィリン /(n) porphyrin/
ポルフィリン症 [ポルフィリンしょう] /(n) porphyria/
ポレミック /(adj-na) polemic/
ポレンタ /(n) polenta (ita:)/
ポロ /(n) polo/(P)/
ポロコート /(n) polo coat/
ポロシャツ /(n) polo shirt/
ポロジ状態要素 [ポロジじょうたいようそ] /(n) (comp) topology state element/
ポロニウム /(n) polonium (Po)/
ポロネーズ /(n) polonaise (fre:)/
ポワッソン分布 [ポワッソンぶんぷ] /(n) (comp) Poisson distribution/
ポワレ /(n) poele (fre:)/butter roasting/
ポンカン /(n) (uk) ponkan orange (Citrus reticulata)/tangerine/
ポンコツ /(n) piece of junk/
ポンジー /(n) Ponzi scheme/
ポンス /(n) (1) juice pressed from a bitter orange (dut: pons)/(2) punch (i.e. fruit punch)/
ポンチ /(n) punch/
ポンチョ /(n) poncho/
ポンチ絵 [ポンチえ] /(n) cartoon/caricature/
ポンツーン /(n) pontoon/
ポンデローサマツ /(n) (uk) ponderosa pine (Pinus ponderosa)/
ポンデローサ松 [ポンデローサまつ] /(n) (uk) ponderosa pine (Pinus ponderosa)/
ポンド /(n) pound/(P)/
ポンプ /(n) pump (dut: pomp)/(P)/
ポンプ水車 [ポンプすいしゃ] /(n) reversible pump-turbine/
ポンポン /(n) pompon/pompons/bobbles/(P)/
ポンポンダリア /(n) pompon dahlia/
ポン引き [ポンびき] /(n) (1) tout/swindler/con-man/(2) pimp/
ポン引き [ポンぴき] /(n) (1) tout/swindler/con-man/(2) pimp/
ポン柑 [ポンかん] /(n) (uk) ponkan orange (Citrus reticulata)/tangerine/
ポン酢 [ポンず] /(ateji) (n) (1) juice pressed from a bitter orange/(2) (abbr) ponzu (Japanese sauce made primarily of soy sauce and citrus juice)/
ポン酢醤油 [ポンずしょうゆ] /(n) ponzu (Japanese sauce made primarily of soy sauce and citrus juice)/
マーカ /(n) marker/(P)/
マーカー /(n) marker/(P)/
マーカンティリズム /(n) mercantilism/
マーカンヒリズム /(n) mercantilism/
マーカ種 [マーカしゅ] /(n) (comp) marker type/
マーカ倍率 [マーカばいりつ] /(n) (comp) marker size scale factor/
マーカ列 [マーカれつ] /(n) (comp) polymarker/
マーカ列束表 [マーカれつたばひょう] /(n) (comp) polymarker bundle table/
マーガリン /(n) margarine/(P)/
マーガレット /(n) (1) marguerite (Chrysanthemum frutescens)/(2) Japanese women's hairstyle comprised of a long braid tied up in a loop with a ribbon (ca. 1885)/
マーキーズ /(n) marquise/
マーキュリー /(n) Mercury/(P)/
マーキュロ /(n) (abbr) Mercurochrome/
マーキュロクローム /(n) Mercurochrome/merbromin/
マーキュロクロム /(n) Mercurochrome/merbromin/
マーキング /(n) marking/
マーキングペーパー /(n) marking paper/
マーク /(n,vs) (1) mark/(2) (abbr) markup/(3) (comp) Mach (OS kernel)/(P)/
マークアップ /(n,vs) markup/
マークアップインフレ /(n) markup inflation/
マークアップ言語 [マークアップげんご] /(n) (comp) markup language/
マークシート /(n) mark sheet/(P)/
マークリーダー /(n) mark reader/
マーク規則 [マークきそく] /(n) (comp) markup convention/
マーク区間 [マークくかん] /(n) (comp) marked section/
マーク区間の有効状態 [マークくかんのゆうこうじょうたい] /(n) (comp) effective status of a marked section/
マーク区間開始 [マークくかんかいし] /(n) (comp) marked section start/
マーク区間終了 [マークくかんしゅうりょう] /(n) (comp) marked section end/
マーク区間宣言 [マークくかんせんげん] /(n) (comp) marked section declaration/
マーク最小化機構 [マークさいしょうかきこう] /(n) (comp) markup minimization feature/
マーク宣言 [マークせんげん] /(n) (comp) markup declaration/
マーク読取り [マークよみとり] /(n) (comp) mark scanning/optical mark reading/
マーク読取り装置 [マークよみとりそうち] /(n) (comp) mark reader/
マーク認知開始文字 [マークにんちかいしもじ] /(n) (comp) markup-scan-in characters/
マーク認知終了文字 [マークにんちしゅうりょうもじ] /(n) (comp) markup-scan-out characters/
マーク認知抑止文字 [マークにんちよくしもじ] /(n) (comp) markup-scan-suppress characters/
マーク付け [マークづけ] /(n) (comp) mark up/
マーク文字 [マークもじ] /(n) (comp) markup character/
マーケット /(n) market/(P)/
マーケットアウェアネス /(n) (comp) market awareness/
マーケットアナリシス /(n) market analysis/
マーケットイン /(n) incorporating the needs of the market into a product (wasei: market in)/
マーケットガーデン /(n) market garden/
マーケットシェア /(n) market share/
マーケットセグメンテーション /(n) market segmentation/
マーケットバスケット /(n) market basket (method)/
マーケットプライス /(n) market price/
マーケットプレイス /(n) marketplace/
マーケットメカニズム /(n) market mechanism/
マーケットリーダー /(n) market leader/
マーケットリサーチ /(n) market research/
マーケティング /(n) marketing/(P)/
マーケティングキャンペーン /(n) marketing campaign/
マーケティングコスト /(n) marketing cost/
マーケティングコミュニケーション /(n) marketing communication/
マーケティングマップ /(n) marketing map/
マーケティングマネジメント /(n) marketing management/
マーケティングリサーチ /(n) marketing research/
マーケティング策略 [マーケティングさくりゃく] /(n) marketing tactic/
マーケティング情報システム [マーケティングじょうほうシステム] /(n) (comp) Marketing Information System/MIS/
マーケティング戦略 [マーケティングせんりゃく] /(n) marketing strategy/
マーゲイ /(n) margay (Leopardus wiedii)/
マーシャラー /(n) marshaller/
マーシャルのｋ [マーシャルのケー] /(n) Marshallian k (ratio of monetary base and nominal GNP)/
マーシャルアーツ /(n) martial arts/
マーシャルプラン /(n) Marshall Plan/
マーシャル諸島 [マーシャルしょとう] /(n) the Marshall Islands/
マージ /(n,vs) merge/
マージナル /(n) marginal/
マージナルコスト /(n) marginal cost/
マージナルスポーツ /(n) marginal sports/
マージナルマン /(n) marginal man/
マージャン /(n) mah-jongg (chi:)/mahjong/(P)/
マージャン打ち [マージャンうち] /(n) mahjong player/
マージョラム /(n) marjoram/
マージン /(n) margin/(P)/
マージンドコーラルフィッシュ /(n) margined coralfish (Chelmon marginalis)/Western beaked butterflyfish/Willemawillum/
マージン取引 [マージンとりひき] /(n) margin transaction/
マース /(n) Mars/
マーストリヒト条約 [マーストリヒトじょうやく] /(n) Maastricht Treaty (1992)/
マーセッド /(n) (comp) Merced/
マーゾニン /(n) merzonin/
マーチ /(n) (1) march/(2) March/(P)/
マーチャンダイザー /(n) merchandiser/
マーチャンダイジング /(n) merchandising/
マーチャンダイジングライツ /(n) merchandising right/
マーチャント /(n) merchant/
マーチャントバンカー /(n) merchant banker/
マーチャントバンク /(n) merchant bank/
マーチングバンド /(n) marching band/
マーティーニ /(n) martini/
マーティニ /(n) martini/
マート /(n) mart/(P)/
マーフィーの法則 [マーフィーのほうそく] /(n) Murphy's Law ("Whatever can go wrong, will go wrong")/
マーブル /(n) marble/(P)/
マーブルド・スパインフット /(n) marbled spinefoot (Siganus rivulatus, species of rabbitfish from the western Indian Ocean)/
マーブルドスパインフット /(n) marbled spinefoot (Siganus rivulatus, species of rabbitfish from the western Indian Ocean)/
マーボードーフ /(n) (uk) Sichuan style bean curd/
マーボー豆腐 [マーボーどうふ] /(n) (uk) Sichuan style bean curd/
マーマイト /(n) Marmite (food paste made from yeast extract)/
マーマレード /(n) marmalade/
マーメード /(n) mermaid/
マーメイド /(n) mermaid/(P)/
マーモセット /(n) marmoset (esp. the common marmoset, Callithrix (Callithrix) jacchus)/
マーモット /(n) marmot/
マール /(n) (1) maar (broad, shallow volcanic crater) (fre:, ger: Maar)/(2) marc (brandy distilled from pomace wine)/(3) marl (unconsolidated lime-rich rock)/
マールブルク学派 [マールブルクがくは] /(n) Marburg school (of philosophy)/
マールブルグウイルス /(n) Marburg virus/
マールブルグ病 [マールブルグびょう] /(n) Marburg disease/Marburg hemorrhagic fever/green monkey disease/
マアジ /(n) (uk) Japanese jack mackerel/Japanese horse mackerel (Trachurus japonicus)/
マイ /(pref) my/one's own/personal/privately owned/(P)/
マイアサウラ /(n) Maiasaura (genus of large duck-billed dinosaurs) (lat:)/
マイアミ /(n) Miami/(P)/
マイウェイ /(n) my way/
マイエスエーピードットコム /(n) (comp) mySAP.com/
マイカ /(n) (1) Japanese common squid/Pacific flying squid (Todarodes pacificus)/(2) golden cuttlefish (Sepia esculenta)/(3) Japanese spineless cuttlefish (Sepiella japonica)/
マイカ /(n) mica/
マイカー /(n) privately owned car (wasei: my car)/(P)/
マイカコンデンサー /(n) mica condenser/
マイク /(n) (abbr) mike/mic/microphone/(P)/
マイクノイズ /(n) (comp) microphone noise/
マイクロ /(n,pref) micro/micro-/10^-6/(P)/
マイクロアーキテクチャ /(n) (comp) micro-architecture/
マイクロアナライザ /(n) microanalyzer/
マイクロアナライザー /(n) microanalyzer/
マイクロアンペア計 [マイクロアンペアけい] /(n) micro-ampere meter/
マイクロウェーブ /(n) microwave/
マイクロウエーブ /(n) microwave/
マイクロエレクトロニクス /(n) microelectronics/ME/
マイクロカード /(n) microcard/
マイクロカーネル /(n) (comp) microkernel/
マイクロカプセル /(n) microcapsule/
マイクロキューリー /(n) microcurie/
マイクロキュリー /(n) microcurie/
マイクロクレジット /(n) micro-credit/microcredit/
マイクログラビティー /(n) microgravity/
マイクログラム /(n) microgramme/
マイクロケ /(n) (abbr) microphone location/
マイクロコード /(n) (comp) microcode/
マイクロコピー /(n) microcopy/
マイクロコム /(n) (comp) Microcom/
マイクロコンピュータ /(n) (comp) microcomputer/
マイクロコンピューター /(n) (comp) microcomputer/
マイクロサージェリー /(n) microsurgery/
マイクロサテライト /(n) microsatellite/
マイクロシーベルト /(n) micro Sievert/
マイクロシステムズ /(n) micro-systems/
マイクロシソーラス /(n) (comp) microthesaurus/
マイクロスコープ /(n) microscope/
マイクロスコピック /(n) microscopic/
マイクロステート /(n) microstate/
マイクロセカンド /(n) microsecond/
マイクロソフト /(n) (comp) Microsoft/
マイクロソフトプロダクトアクティベーション /(n) (comp) Microsoft Product Activation/
マイクロソフトポイント /(n) (comp) Microsoft Points/
マイクロソフトライセンス認証 [マイクロソフトライセンスにんしょう] /(n) (comp) Microsoft Product Activation/
マイクロチップ /(n) microchip/
マイクロチャネル /(n) (comp) Micro Channel/
マイクロチャネルアーキテクチャ /(n) (comp) microchannel architecture/
マイクロトーム /(n) microtome/
マイクロドライ /(n) (comp) Micro Dry/
マイクロドライブ /(n) (comp) microdrive/
マイクロバースト /(n) microburst/
マイクロバス /(n) microbus/(P)/
マイクロヒートパイプ /(n) (comp) micro heat pipe/
マイクロファイバー /(n) microfibre/microfiber/
マイクロファラド /(n) microfarad/
マイクロフィッシュ /(n) microfiche/
マイクロフィルム /(n) microfilm/(P)/
マイクロフォン /(n) microphone/
マイクロフロッピー /(n) micro floppy/
マイクロフロッピーディスク /(n) (comp) microfloppy disk/
マイクロフロッピィディスク /(n) (comp) microfloppy disk/
マイクロブリュワリー /(n) microbrewery/
マイクロプログラミング /(n) (comp) microprogramming/
マイクロプログラム /(n) (comp) microprogram/microprogramme/
マイクロプロセッサ /(n) (comp) microprocessor/
マイクロプロセッサー /(n) (comp) microprocessor/MPU/
マイクロホン /(n) microphone/
マイクロボディー /(n) microbody/
マイクロボルト /(n) microvolt/
マイクロマイクロ /(n) micromicro/
マイクロマウス /(n) micromouse/
マイクロマシン /(n) micromachine/
マイクロメーター /(n) micrometer/
マイクロメートル /(n) micrometer/
マイクロメディア /(n) (comp) micromedia/
マイクロライト /(n) microlight/
マイクロリーダー /(n) microreader/
マイクロン /(n) (comp) Micron/
マイクロ波 [マイクロは] /(n) microwave/
マイクロ波加熱 [マイクロはかねつ] /(n) microwave heating/
マイクロ波管 [マイクロはかん] /(n) microwave tube/
マイクロ波着陸装置 [マイクロはちゃくりくそうち] /(n) microwave landing system/MLS/
マイクロ秒 [マイクロびょう] /(n) (comp) microsecond/
マイクロ命令 [マイクロめいれい] /(n) (comp) microinstruction/
マイグレーション /(n) migration/
マイグレート /(n) migrate/
マイケルソンモーリーの実験 [マイケルソンモーリーのじっけん] /(n) Michelson-Morley experiment (1887)/
マイコトキシン /(n) mycotoxin/
マイコバクテリア /(n) mycobacteria/
マイコプラスマ /(n) mycoplasma/
マイコプラスマ肺炎 [マイコプラスマはいえん] /(n) mycoplasma pneumonia/
マイコプラズマ /(n) mycoplasma/
マイコプラズマ肺炎 [マイコプラズマはいえん] /(n) mycoplasma pneumonia/
マイコン /(n) (1) (comp) (abbr) microcomputer/personal computer/home computer/(2) micro-controller/micro-processor/MCU/(3) moving (animated) icon/(P)/
マイスター /(n) master (ger: Meister)/
マイスタージンガー /(n) (Die) Meistersinger (ger:)/
マイセン磁器 [マイセンじき] /(n) Meissen porcelain/
マイソール戦争 [マイソールせんそう] /(n) Anglo-Mysore Wars (1766-1799)/
マイタイ /(n) mai tai (cocktail) (tah: maita'i)/
マイテレビ /(n) (comp) My TV/
マイデバイス /(n) (comp) My Device/
マイトーク /(n) (comp) Mytalk/
マイトネリウム /(n) meitnerium (Mt)/
マイトマイシン /(n) mitomycin/
マイドキュメント /(n) (comp) My Documents/
マイナー /(adj-na,n) minor/(P)/
マイナーチェンジ /(n) minor change/
マイナーバージョンアップ /(n) (comp) minor upgrade (wasei: minor version up)/
マイナーバージョン番号 [マイナーバージョンばんごう] /(n) (comp) minor version number/
マイナーリーグ /(n) minor league/
マイナーレーベル /(n) minor level/
マイナス /(n,vs,adj-no) minus/(P)/
マイナスのねじ回し [マイナスのねじまわし] /(n) (comp) flat-bladed screwdriver/
マイナスイオン /(n) negative ion (wasei: minus ion)/
マイナスイメージ /(n) negative image (wasei: minus image)/
マイナスシーリング /(n) budget reduction (wasei: minus ceiling)/
マイナスドライバ /(n) (regular) screwdriver (wasei: minus driver, i.e. - driver)/flathead screwdriver/slotted screwdriver/
マイナスドライバー /(n) (regular) screwdriver (wasei: minus driver, i.e. - driver)/flathead screwdriver/slotted screwdriver/
マイナス思考 [マイナスしこう] /(n) pessimism/negative thinking/
マイナス成長 [マイナスせいちょう] /(n) negative growth/
マイナス面 [マイナスめん] /(n) negative aspect/downside/disadvantage/
マイノリティ /(n) minority/
マイノリティー /(n) minority/(P)/
マイノリティーグループ /(n) minority group/
マイバッグ /(n) reuseable shopping bag (wasei: may bag)/
マイビデオ /(n) (comp) My Videos/
マイフェイバリットソング /(exp) my favourite song/
マイフェス /(n) (comp) MIFES/
マイブーム /(n) something that a person is currently obsessed with or fascinated by (wasei: my boom)/
マイペース /(n) doing things at one's own pace (wasei: my pace)/(P)/
マイホーム /(n) one's (own) house (wasei: my home)/one's (own) home/(P)/
マイミク /(n) (abbr) my mixi/refers to the 'friend list' on mixi (or people on that list)/
マイミクシィ /(n) my mixi/refers to the 'friend list' on mixi (or people on that list)/
マイム /(n) mime/(P)/
マイヨ・ジョーヌ /(n) yellow jersey (awarded to the winner of the Tour de France, etc.) (fre: maillot jaune)/
マイヨジョーヌ /(n) yellow jersey (awarded to the winner of the Tour de France, etc.) (fre: maillot jaune)/
マイラー /(n) miler/
マイル /(n) mile/(P)/
マイルカ /(n) (uk) short-beaked common dolphin (Delphinus delphis)/
マイルストーン /(n) milestone/
マイルド /(adj-na) mild/(P)/
マイルドインフレーション /(n) mild inflation/
マイルレース /(n) mile race/
マイレージ /(n) mileage/
マイレージサービス /(n) frequent flier mileage (wasei: mileage service)/
マイワシ /(n) (uk) Japanese pilchard/Japanese sardine (Sardinops melanostictus)/
マイン /(n) mine/
マインド /(n) mind/(P)/
マインドコントロール /(n) mind-control/
マイ箸 [マイはし] /(n) washable chopsticks carried in a case (to be used in place of disposable chopsticks)/
マイ箸 [マイばし] /(n) washable chopsticks carried in a case (to be used in place of disposable chopsticks)/
マウス /(n) (1) (lab) mouse/(2) (comp) mouse/(3) mouth/(P)/
マウスの左ボタン [マウスのひだりボタン] /(n) (comp) left mouse button/
マウスアイコン /(n) (comp) mouse icon/
マウスウォッシュ /(n) mouthwash/
マウスオポッサム /(n) mouse opossum/
マウスカーソル /(n) (comp) mouse cursor/
マウスクリック /(n) (comp) mouse click/
マウスドライバ /(n) (comp) mouse (device) driver/
マウスパッド /(n) (comp) mouse pad/
マウスピース /(n) mouthpiece/
マウスボー /(n) mouth bow/
マウスボタン /(n) (comp) mouse button/
マウスポインタ /(n) (comp) mouse pointer/
マウスユニット /(n) mouse unit (unit of toxicity in poisons)/
マウス移動感度 [マウスいどうかんど] /(n) (comp) acceleration/
マウリチウス /(n) Mauritius/
マウリヤ朝 [マウリヤちょう] /(n) Maurya Dynasty (of India, approx. 317-186 BCE)/
マウンチング /(n) mounting/
マウンティング /(n) mounting/
マウンテン /(n) mountain/(P)/
マウンテンゴリラ /(n) mountain gorilla/
マウンテンバイク /(n) mountain bicycle/mountain bike/
マウンテンフレーム /(n) (comp) mounting frame/
マウンテンミュージック /(n) mountain music/
マウンテンレール /(n) (comp) mounting rail/
マウント /(n,vs) mount/(P)/
マウントポイント /(n) (comp) mount point/
マウント処理 [マウントしょり] /(n) (comp) mount(ing) process/
マウンド /(n) mound/(P)/
マエストロ /(n) maestro (ita:)/(P)/
マエピン /(n) focal point of a lens in front of the subject/
マオタイチュー /(n) maotai (variety of distilled Chinese alcohol)/
マオタイチュウ /(n) maotai (variety of distilled Chinese alcohol)/
マオナガ /(n) thresher (species of shark, Alopias vulpinus)/
マオマオ /(n) green damselfish (Abudefduf abdominalis)/Hawaiian sergeant/Hawaiian sergeant-major damselfish/Maomao/
マオリ /(n) the Maori/
マオリ族 [マオリぞく] /(n) Maori/
マカウ /(n) (uk) Macau/Macao/
マカオ /(n) (uk) Macau/Macao/
マカジキ /(n) (uk) striped marlin (Tetrapturus audax)/
マカダミア /(n) macadamia/
マカダミアナッツ /(n) macadamia nuts/
マカダム /(n) Macadam/(P)/
マカダムローラー /(n) macadam roller/
マカデミアナッツ /(n) macadamia nut (Macadamia sp.)/
マカロニ /(n) macaroni/(P)/
マカロニウエスタン /(n) macaroni western/
マカロニペンギン /(n) macaroni penguin (Eudyptes chrysolophus)/
マカロン /(n) macaron (a French pastry made from egg whites and almond powder) (fre:)/macaroon/
マガキ /(n) (uk) Pacific oyster (Crassostrea gigas)/
マガジン /(n) magazine/(P)/
マガジンラック /(n) magazine rack/
マガマウスザメ /(n) megamouth shark (Megachasma pelagios)/
マガモ /(n) (uk) mallard (Anas platyrhynchos)/mallard duck/
マガレート /(n) (1) Japanese women's hairstyle comprised of a long braid tied up in a loop with a ribbon (ca. 1885)/
マガレイ /(n) brown sole (Pleuronectes herzensteini)/
マガレイト /(n) (1) Japanese women's hairstyle comprised of a long braid tied up in a loop with a ribbon (ca. 1885)/
マキ /(n) (uk) yew plum pine (Podocarpus macrophyllus)/
マキアベリズム /(n) Machiavellism/Machiavellianism/
マキアヴェリズム /(n) Machiavellism/Machiavellianism/
マキシ /(n) maxi/(P)/
マキシマム /(adj-na,n) maximum/
マキシミンルール /(n) maximin rule/
マキシム /(n) maxim/
マキバタヒバリ /(n) (uk) meadow pipit (Anthus pratensis)/titlark/
マキバドリ /(n) (uk) meadowlark/field lark/
マキャベリズム /(n) Machiavellism/Machiavellianism/
マキラドーラ /(n) maquiladora/
マギ /(n) magi (gre: magos)/magus/
マクる /(v5r) (sl) to eat at McDonald's/
マクシマム /(n) maximum/
マクシム /(n) maxim/
マクジャク /(n) (uk) green peafowl (Pavo muticus)/
マクスウェルの方程式 [マクスウェルのほうていしき] /(n) Maxwell's equations (summarizing the classical properties of the electromagnetic field)/
マクスウェルの魔物 [マクスウェルのまもの] /(n) Maxwell's demon/
マクド /(n) (abbr) (sl) McDonald's/
マクドナルド /(n) McDonald's (restaurant)/(P)/
マクラメ /(n) macrame/(P)/
マクロ /(adj-na,n) (comp) macro/(P)/
マクロの展開 [マクロのてんかい] /(n) (comp) macro expansion/
マクロアセンブラ /(n) (comp) macro assembler/
マクロウィルス /(n) (comp) macro virus/
マクロウィンドウ /(n) (comp) macro window/
マクロエンジニアリング /(n) macroengineering/
マクロコスモス /(n) macrocosm (ger: Makrokosmos)/
マクロシソーラス /(n) (comp) macrothesaurus/
マクロスコピック /(n) macroscopic/
マクロデータ /(n) (comp) macro data/
マクロバースト /(n) macroburst/
マクロビオティック /(n,adj-no) macrobiotics (fre: macrobiotique)/
マクロファージ /(n) macrophage/
マクロファージ遊走阻止因子 [マクロファージゆうそうそしいんし] /(n) macrophage migration inhibitory factor/MMIF/
マクロプロジェクト /(n) (comp) macro project/
マクロプロセッサ /(n) (comp) macro-processor/
マクロモデル /(n) macro model/
マクロレンズ /(n) macro lens/
マクロン /(n) macron (diacritical mark)/
マクロ感染型ウイルス [マクロかんせんかたウイルス] /(n) (comp) macro infection type virus/
マクロ機能 [マクロきのう] /(n) (comp) macro-function/
マクロ経済学 [マクロけいざいがく] /(n) macro-economics/
マクロ言語 [マクロげんご] /(n) (comp) macro language/
マクロ呼出し [マクロよびだし] /(n) (comp) macro call/
マクロ式 [マクロしき] /(n) (comp) macro expression/
マクロ処理プログラム [マクロしょりプログラム] /(n) (comp) macrogenerator/macroprocessor/
マクロ処理系 [マクロしょりけい] /(n) (comp) macrogenerator/macroprocessor/
マクロ生成プログラム [マクロせいせいプログラム] /(n) (comp) macrogenerator/macroprocessor/
マクロ生成系 [マクロせいせいけい] /(n) (comp) macrogenerator/macroprocessor/
マクロ定義 [マクロていぎ] /(n) (comp) macro definition/
マクロ本体 [マクロほんたい] /(n) (comp) macro definition/macro prototype/
マクロ命令 [マクロめいれい] /(n) (comp) macro instruction/
マグ /(n) mug/
マグカップ /(n) mug (wasei: mug cup)/
マグナカルタ /(n) Magna Carta/
マグナム /(n) magnum/(P)/
マグニチュード /(n) magnitude/(P)/
マグニフィシェント・ラビットフィッシュ /(n) magnificent rabbitfish (Siganus magnificus, species of rabbitfish found from Thailand to Java)/
マグニフィシェントラビットフィッシュ /(n) magnificent rabbitfish (Siganus magnificus, species of rabbitfish found from Thailand to Java)/
マグネサイト /(n) magnesite/
マグネシア /(n) magnesia/
マグネシウム /(n) magnesium (Mg)/(P)/
マグネシウム合金 [マグネシウムごうきん] /(n) magnesium alloy/
マグネシヤ /(n) magnesia/
マグネタイト /(n) magnetite/
マグネチック /(adj-f,adj-no) magnetic/
マグネチックインク /(n) magnetic ink/
マグネチックカード /(n) magnetic card/
マグネチックスピーカー /(n) (abbr) electromagnetic loudspeaker/
マグネット /(n) magnet/(P)/
マグネットスクール /(n) magnet school (public school offering special instruction in order to attract a more diverse student body)/
マグネットバイク /(n) magnetic bike (wasei: magnet bike)/magnetic exercise bike/
マグネティック /(adj-f,adj-no) magnetic/
マグネトロン /(n) magnetron/
マグノックス炉 [マグノックスろ] /(n) magnox reactor/
マグマ /(n) magma/(P)/
マグマ溜り [マグマだまり] /(n) magma reservoir/
マグロ女 [マグロおんな] /(n) (sl) woman who lies flat during intercourse/
マケドニア /(n) Macedonia/(P)/
マゲイ /(n) maguey/
マコガレイ /(n) (uk) marbled sole (Pleuronectes yokohamae)/
マコモ /(n) (uk) Manchurian wild rice (Zizania latifolia)/
マコロン /(n) macaron (a French pastry made from egg whites and almond powder) (fre:)/macaroon/
マコンブ /(n) (uk) Japanese kelp (Laminaria japonica)/
マゴチ /(n) (uk) flathead (Platycephalus sp.)/
マゴンドウ /(n) (uk) short-finned pilot whale (Globicephala macrorhynchus)/
マサージュ /(n,vs) massage/
マサイ /(n) Masai (people)/Maasai/
マサイ族 [マサイぞく] /(n) Masai (people)/Maasai/
マサキ /(n) Japanese spindletree (Euonymus japonicus)/
マサチューセッツ /(n) Massachusetts/(P)/
マサバ /(n) (uk) chub mackerel (Scomber japonicus)/
マサラ /(n) masala (mixture of spices used in Indian cooking)/
マサラー /(n) masala (mixture of spices used in Indian cooking)/
マサラティー /(n) Maserati/
マザー /(n) (1) mother/(2) (comp) (abbr) motherboard/(3) Mother (Superior)/title of a senior nun/
マザーインロー /(n) mother-in-law/
マザーカントリー /(n) mother country/
マザーグース /(n) Mother Goose/(P)/
マザーコン /(n) (abbr) Oedipus complex (wasei: mother complex)/sexual attraction to one's mother/
マザーコンプレックス /(n) Oedipus complex (wasei: mother complex)/sexual attraction to one's mother/
マザーズ /(n) Mothers/
マザーズデー /(n) Mother's Day/
マザーテープ /(n) mother tape/
マザーファッカー /(int) mother fucker/
マザーボード /(n) (comp) motherboard/
マザーランド /(n) motherland/
マザーリング /(n) mothering/
マザコン /(n) (abbr) Oedipus complex (wasei: mother complex)/sexual attraction to one's mother/(P)/
マザリング /(n) mothering/(P)/
マシ /(adj-na) (1) better/less objectionable/preferable/(n-suf) (2) more/increase/extra/(n) (3) (arch) increase/growth/
マシーン /(n) machine/(P)/
マシーンガン /(n) machine gun/
マシーンランゲージ /(n) machine language/
マシコ /(n) (1) (uk) rosefinch (any finch of genus Carpodacus)/(2) (obsc) monkey/
マシニングセンター /(n) machining center/
マシマロ /(n) marshmallow/
マシュマロ /(n) marshmallow/
マシン /(n) machine/(P)/
マシンが読み取り可能 [マシンがよみとりかのう] /(adj-na) (comp) machine-readable/
マシンガン /(n) machine gun/(P)/
マシンコード /(n) (comp) machine code/
マシンサイクル /(n) (comp) machine cycle/
マシンビジョン /(n) machine-vision/
マシンヘッド /(n) machine head/
マシンランゲージ /(n) machine language/
マシンルーム /(n) machine-room/
マシン依存型 [マシンいぞんがた] /(n,adj-no) (comp) machine-dependent/
マシン語 [マシンご] /(n) (comp) machine language/
マシン独立型 [マシンどくりつがた] /(n,adj-no) (comp) machine-independent/
マシン油 [マシンゆ] /(n) machine oil/
マジ /(adj-na,n) (1) (sl) serious (not capricious or flirtatious)/
マジウケる /(v1) (sl) to be amused/to find something interesting/
マジェスティックエンジェル /(n) bluegirdled angelfish (Pomacanthus navarchus)/majestic angelfish/
マジェランアイナメ /(n) (uk) Patagonian toothfish (Dissostichus eleginoides)/Chilean sea bass/
マジェラン鮎魚女 [マジェランあいなめ] /(n) (uk) Patagonian toothfish (Dissostichus eleginoides)/Chilean sea bass/
マジェラン鮎並 [マジェランあいなめ] /(n) (uk) Patagonian toothfish (Dissostichus eleginoides)/Chilean sea bass/
マジェンタ /(n) magenta/
マジカル /(n) magical/
マジギレ /(n,vs) (sl) being truly angry/
マジコウ /(ik) (n) magical/
マジコン /(n) game copier/backup device/
マジシャン /(n) magician/(P)/
マジック /(n) (1) magic/(2) (abbr) magic marker/(P)/
マジックアイ /(n) magic eye (in radio receivers, etc.)/
マジックインキ /(n) (abbr) magic ink marker/
マジックグラス /(n) magic glass/
マジックテープ /(n) Velcro (from Magic Tape - Japanese name for Velcro)/
マジックナンバー /(n) magic number/
マジックハンド /(n) magic hand/manipulator/
マジックポイント /(n) magic point (videogames)/MP/
マジックマーカー /(n) magic marker/
マジックミラー /(n) magic mirror/
マジックリアリズム /(n) magic realism/magical realism/
マジパン /(n) marzipan/
マジボケ /(n) (unintentionally comedic) stupidity/
マジョリカ /(n) majolica (type of Italian pottery)/
マジョリティー /(n) majority/
マジリアイゴ /(n) masked spinefoot (Siganus puellus, species of Indo-West Pacific rabbitfish)/bluelined rabbitfish/bluelined spinefoot/maiden spinefoot/
マジリカ /(n) majolica/
マジレス /(n,vs) (abbr) serious reply (response) (e.g. in 2ch threads)/
マジ受ける [マジうける] /(v1) (sl) to be amused/to find something interesting/
マジ切れ [マジぎれ] /(n,vs) (sl) being truly angry/
マス /(n) (1) mass/(2) (col) (abbr) masturbation/(P)/
マス /(n) (uk) trout/sea trout/
マス・コミュニケーション /(n) (1) mass communication/the media/(2) mass collaboration, e.g. Wikipedia/
マスをかく /(exp,v5k) (col) to jerk off/to masturbate/
マスカ /(n) masker/
マスカット /(n) muscat (grape)/muscatel/(P)/
マスカラ /(n) mascara/
マスカルチャー /(n) mass culture/
マスカルポーネ /(n) mascarpone/
マスキュリン /(n) masculine/
マスキング /(n) masking/
マスク /(n,vs) mask/(P)/
マスクＲＯＭ [マスクロム] /(n) (comp) mask read-only-memory/MROM/
マスククリア /(vs) blowing air into a dive mask through the nose to clear out the water (wasei: mask clear)/
マスクスクイズ /(n) unequal pressure between the mask air space and the vascular pressure within the blood vessels of the face/
マスクブロー /(vs) blowing air into a dive mask through the nose to clear out the water or equalize the pressure (wasei: mask blow)/
マスクメロン /(n) musk melon/cantaloup/
マスクラット /(n) muskrat (Ondatra zibethicus)/
マスクロム /(n) (comp) mask ROM/
マスク不可能割り込み [マスクふかのうわりこみ] /(n) (comp) Non-Maskable Interrupt/NMI/
マスケット銃 [マスケットじゅう] /(n) musket/
マスゲーム /(n) massed calisthenics (wasei: mass game)/massed gymnastics/(P)/
マスコット /(n) mascot/(P)/
マスコミ /(n) (abbr) mass communication/the media/(P)/
マスコミュニケーション /(n) (1) mass communication/the media/(2) mass collaboration, e.g. Wikipedia/
マスコンサンプション /(n) mass consumption/
マスコンプ /(n) Masscomp/
マスゴミ /(n) (col) (derog) mass communication (wasei: mass garbage)/the media/
マススクリーニング /(n) mass screening/
マスセール /(n) mass sale/
マスセールス /(n) mass sales/
マスソサエティー /(n) mass society/
マスタ /(vs) (1) to master/to learn/(n) (2) proprietor/manager/bar-owner/(3) master (e.g. arts, science)/
マスター /(vs) (1) to master/to learn/(n) (2) proprietor/manager/bar-owner/(3) master (e.g. arts, science)/(P)/
マスター・スクーバ・ダイバー /(n) master scuba diver/
マスターアップ /(n) (game) development deadline (wasei: master up)/
マスターオブセレモニー /(n) master of ceremonies/
マスターキー /(n) master key/
マスターコース /(n) master course/
マスターコード /(n) master code/
マスタースクーバダイバー /(n) master scuba diver/
マスターズゴルフ /(n) Masters Golf Tournament/(P)/
マスターテープ /(n) master tape/
マスターデータ /(n) (comp) master data/
マスターディスク /(n) (comp) original disk/
マスタード /(n) mustard/(P)/
マスタードガス /(n) mustard gas/
マスタードソース /(n) mustard sauce/
マスターハブ /(n) (comp) master hub/
マスターピース /(n) masterpiece/
マスターファイル /(n) master file/
マスタープラン /(n) master plan/
マスターベーション /(n,vs) masturbation/
マスターベイション /(n,vs) masturbation/
マスターページ /(n) (comp) master page/
マスターモニター /(n) master monitor/
マスターワーク /(n) masterwork/
マスターワークステーション /(n) (comp) master workstation/
マスタドキュメント /(n) (comp) master document/
マスタドライブ /(n) (comp) master drive/
マスタバ /(n) mastaba/mastabah/
マスタブートレコード /(n) (comp) master boot record/MBR/
マスタリング /(n) (audio) mastering/
マスタング /(n) mustang/
マスチフ /(n) mastiff (dog breed)/
マスツーリズム /(n) mass tourism/
マスデモクラシー /(n) mass democracy/
マスト /(n) mast (dut:)/(P)/
マストアイテム /(n) must-have (wasei: must item)/essential item/
マストドン /(n) mastodon/
マスドライバー /(n) mass driver/electromagnetic catapult/
マスノスケ /(n) (uk) chinook salmon (Oncorhynchus tshawytscha)/king salmon/tyee salmon/Columbia River salmon/black salmon/chub salmon/hook bill salmon/winter salmon/spring salmon/quinnat salmon/blackmouth/
マスファッション /(n) mass fashion/
マスプロ /(n) (abbr) mass production/
マスプロダクション /(n) mass production/
マスムーブメント /(n) mass movement/
マスメディア /(n) mass media/(P)/
マスワリ /(n) (uk) break and run out in billiards (9 ball, 8 ball, etc.)./
マズルカ /(n) mazurka (pol:)/
マセガキ /(n) precocious brat/
マゼラン /(n,adj-no) (comp) Magellan/
マゼランパスポート /(n) (comp) Magellan Passport/
マゼランペンギン /(n) Magellanic penguin (Spheniscus magellanicus)/
マゼラン雲 [マゼランうん] /(n) Magellanic Clouds/
マゼンタ /(n) magenta/
マソヒズム /(n) masochism/
マゾ /(n) (1) (abbr) masochist/(2) masochism/(P)/
マゾヒスト /(n) masochist/
マゾヒズム /(n) masochism/
マタイによる福音書 [マタイによるふくいんしょ] /(n) the Gospel according to Matthew (book of the Bible)/
マタイ伝 [マタイでん] /(n) Gospel of Matthew (book of the Bible)/
マタイ福音書 [マタイふくいんしょ] /(n) Gospel of Matthew (book of the Bible)/
マタタビ /(n) (uk) silver vine (Actinidia polygama)/cat powder/
マタドール /(n) matador (spa:)/
マタニティー /(n) maternity/
マタニティードレス /(n) maternity dress/(P)/
マタニティーブルー /(n) maternity blue/
マタニティブルー /(n) postpartum blues/
マダガスカルバタフライフィッシュ /(n) Seychelles butterflyfish (Chaetodon madagaskariensis)/Madagascar butterflyfish/Indian Ocean chevron butterflyfish/pearlscale butterflyfish/pearly butterflyfish/
マダケ /(n) Japanese timber bamboo (Phyllostachys bambsoides)/giant timber bamboo/madake/
マダコ /(n) (uk) common octopus (Octopus vulgaris)/
マダム /(n) (1) madame (fre:)/(2) large women's size (clothing)/(P)/
マダムキラー /(n) madam killer/
マダラ /(n) (uk) Pacific cod (Gadus macrocephalus)/
マダラシミ /(n) (uk) firebrat (species of bristletail, Thermobia domestica)/
マダラタルミ /(n) (uk) black and white snapper (Macolor niger)/
マダラフルマカモメ /(n) (uk) Cape pigeon/Cape petrel/pintado petrel (Daption capense)/
マチエール /(n) (1) material/(2) artistic effect/
マチカネワニ /(n) (uk) Toyotamaphimeia machikanensis (Japanese fossil species of crocodilian)/
マチズモ /(n) machismo/
マチック /(suf) -matic/
マチネ /(n) matinee (fre:)/
マチネー /(n) matinee (fre:)/
マッカーシズム /(n) McCarthyism/
マッカリ /(n) alcoholic beverage made from flour or sticky rice (kor: maggeoli)/
マッカロー /(n) McCulloch/
マッキントッシュ /(n) (1) Macintosh/(2) mackintosh (coat)/(P)/
マック /(n) (1) (abbr) Mac/(2) (abbr) McDonald's/(P)/
マックジョブ /(n) McJob/
マックス /(n) (1) (abbr) maximum/max/(2) mux (multiplexor)/(P)/
マックスミンルール /(n) maximin rule/
マックレーカー /(n) muckraker/
マック版 [マックはん] /(n) (comp) Macintosh version/
マッグ /(n) mug/
マッコウクジラ /(n) (uk) sperm whale/
マッコリ /(n) makgeolli (Korean alcoholic beverage)/
マッサージ /(n,vs) massage/(P)/
マッサージチェア /(n) massage chair/
マッサージ師 [マッサージし] /(n) masseuse/masseur/
マッサージ療法 [マッサージりょうほう] /(n) massage therapy/
マッサージ療法師 [マッサージりょうほうし] /(n) massage therapist/
マッシブアタック /(n) massive attack/
マッシュ /(n) mash/
マッシュポテト /(n) mashed potato/
マッシュルーム /(n) mushroom/(P)/
マッシュルームカット /(n) mushroom cut/bowl cut/moptop/
マッス /(n) (1) mass/
マッチ /(n) (1) match (contest)/(2) (uk) match (to light fire with)/(vs) (3) to match with/to go well with/(P)/
マッチプレー /(n) match play/(P)/
マッチポイント /(n) match point/
マッチポンプ /(n,vs) stirring up trouble to get credit from the solution (wasei: match pump, i.e. lighting a match and then putting it out with a water pump)/
マッチョ /(n) macho/
マッチング /(n) matching/
マッチ演算子 [マッチえんざんし] /(n) (comp) match(ing) operator/
マッチ箱 [マッチばこ] /(n) matchbox/
マッチ棒 [マッチぼう] /(n) matchstick/
マッツォ /(n) matzo/matzoh/
マッツォー /(n) matzo/matzoh/
マット /(n) (1) mat/(2) matte (metallurgical)/(adj-na,n) (3) matte/matt/mat (finish, etc.)/(P)/
マットに沈む [マットにしずむ] /(exp,v5m) to be knocked out/to be overwhelmed/to be flabbergasted/to be thrown for a loop/
マットカラー /(n) matte color/
マットペインティング /(n) matte painting/
マットレス /(n) mattress/mattress pad (under a futon)/(P)/
マット紙 [マットし] /(n) matte paper/
マッド /(n) (1) mud/(adj-f) (2) mad/
マッドサイエンティスト /(n) mad scientist/
マッハ /(n) Mach/(P)/
マッハバンド /(n) (comp) mach band/
マッハ数 [マッハすう] /(n) Mach number/
マッピ /(n) (comp) MAPI/
マッピング /(n) mapping/
マッフィン /(n) muffin/
マップ /(n) map/(P)/
マップクリック /(n) (comp) map click/
マッポ /(n) (sl) police officer/cop/
マツカサウオ /(n) (uk) Japanese pinecone fish (Monocentris japonica)/
マツタケ /(n) matsutake mushroom/
マツノキヒワ /(n) (uk) pine siskin (Carduelis pinus)/
マツノザイセンチュウ /(n) (uk) pinewood nematode (Bursaphelenchus xylophilus)/
マツバギク /(n) (uk) trailing ice plant (Lampranthus spectabilis)/
マツバスズメダイ /(n) smokey chromis (Chromis fumea)/
マツバボタン /(n) (uk) moss-rose purslane (Portulaca grandiflora)/
マツバラン /(n) (uk) whisk fern (Psilotum nudum)/
マツホド /(n) (uk) (arch) Poria cocos (species of basidiomycete used in Chinese medicine)/
マツモ /(n) (1) (uk) common hornwort (Ceratophyllum demersum)/(2) Analipus japonicus (species of brown alga)/
マツモムシ /(n) (uk) Notonecta triguttata (species of backswimmer)/
マツユキソウ /(n) (uk) snowdrop (Galanthus nivalis)/snow-flower/
マツリ /(n) (uk) Arabian jasmine (Jasminum sambac)/
マツ科 [マツか] /(n) Pinaceae (plant family)/pine/
マツ目 [マツもく] /(n) Pinales (order of plants)/
マティーニ /(n) martini/
マテハン /(n) (abbr) materials handling/material handling/
マテバラ /(n) (chem) (abbr) material balance/
マテリアリスト /(n) materialist/
マテリアリズム /(n) materialism/
マテリアル /(n) (1) material/(P)/
マテリアル・ハンドリング /(n) material handling/
マテリアルハンドリング /(n) material handling/
マテリアルバランス /(n) (chem) material balance/
マテ貝 [マテがい] /(n) razor clam/
マデイラ /(n) Madeira/
マデイラ酒 [マデイラしゅ] /(n) Madeira wine/
マトウダイ /(n) (uk) John Dory (Zeus faber)/
マトリクス /(n) matrix/
マトリクススイッチャー /(n) (comp) matrix switcher/
マトリックス /(n) matrix/
マトリックスの行 [マトリックスのぎょう] /(n) row of a matrix/
マトリックスサイズ /(n) (comp) matrix size/
マトリックス力学 [マトリックスりきがく] /(n) matrix mechanics/
マトン /(n) mutton/
マドガイ /(n) windowpane oyster (Placuna placenta)/
マドモアゼル /(n) mademoiselle (fre:)/
マドラー /(n) muddler/stir stick/
マドラサ /(n) madrasa (ara:)/madrasah/medrese/
マドラス /(n) Madras/(P)/
マドラスチェック /(n) Madras check/
マドリガル /(n) madrigal/
マドレーヌ /(n) madeleine (cake) (fre:)/(P)/
マドロス /(n) sailor (dut: matroos)/
マドンナ /(n) madonna (ita:)/(P)/
マナ /(n) manna/
マナー /(n) manners/(P)/
マナー・モード /(n) silent profile (in cell phones) (wasei: manner mode)/silent mode/vibrate mode/
マナーモード /(n) silent profile (in cell phones) (wasei: manner mode)/silent mode/vibrate mode/
マナー違反 [マナーいはん] /(n) breach of manners/breach of etiquette/
マナガツオ /(n) (uk) butterfish (any fish of family Stromateidae, esp. species Pampus punctatissimus)/harvestfish/rudderfish/
マナティー /(n) manatee/
マニア /(n) (1) enthusiast/(2) mania/enthusiasm/(P)/
マニアック /(adj-na,n) maniac (as in rabid sport fan)/enthusiast/(P)/
マニエリスム /(n) manierisme (fre:)/
マニオク /(n) manioc/
マニキュア /(n) (1) manicure/(2) nail polish/varnish/(P)/
マニッシュ /(adj-na) mannish/
マニッシュルック /(n) mannish look/
マニトール /(n) mannitol (artificial sweetener)/
マニトバ /(n) Manitoba/
マニピュレーション /(n) manipulation/
マニピュレータ /(n) manipulator/
マニピュレーター /(n) manipulator/
マニピュレイト /(n) manipulate/
マニフェスト /(n) manifesto/(P)/
マニフェストデスティニー /(n) Manifest Destiny/
マニホールド /(n) manifold/
マニヤ /(n) (1) enthusiast/(2) mania/enthusiasm/
マニューシャ /(n) minutia/
マニューバー /(n) maneuver (e.g. flying)/manouevre/
マニュアル /(n) manual/(P)/
マニュアル・シフト /(n) manual transmission (gear selection done by hand)/
マニュアルシフト /(n) manual transmission (gear selection done by hand)/
マニュアルマニピュレーター /(n) manual manipulator/
マニュアル化 [マニュアルか] /(n) formalization/standardization/regularization/
マニュキア /(n) (1) manicure/(2) nail polish/varnish/
マニュスクリプト /(n) manuscript/
マニュファクチャー /(n) manufacture/
マニュファクチャラー /(n) manufacturer/
マニュファクチャリング /(n) manufacturing/
マニュファクチュア /(n) manufacture/
マニラ /(n) Manila/(P)/
マニラ麻 [マニラあさ] /(n) Manila hemp (Musa textilis)/
マニ教 [マニきょう] /(n) Manichaeism/
マニ車 [マニぐるま] /(n) prayer wheel/Mani wheel/
マヌーバー /(n) maneuver/manoeuvre/(P)/
マヌカン /(n) mannequin (fre:)/
マネ /(n) (abbr) manager (esp. of school sports clubs)/
マネー /(n) money/(P)/
マネーゲーム /(n) money game/(P)/
マネーサプライ /(n) money supply/(P)/
マネージ /(n,vs) manage/
マネージコード /(n) (comp) managed code/
マネージドフロート /(n) managed float/
マネージメント /(n) management/(P)/
マネージメントゲーム /(n) management game/
マネージメントコンサルタント /(n) management consultant/
マネージメントサイクル /(n) management cycle/
マネージメントシステム /(n) management system/
マネージメントシミュレーション /(n) management simulation/
マネージャ /(n) (1) manager (e.g. of a business, an idol, etc.)/(2) in a sports team (esp. at school) someone who does the routine drudge work/
マネージャー /(n) (1) manager (e.g. of a business, an idol, etc.)/(2) in a sports team (esp. at school) someone who does the routine drudge work/(P)/
マネージャの役割 [マネージャのやくわり] /(n) (comp) manager role/
マネーハンドリング /(n) money handling/
マネービル /(n) (abbr) money building/
マネーフロー /(n) money flow/
マネーフロー表 [マネーフローひょう] /(n) money-flow table/
マネーフロー分析 [マネーフローぶんせき] /(n) money-flow analysis/
マネーポジション /(n) money position/
マネーマーケット /(n) money market/
マネーマネジメントファンド /(n) money management fund/MMF/
マネーメーカー /(n) moneymaker/
マネーリザーブファンド /(n) money reserve fund/MRF/
マネーローンダリング /(n) money laundering/
マネーロンダリング /(n) money laundering/
マネキン /(n) mannequin/(P)/
マネキンガール /(n) mannequin girl/
マネジメント /(n) management/(P)/
マネジャー /(n) (1) manager (e.g. of a business, an idol, etc.)/(2) in a sports team (esp. at school) someone who does the routine drudge work/(P)/
マネタイズ /(vs,vt) to monetize/
マネタリスト /(n) monetarist/
マネタリズム /(n) monetarism/
マネロン /(n) (abbr) money laundering/
マノメーター /(n) manometer/
マハーラージャ /(n) maharaja (hin:)/
マハゼ /(n) (uk) yellowfin goby (Acanthogobius flavimanus)/
マハタ /(n) (uk) sevenband grouper (species of fish, Epinephelus septemfasciatus)/convict grouper/
マハトマ /(n) Mahatma/
マハラージャ /(n) maharaja (hin:)/
マハラジャ /(n) maharaja (hin:)/
マヒマヒ /(n) mahi-mahi (Coryphaena hippurus)/common dolphinfish/dolphin/
マヒワ /(n) (uk) Eurasian siskin (species of songbird, Carduelis spinus)/
マフ /(n) muff/
マフィア /(n) mafia/(P)/
マフィン /(n) muffin/
マフグ /(n) (uk) purple puffer (species of pufferfish, Takifugu porphyreus)/
マフラー /(n) muffler (garment, vehicle)/scarf/(P)/
マブダチ /(n) (col) true friend/close friend/
マブ達 [マブだち] /(n) (col) true friend/close friend/
マベガイ /(n) (uk) penguin wing oyster (Pteria penguin)/
マペット /(n) Muppet/
マホガニー /(n) mahogany/
マホメット教 [マホメットきょう] /(n) Muhammadanism/Mohammadanism/
ママ /(n) (1) Mama/(2) female proprietress (of a bar, etc.)/(P)/
ママカリ /(n) (uk) Japanese sardinella (Sardinella zunasi)/
ママチャリ /(n) ladies' bicycle (of a kind often used by housewives, usu. with a basket in front)/granny bike/
ママレード /(n) marmalade/
ママ友 [ママとも] /(n) friend of a mother who is also a mother/mothers who are friends/
マミー /(n) mammy/mommy/
マミジロ /(n) (uk) Siberian thrush (Turdus sibiricus)/
マミジロクイナ /(n) (uk) white-browed crake (species of rail, Porzana cinerea)/
マムシ /(n) (uk) pit viper (esp. the mamushi, Gloydius blomhoffi)/
マムシグサ /(n) (uk) Arisaema serratum (species of jack-in-the-pulpit)/
マメイソハゼ /(n) Herre's pygmy goby (Eviota herrei)/
マメザクラ /(n) (uk) Fuji cherry (Prunus incisa)/
マメジカ /(n) (uk) chevrotain/mouse deer/
マメゾウムシ /(n) (uk) bean weevil (any leaf beetle of subfamily Bruchinae)/
マメ科 [マメか] /(n) Fabaceae (pea family of plants)/
マヤ /(n) Maya (ancient Indian tribe in Central America)/(P)/
マユミ /(n) (uk) Japanese spindle tree (Euonymus sieboldianus)/
マヨネーズ /(n) mayonnaise (fre:)/(P)/
マヨラー /(n) (abbr) mayonnaise lover/
マラータ /(n) Maratha/Mahratta/member of the Hindu people of Maharashtra (esp. a member of the royal or military caste)/
マラーター /(n) Maratha/Mahratta/member of the Hindu people of Maharashtra (esp. a member of the royal or military caste)/
マラータ戦争 [マラータせんそう] /(n) Anglo-Maratha Wars (1777-1783, 1803-1805, 1817-1818)/
マラータ同盟 [マラータどうめい] /(n) Maratha Confederacy/
マライポリネシア語族 [マライポリネシアごぞく] /(n) Malayo-Polynesian (family of languages)/
マラウイ /(n,adj-no) Malawi/
マラカイト /(n) malachite/
マラカイトグリーン /(n) malachite green/
マラカス /(n) maracas/(P)/
マラガ /(n) Malaga (wine)/
マラキ書 [マラキしょ] /(n) Malachi (book of the Bible)/
マラスキノ /(n) maraschino (ita:)/
マラソン /(n) marathon/long-distance race/(P)/
マラソン剤 [マラソンざい] /(n) malathion/
マラチオン /(n) malathion/
マラブー /(n) Malibu/
マラヤーラム語 [マラヤーラムご] /(n) Malayalam language/
マラヤンクロミス /(n) Malayan chromis (Chromis flavipectoralis)/
マラヨポリネシア語族 [マラヨポリネシアごぞく] /(n) Malayo-Polynesian (family of languages)/
マラリア /(n,adj-no) malaria/(P)/
マラリア蚊 [マラリアか] /(n) malaria mosquito/
マラリア原虫 [マラリアげんちゅう] /(n) malaria-causing protozoan (i.e. plasmodium)/
マラリア療法 [マラリアりょうほう] /(n) malaria therapy (formerly used to treat syphilis, etc.)/
マランタ /(n) maranta (lat:)/
マリ /(n) Mali/
マリー /(n) mallee (var. of eucalyptus)/
マリー・セレステ /(n) (1) Mary Celeste, famous British ship found in 1872 without crew or passengers./(2) archetypal ghost ship/unmanned ship/
マリー・セレスト /(n) (1) Mary Celeste, famous British ship found in 1872 without crew or passengers./(2) archetypal ghost ship/unmanned ship/
マリー・セレスト号 [マリーセレストごう] /(n) (1) Mary Celeste, famous British ship found in 1872 without crew or passengers./(2) archetypal ghost ship/unmanned ship/
マリーゴールド /(n) marigold/
マリーセレステ /(n) (1) Mary Celeste, famous British ship found in 1872 without crew or passengers./(2) archetypal ghost ship/unmanned ship/
マリーセレスト /(n) (1) Mary Celeste, famous British ship found in 1872 without crew or passengers./(2) archetypal ghost ship/unmanned ship/
マリーセレスト号 [マリーセレストごう] /(n) (1) Mary Celeste, famous British ship found in 1872 without crew or passengers./(2) archetypal ghost ship/unmanned ship/
マリーナ /(n) marina/(P)/
マリーン /(n) (1) marine/(2) Marine/the Marines/(P)/
マリア /(n) (1) Mary (mother of Jesus) (lat: Maria)/the Virgin Mary/(2) Mary (of Magdala)/Mary Magdalene/
マリアージュ /(n) marriage (fre: mariage)/
マリアッチ /(n) mariachi (spa:)/
マリアナ /(n) Marianas/
マリアナ沖海戦 [マリアナおきかいせん] /(n) Battle of the Philippine Sea (June 19-20, 1944)/
マリア学 [マリアがく] /(n) Mariology/
マリオネット /(n) marionette (fre:)/
マリサット /(n) Marisat/
マリッジ /(n) marriage/
マリッジカウンセラー /(n) marriage counselor/marriage counsellor/
マリッジブルー /(n) pre-nuptial doubts (wasei: marriage blue)/
マリナーラ /(n) marinara/
マリナラ /(n) marinara/
マリネ /(n) marinade (fre: marine)/
マリネード /(n) marinade/
マリファナ /(n) marijuana/marihuana/cannabis/hemp/pot/(P)/
マリモ /(n) (uk) marimo (variety of algae, Cladophora aegagropila)/round green alga/Cladophora ball/lake ball/moss ball/
マリワナ /(n) marijuana/marihuana/cannabis/hemp/pot/
マリン /(n) (1) marine/(P)/
マリン・スノー /(n) marine snow/
マリンスノー /(n) marine snow/(P)/
マリンスポーツ /(n) marine sports/
マリンタワー /(n) marine tower/
マリンバ /(n) marimba (musical instrument)/(P)/
マリンビーフ /(n) marine beef/
マリンビスト /(n) marimbist/marimba player/
マリンピスト /(n) marimbist/marimba player/
マリンブーツ /(n) diving boots (usually made of neoprene) (wasei: marine boots)/
マリンブルー /(n) marine blue/ultramarine/
マリンランチング /(n) marine ranching/
マリンルック /(n) marine look/
マルーン /(n) maroon/
マルアオメエソ /(n) (uk) Chlorophthalmus borealis (species of greeneye)/
マルウェア /(n) (comp) malware/
マルオアマガサ /(n) (uk) banded krait (Bungarus fasciatus)/
マルカ /(n) markka (fin:)/
マルカート /(n) marcato (ita:)/instruction in music - clearly, note by note/
マルガヒメオオトカゲ /(n) stripe-tailed Goanna (Varanus gilleni, species of carnivorous monitor lizard native to northwestern and central Australia)/
マルガリータ /(n) margarita/
マルキシスト /(n) Marxist/
マルキシズム /(n) Marxism/
マルキスト /(n) Marxist/
マルク /(n) mark (ger: Mark)/(P)/
マルクスレーニン主義 [マルクスレーニンしゅぎ] /(n) Marxism-Leninism/
マルクス経済学 [マルクスけいざいがく] /(n) Marxian economics/
マルクス主義 [マルクスしゅぎ] /(n) Marxism/(P)/
マルクス主義フェミニズム [マルクスしゅぎフェミニズム] /(n) Marxist feminism/
マルクス主義的美学 [マルクスしゅぎてきびがく] /(n) Marxist aesthetics/
マルクチヒメジ /(n) gold-saddle goatfish (Parupeneus cyclostomus)/yellowsaddle goatfish/blue goatfish/
マルケサスコリス /(n) Coris marquesensis (type of wrasse species, endemic to Marquesan Islands)/
マルケサスバタフライフィッシュ /(n) Marquesas butterflyfish (Chaetodon declivis declivis)/Wilder's butterflyfish (Chaetodon declivis wilderi)/
マルケサンバタフライフィッシュ /(n) Marquesas butterflyfish (Chaetodon declivis declivis)/Wilder's butterflyfish (Chaetodon declivis wilderi)/
マルコによる福音書 [マルコによるふくいんしょ] /(n) the Gospel according to Mark (book of the Bible)/
マルコフモデル /(n) (comp) Markov model/
マルコフ過程 [マルコフかてい] /(n) Markov process/
マルコフ解析 [マルコフかいせき] /(n) (comp) Markov analysis/
マルコフ遷移 [マルコフせんい] /(n) Markov transition/
マルコフ連鎖 [マルコフれんさ] /(n) (comp) Markov chain/
マルコフ連鎖モンテカルロ法 [マルコフれんさモンテカルロほう] /(n) (comp) Markov chain Monte Carlo methods/
マルコ伝 [マルコでん] /(n) Gospel of Mark (book of the Bible)/
マルコ福音書 [マルコふくいんしょ] /(n) Gospel of Mark (book of the Bible)/
マルサス主義 [マルサスしゅぎ] /(n) Malthusianism/
マルサバ /(n) (uk) (obsc) blue mackerel (Scomber australasicus)/
マルシップ /(n) Maru-ship/Japanese ship (because Japanese ship names often end in Maru)/
マルス /(n) Mars/
マルスズメダイ /(n) ovate chromis (Chromis ovatiformis)/
マルスダレガイ /(n) (uk) embossed venus (species of venus clam, Venus toreuma)/
マルスダレガイ科 [マルスダレガイか] /(n) Veneridae (family of bivalve molluscs comprising the Venus clams)/
マルセラバタフライフィッシュ /(n) Marcella butterflyfish (Prognathodes marcellae)/
マルタ /(n) Malta/
マルターゼ /(n) maltase (ger:)/(P)/
マルタ語 [マルタご] /(n) Maltese (language)/
マルタ熱 [マルタねつ] /(n) Malta fever (variety of brucellosis caused by the bacteria Brucella melitensis)/
マルチ /(n,vs) (abbr) multi- (e.g. multimedia, multilevel marketing, multi-post)/(P)/
マルチーズ /(n) Maltese (small white dog race)/
マルチＴＴハブ [マルチティーティーハブ] /(n) (comp) multiple TT hub/
マルチアンプ /(n) (abbr) multi-channel amplification/
マルチウィンドウ /(n) (comp) multiwindow/
マルチウィンドウシステム /(n) (comp) multi window system/
マルチウインドー /(adj-no) multiwindow/
マルチウェー /(n) (abbr) multiway speaker system/
マルチウェーシステム /(n) (abbr) multiway speaker system/
マルチエージェント /(n) multi-agent/
マルチカラー /(n,adj-no) multicolor/
マルチキャスト /(n) multicast/
マルチキャストアドレス /(n) (comp) multicast address/
マルチキャストバックボーン /(n) (comp) multicast backbone (Mbone)/
マルチキャリアパス /(n) multicareer path/
マルチクス /(n) (comp) Multics/
マルチクライアント /(n) multiclient (advertising)/
マルチコーディネーション /(n) multicoordination/
マルチコア /(n) (comp) multicore/
マルチサービス /(n) (comp) multiservice/
マルチシステムネットワーク /(n) (comp) multisystem network/
マルチシンクモニター /(n) (comp) multisync monitor/
マルチスキャン /(n) (comp) multiscan/
マルチスキャンディスプレイ /(n) (comp) multi-scan display/
マルチスキャンモニター /(n) (comp) multi-scan monitor/
マルチスクリーン /(n) multiscreen (system)/
マルチスペシャリスト /(n) multispecialist/
マルチスレッディング /(n) (comp) multithreading/
マルチスレッド /(n) (comp) multithreading/
マルチセッション /(n) (comp) multi-session/
マルチソケット /(n) (comp) power strip/
マルチタスキング /(n) (comp) multitasking/
マルチタスク /(n) (comp) multitasking/
マルチタスクＯＳ [マルチタスクオーエス] /(n) (comp) multitasking Operation System/
マルチタスクオペレーティングシステム /(n) (comp) multitasking operating system/
マルチタスク処理 [マルチタスクしょり] /(n) (comp) multitasking/
マルチタッチ /(n) (comp) multi-touch (e.g. screen)/
マルチタレント /(n) multi talent/
マルチチップ /(n) multi-chip/
マルチチャネラー /(n) multichanneler/
マルチチャネルアンプ /(n) multichannel amp system/
マルチチャンネル /(adj-no) multichannel/
マルチディスプレイ /(n) (comp) multi-display/
マルチドロップ /(n) (comp) multidrop/
マルチナショナル /(n) multinational/(P)/
マルチハビテーション /(n) multihabitation/
マルチバンクＤＲＡＭ [マルチバンクディーラム] /(n) (comp) multibank Dynamic Random Access Memory/MDRA/
マルチバンドバタフライフィッシュ /(n) pebbled butterflyfish (Chaetodon multicinctus)/multiband butterflyfish/
マルチパートメッセージ /(n) (comp) multi-part message/
マルチパーパスカー /(n) multipurpose car/
マルチパス /(n) (comp) multipath/
マルチパスＩＯ [マルチパスアイオー] /(n) (comp) multipath IO/
マルチビタミン剤 [マルチビタミンざい] /(n) multivitamin/
マルチファインダ /(n) (comp) MultiFinder/
マルチファンクション /(n) (comp) multifunction/
マルチフォント /(n) (comp) multi-font/
マルチフラッシュ /(n) multiflash/
マルチブート /(n) (comp) multi boot/
マルチブロックメッセージ伝送 [マルチブロックメッセージでんそう] /(n) (comp) multi-block message transmission/
マルチプラットフォーム /(n) (comp) multiplatform/
マルチプル /(n) multiple/
マルチプルアクセス /(n) (comp) multiple access/
マルチプルチョイス /(n) multiple-choice/
マルチプル広告 [マルチプルこうこく] /(n) multiple advertising/
マルチプレーヤーゲーム /(n) (comp) multiplayer game/
マルチプレイ /(n) (comp) (abbr) multiplayer/
マルチプレイヤ /(n) (comp) multiplayer (i.e. game)/
マルチプレイヤーゲーム /(n) (comp) multiplayer game/
マルチプレキシング /(n) (comp) multiplexing/
マルチプレクサ /(n) multiplexer/multiplexor/mux/
マルチプレクサチャネル /(n) (comp) multiplexer channel/
マルチプレックス /(n,adj-f,vs) multiplex/
マルチプログラミング /(n) (comp) multiprogramming/multiprograming/
マルチプロセシング /(n) (comp) multiprocessing/
マルチプロセッサ /(n) (comp) multiprocessor/
マルチプロセッサーシステム /(n) multiprocessor system/
マルチプロセッサシステム /(n) (comp) multi-processor system/
マルチプロセッシング /(n) (comp) multiprocessing/
マルチプロトコル /(n) (comp) multiprotocol/
マルチベンダー /(n) (comp) multivendor/
マルチベンダー環境 [マルチベンダーかんきょう] /(n) (comp) multivendor environment/
マルチホスティング /(n) (comp) multi-hosting/
マルチボックス /(n) multibox/
マルチボリュームファイル /(n) (comp) multivolume file/
マルチボリュームマルチセッション /(n) (comp) multivolume multi-session/
マルチポイント /(n) (comp) multipoint/
マルチポイント接続 [マルチポイントせつぞく] /(n) (comp) multipoint connection/
マルチポスト /(n,vs) (comp) multi-post (as frowned upon in newsgroups and web forums)/
マルチメディア /(n) multimedia/(P)/
マルチメディアエクステンション /(n) (comp) multimedia extension/MMX/
マルチメディアタイトル /(n) (comp) multimedia title/
マルチメディアデータベース /(n) (comp) multimedia database/MDB/
マルチメディアパソコン /(n) (comp) multimedia personal computer/
マルチメディア化 [マルチメディアか] /(n) (comp) multimedization/
マルチメディア通信 [マルチメディアつうしん] /(n) (comp) multimedia communication/
マルチモード /(n) (comp) multimode/
マルチモードファイバ /(n) (comp) multimode fiber/
マルチユーザ /(n) (comp) multiuser/
マルチユーザー /(n) (comp) multi-user/
マルチユーザーシステム /(n) (comp) multi-user system/
マルチユーザシステム /(n) (comp) multiuser system/
マルチユーザモード /(n) (comp) multiuser mode/
マルチョイ /(n) (abbr) multiple choice method/
マルチライン保険会社 [マルチラインほけんがいしゃ] /(n) multiline insurance company/multiline insurer/
マルチラテラリズム /(n) multilateralism/
マルチリンガル /(n) (comp) multilingual/
マルチリンクダイヤル /(n) (comp) multilink dialing/
マルチリンクフレーム /(n) (comp) multi-link frame/
マルチレッグ /(n) (comp) multileg/
マルチレベル・ダイブ /(n) multilevel dive/
マルチレベルダイブ /(n) multilevel dive/
マルチレベル潜水 [マルチレベルせんすい] /(n) multilevel diving/
マルチレンジ増幅器 [マルチレンジぞうふくき] /(n) (comp) multirange amplifier/
マルチワードＤＭＡ [マルチワードディーエムエー] /(n) (comp) multiword Direct Memory Access/
マルチング /(n) mulching/
マルチ商法 [マルチしょうほう] /(n) multilevel marketing system/pyramid selling/chain referral/
マルッカ /(n) markka (fin:)/
マルツ /(n) malt (ger: Malz)/
マルティーニ /(n) martini/
マルティニク /(n) Martinique/
マルティプルチョイス /(n) multiple-choice/
マルテタスキング /(n) (comp) multitasking/multi-tasking/
マルテンサイト /(n) martensite/
マルディブ /(n) Maldive/Maldives/
マルトース /(n) maltose/
マルハチ /(n) (uk) Cyathea mertensiana (species of tree fern)/
マルハナバチ /(n) (uk) bumblebee/
マルバアオダモ /(n) (uk) Japanese flowering ash (Fraxinus sieboldiana)/
マルバアサガオ /(n) (uk) common morning glory (Ipomoea purpurea)/
マルバノキ /(n) (uk) Disanthus cercidifolius/
マルバハギ /(n) (uk) leafy lespedeza (species of bush clover, Lespedeza cyrtobotrya)/
マルヒゲオオセ /(n) northern wobbegong (Orectolobus wardi, an Australian species of carpet shark)/
マルビレテングギンザメ属 [マルビレテングギンザメぞく] /(n) Neoharriotta (genus with three species of long-nosed chimaeras in the family Rhinochimaeridae)/
マルピーギ管 [マルピーギかん] /(n) Malpighian tubule/
マルピーギ小体 [マルピーギしょうたい] /(n) Malpighian corpuscle (i.e. renal corpuscle)/
マルファン症候群 [マルファンしょうこうぐん] /(n) Marfan syndrome/Marfan's syndrome/
マルブシュカン /(n) (obsc) citron (Citrus medica)/
マルメロ /(n) quince (por: marmelo)/
マル財 [マルざい] /(n) tax-exempt savings system which includes stocks and cash/
マル秘 [マルひ] /(n,adj-no) confidential/secret/classified/
マル優 [マルゆう] /(n) tax-free small-sum savings system (often used by the elderly and the disabled)/non-tax plan for small savings/
マレーガビアル /(n) false gharial (Tomistoma shlegelii)/
マレーグマ /(n) (uk) Malayan sun bear (Helarctos malayanus)/
マレーシア /(n) Malaysia/(P)/
マレーバク /(n) (uk) Malayan tapir (Tapirus indicus)/
マレーポリネシア語族 [マレーポリネシアごぞく] /(n) Malayo-Polynesian (family of languages)/
マレー沖海戦 [マレーおきかいせん] /(n) Naval Battle off Malaya (Dec. 10, 1941)/
マレー熊 [マレーぐま] /(n) (uk) Malayan sun bear (Helarctos malayanus)/
マレー獏 [マレーばく] /(n) (uk) Malayan tapir (Tapirus indicus)/
マレー貘 [マレーばく] /(n) (uk) Malayan tapir (Tapirus indicus)/
マレイ /(n,adj-f) Malay/
マレイン酸 [マレインさん] /(n) maleic acid/
マレイン酸塩 [マレインさんえん] /(n) maleate/
マレック病 [マレックびょう] /(n) Marek's disease/
マレット /(n) mullet (hairstyle)/
マレフィック /(n,adj-na) malefic/malevolent (person, force, etc.)/malign/evil/
マロー /(n) mallow (any plant of genus Malva)/
マローダー /(n) marauder/
マロウ /(n) mallow/
マロニエ /(n) marronier (fre: marronnier)/horse chestnut/
マロン /(n) chestnut (fre: marron)/(P)/
マロングラッセ /(n) marrons glaces (fre:)/
マロンシャンティ /(n) marron Chantilly/
マロン酸 [マロンさん] /(n) malonic acid/
マワす /(v5s,vt) (uk) (sl) to gang-rape/
マン /(n,n-suf) man/(P)/
マンアワー /(n) man-hour/
マンウォッチング /(n) man watching/
マンカス /(n) (col) vaginal smegma/
マンガン /(n,adj-no) (uk) manganese (Mn) (ger: Mangan)/(P)/
マンガン・クラスト /(n) manganese crust/
マンガン・ノジュール /(n) manganese nodule/
マンガンクラスト /(n) manganese crust/
マンガンノジュール /(n) manganese nodule/
マンガン乾電池 [マンガンかんでんち] /(n) manganese dry cell/
マンガン鋼 [マンガンこう] /(n) manganese steel/
マンガン団塊 [マンガンだんかい] /(n) manganese nodule/
マンガ家 [マンガか] /(n) cartoonist/manga artist/
マンガ喫茶 [マンガきっさ] /(n) (abbr) coffee shop or cafe where one can read manga, often has Internet facilities/
マンギョンボン号 [マンギョンボンごう] /(n) Mangyongbong-92, a mixed passenger-cargo ferry running between Wonsan in North Korea and Niigata/
マンクス猫 [マンクスねこ] /(n) Manx cat/
マングース /(n) mongoose/
マングローブ /(n) mangrove/(P)/
マングローブオオトカゲ /(n) mangrove monitor (Varanus indicus, species of carnivorous monitor lizard from the Western Pacific)/mangrove goanna/Western Pacific monitor lizard/
マングローブモニター /(n) mangrove monitor (Varanus indicus, species of carnivorous monitor lizard from the Western Pacific)/mangrove goanna/Western Pacific monitor lizard/
マンコ /(n,vs) (1) (uk) (X) (col) vagina/(2) screw/
マンゴー /(n) mango/
マンゴスチン /(n) mangosteen/
マンサード屋根 [マンサードやね] /(n) mansard roof/
マンサク /(n) (1) witch hazel/hamamelis mollis/hamamelis japonica/
マンサク科 [マンサクか] /(n) Hamamelidaceae (plant family)/witch-hazel/
マンション /(n) large apartment (from mansion)/apartment house/(P)/
マンシングウエア /(n) Munshingwear/
マンジュウガニ /(n) (uk) egg crab (Atergatis spp.)/
マンジュウダイ /(n) orbfish (Ephippus orbis, species of Indo-West Pacific spadefish)/
マンジュウダイ科 [マンジュウダイか] /(n) Ephippidae (family of mostly marine spadefishes including 20 species in 8 genera)/
マンジュウダイ属 [マンジュウダイぞく] /(n) Ephippus (genus of 2 species of spadefish in the family Ephippidae)/
マンジュギク /(n) (uk) French marigold (Tagetes patula)/
マンスリー /(n) monthly/(P)/
マンスリークリア /(n) paying off one's entire credit card balance monthly/
マンセー /(n) banzai (celebratory or congratulatory cheer) (kor: manse)/
マンセル表色系 [マンセルひょうしょくけい] /(n) (comp) Munsell color system/
マンダリン /(n) mandarin/
マンダリンカラー /(n) mandarin collar/
マンチェスター /(n) Manchester/(P)/
マンツーマン /(n) man-to-man/one-to-one/(P)/
マンツーマンディフェンス /(n) man-to-man defense/man-to-man defence/
マンティス /(n) mantis/
マンテル /(n) mantle/cloak/manteau/
マンテルピース /(n) mantelpiece/
マンデー /(n) Monday/
マンデート /(n) mandate/
マンデルブロート集合 [マンデルブロートしゅうごう] /(n) Mandelbrot set/
マンデルブロー集合 [マンデルブローしゅうごう] /(n) Mandelbrot set/
マンデルブロ集合 [マンデルブロしゅうごう] /(n) Mandelbrot set/
マント /(n) mantle/cloak/manteau/(P)/
マントー反応 [マントーはんのう] /(n) Mantoux test (for tuberculosis)/
マントリル /(n) mandrill/
マントル /(n) mantle/(P)/
マントルピース /(n) mantlepiece/
マントル対流論 [マントルたいりゅうろん] /(n) mantle convection theory/
マント狒狒 [マントひひ] /(n) sacred (hamadryas) baboon/
マンドリル /(n) mandrill/
マンドリン /(n) mandolin/(P)/
マンドレーク /(n) mandrake/
マンドレイク /(n) mandrake/
マンナ /(n) manna/
マンナン /(n) mannan/
マンネリ /(n,adj-no) (abbr) mannerism/(P)/
マンネリズム /(n) mannerism/
マンネリ化 [マンネリか] /(vs) getting stuck in a rut/becoming stereotyped/
マンネングサ /(n) (uk) stonecrop (Sedum spp.)/
マンネンロウ /(n) (uk) rosemary/
マンノース /(n) mannose/
マンハッタン /(n) Manhattan/(P)/
マンハッタン計画 [マンハッタンけいかく] /(n) Manhattan Project/
マンハント /(n) manhunt/
マンバ /(n) mamba (snake of the genus Dendroaspis)/
マンパワー /(n) man power/(P)/
マンファ /(n) South Korean comics (often of a style similar to manga) (kor: manhwa)/
マンホール /(n) manhole/(P)/
マンボ /(n) mambo/(P)/
マンボウ /(n) (uk) ocean sunfish (Mola mola)/
マンボズボン /(n) mambo jupon/
マンマシンインターフェース /(n) (comp) man-machine interface/MMI/
マンマシンインタフェース /(n) (comp) man-machine interface/MMI/
マンマシンシステム /(n) man-machine system/
マンモグラフィー /(n) mammography/
マンモス /(n) mammoth/(P)/
マンモスタンカー /(n) mammoth tanker/
マンモニスト /(n) mammonist/
マンモン /(n) mammon/
マ行 [マぎょう] /(n) classification for Japanese verb with the dictionary form ending in "mu"/"ma" column or row of the kana syllabary/
ミ /(n) mi/3rd note in the tonic solfa representation of the diatonic scale/
ミー /(n) me/
ミーアキャット /(n) meerkat/
ミーイズム /(n) me-ism/(P)/
ミーティア /(n) meteor/
ミーティアライト /(n) meteorite/
ミーティング /(n) meeting/(P)/
ミーティングルーム /(n) meeting room/
ミーディア /(n) media/
ミート /(n) (1) meat/(vs) (2) meet/(P)/
ミートソース /(n) meat sauce/
ミートパイ /(n) meat pie/
ミートボール /(n) meatball/
ミートローフ /(n) meat loaf/
ミード /(n) mead/honey wine/ambrosia/nectar of the gods/
ミーノータウロス /(n) minotaur (grc: Minotauros)/
ミーハー /(adj-na,n) (1) (abbr) follower of each new fad/(2) (sl) poser/(P)/
ミーム /(n) meme/
ミーリング /(n) milling/
ミール /(n) (1) meal/(2) Mir (Russian space station) (rus:)/(P)/
ミールワーム /(n) mealworm/
ミーンズテスト /(n) means test/
ミアキス /(n) miacis/
ミイデラゴミムシ /(n) (uk) Pheropsophus jessoensis (species of bombardier beetle)/
ミイラ /(n) (uk) mummy (por: mirra)/(P)/
ミイラ取りがミイラになる [ミイラとりがミイラになる] /(exp) the mummy hunter himself becomes a mummy (lit)/the biter bit/the one who bites get bitten instead/going for wool and coming home shorn/
ミウラ折り [ミウラおり] /(n) Miura map fold/special technique for folding used on some solar panel arrays/
ミエリン /(n,adj-no) myelin/
ミエリン鞘 [ミエリンしょう] /(n) (obsc) myelin sheath (around the axon of a neuron)/
ミエローマ /(n) myeloma/
ミオグロビン /(n) myoglobin/
ミオグロビン尿 [ミオグロビンにょう] /(n) myoglobinuria/
ミオシン /(n) myosin/
ミオパシー /(n) myopathy/
ミカヅキツバメウオ /(n) (uk) golden spadefish (Platax boersii, species of Indo-West Pacific spadefish found in Indonesia, New Guinea, and the Philippines)/Boer's batfish/
ミカドアゲハ /(n) (uk) common jay (species of swallowtail butterfly, Graphium doson)/
ミカドチョウチョウウオ /(n) eastern triangular butterflyfish (Chaetodon baronessa)/
ミカン /(n) (uk) mandarin orange (esp. the satsuma mandarin, Citrus unshiu)/
ミカンコミバエ /(n) (uk) Oriental fruit fly (Bactrocera dorsalis)/
ミカン箱 [ミカンはこ] /(n) cardboard box for mandarin oranges/
ミカ書 [ミカしょ] /(n) Micah (book of the Bible)/
ミキサ /(n) mixer/
ミキサー /(n) mixer/(P)/
ミキサー車 [ミキサーしゃ] /(n) concrete mixer truck/
ミキサタイル /(n) (comp) mixer tile/
ミキシング /(n) mixing/
ミクサー /(n) mixer/
ミクス /(n) mix/
ミクスチュア /(n) mixture/
ミクスト /(n) mixed/
ミクストダブルス /(n) mixed doubles/
ミクソゾア /(n) myxozoa/
ミクリ /(n) (uk) branched bur-reed (Sparganium erectum)/
ミクロ /(adj-na,n) micro (ger: Mikro, fre: micro)/(P)/
ミクロコスモス /(n) microcosm (ger: Mikrokosmos)/
ミクロスコープ /(n) microscope/
ミクロスコピック /(n) microscopic/
ミクロセル /(n) (comp) microcell/
ミクロデータ /(n) (comp) micro data/
ミクロトーム /(n) microtome/
ミクロネシア /(n) Micronesia/(P)/
ミクロファイナンス /(n) microfinance/
ミクロメーター /(n) micrometer/
ミクロン /(n) micron (fre:)/(P)/
ミクロ経済学 [ミクロけいざいがく] /(n) micro-economics/
ミグマタイト /(n) migmatite/
ミコバクテリア /(n) mycobacteria/
ミサ /(n) (Catholic) mass (lat: missa)/(P)/
ミサイル /(n) missile/(P)/
ミサイル基地 [ミサイルきち] /(n) missile site/
ミサイル駆逐艦 [ミサイルくちくかん] /(n) (guided) missile destroyer/
ミサイル攻撃 [ミサイルこうげき] /(n) missile attack/
ミサイル防衛 [ミサイルぼうえい] /(n) missile defence/missile defense/
ミサゴ /(n) (uk) osprey (Pandion haliaetus)/fish hawk/
ミサンガ /(n) good-luck bracelet (por: missanga)/
ミザントロープ /(n) misanthrope/
ミシガン /(n) Michigan/(P)/
ミシシッピ鰐 [ミシシッピわに] /(n) (uk) American alligator (Alligator mississippiensis)/
ミシミシ /(adv,adv-to,vs) creaking/groaning (e.g. of something under physical stress)/
ミシュラン /(n) Michelin (Guide)/(P)/
ミシン /(n) sewing machine/(P)/
ミシン刺繍 [ミシンししゅう] /(n) machine embroidery/
ミシン糸 [ミシンいと] /(n) sewing cotton/
ミシン目 [ミシンめ] /(n) (comp) perforation/
ミス /(n,vs) (1) mistake/error/failure/(n) (2) Miss/(3) myth/(P)/
ミスる /(v5r,vt) to make a mistake/to mess up/to make an error/to err/
ミスアンダスタンディング /(n) misunderstanding/
ミスアンドアウトレース /(exp) miss and out race/
ミスキャスト /(n) miscasting/
ミスク /(n) (comp) misc/
ミスコン /(n) (abbr) beauty contest to name Miss ... (wasei: miss contest)/
ミスコンテスト /(n) beauty contest to name Miss ... (wasei: miss contest)/
ミスジチョウチョウウオ /(n) oval butterflyfish (Chaetodon lunulatus)/pinstripe butterflyfish/redfin butterflyfish/
ミスジャッジ /(n) misjudgement/misjudgment/
ミスジリュウキュウスズメダイ /(n) (uk) whitetail dascyllus (Dascyllus aruanus, species of damselfish from the Indo- West Pacific)/humbug dascyllus/banded dascyllus/white-tailed damselfish/
ミスジリュウキュウスズメダイ属 [ミスジリュウキュウスズメダイぞく] /(n) Dascyllus (genus of damselfish in the family Pomacentridae)/
ミススペル /(n,vs) misspelling/
ミスター /(n) mister/Mr/(P)/
ミスタードーナツ /(n) Mister Donut (coffee shop)/
ミスターレディー /(n) transvestite (wasei: Mr Lady)/
ミスタイプ /(vs) (1) to mistype/(n) (2) typographical error/typo/
ミスチル /(n) Mr. Children (a band in Japan)/
ミステーク /(n) mistake/
ミスティー /(n) misty/
ミスティシズム /(n) mysticism/
ミスティック /(adj-no) mystic/
ミスティフィケーション /(n) mystification/
ミステイク /(n) mistake/
ミステリ /(n) mystery/(P)/
ミステリー /(n) mystery/(P)/
ミステリーサークル /(n) mystery circle/crop circle/
ミステリーバタフライ /(n) black-spotted butterflyfish (Chaetodon nigropunctatus)/mystery butterflyfish/
ミステリアス /(adj-na,n) mysterious/(P)/
ミスト /(n) mist/
ミストラル /(n) mistral (fre:)/
ミストレス /(n) mistress/
ミスド /(n) (abbr) Mister Donut (coffee shop)/
ミスフォーチュン /(n) misfortune/
ミスプ /(n) (abbr) misprint/
ミスプリ /(n) (abbr) misprint/
ミスプリント /(n) misprint/(P)/
ミスプレー /(n) misplay/
ミスマッチ /(n) mis-match/(P)/
ミスミソウ /(n) (uk) hepatica (Hepatica nobilis var. japonica)/liverleaf/
ミスリード /(n) mislead/
ミズ /(n) Ms/(P)/
ミズーリ /(n) Missouri/(P)/
ミズアオイ /(n) (uk) Monochoria korsakowii (species of flowering plant)/
ミズアブ /(n) (uk) soldier fly (any fly of family Stratiomyidae, esp. species Stratiomys japonica)/
ミズイカ /(n) (uk) bigfin reef squid/oval squid (Sepioteuthis lessoniana)/
ミズウオ /(n) (uk) long snouted lancetfish (Alepisaurus ferox)/
ミズオオトカゲ /(n) (uk) water monitor (Varanus salvator, species of carnivorous monitor lizard common from Sri Lanka in the west to the Philippines in the east)/common water monitor/
ミズキ /(n) dogwood/swida controversa/cornus controversa/
ミズキ科 [ミズキか] /(n) Cornaceae (plant family)/dogwood/
ミズゴケ /(n) (uk) sphagnum/peat moss/bog moss/
ミズスマシ /(n) (1) (uk) whirligig beetle (any insect of family Gyrinidae, esp. the Japanese whirligig beetle, Gyrinus japonicus)/(2) pond skater/water strider/
ミズダコ /(n) (uk) North Pacific giant octopus (Enteroctopus dofleini)/
ミズナギドリ /(n) (uk) petrel (esp. petrels of family Procellariidae)/
ミズナラ /(n) Mongolian oak/quercus mongolica var. grosseserrata/
ミズブカ /(n) (uk) blue shark (Prionace glauca, species of circumglobal requiem shark)/
ミズマール /(n) (obsc) zurna (Anatolian woodwind instrument) (ara: mizmar)/surnay/
ミズメ /(n) Japanese cherry birch/betula grossa/
ミズワニ /(n) crocodile shark (Pseudocarcharias kamoharai)/
ミズワニ科 [ミズワニか] /(n) Pseudocarchariidae (family whose only member is a species of mackerel shark known as the crocodile shark)/
ミズワニ属 [ミズワニぞく] /(n) Pseudocarcharias (sole genus of the family Pseudocarchariidae containing one species of crocodile shark)/
ミズンマスト /(n) mizzen mast/
ミセス /(n) Mrs/(P)/
ミセズ /(n) Mrs/
ミセバヤ /(n) (uk) Siebold's stonecrop (Hylotelephium sieboldii)/
ミセル /(n) micelle/
ミゼット /(n) midget/
ミゼットハウス /(n) midget house/
ミゼラブル /(adj-f) miserable/(P)/
ミゼリーインデックス /(n) misery index/
ミソクソ /(adj-na) (1) harsh/severe (e.g. criticism, verbal attack)/(n) (2) jumble/mess/
ミソサザイ /(n) (uk) winter wren (Troglodytes troglodytes)/
ミソジニー /(n) misogyny/
ミソハギ /(n) (uk) Lythrum anceps (species of loosestrife closely related to purple loosestrife, Lythrum salicaria)/
ミソロジー /(n) mythology/
ミソロジスト /(n) mythologist/
ミソ糞 [ミソくそ] /(adj-na) (1) harsh/severe (e.g. criticism, verbal attack)/(n) (2) jumble/mess/
ミゾハギ /(n) (uk) Lythrum anceps (species of loosestrife closely related to purple loosestrife, Lythrum salicaria)/
ミゾレチョウチョウウオ /(n) sunburst butterflyfish (Chaetodon kleinii)/blacklip butterflyfish/Klein's butterflyfish/whitespotted butterflyfish/
ミゾレフグ /(n) spotted pufferfish (Arothron meleagris)/
ミチバシリ /(n) (uk) roadrunner/
ミチヤナギ /(n) (uk) knotgrass (Polygonum aviculare)/
ミッキー /(n) (comp) mickey/
ミックス /(n,vs) mix/(P)/
ミックスサンド /(n) assorted sandwiches (wasei: mix sandwich)/
ミックスジュース /(n) mixed juice/
ミックスドダブルス /(n) mixed doubles/
ミックスメディア /(n) mixed media/
ミッシー /(n) missy/
ミッシュメタル /(n) misch metal/
ミッション /(n) (1) mission/(2) (abbr) transmission/(P)/
ミッションクリティカル /(n) (comp) mission critical/
ミッションスクール /(n) mission school/
ミッシングリンク /(n) missing link (i.e. transitional fossil)/
ミッチェルオオトカゲ /(n) Mitchell's water monitor (Varanus mitchelli, species of carnivorous monitor lizard native to Australia)/
ミット /(n) mitt/(P)/
ミッドティア /(n) (comp) mid tier/
ミッドナイト /(n) midnight/(P)/
ミッドナイトショー /(n) midnight show/
ミッドナイトブルー /(n) midnight blue/
ミッドフィールダー /(n) midfielder/
ミッドレンジ /(n) (comp) midrange/
ミッドレンジマシン /(n) (comp) mid-range machine/
ミッドレンジモデル /(n) (comp) mid-range model/
ミップス /(n) (comp) MIPS (million instructions per second)/
ミップマッピング /(n) (comp) Multum In Parvo mapping/MIP mapping/MIPMAP/
ミツアナグマ /(n) (uk) (obsc) honey badger (Mellivora capensis)/
ミツオシエ /(n) (uk) honeyguide (any bird of family Indicatoridae)/
ミツクリエナガチョウチンアンコウ /(n) (uk) triplewart seadevil (Cryptopsaras couesii)/
ミツクリザメ /(n) (uk) goblin shark (Mitsukurina owstoni)/
ミツクリザメ科 [ミツクリザメか] /(n) Mitsukurinidae (family of goblin sharks with one a living species and two extinct genera)/
ミツクリザメ属 [ミツクリザメぞく] /(n) Mitsukurina (genus of only living species of goblin shark in the family Mitsukurinidae)/
ミツグ君 [ミツグくん] /(n) (sl) man who is easily compelled into giving a woman gifts/a man only used to receive gifts from/
ミツスイ /(n) (uk) honeyeater (any of a number of long-tongued Australasian songbirds, esp. the cardinal honeyeater, Myzomela cardinalis)/
ミツスイ科 [ミツスイか] /(n) Meliphagidae (honeyeater family of birds)/
ミツデカエデ /(n) (uk) ivy-leaved maple (Acer cissifolium)/
ミツバイソハゼ /(n) pepperfin pygmy goby (Eviota punctulata)/green bubble goby/
ミツバヤツメ /(n) Pacific lamprey (Lampetra tridentata)/Pacific three-toothed lamprey/
ミツボシクロスズメダイ /(n) threespot dascyllus (Dascyllus trimaculatus, species of Indo-Pacific damselfish)/
ミツマタ /(n) (uk) Oriental paper bush (Edgeworthia chrysantha)/mitsumata/
ミツマタヤリウオ /(n) (uk) Pacific blackdragon (Idiacanthus antrostomus)/
ミツワー /(n) Mitzvah/
ミティゲーション /(n) mitigation/
ミディ /(n) (1) midi (i.e. midiskirt)/(2) middy/middy blouse/blouse with a sailor collar/(P)/
ミディアム /(n) medium/
ミディアムウェル /(n) half-way between medium and well done (wasei: medium well)/
ミディアムサイズ /(n) medium size/
ミディアムレア /(n) medium rare/
ミディオクラシー /(n) mediocracy/
ミディコミ /(n) (abbr) MIDI communication/
ミディロック /(n) middy look/
ミトコンドリア /(n) mitochondria/(P)/
ミトコンドリアＤＮＡ [ミトコンドリアディーエヌエー] /(n) mitochondrial DNA/
ミトコンドリアイブ /(n) Mitochondrial Eve/
ミトコンドリア脳筋症 [ミトコンドリアのうきんしょう] /(n) mitochondrial encephalomyopathy/
ミトス /(n) mythos (gre:)/
ミトラス教 [ミトラスきょう] /(n) Mithraism/
ミトラ教 [ミトラきょう] /(n) Mithraism/
ミトン /(n) mitten/
ミドリハゼ /(n) divine dwarf goby (Eviota epiphanes)/
ミドリフグ /(n) (uk) green spotted puffer (Tetraodon nigroviridis)/
ミドリホソオオトカゲ /(n) (uk) emerald tree monitor (Varanus prasinus, species of arboreal carnivorous monitor lizard found from New Guinea to Queensland, Australia)/green tree monitor/
ミドル /(n) middle/(P)/
ミドルアイアン /(n) middle iron/
ミドルウェア /(n) (comp) middleware/
ミドルエージ /(n) middle age/
ミドルエージクライシス /(n) mid-life crisis (wasei: middle-age crisis)/
ミドルエージシンドローム /(n) middle age syndrome/
ミドルエイジ /(n) middle age/
ミドルエンド /(adj-f) middle level (wasei: middle end)/mid-range/
ミドルクラス /(n) middle class/
ミドルスクール /(n) middle school/
ミドルタワー型 [ミドルタワーがた] /(n) (comp) middle-tower-style/
ミドルタワー型ＰＣ [ミドルタワーがたピーシー] /(n) (comp) middle-tower-style PC/
ミドルタワー型コンピュータ [ミドルタワーがたコンピュータ] /(n) (comp) middle-tower-style computer/
ミドルティーン /(n) middle teens/
ミドルネーム /(n) middle name/
ミドルホール /(n) middle hole/(P)/
ミドルマネージマント /(n) middle management/
ミドルマネージメント /(n) middle management/
ミドルレンジマシン /(n) (comp) middle range machine/
ミドルレンジモデル /(n) (comp) middle range model/
ミドル級 [ミドルきゅう] /(n) middleweight class/(P)/
ミナミイスズミ /(n) chub sp. (Kyphosus sp.)/
ミナミイソハゼ /(n) Eviota japonica (species of pygmy goby found in Japanese waters)/
ミナミオオガシラ /(n) (uk) brown tree snake (Boiga irregularis)/
ミナミセミクジラ /(n) (uk) southern right whale (Eubalaena australis)/
ミナミツチクジラ /(n) (uk) Arnoux's beaked whale (Berardius arnuxii)/
ミナミナガサキトラザメ /(n) New Zealand catshark (Bythaelurus dawsoni, species endemic to New Zealand)/
ミナミハタタテダイ /(n) threeband pennantfish (Heniochus chrysostomus)/pennant bannerfish/horned coralfish/
ミナミマグロ /(n) (uk) southern bluefin tuna (Thunnus maccoyii)/
ミナレット /(n) minaret/
ミニ /(n) mini/(P)/
ミニＤＶＤ [ミニディーブイディー] /(n) (comp) mini DVD/
ミニアチュール /(n) miniature/
ミニアチュア /(n) miniature/
ミニオン /(n) minion/
ミニカー /(n) minicar/
ミニコミ /(n) communications within a small range (wasei: mini communication)/(P)/
ミニコン /(n) (comp) (abbr) mini-computer/
ミニコンピュータ /(n) (comp) mini-computer/
ミニコンピューター /(n) (comp) mini-computer/
ミニコンポ /(n) (abbr) mini component/
ミニゴルフ /(n) mini golf/
ミニサイクル /(n) minicycle/
ミニサイズ /(n) mini size/
ミニシアター /(n) mini theater/mini theatre/
ミニスカ /(n) (abbr) mini-skirt/
ミニスカート /(n) mini-skirt/(P)/
ミニスター /(n) minister/
ミニステート /(n) ministate/
ミニセットアップ /(n) (comp) mini-Setup/
ミニター /(n) monitor/
ミニタワー /(n) (comp) mini tower/
ミニタワー型 [ミニタワーがた] /(n) (comp) mini-tower-style/
ミニタワー型ＰＣ [ミニタワーがたピーシー] /(n) (comp) mini-tower-style PC/
ミニタワー型コンピュータ [ミニタワーがたコンピュータ] /(n) (comp) mini-tower-style computer/
ミニチュア /(n) miniature/(P)/
ミニチュアカー /(n) miniature car/
ミニチュアカード /(n) (comp) Miniture Card/
ミニッツステーキ /(n) minute steak/
ミニディスク /(n) (comp) mini-disk/(P)/
ミニバイク /(n) minibike/
ミニバッファ /(n) minibuffer/(P)/
ミニバン /(n) minivan/people carrier/
ミニピル /(n) minipill/
ミニファクス /(n) minifacsimile/
ミニフロッピーディスク /(n) (comp) mini floppy disk/
ミニブログ /(n) mini-blog (e.g. Twitter)/micro-blog/
ミニマム /(adj-na,n) minimum/(P)/
ミニマムアクセス /(n) minimum access/
ミニマリストプログラム /(n) minimalist program/minimalist programme/
ミニマリズム /(n) minimalism/
ミニマルアート /(n) minimal art/
ミニマルミュージック /(n) minimal music/
ミニム /(n) minim/
ミニュエット /(n) minuet (ger: Menuett)/
ミニラボ /(n) minilab/
ミニレター /(n) aerogramme (wasei: mini letter)/aerogram/
ミニ新幹線 [ミニしんかんせん] /(n) mini-shinkansen/
ミネザクラ /(n) (uk) Japanese alpine cherry (Prunus nipponica)/
ミネストローネ /(n) minestrone/
ミネソタ /(n) Minnesota/(P)/
ミネラル /(n) mineral/(P)/
ミネラルウォータ /(n) mineral water/
ミネラルウォーター /(n) mineral water/
ミネラルウォタ /(n) mineral water/
ミネラルウオーター /(n) mineral water/
ミネラルコルチコイド /(n) mineral corticoid/
ミネルバ /(n) Minerva/
ミネルヴァ /(n) Minerva/
ミノ /(n) (food) cow rumen/
ミノカサゴ /(n) (uk) luna lionfish (Pterois lunulata)/
ミノキシジル /(n) minoxidil/
ミノス /(n) Minos/
ミノタウロス /(n) minotaur (grc: Minotauros)/
ミバエ /(n) (uk) fruit fly (any insect of family Tephritidae)/
ミフウズラ /(n) (uk) barred button quail (Turnix suscitator)/
ミフェプリストン /(n) mifepristone (abortifacient steroid developed under the name RU-486)/
ミミカキグサ /(n) (uk) Utricularia bifida (species of bladderwort)/
ミミガー /(n) Okinawan dish of pig ears/
ミミガイ /(n) (uk) ass's ear abalone (Haliotis asinina)/donkey's ear abalone/
ミミクリ /(n) mimicry (esp. biological)/
ミミクリー /(n) mimicry (esp. biological)/
ミミズトカゲ /(n) (uk) worm lizard/amphisbaenian/
ミミズハゼ /(n) (uk) flat-headed goby (Luciogobius guttatus)/
ミミック /(n) mimic/(P)/
ミミックサージャンフィッシュ /(n) chocolate surgeonfish (Acanthurus pyroferus, Indo-Pacific species of tang)/mimic surgeonfish/orange-gilled surgeonfish/
ミミックサージョンフィッシュ /(n) chocolate surgeonfish (Acanthurus pyroferus, Indo-Pacific species of tang)/mimic surgeonfish/orange-gilled surgeonfish/
ミメーシス /(n) mimesis (gre:)/
ミメシス /(n) mimesis (gre:)/
ミモザ /(n) mimosa/
ミモザサラダ /(n) mimosa salad/
ミモレ /(n) mi-mollet (fre:)/
ミャオ族 [ミャオぞく] /(n) Miao (people)/Hmong/
ミャンマー /(n) Myanmar/(P)/
ミャンマー語 [ミャンマーご] /(n) Burmese (language)/
ミヤギノハギ /(n) (uk) Thunberg's lespedeza (species of bush clover, Lespedeza thunbergii)/
ミヤコグサ /(n) (uk) bird's-foot trefoil (Lotus corniculatus, esp. Lotus corniculatus var. japonicus)/birdsfoot trefoil/
ミヤコタナゴ /(n) (uk) Tokyo bitterling (species of cyprinid fish, Tanakia tanago)/
ミヤコテングハギ /(n) orangespine unicornfish (Naso lituratus, species of Pacific tang formerly confused with Naso elegans of the Indian Ocean)/
ミヤコドリ /(n) (1) (uk) Eurasian oystercatcher (Haematopus ostralegus)/(2) (arch) black-headed gull (Larus ridibundus)/(3) (uk) Cinnalepeta pulchella (species of spiral-shelled gastropod)/
ミヤコドリガイ /(n) (uk) (obsc) Cinnalepeta pulchella (species of spiral-shelled gastropod)/
ミヤコヒキガエル /(n) (uk) Miyako toad (Bufo gargarizans miyakonis, a subspecies of the Asiatic toad endemic to the Ryukyu Islands)/
ミヤベイワナ /(n) (uk) Miyabe charr (Salvelinus malma miyabei)/
ミヤマガマズミ /(n) Wright viburnum/viburnum wrightii/
ミヤマガラス /(n) (uk) rook (species of crow, Corvus frugilegus)/
ミヤマガワトンボ /(n) (uk) Calopteryx cornelia (species of damselfly)/
ミヤマクワガタ /(n) (uk) Miyama stag beetle (Lucanus maculifemoratus)/
ミヤマシキミ /(n) (uk) Japanese skimmia (Skimmia japonica, esp. S. j. var. japonica)/
ミヤマホオジロ /(n) (uk) yellow-throated bunting (Emberiza elegans)/
ミューオン /(n) muon/
ミュージアム /(n) museum/(P)/
ミュージカル /(n) musical/(P)/
ミュージカルグラス /(n) musical glasses/
ミュージカルコメディー /(n) musical comedy/
ミュージカルショー /(n) musical show/
ミュージカルソー /(n) musical saw/
ミュージカルプレー /(n) musical play/
ミュージカルボー /(n) musical bow/
ミュージカルボックス /(n) musical box/
ミュージシャン /(n) musician/(P)/
ミュージック /(n) music/(P)/
ミュージックコンクレート /(n) musique concrete (fre:)/
ミュージックセラピー /(n) music therapy/
ミュージックテープ /(n) music tape/
ミュージックホール /(n) music hall/
ミュージックボックス /(n) music box/
ミューズ /(n) Muse/one's muse/(P)/
ミューズリー /(n) muesli/
ミュータント /(n) mutant/
ミューチュアルファンド /(n) mutual fund/
ミュート /(n) mute/
ミュール /(n) (1) mule (animal)/(2) mule (women's footwear)/(3) spinning mule/Compton's mule/
ミュー粒子 [ミューりゅうし] /(n) muon/
ミュオン /(n) muon (particle physics)/
ミュゼット /(n) musette (fre:)/
ミュトス /(n) mythos (gre:)/
ミュラー /(n) Muller/(P)/
ミュンヒハウゼン症候群 [ミュンヒハウゼンしょうこうぐん] /(n) Munchausen's syndrome/
ミュンヘン /(n) Munich/Muenchen/(P)/
ミュンヘン一揆 [ミュンヘンいっき] /(n) Beer Hall Putsch (1923)/Munich Putsch/
ミュンヘン会談 [ミュンヘンかいだん] /(n) Munich Conference (1938)/
ミュンヘン協定 [ミュンヘンきょうてい] /(n) Munich Agreement (1938)/Munich Pact/
ミユビナマケモノ /(n) (uk) three-toed sloth/
ミラー /(n) mirror/(P)/
ミラーサーバ /(n) (comp) mirror server/
ミラーサーバー /(n) (comp) mirror server/
ミラーサイト /(n) (comp) (ftp or WWW) mirror site/
ミラージュ /(n) mirage/(P)/
ミラードライブ /(n) (comp) mirrored drives/
ミラーページ /(n) (comp) mirror page (WWW)/
ミラーボール /(n) mirror ball/
ミラーリング /(n) (comp) mirroring/
ミラクル /(n) miracle/(P)/
ミラショーン /(n) Mila Sohon/
ミリ /(n,pref) (1) milli- (fre:)/10^-3/(2) (abbr) millimetre/millimeter/(P)/
ミリアンペア /(n) milliampere/
ミリオネア /(n) millionaire/
ミリオン /(n) million/(P)/
ミリオンセラー /(n) million seller/(P)/
ミリキュリー /(n) millicurie/
ミリグラム /(n) milligram (fre:)/(P)/
ミリスチン酸 [ミリスチンさん] /(n) myristic acid/
ミリセカント /(n) millisecond/
ミリセカンド /(n) millisecond/
ミリタリー /(n) military/
ミリタリーマーチ /(n) military march/
ミリタリールック /(n) military look/(P)/
ミリタリスト /(n) militarist/
ミリタリズム /(n) militarism/
ミリネジ /(n) (comp) metric screw threads/
ミリバール /(n) millibar/(P)/
ミリボルト /(n) millivolt/
ミリミクロン /(n) millimicron (fre:)/
ミリメーター /(n) (uk) millimeter (fre:)/millimetre/
ミリメートル /(n) (uk) millimeter (fre:)/millimetre/(P)/
ミリメートル波 [ミリメートルは] /(n) extremely high frequency wave/EHF/
ミリリットル /(n) millilitre (fre:)/(P)/
ミリングマシン /(n) milling machine/
ミリ波 [ミリは] /(n) milli-wave/
ミリ秒 [ミリびょう] /(n) (comp) millisecond/
ミル /(n) (1) mil (one thousandth of an inch)/(2) mill/
ミル /(n) (uk) Codium fragile (species of seaweed)/
ミルウォーキー /(n) Milwaukee/(P)/
ミルカー /(n) milker/
ミルガイ /(n) (uk) Tresus keenae (species of trough shell)/
ミルキーウェー /(n) Milky Way/
ミルキーハット /(n) (1) casual felt hat (originally white) (wasei: milky hat)/(2) Milky Hat (female singing group)/
ミルキングアクション /(n) milking action/
ミルク /(n) milk/(P)/
ミルクイ /(n) (uk) Tresus keenae (species of trough shell)/
ミルクイガイ /(n) (uk) Tresus keenae (species of trough shell)/
ミルクコーヒー /(n) milk coffee/white coffee/
ミルクシェーク /(n) milk shake/
ミルクシャーク /(n) milk shark (Rhizoprionodon acutus, species of requiem shark found in the eastern Atlantic and the Indo-Pacific)/
ミルクセーキ /(n) milk shake/
ミルクチョコレート /(n) milk chocolate/
ミルクティ /(n) white tea (wasei: milk tea)/
ミルクティー /(n) white tea (wasei: milk tea)/
ミルクパン /(n) milk pan/
ミルクファイバーライス /(n) milk fiber rice/milk fibre rice/
ミルクプラント /(n) dairy/milk plant/
ミルクヘビ /(n) (uk) milk snake (Lampropeltis triangulum)/
ミルクホール /(n) milk bar (wasei: milk hall)/
ミルクポンチ /(n) milk punch/
ミルクレープ /(n) mille crepe (French cake made from layers of crepes) (fre:)/
ミルク蛇 [ミルクへび] /(n) (uk) milk snake (Lampropeltis triangulum)/
ミルナ /(n) (uk) Salsola komarovii (species of saltwort)/
ミルネット /(n) (comp) MILNET/
ミルフィーユ /(n) mille-feuille (type of pastry) (fre:)/
ミルフイユ /(n) mille-feuille (type of pastry) (fre:)/
ミルラ /(n) myrrh (lat: myrrha)/
ミレットシードバタフライフィッシュ /(n) millet butterflyfish (Chaetodon miliaris)/lemon butterflyfish/milletseed butterflyfish/
ミレニアム /(n) (new) millennium/(P)/
ミレニウム /(n) (comp) Millenium/
ミロ /(n) milo/
ミロのビーナス /(n) Venus de Milo (classical Greek sculpture of Aphrodite)/
ミロナイト /(n) mylonite/
ミロンガ /(n) (1) milonga (tango-like dance)/(2) place where the milonga and tango is danced/
ミンク /(n) mink/(P)/
ミンクのコート /(n) mink coat/
ミンククジラ /(n) (uk) minke whale/piked whale (Balaenoptera acutorostrata)/
ミンク鯨 [ミンクくじら] /(n) (uk) minke whale/piked whale (Balaenoptera acutorostrata)/
ミンコフスキー時空 [ミンコフスキーじくう] /(n) Minkowski space-time/
ミンサー /(n) traditional textile of the Yaeyama Islands in Okinawa/
ミンストレル /(n) minstrel/
ミンストレルショー /(n) minstrel show/
ミンスパイ /(n) mince-pie/
ミンスミート /(n) mince-meat/
ミンチ /(n) minced beef/ground beef/hamburger steak/(P)/
ミンチパイ /(n) mince pie/
ミンチボール /(n) mince ball/
ミント /(adj-na,n) (abbr) mint/peppermint/(P)/
ミントキャンデー /(n) roll of mints/mint/
ミントキャンディ /(n) roll of mints/mint/
ミントキャンディー /(n) roll of mints/mint/
ミントジュレップ /(n) mint julep/
ミントソース /(n) mint sauce/
ミンネ /(n) love of a knight for a courtly lady (upon which he is unable to act) (ger: Minne)/
ミンネザング /(n) minnesang (12th-14th century German love song) (ger: Minnesang)/
ミンネジンガー /(n) minnesinger (ger: Minnesanger)/
ミンネゼンガー /(n) minnesinger (ger: Minnesanger)/
ミンミンゼミ /(n) (uk) Oncotympana maculaticollis (large black and green species of Oriental cicada)/
ミン南語 [ミンなんご] /(n) Min Nan (dialect of Chinese, inc. Taiwanese)/
ムーアの法則 [ムーアのほうそく] /(n) Moore's Law/
ムーア人 [ムーアじん] /(n) Moor/
ムーサ /(n) Muse/one's muse/
ムース /(n) (1) moose/(2) mousse/(P)/
ムースリ /(n) muesli/
ムーチョ /(adj-f) much (spa: mucho)/
ムーディー /(adj-f) moody/(P)/
ムートン /(n) sheepskin (fre: mouton)/
ムード /(n) mood/(P)/
ムードコンディショニング /(n) mood conditioning/
ムードミュージック /(n) mood music/
ムード音楽 [ムードおんがく] /(n) mood music/
ムーバー /(n) mover/mechanical ride/
ムービー /(n) movie/(P)/
ムーブメント /(n) movement/(P)/
ムームー /(n) muumuu (Hawaiian clothing)/
ムーラン /(n) moulin/(P)/
ムール /(n) mussels (fre: moule)/(P)/
ムール貝 [ムールかい] /(n) moule (fre:)/common (blue) mussel/
ムーン /(n) moon/(P)/
ムーンウォーク /(n) moonwalk/
ムーンウオーク /(n) moonwalk/
ムーンサルト /(n) moonsault (type of somersault)/
ムーンストーン /(n) moonstone/
ムーンフェース /(n) (1) swollen face (wasei: moon face)/puffy face/(2) moon display on a watch indicating am or pm (usually analogue)/
ムーンフェイス /(n) moon face/
ムーンライター /(n) moonlighter/
ムーンライト /(n) moonlight/
ムーンルーフ /(n) moonroof/
ムーヴィー /(n) movie/
ムエタイ /(n) (MA) Muay Thai (tha:)/Thai boxing/
ムカゴイラクサ /(n) (uk) Laportea bulbifera (species of nettle-like plant)/
ムカシトカゲ /(n) (uk) tuatara (primitive lizardlike reptile endemic to New Zealand)/
ムカシトンボ /(n) (uk) Epiophlebia superstes (species of living-fossil dragonfly endemic to Japan)/
ムカデ /(n) (uk) centipede/
ムガル帝国 [ムガルていこく] /(n) Mughal Empire/
ムキムキ /(adj-na,adj-no) muscular/brawny/
ムギツク /(n) (uk) Pungtungia herzi (species of cyprinid)/
ムギュウ /(n) (on-mim) squeezing/hug/hugging/
ムクゲ /(n) (uk) rose of Sharon (Hibiscus syriacus)/
ムクドリ /(n) (1) (uk) grey starling (gray)/white-cheeked starling (Sturnus cineraceus)/(2) starling (any bird of family Sturnidae)/(3) bumpkin/gullible person/(4) sixty-nine (sexual position)/
ムクノキ /(n) (uk) Aphananthe oriental elm (Aphananthe aspera)/mukutree/
ムコ多糖類 [ムコたとうるい] /(n) mucopolysaccharide/
ムコ養子 [ムコようし] /(n) son-in-law taken (adopted) into family/
ムササビ /(n) (uk) giant flying squirrel (Petaurista leucogenys)/
ムシカリ /(n) (uk) viburnum/Viburnum furcatum/
ムシガレイ /(n) (uk) roundnose flounder (Eopsetta grigorjewi)/
ムシクイアイゴ /(n) vermiculated spinefoot (Siganus vermiculatus, species of Indo-West Pacific rabbitfish)/vermiculate rabbitfish/
ムシヒキアブ /(n) (uk) robber fly (any fly of family Asilidae)/
ムジナ /(n) (1) (uk) badger/(2) (uk) raccoon dog (Nyctereutes procyonoides)/
ムジナモ /(n) (uk) waterwheel plant (Aldrovanda vesiculosa)/
ムジャーヒディーン /(n) mujahideen (ara: mujahidin)/mujahedin/mujahidin/mujaheddin/(fundamentalist) Islamic guerrilla fighters/
ムスっと /(adv) (on-mim) frowning/stern expression/
ムスカリ /(n) grape hyacinth (esp. the starch grape hyacinth, Muscari neglectum) (lat: muscari)/
ムスカリン /(n) muscarine/
ムスク /(n) musk/
ムスコン /(n) muscone/
ムスジイソハゼ /(n) Saipan pygmy goby (Eviota saipanensis)/
ムスタッシュ /(n) (obsc) mustache/
ムスタング /(n) mustang/(P)/
ムステルス・アンタルクティクス /(n) gummy shark (Mustelus antarcticus, species endemic to southern Australia)/
ムステルスアンタルクティクス /(n) gummy shark (Mustelus antarcticus, species endemic to southern Australia)/
ムスメハギ /(n) lei triggerfish (Sufflamen bursa)/boomerang triggerfish/
ムスメベラ /(n) comb wrasse (Coris picta)/Coris musume/
ムスリム /(n,adj-no) Muslim/
ムズい /(adj-i) (abbr) difficult/
ムチムチ /(adv-to,adv,vs) (on-mim) plump/chubby/voluptuous/
ムチン /(n) mucin/
ムック /(n) mook (thick illustrated publication on a single topic printed to look like a magazine) (from magazine and book)/
ムックリ /(n) Ainu mouth harp (ain:)/
ムッシュー /(n) monsieur (fre:)/
ムッソリーニ /(n) Mussolini/
ムツ /(n) (uk) gnomefish (Scombrops boops)/
ムツゴロウ /(n) (uk) mudskipper (Boleophthalmus pectinirostris)/goggle-eyed goby/
ムトン /(n) mutton (fre: mouton)/sheep/
ムナグロ /(n) (uk) Pacific golden plover (Pluvialis fulva)/
ムナグロギンザメ /(n) large-eyed rabbitfish (Hydrolagus mirabilis, an Atlantic shortnose chimaera)/
ムナジロカワガラス /(n) (uk) white-throated dipper (Cinclus cinclus)/
ムナジロテン /(n) (uk) stone marten/beech marten (Martes foina)/
ムニエル /(n) meuniere (fre:)/
ムネアカヒワ /(n) (uk) Eurasian linnet (Carduelis cannabina)/
ムビラ /(n) mbira/
ムフティー /(n) mufti (ara: mufti)/Muslim legal expert entitled to make decisions on points of Islamic law/
ムブナ /(n) mbuna (group of African cichlids from Lake Malawi)/
ムベンガ /(n) mbenga (Hydrocynus goliath)/goliath tigerfish/giant tigerfish/
ムヨウラン /(n) (uk) Lecanorchis japonica (species of saprophytic orchid)/
ムラート /(n) mulatto/(P)/
ムライト /(n) mullite/
ムラサキイガイ /(n) (uk) blue mussel (Mytilus galloprovincialis)/Mediterranean mussel/
ムラサキイモ /(n) purple fleshed sweet potato (any one of several different such)/
ムラサキガイ /(n) (uk) Soletellina diphos (species of clam)/
ムラサキギンザメ /(n) purple chimaera (Hydrolagus purpurescens, species of cartilaginous fish found in Japan and the Hawaiian Islands)/
ムラサキクンシラン /(n) (uk) African lily (Agapanthus africanus)/
ムラサキサギゴケ /(n) (uk) Miquel's mazus (species of small flowering plant, Mazus miquelii)/
ムラサキシキブ /(n) (uk) Japanese beautyberry (Callicarpa japonica)/
ムラサキズキンベニハゼ /(n) Trimma imaii (species of goby found in Japan)/
ムラサキツバメ /(n) (1) (uk) powdered oakblue (butterfly) (Narathura bazalus)/(2) purple martin (bird) (Progne subis)/
ムラサキツユクサ /(n) (uk) Ohio spiderwort (Tradescantia ohiensis)/
ムラサキヌタウナギ /(n) Eptatretus okinoseanus (species of hagfish found in Japan and Taiwan)/
ムラサキベンケイソウ /(n) (uk) orpine (Hylotelephium telephium)/
ムラサキマシコ /(n) (uk) purple finch (Carpodacus purpureus)/
ムラムラ /(adv,adv-to) (1) (uk) (on-mim) irresistibly/suddenly/(vs) (2) (col) to be turned on/to be horny/
ムラ無く [ムラなく] /(adv) (uk) evenly/equably/in an uniform and orderly fashion/
ムリダンガ /(n) mridangam (double-headed barrel drum of Indian origin) (hin:)/
ムリダンガム /(n) mridangam (double-headed barrel drum of Indian origin) (hin:)/
ムレハタタテダイ /(n) false moorish idol (Heniochus diphreutes)/
ムロアジ /(n) (1) (uk) brownstriped mackerel scad (Decapterus muroadsi)/(2) mackerel scad (any fish of genus Decapterus)/
ムンダー諸語 [ムンダーしょご] /(n) Munda languages/
ムンプス /(n) mumps/
メー /(n) bleat/baa (goat sound)/
メーカ /(n) manufacturer/maker/(P)/
メーカー /(n) manufacturer/maker/(P)/
メーカーオプション /(n) factory-installed option (wasei: maker option)/factory option/
メーカー希望価格 [メーカーきぼうかかく] /(n) manufacturer's recommended price/
メーカー物 [メーカーもの] /(n) name-brand item/
メーキャップ /(n,vs) make-up/(P)/
メーク /(n,vs) (1) make/(2) (abbr) make-up/(P)/
メークアップ /(n,vs) make-up/
メークイン /(n) May Queen (potato variety)/
メークオーバー /(n) make over/
メークドラマ /(n) dramatic finish (wasei: make drama)/
メークラブ /(n,vs) making love/
メーザー /(n) maser (microwave amplification by stimulated emission of radiation)/
メージ /(n) mage/
メージャー /(n) (1) (abbr) Major (League)/(adj-na) (2) major/(P)/
メージャーリーグ /(n) Major League/
メース /(n) mace/
メータ /(n) (1) meter (i.e. measuring device)/(2) metre (i.e. 100 cm)/meter/(P)/
メーター /(n) (1) meter (i.e. measuring device)/(2) metre (i.e. 100 cm)/meter/(P)/
メータースタンプ /(n) meter stamp/
メーターバイザー /(n) small shield over motorcycle gauges (wasei: meter visor)/
メータク /(n) (obsc) taxi equipped with a meter (from "meter taxi")/
メーティングコール /(n) mating call/
メーデー /(n) (1) Mayday (call for help)/(2) May Day (May 1st)/(P)/
メート /(n) mate/(P)/
メートルネジ /(n) (comp) metric screw threads/
メートル坪量 [メートルつぼりょう] /(n) paper weight in gsm/
メートル馬力 [メートルばりき] /(n) metric horsepower (approx. 735W)/PS/
メートル法 [メートルほう] /(n) metric system/
メード /(n) maid/(P)/
メードインジャパン /(exp) made in Japan/
メービウス /(n) Moebius/
メービウスの帯 [メービウスのおび] /(n) Moebius strip/
メーフラワー /(n) mayflower/
メープル /(n) maple/
メープルシュガー /(n) maple sugar/
メープルシロップ /(n) maple syrup/
メープルバター /(n) maple butter/
メーメー /(n) baa (sound made by sheep)/meh/
メーラ /(n) (comp) mailer/
メーラー /(n) (comp) mailer/
メーリング /(n) mailing/
メーリングリスト /(n) mailing list/
メール /(n,vs) (1) (abbr) email/(n) (2) mail (usu. in phrases and compound words)/(3) male/(P)/
メールアド /(n) (abbr) e-mail address/
メールアドレス /(n) email address/
メールエージェント /(n) (comp) mail agent/
メールオーダー /(n) mail order/
メールサーバ /(n) (comp) mail server/
メールサーバー /(n) (comp) mail server/
メールサーベイ /(n) mail survey/
メールシステム /(n) mail-system/
メールシュート /(n) mail chute/
メールスプール /(n) (comp) mail spool/
メールソフト /(n) (comp) email software/email program/mail program/
メールソフトウェア /(n) (comp) mail software/
メールチェック /(n,vs) mail check (of email)/
メールニュース /(n) email newsletter (wasei: mail news)/
メールボックス /(n) (1) mail box/(2) email box/
メールマガジン /(n) (comp) e-mail magazine (wasei: mail magazine)/e-zine/
メールリーダー /(n) mail-reader/
メール交換 [メールこうかん] /(n) exchange of letters/correspondence/
メール爆弾 [メールばくだん] /(n) (comp) mail bomb/
メール友 [メールとも] /(n) a friend with whom one corresponds by e-mail/email friend/
メーン /(n,adj-na) (1) main/(n) (2) mane/(P)/
メーンアンプ /(n) main amp/
メーンイベント /(n) main event/
メーンエベント /(n) main event/
メーンカルチャー /(n) main culture/
メーンゲート /(n) main gate/
メーンコース /(n) main course/
メーンシャフト /(n) main shaft/
メーンスタジアム /(n) main stadium/
メーンスタンド /(n) main stand/
メーンストリート /(n) main street/(P)/
メーンタイトル /(n) main title/
メーンテーブル /(n) main table/
メーンディッシュ /(n) main dish/
メーンデッキ /(n) main deck/
メーンバンク /(n) main bank/(P)/
メーンフレーム /(n) mainframe/
メーンポール /(n) main pole/
メーンマスト /(n) mainmast/
メーンメモリー /(n) main memory/
メアド /(n) (abbr) email address/
メアリ /(n) (1) merely/(2) Mary/
メアンダー /(n) meander/
メイ /(n) May/
メイガ /(n) (uk) pyralid (any moth of family Pyralidae, many of which have larvae that devour foodstuffs)/
メイキャップ /(n,vs) make-up/(P)/
メイキュウサザナミハギ /(n) chevron tang (Ctenochaetus hawaiiensis, species of bristletooth tang from the Pacific)/black surgeonfish/Hawaiian kole/Hawaiian surgeonfish/
メイキング /(n) making of a craft or product, esp. a television program, movie, etc./
メイク /(n,vs) (1) make/(2) (abbr) make-up/(P)/
メイクアップ /(n,vs) make-up/(P)/
メイクオーバー /(n) make over/
メイクセンス /(n,vs) makes sense (wasei: make sense)/
メイクラブ /(n,vs) making love/
メイジ /(n) mage/
メイジャー /(n) (1) (abbr) Major (League)/(adj-na) (2) major/
メイス /(n) mace/
メイデイ /(n) (1) Mayday (call for help)/(2) May Day (May 1st)/
メイト /(n) mate/(P)/
メイト系 [メイトけい] /(n) (comp) mate system/redundant system/
メイド /(n) maid/(P)/
メイドバイ /(exp,n-pref) made by/
メイフラワー /(n) mayflower/
メイヤー /(n) mayor/
メイヨット /(n) Mayotte/
メイラ /(n) mailer/
メイラー /(n) mailer/
メイリング /(n) mailing/
メイリングリスト /(n) mailing list/
メイル /(n,vs) (1) (abbr) email/(n) (2) mail (usu. in phrases and compound words)/(3) male/
メイルオーダー /(n) mail order/
メイルサーバ /(n) (comp) mail server/
メイルボックス /(n) (comp) mailbox/
メイン /(n,adj-na) (1) main/(n) (2) mane/(P)/
メインアンプ /(n) main amp/
メインイベント /(n) main event/
メインエベント /(n) main event/
メインカルチャー /(n) main culture/
メインキー /(n) (comp) main key/
メインゲート /(n) main gate/
メインコース /(n) main course/
メインシリーズ /(n) main series/
メインスタンド /(n) main stand/
メインストリート /(n) main street/(P)/
メインタイトル /(n) main title/
メインテーブル /(n) main table/
メインテナンス /(n) (comp) maintenance/
メインディッシュ /(n) main dish/main course/piece de resistance/
メインディレクトリ /(n) (comp) main directory/
メインバンク /(n) main bank/
メインフレーマ /(n) (comp) mainframer/
メインフレーム /(n) (comp) mainframe/
メインフレームコンピュータ /(n) (comp) mainframe computer/
メインページ /(exp) main page/
メインボード /(n) (comp) main board/
メインポール /(n) main pole/
メインメニュー /(n) (comp) main menu/
メインメモリ /(n) (comp) main memory/
メインメモリー /(n) (comp) main memory/
メインルーチン /(n) (comp) main routine/
メインループ /(n) (comp) main loop/
メェル /(ik) (n,vs) (1) (abbr) email/(n) (2) mail (usu. in phrases and compound words)/(3) male/
メエメエ /(n) baa (sound made by sheep)/meh/
メカ /(n) (1) (abbr) mechanical/(2) mechanism/(3) mechanic/(P)/
メカジキ /(n) (uk) swordfish (Xiphias gladius)/broadbill/
メカトロニクス /(n) mechatronics/electromechanics/
メカニカル /(adj-na,n) mechanical/
メカニカルオートメーション /(n) mechanical automation/
メカニカルマウス /(n) (comp) mechanical mouse/
メカニクス /(n) mechanics/
メカニズム /(n) mechanism/(P)/
メカニック /(adj-na,n) mechanic/(P)/
メカニックス /(n) mechanics/
メガ /(n,pref) mega-/10^6/(P)/
メガエレクトロンボルト /(n) megaelectron volt/
メガサイクル /(n) megacycle/
メガストラクチャー /(n) megastructure/
メガデモ /(n) (comp) megademo/
メガトレンド /(n) mega trend/
メガトン /(n) megaton/MT/
メガトン爆弾 [メガトンばくだん] /(n) megaton bomb/
メガドラ /(n) (abbr) Mega Drive/
メガドライブ /(n) Mega Drive (Sega)/
メガネっ子 [メガネっこ] /(n) (m-sl) girl (usu. attractive) with glasses/glasses-wearing girl/
メガネっ娘 [メガネっこ] /(n) (m-sl) girl (usu. attractive) with glasses/glasses-wearing girl/
メガネカイマン /(n) (uk) spectacled caiman (Caiman sclerops)/
メガネクロハギ /(n) whitecheek surgeonfish (Acanthurus nigricans, species of tang from the Eastern Indian and Pacific Oceans)/
メガネグマ /(n) (uk) spectacled bear (Tremarctos ornatus)/
メガネゴンベ /(n) arc-eye hawkfish (Paracirrhites arcatus)/
メガネザル /(n) (uk) tarsier (Tarsius syrichta)/specter lemur/spectre lemur/
メガネベニハゼ /(n) redface dwarfgoby (Trimma benjamini, species found in the Western Pacific)/ring-eye pygmy-goby/
メガネモチノウオ /(n) (uk) humphead wrasse (Cheilinus undulatus)/Napoleon wrasse/Napoleonfish/Maori wrasse/
メガバイト /(n) (comp) megabytes/
メガバンク /(n) megabank/
メガビット /(n) (comp) megabits/
メガフェプス /(n) megafeps (mnemonic for verbs that never precede infinitives, but rather their gerunds)/mind, enjoy, give up, avoid, finish, escape, postpone, stop/
メガフォン /(n) megaphone/
メガフロート /(n) mega-float/
メガフロップス /(n) (comp) MFLOPS/
メガヘルツ /(n) megahertz/MHz/(P)/
メガホン /(n) megaphone/(P)/
メガマウス /(n) megamouth shark (Megachasma pelagios)/
メガマウスザメ属 [メガマウスザメぞく] /(n) Megachasma (sole genus of the rare deep water megamouth shark in the family Megachasmidae)/
メガマウス科 [メガマウスか] /(n) Megachasmidae (family whose sole member is the rare deep water megamouth shark)/
メガラ学派 [メガラがくは] /(n) Megarian school (of philosophy)/
メガロ /(n) megalo/
メガロサウルス /(n) megalosaurus (lat:)/megalosaur/
メガロドン /(n) megalodon (extinct species of huge shark)/
メガロパ /(n) megalopa/
メガロポリス /(n) megalopolis/
メキシカンホッグフィッシュ /(n) Mexican hogfish (Bodianus diplotaenia)/
メキシコ /(n,adj-no) (uk) Mexico/
メキシコネコザメ /(n) Mexican hornshark (Heterodontus mexicanus, found in the Eastern Pacific)/
メキシコヤツメ /(n) Mexican lamprey (Lampetra spadicea)/
メキシコ革命 [メキシコかくめい] /(n) Mexican Revolution (1910)/
メキシコ人 [メキシコじん] /(n) Mexican (person)/
メキシコ湾 [メキシコわん] /(n) Gulf of Mexico/(P)/
メキシコ湾流 [メキシコわんりゅう] /(n) Gulf Stream/
メギ /(n) (uk) Japanese barberry (Berberis thunbergii)/
メギ科 [メギか] /(n) Berberidaceae (plant family)/barberry/
メクラウナギ /(n) (uk) hagfish (esp. the species Myxine garmani from Japan)/
メクラウナギ科 [メクラウナギか] /(n) Myxinidae (family of hagfish having a skull but not a vertebral column)/
メクラキャップ /(n) blank plug/
メクラヘビ /(n) (1) (uk) blind snake (esp. the Brahminy blind snake, Ramphotyphlops braminus)/worm snake/(exp) (2) (abbr) fools rush in/
メグオーム /(n) megohm/
メグロ /(n) (uk) Bonin white-eye (Apalopteron familiare)/
メコ /(n) (1) (uk) (arch) (sl) vagina/
メコスジ /(n) (uk) (sl) camel toe (i.e. female genitals visible through tight clothing)/
メコンデルタ /(n) Mekong delta/(P)/
メコ筋 [メコすじ] /(n) (uk) (sl) camel toe (i.e. female genitals visible through tight clothing)/
メゴチ /(n) (uk) big-eyed flathead (Suggrundus meerdervoortii)/
メサイア /(n) Messiah/
メザニンカード /(n) (comp) mezzanine card/
メザニンボード /(n) (comp) mezzanine board/
メシア /(n) Messiah/(P)/
メシヤ /(n) Messiah/
メシュ /(n,adj-no) (1) mesh/
メシ君 [メシくん] /(n) (sl) man only used to receive meals from/man who always pays for food/
メジ /(n) mage/
メジアン /(n) median/
メジシンボール /(n) medicine ball/
メジナ /(n) (uk) largescale blackfish (Girella punctata)/
メジャー /(adj-na,n) (1) major/(2) Major (oil companies)/(3) measure/tape measure/(P)/
メジャーアップグレード /(n) (comp) major upgrade/
メジャートーナメント /(n) major tournament/
メジャードゥーモ /(n) (comp) majordomo/
メジャーバージョンアップ /(n) (comp) major version up/
メジャーバージョン番号 [メジャーバージョンばんごう] /(n) (comp) major version number/
メジャーリーガー /(n) major leaguer (baseball)/major league player/
メジャーリーグ /(n) Major League/
メジャーレーベル /(n) major label/
メジャリング /(n) measuring/
メジロザメ /(n) (uk) sandbar shark (Carcharhinus plumbeus, a species of requiem shark)/
メジロザメ科 [メジロザメか] /(n) Carcharhinidae (family of migratory live-bearing requiem sharks found in warm seas)/
メジロザメ属 [メジロザメぞく] /(n) Carcharhinus (the type genus of the requiem shark family Carcharhinidae)/
メス /(n) female (animal)/
メス /(n) scalpel (dut: mes)/surgical knife/(P)/
メスが入る [メスがいる] /(exp,v5r) to operate/to clean up/to inquire (into)/to take drastic measures/
メスを入れる [メスをいれる] /(exp,v1) to operate/to clean up/to inquire (into)/to take drastic measures/
メスアップ /(n,vs) (abbr) diluting in measuring cylinder to ~ ml total (ger: meszylinder)/
メスカリン /(n) mescaline/
メスカル /(n) mescal (spa: mezcal)/
メスコネクタ /(n) (comp) female connector/
メスシリンダー /(n) measuring cylinder (ger: Messzylinder)/graduated cylinder/
メスティソ /(n) mestizo/
メスバウアー効果 [メスバウアーこうか] /(n) Moessbauer effect/
メセージ /(n) message/
メセナ /(n) corporate patronage of the arts and culture (fre: mecenat)/
メソード /(n) method/
メソジスト /(n) Methodist/(P)/
メソジスト教会 [メソジストきょうかい] /(n) Methodist Church/
メソッド /(n) method/
メソポタミア /(n) Mesopotamia/(P)/
メソン /(n) meson (physics)/
メソ対流系 [メソたいりゅうけい] /(n) mesoscale convective system/MCS/
メゾ /(n) mezzo (ita:)/
メゾスコピック /(n) mesoscopic/
メゾソプラノ /(n) mezzo-soprano (ita:)/(P)/
メゾチント /(n) mezzotint/
メゾティント /(n) mezzotint/
メゾネット /(n) maisonette/
メゾピアノ /(n) mezzo piano (ita:)/
メゾフォルテ /(n) mezzo forte (ita:)/
メゾン /(n) house (fre: maison)/(P)/
メタ /(adj-na,n) meta/
メタキャラクタ /(n) (comp) metacharacter/
メタクリル酸 [メタクリルさん] /(n) methacrylic acid/
メタクリル樹脂 [メタクリルじゅし] /(n) methacrylic resin/
メタサーチ /(n) (comp) metasearch/
メタシンタックス /(n) (comp) metasyntax/
メタスラ /(n) (abbr) Metal Slug (game)/
メタセコイア /(n) metasequoia (lat:)/dawn redwood (Metasequoia glyptostroboides)/(P)/
メタセンター /(n) metacentre/
メタゾエア /(n) metazoea/
メタタグ /(n) (comp) META tag/
メタデータ /(n) (comp) metadata/
メタドン /(n) methadone/
メタノール /(n) methanol (ger:)/methyl alcohol/methylated spirits/(P)/
メタファ /(n) (comp) metaphor/
メタファー /(n) (comp) metaphor/
メタファイル /(n) (comp) metafile/
メタファイル解釈系 [メタファイルかいしゃくけい] /(n) (comp) metafile interpreter/
メタファイル記述子 [メタファイルきじゅつし] /(n) (comp) metafile descriptor/MD/
メタファイル生成系 [メタファイルせいせいけい] /(n) (comp) metafile generator/
メタファイル要素 [メタファイルようそ] /(n) (comp) metafile element/
メタフィクション /(n) metafiction/
メタフィジカル /(adj-na,n) metaphysical/
メタフィジックス /(n) metaphysics/
メタフォール /(n) metaphor/
メタフォント /(n) metafont/
メタボ /(n) (1) (abbr) metabolic syndrome/(2) overweight/
メタボール /(n) (comp) metaball/
メタボゾーン /(n) danger zone for developing metabolic syndrome (wasei: metabo-zone)/
メタボリズム /(n) metabolism/
メタボリック /(n) metabolic/(P)/
メタボリック・シンドローム /(n) metabolic syndrome/
メタボリックシンドローム /(n) metabolic syndrome/
メタボリック症候群 [メタボリックしょうこうぐん] /(n) metabolic syndrome/
メタメディア /(n) (comp) metamedia/
メタモルフォーゼ /(n) metamorphose (ger:)/
メタライズ /(n,vs) (comp) metalize/
メタリック /(adj-na,adj-no) metallic/(P)/
メタリックカラー /(n) metallic color/metallic colour/
メタリックケーブル /(n) (comp) metallic cable/
メタリックコネクション /(n) (comp) metallic connection/
メタリックスキー /(n) metallic skis/
メタリック回線 [メタリックかいせん] /(n) (comp) metallic line/metallic circuit/
メタル /(n) metal/(P)/
メタルウッド /(n) metal wood/
メタルスキー /(n) (abbr) metallic skis/
メタルテープ /(n) metal tape/
メタルハイドライト /(n) metal halide/MH/type of high intensity discharge (HID) light bulb/
メタルフォーム /(n) metal form/
メタルフレーム /(n) metal frame/
メタルラス /(n) metal lath/
メタレベル /(n) meta-level/
メタロセン /(n) metallocene/
メタン /(n) methane (ger: Methan)/(P)/
メタンガス /(n) methane gas/(P)/
メタンハイドレート /(n) methane hydrate/
メタンフェタミン /(n) methamphetamine/
メタン系炭化水素 [メタンけいたんかすいそ] /(n) (obsc) alkane/
メタン細菌 [メタンさいきん] /(n) methanogen/
メタン発酵 [メタンはっこう] /(n) methane fermentation/
メタ言語 [メタげんご] /(n,adj-no) (comp) metalanguage/
メタ数学 [メタすうがく] /(n) (math) metamathematics/
メタ認知 [メタにんち] /(n) metacognition/
メタ文字 [メタもじ] /(n) (comp) metacharacter/
メタ倫理学 [メタりんりがく] /(n) meta-ethics/
メタ燐酸 [メタりんさん] /(n) metaphosphoric acid/
メダケ /(n) (uk) Simon bamboo (Pleioblastus simonii)/
メダリオン /(n) medallion/
メダリスト /(n) medalist/(P)/
メダル /(n) medal/(P)/
メダルゲーム /(n) amusement parlour game which uses tokens (parlor) (wasei: medal game)/
メチール /(n) methyl- (ger:)/
メチオニン /(n) methionine/
メチシリン /(n) methicillin/
メチシリン耐性黄色ブドウ球菌 [メチシリンたいせいおうしょくブドウきゅうきん] /(n) methicillin-resistant staphylococcus aureus/MRSA/
メチシリン耐性黄色葡萄球菌 [メチシリンたいせいおうしょくぶどうきゅうきん] /(n) methicillin-resistant staphylococcus aureus/MRSA/
メチニス /(n) silver dollar (Metynnis hypsauchen) (lat: Metynnis)/
メチル /(n) methyl- (ger:)/(P)/
メチルアルコール /(n) methyl alcohol (ger: Methylalkohol)/methylated spirits/methanol/
メチルアルコール中毒 [メチルアルコールちゅうどく] /(n) methyl alcohol intoxication/
メチルアルモキサン /(n) methyl aluminoxane/MAO/
メチルエーテル /(n) methyl ether/
メチルオレンジ /(n) methyl orange/
メチルフェデート /(n) methylphenidate/
メチル基 [メチルき] /(n) methyl group/
メチル水銀 [メチルすいぎん] /(n) methylmercury/methyl mercury/
メチレン /(n) methylene/
メチレンブルー /(n) methylene blue/
メッカ /(n) (1) Mecca/(2) centre for some field or activity (center)/(P)/
メッシー君 [メッシーくん] /(n) (sl) man used by a woman to pay for her meals/
メッシュ /(n,adj-no) (1) mesh/(2) highlight in the hair (fre: meche)/streaked hair/(P)/
メッシュデータ /(n) mesh data/
メッシュプロット /(n) (comp) mesh plot/
メッシュ統計 [メッシュとうけい] /(n) mesh statistics/
メッセ /(n) (1) trade fair (ger: Messe)/(2) (sl) (abbr) instant messenger/(P)/
メッセージ /(n) message/(P)/
メッセージＩｄ [メッセージアイディー] /(n) message-id/
メッセージエリア /(n) (comp) message area/
メッセージカード /(n) card (with a message written on it) (wasei: message card)/
メッセージキュー /(n) (comp) message queue/
メッセージソング /(n) message song/
メッセージタイトル /(n) message title/
メッセージタイプ /(n) (comp) message type/
メッセージハンドラ /(n) (comp) message handler/
メッセージファイル /(n) (comp) message file/
メッセージボックス /(n) (comp) message box/
メッセージング /(n) (comp) messaging/
メッセージングサービス /(n) (comp) messaging service/
メッセージ安全保護ラベル [メッセージあんぜんほごラベル] /(n) (comp) message security labelling/
メッセージ格納 [メッセージかくのう] /(n) (comp) Message Store/MS/
メッセージ格納域 [メッセージかくのういき] /(n) (comp) message storage/
メッセージ交換 [メッセージこうかん] /(n) (comp) message switching/
メッセージ識別 [メッセージしきべつ] /(n) (comp) message identification/
メッセージ順序完全性 [メッセージじゅんじょかんぜんせい] /(n) (comp) message sequence integrity/
メッセージ通信システム [メッセージつうしんシステム] /(n) (comp) Message Handling System/MHS/
メッセージ通信処理 [メッセージつうしんしょり] /(n) (comp) Message Handling/MH/
メッセージ通信処理サービス [メッセージつうしんしょりサービス] /(n) (comp) message handling service/
メッセージ通信処理システム [メッセージつうしんしょりシステム] /(n) (comp) Message Handling System/MHS/
メッセージ通信処理環境 [メッセージつうしんしょりかんきょう] /(n) (comp) message handling environment/
メッセージ転送 [メッセージてんそう] /(n) (comp) Message Transfer/MT/
メッセージ転送サービス [メッセージてんそうサービス] /(n) (comp) message transfer service/
メッセージ転送システム [メッセージてんそうシステム] /(n) (comp) Message Transfer System/MTS/
メッセージ転送機能体 [メッセージてんそうきのうたい] /(n) (comp) Message Transfer Agent/MTA/
メッセージ発信抽象操作 [メッセージはっしんちゅうしょうそうさ] /(n) (comp) message-submission abstract-operation/
メッセージ発生源認証 [メッセージはっせいげんにんしょう] /(n) (comp) message origin authentication/
メッセージ流れ機密性 [メッセージながれきみつせい] /(n) (comp) message flow confidentiality/
メッセジ転送 [メッセジてんそう] /(n) (comp) MESSAGE TRANSFER/
メッセンジャー /(n) messenger/
メッセンジャーＲＮＡ [メッセンジャーアールエヌエー] /(n) messenger RNA/mRNA/
メッセンジャーボーイ /(n) messenger boy/
メッチェン /(n) girl (ger: Maedchen)/
メット /(n) (abbr) helmet/
メットイン /(n) scooter with a compartment under the seat to hold a helmet (wasei: (hel)met in)/
メティス /(n) Metis (fre:)/
メテオ /(n) meteor/
メテオロイド /(n) meteoroid/
メディア /(n) media/(P)/
メディアアクセス制御 [メディアアクセスせいぎょ] /(n) (comp) Media Access Control/MAC/
メディアイレーザ /(n) (comp) media eraser/
メディアクラシー /(n) mediacracy/
メディアクリップ /(n) (comp) media clip/
メディアスクラム /(n) media scrum/
メディアファイル /(n) (comp) media file/
メディアファミリ /(n) (comp) media family/
メディアプロセッサ /(n) (comp) media processor/
メディアポリシー /(n) media policy/
メディアミックス /(n) media mix/
メディアム /(n) medium/
メディアラボ /(n) (comp) Media Laboratory/
メディアリサーチ /(n) media research/
メディアリテラシー /(n) media literacy/
メディアン /(n) median/
メディア王 [メディアおう] /(n) media mogul/
メディア消磁装置 [メディアしょうじそうち] /(n) (comp) media eraser/
メディア変換 [メディアへんかん] /(n) (comp) media conversion/
メディエイタ /(n) (comp) mediator/
メディカル /(n) medical/
メディカルエレクトロニクス /(n) medical electronics/
メディカルエンジニアリング /(n) medical engineering/(P)/
メディカルソーシャルワーカー /(n) medical social worker/MSW/
メディカルチェック /(n) medical checkup/
メディカルテクノロジスト /(n) medical technologist/MT/
メディケイド /(n) Medicaid/
メディシン /(n) medicine/
メディシンボール /(n) medicine ball/
メディテーション /(n) meditation/
メデューサ /(n) Medusa/
メトリック /(n) metric (ger: Metrik)/(P)/
メトロ /(n) metro (fre: metro)/subway/underground railway/(P)/
メトロセクシャル /(n) metrosexual/
メトロノーム /(n) metronome (ger: Metronom)/(P)/
メトロポリス /(n) metropolis/
メトロポリタン /(n) metropolitan/(P)/
メトロポリタンエリアネットワーク /(n) (comp) Metropolitan Area Network/MAN/
メドゥーサ /(n) Medusa/
メドゥサ /(n) Medusa/
メドック /(n) Medoc (wine)/
メドハギ /(n) (uk) Chinese lespedeza (species of bush clover, Lespedeza cuneata)/
メドレー /(n) medley/(P)/
メドレーリレー /(n) medley relay/(P)/
メナダ /(n) (uk) redlip mullet (Chelon haematocheilus)/
メニエール /(n) Meniere/(P)/
メニエール病 [メニエールびょう] /(n) Meniere's disease/
メニスカス /(n) meniscus/
メニュー /(n) menu (fre:)/(P)/
メニュー・バー /(n) menu bar/
メニューアイテム /(n) (comp) menu item/
メニューオプション /(n) (comp) menu option/
メニュードライバー /(n) (comp) menu driven/
メニューバー /(n) menu bar/
メニューボード /(n) menu board (small blackboard on which the specials of the day, etc., are written)/
メニュー画面 [メニューがめん] /(n) (comp) menu screen/
メニュー項目 [メニューこうもく] /(n) (comp) menu item/
メニュー方式 [メニューほうしき] /(n,adj-no) (comp) menu-driven/
メニュー方式のプログラム [メニューほうしきのプログラム] /(n) (comp) menu-driven program/
メヌエット /(n) minuet (ger: Menuett)/
メネジメント /(n) management/
メノナイト /(n) Mennonite/
メノマンネングサ /(n) (uk) Sedum rupifragum (species of stonecrop)/
メバチ /(n) bigeye tuna (edible fish, Thunnus obesus)/
メバル /(n) (uk) black rockfish (Sebastes inermis)/darkbanded rockfish/
メヒシバ /(n) (uk) southern crabgrass (Digitaria ciliaris)/
メヒルギ /(n) (uk) Kandelia obovata (species of mangrove)/
メビウス /(n) Moebius/
メビウスの帯 [メビウスのおび] /(n) Moebius strip/
メフェナム酸 [メフェナムさん] /(n) mefenamic acid/
メプロバメート /(n) meprobamate/
メボウキ /(n) (uk) sweet basil/
メムメーカー /(n) (comp) MEMMAKER/
メメントモリ /(n) memento mori (lat:)/
メモ /(n,vs) memorandum/(P)/
メモる /(v5r,vt) to take notes/
メモカ /(n) (comp) (abbr) memory card/
メモランダム /(n) memorandum/
メモリ /(n) (comp) memory/
メモリー /(n) (comp) memory/(P)/
メモリーカード /(n) (comp) memory card (e.g. PCMCIA)/(P)/
メモリースイッチ /(n) (comp) memory switch/
メモリーダンプ /(n) memory dump/
メモリーマップ /(n) (comp) memory map/
メモリー管理 [メモリーかんり] /(n) (comp) memory management/
メモリー効果 [メモリーこうか] /(n) (comp) memory effect/
メモリアドレシング /(n) (comp) memory addressing/
メモリアドレス /(n) (comp) memory address/
メモリアル /(n) testimonial (from memorial)/(P)/
メモリアルパーク /(n) memorial park/
メモリアルホール /(n) memorial hall/(P)/
メモリインターリーブ /(n) (comp) memory interleave/
メモリカード /(n) (comp) memory card (e.g. PCMCIA)/(P)/
メモリキャッシュ /(n) (comp) memory cache/
メモリコンフィギュレーション /(n) (comp) memory configuration/
メモリサイクル /(n) (comp) memory cycle/
メモリサイクルタイム /(n) (comp) memory cycle time/
メモリダンプ /(n) (comp) memory dump/
メモリチップ /(n) (comp) memory chip/
メモリバンク /(n) (comp) memory bank/
メモリプロテクト /(n) (comp) memory protection/
メモリマッピング /(n) (comp) memory mapping/
メモリマップ /(n) (comp) memory map/
メモリマップＩＯ [メモリマップアイオー] /(n) (comp) memory-mapped I/
メモリモジュール /(n) (comp) memory module/
メモリリーク /(n) (comp) memory leak/
メモリリフレッシュ /(n) (comp) memory refresh/
メモリロケーション /(n) (comp) memory location/
メモリ拡張カード [メモリかくちょうカード] /(n) (comp) memory expansion card/
メモリ拡張ボード [メモリかくちょうボード] /(n) (comp) memory expansion board/
メモリ割り当て [メモリわりあて] /(n) (comp) memory allocation/
メモリ管理ユニット [メモリかんりユニット] /(n) (comp) Memory Management Unit/MMU/
メモリ管理装置 [メモリかんりそうち] /(n) (comp) Memory Management Unit/MMU/
メモリ効果 [メモリこうか] /(n) (comp) memory effect/
メモリ構成 [メモリこうせい] /(n) (comp) memory configuration/
メモリ消去機能 [メモリしょうきょきのう] /(n) (comp) clear memory function/
メモリ常駐 [メモリじょうちゅう] /(n,adj-no) (comp) memory-resident/
メモリ表示 [メモリひょうじ] /(n) (comp) memory indication/storage indication/
メモリ不足 [メモリぶそく] /(n) (comp) low memory/
メモリ分割 [メモリぶんかつ] /(n) (comp) memory partitioning/storage partitioning/
メモリ保護 [メモリほご] /(n) (comp) memory protection/
メモリ容量 [メモリようりょう] /(n) (comp) memory capacity/
メモリ領域 [メモリりょういき] /(n) (comp) memory space/
メモワール /(n) remembrances (fre:)/memoires/
メモ帳 [メモちょう] /(n) memo book/memo pad/notebook/notepad/scratchpad/scratch pad/writing pad/jotter/(P)/
メモ魔 [メモま] /(n) compulsive note-taker/
メモ用紙 [メモようし] /(n) memo pad/
メラトニン /(n) melatonin/
メラニン /(n,adj-no) melanin/(P)/
メラネシア人 [メラネシアじん] /(n) Melanesian (people)/
メラノーマ /(n) melanoma/
メラノサイト /(n) melanocyte/
メラミン /(n) melamine (resin)/
メラミン樹脂 [メラミンじゅし] /(n) melamine resin/
メランコリー /(n) melancholy/
メランコリア /(n) melancholia/
メランコリック /(adj-na) melancholic/
メリ /(adj-f) merry/
メリー /(adj-f) merry/(P)/
メリークリスマス /(int) Merry Christmas/
メリーゴーラウンド /(n) merry-go-round/
メリーゴーランド /(n) merry-go-round/
メリーランド /(n) Maryland/
メリアス /(n) knitting (spa: medias, por: meias)/hosiery/knitted goods/
メリケンキアシシギ /(n) (uk) wandering tattler (species of sandpiper, Tringa incana)/
メリケンサック /(n) knuckle dusters/brass knuckles/
メリケン黄脚鷸 [メリケンきあししぎ] /(n) (uk) wandering tattler (species of sandpiper, Tringa incana)/
メリケン粉 [メリケンこ] /(n) (wheat) flour/
メリスマ /(n) melisma/
メリッサ /(n) lemon balm (Melissa officinalis) (lat: melissa)/sweet balm/
メリット /(n) advantage/benefit/merit/(P)/
メリットシステム /(n) merit system/
メリディアン /(n) meridian/
メリトクラシー /(n) meritocracy/
メリノ /(n) Merino (breed of sheep)/
メリノ羊毛 [メリノようもう] /(n) merino wool/
メリハリ /(n,adj-no) (1) (uk) modulation (of voice)/(2) variation/variety/(3) liveliness/full-bodied/
メリハリの利いた [メリハリのきいた] /(exp) explicit/clear/unambiguous/meaningful/lively/
メリハリを利かせた [メリハリをきかせた] /(exp) explicit/clear/unambiguous/meaningful/lively/
メリヤス /(n) knitting (spa: medias, por: meias)/hosiery/knitted goods/
メリヤスシャツ /(n) undershirt (spa: medias, por: meias, eng: shirt)/
メリヤス接ぎ [メリヤスはぎ] /(n) (uk) kitchener stitch (knitting)/
メリヤス編み [メリヤスあみ] /(n) stockinet (spa: medias, por: meias)/stockinette/plain knitting/stocking stitch/
メリライト /(n) melilite/
メリンス /(n) muslin (spa: merinos)/mousseline de laine/
メルアド /(n) (abbr) e-mail address/
メルカトル図法 [メルカトルずほう] /(n) Mercator's projection/
メルカプタン /(n) mercaptan/
メルクマール /(n) characteristic (ger: Merkmal)/(P)/
メルゲーズ /(n) merguez (beef or lamb sausage with chilli) (ara: mirqaz)/
メルコスール /(n) Mercosur (Mercado Comum del Sur)/South America Common Market/
メルシー /(int) thank you (fre: merci)/(P)/
メルセデス /(n) Mercedes (car)/
メルセデスベンツ /(n) Mercedes-Benz/(P)/
メルティングポット /(n) melting pot/
メルテンスオオトカゲ /(n) Mertens' water monitor (Varanus mertensi, species of carnivorous monitor lizard found in northern Australia)/
メルテンスモニター /(n) Mertens' water monitor (Varanus mertensi, species of carnivorous monitor lizard found in northern Australia)/
メルト /(n) melt/
メルトダウン /(n) meltdown/
メルトン /(n) melton (type of felt)/
メルバトースト /(n) Melba toast/
メルヘン /(n) fairy-tale (ger: Maerchen)/(P)/
メルヘンチック /(adj-na) having a fairy-tale atmosphere (ger: Maerchen, eng: -tic)/
メルヘンティック /(adj-na) having a fairy-tale atmosphere (ger: Maerchen, eng: -tic)/
メルボルン /(n) Melbourne/(P)/
メルマ /(n) (abbr) mail magazine/
メルマガ /(n) (comp) (abbr) email magazine/e-zine/
メルルーサ /(n) any fish of family Merlucciidae (which includes the hakes) (spa: merluza)/
メルロ /(n) Merlot (fre:)/
メルロー /(n) Merlot (fre:)/
メル友 [メルとも] /(n) a friend with whom one corresponds by e-mail/email friend/
メレーナ /(n) melena (melaena) (stool containing partially digested blood)/
メレナ /(n) melena (melaena) (stool containing partially digested blood)/
メレンゲ /(n) meringue (fre:)/(P)/
メレンス /(n) muslin (spa: merinos)/mousseline de laine/
メロー /(n) mellow/
メロゴニー /(n) merogony/
メロディ /(n) (1) melody/(2) chime/
メロディー /(n) (1) melody/(2) chime/(P)/
メロディアス /(n) melodious/
メロドラマ /(n) melodrama/soap opera/(P)/
メロメロ /(adj-na,n,adv) (1) (on-mim) madly in love/(2) falling down drunk/
メロン /(n) melon/(P)/
メロンバタフライフィッシュ /(n) Melon butterflyfish (Chaetodon trifasciatus)/Redfin butterflyfish/three-banded coralfish/lineated butterflyfish/
メロンパン /(n) melon bread (sweet baked good with a bread-dough interior and a cookie-dough crust with ridges resembling a muskmelon) (wasei: melon, wasei: pao)/
メンシェビキ /(n) Menshevik (member of the non-Leninist wing of the Russian Social Democratic Workers' Party) (rus: Men'sheviki)/(P)/
メンシェヴィキ /(n) Menshevik (member of the non-Leninist wing of the Russian Social Democratic Workers' Party) (rus: Men'sheviki)/
メンス /(n) menses (ger: Menstruation)/(P)/
メンズ /(n,adj-no) men's/
メンズウエア /(n) menswear/
メンズスーツ /(n) suits (for men) (from men's suits)/
メンソール /(n) menthol/
メンター /(n) (1) mentor/(n,vs) (2) mentoring/
メンタリスティック /(n) mentalistic/
メンタリズム /(n) mentalism/
メンタリティー /(n) mentality/(P)/
メンタリテイー /(ik) (n) mentality/
メンタル /(adj-na,n) mental/(P)/
メンタルテスト /(n) mental test/
メンタルトレーニング /(n) mental training/
メンタルヘルス /(n) mental health/(P)/
メンタルリハーサル /(n) mental rehearsal/
メンチ /(n) minced beef/ground beef/hamburger steak/
メンチを切る [メンチをきる] /(exp,v5r) (ksb:) to stare at/to glare at/
メンチカツ /(n) mince cutlet/
メンチボール /(n) meatball (wasei: mince ball)/
メンテ /(n) (abbr) maintenance/
メンテナンス /(n) maintenance/(P)/
メンデリズム /(n) Mendelism/
メンデルの法則 [メンデルのほうそく] /(n) Mendel's laws (of genetic inheritance)/
メンデル集団 [メンデルしゅうだん] /(n) Mendelian population/
メンデレビウム /(n) mendelevium (Md)/
メントール /(n) menthol (ger:)/
メンドシーノ /(n) (comp) Mendocino/
メンバ /(n) member/participant/attendee/lineup (sport)/
メンバー /(n) member/participant/attendee/lineup (sport)/(P)/
メンバーコード /(n) (comp) member code/
メンバーシップ /(n) membership/
メンバーズ /(n) members/
メンバーズカード /(n) member's card/
メンバーネーム /(n) member name/
メンバー関数 [メンバーかんすう] /(n) (comp) member function/
メンバシップ /(n) membership/
メンバセット /(n) (comp) member set/
メンバプロパティ /(n) (comp) member property/
メンヒル /(n) menhir/
メンフィス /(n) Memphis/(P)/
メンフクロウ /(n) (uk) barn owl (Tyto alba)/
メンヘラ /(n) (1) (col) (sens) (abbr) mental health/(2) mental illnesses/people afflicted by mental illness/
メンヘル /(n) (1) (col) (sens) (abbr) mental health/(2) mental illnesses/people afflicted by mental illness/
メンマ /(n) (uk) (sens) bamboo shoots boiled, sliced, fermented, dried or preserved in salt, then soaked in hot water and sea salt/
モー /(n) mho/
モーア /(n) mower/
モーウイ /(n) Okinawan yellow cucumber/
モーグル /(n) mogul (skiing)/
モーグルスキー /(n,vs) mogul skiing/
モーゲージ /(n) mortgage/(P)/
モーゲージファンド /(n) mortgage fund/
モーゲージローン /(n) mortgage loan/
モーゲッジ /(n) mortgage/
モーゲッジファンド /(n) mortgage fund/
モーション /(n) motion/(P)/
モーションＪＰＥＧ [モーションジェーペッグ] /(n) (comp) motion JPEG/
モーションキャプチャ /(n) (comp) motion captur/
モーションピクチャー /(n) motion picture/
モーションピクチュア /(n) motion picture/
モーションブラー /(n) (comp) motion blur/
モーション広告 [モーションこうこく] /(n) (comp) motion advertisement/
モーセ /(n) Moses/
モーセの五書 [モーセのごしょ] /(n) (obsc) Pentateuch (first five books of the Bible, traditionally attributed to Moses)/
モーセ五書 [モーセごしょ] /(n) Pentateuch (first five books of the Bible, traditionally attributed to Moses)/
モーゼル /(n) Mauser (ger: Mausergewehr)/(P)/
モーゼル連発銃 [モーゼルれんぱつじゅう] /(n) Mauser rifle/
モータ /(n) motor/
モーター /(n) motor/(P)/
モーターイン /(n) motel/
モーターカー /(n) motorcar/
モーターグライダー /(n) motor glider/
モーターグレーダー /(n) motor grader/
モーターサイクル /(n) motorcycle/(P)/
モーターショー /(n) motor show/(P)/
モータースポーツ /(n) motor race/motor sports/
モータードライブ /(n) motor drive/
モーターバイク /(n) motorbike/
モーターバイシクル /(n) motor bicycle/
モータープール /(n) motor pool/
モーターホーム /(n) motor home/
モーターホテル /(n) motor hotel/motel/
モーターボート /(n) motorboat/
モータリスト /(n) motorist/
モータリゼーション /(n) motorization/motorisation/(P)/
モーダル /(n) modal/
モーダルシフト /(n) modal shift (esp. changes in freight transport, e.g. from air to sea)/
モーツァルト /(n) Mozart/(P)/
モーツアルト /(ik) (n) Mozart/
モーテル /(n) (1) motel/(2) drive-in love hotel/
モード /(n) mode/fashion/(P)/
モードインジケータ /(n) (comp) mode indicator/
モードライン /(n) mode-line/mode line/
モード方式 [モードほうしき] /(n) (comp) modal/
モーニング /(n) morning/(P)/
モーニングアフター /(n) morning after/
モーニングアフターピル /(n) morning-after pill/
モーニングカップ /(n) morning cup/
モーニングコート /(n) morning coat/
モーニングコール /(n) wake-up call (wasei: morning call)/
モーニングサービス /(n) breakfast special (wasei: morning service)/cheaper than usual breakfast combination/
モーニングショー /(n) morning show/
モーニングドレス /(n) morning dress/mourning dress/
モービル /(n) mobile/
モービルコンピューティング /(n) (comp) mobile computing/
モービルハウス /(n) mobile house/(P)/
モービルハム /(n) mobile ham/
モービルホーム /(n) mobile home/
モーフィング /(n) (comp) morphing/
モーブ /(n) mauve/
モーペッド /(n) moped/
モーメンタム /(n) momentum/
モーメント /(n) moment/
モーメントマグニチュード /(n) moment magnitude/
モーメント項 [モーメントこう] /(n) momentum/
モーモー /(n) moo (sound made by cattle)/moo-cow/
モーラ /(n) mora/
モーラップ /(n) (comp) MOLAP/
モーリシアングレゴリー /(n) ebony gregory (Stegastes limbatus)/
モーリシャス /(n) Mauritius/
モーリス /(n) Morris/(P)/
モーリタニア /(n) (the Islamic Republic of) Mauritania/
モール /(n) (1) mall/(2) maul (in rugby)/(3) mole/(4) Moor (fre: maure)/(5) (abbr) (col) molding/(P)/
モールスキン /(n) moleskin/
モールス符号 [モールスふごう] /(n) Morse code/
モールディング /(n) molding/
モールファブリック /(n) chenille (wasei: mole fabric)/
モーレツ社員 [モーレツしゃいん] /(n) gung-ho organization (corporate) man (woman)/go-getter worker/hard-driving worker/workaholic employee/
モア /(n) moa (extinct, flightless bird formerly found in New Zealand)/
モアイ /(n) moai (Easter Island statues)/
モアイテングハギ /(n) horseface unicornfish (Naso fageni, species of Indo-West Pacific tang)/
モアゲージ /(n) mortgage/
モアレ /(n) moire (printing effect) (fre:)/(P)/
モイスチャー /(n) moisture/
モイライ /(n) Moirai (grc:)/the Fates/
モウカザメ /(n) porbeagle (Lamna nasus, species of mackerel shark)/
モウソウダケ /(n) (uk) moso bamboo (Phyllostachys pubescens)/a tall bamboo cultivated for its edible shoots/
モウメンタム /(n) momentum/
モカ /(n) mocha/
モカション /(n) moccasin/
モカシン /(n) moccasin/
モガ /(n) (abbr) modern girl/flapper (slang from the 1920s)/
モキシフロキサシン /(n) Moxifloxacin/
モクゲンジ /(n) (uk) goldenrain tree (Koelreuteria paniculata)/
モクズガニ /(n) (uk) Japanese mitten crab (Eriocheir japonica)/
モクセイソウ /(n) mignonette (Reseda odorata)/
モクセイ科 [モクセイか] /(n) Oleaceae (plant family)/olive/
モクマオウ /(n) (uk) beefwood (Casuarina equisetifolia)/
モクレン /(n) (uk) lily magnolia (Magnolia quinquepeta, Magnolia liliiflora)/
モクレン科 [モクレンか] /(n) Magnoliaceae (plant family)/magnolia/
モグラ /(n) (uk) mole (Talpidae spp., esp. the small Japanese mole, Mogera imaizumii)/
モグラモチ /(n) (uk) mole (Talpidae spp., esp. the small Japanese mole, Mogera imaizumii)/
モグラ叩き [モグラたたき] /(n) whack-a-mole (game)/
モグリウミツバメ /(n) (uk) diving petrel (esp. the common diving petrel, Pelecanoides urinatrix)/
モケット /(n) moquette (thick velvety synthetic fabric used for carpets and soft upholstery)/
モコモコ /(adj-f) lumpy/fluffy/
モササウルス /(n) mosasaurus/
モサド /(n) Mossad (Israeli secret service)/(P)/
モサモサ /(vs) (1) hairy (person)/thickly bearded person/(2) slow person/dull person/
モザイク /(n,adj-no) (1) mosaic/(2) pixelated obscuring in images and video, usu. for censorship/(P)/
モザイクタイル /(n) mosaic tile/
モザイクパーケットフロア /(n) mosaic parquetry/
モザイクビュー /(n) (comp) Mosaic View/
モザイク状 [モザイクじょう] /(adj-no,n) tessellated/tessellar/mosaic/
モザイク病 [モザイクびょう] /(n) mosaic/
モザイク卵 [モザイクらん] /(n) mosaic egg/
モザレラ /(n) mozzarella/
モザンビーク /(n) Mozambique/(P)/
モザンビーク共和国 [モザンビークきょうわこく] /(n) Republic of Mozambique/
モジモジ /(adv,vs) (on-mim) bashfully/hesitantly/fidgety/restlessly/squirming/wriggling/haltingly/
モジュール /(n) module/
モジュール化 [モジュールか] /(n,vs) (comp) modularization/
モジュール手続 [モジュールてつづき] /(n) (comp) module procedure/
モジュール性 [モジュールせい] /(n) (comp) modularity/
モジュール副プログラム [モジュールふくプログラム] /(n) (comp) module subprogram/
モジュラ /(adj-f) modular/
モジュラー /(adj-f) modular/
モジュラーケーブル /(n) modular cable/
モジュラーコーディネーション /(n) modular coordination/
モジュラージャック /(n) modular jack/
モジュラー式コンセント [モジュラーしきコンセント] /(n) (comp) (modular) telephone wall jack/
モジュラケーブル /(n) (comp) modular cable/
モジュラコンパイル /(n) (comp) modular compilation/
モジュラジャック /(n) (comp) modular jack/
モジュラプログラミング /(n) (comp) modular programming/
モジュラリゼーション /(n) modularization/modularisation/
モジュラリティ /(n) modularity/
モジュラリテイ /(n) modularity/
モジュレーション /(n) modulation/
モジュロ /(n) modulo/
モジュロＮ計数器 [モジュロエンけいすうき] /(n) (comp) modulo-n counter/
モジュロＮ検査 [モジュロエンけんさ] /(n) (comp) modulo N check/residue check/
モジラ /(n) (comp) Mozilla/
モスキート /(n) mosquito/
モスク /(n) mosque/(P)/
モスクワ /(n) Moscow/(P)/
モスグリーン /(n) moss green/(P)/
モスグレー /(n) greenish gray (wasei: moss gray)/greenish grey/
モスコミュール /(n) Moscow Mule (cocktail)/
モスレム /(n) Moslem/Muslim/
モズ /(n) (1) (uk) shrike (any bird of family Laniidae)/(2) bull-headed shrike (Lanius bucephalus)/butcher bird/
モズク /(n) (uk) mozuku (Cladosiphon okamuranus and Sphaerotrichia divaricata, types of edible seaweed)/
モタつく /(v5k,vi) to be slow/to not make progress/to be inefficient/
モダーン /(adj-na,n) modern/
モダナイズ /(n) modernize/modernise/
モダニスト /(n) modernist/
モダニズム /(n) modernism/(P)/
モダニティー /(n) modernity/
モダノロジー /(n) modernology/
モダリティ /(n) (comp) modality/
モダン /(adj-na,n) modern/(P)/
モダンアート /(n) modern art/
モダンガール /(n) modern girl (slang circa the 1920s)/
モダンジャズ /(n) modern jazz/
モダンダンス /(n) modern dance/(P)/
モダンックラフト /(n) modern craft/
モダンバレエ /(n) modern ballet/
モダンボーイ /(n) (arch) modern boy (slang circa the 1920s)/
モダンライフ /(n) modern life/
モダンリビング /(n) modern living/
モダン焼き [モダンやき] /(n) modan'yaki (okonomiyaki topped with yaki-soba and fried together)/
モチ /(n) (1) birdlime/(2) (uk) Nepal holly (Ilex integra)/
モチ /(n) (col) (abbr) motivation/
モチーフ /(n) motif (fre:)/(P)/
モチツツジ /(n) (1) (uk) Rhododendron macrosepalum/(2) (uk) (arch) Japanese azalea (Rhododendron japonicum)/renge azalea/
モチノキ /(n) (uk) Nepal holly (Ilex integra)/
モチノキ科 [モチノキか] /(n) Aquifoliaceae (plant family)/holly/
モチベーション /(n) motivation/
モチベーションリサーチ /(n) motivation research/
モチベーションレサーチ /(n) motivation research/
モチベート /(n) motivation/motivate/
モックアップ /(n) mock-up/(P)/
モッズ /(n) mods (trendy young people in early '60s Britain)/
モッツァレラ /(n) mozzarella/
モッツァレラチーズ /(n) mozzarella (cheese)/
モットー /(n) motto/(P)/
モッブ /(n) mob/
モッブシーン /(n) mob scene/
モップ /(n) mop/
モップ掛け [モップがけ] /(n,vs) (doing the) mopping/
モツゴ /(n) (uk) topmouth gudgeon/stone moroko (Pseudorasbora parva)/
モティーフ /(n) motif (fre:)/(P)/
モテット /(n) motet/
モテモテ /(adj-na) sexy/popular/well-liked/
モテル /(n) (1) motel/(2) drive-in love hotel/
モテ女 [モテおんな] /(n) woman who is popular with men/
モテ男 [モテお] /(n) man who is popular with women/
モテ男 [モテおとこ] /(n) man who is popular with women/
モテ髪 [モテがみ] /(n) fashionable hairstyle, particularly to attract members of the opposite sex/
モディスト /(n) modiste/(P)/
モディファイ /(n) modify/
モディファイドアメリカンプラン /(n) modified American plan/
モディフィケーション /(n) modification/
モデム /(n) (comp) modem/(P)/
モデムの設定 [モデムのせってい] /(n) modem setup/
モデムカード /(n) (comp) modem card/
モデム接続 [モデムせつぞく] /(n) (comp) modem connection/
モデュール /(n) module/
モデュラー /(n) modular/
モデュラーコーディネーション /(n) modular coordination/
モデュレーション /(n) modulation/
モデラ /(n) modeller/modeler/
モデラー /(n) modeller/modeler/
モデラート /(n) moderato (ita:)/moderate/
モデリング /(n) modelling/modeling/
モデリング座標系 [モデリングざひょうけい] /(n) (comp) modelling coordinates/
モデリング変換 [モデリングへんかん] /(n) (comp) modelling transformation/
モデル /(n) model/(P)/
モデルカー /(n) model car/
モデルガン /(n) toy gun (wasei: model gun)/cap gun/(P)/
モデルキッチン /(n) model kitchen/
モデルケース /(n) model case/(P)/
モデルサイト /(n) (comp) model site/
モデルスクール /(n) model school/
モデルチェンジ /(n,vs) model change/
モデルノロギオ /(n) modernologio (Kon Waziro's lifestyle observation)/
モデルノロジー /(n) modernology/
モデルハウス /(n) model house/
モデルルーム /(n) showroom (wasei: model room)/model home/
モデル化 [モデルか] /(n,vs) (comp) modelling (e.g. a system, etc.)/
モデル群 [モデルぐん] /(n) (comp) model group/
モデル生物 [モデルせいぶつ] /(n) model organism/
モデレ /(n) modeler/modeller/
モデレーション /(n) (comp) moderation/
モデレータ /(n) moderator/
モデレーター /(n) moderator/
モデレート /(n) (comp) moderate/
モデレイト /(n) moderate/
モトクロス /(n) motocross/(P)/
モトホシザメ /(n) smooth-hound (Mustelus mustelus, houndshark found in the Eastern Atlantic and Mediterranean)/
モナーキー /(n) monarchy/
モナコ /(n) Monaco/
モナズ石 [モナズいし] /(n) monazite/
モナド /(n) (philosophical) monad/
モナド論 [モナドろん] /(n) monadology/
モナミ /(n) mon ami (fre:)/mon amie/
モナモンキー /(n) mona monkey (Cercopithecus mona)/
モナリザ /(n) Mona Lisa (ita: Monna Lisa)/La Gioconda/
モニ /(n) (comp) (col) (in P2P networks) a program that monitors (and adjusts) activity of a P2P program/
モニタ /(n) (1) (comp) (computer) monitor/(n,vs) (2) consumer who comments on products, television programs, etc. (programmes)/(3) (comp) program or utility that monitors a program or activity/
モニター /(n) (1) (comp) (computer) monitor/(n,vs) (2) consumer who comments on products, television programs, etc. (programmes)/(3) (comp) program or utility that monitors a program or activity/(P)/
モニターテレビ /(n) monitor television/
モニタのエナジーセーブ /(n) (comp) display energy saver/
モニタのエナジーセーブレベル /(n) (comp) display energy saver level/
モニタリング /(n) monitoring/(P)/
モニタリングポスト /(n) monitoring post/
モニュメンタル /(adj-f) monumental/
モニュメント /(n) monument/(P)/
モニュモニュ /(n,vs) crying/weeping/
モニリア症 [モニリアしょう] /(n) moniliasis/
モネラ /(n) Monera (former biological kingdom, since divided into Eubacteria and Archaebacteria) (lat:)/
モネル /(n) Monel/
モネルメタル /(n) Monel metal/
モノ /(n) mono/(P)/
モノーラル /(n,adj-no) monaural/
モノアミン /(n) monoamine/monamine/
モノアミン酸化酵素 [モノアミンさんかこうそ] /(n) monoamine oxidase/MAO/
モノアミン酸化酵素抑制薬 [モノアミンさんかこうそそがいやく] /(n) monoamine oxidase inhibitor/MAO inhibitor/MAOI/
モノアラガイ /(n) (uk) Japanese big-ear radix (pond snail, Radix auricularia japonica)/
モノカイン /(n) monokine/
モノカルチャー /(n) monoculture/
モノカルチュア /(n) monoculture/
モノカルボン酸 [モノカルボンさん] /(n) monocarboxylic acid/
モノガミー /(n) monogamy/
モノクル /(n) monocle/
モノクロ /(n,adj-no) monochrome/(P)/
モノクローナル /(n) monoclonal (antibody)/
モノクローム /(n) monochrome/
モノクロディスプレイ /(n) (comp) monochrome display/
モノクロモニタ /(n) (comp) monochrome monitor/
モノグラフ /(n) monograph/
モノグラフィー /(n) monographie (fre:)/
モノグラム /(n) monogram/
モノコード /(n) monochord/
モノコックボディー /(n) monocoque body/
モノスキー /(n) monoski/
モノスペースフォント /(n) (comp) monospace font/
モノセックス /(n) unisex (wasei: monosex)/monosexual/
モノタイプ /(n) monotype/
モノディ /(n) monody/
モノディー /(n) monody/
モノトーン /(n) monotone/(P)/
モノトナス /(n) monotonous/
モノドラマ /(n) monodrama/
モノフォニー /(n) monophony/
モノフルオルリン /(n) mono-fluorine/
モノホン /(n) (sl) the article genuine (formed by reversal of original word)/
モノポール /(n) monopoly (ger: Monopol)/
モノポライズ /(n) monopolize/monopolise/
モノポリー /(n) monopoly/
モノマー /(n) monomer/
モノマニア /(n) monomania/
モノマニアック /(adj-na) monomaniac/
モノマネ /(n,vs) (uk) mimicry/imitation (of someone, something)/
モノライン保険会社 [モノラインほけんがいしゃ] /(n) monoline insurance company/monoline insurer/
モノラル /(n,adj-no) monaural/(P)/
モノラルレコード /(n) monaural record/
モノリシック /(adj-f) (comp) monolithic/
モノリシックＩＣ [モノリシックアイシー] /(n) (comp) monolithic integrated circuit/
モノリシックドライバ /(n) (comp) monolithic driver/
モノレール /(n) monorail/(P)/
モノローグ /(n) monologue/(P)/
モノロック /(n) monolock/
モバイラー /(n) person fond of using a mobile phone (wasei: mobiler)/
モバイル /(n,adj-f) mobile/
モバイルインターネット /(n) mobile Internet/
モバイルギア /(n) (comp) Mobile Gear/
モバイルゲーム /(n) mobile game/
モバイルコンピューティング /(n) (comp) mobile computing/
モバイルスイカ /(n) train ticketing system (mobile phone fitted with special chip used as swipe card)/
モバイルバンキング /(n) mobile banking/
モバイルフォン /(n) mobile phone/
モバイル通信 [モバイルつうしん] /(n) mobile communications/
モバイル電話 [モバイルでんわ] /(n) (comp) mobile telephone/
モヒカンカット /(n) Mohawk haircut (from Mohican cut)/
モビール /(n,adj-f) mobile/
モビールホーム /(n) mobile home/
モビリティ /(n) mobility/
モビリティー /(n) mobility/
モビル /(n,adj-f) mobile/
モビング /(n) mobbing/
モブ /(n) (1) mob/(2) (comp) minor character (in computer games, from mobile object)/
モヘア /(n) mohair/
モヘアプラッシュ /(n) mohair plush/
モヘヤ /(n) mohair/
モペット /(n) moped/
モペラ /(n) (comp) mopera/
モホーク /(n) Mohawk/
モホロビチッチ不連続面 [モホロビチッチふれんぞくめん] /(n) Mohorovicic discontinuity/
モホロヴィチッチ不連続面 [モホロヴィチッチふれんぞくめん] /(n) Mohorovicic discontinuity/
モホ面 [モホめん] /(n) (abbr) Moho (Mohorovicic discontinuity)/
モボ /(n) (arch) (abbr) modern boy (slang circa the 1920s)/
モミジアオイ /(n) (uk) scarlet rosemallow (Hibiscus coccineus)/
モミジイチゴ /(n) (uk) Rubus palmatus var. coptophyllus (specific variety of raspberry)/
モミジオロシ /(n) whole daikon with a chile pepper notched inside and then grated/grated daikon and grated carrot mixed together/
モミジガイ /(n) (uk) Astropecten scoparius (species of starfish)/
モミジバフウ /(n) (uk) sweetgum (Liquidambar styraciflua)/redgum/
モミズム /(n) momism/(P)/
モメンタム /(n) momentum/
モメント /(n) moment/
モモアカノスリ /(n) (uk) Harris's hawk (Parabuteo unicinctus)/Harris hawk/
モモイロインコ /(n) galah (Eolophus roseicapillus)/rose-breasted cockatoo/
モモンガ /(n) (uk) small Eurasian flying squirrel (Pteromys momonga)/
モヤモヤ /(adv,n,vs) (on-mim) hazy/misty/feeling sad/feeling fuzzy/feeling depressed/gloomy/
モヨウビユ /(n) (uk) calico plant (Alternanthera ficoidea)/
モラール /(n) morale/
モラールサーベイ /(n) morale survey/
モラトリアム /(n) moratorium/(P)/
モラハラ /(n) (abbr) moral harassment/workplace mobbing/workplace bullying/psychological harassment at the workplace/
モラリスト /(n) moralist/
モラリティー /(n) morality/
モラル /(n) (1) morals/morality/ethics/(2) morale/(P)/
モラルサポート /(n) moral support/
モラルジレンマ /(n) moral dilemma/
モラルセンス /(n) moral sense/
モラルハザード /(n) moral hazard/
モラルハラスメント /(n) moral harassment/workplace mobbing/workplace bullying/psychological harassment at the workplace/
モラルポリューション /(n) moral pollution/
モラルマジョリティー /(n) moral majority/
モラルリスク /(n) moral risk/
モリアオガエル /(n) (uk) forest green tree frog (Rhacophorus arboreus)/
モリスダンス /(n) Morris dance/(P)/
モリダグ /(n) dag coating containing molybdenum/
モリヒバリ /(n) (uk) woodlark (Lullula arborea)/
モリブデン /(n) molybdenum (Mo) (ger: Molybdaen)/
モリブデン鉛鉱 [モリブデンえんこう] /(n) wulfenite (PbMoO4)/
モリブデン鋼 [モリブデンこう] /(n) molybdenum steel/
モリブデン酸アンモニウム [モリブデンさんアンモニウム] /(n) ammonium molybdate/
モリプデン /(ik) (n) molybdenum (Mo) (ger: Molybdaen)/
モリンフール /(n) (obsc) morin khuur (stringed musical instrument of Mongolian origin) (mon:)/
モル /(n,adj-no) mole/
モルキオ病 [モルキオびょう] /(n) Morquio's disease/Morquio's syndrome/
モルグ /(n) morgue/(P)/
モルジブ /(n) Maldive/Maldives/
モルタル /(n) mortar/(P)/
モルダー /(n) molder/
モルダビア /(n) Moldavia/
モルディブ /(n) Maldive/Maldives/
モルデント /(n) mordent (ger: Mordent)/
モルト /(n) malt/
モルトウイスキー /(n) malt whisky/malt whiskey/
モルドバ /(n) Moldavia/Moldova/(P)/
モルヒネ /(n) morphine (dut: morfine)/(P)/
モルヒネ中毒 [モルヒネちゅうどく] /(n) morphinism/morphine addiction/morphine poisoning/
モルフォ /(n) morpho (butterfly, Morpho sp.)/
モルフォルジー /(n) morphology/
モルホルジー /(n) morphology/
モルモット /(n) guinea pig (Cavia porcellus) (dut: marmot)/(P)/
モルモン教 [モルモンきょう] /(n) Mormonism/
モル質量 [モルしつりょう] /(n) molar mass/
モル体積 [モルたいせき] /(n) molar volume/
モル熱 [モルねつ] /(n) molar heat/
モル沸点上昇 [モルふってんじょうしょう] /(n) molar elevation/
モル分率 [モルぶんりつ] /(n) molar fraction/
モレーン /(n) moraine/
モレキュラー /(adj-f) molecular/
モレキュラーシーブ /(n) molecular sieve/
モロコ /(n) (1) (uk) gudgeon (any fish of genus Gnathopogon or related genera)/(2) willow gudgeon (Gnathopogon caerulescens)/(3) longtooth grouper (species of fish, Epinephelus bruneus)/
モロッコ /(n) Morocco/(P)/
モロッコ革 [モロッコがわ] /(n) morocco leather/
モロッコ事件 [モロッコじけん] /(n) Moroccan Crisis (1905, 1911)/
モロヘイヤ /(n) Jew's mallow (ara: molokheiya)/Nalta jute/Tussa jute/
モワァーン /(exp) sound of one's own ears humming/
モワァ〜ン /(exp) sound of one's own ears humming/
モン・クメール語派 [モン・クメールごは] /(n) Mon-Khmer (branch of languages)/
モンガラカワハギ /(n) (uk) clown triggerfish (Balistoides conspicillum)/
モンキー /(n) monkey/(P)/
モンキースパナ /(n) monkey spanner/
モンキーバナナ /(n) monkey banana (var. of wild banana in the Philippines and Okinawa) (Musa acuminata 'Seniorita') (wasei: monkey banana)/seniorita banana/var. of banana producing small fruit/
モンキービジネス /(n) monkey business/
モンキーポックス /(n) monkey pox/
モンキーレンチ /(n) monkey wrench/adjustable wrench/shifting spanner/
モンキキンチャクフグ /(n) lantern toby (Canthigaster epilampra)/
モンキチョウ /(n) (uk) eastern pale clouded yellow (butterfly, Colias erate)/
モンク /(n) monk/
モンクアザラシ /(n) (uk) monk seal (Monachus spp.)/
モンクメール語派 [モンクメールごは] /(n) Mon-Khmer (branch of languages)/
モンク海豹 [モンクあざらし] /(n) (uk) monk seal (Monachus spp.)/
モンゴリアン /(n) (1) Mongolian (person)/(2) Mongoloid/
モンゴリズム /(n) mongolism/(P)/
モンゴル語 [モンゴルご] /(n) Mongolian (language)/
モンゴル語派 [モンゴルごは] /(n) Mongolic (branch of languages)/
モンゴル国 [モンゴルこく] /(n) Mongolia/
モンゴル帝国 [モンゴルていこく] /(n) Mongol Empire/
モンゴロイド /(n) Mongoloid/
モンシェリー /(exp) my dear (fre: mon cheri)/
モンシロチョウ /(n) (uk) small cabbage white butterfly (Pieris rapae)/
モンスーン /(n) monsoon/(P)/
モンスーン気候 [モンスーンきこう] /(n) monsoon climate/
モンスズメダイ /(n) paletail chromis (Chromis xanthura)/
モンスズメバチ /(n) (uk) European hornet (Vespa crabro)/
モンスター /(n) monster/(P)/
モンスター・ペアレンツ /(n) over-demanding parents (wasei: monster parents)/
モンスター・ペアレント /(n) over-demanding parent (wasei: monster parent)/
モンスターペアレンツ /(n) over-demanding parents (wasei: monster parents)/
モンスターペアレント /(n) over-demanding parent (wasei: monster parent)/
モンセラー /(n) Montserrat/
モンタージュ /(n,vs) montage (fre:)/(P)/
モンタージュ写真 [モンタージュしゃしん] /(n) montage/
モンタナ /(n) Montana/(P)/
モンツキアカヒメジ /(n) yellowstripe goatfish (Mulloidichthys flavolineatus)/
モンツキダラ /(n) haddock/
モンツキテンジクザメ /(n) speckled carpetshark (Hemiscyllium trispeculare, species from northern Australia)/
モンツキテンジクザメ属 [モンツキテンジクザメぞく] /(n) Hemiscyllium (genus of longtail carpet sharks in the family Hemiscylliidae with short snouts, nostrils at the tip, and elevated eyes and supraorbital ridges)/
モンツキハギ /(n) orangespot surgeonfish (Acanthurus olivaceus, species of tang found from the eastern Indian Ocean to the Pacific)/orangeband surgeonfish/
モンツキベラ /(n) Diana's hogfish (Bodianus diana)/Bodianus dictynna (separate species from B. diana since 2006)/
モンテカルロ /(n) Monte Carlo/(P)/
モンテカルロ法 [モンテカルロほう] /(n) Monte Carlo method/
モンテヴェルディ /(n) Monteverdi/
モンデックス /(n) (comp) Mondex/
モントゴメリー /(n) Montgomery/(P)/
モントリオール議定書 [モントリオールぎていしょ] /(n) Montreal Protocol/
モンパリ /(n) my Paris (fre: mon Paris)/(P)/
モンブラン /(n) Mont Blanc (chestnut and cream dessert) (fre:)/
モンモリロナイト /(n) montmorillonite/
モンモリロン石 [モンモリロンせき] /(n) (obsc) montmorillonite/
モンローエフェクト /(n) Monroe effect/
モンロー主義 [モンローしゅぎ] /(n) Monroe Doctrine/Monroeism/
モンロビアンドクターフィッシュ /(n) Monrovia doctorfish (Acanthurus monroviae, species of Eastern Atlantic tang found from southern Morocco to Angola)/
ヤーウェ /(n) Yahweh/Yahveh/Jehovah/
ヤーコン /(n) yacon (Andean species of plant grown for its tuber; Smallanthus sonchifolius)/
ヤーデージ /(n) yardage/
ヤードセール /(n) yard sale/
ヤードポンド法 [ヤードポンドほう] /(n) imperial units/yard-pound units/
ヤーパン /(n) Japan (dut:)/
ヤール /(n) yard (unit of distance) (dut:)/
ヤールド /(n) yard (unit of distance) (dut:)/
ヤーン /(n) yarn/
ヤーヴェ /(n) Yahweh/Yahveh/Jehovah/
ヤイトハタ /(n) (uk) malabar grouper (Epinephelus malabaricus)/estuary cod/greasy cod/spotted river cod/estuary rock cod/
ヤイトムシ /(n) (uk) schizomid (any arachnid of order Schizomida)/
ヤイロチョウ /(n) (uk) fairy pitta (Pitta nympha)/
ヤエクチナシ /(n) (uk) eightfold gardenia/Gardenia jasminoide/
ヤエナリ /(n) mung bean/green gram/
ヤエムグラ /(n) (1) (uk) thick patch of mixed weeds/(2) false cleavers (species of bedstraw, Galium spurium var. echinospermon)/
ヤエヤマヒルギ /(n) (uk) Rhizophora mucronata (species of mangrove)/
ヤオ /(n) Yao (people)/
ヤオイ /(n) manga on the theme of male homosexual love/
ヤオ族 [ヤオぞく] /(n) Yao (people)/
ヤカイソウ /(n) (uk) (obsc) moonflower (Ipomoea alba)/
ヤガ /(n) owlet moth (members of the family Noctuidae)/
ヤギ /(n,adj-no) (uk) goat/
ヤギミルク /(n) goat's milk/
ヤク /(n) yak/
ヤクザ /(n) (1) professional gambler or ruffian (esp. a member of the Japanese mafia)/yakuza (member)/(adj-na,n) (2) uselessness/purposelessness/
ヤクザル /(n) (uk) Yakushima macaque (Macaca fuscata yakui)/
ヤクシカ /(n) (uk) Yakushima sika (Cervus nippon yakushimae)/
ヤクルト /(n) Yakult/(P)/
ヤコウガイ /(n) (uk) great green turban (Turbo marmoratus)/
ヤコウボク /(n) (uk) night jessamine (Cestrum nocturnum)/night jasmine/lady of the night/queen of the night/
ヤコビ /(n) Jacobi/
ヤコブの手紙 [ヤコブのてがみ] /(n) Epistle of James (book of the Bible)/
ヤコブ病 [ヤコブびょう] /(n) (abbr) Creutzfeld-Jakob disease/CJD/
ヤゴ /(n) (uk) dragonfly naiad (nymph)/
ヤシの木 [ヤシのき] /(n) palm tree/
ヤシガニ /(n) (uk) coconut crab (Birgus latro)/
ヤシ科 [ヤシか] /(n) Palmae (palm family of plants)/Arecaceae/
ヤシ殻 [ヤシかく] /(n) coconut shell/
ヤジブカ /(n) sandbar shark (Carcharhinus plumbeus, a species of requiem shark)/
ヤスジチョウチョウウオ /(n) eightband butterflyfish (Chaetodon octofasciatus)/eight-striped butterflyfish/
ヤスジニセモチノウオ /(n) eightstripe wrasse (Pseudocheilinus octotaenia)/eightline wrasse/
ヤスデ /(n) (uk) millipede/
ヤチダモ /(n) Japanese ash (Fraxinus mandshurica var. japonica)/
ヤチネズミ /(n) (1) (uk) Japanese red-backed vole (Myodes andersoni)/(2) red-backed vole (any rodent of genus Myodes)/
ヤッケ /(n) jacket (ger: Jacke)/
ヤッピー /(n,adj-no) yuppie/young urban professional/
ヤッホー /(int) (fam) (sl) yoo-hoo/halloo/hi-de-ho/hey/
ヤツバキクイムシ /(n) spruce bark beetle (Ips typographus)/
ヤツメウナギ /(n) (uk) lamprey/lamprey eel/
ヤツメウナギ科 [ヤツメウナギか] /(n) Petromyzontidae (family of parasitic lamprey with a toothed sucking mouth)/
ヤツメウナギ属 [ヤツメウナギぞく] /(n) Lampetra (genus of lamprey in the family Petromyzontidae)/
ヤドリギツグミ /(n) (uk) mistle thrush (Turdus viscivorus)/missel thrush/stormcock/
ヤドリバエ /(n) (uk) tachina fly (any fly of family Tachinidae)/tachinid/
ヤナギ科 [ヤナギか] /(n) Salicaceae (plant family containing willows, poplars, aspens, etc.)/
ヤニ /(n) (1) resin/(2) (tobacco) resin/tar/nicotine/(3) sleep (in one's eyes, i.e. eye mucus)/
ヤニる /(v5r) to smoke (cigarettes, tobacco)/
ヤニ取り [ヤニとり] /(n) tar, nicotine stain removal/
ヤニ中 [ヤニちゅう] /(n) nicotinism/
ヤハウェ /(n) Yahweh/Yahveh/Jehovah/
ヤフる /(v5r) (sl) to search (using the Yahoo search engine)/
ヤフオク /(n) (abbr) Yahoo auctions/
ヤブカ /(n) (uk) aedine mosquito (any mosquito of genus Aedes, characterized by stripes)/
ヤブカンゾウ /(n) (uk) Hemerocallis fulva var. kwanso (variety of daylily)/
ヤブガラシ /(n) (uk) bushkiller (species of herbaceous plant, Cayratia japonica)/
ヤブサメ /(n) Asian stubtail (bird), Urosphena squameiceps/family of birds (stubtails), Urosphena, including the Asian stubtail, the Timor stubtail, etc./
ヤブニッケイ /(n) (uk) Japanese cinnamon (Cinnamomum japonicum)/
ヤブミョウガ /(n) (uk) Pollia japonica (species of spiderwort)/
ヤマアラシ /(n) (uk) porcupine (any mammal of suborder Hystricomorpha)/
ヤマアラシ亜目 [ヤマアラシあもく] /(n) Hystricomorpha (suborder of rodents)/
ヤマアリ /(n) (uk) wood ant (any ant of genus Formica)/
ヤマウズラ /(n) (uk) partridge (of genus Perdix)/
ヤマウルシ /(n) (uk) Japanese sumac (Rhus trichocarpa)/
ヤマカガシ /(n) (uk) tiger keelback (Rhabdophis tigrinus)/ringed grass snake/
ヤマガラ /(n) (uk) varied tit (species of titmouse, Poecile varius)/
ヤマグルマ /(n) (uk) wheel tree (Trochodendron araloides)/
ヤマグワ /(n) (1) (uk) Chinese mulberry (Morus bombycis)/(2) kousa dogwood (Cornus kousa)/
ヤマシギ /(n) (uk) Eurasian woodcock (Scolopax rusticola)/
ヤマシマウマ /(n) (uk) mountain zebra (Equus zebra)/
ヤマセミ /(n) (uk) crested kingfisher (Megaceryle lugubris)/
ヤマトゴキブリ /(n) (uk) Japanese cockroach (Periplaneta japonica)/
ヤマトシミ /(n) (uk) oriental silverfish (Ctenolepisma villosa)/
ヤマトナデシコ /(n) (1) (uk) large pink (Dianthus superbus var. longicalycinus)/(2) woman who displays the feminine virtues of old Japan/
ヤマドリ /(n) (1) (uk) copper pheasant (Phasianus soemmerringii)/(2) mountain bird/
ヤマナラシ /(n) (uk) Japanese aspen (Populus tremula var. sieboldii)/
ヤマニレ /(n) (obsc) (uk) Chinese elm (Ulmus parvifolia)/
ヤマネ /(n) (uk) Japanese dormouse (Glirulus japonicus)/
ヤマノイモ /(n) (uk) Japanese yam (Dioscorea japonica)/
ヤマノカミ /(n) (1) (uk) roughskin sculpin (Trachidermus fasciatus)/
ヤマハ /(n) Yamaha/(P)/
ヤマハギ /(n) (uk) shrubby lespedeza (species of bush clover, Lespedeza bicolor)/
ヤマハッカ /(n) (uk) Plectranthus inflexus (species of plant in the mint family)/
ヤマバク /(n) (uk) mountain tapir (Tapirus pinchaque)/
ヤマビワ /(n) (uk) Meliosma rigida (species of flowering plant)/
ヤマブキベラ /(n) yellow-brown wrasse (Thalassoma lutescens)/sunset wrasse/green moon wrasse/
ヤマボウシ /(n) (uk) kousa dogwood (Cornus kousa)/benthamidia japonica/
ヤママユ /(n) (uk) Japanese oak silkmoth (Antheraea yamamai)/
ヤママユガ /(n) (uk) Japanese oak silkmoth (Antheraea yamamai)/
ヤマメ /(n) (uk) dragonfly naiad (nymph)/
ヤマメ /(n) (uk) landlocked masu salmon/
ヤマモガシ /(n) (uk) Helicia cochinchinensis (species of flowering plant)/
ヤマモモ /(n) (uk) wax myrtle (Myrica rubra)/asian bog myrtle/
ヤマモモ科 [ヤマモモか] /(n) Myricaceae (plant family)/wax-myrtle/
ヤマユリ /(n) (uk) golden-rayed lily (Lilium auratum)/
ヤマヨモギ /(n) (1) (uk) Artemisia montana/(2) (uk) Japanese mugwort/
ヤマンバ /(n) subculture of teenage girls ca. 1999 (blonde hair, dark make-up except eyes, platform boots)/
ヤミイソハゼ /(n) Eviota lacrimae (species of pygmy goby found in Japan and Tonga)/
ヤミ金 [ヤミきん] /(n) (abbr) black-market lending/illegal loan/
ヤミ金融 [ヤミきんゆう] /(n) black-market lending/illegal loan/
ヤミ献金 [ヤミけんきん] /(n) illegal donation/secret contribution/
ヤムシ /(n) (uk) arrow worm (any worm of phylum Chaetognatha)/
ヤメ検 [ヤメけん] /(n) (abbr) (col) former public prosecutor who now works as a lawyer/retired public prosecutor/
ヤメ検弁護士 [ヤメけんべんごし] /(n) (col) former public prosecutor who now works as a lawyer/prosecutor-turned-lawyer/
ヤモリザメ /(n) gecko catshark (Galeus eastmani, found in the Western Pacific)/
ヤモリザメ属 [ヤモリザメぞく] /(n) Galeus (genus of catshark in the family Scyliorhinidae)/
ヤラッパ /(n) jalap (species of Mexican climbing plant, Ipomoea purga) (spa: jalapa)/
ヤラハタ /(n) (abbr) (col) 20+ years old virgin/
ヤリイカ /(n) (uk) spear squid (Loligo bleekeri)/
ヤリカタギ /(n) chevron butterflyfish (Chaetodon trifascialis)/acropora butterfly/
ヤリコン /(n) blind date party, with the object of sex (slang)/
ヤリサー /(n) (university) club that exists for the purpose of getting women drunk and taking advantage of them/
ヤリタナゴ /(n) (uk) Tanakia lanceolata (species of cyprinid)/
ヤリチン /(n) (vulg) man who has sex with many women/
ヤリヘラザメ /(n) longfin catshark (Apristurus herklotsi, a Western Pacific species)/
ヤリマン /(n) (col) slut/bimbo/
ヤルタ会談 [ヤルタかいだん] /(n) Yalta Conference (Feb. 1945)/
ヤルタ秘密協定 [ヤルタひみつきょうてい] /(n) The Yalta Agreement (secret American-British-Soviet agreement wherein the Soviets agreed to attack Japan within three months of the German surrender: Feb. 11, 1945)/
ヤンエグ /(n) (abbr) (sl) young executive/
ヤンガージェネレーション /(n) younger generation/(P)/
ヤンキー /(n) (1) Yankee/(2) (sl) delinquent (youth)/delinquency/(P)/
ヤンキーイズム /(n) Yankeeism/
ヤンキー座 [ヤンキーすわり] /(io) (n,vs) squatting (usu. with elbows on knees and often while smoking, typically considered a low-class posture)/
ヤンキー座 [ヤンキーずわり] /(io) (n,vs) squatting (usu. with elbows on knees and often while smoking, typically considered a low-class posture)/
ヤンキー座り [ヤンキーすわり] /(n,vs) squatting (usu. with elbows on knees and often while smoking, typically considered a low-class posture)/
ヤンキー座り [ヤンキーずわり] /(n,vs) squatting (usu. with elbows on knees and often while smoking, typically considered a low-class posture)/
ヤンク /(n) yank/
ヤング /(n) young/(P)/
ヤングアダルト /(n) young adult/
ヤングスタ /(n) youngster/
ヤングスター /(n) youngster/
ヤングタウン /(n) young town/
ヤングトラディショナル /(n) young traditional/
ヤングパワー /(n) young power/
ヤングミセス /(n) young Mrs/
ヤングラ市場 [ヤングラいちば] /(n) young underground market (the underground economy in goods and services, involving lots of barter and buying and selling of secondhand goods)/
ヤングレディー /(n) young lady/
ヤング案 [ヤングあん] /(n) Young Plan/
ヤング率 [ヤングりつ] /(n) Young's modulus/
ヤンセンニシキベラ /(n) Jansen's wrasse (Thalassoma jansenii)/
ヤンデレ /(n,adj-f) (m-sl) person (usu. female) with an unhealthy romantic obsession (has a connotation of mental instability)/
ヤンバルテナガコガネ /(n) (uk) Yanbaru long-armed scarab beetle (Cheirotonus jambar)/
ヤンマ /(n) (1) (uk) darner (any dragonfly of family Aeshnidae)/devil's darning needle/(2) dragonfly (esp. a large one)/
ヤンマ /(n) lamenting (ger: Jammer)/(P)/
ヤンママ /(n) (1) young mother in her early twenties (wasei: young mama)/(2) "Yankee" (i.e. delinquent) girl who has grown up and married (wasei: Yankee mama)/
ヤン車 [ヤンしゃ] /(n) (abbr) (sl) low-riding vehicle usually containing a powerful speaker system and owned by a juvenile delinquent/pimped-out ride/
ヤ行 [ヤぎょう] /(n) classification for Japanese verb with the dictionary form ending in "yu"/"ya" column or row of the kana syllabary/
ユー /(n) you/(P)/
ユーアイ /(n) (comp) UI/
ユーエムビー /(n) (comp) UMB/
ユーカラ /(n) yukar (Ainu oral saga) (ain:)/(P)/
ユーカリ /(n) (abbr) eucalyptus (lat: eu, gre: kaluptos)/(P)/
ユーカリスト /(n) eucharist/
ユーカリ油 [ユーカリゆ] /(n) eucalyptus oil/
ユークリッド /(n) Euclid/
ユークリッド幾何学 [ユークリッドきかがく] /(n) Euclidean geometry/
ユークリッド空間 [ユークリッドくうかん] /(n) Euclidean space/
ユークロマチン /(n) euchromatin/
ユーゲニズム /(n) yugenism/
ユーコン准州 [ユーコンじゅんしゅう] /(n) Yukon Territory/
ユーゴ /(n) (abbr) Yugoslavia/(P)/
ユーゴスラビア /(n) Yugoslavia/(P)/
ユーサネイジア /(n) euthanasia/
ユーザ /(n) user/
ユーザー /(n) user/(P)/
ユーザーＩＤ [ユーザーアイディー] /(n) (comp) user IDentification (user id)/
ユーザーアカウント /(n) (comp) user account/
ユーザーインターフェース /(n) (comp) user interface/
ユーザーインターフェイス /(n) (comp) user interface/
ユーザーインタフェース /(n) (comp) user interface/
ユーザーガイド /(n) user guide/users' guide/
ユーザーサポート /(n) (comp) user support/
ユーザーズ /(n) users/
ユーザーズガイド /(n) user's guide/
ユーザーズマニュアル /(n) (comp) users' manual/
ユーザートラヒック /(n) (comp) user traffic/
ユーザーニーズ /(n) user needs (generally in market research and IT)/
ユーザーフレンドリ /(n) (comp) user-friendly/
ユーザーフレンドリー /(n) user-friendly/
ユーザー辞書 [ユーザーじしょ] /(n) (comp) user dictionary/
ユーザー情報 [ユーザーじょうほう] /(n) (comp) user information/
ユーザー側 [ユーザーがわ] /(n) (comp) user-side/
ユーザー定義 [ユーザーていぎ] /(n) (comp) user defined/user specific/
ユーザー登録 [ユーザーとうろく] /(n) (comp) user registration/
ユーザー認証 [ユーザーにんしょう] /(n) (comp) user authentication/
ユーザー名 [ユーザーめい] /(n) (comp) username/
ユーザー網インタフェース [ユーザーあみインタフェース] /(n) (comp) user network interface/UNI/
ユーザアカウント /(n) (comp) user account/
ユーザインタフェース /(n) (comp) user interface/
ユーザエージェント /(n) (comp) user agent/
ユーザデータ /(n) (comp) user data/
ユーザビリティ /(n) usability/
ユーザフォーラム /(n) (comp) user forum/
ユーザフレンドリ /(n) (comp) user-friendly/
ユーザマニュアル /(n) (comp) user manual/user's guide/
ユーザレベル /(n) (comp) user level/
ユーザンス /(n) usance/
ユーザンスビル /(n) usance bill/
ユーザ関数 [ユーザかんすう] /(n) (comp) user function/
ユーザ側 [ユーザがわ] /(n) (comp) user-side/
ユーザ登録 [ユーザとうろく] /(n) (comp) user registration/
ユーザ部 [ユーザぶ] /(n) (comp) user part/
ユーザ要望 [ユーザようぼう] /(n) (comp) user request/
ユージェニックス /(n) eugenics/(P)/
ユージオメーター /(n) eudiometer/
ユース /(n) youth/(P)/
ユースウェア /(n) (comp) useware/
ユースケース /(n) (comp) use case/
ユースドカー /(n) used car/
ユースホステル /(n) youth hostel/(P)/
ユースマーケット /(n) youth market/
ユーズド /(n,adj-no) used (e.g. used car)/(P)/
ユーズドカー /(n) used car/
ユーズネット /(n) (comp) Usenet/
ユーゼニックス /(n) eugenics/
ユータナージー /(n) euthanasia (ger: Euthanasie)/
ユーティリタリアニズム /(n) utilitarianism/
ユーティリティ /(n) (1) utility/(2) room with sink, washing machine, etc. in a house or apartment/
ユーティリティー /(n) (1) utility/(2) room with sink, washing machine, etc. in a house or apartment/
ユーティリティープログラム /(n) utility program/utility programme/
ユーティリティールーム /(n) utility room (with sink, washing machine, etc. in a house or apartment)/
ユーティリティプログラム /(n) (comp) utility program/service program/
ユーティリティルーチン /(n) (comp) utility routine/service routine/
ユーティリティルーチンプログラム /(n) (comp) utility routine program/service routine program/
ユーテルサット /(n) Eutelsat/European television satellite/
ユーディオメーター /(n) eudiometer/
ユートピア /(n) utopia/(P)/
ユートピアン /(n) utopian/
ユードラ /(n) (comp) Eudora/
ユーニーク /(adj-na,n) unique/individual/original/unusual/
ユーノス /(n) eunos/(P)/
ユーピー /(n) (comp) UP/
ユーピーエス /(n) (comp) UPS/
ユーフォニウム /(n) euphonium/
ユーフォロジー /(n) ufology/
ユーフュミズム /(n) euphemism/
ユーモア /(n) humor/humour/(P)/
ユーモアの感覚 [ユーモアのかんかく] /(n) sense of humor/sense of humour/
ユーモラス /(adj-na,n) humorous/humourous/(P)/
ユーモリスト /(n) humorist/
ユーモレスク /(n) humoresque (fre:)/
ユーユーエンコード /(n) (comp) uuencode/
ユーユーシーピー /(n) (comp) UUCP/
ユーユーデコード /(n) (comp) uudecode/
ユーラシア /(n) Eurasia/
ユーラシア川獺 [ユーラシアかわうそ] /(n) European otter (Lutra lutra)/common otter/Eurasian otter/
ユーラトム /(n) European Atomic Energy Community/EURATOM/
ユーレイルパス /(n) Eurailpass/
ユーレカ /(n) eureka (gre: heureka)/(P)/
ユーロ /(n) (1) Euro-/(2) euro (the currency)/(P)/
ユーロカレンシー /(n) Eurocurrency/
ユーロクラット /(n) Eurocrat/
ユーロコミュニズム /(n) Eurocommunism/
ユーロソーシャリズム /(n) Eurosocialism/
ユーロダラー /(n) Eurodollar/
ユーロトンネル /(n) Channel Tunnel/Chunnel/Eurotunnel/
ユーロネット /(n) Euronet/
ユーロバンク /(n) Eurobank/
ユーロビジョン /(n) Eurovision/
ユーロピウム /(n) europium (Eu)/
ユーロポート /(n) Europort/
ユーロマネー /(n) Euromoney/
ユーロ円債 [ユーロえんさい] /(n) Euro-Yen bond/
ユーロ建て [ユーロだて] /(n) denominated in euros/
ユウゼン /(n) wrought iron butterflyfish (Chaetodon daedalma)/
ユウダ /(n) (uk) water snake/
ユウトピア /(n) utopia/
ユウレイグモ /(n) (1) (uk) pholcid spider (any spider of family Pholcidae, esp. species Pholcus crypticolens)/(2) (col) harvestman/daddy longlegs/
ユウロピウム /(n) europium (Eu)/
ユカラ /(n) yukar (Ainu oral saga) (ain:)/
ユキザサ /(n) (uk) Maianthemum japonicum (species of monocot)/
ユキチ /(n) (sl) 10,000 yen note/
ユキツバキ /(n) (uk) snow camellia (Camellia japonica subsp. rusticana)/
ユキヒョウ /(n) (uk) snow leopard (Uncia uncia)/ounce/
ユキホオジロ /(n) (uk) snow bunting (Plectrophenax nivalis)/
ユキワリソウ /(n) (1) hepatica (Hepatica nobilis var. japonica)/liverleaf/liverwort/(2) bird's-eye primrose (Primula farinosa subsp. modesta)/mealy primrose/
ユスラウメ /(n) (uk) Nanking cherry (Prunus tomentosa)/downy cherry/
ユスリカ /(n) (uk) chironomid/nonbiting midge (any insect of family Chironomidae)/
ユズ /(n) (uk) yuzu (species of aromatic Asiatic citron, Citrus junos)/
ユズリハ /(n) (obsc) (uk) false daphne (Daphniphyllum macropodum)/Yuzuriha/
ユタ /(n) Utah/(P)/
ユダの手紙 [ユダのてがみ] /(n) Epistle of Jude (book of the Bible)/
ユダヤ /(n) (uk) Judea (southern Palestine) (lat: Judaea)/Jews/(P)/
ユダヤ教 [ユダヤきょう] /(n) Judaism/(P)/
ユダヤ教会 [ユダヤきょうかい] /(n) synagogue/
ユダヤ教会堂 [ユダヤきょうかいどう] /(n) synagogue/
ユダヤ人 [ユダヤじん] /(n) Jew/Jewish person/
ユダヤ暦 [ユダヤれき] /(n) Jewish calendar/
ユッカ /(n) yucca (plant of the lily family) (lat:)/
ユッケ /(n) yukhoe (Korean dish of seasoned raw beef topped with an egg yolk)/
ユティリティー /(n) (1) utility/(2) room with sink, washing machine, etc. in a house or apartment/
ユナイテッド /(n) united/(P)/
ユニーク /(adj-na,n) unique/individual/original/unusual/(P)/
ユニークビジター /(n) unique visitor/
ユニオン /(n) union/(P)/
ユニオンクエリ /(n) (comp) union query/
ユニオンショップ /(n) union shop/
ユニオンショップ制 [ユニオンショップせい] /(n) union shop system (employment of only union members)/
ユニオンジャック /(n) Union Jack/
ユニキャスト /(n) (comp) unicast/
ユニコード /(n) (comp) Unicode/
ユニコードコンソーシアム /(n) (comp) Unicode Consortium/
ユニコード技術委員会 [ユニコードぎじゅついいんかい] /(n) (comp) Unicode Technical Committee/UTC/
ユニコーン /(n) unicorn/
ユニシス /(n) (comp) Unisys/(P)/
ユニセックス /(n) unisex/
ユニゾン /(n,adj-no) unison/
ユニタード /(n) unitard/
ユニターム /(n) (comp) uniterm/
ユニタリータックス /(n) unitary tax/
ユニックス /(n) (comp) Unix/
ユニット /(n) unit/(P)/
ユニットキッチン /(n) small prefabricated kitchen in an apartment (wasei: unit kitchen)/
ユニットコントロール /(n) unit control/
ユニットシステム /(n) unit system/
ユニットストックコントロール /(n) unit stock control/
ユニットドレス /(n) unit dress/
ユニットバース /(n) bathroom in a small apartment, etc. (wasei: unit bath)/
ユニットバス /(n) modular bath (wasei: unit bath)/prefabricated bath/
ユニットプライシング /(n) unit pricing/
ユニットロード /(n) unit load/
ユニット家具 [ユニットかぐ] /(n) unit furniture/
ユニット型投資信託 [ユニットがたとうししんたく] /(n) unit-type investment trust/
ユニット分離キャラクタ [ユニットぶんりキャラクタ] /(n) (comp) unit separator/US/
ユニティー /(n) unity/
ユニテリアン /(n) Unitarian/
ユニバーサル /(adj-na,n) universal/(P)/
ユニバーサルサービス /(n) universal service/
ユニバーサルジョイント /(n) universal joint/
ユニバーサルスペース /(n) universal space/
ユニバーサルタイム /(n) universal time/
ユニバーサルデザイン /(n) universal design/
ユニバーシアード /(n) Universiade/(P)/
ユニバーシティー /(n) university/
ユニバース /(n) universe/(P)/
ユニバサル /(adj-na,n) universal/
ユニバック /(n) (comp) UNIVAC/
ユニファイ /(n) unify/
ユニファイア /(n) unifier/
ユニファイドメッセージング /(n) (comp) unified messaging/
ユニフィケーション /(n) unification/
ユニフォーミティー /(n) uniformity/
ユニフォーム /(n) uniform/(P)/
ユニフォームリソースロケータ /(n) (comp) Uniform Resource Locator/URL/
ユニプロセッサ /(n) (comp) uni-processor/
ユニホーム /(n) uniform/(P)/
ユニラテラリズム /(n) unilateralism/
ユネスコ憲章 [ユネスコけんしょう] /(n) UNESCO charter/
ユビキタス /(adj-na) (comp) (abbr) ubiquitous computing/
ユビキタス環境 [ユビキタスかんきょう] /(n) (comp) computing environment characterized by "ubiquitous computing"/
ユビキタス講演会 [ユビキタスこうえんかい] /(n) lecture on a topic related to "ubiquitous computing"/
ユビキタス社会 [ユビキタスしゃかい] /(n) society where IT related gadgets are prevalent and their function transparent (from "ubiquitous computing")/
ユビキノン /(n) ubiquinone/
ユビザル /(n) (uk) aye-aye (primate, Daubentonia madagascariensis)/
ユピテル /(n) Jupiter (lat:)/
ユマニスム /(n) humanism (fre: humanisme)/
ユミル /(n) Ymir/
ユムシ /(n) (uk) spoonworm (esp. species Urechis unicinctus)/
ユモレスク /(n) humoresque/
ユリ /(n) (1) lily/Lilium/(2) (sl) comics and novels about female homosexuality/
ユリア /(n) urea/(P)/
ユリア樹脂 [ユリアじゅし] /(n) urea resin/
ユリイカ /(n) eureka (gre: heureka)/
ユリウス /(n) Julius/
ユリウス暦 [ユリウスれき] /(n) Julian calendar/
ユリオプス属 [ユリオプスぞく] /(n) Euryops (genus of flowering plant)/
ユリカモメ /(n) black-headed gull (Larus ridibundus)/hooded gull/
ユリノキ /(n) (uk) tulip tree (Liriodendron tulipifera)/tuliptree/yellow poplar/
ユリ科 [ユリか] /(n) Liliaceae (the lily family)/
ユルト /(n) yurt (tur:)/
ユンヨンチャー /(n) drink of black tea mixed with coffee/
ヨーガ /(n) yoga (san:)/(P)/
ヨーガート /(n) yoghurt (ger:)/yoghourt/
ヨーク /(n) yoke/(P)/
ヨークシャーテリア /(n) Yorkshire terrier/
ヨーグルト /(n) yoghurt (ger:)/yoghourt/(P)/
ヨーシン /(n) eosine/
ヨーチン /(n) (abbr) tincture of iodine/
ヨーデル /(n) yodel/
ヨード /(n) iodine (ger: Jod)/
ヨードカリウム /(n) (obsc) potassium iodine (ger: Jodkalium)/
ヨードチンキ /(n) (uk) tincture of iodine (ger: Jodtinktur)/(P)/
ヨードホルム反応 [ヨードホルムはんのう] /(n) iodoform reaction/
ヨードン /(n) Yourdon/
ヨーマン /(n) yeoman/
ヨーマンリー /(n) yeomanry/
ヨーヨー /(n) yoyo/
ヨーロッパアマツバメ /(n) (uk) common (Eurasian) swift (Apus apus)/
ヨーロッパオオナマズ /(n) (uk) Wels catfish (Silurus glanis)/
ヨーロッパオオヤマネコ /(n) (uk) Eurasian Lynx (Lynx lynx)/
ヨーロッパカワヤツメ /(n) river lamprey (Lampetra fluviatilis)/
ヨーロッパコマドリ /(n) (uk) (obsc) European robin (Erithacus rubecula)/
ヨーロッパスナヤツメ /(n) European brook lamprey (Lampetra planeri)/
ヨーロッパタナゴ /(n) European bitterling (Rhodeus amarus)/
ヨーロッパノスリ /(n) common buzzard (Buteo buteo)/
ヨーロッパバイソン /(n) wisent (Bison bonasus)/European bison/
ヨーロッパヒキガエル /(n) (uk) common toad (Bufo bufo)/
ヨーロッパビーバー /(n) European beaver (Castor fiber)/
ヨーロッパミンク /(n) European mink (Mustela lutreola)/
ヨーロッパムナグロ /(n) (uk) Eurasian golden plover (Pluvialis apricaria)/
ヨーロッパモミ /(n) (uk) European silver fir (Abies alba)/
ヨーロッパヤマウズラ /(n) (uk) gray partridge (Perdix perdix)/grey partridge/
ヨーロッパヤマネコ /(n) (uk) European wildcat (Felis silvestris silvestris)/
ヨーロッパヨシキリ /(n) (uk) Eurasian reed warbler (Acrocephalus scirpaceus)/
ヨーロッパ葦切 [ヨーロッパよしきり] /(n) (uk) Eurasian reed warbler (Acrocephalus scirpaceus)/
ヨーロッパ雨燕 [ヨーロッパあまつばめ] /(n) (uk) common (Eurasian) swift (Apus apus)/
ヨーロッパ会議 [ヨーロッパかいぎ] /(n) Council of Europe/
ヨーロッパ機械翻訳協会 [ヨーロッパきかいほんやくきょうかい] /(n) The European Association for Machine Translation/EAMT/
ヨーロッパ議会 [ヨーロッパぎかい] /(n) European Parliament/
ヨーロッパ胸黒 [ヨーロッパむなぐろ] /(n) (uk) Eurasian golden plover (Pluvialis apricaria)/
ヨーロッパ駒鳥 [ヨーロッパこまどり] /(n) (uk) (obsc) European robin (Erithacus rubecula)/
ヨーロッパ栗 [ヨーロッパぐり] /(n) European chestnut/
ヨーロッパ鎖蛇 [ヨーロッパくさりへび] /(n) (uk) European adder (Vipera berus)/
ヨーロッパ山猫 [ヨーロッパやまねこ] /(n) (uk) European wildcat (Felis silvestris silvestris)/
ヨーロッパ山鶉 [ヨーロッパやまうずら] /(n) (uk) gray partridge (Perdix perdix)/grey partridge/
ヨーロッパ人 [ヨーロッパじん] /(n) European (person)/
ヨーロッパ大山猫 [ヨーロッパおおやまねこ] /(n) (uk) Eurasian Lynx (Lynx lynx)/
ヨーロッパ大鯰 [ヨーロッパおおなまず] /(n) (uk) Wels catfish (Silurus glanis)/
ヨーロッパ復興開発銀行 [ヨーロッパふっこうかいはつぎんこう] /(n) European Bank for Reconstruction and Development/EBRD/
ヨーロッパ放送協会 [ヨーロッパほうそうきょうかい] /(n) (comp) European Broadcasting Union/EBU/
ヨーロッパ李 [ヨーロッパすもも] /(n) common European plum/
ヨーロッパ連合 [ヨーロッパれんごう] /(n) European Union/EU/
ヨーロッパ樅 [ヨーロッパもみ] /(n) (uk) European silver fir (Abies alba)/
ヨーロッパ蟇 [ヨーロッパひきがえる] /(n) (uk) common toad (Bufo bufo)/
ヨーロピアン /(pref) European/
ヨーロピアンカジュアル /(n) European casual (fashion style)/
ヨーロピアンシーバス /(n) European seabass (Dicentrarchus labrax)/
ヨーロピアンブルックランプリ /(n) European brook lamprey (Lampetra planeri)/
ヨーロピアンプラン /(n) European plan/
ヨーロピアンリバーランプリ /(n) river lamprey (Lampetra fluviatilis)/
ヨウグルト /(n) yoghurt (ger:)/yoghourt/
ヨウシュヤマゴボウ /(n) (uk) American pokeweed (Phytolacca americana)/
ヨウジウオ /(n) (uk) pipefish (esp. the seaweed pipefish, Syngnathus schlegeli)/
ヨウモウザル /(n) (uk) (obsc) woolly monkey (any New World monkey of genus Lagothrix)/
ヨウ化 [ヨウか] /(n,vs) iodization/iodisation/
ヨウ化カリウム [ヨウかカリウム] /(n) potassium iodide/KI/
ヨウ化銀 [ヨウかぎん] /(n) silver iodide/
ヨウ化水素 [ヨウかすいそ] /(n) hydrogen iodide/HI/
ヨウ化物 [ヨウかぶつ] /(n) iodide/
ヨウ素 [ヨウそ] /(n) iodine (I)/
ヨウ素１２５ [ヨウそひゃくにじゅうご] /(n) iodine-125/
ヨウ素１３１ [ヨウそひゃくさんじゅういち] /(n) iodine-131/
ヨウ素デンプン反応 [ヨウそデンプンはんのう] /(n) iodo-starch reaction/
ヨウ素価 [ヨウそか] /(n) iodine value/iodine number/
ヨエル書 [ヨエルしょ] /(n) Joel (book of the Bible)/
ヨガ /(n) yoga (san:)/(P)/
ヨガの流行 [ヨガのりゅうこう] /(n) the cult of yoga/
ヨクト /(n,pref) yocto-/10^-24/
ヨグソミネバリ /(n) (uk) Japanese cherry birch (Betula grossa)/
ヨコエビ /(n) (uk) gammaridean amphipod (any small, shrimp-like crustacean of suborder Gammaridea)/
ヨコシマクロダイ /(n) bigeye emperor (Monotaxis grandoculis)/
ヨコシマハギ /(n) doctorfish (Acanthurus chirurgus, species of tang from the Atlantic Ocean)/
ヨコスジフエダイ /(n) (uk) spotstripe snapper (species of fish, Lutjanus ophuysenii)/
ヨコバイ /(n) (1) (uk) leafhopper (insect)/jassid/(2) (abbr) (uk) sidewinder (Crotalus cerastes)/(3) levelling off/stabilizing/
ヨコバイガラガラヘビ /(n) (uk) (obsc) sidewinder (Crotalus cerastes)/
ヨゴレ /(n) (uk) oceanic whitetip shark (Carcharhinus longimanus)/
ヨゴレザメ /(n) (uk) oceanic whitetip shark (Carcharhinus longimanus)/
ヨシ /(n,adj-no) (uk) common reed (Phragmites australis)/
ヨシキリ /(n) (uk) reed warbler (esp. the great reed warbler, but also the black-browed reed warbler)/
ヨシキリザメ /(n) (uk) blue shark (Prionace glauca, species of circumglobal requiem shark)/
ヨシキリザメ属 [ヨシキリザメぞく] /(n) Prionace (genus of requiem shark in the family Carcharhinidae whose sole member is the blue shark)/
ヨシノボリ /(n) (uk) Amur goby (Rhinogobius brunneus)/
ヨシュア記 [ヨシュアき] /(n) Joshua (book of the Bible)/
ヨジウム /(n) iodine (dut: jodium)/
ヨジウムチンキ /(n) (obsc) tincture of iodine/
ヨジリオオトカゲ /(n) Timor monitor (Varanus timorensis, species of small carnivorous monitor lizard native to Indonesia)/spotted tree monitor/
ヨスジフエダイ /(n) (uk) bluestripe snapper (Lutjanus kasmira)/bluestripe seaperch/
ヨタ /(n,pref) yotta-/10^24/
ヨッテル /(n) yachtel (combination of yacht and hotel)/
ヨット /(n) yacht (usually only used for a sailing boat with one mast)/(P)/
ヨットクラブ /(n) yacht club/yachting club/
ヨットハーバー /(n) yacht harbor/yacht harbour/(P)/
ヨットパーカ /(n) (1) parka (wasei: yacht parka)/anorak/(2) light-weight polyester jacket/
ヨットパーカー /(n) (1) parka (wasei: yacht parka)/anorak/(2) light-weight polyester jacket/
ヨットレース /(n) yacht race/
ヨツバシオガマ /(n) (uk) Chamisso's lousewort (Pedicularis chamissonis var. japonica)/
ヨツメウオ /(n) (uk) four-eyed fish (Anableps spp.)/
ヨツメジカ /(n) (uk) (obsc) Chinese muntjac (species of barking deer, Muntiacus reevesi)/
ヨナグニサン /(n) (uk) atlas moth (Attacus atlas)/
ヨナ書 [ヨナしょ] /(n) Jonah (book of the Bible)/
ヨハネによる福音書 [ヨハネによるふくいんしょ] /(n) the Gospel according to John (book of the Bible)/
ヨハネの手紙一 [ヨハネのてがみいち] /(n) First Epistle of John (book of the Bible)/
ヨハネの手紙三 [ヨハネのてがみさん] /(n) Third Epistle of John (book of the Bible)/
ヨハネの手紙二 [ヨハネのてがみに] /(n) Second Epistle of John (book of the Bible)/
ヨハネ騎士団 [ヨハネきしだん] /(n) Knights Hospitallers/Knights Hospitalers/
ヨハネ伝 [ヨハネでん] /(n) Gospel of John (book of the Bible)/
ヨハネ福音書 [ヨハネふくいんしょ] /(n) Gospel of John (book of the Bible)/
ヨハネ黙示録 [ヨハネもくしろく] /(n) the Revelation of St. John the Divine (book of the Bible)/
ヨヒンビン /(n) yohimbine/
ヨヒンベ /(n) yohimbe/
ヨブ記 [ヨブき] /(n) Job (book of the Bible)/
ヨメガカサ /(n) (uk) (col) Cellana toreuma (species of limpet)/
ヨメガカサガイ /(n) (uk) Cellana toreuma (species of limpet)/
ヨモギ属 [ヨモギぞく] /(n) Artemisia (genus of a between 200 to 400 species of plants in the daisy family Asteraceae)/
ヨモギ屬 [ヨモギぞく] /(n) Artemisia (genus of a between 200 to 400 species of plants in the daisy family Asteraceae)/
ヨルダン /(n,adj-no) Jordan/(P)/
ヨロイグサ /(n) (uk) Angelica dahurica (species of angelica)/
ヨロピク /(adv) (1) well/properly/suitably/(exp) (2) best regards/please remember me/
ヨンサンマルエイチエックス /(n) (comp) 430HX/
ヨンサンマルブイエックス /(n) (comp) 430VX/
ヨンハチロク /(n) (comp) 486/
ラ /(n) la/6th note in the tonic solfa representation of the diatonic scale/
ラーカー /(n) (comp) lurker/
ラーガ /(n) raga/
ラーク /(n) (1) (comp) lurk/(2) Lark (cigarette brand)/
ラーゲ /(n) sex position (ger: Lage)/(P)/
ラージ /(adj-f) large/
ラージサイズ /(adj-no) large size (e.g. large portion, etc.)/
ラージヒル /(n) large hill/
ラージプート /(n) Rajput (hin:)/member of a Hindu military caste/
ラージボール /(n) large ball/
ラージラケット /(n) large racket/
ラーテル /(n) ratel (Mellivora capensis)/
ラード /(n) lard/(P)/
ラーニング /(n) learning/(P)/
ラーニングカーブ /(n) learning curve/
ラーニングディスアビリティー /(n) learning disability/
ラーバン /(n) rurban (area)/rural and urban/
ラーマン /(ik) (n) rigid frame (ger: Rahmen)/
ラーメン /(n) (uk) ramen (Chinese-style noodles) (chi: lamian)/(P)/
ラーメン /(n) rigid frame (ger: Rahmen)/
ラーメン橋 [ラーメンきょう] /(n) rigid-frame bridge/
ラーメン構造 [ラーメンこうぞう] /(n) Rahmen/rigid-frame structure/
ラーンチャ /(n) (comp) launcher/
ラー油 [ラーゆ] /(n) (uk) Chinese red chile oil (chile, chilli) (chi: layou)/raayu/
ライ /(n) (1) lie/(2) rye/(3) rai (Algerian music style)/(P)/
ライアー /(n) liar/
ライアテール /(n) lyretail/
ライアビリティー /(n) liability/(P)/
ライオン /(n) lion/(P)/
ライオンズクラブ /(n) Lions Club/(P)/
ライオンタマリン /(n) lion tamarin/
ライカ /(n) Leica (German camera brand)/(P)/
ライガー /(n) liger (offspring of a male lion and a female tiger)/
ライク /(n) like/
ライコス /(n) (comp) Lycos/
ライザーカード /(n) (comp) raiser card/
ライジングジェネレーション /(n) rising generation/(P)/
ライス /(n) rice (esp. when served on a plate)/(P)/
ライスカレー /(n) curry and rice/
ライスケイク /(n) rice cake/
ライスペーパー /(n) rice paper/
ライスミル /(n) rice mill/
ライセンシー /(n) licensee/
ライセンシング /(n) licensing/
ライセンス /(n) license/licence/(P)/
ライセンスオーナー /(n) (comp) license owner/
ライセンスストア /(n) (comp) license store/
ライセンスセット /(n) (comp) license set/
ライセンスフリー /(n) (comp) license free/
ライセンス契約 [ライセンスけいやく] /(n) (comp) license agreement/
ライセンス生産 [ライセンスせいさん] /(n) license production/licence production/
ライセンス文書 [ライセンスぶんしょ] /(n) (comp) license document/
ライソゾーム /(n) lysosome/
ライタ /(n) (1) lighter/(2) writer/
ライター /(n) (1) lighter/(2) writer/(P)/
ライターケース /(n) (cigarette) lighter case/
ライダー /(n) rider/(P)/
ライダースジャケット /(n) racing jacket (wasei: rider's jacket)/
ライチ /(n) litchi (Nephelium litchi)/lychee/
ライチー /(n) litchi (Nephelium litchi)/lychee/
ライティング /(n) (1) lighting/(2) writing/
ライティングデスク /(n) writing desk/
ライティングビューロー /(n) writing bureau/
ライディング /(n) riding/
ライディングアーチェリー /(n) riding archery/
ライディングブリーチズ /(n) riding breeches/
ライデン瓶 [ライデンびん] /(n) Leyden jar/
ライト /(adj-na,n) (1) light/(2) right/(n) (3) right field/right fielder/(P)/
ライトアップ /(n) illumination of bridges, etc. at night (wasei: light up)/
ライトインダストリー /(n) light industry/
ライトウイング /(n) right wing/
ライトウェイトディレクトリアクセスプロトコル /(n) (comp) lightweight directory access protocol/LDAP/
ライトウエート /(n) lightweight/
ライトウエルター級 [ライトウエルターきゅう] /(n) light welterweight/
ライトオペラ /(n) light opera/
ライトサイジング /(n) (comp) rightsizing/
ライトショー /(n) light show/
ライトスルー /(n) (comp) write-through/
ライトスルーキャッシュ /(n) (comp) write-through cache/
ライトセーバー /(n) light sabre (saber) (as in the Star Wars films)/
ライトダウン /(n) annual turning off of lights, etc. (wasei: light down)/
ライトツナ /(n) light canned tuna (wasei: light tuna)/
ライトツナフレーク /(n) light flaked canned tuna (wasei: light tuna flake)/light sandwich tuna/
ライトディレクター /(n) light director/
ライトニング /(n) lightning/
ライトノベル /(n) light novel/
ライトハウス /(n) lighthouse/
ライトハンド /(n) right-hand/
ライトバース /(n) light verse/
ライトバック /(n) (comp) write-back/
ライトバックキャッシュ /(n) (comp) write-back cache/
ライトバリュー /(n) light value/
ライトバン /(n) light van/(P)/
ライトビール /(n) light beer/
ライトフライ級 [ライトフライきゅう] /(n) light flyweight/
ライトブルー /(n) light blue/
ライトプロテクト /(n) (comp) write protect/
ライトヘビーウエート /(n) light heavyweight/
ライトヘビー級 [ライトヘビーきゅう] /(n) light heavyweight/
ライトペン /(n) light pen/
ライトペンヒット /(n) (comp) light-pen detection/light-pen hit/
ライトペン検出 [ライトペンけんしゅつ] /(n) (comp) light-pen detection/light-pen hit/
ライトボタン /(n) (comp) virtual push button/light button/
ライトミドル級 [ライトミドルきゅう] /(n) light middleweight/
ライトモチーフ /(n) leitmotif (ger:)/leitmotiv/leading motive/
ライトランチ /(n) light lunch/
ライトワンス /(n) (comp) write once/
ライト級 [ライトきゅう] /(n) lightweight/
ライト兄弟 [ライトきょうだい] /(n) the Wright brothers/
ライド /(n) ride/(P)/
ライナー /(n,adj-no) liner/line drive (baseball)/(P)/
ライナーノーツ /(n) liner notes/
ライナーノート /(n) liner note/
ライナックス /(n) (comp) Linux/
ライニング /(n) lining/
ライノウイルス /(n) rhinovirus/
ライノタイプ /(n) linotype/
ライノトロニック /(n) (comp) Linotronic/
ライノベ /(n) (abbr) light novel/
ライバル /(n,adj-no) rival/competition/(P)/
ライバル会社 [ライバルがいしゃ] /(n) rival (company)/competitor/
ライヒー /(n) (1) blotched snakehead (species of fish, Channa maculata)/
ライヒイ /(n) (1) blotched snakehead (species of fish, Channa maculata)/
ライフ /(n) life/(P)/
ライフサービス /(n) life-service/
ライフサイエンス /(n) life science/
ライフサイクル /(n) life cycle/
ライフサイクルアナリシス /(n) life cycle analysis/
ライフサイクルエネルギー /(n) life-cycle energy/
ライフサイズ /(n) life-size/
ライフジャケット /(n) life jacket/life vest/
ライフスタイル /(n) life-style/
ライフステージ /(n) life stage/
ライフセーバー /(n) lifesaver/life guard/
ライフセービング /(n) life-saving/
ライフタイム /(n) lifetime/
ライフヒストリー /(n) life history/
ライフベスト /(n) life vest/life jacket/
ライフボート /(n) lifeboat/
ライフライン /(n) (1) (essential) utilities/(2) lifeline/
ライフラフト /(n) life raft/
ライフル /(n) rifle/(P)/
ライフル射撃 [ライフルしゃげき] /(n) rifle shooting/
ライフル射撃競技 [ライフルしゃげききょうぎ] /(n) rifle-shooting competition/rifle-shooting contest/
ライフル銃 [ライフルじゅう] /(n) rifle/
ライフワーク /(n) life-work/(P)/
ライブ /(n,adj-f) (1) live (esp. concert, show, etc.)/live performance/(2) alive/(P)/
ライブＷｅｂ [ライブウェッブ] /(n) (comp) Live web/
ライブアイコン /(n) (comp) live icon/
ライブウェア /(n) (comp) liveware/
ライブショー /(n) live show/
ライブドア /(n) (comp) livedoor/
ライブハウス /(n) shop, bar, etc. where live jazz, pop, rock, etc. is performed (wasei: live house)/live music club/(P)/
ライブバンド /(n) live band/
ライブラリ /(n) library/
ライブラリー /(n) library/(P)/
ライブラリー関数 [ライブラリーかんすう] /(n) (comp) library function/
ライブラリアン /(n) librarian/
ライブラリケース /(n) (comp) library case/
ライブラリディレクトリ /(n) (comp) library directory/
ライブラリファイル /(n) (comp) library file/
ライブラリルーチン /(n) (comp) library routine/
ライブレコーディング /(n) live recording/
ライブレコード /(n) live record/
ライブ映像 [ライブえいぞう] /(n) (comp) live video/
ライプツィヒ /(n) Leipzig/
ライボゾーム /(n) ribosome/
ライム /(n) (1) rhyme/(2) lime/
ライムジュース /(n) lime juice/
ライムライト /(n) limelight/
ライムワイヤー /(n) LimeWire (file-sharing program) (programme)/
ライム病 [ライムびょう] /(n) Lyme disease/
ライラック /(n) lilac/
ライラック色 [ライラックいろ] /(n) lilac/
ライン /(n) line/(P)/
ラインアウト /(n) line out/
ラインアップ /(n) (product) line-up/(P)/
ラインアンドスタッフ /(exp) line and staff/
ラインエディタ /(n) (comp) line editor/
ラインエディター /(n) line editor/
ラインオフ /(n) line off/
ラインカー /(n) machine for making (white) lines (lit: line car)/
ラインカード /(n) (comp) line card/
ラインシャフト /(n) line shaft/
ラインストーン /(n) rhinestone/
ラインズマン /(n) linesman/
ラインセグメント /(n) (comp) line segment/
ラインダール /(n) (comp) Rijndael/
ラインダンス /(n) revue dance performed in a line/line dance/
ラインドクロミス /(n) lined chromis (Chromis lineata)/
ラインドライブ /(n) line drive/
ラインナップ /(n) (product) line-up/
ラインネットワーク /(n) line network/
ラインバッカー /(n) linebacker/
ラインフィード /(n) (comp) line-feed (character)/
ラインプリンタ /(n) (comp) line printer/
ラインプリンター /(n) line printer/
ラインマン /(n) lineman/
ラインメン /(n) linemen/
ラインモード /(n) (comp) line mode/
ライン川 [ラインがわ] /(n) (river) Rhine/
ライン組織 [ラインそしき] /(n) line organization/line organisation/
ライヴ /(n,adj-f) (1) live (esp. concert, show, etc.)/live performance/(2) alive/
ライヴァル /(n) rival/
ライヴショー /(n) live show/
ライヴハウス /(n) live house/
ライヴバンド /(n) live band/
ライ症候群 [ライしょうこうぐん] /(n) Reye's syndrome/
ライ麦 [ライむぎ] /(n) rye/
ライ麦畑でつかまえて [ライむぎばたけでつかまえて] /(n) Catcher in the Rye (novel by J. D. Salinger)/
ラウジネス /(n) lousiness/
ラウター /(n) (comp) router/
ラウドスピーカー /(n) loudspeaker/(P)/
ラウドネス /(n) loudness/
ラウラミドプロピルベタイン /(n) lauramidopropyl beitaine (cosmetic ingredient)/
ラウリン酸 [ラウリンさん] /(n) lauric acid/
ラウンジ /(n) lounge/(P)/
ラウンジウエア /(n) loungewear/
ラウンジチェア /(n) lounge chair/
ラウンド /(n) round (esp. in sports, negotiations, etc.)/rounds (e.g. nurse, security guard, etc.)/(P)/
ラウンドステーキ /(n) round steak/
ラウンドテーブル /(n) round table/
ラウンドトリップ /(n) (comp) round trip/
ラウンドトリップ時間 [ラウンドトリップじかん] /(n) (comp) round trip time/
ラウンドナンバー /(n) round number/
ラウンドネックライン /(n) round neckline/
ラウンドロビン /(n) round robin/
ラウンドロビンアルゴリズム /(n) (comp) round-robin algorithm/
ラオコオン /(n) Laocoon (figure from Greek mythology)/
ラオス /(n) Laos/(P)/
ラオチュー /(n) (1) fermented Chinese alcoholic beverage (esp. Shaoxing wine) (chi: laojiu)/
ラオチュウ /(n) (1) fermented Chinese alcoholic beverage (esp. Shaoxing wine) (chi: laojiu)/
ラカンマキ /(n) (uk) Podocarpus macrophyllus var. maki (variety of yew plum pine)/
ラガー /(n) rugger/(P)/
ラガービール /(n) lager beer/
ラガーマン /(n) rugger man/
ラクーン /(n) raccoon/
ラクーンドッグ /(n) (obsc) raccoon dog/tanuki (Nyctereutes procyonoides)/
ラクシュミ /(n) Lakshmi (consort of Vishnu in Hinduism)/
ラクタム /(n) lactam/
ラクダムシ /(n) (uk) inocelliid snakefly (any insect of family Inocelliidae)/
ラクトース /(n) lactose/
ラクトーゼ /(n) lactose/
ラクトゲン /(n) lactogen (ger: Laktogen)/
ラクトフラビン /(n) lactoflavin/
ラクトン /(n) lactone/
ラクナ /(n) lacuna (anatomical cavity or depression)/
ラクナ梗塞 [ラクナこうそく] /(n) lacunar infarction/
ラクロス /(n) lacrosse/
ラグ /(n) rug/(P)/
ラグーン /(n) lagoon/
ラグジュアリー /(n) luxury/
ラグタイム /(n) ragtime/
ラグビー /(n) rugby/(P)/
ラグビー部 [ラグビーぶ] /(n) rugby club/
ラグマット /(n) rug (wasei: rug mat)/
ラグラン /(n,adj-no) raglan/
ラグランスリーブ /(n) raglan sleeve/
ラケット /(n) racket/paddle (in table-tennis)/(P)/
ラケットボール /(n) racquetball/
ラコステ /(n) Lacoste/(P)/
ラサ /(n) (comp) Lhasa/
ラサール /(n) La Salle/(P)/
ラサニヤ /(n) lasagna (ita:)/lasagne/
ラザーニェ /(n) lasagna (ita:)/lasagne/
ラザーニャ /(n) lasagna (ita:)/lasagne/
ラザニア /(n) lasagna (ita:)/lasagne/
ラザニエ /(n) lasagna (ita:)/lasagne/
ラザホージウム /(n) rutherfordium (Rf)/
ラショナリスト /(n) rationalist/
ラショナリズム /(n) rationalism/
ラショナリゼーション /(n) rationalization/rationalisation/
ラショナル /(n) rational/
ラジアル /(n) radial/(P)/
ラジアルタイヤ /(n) radial tire (tyre)/
ラジアン /(n) (math) radian/
ラジウス /(n) radius/
ラジウム /(n) radium (Ra)/(P)/
ラジウム泉 [ラジウムせん] /(n) radium spring/
ラジウム療法 [ラジウムりょうほう] /(n) radium therapy/
ラジエーション /(n) radiation/
ラジエーター /(n) radiator/(P)/
ラジオ /(n) radio/(P)/
ラジオアイソトープ /(n) radioisotope/
ラジオイムノアッセイ /(n) radioimmunoassay/
ラジオカー /(n) radio car/
ラジオカーボン /(n) radiocarbon/
ラジオカーボンテスト /(n) radiocarbon test/
ラジオカーボンデーティング /(n) radiocarbon dating/
ラジオカセット /(n) radio-cassette/tape recorder/
ラジオグラフィー /(n) radiography/
ラジオコントロール /(n) radio control/
ラジオコンパス /(n) radio compass/
ラジオシティ /(n) (comp) radiosity/
ラジオシティ法 [ラジオシティほう] /(n) (comp) radiosity method/
ラジオゾンデ /(n) radiosonde (ger:)/
ラジオドラマ /(n) radio drama/
ラジオニュース /(n) radio news/
ラジオビーコン /(n) (obsc) radio beacon/
ラジオブイ /(n) radio buoy/
ラジオボタン /(n) (comp) radio button/
ラジオメーター /(n) radiometer/
ラジオ局 [ラジオきょく] /(n) radio station/
ラジオ体操 [ラジオたいそう] /(n) radio calisthenics/
ラジオ番組 [ラジオばんぐみ] /(n) radio programme/radio program/
ラジカセ /(n) (abbr) radio-cassette player/(P)/
ラジカリスト /(n) radicalist/
ラジカリズム /(n) radicalism/
ラジカル /(adj-na) radical/(P)/
ラジカルエコノミックス /(n) radical economics/
ラジカルフェミニズム /(n) radical feminism/
ラジコン /(n) (abbr) radio controlled models (car, plane, etc.)/
ラジコンカー /(n) radio-controlled car/
ラジャ /(exp) (col) I understand (from roger)/
ラス /(n) (1) lath/(2) lass/(P)/
ラスク /(n) rusk/
ラスタ /(n) (1) roster/(2) raster/(3) (abbr) Rastafarian/Rasta/
ラスター /(n) (1) roster/(2) raster/
ラスターイメージプロセッサ /(n) (comp) raster image processor/RIP/
ラスターグラフィックス /(n) (comp) raster graphics/
ラスタースキャン /(n) (comp) raster scan/
ラスタースキャンディスプレイ /(n) (comp) raster scan display/
ラスターファイル /(n) raster file/
ラスタグラフィックス /(n) (comp) raster graphics/
ラスタスキャン /(n) (comp) raster scan/
ラスタファリアン /(n) Rastafarian/Rasta/
ラスタファリズム /(n) Rastafarianism/
ラスタファリ運動 [ラスタファリうんどう] /(n) Rastafari movement/
ラスタフォント /(n) (comp) raster font/
ラスタプロッタ /(n) (comp) raster plotter/
ラスタライザ /(n) (comp) rasterrizer/
ラスタライズ /(n) (comp) rasterize/
ラスタ化 [ラスタか] /(n) (comp) rasterization/
ラスタ作図装置 [ラスタさくずそうち] /(n) (comp) raster plotter/
ラスタ図形処理 [ラスタずけいしょり] /(n) (comp) raster graphics/
ラスタ図形要素 [ラスタずけいようそ] /(n) (comp) raster graphics element/
ラスタ単位 [ラスタたんい] /(n) (comp) raster unit/
ラスタ表示装置 [ラスタひょうじそうち] /(n) (comp) raster display device/
ラスタ方式グラフィクス [ラスタほうしきグラフィクス] /(n) (comp) raster graphics/
ラスト /(n) last/(P)/
ラストシーン /(n) last scene (e.g. of a movie)/
ラストスパート /(n) last spurt/home stretch/last part of a race or period of time where you give it your best effort/(P)/
ラストネーム /(n) last name/surname/family name/
ラストヘビー /(n) final effort before the end (wasei: last heavy)/
ラストボス /(n) last boss/final boss/end-stage monster/
ラストラップ /(n) last lap/
ラストリゾート /(n) last resort/
ラストワンマイル /(n) (comp) last one mile/last mile/
ラスパイレス指数 [ラスパイレスしすう] /(n) Laspeyres index/
ラスボード /(n) lath board/
ラスボス /(n) last boss/final boss/end-stage monster/
ラスボラ /(n) rasbora (small minnow-like fish of genera Boraras, Microrasbora, Rasbora, and Trigonostigma)/
ラズベリー /(n) raspberry/
ラセミ化 [ラセミか] /(n,vs) racemization/racemisation/
ラセミ酸 [ラセミさん] /(n) racemic acid/
ラセミ体 [ラセミたい] /(n,adj-no) racemic body/
ラセミ分割 [ラセミぶんかつ] /(n) resolution/
ラタトゥイユ /(n) ratatouille (fre:)/
ラタン /(n) rattan/
ラタン家具 [ラタンかぐ] /(n) rattan furniture/
ラダー /(n) (1) rudder/(2) (comp) ladder (PLC programming paradigm) (programing)/(P)/
ラチる /(v5r) (1) (sl) to kidnap/to abduct/(2) to force to go to (e.g. an event)/
ラチェット /(n,adj-f) ratchet/toothed wheel/
ラチチュード /(n) latitude/
ラッカー /(n,adj-no) lacquer/
ラッカークロス /(n) lacquer cloth/
ラッキー /(adj-na,n) lucky/(P)/
ラッキーセブン /(n) lucky seventh/
ラッキーゾーン /(n) lucky zone/(P)/
ラッキーボーイ /(n) lucky boy/
ラック /(n) (1) rack/(2) ruck/(3) luck/(P)/
ラックス /(n) (obsc) lox/
ラックマウント /(n) (comp) rack-mounted/
ラックマウントサーバ /(n) (comp) rack-mount server/
ラッグ /(n) rug/
ラッゲージ /(n) luggage/baggage/
ラッコ /(n) (uk) sea otter (Enhydra lutris) (ain:)/
ラッサ熱 [ラッサねつ] /(n) Lassa fever/
ラッシー /(n) lassi/
ラッシャー /(n) rusher/
ラッシュ /(n) (1) rush/(2) (abbr) rush hour/(3) (abbr) rush print/(4) (abbr) lighter aboard ship/LASH/(P)/
ラッシュアワー /(n) rush hour/(P)/
ラッシュプリント /(n) rush print/
ラッシュ船 [ラッシュぶね] /(n) lighter aboard ship/
ラッセル /(n) (1) (abbr) (Russell) snowplow/track-clearing vehicle/(2) carving a trail through deep snow (by foot when mountaineering)/(P)/
ラッセルアインシュタイン宣言 [ラッセルアインシュタインせんげん] /(n) Russell-Einstein Manifesto/
ラッセルクサリヘビ /(n) (uk) Russell's viper (Daboia russelii)/
ラッセル音 [ラッセルおん] /(n) rale/rales/
ラッセル鎖蛇 [ラッセルくさりへび] /(n) (uk) Russell's viper (Daboia russelii)/
ラッセル車 [ラッセルしゃ] /(n) (Russell) snowplow/track-clearing vehicle/
ラッチ /(n,vs) latch/(P)/
ラット /(n) (laboratory or pet) rat/
ラッド /(n) (comp) RAD/
ラッパー /(n) (1) wrapper/(2) rapper/
ラッパスイセン /(n) (uk) (trumpet) daffodil/
ラッパ飲み [ラッパのみ] /(n,vs) drinking straight from a bottle/
ラッパ吹き [ラッパふき] /(n) (1) bugler/trumpeter/(2) blowing one's own horn/
ラッピング /(n,vs) (1) wrapping/(2) lapping (i.e. grinding, polishing)/(P)/
ラッフル /(n) ruffle/
ラップ /(n,vs) (1) lap/(2) wrap/(n) (3) (abbr) cling film/(n,vs) (4) rap/(P)/
ラップアラウンド /(n) wrap-around (i.e. sunglasses)/
ラップエム /(n) (comp) LAPM/
ラップコート /(n) wrapcoat/
ラップジョイント /(n) lap joint/
ラップスカート /(n) (abbr) wraparound skirt/
ラップタイム /(n) lap time/
ラップトップ /(n) laptop/
ラップトップＰＣ [ラップトップピーシー] /(n) (comp) laptop PC/
ラップトップコンピュータ /(n) (comp) laptop computer/
ラップフィルム /(n) cling film (wasei: wrap film)/
ラップミュージック /(n) rap music/
ラップランド /(n) Lapland/
ラップ音 [ラップおん] /(n) rapping sound (and other sounds when associated with poltergeists)/
ラティフンディウム /(n) latifundium/
ラテック /(n) (comp) LaTeX/
ラテックス /(n) latex/(P)/
ラテフ /(n) (comp) LaTeX/
ラテライト /(n) laterite/
ラテルネ /(n) lantern (for mountaineering) (ger: Laterne)/
ラテン /(n) (1) (abbr) Latin (language)/(2) Latin-American/Latin/Latino/(P)/
ラテンアメリカ /(n) Latin America/(P)/
ラテンアメリカ音楽 [ラテンアメリカおんがく] /(n) Latin music/
ラテンリズム /(n) Latin-American rhythm/
ラテン音楽 [ラテンおんがく] /(n) Latin music/
ラテン語 [ラテンご] /(n,adj-no) Latin/(P)/
ラテン帝国 [ラテンていこく] /(n) Latin Empire/
ラテン文学 [ラテンぶんがく] /(n) Latin literature/
ラテン文字 [ラテンもじ] /(n) Latin alphabet/Latin character/
ラテン方陣 [ラテンほうじん] /(n) Latin square/
ラテン民族 [ラテンみんぞく] /(n) Latin peoples/Latin races/
ラディアン /(n) radian/
ラディエーション /(n) radiation/
ラディカリズム /(n) radicalism/
ラディカル /(adj-na) radical/(P)/
ラディカルリアリズム /(n) radical realism/
ラディッシュ /(n) radish/
ラトビア /(n) Latvia/(P)/
ラトビア語 [ラトビアご] /(n) Latvian (language)/
ラド /(n) rad/
ラドン /(n) radon (Rn)/(P)/
ラナイ /(n) (obsc) lanai (roofed patio)/
ラニーニャ /(n) La Nina (ocean-atmosphere phenomenon similar to El Nino) (spa:)/
ラノベ /(n) (abbr) light novel/
ラノリン /(n) lanoline/lanolin/
ラハール /(n) lahar (ind:)/
ラバ /(n) (uk) mule/
ラバー /(n) (1) lover/(2) rubber/(P)/
ラバーカップ /(n) (1) plunger (for unblocking sinks, toilets, etc.)/(2) rubber cup/
ラバーシルク /(n) rubber silk/
ラバーセメント /(n) rubber cement/
ラバーソール /(n) rubber sole/
ラバータイル /(n) rubber tile/
ラバーダック /(n) rubber duck/
ラバーバンディング /(n) (comp) rubber-banding/
ラバーバンド /(n) rubber band/rubberband/
ラバーブ /(n) rebab (stringed instrument of Arabic origin) (ara: rabab)/
ラバーラケット /(n) rubber racket/
ラバトリー /(n) lavatory/(P)/
ラヒックデータ /(n) (comp) traffic data/
ラビ /(n,adj-no) rabbi (heb:)/
ラビー /(n) (comp) Lavie/
ラビオリ /(n) ravioli (ita:)/(P)/
ラビット /(n) rabbit/
ラビットパンチ /(n) rabbit punch/
ラビットフィッシュ /(n) rabbit fish (Chimaera monstrosa)/
ラビリンス /(n) labyrinth/
ラビリンス・スパインフット /(n) labyrinth spinefoot (Siganus labyrinthodes, species of Western Central Pacific rabbitfish known from Indonesia and thought more widespread)/
ラビリンススパインフット /(n) labyrinth spinefoot (Siganus labyrinthodes, species of Western Central Pacific rabbitfish known from Indonesia and thought more widespread)/
ラピアー /(n) rapier/
ラピスラズリ /(n) lapis lazuli/
ラピッドファイア /(n) rapid fire/
ラピュータ /(n) (comp) Ruputer/
ラフ /(adj-na,n) rough/(P)/
ラファエル前派 [ラファエルぜんぱ] /(n) Pre-Raphaelite Brotherhood/
ラフィア椰子 [ラフィアやし] /(n) raffia palm/
ラフィック /(n) (comp) traffic (telecom)/
ラフォーレ /(n) the forest (fre: la foret)/(P)/
ラフスケッチ /(n) rough sketch/
ラフティング /(n) rafting/
ラフト /(n) raft/(P)/
ラフプレー /(n) rough play/(P)/
ラフマニノフ /(n) Rachmaninoff/(P)/
ラブ /(n,vs) (1) love/(n) (2) (abbr) lab/laboratory/(P)/
ラブアフェア /(n) love affair/
ラブイン /(n) love-in/
ラブオール /(n) love all/
ラブオブザグリーン /(exp) rub of the green/
ラブカ /(n) (uk) frilled shark (Chlamydoselachus anguineus)/
ラブカ科 [ラブカか] /(n) Chlamydoselachidae (family of frilled sharks whose sole extant genus is Chlamydoselachus)/
ラブカ属 [ラブカぞく] /(n) Chlamydoselachus (genus containing only the frilled shark and the Southern African frilled shark in the family Chlamydoselachidae)/
ラブゲーム /(n) love game/
ラブコール /(n) love call/
ラブコメ /(n) (abbr) romantic comedy (wasei: love comedy)/(P)/
ラブコメディ /(n) romantic comedy (wasei: love comedy)/
ラブシーン /(n) love scene/
ラブジュース /(n) vaginal secretions (wasei: love juice)/
ラブストーリー /(n) love story/soap opera/
ラブセット /(n) love set/
ラブソング /(n) love song/(P)/
ラブチェア /(n) love seat/love chair/
ラブチャイルド /(n) love child/
ラブハント /(n) love hunt/
ラブバード /(n) lovebird/
ラブプレー /(n) love play/
ラブホ /(n) (abbr) love hotel/
ラブホテル /(n) hotel that rents rooms to couples either overnight or for two hours' "rest" (wasei: love hotel)/
ラブラブ /(n,vs,adj-no) (col) lovey-dovey (wasei: love love)/head-over-heels in love/
ラブリー /(adj-no) lovely/
ラブレター /(n) love-letter/(P)/
ラブローション /(n) sexual lubricant (wasei: love lotion)/
ラブロマンス /(n) love romance/
ラプコン /(n) RAPCON/
ラプソディー /(n) rhapsody/
ラプチャーディスク /(n) rupture disk (type of safety valve)/
ラプラスのデーモン /(n) (obsc) Laplace's demon/
ラプラスの魔物 [ラプラスのまもの] /(n) Laplace's demon/
ラベイカ /(n) (obsc) rebec (por: rabeca)/rebeck/
ラベリング /(n) labeling/
ラベル /(n) (1) label (i.e. sticker)/(2) label (i.e. record label)/(P)/
ラベルセット /(n) (comp) label set/
ラベル識別子 [ラベルしきべつし] /(n) (comp) label identifier/
ラベル番号 [ラベルばんごう] /(n) (comp) label number/
ラベル付け [ラベルづけ] /(n) labeling/
ラベンダー /(n) lavender/
ラベンダー色 [ラベンダーいろ] /(n) lavender/
ラペル /(n) lapel/
ラボ /(n) (1) (abbr) laboratory/(2) language laboratory/(P)/
ラボックスクロミス /(n) Lubbock's chromis (Chromis lubbocki)/
ラボプリントサービス /(n) (comp) photo print service/
ラボラトリー /(n) laboratory/
ラボラトリーオートメーション /(n) laboratory automation/LA/
ラボラトリーズ /(n) laboratories/
ラポール /(n) rapport (fre:)/
ラマ /(n) (uk) lama (tib: bla-ma)/
ラマ /(n) llama (Lama glama) (spa:)/(P)/
ラマーズ /(n) Lamaze/
ラマーズ法 [ラマーズほう] /(n) Lamaze technique/
ラマダン /(n) Ramadan (9th month of Muslim calendar)/fasting month/
ラマルク説 [ラマルクせつ] /(n) Lamarckism/
ラマン効果 [ラマンこうか] /(n) Raman effect (of inelastic photon scattering)/
ラマ教 [ラマきょう] /(n) Lamaism/
ラミー /(n) (1) ramie (Boehmeria nivea var. candicans)/(2) rummy/
ラミーノーズ・テトラ /(n) rummy-nose tetra (Hemigrammus bleheri)/firehead tetra/
ラミーノーズテトラ /(n) rummy-nose tetra (Hemigrammus bleheri)/firehead tetra/
ラミネート /(n,vs) laminate/(P)/
ラム /(n) (1) lamb (meat)/(2) rum/(3) ram/(4) rump/(P)/
ラムウール /(n) lamb's wool/
ラムサール条約 [ラムサールじょうやく] /(n) Ramsar Convention/
ラムジェット /(n) ramjet/
ラムジェットエンジン /(n) ramjet engine/
ラムスキン /(n) lambskin/
ラムダック /(n) (comp) RAMDAC/
ラムダファージ /(n) lambda phage/
ラムダロケット /(n) Lambda rocket/
ラムチョップ /(n) lamb chop/
ラムネ /(n) soda pop (from lemonade)/
ラムバス /(n) (comp) Rambus/
ラムレーズン /(n) rum raisin/raisins marinated in rum/
ラム酒 [ラムしゅ] /(n) rum/
ラメ /(n) lame (cloth made from gold or silver thread) (fre:)/(P)/
ラメネートスキー /(n) laminated ski/
ラメラ /(n) lamella/
ララバイ /(n) lullaby/(P)/
ラリー /(n) rally/(P)/
ラリる /(v5r) (sl) to become intoxicated (e.g. with drugs)/
ラリアット /(n) lariat/
ラルゲット /(n) larghetto (ita:)/
ラルゴ /(n) largo (ita:)/
ラルフローレン /(n) Ralph Lauren/(P)/
ラレンタンド /(n) rallentando (ita:)/
ラワン /(n) lauan/(P)/
ラン /(n) (1) run/(2) (food) (obsc) rump/(P)/
ランウエー /(n) runway/
ランガージュ /(n) (ling) language (as defined by Saussure; langue and parole) (fre: langage)/
ランキング /(n) (1) ranking/(2) toplist (e.g. of WWW sites)/(P)/
ランク /(n,vs) rank/standing/(P)/
ランクイン /(n,vs) ranking/placing in a list (top ten, popularity, sales, etc.)/
ランクル /(n) (abbr) (Toyota) Land Cruiser/
ラング /(n) (1) (ling) language (fre: langue)/(2) lung/(P)/
ラングール /(n) langur/
ラングリメン /(n) wraparound retaining straps worn with the old ski cable bindings (ger:)/
ランゲージ /(n) language/
ランゲージプロセッサー /(n) language processor/
ランゲージラボラトリー /(n) language laboratory/LL/
ランゲルハンス /(n) Langerhans/
ランゲルハンス島 [ランゲルハンスとう] /(n) islets of Langerhans/
ランコン /(n) (abbr) lunchtime concert/
ランサー /(n) lancer/
ランジェリー /(n) lingerie (fre:)/(P)/
ランス /(n) lance/(P)/
ランスル /(n) run-through/
ランスルー /(n) run-through/
ランセット /(n) lancet (dut:)/
ランセル /(n) Lancel (French manufacturer)/
ランタイム /(n) (comp) runtime/
ランタイムエラー /(n) (comp) run-time error/
ランタイムバージョン /(n) (comp) run time version/
ランタイムホスト /(n) (comp) runtime host/
ランタイムライブラリ /(n) (comp) run-time library/
ランタイムルーチン /(n) (comp) run-time routine/
ランタナ /(n) lantana (lat:)/
ランタニド /(n) lanthanide/
ランタノイド /(n) lanthanide/lanthanoid/
ランタン /(n) (1) lanthanum (La) (ger: lanthan)/(2) lantern/
ランダマイズルーチン /(n) (comp) randomizing routine/
ランダマイズ技法 [ランダマイズぎほう] /(n) (comp) randomizing technique/
ランダム /(adj-na,n,adj-no) random/(P)/
ランダムアクセス /(n) (comp) random access/
ランダムアクセスメモリ /(n) (comp) random access memory/RAM/
ランダムアクセスメモリー /(n) (comp) random access memory/RAM/
ランダムアクセスメモリーキャッシュ /(n) (comp) random access memory cache/
ランダムアクセスメモリキャッシュ /(n) (comp) random access memory cache/
ランダムウォーク /(n) (math) random walk/
ランダムウオーク /(n) random walk/
ランダムサンプリング /(n) random sampling/
ランダムジッタ /(n) (comp) RJ/random jitter/
ランダムスキャンディスプレイ /(n) (comp) random scan display/
ランダムドットステレオグラム /(n) (comp) random dot stereogram/RDS/
ランダムファイル /(n) (comp) random file/
ランチ /(n,vs) (1) launch/(2) lunch/(P)/
ランチエ /(n) pensioner (fre: rentier)/
ランチセット /(n) lunch set/
ランチタイム /(n) lunchtime/
ランチボックス /(n) lunch box/
ランチャー /(n) launcher/
ランチョン /(n) luncheon/
ランチョンマット /(n) place mat (wasei: luncheon mat)/
ランヂングバーン /(n) landing bahn/
ランディング /(n) landing/(P)/
ランディング・ギア /(n) landing gear/
ランディングギア /(n) landing gear/
ランディングゾーン /(n) (comp) landing zone/LZ/
ランデブー /(n,vs) meeting (fre: rendez-vous)/
ランド /(n) (1) land/(2) rand (currency of South Africa)/(P)/
ランドールズ・ピグミー・ゴビー /(n) Randall's pygmy goby (Trimma randalli, species in Palau and the Philippines)/
ランドールズクロミス /(n) Randall's chromis (Chromis randalli)/
ランドールズピグミーゴビー /(n) Randall's pygmy goby (Trimma randalli, species in Palau and the Philippines)/
ランドサット /(n) LANDSAT/(P)/
ランドスケープ /(n) landscape/
ランドスケープアーキテクチュア /(n) landscape architecture/
ランドスケープモード /(n) (comp) landscape mode/
ランドセル /(n) bag (ger: Raenzel)/knapsack/satchel with back straps/(P)/
ランドマーク /(n) landmark/(P)/
ランドリー /(n) laundry/(P)/
ランナー /(n) runner/(P)/
ランナーズハイ /(n) runner's high/
ランナウェー /(n) runaway/
ランニング /(n) (1) running/(2) tank top/(P)/
ランニングキャッチ /(n) running catch/
ランニングコスト /(n) running cost/
ランニングシャツ /(n) athletic-style shirt (wasei: running shirt)/running vest/
ランニングシューズ /(n) running shoes/
ランニングショット /(n) running shot/
ランニングステッチ /(n) running stitch/
ランニングストック /(n) running stock/
ランニングバック /(n) running back/
ランニングフット /(n) (comp) running foot/
ランニングプレー /(n) running play/
ランニングヘッド /(n) (comp) running head/
ランニングホーマー /(n) running homer/
ランニングホームラン /(n) inside-the-park home run (baseball) (wasei: running home run)/inside-the-parker/
ランニングマシン /(n) running machine/
ランバーサポート /(n) lumbar support/
ランバン /(n) Lanvin/
ランファン /(n) (abbr) lingerie and foundation/
ランブータン /(n) rambutan (Nephelium lappaceum)/
ランブタン /(n) rambutan (Nephelium lappaceum)/
ランブルシート /(n) rumble seat/
ランブル鞭毛虫 [ランブルべんもうちゅう] /(n) giardia (flagellate protozoan)/
ランブル鞭毛虫症 [ランブルべんもうちゅうしょう] /(n) giardiasis/
ランプ /(n) (1) lamp (eng:, dut:)/light/(2) ramp/(3) (food) rump/(P)/
ランプウェー /(n) rampway/
ランプウエー /(n) rampway/
ランプシェード /(n) lampshade/
ランプステーキ /(n) rump steak/
ランプ芯 [ランプしん] /(n) lamp wick/
ランプ点灯 [ランプてんとう] /(n) (comp) lighting of a lamp/
ランマー /(n) rammer/
ランマネージャー /(n) (comp) LAN Manager/
ランレングス /(n) run length/
ランレングス法 [ランレングスほう] /(n) (comp) run length method/
ラヴ /(n,vs) (1) love/(P)/
ラヴホテル /(n) hotel that rents rooms to couples either overnight or for two hours' "rest" (wasei: love hotel)/
ラ音 [ラおん] /(n) (abbr) rale/rales/
ラ行 [ラぎょう] /(n) classification for Japanese verb with the dictionary form ending in "ru"/"ra" column or row of the kana syllabary/
ラ行変格活用 [ラぎょうへんかくかつよう] /(n) irregular conjugation (inflection, declension) of a limited number of verbs ending in "ru" (in written Japanese)/
ラ変 [ラへん] /(n) (abbr) irregular conjugation (inflection, declension) of a limited number of verbs ending in "ru" (in written Japanese)/
ラ欄 [ラらん] /(n) radio listings/
リーガー /(n) leaguer/(P)/
リーガル /(n) legal/
リーガルシステム /(n) legal system/
リーキ /(n) leek (edible plant, Allium porrum)/
リーキー /(adj-no) leaky/
リーキーバケット /(n) (comp) leaky bucket/
リーキバケット /(n) (comp) leaky bucket/
リーク /(n,vs) (1) leak/(n) (2) leek (edible plant, Allium porrum)/(P)/
リークディテクター /(n) leak detector/
リーグ /(n) league/(P)/
リーグ戦 [リーグせん] /(n) league match/(P)/
リーケージ /(n) leakage/
リーサス /(n) (obsc) rhesus (monkey, macaque)/
リージョナリズム /(n) regionalism/
リージョナル /(n) regional/
リージョナルコード /(n) (comp) Regional Code/
リージョン /(n) region/
リース /(n,vs) (1) lease/(n) (2) wreath/(P)/
リースナブル /(adj-na) reasonable/
リースリング /(n) Riesling (ger:)/
リース産業 [リースさんぎょう] /(n) leasing industry/
リーズアンドラッグズ /(n) leads and lags/
リーズナブル /(adj-na) reasonable (only if applied to price, fee, fare, rate, etc.)/inexpensive/(P)/
リーズン /(n) reason/
リーゼント /(n) (abbr) regent style/pompadour/
リーゼントスタイル /(n) regent style (hair fashion)/ducktail/
リーターンエース /(n) return ace (tennis)/
リーダ /(n,adj-no) (1) leader/(2) reader/
リーダー /(n,adj-no) (1) leader/(2) reader/(P)/
リーダーシップ /(n) leadership/(P)/
リーダーシップ的地位 [リーダーシップてきちい] /(n) leadership position/
リーダー格 [リーダーかく] /(n) leader/leading figure/
リーダー交代 [リーダーこうたい] /(n) leadership change/
リーダー制 [リーダーせい] /(n) leadership organization/leadership organisation/
リーダイヤル /(n) (comp) redial/
リーチ /(n) (1) reach/(2) leech/(3) being one step away from completing a game, esp. mahjong (winning, losing, game over, etc.)/(P)/
リーチャブル /(n) reachable/
リーディング /(n) (1) reading/(2) leading/(P)/
リーディングインダストリー /(n) leading industry/
リーディングカンパニー /(n) leading company/
リーディングケース /(n) leading case/
リーディングジョッキー /(n) leading jockey/
リーディングヒッター /(n) leading hitter/
リート /(n) lied (German song, usu. for solo voice & piano) (ger: Lied)/(P)/
リード /(n,vs) (1) lead (in a game, dance, etc.)/being in the lead/(n) (2) reed/(3) read/reading/(P)/
リードアウト /(n) (comp) Lead-Out/
リードイン /(n) (comp) Lead-In/
リードオフマン /(n) lead-off man/(P)/
リードオルガン /(n) reed organ/
リードオンリー /(n) (comp) read-only/
リードオンリーメモリ /(n) (comp) read-only memory/ROM/
リードギター /(n) lead guitar/
リードタイム /(n) (comp) lead time/
リードバルブ /(n) reed valve/
リードビリティー /(n) readability/
リードボーカル /(n) lead vocalist (wasei: lead vocal)/main vocalist/
リードミー /(n) (comp) README/
リード楽器 [リードがっき] /(n) reed instrument/
リード線 [リードせん] /(n) (comp) lead/
リーバイス /(n) Levis (jeans)/
リーパー /(n) reaper/
リービヒ冷却器 [リービヒれいきゃくき] /(n) Liebig condenser/
リービング /(n) leaving/
リーフ /(n) (1) reef/(2) leaf/
リーフィー・シー・ドラゴン /(n) leafy sea dragon (Phycodurus eques)/
リーフィーシードラゴン /(n) leafy sea dragon (Phycodurus eques)/
リーフォー /(n) (comp) LIFO/
リーフグリーン /(n) leaf green/
リーフバタフライフィッシュ /(n) reef butterflyfish (Chaetodon sedentarius)/
リーフフィッシュ /(n) leaffish (Monocirrhus polyacanthus)/
リーフレット /(n) leaflet/(P)/
リーブ /(n) leave/
リーベ /(n) love (ger: Liebe)/lover/
リーボック /(n) Reebok (sneakers)/
リーマー /(n) (1) reamer/(2) (obsc) lemur/
リーマン /(n) (abbr) (sl) salary man/(P)/
リーマン幾何学 [リーマンきかがく] /(n) Riemannian geometry/
リーム /(n) ream/
リール /(n) reel/(P)/
リーンバーン /(n) lean burn/
リー族 [リーぞく] /(n) Li (people)/
リア /(n,pref,adj-na) rear/(P)/
リアーゼ /(n) lyase/
リアール /(n) rial/
リアウインドー /(n) rear window/
リアエンジン /(n) rear engine/
リアクション /(n) reaction/(P)/
リアクター /(n) reactor/
リアクタンス /(n) reactance/
リアクトル /(n) reactor/
リアシート /(n) rear seat/
リアス /(n) Rias/
リアス式海岸 [リアスしきかいがん] /(n) deeply indented coastline/rias coastline/
リアトリス /(n) liatris (esp. the dense blazing star, Liatris spicata) (lat:)/blazing star/
リアドライブ /(n) rear drive/
リアパネル /(n) (comp) back panel/
リアライズ /(vs) (1) to realize/to materialize/to accomplish/(2) to realize/to understand/to recognize/
リアリスティック /(n) realistic/
リアリスト /(n) realist/
リアリズム /(n) realism/(P)/
リアリティ /(n) reality/
リアリティー /(n) reality/
リアル /(adj-na,n) real/(P)/
リアルオーディオ /(n) (comp) RealAudio/
リアルタイム /(adj-na,n) realtime/
リアルタイムＯＳ [リアルタイムオーエス] /(n) (comp) real-time Operating System/
リアルタイムカレンダ /(n) (comp) real-time calendar/
リアルタイムクロック /(n) (comp) real-time clock/
リアルタイムシステム /(n) real-time system/
リアルタイムブロックリスト /(n) (comp) real-time block list/
リアルタイム処理 [リアルタイムしょり] /(n) (comp) real time processing/
リアルプライス /(n) real price/
リアルポリティックス /(n) real politics/
リアルモード /(n) (comp) real mode/
リア充 [リアじゅう] /(n) (sl) satisfaction with one's real (offline) life/
リインバースメント /(n,adj-f) reimbursement/
リインフォースメント /(n) reinforcement/
リインホースメント /(n) reinforcement/
リウマチ /(n,adj-no) rheumatism (ger: Rheumatismus)/
リウマチス /(n,adj-no) rheumatism (ger: Rheumatismus)/
リウマチ熱 [リウマチねつ] /(n) rheumatic fever/
リエゾン /(n) liaison (fre:)/
リエンジニアリング /(n) re-engineering/
リエントラント /(adj-na) (comp) reentrant/
リカー /(n) liquor/
リカーシブ /(n) (comp) recursive/
リカージョン /(n) recursion/
リカバー /(n) recover/
リカバリ /(n,vs) recovery/
リカバリー /(n,vs) recovery/
リカバリーショット /(n) recovery shot/
リカバリメディア /(n) (comp) recovery media/
リカレント /(n) recurrent/
リカレントニューラルネットワーク /(n) recurrent neural network/
リガーゼ /(n) ligase/
リガトーニ /(n) rigatoni (ita:)/
リガンド /(n) ligand/
リキッド /(n) liquid/(P)/
リキュール /(n) liqueur (fre:)/(P)/
リキュールグラス /(n) liqueur glass/
リギルケンタウルス /(n) Rigel Kentaurus (navigator's name for Alpha Centauri)/
リギン /(n) rigging/
リクード /(n) Likud (Israeli political party)/(P)/
リクエスト /(n,vs) request/(P)/
リクライニングシート /(n) reclining seat/
リクリエーション /(n) (1) recreation/(2) re-creation/
リクルーター /(n) recruiter/(P)/
リクルート /(n) recruit/(P)/
リクルートスーツ /(n) type of standard formal wear worn by students, usu. when going to interviews (wasei: recruit suit)/
リクルートファッション /(n) recruit fashion/
リグ /(n) rig/
リグ・ベーダ /(n) Rig Veda (collection of hymns in Vedic Sanskrit)/
リグナムバイタ /(n) lignum vitae/
リグニン /(n) lignin/
リグベーダ /(n) Rig Veda (collection of hymns in Vedic Sanskrit)/
リグリスト /(n) rigorist/
リグレッションテスト /(n) (comp) regression test/
リグレット /(n) regret/
リグロイン /(n) ligroin/
リグヴェーダ /(n) Rigveda/
リケッチア /(n) rickettsia/
リゲル /(n) Rigel/Beta Orionis/
リコー /(n) Ricoh/(P)/
リコーダ /(n) (1) recorder (e.g. tape recorder, time recorder)/recording device/(2) recorder (musical instrument)/English flute/
リコーダー /(n) (1) recorder (musical instrument)/English flute/(P)/
リコール /(n,vs) recall/(P)/
リコッタ /(n) ricotta (ita:)/
リコペン /(n) lycopene/
リコメンデーション /(n) recommendation/
リコリス /(n) licorice/liquorice/
リコンストラクション /(n) reconstruction/
リコンパイル /(n) (comp) recompile/
リコンファーム /(n,vs) reconfirm/
リゴリスト /(n) rigorist/
リゴリズム /(n) rigorism/
リサーチ /(n,vs) research/(P)/
リサイクリング /(n) recycling/
リサイクル /(n,vs) recycle/
リサイクルショップ /(n) second-hand shop/recycle shop/(P)/
リサイクル用の箱 [リサイクルようのはこ] /(n) recycling bin/recycling box/
リサイズ /(n) resize/
リサイタル /(n) recital/(P)/
リサジューの図形 [リサジューのずけい] /(n) Lissajous's figure/
リサンプル /(n) (comp) resample/
リザード /(n) lizard/
リザードマン /(n) lizardman/
リザーブ /(n,vs) reserve/(P)/
リザーブファンド /(n) reserve fund/
リザベーション /(n) (comp) reservation/
リザルト /(n) result/
リザルトコード /(n) (comp) result code/
リザレクション /(n) resurrection/
リシノール酸 [リシノールさん] /(n) ricinoleic acid/
リシプロシティー /(n) reciprocity/
リシリコンブ /(n) (uk) Laminaria ochotensis (species of kelp)/
リシン /(n) (1) lysine/(2) ricin/
リジェクト /(n) reject/
リジン /(n) (1) lysine/
リス /(n) (1) (uk) squirrel (excluding flying squirrels)/(2) (uk) Japanese squirrel (Sciurus lis)/
リス /(n) (1) fracture (ger: Riss)/(2) lithograph/(P)/
リスカ /(n,vs) (abbr) wrist cutting/slashing one's wrists/
リスキー /(n) risky/
リスキーシフト /(n) risky shift/
リスク /(n) risk/(P)/
リスクアセスメント /(n) risk assessment/
リスクコミュニケーション /(n) risk communication/
リスクコントロール /(n) risk control/
リスクファイナンス /(n) risk finance/
リスクファクター /(n) risk factor/
リスクヘッジ /(n) risk hedge/
リスクマネー /(n) risk money/money invested in high-risk, high-return, investments/
リスクマネージメント /(n) risk management/
リスク資産 [リスクしさん] /(n) risk asset/risk assets/
リスク認知 [リスクにんち] /(n) risk perception/
リスケ /(vs) (abbr) reschedule/
リスケジューリング /(n) rescheduling/
リスケジュール /(vs) reschedule/
リスザル /(n) (uk) squirrel monkey (esp. the common squirrel monkey, Saimiri sciureus)/
リスタート /(n) restart/
リスティング /(n) listing/
リステリア菌 [リステリアきん] /(n) Listeria monocytogenes/
リステリア症 [リステリアしょう] /(n) listeriosis/
リスト /(n) (1) list/(2) wrist/(P)/
リストア /(n) restore/
リストアップ /(n,vs) listing (wasei: list up)/
リストインデックス /(n) (comp) list index/
リストカット /(n,vs) wrist cutting/slashing one's wrists/
リストサーブ /(n) (comp) listserver/
リストッキングフィー /(n) restocking fee/
リストバンド /(n) wristband/
リストプローカー /(n) list broker/
リストボックス /(n) (comp) listbox/
リストラ /(n) (abbr) (corporate) restructuring/downsizing/(P)/
リストラクチャリング /(n) (1) (financial) restructuring/converting short-term debt into long-term debt/(2) (corporate) restructuring/downsizing/
リストラクチュアリング /(n) (1) (financial) restructuring/converting short-term debt into long-term debt/(2) (corporate) restructuring/downsizing/
リストラチャリング /(n) (1) (financial) restructuring/converting short-term debt into long-term debt/(2) (corporate) restructuring/downsizing/
リストラ策 [リストラさく] /(n) restructuring scheme/
リスト演算子 [リストえんざんし] /(n) (comp) list operator/
リスト処理 [リストしょり] /(n) (comp) list processing/
リスト装置 [リストそうち] /(n) (comp) list device/
リスナ /(n) (comp) listener/
リスナー /(n) listener/(P)/
リスニング /(n) listening/
リスニングルーム /(n) listening room/
リスプ /(n) (1) lisp/(2) (comp) LISP/
リスペクト /(n) respect/
リスボン /(n) Lisbon/(P)/
リスポンス /(n,vs) response/
リスモドキ /(n) (uk) (obsc) tree shrew/
リス亜目 [リスあもく] /(n) Sciuromorpha (suborder of rodents)/
リズミカル /(adj-na,n) rhythmical/(P)/
リズミックソウル /(n) rhythmic soul/
リズム /(n) rhythm/(P)/
リズムアンドブルース /(n) rhythm and blues/R & B/
リズムギター /(n) rhythm guitar/
リズムセクション /(n) rhythm section/
リズムボックス /(n) rhythm box/
リズムマシーン /(n) rhythm machine/
リズム運動 [リズムうんどう] /(n) rhythmic exercises/
リズム感 [リズムかん] /(n) sense of rhythm/rhythmical sense/
リズム法 [リズムほう] /(n) rhythm method/
リセ /(n) lycee (fre:)/(P)/
リセール /(n) RESale/
リセッション /(n) recession/(P)/
リセット /(n,vs) reset/
リセットスイッチ /(n) (comp) reset switch/
リセットボタン /(n) (comp) reset button/
リセットモード /(n) (comp) initial condition mode/reset mode/
リセプション /(n) reception/
リセラー /(n) reseller/
リソース /(n) resource/
リソースＢＯＤ [リソースビーオーディー] /(n) (comp) resource Bandwidth On Demand/
リソースエディタ /(n) (comp) resource editor/
リソースファイル /(n) (comp) resource file/
リソースフォーク /(n) (comp) resource fork/
リソース割当 [リソースわりあて] /(n) (comp) resource allocation, assignment/
リソグラフィ /(n) (comp) lithography/
リソグラフィー /(n) lithography/
リソスフェア /(n) lithosphere/
リソソーム /(n) lysosome/
リソルジメント /(n) risorgimento (ita:)/
リゾート /(n) resort/(P)/
リゾートウェア /(n) resort wear/
リゾートウエア /(n) resort wear/
リゾートハウス /(n) villa (wasei: resort house)/
リゾートホテル /(n) resort hotel/(P)/
リゾート地 [リゾートち] /(n) resort (spot)/
リゾチーム /(n) lysozyme/
リゾット /(n) risotto (ita:)/(P)/
リゾルバ /(n) (comp) resolver/
リゾルバー /(n) (comp) resolver/
リゾルバキャッシュ /(n) (comp) caching resolver/
リターナブル /(adj-f) returnable/
リターン /(n,vs) return/(P)/
リターンエース /(n) unhittable return in tennis (wasei: return ace)/
リターンキー /(n) (comp) RETURN key/
リターンズ /(n) returns/
リターンパス /(n) (1) return pass/(2) return path/
リターンマッチ /(n) return match/(P)/
リターンメール /(n) (comp) email that is returned as undeliverable (wasei: return mail)/
リターン値 [リターンち] /(n) (comp) return value/
リタイア /(n,vs) retire/(P)/
リタッチ /(n,vs) retouch/
リタリン /(n) Ritalin (methylphenidate)/
リタルダンド /(n) ritardando (ita:)/
リダイアル /(n) redial/
リダイヤル /(n) (comp) redialing/
リダイレクション /(n) redirection/
リダイレクト /(n,vs) redirect/
リダイレクトＵＲＬ [リダイレクトユーアールエル] /(n) (comp) redirect URL/
リダクション /(n) reduction/
リダンダンシー /(n) redundancy/
リチア雲母 [リチアうんも] /(n) lithia mica/
リチウム /(n) lithium (Li)/(P)/
リチウムイオンバッテリ /(n) (comp) lithium-ion battery/
リチウムイオンバッテリー /(n) lithium-ion battery/
リチウムイオン電池 [リチウムイオンでんち] /(n) (comp) lithium-ion battery/
リチウムポリマーバッテリ /(n) (comp) lithium polymer battery/
リチウムポリマー電池 [リチウムポリマーでんち] /(n) (comp) lithium polymer battery/
リチウム電池 [リチウムでんち] /(n) lithium battery/
リチウム爆弾 [リチウムばくだん] /(n) lithium bomb/
リチャージ /(n) recharge/
リック /(n,vs) lick/
リックロール /(n,vs) rickroll/
リッジ /(n) ridge/
リッジテール・モニター /(n) ridge-tailed monitor (Varanus acanthurus, species of monitor lizard found throughout the arid northern regions of Australia)/spiny-tailed monitor/
リッジテールモニター /(n) ridge-tailed monitor (Varanus acanthurus, species of monitor lizard found throughout the arid northern regions of Australia)/spiny-tailed monitor/
リッスン /(n) (comp) listen/
リッター /(n) litre/
リッターカー /(n) car with 1000cc engine (wasei: liter car)/(P)/
リッチ /(adj-na,n) rich/(P)/
リッチテキストフォーマット /(n) (comp) rich text format/RTF/
リッチメディア /(n) rich media/
リットル /(n) litre (fre:)/(P)/
リットル病 [リットルびょう] /(n) Little's disease (i.e. spastic diplegia, a form of cerebral palsy)/
リッパ /(n) (1) ripper/(2) ripsaw/
リッパー /(n) (1) ripper/(2) ripsaw/
リッパーソフトウェア /(n) (comp) ripper software/
リッピング /(n) (comp) ripping/
リッピングソフトウェア /(n) (comp) ripping software/
リップ /(n) (1) lip/(2) rip/
リップクリーム /(n) lip balm (wasei: lip cream)/chapstick/
リップサービス /(n) lip service/(P)/
リップス /(n) (comp) LIPS/
リップスティック /(n) lipstick/
リップソ /(n) ripsaw/
リップリーディング /(n) lipreading/
リップル /(n) ripple/
リップルけた上げ [リップルけたあげ] /(n) (comp) ripple carry/
リツイート /(n,vs) (comp) retweet/
リテール /(n) retail/
リテールバンキング /(n) small-scale finance (wasei: little banking)/
リテールファイナンス /(n) small-scale finance (wasei: little finance)/
リテラシ /(n) literacy/
リテラシー /(n) literacy/
リテラチャー /(n) literature/
リテラチュア /(n) literature/
リテラル /(n) literal/
リディスプレイ /(n) redisplay/
リデュース /(n) reduce/
リトアニア /(n) Lithuania/(P)/
リトアニア語 [リトアニアご] /(n) Lithuanian (language)/
リトグラフ /(n) lithograph/(P)/
リトマス /(n) litmus/
リトマス紙 [リトマスし] /(n) litmus paper/
リトマス試験紙 [リトマスしけんし] /(n) litmus paper/
リトミック /(n,adj-no) eurhythmics (fre: rhytmique)/
リトライ /(n) retry/
リトラクタブル /(n) retractable/
リトラクタブルヘッドランプ /(n) retractable headlamp/
リトラクト /(n) (comp) retract/
リトル /(adj-na,n) little/(P)/
リトル・スパインフット /(n) little spinefoot (Siganus spinus, species of Indo-West Pacific rabbitfish)/black spinefoot/black trevally/blue-spotted trevally/spiny rabbitfish/
リトルエンディアン /(n) (comp) little-endian/
リトルエンディアン式 [リトルエンディアンしき] /(n,adj-no) (comp) little endian/
リトルスパインフット /(n) little spinefoot (Siganus spinus, species of Indo-West Pacific rabbitfish)/black spinefoot/black trevally/blue-spotted trevally/spiny rabbitfish/
リトルトーキョー /(n) Little Tokyo/
リトルマガジン /(n) little magazine/
リトルリーグ /(n) Little League/
リトルロック /(n) Little Rock/(P)/
リドゥ /(n) (comp) redo/
リドカイン /(n) lidocaine/
リナックス /(n) (comp) Linux/
リナロール /(n) linalool/
リニア /(adj-na,n) linear/(P)/
リニアアクセレレーター /(n) linear accelerator/
リニアプログラミング /(n) (obsc) linear programming/linear programing/
リニアモーター /(n) linear motor/
リニアモーターカー /(n) linear motor train (wasei: linear motorcar)/linear induction motor train/magnetic levitation train/maglev train/(P)/
リニクス /(n) (comp) Linux/
リニメント /(n) liniment/
リニュー /(n,vs) renewing/
リニューアブル /(adj-f) renewable/
リニューアル /(n,vs) renovation/overhaul/update/repair/improvement/(P)/
リヌクス /(n) (comp) Linux/
リヌックス /(n) (comp) Linux/
リネージ /(n) lineage/
リネーム /(n,vs) rename/(P)/
リネン /(n) linen/
リノール /(n) linole/(P)/
リノール酸 [リノールさん] /(n) linoleic acid/
リノタイル /(n) lino tile/
リノベーション /(n) renovation/
リノリウム /(n) linoleum/
リノリウム版画 [リノリウムはんが] /(n) linocut/
リノレン酸 [リノレンさん] /(n) linolenic acid/
リハ /(n) (abbr) rehearsal/
リハーサル /(n) rehearsal/(P)/
リハビリ /(n,adj-no) (abbr) rehabilitation/(P)/
リハビリセンター /(n) rehabilitation centre/rehabilitation center/
リハビリテーション /(n) rehabilitation/(P)/
リバー /(n) (1) liver/(2) river/
リバーサイド /(n) riverside/
リバーサルフィルム /(n) reversal film/slide (film)/transparency/
リバーシブル /(adj-na) reversible/(P)/
リバーシブルコート /(n) reversible coat/
リバーシブルファブリック /(n) reversible fabric/
リバーシブルレーン /(n) reversible lane/
リバース /(n,vs) (1) reverse/(n) (2) rebirth/(3) (sl) vomit/
リバースＰｒｏｘｙ [リバースプロキシ] /(n) (comp) reverse proxy/
リバースエンジニアリング /(n) (comp) reverse engineering/
リバースターン /(n) reverse turn/
リバースプロキシ /(n) (comp) reverse proxy/
リバースプロクシ /(n) (comp) reverse proxy/
リバースロール /(n) reverse roll/
リバース表示 [リバースひょうじ] /(n) (comp) reverse video/
リバーブ /(n) (comp) reverberation/
リバーレース /(n) Leaver lace/
リバイアサン /(n) leviathan/
リバイズドエディション /(n) revised edition/
リバイバル /(n,vs) revival/(P)/
リバイブショップ /(n) revive shop/
リバウンド /(n,vs) rebound/(P)/
リバタリアニズム /(n) libertarianism/
リバティー /(n) liberty/(P)/
リバプールサウンド /(n) Liverpool Sound/(P)/
リバランシング /(n) rebalancing/
リバリュエーション /(n) revaluation/
リパーゼ /(n) lipase (ger: Lipase)/
リパブリカン /(n) republican/
リパブリック /(n) republic/
リヒタースケール /(n) Richter Scale (of earthquakes)/
リビア /(n) Libya/(P)/
リビアネコ /(n) (uk) (obsc) Libyan wildcat (Felis silvestris lybica)/African wildcat/
リビアヤマネコ /(n) (uk) Libyan wildcat (Felis silvestris lybica)/African wildcat/
リビア山猫 [リビアやまねこ] /(n) (uk) Libyan wildcat (Felis silvestris lybica)/African wildcat/
リビア猫 [リビアねこ] /(n) (uk) (obsc) Libyan wildcat (Felis silvestris lybica)/African wildcat/
リビジョニスト /(n) revisionist/
リビジョン /(n) revision/(P)/
リビドー /(n) libido (lat:)/
リビング /(n) (1) living/lifestyle/(2) (abbr) living room/(P)/
リビングウィル /(n) living will/
リビングウイル /(n) living will/
リビングキッチン /(n) living-room plus kitchen (wasei: living kitchen)/
リビングストック /(n) living stock/
リビングセット /(n) (abbr) living room set/
リビングダイニング /(n) living-room and dining-room/
リビングダイニングキッチン /(n) living-room, dining-room and kitchen/
リビングルーム /(n) living room/
リピータ /(n) (1) repeater (e.g. signal processing, communications)/(2) repeat guest/repeat customer/
リピーター /(n) (1) repeater (e.g. signal processing, communications)/(2) repeat guest/repeat customer/(P)/
リピーター客 [リピーターきゃく] /(n) repeat customer/
リピータハブ /(n) (comp) repeater hub/
リピート /(n,vs) repeat/
リピートキー /(n) (comp) repeat key/
リピド /(n) lipid/
リファイナンス /(n) refinance/(P)/
リファイン /(n,vs) refine/
リファレンサ /(n) referencer/
リファレンス /(n) reference/
リファレンスガイド /(n) reference guide/
リファレンスラスタライザ /(n) (comp) reference rasterizer/
リファレンダム /(n) referendum/
リフィル /(n) refill/
リフォーミスト /(n) reformist/
リフォーミング /(n) reforming/
リフォーム /(n,vs) renovation (e.g. a house) (wasei: reform)/redecoration/makeover/updating/(P)/
リフォームインストラクター /(n) renovation specialist (wasei: reform instructor)/
リフォームプラン /(n) renovation plan (usu. of a house) (wasei: reform plan)/
リフティング /(n) football juggling (wasei: lifting)/soccer ball juggling/
リフト /(n) (1) lift/(2) rift/(P)/
リフトバス /(n) kneeling bus (wasei: lift bus)/
リフトバック /(n) liftback/
リフトバルブ /(n) lift valve/
リフレーション /(n) reflation/
リフレーミング /(n) reframing/
リフレーン /(n) refrain/
リフレイン /(n) refrain/
リフレクション /(n) reflection/
リフレクションマッピング /(n) (comp) refraction mapping/
リフレクソロジー /(n) reflexology/
リフレクター /(n) reflector/
リフレクティブ /(n) reflective/
リフレクト /(n) reflect/
リフレシュ /(n,vs) refresh (e.g. memory)/
リフレックス /(n) reflex/
リフレッシュ /(n,vs) refresh (e.g. memory)/(P)/
リフレッシュメント /(n) refreshment/
リフレッシュレート /(n) (comp) refresh rate/
リフレッシュ速度 [リフレッシュそくど] /(n) (comp) refresh rate/
リフローはんだ付 [リフローはんだづけ] /(n) reflow soldering/
リフロー半田付け [リフローはんだづけ] /(n) reflow soldering/
リブ /(n) (1) rib/(2) (abbr) liberation/(P)/
リブート /(n,vs) (comp) reboot/
リブボールト /(n) rib vault/
リブリーザー /(n) rebreather/provides a breathing gas containing oxygen and recycles exhaled gas/
リブレット /(n) libretto/
リブロース /(n) rib roast/
リプライ /(n) reply/(P)/
リプリケーション /(n) replication/
リプリケート /(n) replicate/
リプリント /(n,vs) reprint/
リプル /(n) ripple/
リプレー /(n,vs) replay/
リプレース /(n,vs) replace/
リプレゼンテーション /(n) representation/
リプレッサー /(n) repressor (biochemistry)/
リプレッション /(n) repression/
リプロタクション /(n) reproduction/
リプロダクション /(n) reproduction/
リプロダクティブライツ /(n) reproductive rights/
リベート /(n) (1) rebate/(2) commission/kickback/(P)/
リベッタ /(n) riveter/
リベッター /(n) riveter/
リベッテッドジョイント /(n) riveted joint/
リベット /(n) rivet/
リベット接合 [リベットせつごう] /(n) rivet connection/
リベラリスト /(n) liberalist/(P)/
リベラリズム /(n) liberalism/(P)/
リベラル /(adj-na,n) liberal/(P)/
リベラルアーツ /(n) liberal arts/
リベラルフェミニズム /(n) liberal feminism/
リベリア /(n,adj-no) Liberia/(P)/
リベリアカバ /(n) (uk) (obsc) pygmy hippopotamus (Choeropsis liberiensis)/
リベリア河馬 [リベリアかば] /(n) (uk) (obsc) pygmy hippopotamus (Choeropsis liberiensis)/
リベンジ /(n) (1) revenge/(n,vs) (2) determination of a loser to win the next time/
リペア /(n) repair/
リペレット /(n,vs) re-pellet (plastics industry)/regrind/grinding plastic scraps into small pieces as a form of recycling/
リホーミング /(n) reforming/
リホーム /(n) redecoration (wasei: re-home)/
リボース /(n) ribose/
リボソーム /(n) ribosome/(P)/
リボゾーム /(n) ribosome/
リボヌクレアーゼ /(n) ribonuclease/
リボフラビン /(n) riboflavin/
リボルバー /(n) revolver/
リボルビング /(n) revolving/
リボルビングシステム /(n) revolving (credit payment) system/
リボルビングファンド /(n) revolving fund/
リボルビングローン /(n) revolving loan/
リボルビング払い [リボルビングばらい] /(n) revolving payments/
リボン /(n) ribbon/(P)/
リボンカートリッジ /(n) (comp) ribbon cartridge/
リボングラス /(n) ribbongrass/
リボンケーブル /(n) (comp) ribbon cable/
リボンストライプ /(n) ribbon stripe/
リボ核酸 [リボかくさん] /(n) ribonucleic acid/RNA/
リボ払い [リボばらい] /(n) (abbr) revolving payments/payment via multiple installments/
リポーター /(n) reporter/(P)/
リポート /(n,vs) report/paper/(P)/
リポイド /(n) lipoid/
リポジトリ /(n) repository/
リポステロイド /(n) liposteroid/
リポソーム /(n) liposome/
リポトロピン /(n) lipotropin/lipotrophin/
リポ酸 [リポさん] /(n) lipoic acid/
リポ多糖 [リポたとう] /(n) lipopolysaccharide/LPS/lipoglycans/
リポ蛋白質 [リポたんぱくしつ] /(n) lipoprotein/
リマ /(n) Lima/(P)/
リマーク /(n) remark/
リマインダ /(n) reminder/
リマインダー /(n) reminder/
リマスター /(n) (audio) remastering/
リミタ /(n) (comp) limiter (e.g. in analog computing)/
リミックス /(n) remix/
リミッタ /(n) limiter/
リミッター /(n) limiter/
リミット /(n) limit/(P)/
リミットゲージ /(n) limit gauge/
リミットサイクル /(n) limit-cycle/
リミテーション /(n) limitation/
リミティッド /(adj-na,adj-no) limited/
リミテッド /(adj-na,adj-no) limited/(P)/
リミナリティー /(n) liminality/
リム /(n) rim/(P)/
リムーバー /(n) remover/
リムーバブル /(n) (comp) removable/
リムーバブルストレージ /(n) (comp) removable storage/
リムーバブルディスク /(n) (comp) removable disk/
リムーバブルハードディスク /(n) (comp) removable hard disk/
リムーバブルハードディスクドライブ /(n) (comp) removable hard drive/
リムクラッチ /(n) rim clutch/
リムショット /(n) rim-shot/
リムジーン /(n) (1) limousine (stretched car)/(2) (abbr) shuttle bus (usu. to airport) (wasei: limousine bus)/
リムジン /(n) (1) limousine (stretched car)/(2) (abbr) shuttle bus (usu. to airport) (wasei: limousine bus)/(P)/
リムジンバス /(n) shuttle bus (wasei: limousine bus)/bus that goes from an airport to hotels and such/
リムド鋼 [リムドこう] /(n) rimmed steel/
リムネット /(n) (comp) RIMNET/
リムランド /(n) rimland/
リメーク /(n,vs) remake/(P)/
リメイク /(n,vs) remake/(P)/
リメリック /(n) limerick/
リモート /(adj-no) remote/(P)/
リモートアクセス /(n) (comp) remote access/
リモートアクセスサービス /(n) (comp) Remote Access Services/RAS/
リモートエコー /(n) (comp) remote echo/
リモートカー /(n) remote car/
リモートコン /(n) (abbr) remote control/
リモートコントロール /(n) remote control/
リモートコンピューティング /(n) (comp) remote computing/
リモートジョブエントリー /(n) (comp) Remote Job Entry/RJE/
リモートスイッチ /(n) remote switch/
リモートセンシング /(n) remote sensing/
リモートディレクトリ /(n) remote directory/
リモートデジタルループバック /(n) (comp) remote digital loopback/
リモートプリント /(n) (comp) remote print/
リモートプロシージャコール /(n) (comp) remote procedure call (rpc)/
リモートホスト /(n) (comp) remote host/
リモートマウント /(n) (comp) remote mount/
リモートメインテナンス /(n) (comp) remote maintenance/
リモートユーザ /(n) (comp) remote user/
リモートログイン /(n) (comp) remote login/
リモート印刷 [リモートいんさつ] /(n) (comp) remote printing/
リモート管理 [リモートかんり] /(n) (comp) remote administration/
リモート接続 [リモートせつぞく] /(n) (comp) remote connection/
リモート操作 [リモートそうさ] /(n) (comp) remote operation/
リモート端末 [リモートたんまつ] /(n) (comp) remote terminal/
リモコン /(n,adj-no) (abbr) remote control/(P)/
リモネン /(n) limonene/
リャマ /(n) llama (Lama glama) (spa:)/
リヤ /(n,pref,adj-na) rear/
リヤール /(n) riyal/
リヤカー /(n) trailer towed by bicycle, etc. (wasei: rearcar)/
リュージュ /(n) sledge (fre:)/luge/(P)/
リュート /(n) lute/(P)/
リュードベリ定数 [リュードベリていすう] /(n) Rydberg constant/
リューマチ /(n,adj-no) rheumatism (ger: Rheumatismus)/(P)/
リューマチ熱 [リューマチねつ] /(n) rheumatic fever/
リュウキュウアイ /(n) (uk) Assam indigo (Strobilanthes cusia)/
リュウキュウヒメジ /(n) sidespot goatfish (Parupeneus pleurostigma)/
リュウグウノツカイ /(n) (uk) king of herrings (Regalecus glesne)/oarfish/ribbonfish/
リュウグウベラ /(n) Christmas wrasse (Thalassoma trilobatum)/green-barred wrasse/ladder wrasse/
リュウケツジュ /(n) (uk) dragon tree (Dracaena draco)/
リュウゼツラン /(n) (1) (uk) agave/maguey/(2) American aloe/century plant (Agave americana)/
リュウテンサザエ /(n) (uk) tapestry turban (species of turban shell, Turbo petholatus)/
リュウノヒゲ /(n) (uk) dwarf mondo grass (Ophiopogon japonicus)/
リュクサンブール /(n) Luxembourg/Luxemburg/
リュック /(n) (abbr) rucksack (ger:)/knapsack/backpack/
リュックサック /(n) rucksack (ger:)/knapsack/backpack/(P)/
リュフィリゼーション /(n) lyophilization/lyophilisation/
リユース /(n) reuse/
リョーマチ /(n,adj-no) rheumatism (ger: Rheumatismus)/
リョウブ /(n) Japanese clethra/tree clethra/clethra barbinervis/
リョウブ科 [リョウブか] /(n) Clethraceae (plant family)/(common name) the white alder family/
リョコウバト /(n) (uk) passenger pigeon (Ectopistes migratorius)/
リラ /(n) (1) lilac (fre: lilas)/(2) lira (former currency) (ita:)/(3) lyra (gre: lyra)/(P)/
リライアビリティー /(n) reliability/
リライタブル /(adj-f) rewritable/
リライト /(n,vs) rewrite/
リラクセーション /(n) relaxation/
リラクゼーション /(n) relaxation/
リラックス /(n,vs) relax/(P)/
リリー /(n) lily/
リリーサー /(n) releaser/
リリース /(n,vs) release/(P)/
リリースカート /(n) lily skirt/
リリースノート /(n) (comp) release notes/
リリース情報 [リリースじょうほう] /(n) (comp) release notes/release information/
リリース番号 [リリースばんごう] /(n) (comp) release number/
リリーフ /(n,vs) (1) relief (i.e. pitcher)/(n) (2) relief (i.e. bas relief)/(P)/
リリーフカー /(n) bullpen cart/bullpen car/
リリーフピッチャー /(n) relief pitcher/
リリカル /(adj-na,n) lyrical/
リリシズム /(n) lyricism/
リリック /(adj-na) lyric/
リリヤン /(n) lily yarn/
リルート /(vs) rerouting/
リレー /(n,vs) relay/(P)/
リレーショナル /(n) relational/
リレーショナルＤＢＭＳ [リレーショナルディービーエムエス] /(n) (comp) relational DBMS/RDBMS/
リレーショナルデータベース /(n) (comp) relational database/RDB/
リレーショナルデータベースシステム /(n) (comp) Relational Database system/
リレーション /(n) relation/
リレーレース /(n) relay race/
リロード /(n,vs) (comp) reload/
リロードボタン /(n) (comp) reload button (on a browser)/
リロる /(v5r) (sl) to reload (gun, web page, etc.)/
リロケーション /(n) relocation/
リロケーションサーブス /(n) relocation service/
リロケータブル /(n) (comp) relocatable/
リロケータブルコード /(n) (comp) relocatable code/
リロケータブルプログラム /(n) (comp) relocatable program/
リロケート /(n,vs) (comp) relocate/
リワインド /(n) rewind/
リンカ /(n) (comp) linker/linkage editor/
リンカー /(n) (comp) linker/linkage editor/
リンガ /(n) linga (phallus or phallic object) (san:)/lingam/
リンガー液 [リンガーえき] /(n) Ringer's solution/
リンガホン室 [リンガホンしつ] /(n) language laboratory (wasei: linguaphone room)/
リンガラ /(n) lingala/
リンギング /(n) ringing/
リンク /(n,vs) (1) link/directory entry/(n) (2) rink/(P)/
リンクグループ /(n) (comp) link group/
リンクス /(n) (1) links/(2) lynx/
リンクステート /(n) (comp) link state/
リンクストア /(n) link store/
リンクセット /(n) (comp) link set/
リンクトマルチセッション /(n) (comp) linked multi-session/
リンクバナー /(n) (comp) link banner (graphic or logo provided for use in linking to web site)/
リンクフリー /(n) used on the web to indicate that people may link to that page or site without restriction (wasei: link free)/
リンクマン /(n) linkman/
リンクリダイレクト /(n) (comp) link redirect/
リンク暗号化 [リンクあんごうか] /(n) (comp) link-by-link encipherment/
リンク型 [リンクがた] /(n) (comp) link type/
リンク故障 [リンクこしょう] /(n) (comp) link failure/
リンク処理定義 [リンクしょりていぎ] /(n) (comp) link process definition/LPD/
リンク状態 [リンクじょうたい] /(n) (comp) link state/
リンク数 [リンクすう] /(n) (comp) link count/
リンク制 [リンクせい] /(n) link system/
リンク制御プロトコル [リンクせいぎょプロトコル] /(n) (comp) link control protocol/
リンク切れ [リンクぎれ] /(n) dead link/linkrot/
リンク装置 [リンクそうち] /(n) linkage/
リンク端 [リンクたん] /(n) (comp) link end/
リンク番号 [リンクばんごう] /(n) (comp) link number/
リンク付け [リンクづけ] /(n) (comp) linking/
リンク付リスト [リンクつきリスト] /(n) (comp) linked list/
リング /(n) ring/(P)/
リングアウト /(n) ring out/
リングィーネ /(n) linguine (ita:)/linguini/
リングイーネ /(n) linguine (ita:)/linguini/
リングイネ /(n) linguine (ita:)/linguini/
リングカウンタ /(n) (comp) ring counter/
リングサイド /(n) ringside/(P)/
リングターミナル /(n) (comp) ring terminal (connector)/
リングテールサージャンフィッシュ /(n) ringtail surgeonfish (Acanthurus blochii, species of tang from the Indo-Pacific)/blue-banded pualu/dark surgeon/tailring surgeonfish/
リングテールサージョンフィッシュ /(n) ringtail surgeonfish (Acanthurus blochii, species of tang from the Indo-Pacific)/blue-banded pualu/dark surgeon/tailring surgeonfish/
リングテニス /(n) ring tennis/
リングネーム /(n) ring name/
リングネットワーク /(n) (comp) ring network/
リングノート /(n) ring binder (wasei: ring note)/
リングブック /(n) ring book/
リング型接続 [リングがたせつぞく] /(n) (comp) ring-shaped connection/
リング状 [リングじょう] /(n,adj-no) ring (shaped)/circular/
リング遅延 [リングちえん] /(n) (comp) ring latency/
リンケージ /(n) linkage/(P)/
リンケージエディタ /(n) (comp) linkage editor/
リンゲル液 [リンゲルえき] /(n) Ringer's solution/
リンゲル注射 [リンゲルちゅうしゃ] /(n) injection of Ringer's solution/
リンコマイシン /(n) lincomycin/
リンゴ /(n) (1) (uk) apple/(2) apple tree (Malus pumila)/
リンゴガリ /(n) apple picking/
リンゴ酸 [リンゴさん] /(n) malic acid/
リンゴ狩り [リンゴがり] /(n) apple picking/
リンゴ病 [リンゴびょう] /(n) fifth disease/erythema infectiosum/slapped cheek syndrome/
リンサン /(n) linsang/
リンス /(n,vs) (hair) rinse/(hair) conditioner/(P)/
リンター /(n) linter/
リンタンパク質 [リンタンパクしつ] /(n) phosphoprotein/
リンチ /(n,vs) lynch/bullying/abuse/beating/(P)/
リンディホップ /(n) lindy hop (variety of swing dance)/lindy/
リンデン /(n) (1) (abbr) European linden (Tilia x europaea)/common lime/(2) lindane (ger: Linden)/
リンデンバウム /(n) European linden (Tilia x europaea) (ger: Lindenbaum)/common lime/
リント /(n) lint/
リントン /(n) Linton (Japanese brand of haloperidol)/
リンネル /(n,adj-no) linen (fre: liniere)/
リンネ式命名法 [リンネしきめいめいほう] /(n) Linnaean nomenclature/
リンバーガー /(n) Limburger/
リンパ /(n) (uk) lymph (ger: Lymphe, dut: lympha)/(P)/
リンパ液 [リンパえき] /(n) lymph fluid/
リンパ管 [リンパかん] /(n) lymph duct/
リンパ球 [リンパきゅう] /(n) lymphocyte/
リンパ系 [リンパけい] /(n) lymphatic system/
リンパ腫 [リンパしゅ] /(n,adj-no) lymphoma/
リンパ性白血病 [リンパせいはっけつびょう] /(n) lymphocytic leukemia/
リンパ節 [リンパせつ] /(n) lymph node/
リンパ節炎 [リンパせつえん] /(n) lymphadenitis/
リンパ節腫脹 [リンパせつしゅちょう] /(n) lymphadenoma/lymph node enlargement/lymphadenopathy/
リンパ節腫瘍 [リンパせつしゅよう] /(n) lymphoma/
リンパ腺 [リンパせん] /(n) lymph gland/lymphatic gland/lymph node/
リンパ肉腫 [リンパにくしゅ] /(n) lymphosarcoma/
リンパ浮腫 [リンパふしゅ] /(n) lymphedema/lymphoedema/
リンホース /(n) (abbr) reinforcement/
リンホカイン /(n) lymphokine/
リンボー /(n) limbo/
リンボーダンス /(n) limbo dance/
リンボウガイ /(n) (uk) triumphant star turban (species of turban shell, Guildfordia triumphans)/
リン化水素 [リンかすいそ] /(n) (1) (chem) phosphine/phosphane/PH3/hydrogen phosphide/phosphorus trihydride/(2) diphosphine/diphosphane/P2H4/(3) solid hydrogen phosphides (a yellow powder)/
リン光 [リンこう] /(n) phosphorescence/
リン酸 [リンさん] /(n) phosphoric acid (H3PO4)/
リン酸アンモニウム [リンさんアンモニウム] /(n) ammonium phosphate/
リン酸エステル [リンさんエステル] /(n) phosphate ester/
リン酸カルシウム [リンさんカルシウム] /(n) calcium phosphate (Ca3(PO4)2)/
リン酸コデイン [リンさんコデイン] /(n) codeine phosphate/
リン酸ナトリウム [リンさんナトリウム] /(n) sodium phosphate/
リン酸塩 [リンさんえん] /(n) phosphate/
リン酸肥料 [リンさんひりょう] /(n) phosphate fertilizer/phosphate fertiliser/
リン脂質 [リンししつ] /(n) phospholipid/
リン青銅 [リンせいどう] /(n) phosphor bronze/
リヴァイアサン /(n) leviathan/
リヴァイヴァル /(n) revival/
リヴェンジ /(n) (1) revenge/(n,vs) (2) determination of a loser to win the next time/
ルー /(n) (1) roux (mixture of butter and flour used to make sauces) (fre:)/sauce made from such a mixture/(2) (Japanese) curry powder/curry sauce made from this powder/(P)/
ルーキー /(n) rookie/(P)/
ルーク /(n) rook (chess piece)/
ルーサン /(n) lucerne/
ルーザ /(n) (comp) luser/
ルージュ /(n) (1) rouge (fre:)/(2) lipstick/(P)/
ルース /(n) loose stone/unset jewel/
ルーススクラム /(n) loose scrum/
ルーズ /(adj-na) (1) loose (e.g. belt)/(2) slovenly/careless/slack/(P)/
ルーズリーフ /(n) loose-leaf/
ルーズリーフ式のノート [ルーズリーフしきのノート] /(n) (comp) looseleaf notebook/
ルーセント /(n) (comp) Lucent/
ルータ /(n) router/
ルーター /(n) router/
ルーチン /(n,adj-no) routine/(P)/
ルーチング /(n) routing/
ルーチングテーブル /(n) (comp) routing table/
ルーチング情報 [ルーチングじょうほう] /(n) (comp) routing information/
ルーツ /(n) roots/(P)/
ルーツとする /(exp,vs-i) to have roots in/
ルーティン /(n,adj-no) routine/(P)/
ルーティング /(n) routing/
ルーティングテーブル /(n) (comp) routing table/
ルーティングデータ /(n) (comp) routing data/
ルーティングハイアラーキ /(n) (comp) routing hierarchy/
ルーティングパターン /(n) (comp) routing pattern/
ルーティングプロトコル /(n) (comp) routing protocol/
ルーティングメッセージ /(n) (comp) routing message/
ルーティング機能 [ルーティングきのう] /(n) (comp) routing function/
ルーティング決定 [ルーティングけってい] /(n) (comp) routing decision/
ルーティング情報 [ルーティングじょうほう] /(n) (comp) routing information/
ルーテル教会 [ルーテルきょうかい] /(n) Lutheran Church/
ルーテル派 [ルーテルは] /(n) Lutheranism/
ルーデサック /(n) (obsc) condom (dut: roede-zak)/
ルート /(n) (1) root/(2) route/(P)/
ルートウィンドウ /(n) (comp) root window/
ルートサーバ /(n) (comp) route server/
ルートセールス /(n) route sales/
ルートセット /(n) (comp) route set/
ルートディレクトリ /(n) (comp) root directory/
ルートメニュー /(n) (comp) route menu/
ルートモジュール /(n) (comp) root module/
ルード /(n) rood (measure of land area)/
ルーバー /(n) louver/
ルービックキューブ /(n) Rubik's Cube/Erno Rubik's Magic Cube/
ルーピン /(n) lupine/lupin/
ルーフ /(n) roof/(P)/
ルーフィング /(n) roofing/
ルーフガーデン /(n) roof garden/
ルーフベンチレーター /(n) roof ventilator/
ルーフラック /(n) roof rack/
ルーブ・ゴールドバーグ・マシン /(n) Rube Goldberg machine/
ルーブル /(n) (1) ruble (Russian currency)/rouble/(2) Louvre (Museum)/(P)/
ルーブル建て [ルーブルだて] /(exp) denominated in Russian roubles/
ルーブル合意 [ルーブルごうい] /(n) rouble agreement (G7 in 1987)/
ループ /(n,vs) (comp) loop/ring network/(P)/
ループアンテナ /(n) loop antenna/
ループカーペット /(n) loop carpet/
ループタイ /(n) loop tie/bolo tie/
ループバック /(n) loopback/
ループバック試験 [ループバックしけん] /(n) (comp) loopback test/
ループブロック /(n) (comp) loop block/
ループヤーン /(n) loop yarn/
ループライン /(n) loop line/
ループ構成体 [ループこうせいたい] /(n) (comp) loop construct/
ループ状 [ループじょう] /(n) (comp) loop shape/loop configuration/
ループ線 [ループせん] /(n) loop line/
ループ抵抗 [ループていこう] /(n) (comp) loop resistance/
ループ不変式 [ループふへんしき] /(n) (comp) loop invariant/
ループ変数 [ループへんすう] /(n) (comp) loop variable/
ルーペ /(n) magnifying glass (ger: Lupe)/loupe/
ルーマニア語 [ルーマニアご] /(n) Romanian (language)/Rumanian/Roumanian/
ルーミング /(n) rooming (arranging a room to one's own taste)/
ルーム /(n) room/(P)/
ルームクーラー /(n) room cooler/air conditioner/
ルームサービス /(n) room-service/
ルームシェア /(n) sharing a flat (with roommates) (wasei: room share)/sharing an apartment/
ルームチャージ /(n) fee charged for hotel room (wasei: room charge)/
ルームミラー /(n) rear-view mirror (wasei: room mirror)/
ルームメート /(n) roommate/
ルームメイト /(n) roommate/
ルームライト /(n) room light/
ルームランナー /(n) treadmill (wasei: room-runner)/
ルームランプ /(n) room lamp/
ルーメン /(n) lumen (unit of luminous flux)/
ルーラ /(n) (comp) ruler/
ルーラー /(n) ruler/
ルーラル /(n) rural/
ルーラル地域 [ルーラルちいき] /(n) rural area/
ルール /(n) rule/(P)/
ルールオブロー /(n) rule of law/
ルールブック /(n) rule book/
ルール違反 [ルールいはん] /(n) against the rules/
ルーレット /(n) roulette (fre:)/(P)/
ルーン文字 [ルーンもじ] /(n) rune/
ルーヴル /(n) (1) Louvre (Museum)/
ルアー /(n) lure/(P)/
ルイサイト /(n) lewisite (chemical warfare agent)/
ルイジアナ /(n) Louisiana/(P)/
ルイス酸塩基 [ルイスさんえんき] /(n) Lewis acids & bases/
ルイセンコ学説 [ルイセンコがくせつ] /(n) Lysenkoism/
ルイビトン /(n) Louis Vuitton/
ルイボス /(n) rooibos (Aspalathus linearis)/redbush/
ルイボスティー /(n) rooibos tea/redbush tea/
ルイン /(n) ruins/
ルカーシェビッチ表記法 [ルカーシェビッチひょうきほう] /(n) (comp) prefix notation/Polish notation/parenthesis-free notation/Lukasiewicz notation/
ルカによる福音書 [ルカによるふくいんしょ] /(n) the Gospel according to Luke (book of the Bible)/
ルカ伝 [ルカでん] /(n) Gospel of Luke (book of the Bible)/
ルカ福音書 [ルカふくいんしょ] /(n) Gospel of Luke (book of the Bible)/
ルクス /(n) lux (fre:)/(P)/
ルクスメーター /(n) lux meter/
ルクセンブルク /(n) Luxembourg/Luxemburg/
ルゴール /(n) Lugol's solution/
ルサンチマン /(n) ressentiment (fre:)/(P)/
ルシ /(n) Rus' (old name of Russia)/
ルシフェラーゼ /(n) luciferase/
ルシフェリン /(n) luciferin/
ルシャトリエの原理 [ルシャトリエのげんり] /(n) Le Chatelier's principle/
ルシャトリエの法則 [ルシャトリエのほうそく] /(n) (obsc) Le Chatlier's law/
ルズム /(ik) (n) rhythm/
ルズムアンドブルース /(ik) (n) rhythm and blues/R & B/
ルズムボックス /(ik) (n) rhythm box/
ルター派教会 [ルターはきょうかい] /(n) (obsc) Lutheran Church/
ルチン /(n) (1) rutin/(2) routine/
ルック /(n) look/(P)/
ルック＆フィール [ルックアンドフィール] /(n) (comp) look & feel/
ルックアットミー /(n) (comp) Look@Me/
ルックアップ /(n,vs) (comp) look up/
ルックアップテーブル /(n) (comp) look-up table/LUT/
ルックアップ機能 [ルックアップきのう] /(n) (comp) lookup function/
ルックアヘッド方式 [ルックアヘッドほうしき] /(n) (comp) look-ahead (technique)/
ルックアンドフィール /(n) (comp) look and feel/
ルックス /(n) looks/(P)/
ルッコラ /(n) rocket (plant) (Eruca sativa) (ita: rucola)/arugula/roquette/
ルツ記 [ルツき] /(n) Ruth (book of the Bible)/
ルテイン /(n) lutein/
ルテチウム /(n) lutetium (Lu)/
ルテニウム /(n) ruthenium (Ru)/
ルネサンス /(n) Renaissance (fre:)/(P)/
ルネッサンス /(n) Renaissance (fre:)/(P)/
ルノー /(n) Renault/(P)/
ルバート /(n) rubato (ita:)/
ルバーブ /(n) rhubarb/
ルバシカ /(n) Russian blouse (rus: rubashka)/
ルパシカ /(n) Russian blouse (rus: rubashka)/
ルパン /(n,vs) (col) shoplifting/shoplifter/
ルビ /(n) (1) ruby/(2) ruby character/small hiragana or katakana readings of kanji usually above or to the side of the kanji (esp. used by printers and in ref. to printed material)/(P)/
ルビー /(n) (1) ruby/(2) ruby character/small hiragana or katakana readings of kanji usually above or to the side of the kanji (esp. used by printers and in ref. to printed material)/(3) (comp) Ruby (programming language)/(P)/
ルビーガラス /(n) ruby glass/
ルビー蝋虫 [ルビーろうむし] /(n) red wax scale/
ルビを振る [ルビをふる] /(exp,v5r) to write ruby characters (small furigana above or beside kanji)/
ルビジウム /(n) rubidium (Rb)/
ルビ振り [ルビふり] /(n) furigana/
ルピー /(n) rupee/
ルピア /(n) rupiah/
ルピナス /(n) lupine (lat: lupinus)/
ルフトハンザ /(n) Deutsche Lufthansa (German airlines)/(P)/
ルフラン /(n) refrain (fre:)/
ルブリケーション /(n) lubrication/
ルブロンオオツチグモ /(n) Goliath birdeater (Theraphosa blondi, a large species of tarantula)/
ルポ /(n,vs) (abbr) reportage/(P)/
ルポライター /(n) reportage writer/
ルポルタージュ /(n) reportage (fre:)/(P)/
ルミネセンス /(n) luminescence/
ルミネッセンス /(n) luminescence/
ルミノール /(n) luminol/(P)/
ルミノール試験 [ルミノールしけん] /(n) luminol test/
ルミノール反応 [ルミノールはんのう] /(n) luminol reaction/
ルモンド /(n) Le Monde (French newspaper)/(P)/
ルリカケス /(n) (uk) Lidth's jay (Garrulus lidthi)/
ルリガイ /(n) (uk) elongate janthina (species of purple sea snail, Janthina globosa)/
ルリコノハドリ /(n) (uk) Asian fairy bluebird (Irena puella)/
ルリスズメダイ /(n) (uk) sapphire devil (Chrysiptera cyanea, damselfish from the Indo-West Pacific)/
ルリスズメダイ属 [ルリスズメダイぞく] /(n) Chrysiptera (genus of damselfish in the family Pomacentridae)/
ルリタテハ /(n) (uk) blue admiral (species of nymphalid butterfly, Kaniska canace)/
ルリツグミ /(n) (uk) eastern bluebird (Sialia sialis)/
ルリノジコ /(n) (uk) indigo bunting (Passerina cyanea)/
ルリハタ /(n) (uk) gold-ribbon grouper (species of fish, Aulacocephalus temmincki)/
ルリビタキ /(n) (uk) red-flanked bluetail (species of flycatcher, Tarsiger cyanurus)/
ルリメイシガキスズメダイ /(n) blue-eye damselfish (Plectroglyphidodon johnstonianus)/
ルレット /(n) roulette (fre:)/
ルワンダ /(n,adj-no) (the Republic of) Rwanda (Ruanda)/
ルンギー /(n) lungi (Burmese clothing)/
ルンゲ /(n) lung (ger: Lunge)/(P)/
ルンゼ /(n) gully (ger: Runse)/
ルンバ /(n) rumba (spa:)/
ルンペン /(n,adj-no) loafer (ger: Lumpen)/free-loader/tramp/unemployed person/
ルンルン /(adj-f) euphoric/happy/buoyant/bouncy/
ルンルン気分 [ルンルンきぶん] /(n) euphoric mood/exuberant mood/
ルヴィ語 [ルヴィご] /(n) Luwian/Luvian (language)/
ル又 [るまた] /(n) kanji radical 79 at right/
レ /(n) re/2nd note in the tonic solfa representation of the diatonic scale/
レーウィン /(n) rawin (radio wind direction finding)/
レーエン /(n) (obsc) fiefdom (ger: Lehen)/
レーガノミクス /(n) Reaganomics/economic policies of Ronald Reagan (i.e. reduction of taxes, spending, and market regulation)/
レーガノミックス /(n) Reaganomics/economic policies of Ronald Reagan (i.e. reduction of taxes, spending, and market regulation)/
レーキ /(n) (1) rake/(2) lake (insoluble pigment)/
レーキドーザー /(n) rake dozer/
レーク /(n) lake/(P)/
レークサイド /(n) lakeside/
レーク受信機 [レークじゅしんき] /(n) (comp) rake receiver/
レーコン /(n) racon/
レーサー /(n) racer/(P)/
レーザ /(n) laser (Light Amplification by Stimulated Emission of Radiation)/
レーザー /(n) laser (Light Amplification by Stimulated Emission of Radiation)/(P)/
レーザーカット /(n) razor cut/
レーザーダイオード /(n) laser diode/
レーザーディスク /(n) laser disk/LD/(P)/
レーザープリンタ /(n) laser printer/
レーザープリンター /(n) laser printer/
レーザーポインター /(n) laser pointer/
レーザーメス /(n) laser scalpel/
レーザーライタ /(n) Laserwriter/
レーザー医学 [レーザーいがく] /(n) laser medicine/
レーザー印字装置 [レーザーいんじそうち] /(n) (comp) laser printer/
レーザー加工 [レーザーかこう] /(n) laser processing/laser machining/
レーザー核融合 [レーザーかくゆうごう] /(n) laser nuclear fusion/
レーザー光線 [レーザーこうせん] /(n) laser beam/
レーザー治療 [レーザーちりょう] /(n) laser therapy/
レーザー内視鏡 [レーザーないしきょう] /(n) laser endoscope/
レーザー兵器 [レーザーへいき] /(n) high energy laser weapon/
レーザダイオード /(n) (comp) laser diode/
レーザプリンタ /(n) (comp) laser printer/laser beam printer/
レーザメモリ /(n) (comp) laser memory/
レーザ印字装置 [レーザいんじそうち] /(n) (comp) laser printer/laser beam printer/
レーシズム /(n) racism/
レーシック /(n) laser-assisted in-situ keratomileusis (type of laser eye surgery)/LASIK/
レーシック手術 [レーシックしゅじゅつ] /(n) laser-assisted in-situ keratomileusis (type of laser eye surgery)/LASIK/
レーション /(n) ration/
レーシング /(adj-f) racing/
レーシングカー /(n) racing car/(P)/
レース /(n) (1) race/(2) lace/(3) lathe/(P)/
レースオオトカゲ /(n) lace monitor (Varanus varius, species of carnivorous monitor lizard found in eastern Australia)/lace goanna/
レースクイーン /(n) promotion girl (wasei: race queen)/
レースグラス /(n) lace glass/
レースソウ /(n) lace-leaf plant (Ouvirandra fenestralis, Aponogeton madagascariensis)/lattice-leaf plant/
レースペーパー /(n) (abbr) lace paper doily/
レースミュージック /(n) race music/
レースモニター /(n) lace monitor (Varanus varius, species of carnivorous monitor lizard found in eastern Australia)/lace goanna/
レース草 [レースそう] /(n) lace-leaf plant (Ouvirandra fenestralis, Aponogeton madagascariensis)/lattice-leaf plant/
レース編み [レースあみ] /(n) lacework/
レーズン /(n) raisin/
レーゾンデートル /(n) reason for living (fre: raison d'etre)/
レーダー /(n) radar/(P)/
レーダーガン /(n) radar gun/
レーダーサイト /(n) radar site/
レーダービーコン /(n) radar beacon/
レーダー天文学 [レーダーてんもんがく] /(n) radar astronomy/
レート /(n) (1) rate/(adj-na) (2) late/(P)/
レートをベースとしたフロー制御 [レートをベースとしたフローせいぎょ] /(n) (comp) rate-based flow control/
レートベース /(n) (comp) rate based/
レートベース輻輳制御 [レートベースふくそうせいぎょ] /(n) (comp) rate based congestion control/
レードーム /(n) radome/
レードル /(n) ladle/
レーニニズム /(n) Leninizm/
レーニン主義 [レーニンしゅぎ] /(n) Leninism/
レーバーユニオン /(n) labor union/labour union/
レーピア /(n) rapier/
レーベル /(n) (1) label (i.e. sticker)/(2) label (i.e. record label)/(P)/
レーベンスフィロゾフィー /(n) philosophy of life (ger: Lebensphilosophie)/
レーマ /(n) rhema/
レームダック /(n) lame duck/
レーヨン /(n) rayon (fre: rayonne, eng: rayon)/(P)/
レーリー散乱 [レーリーさんらん] /(n) Rayleigh scattering/
レーリー波 [レーリーは] /(n) Rayleigh wave/
レール /(n) rail/(P)/
レールウェー /(n) railway/
レールウエー /(n) railway/
レールガン /(n) railgun (gun in which a conductive projectile is propelled using electromagnetic force)/
レールバス /(n) rail bus/
レールロード /(n) railroad/
レーン /(n) (1) lane/(2) rain/(3) (abbr) reinforcement/(P)/
レーンウェア /(n) rainwear/
レーンウエア /(n) rainwear/
レーンコート /(n) raincoat/mackintosh/macintosh/trench coat/
レーンシューズ /(n) rain shoes/galoshes/
レーンジャー /(n) ranger/
レーンハット /(n) rainhat/
レーンボー /(n) rainbow/
レア /(n,adj-no) (1) rare/(2) rhea (flightless South American bird of family Rheidae) (lat:)/(P)/
レアー /(n,adj-no) (1) rare/(2) rhea (flightless South American bird of family Rheidae) (lat:)/
レアアイテム /(n) rare item (e.g. in RPG games)/
レアメタル /(n) rare metal/
レアリスム /(n) realism/
レアリテ /(n) reality/
レイ /(n) (1) lei/(2) ray/(3) lay/(P)/
レイアー /(n,adj-no) (1) rhea (flightless South American bird of family Rheidae) (lat:)/
レイアウト /(n,vs) layout/(P)/
レイアウトシステム /(n) layout-system/
レイアウトセル /(n) (comp) layout cell/
レイアウト表示 [レイアウトひょうじ] /(n) (comp) layout display/
レイアップ /(n,vs) lay-up (in basketball and golf)/layup/
レイオフ /(n) layoff/(P)/
レイク・トラウト /(n) lake trout (Salvelinus namaycush)/
レイクサイド /(n) lakeside/
レイクトラウト /(n) lake trout (Salvelinus namaycush)/
レイシガイ /(n) (uk) Thais bronni (species of muricid gastropod)/
レイシズム /(n) racism/
レイシャリズム /(n) racialism/
レイズ /(n) raise/
レイティング /(n) rating/
レイテンシ /(n) (comp) latency/
レイテ沖海戦 [レイテおきかいせん] /(n) Battle of Leyte Gulf (Oct. 23-25, 1944)/
レイトレーシング /(n) (comp) ray-tracing/
レイニー /(n) rainy/
レイバー /(n) labor/labour/
レイバーユニオン /(n) labor union/
レイバン /(n) Ray-Ban/
レイピア /(n) rapier/
レイピスト /(n) rapist/
レイブ /(n) rave/
レイプ /(n,vs) rape/(P)/
レイマン /(n) layman/
レイムダック /(n) lame duck/
レイヤ /(n) layer/
レイヤー /(n) layer/
レイヤード /(adj-f) (1) layered/(n) (2) layered clothing style/
レイヤードカット /(n) layered cut/
レイヤードルーチング /(n) (comp) layered routing/
レイヤードルック /(n) layered look/
レイヤ２トンネリングプロトコル [レイヤにトンネリングプロトコル] /(n) (comp) layer two tunneling protocol/
レイヨン /(n) rayon (fre: rayonne, eng: rayon)/
レイリー散乱 [レイリーさんらん] /(n) Rayleigh scattering/
レイリー波 [レイリーは] /(n) Rayleigh wave/
レイン /(n) (1) lane/(2) rain/(3) (abbr) reinforcement/(P)/
レインウエア /(n) rainwear/
レインコート /(n) raincoat/mackintosh/macintosh/trench coat/(P)/
レインコウト /(n) raincoat/mackintosh/macintosh/trench coat/
レインコト /(ik) (n) raincoat/mackintosh/macintosh/trench coat/
レインジ /(n) range/
レインジャー /(n) ranger/
レインフォーズバタフライフィッシュ /(n) Rainford's butterflyfish (Chaetodon rainfordi)/
レインボー /(n) rainbow/
レインボー・テトラ /(n) rainbow tetra (Nematobrycon lacortei)/
レインボークリーナーラス /(n) Hawaiian cleaner wrasse (Labroides phthirophagus)/rainbow cleaner wrasse/golden cleaner wrasse/
レインボーテトラ /(n) rainbow tetra (Nematobrycon lacortei)/
レインボーフィッシュ /(n) rainbow fish/(P)/
レオスタット /(n) rheostat/
レオタード /(n) leotard/(P)/
レオパード /(n) leopard (Panthera pardus)/leopard fur/
レオパードシャーク /(n) leopard shark (Triakis semifasciata, species found along the Pacific coast of North America)/
レオパードシャープノーズパファー /(n) leopard sharpnose puffer (Canthigaster leoparda)/leopard toby/
レオポン /(n) leopon (offspring born of a male leopard and a female lion)/
レオロジー /(n) rheology/
レガース /(n) leg guards/shin guard/leg pad/
レガーズ /(n) leg guards/shin guard/leg pad/(P)/
レガート /(n) legato/
レガシ /(n) (comp) legacy/
レガシー /(n) (comp) legacy/
レガシーシステム /(n) (comp) legacy system/
レガシーデバイス /(n) (comp) legacy device/
レガシデバイス /(n) (comp) legacy device/
レガッタ /(n) regatta/(P)/
レキシコン /(n) lexicon/
レキシン /(n) Lexin (Japanese brand of carbamazepine)/
レギュラー /(adj-na) (1) regular/(n) (2) regular member (e.g. of football team, etc.)/(3) regular (petrol, gasoline)/(P)/
レギュラーガソリン /(n) regular gasoline/
レギュラーコーヒー /(n) regular coffee (as opposed to instant coffee)/
レギュラーチェーン /(n) (abbr) regular chain store/
レギュラーバッティング /(n) regular batting/
レギュラーポジション /(n) regular position/
レギュラーメンバー /(n) regular member/
レギュレーション /(n) regulation/
レギュレーター /(n) regulator/
レギンス /(n) leggings/
レクイエム /(n) requiem (lat:)/(P)/
レクイエム・シャーク /(n) requiem shark/
レクイエムシャーク /(n) requiem shark/
レクチャー /(n,vs) lecture/(P)/
レクチャラー /(n) lecturer/
レクチン /(n) lectin/
レクリェーショナルダイビング /(n) recreational diving/no decompression stop diving/diving at depths which do not exceed 40 meters or 130 feet/
レクリェーション /(n) (1) recreation/(P)/
レクリエーション /(n) (1) recreation/(P)/
レクリエーションセンター /(n) recreation center/
レクリエーション療法 [レクリエーションりょうほう] /(n) recreation therapy/
レグホーン /(n) Leghorn (var. of chicken)/
レグホン /(n) Leghorn (var. of chicken)/
レグルス /(n) Regulus (star in Leonis) (lat:)/
レゲエ /(n) reggae/(P)/
レゲエおじさん /(n) (col) beggar/homeless/
レコーダー /(n) (1) recorder (e.g. tape recorder, time recorder)/recording device/(2) recorder (musical instrument)/English flute/(P)/
レコーディング /(n,vs) recording/(P)/
レコーディングスタジオ /(n) recording studio/
レコーディングダイエット /(n) weight-loss diet accompanied by meticulous notes about when and what one has eaten (wasei: recording diet)/
レコーディング細目 [レコーディングさいもく] /(n) (comp) recording item/
レコーディング年 [レコーディングねん] /(n) (comp) year of recording/
レコード /(n) (1) record (e.g. LP)/(2) record (e.g. athletics)/(P)/
レコードの溝 [レコードのみぞ] /(n) record groove/
レコードキー /(n) (comp) record key/
レコードコンサート /(n) record concert/
レコードプレーヤー /(n) record player/
レコードホルダー /(n) record holder/
レコードライブラリ /(n) (comp) sound recordings library/record library/
レコード屋 [レコードや] /(n) record shop/
レコード会社 [レコードがいしゃ] /(n) record company/
レコード間ギャップ [レコードかんギャップ] /(n) (comp) inter-record gap/
レコード間隔 [レコードかんかく] /(n) (comp) interrecord gap/IRG/
レコード記述 [レコードきじゅつ] /(n) (comp) record description/
レコード記述項 [レコードきじゅつこう] /(n) (comp) record description entry/
レコード形式 [レコードけいしき] /(n) (comp) record format/
レコード終わりマーク [レコードおわりマーク] /(n) (comp) end-of-record mark/
レコード針 [レコードばり] /(n) stylus/phonograph needle/
レコード大賞 [レコードたいしょう] /(n) the Japan Record Award/
レコード長 [レコードちょう] /(n) (comp) record length/record size/
レコード店 [レコードてん] /(n) record shop/
レコード内データ構造 [レコードないデータこうぞう] /(n) (comp) intra-record data structure/
レコード番号 [レコードばんごう] /(n) (comp) record number/
レコード盤 [レコードばん] /(n) phonograph record/gramophone record/
レコード分離キャラクタ [レコードぶんりキャラクタ] /(n) record separator/RS/
レコード変数 [レコードへんすう] /(n) (comp) record variable/
レコード名 [レコードめい] /(n) (comp) record-name/
レコード領域 [レコードりょういき] /(n) (comp) record area/
レコグニション /(n) recognition/
レコダイ /(n) (abbr) weight-loss diet accompanied by meticulous notes about when and what one has eaten/
レコメンデーション /(n) recommendation/
レゴ /(n) Lego/
レザー /(n) (1) leather/(2) razor/(P)/
レザーウエア /(n) leather wear/
レザーカット /(n) razor cut/
レザークラフト /(n) leather craft/
レザークロス /(n) leathercloth/
レザーサージャンフィッシュ /(n) razor surgeonfish (Prionurus laticlavius, species of eastern central Pacific tang)/
レザーサージョンフィッシュ /(n) razor surgeonfish (Prionurus laticlavius, species of eastern central Pacific tang)/
レザーブ /(n) reserve/
レザーペーパー /(n) leatherpaper/
レザーレット /(n) leatherette/
レザペパ /(n) coated paper/leatherette paper/
レシート /(n) receipt/docket (e.g. cash register)/(P)/
レシーバ /(n) receiver/
レシーバー /(n) receiver/(P)/
レシーブ /(n,vs) receive/(P)/
レシオ /(n) ratio/
レシタティーブ /(n) recitative/
レシタティーヴ /(n) recitative/
レシチン /(n) lecithin/
レシテーション /(n) recitation/
レシピ /(n) recipe/
レシピエント /(n) recipient/
レシプロ /(n) (abbr) reciprocating engine/
レシプロエンジン /(n) reciprocating engine/
レシプロシティー /(n) reciprocity/
レジ /(n) (abbr) (cash) register/(P)/
レジーム /(n) regime/
レジームチェンジ /(n) regime change/
レジェンド /(n) legend/
レジオネラ菌 [レジオネラきん] /(n) Legionella pneumophila (bacteria that causes Legionnaires' disease)/
レジオネラ症 [レジオネラしょう] /(n) Legionnaire's disease/
レジオンドヌール /(n) Legion d'honneur (fre:)/
レジスタ /(n) (1) register/(2) resistor/
レジスター /(n) (1) register/(2) resistor/(P)/
レジスターマーク /(n) register mark/
レジスタマーク /(n) register mark/
レジスタンス /(n) (1) resistance (fre:)/(2) popular resistance against a military invasion (especially of that by the French against the Nazis in World War II)/(P)/
レジスタ退避領域 [レジスタたいひりょういき] /(n) (comp) register save area/
レジスタ長 [レジスタちょう] /(n) (comp) register length/
レジスタ変数 [レジスタへんすう] /(n) (comp) register variable/
レジスト /(n,vs) resistance (from resist)/
レジストリ /(n) (comp) registry/
レジストリエディタ /(n) (comp) registry editor/
レジストレーション /(n) (comp) registration/
レジデンシャル /(adj-f) residential/
レジデンシャル・ホテル /(n) residential hotel/
レジデンシャルホテル /(n) residential hotel/
レジデンス /(n) residence/(P)/
レジマーク /(n) (abbr) register mark/
レジメ /(n) resume (fre:)/summary/outline/
レジメンタルタイ /(n) regimental tie/
レジャー /(n) leisure/(P)/
レジャーウエア /(n) leisure wear/
レジャーセンター /(n) leisure center/
レジャービル /(n) leisure centre (center) (wasei: leisure building)/
レジャーマーケット /(n) leisure market/
レジャーランド /(n) recreational area/leisure land/
レジャー産業 [レジャーさんぎょう] /(n) leisure industry/
レジャー施設 [レジャーしせつ] /(n) recreational facility/
レジューム /(n) (comp) resume/
レジューム機能 [レジュームきのう] /(n) (comp) resume functions/
レジュメ /(n) resume (fre:)/summary/outline/
レジョナリズム /(n) regionalism/
レジリエンス /(n) resilience/
レジン /(n) resin/
レジ袋 [レジぶくろ] /(n) (disposable) shopping bag/carrier bag/
レス /(n,vs) (1) (abbr) response/(2) less/(n-suf) (3) -less/(n) (4) loess/(P)/
レスアンカー /(n) (comp) link back to discussion group, bulletin board, etc. posting (wasei: response anchor)/
レスカ /(n) (abbr) lemon squash/
レスキュー /(n) rescue/(P)/
レスキューダイバー /(n) rescue diver/
レスキュー隊 [レスキューたい] /(n) rescue squad/rescue party/
レスキュー部隊 [レスキューぶたい] /(n) rescue party/rescue squad/
レステル /(n) (abbr) restaurant hotel/
レスト /(n) rest/(P)/
レストア /(n) restore/
レストハウス /(n) rest house/
レストラン /(n) restaurant (esp. Western-style) (fre:)/(P)/
レストランシアター /(n) restaurant theater/restaurant theatre/
レストラント /(n) restaurant (esp. Western-style) (fre:)/
レストランハウス /(n) freestanding building, often in a park, used for receptions, dinners, etc. (wasei: restaurant house)/
レストルーム /(n) rest room/
レスビアン /(n,adj-no) lesbian/
レスビアンフェミニズム /(n) lesbian feminism/
レスピレーター /(n) respirator/
レスポンシビリティー /(n) responsibility/
レスポンス /(n,vs) response/
レスポンスＰＤＵ [レスポンスピーディーユー] /(n) (comp) response PDU/
レスポンスタイム /(n) (comp) response time/
レスポンスフレーム /(n) (comp) response frame/
レスポンダ /(n) (comp) responder/
レスラ /(n) wrestler/
レスラー /(n) wrestler/
レスリング /(n) wrestling/(P)/
レズ /(n) (abbr) (derog) lesbian/dyke/lesbo/(P)/
レズっ気 [レズっけ] /(n) (sens) (col) lesbian feelings/lesbian tendencies/
レズる /(v5r) to engage in lesbian sexual activity/
レズビアニズム /(n) lesbianism/
レズビアン /(n,adj-no) lesbian/
レセプション /(n) reception/(P)/
レセプションアテンダント /(n) woman paid to accompany men at various events (wasei: reception attendant)/
レセプションルーム /(n) reception room/
レセプター /(n) receptor/
レセプタクル /(n) (comp) connector receptacle/
レセプタント /(n) (abbr) woman paid to accompany men at various events (wasei: reception attendant)/
レセプト /(n) (1) medical prescription (ger: Rezept)/(2) medical practitioners' receipt for health insurance claim/
レセルピン /(n) reserpine/
レソト /(n) Lesotho/
レソルシノール /(n) resorcinol/
レゾー /(n) reseau (fre:)/network/
レゾナンス /(n) resonance/
レゾリューション /(n) resolution/
レゾルシノール /(n) resorcinol/
レゾルシン /(n) resorcin/
レゾンデートル /(n) reason for something being so (fre: raison d'etre)/
レター /(n) letter/(P)/
レターサイズ /(n) (comp) letter size/
レターヘッド /(n) letterhead/
レターペーパー /(n) letter-paper/
レタス /(n) lettuce/(P)/
レタックス /(n) (abbr) letter facsimile/
レタッチ /(n) retouch/
レタリング /(n) lettering/(P)/
レダクションギヤ /(n) reduction gear/
レダクターゼ /(n) reductase/
レダマ /(n) (uk) Spanish broom (Spartium junceum) (spa: retama)/
レチクル座 [レチクルざ] /(n) constellation Reticulum (lat:)/
レチタティーヴォ /(n) recitativo (ita:)/
レチナール /(adj-f) retinal/
レチノール /(n) retinol/
レッカー /(n) tow truck (wasei: wrecker)/(P)/
レッカー車 [レッカーしゃ] /(n) tow truck (wasei: wrecker car)/
レック /(n) lek (communal ground used by birds in mating season)/lekking/
レック・ダイビング /(n) wreck diving/
レック・ダイブ /(n) wreck dive/
レックス /(n) (comp) REXX/
レックダイビング /(n) wreck diving/
レックダイブ /(n) wreck dive/
レッグウォーマー /(n) leg warmers/
レッグウオーマー /(n) leg warmers/
レッグオブマトンスリーブ /(n) leg of mutton sleeve/
レッサーパンダ /(n) red panda (Ailurus fulgens)/lesser panda/
レッシュ・ナイハン症候群 [レッシュ・ナイハンしょうこうぐん] /(n) Lesch-Nyhan syndrome/
レッスン /(n) lesson/(P)/
レッセフェール /(n) laissez-faire (fre:)/
レッセフェールレッセパッセ /(exp) laissez faire, laissez passer (fre:)/
レッツゴー /(exp) let's go/
レッテル /(n) label (dut: Letter)/sticker/(P)/
レッテルを貼る [レッテルをはる] /(exp,v5r) to label (someone as)/
レット /(n) let/
レッド /(adj-na,n) red/(P)/
レッド・スキャット /(n) red scat (red morph of the spotted scat, Scatophagus argus)/
レッドカード /(n) red card/
レッドキャベツ /(n) red cabbage/
レッドシー・バナーフィッシュ /(n) Red Sea bannerfish (Heniochus intermedius)/
レッドシーゴートフィッシュ /(n) Red Sea goatfish (Parupeneus forsskali)/
レッドシーメロンバタフライフィッシュ /(n) blacktail butterflyfish (Chaetodon austriacus)/exquisite butterflyfish/
レッドシーラクーンバタフライフィッシュ /(n) diagonal butterflyfish (Chaetodon fasciatus)/Red Sea raccoon butterflyfish/
レッドシフト /(n) red shift/
レッドスキャット /(n) red scat (red morph of the spotted scat, Scatophagus argus)/
レッドゾーン /(n) red zone/
レッドチークラス /(n) red-cheek wrasse (Thalassoma genivittatum)/
レッドテープ /(n) red tape/
レッドテール・キャットフィッシュ /(n) redtail catfish (Phractocephalus hemioliopterus)/
レッドテール・ブラック・シャーク /(n) red-tailed black shark (Epalzeorhynchos bicolor)/
レッドテールキャットフィッシュ /(n) redtail catfish (Phractocephalus hemioliopterus)/
レッドテールブラックシャーク /(n) red-tailed black shark (Epalzeorhynchos bicolor)/
レッドデータブック /(n) Red Data Book (of endangered species)/
レッドネック /(n) redneck/
レッドハットリナックス /(n) (comp) RedHat Linux/
レッドバックバタフライフィッシュ /(n) Eritrean butterflyfish (Chaetodon paucifasciatus)/crown butterflyfish/Red Sea chevron butterflyfish/
レッドパージ /(n) red purge/(P)/
レッドピッグフィッシュ /(n) red pigfish (Bodianus unimaculatus)/Eastern pigfish/reddish blackspot pigfish/
レッドフィンバタフライフィッシュ /(n) Melon butterflyfish (Chaetodon trifasciatus)/Redfin butterflyfish/three-banded coralfish/lineated butterflyfish/
レッドブック /(n) (comp) Red Book/
レッドブリック /(n) (comp) RedBrick/
レッドペッパー /(n) red pepper/
レッドミート /(n) red meat/
レッドラインド・ピグミーゴビー /(n) stripehead goby (Trimma striatum, was Trimma striata)/stripehead dwarf goby (an Indo-West Pacific fish species)/
レッドラインドピグミーゴビー /(n) stripehead goby (Trimma striatum, was Trimma striata)/stripehead dwarf goby (an Indo-West Pacific fish species)/
レティキュレイティッドスウェルシャーク /(n) reticulated swellshark (Cephaloscyllium fasciatum, species of catshark from the Western Pacific)/
レディ /(n) (1) lady/(2) ready/(P)/
レディー /(n) (1) lady/(2) ready/(P)/
レディース /(n) ladies/
レディーズ /(n) ladies/
レディーズファースト /(n) "ladies first" rule of etiquette (wasei: lady first)/
レディーファースト /(n) "ladies first" rule of etiquette (wasei: lady first)/
レディーメード /(n,adj-f) ready-made/
レディーメイド /(n,adj-f) ready-made/
レディネス /(n) readiness/
レディファースト /(n) "ladies first" rule of etiquette (wasei: lady first)/
レディング /(n) (comp) leading/
レトリーバー /(n) retriever/
レトリック /(n) rhetoric/(P)/
レトリバー /(n) retriever/
レトルト /(n) (1) (food) retort/sealed plastic pouch typically containing ready-made sauce or stew/boil-in-the-bag/(2) (chem) retort (dut:)/glass vessel used for distillation (now largely obs.)/(P)/
レトルトカーボン /(n) retort carbon/
レトルト食品 [レトルトしょくひん] /(n) packed and sterilised food/retort pack/
レトロ /(n) (abbr) retrospective/(P)/
レトロウイルス /(n) retrovirus/
レトロスペクティブ /(n,adj-no) retrospective/
レトロマン語 [レトロマンご] /(n) Rhaeto-Romance (language)/
レナンバ /(n) renumber/
レニウム /(n,adj-no) rhenium (Re)/
レニン /(n) renin/
レハビリ /(n) (abbr) rehabilitation/
レバー /(n) (1) lever/joystick/(2) (food) liver/(P)/
レバースリンク /(n) (comp) reverse link/
レバーソーセージ /(n) liver sausage/liverwurst/
レバーペースト /(n) liver paste/
レバノン /(n) Lebanon/(P)/
レバレッジ /(n) leverage/
レバレッジ効果 [レバレッジこうか] /(n) leverage effect/
レバ刺 [レバさし] /(n) liver sashimi/
レバ刺し [レバさし] /(n) liver sashimi/
レパートリ /(n) repertoire/repertory/
レパートリー /(n) repertoire/repertory/(P)/
レパートリーシステム /(n) repertory system/
レパードシャーク /(n) leopard shark (Triakis semifasciata, species found along the Pacific coast of North America)/
レビ /(n) (1) levee/(2) levy/
レビヤタン /(n) leviathan/
レビュー /(n,vs) (1) review/(2) revue/(P)/
レビューガール /(n) revue girl/
レビューワー /(n) reviewer/
レビレート /(n) levirate/
レビレート婚 [レビレートこん] /(n) levirate marriage/
レビ記 [レビき] /(n) Leviticus (book of the Bible)/
レビ人 [レビじん] /(n) Levite/member of the Hebrew tribe of Levi (who served a religious function)/
レピート /(n) repeat/
レピュテーション /(n) reputation/
レピュテイション /(n) reputation/
レフ /(n) (1) (abbr) reflex camera/(2) (abbr) reflector/(P)/
レファレンス /(n) reference/
レファレンスサービス /(n) reference service/
レファレンスブック /(n) reference book/
レファレンダム /(n) referendum/
レフィル /(n) refill/
レフェラルセンタ /(n) (comp) referral centre/
レフェリー /(n) referee/(P)/
レフェリーストップ /(n) referee stop/
レフェリーポジション /(n) referee's position/
レフト /(n) left/(P)/
レフトウイング /(n) left wing/
レフュジー /(n) refugee/
レフュジア /(n) refugia/refugium/
レフリー /(n) referee/
レフレクター /(n) reflector/
レフレックス /(n) reflex/
レフレックスカメラ /(n) reflex camera/
レフ板 [レフばん] /(n) reflector board/board reflector/
レブリン /(n) levulin/
レブル /(n) (1) level/(2) rebel/(3) revel/
レプチャ語 [レプチャご] /(n) Lepcha (language)/
レプトスピラ症 [レプトスピラしょう] /(n) leptospirosis/
レプトセファルス /(n) leptocephalus/
レプトン /(n) lepton (physics)/
レプラ /(n) leprosy (lat: lepra)/(P)/
レプリカ /(n) replica/(P)/
レプリカセット /(n) (comp) replica set/
レプリカセットトポロジ /(n) (comp) replica set topology/
レプリケーション /(n) (comp) replication/
レプレッサー /(n) repressor (biochemistry)/
レベック /(n) rebec/rebeck/
レベニュー /(n) revenue/
レベニューニュートラル /(n) revenue-neutral/
レベリオン /(n) rebellion/
レベリヨン /(n) rebellion/
レベル /(n) (1) level/(2) rebel/(3) revel/(P)/
レベルアップ /(n,vs) raising the level of (wasei: level up)/proceed to the next level/
レベルセット /(n) (comp) level set/
レベルセンス方式 [レベルセンスほうしき] /(n) (comp) level sense method/
レベルダウン /(n,vs) lowering the level (wasei: level down)/
レベル指示語 [レベルしじご] /(n) (comp) level indicator/
レベル番号 [レベルばんごう] /(n) (comp) level-number/
レベレーション /(n) revelation/
レペラーエッチング /(n) (obsc) Le Pera etching/
レボリューション /(n) revolution/
レボルト /(n) revolt/
レボルバー /(n) revolver/
レポ /(n) (abbr) report/
レポーター /(n) reporter/
レポート /(n,vs) report/paper/(P)/
レポジトリ /(n) (comp) repository (esp. in version control systems like CVS, SVN, etc.)/
レミニセンス /(n) reminiscence/
レミフェンタニル /(n) remifentanil (analgesic)/
レミング /(n) lemming/
レミントン /(n) Remington/
レムニスケート /(n) {maths} lemniscate/
レム睡眠 [レムすいみん] /(n) REM sleep/
レモネード /(n) lemonade/
レモン /(n) (uk) lemon/(P)/
レモンイエロー /(n) lemon yellow/
レモングラス /(n) lemongrass (Cymbopogon citratus)/lemon grass/
レモンザメ /(n) (uk) sicklefin lemon shark (Negaprion acutidens)/sharptooth lemon shark/
レモンザメ属 [レモンザメぞく] /(n) Negaprion (genus of requiem sharks in the family Carcharhinidae containing the two extant species of lemon sharks)/
レモンジュース /(n) lemon juice/
レモンスカッシュ /(n) lemon squash/
レモンソール /(n) lemon sole (Microstomus kitt)/
レモンチョウチョウウオ /(n) dotted butterflyfish (Chaetodon semeion)/decorated butterflyfish/golden butterflyfish/
レモンティー /(n) lemon tea/
レモンバター /(n) lemon butter/
レモンピール /(n) lemon peel/
レモン汁 [レモンじる] /(n) lemon juice (ingredient)/
レモン色 [レモンいろ] /(n,adj-no) lemon (colour)/
レモン水 [レモンすい] /(n) (1) lemon water/(2) lemonade/
レヤーケーキ /(n) layer cake/
レヤズ /(n) (abbr) cosplayer/
レユニオン /(n) Reunion/
レユニオンエンジェルフィッシュ /(n) reunion angelfish (Apolemichthys guezei)/
レラキシン /(n) relaxin/
レリーズ /(n) release/
レリーフ /(n) (1) relief (i.e. bas relief)/(P)/
レリック /(n) relic/
レルバス /(n) rail bus/
レンガ造り [レンガづくり] /(n) brickwork/
レンギョウ /(n) weeping forsythia (Forsythiae fructus, Forsythia suspensa)/weeping golden bell/
レングス /(n) length/(P)/
レンゲショウマ /(n) (uk) false anemone (Anemonopsis macrophylla)/
レンゲツツジ /(n) (uk) Japanese azalea (Rhododendron japonicum)/renge azalea/
レンサ球菌 [レンサきゅうきん] /(n,adj-no) streptococcus/
レンジ /(n) (1) range/stove/cooker/(2) (abbr) microwave oven/(P)/
レンジフード /(n) range food/
レンジファインダー /(n) range finder/
レンジャー /(n) ranger/(P)/
レンズ /(n) lens (dut:)/(P)/
レンズシャッター /(n) lens shutter/
レンズフード /(n) lens hood/
レンズマメ /(n) lentil/
レンズ雲 [レンズぐも] /(n) lenticularis/
レンズ状 [レンズじょう] /(adj-no,n) lenticular/lens-shaped/
レンズ豆 [レンズまめ] /(n) lentil/
レンタカー /(n) rental car/rent-a-car/hire car/(P)/
レンタサイクル /(n) rent-a-cycle/
レンタル /(n,adj-no) rental/(P)/
レンタルシステム /(n) rental system/
レンタルビデオ /(n) rental video/(P)/
レンタルルーム /(n) rental room/
レンダラ /(n) (comp) renderer/
レンダリング /(n) (comp) rendering/
レンチ /(n) (1) wrench/spanner/(2) linch/
レンチル /(n) lentil/
レンツの法則 [レンツのほうそく] /(n) Lenz's law/
レント /(n) lento (music)/Lent/
レントゲニウム /(n) Roentgenium (Rg)/
レントゲン /(n) (1) (abbr) X-ray/(2) roentgen (unit of ionizing radiation)/(P)/
レントゲン技師 [レントゲンぎし] /(n) radiographer/X-ray operator/
レントゲン検査 [レントゲンけんさ] /(n) X-ray examination/
レントゲン撮影 [レントゲンさつえい] /(n) X-ray (photography)/
レントゲン撮影機 [レントゲンさつえいき] /(n) X-ray machine/
レントゲン写真 [レントゲンしゃしん] /(n) X-ray photograph/
レントゲン線 [レントゲンせん] /(n) (obsc) X-ray/
レントラー /(n) landler (ger: Laendler)/
レンニン /(n) rennin/
レンネット /(n) rennet/
レンマ /(n) lemma/
レンリソウ /(n) (uk) Lathyrus quinquenervius (species of vetchling)/
レヴィアタン /(n) leviathan/
レヴェル /(n) (1) rebel/(2) level/
レヴュー /(n,vs) (1) review/(2) revue/
レ印 [レじるし] /(n) checkmark (lit: the shape of the katakana "re")/
レ点 [レてん] /(n) mark showing character order in Chinese texts/tick mark/
ロ /(n) (abbr) Russia/
ロ /(n) 2nd in a sequence denoted by the iroha system/2nd note in the diatonic scale (used in key names, etc.)/
ロー /(n) (1) law/(2) low/(3) row/(4) raw (device, file, etc.)/(P)/
ローアブソーバー /(n) low absorber/
ローアングル /(n) low angle/
ローエンド /(adj-f) (comp) low end/low level/
ローカライズ /(n) (1) localization/(vs) (2) to localize/
ローカライゼーション /(n) (comp) localization/localisation/
ローカリズム /(n) localism/regionalism/
ローカリゼーション /(n) (comp) localization/localisation/
ローカル /(adj-na,n) local/(P)/
ローカルエコー /(n) (comp) local echo/
ローカルエリアネットワーク /(n) (comp) local area network/LAN/
ローカルオブザーバー /(n) local observer/
ローカルオペレータ /(n) (comp) local operator/
ローカルカラー /(n) local color/local colour/
ローカルキャリア /(n) (comp) local carrier/
ローカルコスト /(n) local cost/
ローカルコンテント /(n) local content/
ローカルタイムゾーン /(n) (comp) local time zone/
ローカルテレビ /(n) (comp) local television/
ローカルディスク /(n) (comp) local disk/
ローカルトーク /(n) (comp) LocalTalk/
ローカルニュース /(n) local news/
ローカルバス /(n) (comp) local bus/
ローカルバスグラフィックス /(n) (comp) local bus graphics/
ローカルバスビデオ /(n) (comp) local bus video/local bus graphics/
ローカルファイル /(n) (comp) local file/
ローカルプリンタ /(n) (comp) local printer/
ローカルミニマ /(n) local minima/
ローカルルータ /(n) (comp) local router/
ローカルループ /(n) (comp) local loop/
ローカル競争 [ローカルきょうそう] /(n) (comp) local competition (e.g. telephone)/
ローカル事項 [ローカルじこう] /(n) (comp) local matter/
ローカル線 [ローカルせん] /(n) local line/
ローカル番組 [ローカルばんぐみ] /(n) local program/local programme/
ローカル変数 [ローカルへんすう] /(n) (comp) local variable/
ローカル名称 [ローカルめいしょう] /(n) (comp) local-title/
ローキー /(n) low-key/
ローキートーン /(n) lowkey tone/
ローキック /(n) low kick (e.g. in fighting)/
ローギア /(n) low gear/
ローグライク /(n) roguelike (character display computer game)/
ローコスト /(n) low cost/
ローサルファ /(n) low-sulphur (oil)/low-sulfur/LS/
ローザニリン /(n) rosanilin/rosaniline/
ローザンヌ会議 [ローザンヌかいぎ] /(n) (1) Lausanne Conference (1922)/(2) Lausanne Conference (1932)/
ローザンヌ学派 [ローザンヌがくは] /(n) Lausanne school (of economics)/
ローション /(n) (1) lotion/(2) (abbr) sexual lubricant/(P)/
ローシルク /(n) raw silk/
ロージーゴートフィッシュ /(n) rosy goatfish (Parupeneus rubescens)/
ロージン /(n) rosin/
ロージンバッグ /(n) rosin bag/
ロース /(n) (abbr) roast/roasting meat/sirloin/pork loin/(P)/
ロースクール /(n) law school/
ロースステーキ /(n) loin steak (wasei: roast steak)/
ロースター /(n) (1) roaster/(2) roster/
ロースト /(n,vs) roast/(P)/
ローストチキン /(n) roast chicken/
ローストビーフ /(n) roast beef/
ロースハム /(n) roast ham/
ローズ /(n) rose/(P)/
ローズアニリン /(n) rosaniline/
ローズウッド /(n) rosewood/
ローズグレー /(n) rose gray/
ローズヒップ /(n) rose hip/
ローズピンク /(n) rose pink/
ローズマダー /(n) rose madder/
ローズマリー /(n) rosemary/
ローゼ /(n) rose (wine) (fre:)/pink wine/(P)/
ローゼル /(n) roselle/
ローゼンバーグオオトカゲ /(n) Heath monitor (Varanus rosenbergi, species of carnivorous monitor lizard found in Australia)/Rosenberg's monitor/
ローソク /(n) (uk) candle/
ローソクの芯 [ローソクのしん] /(n) wick of a candle/
ローター /(n) rotor/(P)/
ロータス /(n) lotus/(P)/
ロータリー /(n) (1) rotary/roundabout/traffic circle/(adj-f) (2) rotary/rotating/(P)/
ロータリーエンジン /(n) rotary engine/
ロータリークラブ /(n) Rotary Club/(P)/
ロータリースイッチ /(n) rotary switch/
ロータリーポンプ /(n) rotary pump/
ロータリーレース /(n) rotary lathe/
ロータリー車 [ロータリーしゃ] /(n) rotary snowplow/rotary snowplough/
ロータンダ /(n) rotunda/
ローダ /(n) (comp) loader/
ローダー /(n) (comp) loader/
ローテ /(n) (abbr) rotation/
ローテーション /(n) rotation/(P)/
ローテータ /(n) rotator/
ローテーブル /(n) table with very short legs (from low table)/
ローティーン /(n) early teens (wasei: low teen)/
ローテク /(adj-f) low technology/low-tech/
ローデータ /(n) raw data/
ローディング /(n) loading/
ローデバイス /(n) (comp) raw device/
ローデンクロス /(n) loden cloth/
ロート /(n) funnel/
ロートアイアン /(n) wrought iron/
ロート油 [ロートゆ] /(n) Turkey red oil/
ロード /(n) (1) road/(n,vs) (2) load/(n) (3) lord/(P)/
ロードアイランド /(n) Rhode Island/
ロードゲーム /(n) road game/
ロードサイド /(n,adj-no) roadside/
ロードショー /(n) roadshow/(P)/
ロードショウ /(n) roadshow/
ロードスター /(n) roadster/
ロードセットピリオド /(n) (comp) load set period/
ロードテスト /(n) road test/
ロードデンドロン /(n) rhododendron/
ロードハウ・アイランド・バタフライフィッシュ /(n) Lord Howe Island butterflyfish (Amphichaetodon howensis)/
ロードハウバタフライフィッシュ /(n) three-striped butterflyfish (Chaetodon tricinctus)/three-band coralfish/
ロードバランサ /(n) (comp) load balancer/
ロードバランシング /(n) (comp) load balancing/
ロードプライシング /(n) road pricing/
ロードホールディング /(n) road holding/
ロードポイント /(n) (comp) load point/
ロードマップ /(n) road map/
ロードミラー /(n) road mirror/
ロードムービー /(n) road movie/
ロードモジュール /(n) (comp) load module/
ロードレーサー /(n) roadracer/
ロードレース /(n) road race/(P)/
ロードローラー /(n) road roller/
ロードワーク /(n) road work/
ローネック /(n) (abbr) low-necked collar/
ローハードル /(n) low hurdles/
ローバッテリ /(n) (comp) low battery/
ローパーテーション /(n) low partition/office partition/
ローパスフィルタ /(n) (comp) low pass filter/LPF/
ローヒール /(n) (abbr) low-heeled shoes/
ロービジョン /(n) low vision/
ローファー /(n) loafers/
ローファーズ /(n) loafers/
ローファット /(n) low-fat/
ローファットミルク /(n) low-fat milk/
ローブ /(n,adj-no) robe (fre:)/
ローブデコルテ /(n) robe decolletee (fre:)/low-cut dress/
ローブラウ /(n) lowbrow/
ローブロー /(n) low blow/
ロープ /(n) rope/(P)/
ロープウェー /(n) ropeway/aerial tram/cable car/
ロープウェイ /(n) ropeway/aerial tram/cable car/(P)/
ロープウエー /(n) ropeway/aerial tram/cable car/
ロープウエイ /(n) ropeway/aerial tram/cable car/
ロープデコルテ /(n) robe decolletee (fre:)/low-cut dress/
ロープレ /(n) (comp) (abbr) roleplay (e.g. in RPG computer games)/
ロープロファイルＰＣＩ [ロープロファイルピーシーアイ] /(n) (comp) low profile PCI/
ローボレー /(n) low volley/
ローマの信徒への手紙 [ローマのしんとへのてがみ] /(n) Epistle to the Romans (book of the Bible)/
ローマは一日にして成らず [ローマはいちにちにしてならず] /(exp) (id) Rome was not built in a day/
ローマカトリック教会 [ローマカトリックきょうかい] /(n) Roman Catholic Church/
ローマナイズ /(n,vs) romanization (from romanize)/
ローマン /(n) (1) romance (i.e. Arthurian romances) (fre: roman)/(2) novel/(3) romance/
ローマンス /(n) romance/
ローマン主義 [ローマンしゅぎ] /(n) romanticism/
ローマン体 [ローマンたい] /(n) Roman type (printing)/
ローマン的 [ローマンてき] /(adj-na) romantic (school)/
ローマン派 [ローマンは] /(n) romantic school/romanticism/
ローマ教会 [ローマきょうかい] /(n) Roman Catholic Church/
ローマ教皇 [ローマきょうこう] /(n) Pope/
ローマ教皇庁 [ローマきょうこうちょう] /(n) Roman Curia/
ローマ字 [ローマじ] /(n) Latin alphabet/transliteration of Japanese in "Roman" or Latin letters/romanization/romanisation/romaji/(P)/
ローマ字つづり [ローマじつづり] /(n) romanization (representation of foreign words using the Roman alphabet)/romanized spelling/
ローマ字化 [ローマじか] /(n) (comp) romanisation/
ローマ字綴り [ローマじつづり] /(n) romanization (representation of foreign words using the Roman alphabet)/romanized spelling/
ローマ字入力 [ローマじにゅうりょく] /(n) (comp) Romaji input/
ローマ条約 [ローマじょうやく] /(n) Treaty of Rome (treaty establishing the European Economic Community, 1957)/
ローマ神 [ローマかみ] /(n) Roman god or goddess/
ローマ神話 [ローマしんわ] /(n) Roman mythology/Roman myths/
ローマ進軍 [ローマしんぐん] /(n) march on Rome (1922)/
ローマ人への手紙 [ローマじんへのてがみ] /(n) Epistle to the Romans (book of the Bible)/
ローマ数字 [ローマすうじ] /(n) Roman numerals/
ローマ帝国 [ローマていこく] /(n) Roman Empire/
ローマ法 [ローマほう] /(n) Roman law/
ローマ法王 [ローマほうおう] /(n) Pope/
ローマ法大全 [ローマほうたいぜん] /(n) Corpus Juris Civilis/Justinian Code/
ローミング /(n) roaming (e.g. for cell phones, etc.)/
ローム /(n) loam/(P)/
ローム層 [ロームそう] /(n) stratum of loam/
ローヤリティ /(n) royalty/
ローヤリティー /(n) (1) royalty/(2) loyalty/
ローヤル /(n) (1) royal/
ローヤルストレートフラッシュ /(n) royal straight flush/
ローヤルゼリー /(n) royal jelly/
ローヤルティー /(n) (1) royalty/(2) loyalty/
ローラー /(n) roller/(P)/
ローラーゲーム /(n) roller game/
ローラーコースター /(n) roller coaster/
ローラースケート /(n) roller skate/(P)/
ローラーベアリング /(n) roller bearing/
ローラーホッケー /(n) roller hockey/
ローラー作戦 [ローラーさくせん] /(n,vs) community door-to-door campaign/search operation/cleaning campaign carried out thoroughly over an area/
ローラー族 [ローラーぞく] /(n) people devoted to inline rollerskating/
ローライズパンツ /(n) low-rise pants/
ローラシア /(n) Laurasia/
ローラシア大陸 [ローラシアたいりく] /(n) Laurasia/
ローラップ /(n) (comp) ROLAP/
ローリエ /(n) bay leaf (fre: laurier)/
ローリング /(n,vs) rolling/(P)/
ローリングプラン /(n) rolling plan/
ローリングミル /(n) rolling-mill/
ロール /(n,vs) roll/(P)/
ロールアウト /(n,vs) (comp) roll out/
ロールアップタイトル /(n) roll-up title/
ロールイン /(n,vs) (comp) roll in/
ロールインジケータ /(n) (comp) role indicator/
ロールオーバー /(n) rollover/
ロールオーバメニュー /(n) (comp) rollover menu/
ロールカラー /(n) roll collar/
ロールキャベツ /(n) cabbage roll (wasei: roll cabbage)/stuffed cabbage/
ロールクラッシャー /(n) roll crusher/
ロールケーキ /(n) jelly roll/jelly cake/
ロールコール /(n) roll call/
ロールサンド /(n) (abbr) roll sandwich/sandwich roll/
ロールシャッハテスト /(n) Rorschach test/Rorschach inkblot test/
ロールスロイス /(n) Rolls-Royce/
ロールバー /(n) roll bar/
ロールバック /(n) (comp) transaction rollback/rollback/
ロールバック起動サービスプリミティブ [ロールバックきどうサービスプリミティブ] /(n) (comp) Rollback-initiating service primitive/
ロールバック起動指示 [ロールバックきどうしじ] /(n) (comp) rollback-initiating indication/
ロールバック起動要求 [ロールバックきどうようきゅう] /(n) (comp) rollback-initiating request/
ロールパン /(n) bread roll/
ロールフィルム /(n) roll film/
ロールプレーイング /(n) (comp) role-playing/roleplaying/
ロールプレーイングゲーム /(n) (comp) role-playing game/RPG/
ロールプレイ /(n) roleplay (e.g. in computer RPG games)/
ロールプレイング /(n) (comp) role-playing/roleplaying/
ロールプレイングゲーム /(n) (comp) role-playing game/RPG/
ロールモデル /(n) role model/
ロール雲 [ロールぐも] /(n) roll cloud/
ロール紙 [ロールし] /(n) rolled paper/
ロール用紙 [ロールようし] /(n) (comp) roll paper/
ローレット /(n) knurling (fre:)/ridged pattern usu. on circular or cylindrical objects/
ローレットねじ /(n) knurled screw/
ローレベル /(adj-na,n) low-level/
ローレライ /(n) (1) Lorelei (Loreley)/Rhine maiden who lured sailors to their doom/(2) rock in the Rhine/
ローレル /(n) laurel/(P)/
ローレンシウム /(n) lawrencium (Lr)/(P)/
ローレンツアトラクター /(n) Lorenz attractor/
ローレンツィーズサージャント /(n) black-tail sergeant (Abudefduf lorenzi)/
ローレンツ曲線 [ローレンツきょくせん] /(n) Lorenz curve/
ローレンツ収縮 [ローレンツしゅうしゅく] /(n) Lorentz contraction/
ローレンツ短縮 [ローレンツたんしゅく] /(n) Lorentz contraction/
ローレンツ変換 [ローレンツへんかん] /(n) Lorentz transformation/
ローレンツ力 [ローレンツりょく] /(n) Lorentz force/
ローロー船 [ローローふね] /(n) roll-on-roll-off ship/
ローン /(n) (1) loan/(2) roan/(3) lawn (i.e. short grass)/(4) lawn (type of cotton cloth)/(P)/
ローンスキー /(n) lawn skiing/
ローンダリング /(n,vs) laundering (e.g. of money)/
ローンチ /(n,vs) launch/
ローンテニス /(n) lawn tennis/
ローンドゥリー /(n) laundry/
ローンドロマット /(n) laundromat/coin laundry/
ローンポジション /(n) loan position/
ロー付け [ローづけ] /(n) soldering/brazing/
ロアー /(n) lore/
ロイアリティ /(n) (1) royalty/(2) loyalty/
ロイアリティー /(n) (1) royalty/(2) loyalty/
ロイアルティ /(n) (1) royalty/(2) loyalty/
ロイアルティー /(n) (1) royalty/(2) loyalty/
ロイコマイシン /(n) leucomycin/
ロイシン /(n) leucine (ger: Leucin)/
ロイター通信 [ロイターつうしん] /(n) Reuters (news agency)/
ロイド眼鏡 [ロイドめがね] /(n) round glasses with thick plastic rims/
ロイホ /(n) (abbr) (sl) Royal Host (family restaurant chain)/
ロイマチス /(n,adj-no) rheumatism (ger: Rheumatismus)/
ロイヤリティ /(n) (1) royalty/(2) loyalty/
ロイヤリティー /(n) (1) royalty/(2) loyalty/(P)/
ロイヤリティＯＥＭ [ロイヤリティオーイーエム] /(n) (comp) royalty OEM/
ロイヤル /(n) (1) royal/(2) loyal/(P)/
ロイヤルゼリー /(n) royal jelly/
ロイヤルティー /(n) (1) royalty/(2) loyalty/
ロイヤルボックス /(n) royal box/
ロイヤルミルクティー /(n) royal milk tea/
ロウタンダ /(n) rotunda/
ロウニンアジ /(n) (uk) giant trevally (Caranx ignobilis)/
ロウバイ /(n) (uk) wintersweet (Chimonanthus praecox)/Japanese allspice/
ロカール /(n) locale/
ロカビリー /(n) rockabilly/(P)/
ロガー /(n) (comp) logger/
ロガリズム /(n) logarithm/
ロクセンスズメダイ /(n) scissortail sergeant (Abudefduf sexfasciatus)/six-banded sergeant-major/
ロクセンヤッコ /(n) sixbar angelfish (Pomacanthus sexstriatus)/sixband angelfish/
ロクペケハチロク /(n) (comp) 6x86/
ロクヨン /(n) Nintendo 64/
ログ /(n) log/journal/(P)/
ログＢのＸ [ログビーのエックス] /(n) logarithm (base B)/
ログアウト /(n) (comp) logout/
ログイン /(n,vs) (comp) login/
ログインシェル /(n) (comp) login shell/
ログインスクリプト /(n) (comp) login script/
ログイン中 [ログインちゅう] /(n) (comp) logged in/
ログイン名 [ログインめい] /(n) (comp) login name/
ログオフ /(n,vs) (comp) logoff/
ログオフＵＲＬ [ログオフユーアールエル] /(n) (comp) logoff URL/
ログオン /(n,vs) (comp) logon/
ログオンスクリプト /(n) (comp) logon script/
ログオンプロンプト /(n) (comp) logon prompt/
ログキャビン /(n) log cabin/
ログハウス /(n) log-house/
ログバックアップ /(n) (comp) log backup/
ログファイル /(n) (comp) logfile/
ログブック /(n) log book/
ロケ /(n) location (of film shoot)/(P)/
ロケーション /(n) location/(P)/
ロケーションハンティング /(n) location scouting (wasei: location hunting)/location scout/
ロケータ /(n) locator/
ロケート /(n,vs) locate/locating/
ロケール /(n) locale/
ロケチ /(n) local site/location for making or filming a movie/
ロケット /(n) (1) locket/(2) rocket/(P)/
ロケットランチャー /(n) rocket launcher/
ロケット花火 [ロケットはなび] /(n) skyrocket/bottle rocket/
ロケット弾 [ロケットだん] /(n) rocket/(P)/
ロケット弾発射機 [ロケットだんはっしゃき] /(n) (obsc) rocket launcher/
ロケット発射筒 [ロケットはっしゃとう] /(n) rocket launcher/
ロケハン /(n) (abbr) location scouting (wasei: location hunting)/location scout/(P)/
ロケ先 [ロケさき] /(n) location/
ロケ地 [ロケち] /(n) local site/location for making or filming a movie/
ロココ /(n) rococo (fre:)/(P)/
ロコモーティブ /(n) locomotive/
ロゴ /(n) (1) logo/(2) (abbr) logotype/(P)/
ロゴス /(n) logos/
ロゴセラピー /(n) logotherapy/
ロゴタイプ /(n) logotype/
ロサンジェルス /(n) Los Angeles/
ロサンゼルス /(n) Los Angeles/(P)/
ロザリオ /(n) rosary (por: rosario)/
ロシア /(n) (uk) Russia/
ロシアトルコ戦争 [ロシアトルコせんそう] /(n) (obsc) Russo-Turkish War (1877-1878)/
ロシアンルーレット /(n) Russian roulette/
ロシア革命 [ロシアかくめい] /(n) Russian Revolution/
ロシア共産党 [ロシアきょうさんとう] /(n) Russian Communist Party/
ロシア軍隊 [ロシアぐんたい] /(n) Russian army/
ロシア五人組 [ロシアごにんぐみ] /(n) The Five (circle of Russian composers: Balakirev, Cui, Mussorgsky, Rimsky-Korsakov, and Borodin)/
ロシア語 [ロシアご] /(n) Russian (language)/
ロシア式ルーレット [ロシアしきルーレット] /(n) Russian roulette/
ロシア人 [ロシアじん] /(n) Russian (person, people)/
ロシア正教会 [ロシアせいきょうかい] /(n) Russian Orthodox Church/
ロシア文字 [ロシアもじ] /(n) Russian character/Russian characters/
ロシス /(n) (comp) LOCIS/
ロシニョール /(n) Rossignol/
ロシヤ /(n) (uk) Russia/
ロシュ限界 [ロシュげんかい] /(n) Roche limit/Roche's limit (closest that a natural satellite can come to the center of a planet without disintegrating due to tidal forces)/
ロジアナ /(n) (abbr) logic analyzer/(P)/
ロジウム /(n,adj-no) rhodium (Rh)/
ロジカル /(adj-na,n) logical/
ロジスティクス /(n) logistics/
ロジスティックス /(n) logistics/
ロジスティック曲線 [ロジスティックきょくせん] /(n) logistic curve/
ロジスティック分布 [ロジスティックぶんぷ] /(n) (math) logistic distribution/
ロジック /(n) logic/(P)/
ロジックアナライザ /(n) logic analyser (analyzer)/
ロジックプログラミング /(n) logic programming/logic programing/
ロジックボード /(n) (comp) logic board/
ロジック回路 [ロジックかいろ] /(n) (comp) logic circuit/
ロジック爆弾 [ロジックばくだん] /(n) (comp) logic bomb/
ロジン /(n) rosin/
ロジンバッグ /(n) rosin bag/
ロス /(n,vs) (1) loss/(n) (2) (abbr) Los Angeles/(P)/
ロスター /(n) roster/
ロスタイム /(n) loss of time/lost time/
ロスト /(n) (1) lost/(vs) (2) to lose/
ロストクラスタ /(n) (comp) lost cluster/
ロストジェネレーション /(n) Lost Generation/
ロストボール /(n) lost ball/
ロスマリン油 [ロスマリンゆ] /(n) rosemary oil/
ロスリーダー /(n) loss leader/
ロスレス圧縮 [ロスレスあっしゅく] /(n) (comp) lossless compression/
ロス市警 [ロスしけい] /(n) Los Angeles police department/LAPD/
ロゼ /(n) rose (wine) (fre:)/pink wine/(P)/
ロゼッタストーン /(n) Rosetta Stone/
ロゼッタネット /(n) (comp) rosettanet/
ロゼッタ石 [ロゼッタいし] /(n) Rosetta stone/
ロゼット /(n) rosette/
ロゼワイン /(n) rose (wine) (fre:)/pink wine/
ロタウイルス /(n) rotavirus/
ロタンダ /(n) rotunda/
ロチェスター /(n) Rochester/
ロッカー /(n) (1) locker/(2) rocker/(P)/
ロッカールーム /(n) locker room/(P)/
ロッカー室 [ロッカーしつ] /(n) locker room/
ロッキード /(n) Lockheed/
ロッキー山脈 [ロッキーさんみゃく] /(n) Rocky Mountains/the Rockies/
ロッキング /(n) (1) rocking/(2) locking/
ロッキングチェア /(n) rocking chair/
ロッキングモーション /(n) rocking motion/
ロック /(n,vs) (1) lock/(n) (2) rock/(3) roc/(P)/
ロックーン /(n) rockoon/
ロックアウト /(n) lockout/protection/
ロックアウト機能 [ロックアウトきのう] /(n) (comp) lock-out facility/
ロックウール /(n) rock wool/(P)/
ロックガーデン /(n) rock garden/
ロッククライミング /(n) rock-climbing/
ロックスター /(n) rock star/
ロックナット /(n) locknut/
ロックビューティー /(n) rock beauty (Holacanthus tricolor)/
ロックファイバー /(n) rock fiber/rock fibre/
ロックファイル /(n) lock-file/
ロックフィル /(n) rockfill/
ロックフィルダム /(n) rockfill dam/rock-fill dam/
ロックフェスティバル /(n) rock festival/rockfest/
ロックフォール /(n) Roquefort (blue cheese) (fre:)/
ロックミシン /(n) overlock sewing machine (wasei: lock machine)/
ロックミュージック /(n) rock music/
ロックンロール /(n) rock 'n' roll/(P)/
ロック鳥 [ロックちょう] /(n) roc/
ロッグウッドの木 [ロッグウッドのき] /(n) logwood/
ロッケンロール /(n) rock 'n' roll/
ロッサー /(n) Rosser/
ロッシーニ /(n) Rossini/
ロッシー圧縮 [ロッシーあっしゅく] /(n) (comp) lossy compression/
ロッシェル塩 [ロッシェルえん] /(n) Rochelle salt/
ロッシュ限界 [ロッシュげんかい] /(n) Roche limit/Roche's limit (closest that a natural satellite can come to the center of a planet without disintegrating due to tidal forces)/
ロッジ /(n) lodge/(P)/
ロッジング /(n) lodging/
ロッテ /(n) lotte/(P)/
ロッテリア /(n) Lotteria (fast-food chain)/(P)/
ロット /(n) (1) rot/(2) lot/
ロットＩＤ [ロットアイディー] /(n) (comp) lot ID/
ロットアップ /(n) sold out (wasei: lot up)/out of production/
ロットリング /(n) Rotring (pen)/
ロッド /(n) rod/(P)/
ロッドアンテナ /(n) rod antenna/
ロップ /(n) rope/
ロテノン /(n) rotenone/
ロディー朝 [ロディーちょう] /(n) Lodi Dynasty (of India, 1451-1526)/
ロデオ /(n) rodeo/(P)/
ロトンダ /(n) rotunda/
ロドプシン /(n) rhodopsin/
ロハ /(n) (col) free/
ロハース /(n) Lifestyles Of Health And Sustainability (market segment made up of ecologically conscious consumers)/LOHAS/
ロハス /(n) Lifestyles Of Health And Sustainability (market segment made up of ecologically conscious consumers)/LOHAS/
ロハ台 [ロハだい] /(n) (col) free seat (i.e. a park bench)/
ロバ /(n) robber/(P)/
ロバ /(n,adj-no) (uk) donkey/ass/
ロバの橋 [ロバのはし] /(n) pons asinorum (hurdle to learning)/
ロビー /(n) lobby/lounge/(P)/
ロビーイング /(n) lobbying/
ロビー活動 [ロビーかつどう] /(n) lobbying/
ロビイスト /(n) lobbyist/(P)/
ロビイズム /(n) lobbying (wasei: lobbyism)/
ロビン /(n) robin/
ロビング /(n) lobbing/(P)/
ロピバカイン /(n) ropivacaine (local anaesthetic)/
ロフト /(n) loft/(P)/
ロフトアパート /(n) loft apartment/
ロフトジャズ /(n) loft jazz/
ロブ /(n) lob/(P)/
ロブスター /(n) lobster/
ロベリア /(n) lobelia (lat:)/
ロボット /(n,adj-no) robot/(P)/
ロボットの視覚 [ロボットのしかく] /(n) robot vision/
ロボットアーム /(n) (comp) robot arm/
ロボットカー /(n) robot car/driverless car/
ロボット雨量計 [ロボットうりょうけい] /(n) robot rain gauge/
ロボット工学 [ロボットこうがく] /(n) robotics/
ロボティクス /(n) robotics/
ロボティックス /(n) robotics/
ロボトミー /(n) lobotomy/
ロボトロジー /(n) robotology/
ロボポスト /(n) (comp) robopost/
ロマ /(n) Roma/Rom/
ロマーニー語 [ロマーニーご] /(n) Romany (language)/
ロマーノチーズ /(n) Romano cheese/
ロマサガ /(n) (abbr) Romancing SaGa (game)/
ロマネスク /(adj-na,n) romanesque/
ロマネスク建築 [ロマネスクけんちく] /(n) Romanesque architecture/
ロマン /(n) (1) romance (i.e. Arthurian romances) (fre: roman)/(2) novel/(3) romance/(P)/
ロマンシュ語 [ロマンシュご] /(n) Romansch (language)/
ロマンジ /(n) romanji (misspelling of "romaji")/
ロマンス /(n) romance/(P)/
ロマンス・グレー /(n) (1) silver-gray hair (wasei: romance gray)/silver-grey hair/(2) attractive older man with some gray hair/
ロマンスカー /(n) romance car/deluxe train/
ロマンスグレー /(n) (1) silver-gray hair (wasei: romance gray)/silver-grey hair/(2) attractive older man with some gray hair/
ロマンスシート /(n) love seat (wasei: romance seat)/
ロマンス語 [ロマンスご] /(n) Romance languages/
ロマンチシスト /(n) romanticist/
ロマンチシズム /(n) romanticism/
ロマンチスト /(n) (abbr) romanticist/
ロマンチック /(adj-na,n) romantic/(P)/
ロマンティシスト /(n) romanticist/
ロマンティシズム /(n) romanticism/
ロマンティスト /(n) (abbr) romanticist/
ロマンティック /(adj-na,n) romantic/(P)/
ロマン主義 [ロマンしゅぎ] /(n) romanticism/
ロマン的 [ロマンてき] /(adj-na) romantic (school)/
ロマン派 [ロマンは] /(n) romantic school/romanticism/
ロマン派音楽 [ロマンはおんがく] /(n) Romantic music/
ロム /(n) Rom/Romani person/
ロムる /(v5r) to read a forum/to chat without posting a message/to "lurk" (from Read-Only Member)/
ロムカセット /(n) game cartridge (wasei: ROM cassette)/
ロモートセンシング /(n) remote sensing/
ロヤリティー /(n) (1) royalty/(2) loyalty/
ロラコンベヤ /(n) roller conveyor/roller way/roller path/
ロラメット /(n) Loramet (112-lormetazepam)/
ロリ /(n) (1) (abbr) Lolita complex (sexual attraction to children, esp. young girls)/(adj-f) (2) portraying children in an erotic style/
ロリータコンプレックス /(n) Lolita complex (sexual attraction to children, esp. young girls)/
ロリータファッション /(n) fashion style characterized by frilly dresses, knee socks and bonnets (wasei: Lolita fashion)/
ロリコン /(n) (1) (abbr) Lolita complex (sexual attraction to children, esp. young girls)/(adj-f) (2) portraying children in an erotic style/
ロリス /(n) loris/
ロリポップ /(n) lollipop/
ロレクス /(n) Rolex/
ロワイヤル /(n) (1) royal/(2) loyal/(3) royal custard (fre: royale)/custard royale/
ロング /(adj-na,n) long/(P)/
ロングアイアン /(n) long iron/
ロングアイランド /(n) Long Island/
ロングアンドショートステッチ /(n) long and short stitch/
ロングサーキットアピール /(n) long-circuit appeal/
ロングショット /(n) longshot/
ロングスカート /(n) long skirt/
ロングステイ /(n) long stay/
ロングストライド /(n) long stride/
ロングスナウトバタフライフィッシュ /(n) longsnout butterflyfish (Prognathodes aculeatus, was Chaetodon aculeatus)/
ロングセラー /(n) long seller/(P)/
ロングトン /(n) long ton/
ロングドリンク /(n) long drink (Moscow mule, gin fizz, etc.)/
ロングドレス /(n) long dress/
ロングネックレス /(n) long necklace/
ロングノーズ・サージャンフィッシュ /(n) longnose surgeonfish (Zebrasoma rostratum, species of Eastern Central Pacific tang)/
ロングノーズ・サージョンフィッシュ /(n) longnose surgeonfish (Zebrasoma rostratum, species of Eastern Central Pacific tang)/
ロングノーズサージャンフィッシュ /(n) longnose surgeonfish (Zebrasoma rostratum, species of Eastern Central Pacific tang)/
ロングノーズサージョンフィッ /(n) longnose surgeonfish (Zebrasoma rostratum, species of Eastern Central Pacific tang)/
ロングノーズサージョンフィッシュ /(n) longnose surgeonfish (Zebrasoma rostratum, species of Eastern Central Pacific tang)/
ロングバーベルゴートフィッシュ /(n) long-barbel goatfish (Parupeneus macronema)/
ロングパス /(n) long pass/
ロングヒット /(n) long hit/
ロングビーチ /(n) Longbeach/(P)/
ロングファイルネーム /(n) (comp) long file name/
ロングフィンダムゼルフィッシュ /(n) longfin damselfish (Stegastes diencaeus)/
ロングフライト血栓症 [ロングフライトけっせんしょう] /(n) occurrence of deep vein thrombosis in air travelers/
ロングブーツ /(n) long boots/
ロングヘア /(n) long hair/
ロングホームルーム /(n) long homeroom/occasional or periodic extra long registration class or assembly in a school (e.g. for activities not related to class work)/
ロングホール /(n) long hole/(P)/
ロングライフクーラント /(n) long-life coolant/LLC/
ロングライフミルク /(n) long life milk/
ロングラン /(n) long run/(P)/
ロングリリーフ /(n) (abbr) long relief pitcher/
ロングレール /(n) long rail/
ロンジー /(n) lungi (Burmese clothing)/
ロンジン /(n) Longines/
ロンダリング /(n) laundering/
ロンド /(n) rondo (ita:)/
ロンド形式 [ロンドけいしき] /(n) rondo form/
ロンバードレート /(n) Lombard rate/
ロンパース /(n) rompers/
ロンパールーム /(n) romper room/children's play room/
ロンパリ /(n) (col) walleyes (from London-Paris, i.e. "One eye looks at London, one eye looks at Paris")/squint/divergent strabismus/
ロンリネス /(n) loneliness/
ロン毛 [ロンげ] /(n) long hair/
ロ軍 [ロぐん] /(n) (abbr) Russian army/
ロ短調 [ロたんちょう] /(n) B minor/
ロ調 [ロちょう] /(n) key of B (music)/
ロ長調 [ロちょうちょう] /(n) B major/
ワーウルフ /(n) werewolf/
ワーカー /(n) worker/(P)/
ワーカーズコレクティブ /(n) workers' collective/
ワーカホリック /(n) workaholic/
ワーキング /(n) working/(P)/
ワーキング・ホリデー /(n) working holiday/
ワーキング・マザー /(n) working mother/
ワーキングカップル /(n) working couple/
ワーキンググループ /(n) working group/
ワーキングセット /(n) (comp) working set/
ワーキングディレクトリ /(n) (comp) working directory/
ワーキングドキュメント /(n) (comp) working document/
ワーキングドッグ /(n) working dog (i.e. police dog, Seeing Eye dog, etc.)/
ワーキングプア /(n) working poor/
ワーキングホリデー /(n) working holiday/
ワーキングマザー /(n) working mother/
ワーキングメモリー /(n) working memory/
ワーキングランチ /(n) working lunch/
ワーク /(n) work/(P)/
ワーク・ライフ・バランス /(n) work-life balance/
ワークエリア /(n) (comp) work area/
ワークグループ /(n) (comp) workgroup/
ワークグループネットワーク /(n) (comp) workgroup network/
ワークシート /(n) (comp) worksheet/
ワークシェアリング /(n) work-sharing/
ワークシェリング /(n) work-sharing/
ワークショップ /(n) workshop/(P)/
ワークス /(n) (comp) Works/
ワークステーション /(n) workstation/(P)/
ワークステーションウィンドウ /(n) (comp) workstation window/
ワークステーションビューポート /(n) (comp) workstation viewport/
ワークステーション依存セグメント記憶域 [ワークステーションいぞんセグメントきおくいき] /(n) (comp) workstation dependent segment storage/WDSS/
ワークステーション記述表 [ワークステーションきじゅつひょう] /(n) (comp) workstation description table/
ワークステーション型式 [ワークステーションけいしき] /(n) (comp) workstation type/
ワークステーション光源 [ワークステーションこうげん] /(n) (comp) workstation light source/
ワークステーション識別子 [ワークステーションしきべつし] /(n) (comp) workstation identifier/
ワークステーション種別 [ワークステーションしゅべつ] /(n) (comp) workstation category/
ワークステーション状態リスト [ワークステーションじょうたいリスト] /(n) (comp) workstation state list/
ワークステーション独立セグメント記憶域 [ワークステーションどくりつセグメントきおくいき] /(n) (comp) workstation independent segment storage/WISS/
ワークステーション変換 [ワークステーションへんかん] /(n) (comp) workstation transformation/
ワークスペース /(n) (comp) workspace/
ワークソング /(n) work song/
ワークハウス /(n) workhouse/
ワークパッド /(n) (comp) WorkPad/
ワークフロー /(n) (comp) workflow/
ワークブック /(n) workbook/
ワークベンチ /(n) workbench/
ワークライフバランス /(n) work-life balance/
ワークロード /(n) workload/
ワーク環境 [ワークかんきょう] /(n) (comp) work environment/
ワーク取り付け台 [ワークとりつけだい] /(n) (manufacturing) fixtures/
ワースト /(n) worst/(P)/
ワーテルローの戦い [ワーテルローのたたかい] /(n) Battle of Waterloo (1815)/
ワーディング /(n) wording/
ワートホッグ /(n) (obsc) warthog (Phacochoerus aethiopicus)/
ワード /(n) word/(P)/
ワードアート /(n) (comp) WordArt/
ワードサラダ /(n) word salad/
ワードスター /(n) (comp) WardStar/
ワードパーフェクト /(n) (comp) WordPerfect/
ワードパッド /(n) (comp) Wordpad/
ワードプロセッサ /(n) (comp) word-processor/
ワードプロセッサー /(n) (comp) word-processor/
ワードプロセッシング /(n) (comp) word processing/
ワードラップ /(n) (comp) word wrap/
ワードローブ /(n) wardrobe/
ワード境界 [ワードきょうかい] /(n) (comp) word boundary/
ワード数 [ワードすう] /(n) (comp) word count/
ワーニング /(n) warning/
ワーニング無しに [ワーニングなしに] /(n) (comp) without warning (the user)/
ワーファリン /(n) warfarin/
ワープ /(n,vs) warp/(P)/
ワープロ /(n) (comp) (abbr) word-processor/(P)/
ワープロソフト /(n) (comp) word processing software/
ワープロ通信 [ワープロつうしん] /(n) (comp) word processor communication/
ワープロ馬鹿 [ワープロばか] /(n) (comp) someone whose kanji-writing ability has suffered due to overreliance on the kana-to-kanji conversion systems used to input Japanese text on a computer/
ワーホリ /(n) (1) (abbr) working holiday/(2) person on a working holiday/
ワーム /(n) worm/
ワームホール /(n) wormhole (physics)/
ワールド /(n) World/(P)/
ワールドエンタープライズ /(n) world enterprise/multi-national enterprise/
ワールドカップ /(n) World Cup (soccer)/(P)/
ワールドクラス /(n) world class/
ワールドゲームズ /(n) World Games/
ワールドシリーズ /(n) World Series/(P)/
ワールドミュージック /(n) world music/
ワールドワイド /(adj-na) worldwide/
ワールドワイドウェッブ /(n) world wide web/
ワールドワイドウェブ /(n) (comp) World Wide Web/WWW/
ワールド座標 [ワールドざひょう] /(n) (comp) world coordinate/
ワールド座標系 [ワールドざひょうけい] /(n) (comp) world coordinate system/
ワーレット /(n) wallet/
ワーロック /(n) warlock/
ワアルド /(n) World/
ワイア /(n) wire/(P)/
ワイアーム /(n) wyrm (variety of wyvern)/
ワイエムシーケー /(n) (comp) YMCK/
ワイスマン説 [ワイスマンせつ] /(n) Weismannism/
ワイズ /(n) wise/(P)/
ワイツーケー /(n) (comp) Y2K/
ワイド /(adj-na,n) wide/(P)/
ワイド・スクリーン /(n) widescreen/
ワイドＬＡＮサービス [ワイドランサービス] /(n) (comp) wide LAN service/
ワイドインターネット /(n) (comp) WIDE Internet/
ワイドエリアネットワーク /(n) (comp) wide area network/WAN/
ワイドショー /(n) talk and variety (TV) show (wasei: wide show)/(P)/
ワイドスカジー /(n) (comp) WideSCSI/
ワイドスクリーン /(n) widescreen/
ワイドニュース /(n) news program (wasei: wide news)/news programme/
ワイドバンド /(n) wide-band/
ワイドレンズ /(n) (abbr) wide-angle lens/
ワイドロー /(exp) wide-low (description of a small truck)/
ワイナリー /(n) winery/
ワイバーン /(n) wyvern (two-legged dragon)/wivern/
ワイパー /(n) windshield wipers/(P)/
ワイピー /(n) (comp) YP/
ワイピング /(n) wiping/
ワイフ /(n) wife/
ワイプ /(n) wipe/
ワイプアウト /(n) wipe out/
ワイプイン /(n) wipe in/
ワイモデム /(n) (comp) YMODEM/
ワイヤ /(n) wire/(P)/
ワイヤー /(n) wire/
ワイヤースピード /(n) (comp) wire speed/
ワイヤード /(n) wired/
ワイヤードロジック /(n) (comp) wired logic/
ワイヤーフレーム /(n) (comp) wire frame model/
ワイヤーフレームモデル /(n) (comp) wireframe model/
ワイヤグラス /(n) wire glass/
ワイヤゲージ /(n) wire gauge/
ワイヤフレーム表現 [ワイヤフレームひょうげん] /(n) (comp) wire frame representation/
ワイヤブラシ /(n) wire brush/
ワイヤラス /(n) wire lath/
ワイヤラッピング /(n) wire-wrapping/
ワイヤリング /(n) (comp) wiring/
ワイヤレス /(n) wireless/(P)/
ワイヤレスＬＡＮ [ワイヤレスラン] /(n) (comp) wireless LAN/
ワイヤレスネットワーク /(n) (comp) wireless network/
ワイヤレスマイク /(n) wireless mike/
ワイヤレスマイクロホン /(n) wireless microphone/
ワイヤロープ /(n) wire rope/
ワイルダーズバタフライフィッシュ /(n) Marquesas butterflyfish (Chaetodon declivis declivis)/Wilder's butterflyfish (Chaetodon declivis wilderi)/
ワイルド /(adj-na,n) wild/(P)/
ワイルドウオーター /(n) wild water/
ワイルドカード /(n) wild card/wildcard/
ワイルドカード文字 [ワイルドカードもじ] /(n) (comp) wildcard character/
ワイルドピッチ /(n) wild pitch/
ワイルドフラワー /(n) wildflower/
ワイルドライス /(n) wild rice/
ワイル病 [ワイルびょう] /(n) Weil's disease/Weil's syndrome/severe leptospirosis/
ワイン /(n) wine/(P)/
ワインカラー /(n) wine color/wine colour/
ワインクーラー /(n) winecooler/
ワイングラス /(n) wine glass/
ワインセラー /(n) wine cellar/
ワインテイスティング /(n) wine tasting/
ワインディングロード /(n) winding road/
ワインドアップ /(n) windup (baseball)/
ワインドアップポジション /(n) windup position/
ワインバー /(n) wine bar/
ワインバーグサラム理論 [ワインバーグサラムりろん] /(n) Weinberg-Salam theory (particle physics)/
ワインビネガー /(n) wine vinegar/
ワインラック /(n) wine rack/
ワインリスト /(n) wine list/
ワインレッド /(n) wine red/
ワイン色 [ワインいろ] /(n) burgundy (red)/
ワイヴァーン /(n) wyvern (two-legged dragon)/wivern/
ワイヴァン /(n) wyvern (two-legged dragon)/wivern/
ワイ合意 [ワイごうい] /(n) Wye Accord/Wye River Memorandum/
ワウ /(n) wow/(P)/
ワウフラッタ /(n) wow and flutter/
ワウフラッター /(n) wow and flutter/
ワオキツネザル /(n) (uk) ring-tailed lemur (Lemur catta)/
ワカウツボ /(n) whitemouth moray eel (Gymnothorax meleagris, was Gymnothorax chlorostigma)/
ワカソ属 [ワカソぞく] /(n) Coregonus (genus of salmon in the family Salmonidae)/whitefishes/
ワカメ /(n) (uk) wakame (species of edible brown seaweed, Undaria pinnatifida)/
ワカモーレ /(n) guacamole (spa:)/
ワカモレ /(n) guacamole (spa:)/
ワギナ /(n) vagina (lat:)/
ワクショップ /(n) workshop/(P)/
ワクチン /(n,adj-no) vaccine (ger: Vakzin)/(P)/
ワクチンソフト /(n) antivirus software (wasei: vaccine soft)/
ワクフ /(n) waqf (Muslim endowment) (ara:)/
ワケギ /(n) (uk) Allium wakegi (species of scallion)/
ワコール /(n) Wacoal/(P)/
ワゴン /(n) wagon/(P)/
ワゴンサービス /(n) food wagon service/table-side service/
ワゴンセール /(n) wagon sale (bargain corner to sell off stock cheaply)/
ワゴンモール /(n) plastic moulding over cables to prevent damage by wheels (wasei: wagon mould)/cable protector/
ワゴン車 [ワゴンしゃ] /(n) station wagon/
ワサビノキ /(n) (uk) horseradish tree (Moringa oleifera)/
ワシミミズク /(n) (uk) Eurasian eagle owl (Bubo bubo)/
ワシントン /(n) Washington/(P)/
ワシントンポスト /(n) Washington Post (newspaper)/
ワジ /(n) wadi (ara:)/river bed (usu. dry)/arroyo/
ワス /(n) (comp) WAS/
ワスプ /(n) (1) wasp/(2) White Anglo-Saxon Protestant/WASP/
ワスレナグサ /(n) forget-me-not (esp. the water forget-me-not, Myosotis scorpioides)/
ワセリン /(n) vaseline/petroleum jelly/petrolatum/
ワタカ /(n) (uk) Ischikauia steenackeri (species of cyprinid)/
ワタリアホウドリ /(n) (uk) wandering albatross (Diomedea exulans)/
ワタリカニ /(n) (uk) swimming crab (Portunus trituberculatus)/Japanese blue crab/
ワタリガニ /(n) (uk) swimming crab (Portunus trituberculatus)/Japanese blue crab/
ワタリガラス /(n) (uk) common raven (Corvus corax)/
ワッ /(int) ulp/
ワックス /(n) wax (for polishing)/(P)/
ワッサー /(n) peacherine/hybrid of a peach and a nectarine/cross between a peach and a nectarine/
ワッシャ /(n) washer/
ワッシャー /(n) washer/
ワッセルマン反応 [ワッセルマンはんのう] /(n) Wassermann reaction/
ワット /(n) watt/(P)/
ワットタイラーの乱 [ワットタイラーのらん] /(n) Peasants' Revolt (England, 1831)/Wat Tyler's Rebellion/
ワットマン紙 [ワットマンし] /(n) Whatman paper/
ワットメーター /(n) wattmeter/
ワット計 [ワットけい] /(n) wattmeter/
ワット時 [ワットじ] /(n) watt hour/
ワット秒 [ワットびょう] /(n) watt-second/
ワッハーブ派 [ワッハーブは] /(n) Wahhabism/Wahabism (orthodox Sunni sect of Islam)/
ワッパ /(n) (1) (sl) circular obento box/(2) something ring-shaped/(3) handcuffs/
ワッフル /(n) waffle/
ワッフルスラブ /(n) waffle slab/
ワッペン /(n) crest (ger: Wappen)/coat of arms/badge/(P)/
ワディ /(n) wadi (ara:)/river bed (usu. dry)/arroyo/
ワトルバード /(n) wattlebird (Anthochaera genus)/
ワニ /(n,adj-no) (1) (uk) crocodile/alligator/crocodilian/(2) (arch) shark/
ワニエソ /(n) (uk) wanieso lizardfish (Saurida wanieso)/
ワニガメ /(n) (uk) alligator snapping turtle (Macroclemys temminckii)/
ワニス /(n) varnish/
ワニトカゲギス目 [ワニトカゲギスもく] /(n) Stomiiformes (order of deep-sea ray-finned fishes)/
ワニラ /(n) vanilla/
ワヌケヤッコ /(n) bluering angelfish (Pomacanthus annularis)/
ワビサビ /(n) (uk) aesthetic sense in Japanese art emphasising quiet simplicity and subdued refinement/
ワビスケツバキ /(n) (uk) Camellia japonica 'Wabisuke' (cultivar of common camellia)/
ワピチ /(n) wapiti/elk (Cervus canadensis)/
ワフド党 [ワフドとう] /(n) Wafd Party (Egypt)/
ワムシ /(n) (uk) rotifer/
ワモンアザラシ /(n) (uk) ringed seal (Pusa hispida)/
ワモンゴキブリ /(n) (uk) American cockroach (Periplaneta americana)/
ワライカモメ /(n) laughing gull (larus atricilla)/
ワライカワセミ /(n) (uk) laughing kookaburra (Dacelo novaeguineae)/
ワライタケ /(n) (uk) Panaeolus papilionaceus (species of poisonous mushroom)/
ワライダケ /(n) (uk) Panaeolus papilionaceus (species of poisonous mushroom)/
ワラスボ /(n) (uk) Odontamblyopus lacepedii (species of eel goby)/
ワラビー /(n) wallaby/(P)/
ワラルー /(n) wallaroo/
ワラワラ /(adv) (on-mim) bustling/shuffling/squirming/creepy crawly/
ワラント /(n) warrant/(P)/
ワラント債 [ワラントさい] /(n) warrant loan/bonds with warrants/
ワリンゴ /(n) (uk) Chinese apple (Malus asiatica)/
ワルキューレ /(n) valkyrie (ger: Walkure)/
ワルシャワ条約機構 [ワルシャワじょうやくきこう] /(n) Warsaw Treaty Organization/
ワルツ /(n) waltz/
ワルファリン /(n) warfarin/
ワルファリン剤 [ワルファリンざい] /(n) (obsc) warfarin/
ワレカラ /(n) (uk) skeleton shrimp/
ワロス /(exp) (sl) laughing (used on BBS, etc.)/laughable/LOL/
ワロタ /(exp) (sl) I LOL'd (2Chan slang)/
ワン /(n) (1) one/(2) (on-mim) woof/bark/(P)/
ワンアウト /(n) one out (e.g. in baseball)/
ワンウェー /(adj-no) one-way/
ワンウェーびん /(n) one way bottle/non-returnable bottle/
ワンウエー /(adj-no) one-way/
ワンオブゼム /(exp) one of them/
ワンギリ /(n) one mobile telephone ring (used by companies, usually sex-related, to register a phone number on a mobile in the hope people will return the call. Also used between acquaintances when swapping telephone numbers, or to get another person to call oneself)/
ワンクール /(n) one run of a television series (wasei: one cours)/
ワンクリック詐欺 [ワンクリックさぎ] /(n) one-click fraud (online fraud and extortion technique often used by spammers)/
ワンゲル /(n) (1) (abbr) migratory bird (ger: Wandervogel)/(2) cost of maintaining a pet dog/
ワンコ /(n) (chn) dog/doggy/bow-wow/
ワンコール /(n) one mobile telephone ring (used by companies, usually sex-related, to register a phone number on a mobile in the hope people will return the call) (wasei: one call)/
ワンコイン /(n,n-pref,adj-no) one-coin (i.e. able to be paid for with only one coin, esp. a 500-yen or 100-yen coin)/
ワンサイド /(n) one-sided/
ワンサイドゲーム /(n) one-sided game/
ワンシーター /(n) one-seater/
ワンシーン /(n) one scene (e.g. in a movie)/
ワンススルー /(n) once through (system)/
ワンステップ /(n) one-step/
ワンステップずつ /(n) one step at a time/
ワンストップ /(n) (abbr) one-stop service/
ワンストップサービス /(n) one-stop service/
ワンスモア /(exp) once more/
ワンセグ /(n) 1 SEG (Japanese terrestrial digital broadcasting service for mobile devices)/1seg/(P)/
ワンセット /(n) one set/
ワンタイムパスワード /(n) (comp) ontime password/
ワンタッチ /(n) one touch/(P)/
ワンタン /(n) (uk) wan-tan/won-on (Chinese dumpling)/
ワンダ /(n) (1) wonder/(2) wander/
ワンダー /(n) (1) wonder/(2) wander/(P)/
ワンダーフォーゲル /(n) migratory bird (ger: Wandervogel)/
ワンダーランド /(n) wonderland/
ワンダフル /(n,adj-na,adj-no) wonderful/(P)/
ワンダホー /(n) (obsc) wonderful (ger: wunderbar)/marvellous/
ワンダン /(n) down one out/one down/
ワンチップコンピュータ /(n) (comp) one-chip computer/
ワンチップマイクロコンピュータ /(n) (comp) one-chip microcomputer/
ワンチップマイクロコンピューター /(n) (comp) one-chip microcomputer/
ワンツー /(n) one-two punch/
ワンツースリー /(n) (comp) 1-2-3/
ワンツーパンチ /(n) one-two punch/
ワンテンカメラ /(n) 110 camera/
ワンテンポ /(n) one beat (in music) (wasei: one tempo)/
ワンド /(n) (1) wand/(2) (riverine) lagoon (ain:)/fluvial lagoon/
ワンナウト /(n) one out (e.g. in baseball)/
ワンパス /(adj-no) (comp) one-pass (e.g. compiler)/
ワンパターン /(n,adj-no) repetitive (wasei: one pattern)/one track mind/being in a rut/
ワンピース /(n,adj-no) dress (wasei: one-piece)/(P)/
ワンプーアオバト /(n) wompoo pigeon (Ptilinopus magnificus)/
ワンプライスショップ /(n) one-price store/
ワンボックス /(n) (abbr) 6-8 seat automobile with sliding door or doors (wasei: one box)/people-mover/minivan/
ワンボックスカー /(n) 6-8 seat automobile with sliding door or doors (wasei: one box car)/people-mover/minivan/(P)/
ワンポイント /(n) (1) (abbr) stitched ornament (wasei: one-point)/small needlepoint design/(2) relief pitcher brought in to face one batter (baseball)/(n,adj-f) (3) single point (e.g. lesson, advice)/(4) single place/
ワンポイントリリーフ /(n) relief pitcher brought in to face one batter (baseball)/one-point relief (pitcher)/(P)/
ワンマン /(adj-na,n) dictator (wasei: one man)/autocrat/(P)/
ワンマン・ショー /(n) one-man show/
ワンマンカー /(n) one-man car/
ワンマンコントロール /(n) one-man control/
ワンマンショー /(n) one-man show/
ワンマンショウ /(n) one-man show/
ワンマンバス /(n) one-man bus/
ワンライティングシステム /(n) one-writing system/
ワンラインダイヤグラム /(n) one-line diagram/
ワンランク /(n) one rank/one grade/
ワンルーム /(adj-f) having one room (wasei: one-room)/
ワンルームアパート /(n) studio apartment (wasei: one room apartment)/bed-sitter/
ワンルームマンション /(n) studio apartment (wasei: one-room mansion)/studio flat/(P)/
ワンレン /(n) (abbr) "one length" hair/
ワンレングス /(n) haircut of uniform length (wasei: one-length)/
ワンワールド /(n) (comp) OneWorld/
ワンワン /(adv-to,adv) (1) (on-mim) bow-wow (barking sound)/arf arf/woof/bark/(2) (on-mim) waah-waah (crying sound)/(3) (on-mim) clamouring/clamoring/echoing/(n) (4) (chn) a bow-wow (i.e. a dog)/doggy/
ワンワンスタイル /(n) (X) (vulg) doggie fashion sexual activity (wasei: wanwan style)/
ワン公 [ワンこう] /(n) (col) dog/
ワン切り [ワンぎり] /(n) one mobile telephone ring (used by companies, usually sex-related, to register a phone number on a mobile in the hope people will return the call. Also used between acquaintances when swapping telephone numbers, or to get another person to call oneself)/
ワン切り詐欺 [ワンぎりさぎ] /(n) one-ring fraud/
ワ冠 [ワかんむり] /(n) kanji radical "wa" or "covering" at top (radical 14)/
ヰ /(n) (arch) katakana for "wi"/
ヰスキ /(n) whisky/whiskey/
ヰスキー /(n) whisky/whiskey/
ヱ /(n) (arch) katakana for "we"/
ヲコト点 [ヲコトてん] /(n) marks to aid in reading Chinese classics/
ヲタ /(n,suf) (col) (abbr) nerd/geek/enthusiast/
ヲタク /(ik) (n) (col) geek/nerd/enthusiast/otaku/
ヲタ車 [ヲタしゃ] /(n) (col) otaku car (painted with anime characters, loaded with figures and stuffed dolls, etc.)/
ヲッカ /(n) vodka (rus:)/
ンビラ /(n) mbira/
ヴァージナル /(n,adj-no) virginal/
ヴァージョン /(n) version/
ヴァージョンアップ /(n,vs) (abbr) updating a software version (wasei: version up)/version upgrade/
ヴァージンロード /(n) aisle (in wedding ceremony) (wasei: virgin road)/
ヴァーチャル /(adj-na,n) virtual/
ヴァイオリン /(n) violin/(P)/
ヴァイオル /(n) viol/
ヴァイキング /(n) (1) Viking/(2) (abbr) smorgasbord/all-you-can-eat buffet/
ヴァイタリティ /(n) vitality/
ヴァイラス /(n) (1) virus (lat:, ger:)/(adj-no) (2) viral/
ヴァギナ /(n) vagina (lat:)/
ヴァチカン市国 [ヴァチカンしこく] /(n) Vatican City State/
ヴァニラ /(n) vanilla/
ヴァラエティ /(n) variety/
ヴァリアタス /(n) variegated platy (Xiphophorus variatus) (lat: variatus)/
ヴァリアブル /(n) variable/
ヴァリアント /(n) variant/
ヴァリエーション /(n) variation/
ヴァリエーション・ドリル /(n) variation drill/
ヴァリエーションドリル /(n) variation drill/
ヴァリエティ /(n) variety/
ヴァリゲイティッドスパインフット /(n) variegated spinefoot (Siganus randalli, species of Western Pacific rabbitfish)/
ヴァリッド /(n) valid/
ヴァルキリー /(n) valkyrie/
ヴァルダナ朝 [ヴァルダナちょう] /(n) Vardhana dynasty (of India, 606-647 CE)/Vardhan dynasty/
ヴァルナ /(n) varna (each of the four Hindu castes)/
ヴァルネラビリティー /(n) vulnerability/
ヴァルハラ /(n) Valhalla/
ヴァルヴ /(n) (1) valve/(P)/
ヴァレンタイン /(n) Valentine/
ヴァレンタインデー /(n) Valentine's Day/
ヴァン /(n) value added network/VAN/
ヴァンデュペイ /(n) vin du pays (fre:)/vin de pays/
ヴァンドパイユ /(n) vin de paille (fre:)/
ヴァンドペイ /(n) vin du pays (fre:)/vin de pays/
ヴァンパイア /(n) vampire/(P)/
ヴァンプ /(n) (1) vamp (woman who uses sex appeal to exploit men)/
ヴィー /(n) (obsc) life (fre: vie)/
ヴィーナス /(n) Venus/(P)/
ヴィールス /(n) (1) virus (lat:, ger:)/(adj-no) (2) viral/
ヴィオール /(n) viol/
ヴィオラ /(n) viola (ita:)/
ヴィオル /(n) viol/
ヴィクトリー /(n) victory/
ヴィザード /(n) wizard/
ヴィシソワーズ /(n) vichyssoise (fre: vichyssoise)/
ヴィジャヤナガル朝 [ヴィジャヤナガルちょう] /(n) Vijayanagar Dynasty (of India, 1336-1649 CE)/
ヴィジュアル /(n,adj-f) visual/
ヴィジュアル系 [ヴィジュアルけい] /(n) visual-kei (Japanese rock indies style)/
ヴィジョン /(n) vision/
ヴィジランス /(n) vigilance/
ヴィジラント /(n) vigilant/
ヴィタミン /(n,adj-no) vitamin (ger:)/
ヴィデオテープ /(n) video tape/
ヴィブラフォン /(n) vibraphone/
ヴィブラホン /(n) vibraphone/vibes/
ヴィラ /(n) holiday house (ita:)/villa/
ヴィルトゥオーソ /(n) virtuoso (ita:)/
ヴィレッジ /(n) village/
ヴィヴァーチェ /(n) vivace (ita:)/
ヴィヴィッド /(adj-na) vivid/
ヴェートーベン /(n) Beethoven/
ヴェール /(n) veil/
ヴェガ /(n) Vega/
ヴェテラン /(n,adj-no) person with a lot of experience/old hand/veteran (in a particular field)/
ヴェポライザー /(n) vaporiser/
ヴェロキラプトル /(n) velociraptor (dinosaur)/
ヴェロシティ /(n) velocity/
ヴェンダー /(n) vendor/
ヴォーカリスト /(n) vocalist/(P)/
ヴォーカル /(n) vocal/vocals/
ヴォーパル /(n) vorpal/
ヴォールト /(n) vault/
ヴォイシング /(n) voicing/
ヴォイス /(n) (human) voice/
ヴォイストレーナー /(n) vocal coach (wasei: voice trainer)/
ヴォリューム /(n) volume/
ヴォルト /(n) (1) volt/
ヴォルヴォ /(n) Volvo (Swedish car brand)/
ヴォンゴレ /(n) clam sauce pasta (ita: vongole)/vongole (e.g. spaghetti alle vongole)/
ヴデオテープ /(ik) (n) video tape/
ヴルガータ /(n) Vulgate (Catholic Latin bible) (lat:)/
ヴルスト /(n) wurst (ger:)/sausage/
ヴログ /(n) blog/weblog/
ヵ月 [かげつ] /(ctr) (number of) months/(P)/
ヶ /(ctr) (read as "ka") counter for the ichi-ni-san counting system (usu. directly preceding the item being counted)/a noun read using its on-yomi/
ヶ月 [かげつ] /(ctr) (number of) months/(P)/
ヶ国 [かこく] /(ctr) counter for countries/
ヶ国語 [かこくご] /(ctr) counter for languages/
ヶ所 [かしょ] /(n) passage/place/point/part/
Α [アルファ] /(n) alpha/
Β [ベータ] /(n) beta/
Β [ベーター] /(n) beta/
Β [ヴィタ] /(n) beta/
Γ [ガンマ] /(n) gamma/
Γ [ガンマー] /(n) gamma/
Δ [デルタ] /(n) delta/
Ε [イプシロン] /(n) epsilon/
Ε [エプシロン] /(n) epsilon/
Ζ [ゼータ] /(n) zeta/
Η [イータ] /(n) eta/
Η [エータ] /(n) eta/
Θ [シータ] /(n) theta/
Θ [テータ] /(n) theta/
Θ関数 [テータかんすう] /(n) theta function/
Ι [イオタ] /(n) iota/
Κ [カッパ] /(n) kappa/
Κ [カッパー] /(n) kappa/
Λ [ラムダ] /(n) lambda/
Μ [ミュー] /(n) mu/
Ν [ニュー] /(n) nu/
Ξ [クサイ] /(n) xi/
Ξ [クシー] /(n) xi/
Ξ [グザイ] /(n) xi/
Ο [オミクロン] /(n) omicron/
Π [パイ] /(n) pi/
Ρ [ロー] /(n) rho/
Σ [シグマ] /(n) sigma/
Τ [タウ] /(n) tau/
Υ [ウプシロン] /(n) upsilon/
Υ [オイプシロン] /(n) upsilon/
Υ [ユプシロン] /(n) upsilon/
Φ [ファイ] /(n) phi/
Φ [フィー] /(n) phi/
Χ [カイ] /(n) chi/
Χ [キー] /(n) chi/
Ψ [プサイ] /(n) psi/
Ψ [プシー] /(n) psi/
Ω [オメガ] /(n) omega/
α [アルファ] /(n) alpha/
α-ｈｅｌｉｘ [アルファヘリックス] /(n) alpha helix/
α-ヘリックス [アルファヘリックス] /(n) alpha helix/
αらせん [アルファらせん] /(n) alpha helix/
αリノレン酸 [アルファリノレンさん] /(n) alpha-linolenic acid/ALA/
α化 [アルファか] /(vs,n) pregelatinization/
α波 [アルファは] /(n) alpha wave/
α崩壊 [アルファほうかい] /(n) alpha decay/
α螺旋 [アルファらせん] /(n) alpha helix/
α粒子 [アルファりゅうし] /(n) alpha particle/
β [ベータ] /(n) beta/
β [ベーター] /(n) beta/
β [ヴィタ] /(n) beta/
βカロチン [ベータカロチン] /(n) beta-carotene/
βカロチン [ベタカロチン] /(ik) (n) beta-carotene/
βカロテン [ベータカロテン] /(n) beta-carotene/
βカロテン [ベタカロテン] /(ik) (n) beta-carotene/
β波 [ベータは] /(n) beta wave/
β版 [ベータばん] /(n) (comp) beta version/
β崩壊 [ベータほうかい] /(n) beta decay/
γ [ガンマ] /(n) gamma/
γ [ガンマー] /(n) gamma/
γアミノ酪酸 [ガンマアミノらくさん] /(n) gamma-aminobutyric acid (GABA)/
γリノレン酸 [ガンマリノレンさん] /(n) gamma linolenic acid/GLA/
γ線 [ガンマせん] /(n,adj-no) gamma rays/
γ崩壊 [ガンマほうかい] /(n) gamma decay/
δ [デルタ] /(n) delta/
ε [イプシロン] /(n) epsilon/
ε [エプシロン] /(n) epsilon/
ζ [ゼータ] /(n) zeta/
η [イータ] /(n) eta/
η [エータ] /(n) eta/
θ [シータ] /(n) theta/
θ [テータ] /(n) theta/
θ理論 [シータりろん] /(n) theta-theory/
ι [イオタ] /(n) iota/
κ [カッパ] /(n) kappa/
κ [カッパー] /(n) kappa/
λ [ラムダ] /(n) lambda/
μ [ミュー] /(n) mu/
μ粒子 [ミューりゅうし] /(n) muon/
ν [ニュー] /(n) nu/
ξ [クサイ] /(n) xi/
ξ [クシー] /(n) xi/
ξ [グザイ] /(n) xi/
ο [オミクロン] /(n) omicron/
π [パイ] /(n) pi/
π中間子 [パイちゅうかんし] /(n) pi meson/pion/
π電子 [パイでんし] /(n) pi electron/
ρ [ロー] /(n) rho/
σ [シグマ] /(n) sigma/
σ電子 [シグマでんし] /(n) sigma electron/
τ [タウ] /(n) tau/
τ粒子 [タウりゅうし] /(n) tau particle/tau lepton/
υ [ウプシロン] /(n) upsilon/
υ [オイプシロン] /(n) upsilon/
υ [ユプシロン] /(n) upsilon/
φ [ファイ] /(n) phi/
φ [フィー] /(n) phi/
χ [カイ] /(n) chi/
χ [キー] /(n) chi/
ψ [プサイ] /(n) psi/
ψ [プシー] /(n) psi/
ω [オメガ] /(n) omega/
亜 [あ] /(pref) (1) sub-/(2) -ous (indicating a low oxidation state)/-ite/
亜ぐ [つぐ] /(v5g,vi) to rank next to/to come after/
亜ジチオン酸ナトリウム [あジチオンさんナトリウム] /(n) sodium dithionite/
亜ヒ酸 [あヒさん] /(n) (1) arsenious acid/arsenous acid (H3AsO3)/(2) (col) arsenic trioxide/white arsenic (As2O3)/
亜リン酸 [あリンさん] /(n,adj-no) phosphonic acid (H3PO3)/phosphorous acid/
亜鉛 [あえん] /(n) zinc (Zn)/(P)/
亜鉛引 [あえんびき] /(n,adj-no) zinc coated (galvanized, galvanised)/
亜鉛引き [あえんびき] /(n,adj-no) zinc coated (galvanized, galvanised)/
亜鉛華 [あえんか] /(n) zinc white/zinc oxide/flowers of zinc/
亜鉛華軟膏 [あえんかなんこう] /(n) zinc oxide ointment/
亜鉛合金 [あえんごうきん] /(n) zinc alloy/
亜鉛中毒 [あえんちゅうどく] /(n) zinc poisoning/
亜鉛鉄 [あえんてつ] /(n) galvanized iron/galvanised iron/
亜鉛鉄板 [あえんてっぱん] /(n) galvanized sheet iron/galvanised sheet iron/
亜鉛凸版 [あえんとっぱん] /(n) photoengraving/
亜鉛板 [あえんばん] /(n) zinc plate/
亜鉛版 [あえんばん] /(n) zinc etching/
亜鉛末 [あえんまつ] /(n) zinc dust/
亜欧 [あおう] /(n) Asia and Europe/Eurasia/
亜温帯 [あおんたい] /(n) subtemperate zone/
亜音速 [あおんそく] /(n,adj-no) subsonic speed/
亜科 [あか] /(n) subfamily/
亜界 [あかい] /(n) (biological) subkingdom/
亜寒帯 [あかんたい] /(n) subarctic zone/
亜寒帯気候 [あかんたいきこう] /(n) subarctic climate/
亜急性 [あきゅうせい] /(n,adj-no) subacute/subacute illness/
亜急性硬化性全脳炎 [あきゅうせいこうかせいぜんのうえん] /(n) subacute sclerosing panencephalitis/
亜旧石器時代 [あきゅうせっきじだい] /(n) Epipaleolithic (era)/
亜空間 [あくうかん] /(n) hyperspace/subspace/
亜群 [あぐん] /(n) subgroup/
亜光速 [あこうそく] /(n) near light speed/sublight speed/
亜綱 [あこう] /(n) (biological) subclass/
亜高山帯 [あこうざんたい] /(n,adj-no) subalpine zone/
亜細亜 [あじあ] /(n) (1) (uk) Asia (esp. "the Far East")/(adj-no) (2) Asian/Asiatic/
亜酸化窒素 [あさんかちっそ] /(n) nitrous oxide (N2O)/
亜爾然丁 [あるぜんちん] /(n,adj-no) (uk) Argentina/
亜種 [あしゅ] /(n,n-suf) subspecies/
亜硝酸 [あしょうさん] /(n) nitrous acid/
亜硝酸アミル [あしょうさんアミル] /(n) amyl nitrite/
亜硝酸アンモニウム [あしょうさんアンモニウム] /(n) ammonium nitrite/
亜硝酸カリウム [あしょうさんカリウム] /(n) potassium nitrite/
亜硝酸ナトリウム [あしょうさんナトリウム] /(n) sodium nitrite/
亜硝酸塩 [あしょうさんえん] /(n) nitrite/
亜硝酸菌 [あしょうさんきん] /(n) nitrite bacteria/
亜成層圏 [あせいそうけん] /(n,adj-no) substratosphere/
亜聖 [あせい] /(n) sage of the second order/
亜属 [あぞく] /(n) subgenus/
亜族 [あぞく] /(n) (1) subgroup (of the periodic table)/(2) (taxonomical) subtribe/
亜大陸 [あたいりく] /(n,adj-no) subcontinent/
亜脱臼 [あだっきゅう] /(n) subluxation/
亜炭 [あたん] /(n,adj-no) lignite/brown coal/
亜炭化物 [あたんかぶつ] /(n) subcarbide/
亜低木 [あていぼく] /(n) subshrub/
亜熱帯 [あねったい] /(n) subtropics/(P)/
亜熱帯ジェット気流 [あねったいジェットきりゅう] /(n) subtropical jet stream/
亜熱帯気候 [あねったいきこう] /(n) subtropical climate/
亜熱帯高気圧 [あねったいこうきあつ] /(n) subtropical anticyclone/
亜熱帯植物 [あねったいしょくぶつ] /(n,adj-no) subtropical plants/
亜熱帯多雨林 [あねったいたうりん] /(n) subtropical rain forest/
亜熱帯林 [あねったいりん] /(n) subtropical forest/
亜皮西尼 [あびしにあ] /(n) (uk) Abyssinia (Empire of Ethiopia, 980 B.C. to 1974)/
亜米利加 [あめりか] /(ateji) (ik) (n) (uk) America/
亜米利加 [アメリカ] /(ateji) (n) (uk) America/
亜米利加合衆国 [あめりかがっしゅうこく] /(n) the United States of America/
亜米利加山法師 [アメリカやまぼうし] /(n) (uk) flowering dogwood (Cornus florida)/
亜米利加杉 [あめりかすぎ] /(n) redwood/
亜墨利加 [あめりか] /(ateji) (ik) (n) (uk) America/
亜墨利加 [アメリカ] /(ateji) (n) (uk) America/
亜麻 [あま] /(n,adj-no) flax (Linum usitatissimum)/linseed/
亜麻糸 [あまいと] /(n) flax yarn/
亜麻織物 [あまおりもの] /(n) flax fabrics/linen/
亜麻色 [あまいろ] /(n) flaxen/
亜麻色の髪 [あまいろのかみ] /(n) flaxen hair/
亜麻仁 [あまに] /(n) flaxseed/linseed/
亜麻仁油 [あまにゆ] /(n) linseed oil/
亜麻製 [あませい] /(adj-no) flaxen/linen/
亜麻布 [あまぬの] /(n) linen/
亜鳴禽類 [あめいきんるい] /(n,adj-no) suboscines (songbirds of suborder Tyranni)/
亜目 [あもく] /(n) suborder/
亜門 [あもん] /(n) subphylum/(biological) subdivision/
亜乱炭椎 [アランスミシー] /(n) Alan Smithee (pseudonym used by film directors who wish to disown a project)/Allen Smithee/
亜流 [ありゅう] /(n) bad second/epigone/adherent/follower/imitator/
亜硫酸 [ありゅうさん] /(n) sulfurous acid/sulphurous acid/
亜硫酸ガス [ありゅうさんガス] /(n) sulphurous acid gas/sulfurous acid gas/sulphur dioxide gas/sulfur dioxide gas/
亜硫酸ナトリウム [ありゅうさんナトリウム] /(n) sodium sulfite/
亜硫酸パルプ [ありゅうさんパルプ] /(n) sulfite pulp/
亜硫酸塩 [ありゅうさんえん] /(n) sulfite/
亜硫酸水素ナトリウム [ありゅうさんすいそナトリウム] /(n) sodium hydrogen sulfite/
亜燐酸 [ありんさん] /(n,adj-no) phosphonic acid (H3PO3)/phosphorous acid/
亜鈴 [あれい] /(n) dumbbell/
亜連 [あれん] /(n) (taxonomical) subtribe/
亜剌比亜 [あらびあ] /(n,adj-no) (uk) Arabia/
亜拉毘亜 [あらびあ] /(n,adj-no) (uk) Arabia/
亜砒酸 [あひさん] /(n) (1) arsenious acid/arsenous acid (H3AsO3)/(2) (col) arsenic trioxide/white arsenic (As2O3)/
亜砒酸塩 [あひさんえん] /(n) arsenite/
唖 [あ] /(n) (1) muteness/speech impairment/
唖 [おうし] /(ok) (n) (1) muteness/speech impairment/(2) (sens) mute/deaf-mute/
唖 [おし] /(n) (1) muteness/speech impairment/(2) (sens) mute/deaf-mute/
唖々 [ああ] /(adv) (arch) caw (cry of a crow, etc.)/
唖唖 [ああ] /(adv) (arch) caw (cry of a crow, etc.)/
唖者 [あしゃ] /(n) (col) mute person/
唖蝉 [おしぜみ] /(n) voiceless cicada (female)/Asian cicada/
唖然 [あぜん] /(adj-t,adv-to) dumbfounded/in mute amazement/
唖鈴 [あれい] /(n) dumbbell/
娃鬟 [あいかん] /(n) (arch) beautiful woman/
阿 [くま] /(n) (1) corner/nook/recess/(2) a shadow/a shade/
阿うん [あうん] /(n) (1) (uk) Om (san:)/Aun/syllable representing the primordial trinity of Vishnu, Shiva and Brahma/(2) inspiration and expiration/respiration/alpha and omega/
阿しゅく [あしゅく] /(n) (Buddh) Akshobhya (the immovable buddha)/
阿しゅく如来 [あしゅくにょらい] /(n) Akshobhya (one of the Five Wisdom Buddhas)/
阿しゅく仏 [あしゅくぶつ] /(n) (Buddh) Akshobhya (the immovable buddha)/
阿ねる [おもねる] /(io) (v5r,vi) to flatter/
阿る [おもねる] /(v5r,vi) to flatter/
阿翁 [あおう] /(n) (1) (arch) father-in-law (of a woman)/(2) grandfather/
阿亀 [おかめ] /(n) plain-looking woman/
阿亀鸚哥 [おかめいんこ] /(n) (uk) cockatiel (Nymphicus hollandicus)/
阿菊虫 [おきくむし] /(n) (col) chrysalis of a swallowtail butterfly (esp. of species Atrophaneura alcinous)/
阿兄 [あけい] /(n) elder brother/my dear brother/
阿古屋貝 [あこやがい] /(n) (uk) Marten's pearl oyster (Pinctada fucata martensii)/Akoya pearl oyster/
阿候鯛 [あこうだい] /(n) (1) (uk) Matsubara's red rockfish (Sebastes matsubarae)/(2) (food) Pacific ocean perch (Sebastes alutus)/
阿字 [あじ] /(n) the letter a (in esoteric Buddhism)/
阿修羅 [あしゅら] /(n) Asura (fighting demon)/
阿修羅道 [あしゅらどう] /(n) (Buddh) Asura realm/
阿世 [あせい] /(n) (obsc) timeserving/
阿仙薬 [あせんやく] /(n) gambir/gambier/catechu/cutch/
阿蘇山 [あそさん] /(n) mountain in Kumamoto Prefecture/
阿蘇山 [あそざん] /(n) mountain in Kumamoto Prefecture/
阿僧祇 [あそうぎ] /(n) (1) (Buddh) a number so great it can never be counted to (san: asamkhya)/(2) 10^56 (or 10^64)/
阿漕 [あこぎ] /(adj-na,n) greed/cruelty/insistent/insistence/
阿漕ぎ [あこぎ] /(adj-na,n) greed/cruelty/insistent/insistence/
阿多福 [おたふく] /(n) moon-faced woman/homely woman/
阿多福豆 [おたふくまめ] /(n) (1) large broad bean/(2) (boiled and sweetened) broad bean/
阿多福風邪 [おたふくかぜ] /(n) mumps/
阿代 [あしろ] /(n) (uk) Ophidion asiro (species of cusk eel)/
阿檀 [あだん] /(n) (uk) screw pine (Pandanus odoratissimus, P. tectorius)/pandanus palm/pandanus fruit/
阿波おどり [あわおどり] /(n) Awa Odori Festival (Tokushima)/
阿波踊り [あわおどり] /(n) Awa Odori Festival (Tokushima)/
阿婆擦 [あばずれ] /(adj-na,n) a bitch/
阿婆擦れ [あばずれ] /(adj-na,n) a bitch/
阿比 [あび] /(n) (uk) red-throated loon (Gavia stellata)/
阿鼻 [あび] /(n) (Buddh) Avici (lowest level of hell)/
阿鼻叫喚 [あびきょうかん] /(n) agonizing cries/pandemonium/two of Buddhism's hells/
阿鼻地獄 [あびじごく] /(n) the Avici hell, the eighth and most painful of the eight hells in Buddhism/
阿付迎合 [あふげいごう] /(n,vs) ingratiation/sycophancy/
阿父 [あふ] /(n) (fam) (arch) father/
阿附迎合 [あふげいごう] /(n,vs) ingratiation/sycophancy/
阿武船 [あたけぶね] /(n) large warship of the Muromachi and early Edo periods/
阿部沙魚 [あべはぜ] /(n) (uk) Samoan mullet goby (Mugilogobius abei)/
阿弗利加 [あふりか] /(n,adj-no) (uk) Africa/
阿弗利加系亜米利加人 [あふりかけいあめりかじん] /(ateji) (n) African American/
阿片 [あへん] /(n) (uk) opium/
阿片窟 [あへんくつ] /(n) opium den/
阿片戦争 [あへんせんそう] /(n) Opium Wars/
阿片中毒 [あへんちゅうどく] /(n) opium addiction/
阿母 [あぼ] /(n) (fam) (arch) mother/
阿母 [あも] /(n) (fam) (arch) mother/
阿呆 [あほ] /(adj-na,n) (sens) fool/simpleton/idiot/
阿呆 [あほう] /(adj-na,n) (sens) fool/simpleton/idiot/(P)/
阿呆ちゃうか [あほちゃうか] /(exp) (uk) (ksb:) (Is one) stupid or something?/
阿呆に付ける薬無し [あほうにつけるくすりなし] /(exp) (id) There's no medicine for curing a fool/
阿呆らしい [あほらしい] /(adj-i) ridiculous/
阿呆臭い [あほくさい] /(adj-i) ridiculous/
阿呆陀羅経 [あほだらきょう] /(n) mock Buddhist sutra/
阿呆鳥 [あほうどり] /(n) (uk) albatross (esp. the short-tailed albatross, Phoebastria albatrus)/
阿房 [あほう] /(adj-na,n) (sens) fool/simpleton/idiot/
阿房鳥 [あほうどり] /(n) (uk) albatross (esp. the short-tailed albatross, Phoebastria albatrus)/
阿魔 [あま] /(ateji) (n) (1) (derog) bitch/
阿弥陀 [あみだ] /(n) (Buddh) Amitabha/
阿弥陀経 [あみだきょう] /(n) Sukhavati sutra/
阿弥陀堂 [あみだどう] /(n) temple hall containing an enshrined image of Amitabha/
阿弥陀如来 [あみだにょらい] /(n) (Buddh) Amitabha Tathagata/Amithaba/
阿弥陀被り [あみだかぶり] /(n) wearing a hat pushed back on one's head/
阿弥陀仏 [あみだぶつ] /(n) Amitabha/
阿弥陀籤 [あみだくじ] /(n) ghostleg lottery/ladder lottery/lottery in which participants trace a line across a lattice pattern to determine the winner/
阿羅漢 [あらかん] /(n) Arhat/Buddhist monk who has attained Nirvana/
阿頼耶識 [あらやしき] /(n) (Buddh) alaya-vijnana (store consciousness, consciousness forming the base of all human existence)/
阿蘭若 [あらんにゃ] /(n) (Buddh) isolated place/hermitage/
阿蘭陀 [オランダ] /(ateji) (n,adj-no) (uk) Holland (por: Olanda)/The Netherlands/
阿蘭陀海芋 [オランダかいう] /(n) (uk) calla lily (Zantedeschia aethiopica)/
阿列布油 [オリーブゆ] /(ateji) (n) olive oil/
阿吽 [あうん] /(n) (1) (uk) Om (san:)/Aun/syllable representing the primordial trinity of Vishnu, Shiva and Brahma/(2) inspiration and expiration/respiration/alpha and omega/
阿吽の呼吸 [あうんのこきゅう] /(n) the harmonizing, mentally and physically, of two parties engaged in an activity/
阿娜っぽい [あだっぽい] /(adj-i) (uk) coquettish/
阿娜めく [あだめく] /(v5k) to be bewitching/to look coquettish/to behave in an alluring manner/to behave in a seductive manner/
阿媽 [あま] /(n) (uk) amah (foreign maid or nursemaid working in east Asia) (por: ama)/
阿媽港 [あまこう] /(n) Macau (Macao)/
阿耆尼 [あぎに] /(n) Agni (Vedic god of fire)/
阿耨多羅三藐三菩提 [あのくたらさんみゃくさんぼだい] /(n) (Buddh) anuttara samyak sambodhi (supreme perfect enlightenment)/
阿諛 [あゆ] /(n,vs) flattery/
阿諛迎合 [あゆげいごう] /(n,vs) ingratiation/sycophancy/
阿諛追従 [あゆついしょう] /(n,vs) excessive flattery/adulation/
阿諛便佞 [あゆべんねい] /(n,adj-no) flattery/adulation/sycophancy/
阿諛弁佞 [あゆべんねい] /(n,adj-no) flattery/adulation/sycophancy/
阿闍世コンプレックス [あじゃせコンプレックス] /(n) Ajase complex (feelings of guilt towards one's mother)/
阿闍梨 [あざり] /(n) Buddhist priest or monk worthy of being held as a model (san: Acharya)/
阿闍梨 [あじゃり] /(n) Buddhist priest or monk worthy of being held as a model (san: Acharya)/
阿魏 [あぎ] /(n) (uk) asafetida (Ferula assafoetida)/
哀しい [かなしい] /(oK) (adj-i) sad/sorrowful/
哀しい歌 [かなしいうた] /(n) doleful song/sad song/
哀しい出来事 [かなしいできごと] /(n) sad event/
哀しげに [かなしげに] /(adv) with a sad look/sadly/
哀しさ [かなしさ] /(n) sadness/sorrow/grief/
哀しみ [かなしみ] /(n) sadness/sorrow/grief/
哀しむ [かなしむ] /(v5m,vt) to be sad/to mourn for/to regret/
哀びん [あいびん] /(n,vs) pity/
哀みん [あいみん] /(n,vs) pity/
哀れ [あわれ] /(n) (1) pity/sorrow/grief/misery/compassion/pathos/(adj-na) (2) pitiable/pitiful/pathetic/miserable/(int) (3) alack/alas/(P)/
哀れっぽい [あわれっぽい] /(adj-i) plaintive/piteous/doleful/
哀れみ [あわれみ] /(n) pity/compassion/
哀れむ [あわれむ] /(v5m,vt) (1) to commiserate/to pity/to have mercy on/to sympathize with/to sympathise with/(2) (arch) to enjoy the beauty of/to appreciate (e.g. the moon, flowers)/(P)/
哀れ気 [あわれげ] /(adj-na) sad/sorrowful/pensive/
哀音 [あいおん] /(n) sad voices/sad sounds/
哀歌 [あいか] /(n,adj-no) (1) lament (song)/elegy/dirge/sad song/(2) Lamentations (book of the Bible)/
哀楽 [あいらく] /(n) grief and pleasure/
哀感 [あいかん] /(n) pathos/
哀歓 [あいかん] /(n) sadness and joy/
哀願 [あいがん] /(n,vs) supplication/appeal/entreaty/petition/
哀号 [あいごう] /(n,vs) moan/wailing/
哀哉 [かなしいかな] /(exp) Sad to say/How sad/Alas/
哀史 [あいし] /(n) sad story or history/
哀詞 [あいし] /(n) message of condolence/
哀詩 [あいし] /(n) elegy/
哀愁 [あいしゅう] /(n) pathos/sorrow/grief/(P)/
哀傷 [あいしょう] /(n,vs) sorrow/grief/
哀傷歌 [あいしょうか] /(n) lament/elegy/dirge/funeral song/
哀情 [あいじょう] /(n) sadness/
哀惜 [あいせき] /(n,vs) grief/sorrow/
哀切 [あいせつ] /(adj-na,n) pathetic/plaintive/
哀訴 [あいそ] /(n,vs) appeal/complaint/
哀訴嘆願 [あいそたんがん] /(n,vs) plea/entreaty/supplication/
哀訴歎願 [あいそたんがん] /(n,vs) plea/entreaty/supplication/
哀弔 [あいちょう] /(n) sympathetic condolences/
哀調 [あいちょう] /(n) plaintive/mournful melody/minor key/
哀痛 [あいつう] /(n,vs) sorrowing with the bereaved/
哀悼 [あいとう] /(n,vs,adj-no) condolence/regret/tribute/sorrow/sympathy/lament/(P)/
哀悼痛惜 [あいとうつうせき] /(n) condolence/mourning/sorrow/lamentation/
哀別 [あいべつ] /(n,vs) sad parting/
哀慕 [あいぼ] /(n) cherish the memory of/yearn for/
哀憐 [あいれん] /(n,vs) pity/compassion/
哀話 [あいわ] /(n) sad story/
哀哭 [あいこく] /(n,vs) grief/mourning/lamentation/
哀愍 [あいびん] /(n,vs) pity/
哀愍 [あいみん] /(n,vs) pity/
哀憫 [あいびん] /(n,vs) pity/
哀憫 [あいみん] /(n,vs) pity/
愛 [あい] /(n,n-suf) love/affection/(P)/
愛おしい [いとおしい] /(adj-i) lovely/sweet/precious/adorable/
愛おしむ [いとおしむ] /(v5m,vt) (uk) to love/to be attached to/to cherish/to caress/
愛がん [あいがん] /(n,vs) caring for (esp. a pet or a small object)/cherishing/being fond of/prizing/treasuring/
愛がん動物 [あいがんどうぶつ] /(n) pet (animal)/
愛きょう [あいきょう] /(n) love and respect/charm/attractiveness/courtesy/
愛きょうをふりまく [あいきょうをふりまく] /(exp,v5k) to make oneself pleasant to everybody/to smile at everybody/to try to please everybody/to make things pleasant/
愛きょうを振りまく [あいきょうをふりまく] /(exp,v5k) to make oneself pleasant to everybody/to smile at everybody/to try to please everybody/to make things pleasant/
愛くるしい [あいくるしい] /(adj-i) lovely/cute/charming/sweet/
愛しい [いとしい] /(adj-i) lovely/dear/beloved/darling/(P)/
愛しがる [いとしがる] /(v5r,vt) to treat with love/to pity/to cherish/
愛しき [いとしき] /(adj-f) (poet) dear/
愛してる [あいしてる] /(exp) I love you/
愛しむ [おしむ] /(oK) (v5m,vt) (1) to be frugal/to be sparing/(2) to value/to hold dear/(3) to regret (e.g. a loss)/to feel sorry (for)/(4) to be unwilling/to be reluctant/
愛し愛される [あいしあいされる] /(v1) to love and be loved back/to love and be loved in return/to give and receive love/
愛し合う [あいしあう] /(v5u) to love one another/
愛し子 [いとしご] /(n) beloved dear child/
愛す [あいす] /(v5s,vs-c,vt) to love/(P)/
愛すべき [あいすべき] /(exp) lovable/
愛する [あいする] /(vs-s,vt) to love/(P)/
愛でたい [めでたい] /(adj-i) (1) (uk) happy/auspicious/propitious/joyous/(2) naive/
愛でたし [めでたし] /(exp) (uk) wonderful/
愛でたし愛でたし [めでたしめでたし] /(exp) (uk) and they all lived happily ever after (traditional ending to stories)/
愛でる [めでる] /(v1,vt) to love/to admire/
愛に飢える [あいにうえる] /(exp,v1) to hunger for love/to starve for love/
愛の結晶 [あいのけっしょう] /(n) fruit of love/children/
愛の神 [あいのかみ] /(n) Amor/Eros/Venus/god of love/
愛の巣 [あいのす] /(n) love nest/
愛ぶ [あいぶ] /(n,vs) caress/loving dearly/
愛らしい [あいらしい] /(adj-i) pretty/charming/lovely/adorable/
愛逢月 [めであいづき] /(n) (obsc) seventh lunar month/
愛育 [あいいく] /(n,vs) tender nurture/
愛飲 [あいいん] /(n,vs) usual drink/habitual drinking/
愛飲家 [あいいんか] /(n) habitual drinker/
愛飲者 [あいいんしゃ] /(n) (habitual) drinker/
愛液 [あいえき] /(n) (1) genital secretions/sexual fluids/(2) semen/cum/
愛煙家 [あいえんか] /(n) heavy smoker/habitual smoker/
愛楽 [あいぎょう] /(n,vs) loving/
愛玩 [あいがん] /(n,vs) caring for (esp. a pet or a small object)/cherishing/being fond of/prizing/treasuring/
愛玩動物 [あいがんどうぶつ] /(n) pet (animal)/
愛玩物 [あいがんぶつ] /(n) prized or treasured object/
愛翫 [あいがん] /(n,vs) caring for (esp. a pet or a small object)/cherishing/being fond of/prizing/treasuring/
愛器 [あいき] /(n) favourite musical instrument, utensil, etc./
愛機 [あいき] /(n) favourite aeroplane, camera or other machine (favorite, airplane)/
愛郷 [あいきょう] /(n) love for one's hometown/
愛郷心 [あいきょうしん] /(n) love of one's hometown/
愛吟 [あいぎん] /(n,vs) (1) favourite poem or song/favorite poem or song/(2) lover of poetry and song/
愛敬 [あいきょう] /(n) love and respect/charm/attractiveness/courtesy/
愛敬のある [あいきょうのある] /(exp) charming/attractive/
愛犬 [あいけん] /(n) pet dog/(P)/
愛犬家 [あいけんか] /(n) lover of dogs/
愛顧 [あいこ] /(n,vs) patronage/favour/favor/
愛護 [あいご] /(n,vs) protection/tender care/(P)/
愛好 [あいこう] /(n,vs) love/adoration/(P)/
愛好家 [あいこうか] /(n) amateur/fancier/lover/worshipper/
愛好者 [あいこうしゃ] /(n) enthusiast/fan/devotee/one who loves something/
愛校心 [あいこうしん] /(n) love for one's old school or alma mater/
愛国 [あいこく] /(n,adj-no) love of (one's) country/patriotism/(P)/
愛国の志士 [あいこくのしし] /(n) patriot/
愛国運動 [あいこくうんどう] /(n) patriotic movement/
愛国者 [あいこくしゃ] /(n) patriot/
愛国主義 [あいこくしゅぎ] /(n) nationalism/patriotism/
愛国心 [あいこくしん] /(n) patriotic feelings/patriotism/
愛国団体 [あいこくだんたい] /(n) patriotic group or organization (organisation)/
愛妻 [あいさい] /(n) beloved wife/
愛妻家 [あいさいか] /(n) devoted husband/
愛妻弁当 [あいさいべんとう] /(n) lunchbox made with loving care by one's wife/
愛餐 [あいさん] /(n) love feast/agape/
愛餐会 [あいさんかい] /(n) love feast/agape/
愛子 [いとしご] /(n) beloved dear child/
愛斯蘭 [あいすらんど] /(n) (uk) Iceland/
愛死天流 [あいしてる] /(exp) I love you/
愛児 [あいじ] /(n) beloved child/
愛執 [あいしゅう] /(n) attachment/covetous affection/
愛社 [あいしゃ] /(n) devotion to one's company/
愛社精神 [あいしゃせいしん] /(n) spirit of dedication to one's company/
愛車 [あいしゃ] /(n) (one's) beloved car/
愛酒 [あいしゅ] /(n) love of alcohol/drinker/
愛書 [あいしょ] /(n) (1) great love of books/(2) favorite book (favourite)/
愛書家 [あいしょか] /(n) bibliophile/
愛唱 [あいしょう] /(n,vs) fondness for singing/
愛唱歌 [あいしょうか] /(n) (one's) favourite song/(one's) favorite song/
愛唱曲 [あいしょうきょく] /(n) favourite song/favorite song/
愛妾 [あいしょう] /(n) beloved concubine/favourite concubine (e.g. of the shogun)/
愛称 [あいしょう] /(n,adj-no) pet name/(P)/
愛嬢 [あいじょう] /(n) one's beloved daughter/
愛情 [あいじょう] /(n,adj-no) love/affection/(P)/
愛情を傾ける [あいじょうをかたむける] /(exp,v1) to fix one's affection on/
愛情深い [あいじょうふかい] /(adj-i) loving/caring/devoted/
愛情深い [あいじょうぶかい] /(adj-i) loving/caring/devoted/
愛情表現 [あいじょうひょうげん] /(n) expression of love/showing love/
愛人 [あいじん] /(n) lover/mistress/(P)/
愛人関係 [あいじんかんけい] /(n) being lovers/
愛惜 [あいせき] /(n,vs) missing someone/loathing to part/
愛染 [あいぜん] /(n) (1) (Buddh) being drawn to something one loves/amorous passion/(2) (abbr) Ragaraja (esoteric school deity of love)/
愛染妙王 [あいぜんみょうおう] /(n) Ragaraja/Buddhist deity of love/
愛染明王 [あいぜんみょうおう] /(n) (Buddh) Ragaraja (esoteric school deity of love)/
愛想 [あいそ] /(n) civility/courtesy/compliments/sociability/graces/(P)/
愛想 [あいそう] /(n) civility/courtesy/compliments/sociability/graces/(P)/
愛想がつきる [あいそがつきる] /(exp,v1) to be disgusted with/to be fed up with/to run out of patience with/
愛想が尽きる [あいそがつきる] /(exp,v1) to be disgusted with/to be fed up with/to run out of patience with/
愛想のいい [あいそのいい] /(adj-i) affable/amiable/sociable/agreeable/
愛想のよい [あいそのよい] /(adj-i) affable/amiable/sociable/agreeable/
愛想の良い [あいそのいい] /(adj-i) affable/amiable/sociable/agreeable/
愛想の良い [あいそのよい] /(adj-i) affable/amiable/sociable/agreeable/
愛想もこそも尽き果てる [あいそもこそもつきはてる] /(exp,v1) to be completely disgusted with/to be absolutely fed up with/to run out of patience with/
愛想も小想も尽き果てる [あいそもこそもつきはてる] /(exp,v1) to be completely disgusted with/to be absolutely fed up with/to run out of patience with/
愛想を振りまく [あいそをふりまく] /(exp,v5k) to make oneself pleasant to everybody/
愛想を振り撒く [あいそをふりまく] /(exp,v5k) to make oneself pleasant to everybody/
愛想を尽かす [あいそをつかす] /(exp,v5s) to be disgusted with/to run out of patience/to fall out of love/
愛想笑い [あいそうわらい] /(n,vs) insincere smile/ingratiating smile/forced smile/
愛想笑い [あいそわらい] /(n,vs) insincere smile/ingratiating smile/forced smile/
愛想尽かし [あいそづかし] /(n,vs) no longer being fond of someone/spiteful words or acts showing that one is disgusted with someone/
愛憎 [あいぞう] /(adj-na,n,adj-no) love and hate/likes and dislikes/(P)/
愛憎併存 [あいぞうへいそん] /(n) ambivalence/
愛蔵 [あいぞう] /(n,adj-no,vs) treasured/cherished/
愛蔵版 [あいぞうばん] /(n) favourite printing (edition)/favorite printing/collector's edition/
愛息 [あいそく] /(n) (your) beloved son/cute boy/
愛孫 [あいそん] /(n) one's beloved grandchild/
愛他主義 [あいたしゅぎ] /(n) altruism/
愛他主義者 [あいたしゅぎしゃ] /(n) altruist/
愛知県 [あいちけん] /(n) Aichi prefecture (Chuubu area)/
愛着 [あいじゃく] /(n,vs) attachment/love/covetous affection/
愛着 [あいちゃく] /(n,vs) attachment/love/covetous affection/(P)/
愛聴 [あいちょう] /(n,vs) love of listening/
愛鳥 [あいちょう] /(n) pet bird/
愛鳥家 [あいちょうか] /(n) bird lover/
愛鳥週間 [あいちょうしゅうかん] /(n) Bird Week (starting on May 10th of each year)/
愛弟子 [まなでし] /(n) favorite pupil/favourite pupil/teacher's pet/
愛党心 [あいとうしん] /(n) party loyalty/
愛読 [あいどく] /(n,vs) reading with pleasure/(P)/
愛読者 [あいどくしゃ] /(n) subscriber/reader/admirer/
愛読書 [あいどくしょ] /(n) favourite book/favorite book/
愛猫 [あいびょう] /(n) pet cat/
愛猫家 [あいびょうか] /(n) cat lover/
愛馬 [あいば] /(n) favourite horse/favorite horse/
愛媛県 [えひめけん] /(n) Ehime prefecture (Shikoku)/
愛撫 [あいぶ] /(n,vs) caress/loving dearly/
愛別離苦 [あいべつりく] /(n) (Buddh) the pain of separation from loved ones/
愛慕 [あいぼ] /(n,vs) love/attachment/adoration/
愛婿 [あいせい] /(n) one's favorite son-in-law/one's favourite son-in-law/
愛娘 [まなむすめ] /(n) one's beloved daughter/
愛様 [いとさん] /(n) (uk) (hon) (ksb:) daughter (of a good family)/
愛用 [あいよう] /(n,adj-no,vs) favorite/favourite/habitual use/(P)/
愛用者 [あいようしゃ] /(n) regular user/person who favors (favours) (something)/
愛慾 [あいよく] /(n) (1) passion/sexual desire/lust/(2) (Buddh) attachment (esp. to one's family or a member of the opposite sex)/
愛欲 [あいよく] /(n) (1) passion/sexual desire/lust/(2) (Buddh) attachment (esp. to one's family or a member of the opposite sex)/
愛羅武勇 [あいらぶゆう] /(ateji) (exp) (sl) I love you/
愛蘭 [あいるらんど] /(n) (uk) Ireland/Eire/
愛憐 [あいれん] /(n,vs) sympathy/
愛嬌 [あいきょう] /(n) love and respect/charm/attractiveness/courtesy/
愛嬌を振りまく [あいきょうをふりまく] /(exp,v5k) to make oneself pleasant to everybody/to smile at everybody/to try to please everybody/to make things pleasant/
愛嬌を振り撒く [あいきょうをふりまく] /(exp,v5k) to make oneself pleasant to everybody/to smile at everybody/to try to please everybody/to make things pleasant/
愛嬌者 [あいきょうもの] /(n) pleasant person/attractive person/animal liked by all because of its cuteness/
愛孃 [あいじょう] /(n) one's beloved daughter/
愛誦 [あいしょう] /(n,vs) love of reading/
挨拶 [あいさつ] /(n,vs,adj-no) (1) greeting/greetings/salutation/salute/(2) speech (congratulatory or appreciative)/address/(3) reply/response/(4) (sl) revenge/retaliation/(exp) (5) a fine thing to say (used as part of a sarcastic response to a rude remark)/(6) (orig. meaning) dialoging (with another Zen practitioner to ascertain their level of enlightenment)/(P)/
挨拶は抜きで [あいさつはぬきで] /(exp) without compliments (greetings)/
挨拶まわり [あいさつまわり] /(n) New Year courtesy calls/
挨拶を交わす [あいさつをかわす] /(exp,v5s) to exchange greetings/
挨拶回り [あいさつまわり] /(n) New Year courtesy calls/
挨拶状 [あいさつじょう] /(n) greeting card/
逢い引き [あいびき] /(n,vs) (lover's) date/assignation/rendezvous/
逢い見る [あいみる] /(v1,vi) to face/
逢う [あう] /(v5u,vi) (1) to meet/to encounter/(2) (uk) to have an accident/to have a bad experience/(P)/
逢うは別れの始め [あうはわかれのはじめ] /(exp) those who meet must part (suggesting the transient nature of this life)/we meet only to part/
逢う魔が時 [おうまがとき] /(exp) twilight/the time for disasters (similar to 'the witching hour' but not midnight)/
逢わせる [あわせる] /(v1,vt) (1) to make (someone) to meet/to let (someone) meet/(2) to expose to/to subject to/
逢引 [あいびき] /(io) (n,vs) (lover's) date/assignation/rendezvous/
逢引き [あいびき] /(io) (n,vs) (lover's) date/assignation/rendezvous/
逢瀬 [おうせ] /(n) rendezvous/tryst/(lover's) meeting/(secret) date/
逢着 [ほうちゃく] /(n,vs) encounter/face/
逢魔が時 [おうまがとき] /(exp) twilight/the time for disasters (similar to 'the witching hour' but not midnight)/
葵 [あおい] /(n) (1) (uk) mallow (any plant of family Malvaceae)/(2) Asarum caulescens (species of wild ginger)/(3) hollyhock/(P)/
葵の御紋 [あおいのごもん] /(n) wild ginger trefoil coat of arms of the Tokugawa clan/
葵花 [きか] /(n) (obsc) sunflower/
葵貝 [あおいがい] /(n) (1) (uk) eggcase (shell) of the greater argonaut/(2) (col) greater argonaut (species of paper nautilus, Argonauta argo)/
葵祭 [あおいまつり] /(n) hollyhock festival/
茜 [あかね] /(n) (1) (uk) madder (esp. Japanese madder, Rubia argyi)/(2) madder (red color)/
茜さす空 [あかねさすそら] /(n) glowing sky/
茜の根 [あかねのね] /(n) madder root/
茜差す空 [あかねさすそら] /(n) glowing sky/
茜色 [あかねいろ] /(n) madder red/
悪 [あく] /(n) evil/wickedness/(P)/
悪 [わる] /(n) bad thing/bad person/
悪あがき [わるあがき] /(n,vs) useless resistance/vain struggle/
悪い [にくい] /(adj-i) (1) hateful/abominable/poor-looking/detestable/(2) amazing/fantastic/admirable/lovely/wonderful/
悪い [にくい] /(aux-adj) difficult/hard/
悪い [わるい] /(adj-i) (1) bad/poor/inferior/(2) evil/sinful/(3) unprofitable/unbeneficial/(4) at fault/to blame/in the wrong/(5) sorry/(P)/
悪い行い [わるいおこない] /(n) bad (evil) deed/
悪い事は出来ぬもの [わるいことはできぬもの] /(exp) (id) (arch) Murder will out/
悪い知らせ [わるいしらせ] /(n) bad news/
悪い評判 [わるいひょうばん] /(n) unsavory rumor/unsavoury rumour/
悪い風邪 [わるいかぜ] /(n) bad cold/
悪く言う [わるくいう] /(exp,v5u) to deprecate/to traduce/
悪さ [わるさ] /(n) badness/mean mischief/(P)/
悪し [あし] /(n) evil/
悪しからず [あしからず] /(adv) don't get me wrong, but .../I'm sorry/(P)/
悪しき [あしき] /(n) (1) badness/evilness/(adj-pn) (2) bad/evil/
悪し様 [あしざま] /(n,adj-no) unfavourable/unfavorable/
悪し様に [あしざまに] /(adv) unfavorably/unfavourably/slanderously/
悪じゃれ [わるじゃれ] /(adj-na,n) offensive joke/
悪ずれ [わるずれ] /(n,vs) over-sophistication/
悪たれ [あくたれ] /(n) rowdiness/rowdy (person or event)/
悪たれる [あくたれる] /(v1,vi) to do mischief/to use abusive language/
悪たれ口 [あくたれぐち] /(n) abuse/insult/slander/evil speaking/
悪だくみ [わるだくみ] /(n,vs) wiles/sinister design/trick/conspiracy/intrigue/
悪っぽい [わるっぽい] /(adj-i) baddish/badish/
悪どい [あくどい] /(iK) (adj-i) (1) (uk) gaudy/showy/excessive/(2) crooked/vicious/
悪に傾く [あくにかたむく] /(exp,v5k) to be inclined to evil/
悪に染まる [あくにそまる] /(exp,v5r) to steeped in vice/
悪のり [わるのり] /(n,vs) overdoing/
悪の巷 [あくのちまた] /(n) skid row/underworld/
悪の枢軸 [あくのすうじく] /(exp) Axis of Evil (Iran, Iraq & North Korea)/
悪の道へ誘う [あくのみちへいざなう] /(exp,v5u) (obsc) to lead astray/to lure a person to evil ways/
悪びれずに [わるびれずに] /(exp) calmly/with good grace/
悪びれる [わるびれる] /(v1,vi) to be timid/to be shy/
悪ふざけ [わるふざけ] /(n,vs) prank/practical joke/horseplay/mischievous trick/
悪ふざけをする [わるふざけをする] /(exp,vs-i) to play pranks (on)/to joke around/
悪ぶる [わるぶる] /(v5r) to act tough/to act bad/to act worse than one really is/
悪む [にくむ] /(v5m,vt) to hate/to detest/
悪らつ [あくらつ] /(adj-na) crafty/vicious/unscrupulous/sharp/
悪を懲らす [あくをこらす] /(exp,v5s) to punish the wicked/
悪悪戯 [わるいたずら] /(n) mischief/
悪意 [あくい] /(n,adj-no) (1) ill will/spite/evil intention/(2) bad meaning/(n) (3) (criminal) malice/(4) mala fides (criminal intent to deceive)/(P)/
悪衣 [あくい] /(n) shabby clothes/
悪衣悪食 [あくいあくしょく] /(n) shabby clothes and plain foods/
悪印象 [あくいんしょう] /(n) bad impression/
悪因 [あくいん] /(n) root of evil/
悪因悪果 [あくいんあっか] /(n) sowing and reaping evil/
悪因縁 [あくいんねん] /(n) evil destiny/
悪運 [あくうん] /(n) bad luck/
悪運が強い [あくうんがつよい] /(exp) having the luck to escape trouble (your behaviour has landed you in)/
悪影響 [あくえいきょう] /(n) bad influence/negative influence/
悪影響を及ぼす [あくえいきょうをおよぼす] /(exp,v5s) to affect adversely/to have a negative influence (on)/
悪液質 [あくえきしつ] /(n) cachexy/
悪疫 [あくえき] /(n,adj-no) epidemic/
悪縁 [あくえん] /(n,adj-no) evil destiny or connection/unfortunate love/
悪化 [あっか] /(n,vs,adj-no) (suffer) deterioration/growing worse/aggravation/degeneration/corruption/(P)/
悪果 [あっか] /(n) bad results/
悪茄子 [わるなすび] /(n) Carolina horsenettle (Solanum carolinense)/
悪貨 [あくか] /(n) bad money/
悪貨 [あっか] /(n) bad money/
悪貨は良貨を駆逐する [あくかはりょうかをくちくする] /(exp) (id) when there is a legal tender currency, bad money drives out good money (Gresham's Law)/
悪貨は良貨を駆逐する [あっかはりょうかをくちくする] /(exp) (id) when there is a legal tender currency, bad money drives out good money (Gresham's Law)/
悪餓鬼 [わるがき] /(n) brat/
悪寒 [おかん] /(n) chill/shakes/ague/(P)/
悪感 [あくかん] /(n,adj-no) ill feeling/ill will/antipathy/animosity/
悪感 [あっかん] /(n,adj-no) ill feeling/ill will/antipathy/animosity/
悪感化 [あっかんか] /(n,vs) evil influence/
悪感情 [あくかんじょう] /(n) ill feeling/ill will/animosity/bad impression/
悪感情 [あっかんじょう] /(n) ill feeling/ill will/animosity/bad impression/
悪漢 [あっかん] /(n) (obsc) rascal/villain/scoundrel/ruffian/crook/
悪漢小説 [あっかんしょうせつ] /(n) picaresque novel/
悪気 [あっき] /(n) nasty smelling air/noxious gas/evil 'ki'/
悪気 [わるぎ] /(n) ill will/malice/evil intent/ill feeling/distrust/(P)/
悪鬼 [あっき] /(n) evil spirit/demon/devil/
悪鬼羅刹 [あっきらせつ] /(n) man-eating fiend/
悪戯 [あくぎ] /(adj-na,adj-no,n,vs) tease/prank/trick/practical joke/mischief/
悪戯 [いたずら] /(adj-na,adj-no,n,vs) tease/prank/trick/practical joke/mischief/(P)/
悪戯 [いたづら] /(ik) (adj-na,adj-no,n,vs) tease/prank/trick/practical joke/mischief/
悪戯っぽい [いたずらっぽい] /(adj-i) (uk) roguish/impish/
悪戯っ子 [いたずらっこ] /(n) (1) mischievous child/scamp/rascal/(2) elf/imp/
悪戯好き [いたずらずき] /(adj-na,adj-no) mischievous/
悪戯子 [いたずらっこ] /(n) (1) mischievous child/scamp/rascal/(2) elf/imp/
悪戯者 [いたずらもの] /(n) loose woman/useless fellow/mischief maker/
悪戯書 [いたずらがき] /(io) (n) scribbling/doodling/graffiti/
悪戯書き [いたずらがき] /(n) scribbling/doodling/graffiti/
悪戯小僧 [いたずらこぞう] /(n) mischievous boy/
悪戯盛り [いたずらざかり] /(n) mischievous age/
悪戯着 [いたずらぎ] /(n) rompers/play suit/
悪戯電話 [いたずらでんわ] /(n) crank call/prank phone call/
悪戯坊主 [いたずらぼうず] /(n) mischievous boy/troublemaker/pesky kids/
悪虐 [あくぎゃく] /(adj-na,n) (1) atrocity/(2) (arch) treason/
悪虐無道 [あくぎゃくぶどう] /(adj-na,adj-no) treacherous/heinous/treasonous/atrocious/
悪虐無道 [あくぎゃくむどう] /(adj-na,adj-no) treacherous/heinous/treasonous/atrocious/
悪逆 [あくぎゃく] /(adj-na,n) (1) atrocity/(2) (arch) treason/
悪逆非道 [あくぎゃくひどう] /(n,adj-na) heinous/treacherous/atrocious/diabolic/fiendish/inhuman/
悪逆無道 [あくぎゃくぶどう] /(adj-na,adj-no) treacherous/heinous/treasonous/atrocious/
悪逆無道 [あくぎゃくむどう] /(adj-na,adj-no) treacherous/heinous/treasonous/atrocious/
悪球 [あっきゅう] /(n) hard ball to hit/bad pitch/
悪怯れる [わるびれる] /(v1,vi) to be timid/to be shy/
悪業 [あくぎょう] /(n) evil or sinful deed/bad karma/
悪業 [あくごう] /(n) evil or sinful deed/bad karma/
悪玉 [あくたま] /(n) bad character/bad person/villain/baddie/
悪玉 [あくだま] /(n) bad character/bad person/villain/baddie/
悪玉コレステロール [あくたまコレステロール] /(n) bad cholesterol/
悪玉化 [あくだまか] /(n,vs) scapegoating/
悪形 [あくがた] /(n) villain's part/
悪計 [あくけい] /(ok) (n) plot/trick/evil scheme/
悪計 [あっけい] /(n) plot/trick/evil scheme/
悪血 [あくち] /(n) impure blood/
悪血 [おけつ] /(n) impure blood/
悪賢い [わるがしこい] /(adj-i) cunning/crafty/wily/sly/(P)/
悪言 [あくげん] /(n) uncomplimentary remarks/slander/
悪狐 [あっこ] /(n) bad fox/
悪口 [あっこう] /(n,vs) abuse/insult/slander/evil speaking/bad mouth/(P)/
悪口 [わるくち] /(n,vs) abuse/insult/slander/evil speaking/bad mouth/(P)/
悪口 [わるぐち] /(n,vs) abuse/insult/slander/evil speaking/bad mouth/
悪口雑言 [あっこうぞうごん] /(n) all kinds of malicious gossip/heaping verbal abuse (on)/cursing and swearing (words)/
悪巧み [わるだくみ] /(n,vs) wiles/sinister design/trick/conspiracy/intrigue/
悪行 [あくぎょう] /(n) misdeed/wrongdoing/wickedness/
悪行 [あっこう] /(n) misdeed/wrongdoing/wickedness/
悪行三昧 [あくぎょうざんまい] /(n) committing every evil/being given to evil ways/following the path of evil/
悪妻 [あくさい] /(n) bad wife/
悪妻は百年の不作 [あくさいはひゃくねんのふさく] /(exp) a bad wife spells the ruin of her husband/a bad wife means a hundred years of bad luck to her husband/
悪才 [あくさい] /(n) genius for evil/
悪材料 [あくざいりょう] /(n) adverse stock-market factors/
悪策 [あくさく] /(n) poor policy/poor plan/
悪擦 [わるずれ] /(n,vs) over-sophistication/
悪擦れ [わるずれ] /(n,vs) over-sophistication/
悪事 [あくじ] /(n) evil deed/crime/wickedness/(P)/
悪事を唆す [あくじをそそのかす] /(exp,v5s) to entice a person to do something wrong/
悪事を働く [あくじをはたらく] /(exp,v5k) to commit a crime/to do evil/
悪事千里 [あくじせんり] /(exp) bad news traveling fast/ill news spreading like wildfire/
悪事千里を行く [あくじせんりをいく] /(exp) (id) bad news travels fast/
悪事千里を走る [あくじせんりをはしる] /(exp) (id) bad news travels quickly/
悪疾 [あくしつ] /(n) malignant or virulent disease/
悪質 [あくしつ] /(adj-na,n) bad quality/malignancy/vicious/malignant/(P)/
悪質化 [あくしつか] /(n,vs) worsening/
悪者 [わるもの] /(n) bad fellow/rascal/ruffian/scoundrel/(P)/
悪手 [あくしゅ] /(n) poor move/
悪趣味 [あくしゅみ] /(adj-na,n) bad taste/
悪酒 [あくしゅ] /(n) cheap liquor/
悪習 [あくしゅう] /(n) bad habit/vice/
悪習慣 [あくしゅうかん] /(n) bad habit/evil practices/evil practises/
悪臭 [あくしゅう] /(n,adj-no) stink/bad odor/bad odour/stench/(P)/
悪循環 [あくじゅんかん] /(n) vicious circle/(P)/
悪所 [あくしょ] /(n) dangerous place/house of ill repute/bad place/
悪書 [あくしょ] /(n) harmful book/
悪女 [あくじょ] /(n) wicked or ugly woman/(P)/
悪症 [あくしょう] /(n) malignant or virulent disease/
悪乗り [わるのり] /(n,vs) overdoing/
悪場 [わるば] /(n) dangerous spot/
悪条件 [あくじょうけん] /(n) unfavorable conditions/unfavourable conditions/
悪食 [あくしょく] /(n,vs) eating poor food/eating meat (thus breaking Buddhist rules)/eating repulsive things/
悪食 [あくじき] /(n,vs) eating poor food/eating meat (thus breaking Buddhist rules)/eating repulsive things/
悪心 [あくしん] /(n) evil thought/malicious motive/
悪心 [おしん] /(n) nausea/urge to vomit/
悪神 [あくじん] /(n) evil god/
悪人 [あくにん] /(n,adj-no) bad man/villain/(P)/
悪人は畳の上では死ねない [あくにんはたたみのうえではしねない] /(exp) (id) A bad person does not deserve to die in his own bed/
悪人正機 [あくにんしょうき] /(exp) The evil persons are the right object of Amida's salvation/The evil persons have the unique opportunity to go to heaven/
悪推量 [わるずいりょう] /(adj-na,n) distrust/unjust suspicion/
悪水 [あくすい] /(n) undrinkable water/
悪酔 [わるよい] /(n,vs) drunken frenzy/drunken sickness/
悪酔い [わるよい] /(n,vs) drunken frenzy/drunken sickness/
悪摺れ [わるずれ] /(n,vs) over-sophistication/
悪性 [あくしょう] /(adj-na,n,adj-no) evil nature/licentiousness/lewdness/
悪性 [あくせい] /(adj-na,n) malignancy/virulence/malignant (cancer)/pernicious (anemia, anaemia)/(P)/
悪性リンパしゅ [あくせいリンパしゅ] /(n) malignant lymphoma/
悪性リンパ腫 [あくせいリンパしゅ] /(n) malignant lymphoma/
悪性黒色腫 [あくせいこくしょくしゅ] /(n) malignant melanoma/
悪性腫瘍 [あくせいしゅよう] /(n) malignant tumor/malignant tumour/
悪性新生物 [あくしょうしんせいぶつ] /(n) malignant growth/
悪性水腫 [あくせいすいしゅ] /(n) malignant edema/malignant oedema/
悪性度 [あくせいど] /(n) malignancy/
悪性貧血 [あくせいひんけつ] /(n) pernicious anemia/pernicious anaemia/
悪政 [あくせい] /(n) misgovernment/
悪声 [あくせい] /(n) bad voice/evil speaking/
悪税 [あくぜい] /(n) irrational tax/
悪舌 [あくした] /(n) evil tongue/gossip/
悪舌 [あくぜつ] /(n) evil tongue/gossip/
悪宣伝 [あくせんでん] /(n) false propaganda/
悪戦 [あくせん] /(n,vs) hard fighting/close contest/
悪戦苦闘 [あくせんくとう] /(n,vs) hard fighting/hard struggle/fighting against heavy odds/
悪銭 [あくせん] /(n) ill-gotten money/bad coin/
悪銭身につかず [あくせんみにつかず] /(exp) (id) Easy come, easy go/Lightly comes, lightly goes/Soon gotten soon spent/
悪銭身に付かず [あくせんみにつかず] /(exp) (id) Easy come, easy go/Lightly comes, lightly goes/Soon gotten soon spent/
悪阻 [おそ] /(n,adj-no) morning sickness/
悪阻 [つわり] /(n,adj-no) morning sickness/
悪僧 [あくそう] /(n) dissolute priest/
悪相 [あくそう] /(n) evil countenance/
悪送球 [あくそうきゅう] /(n,vs) throwing error (baseball)/
悪騒ぎ [わるさわぎ] /(n) making an excessive fuss/disorderly merrymaking/
悪足掻き [わるあがき] /(n,vs) useless resistance/vain struggle/
悪太郎 [あくたろう] /(n) bad boy/
悪態 [あくたい] /(n) abusive language/
悪態をつく [あくたいをつく] /(exp,v5k) to call a person names/to curse/
悪達者 [わるだっしゃ] /(adj-na,n) fast slipshod work/
悪知恵 [わるじえ] /(n) craft/cunning/guile/serpentine wisdom/
悪知恵 [わるぢえ] /(n) craft/cunning/guile/serpentine wisdom/
悪知識 [あくちしき] /(n) bad friend (who leads one away from Buddhism)/
悪地 [あくじ] /(n) badland/
悪天 [あくてん] /(n) bad weather/
悪天候 [あくてんこう] /(n) bad weather/(P)/
悪天使 [あくてんし] /(n) evil angels/
悪徒 [あくと] /(n) rascal/scoundrel/villain/
悪党 [あくとう] /(n,adj-no) scoundrel/rascal/villain/
悪党面 [あくとうづら] /(n) villainous face/
悪投 [あくとう] /(n,vs) wild pitch/
悪闘 [あくとう] /(n) difficult battle/
悪童 [あくどう] /(n) bad boy/
悪道 [あくどう] /(n) wrong course/evil course/
悪徳 [あくとく] /(adj-na,n,adj-no) vice/immorality/corruption/(P)/
悪徳サイト [あくとくサイト] /(n) fraudulent site/
悪徳商法 [あくとくしょうほう] /(n) unscrupulous (crooked, fraudulent) business practices/pernicious sales methods/
悪徳新聞 [あくとくしんぶん] /(n) irresponsible newspaper/
悪徳政治家 [あくとくせいじか] /(n) corrupt politician/
悪日 [あくにち] /(n) unlucky day/
悪日 [あくび] /(n) unlucky day/
悪熱 [おねつ] /(n) fever following a chill/
悪念 [あくねん] /(n) evil thought/malicious motive/spite/
悪婆 [あくば] /(n) mean old woman/
悪罵 [あくば] /(n,vs) curse/vilification/
悪馬 [あくうま] /(n) wild horse/unmanageable horse/
悪馬 [あくば] /(n) wild horse/unmanageable horse/
悪馬 [あくめ] /(n) wild horse/unmanageable horse/
悪筆 [あくひつ] /(n) poor handwriting/
悪評 [あくひょう] /(n) bad reputation/infamy/ill repute/unfavorable criticism/unfavourable criticism/
悪病 [あくびょう] /(n) bad health/
悪婦 [あくふ] /(n) wicked woman/
悪風 [あくふう] /(n) vice/bad manners/evil customs/
悪文 [あくぶん] /(n) bad style/poor writing/
悪平等 [あくびょうどう] /(adj-na,n) misguided equality/misconceived equality/leaning over backwards to be impartial/
悪弊 [あくへい] /(n) vice/abuse/evil/
悪癖 [あくへき] /(n) (1) bad habit/vice/(2) masturbation (euph.)/
悪癖 [わるぐせ] /(n) (1) bad habit/vice/(2) masturbation (euph.)/
悪報 [あくほう] /(n) karmic retribution/
悪方 [あくがた] /(n) villain's part/
悪法 [あくほう] /(n) (1) bad law/(2) (arch) evil ways/evil way of doing things/
悪法も亦法也 [あくほうもまたほうなり] /(exp) (id) A law is a law, however undesirable it may be/
悪魔 [あくま] /(n) devil/demon/fiend/Satan/evil spirit/(P)/
悪魔の宴 [あくまのうたげ] /(n) black sabbath/witches' sabbath/
悪魔の詩 [あくまのし] /(n) The Satanic Verses (novel by Salman Rushdie)/
悪魔主義 [あくましゅぎ] /(n) satanism/devil worship/
悪魔調伏 [あくまちょうぶく] /(n) exorcism/praying down evil spirits/
悪魔派 [あくまは] /(n) Satanic school/
悪魔払い [あくまばらい] /(n) exorcism/
悪夢 [あくむ] /(n) nightmare/bad dream/(P)/
悪夢から覚める [あくむからさめる] /(exp,v1) to come to one's senses/
悪名 [あくみょう] /(n) bad reputation/ill repute/bad name/
悪名 [あくめい] /(n) bad reputation/ill repute/bad name/
悪名高い [あくみょうたかい] /(adj-i) infamous/notorious/
悪名高い [あくみょうだかい] /(adj-i) infamous/notorious/
悪木盗泉 [あくぼくとうせん] /(exp) A virtuous person does (should) not commit an act that offends his moral principles no matter how hard pressed he may be/
悪役 [あくやく] /(n,adj-no) villain/baddie/the villain's part/(P)/
悪訳 [あくやく] /(n) bad translation/
悪友 [あくゆう] /(n,adj-no) bad companion/
悪遊び [わるあそび] /(n) prank/evil pleasures/gambling/
悪用 [あくよう] /(n,vs) abuse/misuse/perversion/(P)/
悪令 [あくれい] /(n) bad decree/
悪例 [あくれい] /(n) bad example/bad precedent/
悪霊 [あくりょう] /(n) evil spirit/
悪霊 [あくれい] /(n) evil spirit/
悪路 [あくろ] /(n) bad road/
悪露 [おろ] /(n,adj-no) lochia/post-natal vaginal discharge/
悪巫山戯 [わるふざけ] /(n,vs) prank/practical joke/horseplay/mischievous trick/
悪洒落 [わるじゃれ] /(adj-na,n) offensive joke/
悪祓 [あしはらえ] /(n) (arch) (obsc) purification to cleanse one of sin/
悪辣 [あくらつ] /(adj-na) crafty/vicious/unscrupulous/sharp/
握らす [にぎらす] /(v5s,vt) to let (someone) take hold of your hand/(P)/
握らせる [にぎらせる] /(v1) to let a person take hold of/to bribe by slipping money into a person's hand/
握り [にぎり] /(n) grip/handle/(P)/
握りこぶし [にぎりこぶし] /(n) clenched fist/
握りしめる [にぎりしめる] /(v1,vt) to grasp tightly/
握りずし [にぎりずし] /(n) (food) hand-rolled sushi/sushi ball/
握りつぶす [にぎりつぶす] /(v5s,vt) to crush (with one's hands)/to abandon/
握り屋 [にぎりや] /(n) miser/grasping fellow/
握り緊める [にぎりしめる] /(v1,vt) to grasp tightly/
握り拳 [にぎりこぶし] /(n) clenched fist/
握り寿司 [にぎりずし] /(n) (food) hand-rolled sushi/sushi ball/(P)/
握り潰し [にぎりつぶし] /(n) shelving/
握り潰す [にぎりつぶす] /(v5s,vt) to crush (with one's hands)/to abandon/
握り締める [にぎりしめる] /(v1,vt) to grasp tightly/(P)/
握り箸 [にぎりばし] /(n) grasping one's chopsticks the same way one might hold a walking stick (a breach of etiquette)/
握り飯 [にぎりめし] /(n) rice ball/(P)/
握り返す [にぎりかえす] /(v5s) to grasp back/to squeeze back/to grab back/
握り鋏 [にぎりばさみ] /(n) U shaped scissors with no place to put one's fingers/shears/
握り鮨 [にぎりずし] /(n) (food) hand-rolled sushi/sushi ball/
握る [にぎる] /(v5r,vt) to grasp/to seize/to mould sushi/to mold sushi/(P)/
握手 [あくしゅ] /(n,vs) handshake/(P)/
握手を交わす [あくしゅをかわす] /(exp,v5s) shake each other's hands/shake hands with each other/
握髪吐哺 [あくはつとほ] /(n) (a statesman making) extraordinary efforts to find and employ capable persons (persons of great wisdom)/
握飯 [にぎりめし] /(n) rice ball/
握斧 [あくふ] /(n) hand-axe/
握力 [あくりょく] /(n) grip (of hand)/(P)/
握力計 [あくりょくけい] /(n) hand dynamometer/
握鮨 [にぎりずし] /(n) (food) hand-rolled sushi/sushi ball/
渥然 [あくぜん] /(adj-t,adv-to) glossy/
渥地 [あくち] /(n) marshland/
旭 [あさひ] /(n) morning sun/
旭蟹 [あさひがに] /(n) red frog crab/
旭旗 [きょっき] /(n) rising sun flag/
旭光 [きょっこう] /(n) rays of the rising sun/
旭日 [きょくじつ] /(n) rising sun/
旭日旗 [きょくじつき] /(n) Japan's naval ensign/Japanese flag used on military ships/
旭日重光章 [きょくじつじゅうこうしょう] /(n) Order of the Rising Sun, Gold and Silver Star/
旭日小綬章 [きょくじつしょうじゅしょう] /(n) Order of the Sacred Treasure, Gold Rays with Rosette/
旭日昇天 [きょくじつしょうてん] /(n) full of vigor and vitality (like the rising sun) (vigour)/being in the ascendant/
旭日章 [きょくじつしょう] /(n) Orders of the Rising Sun/
旭日大綬章 [きょくじつだいじゅしょう] /(n) Grand Cordon of the Order of the Rising Sun/
旭日中綬章 [きょくじつちゅうじゅしょう] /(n) Order of the Rising Sun, Gold Rays with Neck Ribbon/
旭暉 [きょっき] /(n) rays of the rising sun/
葦 [あし] /(n,adj-no) (uk) common reed (Phragmites australis)/
葦 [よし] /(n,adj-no) (uk) common reed (Phragmites australis)/
葦の髄から天井のぞく [よしのずいからてんじょうのぞく] /(exp,v5k) to have a narrow view of things/to look at the ceiling through a reed/
葦の髄から天井を覗く [よしのずいからてんじょうをのぞく] /(exp,v5k) to have a narrow view of things/to look at the ceiling through a reed/
葦鴨 [よしがも] /(n) falcated teal/
葦原雀 [よしわらすずめ] /(n) (obsc) reed warbler (esp. the great reed warbler, but also the black-browed reed warbler)/
葦戸 [よしど] /(n) reed sliding door/
葦五位 [よしごい] /(n) (uk) yellow bittern (Ixobrychus sinensis)/
葦鹿 [あしか] /(n,adj-no) (uk) eared seal (esp. the California sea lion, Zalophus californianus)/sea lion/
葦手 [あしで] /(n) (1) painting representing reeds around water with rocks, grass or birds made using characters (Heian period)/(2) characters written in a way inspired from that style/
葦雀 [よしきり] /(n) (uk) reed warbler (esp. the great reed warbler, but also the black-browed reed warbler)/
葦切 [よしきり] /(n) (uk) reed warbler (esp. the great reed warbler, but also the black-browed reed warbler)/
葦切鮫 [よしきりざめ] /(n) (uk) blue shark (Prionace glauca, species of circumglobal requiem shark)/
葦船 [あしぶね] /(n) papyrus boat/
葦笛 [あしぶえ] /(n) reed pipe/
葦田鶴 [あしたず] /(n) (arch) crane/
葦登 [よしのぼり] /(n) (uk) Amur goby (Rhinogobius brunneus)/
葦登り [よしのぼり] /(n) (uk) Amur goby (Rhinogobius brunneus)/
葦辺 [あしべ] /(n) reedy shore/
葦毛 [あしげ] /(n,adj-no) grey (horse coat color)/gray/
葦簾 [よしず] /(n) reed screen/
葦簀 [よしず] /(n) reed screen/
芦 [あし] /(n,adj-no) (uk) common reed (Phragmites australis)/
芦 [よし] /(n,adj-no) (uk) common reed (Phragmites australis)/
芦毛 [あしげ] /(n,adj-no) grey (horse coat color)/gray/
鯵 [あじ] /(n) (food) horse mackerel/(P)/
鯵のひらき [あじのひらき] /(n) horse mackerel, cut open and dried/
鯵の開き [あじのひらき] /(n) horse mackerel, cut open and dried/
梓 [あずさ] /(n) (1) (uk) Japanese cherry birch (Betula grossa)/(2) yellow catalpa (Catalpa ovata)/(3) printing block/
梓 [し] /(n) (1) printing block/
梓に上せる [しにのぼせる] /(exp,v1) to bring (a book) into the world/to publish/
梓宮 [しきゅう] /(n) (arch) Emperor's coffin (made of catalpa wood)/
梓弓 [あずさゆみ] /(n) catalpa bow/betula grossa/
梓匠 [ししょう] /(n) cabinetmaker/woodworker/
梓巫女 [あずさみこ] /(n) female medium who summons spirits by sounding the string of a catalpa bow/
圧 [あつ] /(n) pressure/force/
圧され気味 [おされぎみ] /(n,adj-no) being on the ropes/losing ground/
圧し [おし] /(n) weight/pressing down/commanding presence/authority/
圧しあう [へしあう] /(v5u,vi) to jostle/to push/
圧しおる [へしおる] /(v5r,vt) to smash/to break/
圧しこむ [へしこむ] /(v5m,vt) to push into/
圧しころす [おしころす] /(v5s,vt) to crush to death/to stifle to death/to squeeze to death/
圧しつぶす [おしつぶす] /(v5s,vt) to squash/to crush/to flatten/
圧し掛かる [のしかかる] /(v5r,vi) (1) (uk) to lean on/to weigh on/(2) to bend over/to lean forward/
圧し曲げる [へしまげる] /(v1) to bend/
圧し合う [へしあう] /(v5u,vi) to jostle/to push/
圧し込む [へしこむ] /(v5m,vt) to push into/
圧し殺す [おしころす] /(v5s,vt) to crush to death/to stifle to death/to squeeze to death/
圧し石 [おしいし] /(n) stone weight/
圧し折る [へしおる] /(v5r,vt) to smash/to break/
圧し潰す [おしつぶす] /(v5s,vt) to squash/to crush/to flatten/
圧す [あっす] /(v5s,vt) (1) to press/(2) to oppress/to dominate/to overwhelm/
圧す [おす] /(v5s,vt) (1) to apply pressure from above/to press down/
圧す [へす] /(v5s,vt) (arch) to dent/to press/to push/
圧する [あっする] /(vs-s) (1) to press/(2) to oppress/to dominate/to overwhelm/
圧延 [あつえん] /(n,vs) rolling/extending by applying pressure/
圧延機 [あつえんき] /(n) rolling machine/
圧延工場 [あつえんこうじょう] /(n) rolling mill/
圧延鋼 [あつえんこう] /(n) rolled steel/
圧壊 [あっかい] /(n,vs) crushing/breaking by applying pressure/
圧覚 [あっかく] /(n) sense of pressure/
圧巻 [あっかん] /(n) highlight/best part/masterpiece/(P)/
圧観 [あっかん] /(iK) (n) highlight/best part/masterpiece/
圧痕 [あっこん] /(n) impression/
圧砕 [あっさい] /(n,vs) crushing/
圧砕機 [あっさいき] /(n) grinder/crusher/
圧搾 [あっさく] /(n,vs) pressure/compression/
圧搾ポンプ [あっさくポンプ] /(n) compression pump/
圧搾器 [あっさくき] /(n) compression/press/
圧搾機 [あっさくき] /(n) compressor/
圧搾空気 [あっさくくうき] /(n) compressed air/
圧殺 [あっさつ] /(n,vs) crushing to death/
圧死 [あっし] /(n,vs) crushing to death/
圧縮 [あっしゅく] /(n,vs) compression/condensation/constriction/compaction/(P)/
圧縮Ｔシャツ [アッシュクティーシャツ] /(n) compressed T-shirt/
圧縮アーカイバ [あっしゅくアーカイバ] /(n) (comp) data compression archivor/
圧縮アルゴリズム [あっしゅくアルゴリズム] /(n) (comp) compression algorithm/
圧縮タオル [あっしゅくタオル] /(n) compressed towel/compress towel/
圧縮モード [あっしゅくモード] /(n) (comp) compress mode/
圧縮器 [あっしゅくき] /(n) compressor/
圧縮機 [あっしゅくき] /(n) compressor/
圧縮技術 [あっしゅくぎじゅつ] /(n) (comp) compression technology/
圧縮空気 [あっしゅくくうき] /(n,adj-no) compressed air/
圧縮空気機械 [あっしゅくくうききかい] /(n) compressed air machine/
圧縮効果 [あっしゅくこうか] /(n) (comp) compression efficiency/
圧縮効率 [あっしゅくこうりつ] /(n) compression efficiency/
圧縮酸素 [あっしゅくさんそ] /(n) compressed oxygen/
圧縮試験 [あっしゅくしけん] /(n) compression test/
圧縮性 [あっしゅくせい] /(n) compressibility/
圧縮袋 [あっしゅくぶくろ] /(n) vacuum bag (used to make clothes, futons, etc. easier to store)/
圧縮木材 [あっしゅくもくざい] /(n) compressed wood/
圧縮率 [あっしゅくりつ] /(n) compressibility/compression ratio/
圧出 [あっしゅつ] /(n,vs) pressing out/
圧勝 [あっしょう] /(n,vs) complete victory/(P)/
圧伸器 [あつしんき] /(n) (comp) compandor/
圧神 [あっしん] /(n) pressure sensation/
圧制 [あっせい] /(n) oppression/tyranny/despotism/
圧制者 [あっせいしゃ] /(n) oppressor/tyrant/
圧制的 [あっせいてき] /(adj-na) oppressive/despotic/
圧政 [あっせい] /(n) (1) despotic administration/tyrannical rule/(2) power politics/political pressure/
圧接 [あっせつ] /(n) pressure welding/
圧雪 [あっせつ] /(n) compacted snow/
圧着 [あっちゃく] /(n,vs) crimp/crimping/
圧着 [あつぎ] /(n,vs) crimp/crimping/
圧着端子 [あっちゃくたんし] /(n) crimp contact/crimped terminal/
圧着端子 [あつぎたんし] /(n) crimp contact/crimped terminal/
圧注 [あっちゅう] /(n,vs) douche/
圧痛 [あっつう] /(n) oppressive pain/tenderness/pressure pain/
圧痛点 [あっつうてん] /(n) pressure point/
圧潰 [あっかい] /(n,vs) crushing/breaking by applying pressure/
圧潰す [おしつぶす] /(io) (v5s,vt) to squash/to crush/to flatten/
圧点 [あってん] /(n) pressure point/
圧電 [あつでん] /(n,adj-no) (comp) piezoelectric/
圧電気 [あつでんき] /(n) piezoelectricity/
圧電効果 [あつでんこうか] /(n) piezoelectric effect/
圧電振動子 [あつでんしんどうし] /(n) piezoelectric vibrator/
圧倒 [あっとう] /(n,vs) overwhelm/overpower/overwhelming/(P)/
圧倒的 [あっとうてき] /(adj-na,n) overwhelming/(P)/
圧倒的多数 [あっとうてきたすう] /(n) overwhelming numbers/
圧入 [あつにゅう] /(n,vs) indentation/
圧排 [あっぱい] /(n) exclusion/
圧迫 [あっぱく] /(n,vs) pressure/coercion/oppression/(P)/
圧迫感 [あっぱくかん] /(n) feeling of oppression/
圧迫性 [あっぱくせい] /(n) compression/
圧迫包帯 [あっぱくほうたい] /(n) pressure bandage/
圧迫面接 [あっぱくめんせつ] /(n) stress interview/
圧麦 [おしむぎ] /(n) rolled barley/rolled oats/
圧伏 [あっぷく] /(n,vs) overpower/subdue/keep down/
圧服 [あっぷく] /(n,vs) overpower/subdue/keep down/
圧粉磁心 [あっぷんじしん] /(n) dust core/
圧密 [あつみつ] /(n) consolidation/
圧密降伏応力 [あつみつこうふくおうりょく] /(n) consolidation yield stress/
圧面 [べしみ] /(n) beshimi/type of Noh mask with a slanted mouth, bulging eyes and large nostrils/
圧力 [あつりょく] /(n,vs) stress/pressure/(P)/
圧力を加える [あつりょくをくわえる] /(exp,v1) to apply pressure to/to press/
圧力釜 [あつりょくがま] /(n) pressure vessel/
圧力計 [あつりょくけい] /(n) manometer/pressure gauge/
圧力団体 [あつりょくだんたい] /(n) pressure group/lobby/
圧力調整器 [あつりょくちょうせいき] /(n) pressure regulator/
圧力鍋 [あつりょくなべ] /(n) pressure cooker/
圧力波 [あつりょくは] /(n) pressure wave/
圧力容器 [あつりょくようき] /(n) pressure vessel/
圧力抑制 [あつりょくよくせい] /(n) pressure suppression (e.g. pool, container in a nuclear power plant)/
圧力抑制プール [あつりょくよくせいプール] /(n) pressure suppression pool (nuclear reactor)/
圧力抑制室 [あつりょくよくせいしつ] /(n) suppression pool (nuclear reactor)/pressure suppression chamber/
圧濾器 [あつろき] /(n) filter press/
圧瀘器 [あつろき] /(iK) (n) filter press/
斡旋 [あっせん] /(n,vs) (1) kind offices/services/through the good offices of/influence/(2) intercession/mediation/(P)/
斡旋案 [あっせんあん] /(n) mediation plan/settlement proposal/
斡旋業者 [あっせんぎょうしゃ] /(n) mediator/
斡旋者 [あっせんしゃ] /(n) mediator/intermediary/agent/broker/middleman/
斡旋収賄 [あっせんしゅうわい] /(n) influence peddling/
斡旋販売 [おっせんはんばい] /(n) mediated marketing/mediated sales/
斡旋利得罪処罰法 [あっせんりとくつみしょばつほう] /(n) antigraft law/
斡旋料 [あっせんりょう] /(n) agent's charge/
扱い [あつかい] /(n,n-suf,vs) treatment/service/(P)/
扱いにくい [あつかいにくい] /(adj-i) hard to handle/
扱い難い [あつかいにくい] /(adj-i) hard to handle/
扱い方 [あつかいかた] /(n) way with (an animal)/how to handle/
扱う [あつかう] /(v5u,vt) to handle/to deal with/to treat/(P)/
扱き [しごき] /(n) (1) hazing/gruelling training/(2) waistband/woman's undergirdle/
扱きおろす [こきおろす] /(v5s,vt) to denounce/to disparage/to lambast/to abuse/
扱き下ろす [こきおろす] /(v5s,vt) to denounce/to disparage/to lambast/to abuse/
扱き交ぜる [こきまぜる] /(v1,vt) to mix together (e.g. ingredients)/to stir/to mix up/
扱き混ぜる [こきまぜる] /(v1,vt) to mix together (e.g. ingredients)/to stir/to mix up/
扱き雑ぜる [こきまぜる] /(v1,vt) to mix together (e.g. ingredients)/to stir/to mix up/
扱き使う [こきつかう] /(v5u,vt) to work someone hard/
扱き落とす [こきおとす] /(v5s) to thresh/
扱く [こく] /(v5k,vt) to thresh/to strip/
扱く [しごく] /(v5k,vt) (1) (uk) to draw through one's hand/to stroke (e.g. a beard)/(2) (uk) to work someone hard/
扱ぐ [こぐ] /(v5g) to pull up by the roots/
扱わない品 [あつかわないしな] /(n) goods not in one's line/
扱下ろす [こきおろす] /(io) (v5s,vt) to denounce/to disparage/to lambast/to abuse/
扱混ぜる [こきまぜる] /(io) (v1,vt) to mix together (e.g. ingredients)/to stir/to mix up/
扱使う [こきつかう] /(v5u,vt) to work someone hard/
宛 [あて] /(n,n-suf) addressed to/(P)/
宛い [あてがい] /(n) allotment/arrangement/
宛がう [あてがう] /(v5u,vt) (1) to allot/to allocate/(2) to supply with/to furnish/(3) to fit to/to fasten to/to apply to/
宛て [あて] /(n,n-suf) addressed to/
宛てがい扶持 [あてがいぶち] /(exp) discretionary allowance/
宛てがう [あてがう] /(v5u,vt) (1) to allot/to allocate/(2) to supply with/to furnish/(3) to fit to/to fasten to/to apply to/
宛てる [あてる] /(v1,vt) to address/
宛て字 [あてじ] /(n) kanji used as a phonetic symbol, instead of for the meaning/phonetic-equivalent character/substitute character/
宛て先 [あてさき] /(n) address/destination/
宛て先変更 [あてさきへんこう] /(n) (comp) redirection/
宛て先変更の発信者による禁止 [あてさきへんこうのはっしんしゃによるきんし] /(n) (comp) redirection disallowed originator/
宛て名 [あてな] /(n) (addressee's) name/(recipient's) name and address/
宛ら [さながら] /(adv) (uk) just like/
宛字 [あてじ] /(n) kanji used as a phonetic symbol, instead of for the meaning/phonetic-equivalent character/substitute character/
宛所 [あてしょ] /(n) address/
宛先 [あてさき] /(n) address/destination/(P)/
宛先アドレス [あてさきアドレス] /(n) (comp) destination address/
宛先変更 [あてさきへんこう] /(n) (comp) redirection/
宛然 [えんぜん] /(adj-t,adv-to) as if/the very thing itself/
宛転 [えんてん] /(adj-t,adv-to) (1) moving smoothly/(2) (of eyebrows) shapely/
宛名 [あてな] /(n) (addressee's) name/(recipient's) name and address/(P)/
宛名書き [あてながき] /(n) addressing (e.g. writing an address on an envelope)/
姐 [あね] /(n) (hum) older sister/elder sister/
姐さん [あねさん] /(n) (1) (hon) elder sister/(2) (vocative) young lady/(3) miss (referring to a waitress, etc.)/(4) ma'am (used by geisha to refer to their superiors)/
姐さん [ねえさん] /(n) (1) (hon) elder sister/(2) (vocative) young lady/(3) miss (referring to a waitress, etc.)/(4) ma'am (used by geisha to refer to their superiors)/
姐や [ねえや] /(n) (uk) (fam) young lady (in ref. to a maid, etc.)/
姐御 [あねご] /(n) (hum) elder sister/
虻 [あぶ] /(n) (uk) horsefly/gadfly/
虻 [あむ] /(ok) (n) (uk) horsefly/gadfly/
虻蜂取らず [あぶはちとらず] /(n) attempting two tasks simultaneously, accomplishing neither/
飴 [あめ] /(n) (food) (hard) candy/toffee/(P)/
飴と鞭 [あめとむち] /(exp,adj-no) carrot and the stick policy/
飴ん棒 [あめんぼう] /(n) stick of candy/
飴玉 [あめだま] /(n) candy/
飴細工 [あめざいく] /(n) candy fashioned in human and animal forms/
飴煮 [あめに] /(n) food boiled in sugared broth/
飴色 [あめいろ] /(n) amber/yellowish-brown/
飴湯 [あめゆ] /(n) thick malt syrup poured into boiling water and sprinkled with cinnamon (used as a refreshing summer drink)/
飴売 [あめうり] /(io) (n) candy vendor (esp. an Edo-period candy vendor who sold candy while walking around playing the flute or another musical instrument)/candy vender/
飴売り [あめうり] /(n) candy vendor (esp. an Edo-period candy vendor who sold candy while walking around playing the flute or another musical instrument)/candy vender/
飴粕 [あめかぜ] /(n) residue (e.g. from sugar cane or beets)/
飴坊 [あめんぼ] /(n) (uk) pond skater (any insect of family Gerridae)/water strider/
飴坊 [あめんぼう] /(n) (uk) pond skater (any insect of family Gerridae)/water strider/
絢文 [けんぶん] /(n) colorful pattern/colourful pattern/
絢爛 [けんらん] /(adj-t,adv-to) gorgeous/brilliant/dazzling/gaudy/flowery (speech)/
絢爛華麗 [けんらんかれい] /(n,adj-na) luxurious and gorgeous/splendid/dazzling/magnificent/
絢爛豪華 [けんらんごうか] /(n,adj-na) luxurious and gorgeous/splendid/dazzling/
絢緞子 [あやどんす] /(n) damask/
綾 [あや] /(n) (1) figure/design/(2) twill weave/pattern of diagonal stripes/
綾なす [あやなす] /(v5s,vt) (1) to decorate with many bright colours (colors)/to create a beautiful variegated pattern/(2) to manipulate skillfully/
綾を成して [あやをなして] /(exp) in beautiful patterns/
綾錦 [あやにしき] /(n) twill damask and brocade/
綾絹 [あやぎぬ] /(n) twilled silk fabric/
綾子 [りんず] /(n) figured satin/
綾糸 [あやいと] /(n) colored thread/coloured thread/thread of cat's cradle/heddle thread/
綾取 [あやとり] /(io) (n) (uk) cat's cradle/
綾取り [あやとり] /(n) (uk) cat's cradle/
綾織 [あやおり] /(n) twill (fabric)/
綾織り [あやおり] /(n) twill (fabric)/
綾織物 [あやおりもの] /(n) figured cloth/twill fabric/
綾杉状 [あやすぎじょう] /(n) zigzag, dogtooth pattern/
綾布 [あやぬの] /(n) twill damask and brocade/
綾羅 [りょうら] /(n) elaborated cloth/figured silk and thin silk/
綾綺殿 [りょうきでん] /(n) pavilion housing the emperor's bathing quarters and dressing chamber (in Heian Palace)/
綾藺笠 [あやいがさ] /(n) type of traditional Japanese conical hat/
鮎 [あい] /(n) (1) sweetfish (Plecoglossus altivelis altivelis)/
鮎 [あゆ] /(n) (1) sweetfish (Plecoglossus altivelis altivelis)/
鮎掛け [あゆかけ] /(n) (uk) fourspine sculpin (Cottus kazika)/
鮎擬 [あゆもどき] /(n) (uk) kissing loach (Leptobotia curta)/
鮎漁 [あゆりょう] /(n) fishing for ayu/
鮎魚女 [あいなめ] /(n) (uk) fat greenling (Hexagrammos otakii)/
鮎魚女科 [あいなめか] /(n) Hexagrammidae (family of marine fishes incorporating the greenlings)/
鮎釣り [あゆつり] /(n) ayu fishing/
鮎釣り [あゆづり] /(n) ayu fishing/
鮎並 [あいなめ] /(n) (uk) fat greenling (Hexagrammos otakii)/
鮎並科 [あいなめか] /(n) Hexagrammidae (family of marine fishes incorporating the greenlings)/
鮎並女 [あいなめ] /(iK) (n) (uk) fat greenling (Hexagrammos otakii)/
或 [ある] /(adj-pn) (uk) a certain .../some .../(P)/
或いは [あるいは] /(adv,conj,exp) (uk) or/possibly/(P)/
或は [あるいは] /(io) (adv,conj,exp) (uk) or/possibly/
或は [あるは] /(io) (adv,conj,exp) (uk) or/possibly/
或る [ある] /(adj-pn) (uk) a certain .../some .../
或る時 [あるとき] /(n) once (i.e. "once, when I was studying ..")/
或る種 [あるしゅ] /(adj-no) certain/some kind of/some sort of/of sorts/
或る人 [あるひと] /(n) someone (unspecified, but someone in particular)/a certain person/
或る程度 [あるていど] /(exp,adj-no) to some extent/to a certain extent/
或る日 [あるひ] /(n) one day (e.g. "one day while studying, ..")/
或日 [あるひ] /(io) (n) one day (e.g. "one day while studying, ..")/
粟 [あわ] /(n) foxtail millet (Setaria italica P. Beauvois)/Italian millet (also Hungarian, German)/
粟おこし [あわおこし] /(n) millet brittle/
粟飯 [あわめし] /(n) steamed rice with millet/boiled rice with millet/
粟餅 [あわもち] /(n) millet dough cake/millet mochi/
粟立つ [あわだつ] /(v5t,vi) to have gooseflesh (cold or horror)/
粟粒 [あわつぶ] /(n) millet grain/
粟粒 [ぞくりゅう] /(n) millet grain/
粟粒結核 [ぞくりゅうけっかく] /(n) miliary tuberculosis/
袷 [あわせ] /(n) lined kimono/
安 [やす] /(pref) cheap/
安々 [やすやす] /(adv,adv-to) calmly/peacefully/painlessly/comfortably/
安い [やすい] /(adj-i) (1) cheap/inexpensive/(2) calm/peaceful/quiet/(P)/
安かろう悪かろう [やすかろうわるかろう] /(exp) you get what you pay for/
安かわ [やすかわ] /(n,adj-no) (abbr) (sl) cheap and cute/
安く [やすく] /(adv) inexpensively/
安くあがる [やすくあがる] /(exp,v5r) to cost little/to come cheap/
安くあげる [やすくあげる] /(v1) to make it less expensive/
安くつく [やすくつく] /(v5k) to come cheaper/
安く上がる [やすくあがる] /(exp,v5r) to cost little/to come cheap/
安く上げる [やすくあげる] /(v1) to make it less expensive/
安く譲る [やすくゆずる] /(v5r) to sell (a thing) cheap/
安く付く [やすくつく] /(v5k) to come cheaper/
安っぽい [やすっぽい] /(adj-i) cheap-looking/tawdry/insignificant/(P)/
安ぴか [やすぴか] /(n,adj-no) bauble/trinket/gimcrack/gewgaw/tchotchke/tsatske/
安まる [やすまる] /(v5r,vi) to be rested/to feel at ease/to repose/to be relieved/
安らい [やすらい] /(n) (1) resting/relaxing/(2) hesitating/loitering/
安らう [やすらう] /(v5u) to rest/to relax/
安らか [やすらか] /(adj-na,n) peaceful/tranquil/calm/restful/(P)/
安らかな眠り [やすらかなねむり] /(n) peaceful sleep/
安らぎ [やすらぎ] /(n) peace/tranquility/tranquillity/(P)/
安らぐ [やすらぐ] /(v5g,vi) to feel at ease/(P)/
安んじる [やすんじる] /(v1,vi) to be contented/to be at ease/
安んぞ [いずくんぞ] /(int) (uk) how/why/
安安 [やすやす] /(adv,adv-to) calmly/peacefully/painlessly/comfortably/
安易 [あんい] /(adj-na,n) (1) easy/simple/(2) easy-going/(P)/
安逸 [あんいつ] /(n,adj-na) (idle) ease/idleness/indolence/
安永 [あんえい] /(n) An'ei era (1772.11.16-1781.4.2)/
安穏 [あんのん] /(adj-na,n) peace/quiet/tranquility/tranquillity/
安穏無事 [あんのんぶじ] /(n,adj-na) peace and quiet/safe and peaceful/tranquil and uneventful/
安価 [あんか] /(adj-na,n,adj-no) low price/cheapness/(P)/
安可愛 [やすかわ] /(n,adj-no) (abbr) (sl) cheap and cute/
安臥 [あんが] /(n,vs) quiet rest/
安楽 [あんらく] /(adj-na,n) ease/comfort/carefree/cosy/cozy/
安楽いす [あんらくいす] /(n) easy chair/
安楽椅子 [あんらくいす] /(n) easy chair/
安楽死 [あんらくし] /(n) euthanasia/(P)/
安閑 [あんかん] /(adj-na,n) easygoingness/
安危 [あんき] /(n) fate/safety/welfare/
安気 [あんき] /(adj-na,n) ease/comfort/feeling at home/
安居 [あんきょ] /(n,vs) easy life/
安居 [あんご] /(n,vs) (Buddh) varsika (meditation retreat; usu. for 90 days starting on the 15th day of the 4th month of the lunisolar calendar)/
安芸 [あき] /(n) former name of Hiroshima prefecture/(P)/
安月給 [やすげっきゅう] /(n) low salary/
安元 [あんげん] /(n) Angen era (1175.7.28-1177.8.4)/
安固 [あんこ] /(adj-na,n) secure/solid/stable/
安康 [あんこう] /(n) (obsc) calm and peaceful period of time/
安座 [あんざ] /(n,vs) sitting quietly/sitting cross-legged/
安山岩 [あんざんがん] /(n) andesite/
安産 [あんざん] /(n,vs) easy delivery/easy childbirth/
安史の乱 [あんしのらん] /(n) An-Shi Rebellion (755-763 CE)/An Lushan Rebellion/
安死術 [あんしじゅつ] /(n) (method of) euthanasia/
安手 [やすで] /(adj-na,n,adj-no) cheap kind/
安酒 [やすざけ] /(n,adj-no) cheap sake/
安酒場 [やすさかば] /(n) cheap saloon/
安住 [あんじゅう] /(n,vs) living peaceably/(P)/
安宿 [やすやど] /(n) cheap hotel/
安上がり [やすあがり] /(adj-na) cheap/economical/(P)/
安上り [やすあがり] /(adj-na) cheap/economical/
安心 [あんしん] /(adj-na,n,vs) relief/peace of mind/(P)/
安心 [あんじん] /(n) (Buddh) obtaining peace of mind through faith or ascetic practice (practise)/
安心感 [あんしんかん] /(n) sense of security/(P)/
安心立命 [あんしんりつめい] /(n,vs) spiritual peace and enlightenment/keeping an unperturbed mind through faith/
安心立命 [あんじんりつめい] /(n,vs) spiritual peace and enlightenment/keeping an unperturbed mind through faith/
安心立命 [あんじんりゅうみょう] /(n,vs) spiritual peace and enlightenment/keeping an unperturbed mind through faith/
安心立命 [あんじんりゅうめい] /(n,vs) spiritual peace and enlightenment/keeping an unperturbed mind through faith/
安神 [あんしん] /(adj-na,n,vs) relief/peace of mind/
安政 [あんせい] /(n) Ansei era (1854.11.27-1860.3.18)/
安西都護府 [あんせいとごふ] /(n) Protectorate General to Pacify the West/Tang-period Chinese office established in Xinjiang in 640 CE/
安請け合い [やすうけあい] /(n,vs) promising without due consideration/
安請合い [やすうけあい] /(n,vs) promising without due consideration/
安静 [あんせい] /(adj-na,n) rest/quiet/repose/(P)/
安静時 [あんせいじ] /(n) resting/at rest/during rest/
安全 [あんぜん] /(adj-na,n) (1) safety/(2) security/(P)/
安全を図る [あんぜんをはかる] /(exp,v5r) to provide for safety/
安全インターロック [あんぜんインターロック] /(n) (comp) safety interlock/
安全ガラス [あんぜんガラス] /(n) safety glass/
安全パイ [あんぜんパイ] /(n) (1) mahjong tile that may be discarded without risking benefiting an opponent/(2) no-risk choice/easily handled person/
安全ピン [あんぜんピン] /(n) safety pin/
安全域 [あんぜんいき] /(n) safety margin/
安全運転 [あんぜんうんてん] /(n,vs) safe driving/
安全衛生教育 [あんぜんえいせいきょういく] /(n) safety education/
安全管理 [あんぜんかんり] /(n) safety administration/safety control/safety management/
安全器 [あんぜんき] /(n) safety device/
安全基準 [あんぜんきじゅん] /(n) safety standards/
安全期 [あんぜんき] /(n) safe period/
安全教育 [あんぜんきょういく] /(n) safety education/
安全係数 [あんぜんけいすう] /(n) safety factor/
安全圏 [あんぜんけん] /(n) safety zone/buffer (e.g. against defeat)/
安全港 [あんぜんこう] /(n) safe harbour/
安全情報 [あんぜんじょうほう] /(n) safety information/safety bulletin/
安全性 [あんぜんせい] /(n) safety/security/
安全設計要件 [あんぜんせっけいようけん] /(n) (comp) safety design requirement/
安全措置 [あんぜんそち] /(n) safety measure/safety precaution/
安全装置 [あんぜんそうち] /(n) safety device/
安全対策 [あんぜんたいさく] /(n) safety measure/
安全帯 [あんぜんたい] /(n) safety belt (typically used in Japanese construction work)/fall-prevention harness/
安全第一 [あんぜんだいいち] /(n) safety first/
安全地帯 [あんぜんちたい] /(n) safety zone/
安全剃刀 [あんぜんかみそり] /(n) safety razor/
安全灯 [あんぜんとう] /(n) safety lamp/
安全日 [あんぜんび] /(n) safe day (one on which conception is unlikely to occur)/
安全牌 [あんぜんぱい] /(n) (1) mahjong tile that may be discarded without risking benefiting an opponent/(2) no-risk choice/easily handled person/
安全標識 [あんぜんひょうしき] /(n) safety mark/
安全弁 [あんぜんべん] /(n) safety valve/
安全保護 [あんぜんほご] /(n,adj-no) (comp) security/
安全保護サービス [あんぜんほごサービス] /(n) (comp) security service/
安全保護ラベル [あんぜんほごラベル] /(n) (comp) security label/
安全保護監査 [あんぜんほごかんさ] /(n) (comp) security audit/
安全保護監査証跡 [あんぜんほごかんさしょうせき] /(n) (comp) security audit trail/
安全保護能力 [あんぜんほごのうりょく] /(n) (comp) security capabilities/
安全保護付きアクセス管理 [あんぜんほごつきアクセスかんり] /(n) (comp) secure access management/MT/
安全保護方針 [あんぜんほごほうしん] /(n) (comp) security policy/
安全保障 [あんぜんほしょう] /(n,adj-no) security guarantee (e.g. military security, network security, etc.)/(P)/
安全保障会議 [あんぜんほしょうかいぎ] /(n) Security Council of Japan/
安全保障条約 [あんぜんほしょうじょうやく] /(n) US-Japan Security Treaty/
安全保障貿易管理 [あんぜんほしょうぼうえきかんり] /(n) Security Export Control/
安全保障理事会 [あんぜんほしょうりじかい] /(n) (UN) Security Council/
安全帽 [あんぜんぼう] /(n) hard hat/
安全網 [あんぜんもう] /(n) safety net/security net/
安全率 [あんぜんりつ] /(n) safety factor/
安全瓣 [あんぜんべん] /(oK) (n) safety valve/
安息 [あんそく] /(n-adv) rest/repose/
安息香 [あんそくこう] /(n) benzoin/
安息香酸 [あんそくこうさん] /(n) benzoic acid/
安息日 [あんそくじつ] /(n) (Judeo-Christian) Sabbath/
安息日 [あんそくにち] /(n) (Judeo-Christian) Sabbath/
安息日 [あんそくび] /(n) (Judeo-Christian) Sabbath/
安打 [あんだ] /(n,vs) safe hit (baseball)/(P)/
安泰 [あんたい] /(adj-na,n) peace/security/tranquility/tranquillity/(P)/
安宅船 [あたけぶね] /(n) large warship of the Muromachi and early Edo periods/
安値 [やすね] /(n,adj-no) low price/(P)/
安置 [あんち] /(n,vs) enshrinement/installation (of image)/
安着 [あんちゃく] /(n,vs) safe arrival/
安直 [あんちょく] /(adj-na,n) inexpensive/cheap/easy/simple/
安貞 [あんてい] /(n) Antei era (1227.12.10-1229.3.5)/
安定 [あんてい] /(adj-na,n,vs) stability/equilibrium/(P)/
安定した [あんていした] /(adj-f) steady/stable/calm/firm/
安定液 [あんていえき] /(n) slurry/clay suspension/
安定化 [あんていか] /(n,vs) stabilization/stabilisation/
安定解析 [あんていかいせき] /(n) stability analysis/
安定株主 [あんていかぶぬし] /(n) strong stockholder/
安定感 [あんていかん] /(n) sense of stability/
安定器 [あんていき] /(n) stabilizer/stabiliser/
安定期 [あんていき] /(n) stable period (with ref. to pregnancy, typically from 4th month when the placenta is fully formed, morning sickness usually goes away and risk of miscarriage decreases)/
安定恐慌 [あんていきょうこう] /(n) stabilization crisis/stabilisation crisis/
安定状態 [あんていじょうたい] /(n) steady state/stable state/
安定性 [あんていせい] /(n) stability/security/equilibrium/
安定成長 [あんていせいちょう] /(n) stable growth/
安定操作 [あんていそうさ] /(n) stabilizing (stock) transaction/
安定多数 [あんていたすう] /(n) stable majority/
安定同位体 [あんていどういたい] /(n) stable isotope/
安定板 [あんていばん] /(n) stabilizing fin/
安定陸塊 [あんていりくかい] /(n) stable land-mass/
安田財閥 [やすだざいばつ] /(n) Yasuda Zaibatsu/
安堵 [あんど] /(n,vs,adj-no) relief/
安堵感 [あんどかん] /(n) sense of relief/feeling of relief/
安土 [あずち] /(n) mound on which targets are placed (in archery)/firing mound/
安土時代 [あづちじだい] /(n) Azuchi period (first half of the Azuchi-Momoyama period, 1568-1582 CE)/
安土桃山時代 [あづちももやまじだい] /(n) Azuchi-Momoyama period (approx. 1558-1600 CE)/
安東都護府 [あんとうとごふ] /(n) Protectorate General to Pacify the East/Tang-period Chinese office established in Pyongyang in 668 CE/
安南都護府 [アンナンとごふ] /(n) Protectorate General of Annam/Han-period Chinese office established in Hanoi in 622 CE/
安寧 [あんねい] /(adj-na,n) public peace/
安寧秩序 [あんねいちつじょ] /(n) peace and order/law and order/
安納芋 [あんのういも] /(n) (1) orange fleshed yam/(2) sweet potato/
安牌 [あんぱい] /(n) (1) 'safe' tile in mahjong (one that won't be taken up by other players if discarded)/(2) someone that can be safely ignored (e.g. in some competitive situation)/
安倍川餅 [あべかわもち] /(n) (food) (uk) rice cakes (mochi) with Kinako/
安倍内閣 [あべないかく] /(n) Abe Cabinet (inaugurated as the Japanese government, 2006-09-26)/
安売り [やすうり] /(n,vs) discount/bargain sale/selling cheaply/(P)/
安泊まり [やすどまり] /(n,vs) (1) staying somewhere cheaply/(n) (2) cheap inn/
安泊り [やすどまり] /(n,vs) (1) staying somewhere cheaply/(n) (2) cheap inn/
安否 [あんぴ] /(n) safety/welfare/well-being/(P)/
安否確認 [あんぴかくにん] /(n) confirmation of someone's safety/ascertainment of someone's safety/
安否不明 [あんぴふめい] /(n) fate (safety) of a person (persons) being unknown/
安普請 [やすぶしん] /(n) cheap structure (e.g. of houses)/
安福殿 [あんぷくでん] /(n) physicians' pavilion (in Heian Palace)/
安物 [やすもの] /(n,adj-no) cheap article/poor quality article/(P)/
安物買いの銭失い [やすものがいのぜにうしない] /(exp) you get what you pay for/buying cheap goods is a waste of money (because the quality is always so poor)/
安保 [あんぽ] /(n) (abbr) US-Japan Security Treaty/safety/security/(P)/
安保条約 [あんぽじょうやく] /(n) security treaty (esp. US-Japan Security Treaty)/
安保理 [あんぽり] /(n) Security Council/
安保理決議 [あんぽりけつぎ] /(n) (abbr) United Nations Security Council Resolution/
安房船貝 [あわぶねがい] /(n) (uk) Bostrycapulus gravispinosus (species of spiny slipper snail)/
安本丹 [あんぽんたん] /(n) fool/idiot/
安眠 [あんみん] /(n,vs) quiet sleep/(P)/
安和 [あんな] /(n) (obsc) Anna or Anwa era (968.8.13-970.3.25)/
安和 [あんわ] /(n) (obsc) Anna or Anwa era (968.8.13-970.3.25)/
安佚 [あんいつ] /(n,adj-na) (idle) ease/idleness/indolence/
安壜 [やすびん] /(n) (obsc) cheap bottle (e.g. of alcohol)/
庵 [あん] /(n,n-suf) hermitage/retreat/
庵 [いお] /(n,n-suf) hermitage/retreat/
庵 [いおり] /(n,n-suf) hermitage/retreat/(P)/
庵を結ぶ [いおりをむすぶ] /(exp,v5b) to build oneself a hermitage/
庵室 [あんしつ] /(n) hermit's cell/retreat/
庵室 [あんじつ] /(n) hermit's cell/retreat/
庵主 [あんしゅ] /(n) owner of a hermitage/abbess/prioress/nun in charge of a Buddhist convent/
庵点 [いおりてん] /(n) part alternation mark (symbol indicating the following words are taken from a song or that the person saying the words is singing)/Unicode U+303D symbol/
按じる [あんじる] /(v1,vt) (1) to investigate/to consider/to plan/(2) to pat/to rub/to take a sword in one's hand/
按ずる [あんずる] /(vz,vt) (1) to investigate/to consider/to plan/(2) to pat/to rub/to take a sword in one's hand/
按察 [あぜち] /(n) travelling inspector of the provincial governments (Nara- and Heian-period position)/
按察使 [あぜち] /(n) travelling inspector of the provincial governments (Nara- and Heian-period position)/
按察使 [あんさつし] /(n) travelling inspector of the provincial governments (Nara- and Heian-period position)/
按手 [あんしゅ] /(n) ordination/laying on of hands/
按手 [あんじゅ] /(n) ordination/laying on of hands/
按手礼 [あんしゅれい] /(n) (Protestant) laying on of hands/ordination/
按針 [あんじん] /(n) (1) (arch) navigation by magnetic compass/(2) pilot/
按排 [あんばい] /(n,vs) arrangement/assignment/adjustment/
按配 [あんばい] /(n,vs) arrangement/assignment/adjustment/
按腹 [あんぷく] /(n,vs) ventral massage/
按分 [あんぶん] /(n,vs) proportional division or distribution/
按摩 [あんま] /(n,vs) (1) massage, esp. the Anma Japanese type of massage/(n) (2) (sens) masseur/masseuse/
按摩さん [あんまさん] /(oK) (n) masseuse/masseur/
按摩膏 [あんまこう] /(n) massaging plaster/
按摩師 [あんまし] /(oK) (n) masseuse/masseur/
暗々裏 [あんあんり] /(n) gloomy/tacitly/secretly/
暗々裡 [あんあんり] /(n) gloomy/tacitly/secretly/
暗い [くらい] /(adj-i) (1) (uk) dark/gloomy/(2) dark (in colour)/dull/(3) depressed/dispirited/(4) sorrowful/bitter (as in a dark past)/(5) unclear/unfamiliar/unknown/(P)/
暗い過去 [くらいかこ] /(n) shadowy past/
暗い気持になる [くらいきもちになる] /(exp,v5r) to feel gloomy/
暗い色 [くらいいろ] /(n) dark color/dark colour/
暗うつ [あんうつ] /(n) gloom/melancholy/
暗がり [くらがり] /(n) darkness/
暗きょ [あんきょ] /(n) subterranean drain/culvert/conduit/
暗さ [くらさ] /(n) darkness/gloom/
暗たん [あんたん] /(adj-t,adv-to) dark/gloomy/somber/depressing/
暗に [あんに] /(adv) implicitly/(P)/
暗ます [くらます] /(v5s,vt) (1) to abscond/to conceal oneself/(2) to deceive/to dissemble/to fool/
暗む [くらむ] /(v5m,vi) (1) to be dazzled by/to be dizzied by/to be disoriented by/(2) to be lost in (greed, lust, etc.)/(3) (arch) to become dark/
暗やみ [くらやみ] /(n) darkness/the dark/(P)/
暗ゆ [あんゆ] /(n) metaphor/
暗れる [くれる] /(v1,vi) to get dark/to end/to come to an end/to close/to run out/
暗れ塞がる [くれふさがる] /(v5r) (1) to be shrouded by darkness/(2) to fall into deep sadness or despair/
暗れ塞がる [くれふたがる] /(v5r) (1) to be shrouded by darkness/(2) to fall into deep sadness or despair/
暗暗裏 [あんあんり] /(n) gloomy/tacitly/secretly/
暗暗裡 [あんあんり] /(n) gloomy/tacitly/secretly/
暗闇 [くらやみ] /(n) darkness/the dark/(P)/
暗欝 [あんうつ] /(n) gloom/melancholy/
暗雲 [あんうん] /(n) dark clouds/(P)/
暗雲低迷 [あんうんていめい] /(n) gathering dark clouds/being under the shadow of/
暗影 [あんえい] /(n) shadow/gloom/
暗褐色 [あんかっしょく] /(n) dark brown/
暗記 [あんき] /(n,vs) memorization/memorisation/learning by heart/(P)/
暗記物 [あんきもの] /(n) a work or subject to be memorized (memorised)/
暗渠 [あんきょ] /(n) subterranean drain/culvert/conduit/
暗渠排水 [あんきょはいすい] /(n) underdrainage/
暗愚 [あんぐ] /(adj-na,n) (1) imbecility/feeblemindedness/(2) dark/
暗愚な人々 [あんぐなひとびと] /(n) dark souls/
暗愚な人人 [あんぐなひとびと] /(n) dark souls/
暗君 [あんくん] /(n) foolish ruler/
暗穴 [あんけつ] /(n) (1) dark hole/(2) idiot/fool/(3) (abbr) historical road/
暗穴道 [あんけつどう] /(n) (obsc) road taken by an Chinese ajari buddhist monk when he incurred the wrath of emperor Genso (685-762)/
暗剣殺 [あんけんさつ] /(n) unpropitious direction/
暗紅色 [あんこうしょく] /(n) dark red/
暗香 [あんこう] /(n) scent of a flower floating about in the air/lingering scent of a flower in the darkness/
暗号 [あんごう] /(n,adj-no) code/password/cipher/(P)/
暗号キー [あんごうキー] /(n) (comp) encryption key/
暗号システム [あんごうシステム] /(n) (comp) cryptographic system/cryptosystem/
暗号メール [あんごうメール] /(n) (comp) encrypted mail/cyphermail/
暗号化 [あんごうか] /(n,vs) (1) encryption/encipherment/(2) password protection/
暗号化ファイルシステム [あんごうかファイルシステム] /(n) (comp) Encrypting File System/
暗号化技術 [あんごうかぎじゅつ] /(n) (comp) encryption technology/
暗号化手法 [あんごうかしゅほう] /(n) cryptography/
暗号解読 [あんごうかいどく] /(n) cryptanalysis/
暗号学 [あんごうがく] /(n) cryptography/cryptology/
暗号技術 [あんごうぎじゅつ] /(n) (comp) cryptography/encryption technology/
暗号検査値 [あんごうけんさち] /(n) (comp) cryptographic checkvalue/
暗号手法 [あんごうしゅほう] /(n) cryptography/cryptographic technique/
暗号帳 [あんごうちょう] /(n) codebook/
暗号同期 [あんごうどうき] /(n) (comp) cryptographic synchronization/
暗号文 [あんごうぶん] /(n) cryptogram/cipher text/
暗合 [あんごう] /(n,vs) coincidence/
暗黒 [あんこく] /(adj-na,n,adj-no) darkness/(P)/
暗黒街 [あんこくがい] /(n) the underworld/
暗黒期 [あんこくき] /(n) eclipse period/
暗黒時代 [あんこくじだい] /(n) (1) Dark Ages/(2) dark age/
暗黒星雲 [あんこくせいうん] /(n) dark nebula/
暗黒大陸 [あんこくたいりく] /(n) Dark Continent (i.e. Africa)/
暗黒舞踏 [あんこくぶとう] /(n) type of contemporary performance dance/
暗黒物質 [あんこくぶっしつ] /(n) dark matter/
暗黒面 [あんこくめん] /(n) the dark or seamy side/
暗殺 [あんさつ] /(n,vs) assassination/(P)/
暗殺を謀る [あんさつをはかる] /(exp,v5r) to plot an assassination/
暗殺事件 [あんさつじけん] /(n) assassination/
暗殺者 [あんさつしゃ] /(n) assassin/
暗殺未遂 [あんさつみすい] /(n) attempted assassination/
暗算 [あんざん] /(n,vs) mental arithmetic/
暗紫色 [あんししょく] /(n) dark purple/
暗視 [あんし] /(n,adj-no) night vision/
暗視装置 [あんしそうち] /(n) night vision device/
暗示 [あんじ] /(n,vs,adj-no) hint/suggestion/(P)/
暗示宣言 [あんじせんげん] /(n) (comp) implicit declaration/
暗示番地指定 [あんじばんちしてい] /(n) (comp) implied addressing/
暗示表現 [あんじひょうげん] /(n) (comp) implied expression/
暗示療法 [あんじりょうほう] /(n) suggestive therapy/
暗室 [あんしつ] /(n) dark room/
暗愁 [あんしゅう] /(n) sad thought/depressing reflection/
暗順応 [あんじゅんのう] /(n) dark adaptation/
暗唱 [あんしょう] /(n,vs) recitation/reciting from memory/
暗礁 [あんしょう] /(n) reef/sunken rock/(P)/
暗礁に乗り上げる [あんしょうにのりあげる] /(exp,v1) (1) to run aground/to strike a rock/to be stranded on a reef/(2) to be deadlocked/
暗証 [あんしょう] /(n) code/cipher/password/
暗証フレーズ [あんしょうフレーズ] /(n) (comp) pass phrase/
暗証化 [あんしょうか] /(n,vs) encryption/coding/password/
暗証番号 [あんしょうばんごう] /(n) personal identification number/PIN/password number/
暗色 [あんしょく] /(n,adj-no) dark colour/dark color/
暗赤色 [あんせきしょく] /(n) dark red/
暗線 [あんせん] /(n) dark-line (spectrum)/
暗然 [あんぜん] /(adj-t,adv-to) (1) dark/gloomy/black/unclear/(2) doleful/discouraged/disappointed/tearful/dispirited/
暗送秋波 [あんそうしゅうは] /(n) giving an amorous sidelong look/casting an amorous glance (at)/playing up to someone behind the scenes/
暗中 [あんちゅう] /(n) in the dark/
暗中飛躍 [あんちゅうひやく] /(n,vs) behind-the-scenes maneuvering/behind-the-scenes manoeuvering/secret maneuvers/secret manoeuvres/
暗中摸索 [あんちゅうもさく] /(n,vs) groping in the dark/exploring new avenues without having any clues/
暗中模索 [あんちゅうもさく] /(n,vs) groping in the dark/exploring new avenues without having any clues/
暗潮 [あんちょう] /(n) undercurrent/
暗転 [あんてん] /(n,vs) (1) theatrical blackout/(2) taking a turn for the worse/
暗点 [あんてん] /(n,adj-no) scotoma/scotomatous/
暗闘 [あんとう] /(n,vs) secret feud/
暗闘 [だんまり] /(n) (1) pantomime (in kabuki)/
暗函 [あんばこ] /(n) camera obscura/
暗箱 [あんばこ] /(n) camera obscura/
暗譜 [あんぷ] /(n,vs) memorizing musical scores/
暗部 [あんぶ] /(n,adj-no) dark side (of nature, town, etc.)/
暗幕 [あんまく] /(n) blackout curtain/
暗黙 [あんもく] /(n,adj-no) tacit/implicit/(P)/
暗黙の主語 [あんもくのしゅご] /(n) understood subject/
暗黙の了解 [あんもくのりょうかい] /(exp,n) tacit understanding/unspoken agreement/
暗黙アドレシング [あんもくアドレシング] /(n) (comp) implicit addressing/
暗黙アドレス指定 [あんもくアドレスしてい] /(n) (comp) implicit addressing/
暗黙知 [あんもくち] /(n) tacit knowledge (knowledge management terminology)/
暗黙的 [あんもくてき] /(adj-na) (comp) implicit/
暗黙的引用仕様 [あんもくてきいんようしよう] /(n) (comp) implicit interface/
暗黙範囲符 [あんもくはんいふ] /(n) (comp) implicit scope terminator/
暗黙変換 [あんもくへんかん] /(n) (comp) implicit conversion/
暗黙連結 [あんもくれんけつ] /(n) (comp) implicit link (process definition)/
暗黙連結処理定義 [あんもくれんけつしょりていぎ] /(n) (comp) implicit link (process definition)/
暗夜 [あんや] /(n) dark night/
暗躍 [あんやく] /(n,vs) secret manoeuvering/secret maneuvering/secret manoeuvres/secret maneuvers/
暗流 [あんりゅう] /(n) undercurrent/
暗緑 [あんりょく] /(n) dark green/
暗緑色 [あんりょくしょく] /(n) dark green/
暗涙 [あんるい] /(n) silent tears/
暗涙に咽ぶ [あんるいにむせぶ] /(exp,v5b) to shed silent tears/
暗喩 [あんゆ] /(n) metaphor/
暗鬱 [あんうつ] /(n,adj-na) gloom/melancholy/
暗澹 [あんたん] /(adj-t,adv-to) dark/gloomy/somber/depressing/
暗翳 [あんえい] /(n) shadow/gloom/
暗誦 [あんしょう] /(n,vs) recitation/reciting from memory/
暗誦 [あんじゅ] /(ok) (n,vs) recitation/reciting from memory/
案 [あん] /(n,n-suf) (1) idea/plan/thought/(2) draft plan/motion/rough copy/(3) expectation/(P)/
案 [つくえ] /(n) desk/
案じる [あんじる] /(v1,vt) (1) to be anxious or concerned about/to ponder (anxiously)/to fear/(2) to investigate/to consider/to plan/
案じ顔 [あんじがお] /(n) worried look/
案ずる [あんずる] /(vz,vt) (1) to be anxious or concerned about/to ponder (anxiously)/to fear/(2) to investigate/to consider/to plan/
案ずるより産むが易し [あんずるよりうむがやすし] /(exp) (id) the anxiety that comes from doing nothing is worse than any danger you might face/fear overruns the danger/an attempt is sometimes easier than expected/
案ずるより生むが易し [あんずるよりうむがやすし] /(exp) (id) the anxiety that comes from doing nothing is worse than any danger you might face/fear overruns the danger/an attempt is sometimes easier than expected/
案に相違して [あんにそういして] /(adv) contrary to one's expectations/
案の上 [あんのじょう] /(iK) (exp,adv) just as one thought/as usual/
案の条 [あんのじょう] /(iK) (exp,adv) just as one thought/as usual/
案の定 [あんのじょう] /(exp,adv) just as one thought/as usual/(P)/
案を立てる [あんをたてる] /(exp,v1) to draft a proposal/to draught a proposal/
案下 [あんか] /(n) under the table/word of respect added to the addressee's name on a letter/
案価 [あんか] /(iK) (adj-na,n,adj-no) low price/cheapness/
案外 [あんがい] /(adj-na,n-adv) unexpectedly/(P)/
案件 [あんけん] /(n) matter in question/subject/(P)/
案山子 [あんざんし] /(n) (1) (uk) scarecrow/(2) figurehead/
案山子 [かかし] /(n) (1) (uk) scarecrow/(2) figurehead/
案山子 [かがし] /(n) (1) (uk) scarecrow/(2) figurehead/
案山子 [そおず] /(ok) (n) (1) (uk) scarecrow/(2) figurehead/
案山子 [そおど] /(ok) (n) (1) (uk) scarecrow/(2) figurehead/
案山子 [そほず] /(ok) (n) (1) (uk) scarecrow/(2) figurehead/
案山子 [そほど] /(ok) (n) (1) (uk) scarecrow/(2) figurehead/
案出 [あんしゅつ] /(n) (1) contrivance/(vs) (2) to invent/to devise/to think out/
案内 [あんない] /(n) (1) information/guidance/leading/(vs) (2) to guide/to show (around)/to conduct/(P)/
案内係 [あんないがかり] /(n) clerk at the information desk/
案内広告 [あんないこうこく] /(n) classified advertisement/classified ad/
案内者 [あんないしゃ] /(n) guide/usher/
案内所 [あんないじょ] /(n) information desk/
案内書 [あんないしょ] /(n) guidebook/guide/
案内書呈 [あんないしょてい] /(n) presentation of a guidebook/
案内嬢 [あんないじょう] /(n) usherette/
案内状 [あんないじょう] /(n) letter of invitation/
案内人 [あんないにん] /(n) (a) guide/
案内図 [あんないず] /(n) guide map/
案内役 [あんないやく] /(n) guide/host/
案配 [あんばい] /(n,vs) arrangement/assignment/adjustment/
案分 [あんぶん] /(n,vs) proportional division or distribution/
案文 [あんぶん] /(n) draft/draught/
案文 [あんもん] /(n) draft/draught/
闇 [やみ] /(n,adj-no) darkness/the dark/black-marketeering/dark/shady/illegal/(P)/
闇々 [やみやみ] /(adv) without one's knowledge/easily/
闇い [くらい] /(adj-i) (1) (uk) dark/gloomy/(2) dark (in colour)/dull/(3) depressed/dispirited/(4) sorrowful/bitter (as in a dark past)/(5) unclear/unfamiliar/unknown/
闇から闇に葬る [やみからやみにほうむる] /(exp,v5r) to cover up/to hush up/to shroud in darkness/
闇に紛れて [やみにまぎれて] /(exp) under cover of night/
闇を透かす [やみをすかす] /(exp,v5s) to peer into the darkness/
闇カルテル [やみカルテル] /(n) unauthorized cartel/unauthorised cartel/
闇闇 [やみやみ] /(adv) without one's knowledge/easily/
闇雲 [やみくも] /(adj-na,n) recklessly/blindly/at random/
闇屋 [やみや] /(n) black marketeer/black market trader/
闇価格協定 [やみかかくきょうてい] /(n) illegal price-fixing agreement/
闇給与 [やみきゅうよ] /(n) secret pay/
闇金 [やみきん] /(n) (abbr) black-market lending/illegal loan/
闇金融 [やみきんゆう] /(n) black-market lending/illegal loan/
闇愚 [あんぐ] /(adj-na,n) (1) imbecility/feeblemindedness/(2) dark/
闇穴 [あんけつ] /(n) (1) dark hole/(2) idiot/fool/(3) (abbr) historical road/
闇穴道 [あんけつどう] /(n) (obsc) road taken by an Chinese ajari buddhist monk when he incurred the wrath of emperor Genso (685-762)/
闇献金 [やみけんきん] /(n) illegal donation/secret contribution/
闇黒 [あんこく] /(adj-na,n,adj-no) darkness/
闇再販 [やみさいはん] /(n) price-support measures for contraband goods/
闇市 [やみいち] /(n) black market/
闇市場 [やみしじょう] /(n) black market/
闇社会 [やみしゃかい] /(n) underground world/underground society/
闇取り引き [やみとりひき] /(n,vs) illegal or black-market transaction/secret deal/
闇取引 [やみとりひき] /(n,vs) illegal or black-market transaction/secret deal/
闇汁 [やみじる] /(n) stew prepared from ingredients contributed by members of a party, and eaten in the dark for fun/
闇商人 [やみしょうにん] /(n) black marketeer/
闇然 [あんぜん] /(adj-t,adv-to) (1) dark/gloomy/black/unclear/(2) doleful/discouraged/disappointed/tearful/dispirited/
闇相場 [やみそうば] /(n) black-market price/
闇打ち [やみうち] /(n,vs) attacking under the cover of darkness/surprise attack/
闇値 [やみね] /(n) black-market price/
闇討ち [やみうち] /(n,vs) attacking under the cover of darkness/surprise attack/
闇鍋 [やみなべ] /(n) stew prepared from ingredients contributed by members of a party, and eaten in the dark for fun/
闇米 [やみごめ] /(n) black-market rice/
闇夜 [あんや] /(n) dark night/
闇夜 [やみよ] /(n) dark night/
闇夜に烏 [やみよにからす] /(exp) something indistinct (lit: a crow in a pitch-black night)/
闇夜に鉄砲 [やみよにてっぽう] /(n) (obsc) aimless attempt/shot in the dark/
闇夜の烏 [やみよのからす] /(exp) something indistinct (lit: a crow in a pitch-black night)/
闇夜の鉄砲 [やみよのてっぽう] /(n) (obsc) aimless attempt/shot in the dark/
闇夜の礫 [やみよのつぶて] /(exp) (obsc) aimless attempt/shot in the dark/
闇路 [やみじ] /(n) dark road/
鞍 [くら] /(n) saddle/
鞍掛海豹 [くらかけあざらし] /(n) (uk) ribbon seal (Histriophoca fasciata)/
鞍掛紋殻 [くらかけもんがら] /(n) (uk) blackbelly triggerfish (Rhinecanthus verrucosus)/
鞍瓦 [あんが] /(n) saddle tree/
鞍瓦 [くらぼね] /(n) saddle tree/
鞍橋 [あんが] /(n) saddle tree/
鞍橋 [くらぼね] /(n) saddle tree/
鞍骨 [あんが] /(n) saddle tree/
鞍骨 [くらぼね] /(n) saddle tree/
鞍擦れ [くらずれ] /(n,vs) saddle sores/
鞍上 [あんじょう] /(n,adj-no) on top of a saddle/
鞍上人なく鞍下馬なし [あんじょうひとなくあんかうまなし] /(exp) (obsc) riding a horse so skillfully that it appears as if man and horse have become one/
鞍上人無く鞍下馬無し [あんじょうひとなくあんかうまなし] /(exp) (obsc) riding a horse so skillfully that it appears as if man and horse have become one/
鞍替え [くらがえ] /(n,vs) changing jobs/changing quarters (geisha, etc.)/
鞍馬 [あんば] /(n) (1) side horse/pommel horse/(2) saddled horse/
鞍敷 [くらしき] /(n) saddlecloth/numnah/
鞍敷き [くらしき] /(io) (n) saddlecloth/numnah/
鞍部 [あんぶ] /(n) col/saddle between mountains/
鞍褥 [あんじょく] /(n) saddlecloth/numnah/
鞍褥 [くらしき] /(n) saddlecloth/numnah/
杏 [あんず] /(n) (food) apricot/Prunus armenica/apricot tree/(P)/
杏ジャム [あんずジャム] /(n) (food) apricot jam/
杏花 [きょうか] /(n) apricot flower/
杏子 [あんず] /(n) (food) apricot/Prunus armenica/apricot tree/
杏酒 [あんずしゅ] /(n) sake made from apricot/
杏仁 [あんにん] /(n) (food) apricot seed/apricot kernel/
杏仁 [きょうにん] /(n) (food) apricot seed/apricot kernel/
杏仁豆腐 [あんにんどうふ] /(n) almond jelly/
杏仁豆腐 [きょうにんどうふ] /(n) almond jelly/
杏茸 [あんずたけ] /(n) (food) chanterelle mushroom (Cantharellus cibarius)/
杏林 [きょうりん] /(n) apricot grove/
以って [もって] /(io) (conj,exp) (1) with/by/(2) by means of/because/in view of/
以って瞑すべし [もってめいすべし] /(io) (exp) one can now rest in peace/one ought to be contented with what has been accomplished/
以て [もって] /(conj,exp) (1) with/by/(2) by means of/because/in view of/(P)/
以てする [もってする] /(vs-i,vt) to do by the use of/
以ての外 [もってのほか] /(adj-na,n) absurd/unreasonable/
以て瞑すべし [もってめいすべし] /(exp) one can now rest in peace/one ought to be contented with what has been accomplished/
以遠 [いえん] /(n,n-suf) beyond/further than/
以遠権 [いえんけん] /(n) (aeronautical) beyond right/
以往 [いおう] /(n-adv,n-t) hereafter/the future/formerly/in ancient times/
以下 [いか] /(n) (1) not exceeding/and downward/... and below/(2) below (e.g. standard)/under (e.g. a level)/(3) the below-mentioned/the following/the rest/(P)/
以下 [いげ] /(n) (1) not exceeding/and downward/... and below/(2) below (e.g. standard)/under (e.g. a level)/(3) the below-mentioned/the following/the rest/
以下のような [いかのような] /(n) the following kind(s) of/
以下の通り [いかのとおり] /(n) as below/as follows/
以外 [いがい] /(n-adv) with the exception of/excepting/(P)/
以外になさそう [いがいになさそう] /(exp) the only way (is to ..) (lit: outside this, it is improbable)/
以後 [いご] /(n-adv,n-t) (1) after this/from now on/hereafter/(2) thereafter/since (verb) (after -te form of verb)/after (time)/since (then)/(P)/
以降 [いこう] /(n-adv,n-t) on and after/as from/hereafter/thereafter/since/(P)/
以上 [いじょう] /(n-adv,n-t) (1) not less than/... and more/... and upwards/(2) beyond ... (e.g. one's means)/further (e.g. nothing further to say)/more than ... (e.g. cannot pay more than that)/(3) above-mentioned/foregoing/(4) since .../seeing that .../(5) this is all/that is the end/the end/(P)/
以心伝心 [いしんでんしん] /(n,adj-no) telepathy/tacit understanding/communion of mind with mind/sympathy/
以西 [いせい] /(n,n-suf) west of/and westward/
以前 [いぜん] /(n-adv,n-t) ago/since/before/previous/(P)/
以前に [いぜんに] /(adv) ago/since/before/previously/heretofore/earlier/
以東 [いとう] /(n,n-suf) east of/and eastward/
以毒制毒 [いどくせいどく] /(n) using poisonous medication to control poison/fighting evil with evil/fighting fire with fire/
以内 [いない] /(n,n-suf) within/inside of/less than/(P)/
以南 [いなん] /(n,n-suf) south of/and south/
以北 [いほく] /(n,n-suf) north of/and northward/
以来 [いらい] /(n-adv,n-t) since/henceforth/(P)/
以呂波紅葉 [いろはもみじ] /(n) (uk) Japanese maple (Acer palmatum)/
伊 [い] /(n) (abbr) Italy/
伊艦 [いかん] /(n) Italian warship/
伊語 [いご] /(n) Italian (language)/
伊佐木 [いさき] /(n) (uk) chicken grunt (species of fish, Parapristipoma trilineatum)/threeline grunt/
伊佐木 [いさぎ] /(n) (uk) chicken grunt (species of fish, Parapristipoma trilineatum)/threeline grunt/
伊邪那岐命 [いざなきのみこと] /(n) Izanagi/male deity who fathered Japan and the sun, moon, and storm gods/
伊邪那岐命 [いざなぎのみこと] /(n) Izanagi/male deity who fathered Japan and the sun, moon, and storm gods/
伊邪那美命 [いざなみのみこと] /(n) Izanami/female deity who birthed Japan and the sun, moon, and storm gods/
伊寿墨 [いすずみ] /(n) (uk) brassy chub (Kyphosus vaigiensis)/
伊集 [いじゅ] /(n) (uk) (rkb:) Chinese guger tree (species of evergreen, Schima wallichii)/
伊須墨 [いすずみ] /(n) (uk) brassy chub (Kyphosus vaigiensis)/
伊吹 [いぶき] /(n) (uk) Chinese juniper (Juniperus chinensis)/
伊吹虎の尾 [いぶきとらのお] /(n) (uk) common bistort (species of flowering plant, Polygonum bistorta)/
伊吹虎尾 [いぶきとらのお] /(n) (uk) common bistort (species of flowering plant, Polygonum bistorta)/
伊吹派 [いぶきは] /(n) Ibuki Faction (of the LDP)/
伊吹柏槙 [いぶきびゃくしん] /(n) (uk) Chinese juniper (Juniperus chinensis)/
伊勢エビ [いせエビ] /(n) (uk) spiny lobster (esp. Japanese spiny lobster, Panulirus japonicus)/
伊勢花菖蒲 [いせはなしょうぶ] /(n) Iris ensata/Ise Japanese iris/
伊勢蝦 [いせえび] /(n) (uk) spiny lobster (esp. Japanese spiny lobster, Panulirus japonicus)/
伊勢海老 [いせえび] /(n) (uk) spiny lobster (esp. Japanese spiny lobster, Panulirus japonicus)/
伊勢乞食 [いせこじき] /(exp) (sl) beggars at Ise Grand Shrine (expression used to deride stingy people from Ise)/
伊勢鯉 [いせごい] /(n) (1) (uk) striped mullet (Mugil cephalus)/(2) (uk) redlip mullet (Chelon haematocheilus)/(3) (uk) Indo-Pacific tarpon (Megalops cyprinoides)/
伊勢講 [いせこう] /(n) fraternal religious group formed by Ise Shrine worshippers/
伊勢参り [いせまいり] /(n) Ise pilgrimage/
伊勢神宮 [いせじんぐう] /(n) Grand Shrine at Ise/(P)/
伊勢神道 [いせしんとう] /(n) Ise Shinto (school of Shinto established the Watarai family priests of Ise Jingu's Outer Shrine)/
伊勢大神宮 [いせだいじんぐう] /(n) the Grand Shrines of Ise/
伊勢大廟 [いせたいびょう] /(n) the Grand Shrines of Ise/
伊勢丹 [いせたん] /(n) Isetan (department store)/(P)/
伊勢防風 [いせぼうふう] /(n) (obsc) Glehnia littoralis (species of umbellifer used in Chinese medicine)/
伊曾保物語 [いそほものがたり] /(n) Aesop's Fables (published initially by the Jesuits in 1593)/
伊太利 [いたりー] /(n,adj-no) (uk) Italy/
伊達 [だて] /(n,adj-na) (1) elegance/dandyism/sophistication/having style/(2) affectation/showing off/putting on an air/appearances/just for show/(P)/
伊達の薄着 [だてのうすぎ] /(exp) (id) A dandy is usually lightly dressed/
伊達メガネ [だてメガネ] /(n) glasses for show/fashionable eyeglasses worn for appearance's sake/glasses with no lenses or 'window glass' lenses/
伊達巻 [だてまき] /(n) (1) (woman's) undersash/(2) rolled omelette mixed with fish (paste) (omelet)/
伊達巻き [だてまき] /(n) (1) (woman's) undersash/(2) rolled omelette mixed with fish (paste) (omelet)/
伊達眼鏡 [だてめがね] /(n) glasses for show/fashionable eyeglasses worn for appearance's sake/glasses with no lenses or 'window glass' lenses/
伊達姿 [だてすがた] /(n) flashy appearance/
伊達者 [だてしゃ] /(n) dandy/dude/
伊達衆 [だてしゅう] /(n) dandy/gallant/chivalrous person/
伊達女 [だておんな] /(n) flapper/
伊達男 [だておとこ] /(n) dandy/dude/
伊達着 [だてぎ] /(n) showy clothes/
伊達締 [だてじめ] /(n) small, thin fabric belt worn over the kimono and under the obi in order to protect the fabric/
伊達締め [だてじめ] /(n) small, thin fabric belt worn over the kimono and under the obi in order to protect the fabric/
伊土戦争 [いとせんそう] /(n) Italo-Turkish War (1911-1912)/
伊当 [いとう] /(n) Japanese huchen (Hucho perryi) (salmonoid fish found in Hokkaido that grows up to 1.5 meters)/
伊富 [いとう] /(n) Japanese huchen (Hucho perryi) (salmonoid fish found in Hokkaido that grows up to 1.5 meters)/
伊予柑 [いよかん] /(n) (uk) iyokan (Citrus iyo)/type of citrus fruit/
伊予水木 [いよみずき] /(n) (uk) iyomizugi winter hazel (Corylopsis spicata)/
伊予弁 [いよべん] /(n) Iyo dialect (spoken in Ehime prefecture)/
伊留満 [イルマン] /(ateji) (n) (arch) (uk) non-ordained Christian monk (por:)/
伊良 [いら] /(n) (uk) scarbreast tuskfin (Choerodon azurio)/
伊呂波 [いろは] /(n) (1) (uk) traditional ordering of the Japanese syllabary/(2) fundamentals/the ABCs of .../(P)/
伊呂波歌 [いろはうた] /(n) iroha poem/
伊呂波順 [いろはじゅん] /(n) Traditional ordering of Japanese syllabary based on a Buddhist poem/
伊呂波楓 [いろはかえで] /(n) (uk) Japanese maple (Acer palmatum)/
伊弉諾景気 [いざなぎけいき] /(n) Izanagi economic boom (1965-70) of Japan/
伊弉諾尊 [いざなきのみこと] /(n) Izanagi/male deity who fathered Japan and the sun, moon, and storm gods/
伊弉諾尊 [いざなぎのみこと] /(n) Izanagi/male deity who fathered Japan and the sun, moon, and storm gods/
伊弉冉景気 [いざなみけいき] /(n) period of Japanese economic expansion from February 2002 to October 2007/
伊弉冉尊 [いざなみのみこと] /(n) Izanami/female deity who birthed Japan and the sun, moon, and storm gods/
位 [い] /(ctr) (1) place/rank/(2) decimal place/(3) counter for ghosts/(P)/
位 [くらい] /(adv,suf) (1) throne/crown/(nobleman's) seat/(2) government position/court rank/(3) social standing/rank/class/echelon/rung/(n) (4) grade (of quality, etc.)/level/tier/rank/(5) digit (e.g. the tens, the hundreds, etc.)/place/(6) degree/extent/amount/(P)/
位が昇る [くらいがのぼる] /(exp,v5r) to rise in rank/
位する [くらいする] /(vs-s) to rank/to be ranked/to be located/
位の高い人 [くらいのたかいひと] /(n) person of high rank/
位を下す [くらいをくだす] /(exp,v5s) to degrade/to lower in rank/
位を与える [くらいをあたえる] /(exp,v1) to be appointed to a rank/
位階 [いかい] /(n) court rank/
位階勲等 [いかいくんとう] /(n) court rank and honors/court rank and honours/
位冠 [いかん] /(n) ancient headgear showing rank/
位官 [いかん] /(n) rank and official position/
位記 [いき] /(n) court rank diploma/
位記追贈 [いきついそう] /(n) conferment of posthumous rank/
位勲 [いくん] /(n) rank and order of merit/
位次 [いじ] /(n) order of rank/order of seating/
位取り [くらいどり] /(n,vs) grade/class/quality/unit/digit/positioning of decimal point/
位取り表記法 [くらいどりひょうきほう] /(n) (comp) positional (representation) system/positional notation/
位取り表現 [くらいどりひょうげん] /(n) (comp) positional representation/
位取り表現法 [くらいどりひょうげんほう] /(n) (comp) positional (representation) system/positional notation/
位取る [くらいどる] /(v5r) to scale/
位人臣を極める [くらいじんしんをきわめる] /(exp,v1) to rise to the highest possible rank/
位相 [いそう] /(n) phase (in science)/topology/
位相コード化 [いそうコードか] /(n) (comp) phase modulation recording/phase encoding/
位相シフトキーイング [いそうシフトキーイング] /(n) (comp) phase shift keying/PSK/
位相幾何学 [いそうきかがく] /(n,adj-no) (math) topology/
位相空間 [いそうくうかん] /(n) (1) phase space (physics)/(2) (math) topological space/
位相語 [いそうご] /(n) parole/
位相誤差 [いそうごさ] /(n) (comp) phase error/
位相差 [いそうさ] /(n) phase contrast/
位相差顕微鏡 [いそうさけんびきょう] /(n) phase-contrast microscope/
位相写像 [いそうしゃぞう] /(n) topological mapping/
位相速度 [いそうそくど] /(n) phase velocity/
位相等化 [いそうとうか] /(n) phase equalization/
位相配列レーダー [いそうはいれつレーダー] /(n) phased-array radar/
位相符号化 [いそうふごうか] /(n) (comp) phase modulation recording/phase encoding/
位相偏移変調 [いそうへんいへんちょう] /(n) (comp) phase-shift keying/PSK/
位相変調 [いそうへんちょう] /(n) PM/phase modulation/
位相変調記録 [いそうへんちょうきろく] /(n) (comp) phase modulation recording/phase encoding/
位相変調方式 [いそうへんちょうほうしき] /(n) (comp) PM/Phase Modulation/
位相歪み [いそうひずみ] /(n) (comp) phase distortion/
位地 [いち] /(n,vs) place/situation/position/location/
位置 [いち] /(n,vs) place/situation/position/location/(P)/
位置づけ [いちづけ] /(n) placement/fixed position/mapping out/location/
位置づける [いちづける] /(v1,vt) to place (in relation to the whole)/to rank/to position/to locate/
位置を変える [いちをかえる] /(exp,v1) to change the position of/
位置エネルギー [いちエネルギー] /(n) potential energy/
位置カーソル [いちカーソル] /(n) (comp) location cursor/
位置パラメタ [いちパラメタ] /(n) (comp) positional parameter/
位置ベクトル [いちベクトル] /(n) position vector/
位置決め [いちぎめ] /(n) (comp) registration/
位置決めできる点 [いちきめできるてん] /(n) (comp) addressable point/
位置決め孔 [いちぎめこう] /(n) (comp) index hole/
位置決め時間 [いちぎめじかん] /(n) (comp) positioning time/seek time/
位置決め点 [いちぎめてん] /(n) (comp) position point/
位置決め領域 [いちきめりょういき] /(n) (comp) positioning area/
位置合わせ [いちあわせ] /(n,vs) alignment/justification/
位置情報 [いちじょうほう] /(n) location information (as used by location-based services, e.g. GPS position)/
位置揃え [いちそろえ] /(n,vs) justification/
位置調整 [いちちょうせい] /(n,vs) (comp) justification/
位置天文学 [いちてんもんがく] /(n) position astronomy/
位置入力装置 [いちにゅうりょくそうち] /(n) (comp) locator device/
位置認識 [いちにんしき] /(n) location awareness (as in a system or device)/
位置付け [いちつけ] /(n) placement/fixed position/mapping out/location/
位置付け [いちづけ] /(n) placement/fixed position/mapping out/location/(P)/
位置付ける [いちずける] /(ik) (v1,vt) to place (in relation to the whole)/to rank/to position/to locate/
位置付ける [いちづける] /(v1,vt) to place (in relation to the whole)/to rank/to position/to locate/(P)/
位倒れ [くらいだおれ] /(n) inability to live up to one's rank/out of one's league/
位牌 [いはい] /(n) Buddhist mortuary tablet/
位牌を汚す [いはいをけがす] /(exp,v5s) to disgrace one's ancestors/to tarnish the honour of one's ancestors/
位牌所 [いはいじょ] /(n) site of a Buddhist mortuary tablet/
位牌堂 [いはいどう] /(n) mortuary chapel/
位付け [くらいづけ] /(n) ranking/unit/
位負 [くらいまけ] /(n,vs) being unworthy of one's rank/being outranked/
位負け [くらいまけ] /(n,vs) being unworthy of one's rank/being outranked/
依って [よって] /(conj) (uk) therefore/consequently/accordingly/because of/
依りて [よりて] /(conj) (arch) as such/for that reason/therefore/consequently/
依り代 [よりしろ] /(n) object representative of a divine spirit/object to which a spirit is drawn or summoned/object or animal occupied by a kami/
依る [よる] /(v5r,vi) (1) (uk) to be due to/to be caused by/(2) to depend on/to turn on/(3) to be based on/to come from/
依ると [よると] /(exp) (uk) according to/(P)/
依願 [いがん] /(n) in accordance with one's request/
依願退職 [いがんたいしょく] /(n) retirement at one's own request/
依願免官 [いがんめんかん] /(n) retirement at one's own request/
依拠 [いきょ] /(n,vs) dependence/
依嘱 [いしょく] /(n,vs) entrusting (with)/
依然 [いぜん] /(adj-t,adv-to,adv) still/as yet/as it has been/(P)/
依然として [いぜんとして] /(exp,adv) still/as yet/as of old/(P)/
依存 [いそん] /(n,vs) dependence/dependent/reliance/
依存 [いぞん] /(n,vs) dependence/dependent/reliance/(P)/
依存関係 [いぞんかんけい] /(n) dependence (relationship)/dependency (relationship)/
依存効果 [いそんこうか] /(n) dependence effect/
依存症 [いぞんしょう] /(n) (alcohol, drug) dependence/morbid dependence (on alcohol)/
依存状態 [いぞんじょうたい] /(n) state of dependence/
依存性 [いぞんせい] /(n) dependence/
依存適合性 [いぞんてきごうせい] /(n) (comp) dependent conformance/
依存度 [いぞんど] /(n) degree of dependence/
依代 [よりしろ] /(n) object representative of a divine spirit/object to which a spirit is drawn or summoned/object or animal occupied by a kami/
依託 [いたく] /(n,vs) dependence (on someone)/
依託射撃 [いたくしゃげき] /(n) firing from elbow rests/
依頼 [いらい] /(n,vs) (1) request/commission/dispatch/despatch/(2) dependence/trust/(P)/
依頼者 [いらいしゃ] /(n) client/
依頼書 [いらいしょ] /(n) written request/request for .../application for .../
依頼状 [いらいじょう] /(n) written request/
依頼心 [いらいしん] /(n) spirit of dependence/
依頼人 [いらいにん] /(n) client/
依蘭苔 [えいらんたい] /(n) (uk) (obsc) Iceland moss (Cetraria islandica)/Iceland lichen/
依估 [いこ] /(n) unfairness/
依估 [えこ] /(n) unfairness/
依估地 [いこじ] /(iK) (adj-na) obstinate/stubborn/obdurate/headstrong/willful/perverse/
依估地 [えこじ] /(iK) (adj-na) obstinate/stubborn/obdurate/headstrong/willful/perverse/
依估贔屓 [えこひいき] /(adj-na,n,vs) favoritism/favouritism/partiality/prejudice/bias/
依怙 [えこ] /(n) favoritism/favouritism/partiality/prejudice/bias/
依怙地 [いこじ] /(adj-na) obstinate/stubborn/obdurate/headstrong/willful/perverse/
依怙地 [えこじ] /(adj-na) obstinate/stubborn/obdurate/headstrong/willful/perverse/
依怙贔負 [えこひいき] /(adj-na,n,vs) favoritism/favouritism/partiality/prejudice/bias/
依怙贔屓 [えこひいき] /(adj-na,n,vs) favoritism/favouritism/partiality/prejudice/bias/
偉 [い] /(adj-na,n) greatness/
偉 [えら] /(pref) tremendous/huge/
偉い [えらい] /(adj-i) (1) great/excellent/admirable/remarkable/distinguished/important/celebrated/famous/eminent/(2) (uk) awful/terrible/(P)/
偉いさん [えらいさん] /(n) (col) big shot/higher-ups/
偉いですね [えらいですね] /(exp) (uk) good!/great!/
偉い人 [えらいひと] /(n) celebrated personage/big-wig/person in a high position/
偉い目 [えらいめ] /(exp) terrible time/hard time/bad day/
偉がる [えらがる] /(v5r,vi) to be conceited/to think highly of oneself/
偉そう [えらそう] /(adj-na) self-important/important-looking/proud/
偉そうな風 [えらそうなふう] /(n) air of importance/
偉ぶる [えらぶる] /(v5r) to put on airs/to swagger/to act self-importantly/
偉観 [いかん] /(n) magnificent sight/
偉挙 [いきょ] /(n) excellent deeds/
偉業 [いぎょう] /(n) great enterprise/exploits/(P)/
偉勲 [いくん] /(n) great achievement/
偉功 [いこう] /(n) great deed/
偉効 [いこう] /(n) great effect/
偉才 [いさい] /(n) (man of) great talent/remarkable man/
偉材 [いざい] /(n) extraordinary talent/genius/
偉丈夫 [いじょうふ] /(n) great man/great god/hero/big man/
偉人 [いじん] /(n) great man/(P)/
偉績 [いせき] /(n) glorious achievements/
偉跡 [いせき] /(n) remaining works/results of a man's labor (labour)/
偉蹟 [いせき] /(n) remaining works/results of a man's labor (labour)/
偉大 [いだい] /(adj-na,n) greatness/(P)/
偉徳 [いとく] /(n) outstanding virtue/
偉物 [えらぶつ] /(n) talented person/great man/great woman/
偉物 [えらもの] /(n) talented person/great man/great woman/
偉容 [いよう] /(n) dignity/majestic appearance/
偉力 [いりょく] /(n) power/might/authority/influence/
偉烈 [いれつ] /(n) great achievement/
囲い [かこい] /(n) enclosure/paling/storage/(P)/
囲いに入れる [かこいにいれる] /(exp,v1) to place in an enclosure/
囲い込み [かこいこみ] /(n) enclosure/
囲い込む [かこいこむ] /(v5m) to enclose/to impound/to cut off/to corral/
囲い者 [かこいもの] /(n) mistress/
囲い女 [かこいおんな] /(n) mistress/
囲い女 [かこいめ] /(n) mistress/
囲う [かこう] /(v5u,vt) to enclose/(P)/
囲にょう [いにょう] /(n,vs) surrounding/enclosure/
囲み [かこみ] /(n) (1) enclosure/box/(2) siege/(P)/
囲みを破る [かこみをやぶる] /(exp,v5r) to break through a siege/
囲みクラス [かこみクラス] /(n) enclosing class/
囲み記事 [かこみきじ] /(n) (newspaper) column/
囲み取材 [かこみしゅざい] /(n) on-the-spot interview by surrounding reporters/
囲む [かこむ] /(v5m,vt) to surround/to encircle/(P)/
囲郭村 [いかくそん] /(n) walled settlement/walled town/
囲碁 [いご] /(n) Go (board game of capturing territory)/(P)/
囲碁三級 [いごさんきゅう] /(n) third rank in the game of go/
囲壁 [いへき] /(n,adj-no) enclosure/casing/surrounding wall/
囲炉裏 [いろり] /(n) sunken hearth/sunken fireplace/
囲炉裡 [いろり] /(n) sunken hearth/sunken fireplace/
囲繞 [いじょう] /(n,vs) surrounding/enclosure/
囲繞 [いにょう] /(n,vs) surrounding/enclosure/
夷 [えびす] /(n) (1) (arch) peoples formerly of northern Japan with distinct language and culture (i.e. the Ainu)/(2) provincial (i.e. a person who lives far from the city)/(3) brutish, unsophisticated warrior (esp. used by Kyoto samurai to refer to samurai from eastern Japan)/(4) (derog) foreigner/barbarian/
夷 [えびす] /(n) Ebisu (god of fishing and commerce)/
夷曲 [ひなぶり] /(n) (1) appearing rustic/(2) ancient song played at the court/(3) comical tanka/
夷国 [いこく] /(n) land of the barbarians/
夷振り [ひなぶり] /(n) (1) appearing rustic/(2) ancient song played at the court/(3) comical tanka/
夷人 [いじん] /(n) barbarian/devil/
夷草 [えびすぐさ] /(n) (uk) sicklepod (Senna obtusifolia)/
夷則 [いそく] /(n) (1) (in China) 9th note of the ancient chromatic scale (approx. A sharp)/(2) seventh lunar month/
夷俗 [いぞく] /(n) customs of the barbarians/
夷蛮戎狄 [いばんじゅうてき] /(n) the barbarians beyond the borders of old China/
夷狄 [いてき] /(n) barbarians/aliens/
委しい [くわしい] /(adj-i) (1) detailed/full/accurate/(2) knowing very well/well-acquainted/well-informed/
委せる [まかせる] /(oK) (v1,vt) (1) to entrust (e.g. a task) to another/to leave to/(2) to passively leave to someone else's facilities/(3) to leave to take its natural course/(4) to continue (something) in a natural fashion (without particular aim)/(5) to rely fully on one's (full strength, great ability, long time taken) to get something done/
委ねる [ゆだねる] /(v1,vt) to entrust to/to devote oneself to/to abandon oneself to/(P)/
委員 [いいん] /(n) committee member/(P)/
委員会 [いいんかい] /(n) committee/commission/board/panel/committee meeting/(P)/
委員会に諮る [いいんかいにはかる] /(exp,v5r) to submit (a plan) to a committee for deliberation/
委員会を置く [いいんかいをおく] /(exp,v5k) to form a committee/
委員会制度 [いいんかいせいど] /(n) committee system/commission system/
委員会設置会社 [いいんかいせっちかいしゃ] /(n) company with a committee governance structure (e.g. auditing, appointment, compensation)/
委員長 [いいんちょう] /(n) committee chairman/(P)/
委員付託 [いいんふたく] /(n) referral to a committee/
委棄 [いき] /(n,vs) abandonment/desertion/relinquishment/
委曲 [いきょく] /(n) details/circumstances/
委曲を尽くす [いきょくをつくす] /(exp,v5s) to explain or describe a situation or matter in greatest details/
委細 [いさい] /(n) details/particulars/
委細面談 [いさいめんだん] /(exp) details when I see you/
委縮 [いしゅく] /(adj-na,n,vs) withering/atrophy/contraction/dwarf/
委譲 [いじょう] /(n,vs) transfer/assignment/
委嘱 [いしょく] /(n,vs) entrusting (with)/(P)/
委嘱状 [いしょくじょう] /(n) letter of appointment (to a position)/
委託 [いたく] /(n,vs) consign (goods (for sale) to a firm)/entrust (person with something)/commit/(P)/
委託契約書 [いたくけいやくしょ] /(n) outsourcing contract/
委託研究 [いたくけんきゅう] /(n) contract research/
委託者 [いたくしゃ] /(n) consignor/
委託生 [いたくせい] /(n) scholarship student sent by government office or business/
委託売買 [いたくばいばい] /(n) consignment sales and purchase/
委託販売 [いたくはんばい] /(n,adj-no) consignment sale/
委託保証金 [いたくほしょうきん] /(n) margin money/
委任 [いにん] /(n,vs,adj-no) charge/trust/(P)/
委任状 [いにんじょう] /(n) commission/proxy/power of attorney/authorization/
委任状による代理人 [いにんじょうによるだいりにん] /(n) attorney-in-fact/
委任代理人 [いにんだいりにん] /(n) authorized agent/
委任統治 [いにんとうち] /(n) mandate/
委任立法 [いにんりっぽう] /(n) delegated legislation/
委付 [いふ] /(n,vs) abandonment (rights, property)/
委付者 [いふしゃ] /(n) abandoner (in securities, etc.)/
委付通知書 [いふつうちしょ] /(n) notice of abandonment (of securities, etc.)/
威 [い] /(n) power/authority/might/influence/dignity/majesty/
威 [おどし] /(ateji) (n) leather strap binding the plates of traditional Japanese armor (armour)/
威ありて猛からず [いありてたけからず] /(exp) being dignified, and moreover warm, as such one is gentle/
威かす [おどかす] /(v5s,vt) (1) to threaten/to menace/(2) to startle/to surprise/
威す [おどす] /(v5s,vt) to threaten/to menace/
威を振るう [いをふるう] /(exp,v5u) to exercise authority/
威圧 [いあつ] /(n) (1) coercion/overpowering/(2) to overpower/to overawe/to daunt/
威圧感 [いあつかん] /(n,adj-f) intimidating air/sense of intimidation/
威圧的 [いあつてき] /(adj-na) coercive/overbearing/
威嚇 [いかく] /(n) (1) menace/threat/intimidation/(vs) (2) to threaten/to intimidate/(P)/
威嚇射撃 [いかくしゃげき] /(n) warning shot/
威嚇的 [いかくてき] /(adj-na) threatening/menacing/
威喝 [いかつ] /(n,vs) threatening/
威儀 [いぎ] /(n) dignity/majesty/dignified manner/
威儀細 [いぎぼそ] /(n) (obsc) informal kasaya worn primarily by adherents of Pure Land Buddhism/
威権 [いけん] /(n) authority/power/
威厳 [いげん] /(n) dignity/majesty/solemnity/gravity/(P)/
威光 [いこう] /(n) power/authority/influence/
威高 [いたか] /(adj-na,n) (arch) arrogant/
威丈高 [いたけだか] /(adj-na,n) high-handed/overbearing/
威信 [いしん] /(n) dignity/(P)/
威信にかかわる [いしんにかかわる] /(exp,v5r) to affect someone's prestige/to be beneath one's dignity/
威信に関わる [いしんにかかわる] /(exp,v5r) to affect someone's prestige/to be beneath one's dignity/
威勢 [いせい] /(n) power/might/authority/(P)/
威勢がいい [いせいがいい] /(exp,adj-i) vigorous/cheerful/assertive/
威勢がよい [いせいがよい] /(exp,adj-i) vigorous/cheerful/assertive/
威勢が良い [いせいがいい] /(exp,adj-i) vigorous/cheerful/assertive/
威勢が良い [いせいがよい] /(exp,adj-i) vigorous/cheerful/assertive/
威勢のいい [いせいのいい] /(adj-i) vigorous/cheerful/assertive/
威勢のよい [いせいのよい] /(adj-i) vigorous/cheerful/assertive/
威勢の良い [いせいのいい] /(adj-i) vigorous/cheerful/assertive/
威勢の良い [いせいのよい] /(adj-i) vigorous/cheerful/assertive/
威勢よく [いせいよく] /(adv) with energy/vigorously/cheerfully/assertively/lustily/
威勢良く [いせいよく] /(adv) with energy/vigorously/cheerfully/assertively/lustily/
威張り散らす [いばりちらす] /(v5s) to domineer/
威張り腐る [いばりくさる] /(v5r) to throw one's weight around/to be puffed up/
威張る [いばる] /(v5r,vi) to be proud/to swagger/(P)/
威張る [えばる] /(v5r,vi) to be proud/to swagger/
威徳 [いとく] /(n) virtue and influence/
威迫 [いはく] /(n,vs) menace/threat/intimidation/
威武 [いぶ] /(n) authority and force/
威風 [いふう] /(n) majesty/dignity/
威風堂々 [いふうどうどう] /(adj-no,adj-t,adv-to) being majestic/with great pomp and circumstance/with an imposing air/
威風堂堂 [いふうどうどう] /(adj-no,adj-t,adv-to) being majestic/with great pomp and circumstance/with an imposing air/
威風凛々 [いふうりんりん] /(adj-t,adv-to) (arch) awe-inspiring/majestic/commanding/stately/with an imposing air/in a stately (dignified) manner/
威風凛凛 [いふうりんりん] /(adj-t,adv-to) (arch) awe-inspiring/majestic/commanding/stately/with an imposing air/in a stately (dignified) manner/
威服 [いふく] /(n,vs) awe into submission/
威名 [いめい] /(n) fame/prestige/
威有って猛からず [いあってたけからず] /(exp) dignified without being overbearing/
威容 [いよう] /(n) dignity/majestic appearance/
威力 [いりょく] /(n) power/might/authority/influence/(P)/
威令 [いれい] /(n) authority/
尉 [じょう] /(n) jailer/gaoler/old man/rank/company officer/
尉官 [いかん] /(n) officer below the rank of major/company officer/
尉鶲 [じょうびたき] /(n) (uk) Daurian redstart (species of passerine bird, Phoenicurus auroreus)/
惟 [これ] /(pn) (1) (uk) this (indicating an item near the speaker, the action of the speaker, or the current topic)/(2) (hum) this person (usu. indicating someone in one's in-group)/(3) now/(4) (arch) here/(5) (arch) I (me)/(6) (arch) certainly/
惟うに [おもうに] /(adv) presumably/conceivably/in my opinion/in my view/I think (that)/upon thought/upon reflection/
惟みる [おもいみる] /(v1) to reflect carefully/
惟みる [おもんみる] /(v1) to reflect carefully/
惟る [おもいみる] /(v1) to reflect carefully/
惟る [おもんみる] /(v1) to reflect carefully/
惟神 [かみながら] /(adv,adj-no) (1) as a god/(2) as was done in the age of the gods/
惟神 [かむながら] /(adv,adj-no) (1) as a god/(2) as was done in the age of the gods/
惟神 [かんながら] /(adv,adj-no) (1) as a god/(2) as was done in the age of the gods/
惟神の道 [かむながらのみち] /(n) the way of the gods/
惟神の道 [かんながらのみち] /(n) the way of the gods/
意 [い] /(n) (1) feelings/thoughts/(2) meaning/
意にかなう [いにかなう] /(exp,v5u) to satisfy (one)/to meet (one's) desire/
意に介する [いにかいする] /(exp,vs-s) to mind/to care/to worry/
意に叶う [いにかなう] /(exp,v5u) to satisfy (one)/to meet (one's) desire/
意に適う [いにかなう] /(exp,v5u) to satisfy (one)/to meet (one's) desire/
意に満たない [いにみたない] /(exp) unsatisfactory/
意のままに [いのままに] /(exp,adv) at will/
意の儘に [いのままに] /(exp,adv) at will/
意を汲む [いをくむ] /(iK) (exp,v5m) to enter into a person's feelings/to guess what somebody feels (using one's intuition)/
意を迎える [いをむかえる] /(exp,v1) to cater to another's wish/to accomodate/to be agreeable/
意を決する [いをけっする] /(exp,vs-s) to resolve/to ready (oneself)/
意を酌む [いをくむ] /(exp,v5m) to enter into a person's feelings/to guess what somebody feels (using one's intuition)/
意を得ない [いをえない] /(adj-i) beyond one's comprehension/beyond one's grasp/
意を得る [いをえる] /(exp,v1) (1) to get (e.g. the gist of something)/to understand/(2) to turn out as one thought/
意を用いる [いをもちいる] /(exp,v1) to pay attention to/
意外 [いがい] /(adj-na,adv-to,n) unexpected/surprising/(P)/
意外性 [いがいせい] /(n) unpredictability/element of surprise/
意気 [いき] /(n) spirit/heart/disposition/(P)/
意気が揚がる [いきがあがる] /(exp,v5r) to be in high spirits/
意気に感じる [いきにかんじる] /(exp,v1) to be positively affected by someone's strength of spirit/
意気に燃える [いきにもえる] /(exp,v1) to be fired up with enthusiasm for accomplishing something/
意気軒昂 [いきけんこう] /(uK) (adj-na,adj-t,adv-to) in high spirits/elated/
意気軒高 [いきけんこう] /(uK) (adj-na,adj-t,adv-to) in high spirits/elated/
意気込み [いきごみ] /(n) ardor/enthusiasm/(P)/
意気込む [いきごむ] /(v5m,vi) to be enthusiastic about/(P)/
意気昇天 [いきしょうてん] /(iK) (n) in high spirits/
意気消沈 [いきしょうちん] /(n,vs,adj-no) depressed in spirits/dispirited/disheartened/rejection/
意気衝天 [いきしょうてん] /(n) in high spirits/
意気盛ん [いきさかん] /(adj-na,n) in high spirits/(P)/
意気阻喪 [いきそそう] /(n,vs) depressed in spirits/rejection/disheartened/lacking nerve/
意気地 [いきじ] /(n) self-respect/self-confidence/guts/backbone/
意気地 [いくじ] /(n) self-respect/self-confidence/guts/backbone/(P)/
意気地なし [いくじなし] /(n) coward/timid creature/
意気地のない [いくじのない] /(adj-i) spineless/backboneless/timid/cowardly/weak-kneed/
意気地無し [いくじなし] /(n) coward/timid creature/
意気天を衝く [いきてんをつく] /(exp,v5k) to be in high spirits/
意気投合 [いきとうごう] /(n,vs) hit it off with (a person)/find a kindred spirit in (a person)/sympathy/mutual understanding/
意気揚々 [いきようよう] /(uK) (adj-t,adv-to) triumphant/exultant/in high and proud spirits/
意気揚揚 [いきようよう] /(uK) (adj-t,adv-to) triumphant/exultant/in high and proud spirits/
意気銷沈 [いきしょうちん] /(n,vs,adj-no) depressed in spirits/dispirited/disheartened/rejection/
意義 [いぎ] /(n) meaning/significance/(P)/
意義深い [いぎぶかい] /(adj-i) significant/important/
意見 [いけん] /(n,vs,adj-no) opinion/view/comment/(P)/
意見を言う [いけんをいう] /(exp,v5u) to state one's opinion/
意見を持つ [いけんをもつ] /(exp,v5t) to hold an opinion/
意見を吐く [いけんをはく] /(exp,v5k) to give one's opinion/
意見具申 [いけんぐしん] /(n,vs) offering one's opinion (to someone on something)/
意見交換 [いけんこうかん] /(n) exchange of ideas/exchange of opinions/
意見広告 [いけんこうこく] /(n) protest advertising (on an issue by a pressure group)/
意見書 [いけんしょ] /(n) opinion in writing/written opinion/argument/
意固地 [いこじ] /(adj-na) obstinate/stubborn/obdurate/headstrong/willful/perverse/
意向 [いこう] /(n) intention/idea/inclination/(P)/
意志 [いし] /(n) will/volition/intention/intent/determination/(P)/
意志の強い人 [いしのつよいひと] /(n) strong-minded man/
意志の自由 [いしのじゆう] /(n) freedom of will/
意志の疏通 [いしのそつう] /(n) mutual understanding/
意志の疎通 [いしのそつう] /(n) agreement of wills/
意志決定 [いしけってい] /(n) decision-making/
意志決定過程 [いしけっていかてい] /(n) decision-making process/
意志決定機関 [いしけっていきかん] /(n) decision-making body/
意志決定支援システム [いしけっていしえんシステム] /(n) (comp) decision support system/DSS/
意志堅固 [いしけんご] /(n,adj-na) strong determination/strong-willed/having strong will power/firmness of purpose/
意志疎通 [いしそつう] /(iK) (n) (coming to a) mutual understanding/understanding each other/
意志的 [いしてき] /(adj-na) strong-willed/
意志薄弱 [いしはくじゃく] /(adj-na,n,adj-no) weak-willed/lacking a purpose/lacking will power to be patient, purposeful, or resolute/
意志未来 [いしみらい] /(n) (ling) volitional future/
意志力 [いしりょく] /(n) willpower/
意思 [いし] /(n) intention/purpose/(P)/
意思確認書 [いしかくにんしょ] /(n) letter of intent/
意思決定 [いしけってい] /(n) decision-making/(P)/
意思決定過程 [いしけっていかてい] /(n) decision-making process/
意思決定機関 [いしけっていきかん] /(n) decision-making body/
意思決定支援システム [いしけっていしえんシステム] /(n) (comp) decision support system/DSS/
意思疎通 [いしそつう] /(n) (coming to a) mutual understanding/understanding each other/(P)/
意思能力 [いしのうりょく] /(n) mental capacity/
意思表示 [いしひょうじ] /(n,vs) declaration of intention/(P)/
意思表示カード [いしひょうじカード] /(n) donor card/
意字 [いじ] /(n) ideogram/
意識 [いしき] /(n,vs) (1) consciousness/(2) awareness/sense/(3) (Buddh) mano-vijnana (mental consciousness, cognizer of sensory information)/(P)/
意識の流れ [いしきのながれ] /(n) stream of consciousness/
意識をかえる [いしきをかえる] /(exp,v1) to alter one's state of consciousness/to change one's mindset/to change one's attitude/
意識を失う [いしきをうしなう] /(exp,v5u) to lose consciousness/
意識を変える [いしきをかえる] /(exp,v1) to alter one's state of consciousness/to change one's mindset/to change one's attitude/
意識一般 [いしきいっぱん] /(n) transcendental appreciation/
意識下 [いしきか] /(n,adj-no) subconscious/
意識過剰 [いしきかじょう] /(n,adj-na,adj-no) hyperconsciousness/too great a sense (of)/something being only one's imagination/letting imagination run away with one/
意識障害 [いしきしょうがい] /(n) disturbance of consciousness/
意識喪失 [いしきそうしつ] /(n) loss of consciousness/
意識体 [いしきたい] /(n) discarnate entity/
意識調査 [いしきちょうさ] /(n) opinion poll/attitude survey/(P)/
意識的 [いしきてき] /(adj-na) conscious/deliberate/(P)/
意識転換 [いしきてんかん] /(n,vs) change in mentality/changing one's way of thinking/adjusting psychologically to shifting circumstances/
意識不明 [いしきふめい] /(n,adj-no) unconscious/senseless/
意識変革 [いしきへんかく] /(n,vs) radical change in mentality/radically changing one's way of thinking/radical change in consciousness/
意識朦朧 [いしきもうろう] /(adj-t,adv-to) being in a hazy state/being only half conscious/feeling dopey/
意趣 [いしゅ] /(n) grudge/malice/spite/
意趣遺恨 [いしゅいこん] /(n) grudge/spite/malice/rancor/
意趣晴らし [いしゅばらし] /(n) revenge/
意趣返し [いしゅがえし] /(n) revenge/
意匠 [いしょう] /(n) design/(P)/
意匠権 [いしょうけん] /(n) design right/right(s) to a design/
意匠惨憺 [いしょうさんたん] /(n) taxing one's ingenuity in devising something/agonizing over designing or creating something/making strenuous efforts to devise good ways and means to do something/
意匠登録 [いしょうとうろく] /(n) registration of a design/
意図 [いと] /(n,vs) intention/aim/design/(P)/
意図的 [いとてき] /(adj-na) intentional/on purpose/(P)/
意想外 [いそうがい] /(adj-na,n,adj-no) unexpected/unsuspected/
意地 [いじ] /(n) disposition/spirit/willpower/obstinacy/backbone/appetite/(P)/
意地が悪い [いじがわるい] /(exp,adj-i) malicious/deliberately mean/
意地っ張り [いじっぱり] /(adj-na,n) obstinacy/obstinate person/
意地でも [いじでも] /(exp,adv) at any cost/at any price/at any expense/
意地はる [いじはる] /(ik) (ik) (exp,v5r) to be stubborn/to be obstinate/to be perverse/to not give in/
意地ばる [いじばる] /(exp,v5r) to be stubborn/to be obstinate/to be perverse/to not give in/
意地を張る [いじをはる] /(exp,v5r) to not give in/to be obstinate/to be stubborn/to be perverse/
意地悪 [いじわる] /(adj-na,n) malicious/ill-tempered/unkind/(P)/
意地悪い [いじわるい] /(adj-i) ill-natured/mean/nasty/sadistic/cruel/mean-spirited/
意地汚い [いじきたない] /(adj-i) gluttonous/greedy/
意地汚ない [いじきたない] /(adj-i) gluttonous/greedy/
意地尽く [いじずく] /(adj-na,n) obstinate/stubborn/
意地張る [いじはる] /(ik) (exp,v5r) to be stubborn/to be obstinate/to be perverse/to not give in/
意地張る [いじばる] /(exp,v5r) to be stubborn/to be obstinate/to be perverse/to not give in/
意地穢い [いじきたない] /(adj-i) gluttonous/greedy/
意中 [いちゅう] /(n) one's mind/one's heart/one's intention/
意中の女 [いちゅうのおんな] /(n) sweetheart/girlfriend/
意中の人 [いちゅうのひと] /(n) sweetheart/person in one's thoughts (heart)/
意張る [いばる] /(iK) (v5r,vi) to be proud/to swagger/
意張る [えばる] /(iK) (v5r,vi) to be proud/to swagger/
意馬 [いば] /(n) uncontrolled/
意馬心猿 [いばしんえん] /(n) (being unable to control) one's worldly desires and passions/
意表 [いひょう] /(n) surprise/something unexpected/(P)/
意表をつく [いひょうをつく] /(exp,v5k) to do something unexpected/
意表を突く [いひょうをつく] /(exp,v5k) to do something unexpected/
意表外 [いひょうがい] /(n) something unexpected/
意符 [いふ] /(n) part of a kanji for which the role is primarily to represent the meaning (as opposed to the pronunciation)/
意味 [いみ] /(n,vs) meaning/significance/(P)/
意味ありげ [いみありげ] /(adj-na) meaningful/
意味が通じる [いみがつうじる] /(exp,v1) to be comprehensible/
意味が通らない [いみがとおらない] /(adj-i) incomprehensible/not making sense/
意味が通る [いみがとおる] /(exp,v5r) to be comprehensible/
意味するもの [いみするもの] /(n,exp) meaning/connotation/denotation/
意味の関係理論 [いみのかんけいりろん] /(n) (ling) relational theory of meaning/
意味をなさない [いみをなさない] /(exp) not making sense/meaningless/
意味をなす [いみをなす] /(exp,v5s) to make sense/to be meaningful/
意味を取る [いみをとる] /(exp,v5r) to follow the sense/to understand the meaning of/
意味を捉える [いみをとらえる] /(exp,v1) to grasp the meaning/
意味ネットワーク [いみネットワーク] /(n) (comp) semantic network (AI)/
意味関係 [いみかんけい] /(n) (comp) semantic relation/
意味原理 [いみげんり] /(n) (ling) semantics principle/
意味合 [いみあい] /(n) implication/nuance/
意味合い [いみあい] /(n) implication/nuance/(P)/
意味上の主語 [いみじょうのしゅご] /(n) sense subject/
意味上の目的語 [いみじょうのもくてきご] /(n) sense object/
意味情報 [いみじょうほう] /(n) (ling) semantic information/meaningful information/
意味慎重 [いみしんちょう] /(iK) (adj-na,n) with profound (often hidden) meaning/being suggestive/pregnant with significance/
意味深 [いみしん] /(adj-na) (sl) with profound (often hidden) meaning/being suggestive/pregnant with significance/
意味深い [いみぶかい] /(uK) (adj-i) deeply meaningful/
意味深重 [いみしんちょう] /(iK) (adj-na,n) with profound (often hidden) meaning/being suggestive/pregnant with significance/
意味深長 [いみしんちょう] /(adj-na,n) with profound (often hidden) meaning/being suggestive/pregnant with significance/
意味段落 [いみだんらく] /(n) logical paragraph (as opposed to a formal paragraph)/segment of text expressing a single meaning/
意味内容 [いみないよう] /(n) (ling) semantic content (of a term)/meaning (of a sentence)/
意味不明 [いみふめい] /(n,adj-na,adj-no) of uncertain meaning/ambiguous/cryptic/(P)/
意味付ける [いみづける] /(v1,vt) to give meaning to/
意味部門 [いみぶもん] /(n) (ling) semantic component/
意味分析 [いみぶんせき] /(n) (comp) semantic factoring/
意味役割 [いみやくわり] /(n) (ling) semantic role/
意味有りげ [いみありげ] /(adj-na) meaningful/
意味論 [いみろん] /(n) (ling) semantics/the study of meaning/
意訳 [いやく] /(n,vs) free translation/liberal translation/
意慾 [いよく] /(oK) (n) will/desire/ambition/
意欲 [いよく] /(n) will/desire/ambition/(P)/
意欲的 [いよくてき] /(adj-na) ambitious/motivated/willful/
意欲満々 [いよくまんまん] /(uK) (adj-no,adj-t,adv-to) full of zeal/highly motivated/very eager/
意欲満満 [いよくまんまん] /(uK) (adj-no,adj-t,adv-to) full of zeal/highly motivated/very eager/
意力 [いりょく] /(n) will/will-power/
意臨 [いりん] /(n) copying calligraphy without sticking to the model (calligraphy)/copying freely/
意嚮 [いこう] /(n) intention/idea/inclination/
意氣 [いき] /(oK) (n) spirit/heart/disposition/
慰み [なぐさみ] /(n) amusement/diversion (to pass time)/pastime/recreation/
慰み者 [なぐさみもの] /(n) (person treated as a) plaything/
慰み半分 [なぐさみはんぶん] /(n) partly for fun/capricious/
慰み物 [なぐさみもの] /(n) source of amusement/plaything/
慰む [なぐさむ] /(v5m,vi) to be diverted/to forget one's worries/to comfort/
慰め [なぐさめ] /(n) comfort/consolation/diversion/
慰める [なぐさめる] /(v1,vt) to comfort/to console/to amuse/(P)/
慰め顔 [なぐさめがお] /(n) consolatory look/comforting look/
慰安 [いあん] /(n,vs) solace/relaxation/(P)/
慰安会 [いあんかい] /(n) recreational get-together/
慰安者 [いあんしゃ] /(n) comforter/
慰安婦 [いあんふ] /(n) enslaved prostitute/comfort woman/
慰安旅行 [いあんりょこう] /(n) pleasure trip/company (office) trip/
慰謝 [いしゃ] /(n,vs) consolation/(P)/
慰謝料 [いしゃりょう] /(n) consolation money/solatium/reparation/damages/
慰撫 [いぶ] /(n,vs) pacification/soothing/
慰問 [いもん] /(n,vs) condolences/sympathy call/(P)/
慰問袋 [いもんぶくろ] /(n) soldier's comfort bag/
慰問品 [いもんひん] /(n) comfort article/
慰留 [いりゅう] /(n,vs) dissuasion from resigning or leaving/
慰霊 [いれい] /(n) comfort the spirit (of the dead)/(P)/
慰霊祭 [いれいさい] /(n) memorial service/(P)/
慰霊塔 [いれいとう] /(n) memorial tower/
慰霊碑 [いれいひ] /(n) memorial (stone)/
慰労 [いろう] /(n,vs) recognition of services/
慰労会 [いろうかい] /(n) party given in recognition of a person's services/
慰労金 [いろうきん] /(n) bonus/reward for one's services/
慰藉 [いしゃ] /(n,vs) consolation/
慰藉料 [いしゃりょう] /(n) consolation money/solatium/reparation/damages/
易 [えき] /(n) divination/fortune-telling/
易々 [やすやす] /(adv,adv-to) easily/readily/with ease/without trouble/
易い [やすい] /(adj-i,suf) easy/(P)/
易しい [やさしい] /(adj-i) easy/plain/simple/(P)/
易しい人 [やさしいひと] /(exp) promiscuous person/
易しい文章 [やさしいぶんしょう] /(n) easy (simple) writing/
易より難へ進む [いよりなんへすすむ] /(v5m) to proceed from the easy to the difficult/
易を見る [えきをみる] /(exp,v1) to divine/
易易 [やすやす] /(adv,adv-to) easily/readily/with ease/without trouble/
易学 [えきがく] /(n) study of divination/
易感染性 [いかんせんせい] /(adj-na) compromised/
易経 [えききょう] /(n) I Ching (Yi Jing) or The Book of Changes - one of the Five Classics/
易者 [えきしゃ] /(n) fortuneteller/diviner/
易姓革命 [えきせいかくめい] /(n) revolution (change of dynasty) decreed by Heaven when the incumbent emperor is found lacking in moral virtue (old Chinese political thought)/
易損品 [いそんひん] /(n) fragile article/
易断 [えきだん] /(n) divination/fortunetelling/
易動度 [いどうど] /(n) mobility/
易簀 [えきさく] /(n) (hon) (obsc) the death of a scholar/
椅子 [いし] /(n) traditional square chair with armrests and a torii-shaped back (used by the emperor, etc. during ceremonies)/
椅子 [いす] /(n) (1) chair/stool/(2) post/office/position/(P)/
椅子取りゲーム [いすとりゲーム] /(n) musical chairs/
為 [す] /(vs-c) (uk) to do (literary form of suru)/
為 [ため] /(n) (1) good/advantage/benefit/welfare/(2) sake/purpose/objective/aim/(3) consequence/result/effect/(4) affecting/regarding/concerning/(P)/
為さる [なさる] /(v5aru,vt) (hon) to do/(P)/
為しおえる [なしおえる] /(v1,vt) to accomplish/to finish/
為しおわる [なしおわる] /(v5r,vi) to finish/
為し終える [なしおえる] /(v1,vt) to accomplish/to finish/
為し終わる [なしおわる] /(v5r,vi) to finish/
為し遂げる [なしとげる] /(v1,vt) to accomplish/to finish/to fulfill/
為す [なす] /(v5s,vt) (1) to build up/to establish/(2) to form/to become (a state)/(3) to accomplish/to achieve/to succeed in/(4) to change into/(5) to do/to perform/(aux-v) (6) (arch) to intend to/to attempt/to try/(7) (arch) to have a child/(P)/
為す術もない [なすすべもない] /(exp) at one's wits end/
為す術もなく [なすすべもなく] /(exp) at one's wits end/
為す術も無い [なすすべもない] /(exp) at one's wits end/
為す術も無く [なすすべもなく] /(exp) at one's wits end/
為せば成る [なせばなる] /(exp) (id) if you have a mind to do something, you can do it/if you do, it will become .../where there is a will.../
為せる [させる] /(v1,vt) (1) (uk) to make (someone) do/(2) to allow (someone) to/
為てやる [してやる] /(v5r,vt) (uk) to do for (someone)/
為て遣る [してやる] /(v5r,vt) (uk) to do for (someone)/
為に [ために] /(conj) (1) (uk) for/for the sake of/to one's advantage/in favor of/in favour of/on behalf of/(2) because of/as a result of/
為にする [ためにする] /(exp,vs-i) to have an ulterior motive/to have an axe to grind/
為になる [ためになる] /(exp,v5r) to be of benefit/to be useful/to be good for you/
為に成る [ためになる] /(exp,v5r) to be of benefit/to be useful/to be good for you/
為め [ため] /(io) (n) (1) good/advantage/benefit/welfare/(2) sake/purpose/objective/aim/(3) consequence/result/effect/(4) affecting/regarding/concerning/
為り [なり] /(n) being promoted (shogi)/
為り手 [なりて] /(n) candidate/suitable person/
為る [する] /(vs-i) (1) (uk) to do/(2) to cause to become/to make (into)/to turn (into)/(3) to serve as/to act as/to work as/(4) to wear (clothes, a facial expression, etc.)/(5) to judge as being/to view as being/to think of as/to treat as/to use as/(6) to decide on/to choose/(vs-i,vi) (7) to be sensed (of a smell, noise, etc.)/(8) to be (in a state, condition, etc.)/(9) to be worth/to cost/(10) to pass (of time)/to elapse/(suf,vs-i) (11) verbalizing suffix (applies to nouns noted in this dictionary with the part of speech "vs")/(aux-v,vs-i) (12) creates a humble verb (after a noun prefixed with "o" or "go")/(13) to be just about to/to be just starting to/to try to/to attempt to/(P)/
為る [なる] /(v5r,vi) (1) (uk) to become/to get/to grow/to be/to reach/to attain/(2) to result in/to prove to be/(3) to consist of/to be composed of/(4) to succeed/to be complete/(5) to change into/to be exchanged for/(6) to play a role/(7) to be promoted (shogi)/(v5r) (8) (hon) to do .../
為る様に為る [なるようになる] /(exp) (id) Let nature take its course/
為れつつある [されつつある] /(exp) (uk) to be in the process of doing/
為れる [される] /(v1) (uk) honorific or passive form of the verb "suru"/
為ん術 [せんすべ] /(n) (proper) methods/
為ん方無い [せんかたない] /(adj-i) (1) it cannot be helped/there is no way/(2) (arch) intolerable/unbearable/
為悪い [しにくい] /(adj-i) (uk) hard to do/
為果せる [しおおせる] /(v1,vt) to accomplish/
為過ぎる [しすぎる] /(v1) (uk) to overdo/to do too much/
為業 [しわざ] /(n) act/action/deed/
為銀 [ためぎん] /(n) exchange bank/
為公会 [いこうかい] /(n) Iko-kai (faction of the LDP)/
為合う [しあう] /(v5u,vt) (uk) to do together/
為済ます [しすます] /(v5s,vt) (uk) to succeed as planned/to carry through/to accomplish/
為残す [しのこす] /(v5s,vt) to leave unfinished/
為始める [しはじめる] /(v1,vt) to begin/to start/
為手 [して] /(n) (1) doer/performer/(2) (uk) protagonist (in noh or kyogen)/hero/leading part/main character/
為終える [しおえる] /(v1,vt) to finish/
為熟す [しこなす] /(v5s,vt) to handle (skilfully)/
為出かす [しでかす] /(oK) (v5s,vt) (uk) to make a mess/to perpetrate/to do/to finish up/to be guilty of/
為出来す [しでかす] /(oK) (v5s,vt) (uk) to make a mess/to perpetrate/to do/to finish up/to be guilty of/
為初 [しぞめ] /(n) (1) outset/beginning/starting (things)/(2) resuming work after the New Year's vacation/
為初め [しそめ] /(n) outset/beginning/
為初め [しぞめ] /(n) (1) outset/beginning/starting (things)/(2) resuming work after the New Year's vacation/
為初める [しそめる] /(v1) to begin to do/
為書 [ためがき] /(n) dedication (e.g. in books)/inscription/
為書き [ためがき] /(n) dedication (e.g. in books)/inscription/
為人 [ひととなり] /(n) (1) hereditary disposition/temperament/nature/(2) (arch) body build/
為尽くす [しつくす] /(v5s,vt) to do everything possible/
為尽す [しつくす] /(v5s,vt) to do everything possible/
為遂げる [しとげる] /(v1,vt) to accomplish/to finish/to fulfill/
為政 [いせい] /(n) governing/administering/
為政家 [いせいか] /(n) politician/
為政者 [いせいしゃ] /(n) statesman/(P)/
為送り [しおくり] /(n,vs) allowance/remittance/
為続ける [しつづける] /(v1) to continue to do/to persist in doing/
為損じる [しそんじる] /(v1,vt) to blunder/to fail/to make a mistake/
為損ずる [しそんずる] /(vz,vt) to blunder/to fail/to make a mistake/
為損なう [しそこなう] /(v5u) to blunder/to fail/to make a mistake/to miss/
為体 [ていたらく] /(n) state of affairs/predicament/
為替 [かわせ] /(n) (1) money order/draft/(2) exchange (e.g. foreign)/(P)/
為替ダンピング [かわせダンピング] /(n) exchange dumping/
為替マリー [かわせマリー] /(n) exchange marry/
為替レート [かわせレート] /(n) exchange rate/
為替管理 [かわせかんり] /(n) exchange control/
為替銀行 [かわせぎんこう] /(n) exchange bank/
為替差益 [かわせさえき] /(n) profit on currency exchange/
為替差損益 [かわせさそんえき] /(uK) (n) foreign exchange profit or loss/foreign exchange gain or loss/
為替裁定 [かわせさいてい] /(n) exchange arbitration/
為替市場 [かわせしじょう] /(n) exchange market/
為替取引 [かわせとりひき] /(n) currency trading (usu. foreign)/exchange dealing/exchange transaction/
為替手形 [かわせてがた] /(n) draft/draught/
為替尻 [かわせじり] /(n) balance of exchange/
為替相場 [かわせそうば] /(n) exchange rates/(P)/
為替相場メカニズム [かわせそうばメカニズム] /(n) Exchange Rate Mechanism/ERM/
為替投機 [かわせとうき] /(n) currency speculation/
為替平価 [かわせへいか] /(n) par value/exchange parity/
為替予約 [かわせよやく] /(n) exchange contract/
為着 [しきせ] /(n) livery/servant's clothes provided by employers/
為直す [しなおす] /(v5s) to do over/to remake/to resume/
為難い [しにくい] /(adj-i) (uk) hard to do/
為納め [しおさめ] /(n) finishing up/
為腐る [しくさる] /(v5r) (uk) (vulg) to do (indicating contempt for other person's actions)/
為放題 [しほうだい] /(adj-na,n) having one's own way/giving free reign to one's desires/act as one pleases/
為様 [しざま] /(n) way of doing/
為来り [しきたり] /(n) custom/conventional practice/conventional practise/mores/ordinance/
為落し [しおとし] /(n) omission/oversight/
為落す [しおとす] /(v5s,vt) to fail to do/to make light of/to neglect/
為落ち [しおち] /(n) omission/oversight/
為落とす [しおとす] /(v5s,vt) to fail to do/to make light of/to neglect/
畏 [かしく] /(exp) (uk) (fem) yours sincerely (used to sign off on letters)/respectfully yours/
畏 [かしこ] /(exp) (uk) (fem) yours sincerely (used to sign off on letters)/respectfully yours/
畏い [かしこい] /(adj-i) wise/clever/smart/
畏くも [かしこくも] /(adv) graciously/
畏まりました [かしこまりました] /(exp) certainly!/(P)/
畏まる [かしこまる] /(v5r,vi) to obey respectfully/to humble oneself/to sit straight (upright, respectfully, attentively)/
畏れ [おそれ] /(n) fear/horror/anxiety/concern/uneasiness/
畏れながら [おそれながら] /(exp) let me humbly say/most humbly/with all due respect/
畏れる [おそれる] /(v1,vt) to fear/to be afraid of/
畏れ多い [おそれおおい] /(adj-i) awesome/awe-inspiring/august/
畏れ多くも [おそれおおくも] /(exp) graciously/
畏れ入る [おそれいる] /(v5r,vi) (1) to be sorry/to feel small/(2) to be grateful/(3) to be amazed/to be filled with awe/to be surprised/(4) to be disconcerted/to be embarrassed/
畏敬 [いけい] /(n,vs) reverence/awe/respect/
畏縮 [いしゅく] /(n,vs) wince/cower/recoil/
畏怖 [いふ] /(n,vs) awe/fear/fright/
畏怖嫌厭 [いふけんえん] /(n,vs) feelings of dread and aversion/
畏服 [いふく] /(n,vs) awe/
畏友 [いゆう] /(n) one's esteemed friend/
畏懼 [いく] /(n,vs) reverence/awe/fear/
異 [い] /(n,adj-na) (1) difference (of opinion)/(adj-na) (2) strange/odd/unusual/(pref) (3) different/
異 [け] /(adj-na) (1) unusual/extraordinary/
異 [こと] /(n,adj-na,n-pref) (1) (arch) difference (from one another)/different thing/other/(adj-na) (2) unusual/extraordinary/
異な [いな] /(adj-pn) strange/odd/unusual/
異な [けな] /(adj-pn) (arch) exceptional/praiseworthy/laudable/
異なり [ことなり] /(adj-f) unlike/unique/unusual/
異なる [ことなる] /(v5r,vi) to differ/to vary/to disagree/(P)/
異な気分 [いなきぶん] /(n) queer feeling/
異に [けに] /(adv) (arch) outstandingly/extraordinarily/exceptionally/
異に [ことに] /(adv) (1) especially/particularly/unusually/above all/(2) (arch) additionally/
異にする [ことにする] /(exp,vs-i) to make a distinction/to differ/to be different/
異る [ことなる] /(io) (v5r,vi) to differ/to vary/to disagree/
異を唱える [いをとなえる] /(exp,v1) to raise an objection/to voice an opinion different from those of others/
異を立てる [いをたてる] /(exp,v1) to raise an objection/to voice an opinion different from those of others/
異域 [いいき] /(n) foreign lands/
異音 [いおん] /(n) (1) (ling) allophone/(2) strange noise/
異化 [いか] /(n,vs) (1) dissimilation/(2) catabolism/
異化効果 [いかこうか] /(n) alienation effect/Verfremdungseffekt/
異界 [いかい] /(n) spirit world/underworld/the next world/
異機種 [いきしゅ] /(n) heterogenous equipment/dissimilar equipment/
異機種環境 [いきしゅかんきょう] /(n) (comp) heterogeneous environment/
異義 [いぎ] /(n) (1) different meaning/(2) different opinion/
異議 [いぎ] /(n) objection/dissent/protest/(P)/
異議なく [いぎなく] /(adv) without demur/
異議申立 [いぎもうしたて] /(n,adj-f) objection/opposition (e.g. to a patent)/
異境 [いきょう] /(n) foreign country/
異教 [いきょう] /(n,adj-no) paganism/
異教徒 [いきょうと] /(n) pagan/heretic/
異郷 [いきょう] /(n) strange land/
異句同音 [いくどうおん] /(iK) (n) in concert/with one voice/unanimously/
異型 [いけい] /(n,adj-no) atypical appearance/atypicality/heteromorphy/
異型接合 [いけいせつごう] /(n) (1) heterozygosis/(adj-no) (2) heterogamous/heterozygous/
異型接合体 [いけいせつごうたい] /(n) (obsc) heterozygote/
異型分裂 [いけいぶんれつ] /(n) heterotypic division/
異形 [いぎょう] /(adj-no,adj-na,n) (arch) fantastic/grotesque/strange-looking/suspicious-looking/
異形 [いけい] /(n,adj-no) atypical appearance/atypicality/heteromorphy/
異形配偶子 [いけいはいぐうし] /(n) anisogamete/
異系交配 [いけいこうはい] /(n) exogamy/
異見 [いけん] /(n,vs) different opinion/objection/
異言 [いげん] /(n) tongues (i.e. utterances or "languages" spoken during instances of glossolalia)/
異言を語る [いげんをかたる] /(exp,v5r) to speak in tongues/
異言語 [いげんご] /(exp) another language/different languages/
異口同音 [いくどうおん] /(n) in concert/with one voice/unanimously/(P)/
異口同音に [いくどうおんに] /(adv) in one voice/
異香 [いきょう] /(n) (obsc) great fragrance/
異香 [いこう] /(n) (obsc) great fragrance/
異国 [いこく] /(n,adj-no) foreign country/(P)/
異国の人 [いこくのひと] /(n) foreigner/
異国趣味 [いこくしゅみ] /(n) taste for the exotic/infatuation with a foreign way of life/exoticism/
異国情緒 [いこくじょうしょ] /(ik) (n,adj-no) exotic mood/exotic atmosphere/exoticism/
異国情緒 [いこくじょうちょ] /(n,adj-no) exotic mood/exotic atmosphere/exoticism/
異国情調 [いこくじょうちょう] /(n) exoticism/
異国人 [いこくじん] /(n) foreigner/stranger/outsider/alien/
異彩 [いさい] /(n) conspicuous colour/conspicuous color/
異才 [いさい] /(n) genius/prodigy/
異歯性 [いしせい] /(adj-no,n) heterodont/
異字 [いじ] /(n) (1) different character/other character/(2) variant character/different written form of a character/
異字同訓 [いじどうくん] /(n) different kanji with the same Japanese reading (and usu. a similar meaning)/
異次元 [いじげん] /(n) different dimension/
異質 [いしつ] /(adj-na,adj-no) different (quality, nature)/heterogeneous/(P)/
異種 [いしゅ] /(adj-na,n,adj-no) different kind (species, variety)/heterologous/heterogenous/
異種移植 [いしゅいしょく] /(n) xenotransplant/heterograft/heteroplastic transplantation/heteroplasty/heterotransplantation/
異種計算機ネットワーク [いしゅけいさんきネットワーク] /(n) (comp) heterogeneous computer network/
異種交配 [いしゅこうはい] /(n) crossbreeding/
異趣 [いしゅ] /(n) extraordinary appearance/
異宗 [いしゅう] /(n) different religion or sect/
異臭 [いしゅう] /(n) offensive smell/off-flavor/off-flavour/
異臭を放つ [いしゅうをはなつ] /(exp,v5t) to give off a stench/
異称 [いしょう] /(n) alias/pseudonym/pen name/nom de plume/
異象 [いしょう] /(n) vision/strange phenomenon/
異常 [いじょう] /(adj-na,n) strangeness/abnormality/disorder/(P)/
異常の回復 [いじょうのかいふく] /(n) fault (anomaly) recovery/
異常気象 [いじょうきしょう] /(n) abnormal weather/
異常血色素症 [いじょうけっしきそしょう] /(n) hemoglobinopathy/
異常光線 [いじょうこうせん] /(n) extraordinary ray/
異常行動 [いじょうこうどう] /(n) abnormal behavior (behaviour)/
異常高温 [いじょうこうおん] /(n) abnormally high temperatures/
異常者 [いじょうしゃ] /(n) deviant/deviate/pervert/
異常終了 [いじょうしゅうりょう] /(n) abnormal termination (e.g. of a program)/ABnormal END/ABEND/
異常状態 [いじょうじょうたい] /(n) (comp) anomalous condition/
異常心理学 [いじょうしんりがく] /(n) abnormal psychology/
異常震域 [いじょうしんいき] /(n) region of anomalous seismic intensity/
異常性 [いじょうせい] /(n) abnormality/
異常性欲 [いじょうせいよく] /(n) sexual abnormality/
異常切断 [いじょうせつだん] /(n) (comp) abnormal termination (of a call, e.g.)/
異常妊娠 [いじょうにんしん] /(n) abnormal pregnancy/
異常発生 [いじょうはっせい] /(n,adj-no) plague/
異常分娩 [いじょうぶんべん] /(n) abnormal delivery/
異状 [いじょう] /(n) something wrong/accident/change/abnormality/aberration/(P)/
異色 [いしょく] /(adj-na,n) unique/different color/different colour/novelty/(P)/
異食症 [いしょくしょう] /(n) allotriophagy/pica/
異心 [いしん] /(n) treachery/intrigue/
異人 [いじん] /(n) foreigner/different person/
異人館 [いじんかん] /(n) Western style residences built mostly for early foreign settlers during the end of the Shogunate and the Meiji era/
異人種 [いじんしゅ] /(n) alien (different) race/
異図 [いと] /(n) treasonable intent/
異数 [いすう] /(n,adj-no) unusual/exceptional/phenomenal/
異数性 [いすうせい] /(n) heteroploidy/
異数体 [いすうたい] /(n) heteroploid/
異世界 [いせかい] /(n) parallel universe (e.g. in SF)/
異世代 [いせだい] /(adj-f) intergenerational/of different generations/
異世代間 [いせだいかん] /(adj-f) intergenerational/
異姓 [いせい] /(n) different surname/different family name/
異性 [いせい] /(n,adj-no) the opposite sex/(P)/
異性愛 [いせいあい] /(n,adj-no) heterosexual love/heterosexuality/
異性愛者 [いせいあいしゃ] /(n) heterosexual/
異性化 [いせいか] /(n,vs) isomerization/isomerisation/
異性化酵素 [いせいかこうそ] /(n) isomerase/
異性化糖 [いせいかとう] /(n) isomerized sugar/high fructose corn syrup/
異性関係 [いせいかんけい] /(n) relationships with the opposite sex/
異性体 [いせいたい] /(adj-na,n) isomer/isomeric/
異星人 [いせいじん] /(n) alien (from another planet)/
異説 [いせつ] /(n,adj-no) different opinion/
異洗浄 [いせんじょう] /(iK) (n,vs) stomach pumping/gastric irrigation/gastric lavage/gastric suction/gastrolavage/
異装 [いそう] /(n) unusual clothing/strange way of dressing up/prohibited form of dress/
異存 [いぞん] /(n) objection/
異存がない [いぞんがない] /(adj-i) nothing to say/have no objection/
異体 [いたい] /(n) different body/
異体字 [いたいじ] /(n) kanji variants/
異体同心 [いたいどうしん] /(n) being of one mind/acting in one accord/behaving in perfect harmony/
異体文字 [いたいもじ] /(n) variant characters (usu. kanji or kana)/
異端 [いたん] /(n,adj-no) heresy/(P)/
異端視 [いたんし] /(n,vs) heresy/
異端児 [いたんじ] /(n) nonconformist/dissenter/maverick/enfant terrible/
異端者 [いたんしゃ] /(n) heretic/
異端邪説 [いたんじゃせつ] /(n) heretical doctrine (thought, faith)/
異端審問 [いたんしんもん] /(n) the Inquisition/
異朝 [いちょう] /(n) foreign court/foreign country/
異動 [いどう] /(n,vs) change/(P)/
異同 [いどう] /(n) difference/
異能 [いのう] /(n) unusual power/superpower/ability beyond that of humans/
異派 [いは] /(n) different school (e.g. of ikebana)/
異父 [いふ] /(n) different father/
異父兄弟 [いふきょうだい] /(n) half-sibling (with a different father)/
異風 [いふう] /(n) unusual customs/
異腹 [いふく] /(n) child of a different mother/
異物 [いぶつ] /(n,pref) foreign substance/foreign body/xeno/(P)/
異分子 [いぶんし] /(n) outsider/alien elements/
異文 [いぶん] /(n) strange tale/another story/variant (reading)/strange report or tale/(P)/
異文化 [いぶんか] /(n,adj-no) foreign culture/foreign cultures/
異聞 [いぶん] /(n) strange tale/another story/variant (reading)/strange report or tale/
異聞奇譚 [いぶんきたん] /(n) strange stories and curious tales/
異変 [いへん] /(n,adj-no) unusual phenomenon/unusual event/abnormal event/accident/(P)/
異母 [いぼ] /(n) different mother/
異母兄弟 [いぼきょうだい] /(n) half-sibling (with a different mother)/
異方 [いほう] /(adj-f) anisotropic/
異方性 [いほうせい] /(adj-na,n) anisotropy/
異方性度 [いほうせいど] /(n) fractional anisotropy/
異方導電フィルム [いほうどうでんフィルム] /(n) oriented conduction film/
異方導電膜 [いほうどうでんまく] /(n) oriented conduction film/
異邦 [いほう] /(n) foreign country/
異邦人 [いほうじん] /(n) foreigner/stranger/gentile/
異本 [いほん] /(n) different edition/another book/strange book/
異民族 [いみんぞく] /(n) different race (people)/
異名 [いみょう] /(n,adj-no) another name/nickname/alias/(P)/
異名 [いめい] /(n,adj-no) another name/nickname/alias/
異名同音 [いめいどうおん] /(n) enharmonic/
異様 [いよう] /(adj-na,n) bizarre/strange/eccentric/odd/queer/(P)/
異類 [いるい] /(n) varieties/different kinds/
異類異形 [いるいいぎょう] /(n) strange-looking creatures/spirits and goblins/
異例 [いれい] /(adj-na,n,adj-no) exception/illness/singular/exceptional/unprecedented/(P)/
異論 [いろん] /(n) different opinion/objection/(P)/
異和感 [いわかん] /(n) (1) uncomfortable feeling/feeling out of place/sense of discomfort/(2) malaise/physical unease/
異翅類 [いしるい] /(n) heteropterans (true bugs of suborder Heteroptera)/
移し替える [うつしかえる] /(v1) to shift (move) (an object) to (into)/
移す [うつす] /(v5s,vt) (1) to change/to swap/to substitute/to transfer/(2) to change the object of one's interest or focus/(3) to spend or take time/(4) to infect/(5) to permeate something with the smell or colour of something/(6) to move on to the next or different stage of (a plan, etc.)/(P)/
移り [うつり] /(n) change/transition/return present/
移りゆく [うつりゆく] /(v5k-s,vi) to change/to shift/to come and go/
移り気 [うつりぎ] /(adj-na,n) whim/frivolity/fickleness/inconstant/capriciousness/
移り行く [うつりゆく] /(v5k-s,vi) to change/to shift/to come and go/
移り香 [うつりが] /(n) lingering scent/
移り住む [うつりすむ] /(v5m) to change one's place of residence/to move house/
移り箸 [うつりばし] /(n) using one's chopsticks to jump from side dish to side dish without pausing to eat rice in between (a breach of etiquette)/
移り変り [うつりかわり] /(n) change (e.g. season)/
移り変る [うつりかわる] /(v5r) to change/
移り変わり [うつりかわり] /(n) change (e.g. season)/(P)/
移り変わる [うつりかわる] /(v5r) to change/
移る [うつる] /(v5r,vi) (1) to move (house)/to transfer (department)/(2) to change the target of interest or concern/(3) to elapse (passage of time)/(4) to be permeated by a colour or scent/(5) to be infected/to be contagious/to spread (as in fire)/(P)/
移ろい [うつろい] /(n) (1) change/changing/vicissitudes/(2) fading/waning/
移ろう [うつろう] /(v5u,vi) to change/to fade/
移管 [いかん] /(n,vs) transfer of control/(P)/
移記 [いき] /(n,vs) transfer to the records/transcription to a special document/
移行 [いこう] /(n,vs) switching over to/migration/transition/(P)/
移行期 [いこうき] /(n) (comp) transition, cutover period/
移行期間 [いこうきかん] /(n) period of transition (e.g. from old to new system)/
移行計画 [いこうけいかく] /(n) transition plan/
移行性 [いこうせい] /(n,adj-na) (1) portability/upgradability/upwards compatibility/(2) transitional/
移項 [いこう] /(n,vs) transposition/
移住 [いじゅう] /(n,vs,adj-no) migration/immigration/(P)/
移住者 [いじゅうしゃ] /(n) emigrant/immigrant/
移住民 [いじゅうみん] /(n) immigrant/emigrant/
移出 [いしゅつ] /(n,vs) export/shipping out/
移乗 [いじょう] /(n,vs) transferring (to another ship, etc.)/
移譲 [いじょう] /(n,vs) transfer/assignment/(P)/
移植 [いしょく] /(n,vs) transplanting/porting/implantation/engrafting/(P)/
移植ごて [いしょくごて] /(n) small shovel or trowel used in gardening/
移植コーディネーター [いしょくコーディネーター] /(n) transplant coordinator/
移植可能性 [いしょくかのうせい] /(n) (comp) (code) portability/
移植手術 [いしょくしゅじゅつ] /(n) transplant surgery/
移植性 [いしょくせい] /(n) portability/
移植臓器 [いしょくぞうき] /(n) replacement organ/
移植片 [いしょくへん] /(n) graft/transplant/implant/
移植免疫 [いしょくめんえき] /(n) transplantation immunity/
移植鏝 [いしょくごて] /(n) small shovel or trowel used in gardening/
移籍 [いせき] /(n,vs) changing household registry/transfer (e.g. of one's name in the register)/(P)/
移設 [いせつ] /(n) (1) relocation (of a facility)/moving establishment/(vs) (2) to relocate/to move into place/to put into place/to adapt/to affix/to install/
移設用 [いせつよう] /(n) adaptor/
移送 [いそう] /(n,vs) transfer/transport/removal/(P)/
移築 [いちく] /(n,vs) dismantling an historic building and reconstructing it elsewhere/
移着 [いちゃく] /(n,vs) adhering or embedding of wear debris in the opposing surface/
移駐 [いちゅう] /(n,vs) moving/transferring/
移牒 [いちょう] /(n,vs) notification to authorities/
移調 [いちょう] /(n,vs) (musical) transposition/
移転 [いてん] /(n,vs) moving/transfer/demise/(P)/
移転価格 [いてんかかく] /(n) transfer price/
移転支出 [いてんししゅつ] /(n) transfer payment/
移転収支 [いてんしゅうし] /(n) balance of transfer account/
移転所得 [いてんしょとく] /(n) transfer income/
移転先 [いてんさき] /(n) one's new address/
移動 [いどう] /(n,vs) (1) removal/migration/movement/(2) mobile (e.g. communications)/(P)/
移動加入者識別番号 [いどうかにゅうしゃしきべつばんごう] /(n) International Mobile Subscriber Identity/IMSI/
移動局 [いどうきょく] /(n) (comp) mobile terminal/
移動受信 [いどうじゅしん] /(n) (comp) mobile reception (of a signal)/
移動図書館 [いどうとしょかん] /(n) mobile library/bookmobile/
移動性高気圧 [いどうせいこうきあつ] /(n) migratory anticyclone/
移動性盲腸 [いどうせいもうちょう] /(n) mobile cecum/
移動体 [いどうたい] /(n) moving body/
移動体通信 [いどうたいつうしん] /(n) mobile communications/cellular communications/
移動大使 [いどうたいし] /(n) roving ambassador/
移動端末 [いどうたんまつ] /(n) (comp) mobile station/MS/
移動通信 [いどうつうしん] /(n) mobile communications/
移動電話 [いどうでんわ] /(n) mobile phone/wireless phone/
移動不可データセット [いどうふかデータセット] /(n) (comp) unmovable data set/
移動平均 [いどうへいきん] /(n) moving average/(P)/
移動量係数 [いどうりょうけいすう] /(adv) distance coefficient/
移動労働者 [いどうろうどうしゃ] /(n) itinerant laborer/migrant worker/
移入 [いにゅう] /(n,vs) importation/ingression/migration/transfection/
移封 [いほう] /(n,vs) forced relocation of a daimyo to a different domain by the Edo shogunate/
移民 [いみん] /(n,vs,adj-no) (1) (sens) emigration/immigration/(2) emigrant/immigrant/(P)/
移民局 [いみんきょく] /(n) immigration office/
移民政策 [いみんせいさく] /(n) immigration policy/
移民法 [いみんほう] /(n) immigration law/
移民労働者 [いみんろうどうしゃ] /(n) immigrant worker/
移流 [いりゅう] /(n) advection/
維 [これ] /(pn) (1) (uk) this (indicating an item near the speaker, the action of the speaker, or the current topic)/(2) (hum) this person (usu. indicating someone in one's in-group)/(3) now/(4) (arch) here/(5) (arch) I (me)/(6) (arch) certainly/
維管束 [いかんそく] /(n) fibrovascular bundle/
維管束形成層 [いかんそくけいせいそう] /(n) vascular cambium/wood cambium/
維管束植物 [いかんそくしょくぶつ] /(n) vascular plant/
維吾爾 [ういぐる] /(n) (uk) Uighur (Turkic people and language in NW China)/Uygur/
維持 [いじ] /(n,vs) maintenance/preservation/improvement/(P)/
維持可能スループット [いじかのうスループット] /(n) (comp) sustainable throughput/
維持可能セル速度 [いじかのうセルそくど] /(n) (comp) sustainable cell rate/SCR/
維持費 [いじひ] /(n) maintenance costs/
維新 [いしん] /(n) restoration (e.g. Meiji)/reformation/revolution/(P)/
維那 [いな] /(n) (Buddh) one of the six administrators of a Zen temple (in charge of general affairs)/
維那 [いの] /(n) (Buddh) one of the six administrators of a Zen temple (in charge of general affairs)/
維摩経 [ゆいまきょう] /(n) Vimalakirti Sutra/
緯 [よこいと] /(n) weft/woof (crosswise threads on a loom)/
緯糸 [ぬきいと] /(n) weft/woof (crosswise threads on a loom)/
緯糸 [よこいと] /(n) weft/woof (crosswise threads on a loom)/
緯書 [いしょ] /(n) book of omens appended to Confucian Chinese classics/
緯線 [いせん] /(n) parallel/
緯度 [いど] /(n,adj-no) latitude (nav.)/(P)/
緯度観測所 [いどかんそくじょ] /(n) latitude observatory/
緯度変化 [いどへんか] /(n,vs) latitude variation/
胃 [い] /(n) (1) stomach/(2) Chinese "stomach" constellation (one of the 28 mansions)/(P)/
胃の腑 [いのふ] /(n) stomach/
胃アトニー [いアトニー] /(n) gastric atony/
胃カタル [いカタル] /(n) gastric catarrh/
胃カメラ [いカメラ] /(n) endoscope/gastrocamera/
胃ポリープ [いポリープ] /(n) gastric polyp/
胃液 [いえき] /(n) gastric juice/
胃炎 [いえん] /(n) gastritis/gastric catarrh/
胃下垂 [いかすい] /(n) gastroptosis/
胃拡張 [いかくちょう] /(n) gastric dilation/dilation of stomach/
胃管 [いかん] /(n) stomach tube/nasogastric tube/
胃癌 [いがん] /(n) stomach cancer/
胃鏡 [いきょう] /(n) gastroscope/
胃散 [いさん] /(n) stomach medicine/
胃酸 [いさん] /(n) stomach acid/gastric acid/
胃酸過多症 [いさんかたしょう] /(n) gastric hyperacidity/
胃酸欠乏症 [いさんけつぼうしょう] /(n) gastric achlorhydria/
胃弱 [いじゃく] /(n,adj-no) dyspepsia/indigestion/weak digestion/
胃宿 [えきえぼし] /(n) Chinese "stomach" constellation (one of the 28 mansions)/
胃水管系 [いすいかんけい] /(n) gastrovascular system/
胃石 [いせき] /(n) gastrolith/
胃洗浄 [いせんじょう] /(n,vs) stomach pumping/gastric irrigation/gastric lavage/gastric suction/gastrolavage/
胃洗浄器 [いせんじょうき] /(n) stomach pump/
胃穿孔 [いせんこう] /(n) perforation of stomach ulcer/
胃腺 [いせん] /(n) gastric gland/
胃袋 [いぶくろ] /(n) (1) stomach/breadbasket/inner man/(2) dietary needs/(P)/
胃腸 [いちょう] /(adj-na,n,adj-no) stomach/gastrointestine/(P)/
胃腸炎 [いちょうえん] /(n) gastroenteritis/
胃腸神経症 [いちょうしんけいしょう] /(n) gastrointestinal neurosis/
胃腸炭疽 [いちょうたんそ] /(n) gastrointestinal anthrax/
胃腸病 [いちょうびょう] /(n) gastrointestinal disorder/
胃腸病学 [いちょうびょうがく] /(n) gastroenterology/
胃腸薬 [いちょうやく] /(n) digestive medicine/medicine for the stomach and bowels/
胃痛 [いつう] /(n) stomach-ache/stomach pain/gastralgia/
胃潰瘍 [いかいよう] /(n) stomach ulcer/
胃嚢 [いぶくろ] /(iK) (n) (1) stomach/breadbasket/inner man/(2) dietary needs/
胃病 [いびょう] /(n,adj-no) stomach trouble/
胃壁 [いへき] /(n) stomach lining/gastric wall/
胃薬 [いぐすり] /(n) stomach medicine/
胃痙攣 [いけいれん] /(n) stomach cramps/
胃瘻 [いろう] /(n) gastric fistula/
萎える [なえる] /(v1,vi) to wither/to droop/to be lame/
萎びる [しなびる] /(v1,vi) to wilt/to fade/
萎む [しぼむ] /(v5m,vi) to wither/to fade (away)/to shrivel/to wilt/(P)/
萎ゆ竹 [なゆたけ] /(n) (1) (uk) (obsc) Simon bamboo (Pleioblastus simonii)/(2) any thin, but flexible bamboo/
萎れる [しおれる] /(v1,vi) to wither/(P)/
萎黄病 [いおうびょう] /(n) chlorosis/greensickness/
萎縮 [いしゅく] /(adj-na,n,vs) withering/atrophy/contraction/dwarf/(P)/
萎縮症 [いしゅくしょう] /(n) atrophy/
萎縮腎 [いしゅくじん] /(n) contracted kidney/
萎縮性鼻炎 [いしゅくせいびえん] /(n) atrophic rhinitis/
萎縮病 [いしゅくびょう] /(n) dwarfism (of plants)/
萎靡 [いび] /(n,vs) decline/decay/
衣 [きぬ] /(n) (arch) clothing/
衣 [ころも] /(n) (1) clothes/garment/(2) gown/robe/(3) coating (e.g. glaze, batter, icing)/(P)/
衣々 [きぬぎぬ] /(n) (1) (arch) the morning after a couple have slept together/parting ways the morning after having slept together/
衣し [かくし] /(n) pocket/
衣衣 [きぬぎぬ] /(n) (1) (arch) the morning after a couple have slept together/parting ways the morning after having slept together/
衣架 [いか] /(n) clothes rack/
衣蛾 [いが] /(n) (uk) Tinea translucens (species of clothes moth)/
衣冠 [いかん] /(n) kimono and ancient head-dress/
衣冠束帯 [いかんそくたい] /(n) full Japanese court dress of traditional fashion/
衣許りで和尚は出来ぬ [ころもばかりでおしょうはできぬ] /(exp) (id) The cowl does not make the monk/
衣魚 [しみ] /(gikun) (n) (1) (uk) true bristletail (any insect of order Thysanura, esp. of family Lepismatidae)/(2) oriental silverfish (Ctenolepisma villosa)/(3) (derog) someone who is unable to apply what they have read/
衣魚虫 [しみむし] /(n) (obsc) true bristletail (any insect of order Thysanura, esp. of family Lepismatidae)/
衣桁 [いこう] /(n) clothes rack/
衣更え [ころもがえ] /(n,vs) (1) seasonal change of clothing/changing (one's) dress for the season/(2) renovation/facelift/changing appearance/
衣更着 [きさらぎ] /(n) (obs) second month of the lunar calendar/
衣更着 [きぬさらぎ] /(n) (obs) second month of the lunar calendar/
衣香 [いこう] /(n) perfume on the clothing/
衣擦れ [きぬずれ] /(n) rustling of clothes/
衣手 [ころもで] /(n) sleeve/
衣裳 [いしょう] /(n) clothing/costume/outfit/garment/dress/
衣食 [いしょく] /(n) (1) food and clothing/livelihood/living/(vs) (2) to feed and clothe/
衣食住 [いしょくじゅう] /(n) necessities of life (food, clothing & shelter)/(P)/
衣食足りて礼節を知る [いしょくたりてれいせつをしる] /(exp) the poor can't afford manners/only when basic needs for living are met can people spare the effort to be polite/
衣摺れ [きぬずれ] /(n) rustling of clothes/
衣装 [いしょう] /(n) clothing/costume/outfit/garment/dress/(P)/
衣装合せ [いしょうあわせ] /(n) costume fitting/
衣装箪笥 [いしょうだんす] /(n) wardrobe/
衣装道楽 [いしょうどうらく] /(n) love of fine clothing/weakness for fine clothes/being extravagant in clothing/
衣装方 [いしょうかた] /(n) dresser/
衣帯 [いたい] /(n) clothes and obi/full court dress/
衣替え [ころもがえ] /(n,vs) (1) seasonal change of clothing/changing (one's) dress for the season/(2) renovation/facelift/changing appearance/(P)/
衣嚢 [いのう] /(n) pocket/
衣嚢 [かくし] /(n) pocket/
衣鉢 [いはつ] /(n) (1) mysteries of one's master's art/(2) (Buddh) robes and a bowl (monk's key possessions auctioned off at his funeral)/transmission of the dharma from master to disciple (in Zen)/
衣鉢 [えはち] /(n) (1) mysteries of one's master's art/(2) (Buddh) robes and a bowl (monk's key possessions auctioned off at his funeral)/transmission of the dharma from master to disciple (in Zen)/
衣鉢 [えはつ] /(n) (1) mysteries of one's master's art/(2) (Buddh) robes and a bowl (monk's key possessions auctioned off at his funeral)/transmission of the dharma from master to disciple (in Zen)/
衣服 [いふく] /(n) clothes/(P)/
衣偏 [ころもへん] /(n) kanji "clothes" radical at left/
衣紋 [えもん] /(n) dress/clothes/drapery/
衣紋掛 [えもんかけ] /(n) rack or hanger for hanging kimono, coats, etc./
衣紋掛け [えもんかけ] /(n) rack or hanger for hanging kimono, coats, etc./
衣蘭 [いらん] /(n) (uk) Iran/
衣蘭 [きぬらん] /(n) (uk) lawn orchid/soldier's orchid (Zeuxine strateumatica)/
衣料 [いりょう] /(n) clothing/(P)/
衣料品 [いりょうひん] /(n) clothing goods/(P)/
衣料品店 [いりょうひんてん] /(n) clothing store/
衣糧 [いりょう] /(n) food and clothing/
衣類 [いるい] /(n,adj-no) clothes/clothing/garments/(P)/
衣虱 [ころもじらみ] /(n) (uk) body louse (Pediculus humanus humanus)/body lice/
謂う [いう] /(v5u) (1) to say/(2) to call (i.e. to give a name)/
謂う [ゆう] /(v5u) (1) to say/(2) to call (i.e. to give a name)/
謂う所の [いうところの] /(exp) what is called/as it is called/the so-called/known as/so to speak/
謂れ [いわれ] /(n) reason/origin/(oral) history/
謂れない [いわれない] /(adj-i) (uk) unjustified/unwarranted/unfounded/baseless/groundless/
謂れのない [いわれのない] /(n) unjustified/unwarranted/unfounded/baseless/groundless/
謂れ因縁 [いわれいんねん] /(n) origin/history/
謂れ無い [いわれない] /(adj-i) (uk) unjustified/unwarranted/unfounded/baseless/groundless/
謂わば [いわば] /(adv) so to speak/so to call it/as it were/
謂われ [いわれ] /(n) reason/origin/(oral) history/
違い [ちがい] /(n,n-suf) difference/discrepancy/(P)/
違いない [ちがいない] /(exp,adj-i) (phrase) sure/no mistaking it/for certain/(P)/
違いめ [たがいめ] /(n) point of difference/
違いめ [ちがいめ] /(n) point of difference/
違い棚 [ちがいだな] /(n) set of staggered shelves/
違い箸 [ちがいばし] /(n) using two different chopsticks together (a breach of etiquette)/
違い無い [ちがいない] /(exp,adj-i) (phrase) sure/no mistaking it/for certain/
違い目 [たがいめ] /(n) point of difference/
違い目 [ちがいめ] /(n) point of difference/
違う [たがう] /(v5u,vi) (1) to differ/to be different/(2) to run counter to/(3) to change (into something out of the ordinary)/
違う [ちがう] /(v5u,vi) (1) to differ (from)/to vary/(2) to not be in the usual condition/(3) to not match the correct (answer, etc.)/(4) to be different from promised/(P)/
違える [たがえる] /(v1,vt) (1) to break one's word/(2) to be unpunctual/
違える [ちがえる] /(v1,vt) (1) to change/to alter/(2) to mistake/to make a mistake/(3) to fail to keep (e.g. one's promise)/(4) to dislocate (e.g. one's neck)/
違警罪 [いけいざい] /(n) (relatively minor) offense against police regulations (offence)/
違憲 [いけん] /(n) unconstitutionality/(P)/
違憲性 [いけんせい] /(n) unconstitutionality/
違憲立法審査権 [いけんりっぽうしんさけん] /(n) judicial review/
違算 [いさん] /(n) miscalculation/
違式 [いしき] /(n) informality/breach of etiquette/
違心 [いしん] /(n) treacherous designs/
違棚 [ちがいだな] /(n) set of staggered shelves/
違勅 [いちょく] /(n) disobeying the emperor's order/
違背 [いはい] /(n,vs) violation/transgression/
違反 [いはん] /(n,vs) violation (of law)/transgression/infringement/breach/(P)/
違反者 [いはんしゃ] /(n) violator (of a law)/
違犯 [いはん] /(n,vs) violation (of law)/transgression/infringement/breach/
違犯行為 [いはんこうい] /(n) violation/offense/offence/
違犯者 [いはんしゃ] /(n) violator/offender/
違法 [いほう] /(adj-na,n,adj-no) illegal/illegality/invalid/unlawfulness/(P)/
違法コピー [いほうコピー] /(n) (comp) illegal copy/pirate copy/
違法行為 [いほうこうい] /(n) illegal act/
違法者 [いほうしゃ] /(n) lawbreaker/
違法所持 [いほうしょじ] /(n) illegal possession/unlawful possession/
違法性 [いほうせい] /(n) illegality/
違法性阻却事由 [いほうせいそきゃくじゆう] /(n) justifiable cause for noncompliance with the law/
違法薬物 [いほうやくぶつ] /(n) illegal drug/
違命 [いめい] /(n,vs) disobedience/
違約 [いやく] /(n,vs) breach of contract/default/
違約金 [いやくきん] /(n) penalty for contract breach/
違約金条項 [いやくきんじょうこう] /(n) penalty clause/breach of contract clause/
違令 [いれい] /(n) violation of law/
違例 [いれい] /(n) unconventionality/
違和 [いわ] /(n) physical disorder/
違和感 [いわかん] /(n) (1) uncomfortable feeling/feeling out of place/sense of discomfort/(2) malaise/physical unease/(P)/
遺す [のこす] /(v5s,vt) to leave (behind, over)/to bequeath/to save/to reserve/
遺る [のこる] /(v5r,vi) to remain/to be left/
遺愛 [いあい] /(n) bequest/relic/
遺影 [いえい] /(n) portrait of deceased person/(P)/
遺詠 [いえい] /(n) posthumous song or poem/
遺家族 [いかぞく] /(n) bereaved family/
遺戒 [いかい] /(n) one's last caution/
遺灰 [いはい] /(n) ashes (of the deceased)/remains from cremation/
遺骸 [いがい] /(n) remains/corpse/
遺憾 [いかん] /(adj-na,n) regrettable/unsatisfactory/(P)/
遺憾なく [いかんなく] /(adv) amply/sufficiently/fully/completely/all out/
遺憾に堪えない [いかんにたえない] /(exp,adj-i) really regrettable/
遺憾千万 [いかんせんばん] /(adj-na) highly regrettable/utterly deplorable/
遺憾無く [いかんなく] /(adv) amply/sufficiently/fully/completely/all out/
遺棄 [いき] /(n,vs) abandonment/desertion/relinquishment/(P)/
遺棄貨物 [いきかもつ] /(n) abandoned goods/
遺棄罪 [いきざい] /(n) abandonment/
遺業 [いぎょう] /(n) work left at death/
遺訓 [いくん] /(n) dying instructions/
遺賢 [いけん] /(n) able men left out of office/
遺言 [いげん] /(n,vs) will/testament/last request/
遺言 [いごん] /(n,vs) will/testament/last request/
遺言 [ゆいごん] /(n,vs) will/testament/last request/(P)/
遺言執行者 [ゆいごんしっこうしゃ] /(n) executor/
遺言者 [ゆいごんしゃ] /(n) testator/
遺言書 [ゆいごんしょ] /(n) testament/
遺言証書 [いごんしょうしょ] /(n) testamentary document/
遺言状 [ゆいごんじょう] /(n) will/testament/
遺言信託 [ゆいごんしんたく] /(n) testamentary trust/
遺言補足書 [ゆいごんほそくしょ] /(n) codicil/
遺孤 [いこ] /(n) orphan/
遺功 [いこう] /(n) works following the deceased/
遺構 [いこう] /(n) remains/(P)/
遺稿 [いこう] /(n) posthumous manuscripts/
遺香 [いこう] /(n) lingering odor of giver (clothes, etc.) (odour)/
遺告 [ゆいごう] /(n) will/testament/
遺骨 [いこつ] /(n) remains/ashes of deceased/(P)/
遺恨 [いこん] /(n) grudge/ill will/enmity/(P)/
遺恨十年 [いこんじゅうねん] /(n,adv) grudge of ten years' standing/harbouring a grudge for many years/
遺財 [いざい] /(n) bequest/inheritance/
遺作 [いさく] /(n) posthumous works/(P)/
遺産 [いさん] /(n) inheritance/bequest/legacy/heritage/(P)/
遺産管理 [いさんかんり] /(n) administration of an estate/
遺産管理人 [いさんかんりにん] /(n) administrator of an estate/
遺産税 [いさんぜい] /(n) inheritance tax/estate duty/
遺産相続 [いさんそうぞく] /(n) inheritance/succession to property/
遺産相続人 [いさんそうぞくにん] /(n) heir/heiress/inheritor/
遺産相続税 [いさんそうぞくぜい] /(n) inheritance tax/
遺子 [いし] /(n) (arch) orphan/
遺志 [いし] /(n) dying wish/(P)/
遺事 [いじ] /(n) reminiscences/memories/
遺児 [いじ] /(n) orphan/(P)/
遺失 [いしつ] /(n,vs) loss/
遺失者 [いしつしゃ] /(n) owner of a lost article/
遺失品 [いしつひん] /(n) lost article/
遺失物 [いしつぶつ] /(n) lost article/(P)/
遺失物取り扱い所 [いしつぶつとりあつかいじょ] /(n) lost and found office/
遺習 [いしゅう] /(n) old customs/
遺臭 [いしゅう] /(n) scent (of an animal while hunting)/
遺集 [いしゅう] /(n) collection of writings by the deceased/
遺書 [いしょ] /(n) will/testament/testamentary letter/(P)/
遺臣 [いしん] /(n) surviving retainer/
遺制 [いせい] /(n) institutions bequeathed from the past/
遺精 [いせい] /(n,vs) nocturnal emissions (of semen)/oneirogmus/
遺跡 [いせき] /(n) historic ruins (remains, relics)/(P)/
遺蹟 [いせき] /(n) historic ruins (remains, relics)/
遺草 [いそう] /(n) posthumous works/
遺贈 [いぞう] /(n,vs) bequest/legacy/
遺贈分 [いぞうぶん] /(n) legal portion/
遺族 [いぞく] /(n) bereaved family/(P)/
遺族給付 [いぞくきゅうふ] /(n) survivor's benefit/
遺族年金 [いぞくねんきん] /(n) survivor's pension or annuity/
遺族扶助 [いぞくふじょ] /(n) survivor's benefit/
遺族補償 [いぞくほしょう] /(n) compensation to the bereaved family/
遺存種 [いぞんしゅ] /(n) relict/
遺体 [いたい] /(n) corpse/remains/(P)/
遺体安置所 [いたいあんちしょ] /(n) morgue/
遺体袋 [いたいぶくろ] /(n) body bag/
遺脱 [いだつ] /(n,vs) omission/
遺著 [いちょ] /(n) posthumous work/
遺伝 [いでん] /(adj-na,n,vs,adj-no) heredity/inherent/(P)/
遺伝暗号 [いでんあんごう] /(n) genetic code/
遺伝因子 [いでんいんし] /(n) gene/genetic factor/genetic element/
遺伝因子組替え [いでんいんしくみかえ] /(n) recombinant gene splicing/
遺伝学 [いでんがく] /(n) genetics/study of heredity/
遺伝学者 [いでんがくしゃ] /(n) geneticist/
遺伝子 [いでんし] /(n) (1) gene/(adj-f,adj-no) (2) genetic/(P)/
遺伝子ターゲッティング [いでんしターゲッティング] /(n) gene targeting/
遺伝子バンク [いでんしバンク] /(n) gene bank/
遺伝子プール [いでんしプール] /(n) gene pool/
遺伝子ライブラリー [いでんしライブラリー] /(n) gene library/
遺伝子給源 [いでんしきゅうげん] /(n) (obsc) gene pool/
遺伝子銀行 [いでんしぎんこう] /(n) (obsc) gene bank/
遺伝子型 [いでんしがた] /(n,adj-no) genotype/
遺伝子研究 [いでんしけんきゅう] /(n) genetic research/
遺伝子工学 [いでんしこうがく] /(n) genetic engineering/
遺伝子座 [いでんしざ] /(n) genetic locus/
遺伝子資源 [いでんししげん] /(n) gene resource/
遺伝子治療 [いでんしちりょう] /(n) gene therapy/
遺伝子疾患 [いでんししっかん] /(n) genetic disorder/
遺伝子重複 [いでんしじゅうふく] /(n) gene duplication/
遺伝子診断 [いでんししんだん] /(n) genetic diagnosis/
遺伝子組み換え [いでんしくみかえ] /(n) gene recombination/
遺伝子組み換え作物 [いでんしくみかえさくもつ] /(n) genetically-modified crop/genetically-engineered crop/transgenic crop/GM crop/
遺伝子組換え [いでんしくみかえ] /(n) gene recombination/
遺伝子操作 [いでんしそうさ] /(n) gene manipulation/
遺伝子多型 [いでんしたがた] /(n) polymorphisms/
遺伝子突然変異 [いでんしとつぜんへんい] /(n) gene mutation/
遺伝子発現 [いでんしはつげん] /(n) gene expression/
遺伝子流動 [いでんしりゅうどう] /(n) gene flow/
遺伝子療法 [いでんしりょうほう] /(n) gene therapy/
遺伝資源へのアクセスと利益配分 [いでんしげんへのアクセスとりえきはいぶん] /(n) access to genetic resources and benefit sharing/Access and Benefit-Sharing/ABS/
遺伝情報 [いでんじょうほう] /(n) genetic information/
遺伝性 [いでんせい] /(adj-na,n) inheritable character/inheritable/hereditary/inherited/
遺伝性疾患 [いでんせいしっかん] /(n) hereditary disease/hereditary disorder/
遺伝相談 [いでんそうだん] /(n) genetic counseling/genetic counselling/
遺伝地図 [いでんちず] /(n) genetic map/
遺伝的 [いでんてき] /(adj-na) genetic/hereditary/
遺伝的アルゴリズム [いでんてきアルゴリズム] /(n) (comp) genetic algorithm/GA/
遺伝的多型 [いでんてきたけい] /(n) genetic polymorphism/
遺伝的浮動 [いでんてきふどう] /(n) genetic drift/
遺伝病 [いでんびょう] /(n) hereditary (genetic) disease/
遺伝法 [いでんほう] /(n) laws of heredity/
遺徳 [いとく] /(n) benefit from ancestors' virtue/
遺尿 [いにょう] /(n) enuresis/bed wetting/
遺髪 [いはつ] /(n) hair of the deceased/
遺筆 [いひつ] /(n) writing left by the deceased/
遺品 [いひん] /(n) articles of the deceased/(P)/
遺風 [いふう] /(n) tradition/hereditary custom/
遺物 [いぶつ] /(n) relic/momento/(P)/
遺文 [いぶん] /(n) literary remains/
遺芳 [いほう] /(n) memory or autograph of deceased/
遺墨 [いぼく] /(n) autographs (brushwork) of departed person/
遺命 [いめい] /(n,vs) will/dying instructions/
遺留 [いりゅう] /(n,vs) bequest/
遺留品 [いりゅうひん] /(n) lost articles/
遺留分 [いりゅうぶん] /(n) heir's distributive share/
遺漏 [いろう] /(n,vs) omission/
遺漏なく [いろうなく] /(adv) complete/without omission/
遺址 [いし] /(n) (historic) ruins/
遺誡 [いかい] /(n) one's last caution/
医 [い] /(n,n-suf) medicine/the healing art/healing/curing/doctor/(P)/
医 [くすし] /(n) (arch) doctor/
医する [いする] /(vs-s,vt) (arch) to cure/to heal/
医員 [いいん] /(n) medical staff/doctor/
医院 [いいん] /(n) doctor's office (surgery)/clinic/dispensary/(P)/
医院長 [いいんちょう] /(n) head doctor/
医化学 [いかがく] /(n) medical chemistry/
医家 [いか] /(n) doctor/
医科 [いか] /(n) medical science/medical department/(P)/
医科学 [いかがく] /(n) medical college/(P)/
医科研 [いかけん] /(n) Institute for Medical Sciences/
医科歯科 [いかしか] /(n) medical and dental college/
医科大学 [いかだいがく] /(n) medical school/
医会 [いかい] /(n) medical society/
医界 [いかい] /(n) medical world/
医学 [いがく] /(n) medical science/medicine/(P)/
医学の祖 [いがくのそ] /(n) founder of medical science/
医学界 [いがくかい] /(n) medical world/
医学技術士 [いがくぎじゅつし] /(n) medical technician/
医学雑誌 [いがくざっし] /(n) medical journal/
医学史 [いがくし] /(n) history of medicine/
医学士 [いがくし] /(n) Bachelor of Medicine/MB/
医学者 [いがくしゃ] /(n) medical scientist/
医学書 [いがくしょ] /(n) medical book/medical journal/
医学生 [いがくせい] /(n) medical student/
医学生物学 [いがくせいぶつがく] /(n) medical biology/
医学博士 [いがくはかせ] /(n) MD/Doctor of Medicine/
医学博士 [いがくはくし] /(n) MD/Doctor of Medicine/
医学部 [いがくぶ] /(n) medical faculty/
医学用語 [いがくようご] /(n) medical term/
医官 [いかん] /(n) medical officer/
医業 [いぎょう] /(n) medical practice/medical practise/
医局 [いきょく] /(n) medical office/dispensary/(P)/
医原性 [いげんせい] /(n,adj-no) iatrogenic (disease or condition caused by medical treatment)/
医原病 [いげんびょう] /(n) iatrogenic disease/
医師 [いし] /(n,adj-no) doctor/physician/(P)/
医師会 [いしかい] /(n) medical association/(P)/
医師国家試験 [いしこっかしけん] /(n) National Medical Practitioners Qualifying Examination/
医師団 [いしだん] /(n) team of doctors/
医師法 [いしほう] /(n) medical practitioner's law/
医師免許 [いしめんきょ] /(n) physician's license (licence)/doctor's license/medical license/license to practice medicine/
医師免許証 [いしめんきょしょう] /(n) physician's license (licence)/doctor's license/medical license/
医歯薬 [いしやく] /(adj-f) medical, dental and pharmacological/
医歯薬学 [いしやくがく] /(n) (study of) medicine, dentistry and pharmacology/
医事 [いじ] /(n) medical practice/medical practise/
医事訴訟 [いじそしょう] /(n) medical suit/
医事伝道 [いじでんどう] /(n) medical missionary work/
医者 [いしゃ] /(n) (sens) (medical) doctor/physician/(P)/
医者さん [いしゃさん] /(n) doctor/
医者にかかる [いしゃにかかる] /(exp,v5r) to consult a doctor/
医者にかける [いしゃにかける] /(exp,v1) to entrust to a doctor (for treatment)/
医者に掛かる [いしゃにかかる] /(exp,v5r) to consult a doctor/
医者に掛ける [いしゃにかける] /(exp,v1) to entrust to a doctor (for treatment)/
医者の指図 [いしゃのさしず] /(n) doctor's mandate/
医者の不養生 [いしゃのふようじょう] /(exp) failing to practice what one preaches (lit: doctors often neglect their own health)/
医者を呼ぶ [いしゃをよぶ] /(exp,v5b) to call the doctor/
医者通い [いしゃがよい] /(n-adv) course of medical treatment/under-the-doctor/
医術 [いじゅつ] /(n,adj-no) medicine/healing art/
医書 [いしょ] /(n) medical book/
医食同源 [いしょくどうげん] /(exp) medicine and one's daily diet are equally important for a healthy body/
医生 [いせい] /(n,adj-f) (1) (abbr) bio-medical/biomedical/(2) medical student/
医籍 [いせき] /(n) register of physicians/
医大 [いだい] /(n) (abbr) medical university/medical school/med school/(P)/
医長 [いちょう] /(n) medical director/chief physician/(P)/
医道 [いどう] /(n) the art of medicine/
医伯 [いはく] /(n) (pol) doctor/
医博 [いはく] /(n) doctor of medicine/
医方明 [いほうみょう] /(n) cikitsavidya (the ancient Indian study of medicine)/
医務 [いむ] /(n) medical affairs/
医務室 [いむしつ] /(n) doctor's office/medical office/sickbay/
医薬 [いやく] /(n,adj-no) (1) medicine/(2) (abbr) Pharmaceutical and Food Safety Bureau/(P)/
医薬品 [いやくひん] /(n) medical supplies/(P)/
医薬品開発 [いやくひんかいはつ] /(n) drug development/
医薬品各条 [いやくひんかくじょう] /(n) drug monograph/
医薬部外品 [いやくぶがいひん] /(n) nonmedicinal product/
医薬分業 [いやくぶんぎょう] /(n) separation of medical and dispensary practice (practise)/
医用 [いよう] /(n,adj-no) medical use/
医用テレメーター [いようテレメーター] /(n) medical telemeter/
医用生体工学 [いようせいたいこうがく] /(n) medical biotechnology/
医用電子工学 [いようでんしこうがく] /(n) medical electronics/
医療 [いりょう] /(n,adj-no) medical care/medical treatment/(P)/
医療サービス [いりょうサービス] /(n) medical service/
医療システム [いりょうシステム] /(n) medical system/
医療チーム [いりょうチーム] /(n) medical team/
医療ミス [いりょうミス] /(n,adj-no) medical error/
医療過誤 [いりょうかご] /(n) medical malpractice/medical malpractise/
医療関係者 [いりょうかんけいしゃ] /(n) medical personnel/
医療器械 [いりょうきかい] /(n) medical appliances/surgical instruments/
医療器具 [いりょうきぐ] /(n) medical apparatus/medical instruments/
医療機関 [いりょうきかん] /(n) medical institution/
医療機器 [いりょうきき] /(n) medical equipment/
医療技術 [いりょうぎじゅつ] /(n) medical technology/
医療材料 [いりょうざいりょう] /(n) medical supplies/
医療施設 [いりょうしせつ] /(n) medical facilities/
医療事故 [いりょうじこ] /(n) medical error/
医療車 [いりょうしゃ] /(n) clinic car/traveling clinic/travelling clinic/
医療従事者 [いりょうじゅうじしゃ] /(n) health care provider/
医療少年院 [いりょうしょうねんいん] /(n) medical reformatory/
医療制度 [いりょうせいど] /(n) health care system/
医療伝道 [いりょうでんどう] /(n) medical missionary work/
医療廃棄物 [いりょうはいきぶつ] /(n) hospital waste/
医療費 [いりょうひ] /(n) medical expenses/doctor's bill/
医療費用保険 [いりょうひようほけん] /(n) medical expenses insurance/
医療品 [いりょうひん] /(n) medical supplies/
医療保険 [いりょうほけん] /(n) medical-care insurance/
医療保険制度 [いりょうほけんせいど] /(n) medical insurance system/
医療保障 [いりょうほしょう] /(n) medical security/
医療保障保険 [いりょうほしょうほけん] /(n) medical life insurance/
医療補助者 [いりょうほじょしゃ] /(n) paramedic/
医療報酬 [いりょうほうしゅう] /(n) medical fee/
医療法 [いりょうほう] /(n) Medical Service Law (1948)/
医療法人 [いりょうほうじん] /(n) medical corporation/
医療輸送機 [いりょうゆそうき] /(n) medical transport (plane)/
医療用 [いりょうよう] /(n) medical use/
医療用医薬品 [いりょうよういやくひん] /(n) ethical pharmaceuticals/
井 [い] /(n) well/
井 [せい] /(n) (1) (obsc) well curb/(2) Chinese "Well" constellation (one of the 28 mansions)/
井の中の蛙 [いのなかのかわず] /(exp) person who is ignorant of the real world (lit: frog in a well)/
井の中の蛙大海を知らず [いのなかのかわずたいかいをしらず] /(exp) parochial/provincial/used to encourage someone to get a wider perspective/
井堰 [いせき] /(n) sluice/dam/
井桁 [いげた] /(n) well lining/well curb/
井戸 [いど] /(n) water well/(P)/
井戸屋形 [いどやかた] /(n) well roof/
井戸掘り [いどほり] /(n) well digging/well digger/
井戸綱 [いどづな] /(n) well rope/
井戸車 [いどぐるま] /(n) well pulley/
井戸水 [いどみず] /(n) well water/
井戸側 [いどがわ] /(n) well curb/
井戸替え [いどがえ] /(n,vs) well cleaning/
井戸端 [いどばた] /(n) side of well/
井戸端会議 [いどばたかいぎ] /(n) content-free chat/idle gossip/
井戸浚え [いどさらえ] /(n) well cleaning/
井綱 [いづな] /(n) well rope/
井守 [いもり] /(n) (uk) newt (esp. the Japanese fire belly newt, Cynops pyrrhogaster)/
井宿 [ちちりぼし] /(n) Chinese "Well" constellation (one of the 28 mansions)/
井泉 [せいせん] /(n) (water) well/
井底 [せいてい] /(n) well bottom/narrow place/
井筒 [いづつ] /(n) well crib/
井目 [せいもく] /(n) the nine principal points in a game of go/
亥 [い] /(n) twelfth sign of the Chinese zodiac (The Boar, 9pm-11pm, north-northwest, October)/
亥の刻 [いのこく] /(n) time of the boar (9-11pm)/
亥の子 [いのこ] /(n) day of the boar in the month of the boar (the 10th month)/
亥の子の祝 [いのこのいわい] /(n) Day-of-the-Boar Festival/
亥の子の祝い [いのこのいわい] /(n) Day-of-the-Boar Festival/
亥の子餅 [いのこもち] /(n) Day-of-the-Boar mochi (made with new grains)/
亥月 [がいげつ] /(n) (obs) tenth month of the lunar calendar/
亥年 [いどし] /(n) year of the boar/
亥年 [いのししどし] /(ik) (n) year of the boar/
域 [いき] /(n) region/limits/stage/level/
域外 [いきがい] /(n,adj-no) outside the area/(P)/
域外適用 [いきがいてきよう] /(n) extraterritorial application (e.g. of a law)/extraterritoriality/
域内 [いきない] /(n,adj-no) inside the area/(P)/
域内貿易 [いきないぼうえき] /(n) regional trade/intra-trade/
育くむ [はぐくむ] /(io) (v5m,vt) to raise/to rear/to bring up/
育ち [そだち] /(n) breeding/growth/(P)/
育ちがいい [そだちがいい] /(adj-i) well-bred/
育ちがよい [そだちがよい] /(adj-i) well-bred/
育ちが悪い [そだちがわるい] /(exp) ill bred/poorly brought up/
育ちが良い [そだちがいい] /(adj-i) well-bred/
育ちが良い [そだちがよい] /(adj-i) well-bred/
育ちのいい [そだちのいい] /(adj-i) well bred/
育ちのよい [そだちのよい] /(adj-i) well bred/
育ちの良い [そだちのいい] /(adj-i) well bred/
育ちの良い [そだちのよい] /(adj-i) well bred/
育ちゆく [そだちゆく] /(v5k-s) to grow up/
育ち過ぎる [そだちすぎる] /(v1) to be overgrown/
育ち行く [そだちゆく] /(v5k-s) to grow up/
育ち盛り [そだちざかり] /(adj-no) growing (child, etc.)/
育つ [そだつ] /(v5t,vi) to be raised (e.g. child)/to be brought up/to grow (up)/(P)/
育て [そだて] /(n) bringing up/raising/
育てあげる [そだてあげる] /(v1,vt) to raise (to maturity)/to rear/to train/to educate/
育ての親 [そだてのおや] /(n) foster parents/
育てる [そだてる] /(v1,vt) to raise/to rear/to bring up/(P)/
育て上げる [そだてあげる] /(v1,vt) to raise (to maturity)/to rear/to train/to educate/
育て親 [そだておや] /(n) foster parent/
育て方 [そだてかた] /(n) method of bringing up/method of raising/
育む [はぐくむ] /(v5m,vt) to raise/to rear/to bring up/(P)/
育英 [いくえい] /(n) education/(P)/
育英会 [いくえいかい] /(n) scholarship society/educational society/
育休 [いくきゅう] /(n) (abbr) maternity leave/childcare leave/
育児 [いくじ] /(n,vs) childcare/nursing/upbringing/(P)/
育児ノイローゼ [いくじノイローゼ] /(n) maternity nerves/maternity neurosis/
育児院 [いくじいん] /(n) orphanage/nursery school/
育児園 [いくじえん] /(n) baby nursery/baby-farm/
育児休暇 [いくじきゅうか] /(n) childcare leave/maternity leave/
育児休業 [いくじきゅうぎょう] /(n) maternity leave/childcare leave/
育児休業基本給付金 [いくじきゅうぎょうきほんきゅうふきん] /(n) basic allowance of child care leave benefits/
育児施設 [いくじしせつ] /(n) child care facilities/
育児時間 [いくじじかん] /(n) nursing time/
育児室 [いくじしつ] /(n) nursery/
育児書 [いくじしょ] /(n) book on child-rearing/
育児食 [いくじしょく] /(n) baby food/
育児嚢 [いくじのう] /(n) pouch (of a marsupial)/marsupium/
育児法 [いくじほう] /(n) child-rearing practice/child-rearing practise/
育種 [いくしゅ] /(n,vs) (plant) breeding/
育種家 [いくしゅか] /(n) (plant) breeder/
育種学 [いくしゅがく] /(n) thremmatology/study of plant and animal breeding/
育種所 [いくしゅじょ] /(n) (plant) nursery/
育雛 [いくすう] /(n,vs) brooding/
育雛器 [いくすうき] /(n) breeder/
育成 [いくせい] /(n,vs) rearing/training/nurture/cultivation/promotion/(P)/
育成栽培 [いくせいさいばい] /(n) vegetable and fruit growing/
育生 [いくせい] /(n,vs) rearing/training/nurture/cultivation/promotion/
育苗 [いくびょう] /(n,vs) raising seedlings/
育毛剤 [いくもうざい] /(n) (hair) tonic/
郁々 [いくいく] /(adj-t,adv-to) flourishing/teeming with culture/aromatic/emitting an aroma/
郁郁 [いくいく] /(adj-t,adv-to) flourishing/teeming with culture/aromatic/emitting an aroma/
磯 [いそ] /(n,adj-na) (rocky) beach/seashore/(P)/
磯蟹 [いそがに] /(n) (uk) Asian shore crab (Hemigrapsus sanguineus)/
磯魚 [いそうお] /(n) inshore fish/fish that lives in rocky coastal waters/
磯巾着 [いそぎんちゃく] /(n) (uk) sea anemone/
磯焼け [いそやけ] /(n) rocky-shore denudation/sea desert/sea desertification/
磯城島 [しきしま] /(n) (1) Yamato (province)/(2) Japan/(3) (abbr) the art of classical Japanese poetry/
磯千鳥 [いそちどり] /(n) beach plover/
磯釣 [いそづり] /(n) surf-fishing/
磯釣り [いそずり] /(ik) (n) fishing from rocks by the shore/
磯釣り [いそづり] /(n) fishing from rocks by the shore/
磯伝い [いそづたい] /(n) along the beach/
磯馴 [そなれ] /(n) Japanese garden juniper/dwarf Japanese garden juniper/Juniperus procumbens/J. chinensis var. procumbens/
磯馴れ松 [そなれまつ] /(n) windswept pine trees/
磯馴松 [そなれまつ] /(io) (n) windswept pine trees/
磯波 [いそなみ] /(n) surf/
磯撫で [いそなで] /(n) mythical shark-like demon sea monster with barbed tail fin, said to live off the coast of Matsuura and other places in Western Japan/Beach Stroker/
磯辺 [いそべ] /(n) seashore/beach/
磯鮪 [いそまぐろ] /(n) (uk) dogtooth tuna (Gymnosarda unicolor)/
磯目 [いそめ] /(n) (uk) eunicid (any worm of family Eunicidae)/
磯蚯蚓 [いそめ] /(n) (uk) eunicid (any worm of family Eunicidae)/
磯鵯 [いそひよどり] /(n) blue rockthrush/
磯鷸 [いそしぎ] /(n) sandpiper/
一 [いち] /(num,pref) (1) one/(suf) (2) best in/the most (...) in (where an adjective follows)/(P)/
一 [ひと] /(num,pref) (1) one/
一 [ひとつ] /(io) (num) (1) one/(n) (2) for one thing (often used in itemized lists)/(3) (after a noun) only/(4) (with a verb in negative form) (not) even/(n-adv) (5) just (i.e. "just try it")/
一々 [いちいち] /(adv,n) one by one/separately/(P)/
一々 [いついつ] /(adv,n) one by one/separately/
一から [いちから] /(exp) from the beginning/from scratch/
一からやり直す [いちからやりなおす] /(exp,v5s) to sweep the slate clean/to start again from the beginning/to do it all over again/
一から十まで [いちからじゅうまで] /(exp) from A to Z/without exception/in every particular/
一から十迄 [いちからじゅうまで] /(exp) from A to Z/without exception/in every particular/
一か月 [いっかげつ] /(n) one month/
一か所 [いっかしょ] /(n) one place/the same place/
一か八か [いちかばちか] /(exp,adj-no) (uk) sink or swim/high-stakes/desperate/
一きわ [ひときわ] /(adv) conspicuously/noticeably/remarkably/still more/especially/
一くさり [ひとくさり] /(n) passage in a discourse/one section/one scene/
一こま [ひとこま] /(n) (uk) scene/frame/shot/
一ころ [いちころ] /(n) trouncing/beating somebody hands down/
一しきり [ひとしきり] /(adv) for a while/
一しょ [いっしょ] /(io) (n-adv,n,adj-no) (1) together/(2) at the same time/(3) same/identical/
一すじ [ひとすじ] /(n) (1) one long straight object (e.g. strand of hair, beam of light)/(2) a single bloodline/(adj-na) (3) earnest/resolute/intent/(4) ordinary/common/
一たび [ひとたび] /(n-adv) (1) once/one time/on one occasion/(2) temporarily/for a moment/
一っ走り [ひとっぱしり] /(n,vs) spin (as in 'take a car for a spin')/run/
一つ [ひとつ] /(num) (1) one/(n) (2) for one thing (often used in itemized lists)/(3) (after a noun) only/(4) (with a verb in negative form) (not) even/(n-adv) (5) just (i.e. "just try it")/(P)/
一つずつ [ひとつずつ] /(n) one by one/one each/one at a time/
一つづつ [ひとつづつ] /(n) one by one/one each/one at a time/
一つは [ひとつは] /(exp) for one thing/
一つ宛 [ひとつずつ] /(n) one by one/one each/one at a time/
一つ宛 [ひとつづつ] /(n) one by one/one each/one at a time/
一つ一つ [ひとつひとつ] /(n) one-by-one/separately/in detail/(P)/
一つ家 [ひとつや] /(n) (1) one house/the same house/(2) detached house/
一つ覚え [ひとつおぼえ] /(exp) the one thing that is well-remembered/
一つ釜 [ひとつかま] /(n) one or the same pot/eating or living together/
一つ穴 [ひとつあな] /(n) same hole/one gang/
一つ事 [ひとつこと] /(n) the same thing/
一つ書き [ひとつがき] /(n) an item/itemization/itemisation/
一つ心 [ひとつこころ] /(n) one mind/the whole heart/wholeheartedness/
一つ身 [ひとつみ] /(n) baby clothes/
一つ星 [ひとつぼし] /(n) evening star/morning star/
一つ置き [ひとつおき] /(n) alternate/every other one/
一つ置きに [ひとつおきに] /(adv) alternately/
一つ度も [ひとつども] /(conj) (with negative predicate) not even once, never/
一つ目 [ひとつめ] /(adj-no) one-eyed/
一つ目滑車 [ひとつめかっしゃ] /(n) bull's-eye/
一つ目小僧 [ひとつめこぞう] /(n) one-eyed goblin/one-eyed monster/
一つ話 [ひとつばなし] /(n) anecdote/common talk/
一とたび [ひとたび] /(io) (n-adv) (1) once/one time/on one occasion/(2) temporarily/for a moment/
一に [いつに] /(adv) solely/entirely/only/or/
一の宮 [いちのみや] /(n) (1) (arch) first-born imperial prince/(2) most important provincial shrine/
一の御子 [いちのみこ] /(n) (arch) first-born imperial prince/
一の糸 [いちのいと] /(n) first string (of a shamisen, etc.)/
一の字点 [いちのじてん] /(n) kana iteration mark/
一の膳 [いちのぜん] /(n) 1st course at a banquet/
一の酉 [いちのとり] /(exp) first day of the cock in the eleventh month/
一は [ひとつは] /(exp) for one thing/
一まず [ひとまず] /(adv) (uk) for the present/once/in outline/(P)/
一まとまり [ひとまとまり] /(n) (a) bunch/(a) bundle/
一も二もなく [いちもにもなく] /(adv) unhesitatingly/
一も二も無く [いちもにもなく] /(adv) unhesitatingly/
一を聞いて十を知る [いちをきいてじゅうをしる] /(exp,v5r) to understand everything from only one part/to be perceptive/
一ケ月 [いっかげつ] /(n) one month/
一ケ所 [いっかしょ] /(n) one place/the same place/
一タ偏 [いちたへん] /(n) kanji "bare bone" radical at left/
一ノ貝 [いちのかい] /(n) kanji "big shell" radical/
一パイント [いちパイント] /(n) one pint/
一リットル炊き [いちリットルだき] /(adj-no) having a cooking capacity of one liter/
一ヶ月 [いっかげつ] /(n) one month/
一ヶ所 [いっかしょ] /(n) one place/the same place/
一挨一拶 [いちあいいっさつ] /(n) (arch) dialoging (with another Zen practitioner to ascertain their level of enlightenment) (source of modern word aisatsu)/
一握 [いちあく] /(n) handful/
一握り [ひとにぎり] /(n,adj-no) handful/small handful/(P)/
一葦 [いちい] /(n) (1) one reed/(2) boat/
一安心 [ひとあんしん] /(n,vs) feeling of relief/
一案 [いちあん] /(n) idea/plan/
一位 [いちい] /(n,adj-no) (1) first place/first rank/unit's position/(n) (2) (uk) Japanese yew (Taxus cuspidata)/(P)/
一尉 [いちい] /(n) captain (JSDF)/
一意 [いちい] /(adj-na,adv,n) (1) unique/(2) earnestness/
一意な識別子 [いちいなしきべつし] /(n) (comp) unique identifier/
一意専心 [いちいせんしん] /(n-adv,adj-no) single-mindedly/wholeheartedly/with one's heart and soul/
一意名 [いちいめい] /(n) (comp) identifier/
一意郵便名 [いちいゆうびんめい] /(n) (comp) unique postal name/
一衣帯水 [いちいたいすい] /(n) (being separated only by a) narrow strip of water/narrow strait (channel, river)/
一遺伝子雑種 [いちいでんしざっしゅ] /(n) monohybrid/
一一 [いちいち] /(adv,n) one by one/separately/(P)/
一一 [いついつ] /(adv,n) one by one/separately/
一一九番 [ひゃくじゅうきゅうばん] /(n) ambulance and fire brigade emergency tel. no. (in Japan)/(P)/
一員 [いちいん] /(n) person/member/(P)/
一因 [いちいん] /(n) cause/(P)/
一飲み [ひとのみ] /(n) (1) swallowing in one gulp/downing/mouthful/bite/(2) sipping/sip/(3) thinking nothing of one's opponent/making easy prey of someone/
一院制 [いちいんせい] /(n) unicameral system/
一羽 [いちわ] /(n) one (bird)/
一雨 [ひとあめ] /(n) shower/rainfall/
一泳ぎ [ひとおよぎ] /(n,vs) a swim/
一円 [いちえん] /(adv,n) whole district/one yen/throughout/(P)/
一円玉 [いちえんだま] /(n) 1 Yen coin/
一円札 [いちえんさつ] /(n) 1 yen bill/
一塩 [ひとしお] /(n) slightly salted/
一塩基酸 [いちえんきさん] /(n,adj-no) monobasic acid/
一往 [いちおう] /(adv) once/tentatively/in outline/for the time being/just in case/so far as it goes/
一応 [いちおう] /(adv) once/tentatively/in outline/for the time being/just in case/so far as it goes/(P)/
一応聞いて置く [いちおうきいておく] /(v5k) to hear someone out anyway/
一押し [いちおし] /(n) (1) recommendation/(something) highly recommended/(vs) (2) to recommend/
一押し [ひとおし] /(n,vs) push/another try/
一億 [いちおく] /(n) 100,000,000/one hundred million/(P)/
一音節 [いちおんせつ] /(n) monosyllable/
一価アルコール [いっかアルコール] /(n) monohydric alcohol/
一価関数 [いっかかんすう] /(n) single-valued function/
一夏 [いちげ] /(n) (Buddh) one summer (during which a monk attends a summer retreat)/
一家 [いっか] /(n) a house/a home/a family/a household/one's family/one's folks/a style/(P)/
一家 [いっけ] /(n) a house/a home/a family/a household/one's family/one's folks/a style/
一家の主 [いっかのあるじ] /(n) master of the household/
一家の長 [いっかのちょう] /(n) head of a family/
一家を支える [いっかをささえる] /(exp,v1) to support one's family/
一家を成す [いっかをなす] /(exp,v5s) to establish a school of/to make a home of one's own/
一家掛かりで [いっかがかりで] /(exp) with the whole family/
一家言 [いっかげん] /(n) private opinion/personal view/personal opinion/
一家言 [いっかごと] /(n) private opinion/personal view/personal opinion/
一家心中 [いっかしんじゅう] /(n) family suicide/
一家族 [ひとかぞく] /(n) a (one) family/
一家団欒 [いっかだんらん] /(n) happy family get-together/
一家離散 [いっかりさん] /(n,vs) the breakup (dispersal) of a family/
一家眷属 [いっかけんぞく] /(n) one's family, relations, and followers/
一稼ぎ [ひとかせぎ] /(n,vs) job/gain/
一箇 [いっこ] /(n) piece/fragment/one (object)/
一箇月 [いっかげつ] /(oK) (n) one month/
一箇所 [いっかしょ] /(n) one place/the same place/
一箇年 [いっかねん] /(ok) (n) one year/
一花 [ひとはな] /(n,adj-no) success/one flower/
一荷 [いっか] /(n) one load/
一過 [いっか] /(n,vs) passing away/(P)/
一過性 [いっかせい] /(n) transient (pain or fever)/
一過性肺浸潤 [いっかせいはいしんじゅん] /(n) transient pulmonary infiltration/
一画 [いっかく] /(n) (1) one plot (of land)/one block (i.e. one city block)/one area/one lot/(2) one brush stroke/one kanji stroke/
一介 [いっかい] /(n,adj-no) mere/only a .../(P)/
一介の学生 [いっかいのがくせい] /(n) a mere student/
一回 [いっかい] /(n-adv) once/one time/one round/one game/one bout/one heat/one inning/(P)/
一回り [ひとまわり] /(n-adv) (1) one turn/one round/(2) (a) size/(vs) (3) to go around/to make a circuit/to take a turn/(P)/
一回りもふた回りも [ひとまわりもふたまわりも] /(exp) one or two sizes (bigger, etc.)/one or two levels (better, more mature, etc.)/
一回り小さい [ひとまわりちいさい] /(exp,adj-i) a size smaller/
一回り小さな [ひとまわりちいさな] /(adj-f) a size smaller/
一回忌 [いっかいき] /(n) first death anniversary/
一回勝負 [いっかいしょうぶ] /(n) contest decided by a single round (bout)/contest decided by a single roll of dice/one-shot game (contest)/make-or-break game/
一回生 [いっかいせい] /(n) first year (college) student/freshman/
一回戦 [いっかいせん] /(n) first game/first round (of tennis, etc.)/
一回転 [いちかいてん] /(n,vs) one revolution/one rotation/
一回転 [いっかいてん] /(n,vs) one revolution/one rotation/
一回分 [いっかいぶん] /(n) dose/installment/instalment/
一塊 [いっかい] /(n) one lump/one group/
一塊 [ひとかたまり] /(n) one lump/one group/
一塊り [ひとかたまり] /(n) one lump/one group/
一階 [いっかい] /(n) one floor/first floor/(P)/
一概に [いちがいに] /(adv) unconditionally/as a rule/(P)/
一劃 [いっかく] /(n) (1) one plot (of land)/one block (i.e. one city block)/one area/one lot/(2) one brush stroke/one kanji stroke/
一廓 [いっかく] /(n) one block/enclosure/
一獲 [いっかく] /(n) one grab/
一獲千金 [いっかくせんきん] /(n,adj-no) getting rich quick/
一角 [いっかく] /(n) (1) corner/section/point/(2) one horn/(3) (uk) narwhal (Monodon monoceros)/(P)/
一角 [いっかど] /(n-adv,n-t,adj-no) (1) a cut above the rest/superior/respectable/full-fledged/something uncommon/(2) one field/one matter/(adv) (3) suitably/reasonably/
一角 [ひとかど] /(n-adv,n-t,adj-no) (1) a cut above the rest/superior/respectable/full-fledged/something uncommon/(2) one field/one matter/(adv) (3) suitably/reasonably/
一角の人間 [ひとかどのにんげん] /(n) somebody (important)/someone/
一角の人物 [ひとかどのじんぶつ] /(n) somebody (important)/someone/
一角サイ [いっかくサイ] /(n) great one-horned rhinoceros/Indian rhinoceros (Rhinoceros unicornis)/
一角犀 [いっかくさい] /(n) great one-horned rhinoceros/Indian rhinoceros (Rhinoceros unicornis)/
一角獣 [いっかくじゅう] /(n) unicorn/
一角獣座 [いっかくじゅうざ] /(n) (constellation) Monoceros/
一郭 [いっかく] /(n) one block/enclosure/
一楽 [いちらく] /(exp) (col) one of one's hobbies/
一割 [いちわり] /(n) ten percent/
一割引き [いちわりびき] /(n) 10% off sale/
一喝 [いっかつ] /(n,vs) cry in a thundering voice/one roar/
一括 [いっかつ] /(n,vs,adj-no) all together/batch/one lump/one bundle/summing up/(P)/
一括め [ひとくるめ] /(n) one bunch/one bundle/one lot/
一括り [ひとくくり] /(n) lump together/put all together/
一括購入 [いっかつこうにゅう] /(n) lump-sum purchase/bulk purchase/group purchase/
一括式 [いっかつしき] /(n) batch mode/batch style/
一括処理 [いっかつしょり] /(n) (comp) batch processing/
一括置換 [いっかつちかん] /(n) (comp) replace all/
一括適用 [いっかつてきよう] /(n) (comp) batch application/
一括売買 [いっかつばいばい] /(n) a bulk sale/buying and selling in bulk/
一括発注 [いっかつはっちゅう] /(n) (comp) blanket order/
一括払い [いっかつはらい] /(n) lump-sum payment/
一括変換 [いっかつへんかん] /(n) (comp) batch conversion/
一括方式 [いっかつほうしき] /(n) (comp) batch mode/
一巻 [いちまき] /(n) one entire scroll/
一巻 [いっかん] /(n) (1) one roll/(2) one book/one volume/(3) first volume/
一巻 [ひとまき] /(n) (1) one roll/(2) one book/one volume/(3) rolling once/
一巻き [ひとまき] /(n) (1) one roll/(2) one book/one volume/(3) rolling once/
一巻の終り [いっかんのおわり] /(exp) the end of the line/the end of the road/curtains/
一巻の終わり [いっかんのおわり] /(exp) the end of the line/the end of the road/curtains/
一堪りもなく [ひとたまりもなく] /(adv) easily/irresistibly/helplessly/
一堪りも無く [ひとたまりもなく] /(adv) easily/irresistibly/helplessly/
一汗 [ひとあせ] /(n) doing a job/riding and sweating up a horse/
一環 [いっかん] /(n,vs,adj-no) link (e.g. a part of a larger plan)/(P)/
一竿 [いっかん] /(n) one pole (esp. used for fishing poles)/one rod/
一管 [いっかん] /(n) one flute/one brush/
一貫 [いっかん] /(n,vs) (1) consistency/coherence/integration/(2) one kan (approx. 3.75 kg, 8.3 lb)/(3) one piece of sushi/(P)/
一貫して [いっかんして] /(exp) consistently/
一貫教育 [いっかんきょういく] /(n) integrated education/integrated school system/
一貫教育校 [いっかんきょういくこう] /(n) integrated set of schools that offers education from one stage to the next without taking extrance exams en route/
一貫作業 [いっかんさぎょう] /(n) continuous operation/
一貫性 [いっかんせい] /(n) consistency/
一貫番号 [いっかんばんごう] /(n) serial number/
一間 [いっけん] /(n) one ken/six feet/
一間 [ひとま] /(n) one room/
一閑張り [いっかんばり] /(n) lacquered papier-mache/
一丸 [いちがん] /(n) lump/(into) one/(P)/
一丸となって [いちがんとなって] /(exp) in a body/in a lump/
一眼 [いちがん] /(n,adj-no) one eye/
一眼レフ [いちがんレフ] /(n) single-lens reflex camera/
一眼レフカメラ [いちがんレフカメラ] /(n) single lens reflex camera/
一喜一憂 [いっきいちゆう] /(exp) now rejoicing, now worrying/swinging from joy to sorrow/glad and sad by turns/alternating hope and fear/unable to put one's mind at ease/(P)/
一旗 [ひとはた] /(n) flag/undertaking/
一旗揚げる [ひとはたあげる] /(v1) to make a name for oneself/
一期 [いちご] /(n) one's life time/lifetime/(P)/
一期 [いっき] /(n) (1) one term/one period/(2) first term/first period/
一期一会 [いちごいちえ] /(n) once-in-a-lifetime encounter (hence should be cherished as such)/
一期末代 [いちごまつだい] /(n) this world (life) and the next/eternity/
一機 [いっき] /(n) (1) one machine/(2) an aircraft (airplane)/one aircraft/(3) one player (in video games)/
一機軸 [いちきじく] /(n) new method/
一気 [いっき] /(n) (abbr) drink! (said repeatedly as a party cheer)/(P)/
一気に [いっきに] /(adv) at once/at a breath (stroke, sitting)/(P)/
一気に飲む [いっきにのむ] /(exp,v5m) to drink in one gulp/
一気飲み [いっきのみ] /(n,vs) chugging an entire drink without stopping to take a breath/
一気呵成 [いっきかせい] /(adv,n) finishing writing, work, etc. at a stroke (stretch)/knocking something off without a break/
一季 [いっき] /(n-adv,n-t) (1) one season/(2) one year (esp. as an Edo-period duration of employment)/
一季 [ひとき] /(n-adv,n-t) (1) one season/(2) one year (esp. as an Edo-period duration of employment)/
一騎 [いっき] /(n) one horseman/
一騎打 [いっきうち] /(n,vs) personal combat/one-to-one fight/
一騎打ち [いっきうち] /(n,vs) personal combat/one-to-one fight/(P)/
一騎当千 [いっきとうせん] /(n,adj-no) being a match for a thousand/being a mighty warrior (combatant, player)/
一騎当千のつわもの [いっきとうせんのつわもの] /(n) great warrior/
一騎当千の兵 [いっきとうせんのつわもの] /(n) great warrior/
一騎討 [いっきうち] /(n,vs) personal combat/one-to-one fight/
一騎討ち [いっきうち] /(n,vs) personal combat/one-to-one fight/
一儀 [いちぎ] /(n) an incident/
一義 [いちぎ] /(n) (1) reason/principle/meaning/(2) first meaning/first principle/first consideration/(P)/
一義的 [いちぎてき] /(adj-na,n) unequivocable/unambiguous/unmistakable/
一議 [いちぎ] /(n) word (opinion, objection)/
一掬 [いっきく] /(n) small amount/
一菊 [いっきく] /(n) one scoop (of water)/
一休み [ひとやすみ] /(n,vs) rest/(P)/
一級 [いっきゅう] /(adj-na,n) one grade/first-class/primary/(P)/
一級河川 [いっきゅうかせん] /(n) class A river (specified waterways of special importance protected by the government)/
一級品 [いっきゅうひん] /(n) first-class goods/
一挙 [いっきょ] /(n-adv,n) one effort/one action/(P)/
一挙に [いっきょに] /(adv) at a stroke/with a single swoop/(P)/
一挙一動 [いっきょいちどう] /(n) one's every action/every single move/
一挙手一投足 [いっきょしゅいっとうそく] /(n) slight effort/least trouble/small amount of work/
一挙両全 [いっきょりょうぜん] /(n) killing two birds with one stone/serving two ends/
一挙両得 [いっきょりょうとく] /(n) killing two birds with one stone/serving two ends/
一虚一実 [いっきょいちじつ] /(n) constantly changing phase and being highly unpredictable/
一興 [いっきょう] /(n) amusement/fun/brief entertainment/
一驚 [いっきょう] /(n,vs) surprise/amazement/
一局 [いっきょく] /(n) one game (checkers, etc.)/(P)/
一局部 [いちきょくぶ] /(n) one part/
一曲 [いっきょく] /(n) tune (melody, piece of music)/(P)/
一極 [いちごく] /(n,adj-no) quindecillion (US)/octillion (Europe)/10^48/
一極 [いっきょく] /(n) monopole/singular pole/unipole/
一極集中 [いっきょくしゅうちゅう] /(n) overconcentration/
一斤 [いっきん] /(n) (1) 1 kin (~0.6kg)/(2) 1 loaf of bread/
一筋 [ひとすじ] /(n) (1) one long straight object (e.g. strand of hair, beam of light)/(2) a single bloodline/(adj-na) (3) earnest/resolute/intent/(4) ordinary/common/(P)/
一筋の希望の光 [ひとすじのきぼうのひかり] /(exp) a ray of hope/
一筋の涙 [ひとすじのなみだ] /(n) a trickle of tears/
一筋道 [ひとすじみち] /(n) straight road/
一筋縄 [ひとすじなわ] /(n) (1) (piece of) rope/(2) ordinary method/
一筋縄でいかない [ひとすじなわでいかない] /(exp) not straight forward/not dealt with by ordinary means/
一筋縄ではいかない [ひとすじなわではいかない] /(exp) not straight forward/not dealt with by ordinary means/
一筋縄では行かない [ひとすじなわではいかない] /(exp) not straight forward/not dealt with by ordinary means/
一筋縄で行かない [ひとすじなわでいかない] /(exp) not straight forward/not dealt with by ordinary means/
一筋繩 [ひとすじなわ] /(n) (1) (piece of) rope/(2) ordinary method/
一句 [いっく] /(n) (1) phrase (verse, line)/(2) one haiku-poem/
一句詠む [いっくよむ] /(v5m) to make up a haiku poem/
一区 [いっく] /(n) district/ward/lot/
一区切り [ひとくぎり] /(n) end/break/
一苦労 [ひとくろう] /(n,vs) a hard time/pains/
一駒 [ひとこま] /(iK) (n) (uk) scene/frame/shot/
一具 [いちぐ] /(n) one set/
一遇 [いちぐう] /(n) one meeting/
一隅 [いちぐう] /(n) corner/nook/(P)/
一隅 [ひとすみ] /(n) corner/nook/
一群 [いちぐん] /(n) (1) group/flock/crowd/herd/(2) wide expanse (of flowers)/
一群の羊 [いちぐんのひつじ] /(n) flock of sheep/
一群れ [ひとむれ] /(n) (1) group/flock/crowd/herd/(2) wide expanse (of flowers)/
一軍 [いちぐん] /(n,adj-no) an army/the whole army/first string players (sports)/(P)/
一軍を率いて [いちぐんをひきいて] /(exp) at the head of an army/
一形式 [いちけいしき] /(n) one form (of)/a form of/
一形式 [いつけいしき] /(n) one form (of)/a form of/
一形態 [いちけいたい] /(n) one form (of)/a form of/
一形態 [いつけいたい] /(n) one form (of)/a form of/
一系 [いっけい] /(n) single-family lineage/
一茎 [いっけい] /(n) a stem/
一計 [いっけい] /(n) plan/
一計を案じる [いっけいをあんじる] /(exp,v1) to devise a plan/to work out a plan/
一芸 [いちげい] /(n) an art/one talent/
一芸に秀でる [いちげいにひいでる] /(exp,v1) to excel in one thing/to be a master in an art/
一芸一能 [いちげいいちのう] /(n) (excelling in) one area or skill/(being skilled or gifted in) one certain area/
一芸入試 [いちげいにゅうし] /(n) entrance exam for a university giving preference to persons who excel in one special field (skill)/one-talent oriented entrance examination/
一撃 [いちげき] /(n,vs) blow/hit/poke/
一撃の下に [いちげきのもとに] /(adv) by a single blow/
一桁 [ひとけた] /(n) one digit/one column/the "ones" column/
一欠けら [ひとかけら] /(n) fragment/piece/
一欠片 [ひとかけら] /(n) fragment/piece/
一決 [いっけつ] /(n,vs) agreed/settled/
一穴 [いっけつ] /(n) same hole/one gang/
一穴 [ひとつあな] /(n) same hole/one gang/
一結び [ひとむすび] /(n,vs) knotting/
一月 [いちがつ] /(n-adv) January/(P)/
一月 [いちげつ] /(n) one month/
一月 [ひとつき] /(n) one month/
一件 [いっけん] /(n) matter/item/case/(P)/
一件書類 [いっけんしょるい] /(n) all the papers (documents) relating to a case/dossier/
一件落着 [いっけんらくちゃく] /(n,vs) an issue being settled/a case being closed/
一犬 [いっけん] /(n) one dog/
一献 [いっこん] /(n) one cup (of sake)/
一見 [いちげん] /(n) first visit to inn, restaurant, etc. without an introduction/
一見 [いっけん] /(n,vs) (1) look/glimpse/glance/(vs) (2) to glance/to glimpse/(3) (arch) first meeting/(adv) (4) apparently/seemingly/(P)/
一見さん [いちげんさん] /(n) first-time customer (of an inn or a restaurant)/chance customer/customer without an introduction from a regular customer/
一見したところ [いっけんしたところ] /(exp,adv) at a glance/at first sight/
一見した所 [いっけんしたところ] /(exp,adv) at a glance/at first sight/
一見に値する [いっけんにあたいする] /(exp,vs-s) to be worth seeing/
一見の客 [いちげんのきゃく] /(n) first-time customer (of an inn or a restaurant)/chance customer/customer without an introduction from a regular customer/
一見客 [いちげんきゃく] /(n) customer one has never met before/first-time customer/
一見識 [いちけんしき] /(n) an opinion/
一軒 [いっけん] /(n) one house/
一軒一軒 [いっけんいっけん] /(n) house to house/door to door/
一軒屋 [いっけんや] /(n) (1) detached house/single house/(2) isolated house/
一軒家 [いっけんや] /(n) (1) detached house/single house/(2) isolated house/
一軒置いて隣 [いっけんおいてとなり] /(n) next door but one/
一元 [いちげん] /(n,adj-no) unitary/(P)/
一元化 [いちげんか] /(n,vs) unification/centralization/centralisation/(P)/
一元管理 [いちげんかんり] /(n) (1) uniform management/uniform control/(vs) (2) to control centrally/to manage centrally/to consolidate/to unify/
一元的 [いちげんてき] /(adj-na,n) monistic/unitary/unified/centralized/centralised/
一元論 [いちげんろん] /(n) monism/
一弦琴 [いちげんきん] /(n) single-stringed Japanese zither/
一現 [いちげん] /(iK) (n) first visit to inn, restaurant, etc. without an introduction/
一絃琴 [いちげんきん] /(n) single-stringed Japanese zither/
一言 [いちげん] /(n,vs) single word/
一言 [いちごん] /(n,vs) single word/
一言 [ひとこと] /(n,vs) single word/(P)/
一言も言わず [ひとこともいわず] /(exp) without saying a word/
一言一句 [いちごんいっく] /(n) every single word and phrase/word by word/
一言一行 [いちげんいっこう] /(n) just a word or an act/
一言居士 [いちげんこじ] /(n) person who is ready to comment on every subject/ready critic/
一言居士 [いちごんこじ] /(n) person who is ready to comment on every subject/ready critic/
一言隻句 [いちごんせきく] /(n) every single word and phrase/each and every word/
一言隻句 [いちごんせっく] /(n) every single word and phrase/each and every word/
一言二言 [ひとことふたこと] /(exp) a word or two/
一言二言言う [ひとことふたこという] /(exp,v5u) to say a few words/
一言半句 [いちげんはんく] /(n) a single word/(not even) a word/(not even) a syllable/
一言半句 [いちごんはんく] /(n) a single word/(not even) a word/(not even) a syllable/
一限目 [いちげんめ] /(n) first period (e.g. first class in school day)/
一個 [いっこ] /(n) piece/fragment/one (object)/(P)/
一個あたり [いっこあたり] /(n,ctr) each/per piece/
一個人 [いちこじん] /(n,adj-no) private person/individual/
一個人 [いっこじん] /(n,adj-no) private person/individual/
一個当り [いっこあたり] /(n,ctr) each/per piece/
一個売り [いっこうり] /(n,vs) selling individually/selling piecemeal/
一呼吸 [ひとこきゅう] /(n,vs) short pause/
一己 [いっこ] /(n,adj-no) personal/private/oneself/
一戸 [いっこ] /(n) one house/household/
一戸建 [いっこだて] /(n) (separate) house/
一戸建て [いっこだて] /(n) (separate) house/(P)/
一顧 [いっこ] /(n,vs) (take no) notice of/
一顧もしない [いっこもしない] /(adj-i) not give a damn/take no notice of/
一鼓 [いっこ] /(n) the first beat of the war drum/
一伍一什 [いちごいちじゅう] /(n) full particulars/the whole story/from beginning to end/
一語 [いちご] /(n) one word/
一語一句 [いちごいっく] /(n) every single word and phrase/each and every word/
一語一語 [いちごいちご] /(n) word for word/one word/
一口 [ひとくち] /(n) (1) mouthful/bite/sip/draft/draught/(2) one word/(P)/
一口の剣 [いっこうのけん] /(n) a sword/
一口喰う [ひとくちくう] /(v5u) to have a munch/to take a bite/
一口商い [ひとくちあきない] /(n) an immediate definite deal/
一口食べる [ひとくちたべる] /(v1) to eat a mouthful/
一口同音 [いっくどうおん] /(n) reading in unison/saying the same thing/
一口話 [ひとくちばなし] /(n) joke/anecdote/
一向 [いっこう] /(adv) (not) at all/(P)/
一向 [ひたすら] /(adj-na,adv) (uk) nothing but/earnest/intent/determined/set on (something)/
一向 [ひたぶる] /(adj-na,adv) (uk) nothing but/earnest/intent/determined/set on (something)/
一向に [いっこうに] /(adv) (not) at all/(P)/
一向に構わない [いっこうにかまわない] /(exp) doesn't care at all/doesn't matter at all/
一工夫 [ひとくふう] /(n,vs) a contrivance/a bit more/
一更 [いっこう] /(n) first watch/8-10 pm/
一校 [いっこう] /(n) whole school/the first proof/one proofreading/(P)/
一考 [いっこう] /(n,vs) consideration/thought/
一荒れ [ひとあれ] /(n,vs) squall/burst of anger/
一行 [いちぎょう] /(n) line/row/troupe/party/(P)/
一行 [いっこう] /(n) line/row/troupe/party/(P)/
一行知識 [いちぎょうちしき] /(n) one-line fact/one-line information/information (explanation) provided in a few scanty words/
一項 [いっこう] /(n) an item/
一高一低 [いっこういってい] /(n,vs) rise and fall/frequent fluctuations (of the market price)/
一号 [いちごう] /(n) number one/
一合目 [いちごうめ] /(n) the start of a climb up a hill/
一刻 [いっこく] /(adj-na,n-adv,n-t) (1) minute/moment/an instant/(2) stubborn/hot-headed/(P)/
一刻み [ひときざみ] /(n,adj-no) top-notch/
一刻も早く [いっこくもはやく] /(adv) immediately/as soon as possible/as quickly as possible/
一刻を争う [いっこくをあらそう] /(exp,v5u) to race against time/
一刻一刻 [いっこくいっこく] /(n,adv) hourly/from hour to hour/moment by moment/momently/from one minute to the next/with each passing moment/
一刻千金 [いっこくせんきん] /(exp) every moment is precious/time is money/precious time/
一国 [いっこく] /(adj-na,n-adv,n-t) (1) whole country/(2) hotheaded/stubborn/(P)/
一国一城 [いっこくいちじょう] /(n) (1) (possession of) one feudal domain and one castle/being independent (acting without compromise or assistance)/(2) establishing only one castle in each feudal domain (edict issued by the shogunate in 1615)/
一国一城の主 [いっこくいちじょうのあるじ] /(n) feudal lord/head of a household/proudly independent person/
一国一党主義 [いっこくいっとうしゅぎ] /(n) one-party system/
一国一票 [いっこくいっぴょう] /(n) one vote per nation/
一国者 [いっこくもの] /(n) ultra-nationalist/hot-tempered person/stubborn person/
一国二制度 [いっこくにせいど] /(n) "One country, two systems" (Chinese political ideology allowing for the communist mainland and capitalist areas such as Hong Kong)/
一頃 [ひところ] /(n-adv,n-t) once/some time ago/
一佐 [いっさ] /(n) colonel (JSDF)/
一差し [ひとさし] /(n) dance/
一座 [いちざ] /(n,vs) (1) party/those present/troupe/(2) first seat/(P)/
一再 [いっさい] /(n-adv,n-t) once or twice/repeatedly/
一再ならず [いっさいならず] /(exp,adv) to over and over/
一妻多夫 [いっさいたふ] /(n) polyandry/
一才 [いっさい] /(n) one-year-old/
一歳 [いっさい] /(n) one-year-old/
一際 [ひときわ] /(adv) conspicuously/noticeably/remarkably/still more/especially/
一財産 [いっざいさん] /(n) a fortune/
一財産 [ひとざいさん] /(n) a fortune/
一昨 [いっさく] /(n) one previous/
一昨々月 [いっさくさくげつ] /(n-adv,n-t) three months ago/
一昨々日 [いっさくさくじつ] /(n-adv,n-t) two days before yesterday/three days back (ago)/
一昨々日 [さきおとつい] /(n-adv,n-t) two days before yesterday/three days back (ago)/
一昨々日 [さきおととい] /(n-adv,n-t) two days before yesterday/three days back (ago)/
一昨々年 [いっさくさくねん] /(n-adv,n-t) two years before last (year)/three years back (ago)/
一昨々年 [さいととし] /(n-adv,n-t) two years before last (year)/three years back (ago)/
一昨々年 [さおととし] /(n-adv,n-t) two years before last (year)/three years back (ago)/
一昨々年 [さきおととし] /(n-adv,n-t) two years before last (year)/three years back (ago)/
一昨々夜 [いっさくさくや] /(n) two nights before last/
一昨昨月 [いっさくさくげつ] /(n-adv,n-t) three months ago/
一昨昨日 [いっさくさくじつ] /(n-adv,n-t) two days before yesterday/three days back (ago)/
一昨昨日 [さきおとつい] /(n-adv,n-t) two days before yesterday/three days back (ago)/
一昨昨日 [さきおととい] /(n-adv,n-t) two days before yesterday/three days back (ago)/
一昨昨年 [いっさくさくねん] /(n-adv,n-t) two years before last (year)/three years back (ago)/
一昨昨年 [さいととし] /(n-adv,n-t) two years before last (year)/three years back (ago)/
一昨昨年 [さおととし] /(n-adv,n-t) two years before last (year)/three years back (ago)/
一昨昨年 [さきおととし] /(n-adv,n-t) two years before last (year)/three years back (ago)/
一昨昨夜 [いっさくさくや] /(n) two nights before last/
一昨日 [いっさくじつ] /(n-adv,n-t) day before yesterday/(P)/
一昨日 [おとつい] /(n-adv,n-t) day before yesterday/
一昨日 [おととい] /(n-adv,n-t) day before yesterday/(P)/
一昨日来やがれ [おとといきやがれ] /(exp) (sl) Don't you ever come here again!/
一昨年 [いっさくねん] /(n-adv,n-t) year before last/(P)/
一昨年 [おととし] /(n-adv,n-t) year before last/(P)/
一昨年辺り [いっさくねんあたり] /(n) the year before last or thereabouts/
一昨晩 [いっさくばん] /(n-t) night before last/
一昨夜 [いっさくや] /(n-t) night before last/
一策 [いっさく] /(n) idea/plan/
一冊 [いっさつ] /(n) one copy (e.g. book)/
一撮 [ひとつまみ] /(n) (1) pinch (of something)/one piece/(2) easy victory/
一撮み [ひとつまみ] /(n) (1) pinch (of something)/one piece/(2) easy victory/
一札 [いっさつ] /(n) document/bond/
一札入れる [いっさついれる] /(v1) to give a signed statement or an IOU/
一殺多生 [いっさつたしょう] /(exp) It is justifiable to kill one (harmful) person to save the lives of many/
一殺多生 [いっせつたしょう] /(exp) It is justifiable to kill one (harmful) person to save the lives of many/
一殺那 [いっせつな] /(n-t) (a) moment/an instant/
一皿 [ひとさら] /(n) plate/dish (of food)/
一山 [いっさん] /(n) a mountain/a pile (of something)/
一山 [ひとやま] /(n) a mountain/a pile (of something)/
一山越す [ひとやまこす] /(exp,v5s) to go over the hump/to get successfully through the bulk of the work/
一山当てる [ひとやまあてる] /(exp,v1) to be right on target/to strike it rich/
一散に [いっさんに] /(adv) at top speed/
一酸塩基 [いっさんえんき] /(n) monoacidic base/
一酸化 [いっさんか] /(adj-na,n) monoxide/
一酸化炭素 [いっさんかたんそ] /(n) carbon monoxide/(P)/
一酸化炭素中毒 [いっさんかたんそちゅうどく] /(n) carbon monoxide poisoning/
一酸化窒素 [いっさんかちっそ] /(n) nitric monoxide/
一酸化二窒素 [いっさんかにちっそ] /(n) dinitrogen oxide/
一仕事 [ひとしごと] /(n,vs) task/
一士 [いっし] /(n) private first-class (JSDF)/
一子 [いっし] /(n) (1) a child/one child/(2) one of several children, especially the son and heir/(3) one stone (in Go)/
一子相伝 [いっしそうでん] /(n) transmission of the secrets of an art, craft, trade or learning from father to only one child/
一思いに [ひとおもいに] /(adv) instantly/resolutely/
一指 [いっし] /(n,adj-no) finger/
一指し [ひとさし] /(n) a game or match/
一指当たり [いちゆびあたり] /(n) span/
一死 [いっし] /(n) (1) dying/laying down one's life/(2) one out (baseball)/
一死後 [いっしご] /(n-adv,n-t) after one out (in Baseball)/
一死報国 [いっしほうこく] /(n) dying for one's country/
一私人 [いちしじん] /(n) private individual/
一私人 [いっしじん] /(n) private individual/
一糸 [いっし] /(n-adv,n) string/
一糸まとわぬ [いっしまとわぬ] /(n) stark naked/
一糸も纏わず [いっしもまとわず] /(exp) stark-naked/without a stitch of clothing on/
一糸一毫 [いっしいちごう] /(n) tiny amount/
一糸纏わず [いっしまとわず] /(adv) stark-naked/
一糸乱れず [いっしみだれず] /(exp) in perfect order/
一紙半銭 [いっしはんせん] /(n) small sum/things of little value/
一視同人 [いっしどうじん] /(n) loving every human being with impartiality/universal brotherhood/universal benevolence/
一視同仁 [いっしどうじん] /(n) loving every human being with impartiality/universal brotherhood/universal benevolence/
一事 [いちじ] /(n) one thing/
一事が万事 [いちじがばんじ] /(exp) a single instance indicates what happens all the time/one case gives you an idea of what always happens/
一事不再議 [いちじふさいぎ] /(n) the principle of not resuming debate on an item in the same Diet session in which it has been voted down/
一事不再理 [いちじふさいり] /(n) double jeopardy (legal term)/
一字 [いちじ] /(n) letter/character/(P)/
一字一句 [いちじいっく] /(n) word for word/verbatim/a single word and a single phrase/
一字一字 [いちじいちじ] /(n) letter by letter/character by character/
一字空ける [いちじあける] /(v1) to leave a space (between words)/
一字削る [いちじけずる] /(v5r) to delete a letter/
一字千金 [いちじせんきん] /(n) word of great value/
一字半句 [いちじはんく] /(n) a single word/(not even) a word/(not even) a syllable/
一時 [いちじ] /(n-t) (1) one o'clock/(n-adv,n-t) (2) once/at one time/formerly/before/(n-adv,n-t,adj-no) (3) for a time/for a while/for the time being/for the present/for the moment/temporarily/(n) (4) a time/one time/once/(P)/
一時 [いっとき] /(n-t,n-adv) (1) moment/a (short) time/a while/(2) (arch) two-hour period/
一時 [ひととき] /(n-t,n-adv) (1) moment/a (short) time/a while/(2) former times/(3) (arch) two-hour period/(P)/
一時に [いちじに] /(adv) at the same time/at a time/at one time/simultaneously/
一時に [いちどきに] /(adv) at the same time/at a time/at one time/simultaneously/
一時に [いっときに] /(adv) at the same time/at a time/at one time/simultaneously/
一時ファイル [いちじファイル] /(n) (comp) temporary file/
一時解雇 [いちじかいこ] /(n,vs) a layoff/
一時間 [いちじかん] /(n) one hour/
一時間以内 [いちじかんいない] /(n) within one hour/
一時期 [いちじき] /(n-adv) a period (of time)/(P)/
一時帰休 [いちじききゅう] /(n) temporary layoff/
一時帰休制 [いちじききゅうせい] /(n) layoff system/
一時金 [いちじきん] /(n) lump sum/bonus/one-off payment/(P)/
一時誤り [いちじあやまり] /(n) (comp) soft error/transient error/
一時賜金 [いちじしきん] /(n) lump-sum grant/
一時収容施設 [いちじしゅうようしせつ] /(n) temporary reception center/temporary shelter/
一時所得 [いちじしょとく] /(n) occasional income/
一時停止 [いちじていし] /(n,vs) suspension/pause/
一時的 [いちじてき] /(adj-na,n) temporary/(P)/
一時的ウィンドウ [いちじてきウィンドウ] /(n) (comp) transient window/
一時的エラー [いちじてきエラー] /(n) (comp) temporary error/
一時的ユーザ [いちじてきユーザ] /(n) (comp) casual user/
一時的リンクパック領域 [いちじてきリンクパックりょういき] /(n) (comp) modified link pack area/
一時逃れ [いちじのがれ] /(n) quibbling/temporizing/temporising/
一時逃れ [いっときのがれ] /(n) quibbling/temporizing/temporising/
一時払 [いちじばらい] /(n) lump-sum payment/paying in a lump sum/
一時払い [いちじばらい] /(n) lump-sum payment/paying in a lump sum/
一時預かり [いちじあずかり] /(n) (baggage) checking/temporary custody/
一時預け [いちじあずけ] /(n) (baggage) checking/temporary depositing/
一時預所 [いちじあずかりしょ] /(n) cloakroom/checkroom/
一時預所 [いちじあずかりじょ] /(n) cloakroom/checkroom/
一時凌ぎ [いちじしのぎ] /(n) makeshift/temporary expedient/stopgap measure/
一次 [いちじ] /(adj-na,n,adj-no) first/primary/linear (equation)/first-order/
一次エネルギー [いちじエネルギー] /(n) primary energy/
一次キャッシュ [いちじキャッシュ] /(n) (comp) primary cache/
一次コイル [いちじコイル] /(n) primary coil/primary winding (in transformer)/
一次宇宙線 [いちじうちゅうせん] /(n) primary cosmic rays/
一次回 [いちじかい] /(n,adj-no) first time/initial/
一次回路 [いちじかいろ] /(n) primary circuit/
一次関数 [いちじかんすう] /(n) linear function/
一次記憶 [いちじきおく] /(n) first memory/
一次局 [いちじきょく] /(n) (comp) primary station/
一次群速度インターフェース [いちじぐんそくどインターフェース] /(n) (comp) primary rate interfase/PRI/
一次元 [いちじげん] /(n) one dimensional/
一次産業 [いちじさんぎょう] /(n) primary industry/
一次産品 [いちじさんぴん] /(n) primary products/
一次試験 [いちじしけん] /(n) first stage examination/
一次資料 [いちじしりょう] /(n) (comp) primary source/
一次式 [いちじしき] /(n) linear expression/
一次消費者 [いちじしょうひしゃ] /(n) primary consumer/
一次線輪 [いちじせんりん] /(n) primary coil/
一次遷移 [いちじせんい] /(n) primary succession/
一次電池 [いちじでんち] /(n) primary cell/primary battery/
一次電流 [いちじでんりゅう] /(n) primary current/
一次文献 [いちじぶんけん] /(n) (comp) primary document/
一次変換 [いちじへんかん] /(n) linear transformation/
一次方程式 [いちじほうていしき] /(n) linear equation/
一次又は二次局 [いちじまたはにじきょく] /(n) (comp) primary/secondary/
一次冷却水 [いちじれいきゃくすい] /(n) primary cooling water/
一式 [いっしき] /(n) complete set/all/everything/(P)/
一軸 [いちじく] /(adj-no) uniaxial/
一軸圧縮強さ [いちじくあっしゅくつよさ] /(n) unconfined compression strength/
一軸圧縮試験 [いちじくあっしゅくしけん] /(n) unconfined compression test/
一軸性結晶 [いちじくせいけっしょう] /(n) uniaxial crystal/GE/
一雫 [ひとしずく] /(n-adv,n-t) drop (of fluid)/
一失 [いっしつ] /(n) disadvantage (defect, error)/
一室 [いっしつ] /(n,adj-no) one room/(P)/
一実 [いちじつ] /(n) (Buddh) the one absolute truth/the one reality/
一実神道 [いちじつしんとう] /(n) (abbr) (obsc) Ichijitsu Shinto (alt. name for Hie Shinto: a form of Shinto heavily influenced by Tendai)/
一芝居 [ひとしばい] /(n) trick/act/
一勺 [いっしゃく] /(n) one shaku/
一尺 [いっしゃく] /(n) approx. 30 cm/
一手 [いっしゅ] /(n) (1) one hand/(2) one's own effort/
一手 [いって] /(n) move (in game)/method/single-handed/monopoly/(P)/
一手 [ひとて] /(n) (1) one hand/(2) one's own effort/
一手に [いってに] /(adv) single-handed/
一手販売 [いってはんばい] /(n) sole agency/
一手販売契約 [いってはんばいけいやく] /(n) exclusive distributorship agreement/sole sales contract/
一手販売権 [いってはんばいけん] /(n) exclusive-distributorship/exclusive selling right/
一手販売代理権 [いってはんばいだいりけん] /(n) (obsc) sole agency authority/
一朱銀 [いっしゅぎん] /(n) type of silver coin in the Edo period/
一種 [いっしゅ] /(adv,n) species/kind/variety/(P)/
一種 [ひとくさ] /(adv,n) species/kind/variety/
一首 [いっしゅ] /(n-adv,n-t) tanka/poem/(P)/
一樹 [いちじゅ] /(n) one tree/a tree/
一樹 [いっき] /(n) one tree/a tree/
一周 [いっしゅう] /(n,vs) once around/a revolution/a lap/a turn/a round/one full year/(P)/
一周 [ひとめぐり] /(n,vs) once around/a revolution/a lap/a turn/a round/one full year/
一周忌 [いっしゅうき] /(n) first anniversary of death/
一周期 [いっしゅうき] /(n) period (in astronomy)/
一周年 [いっしゅうねん] /(n) one full year/(P)/
一宗 [いっしゅう] /(n) sect/denomination/
一蹴 [いっしゅう] /(n,vs) kick/rejection/
一蹴り [ひとけり] /(n) kick/rejection/
一週 [いっしゅう] /(n-adv) one week/
一週間 [いっしゅうかん] /(n) one week/(P)/
一汁一菜 [いちじゅういっさい] /(n) one-plate meal/simple meal/austerity diet/
一重 [ひとえ] /(n,adj-no) one layer/single/onefold/(P)/
一重ね [ひとかさね] /(n) suit/set of boxes/
一重まぶた [ひとえまぶた] /(n) single-edged eyelid/
一重継ぎ [ひとえつぎ] /(n) sheep bend (knot)/
一重桜 [ひとえざくら] /(n) cherry tree bearing single blossoms/single cherry blossoms/
一重瞼 [ひとえまぶた] /(n) single-edged eyelid/
一宿 [いっしゅく] /(n,vs) staying one night/
一宿一飯 [いっしゅくいっぱん] /(n) (being beholden to someone for a favor of) a night's lodging and a meal/
一縮 [いっしゅく] /(n,vs) (1) one suit of armour (armor)/(2) wearing armour/(3) armoured warrior/
一熟 [いちじゅく] /(ateji) (n) fig/
一瞬 [いっしゅん] /(n-adv,n-t) moment/instant/(P)/
一瞬間 [いっしゅんかん] /(n) moment/instant/
一瞬絶句 [いっしゅんぜっく] /(n,vs) breaking off short (in one's speech)/rendered speechless for a moment/
一旬 [いちじゅん] /(n) ten days/
一巡 [いちじゅん] /(n,vs) beat/round/
一巡り [ひとめぐり] /(n,vs) once around/a revolution/a lap/a turn/a round/one full year/
一所 [いっしょ] /(n) one place/the same place/
一所 [ひとところ] /(n) one place/the same place/
一所懸命 [いっしょけんめい] /(adj-na,n-adv,n) (1) very hard/with utmost effort/with all one's might/desperately/frantically/for dear life/all-out effort/sticking at living in and defending one place/(2) sticking at living in one place/
一所不住 [いっしょふじゅう] /(n) (1) vagrant/(2) transient lifestyle/
一緒 [いっしょ] /(n-adv,n,adj-no) (1) together/(2) at the same time/(3) same/identical/(P)/
一緒くた [いっしょくた] /(adj-na,n) medley/heterogenous mixture/
一緒に [いっしょに] /(adv) together (with)/at the same time/in a lump/(P)/
一緒にする [いっしょにする] /(exp,vs-i) (1) to unite/to join/to do together/(2) to confuse with/
一緒になる [いっしょになる] /(exp,v5r) to come together/to join/
一書 [いっしょ] /(n) one letter/one book/
一助 [いちじょ] /(n) help/assistance/(P)/
一女 [いちじょ] /(n) daughter/the eldest daughter/woman/(P)/
一勝 [いっしょう] /(n) one win or victory/
一升 [いっしょう] /(n) unit of old Japanese liquid measurement/1800 cc/
一升 [ひとます] /(n) one square on a grid/one cell of a grid/
一升瓶 [いっしょうびん] /(n) 1 sho bottle (1.8 litres)/
一唱三嘆 [いっしょうさんたん] /(n,vs) one reading (of a poem aloud) leaves one with ceaseless sighs of admiration/
一宵 [いっしょう] /(n) (arch) one evening/one night/
一将 [いっしょう] /(n) general (military)/
一渉り [ひとわたり] /(adv) briefly/in general/roughly/glancing through/
一笑 [いっしょう] /(n,vs) laugh/smile/
一笑に付す [いっしょうにふす] /(exp,v5s) to laugh (someone) down/
一笑に付する [いっしょうにふする] /(exp,vs-s) to laugh something off/to shrug a matter off/
一笑千金 [いっしょうせんきん] /(exp) A smile of a beautiful woman is worth a thousand pieces of gold/enchanting smile of a glamorous woman/
一上一下 [いちじょういちげ] /(n,vs) up and down/
一乗 [いちじょう] /(n) (Buddh) ekayana (doctrine that only one teaching, usu. the Lotus Sutra, can lead to enlightenment)/
一場 [いちじょう] /(n) one time (place)/
一場面 [いちばめん] /(n) one scene (in play)/
一条 [いちじょう] /(n) streak/matter/quotation/(P)/
一条の煙 [いちじょうのけむり] /(n) a wisp of smoke/
一畳 [いちじょう] /(n) one mat/
一錠 [いちじょう] /(n) (1) one tablet or pill/(2) tray/salver/
一色 [いっしき] /(adj-na,n) (1) one color/one colour/one article/(2) same tendency/everyone being caught up in the same thing/
一色 [いっしょく] /(adj-na,n) (1) one color/one colour/one article/(2) same tendency/everyone being caught up in the same thing/(P)/
一色 [ひといろ] /(adj-na,n) (1) one color/one colour/one article/(2) same tendency/everyone being caught up in the same thing/
一触即発 [いっしょくそくはつ] /(n,adj-no) critical (touch and go) situation/explosive situation/
一食 [いちじき] /(n) one meal (a day)/
一食 [いっしょく] /(n) one meal (a day)/
一寝入り [ひとねいり] /(n,vs) nap/
一審 [いっしん] /(n) first instance/first trial/(P)/
一心 [いっしん] /(adv,n) (1) one mind/(2) wholeheartedness/one's whole heart/(P)/
一心に [いっしんに] /(adv) wholeheartedly/single-mindedly/fervently/intently/(P)/
一心三観 [いっしんさんがん] /(n) (Buddh) simultaneous contemplation of the threefold truth (form of Tendai meditation)/
一心同体 [いっしんどうたい] /(n) being one in body and soul/of one flesh/two hearts beating as one/
一心不乱 [いっしんふらん] /(adj-na,n) wholeheartedly/with heart and soul/intently/with undivided attention/with intense concentration/single-mindedly/
一新 [いっしん] /(n,vs) complete change/reform/restoration/remodeling/remodelling/renewal/(P)/
一新紀元 [いちしんきげん] /(n) new era/new age/
一新紀元 [いっしんきげん] /(n) new era/new age/
一神教 [いっしんきょう] /(n) monotheism/
一神論 [いっしんろん] /(n) monotheism/
一親等 [いっしんとう] /(n) first degree of kinship/
一身 [いちみ] /(n) partisans/gang/conspirators/
一身 [いっしん] /(n) oneself/one's own interests/throughout the body/(P)/
一身上 [いっしんじょう] /(n,adj-no) personal (affairs)/
一身上の都合 [いっしんじょうのつごう] /(exp) personal reasons/personal matters/personal affairs/
一進一退 [いっしんいったい] /(n,vs,adj-no) now advancing and now retreating/ebb and flow/seesawing/taking alternately favorable and unfavorable turns/
一人 [いちにん] /(n) (1) one person/
一人 [ひとり] /(n) (1) one person/(2) alone/unmarried/solitary/(P)/
一人あたり [ひとりあたり] /(exp,adv) per person/per capita/per head/
一人きり [ひとりきり] /(n,adv) all on one's own/
一人っきり [ひとりっきり] /(n,adv) all on one's own/
一人っ子 [ひとりっこ] /(n) an only child/(P)/
一人っ切り [ひとりっきり] /(n,adv) all on one's own/
一人で [ひとりで] /(exp) alone/by oneself/voluntarily/spontaneously/automatically/(P)/
一人でに [ひとりでに] /(iK) (adv) by itself/automatically/naturally/
一人として [ひとりとして] /(exp) as one of/
一人ひとり [ひとりひとり] /(n-t,suf) one by one/each/one at a time/
一人ぼっち [ひとりぼっち] /(n) aloneness/loneliness/solitude/
一人ぽっち [ひとりぽっち] /(n) aloneness/loneliness/solitude/
一人まえ [いちにんまえ] /(n) (1) becoming adult/attaining full manhood or womanhood/coming of age/(2) one helping/one portion/
一人まえ [ひとりまえ] /(n) (1) becoming adult/attaining full manhood or womanhood/coming of age/(2) one helping/one portion/
一人よがり [ひとりよがり] /(adj-na,n,adj-no) complacent/self-satisfied/self-important/conceited/
一人エッチ [ひとりエッチ] /(n) masturbation/onanism/
一人一人 [ひとりひとり] /(n-t,suf) one by one/each/one at a time/(P)/
一人一人 [ひとりびとり] /(n-t,suf) one by one/each/one at a time/
一人悦に入る [ひとりえつにいる] /(exp,v5r) to be pleased with oneself/to chuckle with delight/
一人会社 [いちにんかいしゃ] /(n) one man company/
一人稽古 [ひとりげいこ] /(n) practicing by oneself/self-instruction/
一人言 [ひとりごと] /(n) soliloquy/monologue/speaking to oneself/
一人合点 [ひとりがってん] /(n,vs) rash assumption/hasty conclusion/
一人合点 [ひとりがてん] /(n,vs) rash assumption/hasty conclusion/
一人残らず [ひとりのこらず] /(exp) everyone/
一人子 [ひとりご] /(n) child/only child/
一人子 [ひとりっこ] /(n) child/only child/
一人芝居 [ひとりしばい] /(n,vs) one man show/performing solo/monodrama/
一人者 [ひとりもの] /(n) single (i.e. unmarried) person/someone alone/
一人住まい [ひとりずまい] /(n) living by oneself/
一人勝手 [ひとりかって] /(adj-na) (very) selfish/self-centered/self-centred/without consulting anybody (else)/
一人称 [いちにんしょう] /(n) (ling) first person/
一人称代名詞 [いちにんしょうだいめいし] /(n) (ling) first person pronoun/
一人乗り [いちにんのり] /(n,adj-no) single seater (e.g. boat, aeroplane, airplane)/
一人寝 [ひとりね] /(n) sleeping alone/
一人切り [ひとりきり] /(n,adv) all on one's own/
一人占め [ひとりじめ] /(n,vs) monopoly/
一人前 [いちにんまえ] /(n) (1) becoming adult/attaining full manhood or womanhood/coming of age/(2) one helping/one portion/(P)/
一人前 [ひとりまえ] /(n) (1) becoming adult/attaining full manhood or womanhood/coming of age/(2) one helping/one portion/
一人前になる [いちにんまえになる] /(exp,v5r) to come of age/to become an adult/to become fully qualified/to stand on one's own/
一人善がり [ひとりよがり] /(adj-na,n,adj-no) complacent/self-satisfied/self-important/conceited/
一人相撲 [ひとりずもう] /(exp) (1) fighting (tilting at) windmills/working oneself up even though there really isn't anything to fight at/(2) single-person mimicking a wrestling match/
一人息子 [ひとりむすこ] /(n) an only son/(P)/
一人天下 [ひとりてんか] /(n) being the sole master of the situation/reigning supreme/standing unchallenged/
一人天下 [ひとりでんか] /(n) being the sole master of the situation/reigning supreme/standing unchallenged/
一人天狗 [ひとりてんぐ] /(n) self-conceited person/ego-tripper/swelled head/
一人当たり [ひとりあたり] /(exp,adv) per person/per capita/per head/
一人当て [ひとりあて] /(exp) per person/
一人当千 [いちにんとうせん] /(n) being a match for a thousand/
一人当千 [いちにんとうぜん] /(n) being a match for a thousand/
一人二役 [ひとりふたやく] /(n) double role/one person playing two roles/wearing two hats/
一人舞台 [ひとりぶたい] /(n) performing solo (by oneself)/having the stage to oneself/being in sole command/eclipsing (outshining) the others/field of activity in which one is unrivaled (unrivalled)/
一人部屋 [ひとりべや] /(n) single room/
一人腹 [ひとりばら] /(n) taking for granted/rash conclusion/
一人物 [いちじんぶつ] /(n) man of some importance/character/(P)/
一人分 [ひとりぶん] /(n) one person's portion/
一人歩き [ひとりあるき] /(n,vs) walking alone/walking unaided/going alone/standing on one's own/
一人暮し [ひとりぐらし] /(n) a single life/a solitary life/living alone/
一人暮らし [ひとりぐらし] /(n) a single life/a solitary life/living alone/(P)/
一人娘 [ひとりむすめ] /(n) only daughter/(P)/
一人遊び [ひとりあそび] /(exp) playing alone/
一人用 [ひとりよう] /(n) for one person's use/
一人立ち [ひとりだち] /(n,vs) being independent/standing on one's own/becoming independent/
一人旅 [ひとりたび] /(n) travelling alone/solitary journey/
一陣 [いちじん] /(n) (1) gust of wind/(2) vanguard/
一陣の風 [いちじんのかぜ] /(n) gust of wind/
一吹き [ひとふき] /(n) blast/puff/whiff/gust/
一推し [いちおし] /(n) (1) recommendation/(something) highly recommended/(vs) (2) to recommend/
一水 [いっすい] /(n) current (of water)/drop/
一水和物 [いっすいわぶつ] /(n) mono-hydrate/
一炊の夢 [いっすいのゆめ] /(n) an empty dream/
一睡 [いっすい] /(n,vs) (usu. in negative sentences) (not) a wink of sleep/
一睡り [ひとねむり] /(iK) (n,vs) (1) (usu. in positive sentences) (a) sleep/(a) nap/(2) first sleep of silkworms/
一寸 [いっすん] /(n) (1) one sun (approx. 3.03 cm)/(2) a little bit (of time, distance, etc.)/
一寸 [ちょっと] /(adv) (1) (uk) just a minute/short time/just a little/(2) somewhat/easily/readily/rather/(3) (before a verb in negative form) (will not) easily/(int) (4) hey!/(P)/
一寸 [ちょと] /(adv) (1) (uk) just a minute/short time/just a little/(2) somewhat/easily/readily/rather/(3) (before a verb in negative form) (will not) easily/(int) (4) hey!/
一寸した [ちょっとした] /(adj-pn) (uk) trifling/petty/
一寸の光陰軽んずべからず [いっすんのこういんかろんずべからず] /(exp) (id) (arch) There isn't a moment to be wasted/Every moment is precious/make hay while the sun shines/
一寸の光陰軽んず可からず [いっすんのこういんかろんずべからず] /(exp) (id) (arch) There isn't a moment to be wasted/Every moment is precious/make hay while the sun shines/
一寸の虫にも五分の魂 [いっすんのむしにもごぶのたましい] /(exp) (id) Tread on a worm and it will turn/
一寸やそっと [ちょっとやそっと] /(n) (uk) (followed by a word in negative form) (not) merely/(not) simply/
一寸宜しい [ちょっとよろしい] /(int) (uk) (can you) spare a little time (to speak)?/(do you) have a moment (to speak)?/
一寸見 [ちょっとみ] /(n) a look or glance/
一寸先 [いっすんさき] /(n) an inch ahead/the immediate future/
一寸先は闇 [いっすんさきはやみ] /(exp) No one knows what the future holds/The future is a closed book/
一寸逃れ [いっすんのがれ] /(n) quibbling/prevarication/
一寸法師 [いっすんぼうし] /(n) (1) dwarf/midget/elf/Tom Thumb/Jack Sprat/(2) Issun-boshi (Japanese fairytale)/
一世 [いっせ] /(n) a lifetime/a generation/foreign immigrant/Japanese immigrant to USA/
一世 [いっせい] /(n) a lifetime/a generation/foreign immigrant/Japanese immigrant to USA/(P)/
一世の雄 [いっせいのゆう] /(n) greatest hero (mastermind) of the age/
一世を風靡する [いっせいをふうびする] /(exp,vs-i) take the world by storm/to hold sway over the minds of the people/
一世一元 [いっせいいちげん] /(n) the practice of assigning one era name to one emperor/
一世一代 [いっせいいちだい] /(ik) (n,adj-no) once in a lifetime/the first and last occurrence (event, experience) of one's lifetime/
一世一代 [いっせいちだい] /(n,adj-no) once in a lifetime/the first and last occurrence (event, experience) of one's lifetime/
一世紀 [いっせいき] /(n) century/
一世風靡 [いっせいふうび] /(n) ruling the times/holding sway over the minds of the people/
一生 [いっしょう] /(n-adv,n-t,adj-no) (1) whole life/a lifetime/all through life/one existence/a generation/an age/the whole world/the era/(adj-no) (2) (the only, the greatest, etc.) of one's life/(P)/
一生けん命 [いっしょうけんめい] /(adj-na,n-adv,n) very hard/with utmost effort/with all one's might/for dear life/
一生もの [いっしょうもの] /(n,adj-no) item that will last a lifetime/
一生涯 [いっしょうがい] /(n-t) lifetime/one's whole life/all through life/
一生懸命 [いっしょうけんめい] /(adj-na,n-adv,n) very hard/with utmost effort/with all one's might/for dear life/(P)/
一生不犯 [いっしょうふぼん] /(n) (strict) observance of the Buddhist precept of lifelong celibacy/
一生物 [いっしょうもの] /(n,adj-no) item that will last a lifetime/
一生面 [いちせいめん] /(n) innovation/new vista or field/
一生面 [いっせいめん] /(n) innovation/new vista or field/
一盛り [ひとさかり] /(n) temporary prosperity/
一盛り [ひともり] /(n) pile/
一声 [いっせい] /(n) voice/cry/shout/
一声 [ひとこえ] /(n) voice/cry/shout/
一斉 [いっせい] /(n-adv,n) simultaneous/all at once/(P)/
一斉に [いっせいに] /(adv) simultaneously/all at once/(P)/
一斉安 [いっせいやす] /(n) all-round (market) decline/
一斉検挙 [いっせいけんきょ] /(n) wholesale arrest/round-up/
一斉高 [いっせいだか] /(n) all-round (market) advance/
一斉射撃 [いっせいしゃげき] /(n) volley firing/fusillade/broadside/
一斉送信 [いっせいそうしん] /(n) (comp) simultaneous transmission/
一隻 [いっせき] /(n) one boat/one ship/
一隻眼 [いっせきがん] /(n) sharp eye/critical eye/discerning eye/an opinion/
一席 [いっせき] /(n) sitting/feast/speech/
一昔 [ひとむかし] /(n) ages/long time/decade/the past ten years/(P)/
一昔前 [ひとむかしまえ] /(n) long ago/previous/of a former age/
一石 [いっこく] /(n) one koku (measure)/
一石 [いっせき] /(n) one game (of go)/(P)/
一石二鳥 [いっせきにちょう] /(exp) killing two birds with one stone/(P)/
一切 [いっさい] /(n-adv,n) all/everything/without exception/the whole/entirely/absolutely/(P)/
一切り [ひときり] /(n) pause/period/step/once/some years ago/
一切れ [ひときれ] /(n) slice/small piece/
一切皆空 [いっさいかいくう] /(exp) matter is void/all is vanity/
一切気にならない [いっさいきにならない] /(exp,adj-i) not be concerned about at all/not mind about at all/not care a bit/
一切経 [いっさいきょう] /(n) complete Buddhist scriptures/
一切合財 [いっさいがっさい] /(n-adv,n-t) any and every thing/altogether/lock, stock, and barrel/the whole shooting match/the whole kit and caboodle/without reserve/
一切合切 [いっさいがっさい] /(n-adv,n-t) any and every thing/altogether/lock, stock, and barrel/the whole shooting match/the whole kit and caboodle/without reserve/
一切衆生 [いっさいしゅじょう] /(n) all living creatures/
一折り [ひとおり] /(n) one box/
一節 [いっせつ] /(n) a verse (e.g. in the Bible)/stanza/paragraph/passage/a joint/section/a tune/note/strain/measure/(P)/
一節 [ひとふし] /(n) a verse (e.g. in the Bible)/stanza/paragraph/passage/a joint/section/a tune/note/strain/measure/
一節歌う [ひとふしうたう] /(v5u) to sing a tune/
一節切り [ひとよぎり] /(n) one-jointed bamboo musical instrument/
一説 [いっせつ] /(n) one theory (opinion)/another theory (opinion)/
一先 [ひとまず] /(adv) (uk) for the present/once/in outline/
一先ず [ひとまず] /(adv) (uk) for the present/once/in outline/
一千 [いっせん] /(n) 1,000/one thousand/(P)/
一戦 [いっせん] /(n,vs) battle/game/bout/(P)/
一洗 [いっせん] /(n,vs) thoroughly wash away/
一線 [いっせん] /(n) line/(P)/
一銭 [いっせん] /(n) one-hundredth of a yen/small amount of money/
一銭を笑う者は一銭に泣く [いっせんをわらうものはいっせんになく] /(exp) (id) Take care of the penny/
一閃 [いっせん] /(n,vs) flash/brandish/
一膳 [いちぜん] /(n) (1) bowl (of rice)/(2) pair (of chopsticks)/
一膳飯屋 [いちぜんめしや] /(n) quick lunch/
一組 [いちくみ] /(n) one class/one set/
一組 [ひとくみ] /(n) one class/one set/
一双 [いっそう] /(n) pair (of screens)/
一叢 [ひとむら] /(n) copse/crowd/herd/
一層 [いっそう] /(adv,adj-no) (1) (uk) much more/still more/all the more/more than ever/(n,adj-no) (2) single layer (or storey, etc.)/(adv) (3) (arch) rather/sooner/preferably/(P)/
一層目 [いっそうめ] /(n) first layer/
一掃 [いっそう] /(n,vs) clean sweep/purging/doing away with/eradication/(P)/
一曹 [いっそう] /(n) master sergeant (JSDF)/
一槽式 [いっそうしき] /(n) one-part washing machine/
一荘 [いいちゃん] /(n) a game of mahjong (chi:)/
一走り [ひとはしり] /(n,vs) spin/run/
一騒動 [ひとそうどう] /(n) disturbance/kerfuffle/
一増一減 [いちぞういちげん] /(n) (Buddh) 16,800,000-year period over which a human lifespan increases from ten years to 84,000 years (by one year per century) and then decreases back to ten (by one year per century)/
一息 [ひといき] /(n,adj-no) (1) one breath/pause/rest/(2) one go (i.e. in a short time)/(3) small amount of effort/
一息入れる [ひといきいれる] /(exp,v1) to take a breather/
一束 [いっそく] /(n,adj-no) a bundle/a hundred/
一束 [ひとたば] /(n,adj-no) a bundle/a hundred/
一足 [いっそく] /(n-adv,n-t) pair (footwear)/(P)/
一足 [ひとあし] /(n) step/(P)/
一足違い [ひとあしちがい] /(n) barely miss (meeting someone, catching a train, etc.)/
一足先 [ひとあしさき] /(n) one step ahead/
一足飛び [いっそくとび] /(n) (at) one bound/
一族 [いちぞく] /(n) (1) family/relatives/dependents/(2) household/(P)/
一族郎党 [いちぞくろうとう] /(n) one's family and followers/one's whole clan/
一続き [ひとつづき] /(n,adj-no) a chain (of)/a series (of)/
一揃い [ひとそろい] /(n) set/suit/
一揃え [ひとそろえ] /(n) set/suit/
一存 [いちぞん] /(n) one's own discretion (idea, responsibility)/
一村 [いっそん] /(n) village/whole village/
一太刀 [ひとたち] /(n) stroke of sword/
一太郎 [いちたろう] /(n) (comp) Ichitaro (word processing package)/
一打 [いちだ] /(n) stroke/blow/(P)/
一打ち [ひとうち] /(n,vs) stroke/blow/
一打逆転 [いちだぎゃくてん] /(n) a complete turnabout via a single blow/
一駄 [いちだ] /(n) horse load/
一体 [いったい] /(adv) (1) ...the heck (e.g. "what the heck?")/...in the world (e.g. "why in the world?")/...on earth (e.g. "who on earth?")/(n) (2) one object/one body/unity/(3) one form/one style/(4) one Buddhist image (or carving, etc.)/(n-adv) (5) generally/in general/(P)/
一体に [いったいに] /(adv) generally/in general/
一体化 [いったいか] /(n,vs) unification/integration/
一体感 [いったいかん] /(n) (feeling of) identification/sense of unity/
一体型 [いったいがた] /(n) combined unit/two-in-one unit/many-in-one unit/integrated model/
一体型モニタ [いったいがたモニタ] /(n) (comp) built-in monitor/
一体性 [いったいせい] /(n) oneness/unity/integrity/inclusion/
一体全体 [いったいぜんたい] /(adv) ... the heck (e.g. "what the heck?")/... in the world (e.g. "why in the world?")/... on earth (e.g. "who on earth?")/
一対 [いっつい] /(n,adj-no) pair (of screens or vases, etc.)/
一対一 [いったいいち] /(n,adj-no) one-to-one/(P)/
一対一の写像 [いちたいいちのしゃぞう] /(n) one-to-one mapping/1-to-1 mapping/
一対多 [いちたいた] /(n,adj-no) one-to-many/
一帯 [いったい] /(n) region/zone/whole place/(P)/
一袋 [ひとふくろ] /(n) a bag/one bag/
一隊 [いったい] /(n) party/gang/company/squad/
一代 [いちだい] /(n) generation/lifetime/age/(P)/
一代記 [いちだいき] /(n) biography/
一代雑種 [いちだいざっしゅ] /(n) F1 hybrid/first filial hybrid/first cross/
一代年寄 [いちだいとしより] /(n) special sumo coaching stock awarded to retired grand champion/
一代年寄り [いちだいとしより] /(n) special sumo coaching stock awarded to retired grand champion/
一代分限 [いちだいぶげん] /(n) new money/nouveau riche/person who has amassed substantial wealth in his lifetime/
一代分限 [いちだいぶんげん] /(n) new money/nouveau riche/person who has amassed substantial wealth in his lifetime/
一台 [いちだい] /(n) one machine/one vehicle/
一大 [いちだい] /(n) one large .../a great .../(P)/
一大決心 [いちだいけっしん] /(n,vs) momentous (crucial) decision/
一大事 [いちだいじ] /(n) serious affair/
一大旋風 [いちだいせんぷう] /(n) great sensation/taking something by storm/making a splash/
一大鉄槌 [いちだいてっつい] /(n) dealing a hard (heavy, crushing) blow (to)/
一大転機 [いちだいてんき] /(n) significant turning point/
一択 [いったく] /(n) (sl) (only) one option (game slang)/one possible choice/
一諾 [いちだく] /(n) consent/
一諾千金 [いちだくせんきん] /(exp) one's word is worth 1,000 pieces of gold/a promise should be kept at all cost/
一旦 [いったん] /(adv) (1) (uk) once/(2) for a moment/temporarily/(n) (3) (arch) one morning/(P)/
一旦緩急 [いったんかんきゅう] /(exp) (when) danger threatens/should an emergency occur/
一端 [いったん] /(n) (1) one end/an end/(2) part/fragment/(P)/
一端 [いっぱし] /(adv,adj-no) (uk) competent enough/pretty good/like other people/
一団 [いちだん] /(n,adj-no) body/group/party/gang/troupe/(P)/
一段 [いちだん] /(adv-to,adv) (1) more/much more/still more/all the more/(n) (2) step/rung/level/rank/(3) paragraph/passage/(4) Japanese verb group/(5) first rank (in martial arts, etc.)/(P)/
一段 [いったん] /(n) one-tenth hectare/
一段階層分類体系 [いちだんかいそうぶんるいたいけい] /(n) (comp) hierarchical classification system/monohiererchical classification system/
一段活用 [いちだんかつよう] /(n) conjugation (inflection, declension) of ichidan verbs/
一段上 [いちだんうえ] /(n) a cut above/one step above/
一段動詞 [いちだんどうし] /(n) ichidan verb (one of the two main conjugation classes of verbs in modern Japanese, usually ending in -eru or -iru)/type II verb/
一段落 [いちだんらく] /(n,vs) completing the first stage/reaching a point where one can pause/(P)/
一段落 [ひとだんらく] /(n,vs) completing the first stage/reaching a point where one can pause/
一段落付ける [いちだんらくつける] /(v1) to complete the first stage of/to settle for the time being/
一男 [いちなん] /(n) boy/eldest son/(P)/
一知半解 [いっちはんかい] /(adj-na,n) superficial knowledge/half knowledge/
一致 [いっち] /(n,vs) (1) coincidence/agreement/union/match/(2) conformity/consistency/(3) cooperation/(P)/
一致ゲート [いっちゲート] /(n) (comp) identity gate/identity element/
一致演算 [いっちえんざん] /(n) (comp) identity operation/
一致協力 [いっちきょうりょく] /(n,vs) combined (concerted) efforts/solidarity/joining forces (with)/
一致結束 [いっちけっそく] /(n,vs) closing ranks/uniting and working together/coming together for fighting/
一致指数 [いっちしすう] /(n) coincident indicator/
一致素子 [いっちそし] /(n) (comp) identity gate/identity element/
一致団結 [いっちだんけつ] /(n,vs) solidarity/banding together and working as one for a common cause/
一致点 [いっちてん] /(n) point of agreement/
一致判定 [いっちはんてい] /(n) (comp) matching/
一着 [いっちゃく] /(n-t) first arrival/first in race/suit of clothes/(P)/
一中節 [いっちゅうぶし] /(n) type of Joruri (dramatic recitation accompanied by a shamisen)/
一昼夜 [いっちゅうや] /(n-adv,n-t) whole day and night/24 hours/
一丁 [いっちょう] /(n-adv) (1) one block (city)/(2) piece/an order/(P)/
一丁字 [いっちょうじ] /(n) single letter or character/
一丁字 [いっていじ] /(n) single letter or character/
一丁前 [いっちょうまえ] /(adj-na,n) becoming an adult or full-fledged member of (a) society/
一丁前 [いっちょまえ] /(adj-na,n) becoming an adult or full-fledged member of (a) society/
一丁目 [いっちょうめ] /(n) Block 1/
一兆 [いっちょう] /(n) 1,000,000,000,000/one trillion/one billion (obs. British)/
一帖 [いちじょう] /(n) quire (of paper)/
一帳羅 [いっちょうら] /(n) one's (only) good suit (or kimono)/
一張 [いっちょう] /(n) one pair (set) of clothes/
一張一弛 [いっちょういっし] /(n) tension and relaxation/
一張羅 [いっちょうら] /(n) one's (only) good suit (or kimono)/
一朝 [いっちょう] /(n-adv,n-t) temporarily/short period/once/one morning/
一朝一夕 [いっちょういっせき] /(n) in a day/in a brief space of time/
一朝一夕に [いっちょういっせきに] /(adv) in a day/in a brief interval/
一朝有事 [いっちょうゆうじ] /(exp) (when) the time of need arises/should an emergency occur/
一長一短 [いっちょういったん] /(n) (something having its) merits and demerits/advantages and disadvantages/good points and shortcomings/
一直 [いっちょく] /(n) lining out to first base/
一直線 [いっちょくせん] /(n) straight line/(P)/
一通 [いっつう] /(n) one copy (of a document)/one letter/(P)/
一通り [ひととおり] /(n,adj-no) (1) from start to end/in general/(2) ordinary/usual/(adv) (3) briefly/roughly/(n) (4) one method/(P)/
一通り揃う [ひととおりそろう] /(exp,v5u) to have the (full, general) selection available/to have (a lineup) from A to Z/to have the full array of/
一掴み [ひとつかみ] /(n) handful/
一坪運動 [ひとつぼうんどう] /(n) campaign to prevent a public construction work by acquiring a minuscule tract of land/
一坪本社 [ひとつぼほんしゃ] /(n) small company headquarters located in Tokyo simply for name value/
一定 [いちじょう] /(n,adj-no,vs,adj-na) fixed/settled/constant/definite/uniform/regularized/regularised/defined/standardized/standardised/certain/prescribed/
一定 [いってい] /(n,adj-no,vs,adj-na) fixed/settled/constant/definite/uniform/regularized/regularised/defined/standardized/standardised/certain/prescribed/(P)/
一定ビットレート [いっていビットレート] /(n) (comp) constant bit rate/
一定温度 [いっていおんど] /(n) constant temperature/
一定期間 [いっていきかん] /(n-t) fixed interval/fixed period/
一定不変 [いっていふへん] /(n) invariable/permanent/
一定量 [いっていりょう] /(n) fixed amount/
一摘み [ひとつまみ] /(n) (1) pinch (of something)/one piece/(2) easy victory/
一滴 [いってき] /(n-adv,n-t) drop (of fluid)/
一滴 [ひとしずく] /(n-adv,n-t) drop (of fluid)/
一徹 [いってつ] /(adj-na,n,adj-no) obstinate/stubborn/inflexible/
一徹者 [いってつもの] /(n) stubborn person/
一徹短慮 [いってつたんりょ] /(n,adj-na) stubborn and short-tempered/
一天 [いってん] /(n) the whole sky/firmament/
一天四海 [いってんしかい] /(n) the world/the universe/
一天万乗 [いってんばんじょう] /(n) the whole realm/
一纏 [ひとまとめ] /(n) bundle/pack/bunch/
一纏まり [ひとまとまり] /(n) (a) bunch/(a) bundle/
一纏め [ひとまとめ] /(n) bundle/pack/bunch/
一転 [いってん] /(n-adv) turn/complete change/
一転機 [いちてんき] /(n) turning point/
一転機 [いってんき] /(n) turning point/
一点 [いってん] /(n) speck/dot/point/only a little/particle/only one/(P)/
一点一画 [いってんいっかく] /(n) the i's and the t's/(not neglecting) the slightest detail/
一点機 [いちてんき] /(n) turning point/
一点大螟蛾 [いってんおおめいが] /(n) (uk) (obsc) yellow stem borer (species of moth, Scirpophaga incertulas)/
一点張り [いってんばり] /(n) persistence/
一兎 [いっと] /(n) (arch) one rabbit/
一斗 [いっと] /(n) 1 to (~18l)/
一斗缶 [いっとかん] /(n) eighteen litre drum/
一斗枡 [いっとます] /(n) 18-litre measuring container/
一渡 [ひとわたり] /(adv) briefly/in general/roughly/glancing through/
一渡り [ひとわたり] /(adv) briefly/in general/roughly/glancing through/
一途 [いちず] /(adj-na,n) wholeheartedly/earnestly/(P)/
一途 [いっと] /(n) way/course/the only way/
一途に [いちずに] /(adv) wholeheartedly/
一度 [いちど] /(n-adv) (1) once/one time/on one occasion/(2) one degree/one tone/one musical interval/(P)/
一度 [ひとたび] /(n-adv) (1) once/one time/on one occasion/(2) temporarily/for a moment/
一度だけ [いちどだけ] /(exp) only once/
一度ならず [いちどならず] /(exp) not just once/more than once/many times/again and again/
一度に [いちどに] /(adv) all at once/(P)/
一度も [いちども] /(adv) never (in sentence with neg. verb)/
一度丈 [いちどだけ] /(exp) only once/
一党 [いっとう] /(n,adj-no) party/clique/(P)/
一党一派 [いっとういっぱ] /(n) party/faction/
一党支配 [いっとうしはい] /(n) one-party rule/
一党独裁 [いっとうどくさい] /(n) one-party rule/
一党独裁制 [いっとうどくさいせい] /(n) system of one-party rule/system of single-party rule/
一刀 [いっとう] /(n) (1) sword/blade/(2) single stroke/
一刀 [ひとかたな] /(n) (1) single stroke/
一刀彫り [いっとうぼり] /(n) one-knife carving/
一刀両断 [いっとうりょうだん] /(n) cutting in two with a single stroke/taking decisive (drastic) measure/cutting the (Gordian) knot/
一棟 [ひとむね] /(n) one house/the same house/
一棟借り [ひとむねがり] /(n,vs) wholesale lease (on a building)/
一盗二婢 [いっとうにひ] /(exp) The most thrilling types of sexual relationship for a man are, first, stealing someone's wife and, second, with a maidservant/
一等 [いっとう] /(n,adj-no) first-class/first-rank/A1/the most/the best/
一等海佐 [いっとうかいさ] /(n) captain (in the Maritime Self Defence Force)/
一等軍曹 [いっとうぐんそう] /(n) sergeant first-class/
一等航海士 [いっとうこうかいし] /(n) first mate/first officer/
一等国 [いっとうこく] /(n) first-class power/
一等最初 [いっとうさいしょ] /(adv) first off/first thing/
一等車 [いっとうしゃ] /(n) first-class carriage (coach)/
一等賞 [いっとうしょう] /(n) first place prize/blue ribbon/
一等親 [いっとうしん] /(n) first-degree relative/member of one's immediate family/
一等星 [いっとうせい] /(n) first-magnitude star/
一等卒 [いっとうそつ] /(n) private first-class/
一等鯛 [いっとうだい] /(n) (uk) North Pacific squirrelfish (Sargocentron spinosissimum)/
一等地 [いっとうち] /(n) best (residential) district (in town)/
一等兵 [いっとうへい] /(n) private (e-2)/pfc/
一等陸士 [いっとうりくし] /(n) private first-class/
一統 [いっとう] /(n) lineage/line/unification/all (of you)/
一頭 [いっとう] /(n) one large animal (horses, cattle, etc.)/head (of cattle)/
一頭引き [いっとうびき] /(n) one-horse (carriage)/
一頭牽き [いっとうびき] /(n) one-horse (carriage)/
一頭地を抜く [いっとうちをぬく] /(exp,v5k) to cut a conspicuous figure/to be by far the best/
一頭立て [いっとうだて] /(exp) one-horse (carriage)/
一同 [いちどう] /(n) all present/all concerned/all of us/(P)/
一堂 [いちどう] /(n) one building (hall, temple, shrine, room)/(P)/
一道 [いちどう] /(n) one road/ray (of hope)/
一得 [いっとく] /(n) one advantage/merit/
一得一失 [いっとくいっしつ] /(n) gaining some and losing some/(something having its) advantages and disadvantages/
一徳 [いっとく] /(n) virtue/
一読 [いちどく] /(n,vs) perusal/one reading/
一読の価値がある [いちどくのかちがある] /(exp) to be worth reading/
一読の価値が有る [いちどくのかちがある] /(exp) to be worth reading/
一読三嘆 [いちどくさんたん] /(n,vs) a reading leaves one with ceaseless sighs of admiration/
一読三歎 [いちどくさんたん] /(n,vs) a reading leaves one with ceaseless sighs of admiration/
一読呆然 [いちどくぼうぜん] /(n,vs) a (single) reading (a perusal) leaves one dumbfounded/
一呑み [ひとのみ] /(n) (1) swallowing in one gulp/downing/mouthful/bite/(2) sipping/sip/(3) thinking nothing of one's opponent/making easy prey of someone/
一難 [いちなん] /(n) one difficulty/one danger/
一難去ってまた一難 [いちなんさってまたいちなん] /(exp) (it's been) one thing after another/
一二 [いちに] /(n) the first and second/a few/(P)/
一二に及ばず [いちににおよばず] /(exp) right away/without waiting around/
一二を争う [いちにをあらそう] /(exp,v5u) to compete for the first place/to be one of the best/
一日 [いちじつ] /(n) (1) first day of the month/(2) one day/
一日 [いちにち] /(n) (1) first day of the month/(2) one day/(P)/
一日 [いっぴ] /(n) (1) first day of the month/
一日 [ついたち] /(n) (1) first day of the month/(2) (arch) first ten days of the lunar month/(P)/
一日 [つきたち] /(n) (1) (arch) first day of the month/(2) first ten days of the lunar month/
一日 [ひとえ] /(ok) (n) (1) first day of the month/(2) one day/
一日 [ひとひ] /(ok) (n) (1) first day of the month/(2) one day/
一日の長 [いちじつのちょう] /(n) superiority/
一日を過ごす [いちにちをすごす] /(exp,v5s) to pass a day/
一日一善 [いちにちいちぜん] /(n) doing a good deed each day/doing one good turn a day/
一日一日 [いちにちいちにち] /(adv,adv-to) (1) gradually/day by day/(n) (2) every day/each day/
一日一夜 [いちにちいちや] /(n) all day and night/
一日三秋 [いちじつさんしゅう] /(n) (waiting) impatiently/(spending) many a weary day/each moment seeming like an eternity/
一日三秋 [いちにちさんしゅう] /(n) (waiting) impatiently/(spending) many a weary day/each moment seeming like an eternity/
一日千秋 [いちじつせんしゅう] /(n) (waiting) impatiently/(spending) many a weary day/each moment seeming like an eternity/
一日千秋 [いちにちせんしゅう] /(n) (waiting) impatiently/(spending) many a weary day/each moment seeming like an eternity/
一日増しに [いちにちましに] /(adv) day by day/
一日置き [いちにちおき] /(n-t) every other day/
一日中 [いちにちじゅう] /(n) throughout the day/(P)/
一日二日 [いちにちふつか] /(n,adv) a day or two/
一日片時 [いちにちへんじ] /(n) short time/
一日路 [いちにちじ] /(n) day's journey/
一入 [ひとしお] /(adv,n) still more/especially/
一如 [いちにょ] /(n) oneness/
一任 [いちにん] /(n,vs) entrusting/(P)/
一年 [いちねん] /(n) one year/some time ago/
一年 [ひととし] /(n) one year/some time ago/
一年 [ひととせ] /(n) one year/some time ago/
一年の計は元旦にあり [いちねんのけいはがんたんにあり] /(exp) the whole year's plans are made on New Year's Day/when doing something start with the plan/
一年の計は元旦に在り [いちねんのけいはがんたんにあり] /(exp) (id) New Year's Day is the key to a successful year/
一年以内に [いちねんいないに] /(adv) within a year/
一年間 [いちねんかん] /(n) (period of) one year/
一年生 [いちねんせい] /(n) (1) annual (plant)/(2) first-year university or high-school student (esp. US)/freshman/(P)/
一年生植物 [いちねんせいしょくぶつ] /(n) an annual (plant)/
一年生草本 [いちねんせいそうほん] /(n) annual herb/
一年前 [いちねんまえ] /(n-t) one year ago/
一年草 [いちねんそう] /(n) annual (plant)/
一年中 [いちねんじゅう] /(n-adv,n-t) all year round/(P)/
一年半 [いちねんはん] /(n) one year and a half/
一年毎 [いちねんごと] /(adv) every (one) year/
一年有半 [いちねんゆうはん] /(n) (obsc) one year and a half/
一念 [いちねん] /(n) (1) determined purpose/(2) (Buddh) an incredibly short span of time (i.e. the time occupied by a single thought)/(3) (Buddh) a single repetition of a prayer (esp. in Jodo-shu)/
一念ほっき [いちねんほっき] /(n,vs) being resolved to (do something)/having a wholehearted intention/
一念天に通ず [いちねんてんにつうず] /(exp) (id) Faith will move mountains/
一念発起 [いちねんほっき] /(n,vs) being resolved to (do something)/having a wholehearted intention/
一捻り [ひとひねり] /(n,vs) a reworking/a pushover/
一把 [いちわ] /(n) bundle/bunch/
一派 [いっぱ] /(n) school/sect/party/(P)/
一敗 [いっぱい] /(n,vs) one defeat/(P)/
一敗地に塗れる [いっぱいちにまみれる] /(exp,v1) to meet with defeat/
一杯 [いっぱい] /(adj-na,adv,n,adj-no) (1) amount necessary to fill a container (e.g. a cupful, spoonful, etc.)/a drink (i.e. an alcoholic beverage)/(2) full/(3) one squid, octopus, crab, etc./one boat/(adv,adj-no,adj-na) (4) (uk) fully/to capacity/(5) (uk) a lot/much/(n-suf,n-adv) (6) (uk) all of .../the entire .../(P)/
一杯一杯 [いっぱいいっぱい] /(adj-na,n-adv,n) (1) one cup after another/cup by cup/(2) to the limit/to the fullest extent/absolutely the limit/the best one can do/breaking even/
一杯飲み屋 [いっぱいのみや] /(n) cheap drinking spot (pub, tavern, etc.)/
一杯飲屋 [いっぱいのみや] /(n) cheap drinking spot (pub, tavern, etc.)/
一杯機嫌 [いっぱいきげん] /(n,adj-no) slight intoxication/
一杯食う [いっぱいくう] /(exp,v5u) to be deceived/
一杯食わされる [いっぱいくわされる] /(exp,v1) to be taken in/to be duped/to be deceived/
一杯食わす [いっぱいくわす] /(v5s) to play a trick on/
一杯呑屋 [いっぱいのみや] /(n) cheap drinking spot (pub, tavern, etc.)/
一倍 [いちばい] /(n,vs) one share/one amount/(P)/
一倍体 [いちばいたい] /(n) (obsc) monoploid/
一拍 [いっぱく] /(n) (1) one clap/(2) one beat/(3) one mora (taken as a unit of time)/
一泊 [いっぱく] /(n,vs,adj-no) stopping one night/(P)/
一泊行軍 [いっぱくこうぐん] /(n) an overnight march/
一白 [いっぱく] /(n) (1) first of nine traditional astrological signs (corresponding to Mercury and north)/(2) white patch on one foot of a horse/horse with such a patch/(3) surface (landscape) that is white all over/pure white/
一箱 [いっぱこ] /(n) a (one) box/
一箱 [ひとはこ] /(n) a (one) box/
一肌脱ぐ [ひとはだぬぐ] /(v5g) to pitch in and help/
一八 [いちはつ] /(n) wall iris/roof iris/Iris tectorum/fleur-de-lis/
一発 [いっぱつ] /(n-adv,n-t) (1) one shot/round/charge/(2) homerun (baseball)/(P)/
一発かます [いっぱつかます] /(v5s) (sl) to hit someone/
一発やる [いっぱつやる] /(v5r) (sl) (vulg) to have sex/to bang someone/
一発屋 [いっぱつや] /(n) all-or-nothing gambler/power hitter (baseball)/slugger/one hit wonder (e.g. in music)/
一発回答 [いっぱつかいとう] /(n) first and final offer in labor-management negotiations/
一発逆転 [いっぱつぎゃくてん] /(n,vs) turning things around with a home run/turning the tables with a single successful attack (move)/
一発芸 [いっぱつげい] /(n) one-liner/funny joke/gag/quick trick/
一発勝負 [いっぱつしょうぶ] /(n) contest decided by a single round (bout)/contest decided by a single roll of dice/one-shot game (contest)/make-or-break game/
一発抜く [いっぱつぬく] /(v5k) to ejaculate (gen. with ref. to masturbation)/
一発必中 [いっぱつひっちゅう] /(n) success on the first try (attempt)/
一発放つ [いっぱつはなつ] /(v5t) to break wind/to have a shot/
一髪 [いっぱつ] /(n) hair/hair's breadth/
一罰百戒 [いちばつひゃっかい] /(n) punishing a crime to make an example for others/
一半 [いっぱん] /(n) half/part/
一反 [いったん] /(n) one-tenth hectare/
一斑 [いっぱん] /(n) spot (glimpse, outline)/sighting/
一版 [いっぱん] /(n) an edition/
一般 [いっぱん] /(n,adj-no) general/liberal/universal/ordinary/average/(P)/
一般に [いっぱんに] /(adv) in general/generally/(P)/
一般ピープル [いっぱんピープル] /(n) (sl) ordinary people (gen. impolite)/
一般ピーポー [いっぱんピーポー] /(n) (sl) ordinary people (gen. impolite)/
一般ユーザ [いっぱんユーザ] /(n) (comp) general user/
一般リリース [いっぱんリリース] /(n) (comp) general release/
一般意志 [いっぱんいし] /(n) the general will/volonte generale/
一般意味論 [いっぱんいみろん] /(n) general semantics/
一般医 [いっぱんい] /(n) general practitioner/GP/
一般化 [いっぱんか] /(n,vs) generalization/generalisation/popularization/popularisation/
一般化構造体要素 [いっぱんかこうぞうたいようそ] /(n) (comp) generalized structure element/
一般化作画基本要素 [いっぱんかさくがきほんようそ] /(n) (comp) generalized drawing primitive/
一般会計 [いっぱんかいけい] /(n) general accounting and finance/
一般会計歳出 [いっぱんかいけいさいしゅつ] /(n) general account expenditure/
一般会計予算 [いっぱんかいけいよさん] /(n) general account budget/
一般開業医 [いっぱんかいぎょうい] /(n) general practitioner/GP/
一般概念 [いっぱんがいねん] /(n) general idea/
一般角 [いっぱんかく] /(n) general angle/
一般官庁 [いっぱんかんちょう] /(n) general government office/
一般競争入札 [いっぱんきょうそうにゅうさつ] /(n) open tendering/open competitive bidding/
一般協定 [いっぱんきょうてい] /(n) general agreement/
一般教育 [いっぱんきょういく] /(n,adj-no) general education/
一般教書 [いっぱんきょうしょ] /(n) State of the Union message/
一般教養 [いっぱんきょうよう] /(n,adj-no) general education/
一般均衡理論 [いっぱんきんこうりろん] /(n) general equilibrium theory/
一般区切り子 [いっぱんくぎりし] /(n) (comp) general delimiter (role)/
一般区切り子機能 [いっぱんくぎりしきのう] /(n) (comp) general delimiter role/
一般原則 [いっぱんげんそく] /(n) (comp) general principle/
一般言語学 [いっぱんげんごがく] /(n) general linguistics/
一般公開 [いっぱんこうかい] /(n,vs) (1) open to the public/(n) (2) (comp) read permission: anybody/
一般向き [いっぱんむき] /(adj-no) popular/general (public)/
一般向け [いっぱんむけ] /(exp) for the general public/
一般歳出 [いっぱんさいしゅつ] /(n) general expenditures/general spending/
一般自動動作 [いっぱんじどうどうさ] /(n) (comp) general-auto-action/
一般式 [いっぱんしき] /(n) general expression/
一般質問 [いっぱんしつもん] /(n) general interpellation/
一般実体 [いっぱんじったい] /(n) (comp) general entity/
一般実体参照 [いっぱんじったいさんしょう] /(n) (comp) general entity reference/
一般社会 [いっぱんしゃかい] /(n) general public/
一般取引条件契約書 [いっぱんとりひきじょうけんけいやくしょ] /(n) memorandum of agreement on general trade terms and conditions/
一般消費税 [いっぱんしょうひぜい] /(n) general consumption tax/
一般職 [いっぱんしょく] /(n) clerical position (e.g. in the civil service)/general office work/
一般色 [いっぱんしょく] /(n) (comp) general colour/
一般人 [いっぱんじん] /(n) an ordinary person/
一般性 [いっぱんせい] /(n) generality/
一般生活 [いっぱんせいかつ] /(n) everyday life/
一般税率 [いっぱんぜいりつ] /(n) general tariff/
一般席 [いっぱんせき] /(n) general admission seat/
一般責任 [いっぱんせきにん] /(n) public liability/
一般選挙 [いっぱんせんきょ] /(n) general election (of all members of a local government body)/
一般相対性理論 [いっぱんそうたいせいりろん] /(n) general theory of relativity/
一般相対論 [いっぱんそうたいろん] /(n) (abbr) general theory of relativity/
一般属性 [いっぱんぞくせい] /(n) (comp) general-attribute/
一般大衆 [いっぱんたいしゅう] /(n) ordinary people/general public/public at large/
一般的 [いっぱんてき] /(adj-na) popular/typical/general/(P)/
一般的なルールとして [いっぱんてきなルールとして] /(exp) as a general rule/
一般的傾向 [いっぱんてきけいこう] /(n) general trend/
一般適合性 [いっぱんてきごうせい] /(n) (comp) general conformance/
一般投票 [いっぱんとうひょう] /(n) referendum/popular vote/plebiscite/
一般動詞 [いっぱんどうし] /(n) (ling) general verbs/
一般特恵関税 [いっぱんとっけいかんぜい] /(n) general preferential duties/general preferential taxes/
一般廃棄物 [いっぱんはいきぶつ] /(n) domestic waste/general waste/non-industrial waste/
一般配布 [いっぱんはいふ] /(n) (comp) general distribution (of software, e.g.)/
一般分類体系 [いっぱんぶんるいたいけい] /(n) (comp) universal classification system/general classification system/
一般保護違反 [いっぱんほごいはん] /(n) (comp) general protection fault/GPF/
一般法 [いっぱんほう] /(n) general law/
一般幕僚 [いっぱんばくりょう] /(n) general staff/
一般名 [いっぱんめい] /(n) generic name/common name/
一般名詞 [いっぱんめいし] /(n) (ling) common noun/
一般命令演算機構 [いっぱんめいれいえんざんきこう] /(n) (comp) general instruction unit (computer)/
一般論 [いっぱんろん] /(n) prevailing view/common opinion/general consideration/
一飯 [いっぱん] /(n) bowl of rice/meal/
一晩 [ひとばん] /(n-adv,n-t) one evening/all night/overnight/(P)/
一晩中 [ひとばんじゅう] /(n) all night long/all through the night/(P)/
一番 [いちばん] /(n-adv) (1) best/first/number one/(2) game/round/bout/fall/event (in a meet)/(P)/
一番 [ひとつがい] /(n) (uk) pair/couple/brace/
一番下 [いちばんした] /(n,adj-no) bottommost/lowest/nadir/
一番鶏 [いちばんどり] /(n) first cockcrowing/
一番手 [いちばんて] /(n) first player/first worker/(P)/
一番出世 [いちばんしゅっせ] /(n) newly recruited sumo wrestlers in the first round of presentation after mae-zumo/
一番勝負 [いちばんしょうぶ] /(n) contest decided by a single round (bout)/contest decided by a single roll of dice/one-shot game (contest)/make-or-break game/
一番上 [いちばんうえ] /(adj-no) topmost/
一番乗り [いちばんのり] /(n,vs) leader of a charge/first to arrive/(P)/
一番星 [いちばんぼし] /(n) the first star to appear in the evening/
一番線 [いちばんせん] /(n) track no. 1/
一番多い [いちばんおおい] /(adj-i) most numerous/
一番太鼓 [いちばんだいこ] /(n) beating of a drum as a signal to announce the opening (beginning) of an event (theatrical performance, festival, etc.)/
一番茶 [いちばんちゃ] /(n) first-grade tea (first picking)/
一番弟子 [いちばんでし] /(n) the (one's) best pupil/the (one's) top disciple/
一番風呂 [いちばんぶろ] /(n) freshly drawn bath/(taking) a bath before anyone else/
一番魅力的 [いちばんみりょくてき] /(adj-na) most attractive/
一番目 [いちばんめ] /(n) the first/
一皮 [ひとかわ] /(n) unmasking/
一皮むく [ひとかわむく] /(exp,v5k) to take a veneer off something/
一皮剥く [ひとかわむく] /(exp,v5k) to take a veneer off something/
一飛 [いちひ] /(n) first fly/
一匹 [いっぴき] /(n) (1) one animal (small)/(2) (arch) two-tan bolt of cloth/
一匹オオカミ [いっぴきオオカミ] /(n) lone wolf/loner/self-reliant person/
一匹狼 [いっぴきおおかみ] /(n) lone wolf/loner/self-reliant person/
一疋 [いっぴき] /(n) (1) one animal (small)/
一筆 [いっぴつ] /(n-adv,n-t) a few lines/stroke of pen/
一筆 [ひとふで] /(n-adv,n-t) a few lines/stroke of pen/
一筆啓上 [いっぴつけいじょう] /(exp) Just a short note to tell you .../This will just be a short note. (a set formula of greeting used by a man at the beginning of a brief note)/
一筆書き [ひとふでがき] /(n) one-stroke sketch/
一筆書く [ひとふでかく] /(v5k) to drop a few lines/
一姫二太郎 [いちひめにたろう] /(n) It's good to have a girl first and then a boy/
一俵 [いっぴょう] /(n) one (straw) bagful/
一票 [いっぴょう] /(n) ballot/vote/(P)/
一病息災 [いちびょうそくさい] /(exp) one who experiences a chronic ailment takes better care of his health and lives longer/
一秒 [いちびょう] /(n) one second/
一品 [いっぴん] /(n) (1) item/article/(2) dish/course/(P)/
一品 [ひとしな] /(n) (1) item/article/(2) dish/course/
一品料理 [いっぴんりょうり] /(n,adj-no) service a la carte/
一頻り [ひとしきり] /(adv) for a while/
一瓶 [ひとびん] /(n,adj-no) a (one) bottle/
一夫一妻 [いっぷいっさい] /(n,adj-no) monogamy/
一夫一婦 [いっぷいっぷ] /(n,adj-no) monogamy/
一夫多妻 [いっぷたさい] /(n,adj-no) polygamy/polygyny/
一夫多妻制 [いっぷたさいせい] /(n) polygamy/
一部 [いちぶ] /(n-adv,n) (1) one part/one portion/one section/some/(2) one copy (e.g. of a document)/(P)/
一部のすきもない [いちぶのすきもない] /(iK) (exp,adj-i) impeccable/
一部の隙もない [いちぶのすきもない] /(iK) (exp,adj-i) impeccable/
一部始終 [いちぶしじゅう] /(n) full particulars/the whole story/from beginning to end/
一部分 [いちぶぶん] /(n) part/portion/section/(P)/
一部保険 [いちぶほけん] /(n,adj-no) under-insurance/
一封 [いっぷう] /(n) sealed letter/sealed document/enclosure/
一風 [いっぷう] /(n) eccentric/(P)/
一風景 [いちふうけい] /(exp) one scene/
一風景 [いっぷうけい] /(exp) one scene/
一風変った [いっぷうかわった] /(adj-f) eccentric/queer/unconventional/peculiar/original/
一風変わった [いっぷうかわった] /(adj-f) eccentric/queer/unconventional/peculiar/original/
一風呂 [ひとふろ] /(n) (a) bath/
一幅 [いっぷく] /(n) (a) scroll/
一服 [いっぷく] /(n,vs) (a) dose/(a) puff/(a) smoke/lull/short rest/
一服を盛る [いっぷくをもる] /(exp,v5r) to drug (someone, food, drink)/
一服飲む [いっぷくのむ] /(v5m) to have a smoke/
一服休憩 [いっぷくきゅうけい] /(n,vs) tea (coffee, cigarette) break/
一服盛る [いっぷくもる] /(v5r) to drug (someone, food, drink)/
一腹 [いっぷく] /(n) one litter/one clutch (e.g. eggs)/
一物 [いちぶつ] /(n) (1) plot/ulterior motive/secret intention/(2) thing/article/(3) penis/
一物 [いちもつ] /(n) (1) plot/ulterior motive/secret intention/(2) thing/article/(3) penis/
一物一価の法則 [いちぶついっかのほうそく] /(n) law of one price/
一分 [いちぶ] /(n) one tenth/one hundredth/one percent/one tenth of a sun/one quarter ryou (an old coin)/(P)/
一分 [いちぶん] /(n) duty/honor/honour/
一分 [いっぷん] /(n) (a) minute/
一分のすきもない [いちぶのすきもない] /(exp,adj-i) impeccable/
一分の隙もない [いちぶのすきもない] /(exp,adj-i) impeccable/
一分一厘 [いちぶいちりん] /(n) (not even) a bit of/(not even) a hint of/(not) an iota of/
一分一厘も違わず [いちぶいちりんもたがわず] /(exp) to be exactly alike/
一分金 [いちぶきん] /(n) a gold quarter ryou/
一分銀 [いちぶぎん] /(n) a silver quarter ryou/
一分判 [いちぶばん] /(n) (abbr) gold quarter-ryou/Edo-period coin/
一分判金 [いちぶばんきん] /(n) gold quarter-ryou/Edo-period coin/
一分半 [いっぷんはん] /(n) a minute and a half/
一分別 [ひとふんべつ] /(n) careful consideration/
一分野 [いちぶんや] /(n) one field/a division/a branch (e.g. of study, etc.)/
一文 [いちぶん] /(n) (a) sentence/
一文 [いちもん] /(n) something insignificant/one mon (10th sen)/(P)/
一文字 [いちもんじ] /(n) straight line/beeline/
一文字 [ひともじ] /(n) (1) (arch) (fem) one (written) character/(2) Welsh onion (Allium fistulosum)/
一文商い [いちもんあきない] /(n) (a) penny store/business on a small scale/
一文惜しみ [いちもんおしみ] /(n) stinginess/miserliness/
一文惜み [いちもんおしみ] /(n) stinginess/miserliness/
一文不知 [いちもんふち] /(n,adj-no) total illiteracy/
一文不通 [いちもんふつう] /(n,adj-no) total illiteracy/
一文無し [いちもんなし] /(adj-na) penniless/
一癖 [ひとくせ] /(n) trait/peculiarity/idiosyncrasy/
一別 [いちべつ] /(n,vs) parting/
一別以来 [いちべついらい] /(n-adv,n-t) since our last meeting/since we parted/
一瞥 [いちべつ] /(n,vs) (a) glance/(a) look/
一変 [いっぺん] /(n,vs) complete change/about-face/(P)/
一片 [いっぺん] /(n) (a) slice/(a) piece/
一片 [ひとひら] /(n) petal/flake/
一篇 [いっぺん] /(n) piece (of poetry)/
一編 [いっぺん] /(n) piece (of poetry)/
一辺 [いっぺん] /(n) side of a geometric shape (e.g. triangle or rectangle)/
一辺倒 [いっぺんとう] /(n) complete devotion to one side/(P)/
一遍 [いっぺん] /(n-adv) (1) once/one time/(all at) once/in one sitting/(2) exclusively/only/alone/(P)/
一遍に [いっぺんに] /(adv) at one time/(P)/
一歩 [いっぽ] /(n-adv,n-t) (1) (a) step/(2) level/stage/(3) small degree/small amount/(P)/
一歩ずつ [いっぽずつ] /(exp) stepwise/one step at a time/
一歩も引かない [いっぽもひかない] /(exp) not budging an inch/to stand one's ground/
一歩一歩 [いっぽいっぽ] /(n) step by step/by degrees/
一歩下がる [いっぽさがる] /(v5r) to take a step backward/
一歩間違うと [いっぽまちがうと] /(exp) make one wrong move and.../take one wrong step and.../
一歩金 [いちぶきん] /(n) a gold quarter ryou/
一歩銀 [いちぶぎん] /(n) a silver quarter ryou/
一歩前進 [いっぽぜんしん] /(n) (a) step forward/
一歩退く [いっぽひく] /(v5k) to take a step backward/to retreat a step/
一報 [いっぽう] /(n,vs) information/
一抱え [ひとかかえ] /(n) an armful/(a) bundle/
一方 [いっぽう] /(n) (1) one (esp. of two)/the other/one way/the other way/one direction/the other direction/one side/the other side/one party/the other party/(conj) (2) on the one hand/on the other hand/(3) whereas/although/but at the same time/meanwhile/in turn/(n-adv,n-suf) (4) (after noun, adjective-stem or plain verb) just keeps/being inclined to .../tending to be .../tending to do .../continuously .../just keeps on ...ing/only/(P)/
一方 [ひとかた] /(n) (1) (hon) one person/(adj-na) (2) (often in negative form) ordinary/common/
一方ならず [ひとかたならず] /(exp,adv) unusually/greatly/
一方ならぬ [ひとかたならぬ] /(adj-pn) extraordinary/special/
一方交通 [いっぽうこうつう] /(n) one-way traffic/
一方向性関数 [いちほうこうせいかんすう] /(n) (comp) one-way function/
一方通行 [いっぽうつうこう] /(n,adj-no) one-way traffic/(P)/
一方的 [いっぽうてき] /(adj-na) one-sided/unilateral/arbitrary/(P)/
一泡 [ひとあわ] /(n) (a) blow/(a) shock/
一泡吹かせる [ひとあわふかせる] /(v1) to give a surprise (or blow)/to scare the hell out of/
一房 [ひとふさ] /(n) bunch (of grapes)/section (of an orange)/
一房の髪 [ひとふさのかみ] /(n) a tuft of hair/
一暴十寒 [いちばくじっかん] /(exp) (1) bursts of exertion will fail to bear fruit if interrupted by long periods of idleness/(2) strenuous efforts, unless sustained, are to no avail (Mencius)/
一望 [いちぼう] /(n,vs) one sweep (of the eye)/an unbroken view/
一望千里 [いちぼうせんり] /(n) sweeping view of the eye/boundless expanse/
一本 [いっぽん] /(n) (1) one long cylindrical thing/(2) one version/(3) (a) certain book/(4) (a) blow/(5) an experienced geisha/(P)/
一本やり [いっぽんやり] /(adj-na,n) guiding principle/single-minded policy/one's sole talent/
一本化 [いっぽんか] /(n,vs) unification/centralization/integration/drawing things together/working out a common policy/
一本気 [いっぽんぎ] /(adj-na,n) (a) one-track mind/monotony/
一本橋 [いっぽんばし] /(n) (a) log bridge/
一本建て [いっぽんだて] /(exp) (a) single standard/
一本建て為替 [いっぽんだてかわせ] /(n) single rate/
一本建て税率 [いっぽんだてぜいりつ] /(n) single-rate tariff (system)/
一本建税率 [いっぽんだてぜいりつ] /(n) single-rate tariff (system)/
一本指 [いっぽんゆび] /(n) finger/one's finger/
一本歯 [いっぽんば] /(n) tall geta with a single tooth/
一本取られた [いっぽんとられた] /(exp) touche'/you've got me there/
一本取る [いっぽんとる] /(v5r) to beat/to gain a point/to upset/
一本勝負 [いっぽんしょうぶ] /(n) one-game match/
一本松 [いっぽんまつ] /(n) solitary pine tree/
一本杉 [いっぽんすぎ] /(n) (a) solitary cryptomeria tree/
一本槍 [いっぽんやり] /(adj-na,n) guiding principle/single-minded policy/one's sole talent/
一本調子 [いっぽんちょうし] /(adj-na,n,adj-no) monotone/
一本調子 [いっぽんぢょうし] /(adj-na,n,adj-no) monotone/
一本釣 [いっぽんずり] /(ik) (n,vs) fishing with a pole/
一本釣 [いっぽんづり] /(n,vs) fishing with a pole/
一本釣り [いっぽんずり] /(ik) (n,vs) fishing with a pole/
一本釣り [いっぽんづり] /(n,vs) fishing with a pole/
一本道 [いっぽんみち] /(n) direct unforked road/straight path/
一本背負い [いっぽんぜおい] /(n) one-armed shoulder throw (judo or sumo)/
一本眉 [いっぽんまゆ] /(n) unibrow/monobrow/
一本立ち [いっぽんだち] /(n,vs) independence/
一枚 [いちまい] /(n) one thin flat object/one sheet/(P)/
一枚 [ひとひら] /(n) petal/flake/
一枚下 [いちまいした] /(n) one step lower/
一枚貝 [いちまいがい] /(n) univalve/
一枚噛む [いちまいかむ] /(exp,v5m) to participate in (as a member)/to get involved in/
一枚看板 [いちまいかんばん] /(n) (a) leading player/one's sole Sunday best/the best item one has (to show)/
一枚岩 [いちまいいわ] /(n) monolith/large slab of rock/(P)/
一枚上 [いちまいうえ] /(n) one step higher/one better/cut above/one up/
一枚上手 [いちまいうわて] /(n,adj-na) one step higher/one better/cut above/one up/
一幕 [ひとまく] /(n) one act/(P)/
一幕見席 [ひとまくみせき] /(n) special seats and standing-only space in the galley for people who only intend to see one act of a kabuki play/
一幕物 [ひとまくもの] /(n) (a) one-act play/
一抹 [いちまつ] /(n) (1) (a) touch of/tinge of/wreath (e.g. of smoke)/(2) one stroke/one brush/(P)/
一万 [いちまん] /(n) 10,000/ten thousand/
一万円 [いちまんえん] /(n) 10,000 Yen/
一味 [いちみ] /(n,vs) clan/partisans/conspirators/gang/crew/
一味 [ひとあじ] /(adv,n) unique or peculiar flavor (flavour)/
一味も二味も [いちみもにみも] /(exp) totally/completely/
一味違う [ひとあじちがう] /(exp,v5u) (col) to be somewhat different (from before, from others, etc.)/(P)/
一味徒党 [いちみととう] /(n) whole party to a plot/whole gang/fellow conspirators/
一味唐辛子 [いちみとうがらし] /(n) cayenne pepper powder/
一味同心 [いちみどうしん] /(n) (people) working together with one mind/
一脈 [いちみゃく] /(n) (a) vein/(a) thread (of connection)/
一脈相通じる [いちみゃくあいつうじる] /(v1) to have in common (with)/
一脈相通ずる [いちみゃくあいつうずる] /(vz) to have in common (with)/
一眠 [いちみん] /(n) the first sleep (of silkworms)/
一眠り [ひとねむり] /(n,vs) (1) (usu. in positive sentences) (a) sleep/(a) nap/(2) first sleep of silkworms/
一夢 [いちむ] /(n) (a) dream/(a) fleeting thing/
一名 [いちめい] /(n) one person/another name/
一命 [いちめい] /(n) (a) life/(a) command/
一面 [いちめん] /(n) (1) one face/one surface/(2) the whole surface/(3) one aspect/one side/(n,n-adv) (4) (on) the other hand/(5) one broad, flat object/(6) front page/(P)/
一面観 [いちめんかん] /(n) one-sided view/
一面識 [いちめんしき] /(n) (a) passing acquaintance/
一面的 [いちめんてき] /(adj-na) one-sided/
一毛 [いちもう] /(n) one-tenth of a rin/
一毛作 [いちもうさく] /(n) (a) single crop/
一網打尽 [いちもうだじん] /(exp,n) (a) big haul/roundup/wholesale arrest/catching the whole herd with one throw/
一儲 [ひともうけ] /(n,vs) money-making/
一儲け [ひともうけ] /(n,vs) making money/
一木 [いちぼく] /(n) one tree/
一木一草 [いちぼくいっそう] /(n) a single tree or blade of grass/every stick and stone (of a place)/
一目 [いちもく] /(n-adv,n-t) (1) (a) glance/(a) look/(a) glimpse/(n) (2) (a) stone (in Go)/
一目 [ひとめ] /(n-adv,n-t) (1) (a) glance/(a) look/(a) glimpse/(2) complete view/bird's-eye view/(P)/
一目ゴム編み [ひとめゴムあみ] /(n) single-rib stitches/knit-one-purl-one rib stitch/
一目見る [ひとめみる] /(exp,v1) to give a glance (at)/to take one look at/
一目惚れ [ひとめぼれ] /(n,vs) to be taken with someone at first sight (similar to "love at first sight", but not as strong)/
一目散 [いちもくさん] /(n) at full speed/as fast as one can go/
一目散に [いちもくさんに] /(adv) at full speed/
一目十行 [いちもくじゅうぎょう] /(n) outstanding reading ability (lit: one glance, ten lines)/
一目置く [いちもくおく] /(v5k) to take off one's hat to a person/to acknowledge anothers superiority/to give a piece or stone/
一目瞭然 [いちもくりょうぜん] /(adj-na,n,adj-no) apparent/obvious/very clear/
一問 [いちもん] /(n) a question/(P)/
一問一答 [いちもんいっとう] /(n,vs) answering question by question/
一門 [いちもん] /(n) family/dependents/household/kin/clan/group of related sumo stables/(P)/
一門別総当り [いちもんべつそうあたり] /(n) obsolete rule prohibiting match-ups between sumo wrestlers from the same group of stables/
一夜 [いちや] /(n-adv,n-t) one night/all night/overnight/one evening/(P)/
一夜 [ひとや] /(n-adv,n-t) one night/all night/overnight/one evening/
一夜 [ひとよ] /(n-adv,n-t) one night/all night/overnight/one evening/
一夜さ [ひとよさ] /(n) one night/all night/
一夜づけ [いちやづけ] /(n,vs) (1) last-minute cramming/overnight cramming/(n) (2) (vegetables) salted just overnight/
一夜を共にする [いちやをともにする] /(exp,vs-i) to spend a night together/
一夜干 [いちやぼし] /(n) fish salted and dried overnight/
一夜干し [いちやぼし] /(n) fish salted and dried overnight/
一夜乞食 [いちやこじき] /(n) (a) person made homeless by fire/
一夜妻 [いちやづま] /(n) temporary consort/prostitute/
一夜妻 [ひとよづま] /(n) temporary consort/prostitute/
一夜造り [いちやずくり] /(n) built in a night/stopgap/hastily written/
一夜大臣 [いちやだいじん] /(n) overnight millionaire/
一夜大尽 [いちやだいじん] /(n) overnight millionaire/
一夜中 [いちやじゅう] /(n) all-night through/
一夜中 [ひとやじゅう] /(n) all-night through/
一夜漬 [いちやづけ] /(n,vs) (1) last-minute cramming/overnight cramming/(n) (2) (vegetables) salted just overnight/
一夜漬け [いちやづけ] /(n,vs) (1) last-minute cramming/overnight cramming/(n) (2) (vegetables) salted just overnight/
一矢 [いっし] /(n-adv,n) an arrow/(a) retort/
一矢を報いる [いっしをむくいる] /(exp,v1) to retaliate/to return a blow/
一役 [いちやく] /(n) an office/an important office/
一役 [ひとやく] /(n) role (which someone or something plays in a given situation)/part/contribution (to a given situation)/
一役買う [ひとやくかう] /(v5u) to take on a role/to take part/
一躍 [いちやく] /(n-adv,n-t) (at) one bound/(P)/
一夕 [いっせき] /(n-adv,n-t) one evening/some evenings/
一夕話 [いっせきわ] /(n) (a) short story/short-story writer/
一様 [いちよう] /(adj-na,n) uniformity/evenness/similarity/equality/impartiality/homogeneity/(P)/
一様参照 [いちようさんしょう] /(n) (comp) uniform referencing/
一様乱数 [いちようらんすう] /(n) (comp) uniform random number/uniformly distributed random number/
一葉 [いちよう] /(n) (1) one leaf/(2) one page/one sheet/one card/one photo/(3) (arch) one boat/
一葉 [ひとは] /(n) (1) one leaf/(2) (arch) one boat/
一葉楓 [ひとつばかえで] /(n) (uk) lime-leaved maple (Acer distylum)/
一要素 [いちようそ] /(n) one element/one factor/
一陽来復 [いちようらいふく] /(n) return of spring/long-awaited, favorable turn of fortune (favourable)/
一陽来腹 [いちようらいふく] /(n) return of spring/long-awaited, favorable turn of fortune (favourable)/
一翼 [いちよく] /(n) (a) part/(P)/
一卵性 [いちらんせい] /(n) (abbr) identical (of twins)/
一卵性双生児 [いちらんせいそうせいじ] /(n) identical twins/
一覧 [いちらん] /(n,vs) (1) at a glance/(a) look/(a) glance/(a) summary/(2) (school) catalog/catalogue/(P)/
一覧済み [いちらんずみ] /(n) (comp) listed/
一覧抽象操作 [いちらんちゅうしょうそうさ] /(n) (comp) list abstract-operation/
一覧表 [いちらんひょう] /(n) list/table/schedule/catalogue/catalog/(P)/
一覧払い手形 [いちらんばらいてがた] /(n) sight bill/demand draft/demand draught/
一利 [いちり] /(n) one advantage/
一利一害 [いちりいちがい] /(n) advantages and disadvantages/gain some, lose some/
一理 [いちり] /(n) (a) principle/(a) reason/
一里 [いちり] /(n) 2.44 miles/
一里塚 [いちりづか] /(n) milestone (1 ri apart)/(P)/
一律 [いちりつ] /(adj-na,n-adv,n) evenness/uniformity/monotony/equality/(P)/
一律に [いちりつに] /(adv) in the same way/
一律減反 [いちりつげんたん] /(n) reduction in area of rice under cultivation/
一率に [いちりつに] /(adv) in the same way/
一流 [いちりゅう] /(adj-no,n) (1) first-class/top grade/foremost/top-notch/leading/(2) characteristic/peculiar/unique/(n) (3) school (e.g. of a performance art)/(4) one flag/one banner/one streamer/(P)/
一流ホテル [いちりゅうホテル] /(n) first-class hotel/
一流大学 [いちりゅうだいがく] /(n,adj-no) top-notch university/
一溜まりもない [ひとたまりもない] /(exp,adj-i) without difficulty/without the least resistance/helplessly/
一溜まりも無い [ひとたまりもない] /(exp,adj-i) without difficulty/without the least resistance/helplessly/
一粒 [ひとつぶ] /(n) (a) grain/
一粒子既約 [いちりゅうしきやく] /(n) one particle irreducible (physics)/
一粒種 [ひとつぶだね] /(n) an only child/
一粒選り [ひとつぶえり] /(n) careful selection/
一粒選り [ひとつぶより] /(n) careful selection/
一粒万倍 [いちりゅうまんばい] /(exp) A single seed can eventually produce a great harvest/Even the smallest beginning can generate a greatest profit/Watch the pennies, and the pounds will look after themselves/
一了簡 [いちりょうかん] /(n) at one's discretion/
一両 [いちりょう] /(n-adv) (1) one vehicle/(2) one ryou (an old coin)/(P)/
一両日 [いちりょうじつ] /(n) (a) day or two/
一両日中 [いちりょうじつちゅう] /(n) (within) the next couple of days/(in) a day or two/
一両年 [いちりょうねん] /(n) (a) year or two/
一輪 [いちりん] /(n,adj-no) (1) one flower/(2) one wheel/(3) (arch) full moon/
一輪車 [いちりんしゃ] /(n) unicycle/monocycle/wheelbarrow/
一輪挿 [いちりんざし] /(n) vase for one flower/
一輪挿し [いちりんざし] /(n) vase for one flower/
一塁 [いちるい] /(n) first base/(a) fort/(P)/
一塁手 [いちるいしゅ] /(n) first baseman/
一塁線 [いちるいせん] /(n) first-base line/
一類 [いちるい] /(n) same kind/accomplices/companions/
一例 [いちれい] /(n) example/an instance/(P)/
一礼 [いちれい] /(n,vs) bow (salute, greeting)/
一列 [いちれつ] /(n,vs) (a) row/line/
一廉 [いっかど] /(n-adv,n-t,adj-no) (1) a cut above the rest/superior/respectable/full-fledged/something uncommon/(2) one field/one matter/(adv) (3) suitably/reasonably/
一廉 [ひとかど] /(n-adv,n-t,adj-no) (1) a cut above the rest/superior/respectable/full-fledged/something uncommon/(2) one field/one matter/(adv) (3) suitably/reasonably/
一蓮托生 [いちれんたくしょう] /(n) sharing one's lot with another/
一連 [いちれん] /(n,adj-no) (1) series/chain/sequence/(n) (2) two reams (i.e. 1000 sheets of paper)/(3) verse/stanza/(P)/
一路 [いちろ] /(adv,n) one road/one way/straight/earnestly/
一路順風 [いちろじゅんぷう] /(n) sailing before the wind/everything is going well/
一路平安 [いちろへいあん] /(n) (wishing someone) bon voyage/
一浪 [いちろう] /(n,vs) failing college entrance exams and retaking them a year later/
一六銀行 [いちろくぎんこう] /(n) pawnshop/
一六勝負 [いちろくしょうぶ] /(n) gambling/speculation/
一倡三歎 [いっしょうさんたん] /(n,vs) one reading (of a poem aloud) leaves one with ceaseless sighs of admiration/
一刹那 [いっせつな] /(n-t) (a) moment/an instant/
一匕 [いっぴ] /(n) (1) (obsc) one spoon/(2) one dagger/
一嗹 [いちれん] /(n) (1) two reams (i.e. 1000 sheets of paper)/
一揆 [いっき] /(n) (a) riot/an insurrection/
一擲 [いってき] /(n,vs) casting off or away/
一擲千金 [いってきせんきん] /(exp) being lavish with one's money/spending a huge sum of money at once on a treat/
一攫 [いっかく] /(n) one grab/
一攫千金 [いっかくせんきん] /(n,adj-no) getting rich quick/
一攫千金を夢見る [いっかくせんきんをゆめみる] /(exp,v1) (obs) to dream of making a fortune at one stroke/
一朶 [いちだ] /(n) (a) branch (of flowers)/(a) cluster/(a) mass (of clouds)/
一毫 [いちごう] /(n) (a) bit/(a) trifle/
一瀉千里 [いっしゃせんり] /(n) one swift effort/rush through one's work/fast-talking, writing, etc./
一瘤駱駝 [ひとこぶらくだ] /(n) dromedary/
一眸 [いちぼう] /(n,vs) one sweep (of the eye)/an unbroken view/
一籌 [いっちゅう] /(n) (a) point/(a) degree/
一籌を輸する [いっちゅうをしゆする] /(exp,vs-i) to be inferior to/to be outdone/to compare unfavourably with/
一籌を輸する [いっちゅうをゆする] /(exp,vs-i) to be inferior to/to be outdone/to compare unfavourably with/
一縷 [いちる] /(n) a thread/a ray or sliver (of hope)/
一縷の望み [いちるののぞみ] /(n) gleam (ray) of hope/
一臂 [いっぴ] /(n) (a) (helping) hand/one's bit/
一舐め [ひとなめ] /(n,vs) a lick/one lick/
一艘 [いっそう] /(n) one ship or boat/
一輛 [いちりょう] /(n-adv) (1) one vehicle/
一顰一笑 [いっぴんいっしょう] /(n) (a) mood/(a) smile or a frown/
一齣 [ひとくさり] /(n) passage in a discourse/one section/one scene/
一齣 [ひとこま] /(n) (uk) scene/frame/shot/
一齣一齣 [ひとこまひとこま] /(n,n-adv) frame by frame/every frame/
壱 [いち] /(num) one (used in legal documents)/
壱越 [いちこつ] /(n) (in Japan) 1st note of the ancient chromatic scale (approx. D)/
壱越調 [いちこちちょう] /(n) (in gagaku) scale similar to Mixolydian mode on D/
壱越調 [いちこつちょう] /(n) (in gagaku) scale similar to Mixolydian mode on D/
壱万円 [いちまんえん] /(n) 10,000 Yen/
溢し [こぼし] /(n) waste-water container (tea ceremony)/
溢す [こぼす] /(v5s,vt) (1) to spill/to drop/to shed (tears)/(2) to grumble/to complain/(3) to let one's feelings show/
溢る [あふる] /(exp) (arch) to flood/to overflow/to brim over/
溢れ [あふれ] /(n) (uk) overflow/
溢れ [あぶれ] /(n) failing to get a job/
溢れ [こぼれ] /(n) (1) spilling/spill/(2) leavings/leftovers/
溢れかえる [あふれかえる] /(v5r) to be awash with/to teem with/to be full of/
溢れだす [あふれだす] /(v5s) to begin to overflow/to start overflowing/to pour out/
溢れでる [あふれでる] /(v1) to overflow from something full/
溢れる [あふれる] /(v1,vi) to overflow/to brim over/to flood/(P)/
溢れる [あぶれる] /(v1,vi) (uk) to fail (in getting a job)/to fail (at fishing, hunting, etc.)/
溢れんばかり [あふれんばかり] /(adj-no) overflowing/effusive/exuberant/bountiful/
溢れ検査 [あふれけんさ] /(n) (comp) overflow check/
溢れ出す [あふれだす] /(v5s) to begin to overflow/to start overflowing/to pour out/
溢れ出る [あふれでる] /(v1) to overflow from something full/
溢れ反る [あふれかえる] /(iK) (v5r) to be awash with/to teem with/to be full of/
溢れ表示 [あふれひょうじ] /(n) (comp) overflow indication/
溢れ返る [あふれかえる] /(v5r) to be awash with/to teem with/to be full of/
溢血 [いっけつ] /(n,vs) hemorrhage/haemorrhage/
溢水 [いっすい] /(n,vs) inundation/overflow/
溢流 [いつりゅう] /(n,vs) overflow/spill/
逸す [いっす] /(v5s) (1) to lose (a chance)/to miss (a chance)/(2) to overlook/to omit/to forget/(3) to deviate/to depart from (the norm, etc.)/
逸する [いっする] /(vs-s) (1) to lose (a chance)/to miss (a chance)/(2) to overlook/to omit/to forget/(3) to deviate/
逸らかす [はぐらかす] /(v5s,vt) (uk) to dodge/to evade/to give the slip/
逸らす [そらす] /(v5s,vt) to turn away/to avert/(P)/
逸り気 [はやりぎ] /(n) (arch) impatience/eagerness/
逸る [はぐる] /(v5r,vi) (uk) to stray from/to get lost/
逸る [はやる] /(v5r) to be in high spirits/to be impatient/to be hotblooded/to be rash/to be impetuous/
逸れる [それる] /(v1,vi) to stray (turn) from subject/to get lost/to go astray/(P)/
逸れる [はぐれる] /(v1,vi) to stray (turn) from subject/to get lost/to go astray/(P)/
逸れ玉 [それだま] /(n) stray bullet/
逸れ弾 [それだま] /(n) stray bullet/
逸れ矢 [それや] /(n) stray arrow/
逸を以て労を待つ [いつをもってろうをまつ] /(exp,v5t) to wait for the enemy to tire at ease/
逸楽 [いつらく] /(n,vs) pleasure/
逸楽生活 [いつらくせいかつ] /(n) a life given up to pleasure/pleasure-seeking lifestyle/
逸機 [いっき] /(n,vs) missing a chance/
逸球 [いっきゅう] /(n,vs) muffed ball/
逸材 [いつざい] /(n) outstanding talent/
逸散に [いっさんに] /(adv) at top speed/
逸史 [いっし] /(n) anecdotal history/
逸事 [いつじ] /(n) anecdote/unknown fact/
逸失利益 [いっしつりえき] /(n) lost profit/
逸出 [いっしゅつ] /(n,vs) escape/excelling/prominence/
逸書 [いっしょ] /(n) lost book/
逸早く [いちはやく] /(adv) promptly/quickly/without delay/
逸走 [いっそう] /(n,vs) escape/scud/scamper away/
逸足 [いっそく] /(n) fast runner/excellence/
逸速く [いちはやく] /(adv) promptly/quickly/without delay/
逸脱 [いつだつ] /(n,vs) deviation/omission/departure/(P)/
逸品 [いっぴん] /(n) article of rare beauty/gem/(P)/
逸物 [いちぶつ] /(n) excellent person/superb article/
逸物 [いちもつ] /(n) excellent animal/
逸文 [いつぶん] /(n) unknown or lost writings/
逸聞 [いつぶん] /(n) something unheard of/
逸民 [いつみん] /(n) retired person/recluse/
逸話 [いつわ] /(n,adj-no) anecdote/(P)/
稲 [いね] /(n) rice-plant/(P)/
稲の髄虫 [いねのずいむし] /(n) (obsc) striped stem borer larva/
稲の螟虫 [いねのずいむし] /(n) (obsc) striped stem borer larva/
稲わら [いなわら] /(n) rice straw/paddy straw/
稲わら [いねわら] /(n) rice straw/paddy straw/
稲扱き [いねこき] /(n) rice threshing/
稲科 [いねか] /(n) Poaceae (grass family of plants)/Gramineae/
稲架 [とうか] /(n) drying rice on a rack/rack for drying rice/
稲架 [はさ] /(n) drying rice on a rack/rack for drying rice/
稲架 [はざ] /(n) drying rice on a rack/rack for drying rice/
稲架 [はせ] /(n) drying rice on a rack/rack for drying rice/
稲架 [はぜ] /(n) drying rice on a rack/rack for drying rice/
稲荷 [いなり] /(n) (1) Inari (god of harvests, Uka-no-Mitama)/(2) Inari shrine/Fushimi Inari shrine (in Kyoto)/(3) fox (said to be messengers of Inari)/(4) fried tofu (said to be a favourite food of foxes)/(5) (abbr) Inari-zushi/(P)/
稲荷ずし [いなりずし] /(n) (food) sushi wrapped in fried tofu (aburage)/
稲荷寿司 [いなりずし] /(n) (food) sushi wrapped in fried tofu (aburage)/
稲荷揚 [いなりあげ] /(n) fried tofu (aburage) used for inarizushi/
稲荷揚げ [いなりあげ] /(n) fried tofu (aburage) used for inarizushi/
稲荷鮨 [いなりずし] /(n) (food) sushi wrapped in fried tofu (aburage)/
稲掛 [いねかけ] /(n) drying rice on a rack/rack for drying rice/
稲掛け [いねかけ] /(n) drying rice on a rack/rack for drying rice/
稲刈 [いねかり] /(n) rice reaping/rice harvesting/
稲刈り [いねかり] /(n) rice reaping/rice harvesting/(P)/
稲見星 [いなみぼし] /(n) Chinese "Ox" constellation (one of the 28 mansions)/
稲光 [いなびかり] /(n) (flash of) lightning/
稲根喰い葉虫 [いねねくいはむし] /(n) (uk) Donacia provostii (species of leaf beetle)/
稲根喰葉虫 [いねねくいはむし] /(n) (uk) Donacia provostii (species of leaf beetle)/
稲魂 [うかたま] /(n) the god of foodstuffs (esp. of rice)/
稲魂 [うかのみたま] /(n) the god of foodstuffs (esp. of rice)/
稲魂 [うけのみたま] /(n) the god of foodstuffs (esp. of rice)/
稲妻 [いなずま] /(n) (flash of) lightning/(P)/
稲妻 [いなづま] /(n) (flash of) lightning/
稲妻横這 [いなずまよこばい] /(n) (uk) zig-zag rice leafhopper (Recilia dorsalis)/
稲作 [いなさく] /(n) rice crop/(P)/
稲子 [いなご] /(n) (1) (uk) rice grasshopper (of genus Oxya)/(2) grasshopper/locust (of family Catantopidae)/
稲象虫 [いねぞうむし] /(n) (uk) rice plant weevil (Echinocnemus squameus)/
稲水象虫 [いねみずぞうむし] /(n) (uk) rice water weevil (Lissorhoptrus oryzophilus)/
稲叢 [いなむら] /(n) stack of rice straw/
稲置 [いなき] /(n) (1) (arch) regional official responsible for rice storage (under the Yamato court)/(2) Inagi (lowest of the eight hereditary titles)/
稲置 [いなぎ] /(n) (1) (arch) regional official responsible for rice storage (under the Yamato court)/(2) Inagi (lowest of the eight hereditary titles)/
稲虫 [いなむし] /(n) rice pest/
稲虫 [おおねむし] /(n) rice pest/
稲田 [いなだ] /(n) paddy field/rice field/(P)/
稲熱 [いもち] /(n) rice blight/
稲熱病 [いもちびょう] /(n) rice blight/rice blast/
稲熱病 [とうねつびょう] /(n) rice blight/rice blast/
稲負鳥 [いなおおせどり] /(n) (arch) migratory bird that arrives in autumn (unknown species; perhaps a wagtail)/
稲穂 [いなほ] /(n) ear (head) of rice/(P)/
稲木 [いなぎ] /(n) rice-drying rack/
稲門 [とうもん] /(n) alumni of Waseda University/
稲藁 [いなわら] /(n) rice straw/paddy straw/
稲藁 [いねわら] /(n) rice straw/paddy straw/
茨 [いばら] /(n) (1) thorny shrub/(2) wild rose/briar/(3) thorn/(4) (architectural) cusp/
茨の冠 [いばらのかんむり] /(n) a crown of thorns/
茨の道 [いばらのみち] /(n) thorny path/
茨垣 [いばらがき] /(n) thorn hedge/
茨城県 [いばらきけん] /(n) Ibaraki prefecture (Kantou area)/
茨姫 [いばらひめ] /(n) Sleeping Beauty/Thorn Princess/Briar Rose/
芋 [いも] /(n) (1) tuber/taro/potato/(2) (derog) yokel/bumpkin/(P)/
芋づる式 [いもづるしき] /(adv) one after another/in succession/
芋を洗うような [いもをあらうような] /(exp) to be jostling against each other/
芋貝 [いもがい] /(n) cone shell/
芋粥 [いもがゆ] /(n) (1) rice gruel with diced sweet potatoes/(2) (arch) gruel with ivy broth and finely minced Japanese yam served at large Imperial banquets/
芋掘り [いもほり] /(n) potato field (furrows)/
芋茎 [ずいき] /(n) taro stem/
芋侍 [いもざむらい] /(n) rustic (boorish) samurai/
芋煮会 [いもにかい] /(n) outdoor party where guests cook various types of vegetables (esp. in Tohoku)/stewed potato party/
芋焼酎 [いもじょうちゅう] /(n) potato shochu (distilled liquor)/
芋虫 [いもむし] /(n) hornworm (caterpillar of a hawk moth)/(hairless) caterpillar/
芋頭 [いもがしら] /(n) tubercle/
芋版 [いもばん] /(n) stamp made with a potato/
芋堀り [いもほり] /(n) digging for potatoes/
芋蔓 [いもづる] /(n) sweet-potato vines/
芋蔓式 [いもづるしき] /(adv) one after another/in succession/
芋蔓接続 [いもづるせつぞく] /(n) (comp) daisy chain connection/
芋羊羹 [いもようかん] /(n) (bar of) sweet-potato paste/
芋羊羮 [いもようかん] /(n) (bar of) sweet-potato paste/
鰯 [いわし] /(n) pilchard (esp. the Japanese pilchard, Sardinops melanostictus)/sardine (esp. the sardine of the Japanese pilchard)/(P)/
鰯雲 [いわしぐも] /(n) cirro-cumulus/mackerel sky/
鰯鯨 [いわしくじら] /(n) (uk) sei whale (Balaenoptera borealis)/
鰯油 [いわしゆ] /(n) pilchard oil/sardine oil/
允可 [いんか] /(n,vs) permission/assent/compliance/
允許 [いんきょ] /(n,vs) permission/licence/license/
允恭 [いんきょう] /(n) courtesy/sincerity/
允文允武 [いんぶんいんぶ] /(n) being versed in the literary and military arts/
印 [いん] /(n) (1) seal/stamp/mark/print/(2) (Buddh) mudra (symbolic hand gesture)/(3) (abbr) India/
印 [しるし] /(n) (1) mark/(2) symbol/(3) evidence/(P)/
印す [しるす] /(v5s,vt) (1) (arch) to leave (a mark, trace, etc.)/to print/to stamp/(2) to show a sign (i.e. an omen)/
印する [いんする] /(vs-s,vt) (1) to stamp (one's mark, etc.)/to seal/(2) to leave (one's footprints, etc.)/
印を押す [いんをおす] /(exp,v5s) to affix one's seal/
印を結ぶ [いんをむすぶ] /(exp,v5b) to make symbolic signs (gestures) with the fingers/
印パ [いんパ] /(n,adj-no) India and Pakistan/
印影 [いんえい] /(n) impression of a seal/
印欧基語 [いんおうきご] /(n,adj-no) Proto-Indo-European (hypothetical language from which all Indo-European languages are derived)/
印欧語族 [いんおうごぞく] /(n) Indo-European languages/
印欧祖語 [いんおうそご] /(n) Proto-Indo-European (hypothetical language from which all Indo-European languages are derived)/
印加 [いんか] /(n,vs) impression/superimposition/application/
印加電圧 [いんかでんあつ] /(n) applied voltage/
印可 [いんか] /(n,vs) (1) (Buddh) dharma transmission (formal confirmation of a student's awakening by his master)/(2) certificate of proficiency (in flower arrangement, etc.)/
印画 [いんが] /(n) (photographic) print/
印画紙 [いんがし] /(n) (photographic) printing paper/
印環 [いんかん] /(n) signet ring (in medical contexts, e.g. signet ring cell)/
印環細胞 [いんかんさいぼう] /(n) signet ring cell/
印鑑 [いんかん] /(n) stamp/seal/(P)/
印鑑証明 [いんかんしょうめい] /(n) certification of official registration of a seal/
印契 [いんけい] /(n) mudra (symbolic hand gesture used in Buddhism)/
印契 [いんげい] /(n) mudra (symbolic hand gesture used in Buddhism)/
印形 [いんぎょう] /(n) seal/signet/
印行 [いんこう] /(n,vs) publishing/
印刻 [いんこく] /(n,vs) seal engraving/
印刻師 [いんこくし] /(n) seal engraver/
印材 [いんざい] /(n) seal stock/
印刷 [いんさつ] /(n,vs) printing/(P)/
印刷インキ [いんさつインキ] /(n) printing ink/
印刷スケジューラ [いんさつスケジューラ] /(n) (comp) print scheduler/
印刷プレビュー [いんさつプレビュー] /(n) (comp) print preview/
印刷屋 [いんさつや] /(n) printer/
印刷回路板 [いんさつかいろばん] /(n) printed circuit board/PCB/
印刷機 [いんさつき] /(n) printing press/
印刷技術 [いんさつぎじゅつ] /(n) printing technique/
印刷業 [いんさつぎょう] /(n) printing business/
印刷工 [いんさつこう] /(n) pressman/printer/
印刷紙 [いんさつし] /(n) printing paper/
印刷社 [いんさつしゃ] /(n) printing company/
印刷者 [いんさつしゃ] /(n) printer/
印刷術 [いんさつじゅつ] /(n) printing art/
印刷所 [いんさつしょ] /(n) press/print shop/printing office/
印刷所 [いんさつじょ] /(n) press/print shop/printing office/
印刷人 [いんさつにん] /(n) printer/
印刷装置 [いんさつそうち] /(n) (comp) printer/
印刷電信 [いんさつでんしん] /(n) printing telegraphy/
印刷配線板 [いんさつはいせんばん] /(n) printed wiring board/PWB/
印刷媒体 [いんさつばいたい] /(n) print media/
印刷標準字体 [いんさつひょうじゅんじたい] /(n) standard printed form (of kanji)/any of 1,022 non-joyo kanji commonly used in print/
印刷物 [いんさつぶつ] /(n) printed matter/
印刷方式 [いんさつほうしき] /(n) (comp) printinng formulas/
印刷用 [いんさつよう] /(n) for printing/
印刷用紙 [いんさつようし] /(n) printing paper/
印紙 [いんし] /(n) (revenue) stamp/(P)/
印紙税 [いんしぜい] /(n) stamp duty/
印紙税法 [いんしぜいほう] /(n) stamp duty law/
印字 [いんじ] /(n,vs) copying/printing/
印字ドラム [いんじドラム] /(n) (comp) print drum/
印字バー [いんじバー] /(n) (comp) type bar/printer bar/
印字ホイール [いんじホイール] /(n) (comp) print wheel/
印字位置 [いんじいち] /(n) (comp) column/
印字解像度 [いんじかいぞうど] /(n) (comp) print resolution/
印字機 [いんじき] /(n) typewriter/teletype/
印字後行送り [いんじごうこうおくり] /(n) (comp) after space/
印字項目 [いんじこうもく] /(n) (comp) printable item/
印字式計算器 [いんじしきけいさんき] /(n) (comp) printing calculator/
印字集団 [いんじしゅうだん] /(n) (comp) printable group/
印字出力 [いんじしゅつりょく] /(n) (comp) hard copy/
印字前行送り [いんじぜんぎょうおくり] /(n) (comp) before space/
印字装置 [いんじそうち] /(n) (comp) printer/
印字抑止機能 [いんじよくしきのう] /(n) (comp) nonprint function/
印字欄 [いんじらん] /(n) (comp) print zone/
印璽 [いんじ] /(n) imperial seal/
印綬 [いんじゅ] /(n) ribbon/
印書 [いんしょ] /(n) typewriting/
印章 [いんしょう] /(n,adj-no) stamp/seal/
印象 [いんしょう] /(n,vs) impression/(P)/
印象づける [いんしょうづける] /(v1,vt) to impress (someone)/
印象をあたえる [いんしょうをあたえる] /(exp,v1) to give an impression/to make an impression/
印象を与える [いんしょうをあたえる] /(exp,v1) to give an impression/to make an impression/
印象主義 [いんしょうしゅぎ] /(n,adj-no) impressionism/
印象主義音楽 [いんしょうしゅぎおんがく] /(n) musical impressionism/
印象主義者 [いんしょうしゅぎしゃ] /(n) an impressionist/
印象深い [いんしょうぶかい] /(adj-i) deeply impressive/memorable/striking/
印象的 [いんしょうてき] /(adj-na) impressive/(P)/
印象派 [いんしょうは] /(n) Impressionists/
印象派美術 [いんしょうはびじゅつ] /(n) impressionism/
印象批評 [いんしょうひひょう] /(n) impressionistic criticism/
印象付ける [いんしょうづける] /(v1,vt) to impress (someone)/(P)/
印税 [いんぜい] /(n) royalty (on book)/(P)/
印相 [いんぞう] /(n) mudra/hand sign/
印池 [いんち] /(n) seal stamp pad/
印哲 [いんてつ] /(n) Indian philosophy/
印度 [いんど] /(n,adj-no) (uk) India/Hindustan/
印度教 [いんどきょう] /(n) Hinduism/
印度支那 [インドシナ] /(ateji) (n) (uk) Indochina/
印度人 [いんどじん] /(n) Indian/Hindu/
印度哲學 [インドてつがく] /(n) Indian philosophy/
印度撞木鮫 [いんどしゅもくざめ] /(n) (uk) winghead shark (Eusphyra blochii, species of Indo-West Pacific hammerhead shark)/
印度洋 [いんどよう] /(n) Indian Ocean/
印刀 [いんとう] /(n) seal-engraving knife/
印肉 [いんにく] /(n) seal stamp pad/
印箱 [いんばこ] /(n) seal (stamp) box/
印判 [いんばん] /(n) seal/stamp/
印判 [いんぱん] /(n) seal/stamp/
印判師 [いんばんし] /(n) seal engraver/
印半天 [しるしばんてん] /(n) livery coat/
印半纏 [しるしばんてん] /(n) livery coat/
印譜 [いんぷ] /(n) book of seals/
印本 [いんぽん] /(n) printed book/
印棉 [いんめん] /(n) Indian cotton (raw)/
印綿 [いんめん] /(n) Indian cotton (raw)/
印面 [いんめん] /(n) face of a seal/
印篭 [いんろう] /(n) seal case/pill box/medicine case/
印匣 [いんこう] /(n) seal (stamp) box/
印匣 [いんばこ] /(n) seal (stamp) box/
印籠 [いんろう] /(n) seal case/pill box/medicine case/
印褥 [いんじょく] /(n) pad placed below the sheet on which a seal is to be pressed - used to make the seal's imprint clearer/
印顆 [いんか] /(n) stamp/seal/
咽 [のど] /(n) (1) (uk) throat/(2) singing voice/
咽 [のみと] /(ok) (n) (1) (uk) throat/(2) singing voice/
咽 [のみど] /(ok) (n) (1) (uk) throat/(2) singing voice/
咽 [のんど] /(ok) (n) (1) (uk) throat/(2) singing voice/
咽から手が出る [のどからてがでる] /(exp,v1) to want something desperately/to want something (so badly one can taste it)/
咽せる [むせる] /(v1,vi) to choke over/to be choked by/
咽び泣き [むせびなき] /(vs) (1) to sob/to be choked with tears/(n) (2) sobbing/
咽び泣く [むせびなく] /(v5k,vi) to sob/to be choked with tears/
咽ぶ [むせぶ] /(v5b,vi) to be choked/to be stifled/to be smothered/
咽下 [えんか] /(n,vs,adj-no) (act of) swallowing/deglutition/
咽下 [えんげ] /(n,vs,adj-no) (act of) swallowing/deglutition/
咽喉 [いんこう] /(n,adj-no) throat/
咽喉マイク [いんこうマイク] /(n) (uk) throat microphone/
咽頭 [いんとう] /(adj-na,n,adj-no) pharynx/pharyngeal/
咽頭炎 [いんとうえん] /(n) pharyngitis/sore throat/
咽頭弓 [いんとうきゅう] /(n) pharyngeal arch/
咽頭結膜熱 [いんとうけつまくねつ] /(n) pharyngoconjunctival fever/
咽頭歯 [いんとうし] /(n) pharyngeal tooth/pharyngeal teeth/
咽頭反射 [いんとうはんしゃ] /(n) gag reflex/
員 [いん] /(n,n-suf) member/(P)/
員に備わるのみ [いんにそなわるのみ] /(exp) being a member of staff but useless as a worker/
員外 [いんがい] /(n) non-membership/
員数 [いんじゅ] /(ok) (n) numbers of members (things, people)/
員数 [いんず] /(n) numbers of members (things, people)/
員数 [いんずう] /(n) numbers of members (things, people)/(P)/
員名 [いんめい] /(n) member name/
員數 [いんじゅ] /(oK) (ok) (n) numbers of members (things, people)/
員數 [いんず] /(oK) (n) numbers of members (things, people)/
員數 [いんずう] /(oK) (n) numbers of members (things, people)/
因 [いん] /(n) (1) cause/factor/(2) (Buddh) hetu (direct cause, esp. as opposed to indirect conditions)/(3) the basis of one's argument (in hetuvidya)/(P)/
因 [よすか] /(ok) (n) (1) something to rely on/aid/clue/way/means/(2) someone to rely on/relative/(3) reminder/memento/
因 [よすが] /(n) (1) something to rely on/aid/clue/way/means/(2) someone to rely on/relative/(3) reminder/memento/
因って [よって] /(conj) (uk) therefore/consequently/accordingly/because of/
因って来たる [よってきたる] /(exp,adj-f) (uk) originating/causing/beginning/
因って来る [よってきたる] /(exp,adj-f) (uk) originating/causing/beginning/
因となり果となる [いんとなりかとなる] /(exp) to constitute the cause and effect/
因みに [ちなみに] /(conj) (uk) by the way/in this connection/incidentally/in passing/
因む [ちなむ] /(v5m,vi) to be associated (with)/to be connected (with)/
因りけり [よりけり] /(prt) (uk) depends on/
因りて [よりて] /(conj) (arch) as such/for that reason/therefore/consequently/
因る [よる] /(v5r,vi) (1) (uk) to be due to/to be caused by/(2) to depend on/to turn on/(3) to be based on/to come from/(P)/
因をなす [いんをなす] /(exp,v5s) to give rise to/to cause/
因を成す [いんをなす] /(exp,v5s) to give rise to/to cause/
因縁 [いんえん] /(n) (1) (Buddh) hetu and prataya (direct causes and indirect conditions, which underlie the actions of all things)/(2) fate/destiny/(3) connection/origin/(4) pretext/
因縁 [いんねん] /(n) (1) (Buddh) hetu and prataya (direct causes and indirect conditions, which underlie the actions of all things)/(2) fate/destiny/(3) connection/origin/(4) pretext/(P)/
因縁をつける [いんねんをつける] /(exp,v1) to invent a pretext for a quarrel/to pick a fight/
因縁を付ける [いんねんをつける] /(exp,v1) to invent a pretext for a quarrel/to pick a fight/
因果 [いんが] /(adj-na,n,adj-no) cause and effect/karma/fate/(P)/
因果を含める [いんがをふくめる] /(exp,v1) to persuade someone to accept the inevitable/
因果因縁 [いんがいんねん] /(n) cause and effect/karma/retribution/an evil cause producing an evil effect/
因果応報 [いんがおうほう] /(n) retribution/retributive justice/karma/just desserts/poetic justice/reward and punishment for one's past behavior/
因果関係 [いんがかんけい] /(n,adj-no) consequence/causal relationship/nexus/
因果者 [いんがもの] /(n) unlucky person/
因果法則 [いんがほうそく] /(n) law of causality/
因果律 [いんがりつ] /(n) law of cause and effect/principle of causality/
因果覿面 [いんがてきめん] /(n) the swiftness of retributive justice/
因業 [いんごう] /(adj-na,n) heartless/cruel/causes and actions/results of actions in previous life/
因子 [いんし] /(n) (math) factor/divisor/element/(P)/
因子集合 [いんししゅうごう] /(n) (comp) factor set/
因子分析 [いんしぶんせき] /(n) factor analysis/
因州弁 [いんしゅうべん] /(n) dialects of Japanese spoken in Eastern Tottori prefecture/
因習 [いんしゅう] /(n) convention/tradition/long-established custom/
因習的 [いんしゅうてき] /(adj-na) conventional/
因習道徳 [いんしゅうどうとく] /(n) conventional morality (morals)/
因襲 [いんしゅう] /(n) convention/tradition/long-established custom/
因循 [いんじゅん] /(adj-na,n) indecision/vacillation/
因循姑息 [いんじゅんこそく] /(n) dilly-dallying and temporizing (temporising)/
因数 [いんすう] /(n) (math) factor/
因数定理 [いんすうていり] /(n) (math) factor theorem/
因数分解 [いんすうぶんかい] /(n,vs) factorization/factorisation/
因幡の素兎 [いなばのしろうさぎ] /(n) Hare of Inaba (Japanese myth)/
因幡の白兎 [いなばのしろうさぎ] /(n) Hare of Inaba (Japanese myth)/
因美線 [いんびせん] /(n) Inbi Line (East Okayama Railway)/
因明 [いんみょう] /(n) hetuvidya (ancient Indian logic for determining right from wrong, truth from falsehood, etc.)/
因由 [いんゆ] /(n,vs) cause/
姻戚 [いんせき] /(n,adj-no) relative by marriage/affinity/
姻戚関係 [いんせきかんけい] /(n) relation by marriage/
姻族 [いんぞく] /(n) in-law/relative by marriage/
引かされる [ひかされる] /(v1) to be moved/to be drawn/
引かす [ひかす] /(v5s,vt) to redeem debts (e.g. of a geisha)/
引かれる [ひかれる] /(v1) to be charmed by/to be attracted (to)/
引き [ひき] /(n,suf) (1) pull/patronage/influence/(2) tug/(3) discount/
引き [びき] /(suf) -off (price reduction)/
引きあう [ひきあう] /(v5u,vi) (1) to pay/to be profitable/(2) to pull against each other/
引きいれる [ひきいれる] /(v1,vt) to drag into/to win over/
引きおこす [ひきおこす] /(v5s,vt) to cause/to induce/
引きおろす [ひきおろす] /(v5s,vt) to haul down/to drag down/
引きかえす [ひきかえす] /(v5s,vt) to repeat/to send back/to bring back/to retrace one's steps/
引きこむ [ひきこむ] /(v5m,vt) to draw in/to win over/
引きこもり [ひきこもり] /(n) (1) a shut-in/a stay-at-home/people who withdraw from society (e.g. retire to the country)/(2) social withdrawal/shunning other people/(P)/
引きこもる [ひきこもる] /(v5r,vi) to stay indoors/to be confined indoors/
引きさがる [ひきさがる] /(v5r,vi) to withdraw/to leave/
引きさく [ひきさく] /(v5k,vt) to tear up/to tear off/to split/
引きさる [ひきさる] /(v5r,vt) to retreat/to withdraw/to deduct/
引きしぼる [ひきしぼる] /(v5r,vt) to draw bow to limit/to draw aside curt/
引きしまる [ひきしまる] /(v5r,vi) to become tense/to be tightened/
引きずり回す [ひきずりまわす] /(v5s,vt) to drag around/to pull about/to lead around (by the nose)/
引きずり込む [ひきずりこむ] /(v5m,vt) to drag in/to pull in/
引きずり出す [ひきずりだす] /(v5s,vt) to drag out/
引きずる [ひきずる] /(v5r,vt) (1) to drag along/to pull/(2) to force someone along/(3) to prolong/to drag out/(4) to influence strongly/to seduce/(P)/
引きたつ [ひきたつ] /(v5t) (1) to become active/(2) to look better/
引きだす [ひきだす] /(v5s,vt) to pull out/to take out/to draw out/to withdraw/
引きちぎる [ひきちぎる] /(v5r,vt) to tear off/
引きつぐ [ひきつぐ] /(v5g,vt) to take over/to hand over/
引きつける [ひきつける] /(v1) (1) to fascinate/to attract/to charm/to pull up (at a gate)/(2) to have a convulsion/
引きつる [ひきつる] /(v5r) to have a cramp (spasm, convulsion, twitch)/to become stiff/(P)/
引きつれる [ひきつれる] /(v1,vt) to take along with/
引きとる [ひきとる] /(v5r,vt) to take charge of/to take over/to retire to a private place/
引きなおす [ひきなおす] /(v5s,vt) to redo/
引きぬく [ひきぬく] /(v5k,vt) (1) to extract/to uproot/to pull out/(2) to headhunt/to lure away/
引きのばす [ひきのばす] /(v5s,vt) (1) to stretch larger/(2) to enlarge (photos)/(3) to delay (e.g. the end of a meeting)/
引きはがす [ひきはがす] /(v5s,vt) to tear off/
引きはなす [ひきはなす] /(v5s,vt) to pull apart/to separate/
引きはなつ [ひきはなつ] /(v5t,vt) to pull apart/
引きはらう [ひきはらう] /(v5u,vt) to vacate/to move out/
引きひも [ひきひも] /(n) (1) drawstring/release cord/(2) lead (e.g. for a dog)/
引きまわす [ひきまわす] /(v5s,vt) to draw a curtain/to guide/to parade about/
引きもどす [ひきもどす] /(v5s,vt) to bring back/to restore/
引きも切らず [ひきもきらず] /(exp) incessantly/without a break/
引きよせる [ひきよせる] /(v1,vt) to draw or pull something towards oneself (e.g. chair)/
引きわける [ひきわける] /(v1,vt) to pull apart/to separate/
引きわたす [ひきわたす] /(v5s,vt) to deliver/to extradite/to stretch across/to hand over/
引きストローク [ひきストローク] /(n,vs) draw stroke (canoeing)/
引き移る [ひきうつる] /(v5r,vi) to move/to move to a new location/
引き越す [ひきこす] /(v5s,vi) to move (house)/to change residence/
引き延す [ひきのばす] /(v5s,vt) (1) to stretch larger/(2) to enlarge (photos)/(3) to delay (e.g. the end of a meeting)/(P)/
引き延ばし [ひきのばし] /(n) (1) extension/prolongation/(2) enlargement/(P)/
引き延ばす [ひきのばす] /(v5s,vt) (1) to stretch larger/(2) to enlarge (photos)/(3) to delay (e.g. the end of a meeting)/(P)/
引き下がる [ひきさがる] /(v5r,vi) to withdraw/to leave/
引き下げ [ひきさげ] /(n) reduction/cut/(P)/
引き下げる [ひきさげる] /(v1,vt) to pull down/to lower/to reduce/to withdraw/(P)/
引き下ろす [ひきおろす] /(v5s,vt) to haul down/to drag down/
引き菓子 [ひきがし] /(n) ornamental gift cakes/
引き回す [ひきまわす] /(v5s,vt) to draw a curtain/to guide/to parade about/
引き開ける [ひきあける] /(v1,vt) to pull open/
引き換え [ひきかえ] /(n) (1) exchange/conversion/(2) on the contrary/on the other hand/(P)/
引き換える [ひきかえる] /(v1,vt) to exchange (things)/to convert/to reverse/
引き換え券 [ひきかえけん] /(n) exchange ticket/claim tag/coupon/
引き換え証 [ひきかえしょう] /(n) receipt/coupon/bond/check/
引き寄せる [ひきよせる] /(v1,vt) to draw or pull something towards oneself (e.g. chair)/
引き起こす [ひきおこす] /(v5s,vt) to cause/to induce/(P)/
引き起す [ひきおこす] /(io) (v5s,vt) to cause/to induce/(P)/
引き技 [ひきわざ] /(n) pulling techniques (sumo)/
引き去る [ひきさる] /(v5r,vt) to retreat/to withdraw/to deduct/
引き金 [ひきがね] /(n) trigger/gunlock/(P)/
引き金を引く [ひきがねをひく] /(exp,v5k) to pull the trigger/to pull a trigger/
引き継ぎ [ひきつぎ] /(n) inheriting/(P)/
引き継ぐ [ひきつぐ] /(v5g,vt) to take over/to hand over/(P)/
引き戸 [ひきと] /(n) sliding door/
引き戸 [ひきど] /(n) sliding door/
引き絞る [ひきしぼる] /(v5r,vt) to draw bow to limit/to draw aside curt/
引き綱 [ひきづな] /(n) tow rope/bell rope/dog lead/lanyard/sash cord/
引き降ろす [ひきおろす] /(v5s,vt) to haul down/to drag down/
引き合い [ひきあい] /(n) (1) reference/comparison/example/(2) inquiry/enquiry/(3) witness/being involved in a court case/deal/(P)/
引き合う [ひきあう] /(v5u,vi) (1) to pay/to be profitable/(2) to pull against each other/
引き合せる [ひきあわせる] /(v1,vt) to introduce/to compare/
引き合わせ [ひきあわせ] /(n) introduction/meeting/
引き合わせる [ひきあわせる] /(v1,vt) to introduce/to compare/
引き込みケーブル [ひきこみケーブル] /(n) (comp) drop cable/
引き込み線 [ひきこみせん] /(n) (railway) siding/service line/service wire/
引き込む [ひきこむ] /(v5m,vt) to draw in/to win over/
引き札 [ひきふだ] /(n) announcement flier/
引き算 [ひきざん] /(n) (math) subtraction/(P)/
引き止める [ひきとめる] /(v1,vt) to detain/to check/to restrain/(P)/
引き汐 [ひきしお] /(n) ebb tide/
引き写し [ひきうつし] /(n) a copy/tracing/
引き取り [ひきとり] /(n,vs) leaving/accepting/(P)/
引き取り手 [ひきとりて] /(n) claimant/caretaker/
引き取り人 [ひきとりにん] /(n) caretaker/claimer/guarantor/
引き取る [ひきとる] /(v5r,vt) to take charge of/to take over/to retire to a private place/(P)/
引き手 [ひきて] /(n) knob/handle/catch/patron/
引き手 [ひきで] /(n) (in archery) right hand/
引き手茶屋 [ひきてぢゃや] /(n) (arch) teahouse that introduces clients to prostitutes/
引き受け [ひきうけ] /(n) undertaking/underwriting/acceptance/(P)/
引き受ける [ひきうける] /(v1,vt) (1) to be responsible for/(2) to take over/to take up/(3) to guarantee/to undertake/(4) to contract (a disease)/(P)/
引き出し [ひきだし] /(n) (1) drawer/(2) withdrawal/drawing out/(P)/
引き出す [ひきだす] /(v5s,vt) to pull out/to take out/to draw out/to withdraw/(P)/
引き出物 [ひきでもの] /(n) gift/souvenir/
引き上げ [ひきあげ] /(n) (1) pulling up/drawing up/salvage/re-flotation/(2) raising/increase/upward revision/(3) repatriation/evacuation/(P)/
引き上げる [ひきあげる] /(v1,vt) (1) to pull up/to drag up/to lift up/(2) to increase/to raise (e.g. taxes)/(3) to withdraw/to leave/to pull out/to retire/(4) to return home/(P)/
引き伸す [ひきのばす] /(v5s,vt) (1) to stretch larger/(2) to enlarge (photos)/(3) to delay (e.g. the end of a meeting)/(P)/
引き伸ばし [ひきのばし] /(n) (1) extension/prolongation/(2) enlargement/
引き伸ばし写真 [ひきのばししゃしん] /(n) enlarged photo/enlarged photograph/
引き伸ばす [ひきのばす] /(v5s,vt) (1) to stretch larger/(2) to enlarge (photos)/(3) to delay (e.g. the end of a meeting)/(P)/
引き数 [ひきすう] /(n) (comp) argument (e.g. function, program, programme)/
引き据える [ひきすえる] /(v1) to (physically) force someone to sit down/
引き摺られる [ひきずられる] /(v1) to let oneself be persuaded/to be influenced/
引き摺り [ひきずり] /(n) (1) train of dress/trailing skirt/(2) woman who doesn't work and only thinks about fashion/
引き摺りこむ [ひきずりこむ] /(v5m,vt) to drag in/to pull in/
引き摺り回す [ひきずりまわす] /(v5s,vt) to drag around/to pull about/to lead around (by the nose)/
引き摺り込む [ひきずりこむ] /(v5m,vt) to drag in/to pull in/
引き摺り出す [ひきずりだす] /(v5s,vt) to drag out/
引き摺る [ひきずる] /(v5r,vt) (1) to drag along/to pull/(2) to force someone along/(3) to prolong/to drag out/(4) to influence strongly/to seduce/
引き船 [ひきふね] /(n,vs) tugboat/towing/towage/
引き船 [ひきぶね] /(n,vs) tugboat/towing/towage/
引き窓 [ひきまど] /(n) skylight/trap door/
引き続き [ひきつづき] /(adv,n) continuing for a long time/in succession/without a break/(P)/
引き続く [ひきつづく] /(v5k,vi) to continue (for a long time)/to occur in succession/
引き替え [ひきかえ] /(n) (1) exchange/conversion/(2) on the contrary/on the other hand/(P)/
引き替えに [ひきかえに] /(adv) conversely/
引き替える [ひきかえる] /(v1,vt) to exchange (things)/to convert/to reverse/
引き値 [ひきね] /(n) reduced price/
引き潮 [ひきしお] /(n) ebb tide/
引き直す [ひきなおす] /(v5s,vt) to redo/
引き吊り [ひきつり] /(n) scar/cramp/
引き締まる [ひきしまる] /(v5r,vi) to become tense/to be tightened/(P)/
引き締め [ひきしめ] /(n) tightening/(P)/
引き締める [ひきしめる] /(v1,vt) to tighten/to stiffen/to brace/to strain/(P)/
引き締る [ひきしまる] /(io) (v5r,vi) to become tense/to be tightened/
引き渡し [ひきわたし] /(n) delivery/handing over/turning over/extradition/(P)/
引き渡す [ひきわたす] /(v5s,vt) to deliver/to extradite/to stretch across/to hand over/(P)/
引き倒す [ひきたおす] /(v5s,vt) to pull down/
引き当て [ひきあて] /(n) mortgage/security/
引き当てる [ひきあてる] /(v1,vt) (1) to draw (the winning ticket)/(2) to apply/to compare/to put (oneself in someone's position)/
引き入れる [ひきいれる] /(v1,vt) to drag into/to win over/
引き波 [ひきなみ] /(n) (1) backwash/rip current/undertow/(2) stern wave/(3) drawback (of a tsunami, i.e. when a wave trough reaches land before a crest)/
引き馬 [ひきうま] /(n) draft horse/draught horse/
引き剥がす [ひきはがす] /(v5s,vt) to tear off/
引き剥ぐ [ひきはぐ] /(v5g,vt) to tear off/
引き剥し強度 [ひきはがしきょうど] /(n) peel strength (conductor from substrate)/
引き抜き [ひきぬき] /(n) hiring from another company/recruitment/scouting/
引き抜き編み目 [ひきぬきあみめ] /(n) slip stitch (crochet)/
引き抜く [ひきぬく] /(v5k,vt) (1) to extract/to uproot/to pull out/(2) to headhunt/to lure away/(P)/
引き眉 [ひきまゆ] /(n) painted eyebrows/
引き紐 [ひきひも] /(n) (1) drawstring/release cord/(2) lead (e.g. for a dog)/
引き付け [ひきつけ] /(n) convulsions/
引き付ける [ひきつける] /(v1) (1) to fascinate/to attract/to charm/to pull up (at a gate)/(2) to have a convulsion/(P)/
引き払う [ひきはらう] /(v5u,vt) to vacate/to move out/
引き物 [ひきもの] /(n) a gift/
引き分け [ひきわけ] /(n) draw (in competition)/tie game/(P)/
引き分ける [ひきわける] /(v1,vt) to pull apart/to separate/
引き返し [ひきかえし] /(n) turning back/
引き返し編み [ひきかえしあみ] /(n) short rows (in knitting)/short row shaping/knitting in short rows/
引き返す [ひきかえす] /(v5s,vt) to repeat/to send back/to bring back/to retrace one's steps/(P)/
引き放つ [ひきはなつ] /(v5t,vt) to pull apart/
引き幕 [ひきまく] /(n) draw curtain/stage curtain/
引き明け [ひきあけ] /(n) dawn/
引き綿 [ひきわた] /(n) floss silk/
引き網 [ひきあみ] /(n) dragnet/seine/
引き戻す [ひきもどす] /(v5s,vt) to bring back/to restore/(P)/
引き揚げ [ひきあげ] /(n) (1) pulling up/drawing up/salvage/re-flotation/(2) raising/increase/upward revision/(3) repatriation/evacuation/
引き揚げる [ひきあげる] /(v1,vt) (1) to pull up/to drag up/to lift up/(2) to increase/to raise (e.g. taxes)/(3) to withdraw/to leave/to pull out/to retire/(4) to return home/
引き揚げ者 [ひきあげしゃ] /(n) returnee/repatriate/
引き揚げ船 [ひきあげふね] /(n) evacuation boat/repatriation ship/
引き揚げ船 [ひきあげぶね] /(n) evacuation boat/repatriation ship/
引き落す [ひきおとす] /(v5s,vt) to pull down/to automatically debit (from a bank account)/
引き落とし [ひきおとし] /(n) debit/withdrawal/pulling (one's opponent) down/frontal pull-down (in Sumo)/hiki-otoshi/
引き落とす [ひきおとす] /(v5s,vt) to pull down/to automatically debit (from a bank account)/
引き離す [ひきはなす] /(v5s,vt) to pull apart/to separate/(P)/
引き立つ [ひきたつ] /(v5t) (1) to become active/(2) to look better/
引き立て [ひきたて] /(n) favor/favour/patronage/
引き立てる [ひきたてる] /(v1,vt) to favour/to favor/to promote/to march (a prisoner off)/to support/
引き立て役 [ひきたてやく] /(n) person who makes someone else appear better/foil/
引き留める [ひきとめる] /(v1,vt) to detain/to check/to restrain/
引き裂く [ひきさく] /(v5k,vt) to tear up/to tear off/to split/(P)/
引き連れる [ひきつれる] /(v1,vt) to take along with/
引き篭もる [ひきこもる] /(v5r,vi) to stay indoors/to be confined indoors/
引き篭り [ひきこもり] /(n) (1) a shut-in/a stay-at-home/people who withdraw from society (e.g. retire to the country)/(2) social withdrawal/shunning other people/
引き篭る [ひきこもる] /(v5r,vi) to stay indoors/to be confined indoors/
引き攣り [ひきつり] /(n) (1) scar/(2) spasm/twitch/cramp/
引き攣る [ひきつる] /(v5r) to have a cramp (spasm, convulsion, twitch)/to become stiff/
引き籠もり [ひきこもり] /(n) (1) a shut-in/a stay-at-home/people who withdraw from society (e.g. retire to the country)/(2) social withdrawal/shunning other people/
引き籠もる [ひきこもる] /(v5r,vi) to stay indoors/to be confined indoors/
引き籠り [ひきこもり] /(n) (1) a shut-in/a stay-at-home/people who withdraw from society (e.g. retire to the country)/(2) social withdrawal/shunning other people/
引き籠る [ひきこもる] /(v5r,vi) to stay indoors/to be confined indoors/
引く [ひく] /(v5k,vi,vt) (1) to pull/(2) to draw (attention, etc.)/to attract (interest, etc.)/(3) to draw back/(4) to draw (a card)/(5) to draw (plan, line, etc.)/(6) to catch (cold)/(7) to play (string instr.)/(8) to look up (e.g. dictionary)/to consult/(v5k,vt) (9) to haul/to pull (vehicles)/(10) to subtract/(11) to ebb/to fade/(12) to descend (from)/to inherit (a characteristic)/(13) to quote/to raise (as evidence)/(14) to lay (a cable)/to draw (a cable)/(P)/
引く手 [ひくて] /(n) admirer/inducer/
引く手あまた [ひくてあまた] /(n) being very popular/being in great demand/
引く手数多 [ひくてあまた] /(n) being very popular/being in great demand/
引け [ひけ] /(n) leave/defeat/diffidence/closing price (stock market)/
引ける [ひける] /(v1,vi) to close/to be over/to break up (e.g. school)/
引けを取る [ひけをとる] /(exp,v5r) to be outdone by/to compare unfavorably with/
引け際 [ひけぎわ] /(n) closing time/
引け時 [ひけどき] /(n) closing time/
引け値 [ひけね] /(n) closing quotations/
引け目 [ひけめ] /(n) weakness/drawing back/(P)/
引け目を感じる [ひけめをかんじる] /(exp,v1) to feel inferior/to feel small/
引ずる [ひきずる] /(v5r,vt) (1) to drag along/to pull/(2) to force someone along/(3) to prolong/to drag out/(4) to influence strongly/to seduce/
引っ [ひっ] /(pref) goes before a verb to strengthen its meaning or to add emphasis/
引っかかる [ひっかかる] /(v5r,vi) to be caught in/to be stuck in/to be cheated/
引っかく [ひっかく] /(v5k,vt) to scratch/to claw/
引っかける [ひっかける] /(v1,vt) (1) to hang (something) on (something)/to throw on (clothes)/(2) to hook/to catch/to trap/to ensnare/(3) to cheat/to evade payment/to jump a bill/(4) to drink (alcohol)/(5) to splash someone (with)/(6) to hit the ball off the end of the bat (baseball)/
引っくり返る [ひっくりかえる] /(v5r,vi) to be overturned/to be upset/to topple over/to be reversed/
引っくるめる [ひっくるめる] /(v1) to lump together/to include/
引っこす [ひっこす] /(v5s,vi) to move (house)/to change residence/
引っこむ [ひっこむ] /(v5m,vi) to draw back/to sink/to cave in/
引っこめる [ひっこめる] /(v1,vt) to draw in/to take in/
引っこ抜く [ひっこぬく] /(v5k,vt) to extract/to pull up/to uproot/
引っさらう [ひっさらう] /(v5u,vt) to kidnap/to abduct/to snatch/to carry people away/to take by force/
引っつかむ [ひっつかむ] /(v5m) to snatch (at)/to grab/
引っつく [ひっつく] /(v5k) to stick to/to flirt with/
引っぱたく [ひっぱたく] /(v5k) to slap/to strike/to spank/
引っぱる [ひっぱる] /(v5r,vt) (1) to pull/to draw/to pull tight/(2) to string (lines)/to run (cable)/to stretch/(3) to pull towards oneself (e.g. someone's sleeve)/(4) to drag/to haul/to tow/(5) to lead (e.g. one's followers)/(6) to take someone somewhere (e.g. a suspect to the police)/(7) to tempt into joining/to strongly invite to join/(8) to delay/to prolong/(9) to lengthen the pronunciation (of a word)/(10) to quote/to cite/to reference/(11) to pull the ball (i.e. pull hitting in baseball)/(12) to wear/to put on/
引っぺがす [ひっぺがす] /(v5s,vt) to tear off/to rip off/to peel off/
引っ越し [ひっこし] /(n,vs) moving (dwelling, office, etc.)/changing residence/(P)/
引っ越し屋 [ひっこしや] /(n) removalist/mover/
引っ越し先 [ひっこしさき] /(n) destination of a move/
引っ越す [ひっこす] /(v5s,vi) to move (house)/to change residence/(P)/
引っ掛かり [ひっかかり] /(n) (1) hold/catch/(2) connection/relationship/(3) unease/discomfort/
引っ掛かる [ひっかかる] /(v5r,vi) to be caught in/to be stuck in/to be cheated/(P)/
引っ掛け [ひっかけ] /(n) arm-grabbing force out (sumo)/
引っ掛ける [ひっかける] /(v1,vt) (1) to hang (something) on (something)/to throw on (clothes)/(2) to hook/to catch/to trap/to ensnare/(3) to cheat/to evade payment/to jump a bill/(4) to drink (alcohol)/(5) to splash someone (with)/(6) to hit the ball off the end of the bat (baseball)/(P)/
引っ掛り [ひっかかり] /(n) (1) hold/catch/(2) connection/relationship/(3) unease/discomfort/
引っ掛る [ひっかかる] /(v5r,vi) to be caught in/to be stuck in/to be cheated/(P)/
引っ括める [ひっくるめる] /(v1) to lump together/to include/
引っ括る [ひっくくる] /(v5r,vt) to bundle/to tie up/
引っ詰め [ひっつめ] /(n) hair pulled tightly back in a bun/
引っ繰り返す [ひっくりかえす] /(v5s,vt) to turn over/to overturn/to knock over/to upset/to turn inside out/
引っ繰り返る [ひっくりかえる] /(v5r,vi) to be overturned/to be upset/to topple over/to be reversed/(P)/
引っ懸かり [ひっかかり] /(n) (1) hold/catch/(2) connection/relationship/(3) unease/discomfort/
引っ懸け [ひっかけ] /(n) arm-grabbing force out (sumo)/
引っ懸ける [ひっかける] /(v1,vt) (1) to hang (something) on (something)/to throw on (clothes)/(2) to hook/to catch/to trap/to ensnare/(3) to cheat/to evade payment/to jump a bill/(4) to drink (alcohol)/(5) to splash someone (with)/(6) to hit the ball off the end of the bat (baseball)/
引っ懸り [ひっかかり] /(n) (1) hold/catch/(2) connection/relationship/(3) unease/discomfort/
引っ込ます [ひっこます] /(v5s,vt) to pull in/
引っ込み [ひっこみ] /(n) retreat/retirement/depression (hole)/
引っ込みがつかない [ひっこみがつかない] /(exp) there being no backing out/gone too far to retreat/
引っ込みが付かない [ひっこみがつかない] /(exp) there being no backing out/gone too far to retreat/
引っ込み思案 [ひっこみじあん] /(adj-no,adj-na) reserved/introverted/reticent/shy/withdrawn/
引っ込む [ひっこむ] /(v5m,vi) to draw back/to sink/to cave in/(P)/
引っ込める [ひっこめる] /(v1,vt) to draw in/to take in/
引っ手繰り [ひったくり] /(n) (uk) purse snatching/handbag snatching/purse snatcher/handbag snatcher/
引っ手繰る [ひったくる] /(v5r,vt) to snatch (steal) from/
引っ切り無し [ひっきりなし] /(adj-na) (uk) continually/continuously/incessantly/
引っ掻き回す [ひっかきまわす] /(v5s,vt) to ransack (a drawer)/to rummage/to stir up (mud)/to throw into confusion/to tamper with/
引っ掻く [ひっかく] /(v5k,vt) to scratch/to claw/
引っ叩く [ひっぱたく] /(v5k) to slap/to strike/to spank/
引っ張たく [ひっぱたく] /(iK) (v5k) to slap/to strike/to spank/
引っ張り [ひっぱり] /(n) pulling/stretching/tension/
引っ張りだこ [ひっぱりだこ] /(n) (1) being very popular/being in great demand/(2) octopus dried on skewers/
引っ張りだす [ひっぱりだす] /(v5s,vt) to take out/to drag out/
引っ張り応力 [ひっぱりおうりょく] /(n) tensile strain/tensile stress/
引っ張り気味 [ひっぱりぎみ] /(n) taut (condition)/taken up slack/removed slack/
引っ張り試験 [ひっぱりしけん] /(n) tension test/
引っ張り出す [ひっぱりだす] /(v5s,vt) to take out/to drag out/
引っ張り上げる [ひっぱりあげる] /(v1) to pull up/to haul up/
引っ張り凧 [ひっぱりだこ] /(n) (1) being very popular/being in great demand/(2) octopus dried on skewers/
引っ張り蛸 [ひっぱりだこ] /(n) (1) being very popular/being in great demand/(2) octopus dried on skewers/
引っ張り剪断強度 [ひっぱりせんだんきょうど] /(n) peel strength (conductor from substrate)/(P)/
引っ張る [ひっぱる] /(v5r,vt) (1) to pull/to draw/to pull tight/(2) to string (lines)/to run (cable)/to stretch/(3) to pull towards oneself (e.g. someone's sleeve)/(4) to drag/to haul/to tow/(5) to lead (e.g. one's followers)/(6) to take someone somewhere (e.g. a suspect to the police)/(7) to tempt into joining/to strongly invite to join/(8) to delay/to prolong/(9) to lengthen the pronunciation (of a word)/(10) to quote/to cite/to reference/(11) to pull the ball (i.e. pull hitting in baseball)/(12) to wear/to put on/(P)/
引っ掴む [ひっつかむ] /(v5m) to snatch (at)/to grab/
引っ釣り [ひっつり] /(n) (1) (obsc) scar/(2) spasm/twitch/cramp/
引っ提げる [ひっさげる] /(v1) (uk) (col) to carry in one's own hands/to carry in a manner that is obvious to others/
引っ剥がす [ひっぱがす] /(v5s,vt) to tear off/to rip off/to peel off/
引っ剥がす [ひっぺがす] /(v5s,vt) to tear off/to rip off/to peel off/
引っ剥ぐ [ひっぱぐ] /(v5g,vt) to tear off/
引っ被る [ひっかぶる] /(v5r,vt) to take upon oneself/to pull (a thing) over one's head/
引っ付き虫 [ひっつきむし] /(n) burr (prickly seeds or seedheads that stick to fur and clothes)/
引っ付く [ひっつく] /(v5k) to stick to/to flirt with/(P)/
引っ付ける [ひっつける] /(v1,vt) to stick/to affix/
引っ返す [ひっかえす] /(v5s,vt) to repeat/to send back/to bring back/to retrace one's steps/
引っ捕える [ひっとらえる] /(v1,vt) to seize/
引っ捕らえる [ひっとらえる] /(v1) to arrest/to capture/to seize/
引っ抱える [ひっかかえる] /(v1,vt) to hold tightly/to hold firmly/
引っ立てる [ひったてる] /(v1) to walk someone off (e.g. to the police station)/
引っ掠う [ひっさらう] /(v5u,vt) to kidnap/to abduct/to snatch/to carry people away/to take by force/
引っ攣り [ひっつり] /(n) (1) (obsc) scar/(2) spasm/twitch/cramp/
引っ攫う [ひっさらう] /(v5u,vt) to kidnap/to abduct/to snatch/to carry people away/to take by force/
引っ浚う [ひっさらう] /(v5u,vt) to kidnap/to abduct/to snatch/to carry people away/to take by force/
引ん剥く [ひんむく] /(v5k) to strip/to peel/to tear off/
引ん抜く [ひんぬく] /(v5k) to uproot/to pull out/
引移る [ひきうつる] /(v5r,vi) to move/to move to a new location/
引違い戸 [ひきちがいど] /(n) double sliding door/
引越 [ひっこし] /(io) (n,vs) moving (dwelling, office, etc.)/changing residence/
引越し [ひっこし] /(io) (n,vs) moving (dwelling, office, etc.)/changing residence/
引越し屋 [ひっこしや] /(n) removalist/mover/
引越す [ひきこす] /(io) (v5s,vi) to move (house)/to change residence/
引延す [ひきのばす] /(io) (v5s,vt) (1) to stretch larger/(2) to enlarge (photos)/(3) to delay (e.g. the end of a meeting)/(P)/
引延ばし [ひきのばし] /(n) (1) extension/prolongation/(2) enlargement/
引延ばす [ひきのばす] /(io) (v5s,vt) (1) to stretch larger/(2) to enlarge (photos)/(3) to delay (e.g. the end of a meeting)/(P)/
引下がる [ひきさがる] /(io) (v5r,vi) to withdraw/to leave/
引下げる [ひきさげる] /(io) (v1,vt) to pull down/to lower/to reduce/to withdraw/(P)/
引下ろす [ひきおろす] /(io) (v5s,vt) to haul down/to drag down/
引火 [いんか] /(n,vs) catching fire/
引火温度 [いんかおんど] /(n) flash temperature/
引火性液体 [いんかせいえきたい] /(n) inflammable liquid/inflammable fluid/
引火点 [いんかてん] /(n) flash point/flashing point/
引回す [ひきまわす] /(io) (v5s,vt) to draw a curtain/to guide/to parade about/
引開ける [ひきあける] /(v1,vt) to pull open/
引換 [ひきかえ] /(n) (1) exchange/conversion/(2) on the contrary/on the other hand/
引換え [ひきかえ] /(n) (1) exchange/conversion/(2) on the contrary/on the other hand/(P)/
引換える [ひきかえる] /(io) (v1,vt) to exchange (things)/to convert/to reverse/
引換て [ひきかえて] /(exp) on the contrary/
引換券 [ひきかえけん] /(n) exchange ticket/claim tag/coupon/
引換証 [ひきかえしょう] /(n) receipt/coupon/bond/check/
引寄せる [ひきよせる] /(io) (v1,vt) to draw or pull something towards oneself (e.g. chair)/
引去る [ひきさる] /(io) (v5r,vt) to retreat/to withdraw/to deduct/
引金 [ひきがね] /(n) trigger/gunlock/(P)/
引繰り返す [ひっくりかえす] /(v5s,vt) to turn over/to overturn/to knock over/to upset/to turn inside out/
引繰り返る [ひっくりかえる] /(v5r,vi) to be overturned/to be upset/to topple over/to be reversed/
引継 [ひきつぎ] /(n) inheriting/
引継ぎ [ひきつぎ] /(n) inheriting/(P)/
引継ぐ [ひきつぐ] /(io) (v5g,vt) to take over/to hand over/(P)/
引見 [いんけん] /(n,vs) audience/interview/
引戸 [ひきと] /(n) sliding door/
引戸 [ひきど] /(n) sliding door/
引絞る [ひきしぼる] /(io) (v5r,vt) to draw bow to limit/to draw aside curt/
引綱 [ひきづな] /(n) tow rope/bell rope/dog lead/lanyard/sash cord/
引航 [いんこう] /(n,vs) tugging/towing/
引合 [ひきあい] /(n) (1) reference/comparison/example/(2) inquiry/enquiry/(3) witness/being involved in a court case/deal/
引合い [ひきあい] /(n) (1) reference/comparison/example/(2) inquiry/enquiry/(3) witness/being involved in a court case/deal/
引合う [ひきあう] /(io) (v5u,vi) (1) to pay/to be profitable/(2) to pull against each other/
引合せる [ひきあわせる] /(io) (v1,vt) to introduce/to compare/
引込みケーブル [ひきこみケーブル] /(n) (comp) drop cable/
引込み線 [ひきこみせん] /(n) (railway) siding/service line/service wire/
引込む [ひきこむ] /(io) (v5m,vt) to draw in/to win over/
引込管 [ひきこみかん] /(n) leading-in tube/supply conduit/
引込思案 [ひっこみじあん] /(adj-no,adj-na) reserved/introverted/reticent/shy/withdrawn/
引込線 [ひきこみせん] /(n) (railway) siding/service line/service wire/
引算 [ひきざん] /(n) (math) subtraction/(P)/
引止める [ひきとめる] /(io) (v1,vt) to detain/to check/to restrain/(P)/
引汐 [ひきしお] /(io) (n) ebb tide/
引写し [ひきうつし] /(n) a copy/tracing/
引取り [ひきとり] /(n,vs) leaving/accepting/
引取り手 [ひきとりて] /(n) claimant/caretaker/
引取り人 [ひきとりにん] /(n) caretaker/claimer/guarantor/
引取る [ひきとる] /(io) (v5r,vt) to take charge of/to take over/to retire to a private place/(P)/
引取人 [ひきとりにん] /(io) (n) caretaker/claimer/guarantor/
引手 [ひきて] /(n) knob/handle/catch/patron/
引手茶屋 [ひきてぢゃや] /(n) (arch) teahouse that introduces clients to prostitutes/
引受 [ひきうけ] /(n) undertaking/underwriting/acceptance/
引受け [ひきうけ] /(n) undertaking/underwriting/acceptance/
引受ける [ひきうける] /(v1,vt) (1) to be responsible for/(2) to take over/to take up/(3) to guarantee/to undertake/(4) to contract (a disease)/(P)/
引受る [ひきうける] /(io) (v1,vt) (1) to be responsible for/(2) to take over/to take up/(3) to guarantee/to undertake/(4) to contract (a disease)/
引受時刻 [ひきうけじこく] /(n) time of receipt (of a package, etc. by the post office)/
引受人 [ひきうけにん] /(n) guarantor/
引舟 [ひきふね] /(n,vs) tugboat/towing/towage/
引舟 [ひきぶね] /(n,vs) tugboat/towing/towage/
引出し [ひきだし] /(n) (1) drawer/(2) withdrawal/drawing out/(P)/
引出す [ひきだす] /(v5s,vt) to pull out/to take out/to draw out/to withdraw/(P)/
引出物 [ひきでもの] /(n) gift/souvenir/
引照 [いんしょう] /(n,vs) reference/quotation/
引証 [いんしょう] /(n,vs) quotation/citation/
引上げ [ひきあげ] /(n) (1) pulling up/drawing up/salvage/re-flotation/(2) raising/increase/upward revision/(3) repatriation/evacuation/
引上げる [ひきあげる] /(v1,vt) (1) to pull up/to drag up/to lift up/(2) to increase/to raise (e.g. taxes)/(3) to withdraw/to leave/to pull out/to retire/(4) to return home/(P)/
引伸す [ひきのばす] /(io) (v5s,vt) (1) to stretch larger/(2) to enlarge (photos)/(3) to delay (e.g. the end of a meeting)/(P)/
引伸ばし [ひきのばし] /(n) (1) extension/prolongation/(2) enlargement/
引伸ばし写真 [ひきのばししゃしん] /(n) enlarged photo/enlarged photograph/
引伸ばす [ひきのばす] /(io) (v5s,vt) (1) to stretch larger/(2) to enlarge (photos)/(3) to delay (e.g. the end of a meeting)/(P)/
引伸機 [ひきのばしき] /(n) enlarger/
引伸写真 [ひきのばししゃしん] /(n) enlarged photo/enlarged photograph/
引数 [いんすう] /(n) (comp) argument (e.g. function, program, programme)/
引数 [ひきすう] /(n) (comp) argument (e.g. function, program, programme)/
引数キーワード [ひきすうキーワード] /(n) (comp) argument keyword/
引数リスト [ひきすうリスト] /(n) (comp) argument list/
引数結合 [ひきすうけつごう] /(n) (comp) argument association/
引数実体 [ひきすうじったい] /(n) (comp) parameter entity/
引数実体参照 [ひきすうじったいさんしょう] /(n) (comp) parameter entity reference/
引数表記 [ひきすうひょうき] /(n) (comp) parameter literal/
引数分離子 [ひきすうぶんりし] /(n) (comp) parameter separator/
引数領域 [ひきすうりょういき] /(n) (comp) argument range/
引据える [ひきすえる] /(v1) to (physically) force someone to sit down/
引摺り [ひきずり] /(n) (1) train of dress/trailing skirt/(2) woman who doesn't work and only thinks about fashion/
引摺り回す [ひきずりまわす] /(v5s,vt) to drag around/to pull about/to lead around (by the nose)/
引摺り込む [ひきずりこむ] /(v5m,vt) to drag in/to pull in/
引摺り出す [ひきずりだす] /(v5s,vt) to drag out/
引摺る [ひきずる] /(io) (v5r,vt) (1) to drag along/to pull/(2) to force someone along/(3) to prolong/to drag out/(4) to influence strongly/to seduce/
引責 [いんせき] /(n,vs) taking responsibility/(P)/
引責辞任 [いんせきじにん] /(n,vs) taking responsibility upon oneself (and resigning)/
引赤 [いんせき] /(n,adj-no) (obsc) rubefaction (reddening of the skin)/
引赤薬 [いんせきやく] /(n) (obsc) rubefacient (substance that causes redness of skin)/
引接 [いんせつ] /(n,vs) interview/
引船 [ひきふね] /(n,vs) tugboat/towing/towage/
引船 [ひきぶね] /(n,vs) tugboat/towing/towage/
引掻き回す [ひっかきまわす] /(v5s,vt) to ransack (a drawer)/to rummage/to stir up (mud)/to throw into confusion/to tamper with/
引掻く [ひっかく] /(v5k,vt) to scratch/to claw/
引窓 [ひきまど] /(n) skylight/trap door/
引続き [ひきつづき] /(adv,n) continuing for a long time/in succession/without a break/(P)/
引続く [ひきつづく] /(v5k,vi) to continue (for a long time)/to occur in succession/
引卒 [いんそつ] /(iK) (n,vs) leading/commanding/
引替え [ひきかえ] /(n) (1) exchange/conversion/(2) on the contrary/on the other hand/(P)/
引替え券 [ひきかえけん] /(n) exchange ticket/claim tag/coupon/
引替る [ひきかえる] /(io) (v1,vt) to exchange (things)/to convert/to reverse/
引退 [いんたい] /(n,vs) retire/(P)/
引退興行 [いんたいこうぎょう] /(n) farewell performance/
引退相撲 [いんたいずもう] /(n) exhibition match held at sumo wrestler's retirement ceremony/
引致 [いんち] /(n,vs) arrest/custody/
引張り [ひっぱり] /(n) pulling/stretching/tension/
引張る [ひっぱる] /(v5r,vt) (1) to pull/to draw/to pull tight/(2) to string (lines)/to run (cable)/to stretch/(3) to pull towards oneself (e.g. someone's sleeve)/(4) to drag/to haul/to tow/(5) to lead (e.g. one's followers)/(6) to take someone somewhere (e.g. a suspect to the police)/(7) to tempt into joining/to strongly invite to join/(8) to delay/to prolong/(9) to lengthen the pronunciation (of a word)/(10) to quote/to cite/to reference/(11) to pull the ball (i.e. pull hitting in baseball)/(12) to wear/to put on/
引潮 [ひきしお] /(n) ebb tide/
引直す [ひきなおす] /(v5s,vt) to redo/
引締め [ひきしめ] /(n) tightening/(P)/
引締める [ひきしめる] /(v1,vt) to tighten/to stiffen/to brace/to strain/(P)/
引渡し [ひきわたし] /(n) delivery/handing over/turning over/extradition/
引渡す [ひきわたす] /(v5s,vt) to deliver/to extradite/to stretch across/to hand over/
引当 [ひきあて] /(n) mortgage/security/
引当て [ひきあて] /(n) mortgage/security/
引当てる [ひきあてる] /(v1,vt) (1) to draw (the winning ticket)/(2) to apply/to compare/to put (oneself in someone's position)/
引当る [ひきあてる] /(io) (v1,vt) (1) to draw (the winning ticket)/(2) to apply/to compare/to put (oneself in someone's position)/
引当金 [ひきあてきん] /(n) reserves/provisions/
引導 [いんどう] /(n) requiem/prayer for dead/dismissal/
引導を渡す [いんどうをわたす] /(exp,v5s) (1) to perform the last rites over the deceased/(2) to give someone their final notice (e.g. when firing them)/to give someone the final word/
引入れる [ひきいれる] /(io) (v1,vt) to drag into/to win over/
引波 [ひきなみ] /(n) (1) backwash/rip current/undertow/(2) stern wave/(3) drawback (of a tsunami, i.e. when a wave trough reaches land before a crest)/
引抜き [ひきぬき] /(n) hiring from another company/recruitment/scouting/
引抜く [ひきぬく] /(io) (v5k,vt) (1) to extract/to uproot/to pull out/(2) to headhunt/to lure away/(P)/
引眉 [ひきまゆ] /(n) painted eyebrows/
引付け [ひきつけ] /(n) convulsions/
引付ける [ひきつける] /(v1) (1) to fascinate/to attract/to charm/to pull up (at a gate)/(2) to have a convulsion/(P)/
引付る [ひきつける] /(io) (v1) (1) to fascinate/to attract/to charm/to pull up (at a gate)/(2) to have a convulsion/
引払う [ひきはらう] /(io) (v5u,vt) to vacate/to move out/
引物 [いんぶつ] /(n) present (to build up a "friendship" with someone)/bribe/
引分け [ひきわけ] /(n) draw (in competition)/tie game/(P)/
引分ける [ひきわける] /(v1,vt) to pull apart/to separate/
引返し [ひきかえし] /(n) turning back/
引返す [ひきかえす] /(io) (v5s,vt) to repeat/to send back/to bring back/to retrace one's steps/(P)/
引幕 [ひきまく] /(n) draw curtain/stage curtain/
引明け [ひきあけ] /(n) dawn/
引網 [ひきあみ] /(n) dragnet/seine/
引目 [ひきめ] /(n) large, perforated, turnip-shaped arrowhead cover made of Japanese bigleaf magnolia or paulownia/harmless arrow affixed with such a cover (that whistles when shot and is used to drive off evil spirits)/
引目鉤鼻 [ひきめかぎはな] /(n) style of drawing the human face from the Heian period/
引戻す [ひきもどす] /(io) (v5s,vt) to bring back/to restore/(P)/
引揚 [ひきあげ] /(n) (1) pulling up/drawing up/salvage/re-flotation/(2) raising/increase/upward revision/(3) repatriation/evacuation/
引揚げ [ひきあげ] /(n) (1) pulling up/drawing up/salvage/re-flotation/(2) raising/increase/upward revision/(3) repatriation/evacuation/
引揚げる [ひきあげる] /(v1,vt) (1) to pull up/to drag up/to lift up/(2) to increase/to raise (e.g. taxes)/(3) to withdraw/to leave/to pull out/to retire/(4) to return home/
引揚者 [ひきあげしゃ] /(n) returnee/repatriate/
引揚船 [ひきあげふね] /(n) evacuation boat/repatriation ship/
引揚船 [ひきあげぶね] /(n) evacuation boat/repatriation ship/
引用 [いんよう] /(n,vs,adj-no) quotation/citation/reference/(P)/
引用句 [いんようく] /(n) (ling) quotation/
引用索引 [いんようさくいん] /(n) (comp) citation index/
引用仕様 [いんようしよう] /(n) (comp) interface/
引用仕様宣言 [いんようしようせんげん] /(n) (comp) interface block/
引用仕様本体 [いんようしようほんたい] /(n) (comp) interface body/
引用終わり [いんようおわり] /(n) end of quote/
引用書 [いんようしょ] /(n) reference book/
引用符 [いんようふ] /(n) quotation marks/quote marks/
引用文 [いんようぶん] /(n) (ling) quotation/
引用文字列 [いんようもじれつ] /(n) (comp) quoted (character) string/
引落す [ひきおとす] /(v5s,vt) to pull down/to automatically debit (from a bank account)/
引落とし [ひきおとし] /(n) debit/withdrawal/pulling (one's opponent) down/frontal pull-down (in Sumo)/hiki-otoshi/
引落とす [ひきおとす] /(v5s,vt) to pull down/to automatically debit (from a bank account)/
引離す [ひきはなす] /(io) (v5s,vt) to pull apart/to separate/(P)/
引率 [いんそつ] /(n,vs) leading/commanding/
引率者 [いんそつしゃ] /(n) leader/
引立つ [ひきたつ] /(io) (v5t) (1) to become active/(2) to look better/
引立て [ひきたて] /(n) favor/favour/patronage/
引立てる [ひきたてる] /(v1,vt) to favour/to favor/to promote/to march (a prisoner off)/to support/
引立て役 [ひきたてやく] /(n) person who makes someone else appear better/foil/
引力 [いんりょく] /(n) (1) attraction (e.g. magnetic, gravitation)/affinity/(2) attractiveness/magnetism/(P)/
引力圏 [いんりょくけん] /(n) (moon's) sphere of gravitation/
引例 [いんれい] /(n,vs) quotation/referring to precedent/
引裂く [ひきさく] /(io) (v5k,vt) to tear up/to tear off/to split/(P)/
引連れる [ひきつれる] /(io) (v1,vt) to take along with/
引篭り [ひきこもり] /(n) (1) a shut-in/a stay-at-home/people who withdraw from society (e.g. retire to the country)/(2) social withdrawal/shunning other people/
引喩 [いんゆ] /(n) allusion/
引攣り [ひきつり] /(n) (1) scar/(2) spasm/twitch/cramp/
引攣る [ひきつる] /(v5r) to have a cramp (spasm, convulsion, twitch)/to become stiff/
引攣れる [ひきつれる] /(v1,vi) to have a cramp/
引籠り [ひきこもり] /(n) (1) a shut-in/a stay-at-home/people who withdraw from society (e.g. retire to the country)/(2) social withdrawal/shunning other people/
引籠る [ひきこもる] /(io) (v5r,vi) to stay indoors/to be confined indoors/
飲ます [のます] /(v5s,vt) to make somebody drink/
飲ませる [のませる] /(v1) to make somebody drink/to give someone a drink/
飲まれる [のまれる] /(v1,vt) (1) to be swallowed up/to be engulfed/(2) to be overwhelmed/to be overawed/
飲み [のみ] /(n) (1) (abbr) drink/drinking/(2) spigot/tap (in a cask, etc.)/(3) stock market bucketing/(4) bookmaking/
飲みあかす [のみあかす] /(v5s,vt) to drink the night away/
飲みかけ [のみかけ] /(n,adj-no) partially consumed drink/partially consuming a drink/
飲みかける [のみかける] /(v1,vt) to start to drink/to try to drink/to partially drink/
飲みくだす [のみくだす] /(v5s,vt) to swallow/to gulp down/
飲みつぶす [のみつぶす] /(v5s,vt) to drink away one's money/to be a sot/
飲みつぶれる [のみつぶれる] /(v1,vi) to drink oneself drunk/
飲みで [のみで] /(n) more than enough/
飲みほす [のみほす] /(v5s,vt) to drink up/to drain (cup)/
飲みまわす [のみまわす] /(v5s,vt) to pass the cup round/
飲みまわる [のみまわる] /(v5r,vt) to go on a pub-crawl/to drink at a round of places/
飲みやすい [のみやすい] /(adj-i) easy to drink/easy to swallow/quaffable/
飲みニケーション [のみニケーション] /(n) communicating while drinking/
飲み易い [のみやすい] /(adj-i) easy to drink/easy to swallow/quaffable/
飲み屋 [のみや] /(n) bar/saloon/
飲み下す [のみくだす] /(v5s,vt) to swallow/to gulp down/
飲み過ぎ [のみすぎ] /(n) overdrinking/excessive drinking/
飲み過ぎる [のみすぎる] /(v1) to drink too much/
飲み会 [のみかい] /(n) drinking party/get-together/
飲み回し [のみまわし] /(n) passing the bottle around/
飲み回す [のみまわす] /(v5s,vt) to pass the cup round/
飲み回る [のみまわる] /(v5r,vt) to go on a pub-crawl/to drink at a round of places/
飲み掛け [のみかけ] /(n,adj-no) partially consumed drink/partially consuming a drink/
飲み掛ける [のみかける] /(v1,vt) to start to drink/to try to drink/to partially drink/
飲み乾す [のみほす] /(v5s,vt) to drink up/to drain (cup)/
飲み干す [のみほす] /(v5s,vt) to drink up/to drain (cup)/
飲み口 [のみくち] /(n) (1) taste (of a liquid, esp. alcoholic beverages)/(2) someone who enjoys alcohol/(3) rim (of a glass)/(4) shape of one's mouth when drinking/(5) tap/faucet/spigot/
飲み口 [のみぐち] /(n) (1) taste (of a liquid, esp. alcoholic beverages)/(2) someone who enjoys alcohol/(3) rim (of a glass)/(4) shape of one's mouth when drinking/(5) tap/faucet/spigot/
飲み込み [のみこみ] /(n) understanding/apprehension/
飲み込む [のみこむ] /(v5m,vt) (1) to gulp down/to swallow deeply/(2) to understand/to take in/to catch on to/to learn/to digest/(P)/
飲み始める [のみはじめる] /(v1) to begin to drink/
飲み手 [のみて] /(n) heavy drinker/
飲み助 [のみすけ] /(n) tippler/drunkard/heavy drinker/
飲み食い [のみくい] /(n,vs) food and drink/eating and drinking/
飲み水 [のみみず] /(n) drinking water/(P)/
飲み代 [のみしろ] /(n) drink money/drinking money/
飲み仲間 [のみなかま] /(n) drinking companion/
飲み潰す [のみつぶす] /(v5s,vt) to drink away one's money/to be a sot/
飲み潰れる [のみつぶれる] /(v1,vi) to drink oneself drunk/
飲み倒す [のみたおす] /(v5s,vt) to skip out on one's bar bill/
飲み逃げ [のみにげ] /(n) leaving drinks unpaid for/
飲み抜け [のみぬけ] /(n) drunkard/
飲み付ける [のみつける] /(v1,vt) to drink regularly/to drink stubbornly/
飲み物 [のみもの] /(n) drink/beverage/(P)/
飲み放題 [のみほうだい] /(exp,adj-no) all you can drink/bottomless cup/
飲み方 [のみかた] /(n) way of taking (a pill)/way of drinking/
飲み明かす [のみあかす] /(v5s,vt) to drink the night away/
飲み薬 [のみぐすり] /(n) oral medicine/internal medicine/
飲み料 [のみりょう] /(n) one's (portion of a) drink/
飲む [のむ] /(v5m,vt) (1) to drink/to gulp/to swallow/(2) to smoke (tobacco)/(3) to engulf/to overwhelm/(4) to keep down/to suppress/(5) to accept (e.g. demand, condition)/(6) to make light of/to conceal/(P)/
飲むべ [のむべ] /(n) (uk) person who likes to drink/
飲む打つ買う [のむうつかう] /(n) drinking, gambling, and buying women in prostitution/
飲めや歌え [のめやうたえ] /(n) revelry/
飲める [のめる] /(v1) (1) to be able to drink/(2) to be worth drinking/
飲んだくれ [のんだくれ] /(n) drunkard/piss-artist/
飲んだくれる [のんだくれる] /(v1) to get dead drunk/
飲んべえ [のんべえ] /(n) heavy drinker/tippler/
飲ん兵衛 [のんべえ] /(n) heavy drinker/tippler/
飲屋 [のみや] /(n) bar/saloon/
飲下す [のみくだす] /(io) (v5s,vt) to swallow/to gulp down/
飲過ぎ [のみすぎ] /(n) overdrinking/excessive drinking/
飲掛け [のみかけ] /(n,adj-no) partially consumed drink/partially consuming a drink/
飲掛ける [のみかける] /(v1,vt) to start to drink/to try to drink/to partially drink/
飲乾す [のみほす] /(io) (v5s,vt) to drink up/to drain (cup)/
飲干す [のみほす] /(io) (v5s,vt) to drink up/to drain (cup)/
飲口 [のみくち] /(n) (1) taste (of a liquid, esp. alcoholic beverages)/(2) someone who enjoys alcohol/(3) rim (of a glass)/(4) shape of one's mouth when drinking/(5) tap/faucet/spigot/
飲口 [のみぐち] /(n) (1) taste (of a liquid, esp. alcoholic beverages)/(2) someone who enjoys alcohol/(3) rim (of a glass)/(4) shape of one's mouth when drinking/(5) tap/faucet/spigot/
飲込み [のみこみ] /(n) understanding/apprehension/
飲込む [のみこむ] /(v5m,vt) (1) to gulp down/to swallow deeply/(2) to understand/to take in/to catch on to/to learn/to digest/
飲手 [のみて] /(n) heavy drinker/
飲酒 [いんしゅ] /(n,vs) drinking alcohol (sake)/(P)/
飲酒の害 [いんしゅのがい] /(n) ill effects of drinking/
飲酒運転 [いんしゅうんてん] /(n) drunken driving/
飲酒家 [いんしゅか] /(n) a drinker/
飲酒検知器 [いんしゅけんちき] /(n) breathalyser/alcometer/
飲酒店 [いんしゅてん] /(n) drinking establishment/bar/
飲酒癖 [いんしゅへき] /(n) alcoholic addiction/
飲助 [のみすけ] /(n) tippler/drunkard/heavy drinker/
飲食 [いんしょく] /(n,vs) food and drink/eating and drinking/(P)/
飲食禁止 [いんしょくきんし] /(n) no food or drink (e.g. as a sign in a library, etc.)/no eating or drinking/
飲食店 [いんしょくてん] /(n) restaurant/shops serving food and drink/(P)/
飲食物 [いんしょくぶつ] /(n) food and drink/
飲食料品 [いんしょくりょうひん] /(n) food and beverage/
飲水 [のみみず] /(n) drinking water/
飲水量 [いんすいりょう] /(n) amount of drinking/
飲泉 [いんせん] /(n) drinking spring water/taking the waters/onsen water used for medical treatment/
飲代 [のみしろ] /(n) drink money/drinking money/
飲茶 [ヤムチャ] /(n) eating snacks (esp. dim sum) with tea (chi: yancha)/yamcha/
飲仲間 [のみなかま] /(n) drinking companion/
飲潰す [のみつぶす] /(v5s,vt) to drink away one's money/to be a sot/
飲倒す [のみたおす] /(v5s,vt) to skip out on one's bar bill/
飲逃げ [のみにげ] /(n) leaving drinks unpaid for/
飲抜け [のみぬけ] /(n) drunkard/
飲付ける [のみつける] /(v1,vt) to drink regularly/to drink stubbornly/
飲物 [のみもの] /(n) drink/beverage/(P)/
飲兵衛 [のんべえ] /(io) (n) heavy drinker/tippler/
飲薬 [のみぐすり] /(n) oral medicine/internal medicine/
飲用 [いんよう] /(n,vs,adj-no) drinking/
飲用水 [いんようすい] /(n) potable water/
飲料 [いんりょう] /(n) beverage/drink/(P)/
飲料 [のみりょう] /(n) one's (portion of a) drink/
飲料水 [いんりょうすい] /(n) drinking water/(P)/
淫 [いん] /(n,adj-na) licentiousness/
淫する [いんする] /(vs-s,vi) (1) to overdo/to go to excess/to indulge/(2) to act licentiously/
淫ら [みだら] /(adj-na,n) loose/bawdy/improper/dirty/
淫逸 [いんいつ] /(n,adj-na) debauchery/
淫雨 [いんう] /(n) prolonged rain which damages crops/
淫画 [いんが] /(n) lewd pictures/
淫具 [いんぐ] /(n) dildo/
淫語 [いんご] /(n) indecent language/dirty talk/
淫行 [いんこう] /(n) obscenity/harlotry/
淫事 [いんじ] /(n) lascivious act/
淫心 [いんしん] /(n) sexual passion/
淫声 [いんせい] /(n) (1) screams produced during sex/(2) bawdy song/song of low character/
淫蕩 [いんとう] /(adj-na,n) dissipation/lewdness/
淫売 [いんばい] /(n) (sens) prostitution/prostitute/
淫売屋 [いんばいや] /(n) brothel/bordello/whorehouse/cathouse/
淫売宿 [いんばいやど] /(n) brothel/
淫売婦 [いんばいふ] /(n) prostitute/
淫婦 [いんぷ] /(n) (1) woman of loose morals/lewd woman/(2) prostitute/whore/harlot/
淫風 [いんぷう] /(n) lewd manners/immorality/
淫奔 [いんぽん] /(adj-na,n) lewdness/lasciviousness/
淫羊かく [いんようかく] /(n) horny goat weed (Epimedium grandiflorum var. thunbergianum)/rowdy lamb herb/barrenwort/bishop's hat/fairy wings/yin yang huo/
淫慾 [いんよく] /(n) lust/
淫欲 [いんよく] /(n) lust/
淫乱 [いんらん] /(adj-na,adj-no) debauched/lewd/lascivious/lecherous/salacious/wild/
淫佚 [いんいつ] /(n,adj-na) debauchery/
淫猥 [いんわい] /(adj-na,n) obscenity/obscene/
淫祠 [いんし] /(n) shrine of evil deity/
淫祠邪教 [いんしじゃきょう] /(n) evil heresies/
淫賣 [いんばい] /(oK) (n) (sens) prostitution/prostitute/
淫賣婦 [いんばいふ] /(oK) (n) prostitute/
淫靡 [いんび] /(adj-na,n) impurity/obscenity/
胤 [たね] /(n) issue/offspring/paternal blood/
胤違い [たねちがい] /(n) half-brother/half-sister/
胤裔 [いんえい] /(n) (arch) successor/descendant/
蔭 [かげ] /(n) (1) shade/shadow/(2) other side/back/background/
蔭間 [かげま] /(n) professional homosexual (late Edo period)/
蔭口 [かげぐち] /(n,adj-no) malicious gossip/backbiting/speaking ill behind someone's back/
院 [いん] /(n) (1) (hon) imperial palace/(2) emperor (or his empress, imperial princesses, etc.)/(suf) (3) temple/(4) institution (esp. a government office, school, hospital, etc.)/(5) suffix used in posthumous names (esp. of emperors, daimyos, etc.)/
院の内外 [いんのないがい] /(n) legislative circles/
院外 [いんがい] /(n,adj-no) non-parliamentary/outside congress/
院外団 [いんがいだん] /(n) nonparliamentary party association/
院議 [いんぎ] /(n) legislative decision/
院号 [いんごう] /(n) (1) (hon) former emperor (or his empress, imperial princesses, etc.)/(2) posthumous Buddhist name containing the character "in"/
院試 [いんし] /(n) (abbr) graduate school entrance examination/
院主 [いんじゅ] /(n) head of a temple/
院政 [いんせい] /(n) government by cloistered emperors/
院生 [いんせい] /(n) (abbr) graduate student/
院宣 [いんせん] /(n) imperial command (decree)/decree of cloistered emperor/
院宣 [いんぜん] /(n) imperial command (decree)/decree of cloistered emperor/
院卒 [いんそつ] /(n) graduate-school graduate/
院長 [いんちょう] /(n) director/(P)/
院内 [いんない] /(n,adj-no) (1) inside the House (Diet)/(2) inside the hospital/(P)/
院内会派 [いんないかいは] /(n) in-house faction (political groups within the Diet)/
院内感染 [いんないかんせん] /(n) infection incurred while hospitalized (hospitalised)/nosocomial infection/
院内総務 [いんないそうむ] /(n) floor leader/party whip/
院本 [いんぽん] /(n) drama/playbook/
陰 [いん] /(n) (1) yin (i.e. the negative)/(2) unseen location (i.e. somewhere private)/
陰 [かげ] /(n) (1) shade/shadow/(2) other side/back/background/(P)/
陰々滅々 [いんいんめつめつ] /(uK) (adj-t,adv-to) gloomy/
陰うつ [いんうつ] /(adj-na,n) gloom/melancholy/
陰で [かげで] /(exp) behind one's back/
陰で悪口を言う [かげでわるくちをいう] /(exp,v5u) to insult someone behind their back/
陰で糸を引く [かげでいとをひく] /(exp,v5k) to pull wires/to pull strings/
陰で動く [かげでうごく] /(v5k) to act behind the scenes/
陰と陽 [いんとよう] /(exp) the positive and the negative/
陰ながら [かげながら] /(adv) (uk) secretly/behind someone's back/unbeknownst to the parties involved/
陰に [いんに] /(adv) invisibly/secretly/privately/
陰にこもる [いんにこもる] /(exp,v5r) (1) to stay bottled up inside oneself/to be introverted/(2) to have a melancholic appearance, atmosphere (of a person, object, place)/to have a gloomy appearance/
陰に日に [かげにひに] /(adv) at all times/at any time/in rain or shine/reliably/
陰に陽に [いんにように] /(adv) openly and covertly/implicitly and explicitly/
陰に籠る [いんにこもる] /(exp,v5r) (1) to stay bottled up inside oneself/to be introverted/(2) to have a melancholic appearance, atmosphere (of a person, object, place)/to have a gloomy appearance/
陰り [かげり] /(n) shadow or cloud (e.g. on someone's happiness)/shade/gloom/(P)/
陰る [かげる] /(v5r,vi) to darken/to get dark/to be clouded/to be obscured/
陰イオン [いんイオン] /(n,adj-no) anion/
陰圧 [いんあつ] /(n) negative pressure/
陰萎 [いんい] /(n,adj-no) impotence (sexual)/erectile impotence/
陰陰 [いんいん] /(adj-t,adv-to) forlorn/dark and desolate/
陰陰滅滅 [いんいんめつめつ] /(uK) (adj-t,adv-to) gloomy/
陰欝 [いんうつ] /(iK) (adj-na,n) gloom/melancholy/
陰影 [いんえい] /(n) (1) shadow/gloom/(2) shading/hatch/hatching/
陰影をつける [いんえいをつける] /(exp,v1) (comp) to crosshatch/
陰影を付ける [いんえいをつける] /(exp,v1) (comp) to crosshatch/
陰音階 [いんおんかい] /(n) hemitonic pentatonic scale (pentatonic scale containing semitones)/
陰画 [いんが] /(n,adj-no) (photographic) negative/
陰画紙 [いんがし] /(iK) (n) (photographic) printing paper/
陰核 [いんかく] /(n,adj-no) clitoris/
陰核 [へのこ] /(n) (1) testicles/(2) penis/
陰核海綿体 [いんかくかいめんたい] /(n) corpus cavernosum clitoridis (either of two bodies of clitoral erecile tissue)/
陰核亀頭 [いんかくきとう] /(n,adj-no) glans clitoridis/
陰核包皮 [いんかくほうひ] /(n) prepuce of clitoris/
陰乾 [かげぼし] /(io) (n,vs) drying in the shade/
陰乾し [かげぼし] /(n,vs) drying in the shade/
陰干 [かげぼし] /(io) (n,vs) drying in the shade/
陰干し [かげぼし] /(n,vs) drying in the shade/
陰間 [かげま] /(n) professional homosexual (late Edo period)/
陰関数 [いんかんすう] /(n) implicit function/
陰気 [いんき] /(adj-na,n) gloom/melancholy/(P)/
陰気臭い [いんきくさい] /(adj-i) dismal/gloomy/
陰極 [いんきょく] /(n) cathode/
陰極管 [いんきょくかん] /(n) cathode(-ray) tube/
陰極線 [いんきょくせん] /(n) cathode rays/
陰極線オシロスコープ [いんきょくせんオシロスコープ] /(n) cathode-ray oscilloscope/
陰極線管 [いんきょくせんかん] /(n) cathode-ray tube/CRT/
陰極板 [いんきょくばん] /(n) negative plate/
陰金 [いんきん] /(n) (abbr) ringworm (of the groin)/jock itch/tinea cruris/
陰金田虫 [いんきんたむし] /(n) ringworm (of the groin)/jock itch/tinea cruris/
陰茎 [いんけい] /(n,adj-no) penis/
陰茎海綿体 [いんけいかいめんたい] /(n) corpus spongiosum penis (either of two large bodies of penile erecile tissue)/
陰茎亀頭 [いんけいきとう] /(n,adj-no) glans penis/
陰茎折症 [いんけいせっしょう] /(n) penile fracture/
陰茎包皮 [いんけいほうひ] /(n) foreskin/
陰険 [いんけん] /(adj-na,n) tricky/wily/treacherous/
陰口 [かげぐち] /(n,adj-no) malicious gossip/backbiting/speaking ill behind someone's back/(P)/
陰口をたたく [かげぐちをたたく] /(exp,v5k) to backbite/
陰口を叩く [かげぐちをたたく] /(exp,v5k) to backbite/
陰刻 [いんこく] /(n) (1) hollow relief (carving)/(2) white line (woodcuts)/
陰祭 [かげまつり] /(n) minor festival (held when there is no regular festival)/
陰祭り [かげまつり] /(n) minor festival (held when there is no regular festival)/
陰惨 [いんさん] /(adj-na,n) sadness and gloom/
陰事 [いんじ] /(n) (obsc) secret/
陰湿 [いんしつ] /(adj-na) (1) malicious/spiteful/vicious/(2) devious/underhanded/sly/(3) damp and shady/
陰樹 [いんじゅ] /(n) shade tree/
陰唇 [いんしん] /(n) the labium/labia/
陰性 [いんせい] /(adj-na,n,adj-no) negative/(P)/
陰性反応 [いんせいはんのう] /(n) negative reaction (in patient)/
陰晴 [いんせい] /(n) unsettled (fine and cloudy) weather/
陰旋法 [いんせんぽう] /(n) (arch) hemitonic pentatonic scale (pentatonic scale containing semitones)/
陰線処理 [いんせんしょり] /(n) (comp) hidden line elimination/
陰膳 [かげぜん] /(n) tray for absent one/
陰電荷 [いんでんか] /(n) negative charge/
陰電気 [いんでんき] /(n) negative (static) charge/negative electric charge/(sometimes called "negative electricity")/
陰電子 [いんでんし] /(n) negatron/
陰道 [いんどう] /(n) (1) vagina/(2) love-making technique/
陰徳 [いんとく] /(n) secret charity/
陰乍ら [かげながら] /(adv) (uk) secretly/behind someone's back/unbeknownst to the parties involved/
陰日向 [かげひなた] /(n) double-faced/
陰忍 [いんにん] /(n) camouflaged ninja/
陰嚢 [いんのう] /(adj-na,n,adj-no) scrotum/testicles/scrotal/
陰嚢 [ふぐり] /(adj-na,n,adj-no) scrotum/testicles/scrotal/
陰嚢無し [ふぐりなし] /(n) (arch) (derog) cowardly man (lit: man with no balls)/
陰付け処理 [かげつけしょり] /(n) (comp) shading/
陰府 [いんぷ] /(n) path to the netherworld (underworld)/Hades/Hell/
陰府 [よみ] /(gikun) (n) path to the netherworld (underworld)/Hades/Hell/
陰阜 [いんふ] /(n) mons veneris/mons pubis/
陰武者 [かげむしゃ] /(n) (1) body double (orig. of a military leader)/(2) wire puller/someone behind the scenes/
陰部 [いんぶ] /(n) the genital area/
陰文 [いんぶん] /(n) lettering of an engraving/
陰蔽 [いんぺい] /(n,vs) concealment/suppression/hiding/
陰弁慶 [かげべんけい] /(n) lion at home but weakling elsewhere/
陰謀 [いんぼう] /(n) plot intrigue/conspiracy/(P)/
陰謀を企てる [いんぼうをくわだてる] /(exp,v1) to plot against/
陰謀家 [いんぼうか] /(n) conspirator/plotter/
陰謀者 [いんぼうしゃ] /(n) plotter/conspirator/
陰謀説 [いんぼうせつ] /(n) conspiracy theory/
陰謀団 [いんぼうだん] /(n) cabal/
陰謀論 [いんぼうろん] /(n) conspiracy theory/
陰面消去 [いんめんしょうきょ] /(n) (comp) hidden surface removal/
陰毛 [いんもう] /(n) pubic hair/
陰門 [いんもん] /(n,adj-no) (female) genitalia/vulva/
陰陽 [いんよう] /(n) cosmic dual forces/yin and yang/sun and moon, etc./(P)/
陰陽 [おんみょう] /(n) cosmic dual forces/yin and yang/sun and moon, etc./
陰陽 [おんよう] /(n) cosmic dual forces/yin and yang/sun and moon, etc./
陰陽の理 [おんみょうのり] /(n) principle of duality/
陰陽五行 [いんようごぎょう] /(n) the cosmic dual forces (yin and yang) and the five elements (metal, wood, water, fire and earth) in Chinese cosmology/
陰陽五行 [おんようごぎょう] /(n) the cosmic dual forces (yin and yang) and the five elements (metal, wood, water, fire and earth) in Chinese cosmology/
陰陽師 [おみょうじ] /(ik) (n) diviner/sorcerer/exorcist/medium/
陰陽師 [おんみょうじ] /(n) diviner/sorcerer/exorcist/medium/
陰陽師 [おんようじ] /(n) diviner/sorcerer/exorcist/medium/
陰陽道 [おんみょうどう] /(n) Onmyoudou/way of Yin and Yang/occult divination system based on the Taoist theory of the five elements/
陰陽道 [おんようどう] /(n) Onmyoudou/way of Yin and Yang/occult divination system based on the Taoist theory of the five elements/
陰陽暦 [いんようれき] /(n) (abbr) lunisolar calendar/
陰陽和合 [いんようわごう] /(n) the harmony of yin and yang energies/
陰暦 [いんれき] /(n) lunar calendar/
陰裂 [いんれつ] /(n) pudendal cleft/rima pudendi/
陰鬱 [いんうつ] /(adj-na,n) gloom/melancholy/
陰爻 [いんこう] /(n) yin yao (broken line composing one third of a trigram)/
陰翳 [いんえい] /(n) (1) shadow/gloom/(2) shading/hatch/hatching/
隠くす [かくす] /(io) (v5s,vt) to hide/to conceal/
隠された議題 [かくされたぎだい] /(n) hidden agenda/
隠し [かくし] /(pref) (1) hidden/secret/concealed/(2) pocket/
隠しくぎ [かくしくぎ] /(n) concealed nail/
隠しカメラ [かくしカメラ] /(n) hidden (spy) camera/
隠しコマンド [かくしコマンド] /(n) (comp) hidden command/
隠しファイル [かくしファイル] /(n) (comp) hidden file/
隠しマイク [かくしマイク] /(n) concealed microphone/bug/
隠し引き出し [かくしひきだし] /(n) secret withdrawal/(P)/
隠し機能 [かくしきのう] /(n) (comp) easter egg/
隠し芸 [かくしげい] /(n) hidden talent/
隠し財源 [かくしざいげん] /(n) secret resources/
隠し撮り [かくしどり] /(n,vs) taking pictures secretly/peeping photo/
隠し子 [かくしご] /(n) illegitimate child/
隠し事 [かくしこと] /(n) secret/
隠し事 [かくしごと] /(n) secret/
隠し持つ [かくしもつ] /(v5t) to carry (something) under cover/
隠し所 [かくしどころ] /(n) (1) hiding place/(2) genitals/
隠し女 [かくしおんな] /(n) (arch) secret mistress/
隠し女 [かくしめ] /(n) (arch) secret mistress/
隠し場所 [かくしばしょ] /(n) cache/place to hide something/
隠し食い [かくしぐい] /(n) eating on the sly/
隠し属性 [かくしぞくせい] /(n) (comp) hidden attribute/
隠し男 [かくしおとこ] /(n) (arch) secret (male) lover/
隠し釘 [かくしくぎ] /(n) concealed nail/
隠し田 [かくしだ] /(n) unregistered rice field/
隠し部屋 [かくしべや] /(n) hidden room/secret chamber/
隠し包丁 [かくしぼうちょう] /(n) (light) scoring (in cooking)/
隠し縫い [かくしぬい] /(n) concealed seams/
隠し味 [かくしあじ] /(n) (putting in) subtle seasoning to bring out the flavor/
隠し立て [かくしだて] /(n,vs) secrecy/
隠す [かくす] /(v5s,vt) to hide/to conceal/(P)/
隠ぺい [いんぺい] /(n,vs) concealment/suppression/hiding/
隠ゆ [いんゆ] /(n,adj-no) metaphor/
隠り世 [かくりよ] /(n) (obsc) afterlife/realm of the dead/
隠る [かくる] /(v5r,vi) (arch) to hide/to be hidden/to conceal oneself/to disappear/
隠る [こもる] /(v5r,vi) (1) (uk) to seclude oneself/to be confined in/(2) to be filled (e.g. with emotion, satire, etc.)/to be heavy (with)/(3) to be stuffy/(4) to be implied/
隠る [なまる] /(v5r,vi) (arch) to hide/to be hidden/to conceal oneself/to disappear/
隠れ [かくれ] /(n,pref) hidden/underground/crypto/
隠れた項目 [かくれたこうもく] /(n) hidden entry/hidden item/
隠れみの [かくれみの] /(n) (1) cover/front (e.g. for illegal activities)/magic cloak of invisibility/(2) (uk) Dendropanax trifidus (species of flowering plant)/
隠れもない [かくれもない] /(exp) well-known/
隠れも無い [かくれもない] /(exp) well-known/
隠れる [かくれる] /(v1,vi) to hide/to be hidden/to conceal oneself/to disappear/(P)/
隠れん坊 [かくれんぼ] /(n) hide and seek (the game)/
隠れん坊 [かくれんぼう] /(n) hide and seek (the game)/
隠れキャラ [かくれキャラ] /(n) (comp) hidden character (e.g. in computer games)/
隠れキリシタン [かくれキリシタン] /(n) clandestine Christian (during the Tokugawa period)/secret Christian/
隠れマルコフモデル [かくれマルコフモデル] /(n) (comp) hidden Markov model/
隠れ家 [かくれが] /(n) hiding place/refuge/
隠れ蟹 [かくれがに] /(n) (uk) pea crab (any crab of the family Pinnotheridae)/
隠れ魚 [かくれうお] /(n) (uk) Encheliophis sagamianus (species of pearlfish)/
隠れ借金 [かくれしゃっきん] /(n) hidden debts/
隠れ処 [かくれが] /(n) hiding place/refuge/
隠れ場 [かくれば] /(n) hiding place/
隠れ場所 [かくればしょ] /(n) hiding place/refuge/
隠れ身の術 [かくれみのじゅつ] /(n) (MA) Ninja art of camouflage/
隠れ切支丹 [かくれキリシタン] /(ateji) (n) clandestine Christian (during the Tokugawa period)/secret Christian/
隠れ線 [かくれせん] /(n) (comp) hidden line/
隠れ道 [かくれみち] /(n) hidden path/
隠れ伏す [かくれふす] /(v5s) to lie concealed/
隠れ蓑 [かくれみの] /(n) (1) cover/front (e.g. for illegal activities)/magic cloak of invisibility/(2) (uk) Dendropanax trifidus (species of flowering plant)/
隠れ里 [かくれざと] /(n) isolated village/
隠逸 [いんいつ] /(n) seclusion/
隠花植物 [いんかしょくぶつ] /(n) cryptogamic plants/
隠花植物類 [いんかしょくぶつるい] /(n) cryptogamous plants/
隠蟹 [かくれがに] /(io) (n) (uk) pea crab (any crab of the family Pinnotheridae)/
隠居 [いんきょ] /(n,vs) (1) retirement/(2) retired person/(P)/
隠居仕事 [いんきょしごと] /(n) post-retirement job/work done by a retired person where earning an income is not a primary concern/
隠熊之実 [かくれくまのみ] /(n) (uk) Ocellaris clownfish (Amphiprion ocellaris)/
隠形 [いんぎょう] /(n) invisibility (through magic)/
隠形 [おんぎょう] /(n) invisibility (through magic)/
隠見 [いんけん] /(n,vs) appearance and disappearance/
隠顕 [いんけん] /(n,vs) appearance and disappearance/
隠元 [いんげん] /(n) beans/
隠元豆 [いんげんまめ] /(n) kidney bean/wax bean/
隠語 [いんご] /(n) (1) secret language/jargon/cant/(2) humbug/(P)/
隠士 [いんし] /(n) hermit/recluse/
隠事 [いんじ] /(n) (obsc) secret/
隠者 [いんじゃ] /(n) hermit/recluse/
隠処 [かくれが] /(io) (n) hiding place/refuge/
隠世 [かくりよ] /(n) (obsc) afterlife/realm of the dead/
隠棲 [いんせい] /(n,vs) secluded life/
隠栖 [いんせい] /(n,vs) secluded life/
隠線 [いんせん] /(n) hidden line/
隠線隠面消去 [いんせんいんめんしょうきょ] /(n) (comp) hidden line and surface removal/
隠線処理 [いんせんしょり] /(n) (comp) hidden line removal/
隠線消去 [いんせんしょうきょ] /(n) (comp) hidden-line elimination/
隠然 [いんぜん] /(adj-t,adv-to) (1) latent power/hidden power/(2) behind the scenes/(in) secret/
隠退 [いんたい] /(n,vs) retirement/seclusion/
隠退生活 [いんたいせいかつ] /(n) secluded life/
隠退蔵物資 [いんたいぞうぶっし] /(n) secretly hoarded goods/
隠宅 [いんたく] /(n) retreat/dwelling for someone in seclusion/
隠頭花序 [いんとうかじょ] /(n) hypanthium/
隠匿 [いんとく] /(n,vs) concealment/(P)/
隠匿者 [いんとくしゃ] /(n) hider/person in hiding/
隠匿物資 [いんとくぶっし] /(n) concealed materials/
隠遁 [いんとん] /(n,vs) retirement (from the world)/seclusion/
隠遁者 [いんとんしゃ] /(n) recluse/
隠遁術 [いんとんじゅつ] /(n) (MA) Ninja art of escape/
隠遁生活 [いんとんせいかつ] /(n) a reclusive life/living secluded from the world/leading a sequestered life/
隠忍 [いんにん] /(n,vs) (1) patience/endurance/(2) undercover ninja/embedded ninja/
隠忍自重 [いんにんじちょう] /(n,vs) (behaving with) patience and prudence/putting up with something/
隠避 [いんぴ] /(n,vs) helping a criminal to avoid arrest/
隠微 [いんび] /(adj-na,n) obscurity/mystery/abstruseness/
隠伏 [いんぷく] /(n,vs) concealment/
隠蔽 [いんぺい] /(n,vs) concealment/suppression/hiding/
隠蔽工作 [いんぺいこうさく] /(n,vs) (create) a cover-up/
隠蔽子 [いんぺいし] /(n) suppressor/
隠蔽色 [いんぺいしょく] /(n) cryptic coloration (colouration)/camouflage/
隠亡 [おんぼう] /(n) (1) cemetery guard/(2) crematorium worker/
隠坊 [おんぼう] /(n) (1) cemetery guard/(2) crematorium worker/
隠密 [おんみつ] /(adj-na,n,adj-no) privacy/secrecy/spy/detective/
隠密行動 [おんみつこうどう] /(n) covert action (behavior)/espionage activities/
隠滅 [いんめつ] /(n,vs) destruction/suppression/(P)/
隠面 [いんめん] /(n) hidden surface/
隠面処理 [いんめんしょり] /(n) (comp) hidden surface removal/
隠喩 [いんゆ] /(n,adj-no) metaphor/
隠翅虫 [はねかくし] /(n) (uk) rove beetle/
韻 [いん] /(n) rhyme/(P)/
韻を踏む [いんをふむ] /(exp,v5m) to rhyme (with)/
韻脚 [いんきゃく] /(n) metrical foot (poet.)/
韻語 [いんご] /(n) rhyme in a Chinese poem/
韻事 [いんじ] /(n) artistic pursuits/
韻字 [いんじ] /(n) rhyming words/
韻書 [いんしょ] /(n) Chinese dictionary arranged by finals/
韻尾 [いんび] /(n) yunwei (secondary vowel or consonant following the primary vowel of a Chinese character)/
韻文 [いんぶん] /(n,adj-no) verse/poetry/
韻母 [いんぼ] /(n) final/
韻律 [いんりつ] /(n,adj-no) (ling) rhythm/metre (poet)/(P)/
吋 [いんち] /(n) (uk) inch/
右 [みぎ] /(n) (1) right/right hand side/(2) afore-mentioned (esp. in vertical Japanese writing)/foregoing/forgoing/above/(P)/
右から左へ [みぎからひだりへ] /(exp) (1) from right to left/in one ear and out the other/(2) nice and quick/with speed and address/without further ado/
右ずれ断層 [みぎずれだんそう] /(n) dextral fault/right-lateral fault/
右と言えば左 [みぎといえばひだり] /(exp) widely spoken/
右に出る [みぎにでる] /(exp,v1) to be superior to/
右に同じ [みぎにおなじ] /(exp) like he said/same for me/ditto/
右の通り [みぎのとおり] /(exp) as above-mentioned/
右シフト [みぎシフト] /(n) (comp) right shift (bitwise, arithmetic)/
右ハンドル [みぎハンドル] /(n) right hand drive (of cars, etc.)/
右フック [みぎフック] /(n) right hook (e.g. in boxing, etc.)/
右縁 [うえん] /(n) right margin/
右往左往 [うおうさおう] /(n,vs) move about in confusion/go every which way/going right and left/this way and that/(P)/
右横 [みぎよこ] /(n) right side/
右下 [みぎした] /(n) right-lower/
右下隅 [みぎしたすみ] /(n) (comp) bottom right corner/
右回り [みぎまわり] /(n) clockwise rotation/CW/right-handed rotation/
右巻 [みぎまき] /(n,adj-no) clockwise/
右巻き [みぎまき] /(n,adj-no) clockwise/
右岸 [うがん] /(n) right bank (shore)/
右寄せ [みぎよせ] /(n,vs) right-aligned/right-justified/
右寄り [みぎより] /(n) tending to the Right/
右詰め [みぎづめ] /(n) right justified/
右京大夫 [うきょうのだいぶ] /(n) (arch) ukyounodaibu (title under the ritsuryou system at the imperial court)/
右胸心 [うきょうしん] /(n) dextrocardia/
右近の橘 [うこんのたちばな] /(n) tachibana tree west of the southern stairs of the Hall for State Ceremonies (in Heian Palace)/
右傾 [うけい] /(n,vs) rightist/leaning to the right/
右肩 [みぎかた] /(n) right shoulder/
右肩下がり [みぎかたさがり] /(exp) decreasing (graph falling to the right)/shrinking/declining/
右肩上がり [みぎかたあがり] /(exp) growing (graph rising to the right)/expanding/soaring/
右舷 [うげん] /(n,adj-no) starboard/
右顧左眄 [うこさべん] /(n,vs) looking to the right and left/hesitation/
右向き [みぎむき] /(n) facing right/
右左 [みぎひだり] /(n) right and left/
右四つ [みぎよつ] /(n) sumo hold in which both wrestlers obtain an underarm grip with the right hand and an overarm grip with the left/
右手 [みぎて] /(n) right hand/(P)/
右手の法則 [みぎてのほうそく] /(n) (Fleming's) right-hand rule/
右手座標系 [みぎてざひょうけい] /(n) (comp) right-handed coordinate system/
右書き [みぎがき] /(n) writing from right to left/
右小括弧 [みぎしょうかっこ] /(n) closing parenthesis/
右証拠として [みぎしょうことして] /(exp) in witness whereof .../
右上 [みぎうえ] /(n) right-upper/
右上がり [みぎあがり] /(n) (1) rising diagonally up and to the right/(2) growing/expanding/soaring/
右上り [みぎあがり] /(n) (1) rising diagonally up and to the right/(2) growing/expanding/soaring/
右上隅 [みぎうえすみ] /(n) (comp) top right corner/
右心室 [うしんしつ] /(n) right ventricle/
右心房 [うしんぼう] /(n) right atrium/
右図 [うず] /(n) map on the right/chart on the right/
右折 [うせつ] /(n,vs) turning to the right/right turn/
右折禁止 [うせつきんし] /(n) No Right Turn!/
右旋性 [うせんせい] /(adj-no,n) dextrorotatory/
右側 [うそく] /(n,adj-no) right side/right hand/
右側 [みぎがわ] /(n,adj-no) right side/right hand/(P)/
右側への結合性を持つ [みぎがわへのけつごうせいをもつ] /(exp,v5t) (comp) to be right associative/
右足 [みぎあし] /(n) (1) right foot/(2) right leg/
右揃え [みぎそろえ] /(n,vs) (comp) right justification/
右大括弧 [みぎだいかっこ] /(n) (comp) closing bracket/
右大臣 [うだいじん] /(n) Minister of the Right (official in Nara and Heian periods)/
右端 [うたん] /(n,adj-no) right end/right edge/
右端 [みぎはし] /(n,adj-no) right end/right edge/
右中括弧 [みぎちゅうかっこ] /(n) closing brace/
右中間 [うちゅうかん] /(n) between right and center fielders (baseball) (centre)/(P)/
右党 [うとう] /(n) right wing/
右脳 [うのう] /(n) right brain/
右派 [うは] /(n,adj-no) right wing/(P)/
右筆 [ゆうひつ] /(n) private secretary/amanuensis/
右払い [みぎはらい] /(n) in calligraphy, a triangular stroke going from upper left to lower right/
右文 [ゆうぶん] /(n) respect for literary culture/
右辺 [うへん] /(n) right side/
右方 [うほう] /(n,adj-no) (1) right side/(2) style of Japanese court music/(P)/
右方高麗楽 [うほうこまがく] /(n) old Japanese court music from the Nara period/
右方端 [うほうたん] /(n) right hand edge/
右面 [うめん] /(n) right side/
右目 [みぎめ] /(n) right eye/
右葉 [うよう] /(n) right lobe/
右翼 [うよく] /(adj-no) (1) right-wing/(n) (2) right field (e.g. in sport)/right flank/right wing/(P)/
右翼団体 [うよくだんたい] /(n) right-wing organization (clique) (organisation)/
右螺子の法則 [みぎねじのほうそく] /(n) corkscrew rule/
右利き [みぎきき] /(n,adj-no) right-handedness/right-hander/
右利きの人 [みぎききのひと] /(n) dextral/right-handed person/right-hander/
右脇 [みぎわき] /(n) right armpit/right side/
右腕 [うわん] /(n) right arm/
右腕 [みぎうで] /(n) right arm/(P)/
宇 [う] /(ctr) counter for buildings, etc./
宇 [のき] /(n) (1) eaves/(2) narrow aisle surrounding the core of a temple building/
宇迦御魂 [うかたま] /(n) the god of foodstuffs (esp. of rice)/
宇迦御魂 [うかのみたま] /(n) the god of foodstuffs (esp. of rice)/
宇迦御魂 [うけのみたま] /(n) the god of foodstuffs (esp. of rice)/
宇迦魂 [うかたま] /(n) the god of foodstuffs (esp. of rice)/
宇迦魂 [うかのみたま] /(n) the god of foodstuffs (esp. of rice)/
宇迦魂 [うけのみたま] /(n) the god of foodstuffs (esp. of rice)/
宇賀の神 [うかのかみ] /(n) (obsc) god of harvests and wealth (syncretized with Saraswati, and often taking the form of a heavenly woman, a white snake or a fox)/
宇賀神 [うかじん] /(n) god of harvests and wealth (syncretized with Saraswati, and often taking the form of a heavenly woman, a white snake or a fox)/
宇賀神 [うがじん] /(n) god of harvests and wealth (syncretized with Saraswati, and often taking the form of a heavenly woman, a white snake or a fox)/
宇宙 [うちゅう] /(n) universe/cosmos/space/(P)/
宇宙ステーション [うちゅうステーション] /(n) space station/
宇宙ロケット [うちゅうロケット] /(n) space rocket/
宇宙医学 [うちゅういがく] /(n) space medicine/
宇宙化学 [うちゅうかがく] /(n,adj-no) cosmo-chemistry/space science/
宇宙科学 [うちゅうかがく] /(n,adj-no) cosmo-chemistry/space science/
宇宙科学研究所 [うちゅうかがくけんきゅうしょ] /(n) Institute of Space and Astronautical Science/ISAS/
宇宙開発 [うちゅうかいはつ] /(n) space development/(P)/
宇宙開発計画 [うちゅうかいはつけいかく] /(n) space development project (program, programme)/
宇宙開発事業団 [うちゅうかいはつじぎょうだん] /(n) National Space Development Agency/NASDA/(P)/
宇宙開闢 [うちゅうかいびゃく] /(n) (since) the beginning of the universe/(since) the dawn of time/
宇宙学 [うちゅうがく] /(n) cosmology/
宇宙観 [うちゅうかん] /(n) one's outlook on the universe/
宇宙基地 [うちゅうきち] /(n) space station/
宇宙局 [うちゅうきょく] /(n) space station/
宇宙空間 [うちゅうくうかん] /(n,adj-no) the void of space/(P)/
宇宙研 [うちゅうけん] /(n) space research/
宇宙原理 [うちゅうげんり] /(n) cosmological principle/
宇宙公害 [うちゅうこうがい] /(n) space environmental pollution/
宇宙工学 [うちゅうこうがく] /(n) space engineering/
宇宙産業 [うちゅうさんぎょう] /(n) space industry/
宇宙食 [うちゅうしょく] /(n) space food/
宇宙進化論 [うちゅうしんかろん] /(n) cosmogony/
宇宙人 [うちゅうじん] /(n) space alien/
宇宙塵 [うちゅうじん] /(n) space dust/
宇宙生物学 [うちゅうせいぶつがく] /(n) astrobiology/exobiology/
宇宙線 [うちゅうせん] /(n) cosmic ray/
宇宙線嵐 [うちゅうせんあらし] /(n) cosmic ray storm/
宇宙船 [うちゅうせん] /(n) space ship/
宇宙船地球号 [うちゅうせんちきゅうごう] /(n) Spaceship Earth/
宇宙像 [うちゅうぞう] /(n) cosmology/
宇宙速度 [うちゅうそくど] /(n) astronautical speed/
宇宙大爆発 [うちゅうだいばくはつ] /(n) Big Bang (theory)/
宇宙探査 [うちゅうたんさ] /(n) space exploration/
宇宙探査機 [うちゅうたんさき] /(n) space probe/
宇宙探査船 [うちゅうたんさせん] /(n) space probe/
宇宙中継 [うちゅうちゅうけい] /(n,adj-no) satellite relay/
宇宙通信 [うちゅうつうしん] /(n) space communication/
宇宙定数 [うちゅうていすう] /(n) cosmological constant/
宇宙電波 [うちゅうでんぱ] /(n) cosmic radio waves/
宇宙背景放射 [うちゅうはいけいほうしゃ] /(n) cosmic background radiation/
宇宙博 [うちゅうはく] /(n) Space Expo/
宇宙発生論 [うちゅうはっせいろん] /(n) cosmogony/
宇宙飛行 [うちゅうひこう] /(n,adj-no) space flight/
宇宙飛行士 [うちゅうひこうし] /(n) astronaut/(P)/
宇宙病 [うちゅうびょう] /(n) space nausea/
宇宙服 [うちゅうふく] /(n) space suit/
宇宙物理 [うちゅうぶつり] /(n) space physics/
宇宙物理学 [うちゅうぶつりがく] /(n) astrophysics/
宇宙兵器 [うちゅうへいき] /(n) space weaponry/
宇宙法 [うちゅうほう] /(n) space law/
宇宙帽 [うちゅうぼう] /(n) space helmet/
宇宙望遠鏡 [うちゅうぼうえんきょう] /(n) space telescope/
宇宙遊泳 [うちゅうゆうえい] /(n) space walk/
宇宙旅行 [うちゅうりょこう] /(n) space travel/
宇宙論 [うちゅうろん] /(n) cosmology/
宇宙論的証明 [うちゅうろんてきしょうめい] /(n) cosmological argument/
宇内 [うだい] /(n) the whole world/
宇立 [うだつ] /(n) (uk) short pillar set on a beam to support a ridgepole/
宇和水桜 [うわみずざくら] /(iK) (n) (uk) Japanese bird cherry (Prunus grayana)/Gray's bird cherry/Gray's chokecherry/
烏 [からす] /(n) crow/raven/(P)/
烏の行水 [からすのぎょうずい] /(n) quick bath/
烏の濡れ羽色 [からすのぬればいろ] /(n) glossy black (hair) (lit: color of a crow with wet feathers)/
烏羽玉 [うばたま] /(n,adj-no) (1) jet black/pitch dark/(n) (2) (uk) peyote (Lophophora williamsii)/mescaline/
烏羽色 [からすばいろ] /(n) glossy black/
烏瓜 [からすうり] /(n) (uk) Japanese snake gourd (Trichosanthes cucumeroides)/
烏貝 [からすがい] /(n) (uk) cockscomb pearl mussel (Cristaria plicata)/
烏魚子 [からすみ] /(n) dried mullet roe/
烏玉 [ぬばたま] /(n,adj-no) pitch-black/darkness/
烏金 [からすがね] /(n) money lent at daily interest/
烏口 [からすぐち] /(n,adj-no) ruling pen/
烏口骨 [うこうこつ] /(n) coracoid/
烏口突起 [うこうとっき] /(n) coracoid process/
烏合の衆 [うごうのしゅう] /(exp) disorderly crowd/mob/
烏犀角 [うさいかく] /(n) black rhinoceros horn/
烏犀帯 [うさいたい] /(n) (obsc) type of leather belt worn with ceremonial court dress and decorated with a rhinoceros horn/
烏鷺 [うろ] /(n) (1) crows and herons/(2) black and white/
烏紙 [からすがみ] /(n) coarse dark-brown paper/
烏蛇 [からすへび] /(n) black snake/
烏珠 [ぬばたま] /(n,adj-no) pitch-black/darkness/
烏秋 [おうちゅう] /(n) (uk) black drongo (Dicrurus macrocercus)/
烏枢沙摩明王 [うすさまみょうおう] /(n) Ucchusama/
烏枢沙摩明王 [うすしゃまみょうおう] /(n) Ucchusama/
烏草樹 [さしぶ] /(n) (uk) (arch) sea bilberry (Vaccinium bracteatum)/
烏賊 [いか] /(n) (uk) cuttlefish/squid/(P)/
烏賊の甲 [いかのこう] /(n) cuttlebone/
烏賊の舟 [いかのふね] /(n) cuttlebone/
烏賊の墨 [いかのすみ] /(n) squid's ink/
烏賊下足 [いかげそ] /(n) squid tentacles/
烏賊墨 [いかすみ] /(n) squid ink/
烏啄骨 [うたくこつ] /(n) (obsc) coracoid/
烏天狗 [からすてんぐ] /(n) crow-billed goblin/
烏伝神道 [うでんしんとう] /(n) Uden Shinto (Shinto doctrines enunciated by Kamo no Norikiyo of Kamigamo Shrine)/
烏兎 [うと] /(n) (1) (abbr) sun and moon/(2) time/the years/the months/
烏兎匆々 [うとそうそう] /(exp) days and nights passing by quickly/months and years flying by/Time flies/
烏兎匆匆 [うとそうそう] /(exp) days and nights passing by quickly/months and years flying by/Time flies/
烏麦 [からすむぎ] /(n) (1) (uk) wild oat (Avena fatua)/wild oats/(2) oat (Avena sativa)/oats/
烏鳩 [からすばと] /(n) Japanese wood pigeon/
烏文木 [うぶんぼく] /(n) (obsc) ebony/
烏帽子 [えぼし] /(n) black-lacquered headgear (made of silk, cloth or paper) originally worn by court nobles in ancient Japan, and afterwards spreading to the common people/
烏帽子貝 [えぼしがい] /(n) goose barnacle/
烏帽子鯛 [えぼしだい] /(n) (uk) man-of-war fish (Nomeus gronovii)/
烏帽子鳥 [えぼしどり] /(n) (uk) turaco (any bird of family Musophagidae, esp. the Knysna turaco, Tauraco corythaix)/touraco/loerie/lourie/
烏帽子名 [えぼしな] /(n) adult name/
烏鳴き [からすなき] /(n) cry of the crow/
烏木 [うぼく] /(n) ebony/
烏野豌豆 [からすのえんどう] /(n) vetch/tare/
烏有 [うゆう] /(n) nonexistence/
烏有に帰す [うゆうにきす] /(exp,v5s) to be burned to ashes/to come to nothing/
烏有に帰する [うゆうにきする] /(exp,vs-s) to be reduced to ashes/
烏有先生 [うゆうせんせい] /(n) fictitious person/
烏揚羽 [からすあげは] /(n) (uk) Chinese peacock (species of swallowtail butterfly, Papilio bianor)/
烏竜茶 [ウーロンちゃ] /(n) Oolong tea/
烏龍茶 [ウーロンちゃ] /(n) Oolong tea/
烏喙骨 [うかいこつ] /(n) coracoid/
烏滸がましい [おこがましい] /(adj-i) (uk) presumptuous/impertinent/ridiculous/absurd/
烏滸の沙汰 [おこのさた] /(n) stupidity/absurdity/presumption/impertinence/
烏滸言 [おこごと] /(n) crazy talk/
烏焉魯魚 [うえんろぎょ] /(n) miswriting a word/using the wrong kanji to write a word/
烏芻沙摩妙王 [うすさまみょうおう] /(n) (Buddh) Ususama Vidya-raja/
羽 [う] /(n) fifth degree (of the Japanese & Chinese pentatonic scale)/
羽 [はね] /(n) (1) feather/plume/wing/(2) blade (fan, propeller, etc.)/(P)/
羽 [ば] /(ctr) counter for birds and rabbits/
羽 [ぱ] /(ctr) counter for birds and rabbits/
羽 [わ] /(ctr) counter for birds and rabbits/(P)/
羽ばたく [はばたく] /(v5k,vi) to flap (wings)/
羽をたたむ [はねをたたむ] /(exp,v5m) to fold one's wings/
羽を広げる [はねをひろげる] /(exp,v1) to spread one's wings/
羽を畳む [はねをたたむ] /(exp,v5m) to fold one's wings/
羽を伸ばす [はねをのばす] /(exp,v5s) to let your hair down/to have fun after a period of work or stress/
羽ペン [はねペン] /(n) quill/quill pen/
羽衣 [うい] /(n) (1) angel's raiment/robe of feathers/(2) wings of birds or insects/plumage of birds/
羽衣 [はごろも] /(n) (1) angel's raiment/robe of feathers/(2) wings of birds or insects/plumage of birds/(3) type of bug/(P)/
羽衣烏 [はごろもがらす] /(n) (uk) red-winged blackbird (Agelaius phoeniceus)/
羽衣虫喰 [はごろもむしくい] /(n) (uk) American redstart (Setophaga ruticilla)/
羽隠 [はねかくし] /(n) (uk) rove beetle/
羽隠し [はねかくし] /(n) (uk) rove beetle/
羽隠虫 [はねかくし] /(n) (uk) rove beetle/
羽音 [はおと] /(n) (1) sound of flapping wings (of a bird)/(2) buzz/hum (of an insect)/
羽化 [うか] /(n,vs) emergence (of insects)/growing wings and flying/
羽化登仙 [うかとうせん] /(n) a sense of release (as if one had wings and were riding on air)/
羽蒲団 [はねぶとん] /(n) down (feather) quilt/
羽冠 [うかん] /(n) bird's crest/
羽蟻 [はあり] /(n) winged ant/flying ant/
羽蟻 [はねあり] /(n) winged ant/flying ant/
羽撃き [はばたき] /(n,vs) fluttering or flapping of wings/
羽撃く [はばたく] /(v5k,vi) to flap (wings)/(P)/
羽交い [はがい] /(n) wings/pinion/
羽交い絞め [はがいじめ] /(n,vs) pinioning/binding arms behind the back/
羽交絞め [はがいじめ] /(io) (n,vs) pinioning/binding arms behind the back/
羽根 [はね] /(n) (1) feather/plume/wing/(2) blade (fan, propeller, etc.)/(P)/
羽根ペン [はねペン] /(n) quill/quill pen/
羽根蒲団 [はねぶとん] /(n) down (feather) quilt/
羽根車 [はねぐるま] /(n) (turbine's) impeller/
羽根突き [はねつき] /(n,vs) Japanese badminton/battledore and shuttlecock/
羽根付き [はねつき] /(n,vs) Japanese badminton/battledore and shuttlecock/
羽子 [はご] /(n) shuttlecock/
羽子 [はね] /(n) (1) feather/plume/wing/(2) blade (fan, propeller, etc.)/
羽子突 [はねつき] /(n,vs) Japanese badminton/battledore and shuttlecock/
羽子板 [はごいた] /(n) battledore (early form of badminton racket)/
羽枝 [うし] /(n) barb (of a feather)/
羽軸 [うじく] /(n) (ornithological) rachis/
羽車 [はぐるま] /(n) portable shrine used to transport a sacred object/
羽状複葉 [うじょうふくよう] /(n) pinnate compound leaf/
羽状脈 [うじょうみゃく] /(n) pinnately venation/
羽織 [はおり] /(n) haori (Japanese formal coat)/(P)/
羽織ひも [はおりひも] /(n) string tied across the open chest of a haori/
羽織る [はおる] /(v5r,vt) to put on/
羽織芸者 [はおりげいしゃ] /(n) (col) geisha from the Fukagawa red light district in Edo (Edo period)/
羽織袴 [はおりはかま] /(n) Japanese male formal attire/
羽織虫 [はおりむし] /(n) (uk) vestimentiferan (any tube worm of order Vestimentifera)/
羽織紐 [はおりひも] /(n) string tied across the open chest of a haori/
羽振り [はぶり] /(n) (1) plumage/(2) influence/power/
羽振りがいい [はぶりがいい] /(exp,adj-i) influential/powerful/popular/prosperous (when modifying a noun)/doing well/
羽振りが好い [はぶりがいい] /(exp,adj-i) influential/powerful/popular/prosperous (when modifying a noun)/doing well/
羽振りが良い [はぶりがいい] /(exp,adj-i) influential/powerful/popular/prosperous (when modifying a noun)/doing well/
羽振りが良い [はぶりがよい] /(exp,adj-i) influential/powerful/popular/prosperous (when modifying a noun)/doing well/
羽振りのいい [はぶりのいい] /(adj-i) powerful/influential/prosperous/popular/
羽振りの良い [はぶりのいい] /(adj-i) powerful/influential/prosperous/popular/
羽振りの良い [はぶりのよい] /(adj-i) powerful/influential/prosperous/popular/
羽繕い [はづくろい] /(n,vs) preening/
羽太 [はた] /(n) sea basses/groupers/
羽団扇 [はうちわ] /(n) Japanese fan made of feathers/
羽団扇楓 [はうちわかえで] /(n) (uk) Japanese maple (Acer japonicum)/
羽虫 [はむし] /(n) (1) biting louse (any louse of order Mallophaga)/(2) (col) small winged insect (esp. a flying ant or termite)/
羽蝶蘭 [うちょうらん] /(n) Ponerorchis graminifolia (Orchis graminifolia)/
羽長蝗 [はねながいなご] /(n) rice grasshopper/
羽突き [はねつき] /(n,vs) Japanese badminton/battledore and shuttlecock/
羽二重 [はぶたえ] /(n) habutai/habutae/fine Japanese silk/
羽二重餅 [はぶたえもち] /(n) Habutae mochi/mochi smooth and white like habutae silk/
羽白 [はじろ] /(n) any duck with white specula (bright patches on the wings)/
羽白海鳩 [はじろうみばと] /(n) (uk) black guillemot (Cepphus grylle)/tystie/
羽白鴨 [はじろがも] /(n) (obsc) any duck with white specula (bright patches on the wings)/
羽白小千鳥 [はじろこちどり] /(n) (uk) ringed plover (Charadrius hiaticula)/
羽斑蚊 [はまだらか] /(n) (uk) anopheles mosquito (any mosquito of genus Anopheles, capable of carrying malaria)/
羽布団 [はねぶとん] /(n) down (feather) quilt/
羽風 [はかぜ] /(n) breeze caused by wings flapping/
羽柄 [うへい] /(n) calamus/quill/
羽弁 [うべん] /(n) vexillum/vane (of a feather)/
羽毛 [うもう] /(n,adj-no) feathers/plumage/down/(P)/
羽毛恐竜 [うもうきょうりゅう] /(n) feathered dinosaurs/
羽毛布団 [うもうふとん] /(n) down(-filled) quilt (futon)/
羽目 [はめ] /(n) (1) panel/wainscoting/wainscotting/(2) plight/fix/bind/awkward situation/difficult situation/mess/(P)/
羽目になる [はめになる] /(exp,v5r) to get stuck with (some job)/to end up with (something unpleasant)/
羽目を外す [はめをはずす] /(exp,v5s) to cut loose/to act without restraint/
羽目板 [はめいた] /(n) wainscoting/wainscotting/
羽翼 [うよく] /(n,vs) (1) wings and feathers/(2) assistance/aid/help/someone's right hand/
羽裏 [はうら] /(n) (1) underside of a bird's wing/(2) lining of a haori/
羽搏き [はばたき] /(n,vs) fluttering or flapping of wings/
羽箒 [はねぼうき] /(n) feather duster/
羽箒 [はぼうき] /(n) feather duster/
羽箒貝 [はぼうきがい] /(n) (uk) Pinna bicolor (species of pen shell)/
羽虱 [はじらみ] /(n) (uk) biting louse (any louse of order Mallophaga)/chewing louse/
迂遠 [うえん] /(adj-na,n) roundabout/devious/
迂回 [うかい] /(n) (1) detour/(vs) (2) to detour/to circumvent/(n) (3) turning movement (mil)/
迂回ルーティング [うかいルーティング] /(n) (comp) alternate, detour routing/
迂回生産 [うかいせいさん] /(n) roundabout production/
迂回貿易 [うかいぼうえき] /(n) commodity shunting/roundabout trade/
迂回路 [うかいろ] /(n) detour/diversion/alternative route/
迂廻 [うかい] /(n) (1) detour/(vs) (2) to detour/to circumvent/(n) (3) turning movement (mil)/
迂曲 [うきょく] /(n,vs) meander/
迂愚 [うぐ] /(adj-na,n) stupid/ignorant/
迂言 [うげん] /(n) roundabout explanation/
迂散 [うさん] /(ateji) (adj-na,n) suspicious/
迂生 [うせい] /(pn) (arch) (male) self-deprecating first person pronoun used in letters/
迂拙 [うせつ] /(n) (1) (arch) (male) poor and careless way of living/(2) self deprecating first person pronoun/
迂路 [うろ] /(n) detour/diversion/
迂叟 [うそう] /(n) (arch) (male) self deprecating first person pronoun used by the elderly/
迂闊 [うかつ] /(adj-na) (uk) careless/stupid/thoughtless/heedless/unobservant/inadvertant/incautious/
迂闊千万 [うかつせんばん] /(adj-na) very careless/quite thoughtless/
迂濶 [うかつ] /(adj-na) (uk) careless/stupid/thoughtless/heedless/unobservant/inadvertant/incautious/
雨 [あめ] /(n) rain/(P)/
雨あられ [あめあられ] /(n,adv-to) hail (e.g. of bullets)/barrage/storm/hail/
雨があがる [あめがあがる] /(exp,v5r) to stop raining/
雨がさ [あまがさ] /(n) umbrella/
雨が降ろうが槍が降ろうが [あめがふろうがやりがふろうが] /(exp) come hell or high water (lit: even if rain or spears fall)/no matter what happens/
雨が降ろうと槍が降ろうと [あめがふろうとやりがふろうと] /(exp) come hell or high water (lit: even if rain or spears fall)/no matter what happens/
雨が上がる [あめがあがる] /(exp,v5r) to stop raining/
雨だれ [あまだれ] /(n) raindrops/
雨どい [あまどい] /(n) drainspout/rain gutter/
雨のやみ間 [あめのやみま] /(exp) (col) break in the rain/letup in the rain/
雨ふり [あめふり] /(n) rainfall/rainy weather/
雨よけ [あまよけ] /(n) tarpaulin/shelter from rain/covering against rain/
雨域 [ういき] /(n) rainy area/
雨雲 [あまぐも] /(n) rain cloud/(P)/
雨燕 [あまつばめ] /(n) (1) (uk) swift (any bird of family Apodidae)/(2) fork-tailed swift (Apus pacificus)/
雨音 [あまおと] /(n) sound of rainfall/
雨下 [うか] /(n,vs) raining/downpour/
雨蛙 [あまがえる] /(n) tree frog (esp. the Japanese tree frog, Hyla japonica)/
雨笠 [あまがさ] /(n) rain hat/
雨冠 [あまかんむり] /(n) kanji "rain" radical at top/
雨冠 [あめかんむり] /(n) kanji "rain" radical at top/
雨間 [あまあい] /(n) break in the rain/
雨奇晴好 [うきせいこう] /(n) scenery being beautiful in both rainy and sunny weather/
雨期 [うき] /(n) rainy season/(P)/
雨気 [あまけ] /(n) signs of rain/threatening to rain/
雨気 [うき] /(n) signs of rain/threatening to rain/
雨季 [うき] /(n) rainy season/(P)/
雨脚 [あまあし] /(n) passing shower/streaks of pouring rain/
雨脚 [あめあし] /(n) passing shower/streaks of pouring rain/
雨久花 [みずあおい] /(n) (uk) Monochoria korsakowii (species of flowering plant)/
雨魚 [あめのうお] /(n) (uk) biwa trout (Oncorhynchus masou rhodurus)/biwa salmon/
雨具 [あまぐ] /(n) rain gear/(P)/
雨空 [あまぞら] /(n) threatening sky/
雨靴 [あまぐつ] /(n) overshoes/
雨月 [うげつ] /(n) (1) (arch) being unable to see the (harvest) moon because of rain/(2) fifth lunar month/
雨戸 [あまど] /(n) sliding storm shutter/(P)/
雨虎 [あめふらし] /(n) (uk) sea hare (esp. species Aplysia kurodai)/
雨後 [うご] /(n-adv,n-t) after rain/
雨後の竹の子 [うごのたけのこ] /(exp) similar things turning up one after another/lit: bamboo shoots after rain/
雨後の筍 [うごのたけのこ] /(exp) similar things turning up one after another/lit: bamboo shoots after rain/
雨後雪 [あめのちゆき] /(n) rain then snow/
雨乞い [あまごい] /(n,vs) praying for rain/
雨降 [あめふらし] /(n) (uk) sea hare (esp. species Aplysia kurodai)/
雨降 [あめふり] /(n) rainfall/rainy weather/
雨降って地固まる [あめふってじかたまる] /(exp) (id) adversity strengthens the foundations/
雨降らし [あめふらし] /(n) (uk) sea hare (esp. species Aplysia kurodai)/
雨降り [あめふり] /(n) rainfall/rainy weather/(P)/
雨降り星 [あめふりぼし] /(n) Chinese "Net" constellation (one of the 28 mansions)/
雨降星 [あめふりぼし] /(n) Chinese "Net" constellation (one of the 28 mansions)/
雨合羽 [あまがっぱ] /(n) raincoat/oilcoat/
雨混じりの雪 [あめまじりのゆき] /(n) snow mingled with rain/
雨催い [あまもよい] /(n) threat of rain/
雨催い [あめもよい] /(n) threat of rain/
雨傘 [あまがさ] /(n) umbrella/
雨傘蛇 [あまがさへび] /(n) (uk) krait (esp. the Taiwanese banded krait, Bungarus multicinctus)/
雨傘番組 [あまがさばんぐみ] /(n) substitute for a scheduled live broadcast of a sporting event that was rained out/
雨仕度 [あまじたく] /(n,vs) preparation for rain/
雨四光 [あめしこう] /(n) (in hanafuda) a collection of the rain and three non-rain light cards/
雨支度 [あまじたく] /(n,vs) preparation for rain/
雨止み [あまやみ] /(n) (1) break in the rain/(2) waiting for a break in the rain/
雨宿り [あまやどり] /(n,vs) taking shelter from rain/(P)/
雨女 [あめおんな] /(n) woman whose presence seems to cause rain/
雨除け [あまよけ] /(n) tarpaulin/shelter from rain/covering against rain/
雨勝ち [あめがち] /(adj-no,adj-na,n) rainy/
雨障子 [あましょうじ] /(n) shoji with an oil-treated screen (for increased water resistance)/
雨上がり [あまあがり] /(n) after the rain/
雨上がり [あめあがり] /(n) after the rain/
雨上り [あまあがり] /(n) after the rain/
雨上り [あめあがり] /(n) after the rain/
雨垂 [あまだれ] /(n) raindrops/
雨垂れ [あまだれ] /(n) raindrops/(P)/
雨垂れ石 [あまだれいし] /(n) dripstone/
雨垂れ石を穿つ [あまだれいしをうがつ] /(exp) (id) slow but steady wins the race/constant effort will result in success/constant dripping wears away a stone/
雨水 [あまみず] /(n) (1) rain water/(2) "rain water" solar term (approx. Feb 19)/(P)/
雨水 [うすい] /(n) (1) rain water/(2) "rain water" solar term (approx. Feb 19)/
雨水桝 [うすいます] /(n) stormwater inlet/street inlet/
雨声 [うせい] /(n) sound of rain/
雨請い [あまごい] /(n,vs) praying for rain/
雨足 [あまあし] /(n) passing shower/streaks of pouring rain/
雨足 [あめあし] /(n) passing shower/streaks of pouring rain/
雨続き [あめつづき] /(n) raining for days on end/
雨台風 [あめたいふう] /(n) rain-laden typhoon (with relatively weak wind)/
雨男 [あめおとこ] /(n) man whose presence seems to cause rain/
雨着 [あまぎ] /(n) raincoat/
雨中 [うちゅう] /(n) (1) in the rain/(2) (abbr) game called off because of rain (baseball)/
雨注 [うちゅう] /(n,vs) showering (arrows) upon/
雨鳥 [あまどり] /(n) (arch) fork-tailed swift (Apus pacificus)/
雨滴 [うてき] /(n) raindrops/
雨天 [うてん] /(n) rainy weather/(P)/
雨天延期 [うてんえんき] /(exp) postponed because of rain/
雨天決行 [うてんけっこう] /(n) NOT cancelled in case of rain/
雨天順延 [うてんじゅんえん] /(n) rescheduled in case of rain/
雨天続き [うてんつづき] /(n) long spell of rainy weather/
雨天中止 [うてんちゅうし] /(exp) cancelled because of rain/wash out/
雨曇 [あまぐもり] /(n) overcast weather/
雨曇り [あまぐもり] /(n) overcast weather/
雨波貝 [うばがい] /(n) (uk) Sakhalin surf clam (Pseudocardium sachalinense)/
雨曝し [あまざらし] /(n) weatherbeaten/
雨避け [あまよけ] /(n) tarpaulin/shelter from rain/covering against rain/
雨樋 [あまどい] /(n) drainspout/rain gutter/
雨氷 [うひょう] /(n) freezing rain/
雨風 [あまかぜ] /(n) rain and wind/driving rain/
雨風 [あめかぜ] /(n) rain and wind/driving rain/
雨覆い [あまおおい] /(n) tarpaulin/rain-cover/
雨宝童子 [うほうどうじ] /(n) (Buddh) Uho Doji (divine rain-making boy)/
雨模様 [あまもよう] /(n) signs of rain/threat of rain/
雨模様 [あめもよう] /(n) signs of rain/threat of rain/
雨夜 [あまよ] /(n) rainy night/
雨夜 [つや] /(n) rainy night/
雨夜の星 [あまよのほし] /(exp,n) star seen on a rainy night/rare occurrence/rare sight/
雨落ち [あまおち] /(n) place where raindrops fall from the eaves/
雨落ち [あめおち] /(n) place where raindrops fall from the eaves/
雨粒 [あまつぶ] /(n) raindrop/
雨粒 [あめつぶ] /(n) raindrop/
雨量 [うりょう] /(n) rainfall/(P)/
雨量計 [うりょうけい] /(n) rain gauge/
雨緑樹林 [うりょくじゅりん] /(n) rain green forest/
雨林 [うりん] /(n) rain forest/
雨露 [あめつゆ] /(n) rain and dew/
雨露 [うろ] /(n) rain and dew/
雨漏 [あまもり] /(n,vs) roof leak/
雨漏り [あまもり] /(n,vs) roof leak/(P)/
雨霰 [あめあられ] /(n,adv-to) hail (e.g. of bullets)/barrage/storm/hail/
卯 [う] /(n) fourth sign of Chinese zodiac (The Hare, 5am-7am, east, February)/
卯 [ぼう] /(n) fourth sign of Chinese zodiac (The Hare, 5am-7am, east, February)/
卯の花 [うのはな] /(n) (1) bean-curd lees/soybean pulp/refuse from tofu/(2) deutzia/Deutzia crenata/
卯の花月 [うのはなづき] /(n) 4th month of the lunar calendar/
卯月 [うずき] /(ik) (n) (obs) fourth month of the lunar calendar/
卯月 [うつき] /(ik) (n) (obs) fourth month of the lunar calendar/
卯月 [うづき] /(n) (obs) fourth month of the lunar calendar/
卯月鳥 [うづきどり] /(n) (obsc) lesser cuckoo (Cuculus poliocephalus)/
卯建 [うだつ] /(n) (uk) short pillar set on a beam to support a ridgepole/
卯建が上がらない [うだつがあがらない] /(exp) no hope of getting ahead/
卯建のあがらない [うだつのあがらない] /(exp,adj-i) lacking potential for advancement/no-hoper/
卯年 [うさぎどし] /(n) year of the hare/year of the rabbit/
卯年 [うどし] /(n) year of the hare/year of the rabbit/
卯木 [うつぎ] /(n) deutzia/Deutzia crenata/
鵜 [う] /(n) cormorant/
鵜の目鷹の目 [うのめたかのめ] /(exp) eyes of a predator/keen eyes/lit: eyes of a cormorant, eyes of a hawk/
鵜飼 [うかい] /(n) (1) cormorant fishing/(2) cormorant fisherman/
鵜飼 [うがい] /(n) (1) cormorant fishing/(2) cormorant fisherman/
鵜飼い [うかい] /(n) (1) cormorant fishing/(2) cormorant fisherman/
鵜飼い [うがい] /(n) (1) cormorant fishing/(2) cormorant fisherman/
鵜匠 [うしょう] /(n) cormorant fisherman/
鵜匠 [うじょう] /(n) cormorant fisherman/
鵜松明樺 [うだいかんば] /(n) (uk) monarch birch (Betula maximowicziana)/Japanese birch/
鵜呑み [うのみ] /(n) swallowing (food, story)/
窺いしる [うかがいしる] /(v5r,vt) to perceive/to understand/
窺い探る [うかがいさぐる] /(v5r) to spy out/
窺い知る [うかがいしる] /(v5r,vt) to perceive/to understand/
窺う [うかがう] /(v5u,vt) (1) to peep (through)/to peek/to examine (esp. covertly)/(2) to await (one's chance)/(3) (usu. used passively) to guess/to infer/to gather/to surmise/
窺く [のぞく] /(v5k,vt) (1) to peek (though a keyhole, gap, etc.)/(2) to look down into (a ravine, etc.)/(3) to peek into (a shop, bookstore, etc.)/(4) to sneak a look at/to take a quick look at/(5) to peep (through a telescope, microscope, etc.)/(v5k,vi) (6) to stick out (a scarf from a collar, etc.)/to peek through (sky though a forest canopy, etc.)/(7) (arch) to face/
窺知 [きち] /(n,vs) perception/understanding/
丑 [うし] /(n) second sign of Chinese zodiac (The Ox, 1am-3am, north-northeast, December)/
丑の刻 [うしのこく] /(n) two o'clock in the morning/
丑の日 [うしのひ] /(n) day of the ox (esp. in midsummer or midwinter)/
丑の年 [うしのとし] /(n) Year of the Ox/
丑三つ時 [うしみつどき] /(n) midnight/
丑寅 [うしとら] /(n) (arch) northeast/
丑年 [うしどし] /(n) year of the ox/
碓 [うす] /(n) mill-stone/mortar/
碓氷峠 [うすいとうげ] /(n) Usui Pass/
臼 [うす] /(n) mill-stone/mortar/
臼づく [うすづく] /(v5k,vt) (arch) to pound (rice, etc.)/
臼歯 [うすば] /(n) molar/
臼歯 [きゅうし] /(n) molar/
臼状火山 [きゅうじょうかざん] /(n) pyroclastic cone/
臼砲 [きゅうほう] /(n) mortar/
臼搗く [うすつく] /(v5k,vt) (arch) to pound (rice, etc.)/
臼搗く [うすづく] /(v5k,vt) (arch) to pound (rice, etc.)/
渦 [うず] /(n) swirl/(P)/
渦巻 [うずまき] /(n) whirlpool/eddy/coil/
渦巻き [うずまき] /(n) whirlpool/eddy/coil/(P)/
渦巻きポンプ [うずまきポンプ] /(n) centrifugal pump/
渦巻き銀河 [うずまきぎんが] /(n) spiral galaxy/
渦巻き形 [うずまきがた] /(n,adj-no) spiral-shaped/
渦巻き状 [うずまきじょう] /(adj-no) spiral/helical/
渦巻き線 [うずまきせん] /(n) spiral/
渦巻き模様 [うずまきもよう] /(n) whirling or spiral pattern/
渦巻く [うずまく] /(v5k,vi) to whirl/to eddy/to swirl/to curl (smoke)/
渦巻銀河 [うずまきぎんが] /(n) spiral galaxy/
渦巻状 [うずまきじょう] /(adj-no) spiral/helical/
渦巻星雲 [うずまきせいうん] /(n) spiral nebula/
渦巻線 [うずまきせん] /(n) spiral/
渦形式 [うずけいしき] /(n) vortex design/
渦状 [かじょう] /(n,adj-no) spiral/
渦状銀河 [うずじょうぎんが] /(n) spiral galaxy/
渦状銀河 [かじょうぎんが] /(n) spiral galaxy/
渦状文 [かじょうもん] /(n) spiral pattern/
渦線 [かせん] /(n) spiral line/
渦中 [かちゅう] /(n) vortex/maelstrom/whirlpool/convulsions/upheaval/(P)/
渦虫類 [うずむしるい] /(n) turbellarians/
渦虫類 [かちゅうるい] /(n) turbellarians/
渦潮 [うずしお] /(n) whirling tides/
渦動 [かどう] /(n) vortex/
渦鞭毛藻 [うずべんもうそう] /(n) dinoflagellate/
渦鞭毛藻類 [うずべんもうそうるい] /(n) dinoflagellates/
渦鞭毛虫 [うずべんもうちゅう] /(n,adj-no) dinoflagellate/
渦紋 [かもん] /(n) whirlpool design/
渦雷 [からい] /(n) cyclonic thunder-storm/
渦流 [かりゅう] /(n) swirling current/
渦流ファン [かりゅうファン] /(n) regenerative fan/vortex flow fan/
渦流ブロワ [かりゅうブロワ] /(n) regenerative blower/vortex flow blower/
渦流形センサ [かりゅうがたセンサ] /(n) vortex sensor/
渦流形素子 [かりゅうけいそし] /(n) vortex device/
嘘 [うそ] /(n) (1) lie/falsehood/incorrect fact/(2) (col) Really!/Unbelievable!/No way!/(P)/
嘘から出た誠 [うそからでたまこと] /(exp) (id) Truth comes out of falsehood/
嘘っこ [うそっこ] /(exp) (doing something) for fun/not for keeps/
嘘っぱち [うそっぱち] /(n,adj-no) downright lie/
嘘っ八 [うそっぱち] /(n,adj-no) downright lie/
嘘っ八百 [うそっぱっぴゃく] /(exp) full of lies/
嘘つき [うそつき] /(n,adj-no) (uk) liar (sometimes said with not much seriousness)/fibber/(P)/
嘘つけ [うそつけ] /(n) (uk) liar (slang)/fibber/
嘘でかためる [うそでかためる] /(v1) to fabricate a web of lies/
嘘で固める [うそでかためる] /(v1) to fabricate a web of lies/
嘘のよう [うそのよう] /(adj-na) hard to believe/fabulous/unbelievable/incredible/
嘘ぶく [うそぶく] /(iK) (v5k,vi) (1) (uk) to exaggerate/(2) (uk) to recite (a song or poem to oneself)/(3) (uk) to bark/to roar/to howl/
嘘も方便 [うそもほうべん] /(exp) the end justifies the means/circumstances may justify a lie/
嘘をつく [うそをつく] /(exp,v5k) (uk) to tell a lie/to fib/
嘘を吐く [うそをつく] /(exp,v5k) (uk) to tell a lie/to fib/
嘘を付く [うそをつく] /(exp,v5k) (uk) to tell a lie/to fib/
嘘偽り [うそいつわり] /(n) great lie/lie/falsehood/
嘘泣き [うそなき] /(n,vs) faking crying/crocodile tears/
嘘言 [おそごと] /(n) (arch) lie/
嘘字 [うそじ] /(n) incorrect character/
嘘吐き [うそつき] /(n,adj-no) (uk) liar (sometimes said with not much seriousness)/fibber/
嘘吐きは泥棒の始まり [うそつきはどろぼうのはじまり] /(exp) (id) Show me a liar, and I will show you a thief/
嘘吐け [うそつけ] /(n) (uk) liar (slang)/fibber/
嘘八百 [うそはっぴゃく] /(n) full of lies/
嘘発見器 [うそはっけんき] /(n) lie detector/
嘘付き [うそつき] /(n,adj-no) (uk) liar (sometimes said with not much seriousness)/fibber/
唄 [うた] /(n) (1) song/(P)/
唄う [うたう] /(v5u,vt) (1) to sing/(2) to sing (one's praises in a poem, etc.)/to compose a poem/to recite a poem/(P)/
唄物 [うたもの] /(n) (1) an utai (Noh chant) piece for recitation/(2) accompanied singing in which the singing is emphasized over the instrumental part (emphasised)/
欝 [うつ] /(n) depression/low spirits/
欝金 [うこん] /(n) (uk) turmeric (Curcuma domestica)/
欝血 [うっけつ] /(n,vs) (1) blood congestion/(suf) (2) -stasis/
欝状態 [うつじょうたい] /(n,adj-no) depression/manic depression/
欝積 [うっせき] /(n,vs) accumulation (e.g. of emotions, grievances, etc.)/buildup/suppression (e.g. of anger)/
欝蒼 [うっそう] /(adj-t,adv-to) thick/dense/luxuriant/
欝憤 [うっぷん] /(n) resentment/grudge/anger/
鰻 [うなぎ] /(n) (uk) eel (esp. the Japanese eel, Anguilla japonica)/(P)/
鰻ざく [うざく] /(n) dish of vinegared eel and cucumber/
鰻屋 [うなぎや] /(n) eel restaurant/
鰻巻き [うまき] /(n) skewered eel roasted and wrapped in fried egg/
鰻作 [うざく] /(n) dish of vinegared eel and cucumber/
鰻重 [うなじゅう] /(n) broiled eel served over rice a lacquered box/
鰻上り [うなぎのぼり] /(n,adj-no) rapid promotion/soaring/going through the roof/
鰻登り [うなぎのぼり] /(n,adj-no) rapid promotion/soaring/going through the roof/
鰻筒 [うなぎづつ] /(n) eel trap/
鰻飯 [うなぎめし] /(n) eel kabayaki with rice/
鰻丼 [うなぎどんぶり] /(n) bowl of eel and rice (donburi)/
鰻丼 [うなどん] /(n) bowl of eel and rice (donburi)/
姥 [うば] /(n) (1) elderly woman/(2) noh mask of an old woman/
姥貝 [うばがい] /(n) (uk) Sakhalin surf clam (Pseudocardium sachalinense)/
姥魚 [うばうお] /(n) (uk) Aspasma minima (species of clingfish)/
姥桜 [うばざくら] /(n) faded beauty/
姥鮫 [うばざめ] /(n) (uk) basking shark (Cetorhinus maximus)/
姥捨て [うばすて] /(n) practice of abandoning old women (practise)/
姥捨て山 [うばすてやま] /(n) mountain where old women were abandoned/
姥彼岸 [うばひがん] /(n) (uk) (obsc) double weeping rosebud cherry (Prunus pendula)/
姥目樫 [うばめがし] /(n) (uk) ubame oak (Quercus phillyraeoides)/
厩 [うまや] /(n) stable/barn/
厩舎 [きゅうしゃ] /(n) barn/stable/
厩肥 [きゅうひ] /(n) manure/compost/
厩務員 [きゅうむいん] /(n) (obsc) stable boy/stable hand/groom/
浦 [うら] /(n) inlet/(P)/
浦回 [うらみ] /(n) (arch) coastal indentations/
浦回 [うらわ] /(n) (arch) coastal indentations/
浦廻 [うらみ] /(n) (arch) coastal indentations/
浦廻 [うらわ] /(n) (arch) coastal indentations/
浦曲 [うらま] /(ok) (n) (arch) coastal indentations/
浦曲 [うらみ] /(n) (arch) coastal indentations/
浦曲 [うらわ] /(n) (arch) coastal indentations/
浦人 [うらびと] /(n) seaside dweller/
浦島草 [うらしまそう] /(n) (uk) Arisaema urashima (species of cobra lily)/
浦内笛鯛 [うらうちふえだい] /(n) (uk) Papuan black snapper (Lutjanus goldiei)/
浦波 [うらなみ] /(n) (seaside) breakers/
浦風 [うらかぜ] /(n) sea breeze/
浦辺 [うらべ] /(n) seacoast/
浦里 [うらざと] /(n) village by the sea/
瓜 [うり] /(n) melon/gourd/
瓜の蔓 [うりのつる] /(n) gourd vine/
瓜の蔓に茄子は生らぬ [うりのつるになすびはならぬ] /(exp) like begets like/
瓜羽虫 [うりはむし] /(n) (uk) cucurbit leaf beetle (Aulacophora femoralis)/
瓜科 [うりか] /(n) Cucurbitaceae/gourd family/
瓜金花虫 [うりはむし] /(n) (uk) cucurbit leaf beetle (Aulacophora femoralis)/
瓜実顔 [うりざねがお] /(n) oval face (e.g. of a beautiful woman)/
瓜実条虫 [うりざねじょうちゅう] /(n) (uk) dog tapeworm (Dipylidium caninum)/cucumber tapeworm/double-pore tapeworm/
瓜実蝿 [うりみばえ] /(n) (uk) melon fly (Bactrocera cucurbitae)/
瓜実蠅 [うりみばえ] /(n) (uk) melon fly (Bactrocera cucurbitae)/
瓜田 [かでん] /(n) melon field or patch/
瓜田に履を納れず [かでんにくつをいれず] /(exp) (obs) Avoid compromising situations/
瓜田李下 [かでんりか] /(exp) Be careful not to invite the least suspicion/Leave no room for scandal/
瓜二つ [うりふたつ] /(adj-na) as alike as two melons (two peas in a pod)/
瓜蝿 [うりばえ] /(n) (uk) (obsc) cucurbit leaf beetle (Aulacophora femoralis)/
瓜坊 [うりぼう] /(n) (uk) wild boar piglet/
瓜蠅 [うりばえ] /(n) (uk) (obsc) cucurbit leaf beetle (Aulacophora femoralis)/
閏 [うるう] /(n,adj-no) (uk) embolism/intercalation/
閏月 [うるうづき] /(n) intercalary month/
閏月 [じゅんげつ] /(n) intercalary month/
閏日 [うるうび] /(n) leap day/
閏年 [うるうどし] /(n,adj-no) (uk) leap year/(P)/
閏年 [じゅんねん] /(n,adj-no) (uk) leap year/
閏秒 [うるうびょう] /(n) leap second/
噂 [うわさ] /(n,vs,adj-no) rumour/rumor/report/hearsay/gossip/common talk/(P)/
噂に上る [うわさにのぼる] /(exp,v5r) to be gossiped about/
噂をすれば影 [うわさをすればかげ] /(exp) speak of the devil (lit: it's the one spoken of)/
噂をすれば影がさす [うわさをすればかげがさす] /(exp) (id) speak of the devil and he shall appear/speak rumours of someone and they shall appear/
噂をすれば影が射す [うわさをすればかげがさす] /(exp) (id) speak of the devil and he shall appear/speak rumours of someone and they shall appear/
噂を聞く [うわさをきく] /(exp,v5k) to hear a rumor/to get wind of/
噂を立てられる [うわさをたてられる] /(exp,v1) to be gossiped about/
噂を流す [うわさをながす] /(exp,v5s) to spread rumors/to spread rumours/
噂通り [うわさどおり] /(n) rumor that appears to be quite true (rumour)/
噂話 [うわさばなし] /(n,vs) gossip/
噂話し [うわさばなし] /(n,vs) gossip/
云々 [うんぬん] /(exp) (1) and so on/and so forth/(n,vs) (2) comment/criticism/
云う [いう] /(v5u) (1) to say/(2) to call (i.e. to give a name)/
云う [ゆう] /(v5u) (1) to say/(2) to call (i.e. to give a name)/
云為 [うんい] /(n,vs) sayings and doings/words and deeds/
云云 [うんぬん] /(exp) (1) and so on/and so forth/(n,vs) (2) comment/criticism/
云爾 [うんじ] /(conj) (arch) such as/
運 [うん] /(n) fortune/luck/(P)/
運がいい [うんがいい] /(exp,adj-i) lucky/
運が悪い [うんがわるい] /(exp,adj-i) is unlucky/
運が開ける [うんがひらける] /(exp,v1) to be in luck's way/to have one's fortune changes to the better/
運が向く [うんがむく] /(exp,v5k) to be in lucks way/
運ちゃん [うんちゃん] /(n) (sl) driver/chauffeur/
運に任せる [うんにまかせる] /(exp,v1) to trust to luck/
運のいい [うんのいい] /(exp,adj-i) lucky/
運の悪い [うんのわるい] /(adj-i) unlucky/
運の尽き [うんのつき] /(exp) out of luck/end of your rope/
運は天に在り [うんはてんにあり] /(exp) (id) No flying from fate/
運び [はこび] /(n,n-suf) progress/pace/carriage/step/stage/(P)/
運びこむ [はこびこむ] /(v5m,vt) to carry in/to bring in/
運びだす [はこびだす] /(v5s) to carry out/
運び屋 [はこびや] /(n) courier/smuggler/carrier (e.g. of illegal drugs)/trafficker/
運び去る [はこびさる] /(v5r) to carry away/
運び込む [はこびこむ] /(v5m,vt) to carry in/to bring in/
運び出す [はこびだす] /(v5s) to carry out/
運び上げる [はこびあげる] /(v1) to carry or bring (up)/
運び足 [はこびあし] /(n) walking with bent knees to strengthen thighs and improve balance (sumo)/
運び入れる [はこびいれる] /(v1) to carry or bring in(to)/
運ぶ [はこぶ] /(v5b) (1) to carry/to transport/to move/to convey/(2) (hon) to come/to go/(3) to wield (a tool, etc.)/to use/(v5b,vi) (4) to go (well, etc.)/to proceed/to progress/(P)/
運まかせ [うんまかせ] /(n) trusting or resignation to fate/
運よく [うんよく] /(adv) luckily/
運を天に任せる [うんをてんにまかせる] /(exp,v1) to leave to chance/to resign oneself to one's fate/
運悪く [うんわるく] /(adv) unluckily/
運営 [うんえい] /(n,vs) management/administration/operation/(P)/
運営委員会 [うんえいいいんかい] /(n) steering committee/
運営管理官 [うんえいかんりかん] /(n) administrator (government)/
運営経費 [うんえいけいひ] /(n) operating expenses/budget/
運営資金 [うんえいしきん] /(n) operating funds/
運営者 [うんえいしゃ] /(n) manager/administrator/
運営上 [うんえいじょう] /(adj-no) operational/
運営費 [うんえいひ] /(n) operating expenses/budget/
運河 [うんが] /(n) canal/waterway/(P)/
運気 [うんき] /(n) fate/fortune/
運気好転 [うんきこうてん] /(n,vs) turn (stroke) of good fortune/one's fortune turning for the better/
運休 [うんきゅう] /(n,vs) service suspended (e.g. trains)/(P)/
運弓 [うんきゅう] /(n) bowing (of a stringed instrument)/
運弓法 [うんきゅうほう] /(n) bowing (of a stringed instrument)/
運航 [うんこう] /(n,vs) operating (e.g. ships, aircraft)/(P)/
運行 [うんこう] /(n,vs) (1) service (bus, train)/operation/(2) motion/revolution/movement/(P)/
運根鈍 [うんこんどん] /(n) luck, steadfastness and patience (the three keys to achieving success)/
運座 [うんざ] /(n) poetic meeting/
運算 [うんざん] /(n,vs) mathematical operation/calculation/
運指 [うんし] /(n) fingering (of a musical instrument)/
運試し [うんだめし] /(n) try or test one's luck/
運上 [うんじょう] /(n) carrying up/bringing up/
運針 [うんしん] /(n) handling the needle/
運勢 [うんせい] /(n) fortune/luck/
運勢判断 [うんせいはんだん] /(n) fortune-telling/
運漕 [うんそう] /(n,vs) transport/freight/shipping/
運送 [うんそう] /(n,vs) transport/freight/shipping/(P)/
運送屋 [うんそうや] /(n) forwarding agency/express company/
運送会社 [うんそうがいしゃ] /(n) shipping company/freight company/transport company/
運送業 [うんそうぎょう] /(n) forwarding or transportation industry/
運送業者 [うんそうぎょうしゃ] /(n) forwarding agent/carrier/
運送契約 [うんそうけいやく] /(n) freight or carriage contract/
運送取扱人 [うんそうとりあつかいにん] /(n) forwarding merchant/freight forwarder/
運送人 [うんそうにん] /(n) carrier/
運送船 [うんそうせん] /(n) freighter/cargo vessel/
運送店 [うんそうてん] /(n) shipping or forwarding agency/
運送費 [うんそうひ] /(n) transportation rates or expenses/
運送保険 [うんそうほけん] /(n) transit or transport(ation) insurance/
運送料 [うんそうりょう] /(n) cartage/transportation or shipping charges/
運痴 [うんち] /(n) (abbr) (col) slow in one's movements/
運賃 [うんちん] /(n) freight rates/shipping expenses/fare/(P)/
運賃込みで [うんちんこみで] /(exp) freight included (prepaid)/
運賃箱 [うんちんばこ] /(n) fare box/place where one puts the money required to ride public transportation/
運賃保険 [うんちんほけん] /(n) insurance on freight/
運転 [うんてん] /(n,vs,adj-no) operation/motion/driving/(P)/
運転を見合わせる [うんてんをみあわせる] /(v1,exp) to suspend operations (esp. of trains)/to stop driving/
運転技術 [うんてんぎじゅつ] /(n) driving skill/one's skill as a driver/
運転系統 [うんてんけいとう] /(n) (bus) route/
運転士 [うんてんし] /(n) (1) driver/train driver/train engineer/motorman/taxi driver/(2) mate/(ship's) officer/(P)/
運転資金 [うんてんしきん] /(n) working capital/
運転資本 [うんてんしほん] /(n) working capital/
運転時間 [うんてんじかん] /(n) (comp) attended time/
運転者 [うんてんしゃ] /(n) driver (of a vehicle)/
運転手 [うんてんしゅ] /(n) driver/chauffeur/(P)/
運転席 [うんてんせき] /(n) driver's seat (in a car)/
運転台 [うんてんだい] /(n) driver's seat/
運転停止 [うんてんていし] /(n,vs) suspension of operations/
運転費 [うんてんひ] /(n) running expenses/operational costs/
運転免許 [うんてんめんきょ] /(n) driver's license/driver's licence/
運転免許試験 [うんてんめんきょしけん] /(n) driving test/
運転免許試験場 [うんてんめんきょしけんじょう] /(n) testing centre for driving tests/
運転免許証 [うんてんめんきょしょう] /(n) driver's license/driver's licence/
運動 [うんどう] /(n,vs) motion/exercise/(P)/
運動の法則 [うんどうのほうそく] /(n) laws of motion/
運動エネルギー [うんどうエネルギー] /(n) kinetic energy/
運動ニューロン疾患 [うんどうニューロンしっかん] /(n) motor neurone disease/MND/
運動員 [うんどういん] /(n) campaigner/
運動音痴 [うんどうおんち] /(n) having slow reflexes/being nonathletic/person who is not athletic/
運動家 [うんどうか] /(n) (1) activist (in a political movement)/crusader (e.g. for women's rights)/(2) athlete/
運動会 [うんどうかい] /(n) athletic meet/sports day/(P)/
運動界 [うんどうかい] /(n) the world of sports/
運動学 [うんどうがく] /(n) kinematics/kinesiology/
運動感覚 [うんどうかんかく] /(n) kinesthesia/kinaesthesia/
運動具 [うんどうぐ] /(n) sporting goods/
運動靴 [うんどうぐつ] /(n) sports shoes/sneakers/
運動公園 [うんどうこうえん] /(n) sports park/athletic park/stadium/
運動失調症 [うんどうしっちょうしょう] /(n) motor ataxia/
運動者 [うんどうしゃ] /(n) activist (in a political movement)/crusader (e.g. for women's rights)/
運動障害 [うんどうしょうがい] /(n) dyskinesia/motor impairment/motor disturbance/
運動場 [うんどうじょう] /(n) sports ground/playing field/playground/(P)/
運動場 [うんどうば] /(n) sports ground/playing field/playground/(P)/
運動神経 [うんどうしんけい] /(n,adj-no) motor nerves/reflexes/
運動性 [うんどうせい] /(n,adj-no) motility/mobility/maneuverability/
運動星団 [うんどうせいだん] /(n) moving cluster/
運動生理学 [うんどうせいりがく] /(n) exercise physiology/
運動選手 [うんどうせんしゅ] /(n) athlete/
運動耐容能 [うんどうたいようのう] /(n) exercise tolerance/
運動着 [うんどうぎ] /(n) sportswear/
運動皮質 [うんどうひしつ] /(n) motor cortex (area of the brain just anterior to the central sulcus responsible for controlling voluntary muscle activity)/
運動費 [うんどうひ] /(n) campaign fund/
運動不足 [うんどうぶそく] /(n,adj-no) insufficient exercise/
運動部 [うんどうぶ] /(n) sports club (e.g. at school)/sports department (e.g. in a newspaper)/
運動方程式 [うんどうほうていしき] /(n) equation of motion/
運動摩擦 [うんどうまさつ] /(n) kinetic friction/
運動欄 [うんどうらん] /(n) sports column/sports section/
運動療法 [うんどうりょうほう] /(n) therapeutic exercise/
運動量 [うんどうりょう] /(n) momentum/
運動量空間 [うんどうりょうくうかん] /(n) momentum space (quantum mechanics)/
運動量保存の法則 [うんどうりょうほぞんのほうそく] /(n) law of conservation of momentum/
運動領 [うんどうりょう] /(n) motor area/
運動力 [うんどうりょく] /(n) impetus/
運任せ [うんまかせ] /(n) trusting or resignation to fate/
運搬 [うんぱん] /(n,vs) transport/carriage/(P)/
運搬ＲＮＡ [うんぱんアールエヌエー] /(n) transfer RNA/tRNA/
運搬クラス [うんぱんクラス] /(n) (comp) bearer class/
運搬管理 [うんぱんかんり] /(n) materials management or handling/
運搬作用 [うんぱんさよう] /(n) transportation/
運搬人 [うんぱんにん] /(n) carrier/conveyor/
運搬船 [うんぱんせん] /(n) freighter/cargo ship/carrier/
運搬費 [うんぱんひ] /(n) transportation charge/
運否天賦 [うんぷてんぷ] /(n) trusting to chance/having a go at something/
運筆 [うんぴつ] /(n) brush strokes/way of moving the brush/
運命 [うんめい] /(n) fate/(P)/
運命づける [うんめいづける] /(v1) to preordain/
運命の力 [うんめいのちから] /(exp) (1) agency of fate/power of fate/(2) La forza del destino (opera by Verdi)/the force of destiny/
運命共同体 [うんめいきょうどうたい] /(exp,n) (in the) same boat/(sharing a) common destiny/
運命的 [うんめいてき] /(adj-na) (pre)destined/
運命付ける [うんめいづける] /(v1) to preordain/
運命論 [うんめいろん] /(n) fatalism/
運命論者 [うんめいろんしゃ] /(n) fatalist/
運輸 [うんゆ] /(n) transportation/(P)/
運輸業者 [うんゆぎょうしゃ] /(n) carrier/
運輸省 [うんゆしょう] /(n) Ministry of Transport/(P)/
運輸相 [うんゆしょう] /(n) Transport Minister/
運輸大臣 [うんゆだいじん] /(n) Minister of Transport/
運輸量 [うんゆりょう] /(n) (amount of) traffic/
運用 [うんよう] /(n,vs) making use of/application/investment/practical use/(P)/
運用管理 [うんようかんり] /(n) (comp) application management/
運用規則に基づく安全保護方針 [うんようきそくにもとづくあんぜんほごほうしん] /(n) (comp) rule-based security policy/
運用形態 [うんようけいたい] /(n) (comp) practical configuration/practical form/
運用者 [うんようしゃ] /(n) operator/manager/
運用方法 [うんようほうほう] /(n) how to operate/operation procedures/
運良く [うんよく] /(adv) luckily/(P)/
雲 [くも] /(n) cloud/(P)/
雲の上 [くものうえ] /(n) above the clouds/the Imperial Court/
雲の峰 [くものみね] /(exp) clouds that stand like a mountain peak during the summer/
雲の峯 [くものみね] /(oK) (exp) clouds that stand like a mountain peak during the summer/
雲井 [くもい] /(ateji) (n) (1) (arch) sky/(2) cloud/(3) distant place/high place/(4) imperial court/
雲隠れ [くもがくれ] /(n,vs) disappearance/
雲雨巫山 [うんうふざん] /(n) sexual liaison/
雲影 [うんえい] /(n) cloud shape/
雲煙 [うんえん] /(n) clouds and smoke/landscape/
雲煙過眼 [うんえんかがん] /(n) not being obsessed with something very long (just as clouds and haze pass swiftly before one's eyes)/
雲煙飛動 [うんえんひどう] /(n) (1) flying clouds and drifting haze/(2) magnificent calligraphy/vivid penmanship/
雲煙万里 [うんえんばんり] /(n) limitless expanse of clouds and smoke/
雲霞 [うんか] /(n) clouds and haze (fog)/disappearing/fleeing/
雲霞 [くもかすみ] /(n) clouds and haze (fog)/disappearing/fleeing/
雲霞の如く [うんかのごとく] /(n) in swarms/
雲海 [うんかい] /(n) sea of clouds/
雲間 [くもま] /(n) rift between clouds/
雲間に現れた月 [くもまにあらわれたつき] /(n) moon peeping from behind the clouds/
雲気 [うんき] /(n) (1) cloud/look of the sky/movement of clouds/(2) Kabuki accessory representing a cloud/(3) type of strange mist appearing in the sky, used for divination/
雲脚 [うんきゃく] /(n) cloud movements/overhanging clouds/
雲脚 [くもあし] /(n) cloud movements/overhanging clouds/
雲級 [うんきゅう] /(n) classification of clouds/
雲級図 [うんきゅうず] /(n) cloud atlas/
雲居 [くもい] /(n) (1) (arch) sky/(2) cloud/(3) distant place/high place/(4) imperial court/
雲鏡 [うんきょう] /(n) cloud mirror/mirror nephoscope/reflecting nephoscope/
雲形 [うんけい] /(n) cloud formations/cloud-shaped/
雲形 [くもがた] /(n) cloud formations/cloud-shaped/
雲形定規 [くもがたじょうぎ] /(n) French curve/
雲景 [うんけい] /(n) cloudscape/
雲行き [くもゆき] /(n) weather/look of the sky/situation/turn of affairs/signs/(P)/
雲行きが怪しい [くもゆきがあやしい] /(exp) (1) the clouds look menacing/(2) things don't look good/
雲高 [うんこう] /(n) height of clouds/
雲合い [くもあい] /(n) look of the sky/
雲散 [うんさん] /(n,vs) scatter/disperse/
雲散霧消 [うんさんむしょう] /(n,vs) vanishing like mist/
雲脂 [ふけ] /(n) dandruff/
雲珠 [うず] /(n) crupper ornament/
雲集 [うんしゅう] /(n,vs) swarm/throng/
雲集霧散 [うんしゅうむさん] /(n,vs) (many things) gathering like clouds and vanishing like mist/swarming and scattering/
雲助 [くもすけ] /(n) palanquin bearer/coolie/wandering robber/
雲助根性 [くもすけこんじょう] /(n) predatory nature/rapacious disposition/
雲上 [うんじょう] /(n) above the clouds/the heavens/
雲上人 [うんじょうびと] /(n) the nobility/
雲壌 [うんじょう] /(n) clouds and earth/great difference/
雲水 [うんすい] /(n) itinerant priest/clouds and water/
雲水行脚 [うんすいあんぎゃ] /(n) itinerant monk being on pilgrimages to many lands/
雲雀 [ひばり] /(n) (1) skylark (Alauda arvensis)/(P)/
雲雀骨 [ひばりぼね] /(n) (1) (arch) being thin and bony/bony body/(2) (derog) (arch) bony old man/bony old woman/
雲切れ [くもぎれ] /(n) gap between the clouds/
雲仙岳 [うんぜんだけ] /(n) mountain in Nagasaki Prefecture/
雲足 [くもあし] /(n) movement of clouds/
雲孫 [うんそん] /(n) great-great-great-great-great-great-grandchild/
雲台 [うんだい] /(n) (camera) platform/
雲丹 [うに] /(n,adj-no) sea urchin/sea urchin eggs/
雲梯 [うんてい] /(n) (1) overhead ladder/horizontal ladder/monkey bars/(2) yunti (scaling ladder used for escalade in ancient China)/
雲泥 [うんでい] /(n) great difference/
雲泥の差 [うんでいのさ] /(exp) wide difference/a world of difference/(P)/
雲泥万里 [うんでいばんり] /(n) being poles apart/(there being) all the difference in the world/
雲伝神道 [うんでんしんとう] /(n) Unden Shinto (branch of Shinto based on Shingon Buddhist teachings)/
雲突く [くもつく] /(v5k) to tower/
雲呑 [わんたん] /(n) (uk) wan-tan/won-on (Chinese dumpling)/
雲伯方言 [うんぱくほうげん] /(n) dialects of Japanese spoken in Western Tottori prefecture and Eastern Shimane prefecture/
雲表 [うんぴょう] /(n) above the clouds/
雲豹 [うんぴょう] /(n) (uk) clouded leopard (Neofelis nebulosa)/
雲物理学 [うんぶつりがく] /(n) cloud physics/
雲母 [うんぼ] /(n,adj-no) mica/isinglass/
雲母 [うんも] /(n,adj-no) mica/isinglass/
雲母 [きらら] /(n,adj-no) mica/isinglass/
雲母虫 [きららむし] /(n) (obsc) true bristletail (any insect of order Thysanura, esp. of family Lepismatidae)/
雲霧 [うんむ] /(n) clouds and fog/
雲霧林 [うんむりん] /(n) cloud forest/
雲竜型 [うんりゅうがた] /(n) Unryu style of grand champion's ring-entering ceremony (sumo)/
雲龍型 [うんりゅうがた] /(n) Unryu style of grand champion's ring-entering ceremony (sumo)/
雲量 [うんりょう] /(n) degree of cloudiness/
雲烟飛動 [うんえんひどう] /(n) (1) flying clouds and drifting haze/(2) magnificent calligraphy/vivid penmanship/
雲鑼 [うんら] /(n) yunluo (10 small gongs mounted in a wooden frame)/
雲鬢花顔 [うんびんかがん] /(n) beautiful woman (metaphorical)/
荏 [え] /(n) (arch) egoma (type of perilla)/Perilla frutescens var. frutescens/
荏の油 [えのあぶら] /(n) egoma seed oil/
荏胡麻 [えごま] /(n) egoma (type of perilla)/Perilla frutescens var. frutescens/
荏胡麻油 [えごまゆ] /(n) egoma seed oil/
荏苒 [じんぜん] /(adj-na,adv) procrastination/
餌 [え] /(n) feed/bait/
餌 [えさ] /(n) feed/bait/(P)/
餌場 [えさば] /(n) feeding grounds/
餌食 [えじき] /(n) prey/victim/
餌袋 [えぶくろ] /(n) gizzard/crop/
餌箱 [えさばこ] /(n) (animal) feed tray/feed trough/feed box/feed bowl/bait box (e.g. for fishing)/
餌付く [えづく] /(v5k,vi) to begin to eat or feed/
餌付け [えづけ] /(n,vs) artificial feeding/
叡感 [えいかん] /(n) emperor's approval/
叡旨 [えいし] /(n) the emperor's instructions/
叡知 [えいち] /(n) wisdom/intelligence/intellect/
叡智 [えいち] /(n) wisdom/intelligence/intellect/
叡聞に [えいぶんに] /(adv) (in the) emperor's hearing/
叡覧 [えいらん] /(n) the emperor's personal inspection/
叡慮 [えいりょ] /(n) the emperor's pleasure/
営々 [えいえい] /(adj-na,adv,n) hard/unceasing/
営々黙々 [えいえいもくもく] /(adj-t,adv-to) quietly and assiduously/
営み [いとなみ] /(n) work/life/(P)/
営む [いとなむ] /(v5m,vt) to carry on (e.g. in ceremony)/to run a business/(P)/
営為 [えいい] /(n) business/occupation/
営営 [えいえい] /(adj-na,adv,n) hard/unceasing/
営営黙黙 [えいえいもくもく] /(adj-t,adv-to) quietly and assiduously/
営業 [えいぎょう] /(n,vs) business/trade/sales/operations/(P)/
営業マン [えいぎょうマン] /(n) salesman/businessman/
営業案内 [えいぎょうあんない] /(n) pamphlet describing one's business (operations)/
営業活動 [えいぎょうかつどう] /(n) business activities/
営業許可書 [えいぎょうきょかしょ] /(n) business permit/
営業許可申請書 [えいぎょうきょかしんせいしょ] /(n) application form for business permit/business permit application form/
営業経費 [えいぎょうけいひ] /(n) operation cost/
営業時間 [えいぎょうじかん] /(n) business hours/
営業手法 [えいぎょうしゅほう] /(n) business model/
営業収支 [えいぎょうしゅうし] /(n) operating balance/
営業所 [えいぎょうしょ] /(n) business office/place of business/(P)/
営業譲渡 [えいぎょうじょうと] /(n) transfer of business/business transfer/
営業譲渡契約書 [えいぎょうじょうとけいやくしょ] /(n) business transfer agreement/
営業損失 [えいぎょうそんしつ] /(n) operating loss/
営業中 [えいぎょうちゅう] /(n) open (e.g. store)/
営業停止 [えいぎょうていし] /(n) suspension of business/
営業日 [えいぎょうび] /(n) business day/
営業年度 [えいぎょうねんど] /(n) fiscal year/financial year/
営業畑 [えいぎょうばたけ] /(n) sales field/
営業秘密 [えいぎょうひみつ] /(n) trade secret/
営業費 [えいぎょうひ] /(n) operating expenses/operating cost/
営業部 [えいぎょうぶ] /(n) sales department/
営業分野 [えいぎょうぶんや] /(n) business field/
営業保険 [えいぎょうほけん] /(n) commercial insurance/
営業報告 [えいぎょうほうこく] /(n) business report/
営業報告書 [えいぎょうほうこくしょ] /(n) business report/
営業免許税 [えいぎょうめんきょぜい] /(n) occupational tax/
営業利益 [えいぎょうりえき] /(n) operating profit/
営業路線 [えいぎょうろせん] /(n) (1) railroad (bus) lines (routes) in operation/(2) business plan (policy)/
営舎 [えいしゃ] /(n) barracks/
営所 [えいしょ] /(n) barracks/camp/
営繕 [えいぜん] /(n,vs) upkeep (of equip.)/(P)/
営倉 [えいそう] /(n) guardhouse/detention barracks/
営巣 [えいそう] /(n,vs) building a nest/
営巣地 [えいそうち] /(n) nesting place/nesting site/nesting grounds/
営造 [えいぞう] /(n,vs) building/construction/
営造物 [えいぞうぶつ] /(n) building/facility/
営団 [えいだん] /(n) corporation/foundation/(P)/
営団地下鉄 [えいだんちかてつ] /(n) Teito Rapid Transit Authority subway/Eidan subway/
営庭 [えいてい] /(n) open space within a barracks compound/
営農 [えいのう] /(n,vs) farming/agriculture/(P)/
営養 [えいよう] /(n,adj-no) nutrition/nourishment/
営利 [えいり] /(n) money-making/commercialized/commercialised/(P)/
営利会社 [えいりがいしゃ] /(n) profit-making company/
営利事業 [えいりじぎょう] /(n) profit-making enterprise/
営利主義 [えいりしゅぎ] /(n) commercialism/
営利的 [えいりてき] /(adj-na) commercial/
営利保険 [えいりほけん] /(n) commercial insurance/
営利法人 [えいりほうじん] /(n) profit-making corporation/
営林 [えいりん] /(n) forest management/
営林局 [えいりんきょく] /(n) regional forestry office/
営林署 [えいりんしょ] /(n) forest service field office/
嬰 [えい] /(n,pref) sharp (music)/
嬰ヘ長調 [えいヘちょうちょう] /(n) F sharp major (music)/
嬰音 [えいおん] /(n) sharp (musical note)/
嬰記号 [えいきごう] /(n) sharp (music)/
嬰児 [えいじ] /(n) infant/baby/
嬰児 [みどりご] /(n) infant/baby/
影 [かげ] /(n) (1) shadow/silhouette/(2) reflection/image/(3) presence/sign/(4) light (stars, moon)/(P)/
影がさす [かげがさす] /(exp,v5s) (1) to cast a shadow/to appear/(2) to loom (of a threat, etc.)/to manifest (of symptoms, etc.)/
影が差す [かげがさす] /(exp,v5s) (1) to cast a shadow/to appear/(2) to loom (of a threat, etc.)/to manifest (of symptoms, etc.)/
影が射す [かげがさす] /(exp,v5s) (1) to cast a shadow/to appear/(2) to loom (of a threat, etc.)/to manifest (of symptoms, etc.)/
影が薄い [かげがうすい] /(exp) in the background/not standing out/
影に日に [かげにひに] /(adv) at all times/at any time/in rain or shine/reliably/
影の内閣 [かげのないかく] /(n) shadow cabinet/(P)/
影の薄い [かげのうすい] /(adj-i) inconspicuous/unobtrusive/low profile/
影も形もない [かげもかたちもない] /(exp) disappear without a trace/nowhere to be seen/
影も形も無い [かげもかたちもない] /(exp) disappear without a trace/nowhere to be seen/
影を映す [かげをうつす] /(exp,v5s) to mirror the image (of)/
影を潜める [かげをひそめる] /(exp,v1) to disappear/to vanish/
影を投げる [かげをなげる] /(exp,v1) (1) to project a shadow/(adj-f) (2) shade-casting/shady/umbriferous/
影を落とす [かげをおとす] /(exp,v5s) to cast a shadow (lit. or figurative)/
影印 [えいいん] /(n,vs) facsimile/
影印本 [えいいんほん] /(n) facsimile edition/
影画 [かげえ] /(n) silhouette/
影絵 [かげえ] /(n) shadow picture/(P)/
影響 [えいきょう] /(n) (1) influence/effect/(vs) (2) to influence/to affect/to have an influence on/to impact/to have an effect on/(P)/
影響を及ぼす [えいきょうをおよぼす] /(exp,v5s) to affect/
影響円すい [えいきょうえんすい] /(n) (comp) cone of influence/
影響円錐 [えいきょうえんすい] /(n) (comp) cone of influence/
影響下 [えいきょうか] /(adj-no) influenced (by)/under an influence/
影響圏 [えいきょうけん] /(n) sphere of influence/
影響波及解析 [えいきょうはきゅうかいせき] /(n) impact analysis/
影響力 [えいきょうりょく] /(n) influence/clout/
影口 [かげぐち] /(iK) (n,adj-no) malicious gossip/backbiting/speaking ill behind someone's back/
影身 [かげみ] /(n) person always at one's side/
影像 [えいぞう] /(n) silhouette/
影富士 [かげふじ] /(n) shadow cast by Mount Fuji/image of Mount Fuji as reflected in a lake, etc./
影武者 [かげむしゃ] /(n) (1) body double (orig. of a military leader)/(2) wire puller/someone behind the scenes/
影法師 [かげぼうし] /(n) shadow figure/silhouette/
映え [はえ] /(n) glory/prosperity/
映えない色 [はえないいろ] /(n) dull color/dull colour/
映える [はえる] /(v1,vi) to shine/to look attractive/to look pretty/(P)/
映しだす [うつしだす] /(v5s,vt) to project/to reflect/
映し絵 [うつしえ] /(n) film picture/silhouette/
映し出す [うつしだす] /(v5s,vt) to project/to reflect/(P)/
映じる [えいじる] /(v1,vi) (1) to be reflected (in)/to be mirrored (in)/(2) to impress (a person)/
映す [うつす] /(v5s,vt) to project/to reflect/to cast (shadow)/(P)/
映ずる [えいずる] /(vz,vi) (1) to be reflected (in)/to be mirrored (in)/(2) to impress (a person)/
映り [うつり] /(n,n-suf) reflection/quality of a picture (film)/match/harmony/
映り込み [うつりこみ] /(n) background reflections (e.g. on a window)/reflected glare/
映る [うつる] /(v5r,vi) to be reflected/to harmonize with (harmonise)/to come out (photo)/to be projected/(P)/
映画 [えいが] /(n,adj-no) movie/film/(P)/
映画スター [えいがスター] /(n) film star/
映画音楽 [えいがおんがく] /(n) film music/
映画化 [えいがか] /(n,vs) making (book) into film/making screen version/
映画会 [えいがかい] /(n) film society/movie club/
映画会社 [えいががいしゃ] /(n) movie company/
映画界 [えいがかい] /(n) the film world/
映画学 [えいががく] /(n) film study/
映画監督 [えいがかんとく] /(n) movie (film) director/
映画鑑賞会 [えいがかんしょうかい] /(n) film festival/
映画館 [えいがかん] /(n) movie theatre (theater)/cinema/(P)/
映画狂 [えいがきょう] /(n) movie fan/cinema enthusiast/
映画祭 [えいがさい] /(n) film festival/
映画作家 [えいがさっか] /(n) script-writer/auteur/
映画社 [えいがしゃ] /(n) movie company/
映画俳優 [えいがはいゆう] /(n) movie (film, screen) actor or actress/
映画評 [えいがひょう] /(n) film critique/
映画評論家 [えいがひょうろんか] /(n) film (movie) critic/
映写 [えいしゃ] /(n,vs,adj-no) projection/
映写機 [えいしゃき] /(n) movie projector/film projector/
映写幕 [えいしゃまく] /(n) a screen/
映射 [えいしゃ] /(n,vs) (obsc) reflecting/shining/
映像 [えいぞう] /(n,adj-no) reflection/image/picture (e.g. on a television)/shot/clip/(P)/
映像データ [えいぞうデータ] /(n) (comp) image data/
映像圧縮 [えいぞうあっしゅく] /(n) (comp) image compression/
映像作家 [えいぞうさっか] /(n) filmmaker/
映像信号 [えいぞうしんごう] /(n) (comp) (computer) video signal/
映像品質 [えいぞうひんしつ] /(n) (comp) image quality/picture quality/
映像文化 [えいぞうぶんか] /(n) visual culture/culture of visual images/(screen) image culture/
映日果 [いちじく] /(n) fig/
映日果 [いちじゅく] /(n) fig/
映日果 [いちぢく] /(ik) (n) fig/
映配 [えいはい] /(n) film distributing company/
映倫 [えいりん] /(n) Motion Picture Code of Ethics Committee/
曳々 [えいえい] /(n) heaving/pulling/
曳き山 [ひきやま] /(n) festival float/
曳き船 [ひきふね] /(n,vs) tugboat/towing/towage/
曳き船 [ひきぶね] /(n,vs) tugboat/towing/towage/
曳き網 [ひきあみ] /(n) dragnet/seine/
曳く [ひく] /(v5k,vi,vt) (1) to pull/(2) to draw (attention, etc.)/to attract (interest, etc.)/(3) to draw back/(4) to draw (a card)/(5) to draw (plan, line, etc.)/(6) to catch (cold)/(7) to play (string instr.)/(8) to look up (e.g. dictionary)/to consult/(v5k,vt) (9) to haul/to pull (vehicles)/(10) to subtract/(11) to ebb/to fade/(12) to descend (from)/to inherit (a characteristic)/(13) to quote/to raise (as evidence)/(14) to lay (a cable)/to draw (a cable)/
曳曳 [えいえい] /(n) heaving/pulling/
曳火弾 [えいかだん] /(n) tracer bullet/
曳光弾 [えいこうだん] /(n) tracer bullet/star shell/flare bomb/
曳航 [えいこう] /(n,vs) towing (a ship)/
曳山 [ひきやま] /(n) festival float/
曳子 [ひきこ] /(n) jinrikisha puller/
曳船 [えいせん] /(n,vs) tugboat/towing/towage/
曳船 [ひきふね] /(n,vs) tugboat/towing/towage/
曳船 [ひきぶね] /(n,vs) tugboat/towing/towage/
曳馬 [ひきうま] /(oK) (n) draft horse/draught horse/
曳網 [ひきあみ] /(io) (n) dragnet/seine/
栄 [はえ] /(n) glory/prosperity/
栄え [さかえ] /(n) glory/prosperity/
栄え [はえ] /(n) glory/prosperity/(P)/
栄えある [はえある] /(adj-f) splendid/glorious/
栄えた時代 [さかえたじだい] /(n) prosperous age/
栄えない色 [はえないいろ] /(n) dull color/dull colour/
栄える [さかえる] /(v1,vi) to prosper/to flourish/(P)/
栄える [はえる] /(v1,vi) to shine/to look attractive/to look pretty/
栄え有る [はえある] /(adj-f) splendid/glorious/
栄位 [えいい] /(n) exalted position/
栄華 [えいが] /(n) glory/splendour/splendor/majesty/luxury/
栄華の極み [えいがのきわみ] /(n) apex of prosperity/
栄冠 [えいかん] /(n) laurels/garland/(P)/
栄枯 [えいこ] /(n) vicissitudes/ups and downs/(P)/
栄枯盛衰 [えいこせいすい] /(n) ups and downs of life/vicissitudes of fortune/
栄光 [えいこう] /(n) glory/(P)/
栄光蘭 [えいこうらん] /(n) Spanish dagger/palm lily/Yucca Gloriosa/
栄爵 [えいしゃく] /(n) peerage/
栄職 [えいしょく] /(n) honorable post/honourable post/
栄辱 [えいじょく] /(n) honor and-or shame (honour)/
栄進 [えいしん] /(n,vs) promotion/advancement/
栄達 [えいたつ] /(n,vs) fame/distinction/rise/advancement/
栄典 [えいてん] /(n) honours/honors/ceremony/exercises/
栄転 [えいてん] /(n,vs) promotion/
栄誉 [えいよ] /(n) honour/honor/(P)/
栄誉礼 [えいよれい] /(n) salute of guards of honor (honour)/
栄耀 [えいよう] /(n) luxury/splendour/splendor/prosperity/
栄耀栄華 [えいようえいが] /(n) wealth, prosperity, and arrogant splendor (splendour)/(living sumptuously) intoxicated by wealth and power/luxury/
栄耀栄華 [えようえいが] /(n) wealth, prosperity, and arrogant splendor (splendour)/(living sumptuously) intoxicated by wealth and power/luxury/
栄養 [えいよう] /(n,adj-no) nutrition/nourishment/(P)/
栄養ドリンク [えいようドリンク] /(n) energy drink/nutritional supplement drink/vitamin drink/
栄養塩類 [えいようえんるい] /(n) nutritive salts/
栄養価 [えいようか] /(n) nutritional value/food value/
栄養過多 [えいようかた] /(n) overnutrition/excessive nutritional intake/
栄養学 [えいようがく] /(n) dietetics/nutritional science/(P)/
栄養学者 [えいようがくしゃ] /(n) dietitian/
栄養器官 [えいようきかん] /(n) vegetative organ/
栄養源 [えいようげん] /(n) source of nutrients/
栄養剤 [えいようざい] /(n) nutrient/
栄養士 [えいようし] /(n) nutritionist/(P)/
栄養失調 [えいようしっちょう] /(n,adj-no) malnutrition/(P)/
栄養生殖 [えいようせいしょく] /(n) vegetative reproduction/
栄養素 [えいようそ] /(n) nutrient/(P)/
栄養短 [えいようたん] /(n) Junior College of Nutrition/
栄養不足 [えいようぶそく] /(n,adj-no) malnutrition/
栄養不良 [えいようふりょう] /(n,adj-no) malnutrition/malnourishment/
栄養物 [えいようぶつ] /(n) nutritive material/
栄養分 [えいようぶん] /(n) nutriment/nutritious substance/nourishment/
栄養補助食品 [えいようほじょしょくひん] /(n) nutritional supplement/dietary supplement/
栄養満点 [えいようまんてん] /(n,adj-no) highly nourishing (nutritious)/earning top marks nutrition-wise/
栄螺 [さざい] /(n) (uk) turban shell (any mollusc of the family Turbinidae, esp. the horned turban, Turbo cornutus)/
栄螺 [さざえ] /(n) (uk) turban shell (any mollusc of the family Turbinidae, esp. the horned turban, Turbo cornutus)/
栄落 [えいらく] /(n) flourishing and declining/
永々 [えいえい] /(adv) forever/
永々 [ながなが] /(adv-to,adv) long/drawn-out/very long/
永い [ながい] /(adj-i) (1) long (time)/lengthy/
永い事 [ながいこと] /(exp,adv) for a long time/
永の [ながの] /(adj-pn) long/eternal/
永のお暇になる [ながのおいとまになる] /(exp,v5r) to be dismissed/
永らえる [ながらえる] /(v1,vi) to have a long life/to live a long time/
永らく [ながらく] /(adv) long/(for a) long time/
永永 [えいえい] /(adv) forever/
永永 [ながなが] /(adv-to,adv) long/drawn-out/very long/
永延 [えいえん] /(n) Eien era (987.4.5-989.8.8)/
永遠 [えいえん] /(adj-no,adj-na,n) eternity/perpetuity/immortality/permanence/(P)/
永遠の生命 [えいえんのせいめい] /(exp) eternal life/
永遠の眠り [えいえいんのねむり] /(n) eternal slumber/death/
永遠回帰 [えいえんかいき] /(n) eternal return/eternal recurrence/
永観 [えいかん] /(n) Eikan era (983.4.15-985.4.27)/
永久 [えいきゅう] /(adj-na,n,adj-no) (1) eternity/perpetuity/immortality/(2) Eikyuu era (1113.7.13-1118.4.3)/(P)/
永久 [とこしえ] /(adj-na,n,adj-no) (1) eternity/perpetuity/immortality/
永久 [とわ] /(adj-na,n,adj-no) (1) eternity/perpetuity/immortality/
永久に [えいきゅうに] /(adv) everlastingly/unlimited/
永久に [とこしえに] /(adv) everlastingly/unlimited/
永久革命論 [えいきゅうかくめいろん] /(n) permanent revolution/
永久機関 [えいきゅうきかん] /(n) perpetual motion/
永久記憶装置 [えいきゅうきおくそうち] /(n) (comp) permanent storage/
永久欠番 [えいきゅうけつばん] /(n) retired (uniform) number/
永久雇用 [えいきゅうこよう] /(n) permanent employment/
永久公債 [えいきゅうこうさい] /(n) perpetual bond/
永久硬水 [えいきゅうこうすい] /(n) permanent hard water/
永久歯 [えいきゅうし] /(n) permanent tooth/
永久磁場 [えいきゅうじば] /(n) permanent magnetic field/
永久磁石 [えいきゅうじしゃく] /(n) permanent magnet/
永久磁石発電機 [えいきゅうじしゃくはつでんき] /(n) permanent magnet generator/
永久性 [えいきゅうせい] /(n) permanency/
永久選挙人名簿 [えいきゅうせんきょにんめいぼ] /(n) permanent voter registration list/
永久組織 [えいきゅうそしき] /(n) permanent tissue/
永久脱毛 [えいきゅうだつもう] /(n,vs) removing hair permanently/
永久電流 [えいきゅうでんりゅう] /(n) permanent current/
永久凍土 [えいきゅうとうど] /(n) permafrost/
永久不変 [えいきゅうふへん] /(n,adj-na,adj-no) permanence/forever unchanging/
永久変数 [えんきゅうへんすう] /(n) (comp) permanent variable/
永享 [えいきょう] /(n) Eikyou era (1429.9.5-1441.2.17)/
永訣 [えいけつ] /(n,vs) last farewell/
永劫 [えいごう] /(n) eternity/perpetuity/
永劫回帰 [えいごうかいき] /(n) eternal recurrence/eternal return/Nietzsche's "ewige Wiederkunft"/
永子作 [えいこさく] /(n) perpetual land lease/perpetual tenant farmer/
永子作権 [えいこさくけん] /(n) perpetual land lease/
永字八法 [えいじはっぽう] /(n) the eight basic brush strokes in writing Chinese characters/
永治 [えいじ] /(n) Eiji era (1141.7.10-1142.4.28)/
永寿 [えいじゅ] /(n) long life/longevity/
永住 [えいじゅう] /(n,vs) permanent residence/(P)/
永住権 [えいじゅうけん] /(n) permanent residence/denizenship/
永住者 [えいじゅうしゃ] /(n) permanent resident/denizen/
永小作 [えいこさく] /(n) perpetual land lease/perpetual tenant farmer/
永小作権 [えいこさくけん] /(n) the right to tenant farm in perpetuity/
永承 [えいしょう] /(n) Eishou era (1046.4.14-1053.1.11)/
永仁 [えいにん] /(n) Einin era (1293.8.5-1299.4.25)/
永世 [えいせい] /(n) eternity/perpetuity/immortality/permanence/
永世中立 [えいせいちゅうりつ] /(n) permanent neutrality/
永世中立国 [えいせいちゅうりつこく] /(n) permanent neutral country/
永正 [えいしょう] /(n) Eishou era (1504.2.30-1521.8.23)/
永生 [えいせい] /(n) eternal life/immortality/
永逝 [えいせい] /(n,vs) death/dying/
永続 [えいぞく] /(n,vs,adj-no) permanence/continuation/(P)/
永続き [ながつづき] /(n) (1) permanence/continuation/long-lasting/(vs) (2) to last a long time/to continue/to keep at something for a long time/
永続性 [えいぞくせい] /(n) persistent/permanence/
永続的 [えいぞくてき] /(adj-na) permanent/perpetual/persistent/lasting/
永存 [えいそん] /(n,vs) durability/permanence/perpetuity/
永存 [えいぞん] /(n,vs) durability/permanence/perpetuity/
永代 [えいたい] /(n) permanence/eternity/(P)/
永代供養 [えいたいくよう] /(n) services performed in perpetuity by a Buddhist temple for the repose of a departed soul/
永代借地 [えいたいしゃくち] /(n) perpetual lease/
永谷園 [ながたにえん] /(n) Nagatanien (name of a tea shop)/
永長 [えいちょう] /(n) Eichou era (1096.12.17-1097.11.21)/
永田町 [ながたちょう] /(n) Nagata-chou (Japan's political center; equiv. of Downing Street)/
永徳 [えいとく] /(n) Eitoku era (of the Northern Court) (1381.2.24-1384.2.27)/
永日 [えいじつ] /(n) long spring day/
永年 [えいねん] /(n-adv,n-t) long time/many years/
永年 [ながねん] /(n-adv,n-t) long time/many years/
永年間 [ながねんかん] /(n) long period of time/
永別 [えいべつ] /(n,vs) last farewell/
永保 [えいほ] /(n) (obsc) Eihou or Eiho era (1081.2.10-1084.2.7)/
永保 [えいほう] /(n) (obsc) Eihou or Eiho era (1081.2.10-1084.2.7)/
永万 [えいまん] /(n) Eiman era (1165.6.5-1166.8.27)/
永眠 [えいみん] /(n,vs) eternal sleep/death/
永良部鰻 [えらぶうなぎ] /(n) (uk) Erabu black-banded sea krait (Laticauda semifasciata)/
永良部海蛇 [えらぶうみへび] /(n) (uk) Erabu black-banded sea krait (Laticauda semifasciata)/
永良部大蝙蝠 [えらぶおおこうもり] /(n) (uk) northern Ryukyu fruit bat (Pteropus dasymallus dasymallus)/
永暦 [えいりゃく] /(n) Eiryaku era (1160.1.10-1161.9.4)/
永牢 [えいろう] /(n) life imprisonment/
永禄 [えいろく] /(n) Eiroku era (1558.2.28-1570.4.23)/
永和 [えいわ] /(n) Eiwa era (of the Northern Court) (1375.2.27-1379.3.22)/
永祚 [えいそ] /(n) Eiso era (989.8.8-990.11.7)/
泳がせる [およがせる] /(v1) to let someone swim/to let someone go free/
泳ぎ [およぎ] /(n) swimming/(P)/
泳ぎ回る [およぎまわる] /(v5r) to swim around/
泳ぎ手 [およぎて] /(n) swimmer/
泳ぎ出す [およぎだす] /(v5s) to strike out/to start swimming/
泳ぎ方 [およぎかた] /(n) way of swimming/
泳ぎ様 [およぎよう] /(exp) way of swimming/
泳ぐ [およぐ] /(v5g,vi) to swim/(P)/
泳者 [えいしゃ] /(n) a swimmer/
泳動 [えいどう] /(n,adj-f) migration/movement/phoresis/
泳法 [えいほう] /(n) swimming style/
洩らす [もらす] /(v5s,vt) to let leak/to reveal/
洩れ [もれ] /(n,n-suf) (1) omission/leakage/oversight/(2) (sl) I/me/
洩れる [もれる] /(v1,vi) to leak out/to escape/to come through/to shine through/to filter out/to be omitted/
盈ちる [みちる] /(oK) (v1,vi) (1) to be full/(2) to wax (e.g. moon)/(3) to rise (e.g. tide)/(4) to mature/to expire/
盈虚 [えいきょ] /(n,vs) (1) waxing and waning of the moon/phase of the moon/(2) rising and falling (of fortune)/
盈虧 [えいき] /(oK) (n,vs) waxing and waning/phases of moon/
穎 [えい] /(n) awn/glume/
穎果 [えいか] /(n) caryopsis/
穎割 [かいわり] /(n) radish sprout/
穎割り [かいわり] /(n) radish sprout/
穎割れ大根 [かいわれだいこん] /(n) (white) radish sprouts/
穎悟 [えいご] /(adj-na,n) intelligent/shrewd/
穎才 [えいさい] /(n) unusual talent/gifted/
穎脱 [えいだつ] /(n,vs) gaining recognition/rising above one's fellows/
英 [えい] /(n,n-pref,n-suf) (abbr) Britain/British/
英々語 [えいえいご] /(n) British English (lit: English English, i.e. English as spoken in the UK)/
英々辞書 [えいえいじしょ] /(n) English-English dictionary/
英々辞典 [えいえいじてん] /(n) English-English dictionary/
英トン [えいトン] /(n) English ton/long ton/
英英語 [えいえいご] /(n) British English (lit: English English, i.e. English as spoken in the UK)/
英英辞書 [えいえいじしょ] /(n) English-English dictionary/
英英辞典 [えいえいじてん] /(n) English-English dictionary/
英王 [えいおう] /(n) King of England/
英音 [えいおん] /(n) English pronunciation/
英貨 [えいか] /(n,adj-no) British currency/British goods/
英会話 [えいかいわ] /(n) (1) English conversation/(2) (abbr) school for English conversation/
英会話学校 [えいかいわがっこう] /(n) English conversation school/
英気 [えいき] /(n) (1) great wisdom/excellent disposition/(2) strength (to face something)/willpower/energy/(P)/
英気を養う [えいきをやしなう] /(exp,v5u) to restore one's energy/to restore one's spirits/to recharge one's batteries/
英議会 [えいぎかい] /(n) (abbr) British parliament/
英吉利 [イギリス] /(ateji) (n,adj-no) (uk) Great Britain (por: Inglez)/United Kingdom/
英京 [えいきょう] /(n) London (British capital)/
英傑 [えいけつ] /(n) great man/hero/master mind/
英検 [えいけん] /(n) (abbr) English proficiency examination/English proficiency test/
英語 [えいご] /(n,adj-no) English (language)/(P)/
英語を教える [えいごをおしえる] /(exp,v1) to teach English/
英語モード [えいごモード] /(n) (comp) English mode/
英語学科 [えいごがっか] /(n) English department (e.g. in a university)/
英語学習 [えいごがくしゅう] /(n) learning English/
英語基礎能力試験 [えいごきそのうりょくしけん] /(n) English Language Proficiency Test/TOEFL/
英語教育 [えいごきょういく] /(n) teaching of English/English teaching/
英語劇 [えいごげき] /(n) theatrical performance given in English/
英語圏 [えいごけん] /(n) English-speaking world/
英語検定試験 [えいごけんていしけん] /(n) English proficiency examination/English proficiency test/
英語字幕 [えいごじまく] /(n) English subtitles/
英語塾 [えいごじゅく] /(n) private school for the study of English/
英語版 [えいごばん] /(n) (1) English version/(2) non-Japanese version/
英語訳 [えいごやく] /(n) English version/English translation/
英語話者 [えいごわしゃ] /(n) English speaker/
英国 [えいこく] /(n) Great Britain/the United Kingdom/
英国海軍 [えいこくかいぐん] /(n) Royal Navy (UK)/
英国規格協会 [えいこくきかくきょうかい] /(n) (comp) British Standards Institute/BSI/
英国議会 [えいこくぎかい] /(n) British parliament/
英国航空 [えいこくこうくう] /(n) British Airways/
英国国教会 [えいこくこっきょうかい] /(n) Anglican Church/Church of England/
英国人 [えいこくじん] /(n) Briton/Englishman/(the) English/
英国石油 [えいこくせきゆ] /(n) British Petroleum/BP/
英国発音 [えいこくはつおん] /(n) British pronunciation/
英国民 [えいこくみん] /(n) British person/British citizen/Briton/
英魂 [えいこん] /(n) departed spirit/
英才 [えいさい] /(n) unusual talent/gifted/
英才教育 [えいさいきょういく] /(n) special education for gifted children/
英作 [えいさく] /(n) (abbr) English composition/
英作文 [えいさくぶん] /(n) English composition/
英姿 [えいし] /(n) noble figure/
英姿颯爽 [えいしさっそう] /(adj-t,adv-to) (arch) cutting a fine (dashing, gallant, noble) figure/
英詩 [えいし] /(n) English poetry/
英資 [えいし] /(n) brilliant qualities/fine character/British capital (money)/
英字 [えいじ] /(n) English letter/alphabetic character/(P)/
英字コード [えいじコード] /(n) (comp) alphabetic code/
英字コード化集合 [えいじコードかしゅうごう] /(n) (comp) alphabetic coded set/
英字集合 [えいじしゅうごう] /(n) (comp) alphabetic character set/
英字新聞 [えいじしんぶん] /(n) English-language newspaper/
英主 [えいしゅ] /(n) great ruler/
英俊 [えいしゅん] /(n) a genius/prodigy/
英書 [えいしょ] /(n) English literature (book)/
英小文字 [えいこもじ] /(n) lower-case letters/
英人 [えいじん] /(n) Briton/Englishman/
英数 [えいすう] /(n) (comp) ASCII coding (lit: English coding)/
英数国 [えいすうこく] /(n) English, Mathematics and Japanese/
英数字 [えいすうじ] /(n) alphanumeric character/
英数字コード [えいすうじコード] /(n) (comp) alphanumeric code/
英数字コード化集合 [えいすうじコードかしゅうごう] /(n) (comp) alphanumeric coded set/
英数字データ [えいすうじデータ] /(n) (comp) alphanumeric data/
英数字集合 [えいすうじしゅうごう] /(n) (comp) alphanumeric character set/
英数文字 [えいすうもじ] /(n,adj-no) (comp) alphanumeric/alphameric/
英大文字 [えいおおもじ] /(n) (comp) upper-case letters/upper-case alphabetics/
英単語 [えいたんご] /(n) English word/
英断 [えいだん] /(n) resolution/decisive judgement/decisive judgment/
英知 [えいち] /(n) wisdom/intelligence/intellect/(P)/
英桃 [ゆすら] /(n) (uk) Nanking cherry (Prunus tomentosa)/downy cherry/
英桃 [ゆすらうめ] /(n) (uk) Nanking cherry (Prunus tomentosa)/downy cherry/
英独 [えいどく] /(n) Britain and Germany/
英噸 [えいとん] /(n) ton (long, British)/
英屯 [えいとん] /(n) ton (long, British)/
英日 [えいにち] /(n) English-Japanese (gen. for translation and dictionaries)/
英武 [えいぶ] /(adj-na,n) distinguished (surpassing) valor (valour)/
英仏 [えいふつ] /(n,adj-no) Britain and France/Anglo-French/
英仏海峡 [えいふつかいきょう] /(n) the English Channel/
英仏海峡トンネル [えいふつかいきょうトンネル] /(n) Channel Tunnel/Chunnel/
英文 [えいぶん] /(n) (1) sentence in English/article in English/English text/(2) (abbr) English literature (study of)/(P)/
英文科 [えいぶんか] /(n) department of English literature/
英文解釈 [えいぶんかいしゃく] /(n) interpreting an English text/
英文学 [えいぶんがく] /(n) study of English literature/(P)/
英文字 [えいもじ] /(n) (comp) letter/
英文法 [えいぶんぽう] /(n) English grammar/
英文和訳 [えいぶんわやく] /(n) English-Japanese translation/
英米 [えいべい] /(n) Britain-America/
英米人 [えいべいじん] /(n) Englishmen and Americans/
英米法 [えいべいほう] /(n) Anglo-American law/
英法 [えいほう] /(n) English law or method/
英名 [えいめい] /(n) (1) fame/glory/reputation/(2) English name of plants and animals/
英明 [えいめい] /(adj-na,n) intelligent/wise/bright/brilliant/clear-sighted/(P)/
英緬戦争 [えいめんせんそう] /(n) Anglo-Burmese Wars (1823-1826, 1852-1853, 1885-1887)/
英訳 [えいやく] /(n,vs) English translation/(P)/
英雄 [えいゆう] /(n) hero/great man/(P)/
英雄好色 [えいゆうこうしょく] /(exp) All great men like women/Great men enjoy sensual pleasure/
英雄豪傑 [えいゆうごうけつ] /(n) hero/warrior of matchless valor/heroic character/
英雄主義 [えいゆうしゅぎ] /(n) heroism/
英雄色を好む [えいゆういろをこのむ] /(exp) (id) Great men have great fondness for the sensual pleasures/
英雄崇拝 [えいゆうすうはい] /(n) hero worship/
英雄的 [えいゆうてき] /(adj-na) heroic/
英雄伝説 [えいゆうでんせつ] /(n) (1) heroic legendary tale/(2) Legend of Heroes (video game series)/
英雄譚 [えいゆうたん] /(n) epic/heroic tale/
英蘭 [えいらん] /(n) (1) England/(2) Great Britain and the Netherlands/
英蘭戦争 [えいらんせんそう] /(n) Anglo-Dutch Wars (1652-1654, 1665-1667, 1672-1674)/
英領 [えいりょう] /(n) British territory (possession)/
英領北アメリカ法 [えいりょうきたアメリカほう] /(n) British North America Act (now known as the Constitution Act 1867)/
英霊 [えいれい] /(n) spirits of war dead/great men/
英連邦 [えいれんぽう] /(n) Commonwealth of Nations (formerly British Commonwealth)/
英連邦王国 [えいれんぽうおうこく] /(n) Commonwealth realm/
英和 [えいわ] /(n) English-Japanese (e.g. dictionary)/(P)/
英和辞典 [えいわじてん] /(n) English-Japanese dictionary/
英邁 [えいまい] /(adj-na,n) wise and great/
衛士 [えいし] /(n) (1) soldiers of the ritsuryo system that guarded gates of the imperial palace, the court, etc./(2) term used in error to refer to young men that were made to do forced labour in the ritsuryo system/(3) guards originally stationed at the grand shrine at Ise and shrine at Atsuta, Nagoya to protect the officials there/
衛士 [えじ] /(n) (1) soldiers of the ritsuryo system that guarded gates of the imperial palace, the court, etc./(2) term used in error to refer to young men that were made to do forced labour in the ritsuryo system/(3) guards originally stationed at the grand shrine at Ise and shrine at Atsuta, Nagoya to protect the officials there/
衛視 [えいし] /(n) guards at parliament/
衛所 [えいしょ] /(n) place guarded by soldiers/torpedo room/
衛星 [えいせい] /(n,adj-no) satellite/(P)/
衛星インターネット接続 [えいせいインターネットせつぞく] /(n) (comp) satellite Internet connection/
衛星テレビ放送 [えいせいテレビほうそう] /(n) satellite television/
衛星ラジオ [えいせいラジオ] /(n) satellite radio/
衛星リンク [えいせいリンク] /(n) (comp) satellite link/
衛星携帯電話 [えいせいけいたいでんわ] /(n) satellite-based mobile phone/
衛星系 [えいせいけい] /(n) (comp) satellite link/
衛星航法 [えいせいこうほう] /(n) global positioning/
衛星国 [えいせいこく] /(n) satellite country/
衛星写真 [えいせいしゃしん] /(n) satellite photograph/
衛星船 [えいせいせん] /(n) manned satellite/manned orbiter/
衛星地球局 [えいせいちきゅうきょく] /(n) (satellite) earth station/
衛星中継 [えいせいちゅうけい] /(n) satellite transmission/
衛星通信 [えいせいつうしん] /(n) satellite communication/
衛星電話 [えいせいでんわ] /(n) satellite phone/
衛星都市 [えいせいとし] /(n) satellite city/satellite town/
衛星放送 [えいせいほうそう] /(n) satellite broadcasting/
衛生 [えいせい] /(n,adj-no) health/hygiene/sanitation/medical/(P)/
衛生学 [えいせいがく] /(n) hygienics/
衛生管理 [えいせいかんり] /(n) hygiene management/
衛生管理者 [えいせいかんりしゃ] /(n) health supervisor/
衛生基準 [えいせいきじゅん] /(n) health standards/hygiene standards/
衛生検査技師 [えいせいけんさぎし] /(n) medical technologist/
衛生工学 [えいせいこうがく] /(n) sanitary engineering/
衛生上 [えいせいじょう] /(n) hygienic/sanitary/
衛生状態 [えいせいじょうたい] /(n) sanitary conditions/
衛生設備 [えいせいせつび] /(n) sanitary facilities/
衛生隊 [えいせいたい] /(n) medical corps/
衛生的 [えいせいてき] /(adj-na) hygienic/sanitary/(P)/
衛生兵 [えいせいへい] /(n) (medical) orderly/
衛兵 [えいへい] /(n) palace guard/sentinel/garrison/
衛戊 [えいじゅ] /(iK) (n) garrison/
衛戍 [えいじゅ] /(n) garrison/
衛戍地 [えいじゅじ] /(n) (arch) (obsc) garrison/security sector/
衛戍地 [えいじゅち] /(n) (arch) (obsc) garrison/security sector/
衛戌 [えいじゅ] /(iK) (n) garrison/
詠う [うたう] /(v5u,vt) (1) to sing/(2) to sing (one's praises in a poem, etc.)/to compose a poem/to recite a poem/
詠じる [えいじる] /(v1,vt) to compose (e.g. poem)/to recite/to sing/
詠ずる [えいずる] /(vz,vt) to compose (e.g. poem)/to recite/to sing/
詠み込む [よみこむ] /(v5m) to include in a poem (season word, place name, etc.)/
詠み手 [よみて] /(n) writer (composer) (of a poem)/
詠み人 [よみびと] /(n) (poetic) author/
詠み人知らず [よみびとしらず] /(n) (1) author unknown/anonymous/(2) unknown waka composer/
詠む [よむ] /(v5m,vt) (1) to compose (e.g. a Japanese poem)/to write/(2) to recite (e.g. a poem)/to chant/(P)/
詠歌 [えいか] /(n) poem/song/(Buddh.) pilgrim's song/
詠吟 [えいぎん] /(n,vs) reciting poetry/
詠史 [えいし] /(n) historical poem or epic/
詠手 [よみて] /(n) writer (composer) (of a poem)/
詠唱 [えいしょう] /(n,vs) aria/
詠進 [えいしん] /(n,vs) presentation of poem (to court)/
詠人知らず [よみびとしらず] /(n) (1) author unknown/anonymous/(2) unknown waka composer/
詠草 [えいそう] /(n) draft poem/draught poem/
詠草 [よみくさ] /(n) draft poem/draught poem/
詠嘆 [えいたん] /(n,vs) exclamation/admiration/
詠歎 [えいたん] /(n,vs) exclamation/admiration/
詠誦 [えいしょう] /(n,vs) reciting poetry/
鋭 [えい] /(n,adj-na) (1) sharpness/(n) (2) sharp weapon/blade/(3) fine soldier/
鋭い [するどい] /(adj-i) pointed/sharp/(P)/
鋭いナイフ [するどいナイフ] /(n) sharp knife/
鋭い批判 [するどいひはん] /(n) sharp criticism/
鋭を挫く [えいをくじく] /(exp,v5k) to break the brunt/
鋭意 [えいい] /(n-adv,n-t) eagerly/earnestly/diligently/
鋭角 [えいかく] /(n,adj-no) acute angle/(P)/
鋭角三角形 [えいかくさんかくけい] /(n) acute triangle/
鋭感 [えいかん] /(n) sensitiveness/
鋭気 [えいき] /(n) courage/ardour/high spirits/
鋭形 [えいけい] /(n,adj-no) acute (of the shape of a leaf tip)/
鋭錐石 [えいすいせき] /(n) anatase (TiO2)/octahedrite/
鋭先形 [えいせんけい] /(adj-no) acuminate (i.e. sharp shape of leaf)/apiculate/
鋭尖形 [えいせんけい] /(n,adj-no) acuminate (of the shape of a leaf tip)/
鋭頭 [えいとう] /(n,adj-no) acute (of the shape of a leaf)/acuminate/pointed/
鋭敏 [えいびん] /(adj-na,n) sharpness/keenness/sensitiveness/mental acumen/(P)/
鋭敏性 [えいびんせい] /(n) sensitivity/
鋭兵 [えいへい] /(n) picked troops/
鋭鋒 [えいほう] /(n) brunt of attack or argument/
鋭利 [えいり] /(adj-na,n) sharpness/(P)/
液 [えき] /(n,n-suf) liquid/fluid/(P)/
液だめ [えきだめ] /(n) reservoir (of liquid)/
液を絞る [えきをしぼる] /(exp,v5r) to squeeze the juice (from)/
液圧プレス [えきあつプレス] /(n) hydraulic press/
液安 [えきあん] /(n) liquid ammonia/
液化 [えきか] /(n,vs) liquefaction/(P)/
液化ガス [えきかガス] /(n) liquefied gas/liquid gas/
液化天然ガス [えきかてんねんガス] /(n) liquefied natural gas/LNG/
液果 [えきか] /(n) moist, fleshy fruit (i.e. tomato, grape)/berry/
液剤 [えきざい] /(n) liquid medicine/
液汁 [えきじゅう] /(n) juice/sap/
液晶 [えきしょう] /(n) liquid crystal/(P)/
液晶テレビ [えきしょうテレビ] /(n) liquid crystal television/
液晶ディスプレイ [えきしょうディスプレイ] /(n) (comp) liquid-crystal display/LCD/
液晶パネル [えきしょうパネル] /(n) (comp) liquid crystal panel/
液晶ビューカム [えきしょうビューカム] /(n) liquid crystal viewcam/
液晶プロジェクタ [えきしょうプロジェクタ] /(n) (comp) liquid crystal projector/
液晶盤 [えきしょうばん] /(n) liquid crystal (display) panel/
液晶表示装置 [えきしょうひょうじそうち] /(n) liquid crystal display/LCD/
液状 [えきじょう] /(n,adj-no) liquid state/
液状化 [えきじょうか] /(n,vs) liquefaction/liquefy/
液状化現象 [えきじょうかげんしょう] /(n) liquefaction/
液性 [えきせい] /(adj-na,adj-no) pH/humoral/
液性限界 [えきせいげんかい] /(n) liquid limit/
液相 [えきそう] /(n) (chem) liquid phase/
液相エピタキシー [えきそうエピタキシー] /(n) liquid-phase epitaxy/
液相エピタキシャル成長 [えきそうエピタキシャルせいちょう] /(n) liquid phase epitaxial growth/liquid phase epitaxy/LPE/
液相成長 [えきそうせいちょう] /(n) liquid (phase) deposition/liquid (phase) epitaxy/
液体 [えきたい] /(n) liquid/fluid/(P)/
液体につける [えきたいにつける] /(exp,v1) to dunk (e.g. food in a drink)/
液体に浸ける [えきたいにつける] /(exp,v1) to dunk (e.g. food in a drink)/
液体に浸す [えきたいにひたす] /(exp,v5s) to dunk (e.g. food in a drink)/
液体に漬ける [えきたいにつける] /(exp,v1) to dunk (e.g. food in a drink)/
液体アンモニア [えきたいアンモニア] /(n) liquid ammonia/
液体シール [えきたいシール] /(n) liquid seal/
液体ジェット加工 [えきたいジェットかこう] /(n) liquid jet processing/
液体ヘリウム [えきたいヘリウム] /(n) liquid helium/
液体金属 [えきたいきんぞく] /(n) liquid metal/
液体空気 [えきたいくうき] /(n) liquid air/
液体酸素 [えきたいさんそ] /(n) liquid oxygen/
液体窒素 [えきたいちっそ] /(n) liquid nitrogen/
液体燃料 [えきたいねんりょう] /(n) liquid fuel/
液肥 [えきひ] /(n) liquid fertilizer/liquid fertiliser/
液封 [えきふう] /(n) liquid seal/liquid ring/
液泡 [えきほう] /(iK) (n,adj-no) vacuole/sap cavity/
液胞 [えきほう] /(n,adj-no) vacuole/sap cavity/
液面 [えきめん] /(n) liquid surface/
液溜 [えきだめ] /(n) reservoir (of liquid)/
液溜め [えきだめ] /(n) reservoir (of liquid)/
液量 [えきりょう] /(n) liquid measure/
液量計 [えきりょうけい] /(n) liquid measure/
液冷式 [えきれいしき] /(n,adj-no) liquid cooled/liquid cooling/
疫学 [えきがく] /(n,adj-no) epidemiology/the study of epidemics/
疫学者 [えきがくしゃ] /(n) epidemiologist/
疫鬼 [えきき] /(n) gods or demons that cause epidemics/
疫神 [えきじん] /(n) god who spreads infectious diseases/god of pestilence/
疫病 [えきびょう] /(n,adj-no) infectious disease/plague/epidemic/(P)/
疫病 [やくびょう] /(n,adj-no) infectious disease/plague/epidemic/
疫病神 [えきびょうがみ] /(n) jinx (lit: god of pestilence)/hoodoo/pest/odious person/plague/angel of death/
疫病神 [やくびょうがみ] /(n) jinx (lit: god of pestilence)/hoodoo/pest/odious person/plague/angel of death/
疫痢 [えきり] /(n) children's dysentery/
疫癘 [えきれい] /(n) epidemic/plague/pestilence/
益 [えき] /(n) (1) benefit/use/good/advantage/gain/(2) profit/gains/(P)/
益 [ますます] /(adv) (uk) increasingly/more and more/decreasingly/less and less/
益 [やく] /(n) (1) benefit/use/good/advantage/gain/(2) profit/gains/
益 [よう] /(n) (1) benefit/use/good/advantage/gain/(2) profit/gains/
益々 [ますます] /(adv) (uk) increasingly/more and more/decreasingly/less and less/(P)/
益する [えきする] /(vs-s,vt) to benefit (someone)/to be useful/
益を与える人 [えきをあたえるひと] /(exp) benefactor/
益益 [ますます] /(adv) (uk) increasingly/more and more/decreasingly/less and less/
益金 [えききん] /(n) profit/
益荒男 [ますらお] /(n,adj-na) hero/manly person/warrior/
益荒猛男 [ますらたけお] /(n) brave and stalwart man/
益者三友 [えきしゃさんゆう] /(exp) There are three types of friends worth having--honest, sincere, and well-informed ones. (Confucius)/
益人 [ますひと] /(n) (arch) people/subjects/populace/
益体もない [やくたいもない] /(exp) useless/worthless/absurd/baloney/
益智 [やくち] /(n) bitter seeded cardamon/
益虫 [えきちゅう] /(n) useful insect/
益鳥 [えきちょう] /(n) beneficial bird/
益友 [えきゆう] /(n) good friend/useful friend/
駅 [えき] /(n) station/(P)/
駅に止まる [えきにとまる] /(exp,v5r) to stop at a (train) station/
駅に着く [えきにつく] /(exp,v5k) to arrive at the station/
駅ビル [えきビル] /(n) station building/
駅員 [えきいん] /(n) station attendant/(P)/
駅使 [うまやづかい] /(n) (arch) official during the ritsuryo period who was allowed to use the state-provided stables and horses/
駅使 [えきし] /(n) (arch) official during the ritsuryo period who was allowed to use the state-provided stables and horses/
駅使 [はゆまづかい] /(n) (arch) official during the ritsuryo period who was allowed to use the state-provided stables and horses/
駅止め [えきどめ] /(n) delivery of freight to a station/
駅舎 [えきしゃ] /(n) station building/
駅手 [えきしゅ] /(n) station worker/
駅前 [えきまえ] /(n) in front of station/(P)/
駅前広場 [えきまえひろば] /(n) station square (plaza)/
駅前通り [えきまえどおり] /(n) street in front of station/
駅前留学 [えきまえりゅうがく] /(n) attending foreign language study at a school near the train station (esp. used as a NOVA catchphrase)/
駅張りポスター [えきばりポスター] /(n) advertising poster in a station/
駅長 [えきちょう] /(n) station master/(P)/
駅長室 [えきちょうしつ] /(n) stationmaster's office/
駅逓 [えきてい] /(n) delivery of packages/postal service/
駅逓局 [えきていきょく] /(n) (obs) post office/
駅貼りポスター [えきばりポスター] /(n) advertising poster in a station/
駅伝 [えきでん] /(n) (1) stagecoach/post horse/(2) (abbr) long-distance relay race/(P)/
駅伝競走 [えきでんきょうそう] /(n) long-distance relay race/
駅頭 [えきとう] /(n) station/
駅馬 [えきば] /(n) (arch) post horse/horses used in the post-station system of old Japan/
駅馬車 [えきばしゃ] /(n) stagecoach/
駅売り [えきうり] /(n) station vendor/
駅夫 [えきふ] /(n) railway employee (porter)/
駅弁 [えきべん] /(n) (1) boxed lunch bought at a station (often a local specialty)/(2) (vulg) variety of sexual position/(P)/
駅名 [えきめい] /(n) station name/
駅留め [えきどめ] /(n) delivery of freight to a station/
駅路 [えきろ] /(n) post road/
悦 [えつ] /(n) self-satisfaction/rejoicing/
悦に入る [えつにいる] /(exp,v5r) to be pleased/to gloat/to glow with self-satisfaction/
悦ばしい [よろこばしい] /(adj-i) delightful/joyful/gratifying/
悦ばす [よろこばす] /(v5s) to delight/to give pleasure/
悦び [よろこび] /(oK) (n) joy/delight/rapture/pleasure/gratification/rejoicing/congratulations/felicitations/
悦ぶ [よろこぶ] /(v5b,vi) (1) to be delighted/to be glad/to be pleased/(2) to congratulate/(3) to gratefully accept/
悦んで [よろこんで] /(adv) with pleasure .../
悦楽 [えつらく] /(n,vs) enjoyment/pleasure/
悦哉 [えっさい] /(n) (col) musket (male Japanese sparrowhawk)/
謁す [えっす] /(v5s,vi) to have an audience with/
謁する [えっする] /(vs-s,vi) to have an audience with/
謁を賜わる [えつをたまわる] /(exp,v5r) to be granted an audience/
謁見 [えっけん] /(n,vs) audience (with someone)/
越える [こえる] /(v1,vi) (1) to cross over/to cross/to pass through/to pass over (out of)/(2) to exceed/(P)/
越し [ごし] /(n-suf) across/over/beyond/(P)/
越し屋根 [こしやね] /(n) roof monitor/monitor roof/lantern (roof)/
越す [こす] /(v5s) (1) to cross over (e.g. mountain)/to go across/(2) to go over (e.g. with audience)/(3) to pass time (e.g. a winter)/(4) to surpass/to be better than/to exceed/(5) to move house/(6) (hon) to go/to come/(P)/
越屋根 [こしやね] /(n) roof monitor/monitor roof/lantern (roof)/
越幾斯 [えきす] /(ateji) (n) (uk) (abbr) extract (esp. of food, fruit, etc.)/essence/
越境 [えっきょう] /(n,vs,adj-no) border transgression/(P)/
越境入学 [えっきょうにゅうがく] /(n,vs) gaining admission into a school in a school district other than one's own/
越権 [えっけん] /(n,adj-no) going beyond authority/unauthorized/unauthorised/ultra vires/(P)/
越権行為 [えっけんこうい] /(n) exceeding one's authority/abusing one's legal authority/ultra vires activities/
越後 [えちご] /(n) Echigo/old name for Niigata Prefecture/(P)/
越後獅子 [えちごじし] /(n) street performance by itinerant entertainers featuring a tumbling act in which a child performer wears a carved lion's head/
越前水母 [えちぜんくらげ] /(n) (uk) Nomura's jellyfish (Nemopilema nomurai)/
越訴 [えっそ] /(n,vs) appeal made directly to a senior official without going through formalities/
越中ふんどし [えっちゅうふんどし] /(n) string loincloth/G-string/
越中褌 [えっちゅうふんどし] /(n) string loincloth/G-string/
越虫貝 [えっちゅうばい] /(n) (uk) finely-striate buccinum (species of whelk, Buccinum striatissimum)/
越天楽 [えてんらく] /(n) Etenraku (Japanese court music composition)/
越度 [おちど] /(n) error/
越冬 [えっとう] /(n,vs) passing the winter/hibernation/(P)/
越冬資金 [えっとうしきん] /(n) winter bonus/
越冬隊 [えっとうたい] /(n) wintering party (team)/
越冬地 [えっとうち] /(n) wintering spot (i.e. of a migrating bird)/
越南 [えつなん] /(n,adj-no) (uk) Vietnam/
越南 [べとなむ] /(n,adj-no) (uk) Vietnam/
越年 [えつねん] /(n,vs) ring out the old year/hibernation/(P)/
越年生植物 [えつねんせいしょくぶつ] /(n) biennial plant/
越年草本 [えつねんそうほん] /(n) biennial herb/
越年蝶 [おつねんちょう] /(n) (uk) (obsc) eastern pale clouded yellow (butterfly, Colias erate)/
越流 [えつりゅう] /(n,vs) overflow/
閲す [えっす] /(v5s) (1) to inspect/to examine/to check/(2) to elapse/to pass (time)/
閲す [けみす] /(v5s) (1) to inspect/to examine/to check/(2) to elapse/to pass (time)/
閲する [えっする] /(vs-s) (1) to inspect/to examine/to check/(2) to elapse/to pass (time)/
閲する [けみする] /(vs-s) (1) to inspect/to examine/to check/(2) to elapse/to pass (time)/
閲を請う [えつをこう] /(exp,v5u) to ask for a revision/
閲読 [えつどく] /(n,vs) reading/perusal/
閲兵 [えっぺい] /(n,vs) parade/review (of troops)/
閲兵台 [えっぺいだい] /(n) reviewing stand/
閲覧 [えつらん] /(n,vs) (1) inspection/reading/(2) (comp) browsing (the WWW, internet)/web browsing/(P)/
閲覧室 [えつらんしつ] /(n) inspection room/reading room/
閲覧者 [えつらんしゃ] /(n) reader/
閲覧中 [えつらんちゅう] /(exp) while browsing the web/now watching (in the context of a chat room)/
閲歴 [えつれき] /(n,vs) career/
榎 [えのき] /(n) Japanese hackberry (Celtis sinensis var. japonica)/
榎茸 [えのきたけ] /(n) (uk) enoki mushroom (long, thin and white)/Flammulina velutipes/winter mushroom/
榎茸 [えのきだけ] /(n) (uk) enoki mushroom (long, thin and white)/Flammulina velutipes/winter mushroom/
榎葉 [えのは] /(n) (uk) landlocked masu salmon/
厭 [いや] /(adj-na,n) disagreeable/detestable/unpleasant/reluctant/
厭 [や] /(adj-na,n) disagreeable/detestable/unpleasant/reluctant/
厭々 [いやいや] /(adv,n) (uk) unwillingly/grudgingly/shaking head in refusal (to children)/
厭う [いとう] /(v5u,vt) to dislike/to hate/to grudge (doing)/to spare (oneself)/to be weary of/to take (good) care of/
厭かす [あかす] /(iK) (v5s,vt) (1) to bore/to tire/to weary/to stultify/(2) to use lavishly (and without regret)/
厭がらせ [いやがらせ] /(n) harassment/pestering/
厭がる [いやがる] /(v5r,vt) to hate/to dislike/
厭きる [あきる] /(v1,vi) to get tired of/to lose interest in/to have enough/
厭き厭き [あきあき] /(n,vs) sick of/bored (with)/
厭き性 [あきしょう] /(n) fickle nature/flighty temperament/inconstant person/
厭く [あく] /(v5k,vi) (1) (arch) to tire of/to lose interest in/(2) to be satisfied/to enjoy/(3) (after the -masu stem of a verb) to do adequately/
厭な気持ち [いやなきもち] /(n) unpleasant feeling/
厭に [いやに] /(adv) (uk) awfully/terribly/
厭み [いやみ] /(adj-na,n) disagreeableness/disagreeability/gaudiness/sarcasm/
厭みたらしい [いやみたらしい] /(adj-i) disagreeable/
厭む [あぐむ] /(v5m,vi) to get tired of (doing)/to lose interest in/
厭や [いや] /(io) (adj-na,n) disagreeable/detestable/unpleasant/reluctant/
厭やらしい [いやらしい] /(adj-i) (uk) unpleasant/disgusting/repulsive/detestable/disagreeable/indecent/lewd/dirty/lascivious/(P)/
厭わしい [いとわしい] /(adj-i) detestable/disagreeable/
厭悪 [えんお] /(n,vs) dislike/detestation/
厭厭 [いやいや] /(adv,n) (uk) unwillingly/grudgingly/shaking head in refusal (to children)/
厭棄 [えんき] /(n,vs) (obsc) abandonment/rejection/
厭人 [えんじん] /(n) misanthropy/
厭人者 [えんじんしゃ] /(n) misanthrope/
厭世 [えんせい] /(n) pessimism/weariness with life/
厭世家 [えんせいか] /(n) pessimist/
厭世観 [えんせいかん] /(n) pessimistic view of life/pessimism/
厭世自殺 [えんせいじさつ] /(n,vs) killing oneself out of despair (disgust with life)/
厭世主義 [えんせいしゅぎ] /(n,adj-no) pessimism/
厭世的 [えんせいてき] /(adj-na) pessimistic/
厭世悲観者 [えんせいひかんしゃ] /(n) pessimist/
厭戦 [えんせん] /(n) war weariness/
厭戦気分 [えんせんきぶん] /(n) feeling of war-weariness/
厭味 [いやみ] /(adj-na,n) disagreeableness/disagreeability/gaudiness/sarcasm/
厭魅 [えんみ] /(n) killing someone with a magical curse/
厭離 [おんり] /(n) Buddhism depart from (in disdain)/
厭離穢土 [えんりえど] /(n) abhorrence of (living in) this impure world/
厭離穢土 [おんりえど] /(n) abhorrence of (living in) this impure world/
円 [えん] /(n) (1) Yen/money/(2) circle/(P)/
円 [まる] /(n) (1) circle/
円い [まるい] /(adj-i) (1) round/circular/spherical/(2) harmonious/calm/(P)/
円い [まろい] /(ok) (adj-i) (1) round/circular/spherical/(2) harmonious/calm/
円か [まどか] /(adj-na,n) round/tranquil/
円で囲む [まるでかこむ] /(v5m) to enclose (a word) with a circle/
円の騰貴 [えんのとうき] /(n) rise of the yen/
円み [まるみ] /(n) roundness/rotundity/(P)/
円やか [まろやか] /(adj-na,n) round/circular/spherical/mild (taste)/
円ら [つぶら] /(adj-na,n) (uk) round/rotund/
円を成す [えんをなす] /(exp,v5s) to form a circle/
円を描く [えんをえがく] /(exp,v5k) to draw a circle/
円グラフ [えんグラフ] /(n) pie graph/pie chart/
円安 [えんやす] /(n) cheap yen/(P)/
円安ドル高 [えんやすドルだか] /(n) depreciation of the yen against the (American) dollar/
円為替 [えんかわせ] /(n) yen exchange/
円為替 [えんがわせ] /(n) yen exchange/
円域 [えんいき] /(n) yen bloc/yen area/
円運動 [えんうんどう] /(n) circular motion/
円屋根 [まるやね] /(n) dome/cupola/
円価 [えんか] /(n) value of the yen/
円花蜂 [まるはなばち] /(n) (uk) bumblebee/
円貨 [えんか] /(n) yen currency/
円貨建 [えんかだて] /(adj-f) yen-denominated (e.g. bond)/
円貨建て [えんかだて] /(adj-f) yen-denominated (e.g. bond)/
円蓋 [えんがい] /(n) cupola/dome/vault/
円滑 [えんかつ] /(adj-na) smooth/undisturbed/uninterrupted/harmonious/(P)/
円滑 [えんこつ] /(ik) (adj-na) smooth/undisturbed/uninterrupted/harmonious/
円滑に [えんかつに] /(adv) smoothly/harmoniously/without a hitch/
円滑にする [えんかつにする] /(exp,vs-i) to smooth/to harmonize/to facilitate/to streamline/
円滑洒脱 [えんかつしゃだつ] /(n,adj-na) being smooth, free and easy/refined and unconventional/
円環 [えんかん] /(adj-na,n) circle/ring/torus/
円環体 [えんかんたい] /(n) solid torus/
円関数 [えんかんすう] /(n) (math) circular function/trigonometric function/
円顔 [まるがお] /(n,adj-no) round face/moon face/
円規 [えんき] /(n) pair of compasses/
円記号 [えんきごう] /(n) yen symbol ("Y" with "=" superimposed)/
円軌道 [えんきどう] /(n) circular orbit/
円丘 [えんきゅう] /(n) knoll/hummock/
円居 [まどい] /(n,vs) small gathering/happy circle/
円鏡 [えんきょう] /(n) round mirror/
円鏡 [まるかがみ] /(n) round mirror/
円曲 [えんきょく] /(n) roundabout way (of speaking or working)/
円型 [まるがた] /(n) (1) round shape/circle/(2) circular form/
円形 [えんけい] /(n) (1) round shape/circle/(2) circular form/(P)/
円形 [まるがた] /(n) (1) round shape/circle/(2) circular form/
円形劇場 [えんけいげきじょう] /(n) amphitheater/amphitheatre/
円形交差点 [えんけいこうさてん] /(n) roundabout/traffic circle/rotary/
円形脱毛症 [えんけいだつもうしょう] /(n) alopecia areata/
円建て [えんだて] /(n) denominated in yen/yen-denominated/yen base/(P)/
円建て外債 [えんだてがいさい] /(n) yen-denominated loan/samurai bond/
円弧 [えんこ] /(n) arc/(P)/
円光 [えんこう] /(n) halo/
円口類 [えんこうるい] /(n) cyclostomes (eel-like jawless fishes with round mouths used for sucking)/
円高 [えんだか] /(n) high-valued yen/exchange in favor (favour) of the yen/(P)/
円高ドル安 [えんだかドルやす] /(n) appreciation of the yen against the (American) dollar/
円高不況 [えんだかふきょう] /(n) recession caused by the strong yen/
円座 [えんざ] /(n,vs) sitting in circle/round straw mat/
円匙 [えんし] /(n) small shovel/
円匙 [えんぴ] /(ik) (n) small shovel/
円借款 [えんしゃっかん] /(n) international yen loan/
円寂 [えんじゃく] /(n) nirvana/death of the Buddha/
円周 [えんしゅう] /(n,adj-no) circumference/(P)/
円周率 [えんしゅうりつ] /(n) Pi (3.1415926..)/
円熟 [えんじゅく] /(n,vs) ripeness/mellowness/maturity/perfection/(P)/
円熟した [えんじゅくした] /(adj-f) mellow/mature/fully developed/ripe/
円唇母音 [えんしんぼいん] /(n) (ling) rounded vowel/
円心 [えんしん] /(n) centre of circle/center of circle/
円刃刀 [えんじんとう] /(n) round-edged scalpel/
円陣 [えんじん] /(n) circle/ring/
円錐 [えんすい] /(n) cone/
円錐 [まるぎり] /(n) round gimlet/
円錐曲線 [えんすいきょくせん] /(n) conic curve/conic section/
円錐形 [えんすいけい] /(n,adj-no) cone/cone-shaped/
円錐振子 [えんすいふりこ] /(n) conical pendulum/
円錐図法 [えんすいずほう] /(n) conical projection/
円錐体 [えんすいたい] /(n,adj-na) cone/
円錐台 [えんすいだい] /(n) circular truncated cone/
円錐面 [えんすいめん] /(n) (circular) conical surface/
円相 [えんそう] /(n) circle painted with a single stroke in Zen calligraphy/
円相場 [えんそうば] /(n) yen exchange rate/(P)/
円窓 [まるまど] /(n) round window/
円卓 [えんたく] /(n,adj-no) round table/(P)/
円卓会議 [えんたくかいぎ] /(n) round-table conference/roundtable/round-table/round-table meeting/
円弾 [えんだん] /(n) round shot/
円柱 [えんちゅう] /(n,adj-no) (1) column/shaft/cylinder/(n) (2) round pillar (esp. in buildings)/(P)/
円柱 [まるばしら] /(n,adj-no) (1) column/shaft/cylinder/(n) (2) round pillar (esp. in buildings)/
円柱座標 [えんちゅうざひょう] /(n) cylindrical coordinates/
円柱尿 [えんちょうにょう] /(n) cylindruria/
円虫類 [えんちゅうるい] /(n) round worms/
円頂 [えんちょう] /(n) dome/cupola/
円天井 [まるてんじょう] /(n) circular ceiling/
円転 [えんてん] /(adj-t,adv-to) orotund/smooth circular motion/spherical/rolling smoothly/(with) smooth circular motion/
円転滑脱 [えんてんかつだつ] /(adj-na) (1) suave/tactful/smooth/(2) versatile/adaptable/
円筒 [えんとう] /(n) cylinder/(P)/
円筒プリンター [えんとうプリンター] /(n) (comp) barrel printer/
円筒形 [えんとうけい] /(n) cylindrical/
円筒図法 [えんとうずほう] /(n) cylindrical projection/
円内 [えんない] /(n) within the circle/
円板 [えんばん] /(n) disk/disc/
円板クラッチ [えんばんクラッチ] /(n) disc clutch/disk clutch/
円板状エリテマトーデス [えんばんじょうエリテマトーデス] /(n) discoid lupus erythematosus/
円板状分子 [えんばんじょうぶんし] /(n) disc-like molecule/
円盤 [えんばん] /(n,adj-no) (1) disk/discus/platter/(2) flying saucer/(P)/
円盤状 [えんばんじょう] /(n) disk-shaped/
円盤投げ [えんばんなげ] /(n) discus throw/
円舞 [えんぶ] /(n) waltz/
円舞曲 [えんぶきょく] /(n) waltz (composition)/
円墳 [えんふん] /(n) round burial mound/
円墳 [えんぷん] /(n) round burial mound/
円文 [えんもん] /(n) round design/
円偏光 [えんへんこう] /(n) circular polarization of light/circular polarisation of light/
円本 [えんぽん] /(n) one-yen book/
円盆 [まるぼん] /(n) round tray/
円満 [えんまん] /(adj-na,n) perfection/harmony/peace/smoothness/completeness/satisfaction/integrity/(P)/
円満解決 [えんまんかいけつ] /(n) amicable settlement/settling the case leaving no parties dissatisfied/
円満具足 [えんまんぐそく] /(n,vs) (things) being complete, tranquil, and in harmony/
円満退職 [えんまんたいしょく] /(n,vs) amicable resignation (retirement)/resigning (retiring) from one's job of one's free will/
円味 [まるみ] /(n) roundness/rotundity/
円領 [えんりょう] /(n) (obsc) round collar (of traditional Japanese clothing)/
円鱗 [えんりん] /(n) cycloid scale/
円罐 [まるがま] /(n) cylindrical boiler/
円鉋 [まるがんな] /(n) round carpenter's plane/
円鑿 [まるのみ] /(n) (a) gouge/
円顱 [えんろ] /(n) tonsure/shaven head/
園 [えん] /(n,n-suf) (1) garden (esp. man-made)/orchard/park/plantation/(2) place/location/(P)/
園 [その] /(n,n-suf) (1) garden (esp. man-made)/orchard/park/plantation/(2) place/location/(P)/
園の方針 [えんのほうしん] /(n) policy of our kindergarten/
園芸 [えんげい] /(n,adj-no) horticulture/gardening/(P)/
園芸家 [えんげいか] /(n) horticulturist/
園芸学 [えんげいがく] /(n) study of horticulture/
園芸植物 [えんげいしょくぶつ] /(n) gardening plant/
園芸農業 [えんげいのうぎょう] /(n) horticultural agriculture/
園芸品種 [えんげいひんしゅ] /(n) cultivar/cultivated variety of a plant/
園芸用こて [えんげいようこて] /(n) small shovel or trowel used in gardening/
園芸用具 [えんげいようぐ] /(n) gardening tools/
園芸用鏝 [えんげいようこて] /(n) small shovel or trowel used in gardening/
園児 [えんじ] /(n) kindergarten pupil/kindergartener/(P)/
園舎 [えんしゃ] /(n) the building (physical structure) of a kindergarten, children's daycare centre or pre-school/
園生 [えんせい] /(n) garden (esp. with trees)/park/
園生 [そのう] /(n) garden (esp. with trees)/park/
園地 [えんち] /(n) park/garden/
園丁 [えんてい] /(n) gardener/
園長 [えんちょう] /(n) head of a place designated with the suffix -en (e.g. kindergarten principal, director of a zoo, etc.)/(P)/
園内 [えんない] /(n) inside the garden (park)/(P)/
園遊会 [えんゆうかい] /(n) garden party/
園藝用鏝 [えんげいようこて] /(oK) (n) small shovel or trowel used in gardening/
堰 [せき] /(n) (1) dam/sluice/(2) stopping (of paper, cardboard, etc.)/(P)/
堰き止める [せきとめる] /(oK) (v1,vt) (1) to dam up/to hold back/to keep back/to bring to a halt/to intercept/(2) to check/
堰を切ったよう [せきをきったよう] /(exp,adj-na) gushing forth/bursting out/
堰を切る [せきをきる] /(exp,v5r) to break a dam and gush forth/to burst out/
堰塞 [えんそく] /(n) damming (e.g. a pond)/
堰止め湖 [せきとめこ] /(n) dammed lake/
堰堤 [えんてい] /(n) dike/weir/
堰板 [せきいた] /(n) sheeting/sheathing board/cover/
奄々 [えんえん] /(adj-t,adv-to) gasping/
奄奄 [えんえん] /(adj-t,adv-to) gasping/
奄美の黒兎 [あまみのくろうさぎ] /(n) (uk) Amami rabbit (Pentalagus furnessi)/Ryukyu rabbit/
宴 [うたげ] /(n) party/banquet/feast/(P)/
宴 [えん] /(n) party/banquet/feast/
宴を張る [えんをはる] /(exp,v5r) to give a dinner party/to hold a banquet/
宴会 [えんかい] /(n,adj-no) party/banquet/(P)/
宴会場 [えんかいじょう] /(n) banquet hall/
宴会政治 [えんかいせいじ] /(n) politicking by wining and dining/
宴楽 [えんがく] /(n) Ancient Chinese banquet music/
宴楽 [えんらく] /(n) merrymaking/partying/
宴席 [えんせき] /(n) banquet/dinner party/(P)/
宴遊 [えんゆう] /(n,vs) drinking party hall/banquet seat/
延々 [えんえん] /(adj-t,adv-to) (1) forever/endlessly/on and on/(2) meandering/wandering/winding/sinuous/serpentine/zigzagging/(P)/
延いて [ひいて] /(adv) (uk) not only ... but also/in addition to/consequently/
延いては [ひいては] /(adv) (uk) not only ... but also/in addition to/consequently/
延う [はう] /(v5u,vi) to creep/to crawl/
延て [ひいて] /(io) (adv) (uk) not only ... but also/in addition to/consequently/
延ばす [のばす] /(v5s,vt) (1) to grow long (beard, hair, etc.)/(2) to lengthen/to extend/to stretch/(3) to reach out/to hold out/(4) to straighten/to smooth out/(5) to spread evenly (dough, cream, etc.)/(6) to dilute/to thin out/(7) to postpone/(8) to prolong/(9) to strengthen/to develop/to expand/(P)/
延び [のび] /(n,vs) (1) growth/development/(2) stretching (e.g. body when waking up)/(3) spread/elongation/extension/carry (e.g. of sound)/sustain/
延びる [のびる] /(v1,vi) (1) to stretch/to extend/to lengthen/to spread/(2) to make progress/to grow (beard, body height)/(3) to grow stale (soba)/(4) to be straightened/to be flattened/to be smoothed/(5) to be exhausted/(6) to be postponed/to be prolonged/(P)/
延び延び [のびのび] /(adj-na,adv,n) stretching/repeatedly put off/procrastinate/
延び延びになる [のびのびになる] /(exp) to be delayed/
延び率 [のびりつ] /(iK) (n) growth rate/coefficient of extension/
延べ [のべ] /(n) (1) futures/(2) credit (buying)/(3) stretching/(4) total/gross/(P)/
延べる [のべる] /(v1,vt) (1) to lay out (a futon)/to make (bed)/to spread out/to stretch/to widen/(2) to postpone/to extend/
延べ金 [のべがね] /(n) sheet metal/dagger/sword/
延べ語数 [のべごすう] /(n) total number of words used (in a text)/
延べ紙 [のべがみ] /(n) variety of high-quality, Edo-period paper/
延べ時間 [のべじかん] /(n) total man-hours/total hours/
延べ受講者数 [のべじゅこうしゃすう] /(n) total number of trainees/
延べ人員 [のべじんいん] /(n) total personnel/
延べ坪 [のべつぼ] /(n) total floor space/
延べ坪数 [のべつぼすう] /(n) total floor space/
延べ日数 [のべにっすう] /(n) total days/
延べ板 [のべいた] /(n) hammered-out plates/
延べ払い [のべばらい] /(n) deferred payment/
延べ払い輸出 [のべばらいゆしゅつ] /(n) exporting on a deferred-payment basis/
延べ棒 [のべぼう] /(n) (metal) bar/
延引 [えんいん] /(n,vs) delay/procrastination/
延延 [えんえん] /(adj-t,adv-to) (1) forever/endlessly/on and on/(2) meandering/wandering/winding/sinuous/serpentine/zigzagging/
延応 [えんおう] /(n) En'ou era (1239.2.7-1240.7.16)/
延会 [えんかい] /(n) postponement (adjournment) of meeting/
延喜 [えんぎ] /(n) Engi era (901.7.15-923.4.11)/
延喜式 [えんぎしき] /(n) Engi-Shiki (set of ancient Japanese governmental regulations)/
延期 [えんき] /(n,vs) postponement/adjournment/(P)/
延期になる [えんきになる] /(exp,v5r) to be postponed/
延久 [えんきゅう] /(n) Enkyuu era (1069.4.13-1074.8.23)/
延享 [えんきょう] /(n) Enkyou era (1744.2.21-1748.7.12)/
延金 [のべがね] /(n) sheet metal/dagger/sword/
延慶 [えんぎょう] /(n) Engyou era (1308.10.9-1311.4.28)/Enkei era/
延慶 [えんけい] /(n) Engyou era (1308.10.9-1311.4.28)/Enkei era/
延元 [えんげん] /(n) Engen era (of the Southern Court) (1336.2.29-1340.4.28)/
延寿 [えんじゅ] /(n) longevity/prolongation of life/
延床面積 [のべゆかめんせき] /(n) total floor space/
延焼 [えんしょう] /(n,vs) spread of fire/
延伸 [えんしん] /(n,vs) extension/
延人員 [のべじんいん] /(n) total personnel/
延髄 [えんずい] /(n,adj-no) medulla oblongata/
延性 [えんせい] /(n,adj-no) ductility/malleability/
延滞 [えんたい] /(n,vs,adj-no) arrears/(being) overdue/delay (e.g. in payment)/procrastination/(P)/
延滞金 [えんたいきん] /(n) arrears/late fee/delinquent account charge/
延滞税 [えんたいぜい] /(n) taxes in arrears/
延滞利子 [えんたいりし] /(n) interest in arrears/
延滞利息 [えんたいりそく] /(n) default interest/
延滞料 [えんたいりょう] /(n) arrears/late fee/delinquent account charge/
延着 [えんちゃく] /(n,vs) delayed arrival/
延長 [えんちょう] /(n,vs) (1) extension/elongation/prolongation/lengthening/(n) (2) Enchou era (923.4.11-931.4.26)/(P)/
延長戦 [えんちょうせん] /(n) (baseball) extra innings/
延長線上 [えんちょうせんじょう] /(n) extension of a straight line/(conclusion) following as an extension of (an argument)/
延長保育 [えんちょうほいく] /(n) extended-hours childcare (in day-care centers for parents working into the night)/
延坪 [のべつぼ] /(n) total floor space/
延鉄 [のべかね] /(n) (obsc) iron containing less than 0.04% carbon/
延徳 [えんとく] /(n) Entoku era (1489.8.21-1492.7.19)/
延縄 [はえなわ] /(n) longline/
延縄漁 [はえなわりょう] /(n) longline fishing/
延日数 [のべにっすう] /(n) total days/
延年 [えんねん] /(n) longevity/
延納 [えんのう] /(n,vs) deferred payment/
延泊 [えんぱく] /(n,vs) extending stay (somewhere)/
延発 [えんぱつ] /(n,vs) postponement of departure/delayed departure/
延板 [のべいた] /(n) hammered-out plates/
延払い [のべばらい] /(n) deferred payment/
延文 [えんぶん] /(n) Embun era (of the Northern Court) (1356.3.28-1361.3.29)/
延宝 [えんぽう] /(n) Empou era (1673.9.21-1681.9.29)/
延棒 [のべぼう] /(n) (metal) bar/
延命 [えんみょう] /(ok) (n,vs,adj-no) keeping alive longer/prolonging life/life extension/life-support/
延命 [えんめい] /(n,vs,adj-no) keeping alive longer/prolonging life/life extension/life-support/(P)/
延命治療 [えんめいちりょう] /(n) life-prolonging treatment/
延命草 [えんめいそう] /(n) plectranthus/
延命息災 [えんめいそくさい] /(n) (obsc) health and longevity/enjoying a long and healthy life being untouched by disaster/
延齢 [えんれい] /(n) longevity/prolonging one's life/
延齢草 [えんれいそう] /(n) (uk) Trillium smallii (species of trillium)/
延暦 [えんりゃく] /(n) Enryaku era (782.8.19-806.5.18)/
延繞 [えんにょう] /(n) (uk) kanji "stretch" radical (radical 54)/
怨しい [うらめしい] /(io) (adj-i) reproachful/hateful/bitter/
怨ずる [えんずる] /(vz,vt) to bear a grudge/
怨み [うらみ] /(n) (1) resentment/grudge/malice/bitterness/(2) matter for regret/regret/
怨みを買う [うらみをかう] /(exp,v5u) to incur someone's enmity/
怨み言 [うらみごと] /(n) grudge/complaint/reproach/
怨む [うらむ] /(v5m,vt) (1) to resent/to curse/to feel bitter/to blame/to bear a grudge/(2) to regret/
怨めしい [うらめしい] /(adj-i) reproachful/hateful/bitter/
怨言 [うらみごと] /(n) grudge/complaint/reproach/
怨言 [えんげん] /(n) grudge/complaint/reproach/
怨恨 [えんこん] /(n) enmity/grudge/
怨色 [えんしょく] /(n) grudging look/
怨声 [えんせい] /(n) complaint/murmur/
怨憎会苦 [おんぞうえく] /(n) (Buddh) the pain of meeting people one dislikes/
怨敵 [おんてき] /(n) sworn enemy/
怨敵退散 [おんてきたいさん] /(exp) invoking disaster upon one's mortal enemy/Confusion to the enemy!/
怨念 [おんねん] /(n) grudge/malice/hatred/
怨霊 [おんりょう] /(n) revengeful ghost/apparition/
怨嗟 [えんさ] /(n,vs) (deeply held) resentment/
掩う [おおう] /(v5u,vt) to cover/to hide/to conceal/to wrap/to disguise/
掩蓋 [えんがい] /(n) cover(ing)/
掩護 [えんご] /(n,vs) covering/protection/backing/relief/
掩護射撃 [えんごしゃげき] /(n,vs) (1) (providing) covering fire/(2) supporting (backing up) someone (in a debate or argument)/
掩護部隊 [えんごぶたい] /(n) covering force/
掩壕 [えんごう] /(n) cover trench/
掩蔽 [えんぺい] /(n,vs) cover and hide/
援ける [たすける] /(v1,vt) to help/to save/to rescue/to give relief to/to spare (life)/to reinforce/to promote/to abet/
援引 [えんいん] /(n,vs) reference/
援軍 [えんぐん] /(n) reinforcement/(P)/
援護 [えんご] /(n,vs) covering/protection/backing/relief/(P)/
援護射撃 [えんごしゃげき] /(n,vs) (1) (providing) covering fire/(2) supporting (backing up) someone (in a debate or argument)/
援交 [えんこう] /(n) (1) (abbr) dating with compensation (payments, financial support, etc.)/(2) (abbr) schoolgirl prostitution/
援助 [えんじょ] /(n,vs,adj-no) assistance/aid/support/(P)/
援助交際 [えんじょこうさい] /(n,vs) (1) dating with compensation (payments, financial support, etc.)/(2) schoolgirl prostitution/(P)/
援助凍結 [えんじょとうけつ] /(n) suspension of aid/
援兵 [えんぺい] /(n) reinforcements/relief/
援用 [えんよう] /(n,vs) claim/quotation/invocation/
沿い [ぞい] /(suf) along/(P)/
沿う [そう] /(v5u) (1) to run along/to run beside/(2) to follow (a plan, etc.)/to act in accordance with/(P)/
沿って [そって] /(exp) along/by/parallel to/(P)/
沿海 [えんかい] /(n,adj-no) coast/shore/inshore/coastal waters/(P)/
沿海州 [えんかいしゅう] /(n) (Russian) maritime provinces/(P)/
沿革 [えんかく] /(n) history/development/(P)/
沿岸 [えんがん] /(n,adj-no) coast/shore/littoral/(P)/
沿岸漁業 [えんがんぎょぎょう] /(n) coastal fishing/
沿岸警備隊 [えんがんけいびたい] /(n) coast guard/
沿線 [えんせん] /(n,adj-no) along railway line/(P)/
沿道 [えんどう] /(n,adj-no) route/course/roadside/(P)/
沿路 [えんろ] /(n) route/
演じる [えんじる] /(v1,vt) to perform (a play)/to play (a part)/to act (a part)/to commit (a blunder)/(P)/
演ずる [えんずる] /(vz,vt) to perform/to play/(P)/
演る [やる] /(v5r) (sl) (usu. used in the popular music industry) to perform/to play/to act/
演歌 [えんか] /(n) (1) enka/traditional-style Japanese popular ballad/(P)/
演歌歌手 [えんかかしゅ] /(n) Enka singer/singer of Japanese traditional ballads/
演戯 [えんぎ] /(n) drama/play/
演技 [えんぎ] /(n,vs,adj-no) acting/performance/(P)/
演技者 [えんぎしゃ] /(n) performer/actor/
演技者 [えんぎもの] /(ik) (n) performer/actor/
演技性人格障害 [えんぎせいじんかくしょうがい] /(n) histrionic personality disorder/
演技力 [えんぎりょく] /(n) acting ability/talent as a performer/(P)/
演義 [えんぎ] /(n) expansion/amplification/commentary/adaptation/
演曲 [えんきょく] /(n) (abbr) musical program/musical programme/
演芸 [えんげい] /(n) entertainment/performance/(P)/
演芸会 [えんげいかい] /(n) an entertainment/a show/
演芸館 [えんげいかん] /(n) music hall/entertainment hall/
演芸場 [えんげいじょう] /(n) entertainment hall/
演劇 [えんげき] /(n,adj-no) drama/theatre/theater/play/(P)/
演劇づく [えんげきづく] /(v5k) to be absorbed in a play/
演劇界 [えんげきかい] /(n) world of the theater (theatre)/
演劇的 [えんげきてき] /(adj-na) dramatic/theatrical/
演劇付く [えんげきづく] /(v5k) to be absorbed in a play/
演算 [えんざん] /(n,vs) operation/(P)/
演算コード [えんざんコード] /(n) (comp) operation code/
演算モード [えんざんモード] /(n) (comp) compute mode/operate mode/
演算回路 [えんざんかいろ] /(n) operation circuit/
演算器 [えんざんき] /(n) (comp) functional unit (e.g. in analog computing)/
演算機 [えんざんき] /(n) (comp) processor (as in computer chip)/
演算記号省略 [えんざんきごうしょうりゃく] /(n) (comp) asyndetic/
演算子 [えんざんし] /(n) (math) operator/
演算子法 [えんざんしほう] /(n) operator method/
演算時間 [えんざんじかん] /(n) (comp) operation time/
演算手順 [えんざんてじゅん] /(n) algorithm/
演算処理ユニット [えんざんしょりユニット] /(n) (comp) Arithmetic and Logic Unit/ALU/
演算数 [えんざんすう] /(n) (comp) operand/
演算制御装置 [えんざんせいぎょそうち] /(n) (comp) arithmetic and control unit/ACU/
演算精度 [えんざんせいど] /(n) operational precision/
演算素子 [えんざんそし] /(n) logic element/
演算装置 [えんざんそうち] /(n) (comp) arithmetic unit/
演算増幅器 [えんざんぞうふくき] /(n) (comp) operational amplifier/
演算対象 [えんざんたいしょう] /(n) (comp) operand/
演算表 [えんざんひょう] /(n) (comp) operation table/
演算符号 [えんざんふごう] /(n) (comp) operational sign/
演算部 [えんざんぶ] /(n) (comp) operation part/
演算方式 [えんざんほうしき] /(n) (comp) arithmetic equation/
演算論理装置 [えんざんろんりそうち] /(n) (comp) arithmetic and logic unit/ALU/
演者 [えんじゃ] /(n) (1) presenter/speaker/(2) performer/actor/
演習 [えんしゅう] /(n,vs) (1) practice/practise/(2) exercises/manoeuvres/maneuvers/(3) seminar (student debates, presentations, etc.)/practicum/(P)/
演習場 [えんしゅうじょう] /(n) maneuvering ground/manoeuvering ground/
演習問題 [えんしゅうもんだい] /(n) practice problem/practise problem/
演習林 [えんしゅうりん] /(n) forest used for research/
演出 [えんしゅつ] /(n,vs) production (e.g. play)/direction/(P)/
演出家 [えんしゅつか] /(n) producer/director/(P)/
演述 [えんじゅつ] /(n,vs) lecture/
演色性 [えんしょくせい] /(n) colour rendering property (color)/
演色評価数 [えんしょくひょうかすう] /(n) colour rendering index (color)/
演説 [えんぜつ] /(n,vs) speech/address/(P)/
演説家 [えんぜつか] /(n) speaker/orator/
演説会 [えんぜつかい] /(n) speech meeting/oratorical meeting/meeting to hear a speech/
演説口調 [えんぜつくちょう] /(n,adj-no) oratorical tone/
演説者 [えんぜつしゃ] /(n) speaker/
演奏 [えんそう] /(n,vs) musical performance/(P)/
演奏家 [えんそうか] /(n) performing musician/
演奏会 [えんそうかい] /(n) concert/
演奏曲目 [えんそうきょくもく] /(n) musical program/musical programme/
演奏者 [えんそうしゃ] /(n) performer/player/
演奏旅行 [えんそうりょこう] /(n) concert (playing) tour/
演奏練習 [えんそうれんしゅう] /(n) musical rehearsal/
演題 [えんだい] /(n) subject of an address/
演壇 [えんだん] /(n) rostrum/platform/(P)/
演壇に登る [えんだんにのぼる] /(exp,v5r) to mount the platform/
演能 [えんのう] /(n,vs) performance of a Noh play/performing a Noh play/
演武 [えんぶ] /(n) military exercises/fencing and judo/
演舞 [えんぶ] /(n,vs) dance performance/(P)/
演舞場 [えんぶじょう] /(n) theatre/theater/playhouse/
演目 [えんもく] /(n) (abbr) musical program/musical programme/(P)/
演繹 [えんえき] /(n,vs) deductive reasoning/deduction/
演繹的 [えんえきてき] /(adj-na) deductive/
演繹的説明法 [えんえきてきせつめいほう] /(n) deductive method/
演繹法 [えんえきほう] /(n) (method of) deduction/
演繹論理学 [えんえきろんりがく] /(n) (obsc) deductive logic/
炎 [えん] /(suf) -itis (indicating an inflammatory disease)/
炎 [ほのお] /(n) flame/blaze/(P)/
炎 [ほむら] /(n) flame/blaze/
炎々 [えんえん] /(adj-t,adv-to) blazing/fiery/
炎炎 [えんえん] /(adj-t,adv-to) blazing/fiery/
炎夏 [えんか] /(n) (1) hot summer/(2) middle of summer/
炎光 [えんこう] /(n) flame/
炎暑 [えんしょ] /(n,adj-no) heat wave/intense heat/
炎症 [えんしょう] /(n) inflammation/irritation/(P)/
炎症性腸疾患 [えんしょうせいちょうしっかん] /(n) inflammatory bowel disease/IBD/
炎症病巣 [えんしょうびょうそう] /(n) inflamed part/site of inflammation/
炎上 [えんじょう] /(n,vs) (1) blazing up/(2) destruction of a large building by fire/(3) flood of comments to a blog, exceeding what the blog's owner can answer/(P)/
炎色 [えんしょく] /(n) flame (color, colour)/flame scarlet/bright reddish/orange/
炎天 [えんてん] /(n) blazing heat/scorching sun/(P)/
炎天下 [えんてんか] /(n) under blazing sun/
炎熱 [えんねつ] /(n,adj-no) sweltering heat/
炎熱地獄 [えんねつじごく] /(n) (Buddh) flames of hell/
炎陽 [えんよう] /(n) summer sun/summer/
炎靄 [えんあい] /(n) (obsc) hot summer air/
焔 [ほのお] /(n) flame/blaze/
焔 [ほむら] /(n) flame/blaze/
焔硝 [えんしょう] /(n) gunpowder/
煙 [けぶ] /(n) smoke/fumes/
煙 [けぶり] /(n) smoke/fumes/
煙 [けむ] /(n) smoke/fumes/
煙 [けむり] /(n) smoke/fumes/(P)/
煙い [けぶい] /(adj-i) smoky/
煙い [けむい] /(adj-i) smoky/(P)/
煙がる [けぶがる] /(v5r,vi) to be sensitive to smoke/to be uncomfortable because of smoke/
煙がる [けむがる] /(v5r,vi) to be sensitive to smoke/to be uncomfortable because of smoke/
煙たい [けぶたい] /(adj-i) (1) smoky/(2) awkward/ill at ease/
煙たい [けむたい] /(adj-i) (1) smoky/(2) awkward/ill at ease/(P)/
煙たがる [けぶたがる] /(v5r,vi) (1) to be sensitive to smoke/(v5r,vt) (2) to dislike the company of (someone)/to consider (someone) a burden or nuisance/
煙たがる [けむたがる] /(v5r,vi) (1) to be sensitive to smoke/(v5r,vt) (2) to dislike the company of (someone)/to consider (someone) a burden or nuisance/
煙になる [けむになる] /(exp,v5r) to go up in smoke/to burn down/to be cremated/to vanish into thin air/
煙になる [けむりになる] /(exp,v5r) to go up in smoke/to burn down/to be cremated/to vanish into thin air/
煙に巻く [けむにまく] /(exp,v5k) to confuse someone/to befuddle someone/to create a smokescreen/
煙に巻く [けむりにまく] /(ik) (exp,v5k) to confuse someone/to befuddle someone/to create a smokescreen/
煙り出し [けむりだし] /(n) chimney/
煙る [けぶる] /(v5r,vi) (1) to smoke (e.g. fire)/(2) to be hazy/
煙る [けむる] /(v5r,vi) (1) to smoke (e.g. fire)/(2) to be hazy/(P)/
煙を吐く [けむりをはく] /(exp,v5k) to emit smoke/
煙雨 [えんう] /(n) misty, fine or drizzling rain/
煙火 [えんか] /(n) (1) smoke and fumes (e.g. from cooking)/(2) beacon/skyrocket/signal fire/(3) fireworks/
煙火 [はなび] /(n) fireworks/
煙霞 [えんか] /(n) smoke and mist/view/
煙害 [えんがい] /(n) smoke pollution/
煙感知器 [けむりかんちき] /(n) smoke detector/
煙管 [えんかん] /(n) (1) kiseru/Japanese smoking pipe/(2) fire tube (of a fire-tube boiler)/(3) chimney/
煙管 [きせる] /(gikun) (n) (1) (tobacco) pipe with metal tipped stem (khm: khsier)/(2) stolen train ride (only paying a local fare each end)/
煙管ボイラー [えんかんボイラー] /(n) fire-tube boiler/
煙管乗り [きせるのり] /(n) cheating on train fare by buying tickets covering only the first and last portions of the journey/
煙警報器 [えんけいほうき] /(n) smoke alarm/smoke sensor/
煙死 [えんし] /(n,vs) death by smoke suffocation/
煙出し [けむだし] /(n) chimney/
煙硝 [えんしょう] /(n) gunpowder/
煙塵 [えんじん] /(n) dust/smokestack smoke/battle scene/
煙水晶 [けむりずいしょう] /(n) smoky quartz/cairngorm/morion/
煙草 [たばこ] /(gikun) (n) (uk) tobacco (por: tabaco)/cigarettes/(P)/
煙草をやめる [たばこをやめる] /(exp,v1) to give up smoking/
煙草を吸う [たばこをすう] /(exp,v5u) to smoke a cigarette/
煙草を止める [たばこをやめる] /(exp,v1) to give up smoking/
煙草屋 [たばこや] /(n) tobacconist/(P)/
煙草銭 [たばこせん] /(n) tobacco money/
煙草入 [たばこいれ] /(n) tobacco container (esp. a tobacco pouch)/
煙草入れ [たばこいれ] /(n) tobacco container (esp. a tobacco pouch)/
煙草盆 [たばこぼん] /(n) tobacco tray/
煙弾 [えんだん] /(n) smoke bomb/
煙筒 [えんとう] /(n) (1) (arch) chimney/(2) kiseru/Japanese smoking pipe/
煙道 [えんどう] /(n) chimney/flue/
煙毒 [えんどく] /(n) smoke pollution/
煙突 [えんとつ] /(n) (1) chimney/smokestack/funnel (of a ship)/stovepipe/(2) (sl) carrying a passenger without turning on the taximeter/(P)/
煙突の笠 [えんとつのかさ] /(n) chimney cap/
煙突効果 [えんとつこうか] /(n) stack effect/chimney effect/
煙突掃除 [えんとつそうじ] /(n) chimney sweeping (cleaning)/
煙突掃除夫 [えんとつそうじふ] /(n) chimney sweeper (cleaner)/
煙突掃除扶 [えんとつそうじふ] /(n) chimney sweeper (cleaner)/
煙波 [えんぱ] /(n) sea spray/
煙幕 [えんまく] /(n) smokescreen/
煙幕を張る [えんまくをはる] /(exp,v5r) to throw up a smoke screen/
煙霧 [えんむ] /(n) haze/mist/fog/smog/
燕 [つばくら] /(ok) (n) (1) (uk) swallow (bird of the Hirundinidae family)/martin/(2) barn swallow (Hirundo rustica)/(3) younger man involved with an older woman/
燕 [つばくらめ] /(ok) (n) (1) (uk) swallow (bird of the Hirundinidae family)/martin/(2) barn swallow (Hirundo rustica)/(3) younger man involved with an older woman/
燕 [つばくろ] /(ok) (n) (1) (uk) swallow (bird of the Hirundinidae family)/martin/(2) barn swallow (Hirundo rustica)/(3) younger man involved with an older woman/
燕 [つばめ] /(n) (1) (uk) swallow (bird of the Hirundinidae family)/martin/(2) barn swallow (Hirundo rustica)/(3) younger man involved with an older woman/(P)/
燕の巣 [つばめのす] /(n) (1) swallow's nest/(2) (food) swift's nest (used to make bird's nest soup)/
燕楽 [えんがく] /(n) Ancient Chinese banquet music/
燕楽 [えんらく] /(n) merrymaking/partying/
燕去り月 [つばめさりづき] /(n) eighth lunar month/
燕去月 [つばめさりづき] /(n) eighth lunar month/
燕魚 [つばくろうお] /(n) (1) (uk) (obsc) flying fish (esp. the Japanese flying fish, Cypselurus agoo)/
燕魚 [つばめうお] /(n) (1) (uk) longfin batfish (Platax teira, species of Indo-West Pacific spadefish)/Tiera batfish/(2) (uk) (obsc) flying fish (esp. the Japanese flying fish, Cypselurus agoo)/
燕子 [えんし] /(n) (obsc) swallow/
燕子 [えんじ] /(n) (obsc) swallow chick/
燕子 [かきつばた] /(iK) (n) (uk) rabbitear iris (Iris laevigata)/
燕子花 [かきつばた] /(n) (uk) rabbitear iris (Iris laevigata)/
燕子掌 [えんししょう] /(n) jade plant (Crassula argentea, Crassula ovata)/
燕児 [えんじ] /(n) (obsc) swallow chick/
燕雀 [えんじゃく] /(n) small birds/
燕雀鴻鵠 [えんじゃくこうこく] /(exp) How can a small bird (a sparrow, a petty person) understand the aspirations of a great bird (a phoenix)/Only a hero can understand a hero/
燕青拳 [えんせいけん] /(n) (MA) Yangqingquan/Yangqing Fist/
燕千鳥 [つばめちどり] /(n) small Indian pratincole (bird) (Glareola lactea)/large Indian pratincole (Glareola maldivarus)/
燕然都護府 [えんぜんとごふ] /(n) Protectorate General to Pacify the North/Tang-period Chinese office established in Inner Mongolia in 669 CE/
燕巣 [えんず] /(n) (obsc) swift's nest (used to make bird's nest soup)/edible bird's nest/
燕巣 [えんそう] /(n) (obsc) swift's nest (used to make bird's nest soup)/edible bird's nest/
燕麦 [えんばく] /(n) (1) (uk) wild oat (Avena fatua)/wild oats/(2) oat (Avena sativa)/oats/
燕麦 [からすむぎ] /(n) (1) (uk) wild oat (Avena fatua)/wild oats/(2) oat (Avena sativa)/oats/
燕尾服 [えんびふく] /(n) tailcoat/
燕窩 [えんか] /(n) (uk) swift's nest (used to make bird's nest soup)/
猿 [さる] /(n) (1) monkey (esp. the Japanese macaque, Macaca fuscata)/(2) (derog) sly person/(3) sliding wooden bolt (for holding a door or window shut)/(4) clasp used to control the height of a pot-hook/(5) (arch) bathhouse prostitute/(P)/
猿 [まし] /(ok) (n) (1) monkey (esp. the Japanese macaque, Macaca fuscata)/
猿 [ましら] /(ok) (n) (1) monkey (esp. the Japanese macaque, Macaca fuscata)/
猿ぐつわ [さるぐつわ] /(n) (mouth) gag/
猿ぐつわをかます [さるぐつわをかます] /(exp,v5s) to gag someone/
猿の腰掛け [さるのこしかけ] /(n) bracket (shelf) fungus/
猿まね [さるまね] /(exp,n) indiscriminate imitation (lit: monkey imitator)/monkey see, monkey do/blind follower/
猿も木から落ちる [さるもきからおちる] /(exp,v1) even monkeys fall from trees/anyone can make a mistake/pride comes before a fall/even Homer sometimes nods/
猿回し [さるまわし] /(n) showman who trains performing monkeys/
猿楽 [さるがく] /(n) (1) (arch) sarugaku (form of theatre popular in Japan during the 11th to 14th centuries)/(2) noh/
猿楽 [さるごう] /(n) (1) (arch) sarugaku (form of theatre popular in Japan during the 11th to 14th centuries)/(2) fooling around/
猿楽能 [さるがくのう] /(n) (arch) noh/
猿滑 [さるすべり] /(n) (uk) crape myrtle (Lagerstroemia indica)/
猿滑 [しび] /(n) (uk) crape myrtle (Lagerstroemia indica)/
猿滑り [さるすべり] /(n) (uk) crape myrtle (Lagerstroemia indica)/
猿轡 [さるぐつわ] /(n) (mouth) gag/
猿轡をかます [さるぐつわをかます] /(exp,v5s) to gag someone/
猿拳 [さるけん] /(n) (MA) Monkey Fist/Monkey-Style kung-fu/
猿股 [さるまた] /(n) undershorts/
猿子 [ましこ] /(n) (1) (uk) rosefinch (any finch of genus Carpodacus)/(2) (obsc) monkey/
猿子鳥 [ましこどり] /(n) rosefinch/
猿芝居 [さるしばい] /(n) monkey show/
猿酒 [さるざけ] /(n) monkey booze/sake-like liquid produced by the fermentation of fruits left by monkeys in tree caches or hollows in rocks/
猿酒 [ましらざけ] /(n) monkey booze/sake-like liquid produced by the fermentation of fruits left by monkeys in tree caches or hollows in rocks/
猿真似 [さるまね] /(exp,n) indiscriminate imitation (lit: monkey imitator)/monkey see, monkey do/blind follower/
猿人 [えんじん] /(n) ape man/
猿知恵 [さるじえ] /(n) shallow cunning/shallow cleverness/
猿知恵 [さるぢえ] /(n) shallow cunning/shallow cleverness/
猿田彦 [さるたひこ] /(n) Sarutahiko (Shinto god)/Sarudahiko/Sarutabiko/Sarudabiko/
猿田彦 [さるたびこ] /(n) Sarutahiko (Shinto god)/Sarudahiko/Sarutabiko/Sarudabiko/
猿田彦 [さるだひこ] /(n) Sarutahiko (Shinto god)/Sarudahiko/Sarutabiko/Sarudabiko/
猿田彦 [さるだびこ] /(ok) (n) Sarutahiko (Shinto god)/Sarudahiko/Sarutabiko/Sarudabiko/
猿渡 [さるわたり] /(n) (col) monkey bars/horizontal ladder/
猿渡り [さるわたり] /(n) (col) monkey bars/horizontal ladder/
猿捕茨 [さるとりいばら] /(n) (uk) Smilax china (species of sarsaparilla)/
猿目 [さるもく] /(n) primates/
猿梨 [さるなし] /(n) (uk) hardy kiwi (Actinidia arguta)/tara vine/bower vine/
猿猴 [えんこう] /(n) (1) monkey (esp. a gibbon)/(2) hand of the puppeteer (puppet theatre)/(3) (sl) menstrual period/(4) kappa/
猿腦 [えんのう] /(n) (obsc) monkey brain (eaten as a delicacy, medicine, etc.)/
猿臂 [えんぴ] /(n) long, protruding elbows (like those of a monkey)/
猿臂を伸ばす [えんぴをのばす] /(exp,v5s) (obsc) to stretch one's arms/to elongate one's arms/
猿臂打ち [えんぴうち] /(n) (MA) elbow strike (karate)/
縁 [え] /(n) (1) fate/destiny (esp. as a mysterious force that binds two people together)/(2) relationship (e.g. between two people)/bond/link/connection/(3) family ties/affinity/
縁 [えに] /(n) (1) fate/destiny (esp. as a mysterious force that binds two people together)/(2) relationship (e.g. between two people)/bond/link/connection/(3) family ties/affinity/
縁 [えにし] /(n) (1) fate/destiny (esp. as a mysterious force that binds two people together)/(2) relationship (e.g. between two people)/bond/link/connection/(3) family ties/affinity/
縁 [えん] /(n) (1) fate/destiny (esp. as a mysterious force that binds two people together)/(2) relationship (e.g. between two people)/bond/link/connection/(3) family ties/affinity/(4) opportunity/chance (to meet someone and start a relationship)/(5) (Buddh) pratyaya (indirect conditions, as opposed to direct causes)/(6) narrow open-air veranda/
縁 [ふち] /(n) (surrounding) edge/(P)/
縁 [へり] /(n) (uk) edge/tip/margin/
縁 [ゆかり] /(n) (uk) related to (some place)/affinity/connection/
縁 [よすか] /(ok) (n) (1) something to rely on/aid/clue/way/means/(2) someone to rely on/relative/(3) reminder/memento/
縁 [よすが] /(n) (1) something to rely on/aid/clue/way/means/(2) someone to rely on/relative/(3) reminder/memento/
縁がある [えんがある] /(exp) to be fated to/be linked by fate/
縁がない [えんがない] /(exp,adj-i) have no relation to/have no luck with/not be fated to/
縁が遠い [えんがとおい] /(exp,adj-i) distantly related/
縁が無い [えんがない] /(exp,adj-i) have no relation to/have no luck with/not be fated to/
縁って [よって] /(conj) (uk) therefore/consequently/accordingly/because of/
縁づく [えんづく] /(v5k,vi) to marry/
縁どる [ふちどる] /(v5r,vt) to (add a) border or fringe/
縁に繋がる [えんにつながる] /(exp,v5r) to be related to someone by blood/
縁のない [えんのない] /(adj-i) unrelated/unconnected/
縁の遠い [えんのとおい] /(exp,adj-i) distantly related/
縁の下 [えんのした] /(n) under the floor/out of sight/in background/
縁の下の力持ち [えんのしたのちからもち] /(n) unsung hero/person who does a thankless task/
縁の無い [えんのない] /(adj-i) unrelated/unconnected/
縁は異なもの [えんはいなもの] /(exp) inscrutable are the ways people are brought together/there is no telling how people are brought together/
縁は異なもの味なもの [えんはいなものあじなもの] /(exp) inscrutable and interesting are the ways people are brought together/
縁もゆかりもない [えんもゆかりもない] /(exp) having no relation with whatsoever/having nothing to do with/alien/
縁る [ふちどる] /(v5r,vt) to (add a) border or fringe/
縁を結ぶ [えんをむすぶ] /(exp,v5b) to get married/to contract a marriage/
縁を切る [えんをきる] /(exp,v5r) to get a divorce/to sever connections/
縁遠い [えんどおい] /(adj-i) (1) lately married/(2) having little prospect of marriage/(3) unconnected/weakly related/
縁家 [えんか] /(n) related family/
縁覚 [えんがく] /(n) (Buddh) pratyekabuddha (one who achieves enlightenment without a teacher)/
縁起 [えんぎ] /(n) (1) omen/(2) origin/causation/(P)/
縁起がいい [えんぎがいい] /(exp,adj-i) of good omen/augur well (for)/boding well for/good fortune/
縁起がよい [えんぎがよい] /(exp,adj-i) of good omen/augur well (for)/boding well for/good fortune/
縁起が悪い [えんぎがわるい] /(exp) of bad omen/ill augur/boding evil/bad fortune/
縁起が良い [えんぎがいい] /(exp,adj-i) of good omen/augur well (for)/boding well for/good fortune/
縁起が良い [えんぎがよい] /(exp,adj-i) of good omen/augur well (for)/boding well for/good fortune/
縁起でもない [えんぎでもない] /(exp) ill omened (as in "Don't say such an ill omened thing!")/unlucky/
縁起の悪い [えんぎのわるい] /(adj-i) ominous/ill-omened/sinister/
縁起もの [えんぎもの] /(n) talisman/lucky charm/
縁起を担ぐ [えんぎをかつぐ] /(exp,v5g) to be superstitious/
縁起直し [えんぎなおし] /(n) change of fortune/trying to change one's luck/
縁起物 [えんぎもの] /(n) talisman/lucky charm/
縁結び [えんむすび] /(n) marriage/marriage tie/love knot/
縁結びの神 [えんむすびのかみ] /(n) god of marriage/matchmaker/
縁故 [えんこ] /(n) relation/connection/affinity/
縁故採用 [えんこさいよう] /(n,vs) employment of workers through (personal) connections/getting a job through one's personal connection/
縁故政治 [えんこせいじ] /(n) crony politics/nepotistic government/
縁故疎開 [えんこそかい] /(n,vs) evacuating to the homes of one's relatives in the countryside in wartime/
縁故募集 [えんこぼしゅう] /(n) (1) recruiting (inviting application for) through personal connections/(2) private (stock) offering (subscription)/
縁語 [えんご] /(n) associated word/
縁座 [えんざ] /(n,vs) (system of) extending complicity for a crime to the criminal's family members/
縁者 [えんじゃ] /(n,adj-no) relative/
縁者贔屓 [えんじゃびいき] /(n) nepotism/
縁取り [ふちどり] /(n,vs) hemming/bordering/
縁取る [ふちどる] /(v5r,vt) to (add a) border or fringe/
縁飾り [ふちかざり] /(n) edging/frill/
縁神獣鏡 [しんじゅうきょう] /(n) ancient mirror decorated with gods and animals/
縁戚 [えんせき] /(n) relative/
縁石 [えんせき] /(n) curb (stone)/
縁籍 [えんせき] /(n) relatives/
縁切り [えんきり] /(n,vs) separation/divorce/severing of connections/
縁切り寺 [えんきりでら] /(n) (historic) a temple in which women seeking release from marriage could take refuge/
縁先 [えんさき] /(n) veranda edge/
縁組 [えんぐみ] /(n,vs) betrothal/wedding/marriage/alliance/
縁組み [えんぐみ] /(n,vs) betrothal/wedding/marriage/alliance/
縁側 [えんがわ] /(n) (1) veranda/porch/balcony/open corridor/(2) bone at the base of a fin/meat at the base of a fin (esp. of a flatfish)/(P)/
縁続き [えんつづき] /(n) relative/
縁台 [えんだい] /(n) bench/
縁談 [えんだん] /(n) marriage proposal/engagement/(P)/
縁談を調える [えんだんをととのえる] /(exp,v1) to arrange a marriage/
縁定め [えんさだめ] /(n) marriage contract/
縁内障 [りょくないしょう] /(iK) (n) glaucoma/
縁日 [えんにち] /(n) temple festival/fair/
縁日商人 [えんにちしょうにん] /(n) festival vendor/
縁付く [えんづく] /(v5k,vi) to marry/
縁付ける [えんづける] /(v1,vt) to marry off/to give in marriage/
縁辺 [えんぺん] /(n) edge/relative/relations/border/
縁裂れ [ふちぎれ] /(n) border strip/
艶 [えん] /(adj-na,n) charming/fascinating/voluptuous/
艶 [つや] /(n) (1) gloss/glaze/(2) charm/romance/love/youthfulness/(3) color/colour/feeling/(P)/
艶々 [つやつや] /(adv,n) glossy/bright/slick/(P)/
艶々しい [つやつやしい] /(adj-i) glossy/
艶々した [つやつやした] /(adj-f) (uk) bright/glossy/
艶かしい [なまめかしい] /(adj-i) charming/captivating/bewitching/seductive/coquettish/
艶っぽい [つやっぽい] /(adj-i) romantic/spicy/coquettish/
艶のある声 [つやのあるこえ] /(n) charming voice/
艶の有る声 [つやのあるこえ] /(n) charming voice/
艶めかしい [なまめかしい] /(adj-i) charming/captivating/bewitching/seductive/coquettish/
艶めかしい姿 [なまめかしいすがた] /(n) bewitching figure/
艶めかしい目付き [なまめかしいめつき] /(n) coquettish eyes/
艶めく [つやめく] /(v5k,vi) (1) (for an object) to be shiny/(2) (for a woman) to be alluring/to look sexy/
艶やか [あでやか] /(adj-na) glossy/beautiful/bewitching/fascinatingly elegant/
艶やか [つややか] /(adj-na) glossy/beautiful/bewitching/fascinatingly elegant/
艶艶 [つやつや] /(adv,n) glossy/bright/slick/
艶艶しい [つやつやしい] /(adj-i) glossy/
艶艶した [つやつやした] /(adj-f) (uk) bright/glossy/
艶歌 [えんか] /(n) (1) enka/traditional-style Japanese popular ballad/(2) troubadour/
艶姿 [あですがた] /(n) charming figure/alluring figure/
艶姿 [えんし] /(n) charming figure/alluring figure/
艶事 [つやごと] /(n) love affair/romance/
艶種 [つやだね] /(n) love affair/love rumour/love rumor/
艶出し [つやだし] /(n,vs) burnishing/glazing/polishing/
艶出し加工 [つやだしかこう] /(n) adding luster/adding lustre/
艶書 [えんしょ] /(n) love-letter/
艶消し [つやけし] /(adj-na,adj-no) (1) frosted (glass)/matted/(n,adj-na) (2) disillusionment/letdown/
艶消しガラス [つやけしガラス] /(n) frosted glass/
艶消し硝子 [つやけしがらす] /(n) frosted glass/
艶笑 [えんしょう] /(n,vs) (1) seductive smile/(2) erotic humor/
艶笑小話 [えんしょうこばなし] /(n) amorous anecdote/
艶笑文学 [えんしょうぶんがく] /(n) humorous erotic literature/
艶然 [えんぜん] /(adj-t,adv-to) (arch) sweetly smiling/like the smiling of a beauty/
艶美 [えんび] /(adj-na,n) beauty/charm/
艶福 [えんぷく] /(n) success in love/
艶福家 [えんぷくか] /(n) ladies' man/
艶物 [つやもの] /(n) love story/
艶文 [えんぶん] /(n) love-letter/
艶文 [つやぶみ] /(n) love-letter/
艶聞 [えんぶん] /(n) love affair/romance/one's love story/
艶容 [えんよう] /(n) charming look/fascinating figure/
艶麗 [えんれい] /(adj-na,n) dazzling (beauty)/
苑 [えん] /(n,n-suf) (1) garden (esp. man-made)/orchard/park/plantation/(2) place/location/
苑 [その] /(n,n-suf) (1) garden (esp. man-made)/orchard/park/plantation/(2) place/location/
苑地 [えんち] /(n) park/garden/
遠 [とお] /(adj-no) distant/(P)/
遠々しい [とおとおしい] /(adj-i) distant (behavior, etc.)/reserved/
遠い [とおい] /(adj-i) far/distant/(P)/
遠い昔 [とおいむかし] /(n) remote past/
遠い目 [とおいめ] /(exp) distant look/faraway look/
遠からず [とおからず] /(adv) soon/in the near future/
遠きは花の香近きは糞の香 [とおきははなのかちかきはくそのか] /(exp) it's human nature to consider things that are afar as beautiful and things that are up close as unsightly/
遠く [とおく] /(adj-no,n-adv,n) far away/distant/at a distance/distant place/by far/(P)/
遠くから [とおくから] /(exp) from a distance/
遠くに霞む [とおくにかすむ] /(exp,v5m) to loom in the distance/
遠くの親類より近くの他人 [とおくのしんるいよりちかくのたにん] /(exp) (id) A neighbour is better than a relative living far/
遠く及ばない [とおくおよばない] /(adj-i) falling far short of/no equal (match) for/
遠く離れて [とおくはなれて] /(n) at a long distance/
遠ざかる [とおざかる] /(v5r,vi) to go far off/(P)/
遠ざける [とおざける] /(v1,vt) to keep away/to keep at a distance/
遠っ走り [とおっぱしり] /(n,vs) going a long way/
遠のく [とおのく] /(v5k,vi) to become distant/to recede/
遠のける [とおのける] /(v1,vt) to keep (someone) at a distance/
遠の昔 [とうのむかし] /(iK) (exp,n-t) a long time ago/
遠まわし [とおまわし] /(adj-na,n) indirect (roundabout) expression/
遠め [とおめ] /(n,adj-na) distant/far/
遠因 [えんいん] /(n) underlying cause/
遠泳 [えんえい] /(n,vs) long-distance swimming/(P)/
遠縁 [とおえん] /(n,adj-no) distant relative/
遠遠しい [とおとおしい] /(adj-i) distant (behavior, etc.)/reserved/
遠音 [とおね] /(n) distant sound/
遠火 [とおび] /(n) distant fire/fire at some distance (in cooking)/
遠過ぎる [とおすぎる] /(v1) to be too far/
遠回し [とおまわし] /(adj-na,n) indirect (roundabout) expression/
遠回り [とおまわり] /(n) detour/roundabout way/
遠海 [えんかい] /(n) deep sea/ocean/
遠隔 [えんかく] /(n,adj-no) distant/remote/isolated/(P)/
遠隔アクセス [えんかくアクセス] /(n) (comp) remote access/
遠隔アクセスデータ処理 [えんかくアクセスデータしょり] /(n) (comp) remote-access data processing/
遠隔サイト [えんかくサイト] /(n) (comp) remote site/
遠隔ジョブ入力 [えんかくジョブにゅうりょく] /(n) (comp) remote job entry/RJE/
遠隔バッチ処理 [えんかくバッチしょり] /(n) (comp) remote batch processing/
遠隔バッチ入力 [えんかくバッチにゅうりょく] /(n) (comp) remote batch entry/
遠隔マシン [えんかくマシン] /(n) (comp) remote machine/
遠隔医療 [えんかくいりょう] /(n) (comp) remote medicine/
遠隔一括処理 [えんかくいっかつしょり] /(n) (comp) remote batch processing/
遠隔一括入力 [えんかくいっかつにゅうりょく] /(n) (comp) remote batch entry/
遠隔監視 [えんかくかんし] /(n) (comp) remote supervision/
遠隔教育 [えんかくきょういく] /(n) distance learning/remote learning/
遠隔講義 [えんかくこうぎ] /(n) distance learning/
遠隔視 [えんかくし] /(n) remote viewing/
遠隔試験法 [えんかくしけんほう] /(n) (comp) remote test method/
遠隔資源 [えんかくしげん] /(n) (comp) remote resource/
遠隔処理 [えんかくしょり] /(n) (comp) teleprocessing/
遠隔性 [えんかくせい] /(adj-na) remote/
遠隔操作 [えんかくそうさ] /(n,adj-no) remote control/remote operation/
遠隔操作サービス要素 [えんかくそうさサービスようそ] /(n) (comp) Remote Operation Service Element/
遠隔操作プロトコル機械 [えんかくそうさプロトコルきかい] /(n) (comp) remote-operation-protocol-machine/
遠隔測定 [えんかくそくてい] /(n) (comp) telemetry/remote measurement/
遠隔端末装置 [えんかくたんまつそうち] /(n) (comp) remote terminal/
遠隔地 [えんかくち] /(n) distant (remote) land/
遠隔通信 [えんかくつうしん] /(n) (comp) telecommunications/
遠隔保守 [えんかくほしゅ] /(n) (comp) remote maintenance/
遠隔保守システム [えんかくほしゅシステム] /(n) (comp) ASSIST/Advanced Service Support Information System Technology/
遠巻き [とおまき] /(n) surrounding at a distance/
遠眼 [えんがん] /(n) farsightedness/hyperopia/hypermetropia/far-sightedness/
遠眼鏡 [えんがんきょう] /(n) (1) (obs) spectacles for far-sightedness/(2) telescope/
遠眼鏡 [とおめがね] /(n) (1) (obs) spectacles for far-sightedness/(2) telescope/
遠忌 [えんき] /(n) 13th or later anniversary of a death/
遠忌 [おんき] /(n) 13th or later anniversary of a death/
遠距離 [えんきょり] /(n,adj-no) long distance/tele-/(P)/
遠距離分解能 [えんきょりぶんかいのう] /(n) far surface resolution/
遠距離恋愛 [えんきょりれんあい] /(n) long distance relationship/
遠近 [えんきん] /(n) distance/perspective/far and near/here and there/
遠近 [おちこち] /(n) distance/perspective/far and near/here and there/
遠近法 [えんきんほう] /(n) perspective/(P)/
遠近両用メガネ [えんきんりょうようメガネ] /(n) bifocal glasses/bifocals/
遠駆け [とおがけ] /(n,vs) long gallop or horseride/
遠景 [えんけい] /(n) vista/background/perspective/distant view/
遠見 [えんけん] /(n,vs) looking into distance/watchtower/distant view/
遠見 [とおみ] /(n,vs) looking into distance/watchtower/distant view/
遠古登点 [おことてん] /(n) marks to aid in reading Chinese classics/
遠古登点 [をことてん] /(n) marks to aid in reading Chinese classics/
遠交近攻 [えんこうきんこう] /(n) policy of cultivating distant countries while working to conquer those nearby/
遠郊 [えんこう] /(n) area remote from the city/outlying area/
遠国 [えんごく] /(n) distant land/remote country/
遠国 [おんごく] /(n) distant land/remote country/
遠山 [えんざん] /(n) distant mountain/(P)/
遠山 [とおやま] /(n) distant mountain/
遠山里 [とおやまざと] /(n) remote mountain village/
遠視 [えんし] /(n,adj-no) farsightedness/far-sightedness/hyperopia/hypermetropia/long-sightedness/
遠視眼 [えんしがん] /(n) farsightedness/
遠侍 [とおさぶらい] /(n) guard house in a samurai style house (Kamakura period)/
遠耳 [とおみみ] /(n) sharp hearing/
遠州行灯 [えんしゅうあんどん] /(n) Enshu lantern/type of paper lantern/
遠出 [とおで] /(n,vs) going afar/
遠称 [えんしょう] /(n) (ling) distal pronoun (indicating distance from both speaker and listener, i.e. are, asoko, achira)/
遠乗り [とおのり] /(n,vs) long ride/
遠心 [えんしん] /(adj-na,n,vs,adj-no) centrifuge/
遠心花序 [えんしんかじょ] /(n) centrifugal inflorescence/
遠心機 [えんしんき] /(n) centrifuge/
遠心性 [えんしんせい] /(adj-no) efferent/centrifugal/
遠心性神経 [えんしんせいしんけい] /(n) efferent neuron/efferent nerve/efferent/
遠心鋳造 [えんしんちゅうぞう] /(n) centrifugal casting/
遠心的 [えんしんてき] /(adj-na) centrifugal/
遠心分 [えんしんぶん] /(n) centrifugal/
遠心分離 [えんしんぶんり] /(n,vs) centrifugation/centrifuge/
遠心分離機 [えんしんぶんりき] /(n) centrifuge/centrifugal machine/
遠心分離法 [えんしんぶんりほう] /(n) centrifugal separation method/centrifuge process/centrifugation method/
遠心力 [えんしんりょく] /(n) centrifugal force/(P)/
遠征 [えんせい] /(n,vs,adj-no) (1) expedition/campaign/(performer's) tour/(2) away series (baseball)/(P)/
遠征軍 [えんせいぐん] /(n) expeditionary force/
遠征隊 [えんせいたい] /(n) expeditionary force/
遠戚 [えんせき] /(n) distant relative/
遠赤外 [えんせきがい] /(adj-na,n) far infrared/
遠浅 [とおあさ] /(adj-na,n) shoal/wide shallow beach/(P)/
遠祖 [えんそ] /(n) forefathers/remote ancestors/
遠足 [えんそく] /(n,vs) excursion/outing/trip/(P)/
遠退き角 [とおのきがく] /(n) angle of recess (of a gear)/
遠退き弧 [とおのきこ] /(n) arc of recess (of a gear)/
遠退く [とおのく] /(v5k,vi) to become distant/to recede/
遠退ける [とおのける] /(v1,vt) to keep (someone) at a distance/
遠大 [えんだい] /(adj-na,n) grand/far-reaching/
遠地 [えんち] /(n) distant place/remote point/
遠地点 [えんちてん] /(n) apogee/
遠沈 [えんちん] /(n,vs) sediment/centrifuge/
遠点 [えんてん] /(n) (1) far point (farthest point at which an object can be brought into focus by the eye)/(2) apoapsis/
遠島 [えんとう] /(n) remote island/punishment by exile to a remote island/
遠投 [えんとう] /(n,vs) long throw/
遠道 [えんどう] /(n) long walk/roundabout way/
遠道 [とおみち] /(n) long walk/roundabout way/
遠日点 [えんじつてん] /(n) aphelion/
遠日点 [えんにちてん] /(n) aphelion/
遠方 [えんぽう] /(n,adj-no) long way/distant place/(P)/
遠方 [おちかた] /(n,adj-no) long way/distant place/
遠望 [えんぼう] /(n,vs) vista/distant view/
遠謀 [えんぼう] /(n) foresight/forethought/
遠謀深慮 [えんぼうしんりょ] /(n) deep design and forethought/farsighted and deeply-laid plan/
遠吠え [とおぼえ] /(n,vs) howling/
遠鳴り [とおなり] /(n) distant peals (thunder)/distant roar (sea)/
遠目 [とおめ] /(adj-na,n,adj-no) distant view/farsightedness/
遠矢 [とおや] /(n) long-distance arrow (archery)/
遠洋 [えんよう] /(n,adj-no) ocean/deep sea/
遠洋漁業 [えんようぎょぎょう] /(n) deep-sea fisheries/
遠洋航海 [えんようこうかい] /(n) ocean navigation/
遠洋航路 [えんようこうろ] /(n) sea lane/
遠洋貿易 [えんようぼうえき] /(n) ocean trade/trade by sea/
遠来 [えんらい] /(n) foreign or distant visitor/
遠雷 [えんらい] /(n) distant thunder/
遠離 [えんり] /(n,vs) (1) (Buddh) separation by a great distance/
遠離 [おんり] /(n,vs) (1) (Buddh) separation by a great distance/(2) detachment/
遠流 [おんる] /(n) banishment or exile (punishment under the ritsuryo system)/
遠慮 [えんりょ] /(adj-na,n,vs) diffidence/restraint/reserve/discretion/tact/thoughtfulness/(P)/
遠慮がち [えんりょがち] /(adj-na) shy/diffident/retiring/reserved/
遠慮なく [えんりょなく] /(adv) without reservation/
遠慮のない [えんりょのない] /(adj-i) unreserved/
遠慮の無い [えんりょのない] /(adj-i) unreserved/
遠慮会釈 [えんりょえしゃく] /(n) reserve and consideration (to others)/
遠慮気味 [えんりょぎみ] /(n,adj-na,adj-no) somewhat reserved (diffident)/shyly/timidly/retiringly/in a retiring (reserved) manner/
遠慮近憂 [えんりょきんゆう] /(n) Failure to think of the long term leads to grief in the short term/
遠慮勝ち [えんりょがち] /(adj-na) shy/diffident/retiring/reserved/
遠慮深い [えんりょぶかい] /(adj-i) reserved/
遠路 [えんろ] /(n) long road/journey/detour/
鉛 [なまり] /(n) lead (the metal)/(P)/
鉛ガラス [なまりガラス] /(n) lead glass/
鉛管 [えんかん] /(n) lead pipe/
鉛公害 [なまりこうがい] /(n) pollution caused by lead exhaust/
鉛鉱 [えんこう] /(n) a lead mine/lead deposits/
鉛室法 [えんしつほう] /(n) lead chamber process/
鉛樹 [えんじゅ] /(n) lead tree (lead or zinc in a solution of acetate of lead)/
鉛色 [なまりいろ] /(n,adj-no) lead colour/lead color/
鉛錘 [えんすい] /(n) plumb bob/
鉛製 [えんせい] /(n,adj-no) leaden/made of lead/
鉛丹 [えんたん] /(n) red lead/minium/
鉛蓄電池 [なまりちくでんち] /(n) lead-acid battery/lead storage battery/
鉛中毒 [えんちゅうどく] /(n) lead poisoning/
鉛中毒 [なまりちゅうどく] /(n) lead poisoning/
鉛直 [えんちょく] /(adj-na,n,adj-no) perpendicular/upright/vertical/
鉛直圏 [えんちょくけん] /(n) vertical circle/
鉛直線 [えんちょくせん] /(n) vertical line/
鉛直面 [えんちょくめん] /(n) vertical plane/
鉛毒 [えんどく] /(n,adj-no) lead poisoning/
鉛白 [えんぱく] /(n) white lead/
鉛板 [えんばん] /(n) lead plate/
鉛版 [えんばん] /(n) stereotype (in printing)/
鉛筆 [えんぴつ] /(n) pencil/(P)/
鉛筆の芯 [えんぴつのしん] /(n) lead of a pencil/
鉛筆の木 [えんぴつのき] /(n) eastern red cedar (Juniperus virginiana)/
鉛筆画 [えんぴつが] /(n) sketch (done by pencil)/
鉛筆削り [えんぴつけずり] /(n) pencil sharpener/
鉛筆書き [えんぴつがき] /(n) drawing or writing in pencil/
鉛筆柏槙 [えんぴつびゃくしん] /(n) (uk) eastern red cedar (Juniperus virginiana)/
鉛粉 [えんぷん] /(n) white powder (lead carbonate) used in the past as face pigment and used in paint more recently/
鉛粉 [なまりふん] /(n) (obsc) fine lead powder used for writing on lacquerware/
鉛槧 [えんざん] /(n) the act of writing poetry or other literary works/
鴛鴦 [えんおう] /(n) mandarin duck/
鴛鴦 [おし] /(n) mandarin duck/
鴛鴦 [おしどり] /(n) mandarin duck/
鴛鴦茶 [えんおうちゃ] /(n) drink of black tea mixed with coffee/
鴛鴦夫婦 [おしどりふうふ] /(exp) loving couple/couple of lovebirds/happily married couple (who are always together)/
塩 [えん] /(n) (1) salt (i.e. sodium chloride)/common salt/table salt/(2) salt (e.g. sodium chloride, calcium sulfate, etc.)/
塩 [しお] /(n) (1) salt (i.e. sodium chloride)/common salt/table salt/(2) salt (e.g. sodium chloride, calcium sulfate, etc.)/(P)/
塩から [しおから] /(n) salted fish (entrails)/
塩け [しおけ] /(n) saltiness/
塩っぱい [しょっぱい] /(adj-i) (1) (sl) salty/(2) stingy/(3) hoarse/(4) wearisome/
塩に漬ける [しおにつける] /(exp,v1) to preserve in salt/
塩をかける [しおをかける] /(exp,v1) to sprinkle salt on/to salt/
塩を掛ける [しおをかける] /(exp,v1) to sprinkle salt on/to salt/
塩ビ [えんビ] /(n) (abbr) (poly) vinyl chloride/
塩ビ管 [えんビかん] /(n) (abbr) polyvinyl chloride pipe/PVC pipe/
塩安 [えんあん] /(n) ammonium chloride/
塩安ソーダ法 [えんあんソーダほう] /(n) ammonium chloride soda process/
塩引 [しおびき] /(n,vs) salted fish (esp. salmon)/
塩引き [しおびき] /(n,vs) salted fish (esp. salmon)/
塩化 [えんか] /(n,adj-no) chloride/(P)/
塩化アセチル [えんかアセチル] /(n) acetyl chloride/
塩化アルミニウム [えんかアルミニウム] /(n) aluminum chloride/
塩化アンチモン [えんかアンチモン] /(n) antimony chloride/
塩化アンモニウム [えんかアンモニウム] /(n) ammonium chloride/
塩化エチル [えんかエチル] /(n) ethyl chloride/
塩化エチレン [えんかエチレン] /(n) ethylene chloride/
塩化カリウム [えんかカリウム] /(n) potassium chloride/
塩化カルシウム [えんかカルシウム] /(n) calcium chloride/
塩化コバルト [えんかコバルト] /(n) cobalt chloride (esp. CoCl2, but also CoCl3)/
塩化コバルト紙 [えんかコバルトし] /(n) cobalt chloride paper/
塩化ナトリウム [えんかナトリウム] /(n) sodium chloride/
塩化バリウム [えんかバリウム] /(n) barium chloride/
塩化ビニール [えんかビニール] /(n) vinyl chloride/
塩化ビニル [えんかビニル] /(n) vinyl chloride/
塩化ビニル管 [えんかビニルかん] /(n) (abbr) polyvinyl chloride pipe/PVC pipe/
塩化ビニル樹脂 [えんかビニルじゅし] /(n) vinyl chloride resin/
塩化マグネシウム [えんかマグネシウム] /(n) magnesium chloride/
塩化メチル [えんかメチル] /(n) methyl chloride/
塩化亜鉛 [えんかあえん] /(n) zinc chloride/
塩化金 [えんかきん] /(n) gold chloride/
塩化銀 [えんかぎん] /(n) silver chloride/
塩化錫 [えんかすず] /(n) tin chloride/
塩化水銀 [えんかすいぎん] /(n) mercury chloride/
塩化水素 [えんかすいそ] /(adj-no) hydrogen chloride/
塩化鉄 [えんかてつ] /(n) iron chloride/
塩化銅 [えんかどう] /(n) copper chloride/
塩化物 [えんかぶつ] /(n) chloride/
塩化物イオン [えんかぶつイオン] /(n) chloride ion/
塩化硫黄 [えんかいおう] /(n) sulphur chloride/sulfur chloride/
塩加減 [しおかげん] /(n) seasoning (with salt)/
塩花 [しおばな] /(n) (1) (arch) purifying salt/(2) pile of salt placed by the door of a shop or restaurant/(3) whitecap/
塩害 [えんがい] /(n) salt-air damage/
塩害 [しおがい] /(n) salt-air damage/
塩角 [しおかど] /(n) salty taste/
塩干し [しおぼし] /(n,vs) salted and dried/
塩基 [えんき] /(n) (chem) base/(P)/
塩基性 [えんきせい] /(n) basic (i.e. not acidic)/
塩基性塩 [えんきせいえん] /(n) basic salt/
塩基性岩 [えんきせいがん] /(n) basic rock/
塩基性酸化物 [えんきせいさんかぶつ] /(n) basic oxide/
塩基性染料 [えんきせいせんりょう] /(n) basic dye/
塩基対 [えんきつい] /(n) base pair/
塩基度 [えんきど] /(n) basicity/
塩基配列 [えんきはいれつ] /(n) base sequence (e.g. of DNA)/
塩気 [しおけ] /(n) saltiness/
塩魚 [しおざかな] /(n) salted fish/
塩橋 [えんきょう] /(n) salt bridge/
塩湖 [えんこ] /(n) salt (saline) lake/
塩胡椒 [しおこしょう] /(n,vs) salt and pepper/
塩鮭 [しおざけ] /(n) salted salmon/
塩撒き [しおまき] /(n) salt-throwing ceremony before the sumo bout/
塩酸 [えんさん] /(n) hydrochloric acid/(P)/
塩酸イリノテカン [えんさんイリノテカン] /(n) irinotecan hydrochloride (anti-cancer drug)/
塩酸キナプリル [えんさんキナプリル] /(n) quinapril hydrochloride/
塩煮 [しおに] /(n) boiling in salted water (e.g. fish)/
塩汁 [しおじる] /(n) (1) salty broth/(2) salt water/
塩汁 [しょっつる] /(n) salted and fermented fish sauce from Akita/
塩汁鍋 [しょっつるなべ] /(n) pot dish with white flesh fish and shottsuru sauce (Akita regional dish)/
塩出し [しおだし] /(n,vs) desalinating with water/
塩焼 [しおやき] /(n,vs) (1) (fish) grilled or broiled with salt/(2) boiling seawater to get salt/
塩焼き [しおやき] /(n,vs) (1) (fish) grilled or broiled with salt/(2) boiling seawater to get salt/
塩尻 [しおじり] /(n) cone-shaped/
塩辛 [しおから] /(n) salted fish (entrails)/
塩辛い [しおからい] /(adj-i) salty (taste)/(P)/
塩辛声 [しおからごえ] /(n) hoarse voice/
塩辛蜻蛉 [しおからとんぼ] /(n) variety of dragonfly/
塩水 [えんすい] /(n) salt water/brine/
塩水 [しおみず] /(n) salt water/brine/(P)/
塩水湖 [えんすいこ] /(n) saltwater or saline lake/
塩水黽 [しおあめんぼ] /(n) (uk) Asclepios shiranui (species of pond skater)/
塩性 [えんせい] /(adj-na) saline/halophytic/
塩生植物 [えんせいしょくぶつ] /(n) halophilous plant/
塩税 [えんぜい] /(n) salt tax/
塩泉 [えんせん] /(n) saline spring/
塩煎餅 [しおせんべい] /(n) rice cracker seasoned with soy sauce/
塩素 [えんそ] /(n,adj-no) chlorine (Cl)/(P)/
塩素ガス中毒 [えんそガスちゅうどく] /(n) chloride gas poisoning/
塩素系 [えんそけい] /(adj-f) chlorinated/chlorine/
塩素酸 [えんそさん] /(n) chloric acid/
塩素酸カリウム [えんそさんカリウム] /(n) potassium chlorate/
塩素酸ナトリウム [えんそさんナトリウム] /(n) sodium chlorate/
塩素酸塩 [えんそさんえん] /(n) chlorate/
塩素水 [えんそすい] /(n) chlorine water/
塩素爆鳴気 [えんそばくめいき] /(n) chlorine detonating gas/
塩蔵 [えんぞう] /(n) preserving in salt/salting down/
塩蔵食品 [えんぞうしょくひん] /(n) salted food/
塩断ち [しおだち] /(n,vs) abstinence from salt (for vow or spiritual reasons)/
塩漬 [しおづけ] /(n) pickling in salt/
塩漬け [しおづけ] /(n) pickling in salt/
塩田 [えんでん] /(n) saltpan/field for drying salt/(P)/
塩湯 [しおゆ] /(n) hot salt water (incl. bath)/
塩豆 [しおまめ] /(n) salted beans/
塩入れ [しおいれ] /(n) salt shaker/
塩濃度 [えんのうど] /(n) salt concentration/
塩梅 [あんばい] /(n,vs) seasoning/condition/manner/flavour/flavor/state/(P)/
塩風呂 [しおぶろ] /(n) (hot) saltwater bath/
塩物 [しおもの] /(n) salted fish/
塩分 [えんぶん] /(n) salt/salt content/(P)/
塩鱒 [しおます] /(n) salted mackerel/
塩味 [しおあじ] /(n,adj-no) salty taste/saltiness/(P)/
塩浴 [えんよく] /(n) salt bath/
塩類 [えんるい] /(n,adj-no) salts/
塩類泉 [えんるいせん] /(n) salt spring/
塩類腺 [えんるいせん] /(n) salt gland/
塩類溶液 [えんるいようえき] /(n) saline/
塩籠 [しおかご] /(n) basket for salt by the sumo ring/
塩茹で [しおゆで] /(n) boiling with salt/boiling in salty water (e.g. vegetables)/
塩莎草 [しおくぐ] /(n) (uk) Carex scabrifolia (species of sedge)/
於いて [おいて] /(conj) (uk) at/in/on/
於かれましては [おかれましては] /(exp) (uk) (hon) (pol) in respect of/in regards to/as for/
於ける [おける] /(exp) (uk) in/at/for/
於て [おいて] /(conj) (uk) at/in/on/
於戯 [ああ] /(int) (1) (uk) Ah!/Oh!/Alas!/(2) Yes/Indeed/That is correct/(3) Hey!/Yo!/(4) Uh huh/Yeah yeah/Right/Gotcha/
於乎 [ああ] /(int) (1) (uk) Ah!/Oh!/Alas!/(2) Yes/Indeed/That is correct/(3) Hey!/Yo!/(4) Uh huh/Yeah yeah/Right/Gotcha/
汚 [よごれ] /(n) (uk) oceanic whitetip shark (Carcharhinus longimanus)/
汚い [きたない] /(adj-i) dirty/unclean/filthy/(P)/
汚いやり方 [きたないやりかた] /(n) dirty trick/
汚い爆弾 [きたないばくだん] /(n) dirty bomb/
汚し [よごし] /(n-suf,n) (1) (food) soiling/polluting/being dirty/(2) shame/disgrace/dishonor/dishonour/(n) (3) chopped fish, shellfish or vegetables, dressed with (miso or other) sauce/
汚す [けがす] /(v5s,vt) (1) to pollute/to contaminate/to soil/to make dirty/to stain/(2) to disgrace/to dishonour/to dishonor/to defile/
汚す [よごす] /(v5s,vt) (1) to pollute/to contaminate/to soil/to make dirty/to stain/(2) to disgrace/to dishonour/to dishonor/to defile/(P)/
汚ない [きたない] /(io) (adj-i) dirty/unclean/filthy/
汚らしい [きたならしい] /(adj-i) dirty-looking/squalid/
汚らわしい [けがらわしい] /(adj-i) filthy/unfair/dirty/untouchable/disgusting/nasty/foul/odious/repulsive/
汚らわしい身形 [けがらわしいみなり] /(n) dirty getup (appearance)/
汚れ [けがれ] /(n) uncleanness/impurity/disgrace/
汚れ [よごれ] /(n) dirt/filth/(P)/
汚れた手 [けがれたて] /(n) blood(-stained) hand/dirty hand/
汚れた手 [よごれたて] /(n) blood(-stained) hand/dirty hand/
汚れのない [けがれのない] /(adj-i) pure/clean/untouched/innocent/
汚れの無い [けがれのない] /(adj-i) pure/clean/untouched/innocent/
汚れる [けがれる] /(v1,vi) to be violated/to be corrupted/to be polluted/to be stained/
汚れる [よごれる] /(v1,vi) (1) to get dirty/to become dirty/(2) to become sullied/(P)/
汚れ物 [よごれもの] /(n) dirty things/dirty laundry/
汚れ役 [よごれやく] /(n) role of a villain (film, drama, etc.)/bad-guy role/social outcast role/
汚れ落とし [よごれおとし] /(n) getting stains out/getting rid of stains/
汚言症 [おげんしょう] /(n) coprolalia/uncontrollable use of obscene language/
汚行 [おこう] /(n) scandalous conduct/
汚鮫 [よごれざめ] /(n) (uk) oceanic whitetip shark (Carcharhinus longimanus)/
汚臭 [おしゅう] /(n) foul smell/
汚職 [おしょく] /(n,adj-no) corruption/(P)/
汚職疑惑 [おしょくぎわく] /(n) suspicion of corruption/
汚職警官 [おしょくけいかん] /(n) corrupt policeman/dirty cop/
汚職政治家 [おしょくせいじか] /(n) corrupt politician/
汚辱 [おじょく] /(n) disgrace/humiliation/insult/
汚水 [おすい] /(n) filthy water/sewage/(P)/
汚染 [おせん] /(n,vs) pollution/contamination/(P)/
汚染レベル [おせんレベル] /(n) contamination level/
汚染菌 [おせんきん] /(n) contaminant/
汚染源 [おせんげん] /(n) source of pollution/
汚染者負担原則 [おせんしゃふたんげんそく] /(n) Polluter Pays Principle/PPP/
汚染除去 [おせんじょきょ] /(n) decontamination/
汚染水 [おせんすい] /(n) contaminated water/polluted water/dirty water/
汚染物質 [おせんぶっしつ] /(n) pollutant/contaminant/
汚損 [おそん] /(n,vs) stain/
汚濁 [おだく] /(n,vs) pollution/contamination/corruption/graft/(P)/
汚泥 [おでい] /(n) dirty mud/
汚点 [おてん] /(n) stain/blot/flaw/disgrace/(P)/
汚物 [おぶつ] /(n) dirt/dust/garbage/(P)/
汚名 [おめい] /(n) stigma/dishonour/dishonor/infamy/(P)/
汚名をすすぐ [おめいをすすぐ] /(exp,v5g) to clear one's name/
汚名返上 [おめいへんじょう] /(n,vs) clear one's name/redeem oneself/clear (vindicate) one's honor (reputation)/
汚穢 [おあい] /(adj-na,n) night soil/
汚穢 [おわい] /(adj-na,n) night soil/
汚穢屋 [おわいや] /(oK) (n) (col) person who gathers night soil/
甥 [おい] /(n) nephew/(P)/
甥っ子 [おいっこ] /(n) nephew/
甥御 [おいご] /(n) (hon) (another person's) nephew/
甥子 [おいご] /(n) nephew/
甥子 [おいっこ] /(n) nephew/
凹 [おう] /(pref) concave/hollow/sunken/
凹ます [へこます] /(v5s,vt) to dent/to indent/to depress/to humiliate/
凹ませる [へこませる] /(v1) to dent/to indent/to depress/to humiliate/
凹まる [くぼまる] /(v5r,vi) to be low (as a hollow)/
凹み [くぼみ] /(n) hollow/cavity/dent/depression/
凹み [へこみ] /(n) hollow/cavity/dent/depression/(P)/
凹む [くぼむ] /(v5m) to cave in/to become depressed/to sink/
凹む [へこむ] /(v5m) (1) to be dented/to be indented/to yield to/to give/to sink/to collapse/to cave in/(2) to be snubbed/to be overwhelmed/to feel down/to be forced to yield/(P)/
凹める [くぼめる] /(v1,vt) to hollow out/
凹レンズ [おうレンズ] /(n) concave lens/
凹眼 [おうがん] /(n) cavernous eyes/
凹眼鏡 [おうがんきょう] /(n) concave glasses/
凹型 [おうがた] /(n,adj-no) concavity/
凹形 [おうがた] /(n,adj-no) concavity/
凹形 [おうけい] /(n,adj-no) concavity/
凹所 [おうしょ] /(n) concavity/hollow/depression/
凹状 [おうじょう] /(n,adj-no) concavity/
凹多角形 [おうたかくけい] /(n) concave polygon/
凹地 [おうち] /(n) pit/hollow/basin/depression/
凹地 [くぼち] /(n) pit/hollow/basin/depression/
凹田 [くぼた] /(n) rice field in a low place/
凹凸 [おうとつ] /(n,adj-na,adj-no) unevenness/roughness/ruggedness/(P)/
凹版 [おうはん] /(n) intaglio (printing)/
凹版 [おうばん] /(n) intaglio (printing)/
凹版印刷 [おうはんいんさつ] /(n) intaglio printing/
凹面 [おうめん] /(n) (1) concavity/(adj-no) (2) concave/(pref) (3) concavo/
凹面鏡 [おうめんきょう] /(n) concave mirror/
凹目 [くぼめ] /(n) sunken (deep-set) eyes/
凹溜まり [くぼたまり] /(n) hollow/pond in a hollow/
央 [おう] /(suf) middle/centre/center/
奥 [おく] /(n) interior/inner part/inside/(P)/
奥さん [おくさん] /(n) (hon) wife/your wife/his wife/married lady/madam/(P)/
奥さん孝行 [おくさんこうこう] /(n) devoted to one's wife/
奥つ城 [おくつき] /(n) grave/tomb/
奥つ城所 [おくつきどころ] /(n) (arch) graveyard/cemetery/
奥の院 [おくのいん] /(n) inner sanctuary/
奥の間 [おくのま] /(n) inner room/
奥の手 [おくのて] /(n) left hand/upper hand/secret skills/secret/mystery/last resort/trump card/
奥ぶかい [おくぶかい] /(adj-i) profound/deep/
奥まって [おくまって] /(exp) secluded/innermost/
奥まる [おくまる] /(v5r,vi) to lie deep in/to extend far back/
奥ゆかしい [おくゆかしい] /(adj-i) humble/modest/
奥意 [おくい] /(n) true intention/
奥印 [おくいん] /(n) official seal/
奥義 [おうぎ] /(n) secrets/mysteries/esoterica/hidden purpose/
奥義 [おくぎ] /(n) secrets/mysteries/esoterica/hidden purpose/
奥義を究める [おうぎをきわめる] /(exp,v1) to master the secrets of an art/
奥義書 [おうぎしょ] /(n) esoteric writings/Upanishad (sacred Hindu treatises)/
奥義秘伝 [おうぎひでん] /(n) secrets/mysteries/secret formula/essence/esoterica (of an art, martial arts, etc.)/
奥宮 [おくみや] /(n) rear shrine (located behind the main shrine, but dedicated to the same deity)/
奥許し [おくゆるし] /(n) secret/initiation/diploma/
奥勤め [おくづとめ] /(n) working as a lady's maid/
奥御殿 [おくごてん] /(n) noble's private quarters/
奥向き [おくむき] /(n,adj-no) (1) inner part of a house (near the kitchen, living room, etc.)/(2) family matters/household affairs/personal business/
奥行 [おくゆき] /(n) depth/length/(P)/
奥行き [おくゆき] /(n) depth/length/(P)/
奥行き知覚 [おくゆきちかく] /(n) depth perception/
奥行き表現 [おくゆきひょうげん] /(n) (comp) depth cueing/
奥行き表現モード [おくゆきひょうげんモード] /(n) (comp) depth cue mode/
奥行き表現定義表 [おくゆきひょうげんていぎひょう] /(n) (comp) depth cue table/
奥行知覚 [おくゆきちかく] /(n) depth perception/
奥座敷 [おくざしき] /(n) inner parlor/inner parlour/salon/living room/
奥山 [おくやま] /(n) remote mountain/mountain recesses/(P)/
奥山放獣 [おくやまほうじゅう] /(n) relocation of wild animals to a remote location/
奥旨 [おうし] /(n) deep truth/deep knowledge/
奥歯 [おくば] /(n) molars/back teeth/
奥歯に物が挟まる [おくばにものがはさまる] /(exp,v5r) to talk around something (exp. derived from having something stuck in your back teeth and thus be unable to speak clearly)/to imply something in a roundabout way/
奥社 [おくしゃ] /(n) rear shrine (located behind the main shrine, but dedicated to the same deity)/
奥手 [おくて] /(n,adj-no) (1) late growing rice/late crops/late blooming flowers/(n) (2) shy person/slow maturer/
奥書 [おくがき] /(n) postscript (to a book)/verification/publication (in a book)/
奥書き [おくがき] /(io) (n) postscript (to a book)/verification/publication (in a book)/
奥女中 [おくじょちゅう] /(n) (arch) woman in waiting in the inner part of a lord's mansion (Edo period)/
奥床しい [おくゆかしい] /(adj-i) refined/graceful/modest/
奥上臈 [おくじょうろう] /(n) (arch) woman in waiting in the inner part of a lord's mansion/
奥深い [おくふかい] /(adj-i) profound/deep/
奥深い [おくぶかい] /(adj-i) profound/deep/
奥深さ [おくふかさ] /(n) depth/profundity/
奥地 [おうち] /(n,adj-no) interior/backwoods/hinterland/back regions/(P)/
奥地 [おくち] /(n,adj-no) interior/backwoods/hinterland/back regions/
奥津城 [おくつき] /(n) grave/tomb/
奥底 [おくそこ] /(n) depth/bottom (of one's heart)/
奥底 [おくぞこ] /(n) depth/bottom (of one's heart)/
奥庭 [おくにわ] /(n) inner garden/back yard/
奥伝 [おくでん] /(n) esoteric/
奥都城 [おくつき] /(n) (Shinto) family grave/ancestral grave/
奥陶紀 [おうとうき] /(n) (obsc) Ordovician period/
奥付け [おくづけ] /(n) colophon/
奥方 [おくがた] /(n) lady/nobleman's wife/
奥妙 [おうみょう] /(adj-na,n) secret/
奥様 [おくさま] /(n) (pol) wife/your wife/his wife/married lady/madam/(P)/
往々 [おうおう] /(adv) sometimes/often/
往々にして [おうおうにして] /(adv) sometimes/occasionally/now and then/from time to time/
往き [いき] /(n-suf) (1) bound for .../(n) (2) going (to)/
往き [ゆき] /(n-suf) (1) bound for .../(n) (2) going (to)/
往き交い [いきかい] /(n) coming and going/traffic/
往き交い [ゆきかい] /(n) coming and going/traffic/
往き返り [ゆきかえり] /(n) round trip/
往き来 [いきき] /(n,vs) (1) coming and going/keeping in touch/visiting each other/(2) street traffic/highway/
往き来 [ゆきき] /(n,vs) (1) coming and going/keeping in touch/visiting each other/(2) street traffic/highway/
往く [いく] /(oK) (v5k-s,vi) (1) to go/(2) to proceed/to take place/(aux-v) (3) to continue/
往く [ゆく] /(oK) (v5k-s,vi) (1) to go/(2) to proceed/to take place/(aux-v) (3) to continue/
往なす [いなす] /(v5s,vt) to parry/to sidestep/to let go/to chase away/
往にし [いにし] /(adj-pn) olden-day/hidden in the past/
往ぬ [いぬ] /(v5n) (1) (arch) to go/(2) to pass (of time)/(3) to die/(4) to go bad/to rot/(5) (ksb:) to go home/
往んじ [いんじ] /(adj-pn) olden-day/hidden in the past/
往往 [おうおう] /(adv) sometimes/often/
往還 [おうかん] /(n,vs) traffic/coming and going/highway/
往古 [おうこ] /(n) ancient times/
往古より [おうこより] /(n) from times immemorial/from ancient times/
往航 [おうこう] /(n) outward voyage/
往事 [おうじ] /(n) the past/past events/
往事渺茫 [おうじびょうぼう] /(uK) (adj-t,adv-to) (arch) memories of the past events (being, becoming) far and distant/
往事茫々 [おうじぼうぼう] /(adj-t,adv-to) (arch) memories of the past events (being, becoming) far and distant/
往事茫茫 [おうじぼうぼう] /(adj-t,adv-to) (arch) memories of the past events (being, becoming) far and distant/
往時 [おうじ] /(n) ancient times/
往信 [おうしん] /(n) first half of a reply card/
往診 [おうしん] /(n,vs) doctor's visit/house call/(P)/
往生 [おうじょう] /(n,vs) (1) death/passing to the next life/dying a happy death/(2) giving up a struggle/submission/(3) at wit's end/flummoxed/(P)/
往生際 [おうじょうぎわ] /(n) at the point of death/the time to give up/
往生際が悪い [おうじょうぎわがわるい] /(exp) not knowing when to give up/
往生際の悪い [おうじょうぎわのわるい] /(adj-i) unreasonably stubborn/not knowing when to give up/
往昔 [おうせき] /(n) ancient times/
往代 [おうだい] /(n) ancient times/times of old/time long since passed/
往日 [おうじつ] /(n) ancient times/
往年 [おうねん] /(n,adj-no) former/one-time/years ago/(P)/
往復 [おうふく] /(n,vs,adj-no) (col) round trip/coming and going/return ticket/(P)/
往復びんた [おうふくびんた] /(n) double slap in the face (second slap administered by the return motion of the back of the hand)/
往復ビンタ [おうふくビンタ] /(n) double slap in the face (second slap administered by the return motion of the back of the hand)/
往復ポンプ [おうふくポンプ] /(n) reciprocating pump/
往復機関 [おうふくきかん] /(n) reciprocating engine/
往復航空券 [おうふくこうくうけん] /(n) round trip (airplane) ticket/
往復切符 [おうふくきっぷ] /(n) round-trip ticket/return ticket/
往復伝搬時間 [おうふくでんぱんじかん] /(n) (comp) round-trip propagation time/
往復葉書 [おうふくはがき] /(n) postcard with a reply card attached/
往返 [おうへん] /(n,vs) round trip/
往訪 [おうほう] /(n,vs) visit/interview/
往来 [おうらい] /(n,vs) coming and going/road/correspondence/street traffic/highway/(P)/
往路 [おうろ] /(n) outward journey/
応 [おう] /(n) (1) agreement/affirmative/(int) (2) aye/yes/OK/okay/yeah/all right/
応え [いらえ] /(n) response/reply/answer/solution/
応え [こたえ] /(n) response/reply/answer/solution/
応える [こたえる] /(v1,vi) (1) to respond/to live up to/to reward/(2) to take its toll/to strike home/to have an effect on/to be hard on someone (e.g. heat, cold, work, illness, etc.)/to be a strain/(P)/
応じて [おうじて] /(exp) in proportion to/according to/depending on/
応じる [おうじる] /(v1,vi) to respond/to satisfy/to accept/to comply with/to apply for/(P)/
応ずる [おうずる] /(vz,vi) (1) to answer/to respond/to meet/(2) to satisfy/to accept/(P)/
応安 [おうあん] /(n) Ouan era (of the Northern Court) (1368.2.18-1375.2.27)/
応永 [おうえい] /(n) Ouei era (1394.7.5-1428.4.27)/
応益原則 [おうえきげんそく] /(n) benefit principle (of taxation)/
応援 [おうえん] /(n,vs) aid/assistance/help/reinforcement/rooting/barracking/support/cheering/(P)/
応援演説 [おうえんえんぜつ] /(n) campaign (vote-getting) speech (for a candidate)/
応援歌 [おうえんか] /(n) rooters' song/
応援団 [おうえんだん] /(n) cheering party/
応援団長 [おうえんだんちょう] /(n) cheerleader/
応化 [おうか] /(n) (1) (abbr) applied chemistry/(n,vs) (2) adaptation/
応化 [おうけ] /(n,vs) (Buddh) assumption of a suitable form (by a buddha or bodhisattva)/
応化 [おうげ] /(n,vs) (Buddh) assumption of a suitable form (by a buddha or bodhisattva)/
応急 [おうきゅう] /(n,adj-no) emergency/first-aid/(P)/
応急攻撃 [おうきゅうこうげき] /(n) hasty attack/
応急策 [おうきゅうさく] /(n) emergency or temporary measure/
応急手当 [おうきゅうてあて] /(n) first-aid (treatment)/
応急手当て [おうきゅうてあて] /(n) first-aid (treatment)/
応急手当てを施す [おうきゅうてあてをほどこす] /(exp,v5s) to give (a person) first-aid/to administer first aid/
応急手当を施す [おうきゅうてあてをほどこす] /(exp,v5s) to give (a person) first-aid/to administer first aid/
応急修理 [おうきゅうしゅうり] /(n,vs) temporary repairs/
応急処置 [おうきゅうしょち] /(n,adj-no) (1) emergency measure/emergency procedures/first-aid treatment/(2) temporary repairs/stop-gap treatment/
応急渡河 [おうきゅうとか] /(n) hasty crossing/
応供 [おうぐ] /(n) (Buddh) arhat (meritorious person, esp. an epithet of Buddha)/
応札 [おうさつ] /(n,vs) bid/(P)/
応手 [おうしゅ] /(n) (primarily in shogi or go) response/countermeasure/counter-measure/
応需 [おうじゅ] /(n,vs) responding to a demand/answering a request/
応酬 [おうしゅう] /(n,vs) (1) exchange/reciprocation/give-and-take/return/(2) reply/riposte/(P)/
応召 [おうしょう] /(n,vs) (mil) respond to a call for military service/being called to the colours (colors)/(P)/
応召者 [おうしょうしゃ] /(n) draftee/draughtee/
応召兵 [おうしょうへい] /(n) conscript/draftee/selectee/inductee/
応鐘 [おうしょう] /(n) (1) (in China) 12th note of the ancient chromatic scale (approx. C sharp)/(2) tenth month of the lunar calendar/
応身 [おうじん] /(n) (Buddh) nirmanakaya (response body, form taken by a buddha according to the capabilities of those who are to be saved)/
応仁 [おうにん] /(n) Ounin era (1467.3.5-1469.4.28)/
応仁の乱 [おうにんのらん] /(n) Onin War (1467-1477)/
応接 [おうせつ] /(n,vs) reception/(P)/
応接セット [おうせつセット] /(n) lounge suite/
応接間 [おうせつま] /(n) reception room/parlor/parlour/
応接係 [おうせつかかり] /(n) receptionist/desk clerk/
応接係 [おうせつがかり] /(n) receptionist/desk clerk/
応接室 [おうせつしつ] /(n) (1) drawing room/parlour/parlor/(2) reception office/
応戦 [おうせん] /(n,vs) accepting a challenge/returning fire/fighting back/putting up a fight/responding to an attack/
応訴 [おうそ] /(n,vs) countersuit/
応対 [おうたい] /(n,vs) receiving/dealing with/(P)/
応諾 [おうだく] /(n,vs) consent/compliance/
応長 [おうちょう] /(n) Ouchou era (1311.4.28-1312.3.20)/
応天門 [おうてんもん] /(n) main southern gate of the Heian Palace's reception compound/
応天門 [おうでんもん] /(n) main southern gate of the Heian Palace's reception compound/
応天門の変 [おうてんもんのへん] /(n) (arch) Otenmon conspiracy (political incident in 866CE centered around the destruction by fire of the main gate of the imperial palace)/
応答 [おうとう] /(n,vs) reply/answer/response/(P)/
応答メッセージ [おうとうメッセージ] /(n) (comp) greeting/
応答確認 [おうとうかくにん] /(n) (comp) response confirmation/
応答時間 [おうとうじかん] /(n) (comp) response time/
応答時間ウインドウ [おうとうじかんウインドウ] /(n) (comp) response time window/response window/
応答側 [おうとうがわ] /(n) (comp) responder/
応答側Ｎアドレス [おうとうがわエンアドレス] /(n) (comp) responding-(N)-address/
応答側ＳＳ利用者 [おうとうがわエスエスりようしゃ] /(n) (comp) responding SS user/
応答長 [おうとうちょう] /(n) impulse response length/
応答能 [おうとうのう] /(n) competence/
応徳 [おうとく] /(n) Outoku era (1084.2.7-1087.4.7)/
応能原則 [おうのうげんそく] /(n) ability-to-pay principle (of taxation)/
応分 [おうぶん] /(adj-na,n,adj-no) according to one's abilities/appropriate/reasonable/(P)/
応変 [おうへん] /(n) appropriate (urgent) response/expediency/
応変能力 [おうへんのうりょく] /(n) ability to take proper steps to meet the situation/ability to adapt oneself to (the requirement of) the moment/
応保 [おうほう] /(n) Ouhou era (1161.9.4-1163.3.29)/
応募 [おうぼ] /(n,vs) subscription/application/(P)/
応募作品 [おうぼさくひん] /(n) work sent to a competition/competition entry/
応募資金 [おうぼしきん] /(n) subscribed capital/
応募者 [おうぼしゃ] /(n) applicant/
応募用紙 [おうぼようし] /(n) application form/
応報 [おうほう] /(n) retribution/
応用 [おうよう] /(n,vs) application/put to practical use/(P)/
応用ＢＯＳ [おうようビーオーエス] /(n) (comp) application BOS/
応用アソシエーション [おうようアソシエーション] /(n) (comp) application-association/association/
応用コンテキスト [おうようコンテキスト] /(n) (comp) application context/
応用ソフトウェア [おうようソフトウェア] /(n) (comp) application software/
応用ソフトウェアプログラム [おうようソフトウェアプログラム] /(n) (comp) application software program/
応用データ [おうようデータ] /(n) (comp) application data/
応用パッケージ [おうようパッケージ] /(n) (comp) application package/
応用プログラム [おうようプログラム] /(n) (comp) application program/application software/
応用プロセス [おうようプロセス] /(n) (comp) application-process/
応用化学 [おうようかがく] /(n) applied chemistry/
応用科学 [おうようかがく] /(n) applied science/
応用科学大学 [おうようかがくだいがく] /(n) university of applied science (e.g. the Dutch "Hogeschool" and the German "Fachhochschule" institutes of higher education)/
応用管理 [おうようかんり] /(n) (comp) application-management/
応用管理応用エンティティ [おうようかんりおうようエンティティ] /(n) (comp) application-management-application-entity/
応用規則 [おうようきそく] /(n) (comp) application convention/
応用技術 [おうようぎじゅつ] /(n) (comp) practical technology/
応用研究 [おうようけんきゅう] /(n) (comp) practical research/applied research/
応用言語学 [おうようげんごがく] /(n) applied linguistics/
応用心理学 [おうようしんりがく] /(n) applied psychology/
応用数学 [おうようすうがく] /(n) (math) applied mathematics/
応用地質学 [おうようちしつがく] /(n) applied geology/
応用特有情報 [おうようとくゆうじょうほう] /(n) (comp) application-specific information/
応用物理学 [おうようぶつりがく] /(n) applied physics/
応用編 [おうようへん] /(n) problem in a mathematics textbook in which previously learned skills are applied to real world situations/practical assessment/
応用問題 [おうようもんだい] /(n) application problem/exercises/
応用力 [おうようりょく] /(n) application/
応用力学 [おうようりきがく] /(n) applied mechanics/
応用倫理学 [おうようりんりがく] /(n) applied ethics/
応竜 [おうりゅう] /(n) Yinglong/dragon-like beast from Chinese mythology/
応龍 [おうりゅう] /(oK) (n) Yinglong/dragon-like beast from Chinese mythology/
応力 [おうりょく] /(n) stress (physical stress on a mechanical part)/
応力径路 [おうりょくけいろ] /(n) stress path/
応力経路 [おうりょくけいろ] /(n) stress path/
応力腐食割れ [おうりょくふしょくわれ] /(n) stress corrosion cracking/
応和 [おうわ] /(n) Ouwa era (961.2.16-964.7.10)/
押え [おさえ] /(n) weight (e.g. paperweight)/rear guard/control/check/pressure/
押えつける [おさえつける] /(v1,vt) to press down/to hold down/to pin down/to repress/
押える [おさえる] /(v1,vt) (1) to pin something down/to hold something down/to hold something back/to stop/to restrain/to curb/(2) to seize/to grasp/to arrest/(3) to gain control of something/to govern/to keep down (e.g. information)/to suppress/(4) to catch happening/to determine (important points)/to find (proof)/to understand/
押え込む [おさえこむ] /(v5m,vt) to pin down/to immobilize/to immobilise/to control/to suppress/
押え付ける [おさえつける] /(v1,vt) to press down/to hold down/to pin down/to repress/
押さえ [おさえ] /(n) weight (e.g. paperweight)/rear guard/control/check/pressure/
押さえこむ [おさえこむ] /(v5m,vt) to pin down/to immobilize/to immobilise/to control/to suppress/
押さえつける [おさえつける] /(v1,vt) to press down/to hold down/to pin down/to repress/
押さえねじ [おさえねじ] /(n) locking screw/set screw/
押さえる [おさえる] /(v1,vt) (1) to pin something down/to hold something down/to hold something back/to stop/to restrain/to curb/(2) to seize/to grasp/to arrest/(3) to gain control of something/to govern/to keep down (e.g. information)/to suppress/(4) to catch happening/to determine (important points)/to find (proof)/to understand/(P)/
押さえ溝 [おさえみぞ] /(n) groove in the body of wooden plane which holds the blade/
押さえ込み [おさえこみ] /(n) holding down (esp. in judo)/holding technique/pinning down/immobilizing/bringing under control/
押さえ込む [おさえこむ] /(v5m,vt) to pin down/to immobilize/to immobilise/to control/to suppress/
押さえ付ける [おさえつける] /(v1,vt) to press down/to hold down/to pin down/to repress/
押さえ棒 [おさえぼう] /(n) metal rod in a wooden plane which holds the chip breaker against the blade/
押され気味 [おされぎみ] /(n,adj-no) being on the ropes/losing ground/
押し [おし] /(n) push/pressure/authority/audacity/(P)/
押しあう [おしあう] /(v5u,vi) to jostle/to crowd/to haggle/
押しあける [おしあける] /(v1) to force open/to push open/
押しあげる [おしあげる] /(v1,vt) to boost/to force up/to push up/
押しあてる [おしあてる] /(v1,vt) to push (something) against/
押しいる [おしいる] /(v5r) to push in/
押しかえす [おしかえす] /(v5s,vt) to force back/to jostle/
押しかけ [おしかけ] /(n) uninvited (visitor)/stalker/
押しかける [おしかける] /(v1,vi) to intrude on/
押しかためる [おしかためる] /(v1) to press together/
押しかぶせ断層 [おしかぶせだんそう] /(n) overthrust fault/
押しかぶせ褶曲 [おしかぶせしゅうきょく] /(n) overthrust fold/
押しきる [おしきる] /(v5r,vt) (1) to face down the opposition/to overcome resistance/to have one's own way/(2) to press and cut/
押しこむ [おしこむ] /(v5m,vi,vt) (1) to push into/to crowd into/(vt) (2) to break in/to burglarize/
押しころす [おしころす] /(v5s,vt) to crush to death/to stifle to death/to squeeze to death/
押したおす [おしたおす] /(v5s,vt) to push down/
押したてる [おしたてる] /(v1,vt) (1) to set up/to raise/(2) to nominate/to choose as a representative/(3) to push/to shove/
押しだまる [おしだまる] /(v5r,vi) to keep silent/
押しつけ [おしつけ] /(n) imposition (i.e. of rules, of a decision)/compulsion/
押しつけがましい [おしつけがましい] /(adj-i) pushy/pushing/self-assertive/
押しつける [おしつける] /(v1,vt) to press/to push/to force/
押しつぶす [おしつぶす] /(v5s,vt) to squash/to crush/to flatten/
押しつまる [おしつまる] /(v5r) to approach the year end/to be jammed tight/
押しつめる [おしつめる] /(v1) to pack (in box)/to drive to wall/
押して [おして] /(adv) forcibly/by compulsion/importunately/
押しとおす [おしとおす] /(v5s,vt) to persist in/to carry out/to have one's own way/to push through/to carry through/
押しとおる [おしとおる] /(v5r) to force one's way through/
押しとどめる [おしとどめる] /(v1,vt) to stop/
押しながす [おしながす] /(v5s,vt) to wash away/
押しのける [おしのける] /(v1,vt) to push aside/to brush aside/
押しひろめる [おしひろめる] /(v1,vt) to extend by force/to aggrandize/to aggrandise/
押しまくる [おしまくる] /(v5r) to push and push/to keep pushing to the end/
押しもどす [おしもどす] /(v5s,vt) to push back/
押しも押されもしない [おしもおされもしない] /(adj-i) of established reputation/
押しも押されもせぬ [おしもおされもせぬ] /(adj-f) of established reputation/
押しやる [おしやる] /(v5r,vt) to push or thrust away/
押しよせる [おしよせる] /(v1,vi) to advance on/to close in/to march on/to descend on (the enemy)/to move towards/to surge forward (crowd, wave of nostalgia, wave, etc.)/to rush for (the door)/to inundate/to overwhelm/to push aside/
押しわける [おしわける] /(v1,vt) to push aside/
押しピン [おしピン] /(n) drawing pin/thumbtack/pushpin/
押しボタン [おしボタン] /(n) (comp) (computer) pushbutton/
押し隠す [おしかくす] /(v5s,vt) to cover up/to conceal/
押し屋 [おしや] /(n) commuter train packer/
押し下げる [おしさげる] /(v1,vt) to push or press or force down/to depress/
押し花 [おしばな] /(n) pressed flower/
押し回し [おしまわし] /(n) depressing something and turning it while still depressed (i.e. gas stopper, spark plug)/
押し回す [おしまわす] /(v5s) to turn something (forcefully)/
押し絵 [おしえ] /(n) raised cloth picture/raised cloth pictures/
押し開く [おしひらく] /(v5k) to push open/
押し開ける [おしあける] /(v1) to force open/to push open/
押し掛け [おしかけ] /(n) uninvited (visitor)/stalker/
押し掛ける [おしかける] /(v1,vi) to intrude on/
押し掛け客 [おしかけきゃく] /(n) uninvited guest/
押し掛け女房 [おしかけにょうぼう] /(n) woman who forced her husband into marriage/
押し割り麦 [おしわりむぎ] /(n) pressed barley/
押し寄せる [おしよせる] /(v1,vi) to advance on/to close in/to march on/to descend on (the enemy)/to move towards/to surge forward (crowd, wave of nostalgia, wave, etc.)/to rush for (the door)/to inundate/to overwhelm/to push aside/
押し詰まる [おしつまる] /(v5r) to approach the year end/to be jammed tight/
押し詰める [おしつめる] /(v1) to pack (in box)/to drive to wall/
押し詰る [おしつまる] /(v5r) to approach the year end/to be jammed tight/
押し競 [おしくら] /(n) (abbr) children's game in which (at least three) people stand back to back to each other and shove vigorously backwards/
押し競べ [おしくらべ] /(n) children's game in which (at least three) people stand back to back to each other and shove vigorously backwards/
押し競饅頭 [おしくらまんじゅう] /(n) children's game in which (at least three) people stand back to back to each other and shove vigorously backwards/
押し捲くる [おしまくる] /(v5r) to push and push/to keep pushing to the end/
押し遣る [おしやる] /(v5r,vt) to push or thrust away/
押し固める [おしかためる] /(v1) to press together/
押し広げる [おしひろげる] /(v1) to extend/to expand/to spread out/
押し広める [おしひろめる] /(v1,vt) to extend by force/to aggrandize/to aggrandise/
押し合い [おしあい] /(n,vs) jostling/crowding/
押し合い圧し合い [おしあいへしあい] /(n,vs) pushing and shoving/jostling/hustling/
押し合う [おしあう] /(v5u,vi) to jostle/to crowd/to haggle/
押し込み [おしこみ] /(n) burglary/burglar/closet/
押し込み強盗 [おしこみごうとう] /(n) housebreaker/burglar/
押し込む [おしこむ] /(v5m,vi,vt) (1) to push into/to crowd into/(vt) (2) to break in/to burglarize/(P)/
押し込める [おしこめる] /(v1,vt) to shut up/to imprison/
押し殺す [おしころす] /(v5s,vt) to crush to death/to stifle to death/to squeeze to death/
押し止める [おしとどめる] /(v1,vt) to check/to stop/to keep back/
押し止める [おしとめる] /(v1,vt) to check/to stop/to keep back/
押し紙 [おしがみ] /(n) (1) (arch) paper on which questions and comments are pasted/(2) backing paper/(3) blotting paper/
押し借り [おしがり] /(n,vs) forced borrowing/
押し手 [おして] /(n) (1) (arch) seal/stamp/(2) depressing the string of a zither with one's left hand/(3) (in archery) left hand/(4) obstinacy/stubbornness/
押し手 [おしで] /(n) (1) (arch) seal/stamp/(2) depressing the string of a zither with one's left hand/(3) (in archery) left hand/(4) obstinacy/stubbornness/
押し寿司 [おしずし] /(n) (food) sushi rice and other ingredients pressed in box or mould (mold)/
押し縮める [おしちぢめる] /(v1) to squeeze/to collapse/
押し出し [おしだし] /(n) (1) pushing something out/presence/(2) appearance/(3) run walked in (baseball)/(4) pushing one's opponent out by pressing one's hands up against them (sumo)/(P)/
押し出す [おしだす] /(v5s,vt) (1) to crowd out/to push out/to squeeze out/(2) to start together/to set out en masse/(3) to highlight/to draw attention to/
押し上げ [おしあげ] /(n) upheaval/upthrust/uplift/
押し上げる [おしあげる] /(v1,vt) to boost/to force up/to push up/
押し上げポンプ [おしあげポンプ] /(n) force pump/forcing pump/
押し進める [おしすすめる] /(v1,vt) to press forward/
押し切り [おしきり] /(n) (1) straw cutter/short mane/(2) pressing and cutting/
押し切る [おしきる] /(v5r,vt) (1) to face down the opposition/to overcome resistance/to have one's own way/(2) to press and cut/(P)/
押し相撲 [おしずもう] /(n) pushing sumo, a classic way of wrestling without using the belt/
押し戴く [おしいただく] /(v5k,vt) to accept an object and hold it reverently over one's head/
押し貸し [おしがし] /(n) (high interest) loan forcefully imposed on the borrower/
押し退ける [おしのける] /(v1,vt) to push aside/to brush aside/
押し頂く [おしいただく] /(v5k,vt) to accept an object and hold it reverently over one's head/
押し通す [おしとおす] /(v5s,vt) to persist in/to carry out/to have one's own way/to push through/to carry through/
押し通る [おしとおる] /(v5r) to force one's way through/
押し潰す [おしつぶす] /(v5s,vt) to squash/to crush/to flatten/
押し渡る [おしわたる] /(v5r) to cross over/to wade/
押し倒し [おしたおし] /(n) oshitaoshi/(frontal) push-down/(win by) knocking down opponent by pushing him with hand(s) rested on his body/
押し倒す [おしたおす] /(v5s,vt) to push down/
押し当てる [おしあてる] /(v1,vt) to push (something) against/
押し動かす [おしうごかす] /(v5s) carry so. along/
押し入り [おしいり] /(n) breaking into/burglar/(P)/
押し入る [おしいる] /(v5r) to push in/(P)/
押し入れ [おしいれ] /(n) closet/(P)/
押し入れる [おしいれる] /(v1) to shove in/to push in/
押し波 [おしなみ] /(n) leading wave (of a tsunami, i.e. when a wave crest reaches land before a trough)/
押し破る [おしやぶる] /(v5r,vt) to break through/
押し売り [おしうり] /(n) high-pressure salesmanship/(P)/
押し迫る [おしせまる] /(v5r,vi) to draw near/
押し麦 [おしむぎ] /(n) rolled barley/rolled oats/
押し被せ構造 [おしかぶせこうぞう] /(n) overthrust structure/decken structure/
押し被せ断層 [おしかぶせだんそう] /(n) overthrust fault/
押し被せ褶曲 [おしかぶせしゅうきょく] /(n) overthrust fold/
押し付け [おしつけ] /(n) imposition (i.e. of rules, of a decision)/compulsion/
押し付けがましい [おしつけがましい] /(adj-i) pushy/pushing/self-assertive/
押し付ける [おしつける] /(v1,vt) to press/to push/to force/(P)/
押し負ける [おしまける] /(v1) to be outpushed/to lose a pushing competition/
押し分ける [おしわける] /(v1,vt) to push aside/
押し並べて [おしなべて] /(adv) (uk) in general/on the whole/for the most part/by and large/almost all/
押し返す [おしかえす] /(v5s,vt) to force back/to jostle/
押し釦 [おしぼたん] /(n) (comp) (computer) pushbutton/
押し黙る [おしだまる] /(v5r,vi) to keep silent/
押し目 [おしめ] /(n) weakness/dip/
押し目買い [おしめがい] /(n) buying when the market is down/
押し戻す [おしもどす] /(v5s,vt) to push back/
押し問答 [おしもんどう] /(n) dispute/heated questioning and answering/(P)/
押し葉 [おしば] /(n) pressed leaves/
押し立てる [おしたてる] /(v1,vt) (1) to set up/to raise/(2) to nominate/to choose as a representative/(3) to push/to shove/
押し流す [おしながす] /(v5s,vt) to wash away/
押し留める [おしとどめる] /(v1,vt) to stop/
押し鮨 [おしずし] /(n) (food) sushi rice and other ingredients pressed in box or mould (mold)/
押す [おす] /(v5s,vt) (1) to push/to press/(2) to apply pressure from above/to press down/(3) to stamp (i.e. a passport)/to apply a seal/(P)/
押すな押すな [おすなおすな] /(adj-no) crowded (e.g. with people)/overflowing/
押せ押せ [おせおせ] /(n) (1) putting on the pressure/pushing forward/(2) being pressed/being under pressure/
押せ押せムード [おせおせムード] /(n) on the attack/on the offensive/
押っ魂消る [おったまげる] /(v1,vi) (uk) to be very surprised/to be flabbergasted/
押っ始める [おっぱじめる] /(v1) to begin/
押っ取り刀 [おっとりがたな] /(n) unprepared action/something done on the spur of the moment/
押っ忍 [おっす] /(int) (uk) greeting used between close male friends/Hi!/yes sir!/yo!/
押っ被さる [おっかぶさる] /(v5r,vi) (1) to hang over/to cover/(2) to take on a responsibility/to become a burden/
押っ被せる [おっかぶせる] /(v1,vt) to put a thing on top of another/to cover/to lay something on/
押っ付け [おっつけ] /(n) technique of holding one's opponent's arm to prevent him from getting a hold on one's belt (Sumo)/
押っ放り出す [おっぽりだす] /(v5s,vt) to throw out/to fire/to expel/to give up/to abandon/to neglect/
押っ立てる [おったてる] /(v1,vt) to raise/to set up/
押ボタン [おしボタン] /(n) (comp) (computer) pushbutton/
押印 [おういん] /(n,vs) affixing one's seal/
押隠す [おしかくす] /(v5s,vt) to cover up/to conceal/
押韻 [おういん] /(n,vs) rhyming/
押下 [おうか] /(n) forcing down/
押回す [おしまわす] /(v5s) to turn something (forcefully)/
押絵 [おしえ] /(n) raised cloth picture/raised cloth pictures/
押開ける [おしあける] /(v1) to force open/to push open/
押掛ける [おしかける] /(v1,vi) to intrude on/
押掛け客 [おしかけきゃく] /(n) uninvited guest/
押寄せる [おしよせる] /(v1,vi) to advance on/to close in/to march on/to descend on (the enemy)/to move towards/to surge forward (crowd, wave of nostalgia, wave, etc.)/to rush for (the door)/to inundate/to overwhelm/to push aside/
押詰める [おしつめる] /(v1) to pack (in box)/to drive to wall/
押広げる [おしひろげる] /(v1) to extend/to expand/to spread out/
押広める [おしひろめる] /(v1,vt) to extend by force/to aggrandize/to aggrandise/
押合い [おしあい] /(n,vs) jostling/crowding/
押合い圧し合い [おしあいへしあい] /(n,vs) pushing and shoving/jostling/hustling/
押合う [おしあう] /(v5u,vi) to jostle/to crowd/to haggle/
押込み [おしこみ] /(n) burglary/burglar/closet/
押込み強盗 [おしこみごうとう] /(n) housebreaker/burglar/
押込める [おしこめる] /(v1,vt) to shut up/to imprison/
押殺す [おしころす] /(v5s,vt) to crush to death/to stifle to death/to squeeze to death/
押止める [おしとめる] /(io) (v1,vt) to check/to stop/to keep back/
押紙 [おうし] /(n) (1) (arch) paper on which questions and comments are pasted/(2) backing paper/(3) blotting paper/
押紙 [おしがみ] /(n) (1) (arch) paper on which questions and comments are pasted/(2) backing paper/(3) blotting paper/
押借り [おしがり] /(n,vs) forced borrowing/
押手 [おして] /(n) (1) (arch) seal/stamp/(2) depressing the string of a zither with one's left hand/(3) (in archery) left hand/(4) obstinacy/stubbornness/
押手 [おしで] /(n) (1) (arch) seal/stamp/(2) depressing the string of a zither with one's left hand/(3) (in archery) left hand/(4) obstinacy/stubbornness/
押収 [おうしゅう] /(n,vs,adj-no) seizure/confiscation/(P)/
押出し [おしだし] /(n) (1) pushing something out/presence/(2) appearance/(3) run walked in (baseball)/(4) pushing one's opponent out by pressing one's hands up against them (sumo)/
押出す [おしだす] /(v5s,vt) (1) to crowd out/to push out/to squeeze out/(2) to start together/to set out en masse/(3) to highlight/to draw attention to/
押出業者 [おしだしぎょうしゃ] /(n) extruder/
押上げ [おしあげ] /(n) upheaval/upthrust/uplift/
押上げる [おしあげる] /(v1,vt) to boost/to force up/to push up/
押上げポンプ [おしあげポンプ] /(n) force pump/forcing pump/
押切 [おしきり] /(n) (1) straw cutter/short mane/(2) pressing and cutting/
押切り [おしきり] /(n) (1) straw cutter/short mane/(2) pressing and cutting/
押切る [おしきる] /(v5r,vt) (1) to face down the opposition/to overcome resistance/to have one's own way/(2) to press and cut/
押切帳 [おしきりちょう] /(n) notebook with records of monies received/
押送 [おうそう] /(n,vs) transferring (a convict to a different prison)/escort/
押通す [おしとおす] /(v5s,vt) to persist in/to carry out/to have one's own way/to push through/to carry through/
押潰す [おしつぶす] /(io) (v5s,vt) to squash/to crush/to flatten/
押渡る [おしわたる] /(v5r) to cross over/to wade/
押倒す [おしたおす] /(v5s,vt) to push down/
押捺 [おうなつ] /(n,vs) sealing (document)/
押入 [おしいれ] /(n) closet/(P)/
押入り [おしいり] /(n) breaking into/burglar/
押入る [おしいる] /(v5r) to push in/
押入れ [おしいれ] /(n) closet/(P)/
押忍 [おす] /(int) (uk) greeting used between close male friends/Hi!/yes sir!/yo!/
押忍 [おっす] /(int) (uk) greeting used between close male friends/Hi!/yes sir!/yo!/
押波 [おしなみ] /(n) leading wave (of a tsunami, i.e. when a wave crest reaches land before a trough)/
押売 [おしうり] /(n) high-pressure salesmanship/(P)/
押売り [おしうり] /(n) high-pressure salesmanship/(P)/
押迫る [おしせまる] /(v5r,vi) to draw near/
押麦 [おしむぎ] /(n) rolled barley/rolled oats/
押付ける [おしつける] /(v1,vt) to press/to push/to force/
押分ける [おしわける] /(v1,vt) to push aside/
押返す [おしかえす] /(v5s,vt) to force back/to jostle/
押放り出す [おっぽりだす] /(v5s,vt) to throw out/to fire/to expel/to give up/to abandon/to neglect/
押釦 [おしぼたん] /(n) (comp) (computer) pushbutton/
押黙る [おしだまる] /(v5r,vi) to keep silent/
押戻す [おしもどす] /(v5s,vt) to push back/
押立てる [おしたてる] /(v1,vt) (1) to set up/to raise/(2) to nominate/to choose as a representative/(3) to push/to shove/
押流す [おしながす] /(v5s,vt) to wash away/
旺盛 [おうせい] /(adj-na,n) full of vim and vigor/
旺然 [おうぜん] /(adv-to,adj-t) (arch) prosperous/
横 [よこ] /(n) (1) horizontal (as opposed to vertical)/lying down/(2) side-to-side (as opposed to front-to-back)/width/breadth/(3) side (of a box, etc.)/(4) beside/aside/next to/(5) unconnected/(P)/
横から [よこから] /(exp) (1) from one's side/from the side (of something)/(2) from someone unconnected/from someone uninvolved/
横から口をはさむ [よこからくちをはさむ] /(exp,v5m) to butt into a conversation (from someone uninvolved)/
横から口を挟む [よこからくちをはさむ] /(exp,v5m) to butt into a conversation (from someone uninvolved)/
横ぎる [よこぎる] /(v5r,vt) to cross (e.g. road)/to traverse/
横ぐわえ [よこぐわえ] /(adv) holding horizontally in one's mouth/holding on the side of one's mouth/
横ずれ [よこずれ] /(n,vs) horizontal friction/strike-slip/
横ずれ断層 [よこずれだんそう] /(n) strike-slip fault/
横たえる [よこたえる] /(v1,vt) to lie down/to lay (oneself) down/
横たわる [よこたわる] /(v5r,vi) to lie down/to stretch out/(P)/
横っ腹 [よこっぱら] /(n) side/flank/
横っ面 [よこっつら] /(n) side of face/
横に [よこに] /(adv) (1) horizontally/flat/(2) across/crossways/crosswise/sideways/abreast/
横になる [よこになる] /(exp,v5r) to lie down (and rest)/
横の物を縦にもしない [よこのものをたてにもしない] /(exp) too lazy to do anything/
横ばい [よこばい] /(n,vs) (1) sidewise crawl (e.g. of a crab)/crawling sideways/(n) (2) (uk) leafhopper (insect)/jassid/(3) (abbr) (uk) sidewinder (Crotalus cerastes)/(4) levelling off/stabilizing/(P)/
横やりを入れる [よこやりをいれる] /(exp,v1) to interrupt/to butt in/
横を向く [よこをむく] /(exp,v5k) to look away/to turn away/
横パイ [よこパイ] /(n) (sl) sideboob/(visible) side of a woman's breast/
横レス [よこレス] /(n) (sl) message butting in (to a conversation between two other people on a BBS, etc.)/
横溢 [おういつ] /(n,vs) overflowing/inundation/
横雲 [よこぐも] /(n) wall or bank of clouds/
横泳ぎ [よこおよぎ] /(n) sidestroke (swim.)/
横殴り [よこなぐり] /(n) striking on the side/slanting or driving (rain)/side sweep/side blow/
横架材 [おうかざい] /(n) horizontal structural members (beams, girders, etc.) of a building/
横蝦 [よこえび] /(n) (uk) gammaridean amphipod (any small, shrimp-like crustacean of suborder Gammaridea)/
横臥 [おうが] /(n,vs,adj-no) lying on one's side/
横海老 [よこえび] /(n) (uk) gammaridean amphipod (any small, shrimp-like crustacean of suborder Gammaridea)/
横隔膜 [おうかくまく] /(n) diaphragm (body)/
横隔膜ヘルニア [おうかくまくヘルニア] /(n) diaphragmatic hernia/
横滑り [よこすべり] /(n,vs) skid/slipping or skidding sideways/shifting to another post/
横顔 [よこがお] /(n) face in profile/profile/face seen from the side/(P)/
横議 [おうぎ] /(n,vs) arguing persistently/
横筋 [よこすじ] /(n) transversal/lateral stripes/
横筋ジャッカル [よこすじジャッカル] /(n) side-striped jackal (carnivore, Canis adustus)/
横穴 [おうけつ] /(n) cave/tunnel/
横穴 [よこあな] /(n) cave/tunnel/
横向き [よこむき] /(n) turning sideways/landscape orientation/
横向く [よこむく] /(v5k) to turn sideways/
横坑 [おうこう] /(ik) (n) adit/
横坑 [よここう] /(n) adit/
横好き [よこずき] /(n) being crazy about something, but not be good at it/
横綱 [よこづな] /(n) yokozuna (sumo grand champion)/(P)/
横綱の器 [よこづなのうつわ] /(n) mental characteristics expected of a sumo grand champion/
横綱を食う [よこづなをくう] /(exp,v5u) to beat a grand champion/
横綱稽古 [よこづなけいこ] /(n) practice session where grand champion is present (sumo) (practise)/
横綱審議委員会 [よこづなしんぎいいんかい] /(n) Yokozuna Deliberation Committee/body that recommends promotion of sumo wrestlers to grand champions/
横綱大関 [よこづなおおぜき] /(n) grand champion filling the rank of champion to keep their number at 2 (sumo)/
横行 [おうぎょう] /(ok) (n,vs,adj-no) (1) walking sideways/staggering/striding/(2) being rampant/being widespread/being prevalent/
横行 [おうこう] /(n,vs,adj-no) (1) walking sideways/staggering/striding/(2) being rampant/being widespread/being prevalent/(P)/
横行結腸 [おうこうけっちょう] /(n) transverse colon/
横行跋扈 [おうこうばっこ] /(n,vs) being rampant/(evildoers) roaming at will/
横行闊歩 [おうこうかっぽ] /(n,vs) swaggering/
横降り [よこぶり] /(n) driving rain/
横合い [よこあい] /(n) side/flank/
横根 [よこね] /(n) bubo (inflamed swelling in a gland)/
横坐り [よこずわり] /(n,vs) sitting with one's legs out to one side/
横座り [よこずわり] /(n,vs) sitting with one's legs out to one side/
横座標 [おうざひょう] /(n) abscissa/
横材 [よこざい] /(n) cross member/crosspiece/
横山神道 [よこやましんとう] /(n) Yokoyama Shinto (Edo-period Shinto sect promoted by Masae Yokoyama)/
横四方固め [よこしほうがため] /(n) (MA) yoko-shiho-gatame (judo hold in which the opponent's shoulders and hips are pinned)/
横死 [おうし] /(n,vs) violent (tragic or accidental) death/dog's death/
横糸 [よこいと] /(n) weft/woof (crosswise threads on a loom)/
横紙破り [よこがみやぶり] /(n) acting illogically/
横軸 [よこじく] /(n,adj-no) abscissa/horizontal axis/
横縞 [よこじま] /(n) lateral stripes/
横車 [よこぐるま] /(exp,n) (1) perverseness/obstinacy/something unreasonable (like pushing a cart from the side (instead of from behind))/(n) (2) side wheel throw (judo)/
横車を押す [よこぐるまをおす] /(exp,v5s) to have one's own way (against all reason)/to push through an unreasonable idea/
横取り [よこどり] /(n,vs) usurpation/snatching/seizure/(P)/
横手 [よこて] /(n,adj-no) (1) side/beside/(2) feature of a sword blade/(P)/
横手 [よこで] /(n,adj-no) (1) side/beside/(2) feature of a sword blade/
横書き [よこがき] /(n) writing horizontally/(P)/
横条笛鯛 [よこすじふえだい] /(n) (uk) spotstripe snapper (species of fish, Lutjanus ophuysenii)/
横寝 [よこね] /(n) sleeping on one's side/lying on one's side/
横切る [よこぎる] /(v5r,vt) to cross (e.g. road)/to traverse/(P)/
横川吸虫 [よこがわきゅうちゅう] /(n) Metagonimus yokogawai (species of intestinal fluke)/
横線 [おうせん] /(n) horizontal line/abscissa/(P)/
横線 [よこせん] /(n) horizontal line/abscissa/
横組み [よこぐみ] /(n) horizontal typesetting/
横槍 [よこやり] /(n) interruption/interference/butting in/
横槍を入れる [よこやりをいれる] /(exp,v1) to interrupt/to butt in/
横足 [よこあし] /(n) half-pass (horse gait)/
横太り [よこぶとり] /(n,vs) short and fat/pudgy/stocky/
横隊 [おうたい] /(n) rank/line/
横奪 [おうだつ] /(n,vs) misappropriation/embezzlement/
横断 [おうだん] /(n,vs,adj-no) (1) crossing/(adj-f) (2) transverse/(P)/
横断的データ [おうだんてきデータ] /(n) cross-sectional data/
横断歩道 [おうだんほどう] /(n) pedestrian crossing/(P)/
横断歩道橋 [おうだんほどうきょう] /(n) pedestrian bridge/footbridge/
横断幕 [おうだんまく] /(n) banner strung across a street/(P)/
横断面 [おうだんめん] /(n) cross-section/
横着 [おうちゃく] /(adj-na,n,vs) dishonesty/laziness/cunning/(P)/
横丁 [よこちょう] /(n) lane/alley/small street intersecting a main or side street/
横町 [よこちょう] /(n) lane/alley/small street intersecting a main or side street/
横長 [よこなが] /(adj-na,n,adj-no) oblong/landscape orientation/
横綴じ [よことじ] /(n) binding a book in an oblong shape/
横笛 [おうじゃく] /(ok) (n) transverse flute (e.g. a fife)/
横笛 [おうてき] /(n) transverse flute (e.g. a fife)/
横笛 [ようじょう] /(ok) (n) transverse flute (e.g. a fife)/
横笛 [よこぶえ] /(n) transverse flute (e.g. a fife)/
横転 [おうてん] /(n,vs) turning sideways/barrel roll/(P)/
横倒し [よこだおし] /(n) falling over/toppling sideways/
横投げ [よこなげ] /(n) throwing sideways/
横道 [おうどう] /(n) wickedness/evil/iniquity/wrongness/
横道 [よこみち] /(n) (1) byway/side street/cross street/(2) wrong way/digression/(P)/
横波 [よこなみ] /(n) side (transverse) wave/broadside sea/
横倍角 [よこばいかく] /(n) (comp) double width size/
横這い [よこばい] /(n,vs) (1) sidewise crawl (e.g. of a crab)/crawling sideways/(n) (2) (uk) leafhopper (insect)/jassid/(3) (abbr) (uk) sidewinder (Crotalus cerastes)/(4) levelling off/stabilizing/
横這いガラガラ蛇 [よこばいガラガラへび] /(n) (uk) (obsc) sidewinder (Crotalus cerastes)/
横箸 [よこばし] /(n) joining both chopsticks together and using them as a spoon (breach of chopstick etiquette)/
横帆 [おうはん] /(n) square sail/
横板 [よこいた] /(n) (1) crosscut plank/(2) rear part of a Noh stage/
横板に雨垂れ [よこいたにあまだれ] /(exp,n) halting speech/stammering/
横浜 [よこはま] /(n) Yokohama (city)/
横付け [よこづけ] /(n,vs) coming alongside/
横風 [おうふう] /(adj-na,n) (1) cross wind/(2) arrogance/haughtiness/
横風 [よこかぜ] /(adj-na,n) (1) cross wind/
横幅 [よこはば] /(n) breadth/width/(P)/
横腹 [よこばら] /(n) side/flank/
横文 [おうぶん] /(n) horizontal (Western) writing/
横文字 [よこもじ] /(n) (1) European writing/cross-wise writing/(2) Western language/(P)/
横兵庫 [よこひょうご] /(n) extravagant female hairstyle worn by oiran courtesans/
横柄 [おうへい] /(adj-na,n) arrogance/haughtiness/insolence/(P)/
横並び [よこならび] /(n,vs) (1) going along with something/following the crowd/(2) treating something in an equal or egalitarian manner/
横並び現象 [よこならびげんしょう] /(n) herd instincts/
横歩き [よこあるき] /(n,vs) side stepping/sidling/
横抱き [よこだき] /(n) carrying (child) under arm/
横暴 [おうぼう] /(adj-na,n) violence/oppression/high-handedness/tyranny/despotism/(P)/
横棒 [よこぼう] /(n) bar set in a horizontal position/horizontal bar/
横面 [よこつら] /(n) side of face/
横木 [よこき] /(n) crosspiece/bar/rail/
横木 [よこぎ] /(n) crosspiece/bar/rail/
横目 [よこめ] /(n) sidelong glance/(P)/
横紋筋 [おうもんきん] /(n) striated muscle/
横揺れ [よこゆれ] /(n,vs) rolling/swaying/
横様 [よこさま] /(adj-na,n) wickedness/sideways/unreasonable/
横様 [よこざま] /(adj-na,n) wickedness/sideways/unreasonable/
横流 [おうりゅう] /(n,vs) (arch) overflowing/flooding/
横流し [よこながし] /(n,vs) diversion into illegal channels/
横流れ [よこながれ] /(n) flowing into the black market/
横梁 [よこばり] /(n) horizontal beam/stringpiece/trave/
横領 [おうりょう] /(n,vs) usurpation/embezzlement/misappropriation/(P)/
横領罪 [おうりょうざい] /(n) fraudulent appropriation/
横領者 [おうりょうしゃ] /(n) embezzler/
横列 [おうれつ] /(n) rank (e.g. of soldiers)/
横恋慕 [よこれんぼ] /(n,vs) illicit love/
横睨み [よこにらみ] /(n) sharp-sidelong glance/glare/
横膈膜 [おうかくまく] /(n) diaphragm (body)/
横褌 [よこみつ] /(n) either side of a rikishi's mawashi/
横銜え [よこぐわえ] /(adv) holding horizontally in one's mouth/holding on the side of one's mouth/
欧亜 [おうあ] /(n) Europe and Asia/
欧亜大陸 [おうあたいりく] /(n) Eurasia/Eurasian Continent/
欧化 [おうか] /(n,vs) Europeanization/Europeanisation/Westernization/Westernisation/
欧化主義 [おうかしゅぎ] /(n) Europeanism/
欧字 [おうじ] /(n) alphabetic/letter/
欧字コード [おうじコード] /(n) (comp) alphabetic code/
欧字コード化集合 [おうじコードかしゅうごう] /(n) (comp) alphabetic coded set/
欧字集合 [おうじしゅうごう] /(n) (comp) alphabetic character set/
欧字列 [おうじれつ] /(n) (comp) alphabetic string/
欧州 [おうしゅう] /(n) Europe/(P)/
欧州委員会 [おうしゅういいんかい] /(n) European Commission (executive of the EU)/
欧州宇宙機関 [おうしゅううちゅうきかん] /(n) European Space Agency/
欧州議会 [おうしゅうぎかい] /(n) European Parliament/
欧州共同体 [おうしゅうきょうどうたい] /(n) European Community/EC/
欧州経済共同体 [おうしゅうけいざいきょうどうたい] /(n) European Economic Community/EEC/
欧州憲法 [おうしゅうけんぽう] /(n) European Constitution/
欧州原子力共同体 [おうしゅうげんしりょくきょうどうたい] /(n) European Atomic Community/Euratom/
欧州諸国 [おうしゅうしょこく] /(n) European countries/
欧州政治協力 [おうしゅうせいじきょうりょく] /(n) European Political Co-operation/EPC/
欧州中央銀行 [おうしゅうちゅうおうぎんこう] /(n) European Central Bank/ECB/
欧州中央銀行制度 [おうしゅうちゅうおうぎんこうせいど] /(n) European System of Central Banks/ESCB/
欧州通貨基金 [おうしゅうつうかききん] /(n) European Monetary Fund/EMF/
欧州通貨制度 [おうしゅうつうかせいど] /(n) European Monetary System/EMS/
欧州通貨単位 [おうしゅうつうかたんい] /(n) European Currency Unit/ECU/
欧州電気通信標準化機構 [おうしゅうでんきつうしんひょうじゅんかきこう] /(n) (comp) European Telecommunications Standards Institute/ETSI/
欧州電気通信標準協会 [おうしゅうでんきつうしんひょうじゅんきょうかい] /(n) (comp) European Telecommunication Standards Institute/ETSI/
欧州電子計算機工業会 [おうしゅうでんしけいさんきこうぎょうかい] /(n) (comp) European Computer Manufactures Association/ECMA/
欧州版 [おうしゅうばん] /(n) European edition (e.g. newspaper)/
欧州連合 [おうしゅうれんごう] /(n) European Union/EU/
欧州連合条約 [おうしゅうれんごうじょうやく] /(n) Treaty on European Union (1993)/
欧洲 [おうしゅう] /(n) Europe/
欧数字コード [おうすうじコード] /(n) (comp) alphanumeric code/
欧数字コード化集合 [おうすうじコードかしゅうごう] /(n) (comp) alphanumeric coded set/
欧数字データ [おうすうじデータ] /(n) (comp) alphanumeric data/
欧数字英数字データ [おうすうじえいすうじデータ] /(n) (comp) alphanumeric data/
欧数字英数字集合 [おうすうじえいすうじしゅうごう] /(n) (comp) alphanumeric character set/
欧数字集合 [おうすうじしゅうごう] /(n) (comp) alphanumeric character set/
欧風 [おうふう] /(n,adj-no) European style/Occidental/
欧文 [おうぶん] /(n) European language/foreign text/
欧文ピッチ処理 [おうぶんピッチしょり] /(n) (comp) proportional spacing/
欧文フォント [おうぶんフォント] /(n) (comp) Latin font/
欧米 [おうべい] /(n,adj-no) Europe and America/the West/(P)/
欧米諸言語 [おうべいしょげんご] /(n) the languages of Europe and America/
欧米諸国 [おうべいしょこく] /(n) the various countries of Europe and America/
欧米人 [おうべいじん] /(n) Europeans and Americans/Westerners/
欧米並みに [おうべいなみに] /(adv) as in Europe and America/
欧羅巴 [ヨーロッパ] /(n,adj-no) (uk) Europe (por: Europa)/
欧露 [おうろ] /(n) European Russia/
殴りあう [なぐりあう] /(v5u) to fight/to exchange blows/
殴りころす [なぐりころす] /(v5s) to strike dead/to beat to death/
殴りたおす [なぐりたおす] /(v5s) to knock down/to knock out/
殴りつける [なぐりつける] /(v1,vt) to beat (someone in battle)/
殴り合い [なぐりあい] /(n) fist fight/
殴り合う [なぐりあう] /(v5u) to fight/to exchange blows/
殴り込み [なぐりこみ] /(n) raid/(P)/
殴り込む [なぐりこむ] /(v5m,vi) to raid/to launch an attack/to invade/
殴り殺す [なぐりころす] /(v5s) to strike dead/to beat to death/
殴り書き [なぐりがき] /(n,vs) scribble/scrawl/
殴り倒す [なぐりたおす] /(v5s) to knock down/to knock out/
殴り飛ばす [なぐりとばす] /(v5s,vt) to knock a person off his feet/
殴り付ける [なぐりつける] /(v1,vt) to beat (someone in battle)/
殴る [なぐる] /(v5r,vt) to strike/to hit/(P)/
殴殺 [おうさつ] /(n,vs) beating to death/striking dead/
殴打 [おうだ] /(n,vs) hit/strike/blow/(P)/
王 [おう] /(n,n-suf) (1) king/ruler/sovereign/monarch/(2) king (for senior player) (shogi)/(P)/
王さま [おうさま] /(n) (hon) king/
王その人 [おうそのひと] /(exp) none other than the king/
王のように [おうのように] /(adv) like a lord/
王を詰める [おうをつめる] /(exp,v1) to checkmate the king/
王を立てる [おうをたてる] /(exp,v1) to enthrone a king/
王位 [おうい] /(n) the throne/the crown/(P)/
王位継承者 [おういけいしょうしゃ] /(n) heir to a throne/
王化 [おうか] /(n,vs) imperial influence/assimilation of new territory/
王家 [おうけ] /(n) royal family/
王冠 [おうかん] /(n,adj-no) (1) crown/diadem/(2) bottle cap/(P)/
王宮 [おうきゅう] /(n) royal palace/(P)/
王権 [おうけん] /(n) royalty/
王権神授説 [おうけんしんじゅせつ] /(n) the theory of the divine right of kings/
王侯 [おうこう] /(n) king and princes/noble rank/(P)/
王侯貴族 [おうこうきぞく] /(n) royalty and titled nobility/
王公 [おうこう] /(n) king and princes/noble rank/
王后 [おうこう] /(n) queen/
王后陛下 [おうこうへいか] /(n) Her Majesty the Queen/
王国 [おうこく] /(n) kingdom/monarchy/(P)/
王座 [おうざ] /(n) throne/(P)/
王座を占める [おうざをしめる] /(exp,v1) (1) to occupy the throne/to sit on the royal throne/(2) to be at the top/to hold the premier position/to win a championship/
王子 [おうじ] /(n) prince/(P)/
王師 [おうし] /(n) emperor's teacher/imperial army/
王事 [おうじ] /(n) imperial or royal cause/
王室 [おうしつ] /(n) royal family/(P)/
王者 [おうじゃ] /(n) king/monarch/ruler/(P)/
王蛇 [おうじゃ] /(n) boa/
王手 [おうて] /(n) checkmate/check/(P)/
王手飛車 [おうてびしゃ] /(n) forking the rook while checking the king/
王女 [おうじょ] /(n) princess/(P)/
王将 [おうしょう] /(n) (1) king/(2) king (for senior player) (shogi)/(P)/
王城 [おうじょう] /(n) royal castle/
王水 [おうすい] /(n) aqua regia/
王制 [おうせい] /(n) monarchical system/
王政 [おうせい] /(n) monarchy/imperial rule/
王政復古 [おうせいふっこ] /(n) restoration of imperial rule/(in English history) the Restoration/
王族 [おうぞく] /(n,adj-no) royalty/(P)/
王孫 [おうそん] /(n) royal grandson/
王太子 [おうたいし] /(n) crown prince/
王太子妃 [おうたいしひ] /(n) crown princess/
王太妃 [おうたいひ] /(n) crown princess/
王朝 [おうちょう] /(n) dynasty/(P)/
王朝時代 [おうちょうじだい] /(n) Dynastic period (the Nara period and esp. the Heian period, characterized by the rule of the emperor as opposed to shogunate)/
王弟 [おうてい] /(n) royal prince/crown prince's younger brother/
王土 [おうど] /(n) royal or imperial domain/
王党 [おうとう] /(n) royalists/monarchists/
王党派 [おうとうは] /(n) royalists/royalist faction/
王統 [おうとう] /(n) royal line/royal descendants/
王道 [おうどう] /(n) (1) principles of royalty/rule of right/(2) royal road (i.e. easy method)/short-cut/
王道楽土 [おうどうらくど] /(n) Arcadia, presided over by a virtuous king/
王配 [おうはい] /(n) prince consort/
王妃 [おうひ] /(n) queen/(P)/
王府 [おうふ] /(n) (arch) royal government (esp. Ryukyu Kingdom)/
王物 [おうもの] /(n) king/royalty/
王偏 [おうへん] /(n) kanji "jewel" radical at left (looks like "king") (radical 96)/
王法 [おうほう] /(n) royal decree/
王婿 [おうせい] /(n) prince consort/
王様 [おうさま] /(n) (hon) king/(P)/
王様ペンギン [おうさまペンギン] /(n) (uk) king penguin (Aptenodytes patagonicus)/
王立 [おうりつ] /(n,adj-no) royal/(P)/
翁 [おう] /(n) old man/venerable/(P)/
翁 [おきな] /(n) old man/venerable/
翁の面 [おきなのめん] /(n) old man's mask/
翁貝 [おきながい] /(n) lantern shell/
翁恵比須 [おきなえびす] /(n) (uk) Beyrich's slit shell (species of sea snail, Pleurotomaria beyrichii)/
翁恵比須貝 [おきなえびすがい] /(n) (uk) Beyrich's slit shell (species of sea snail, Pleurotomaria beyrichii)/
翁戎貝 [おきなえびすがい] /(n) (uk) Beyrich's slit shell (species of sea snail, Pleurotomaria beyrichii)/
襖 [あお] /(n) (arch) everyday garment worn by men in ancient Japan/
襖 [ふすま] /(n) fusuma (Japanese sliding screen)/(P)/
襖絵 [ふすまえ] /(n) images drawn or painted on fusuma/
鴬 [うぐいす] /(n) (1) (uk) Japanese bush warbler/Japanese nightingale (Cettia diphone)/(2) (abbr) greenish brown/(n-pref) (3) having a beautiful voice/
鴬嬢 [うぐいすじょう] /(n) female announcer/woman who makes public announcements (e.g. from an election campaign truck)/
鴬色 [うぐいすいろ] /(n) greenish brown/
鴬張り [うぐいすばり] /(n) nightingale (flooring)/method of laying floors to deliberately make a noise (like a nightingale's call) when walked across (security feature)/
鴎 [かまめ] /(ok) (n) (1) (uk) common gull (Larus canus)/mew gull/(2) gull (Laridae spp.)/seagull/
鴎 [かもめ] /(n) (1) (uk) common gull (Larus canus)/mew gull/(2) gull (Laridae spp.)/seagull/
鴎髱 [かもめづと] /(n) chignon resembling a seagull's spread tail feathers (Edo-period women's hairstyle)/
黄 [き] /(n,adj-na) yellow/(P)/
黄いろい [きいろい] /(adj-i) (1) yellow/(2) high-pitched (voice)/shrill/
黄な粉 [きなこ] /(n) (uk) soy flour/soybean flour/
黄な粉餅 [きなこもち] /(n) (uk) mochi sprinkled with soy flour/
黄ばみ [きばみ] /(n) yellow tint/
黄ばむ [きばむ] /(v5m,vi) to turn yellow/to yellow with age/
黄み [きみ] /(n) (1) yolk of an egg/yellow of an egg/(adj-no) (2) yellow/yellowish/
黄りん [おうりん] /(n) yellow (white) phosphorus/
黄葵 [とろろあおい] /(n) (uk) sunset hibiscus (Hibiscus manihot)/
黄緯 [こうい] /(n) celestial latitude/ecliptic latitude/
黄衣 [おうえ] /(n) (1) yellow clothes/(2) Lama's clothes (e.g. Dalai Lama)/
黄瓜 [きゅうり] /(oK) (n) (uk) cucumber/
黄瓜菜 [にがな] /(n) (uk) Ixeris dentata (species of the daisy family)/
黄鉛 [おうえん] /(n) chrome yellow/
黄鉛 [こうえん] /(n) chrome yellow/
黄鉛鉱 [おうえんこう] /(n) wulfenite/
黄化 [おうか] /(n,vs) etiolation/
黄河 [こうが] /(n) Yellow river (in China)/
黄禍 [こうか] /(n,adj-no) Yellow Peril/
黄花 [こうか] /(n) chrysanthemum/
黄花石楠花 [きばなしゃくなげ] /(n) Kibana rhododendron/Rhododendron metternichii var./
黄海 [こうかい] /(n) Yellow Sea/
黄褐色 [おうかっしょく] /(n) yellowish-brown/
黄蟻 [きあり] /(n) yellow ant/
黄菊 [きぎく] /(n) yellow chrysanthemum/
黄脚鷸 [きあししぎ] /(n) (uk) grey-tailed tattler (species of sandpiper, Heteroscelus brevipes)/
黄玉 [おうぎょく] /(n) topaz/
黄玉 [こうぎょく] /(n) topaz/
黄玉石 [おうぎょくせき] /(n) topaz/
黄玉石 [こうぎょくせき] /(n) topaz/
黄巾の乱 [こうきんのらん] /(n) Yellow Turban Rebellion (China, 184 CE)/
黄金 [おうごん] /(n,adj-no) gold/(P)/
黄金 [きがね] /(ok) (n,adj-no) gold/
黄金 [くがね] /(ok) (n,adj-no) gold/
黄金 [こがね] /(n,adj-no) gold/(P)/
黄金国 [おうごんこく] /(n) El Dorado/legendary land of wealth/
黄金時代 [おうごんじだい] /(n) Golden Age/(P)/
黄金週間 [おうごんしゅうかん] /(n) Golden Week (early-May holiday season in Japan)/
黄金術 [おうごんじゅつ] /(n) alchemy/
黄金色 [こがねいろ] /(n,adj-no) golden/gold-colored/gold-coloured/honey-colour/
黄金崇拝 [おうごんすうはい] /(n) mammon worship/
黄金世界 [おうごんせかい] /(n) utopia/
黄金大蜥蜴 [こがねおおとかげ] /(n) (uk) quince monitor (Varanus melinus, species of carnivorous monitor lizard native to Indonesia)/yellow-head monitor/
黄金蜘蛛 [こがねぐも] /(n) (uk) Argiope amoena (an Oriental species of orb-weaving spider)/
黄金虫 [こがねむし] /(n) (1) (uk) scarabaeid beetle/(2) Mimela splendens (metallic-green scarabaeid beetle)/
黄金比 [おうごんひ] /(n) golden ratio (approx. 1.6180339887)/
黄金分割 [おうごんぶんかつ] /(n) (artistic) golden section/
黄金万能 [おうごんばんのう] /(n) the almighty dollar/
黄金餅 [こがねもち] /(n) (obsc) millet dough cake/millet mochi/
黄金律 [おうごんりつ] /(n) The Golden Rule ("do unto others as you would have them do unto you")/
黄金率 [おうごんりつ] /(n) golden mean/
黄金餠 [こがねもち] /(oK) (n) (obsc) millet dough cake/millet mochi/
黄金鶸 [おうごんひわ] /(n) (uk) American goldfinch (Carduelis tristis)/
黄経 [おうけい] /(n) ecliptic longitude/celestial longitude/
黄経 [こうけい] /(n) ecliptic longitude/celestial longitude/
黄鶏 [かしわ] /(n) (1) (arch) chicken meat/white meat/(2) yellow-winged-chicken/
黄血 [きじ] /(ik) (n) (uk) brandling (when used as fishing bait)/
黄血 [きぢ] /(n) (uk) brandling (when used as fishing bait)/
黄血塩 [おうけつえん] /(n) yellow prussiate of potash/
黄犬契約 [おうけんけいやく] /(n) yellow dog contract (employment contract which forbids the employee to join a labor union)/
黄犬契約 [こうけんけいやく] /(n) yellow dog contract (employment contract which forbids the employee to join a labor union)/
黄枯茶 [きがらちゃ] /(n) bluish yellow/
黄口 [こうこう] /(n) greenhorn (lit. "yellow mouth", in ref. to the beak of a chick)/youthfulness and lack of experience/
黄口児 [こうこうじ] /(n) immature youth/
黄昏 [こうこん] /(n) dusk/twilight/
黄昏 [たそがれ] /(n) dusk/twilight/(P)/
黄昏れる [たそがれる] /(v1,vi) (1) to fade into dusk/to fade into twilight/(2) to decline/to wane/to abate/
黄昏時 [たそがれどき] /(n) (arch) dusk/
黄昏鳥 [たそがれどり] /(n) (obsc) lesser cuckoo (Cuculus poliocephalus)/
黄沙 [こうさ] /(n) loess/yellow sand/bai/dust from the Yellow River region (in China)/
黄砂 [こうさ] /(n) loess/yellow sand/bai/dust from the Yellow River region (in China)/
黄砂現象 [こうさげんしょう] /(n) yellow sand phenomenon (dust carried on high winds from China)/
黄耳垂蜜吸 [きみみだれみつすい] /(n) (uk) yellow wattlebird (Anthochaera paradoxa)/
黄酒 [おうしゅ] /(n) (uk) huangjiu (undistilled Chinese alcohol, made of fermented grains)/
黄酒 [こうしゅ] /(n) (uk) huangjiu (undistilled Chinese alcohol, made of fermented grains)/
黄綬褒章 [おうじゅほうしょう] /(n) Medal with Yellow Ribbon (outstanding service)/
黄熟 [おうじゅく] /(n,vs) ripening and turning yellow/
黄熟 [こうじゅく] /(n,vs) ripening and turning yellow/
黄梢 [こうしょう] /(n) spring of yellow buds/
黄菖蒲 [きしょうぶ] /(n) yellow iris/
黄鐘 [おうしき] /(n) (in Japan) 8th note of the ancient chromatic scale (approx. A)/
黄鐘 [こうしょう] /(n) (1) (in China) 1st note of the ancient chromatic scale (approx. D)/(2) eleventh lunar month/
黄鐘調 [おうしきちょう] /(n) (in gagaku) scale similar to Dorian mode on A/
黄鐘調 [おうしきぢょう] /(n) (in gagaku) scale similar to Dorian mode on A/
黄色 [おうしょく] /(adj-na,n) yellow/amber/
黄色 [きいろ] /(adj-na,n) yellow/amber/(P)/
黄色 [こうしょく] /(adj-na,n) yellow/amber/
黄色い [きいろい] /(adj-i) (1) yellow/(2) high-pitched (voice)/shrill/(P)/
黄色い声 [きいろいこえ] /(exp,n) shrill voice/
黄色腫 [おうしょくしゅ] /(n) xanthoma/
黄色人種 [おうしょくじんしゅ] /(n,adj-no) yellow race/
黄色雀蛾 [きいろすずめ] /(n) yellow hawk moth/
黄色雀蜂 [きいろすずめばち] /(n) (uk) yellow hornet (Vespa simillima xanthoptera, subspecies of the Japanese hornet, Vespa simillima)/
黄色組合 [こうしょくくみあい] /(n) yellow union/
黄色猩々蠅 [きいろしょうじょうばえ] /(n) (uk) Drosophila melanogaster (species of fruit fly)/
黄色猩猩蠅 [きいろしょうじょうばえ] /(n) (uk) Drosophila melanogaster (species of fruit fly)/
黄心樹 [おがたまのき] /(n) (uk) Michelia compressa (species of Japanese tree similar to champak)/
黄身 [きみ] /(n) egg yolk/(P)/
黄身時雨 [きみしぐれ] /(n) var. of fresh Japanese sweet made of white bean paste, egg yolk, sugar and rice granules/
黄人 [おうじん] /(n) yellow race/
黄塵 [こうじん] /(n) dust (in air)/
黄塵万丈 [こうじんばんじょう] /(n) rising cloud of (yellowish) dust/
黄水 [おうすい] /(n) bile/gall/
黄水 [きみず] /(n) bile/gall/
黄水晶 [きずいしょう] /(n) citrine/yellow quartz/
黄水仙 [きすいせん] /(n) (uk) jonquil (Narcissus jonquilla)/
黄水仙 [きずいせん] /(n) (uk) jonquil (Narcissus jonquilla)/
黄雀 [こうじゃく] /(n) Eurasian or European siskin (bird) (Carduelis spinus) (sometimes called a sparrow)/
黄星円跳虫 [きぼしまるとびむし] /(n) (uk) garden springtail (Bourletiella hortensis)/
黄泉 [こうせん] /(n) (1) underground spring/(2) Hades/hell/underworld/
黄泉 [よみ] /(n) (1) Hades/hell/underworld/
黄泉の国 [よみのくに] /(n) hades/realm of the dead/the next world/
黄泉帰る [よみじがえる] /(v4r,vi) (arch) to be resurrected/to be resuscitated/to be rehabilitated/to be revived/
黄泉国 [よもつくに] /(n) hades/realm of the dead/the next world/
黄泉路 [よみじ] /(n) road to Hades/
黄素馨 [きそけい] /(n) Jasminum umile var. revolutum/curled flower yellow jasmine/
黄組 [きいぐみ] /(n) yellow class/
黄組 [きぐみ] /(n) yellow class/
黄体 [おうたい] /(n,adj-no) corpus luteum/
黄体ホルモン [おうたいホルモン] /(n) luteal hormone (e.g. progesterone)/progestogen/gestagen/progestin/
黄体期 [おうたいき] /(n) luteal phase/
黄体形成ホルモン [おうたいけいせいホルモン] /(n) luteinizing hormone/
黄体刺激ホルモン [おうたいしげきホルモン] /(n) luteotropic hormone/
黄帯頬長雀蜂 [きおびほおながすずめばち] /(n) (uk) median wasp (Dolichovespula media)/
黄鯛 [きだい] /(n) (uk) yellowback sea bream (Dentex tumifrons)/
黄蝶 [きちょう] /(n) (1) (uk) large grass yellow (species of butterfly, Eurema hecabe)/common grass yellow/(2) yellow butterfly/
黄鳥 [こうちょう] /(n) (1) (obsc) Japanese bush warbler (Cettia diphone)/(2) black-naped oriole (Oriolus chinensis)/
黄鉄鉱 [おうてっこう] /(n) iron pyrites/fool's gold/pyrite/
黄土 [おうど] /(n) earth/yellow soil/yellow ochre/loess/hades/
黄土 [こうど] /(n) earth/yellow soil/yellow ochre/loess/hades/
黄土色 [おうどいろ] /(n) ocher/
黄冬 [おうとう] /(n) (obsc) twelfth lunar month/
黄桃 [おうとう] /(n) yellow peach/
黄道 [おうどう] /(n) ecliptic/
黄道 [こうどう] /(n) ecliptic/
黄道吉日 [おうどうきちにち] /(n) very auspicious day for all types of occasions/
黄道吉日 [こうどうきちにち] /(n) very auspicious day for all types of occasions/
黄道光 [こうどうこう] /(n) zodiacal light/
黄道座標 [こうどうざひょう] /(n) ecliptic coordinates/
黄道十二宮 [こうどうじゅうにきゅう] /(n) twelve signs of the zodiac/
黄道色 [こうどうしょく] /(n) brassy yellow/
黄道帯 [こうどうたい] /(n) zodiac/
黄道眉 [ほおじろ] /(n) (1) (uk) meadow bunting (species of passerine, Emberiza cioides)/
黄道面 [こうどうめん] /(n) plane of the ecliptic/
黄銅 [おうどう] /(n) brass/
黄銅 [こうどう] /(n) brass/
黄銅鉱 [おうどうこう] /(n) copper pyrites/fool's gold/chalcopyrite/
黄韮 [きにら] /(n) Chinese yellow chives (Allium tuberosum)/Chinese leek sprouts/yellow garlic chives/gau wong/
黄熱 [おうねつ] /(n) yellow fever/
黄熱 [こうねつ] /(n) yellow fever/
黄熱病 [おうねつびょう] /(n) yellow fever/
黄熱病 [こうねつびょう] /(n) yellow fever/
黄巴旦 [きばたん] /(n) (uk) sulphur-crested cockatoo (sulfur) (Cacatua galerita)/
黄梅 [おうばい] /(n) (uk) winter jasmine (Jasminum nudiflorum)/
黄柏 [きはだ] /(n) (uk) Amur cork tree (Phellodendron amurense)/
黄柏 [きわだ] /(n) (uk) Amur cork tree (Phellodendron amurense)/
黄白 [こうはく] /(n) (1) yellow and white/gold and silver/(2) bribery/corruption/
黄白色 [おうはくしょく] /(n) yellowish-white/pale yellow/
黄白色 [こうはくしょく] /(n) yellowish-white/pale yellow/
黄櫨 [はぜ] /(n) (Japanese) wax tree/sumac (sumach)/
黄櫨 [はぜのき] /(n) (Japanese) wax tree/sumac (sumach)/
黄幡 [おうばん] /(n) Oban/one of the eight gods of the koyomi/
黄肌 [きはだ] /(n) (uk) yellowfin tuna (Thunnus albacares)/
黄肌 [きわだ] /(n) (uk) yellowfin tuna (Thunnus albacares)/
黄肌鮪 [きはだまぐろ] /(n) (uk) yellowfin tuna (Thunnus albacares)/
黄肌鮪 [きわだまぐろ] /(n) (uk) yellowfin tuna (Thunnus albacares)/
黄八丈 [きはちじょう] /(n) yellow silk cloth with a dark striped or checkered pattern (from Hachijo island)/
黄斑 [おうはん] /(n,adj-no) macula/macule/macula lutea/yellow spot/
黄表紙 [きびょうし] /(n) illustrated storybook with yellow covers (Edo period)/
黄膚 [きはだ] /(n) (uk) Amur cork tree (Phellodendron amurense)/
黄膚 [きわだ] /(n) (uk) Amur cork tree (Phellodendron amurense)/
黄吻 [こうふん] /(n) young and inexperienced person/
黄粉 [きなこ] /(n) (uk) soy flour/soybean flour/
黄粉餅 [きなこもち] /(n) (uk) mochi sprinkled with soy flour/
黄碧玉 [こうへきぎょく] /(n) yellow jasper/beryl/
黄変 [おうへん] /(n,vs) turning yellow/
黄変米 [おうへんまい] /(n) spoiled rice/spoilt rice/
黄麻 [おうま] /(n) jute/
黄麻 [こうま] /(n) jute/
黄麻 [つなそ] /(n) jute/
黄麻布 [おうまふ] /(n) burlap/hessian/
黄味 [きみ] /(n) (1) yolk of an egg/yellow of an egg/(adj-no) (2) yellow/yellowish/
黄味がかった [きみがかった] /(adj-f) yellowish/cream-coloured/cream-colored/
黄楊 [つげ] /(n) (uk) Japanese box tree (Buxus microphylla var. japonica)/Japanese boxwood/
黄葉 [こうよう] /(n,vs) (1) autumn colours/fall colors/leaves changing color (colour)/(2) leaves turning yellow/yellow leaves/
黄葉 [もみじ] /(n,vs) (1) autumn colours/fall colors/leaves changing color (colour)/(n) (2) (Japanese) maple (Acer japonicum)/(3) (col) venison/
黄立羽 [きたては] /(n) (uk) Asian comma butterfly (Polygonia c-aureum)/
黄緑 [おうりょく] /(n) pea green/yellow-green/
黄緑 [きみどり] /(n) pea green/yellow-green/
黄緑色 [おうりょくしょく] /(n) yellow-green/pea green/
黄燐 [おうりん] /(n) yellow (white) phosphorus/
黄嘴鶸 [きばしひわ] /(n) (uk) twite (species of finch, Carduelis flavirostris)/
黄旛 [おうばん] /(n) Oban/one of the eight gods of the koyomi/
黄檗 [おうばく] /(n) (abbr) Obaku school of Zen Buddhism/
黄檗 [きはだ] /(n) (uk) Amur cork tree (Phellodendron amurense)/
黄檗 [きわだ] /(n) (uk) Amur cork tree (Phellodendron amurense)/
黄檗宗 [おうばくしゅう] /(n) Obaku school of Zen Buddhism/
黄蘗 [きはだ] /(n) (uk) Amur cork tree (Phellodendron amurense)/
黄蘗 [きわだ] /(n) (uk) Amur cork tree (Phellodendron amurense)/
黄蘗色 [きはだいろ] /(n) bright yellow (the color of amur corktree bark)/
黄疸 [おうだん] /(n,adj-no) jaundice/
黄癬 [おうせん] /(n) favus/
黄耆 [おうぎ] /(n) Astragalus root/Hedysarum root/
黄蜀葵 [おうしょっき] /(n) (uk) sunset hibiscus (Hibiscus manihot)/
黄蜀葵 [とろろ] /(n) (uk) sunset hibiscus (Hibiscus manihot)/
黄蜀葵 [とろろあおい] /(n) (uk) sunset hibiscus (Hibiscus manihot)/
黄頷蛇 [あおだいしょう] /(iK) (n) (uk) Japanese rat snake (Elaphe climacophora)/
黄鶲 [きびたき] /(n) (uk) narcissus flycatcher (Ficedula narcissina)/
黄鶺鴒 [きせきれい] /(n) (uk) grey wagtail (Motacilla cinerea)/gray wagtail/
黄鼬 [てん] /(n) (1) (uk) Japanese marten (Martes melampus)/(2) marten (any arboreal weasel-like mammal of genus Martes)/
岡 [おか] /(n) hill/height/knoll/rising ground/
岡っ引き [おかっぴき] /(n) (arch) hired thief taker (Edo period)/private secret policeman/private detective/
岡引 [おかっぴき] /(n) (arch) hired thief taker (Edo period)/private secret policeman/private detective/
岡引 [おかひき] /(n) (arch) hired thief taker (Edo period)/private secret policeman/private detective/
岡引き [おかひき] /(n) (arch) hired thief taker (Edo period)/private secret policeman/private detective/
岡虎の尾 [おかとらのお] /(n) (uk) gooseneck loosestrife (Lysimachia clethroides)/
岡虎尾 [おかとらのお] /(n) (uk) gooseneck loosestrife (Lysimachia clethroides)/
岡惚 [おかぼれ] /(n,vs) unrequited love/illicit love/secret affections/
岡惚れ [おかぼれ] /(n,vs) unrequited love/illicit love/secret affections/
岡崎フラグメント [おかざきフラグメント] /(n) Okazaki fragment/
岡山県 [おかやまけん] /(n) Okayama prefecture (Chuugoku area)/
岡持ち [おかもち] /(n) wooden carrying box/
岡宿借 [おかやどかり] /(n) (uk) concave land hermit crab (Coenobita cavipes)/
岡焼き [おかやき] /(n) jealousy/envy/
岡場所 [おかばしょ] /(n) red-light district/
岡湯 [おかゆ] /(n) tank of clean water (in a bath house)/
岡辺 [おかべ] /(n) vicinity of a hill/
岡目 [おかめ] /(n) onlooker/bystander/
岡目八目 [おかめはちもく] /(n) (1) bystander's vantage point/outsider's better grasp of the situation/(exp) (2) onlookers see more of the game than the players do/lit: people watching a game of Go see 8 moves further ahead/
岡陵 [こうりょう] /(n) (arch) hill/
沖 [おき] /(n) open sea/(P)/
沖する [ちゅうする] /(vs-s) to rise up into the air/to ascend into the sky/
沖に繋る船 [おきにかかるふね] /(n) ship mooring off the coast/
沖巨頭 [おきごんどう] /(n) (uk) false killer whale (Pseudorca crassidens)/
沖合 [おきあい] /(n) coast/offing/offshore/(P)/
沖合い [おきあい] /(n) coast/offing/offshore/(P)/
沖合い漁業 [おきあいぎょぎょう] /(n) offshore fishing industry/
沖合底引き網漁業 [おきあいそこびきあみぎょぎょう] /(n) offshore trawl fishery/
沖醤蝦 [おきあみ] /(n) (uk) krill/euphasiid (any species in the family Euphausiacea)/
沖辛螺 [おきにし] /(n) (uk) warty frog shell (Bursa bufonia dunkeri)/
沖積 [ちゅうせき] /(n,adj-no) alluvial/
沖積期 [ちゅうせきき] /(n) alluvial period/
沖積世 [ちゅうせきせい] /(n) alluvial epoch (i.e. the Holocene epoch)/
沖積層 [ちゅうせきそう] /(n) alluvium/alluvial stratum/
沖積土 [ちゅうせきど] /(n) alluvial soil/
沖積統 [ちゅうせきとう] /(n) alluvial series/
沖積平野 [ちゅうせきへいや] /(n) an alluvial plain/
沖仲仕 [おきなかし] /(n) longshoreman/stevedore/
沖漬 [おきづけ] /(n) fish sliced open and soaked in a mixture of vinegar, sake, and salt/
沖漬け [おきづけ] /(n) fish sliced open and soaked in a mixture of vinegar, sake, and salt/
沖釣 [おきづり] /(n) offshore fishing/
沖釣り [おきづり] /(n) offshore fishing/
沖天 [ちゅうてん] /(n) rising into the heavens/
沖縄 [おきなわ] /(n) Okinawa (one of the Japanese Ryukyu islands)/(P)/
沖縄・北方対策担当大臣 [おきなわ・ほっぽうたいさくたんとうだいじん] /(n) State Minister in Charge of Issues of Okinawa and Northern Territories/
沖縄開発庁長官 [おきなわかいはつちょうちょうかん] /(n) Director General of Okinawa Development Agency/(P)/
沖縄県 [おきなわけん] /(n) Okinawa prefecture (including Okinawa island)/
沖縄口 [うちなあぐち] /(n) (uk) words and phrases only used in Okinawa/Okinawa dialect/
沖縄山芋 [おきなわやまいも] /(n) (obsc) water yam (Dioscorea alata)/winged yam/purple yam/
沖縄社会大衆党 [おきなわしゃかいたいしゅうとう] /(n) Okinawa Socialist Masses Party/
沖縄戦 [おきなわせん] /(n) Battle of Okinawa (April, 1945)/
沖縄大蝙蝠 [おきなわおおこうもり] /(n) (uk) Okinawa flying fox (Pteropus loochoensis) (extinct)/
沖縄北方対策担当大臣 [おきなわほっぽうたいさくたんとうだいじん] /(n) State Minister in Charge of Issues of Okinawa and Northern Territories/
沖波 [おきなみ] /(n) offing wave/deep water wave/
沖螺 [おきにし] /(n) (uk) warty frog shell (Bursa bufonia dunkeri)/
沖浪 [おきなみ] /(n) offing wave/deep water wave/
荻 [おぎ] /(n) Amur silvergrass (Miscanthus sacchariflorus)/(P)/
荻江節 [おぎえぶし] /(n) type of Japanese music/
億 [おく] /(num) 10^8/100,000,000/hundred million/(P)/
億ション [おくション] /(n) (luxury) apartment/
億円 [おくえん] /(n) 100,000,000 yen/
億劫 [おくこう] /(adj-na,n) troublesome/annoying/
億劫 [おっくう] /(adj-na,n) troublesome/annoying/
億兆 [おくちょう] /(n) the people/multitude/masses/
億万 [おくまん] /(n) millions and millions/
億万長者 [おくまんちょうじゃ] /(n) billionaire/
屋 [や] /(suf) (1) (something) shop/(2) somebody who sells (something) or works as (something)/(3) somebody with a (certain) personality trait/(n) (4) house/(5) roof/
屋外 [おくがい] /(n,adj-no) outdoors/alfresco/(P)/
屋外広告 [おくがいこうこく] /(n) outdoor advertisements/
屋久猿 [やくざる] /(n) (uk) Yakushima macaque (Macaca fuscata yakui)/
屋久鹿 [やくしか] /(n) (uk) Yakushima sika (Cervus nippon yakushimae)/
屋久杉 [やくすぎ] /(n) Yakushima cedar (esp. one over 1000 years old)/
屋形 [やかた] /(n) (1) mansion/small castle/(2) (hon) nobleman/noblewoman/(3) boat cabin/
屋形船 [やかたぶね] /(n) pleasure boat/houseboat/
屋号 [やごう] /(n) (1) name of store/trade name/(2) stage name (e.g. of actor)/
屋根 [やね] /(n) roof/(P)/
屋根に上がる [やねにあがる] /(exp,v5r) to go up on the roof/
屋根屋 [やねや] /(n) roofer/thatcher/
屋根板 [やねいた] /(n) shingle/
屋根裏 [やねうら] /(n) attic/loft/
屋根裏部屋 [やねうらべや] /(n) attic/garret/loft/
屋舎 [おくしゃ] /(n) building/house/
屋上 [おくじょう] /(n) rooftop/(P)/
屋上屋を架す [おくじょうおくをかす] /(exp,v5s) to do something useless/to paint the lily/to gild refined gold/to build a roof atop the roof/
屋上架屋 [おくじょうかおく] /(n) gilding the lily/adding redundant things/
屋上庭園 [おくじょうていえん] /(n) rooftop garden/
屋体 [やたい] /(n) (1) cart (esp. a food cart)/stall/stand/(2) festival float/portable shrine dedicated to a god and shaped like a house/dancing platform/(3) stage prop fashioned after a large building/(4) (abbr) framework (of a house, etc.)/(5) (arch) house (esp. a small and miserable house)/
屋台 [やたい] /(n) (1) cart (esp. a food cart)/stall/stand/(2) festival float/portable shrine dedicated to a god and shaped like a house/dancing platform/(3) stage prop fashioned after a large building/(4) (abbr) framework (of a house, etc.)/(5) (arch) house (esp. a small and miserable house)/(P)/
屋台骨 [やたいぼね] /(n) framework/mainstay/support/supporter/
屋台店 [やたいみせ] /(n) stall/stand/
屋内 [おくない] /(n,adj-no) indoor (court, pool, etc.)/(P)/
屋内ケーブル [おくないケーブル] /(n) (comp) house cable/
屋内プール [おくないプール] /(n) indoor swimming pool/
屋内競技 [おくないきょうぎ] /(n) indoor games/
屋内退避 [おくないたいひ] /(n,vs) sheltering indoors/taking refuge inside/
屋内配線 [おくないはいせん] /(n) (comp) internal wiring (within a building)/
屋敷 [やしき] /(n) residence/estate/grounds/premises/mansion/(P)/
屋敷町 [やしきまち] /(n) residential area/
憶う [おもう] /(v5u,vt) (1) to think/to consider/to believe/(2) to think (of doing)/to plan (to do)/(3) to judge/to assess/to regard/(4) to imagine/to suppose/to dream/(5) to expect/to look forward to/(6) to feel/to desire/to want/(7) to recall/to remember/
憶える [おぼえる] /(oK) (v1,vt) (1) to remember/to recollect/to memorize/to memorise/(2) to feel/
憶見 [おっけん] /(n) conjecture/
憶説 [おくせつ] /(n) hypothesis/speculation/surmise/conjecture/
憶測 [おくそく] /(n,vs) guess/speculation/supposition/(P)/
憶断 [おくだん] /(n,vs) jumping to hasty conclusions/conjecture/
憶念 [おくねん] /(n) something one always remembers/
憶病 [おくびょう] /(adj-na,n) cowardice/timidity/
臆す [おくす] /(v5s,vi) to be hesitant/to feel timid/
臆する [おくする] /(vs-s,vi) to be hesitant/to feel timid/
臆見 [おっけん] /(n) conjecture/
臆説 [おくせつ] /(n) hypothesis/speculation/surmise/conjecture/
臆測 [おくそく] /(n,vs) guess/speculation/supposition/
臆断 [おくだん] /(n,vs) jumping to hasty conclusions/conjecture/
臆念 [おくねん] /(n) something one always remembers/
臆病 [おくびょう] /(adj-na,n) cowardice/timidity/(P)/
臆病者 [おくびょうもの] /(n) coward/(P)/
臆病風 [おくびょうかぜ] /(n) loss of nerve/
臆面 [おくめん] /(n) shy face/
臆面もない [おくめんもない] /(adj-i) bold/audacious/impudent/unashamed/unabashed/
臆面もなく [おくめんもなく] /(adv) boldly/audaciously/impudently/unashamedly/unabashedly/
桶 [おけ] /(n) bucket/(P)/
桶屋 [おけや] /(n) bucket maker/well maker/cooper/hooper/
牡 [おす] /(n) male (animal)/
牡蛎 [かき] /(n) oyster/
牡牛 [おうし] /(n) bull/ox/steer/
牡牛座 [おうしざ] /(n) Taurus/the Bull (constellation)/
牡鶏 [おんどり] /(n) cock/rooster/chanticleer/
牡鹿 [おか] /(ok) (n) buck (male deer)/
牡鹿 [おしか] /(n) buck (male deer)/
牡鹿 [おじか] /(n) buck (male deer)/
牡丹 [ぼたん] /(n) (1) (uk) tree peony (Paeonia suffruticosa)/moutan/(2) wild boar (meat)/
牡丹杏 [ぼたんきょう] /(n) variety of plum/
牡丹蝦 [ぼたんえび] /(n) (uk) botan shrimp (Pandalus nipponensis)/
牡丹海老 [ぼたんえび] /(n) (uk) botan shrimp (Pandalus nipponensis)/
牡丹桜 [ぼたんざくら] /(n) any oriental variety of cherry tree descended from the Oshima cherry/
牡丹雪 [ぼたんゆき] /(n) large snowflakes/
牡丹鍋 [ぼたんなべ] /(n) boar's meat stew/
牡丹皮 [ぼたんぴ] /(n) peony root bark/
牡丹防風 [ぼたんぼうふう] /(n) (uk) Peucedanum japonicum (species of umbellifer with edible leaves)/
牡丹餅 [ぼたもち] /(n) Adzuki bean mochi/
牡丹鸚哥 [ぼたんいんこ] /(n) (uk) lovebird (esp. Lilian's lovebird, Agapornis lilianae)/
牡鳥 [おんどり] /(n) cock/rooster/chanticleer/
牡猫 [おすねこ] /(n) tomcat/male cat/
牡猫 [おねこ] /(n) tomcat/male cat/
牡馬 [おうま] /(n) male horse/
牡馬 [おすうま] /(n) male horse/
牡馬 [おま] /(n) male horse/
牡馬 [ぼば] /(n) male horse/
牡羊 [おひつじ] /(n) ram/
牡羊座 [おひつじざ] /(n) Aries (constellation)/the Ram/
牡蠣 [かき] /(oK) (n) oyster/oyster shell/
牡蠣 [ぼれい] /(oK) (n) oyster/oyster shell/
牡蠣油 [かきあぶら] /(n) oyster sauce/
乙 [おつ] /(adj-na,n) (1) second (party to an agreement)/the B party (e.g. in a contract)/the latter/(2) strange/quaint/stylish/chic/spicy/queer/witty/tasty/romantic/(exp) (3) (abbr) (sl) thank you/goodbye/goodnight/(P)/
乙 [きのと] /(adj-na,n) 2nd in rank/second sign of the Chinese calendar/
乙な味 [おつなあじ] /(n) strange taste/spicy taste/
乙に澄ます [おつにすます] /(exp,v5s) to affect a serene mood/affect a serious demeanor/to act prudishly/to assume an air of superiority/
乙亥 [いつがい] /(n) twelfth of the sexagenary cycle/
乙亥 [おつがい] /(n) twelfth of the sexagenary cycle/
乙亥 [きのとい] /(n) twelfth of the sexagenary cycle/
乙卯 [いつぼう] /(n) 52nd of the sexagenary cycle/
乙卯 [おつぼう] /(n) 52nd of the sexagenary cycle/
乙卯 [きのとう] /(n) 52nd of the sexagenary cycle/
乙丑 [いっちゅう] /(n) second of the sexagenary cycle/
乙丑 [おっちゅう] /(n) second of the sexagenary cycle/
乙丑 [きのとうし] /(n) second of the sexagenary cycle/
乙子 [おとご] /(n) last child/
乙種 [おつしゅ] /(n) second grade/
乙巡 [おつじゅん] /(n) second-class cruiser/
乙女 [おとめ] /(n) young lady/little girl/virgin/maiden/daughter/
乙女チック [おとめチック] /(adj-na) girly/girlie/girlish/
乙女座 [おとめざ] /(n) Virgo (constellation)/the Virgin/
乙女桜 [おとめざくら] /(n) fairy primrose (Primula Malacoides)/
乙女子 [おとめご] /(n) (arch) young lady/little girl/
乙女心 [おとめごころ] /(n) girl's feeling/maiden's mind/
乙女男子 [おとめだんし] /(n) effeminate man/
乙女椿 [おとめつばき] /(n) (uk) otome camellia (Camellia japonica f. otome)/
乙仲 [おつなか] /(n) (abbr) chartering broker (arranges customs clearance and shipping details for trade goods)/freight forwarding agent/
乙張 [めりはり] /(n,adj-no) (1) (uk) modulation (of voice)/(2) variation/variety/(3) liveliness/full-bodied/
乙張り [めりはり] /(n,adj-no) (1) (uk) modulation (of voice)/(2) variation/variety/(3) liveliness/full-bodied/
乙酉 [いつゆう] /(n) twenty-second of the sexagenary cycle/
乙酉 [おつゆう] /(n) twenty-second of the sexagenary cycle/
乙酉 [きのととり] /(n) twenty-second of the sexagenary cycle/
乙姫 [おとひめ] /(n) youngest princess/
乙姫蝦 [おとひめえび] /(n) (uk) banded coral shrimp (Stenopus hispidus)/coral banded shrimp/banded boxer shrimp/
乙姫海老 [おとひめえび] /(n) (uk) banded coral shrimp (Stenopus hispidus)/coral banded shrimp/banded boxer shrimp/
乙未 [いつび] /(n) thirty-second of the sexagenary cycle/
乙未 [おつび] /(n) thirty-second of the sexagenary cycle/
乙未 [きのとひつじ] /(n) thirty-second of the sexagenary cycle/
乙巳 [いっし] /(n) 42nd of the sexagenary cycle/
乙巳 [おっし] /(n) 42nd of the sexagenary cycle/
乙巳 [きのとみ] /(n) 42nd of the sexagenary cycle/
乙夜 [いつや] /(n) (arch) second division of the night (approx. 9 pm to 11 pm)/
乙夜 [おつや] /(n) (arch) second division of the night (approx. 9 pm to 11 pm)/
乙矢 [おとや] /(n) arrow with feathers that curve to the right (the second of two arrows to be fired)/
俺 [おれ] /(pn,adj-no) (male) I/me (rough or arrogant-sounding first-person pronoun, formerly also used by women)/(P)/
俺が俺がの連中 [おれがおれがのれんちゅう] /(exp,n) ego-driven men/
俺たち [おれたち] /(n) (male) we/us/
俺っち [おれっち] /(n) (1) (male) we/us/(2) (sl) I/me/
俺ら [おいら] /(pn,adj-no) (1) I/me/
俺ら [おれら] /(pn,adj-no) (1) we/us/(2) I/me/
俺達 [おれたち] /(n) (male) we/us/
俺等達 [おいらっち] /(n) (arch) (male) we/us/
俺様 [おれさま] /(pn,adj-no) I, myself (pompously)/
卸 [おろし] /(n) wholesale/(P)/
卸し [おろし] /(n) wholesale/
卸し金 [おろしがね] /(n) (vegetable) grater/
卸し商 [おろししょう] /(io) (n) wholesaler/wholesale dealer/
卸し大根 [おろしだいこん] /(n) grated daikon/
卸し値 [おろしね] /(n) wholesale price/
卸し売り [おろしうり] /(n,adj-no) wholesale/
卸し売り物価 [おろしうりぶっか] /(n) wholesale price/
卸し問屋 [おろしどんや] /(n) wholesaler/
卸し和え [おろしあえ] /(n) seasoning of grated daikon with soy and vinegar, usually for fish or vegetables/
卸す [おろす] /(v5s,vt) (1) to sell wholesale/(2) to grate (e.g. vegetables)/(3) to cut up fish/(P)/
卸下 [しゃが] /(n,vs) {mil} cargo unloading/
卸会社 [おろしがいしゃ] /(n) (abbr) wholesale company/wholesaler/
卸業者 [おろしぎょうしゃ] /(n) distributor (of goods)/
卸酒販 [おろししゅはん] /(n) wholesale alcohol trade/
卸商 [おろししょう] /(n) wholesaler/wholesale dealer/
卸相場 [おろしそうば] /(n) wholesale price/
卸値 [おろしね] /(n) wholesale price/(P)/
卸売 [おろしうり] /(n,adj-no) wholesale/(P)/
卸売り [おろしうり] /(n,adj-no) wholesale/(P)/
卸売り価格 [おろしうりかかく] /(n) wholesale price/
卸売り業者 [おろしうりぎょうしゃ] /(n) wholesaler/
卸売価格 [おろしうりかかく] /(n) wholesale price/
卸売会社 [おろしうりがいしゃ] /(n) wholesale company/wholesaler/
卸売業者 [おろしうりぎょうしゃ] /(n) wholesaler/
卸売市場 [おろしうりしじょう] /(n) wholesale market/(P)/
卸売物価 [おろしうりぶっか] /(n) wholesale price/(P)/
卸売物価指数 [おろしうりぶっかしすう] /(n) wholesale price index/WPI/
卸問屋 [おろしどんや] /(n) wholesaler/
恩 [おん] /(n) favour/favor/obligation/debt of gratitude/(P)/
恩がある [おんがある] /(exp,v5r-i) to be in one's debt/
恩が有る [おんがある] /(exp,v5r-i) to be in one's debt/
恩に掛ける [おんにかける] /(exp,v1) to demand gratitude/to make a favour of something/to remind of a favour done to someone/to emphasize the favour one has done/
恩に着せる [おんにきせる] /(exp,v1) to demand gratitude/to make a favour of something/to remind of a favour done to someone/to emphasize the favour one has done/
恩に着る [おんにきる] /(exp,v1) to feel oneself indebted to/
恩を仇で返す [おんをあだでかえす] /(exp,v5s) to return evil for good/
恩を着せる [おんをきせる] /(exp,v1) to make one feel grateful/
恩を売る [おんをうる] /(exp,v5r) to demand gratitude/to do something for someone in order to create an obligation of gratitude from that person/
恩を忘れる [おんをわすれる] /(exp,v1) to be ungrateful/
恩愛 [おんあい] /(n) kindness and affection/love/
恩愛 [おんない] /(n) kindness and affection/love/
恩威 [おんい] /(n) benevolence and strictness/
恩義 [おんぎ] /(n) obligation/favour/favor/debt of gratitude/
恩誼 [おんぎ] /(n) obligation/favour/favor/debt of gratitude/
恩給 [おんきゅう] /(n,adj-no) pension/(P)/
恩恵 [おんけい] /(n) grace/favor/favour/blessing/benefit/(P)/
恩恵を被る [おんけいをこうむる] /(exp,v5r) to share in the benefit/
恩恵を蒙る [おんけいをこうむる] /(exp,v5r) to share in the benefit/
恩顧 [おんこ] /(n) favour/favor/patronage/
恩倖 [おんこう] /(n) (arch) the emperor's personal favour/
恩幸 [おんこう] /(n) (arch) the emperor's personal favour/
恩師 [おんし] /(n) one's honoured teacher/one's honored teacher/one's former teacher/(P)/
恩賜 [おんし] /(n) Imperial gift/(P)/
恩赦 [おんしゃ] /(n) amnesty/pardon/(P)/
恩借 [おんしゃく] /(n,vs) loan/borrowing/
恩讐 [おんしゅう] /(n) love and hate/
恩賞 [おんしょう] /(n) reward/
恩情 [おんじょう] /(n) compassion/affection/
恩人 [おんじん] /(n) benefactor/patron/(P)/
恩沢 [おんたく] /(n) favour/favor/benefit/
恩沢 [おんだく] /(ok) (n) favour/favor/benefit/
恩知らず [おんしらず] /(adj-na,n) ingratitude/(P)/
恩着せがましい [おんきせがましい] /(adj-i) condescending/patronizing/
恩寵 [おんちょう] /(n) grace/favour/favor/
恩寵を享ける [おんちょうをうける] /(exp,v1) to enjoy (a person's) favor (favour)/
恩寵を受ける [おんちょうをうける] /(exp,v1) to enjoy (a person's) favor (favour)/
恩典 [おんてん] /(n) favour/favor/act of grace/special privilege/
恩徳 [おんとく] /(n) (obsc) grace/blessing/compassion/
恩徳 [おんどく] /(n) (obsc) grace/blessing/compassion/
恩返し [おんがえし] /(n,vs) requital of a favour (favor)/repayment (of an obligation, kindness, etc.)/(P)/
恩返しをする [おんがえしをする] /(exp,vs-i) to return a favor (favour)/to repay/
恩命 [おんめい] /(n) gracious command or words/
恩讎 [おんしゅう] /(n) love and hate/
温 [ぬく] /(n) (arch) (derog) idiot/dummy/slow person/
温々 [ぬくぬく] /(adv) comfortably/snugly/cosily/easy/carefree/
温い [ぬくい] /(adj-i) (1) (uk) lukewarm/tepid/(2) (uk) (arch) slow/stupid/
温い [ぬるい] /(adj-i) (1) (uk) lukewarm/tepid/(2) (uk) lenient/(P)/
温か [あたたか] /(adj-na) warm/mild/genial/
温か [あったか] /(adj-na) warm/mild/genial/
温かい [あたたかい] /(adj-i) warm/mild/genial/(P)/
温かい [あったかい] /(adj-i) warm/mild/genial/
温かい歓迎 [あたたかいかんげい] /(n) warm reception/
温かい御飯 [あたたかいごはん] /(n) warm rice/
温かみ [あたたかみ] /(n) warmth/
温まる [あたたまる] /(v5r,vi) to warm oneself/to sun oneself/to warm up/to get warm/(P)/
温まる [ぬくまる] /(v5r,vi) to warm oneself/to sun oneself/to warm up/to get warm/
温み [ぬくみ] /(n) warmth/
温む [ぬるむ] /(v5m,vi) to become lukewarm/to become tepid/
温める [あたためる] /(v1,vt) to warm/to heat/(P)/
温める [ぬくめる] /(v1,vt) to warm/to heat/
温める [ぬるめる] /(v1,vt) to cool something down (e.g. by adding water)/
温め酒 [あたためざけ] /(n) warm sake (formerly drunk on the 9th day of the 9th month of the lunar calendar to ward off illness)/
温め酒 [ぬくめざけ] /(n) warm sake (formerly drunk on the 9th day of the 9th month of the lunar calendar to ward off illness)/
温もり [ぬくもり] /(n) warmth/(P)/
温もる [ぬくもる] /(v5r,vi) to get warm/to become warm/
温温 [ぬくぬく] /(adv) comfortably/snugly/cosily/easy/carefree/
温雅 [おんが] /(adj-na,n) graceful/affable/
温海 [あつみ] /(n) warm sea/
温覚 [おんかく] /(n) sense of warmth/
温顔 [おんがん] /(n) kindly face/
温気 [うんき] /(n) heat/warmth/sultriness/
温灸 [おんきゅう] /(n) moxa cautery/
温血動物 [おんけつどうぶつ] /(n) warm-blooded animal/
温古知新 [おんこちしん] /(n) developing new ideas based on study of the past/learning from the past/
温故知新 [おんこちしん] /(n) developing new ideas based on study of the past/learning from the past/
温厚 [おんこう] /(adj-na,n) gentle/(P)/
温厚寡黙 [おんこうかもく] /(n,adj-na) gentle and reticent/
温厚篤実 [おんこうとくじつ] /(n,adj-na) having a gentle and sincere personality/
温室 [おんしつ] /(n) greenhouse/hothouse/conservatory/glasshouse/(P)/
温室育ち [おんしつそだち] /(n) sheltered upbringing/
温室効果 [おんしつこうか] /(n,adj-no) greenhouse effect/
温室効果ガス [おんしつこうかガス] /(n) greenhouse effect gas/greenhouse gas/
温室栽培 [おんしつさいばい] /(n,adj-no) greenhouse horticulture/
温湿布 [おんしっぷ] /(n) hot compress/
温州ミカン [うんしゅうミカン] /(n) satsuma mandarin (Citrus unshiu)/
温州蜜柑 [うんしゅうみかん] /(n) satsuma mandarin (Citrus unshiu)/
温習 [おんしゅう] /(n,vs) review/rehearsal/
温習 [さらい] /(n,vs) review/rehearsal/
温習う [さらう] /(v5u,vt) to review/to rehearse/to practise/to practice/
温順 [おんじゅん] /(adj-na,n) docile/tame/
温床 [おんしょう] /(n) hotbed/breeding ground/(P)/
温情 [おんじょう] /(n) warm heart/kindliness/
温情主義 [おんじょうしゅぎ] /(n,adj-no) paternalism/
温色 [おんしょく] /(n) warm colour/warm color/angry countenance/
温水 [おんすい] /(n,adj-no) warm water/
温水タンク [おんすいタンク] /(n) hot water tank/
温水プール [おんすいプール] /(n) heated swimming pool/
温水器 [おんすいき] /(n) water heater/calorifier/
温水洗浄便座 [おんすいせんじょうべんざ] /(n) bidet toilet/washlet/
温製 [おんせい] /(n) hot dish (e.g. at a restaurant)/
温石 [おんじゃく] /(n) heated stone (wrapped in cloth and kept next to the body for warmth)/
温泉 [おんせん] /(n) spa/hot spring/onsen/(P)/
温泉たまご [おんせんたまご] /(n) egg slow-boiled so that the yolk is hard but the white is still soft (traditionally cooked in a hot spring)/
温泉マーク [おんせんマーク] /(n) (1) sign used to designate a hot springs (e.g. on a map)/(2) traditional style love hotel/
温泉華 [おんせんか] /(n) travertine/
温泉郷 [おんせんきょう] /(n) hot-spring village/spa/
温泉宿 [おんせんやど] /(n) hot-spring hotel/
温泉場 [おんせんば] /(n) place where there are hot springs/hot springs spa/
温泉地 [おんせんち] /(n) spa/hot spring/
温泉町 [おんせんまち] /(n) hot-spring resort/spa town/
温泉卵 [おんせんたまご] /(n) egg slow-boiled so that the yolk is hard but the white is still soft (traditionally cooked in a hot spring)/
温泉療法 [おんせんりょうほう] /(n) hot-spring cure/onsen therapy/
温存 [おんぞん] /(n,vs) preserve/retain/(P)/
温帯 [おんたい] /(n) temperate zone/(P)/
温帯低気圧 [おんたいていきあつ] /(n) extratropical cyclone/
温帯林 [おんたいりん] /(n) temperate forest/
温暖 [おんだん] /(adj-na,n) warmth/(P)/
温暖化現象 [おんだんかげんしょう] /(n) greenhouse effect/
温暖前線 [おんだんぜんせん] /(n) a warm front/
温点 [おんてん] /(n) heat spot/
温度 [おんど] /(n) temperature/(P)/
温度感覚 [おんどかんかく] /(n) temperature sense/
温度係数 [おんどけいすう] /(n) temperature coefficient/
温度計 [おんどけい] /(n) thermometer/
温度差 [おんどさ] /(n) (1) difference in temperature/(2) difference in degrees of enthusiasm, interest, commitment, etc./
温度上昇 [おんどじょうしょう] /(n) temperature increase/rise in temperature/
温度調節 [おんどちょうせつ] /(n) temperature control/
温度目盛 [おんどめもり] /(n) temperature scale/
温湯 [おんとう] /(n) comfortably hot bath/hot spring/
温突 [おんどる] /(n) (uk) Korean floor heater (kor:)/
温熱 [おんねつ] /(n,adj-no) hot fever/
温熱性 [おんねつせい] /(adj-na) thermal/
温熱療法 [おんねつりょうほう] /(n) thermotherapy/
温排水 [おんはいすい] /(n) thermal discharge/
温風 [おんぷう] /(n) (1) warm air (e.g. from a heater)/(2) (arch) spring breeze/
温風暖房 [おんぷうだんぼう] /(n) warm-air heating/
温風暖房機 [おんぷうだんぼうき] /(n) warm air heater/
温明殿 [うんめいでん] /(n) pavilion housing the sacred mirror (in Heian Palace)/
温野菜 [おんやさい] /(n) heated vegetables/warm vegetables/
温容 [おんよう] /(n) kindly face/
温浴 [おんよく] /(n,vs) hot bath/
温良 [おんりょう] /(adj-na,n) gentle/amiable/
温和 [おんわ] /(adj-na,n) gentle/mild/moderate/(P)/
温罨法 [おんあんぽう] /(n) hot compress/
穏やか [おだやか] /(adj-na,n) calm/gentle/quiet/(P)/
穏やかに話す [おだやかにはなす] /(exp,v5s) to talk quietly/
穏健 [おんけん] /(adj-na,n) quiet/dependable/uniform/(politically) moderate/(P)/
穏健派 [おんけんは] /(n) moderate faction/moderates/
穏健路線 [おんけんろせん] /(n) moderate line/middle-of-the-road line (in politics)/
穏当 [おんとう] /(adj-na,n) proper/reasonable/right/(P)/
穏便 [おんびん] /(adj-na,n) gentle/peaceable/quiet/(P)/
穏和 [おんわ] /(adj-na,n) gentle/mild/moderate/(P)/
音 [おと] /(n,n-suf) (1) sound/noise/report/(2) note (music)/(3) fame/(P)/
音 [おん] /(n,n-suf) (1) sound/noise/report/(2) note (music)/(3) Chinese-derived character reading/(P)/
音 [ね] /(n,n-suf) (1) sound/noise/report/(2) note (music)/(P)/
音いろ [ねいろ] /(n,adj-no) (1) tone color/tone colour/tone quality/timbre/(2) synthesizer patch/synthesiser patch/
音さ [おんさ] /(n) tuning fork/
音で読む [おんでよむ] /(exp,v5m) to read kanji in the on reading/
音に聞く [おとにきく] /(exp,v5k) to be widely known/to be famous/
音の壁 [おとのかべ] /(exp) sound barrier/
音もなく [おともなく] /(exp,adv) quietly/soundlessly/
音をあげる [ねをあげる] /(exp,v1) to give up/to admit defeat/to throw in the towel/
音をたてる [おとをたてる] /(exp,v1) to make a sound/
音を出す [おとをだす] /(exp,v5s) to produce a sound/
音を上げる [ねをあげる] /(exp,v1) to give up/to admit defeat/to throw in the towel/
音を立てる [おとをたてる] /(exp,v1) to make a sound/
音圧 [おんあつ] /(n) sound pressure/acoustic pressure/
音圧レベル [おんあつレベル] /(n) sound pressure level (usu. measured in decibel)/SPL/
音圧レベル計 [おんあつレベルけい] /(n) sound-level meter/sound pressure meter/
音域 [おんいき] /(n) singing range/register/
音域外 [おんいきがい] /(n) outside the singing range/outside the musical register/
音引き [おんびき] /(n) looking up a word or kanji by its reading (rather than by its radical or stroke count)/
音韻 [おんいん] /(n) vocal sound/phoneme/
音韻学 [おんいんがく] /(n) (ling) phonetics/phonology/
音韻組織 [おんいんそしき] /(n) sound system (of a language)/phonological system/
音韻体系 [おんいんたいけい] /(n,adj-no) phoneme system/
音韻部門 [おんいんぶもん] /(n) (ling) phonological component/
音韻論 [おんいんろん] /(n) (ling) phonemics/phonology/
音羽屋 [おとわや] /(n) Otowaya (stage name of a kabuki family)/
音仮名 [おんがな] /(n) (obsc) (prior to the advent of kana) kanji used to represent readings of words, selected for their on-yomi, regardless of meaning/
音価 [おんか] /(n) phonetic value/
音画 [おんが] /(n) (1) Tonmalerei (musical imagery)/(2) sound film/
音階 [おんかい] /(n,adj-no) musical scale/(P)/
音楽 [おんがく] /(n) music/musical movement/(P)/
音楽に合わせて踊る [おんがくにあわせておどる] /(exp,v5r) to dance to the music/
音楽の素質 [おんがくのそしつ] /(n) aptitude for music/
音楽の流れ [おんがくのながれ] /(n) flow of music/
音楽コンクール [おんがくコンクール] /(n) musical competition (fre: concours)/
音楽ソフト [おんがくソフト] /(n) (comp) music software/
音楽映画 [おんがくえいが] /(n) musical (film)/
音楽家 [おんがくか] /(n) musician/
音楽家 [おんがっか] /(n) musician/
音楽会 [おんがくかい] /(n) concert/recital/
音楽会 [おんがっかい] /(n) concert/recital/
音楽界 [おんがくかい] /(n) the world of music/the music world/
音楽学 [おんがくがく] /(n) musicology/
音楽学校 [おんがくがっこう] /(n) school of music/academy of music/conservatory/
音楽監督 [おんがくかんとく] /(n) music (musical) director/
音楽共有 [おんがくきょうゆう] /(n) music sharing/
音楽教育 [おんがくきょういく] /(n) music education/
音楽形式 [おんがくけいしき] /(n) musical form/
音楽祭 [おんがくさい] /(n) music festival/
音楽史 [おんがくし] /(n) music history/
音楽図書館 [おんがくとしょかん] /(n) music library/
音楽性 [おんがくせい] /(n) musicianship/
音楽隊 [おんがくたい] /(n) band/
音楽大学 [おんがくだいがく] /(n) College of Music/
音楽的 [おんがくてき] /(adj-na) musical/
音楽堂 [おんがくどう] /(n) concert hall/
音楽配信 [おんがくはいしん] /(n) online music distribution/
音楽配信サービス [おんがくはいしんサービス] /(n) music distribution service/
音楽美学 [おんがくびがく] /(n) musical aesthetics/
音楽評論家 [おんがくひょうろんか] /(n) music critic/
音楽民族学 [おんがくみんぞくがく] /(n) ethnomusicology/
音楽理論 [おんがくりろん] /(n) musical (music) theory/
音楽療法 [おんがくりょうほう] /(n) music therapy/
音感 [おんかん] /(n) sense of sound/sense of pitch/
音感教育 [おんかんきょういく] /(n) acoustic or auditory training/
音義 [おんぎ] /(n) kanji reading and meaning/
音響 [おんきょう] /(n,adj-no) sound/noise/echo/acoustics/(P)/
音響インピーダンス [おんきょうインピーダンス] /(n) acoustic impedance/
音響カプラー [おんきょうカプラー] /(n) acoustic coupler/
音響学 [おんきょうがく] /(n) (the study of) acoustics/
音響器 [おんきょうき] /(n) sounder/
音響機 [おんきょうき] /(n) sounder/
音響漁法 [おんきょうぎょほう] /(n) acoustic fishing method/
音響効果 [おんきょうこうか] /(n) (1) sound effects/(2) acoustics/
音響心理学 [おんきょうしんりがく] /(n) psychoacoustics/
音響設計 [おんきょうせっけい] /(n) acoustical design/
音響設備 [おんきょうせつび] /(n) audio equipment/
音響測深 [おんきょうそくしん] /(n) echo sounding/
音響測深機 [おんきょうそくしんき] /(n) echo sounder/
音響測深儀 [おんきょうそくしんぎ] /(n) echo sounder/
音響調整卓 [おんきょうちょうせいたく] /(n) mixing board (console, desk)/(audio) mixer/
音響定位 [おんきょうていい] /(n) echolocation/
音曲 [おんぎょく] /(n) songs with samisen accompaniment/musical performance/
音訓 [おんくん] /(n) kanji readings/(P)/
音訓索引 [おんくんさくいん] /(n) index listing kanji by their Chinese and Japanese pronunciations/
音源 [おんげん] /(n) sound source/
音源モジュール [おんげんモジュール] /(n) (comp) tone generator module/
音高 [おんこう] /(n) pitch (of a sound)/
音合せ [おとあわせ] /(n) (musical) tuning/
音合わせ [おとあわせ] /(n) (musical) tuning/
音叉 [おんさ] /(n) tuning fork/
音沙汰 [おとさた] /(n) news/letter/
音詩 [おんし] /(n) tone poem/
音字 [おんじ] /(n) syllabary/phonetic symbol/
音質 [おんしつ] /(n) tone quality/sound quality/(P)/
音写 [おんしゃ] /(n,vs) transliteration/
音色 [おんしょく] /(n,adj-no) (1) tone color/tone colour/tone quality/timbre/(2) synthesizer patch/synthesiser patch/
音色 [ねいろ] /(n,adj-no) (1) tone color/tone colour/tone quality/timbre/(2) synthesizer patch/synthesiser patch/(P)/
音色等化回路 [おんしょくとうかかいろ] /(n) audio equalizer circuit/sound equalizer circuit/
音色等化器 [おんしょくとうかき] /(n) audio equalizer/sound equalizer/
音色等価回路 [おんしょくとうかかいろ] /(n) audio equalizer circuit/sound equalizer circuit/
音信 [いんしん] /(n) correspondence/news/letter/tidings/
音信 [おんしん] /(n) correspondence/news/letter/tidings/
音信不通 [いんしんふつう] /(n) break in contact/not hearing from/having no communication with/
音信不通 [おんしんふつう] /(n) break in contact/not hearing from/having no communication with/
音図 [おんず] /(n) phonetic table (esp. that of Japanese)/
音声 [おんじょう] /(n) voice/(the concept of) sound/
音声 [おんせい] /(n) voice/(the concept of) sound/(P)/
音声チャネル [おんせいチャネル] /(n) (comp) voice channel/
音声トラック [おんじょうトラック] /(n) (comp) soundtrack/
音声ネットワーク [おんせいネットワーク] /(n) (comp) voice network/
音声ファイル [おんせいファイル] /(n) (comp) sound file/
音声ファイルフォーマット [おんせいファイルフォーマット] /(n) audio file format/
音声メール [おんせいメール] /(n) (comp) voice mail/
音声メイルボックス [おんせいメイルボックス] /(n) (comp) voice mailbox/
音声圧縮 [おんせいあっしゅく] /(n) (comp) voice compression/
音声応答ユニット [おんせいおうとうユニット] /(n) (comp) ARU/Audio Response Unit/
音声応答装置 [おんせいおうとうそうち] /(n) (comp) audio response unit/
音声下言語 [おんせいかげんご] /(n) subvocal speech/
音声会議システム [おんじょうかいぎシステム] /(n) (comp) voice conferencing system/
音声学 [おんせいがく] /(n) (ling) phonetics/
音声器官 [おんせいきかん] /(n) speech organ/
音声記号 [おんせいきごう] /(n) phonetic symbol/
音声形式 [おんせいけいしき] /(n) phonetic form/
音声言語 [おんせいげんご] /(n) (ling) a spoken language/
音声合成 [おんせいごうせい] /(n) (comp) voice synthesis/
音声合成装置 [おんせいごうせいそうち] /(n) (comp) speech synthesizer/
音声処理 [おんせいしょり] /(n) (comp) voice processing/
音声処理技術 [おんせいしょりぎじゅつ] /(n) (comp) voice processing technology/
音声生理学 [おんせいせいりがく] /(n) speech physiology/
音声多重放送 [おんせいたじゅうほうそう] /(n) multiplex broadcast or transmission/
音声調整卓 [おんせいちょうせいたく] /(n) mixing board (console, desk)/(audio) mixer/
音声転送 [おんせいてんそう] /(n) (comp) voice transmission/
音声入力装置 [おんせいにゅうりょくそうち] /(n) voice input unit/
音声認識 [おんせいにんしき] /(n,adj-no) voice recognition/speech recognition/
音声認識技術 [おんせいにんしきぎじゅつ] /(n) (comp) voice recognition technology/
音声表記 [おんせいひょうき] /(n) phonetic transcription/
音声符号化 [おんせいふごうか] /(n) (comp) voice encoding/
音節 [おんせつ] /(n) (ling) syllable/
音節主音 [おんせつしゅおん] /(n) syllabic/
音節主音的子音 [おんせつしゅおんてきしいん] /(n) syllabic consonant/
音節文字 [おんせつもじ] /(n) syllabic character/
音栓 [おんせん] /(n) organ stop/
音素 [おんそ] /(n,adj-no) (ling) phoneme/
音素体系 [おんそたいけい] /(n) phonemic system/phoneme system/
音素論 [おんそろん] /(n) phonemics/
音像 [おんぞう] /(n) stereo image (audio)/
音速 [おんそく] /(n) speed of sound/
音大 [おんだい] /(n) (abbr) college of music/
音痴 [おんち] /(n,adj-no) (1) tone-deafness/amusia/having no ear for music/(adj-na) (2) tone-deaf/off-key/(suf) (3) having no sense (of something)/being hopeless (when it comes to something)/(P)/
音調 [おんちょう] /(n,adj-no) tune/tone/intonation/melody/rhythm/harmony/
音程 [おんてい] /(n) musical interval/step/(P)/
音締 [ねじめ] /(n) tune/
音締め [ねじめ] /(n) tune/
音吐 [おんと] /(n) voice/
音吐朗々 [おんとろうろう] /(adj-t,adv-to) in a clear voice/
音吐朗朗 [おんとろうろう] /(adj-t,adv-to) in a clear voice/
音頭 [おんど] /(n) (1) leading a group of people/someone who leads others into a song by singing the leading notes/(2) workmen's songs/marching songs/(P)/
音頭を取る [おんどをとる] /(exp,v5r) to lead a group of people/
音頭取り [おんどとり] /(n) forward planning/planning/planner/leader/
音読 [おんどく] /(n,vs) (1) reading aloud/(2) on'yomi (adopted Chinese reading of a kanji)/(P)/
音読み [おんよみ] /(n,vs) on (Chinese) reading of kanji/(P)/
音認 [おんにん] /(n) (abbr) voice recognition/speech recognition/
音波 [おんぱ] /(n,adj-no) sound wave/
音波水中探知機 [おんぱすいちゅうたんちき] /(n) sonar/
音博士 [おんはかせ] /(n) professor specializing in the readings of kanji in classic Confucianist texts/
音博士 [おんぱかせ] /(ik) (n) professor specializing in the readings of kanji in classic Confucianist texts/
音博士 [こえのはかせ] /(ik) (n) professor specializing in the readings of kanji in classic Confucianist texts/
音盤 [おんばん] /(n) disk/record/
音姫 [おとひめ] /(n) melody or flushing sound played by a Japanese toilet to mask excretion sounds/
音標 [おんぴょう] /(n) phonetic sign/
音標文字 [おんぴょうもじ] /(n) phonetic symbols/
音符 [おんぷ] /(n) (1) musical note/note symbol/(2) phonetic symbol (inc. the kanji and kana-doubling symbols, vowel-lengthening symbol, etc.)/(3) part of a kanji for which the role is primarily to represent the pronunciation (as opposed to the meaning)/(P)/
音譜 [おんぷ] /(n) music/notes/notation/
音部記号 [おんぶきごう] /(n) (musical) clef/
音物 [いんぶつ] /(n) present (to build up a "friendship" with someone)/bribe/
音物 [いんもつ] /(n) present (to build up a "friendship" with someone)/bribe/
音変化 [おんぺんか] /(n) change in sound/shift in sound/
音便 [おんびん] /(n,adj-no) (ling) euphony/euphonic change/
音便形 [おんびんけい] /(n) (ling) euphonic change form/
音無し [おとなし] /(n,adj-no) silence/wait-and-see/
音無しの構え [おとなしのかまえ] /(n) lying low/saying nothing and waiting for an opportunity/
音名 [おんめい] /(n) names of musical notes/
音訳 [おんやく] /(n,vs) transliteration/transcription/
音容 [おんよう] /(n) visage/voice and countenance/
音律 [おんりつ] /(n) metre/rhythm/musical temperament/
音量 [おんりょう] /(n) volume (sound)/(P)/
音量調節 [おんりょうちょうせつ] /(n) (comp) volume control/
音力 [おんりょく] /(n) strength of the voice/
音寫 [おんしゃ] /(oK) (n,vs) transliteration/
音變化 [おんぺんか] /(oK) (n) change in sound/shift in sound/
下 [か] /(suf) under (being in said condition or environment)/
下 [げ] /(n) (1) lowness (of degree, value, etc.)/inferiority/(2) second volume (of two)/third volume (of three)/
下 [した] /(n) (1) below/down/under/(2) bottom/(3) beneath/underneath/(4) just after/right after/(5) inferiority/one's inferior (i.e. one's junior)/younger (e.g. of siblings)/(6) trade-in/(n-pref) (7) preliminary/preparatory/(P)/
下 [しも] /(n) (1) lower reaches (of a river)/(2) bottom/lower part/(3) lower half (of the body, esp. the privates)/feces (faeces)/urine/menses/(4) end/far from the imperial palace (i.e. far from Kyoto, esp. of western Japan)/(adj-no) (5) dirty (e.g. dirty jokes, etc.)/
下 [もと] /(adv) under (esp. influence or guidance)/(P)/
下々 [したじた] /(n) the lower classes/the common people/
下々 [しもじも] /(n) the lower classes/the common people/
下がかる [しもがかる] /(v5r,vi) to talk about indecent things/
下がり [さがり] /(n) decline/hanging down/leaving/a little after/decorative cords (hanging from the front of a sumo wrestler's belt)/(P)/
下がり松 [さがりまつ] /(n) drooping pine/
下がり目 [さがりめ] /(n) eyes slanting downward/decline/
下がる [さがる] /(v5r,vi) to hang down/to abate/to retire/to fall/to step back/(P)/
下げ [さげ] /(pref) tag/label/
下げる [さげる] /(v1,vt) to hang/to lower/to move back/to wear/to dismiss/to grant/(P)/
下げわたす [さげわたす] /(v5s,vt) (1) to make a (government) grant/(2) to release (a criminal)/
下げ弓 [さげゆみ] /(n) down-bow (technique used when playing a string instrument)/
下げ札 [さげふだ] /(n) tag/label/
下げ止まり [さげどまり] /(n,vs) bottoming out/reaching a floor/ceasing to fall/edging lower/
下げ緒 [さげお] /(n) cord for attaching a sword scabbard tightly to the obi/sword strap/sword knot/
下げ緒七術 [さげおななじゅつ] /(n) seven techniques using a ninja sword/
下げ振り [さげふり] /(n) plummet/plumb bob/
下げ相場 [さげそうば] /(n) bearish market/
下げ足 [さげあし] /(n) downward trend/
下げ潮 [さげしお] /(n) ebb tide/
下げ渡す [さげわたす] /(v5s,vt) (1) to make a (government) grant/(2) to release (a criminal)/
下げ髪 [さげがみ] /(n) pigtail/ponytail/hair (hanging down the back)/
下げ幕 [さげまく] /(n) drop curtain/
下げ翼 [さげよく] /(n) wing flap/
下ごしらえ [したごしらえ] /(n,vs) preliminary arrangements/preparation/spadework/pre-cooking/
下さい [ください] /(exp) (1) (uk) (hon) please give me/(2) (after te-form of a verb or a noun prefixed with o- or go-) please do for me/(P)/
下さる [くださる] /(v5aru) (hon) to give/to confer/(P)/
下し [くだし] /(n) evacuation/purgation/
下し金 [おろしがね] /(n) (vegetable) grater/
下し大根 [おろしだいこん] /(n) grated radish/
下し薬 [くだしぐすり] /(n) laxative/
下す [おろす] /(io) (v5s,vt) (1) to take down (e.g. flag)/to launch (e.g. boat)/to drop/to lower (e.g. ladder)/to let (a person) off/to unload/to discharge/(2) to drop off (a passenger from a vehicle)/to let (a person) off/(3) to withdraw money from an account/(4) to wear (clothing) for the first time/(5) to fillet (e.g. a fish)/
下す [くだす] /(v5s,vt) (1) to make (a decision)/to pass (judgement, etc.)/to hand down (orders, etc.)/(2) to let go down/to lower/(3) to do oneself/to do by oneself/(P)/
下って [くだって] /(conj) (1) humble conjuction used when referring to oneself in a letter to one's superior/(2) after a time/later/
下っ引 [したっぴき] /(n) (arch) subordinate of a hired thief-taker (Edo period)/
下っ端 [したっぱ] /(n) underling/lower position/
下っ腹 [したっぱら] /(n) abdomen/stomach/under parts/(P)/
下つき [したつき] /(n) (comp) subscript/
下に [しもに] /(adv) down/below/downward/
下にもおかない [したにもおかない] /(exp) giving a royal welcome/extending every courtesy/
下にも置かない [したにもおかない] /(exp) giving a royal welcome/extending every courtesy/
下に見る [したにみる] /(v1) to look down on/to despise/to condescend/
下に厚く [したにあつく] /(exp) more generously for the lower-paid/
下の下 [げのげ] /(exp) the lowest (of its kind)/the poorest/
下の階 [したのかい] /(n) lower floor/
下の句 [しものく] /(n) the last part of a poem or Bible verse/
下の子 [したのこ] /(n) younger child/
下の世話 [しものせわ] /(n) care for people (patients) with bedpans, urinary bottles, etc./
下の部屋 [したのへや] /(n) downstairs room/
下の名前 [したのなまえ] /(n) first name/given name/
下ばき [したばき] /(n) undershorts/underpants/
下ぶれ [したぶれ] /(n,adj-no,vs) downturn/downward swing/downside/
下らない [くだらない] /(adj-i) (uk) good-for-nothing/stupid/trivial/worthless/(P)/
下らぬ [くだらぬ] /(adj-f) (uk) (col) (vulg) foolish/idiotic/
下らん [くだらん] /(adj-f) (uk) (col) (vulg) foolish/idiotic/
下り [くだり] /(n,n-suf) (1) down-train (going away from Tokyo)/(2) down-slope/downward going/(P)/
下りる [おりる] /(v1,vi) (1) to descend (e.g. a mountain)/to go down/to come down/(2) to alight (e.g. from bus)/to get off/to disembark/to dismount/(3) to step down/to retire/to give up/to quit/(4) to be granted/to be issued/to be given/(5) to form (of frost, dew, mist, etc.)/(6) to be passed (from the body; i.e. of a roundworm)/(P)/
下りリンク [くだりリンク] /(n) (comp) reverse link/
下り口 [おりくち] /(n) top of a flight of stairs/exit involving a descent (e.g. from a bus)/
下り口 [おりぐち] /(n) top of a flight of stairs/exit involving a descent (e.g. from a bus)/
下り坂 [くだりざか] /(n) descent/downhill/decline/waning/(P)/
下り上り [おりのぼり] /(n) going up and down/
下り場 [おりば] /(n) dismounting place/
下り線 [くだりせん] /(n) down line/outbound line/
下り伝送速度 [くだりでんそうそくど] /(n) downstream transmission speed/
下り腹 [くだりばら] /(n) diarrhoea/diarrhea/loose bowels/
下り物 [おりもの] /(n) (1) afterbirth/(2) menstruation/(3) vaginal discharge/
下り便 [くだりびん] /(n) down train/outbound train/
下り目 [さがりめ] /(n) eyes slanting downward/decline/
下り立つ [おりたつ] /(v5t,vi) (1) to go down and stand/(2) to alight/to get down/
下り列車 [くだりれっしゃ] /(n) trains going away from the capital/down train/
下る [くだる] /(v5r,vi) (1) to descend/to go down/to come down/(2) to be handed down (of an order, judgment, etc.)/(3) to pass (of time)/(4) to surrender/to capitulate/(5) (often in neg. form) to be less than/to be inferior to/(6) to have the runs/to have diarrhea/(P)/
下る [さがる] /(io) (v5r,vi) to hang down/to abate/to retire/to fall/to step back/
下ろし [おろし] /(n) grating/grater/grated radish/
下ろし金 [おろしがね] /(n) (vegetable) grater/
下ろし薬 [おろしぐすり] /(n) an abortive/
下ろし立て [おろしたて] /(adj-no) brand-new/
下ろし和え [おろしあえ] /(n) seasoning of grated daikon with soy and vinegar, usually for fish or vegetables/
下ろす [おろす] /(v5s,vt) (1) to take down (e.g. flag)/to launch (e.g. boat)/to drop/to lower (e.g. ladder)/to let (a person) off/to unload/to discharge/(2) to drop off (a passenger from a vehicle)/to let (a person) off/(3) to withdraw money from an account/(4) to wear (clothing) for the first time/(5) to fillet (e.g. a fish)/(P)/
下ネタ [しもネタ] /(n) (1) dirty joke/blue joke/(2) erotic topic/sex talk/indecent topic/
下パイ [したパイ] /(n) (sl) underboob/bottom of a woman's breasts (visible when wearing a short top)/
下位 [かい] /(n,adj-no) low rank/subordinate/lower order (e.g. byte)/low-end/(P)/
下位けたあふれ [かいけたあふれ] /(n) (comp) underflow/
下位けたあふれ表示 [かいけたあふれひょうじ] /(n) (comp) underflow indication/
下位グループ [かいグループ] /(n) (comp) descendant/
下位ダイアログ [かいダイアログ] /(n) (comp) subordinate dialogue/
下位バイト [かいバイト] /(n) least significant byte/
下位互換性 [かいごかんせい] /(n) downward compatibility/forward compatibility/
下位語 [かいご] /(n) (comp) narrower term/
下位参照 [かいさんしょう] /(n) (comp) subordinate reference/
下位試験手段 [かいしけんしゅだん] /(n) (comp) lower tester/
下位層 [かいそう] /(n) (comp) lower level/
下位範疇化 [かいはんちゅうか] /(n,vs) subcategorization/subcategorisation/
下位範疇化原理 [かいはんちゅうかげんり] /(n) subcategorization principle/subcategorisation principle/
下位範疇化素性 [かいはんちゅうかそせい] /(n) subcategorization feature/subcategorisation feature/
下位部分木 [かいぶぶんもく] /(n) (comp) subordinate subtree/
下位分類 [かいぶんるい] /(n) subclass/subdivision/
下意 [かい] /(n) the feelings of the people/
下意識 [かいしき] /(n) preconscious/unconscious/subconscious/
下意上達 [かいじょうたつ] /(n) conveyance of the opinions of the lower classes to the powers that be/
下一段 [しもいちだん] /(n) conjugation (inflection, declension) of ichidan verbs ending in "eru"/
下一段活用 [しもいちだんかつよう] /(n) conjugation (inflection, declension) of ichidan verbs ending in "eru"/
下院 [かいん] /(n) lower house/lower (legislative) body/(P)/
下院議 [かいんぎ] /(n) lower house (of Parliament, etc.)/
下院議員 [かいんぎいん] /(n) member of the lower house/
下院議長 [かいんぎちょう] /(n) Speaker of the House (US, etc.)/
下右 [したみぎ] /(n) lower right (corner)/
下臼 [したうす] /(n) lower millstone/nether millstone/
下押し [したおし] /(n) a fall or drop/decline/
下押す [したおす] /(v5s) to decline (stock market)/
下屋 [げや] /(n) small attached annex/lean-to/
下屋 [したや] /(n) small attached annex/lean-to/
下屋 [しもや] /(n) small attached annex/lean-to/
下屋敷 [しもやしき] /(n) villa/daimyo's suburban residence/
下下 [したじた] /(n) the lower classes/the common people/
下下 [しもじも] /(n) the lower classes/the common people/
下家 [げや] /(n) small attached annex/lean-to/
下家 [したや] /(n) small attached annex/lean-to/
下家 [しもや] /(n) small attached annex/lean-to/
下火 [したび] /(n) burning low/waning/declining/(P)/
下火になる [したびになる] /(exp,v5r) to be under control/to burn down/to decline/to drop/to wane/
下回り [したまわり] /(n) subordinate part/menial service/subordinate/utility man/
下回る [したまわる] /(v5r,vt) to be less than/to be lower than/to fall just short of/to be just under/
下廻り [したまわり] /(n) subordinate part/menial service/subordinate/utility man/
下界 [かかい] /(n) lower bound/
下界 [げかい] /(n) (1) this world/the earth/hades/the nether world/(2) lower bound/(P)/
下絵 [したえ] /(n) rough sketch/cartoon/design/
下絵の具 [したえのぐ] /(n) underglaze color/underglaze colour/
下学上達 [かがくじょうたつ] /(n,vs) beginning one's studies with something familiar and gradually increasing the depth of learning/
下顎 [かがく] /(n,adj-no) lower jaw/
下顎 [したあご] /(n,adj-no) lower jaw/
下顎骨 [かがくこつ] /(n) mandible/lower jawbone/
下掛かる [しもがかる] /(v5r,vi) to talk about indecent things/
下掛る [しもがかる] /(v5r,vi) to talk about indecent things/
下刈り [したがり] /(n) weeding/
下巻 [げかん] /(n) last volume (in set)/
下慣らし [したならし] /(n) preparatory activity/
下関条約 [しものせきじょうやく] /(n) Treaty of Shimonoseki/
下期 [しもき] /(n-adv,n) second half of the fiscal year/(P)/
下記 [かき] /(n,adj-no) the following/
下脚 [かきゃく] /(n) legs/lower limbs/
下宮 [げぐう] /(n) building of a Shinto shrine complex built upon the lowest ground/
下級 [かきゅう] /(n,adj-no) lower grade/low class/junior (officer)/(P)/
下級裁判所 [かきゅうさいばんしょ] /(n) a lower court/
下級財 [かきゅうざい] /(n) inferior goods (i.e, goods for which demand decreases when consumer's income increases)/
下級職 [かきゅうしょく] /(n) subordinate post/
下級審 [かきゅうしん] /(n) lower court/
下級生 [かきゅうせい] /(n) underclassmen/
下協議 [したきょうぎ] /(n) preliminary conference/
下金 [したがね] /(n) basic metal (in an art object)/old metal/
下句 [げく] /(n) the last part of a poem or Bible verse/
下愚 [かぐ] /(n) (1) very stupid (person)/great fool/(2) (hum) oneself/
下稽古 [したげいこ] /(n) rehearsal/preparation/
下穴 [したあな] /(n) pilot hole/rough hole/prepared hole/
下血 [げけつ] /(n,vs) bloody bowel discharge/
下検査 [したけんさ] /(n) preliminary inspection/
下検分 [したけんぶん] /(n,vs) preliminary examination/
下見 [したみ] /(n,vs) preview/preliminary inspection/siding (on a house)/(P)/
下見板 [したみいた] /(n) siding (on a house)/clapboard/weatherboard/
下弦 [かげん] /(n) (moon's) last quarter/
下弦の月 [かげんのつき] /(n) waning moon/
下限 [かげん] /(n) lower limit/(P)/
下戸 [げこ] /(n) someone who can't drink/non-drinker/temperate man/(P)/
下御 [げぎょ] /(n,vs) (pol) dismounting/
下向 [げこう] /(n,vs) leaving the capital/
下向き [したむき] /(n) (1) pointing down/pointing downward/(2) (market) decline/downturn/downward trend/
下向き矢印 [したむきやじる] /(n) (comp) down arrow/
下向く [したむく] /(v5k,vi) (1) to point down/to look down/(2) to get worse/to begin to fall (e.g. of a price)/
下校 [げこう] /(n,vs) coming home from school/end of school day/
下綱 [かこう] /(n) (biological) infraclass/
下行 [かこう] /(adj-na,n) descending/
下行結腸 [かこうけっちょう] /(n) descending colon/
下降 [かこう] /(n,vs) downward/descent/fall/drop/subsidence/(P)/
下降気流 [かこうきりゅう] /(n) downward air current/
下降線 [かこうせん] /(n) downward curve/
下降調 [かこうちょう] /(n) falling intonation/falling tone/
下合 [かごう] /(n) (obsc) inferior conjunction/
下克上 [げこくじょう] /(n) juniors dominating seniors/retainer supplanting his lord/
下刻 [げこく] /(n) final third of a two-hour period/
下国 [げこく] /(n,vs) leaving for the provinces/
下獄 [げごく] /(n,vs) being sent to prison/
下左 [したひだり] /(n) lower left (corner)/
下座 [げざ] /(n,vs) (1) squatting/prostrating oneself/crouching/(n) (2) musicians' box on the left side of the stage/(3) lower seat/
下座 [しもざ] /(n) lower seat/sitting at the foot of the table/
下剤 [げざい] /(n,adj-no) laxative/
下坂 [しもさか] /(n) downhill/decline/waning/
下阪 [げはん] /(n,vs) proceeding from Tokyo to Osaka/
下作 [げさく] /(adj-na,n) poor manufacture/poor quality/inferior goods/
下作 [したさく] /(adj-na,n) poor manufacture/poor quality/inferior goods/
下策 [げさく] /(n) poor plan/
下刷り [したずり] /(n) proof printing/
下山 [げさん] /(n,vs) descending (mountain)/
下山 [げざん] /(n,vs) descending (mountain)/(P)/
下仕事 [したしごと] /(n) spade work/subcontract/
下司 [げす] /(adj-na,n,adj-no) (1) low-life/sleazebag/boor/(2) person of humble rank/humble person/peasant/menial/churl/petty official/
下司ばる [げすばる] /(v5r) to be churlish/to be crude/to be boorish/to be vulgar/to conduct oneself in an unseemly manner/
下四半期 [しもしはんき] /(n) last quarter (of the year)/
下士 [かし] /(n) noncommissioned officer/
下士官 [かしかん] /(n) non-commissioned officer/
下士官兵 [かしかんへい] /(n) enlisted man/
下支え [したざさえ] /(n,vs) support/backup/prop/backstay/underpinning/
下枝 [しずえ] /(n) lower branches of a tree/
下枝 [したえ] /(n) lower branches of a tree/
下枝 [したえだ] /(n) lower branches of a tree/
下糸入れ [したいといれ] /(n) shuttle/
下肢 [かし] /(n) the legs/lower extremities/(P)/
下肢帯 [かしたい] /(n) pelvic girdle/
下賜 [かし] /(n,vs) grant/bestowal/giving something to someone of low social standing (by a person of very high social standing)/
下歯 [したば] /(n) lower teeth/
下車 [げしゃ] /(n,vs) alighting (from train, bus, etc.)/getting off/(P)/
下取り [したどり] /(n,vs) trade in/part exchange/
下手 [したて] /(n) (1) humble position/inferior/(2) underarm grip on opponent's belt (sumo)/(P)/
下手 [したで] /(n) (1) humble position/inferior/(2) underarm grip on opponent's belt (sumo)/
下手 [しもて] /(n) (1) lower part/foot/lower direction/(2) left part of the stage (audience's or camera's POV)/stage right (actor's POV)/
下手 [へた] /(adj-na,n) (1) unskillful/poor/awkward/(2) imprudent/untactful/(P)/
下手くそ [へたくそ] /(adj-na,n) (1) extreme clumsiness/severe lack of skill at a task/(int) (2) You're hopeless!/Give it up!/(P)/
下手な考え休むに似たり [へたなかんがえやすむににたり] /(exp) take a rest rather than useless thinking/
下手に出る [したてにでる] /(exp,v1) to behave modestly/
下手の横好き [へたのよこずき] /(n) being crazy about something but being very bad at it/
下手の考え休むに似たり [へたのかんがえやすむににたり] /(exp) (id) It's hard to tell a poor thinker from a sleeping one/Mickle fails that fools think/
下手の長談義 [へたのながだんぎ] /(exp) (id) Brevity is the soul of wit/
下手出し投げ [したてだしなげ] /(n) pulling underarm throw (sumo)/
下手上手 [へたうま] /(adj-no,adj-na,n) (uk) at first glance poor, but on closer examination not too bad/crude but charming (of artwork, etc.)/poorly made but captivating/
下手人 [げしゅにん] /(n) offender/criminal/
下手投げ [したてなげ] /(n) (baseball) an underhand throw/(sumo) an underarm throw/(P)/
下手捻り [したてひねり] /(n) twisting underarm throw (sumo)/
下手物 [げてもの] /(n) low-quality products/strange thing/strange combination/
下手糞 [へたくそ] /(adj-na,n) (1) extreme clumsiness/severe lack of skill at a task/(int) (2) You're hopeless!/Give it up!/
下種 [げす] /(adj-na,n,adj-no) (1) low-life/sleazebag/boor/(2) person of humble rank/humble person/peasant/menial/churl/petty official/
下種ばる [げすばる] /(v5r) to be churlish/to be crude/to be boorish/to be vulgar/to conduct oneself in an unseemly manner/
下種根性 [げすこんじょう] /(n) mean feelings/
下種女 [げすおんな] /(n) woman of low rank/term of degradation for a woman/
下種張る [げすばる] /(v5r) to be churlish/to be crude/to be boorish/to be vulgar/to conduct oneself in an unseemly manner/
下衆 [げす] /(adj-na,n,adj-no) (1) low-life/sleazebag/boor/(2) person of humble rank/humble person/peasant/menial/churl/petty official/
下衆張る [げすばる] /(v5r) to be churlish/to be crude/to be boorish/to be vulgar/to conduct oneself in an unseemly manner/
下渋り [したしぶり] /(n) (stock market) steadiness/
下宿 [げしゅく] /(n,vs) boarding/lodging/boarding house/(P)/
下宿屋 [げしゅくや] /(n) lodging house/
下宿人 [げしゅくにん] /(n) lodger/roomer/
下宿人を置く [げしゅくにんをおく] /(exp,v5k) to keep boarders/
下宿生 [げしゅくせい] /(n) boarder/boarding student/
下宿料 [げしゅくりょう] /(n) board-and-room charge/
下旬 [げじゅん] /(n-adv,n-t) month (last third of)/(P)/
下準備 [したじゅんび] /(n) preliminary arrangements/spade work/
下緒 [さげお] /(n) cord for attaching a sword scabbard tightly to the obi/sword strap/sword knot/
下書 [げしょ] /(n) rough copy/draft/draught/
下書き [したがき] /(n,vs) rough copy/draft/draught/(P)/
下女 [げじょ] /(n) maid servant/
下女下男 [げじょげなん] /(n) servants/
下女中 [しもじょちゅう] /(n) kitchen maid/
下焦 [かしょう] /(n) lower jiao (in traditional Chinese medicine)/lower burner/
下乗 [げじょう] /(n,vs) dismounting/
下城 [げじょう] /(n,vs) withdrawing from the castle/
下情 [かじょう] /(n) condition of the common people/
下職 [したしょく] /(n) subcontractor/
下唇 [かしん] /(n) lower lip/
下唇 [したくちびる] /(n) lower lip/(P)/
下心 [したごころ] /(n) (1) secret intention/ulterior motive/(2) kanji "heart" radical at bottom/
下振れ [したぶれ] /(n,adj-no,vs) downturn/downward swing/downside/
下振れリスク [したぶれリスク] /(n) downside risk/
下臣 [かしん] /(n) low-rank retainer/
下人 [げにん] /(n) low-rank person/menial/
下図 [かず] /(n) the lower illustration/
下図 [したず] /(n) rough sketch/
下垂 [かすい] /(n,vs,adj-no) drooping/hanging down/
下垂体 [かすいたい] /(n) pituitary gland/pituitary body/
下水 [げすい] /(n) (1) drainage/ditch/gutter/sewerage/(2) sewage/black water/(P)/
下水 [したみず] /(n) water flowing underneath/one's true feelings/kanji "water" radical at bottom/
下水管 [げすいかん] /(n) sewer pipe/
下水工事 [げすいこうじ] /(n) drainage (sewerage) works/
下水溝 [げすいこう] /(n) drainage ditch/canal/
下水処理 [げすいしょり] /(n) water treatment/
下水処理場 [げすいしょりじょう] /(n) sewage (treatment) plant/
下水道 [げすいどう] /(n) drain/sewer/drainage system/(P)/
下水道管渠 [げすいどうかんきょ] /(n) sewage pipe/
下水板 [げすいいた] /(n) wooden sewer covers/
下摺り [したずり] /(n) proof printing/
下世話 [げせわ] /(n) common saying/common phrase/juicy (story)/
下姓 [げしょう] /(n) person of humble birth/
下生え [したばえ] /(n) underbrush/undergrowth/
下請 [したうけ] /(n,vs) subcontract/
下請け [したうけ] /(n,vs) subcontract/(P)/
下請け会社 [したうけがいしゃ] /(n) subcontractor/subcontracting company/
下請け業者 [したうけぎょうしゃ] /(n) subcontractor/
下請け工場 [したうけこうじょう] /(n) a subcontracting factory/
下請会社 [したうけがいしゃ] /(n) subcontractor/subcontracting company/
下請負 [したうけおい] /(n) subcontract/
下石 [したいし] /(n) nether millstone/
下積み [したづみ] /(n) lowest social strata/goods piled beneath/
下洗い [したあらい] /(n,vs) pre-washing to combat stains/
下染 [したぞめ] /(n,vs) preliminary dyeing/
下穿 [したばき] /(io) (n) undershorts/underpants/
下穿き [したばき] /(n) undershorts/underpants/
下線 [かせん] /(n) underline/underscore/
下線部 [かせんぶ] /(n) underlined part/
下船 [げせん] /(n,vs) going ashore/
下賎 [げせん] /(adj-na,n) humble birth/
下前 [したまえ] /(n) part of the fabric that is tucked closest to the skin when wearing a garment that is wrapped in front of one (such as a kimono)/
下僧 [げそう] /(n) low-rank priest/
下層 [かそう] /(n,adj-no) lower strata (classes)/
下層階級 [かそうかいきゅう] /(n,adj-no) proletariat/lower classes/
下層社会 [かそうしゃかい] /(n,adj-no) the underworld/lower ranks of society/
下層土 [かそうど] /(n) subsoil/
下相談 [したそうだん] /(n,vs) preliminary consultation/arrangements/
下草 [したくさ] /(n) undergrowth/weeds beneath a tree/
下側 [したがわ] /(n,adj-no) underside/
下足 [げそ] /(n) squid tentacles/
下足 [げそく] /(n) footwear (esp. outdoor shoes, as opposed to slippers, etc.)/footgear/
下足室 [げそくしつ] /(n) footwear room/
下足番 [げそくばん] /(n) doorman in charge of footwear/
下足料 [げそくりょう] /(n) footwear-checking charge/
下属音 [かぞくおん] /(n) subdominant/
下駄 [げた] /(n) geta (Japanese footwear)/wooden clogs/(P)/
下駄を預ける [げたをあずける] /(exp,v1) to leave everything to (someone)/
下駄スケート [げたスケート] /(n) geta with skating blades/skates made from geta/
下駄屋 [げたや] /(n) clog shop/
下駄掛け [げたがけ] /(n) wearing wooden clogs/
下駄直し [げたなおし] /(n) repairing clogs/clog repairer/
下駄箱 [げたばこ] /(n) shoe rack (in genkan)/cupboard (for shoes and clogs)/
下駄番 [げたばん] /(n) toe guards on clogs/footwear doorman/
下駄履き [げたばき] /(n) (1) wearing wooden clogs/(2) (col) floatplane/
下駄履き住宅 [げたばきじゅうたく] /(n) a residential building, the first floor of which is occupied by businesses/
下体 [かたい] /(n,adj-no) lower leg/lower part of the body/lower limbs/
下帯 [したおび] /(n) loincloth/waist cloth/
下腿 [かたい] /(n,adj-no) lower leg/lower part of the body/lower limbs/
下腿骨 [かたいこつ] /(n) lower leg bone (esp. the tibia and the fibula, but sometimes also including the patella)/
下台所 [しもだいどころ] /(n) servants' kitchen/
下大静脈 [かだいじょうみゃく] /(n,adj-no) inferior vena cava/
下達 [かたつ] /(n,vs) commanding a subordinate/
下達 [げたつ] /(ik) (n,vs) commanding a subordinate/
下達上通 [かたつじょうつう] /(n,vs,adj-no) (arch) conveying the views of the subordinates to the rulers/rulers apprehending the views of those they govern/
下端 [かたん] /(n) (1) lower end/(2) bottom edge/
下端 [したば] /(n) lower portion/the base surface of something/
下端部の余白 [かたんぶのよはく] /(n) (comp) bottom margin/
下段 [かだん] /(n) lower (horizontal) column (of print)/lowest tier (step, column of print, berth)/
下段 [げだん] /(n) lower (horizontal) column (of print)/lowest tier (step, column of print, berth)/
下男 [げなん] /(n) manservant/
下値 [したね] /(n) lowest price/(P)/
下知 [げじ] /(n,vs) command/order/
下知 [げち] /(n,vs) command/order/
下知 [げぢ] /(n,vs) command/order/
下地 [したじ] /(n) groundwork/foundation/inclination/aptitude/elementary knowledge of/grounding in/prearrangement/spadework/signs/symptoms/first coat of plastering/soy/(P)/
下地っ子 [したじっこ] /(n) young boy or girl being trained as a geisha or as a kabuki actor/
下着 [したぎ] /(n) underwear/(P)/
下着類 [したぎるい] /(n) underclothes/
下張り [したばり] /(n) undercoat/first coat/
下町 [したまち] /(n) low-lying part of a city (usu. containing shops, factories, etc.)/Shitamachi (low-lying area of eastern Tokyo near Tokyo Bay, inc. Asakusa, Shitaya, Kanda, Fukugawa, Honjo, Nihonbashi, Kyobashi and surrounds)/(P)/
下町言葉 [したまちことば] /(n) working-class accent or dialect/
下町情緒 [したまちじょうちょ] /(n) the friendly atmosphere of the traditional commercial and working-class neighborhoods/
下町人情 [したまちにんじょう] /(n) the milk of human kindness of the people of the traditional commercial and working-class neighborhoods/
下町風 [したまちふう] /(n) downtown style/
下脹れ [しもぶくれ] /(n) abdominal swelling/fat face/
下調べ [したしらべ] /(n,vs) preliminary investigation/preparation/(P)/
下剃り [したぞり] /(n,vs) barber's apprentice/
下貼 [したばり] /(n) undercoat/first coat/
下殿 [げでん] /(n) leaving the palace/
下田 [げでん] /(n) worn-out rice land/
下塗り [したぬり] /(n) undercoat/first coating/
下湯 [しもゆ] /(n) sitz bath/
下等 [かとう] /(adj-na,n) inferior/base/vulgar/low grade/lower class/(P)/
下等 [げら] /(pn) (arch) (hum) I/me/
下等植物 [かとうしょくぶつ] /(n) lower plants/
下等動物 [かとうどうぶつ] /(n) lower animals/
下働き [したばたらき] /(n) subordinate work/assistant/servant/
下道 [したみち] /(n) (1) down-town/the lower town/(2) minor road/
下読 [したよみ] /(io) (n,vs) preparatory reading/lesson study/rehearsal (of play)/
下読み [したよみ] /(n,vs) preparatory reading/lesson study/rehearsal (of play)/
下馴し [したならし] /(n) training/
下二桁 [しもふたけた] /(n) last two figures of a number/
下二段活用 [しもにだんかつよう] /(n) conjugation (inflection, declension) of nidan verbs (resulting in a stem of either "e" or "u" for every conjugation)/
下乳 [げにゅう] /(n) lower breast/underboob/
下忍 [げにん] /(n) low-ranking ninja/
下熱 [げねつ] /(n,vs) lowering fever/
下馬 [げば] /(n,vs) dismounting/
下馬先 [げばさき] /(n) dismounting place/
下馬評 [げばひょう] /(n) rumor/rumour/gossip/speculation/irresponsible criticism/hearsay/
下輩 [かはい] /(n) inferior/low-class person/
下輩 [げはい] /(n) inferior/low-class person/
下半 [かはん] /(n) lower half/
下半期 [かはんき] /(n) the last half-year/second half of the year/
下半期 [しもはんき] /(n) the last half-year/second half of the year/(P)/
下半身 [かはんしん] /(n) lower half of body/(P)/
下半身 [しもはんしん] /(n) lower half of body/
下番 [かばん] /(n,vs) going off duty/
下盤 [したばん] /(n) footwall/
下卑 [げび] /(n) vulgar/coarse/
下卑る [げびる] /(v1) to become vulgar/to coarsen/
下肥 [しもごえ] /(n) manure/night soil/
下紐 [したひも] /(n) undersash/belt/
下表 [かひょう] /(n) diagram below/
下表参照 [かひょうさんしょう] /(n) (see the) following table or tables/
下描き [したがき] /(n,vs) rough sketch used as a guideline for a picture/
下品 [かひん] /(n,adj-na) (obsc) inferior article/
下品 [げひん] /(adj-na,n) vulgarity/meanness/indecency/coarseness/(P)/
下付 [かふ] /(n,vs) grant/issue/
下付き文字 [したつきもじ] /(n) (comp) subscript/
下付金 [かふきん] /(n) subsidy/
下敷 [したじき] /(n) (1) desk pad/mat/(2) something lying underneath/pinned under/crushed beneath/(P)/
下敷き [したじき] /(n) (1) desk pad/mat/(2) something lying underneath/pinned under/crushed beneath/(P)/
下敷きになる [したじきになる] /(exp,v5r) to be squashed by/to be pinned under/
下敷になる [したじきになる] /(exp,v5r) to be squashed by/to be pinned under/
下部 [かぶ] /(n) (1) substructure/lower part/(2) subordinate (office)/good and faithful servant/(P)/
下部 [しもべ] /(n) servant/manservant/menial/
下部機関 [かぶきかん] /(n) subordinate offices or institutions/
下部構造 [かぶこうぞう] /(n) substructure/
下部組織 [かぶそしき] /(n) lower branch (of an organization) (organisation)/infrastructure/
下風 [かふう] /(n) subordinate position/lower position/
下腹 [かふく] /(n) abdomen/stomach/lower parts/under parts/
下腹 [くだりばら] /(n) diarrhoea/diarrhea/loose bowels/
下腹 [したはら] /(n) abdomen/stomach/lower parts/under parts/
下腹 [したばら] /(n) abdomen/stomach/lower parts/under parts/
下腹部 [かふくぶ] /(n) abdomen/
下物 [かぶつ] /(n) drinking feast/
下文 [くだしぶみ] /(n) edict from a senior official in government or military which had the status of a binding official document/
下聞 [かぶん] /(n,vs) enquiring beforehand/inquiring beforehand/
下聞き [したぎき] /(n) enquiring beforehand/inquiring beforehand/
下放 [かほう] /(n) (stock market) slump/
下放れ [したばなれ] /(n) (stock market) slump/
下方 [かほう] /(n) lower region/lower part/(P)/
下方に [かほうに] /(adv) below/
下方修正 [かほうしゅうせい] /(n,vs) downward adjustment/downward revision/
下縫い [したぬい] /(n,vs) basting/temporary sewing/
下萌え [したもえ] /(n) sprout of a plant shooting from under the soil/
下膨れ [しもぶくれ] /(n) round-faced/large at bottom/
下僕 [げぼく] /(n) (arch) manservant/
下味 [したあじ] /(n) seasoning of food/
下民 [かみん] /(n) the masses/the lower classes/the common people/
下民 [げみん] /(n) the masses/the lower classes/the common people/
下無 [しもむ] /(n) (in Japan) 5th note of the ancient chromatic scale (approx. F sharp)/
下名 [かめい] /(n) undermentioned/undersigned/
下命 [かめい] /(n,vs) order/command/
下面 [かめん] /(n) underside/undersurface/inferior surface/
下毛野 [しもつけの] /(n) (arch) Japanese spirea (Spiraea Japonica)/
下目 [しため] /(n) downward glance/contemptuous look/
下問 [かもん] /(n,vs) enquiry/inquiry/consultation/
下野 [げや] /(n,vs) (1) retirement from public office/(2) going into opposition/losing power/(P)/
下野 [しもつけ] /(n) (uk) (abbr) Japanese spirea (Spiraea Japonica)/
下野草 [しもつけそう] /(n) (uk) meadowsweet (Filipendula multijuga)/
下矢印キー [したやじるしキー] /(n) (comp) down arrow key/
下役 [したやく] /(n) underling/subordinate official/
下薬 [げやく] /(n) laxative/
下訳 [したやく] /(n) rough translation/
下様 [しもざま] /(n) lower classes/common people/
下葉 [かよう] /(n) lower leaves/
下葉 [したば] /(n) lower leaves/
下落 [げらく] /(n,vs) depreciation/decline/fall/slump/(P)/
下吏 [かり] /(n) lower official/
下履 [したばき] /(n) outdoor shoes/
下履き [したばき] /(n) outdoor shoes/
下痢 [げり] /(n,vs,adj-no) diarrhoea/diarrhea/(P)/
下痢が移った [げりがうつった] /(exp) infected with diarrhea (diarrhoea)/
下痢止め [げりどめ] /(n) antidiarrheal/paregoric/obstipant/
下立つ [おりたつ] /(v5t,vi) (1) to go down and stand/(2) to alight/to get down/
下略 [げりゃく] /(n,vs) the rest omitted (in quotes)/
下流 [かりゅう] /(n) (1) downstream/lower reaches of a river/(2) lower classes/(P)/
下流域 [しもりゅういき] /(n) lower reaches (e.g. of a valley)/downstream sector/
下流社会 [かりゅうしゃかい] /(n) lower classes/
下僚 [かりょう] /(n) subordinates/petty officials/
下劣 [げれつ] /(adj-na,n) base/mean/vulgar/
下露 [したつゆ] /(n) dew under (dripping from) trees/
下郎 [げろう] /(n) servant/valet/menial/
下剋上 [げこくじょう] /(n) juniors dominating seniors/retainer supplanting his lord/
下婢 [かひ] /(n) servant girl/
下拵え [したごしらえ] /(n,vs) preliminary arrangements/preparation/spadework/pre-cooking/
下疳 [げかん] /(n,adj-no) chancre/
下瞰 [かかん] /(n,vs) looking down on/getting a bird's-eye view/
下瞼 [したまぶた] /(n) lower eyelid/
下膊 [かはく] /(n) forearm/
下茹で [したゆで] /(n,vs) parboiling/preparatory boiling/
下萠 [したもえ] /(oK) (n) sprouts/shoots/
下賤 [げせん] /(adj-na,n) humble birth/
化 [か] /(suf) action of making something/-ification/
化かす [ばかす] /(v5s,vt) to bewitch/to confuse/to enchant/to delude/
化け [ばけ] /(n,adj-no) (1) transforming oneself/taking on another form/disguising oneself/(2) artificial fly (for fishing)/
化けの皮 [ばけのかわ] /(n) masking one's true character/disguise/sheep's clothing/
化けの皮をはぐ [ばけのかわをはぐ] /(exp,v5g) to unmask (someone's true nature)/
化けの皮を現す [ばけのかわをあらわす] /(exp,v5s) to expose one's true colors (colours)/to expose one's true character/
化けの皮を現わす [ばけのかわをあらわす] /(exp,v5s) to expose one's true colors (colours)/to expose one's true character/
化けの皮を剥ぐ [ばけのかわをはぐ] /(exp,v5g) to unmask (someone's true nature)/
化ける [ばける] /(v1,vi) (1) to appear in disguise/to take the form of/(2) to change for the worse/to corrupt/(P)/
化ける [ふける] /(v1,vi) to age/to grow old/
化けチェック [ばけチェック] /(n) (comp) parity check (data, memory, etc.)/
化け猫 [ばけねこ] /(n) monster cat/cat with magical powers/
化け物 [ばけもの] /(n) goblin/apparition/monster/ghost/phantom/spectre/specter/(P)/
化け物 [ばけもん] /(ik) (n) goblin/apparition/monster/ghost/phantom/spectre/specter/
化け物屋敷 [ばけものやしき] /(n) haunted mansion/haunted house/enchanted house/
化す [かす] /(v5s,vi) to change into/to convert to/to transform/to be reduced/to influence/to improve (someone)/
化す [けす] /(ok) (v5s,vi) to change into/to convert to/to transform/to be reduced/to influence/to improve (someone)/
化する [かする] /(vs-s,suf) to change into/to convert into/to transform/to be reduced/to influence/to improve (someone)/
化の皮 [ばけのかわ] /(io) (n) masking one's true character/disguise/sheep's clothing/
化育 [かいく] /(n,vs) evolution/growth/
化学 [かがく] /(n,adj-no) (1) chemistry/(suf) (2) (abbr) chemical company (e.g. Acme Chemical Co.)/(P)/
化学 [ばけがく] /(n,adj-no) (1) chemistry/
化学エネルギー [かがくエネルギー] /(n) chemical energy/
化学ポテンシャル [かがくポテンシャル] /(n) chemical potential/
化学汚染 [かがくおせん] /(n) chemical pollution/
化学汚染災害 [かがくおせんさいがい] /(n) chemical contamination disaster/
化学化石 [かがくかせき] /(n) chemical fossil/
化学機械 [かがくきかい] /(n) chemical machinery/
化学記号 [かがくきごう] /(n) chemical symbols (for the elements)/
化学吸着 [かがくきゅうちゃく] /(n) chemisorb/
化学結合 [かがくけつごう] /(n) chemical bond/
化学研磨 [かがくけんま] /(n) chemical polishing/
化学元素 [かがくげんそ] /(n) chemical element/
化学工学 [かがくこうがく] /(n) chemical engineering/
化学工業 [かがくこうぎょう] /(n) chemical industry/
化学攻撃 [かがくこうげき] /(n) chemical attack/
化学構造 [かがくこうぞう] /(n) chemical structure/chemical constitution/
化学構造式 [かがくこうぞうしき] /(n) chemical structural formula/
化学合成 [かがくごうせい] /(n) chemosynthesis/
化学剤 [かがくざい] /(n) chemical agent/
化学作用 [かがくさよう] /(n) chemical action/
化学試験 [かがくしけん] /(n) chemical test/
化学式 [かがくしき] /(n) chemical formula/
化学者 [かがくしゃ] /(n) chemist/
化学上 [かがくじょう] /(n) from the chemical point of view/
化学浸透圧説 [かがくしんとうあつせつ] /(n) chemiosmotic hypothesis/
化学進化 [かがくしんか] /(n,vs) chemical evolution/
化学製品 [かがくせいひん] /(n) chemical/
化学戦 [かがくせん] /(n) chemical warfare/
化学線 [かがくせん] /(n) actinic rays/
化学繊維 [かがくせんい] /(n) synthetic fibers/synthetic fibres/
化学調味料 [かがくちょうみりょう] /(n) chemical seasoning/
化学的 [かがくてき] /(adj-na) chemical/
化学的酸素要求量 [かがくてきさんそようきゅうりょう] /(n) chemical oxygen demand/COD/
化学的消化 [かがくてきしょうか] /(n,vs) chemical digestion/
化学的性質 [かがくてきせいしつ] /(n) chemical property/
化学天秤 [かがくてんびん] /(n) chemical balance/
化学添加物 [かがくてんかぶつ] /(n) chemical additives/
化学伝達物質 [かがくでんたつぶっしつ] /(n) chemical messenger/
化学当量 [かがくとうりょう] /(n) chemical equivalent/
化学熱力学 [かがくねつりきがく] /(n) chemical thermodynamics/
化学発光 [かがくはっこう] /(n) chemoluminescence/
化学反応 [かがくはんのう] /(n) chemical reaction/
化学反応式 [かがくはんのうしき] /(n) reaction formula/
化学肥料 [かがくひりょう] /(n) chemical fertilizer/chemical fertiliser/(P)/
化学品 [かがくひん] /(n) chemicals/
化学物質 [かがくぶっしつ] /(n) chemical substances/chemicals/
化学物質過敏症 [かがくぶっしつかびんしょう] /(n) chemical sensitivity/
化学物理学 [かがくぶつりがく] /(n) chemical physics/
化学分析 [かがくぶんせき] /(n) chemical analysis/
化学兵器 [かがくへいき] /(n) chemical weapons/(P)/
化学兵器禁止条約 [かがくへいききんしじょうやく] /(n) chemical weapons ban treaty/
化学平衡 [かがくへいこう] /(n) chemical equilibrium/
化学変化 [かがくへんか] /(n,vs) chemical change/
化学方程式 [かがくほうていしき] /(n) chemical equation/
化学薬品 [かがくやくひん] /(n) chemicals/
化学療法 [かがくりょうほう] /(n,adj-no) chemotherapy/
化学量論 [かがくりょうろん] /(n) stoichiometry/
化工 [かこう] /(n) (abbr) chemical engineering/
化合 [かごう] /(n,vs) chemical combination/(P)/
化合物 [かごうぶつ] /(n) (chem) compound/(P)/
化合物半導体 [かごうぶつはんどうたい] /(n) compound semiconductor/
化骨 [かこつ] /(n,adj-no) ossification/
化粧 [けしょう] /(n,vs) make-up/makeup/cosmetics/(P)/
化粧 [けそう] /(ok) (n,vs) make-up/makeup/cosmetics/
化粧 [けわい] /(n,vs) make-up/makeup/cosmetics/
化粧下 [けしょうした] /(n) make-up base/
化粧河豚 [けしょうふぐ] /(n) (uk) map puffer (Arothron mappa)/
化粧回し [けしょうまわし] /(n) ornamental sumo apron/
化粧廻し [けしょうまわし] /(n) ornamental sumo apron/
化粧紙 [けしょうがみ] /(n) cleaning tissue/
化粧室 [けしょうしつ] /(n) toilet/lavatory/powder room/
化粧水 [けしょうすい] /(n) face lotion/
化粧水 [けしょうみず] /(n) face lotion/
化粧石鹸 [けしょうせっけん] /(n) toilet soap/
化粧代 [けしょうだい] /(n) lady's pin money/cosmetics expense/
化粧台 [けしょうだい] /(n) dressing table/dresser/
化粧着 [けしょうぎ] /(n) dressing gown/
化粧張り [けしょうばり] /(n) veneer/
化粧直し [けしょうなおし] /(n) adjusting one's makeup/redecoration/
化粧殿 [けわいでん] /(n) dressing room/
化粧道具 [けしょうどうぐ] /(n) toilet set/
化粧箱 [けしょうばこ] /(n) vanity case/cosmetics case/
化粧品 [けしょうひん] /(n) cosmetics/toilet articles/
化粧部屋 [けしょうべや] /(n) lavatory/dressing room/
化粧用打ち粉 [けしょうよううちこ] /(n) talcum powder/
化粧料 [けしょうりょう] /(n) (1) lady's pin money (pocket money)/payment to a cosmetician/(2) cosmetic material/
化粧煉瓦 [けしょうれんが] /(n) ornamental tile/facing bricks/
化身 [けしん] /(n,vs,adj-no) (Buddh) incarnation/impersonation/personification/avatar/
化成 [かせい] /(n,vs) change/transformation/(P)/
化成工業 [かせいこうぎょう] /(n) chemical industry/
化成肥料 [かせいひりょう] /(n) chemical fertilizer/chemical fertiliser/
化生 [かせい] /(n,vs,adj-no) growth/metamorphosis/
化生 [けしょう] /(n,vs) goblin/
化石 [かせき] /(n,vs) fossil/petrifaction/fossilization/fossilisation/(P)/
化石学 [かせきがく] /(n) paleontology/
化石人類 [かせきじんるい] /(n) fossil men/
化石層 [かせきそう] /(n) fossil bed/
化石燃料 [かせきねんりょう] /(n) fossil fuel/
化石類人猿 [かせきるいじんえん] /(n) anthropoid fossil/
化繊 [かせん] /(n) (abbr) synthetic fibres (fibers)/(P)/
化鳥 [けちょう] /(n) suspicious bird/strange bird/eerie bird/ominous bird/apparition transformed into a bird/
化転 [けてん] /(n) (Buddh) turning evil into good through indoctrination/following the teachings of Buddha to turn the world's evil into good/
化転 [けでん] /(n) (Buddh) turning evil into good through indoctrination/following the teachings of Buddha to turn the world's evil into good/
化導 [かどう] /(n,vs) influencing (a person) for good/
化導 [けどう] /(n,vs) influencing (a person) for good/
化膿 [かのう] /(n,vs,adj-no) suppuration/festering/coming to head/
化膿菌 [かのうきん] /(n) pyogenic bacteria/pus-producing bacteria/
化仏 [けぶつ] /(n) (Buddh) transformed Buddha/
化物 [ばけもの] /(n) goblin/apparition/monster/ghost/phantom/spectre/specter/
化物 [ばけもん] /(ik) (n) goblin/apparition/monster/ghost/phantom/spectre/specter/
化物屋敷 [ばけものやしき] /(n) haunted mansion/haunted house/enchanted house/
化纎 [かせん] /(iK) (n) (abbr) synthetic fibres (fibers)/
仮 [かり] /(n,adj-no) (1) temporary/provisional/interim/(2) fictitious/assumed (name)/alias/(P)/
仮 [け] /(n) (Buddh) lacking substance and existing in name only/something without substance/
仮す [かす] /(v5s,vt) to grant/to allow/to forgive/
仮とじ本 [かりとじほん] /(n) (1) booklet/paper-bound book/(2) brochure/
仮に [かりに] /(adv) temporarily/provisionally/for example/for argument's sake/(P)/
仮にも [かりにも] /(adv) even for an instant/even as a joke/
仮の差し止め [かりのさしとめ] /(n) temporary injunction/preliminary injunction/
仮の差止 [かりのさしとめ] /(n) temporary injunction/preliminary injunction/
仮の宿り [かりのやどり] /(n) temporary dwelling/this transient world/
仮の親 [かりのおや] /(n) foster parent/expedient parent/
仮の世 [かりのよ] /(n) this transient world/
仮の名 [かりのな] /(n) alias/assumed name/
仮の命 [かりのいのち] /(n) this transient life/
仮り [かり] /(io) (n,adj-no) (1) temporary/provisional/interim/(2) fictitious/assumed (name)/alias/
仮パラメタ [かりパラメタ] /(n) (comp) (formal) parameter/dummy argument/
仮ポインタ [かりポインタ] /(n) (comp) dummy pointer/
仮引数 [かりひきすう] /(n) (comp) (formal) parameter/dummy argument/
仮押さえ [かりおさえ] /(n) tentative reservation/
仮屋 [かりや] /(n) temporary residence or shelter/
仮家 [かりいえ] /(n) temporary house/
仮株券 [かりかぶけん] /(n) scrip/interim certificate/
仮勘定 [かりかんじょう] /(n) suspense account/
仮記入 [かりきにゅう] /(n) suspense account/
仮議長 [かりぎちょう] /(n) acting chairman/acting president/
仮宮 [かりみや] /(n) temporary shrine/
仮橋 [かりばし] /(n) temporary bridge/
仮寓 [かぐう] /(n,vs) temporary residence/
仮契約 [かりけいやく] /(n,vs) provisional contract/
仮決 [かけつ] /(n) conditional approval/
仮原文 [かりげんぶん] /(n) (comp) pseudo-text/
仮原文区切り記号 [かりげんぶんくぎりきごう] /(n) (comp) pseudo-text delimiter/
仮現運動 [かげんうんどう] /(n) apparent movement/
仮言 [かげん] /(n) reticence/
仮言的 [かげんてき] /(adj-na) hypothetical/
仮言的三段論法 [かげんてきさんだんろんぽう] /(n) hypothetical syllogism/
仮言的判断 [かげんてきはんだん] /(n) (obsc) hypothetical judgment (judgement)/
仮言的命法 [かげんてきめいほう] /(n) (obsc) hypothetical imperative/
仮言的命令 [かげんてきめいれい] /(n) (obsc) hypothetical imperative/
仮言命法 [かげんめいほう] /(n) hypothetical imperative/
仮根 [かこん] /(n) rhizoid/
仮差し押え [かりさしおさえ] /(n) provisional seizure/provisional attachment/provisional garnishment/
仮差し押さえ [かりさしおさえ] /(n) provisional seizure/provisional attachment/provisional garnishment/
仮差押 [かりさしおさえ] /(n) provisional seizure/provisional attachment/provisional garnishment/
仮差押え [かりさしおさえ] /(n) provisional seizure/provisional attachment/provisional garnishment/
仮採用 [かりさいよう] /(n) appointment on trial (probation)/provisional appointment/
仮作 [かさく] /(n,vs) a fiction/
仮刷り [かりずり] /(n) proof printing/
仮死 [かし] /(n,adj-no) asphyxiation/apparent death/
仮歯 [かし] /(n) false tooth/
仮字 [かな] /(n) (uk) kana/Japanese syllabary (e.g. hiragana, katakana)/
仮執行 [かりしっこう] /(n) provisional execution/
仮漆 [かしつ] /(n) (obsc) varnish/
仮借 [かしゃく] /(n,vs) (1) borrowing/pardon/extenuation/(2) borrowing a kanji with the same pronunciation to convey a certain term/
仮借無き [かしゃくなき] /(n) merciless(ly)/
仮釈放 [かりしゃくほう] /(n) release on parole/
仮手続 [かりてつづき] /(n) (comp) dummy procedure/
仮種皮 [かしゅひ] /(n) aril/
仮受け金 [かりうけきん] /(n) money temporarily receipted/
仮受取 [かりうけとり] /(n) temporary receipt/
仮受取証 [かりうけとりしょう] /(n) temporary receipt/
仮住 [かりずまい] /(n,vs) temporary residence/
仮住い [かりずまい] /(n,vs) temporary residence/
仮住まい [かりずまい] /(n,vs) temporary residence/
仮住居 [かりずまい] /(n,vs) temporary residence/
仮出獄 [かりしゅつごく] /(n) parole/release on bail/
仮出所 [かりしゅっしょ] /(n) release on bail/parole/
仮処分 [かりしょぶん] /(n) temporary measures/(P)/
仮初 [かりそめ] /(io) (adj-no,adj-na) (1) (uk) temporary/transient/(2) trifling/slight/negligent/
仮初にも [かりそめにも] /(adv) for a moment/even as a joke/even in the slightest degree/
仮初め [かりそめ] /(adj-no,adj-na) (1) (uk) temporary/transient/(2) trifling/slight/negligent/
仮初めにも [かりそめにも] /(adv) for a moment/even as a joke/even in the slightest degree/
仮小屋 [かりごや] /(n) booth/shack/hut/shed/
仮称 [かしょう] /(n,vs) temporary name/(P)/
仮粧 [けしょう] /(n,vs) make-up/makeup/cosmetics/
仮粧 [けそう] /(ok) (n,vs) make-up/makeup/cosmetics/
仮粧 [けわい] /(n,vs) make-up/makeup/cosmetics/
仮象 [かしょう] /(n) semblance/appearance/
仮条約 [かりじょうやく] /(n) provisional treaty/
仮植 [かしょく] /(n,vs) temporary planting/
仮植え [かりうえ] /(n,vs) temporary planting/
仮色 [かしょく] /(n) discolouration of a mineral due to impurities (discoloration)/
仮寝 [かりね] /(n,vs) siesta/nap/catnap/stopping at an inn/
仮親 [かりおや] /(n) adopted parents/temporarily assumed parents/
仮進級 [かりしんきゅう] /(n) conditional promotion/
仮睡 [うたたね] /(ik) (n,vs) nap/siesta/
仮睡 [かすい] /(n,vs) nap/siesta/
仮数 [かすう] /(n) mantissa (e.g. of a logarithm)/
仮数部 [かすうぶ] /(n) mantissa portion/
仮性 [かせい] /(n,adj-no) false (symptoms)/
仮性筋肥大 [かせいきんひだい] /(n) pseudohypertrophy of muscle/
仮性近視 [かせいきんし] /(n) false shortsightedness/pseudomyopia/
仮性小児コレラ [かせいしょうにコレラ] /(n) infantile pseudocholera/
仮政府 [かりせいふ] /(n) provisional government/
仮声 [かせい] /(n) falsetto/
仮設 [かせつ] /(n,adj-no) temporary/provisional/(P)/
仮設トイレ [かせつトイレ] /(n) portable toilet/portaloo/temporary toilet/
仮設住宅 [かせつじゅうたく] /(n) temporary dwelling/temporary housing/
仮説 [かせつ] /(n,adj-no) hypothesis/supposition/fictional/(P)/
仮説の検定 [かせつのけんてい] /(n) (comp) hypothesis testing/
仮説を立てる [かせつをたてる] /(exp,v1) to build up a hypothesis/
仮説検定 [かせつけんてい] /(n,vs) hypothesis test (statistics)/
仮想 [かそう] /(n,vs,adj-no) imagination/supposition/virtual/potential (enemy)/(P)/
仮想８０８６モード [かそうはちゼロはちろくモード] /(n) (comp) virtual 8086 mode/
仮想８６モード [かそうはちろくモード] /(n) (comp) virtual 86 mode/
仮想アドレス [かそうアドレス] /(n) (comp) virtual address/
仮想アドレス空間 [かそうアドレスくうかん] /(n) (comp) virtual address space/
仮想アドレス領域 [かそうアドレスりょういき] /(n) (comp) virtual address area/
仮想コネクション [かそうコネクション] /(n) (comp) virtual connection/
仮想コネクション識別子 [かそうコネクションしきべつし] /(n) (comp) virtual connection identifier/
仮想ステム [かそうステム] /(n) (comp) ghost stem/
仮想チャネル [かそうチャネル] /(n) (comp) virtual channel/
仮想チャネル識別子 [かそうチャネルしきべつし] /(n) (comp) virtual channel identifier/VCI/
仮想デバイスドライバ [かそうデバイスドライバ] /(n) (comp) virtual device driver/
仮想ドライブ [かそうドライブ] /(n) (comp) virtual disk drive/
仮想パス [かそうパス] /(n) (comp) virtual path/
仮想パス識別子 [かそうパスしきべつし] /(n) (comp) virtual path identifier/VPI/
仮想ファイル [かそうファイル] /(n) (comp) virtual file/
仮想ファイルストア [かそうファイルストア] /(n) (comp) virtual filestore/
仮想マシン [かそうマシン] /(n) (comp) virtual machine/
仮想メモリ [かそうメモリ] /(n) (comp) virtual memory/
仮想メモリー [かそうメモリー] /(n) (comp) virtual memory/
仮想移動体サービス事業者 [かそういどうたいサービスじぎょうしゃ] /(n) mobile virtual network operator/MVNO/
仮想移動体通信事業者 [かそういどうたいつうしんじぎょうしゃ] /(n) mobile virtual network operator/MVNO/
仮想押しボタン [かそうおしボタン] /(n) (comp) virtual push button/light button/
仮想化 [かそうか] /(n,vs) virtualization/
仮想回線 [かそうかいせん] /(n) (comp) virtual circuit/VC/
仮想回路 [かそうかいろ] /(n) (comp) virtual circuit/VC/
仮想企業 [かそうきぎょう] /(n) (comp) virtual corporation/VC/
仮想機械 [かそうきかい] /(n) (comp) virtual machine/VM/
仮想記憶 [かそうきおく] /(n) virtual memory/virtual storage/
仮想記憶システム [かそうきおくシステム] /(n) (comp) virtual storage system/
仮想記憶装置 [かそうきおくそうち] /(n) (comp) virtual storage/
仮想局 [かそうきょく] /(n) (comp) virtual (switching) office/
仮想銀行 [かそうぎんこう] /(n) virtual bank/
仮想空間 [かそうくうかん] /(n) (comp) virtual space (e.g. in computer graphics)/
仮想計算機 [かそうけいさんき] /(n) (comp) Virtual Machine/VM/
仮想現実 [かそうげんじつ] /(n) (comp) VR/Virtual Reality/
仮想現実感 [かそうげんじつかん] /(n) (comp) virtual reality/VR/
仮想工場 [かそうこうじょう] /(n) (comp) virtual factory/
仮想財布 [かそうさいふ] /(n) virtual wallet/
仮想私設通信網 [かそうしせつつうしんもう] /(n) (comp) VPN/Virtual Private Network/
仮想私設網 [かそうしせつもう] /(n) (comp) virtual private network/
仮想接続 [かそうせつぞく] /(n) (comp) virtual connection/
仮想専用網 [かそうせんようもう] /(n) (comp) virtual private network/
仮想装置 [かそうそうち] /(n) (comp) virtual device/
仮想装置座標 [かそうそうちざひょう] /(n) (comp) virtual device coordinates/VDC/
仮想装置座標領域 [かそうそうちざひょうりょういき] /(n) (comp) virtual device coordinate domain/
仮想敵国 [かそうてきこく] /(n) hypothetical or imaginary enemy/
仮想的 [かそうてき] /(adj-na) (comp) virtual/
仮想的交換局 [かそうてきこうかんきょく] /(n) (comp) virtual (switching) office/
仮想文字集合 [かそうもじしゅうごう] /(n) (comp) virtual character set/
仮想閉域網 [かそうへいいきもう] /(n) (comp) VPN/Virtual Private Network/
仮相 [かそう] /(n) appearance/phenomenon/
仮葬 [かそう] /(n,vs) temporary burial/
仮装 [かそう] /(n,vs,adj-no) (1) costume/fancy dress/masquerade/disguise/(2) converted (cruiser)/(P)/
仮装行列 [かそうぎょうれつ] /(n) costume parade/
仮装巡洋艦 [かそうじゅんようかん] /(n) merchant cruiser/
仮装舞踏会 [かそうぶとうかい] /(n) masquerade ball/
仮足 [かそく] /(n) pseudopodium/pseudopod (temporary protrusion of an ameboid cell)/
仮題 [かだい] /(n) a tentative title/(P)/
仮宅 [かりたく] /(n) temporary dwelling/
仮託 [かたく] /(n,vs) pretext/pretense/pretence/
仮置き [かりおき] /(n,vs) preliminary loading of the (cargo) ship (in preparation for moving cargo around inside the ship)/
仮調印 [かりちょういん] /(n,vs) initialling (pact)/
仮綴 [かりとじ] /(n,vs) temporary (paper) binding/
仮綴じ [かりとじ] /(n,vs) temporary (paper) binding/
仮綴本 [かりとじほん] /(n) (1) booklet/paper-bound book/(2) brochure/
仮定 [かてい] /(n,vs) assumption/supposition/hypothesis/(P)/
仮定款 [かりていかん] /(n) provisional articles/
仮定形 [かていけい] /(n) (ling) hypothetical form/
仮定条件 [かていじょうけん] /(n) hypothetical situation/
仮定法 [かていほう] /(n) (ling) subjunctive mood/
仮定法過去 [かていほうかこ] /(n) (ling) subjunctive past/
仮定法過去完了 [かていほうかこかんりょう] /(n) (ling) subjunctive past perfect/
仮定法相当語句 [かていほうそうとうごく] /(n) subjunctive equivalent/
仮諦 [けたい] /(n) (Buddh) truth of temporariness (holding that all things are temporary)/
仮貼り [かりばり] /(n) temporary pasting/
仮殿 [かりどの] /(n) temporary shrine/
仮渡し [かりわたし] /(n,vs) temporary approximate payment/
仮登記 [かりとうき] /(n) provisional registration/
仮痘 [かとう] /(n) light case of smallpox/
仮道管 [かどうかん] /(n) tracheid/
仮入学 [かりにゅうがく] /(n) provisional enrollment/provisional enrolment/
仮入部 [かりにゅうぶ] /(n) provisional club enrolment (school, etc.)/trial period in a club/
仮納 [かのう] /(n,vs) deposit/
仮納金 [かのうきん] /(n) deposit/
仮納税 [かりのうぜい] /(n) tax payment under protest/
仮納付 [かりのうふ] /(n) provisional payment (of a fine)/
仮配列 [かりはいれつ] /(n) (comp) dummy array/
仮泊 [かはく] /(n,vs) emergency anchoring/
仮病 [けびょう] /(n,adj-no) feigned illness/
仮普請 [かりぶしん] /(n,vs) temporary building/
仮葺 [かりぶき] /(n) temporary roofing/
仮葺き [かりぶき] /(n) temporary roofing/
仮払い [かりばらい] /(n,vs) temporary advance (of money)/
仮払い金 [かりばらいきん] /(n) temporary advance (of money)/
仮払金 [かりばらいきん] /(n) temporary advance (of money)/
仮分数 [かぶんすう] /(n) improper fraction/
仮縫い [かりぬい] /(n,vs) temporary sewing/basting/
仮埋め [かりうめ] /(n) temporary burial/
仮埋葬 [かりまいそう] /(n,vs) temporary burial/
仮枕 [かりまくら] /(n) nap/
仮眠 [かみん] /(n,vs) nap/doze/
仮眠室 [かみんしつ] /(n) nap room (e.g. for doctors in an emergency ward, or firefighters in a fire station)/
仮名 [かな] /(n) (uk) kana/Japanese syllabary (e.g. hiragana, katakana)/(P)/
仮名 [かめい] /(n) alias/pseudonym/pen name/nom de plume/(P)/
仮名 [かりな] /(ok) (n) alias/pseudonym/pen name/nom de plume/
仮名 [けみょう] /(ok) (n) alias/pseudonym/pen name/nom de plume/
仮名漢字変換 [かなかんじへんかん] /(n) (comp) kana-kanji conversion (on a computer, etc.)/
仮名漢字変換形日本文入力装置 [かなかんじへんかんがたにほんぶんにゅうりょくそうち] /(n) (comp) kana-to-kanji conversion Japanese input method/
仮名遣い [かなづかい] /(n) kana orthography/syllabary spelling/(P)/
仮名交じり [かなまじり] /(n) mixed writing (characters and kana)/
仮名交じり文 [かなまじりぶん] /(n) mixed writing (characters and kana)/
仮名使い [かなづかい] /(n) kana orthography/syllabary spelling/
仮名手本 [かなでほん] /(n) Japanese kana copybook/
仮名書き [かながき] /(n) writing in the kana/
仮名勝ち [かながち] /(adj-na) using more kana than characters/
仮名草子 [かなぞうし] /(n) story book written in kana (or in kana mixed with Chinese characters) in the early Edo period (primarily for the enlightenment and entertainment of women and children)/
仮名草紙 [かなぞうし] /(n) story in the kana/
仮名入力 [かなにゅうりょく] /(n) (comp) kana input/
仮名文 [かなぶみ] /(n) publication in kana alone/
仮名文学 [かなぶんがく] /(n) kana literature/works written in kana in the Heian period/
仮名文字 [かなもじ] /(n) the Japanese syllabary symbols/
仮名本 [かなほん] /(n) book (etc.) written entirely in kana/
仮免 [かりめん] /(n) temporary licence/temporary license/provisional licence/provisional license/
仮免許 [かりめんきょ] /(n) temporary license/temporary licence/
仮免状 [かりめんじょう] /(n) temporary certificate/
仮面 [かめん] /(n) (1) mask/(2) disguise/(P)/
仮面をかぶる [かめんをかぶる] /(exp,v5r) to mask one's real character/
仮面劇 [かめんげき] /(n) masque/mask/
仮面夫婦 [かめんふうふ] /(n) couple who only go through the motions of being husband and wife/
仮面舞踏会 [かめんぶとうかい] /(n) masquerade ball/
仮面浪人 [かめんろうにん] /(n) college student who is merely marking time to get into a better college/
仮役 [かりやく] /(n) temporary post/
仮有 [けう] /(n) temporary existence/
仮溶接 [かりようせつ] /(n) tack welding/
仮令 [たとい] /(adv) even if/if/though/although/
仮令 [たとえ] /(adv) even if/if/though/although/(P)/
仮拵え [かりごしらえ] /(n,vs) makeshift/temporary building/
仮繃帯 [かりほうたい] /(n) first-aid dressing/
何 [なに] /(int,pn,adj-no) (1) what/(n) (2) (col) euph. for genitals or sex/(P)/
何 [なん] /(int,pn,adj-no) (1) what/(pref) (2) how many (some counter)/(n) (3) (col) euph. for genitals or sex/(P)/
何々 [なになに] /(int,pn,adj-no) such and such/What?/What is the matter?/What are the items?/
何か [なにか] /(exp) something/(P)/
何か [なんか] /(exp) something/
何かいい手はないか [なにかいいてはないか] /(exp) what would be a good way to do it?/
何かいい手は無いか [なにかいいてはないか] /(exp) what would be a good way to do it?/
何かしら [なにかしら] /(adv) somehow or other/something or other/
何かと [なにかと] /(adv) one way or another/(P)/
何かと言うと [なにかというと] /(exp) on the least pretext/at the drop of a hat/
何かに付けて [なにかにつけて] /(adv) one way or another/
何から何まで [なにからなにまで] /(exp) anything and everything/from top to toe/from A to Z/
何から何迄 [なにからなにまで] /(exp) anything and everything/from top to toe/from A to Z/
何か月 [なんかげつ] /(n) how many months?/how long?/
何か知ら [なにかしら] /(adv) somehow or other/something or other/
何か彼にか [なにかかにか] /(n) this and that/
何か物 [なにかもの] /(exp) something or other/anything/
何か別 [なにかべつ] /(exp,adj-no) another/different/something else/
何か無しに [なんかなしに] /(adv) casually/
何が何だか [なにがなんだか] /(exp) what's what/
何が何だか分からない [なにがなんだかわからない] /(exp) don't know what's what/
何が何でも [なにがなんでも] /(exp,adv) by all means/by all costs/
何くれ [なにくれ] /(adv-to,adv) in various ways/
何くれとなく [なにくれとなく] /(adv) in various ways/
何ごと [なにごと] /(n) (1) what/something/everything/(2) nothing (with neg. verb)/
何さま [なにさま] /(adv,n) what kind/how/indeed/truly/extremely/to be sure/
何しろ [なにしろ] /(adv,conj) at any rate/anyhow/anyway/in any case/(P)/
何じょう [なんじょう] /(adv) (1) what street? (esp. in Kyoto and Sapporo)/(2) what article? (in a law)/(3) (arch) how can?/cannot possibly/there is no way/
何せ [なにせ] /(adv) (uk) at any rate/anyhow/
何せ [なんせ] /(adv) (uk) at any rate/anyhow/
何ぞ [なぞ] /(exp) (1) something/(exp,adj-no) (2) (uk) what/(adv) (3) why/how/
何ぞ [なにぞ] /(exp) (1) something/(exp,adj-no) (2) (uk) what/(adv) (3) why/how/
何ぞ [なんぞ] /(exp) (1) something/(exp,adj-no) (2) (uk) what/(adv) (3) why/how/
何たる [なんたる] /(adj-pn) what (e.g. "what rudeness") (an expression of surprise, anger)/
何だ [なんだ] /(int) (uk) What!/
何だか [なんだか] /(adv) (a) little/somewhat/somehow/(P)/
何だかだ [なんだかだ] /(adv) (uk) something or other/one thing or another/this or that/
何だかんだ [なんだかんだ] /(adv) (uk) something or other/one thing or another/this or that/(P)/
何だこりゃ [なんだこりゃ] /(exp) (col) what on Earth is this?/
何だこれは [なんだこれは] /(exp) (col) what on Earth is this?/
何だっけ [なんだっけ] /(exp) what is it?/
何だったら [なんだったら] /(exp) if you are so inclined/if it suits you/if you like/
何だって [なんだって] /(int) (1) (uk) What?!/(2) Why?/Come again?/(3) anyone/anything/
何だっていい [なんだっていい] /(exp) (col) (it doesn't matter what) anything is OK/
何だって良い [なんだっていい] /(exp) (col) (it doesn't matter what) anything is OK/
何だ彼だ [なんだかだ] /(adv) (uk) something or other/one thing or another/this or that/
何だ彼だ [なんだかんだ] /(adv) (uk) something or other/one thing or another/this or that/
何て [なんて] /(adj-f,adv) (1) how ..!/what ..!/(2) what (questioning)/(P)/
何てこった [なんてこった] /(int) what the hell/WTF/Oh, great!/son of a gun/holy mackerel/
何で [なんで] /(adv) (1) why?/what for?/(2) how?/by what means?/(P)/
何であれ [なんであれ] /(conj) whatever/no matter what/
何でも [なんでも] /(exp,adv) any/whatever one likes/by all means/anything/everything/(P)/
何でもいい [なんでもいい] /(exp) (col) (it doesn't matter what) anything is OK/
何でもかでも [なんでもかでも] /(exp) anything and everything/all sorts of things/by all means/
何でもかんでも [なんでもかんでも] /(adv) anything and everything/all sorts of things/by all means/
何でもない [なんでもない] /(exp,adj-i) easy/trifling/harmless/of no concern/nothing/
何でも屋 [なんでもや] /(n) (1) Jack of all trades/(2) general merchant/
何でも彼でも [なんでもかでも] /(exp) anything and everything/all sorts of things/by all means/
何でも彼んでも [なんでもかんでも] /(adv) anything and everything/all sorts of things/by all means/
何でも無い [なんでもない] /(exp,adj-i) easy/trifling/harmless/of no concern/nothing/
何と [なんと] /(adv) what/how/whatever/(P)/
何といっても [なんといっても] /(exp) after all is said and done/to say the least/
何とか [なんとか] /(exp,adv,n) (1) something/something or other/so-and-so/(2) somehow/anyhow/one way or another/(P)/
何とかかんとか [なんとかかんとか] /(exp) something or other/
何とかして [なんとかして] /(adv) somehow or other/in one way or another/(P)/
何とかなる [なんとかなる] /(exp) to be able to manage somehow or another/
何とか彼とか [なんとかかんとか] /(exp) something or other/
何としても [なんとしても] /(exp) no matter what it takes/by any means necessary/at all costs/by hook or by crook/
何とぞ [なにとぞ] /(adv) (1) (hum) please/kindly/I beg of you/if it pleases you/(2) by all means/without fail/(P)/
何とでも [なんとでも] /(exp) whatever/
何となく [なにとなく] /(adv) somehow or other/for some reason or another/
何となく [なんとなく] /(adv) somehow or other/for some reason or another/(P)/
何となれば [なんとなれば] /(conj) because/the reason why is/
何とは無しに [なんとはなしに] /(adv) for no particular reason/for some reason or other/somehow or other/
何とも [なんとも] /(adv) nothing (with neg. verb)/quite/not a bit/(P)/
何と言う [なんという] /(exp,adj-f,adv) how (beautiful, etc.)/
何と言う [なんとゆう] /(exp,adj-f,adv) how (beautiful, etc.)/
何と言っても [なんといっても] /(exp) after all is said and done/to say the least/
何と無く [なにとなく] /(adv) somehow or other/for some reason or another/
何と無く [なんとなく] /(adv) somehow or other/for some reason or another/
何なのか [なになのか] /(exp) what is it (that)/the meaning of something/what something is about/(P)/
何なのか [なんなのか] /(exp) what is it (that)/the meaning of something/what something is about/(P)/
何なら [なんなら] /(exp) if you are so inclined/if it suits you/if you like/
何なり [なんなり] /(n) any/anything/whatever/
何にでも [なににでも] /(adv) everything/for (to) everything/(in) anything/
何にでも [なんにでも] /(adv) everything/for (to) everything/(in) anything/
何にも [なににも] /(exp,adv) everything/all/
何にも [なんにも] /(adv) nothing at all/(P)/
何にもまして [なににもまして] /(exp,adv) above all else/more than anything/
何にも勝る [なににもまさる] /(exp,adj-f) (1) surpassing everything/better than anything/(exp,v5r) (2) (obsc) to be better than anything/
何にも増して [なににもまして] /(exp,adv) above all else/more than anything/
何の [どの] /(adj-pn) (uk) which/what (way)/(P)/
何の [なんの] /(adj-f) what kind/what sort/
何の位 [どのくらい] /(exp,n,n-adv) (uk) how long/how far/how much/
何の位 [どのぐらい] /(exp,n,n-adv) (uk) how long/how far/how much/
何の慰みも無い毎日 [なんのなぐさみもないまいにち] /(n) a pleasureless life/
何の何の [なんのなんの] /(int) (col) It's nothing!/Don't mention it!/
何の気なし [なんのきなし] /(exp) unintentional/with calmness/casually/
何の気無し [なんのきなし] /(exp) unintentional/with calmness/casually/
何の道 [どのみち] /(adv) anyway/anyhow/at any rate/in any case/
何の変更もなく [なんのへんこうもなく] /(n) (comp) interchangeability/
何の変哲もない [なんのへんてつもない] /(adj-i) ordinary/plain/commonplace/
何の変哲も無い [なんのへんてつもない] /(adj-i) ordinary/plain/commonplace/
何の辺 [どのへん] /(n) whereabouts/
何の某 [なにのなにがし] /(n) certain person/certain amount/
何の役にも立たない [なんのやくにもたたない] /(exp) of no use whatsoever/good for nothing/useless/
何の様 [どのよう] /(exp,adj-na) how/
何の様なこと [どのようなこと] /(n) what kind (of thing)/
何はさておき [なにはさておき] /(exp) before anything else/first of all/
何はともあれ [なにはともあれ] /(exp) at any rate/in any case/at the very least/if nothing else/
何はなくとも [なにはなくとも] /(exp) even if nothing else/more than anything else/
何は無くとも [なにはなくとも] /(exp) even if nothing else/more than anything else/
何は扨措き [なにはさておき] /(exp) before anything else/first of all/
何ひとつ [なにひとつ] /(adv) (not) one (usu. in neg. phrases)/
何びと [なにびと] /(n) everyone/every person/all/anyone/
何びと [なんびと] /(n) everyone/every person/all/anyone/
何ぼ [なんぼ] /(adv,int) (ksb:) very/how much/
何ぼう [なんぼう] /(adv,int) (ksb:) very/how much/
何も [なにも] /(exp,adv) (1) nothing (with neg. verbs)/not any/(2) and everything else (with noun plus "mo")/all/(P)/
何もかも [なにもかも] /(exp,n,adv) anything and everything/just about everything/
何もない [なにもない] /(exp,adj-i) nothing/empty/
何も彼も [なにもかも] /(exp,n,adv) anything and everything/just about everything/
何も無い [なにもない] /(exp,adj-i) nothing/empty/
何やかやで [なにやかやで] /(exp) all told/what with one thing and another/
何やら [なにやら] /(adv) something/for some reason/(P)/
何やら彼にやら [なにやらかにやら] /(n) this and that/
何や彼や [なにやかや] /(exp,adv) this and that/one thing or another/
何ゆえ [なにゆえ] /(adv) (uk) why/how/
何より [なにより] /(exp,adv,n,adj-na) most/best/above all/(P)/
何よりも [なによりも] /(adv) more than anything/above all else/
何よりも [なんよりも] /(adv) more than anything/above all else/
何ら [なにら] /(ok) (adv,n) (1) whatever/what/what sort of/any kind of/(2) nothing whatever (with neg. verb)/
何ら [なんら] /(adv,n) (1) whatever/what/what sort of/any kind of/(2) nothing whatever (with neg. verb)/(P)/
何らか [なんらか] /(adv,adj-no) some/any/in any way/of some kind/of some sort/
何れ [いずれ] /(adv,pn,adj-no) (1) (uk) where/which/who/(2) anyway/anyhow/at any rate/sooner or later/eventually/at some future date or time/
何れ [いづれ] /(ik) (adv,pn,adj-no) (1) (uk) where/which/who/(2) anyway/anyhow/at any rate/sooner or later/eventually/at some future date or time/
何れ [どれ] /(n) (1) (uk) which (of three or more)/(2) whichever/any/(int) (3) well/now/let me see/(P)/
何れか [いずれか] /(n,adj-no) (uk) any of/either of/(to) any/
何れくらい [どれくらい] /(exp,n) (uk) how long/how far/how much/
何れぐらい [どれぐらい] /(exp,n) (uk) how long/how far/how much/
何れにしても [いずれにしても] /(conj) (uk) anyhow/at all events/in any case/
何れにせよ [いずれにせよ] /(conj) (uk) at any rate/in any event/
何れの場合においても [いずれのばあいにおいても] /(n) in either case/in all cases/
何れまた [いずれまた] /(adj-f) some other time/another time/
何れも [いずれも] /(adv) (uk) both/either/any/all/every/
何れも [どれも] /(adv) (uk) both/either/any/all/every/
何れも此れも [どれもこれも] /(exp) each and every/all/
何れ位 [どれくらい] /(exp,n) (uk) how long/how far/how much/
何れ位 [どれぐらい] /(exp,n) (uk) how long/how far/how much/
何れ何れ [どれどれ] /(n) (1) which (emphatic)/(int) (2) let me see/well now/(P)/
何れ程 [どれほど] /(adv,n) (uk) how much (long, far)/
何れ劣らぬ [いずれおとらぬ] /(adj-pn) equally competent/
何をか言わんや [なにをかいわんや] /(exp) what more can one say?/to be utterly at a loss for words (because of disbelief or disgust)/
何を隠そう [なにをかくそう] /(exp) to be frank with you/to tell you the truth/
何を言うてんねん [なにをいうてんねん] /(exp) (sl) (ksb:) What the hell are you saying?!/
何ヶ月 [なんかげつ] /(n) how many months?/how long?/
何一つ [なにひとつ] /(adv) (not) one (usu. in neg. phrases)/
何何 [なになに] /(int,pn,adj-no) such and such/What?/What is the matter?/What are the items?/
何箇 [なんこ] /(n) how many pieces/
何箇月 [なんかげつ] /(n) how many months?/how long?/
何回 [なんかい] /(n) how many times?/(P)/
何回か [なんかいか] /(n) a few times/
何回も [なんかいも] /(adv,adj-no) time and time again/many times/a number of times/
何期も [なんきも] /(n) many periods/
何気ない [なにげない] /(adj-i) casual/unconcerned/nonchalant/(P)/
何気なく [なにげなく] /(adv) unintentionally/calmly/inadvertently/innocently/
何気に [なにげに] /(adv) (1) (col) inadvertantly/for no special reason/(2) truthfully/unexpectedly/(3) after realizing/without knowing/
何気無い [なにげない] /(adj-i) casual/unconcerned/nonchalant/
何気無く [なにげなく] /(adv) unintentionally/calmly/inadvertently/innocently/(P)/
何共 [なんとも] /(adv) nothing (with neg. verb)/quite/not a bit/
何月 [なんがつ] /(n) what month/
何軒か [なんけんか] /(n) some houses/some buildings/
何個 [なんこ] /(n) how many pieces/
何故 [なぜ] /(adv) (uk) why/how/(P)/
何故 [なにゆえ] /(adv) (uk) why/how/(P)/
何故か [なぜか] /(adv) somehow/for some reason/without knowing why/(P)/
何故かと言うと [なぜかというと] /(exp) because/the reason why is/
何故なら [なぜなら] /(conj) (uk) because/(P)/
何故ならば [なぜならば] /(conj) (uk) because/for/the reason why is .../(P)/
何呉 [なにくれ] /(adv-to,adv) in various ways/
何呉となく [なにくれとなく] /(adv) in various ways/
何呉と無く [なにくれとなく] /(adv) in various ways/
何語 [なにご] /(n) what language/
何語 [なんご] /(n) how many words/
何座 [なんざ] /(exp) what star sign? (astrology)/what constellation?/
何才 [なんさい] /(n) how old?/what age?/
何歳 [なんさい] /(n) how old?/what age?/
何冊か [なんさつか] /(exp) several flat objects (e.g. books, sheets of paper, etc.)/
何事 [なにごと] /(n) (1) what/something/everything/(2) nothing (with neg. verb)/(P)/
何事も [なにごとも] /(n) (1) anything/whatever/(2) nothing (with neg. verb)/
何事もなく [なにごともなく] /(adv) uneventfully/without incident/without a hitch/peacefully/
何時 [いつ] /(n-adv,pn) (uk) when/how soon/(P)/
何時 [なんじ] /(n) what time?/
何時 [なんどき] /(n) what time/
何時か [いつか] /(adv) (uk) sometime/someday/one day/some time or other/the other day/in due course/in time/
何時かは [いつかは] /(adv) (uk) sooner or later/in due time/in due course/
何時から [いつから] /(exp) (1) (uk) since when/(2) from when/(3) how long/
何時から [なんじから] /(exp) from when/lit: from what hour/
何時しか [いつしか] /(adv) before one knows/unnoticed/unawares/
何時ぞや [いつぞや] /(adv) (uk) once/some time ago/
何時だって [いつだって] /(exp) always/at any time/
何時でも [いつでも] /(adv) (uk) (at) any time/always/at all times/whenever/(P)/
何時でも [なんどきでも] /(adv) (uk) (at) any time/always/at all times/whenever/
何時なんどき [いつなんどき] /(adv) (uk) at any time/every moment/
何時にない [いつにない] /(adj-i) (uk) unusual/
何時になく [いつになく] /(adv) (uk) unusually/
何時に無い [いつにない] /(adj-i) (uk) unusual/
何時に無く [いつになく] /(adv) (uk) unusually/(P)/
何時のなしに [いつのなしに] /(adv) naturally/
何時の間にか [いつのまにか] /(adv) before one knows/before one becomes aware of/unnoticed/unawares/(P)/
何時の間にやら [いつのまにやら] /(n) unawares/unnoticed/before you know it/
何時まで [いつまで] /(adv) (uk) how long?/till when?/
何時までも [いつまでも] /(adv) (uk) forever/for good/eternally/as long as one likes/indefinitely/no matter what/(P)/
何時まで経っても [いつまでたっても] /(exp) no matter how much time passes/
何時も [いつも] /(adv,n) (1) (uk) always/usually/every time/(2) never (with neg. verb)/(P)/
何時もながら [いつもながら] /(adv,adj-no) (uk) as always/as ever/
何時もの [いつもの] /(n) (uk) usual/habitual/
何時ものごとく [いつものごとく] /(adv) (uk) as usual/
何時もの通りに [いつものとおりに] /(adv) as always/
何時もより [いつもより] /(adv) (uk) more than usual/
何時も通り [いつもとおり] /(ik) (adv) as always/as usual/
何時も通り [いつもどおり] /(adv) as always/as usual/
何時何時 [いついつ] /(n) when (emphatic)/
何時何時 [いつなんどき] /(adv) (uk) at any time/every moment/
何時何時までも [いついつまでも] /(exp) indefinitely/for a long time/
何時何時迄も [いついつまでも] /(exp) indefinitely/for a long time/
何時何分 [なんじなんぷん] /(exp) at what time?/when?/
何時間 [なんじかん] /(exp) how many hours?/
何時頃 [いつごろ] /(n-t) about when/how soon/(P)/
何時時分 [いつじぶん] /(n) about what time/
何時迄 [いつまで] /(adv) (uk) how long?/till when?/
何時迄も [いつまでも] /(adv) (uk) forever/for good/eternally/as long as one likes/indefinitely/no matter what/
何者 [なにもの] /(n) who/what kind of person/(P)/
何者か [なにものか] /(n) someone/
何種類 [なんしゅるい] /(n,adj-no) various types/
何十 [なんじゅう] /(n) several tens/(P)/
何処 [いずく] /(ok) (pn,adj-no) (1) (uk) where/what place/(2) how much (long, far)/what extent/
何処 [いずこ] /(pn,adj-no) (1) (uk) where/what place/(2) how much (long, far)/what extent/
何処 [いどこ] /(ok) (pn,adj-no) (1) (uk) where/what place/(2) how much (long, far)/what extent/
何処 [どこ] /(pn,adj-no) (1) (uk) where/what place/(2) how much (long, far)/what extent/(P)/
何処いら [どこいら] /(pn,adj-no) (uk) where/what place/
何処か [どこか] /(exp,n,adv) (uk) somewhere/anywhere/in some respects/(P)/
何処か [どっか] /(ik) (exp,n,adv) (uk) somewhere/anywhere/in some respects/
何処ぞ [どこぞ] /(n) (uk) somewhere (very vague)/someplace (very vague)/
何処でも [どこでも] /(n) (uk) anywhere/
何処となく [どことなく] /(adv) (uk) somehow/for some reason/vaguely/
何処ともなく [どこともなく] /(adv) (uk) aimlessly/somehow/
何処とも無く [どこともなく] /(adv) (uk) aimlessly/somehow/
何処と無く [どことなく] /(adv) (uk) somehow/for some reason/vaguely/
何処にでも [どこにでも] /(n) (uk) anywhere/
何処にも [どこにも] /(adv) (1) (uk) nowhere (with neg. verb)/not anywhere/(2) everywhere/anywhere/anyplace/(P)/
何処にもない [どこにもない] /(adj-i) (uk) nowhere/(P)/
何処にも彼処にも [どこにもかしこにも] /(adv) (uk) all over/everywhere/
何処へも [どこへも] /(adv) (uk) nowhere/not anywhere (with neg. verb)/
何処まで [どこまで] /(adv) (uk) how far/to what extent/
何処までも [どこまでも] /(adv) (uk) anywhere/through thick and thin/to the utmost/persistently/stubbornly/in all respects/thoroughly/(P)/
何処も [どこも] /(conj) (uk) everywhere/wherever/
何処も彼処も [どこもかしこも] /(exp) (uk) all over/
何処やら [どこやら] /(n) (1) (uk) somewhere/(adv) (2) somehow/
何処ら [どこら] /(n) (uk) where/what place/
何処ら辺 [どこらあたり] /(n) where/whereabouts/
何処ら辺り [どこらあたり] /(n) where/whereabouts/
何処其処 [どこそこ] /(pn,adj-no) (uk) such-and-such a place/
何処迄 [どこまで] /(adv) (uk) how far/to what extent/
何処迄も [どこまでも] /(adv) (uk) anywhere/through thick and thin/to the utmost/persistently/stubbornly/in all respects/thoroughly/
何所 [いどこ] /(ok) (pn,adj-no) (1) (uk) where/what place/(2) how much (long, far)/what extent/
何所 [どこ] /(pn,adj-no) (1) (uk) where/what place/(2) how much (long, far)/what extent/
何所いら [どこいら] /(pn,adj-no) (uk) where/what place/
何所やら [どこやら] /(n) (1) (uk) somewhere/(adv) (2) somehow/
何所ら [どこら] /(n) (uk) where/what place/
何条 [なんじょう] /(adv) (1) what street? (esp. in Kyoto and Sapporo)/(2) what article? (in a law)/(3) (arch) how can?/cannot possibly/there is no way/
何色搨 [なんしょくずり] /(n) multicolored printing/multicoloured printing/
何食わぬ顔 [なにくわぬかお] /(exp) innocent look/nonchalant look/air of innocence/
何心ない [なにごころない] /(adj-i) casual/unconcerned/
何心なく [なにごころなく] /(n) without any special thought/
何心無い [なにごころない] /(adj-i) casual/unconcerned/
何心無く [なにごころなく] /(n) without any special thought/
何人 [なにじん] /(n,adj-no) what nationality?/
何人 [なにびと] /(n) everyone/every person/all/anyone/(P)/
何人 [なんにん] /(n) how many? (people)/
何人 [なんびと] /(n) everyone/every person/all/anyone/
何人 [なんぴと] /(n) everyone/every person/all/anyone/
何人か [なんにんか] /(exp) some people/
何人たりとも [なにびとたりとも] /(exp) no one at all/no one, who he or she may be/
何人たりとも [なんびとたりとも] /(exp) no one at all/no one, who he or she may be/
何人たりとも [なんぴとたりとも] /(exp) no one at all/no one, who he or she may be/
何人でも [なんにんでも] /(exp) any number of people/
何人も [なんびとも] /(n) everyone/all/nobody (with negative verb)/
何人も [なんぴとも] /(n) everyone/all/nobody (with negative verb)/
何人様 [なんびとさま] /(exp) how many people/
何千 [なんぜん] /(n) many thousands/(P)/
何卒 [なにとぞ] /(adv) (1) (hum) please/kindly/I beg of you/if it pleases you/(2) by all means/without fail/(P)/
何代目 [なんだいめ] /(n) what ordinal number (of a president)/
何程 [どれほど] /(adv,n) (uk) how much (long, far)/
何程 [なにほど] /(adv,n) (uk) how much (long, far)/
何点 [なんてん] /(exp) what score or grade?/
何度 [なんど] /(n) how many times?/how often?/(P)/
何度か [なんどか] /(adv) several times/one or twice/
何度でも [なんどでも] /(n) any number of times/
何度も [なんども] /(adv) many times over/often/
何奴 [どいつ] /(pn) who?/
何奴 [どちつ] /(pn) who?/
何奴 [どやつ] /(pn) who?/
何奴も此奴も [どいつもこいつも] /(exp) (uk) (id) everybody (usu. negative nuance)/everybody/every last one of them/all/
何等 [なにら] /(ok) (adv,n) (1) whatever/what/what sort of/any kind of/(2) nothing whatever (with neg. verb)/
何等 [なんら] /(adv,n) (1) whatever/what/what sort of/any kind of/(2) nothing whatever (with neg. verb)/
何等か [なんらか] /(adv,adj-no) some/any/in any way/of some kind/of some sort/
何日 [なんにち] /(exp) (1) what day/(2) how many days/
何日か [なんにちか] /(exp) some days/several days/
何日も [なんにちも] /(adv) for many days/for several days/
何年 [なんねん] /(n) what year/how many years/
何年間 [なんねんかん] /(exp) many years/
何年生 [なんねんせい] /(exp) what grade (in school)/
何倍も [なんばいも] /(adj-no) manyfold/
何番 [なんばん] /(n) what number/
何番目 [なんばんめ] /(n) what number/rank?/
何彼と [なにかと] /(adv) one way or another/
何百 [なんびゃく] /(n) hundreds/(P)/
何物 [なにもの] /(n) (1) something/(2) nothing (with neg. verb)/
何分 [なにぶん] /(adv,n) anyway/please/(P)/
何分 [なんぷん] /(n) what minute?/how many minutes?/
何分の [なにぶんの] /(n) some/something or other/as much as possible/
何遍 [なんべん] /(n) how many times/how often/(P)/
何遍も [なんべんも] /(exp) repeatedly/
何方 [いずかた] /(n) (1) (uk) which way/which direction/where/(2) which one (esp. of two alternatives)/(3) who/
何方 [いずし] /(ok) (n) (1) (uk) which way/which direction/where/(2) which one (esp. of two alternatives)/(3) who/
何方 [いずち] /(n) (1) (uk) which way/which direction/where/(2) which one (esp. of two alternatives)/(3) who/
何方 [どち] /(ok) (n) (1) (uk) which way/which direction/where/(2) which one (esp. of two alternatives)/(3) who/
何方 [どちら] /(n) (1) (uk) which way/which direction/where/(2) which one (esp. of two alternatives)/(3) who/(P)/
何方 [どっち] /(n) (1) (uk) which way/which direction/where/(2) which one (esp. of two alternatives)/(3) who/(P)/
何方 [どなた] /(n) (uk) (hon) who?/(P)/
何方 [なにざま] /(ok) (n) (1) (uk) which way/which direction/where/(2) which one (esp. of two alternatives)/(3) who/
何方でも [どなたでも] /(n) (uk) anyone/
何方へ [どちらへ] /(exp) (uk) (col) how are you?/
何方も [どちらも] /(adv) (uk) both/either/any/all/every/
何方も何方 [どっちもどっち] /(exp) (id) They are both to blame/
何方道 [どっちみち] /(adv) (uk) anyway/either way/one way or the other/
何方付かず [どっちつかず] /(adj-na,n,adj-no) (uk) gray area/grey area/unclear area/uncertain/
何方様 [どちらさま] /(exp) (1) (hon) (id) who are you?/(n) (2) (hon) who/
何某 [なにがし] /(pn,adj-no) (1) certain person/certain amount/Mr So-and-so/(2) I (personal pronoun)/
何某 [なにぼう] /(pn,adj-no) (1) certain person/certain amount/Mr So-and-so/(2) I (personal pronoun)/
何枚 [なんまい] /(n) how many thin flat objects?/
何万年 [なんまんねん] /(n-t) tens of thousands of years/
何名 [なんめい] /(n) how many people/
何曜日 [なんようび] /(n) what day?/
何様 [なにさま] /(adv,n) what kind/how/indeed/truly/extremely/to be sure/
何用 [なによう] /(exp) what kind of business/what sort of matter/
何用で [なにようで] /(exp) on what business/
伽 [とぎ] /(n) nursing/nurse/attending/attendant/entertainer/
伽芝居 [とぎしばい] /(n) fairy play/pantomime/
伽草子 [とぎぞうし] /(n) fairy-tale book/
伽羅 [きゃら] /(n) (1) aloes wood/Taxus cuspidata var. nana/(2) aloes-wood perfume/
伽羅蕗 [きゃらぶき] /(n) stalks of butterbur boiled in soy sauce/
伽藍 [がらん] /(n) temple/monastery/
伽藍鳥 [がらんちょう] /(n) pelican/
伽話 [とぎばなし] /(n) fairy-tale/nursery-tale/
価 [あたい] /(n,adj-no) (1) price/cost/(2) value/worth/merit/(3) (comp) variable (computer programming, programing)/(4) (math) value/count/number/(vs) (5) to have value/to have merit/
価する [あたいする] /(vs-s) to be worth/to deserve/to merit/
価格 [かかく] /(n) price/value/cost/(P)/
価格の下方硬直性 [かかくのかほうこうちょくせい] /(n) downward price rigidity/
価格インデクセーション [かかくインデクセーション] /(n) price indexation/
価格カルテル [かかくカルテル] /(n) price cartel/
価格圧力 [かかくあつりょく] /(n) price pressure/
価格安定 [かかくあんてい] /(n) price stabilization/price stabilisation/
価格革命 [かかくかくめい] /(n) price revolution/
価格機構 [かかくきこう] /(n) price mechanism/
価格規制 [かかくきせい] /(n) price control/price regulation/
価格競争 [かかくきょうそう] /(n) price competition/
価格協定 [かかくきょうてい] /(n) price agreement/price-maintenance agreement/
価格交渉 [かかくこうしょう] /(n) price negotiation/
価格効果 [かかくこうか] /(n) price effect/
価格硬直性 [かかくこうちょくせい] /(n) price rigidity/
価格差 [かかくさ] /(n) price margin/
価格差別 [かかくさべつ] /(n) price discrimination/
価格性能 [かかくせいのう] /(n) cost effectiveness/
価格設定 [かかくせってい] /(n) price decision/price setting/pricing/
価格戦争 [かかくせんそう] /(n) price war/
価格操作 [かかくそうさ] /(n) price manipulation/price fixing/
価格帯 [かかくたい] /(n) price range/
価格弾力性 [かかくだんりょくせい] /(n) price elasticity/
価格統制 [かかくとうせい] /(n) price controls/
価格破壊 [かかくはかい] /(n,adj-no) sudden, wide-spread drop in prices/
価格表 [かかくひょう] /(n) price list/
価格変動 [かかくへんどう] /(n) price fluctuations/
価格崩壊 [かかくほうかい] /(n) price destruction/
価額 [かがく] /(n) valuation/amount/
価千金 [あたいせんきん] /(adj-no) priceless/invaluable/
価値 [かち] /(n) value/worth/merit/(P)/
価値観 [かちかん] /(n) values/(P)/
価値基準 [かちきじゅん] /(n) standard of value/
価値高い [かちたかい] /(adj-i) valuable/
価値体系 [かちたいけい] /(n) value system/set of values/
価値哲学 [かちてつがく] /(n) philosophy of value/
価値判断 [かちはんだん] /(n) value judgement/value judgment/
価値分析 [かちぶんせき] /(n) value analysis/
価値法則 [かちほうそく] /(n) law of value/
価値有る [かちある] /(adj-f) valuable/
価値倫理学 [かちりんりがく] /(n) axiological ethics/
価値論 [かちろん] /(n) axiology/theory of value/
価電子 [かでんし] /(n) valence electron/
価電子状態 [かでんしじょうたい] /(n) valence state/
価電子帯 [かでんしたい] /(n) valence band/
佳 [か] /(adj-na,n) beautiful/good/excellent/
佳い [いい] /(adj-i) (1) (uk) good/excellent/fine/nice/pleasant/agreeable/(2) sufficient (can be used to turn down an offer)/ready/prepared/(3) profitable (e.g. deal, business offer, etc.)/beneficial/(4) OK/
佳い [よい] /(adj-i) (1) (uk) good/excellent/fine/nice/pleasant/agreeable/(2) sufficient (can be used to turn down an offer)/ready/prepared/(3) profitable (e.g. deal, business offer, etc.)/beneficial/(4) OK/
佳き [よき] /(n) (1) goodness/(adj-pn) (2) good/
佳宴 [かえん] /(n) congratulatory banquet/
佳客 [かきゃく] /(n) good visitor/
佳境 [かきょう] /(n) climax (story)/best part/most interesting part/(P)/
佳句 [かく] /(n) beautiful passage of literature/
佳景 [かけい] /(n) beautiful view/
佳月 [かげつ] /(n) good month/bright moon/
佳言 [かげん] /(n) good words/
佳肴 [かこう] /(n) delicacy/rare treat/good-eating fish/
佳作 [かさく] /(n) (1) good piece of work/(2) (abbr) honourable mention (honorable)/(P)/
佳趣 [かしゅ] /(n) good taste/good impression/
佳酒 [かしゅ] /(n) good wine/good drink/
佳什 [かじゅう] /(n) excellent poem/
佳賞 [かしょう] /(n,vs) praise/
佳醸 [かじょう] /(n) sweet sake/good wine/
佳人 [かじん] /(n) (female) beauty/beautiful woman/
佳人薄命 [かじんはくめい] /(exp) beauties die young/beauty and luck seldom go together/
佳節 [かせつ] /(n) auspicious occasion/
佳辰 [かしん] /(n) lucky day/auspicious occasion/happy day/
佳調 [かちょう] /(n) good tune/
佳日 [かじつ] /(n) beautiful day/
佳品 [かひん] /(n) choice article/
佳賓 [かひん] /(n) good guest/interesting guest/
佳篇 [かへん] /(n) outstanding poem/
佳編 [かへん] /(n) outstanding poem/
佳味 [かみ] /(n) delicious taste/
佳木 [かぼく] /(n) beautiful trees/
佳容 [かよう] /(n) comely face/
佳良 [かりょう] /(adj-na,n) good/favourable/favorable/successful/
佳例 [かれい] /(n) good example/
佳麗 [かれい] /(adj-na,n) beauty/
佳話 [かわ] /(n) good story/
加 [か] /(n) (1) addition/increase/(2) (abbr) Canada/(P)/
加うるに [くわうるに] /(conj,exp) besides/furthermore/
加えて [くわえて] /(conj) additionally/in addition/moreover/at the same time/
加える [くわえる] /(v1,vt) to append/to sum up/to add (up)/to include/to increase/to inflict/(P)/
加え算 [くわえざん] /(n) addition/
加わった呼量 [くわわったこりょう] /(n) (comp) offered load/
加わる [くわわる] /(v5r,vi) (1) to be added to/to be appended/(2) to join in (e.g. a group of friends)/to participate/(3) to increase (e.g. heat)/to gain in (e.g. influence)/to grow/to gather (speed)/(4) to be subject to (e.g. pressure)/(P)/
加圧 [かあつ] /(n,vs) increasing pressure/(P)/
加圧器 [かあつき] /(n) pressurizer/
加圧水型原子炉 [かあつすいがたげんしろ] /(n) pressurized water reactor/pressurised water reactor/PWR/
加圧水炉 [かあつすいろ] /(n) pressurized water reactor/pressurised water reactor/PWR/
加鉛ガソリン [かえんガソリン] /(n) leaded gasoline/leaded petrol/
加温 [かおん] /(n,vs) heating/heat/
加賀紋 [かがもん] /(n) coloured family crest (popular amongst people from Kaga)/
加害 [かがい] /(n,vs) assault/violence/damaging (someone)/
加害者 [かがいしゃ] /(n) assailant/perpetrator/wrong-doer/aggressor/(P)/
加冠 [かかん] /(n,vs) (1) (arch) crowning a boy with a traditional cap for the first time at a coming-of-age ceremony/(n) (2) (arch) person in charge of crowning the boy at a coming-of-age ceremony/
加虐 [かぎゃく] /(n,vs,adj-no) causing pain/sadism/
加虐愛 [かぎゃくあい] /(n) sadism/
加虐性愛 [かぎゃくせいあい] /(n,adj-no) sadism/
加虐性愛者 [かぎゃくせいあいしゃ] /(n) sadist/
加虐性欲 [かぎゃくせいよく] /(n) sadism/
加給 [かきゅう] /(n,vs) raising salaries/
加群 [かぐん] /(n) (math) module/
加減 [かげん] /(n,adj-na) (1) addition and subtraction/(2) allowance for/(3) degree/extent/measure/(4) condition/state of health/(5) seasoning/flavor/flavour/moderation/adjustment/(6) influence (of the weather)/(7) chance/(P)/
加減演算子 [かげんえんざんし] /(n) (comp) adding operator/
加減作用素 [かげんさようそ] /(n) (comp) adding operator/
加減算器 [かげんさんき] /(n) (comp) adder-subtracter/
加減算時間 [かげんさんじかん] /(n) (comp) add-subtract time/
加減乗除 [かげんじょうじょ] /(n) the four arithmetical operations (addition, subtraction, multiplication, division)/
加減抵抗器 [かげんていこうき] /(n) rheostat/
加護 [かご] /(n,vs) divine protection/
加工 [かこう] /(n,vs) manufacturing/processing/treatment/machining/(P)/
加工データ [かこうデータ] /(n) (comp) processed data/raw data/
加工業 [かこうぎょう] /(n) processing industries/
加工交易 [かこうこうえき] /(n) processing trade (importing all or part of raw and auxiliary materials, parts, components, accessories, and packaging materials in bond from a foreign company, and re-exporting the finished products after processing or assembly for distribution and sale by that foreign company)/
加工産業 [かこうさんぎょう] /(n) manufacturing industry/
加工紙 [かこうし] /(n) processed paper/coated paper/
加工歯 [かこうし] /(n) dental bridge/
加工税 [かこうぜい] /(n) processing tax/
加工賃 [かこうちん] /(n) processing fees/
加工乳 [かこうにゅう] /(n) processed milk/manufactured milk/
加工費 [かこうひ] /(n) processing cost/
加工品 [かこうひん] /(n) processed goods/finished goods/
加工貿易 [かこうぼうえき] /(n) processing trade/
加号 [かごう] /(n) plus sign/sign of addition/
加算 [かさん] /(adj-na,n,vs) addition/adding/(P)/
加算器 [かさんき] /(n) adder (written)/adding machine/
加算機 [かさんき] /(n) adder (written)/adding machine/
加算機式計算器 [かさんきしきけいさんき] /(n) (comp) calculator with arithmetic logic/
加算税 [かさんぜい] /(n) additional tax/
加算積分器 [かさんせきぶんき] /(n) (comp) summing integrator/
加餐 [かさん] /(n) caring for one's health/
加持 [かじ] /(n,vs) faith-healing/incantation/
加持祈祷 [かじきとう] /(n) incantation and prayer/
加持身 [かじしん] /(n) (1) (Buddh) buddha-body within a practitioner (esoteric Buddhism)/(2) altruistic manifested form of Mahavairocana (New Shingon)/
加湿 [かしつ] /(n,vs) humidification/
加湿器 [かしつき] /(n) humidifier/
加湿機 [かしつき] /(n) humidifier/
加州 [かしゅう] /(n) State of California/
加重 [かじゅう] /(n,vs) weighting (in averaging)/aggravation/(P)/
加重 [かちょう] /(n,vs) weighting (in averaging)/aggravation/
加重平均 [かじゅうへいきん] /(n) weighted average/
加除 [かじょ] /(n,vs) insertion and deletion/
加除式 [かじょしき] /(n) looseleaf/
加振 [かしん] /(n) excitation/
加水 [かすい] /(n,vs) add water/
加水分解 [かすいぶんかい] /(n,vs,adj-no) hydrolysis/
加水分解酵素 [かすいぶんかいこうそ] /(n) hydrolytic enzyme/
加数 [かすう] /(n) addend/
加勢 [かせい] /(n,vs) assistance/backing/reinforcements/
加増 [かぞう] /(n,vs) increase/addition/
加速 [かそく] /(n,vs) (1) acceleration/speed up/(adj-f) (2) accelerator/(P)/
加速運動 [かそくうんどう] /(n) accelerated motion/
加速器 [かそくき] /(n) (particle) accelerator/
加速時間 [かそくじかん] /(n) (comp) acceleration time/
加速度 [かそくど] /(n) acceleration/
加速度計 [かそくどけい] /(n) accelerometer/
加速度原理 [かそくどげんり] /(n) acceleration principle/
加速度病 [かそくどびょう] /(n) motion sickness/
加担 [かたん] /(n,vs) support/participation/assistance/complicity/conspiracy/(P)/
加担者 [かたんしゃ] /(n) accomplice/
加点 [かてん] /(n,vs) addition of points/scoring/(P)/
加電圧 [かでんあつ] /(n) overpotential/over-voltage/
加答児 [カタル] /(ateji) (n,adj-no) (uk) catarrh (dut: catarrhe, ger: Katarrh)/
加糖 [かとう] /(n) sweetening/sweetened/
加糖粉乳 [かとうふんにゅう] /(n) sweetened powdered milk/
加糖練乳 [かとうれんにゅう] /(n) sweetened condensed milk/
加特力 [カトリック] /(ateji) (n,adj-no) (uk) Catholic (church) (dut: katholiek)/
加奈陀 [かなだ] /(n) (uk) Canada/
加入 [かにゅう] /(n,vs,adj-no) becoming a member/joining/entry/admission/subscription/affiliation/adherence/signing/(P)/
加入金 [かにゅうきん] /(n) admission fee/
加入権 [かにゅうけん] /(n) NTT permission-to-procure-a-phone-line/
加入者 [かにゅうしゃ] /(n) affiliate/member/entrant/participant/(telephone) subscriber/
加入者アドレス [かにゅうしゃアドレス] /(n) (comp) subscriber address/
加入者データ [かにゅうしゃデータ] /(n) (comp) subscriber data/
加入者回線 [かにゅうしゃかいせん] /(n) (comp) subscriber line/
加入者線交換機 [かにゅうしゃせんこうかんき] /(n) (comp) local switch/LS/
加入者宅内装置 [かにゅうしゃたくないそうち] /(n) (comp) customer premises equipment/CPE/
加入者番号 [かにゅうしゃばんごう] /(n) (comp) subscriber number/
加入電信 [かにゅうでんしん] /(n) (obsc) telex/
加入電話 [かにゅうでんわ] /(n) subscribed telephone/subscription telephone/
加熱 [かねつ] /(n,vs) heating/application of heat/(P)/
加熱器 [かねつき] /(n) heating apparatus/heater/
加熱炉 [かねつろ] /(n) heating furnace/
加年 [かねん] /(n) adding years/
加之 [しかのみならず] /(conj) (uk) not only ... but also/also/
加農砲 [かのうほう] /(n) cannon/
加配 [かはい] /(n,vs) additional ration/
加配米 [かはいまい] /(n) extra rice ration/
加判 [かはん] /(n,vs) affixing a seal/
加判人 [かはんにん] /(n) signatory/
加筆 [かひつ] /(n,vs) correction/improvement/revision/
加俸 [かほう] /(n) extra allowance/
加法 [かほう] /(n) addition/
加法混色 [かほうこんしょく] /(n) additive mixture of colors/additive mixture of colours/
加法性白色ガウス雑音 [かほうせいはくしょくガウスざつおん] /(n) (comp) AWGN/additive white gaussian noise/
加味 [かみ] /(n,vs) (1) seasoning/flavoring/flavouring/(2) taking (something) into consideration/taking into account/(P)/
加密爾列 [カミツレ] /(ateji) (n) (uk) German chamomile (Matricaria recutita) (dut: kamille)/German camomile/
加密爾列 [カミルレ] /(ateji) (n) (uk) German chamomile (Matricaria recutita) (dut: kamille)/German camomile/
加密列 [カミツレ] /(ateji) (n) (uk) German chamomile (Matricaria recutita) (dut: kamille)/German camomile/
加密列 [カミルレ] /(ateji) (n) (uk) German chamomile (Matricaria recutita) (dut: kamille)/German camomile/
加盟 [かめい] /(n,vs) participation/affiliation/(P)/
加盟国 [かめいこく] /(n) member-nation/signatory/
加盟者 [かめいしゃ] /(n) participants/
加盟店 [かめいてん] /(n) participating store/participating merchant/
加役 [かやく] /(n) temporary extra work/
加薬 [かやく] /(n) spices/seasoning/adding extra ingredients (med)/
加薬飯 [かやくめし] /(n) boiled rice mixed with vegetables and meat or fish/
加養 [かよう] /(n,vs) caring for the sick/taking care of oneself/
加里 [かり] /(ateji) (n) (1) (uk) (abbr) potassium/(2) (col) potash/
加留多 [かるた] /(ateji) (n) (uk) playing cards (por: carta)/card game/
加硫 [かりゅう] /(n,vs) vulcanizing (rubber)/
加硫法 [かりゅうほう] /(n) vulcanization/vulcanisation/
加療 [かりょう] /(n,vs) medical treatment/
加齢 [かれい] /(n,vs) adding to one's years/
加齢黄斑変性 [かれいおうはんへんせい] /(n) age-related macular degeneration/ARMD/
加齢黄斑変性症 [かれいおうはんへんせいしょう] /(n) age-related macular degeneration/ARMD/
加齢臭 [かれいしゅう] /(n) distinctive body odor (odour) of the middle-aged and elderly (caused by the chemical nonenal)/
加禄 [かろく] /(n) increase in a samurai's stipend/
可 [か] /(n,n-suf) passable/acceptable/tolerable/fair/(P)/
可い [べい] /(aux) (1) (uk) (arch) (ktb:) (thb:) word used at sentence-end (like a particle) to indicate speculation, volition or invitation/(2) should/must/
可からず [べからず] /(exp) must not/should not/do not/
可き [べき] /(aux) (1) (uk) should (suf. to verbs)/must/that one ought to/to be done/(2) (passive ending) -able/
可くして [べくして] /(suf,conj) (1) (uk) as it is bound to (happen)/following the natural course/(2) (uk) though possible as it may be/
可し [べし] /(suf) (uk) shall/should/must/
可とする [かとする] /(exp,vs-i) to approve (of)/to be in favor of/to be in favour of/
可の評点 [かのひょうてん] /(n) grade C/Passable/
可もなく不可もなし [かもなくふかもなし] /(exp) neither good nor bad/
可哀そう [かわいそう] /(adj-na,n) poor/pitiable/pathetic/pitiful/
可哀想 [かわいそう] /(iK) (adj-na,n) poor/pitiable/pathetic/pitiful/
可哀相 [かわいそう] /(adj-na,n) poor/pitiable/pathetic/pitiful/(P)/
可愛い [かわいい] /(ateji) (adj-i) (1) cute/adorable/charming/lovely/pretty/(2) dear/precious/darling/pet/(3) cute little/tiny/(P)/
可愛い [かわゆい] /(ateji) (ok) (adj-i) (1) cute/adorable/charming/lovely/pretty/(2) dear/precious/darling/pet/(3) cute little/tiny/
可愛い子には旅をさせよ [かわいいこにはたびをさせよ] /(exp) Spare the rod and spoil the child/
可愛がる [かわいがる] /(v5r) to love/to be affectionate/(P)/
可愛げ [かわいげ] /(n) charm of an innocent child/
可愛さ余って憎さ百倍 [かわいさあまってにくさひゃくばい] /(exp) (id) Excessive tenderness switches to hundredfold hatred/
可愛ゆい [かわゆい] /(ateji) (ok) (adj-i) (1) cute/adorable/charming/lovely/pretty/(2) dear/precious/darling/pet/(3) cute little/tiny/
可愛らしい [かわいらしい] /(adj-i) lovely/sweet/(P)/
可愛気 [かわいげ] /(n) loveliness/
可圧性 [かあつせい] /(n) compressibility/
可換環 [かかんかん] /(n) (math) commutative ring/
可換環論 [かかんかんろん] /(n) (math) commutative algebra/
可換群 [かかんぐん] /(n) (math) Abelian group/
可逆 [かぎゃく] /(n) reversible/
可逆カウンタ [かぎゃくカウンタ] /(n) (comp) counter/reversible counter/
可逆圧縮 [かぎゃくあっしゅく] /(n,adj-no) (comp) lossless compression/
可逆機関 [かぎゃくきかん] /(n) reversible engine/
可逆計数器 [かぎゃくけいすうき] /(n) (comp) reversible counter/
可逆性 [かぎゃくせい] /(n) reversibility/
可逆電池 [かぎゃくでんち] /(n) reversible cell/
可逆反応 [かぎゃくはんのう] /(n) reversible reaction/
可逆変化 [かぎゃくへんか] /(n,vs) reversible change/
可及的 [かきゅうてき] /(adj-na) as ... as possible/
可及的速やかに [かきゅうてきすみやかに] /(adv) as soon as possible/ASAP/
可決 [かけつ] /(n,vs) approval/adoption (e.g. motion, bill)/passage/(P)/
可算 [かさん] /(n,adj-no) (ling) (abbr) countable/
可算集合 [かさんしゅうごう] /(n) countable set/
可算名詞 [かさんめいし] /(n) (ling) countable noun/
可視 [かし] /(n,adj-no) visibility/
可視化 [かしか] /(n,vs) (1) visualization (data, results, etc.)/visualisation/(2) making something visible (that was previously unseen)/
可視化順序 [かしかじゅんじょ] /(n) (comp) imaging order/
可視化処理 [かしかしょり] /(n) (comp) imaging process/
可視光線 [かしこうせん] /(n,adj-no) visible ray/
可視光望遠鏡 [かしこうぼうえんきょう] /(n) optical telescope/
可住地 [かじゅうち] /(n) habitable area/inhabitable land/
可祝 [かしく] /(exp) (uk) (fem) yours sincerely (used to sign off on letters)/respectfully yours/
可処分 [かしょぶん] /(n,adj-no) disposable/
可処分所得 [かしょぶんしょとく] /(n) disposable income/disposable personal income/DPI/
可笑しい [おかしい] /(adj-i) (1) (uk) funny/amusing/comical/laughable/ridiculous/(2) (uk) strange/odd/funny/peculiar/weird/unusual/eccentric/(3) (uk) improper/unsuitable/unbecoming/(4) (uk) suspicious/(P)/
可笑しがる [おかしがる] /(v5r) to be amused (by, at)/to wonder at/
可笑しな [おかしな] /(adj-pn) ridiculous/odd/(P)/
可成 [かなり] /(adj-na,adv) (uk) considerably/fairly/quite/
可惜 [あたら] /(adj-pn) alas/regrettably/
可惜 [あったら] /(adj-pn) alas/regrettably/
可惜身命 [あたらしんみょう] /(n) valuing one's body and life/holding one's life dear/
可塑 [かそ] /(n) plastic/
可塑剤 [かそざい] /(n) plasticizer/plasticiser/
可塑材 [かそざい] /(n) plastic material/
可塑性 [かそせい] /(n) plasticity/
可塑性物質 [かそせいぶっしつ] /(n) plastic materials/
可塑物 [かそぶつ] /(n) plastics/
可塑物質 [かそぶっしつ] /(n) plastics/
可鍛性 [かたんせい] /(n) malleability/
可鍛鋳鉄 [かたんちゅうてつ] /(n) malleable cast iron/
可鍛鉄 [かたんてつ] /(n) malleable iron/
可聴 [かちょう] /(adj-na,n) audible/
可聴距離 [かちょうきょり] /(n) audible distance/
可聴周波数 [かちょうしゅうはすう] /(n) (comp) AF/Audio Frequency/
可聴度 [かちょうど] /(n) audibility/
可動 [かどう] /(n,adj-no) mobile/moveable/
可動コイル形 [かどうコイルがた] /(n,adj-no) moving-coil/
可動堰 [かどうぜき] /(n) canal gates/river gates/
可動橋 [かどうきょう] /(n) movable bridge/
可動性 [かどうせい] /(n) mobility/
可動役物 [かどうやくもの] /(n) (obsc) moving gadget on a pachinko machine designed to add excitement to play/
可読 [かどく] /(adj-na,n) readable/
可読性 [かどくせい] /(n) readability/legibility/
可燃 [かねん] /(adj-no,n) inflammable/flammable/combustible/burnable/
可燃性 [かねんせい] /(n) (1) combustibility/(adj-no) (2) combustible/(P)/
可燃物 [かねんぶつ] /(n) combustibles/inflammables/flammables/burnables/(P)/
可能 [かのう] /(adj-na,n) possible/practicable/feasible/(P)/
可能であれば [かのうであれば] /(exp) if possible/
可能な文法 [かのうなぶんぽう] /(n) possible grammar/
可能形 [かのうけい] /(n) (ling) potential form/
可能世界モデル [かのうせかいモデル] /(n) possible-world model/
可能性 [かのうせい] /(n) potentiality/likelihood/possibility/availability/(P)/
可能性が高い [かのうせいがたかい] /(exp,adj-i) very likely/very probable/(P)/
可能性が低い [かのうせいがひくい] /(exp,adj-i) unlikely/improbable/
可能性の高い [かのうせいのたかい] /(exp,adj-i) very likely/very probable/
可能性の低い [かのうせいのひくい] /(exp,adj-i) unlikely/improbable/
可能性を秘める [かのうせいをひめる] /(exp,v1) have (a) potential for .../have it in one to do/
可能選択 [かのうせんたく] /(n) available choice/
可能態 [かのうたい] /(n) dunamis/
可能動詞 [かのうどうし] /(n) (ling) potential verb/
可能法 [かのうほう] /(n) potential mood/
可搬型 [かはんがた] /(n,adj-no) (comp) portable/
可搬式 [かはんしき] /(n) portable/
可搬性 [かはんせい] /(n) portability/
可否 [かひ] /(n,adj-no) (1) propriety/right and wrong/advisability/(2) pro and con/ayes and noes/(P)/
可否を採る [かひをとる] /(exp,v5r) to take the ayes and noes/
可謬主義 [かびゅうしゅぎ] /(n) fallibilism/
可付番集合 [かふばんしゅうごう] /(n) (obsc) denumerable set/countable set/
可分 [かぶん] /(n) divisible/separable/
可分性 [かぶんせい] /(n) divisibility/
可変 [かへん] /(adj-na,n,adj-no) variable/changeable/convertible/controllable/
可変コンデンサー [かへんコンデンサー] /(n) variable condenser/
可変ビットレート [かへんビットレート] /(n) (comp) variable bit rate/VBR/
可変ピッチプロペラ [かへんピッチプロペラ] /(n) variable pitch propeller/
可変関数発生器 [かへんかんすうはっせいき] /(n) (comp) variable function generator/
可変資本 [かへんしほん] /(n) variable capital/
可変字送り [かへんじおくり] /(n) (comp) variable spacing/
可変小数点表示法 [かへんしょうすうてんひょうじほう] /(n) (comp) variable-point representation system/
可変数 [かへんすう] /(n) variable number/
可変性 [かへんせい] /(adj-na) versatile/
可変長 [かへんちょう] /(n) variable length/
可変長レコード [かへんちょうレコード] /(n) (comp) variable length record/
可変抵抗器 [かへんていこうき] /(n) rheostat/
可変反復データ項目 [かへんはんぷくデータこうもく] /(n) (comp) variable occurrence data item/
可変費用 [かへんひよう] /(n) variable cost/
可変部 [かへんぶ] /(n) (comp) variant part/
可変変圧器 [かへんへんあつき] /(n) variable transformer/
可変翼 [かへんよく] /(n) variable wing (of an aircraft)/
可膨張式 [かぼうちょうしき] /(n) inflatable (in the sense of "can be inflated")/
可也 [かなり] /(adj-na,adv) (uk) considerably/fairly/quite/(P)/
可融合金 [かゆうごうきん] /(n) fusible alloy/
可溶 [かよう] /(adj-na,n) soluble/solubilizing/solubilising/
可溶性 [かようせい] /(n) solubility/
可溶片 [かようへん] /(n) fuse/
可用 [かよう] /(n) available/in service/
可用時間 [かようじかん] /(n) (comp) available time/
可用性 [かようせい] /(n) availability/
可用率 [かようりつ] /(n) (comp) availability ratio/
可憐 [かれん] /(adj-na,n) poor/pitiful/cute/sweet/lovely/
可撓 [かとう] /(n) flexible/
可鎔性 [かようせい] /(n) fusibility/
可鎔片 [かようへん] /(n) fuse/
嘉永 [かえい] /(n) Kaei era (1848.2.28-1854.11.27)/
嘉応 [かおう] /(n) Kaou era (1169.4.8-1171.4.21)/
嘉吉 [かきつ] /(n) Kakitsu era (1441.2.17-1444.2.5)/
嘉慶 [かきょう] /(n) (obsc) Kakyou era, Kakei era (of the Northern Court) (1387.8.23-1389.2.9)/
嘉慶 [かけい] /(n) Kakei era (of the Northern Court) (1387.8.23-1389.2.9)/
嘉月 [かげつ] /(n) third lunar month/
嘉元 [かげん] /(n) Kagen era (1303.8.5-1306.12.14)/
嘉言 [かげん] /(n) wise saying/
嘉言善行 [かげんぜんこう] /(n) good words and good deeds/
嘉肴 [かこう] /(n) delicacy/rare treat/good-eating fish/
嘉承 [かしょう] /(n) Kashou era (1106.4.9-1108.8.3)/
嘉祥 [かしょう] /(n) Kashou era (848.6.13-851.4.28)/
嘉賞 [かしょう] /(n,vs) approval/
嘉節 [かせつ] /(n) auspicious occasion/
嘉辰 [かしん] /(n) lucky day/auspicious occasion/happy day/
嘉禎 [かてい] /(n) Katei era (1235.9.19-1238.11.23)/
嘉日 [かじつ] /(n) good day/auspicious occasion/
嘉納 [かのう] /(n,vs) accepting with pleasure/
嘉保 [かほう] /(n) Kahou era (1094.12.15-1096.12.17)/
嘉木 [かぼく] /(n) beautiful trees/
嘉留太 [かるた] /(ateji) (n) (uk) playing cards (por: carta)/card game/
嘉例 [かれい] /(n) happy precedent/
嘉暦 [かりゃく] /(n) Karyaku era (1326.4.26-1329.8.29)/
嘉禄 [かろく] /(n) Karoku era (1225.4.20-1227.12.10)/
夏 [か] /(n) Xia (dynasty of China; perhaps mythological)/
夏 [げ] /(n) (Buddh) summer (on the lunisolar calendar: 16th day of the 4th month to the 15th day of the 7th month)/
夏 [なつ] /(n-adv,n-t) summer/(P)/
夏い [なつい] /(adj-i) (col) blisteringly hot/relentlessly hot/scorching/
夏の月 [なつのつき] /(exp,n) the (cool) summer moon/
夏ばて [なつばて] /(n,vs) suffering from summer heat/summer heat fatigue/(P)/
夏めく [なつめく] /(v5k,vi) to become summerly/to become like summer/
夏バテ [なつバテ] /(n,vs) suffering from summer heat/summer heat fatigue/
夏安居 [げあんご] /(n) (Buddh) summer retreat where monks stay in the same place to study/
夏衣 [なつごろも] /(n) summer clothes/
夏羽織 [なつばおり] /(n) summer haori (coat)/
夏雲 [かうん] /(n) summer cloud/summer clouds/
夏雲 [なつぐも] /(n) summer cloud/summer clouds/
夏越し [なつごし] /(n) keeping over the summer/
夏越しの祓 [なごしのはらえ] /(n) summer purification rites (held at shrines on the last day of the 6th lunar month)/
夏越の祓 [なごしのはらえ] /(n) summer purification rites (held at shrines on the last day of the 6th lunar month)/
夏掛け [なつがけ] /(n,adj-no) summer-use futon/
夏官 [かかん] /(n) Ministry of War (Zhou-dynasty China)/
夏柑 [なつかん] /(n) Chinese citron (Citrus natsudaidai)/
夏館 [なつやかた] /(n) villa arranged appropriately for summer/mansion arranged appropriately for summer/
夏期 [かき] /(n,adj-no) summer season/(P)/
夏期学校 [かきがっこう] /(n) summer school/
夏期休暇 [かききゅうか] /(n) summer vacation/summer holidays/
夏期時間 [かきじかん] /(n) daylight-saving time/
夏期大学 [かきだいがく] /(n) university summer school/college summer school/
夏季 [かき] /(n,adj-no) summer season/(P)/
夏季 [なつき] /(n,adj-no) summer season/
夏季オリンピック [かきオリンピック] /(n) Summer Olympics/
夏季休暇 [かききゅうか] /(n) summer vacation/
夏季熱 [かきねつ] /(n) summer fever/
夏季料金 [かきりょうきん] /(n) summer rate/
夏菊 [なつぎく] /(n) early chrysanthemums/
夏休み [なつやすみ] /(n) summer vacation/summer holiday/(P)/
夏枯れ [なつがれ] /(n,vs) summer slump/
夏胡頽子 [なつぐみ] /(n) (uk) goumi (species of oleaster, Elaeagnus multiflora)/cherry silverberry/
夏向 [なつむき] /(n) for summer/
夏向き [なつむき] /(n) for summer/
夏座敷 [なつざしき] /(n) room arranged for the summer (by removing screens and doors to improve air flow)/
夏祭 [なつまつり] /(n) summer festival/
夏祭り [なつまつり] /(n) summer festival/
夏作 [なつさく] /(n) crops planted in summer/
夏山 [なつやま] /(n) (1) summery mountain/(2) mountain that is often climbed in summer/
夏山冬里 [なつやまふゆさと] /(n) pasturing cattle in summer and feeding them indoors during winter/rotated grazing/
夏山冬里方式 [なつやまふゆさとほうしき] /(n) rotated grazing/
夏蚕 [なつご] /(n) summer silkworms/
夏至 [げし] /(n,adj-no) summer solstice/(P)/
夏至祭 [げしさい] /(n) Midsummer/midsummer festivities/midsummer feast/
夏至線 [げしせん] /(n) Tropic of Cancer/
夏至点 [げしてん] /(n) summer solstitial point/
夏時 [かじ] /(n-t) summertime/
夏時 [なつどき] /(n-t) summertime/
夏時間 [なつじかん] /(n) daylight savings time/summer time/(P)/
夏時刻 [なつじこく] /(n) daylight-saving time/
夏芝居 [なつしばい] /(n) summer play/
夏初月 [なつはづき] /(n) 4th month of the lunar calendar/
夏場 [なつば] /(n) summertime/(P)/
夏場所 [なつばしょ] /(n) summer (May) sumo tournament, held in Tokyo/(P)/
夏水仙 [なつずいせん] /(n) belladonnalily/
夏蝉 [なつぜみ] /(n) summer cicadas/
夏前に [なつまえに] /(adv) before summer/
夏痩 [なつやせ] /(n,vs) summer loss of weight/
夏痩せ [なつやせ] /(n,vs) summer loss of weight/
夏草 [なつくさ] /(n) summer grass/
夏草 [なつぐさ] /(n) summer grass/
夏大根 [なつだいこん] /(n) summer daikon/
夏端月 [なつはづき] /(n) 4th month of the lunar calendar/
夏着 [なつぎ] /(n) summer clothes/
夏中 [げちゅう] /(n) (Buddh) period during which monks may go into a summer retreat/
夏中 [なつじゅう] /(n) whole summer/summer long/
夏虫 [なつむし] /(n) summer insect/summer insects/
夏鳥 [なつどり] /(n) a bird of summer/
夏椿 [なつつばき] /(n) (uk) Japanese stewartia (Stewartia pseudocamellia)/
夏日 [かじつ] /(n) summer day/
夏日 [なつび] /(n) summer's day/
夏櫨 [なつはぜ] /(n) (uk) oldham blueberry (Vaccinium oldhamii)/
夏布団 [なつぶとん] /(n) summer bedclothes/
夏負け [なつまけ] /(n,vs) suffering from summer heat/
夏風邪 [なつかぜ] /(n) summer cold (illness)/
夏服 [なつふく] /(n) summer clothing/
夏物 [なつもの] /(n) summer goods/(P)/
夏帽子 [なつぼうし] /(n) summer hat/straw hat/
夏蜜柑 [なつみかん] /(n) Chinese citron (Citrus natsudaidai)/bitter summer orange (mandarin)/
夏眠 [かみん] /(n,vs) estivation/
夏霧 [なつぎり] /(n) summer fog/summer mist/
夏木立 [なつこだち] /(n) grove in summer/
夏野 [なつの] /(n) summer fields/
夏緑樹林 [かりょくじゅりん] /(n) summer green forest/
夏炉冬扇 [かろとうせん] /(n) summer fires and winter fans/useless things/
夏茱萸 [なつぐみ] /(n) (uk) goumi (species of oleaster, Elaeagnus multiflora)/cherry silverberry/
嫁 [よめ] /(n) (1) wife/bride/(2) (one's) daughter-in-law/(P)/
嫁いびり [よめいびり] /(n) bullying a young wife/
嫁が笠 [よめがかさ] /(n) (uk) (col) Cellana toreuma (species of limpet)/
嫁が笠貝 [よめがかさがい] /(n) (uk) Cellana toreuma (species of limpet)/
嫁が君 [よめがきみ] /(n) mouse (euphemism used during the first three days of the year)/
嫁き遅れ [いきおくれ] /(n,adj-no) woman who missed the chance of getting married (because one is too old)/
嫁ぎ先 [とつぎさき] /(n) family a woman has married into/
嫁ぐ [とつぐ] /(v5g,vi) to marry/(P)/
嫁さん [よめさん] /(n) (col) wife/
嫁す [かす] /(v5s) (1) to wed/to be married/(2) to shift blame to someone else/
嫁する [かする] /(vs-s) (1) to wed/to be married/(2) to shift blame to someone else/
嫁に行き遅れる [よめにいきおくれる] /(exp,v1) to be (too) late getting married/
嫁に行く [よめにいく] /(exp,v5k-s) to marry/to wed/
嫁に行く [よめにゆく] /(exp,v5k-s) to marry/to wed/
嫁はん [よめはん] /(n) (ksb:) wife/
嫁笠 [よめがかさ] /(n) (uk) (col) Cellana toreuma (species of limpet)/
嫁笠貝 [よめがかさがい] /(n) (uk) Cellana toreuma (species of limpet)/
嫁御 [よめご] /(n) bride/
嫁菜 [よめな] /(n) aster/
嫁取り [よめとり] /(n,vs) taking a wife/
嫁入 [よめいり] /(io) (n,vs) marriage/wedding/
嫁入り [よめいり] /(n,vs) marriage/wedding/(P)/
嫁入り支度 [よめいりじたく] /(n) wedding preparations/
嫁入り道具 [よめいりどうぐ] /(n) trousseau/
嫁入り道中 [よめいりどうちゅう] /(n) nuptial procession/
嫁入る [よめいる] /(v5r,vt) to wed/to marry a man/
嫁入道中 [よめいりどうちゅう] /(n) nuptial procession/
家 [いえ] /(n) (1) house/residence/dwelling/(2) family/household/(3) lineage/family name/(P)/
家 [うち] /(n,adj-no) (1) house/home (one's own)/(pn,adj-no) (2) (one's) family/(one's) household/(P)/
家 [か] /(suf) -ist (used after a noun indicating someone's occupation, pursuits, disposition, etc.)/-er/
家 [け] /(suf) house (e.g. of Tokugawa)/family/(P)/
家 [ち] /(n,adj-no) (1) house/home (one's own)/(pn,adj-no) (2) (one's) family/(one's) household/
家 [や] /(suf) (1) (something) shop/(2) somebody who sells (something) or works as (something)/(3) somebody with a (certain) personality trait/(n) (4) house/(5) roof/
家 [んち] /(exp) (uk) (abbr) 's house/'s home/
家々 [いえいえ] /(n) every house or family/
家じゅう [いえじゅう] /(n) (1) whole family/all (members of) family/(2) all over the house/
家じゅう [うちじゅう] /(n) (1) whole family/all (members of) family/(2) all over the house/
家だに [いえだに] /(n) rat mite/
家なき子 [いえなきこ] /(n) (arch) homeless child/
家に還る [いえにかえる] /(exp,v1) to come back home/to go back home/
家に帰る [いえにかえる] /(exp,v1) to come back home/to go back home/
家に帰る時 [いえにかえるとき] /(n) when returning home/
家の外 [いえのそと] /(n) outside the house/
家の向き [いえのむき] /(n) aspect of a house/
家の子郎党 [いえのころうとう] /(n) followers/adherents/
家の人 [うちのひと] /(n) my husband/one's family/
家の辺りに [いえのあたりに] /(adv) around the house/
家の裏 [いえのうら] /(n) back of the house/
家を興す [いえをおこす] /(exp,v5s) to raise the reputation of one's family/to found a house/
家を継ぐ [いえをつぐ] /(exp,v5g) to succeed to a house/
家を建てる [いえをたてる] /(exp,v1) to build a house/
家を畳む [いえをたたむ] /(exp,v5m) to shut up one's house/
家ダニ [いえダニ] /(n) rat mite/
家飲み [いえのみ] /(n) (sl) drinking at home (as opposed to going out)/
家運 [かうん] /(n) family fortunes/
家屋 [かおく] /(n) house/building/(P)/
家屋税 [かおくぜい] /(n) house tax/
家屋台帳 [かおくだいちょう] /(n) house or housing registry/
家屋敷 [いえやしき] /(n) estate/homestead/house and land (it stands on)/messuage/
家家 [いえいえ] /(n) every house or family/
家蚊 [いえか] /(n) common house mosquito and others belonging to the genus Culex/
家格 [かかく] /(n) family status/
家学 [かがく] /(n) hereditary learning/
家鴨 [あひる] /(n) domestic duck/
家居 [いえい] /(n,vs) staying at home/
家居 [かきょ] /(n,vs) staying at home/
家教 [かきょう] /(n) (abbr) tutor/
家郷 [かきょう] /(n) one's homeland/one's old home/
家業 [かぎょう] /(n) one's father's occupation/(P)/
家禽 [かきん] /(n) poultry/fowls/
家禽コレラ [かきんコレラ] /(n) fowl cholera/
家禽ペスト [かきんペスト] /(n) fowl pest/
家禽類 [かきんるい] /(n) domestic poultry/
家筋 [いえすじ] /(n) lineage/pedigree/family line/
家具 [かぐ] /(n) furniture/(P)/
家具つき [かぐつき] /(adj-no) furnished (apartment, etc.)/
家具屋 [かぐや] /(n) furniture store/furniture dealer/
家具調度 [かぐちょうど] /(n) household furnishings/
家具等 [かぐとう] /(n) furniture and the like/
家具付き [かぐつき] /(adj-no) furnished (apartment, etc.)/
家君 [いえぎみ] /(n) head of the house/
家君 [かくん] /(n) head of the house/
家訓 [かきん] /(n) family precepts/
家訓 [かくん] /(n) family precepts/
家兄 [かけい] /(n) (my) elder brother/
家系 [かけい] /(n) family lineage/(P)/
家系図 [かけいず] /(n) family tree/
家系伝説 [かけいでんせつ] /(n) family legend/
家計 [かけい] /(n) household economy/family finances/(P)/
家計の助け [かけいのたすけ] /(exp) assistance in supporting a family/
家計の扶け [かけいのたすけ] /(exp) assistance in supporting a family/
家計を締める [かけいをしめる] /(exp,v1) to economize in the household/to economise in the household/
家計費 [かけいひ] /(n) household expenses/
家計簿 [かけいぼ] /(n) household account book/(P)/
家憲 [かけん] /(n) family constitution/
家犬 [いえいぬ] /(n) domestic dog (carnivore, Canis (lupus) familiaris)/
家元 [いえもと] /(n) head of a school (of music, dance)/head family of a school/(P)/
家構え [いえがまえ] /(n) appearance or style of a house/
家根 [やね] /(n) roof/
家裁 [かさい] /(n) family court/(P)/
家財 [かざい] /(n) (1) household belongings/household goods/(2) family fortune/family assets/(P)/
家財一切 [かざいいっさい] /(n) complete set of household goods/
家作 [かさく] /(n) making house/house for rent/
家産 [かさん] /(n) family property/
家蚕 [かさん] /(n) domesticated silkworm/
家司 [いえづかさ] /(n) (1) steward in charge of the affairs of nobles of the third rank and higher (from the middle of the Heian period)/(2) administrative position (Kamakura and Muromachi periods)/
家司 [けいし] /(n) (1) steward in charge of the affairs of nobles of the third rank and higher (from the middle of the Heian period)/(2) administrative position (Kamakura and Muromachi periods)/
家司 [けし] /(n) (1) steward in charge of the affairs of nobles of the third rank and higher (from the middle of the Heian period)/(2) administrative position (Kamakura and Muromachi periods)/
家事 [かじ] /(n) (1) housework/domestic chores/(2) family affairs/household matters/(P)/
家事一切 [かじいっさい] /(n) all the domestic (housekeeping) chores/
家事見習 [かじみならい] /(n) apprenticeship in the running of a household/prospective bride who undertakes an apprenticeship to learn housekeeping/
家事見習い [かじみならい] /(n) apprenticeship in the running of a household/prospective bride who undertakes an apprenticeship to learn housekeeping/
家事手伝い [かじてつだい] /(n) domestic help/domestic helper/domestic servant/maid/
家事都合 [かじつごう] /(n) family reasons/personal reasons/
家事労働 [かじろうどう] /(n) housework/
家持ち [いえもち] /(n) homeowner/head of a household/
家主 [いえぬし] /(n) landlord/
家主 [やぬし] /(n) landlord/(P)/
家守 [やもり] /(n) (uk) gecko/house lizard/
家集 [かしゅう] /(n) poet's poetical works/
家什 [かじゅう] /(n) furniture/fixtures/
家従 [かじゅう] /(n) steward/butler/attendant/
家塾 [かじゅく] /(n) (historical) government-backed school operated by a scholar out of his home/
家出 [いえで] /(n,vs) running away from home/leaving home/(P)/
家出少女 [いえでしょうじょ] /(n) runaway girl/
家書 [かしょ] /(n) letter from home/
家常 [かじょう] /(n) family custom/
家常茶飯 [かじょうさはん] /(n) everyday occurrence/commonplace of life/nothing out of the ordinary/
家職 [かしょく] /(n) one's trade or profession/
家信 [かしん] /(n) word from home/
家臣 [かしん] /(n,adj-no) vassal/retainer/
家人 [かじん] /(n) the family/one's folks/(P)/
家人 [けにん] /(n) retainer/
家政 [かせい] /(n,adj-no) household economy/(P)/
家政科 [かせいか] /(n) a home economics course/
家政学 [かせいがく] /(n) home economics/domestic science/
家政婦 [かせいふ] /(n) housekeeper/maid/(P)/
家声 [かせい] /(n) honour of the family/honor of the family/
家捜し [やさがし] /(n,vs) house-hunting/
家相 [かそう] /(n) construction of a house (divination term)/
家蔵 [かぞう] /(n,vs) household possessions/
家族 [かぞく] /(n,adj-no) family/members of a family/(P)/
家族意識 [かぞくいしき] /(n) sense of family/
家族会 [かぞくかい] /(n) family association/association of families/
家族会議 [かぞくかいぎ] /(n) family council/
家族計画 [かぞくけいかく] /(n) family planning/(P)/
家族構成 [かぞくこうせい] /(n) family structure/
家族持ち [かぞくもち] /(n) person with a family/family man/
家族主義 [かぞくしゅぎ] /(n,adj-no) familism/the treatment of society (an organization) as a family/
家族手当 [かぞくてあて] /(n) a family allowance/
家族制度 [かぞくせいど] /(n) a family system/
家族性 [かぞくせい] /(n,adj-no) familial/
家族滞在 [かぞくたいざい] /(n) dependent (e.g. in a family)/
家族達 [かぞくたち] /(n) family members/
家族団欒 [かぞくだんらん] /(n,vs) happy family circle/sitting in a family circle and enjoying conversation/harmony in a family/
家族的な雰囲気 [かぞくてきなふんいき] /(n) family atmosphere/
家族同然 [かぞくどうぜん] /(n) (like a) part of the family/
家族別総当り [かぞくべつそうあたり] /(n) rule prohibiting match-ups between sumo wrestlers from the same family/
家族法 [かぞくほう] /(n) law governing rights within families/
家族旅行 [かぞくりょこう] /(n) family vacation/family trip/
家族療法 [かぞくりょうほう] /(n) family therapy/
家族連れ [かぞくづれ] /(n) taking the family along/
家続き [いえつづき] /(n) row of houses/
家台 [やたい] /(iK) (n) (1) cart (esp. a food cart)/stall/stand/(2) festival float/portable shrine dedicated to a god and shaped like a house/dancing platform/(3) stage prop fashioned after a large building/(4) (abbr) framework (of a house, etc.)/(5) (arch) house (esp. a small and miserable house)/
家宅 [かたく] /(n) domicile/premises/(P)/
家宅侵入罪 [かたくしんにゅうざい] /(n) (crime of) trespassing/housebreaking/
家宅捜査 [かたくそうさ] /(n) (col) premises search/household search/
家宅捜索 [かたくそうさく] /(n) premises search/household search/
家宅捜索令状 [かたくそうさくれいじょう] /(n) search warrant/
家探し [やさがし] /(n,vs) house-hunting/
家畜 [かちく] /(n) domestic animals/livestock/cattle/(P)/
家畜囲い [かちくかこい] /(n) cattle pen/
家畜化 [かちくか] /(n,vs) domestication/
家畜商 [かちくしょう] /(n) domestic livestock dealer/
家畜登録 [かちくとうろく] /(n) registration of livestock/
家中 [いえじゅう] /(n) (1) whole family/all (members of) family/(2) all over the house/
家中 [うちじゅう] /(n) (1) whole family/all (members of) family/(2) all over the house/
家中 [かちゅう] /(n) (1) whole family/all (members of) family/(2) all over the house/
家長 [かちょう] /(n,adj-no) patriarch/family head/
家長権 [かちょうけん] /(n) patriarchal right/
家長制度 [かちょうせいど] /(n) patriarchal system/
家賃 [やちん] /(n) rent/(P)/
家賃が高い [やちんがたかい] /(exp) (1) expensive to rent/(2) sumo wrestler ranked too high for his abilities/
家賃を溜める [やちんをためる] /(exp,v1) to let the rent fall into arrears/
家庭 [かてい] /(n,adj-no) home/family/household/(P)/
家庭を顧みない [かていをかえりみない] /(exp,adj-i) thinking little of one's family/
家庭を持つ [かていをもつ] /(exp,v5t) to have a family (e.g. wife or husband and children)/to raise a family/
家庭医 [かていい] /(n) family doctor/
家庭円満 [かていえんまん] /(n) family happiness/household harmony/
家庭科 [かていか] /(n) home economics/(P)/
家庭環境 [かていかんきょう] /(n) one's family (home) background (environment)/
家庭看護 [かていかんご] /(n) home nursing/
家庭教育 [かていきょういく] /(n) home education/
家庭教師 [かていきょうし] /(n) tutor/coach/(P)/
家庭劇 [かていげき] /(n) soap opera/
家庭菜園 [かていさいえん] /(n) kitchen garden/
家庭裁判所 [かていさいばんしょ] /(n) family court/
家庭裁判所調査官 [かていさいばんしょちょうさかん] /(n) family court probation officer/
家庭生活 [かていせいかつ] /(n) home (family, domestic) life/
家庭争議 [かていそうぎ] /(n) domestic dispute/family trouble/
家庭着 [かていぎ] /(n) housedress/
家庭的 [かていてき] /(adj-na,n) family-oriented/familial/
家庭電気器具 [かていでんききぐ] /(n) household electric appliances/
家庭内 [かていない] /(n) domestic/in the family/(P)/
家庭内暴力 [かていないぼうりょく] /(n) household violence/domestic violence/
家庭訪問 [かていほうもん] /(n) home visitation (esp. a teacher visiting a student's home)/home visit/house call/
家庭優先 [かていゆうせん] /(n) giving one's family life priority over one's work/
家庭用 [かていよう] /(n) for home (vs business) use/residential use/family use/
家庭用品 [かていようひん] /(n) household articles/
家庭欄 [かていらん] /(n) family column (newspaper)/
家庭料理 [かていりょうり] /(n,adj-no) home cooking/
家伝 [かでん] /(n,adj-no) family history (tradition)/
家電 [いえでん] /(n) (sl) home telephone/
家電 [かでん] /(n) consumer electronics/consumer electrical appliances/(P)/
家電製品 [かでんせいひん] /(n) consumer electronics/home appliances/
家兎 [かと] /(n) tame rabbit/
家督 [かとく] /(n) family headship/inheritance/
家督相続 [かとくそうぞく] /(n) inheritance/succession to family headship/
家内 [かない] /(n) (1) (hum) (my) wife/(2) inside the home/one's family/(P)/
家内 [やうち] /(ok) (n) (1) inside the home/one's family/
家内安全 [かないあんぜん] /(n) safety (well-being) of one's family/peace and prosperity in the household/
家内一同 [かないいちどう] /(n) all one's family/one's whole family/
家内工業 [かないこうぎょう] /(n) household or cottage industry/
家猫 [いえねこ] /(n) domesticated cat/
家蝿 [いえばえ] /(n) (uk) housefly (Musca domestica)/house fly/
家白蟻 [いえしろあり] /(n) (uk) Formosan subterranean termite (Coptotermes formosanus)/
家鳩 [いえばと] /(n) domestic pigeon/feral pigeon/
家付き [いえつき] /(n) attached or belonging to a house/
家付きの娘 [いえつきのむすめ] /(n) daughter of the home/unmarried woman who owns (the future rights to) a home/
家付き娘 [いえつきむすめ] /(n) daughter of the home/unmarried woman who owns (the future rights to) a home/
家付娘 [いえつきむすめ] /(n) daughter of the home/unmarried woman who owns (the future rights to) a home/
家扶 [かふ] /(n) steward/
家父 [かふ] /(n) one's father/
家父長制 [かふちょうせい] /(n) patriarchal authority/
家父入 [やぶいり] /(n) (arch) holiday granted to servants on the 16th of the first and seventh months/
家譜 [かふ] /(n) pedigree/genealogy/
家風 [かふう] /(n) family tradition/
家柄 [いえがら] /(n) parentage/pedigree/good family/(P)/
家柄差別 [いえがらさべつ] /(n) discrimination by birth or rank/
家並 [いえなみ] /(n) row of houses/every door/
家並 [やなみ] /(n) row of houses/every door/
家並み [いえなみ] /(n) row of houses/every door/
家並み [やなみ] /(n) row of houses/every door/
家壁蝨 [いえだに] /(n) rat mite/
家宝 [かほう] /(n) heirloom/
家法 [かほう] /(n) family code/
家僕 [かぼく] /(n) houseboy/manservant/
家務 [かむ] /(n) (1) family affairs/family business/(2) steward in charge of the affairs of a samurai family (middle ages)/
家名 [かめい] /(n) (1) family name/house name/(2) family honour/family honor/
家鳴り [やなり] /(n,vs) rattling of a house/
家紋 [かもん] /(n) family crest/
家門 [かもん] /(n) one's family or clan/
家来 [けらい] /(n) retainer/retinue/servant/(P)/
家頼 [けらい] /(n) retainer/retinue/servant/
家令 [かれい] /(n) steward/butler/
家例 [かれい] /(n) family custom/
家礼 [けらい] /(n) retainer/retinue/servant/
家路 [いえじ] /(n) the road home/
家老 [かろう] /(n) chief retainer/daimyo's minister/
家禄 [かろく] /(n) (historical) hereditary stipend/
家蝙蝠 [いえこうもり] /(n) (uk) Japanese house bat (Pipistrellus abramus)/
家蠅 [いえばえ] /(n) (uk) housefly (Musca domestica)/house fly/
寡 [やもめ] /(n) widow/
寡い [すくない] /(adj-i) few/a little/scarce/insufficient/seldom/
寡居 [かきょ] /(n,vs) widowhood/
寡言 [かげん] /(n) reticence/taciturnity/
寡作 [かさく] /(adj-na,n) low production/
寡少 [かしょう] /(adj-na,n,adj-no) little/few/scanty/
寡人 [かじん] /(exp) my humble self/
寡勢 [かぜい] /(n) small military force/numerically inferior force/
寡占 [かせん] /(n,adj-no) oligopoly/(P)/
寡男 [やもお] /(n) widower/
寡頭制 [かとうせい] /(n) oligarchy/
寡頭政治 [かとうせいじ] /(n) oligarchy/
寡夫 [かふ] /(n) widower/
寡婦 [かふ] /(n) widow/(P)/
寡婦 [やもめ] /(n) widow/
寡婦暮らし [やもめぐらし] /(n) widowhood/widowerhood/viduity/
寡聞 [かぶん] /(adj-na,n) limited information/
寡兵 [かへい] /(n) small army force/
寡暮し [やもめぐらし] /(n) widowhood/widowerhood/viduity/
寡暮らし [やもめぐらし] /(n) widowhood/widowerhood/viduity/
寡黙 [かもく] /(adj-na) silent (person)/shy/taciturn/reticent/uncommunicative/(P)/
寡慾 [かよく] /(n) wanting little/
寡欲 [かよく] /(adj-na,n) unselfishness/
科 [か] /(n,n-suf) (1) department/section/(2) (taxonomical) family/(P)/
科 [しな] /(n) (1) (uk) flirtatiousness/coquetry/
科 [とが] /(n) (1) (uk) error/mistake/fault/(2) (uk) sin/wrongdoing/offense/
科す [かす] /(v5s) to inflict/to impose (a fine, etc.)/
科する [かする] /(vs-s) to inflict/to impose (a fine, etc.)/(P)/
科の木 [しなのき] /(n) (uk) Japanese linden (Tilia japonica)/
科を作る [しなをつくる] /(exp,v5r) to put on coquettish airs/to act flirtatiously/to act kittenish/
科学 [かがく] /(n) science/(P)/
科学院 [かがくいん] /(n) science institute/
科学映画 [かがくえいが] /(n) science film/
科学革命 [かがくかくめい] /(n) scientific revolution/
科学観測衛星 [かがくかんそくえいせい] /(n) scientific research satellite/
科学技術 [かがくぎじゅつ] /(n,adj-no) (1) science and technology/(2) scientific technique/
科学技術計算 [かがくぎじゅつけいさん] /(n) (comp) scientific computing/
科学技術政策担当大臣 [かがくぎじゅつせいさくたんとうだいじん] /(n) State Minister in Charge of Science and Technology Policy/
科学技術庁 [かがくぎじゅつちょう] /(n) Science and Technology Agency/(P)/
科学技術庁長官 [かがくぎじゅつちょうちょうかん] /(n) Director General of Science and Technology Agency/
科学技術倫理 [かがくぎじゅつりんり] /(n) ethics of science and technology/
科学研究 [かがくけんきゅう] /(n) scientific research/
科学雑誌 [かがくざっし] /(n) science magazine/
科学史 [かがくし] /(n) history of science/
科学思想 [かがくしそう] /(n) scientific thought/
科学実験 [かがくじっけん] /(n) scientific experiment/
科学者 [かがくしゃ] /(n) scientist/(P)/
科学主義 [かがくしゅぎ] /(n) scientism/
科学捜査 [かがくそうさ] /(n) scientific crime detection/
科学捜査研究 [かがくそうさけんきゅう] /(n) forensic research/
科学捜査研究所 [かがくそうさけんきゅうしょ] /(n) crime laboratory/
科学知識 [かがくちしき] /(n) scientific knowledge/
科学的 [かがくてき] /(adj-na) scientific/
科学的管理法 [かがくてきかんりほう] /(n) scientific management/
科学的記数法 [かがくてききすうほう] /(n) (comp) scientific notation/
科学的実在論 [かがくてきじつざいろん] /(n) scientific realism/
科学的社会主義 [かがくてきしゃかいしゅぎ] /(n) scientific socialism/
科学的発見 [かがくてきはっけん] /(n) scientific discovery/
科学的方法 [かがくてきほうほう] /(n) scientific method/
科学的方法論 [かがくてきほうほうろん] /(n) scientific methodology/
科学哲学 [かがくてつがく] /(n) philosophy of science/
科学博物館 [かがくはくぶつかん] /(n) science museum/
科学万能 [かがくばんのう] /(n) scientific purpose/
科挙 [かきょ] /(n) (arch) Chinese higher civil service examinations/
科人 [とがにん] /(iK) (n) offender/criminal/
科捜研 [かそうけん] /(n) (abbr) forensic researcher/crime scene investigator/
科白 [かはく] /(n) speech/words/one's lines/remarks/
科白 [せりふ] /(n) speech/words/one's lines/remarks/
科罰 [かばつ] /(n) punishment/discipline/
科名 [かめい] /(n) (1) family name/house name/(2) family honour/family honor/
科目 [かもく] /(n) (school) subject/curriculum/course/(P)/
科料 [かりょう] /(n) minor fine/
暇 [いとま] /(adj-na,n) (1) spare time/free time/leisure/(2) time off/day off/vacation/holiday/leave/(3) quitting (one's job)/firing someone/divorcing (one's spouse)/(n) (4) leaving/departing/
暇 [ひま] /(adj-na,n) (1) spare time/free time/leisure/(2) time off/day off/vacation/holiday/leave/(3) quitting (one's job)/firing someone/divorcing (one's spouse)/(adj-na) (4) (of one's time) free/(of one's business) slow/(P)/
暇々 [ひまひま] /(n-adv,n-t) one's leisure hours/
暇がない [ひまがない] /(adj-i) busy/having no (free) time/(P)/
暇が出る [ひまがでる] /(exp,v1) to be discharged/
暇が無い [ひまがない] /(adj-i) busy/having no (free) time/
暇つぶし [ひまつぶし] /(n) waste of time/killing time/
暇な時 [ひまなとき] /(n) leisure time/
暇な商売 [ひまなしょうばい] /(n) dull business/
暇に飽かす [ひまにあかす] /(exp,v5s) to spend all of one's free time/to spend one's time without constraint/
暇もなく [いとまもなく] /(exp) to (do) without losing time/
暇も無く [いとまもなく] /(exp) to (do) without losing time/
暇をつぶす [ひまをつぶす] /(exp,v5s) waste time/kill time/
暇を見て [ひまをみて] /(exp,adv) at odd moments/
暇を出す [ひまをだす] /(exp,v5s) (1) to fire someone/to discharge someone/(2) to divorce one's wife/
暇を潰す [ひまをつぶす] /(exp,v5s) waste time/kill time/
暇暇 [ひまひま] /(n-adv,n-t) one's leisure hours/
暇乞 [いとまごい] /(io) (n,vs) leave-taking/offering one's resignation/farewell visit/
暇乞い [いとまごい] /(n,vs) leave-taking/offering one's resignation/farewell visit/
暇取る [ひまどる] /(v5r) to take time/
暇人 [ひまじん] /(n) man of leisure/woman of leisure/
暇潰し [ひまつぶし] /(n) waste of time/killing time/(P)/
果 [か] /(n) (1) (Buddh) phala (attained state, result)/(2) (Buddh) enlightenment (as the fruits of one's Buddhist practice)/(3) fruit/(ctr) (4) counter for pieces of fruit/
果 [はたて] /(io) (n) (arch) end/limit/extremity/
果して [はたして] /(adv) (1) as was expected/just as one thought/sure enough/as a result/(2) really? (in questions)/ever?/
果し状 [はたしじょう] /(n) (fighter's) letter of challenge/
果す [はたす] /(v5s,vt) (1) to accomplish/to achieve/to carry out/to fulfill/to fulfil/to realize/to execute/to perform/to do/(suf,v5s) (2) to do ... completely/to do ... entirely/
果せる [おおせる] /(v1,vi) to succeed in doing/
果せる哉 [はたせるかな] /(adv) as expected/
果たして [はたして] /(adv) (1) as was expected/just as one thought/sure enough/as a result/(2) really? (in questions)/ever?/(P)/
果たし合い [はたしあい] /(n) duel/
果たし状 [はたしじょう] /(io) (n) (fighter's) letter of challenge/
果たす [はたす] /(v5s,vt) (1) to accomplish/to achieve/to carry out/to fulfill/to fulfil/to realize/to execute/to perform/to do/(suf,v5s) (2) to do ... completely/to do ... entirely/(P)/
果たせる哉 [はたせるかな] /(adv) as expected/
果たて [はたて] /(n) (arch) end/limit/extremity/
果て [はて] /(n) the end/the extremity/the limit/the limits/the result/(P)/
果てし [はてし] /(n) end/limit/bounds/extremity/result/fate/
果てしがない [はてしがない] /(adj-i) endless/boundless/fathomless/eternal/
果てしが無い [はてしがない] /(adj-i) endless/boundless/fathomless/eternal/
果てしない [はてしない] /(adj-i) endless/boundless/everlasting/(P)/
果てしなく [はてしなく] /(adv) eternally/interminably/
果てしのない [はてしのない] /(exp,adj-i) interminable/unending/endless/boundless/
果てし無い [はてしない] /(adj-i) endless/boundless/everlasting/
果てし無く [はてしなく] /(adv) eternally/interminably/
果ては [はては] /(n) in the end/on top of that/
果てる [はてる] /(v1,vi) (1) to end/to be finished/to be exhausted/to die/to perish/(suf) (2) indicates an extreme has been reached/(P)/
果ない [はかない] /(adj-i) (1) fleeting/transient/short-lived/momentary/ephemeral/fickle/vain/(2) empty (dream, etc.)/mere (hope)/faint (possibility)/
果核 [かかく] /(n) putamen/
果敢 [かかん] /(adj-na,n) resolute/determined/bold/(P)/
果敢い [はかない] /(io) (adj-i) (1) fleeting/transient/short-lived/momentary/ephemeral/fickle/vain/(2) empty (dream, etc.)/mere (hope)/faint (possibility)/
果敢ない [はかない] /(adj-i) (1) fleeting/transient/short-lived/momentary/ephemeral/fickle/vain/(2) empty (dream, etc.)/mere (hope)/faint (possibility)/
果敢なむ [はかなむ] /(v5m) to despair of/to see the vanity of/
果敢無い [はかない] /(adj-i) (1) fleeting/transient/short-lived/momentary/ephemeral/fickle/vain/(2) empty (dream, etc.)/mere (hope)/faint (possibility)/
果敢無む [はかなむ] /(v5m) to despair of/to see the vanity of/
果菜 [かさい] /(n) fruits and vegetables/
果菜類 [かさいるい] /(n) fruits and vegetables/
果実 [かじつ] /(n) fruit/nut/berry/(P)/
果実酒 [かじつしゅ] /(n) cider/wine/plum liquor/
果実酢 [かじつす] /(n) fruit vinegar/
果実店 [かじつてん] /(n) fruit store/
果実蝿 [みばえ] /(n) (uk) fruit fly (any insect of family Tephritidae)/
果実蠅 [みばえ] /(n) (uk) fruit fly (any insect of family Tephritidae)/
果樹 [かじゅ] /(n) fruit tree/(P)/
果樹園 [かじゅえん] /(n) orchard/
果樹園芸 [かじゅえんげい] /(n) fruit growing/
果樹栽培 [かじゅさいばい] /(n) fruit growing/pomiculture/
果樹栽培者 [かじゅさいばいしゃ] /(n) orchardist/fruit grower/
果汁 [かじゅう] /(n) fruit juice/(P)/
果食 [かしょく] /(n) living on fruit/
果食動物 [かしょくどうぶつ] /(n) frugivore/
果然 [かぜん] /(adv) as was expected/
果断 [かだん] /(adj-na,n) decisive/resolute/drastic/
果糖 [かとう] /(n) fructose/fruit sugar/
果糖ぶどう糖液糖 [かとうぶどうとうえきとう] /(n) high fructose corn syrup/HFCS 55/
果肉 [かにく] /(n,adj-no) flesh of fruit/
果皮 [かひ] /(n,adj-no) (1) pericarp (ripened ovary wall forming part of a fruit)/(2) skin (of a fruit)/peel/rind/
果物 [かぶつ] /(n) fruit/
果物 [くだもの] /(n) fruit/(P)/
果物屋 [くだものや] /(n) fruit store/fruit dealer/fruit seller/fruiterer/fruiteress/
果物籠 [くだものかご] /(n) fruit basket/
果柄 [かへい] /(n) stem (of a fruit)/gynophore/
果報 [かほう] /(adj-na,n) (1) good fortune/luck/happiness/(2) (Buddh) vipaka (retribution)/
果報は寝て待て [かほうはねてまて] /(exp) All things come to those who wait/
果報者 [かほうもの] /(n) lucky fellow/
果無い [はかない] /(adj-i) (1) fleeting/transient/short-lived/momentary/ephemeral/fickle/vain/(2) empty (dream, etc.)/mere (hope)/faint (possibility)/
架 [か] /(n) unit of equipment/rack/
架 [たるき] /(n) rafter/
架 [ませ] /(n) (1) (arch) short roughly woven fence/(2) divider between boxes (i.e. for box seats) in a theatre, etc./
架かる [かかる] /(v5r,vi) to span/to bridge/to cross/to straddle/
架ける [かける] /(v1,vt) (uk) to suspend between two points/to build (a bridge, etc.)/to put up on something (e.g. legs up on table)/
架け橋 [かけはし] /(n) (1) suspension bridge/viaduct/temporary bridge/(2) mediation/go-between/
架け橋となる [かけはしとなる] /(exp,v5r) to bridge (e.g. cultural divides, technical differences, etc.)/to bring together/
架する [かする] /(vs-s,vt) to span (e.g. a stream with a bridge)/
架間 [かかん] /(n) between equipment/
架橋 [かきょう] /(n,vs) (1) bridge building/bridge/(2) cross-linking/(P)/
架空 [かくう] /(adj-na,n,adj-no) aerial/overhead/fiction/fanciful/(P)/
架空請求詐欺 [かくうせいきゅうさぎ] /(n) fraud based on demanding payment for false claims or non-existent bills/
架上 [かじょう] /(n) on the shelf/
架設 [かせつ] /(n,vs) construction/building/(P)/
架線 [かせん] /(n,vs) aerial wiring/
架装 [かそう] /(n) (1) (car) accessories/factory option/(n,vs) (2) customization (of a car)/
架台 [かだい] /(n) stand/frame/abutment/
架電 [かでん] /(n) (1) telephone call/telephone conversation/(2) email/
歌 [うた] /(n) (1) song/(2) classical Japanese poetry (esp. tanka)/(3) modern poetry/(P)/
歌いまくる [うたいまくる] /(v5r) to sing energetically/to sing with abandon/
歌い捲る [うたいまくる] /(v5r) to sing energetically/to sing with abandon/
歌い合う [うたいあう] /(v5u) to sing responsively/
歌い始める [うたいはじめる] /(v1) to start singing/
歌い手 [うたいて] /(n) singer/
歌い出し [うたいだし] /(n) first line (of a poem)/first bars (of a melody)/
歌い女 [うたいめ] /(n) woman who entertains customers with song and dance/
歌い上げる [うたいあげる] /(v1,vt) to sing at the top of one's voice/to express one's feelings fully in a poem/
歌い鳥 [うたいどり] /(n) (obsc) lesser cuckoo (Cuculus poliocephalus)/
歌い物 [うたいもの] /(n) utai (Noh chant) piece for recitation/
歌う [うたう] /(v5u,vt) (1) to sing/(2) to sing (one's praises in a poem, etc.)/to compose a poem/to recite a poem/(P)/
歌の心 [うたのこころ] /(n) spirit of a poem/true meaning of a poem/
歌の道 [うたのみち] /(n) art of tanka poetry/
歌ガルタ [うたガルタ] /(n) (1) cards with stanzas of waka written on them/(2) card-matching game played with these cards/
歌詠み [うたよみ] /(n) tanka composer/
歌加留多 [うたがるた] /(n) (1) cards with stanzas of waka written on them/(2) card-matching game played with these cards/
歌会 [うたかい] /(n) poetry party or competition/gathering of tanka poets/
歌会 [かかい] /(n) poetry party or competition/gathering of tanka poets/
歌会始 [うたかいはじめ] /(n) annual New Year's poetry reading/
歌会始め [うたかいはじめ] /(n) annual New Year's poetry reading/
歌垣 [うたがき] /(n) (arch) gathering of men and women who sang courtship songs to each other and danced/dancing and singing feast of young men and women in ancient Japan/
歌格 [かかく] /(n) poetry style/poetry rules/
歌学 [かがく] /(n) poetry/versification/
歌妓 [かぎ] /(n) woman who earns her living by entertaining with song, dance and playing the shamisen/geisha who sings at parties/
歌境 [かきょう] /(n) mood of a poem/poet's mood when writing/
歌曲 [かきょく] /(n) melody/tune/song/(P)/
歌劇 [かげき] /(n,adj-no) opera/(P)/
歌劇場 [かげきじょう] /(n) opera house/
歌劇団 [かげきだん] /(n) opera company/opera troupe/
歌口 [うたぐち] /(n) (1) flute mouthpiece/(2) poetic style/
歌稿 [かこう] /(n) manuscript of poem/
歌合 [うたあわせ] /(n) poetry contest/(P)/
歌合せ [うたあわせ] /(n) poetry contest/
歌合わせ [うたあわせ] /(n) poetry contest/
歌合戦 [うたがっせん] /(n) singing matches/
歌詞 [かし] /(n) song lyrics/words of a song/libretto/(P)/
歌詞カード [かしカード] /(n) lyric sheet/card with the lyrics to a song/
歌詞集 [かししゅう] /(n) book of lyrics/
歌手 [かしゅ] /(n) singer/(P)/
歌集 [かしゅう] /(n) anthology/book of poetry/(P)/
歌書 [かしょ] /(n) book of poems/
歌唱 [かしょう] /(n,vs) song/singing/(P)/
歌唱力 [かしょうりょく] /(n) one's skill as a singer/
歌心 [うたごころ] /(n) (waka) poetic sentiment/waka-composing mood/solid grounding in waka/meaning of a waka poem/
歌人 [うたびと] /(n) (1) skillful tanka poet/(2) official in charge of court poetry and music (ritsuryo period)/(3) poet/
歌人 [かじん] /(n) poet (of tanka poems)/(P)/
歌聖 [かせい] /(n) great poet/
歌声 [うたごえ] /(n) singing voice/(P)/
歌仙 [かせん] /(n) great poet/
歌題 [かだい] /(n) name of poem/
歌沢 [うたざわ] /(n) slow-paced style of shamisen music with vocal accompaniment (popular during the late Edo period)/
歌沢節 [うたざわぶし] /(n) slow-paced style of shamisen music with vocal accompaniment (popular during the late Edo period)/
歌壇 [かだん] /(n) poetry circles/
歌道 [かどう] /(n) versification/tanka poetry/
歌番組 [うたばんぐみ] /(n) popular song program on radio or television/
歌碑 [かひ] /(n) tanka inscription/
歌姫 [うたひめ] /(n) songstress/(P)/
歌舞 [かぶ] /(n,vs) singing and dancing/
歌舞音曲 [かぶおんきょく] /(n) public music and dancing/performance of song and dance entertainment/
歌舞伎 [かぶき] /(n) kabuki/Japanese classical drama/(P)/
歌舞伎座 [かぶきざ] /(n) (1) kabuki troupe/kabuki theater (theatre)/(2) Kabuki-za (theatre in Tokyo)/
歌舞伎者 [かぶきもの] /(n) dandy/peacock/early-17th-century equivalent of present-day yakuza/Edo-period eccentric who attracted public attention with their eye-catching clothes, peculiar hairstyle, and weird behavior/
歌舞伎十八番 [かぶきじゅうはちばん] /(n) repertoire of 18 kabuki plays/
歌舞妓 [かぶき] /(n) kabuki/Japanese classical drama/
歌風 [かふう] /(n) poetic style/
歌物 [うたもの] /(n) (1) an utai (Noh chant) piece for recitation/(2) accompanied singing in which the singing is emphasized over the instrumental part (emphasised)/
歌枕 [うたまくら] /(n) oft-repeated descriptive epithets in poetry/
歌謡 [かよう] /(n) song/ballad/(P)/
歌謡曲 [かようきょく] /(n) popular song/(P)/
歌留多 [かるた] /(ateji) (n) (uk) playing cards (por: carta)/card game/
歌論 [かろん] /(n) essay on tanka poetry/
河 [かわ] /(n) (1) river/stream/(suf) (2) the .... river/(suffix used with the names of rivers)/(P)/
河 [がわ] /(suf) (1) the .... river/(suffix used with the names of rivers)/
河の源 [かわのみなもと] /(n) fountainhead/
河烏 [かわがらす] /(n) (uk) brown dipper (Cinclus pallasii)/
河鵜 [かわう] /(n) (uk) great cormorant (Phalacrocorax carbo)/
河海豚 [かわいるか] /(n) (uk) river dolphin/
河漢 [かかん] /(n) Milky Way/
河岸 [かがん] /(n,adj-no) (1) river bank/riverside/(2) fish market/
河岸 [かし] /(n,adj-no) (1) river bank/riverside/(2) fish market/
河岸 [かわぎし] /(n,adj-no) (1) river bank/riverside/(2) fish market/(P)/
河岸を変える [かしをかえる] /(exp,v1) to try a new venue for eating, drinking, night amusement, etc./
河岸段丘 [かがんだんきゅう] /(n) river terrace/
河渠 [かきょ] /(n) waterway/canal/river/
河魚 [かぎょ] /(n) river fish/
河系 [かけい] /(n) river system/
河原 [かわはら] /(n) dry river bed/river beach/
河原 [かわら] /(n) dry river bed/river beach/(P)/
河原乞食 [かわらこじき] /(n) unflattering term for actors/
河原者 [かわらもの] /(n) unflattering term for actors/
河原人参 [かわらにんじん] /(n) (uk) Artemisia apiacea (species of artemisia)/
河原鳩 [かわらばと] /(n) (uk) rock pigeon (Columba livia)/rock dove/
河原撫子 [かわらなでしこ] /(n) (uk) large pink (Dianthus superbus var. longicalycinus)/
河原蓬 [かわらよもぎ] /(n) (uk) capillary artemisia (Artemisia capillaris)/yin-chen wormwood/
河原艾 [かわらよもぎ] /(n) (uk) capillary artemisia (Artemisia capillaris)/yin-chen wormwood/
河原鶸 [かわらひわ] /(n) (uk) Oriental greenfinch (Carduelis sinica)/
河口 [かこう] /(n,adj-no) mouth of river/estuary/(P)/
河口 [かわぐち] /(n,adj-no) mouth of river/estuary/(P)/
河口港 [かこうこう] /(n) port at the mouth of a river/
河港 [かこう] /(n) river port/
河骨 [かわほね] /(n) (uk) Japanese spatterdock (species of water lily, Nuphar japonica)/
河骨 [こうほね] /(n) (uk) Japanese spatterdock (species of water lily, Nuphar japonica)/
河鹿 [かじか] /(n) kajika frog (Buergeria buergeri)/
河鹿蛙 [かじかがえる] /(n) (uk) kajika frog (Buergeria buergeri)/
河床 [かしょう] /(n) riverbed/
河床 [かわどこ] /(n) riverbed/
河食 [かしょく] /(n) fluvial erosion/
河蝕 [かしょく] /(n) fluvial erosion/
河水 [かすい] /(n) river water/stream/
河清 [かせい] /(n) clearing of the river water/
河跡湖 [かせきこ] /(n) crescentic lake/oxbow lake/billabong/
河川 [かせん] /(n) rivers/(P)/
河川工学 [かせんこうがく] /(n) river engineering/
河川工事 [かせんこうじ] /(n) riparian works/
河川水 [かせんすい] /(n) river water/
河川敷 [かせんしき] /(n) (dry) riverbed/(P)/
河川敷 [かせんじき] /(n) (dry) riverbed/
河船 [かせん] /(n) river boat/
河鼠 [かわねずみ] /(n) (uk) Japanese water shrew (Chimarrogale platycephala)/
河谷 [かこく] /(exp) river valley/
河端 [かわばた] /(n) riverbank/
河竹 [かわたけ] /(n) (1) bamboo growing along a river bank/(2) Japanese timber bamboo (Phyllostachys bambsoides)/giant timber bamboo/madake/(3) Simon bamboo (Pleioblastus simonii)/(4) (arch) (id) prostitute/the life of a prostitute/
河猪 [かわいのしし] /(n) bush pig/
河津掛け [かわづかけ] /(n) hooking backward counter throw (sumo)/
河底 [かてい] /(n) river bed/
河底 [かわぞこ] /(n) river bed/
河童 [かっぱ] /(n) (1) kappa (mythical water-dwelling creatures)/(2) excellent swimmer/(3) cucumber/(4) (abbr) rolled sushi containing a stick of cucumber/
河童の川流れ [かっぱのかわながれ] /(exp) anyone can make a mistake/even Homer sometimes nods/
河童の屁 [かっぱのへ] /(n) a cinch/
河童巻 [かっぱまき] /(n) cucumber sushi wrapped in nori (seaweed)/
河童巻き [かっぱまき] /(n) cucumber sushi wrapped in nori (seaweed)/
河豚 [かとん] /(n) (uk) puffer fish/blow fish/fugu/globefish/swellfish/
河豚 [ふく] /(ok) (n) (uk) puffer fish/blow fish/fugu/globefish/swellfish/
河豚 [ふくべ] /(ok) (n) (uk) puffer fish/blow fish/fugu/globefish/swellfish/
河豚 [ふぐ] /(n) (uk) puffer fish/blow fish/fugu/globefish/swellfish/
河豚中毒 [ふぐちゅうどく] /(n) pufferfish poisoning/
河豚毒 [ふぐどく] /(n) fugu poison/
河内 [はのい] /(n) Hanoi/
河馬 [かば] /(n) (uk) hippopotamus (Hippopotamus amphibius)/
河馬 [かわうま] /(n) (uk) hippopotamus (Hippopotamus amphibius)/
河畔 [かはん] /(n) riverside/(P)/
河風 [かわかぜ] /(n) breeze off a river/
河鱒 [かわます] /(n) brook trout/
河明かり [かわあかり] /(n) glow of a river in the darkness/surface of a river gleaming in the darkness/gleam on a river at dusk/
河明り [かわあかり] /(n) glow of a river in the darkness/surface of a river gleaming in the darkness/gleam on a river at dusk/
河面 [かわづら] /(n) river surface/surface of a river/
河面 [かわも] /(n) river surface/surface of a river/
河流 [かりゅう] /(n) stream/
河蜻蛉 [かわとんぼ] /(n) (uk) broad-winged damselfly (of family Calopterygidae)/
河鰉 [かわひがい] /(n) (uk) Sarcocheilichthys variegatus variegatus (subspecies of cyprinid)/
火 [か] /(n) (1) (abbr) Tuesday/(2) fire (second of the five elements)/
火 [ひ] /(n,n-suf) fire/flame/blaze/(P)/
火がつく [ひがつく] /(v5k) to catch fire/to provoke/to catch fire from/to be ignited/
火が点く [ひがつく] /(v5k) to catch fire/to provoke/to catch fire from/to be ignited/
火が付く [ひがつく] /(v5k) to catch fire/to provoke/to catch fire from/to be ignited/
火たたき [ひたたき] /(n) traditional Japanese fire extinguisher (bamboo pole with a clump of rope attached at the end)/
火だるま [ひだるま] /(n) body covered with flames/
火で溶ける [ひでとける] /(v1) to melt in the fire/
火ともし [ひともし] /(n,vs) (1) lighting a torch/lighting up a lamp/(n) (2) person who leads a funeral procession with a torch/
火ともし頃 [ひともしごろ] /(n) early evening/dusk/lamp-lighting time/lighting-up time/
火に当たる [ひにあたる] /(exp,v5r) to warm oneself at the fire/
火に油を注ぐ [ひにあぶらをそそぐ] /(exp,v5g) to make things worse/to stir things up/lit: to add fuel to the fire/
火のないところに煙は立たない [ひのないところにけむりはたたない] /(exp) There's no smoke without fire./
火の気 [ひのけ] /(n) heat of fire/trace of fire/
火の玉 [ひのたま] /(n) falling star/fireball/
火の見 [ひのみ] /(n) fire tower/
火の見やぐら [ひのみやぐら] /(n) fire lookout/watchtower/
火の見櫓 [ひのみやぐら] /(n) fire lookout/watchtower/
火の元 [ひのもと] /(n) origin of fire/
火の車 [ひのくるま] /(n) (1) (Buddh) fiery chariot (which carries the souls of sinners into hell)/(2) desperate financial situation/dire straits/
火の手 [ひのて] /(n) flames/blaze/fire/
火の神 [ひのかみ] /(n) god of fire (in Japanese mythology, usu. Kagutsuchi no Kami)/
火の中水の中 [ひのなかみずのなか] /(exp) hell and high water/
火の鳥 [ひのとり] /(n) phoenix (esp. fenghuang, the Chinese phoenix)/
火の番 [ひのばん] /(n) night watch/fire watchman/
火の粉 [ひのこ] /(n) sparks/
火の無い所に煙は立たない [ひのないところにけむりはたたない] /(exp) (id) There is no smoke without some fire/
火の用心 [ひのようじん] /(exp) (id) be careful about fire/watch out for fire/
火の輪 [ひのわ] /(n) Ring of Fire (circum-Pacific volcanic belt)/
火ばさみ [ひばさみ] /(n) fire tongs/
火ぶた [ひぶた] /(n) apron of a gun/cover for the touch-hole on a cannon or matchlock/
火ぶたをきる [ひぶたをきる] /(exp,v5r) to start (an argument, a battle, etc.)/
火ぶたを切る [ひぶたをきる] /(exp,v5r) to start (an argument, a battle, etc.)/
火よけ [ひよけ] /(n) protection against fire/
火をかける [ひをかける] /(exp,v1) to set fire/
火をつける [ひをつける] /(exp,v1) (1) to ignite/to set fire to/(2) to spark (an incident, etc.)/to inflame (a situation, etc.)/
火を掛ける [ひをかける] /(exp,v1) to set fire/
火を見るより明らかである [ひをみるよりあきらかである] /(exp,v5r-i) to be as plain as daylight/to be as clear as day/
火を吹く [ひをふく] /(exp,v5k) (1) to burst into flames/(2) to fire (of a gun)/(3) to fan a fire with one's breath/
火を通す [ひをとおす] /(exp,v5s) to cook/to heat/
火を点ける [ひをつける] /(exp,v1) (1) to ignite/to set fire to/(2) to spark (an incident, etc.)/to inflame (a situation, etc.)/
火を付ける [ひをつける] /(exp,v1) (1) to ignite/to set fire to/(2) to spark (an incident, etc.)/to inflame (a situation, etc.)/
火を放つ [ひをはなつ] /(v5t,exp) to set fire to/
火影 [ほかげ] /(n) firelight/shadows or forms moving in firelight/
火炎 [かえん] /(n) flame/blaze/
火炎瓶 [かえんびん] /(n) Molotov cocktail/(P)/
火炎放射器 [かえんほうしゃき] /(n) flamethrower/
火焔 [かえん] /(n) flame/blaze/
火焔放射器 [かえんほうしゃき] /(n) flamethrower/
火屋 [ほや] /(n) lamp chimney/
火桶 [ひおけ] /(n) wooden brazier/
火加減 [ひかげん] /(n) condition of fire/
火花 [ひばな] /(n) spark/(P)/
火花放電 [ひばなほうでん] /(n) spark discharge/
火蓋 [ひぶた] /(n) apron of a gun/cover for the touch-hole on a cannon or matchlock/
火蓋をきる [ひぶたをきる] /(exp,v5r) to start (an argument, a battle, etc.)/
火蓋を切る [ひぶたをきる] /(exp,v5r) to start (an argument, a battle, etc.)/
火干し [ひぼし] /(n) drying by fire/
火器 [かき] /(n) firearms/guns/(P)/
火気 [かき] /(n) fire/
火気厳禁 [かきげんきん] /(n) a warning of flammability/
火脚 [ひあし] /(n) spreading of a fire/
火急 [かきゅう] /(adj-na,n,adj-no) emergency/urgency/
火球 [かきゅう] /(n) (1) fireball/(2) bolide/
火魚 [かながじら] /(n) (uk) red-whiskered bulbul (Lepidotrigla microptera)/
火玉 [ひだま] /(n) falling star/fireball/
火刑 [かけい] /(n) stake/
火結神 [ほむすびのかみ] /(n) Kagutsuchi/fire deity who burned to death his mother Izanami during childbirth (and was therefore beheaded by his father Izanagi)/
火元 [ひもと] /(n) origin of a fire/
火光 [かこう] /(n) firelight/
火口 [かこう] /(n) crater/caldera/
火口 [ひぐち] /(n) a burner/origin of a fire/(P)/
火口丘 [かこうきゅう] /(n) volcanic cone/
火口原 [かこうげん] /(n) crater floor/crater basin/
火口原湖 [かこうげんこ] /(n) crater lake/
火口湖 [かこうこ] /(n) crater lake/
火口壁 [かこうへき] /(n) crater wall/
火工品 [かこうひん] /(n) priming materials/
火攻め [ひぜめ] /(n) attacking with fire/
火災 [かさい] /(n) conflagration/fire/(P)/
火災警報 [かさいけいほう] /(n) fire alarm/
火災警報器 [かさいけいほうき] /(n) fire alarm or sensor/
火災保険 [かさいほけん] /(n) fire insurance/(P)/
火災報知器 [かさいほうちき] /(n) fire alarm (box)/
火災報知機 [かさいほうちき] /(n) fire alarm (device)/
火災予防 [かさいよぼう] /(n) fire prevention/
火災予防週間 [かさいよぼうしゅうかん] /(n) Fire Prevention Week/
火災流 [かさいりゅう] /(n) pyroclastic flow (type of volcanic eruption)/stone wind/
火砕岩 [かさいがん] /(n) pyroclastic rock/
火砕丘 [かさいきゅう] /(n) pyroclastic cone/
火砕物 [かさいぶつ] /(n) pyroclastic material/
火砕流 [かさいりゅう] /(n) pyroclastic flow (type of volcanic eruption)/stone wind/(P)/
火祭 [ひまつり] /(n) (1) fire festival (often celebrating the absence of fires)/(2) New Year's ritual at Izumo Shrine/(3) festival involving fire dedicated to the gods/
火祭り [ひまつり] /(n) (1) fire festival (often celebrating the absence of fires)/(2) New Year's ritual at Izumo Shrine/(3) festival involving fire dedicated to the gods/
火皿 [ひざら] /(n) fire grate/chafing dish/pipe bowl/
火皿貝 [ひざらがい] /(n) (1) (uk) chiton (any marine mollusk of the class Polyplacophora)/sea cradle/(2) Japanese chiton (Acanthopleura japonica)/
火山 [かざん] /(n,adj-no) volcano/(P)/
火山ガス [かざんガス] /(n) volcanic gas/
火山ガラス [かざんガラス] /(n) volcanic glass/
火山フロント [かざんフロント] /(n) volcanic front/
火山灰 [かざんばい] /(n) volcanic ash/(P)/
火山灰地 [かざんばいち] /(n) area covered in volcanic ash/
火山灰土 [かざんばいど] /(n) volcanic ash soil/
火山灰土壌 [かざんばいどじょう] /(n) volcanic ash soil/
火山活動 [かざんかつどう] /(n) volcanic activity/
火山岩 [かざんがん] /(n) volcanic rock/
火山岩尖 [かざんがんせん] /(n) volcanic spine/
火山群 [かざんぐん] /(n) volcanic group/
火山砂 [かざんさ] /(n) (obsc) volcanic sand/
火山砕屑岩 [かざんさいせつがん] /(n) volcaniclastic rock/
火山砕屑丘 [かざんさいせつきゅう] /(n) pyroclastic cone/
火山砕屑物 [かざんさいせつぶつ] /(n) volcaniclastic material/pyroclastic material/
火山作用 [かざんさよう] /(n) volcanic action/
火山昇華物 [かざんしょうかぶつ] /(n) volcanic sublimate/
火山情報 [かざんじょうほう] /(n) volcanic activity report/information on volcanic activity/
火山塵 [かざんじん] /(n) (obsc) volcanic dust/
火山性地震 [かざんせいじしん] /(n) volcanic earthquake/
火山性微動 [かざんせいびどう] /(n) volcanic tremor/
火山前線 [かざんぜんせん] /(n) (obsc) volcanic front/
火山帯 [かざんたい] /(n) volcanic belt/volcanic zone/
火山弾 [かざんだん] /(n) volcanic projectiles/
火山泥流 [かざんでいりゅう] /(n) volcanic mudflow/
火山島 [かざんとう] /(n) volcanic island/
火山爆発 [かざんばくはつ] /(n) volcanic explosion/
火山噴出物 [かざんふんしゅつぶつ] /(n) volcanic product/
火山脈 [かざんみゃく] /(n) volcanic range/volcanic chain/
火山毛 [かざんもう] /(n) Pele's hair (threads of volcanic glass formed in mid-air)/
火山雷 [かざんらい] /(n) volcanic thunderstorm/
火山涙 [かざんるい] /(n) Pele's tears (tearlike drops of volcanic glass)/
火山列 [かざんれつ] /(n) volcanic chain/
火山列島 [かざんれっとう] /(n) chain of volcanic islands/
火山礫 [かざんれき] /(n) lapilli/
火産霊神 [ほむすびのかみ] /(n) Kagutsuchi/fire deity who burned to death his mother Izanami during childbirth (and was therefore beheaded by his father Izanagi)/
火事 [かじ] /(n) fire/conflagration/(P)/
火事と喧嘩は江戸の華 [かじとけんかはえどのはな] /(exp) (proverb) fights and fires are Edo's flowers/
火事見舞 [かじみまい] /(n) post-fire visit to express sympathy/expressing one's sympathy after a fire/
火事見舞い [かじみまい] /(n) post-fire visit to express sympathy/expressing one's sympathy after a fire/
火事場 [かじば] /(n) scene of a fire/
火事場泥棒 [かじばどろぼう] /(n) (1) looter/thief at the scene of a fire/(2) someone who takes advantage of a crisis to commit a crime/
火事泥 [かじどろ] /(n) (1) (abbr) looter/thief at the scene of a fire/(2) someone who takes advantage of a crisis to commit a crime/
火持ち [ひもち] /(n) fire-holding qualities/length of time a fire burns/
火柴 [かしば] /(n) match/lucifer/
火車 [かしゃ] /(n) (1) (Buddh) fiery chariot/(2) kasha (mythical beast said to devour dead bodies)/(3) (in China) train (i.e. steam locomotive)/(4) (abbr) (arch) vile old hag/
火車婆 [かしゃばば] /(n) (arch) evil old hag/
火取 [ひとり] /(n) (1) incense burner/(2) utensil for carrying live charcoal/
火取蛾 [ひとりが] /(n) (uk) garden tiger moth (Arctia caja)/
火手 [かしゅ] /(n) stoker/
火種 [ひだね] /(n) live coals (for firelighting)/remains of fire/(P)/
火酒 [かしゅ] /(n) strong drink/
火除け [ひよけ] /(n) protection against fire/
火傷 [かしょう] /(n,vs) burn/scald/
火傷 [やけど] /(n,vs) burn/scald/(P)/
火床 [ひどこ] /(n) fire bed/fire grate/
火消 [ひけし] /(n) (1) extinguishing a fire/(2) (Edo-period) fireman/
火消し [ひけし] /(n) (1) extinguishing a fire/(2) (Edo-period) fireman/
火消し壷 [ひけしつぼ] /(n) charcoal extinguisher/
火消し役 [ひけしやく] /(n) (1) fireman (in Edo)/(2) problem-solver/fixer/
火消し壺 [ひけしつぼ] /(n) charcoal extinguisher/
火消壷 [ひけしつぼ] /(n) charcoal extinguisher/
火消役 [ひけしやく] /(n) (1) fireman (in Edo)/(2) problem-solver/fixer/
火消壺 [ひけしつぼ] /(n) charcoal extinguisher/
火焼 [ひたき] /(n) (uk) Old World flycatcher (any bird of family Muscicapinae, esp. the typical flycatchers of subfamily Muscicapinae)/
火焼 [ひたき] /(n) building a fire/
火焼 [ほたき] /(n) Kyoto area festival held on the 11th lunar month (wherein bonfires are burned at shrines)/
火焼き [ひたき] /(n) building a fire/
火焼き [ほたき] /(n) Kyoto area festival held on the 11th lunar month (wherein bonfires are burned at shrines)/
火照り [ほてり] /(n,adj-no) (1) a glow/heat/(2) burning sensation/hot flash/
火照る [ほてる] /(v5r,vi) to feel hot/to flush/to burn/
火色 [ひいろ] /(n) color of flames/colour of flames/
火食 [かしょく] /(n,vs) eating cooked food/
火食鳥 [ひくいどり] /(n) (uk) cassowary (Casuarius spp.)/
火針 [ひばり] /(n) heated acupuncture needle/hot acupuncture needle/
火吹き竹 [ひふきだけ] /(n) bamboo blowpipe used to stimulate a fire/
火吹藍子 [ひふきあいご] /(n) (uk) blotched foxface (Siganus unimaculatus, species of Western Pacific rabbitfish)/
火水 [ひみず] /(n) (as discordant as) fire and water/
火勢 [かせい] /(n) force of flames/
火成活動 [かせいかつどう] /(n) igneous activity/
火成岩 [かせいがん] /(n) igneous rock/
火成鉱床 [かせいこうしょう] /(n) igneous deposit/
火星 [かせい] /(n,adj-no) Mars (planet)/(P)/
火星人 [かせいじん] /(n) Martian/
火星年 [かせいねん] /(n) Martian year/
火責め [ひぜめ] /(n) torture by fire/
火切り [ひきり] /(n) hand drilling (to start a fire)/hand drill/
火先 [ひさき] /(n) flames/forefront of fire/flame tips/
火先 [ほさき] /(n) flames/forefront of fire/flame tips/
火箭 [かせん] /(n) fire arrow/
火箭 [ひや] /(n) fire arrow/
火線 [かせん] /(n) firing line/
火掻き [ひかき] /(n) a poker/fire iron used to rake ash/
火掻き棒 [ひかきぼう] /(n) fire hook/poker/slice bar/
火葬 [かそう] /(n,vs) cremation/(P)/
火葬場 [かそうば] /(n) crematory/crematorium/
火葬場従業員 [かそうばじゅうぎょういん] /(n) crematorium worker/
火足 [ひあし] /(n) spreading of a fire/
火打ち金 [ひうちがね] /(n) striker (triangular piece of steel used with flint to create sparks)/
火打ち石 [ひうちいし] /(n) flint/
火打金 [ひうちがね] /(n) striker (triangular piece of steel used with flint to create sparks)/
火打石 [ひうちいし] /(io) (n) flint/
火袋 [ひぶくろ] /(n) fire box in traditional Japanese lantern/
火宅 [かたく] /(n) (Buddh) this world of suffering/
火宅無常 [かたくむじょう] /(exp) This world is uncertain (cruel) like a burning house/
火叩き [ひたたき] /(n) traditional Japanese fire extinguisher (bamboo pole with a clump of rope attached at the end)/
火叩き [ひはたき] /(n) tool used to extract combusted tobacco from a kiseru pipe/
火達磨 [ひだるま] /(n) body covered with flames/
火中 [かちゅう] /(n,vs) in the fire/in the flames/
火中の栗を拾う [かちゅうのくりをひろう] /(exp,v5u) (id) to take a risk for someone/to endanger oneself for someone/to gather chestnuts from a fire/
火柱 [ひばしら] /(n) pillar of fire/blazing column/
火脹れ [ひぶくれ] /(n) a blister/
火点し [ひともし] /(n,vs) (1) lighting a torch/lighting up a lamp/(n) (2) person who leads a funeral procession with a torch/
火点しごろ [ひとぼしごろ] /(n) early evening/dusk/lamp-lighting time/lighting-up time/
火点しごろ [ひともしごろ] /(n) early evening/dusk/lamp-lighting time/lighting-up time/
火点し頃 [ひとぼしごろ] /(n) early evening/dusk/lamp-lighting time/lighting-up time/
火点し頃 [ひともしごろ] /(n) early evening/dusk/lamp-lighting time/lighting-up time/
火点頃 [ひとぼしごろ] /(n) early evening/dusk/lamp-lighting time/lighting-up time/
火点頃 [ひともしごろ] /(n) early evening/dusk/lamp-lighting time/lighting-up time/
火田 [かでん] /(n) slash-and-burn agriculture/
火渡り [ひわたり] /(n) fire-walking (walking over fire or burning coals)/
火灯し頃 [ひともしごろ] /(n) early evening/dusk/lamp-lighting time/lighting-up time/
火鍋子 [ホーコーツ] /(n) hotpot (Chinese dish) (chi: huo guo zi)/
火縄 [ひなわ] /(n) a fuse/
火縄銃 [ひなわじゅう] /(n) matchlock/arquebus/
火難 [かなん] /(n) fire calamity/
火入れ [ひいれ] /(n) (1) fire pan/(2) heating/(3) first lighting (e.g. furnace)/firing (e.g. forest)/kindling/igniting/(4) pasteurization/
火熱 [かねつ] /(n) heat (from a flame)/
火之夜芸速男神 [ひのやぎはやおのかみ] /(n) Kagutsuchi/fire deity who burned to death his mother Izanami during childbirth (and was therefore beheaded by his father Izanagi)/
火箸 [ひばし] /(n) (1) tongs/(2) long metal chopsticks/
火鉢 [ひばち] /(n) brazier/(P)/
火病 [ひびょう] /(n) Korean anger syndrome (kor: Hwabyeong)/hwabyung/
火付 [ひつけ] /(n,vs) arson/incendiarism/
火付き [ひつき] /(n) kindling a fire/lighting a fire/
火付きが悪い [ひつきがわるい] /(exp,adj-i) (obsc) slow to kindle/
火付け [ひつけ] /(n,vs) arson/incendiarism/
火付け役 [ひつけやく] /(n) instigator/troublemaker/(P)/
火夫 [かふ] /(n) fireman/stoker/
火焚 [ひたき] /(n) building a fire/
火焚 [ほたき] /(n) Kyoto area festival held on the 11th lunar month (wherein bonfires are burned at shrines)/
火焚き [ひたき] /(n) building a fire/
火焚き [ほたき] /(n) Kyoto area festival held on the 11th lunar month (wherein bonfires are burned at shrines)/
火偏 [ひへん] /(n) kanji "fire" radical at left/
火保ち [ひもち] /(n) fire-holding qualities/length of time a fire burns/
火砲 [かほう] /(n) artillery/
火膨れ [ひぶくれ] /(n) a blister/
火木 [かもく] /(n) Tuesdays and Thursdays/
火木金 [かもくきん] /(n) Tuesday, Thursday and Friday/
火木土 [かもくど] /(n) Tue-Thurs-Sat/
火矢 [ひや] /(n) fire arrow/
火薬 [かやく] /(n) gunpowder/powder/(P)/
火薬陰謀事件 [かやくいんぼうじけん] /(n) Gunpowder Plot/
火薬庫 [かやくこ] /(n) powder magazine/
火遊び [ひあそび] /(n,vs) (1) playing with fire/(2) playing with something dangerous/(3) playing around (love)/flirting/having an affair/
火曜 [かよう] /(n-adv,n) (abbr) Tuesday/(P)/
火曜日 [かようび] /(n-adv,n-t) Tuesday/(P)/
火竜 [かりょう] /(n) firedrake/
火力 [かりょく] /(n) heating power/steam power/(P)/
火力支援 [かりょくしえん] /(n) fire support/
火力支援計画 [かりょくしえんけいかく] /(n) fire support plan/
火力支援調整線 [かりょくしえんちょうせいせん] /(n) fire support coordination line/
火力支援部隊 [かりょくしえんぶたい] /(n) fire support element/
火力発電 [かりょくはつでん] /(n) thermal power generation/
火力発電所 [かりょくはつでんしょ] /(n) thermal power station (i.e. using combustion)/
火炉 [かろ] /(n) furnace/boiler/
火弄り [ひいじり] /(n) playing with fire/
火弄り [ひなぶり] /(n) playing with fire/
火嬲り [ひなぶり] /(n) playing with fire/
火炙り [ひあぶり] /(n) burning at the stake/burning to death/
火焙り [ひあぶり] /(n) burning at the stake/burning to death/
火熨斗 [ひのし] /(n) an iron/
火燵 [こたつ] /(iK) (n) (uk) table with heater/(orig) charcoal brazier in a floor well/
火燵掛布 [こたつがけ] /(n) (uk) cover for kotatsu/
火燵布団 [こたつぶとん] /(n) (uk) cover for kotatsu/
火蜥蜴 [ひとかげ] /(n) salamander/
火鍼 [ひばり] /(n) heated acupuncture needle/hot acupuncture needle/
火鑽り [ひきり] /(n) hand drilling (to start a fire)/hand drill/
禍 [まが] /(n) (arch) wickedness/evil/calamity/disaster/
禍 [わざわい] /(n) calamity/catastrophe/
禍々しい [まがまがしい] /(adj-i) (1) (uk) ominous/sinister/unlucky/ill-omened/(2) annoying/(3) appearing to be true/
禍の府 [わざわいのふ] /(n) sink of iniquity/
禍因 [かいん] /(n) cause of trouble/
禍禍しい [まがまがしい] /(adj-i) (1) (uk) ominous/sinister/unlucky/ill-omened/(2) annoying/(3) appearing to be true/
禍害 [かがい] /(n) evil/harm/mischief/
禍源 [かげん] /(n) source of misfortune/
禍言 [まがこと] /(n) (1) ominous word/ill-omened word/(2) misfortune/
禍言 [まがごと] /(n) (1) ominous word/ill-omened word/(2) misfortune/
禍根 [かこん] /(n) root of evil/source of evil/(P)/
禍根を絶つ [かこんをたつ] /(exp,v5t) to strike at the root of an evil/
禍事 [まがこと] /(n) (1) ominous word/ill-omened word/(2) misfortune/
禍事 [まがごと] /(n) (1) ominous word/ill-omened word/(2) misfortune/
禍津日神 [まがついのかみ] /(n) evil gods (who cause sin, etc.)/
禍津日神 [まがつひのかみ] /(n) evil gods (who cause sin, etc.)/
禍福 [かふく] /(n) weal and woe/
禾穀類 [かこくるい] /(n) cereal crops/
禾偏 [のぎへん] /(n) kanji "two-branch tree" radical at left (radical 115)/
禾本科 [かほんか] /(n) (obs) Gramineae/Poaceae/
禾予 [じょ] /(n) 10^24/
稼ぎ [かせぎ] /(n) earnings/(P)/
稼ぎ高 [かせぎだか] /(n) earnings/
稼ぎ時 [かせぎとき] /(n) winning steak/good time to make a profit/
稼ぎ取る [かせぎとる] /(v5r) to earn by working/
稼ぎ手 [かせぎて] /(n) breadwinner/hard worker/
稼ぎ出す [かせぎだす] /(v5s) to gain/to earn (for oneself)/to win/
稼ぎ人 [かせぎにん] /(n) breadwinner/hard worker/
稼ぎ頭 [かせぎがしら] /(n) breadwinner/biggest earner/
稼ぎ方 [かせぎかた] /(n) method of earning/way of earning/
稼ぐ [かせぐ] /(v5g,vi) to earn income/to labor/to labour/(P)/
稼ぐに追いつく貧乏無し [かせぐにおいつくびんぼうなし] /(exp) (id) Poverty is a stranger to industry/
稼げる [かせげる] /(v1) to work/to earn income/
稼業 [かぎょう] /(n) trade/business/commerce/occupation/(P)/
稼働 [かどう] /(n,vs) operation (of machine)/actual work/(P)/
稼働時間 [かどうじかん] /(n) number of hours worked/
稼働人口 [かどうじんこう] /(n) manpower/work force/
稼働中 [かどうちゅう] /(n) (comp) working, valid/
稼働率 [かどうりつ] /(n) operating ratio/rate of operation/(P)/
稼働率指数 [かどうりつしすう] /(n) index of capacity utilization ratio/ICUR/capacity utilization index/operating rate index/
稼動 [かどう] /(n,vs) operation (of machine)/actual work/
稼穡 [かしょく] /(n) planting and harvesting/farming/
箇 [か] /(ctr) counter for the ichi-ni-san counting system (usu. directly preceding the item being counted)/a noun read using its on-yomi/
箇 [こ] /(ctr) (1) counter for articles/(2) counter for military units/(3) individual/
箇 [じ] /(ok) (ctr) (uk) counter for the hito-futa-mi counting system (forming hitotsu, futatsu, mitsu, and misoji, yasoji, etc.)/
箇 [ち] /(ok) (ctr) (uk) counter for the hito-futa-mi counting system (forming hitotsu, futatsu, mitsu, and misoji, yasoji, etc.)/
箇 [ぢ] /(ok) (ctr) (uk) counter for the hito-futa-mi counting system (forming hitotsu, futatsu, mitsu, and misoji, yasoji, etc.)/
箇 [つ] /(ctr) (uk) counter for the hito-futa-mi counting system (forming hitotsu, futatsu, mitsu, and misoji, yasoji, etc.)/
箇々 [ここ] /(n,adj-no) individual/one by one/separate/
箇箇 [ここ] /(n,adj-no) individual/one by one/separate/
箇月 [かげつ] /(ctr) (number of) months/
箇国 [かこく] /(ctr) counter for countries/
箇国語 [かこくご] /(ctr) counter for languages/
箇所 [かしょ] /(n) passage/place/point/part/(P)/
箇条 [かじょう] /(n) items/errors/articles/
箇条書 [かじょうがき] /(n) itemized form/itemised form/itemization/itemisation/
箇条書き [かじょうがき] /(n) itemized form/itemised form/itemization/itemisation/
箇数 [こすう] /(n) number of articles/
花 [はな] /(n) (1) flower/blossom/bloom/petal/(2) blooming (esp. of cherry blossoms)/cherry blossom/(3) ikebana/(4) (abbr) Japanese playing cards/(5) beauty/(6) (the) best/(P)/
花々 [はなばな] /(n) (1) flowers/(adv-to) (2) beautiful/spectacular/
花々しい [はなばなしい] /(adj-i) brilliant/magnificent/spectacular/
花かご [はなかご] /(n) (1) (Buddh) flower basket/(2) flower basket (or plate) used for flower-scattering rituals/
花かんざし [はなかんざし] /(n) (1) artificial hairpin with ornamental flowers/(2) (uk) chamomile sunray (Rhodanthe anthemoides)/
花がたみ [はながたみ] /(n) (arch) flower basket/
花がるた [はながるた] /(n) floral playing cards/Japanese playing cards (12 suits of 4 cards, each suit repr. a month indic. by a flower)/
花ぎれ [はなぎれ] /(n) flower-patterned material used to bind the ends of the spine in books/
花ざかり [はなざかり] /(n,adj-no) (1) flowers in full bloom/time of year in which flowers are in full bloom/(2) the age at which someone (esp. a woman) is at the peak of their beauty/(3) booming or peaking (in popularity)/
花しょうぶ [はなしょうぶ] /(n) Japanese iris/blue flag/Iris ensata/
花づな [はなづな] /(n) garland/festoon (of flowers)/
花に浮かれる [はなにうかれる] /(exp,v1) to be intoxicated with the blossoms/
花のかんばせ [はなのかんばせ] /(n) (arch) lovely face/
花の顔 [はなのかお] /(n) (arch) lovely face/
花の顔 [はなのかんばせ] /(n) (arch) lovely face/
花の顔ばせ [はなのかおばせ] /(n) (arch) (obsc) lovely face/
花の香 [はなのか] /(n) fragrance of flowers/
花の精 [はなのせい] /(n) spirit of a flower/
花の木 [はなのき] /(n) flowering tree/
花はずかしい [はなはずかしい] /(adj-i) beauty such as to put a flower to shame/
花びら [はなびら] /(n) (flower) petal/(P)/
花ふぶき [はなふぶき] /(n) falling cherry blossoms/storm of falling cherry blossoms/
花も実もある [はなもみもある] /(exp,v5r-i) to have both the looks and the substance/to be a compassionate and just person/to be interesting and instructive/
花も実も有る [はなもみもある] /(exp,v5r-i) to have both the looks and the substance/to be a compassionate and just person/to be interesting and instructive/
花も恥じらう [はなもはじらう] /(exp,v5u) (girl) who outblooms even a flower/even the flower will blush (before her beauty)/
花やか [はなやか] /(adj-na,n) showy/brilliant/gorgeous/florid/gay/
花やぐ [はなやぐ] /(v5g,vi) to become brilliant/
花より団子 [はなよりだんご] /(exp) dumplings rather than flowers/people are more interested in the practical over the aesthetic/
花を引く [はなをひく] /(exp,v5k) to play hana cards/
花を観る [はなをみる] /(exp,v1) to view (cherry) blossoms/to look at flowers/
花を欺く美人 [はなをあざむくびじん] /(exp) (obsc) woman as pretty as a flower/
花を供える [はなをそなえる] /(exp,v1) to offer flowers (e.g. at grave)/to leave flowers/
花を見る [はなをみる] /(exp,v1) to view (cherry) blossoms/to look at flowers/
花を咲かせる [はなをさかせる] /(exp,v1) (1) to make lively/to become animated/to have fun talking about something/(2) to become successful and well known/
花を持たせる [はなをもたせる] /(exp,v1) to let someone have the credit for (a success)/to let someone else carry the flowers/
花を傷める [はなをいためる] /(exp,v1) to spoil a flower/
花を贈る [はなをおくる] /(exp,v5r) to give flowers as a gift/
花ガルタ [はなガルタ] /(n) floral playing cards/Japanese playing cards (12 suits of 4 cards, each suit repr. a month indic. by a flower)/
花キャベツ [はなキャベツ] /(n) cauliflower/
花キン [はなキン] /(n) thank God it's Friday (lit: flowery Friday, when young men et al. stay out late)/TGIF/going out on Friday night/
花葵 [はなあおい] /(n) hollyhock/
花虻 [はなあぶ] /(n) (1) (uk) hoverfly (any fly of family Syrphidae)/syrphid/(2) drone fly (Eristalis tenax)/
花衣 [はなごろも] /(n) fancy kimono used for cherry blossom viewing/fancy kimono/
花園 [かえん] /(n) flower garden/
花園 [はなぞの] /(n) flower garden/(P)/
花押 [かおう] /(n-t) signature (not stamp)/
花王 [かおう] /(n) peony/king of flowers/(P)/
花屋 [はなや] /(n) florist/
花屋敷 [はなやしき] /(n) public flower garden/
花嫁 [はなよめ] /(n,adj-no) bride/(P)/
花嫁衣裳 [はなよめいしょう] /(n) bridal costume/wedding dress/
花嫁衣装 [はなよめいしょう] /(n) bridal costume/wedding dress/
花嫁花婿 [はなよめはなむこ] /(n) bride and groom/
花嫁介添人 [はなよめかいぞえにん] /(n) bridesmaid/
花嫁学校 [はなよめがっこう] /(n) school for training bachelor girls in homemaking arts/(a type of) finishing school/
花嫁御寮 [はなよめごりょう] /(n) (respectful term for a) bride/
花嫁姿 [はなよめすがた] /(n) image of a bride dressed in her wedding gown (wedding kimono, etc.)/
花嫁修業 [はなよめしゅうぎょう] /(n) training for homemaking/training in homemaking arts/
花火 [はなび] /(n) fireworks/(P)/
花火師 [はなびし] /(n) pyrotechnist/pyrotechnician/
花火線香 [はなびせんこう] /(n) toy fireworks/sparklers/
花火大会 [はなびたいかい] /(n) display of fireworks/firework(s) display/
花花しい [はなばなしい] /(adj-i) brilliant/magnificent/spectacular/
花芽 [かが] /(n) flower bud/
花芽形成 [かがけいせい] /(n) flower bud formation/
花魁 [おいらん] /(n) (arch) (sl) courtesan/prostitute/oiran/
花魁道中 [おいらんどうちゅう] /(n) procession of courtesans/
花海棠 [はなかいどう] /(n) (uk) Hall's crab apple/flowering crab apple/Malus halliana/
花開く [はなひらく] /(exp,v5k) to blossom/to flower/to bloom/
花貝 [はながい] /(n) (uk) Placamen tiara (species of venerid)/
花蓋 [かがい] /(n) perigone/
花街 [かがい] /(n) red-light district/prostitution quarter/geisha quarter/
花街 [はなまち] /(n) red-light district/prostitution quarter/geisha quarter/
花角力 [はなずもう] /(n) (arch) sumo wrestling outside the formal tournaments/wrestling just for fun/
花笠 [はながさ] /(n) type of conical hat adorned with flowers (used in Japanese traditional performing arts)/
花鰹 [はながつお] /(n) dried bonito shavings/
花冠 [かかん] /(n) corolla (of flower)/garland/wreath/
花環 [はなわ] /(n) wreath/
花丸 [はなまる] /(n) flower circle (equiv. of gold star awarded to kids for good work at school)/
花器 [かき] /(n) flower vase/
花期 [かき] /(n) flowering season/
花季 [かき] /(n) flowering season/
花亀虫 [はなかめむし] /(n) flower bug/
花客 [かかく] /(n) flower-viewing guest/customer wreath/
花巨頭 [はなごんどう] /(n) (uk) Risso's dolphin (Grampus griseus)/grampus/
花供養 [はなくよう] /(n) commemoration of the Buddha's birthday/
花金 [はなきん] /(n) thank God it's Friday (lit: flowery Friday, when young men et al. stay out late)/TGIF/going out on Friday night/
花形 [はながた] /(n,adj-no) (1) floral pattern/flourish/ornament/(2) star actor/(P)/
花形株 [はながたかぶ] /(n) popular stock/
花形役者 [はながたやくしゃ] /(n) leading actor/star actress/top-billed performer/
花茎 [かけい] /(n) stem of flower/
花鶏 [あとり] /(n) (uk) brambling (bird) (Fringilla montifringilla)/
花結び [はなむすび] /(n) rosette/
花見 [はなみ] /(n,vs) cherry blossom viewing/flower viewing/(P)/
花見の宴 [はなみのうたげ] /(n) cherry blossom viewing party/
花見月 [はなみづき] /(n) third lunar month/
花見時 [はなみどき] /(n) (cherry) blossom season/
花見酒 [はなみざけ] /(n) sake drunk while viewing cherry blossoms/
花言葉 [はなことば] /(n) language of flowers/
花虎の尾 [はなとらのお] /(n) (uk) false dragonhead (Physostegia virginiana)/obedient plant/
花虎魚 [はなおこぜ] /(n) sargassum fish/
花梗 [かこう] /(n,adj-no) flower stalk/peduncle/
花紅柳緑 [かこうりゅうりょく] /(n) red blossoms and green willows/beautiful scenery of spring/natural beauty/beauty of nature/
花綱 [はなづな] /(n) garland/festoon (of flowers)/
花香 [かこう] /(n) fragrance of flowers/
花合わせ [はなあわせ] /(n) Japanese playing cards/
花祭 [はなまつり] /(n) Buddha's birthday festival (April 8th)/
花祭り [はなまつり] /(n) Buddha's birthday festival (April 8th)/
花材 [かざい] /(n) material used for flower arrangement/
花咲く [はなさく] /(v5k) to bloom/
花咲ガニ [はなさきガニ] /(n) blue king crab/
花咲蟹 [はなさきがに] /(n) blue king crab/
花作り [はなづくり] /(n) florist/floriculture/
花札 [はなふだ] /(n) floral playing cards/Japanese playing cards (12 suits of 4 cards, each suit repr. a month indic. by a flower)/
花鮫 [はなざめ] /(n) (uk) spinner shark (Carcharhinus brevipinna)/long-nose grey shark/
花残し月 [はなのこしづき] /(n) fourth lunar month/
花残月 [はなのこしづき] /(n) fourth lunar month/
花糸 [かし] /(n) (flower's) filament/
花紙 [はながみ] /(n) tissue paper/paper handkerchief/
花詞 [はなことば] /(n) language of flowers/
花時 [はなどき] /(n) flowering season/
花時計 [はなどけい] /(n) flower clock/
花自動車 [はなじどうしゃ] /(n) a flower-bedecked vehicle/
花式図 [かしきず] /(n) floral diagram/
花軸 [かじく] /(n) rachis (floral axis)/
花実 [かじつ] /(n) flowers and fruit/interior and exterior/name and reality/
花実 [はなみ] /(n) flowers and fruit/interior and exterior/name and reality/
花蕊 [かずい] /(n) center of a flower (centre)/pistils and stamens/
花車 [かしゃ] /(adj-na,n) (1) luxury/pomp/(2) delicate/slender/gorgeous/
花車 [きゃしゃ] /(adj-na,n) (1) luxury/pomp/(2) delicate/slender/gorgeous/
花車 [だし] /(n) (uk) festival car (float)/
花車椿 [はなぐるまつばき] /(n) hanakuruma camelia/Camellia japonica var./
花守 [はなもり] /(n) one who guards flowers/
花樹 [かじゅ] /(n) flowering tree/
花序 [かじょ] /(n) inflorescence/
花床 [かしょう] /(n) (flower's) receptacle/
花菖蒲 [はなあやめ] /(n) Japanese iris/blue flag/Iris ensata/
花菖蒲 [はなしょうぶ] /(n) Japanese iris/blue flag/Iris ensata/
花色 [はないろ] /(n) (1) color of a flower (colour)/(2) light indigo/light blue/
花信 [かしん] /(n) tidings of flowers/
花信風 [かしんふう] /(n) spring wind telling the tidings of flowers/
花心 [かしん] /(n) center of a flower (centre)/pistils and stamens/
花心 [はなごころ] /(n) (1) (obsc) changing heart/fleeting heart/cheating heart/(2) (obsc) beautiful heart/
花尽くし [はなずくし] /(n) (1) citing or naming a variety of flowers/(2) multi-flowered design/
花尽くし [はなづくし] /(n) (1) citing or naming a variety of flowers/(2) multi-flowered design/
花吹雪 [はなふぶき] /(n) falling cherry blossoms/storm of falling cherry blossoms/
花水木 [はなみずき] /(n) (uk) flowering dogwood (Cornus florida)/
花生け [はないけ] /(n) vase/
花盛り [はなざかり] /(n,adj-no) (1) flowers in full bloom/time of year in which flowers are in full bloom/(2) the age at which someone (esp. a woman) is at the peak of their beauty/(3) booming or peaking (in popularity)/(P)/
花潜 [はなむぐり] /(n) (1) (uk) flower chafer (any flower beetle of tribe Cetoniini)/(2) Eucetonia pilifera (flower chafer species of tribe Cetoniini)/
花潜り [はなむぐり] /(n) (1) (uk) flower chafer (any flower beetle of tribe Cetoniini)/(2) Eucetonia pilifera (flower chafer species of tribe Cetoniini)/
花蘇芳 [はなずおう] /(n) (uk) Cercis chinensis/
花相撲 [はなずもう] /(n) any sumo tournament other than the (six) major tournaments/
花束 [はなたば] /(n) bunch of flowers/bouquet/(P)/
花苔 [はなごけ] /(n) reindeer moss/
花代 [はなだい] /(n) price of flowers/fee for a woman's companionship/
花台 [かだい] /(n) stand for flower vase/
花炭 [はなすみ] /(n) flower charcoal (whereby a flower, seed, branch, or other item of flora is carbonized as is, retaining its form)/
花炭 [はなずみ] /(n) flower charcoal (whereby a flower, seed, branch, or other item of flora is carbonized as is, retaining its form)/
花壇 [かだん] /(n) flower bed/(P)/
花恥ずかしい [はなはずかしい] /(adj-i) beauty such as to put a flower to shame/
花蜘蛛 [はなぐも] /(n) (uk) Misumenops tricuspidatus (species of crab spider)/
花柱 [かちゅう] /(n) (flower's) style/
花町 [はなまち] /(n) red-light district/prostitution quarter/geisha quarter/
花鳥 [かちょう] /(n) flowers and birds/(P)/
花鳥画 [かちょうが] /(n) painting of flowers and birds/bird-and-flower genre in Chinese and Japanese painting/
花鳥風月 [かちょうふうげつ] /(n) (1) beauties of nature/the traditional themes of natural beauty in Japanese aesthetics/(2) artistic pursuits involving nature themes/
花鳥諷詠 [かちょうふうえい] /(exp) the beauties of nature as the key poetic theme/the central theme in composing poetry (haiku) must be the beauties of nature and the harmony that exist between nature and man. (The slogan of the Hototogisu School of modern Japanese haiku)/
花椿 [はなつばき] /(n) camellia flower/
花摘み [はなつみ] /(n,vs) flower picking/
花天月地 [かてんげっち] /(n) flowers blooming in moonlight/
花電車 [はなでんしゃ] /(n) floral streetcar/
花盗人 [はなぬすびと] /(n) person who steals flowers/
花豆 [はなまめ] /(n) (1) scarlet runner bean/(2) flower bean/
花道 [かどう] /(n) flower arrangement/
花道 [はなみち] /(n) passage through audience to stage/(P)/
花独活 [はなうど] /(n) (uk) Heracleum nipponicum (species of hogweed)/
花曇 [はなぐもり] /(n) hazy weather in spring/
花曇り [はなぐもり] /(n) hazy weather in spring/
花入 [はないれ] /(n) vase/
花入れ [はないれ] /(n) vase/
花売り [はなうり] /(n) flower vendor/
花売り娘 [はなうりむすめ] /(n) flower girl/
花畑 [はなばたけ] /(n) flower garden/flower bed/
花板 [はないた] /(n) superior chef (Japanese cuisine)/
花被 [かひ] /(n) perianth/floral envelope/
花菱 [はなびし] /(n) flower-shaped family crest/
花菱草 [はなびしそう] /(n) California poppy/
花氷 [はなごおり] /(n) flowers surrounded by ice/
花瓶 [かびん] /(n) (flower) vase/(P)/
花瓶 [かへい] /(n) (flower) vase/
花瓶 [けびょう] /(n) (Buddh) vase used to hold flower offerings (often made of gilded copper)/
花瓶 [はながめ] /(n) (flower) vase/
花布 [はなぎれ] /(n) flower-patterned material used to bind the ends of the spine in books/
花譜 [かふ] /(n) flower album/
花物 [はなもの] /(n) flowering plant/
花粉 [かふん] /(n) pollen/(P)/
花粉管 [かふんかん] /(n) (flower's) pollen tube/
花粉管核 [かふんかんかく] /(n) pollen tube nucleus/
花粉症 [かふんしょう] /(n) hay fever/pollinosis (allergy to pollen)/(P)/
花粉情報 [かふんじょうほう] /(n) pollen report/
花粉分析 [かふんぶんせき] /(n) pollen analysis/
花粉母細胞 [かふんぼさいぼう] /(n) pollen mother cell/
花文字 [はなもじ] /(n) ornate initial/capital letters/flowers planted to form characters/
花柄 [かへい] /(n,adj-no) (botanical) peduncle/
花柄 [はながら] /(n) flower pattern/
花片 [かへん] /(n) petal/
花便り [はなだより] /(n) tidings of flowers/
花弁 [かべん] /(n) (flower) petal/
花弁 [はなびら] /(n) (flower) petal/(P)/
花圃 [かほ] /(n) flower garden/
花穂 [かすい] /(n) spike (in botany)/
花穂 [かほ] /(ik) (n) spike (in botany)/
花蜂 [はなばち] /(n) bumblebee/
花房 [はなふさ] /(n) bunch of flowers/
花房 [はなぶさ] /(n) calyx/
花蜜 [かみつ] /(n) nectar/
花婿 [はなむこ] /(n) bridegroom/(P)/
花明かり [はなあかり] /(n) the brilliance of cherry blossoms which illuminate the evening/
花模様 [はなもよう] /(n) floral pattern/
花毛氈 [はなもうせん] /(n) figured carpet/
花木 [かぼく] /(n) (1) flowers and trees/(2) flowering trees/
花紋 [かもん] /(n) flower design/
花紋板 [かもんばん] /(n) rosette/
花野 [はなの] /(n) field full of flowers/
花野菜 [はなやさい] /(n) cauliflower/
花柳 [かりゅう] /(n) red-light district/(P)/
花柳 [はなやぎ] /(n) Hanayagi school of Japanese dancing/
花柳界 [かりゅうかい] /(n) red-light district/pleasure quarters/world of the geisha/demimonde/(P)/
花柳病 [かりゅうびょう] /(n) sexually transmitted disease/social disease/
花葉 [かよう] /(n) floral leaf/
花落ち [はなおち] /(n) the part of the fruit from which the flower has dropped/
花梨 [かりん] /(n) (1) (uk) Burmese rosewood (Pterocarpus indicus)/angsana/amboyna/amboina/(2) (uk) flowering quince (of genus Chaenomeles) (Pseudocydonia sinensis)/Chinese quince (Chaenomeles sinensis)/(3) (uk) quince (Cydonia oblonga)/
花立て [はなたて] /(n) vase/
花林 [かりん] /(n) (1) (uk) Burmese rosewood (Pterocarpus indicus)/angsana/amboyna/amboina/(2) (uk) flowering quince (of genus Chaenomeles) (Pseudocydonia sinensis)/Chinese quince (Chaenomeles sinensis)/(3) (uk) quince (Cydonia oblonga)/
花林糖 [かりんとう] /(n) (uk) fried dough cake/
花輪 [はなわ] /(n) wreath/garland/(P)/
花冷え [はなびえ] /(n) chilly spring weather/
花暦 [はなごよみ] /(n) flower calendar/
花卉 [かき] /(n) flowering plants/
花卉園芸 [かきえんげい] /(n) horticulture/
花崗岩 [かこうがん] /(n,adj-no) granite/
花崗岩質マグマ [かこうがんしつマグマ] /(n) granitic magma/
花崗閃緑岩 [かこうせんりょくがん] /(n) granodiorite/
花椒 [かしょう] /(n) Sichuan pepper (tree) (Zanthoxylum bungeanum)/Chinese prickly-ash/
花椒塩 [ホワジャオイエン] /(n) huajiaoyan/Sichuan pepper-salt/
花椰菜 [はなやさい] /(n) cauliflower/
花櫚 [かりん] /(n) (1) (uk) Burmese rosewood (Pterocarpus indicus)/angsana/amboyna/amboina/(2) (uk) flowering quince (of genus Chaenomeles) (Pseudocydonia sinensis)/Chinese quince (Chaenomeles sinensis)/(3) (uk) quince (Cydonia oblonga)/
花瓣 [かべん] /(oK) (n) (flower) petal/
花筐 [はながたみ] /(n) (arch) flower basket/
花筵 [はなむしろ] /(n) mat with a floral or bulrush pattern/
花籠 [けこ] /(n) (1) flower basket (or plate) used for flower-scattering rituals/
花籠 [はなかご] /(n) (1) (Buddh) flower basket/(2) flower basket (or plate) used for flower-scattering rituals/
花籠 [はなこ] /(ok) (n) (1) (Buddh) flower basket/
花簪 [はなかんざし] /(n) (1) artificial hairpin with ornamental flowers/(2) (uk) chamomile sunray (Rhodanthe anthemoides)/
花綵 [はなづな] /(n) garland/festoon (of flowers)/
花綵列島 [かさいれっとう] /(n) island arc (like the Aleutian Islands)/
花茗荷 [はなみょうが] /(n) (uk) peppermint stick (species of perennial evergreen, Alpinia japonica)/
花茣蓙 [はなござ] /(n) mat with a floral or bulrush pattern/
花蕾 [からい] /(n) flower bud/
花鋏 [はなばさみ] /(n) florist's scissors/flower scissors/
苛々 [いらいら] /(adv,n,vs,adv-to) (uk) getting nervous/irritation/(P)/
苛ち [いらち] /(n) (uk) in a hurry/hustle/person who's always in a rush/
苛つく [いらつく] /(v5k,vi) (uk) to get irritated/
苛む [さいなむ] /(v5m,vt) to torment/to torture/to harass/
苛め [いじめ] /(n) bullying/teasing/(P)/
苛めっ子 [いじめっこ] /(n) bully/
苛められっ子 [いじめられっこ] /(n) bullied child/
苛める [いじめる] /(v1,vt) (uk) to tease/to torment/to persecute/to chastise/(P)/
苛苛 [いらいら] /(adv,n,vs,adv-to) (uk) getting nervous/irritation/
苛虐 [かぎゃく] /(adj-na,n) cruel treatment/
苛酷 [かこく] /(adj-na,n) rigour/rigor/severity/cruelty/harsh/
苛性 [かせい] /(n,adj-no) caustic/
苛性アルカリ [かせいアルカリ] /(n) caustic alkali/lye/
苛性カリ [かせいカリ] /(n) caustic potash/potassium hydroxide/
苛性ソーダ [かせいソーダ] /(n) caustic soda/sodium hydroxide/
苛性加里 [かせいカリ] /(n) caustic potash/potassium hydroxide/
苛政 [かせい] /(n) tyranny/despotism/
苛税 [かぜい] /(n) heavy taxation/
苛立たしい [いらだたしい] /(adj-i) irritating/frustrating/
苛立ち [いらだち] /(n) irritation/
苛立つ [いらだつ] /(v5t) to be irritated/
苛立てる [いらだてる] /(v1,vt) to irritate/to exasperate/
苛烈 [かれつ] /(adj-na,n) severe/stern/
苛斂 [かれん] /(n) oppression (e.g. taxation)/
苛斂誅求 [かれんちゅうきゅう] /(n) imposing exacting (crushing, oppressive) taxes/
茄 [なす] /(n) eggplant (Solanum melongena)/aubergine/
茄子 [なす] /(n) eggplant (Solanum melongena)/aubergine/(P)/
茄子 [なすび] /(n) eggplant (Solanum melongena)/aubergine/
茄子科 [なすか] /(n) Solanaceae (nightshade family of plants)/
茄子属 [なすぞく] /(n) Solanum (nightshade genus of plants)/
荷 [か] /(suf,ctr) counter for loads (that can be carried on one's shoulders)/
荷 [に] /(n) (1) load/baggage/cargo/freight/goods/(2) burden/responsibility/(P)/
荷う [になう] /(v5u,vt) to carry on shoulder/to bear (burden)/to shoulder (gun)/
荷が下りる [にがおりる] /(exp,v1) to feel relieved/to feel happy after having been relieved of a responsibility/to be relieved from a duty/
荷が重い [にがおもい] /(exp) to have a lot on one's shoulders/to bear a lot of responsibility/
荷が勝つ [にがかつ] /(exp,v5t) to be unequal to the burden (job)/to be too heavy a load for/
荷なう [になう] /(v5u,vt) to carry on shoulder/to bear (burden)/to shoulder (gun)/
荷ほどき [にほどき] /(n,vs) unpacking luggage (particularly wrt moving house)/
荷を下ろす [にをおろす] /(exp,v5s) to take a load off/
荷扱い [にあつかい] /(n) handling of freight/
荷鞍 [にぐら] /(n) packsaddle/
荷為替 [にがわせ] /(n) documentary bill/bill of exchange/
荷為替手形 [にがわせてがた] /(n) documentary draft (bill) (draught)/
荷卸し [におろし] /(n,vs) unloading (cargo, etc.)/
荷下ろし [におろし] /(n,vs) unloading (cargo, etc.)/
荷解き [にほどき] /(n,vs) unpacking luggage (particularly wrt moving house)/
荷作り [にづくり] /(n,vs) packing/baling/crating/(P)/
荷札 [にふだ] /(n) label/tag/(P)/
荷捌 [にさばき] /(n,vs) sale/disposal of goods/
荷捌き [にさばき] /(n,vs) sale/disposal of goods/
荷姿 [にすがた] /(n) packing/packaging/
荷車 [にぐるま] /(n) cart/wagon/
荷主 [にぬし] /(n) shipper/
荷受 [にうけ] /(n) receipt of goods/
荷受け [にうけ] /(n) receipt of goods/
荷受け人 [にうけにん] /(n) consignee/
荷受人 [にうけにん] /(n) consignee/
荷重 [かじゅう] /(n) load/loading/weight (of a load)/
荷重 [におも] /(n) (1) heavy load/(2) burden of responsibility/heavy duty/
荷重減衰 [かじゅうげんすい] /(n) (math) weight decay/
荷嵩み [にがさみ] /(n) glut/overstock/
荷積 [にづみ] /(n,vs) loading/
荷積み [にづみ] /(n,vs) loading/
荷船 [にぶね] /(n) freighter/lighter/
荷送 [におくり] /(n) consignment/
荷送り [におくり] /(n) consignment/
荷送り人 [におくりにん] /(n) consignor/
荷送人 [におくりにん] /(n) consignor/
荷造り [にづくり] /(n,vs) packing/baling/crating/(P)/
荷足 [にあし] /(n) sale/ballast/lading/
荷足り [にたり] /(n) (1) barge/lighter/
荷足り船 [にたりぶね] /(n) a barge/a lighter/
荷駄 [にだ] /(n) pack/horseload/
荷台 [にだい] /(n) (truck) load-carrying tray/(bicycle) luggage carrier/roof rack/(P)/
荷担 [かたん] /(n,vs) support/participation/assistance/complicity/conspiracy/
荷電 [かでん] /(n) electric charge/
荷電粒子 [かでんりゅうし] /(n) a charged particle/
荷渡し [にわたし] /(n) delivery of freight or goods/
荷渡し指図書 [にわたしさしずしょ] /(n) delivery order/
荷渡指図書 [にわたしさしずしょ] /(n) delivery order/
荷動き [にうごき] /(n) movement of goods/
荷縄 [になわ] /(n) packing cord/
荷馬 [にうま] /(n) pack horse/
荷馬車 [にばしゃ] /(n) wagon/dray/cart/
荷抜き [にぬき] /(n,vs) pilferage/
荷物 [にもつ] /(n) (1) luggage/baggage/(2) burden/(3) payload (of a packet, cell, etc.)/(P)/
荷物を詰める [にもつをつめる] /(exp,v1) to pack one's things/
荷物電車 [にもつでんしゃ] /(n) baggage car/luggage van/
荷崩れ [にくずれ] /(n,vs) collapsing load (as on lorries, trucks)/
荷厄介 [にやっかい] /(adj-na,n) encumbrance/burden/drag/
荷役 [にえき] /(n) handling cargo/loading and unloading/
荷役 [にやく] /(n) handling cargo/loading and unloading/
荷揚げ [にあげ] /(n,vs) unloading/landing/(P)/
荷揚げ場 [にあげば] /(n) landing place/
荷揚げ料 [にあげりょう] /(n) landing charges/
荷葉 [かよう] /(n) lotus leaf/
荷拵え [にごしらえ] /(n,vs) packing/
華 [はな] /(n) (1) flower/blossom/bloom/petal/(2) blooming (esp. of cherry blossoms)/cherry blossom/(3) ikebana/(4) (abbr) Japanese playing cards/(5) beauty/(6) (the) best/
華々しい [はなばなしい] /(adj-i) brilliant/magnificent/spectacular/(P)/
華やか [はなやか] /(adj-na,n) showy/brilliant/gorgeous/florid/gay/(P)/
華やぐ [はなやぐ] /(v5g,vi) to become brilliant/
華を去り実に就く [かをさりじつにつく] /(exp,v5k) to discard the flower for the fruit/
華華しい [はなばなしい] /(adj-i) brilliant/magnificent/spectacular/
華魁 [おいらん] /(n) (arch) (sl) courtesan/prostitute/oiran/
華客 [かかく] /(n) special guests/
華僑 [かきょう] /(n) overseas Chinese merchants/(P)/
華厳 [けごん] /(n) (1) (Buddh) avatamsa (flower adornment, as a metaphor for becoming a buddha)/(2) (abbr) Avatamska sutra/(3) (abbr) Kegon (sect of Buddhism)/
華厳経 [けごんきょう] /(n) Avatamska sutra/
華厳宗 [けごんしゅう] /(n) Kegon (sect of Buddhism)/
華言 [かげん] /(n) flowery words/
華甲 [かこう] /(n) aged 61/
華鮫 [はなざめ] /(n) (uk) spinner shark (Carcharhinus brevipinna)/long-nose grey shark/
華氏 [かし] /(n,adj-no) degrees Fahrenheit/
華氏温度 [かしおんど] /(n) Fahrenheit temperature/degrees Fahrenheit/
華字 [かじ] /(n) Chinese character/
華字紙 [かじし] /(n) Chinese newspaper/
華実 [かじつ] /(n) appearance and content/flowers and fruit/
華商 [かしょう] /(n) (sens) Chinese merchants abroad/
華燭 [かしょく] /(n) bright light/
華燭の典 [かしょくのてん] /(n) wedding ceremony/
華族 [かぞく] /(n) noble/peer/
華壇 [かだん] /(n) flower bed/
華中 [かちゅう] /(n) central China/
華道 [かどう] /(n) flower arrangement/(P)/
華南 [かなん] /(n) South China/
華美 [かび] /(adj-na,n) pomp/splendor/splendour/gaudiness/(P)/
華表 [かひょう] /(n) monument at cemetery entrance/
華瓶 [けびょう] /(n) (Buddh) vase used to hold flower offerings (often made of gilded copper)/
華北 [かほく] /(n) North China/
華流 [ふぁーりゅう] /(n) influx of Chinese pop culture (into Japan)/
華麗 [かれい] /(adj-na,n) splendor/splendour/magnificence/(P)/
華冑 [かちゅう] /(n) aristocracy/nobility/
華奢 [かしゃ] /(adj-na,n) (1) luxury/pomp/(2) delicate/slender/gorgeous/
華奢 [きゃしゃ] /(adj-na,n) (1) luxury/pomp/(2) delicate/slender/gorgeous/
華筥 [けこ] /(n) (1) flower basket (or plate) used for flower-scattering rituals/
華胥 [かしょ] /(n) (1) ideal land/perfect country/(2) afternoon nap/
華鬘 [けまん] /(n) (Buddh) Buddhist decoration engraved with various motifs, often made from gilt copper (e.g. for adorning the inner shrine of a temple)/
華鬘草 [けまんそう] /(n) bleeding heart/Dicentra spectabilis/
菓 [か] /(n) (1) (arch) fruit/(suf,ctr) (2) counter for fruit/
菓子 [かし] /(n,adj-no) pastry/confectionery/(P)/
菓子パン [かしパン] /(n) sweetened bun/
菓子屋 [かしや] /(n) confectionery shop/(P)/
菓子器 [かしき] /(n) cake box/
菓子皿 [かしざら] /(n) cake dish/
菓子折 [かしおり] /(n) box of cakes/
菓子折り [かしおり] /(n) box of cakes/
菓子箱 [かしばこ] /(n) candy box/
菓子鉢 [かしばち] /(n) bowl for confectioneries/
菓子盆 [かしぼん] /(n) cake tray (dish)/
菓物 [くだもの] /(n) fruit/
蝦 [かえる] /(iK) (n) (1) (uk) frog/
蝦夷 [えぞ] /(n) (1) peoples formerly of northern Japan with distinct language and culture (i.e. the Ainu)/(2) Yezo (northern part of Meiji-era Japan, esp. Hokkaido, but also Sakhalin and the Kuril Islands)/
蝦夷 [えみし] /(ok) (n) (1) peoples formerly of northern Japan with distinct language and culture (i.e. the Ainu)/
蝦夷貝 [えぞばい] /(n) (uk) Middendorf's whelk (Buccinum middendorffi)/
蝦夷菊 [えぞぎく] /(n) Chinese aster/
蝦夷栗鼠 [えぞりす] /(n) (uk) Hokkaido squirrel (subspecies of red squirrel, Sciurus vulgaris orientis)/
蝦夷黒貂 [えぞくろてん] /(n) (uk) Japanese sable (subspecies of sable native to Hokkaido, Martes zibellina brachyura)/
蝦夷山桜 [えぞやまざくら] /(n) (uk) sargent cherry (Prunus sargentii)/
蝦夷鹿 [えぞしか] /(n) (uk) Hokkaido sika (deer) (Cervus nippon yesoensis)/Yezo sika/
蝦夷縞栗鼠 [えぞしまりす] /(n) (uk) Tamias sibiricus lineatus (subspecies of Siberian chipmunk native to Hokkaido)/
蝦夷松 [えぞまつ] /(n) (uk) Yezo spruce (Picea jezoensis)/Jezo spruce/
蝦夷地 [えぞち] /(n) Yezo (northern part of Meiji-era Japan, esp. Hokkaido, but also Sakhalin and the Kuril Islands)/
蝦夷葱 [えぞねぎ] /(n) (uk) chives (Allium schoenoprasum var. schoenoprasum)/
蝦夷法螺 [えぞぼら] /(n) (uk) Ezo neptune (species of whelk, Neptunea polycostata)/
蝦夷雷鳥 [えぞらいちょう] /(n) (uk) hazel grouse (Bonasa bonasia)/
蝦夷狼 [えぞおおかみ] /(n) (uk) Hokkaido wolf (Canis lupus hattai, extinct)/
蝦夷羆 [えぞひぐま] /(n) (uk) Hokkaido brown bear (Ursus arctos yesoensis)/
蝦蟹 [えびがに] /(n) (uk) (col) crayfish (esp. red swamp crayfish, Procambarus clarkii)/
蝦虎魚 [はぜ] /(n) (1) goby (fish)/(2) yellowfin goby (Acanthogobius flavimanus)/
蝦腰 [えびごし] /(n) bent (with age)/
蝦錠 [えびじょう] /(n) padlock/
蝦責め [えびぜめ] /(n) Japanese bondage torture (bound victim sits cross-legged with their arms tied behind them, and the rope is tightened until their ankles touch their neck)/
蝦尾 [えびお] /(n) (1) goldfish with a shrimp-like tail/(2) head of a shamisen or lute (bent back like a shrimp's tail)/
蝦蔓 [えびづる] /(n) (uk) Vitis ficifolia (species of grapevine)/
蝦蔓虫 [えびづるむし] /(n) (uk) (obsc) clearwing moth larva/
蝦蛄 [しゃこ] /(n) (uk) mantis shrimp (any marine crustacean of order Stomatopoda, esp. the species Oratosquilla oratoria)/
蝦蛄葉サボテン [しゃこばサボテン] /(n) Christmas cactus/crab cactus/
蝦蟇 [かま] /(ok) (n) (uk) toad (esp. the Japanese toad, Bufo japonicus)/
蝦蟇 [がま] /(n) (uk) toad (esp. the Japanese toad, Bufo japonicus)/
蝦蟇 [がまがえる] /(n) (uk) toad (esp. the Japanese toad, Bufo japonicus)/
蝦蟇口 [がまぐち] /(n) pouch/purse/handbag/
蝦蟇腫 [がましゅ] /(n) ranula/
蝦蟇鮟鱇 [がまあんこう] /(n) (uk) toadfish (any fish of family Batrachoididae, esp. the Pacuma toadfish, Batrachoides surinamensis)/
蝦蟆 [かま] /(ok) (n) (uk) toad (esp. the Japanese toad, Bufo japonicus)/
蝦蟆 [がま] /(n) (uk) toad (esp. the Japanese toad, Bufo japonicus)/
課 [か] /(n,n-suf) (1) lesson/(2) section (in an organization)/division/department/(ctr) (3) counter for lessons and chapters (of a book)/(P)/
課す [かす] /(v5s,vt) to impose/
課する [かする] /(vs-s) to impose/(P)/
課の仕事 [かのしごと] /(n) job (responsibility) of a section/
課員 [かいん] /(n) section staff/(P)/
課外 [かがい] /(n,adj-no) extracurricular/
課外活動 [かがいかつどう] /(n) extracurricular activities/
課外授業 [かがいじゅぎょう] /(n) extracurricular lesson/
課業 [かぎょう] /(n) schoolwork/lessons/
課金 [かきん] /(n,vs) charges/billing/
課金データ [かきんデータ] /(n) (comp) billing data/
課金レコード [かきんんレコード] /(n) (comp) billing record/
課金機能 [かきんきのう] /(n) (comp) billing function/
課金情報 [かきんじょうほう] /(n) (comp) billing information/accounting information/
課金制 [かきんせい] /(n) (comp) rate structure/
課金制御データ [かきんせいぎょデータ] /(n) (comp) billing control data/
課金動作有効期間 [かきんどうさゆうこうきかん] /(n) (comp) accounting regime/
課制 [かせい] /(n) section system (companies)/
課税 [かぜい] /(n,vs) taxation/(P)/
課税価額 [かぜいかがく] /(n) taxable amount/
課税控除 [かぜいこうじょ] /(n,adj-no) tax exemption/
課税所得 [かぜいしょとく] /(n) taxable income/
課税証明書 [かぜいしょうめいしょ] /(n) tax declaration certificate/
課税標準 [かぜいひょうじゅん] /(n) base of taxation/
課税率 [かぜいりつ] /(n) tax rate/
課税漏れ [かぜいもれ] /(n) tax leakage/
課題 [かだい] /(n) subject/theme/task/challenge/issue/matter/(P)/
課題曲 [かだいきょく] /(n) set piece (of music)/
課徴金 [かちょうきん] /(n) charges (i.e. fees)/(P)/
課長 [かちょう] /(n) section manager/section chief/(P)/
課程 [かてい] /(n) course/curriculum/(P)/
課程博士 [かていはかせ] /(n) doctoral degree (e.g. PhD) after completing a course of study/
課程博士 [かていはくし] /(n) doctoral degree (e.g. PhD) after completing a course of study/
課目 [かもく] /(n) (school) subject/curriculum/course/(P)/
課役 [かえき] /(n) distribution of assignments/
貨 [たから] /(n) treasure/
貨客 [かきゃく] /(n) freight and passengers/
貨客船 [かかくせん] /(n) combined cargo and passenger ship/
貨客船 [かきゃくせん] /(n) combined cargo and passenger ship/
貨財 [かざい] /(n) wealth/worldly goods/
貨車 [かしゃ] /(n) freight car/van/(P)/
貨車渡し [かしゃわたし] /(n) free on rail/FOR/
貨殖 [かしょく] /(n) money-making/
貨物 [かぶつ] /(n) (1) cargo/freight/(2) money or assets/
貨物 [かもつ] /(n) (1) cargo/freight/(2) money or assets/(P)/
貨物運送 [かもつうんそう] /(n) freight transport/
貨物駅 [かもつえき] /(n) freight depot/
貨物自動車 [かもつじどうしゃ] /(n) truck/
貨物室 [かもつしつ] /(n) hold/
貨物車 [かもつしゃ] /(n) freight car/
貨物船 [かもつせん] /(n) freighter/
貨物便 [かもつびん] /(n) freight/
貨物保険 [かもつほけん] /(n) cargo insurance/
貨物輸送 [かもつゆそう] /(n) freight traffic (transportation)/freightage/shipment/
貨物列車 [かもつれっしゃ] /(n) freight train/
貨幣 [かへい] /(n,adj-no) money/currency/coinage/(P)/
貨幣価値 [かへいかち] /(n) currency value/(P)/
貨幣学 [かへいがく] /(n) numismatics/
貨幣経済 [かへいけいざい] /(n) monetary economy/
貨幣錯覚 [かへいさっかく] /(n) money illusion/
貨幣数量説 [かへいすうりょうせつ] /(n) quantity theory of money/
貨幣制度 [かへいせいど] /(n) currency system/
貨幣同盟 [かへいどうめい] /(n) monetary union/
迦具土神 [かぐつちのかみ] /(n) Kagutsuchi/fire deity who burned to death his mother Izanami during childbirth (and was therefore beheaded by his father Izanagi)/
迦葉仏 [かしょうぶつ] /(n) Kassapa Buddha/Kasyapa Buddha/Kashyapa Buddha/
迦楼羅 [かるら] /(n) Garuda or Garua (man-bird deity and 'vahana' of Hindu-Buddhist myth)/
過 [か] /(pref) (1) surplus- (attaches to start of Sino-Japanese words)/excess-/over-/(2) per- (chemical with more of a certain element than found in other compounds of the same constituents)/
過ぎ [すぎ] /(n,n-suf) (1) past/after/(2) too (much)/over (e.g. eating)/(P)/
過ぎこしかた [すぎこしかた] /(exp) (1) the past/bygone days (years, age, etc.)/(2) the course (route) one has come by/the direction one came from/
過ぎこし方 [すぎこしかた] /(exp) (1) the past/bygone days (years, age, etc.)/(2) the course (route) one has come by/the direction one came from/
過ぎたるは及ばざるがごとし [すぎたるはおよばざるがごとし] /(exp) the last drop makes the cup run over/too much of a good thing/less is more/
過ぎたるは猶及ばざるが如し [すぎたるはなおおよばざるがごとし] /(exp) the last drop makes the cup run over/too much of a good thing/less is more/
過ぎた事 [すぎたこと] /(n) bygones/the past/past event/
過ぎる [すぎる] /(v1,vi) (1) to pass through/to pass by/to go beyond/(2) to pass (i.e. of time)/to elapse/(3) to have expired/to have ended/to be over/(4) to exceed/to surpass/to be above/(5) to be no more than .../(v1,vi,suf) (6) (often used after adjective stems or the -masu stems of verbs) to be excessive/to be too much/to be too .../(P)/
過ぎる [よぎる] /(v5r) (uk) to go by/to cross/to pass by/to float across/
過ぎ越しの祭 [すぎこしのまつり] /(n) Passover/
過ぎ去った可能性 [すぎさったかのうせい] /(n) might-have-been/
過ぎ去る [すぎさる] /(v5r,vi) to pass/to pass away/
過ぎ行く [すぎいく] /(v5k-s,vi) to pass/to go past/
過ぎ行く [すぎゆく] /(v5k-s,vi) to pass/to go past/
過ぎ者 [すぎもの] /(n) someone (e.g. a woman) who is out of one's league/something beyond one's means/
過ぎ物 [すぎもの] /(n) someone (e.g. a woman) who is out of one's league/something beyond one's means/
過ぎ来し方 [すぎこしかた] /(exp) (1) the past/bygone days (years, age, etc.)/(2) the course (route) one has come by/the direction one came from/
過ごす [すごす] /(v5s,vt) (1) to pass (time)/to spend/(2) to overdo (esp. of one's alcohol consumption)/to drink (alcohol)/(3) (arch) to take care of/to support/(suf,v5s) (4) to overdo/to do too much/(5) to ... without acting on it/(P)/
過す [すごす] /(v5s,vt) (1) to pass (time)/to spend/(2) to overdo (esp. of one's alcohol consumption)/to drink (alcohol)/(3) (arch) to take care of/to support/(suf,v5s) (4) to overdo/to do too much/(5) to ... without acting on it/
過ち [あやまち] /(n) fault/error/indiscretion/faux pas/(P)/
過ちては則ち改むるに憚ること勿れ [あやまちてはすなわちあらたむるにはばかることなかれ] /(exp) do not delay to make amends for one's wrongs/
過ちて改めざるこれを過ちという [あやまちてあらためざるこれをあやまちという] /(exp,v5u) to err and not change one's ways, this is what it is to err (from Analects of Confucius)/
過ちて改めざる是を過ちという [あやまちてあらためざるこれをあやまちという] /(exp,v5u) to err and not change one's ways, this is what it is to err (from Analects of Confucius)/
過ちて改めざる是を過ちと謂う [あやまちてあらためざるこれをあやまちという] /(exp,v5u) to err and not change one's ways, this is what it is to err (from Analects of Confucius)/
過ちを改める [あやまちをあらためる] /(exp,v1) to correct a fault/
過ちを観て斯に仁を知る [あやまちをみてここにじんをしる] /(exp,v5r) to observe the reasons and types of faults a person makes is to come to know whether they are virtuous or not/
過ちを犯す [あやまちをおかす] /(exp,v5s) to make an error/
過ちを文る [あやまちをかざる] /(exp,v5r) to not try to fix an error but rather make it look good on the surface only/
過って [あやまって] /(exp) in error/by mistake/by accident/
過つ [あやまつ] /(v5t,vi) to err/
過る [よぎる] /(v5r) (uk) to go by/to cross/to pass by/to float across/
過マンガン酸カリウム [かマンガンさんカリウム] /(n) potassium permanganate/
過マンガン酸塩 [かマンガンさんえん] /(n) permanganate/
過ヨウ素酸 [かヨウそさん] /(n) periodic acid/
過圧密比 [かあつみつひ] /(n) overconsolidation ratio/
過越しの祭 [すぎこしのまつり] /(n) Passover/
過越の祭 [すぎこしのまつり] /(n) Passover/
過越祭 [すぎこしのまつり] /(n) Passover/
過越祭 [すぎこしまつり] /(n) Passover/
過塩化物 [かえんかぶつ] /(n) perchloride/
過塩素酸 [かえんそさん] /(n) perchloric acid/
過塩素酸塩 [かえんそさんえん] /(n) perchlorate/
過換気症候群 [かかんきしょうこうぐん] /(n) hyperventilation syndrome/
過雁 [かがん] /(n) flying goose/
過客 [かかく] /(n) traveller (passing through)/traveler/
過給機 [かきゅうき] /(n) supercharger/
過去 [かこ] /(n-adv,n) (1) the past/bygone days/the previous/(2) a past (i.e. a personal history one would prefer remained secret)/one's past/(3) (ling) past (tense)/preterit/preterite/(4) (Buddh) previous life/(P)/
過去のものになる [かこのものになる] /(exp,v5r) to become a thing of the past/
過去の遺産 [かこのいさん] /(exp) legacy of the past/
過去の再審 [かこのさいしん] /(n) historical revisionism/
過去の物になる [かこのものになる] /(exp,v5r) to become a thing of the past/
過去る [すぎさる] /(v5r,vi) to pass/to pass away/
過去完了 [かこかんりょう] /(n,adj-no) (ling) past perfect tense/
過去完了形 [かこかんりょうけい] /(n) (ling) past perfect tense/
過去形 [かこけい] /(n) (ling) past tense/
過去最悪 [かこさいあく] /(n,adj-no) record low/worst ever/
過去最高 [かこさいこう] /(n,adj-no) best ever/record high/
過去最多 [かこさいた] /(n) record highest (in number)/most on record/
過去最大 [かこさいだい] /(adj-no) largest ever/biggest/record/
過去時制 [かこじせい] /(n) (ling) past tense/preterit tense/
過去七仏 [かこしちぶつ] /(n) the seven previous incarnations of Buddha/
過去進行形 [かこしんこうけい] /(n) (ling) past progressive tense/
過去帳 [かこちょう] /(n) (family) death register/
過去分詞 [かこぶんし] /(n) (ling) past participle/
過去問 [かこもん] /(n) (abbr) past (exam) question collection/
過去問題集 [かこもんだいしゅう] /(n) past (exam) question collection/
過勤 [かきん] /(n) overwork/
過形成 [かけいせい] /(n) hyperplasia/
過激 [かげき] /(adj-na,n) extreme/radical/(P)/
過激思想 [かげきしそう] /(n) extremism/radical belief/
過激派 [かげきは] /(n) radical party/extremists/
過現未 [かげんみ] /(n) past, present and future/three temporal states of existence/
過言 [かごん] /(n) exaggeration/saying too much/(P)/
過呼吸 [かこきゅう] /(n) (abbr) hyperventilation/overbreathing/hyperpnea/overventilation/
過誤 [かご] /(n) mistake/fault/
過誤腫 [かごしゅ] /(n) hamartoma/benign malformation resembling a neoplasm/
過行く [すぎいく] /(v5k-s,vi) to pass/to go past/
過行く [すぎゆく] /(v5k-s,vi) to pass/to go past/
過酷 [かこく] /(adj-na,n) rigour/rigor/severity/cruelty/harsh/(P)/
過酷事故 [かこくじこ] /(n) severe accident (esp. relating to a nuclear reactor)/
過酸化ナトリウム [かさんかナトリウム] /(n) sodium peroxide/
過酸化バリウム [かさんかバリウム] /(n) barium peroxide/
過酸化ベンゾイル [かさんかベンゾイル] /(n) benzoyl peroxide/
過酸化脂質 [かさんかししつ] /(n) fatty acid peroxides/
過酸化水素 [かさんかすいそ] /(n) H2O2/hydrogen peroxide/
過酸化物 [かさんかぶつ] /(n,adj-no) peroxide/
過酸症 [かさんしょう] /(n) hyperacidity/
過失 [かしつ] /(n) (1) error/blunder/accident/(2) fault/defect/(P)/
過失を許す [かしつをゆるす] /(exp,v5s) to forgive a person for their error/to forgive someone for their mistake/
過失殺人 [かしつさつじん] /(n) negligent homicide/
過失傷害 [かしつしょうがい] /(n) accidental infliction of injury/
過失傷害罪 [かしつしょうがいざい] /(n) accidental infliction of injury/
過失責任主義 [かしつせきにんしゅぎ] /(n) fault liability principle/
過失致死 [かしつちし] /(n) involuntary manslaughter/accidental homicide/negligent homicide/(P)/
過失致死罪 [かしつちしざい] /(n) involuntary manslaughter/accidental homicide/
過失犯 [かしつはん] /(n) crime of negligence/careless offense/careless offence/
過者 [すぎもの] /(n) someone (e.g. a woman) who is out of one's league/something beyond one's means/
過重 [かじゅう] /(adj-na,n) overweight/
過熟児 [かじゅくじ] /(n) postmature infant/
過小 [かしょう] /(adj-na,n,adj-no) too small/
過小評価 [かしょうひょうか] /(n,vs,adj-no) underestimation/undervaluation/(P)/
過少 [かしょう] /(adj-na,n) too few/
過少申告 [かしょうしんこく] /(n) under-reporting (e.g. income on a tax return)/
過称 [かしょう] /(n,vs) undeserved praise/
過賞 [かしょう] /(n,vs) undeserved praise/
過剰 [かじょう] /(adj-na,n) excess/over-/(P)/
過剰規制 [かじょうきせい] /(n) (comp) overregulation/
過剰消費 [かじょうしょうひ] /(n) over-consumption/
過剰人口 [かじょうじんこう] /(n) surplus population/
過剰生産 [かじょうせいさん] /(n) overproduction/
過剰摂取 [かじょうせっしゅ] /(n,vs) overdose/excessive consumption/
過剰投資 [かじょうとうし] /(n) overinvestment/
過剰投与 [かじょうとうよ] /(n) overdosage/
過剰反応 [かじょうはんのう] /(n) overreaction/
過剰防衛 [かじょうぼうえい] /(n) excessive or unjustifiable self-defense (defence)/
過剰利益 [かじょうりえき] /(n) excess profit/
過剰流動性 [かじょうりゅうどうせい] /(n) excess liquidity/
過食 [かしょく] /(n,vs) overeating/
過食症 [かしょくしょう] /(n) binge eating/bulimarexia/
過信 [かしん] /(n,vs) trusting too much/overestimating ability/
過振り [かぶり] /(n) overdraft/overdraught/
過疎 [かそ] /(n,adj-no) depopulation/(P)/
過疎る [かそる] /(v5r) (comp) (sl) to lose population (e.g. of active forum members, etc.)/
過疎化 [かそか] /(n) depopulation/declining population/
過疎地 [かそち] /(n,adj-no) underpopulated area/lightly-populated area/
過疎地域 [かそちいき] /(n) underpopulated area/lightly-populated area/
過多 [かた] /(adj-na,n) excess/superabundance/(P)/
過怠 [かたい] /(n) negligence/carelessness/mistake/
過大 [かだい] /(adj-na,n,adj-no) excessive/too much/unreasonable/(P)/
過大視 [かだいし] /(n,vs) overestimation/
過大評価 [かだいひょうか] /(n,vs,adj-no) overestimation/overvaluing/
過程 [かてい] /(n) process/course/mechanism/(P)/
過電圧 [かでんあつ] /(n) overpotential/over-voltage/
過電流 [かでんりゅう] /(n) excess current/over current/
過渡 [かと] /(n) (1) crossing/ferry/(2) transient/(3) changing old to new/(P)/
過渡期 [かとき] /(n,adj-no) transition period/(P)/
過渡現象 [かとげんしょう] /(n) transient/
過渡的 [かとてき] /(adj-na) transitional/
過度 [かど] /(adj-na,n,adj-no) excess/immoderation/(P)/
過度の弁解 [かどのべんかい] /(n) profuse apology/
過当 [かとう] /(adj-na,n) excessive/exorbitant/(P)/
過当競争 [かとうきょうそう] /(n) excessive competition/
過日 [かじつ] /(n-adv,n-t) recently/the other day/
過熱 [かねつ] /(n,vs) superheating/overheating/(P)/
過熱器 [かねつき] /(n) superheater/
過熱蒸気 [かねつじょうき] /(n) superheated vapor/superheated vapour/
過年度 [かねんど] /(n) past financial year/
過半 [かはん] /(n,adj-no) the greater part/
過半数 [かはんすう] /(n) majority/(P)/
過般 [かはん] /(n-adv,n-t) some time ago/recently/
過般来 [かはんらい] /(adv) for some time/
過敏 [かびん] /(adj-na,n) nervousness/oversensitivity/(P)/
過敏症 [かびんしょう] /(n) hypersensitivity/
過敏性大腸症候群 [かびんせいだいちょうしょうこうぐん] /(n) irritable colon syndrome/
過敏性腸症候群 [かびんせいちょうしょうこうぐん] /(n) irritable bowel syndrome/IBS/
過不及 [かふきゅう] /(n) excess or deficiency/
過不足 [かふそく] /(n) excess or deficiency/too much or too little/
過不足 [かぶそく] /(ik) (n) excess or deficiency/too much or too little/
過負荷 [かふか] /(n) (comp) overload/
過払 [かばらい] /(n,vs) over-payment/
過物 [すぎもの] /(n) someone (e.g. a woman) who is out of one's league/something beyond one's means/
過分 [かぶん] /(adj-na,n,adj-no) excessive/unmerited/generous/
過保護 [かほご] /(adj-na,n) excessive care/
過褒 [かほう] /(n) overpraise/
過飽和 [かほうわ] /(n) supersaturation/
過飽和蒸気 [かほうわじょうき] /(n) supersaturated vapor/supersaturated vapour/
過飽和溶液 [かほうわようえき] /(n) supersaturated solution/
過密 [かみつ] /(adj-na,n,adj-no) overcrowding/crowded/(P)/
過密都市 [かみつとし] /(n) overcrowded city/
過眠症 [かみんしょう] /(n) hypersomnia/
過沃素酸 [かようそさん] /(n) periodic acid/
過硫酸 [かりゅうさん] /(n) persulphuric acid/persulfuric acid/
過料 [かりょう] /(n) correctional fine/
過量 [かりょう] /(n) overdose/overdosage/
過燐酸 [かりんさん] /(n) superphosphate/
過燐酸石灰 [かりんさんせっかい] /(n) superphosphate of lime/
過冷却 [かれいきゃく] /(n,vs) excessive cooling/supercooling/
過労 [かろう] /(n,adj-no) overwork/strain/(P)/
過労死 [かろうし] /(n) (col) death from overwork and mental stress/karoshi/
霞 [かすみ] /(n) (1) haze (esp. in spring)/mist/(2) dimness (of sight)/(P)/
霞が関 [かすみがせき] /(n) (1) area in Tokyo/(2) Japanese government departments (euph)/
霞む [かすむ] /(v5m,vi) (1) to grow hazy/to be misty/(2) to get blurry/(3) to be overshadowed/(P)/
霞を食う [かすみをくう] /(exp,v5u) (1) to live on air/(2) to derive nourishment from an elemental portion of mist or fog (the goal of a mountain ascetic)/
霞ケ関 [かすみがせき] /(n) (1) area in Tokyo/(2) Japanese government departments (euph)/
霞ヶ関 [かすみがせき] /(n) (1) area in Tokyo/(2) Japanese government departments (euph)/
霞桜 [かすみざくら] /(n) (uk) Korean hill cherry (Prunus verecunda)/
霞石 [かすみいし] /(n) nepheline/
霞草 [かすみそう] /(n) baby's-breath/
霞網 [かすみあみ] /(n) fowling net/
蚊 [か] /(n) mosquito/(P)/
蚊のささやくような声 [かのささやくようなこえ] /(exp) faint voice/
蚊の泣くような声 [かのなくようなこえ] /(n) very thin voice/
蚊の食う程 [かのくうほど] /(n) not be worried about anything/
蚊の鳴くような声 [かのなくようなこえ] /(n) very thin voice/
蚊の鳴く様な声 [かのなくようなこえ] /(n) very thin voice/
蚊の涙 [かのなみだ] /(n) pittance/something very small/
蚊の囁くような声 [かのささやくようなこえ] /(exp) faint voice/
蚊トンボ [かトンボ] /(n) (1) crane fly/daddy longlegs (insect of family Tipulidae)/(2) (derog) a tall, gangly person/string bean/
蚊屋 [かや] /(n) mosquito net/
蚊火 [かひ] /(n) smoky fire to repel mosquitoes/
蚊火 [かび] /(n) smoky fire to repel mosquitoes/
蚊火屋 [かひや] /(n) (arch) hut where a fire was kept to keep deer, wild boars, etc. away from fields/hut where a mosquito-repelling fire was kept/
蚊火屋 [かびや] /(n) (arch) hut where a fire was kept to keep deer, wild boars, etc. away from fields/hut where a mosquito-repelling fire was kept/
蚊遣 [かやり] /(n) outdoor fire with dense smoke to repel mosquitos/mosquito-fumigation/
蚊遣り [かやり] /(n) outdoor fire with dense smoke to repel mosquitos/mosquito-fumigation/
蚊遣り火 [かやりび] /(n) smoky fire to repel mosquitoes/
蚊遣器 [かやりき] /(n) device to repel mosquitoes by fumigation/
蚊取り [かとり] /(n,adj-no) mosquito repellent/
蚊取り線香 [かとりせんこう] /(n) mosquito coil/anti-mosquito incense/
蚊取線香 [かとりせんこう] /(n) mosquito coil/anti-mosquito incense/
蚊食い鳥 [かくいどり] /(n) (obsc) bat/
蚊食鳥 [かくいどり] /(n) (obsc) bat/
蚊針 [かばり] /(n) fishing fly/
蚊絶 [かだやし] /(n) (uk) mosquitofish (Gambusia affinis)/mosquito fish/gambusia/
蚊絶やし [かだやし] /(n) (uk) mosquitofish (Gambusia affinis)/mosquito fish/gambusia/
蚊柱 [かばしら] /(n) mosquito swarm/
蚊帳 [かや] /(n) mosquito net/(P)/
蚊帳の外 [かやのそと] /(exp) leaving out of an event/treating as an outsider (lit: outside the mosquito net)/
蚊帳吊草 [かやつりぐさ] /(n) (1) (uk) galingale (any plant of genus Cyperus, esp. species Cyperus microiria)/
蚊帳吊草 [しゃそう] /(n) (1) (uk) galingale (any plant of genus Cyperus, esp. species Cyperus microiria)/(2) nut grass (Cyperus rotundus)/
蚊母鳥 [ぶんぼちょう] /(n) (1) (uk) grey nightjar (Caprimulgus indicus)/(2) (uk) nightjar (any bird of family Caprimulgidae)/goatsucker/
蚊母鳥 [よたか] /(n) (1) (uk) grey nightjar (Caprimulgus indicus)/(2) (uk) nightjar (any bird of family Caprimulgidae)/goatsucker/
蚊燻 [かいぶし] /(n) outdoor fire with dense smoke to repel mosquitoes/
蚊燻 [かやり] /(io) (n) outdoor fire with dense smoke to repel mosquitos/mosquito-fumigation/
蚊燻り火 [かやりび] /(n) smoky fire to repel mosquitoes/
蚊蜻蛉 [かとんぼ] /(n) (1) crane fly/daddy longlegs (insect of family Tipulidae)/(2) (derog) a tall, gangly person/string bean/
蚊鉤 [かばり] /(n) fishing fly/
俄 [にわか] /(adj-na,n) sudden/abrupt/unexpected/improvised/offhand/(P)/
俄か [にわか] /(adj-na,n) sudden/abrupt/unexpected/improvised/offhand/
俄か雨 [にわかあめ] /(n,adj-no) rain shower/
俄に [にわかに] /(adv) suddenly/(P)/
俄雨 [にわかあめ] /(n,adj-no) rain shower/(P)/
俄狂言 [にわかきょうげん] /(n) impromptu skit/(theatrical) farce/
俄景気 [にわかげいき] /(n) temporary boom/
俄仕込み [にわかじこみ] /(n) hasty preparation/
俄仕立て [にわかじたて] /(exp) extemporary/improvised/extemporaneous/
俄成金 [にわかなりきん] /(n) overnight millionaire/
俄雪 [にわかゆき] /(n) sudden snowfall/
俄然 [がぜん] /(adv) suddenly/all of a sudden/abruptly/
俄造り [にわかづくり] /(n) makeshift/improvised/
俄分限 [にわかぶんげん] /(n) mushroom millionaire/
俄勉強 [にわかべんきょう] /(n) cramming/
俄盲 [にわかめくら] /(n) (1) (sens) sudden blindness/(2) one suddenly blinded/
峨々 [がが] /(adj-t) rugged (e.g. mountains)/
峨峨 [がが] /(adj-t) rugged (e.g. mountains)/
我 [あ] /(ok) (pn,adj-no) (1) I/me/
我 [あれ] /(ok) (pn,adj-no) (1) I/me/
我 [が] /(n) (1) (Buddh) obstinacy/(2) atman/the self/the ego/
我 [わ] /(pn,adj-no) (1) I/me/(2) oneself/(3) (arch) you/(pref) (4) (arch) prefix indicating familiarity or contempt/
我 [わが] /(adj-pn) my/our/one's own/
我 [わぬ] /(ok) (pn,adj-no) (1) I/me/
我 [われ] /(pn,adj-no) (1) I/me/(2) oneself/(3) (arch) you/(P)/
我 [わろ] /(ok) (pn,adj-no) (1) I/me/
我々 [われわれ] /(pn,adj-no) we/(P)/
我が [わが] /(adj-pn) my/our/one's own/(P)/
我がち [われがち] /(adj-na) everybody for himself/everyone for themselves/
我がちに [われがちに] /(adv) every man for himself/
我がまま [わがまま] /(adj-na,n) (1) selfishness/egoism/self-indulgence/wilfulness/willfulness/(2) disobedience/(3) whim/
我が意を得たり [わがいをえたり] /(exp) that's just what I thought/that's exactly like I feel/that's exactly what I think, too/
我が意を得る [わがいをえる] /(exp,v1) to approve of/
我が家 [わがいえ] /(n) our house/our home/
我が家 [わがや] /(n) our house/our home/(P)/
我が強い [ががつよい] /(adj-i) egoistic/selfish/self-willed/
我が君 [わがきみ] /(n) my lord/
我が校 [わがこう] /(exp,n) our school/my school/
我が国 [わがくに] /(n) our country/our land/one's own country/(P)/
我が妻 [わがつま] /(n) my spouse (esp. used to refer to one's wife)/my wife/my husband/
我が子 [わがこ] /(n) one's own child/one's own children/
我が事 [わがこと] /(n) personal affair/one's own affair/
我が事成れり [わがことなれり] /(exp) (arch) I've done my part/
我が社 [わがしゃ] /(n) our company/my company/
我が身 [わがみ] /(n) (1) myself/oneself/(pn) (2) (arch) I/me/(3) (arch) (fam) you (referring to one's inferior)/
我が身をつねって人の痛さを知れ [わがみをつねってひとのいたさをしれ] /(exp) (id) you can't appreciate others' suffering until you've gone through it yourself/pinch oneself and know others' pain/
我が身を恨む [わがみをうらむ] /(exp,v5m) to blame oneself/
我が身を抓って人の痛さを知れ [わがみをつねってひとのいたさをしれ] /(exp) (id) you can't appreciate others' suffering until you've gone through it yourself/pinch oneself and know others' pain/
我が世の春 [わがよのはる] /(n) heyday/prime/
我が党 [わがとう] /(n) (1) my party/our party/(2) (arch) I/me/(3) (arch) you/
我が闘争 [わがとうそう] /(n) Mein Kampf (by Adolf Hitler, 1925-1926)/
我が輩 [わがはい] /(pn,adj-no) (1) (arch) (male) I (nuance of arrogance)/me/myself/(2) we/us/ourselves/
我が夫 [わがつま] /(n) my spouse (esp. used to refer to one's wife)/my wife/my husband/
我が物 [わがもの] /(n) one's own property/possessions/
我が物顔 [わがものがお] /(adj-na,n) looking or acting as if one owned the place/
我が侭 [わがまま] /(adj-na,n) (1) selfishness/egoism/self-indulgence/wilfulness/willfulness/(2) disobedience/(3) whim/
我が儘 [わがまま] /(adj-na,n) (1) selfishness/egoism/self-indulgence/wilfulness/willfulness/(2) disobedience/(3) whim/(P)/
我しらず [われしらず] /(adv) involuntarily/instinctively/without realizing/
我ながら [われながら] /(adv) even if I say so myself/for me (to do such a thing)/
我にもなく [われにもなく] /(adv) in spite of oneself/absently/involuntarily/
我にも非ず [われにもあらず] /(adv) absentmindedly/in spite of oneself/
我にも無く [われにもなく] /(adv) in spite of oneself/absently/involuntarily/
我に返る [われにかえる] /(exp,v5r) (1) to come to one's senses/(2) to calm down/
我の強い [がのつよい] /(adj-i) egoistic/selfish/self-willed/
我も我も [われもわれも] /(n) vying with one another/
我ら [われら] /(pn,adj-no) (1) we/us/(2) (arch) I/me/(3) (arch) you (referring to a group of one's equals or inferiors)/(P)/
我れ [あれ] /(io) (ok) (pn,adj-no) (1) I/me/
我れ [われ] /(io) (pn,adj-no) (1) I/me/(2) oneself/(3) (arch) you/
我を出す [がをだす] /(exp,v5s) to insist on one's own ideas/
我を折る [がをおる] /(exp,v5r) to concede a point/to yield/to give in/
我を張る [がをはる] /(exp,v5r) to insist on one's own ideas/
我を通す [がをとおす] /(exp,v5s) to insist on one's own ideas/to have one's own way/
我を忘れる [われをわすれる] /(exp,v1) to forget oneself/to lose control of oneself/
我を立てる [がをたてる] /(exp,v1) to insist on one's own ideas/
我意 [がい] /(n) self-will/obstinacy/
我家 [わがいえ] /(n) our house/our home/
我家 [わがや] /(n) our house/our home/
我我 [われわれ] /(pn,adj-no) we/
我楽多 [がらくた] /(ateji) (n) (uk) junk/rubbish/trash/garbage/odds and ends/
我楽多市 [がらくたいち] /(n) rummage sale/
我関せず [われかんせず] /(exp) no concern of mine/nothing to do with me/
我見 [がけん] /(n) selfish mind/
我国 [わがくに] /(n) our country/our land/one's own country/
我思うゆえに我あり [われおもうゆえにわれあり] /(exp) I think, therefore I am/
我思う故に我あり [われおもうゆえにわれあり] /(exp) I think, therefore I am/
我思う故に我在り [われおもうゆえにわれあり] /(exp) I think, therefore I am/
我思う故に我有り [われおもうゆえにわれあり] /(iK) (exp) I think, therefore I am/
我事 [わがこと] /(n) personal affair/one's own affair/
我執 [がしゅう] /(n) egotism/obstinacy/
我社 [わがしゃ] /(n) our company/my company/
我主 [わぬし] /(n) (arch) you (familiar or derogatory)/
我宗の徒 [わがしゅうのと] /(n) believer of my denomination/
我勝ち [われがち] /(adj-na) everybody for himself/everyone for themselves/
我勝ちに [われがちに] /(adv) every man for himself/
我情 [がじょう] /(n) selfishness/bias/personal feelings/
我心 [わがこころ] /(n) my heart/
我身 [わがみ] /(io) (n) (1) myself/oneself/(pn) (2) (arch) I/me/(3) (arch) (fam) you (referring to one's inferior)/
我人 [わひと] /(n) (arch) you (nuance of either deep affection or contempt)/
我人 [われひと] /(n) myself and others/
我人ども [わひとども] /(n) (arch) you (familiar or derog.; usu. plural)/
我先に [われさきに] /(adv) self first/striving to be first/scrambling for/
我僧 [わそう] /(n) (arch) (vocative) monk (familiar or derogatory)/
我知らず [われしらず] /(adv) involuntarily/instinctively/without realizing/
我殿 [わどの] /(n) (arch) you (familiar or derogatory)/
我田引水 [がでんいんすい] /(n) seeking one's own interests/straining (the interpretation or argument) to suit one's own interests/drawing water for one's own field/
我党 [わがとう] /(n) (1) my party/our party/(2) (arch) I/me/(3) (arch) you/
我等 [われら] /(pn,adj-no) (1) we/us/(2) (arch) I/me/(3) (arch) you (referring to a group of one's equals or inferiors)/
我乍ら [われながら] /(adv) even if I say so myself/for me (to do such a thing)/
我輩 [わがはい] /(pn,adj-no) (1) (arch) (male) I (nuance of arrogance)/me/myself/(2) we/us/ourselves/
我武者羅 [がむしゃら] /(adj-na,n) reckless/daredevil/
我物 [わがもの] /(n) one's own property/possessions/
我物顔 [わがものがお] /(adj-na,n) looking or acting as if one owned the place/
我方 [わがほう] /(n) our side/we/
我褒め [われぼめ] /(n) self-praise/
我侭 [わがまま] /(adj-na,n) (1) selfishness/egoism/self-indulgence/wilfulness/willfulness/(2) disobedience/(3) whim/
我慢 [がまん] /(n,vs) patience/endurance/perseverance/tolerance/self-control/self-denial/(P)/
我慢しないで [がまんしないで] /(exp) without restraint/without hesitation/without holding back/
我慢強い [がまんづよい] /(adj-i) (very) patient/persevering/
我慢汁 [がまんじる] /(n) (sl) pre-ejaculate/pre-ejaculatory fluid/Cowper's fluid/slang: pre-cum, dog water, speed drop/
我慢比べ [がまんくらべ] /(n) contest of endurance/
我欲 [がよく] /(n) selfishness/
我利 [がり] /(n) self interest/
我利我利 [がりがり] /(adj-na,n) (1) (uk) skin and bones/appearing to be underweight/(adv) (2) with a grinding, crunching, scratching (sound)/(3) desperately/recklessly/(adj-no) (4) crunchy hardness/(5) selfishness/selfish person/
我利我利亡者 [がりがりもうじゃ] /(n) greedy or grasping person/
我利勉 [がりべん] /(n,vs) drudge/grind/someone who studies too much/cram-study (for exam, etc.)/
我流 [がりゅう] /(n,adj-no) self-taught/one's own way/
我郎 [わろ] /(n) (1) (arch) boy (sometimes derog.)/(pn) (2) (fam) you/
我郎 [わろう] /(n) (1) (arch) boy (sometimes derog.)/(pn) (2) (fam) you/
我儘 [わがまま] /(adj-na,n) (1) selfishness/egoism/self-indulgence/wilfulness/willfulness/(2) disobedience/(3) whim/
牙 [きば] /(n) tusk/fang/
牙をとぐ [きばをとぐ] /(exp,v5g) to sharpen one's fangs/
牙を研ぐ [きばをとぐ] /(exp,v5g) to sharpen one's fangs/
牙海蜷 [きばうみにな] /(n) (uk) mud creeper (Terebralia palustris)/
牙関緊急 [がかんきんきゅう] /(n) trismus/lockjaw/
牙城 [がじょう] /(n) stronghold (esp. of an enemy or opponent)/inner citadel/bastion/
牙婆 [すあい] /(n) (arch) broker/brokerage/brokerage fee/
牙婆 [すわい] /(n) (arch) broker/brokerage/brokerage fee/
牙保 [がほ] /(n) brokerage/mediation/fencing (of stolen goods)/
牙竜 [がりゅう] /(n) dragon's fang/
牙龍 [がりゅう] /(n) dragon's fang/
牙纛 [がとう] /(n) flagstaff decorated with ivory carried by the emperor or a general/
画 [え] /(iK) (n,n-suf) picture/drawing/painting/sketch/
画 [かく] /(n,n-suf,ctr) stroke (of a kanji, etc.)/(P)/
画 [が] /(n) picture/drawing/painting/sketch/
画く [えがく] /(v5k,vt) (1) to draw/to paint/to sketch/(2) to depict/to describe/
画く [かく] /(v5k,vt) (1) to draw/to paint/to sketch/
画す [かくす] /(v5s,vt) (1) to draw (a line)/(2) to demarcate/to mark/to divide/to map out/(3) to plan/
画する [かくする] /(vs-s,vt) (1) to draw (a line)/(2) to demarcate/to mark/to divide/to map out/(3) to plan/(P)/
画びょう [かくびょう] /(n) push-pin/
画びょう [がびょう] /(n) drawing pin/thumb tack/
画意 [がい] /(n) meaning of a picture/
画一 [かくいつ] /(adj-na,n) uniformity/standardization/standardisation/(P)/
画一化 [かくいつか] /(n,vs) standardization/standardisation/
画一思考 [かくいつしこう] /(n) uniformity of thought/uniform thinking/
画一主義 [かくいつしゅぎ] /(n) standardization/standardisation/
画一的 [かくいつてき] /(adj-na) uniform/standard/
画因 [がいん] /(n) art motif/
画引 [かくびき] /(n) arranged by strokes/
画引き [かくびき] /(n) arranged by strokes/
画家 [がか] /(n,adj-no) painter/artist/(P)/
画架 [がか] /(n) easel/
画架座 [がかざ] /(n) (constellation) Pictor/
画会 [がかい] /(n) artists' patrons' association/
画角 [がかく] /(n) angle of view (rel. to cameras)/
画学 [ががく] /(n) drawing/
画学紙 [ががくし] /(n) drawing paper/
画学生 [ががくせい] /(n) art student/
画期 [かっき] /(n) ground-breaking/epoch (making)/(P)/
画期的 [かっきてき] /(adj-na) ground-breaking/epoch-making/(P)/
画境 [がきょう] /(n) feeling or atmosphere or mood of a painting/the mood to paint/
画業 [がぎょう] /(n) works of painting/
画工 [えだくみ] /(n) painter/artist/
画工 [がこう] /(n) painter/artist/
画稿 [がこう] /(n) sketch/
画才 [がさい] /(n) artistic talent/
画材 [がざい] /(n) matter for painting/
画策 [かくさく] /(n,vs) plan/scheme/program formulation/programme formulation/maneuver/manoeuvre/
画讃 [がさん] /(n) legend over a picture/inscription (legend, writing) on a painting/
画賛 [がさん] /(n) legend over a picture/inscription (legend, writing) on a painting/
画師 [えし] /(n) painter/artist/painter supported by patron/
画師 [がし] /(n) painter/artist/painter supported by patron/
画紙 [がし] /(n) drawing paper/
画室 [がしつ] /(n) art studio/
画質 [がしつ] /(n) image quality (film, video, etc.)/
画蛇添足 [がだてんそく] /(n) making an unnecessary addition (to)/gilding the lily/
画手 [がしゅ] /(n) painter/artist/
画趣 [がしゅ] /(n) picturesqueness/
画集 [がしゅう] /(n) book of paintings in print/(P)/
画匠 [がしょう] /(n) painter/artist/
画商 [がしょう] /(n) picture dealer/(P)/
画障 [がしょう] /(n) pictured paper doors/
画心 [がしん] /(n) artistic instinct/
画人 [がじん] /(n) painter/artist/
画数 [かくすう] /(n) stroke count/(P)/
画世的 [かくせいてき] /(adj-na) epoch-making/
画聖 [がせい] /(n) master painter/
画仙紙 [がせんし] /(n) drawing paper/
画然 [かくぜん] /(n,adj-t,adv-to) distinct/clear-cut/sharp/
画素 [がそ] /(n) picture element/image pixel/PEL/
画素間隔 [がそかんかく] /(n) (comp) pel spacing/
画素進行方向 [がそしんこうほうこう] /(n) (comp) pel path/
画素配列 [がそはいれつ] /(n) (comp) pel array/
画僧 [がそう] /(n) artist-monk/
画像 [がぞう] /(n) image/picture/portrait/(P)/
画像データ [がぞうデータ] /(n) (comp) video data/
画像パターン認識 [がぞうパターンにんしき] /(n) (comp) pictorial pattern recognition/
画像ファイル [がぞうファイル] /(n) (comp) graphics file/
画像圧縮 [がぞうあっしゅく] /(n) (comp) image compression/
画像圧縮技術 [がぞうあっしゅくぎじゅつ] /(n) (comp) image compression technology/
画像資料 [がぞうしりょう] /(n) (comp) iconic document/
画像処理 [がぞうしょり] /(n) image processing/
画像処理装置 [がぞうしょりそうち] /(n) image processing equipment/
画像情報 [がぞうじょうほう] /(n) (comp) image information/image data/
画像診断 [がぞうしんだん] /(n) image diagnosis/
画像要素 [がぞうようそ] /(n) (comp) picture element/pel/
画像劣化 [がぞうれっか] /(n) (comp) image, video degradation/
画題 [がだい] /(n) motif/theme/subject (of picture)/
画壇 [がだん] /(n) artists' world/painting circles/
画談 [がだん] /(n) discussions on art and painting/
画帖 [がじょう] /(n) picture album/
画帳 [がちょう] /(n) picture album/
画調 [がちょう] /(n) tone of an image/
画定 [かくてい] /(n,vs) demarcation/
画道 [がどう] /(n) art of painting/
画伯 [がはく] /(n) (hon) master painter/artist/(P)/
画板 [がばん] /(n) drawing board/drafting board/draughting board/
画眉 [がび] /(n) penciling eyebrows/
画眉鳥 [ほおじろ] /(n) (1) (uk) meadow bunting (species of passerine, Emberiza cioides)/
画筆 [がひつ] /(n) artist's brush/
画鋲 [がびょう] /(n) drawing pin/thumb tack/
画布 [がふ] /(n) (oil painting) canvas/
画譜 [がふ] /(n) picture book or album/
画風 [がふう] /(n) style of painting/
画幅 [がふく] /(n) picture scroll/
画報 [がほう] /(n) illustrated news magazine/pictorial/
画法 [がほう] /(n) art of drawing and painting/
画法幾何学 [がほうきかがく] /(n) descriptive geometry/
画房 [がぼう] /(n) artist's studio/workshop/studio/atelier/
画本 [がほん] /(n) picture copybook/
画面 [えづら] /(iK) (n) the impression given by a painting or image/
画面 [がめん] /(n) terminal screen/scene/picture/the field (in TV)/photo/(P)/
画面サイズ [がめんサイズ] /(n) (comp) screen size/
画面取り込み [がめんとりこみ] /(n) (comp) screen capture/
画面上 [がめんじょう] /(n,adj-no) (comp) on-screen/
画面静止 [がめんせいし] /(n) (comp) screen capture/
画面中央 [がめんちゅうおう] /(n) middle of the screen/
画面分割 [がめんぶんかつ] /(n) (comp) screen separation/
画餅 [がへい] /(n) failure/fiasco/rice-cake painting/collapse/something of little value/
画餅 [がべい] /(n) failure/fiasco/rice-cake painting/collapse/something of little value/
画用紙 [がようし] /(n) drawing paper/(P)/
画竜天睛 [がりゅうてんせい] /(iK) (ik) (n) finishing touch/completing (something) by executing the final, critical step/
画竜天睛 [がりょうてんせい] /(iK) (n) finishing touch/completing (something) by executing the final, critical step/
画竜点睛 [がりゅうてんせい] /(ik) (n) finishing touch/completing (something) by executing the final, critical step/
画竜点睛 [がりょうてんせい] /(n) finishing touch/completing (something) by executing the final, critical step/
画龍点睛 [がりゅうてんせい] /(ik) (n) finishing touch/completing (something) by executing the final, critical step/
画龍点睛 [がりょうてんせい] /(n) finishing touch/completing (something) by executing the final, critical step/
画廊 [がろう] /(n) (picture) gallery/(P)/
画楼 [がろう] /(n) picture gallery/high decorated building/
画舫 [がぼう] /(n) exquisitely decorated pleasure boat/
画讚 [がさん] /(oK) (n) legend over a picture/inscription (legend, writing) on a painting/
臥し転ぶ [ふしまろぶ] /(v5b,vi) to fall and roll over/wriggle about/
臥す [がす] /(v5s,vi) (obsc) to lie down (in bed)/to take to one's bed/
臥す [ふす] /(v5s,vi) to lie down (in bed)/
臥する [がする] /(vs-s,vi) (obsc) to lie down (in bed)/to take to one's bed/
臥せる [ふせる] /(v5r,vt) to lie down/to retire/to go to bed/
臥所 [ふしど] /(n) bed/
臥床 [がしょう] /(n,vs) confined to bed/
臥薪嘗胆 [がしんしょうたん] /(n,vs) going through thick and thin to attain one's objective/enduring unspeakable hardships for the sake of vengeance/
臥竜 [がりゅう] /(n) (1) great man/exceptional person hidden among the masses/(2) reclining dragon/
臥竜 [がりょう] /(n) (1) great man/exceptional person hidden among the masses/(2) reclining dragon/
臥竜鳳雛 [がりょうほうすう] /(n) gifted young person who shows much promise/unrecognized genius/great person whose talent is hidden under a bushel/
臥龍 [がりゅう] /(n) (1) great man/exceptional person hidden among the masses/(2) reclining dragon/
臥龍 [がりょう] /(n) (1) great man/exceptional person hidden among the masses/(2) reclining dragon/
臥龍点睛 [がりゅうてんせい] /(iK) (ik) (n) finishing touch/completing (something) by executing the final, critical step/
臥龍点睛 [がりょうてんせい] /(iK) (n) finishing touch/completing (something) by executing the final, critical step/
芽 [め] /(n) sprout/(P)/
芽が出る [めがでる] /(exp,v1) (1) to bud/to sprout/to germinate/(2) to have luck on one's side/to get lucky/
芽ぐむ [めぐむ] /(v5m,vi) to bud/to sprout/
芽ぶく [めぶく] /(v5k,vi) to bud/
芽を出す [めをだす] /(exp,v5s) to sprout/to put forth buds/
芽を摘む [めをつむ] /(exp,v5m) to nip something in the bud/to nip the buds/
芽キャベツ [めキャベツ] /(n) Brussels sprouts/
芽株 [めかぶ] /(n) thick wakame leaves, from near the stalk/
芽株 [めかぶら] /(n) thick wakame leaves, from near the stalk/
芽子 [はぎ] /(n) (1) (uk) bush clover/Japanese clover (any flowering plant of genus Lespedeza)/(2) dark red exterior with blue interior (color combination worn in autumn)/
芽出し [めだし] /(n) sprouting/sprout/
芽出度い [めでたい] /(ateji) (adj-i) (1) (uk) happy/auspicious/propitious/joyous/(2) naive/
芽条変異 [がじょうへんい] /(n) bud mutation/
芽吹く [めぶく] /(v5k,vi) to bud/
芽生え [めばえ] /(n) bud/sprout/(P)/
芽生える [めばえる] /(v1,vi) to bud/to sprout/
芽接ぎ [めつぎ] /(n) bud grafting/
芽茶 [めちゃ] /(n) coarse broken tea leaves and buds generated during the sifting process/
芽胞 [がほう] /(n,adj-no) spore/
芽立ち [めだち] /(n) bud/sprout/
芽鱗 [がりん] /(n) bud scale (scaly leaf protecting a bud)/
蛾 [が] /(n) moth/
蛾目 [がもく] /(n) Lepidoptera/
賀 [が] /(n) congratulation/
賀す [がす] /(v5s,vt) to congratulate/
賀する [がする] /(vs-s,vt) to congratulate/
賀の祝 [がのいわい] /(n) longevity celebration (of age 42, 61, 70, 77, 80, 88, 90 or 99)/
賀の祝い [がのいわい] /(n) longevity celebration (of age 42, 61, 70, 77, 80, 88, 90 or 99)/
賀意 [がい] /(n) congratulatory feeling/
賀宴 [がえん] /(n) banquet/
賀慶 [がけい] /(n) congratulation/
賀詞 [がし] /(n) congratulations/greetings/
賀詞交換 [がしこうかん] /(n) New Year greetings (parties)/
賀春 [がしゅん] /(exp) New Year greeting/
賀状 [がじょう] /(n) New Year's card/(P)/
賀正 [がしょう] /(n) A Happy New Year!/(P)/
賀正 [がせい] /(n) A Happy New Year!/
賀表 [がひょう] /(n) congratulatory card or letter sent to the Emperor/congratulatory address/
雅 [が] /(n,adj-na) (1) (arch) elegance/grace/(n) (2) festal song (genre of the Shi Jing)/
雅 [みやび] /(n,adj-na) refinement/elegance/
雅び [みやび] /(n,adj-na) refinement/elegance/
雅びた [みやびた] /(adj-f) elegant/graceful/
雅びやか [みやびやか] /(adj-na,n) elegant/graceful/
雅やか [みやびやか] /(adj-na,n) elegant/graceful/
雅歌 [がか] /(n) Song of Solomon (book of the Bible)/Song of Songs/Canticle of Canticles/
雅懐 [がかい] /(n) aesthetic sentiment/
雅楽 [ががく] /(n) old Japanese court music/gagaku/(P)/
雅楽寮 [うたつかさ] /(n) government office in charge of court music (ritsuryo period)/
雅楽寮 [うたづかさ] /(n) government office in charge of court music (ritsuryo period)/
雅楽寮 [うたのつかさ] /(n) government office in charge of court music (ritsuryo period)/
雅楽寮 [うたりょう] /(n) government office in charge of court music (ritsuryo period)/
雅楽寮 [ががくりょう] /(n) government office in charge of court music (ritsuryo period)/
雅客 [がかく] /(n) (1) man of letters/man of taste/art connoisseur/(2) narcissus/
雅兄 [がけい] /(n) polite word in letter to friend/
雅言 [がげん] /(n) elegant words/refined diction/
雅語 [がご] /(n) refined diction/polite expression/
雅号 [がごう] /(n) alias/pseudonym/pen name/nom de plume/
雅趣 [がしゅ] /(n) elegance/
雅称 [がしょう] /(n) correct name/elegant name/name of poem/
雅人 [がじん] /(n) individual of taste/
雅俗 [がぞく] /(n) refined and vulgar/classical and colloquial/
雅俗混交 [がぞくこんこう] /(n) mixture of both culture and vulgarism/mixture of both literary and colloquial (language)/
雅俗混淆 [がぞくこんこう] /(n) mixture of both culture and vulgarism/mixture of both literary and colloquial (language)/
雅俗折衷 [がぞくせっちゅう] /(n) blending of the classical and colloquial styles/
雅致 [がち] /(n) artistry/good taste/elegance/grace/(P)/
雅馴 [がじゅん] /(n,adj-na) refined (prose, etc.)/
雅文 [がぶん] /(n) elegant (literary) style/
雅味 [がみ] /(n) high class/graceful/
雅量 [がりょう] /(n) magnanimity/generosity/tolerance/
餓え [うえ] /(n) hunger/starvation/
餓えに苦しむ [うえにくるしむ] /(exp,v5m) to be suffering from hunger/
餓える [うえる] /(v1,vi) to starve/to thirst/to be hungry/
餓える [かつえる] /(v1,vi) to starve/to thirst/to be hungry/
餓え死に [うえじに] /(n,vs) (sens) (death from) starvation/starving to death/
餓え死に [かつえじに] /(n,vs) (sens) (death from) starvation/starving to death/
餓鬼 [がき] /(n) (1) (uk) brat/kids/(2) (Buddh) preta (hungry ghost)/ghoul/
餓鬼共 [がきども] /(exp) those damn kids/
餓鬼大将 [がきだいしょう] /(n) boss of the children (in the neighbourhood) (neighborhood)/bully/
餓鬼道 [がきどう] /(n) (Buddh) hungry ghost (preta) realm/
餓死 [うえじに] /(n,vs) (sens) (death from) starvation/starving to death/(P)/
餓死 [がし] /(n,vs) (sens) (death from) starvation/starving to death/(P)/
餓死寸前 [がしすんぜん] /(n) being on the verge of starvation/being about to starve/
餓狼 [がろう] /(n) hungry wolf/
駕篭 [かご] /(n) palanquin/litter/bier/
駕籠 [かご] /(n) palanquin/litter/bier/
介して [かいして] /(exp) through the medium of/
介す [かいす] /(v5s,vt) (1) to use as an intermediary/to mediate/to assist/(2) to worry/to mind/to care/
介する [かいする] /(vs-s,vt) (1) to use as an intermediary/to mediate/to assist/(2) to worry/to mind/to care/
介意 [かいい] /(n,vs) worrying about/caring about/
介音 [かいおん] /(n) medial/final-head (glide before the center vowel in Chinese)/
介殻 [かいかく] /(n) sea shell/
介殻虫 [かいがらむし] /(n) (uk) scale insect/
介護 [かいご] /(n,vs,adj-no) nursing/care/caregiving/caring/(P)/
介護サービス [かいごサービス] /(n) nursing-care service/
介護士 [かいごし] /(n) carer/nurse/
介護施設 [かいごしせつ] /(n) nursing home/rest home/
介護者 [かいごしゃ] /(n) caregiver/carer/
介護人 [かいごにん] /(n) person who looks after a patient/
介護認定 [かいごにんてい] /(n) nursing care authorization/
介護福祉士 [かいごふくしし] /(n) (certified) care worker/
介護保険 [かいごほけん] /(n) nursing insurance/
介護保険制度 [かいごほけんせいど] /(n) nursing-care insurance system/
介護保険法 [かいごほけんほう] /(n) Public Nursing Care Insurance Law (1997)/
介護予防 [かいごよぼう] /(n) preventive care, esp. for senior citizens/
介甲 [かいこう] /(n) crust-like shell/
介在 [かいざい] /(n,vs,adj-no) mediation/interposition/intervention/(P)/
介在配列 [かいざいはいれつ] /(n) intron/
介錯 [かいしゃく] /(n,vs) suicide assistant/
介助 [かいじょ] /(n) (1) help/assistance/aid/(vs) (2) to assist/to help/to aid/(P)/
介助犬 [かいじょけん] /(n) service dog (for the disabled, etc.)/
介添え [かいぞえ] /(n,vs) helper/assistant/second/
介添え人 [かいぞえにん] /(n) best man/groomsman/bridesmaid/
介添人 [かいぞえにん] /(n) best man/groomsman/bridesmaid/
介党鱈 [すけとうだら] /(n) (uk) walleye pollack/Alaska pollack (Theragra chalcogramma)/
介入 [かいにゅう] /(n,vs) intervention/(P)/
介病 [かいびょう] /(n,vs) nursing a patient/
介抱 [かいほう] /(n,vs) nursing/looking after/
介卵 [かいらん] /(n) bearing an egg (biology)/
介鱗 [かいりん] /(n) fish and shellfish/
会 [え] /(n) (arch) gathering (esp. Buddhist, festive, etc.)/
会 [かい] /(n,n-suf) (1) meeting/assembly/party/(2) association/club/(P)/
会う [あう] /(v5u,vi) (1) to meet/to encounter/(2) (uk) to have an accident/to have a bad experience/(P)/
会う約束 [あうやくそく] /(n,vs) rendezvous/
会す [あわす] /(v5s,vt) (1) to make (someone) to meet/to let (someone) meet/(2) to expose to/to subject to/
会す [えす] /(v5s,vt) (arch) to understand/to comprehend/
会す [かいす] /(v5s,vi) (1) to meet/to assemble/to gather/(2) to encounter/to run into/
会する [かいする] /(vs-s,vi) (1) to meet/to assemble/to gather/(2) to encounter/to run into/
会の創立者 [かいのそうりつしゃ] /(n) founder of a society/
会わす [あわす] /(v5s,vt) (1) to make (someone) to meet/to let (someone) meet/(2) to expose to/to subject to/
会わせる [あわせる] /(v1,vt) (1) to make (someone) to meet/to let (someone) meet/(2) to expose to/to subject to/
会を催す [かいをもよおす] /(exp,v5s) to hold a meeting/
会を抜ける [かいをぬける] /(exp,v1) to withdraw from a society/to quit an association/to give up one's membership of a society/
会意 [かいい] /(n) compound ideograph formation (one of the six kanji classifications)/making kanji up of meaningful parts (e.g. "mountain pass" is up + down + mountain)/
会意文字 [かいいもじ] /(n) compound ideograph (one of the six kanji classifications)/kanji made up of meaningful parts (e.g. "mountain pass" is up + down + mountain)/
会員 [かいいん] /(n) member/the membership/(P)/
会員規約 [かいいんきやく] /(n) membership agreement (e.g. for a credit card)/
会員券 [かいいんけん] /(n) membership card/
会員章 [かいいんしょう] /(n) membership badge/
会員証 [かいいんしょう] /(n) membership certificate/
会員制 [かいいんせい] /(n) membership system/
会員名簿 [かいいんめいぼ] /(n) membership list/
会飲 [かいいん] /(n,vs) drinking and carousing together/
会陰 [えいん] /(n,adj-no) perineum/
会厭 [ええん] /(n) epiglottis/
会厭軟骨 [ええんなんこつ] /(n) epiglottis/
会館 [かいかん] /(n) meeting hall/assembly hall/(P)/
会舘 [かいかん] /(oK) (n) meeting hall/assembly hall/
会期 [かいき] /(n,adj-no) session (of a legislature)/(P)/
会期中 [かいきちゅう] /(n) during a session (of the legislature)/
会期不継続の原則 [かいきふけいぞくのげんそく] /(n) principle holding that any matters left unresolved at the end of one Diet session are not to be carried over to the next/
会規 [かいき] /(n) society by-laws/
会議 [かいぎ] /(n,vs,adj-no) meeting/conference/session/assembly/council/convention/congress/(P)/
会議に加わる [かいぎにくわわる] /(exp,v5r) to take part in a conference/
会議資料 [かいぎしりょう] /(n) (comp) records/transactions/
会議事項 [かいぎじこう] /(n) agenda/
会議室 [かいぎしつ] /(n) conference room/council room/(P)/
会議所 [かいぎしょ] /(n) place of assembly/
会議場 [かいぎじょう] /(n) conference room/place of assembly/
会議日程 [かいぎにってい] /(n) conference program/conference programme/
会議録 [かいぎろく] /(n) minutes/proceedings/
会計 [かいけい] /(n,adj-no) account/finance/accountant/treasurer/paymaster/reckoning/bill/(P)/
会計課 [かいけいか] /(n) accounts (accounting) section/
会計学 [かいけいがく] /(n) study of accountancy/
会計官 [かいけいかん] /(n) accountant/treasurer/
会計監査 [かいけいかんさ] /(n) (financial) audit/auditing/
会計疑惑 [かいけいぎわく] /(n) accounting scandal/
会計係 [かいけいがかり] /(n) accountant/accounting clerk/cashier/treasurer/
会計係 [かいけいけい] /(n) accountant/accounting clerk/cashier/treasurer/
会計検査 [かいけいけんさ] /(n,adj-no) audit/
会計検査院 [かいけいけんさいん] /(n) Board of Audit/(P)/
会計検査官 [かいけいけんさかん] /(n) auditor/
会計士 [かいけいし] /(n) (certified public) accountant/
会計実務 [かいけいじつむ] /(n) accounting practice/accounting practise/
会計処理 [かいけいしょり] /(n) (comp) account processing/
会計情報システム [かいけいじょうほうシステム] /(n) accounting information system/AIS/
会計年度 [かいけいねんど] /(n) fiscal year/(P)/
会計簿 [かいけいぼ] /(n) account book/
会計報告 [かいけいほうこく] /(n) treasurer's report/financial report/
会見 [かいけん] /(n,vs) interview/audience/(P)/
会見記 [かいけんき] /(n) record of an interview/
会見者 [かいけんしゃ] /(n) interviewer/
会見場 [かいけんじょう] /(n) location of a press conference/press conference room/
会合 [かいごう] /(n,vs,adj-no) (1) meeting/assembly/(2) (chem) association/(3) (astronomical) conjunction/(P)/
会合に臨む [かいごうにのぞむ] /(exp,v5m) to be present at a meeting/
会合周期 [かいごうしゅうき] /(n) synodic period/
会誌 [かいし] /(n) club bulletin/
会式 [えしき] /(n) temple service/
会社 [かいしゃ] /(n) (1) company/corporation/(2) workplace/(P)/
会社に出る [かいしゃにでる] /(exp,v1) to go to the office/to be at work/
会社の主 [かいしゃのぬし] /(n) great old-timer of the firm/
会社の不存在 [かいしゃのふそんざい] /(exp) non-existence of a business corporation/
会社を起こす [かいしゃをおこす] /(exp,v5s) to set up a company/
会社を辞める [かいしゃをやめる] /(exp,v1) to leave the company/
会社員 [かいしゃいん] /(n) company employee/
会社営業 [かいしゃえいぎょう] /(n) business administration/
会社概要 [かいしゃがいよう] /(n) company overview/
会社企業 [かいしゃきぎょう] /(n) corporation/
会社勤め [かいしゃづとめ] /(n) serving in a company/
会社更生法 [かいしゃこうせいほう] /(n) Corporate Rehabilitation Law/(P)/
会社持ち [かいしゃもち] /(n) at company's expense/
会社情報 [かいしゃじょうほう] /(n) corporate information/
会社人間 [かいしゃにんげん] /(n) company (organization) man (person)/corporate soldier/
会社説明会 [かいしゃせつめいかい] /(n) company information session/
会社葬 [かいしゃそう] /(n) company funeral/
会社法 [かいしゃほう] /(n) corporation law/company law/
会社名 [かいしゃめい] /(n) company name/corporate name/
会社立 [かいしゃりつ] /(adj-no) established by the company/
会者定離 [えしゃじょうり] /(exp) those who meet must part (suggesting the transient nature of this life)/we meet only to part/
会釈 [えしゃく] /(n,vs) nod/salutation/greeting/recognition/bow/(P)/
会主 [かいしゅ] /(n) sponsor of a meeting/
会衆 [かいしゅう] /(n,adj-no) audience/congregation/
会集 [かいしゅう] /(n,vs) audience/assembly/meeting/
会所 [かいしょ] /(n) meeting place/club/
会商 [かいしょう] /(n,vs) negotiation/talks/
会場 [かいじょう] /(n) assembly hall/meeting place/venue/grounds/(P)/
会場内 [かいじょうない] /(exp) inside a meeting place/
会食 [かいしょく] /(n,vs) dining together/mess/(P)/
会心 [かいしん] /(n,vs) congeniality/satisfaction/(P)/
会心の一撃 [かいしんのいちげき] /(n) critical hit (esp. in RPGs)/
会心の作 [かいしんのさく] /(n) work after one's heart/
会心の笑みを浮かべる [かいしんのえみをうかべる] /(exp,v1) to smile a smile of satisfaction/
会席 [かいせき] /(n) (1) meeting place/seats for the public/(2) restaurant dinner tray/
会席膳 [かいせきぜん] /(n) elaborate dinner tray/
会席料理 [かいせきりょうり] /(n) set of dishes served on an individual tray for entertaining guests/banquet/
会戦 [かいせん] /(n,vs) engagement/battle/
会葬 [かいそう] /(n,vs) attendance at a funeral/
会葬者 [かいそうしゃ] /(n) attendants at a funeral/mourners/
会則 [かいそく] /(n) society or club regulations/constitution/(P)/
会談 [かいだん] /(n,vs) conversation/conference (usu. between important people)/discussion/interview/(P)/
会長 [かいちょう] /(n) president (of a society)/chairman/(P)/
会津塗 [あいづぬり] /(n) Aizu lacquer ware/
会党 [かいとう] /(n) any of a number of secret societies of ancient China (often opposed to the government)/
会頭 [かいとう] /(n) society president/(P)/
会同 [かいどう] /(n,vs) assembly/meeting/
会堂 [かいどう] /(n) church/chapel/synagogue/tabernacle/(P)/
会堂司 [かいどうづかさ] /(n) ruler of a synagogue/
会得 [えとく] /(n,vs) understanding/comprehension/grasp/perception/appreciation/mastery (of an art or skill)/
会読 [かいどく] /(n,vs) reading-and-discussion meeting/
会派 [かいは] /(n) faction/denomination/communion/
会費 [かいひ] /(n) membership fee/(P)/
会費制 [かいひせい] /(n,adj-no) pay-your-own-way (party, etc.)/
会報 [かいほう] /(n) bulletin/report/(P)/
会話 [かいわ] /(n,vs) conversation/(P)/
会話の組 [かいわのくみ] /(n) conversation class/
会話コーパス [かいわコーパス] /(n) dialogue corpus (dialog)/dialogue corpora/
会話モード [かいわモード] /(n) (comp) interactive mode/
会話型言語 [かいわけいげんご] /(n) (comp) conversational language/
会話型処理 [かいわけいしょり] /(n) (comp) conversational processing/
会話形 [かいわがた] /(n) (comp) conversational mode/interactive mode/
解 [かい] /(n) solution (of equation)/
解かす [とかす] /(v5s,vt) (1) to comb out/(2) to melt/(P)/
解きほぐす [ときほぐす] /(v5s,vt) (1) to disentangle/to unravel/(2) to relax someone/(P)/
解き解す [ときほぐす] /(v5s,vt) (1) to disentangle/to unravel/(2) to relax someone/
解き櫛 [ときぐし] /(n) wide-toothed comb/
解き物 [ときもの] /(n) unsewing/clothes to be unsewn/
解き物 [ほどきもの] /(n) unsewing/clothes to be unsewn/
解き放す [ときはなす] /(v5s,vt) to liberate/to set free/
解き放つ [ときはなつ] /(v5t,vt) to release/
解き方 [ときかた] /(n) manner of solving/
解き明かす [ときあかす] /(v5s,vt) to explain/to dispel doubts/
解く [とく] /(v5k,vt) (1) to solve/to answer/(2) to untie/(3) to comb/to untangle (hair)/(P)/
解く [ほどく] /(v5k,vt) (uk) to unfasten/to untie/to unwrap (e.g. parcel)/(P)/
解ぐす [ほぐす] /(io) (v5s,vt) (1) (uk) to unravel/to untie/to untangle/to loosen/(2) to break into small pieces (of fish, meat, etc.)/(3) to relax/to ease/
解けない問題 [とけないもんだい] /(n) insoluble problem/
解ける [とける] /(v1,vi) (1) to be solved/(2) to loosen/to come untied/(3) to be removed (e.g. restrictions)/to be cleared (e.g. misunderstandings)/to be broken (e.g. spells, curses)/(4) to melt/(P)/
解ける [ほどける] /(v1,vi) to come untied/to come apart/(P)/
解け合い [とけあい] /(n) liquidation by compromise/
解け合う [とけあう] /(v5u,vi) (1) to come to a mutual understanding/(2) to cancel mutually (contract, etc.)/
解け込む [とけこむ] /(v5m,vi) (1) to melt into/to merge into/(2) to fit in/to adapt/to blend/
解ごす [ほごす] /(v5s) to unfasten/
解す [かいす] /(v5s,vt) (1) to understand/to appreciate/(2) to interpret/
解す [げす] /(v5s,vt) to understand/to comprehend/
解す [ほぐす] /(v5s,vt) (1) (uk) to unravel/to untie/to untangle/to loosen/(2) to break into small pieces (of fish, meat, etc.)/(3) to relax/to ease/
解す [ほごす] /(v5s,vt) (1) (uk) to unravel/to untie/to untangle/to loosen/(2) to break into small pieces (of fish, meat, etc.)/(3) to relax/to ease/
解す [ほつす] /(ok) (v5s,vt) (1) (uk) to unravel/to untie/to untangle/to loosen/(2) to break into small pieces (of fish, meat, etc.)/(3) to relax/to ease/
解す [ほづす] /(ok) (v5s,vt) (1) (uk) to unravel/to untie/to untangle/to loosen/(2) to break into small pieces (of fish, meat, etc.)/(3) to relax/to ease/
解する [かいする] /(vs-s,vt) (1) to understand/to appreciate/(2) to interpret/
解せない [げせない] /(exp,adj-i) inscrutable/incomprehensible/
解せる [げせる] /(v1,vt) to understand/to comprehend/
解り [わかり] /(n) understanding/comprehension/
解り悪い [わかりにくい] /(oK) (adj-i) hard to understand/incomprehensible/unintelligible/
解り難い [わかりにくい] /(adj-i) hard to understand/incomprehensible/unintelligible/
解る [わかる] /(v5r,vi) (1) to be understood/to be comprehended/to be grasped/(2) to become clear/to be known/to be discovered/to be realized/to be realised/to be found out/(P)/
解れ [ほつれ] /(n) fray/frayed spot/
解れる [ほぐれる] /(v1,vi) to come untied/to come apart/
解れる [ほつれる] /(v1,vi) to become frayed/to become loose/
解れ髪 [ほつれがみ] /(n) unkempt hair/
解を示す [かいをしめす] /(exp,v5s) to show the solution/
解んない [わかんない] /(exp,adj-i) (col) not understanding/not knowing/
解解す [ときほぐす] /(v5s,vt) (1) to disentangle/to unravel/(2) to relax someone/
解禁 [かいきん] /(n,vs,adj-no) lifting a ban/(P)/
解禁日 [かいきんび] /(n) open date/start of (hunting) season/
解決 [かいけつ] /(n,vs) settlement/solution/resolution/(P)/
解決済 [かいけつずみ] /(n,adj-no) resolved/settled/
解決済み [かいけつずみ] /(n,adj-no) resolved/settled/
解決策 [かいけつさく] /(n) solution/solution strategy/
解決方法 [かいけつほうほう] /(n) way of solving (a problem)/solution/(P)/
解決法 [かいけつほう] /(n) solution/way out/
解結 [かいけつ] /(n,vs) uncoupling (usu. cars or wagons from a train)/
解雇 [かいこ] /(n,vs) discharge/dismissal/(P)/
解雇者 [かいこしゃ] /(n) person who has been laid off/
解雇通知 [かいこつうち] /(n,adj-no) dismissal notice/pink slip (US)/
解語 [かいご] /(n) comprehension (of a word)/
解合 [とけあい] /(io) (n) liquidation by compromise/
解合い [とけあい] /(n) liquidation by compromise/
解合う [とけあう] /(v5u,vi) (1) to come to a mutual understanding/(2) to cancel mutually (contract, etc.)/
解込む [とけこむ] /(v5m,vi) (1) to melt into/to merge into/(2) to fit in/to adapt/to blend/
解散 [かいさん] /(n,vs) breakup/dissolution/(P)/
解散権 [かいさんけん] /(n) right to dissolve (e.g. the Diet)/
解散説 [かいさんせつ] /(n) rumor of dissolution (rumour)/
解止 [かいし] /(n) termination/
解字 [かいじ] /(n) explanation of a kanji/
解式 [かいしき] /(n,vs) (math) solution/
解釈 [かいしゃく] /(n,vs) explanation/interpretation/(P)/
解釈改憲 [かいしゃくかいけん] /(n,vs) effecting de facto constitutional changes through creative interpretation of the existing constitution/reinterpretation of the constitution/
解釈学 [かいしゃくがく] /(n) hermeneutics/
解釈型言語 [かいしゃくかたげんご] /(n) (comp) interpretive language/
解釈済み引数表記 [かいしゃくずみひきすうひょうき] /(n) (comp) interpreted parameter literal/
解釈実行 [かいしゃくじっこう] /(n,vs) (comp) interpretation/
解釈実行プログラム [かいしゃくじっこうプログラム] /(n) (comp) interpreter/interpretive program/
解集合 [かいしゅうごう] /(n) set of solutions/open set/
解除 [かいじょ] /(n,vs) cancellation/rescinding/release/calling off/lifting (sanctions)/delisting/(P)/
解除反応 [かいじょはんのう] /(n) abreaction/
解消 [かいしょう] /(n,vs) cancellation/liquidation/resolution/reduction (e.g. of stress)/(P)/
解錠 [かいじょう] /(n,vs) unlocking/
解職 [かいしょく] /(n,vs) discharge/dismissal/
解析 [かいせき] /(n,vs) (1) analysis/analytical study/(2) parsing/parse/(P)/
解析学 [かいせきがく] /(n) analysis (mathematical)/
解析器 [かいせきき] /(n) analyzer/
解析幾何学 [かいせききかがく] /(n) analytical geometry/
解析性 [かいせきせい] /(n) analyticity (physics)/
解析部 [かいせきぶ] /(n) analyzer/
解析力学 [かいせきりきがく] /(n) analytical dynamics/analytical mechanics/
解折 [かいせき] /(iK) (n,vs) (1) analysis/analytical study/(2) parsing/parse/
解説 [かいせつ] /(n,vs,adj-no) explanation/commentary/exposition/elucidation/(P)/
解説者 [かいせつしゃ] /(n) commentator/
解説書 [かいせつしょ] /(n) (an instruction) manual/handbook (of roadsigns)/
解説真正貸付法 [かいせつしんせいかしつけほう] /(n) truth in lending act/
解組 [かいそ] /(n,vs) breaking up an organization/breaking up an organisation/
解像 [かいぞう] /(n) resolution (of a lens)/
解像度 [かいぞうど] /(n) resolution (e.g. display, dpi)/granularity (e.g. timer)/
解像力 [かいぞうりょく] /(n) resolving power (of a lens)/
解体 [かいたい] /(n,vs) (1) disassembly/dismantling/deconstruction/dissolution/demolishing/(adj-f) (2) (obsc) dissection (i.e. postmortem)/(P)/
解体工場 [かいたいこうじょう] /(n) disassembly plant/wrecking yard/chop shop/
解体工法 [かいたいこうほう] /(n) method of demolition/demolition method/
解隊 [かいたい] /(n,vs) disbanding (usu. a military unit)/breaking up/
解題 [かいだい] /(n,vs) synopsis/review of subject/annotation/
解脱 [げだつ] /(n,vs) being liberated from earthly desires and the woes of man/(reaching) nirvana/moksha/mukti/
解団 [かいだん] /(n,vs) disbandment/
解党 [かいとう] /(n,vs) dissolution (of a political party)/
解凍 [かいとう] /(n,vs) (1) thaw/defrosting/(2) (comp) decompression (e.g. of a file)/unpacking/extracting/
解答 [かいとう] /(n,vs) answer/solution/(P)/
解答用紙 [かいとうようし] /(n) answer sheet/
解答欄 [かいとうらん] /(n) answer column (section)/
解糖 [かいとう] /(n) glycolysis/
解毒 [げどく] /(n,vs,adj-no) counteraction/
解毒剤 [げどくざい] /(n) antidote/
解毒薬 [げどくやく] /(n) antidote/
解読 [かいどく] /(n,vs) deciphering/decoding/(P)/
解読キー [かいどくキー] /(n) (comp) decryption key/
解難い [ときがたい] /(adj-i) difficult to solve/
解任 [かいにん] /(n,vs) dismissal/(P)/
解熱 [げねつ] /(n,vs,adj-no) alleviation of fever/(P)/
解熱剤 [げねつざい] /(n) fever medicine/antipyretic/antifebrile/
解熱薬 [げねつやく] /(n) antipyretic/antifebrile/
解版 [かいはん] /(n,vs) (in printing) distribution of type/
解氷 [かいひょう] /(n) a thaw/
解氷期 [かいひょうき] /(n) thawing season/spring thaw/
解物 [ときもの] /(n) unsewing/clothes to be unsewn/
解物 [ほどきもの] /(n) unsewing/clothes to be unsewn/
解放 [かいほう] /(n,vs) (1) release/unleashing/liberation/emancipation/setting free/(2) (comp) deallocation (of computer memory)/(P)/
解放の神学 [かいほうのしんがく] /(n) liberation theology/theology of liberation/
解放運動 [かいほううんどう] /(exp) emancipation movement/freedom movement/liberation movement/
解放感 [かいほうかん] /(n) sense or feeling of freedom or liberation/
解放区 [かいほうく] /(n) liberated area or zone/
解放要求 [かいほうようきゅう] /(n) (comp) release request/
解法 [かいほう] /(n) (key to) solution/
解剖 [かいぼう] /(n,vs) (1) dissection/autopsy/(2) analysis/(P)/
解剖学 [かいぼうがく] /(n) anatomy/(P)/
解剖学者 [かいぼうがくしゃ] /(n) anatomist/
解剖図 [かいぼうず] /(n) anatomical drawing/
解明 [かいめい] /(n,vs) clarification/elucidation/explication/(P)/
解約 [かいやく] /(n,vs) cancellation of contract/(P)/
解離 [かいり] /(n,vs) dissociation/
解離性障害 [かいりせいしょうがい] /(n) dissociative disorder/
解離性同一性障害 [かいりせいどういつせいしょうがい] /(n) dissociative identity disorder/
解離定数 [かいりていすう] /(n) dissociation constant/
解離熱 [かいりねつ] /(n) heat of dissociation/
解纜 [かいらん] /(n,vs) weighing anchor/unmooring/sailing off/
回 [かい] /(ctr) (1) counter for occurrences/(2) counter for games, rounds, etc./counter for innings (baseball)/(P)/
回し [まわし] /(n,n-suf) sumo wrestler's loincloth/(P)/
回し引きのこぎり [まわしびきのこぎり] /(n) bracket saw/sabre saw/saber saw/
回し引き鋸 [まわしびきのこぎり] /(n) bracket saw/sabre saw/saber saw/
回し飲み [まわしのみ] /(n,vs) drinking in turn from one cup/
回し金 [まわしがね] /(n) lathe dog/
回し者 [まわしもの] /(n) spy/secret agent/
回し車 [まわしぐるま] /(n) (hamster) wheel/
回し蹴り [まわしげり] /(n) (MA) roundhouse kick/turning kick/
回し読み [まわしよみ] /(n) reading a book in turn/
回す [まわす] /(v5s,vt) (1) to turn/to rotate/to gyrate/(2) to circulate/to send around/(3) to surround/(4) to put something to a new use (e.g. leftovers)/(suf,v5s) (5) (after the -masu stem of a verb) ... around (i.e. to chase someone around)/(6) to dial (e.g. telephone number)/(v5s) (7) to invest/(8) to gang-rape/(P)/
回り [まわり] /(n,n-suf) (1) circumference/perimeter/edge/(2) surroundings/locality/neighborhood/(3) rotation/circulation/(P)/
回りくどい [まわりくどい] /(adj-i) circuitous/roundabout/indirect/
回りもの [まわりもの] /(n) what goes around/
回り縁 [まわりえん] /(n) cornice/
回り縁 [まわりぶち] /(n) cornice/
回り遠い [まわりどおい] /(adj-i) roundabout/
回り合う [めぐりあう] /(v5u) to meet fortuitously (e.g. running into an old friend)/to meet by chance/to happen across/
回り合せ [まわりあわせ] /(n) turn of fortune/twist of fate/
回り合わせ [まわりあわせ] /(n) turn of fortune/twist of fate/
回り込み [まわりこみ] /(n) (comp) wraparound/
回り込む [まわりこむ] /(v5m) to go round and cut in/to take a roundabout path/
回り出す [まわりだす] /(v5s) to begin to turn/
回り灯籠 [まわりどうろう] /(n) revolving lantern/
回り燈籠 [まわりどうろう] /(n) revolving lantern/
回り道 [まわりみち] /(n,vs) detour/diversion/(P)/
回り番 [まわりばん] /(n) taking turns/working in shifts/
回り舞台 [まわりぶたい] /(n) revolving stage/
回り物 [まわりもの] /(n) what goes around/
回る [まわる] /(v5r,vi) (1) to turn/to revolve/(2) to visit several places/(3) to function well/(4) to pass a certain time/(P)/
回る [みる] /(v1) (arch) to go around/
回る [めぐる] /(v5r,vi) (1) to go around/(2) to return/(3) to surround/(4) to concern (usu. of disputes)/
回る [もとおる] /(v5r,vi) to wander around/
回れ右 [まわれみぎ] /(n) right about-face/
回を重ねる [かいをかさねる] /(exp,v1) to advance (as of a baseball game)/to repeat/
回縁 [まわりえん] /(n) cornice/
回縁 [まわりぶち] /(n) cornice/
回音 [かいおん] /(n) turn (melodic ornament)/gruppetto/
回忌 [かいき] /(n) death anniversary/(P)/
回帰 [かいき] /(n,vs) return (to)/revolution/recurrence/recursion/comeback/revival/(P)/
回帰テスト [かいきテスト] /(n) (comp) regression test/
回帰モデル [かいきモデル] /(n) regression model/
回帰式 [かいきしき] /(n) regression equation/
回帰線 [かいきせん] /(n) the tropics (Cancer and Capricorn)/
回帰的 [かいきてき] /(adj-na) recursive/
回帰熱 [かいきねつ] /(n) recurrent fever/
回帰分析 [かいきぶんせき] /(n) (math) regression analysis/
回帰分析解析 [かいきぶんせきかいせき] /(n) (math) regression analysis/
回議 [かいぎ] /(n,vs) consultation via a circular/
回教 [かいきょう] /(n) Islam/
回教国 [かいきょうこく] /(n) an Islamic nation/
回教寺院 [かいきょうじいん] /(n) mosque/
回教徒 [かいきょうと] /(n) Muslim believer/
回訓 [かいくん] /(n,vs) instructions sent in response to a question (from an embassy, consulate, etc.)/
回顧 [かいこ] /(n,vs,adj-no) recollection/(P)/
回顧談 [かいこだん] /(n) reminiscences/reminiscent disussion/
回顧的 [かいこてき] /(adj-na) retrospective/
回顧録 [かいころく] /(n) memoirs/reminiscences/(P)/
回向 [えこう] /(n,vs) Buddhist memorial service/prayers for the repose of the soul/
回向文 [えこうもん] /(n) (Buddh) closing recital that transfers the merit of the service to a buddha, a bodhisattva, or the dead/
回航 [かいこう] /(n,vs) navigation/cruise/
回国 [かいこく] /(n,vs) traveling throughout the country (travelling)/
回収 [かいしゅう] /(n,vs) collection/recovery/withdrawal/retrieval/(P)/
回収金 [かいしゅうきん] /(n) (money) recovery/claw-back/
回春 [かいしゅん] /(n) return of spring/rejuvenation/
回春剤 [かいしゅんざい] /(n) rejuvenating agent/
回章 [かいしょう] /(n) circular/circulating letter/
回状 [かいじょう] /(n) circular/circulating letter/
回心 [えしん] /(n,vs) conversion/
回心 [かいしん] /(n,vs) conversion/
回診 [かいしん] /(n,vs) doctor's hospital rounds/
回数 [かいすう] /(n) number of times/frequency/count/(P)/
回数券 [かいすうけん] /(n) book of tickets/(P)/
回生 [かいせい] /(n,vs) resurrection/resuscitation/regeneration/(P)/
回生ブレーキ [かいせいブレーキ] /(n) regenerative brake/
回折 [かいせつ] /(n,vs) diffraction/
回折格子 [かいせつこうし] /(n) (diffraction) grating/
回折限界 [かいせつげんかい] /(n,adj-no) diffraction limit/
回折損 [かいせつそん] /(n) diffraction loss/
回折領域 [かいせつりょういき] /(n) diffraction region/
回戦 [かいせん] /(n) match/game/(P)/
回旋 [かいせん] /(n,vs,adj-no) rotation/revolution/convolution/
回旋腱板 [かいせんけんばん] /(n) rotator cuff/
回線 [かいせん] /(n) circuit/line/(P)/
回線インタフェース [かいせんインタフェース] /(n) (comp) line interface/
回線インタフェースモジュール [かいせんインタフェースモジュール] /(n) (comp) line interface module/
回線リセール [かいせんリセール] /(n) (comp) communications line resale/
回線レート [かいせんレート] /(n) (comp) line rate/
回線業者 [かいせんぎょうしゃ] /(n) (comp) telecommunications carrier/PTT/
回線群 [かいせんぐん] /(n) (comp) trunk group/
回線交換 [かいせんこうかん] /(n) circuit switching/
回線使用料 [かいせんしようりょう] /(n) connection fee/interconnection fees/
回線種別 [かいせんすべつ] /(n) (comp) line type/line classification/
回線終端 [かいせんしゅうたん] /(n) (comp) line termination/
回線終端装置 [かいせんしゅうたんそうち] /(n) (comp) DCE/Data Circuit Termination Equipment/Digital Service Unit/line terminating equipment/DSU/LTE/
回線制御規則 [かいせんせいぎょきそく] /(n) line discipline/
回線切り換え [かいせんきりかえ] /(n) (comp) line switching/
回線切断 [かいせんせつだん] /(n) (comp) hang-up/HUP (signal)/
回線争奪 [かいせんそうだつ] /(n) (comp) contention/
回線速度 [かいせんそくど] /(n) (comp) line speed/
回線帯域 [かいせんたいいき] /(n) (comp) line bandwidth/
回線追跡 [かいせんついせき] /(n) (comp) line trace/
回線費用 [かいせんひよう] /(n) (comp) line cost/
回線負荷 [かいせんふか] /(n) circuit load/
回線網 [かいせんもう] /(n) (comp) line network/trunk network/
回線容量 [かいせんようりょう] /(n) (comp) line capacity/circuit capacity/
回線利用効率 [かいせんりようこうりつ] /(n) (comp) line utilization rate/
回船 [かいせん] /(n) lighter/(small) cargo vessel/
回想 [かいそう] /(n,vs,adj-no) reflection/reminiscence/(P)/
回想記 [かいそうき] /(n) memoir/
回想録 [かいそうろく] /(n) memoirs/reminiscence/
回漕 [かいそう] /(n,vs) shipping/
回漕業 [かいそうぎょう] /(n) shipping business/
回漕店 [かいそうてん] /(n) shipping agent/
回送 [かいそう] /(n,vs) forwarding/(P)/
回送ＩＰメッセージ表示 [かいそうアイピーメッセージひょうじ] /(n) (comp) forwarded IP-message indication/
回送車 [かいそうしゃ] /(n) out-of-service car (train)/(US) deadhead (train)/
回送先住所要求 [かいそうさきじゅうしょようきゅう] /(n) (comp) request for forwarding address/PD PR/
回送店 [かいそうてん] /(n) shipping agent/
回送要求 [かいそうようきゅう] /(n) (comp) forwarding-request/
回族 [かいぞく] /(n) Hui (Islamic ethnic minority group of China)/
回虫 [かいちゅう] /(n,adj-no) roundworm/intestinal worm/
回腸 [かいちょう] /(n,adj-no) ileum/
回勅 [かいちょく] /(n) encyclical/
回天 [かいてん] /(n) (1) changing the world/turning the tide/(2) torpedo modified as a suicide weapon (used in WWII)/
回転 [かいてん] /(n,vs) rotation (usu. around something)/revolution/turning/(P)/
回転ずし [かいてんずし] /(n) "conveyor belt" sushi bar/sushi-go-round/sushi train/kaiten-zushi/
回転カン [かいてんカン] /(n) swivel clip/
回転位置感知 [かいてんいちかんち] /(n) (comp) rotational position sensing/RPS/
回転位置検出 [かいてんいちけんしゅつ] /(n) (comp) rotational position sensing/RPS/
回転位置検出機構 [かいてんいちけんしゅつきこう] /(n) (comp) RPS/Rotational Position Sensing/
回転椅子 [かいてんいす] /(n) swivel chair/
回転異性体 [かいてんいせいたい] /(n) rotational isomer/
回転運動 [かいてんうんどう] /(n) gyration/
回転角 [かいてんかく] /(n) angle of rotation/
回転勘定 [かいてんかんじょう] /(n) revolving account/
回転機 [かいてんき] /(n) rotator/
回転儀 [かいてんぎ] /(n) gyroscope/
回転競技 [かいてんきょうぎ] /(n) slalom/
回転計 [かいてんけい] /(n) tachometer/revolution counter/
回転子 [かいてんし] /(n) rotor/
回転資金 [かいてんしきん] /(n) revolving fund/
回転磁場 [かいてんじば] /(n) rotating field/
回転式拳銃 [かいてんしきけんじゅう] /(n) revolver/
回転軸 [かいてんじく] /(n) axis of revolution/
回転寿司 [かいてんずし] /(n) "conveyor belt" sushi bar/sushi-go-round/sushi train/kaiten-zushi/
回転信用払い [かいてんしんようばらい] /(n) revolving payments/
回転数 [かいてんすう] /(n) number of revolutions (i.e. as an engine speed)/number of rotations/speed of revolution/speed of rotation/
回転窓 [かいてんまど] /(n) pivoted window/
回転楕円体 [かいてんだえんたい] /(n) spheroid/
回転体 [かいてんたい] /(n) solid of revolution/
回転対称 [かいてんたいしょう] /(n) rotation symmetry/
回転待ち時間 [かいてんまちじかん] /(n) (comp) rotational delay time/search time/
回転弾倉 [かいてんだんそう] /(n) cylinder/magazine of a revolver/
回転弾倉式拳銃 [かいてんだんそうしきけんじゅう] /(n) revolver/
回転灯 [かいてんとう] /(n) flashing lights/revolving lights/lights used on the top of emergency vehicles/
回転半径 [かいてんはんけい] /(n) radius of gyration/
回転扉 [かいてんとびら] /(n) revolving door/
回転偏光 [かいてんへんこう] /(n) rotatory polarization/rotatory polarisation/
回転変流機 [かいてんへんりゅうき] /(n) rotary converter/
回転面 [かいてんめん] /(n) surface of revolution/
回転木馬 [かいてんもくば] /(n) merry-go-round/carousel/
回転翼 [かいてんよく] /(n) rotary wing/rotor/
回転篩 [かいてんぶるい] /(n) trommel/
回答 [かいとう] /(n,vs) reply/answer/(P)/
回答者 [かいとうしゃ] /(n) respondent/
回答率 [かいとうりつ] /(n) response rate/percentage of replies/
回動 [かいどう] /(n,vs) moving rotationally/revolving/
回胴式遊技機 [かいどうしきゆうぎき] /(n) slot machine/
回読 [かいどく] /(n,vs) read in turn/circulate a book (among friends)/
回鍋肉 [ホイコーロー] /(n) twice cooked pork (Szechuan dish) (chi: hui guo rou)/
回避 [かいひ] /(n,vs) evasion/avoidance/(P)/
回避経路を確立 [かいひけいろをかくりつ] /(exp) re-route/re-routing/
回避的 [かいひてき] /(adj-na) evasive/
回避番号 [かいひばんごう] /(n) (comp) shunned number/
回避文字 [かいひもじ] /(n) (comp) shunned character/
回付 [かいふ] /(n,vs) transmitting/referring to/passing on/
回復 [かいふく] /(n,vs) (1) restoration/rehabilitation/recovery/return/replevin/improvement/(2) recovery (from an illness)/recuperation/convalescence/(P)/
回復ログ [かいふくログ] /(n) (comp) recovery log/
回復可能 [かいふくかのう] /(n,adj-na) recoverable/
回復管理機能 [かいふくかんりきのう] /(n) (comp) RMS/Recovery Management Support/
回復期 [かいふくき] /(n) convalescence/
回復機能 [かいふくきのう] /(n) (comp) recovery function/
回復時間 [かいふくじかん] /(n) (comp) recovery time/
回復不可能 [かいふくふかのう] /(n) non-recoverable/
回復不能誤り [かいふくふのうあやまり] /(n) (comp) unrecoverable error/
回復用情報 [かいふくようじょうほう] /(n) (comp) docket/
回復力 [かいふくりょく] /(n) resilience/
回分 [かいぶん] /(n,adj-f) (1) batch/(n-suf) (2) times worth of/multiplier/
回文 [かいぶん] /(n) circular (document)/palindrome/
回報 [かいほう] /(n) circular/circulating letter/reply/
回盲部 [かいもうぶ] /(n) ileocecum/
回目 [かいめ] /(n) -Nth time around/
回遊 [かいゆう] /(n,vs) (1) excursion/round trip/(2) seasonal migration (of fish, etc.)/
回遊魚 [かいゆうぎょ] /(n) migratory fish/straddling fish stocks/
回遊式庭園 [かいゆうしきていえん] /(n) stroll garden with a central pond/large garden best enjoyed by walking around it/
回遊船 [かいゆうせん] /(n) excursion boat/
回覧 [かいらん] /(n,vs,adj-no) circulation/(P)/
回覧板 [かいらんばん] /(n) circular notice/
回流 [かいりゅう] /(n,vs) circulation/
回礼 [かいれい] /(n,vs) (1) going from door to door greeting relatives and friends/(2) complimentary visit for the New Year/
回路 [かいろ] /(n) circuit (electric)/(P)/
回路基板 [かいろきばん] /(n) (electrical circuit) substrate/
回路機構 [かいろきこう] /(n) (comp) circuitry/
回路構成要素 [かいろこうせいようそ] /(n) (comp) circuitry/
回路遮断機 [かいろしゃだんき] /(n) circuit breaker/
回路図 [かいろず] /(n) circuit diagram/schematic/
回路図記号 [かいろずきごう] /(n) (comp) schematic symbol/
回路素子 [かいろそし] /(n) circuit element/
回路容量 [かいろようりょう] /(n) (comp) circuit capacity/
回廊 [かいろう] /(n) corridor/gallery/hallway/cloister (i.e. covered walk typically circling a building or garden, esp. in a palace or place of worship)/(P)/
回游 [かいゆう] /(n,vs) (1) seasonal migration (of fish, etc.)/
回游魚 [かいゆうぎょ] /(n) migratory fish/straddling fish stocks/
回鶻 [かいこつ] /(n) (obsc) Uighur/Uigur/Uygur/
塊 [かたまり] /(n) lump/mass/bundle/clump/clod/cluster/(P)/
塊まり [かたまり] /(n) lump/mass/bundle/clump/clod/cluster/
塊茎 [かいけい] /(n,adj-no) tuber/
塊鉱 [かいこう] /(n) lump ore/
塊根 [かいこん] /(n) tuberous root/
塊状 [かいじょう] /(adj-no) massive/agglomerated/bulk/
塊然 [かいぜん] /(adv-to,adj-t) isolated/immobile/
塊村 [かいそん] /(n) agglomerated village/
塊土 [かいど] /(n) lump of earth/
壊す [こわす] /(v5s,vt) (1) to break/to destroy/to demolish/(2) to wreck/to ruin/to spoil/to damage/(3) to break (a bill, etc.)/(P)/
壊れる [こわれる] /(v1,vi) (1) to be broken/to break/(2) to fall through/to come to nothing/(P)/
壊れ易い [こわれやすい] /(adj-i) fragile/break easily/
壊れ物 [こわれもの] /(n) fragile article/breakables/broken article/
壊血病 [かいけつびょう] /(n) scurvy/
壊劫 [えこう] /(n) (Buddh) the kalpa of destruction (the third aeon of the universe)/
壊死 [えし] /(n,vs,adj-no) necrosis/
壊変 [かいへん] /(n,vs) disintegration/
壊変毎分 [かいへんまいふん] /(n) disintegration per minute/dpm/
壊崩 [かいほう] /(n,vs) (arch) collapse/crumbling/breaking down/caving in/
壊滅 [かいめつ] /(n,vs,adj-no) destruction/annihilation/devastation/catastrophe/(P)/
壊滅的 [かいめつてき] /(adj-na) devastating/catastrophic/crushing/
壊乱 [かいらん] /(n,vs) (1) corruption (of order, customs, etc.)/(2) to fall apart (organization, system, etc.)/
壊疽 [えそ] /(n,adj-no) gangrene/
廻し [まわし] /(n,n-suf) sumo wrestler's loincloth/
廻す [まわす] /(v5s,vt) (1) to turn/to rotate/to gyrate/(2) to circulate/to send around/(3) to surround/(4) to put something to a new use (e.g. leftovers)/(suf,v5s) (5) (after the -masu stem of a verb) ... around (i.e. to chase someone around)/(6) to dial (e.g. telephone number)/(v5s) (7) to invest/(8) to gang-rape/
廻り [まわり] /(n,n-suf) (1) circumference/perimeter/edge/(2) surroundings/locality/neighborhood/(3) rotation/circulation/
廻り [めぐり] /(n) (1) circumference/girth/(2) tour/pilgrimage/(3) circulation (e.g. of blood)/
廻り合う [めぐりあう] /(v5u) to meet fortuitously (e.g. running into an old friend)/to meet by chance/to happen across/
廻る [まわる] /(v5r,vi) (1) to turn/to revolve/(2) to visit several places/(3) to function well/(4) to pass a certain time/
廻る [みる] /(v1) (arch) to go around/
廻る [めぐる] /(v5r,vi) (1) to go around/(2) to return/(3) to surround/(4) to concern (usu. of disputes)/
廻る [もとおる] /(v5r,vi) to wander around/
廻縁 [まわりえん] /(n) cornice/
廻縁 [まわりぶち] /(n) cornice/
廻向 [えこう] /(n,vs) Buddhist memorial service/prayers for the repose of the soul/
廻航 [かいこう] /(n,vs) navigation/cruise/
廻国 [かいこく] /(n,vs) traveling throughout the country (travelling)/
廻章 [かいしょう] /(n) circular/circulating letter/
廻状 [かいじょう] /(n) circular/circulating letter/
廻心 [えしん] /(n,vs) conversion/
廻心 [かいしん] /(n,vs) conversion/
廻船 [かいせん] /(n) lighter/(small) cargo vessel/
廻漕業 [かいそうぎょう] /(n) shipping business/
廻送 [かいそう] /(n,vs) forwarding/
廻天 [かいてん] /(n) (1) changing the world/turning the tide/(2) torpedo modified as a suicide weapon (used in WWII)/
廻転 [かいてん] /(n,vs) rotation (usu. around something)/revolution/turning/
廻文 [かいぶん] /(n) circular (document)/palindrome/
廻覧 [かいらん] /(n,vs) circulation/sending round/
廻廊 [かいろう] /(n) corridor/gallery/hallway/cloister (i.e. covered walk typically circling a building or garden, esp. in a palace or place of worship)/
快 [かい] /(n) pleasure/delight/enjoyment/
快い [こころよい] /(adj-i) pleasant/agreeable/(P)/
快く [こころよく] /(adv) comfortably/cheerfully/willingly/gladly/
快を貪る [かいをむさぼる] /(exp,v5r) to enjoy oneself to the full/
快音 [かいおん] /(n) clear sound/
快楽 [かいらく] /(n,adj-no) pleasure/(P)/
快楽 [けらく] /(n,adj-no) pleasure/
快楽原則 [かいらくげんそく] /(n) pleasure principle/
快楽主義 [かいらくしゅぎ] /(n,adj-no) hedonism/
快楽説 [かいらくせつ] /(n) hedonism/
快活 [かいかつ] /(adj-na) cheerful/lively/lighthearted/(P)/
快感 [かいかん] /(n) pleasant feeling/(P)/
快漢 [かいかん] /(n) pleasant fellow/
快気 [かいき] /(n,vs) recovery/
快気祝 [かいきいわい] /(n) celebrating recovery from illness/
快気祝い [かいきいわい] /(n) celebrating recovery from illness/
快気祝いをする [かいきいわいをする] /(exp,vs-i) to celebrate one's recovery from illness/
快気祝をする [かいきいわいをする] /(exp,vs-i) to celebrate one's recovery from illness/
快記録 [かいきろく] /(n) fine record/
快挙 [かいきょ] /(n) brilliant achievement/(P)/
快哉 [かいさい] /(n) joy/exultation/
快哉を叫ぶ [かいさいをさけぶ] /(exp,v5b) to shout with exultation/to shout for joy/
快作 [かいさく] /(n) splendid work/masterpiece/
快削鋼 [かいさくこう] /(n) free-cutting steel/
快事 [かいじ] /(n) pleasure/delight/
快勝 [かいしょう] /(n,vs) sweeping victory/easy victory/(P)/
快食 [かいしょく] /(n) good appetite/
快食快便 [かいしょくかいべん] /(n) good appetite and good bowel movements/enjoying one's food and having regular stools/
快食快眠 [かいしょくかいみん] /(n) good appetite and pleasant sleep/enjoying one's food and sleeping well/
快心 [かいしん] /(n) good feeling/comfortable feeling/
快晴 [かいせい] /(n,adj-no) good weather/(P)/
快絶 [かいぜつ] /(adj-na,n) splendid/
快然 [かいぜん] /(adv-to,adj-t) (1) happy/elated/good mood/pleasant feelings/(adj-na) (2) cured (of an illness)/recovered (from an illness)/
快走 [かいそう] /(n,vs) fast sailing (running)/
快足 [かいそく] /(n,adj-no) quick of foot/fast/nimble-footed/
快速 [かいそく] /(adj-na,n,adj-no) high speed/celerity/mobility/express (train that bypasses many stations)/(P)/
快速船 [かいそくせん] /(n) fast ship/
快速電車 [かいそくでんしゃ] /(n) high-speed train/
快速列車 [かいそくれっしゃ] /(n) express train/
快打 [かいだ] /(n,vs) clean hit (in baseball)/
快諾 [かいだく] /(n,vs) ready consent/
快男子 [かいだんし] /(n) agreeable fellow/
快男児 [かいだんじ] /(n) nice guy/
快調 [かいちょう] /(adj-na,n,adj-no) harmony/excellent condition/(P)/
快適 [かいてき] /(adj-na,n) pleasant/agreeable/comfortable/(P)/
快適さ [かいてきさ] /(n) amenity/
快刀 [かいとう] /(n) (literary) sharp sword/
快刀乱麻 [かいとうらんま] /(n) solving a problem swiftly and skillfully/
快刀乱麻を断つ [かいとうらんまをたつ] /(exp,v5t) to cut the Gordian knot/
快投 [かいとう] /(n,vs) good pitch/
快復 [かいふく] /(n,vs) (1) recovery (from an illness)/recuperation/convalescence/
快便 [かいべん] /(n) (pleasantly smooth) defecation/
快弁 [かいべん] /(n) eloquence/
快報 [かいほう] /(n) good news/
快方 [かいほう] /(n) convalescence/
快方に向かう [かいほうにむかう] /(exp,v5u) to improve/to get better/to convalesce/
快方に赴く [かいほうにおもむく] /(exp,v5k) to improve/to get better/to convalesce/
快味 [かいみ] /(n) pleasure/
快眠 [かいみん] /(n,vs) pleasant sleep/
快癒 [かいゆ] /(n,vs) recovery/convalescence/
快腕 [かいわん] /(iK) (n) remarkable ability/amazing ability/
快闊 [かいかつ] /(adj-na) cheerful/lively/lighthearted/
快濶 [かいかつ] /(adj-na) cheerful/lively/lighthearted/
怪 [かい] /(n) mystery/wonder/
怪しい [あやしい] /(adj-i) (1) suspicious/dubious/doubtful/dodgy/suspicious (referring to a potential amorous relation)/dangerous (e.g. financial situation)/ominous (e.g. weather)/strange/shady/fishy/(2) charming/bewitching/mysterious/(P)/
怪しい手付きで [あやしいてつきで] /(exp) clumsily/with clumsy hands/
怪しからん [けしからん] /(exp) outrageous/rude/inexcusable/
怪しげ [あやしげ] /(adj-na,n) questionable/doubtful/suspicious/
怪しむ [あやしむ] /(v5m,vt) to suspect/(P)/
怪異 [かいい] /(adj-na,n) strangeness/
怪雨 [かいう] /(n) rainfall of a strange, dark color (colour)/whirlwinds accompanied by rain which also drops strange objects such as fish/
怪火 [かいか] /(n) fire of mysterious or suspicious origin/
怪我 [けが] /(n,vs) injury (to animate object)/hurt/(P)/
怪我の功名 [けがのこうみょう] /(exp) fortunate error/lucky break/fluke/
怪我勝ち [けががち] /(n) winning accidentally/
怪我人 [けがにん] /(n) wounded or injured person/(P)/
怪我負け [けがまけ] /(n) losing accidentally/
怪漢 [かいかん] /(n) suspicious man/
怪奇 [かいき] /(adj-na,n) bizarre/strange/wonderful/weird/outrageous/(P)/
怪奇映画 [かいきえいが] /(n) horror picture/
怪奇小説 [かいきしょうせつ] /(n) mystery novel/
怪奇物語り [かいきものがたり] /(n) mystery story/
怪気炎をあげる [かいきえんをあげる] /(exp,v1) (obs) to speak flamboyantly/
怪気炎を上げる [かいきえんをあげる] /(exp,v1) (obs) to speak flamboyantly/
怪魚 [かいぎょ] /(n) mysterious fish/strange fish/
怪傑 [かいけつ] /(n) man of extraordinary talent/wonder man/
怪光 [かいこう] /(n) mysterious light/
怪死 [かいし] /(n,vs) mysterious death/
怪事件 [かいじけん] /(n) mystery case/
怪獣 [かいじゅう] /(n) monster/(P)/
怪獣映画 [かいじゅうえいが] /(n) monster film/
怪人 [かいじん] /(n) mysterious person/
怪人物 [かいじんぶつ] /(n) mysterious person/
怪石 [かいせき] /(n) oddly shaped stone or rock/
怪談 [かいだん] /(n) ghost story/(P)/
怪中の怪 [かいちゅうのかい] /(n) mystery of mysteries/
怪鳥 [かいちょう] /(n) suspicious bird/strange bird/eerie bird/ominous bird/apparition transformed into a bird/
怪鳥 [けちょう] /(n) suspicious bird/strange bird/eerie bird/ominous bird/apparition transformed into a bird/
怪電話 [かいでんわ] /(n) suspicious phone call/
怪盗 [かいとう] /(n) mysterious (phantom) thief/
怪童 [かいどう] /(n) unusually large or strong youth/
怪猫 [かいびょう] /(n) monster cat/cat with magical powers/
怪物 [かいぶつ] /(n) monster/(P)/
怪文書 [かいぶんしょ] /(n) objectionable literature/
怪聞 [かいぶん] /(n) strange rumor/strange rumour/scandal/
怪力 [かいりき] /(n) superhuman strength/
怪力無双 [かいりきむそう] /(n,adj-no) (a person of) unrivaled physical strength/
怪力乱神 [かいりきらんしん] /(n) supernatural things/unnatural phenomena/spirits and demons/
怪力乱神 [かいりょくらんしん] /(n) supernatural things/unnatural phenomena/spirits and demons/
怪腕 [かいわん] /(n) remarkable ability/amazing ability/
怪訝 [けげん] /(adj-na) dubious/puzzled/suspicious/
怪鴟 [よたか] /(n) (1) (uk) grey nightjar (Caprimulgus indicus)/(2) (uk) nightjar (any bird of family Caprimulgidae)/goatsucker/
悔い [くい] /(n) regret/repentance/(P)/
悔いる [くいる] /(v1,vt) to regret/(P)/
悔い改め [くいあらため] /(n) repentance/
悔い改める [くいあらためる] /(v1,vt) to repent/to be penitent/
悔しい [くやしい] /(adj-i) regrettable/mortifying/vexing/(P)/
悔しがる [くやしがる] /(v5r) to feel bitter/to be vexed/to resent/to regret/
悔しさ [くやしさ] /(n) chagrin/bitterness/frustration/vexation/mortification/regret/
悔しん坊 [くやしんぼう] /(n) spiteful person/
悔し泣き [くやしなき] /(n,vs) crying from vexation/tears of regret/(P)/
悔し紛れ [くやしまぎれ] /(adj-na,n) out of spite/
悔し涙 [くやしなみだ] /(n) vexation/chagrin/
悔み [くやみ] /(n) condolence/condolences/
悔み状 [くやみじょう] /(n) letter of condolence/condolence message/
悔む [くやむ] /(v5m,vt) (1) to mourn/to lament/(2) to be sorry/to regret/to repent/
悔やしい [くやしい] /(io) (adj-i) regrettable/mortifying/vexing/
悔やし涙 [くやしなみだ] /(n) vexation/chagrin/
悔やまれる失策 [くやまれるしっさく] /(n) regrettable misstep/
悔やみ [くやみ] /(n) condolence/condolences/
悔やみ状 [くやみじょう] /(n) letter of condolence/condolence message/
悔やむ [くやむ] /(v5m,vt) (1) to mourn/to lament/(2) to be sorry/to regret/to repent/(P)/
悔改め [くいあらため] /(n) repentance/
悔改める [くいあらためる] /(v1,vt) to repent/to be penitent/
悔泣 [くやしなき] /(n,vs) crying from vexation/tears of regret/
悔悟 [かいご] /(n,vs) remorse/
悔恨 [かいこん] /(n,vs,adj-no) regret/
悔悛 [かいしゅん] /(n,vs) repentance/contrition/
恢復 [かいふく] /(n,vs) (1) restoration/rehabilitation/recovery/return/replevin/improvement/(2) recovery (from an illness)/recuperation/convalescence/
懐 [ふところ] /(n) (1) bosom/bust/(2) (breast) pocket/purse/handbag/(P)/
懐う [おもう] /(v5u,vt) (1) to think/to consider/to believe/(2) to think (of doing)/to plan (to do)/(3) to judge/to assess/to regard/(4) to imagine/to suppose/to dream/(5) to expect/to look forward to/(6) to feel/to desire/to want/(7) to recall/to remember/
懐かし [なつかし] /(adj-no) dear/desired/missed/
懐かしい [なつかしい] /(adj-i) dear/desired/missed/(P)/
懐かしむ [なつかしむ] /(v5m,vt) to yearn for (someone, something)/to miss/(P)/
懐が寒い [ふところがさむい] /(exp) strapped for cash/
懐が寂しい [ふところがさびしい] /(exp) strapped for cash/hard up/
懐が深い [ふところがふかい] /(exp,adj-i) (1) broad-minded/(2) (of a rikishi) tall, with long reach, making it harder for their opponent to get a grip on their mawashi/
懐が暖かい [ふところがあたたかい] /(exp) flush with money/have a full purse/have a full handbag/
懐が暖かい [ふところがあったかい] /(exp) flush with money/have a full purse/have a full handbag/
懐が痛む [ふところがいたむ] /(exp,v5m) to make a dent in one's purse/to have to pay out of one's own pocket./
懐が淋しい [ふところがさびしい] /(exp) strapped for cash/hard up/
懐く [いだく] /(v5k,vt) (1) to embrace/to hold in the arms (e.g. a baby)/to hug/(2) to harbour (e.g. grudge) (harbor)/to bear (e.g. a grudge)/to entertain (e.g. suspicion)/
懐く [うだく] /(ok) (v5k,vt) (1) to embrace/to hold in the arms (e.g. a baby)/to hug/
懐く [なつく] /(v5k,vt) (uk) to become emotionally attached/
懐ける [なつける] /(v1,vt) to win over/to win another's heart/
懐こい [なつこい] /(adj-i) amiable/affable/likable/
懐しい [ゆかしい] /(adj-i) (1) admirable/charming/refined/(2) nostalgic/(3) (uk) curious/eager to know (or see, experience, etc.)/
懐っこい [なつっこい] /(adj-i) amiable/affable/likable/
懐の深い [ふところのふかい] /(adj-i) broad-minded/
懐を痛める [ふところをいためる] /(exp,v1) to pay out of one's own pocket/
懐を肥やす [ふところをこやす] /(exp,v5s) to feather one's own nest/
懐勘定 [ふところかんじょう] /(n) one's financial standing/
懐疑 [かいぎ] /(n,vs) doubt/skepticism/scepticism/disbelief/(P)/
懐疑主義 [かいぎしゅぎ] /(n) skepticism/scepticism/
懐疑主義者 [かいぎしゅぎしゃ] /(n) skeptic/sceptic/
懐疑心 [かいぎしん] /(n) skepticism/scepticism/doubt/
懐疑派 [かいぎは] /(n) the skeptics (in philosophy) (sceptics)/
懐疑論 [かいぎろん] /(n) skepticism/scepticism/
懐旧 [かいきゅう] /(n,adj-no) recalling the old days/nostalgia/reminiscences/
懐旧談 [かいきゅうだん] /(n) reminiscences/
懐郷 [かいきょう] /(n) nostalgia/homesickness/longing for home/
懐郷病 [かいきょうびょう] /(n) homesickness/
懐具合 [ふところぐあい] /(n) one's financial standing/
懐剣 [かいけん] /(n) dagger/
懐古 [かいこ] /(n,adj-no) recalling the old days/nostalgia/reminiscences/
懐古趣味 [かいこしゅみ] /(n,adj-no) nostalgia for the good old days/retro-culture/
懐古的 [かいこてき] /(adj-na) (comp) old fashioned/
懐工合 [ふところぐあい] /(n) one's financial standing/
懐香 [くれのおも] /(n) (arch) fennel (Foeniculum vulgare)/
懐紙 [かいし] /(n) (1) paper folded and tucked inside the front of one's kimono (esp. for use at the tea ceremony)/(2) paper used for writing tanka/
懐紙 [ふところがみ] /(n) (1) paper folded and tucked inside the front of one's kimono (esp. for use at the tea ceremony)/(2) paper used for writing tanka/
懐手 [ふところで] /(n,vs) with hands in pockets/idleness/
懐柔 [かいじゅう] /(n,vs) winning over/placation/gentle persuasion/(P)/
懐柔策 [かいじゅうさく] /(n) measure to win somebody over to one's side/
懐石 [かいせき] /(n) (1) simple meal eaten before tea is served/(2) sophisticated traditional Japanese cuisine brought in courses/
懐石料理 [かいせきりょうり] /(n) (1) tea-ceremony dishes/(2) traditional Japanese meal brought in courses/
懐銭 [ふところぜに] /(n) pocket money/
懐胎 [かいたい] /(n,vs) conception/becoming pregnant/pregnancy/
懐中 [かいちゅう] /(n,vs) one's pocket/
懐中鏡 [かいちゅうかがみ] /(n) pocket mirror/
懐中時計 [かいちゅうとけい] /(n) pocket watch/
懐中時計 [かいちゅうどけい] /(n) pocket watch/
懐中電灯 [かいちゅうでんとう] /(n) electric torch/flashlight/(P)/
懐中電燈 [かいちゅうでんとう] /(n) electric torch/flashlight/
懐中物 [かいちゅうもの] /(n) purse/handbag/pocketbook/
懐都合 [ふところつごう] /(n) financial situation/financial standing/
懐刀 [ふところがたな] /(n) confidant/right-hand man/dagger/
懐妊 [かいにん] /(n,vs) pregnancy/conception/
懐抱 [かいほう] /(n,vs) idea borne in mind/
懐炉 [かいろ] /(n) pocket heater/hand warmer/heater pack/
懐炉灰 [かいろばい] /(n) fuel source for a (pocket) body warmer/
戒 [いんごと] /(ok) (n) (1) sila (precept)/
戒 [かい] /(n) (1) (Buddh) admonition/commandment/(2) sila (precept)/
戒め [いましめ] /(n) (1) caution/admonition/warning/lesson/(2) prohibition/ban/commandment/precept/(3) (arch) caution/guard/(4) (arch) punishment/(P)/
戒める [いましめる] /(v1,vt) (1) to admonish/to warn/to remonstrate/(2) to prohibit/to forbid/(3) (arch) to be cautious/(4) (arch) to punish/(P)/
戒を破る [かいをやぶる] /(exp,v5r) to break the Buddhist commandments/
戒厳 [かいげん] /(n) martial law/
戒厳令 [かいげんれい] /(n) martial law/(P)/
戒護 [かいご] /(n) safe custody/
戒行 [かいぎょう] /(n) (Buddh) observing the precepts (of Buddhism)/
戒告 [かいこく] /(n,vs) admonition/(P)/
戒心 [かいしん] /(n,vs) caution/precaution/care/
戒慎 [かいしん] /(n,vs) caution/discretion/
戒壇 [かいだん] /(n) (Buddh) ordination platform/
戒名 [かいみょう] /(n) posthumous Buddhist name/
戒律 [かいりつ] /(n) (religious) precept/discipline/commandment/mitzvah/(P)/
戒律宗 [かいりつしゅう] /(n) (obsc) Ritsu (school of Buddhism)/
戒飭 [かいしょく] /(ik) (n,vs) admonishment/warning/
戒飭 [かいちょく] /(n,vs) admonishment/warning/
拐かす [かどわかす] /(v5s,vt) (uk) to kidnap/
拐引 [かいいん] /(n,vs) carrying off by deception/kidnap/
拐取 [かいしゅ] /(n,vs) abducting (legal term)/
拐帯 [かいたい] /(n,vs) absconding with money/
改 [かい] /(n-suf) revision/
改ざん [かいざん] /(n,vs) alteration/falsification/faking/(P)/
改ざん検出 [かいざんけんしゅつ] /(n) (comp) manipulation detection/
改まった [あらたまった] /(adj-f) ceremonious/formal/
改まる [あらたまる] /(v5r,vi) (1) to be renewed/(2) to stand on ceremony/to be formal/(3) to take a turn for the worse/(P)/
改む [あらたむ] /(v5m,vt) (abbr) to revise/to change/
改め [あらため] /(suf) former (e.g. name)/previous/changed/
改めて [あらためて] /(adv) another time/again/over again/once again/anew/(P)/
改める [あらためる] /(v1,vt) (1) to change/to alter/to revise/to replace/(2) to reform/to correct/to mend/to improve/(3) to examine/to check/to inspect/(4) to do properly/to do formally/(P)/
改ページ [かいページ] /(n) (comp) repagination/new page/form feed/page break/
改悪 [かいあく] /(n,vs) deterioration/changing for the worse/
改案 [かいあん] /(n) revision/modified plan/
改易 [かいえき] /(n,vs) change of rank/
改印 [かいいん] /(n,vs) changing seals/
改過自新 [かいかじしん] /(n) changing one's attitude or conduct and making a new start/turning over a new leaf/
改革 [かいかく] /(n,vs,adj-no) reform/reformation/innovation/(P)/
改革を叫ぶ [かいかくをさけぶ] /(exp,v5b) to cry loudly for a reform/
改革案 [かいかくあん] /(n) reform proposal/
改革過程 [かいかくかてい] /(n) reform process/
改革者 [かいかくしゃ] /(n) reformer/
改革派 [かいかくは] /(n) reformist/
改革派教会 [かいかくはきょうかい] /(n) Reformed Churches/
改機 [かいき] /(n) (1) type of thin thread/textile type/
改憲 [かいけん] /(n,vs) constitutional change/(P)/
改元 [かいげん] /(n,vs) change of era/
改悟 [かいご] /(n,vs) repentance/
改行 [かいぎょう] /(n,vs) (1) new line/new paragraph/(2) (comp) newline (e.g. LF, CR, CRLF)/
改行コード [かいぎょうコード] /(n) (comp) newline character (either or both of CR and LF depending on system)/
改行文字 [かいぎょうもじ] /(n) (comp) newline character/
改号 [かいごう] /(n,vs) change of name or title/change of era/
改作 [かいさく] /(n,vs) adaptation (of story)/
改札 [かいさつ] /(n,vs) (1) examination of tickets/(2) (abbr) ticket gate/ticket barrier/(P)/
改札係 [かいさつがかり] /(n) ticket examiner (collector, inspector) (in a railroad station)/
改札口 [かいさつぐち] /(n) ticket barrier (gate)/wicket/(P)/
改札鋏 [かいさつはさみ] /(n) ticket punch/
改宗 [かいしゅう] /(n,vs) religious conversion/(P)/
改宗者 [かいしゅうしゃ] /(n) a convert (e.g. to Buddhism)/
改宗者 [かいそうしゃ] /(n) a convert (e.g. to Buddhism)/
改修 [かいしゅう] /(n,vs) repair/improvement/(P)/
改修工事 [かいしゅうこうじ] /(n) repair work/
改称 [かいしょう] /(n,vs) renaming/retitling/
改心 [かいしん] /(n,vs) conversion/reform/correcting someone's conduct/
改心者 [かいしんしゃ] /(n) convert/person converted to a religion or belief/
改新 [かいしん] /(n,vs) reformation/(P)/
改進 [かいしん] /(n,vs) bringing up to date/progress/
改進党 [かいしんとう] /(n) (1) (abbr) Constitutional Reform Party (1882-1896)/(2) Reform Party (1952-1954)/
改姓 [かいせい] /(n,vs) changing one's family name/
改正 [かいせい] /(n,vs,adj-no) revision/amendment/alteration/(P)/
改正案 [かいせいあん] /(n) reform bill/reform proposal/
改正法 [かいせいほう] /(n) revised law/
改製 [かいせい] /(n,vs) re-drawing up (of family register)/re-establishment/
改製原戸籍 [かいせいげんこせき] /(n) original source of re-established family register/old family register/
改選 [かいせん] /(n,vs) re-election/(P)/
改善 [かいぜん] /(n,vs,adj-no) (1) betterment/improvement/(2) (uk) kaizen (Japanese business philosophy of continuous improvement)/(P)/
改善点 [かいぜんてん] /(n) points of improvement/
改組 [かいそ] /(n,vs) reorganization/reorganisation/(P)/
改葬 [かいそう] /(n,vs) reburial/
改装 [かいそう] /(n,vs,adj-no) remodelling/remodeling/reorganization/reorganisation/(P)/
改造 [かいぞう] /(n,vs) (1) (comp) remodeling/remodelling/restructuring/(2) modding/(P)/
改造車 [かいぞうしゃ] /(n) remodeled car/remodelled car/hot rod/
改題 [かいだい] /(n,vs) changing a title/
改築 [かいちく] /(n,vs) structural alteration of building/reconstruction/(P)/
改鋳 [かいちゅう] /(n,vs) reminting/recasting/
改定 [かいじょう] /(n,vs) reform/revision/alteration/change/
改定 [かいてい] /(n,vs) reform/revision/alteration/change/(P)/
改定版 [かいていばん] /(n) revised version/
改訂 [かいてい] /(n,vs,adj-no) revision/(P)/
改訂増補 [かいていぞうほ] /(n) revised and enlarged (edition)/
改訂版 [かいていばん] /(n) revised edition/(P)/
改訂履歴 [かいていりれき] /(n) (comp) revision history/
改廃 [かいはい] /(n,vs) change/reorganization/reorganisation/
改版 [かいはん] /(n,vs) revision/revised edition/
改版管理 [かいはんかんり] /(n) (comp) revision management/
改版理由 [かいはんりゆう] /(n) (comp) reason for revision/reason for modification/
改頁 [かいページ] /(n) (comp) repagination/new page/form feed/page break/
改変 [かいへん] /(n,vs) change/innovation/transformation/
改編 [かいへん] /(n,vs) reorganization/reorganisation/(P)/
改名 [かいめい] /(n,vs) name change/(P)/
改訳 [かいやく] /(n,vs) retranslation/revision/
改良 [かいりょう] /(n,vs) improvement/reform/(P)/
改良型 [かいりょうがた] /(n,adj-no) (1) improved version/(2) variant (of a pathogen)/
改良主義 [かいりょうしゅぎ] /(n) reformism/
改良種 [かいりょうしゅ] /(n) improved strain/improved breed/
改良点 [かいりょうてん] /(n) point(s) for improvement/
改良半紙 [かいりょうばんし] /(n) type of Japanese calligraphy paper/
改良品 [かいりょうひん] /(n) improved product/
改暦 [かいれき] /(n,vs) calendar revision (e.g. at start of year)/
改悛 [かいしゅん] /(n,vs) repentance/contrition/
改竄 [かいざん] /(n,vs) alteration/falsification/faking/
魁 [さきがけ] /(n,vs) charging ahead of others/the first to charge/pioneer/forerunner/harbinger/
魁偉 [かいい] /(adj-na,n) brawny/muscular/impressive/gigantic/
晦 [つきこもり] /(n) (arch) last day of the month/
晦 [つきごもり] /(n) (arch) last day of the month/
晦 [つごもり] /(n) last day of the month/
晦 [みそ] /(n) last day of the month/
晦 [みそか] /(n) last day of the month/
晦ます [くらます] /(v5s,vt) (1) to abscond/to conceal oneself/(2) to deceive/to dissemble/to fool/
晦む [くらむ] /(v5m,vi) (1) to be dazzled by/to be dizzied by/to be disoriented by/(2) to be lost in (greed, lust, etc.)/(3) (arch) to become dark/
晦渋 [かいじゅう] /(adj-na,n) ambiguous/obscure/equivocal/
晦日 [つごもり] /(n) last day of the month/
晦日 [みそか] /(n) last day of the month/
晦日そば [みそかそば] /(n) soba eaten at the end of the month (esp. at the end of the year)/
晦日蕎麦 [みそかそば] /(n) soba eaten at the end of the month (esp. at the end of the year)/
晦冥 [かいめい] /(n) darkness/
海 [うみ] /(n) sea/beach/(P)/
海 [み] /(ok) (n) sea/beach/
海 [わた] /(ok) (n) sea/beach/
海 [わだ] /(ok) (n) sea/beach/
海がめ [うみがめ] /(n) loggerhead/sea turtle/
海の家 [うみのいえ] /(n) beach hut/beachside clubhouse/
海の幸 [うみのさち] /(n) seafood/
海の藻屑 [うみのもくず] /(n) watery grave (metaphor)/
海の藻屑となる [うみのもくずとなる] /(exp,v5r) to be drowned at sea/
海の藻屑と消える [うみのもくずときえる] /(exp,v1) to be drowned at sea/
海の日 [うみのひ] /(n) Marine Day (national holiday; 3rd Monday of July)/
海の物とも山の物とも判らない [うみのものともやまのものともわからない] /(exp) neither fish nor fowl/cannot be foreseen/
海ぶどう [うみぶどう] /(n) sea grapes (Caulerpa lentillifera)/
海を渡る [うみをわたる] /(exp,v5r) to cross the ocean (i.e. to go to or come from overseas)/
海イグアナ [うみイグアナ] /(n) (uk) marine iguana (Amblyrhynchus cristatus)/
海ザリガニ [うみザリガニ] /(n) (uk) (obsc) lobster/
海パン [かいパン] /(n) trunks/shorts (e.g. seaside use)/
海ワニ [うみワニ] /(n) (obsc) (uk) saltwater crocodile (Crocodylus porosus)/estuarine crocodile/
海域 [かいいき] /(n) area of ocean/(P)/
海芋 [かいう] /(n) calla/Zantedcschia aethiopica/
海員 [かいいん] /(n) sailor/seaman/
海員組合 [かいいんくみあい] /(n) seamen's union/
海烏 [うみがらす] /(n) (uk) common murre/common guillemot (Uria aalge)/
海鵜 [うみう] /(n) (uk) Japanese cormorant (Phalacrocorax capillatus)/Temminck's cormorant/
海鰻 [あなご] /(oK) (n) garden eel/conger eel (esp. the common Japanese conger, Conger myriaster)/
海鰻 [うみうなぎ] /(n) eel-like sea creature (i.e. saltwater eels, sea snakes, etc.)/
海浦 [かいほ] /(n) seaside/
海運 [かいうん] /(n,adj-no) maritime/marine transportation/(P)/
海運業 [かいうんぎょう] /(n) shipping industry/marine transport/
海運同盟 [かいうんどうめい] /(n) shipping conference/
海雲 [もずく] /(n) (uk) mozuku (Cladosiphon okamuranus and Sphaerotrichia divaricata, types of edible seaweed)/
海沿い [うみぞい] /(n) coastlands/
海燕 [うみつばめ] /(n) (uk) storm petrel (any bird of family Hydrobatidae)/
海王星 [かいおうせい] /(n) Neptune (planet)/
海黄 [かいき] /(n) (1) type of thin thread/textile type/
海開き [うみびらき] /(n) opening of the beachgoing season/
海外 [かいがい] /(n,adj-no) foreign/abroad/overseas/(P)/
海外移住者 [かいがいいじゅうしゃ] /(n) immigrant/emigrant/
海外遠征 [かいがいえんせい] /(n) overseas trip/
海外活動 [かいがいかつどう] /(n) overseas activities/
海外経済協力基金 [かいがいけいざいきょうりょくききん] /(n) Overseas Economic Cooperation Fund/
海外在留邦人 [かいがいざいりゅうほうじん] /(n) Japanese living overseas/
海外市場 [かいがいしじょう] /(n) overseas (a foreign) market/
海外出張 [かいがいしゅっちょう] /(n) overseas business trip/(P)/
海外進出 [かいがいしんしゅつ] /(n) advance (e.g. of Japanese exports) into overseas markets/
海外直接投資 [かいがいちょくせつとうし] /(n) foreign direct investment/FDI/direct overseas investment/
海外投資 [かいがいとうし] /(n) overseas investment/
海外投資家 [かいがいとうしか] /(n) overseas investor/
海外派兵 [かいがいはへい] /(n) troops overseas/
海外版 [かいがいばん] /(n) overseas edition/
海外貿易 [かいがいぼうえき] /(n) international trade/foreign trade/overseas trade/
海外留学熱 [かいがいりゅうがくねつ] /(n) craze for studying abroad/
海外旅行 [かいがいりょこう] /(n) vacation abroad/
海外旅行生命保険 [かいがいりょこうせいめいほけん] /(n) overseas travel life insurance/
海外領土 [かいがいりょうど] /(n) overseas territory/overseas possession/
海関 [かいかん] /(n) maritime customs taxes/
海岸 [かいがん] /(n,adj-no) coast/beach/(P)/
海岸気候 [かいがんきこう] /(n) coastal climate/littoral climate/
海岸植物 [かいがんしょくぶつ] /(n) beach plant/
海岸浸食 [かいがんしんしょく] /(n) coast erosion/
海岸線 [かいがんせん] /(n) coastline/coastal railway/(P)/
海岸端 [かいがんばた] /(n) seaside/
海岸段丘 [かいがんだんきゅう] /(n) coastal terrace/
海岸地形 [かいがんちけい] /(n) coastal land form/
海岸通り [かいがんどおり] /(n) sea-front street/
海岸伝い [かいがんづたい] /(n) along the coast/
海岸平野 [かいがんへいや] /(n) coastal plain/
海気 [かいき] /(n) (1) sea air/sea breeze/(2) ocean and atmosphere/(3) type of thin thread/textile type/
海亀 [うみがめ] /(n) loggerhead/sea turtle/
海技免状 [かいぎめんじょう] /(n) seamen's competency certificate/
海牛 [うみうし] /(n) (uk) sea slug (various orthogastropod species, esp. of order Nudibranchia)/nudibranch/
海牛 [かいぎゅう] /(n) (uk) serenian (any aquatic mammal of order Sirenia, inc. manatees, and dugongs)/sea cow/
海魚 [かいぎょ] /(n) ocean fish/saltwater fish/
海峡 [かいきょう] /(n) channel (e.g. between two land masses)/strait/(P)/
海区 [かいく] /(n) ocean sector/
海栗 [うに] /(n,adj-no) sea urchin/sea urchin eggs/
海軍 [かいぐん] /(n) navy/(P)/
海軍基地 [かいぐんきち] /(n) naval base/
海軍工廠 [かいぐんこうしょう] /(n) naval arsenal/naval shipyard/
海軍将官 [かいぐんしょうかん] /(n) admiral/flag officer/
海軍省 [かいぐんしょう] /(n) Department of the Navy/
海軍大臣 [かいぐんだいじん] /(n) Minister of the Navy/
海軍特殊部隊 [かいぐんとくしゅぶたい] /(n) SEAL (US)/
海軍兵学校 [かいぐんへいがっこう] /(n) naval academy/
海景 [かいけい] /(n) seascape/
海月 [くらげ] /(gikun) (n) (1) (uk) jellyfish/(2) medusa/
海原 [うなばら] /(n) ocean/sea/the deep/
海幸 [うみさち] /(n) marine products/
海港 [かいこう] /(n) port/seaport/
海溝 [かいこう] /(n,adj-na) ocean trench/deep/(P)/
海国 [かいこく] /(n) maritime nation/
海砂 [かいさ] /(n) sea sand (sand collected from the ocean floor, as opposed to that which is used as an ingredient in concrete)/
海参 [いりこ] /(n) dried sea slug/
海山 [うみやま] /(adv,n) sea and mountains/
海産 [かいさん] /(n) (1) marine product/(adj-no) (2) marine (e.g. product, animal etc.)/
海産巻き貝 [かいさんまきがい] /(n) sea snail/
海産巻貝 [かいさんまきがい] /(n) sea snail/
海産業 [かいさんぎょう] /(n) marine industries/maritime industry/
海産物 [かいさんぶつ] /(n) marine products/(P)/
海酸漿 [うみほおずき] /(n) whelk egg case/
海士 [あま] /(n) (1) male diver/(2) fisherman/
海士 [かいし] /(n) seaman/
海事 [かいじ] /(n,adj-no) maritime affairs/
海事衛星 [かいじえいせい] /(n) a maritime satellite/
海事裁判所 [かいじさいばんしょ] /(n) admiralty court/
海自 [かいじ] /(n) (abbr) Maritime Self-Defense Force/
海蛇 [うみへび] /(n) (1) (uk) sea snake/(2) (uk) worm eel (Ophichthidae spp.)/snake eel/
海蛇座 [うみへびざ] /(n) Hydra (constellation)/
海手 [うみて] /(n,adj-no) place by the sea/
海秋沙 [うみあいさ] /(n) red-breasted merganser/
海獣 [かいじゅう] /(n) marine mammal/
海女 [あま] /(n) woman shell diver/
海女 [あまめ] /(ok) (n) woman shell diver/
海商法 [かいしょうほう] /(n) maritime law/
海将 [かいしょう] /(n) Vice-Admiral (Maritime Self-Defence Force of Japan) (defense)/
海松 [みる] /(n) (uk) Codium fragile (species of seaweed)/
海松貝 [みるがい] /(n) (uk) Tresus keenae (species of trough shell)/
海松菜 [みるな] /(n) (uk) Salsola komarovii (species of saltwort)/
海松食 [みるくい] /(n) (uk) Tresus keenae (species of trough shell)/
海松食貝 [みるくいがい] /(n) (uk) Tresus keenae (species of trough shell)/
海象 [かいしょう] /(n) marine phenomenon/
海象 [かいぞう] /(n) (uk) walrus (Odobenus rosmarus) (rus: sivuch)/
海象 [せいうち] /(gikun) (n) (uk) walrus (Odobenus rosmarus) (rus: sivuch)/
海鞘 [ほや] /(n) (uk) sea squirt/ascidian/
海上 [かいじょう] /(adj-no) (by, at, on) sea/maritime/marine/(P)/
海上空港 [かいじょうくうこう] /(n) seadrome/
海上権 [かいじょうけん] /(n) maritime authority/
海上交通安全法 [かいじょうこうつうあんぜんほう] /(n) Maritime Traffic Safety Act (1973)/
海上自衛隊 [かいじょうじえいたい] /(n) Maritime Self Defense Forces (Defence)/(P)/
海上自衛隊警務隊 [かいじょうじえいたいけいむたい] /(n) military police brigade (navy)/
海上衝突予防法 [かいじょうしょうとつよぼうほう] /(n) Act on Preventing Collisions at Sea (1892)/
海上都市 [かいじょうとし] /(n) artificial island city/floating city/
海上封鎖 [かいじょうふうさ] /(n) sea blockade/
海上保安庁 [かいじょうほあんちょう] /(n) Japan Coast Guard (formerly Maritime Safety Agency)/(P)/
海上保険 [かいじょうほけん] /(n) maritime insurance/
海上法 [かいじょうほう] /(n) maritime law/
海上輸送路 [かいじょうゆそうろ] /(n) marine transportation routes/
海食 [かいしょく] /(n,vs) marine erosion/
海食崖 [かいしょくがい] /(n) sea cliff/
海食台 [かいしょくだい] /(n) abrasion platform/
海食洞 [かいしょくどう] /(n) sea cave/marine cave/
海蝕 [かいしょく] /(n,vs) marine erosion/
海深 [かいしん] /(n) depth of the sea/
海神 [かいしん] /(n) sea god/Poseidon/Neptune/
海神 [かいじん] /(n) sea god/Poseidon/Neptune/
海神 [わたつみ] /(n) sea god/Poseidon/Neptune/
海神 [わだつみ] /(ik) (n) sea god/Poseidon/Neptune/
海進 [かいしん] /(n) coastline transgression/
海震 [かいしん] /(n) seaquake/
海人 [あま] /(n) (1) male diver/(2) fisherman/
海人酸 [かいにんさん] /(n) kainic acid/
海人小舟貝 [あまおぶねがい] /(n) (uk) ox-palate nerite (Nerita albicilla)/blotched nerite/
海図 [かいず] /(n) sea chart/
海水 [かいすい] /(n) ocean water/(P)/
海水パンツ [かいすいパンツ] /(n) bathing suit (men's)/
海水温 [かいすいおん] /(n) seawater temperature/
海水魚 [かいすいぎょ] /(n) saltwater fish/
海水着 [かいすいぎ] /(n) bathing suit/
海水帽 [かいすいぼう] /(n) bathing cap/swimcap/
海水浴 [かいすいよく] /(n) sea bathing/seawater bath/(P)/
海水浴場 [かいすいよくじょう] /(n) swimming area (in the ocean)/swimming beach/seawater baths/(P)/
海雀 [うみすずめ] /(n) (1) (uk) murrelet (esp. the ancient murrelet, Synthliboramphus antiquus)/(2) roundbelly cowfish (Lactoria diaphana)/
海成層 [かいせいそう] /(n) marine deposit/
海星 [ひとで] /(n) (1) (uk) starfish (any echinoderm of the class Asteroidea)/asteroid/sea star/(2) northern Pacific seastar (Asterias amurensis)/
海生動物 [かいせいどうぶつ] /(n) sea animal/
海跡湖 [かいせきこ] /(n) lagoon/
海雪 [かいせつ] /(n) marine snow/
海千山千 [うみせんやません] /(n,adj-no) sly old dog/old fox/
海戦 [かいせん] /(n) naval battle/(P)/
海扇 [ほたてがい] /(n) (uk) Japanese scallop (Patinopecten yessoensis)/
海鮮 [かいせん] /(n) seafood/
海鮮料理 [かいせんりょうり] /(n) cuisine with fresh seafoods/
海鼠 [かいそ] /(n) (uk) sea cucumber (Holothuroidea spp.)/
海鼠 [こ] /(ok) (n) (uk) sea cucumber (Holothuroidea spp.)/
海鼠 [なまこ] /(gikun) (n) (uk) sea cucumber (Holothuroidea spp.)/
海鼠子 [このこ] /(n) (food) dried sea-cucumber ovaries/
海鼠腸 [このわた] /(n) salted entrails of a sea cucumber/salted entrails of a trepang/
海鼠板 [なまこいた] /(n) corrugated iron sheet/
海鼠板 [なまこばん] /(n) corrugated iron sheet/
海曹 [かいそう] /(n) petty officer (navy)/
海相 [かいしょう] /(n) Navy Minister/
海草 [うみくさ] /(n) (1) marine plant/
海草 [うみぐさ] /(n) (1) marine plant/
海草 [かいそう] /(n) (1) marine plant/(2) (col) seaweed/
海藻 [かいそう] /(n) seaweed/(P)/
海藻類 [かいそうるい] /(n) seaweed/sea vegetable/
海側 [うみがわ] /(n) seaward side/
海賊 [かいぞく] /(n,adj-no) pirate/sea robber/(P)/
海賊の髑髏 [かいぞくのどくろ] /(n) skull and crossbones (pirate flag)/Jolly Roger/
海賊王 [かいぞくおう] /(n) pirate king/
海賊旗 [かいぞくき] /(n) pirate flag/
海賊船 [かいぞくせん] /(n) pirate ship/
海賊版 [かいぞくばん] /(n) pirated edition/bootleg/
海賊版ソフトウェア [かいぞくはんソフトウェア] /(n) (comp) piracy/pirated software/
海損 [かいそん] /(n) sea damage/average loss/
海苔 [のり] /(gikun) (n) nori (edible seaweed, esp. species Porphyra tenera and others of genus Porphyra, usu. dried and pressed into sheets)/laver/(P)/
海苔巻 [のりまき] /(n) (food) vinegared rice rolled in nori (laver)/
海苔巻き [のりまき] /(n) (food) vinegared rice rolled in nori (laver)/
海退 [かいたい] /(n) coastline regression/
海台 [かいだい] /(n) plateau/
海茸貝 [うみたけがい] /(n) (uk) dilate piddock (Barnea dilatata)/
海狸 [うみだぬき] /(n) beaver/
海狸 [かいり] /(n) beaver/
海狸 [びぜばぜ] /(n) beaver/
海胆 [うに] /(n,adj-no) sea urchin/sea urchin eggs/
海蜘蛛 [うみぐも] /(n) sea spider/
海蜘蛛類 [うみぐもるい] /(n) sea spiders (Pycnogonida spp.)/
海中 [かいちゅう] /(n,adj-no) in the sea/(P)/
海中火山 [かいちゅうかざん] /(n) submarine volcano/
海中公園 [かいちゅうこうえん] /(n) underwater park/
海潮音 [かいちょうおん] /(n) a teaching of Buddha related to the sound of the tide/sound of the tide/
海鳥 [うみどり] /(n) sea bird/
海鳥 [かいちょう] /(n) sea bird/
海鳥糞 [かいちょうふん] /(n) (obsc) guano/
海釣 [うみづり] /(n) sea fishing/
海釣り [うみづり] /(n) sea fishing/
海底 [かいてい] /(n) (1) bottom of the ocean/(adj-f) (2) undersea/submarine/(P)/
海底ケーブル [かいていケーブル] /(n) undersea cable/submarine cable/
海底トンネル [かいていトンネル] /(n) undersea tunnel/
海底火山 [かいていかざん] /(n) submarine volcano/
海底谷 [かいていこく] /(n) submarine valley/submarine canyon/
海底谷 [かいていだに] /(ik) (n) submarine valley/submarine canyon/
海底炭田 [かいていたんでん] /(n) submarine coal field/
海底地形 [かいていちけい] /(n) submarine topography/
海底地震 [かいていじしん] /(n) submarine earthquake/
海底電信 [かいていでんしん] /(n) submarine telegraphy/
海底電線 [かいていでんせん] /(n) undersea cable (communications, power)/submarine cable/
海底電線敷設船 [かいていでんせんふせつせん] /(n) cable layer/
海底油田 [かいていゆでん] /(n) offshore oil field/
海底撈月 [かいていろうげつ] /(n) totally useless (fruitless) effort/wasting time on an impossible task (like trying to scoop up a reflected moon from the bottom of the sea)/
海底撈月 [はいていらおゆえ] /(n) Haitei winning hand in mahjong/winning on the last tile drawn from the wall/scooping the moon from the bottom of the sea/
海天狗 [うみてんぐ] /(n) (uk) short dragonfish (Eurypegasus draconis)/
海道 [かいどう] /(n) sea route/(P)/
海豚 [いるか] /(gikun) (n) (uk) dolphin (or other small toothed whales, such as porpoises, belugas, etc.)/
海豚座 [いるかざ] /(n) Delphinus/the Dolphin (constellation)/
海内 [かいだい] /(n) the whole country/
海内無双 [かいだいむそう] /(n) unparalleled in the whole country/
海軟風 [かいなんぷう] /(n) sea breeze/
海難 [かいなん] /(n) shipwreck/(P)/
海難救助 [かいなんきゅうじょ] /(n) sea rescue/air-sea rescue/ASR/
海難事故 [かいなんじこ] /(n) accident at sea/maritime accident/
海難審判 [かいなんしんぱん] /(n) marine accident inquiry/marine accident enquiry/
海難審判庁 [かいなんしんぱんちょう] /(n) Marine Accidents Inquiry Agency/
海葱 [うみねぎ] /(n) white squill (Urginea maritima)/sea onion/
海猫 [うみねこ] /(n) black-tailed gull (Larus crassirostris)/
海馬 [あしか] /(n,adj-no) (uk) eared seal (esp. the California sea lion, Zalophus californianus)/sea lion/
海馬 [うみうま] /(n) (1) sea horse/
海馬 [かいば] /(n) (1) sea horse/(2) hippocampus/(3) walrus/
海馬 [せいうち] /(gikun) (n) (uk) walrus (Odobenus rosmarus) (rus: sivuch)/
海馬 [とど] /(n) (uk) Steller's sea lion/Northern sea lion/
海馬回 [かいばかい] /(n) hippocampal gyrus/
海馬状隆起 [かいばじょうりゅうき] /(n) hippocampus/
海髪 [うご] /(n) ogo (seaweed)/
海髪 [おご] /(n) ogo (seaweed)/
海髪 [おごのり] /(n) ogo (seaweed)/
海抜 [かいばつ] /(n) height above sea level/(P)/
海鳩 [うみばと] /(n) (uk) pigeon guillemot (Cepphus columba)/
海盤車 [ひとで] /(n) (1) (uk) starfish (any echinoderm of the class Asteroidea)/asteroid/sea star/(2) northern Pacific seastar (Asterias amurensis)/
海百合 [うみゆり] /(n) (uk) sea lily/crinoid/
海氷 [かいひょう] /(n) sea ice/
海豹 [あざらし] /(n) (uk) true seal (animal)/earless seal/
海豹 [かいひょう] /(n) (uk) true seal (animal)/earless seal/
海豹肢症 [あざらしししょう] /(n) phocomelia/
海浜 [かいひん] /(n) seaside/(P)/
海浜公園 [かいひんこうえん] /(n) beachfront park/park by the sea/
海浜植物 [かいひんしょくぶつ] /(n) beach plant/
海葡萄 [うみぶどう] /(n) sea grapes (Caulerpa lentillifera)/
海風 [うみかぜ] /(n) sea breeze/
海風 [かいふう] /(n) sea breeze/
海淵 [かいえん] /(n) ocean depths/
海兵 [かいへい] /(n) sailor/marine/
海兵遠征軍 [かいへいえんせいいくさ] /(n) Marine Expeditionary Force (US)/
海兵隊 [かいへいたい] /(n) Marine Corps/Royal Marines/(P)/
海兵団 [かいへいだん] /(n) marines (former Japanese Navy)/
海壁 [かいへき] /(n) sea wall/
海辺 [うみべ] /(n,adj-no) beach/seashore/(P)/
海辺 [かいへん] /(n,adj-no) beach/seashore/
海保 [かいほ] /(n) (abbr) Japan Coast Guard/JCG/
海泡石 [かいほうせき] /(n) sepiolite/
海坊主 [うみぼうず] /(n) sea monster/green turtle/
海膨 [かいぼう] /(n) rise/
海防 [かいぼう] /(n) coastal defense/coastal defence/
海盆 [かいぼん] /(n) basin/
海霧 [うみぎり] /(n) sea fog/
海霧 [かいむ] /(n) sea fog/
海鳴り [うみなり] /(n) rumbling of the sea/
海綿 [うみわた] /(n,adj-no) sponge/
海綿 [かいめん] /(n,adj-no) sponge/
海綿質 [かいめんしつ] /(n) spongin/
海綿状 [かいめんじょう] /(n,adj-no) spongiform/spongelike/spongy/
海綿状組織 [かいめんじょうそしき] /(n) spongy tissue/
海綿体 [かいめんたい] /(n) body of (genital) erectile tissue (inc. corpus cavernosum and corpus spongiosum)/
海綿鉄 [かいめんてつ] /(n) sponge iron/
海綿動物 [かいめんどうぶつ] /(n,adj-no) (sea) sponges/
海面 [かいめん] /(n) sea level/(surface of) sea/(P)/
海面更正 [かいめんこうせい] /(n) reduction of mean sea level/
海面上昇 [かいめんじょうしょう] /(n) sea level rise/rise in sea level/
海面変動 [かいめんへんどう] /(n) sea level change/
海毛虫 [うみけむし] /(n) (uk) Chloeia flava (species of bristle worm)/
海門 [かいもん] /(n) strait/channel/
海遊び [うみあそび] /(n) playing in the sea/
海容 [かいよう] /(n) forgiveness/
海洋 [かいよう] /(n,adj-no) ocean/(P)/
海洋プレート [かいようプレート] /(n) oceanic plate/
海洋リモートセンシング [かいようリモートセンシング] /(n) ocean remote sensing/
海洋温度差発電 [かいようおんどさはつでん] /(n) ocean thermal energy conversion/
海洋科学 [かいようかがく] /(n) marine science/
海洋開発 [かいようかいはつ] /(n) ocean development/
海洋学 [かいようがく] /(n) oceanography/oceanology/
海洋学者 [かいようがくしゃ] /(n) oceanographer/
海洋監視衛星 [かいようかんしえいせい] /(n) ocean surveillance satellite/
海洋観測 [かいようかんそく] /(n) oceanographic observation/
海洋気象 [かいようきしょう] /(n) oceanic climate/
海洋気象台 [かいようきしょうだい] /(n) marine meteorological observatory/
海洋警察 [かいようけいさつ] /(n) maritime police/
海洋構造物 [かいようこうぞうぶつ] /(n) offshore structure/
海洋自由 [かいようじゆう] /(n) freedom of the sea/
海洋哨戒機 [かいようしょうかいき] /(n) maritime patrol aircraft/MPA/
海洋性 [かいようせい] /(adj-no) (1) marine/maritime/oceanic/(n) (2) oceanity/
海洋性気候 [かいようせいきこう] /(n) oceanic climate/
海洋生態学 [かいようせいたいがく] /(n) marine ecology/
海洋生物学 [かいようせいぶつがく] /(n) marine biology/
海洋生物地理区 [かいようせいぶつちりく] /(n) marine biogeographic region/
海洋地質学 [かいようちしつがく] /(n) submarine geology/
海洋調査船 [かいようちょうさせん] /(n) ocean investigation ship/
海洋底 [かいようてい] /(n) ocean floor/sea floor/seabed/
海洋投棄 [かいようとうき] /(n) dumping at sea/
海洋投棄規制条約 [かいようとうききせいじょうやく] /(n) Convention on the Prevention of Marine Pollution by Dumping of Wastes and Other Matters/
海洋物理学 [かいようぶつりがく] /(n) physical oceanography/
海洋法 [かいようほう] /(n) Law of the Sea/
海洋牧場 [かいようぼくじょう] /(n) marine ranch/marifarm/
海螺 [つび] /(ok) (n) (1) small spiral-shelled snail (esp. a pond snail)/
海螺 [つぶ] /(n) (1) (uk) whelk (esp. Neptunea and Buccinum spp.)/(2) small spiral-shelled snail (esp. a pond snail)/
海螺 [つみ] /(ok) (n) (1) small spiral-shelled snail (esp. a pond snail)/
海里 [かいり] /(n) nautical mile/1852m/6080ft/
海陸 [かいりく] /(n) land and sea/
海陸風 [かいりくふう] /(n) land and sea breeze/
海流 [かいりゅう] /(n) ocean current/(P)/
海流瓶 [かいりゅうびん] /(n) drift bottle/
海猟 [らっこ] /(n) (uk) sea otter (Enhydra lutris) (ain:)/
海緑石 [かいりょくせき] /(n) glauconite/
海嶺 [かいれい] /(n) (submarine) ridge/
海路 [うなじ] /(n-t) sea route/
海路 [うみじ] /(n-t) sea route/
海路 [かいろ] /(n-t) sea route/(P)/
海老 [えび] /(n) prawn/shrimp/lobster/crayfish/(P)/
海老で鯛を釣る [えびでたいをつる] /(exp,v5r) to throw in a shrimp and pull out a whale/to use a sprat to catch a mackerel/
海老フライ [えびフライ] /(n) fried prawns/
海老蟹 [えびがに] /(n) (uk) (col) crayfish (esp. red swamp crayfish, Procambarus clarkii)/
海老殻苺 [えびがらいちご] /(n) (uk) Japanese wineberry (Rubus phoenicolasius Maxim.)/wine raspberry/wineberry/
海老腰 [えびごし] /(n) stooped over/
海老錠 [えびじょう] /(n) padlock/
海老責め [えびぜめ] /(n) Japanese bondage torture (bound victim sits cross-legged with their arms tied behind them, and the rope is tightened until their ankles touch their neck)/
海老茶 [えびちゃ] /(n) maroon/reddish-brown/
海老尾 [えびお] /(n) (1) goldfish with a shrimp-like tail/(2) head of a shamisen or lute (bent back like a shrimp's tail)/
海老尾 [かいろうび] /(n) (1) head of a shamisen or lute (bent back like a shrimp's tail)/
海鰐 [うみわに] /(n) (obsc) (uk) saltwater crocodile (Crocodylus porosus)/estuarine crocodile/
海嘯 [かいしょう] /(n) (1) tidal bore/eagre/(2) (obs) tsunami/tidal wave/
海嘯 [つなみ] /(n) tsunami/tidal wave/
海堡 [かいほう] /(n) breakwater/coast battery/
海棠 [かいどう] /(n) (1) flowering crab apple (Malus halliana)/(2) Kaido crab apple (Malus micromalus)/(3) Chinese flowering apple (Malus spectabilis)/(4) Siberian crab apple (Malus baccata)/(5) aronia (flower)/
海獺 [うみうそ] /(n) (arch) sea lion/
海獺 [うみおそ] /(n) (arch) sea lion/
海獺 [らっこ] /(n) (uk) sea otter (Enhydra lutris) (ain:)/
海筍貝 [うみたけがい] /(n) (uk) dilate piddock (Barnea dilatata)/
海笋貝 [うみたけがい] /(n) (uk) dilate piddock (Barnea dilatata)/
海菴 [はいれん] /(n) (uk) Indo-Pacific tarpon (Megalops cyprinoides)/
海蘊 [もずく] /(n) (uk) mozuku (Cladosiphon okamuranus and Sphaerotrichia divaricata, types of edible seaweed)/
海蘿 [ふのり] /(n) funori (seaweed)/glue plant/
海蜷 [うみにな] /(n) (uk) many-formed cerith (Batillaria multiformis)/
海蠍 [うみさそり] /(n) (uk) eurypterid/
海邊 [うみべ] /(oK) (n,adj-no) beach/seashore/
海邊 [かいへん] /(oK) (n,adj-no) beach/seashore/
海驢 [あしか] /(n,adj-no) (uk) eared seal (esp. the California sea lion, Zalophus californianus)/sea lion/
海驢 [みち] /(ok) (n,adj-no) (uk) eared seal (esp. the California sea lion, Zalophus californianus)/sea lion/
海鰓 [うみえら] /(n) (uk) sea pen (any coelenterate of the family Pennatulidae or related families)/sea feather/
海鴉 [うみがらす] /(n) (uk) common murre/common guillemot (Uria aalge)/
海鷂魚 [えい] /(gikun) (n) (uk) ray (fish)/stingray/
灰 [はい] /(n) ash/ashes/(P)/
灰になる [はいになる] /(exp,v5r) to be reduced to ashes/to be cremated/
灰の水曜日 [はいのすいようび] /(n) Ash Wednesday/
灰押さえ [はいおさえ] /(n) ash leveler (use in a brazier)/
灰押し [はいおし] /(n) ash leveler (use in a brazier)/
灰貝 [はいがい] /(n) ivory shell/cockle/
灰殻 [はいがら] /(n) ashes/
灰器 [はいき] /(n) ash box (used in tea ceremony)/
灰均し [はいならし] /(n) ash leveler/
灰匙 [はいさじ] /(n) ash scoop (tea ceremony)/
灰皿 [はいざら] /(n) ashtray/(P)/
灰受け [はいうけ] /(n) ash pan/ash tray/
灰汁 [あく] /(gikun) (n) (1) lye/(2) harsh taste/(3) scum (formed when cooking some foods)/(4) (uk) (excessive) strength of will/
灰汁が強い [あくがつよい] /(exp,adj-i) (1) having a strong alkaline taste/harsh to the taste/(2) excessively strong-willed/fiercely individualistic/strongly idiosyncratic/
灰汁の強い [あくのつよい] /(adj-i) (1) harsh tasting/strongly alkaline tasting/(2) excessively strong-willed/fiercely individualistic/strongly idiosyncratic/
灰汁を取る [あくをとる] /(exp,v5r) to skim the scum from broth or liquid/to skim (a liquid)/
灰汁洗い [あくあらい] /(n) scouring/washing vegetables in lye/
灰汁抜き [あくぬき] /(n,vs) removal of astringent taste (e.g. by cooking)/
灰汁抜け [あくぬけ] /(n,vs) (state of) having got rid of something (e.g. bad taste)/
灰重石 [かいじゅうせき] /(n) scheelite/
灰色 [はいいろ] /(n,adj-no) grey/gray/ashen/(P)/
灰色海豹 [はいいろあざらし] /(n) (uk) gray seal (Halichoerus grypus)/grey seal/
灰色雁 [はいいろがん] /(n) eastern greylag goose (aquatic bird, Anser anser)/
灰色熊 [はいいろぐま] /(n) (uk) grizzly bear (Ursus arctos horribilis)/
灰色高官 [はいいろこうかん] /(n) high official suspected of corruption/
灰色星烏 [はいいろほしがらす] /(n) (uk) Clark's nutcracker (Nucifraga columbiana)/
灰色星鴉 [はいいろほしがらす] /(n) (uk) Clark's nutcracker (Nucifraga columbiana)/
灰色藻 [かいしょくそう] /(n) glaucophyte/
灰色鰭足鷸 [はいいろひれあししぎ] /(n) (uk) red phalarope/grey phalarope (Phalaropus lobatus)/
灰色蓬 [はいいろよもぎ] /(n) (uk) Artemisia sieversiana/
灰色狼 [はいいろおおかみ] /(n) (European) gray wolf (carnivore, Canis lupus lupus)/grey wolf/
灰神楽 [はいかぐら] /(n) raising a cloud of ashes/
灰塵 [はいじん] /(n) ashes and dust/
灰吹き [はいふき] /(n) bamboo (tobacco) ash receptacle/
灰吹法 [はいふきほう] /(n) cupellation/
灰青色 [はいせいしょく] /(n) grayish blue/greyish blue/
灰洗い [あくあらい] /(iK) (n) scouring/washing vegetables in lye/
灰長石 [かいちょうせき] /(n) anorthite/
灰鉄ザクロ石 [はいてつザクロいし] /(n) andradite/
灰塗れ [はいまみれ] /(adj-na) covered with ashes/
灰土 [かいど] /(n) ashes and earth/poor volcanic soil/
灰土 [はいつち] /(n) ashes and earth/poor volcanic soil/
灰頭蜜吸 [はいがしらみつすい] /(n) (uk) brush wattlebird (Anthochaera chrysoptera)/
灰白 [かいはく] /(n) gray/grey/griseous/
灰白質 [かいはくしつ] /(n) gray matter/grey matter/
灰白色 [かいはくしょく] /(n) grayish white/greyish white/
灰分 [かいぶん] /(n) ash/
灰落し [はいおとし] /(n) ash tray/ash pit/
灰落とし [はいおとし] /(n) ash tray/ash pit/
灰緑色 [かいりょくしょく] /(n) greenish gray/greenish grey/
灰燼 [かいじん] /(n) ash/embers/complete destruction/
灰篩 [はいふるい] /(n) ash strainer/
灰釉 [はいぐすり] /(n) ash glaze (type of fundamental glaze used in ancient times made from the ashes of raw materials such as unhulled rice, straw, oak and pine)/
界 [かい] /(n) (1) (biological) kingdom/(2) erathem (rock layer corresponding to the era in which it was deposited)/(3) partition of land/(suf) (4) the world of (some category)/
界 [さかい] /(n) border/boundary/mental state/
界隈 [かいわい] /(n) neighborhood/neighbourhood/
界磁巻線 [かいじまきせん] /(n) field winding/
界磁極 [かいじきょく] /(n) field pole/
界磁石 [かいじしゃく] /(n) field magnet/
界標 [かいひょう] /(n) boundary mark (on land or water)/
界面 [かいめん] /(n,adj-no) interface/
界面化学 [かいめんかがく] /(n) surface chemistry/
界面活性 [かいめんかっせい] /(n,adj-no) surface active/
界面活性剤 [かいめんかっせいざい] /(n) surfactant/
界面現象 [かいめんげんしょう] /(n) interfacial phenomenon/surface phenomenon/
界面張力 [かいめんちょうりょく] /(n) interfacial tension/
界雷 [かいらい] /(n) frontal thunderstorm/
皆 [みな] /(adv,n) (1) all/everyone/everybody/(2) everything/(P)/
皆 [みんな] /(adv,n) (1) all/everyone/everybody/(2) everything/(P)/
皆々 [みなみな] /(n) (1) all/everyone/everybody/(2) everything/
皆々様 [みなみなさま] /(n) Ladies and Gentlemen!/all of you/everyone/
皆さん [みなさん] /(n) (hon) all/everyone/everybody/(P)/
皆さん [みんなさん] /(ik) (n) (hon) all/everyone/everybody/
皆の者 [みなのもの] /(n) everybody/
皆の衆 [みなのしゅう] /(n) everybody/
皆まで言うな [みなまでいうな] /(exp) don't finish what you're saying/stop what you're saying/
皆皆 [みなみな] /(n) (1) all/everyone/everybody/(2) everything/
皆皆様 [みなみなさま] /(n) Ladies and Gentlemen!/all of you/everyone/
皆既 [かいき] /(n) total eclipse/totality/
皆既月食 [かいきげっしょく] /(n) total eclipse of the moon/
皆既食 [かいきしょく] /(n) total eclipse (of sun by moon)/totality/
皆既蝕 [かいきしょく] /(n) total eclipse (of sun by moon)/totality/
皆既日食 [かいきにっしょく] /(n) total solar eclipse/
皆脚類 [かいきゃくるい] /(n) pantopods/
皆勤 [かいきん] /(n,vs) perfect attendance/
皆勤賞 [かいきんしょう] /(n) reward or prize for perfect attendance/
皆婚社会 [かいこんしゃかい] /(n) marriage-oriented society (in which most people are married, usu. at a young age)/
皆済 [かいさい] /(n,vs) settlement/
皆殺し [みなごろし] /(n) massacre/annihilation/wholesale slaughter/
皆相撲が好き [みんなすもうがすき] /(exp) sumo wrestlers who prefer drawn-out bouts/
皆伝 [かいでん] /(n,vs) initiation into an art or discipline/
皆納 [かいのう] /(n,vs) full payment of a tax/
皆伐 [かいばつ] /(n,vs) clear-cut logging/clear-cutting/
皆兵 [かいへい] /(n) universal conscription/
皆兵制度 [かいへいせいど] /(n) system of universal conscription/
皆無 [かいむ] /(adj-na,n,adj-no) nothing/(P)/
皆目 [かいもく] /(adv) entirely/(P)/
皆様 [みなさま] /(n) (hon) everyone/(P)/
絵 [え] /(n,n-suf) picture/drawing/painting/sketch/(P)/
絵づら [えづら] /(n) the impression given by a painting or image/
絵にかいた餅 [えにかいたもち] /(exp) pie in the sky/castle in the air/
絵になる [えになる] /(exp,v5r) to (would) make a picture (similar to pretty as a picture)/
絵に描いたよう [えにえがいたよう] /(ik) (exp) the very picture of .../
絵に描いたよう [えにかいたよう] /(exp) the very picture of .../
絵に描いた餅 [えにかいたもち] /(exp) pie in the sky/castle in the air/
絵に描いた餠 [えにかいたもち] /(exp) pie in the sky/castle in the air/
絵の具 [えのぐ] /(n) colors/colours/paints/(P)/
絵の具を溶く [えのぐをとく] /(exp,v5k) to dissolve colors/to dissolve colours/
絵の展覧会 [えのてんらんかい] /(n) art exhibition/
絵はがき [えはがき] /(n) picture postcard/
絵をえがく [えをえがく] /(exp,v5k) to paint (draw) a picture/
絵をかく [えをかく] /(exp,v5k) to paint (draw) a picture/
絵を書く [えをかく] /(exp,v5k) to paint (draw) a picture/
絵を描く [えをえがく] /(exp,v5k) to paint (draw) a picture/
絵を描く [えをかく] /(exp,v5k) to paint (draw) a picture/(P)/
絵グラフ [えグラフ] /(n) pictograph/
絵コンテ [えコンテ] /(n) (abbr) storyboard (film)/
絵羽 [えば] /(adj-f,n) (1) (abbr) figured/patterned/(n) (2) (abbr) figured haori (coat)/
絵羽羽織 [えばはおり] /(n) figured haori (coat)/
絵羽羽織 [えばばおり] /(n) figured haori (coat)/
絵羽織 [えばおり] /(n) figured haori (coat)/
絵羽模様 [えばもよう] /(n) single pattern on the entirety of a garment/
絵画 [かいが] /(n) picture/painting/(P)/
絵画館 [かいがかん] /(n) art or picture gallery/
絵画的 [かいがてき] /(n) (1) picturesque/(2) pictorial/graphic/
絵解き [えとき] /(n,vs) explanation of a picture/explanation by pictures/
絵巻 [えまき] /(n) picture scroll/(P)/
絵巻物 [えまきもの] /(n) picture scroll/(P)/
絵看板 [えかんばん] /(n) signboard depicting scene from a play (usu. outside a theatre)/
絵具 [えのぐ] /(n) colors/colours/paints/
絵空言 [えそらごと] /(iK) (n) fabrication/pipe dream/
絵空事 [えそらごと] /(n) fabrication/pipe dream/
絵絹 [えぎぬ] /(n) silk canvas/
絵札 [えふだ] /(n) face or picture card/
絵皿 [えざら] /(n) decorative plate/palette/
絵姿 [えすがた] /(n) portrait/
絵師 [えし] /(n) painter/artist/painter supported by patron/
絵手紙 [えてがみ] /(n) letter made from a picture one has drawn/
絵書き [えかき] /(n) painter (of pictures, not walls)/
絵心 [えごころ] /(n) artistic inclinations or taste/ability to appreciate painting/desire to paint/
絵図 [えず] /(n) illustration/drawing/
絵図面 [えずめん] /(n) a plan/
絵扇 [えおうぎ] /(n) fan painted with a picture/
絵組 [えぐみ] /(n) (1) structure of an artwork/pictorial design/(2) pictures inserted in a book/
絵組み [えぐみ] /(n) (1) structure of an artwork/pictorial design/(2) pictures inserted in a book/
絵双紙 [えぞうし] /(n) picture book/
絵双紙屋 [えぞうしや] /(n) shop selling picture books, wood prints, etc./
絵捜し [えさがし] /(n) hidden picture puzzle/
絵草子 [えぞうし] /(n) picture book/
絵草紙 [えぞうし] /(n) picture book/
絵草紙屋 [えぞうしや] /(n) shop selling picture books, wood prints, etc./
絵像 [えぞう] /(n) portrait/
絵探し [えさがし] /(n) hidden picture puzzle/
絵端書 [えはがき] /(n) picture postcard/
絵伝 [えでん] /(n) biography of a monk or history of a temple told in pictures/
絵日記 [えにっき] /(n) diary with illustrations/
絵日傘 [えひがさ] /(n) decorated umbrella/figured paper parasol/
絵入り [えいり] /(n) illustrated/pictorial/
絵入り根本 [えいりねほん] /(n) illustrated kabuki script/
絵入根本 [えいりねほん] /(n) illustrated kabuki script/
絵馬 [えうま] /(n) votive picture (originally of horse)/
絵馬 [えま] /(n) votive picture (originally of horse)/
絵馬殿 [えまでん] /(n) (obsc) shrine building where votive picture tablets are hanged/
絵馬堂 [えまどう] /(n) shrine building where votive picture tablets are hanged/
絵番付 [えばんづけ] /(n) illustrated sumo rankings/
絵筆 [えふで] /(n) paintbrush/
絵描き [えかき] /(n) artist/painter/
絵付 [えつけ] /(n) ceramics painting/decorating ceramics/
絵付け [えつけ] /(n) ceramics painting/decorating ceramics/
絵物語 [えものがたり] /(n) illustrated story/
絵文字 [えもじ] /(n) ideograph/pictograph/
絵柄 [えがら] /(n) pattern/design/
絵本 [えほん] /(n) picture book/(P)/
絵面 [えづら] /(n) the impression given by a painting or image/
絵模様 [えもよう] /(n) picturesque design/
絵様 [えよう] /(n) (1) decorative carving/(2) design/plan/sketch/
絵葉書 [えはがき] /(n) picture postcard/(P)/
絵暦 [えごよみ] /(n) traditional Japanese calendar with pictures/traditional Japanese calendar expressed with pictures for use by illiterates/
絵蝋燭 [えろうそく] /(n) candle decorated with pictures, e.g. of colored birds and flowers/
芥 [あくた] /(n) (uk) rubbish/trash/garbage/refuse/
芥 [ごみ] /(n) (uk) rubbish/trash/garbage/refuse/
芥子 [からし] /(oK) (n) mustard/
芥子 [けし] /(n) poppy/
芥子菜 [からしな] /(n) leaf mustard/mustard plant/
芥子色 [からしいろ] /(n) mustard/
芥子漬け [からしづけ] /(n) vegetables pickled in mustard/
芥子味噌 [からしみそ] /(n) miso mixed with mustard/
芥子油 [からしゆ] /(n) mustard oil/
芥子粒 [けしつぶ] /(n) (1) poppy seed/(adj-f) (2) pinhead-like/small as ants/
芥袋 [ごみぶくろ] /(n) garbage bag/
芥虫 [ごみむし] /(n) (1) (uk) ground beetle/carabid (esp. of superfamily Caraboidea, but excluding subfamily Carabinae)/(2) Anisodactylus signatus (species of ground beetle)/
芥箱 [ごみばこ] /(n) garbage can/garbage box/rubbish bin/trash can/dust bin/dustbin/
芥溜め [ごみため] /(n) dump/rubbish dump/
蟹 [かに] /(n) crab/(P)/
蟹蒲 [かにかま] /(n) imitation crab meat/
蟹缶 [かにかん] /(n) canned crab/
蟹漁 [かにりょう] /(n) crab fishing/crabbing/
蟹玉 [かにたま] /(n) Chinese dish with fried egg and crab/
蟹股 [がにまた] /(adj-no) bowlegged/bandy-legged/
蟹工船 [かにこうせん] /(n) crab-canning boat/
蟹座 [かにざ] /(n) (constellation) Cancer/the Crab/
蟹食猿 [かにくいざる] /(n) crab-eating macaque/
蟹食海豹 [かにくいあざらし] /(n) (uk) crabeater seal (Lobodon carcinophagus)/
蟹星雲 [かにせいうん] /(n) Crab Nebula/
蟹草 [かにくさ] /(n) (uk) Japanese climbing fern (Lygodium japonicum)/
蟹蜘蛛 [かにぐも] /(n) (uk) crab spider (any spider of family Thomisidae)/
蟹虫 [かにむし] /(n) (uk) pseudoscorpion (any arachnid of order Pseudoscorpionida)/false scorpion/
蟹味噌 [かにみそ] /(n) (uk) miso-like paste found inside a crab's (and arthropods in general) intestinal area/
蟹瞞 [かにだまし] /(n) (uk) porcelain crab (any decapod crustacean of family Porcellanidae)/
蟹瞞し [かにだまし] /(n) (uk) porcelain crab (any decapod crustacean of family Porcellanidae)/
開いた口が塞がらない [あいたくちがふさがらない] /(exp) to be surprising/to be shocking/to be jaw-dropping/
開いた口が塞がらぬ [あいたくちがふさがらぬ] /(exp,adj-f) surprising/shocking/jaw-dropping/
開いた口も塞がらぬ [あいたくちもふさがらぬ] /(exp,adj-f) surprising/shocking/jaw-dropping/
開いているマーク区間宣言 [ひらいているマークくかんせんげん] /(n) (comp) open marked section declaration/
開いている実体 [ひらいているじったい] /(n) (comp) open entity/
開いている要素 [ひらいているようそ] /(n) (comp) open element/
開かずの [あかずの] /(adj-f) (1) unopened/(2) forbidden/
開かる [はだかる] /(v5r,vi) (1) (uk) to be separated/to be exposed/to be wide open/(2) to stand with one's limbs apart (blocking the way)/
開かれたシステム [ひらかれたシステム] /(n) (comp) open system/
開き [ひらき] /(n) (1) opening/gap/(suf) (2) dried and opened fish/(P)/
開き鯵 [ひらきあじ] /(n) split and dried saurel/
開き戸 [ひらきど] /(n) (hinged) door/
開き口 [ひらきぐち] /(n) (comp) aperture/
開き直る [ひらきなおる] /(v5r,vi) to become defiant/to turn upon/to become serious/(P)/
開き封 [ひらきふう] /(n) unsealed mail/
開く [あく] /(v5k,vi) (1) to open (e.g. doors)/(2) to open (e.g. business, etc.)/(3) to be empty/(4) to be vacant/to be available/to be free/(5) to be open (e.g. neckline, etc.)/(6) to have been opened (of one's eyes, mouth, etc.)/(7) to come to an end/(v5k,vt) (8) to open (one's eyes, mouth, etc.)/(v5k,vi) (9) to have a hole/to form a gap/to have an interval (between events)/(P)/
開く [ひらく] /(v5k,vt) (1) to open (e.g. a bank-account, festival, etc.)/(v5k,vi) (2) to spread out/to open up (flower bud, umbrella, etc.)/to widen (gap, distance, width)/(3) to hold/to give (party, conference, etc.)/(P)/
開けごま [ひらけごま] /(exp) Open Sesame!/
開けっぱなし [あけっぱなし] /(adj-na,n) (1) leaving open/leaving ajar/(2) outspoken/frank/
開けっ広げ [あけっぴろげ] /(adj-na) unguarded/frank/open/
開けっ放し [あけっぱなし] /(adj-na,n) (1) leaving open/leaving ajar/(2) outspoken/frank/
開けっ放す [あけっぱなす] /(v5s) to leave open/
開ける [あける] /(v1,vt) (1) to open (a door, etc.)/to unwrap (e.g. parcel, package)/(2) to open (for business, etc.)/(3) to empty/to clear out/to make space/to make room/(v1,vi) (4) to dawn/to grow light/(5) to end/(P)/
開ける [はだける] /(v1,vt) (1) (uk) to open/to bare/to expose/(2) to stretch/
開ける [ひらける] /(v1,vi) (1) to become opened up/to improve/to get better/(2) to develop/to progress/to become civilized (civilised)/to be up-to-date/(3) to be enlightened/to be sensible/(P)/
開け胡麻 [ひらけごま] /(exp) Open Sesame!/
開け広げ [あけひろげ] /(adj-na,n) (obsc) unguarded/frank/open/
開け広げる [あけひろげる] /(v1,vt) to open wide/to reveal hidden contents/
開け渡す [あけわたす] /(iK) (v5s,vt) to vacate/to surrender/
開け払う [あけはらう] /(v5u,vt) to open/to vacate/
開け閉て [あけたて] /(n,vs) opening and shutting/
開け閉め [あけしめ] /(n,vs) opening and shutting/
開け放し [あけはなし] /(adj-na,adj-no,n) (1) leaving open/leaving ajar/(2) outspoken/frank/
開け放す [あけはなす] /(v5s,vt) to open wide (doors, windows, etc.)/to fling open/
開け放つ [あけはなつ] /(v5t,vt) to throw open/to leave open/
開ひ [かいひ] /(n,vs) opening a door/
開ループ [かいループ] /(n) (comp) open-loop/
開院 [かいいん] /(n,vs) opening congress/hospital opening/
開運 [かいうん] /(n) better fortune/
開運商法 [かいうんしょうほう] /(n) fraudulent way of business, cajoling people into buying articles for an extremely high price by claiming they will bring good luck/
開園 [かいえん] /(n,vs) opening, either for the day or a "grand opening" (e.g. theme park, botanical garden etc.)/
開演 [かいえん] /(n,vs) curtain raising/starting (e.g. play, concert)/(P)/
開音 [かいおん] /(n) long "o" vowel arising from combination of the "a" and "u" sounds/
開音節 [かいおんせつ] /(n) (ling) open syllable/
開化 [かいか] /(n,vs) civilization/civilisation/enlightenment/
開架 [かいか] /(n,adj-no) open access (in a library)/open shelves/
開架式 [かいかしき] /(n) making materials in a library available in open stacks/
開花 [かいか] /(n,vs) (1) flowers budding/blooming/flowering/(2) showing results/becoming popular/blooming/(P)/
開花期 [かいかき] /(n) anthesis/flowering season/
開会 [かいかい] /(n,vs) opening of a meeting/(P)/
開会のことば [かいかいのことば] /(exp) opening address/
開会の言葉 [かいかいのことば] /(exp) opening address/
開会の辞 [かいかいのことば] /(exp) opening address/
開会の辞 [かいかいのじ] /(exp) opening address/
開会式 [かいかいしき] /(n) opening ceremony/
開会日 [かいかいび] /(n) opening day/
開回路 [かいかいろ] /(n) open circuit/
開学 [かいがく] /(n,vs) establishment of a university/
開巻 [かいかん] /(n,vs) opening (part) of a book/
開巻第一 [かいかんだいいち] /(n) at the very beginning of a book/The book opens with .../
開巻劈頭 [かいかんへきとう] /(n-adv) at the very beginning of a book/The book opens with .../
開管 [かいかん] /(n) open pipe/
開管分析 [かいかんぶんせき] /(n) open tube test/
開館 [かいかん] /(n,vs) (1) opening a hall for that day's business (museum, library, such like buildings)/(2) opening of new hall (museum, etc.)/(P)/
開眼 [かいがん] /(n,vs) enlightenment/spiritual awakening/opening one's eyes to the truth/
開眼 [かいげん] /(n,vs) enlightenment/spiritual awakening/opening one's eyes to the truth/
開眼供養 [かいげんくよう] /(n) ceremony to consecrate a newly made Buddhist statue or image by inserting the eyes (thereby investing it with soul)/
開基 [かいき] /(n,vs) (1) foundation of a temple/laying a foundation (stone)/(2) (math) open base/
開脚 [かいきゃく] /(n) with the legs spread/
開渠 [かいきょ] /(n) open ditch/open channel/open conduit/open culvert/
開教師 [かいきょうし] /(n) Buddhist missionary, esp. in Jodo, Pure Land, etc. sects/Buddhist minister (in the West)/
開業 [かいぎょう] /(n,vs) opening of business or practice (practise)/(P)/
開業を許す [かいぎょうをゆるす] /(exp,v5s) to be licensed to practice (e.g. law)/to be allowed to open a business/
開業医 [かいぎょうい] /(n) private clinician/physician in private practice/general practitioner/(P)/
開局 [かいきょく] /(n,vs) opening of post-office or telephone exchange/(P)/
開襟 [かいきん] /(n,vs,adj-no) open-necked (shirt)/
開襟シャツ [かいきんシャツ] /(n) open-collared shirt/
開銀 [かいぎん] /(n) development bank/
開区間 [かいくかん] /(n) (math) open interval/
開経 [かいきょう] /(n) (1) (Buddh) prefatory sutra/(2) opening a sutra/beginning to read a sutra/
開経偈 [かいきょうげ] /(n) (Buddh) opening chant of a sutra/
開悟 [かいご] /(n,vs) wisdom/enlightenment/
開口 [かいこう] /(n,vs) (1) opening/aperture (e.g. camera)/(2) opening one's mouth/beginning to speak/(adj-f) (3) open/broad/(P)/
開口一番 [かいこういちばん] /(n-adv) at the very beginning of one's speech/the first thing (one) says after opening the mouth/
開口音 [かいこうおん] /(n) (1) (of Chinese) pronunciation of kanji without a medial between the initial consonant and center vowel/(2) (of Japanese) the long "o" vowel arising from combination of the "a" and "u" sounds/
開口数 [かいこうすう] /(n) numerical aperture (in photography)/
開口部 [かいこうぶ] /(n) aperture/
開口率 [かいこうりつ] /(n) aperture ratio/
開坑 [かいこう] /(n,vs) opening of mine/
開校 [かいこう] /(n,vs) opening a school/(P)/
開校記念日 [かいこうきねんび] /(n) anniversary of the founding of the school/
開校式 [かいこうしき] /(n) school opening ceremony/
開港 [かいこう] /(n,vs) open port/opening a port/(P)/
開講 [かいこう] /(n,vs) (1) holding a course (of lectures)/offering a course/(2) beginning a series of one's lectures/starting a new course/
開国 [かいこく] /(n,vs) opening of a country (e.g. Japan) to the world/(P)/
開墾 [かいこん] /(n,vs) cultivating new land/(P)/
開墾地 [かいこんち] /(n) cultivated land/
開梱 [かいこん] /(n,vs) open (as of a pack)/
開催 [かいさい] /(n,vs) holding a meeting/open an exhibition/(P)/
開催国 [かいさいこく] /(n) host country (e.g. for a conference)/
開催式 [かいさいしき] /(n) opening ceremony (of an event, show, etc.)/
開催地 [かいさいち] /(n) place where a meeting (conference, etc.) is held/venue/
開催中 [かいさいちゅう] /(n) in session/
開催日 [かいさいび] /(n) date(s) (e.g. for exhibition)/
開削 [かいさく] /(n,vs) excavation/cutting/digging/
開札 [かいさつ] /(n,vs) opening or unsealing of bids/
開傘 [かいさん] /(n) opening of a parachute/
開山 [かいさん] /(n,vs) founding a temple (on a hill-top)/
開山堂 [かいさんどう] /(n) temple hall commemorating its founding or its founder/
開始 [かいし] /(n,vs) start/commencement/beginning/initiation/(P)/
開始タグ [かいしタグ] /(n) (comp) beginning tag/starting tag/opening tag/
開始ビット [かいしビット] /(n) (comp) start bit/
開始時刻 [かいしじこく] /(n) starting time/(P)/
開始日 [かいしび] /(n) start date/
開始変数 [かいしへんすう] /(n) (comp) starting variable/SV/
開示 [かいじ] /(n,vs) disclosure (legal)/(P)/
開式 [かいしき] /(n,adj-no,vs) opening of a ceremony/
開集合 [かいしゅうごう] /(n) (math) open set/
開所 [かいしょ] /(n,vs) open a new business/
開城 [かいじょう] /(n,vs) capitulation (of fort)/(P)/
開場 [かいじょう] /(n,vs) opening/(P)/
開錠 [かいじょう] /(n,vs) unlocking/
開成所 [かいせいじょ] /(n) Kaiseijo (school of foreign studies set up by the shogunate during the Edo period)/
開析台地 [かいせきだいち] /(n) dissected plateau/
開設 [かいせつ] /(n,vs) establishment/opening/(P)/
開先 [かいさき] /(n) groove (in welding)/
開戦 [かいせん] /(n,vs) outbreak of war/starting a war/(P)/
開栓 [かいせん] /(n,vs) (1) unstopping/uncorking/uncapping/opening/(2) connecting (e.g. gas supply)/
開祖 [かいそ] /(n) (sect) founder/apostle/originator/inventor/
開創 [かいそう] /(n,vs) initial opening (esp. of a temple)/
開創器 [かいそうき] /(n) retractor/
開拓 [かいたく] /(n,vs) (1) reclamation (of wasteland)/cultivation/(2) pioneering/pathfinding/trail-blazing/(P)/
開拓者 [かいたくしゃ] /(n) pioneer/settler/colonist/(P)/
開拓者精神 [かいたくしゃせいしん] /(n) pioneering spirit/
開拓精神 [かいたくせいしん] /(n) frontier spirit/
開拓地 [かいたくち] /(n) reclaimed land/
開帳 [かいちょう] /(n,vs) (1) unveiling a Buddhist image/(2) gambling/
開庁 [かいちょう] /(n) governmental office opening (usually special case)/
開陳 [かいちん] /(n,vs) stating/expressing (one's opinion)/
開通 [かいつう] /(n,vs) opening/open/taking effect/becoming active/(P)/
開通式 [かいつうしき] /(n) formal opening (e.g. of a rail-road)/
開廷 [かいてい] /(n,vs) court session/trial/(P)/
開店 [かいてん] /(n,vs) opening (of a shop)/(P)/
開店休業 [かいてんきゅうぎょう] /(n) open, but transacting no business at all/
開店時間 [かいてんじかん] /(n) opening hours (of a store, restaurant, etc.)/
開度 [かいど] /(n) divergence/aperture/
開頭術 [かいとうじゅつ] /(n) craniotomy/
開発 [かいはつ] /(n,adj-no,vs) development/exploitation/(P)/
開発キット [かいはつキット] /(n) (comp) development kit/
開発グループ [かいはつグループ] /(n) (comp) development group/
開発コード名 [かいはつコードめい] /(n) (comp) codename/
開発コスト [かいはつコスト] /(n) (comp) development cost/
開発ツール [かいはつツール] /(n) (comp) development tool/
開発プロセス [かいはつプロセス] /(n) (comp) development process/
開発環境 [かいはつかんきょう] /(n) (comp) development environment/
開発基本線 [かいはつきほんせん] /(n) (comp) developmental baseline/
開発拠点 [かいはつきょてん] /(n) development block/development base/
開発経緯 [かいはつけいい] /(n) (1) features (e.g. of a product)/(2) development chronology/
開発計画 [かいはつけいかく] /(n) development project (program, programme, plan)/
開発元 [かいはつもと] /(n) (comp) developer/(software) development agency/(P)/
開発言語 [かいはつげんご] /(n) (comp) development language/
開発後評価 [かいはつごひょうか] /(n) (comp) system follow-up/post-implementation review/post-development review/
開発事業 [かいはつじぎょう] /(n) development (work)/
開発者 [かいはつしゃ] /(n) developer/(P)/
開発中 [かいはつちゅう] /(n) (comp) under development/
開発途上国 [かいはつとじょうこく] /(n) developing country/emerging nation/
開発能力 [かいはつのうりょく] /(n) development capability/
開発費 [かいはつひ] /(n) development cost/
開発費用 [かいはつひよう] /(n) (comp) development cost/
開発部 [かいはつぶ] /(n) Development Department/(P)/
開発輸入 [かいはつゆにゅう] /(n) develop-and-import formula/
開板 [かいはん] /(n,vs) publishing (esp. using woodblock printing)/
開版 [かいはん] /(n,vs) publishing (esp. using woodblock printing)/
開扉 [かいひ] /(n,vs) opening a door/
開票 [かいひょう] /(n,vs) counting ballots/tally (of votes)/(P)/
開票結果 [かいひょうけっか] /(n) results of the vote count/
開票所 [かいひょうじょ] /(n) ballot-counting place/
開票速報 [かいひょうそくほう] /(n) quick (flash) report of votes counted/
開票率 [かいひょうりつ] /(n) percentage of votes counted so far/
開封 [かいふう] /(n,vs) unsealed letter/breaking the seal/(P)/
開腹 [かいふく] /(n,vs) making a surgical incision in the abdomen/
開腹手術 [かいふくしゅじゅつ] /(n) laparotomy (abdominal surgery)/
開腹術 [かいふくじゅつ] /(n) laparotomy/
開平 [かいへい] /(n,vs) extraction of square root/
開閉 [かいへい] /(n,vs) opening and shutting/(P)/
開閉器 [かいへいき] /(n) a switch/
開閉機 [かいへいき] /(n) crossing gate/
開閉橋 [かいへいきょう] /(n) drawbridge/
開放 [かいほう] /(n,vs) open/throw open/liberalization/liberalisation/(P)/
開放型システム [かいほうがたシステム] /(n) (comp) open system/
開放型システム間相互接続 [かいほうがたシステムかんそうごせつぞく] /(n) (comp) Open Systems Interconnection/OSI/
開放型システム間相互接続環境 [かいほうがたシステムかんそうごせつぞくかんきょう] /(n) (comp) open systems interconnection environment/
開放型文書体系 [かいほうがたぶんしょたいけい] /(n) (comp) Open Document Architecture/ODA/
開放経済 [かいほうけいざい] /(n) an open economy/
開放血管系 [かいほうけっかんけい] /(n) open blood-vascular system/
開放骨折 [かいほうこっせつ] /(n) open fracture/
開放性 [かいほうせい] /(n) openness/
開放性結核 [かいほうせいけっかく] /(n) open tuberculosis/
開放創 [かいほうそう] /(n) open wound/
開放的 [かいほうてき] /(adj-na) open/frank/
開方 [かいほう] /(n) extraction of roots/
開法 [かいほう] /(n) (math) extraction of roots/evolution/
開幕 [かいまく] /(n,vs,adj-no) raising the curtain/(P)/
開幕戦 [かいまくせん] /(n) opening game/(season) opener/
開枕 [かいちん] /(n) (Buddh) bringing out the pillows and futon (in Zen Buddhism)/sleeping/
開明 [かいめい] /(n) civilization/civilisation/enlightenment/
開門 [かいもん] /(n,vs) opening gate/
開浴 [かいよく] /(n) (Buddh) bathing (in a Zen Temple)/
開立 [かいりゅう] /(n,vs) extraction of cubic root/
開裂 [かいれつ] /(n,vs) cleavage/
開炉 [かいろ] /(n) first lighting of the hearth in a Zen temple (first day of the 10th or 11th month)/
開廊時間 [かいろうじかん] /(n) opening hours of a gallery/
開瞼器 [かいけんき] /(n) eyelid speculum/lid retractor/
開豁 [かいかつ] /(adj-na,n) open/openminded/
開鑿 [かいさく] /(oK) (n,vs) excavation/cutting/digging/
開闢 [かいびゃく] /(n,vs) beginnings/creation/founding (of empire)/
開闢以来 [かいびゃくいらい] /(n-t) since the creation (of the world)/since the dawn of history/
階 [かい] /(n,n-suf) (1) storey/story/floor/(n) (2) stairs/(n,n-suf) (3) stage (in chronostratigraphy)/(ctr) (4) counter for storeys and floors of a building/(P)/
階 [きざはし] /(n) stairs/
階 [きだはし] /(ok) (n) stairs/
階 [はし] /(ok) (n) stairs/
階位 [かいい] /(n) rank/order/
階隠し [はしかくし] /(n) pent roof built atop the stairs of a shrine or a building in an classic aristocratic villa/
階隠し [はしがくし] /(n) pent roof built atop the stairs of a shrine or a building in an classic aristocratic villa/
階下 [かいか] /(n) (1) lower floor/downstairs/(2) bottom of the stairs/foot of the stairs/
階級 [かいきゅう] /(n) class/rank/grade/(P)/
階級意識 [かいきゅういしき] /(n) class consciousness/
階級差別 [かいきゅうさべつ] /(n) classism/class discrimination/
階級社会 [かいきゅうしゃかい] /(n) hierarchical society/
階級章 [かいきゅうしょう] /(n) rank insignia/
階級制度 [かいきゅうせいど] /(n) class system/caste system/hierarchical system/
階級性 [かいきゅうせい] /(n) class system/
階級政党 [かいきゅうせいとう] /(n) class party/
階級闘争 [かいきゅうとうそう] /(n) class struggle/
階建 [かいだて] /(suf) an N-storey building/
階建て [かいだて] /(suf) an N-storey building/
階高 [かいだか] /(n) height of storey/floor height/
階差 [かいさ] /(n) difference/
階子 [ていし] /(n) (1) ladder/(2) stairs/
階子 [はしご] /(n) (1) ladder/(2) stairs/(n,vs) (3) going to several places in succession (e.g. barhopping)/
階上 [かいじょう] /(n) (1) an upper floor/upstairs/(2) top of the stairs/
階乗 [かいじょう] /(n) (math) factorial/
階乗機能 [かいじょうきのう] /(n) (comp) factorial function/
階数 [かいすう] /(n) number of stairs or stories (storeys)/
階層 [かいそう] /(n) class/level/stratum/layer/hierarchy/(P)/
階層アーキテクチャ [かいそうアーキテクチャ] /(n) (comp) layered architecture/
階層ディレクトリ [かいそうディレクトリ] /(n) (comp) layered directory/
階層ファイルモデル [かいそうファイルモデル] /(n) (comp) hierarchical file model/
階層プロトコル [かいそうプロトコル] /(n) (comp) layered protocol/
階層メニュー [かいそうメニュー] /(n) (comp) hierarchical menu/
階層化 [かいそうか] /(n) (comp) stratification/classification/
階層化ディレクトリ [かいそうかディレクトリ] /(n) (comp) hierarchical directory/
階層化メニュー [かいそうかメニュー] /(n) (comp) hierarchical menu/
階層関係 [かいそうかんけい] /(n) (comp) hierarchical relation/
階層記憶制御 [かいそうきおくせいぎょ] /(n) (comp) HARC/Hierarchical Storage Archive and Retrieve Controller/
階層型ディレクトリ [かいそうかたディレクトリ] /(n) (comp) hierarchical directory/
階層型ファイルシステム [かいそうがたファイルシステム] /(n) (comp) hierarchical file system/
階層型メニュー [かいそうかたメニュー] /(n) (comp) hierarchical menu/
階層型ルーティング [かいそうがたルーティング] /(n) (comp) hierachical routing/
階層形計算機ネットワーク [かいそうがたけいさんきネットワーク] /(n) (comp) hierarchical computer network/
階層構造 [かいそうこうぞう] /(n) (comp) layered structure/
階層制約集合 [かいそうせいやくしゅうごう] /(n) (comp) hierarchical constraint set/
階層表記法 [かいそうひょうきほう] /(n) (comp) hierarchical notation/
階層表示 [かいそうひょうじ] /(n) (comp) hierarchical display/
階層分類体系 [かいそうぶんるいたいけい] /(n) (comp) hierarchical classification system/monohiererchical classification system/
階層木構造 [かいそうきこうぞう] /(n) (comp) hierarchical tree structure/
階段 [かいだん] /(n) stairs/stairway/staircase/(P)/
階段の吹き抜け [かいだんのふきぬけ] /(n) stairwell/
階段を上る [かいだんをのぼる] /(exp,v5r) to go up the stairs/
階段ホール [かいだんホール] /(n) stairwell/
階段教室 [かいだんきょうしつ] /(n) classroom in tiers/
階段耕作 [かいだんこうさく] /(n) terrace culture/
階段室 [かいだんしつ] /(n) staircase/
階段昇降機 [かいだんしょうこうき] /(n) stairlift/(home) chair lift/
階調 [かいちょう] /(n) gradation/gradient/
階梯 [かいてい] /(n) (1) stairs/(2) rank/grade/gradations/step/(3) guide/guidebook/(4) slanted ladder (exercise equipment)/
階程 [かいてい] /(iK) (n) (1) stairs/(2) rank/grade/gradations/step/(3) guide/guidebook/(4) slanted ladder (exercise equipment)/
階名 [かいめい] /(n) solfa/names of notes of musical scale/
階名唱法 [かいめいしょうほう] /(n) solmization/
貝 [かい] /(n) shell/shellfish/(P)/
貝 [ばい] /(n) (1) (uk) Japanese babylon (species of shelled mollusk, Babylonia japonica)/Japanese ivory shell/(2) (abbr) spinning top (traditionally made from a Japanese babylon shell)/
貝がら [かいがら] /(n) shell/
貝ボタン [かいボタン] /(n) mother-of-pearl button/
貝貨 [ばいか] /(n) (arch) shell money/
貝殻 [かいがら] /(n) shell/
貝殻骨 [かいがらぼね] /(n) (col) shoulder blade/
貝殻状割れ口 [かいがらじょうわれくち] /(n) conchoidal fracture/
貝殻虫 [かいがらむし] /(n) (uk) scale insect/
貝殻追放 [かいがらついほう] /(n) ostracism/
貝割 [かいわり] /(n) radish sprout/
貝割り [かいわり] /(n) radish sprout/
貝割り菜 [かいわりな] /(n) (1) rape seedlings/(2) (white) radish sprouts/
貝割れ菜 [かいわれな] /(n) white radish sprouts/daikon sprouts/
貝割れ大根 [かいわれだいこん] /(n) (white) radish sprouts/
貝寄 [かいよせ] /(n) west wind in the early spring (traditionally on the night of the 20th day of the second month of the lunar calendar)/wind that blows seashells ashore/
貝寄せ [かいよせ] /(n) west wind in the early spring (traditionally on the night of the 20th day of the second month of the lunar calendar)/wind that blows seashells ashore/
貝寄風 [かいよせ] /(n) west wind in the early spring (traditionally on the night of the 20th day of the second month of the lunar calendar)/wind that blows seashells ashore/
貝合せ [かいあわせ] /(n) (1) shell-matching game popular with court aristocrats during the Heian period/(2) (col) (vulg) tribadism/
貝合わせ [かいあわせ] /(n) (1) shell-matching game popular with court aristocrats during the Heian period/(2) (col) (vulg) tribadism/
貝細工 [かいざいく] /(n) shellwork/
貝杓子 [かいじゃくし] /(n) shell ladle/
貝焼 [かいやき] /(n) (1) shellfish baked in the shell/(2) abalone, scallops, etc. simmered in the shell/
貝焼き [かいやき] /(n) (1) shellfish baked in the shell/(2) abalone, scallops, etc. simmered in the shell/
貝多羅 [ばいたら] /(n) (obsc) pattra (palmyra leaves used in Ancient India for writing upon)/
貝多羅葉 [ばいたらば] /(n) pattra (palmyra leaves used in Ancient India for writing upon)/
貝多羅葉 [ばいたらよう] /(n) pattra (palmyra leaves used in Ancient India for writing upon)/
貝蛸 [かいだこ] /(n) (uk) greater argonaut (species of paper nautilus, Argonauta argo)/
貝柱 [かいばしら] /(n) (1) adductor muscle/(2) (food) adductor muscle of a bivalve (e.g. scallop, etc.)/
貝塚 [かいずか] /(ik) (n) shell heap/shell mound/kitchen midden/
貝塚 [かいづか] /(n) shell heap/shell mound/kitchen midden/
貝毒 [かいどく] /(n) shellfish poison/
貝独楽 [ばいごま] /(n) (uk) spinning top (traditionally made of Japanese babylon shell)/
貝独楽 [べいごま] /(n) (uk) spinning top (traditionally made of Japanese babylon shell)/
貝独楽 [べえごま] /(n) (uk) spinning top (traditionally made of Japanese babylon shell)/
貝部 [ばいぶ] /(n) kanji "shell" radical (154)/
貝偏 [かいへん] /(n) kanji "shell" radical at left/
貝母 [ばいも] /(n) (uk) fritillary/Fritillaria verticillata var. thunbergii/
貝類 [かいるい] /(n) shellfish/
貝殼 [かいがら] /(n) shell/(P)/
凱歌 [がいか] /(n) victory song/victory/
凱旋 [がいせん] /(n,vs) triumphal return/
凱旋軍 [がいせんぐん] /(n) returning victorious army/
凱旋公演 [がいせんこうえん] /(n) performance given after a successful tour abroad/
凱旋将軍 [がいせんしょうぐん] /(n) triumphant general/
凱旋門 [がいせんもん] /(n) arch of triumph/triumphal arch/
凱風 [がいふう] /(n) southerly wind/
劾奏 [がいそう] /(n,vs) report of an official's offence to the emperor (offense)/
外 [がい] /(n-suf) outside of/not covered by/
外 [そと] /(n) (1) outside/exterior/(2) open air/(3) other place/(P)/
外 [ほか] /(adj-no,n,n-adv) other (esp. places and things)/the rest/(P)/
外 [よそ] /(n) (1) another place/somewhere else/strange parts/(2) outside (one's family or group)/those people/(3) unrelated matter/
外す [はずす] /(v5s,vt) (1) to unfasten/to undo/(2) to remove/to take off/to deinstall/(3) to leave/to step out/to slip away/(4) to miss (a target)/(P)/
外でもない [ほかでもない] /(exp) what I want to say is .../the fact of the matter is .../
外で遊ぶ [そとであそぶ] /(v5b) to play outdoors/
外ならない [ほかならない] /(adj-i) nothing but/no other than/
外ならぬ [ほかならぬ] /(exp) nothing but/no other than/
外なる [そとなる] /(adj-f) outer (self, etc.)/external (conflict, tension, competition, etc.)/
外に [ほかに] /(adv) in addition/besides/(P)/
外に何か [ほかになにか] /(exp) is there anything else?/
外また [そとまた] /(n,adv) (walking with) one's toes turned out/duckfooted/
外れ [はずれ] /(n,suf) (1) end/verge/extremity/tip/outskirts/(2) miss/failure/(P)/
外れる [はずれる] /(v1,vi) to be disconnected/to get out of place/to be off/to be out (e.g. of gear)/(P)/
外を探す [ほかをさがす] /(exp,v5s) to search somewhere else/
外タレ [がいタレ] /(n) (abbr) non-Japanese celebrity/foreigner celebrity/
外リンパ [がいリンパ] /(n) perilymph/
外圧 [がいあつ] /(n) external pressure/(P)/
外囲 [がいい] /(n) periphery/surroundings/
外囲い [そとがこい] /(n) enclosure/outer fence/
外為 [がいため] /(n) foreign exchange/
外為法 [がいためほう] /(n) foreign exchange laws/
外衣 [がいい] /(n) outer garment/
外鰯 [そといわし] /(n) (uk) bonefish (Albula vulpes)/banana fish/ladyfish/
外因 [がいいん] /(n) the surface reason/
外因損失時間 [がいいんそんしつじかん] /(n) (comp) environmental loss time/external loss time/
外陰炎 [がいいんえん] /(n) vulvitis/
外陰部 [がいいんぶ] /(n) pudenda/external genitalia/
外宇宙 [がいうちゅう] /(n) outer space/
外延 [がいえん] /(n) extension/denotation/
外縁 [がいえん] /(adj-na,n) brink/outer edge/
外苑 [がいえん] /(n) outer garden/(P)/
外温動物 [がいおんどうぶつ] /(n) ectotherm/
外科 [げか] /(n,adj-no) surgical department/(P)/
外科医 [げかい] /(n) surgeon/(P)/
外科学 [げかがく] /(adj-na) surgery/
外科手術 [げかしゅじゅつ] /(n) surgery/surgical procedure/
外果皮 [がいかひ] /(n) exocarp/
外貨 [がいか] /(n) (1) foreign currency/foreign money/foreign exchange/(2) foreign goods/imported goods/(P)/
外貨獲得 [がいかかくとく] /(n) acquisition of foreign currency/
外貨換算 [がいかかんさん] /(n) foreign currency translation/
外貨建 [がいかだて] /(n) rate in foreign currency/
外貨債 [がいかさい] /(n) foreign currency bonds/
外貨準備高 [がいかじゅんびだか] /(n) total amount of foreign currency reserves/foreign exchange reserves/
外貨預金 [がいかよきん] /(n) foreign currency deposit/
外回り [そとまわり] /(n,vs) circumference/perimeter/outer tracks (in a loop or curve)/outside work/
外海 [がいかい] /(n) ocean/open sea/
外海 [そとうみ] /(n) ocean/open sea/
外界 [がいかい] /(n,adj-no) outside world/physical world/the externals/(P)/
外廓 [がいかく] /(n) (1) outer wall (e.g. castle)/outer block (enclosure)/(2) outline/contour/
外殻 [がいかく] /(n) shell/crust/
外角 [がいかく] /(n) outside corner/external angle/(P)/
外郭 [がいかく] /(n) (1) outer wall (e.g. castle)/outer block (enclosure)/(2) outline/contour/(P)/
外郭団体 [がいかくだんたい] /(n) auxiliary organization/auxiliary organisation/(P)/
外掛 [そとがけ] /(n) outside leg trip (sumo)/
外掛け [そとがけ] /(n) outside leg trip (sumo)/
外患 [がいかん] /(n) external pressure/foreign threat/
外観 [がいかん] /(n,adj-no) appearance/exterior/facade/(P)/
外観と感触 [がいかんとかんしょく] /(n) (comp) look & feel/
外眼筋 [がいがんきん] /(n) extraocular muscle/external eye muscle/
外気 [がいき] /(n) open air/(P)/
外気圏 [がいきけん] /(n) outer atmosphere/
外気浴 [がいきよく] /(n,vs) air bath/
外客 [がいかく] /(n) overseas guest or customer/
外客 [がいきゃく] /(n) overseas guest or customer/
外宮 [げくう] /(n) Outer shrine of Ise/
外教 [がいきょう] /(n) (1) foreign religion (from Japan's perspective, esp. Christianity)/(2) (Buddh) religion other than Buddhism/
外教 [げきょう] /(n) (1) (Buddh) religion other than Buddhism/
外局 [がいきょく] /(n) external bureau/
外勤 [がいきん] /(n,vs) working away from the office/
外銀 [がいぎん] /(n) (abbr) foreign bank/
外形 [がいけい] /(n) externals/external form/
外形寸法 [がいけいすんぽう] /(n) (comp) external dimensions/
外形的 [がいけいてき] /(adj-na) external/outward/
外形標準課税 [がいけいひょうじゅんかぜい] /(n) dual corporate tax system/
外径 [がいけい] /(n) outer diameter/
外見 [がいけん] /(n,adj-no) outward appearance/(P)/
外見 [そとみ] /(n,adj-no) outward appearance/
外呼吸 [がいこきゅう] /(n) external respiration/
外股 [そとまた] /(n,adv) (walking with) one's toes turned out/duckfooted/
外股 [そともも] /(n) outer thigh/
外語 [がいご] /(n) foreign language/
外交 [がいこう] /(n) diplomacy/(P)/
外交の才 [がいこうのさい] /(n) diplomatic talent/
外交チャンネル [がいこうチャンネル] /(n) diplomatic channel/
外交委員長 [がいこういいんちょう] /(n) head of the Foreign Relations Committee/
外交員 [がいこういん] /(n) canvasser/door-to-door salesman/
外交家 [がいこうか] /(n) diplomat/diplomatic person/
外交活動 [がいこうかつどう] /(n) diplomatic activity/
外交官 [がいこうかん] /(n) diplomat/(P)/
外交官補 [がいこうかんほ] /(n) probationary diplomat/
外交関係 [がいこうかんけい] /(n) diplomatic relations/
外交機関 [がいこうきかん] /(n) diplomatic institution/
外交交渉 [がいこうこうしょう] /(n) diplomatic negotiations/negotiations through diplomatic channels/
外交使節 [がいこうしせつ] /(n) diplomat/
外交史 [がいこうし] /(n) history of diplomacy/history of foreign policy/
外交辞令 [がいこうじれい] /(n,adj-no) diplomatic turn of phrase/diplomatic language/tactful way of expressing something/
外交手腕 [がいこうしゅわん] /(n) diplomatic finesse/skill(s) in diplomacy/
外交術 [がいこうじゅつ] /(n) diplomacy/state-craft/
外交政策 [がいこうせいさく] /(n,adj-no) foreign policy/
外交体制 [がいこうたいせい] /(n) diplomatic structure/
外交団 [がいこうだん] /(n) diplomatic corps/
外交的 [がいこうてき] /(adj-na) diplomatic/
外交特権 [がいこうとっけん] /(n) diplomatic immunity/
外交文書 [がいこうぶんしょ] /(n) diplomatic papers or documents/
外交問題 [がいこうもんだい] /(n) diplomatic issue/
外光 [がいこう] /(n) light from outside/natural light/
外向 [がいこう] /(n,adj-no) extroversion/
外向き [そとむき] /(n) facing outward/
外向性 [がいこうせい] /(n,adj-no) extroversion/
外向的 [がいこうてき] /(adj-na) extroverted/outgoing/
外構え [そとがまえ] /(n) outward appearance (of a house)/
外港 [がいこう] /(n) outer port for large city/
外航船 [がいこうせん] /(n) ocean-going ship/
外項 [がいこう] /(n) outer term/
外剛内柔 [がいごうないじゅう] /(n) being tough on the outside but soft at heart/a faint-hearted person pretending to be brave/
外合 [がいごう] /(n) superior conjunction/
外壕 [そとぼり] /(n) outer moat (castle)/
外濠 [そとぼり] /(n) outer moat (castle)/
外国 [がいこく] /(n,adj-no) foreign country/(P)/
外国為替 [がいこくかわせ] /(n) foreign exchange/
外国為替レート [がいこくかわせレート] /(n) foreign exchange rate/
外国為替管理法 [がいこくかわせかんりほう] /(n) Foreign Exchange Control Law/
外国為替銀行 [がいこくかわせぎんこう] /(n) foreign exchange bank/
外国為替公認銀行 [がいこくかわせこうにんぎんこう] /(n) authorized foreign exchange bank/authorised foreign exchange bank/
外国為替市場 [がいこくかわせしじょう] /(n) foreign exchange market/
外国為替相場 [がいこくかわせそうば] /(n) rate of foreign exchange/
外国企業 [がいこくきぎょう] /(n) foreign business/foreign enterprise/foreign corporation/
外国語 [がいこくご] /(n) foreign language/(P)/
外国語指導助手 [がいこくしどうじょしゅ] /(n) assistant language teacher/ALT/
外国航路 [がいこくこうろ] /(n) foreign route/
外国債 [がいこくさい] /(n) foreign loan/foreign debt/foreign bond/
外国産 [がいこくさん] /(adj-no) foreign (product, esp. agricultural)/of foreign manufacture/
外国人 [がいこくじん] /(n) foreigner/(P)/
外国人恐怖症 [がいこくじんきょうふしょう] /(n) xenophobia/
外国人嫌悪 [がいこくじんけんお] /(n) xenophobia/
外国人向き [がいこくじんむき] /(n) aimed at foreigners/
外国人登録 [がいこくじんとうろく] /(n) alien registration/
外国人登録原票記載事項証明書 [がいこくじんとうろくげんぴょうきさいじこうしょうめいしょ] /(n) certification of information recorded on foreign resident registration file/
外国人登録証明書 [がいこくじんとうろくしょうめいしょ] /(n) certificate of alien registration/alien registration card/
外国人登録法 [がいこくじんとうろくほう] /(n) Alien Registration Law/
外国人投資家 [がいこくじんとうしか] /(n) foreign investor/
外国人排斥 [がいこくじんはいせき] /(n,adj-no) xenophobia/exclusion (of foreigners)/
外国人留学生 [がいこくじんりゅうがくせい] /(n) foreign (exchange) student/international student/
外国人旅行者 [がいこくじんりょこうしゃ] /(n) foreign tourist/
外国人労働者 [がいこくじんろうどうしゃ] /(n) foreign worker/
外国勢 [がいこくぜい] /(n) (group of) foreigners/
外国生活 [がいこくせいかつ] /(n) life in a foreign country/living abroad/
外国製 [がいこくせい] /(n) foreign-made/
外国税額控除 [がいこくぜいがくこうじょ] /(n) foreign tax amount reduction/
外国投資家 [がいこくとうしか] /(n) foreign investor/
外国部隊 [がいこくぶたい] /(n) overseas (military forces)/
外国法 [がいこくほう] /(n) foreign law/
外国法人 [がいこくほうじん] /(n) foreign corporation/
外国貿易 [がいこくぼうえき] /(n) foreign trade/external trade/
外国郵便 [がいこくゆうびん] /(n) mail from abroad/
外国郵便為替 [がいこくゆうびんかわせ] /(n) foreign postal money order/
外国旅行 [がいこくりょこう] /(n) foreign travel/overseas trip/
外骨格 [がいこっかく] /(n) exoskeleton/
外婚 [がいこん] /(n) exogamy/
外債 [がいさい] /(n) foreign loan/foreign debt/foreign bond/
外在 [がいざい] /(n,vs) external/
外材 [がいざい] /(n) foreign or imported timber/
外山 [とやま] /(n) nearby mountain/mountain near a human settlement/
外史 [がいし] /(n) unofficial history/
外紙 [がいし] /(n) foreign-language newspaper/
外資 [がいし] /(n) foreign capital (e.g. in a company)/foreign investment/(P)/
外資系 [がいしけい] /(n,adj-no) foreign capital group/foreign company/
外資導入 [がいしどうにゅう] /(n) introduction of foreign capital/
外事 [がいじ] /(n) foreign affairs/
外事課 [がいじか] /(n) foreign affairs section/
外字 [がいじ] /(n) (1) characters not in Joyo Kanji/external character/(2) foreign letters or words/
外字ファイル [がいじファイル] /(n) (comp) external character file/
外字紙 [がいじし] /(n) foreign-language newspaper/
外字新聞 [がいじしんぶん] /(n) foreign-language newspaper/
外字番号 [がいじばんごう] /(n) (comp) external character number/
外字符号 [がいじふごう] /(n) (comp) external character code/
外耳 [がいじ] /(n) external ear/concha/
外耳炎 [がいじえん] /(n) otitis externa/inflammation of the outer ear/
外耳道 [がいじどう] /(n) external auditory canal (meatus)/
外斜視 [がいしゃし] /(n) exotropia/divergent strabismus/
外車 [がいしゃ] /(n) foreign automobile/(P)/
外車船 [がいしゃせん] /(n) paddle steamer/
外需 [がいじゅ] /(n) foreign consumption/(P)/
外周 [がいしゅう] /(n) outer circumference/
外柔内剛 [がいじゅうないごう] /(n) gentle but firm/
外出 [がいしゅつ] /(n,vs) outing/trip/going out/(P)/
外出 [そとで] /(ok) (n,vs) outing/trip/going out/
外出し [そとだし] /(n) extravaginal ejaculation/
外出血 [がいしゅっけつ] /(n) bleeding/
外出嫌い [がいしゅつぎらい] /(n) homebody/
外出先 [がいしゅつさき] /(n) where one has gone to/place where one has gone/
外出着 [がいしゅつぎ] /(n) street clothes/
外出中 [がいしゅつちゅう] /(n) while being out of the office or away from home/
外書 [がいしょ] /(n) (1) foreign book/foreign books/(2) (Buddh) non-Buddhist writings/
外傷 [がいしょう] /(n) external wound/(physical) trauma/(P)/
外傷神経症 [がいしょうしんけいしょう] /(n) neurosis brought about by external trauma/traumatic neurosis/accident neurosis/
外傷性癲癇 [がいしょうせいてんかん] /(n) traumatic epilepsy/
外傷的体験 [がいしょうてきたいけん] /(n) traumatic experience/
外商 [がいしょう] /(n) foreign businessman/out-of-store sales/
外商部 [がいしょうぶ] /(n) out-of-store sales department/
外妾 [がいしょう] /(n) foreigner's mistress/
外小股 [そとこまた] /(n) over-thigh scooping body drop (sumo)/
外省人 [がいしょうじん] /(n) (1) (China) someone from outside one's own province/(2) (Taiwan) someone who moved to Taiwan from the continent after WWII/
外障眼 [うわひ] /(n) (obsc) degenerative eye disorder caused by cloudiness in front of the pupil/
外場 [がいば] /(n) (math) external field/
外食 [がいしょく] /(n,vs) eating out/(P)/
外食産業 [がいしょくさんぎょう] /(n) food service industry/
外信 [がいしん] /(n) external communication/(P)/
外信部 [がいしんぶ] /(n) foreign news desk/
外寝 [そとね] /(n) (obsc) sleeping outside (on a hot summer night)/
外心 [がいしん] /(n) circumcenter/circumcentre/outer center/outer centre/
外人 [がいじん] /(n) (sens) foreigner/(P)/
外人の目から見ると [がいじんのめからみると] /(exp) from a foreigners point of view/
外人記者 [がいじんきしゃ] /(n) foreign correspondent/
外人記者クラブ [がいじんきしゃクラブ] /(n) foreign correspondents' club/
外人向き [がいじんむき] /(n) (sens) aimed at foreigners/
外人向け [がいじんむけ] /(n) for foreigners/
外人選手 [がいじんせんしゅ] /(n) foreign athlete/
外人像 [がいじんぞう] /(n) (sens) one's image of foreigners/
外人登録証 [がいじんとうろくしょう] /(n) alien registration card/
外人部隊 [がいじんぶたい] /(n) Foreign Legion/
外陣 [げじん] /(n) nave/
外寸 [がいすん] /(n) (comp) external dimensions/
外姓 [がいせい] /(n) mothers family name/
外征 [がいせい] /(n,vs) foreign campaign/
外性器 [がいせいき] /(n) external genitals/
外税 [そとぜい] /(n,adj-no) tax-exclusive pricing/
外戚 [がいせき] /(n) maternal relative/
外積 [がいせき] /(n) cross product/vector product/outer product/
外接 [がいせつ] /(n,vs) (geom) circumscription/
外接円 [がいせつえん] /(n) circumscribed circle/
外専 [がいせん] /(n) (uk) (vulg) person physically attracted to foreigners/person who dates only foreigners/
外線 [がいせん] /(n) outside telephone line/outer circle/
外祖父 [がいそふ] /(n) maternal grandfather/
外祖母 [がいそぼ] /(n) maternal grandmother/
外層 [がいそう] /(n) outer layers/
外挿 [がいそう] /(n,vs) extrapolation/
外挿法 [がいそうほう] /(n) extrapolation method/
外相 [がいしょう] /(n) Foreign Minister/(P)/
外装 [がいそう] /(n) exterior/packaging/cladding/armor (armour)/arm/
外側 [がいそく] /(n,adj-no) exterior/outside/outer/external/lateral/
外側 [そとがわ] /(n,adj-no) exterior/outside/outer/external/lateral/(P)/
外孫 [がいそん] /(n) grandchild from a daughter married into another family/
外孫 [そとまご] /(n) grandchild from a daughter married into another family/
外帯 [がいたい] /(n) (1) area on the convex side of a mountain arc or a crescent-shaped archipelago/(2) area of southwestern Japan south of the Median Tectonic Line/
外腿 [そともも] /(n) outer thigh/
外題 [げだい] /(n) title (of a play)/
外題学問 [げだいがくもん] /(n) putting on a knowing air when one only knows the title of the book (play, etc.)/pretending to understand the nature of something when one only knows its name/
外端 [がいたん] /(n,adj-no) outer edge/outer end/
外地 [がいち] /(n) overseas territories/outlying areas/
外注 [がいちゅう] /(n,vs) outside order/outsourcing/custom (manufacture)/
外張 [そとばり] /(io) (n) (1) posting something to the exterior of a building, etc./something posted in such a place/(2) fortifications outside a military encampment/
外張り [そとばり] /(n) (1) posting something to the exterior of a building, etc./something posted in such a place/(2) fortifications outside a military encampment/
外庭 [がいてい] /(n) outer court/
外庭 [そとにわ] /(n) outer court/
外敵 [がいてき] /(n) foreign enemy/
外的 [がいてき] /(adj-na,n) external/outside/
外的根拠 [がいてきこんきょ] /(n) external ground/
外適応 [がいてきおう] /(n) exaptation (biol)/
外典 [がいてん] /(n,adj-no) (1) Apocrypha (i.e. as opposed to the Biblical canon)/(2) (Buddh) non-Buddhist writings (esp. Confucian writings)/
外典 [げてん] /(n,adj-no) (1) Apocrypha (i.e. as opposed to the Biblical canon)/(2) (Buddh) non-Buddhist writings (esp. Confucian writings)/
外典 [げでん] /(ok) (n,adj-no) (1) Apocrypha (i.e. as opposed to the Biblical canon)/(2) (Buddh) non-Buddhist writings (esp. Confucian writings)/
外転 [がいてん] /(n,vs) abduction (anatomy)/eversion/exodeviation/exstrophy/
外転筋 [がいてんきん] /(n) abductor muscle/
外転神経 [がいてんしんけい] /(n) abducens nerve/
外伝 [がいでん] /(n) (1) supplementary biography/(2) anecdote/side story/spin-off/
外電 [がいでん] /(n) foreign telegram/(P)/
外套 [がいとう] /(n,adj-no) overcoat/greatcoat/cloak/wrap/
外套眼 [がいとうがん] /(n) mantle eye/
外套細胞 [がいとうさいぼう] /(n) satellite cell (glial)/amphicyte/
外套膜 [がいとうまく] /(n) mantle (of an invertebrate)/
外湯 [そとゆ] /(n) (inn's) open air bath/
外灯 [がいとう] /(n) outside light/
外道 [げどう] /(n) (1) (Buddh) non-Buddhist teachings/non-Buddhist/(2) heterodoxy/unorthodoxy/heresy/heretic/(3) (derog) demon/fiend/devil/brute/bad person/(4) type of fish one did not intend to catch/
外乳 [がいにゅう] /(n) perisperm/
外猫 [そとねこ] /(n) outdoor cat/
外燃機関 [がいねんきかん] /(n) external combustion engine/
外泊 [がいはく] /(n,vs) spending night away from home/sleepover/sleep over/
外発的 [がいはつてき] /(adj-na) extrinsic (psychology)/
外反母趾 [がいはんぼし] /(n) hallux valgus/bunion/
外反拇趾 [がいはんぼし] /(n) hallux valgus/bunion/
外板 [がいはん] /(n) panels, planks or plating on the hull of a ship or aircraft/
外販 [がいはん] /(n) direct sales/
外皮 [がいひ] /(n,adj-no) investment (in the sense of outer layer)/outer skin or layer/rind/hull/husk/crust/
外被 [がいひ] /(n,adj-no) investment (in the sense of outer layer)/outer skin or layer/rind/hull/husk/crust/
外賓 [がいひん] /(n) foreign guest/
外付 [そとづけ] /(adj-f) (comp) attached outside/external/(P)/
外付け [そとづけ] /(adj-f) (comp) attached outside/external/(P)/
外部 [がいぶ] /(n) (1) the outside/(adj-no) (2) external/(P)/
外部アクセス [がいぶアクセス] /(n) (comp) external access/
外部アクセス可能閉域利用者グループ [がいぶアクセスかのうへいいきりようしゃグループ] /(n) (comp) closed user group with outgoing access/
外部キー [がいぶキー] /(n) (comp) external key/
外部キャッシュ [がいぶキャッシュ] /(n) (comp) external cache/
外部クロック [がいぶクロック] /(n) (comp) external clock/
外部クロック同期 [がいぶクロックどうき] /(n) (comp) external clocking/
外部ゲートウエイプロトコル [がいぶゲートウエイプロトコル] /(n) (comp) Exterior Gateway Protocol/EGP/
外部コマンド [がいぶコマンド] /(n) (comp) external command/
外部コンポーネント [がいぶコンポーネント] /(n) (comp) external component/
外部スイッチ [がいぶスイッチ] /(n) (comp) external switch/
外部データ [がいぶデータ] /(n) (comp) external data/
外部データレコード [がいぶデータレコード] /(n) (comp) external data record/
外部データ項目 [がいぶデータこうもく] /(n) (comp) external data item/
外部ファイル [がいぶファイル] /(n) (comp) external file/
外部ファイルサービス [がいぶファイルサービス] /(n) (comp) external file service/
外部ファイル結合子 [がいぶファイルけつごうし] /(n) (comp) external file connector/
外部プログラム入力式計算器 [がいぶプログラムにゅうりょくしきけいさんき] /(n) (comp) calculator with external program input/
外部メモリ [がいぶメモリ] /(n) (comp) external memory/
外部ラベル [がいぶラベル] /(n) (comp) external label/
外部割り込み [がいぶわりこみ] /(n) (comp) external interrupt/
外部環境 [がいぶかんきょう] /(n) external environment/
外部監査 [がいぶかんさ] /(n) external audit/
外部管理 [がいぶかんり] /(n) (comp) external management/
外部寄生 [がいぶきせい] /(n,adj-no) ectoparasitism/
外部記憶 [がいぶきおく] /(n) (comp) external storage/auxiliary storage/
外部記憶装置 [がいぶきおくそうち] /(n) (comp) external storage (equipment)/
外部型 [がいぶがた] /(n) (comp) external type/
外部経済 [がいぶけいざい] /(n) external economies/
外部結合 [がいぶけつごう] /(n) (1) (comp) outer join (e.g. in relational database)/left outer join/(2) external coupling/external linkage/
外部試験法 [がいぶしけんほう] /(n) (comp) external test method/
外部識別子 [がいぶしきべつし] /(n) (comp) external identifier/
外部実体 [がいぶじったい] /(n) (comp) external entity/
外部手続 [がいぶてつづき] /(n) (comp) external procedure/
外部性 [がいぶせい] /(n) externalities/
外部宣言 [がいぶせんげん] /(n) (comp) external declaration/
外部装置 [がいぶそうち] /(n) (comp) external unit/external device/
外部電源 [がいぶでんげん] /(n) external power source/external power supply/
外部被曝 [がいぶひばく] /(n) external exposure (to radiation)/
外部副プログラム [がいぶふくプログラム] /(n) (comp) external subprogram/
外部文書クラス [がいぶぶんしょクラス] /(n) (comp) external document class/
外部変数 [がいぶへんすう] /(n) (comp) external variable/
外部要素 [がいぶようそ] /(n) (comp) external elements/
外部労働市場 [がいぶろうどうしじょう] /(n) external labor market/external labour market/
外物 [がいぶつ] /(n) external object/foreign matter/
外分 [がいぶん] /(n,vs) exterior division/
外分泌 [がいぶんぴ] /(n) external secretion/
外分泌 [がいぶんぴつ] /(n) external secretion/
外分泌腺 [がいぶんぴつせん] /(n) exocrine gland/
外聞 [がいぶん] /(n) reputation/respectability/honour/honor/
外米 [がいまい] /(n) foreign rice/(P)/
外壁 [がいへき] /(n) outer wall/(P)/
外壁 [そとかべ] /(n) outer wall/
外辺 [がいへん] /(n) outskirts/periphery/environs/
外歩き [そとあるき] /(n,vs) walking outside/
外報 [がいほう] /(n) foreign news/foreign telegram/
外方 [そっぽ] /(n) look (or turn) the other way/
外方を向く [そっぽをむく] /(v5k,exp) to turn away/to face away/
外法 [そとのり] /(n) outside measurements/
外貌 [がいぼう] /(n) outward appearance/
外堀 [そとぼり] /(n) outer moat (castle)/(P)/
外務 [がいむ] /(n) foreign affairs/(P)/
外務員 [がいむいん] /(n) canvasser/
外務省 [がいむしょう] /(n) Ministry of Foreign Affairs/(P)/
外務大臣 [がいむだいじん] /(n) Minister for Foreign Affairs/
外無双 [そとむそう] /(n) outer-thigh-propping twist down (sumo)/
外面 [がいめん] /(n) (1) outer surface/outward appearance/outside/exterior/(adj-no) (2) outside/outer/outward/exterior/external/(P)/
外面 [げめん] /(n) (1) outer surface/outward appearance/outside/exterior/(adj-no) (2) outside/outer/outward/exterior/external/
外面 [そとづら] /(n) (1) outer surface/outward appearance/outside/exterior/(adj-no) (2) outside/outer/outward/exterior/external/
外面的 [がいめんてき] /(adj-na) external/superficial/outward/surface/
外蒙古 [がいもうこ] /(n) Outer Mongolia/
外蒙古 [そともうこ] /(n) Outer Mongolia/
外野 [がいや] /(n) outfield/(P)/
外野手 [がいやしゅ] /(n) outfielder/(P)/
外野席 [がいやせき] /(n) outfield bleachers/
外憂 [がいゆう] /(n) external troubles/
外遊 [がいゆう] /(n,vs) foreign travel/(P)/
外遊中 [がいゆうちゅう] /(adv) absent overseas/
外様 [とざま] /(n) collateral line/one not included in the favored (favoured) group/outsider/outside daimyo/
外様大名 [とざまだいみょう] /(n) non-Tokugawa daimyo/
外洋 [がいよう] /(n) open sea/ocean/(P)/
外洋性 [がいようせい] /(adj-no,n) pelagic/
外洋船 [がいようせん] /(n) ocean-going ship/
外用 [がいよう] /(n,vs,adj-no) external use/
外用薬 [がいようやく] /(n) medicine for external use/external medicine/
外来 [がいらい] /(n,adj-no) (1) (abbr) external origin/imported/(2) outpatient/(P)/
外来患者 [がいらいかんじゃ] /(n) outpatients/
外来魚 [がいらいぎょ] /(n) introduced (non-native) fish species/
外来語 [がいらいご] /(n) (ling) borrowed word/foreign origin word/(P)/
外来者 [がいらいしゃ] /(n) stranger/person from abroad/
外来種 [がいらいしゅ] /(n) introduced (non-native) species/
外来生物法 [がいらいせいぶつほう] /(n) (abbr) Invasive Alien Species Act (2004)/
外乱 [がいらん] /(n) noise (interference)/
外力 [がいりょく] /(n) external force/
外輪 [がいりん] /(n) wheel rim/paddle wheel/
外輪 [そとわ] /(n) wheel rim/paddle wheel/
外輪山 [がいりんざん] /(n) outer rim of a crater/
外輪船 [がいりんせん] /(n) paddle steamer/
外連 [けれん] /(n) playing to the gallery/showing off/pretence/pretense/
外路地 [そとろじ] /(n) outer teahouse garden (outside the central gate)/
外露地 [そとろじ] /(n) outer teahouse garden (outside the central gate)/
外郎 [ういろう] /(n) type of sweet made from rice-powder/
外惑星 [がいわくせい] /(n) outer planet/
外枠 [そとわく] /(n) border/
外鰐 [そとわに] /(n) walking with feet pointing outward/
外肛動物 [がいこうどうぶつ] /(n) Bryozoa animal/Ectoprocta animal/
外胚葉 [がいはいよう] /(n) ectoderm/
外襷反り [そとたすきぞり] /(n) outer reverse backwards body drop (sumo)/
外頸動脈 [がいけいどうみゃく] /(n) external carotid artery/
咳 [しわぶき] /(n) cough/coughing/tussis/
咳 [せき] /(n) cough/coughing/tussis/(P)/
咳き込む [せきこむ] /(v5m,vi) to cough violently/to have a coughing fit/
咳き上げる [せきあげる] /(v1,vi) to have a coughing fit/to sob convulsively/
咳き払い [せきばらい] /(n,vs) clearing one's throat/cough/
咳く [しわぶく] /(v5k,vi) to cough/
咳く [せく] /(v5k) to cough/
咳込む [せきこむ] /(v5m,vi) to cough violently/to have a coughing fit/
咳止め [せきどめ] /(n) cough medicine/cough syrup/cough lozenge/
咳払い [せきばらい] /(n,vs) clearing one's throat/cough/
咳嗽 [がいそう] /(n,vs) coughing/
害 [がい] /(n) injury/harm/evil influence/damage/(P)/
害す [がいす] /(v5s,vt) (1) to injure/to damage/to harm/to hurt/(2) to kill/(3) to hinder/to obstruct/
害する [がいする] /(vs-s,vt) (1) to injure/to damage/to harm/to hurt/(2) to kill/(3) to hinder/to obstruct/(P)/
害を及ぼす [がいをおよぼす] /(exp,v5s) to cause harm (to)/
害悪 [がいあく] /(n) harm/injury/evil (influence)/
害意 [がいい] /(n) malice/malicious intent/intent to kill/
害魚 [がいぎょ] /(n) harmful fish (e.g. non-native and prolific, etc.)/
害者 [がいしゃ] /(n) victim of a crime/
害獣 [がいじゅう] /(n) harmful animal/
害心 [がいしん] /(n) evil intentions/malice/
害虫 [がいちゅう] /(n,adj-no) harmful insect/noxious insect/(P)/
害鳥 [がいちょう] /(n) vermin/injurious bird/
害毒 [がいどく] /(n) harm/injury/mischief/poison/virus/
崖 [がけ] /(n) cliff/(P)/
崖っぷち [がけっぷち] /(n) (uk) edge (e.g. of a cliff, precipice)/critical point or moment/
崖っ縁 [がけっぷち] /(n) (uk) edge (e.g. of a cliff, precipice)/critical point or moment/
崖道 [がけみち] /(n) path along a cliff/
崖崩れ [がけくずれ] /(n) landslide/
慨する [がいする] /(vs-s,vt) to regret/to deplore/
慨世 [がいせい] /(n) deploring the course of public events/
慨世憂国 [がいせいゆうこく] /(n) worrying about the conditions of the country out of sheer patriotism/
慨然 [がいぜん] /(adj-t,adv-to) (1) indignant/sorrowful/(2) steadfast/determined/
慨嘆 [がいたん] /(n,vs) deploring/lamentation/regret/complaint/
慨歎 [がいたん] /(n,vs) deploring/lamentation/regret/complaint/
概して [がいして] /(adv) generally/as a rule/
概して言えば [がいしていえば] /(exp) generally speaking/all in all/in general/
概ね [おおむね] /(adv) (1) (uk) in general/generally/mostly/roughly/largely/mainly/on the whole/by and large/(n) (2) gist/point/main idea/
概括 [がいかつ] /(n,vs) summary/generalization/generalisation/
概観 [がいかん] /(n,vs) general view/outline/
概況 [がいきょう] /(n) outlook/general situation/(P)/
概算 [がいさん] /(n,vs,adj-no) approximation/rough estimate/(P)/
概算要求 [がいさんようきゅう] /(n) request for budgetary appropriations/
概算要求基準 [がいさんようきゅうきじゅん] /(n) budgetary request guidelines/ceiling for budget requests/
概数 [がいすう] /(n) round numbers/
概説 [がいせつ] /(n,vs) general statement/outline/
概則 [がいそく] /(n) general rules or principles/
概日リズム [がいじつリズム] /(n) circadian rhythm/
概念 [がいねん] /(n) general idea/concept/notion/(P)/
概念スキーマ [がいねんスキーマ] /(n) (comp) conceptual scheme/
概念化 [がいねんか] /(n,vs) conceptualization/conceptualisation/
概念記号 [がいねんきごう] /(n) (comp) concept symbol/
概念的 [がいねんてき] /(adj-na,n) general/conceptual/
概念文書 [がいねんぶんしょ] /(n) (comp) conceptual-document/
概念論 [がいねんろん] /(n) conceptualism/
概評 [がいひょう] /(n,vs) general view/comment/
概要 [がいよう] /(n-t) outline/summary/abridgment/synopsis/(P)/
概略 [がいりゃく] /(n-t) outline/summary/gist/in brief/(P)/
概論 [がいろん] /(n,vs) introduction/outline/general remarks/(P)/
涯 [はて] /(n) horizon/
碍子 [がいし] /(n) insulator/
蓋 [がい] /(n) cover/lid/cap/
蓋 [ふた] /(n) cover/lid/cap/(P)/
蓋う [おおう] /(v5u,vt) to cover/to hide/to conceal/to wrap/to disguise/
蓋し [けだし] /(adv) perhaps/probably/
蓋を開ける [ふたをあける] /(exp,v1) to open the lid/
蓋を閉める [ふたをしめる] /(exp,v1) to shut the lid/
蓋果 [がいか] /(n) pyxidium/
蓋開け [ふたあけ] /(n) opening/beginning/commencement/
蓋然 [がいぜん] /(n) probability/
蓋然性 [がいぜんせい] /(n) probability/
蓋置き [ふたおき] /(n) rest for the lid of a teakettle (tea ceremony)/
蓋付き [ふたつき] /(n) having a lid or cover/container having a lid/
蓋物 [ふたもの] /(n) lidded pottery or receptacle/
蓋明け [ふたあけ] /(n) opening/beginning/commencement/
街 [がい] /(n-suf,pref) .. street/.. quarter/.. district/(P)/
街 [まち] /(n) (1) town/block/neighbourhood/neighborhood/(2) street/road/
街々 [まちまち] /(n) streets/
街の女 [まちのおんな] /(n) streetwalker/
街外れ [まちはずれ] /(n) outskirts (of a town)/
街街 [まちまち] /(n) streets/
街角 [まちかど] /(n) street corner/(P)/
街金 [まちきん] /(n) (col) loan shark/Shylock/
街区 [がいく] /(n) block (of land)/
街商 [がいしょう] /(n) street vendor/
街娼 [がいしょう] /(n) prostitute/whore/streetwalker/
街図 [がいず] /(n) street map/
街宣右翼 [がいせんうよく] /(n) right wing organization, esp. one using "black van" propaganda trucks/
街宣車 [がいせんしゃ] /(n) (right-wing) propaganda truck/(P)/
街談巷語 [がいだんこうご] /(n) street gossips and idle rumors/hearsay/
街談巷説 [がいだんこうせつ] /(n) street gossips and idle rumors/
街着 [まちぎ] /(n) street clothes/townwear/
街中 [まちじゅう] /(n) the whole town/
街灯 [がいとう] /(n) street light/(P)/
街燈 [がいとう] /(oK) (n) street light/
街頭 [がいとう] /(n) in the street/(P)/
街頭演説 [がいとうえんぜつ] /(n) street oratory/soapbox speech/
街頭犯罪 [がいとうはんざい] /(n) street crime/
街頭募金 [がいとうぼきん] /(n) streetside fundraising/
街頭録音 [がいとうろくおん] /(n) (recorded) man-on-the-street interview/
街道 [かいどう] /(n) highway (esp. one existing from the Edo period)/main road/(P)/
街並 [まちなみ] /(n) street (of stores and houses)/townscape/(look of) stores and houses on street/
街並み [まちなみ] /(n) street (of stores and houses)/townscape/(look of) stores and houses on street/
街路 [がいろ] /(n) road/street/avenue/(P)/
街路アドレス [がいろアドレス] /(n) street address/
街路樹 [がいろじゅ] /(n) roadside trees/(P)/
街録 [がいろく] /(n) (abbr) (recorded) man-on-the-street interview/
街衢 [がいく] /(n) town/
該 [がい] /(pref) said/matter in question/
該案 [がいあん] /(n) the said proposal/
該氏 [がいし] /(n) the said person/the target (person)/
該当 [がいとう] /(n,vs) corresponding/answering to/coming under/applying to/(P)/
該当なし [がいとうなし] /(adj-f) not applicable/na/
該当事項 [がいとうじこう] /(n) relevant (applicable) information (items)/
該当者 [がいとうしゃ] /(n) person concerned/person qualified/person in question/party/litigant (legal)/
該博 [がいはく] /(adj-na,n) profundity/extensive (knowledge)/
該博な知識 [がいはくなちしき] /(n) profound knowledge/
該問題 [がいもんだい] /(n) the matter in question/the said problem/
鎧 [よろい] /(n) armor/armour/
鎧一具 [よろいいちぐ] /(n) suit of armor/suit of armour/
鎧球 [がいきゅう] /(n) American football/
鎧戸 [よろいど] /(n) slatted shutter/louver door (window)/
鎧鼠 [よろいねずみ] /(n) (obsc) armadillo/
鎧草 [よろいぐさ] /(n) (uk) Angelica dahurica (species of angelica)/
鎧袖一触 [がいしゅういっしょく] /(n) (beating someone) hands down/with a single blow/
鎧竜 [がいりゅう] /(n) (obsc) ankylosaur (any dinosaur of infraorder Ankylosauria)/
鎧櫃 [よろいびつ] /(n) storage chest for a suit of armour and a helmet/
鎧蜥蜴 [よろいとかげ] /(n) girdle-tailed lizard/
骸 [から] /(n) shell/husk/hull/pod/chaff/
骸 [むくろ] /(n) (dead) body/corpse/
骸骨 [がいこつ] /(n,adj-no) skeleton/(P)/
浬 [かいり] /(n) nautical mile/1852m/6080ft/
浬 [のっと] /(n) (uk) knot (nautical mile per hour)/
馨しい [かぐわしい] /(adj-i) (uk) sweet-smelling/scentful/fragrant/
馨しい [かんばしい] /(adj-i) sweet/fragrant/aromatic/
馨り [かおり] /(n) aroma/fragrance/scent/smell/
馨香 [けいこう] /(n) (1) fragrance/perfume/aroma/(2) honor/honour/fame/
蛙 [かいる] /(n) (1) (uk) frog/
蛙 [かえる] /(n) (1) (uk) frog/(P)/
蛙 [かわず] /(n) (1) (uk) frog/(2) kajika frog (Buergeria buergeri)/
蛙の子は蛙 [かえるのこはかえる] /(exp) like father, like son/the apple doesn't fall far from the tree/
蛙の面に小便 [かえるのつらにしょうべん] /(exp) (col) like water off a duck's back (lit: urine on a frog's face)/
蛙の面に水 [かえるのつらにみず] /(exp) like water off a duck's back/lit: water on a frog's face/
蛙の目借り時 [かえるのめかりどき] /(exp) springtime mating of frogs (haiku term)/
蛙の目借り時 [かわずのめかりどき] /(exp) springtime mating of frogs (haiku term)/
蛙の目借時 [かえるのめかりどき] /(exp) springtime mating of frogs (haiku term)/
蛙の目借時 [かえるのめかるどき] /(exp) springtime mating of frogs (haiku term)/
蛙の目借時 [かわずのめかりどき] /(exp) springtime mating of frogs (haiku term)/
蛙泳ぎ [かえるおよぎ] /(n) breaststroke (swimming)/frog-kick/
蛙股 [かえるまた] /(n) curved wooden support on top of the main beam of a house, now mainly decorative (shape evocates an open-legged frog)/
蛙手 [かえるで] /(n) maple (tree) (Acer spp.)/
蛙跳 [かえるとび] /(n) (game of) leapfrog/
蛙跳び [かえるとび] /(n) (game of) leapfrog/
蛙壷黴症 [かえるつぼかびしょう] /(n) chytridiomycosis (fatal infectious disease of amphibians)/
蛙又 [かえるまた] /(iK) (n) curved wooden support on top of the main beam of a house, now mainly decorative (shape evocates an open-legged frog)/
蛙鳴蝉噪 [あめいせんそう] /(n) annoying noise/fruitless argument/useless controversy/
蛙鮟鱇 [かえるあんこう] /(n) (uk) frogfish (any fish of family Antennariidae, esp. the striated frogfish, Antennarius striatus)/
蛙黽 [あぼう] /(n) (arch) tree frog (toad)/
垣 [かき] /(n) fence/(P)/
垣間見る [かいまみる] /(v1,vt) to take a peep at/to catch a glimpse of/(P)/
垣間聞く [かいまきく] /(v5k,vt) (col) (obsc) to get wind of/
垣根 [かきね] /(n) hedge/fence/(P)/
垣根越し [かきねごし] /(adv) (1) over the fence (e.g. looking, conducting a conversation)/(adj-no) (2) back-fence/
垣根越しに見る [かきねごしにみる] /(exp,v1) to look over the fence/
垣牆 [えんしょう] /(n) (arch) hedge/fence/
柿 [かき] /(n) kaki/Japanese persimmon (Diospyros kaki)/(P)/
柿 [こけら] /(iK) (n) (1) chopped wood/wood chips/(2) (abbr) thin shingles/
柿の種 [かきのたね] /(n) (1) kaki (Japanese persimmon) seed/(2) spicy baked or fried mochi chips in this shape/
柿の木 [かきのき] /(n) (Japanese) persimmon tree (Diospyros kaki)/
柿ノ木 [かきのき] /(n) (Japanese) persimmon tree (Diospyros kaki)/
柿渋 [かきしぶ] /(n) (astringent) persimmon juice/
柿色 [かきいろ] /(n) reddish-brown/yellowish-brown/
柿板 [こけらいた] /(iK) (n) thin shingles/
柿葺き [こけらぶき] /(iK) (n) shingling/shingled roof/
柿落し [こけらおとし] /(iK) (n) opening of a new theater (theatre)/
柿落とし [こけらおとし] /(iK) (n) opening of a new theater (theatre)/
鈎 [かぎ] /(n) (1) hook/(2) (abbr) hook bracket (Japanese quotation mark)/
鈎 [ち] /(ok) (n) (1) needle/pin/(2) hook/(3) stinger/thorn/(4) hand (e.g. clock, etc.)/pointer/(5) staple (for a stapler)/(6) needlework/sewing/(7) malice/(ctr,n-suf) (8) counter for stitches/
鈎 [はり] /(n) (1) needle/pin/(2) hook/(3) stinger/thorn/(4) hand (e.g. clock, etc.)/pointer/(5) staple (for a stapler)/(6) needlework/sewing/(7) malice/(ctr,n-suf) (8) counter for stitches/
鈎股弦 [こうこげん] /(n) (obsc) three sides of right triangle (minor cathetus, major cathetus & hypotenuse)/
鈎股弦の定理 [こうこげんのていり] /(n) (arch) Pythagorean theorem/
鈎虫 [こうちゅう] /(n) hookworm/
鈎爪 [かぎづめ] /(n) claw/talon/
鈎鼻 [かぎばな] /(n) hooked nose/
劃 [かく] /(n,n-suf,ctr) stroke (of a kanji, etc.)/
劃す [かくす] /(v5s,vt) (1) to draw (a line)/(2) to demarcate/to mark/to divide/to map out/(3) to plan/
劃する [かくする] /(vs-s,vt) (1) to draw (a line)/(2) to demarcate/to mark/to divide/to map out/(3) to plan/
劃一 [かくいつ] /(adj-na,n) uniformity/standardization/standardisation/
劃一化 [かくいつか] /(n,vs) standardization/standardisation/
劃期 [かっき] /(n) ground-breaking/epoch (making)/
劃期的 [かっきてき] /(adj-na) ground-breaking/epoch-making/
劃策 [かくさく] /(n,vs) plan/scheme/program formulation/programme formulation/maneuver/manoeuvre/
劃時代的 [かくじだいてき] /(adj-na,n) epoch-making/
劃数 [かくすう] /(n) stroke count/
劃然 [かくぜん] /(n,adj-t,adv-to) distinct/clear-cut/sharp/
劃定 [かくてい] /(n,vs) demarcation/
嚇々 [かくかく] /(adj-t,adv-to) brilliant/bright/glorious/
嚇々 [かっかく] /(adj-t,adv-to) brilliant/bright/glorious/
嚇かす [おどかす] /(v5s,vt) (1) to threaten/to menace/(2) to startle/to surprise/
嚇す [おどす] /(v5s,vt) to threaten/to menace/
嚇す [かくす] /(v5s,vt) (arch) to threaten/to menace/
嚇嚇 [かくかく] /(adj-t,adv-to) brilliant/bright/glorious/
嚇嚇 [かっかく] /(adj-t,adv-to) brilliant/bright/glorious/
嚇怒 [かくど] /(n,vs) greatly enraged/furious/
各 [おのおの] /(n-t) each/every/either/respectively/severally/
各 [かく] /(pref) each/every/all/(P)/
各々 [おのおの] /(n-t) each/every/either/respectively/severally/(P)/
各々 [それぞれ] /(n-t) each/every/either/respectively/severally/(P)/
各の考え [おのおののかんがえ] /(n) individual discretion/
各位 [かくい] /(n) (1) everyone/ladies and gentlemen/(2) attention media representatives (e.g. heading on a press release)/(P)/
各一部 [かくいちぶ] /(n) one copy each/
各員 [かくいん] /(n-adv,n-t) each one/
各駅 [かくえき] /(n) every station/
各駅停車 [かくえきていしゃ] /(n,adj-no) train that stops at every station/local train/
各回 [かくかい] /(n) each time/
各回 [かっかい] /(n) each time/
各界 [かくかい] /(n) each field/various circles/
各界 [かっかい] /(n) each field/various circles/
各界各層 [かっかいかくそう] /(n) in every area and on every level/
各階 [かくかい] /(n,adj-no) each floor/
各各 [おのおの] /(n-t) each/every/either/respectively/severally/(P)/
各各 [それぞれ] /(n-t) each/every/either/respectively/severally/(P)/
各月 [かくげつ] /(n) every month/
各県 [かくけん] /(n,adj-no) all prefectures/
各個 [かっこ] /(n) every one/each/
各戸 [かっこ] /(n) every house/
各校 [かくこう] /(n) each school/
各校 [かっこう] /(n) each school/
各行 [かくぎょう] /(n) each line/
各行 [かくこう] /(n) each line/
各行 [かっこう] /(n) each line/
各項 [かくこう] /(n) each item/each clause/
各項 [かっこう] /(n) each item/each clause/
各国 [かくこく] /(n) (1) each nation/(2) many nations/many countries/
各国 [かっこく] /(n) (1) each nation/(2) many nations/many countries/(P)/
各国語キーボード [かくこくごキーボード] /(n) (comp) national keyboard/
各国政府 [かっこくせいふ] /(n) governments of various nations of the world/
各冊 [かくさつ] /(n) each book (volume or copy)/
各市 [かくし] /(n) every city/
各紙 [かくし] /(n) every newspaper (magazine)/
各自 [かくじ] /(n-adv,n-t) individual/each/(P)/
各自負担 [かくじふたん] /(n) joint and several liability/each individual being responsible for the payment of his share of the purchase price, expense, etc./
各室 [かくしつ] /(n) every room/
各社 [かくしゃ] /(n) all companies/each company/
各種 [かくしゅ] /(n,adj-no) every kind/all sorts/(P)/
各種各様 [かくしゅかくよう] /(n) individual (different) ways of doing things/being different (varied) for each item (type)/
各種学校 [かくしゅがっこう] /(n) vocational school/
各週 [かくしゅう] /(n) every week/
各所 [かくしょ] /(n,adj-no) each place/various places/
各省 [かくしょう] /(n) each ministry/
各情報 [かくじょうほう] /(n) all information/
各条 [かくじょう] /(n) each clause/each article/each item/
各人 [かくじん] /(n-adv,n-t) each person/
各人各説 [かくじんかくせつ] /(exp) Everyone has his (her) own view/Different people, different opinions/
各人各様 [かくじんかくよう] /(n) So many men/so many ways/
各層 [かくそう] /(n) each stratum/each class/
各大学 [かくだいがく] /(n) all universities/each university/
各団体 [かくだんたい] /(n) each group/
各地 [かくち] /(n,adj-no) every place/various places/(P)/
各停 [かくてい] /(n) (abbr) train that stops at every station/local train/
各店 [かくてん] /(n) each shop/
各派 [かくは] /(n) each party/each faction/all sects/
各般 [かくはん] /(n,adj-no) all/every/various/
各藩 [かくはん] /(n) each clan/
各部 [かくぶ] /(n) all parts/various parts/every department/
各方 [おのおのがた] /(n) all of you (pronoun)/
各方面 [かくほうめん] /(n) every quarter/all sides/
各面 [かくめん] /(n) all phases/
各論 [かくろん] /(n) detailed exposition/
廓 [かく] /(n) (1) district/quarter/(2) enclosure/area enclosed by earthwork/(3) red-light district/
廓 [くるわ] /(n) (1) district/quarter/(2) enclosure/area enclosed by earthwork/(3) red-light district/
廓清 [かくせい] /(n,vs) purification/cleaning up/purging/
拡がり [ひろがり] /(n) expanse/extent/spread/stretch/
拡がり角 [ひろがりかく] /(n) (comp) spread angle/
拡がる [ひろがる] /(v5r,vi) to spread (out)/to extend/to stretch/to reach to/to get around/to fill (e.g. a space)/
拡げた腕 [ひろげたうで] /(n) outstretched arms/
拡げる [ひろげる] /(v1,vt) to spread/to extend/to expand/to enlarge/to widen/to broaden/to unfold/to open/to unroll/
拡音器 [かくおんき] /(n) speaker (stereo equipment, computer, etc.)/
拡音機 [かくおんき] /(n) speaker (stereo equipment, computer, etc.)/
拡音設備 [かくおんせつび] /(n) (music) speaker system/PA system/
拡散 [かくさん] /(n,vs,adj-no) scattering/diffusion/spread (e.g. signal across the spectrum)/(P)/
拡散スペクトル [かくさんスペクトル] /(n) (comp) spread spectrum/
拡散ポンプ [かくさんポンプ] /(n) diffusion pump/
拡散反射 [かくさんはんしゃ] /(n) (comp) diffuse reflection/
拡散反射係数 [かくさんはんしゃけいすう] /(n) (comp) diffuse reflection coefficient/
拡散率 [かくさんりつ] /(n) (comp) spreading factor/
拡充 [かくじゅう] /(n,vs,adj-no) expansion/(P)/
拡声器 [かくせいき] /(n) megaphone/bullhorn/loudhailer/
拡声機 [かくせいき] /(n) megaphone/bullhorn/loudhailer/(P)/
拡声設備 [かくせいせつび] /(n) loudspeaker system/PA system/
拡声装置 [かくせいそうち] /(n) loud speaker equipment/
拡大 [かくだい] /(n,vs) magnification/enlargement/expansion/(P)/
拡大解釈 [かくだいかいしゃく] /(n,vs) broad interpretation/
拡大鏡 [かくだいきょう] /(n) magnifying glass/loupe/
拡大均衡 [かくだいきんこう] /(n) an expanded or expanding equilibrium/(P)/
拡大行列 [かくだいぎょうれつ] /(n) (comp) augmented matrix/
拡大再生産 [かくだいさいせいさん] /(n) reproduction on an enlarged or expanded scale/
拡大縮小 [かくだいしゅくしょう] /(n) (comp) scaling/zooming/
拡大販売 [かくだいはんばい] /(n,vs) sales promotion/
拡大保証 [かくだいほしょう] /(n) (comp) extended warranty/
拡大率 [かくだいりつ] /(n) rate of magnification/magnification power/
拡大連座制 [かくだいれんざせい] /(n) expanded system of guilt by association in Japanese election law, which stipulates that an elected official may lose his position if someone in his campaign commits a crime/
拡大路線 [かくだいろせん] /(n) expansion policy/road to expansion/
拡張 [かくちょう] /(n,vs) expansion/extension/enlargement/escape/ESC/(P)/
拡張ＩＳＡ [かくちょうアイエスエー] /(n) (comp) EISA/Extended Industrial Standard Architecture/
拡張ＵＥＦ [かくちょうユーイーエフ] /(n) (comp) Extended User Exchange Format/
拡張スロット [かくちょうスロット] /(n) (comp) expansion slot/expansion board slot/
拡張テキスト [かくちょうテキスト] /(n) (comp) extended text/
拡張バス [かくちょうバス] /(n) (comp) expansion bus/
拡張パック [かくちょうパック] /(n) expansion pack (game)/
拡張ボード [かくちょうボード] /(n) (comp) expansion board/
拡張メモリー [かくちょうメモリー] /(n) (comp) expanded memory/
拡張モード [かくちょうモード] /(n) (comp) extend mode/
拡張化 [かくちょうか] /(n,vs) enlargement/expansion/
拡張可能 [かくちょうかのう] /(n,adj-na) extensible/
拡張期 [かくちょうき] /(n) diastole/
拡張機能 [かくちょうきのう] /(n) (comp) expanded, extended functionality/
拡張記憶装置 [かくちょうきおくそうち] /(n) (comp) extended storage/
拡張記号 [かくちょうきごう] /(n) (comp) extension sign/
拡張業界標準アーキテクチャ [かくちょうぎょうかいひょうじゅんアーキテクチャ] /(n) (comp) Extended Industry Standard Architecture/EISA/
拡張現実 [かくちょうげんじつ] /(n) augmented reality/AR/
拡張子 [かくちょうし] /(n) (filename) extension/
拡張指定表 [かくちょうしていひょう] /(n) (comp) extended entry table/
拡張小型デバイスインタフェース [かくちょうこがたデバイスインタフェース] /(n) (comp) Enhanced Small Device Interface/ESDI/
拡張条虫 [かくちょうじょうちゅう] /(n) sheep tapeworm (Moniezia expansa)/
拡張新字体 [かくちょうしんじたい] /(n) extended new character forms/extension of new character forms/
拡張性 [かくちょうせい] /(n) (comp) augmentability/
拡張精度浮動小数点数 [かくちょうせいどふどうしょうすうてんすう] /(n) (comp) extended precision floating point number/
拡張日本語キーボード [かくちょうにほんごキーボード] /(n) (comp) enhanced (Japanese) keyboard/
拡張倍精度 [かくちょうばいせいど] /(n) extended double-precision/
拡張版ＳｐｅｅｄＳｔｅｐテクノロジ [かくちょうはんスピードステップテクノロジ] /(n) (comp) enhanced speedstep technology/
拡張部分 [かくちょうぶぶん] /(n) (comp) extension/
拡張物理的配達アドレス構成要素 [かくちょうぶつりてきはいたつアドレスこうせいようそ] /(n) (comp) extension of physical delivery address components/
拡張命令コード [かくちょうめいれいコード] /(n) (comp) augmented operation code/
拡張郵便ＯＲアドレス構成要素 [かくちょうゆうびんオーアーアドレスこうせいようそ] /(n) (comp) extension of postal OR address components/
拡販 [かくはん] /(n,vs) (abbr) sales promotion/
拡幅 [かくふく] /(n) (1) widening (of a road)/(vs) (2) to widen (esp. a road)/
撹乱 [かくらん] /(n,vs) disturbance/perturbation/derangement/
撹乱 [こうらん] /(n,vs) disturbance/perturbation/derangement/
撹乱戦術 [かくらんせんじゅつ] /(n) disturbance tactics/
撹乱戦法 [かくらんせんぽう] /(n) disturbance strategy/
撹拌 [かくはん] /(n,vs) agitation/stirring/whipping/beating/
撹拌 [こうはん] /(n,vs) agitation/stirring/whipping/beating/
撹拌機 [かくはんき] /(n) mixer/agitator/
格 [かく] /(n,n-suf) status/character/case/(P)/
格 [きゃく] /(n) (arch) amendment (of the ritsuryo)/
格が上がる [かくがあがる] /(exp,v5r) to be promoted to a higher rank/
格を守る [かくをまもる] /(exp,v5r) to observe the rules/
格を上げる [かくをあげる] /(exp,v1) to raise the standard/
格ゲー [かくゲー] /(n) (abbr) (col) beat'-em-up game/(one on one) fighting game/
格安 [かくやす] /(adj-na,n,adj-no) cheap/reasonable/(P)/
格安航空券 [かくやすこうくうけん] /(n) discount airline ticket/(P)/
格下 [かくした] /(n,adj-no) lower rank/
格下げ [かくさげ] /(n,vs) demotion/downgrading/
格外 [かくがい] /(adj-na,n,adj-no) nonstandard/extraordinary/special/
格技 [かくぎ] /(n) (abbr) martial arts which involve fighting without weapons/combat sport/one-on-one fighting sport/
格技場 [かくぎじょう] /(n) (1) (martial arts) training place/(2) dojo/
格言 [かくげん] /(n,adj-no) aphorism/
格好 [かっこう] /(adj-na,n,adj-no) (1) shape/form/posture/appearance/manner/(2) suitability/moderateness (in price)/(P)/
格好いい [かっこいい] /(adj-i) attractive/good-looking/stylish/"cool"/
格好いい [かっこういい] /(adj-i) attractive/good-looking/stylish/"cool"/
格好がつく [かっこうがつく] /(exp,v5k) to take shape/to look good enough to be shown publicly/
格好が付く [かっこうがつく] /(exp,v5k) to take shape/to look good enough to be shown publicly/
格好つける [かっこうつける] /(v1) (uk) to affect a stylish air/to try to look good/to show off/
格好つける [かっこつける] /(ik) (v1) (uk) to affect a stylish air/to try to look good/to show off/
格好のいい [かっこうのいい] /(adj-na) attractive/good-looking/stylish/cool/
格好のよい [かっこうのよい] /(adj-na) attractive/good-looking/stylish/cool/
格好の悪い [かっこうのわるい] /(adj-i) unattractive/ugly/unstylish/uncool/
格好の良い [かっこうのいい] /(adj-na) attractive/good-looking/stylish/cool/
格好の良い [かっこうのよい] /(adj-na) attractive/good-looking/stylish/cool/
格好よい [かっこうよい] /(adj-i) attractive/good-looking/stylish/"cool"/
格好よい [かっこよい] /(adj-i) attractive/good-looking/stylish/"cool"/
格好をつける [かっこうをつける] /(exp,v1) (1) to make something look better/to put into (good, better) shape/(2) to put up a front/to pose/to pretend/
格好をつける [かっこをつける] /(ik) (exp,v1) (1) to make something look better/to put into (good, better) shape/(2) to put up a front/to pose/to pretend/
格好を付ける [かっこうをつける] /(exp,v1) (1) to make something look better/to put into (good, better) shape/(2) to put up a front/to pose/to pretend/
格好を付ける [かっこをつける] /(ik) (exp,v1) (1) to make something look better/to put into (good, better) shape/(2) to put up a front/to pose/to pretend/
格好悪い [かっこうわるい] /(adj-i) unattractive/ugly/unstylish/uncool/
格好悪い [かっこわるい] /(adj-i) unattractive/ugly/unstylish/uncool/
格好付ける [かっこうつける] /(v1) (uk) to affect a stylish air/to try to look good/to show off/
格好付ける [かっこつける] /(ik) (v1) (uk) to affect a stylish air/to try to look good/to show off/
格差 [かくさ] /(n) qualitative difference/disparity/(P)/
格差社会 [かくさしゃかい] /(n) disparate society/stratified society/
格子 [こうし] /(n) (crystal) lattice/grid pattern/(P)/
格子ゲージ理論 [こうしゲージりろん] /(n) lattice gauge theory (physics)/
格子欠陥 [こうしけっかん] /(n) lattice defect/
格子戸 [こうしど] /(n) lattice door/
格子縞 [こうしじま] /(n) check(ed) pattern/plaid/
格子女郎 [こうしじょろう] /(n) prostitute of the second rank (below the taiyu) (Edo period)/
格子窓 [こうしまど] /(n) latticed window/
格子造 [こうしづくり] /(n) latticework/
格子造り [こうしづくり] /(n) latticework/
格子定数 [こうしていすう] /(n) lattice constant/
格子点 [こうしてん] /(n) lattice point/
格子面 [こうしめん] /(n) lattice plane/
格式 [かくしき] /(n) (1) formality/social rule/social status/(2) (arch) amendments and enforcement regulations (of the ritsuryo)/
格式 [きゃくしき] /(n) (1) formality/social rule/social status/(2) (arch) amendments and enforcement regulations (of the ritsuryo)/
格式張る [かくしきばる] /(v5r,vi) to adhere to formalities/
格助詞 [かくじょし] /(n) (ling) case-marking particle/
格上 [かくうえ] /(n,adj-no) higher rank/better position/
格上げ [かくあげ] /(n,vs) status elevation/(P)/
格段 [かくだん] /(adj-na,adv,n) special/exceptional/remarkable/(P)/
格段の相違 [かくだんのそうい] /(n) marked difference/
格調 [かくちょう] /(n) noble/dignified/
格調高雅 [かくちょうこうが] /(n,adj-na) refined, dignified, elegant/graceful/exquisite/
格天井 [ごうてんじょう] /(n) coffered ceiling/
格闘 [かくとう] /(n,vs) hand-to-hand fighting/grappling/scuffling/(P)/
格闘ゲーム [かくとうゲーム] /(n) beat'-em-up game/(one on one) fighting game/
格闘家 [かくとうか] /(n) martial artist/fighter/
格闘技 [かくとうぎ] /(n) martial arts which involve fighting without weapons/combat sport/one-on-one fighting sport/
格闘戦部隊 [かくとうせんぶたい] /(n) shock troops/
格納 [かくのう] /(n,vs) (1) storage/housing for equipment and machines/(2) (comp) putting into computer memory/
格納メッセージ [かくのうメッセージ] /(n) (comp) stored-messages/
格納メッセージ一覧 [かくのうメッセージいちらん] /(n) (comp) stored message listing/MS/
格納メッセージ該当数 [かくのうメッセージがいとうすう] /(n) (comp) stored message summary/MS/
格納メッセージ警報 [かくのうメッセージけいほう] /(n) (comp) stored message alert/MS/
格納メッセージ削除 [かくのうメッセージさくじょ] /(n) (comp) stored message deletion/MS/
格納メッセージ自動回送 [かくのうメッセージじどうかいそう] /(n) (comp) stored message auto-forward/MS/
格納メッセージ取出し [かくのうメッセージとりだし] /(n) (comp) stored message fetching/MS/
格納庫 [かくのうこ] /(n) (aircraft) hangar/
格納密度 [かくのうみつど] /(n) (comp) loading density/
格納容器 [かくのうようき] /(n) containment vessel (nuclear reactor)/CV/
格納領域 [かくのうりょういき] /(n) (comp) storage area/
格付け [かくずけ] /(ik) (n,vs) rating/classification/allocation/grading/
格付け [かくづけ] /(n,vs) rating/classification/allocation/grading/(P)/
格幅 [かっぷく] /(n) physique/bodily build/
格物致知 [かくぶつちち] /(n) gaining a perfect knowledge of natural laws/
格別 [かくべつ] /(adj-no,adj-na,n,n-adv) exceptional/(P)/
格変化 [かくへんか] /(n,vs) (ling) declension/change of case/
格理論 [かくりろん] /(n) case theory/
格律 [かくりつ] /(n) maxim/personal standard/
格率 [かくりつ] /(n) maxim/personal standard/
核 [かく] /(n,adj-no) (1) pit (of a fruit)/stone/(2) core/(n,n-pref) (3) nucleus/nuclear/(4) nuclear weaponry/(P)/
核 [さね] /(n) (1) (obsc) pit (of a fruit)/stone/(2) core/(3) tongue (piece of wood used to connect two boards)/(4) clitoris/
核の傘 [かくのかさ] /(n) nuclear umbrella/
核の冬 [かくのふゆ] /(n) nuclear winter/
核の番人 [かくのばんにん] /(n) nuclear watchdog (i.e. the IAEA)/
核アレルギー [かくアレルギー] /(n) nuclear allergy/antipathy shown by the Japanese to nuclear weapons/
核エネルギー [かくエネルギー] /(n) nuclear energy/
核クラブ [かくクラブ] /(n) nuclear club/
核シェルター [かくシェルター] /(n) nuclear bomb shelter/
核テロ [かくテロ] /(n) (abbr) nuclear terrorism/
核ミサイル [かくミサイル] /(n) nuclear missile/
核移植 [かくいしょく] /(n) nuclear transplantation/
核医学 [かくいがく] /(n) nuclear medicine/
核黄疸 [かくおうだん] /(n) nuclear icterus/
核化学 [かくかがく] /(n) nuclear chemistry/
核家族 [かくかぞく] /(n) nuclear family/(P)/
核科学 [かくかがく] /(n) nuclear science/
核科学者 [かくかがくしゃ] /(n) nuclear scientist/
核果 [かっか] /(n) a drupe/stone fruit/
核開発 [かくかいはつ] /(n) nuclear development/
核開発計画 [かくかいはつけいかく] /(n) nuclear development program/nuclear program/
核外遺伝子 [かくがいいでんし] /(n) plasmagene/
核拡散 [かくかくさん] /(n) nuclear proliferation/
核拡散防止条約 [かくかくさんぼうしじょうやく] /(n) Treaty on the Non-Proliferation of Nuclear Weapons/
核疑惑 [かくぎわく] /(n,adj-no) suspicion of having (or to be making) nuclear weapons/
核具象構文 [かくぐしょうこうぶん] /(n) (comp) core concrete syntax/
核軍縮 [かくぐんしゅく] /(n) nuclear disarmament/
核型 [かくがた] /(n,adj-no) karyotype/caryotype/
核攻撃 [かくこうげき] /(n) nuclear attack/nuclear strike/
核災害 [かくさいがい] /(n) nuclear disaster/
核酸 [かくさん] /(n) nucleic acid/(P)/
核子 [かくし] /(n) nucleon/
核子構造 [かくしこうぞう] /(n) (physics) nucleon structure/
核施設 [かくしせつ] /(n) nuclear facility/
核磁気共鳴 [かくじききょうめい] /(n) nuclear magnetic resonance/NMR/
核磁気共鳴映像法 [かくじききょうめいえいぞうほう] /(n) nuclear magnetic resonance imaging/NMRI/
核磁子 [かくじし] /(n) nuclear magneton/
核質 [かくしつ] /(n) keratin/
核実験 [かくじっけん] /(n) nuclear (bomb) test/(P)/
核実験室 [かくじっけんしつ] /(n) nuclear laboratory/
核種 [かくしゅ] /(n) nuclide/
核小体 [かくしょうたい] /(n) nucleolus/
核心 [かくしん] /(n) kernel/core/(P)/
核仁 [かくじん] /(n) nuclear bonding/nuclear force/
核戦争 [かくせんそう] /(n) nuclear warfare/
核戦略 [かくせんりゃく] /(n) nuclear strategy/
核戦力 [かくせんりょく] /(n) nuclear force/
核相 [かくそう] /(n) nuclear phase/
核相交代 [かくそうこうたい] /(n) alternation of nuclear phases/
核蛋白質 [かくたんぱくしつ] /(n) nucleoprotein/
核弾頭 [かくだんとう] /(n) nuclear warhead/(P)/
核燃料 [かくねんりょう] /(n) atomic fuel/(P)/
核燃料サイクル [かくねんりょうサイクル] /(n) nuclear fuel cycle/
核燃料プール [かくねんりょうプール] /(n) (spent) nuclear fuel storage pool/
核燃料化 [かくねんりょうか] /(n,vs) (nuclear fuel) enrichment/
核燃料再処理 [かくねんりょうさいしょり] /(n) nuclear fuel reprocessing/
核燃料棒 [かくねんりょうぼう] /(n) nuclear fuel rod/nuclear rod/
核廃棄 [かくはいき] /(n) abandoning nuclear weapons, etc./nuclear disposal/
核廃棄物 [かくはいきぶつ] /(n) nuclear waste/
核廃絶 [かくはいぜつ] /(n) total abolition of nuclear weapons/
核爆弾 [かくばくだん] /(n) nuclear weapon/
核爆発 [かくばくはつ] /(n) nuclear explosion/
核反応 [かくはんのう] /(n) nuclear reaction/
核反応炉 [かくはんのうろ] /(n) nuclear reactor/
核不拡散 [かくふかくさん] /(n) nuclear nonproliferation/
核不拡散条約 [かくふかくさんじょうやく] /(n) Nuclear Non-Proliferation Treaty/NPT/
核武装 [かくぶそう] /(n,vs) nuclear arms/(P)/
核物理学 [かくぶつりがく] /(n) nuclear physics/
核分裂 [かくぶんれつ] /(n) (1) nuclear fission/(2) karyokinesis (division of a cell nucleus during mitosis or meiosis)/(P)/
核分裂生成物 [かくぶんれつせいせいぶつ] /(n) fission product/
核文法 [かくぶんぽう] /(n) core grammar/
核兵器 [かくへいき] /(n) nuclear weapons/(P)/
核兵器国 [かくへいきこく] /(n) nuclear-weapon state/
核兵器実験 [かくへいきじっけん] /(n) nuclear test/
核兵器保有量 [かくへいきほゆうりょう] /(n) nuclear arsenal/
核保有 [かくほゆう] /(adj-no) nuclear/
核保有国 [かくほゆうこく] /(n) nuclear power/nuclear state/
核保有量 [かくほゆうりょう] /(n) nuclear stockpile/
核崩壊 [かくほうかい] /(n) disintegration of a cell nucleus/
核防衛力 [かくぼうえいりょく] /(n) nuclear defenses/nuclear defences/
核膜 [かくまく] /(n) nuclear membrane/
核問題 [かくもんだい] /(n) nuclear issue/nuclear problem/
核融合 [かくゆうごう] /(n) nuclear fusion/(P)/
核融合反応 [かくゆうごうはんのう] /(n) nuclear fusion/
核融合炉 [かくゆうごうろ] /(n) nuclear fusion reactor/
核抑止 [かくよくし] /(n) nuclear deterrence/
核抑止力 [かくよくしりょく] /(n) nuclear deterrent force/
核抑止論 [かくよくしろん] /(n) nuclear deterrent theory/
核力 [かくりょく] /(n) nuclear force/
殻 [かく] /(n) shell (i.e. electron shell)/
殻 [から] /(n) shell/husk/hull/pod/chaff/(P)/
殻 [がら] /(suf) (1) left-overs/remnants/(pref) (2) chicken bones or carcase (e.g. for soup)/(n) (3) poor-quality coke (coal)/
殻むき [からむき] /(n) shelling (e.g. of eggs, nuts, crabs and such)/
殻を閉ざす [からをとざす] /(exp,v5s) (obsc) to close up like an oyster/to retire into one's shell/
殻竿 [からさお] /(n) flail (for threshing grain)/
殻竿 [からざお] /(n) flail (for threshing grain)/
殻構造 [かくこうぞう] /(n) shell structure (nuclear physics)/
殻頂 [かくちょう] /(n) apex of a shell/umbo/
殻斗 [かくと] /(n) cupule/acorn cup/
殻剥き [からむき] /(n) shelling (e.g. of eggs, nuts, crabs and such)/
獲らぬ狸の皮算用 [とらぬたぬきのかわざんよう] /(exp) don't count your chickens before they're hatched/(lit: don't assume you can grab a tanuki)/
獲る [える] /(v1,vt) (1) to get/to acquire/to obtain/to procure/to earn/to win/to gain/to secure/to attain/
獲る [とる] /(iK) (v5r,vt) to take/to catch (fish)/to capture/
獲れる [とれる] /(v1) (1) to be harvested/to be reaped/to be yielded/(2) to be able to harvest/to be able to reap/to be able to yield/
獲得 [かくとく] /(n,vs,adj-no) acquisition/possession/(P)/
獲得形質 [かくとくけいしつ] /(n) acquired characteristics (as opposed to inherited)/
獲得代議員数 [かくとくだいぎいんすう] /(n) delegate count/
獲得免疫 [かくとくめんえき] /(n) acquired immunity/
獲物 [えもの] /(n) game/spoils/trophy/(P)/
獲麟 [かくりん] /(n) (1) (arch) the end of things (esp. used for one's last writings)/(2) one's dying hour (esp. used for the death of Confucius)/
確 [かく] /(adj-t,adv-to) certain/definite/
確 [しか] /(adv-to) (uk) (obsc) (arch) certainly (for certain) (used in negative sense)/
確 [たしか] /(exp,n,adj-na) (1) certain/sure/definite/(adv) (2) if I'm not mistaken/if I remember correctly/
確か [たしか] /(exp,n,adj-na) (1) certain/sure/definite/(adv) (2) if I'm not mistaken/if I remember correctly/(P)/
確かそうだ [たしかそうだ] /(exp) that's probably so/
確かな筋 [たしかなすじ] /(n) reliable source/
確かな事実 [たしかなじじつ] /(n) established (certain) fact/
確かに [たしかに] /(adv) surely/certainly/
確かめ [たしかめ] /(n) confirmation/certification/ascertainment/
確かめる [たしかめる] /(v1,vt) to ascertain/to check/to make sure/(P)/
確かめ算 [たしかめざん] /(n,vs) checking (e.g. result of calculation)/
確たる [かくたる] /(adj-pn) certain/definite/
確たる証拠 [かくたるしょうこ] /(n) certain (definite) evidence/
確と [しかと] /(adv) (1) certainly/for sure/(2) distinctly/clearly/exactly/(3) firmly/tightly/
確と [しっかと] /(adv) (1) certainly/for sure/(2) distinctly/clearly/exactly/(3) firmly/tightly/
確とした [かくとした] /(adj-f) certain/definite/
確り [しっかり] /(adj-na,adv,adv-to,n,vs) (uk) firmly/tightly/reliable/level-headed/steady/(P)/
確り者 [しっかりもの] /(n) person of firm character/person of stability/
確言 [かくげん] /(n,vs) assertion/confirmation/
確乎 [かっこ] /(adj-t,adv-to) firm/unshakeable/resolute/(P)/
確乎不抜 [かっこふばつ] /(n,adj-no) determined/steadfast/unswerving/unshakable/
確固 [かっこ] /(adj-t,adv-to) firm/unshakeable/resolute/(P)/
確固不動 [かっこふどう] /(n) unshakeable (e.g. belief)/invincible/steadfastness/firmness/unwavering (e.g. support)/absolutely secure/
確執 [かくしつ] /(n,vs) discord/antagonism/(P)/
確実 [かくじつ] /(adj-na,n) certainty/reliability/soundness/(P)/
確実性 [かくじつせい] /(n) certainty/
確実性係数 [かくじつせいけいすう] /(n) (comp) certainty factor/
確実度 [かくじつど] /(n) certainty/
確守 [かくしゅ] /(n,vs) loyalty to/
確証 [かくしょう] /(n,adj-no) positive proof/
確証バイアス [かくしょうバイアス] /(n) confirmation bias/confirmatory bias/
確信 [かくしん] /(n,vs) conviction/belief/confidence/(P)/
確信犯 [かくしんはん] /(n) (1) crime of conscience/(2) premeditated crime (viewed as mistaken usage)/act carried out while knowing that it should not be/
確説 [かくせつ] /(n) established theory/
確然 [かくぜん] /(n,adj-t,adv-to) definite/positive/
確定 [かくてい] /(n,vs) (1) decision/settlement/(2) (math) definition/(P)/
確定可能 [かくていかのう] /(n) (comp) definable/
確定給付型年金 [かくていきゅうふがたねんきん] /(n) defined-benefit pension/
確定拠出型年金 [かくていきょしゅつがたねんきん] /(n) defined-contribution pension/
確定拠出年金 [かくていきょしゅつねんきん] /(n) defined contribution pension plan/
確定事項 [かくていじこう] /(n) fixed content/settled matter/done deal/
確定申告 [かくていしんこく] /(n) final income tax return/final declaration/final report/
確定的 [かくていてき] /(adj-na) definite/
確定的過程 [かくていてきかてい] /(n) (comp) deterministic process/
確定日付 [かくていひづけ] /(n) fixed date/
確定判決 [かくていはんけつ] /(n) final decision/
確定利付証券 [かくていりつきしょうけん] /(n) fixed interest-bearing securities/
確度 [かくど] /(n) degree of accuracy/
確答 [かくとう] /(n,vs) definite answer/
確認 [かくにん] /(n,vs) affirmation/confirmation/validation/(P)/
確認の上 [かくにんのうえ] /(exp) after checking/after verification/
確認試験 [かくにんしけん] /(n) (comp) validation test/
確認写真 [かくにんしゃしん] /(n) portal film (e.g. in radiotherapy)/
確認者 [かくにんしゃ] /(n) verifier/identifier/confirmor/confirming party/
確認書 [かくにんしょ] /(n) certificate/
確認証 [かくにんしょう] /(n) (proof of) confirmation/
確聞 [かくぶん] /(n,vs) learn from reliable sources/
確保 [かくほ] /(n,vs) guarantee/maintain/ensure/insure/secure/reservation/(P)/
確報 [かくほう] /(n) definite report/confirmed data/
確約 [かくやく] /(n,vs) firm promise/definite promise/(P)/
確率 [かくりつ] /(n) probability/likelihood/chances/(P)/
確率モデル [かくりつモデル] /(n) stochastic model/
確率過程 [かくりつかてい] /(n) stochastic process/
確率誤差 [かくりつごさ] /(n) random error/
確率標本 [かくりつひょうほん] /(n) random sample/
確率分布 [かくりつぶんぷ] /(n) probability distribution/
確率変数 [かくりつへんすう] /(n) stochastic variable/random variable/
確率密度 [かくりつみつど] /(n) (comp) probability density/
確率密度関数 [かくりつみつどかんすう] /(n) probability density function (statistics)/
確率理論 [かくりつりろん] /(n) (comp) probability theory/
確率論 [かくりつろん] /(n) probability theory/
確立 [かくりつ] /(n) (1) establishment/settlement/(vs) (2) to establish/to settle/(P)/
穫る [とる] /(v5r,vt) to harvest (a crop)/
穫れる [とれる] /(v1) (1) to be harvested/to be reaped/to be yielded/(2) to be able to harvest/to be able to reap/to be able to yield/
覚 [さとり] /(n) (uk) a mythical being that can read minds/
覚え [おぼえ] /(n) memory/sense/experience/(P)/
覚えがめでたい [おぼえがめでたい] /(exp) to stand high in one's superior's favor and trust/
覚えてろ [おぼえてろ] /(exp) (id) You'll regret this!/I'll get you for this/Just you wait/
覚える [おぼえる] /(v1,vt) (1) to remember/to recollect/to memorize/to memorise/(2) to feel/(P)/
覚え易い [おぼえやすい] /(adj-i) easy to learn/
覚え込む [おぼえこむ] /(v5m,vt) to memorize/to fix in memory/to master/
覚え書き [おぼえがき] /(n) memo/memorandum/note/memorial/protocol/
覚せい剤 [かくせいざい] /(n) stimulant/(P)/
覚ます [さます] /(v5s,vt) (1) to awaken/(2) to disabuse/(3) to sober up/(P)/
覚めやらぬ [さめやらぬ] /(adj-pn) lingering (usu. feeling, emotion, etc.)/continuing (to)/still (...)/
覚める [さめる] /(v1,vi) (1) to wake/to wake up/(2) to become sober/to sober up/to regain consciousness (e.g. after anaesthesia)/(3) to come to one's senses/to be disillusioned/(P)/
覚め遣らぬ [さめやらぬ] /(adj-pn) lingering (usu. feeling, emotion, etc.)/continuing (to)/still (...)/
覚め際 [さめぎわ] /(n) on the verge of waking/
覚り [さとり] /(n) (1) comprehension/understanding/(2) (Buddh) enlightenment/satori/
覚りが早い [さとりがはやい] /(exp,adj-i) (obsc) being quick to understand/
覚る [さとる] /(v5r,vt) (1) to understand/to comprehend/to realize/to perceive/to sense/to discern/(2) to attain enlightenment/
覚悟 [かくご] /(n,vs) resolution/resignation/readiness/preparedness/(P)/
覚悟を決める [かくごをきめる] /(exp,v1) to prepare oneself (for the worst)/to resolve oneself/
覚込む [おぼえこむ] /(v5m,vt) to memorize/to fix in memory/to master/
覚者 [かくしゃ] /(n) enlightened person/
覚書 [おぼえがき] /(n) memo/memorandum/note/memorial/protocol/(P)/
覚書き [おぼえがき] /(n) memo/memorandum/note/memorial/protocol/
覚醒 [かくせい] /(n,vs) (1) awakening/waking up/arousal/revival/(2) disillusion/disillusionment/
覚醒剤 [かくせいざい] /(n) stimulant/(P)/
覚束ない [おぼつかない] /(ateji) (adj-i) (1) (uk) uncertain/doubtful/(2) (uk) unreliable/unsteady/shaky/faltering/
覚束ない [かくそくない] /(ateji) (ik) (adj-i) (1) (uk) uncertain/doubtful/(2) (uk) unreliable/unsteady/shaky/faltering/
覚束無い [おぼつかない] /(ateji) (adj-i) (1) (uk) uncertain/doubtful/(2) (uk) unreliable/unsteady/shaky/faltering/
覚束無い [かくそくない] /(ateji) (ik) (adj-i) (1) (uk) uncertain/doubtful/(2) (uk) unreliable/unsteady/shaky/faltering/
角 [かく] /(n,n-suf) (1) angle/(2) square (or cube)/(3) bishop (shogi)/(4) third degree (of the Japanese & Chinese pentatonic scale)/(5) Chinese "horn" constellation (one of the 28 mansions)/(6) jiao (monetary unit of China; one-tenth of a yuan)/(P)/
角 [かど] /(n) (1) corner (e.g. desk, pavement)/(2) edge/(P)/
角 [すみ] /(n,n-suf) corner/nook/recess/
角 [つの] /(n) horn/(P)/
角々しい [かどかどしい] /(adj-i) intractable/angular/
角がっこ [かくがっこ] /(n) square brackets/
角が立つ [かどがたつ] /(exp,v5t) to worsen (of a relationship)/to get stormy/
角くぎ [かくくぎ] /(n) square nail/square peg/
角す [かくす] /(v5s,vt) to compare (e.g. in a competition)/
角すい [かくすい] /(n) pyramid/
角に切る [かくにきる] /(exp,v5r) to cut into squares (cubes)/
角のある [かどのある] /(exp) angled/angular/
角の有る [かどのある] /(exp) angled/angular/
角ばった [かくばった] /(adj-f) angular/
角を矯めて牛を殺す [つのをためてうしをころす] /(exp,v5s) to throw the baby out with the bath water/to strain at a camel and swallow a gnat/to obsess over insignificant details and miss the larger point/
角を捨てる [かくをすてる] /(exp,v1) to sacrifice a bishop/
角を取る [かどをとる] /(exp,v5r) to round off the corners/
角を出す [つのをだす] /(exp,v5s) to get jealous/to grow horns/
角を生やす [つのをはやす] /(exp,v5s) to get jealous/to grow horns/
角ガッコ [かくガッコ] /(n) square brackets/
角印 [かくいん] /(n) square seal (companies, etc.)/
角隠し [つのかくし] /(n) bride's head-dress/
角運動量 [かくうんどうりょう] /(n) angular momentum (physics)/
角運動量保存の法則 [かくうんどうりょうほぞんのほうそく] /(n) law of conservation of angular momentum/
角化症 [かくかしょう] /(n) keratosis/
角加速度 [かくかそくど] /(n) angular acceleration/
角茄子 [つのなす] /(n) (uk) nipplefruit/apple of Sodom (Solanum mammosum)/titty fruit/cow's udder/
角界 [かくかい] /(n) the world of Sumo/(P)/
角界 [かっかい] /(n) the world of Sumo/
角貝 [つのがい] /(n) tusk shell/
角蛙 [つのがえる] /(n) horned frog/
角角しい [かどかどしい] /(adj-i) intractable/angular/
角括弧 [かくがっこ] /(n) square brackets/
角兜 [つのかぶと] /(n) spiked helmet/
角刈り [かくがり] /(n) crew cut/
角岩 [かくがん] /(n) (obsc) chert/
角牛 [かくぎゅう] /(n) bullfight/
角距 [かっきょ] /(n) angular distance/
角距離 [かくきょり] /(n) angular distance/
角形 [かくがた] /(n) square shape/oblong/rectangle/
角形 [かくけい] /(n) (1) (N)-cornered polygon, incl. triangle/(2) Japanese rectangular envelope (opening on the short dimension; numbered 0-8, A3, A4, each with different sizes)/
角形 [かっけい] /(n) (1) (N)-cornered polygon, incl. triangle/(2) Japanese rectangular envelope (opening on the short dimension; numbered 0-8, A3, A4, each with different sizes)/
角行 [かくぎょう] /(n) bishop (shogi)/
角行 [かっこう] /(n) bishop (shogi)/
角行灯 [かくあんどん] /(n) square paper lantern/
角叉 [つのまた] /(n) red algae/
角砂糖 [かくざとう] /(n) cube sugar/
角砂糖ばさみ [かくさとうばさみ] /(n) sugar tongs/
角座標 [かくざひょう] /(n) (math) angular coordinate(s)/
角細工 [つのざいく] /(n) horn carving/
角材 [かくざい] /(n) squared timber/
角鮫 [つのざめ] /(n) (uk) dogfish (any shark of family Squalidae)/
角字 [かくじ] /(n) type of lettering consisting of thick vertical and horizontal lines which is often used in seals/
角質 [かくしつ] /(n,adj-no) keratin/
角質層 [かくしつそう] /(n) horny layer/
角質肥厚 [かくしつひこう] /(n) skin thickening/
角煮 [かくに] /(n) stew made with cubed (possibly rectangular) pieces of meat or fish/
角取り [かくとり] /(n) capturing a bishop/
角周波数 [かくしゅうはすう] /(n) angular frequency/
角宿 [すぼし] /(n) Chinese "horn" constellation (one of the 28 mansions)/
角出 [つのだし] /(n) (uk) moorish idol (Zanclus cornutus, species of Indo-Pacific perciform fish)/
角書き [つのがき] /(n) two-line subtitle/
角状 [かくじょう] /(adj-no) horned/horn-shaped/hornlike/corneous/corniculate/
角榛 [つのはしばみ] /(n) (uk) Japanese hazel (Corylus sieboldiana)/
角錐 [かくすい] /(n) pyramid/
角錐台 [かくすいだい] /(n) truncated pyramid/
角切り [かくぎり] /(n) cut into cubes/
角蝉 [つのぜみ] /(n) (uk) treehopper (any insect of family Membracidae, esp. the species Orthobelus flavipes)/
角閃石 [かくせんせき] /(n) amphibole/
角藻 [つのも] /(n) (uk) dinoflagellate of genus Ceratium/
角測量 [かくそくりょう] /(n) angle measurement/
角速度 [かくそくど] /(n) angular velocity/
角袖 [かくそで] /(n) square sleeves/
角打 [かくうち] /(n) combined liquor store and bar/combined off-license and pub (licence)/
角帯 [かくおび] /(n) man's stiff sash/
角苔 [つのごけ] /(n) (uk) hornwort/
角苔類 [つのごけるい] /(n) hornworts (non-vascular plants of order Anthocerotopsida)/
角樽 [つのだる] /(n) two-handled keg/
角地 [かどち] /(n) corner lot/
角逐 [かくちく] /(n,vs) competition/vieing with/
角柱 [かくちゅう] /(n) (1) prism/(2) polygonal (esp. square) pillar/
角柱 [かくばしら] /(n) (1) polygonal (esp. square) pillar/(2) bamboo/
角張った [かくばった] /(adj-f) angular/
角張った顔 [かくばったかお] /(n) squarish face/
角張る [かどばる] /(v5r,vi) to be angular/to be overly ceremonious/
角通 [かくつう] /(n) sumo expert/
角釘 [かくくぎ] /(n) square nail/square peg/
角笛 [つのぶえ] /(n) horn/hunting horn/
角店 [かどみせ] /(n) corner store/
角度 [かくど] /(n,adj-no) angle/(P)/
角度ゲージ [かくどゲージ] /(n) angle gauge/
角灯 [かくとう] /(n) square hand-lantern/
角突き合い [つのつきあい] /(n) constant quarreling/constant quarrelling/bickering/wrangling/
角突合い [つのつきあい] /(n) constant quarreling/constant quarrelling/bickering/wrangling/
角髪 [つのがみ] /(n) hairstyle with buns on each side of the head/
角髪 [みずら] /(n) hairstyle with buns on each side of the head/
角番 [かどばん] /(n) (1) make-or-break game in a go or shogi tournament/(2) ozeki-ranked sumo wrestler being in danger of losing his rank if he fails to win 8 or more bouts in a 15-day tournament/
角番大関 [かどばんおおぜき] /(n) ozeki-ranked sumo wrester in danger of losing his rank/
角皮 [かくひ] /(n) cuticle/
角俵 [かどだわら] /(n) bales forming the outer rim of the sumo ring/
角氷 [かくごおり] /(n) ice cube/
角瓶 [かくびん] /(n) rectangular bottle/
角部屋 [かどべや] /(n) corner room/
角分散 [かくぶんさん] /(n) angular dispersion/
角偏 [つのへん] /(n) kanji "horn" radical at left/
角帽 [かくぼう] /(n) (1) mortarboard/trencher/(2) (square) academic cap formerly word by Japanese university students/
角盆 [かくぼん] /(n) square tray/
角膜 [かくまく] /(n,adj-no) cornea/(P)/
角膜ヘルペス [かくまくヘルペス] /(n) herpetic keratitis/
角膜移植 [かくまくいしょく] /(n) corneal transplant/
角膜炎 [かくまくえん] /(n) inflammation of the cornea/
角膜乾燥症 [かくまくかんそうしょう] /(n) corneal xerosis/
角膜銀行 [かくまくぎんこう] /(n) eye bank/
角膜反射 [かくまくはんしゃ] /(n) corneal reflex/
角目鳥 [つのめどり] /(n) (uk) horned puffin (Fratercula corniculata)/
角目立つ [つのめだつ] /(v5t,vi) to be sharp/to be rough/
角落ち [かくおち] /(n) shogi game with the superior player playing without the kaku/
角立つ [かどだつ] /(v5t) to be sharp/to be rough/
角立てる [かどだてる] /(v1,vt) to be sharp/to be pointed/
角竜 [つのりゅう] /(n) ceratopsian (any quadrupedal herbiverous dinosaur of infraorder Ceratopsia)/
角力 [かくりょく] /(n) (1) comparison or contest of strength/(2) sumo/
角力 [すもう] /(n) (1) sumo wrestling/(2) (abbr) sumo wrestler/rikishi/
角蜥蜴 [つのとかげ] /(n) (uk) horned lizard/horned toad/
角鰈 [つのがれい] /(n) (uk) Alaska plaice (Pleuronectes quadrituberculatus)/
角鴟 [みみずく] /(n) (uk) horned owl/
赫々 [かくかく] /(adj-t,adv-to) brilliant/bright/glorious/
赫々 [かっかく] /(adj-t,adv-to) brilliant/bright/glorious/
赫う [かがよう] /(v5u,vi) (arch) to shimmer/to sparkle/
赫かしい [かがやかしい] /(adj-i) brilliant/glorious/glittering/bright/splendid (e.g. achievement, success)/promising (e.g. future)/
赫く [かがやく] /(v5k) to shine/to glitter/to sparkle/
赫赫 [かくかく] /(adj-t,adv-to) brilliant/bright/glorious/
赫赫 [かっかく] /(adj-t,adv-to) brilliant/bright/glorious/
赫然 [かくぜん] /(adv-to,adj-t) (1) (arch) violent and angry/(2) shining/glittering/sparkling/
赫怒 [かくど] /(n,vs) greatly enraged/furious/
赫奕 [かくえき] /(adj-t,adv-to) (arch) bright/beaming/brilliant/glowing/
赫奕 [かくやく] /(adj-t,adv-to) (arch) bright/beaming/brilliant/glowing/
較べ [くらべ] /(n,n-suf) (uk) contest/comparison/competition/
較べる [くらべる] /(v1,vt) (1) to compare/to make a comparison/(2) to compete/to vie/
較差 [かくさ] /(n,adj-no) range/
較正 [こうせい] /(n,vs) (1) calibration/
較優位論 [かくゆういろん] /(n) theory of comparative advantage/
較量 [こうりょう] /(n) (obsc) comparison/
郭 [かく] /(n) (1) district/quarter/(2) enclosure/area enclosed by earthwork/(3) red-light district/
郭 [くるわ] /(n) (1) district/quarter/(2) enclosure/area enclosed by earthwork/(3) red-light district/
郭言葉 [くるわことば] /(n) (arch) language used in red-light districts during the Edo period/vulgar words used by prostitutes from the Edo period/
郭公 [かっこう] /(n) (uk) common cuckoo (Cuculus canorus)/
郭公 [ほととぎす] /(n) (uk) lesser cuckoo (Cuculus poliocephalus)/
郭清 [かくせい] /(n,vs) purification/cleaning up/purging/
閣員 [かくいん] /(n) Cabinet Minister/
閣下 [かっか] /(n,n-suf) (hon) your Excellency/his (or her) Excellency/(P)/
閣外 [かくがい] /(n,adj-no) outside the Cabinet/
閣外相 [かくがいしょう] /(n) minister outside the cabinet/junior minister/
閣議 [かくぎ] /(n) cabinet meeting/(P)/
閣議決定 [かくぎけってい] /(n) cabinet decision/
閣内 [かくない] /(n,adj-no) (inside the) Cabinet/(P)/
閣内相 [かくないしょう] /(n) Cabinet ministers/
閣僚 [かくりょう] /(n) cabinet ministers/(P)/
閣僚レベル [かくりょうレベル] /(n) cabinet-level/
閣僚会議 [かくりょうかいぎ] /(n) cabinet meeting/meeting of ministers/
隔 [かく] /(pref) every other/second/alternate/
隔たり [へだたり] /(n) distance/interval/gap/difference/estrangement/(P)/
隔たる [へだたる] /(v5r,vi) to be distant/(P)/
隔て [へだて] /(n) partition/distinction/(P)/
隔てる [へだてる] /(v1,vt) to be shut out/to separate/to isolate/(P)/
隔意 [かくい] /(n) reserved/with reservations/
隔靴掻痒 [かっかそうよう] /(n) being frustrated because something is not quite as hoped (just as one cannot scratch an itch from outside a shoe)/having an itch that one cannot scratch/
隔月 [かくげつ] /(n,adj-no) every second month/every other month/(P)/
隔月刊 [かくげつかん] /(n) published bimonthly/
隔週 [かくしゅう] /(n-adv,n-t) every other week/(P)/
隔世 [かくせい] /(n) previous age/
隔世の感が有る [かくせいのかんがある] /(exp) to be poles apart/
隔世遺伝 [かくせいいでん] /(n,adj-no) atavism/
隔絶 [かくぜつ] /(n,vs) isolation/separation/
隔日 [かくじつ] /(n-adv,n-t) every other day/
隔年 [かくねん] /(n-adv,n-t) biannually/every second year/every other year/
隔壁 [かくへき] /(n,adj-no) barrier wall/
隔膜 [かくまく] /(n) partition/diaphragm/
隔膜法 [かくまくほう] /(n) diaphragm process/
隔離 [かくり] /(n,vs,adj-no) isolation/segregation/separation/quarantine/(P)/
隔離説 [かくりせつ] /(n) isolation theory/
隔離病舎 [かくりびょうしゃ] /(n) isolation ward/
隔離病棟 [かくりびょうとう] /(n) isolation ward/
隔離命令 [かくりめいれい] /(n) isolation order/
革 [かわ] /(n) leather/(P)/
革 [つくりかわ] /(n) (1) leather/tanned animal hide/(2) kanji "leather" radical (radical 177)/
革 [つくりがわ] /(n) (1) kanji "leather" radical (radical 177)/
革まる [あらたまる] /(v5r,vi) (1) to be renewed/(2) to stand on ceremony/to be formal/(3) to take a turn for the worse/
革める [あらためる] /(v1,vt) (1) to change/to alter/to revise/to replace/(2) to reform/to correct/to mend/to improve/(3) to do properly/to do formally/
革ジャン [かわジャン] /(n) (sl) leather jacket/
革運 [かくうん] /(n) fifth year of the sexagenary cycle (in onmyou-dou)/
革亀 [おさがめ] /(n) (uk) leatherback turtle (Dermochelys coriacea)/
革亀 [かわがめ] /(n) (uk) leatherback turtle (Dermochelys coriacea)/
革具 [かわぐ] /(n) leather goods/
革靴 [かわぐつ] /(n) leather shoes/(P)/
革工場 [かわこうば] /(n) tannery/
革細工 [かわざいく] /(n) leathercraft/
革細工師 [かわざいくし] /(n) leatherworker/leathercrafter/
革質 [かくしつ] /(n,adj-no) coriaceous/leathery/
革手袋 [かわてぶくろ] /(n) leather gloves/
革新 [かくしん] /(n,vs) reform/innovation/(P)/
革新系 [かくしんけい] /(n) liberal/
革新主義 [かくしんしゅぎ] /(n,adj-no) progressivism/
革新政党 [かくしんせいとう] /(n) progressive or reformist political party/
革新的 [かくしんてき] /(adj-na) (1) innovative/(2) liberal/reformist/
革新派 [かくしんは] /(n) reformist group/
革製 [かわせい] /(n,adj-no) leather/leather-bound/leathern/
革製バッグ [かわせいバッグ] /(n) leather bag/leather handbag/
革製品 [かわせいひん] /(n) leather goods (products)/
革装 [かわそう] /(n,adj-no) leather-bound/leather binding/
革帯 [かわおび] /(n) leather belt/
革袋 [かわぶくろ] /(n) leather bag/
革張り [かわばり] /(n) leather-covered/
革綴 [かわとじ] /(n) leather covering or binding/
革綴じ [かわとじ] /(n) leather covering or binding/
革砥 [かわと] /(n) leather strop/
革紐 [かわひも] /(n) leather strap/thong/leash/
革表紙 [かわびょうし] /(n) leather cover/leather binding/
革偏 [かわへん] /(n) kanji "leather" radical (radical 177)/
革命 [かくめい] /(n,adj-no) (1) revolution/(2) 58th year of the sexagenary cycle (in onmyou-dou)/(P)/
革命運動 [かくめいうんどう] /(n) revolutionary movement/
革命家 [かくめいか] /(n) revolutionary/
革命歌 [かくめいか] /(n) revolutionary song/
革命軍 [かくめいぐん] /(n) revolutionary army/
革命児 [かくめいじ] /(n) man of revolutionary temperament/
革命政府 [かくめいせいふ] /(n) revolutionary government/
革命的 [かくめいてき] /(adj-na) revolutionary (e.g. technology)/
革命派 [かくめいは] /(n) revolutionaries/
革命評議会 [かくめいひょうぎかい] /(n) revolutionary council/
革令 [かくれい] /(n) first year of the sexagenary cycle (in onmyou-dou)/
革籠 [かわご] /(n) baskets wrapped in paper, bark or skin/
学 [がく] /(n) learning/scholarship/erudition/knowledge/(P)/
学がある [がくがある] /(exp,v5r-i) to have learning/to be educated/
学が有る [がくがある] /(exp,v5r-i) to have learning/to be educated/
学のある [がくのある] /(exp,adj-f) educated/learned/schooled/
学の独立 [がくのどくりつ] /(n) freedom of learning/
学の有る [がくのある] /(exp,adj-f) educated/learned/schooled/
学び [まなび] /(n) learning/study/
学びの園 [まなびのその] /(n) educational institution/
学びの庭 [まなびのにわ] /(n) school/
学び舎 [まなびや] /(n) school/school building/schoolhouse/
学び取る [まなびとる] /(v5r) to collect information/to gather knowledge/
学び直す [まなびなおす] /(v5s,vt) to relearn/to brush up/
学ぶ [まなぶ] /(v5b) to study (in depth)/to learn/to take lessons in/(P)/
学らん [がくらん] /(n) (uk) (sl) type of Japanese school uniform for boys often stand-up collar with long jacket and loose trousers/
学を窮める [がくをきわめる] /(exp,v1) to study exhaustively/
学を修める [がくをおさめる] /(exp,v1) to pursue knowledge (one's studies)/
学ラン [がくラン] /(n) (uk) (sl) type of Japanese school uniform for boys often stand-up collar with long jacket and loose trousers/
学位 [がくい] /(n) (university) degree/(P)/
学位を授ける [がくいをさずける] /(exp,v1) to award a degree/
学位記 [がくいき] /(n) diploma/testamur/graduation certificate/
学位論文 [がくいろんぶん] /(n) thesis/dissertation/
学院 [がくいん] /(n) institute/academy/(P)/
学園 [がくえん] /(n,adj-no) academy/campus/(P)/
学園祭 [がくえんさい] /(n) school festival/campus festival/
学園長 [がくえんちょう] /(n) headmaster/principal/dean/provost/rector/
学園都市 [がくえんとし] /(n) university town/college town/
学園紛争 [がくえんふんそう] /(n) campus dispute/campus strife/
学科 [がっか] /(n) study subject/course of study/(P)/
学科試験 [がっかしけん] /(n) examinations in academic subjects/
学課 [がっか] /(n) lesson/school work/
学会 [がっかい] /(n) scientific society/academic meeting/academic conference/(P)/
学会誌 [がっかいし] /(n) academic journal/(P)/
学界 [がっかい] /(n) academic or scientific world/(P)/
学外 [がくがい] /(n) outside the school/extramural/
学割 [がくわり] /(n,adj-no) (abbr) student discount/(P)/
学割り [がくわり] /(n,adj-no) (abbr) student discount/(P)/
学活 [がっかつ] /(n) (abbr) class activities/homeroom activities/
学監 [がっかん] /(n) dean/
学期 [がっき] /(n,adj-no) school term/semester/(P)/
学期末 [がっきまつ] /(n) end of term/end of semester/
学究 [がっきゅう] /(n) scholar/student/(P)/
学究的 [がっきゅうてき] /(adj-na) scholastic/academic/
学級 [がっきゅう] /(n,adj-no) (school) class/(P)/
学級委員 [がっきゅういいん] /(n) class representative/
学級委員長 [がっきゅういいんちょう] /(n) class president/head class representative/
学級活動 [がっきゅうかつどう] /(n) class activities/homeroom activities/
学級閉鎖 [がっきゅうへいさ] /(n) temporary closing of classes/
学級崩壊 [がっきゅうほうかい] /(n) class disruption (e.g. due to discipline problems)/classroom chaos/
学協会 [がくきょうかい] /(n) study society/
学業 [がくぎょう] /(n) studies/schoolwork/classwork/(P)/
学業成績 [がくぎょうせいせき] /(n) school record/scholastic performance/
学業不振 [がくぎょうふしん] /(n) poor academic performance/underachievement/
学区 [がっく] /(n) school district (area)/(P)/
学兄 [がっけい] /(n) my learned friend/
学芸 [がくげい] /(n) arts and sciences/liberal arts/(P)/
学芸員 [がくげいいん] /(n) curator (e.g. museum)/
学芸会 [がくげいかい] /(n) school arts festival/
学芸大学 [がくげいだいがく] /(n) liberal arts college/teachers' college/
学研 [がっけん] /(n) study and research/scholarship and research/
学校 [がっこう] /(n) school/(P)/
学校が引けてから [がっこうがひけてから] /(exp) after school/
学校の物 [がっこうのもの] /(n) school property/
学校へ通う [がっこうへかよう] /(exp,v5u) to attend school/
学校医 [がっこうい] /(n) school physician/
学校給食 [がっこうきゅうしょく] /(n) school lunch/
学校教育 [がっこうきょういく] /(n) school or formal education/
学校教育法 [がっこうきょういくほう] /(n) School Education Law/
学校群制度 [がっこうぐんせいど] /(n) school grouping system/
学校行事 [がっこうぎょうじ] /(n) school event/
学校債券 [がっこうさいけん] /(n) school bond or debenture/
学校祭 [がっこうさい] /(n) school festival/
学校新聞 [がっこうしんぶん] /(n) school paper/
学校図書館 [がっこうとしょかん] /(n) school library/
学校生活 [がっこうせいかつ] /(n) school life/
学校文法 [がっこうぶんぽう] /(n) school grammar (esp. middle school grammar)/
学校保健 [がっこうほけん] /(n) school health/
学校法人 [がっこうほうじん] /(n) (legally) incorporated educational institution/(P)/
学校名 [がっこうめい] /(n) school's name/(P)/
学校用品 [がっこうようひん] /(n) school requisites (supplies)/
学債 [がくさい] /(n) (abbr) school bond or debenture/
学才 [がくさい] /(n) academic ability/
学祭 [がくさい] /(n) school festival/
学際 [がくさい] /(n,adj-no) interdisciplinary/(P)/
学際的 [がくさいてき] /(adj-na) interdisciplinary/
学際領域 [がくさいりょういき] /(n) inter-disciplinary area (academic)/
学参 [がくさん] /(n) study reference/study-aid book/
学士 [がくし] /(n) university graduate/(P)/
学士院 [がくしいん] /(n) Japan Academy/
学士院賞 [がくしいんしょう] /(n) Japan Academy award/
学士号 [がくしごう] /(n) baccalaureate/bachelor's degree/
学士入学 [がくしにゅうがく] /(n) admission of university graduates to an undergraduate program/
学資 [がくし] /(n) school expenses/education fund/
学資保険 [がくしほけん] /(n) educational endowment insurance/
学事 [がくじ] /(n) educational affairs/
学識 [がくしき] /(n) scholarship/scientific attainments/(P)/
学識経験者 [がくしきけいけんしゃ] /(n) person of learning and experience/
学舎 [がくしゃ] /(n) school (building)/
学舎 [まなびや] /(n) school (building)/
学者 [がくしゃ] /(n,adj-no) scholar/(P)/
学者振る [がくしゃぶる] /(exp,v5r) to be pedantic/to assume the air of a scholar/
学者馬鹿 [がくしゃばか] /(n) scholar who knows but little of the ways of the world/
学者肌 [がくしゃはだ] /(n) scholarly bent of mind/
学者貧乏 [がくしゃびんぼう] /(exp) good scholars are seldom rich/
学者膚 [がくしゃはだ] /(n) scholarly bent of mind/
学修 [がくしゅう] /(n,vs) study/learning/
学習 [がくしゅう] /(n,vs) study/learning/tutorial/(P)/
学習プログラム [がくしゅうプログラム] /(n) (comp) learning program/on-screen tutorial/
学習リモコン [がくしゅうリモコン] /(n) universal remote/
学習机 [がくしゅうづくえ] /(n) writing desk/
学習機械 [がくしゅうきかい] /(n) (comp) learning machine/
学習機能 [がくしゅうきのう] /(n) (comp) learning function/
学習困難 [がくしゅうこんなん] /(n,adj-no) learning disability/learning disabled/
学習困難児 [がくしゅうこんなんじ] /(n) learning disabled child/
学習参考書 [がくしゅうさんこうしょ] /(n) study reference/study-aid book/
学習指導 [がくしゅうしどう] /(n) educational guidance/
学習指導要領 [がくしゅうしどうようりょう] /(n) government course (curriculum) guidelines/(P)/
学習辞典 [がくしゅうじてん] /(n) learner's dictionary/
学習者 [がくしゅうしゃ] /(n) scholar/student/
学習塾 [がくしゅうじゅく] /(n) private night-school/tutoring school (math, English, etc.)/
学習障害 [がくしゅうしょうがい] /(n,adj-no) learning disability/
学習障害児 [がくしゅうしょうがいじ] /(n) learning disabled child/
学習能力 [がくしゅうのうりょく] /(n) learning ability/
学習法 [がくしゅうほう] /(exp) way of learning/way of studying/way of mastering/
学習用 [がくしゅうよう] /(n) tutorial/
学習用ヘルプ [がくしゅうようヘルプ] /(n) tutorial help/
学習理論 [がくしゅうりろん] /(n) learning theory/
学術 [がくじゅつ] /(n) science/learning/scholarship/(P)/
学術会議 [がくじゅつかいぎ] /(n) Japan Science Council/
学術研究 [がくじゅつけんきゅう] /(n) academic study/academic research/
学術雑誌 [がくじゅつざっし] /(n) learned (scientific) journal/
学術誌 [がくじゅつし] /(n) academic journal/learned journal/
学術団体 [がくじゅつだんたい] /(n) academic society/learned body (society)/
学術用語 [がくじゅつようご] /(n) technical term/
学術論文 [がくじゅつろんぶん] /(n) treatise/monograph/study/paper (scientific, technical)/
学匠 [がくしょう] /(n) (1) scholar/(2) person studying Buddhism/
学殖 [がくしょく] /(n) scholarship/learning/knowledge/
学食 [がくしょく] /(n) (abbr) school cafeteria/
学振 [がくしん] /(n) (abbr) Japan Society for the Promotion of Science/JSPS/
学制 [がくせい] /(n) educational or school system/
学生 [がくしょう] /(n) (1) (arch) Heian-period student of government administration/(2) (arch) Buddhist scholar/researcher at a Buddhist temple/person studying Buddhism/(3) (arch) learning/scholarship/
学生 [がくせい] /(n) student (esp. a university student)/(P)/
学生 [がくそう] /(n) (1) (arch) Heian-period student of government administration/(2) (arch) Buddhist scholar/researcher at a Buddhist temple/person studying Buddhism/(3) (arch) learning/scholarship/
学生運動 [がくせいうんどう] /(n) student movement/
学生横綱 [がくせいよこづな] /(n) university amateur sumo champion/
学生課 [がくせいか] /(n) student affairs office/
学生会 [がくせいかい] /(n) student council (details vary widely but a body of students that takes part in overseeing student behaviour or student activities)/
学生割引 [がくせいわりびき] /(n) student discount/
学生気質 [がくせいかたぎ] /(n) student temperament/students' way of thinking/
学生時代 [がくせいじだい] /(n) student days/
学生自治会 [がくせいじちかい] /(n) student body/student council/
学生証 [がくせいしょう] /(n) student card/
学生食堂 [がくせいしょくどう] /(n) school cafeteria/
学生生活 [がくせいせいかつ] /(n) student (college) life/
学生同士 [がくせいどうし] /(n) fellow students/
学生部長 [がくせいぶちょう] /(n) dean of students/
学生服 [がくせいふく] /(n) school uniform/
学生崩れ [がくせいくずれ] /(n) degenerate ex-student/
学生帽 [がくせいぼう] /(n) school cap/
学生寮 [がくせいりょう] /(n) student accommodation/student dormitory/
学籍 [がくせき] /(n) school register/
学籍簿 [がくせきぼ] /(n) school register/
学績 [がくせき] /(n) school record/achievement/
学説 [がくせつ] /(n) theory/(P)/
学僧 [がくそう] /(n) learned priest pursuing his studies/
学窓 [がくそう] /(n) school/
学則 [がくそく] /(n) school regulations/
学卒 [がくそつ] /(n) college graduate/(P)/
学長 [がくちょう] /(n) university president/(P)/
学徒 [がくと] /(n) student/follower/students and pupils/(P)/
学童 [がくどう] /(n) school child/pupil/(P)/
学童保育 [がくどうほいく] /(n) care of schoolchildren outside of school time/
学徳 [がくとく] /(n) learning and virtue/
学内 [がくない] /(n,adj-no) within the school/(P)/
学年 [がくねん] /(n) year in school/grade in school/(P)/
学年度 [がくねんど] /(exp) the school year/
学年末 [がくねんまつ] /(n) end of school year/
学派 [がくは] /(n) school/sect/
学閥 [がくばつ] /(n) alma mater clique/old school tie/
学閥意識 [がくばついしき] /(n) strong feelings of loyalty to one's old school/the old school tie/
学費 [がくひ] /(n) tuition/school expenses/(P)/
学費援助 [がくひえんじょ] /(n) student aid/tuition assistance/
学府 [がくふ] /(n) academic centre/academic center/
学部 [がくぶ] /(n,adj-no) (1) department of a university/(adj-f) (2) undergraduate (course, program, etc.)/(P)/
学部学生 [がくぶがくせい] /(n) undergraduate student/undergraduate/
学部生 [がくぶせい] /(n) undergraduate/
学部長 [がくぶちょう] /(n) dean/
学風 [がくふう] /(n) academic traditions/academic school of thought/method of study/
学報 [がくほう] /(n) academic bulletin/school gazette/
学帽 [がくぼう] /(n) school cap/
学僕 [がくぼく] /(n) working student/
学務 [がくむ] /(n) school affairs/
学務課 [がくむか] /(n) school affairs division/
学名 [がくめい] /(n) technical name (often the internationally accepted Latin, scientific, or Linnaean name of plants and animals)/
学問 [がくもん] /(n,vs) scholarship/study/learning/(P)/
学問に王道なし [がくもんにおうどうなし] /(exp) there are no shortcuts in learning/
学問の奨め [がくもんのすすめ] /(n) encouragement of learning/
学問の徒 [がくもんのと] /(n) scholar/student/
学問所 [がくもんじょ] /(n) place of study/school/
学問的 [がくもんてき] /(adj-na) scholarly/
学友 [がくゆう] /(n) school friend/(P)/
学友会 [がくゆうかい] /(n) students' association/alumni association/
学用品 [がくようひん] /(n) school supplies/
学理 [がくり] /(n) scholarly principle/scientific principle/
学寮 [がくりょう] /(n) student hostel/dormitory (e.g. for factory workers)/
学力 [がくりょく] /(n) scholarship/knowledge/literary ability/(P)/
学齢 [がくれい] /(n) school age/(P)/
学齢児童 [がくれいじどう] /(n) children of school age/
学歴 [がくれき] /(n) academic background/(P)/
学歴による差別 [がくれきによるさべつ] /(n) discrimination on the basis of educational level (background)/
学歴詐称 [がくれきさしょう] /(n) false statement (misrepresentation) of one's academic career/
学歴社会 [がくれきしゃかい] /(n) society emphasizing education/
学歴難民 [がくれきなんみん] /(n) someone with a high level of education who is unable to find a job corresponding with his qualifications (lit: educational refugee)/
学歴偏重 [がくれきへんちょう] /(n) overstressing academic background/
岳 [たけ] /(n,suf) (1) peak/(2) mountain/(P)/
岳烏 [たけがらす] /(n) (uk) (obsc) spotted nutcracker (Nucifraga caryocatactes)/
岳烏 [だけがらす] /(n) (uk) (obsc) spotted nutcracker (Nucifraga caryocatactes)/
岳樺 [だけかんば] /(n) (uk) Erman's birch (Betula ermanii)/Russian rock birch/
岳人 [がくじん] /(n) alpinist/mountaineer/
岳父 [がくふ] /(n) (man's) father-in-law/father of one's wife/
岳友会 [がくゆうかい] /(n) mountaineering club/
岳麓 [がくろく] /(n) foot of Mt Fuji/
岳鴉 [たけがらす] /(n) (uk) (obsc) spotted nutcracker (Nucifraga caryocatactes)/
岳鴉 [だけがらす] /(n) (uk) (obsc) spotted nutcracker (Nucifraga caryocatactes)/
楽 [らく] /(adj-na,n,n-suf) comfort/ease/(P)/
楽々 [らくらく] /(adv,adv-to) comfortably/easily/
楽しい [たのしい] /(adj-i) enjoyable/fun/(P)/
楽しい思い出 [たのしいおもいで] /(n) happy (sweet) memory/
楽しげ [たのしげ] /(adj-na) happy/cheerful/pleasant/
楽しみ [たのしみ] /(adj-na,n) (1) enjoyment/pleasure/diversion/amusement/hobby/(2) anticipation/looking forward to/(P)/
楽しみにする [たのしみにする] /(exp,vs-i) to look forward to something/
楽しみに待つ [たのしみにまつ] /(exp,v5t) to wait expectantly/to await in anticipation/
楽しむ [たのしむ] /(v5m) to enjoy (oneself)/(P)/
楽しめる [たのしめる] /(v1) to be able to enjoy/
楽ちん [らくちん] /(adj-na) (1) pleasant/(2) easy-going/easy life/
楽に暮らす [らくにくらす] /(exp,v5s) to live in comfort/
楽は苦の種苦は楽の種 [らくはくのたねくはらくのたね] /(exp) one cannot have pain without pleasure, and one cannot have pleasure without pain/
楽む [たのしむ] /(io) (v5m) to enjoy (oneself)/
楽員 [がくいん] /(n) bandsman/
楽隠居 [らくいんきょ] /(n,vs) comfortable retirement/
楽園 [らくえん] /(n) pleasure garden/paradise/(P)/
楽屋 [がくや] /(n) dressing room/green room/backstage/(P)/
楽屋口 [がくやぐち] /(n) stage door/
楽屋落ち [がくやおち] /(n) (1) shoptalk/matters incomprehensible to outsiders/(2) inside joke/private joke/
楽屋裏 [がくやうら] /(n) (1) dressing room/green room/backstage/(2) inside story/confidential talk/hidden circumstances/
楽屋話 [がくやばなし] /(n) inside story/confidential talk/
楽音 [がくおん] /(n) musical note/
楽界 [がっかい] /(n) musical world/
楽楽 [らくらく] /(adv,adv-to) comfortably/easily/
楽観 [らっかん] /(n,vs) optimism/(P)/
楽観主義 [らっかんしゅぎ] /(n,adj-no) optimism/
楽観的 [らっかんてき] /(adj-na) optimistic/hopeful/(P)/
楽観論 [らっかんろん] /(n) optimism/
楽器 [がっき] /(n,adj-no) musical instrument/(P)/
楽器演奏者 [がっきえんそうしゃ] /(n) (musical) instrumentalist/
楽器店 [がっきてん] /(n) store selling musical instruments/
楽曲 [がっきょく] /(n) musical composition/tune/(P)/
楽句 [がっく] /(n) (musical) phrase/
楽劇 [がくげき] /(n) musical play/opera/
楽語 [がくご] /(n) words used to describe tempo, dynamics, etc. in music/musical terminology/
楽座 [らくざ] /(n) (1) (abbr) free markets and open guilds/(2) way of sitting on the ground with the sole of both feet pressed together/
楽才 [がくさい] /(n) talent for music/
楽士 [がくし] /(n) musician/bandsman/
楽市楽座 [らくいちらくざ] /(n) free markets and open guilds (policy enacted by daimyo in the Azuchimomoyama Period (1573-1598) that weakened the strict regulations surrounding business establishment in market places and important cities, allowing new businesses to open in Joka-machi market places)/
楽師 [がくし] /(n) master musician/
楽車 [だんじり] /(n) (uk) (in Kansai) decorative portable shrine/float used in festivals/
楽車 [だんぢり] /(n) (uk) (in Kansai) decorative portable shrine/float used in festivals/
楽書 [らくがき] /(n,vs) scrawl/scribble/graffiti/
楽書き [らくがき] /(n,vs) scrawl/scribble/graffiti/
楽勝 [らくしょう] /(n,vs,adj-no) easy victory/
楽匠 [がくしょう] /(n) celebrated musician/
楽焼き [らくやき] /(n) hand-moulded pottery/hand-molded pottery/raku pottery/
楽章 [がくしょう] /(n) (musical) movement/(P)/
楽寝 [らくね] /(n,vs) comfortable rest or sleep/
楽人 [がくじん] /(n) musician (esp. Gagaku)/
楽聖 [がくせい] /(n) celebrated musician/
楽節 [がくせつ] /(n) musical passage or section/
楽想 [がくそう] /(n) melodic subject/theme/motif/
楽隊 [がくたい] /(n) band/orchestra/(P)/
楽団 [がくだん] /(n) orchestra/band/(P)/
楽団員 [がくだんいん] /(n) orchestra member/
楽壇 [がくだん] /(n) musical world/
楽調 [がくちょう] /(n) musical tone/
楽長 [がくちょう] /(n) bandmaster/conductor/
楽典 [がくてん] /(n) compositional rules/musical grammar/
楽天 [らくてん] /(n) optimism/
楽天家 [らくてんか] /(n) optimist/easy-going person/(P)/
楽天主義 [らくてんしゅぎ] /(n) optimism/
楽天主義者 [らくてんしゅぎしゃ] /(n) optimist/
楽天地 [らくてんち] /(n) paradise/
楽天的 [らくてんてき] /(adj-na,n) optimistic/(P)/
楽土 [らくど] /(n) paradise/
楽日 [らくじつ] /(n) last day of a sumo tournament/
楽譜 [がくふ] /(n) score (music)/(P)/
楽譜を読む [がくふをよむ] /(exp,v5m) to read music/to read a score/to read sheet music/
楽譜台 [がくふだい] /(n) music stand/
楽舞 [がくぶ] /(n) singing and dancing/song and dance/
楽部 [がくぶ] /(n) Music Department (part of the Board of Ceremonies of the Imperial Household Agency)/
楽友協会 [がくゆうきょうかい] /(n) philharmonic society/society of the friends of music/
楽有れば苦有り [らくあればくあり] /(exp) After pleasure comes pain/
楽律 [がくりつ] /(n) metre or rhythm in Chinese and Japanese traditional music/
楽箏 [がくそう] /(n) ancient type of koto with 13 strings used in Gagaku music/
楽筝 [がくそう] /(n) ancient type of koto with 13 strings used in Gagaku music/
額 [がく] /(n,n-suf) (1) picture (framed)/(2) amount or sum (of money)/(P)/
額 [ひたい] /(n) forehead/brow/(P)/
額が少ない [がくがすくない] /(exp,adj-i) insufficient (money, etc.)/
額ずく [ぬかずく] /(v5k) to kowtow (to bow from a kneeling position such that the forehead touches the ground)/to prostrate oneself/to give a deep, reverent bow/
額に汗を滲ませて [ひたいにあせをにじませて] /(exp) with a sweating brow/
額ぶち [がくぶち] /(n) frame (e.g. picture frame, decorative door frame, etc.)/
額烏帽子 [ひたいえぼし] /(n) black silk or paper triangle worn over the forehead (usu. worn by children)/
額縁 [がくぶち] /(n) frame (e.g. picture frame, decorative door frame, etc.)/(P)/
額縁舞台 [がくぶちぶたい] /(n) proscenium stage/
額角 [がっかく] /(n) rostrum (of a crustacean)/
額際 [ひたいぎわ] /(n) the hairline/
額紫陽花 [がくあじさい] /(n) (uk) Gaku hydrangea/Hydrangea macrophylla/
額衝く [ぬかずく] /(v5k) to kowtow (to bow from a kneeling position such that the forehead touches the ground)/to prostrate oneself/to give a deep, reverent bow/
額衝く [ぬかつく] /(ok) (v5k) to kowtow (to bow from a kneeling position such that the forehead touches the ground)/to prostrate oneself/to give a deep, reverent bow/
額突く [ぬかずく] /(v5k) to kowtow (to bow from a kneeling position such that the forehead touches the ground)/to prostrate oneself/to give a deep, reverent bow/
額突く [ぬかつく] /(ok) (v5k) to kowtow (to bow from a kneeling position such that the forehead touches the ground)/to prostrate oneself/to give a deep, reverent bow/
額突虫 [こめつきむし] /(n) (uk) click beetle/skipjack (beetle of family Elateridae)/
額突虫 [ぬかずきむし] /(n) (uk) click beetle/skipjack (beetle of family Elateridae)/
額突虫 [ぬかつきむし] /(n) (uk) click beetle/skipjack (beetle of family Elateridae)/
額髪 [ぬかがみ] /(n) forelock/hair on top of the head/
額髪 [ひたいがみ] /(n) forelock/hair on top of the head/
額付き [がぐつき] /(exp,adj-f) framed (picture, etc.)/
額付き [ひたいつき] /(n) shape of one's brow or forehead/
額面 [がくめん] /(n) face value/par/(P)/
額面価格 [がくめんかかく] /(n) face value/nominal value/par value/
額面割れ [がくめんわれ] /(n) drop below par/
額面株 [がくめんかぶ] /(n) par value stock/
額面超過額 [がくめんちょうかがく] /(n) premium/
顎 [あぎと] /(n) (1) (arch) chin/jaw/(2) (arch) gills/branchia/
顎 [あご] /(n,adj-no) chin/jaw/(P)/
顎がしゃくれる [あごがしゃくれる] /(exp,v1) to have a turned-up chin/
顎が干上がる [あごがひあがる] /(exp,v5r) to lose one's means of livelihood/to become unable to earn a living/
顎で使う [あごでつかう] /(exp,v5u) (1) to set somebody to work in an arrogant fashion/to push somebody around/to indicate by pointing one's chin/(2) (sl) to chatter/to jaw/to jabber/
顎のしゃくれた [あごのしゃくれた] /(exp) (person) with a turned-up chin/
顎ひげ [あごひげ] /(n) beard (esp. on the chin)/goatee/
顎下腺 [がっかせん] /(n) submandibular gland/submaxillary gland/
顎関節 [がくかんせつ] /(n) jaw joint/
顎脚 [がっきゃく] /(n) maxilliped/gnathopod/
顎骨 [あごぼね] /(n) jawbone/
顎骨 [がっこつ] /(n) jawbone/
顎沙魚 [あごはぜ] /(n) (uk) forktongue goby (Chaenogobius annularis)/chestnut goby/
顎動脈 [がくどうみゃく] /(n) maxillary artery/
顎髭 [あごひげ] /(n) beard (esp. on the chin)/goatee/
顎紐 [あごひも] /(n) chin strap/
顎門 [あぎと] /(n) (1) (arch) chin/jaw/(2) (arch) gills/branchia/
顎鬚 [あごひげ] /(n) beard (esp. on the chin)/goatee/
顎鬚海豹 [あごひげあざらし] /(n) (uk) bearded seal (Erignathus barbatus)/
顎鯊 [あごはぜ] /(n) (uk) forktongue goby (Chaenogobius annularis)/chestnut goby/
掛 [かけ] /(n) (1) (abbr) credit/(2) money owed on an account/bill/(3) (abbr) (uk) hot noodles in broth/(n,n-suf) (4) proportion (as tenths of a wholesale price)/(suf) (5) in the midst of/(6) rest/rack/hanger/
掛 [がけ] /(suf,adj-no) (1) -clad/(2) (uk) in the midst of/(3) tenths/(4) times (i.e. multiplied by)/(5) able-to-seat (of a chair, etc.)/
掛かり [かかり] /(n) expense/
掛かり [がかり] /(suf) taking a quantity (of time, people, etc.)/
掛かりきり [かかりきり] /(n) being devoted/spending all one's time and energy on/
掛かり合い [かかりあい] /(n) involvement/
掛かり合う [かかりあう] /(v5u) to have dealings with/to be involved in/
掛かり切り [かかりきり] /(n) being devoted/spending all one's time and energy on/
掛かり湯 [かかりゆ] /(n) fresh bathwater to pour over oneself/
掛かり付け [かかりつけ] /(adj-no) personal/family/
掛かり付けの医者 [かかりつけのいしゃ] /(n) family physician (doctor)/
掛かり負け [かかりまけ] /(exp) expenses being higher than profits/
掛かる [かかる] /(v5r,vi) (1) to take/(v5r) (2) to hang/(3) to come into view/to arrive/(4) to come under (a contract, a tax)/(5) to start (engines, motors)/(6) to attend/to deal with/to handle/(v5r,aux-v) (7) to have started to/to be on the verge of/(8) to overlap (e.g. information in a manual)/to cover/(9) to (come) at/(10) to be fastened/(11) to be covered (e.g. with dust, a table-cloth, etc.)/(12) to be caught in/(13) to get a call/(14) to depend on/(P)/
掛け [かけ] /(n) (1) (abbr) credit/(2) money owed on an account/bill/(3) (abbr) (uk) hot noodles in broth/(n,n-suf) (4) proportion (as tenths of a wholesale price)/(suf) (5) in the midst of/(6) rest/rack/hanger/(P)/
掛け [がけ] /(suf,adj-no) (1) -clad/(2) (uk) in the midst of/(3) tenths/(4) times (i.e. multiplied by)/(5) able-to-seat (of a chair, etc.)/
掛けうどん [かけうどん] /(n) udon noodles in broth (no trimmings)/
掛けなおす [かけなおす] /(v5s) to call again/to call someone back/
掛ける [かける] /(v1,vt) (1) to hang (e.g. picture)/to hoist (e.g. sail)/to raise (e.g. flag)/(2) to sit/(aux-v,v1) (3) to be partway (verb)/to begin (but not complete)/(4) to take (time, money)/to expend (money, time, etc.)/(5) to make (a call)/(6) to multiply/(7) to secure (e.g. lock)/(8) to put on (glasses, etc.)/(9) to cover/(10) to burden someone/(11) to apply (insurance)/(12) to turn on (an engine, etc.)/to set (a dial, an alarm clock, etc.)/(13) to put an effect (spell, anaesthetic, etc.) on/(14) to hold an emotion for (pity, hope, etc.)/(15) to bind/(16) to pour (or sprinkle, spray, etc.) onto/(17) to argue (in court)/to deliberate (in a meeting)/to present (e.g. idea to a conference, etc.)/(18) to increase further/(19) to catch (in a trap, etc.)/(20) to set atop/(21) to erect (a makeshift building)/(22) to hold (a play, festival, etc.)/(aux-v) (23) (after -masu stem of verb) indicates (verb) is being directed to (someone)/(P)/
掛け違う [かけちがう] /(v5u) to cross paths/to conflict/
掛け引き [かけひき] /(n) (1) bargaining/haggling/(2) tactics/strategy/
掛け蒲団 [かけぶとん] /(n) bed cover/coverlet/quilt/comforter/eiderdown/
掛け看板 [かけかんばん] /(n) hanging sign/
掛け技 [かけわざ] /(n) foot throwing techniques (sumo)/
掛け橋 [かけはし] /(n) (1) suspension bridge/viaduct/temporary bridge/(2) mediation/go-between/
掛け蕎麦 [かけそば] /(n) buckwheat noodles in hot broth/
掛け襟 [かけえり] /(n) protective collar on kimono or bed clothes/
掛け金 [かけがね] /(n) (1) latch/lock/sneck/(2) (arch) joint of the jaw/
掛け金 [かけきん] /(n) installment/instalment/premium/bill/(P)/
掛け構い [かけかまい] /(n) (1) (arch) involvement/relation/(2) (arch) anxiety/worries/concerns/troubles/
掛け合い [かけあい] /(n) (1) negotiations/bargaining/(2) dialogue/duet/
掛け合い漫才 [かけあいまんざい] /(n) rapid-fire comic dialogue/
掛け合う [かけあう] /(v5u,vi) to negotiate with/to talk over with/
掛け合せる [かけあわせる] /(v1) to negotiate/to multiply/to cross breed/
掛け合わす [かけあわす] /(v5s) to multiply/to cross breed/
掛け合わせる [かけあわせる] /(v1) to negotiate/to multiply/to cross breed/
掛け札 [かけふだ] /(n) sign/placard/
掛け算 [かけざん] /(n) multiplication/(P)/
掛け算器 [かけざんき] /(n) (math) multiplier (spoken)/
掛け紙 [かけがみ] /(n) wrapping paper/
掛け詞 [かけことば] /(n) pun/play on words/
掛け字 [かけじ] /(n) hanging scroll/
掛け持ち [かけもち] /(n,vs) holding two or more positions concurrently/
掛け持つ [かけもつ] /(v5t) to hold two or more positions concurrently/
掛け時計 [かけどけい] /(n) wall clock/
掛け軸 [かけじく] /(n) hanging scroll/
掛け捨て [かけすて] /(n) failing to honor (honour) an installment payment (instalment)/
掛け捨て [かけずて] /(n) failing to honor (honour) an installment payment (instalment)/
掛け取り [かけとり] /(n) bill collection or collector/
掛け汁 [かけじる] /(n) gravy/dressing/
掛け小屋 [かけごや] /(n) temporary theater/temporary theatre/lean-to/
掛け心地 [かけごこち] /(n) feel of a chair/
掛け図 [かけず] /(n) wall map or chart/
掛け声 [かけごえ] /(n,vs) yell used to time or encourage activity (e.g. "Heave ho!", "On three ... One, two, three!" in English)/enthusiastic shout from the audience (e.g. in kabuki)/shouting (in concerts)/(P)/
掛け声倒れ [かけごえだおれ] /(n) starting with vigor but ending with no action/raising one's voice (in a call to action) and then failing to take action/
掛け接 [かけはぎ] /(n) invisible mending (of clothes)/
掛け接ぎ [かけはぎ] /(n) invisible mending (of clothes)/
掛け替え [かけかえ] /(n) replacement/substitution/rebuilding/changing/
掛け替え [かけがえ] /(n) replacement/substitution/rebuilding/changing/
掛け替えのない [かけがえのない] /(adj-f) irreplaceable/
掛け替える [かけかえる] /(v1,vt) to replace/to substitute/
掛け値 [かけね] /(n) (1) inflated price (assigned in anticipation of being haggled down)/overcharging/(2) exaggeration/
掛け直す [かけなおす] /(v5s) to call again/to call someone back/
掛け釘 [かけくぎ] /(n) (obsc) peg/
掛け渡す [かけわたす] /(v5s,vt) to build (a bridge) over a river/
掛け倒れ [かけだおれ] /(n) loss on a credit sale/
掛け投げ [かけなげ] /(n) hooking inner thigh throw (sumo)/
掛け買い [かけがい] /(n,vs) credit purchase/
掛け売り [かけうり] /(n) selling on credit/
掛け売り代金 [かけうりだいきん] /(n) credit account/
掛け矧ぎ [かけはぎ] /(n) invisible mending (of clothes)/
掛け反り [かけぞり] /(n) hooking backwards body drop (sumo)/
掛け布 [かけふ] /(n) cloth covering/
掛け布団 [かけぶとん] /(n) bed cover/coverlet/quilt/comforter/eiderdown/
掛け物 [かけもの] /(n) (1) hanging scroll/(2) sugared sweets/(3) quilt/
掛け変え [かけかえ] /(n) replacement/substitution/rebuilding/changing/
掛け目 [かけめ] /(n) weight/
掛け矢 [かけや] /(n) mallet/
掛け離れる [かけはなれる] /(v1,vi) to be very far apart from/to be remote/to be quite different from/
掛け率 [かけりつ] /(n) ratio of wholesale price to retail price/
掛け流し [かけながし] /(n) free-flowing (hot spring, irrigation, etc.)/
掛け饂飩 [かけうどん] /(n) udon noodles in broth (no trimmings)/
掛の人 [かかりのひと] /(n) official in charge/person in charge/
掛りつけ [かかりつけ] /(adj-no) personal/family/
掛り切り [かかりきり] /(n) being devoted/spending all one's time and energy on/
掛り付け [かかりつけ] /(adj-no) personal/family/
掛り負け [かかりまけ] /(exp) expenses being higher than profits/
掛る [かかる] /(v5r,vi) (1) to take/(v5r) (2) to hang/(3) to come into view/to arrive/(4) to come under (a contract, a tax)/(5) to start (engines, motors)/(6) to attend/to deal with/to handle/(v5r,aux-v) (7) to have started to/to be on the verge of/(8) to overlap (e.g. information in a manual)/to cover/(9) to (come) at/(10) to be fastened/(11) to be covered (e.g. with dust, a table-cloth, etc.)/(12) to be caught in/(13) to get a call/(14) to depend on/
掛蒲団 [かけぶとん] /(n) bed cover/coverlet/quilt/comforter/eiderdown/
掛橋 [かけはし] /(n) (1) suspension bridge/viaduct/temporary bridge/(2) mediation/go-between/
掛金 [かけがね] /(n) (1) latch/lock/sneck/(2) (arch) joint of the jaw/
掛金 [かけきん] /(n) installment/instalment/premium/bill/
掛構い [かけかまい] /(n) (1) (arch) involvement/relation/(2) (arch) anxiety/worries/concerns/troubles/
掛行灯 [かけあんどん] /(n) paper lantern that can be hung outside of a house or store/
掛合い [かけあい] /(n) (1) negotiations/bargaining/(2) dialogue/duet/
掛合う [かけあう] /(v5u,vi) to negotiate with/to talk over with/
掛算 [かけざん] /(n) multiplication/
掛子 [かけご] /(n) nesting boxes/
掛詞 [かけことば] /(n) pun/play on words/
掛持ち [かけもち] /(n,vs) holding two or more positions concurrently/
掛時計 [かけどけい] /(n) wall clock/
掛軸 [かけじく] /(n) hanging scroll/(P)/
掛小屋 [かけごや] /(n) temporary theater/temporary theatre/lean-to/
掛図 [かけず] /(n) wall map or chart/
掛声 [かけごえ] /(n,vs) yell used to time or encourage activity (e.g. "Heave ho!", "On three ... One, two, three!" in English)/enthusiastic shout from the audience (e.g. in kabuki)/shouting (in concerts)/
掛接ぎ [かけはぎ] /(n) invisible mending (of clothes)/
掛値 [かけね] /(n) (1) inflated price (assigned in anticipation of being haggled down)/overcharging/(2) exaggeration/
掛茶屋 [かけぢゃや] /(n) (obs) roadside cafe with ample shade/beach-side cafe/simple, hut-like cafe/
掛長 [かかりちょう] /(n) chief clerk/
掛投げ [かけなげ] /(n) hooking inner thigh throw (sumo)/
掛買い [かけがい] /(n,vs) credit purchase/
掛売り [かけうり] /(n) selling on credit/
掛矧ぎ [かけはぎ] /(n) invisible mending (of clothes)/
掛布団 [かけぶとん] /(n) bed cover/coverlet/quilt/comforter/eiderdown/
掛物 [かけもの] /(n) (1) hanging scroll/(2) sugared sweets/(3) quilt/
掛目 [かけめ] /(n) weight/stitch/
掛羅 [から] /(n) (1) (arch) Zen monk's waistcoat (a short, informal kasaya)/(2) ring (usu. made of ivory) attached to this waistcoat/(3) netsuke/item attached to a netsuke/
掛絡 [から] /(n) (1) (arch) Zen monk's waistcoat (a short, informal kasaya)/(2) ring (usu. made of ivory) attached to this waistcoat/(3) netsuke/item attached to a netsuke/
掛落 [から] /(n) (1) (arch) Zen monk's waistcoat (a short, informal kasaya)/(2) ring (usu. made of ivory) attached to this waistcoat/(3) netsuke/item attached to a netsuke/
掛離れる [かけはなれる] /(v1,vi) to be very far apart from/to be remote/to be quite different from/
掛率 [かけりつ] /(n) ratio of wholesale price to retail price/
掛留 [けいりゅう] /(n) music suspension/
掛袱紗 [かけぶくさ] /(n) crape wrapper/
笠 [かさ] /(n) (1) conical hat (East-Asian style)/coolie hat/(2) something shaped like a conical hat/shade (of a lamp)/(P)/
笠にかかる [かさにかかる] /(iK) (exp,v5r) (uk) to be highhanded/to be arrogant/to be overbearing/
笠に懸かる [かさにかかる] /(iK) (exp,v5r) (uk) to be highhanded/to be arrogant/to be overbearing/
笠に着る [かさにきる] /(exp,v1) to wear the mantle of (borrowed) authority and misuse it/
笠の台が飛ぶ [かさのだいがとぶ] /(exp,v5b) to be fired/to be decapitated/
笠雲 [かさぐも] /(n) cap cloud (cloud shaped like an Asian bamboo hat that forms at the peak of a tall mountain)/
笠貝 [かさがい] /(n) (uk) limpet (esp. species Cellana mazatlandica)/
笠子 [かさご] /(n) (1) (uk) scorpionfish/(2) marbled rockfish (Sebastiscus marmoratus)/
笠木 [かさぎ] /(n) coping (architecture)/top rail/cap piece/head board/what covers the top of a wall, torii or gate, not necessarily made of wood/
樫 [かし] /(n) evergreen oak/
樫粉 [かしこ] /(n) oak flour (esp. as animal food)/acorn flour/
樫粉 [かしご] /(n) oak flour (esp. as animal food)/acorn flour/
橿 [かし] /(n) evergreen oak/
梶 [かじ] /(n) (uk) paper mulberry (Broussonetia papyrifera)/
梶 [かじ] /(n) rudder/helm/
梶の木 [かじのき] /(n) (uk) paper mulberry (Broussonetia papyrifera)/
梶棒 [かじぼう] /(n) (1) shafts (of rickshaws or similar vehicles)/thills/(2) tiller/yoke/
梶木 [かじき] /(n) (uk) marlin/swordfish/spearfish/sailfish/
梶木座 [かじきざ] /(iK) (n) (constellation) Dorado/Goldfish/Swordfish/
梶木鮪 [かじきまぐろ] /(n) marlin/
梶苺 [かじいちご] /(n) (uk) Rubus trifidus (species of raspberry)/
鰍 [かじか] /(n) (1) (uk) sculpin (any fish of family Cottidae, inc. the bullheads and the miller's-thumb)/(2) Japanese fluvial sculpin (Cottus pollux)/
潟 [かた] /(n) lagoon/(P)/
潟湖 [せきこ] /(n) lagoon/
割 [わり] /(n,n-suf) (1) rate/ratio/proportion/percentage/(2) profit/(3) assignment/(4) 10%/unit of ten percent/(5) sumo match/schedule of sumo matches/(n-suf) (6) diluted with (of drinks)/mixed with/(P)/
割かし [わりかし] /(adv) comparatively/quite/rather/
割く [さく] /(v5k,vt) (1) to cut up/to cleave/to cut open (esp. the abdomen)/(2) to spare (time, money, etc.)/to use part of something/(3) (arch) to have a tattoo in the corner of one's eye/(P)/
割ける [さける] /(v1) to be separated/to be divided/
割って入る [わってはいる] /(v5r) to force one's way through/
割と [わりと] /(adv) relatively/comparatively/
割に [わりに] /(adv) comparatively/in proportion/(P)/
割にあう [わりにあう] /(exp,v5u) to be worth it/to pay/
割に合う [わりにあう] /(exp,v5u) to be worth it/to pay/
割の良い [わりのいい] /(adj-i) paying/remunerative/advantageous/profitable/
割り [わり] /(n,n-suf) (1) rate/ratio/proportion/percentage/(2) profit/(3) assignment/(4) 10%/unit of ten percent/(5) sumo match/schedule of sumo matches/(n-suf) (6) diluted with (of drinks)/mixed with/(P)/
割りかし [わりかし] /(adv) comparatively/quite/rather/
割りかた [わりかた] /(adv) comparatively/quite/rather/
割りつぎ [わりつぎ] /(n) cleft grafting/crown grafting/
割りつける [わりつける] /(v1,vt) to allot/to distribute/to lay out/to divide among/to assign/
割りで払う [わりではらう] /(v5u) to split the account/
割りと [わりと] /(adv) relatively/comparatively/
割りに [わりに] /(adv) comparatively/in proportion/
割りに合う [わりにあう] /(exp,v5u) to be worth it/to pay/
割りの悪い [わりのわるい] /(exp) unprofitable/disadvantageous/not worth it/
割りばし [わりばし] /(n) splittable (wood) chopsticks/
割り安 [わりやす] /(adj-na,n,adj-no) economical/comparatively cheap/
割り印 [わりいん] /(n) seal over the edges of adjacent sheets/tally impression/
割り引 [わりびき] /(io) (n,suf,adj-no) discount/reduction/rebate/(after a number) tenths discounted/tenths reduced/(P)/
割り引き [わりびき] /(io) (n,suf,adj-no) discount/reduction/rebate/(after a number) tenths discounted/tenths reduced/(P)/
割り引き券 [わりびきけん] /(n) discount coupon or ticket/
割り引く [わりびく] /(v5k,vt) to discount/(P)/
割り下 [わりした] /(n) stock mixed with soy sauce, mirin and sugar (used to flavor sukiyaki)/
割り解す [わりほぐす] /(v5s) to beat (e.g. egg)/to whip (e.g. cream)/
割り勘 [わりかん] /(n) (abbr) splitting the cost/Dutch treat/(P)/
割り勘勝ち [わりかんがち] /(n) (sl) "winner" of a meal paid for by dutch treat (i.e. the person who eats the most)/
割り勘負け [わりかんまけ] /(n) (sl) "loser" of a meal paid for by dutch treat (i.e. the person who eats the least)/
割り干し [わりぼし] /(n) strips of daikon sliced the long way and dried/
割り干し大根 [わりぼしだいこん] /(n) strips of daikon sliced the long way and dried/
割り栗 [わりぐり] /(n) rubble/broken stone/
割り栗石 [わりぐりいし] /(n) crushed rock/macadam/
割り高 [わりだか] /(adj-na,n) comparatively high/fairly expensive/
割り合い [わりあい] /(io) (adv,n) (1) rate/ratio/percentage/proportion/(2) comparatively/(3) contrary to expectations/
割り込み [わりこみ] /(n) interruption/sharing a theater box (theatre)/muscling in on/wedging oneself in/cutting in line/(CPU) interrupt/(P)/
割り込みコントローラ [わりこみコントローラ] /(n) (comp) interrupt controller/
割り込みサービスルーチン [わりこみサービスルーチン] /(n) (comp) interrupt service routine/
割り込みハンドラ [わりこみハンドラ] /(n) (comp) interrupt handler/
割り込みベクタ [わりこみベクタ] /(n) (comp) interrupt vector/
割り込みベクトル [わりこみベクトル] /(n) (comp) interrupt vector/
割り込み信号 [わりこみしんごう] /(n) (comp) interrupt signal/
割り込み方式 [わりこみほうしき] /(n,adj-no) (comp) interrupt-driven/
割り込み要求 [わりこみようきゅう] /(n) (comp) Interrupt Request/IRQ/
割り込む [わりこむ] /(v5m,vt) to cut in/to thrust oneself into/to wedge oneself in/to muscle in on/to interrupt/to disturb/(P)/
割り材 [わりざい] /(n) split log/split timber/
割り算 [わりざん] /(n) (math) division/(P)/
割り鹿の子 [わりかのこ] /(n) type of Japanese hairstyle for young women (late Edo period)/
割り出し [わりだし] /(n) upper-arm force out (sumo)/
割り出す [わりだす] /(v5s,vt) to calculate/to compute/to infer/(P)/
割り書き [わりがき] /(n) interlinear notes/notes between lines of text/
割り振り [わりふり] /(n) assignment/allotment/quota/rationing/apportionment/allocation (risk, resources, etc.)/
割り振る [わりふる] /(v5r,vt) to assign/to allot/to divide among/to distribute/to prorate/to assess/to apportion/to allocate/
割り石 [わりいし] /(n) broken stones/rubble/
割り切る [わりきる] /(v5r,vt) (1) to find a clear solution/to come to a clean decision/to give a clear explanation/(2) to divide/(P)/
割り切れない [わりきれない] /(adj-i) indivisible/unconvincing/incomprehensible/unaccounted for/
割り切れる [わりきれる] /(v1,vi) to be divisible (by)/to be divided without residue/
割り接ぎ [わりつぎ] /(n) cleft grafting/crown grafting/
割り前 [わりまえ] /(n) share/portion/quota/
割り前勘定 [わりまえかんじょう] /(n) each paying for his own account/sharing the expenses/Dutch treat/
割り増し [わりまし] /(n,adj-no) premium/bonus/extra wages/(after a number) tenths increase/
割り増し金 [わりましきん] /(n) premium/bonus/
割り増し手当 [わりましてあて] /(n) salary supplement, e.g. for work performed at inconvenient times or as overtime allowance usually for so-called exempt workers, i.e. workers who are expected to work a certain number of overtime hours/
割り増し料金 [わりましりょうきん] /(n) surcharge/extra charge/
割り竹 [わりだけ] /(n) split bamboo/
割り注 [わりちゅう] /(n) inserted notes/
割り当て [わりあて] /(n) (1) allotment/assignment/allocation/quota/rationing/(2) (comp) binding/(P)/
割り当てる [わりあてる] /(v1,vt) to assign/to allot/to allocate/to divide among/to distribute/to prorate/to apportion/(P)/
割り当て額 [わりあてがく] /(n) allotment/allocation/
割り麦 [わりむぎ] /(n) ground barley/
割り箸 [わりばし] /(n) splittable (wood) chopsticks/(P)/
割り判 [わりばん] /(n) seal over the edges of adjacent sheets/
割り付け [わりつけ] /(n) allotment/assignment/allocation/distribution/layout/editing/
割り付ける [わりつける] /(v1,vt) to allot/to distribute/to lay out/to divide among/to assign/
割り普請 [わりぶしん] /(n) dividing work among several contractors/
割り符 [わりふ] /(n) tally/score/check/
割り返し [わりかえし] /(n) rebate/
割り方 [わりかた] /(adv) comparatively/quite/rather/
割り木 [わりき] /(n) split firewood/
割り目 [わりめ] /(n) crack/split/break/fracture/
割り戻し金 [わりもどしきん] /(n) rebate money/
割り戻す [わりもどす] /(v5s,vt) to rebate/kickback/
割り楔 [わりくさび] /(n) split wedge/
割り鏨 [わりたがね] /(n) ripping chisel/
割る [わる] /(v5r,vt) to divide/to cut/to break/to halve/to separate/to split/to rip/to crack/to smash/to dilute/(P)/
割れ [われ] /(n,n-suf) broken piece/
割れた卵 [われたたまご] /(n) broken egg/
割れる [われる] /(v1,vi) (1) to break/to be smashed/(2) to split/to crack/to fissure/to be torn/(3) to be divided/to cleave/(4) to come to light/to be identified/to be established/to become clear/(P)/
割れ易い [われやすい] /(adj-i) brittle/fragile/easily cracked/perishable/
割れ鐘 [われがね] /(n) cracked bell/
割れ鐘のような声 [われがねのようなこえ] /(n) resounding voice/thunderous voice/
割れ窓理論 [われまどりろん] /(n) broken windows theory/criminological theory stating that serious crime can be prevented by maintaining the good physical condition of an urban environment/
割れ鍋 [われなべ] /(n) a cracked pot/
割れ物 [われもの] /(n) fragile item/broken article/
割れ物注意 [われものちゅうい] /(n) Fragile/Handle With Care/
割れ返る [われかえる] /(v5r,vi) to break completely/to (figuratively) bring the house down/
割れ目 [われめ] /(n) (1) chasm/interstice/crevice/crack/cleft/split/rift/fissure/(2) (X) (sl) vulva/slit/cunt/vagina/twat/(P)/
割れ目噴火 [われめふんか] /(n) fissure eruption/
割を食う [わりをくう] /(exp,v5u) to be put at a disadvantage/to get the short end of the stick/
割愛 [かつあい] /(n,vs) giving something up reluctantly/omitting/leaving out/sparing/
割安 [わりやす] /(adj-na,n,adj-no) economical/comparatively cheap/(P)/
割印 [わりいん] /(n) seal over the edges of adjacent sheets/tally impression/
割引 [わりびき] /(n,suf,adj-no) discount/reduction/rebate/(after a number) tenths discounted/tenths reduced/(P)/
割引が効く [わりびきがきく] /(exp,v5k) to be able to get a (type of) discount/
割引き [わりびき] /(io) (n,suf,adj-no) discount/reduction/rebate/(after a number) tenths discounted/tenths reduced/(P)/
割引く [わりびく] /(v5k,vt) to discount/(P)/
割引サービス [わりびきサービス] /(n) (comp) reduced rate service/discounted service/
割引価格 [わりびきかかく] /(n,adj-no) reduced price/
割引券 [わりびきけん] /(n) discount coupon or ticket/
割引債 [わりびきさい] /(n) discount bond/(P)/
割引市場 [わりびきしじょう] /(n) the discount (financial) market/
割引時間 [わりびきじかん] /(n) discounted hours/reduced rate hours/
割引手形 [わりびきてがた] /(n) discounted bill/
割引政策 [わりびきせいさく] /(n) discount policy/
割引切符 [わりびききっぷ] /(n) reduced fare ticket/
割引発行 [わりびきはっこう] /(n) discount issue/
割引歩合 [わりびきぶあい] /(n) discount rate/
割引率 [わりびきりつ] /(n) discount rate/
割引料金 [わりびきりょうきん] /(n) discount/reduced rate/
割下 [わりした] /(n) soup/
割解す [わりほぐす] /(v5s) to beat (e.g. egg)/to whip (e.g. cream)/
割殻 [われから] /(n) (uk) skeleton shrimp/
割勘 [わりかん] /(n) (abbr) splitting the cost/Dutch treat/
割勘勝ち [わりかんがち] /(n) (sl) "winner" of a meal paid for by dutch treat (i.e. the person who eats the most)/
割勘負け [わりかんまけ] /(n) (sl) "loser" of a meal paid for by dutch treat (i.e. the person who eats the least)/
割干 [わりぼし] /(n) strips of daikon sliced the long way and dried/
割干し [わりぼし] /(n) strips of daikon sliced the long way and dried/
割干し大根 [わりぼしだいこん] /(n) strips of daikon sliced the long way and dried/
割干大根 [わりぼしだいこん] /(n) strips of daikon sliced the long way and dried/
割球 [かっきゅう] /(n) blastomere/
割拠 [かっきょ] /(n,vs) holding one's ground/defending local authority/
割興 [わりこう] /(n) discount industrial bank bond/
割鶏牛刀 [かっけいぎゅうとう] /(n) using a meat ax when a knife would suffice/taking a sledgehammer to crack a nut/using a grand-scale measure (a massive instrument) to deal with an insignificant problem/
割腔 [かっこう] /(n) blastocoel/blastocoele/segmentation cavity/
割高 [わりだか] /(adj-na,n) comparatively high/fairly expensive/(P)/
割合 [わりあい] /(adv,n) (1) rate/ratio/percentage/proportion/(2) comparatively/(3) contrary to expectations/(P)/
割合に [わりあいに] /(adv) comparatively/(P)/
割込 [わりこみ] /(n) (comp) interruption/
割込み [わりこみ] /(n) interruption/sharing a theater box (theatre)/muscling in on/wedging oneself in/cutting in line/(CPU) interrupt/
割込みレジスタ [わりこみレジスタ] /(n) (comp) interrupt register/
割込み記号 [わりこみきごう] /(n) (comp) intercalator/
割込み分類 [わりこみぶんるい] /(n) (comp) intercalation/
割込む [わりこむ] /(v5m,vt) to cut in/to thrust oneself into/to wedge oneself in/to muscle in on/to interrupt/to disturb/
割込通話 [わりこみつうわ] /(vs) call-waiting (phone option)/
割座 [わりざ] /(n) sitting posture with the legs bent back on each side/Japanese traditional informal female sitting posture/w-sitting/reverse tailor style sitting/
割算 [わりざん] /(n) (math) division/
割出し [わりだし] /(n) upper-arm force out (sumo)/
割出す [わりだす] /(v5s,vt) to calculate/to compute/to infer/(P)/
割書き [わりがき] /(n) interlinear notes/notes between lines of text/
割鐘 [われがね] /(n) cracked bell/
割譲 [かつじょう] /(n,vs) cession (of territory)/(P)/
割振り [わりふり] /(n) assignment/allotment/quota/rationing/apportionment/allocation (risk, resources, etc.)/
割振る [わりふる] /(v5r,vt) to assign/to allot/to divide among/to distribute/to prorate/to assess/to apportion/to allocate/
割石 [わりいし] /(n) broken stones/rubble/
割切る [わりきる] /(v5r,vt) (1) to find a clear solution/to come to a clean decision/to give a clear explanation/(2) to divide/
割切れる [わりきれる] /(v1,vi) to be divisible (by)/to be divided without residue/
割線 [かっせん] /(n) secant (in trigonometry)/
割線法 [わりせんほう] /(n) (math) secant method/
割前 [わりまえ] /(n) share/portion/quota/
割前勘定 [わりまえかんじょう] /(n) each paying for his own account/sharing the expenses/Dutch treat/
割増 [わりまし] /(n,adj-no) premium/bonus/extra wages/(after a number) tenths increase/
割増し [わりまし] /(n,adj-no) premium/bonus/extra wages/(after a number) tenths increase/
割増し料金 [わりましりょうきん] /(n) surcharge/extra charge/
割増運賃 [わりましうんちん] /(n) additional freight/
割増手当 [わりましてあて] /(n) salary supplement, e.g. for work performed at inconvenient times or as overtime allowance usually for so-called exempt workers, i.e. workers who are expected to work a certain number of overtime hours/
割増賃金 [わりましちんぎん] /(n) extra pay/
割増料金 [わりましりょうきん] /(n) surcharge/extra charge/
割注 [わりちゅう] /(n) inserted notes/
割当 [かっとう] /(n) (1) allotment/assignment/allocation/quota/rationing/(2) (comp) binding/
割当 [わりあて] /(n) (1) allotment/assignment/allocation/quota/rationing/(2) (comp) binding/
割当て [わりあて] /(n) (1) allotment/assignment/allocation/quota/rationing/(2) (comp) binding/(P)/
割当てる [わりあてる] /(v1,vt) to assign/to allot/to allocate/to divide among/to distribute/to prorate/to apportion/(P)/
割当額 [わりあてがく] /(n) allotment/allocation/
割麦 [わりむぎ] /(n) ground barley/
割箸 [わりばし] /(n) splittable (wood) chopsticks/
割判 [わりはん] /(n) tally impression/
割付 [わりつけ] /(n) allotment/assignment/allocation/distribution/layout/editing/
割付け [わりつけ] /(n) allotment/assignment/allocation/distribution/layout/editing/
割付けの流れ [わりつけのながれ] /(n) (comp) layout stream/
割付ける [わりつける] /(v1,vt) to allot/to distribute/to lay out/to divide among/to assign/
割付け構造 [わりつけこうぞう] /(n) (comp) layout structure/
割付け順番 [わりつけじゅんばん] /(n) (comp) sequential layout order/
割付け処理 [わりつけしょり] /(n) (comp) layout process/
割付け体裁 [わりつけていさい] /(n) (comp) layout style/
割付け対象体 [わりつけたいしょうたい] /(n) (comp) layout object/
割付け対象体クラス [わりつけたいしょうたいクラス] /(n) (comp) layout object class/
割付け配列 [わりつけはいれつ] /(n) (comp) allocatable array/
割付け類別 [わりつけるいべつ] /(n) (comp) layout category/
割付る [わりつける] /(io) (v1,vt) to allot/to distribute/to lay out/to divide among/to assign/
割符 [わりふ] /(n) tally/score/check/
割賦 [かっぷ] /(n) allotment/quota/payment in installments/payment in instalments/hire-purchase/
割賦 [わっぷ] /(n) allotment/quota/payment in installments/payment in instalments/hire-purchase/
割賦購買 [かっぷこうばい] /(n) buying in installments/buying in instalments/
割賦販売 [かっぷはんばい] /(n) selling in installments/selling in instalments/
割賦方式 [かっぷほうしき] /(n) installment plan/instalment plan/
割腹 [かっぷく] /(n,vs) disembowelment/harakiri/
割物 [われもの] /(n) fragile item/broken article/
割烹 [かっぽう] /(n) cooking (esp. Japanese style)/cuisine/
割烹着 [かっぽうぎ] /(n) coverall apron/cook's apron/
割烹店 [かっぽうてん] /(n) restaurant/
割烹旅館 [かっぽうりょかん] /(n) Japanese inn priding itself on its cuisine/Japanese-style restaurant with an attached inn/
割烹料理 [かっぽうりょうり] /(n) Japanese cooking/
割木 [わりき] /(n) firewood/
割目 [わりめ] /(n) crack/split/break/fracture/
割目 [われめ] /(io) (n) (1) chasm/interstice/crevice/crack/cleft/split/rift/fissure/(2) (X) (sl) vulva/slit/cunt/vagina/twat/
割戻す [わりもどす] /(v5s,vt) to rebate/kickback/
割礼 [かつれい] /(n,vs) circumcision (male)/
割礼を施す [かつれいをほどこす] /(exp,v5s) to circumcise (someone)/
割礼を受ける [かつれいをうける] /(exp,v1) to undergo circumcision/to be circumcised/
喝 [かつ] /(int) (1) exclamation used to scold practitioners (in Zen)/(n) (2) scolding or threatening with a shout/
喝を入れる [かつをいれる] /(iK) (exp,v1) (1) to apply the art of resuscitation (in judo, etc.)/(2) to breathe life into/to stimulate/to encourage someone/to give someone a pep talk/
喝采 [かっさい] /(n,vs) acclamation/applause/ovation/cheers/
喝上げ [かつあげ] /(n,vs) (uk) (sl) extortion of money or goods (e.g. from lower year students)/shakedown/
喝食 [かっしき] /(n) type of No-mask/
喝破 [かっぱ] /(n,vs) proclamation/(P)/
恰も [あたかも] /(adv) as if/as it were/(P)/
恰も好し [あたかもよし] /(adv) luckily/fortunately/
恰好 [かっこう] /(adj-na,n,adj-no) (1) shape/form/posture/appearance/manner/(2) suitability/moderateness (in price)/
恰好付ける [かっこうつける] /(v1) (uk) to affect a stylish air/to try to look good/to show off/
恰好付ける [かっこつける] /(ik) (v1) (uk) to affect a stylish air/to try to look good/to show off/
恰度 [ちょうど] /(oK) (adj-na,adv,n) (uk) just/right/exactly/
恰幅 [かっぷく] /(n) physique/bodily build/
括りつける [くくりつける] /(v1,vt) to fasten (a person) to/
括り染め [くくりぞめ] /(n) tie-dyeing/
括り付ける [くくりつける] /(v1,vt) to fasten (a person) to/
括り枕 [くくりまくら] /(n) pillow stuffed with buckwheat chaff, rice husks or similar material/
括る [くくる] /(v5r,vt) (1) to tie up/to tie together/to bundle/to fasten/(2) to hang (oneself)/(3) to summarize (e.g. information)/(P)/
括れ [くびれ] /(n) constriction/narrow part/wrinkle/
括れる [くびれる] /(v1,vi) to be constricted/
括弧 [かっこ] /(n,vs,adj-no) parentheses/brackets/(P)/
括弧内 [かっこない] /(exp,adj-no) in parentheses/bracketed/
括弧閉じ [かっことじ] /(n) (uk) close bracket/
括枕 [くくりまくら] /(io) (n) pillow stuffed with buckwheat chaff, rice husks or similar material/
括約筋 [かつやくきん] /(adj-na,n) sphincter/sphincter muscle/constrictor/
活 [かつ] /(n) (1) living/life/(2) judo art of resuscitation/
活かす [いかす] /(v5s,vt) (1) to make (the best) use of/to leverage (skills, attributes, experience, etc.)/to capitalise on (experience, etc)/(2) to let live/to keep alive/(3) to revive/to resuscitate/
活き [いき] /(n) (1) living/being alive/(2) freshness/liveliness/vitality/(3) situation in which a group of stones cannot be captured because it contains contains two or more gaps (in go)/(4) (uk) stet/(pref) (5) damned/
活きじめ [いきじめ] /(adj-no) fresh-frozen (e.g. fish)/quickly frozen/
活きる [いきる] /(v1,vi) (1) to live/to exist/(2) to make a living/to subsist/(3) to be in effect/to be in use/to function/(4) to come to life/to be enlivened/(5) to be safe (in baseball, go, etc.)/
活き餌 [いきえ] /(n) live bait/
活き活き [いきいき] /(adv,adv-to,vs) vividly/lively/
活き作り [いきづくり] /(n) (1) slices of fresh raw fish arranged to look lifelike/(2) slicing a fish and presenting it at table in its original form/
活ける [いける] /(v1,vt) (1) to arrange (flowers)/to plant/
活け花 [いけばな] /(n) (1) flower arrangement/
活け間 [いけま] /(n) compartment in a fishing boat with seawater for reviving or keeping alive fresh fish or bait/
活け魚 [いけうお] /(n) live fish and shellfish (kept in a tank in a restaurant)/
活け作り [いけづくり] /(n) slicing a fish and presenting it at table in its original form/
活け炭 [いけずみ] /(n) banked fire/live charcoal banked up and covered with ash/
活じめ [いきじめ] /(adj-no) fresh-frozen (e.g. fish)/quickly frozen/
活を求める [かつをもとめる] /(exp,v1) to try to find a way out/
活を入れる [かつをいれる] /(exp,v1) (1) to apply the art of resuscitation (in judo, etc.)/(2) to breathe life into/to stimulate/to encourage someone/to give someone a pep talk/
活餌 [いきえ] /(n) live bait/
活火山 [かっかざん] /(n) active volcano/
活火山 [かつかざん] /(n) active volcano/
活花 [いけばな] /(n) (1) flower arrangement/
活花 [せいか] /(n) (1) flower arrangement/(2) fresh flowers/
活眼 [かつがん] /(n) keen or piercing eye/
活気 [かっき] /(n) energy/liveliness/(P)/
活気づく [かっきづく] /(v5k,vi) to become animated/to liven up/to become active/
活気横溢 [かっきおういつ] /(n) being full of vitality (energy)/in exuberant spirits/effervescent/ebullient/
活気付く [かっきづく] /(v5k,vi) to become animated/to liven up/to become active/
活気付ける [かっきづける] /(v1,vt) to animate/to liven up/
活魚 [いけうお] /(n) live fish and shellfish (kept in a tank in a restaurant)/
活魚 [かつぎょ] /(n) live fish and shellfish (kept in a tank in a restaurant)/
活況 [かっきょう] /(n,adj-na,adj-no) activity/briskness/prosperity/(P)/
活計 [かっけい] /(n,vs) livelihood/
活計 [たずき] /(n) living/livelihood/
活計 [たつき] /(n) living/livelihood/
活計 [たづき] /(n) living/livelihood/
活劇 [かつげき] /(n) (1) action picture/action movie/(2) riotous scene/street brawl/
活殺 [かっさつ] /(n) life or death/
活殺自在 [かっさつじざい] /(n) the power of life or death/
活字 [かつじ] /(n) printing type/(P)/
活字を組む [かつじをくむ] /(exp,v5m) to set type/
活字ドラム [かつじドラム] /(n) (comp) print drum/
活字バー [かつじバー] /(n) (comp) type bar/printer bar/
活字ホイール [かつじホイール] /(n) (comp) print wheel/
活字メディア [かつじメディア] /(n) print media/
活字世論 [かつじせろん] /(n) public opinion (sentiment) as reflected in the print media/
活字体 [かつじたい] /(n) typeface/
活字体で書く [かつじたいでかく] /(exp,v5k) to print (on a press)/
活字中毒 [かつじちゅうどく] /(n) addiction to the printed word/reading addict/book (print) junkie/
活字媒体 [かつじばいたい] /(n) print media/
活字本 [かつじぼん] /(n) printed book/
活字離れ [かつじばなれ] /(n,adj-no) aliteracy/loss of interest in or shift away from reading (especially serious) books or literature/
活軸 [かつじく] /(n) live axle/
活写 [かっしゃ] /(n,vs) vivid description/painting a lively picture of/
活人画 [かつじんが] /(n) tableau vivant/
活人剣 [かつじんけん] /(n) life-saving sword (a killing sword may be a sword of life depending on how it is used)/
活人剣 [かつにんけん] /(n) life-saving sword (a killing sword may be a sword of life depending on how it is used)/
活性 [かっせい] /(n) activity/(P)/
活性アルミナ [かっせいアルミナ] /(n) activated alumina/
活性汚泥 [かっせいおでい] /(n) activated sludge/
活性化 [かっせいか] /(n,vs) activation/stimulation/revitalization/invigoration/
活性化エネルギー [かっせいかエネルギー] /(n) activation energy/
活性剤 [かっせいざい] /(n) activator/
活性酸素 [かっせいさんそ] /(n) reactive oxygen (i.e. free radicals, which can be destructive at high concentrations)/
活性炭 [かっせいたん] /(n) activated charcoal/
活性中心 [かっせいちゅうしん] /(n) active center/
活性部位 [かっせいぶい] /(n) active site/
活性文書型 [かっせいぶんしょがた] /(n) (comp) active document type/
活性連結型 [かっせいれんけつがた] /(n) (comp) active link type/
活栓 [かっせん] /(n) valve/faucet/tap/
活線 [かっせん] /(n) live wire/hot line (as in electrical hot-line working)/
活断層 [かつだんそう] /(n) active fault/
活動 [かつどう] /(n,vs) action/activity/(P)/
活動家 [かつどうか] /(n) (anti-war) activist/(P)/
活動銀河 [かつどうぎんが] /(n) active galaxy/
活動誌 [かつどうし] /(n) specialty magazine/information digest/
活動写真 [かつどうしゃしん] /(n) (obs) moving picture (i.e. a movie; term esp. used during the silent movie period)/
活動者 [かつどうしゃ] /(n) activist/
活動成果 [かつどうせいか] /(n) results (of an activity)/
活動的 [かつどうてき] /(adj-na) active/dynamic/energetic/
活動範囲 [かつどうはんい] /(n) sphere of action/scope of activity/range of work/
活動力 [かつどうりょく] /(n) energy/vitality/
活溌 [かっぱつ] /(adj-na,n) vigor/vigour/active/lively/
活溌溌地 [かっぱつはっち] /(n,adj-no,adj-na) being full of vitality (energy)/vigorous and in high spirits/
活溌溌地 [かっぱつぱっち] /(n,adj-no,adj-na) being full of vitality (energy)/vigorous and in high spirits/
活発 [かっぱつ] /(adj-na,n) vigor/vigour/active/lively/(P)/
活発化 [かっぱつか] /(n,vs) increase in activity/activation/
活発発地 [かっぱつはっち] /(n,adj-no,adj-na) being full of vitality (energy)/vigorous and in high spirits/
活発発地 [かっぱつぱっち] /(n,adj-no,adj-na) being full of vitality (energy)/vigorous and in high spirits/
活版 [かっぱん] /(n) printing/typography/
活版印刷 [かっぱんいんさつ] /(n) printing/
活版屋 [かっぱんや] /(n) a printer's/a printer/
活版所 [かっぱんしょ] /(ik) (n) printer's/print shop/
活版所 [かっぱんじょ] /(n) printer's/print shop/
活版本 [かっぱんぼん] /(n) printed book/
活仏 [かつぶつ] /(n) grand Lama/living Buddha/
活物 [かつぶつ] /(n) living being/
活物寄生 [かつぶつきせい] /(n) parasite/
活弁 [かつべん] /(n) narrator in Japanese silent cinema/
活躍 [かつやく] /(n) (1) activity (esp. energetic)/great efforts/conspicuous service/(vs) (2) to flourish/to participate actively/to play an active role/(P)/
活躍中 [かつやくちゅう] /(exp) within an activity/during an activity/
活用 [かつよう] /(n,vs) (1) practical use/application/(2) (ling) conjugation/declension/inflection/(P)/
活用形 [かつようけい] /(n) (ling) conjugated form/
活用語 [かつようご] /(n) (ling) conjugated word/
活用語尾 [かつようごび] /(n) conjugative suffix (i.e. "-iru" and "-eru" for ichidan verbs, "-i" for i-adjectives, etc.)/
活用率 [かつようりつ] /(n) (comp) activity ratio/
活量 [かつりょう] /(n) activity/
活力 [かつりょく] /(n) vitality/energy/dynamism/(P)/
活歴 [かつれき] /(n) variety of kabuki, based on historical events/
活路 [かつろ] /(n) means of escape/(P)/
活路開拓 [かつろかいたく] /(n) developing a way or means/
活褶曲 [かつしゅうきょく] /(n) active fold (geology)/
渇 [かつ] /(n) thirst/
渇き [かわき] /(n) thirst/(P)/
渇く [かわく] /(v5k,vi) to be thirsty/(P)/
渇ごう [かつごう] /(n,vs) adoration/reverence/esteem/
渇しても盗泉の水を飲まず [かっしてもとうせんのみずをのまず] /(exp) Even if thirsty not to drink from "Robber's Spring"/A proverb meaning not to lower oneself to unjust acts no matter how desperate/(English equivalent) The eagle does not hunt flies/
渇す [かっす] /(v5s,vi) to be thirsty/to be dry/
渇する [かっする] /(vs-s,vi) to be thirsty/to be dry/
渇を癒やす [かつをいやす] /(exp,v5s) to quench one's thirst/
渇愛 [かつあい] /(n) thirst/craving/desire/
渇仰 [かつぎょう] /(n,vs) adoration/reverence/esteem/
渇仰 [かつごう] /(n,vs) adoration/reverence/esteem/
渇死 [かっし] /(n,vs) (arch) dying of thirst/
渇水 [かっすい] /(n) water shortage/(P)/
渇水期 [かっすいき] /(n) dry season/
渇望 [かつぼう] /(n,vs) craving/longing/thirsting/(P)/
渇望者 [かつぼうしゃ] /(n) desiring person/luster/
滑々 [ぬめぬめ] /(adv) (1) (uk) slimy/slippery/(vs) (2) (uk) to have a sheen/
滑々 [ヌメヌメ] /(adv) (1) (uk) slimy/slippery/(vs) (2) (uk) to have a sheen/
滑か [なめらか] /(io) (adj-na,n) smoothness/glassiness/
滑らか [なめらか] /(adj-na,n) smoothness/glassiness/(P)/
滑らす [すべらす] /(v5s,vt) to let something slip/to slide/to glide/
滑らす [ずらす] /(oK) (v5s,vt) (1) (uk) to shift/to slide (e.g. something away from something else)/to move (e.g. something out of the way)/(2) to put off/to delay/to postpone/to stagger (e.g. working hours)/
滑らせる [すべらせる] /(v1,vt) to let something slip/to slide/to glide/
滑り [すべり] /(n) sliding/slipping/
滑り [ぬめり] /(n) (uk) viscous liquid/slime/mucus/(P)/
滑り易い [すべりやすい] /(adj-i) greasy/slimy/slippery/
滑り下りる [すべりおりる] /(v1) to slide down (a hill) (e.g. ski, toboggan)/to slip down/
滑り寄る [すべりよる] /(v5r,vi) to slide up to/
滑り降りる [すべりおりる] /(v1) to slide down (a hill) (e.g. ski, toboggan)/to slip down/
滑り込み [すべりこみ] /(n) sliding/
滑り込みセーフ [すべりこみセーフ] /(n) just make it (from sliding into base with baseball)/just on time/
滑り込む [すべりこむ] /(v5m,vi) to slide into (base)/to slip into (ditch)/
滑り止め [すべりどめ] /(n) (1) tyre chains/anti-skid device/(2) backup measure/taking entrance examination to a university in case one fails at other universities/
滑り車 [すべりぐるま] /(n) sash roller/
滑り尺 [すべりじゃく] /(n) slide rule/
滑り出し [すべりだし] /(n) start/beginning/
滑り出す [すべりだす] /(v5s) (1) to begin slipping or sliding/(2) to make a start upon/
滑り台 [すべりだい] /(n) (1) (playground) slide/(2) (ship) launching platform/sliding bed/(P)/
滑り抵抗器 [すべりていこうき] /(n) sliding resistor/
滑り入る [すべりいる] /(v5r,vi) to slide into/
滑り摩擦 [すべりまさつ] /(n) sliding friction/
滑り目 [すべりめ] /(n) slip stitch/
滑り落ちる [すべりおちる] /(v1) to slip off/
滑る [すべる] /(v5r,vi) (1) to glide/to slide (e.g. on skis)/to slip/(2) to fail (an examination)/to bomb (when telling a joke)/(3) to drop/to go down/to come down/to fall (e.g. in status)/(P)/
滑る [ぬめる] /(v5r,vi) to be slippery/to be slimy/to behave charmingly/to walk merrily/
滑液 [かつえき] /(n,adj-no) synovial fluid/
滑液包炎 [かつえきほうえん] /(n) bursitis/
滑革 [ぬめかわ] /(n) cow hide tanned using tannin/
滑滑 [ぬめぬめ] /(adv) (1) (uk) slimy/slippery/(vs) (2) (uk) to have a sheen/
滑滑 [ヌメヌメ] /(adv) (1) (uk) slimy/slippery/(vs) (2) (uk) to have a sheen/
滑空 [かっくう] /(n,vs) gliding in a glider/
滑空機 [かっくうき] /(n) sailplane/glider/
滑稽 [こっけい] /(adj-na,n) (uk) funny/humorous/humourous/comical/laughable/ridiculous/joking/(P)/
滑稽者 [おどけもの] /(n) idiot/dummy/joker/fool/trickster/
滑稽本 [こっけいぼん] /(n) comic novel (Edo period)/
滑稽味が有る [こっけいみがある] /(exp) tinged with humor (humour)/
滑稽洒脱 [こっけいしゃだつ] /(n,adj-na) smooth-talking and polished/witty/free, easy, and urbane/
滑稽諧謔 [こっけいかいぎゃく] /(n) smooth-talking and humorous/with jocose and comical airs/
滑腔砲 [かっこうほう] /(n) smooth-bore gun/unrifled gun/
滑降 [かっこう] /(n,vs) skiing down a slope/doing downhill skiing/descent/(P)/
滑降競技 [かっこうきょうぎ] /(n) downhill racing/
滑剤 [かつざい] /(n) lubricant/
滑子 [なめこ] /(n) (uk) nameko (var. of mushroom) (Pholiota nameko)/
滑車 [かっしゃ] /(n,adj-no) pulley/block/tackle/
滑車神経 [かっしゃしんけい] /(n) trochlear nerve/
滑尺 [かっしゃく] /(n) sliding central strip (of a slide rule)/slide strip/
滑出し [すべりだし] /(n) start/beginning/
滑席 [かっせき] /(n) sliding seat/
滑石 [かっせき] /(n,adj-no) talc/
滑石粉 [かっせきこ] /(n) talcum powder/
滑舌 [かつぜつ] /(n) speaking one's lines smoothly/reciting one's lines well/
滑走 [かっそう] /(n,vs) glide/volplane/(P)/
滑走路 [かっそうろ] /(n) runway/(P)/
滑多鰈 [なめたがれい] /(n) (uk) slime flounder (Microstomus achne)/
滑台 [すべりだい] /(n) (1) (playground) slide/(2) (ship) launching platform/sliding bed/
滑沢剤 [かったくざい] /(n) lubricant/
滑茸 [なめたけ] /(n) enoki mushroom (Flammulina velutipes)/
滑脱 [かつだつ] /(adj-na) adaptable/flexible/versatile/unfixed/
滑脳症 [かつのうしょう] /(n) lissencephaly/
滑落 [かつらく] /(n,vs) slipping down/avalanche/
滑翔機 [かっしょうき] /(n) glider/sailplane/
葛 [かずら] /(n) creeping plant/creeper/
葛 [くず] /(n) kudzu (Pueraria lobata) (type of vine)/(Japanese) arrowroot/(P)/
葛掛け [くずかけ] /(n) food dressed with liquid starch/
葛根 [かっこん] /(n) kudzu root/
葛根湯 [かっこんとう] /(n) infusion of kudzu, cinnamon, etc., used as an antifebrile, for hangovers, etc./
葛切り [くずきり] /(n) kudzu starch noodles/
葛折 [つづらおり] /(adj-no,n) winding/meandering/sinuous/zigzag/
葛折り [つづらおり] /(adj-no,n) winding/meandering/sinuous/zigzag/
葛湯 [くずゆ] /(n) kudzu starch gruel/
葛藤 [かっとう] /(n,vs) conflict/complication/troubles/discord/(P)/
葛藤 [つづらふじ] /(n) (1) (uk) Chinese moonseed (Sinomenium acutum)/(2) complex inter-relationship (as in the struggle between two types of vine over one piece of land)/
葛藤科 [つづらふじか] /(n) Menispermaceae (moonseed family of plants)/
葛布 [くずふ] /(n) cloth made from kudzu (Japanese arrowroot) fiber (fibre)/
葛粉 [くずこ] /(n) kudzu starch/
葛餅 [くずもち] /(n) kudzu starch cake/
葛鬱金 [くずうこん] /(n) arrowroot/
葛籠 [つづら] /(n) wicker clothes hamper/
葛餡 [くずあん] /(n) kudzu sauce/
葛饅頭 [くずまんじゅう] /(n) ball of bean paste covered with a kudzu starch glaze/
褐色 [かっしょく] /(n,adj-no) brown/(P)/
褐色わい星 [かっしょくわいせい] /(n) brown dwarf (star)/
褐色脂肪組織 [かっしょくしぼうそしき] /(n) brown adipose tissue/brown fat/
褐色矮星 [かっしょくわいせい] /(n) brown dwarf (star)/
褐藻 [かっそう] /(n) brown algae/phaeophyceae/
褐藻類 [かっそうるい] /(n) brown algae/
褐炭 [かったん] /(n,adj-no) brown coal/lignite/
褐鉄鉱 [かってっこう] /(n) limonite/brown hematite/
褐変 [かっぺん] /(n,vs) browning/
褐毛和種 [あかげわしゅ] /(n) type of Japanese cow/
轄 [くさび] /(n) (1) (uk) wedge/(2) linchpin/lynchpin/
且つ [かつ] /(adv,conj) (uk) yet/moreover/and/
且つ飲み且つ歌う [かつのみかつうたう] /(v5u) to drink and sing at the same time/to drink as well as sing/
且つ又 [かつまた] /(conj) (uk) besides/furthermore/moreover/
且又 [かつまた] /(conj) (uk) besides/furthermore/moreover/
鰹 [かつお] /(n) skipjack tuna/bonito (Katsuwonus pelamis)/
鰹の烏帽子 [かつおのえぼし] /(n) (uk) Portuguese man-of-war (Physalia physalis)/
鰹節 [かつおぶし] /(n) katsuobushi (small pieces of sliced dried bonito)/
鰹節 [かつぶし] /(n) katsuobushi (small pieces of sliced dried bonito)/
鰹節虫 [かつおぶしむし] /(n) dermestid beetle/
鰹木 [かつおぎ] /(n) log on the roof of a shrine set perpendicular to the ridgepole/
叶う [かなう] /(v5u) (1) to come true (wish)/(2) (uk) to be suited/(3) to match (implies competition)/to rival/to bear (e.g. I can't bear the heat)/(P)/
叶える [かなえる] /(v1,vt) (1) to grant (request, wish)/to answer (prayer)/(2) to fulfill (conditions)/to meet (requirements)/(P)/
叶わぬ時の神頼み [かなわぬときのかみだのみ] /(exp) (id) Man turns to God only in his trouble/
樺 [かにわ] /(ok) (n) (uk) birch (esp. Japanese white birch)/
樺 [かば] /(n) (uk) birch (esp. Japanese white birch)/
樺 [かんば] /(n) (uk) birch (esp. Japanese white birch)/
樺の木 [かばのき] /(n) (uk) birch tree (esp. the Japanese white birch, Betula platyphylla var. japonica)/
樺の木科 [かばのきか] /(n) Betulaceae (plant family)/hazelnut/
樺黄小町蜘蛛 [かばきこまちぐも] /(n) (uk) Japanese foliage spider (Chiracanthium japonicum)/
樺桜 [かにわざくら] /(n) (1) any cherry tree with birch-like bark/(2) (arch) Japanese bird cherry (Prunus grayana)/
樺桜 [かばざくら] /(n) (1) (uk) ornamental variety of double weeping rosebud cherry/(2) any cherry tree with birch-like bark/(3) (arch) Japanese bird cherry (Prunus grayana)/
樺色 [かばいろ] /(n) reddish yellow/
樺太 [からふと] /(n) Karafuto (Japanese name for Sakhalin)/
樺太・千島交換条約 [からふと・ちしまこうかんじょうやく] /(n) Treaty of Saint Petersburg (1875)/Russo-Japanese treaty in which Japan exchanged Sakhalin for the Kuril Islands/
樺太・千島交換条約 [からふとちしまこうかんじょうやく] /(n) Treaty of Saint Petersburg (1875)/Russo-Japanese treaty in which Japan exchanged Sakhalin for the Kuril Islands/
樺太シシャモ [からふとシシャモ] /(n) (uk) capelin/caplin (Mallotus villosus)/
樺太犬 [からふといぬ] /(n) Sakhalin husky (dog breed)/
樺太犬 [からふとけん] /(n) Sakhalin husky (dog breed)/
樺太千島交換条約 [からふとちしまこうかんじょうやく] /(n) Treaty of Saint Petersburg (1875)/Russo-Japanese treaty in which Japan exchanged Sakhalin for the Kuril Islands/
樺太鱒 [からふとます] /(n) (uk) pink salmon (Oncorhynchus gorbuscha)/humpback salmon/
樺太柳葉魚 [からふとししゃも] /(ateji) (n) (uk) capelin/caplin (Mallotus villosus)/
樺太雷鳥 [からふとらいちょう] /(n) (uk) willow ptarmigan (Lagopus lagopus)/
樺太梟 [からふとふくろう] /(n) (uk) great grey owl (Strix nebulosa)/
樺木科 [かばのきか] /(n) Betulaceae (plant family)/hazelnut/
鞄 [かばん] /(n) bag/satchel/briefcase/basket/(P)/
鞄語 [かばんご] /(n) (obs) portmanteau/combination of two words (often first half of one, second half of another)/
鞄持 [かばんもち] /(n) (1) private secretary/(2) (derog) flunky/someone who is always following around someone of high rank/(3) someone who carries a bag for someone/luggage carrier/carrying a bag/
鞄持ち [かばんもち] /(n) (1) private secretary/(2) (derog) flunky/someone who is always following around someone of high rank/(3) someone who carries a bag for someone/luggage carrier/carrying a bag/
株 [かぶ] /(n) share/stock/stump (of tree)/(P)/
株が下がる [かぶがさがる] /(exp,v5r) to fall in public esteem/to fall in value (stocks)/
株が上がる [かぶがあがる] /(exp,v5r) to rise in public esteem/to rise in value (stocks)/
株の持ち合い [かぶのもちあい] /(n) crossholding/
株を買う [かぶをかう] /(exp,v5u) to buy stock/
株安 [かぶやす] /(n) period of low stock prices/
株屋 [かぶや] /(n) (col) stockbroker/
株価 [かぶか] /(n) stock prices/(P)/
株価の反発 [かぶかのはんぱつ] /(n) rebound (of stock prices)/
株価維持操作 [かぶかいじそうさ] /(n) price-keeping operation/PKO/
株価指数 [かぶかしすう] /(n) stock price index/
株価指数先物 [かぶかしすうさきもの] /(n) stock index futures/
株価収益率 [かぶかしゅうえきりつ] /(n) price-earnings ratio/PER/
株価上昇 [かぶかじょうしょう] /(n) stock price rise/
株価操作 [かぶかそうさ] /(n) share price manipulation/
株金 [かぶきん] /(n) (money for) stock investment/
株券 [かぶけん] /(n) stock certificate/(P)/
株元 [かぶもと] /(n) (obsc) plant foot treatment (stump, root)/
株高 [かぶだか] /(n) a period of high stock prices/a market of high stock prices/
株式 [かぶしき] /(n) stock (company)/(P)/
株式オプション [かぶしきオプション] /(n) stock option/
株式スワップ [かぶしきスワップ] /(n) stock swap/
株式移転 [かぶしきいてん] /(n) stock transfer/share transfer/
株式化 [かぶしきか] /(n,vs) stock conversion/conversion to stock/
株式会社 [かぶしきがいしゃ] /(n) public company/corporation/KK/formula for an incorporated public company/(P)/
株式会社化 [かぶしきがいしゃか] /(n,vs) demutualization/becoming incorporated/
株式会社日本レジストリサービス [かぶしきがいしゃにほんレジストリサービス] /(n) (comp) Japanese company registry service/
株式金融 [かぶしききんゆう] /(n) fund procurement by stock issue/stock collateral loan/
株式交換 [かぶしきこうかん] /(n) stock swap/
株式交換率 [かぶしきこうかんりつ] /(n) stock exchange percentage/
株式公開 [かぶしきこうかい] /(n) stock offering (to the public)/
株式公開買い付け [かぶしきこうかいかいつけ] /(n) tender offer/take-over bid/TOB/
株式公開買付 [かぶしきこうかいかいつけ] /(n) tender offer/take-over bid/TOB/
株式公開買付け [かぶしきこうかいかいつけ] /(n) tender offer/take-over bid/TOB/
株式公開買付制度 [かぶしきこうかいかいつけせいど] /(n) tender offer/take-over bid/TOB/
株式市場 [かぶしきしじょう] /(n) stock market/
株式指標 [かぶしきしひょう] /(n) stock price index/
株式持合 [かぶしきもちあい] /(n) cross shareholdings/
株式取引 [かぶしきとりひき] /(n) stock trading/stock transactions/share trading/
株式取引所 [かぶしきとりひきじょ] /(n) stock exchange/
株式譲渡 [かぶしきじょうと] /(n) transfer of stocks/
株式譲渡益 [かぶしきじょうとえき] /(n) capital gain/profit on stock transfer/
株式先物取引 [かぶしきさきものとりひき] /(n) stock futures trading/stock futures transaction/
株式相場 [かぶしきそうば] /(n) stock market quotation/
株式仲買人 [かぶしきなかがいにん] /(n) stockbroker/
株式投資 [かぶしきとうし] /(n) equity investment/
株式投資信託 [かぶしきとうししんたく] /(n) stock investment trust/
株式配当 [かぶしきはいとう] /(n) stock dividend/
株式配当金 [かぶしきはいとうきん] /(n) stock dividend/
株式買取請求権 [かぶしきかいとりせいきゅうけん] /(n) right of demand for buying shares/
株式買受権付社債 [かぶしきかいうけけんつきしゃさい] /(n) bond with stock purchase warrant/
株式発行 [かぶしきはっこう] /(n) share issuance/
株式分割 [かぶしきぶんかつ] /(n) stock split/
株式併合 [かぶしきへいごう] /(n) reverse stock split/
株式保有制限 [かぶしきほゆうせいげん] /(n) limitation in stock investment/
株主 [かぶぬし] /(n) shareholder/stockholder/(P)/
株主間協定書 [かぶぬしかんきょうていしょ] /(n) shareholders agreement/
株主権 [かぶぬしけん] /(n) stockholder's right/
株主資本利益率 [かぶぬししほんりえきりつ] /(n) return on equity/ROE/
株主総会 [かぶぬしそうかい] /(n) general meeting of stockholders/
株主代表訴訟 [かぶぬしだいひょうそしょう] /(n) shareholder lawsuit/
株主投票 [かぶぬしとうひょう] /(n) shareholder vote/
株分け [かぶわけ] /(n,vs) root division/
兜 [かぶと] /(n) helmet (of armor, armour)/headpiece/(P)/
兜蟹 [かぶとがに] /(n) (uk) horseshoe crab/
兜魚 [かぶとうお] /(n) (1) (uk) large-headed midnight fish (Poromitra crassiceps)/(2) armored fish/armoured fish/
兜虫 [かぶとむし] /(n) (uk) rhinoceros beetle (esp. the Japanese rhinoceros beetle, Trypoxylus dichotomus)/
兜頭巾 [かぶとずきん] /(n) helmet-shaped hood/
兜率 [とそつ] /(n) (Buddh) (abbr) Tusita (heaven, pure land)/
兜率天 [とそつてん] /(oK) (n) (obsc) Tusita Heaven/
竃 [かまど] /(n) kitchen range/cooking stove/hearth/(kitchen) furnace/
竃 [へっつい] /(n) kitchen range/cooking stove/hearth/(kitchen) furnace/
竃神 [かまどがみ] /(n) tutelary deities of the hearth/
蒲 [かば] /(n) (uk) common cattail (Typha latifolia)/common bulrush/common reed mace/
蒲 [かま] /(ok) (n) (uk) common cattail (Typha latifolia)/common bulrush/common reed mace/
蒲 [がま] /(n) (uk) common cattail (Typha latifolia)/common bulrush/common reed mace/
蒲 [こうほ] /(n) (uk) common cattail (Typha latifolia)/common bulrush/common reed mace/
蒲葵 [びろう] /(n) (uk) Chinese fan palm (Livistona chinensis)/
蒲葵 [ほき] /(n) (uk) Chinese fan palm (Livistona chinensis)/
蒲魚 [かまとと] /(n) (1) (uk) feigning innocence, ignorance or naivety/(2) someone (esp. a woman) pretending to be innocent, ignorant or naive/
蒲公英 [たんぽぽ] /(gikun) (n) (uk) dandelion (esp. species Taraxacum platycarpum)/
蒲公英 [ほこうえい] /(n) (uk) dandelion (esp. species Taraxacum platycarpum)/
蒲桜 [かにわざくら] /(n) (1) any cherry tree with birch-like bark/(2) (arch) Japanese bird cherry (Prunus grayana)/
蒲桜 [かばざくら] /(n) (1) (uk) ornamental variety of double weeping rosebud cherry/(2) any cherry tree with birch-like bark/(3) (arch) Japanese bird cherry (Prunus grayana)/
蒲焼 [かばやき] /(n) loach or eel dipped and broiled in soy-based sauce/
蒲焼き [かばやき] /(n) loach or eel dipped and broiled in soy-based sauce/
蒲色 [かばいろ] /(n) reddish yellow/
蒲薦 [ほせん] /(n) bulrush mat/
蒲団 [ふとん] /(n) (1) futon (quilted Japanese-style mattress laid out on the floor)/(2) round cushion used for Zen meditation (traditionally made of woven bulrush leaves)/
蒲団蒸し [ふとんむし] /(n) burying a person under a futon in fun/
蒲団皮 [ふとんがわ] /(n) quilting/ticking/
蒲伏 [ほふく] /(n,vs) creeping/crawling/sneaking/
蒲鉾 [かまぼこ] /(n) (processed) fish paste/
蒲鉾兵舎 [かまぼこへいしゃ] /(n) Quonset hut/
蒲柳 [ほりゅう] /(n) purple willow/infirmity/delicate constitution/
蒲柳の質 [ほりゅうのしつ] /(n) delicate health/fragile health/
釜 [かま] /(n) iron pot/kettle/(P)/
釜を掘る [かまをほる] /(exp,v5r) (1) (uk) (col) (vulg) to perform anal sex/to bugger/to sodomize/to sodomise/(2) to crash one's car into the back of another/
釜式 [かましき] /(n) kettle rest (tea ceremony)/
釜場 [かまば] /(n) boiler room/
釜飯 [かまめし] /(n) rice, meat and vegetable dish served in a small pot/
釜敷き [かましき] /(n) kettle rest/
釜風呂 [かまぶろ] /(n) steam bath (often using brine)/
釜揚げうどん [かまあげうどん] /(n) udon noodles eaten by dipping in a hot broth/
釜揚げ饂飩 [かまあげうどん] /(n) udon noodles eaten by dipping in a hot broth/
釜茹で [かまゆで] /(n) boiling in an iron pot/
鎌 [かま] /(n) (1) sickle/(2) (abbr) sickle-and-chain (weapon)/(3) (abbr) type of spear with curved cross-blades/(4) (abbr) gooseneck tenon and mortise joint/(5) (arch) noisiness/(6) (uk) part of a fish around the gills/(P)/
鎌をかける [かまをかける] /(exp,v1) to trick someone (into confirming or revealing the truth)/to ask a leading question/
鎌を掛ける [かまをかける] /(exp,v1) to trick someone (into confirming or revealing the truth)/to ask a leading question/
鎌海豚 [かまいるか] /(n) (uk) Pacific white-sided dolphin (Lagenorhynchus obliquidens)/
鎌脚虫 [かまあしむし] /(n) (uk) proturan (any wingless insect of order Protura)/
鎌形 [かまがた] /(n,adj-no) sickle-shaped/falciform/
鎌形赤血球貧血症 [かまがたせっけっきゅうひんけつしょう] /(n) sickle cell anemia (anaemia)/sickle cell disease/
鎌継 [かまつぎ] /(n) gooseneck tenon and mortise joint/
鎌継ぎ [かまつぎ] /(n) gooseneck tenon and mortise joint/
鎌止め [かまどめ] /(n) cutting grass and trees is prohibited/
鎌首 [かまくび] /(n) crooked neck (lit. a neck shaped like a sickle) (found in snakes or praying mantises)/gooseneck/
鎌首をもたげる [かまくびをもたげる] /(exp,v1) to raise one's head (esp. of a snake)/
鎌状赤血球症 [かまじょうせっけっきゅうしょう] /(n) sickle cell disease/sickle cell anemia (anaemia)/
鎌状赤血球貧血 [かまじょうせっけっきゅうひんけつ] /(n) sickle cell anemia (anaemia)/sickle cell disease/
鎌切 [かまきり] /(n) (uk) praying mantis (esp. the narrow-winged mantis, Tenodera angustipennis)/
鎌倉五山 [かまくらござん] /(n) the five great Rinzai temples of Kamakura (Kencho-ji, Engaku-ji, Jufuku-ji, Jochi-ji, Jomyo-ji)/
鎌倉時代 [かまくらじだい] /(n) Kamakura period (1185-1333 CE)/
鎌倉新仏教 [かまくらしんぶっきょう] /(n) new schools of Japanese Buddhism founded during the Kamakura period/
鎌倉彫り [かまくらぼり] /(n) carvings of the Kamakura style/
鎌倉幕府 [かまくらばくふ] /(n) Kamakura shogunate (1185-1333 CE)/
鎌槍 [かまやり] /(n) type of spear with curved cross-blades/
鎌足 [かまあし] /(n) legs bowed in/sitting with heels spread apart/
鎌足虫目 [かまあしむしもく] /(n) Protura (order of wingless insects)/
鎌入れ [かまいれ] /(n) harvesting/
鎌髭 [かまひげ] /(n) (arch) sickle-shaped moustache (often worn by servants in the Edo period)/
鎌柄 [かまつか] /(n) (1) (uk) sickle handle/(2) goby minnow (Pseudogobio esocinus)/(3) Oriental photinia (species of shrub, Photinia villosa)/(4) Asiatic dayflower (Commelina communis)/(5) Joseph's-coat (species of amaranth, Amaranthus tricolor)/
鎌宝蔵院流 [かまほうぞういんりゅう] /(n) (obsc) Hozoin-ryu (school of sojutsu)/
鎌鼬 [かまいたち] /(n) (1) type Japanese folkloric monster (yokai), thought to be a trio of weasels who appear in a whirlwind to cut their victim/(2) cut caused by whirlwind/
噛しめる [かみしめる] /(v1,vt) (1) to chew thoroughly/(2) to reflect upon/to digest/
噛ます [かます] /(v5s) (1) to force something into someone's mouth (i.e. a gag)/(2) to wedge something into a space, filling it/(3) to feed someone (something)/
噛ませる [かませる] /(v1) (1) (uk) to force something into someone's mouth (i.e. a gag)/(2) to wedge something into a space, filling it/(3) to feed someone (something)/
噛ませ犬 [かませいぬ] /(n) foil/someone to look as if he's putting up a fight but actually have no chance of winning/
噛みこなす [かみこなす] /(v5s,vt) to chew/to digest/
噛みしだく [かみしだく] /(v5k,vt) (1) to crush with the teeth/to crunch/(2) to simplify/
噛みつく [かみつく] /(v5k,vt) to bite (at)/to snap at/to snarl at/
噛みタバコ [かみタバコ] /(n) chewing tobacco/
噛み煙草 [かみたばこ] /(n) chewing tobacco/
噛み合う [かみあう] /(v5u,vi) (1) to gear (engage) with/to be in gear (mesh)/(2) to bite each other/
噛み合せ [かみあわせ] /(n) (1) engaging or meshing (of gears)/(2) occlusion (of teeth)/
噛み合せる [かみあわせる] /(v1) (1) to clench (teeth)/to engage (gears)/(2) to set to fighting/
噛み合わせる [かみあわせる] /(v1) (1) to clench (teeth)/to engage (gears)/(2) to set to fighting/
噛み砕く [かみくだく] /(v5k,vt) (1) to crunch/to masticate/(2) to simplify/to explain plainly/
噛み殺す [かみころす] /(v5s,vt) (1) to stifle a smile, yawn, etc./(2) to bite to death/
噛み熟す [かみこなす] /(v5s,vt) to chew/to digest/
噛み切る [かみきる] /(v5r,vt) to bite off/to gnaw through/
噛み潰す [かみつぶす] /(v5s,vt) to chew up/
噛み締める [かみしめる] /(v1,vt) (1) to chew thoroughly/(2) to reflect upon/to digest/
噛み付き亀 [かみつきがめ] /(n) (uk) snapping turtle (Chelydra serpentina)/
噛み付く [かみつく] /(v5k,vt) to bite (at)/to snap at/to snarl at/(P)/
噛み分ける [かみわける] /(v1,vt) to taste/to distinguish/to understand/
噛む [かむ] /(v5m,vt) (1) to bite/to chew/to gnaw/(2) to fumble or falter with one's words/(P)/
噛りつく [かじりつく] /(v5k,vi) to bite into/to stick to/
噛りつく [かぶりつく] /(v5k,vi) to bite into/to stick to/
噛り付き [かぶりつき] /(n) (uk) front-row sets/ringside seats/
噛り付く [かじりつく] /(v5k,vi) to bite into/to stick to/
噛り付く [かぶりつく] /(v5k,vi) to bite into/to stick to/
噛る [かじる] /(v5r,vt) (1) to chew/to bite (at)/to gnaw/to nibble/to munch/to crunch/to have a smattering of/(2) to dabble in (e.g. hobby, instrument)/
噛んで含めるように [かんでふくめるように] /(exp) in an easy-to-understand manner/in a very kind and detailed way/
噛んで吐き出すように [かんではきだすように] /(exp) curtly, in a displeased manner/
噛煙草 [かみたばこ] /(n) chewing tobacco/
噛合う [かみあう] /(v5u,vi) (1) to gear (engage) with/to be in gear (mesh)/(2) to bite each other/
噛合せ [かみあわせ] /(n) (1) engaging or meshing (of gears)/(2) occlusion (of teeth)/
噛合わせ [かみあわせ] /(n) (1) engaging or meshing (of gears)/(2) occlusion (of teeth)/
噛合わせる [かみあわせる] /(v1) (1) to clench (teeth)/to engage (gears)/(2) to set to fighting/
噛砕く [かみくだく] /(v5k,vt) (1) to crunch/to masticate/(2) to simplify/to explain plainly/
噛殺す [かみころす] /(v5s,vt) (1) to stifle a smile, yawn, etc./(2) to bite to death/
噛柴 [たむしば] /(n) (uk) willow-leafed magnolia (Magnolia salicifolia)/anise magnolia/
噛熟す [かみこなす] /(v5s,vt) to chew/to digest/
噛傷 [かみきず] /(n) bite (wound)/
噛潰す [かみつぶす] /(v5s,vt) to chew up/
噛締める [かみしめる] /(v1,vt) (1) to chew thoroughly/(2) to reflect upon/to digest/
噛付く [かみつく] /(v5k,vt) to bite (at)/to snap at/to snarl at/
噛付亀 [かみつきがめ] /(n) (uk) snapping turtle (Chelydra serpentina)/
噛分ける [かみわける] /(v1,vt) to taste/to distinguish/to understand/
鴨 [かも] /(n) (1) (uk) duck/(2) easy mark/sucker/sitting duck/(P)/
鴨がねぎをしょってくる [かもがねぎをしょってくる] /(exp,vk) along comes a sucker just begging to be parted from his money (lit: a duck comes carrying an onion)/
鴨がねぎをしょって来る [かもがねぎをしょってくる] /(exp,vk) along comes a sucker just begging to be parted from his money (lit: a duck comes carrying an onion)/
鴨がねぎを背負ってくる [かもがねぎをしょってくる] /(exp,vk) along comes a sucker just begging to be parted from his money (lit: a duck comes carrying an onion)/
鴨がねぎを背負って来る [かもがねぎをしょってくる] /(exp,vk) along comes a sucker just begging to be parted from his money (lit: a duck comes carrying an onion)/
鴨が葱をしょって来る [かもがねぎをしょってくる] /(exp,vk) along comes a sucker just begging to be parted from his money (lit: a duck comes carrying an onion)/
鴨が葱を背負って来る [かもがねぎをしょってくる] /(exp,vk) along comes a sucker just begging to be parted from his money (lit: a duck comes carrying an onion)/
鴨にする [かもにする] /(exp,vs-i) (1) (uk) (col) to easily attain victory/(2) to dupe/to swindle/
鴨ねぎ [かもねぎ] /(exp) (1) (sl) (abbr) along comes a sucker just begging to be parted from his money/(2) double stroke of good luck/Perfect timing!/How convenient (for you to show up)!/
鴨の嘴 [かものはし] /(n) (uk) platypus (Ornithorhynchus anatinus)/
鴨る [かもる] /(v5r) (1) (uk) (col) to easily attain victory/to eat one's opponent alive/(2) to bilk/to swindle/to dupe/
鴨ネギ [かもネギ] /(exp) (1) (sl) (abbr) along comes a sucker just begging to be parted from his money/(2) double stroke of good luck/Perfect timing!/How convenient (for you to show up)!/
鴨科 [かもか] /(n) Anatidae (duck family of birds)/
鴨茅 [かもがや] /(n) orchard grass/
鴨脚樹 [いちょう] /(n) (uk) ginkgo (Ginkgo biloba)/gingko/maidenhair tree/
鴨居 [かもい] /(n) lintel/
鴨打ち [かもうち] /(n) duck hunting/
鴨鍋 [かもなべ] /(n) dish of duck meat cooked with cabbage, spring onions, tofu, etc./
鴨南蛮 [かもなんばん] /(n) (food) noodles with duck meat and Welsh onions/
鴨肉 [かもにく] /(n) duck meat/duck flesh/canard viande/
鴨葱 [かもねぎ] /(exp) (1) (sl) (abbr) along comes a sucker just begging to be parted from his money/(2) double stroke of good luck/Perfect timing!/How convenient (for you to show up)!/
鴨目 [かももく] /(n) Anseriformes (order of swimming birds)/
鴨猟 [かもりょう] /(n) duck hunting/
鴨嘴 [かものはし] /(n) (uk) platypus (Ornithorhynchus anatinus)/
鴨嘴竜 [かもはしりゅう] /(n) duck-billed dinosaur/hadrosaur/
茅 [かや] /(n) hay/various gramineous grasses (e.g. eularies)/plants used for thatching/
茅 [ち] /(n) (uk) cogon grass (Imperata cylindrica)/
茅 [ちがや] /(n) (uk) cogon grass (Imperata cylindrica)/
茅の輪 [ちのわ] /(n) cogon grass ring (through which people pass during summer purification rites)/
茅ぶき [かやぶき] /(n) thatching a roof with grass/
茅屋 [かやや] /(n) thatched cottage/hovel/my humble cottage/
茅屋 [ぼうおく] /(n) thatched cottage/hovel/my humble cottage/
茅萱 [ちがや] /(n) (uk) cogon grass (Imperata cylindrica)/
茅舎 [ぼうしゃ] /(n) thatched cottage/hovel/my humble cottage/
茅場 [かやば] /(n) hayfield/field of miscanthus/
茅潜 [かやくぐり] /(n) (uk) Japanese accentor (Prunella rubida)/
茅潜り [かやくぐり] /(n) (uk) Japanese accentor (Prunella rubida)/
茅台酒 [マオタイしゅ] /(n) maotai (variety of distilled Chinese alcohol)/
茅葺 [かやぶき] /(n) thatching a roof with grass/
茅葺き [かやぶき] /(n) thatching a roof with grass/
茅門 [かやもん] /(n) (1) thatched-roof gate (used as the entrance to a garden, esp. of a tea ceremony house)/
茅門 [ぼうもん] /(n) (1) thatched-roof gate (used as the entrance to a garden, esp. of a tea ceremony house)/(2) (hum) my home/
茅渟 [ちぬ] /(n) (uk) black porgy (Acanthopagrus schlegeli)/
茅渟鯛 [ちぬだい] /(n) (uk) (obsc) black porgy (Acanthopagrus schlegeli)/
茅蜩 [ひぐらし] /(n) (uk) evening cicada (Tanna japonensis)/
萱鼠 [かやねずみ] /(n) (uk) harvest mouse (Mus minutus)/
萱草 [かんぞう] /(n) hemerocallis/daylily/
萱草 [わすれぐさ] /(n) (1) (uk) Hemerocallis fulva var. kwanso (variety of daylily)/(2) tobacco/
萱堂 [けんどう] /(n) (hon) (arch) mother/
萱門 [かやもん] /(n) (1) thatched-roof gate (used as the entrance to a garden, esp. of a tea ceremony house)/
粥 [かゆ] /(n) thin rice porridge/watery cooked rice/rice gruel/(P)/
粥腹 [かゆばら] /(n) surviving on rice gruel/
刈 [かり] /(n) cut/clip/shear/reap/trim/prune/
刈りそろえる [かりそろえる] /(v1) (obsc) to crop/to shear/to cut or trim something evenly/to make all the same length/
刈り株 [かりかぶ] /(n) stubble/
刈り干す [かりほす] /(v5s,vt) to cut and dry (in the sun)/
刈り込み [かりこみ] /(n) haircut/pruning/
刈り込み鋏 [かりこみばさみ] /(n) hedge clippers/
刈り込む [かりこむ] /(v5m,vt) to cut/to dress/to prune/to trim/to clip/(P)/
刈り根 [かりね] /(n) stubble/
刈り取り [かりとり] /(n) harvesting/reaping/
刈り取り機 [かりとりき] /(n) reaping machine/
刈り取る [かりとる] /(v5r,vt) to mow/to reap/to harvest/(P)/
刈り手 [かりて] /(n) mower/reaper/
刈り上げ [かりあげ] /(n) close-cropped hair/harvesting/
刈り上げる [かりあげる] /(v1,vt) to reap completely/to trim up (the hair)/to dress up/
刈り跡 [かりあと] /(n) cut-over land/
刈り揃える [かりそろえる] /(v1) (obsc) to crop/to shear/to cut or trim something evenly/to make all the same length/
刈り田 [かりた] /(n) harvested rice field/
刈り入れ [かりいれ] /(n,vs) harvest/(P)/
刈り入れる [かりいれる] /(v1,vt) to harvest/to reap/
刈り入れ人 [かりいれびと] /(n) reapers/
刈り葺く [かりふく] /(v5k,vt) to thatch (a roof)/
刈り払い [かりはらい] /(n) weeding (prior to tree-planting)/
刈り払い機 [かりはらいき] /(n) weed whacker/
刈り穂 [かりほ] /(n) harvested grain/harvested rice ears/
刈り立て [かりたて] /(exp) new mown/newly cut (hair)/
刈る [かる] /(v5r,vt) to cut (hair)/to mow (grass)/to harvest/to clip/to shear/to reap/to trim/to prune/(P)/
刈込む [かりこむ] /(v5m,vt) to cut/to dress/to prune/to trim/to clip/
刈取る [かりとる] /(v5r,vt) to mow/to reap/to harvest/
刈除 [かいじょ] /(n,vs) removal/cut off/mowing/
刈除 [がいじょ] /(n,vs) removal/cut off/mowing/
刈田 [かりた] /(n) harvested rice field/
刈入 [かりいれ] /(io) (n,vs) harvest/
刈入れ [かりいれ] /(n,vs) harvest/
刈入れる [かりいれる] /(v1,vt) to harvest/to reap/
刈払い [かりはらい] /(n) weeding (prior to tree-planting)/
刈払い機 [かりはらいき] /(n) weed whacker/
刈穂 [かりほ] /(n) harvested grain/harvested rice ears/
苅る [かる] /(v5r,vt) to cut (hair)/to mow (grass)/to harvest/to clip/to shear/to reap/to trim/to prune/
苅萱 [かるかや] /(n) Themeda japonica/
瓦 [かわら] /(n) roof tile/(P)/
瓦 [グラム] /(n) (uk) gram/gramme/
瓦屋 [かわらや] /(n) tilemaker/
瓦屋根 [かわらやね] /(n) tiled roof/
瓦家 [かわらや] /(n) tile-roofed house/
瓦解 [がかい] /(n,vs) collapse/downfall/
瓦斯 [がす] /(ateji) (n,adj-no) (uk) gas (dut:, eng:)/
瓦斯灯 [ガスとう] /(ateji) (n) gas light/gas lamp/
瓦斯燈 [ガスとう] /(ateji) (oK) (n) gas light/gas lamp/
瓦人形 [かわらにんぎょう] /(n) tile figure/ceramic figurine/
瓦煎餅 [かわらせんべい] /(n) tile-shaped rice-cracker/
瓦全 [がぜん] /(n) meaningless existence/
瓦灯口 [がとうぐち] /(n) low entrance (usually, but not always, to a teahouse) with a tiled archway overhead/
瓦当 [がとう] /(n) decorative cap of an eave-end roof tile/
瓦版 [かわらばん] /(n) tile block print (newspaper in Tokugawa period)/
瓦葺 [かわらぶき] /(n) tile-roofing/
瓦葺き [かわらぶき] /(n) tile-roofing/
瓦毛 [かわらげ] /(n) buckskin (horse color)/
瓦落多 [がらくた] /(ateji) (n) (uk) junk/rubbish/trash/garbage/odds and ends/
瓦當 [がとう] /(oK) (n) decorative cap of an eave-end roof tile/
瓦礫 [がりゃく] /(n) rubble/
瓦礫 [がれき] /(n) rubble/
乾 [いぬい] /(n) (arch) northwest/
乾 [けん] /(n) qian (one of the trigrams of the I Ching: heaven, northwest)/
乾 [ほし] /(io) (n,n-pref) drying/dried/
乾かす [かわかす] /(v5s,vt) to dry (clothes, etc.)/to desiccate/(P)/
乾き [かわき] /(n) drying/dryness/
乾ききる [かわききる] /(v5r) (1) to drain dry/to dry out/(2) to scorch/
乾きの早い [かわきのはやい] /(adj-i) fast drying (clothes)/
乾く [かわく] /(v5k,vi) to get dry/(P)/
乾し [ほし] /(n,n-pref) drying/dried/
乾し柿 [ほしがき] /(n) dried persimmons/
乾し菜 [ほしな] /(n) dried leaves (esp. of daikon and turnip)/
乾し場 [ほしば] /(n) drying place/drying ground/
乾し物 [ほしもの] /(n) things dried in the sun, esp. clothes, died cloth, etc./
乾す [ほす] /(v5s,vt) (1) to air/to dry/to desiccate/(2) to drain (off)/(3) to drink up/(4) to deprive of a role, job, etc. (usu. in the passive)/
乾せる [かせる] /(v1) (1) to dry up/to scab/to slough/(2) to be poisoned (with lacquer)/(3) (arch) to waste away/
乾っ風 [からっかぜ] /(n) a cold, strong, dry wind/
乾びる [からびる] /(v1,vi) to dry up/to shrivel/
乾ドック [かんドック] /(n) dry dock/
乾パン [かんパン] /(n) cracker/hard biscuit/hardtack/
乾位 [けんい] /(n) (obsc) northwest/
乾果 [かんか] /(n) (1) dry fruit (i.e. nuts)/(2) dried fruit/
乾菓子 [ひがし] /(n) dried candies or confections/cookies/
乾蝦 [ほしえび] /(n) dried shrimp/
乾海苔 [ほしのり] /(n) dried edible seaweed/
乾咳 [からせき] /(n) (1) dry cough/hacking cough/(2) intentional cough (i.e. to get someone's attention)/
乾咳 [からぜき] /(n) (1) dry cough/hacking cough/(2) intentional cough (i.e. to get someone's attention)/
乾柿 [ほしがき] /(n) dried persimmons/
乾干し [からぼし] /(n) sun-dried fish or vegetables/
乾期 [かんき] /(n,adj-no) dry season/(P)/
乾季 [かんき] /(n,adj-no) dry season/(P)/
乾球 [かんきゅう] /(n) dry-bulb/
乾球温度計 [かんきゅうおんどけい] /(n) dry-bulb thermometer/
乾魚 [かんぎょ] /(n) dried fish/stockfish/
乾魚 [ひうお] /(n) dried fish/stockfish/
乾魚 [ひざかな] /(n) dried fish/stockfish/
乾魚 [ほしうお] /(n) dried fish/stockfish/
乾魚 [ほしざかな] /(n) dried fish/stockfish/
乾元 [けんげん] /(n) Kengen era (1302.11.21-1303.8.5)/
乾舷 [かんげん] /(n) freeboard/
乾固 [かんこ] /(n,vs) dry and harden/
乾固まる [ひかたまる] /(v5r) to dry and harden/
乾枯 [かんこ] /(n,vs) completely drying up/
乾枯らびる [ひからびる] /(v1,vi) to dry up completely/to become stale/
乾坤 [けんこん] /(n) heaven and earth/universe/
乾坤一擲 [けんこんいってき] /(n) stake all (on something)/play for all or nothing/throwing all into a task/
乾菜 [かんさい] /(n) dried vegetables/
乾菜 [ほしな] /(n) dried leaves (esp. of daikon and turnip)/
乾材 [かんざい] /(n) dry lumber/
乾鮭 [からざけ] /(n) dried salted salmon/
乾児 [こぶん] /(n) (1) henchman/follower/
乾式 [かんしき] /(n,adj-no) dry process/
乾式工法 [かんしきこうほう] /(n) dry construction/
乾式製錬 [かんしきせいれん] /(n) fire refining/
乾湿 [かんしつ] /(n) degree of humidity/
乾湿球湿度計 [かんしつきゅうしつどけい] /(n) wet and dry-bulb thermometer/
乾湿計 [かんしつけい] /(n) humidity meter/
乾漆像 [かんしつぞう] /(n) lacquered (wooden) Buddha statue/
乾所帯 [かんじょたい] /(n) poverty-stricken household/
乾上がる [ひあがる] /(v5r,vi) to dry up/to parch/to ebb away/
乾場 [かんば] /(n) place to dry seaweed/
乾場 [ほしば] /(io) (n) drying place/drying ground/
乾拭 [からぶき] /(n,vs) polishing with a dry cloth/
乾拭き [からぶき] /(n,vs) polishing with a dry cloth/
乾蝕 [かんしょく] /(n) the rotting of lumber stored with poor air circulation/
乾性 [かんせい] /(adj-na,n,adj-no) dry/dryness/dry (pleurisy)/
乾性油 [かんせいゆ] /(n) drying oil/linseed oil/
乾生植物 [かんせいしょくぶつ] /(n) xerophyte/
乾生姜 [かんしょうが] /(n) powdered ginger/
乾雪 [かんせつ] /(n) (obsc) dry snow/
乾船渠 [かんせんきょ] /(n) dry dock/
乾燥 [かんそう] /(n,vs) dry/arid/insipid/dehydrated/(P)/
乾燥果 [かんそうか] /(n) (1) dry fruit (i.e. nuts)/(2) dried fruit/
乾燥感 [かんそうかん] /(n) dry, parched, or dehydrated feeling/
乾燥器 [かんそうき] /(n) drying machine/dryer/desiccator/
乾燥期 [かんそうき] /(n) dry season/dry spell/dry period/
乾燥機 [かんそうき] /(n) drying machine/dryer/desiccator/
乾燥気候 [かんそうきこう] /(n) arid climate/
乾燥季 [かんそうき] /(n) dry season/dry spell/dry period/
乾燥牛乳 [かんそうぎゅうにゅう] /(n) powdered milk/
乾燥血漿 [かんそうけっしょう] /(n) dried plasma/
乾燥剤 [かんそうざい] /(n) drying agent/
乾燥材 [かんそうざい] /(n) seasoned lumber/
乾燥室 [かんそうしつ] /(n) drying room/
乾燥性前鼻炎 [かんそうせいぜんびえん] /(n) rhinitis sicca anterior/
乾燥洗濯 [かんそうせんたく] /(n) dry cleaning/
乾燥地 [かんそうち] /(n) dry land/
乾燥地形 [かんそうちけい] /(n) arid landforms/
乾燥地帯 [かんそうちたい] /(n) arid region/
乾燥地農業 [かんそうちのうぎょう] /(n) dry farming/
乾燥腐朽 [かんそうふきゅう] /(n) dry rot/
乾燥無味 [かんそうむみ] /(adj-na,n) dryness/dullness/
乾燥野菜 [かんそうやさい] /(n) dehydrated vegetables/
乾燥卵 [かんそうたまご] /(n) dehydrated eggs/
乾燥炉 [かんそうろ] /(n) drying furnace/
乾草 [かんそう] /(n) hay/dry grass/
乾草 [ほしくさ] /(n) hay/dry grass/
乾草 [ほしぐさ] /(n) hay/dry grass/
乾地農法 [かんちのうほう] /(n) dry farming/
乾竹 [からたけ] /(n) (1) (uk) Japanese timber bamboo (Phyllostachys bambsoides)/giant timber bamboo/madake/(2) Henon bamboo (Phyllostachys nigra var. henonis)/
乾田 [かんでん] /(n) dry paddy field/
乾電池 [かんでんち] /(n) dry cell/battery/(P)/
乾徳 [けんとく] /(n) emperor's virtue/
乾肉 [ほしにく] /(n) dried meat/pemmican/
乾杯 [かんぱい] /(n,vs) (1) toast/drink (in celebration or in honor of something)/(2) drinking one's glass dry/(int) (3) cheers/(P)/
乾盃 [かんぱい] /(oK) (n,vs) (1) toast/drink (in celebration or in honor of something)/(2) drinking one's glass dry/(int) (3) cheers/
乾板 [かんばん] /(n) dry plate/
乾板 [かんぱん] /(n) dry plate/
乾飯 [かれい] /(n) dried boiled rice/
乾飯 [かれいい] /(n) dried boiled rice/
乾飯 [ほしいい] /(n) dried boiled rice/
乾皮 [かんぴ] /(n) dried hides/
乾瓢 [かんぴょう] /(n) strips of dried gourd/
乾布 [かんぷ] /(n) dry towel/
乾布摩擦 [かんぷまさつ] /(n) a rubdown with a dry towel/
乾葡萄 [ほしぶどう] /(n) raisin/raisins/
乾風 [からかぜ] /(n) dry wind/
乾物 [からもの] /(n,adj-no) dried fish/groceries/
乾物 [かんぶつ] /(n,adj-no) dried fish/groceries/
乾物 [ひもの] /(n,adj-no) dried fish/groceries/
乾物 [ほしもの] /(n) things dried in the sun, esp. clothes, died cloth, etc./(P)/
乾物屋 [かんぶつや] /(n) grocery store/
乾分 [こぶん] /(n) (1) henchman/follower/
乾麺 [かんめん] /(n) dried noodles/
乾麺麭 [かんめんぽう] /(n) (arch) hardtack/cracker/hard biscuit/
乾葉 [ひば] /(n) dried leaves/dried daikon leaves/
乾酪 [かんらく] /(n) cheese/
乾酪素 [かんらくそ] /(n) casein/
乾溜 [かんりゅう] /(n,vs) dry distillation/
乾留 [かんりゅう] /(n,vs) dry distillation/
乾裂 [かんれつ] /(n) cracks in drying lumber/
乾涸びる [ひからびる] /(v1,vi) to dry up completely/to become stale/
乾癬 [かんせん] /(n,adj-no) psoriasis/
乾芻 [かんすう] /(n) hay/
乾闥婆 [けんだつば] /(n) (Buddh) gandharva (heavenly musicians and protectors of Buddhism)/
侃々諤々 [かんかんがくがく] /(adj-no,adj-t,adv-to) outspoken/arguing (heatedly) what one believes in/insisting on something without restraint/
侃々諤諤 [かんかんがくがく] /(adj-no,adj-t,adv-to) outspoken/arguing (heatedly) what one believes in/insisting on something without restraint/
侃侃諤諤 [かんかんがくがく] /(adj-no,adj-t,adv-to) outspoken/arguing (heatedly) what one believes in/insisting on something without restraint/
冠 [かうぶり] /(n) (arch) order/rank/
冠 [かがふり] /(n) (arch) order/rank/
冠 [かぶり] /(n) (arch) order/rank/
冠 [かむり] /(n) (1) cap (esp. a traditional cap worn with sokutai or ikan clothing)/crown/diadem/coronet/(2) first verse of a haikai, etc./
冠 [かん] /(n) (1) cap (esp. a traditional cap worn with sokutai or ikan clothing)/crown/diadem/coronet/(adj-t,adv-to) (2) best/peerless/first/
冠 [かんぶり] /(n) (1) cap (esp. a traditional cap worn with sokutai or ikan clothing)/crown/diadem/coronet/
冠 [かんむり] /(n) (1) cap (esp. a traditional cap worn with sokutai or ikan clothing)/crown/diadem/coronet/(2) top kanji radical/(P)/
冠 [こうぶり] /(n) (arch) order/rank/
冠す [かんす] /(vs-c,vt) (1) to crown/to cap/(2) to prefix with/to start with/to begin with/
冠する [かんする] /(vs-s,vt) (1) to crown/to cap/(2) to prefix with/to start with/to begin with/
冠たる [かんたる] /(adj-pn) best/matchless/peerless/unparalleled/unrivalled/
冠り物 [かぶりもの] /(n) headdress/headgear/
冠る [かぶる] /(v5r,vt) (1) to wear (on head, usu. one's own)/to put on (over head, usu. one's own)/to crown (oneself)/(2) to pour or dash water, dust, etc. (on oneself)/(3) to bear (e.g. someone's debts, faults, etc.)/(4) to overlap/
冠る [かむる] /(v5r,vt) (1) to wear (on head, usu. one's own)/to put on (over head, usu. one's own)/to crown (oneself)/(2) to pour or dash water, dust, etc. (on oneself)/(3) to bear (e.g. someone's debts, faults, etc.)/(4) to overlap/
冠を曲げる [かんむりをまげる] /(exp,v1) to become displeased/to get stubborn/
冠を付ける [かんむりをつける] /(exp,v1) to put on a crown/
冠位 [かんい] /(n) system indicating court ranks by headgear colors (colours)/
冠位十二階 [かんいじゅうにかい] /(n) first system to rank officials into 12 levels (603 AD)/
冠羽 [かんう] /(n) bird's crest/
冠婚葬祭 [かんこんそうさい] /(n) important ceremonial occasions in family relationships/(P)/
冠座 [かんむりざ] /(n) Corona Borealis (constellation)/
冠詞 [かんし] /(n) (ling) article/
冠辞 [かんじ] /(n) stereotyped epithet/
冠者 [かじゃ] /(n) young person/young servant/young man come of age (at 16)/
冠者 [かんじゃ] /(n) young person/young servant/young man come of age (at 16)/
冠省 [かんしょう] /(n) letter salutation/
冠省 [かんせい] /(ik) (n) letter salutation/
冠称 [かんしょう] /(n,vs) brand name/company name/
冠状 [かんじょう] /(n,adj-no) coronary/
冠状静脈 [かんじょうじょうみゃく] /(n) coronary vein/
冠状動脈 [かんじょうどうみゃく] /(n,adj-no) coronary artery/
冠状動脈血栓症 [かんじょうどうみゃくけっせんしょう] /(n) coronary thrombosis/
冠状動脈疾患 [かんじょうどうみゃくしっかん] /(n) coronary-artery disease/
冠水 [かんすい] /(n,vs) flooding/submerge/
冠雪 [かんせつ] /(n,vs) snow-capped peak/
冠絶 [かんぜつ] /(n,vs) unique/unsurpassed/ranking foremost/
冠大会 [かんむりたいかい] /(n) sports competition sponsored by a business enterprise/
冠鶴 [かんむりづる] /(n) crowned crane/
冠動脈 [かんどうみゃく] /(n) coronary artery/
冠鳩 [かんむりばと] /(n) crowned pigeon/
冠不全 [かんふぜん] /(n) coronary insufficiency/
冠物 [かぶりもの] /(n) headdress/headgear/
冠名 [かんむりめい] /(n,adj-no) eponym (word derived from the name of a place or person)/
冠名 [かんめい] /(n,adj-no) eponym (word derived from the name of a place or person)/
冠毛 [かんもう] /(n,adj-no) thistledown/
冠木 [かぶき] /(n) lintel/crossbar/gate with a crossbar/roofed gate/
冠木門 [かぶきもん] /(n) gate with a crossbar/
冠鷲 [かんむりわし] /(n) (uk) crested serpent eagle (Spilornis cheela)/
冠纓 [かんえい] /(n) string of a crown (to prevent it from falling off)/
冠鳰 [かんむりかいつぶり] /(n) (uk) Great Crested Grebe (Podiceps cristatus)/
寒 [かん] /(n) midwinter/cold season/coldest days of the year/
寒 [さぶ] /(n,int) cold/
寒 [さむ] /(n,int) cold/
寒々 [さむざむ] /(adv,n) desolate/wintry/
寒々しい [さむざむしい] /(adj-i) bleak/chilly/dreary/
寒々した心 [さむざむしたこころ] /(n) feeling listless/
寒い [さぶい] /(adj-i) (1) cold (e.g. weather)/(2) dull/uninteresting/lame/
寒い [さむい] /(adj-i) (1) cold (e.g. weather)/(2) dull/uninteresting/lame/(P)/
寒からしめる [さむからしめる] /(v1) (arch) to make cold/to chill/
寒がり [さむがり] /(adj-no,adj-na,n) sensitivity to cold/
寒がりや [さむがりや] /(n) someone who feels the cold/someone sensitive to cold/
寒がり屋 [さむがりや] /(n) someone who feels the cold/someone sensitive to cold/
寒がる [さむがる] /(v5r,vi) to be bothered by coldness/to complain about the cold/
寒さ [さむさ] /(n) coldness/(P)/
寒さに向かうと [さむさにむかうと] /(exp) as winter approaches/
寒の入り [かんのいり] /(n) beginning of midwinter/
寒葵 [かんあおい] /(n) (uk) Asarum nipponicum (species of wild ginger)/
寒烏 [かんがらす] /(n) crow in winter/
寒雨 [かんう] /(n) cold winter rain/
寒雲 [かんうん] /(n) clouds in midwinter/cold winter clouds/
寒煙 [かんえん] /(n) cold smoke/
寒害 [かんがい] /(n) damage from cold weather/
寒寒 [さむざむ] /(adv,n) desolate/wintry/
寒寒しい [さむざむしい] /(adj-i) bleak/chilly/dreary/
寒寒した心 [さむざむしたこころ] /(n) feeling listless/
寒気 [かんき] /(n) (1) cold/coldness/cold air/(P)/
寒気 [さむけ] /(n) (1) chill/the shivers/shivering fit/(2) cold/coldness/cold air/(P)/
寒気団 [かんきだん] /(n) a cold air mass/
寒気立つ [さむけだつ] /(v5t,vi) to feel cold/to have a chill/
寒気凛々 [かんきりんりん] /(adj-t,adv-to) it (the weather) being piercing (bitterly) cold/
寒気凛凛 [かんきりんりん] /(adj-t,adv-to) it (the weather) being piercing (bitterly) cold/
寒菊 [かんぎく] /(n) Chinese aster (hardy variety of chrysanthemum)/Chrysanthemum indicum/Chrysanthemum morifolium/
寒極 [かんきょく] /(n) a place of extreme cold/
寒九 [かんく] /(n) ninth day of the cold season (approx January 13th)/
寒空 [さむぞら] /(n) cold weather/
寒稽古 [かんげいこ] /(n) mid-winter training/
寒月 [かんげつ] /(n) wintry moon/a winter month/
寒鯉 [かんごい] /(n) koi carp caught during the cold season/
寒垢離 [かんごり] /(n) cold-water ablutions performed in winter/
寒紅梅 [かんこうばい] /(n) winter plum tree with reddish blossoms/
寒行 [かんぎょう] /(n) winter spiritual austerities/
寒国 [かんこく] /(n) cold country or region/
寒剤 [かんざい] /(n) freezing mixture/refrigerant/
寒晒し [かんざらし] /(n) exposure to cold/
寒参り [かんまいり] /(n,vs) winter visit to a shrine/
寒暑 [かんしょ] /(n) hot and cold/summer and winter/
寒色 [かんしょく] /(n) cold color/cold colour/
寒心 [かんしん] /(n,vs) deplorable/alarming/
寒心すべき [かんしんすべき] /(exp) deplorable/alarming/
寒菅 [かんすげ] /(n) Carex morrowii/
寒蝉 [かんせん] /(n) cicadas which sing in late autumn/
寒蝉 [かんぜみ] /(n) cicadas which sing in late autumn/
寒蝉 [かんぜん] /(n) cicadas which sing in late autumn/
寒村 [かんそん] /(n) deserted village/poor village/(P)/
寒帯 [かんたい] /(n) frigid zone or belt/
寒帯気団 [かんたいきだん] /(n) polar air mass/
寒帯前線 [かんたいぜんせん] /(n) polar front/
寒帯前線ジェット気流 [かんたいぜんせんジェットきりゅう] /(n) polar front jet stream/
寒帯林 [かんたいりん] /(n) arctic forests/
寒鯛 [かんだい] /(n) (1) (uk) Asian sheepshead wrasse (Semicossyphus reticulatus)/(2) scarbreast tuskfin (Choerodon azurio)/
寒暖 [かんだん] /(n) heat and cold/(extremes of) temperature/
寒暖計 [かんだんけい] /(n) thermometer/(P)/
寒地 [かんち] /(n) cold region/
寒竹 [かんちく] /(n) (uk) marbled bamboo (Chimonobambusa marmorea)/
寒中 [かんちゅう] /(n-adv,n-t) mid-winter/cold season/(P)/
寒中見舞 [かんちゅうみまい] /(n) winter greeting card/inquiring after someone's health in the cold season/
寒中見舞い [かんちゅうみまい] /(n) winter greeting card/inquiring after someone's health in the cold season/
寒中水泳 [かんちゅうすいえい] /(n) swimming in the middle of winter or the cold season/
寒椿 [かんつばき] /(n) camellia-like plant native to China/
寒天 [かんてん] /(n) (1) freezing weather/(2) agar-agar/vegetable gelatin/
寒天培地 [かんてんばいち] /(n) nutrient agar/
寒点 [かんてん] /(n) cold points (of the skin)/
寒波 [かんぱ] /(n) cold wave/(P)/
寒梅 [かんばい] /(n) plum tree which blossoms in winter/
寒肥 [かんごえ] /(n) winter manure/
寒武利亜 [カンブリア] /(ateji) (n) (uk) (arch) Cambria (old name for Wales)/
寒風 [かんぷう] /(n) cold wind/
寒鮒 [かんぶな] /(n) crucian carp caught in midwinter/
寒明け [かんあけ] /(n) the beginning of spring/
寒餅 [かんもち] /(n) mochi made in winter/
寒夜 [かんや] /(n) cold night/
寒雷 [かんらい] /(n) winter thunder/thunderstorm accompanying a cold front/
寒卵 [かんたまご] /(n) egg laid in winter/
寒流 [かんりゅう] /(n) cold current/
寒冷 [かんれい] /(adj-na,n,adj-no) cold/coldness/chilliness/(P)/
寒冷渦 [かんれいうず] /(n) cold vortex/
寒冷高気圧 [かんれいこうきあつ] /(n) cold anticyclon/
寒冷紗 [かんれいしゃ] /(n) cheesecloth/
寒冷前線 [かんれいぜんせん] /(n) cold front/
寒冷地 [かんれいち] /(n) cold (northern) district/
寒露 [かんろ] /(n) (1) late-autumn or early-winter dew/(2) "cold dew" solar term (approx. Oct. 8)/
寒昴 [かんすばる] /(n) (obsc) Pleiades (esp. in winter)/
寒烟 [かんえん] /(n) cold smoke/
寒疣 [さぶいぼ] /(n) (uk) (ksb:) goosebumps/goose pimples/
寒蜆 [かんしじみ] /(n) Shijimi clam caught during winter/
寒鰤 [かんぶり] /(n) yellowtail caught during the cold season/cold yellowtail/
寒鴉 [かんあ] /(n) winter crow/
刊 [かん] /(suf) publication/edition/
刊行 [かんこう] /(n,vs) publication/issue/(P)/
刊行会 [かんこうかい] /(n) publication society/
刊行物 [かんこうぶつ] /(n) a publication or periodical/
刊本 [かんぽん] /(n) published book/printed book/
勘 [かん] /(n) perception/intuition/the sixth sense/(P)/
勘える [かんがえる] /(v1,vt) to consider/to think about/
勘ぐる [かんぐる] /(v5r,vt) to be suspicious of (someone's motives)/to suspect someone of having ulterior motives/
勘づく [かんづく] /(v5k,vi) (uk) to suspect/to sense (danger)/to scent/
勘の良い人 [かんのいいひと] /(n) person of quick perception/
勘を働かせる [かんをはたらかせる] /(exp,v1) to use one's intuition/to use one's instinct/to use one's head/
勘案 [かんあん] /(n,vs) taking into consideration/giving consideration (to)/thinking/(P)/
勘違い [かんちがい] /(n,vs) misunderstanding/wrong guess/(P)/
勘気 [かんき] /(n) disfavor/disfavour/disinheritance/
勘繰る [かんぐる] /(v5r,vt) to be suspicious of (someone's motives)/to suspect someone of having ulterior motives/
勘決 [かんけつ] /(n,vs) investigation and decision/
勘検 [かんけん] /(n,vs) investigation/
勘校 [かんこう] /(n,vs) examination and correction/
勘考 [かんこう] /(n,vs) consider/
勘合 [かんごう] /(n,vs) checking and verifying/
勘合貿易 [かんごうぼうえき] /(n) licensed trade/
勘査 [かんさ] /(n) investigation/
勘所 [かんどころ] /(n) (1) finger board (of a musical instrument)/(2) vital point/
勘審 [かんしん] /(n) careful investigation/
勘進 [かんしん] /(n) reporting after careful investigation/
勘責 [かんせき] /(n) reproving for a fault/
勘亭流 [かんていりゅう] /(n) Kantei style of calligraphy/
勘定 [かんじょう] /(n,vs) calculation/counting/consideration/reckoning/settlement of an account/allowance/(P)/
勘定を済ます [かんじょうをすます] /(exp,v5s) to pay one's bill/
勘定を払う [かんじょうをはらう] /(exp,v5u) to settle one's account/to pay a bill/
勘定違い [かんじょうちがい] /(n) miscalculation/
勘定係 [かんじょうがかり] /(n) cashier/accountant/treasurer/
勘定高い [かんじょうだかい] /(adj-i) calculating/mercenary/closefisted/
勘定取り [かんじょうとり] /(n) bill collector/
勘定書 [かんじょうしょ] /(n) a bill/a check/
勘定書き [かんじょうがき] /(n) bill/one's account/
勘定場 [かんじょうば] /(n) cashier's counter/
勘定尻 [かんじょうじり] /(n) balance of an account/
勘定尽く [かんじょうずく] /(n) calculating, profit or loss mentality/
勘定日 [かんじょうび] /(n) settlement day/
勘当 [かんどう] /(n,vs) disinheritance/
勘忍 [かんにん] /(int,n) pardon/patient endurance/forbearance/forgiveness/
勘能 [かんのう] /(ok) (adj-na) (1) proficient/skillful/(n,vs) (2) satisfaction/(3) (Buddh) fortitude/
勘八 [かんぱち] /(n) (uk) greater amberjack (Seriola dumerili)/purplish amberjack/greater yellowtail/
勘付く [かんづく] /(v5k,vi) (uk) to suspect/to sense (danger)/to scent/
勘弁 [かんべん] /(n,vs) pardon/forgiveness/forbearance/(P)/
勘例 [かんれい] /(n) considering old precedents/
勧め [すすめ] /(n,vs) recommendation/advice/suggestion/encouragement/(P)/
勧める [すすめる] /(v1,vt) to recommend/to advise/to encourage/to offer (wine)/(P)/
勧化 [かんげ] /(n,vs) religious-fund soliciting/Buddhist preaching/
勧学 [かんがく] /(n,vs) encouragement of learning/
勧業 [かんぎょう] /(n) (encouragement of) industry/(P)/
勧業博覧会 [かんぎょうはくらんかい] /(n) industrial fair or exposition/
勧銀 [かんぎん] /(n) hypothecary bank/
勧工 [かんこう] /(n) encouragement of industry/
勧工場 [かんこうば] /(n) fair/bazaar/bazar/
勧降 [かんこう] /(n) call to surrender/
勧告 [かんこく] /(n,vs,adj-no) advice/counsel/remonstrance/recommendation/(P)/
勧告案 [かんこくあん] /(n) recommendation/
勧告者 [かんこくしゃ] /(n) adviser/advisor/counselor/counsellor/
勧告状 [かんこくじょう] /(n) letter of advice/
勧奨 [かんしょう] /(n,vs) encouragement/stimulation/(P)/
勧賞 [かんしょう] /(n,vs) praise and encouragement/
勧進 [かんじん] /(n,vs) temple solicitation/(P)/
勧進元 [かんじんもと] /(n) backer/promoter/
勧進相撲 [かんじんずもう] /(n) fund-raising sumo tournaments of Edo period/
勧進帳 [かんじんちょう] /(n) temple solicitation book/
勧世縒 [かんぜより] /(n) twisted paper/twisted-paper string/
勧請 [かんじょう] /(n,vs) (1) praying for the coming of a deity/(2) ceremonial transfer of a divided tutelary deity to a new location/
勧説 [かんぜい] /(n,vs) urging/persuasion/
勧善懲悪 [かんぜんちょうあく] /(n) rewarding good and punishing evil/novel or drama with a rewarding-good-and-punishing-evil theme/moral purpose/morality play/(P)/
勧善懲悪劇 [かんぜんちょうあくげき] /(n) morality play/
勧善懲悪小説 [かんぜんちょうあくしょうせつ] /(n) (Edo-period) didactic novel or fiction/
勧農 [かんのう] /(n) encouragement of agriculture/
勧農鳥 [かんのうちょう] /(n) (obsc) lesser cuckoo (Cuculus poliocephalus)/
勧誘 [かんゆう] /(n,vs) invitation/solicitation/canvassing/canvasing/inducement/persuasion/encouragement/(P)/
勧誘員 [かんゆういん] /(n) canvasser/traveling salesman/travelling salesman/door-to-door solicitor/
巻 [かん] /(n) volume (of book)/reel (of film)/
巻 [まき] /(n) (1) roll (e.g. of cloth)/(2) winding/(3) volume (of book)/(P)/
巻き [まき] /(n) (1) roll (e.g. of cloth)/(2) winding/(3) volume (of book)/
巻きかえし [まきかえし] /(n) rally/recovery/rollback/rewind/
巻きじゃく [まきじゃく] /(n) tape measure/
巻きす [まきす] /(n) "sushi mat" (bamboo mat used in food preparation, especially to roll makizushi)/
巻きつく [まきつく] /(v5k) to twine around/
巻きつける [まきつける] /(v1,vt) to wreathe (e.g. rope)/
巻きひげ [まきひげ] /(n) tendril/
巻きタバコ [まきタバコ] /(n) cigarette/cigar/
巻き雲 [まきぐも] /(n) cirrus (cloud)/
巻き煙草 [まきたばこ] /(n) cigarette/cigar/
巻き貝 [まきがい] /(n) snail/spiral shell/
巻き起こす [まきおこす] /(v5s) to create (a sensation)/to give rise to (controversy)/
巻き起す [まきおこす] /(v5s) to create (a sensation)/to give rise to (controversy)/
巻き込む [まきこむ] /(v5m,vt) to roll up/to involve/to enfold/to swallow up/to drag into/(P)/
巻き紙 [まきがみ] /(n) rolled letter paper/
巻き尺 [まきじゃく] /(n) tape measure/
巻き取り [まきとり] /(n,adj-f) (1) taking up/winding/(n) (2) (abbr) rolled paper/
巻き取り紙 [まきとりがみ] /(n) rolled paper/roll of printing paper/
巻き狩り [まきがり] /(n) hunt (where the hunting area is surrounded on four sides by hunters)/
巻き寿司 [まきずし] /(n) (food) sushi made rolled in nori seaweed with a core of filling/
巻き上がる [まきあがる] /(v5r,vi) to roll up/to be rolled up/
巻き上げる [まきあげる] /(v1,vt) (1) to roll up/to hoist/to heave up/(2) to take away/to rip off (e.g. money from someone)/(3) to blow up (dust)/
巻き舌 [まきじた] /(n) speak rapidly/roll one's r's/
巻き帯 [まきおび] /(n) obi that is not tied but merely wrapped around the body/
巻き替え [まきかえ] /(n) (1) winding a replacement thread, wire, etc./(2) changing from an overarm to an underarm grip on one's opponent's belt (sumo)/
巻き爪 [まきづめ] /(n) ingrown toenail/
巻き添え [まきぞえ] /(n) getting involved (entangled) in/getting mixed up in/involvement/by-blow/(P)/
巻き髪 [まきがみ] /(n) curly hair/curled hair/
巻き付く [まきつく] /(v5k) to twine around/
巻き付ける [まきつける] /(v1,vt) to wreathe (e.g. rope)/
巻き物 [まきもの] /(n) scroll or rolled sheet/
巻き返し [まきかえし] /(n) rally/recovery/rollback/rewind/(P)/
巻き返し作戦 [まきかえしさくせん] /(n) rollback operation/
巻き返す [まきかえす] /(v5s) to rally/to regain one's strength/
巻き毛 [まきげ] /(n) curl/curly hair/ringlet/
巻き網 [まきあみ] /(n) purse seine/round haul net/
巻き戻し [まきもどし] /(n) rewinding (e.g. VCR, tape deck, etc.)/
巻き戻す [まきもどす] /(v5s,vt) to rewind/
巻き揚げる [まきあげる] /(v1,vt) (1) to roll up/to hoist/to heave up/(2) to take away/to rip off (e.g. money from someone)/(3) to blow up (dust)/
巻き落し [まきおとし] /(n) twist down (sumo)/
巻き落とし [まきおとし] /(n) twist down (sumo)/
巻き簾 [まきす] /(n) "sushi mat" (bamboo mat used in food preparation, especially to roll makizushi)/
巻き藁 [まきわら] /(n) straw post for training sword strikes, karate punches and arrow hits/
巻き簀 [まきす] /(n) "sushi mat" (bamboo mat used in food preparation, especially to roll makizushi)/
巻き鬚 [まきひげ] /(n) tendril/
巻き鮨 [まきずし] /(n) (food) sushi made rolled in nori seaweed with a core of filling/
巻く [まく] /(v5k,vt) to wind/to coil/to roll/(P)/
巻タバコ [まきタバコ] /(n) cigarette/cigar/
巻雲 [けんうん] /(n) cirrus (cloud)/
巻雲 [まきぐも] /(n) cirrus (cloud)/
巻煙草 [まきたばこ] /(n) cigarette/cigar/
巻回 [けんかい] /(vs) to wind around/
巻貝 [まきがい] /(n) snail/spiral shell/
巻込む [まきこむ] /(v5m,vt) to roll up/to involve/to enfold/to swallow up/to drag into/(P)/
巻子本 [かんすぼん] /(n) roll/scroll/rolled book/
巻紙 [まきがみ] /(n) paper roll/
巻軸 [かんじく] /(n) (center portion of a) scroll (centre)/
巻軸 [まきじく] /(n) scroll roller/scroll/
巻尺 [まきじゃく] /(n) tape measure/(P)/
巻取り [まきとり] /(n,adj-f) (1) taking up/winding/(n) (2) (abbr) rolled paper/
巻取り紙 [まきとりがみ] /(n) rolled paper/roll of printing paper/
巻狩 [まきがり] /(n) hunt (where the hunting area is surrounded on four sides by hunters)/
巻狩り [まきがり] /(n) hunt (where the hunting area is surrounded on four sides by hunters)/
巻首 [かんしゅ] /(n) beginning of a book or scroll/
巻寿司 [まきずし] /(n) (food) sushi made rolled in nori seaweed with a core of filling/
巻上げる [まきあげる] /(v1,vt) (1) to roll up/to hoist/to heave up/(2) to take away/to rip off (e.g. money from someone)/(3) to blow up (dust)/
巻積雲 [けんせきうん] /(n) cirrocumulus/
巻煎 [けんちぇん] /(n) (1) fried finely minced daikon, great burdock, carrot and shiitake mushrooms wrapped with crumbled tofu in dried beancurd and deep-fried/(2) (abbr) Japanese tofu and vegetable chowder/(3) (arch) black soybean sprouts fried in sesame seed oil wrapped in dried beancurd and stewed/
巻煎 [けんちゃん] /(n) (1) fried finely minced daikon, great burdock, carrot and shiitake mushrooms wrapped with crumbled tofu in dried beancurd and deep-fried/(2) (abbr) Japanese tofu and vegetable chowder/(3) (arch) black soybean sprouts fried in sesame seed oil wrapped in dried beancurd and stewed/
巻煎 [けんちん] /(n) (1) fried finely minced daikon, great burdock, carrot and shiitake mushrooms wrapped with crumbled tofu in dried beancurd and deep-fried/(2) (abbr) Japanese tofu and vegetable chowder/(3) (arch) black soybean sprouts fried in sesame seed oil wrapped in dried beancurd and stewed/
巻線 [まきせん] /(n) winding (coil, armature, etc.)/
巻繊 [けんちぇん] /(n) (1) fried finely minced daikon, great burdock, carrot and shiitake mushrooms wrapped with crumbled tofu in dried beancurd and deep-fried/(2) (abbr) Japanese tofu and vegetable chowder/(3) (arch) black soybean sprouts fried in sesame seed oil wrapped in dried beancurd and stewed/
巻繊 [けんちゃん] /(n) (1) fried finely minced daikon, great burdock, carrot and shiitake mushrooms wrapped with crumbled tofu in dried beancurd and deep-fried/(2) (abbr) Japanese tofu and vegetable chowder/(3) (arch) black soybean sprouts fried in sesame seed oil wrapped in dried beancurd and stewed/
巻繊 [けんちん] /(n) (1) fried finely minced daikon, great burdock, carrot and shiitake mushrooms wrapped with crumbled tofu in dried beancurd and deep-fried/(2) (abbr) Japanese tofu and vegetable chowder/(3) (arch) black soybean sprouts fried in sesame seed oil wrapped in dried beancurd and stewed/
巻繊汁 [けんちんじる] /(n) Japanese tofu and vegetable chowder/
巻層雲 [けんそううん] /(n) cirrostratus/cirrostratus cloud/
巻帯 [まきおび] /(n) obi that is not tied but merely wrapped around the body/
巻柱 [まきばしら] /(n) gold-covered woodwork at a temple in Hiraizumi/
巻添え [まきぞえ] /(n) getting involved (entangled) in/getting mixed up in/involvement/by-blow/(P)/
巻土重来 [けんどじゅうらい] /(n) recouping one's strength for a renewed attack (on)/making another attempt with redoubled efforts/
巻土重来 [けんどちょうらい] /(n) recouping one's strength for a renewed attack (on)/making another attempt with redoubled efforts/
巻頭 [かんとう] /(n) (1) opening page of book/beginning of an essay/(adj-f) (2) prefatory/
巻頭歌 [かんとうか] /(n) prefatory song or poem/opening song/
巻頭言 [かんとうげん] /(n) foreword/preface/prefatory note/
巻髪 [まきがみ] /(n) curly hair/curled hair/
巻尾 [かんび] /(n) end of a book/
巻付く [まきつく] /(v5k) to twine around/
巻物 [まきもの] /(n) scroll or rolled sheet/
巻返し [まきかえし] /(n) rally/recovery/rollback/rewind/
巻末 [かんまつ] /(n) end of a book/(P)/
巻毛 [まきげ] /(n) curl/curly hair/ringlet/
巻網 [まきあみ] /(n) purse seine/round haul net/
巻戻し [まきもどし] /(n) rewinding (e.g. VCR, tape deck, etc.)/
巻戻す [まきもどす] /(v5s,vt) to rewind/
巻藁 [まきわら] /(n) straw post for training sword strikes, karate punches and arrow hits/
巻藁矢 [まきわらや] /(n) close-range fletched practice arrow/
巻纓 [かんえい] /(n) rolled tail (of a traditional Japanese hat)/looped tail/
巻纓 [けんえい] /(n) rolled tail (of a traditional Japanese hat)/looped tail/
巻纓 [まきえい] /(n) rolled tail (of a traditional Japanese hat)/looped tail/
巻鬚 [けんしゅ] /(n) tendril/
巻鬚 [まきひげ] /(n) tendril/
巻鮨 [まきずし] /(n) (food) sushi made rolled in nori seaweed with a core of filling/
喚き声 [わめきごえ] /(n) yell/shout/outcry/
喚き立てる [わめきたてる] /(v1) to yell/to bawl out/
喚く [わめく] /(v5k,vi) (uk) to shout/to cry/to scream/to clamour/(P)/
喚び起こす [よびおこす] /(v5s,vt) (1) to wake someone (by calling for them)/to awaken/(2) to call (to mind)/to remember/
喚び起す [よびおこす] /(v5s,vt) (1) to wake someone (by calling for them)/to awaken/(2) to call (to mind)/to remember/
喚び出す [よびだす] /(v5s,vt) (1) to summon/to call (e.g. phone)/to convene/to decoy/to lure/(2) (comp) to invoke (e.g. subroutine)/to call/
喚ぶ [よぶ] /(v5b,vt) (1) to call out (to)/to call/to invoke/(2) to summon (a doctor, etc.)/(3) to invite/(4) to designate/to name/to brand/(5) to garner (support, etc.)/to gather/(6) (arch) to take as one's wife/
喚起 [かんき] /(n,vs) arousal/excitation/awakening/evocation/(P)/
喚子鳥 [よぶこどり] /(n) (arch) calling bird (esp. a cuckoo)/
喚声 [かんせい] /(n) shout/
喚問 [かんもん] /(n,vs) summons/(P)/
堪えかねる [たえかねる] /(v1,vi) to be unable to endure/to be unable to stand (something)/to lose patience/
堪えない [たえない] /(exp) (1) unable to suppress one's emotions/(2) unable to cope with one's responsibilities/
堪えられない [こたえられない] /(exp) really good/irresistible/
堪える [こたえる] /(v1,vi,vt) (1) to bear/to stand/to endure/to put up with/(P)/
堪える [こらえる] /(v1,vi,vt) (1) to bear/to stand/to endure/to put up with/(P)/
堪える [たえる] /(v1,vi,vt) (1) to bear/to stand/to endure/to put up with/(v1,vi) (2) to support/to withstand/to resist/to brave/(3) to be fit for/to be equal to/(P)/
堪え兼ねる [たえかねる] /(v1,vi) to be unable to endure/to be unable to stand (something)/to lose patience/
堪え性 [こらえしょう] /(n) endurance/perseverance/patience/
堪え難い [たえがたい] /(adj-i) unbearable/intolerable/unendurable/
堪え忍ぶ [たえしのぶ] /(v5b,vt) to put up with/to endure/to bear patiently/
堪へる [たへる] /(ok) (v1,vi,vt) to bear/to stand/to endure/to put up with/
堪まる [たまる] /(v5r) (uk) to bear (often adds emphasis)/to endure/
堪らない [たまらない] /(exp,adj-i) (1) intolerable/unbearable/unendurable/(2) cannot help (doing)/cannot but do/anxious to do/(3) tremendous/out of this world/irresistible/(P)/
堪り兼ねる [たまりかねる] /(v1,vi) to be unable to bear (something) any longer/to be unable to put up with (something) any longer/
堪る [たまる] /(v5r) (uk) to bear (often adds emphasis)/to endure/
堪忍 [かんにん] /(int,n) pardon/patient endurance/forbearance/forgiveness/
堪忍袋 [かんにんぶくろ] /(n) one's store of patience/
堪忍袋の緒が切れる [かんにんぶくろのおがきれる] /(exp,v1) to be out of patience/to be unable to put up with something anymore/
堪能 [かんのう] /(ok) (adj-na) (1) proficient/skillful/(n,vs) (2) satisfaction/(3) (Buddh) fortitude/
堪能 [たんのう] /(adj-na) (1) proficient/skillful/(n,vs) (2) satisfaction/(3) (Buddh) fortitude/(P)/
姦 [かん] /(n,adj-na) cunning and wickedness/cunning, wicked person/
姦しい [かしましい] /(adj-i) (1) (uk) noisy/boisterous/
姦する [かんする] /(vs-s) to commit adultery/to rape/
姦悪 [かんあく] /(adj-na,n) (1) wickedness/(2) wicked person/
姦淫 [かんいん] /(n,vs) adultery/
姦計 [かんけい] /(n) trick/evil design/sharp practice/sharp practise/
姦策 [かんさく] /(n) shrewd (dirty) trick/sinister scheme (design)/sly art/
姦臣 [かんしん] /(n) disloyal retainer/treacherous subject/
姦人 [かんじん] /(n) villain/scoundrel/
姦賊 [かんぞく] /(n) villain/
姦智 [かんち] /(n) craftiness/
姦通 [かんつう] /(n,adj-no) adultery/
姦通罪 [かんつうざい] /(n) (the crime of) adultery/
姦夫 [かんぷ] /(n) (obsc) adulterer/paramour/
姦夫姦婦 [かんぷかんぷ] /(n) adulterer and adulteress/adulterous couple/
姦婦 [かんぷ] /(n) adulteress/
姦物 [かんぶつ] /(n) cunning man/crook/
姦黠 [かんかつ] /(adj-na) cunning/sly/
完 [かん] /(n) The End (book, film, etc.)/Finis/
完ぺき [かんぺき] /(adj-na) perfect/complete/flawless/
完ぺきさ [かんぺきさ] /(n) perfection/completeness/flawlessness/
完飲 [かんいん] /(n,vs) drinking everything (in one's glass, etc.)/
完結 [かんけつ] /(n,vs) conclusion/completion/(P)/
完結相 [かんけつそう] /(n) (ling) perfective aspect/
完結文 [かんけつぶん] /(n) sentence/
完結編 [かんけつへん] /(n) concluding episode of a series/concluding volume (part) (e.g. of novel)/
完工 [かんこう] /(n,vs) completion/(P)/
完済 [かんさい] /(n,vs) full payment/liquidation/
完治 [かんじ] /(n,vs) complete recovery/
完治 [かんち] /(n,vs) complete recovery/(P)/
完熟 [かんじゅく] /(n,vs,adj-no) completely ripe or mature/
完勝 [かんしょう] /(n,vs) complete victory/
完食 [かんしょく] /(n,vs) eating everything (on one's plate, etc.)/
完新世 [かんしんせい] /(n) Holocene epoch/
完遂 [かんすい] /(vs) (1) to accomplish/to carry out/(n) (2) accomplishment/(P)/
完遂 [かんつい] /(ik) (vs) (1) to accomplish/to carry out/(n) (2) accomplishment/
完成 [かんせい] /(n,vs) (1) complete/completion/(2) perfection/accomplishment/(P)/
完成版 [かんせいばん] /(n) complete version/
完成品 [かんせいひん] /(n) finished product/
完全 [かんぜん] /(adj-na,n,adj-no) perfection/completeness/(P)/
完全なパス名 [かんぜんなパスめい] /(n) (comp) complete pathname/
完全コピー [かんぜんコピー] /(n) exact copy/
完全花 [かんぜんか] /(n) complete flower/
完全気体 [かんぜんきたい] /(n) perfect gas/ideal gas/
完全競争 [かんぜんきょうそう] /(n) perfect competition/
完全雇用 [かんぜんこよう] /(n) full employment/
完全子会社 [かんぜんこがいしゃ] /(n) wholly-owned subsidiary/
完全試合 [かんぜんしあい] /(n) perfect game/(P)/
完全試合 [かんぜんじあい] /(n) perfect game/
完全自動詞 [かんぜんじどうし] /(n) (ling) complete intransitive verb/
完全実装 [かんぜんじっそう] /(n,adj-no) (comp) fully populated/
完全主義 [かんぜんしゅぎ] /(n,adj-no) perfectionism/
完全主義者 [かんぜんしゅぎしゃ] /(n) perfectionist/
完全修飾ドメイン名 [かんぜんしゅうしょくドメインめい] /(n) (comp) fully qualified domain name/FQDN/
完全冗長 [かんぜんじょうちょう] /(n) (comp) fully redundant/
完全冗長システム [かんぜんじょうちょうシステム] /(n) (comp) fully redundant system/
完全親会社 [かんぜんおやがいしゃ] /(n) full parent company/wholly-owning parent company/sole parent company/
完全数 [かんぜんすう] /(n) perfect number/
完全性 [かんぜんせい] /(n) (comp) integrity/
完全接続ネットワーク [かんぜんせつぞくネットワーク] /(n) (comp) fully-connected network/
完全接続網 [かんぜんせつぞくもう] /(n) (comp) fully-connected network/
完全対応 [かんぜんたいおう] /(n,vs) (comp) complete support/full support/
完全弾性 [かんぜんだんせい] /(n) perfect elasticity/
完全導体 [かんぜんどうたい] /(n) perfect conductor/
完全燃焼 [かんぜんねんしょう] /(n) perfect combustion/
完全版 [かんぜんはん] /(n) (comp) full, complete version/
完全犯罪 [かんぜんはんざい] /(n) perfect crime/
完全表記 [かんぜんひょうき] /(n) (comp) complete representation/
完全平方 [かんぜんへいほう] /(n) (math) perfect square/
完全変態 [かんぜんへんたい] /(n) complete metamorphosis/holometabolism/
完全無欠 [かんぜんむけつ] /(adj-na,n,adj-no) flawless/absolute perfection/
完全葉 [かんぜんよう] /(n) complete leaf/
完走 [かんそう] /(n,vs) running the race/staying the course/(P)/
完調 [かんちょう] /(n) one's best form/
完徹 [かんてつ] /(n) (col) (abbr) all nighter/sleepless night/
完投 [かんとう] /(n,vs) going the whole distance/pitching a whole game/(P)/
完納 [かんのう] /(n,vs) full payment or delivery/
完敗 [かんぱい] /(n,vs) complete defeat/utter defeat/annihilation/(P)/
完売 [かんばい] /(n,vs,adj-no) sold out/(P)/
完備 [かんび] /(n,vs) perfection/completion/
完備した [かんびした] /(adj-f) perfect/fully-equipped/complete/
完備した表 [かんびしたひょう] /(n) (comp) complete table/
完膚 [かんぷ] /(n) unwounded skin/
完膚なきまで [かんぷなきまで] /(exp) completely/thoroughly/horribly/without exception/until there's no untouched (undamaged) part/
完膚無きまで [かんぷなきまで] /(exp) completely/thoroughly/horribly/without exception/until there's no untouched (undamaged) part/
完膚無き迄 [かんぷなきまで] /(exp) completely/thoroughly/horribly/without exception/until there's no untouched (undamaged) part/
完封 [かんぷう] /(n,vs) complete blockade (seal)/baseball shutout/(P)/
完壁 [かんべき] /(iK) (ik) (adj-na) perfect/complete/flawless/
完壁 [かんぺき] /(iK) (adj-na) perfect/complete/flawless/
完本 [かんぽん] /(n) complete set (of books)/
完訳 [かんやく] /(n,vs) complete translation/
完了 [かんりょう] /(n,vs,adj-no) (1) completion/conclusion/(n) (2) (ling) perfect (tense, form, aspect)/(P)/
完了コード [かんりょうコード] /(n) (comp) completion code/
完了契約書 [かんりょうけいやくしょ] /(n) deed of absolute sale/
完了形 [かんりょうけい] /(n) (ling) perfect tense/
完了後 [かんりょうご] /(n-adv,n-t) after completion/
完了時制 [かんりょうじせい] /(n) (ling) perfect tense/
完了相 [かんりょうそう] /(n) (ling) perfect aspect/
完璧 [かんぺき] /(adj-na) perfect/complete/flawless/(P)/
完璧さ [かんぺきさ] /(n) perfection/completeness/flawlessness/
完璧主義 [かんぺきしゅぎ] /(n) perfectionism (psychology)/
官 [かん] /(n) government service/the bureaucracy/
官 [つかさ] /(n) (1) (arch) office/official/(2) chief/head/
官々接待 [かんかんせったい] /(n) bureaucrats entertaining bureaucrats using public funds/
官と民の協力 [かんとみんのきょうりょく] /(exp,n) cooperation between the private and public sectors/
官に就く [かんにつく] /(exp,v5k) to enter the government service/
官位 [かんい] /(n) office and rank/an official rank/
官印 [かんいん] /(n) official seal/
官員 [かんいん] /(n) government official/
官営 [かんえい] /(n) government management/
官営企業 [かんえいきぎょう] /(n) government enterprise/
官界 [かんかい] /(n) bureaucracy/(P)/
官学 [かんがく] /(n) government school/
官官接待 [かんかんせったい] /(n) bureaucrats entertaining bureaucrats using public funds/
官紀 [かんき] /(n) rules which officials must follow/
官紀紊乱 [かんきびんらん] /(n) laxity in official discipline/civil service corruption/
官求品 [かんきゅうひん] /(n) fluorescent light bulb/
官給 [かんきゅう] /(n,vs) government supply or issue/
官給品 [かんきゅうひん] /(n) government-issued goods/
官許 [かんきょ] /(n,vs) official licence/official license/government permit/
官業 [かんぎょう] /(n) government-run enterprise/
官金 [かんきん] /(n) government funds/
官軍 [かんぐん] /(n) government forces/loyalist army/
官憲 [かんけん] /(n) officials/authorities/(P)/
官権 [かんけん] /(n) governmental authority/
官庫 [かんこ] /(n) (1) national treasury/(2) warehouse owned by the government/
官公庁 [かんこうちょう] /(n) government administration office/(P)/
官公吏 [かんこうり] /(n) officialdom/
官司 [かんし] /(n) (1) government office/public office/(2) government official/
官事 [かんじ] /(n) government business/
官寺 [かんじ] /(n) state-sponsored temples, particularly those favored and protected by the shogunate during the Kamakura period/
官治 [かんち] /(n) direct administration by the government/
官舎 [かんしゃ] /(n) official residence/
官需 [かんじゅ] /(n) official demand/
官署 [かんしょ] /(n) government office/
官女 [かんじょ] /(n) court lady/
官職 [かんしょく] /(n) government service/official position/civil service/
官人 [かんじん] /(n) (arch) government official (esp. one of low to medium rank)/public servant/
官人 [かんにん] /(n) (arch) government official (esp. one of low to medium rank)/public servant/
官人 [つかさびと] /(n) (arch) government official (esp. one of low to medium rank)/public servant/
官制 [かんせい] /(n) government-regulated organization or facility, etc. (organisation)/
官製 [かんせい] /(n,adj-no) government-manufactured/
官製談合 [かんせいだんごう] /(n) collusive bidding at the initiative of government agencies/
官製葉書 [かんせいはがき] /(n) official (government) postcard/postal card/
官設 [かんせつ] /(n,adj-no) governmentally or nationally established or run/
官撰 [かんせん] /(n,vs) government compilation/
官船 [かんせん] /(n) government-owned ship/
官選 [かんせん] /(n,vs) government-appointed/
官選弁護人 [かんせんべんごにん] /(n) (obs) court-appointed attorney/
官尊民卑 [かんそんみんぴ] /(n) respecting the authorities and denigrating ordinary citizens/statism/
官宅 [かんたく] /(n) official residence (for public servants)/
官庁 [かんちょう] /(n) government office/authorities/(P)/
官庁街 [かんちょうがい] /(n) government district/
官庁出版物 [かんちょうしゅっぱんぶつ] /(n) official publication/public documents/
官邸 [かんてい] /(n) official residence/(P)/
官展 [かんてん] /(n) exhibition sponsored by the government/
官途 [かんと] /(n) government service/becoming an official/
官奴婢 [かんぬひ] /(n) (arch) government-owned slave/
官等 [かんとう] /(n) official rank/
官能 [かんのう] /(n) (1) the senses/(2) sensuality/carnality/
官能基 [かんのうき] /(n) functional group/
官能検査 [かんのうけんさ] /(n) sensory evaluation/
官能主義 [かんのうしゅぎ] /(n) sensualism/
官能主義者 [かんのうしゅぎしゃ] /(n) sensualist/
官能小説 [かんのうしょうせつ] /(n) erotic novel (lit: senses novel)/amorous novel/pornographic novel/
官能性 [かんのうせい] /(n) (chem) functionality/
官能的 [かんのうてき] /(adj-na) sensual/voluptuous/sexy/
官版 [かんぱん] /(n) government publication/
官費 [かんぴ] /(n) government expense/
官費留学 [かんぴりゅうがく] /(n) studying abroad at government expense/
官費留学生 [かんぴりゅうがくせい] /(n) student studying abroad at government expense/
官府 [かんぷ] /(n) government (office)/
官武 [かんぶ] /(n) civilian and military man/
官幣社 [かんぺいしゃ] /(n) (obs) shrine receiving offerings from the Bureau of Divinities (pre-Meiji) or the Imperial Household Department (post-Meiji)/
官辺 [かんぺん] /(n) government or official circles/official quarters/
官報 [かんぽう] /(n) official daily gazette/official telegram/(P)/
官房 [かんぼう] /(n) government secretariat/(P)/
官房学 [かんぼうがく] /(n) cameralism/
官房長 [かんぼうちょう] /(n) Chief Cabinet Secretary/
官房長官 [かんぼうちょうかん] /(n) Chief Cabinet Secretary/(P)/
官民 [かんみん] /(n,adj-no) government and people/(P)/
官民格差 [かんみんかくさ] /(n) disparity (of income, pensions, etc.) between public and private employees/
官名 [かんめい] /(n) official position or title/
官命 [かんめい] /(n) official orders/
官有 [かんゆう] /(n) government-owned/
官有地 [かんゆうち] /(n) (arch) state-owned land/crown land (UK, Aus, etc.)/
官用 [かんよう] /(n) official use/government business/
官窯 [かんよう] /(n) governmental porcelain furnace/
官吏 [かんり] /(n) government official/clerk/(P)/
官立 [かんりつ] /(n) national/governmental/
官僚 [かんりょう] /(n) bureaucrat/bureaucracy/(P)/
官僚化 [かんりょうか] /(n,vs) bureaucratization/bureaucratisation/
官僚機構 [かんりょうきこう] /(n) bureaucratic organization/bureaucracy/
官僚主義 [かんりょうしゅぎ] /(n) bureaucracy/
官僚主義者 [かんりょうしゅぎしゃ] /(n) bureaucrat/
官僚主導 [かんりょうしゅどう] /(n,adj-no) initiative taken by bureaucrats in the drafting of government policies and bills (rather than by politicians)/
官僚臭 [かんりょうしゅう] /(n) smack of the bureaucrat/
官僚制 [かんりょうせい] /(n) bureaucracy/
官僚政治 [かんりょうせいじ] /(n,adj-no) bureaucratic government/
官話 [かんわ] /(n) Mandarin (language)/
官廨 [かんかい] /(n) government office/government agency/
官舍 [かんしゃ] /(oK) (n) official residence/
官衙 [かんが] /(n) government office/government agency/
寛 [かん] /(n,adj-na) lenient/gentle/
寛 [ゆた] /(adj-na) (arch) relaxed/
寛い [ひろい] /(adj-i) broadminded/
寛ぎ [くつろぎ] /(n) ease/relaxation/comfort/unwinding/
寛ぐ [くつろぐ] /(v5g) (uk) to relax/to feel at home/(P)/
寛げる [くつろげる] /(v1,vt) to loose/to ease/to relax/
寛衣 [かんい] /(n) loose clothes/comfortable clothes/
寛永 [かんえい] /(n) Kan'ei era (1624.2.30-1644.12.16)/
寛永通宝 [かんえいつうほう] /(n) copper coin (Edo period)/
寛延 [かんえん] /(n) Kan'en era (1748.7.12-1751.10.27)/
寛寛 [かんかん] /(adv,adj-t) looking cool and collect/with an air of perfect composure/
寛緩 [かんかん] /(adv,adj-t) looking cool and collect/with an air of perfect composure/
寛喜 [かんき] /(n) (obsc) Kangi era, (1229.3.5-1232.4.2)/Kanki era/
寛喜 [かんぎ] /(n) (obsc) Kangi era, (1229.3.5-1232.4.2)/Kanki era/
寛元 [かんげん] /(n) Kangen era (1243.2.26-1247.2.28)/
寛厳 [かんげん] /(n) leniency and severity/
寛厚 [かんこう] /(adj-na,n) (uk) kindness/largeheartedness/
寛弘 [かんこう] /(n) Kankou era (1004.7.20-1012.12.25)/
寛骨 [かんこつ] /(n,adj-no) hipbone/innominate bone/
寛治 [かんじ] /(n) Kanji era (1087.4.7-1094.12.15)/
寛恕 [かんじょ] /(n,adj-no) magnanimity/forgiveness/generosity/
寛仁 [かんじん] /(adj-na,n) magnanimous/
寛仁 [かんにん] /(n) Kannin era (1017.4.23-1021.2.2)/
寛仁大度 [かんじんたいど] /(n) being generous, benevolent and magnanimous in disposition/
寛政 [かんせい] /(n) Kansei era (1789.1.25-1801.2.5)/
寛政の改革 [かんせいのかいかく] /(n) Kansei Reforms (series of conservative government measures, 1787-1793 CE)/
寛正 [かんしょう] /(n) Kanshou era (1460.12.21-1466.2.28)/
寛大 [かんだい] /(adj-na,n) tolerance/liberality/leniency/(P)/
寛徳 [かんとく] /(n) Kantoku era (1044.11.24-1046.4.14)/
寛文 [かんぶん] /(n) Kambun era (1661.4.25-1673.9.21)/
寛平 [かんびょう] /(n) (obsc) Kambyou era, Kampyou era (889.4.27-898.4.26)/
寛平 [かんぴょう] /(n) Kampyou era (889.4.27-898.4.26)/
寛保 [かんぽう] /(n) Kampou era (1741.2.27-1744.2.21)/
寛容 [かんよう] /(adj-na,n) forbearance/tolerance/generosity/(P)/
寛和 [かんな] /(n) Kanna era (985.4.27-987.4.5)/
寛和 [かんわ] /(n) (obsc) Kanwa era, Kanna era (985.4.27-987.4.5)/
寛闊 [かんかつ] /(adj-na,n) generous/largehearted/
干 [ほし] /(io) (n,n-pref) drying/dried/
干からびる [ひからびる] /(v1,vi) to dry up completely/to become stale/
干し [ほし] /(n,n-pref) drying/dried/
干し海老 [ほしえび] /(n) dried shrimp/
干し柿 [ほしがき] /(n) dried persimmons/
干し魚 [ほしうお] /(n) dried fish/stockfish/
干し魚 [ほしざかな] /(n) dried fish/stockfish/
干し固める [ほしかためる] /(v1,vt) to dry until stiff/
干し菜 [ほしな] /(n) dried leaves (esp. of daikon and turnip)/
干し場 [ほしば] /(n) drying place/drying ground/
干し草 [ほしくさ] /(n) hay/dry grass/
干し草 [ほしぐさ] /(n) hay/dry grass/
干し草の山 [ほしくさのやま] /(exp,n) haystack/
干し草を付けた馬 [ほしくさをつけたうま] /(exp) horse loaded with hay/(P)/
干し葡萄 [ほしぶどう] /(n) raisin/raisins/
干し物 [ほしもの] /(n) things dried in the sun, esp. clothes, died cloth, etc./
干し李 [ほしすもも] /(n) prune/
干す [ほす] /(v5s,vt) (1) to air/to dry/to desiccate/(2) to drain (off)/(3) to drink up/(4) to deprive of a role, job, etc. (usu. in the passive)/(P)/
干ばつ [かんばつ] /(n) drought/long spell (period) of dry weather/
干る [ひる] /(v1,vi) to dry/(P)/
干鰯 [ほしか] /(n) dried sardine/
干菓子 [ひがし] /(n) dried candies or confections/cookies/
干海老 [ほしえび] /(n) dried shrimp/
干害 [かんがい] /(n) drought disaster/
干柿 [ほしがき] /(n) dried persimmons/
干潟 [ひがた] /(n) tidal flat/tideland/(P)/
干割れ [ひわれ] /(n) drying up and cracking/
干割れる [ひわれる] /(v1,vi) to dry out and crack/
干乾し [ひぼし] /(n) starving/
干魚 [かんぎょ] /(n) dried fish/stockfish/
干魚 [ひうお] /(n) dried fish/stockfish/
干魚 [ひざかな] /(n) dried fish/stockfish/
干魚 [ほしうお] /(n) dried fish/stockfish/
干魚 [ほしざかな] /(n) dried fish/stockfish/
干枯びる [ひからびる] /(iK) (v1,vi) to dry up completely/to become stale/
干枯らびる [ひからびる] /(iK) (v1,vi) to dry up completely/to become stale/
干菜 [ほしな] /(n) dried leaves (esp. of daikon and turnip)/
干支 [えと] /(n) sexagenary cycle/Chinese astrology/
干支 [かんし] /(n) sexagenary cycle/Chinese astrology/
干渉 [かんしょう] /(n,vs) interference/intervention/(P)/
干渉計 [かんしょうけい] /(n) interferometer/
干渉縞 [かんしょうじま] /(n) interference fringes/
干渉信号 [かんしょうしんごう] /(n) (comp) interference signal/
干渉電力 [かんしょうでんりょく] /(n) (comp) interference power/
干上がる [ひあがる] /(v5r,vi) to dry up/to parch/to ebb away/
干城 [かんじょう] /(n) defending soldier/
干場 [ほしば] /(n) drying place/drying ground/
干草 [ほしくさ] /(n) hay/dry grass/
干草 [ほしぐさ] /(n) hay/dry grass/
干拓 [かんたく] /(n,vs) land reclamation (from sea)/(P)/
干拓地 [かんたくち] /(n) reclaimed land/
干鱈 [ひだら] /(n) dried cod/
干潮 [かんちょう] /(n) ebb tide/
干潮 [ひきしお] /(n) ebb tide/
干潮線 [かんちょうせん] /(n) low-water mark/low-tide line/ebb-tide line/
干天 [かんてん] /(n) drought/dry weather/
干天慈雨 [かんてんじう] /(n) welcome (beneficial) rain in a drought/realization of something eagerly looked for/a welcome relief/
干肉 [ほしにく] /(n) dried meat/
干犯 [かんぱん] /(n,vs) infringement/violation/
干飯 [ほしいい] /(n) dried boiled rice/
干瓢 [かんぴょう] /(n) strips of dried gourd/
干葡萄 [ほしぶどう] /(n) raisin/raisins/
干物 [ひもの] /(n) dried food/dried fish/
干物 [ほしもの] /(n) things dried in the sun, esp. clothes, died cloth, etc./
干物女 [ひものおんな] /(n) woman who while young has abandoned love/
干満 [かんまん] /(n,adj-no) ebb and flow/(P)/
干与 [かんよ] /(n,vs) participation/
干葉 [ひば] /(n) dried leaves/dried daikon leaves/
干戈 [かんか] /(n) shield and halberd/fighting/war/
干戈を交える [かんかをまじえる] /(exp,v1) (obs) to open hostilities/to be at war/
干涸びる [ひからびる] /(v1,vi) to dry up completely/to become stale/
干魃 [かんばつ] /(n) drought/long spell (period) of dry weather/
幹 [から] /(n) (1) (arch) trunk/stem/stalk/(2) shaft (of an arrow)/(3) handle/
幹 [かん] /(n) (tree) trunk/(arrow) shaft/(tool) handle/backbone/base/
幹 [みき] /(n) (tree) trunk/(arrow) shaft/(tool) handle/backbone/base/(P)/
幹細胞 [かんさいぼう] /(n) stem cell/
幹事 [かんじ] /(n,vs) executive secretary/coordinator/organizer/person in charge of making arrangements/(P)/
幹事会 [かんじかい] /(n) board of governors/
幹事長 [かんじちょう] /(n) chief secretary (usu. of a party)/secretary-general/
幹線 [かんせん] /(n,adj-no) main line/trunk line/(P)/
幹線ケーブル [かんせんケーブル] /(n) (comp) trunk cable/
幹線結合器 [かんせんけつごうき] /(n) (comp) trunk coupling unit/trunk connecting unit/TCU/
幹線道路 [かんせんどうろ] /(n) main road/main thoroughfare/
幹竹 [からたけ] /(n) (1) (uk) Japanese timber bamboo (Phyllostachys bambsoides)/giant timber bamboo/madake/(2) Henon bamboo (Phyllostachys nigra var. henonis)/
幹竹割り [からたけわり] /(n) cutting straight down/cleaving (a person) in two/
幹部 [かんぶ] /(n,adj-no) management/(executive) staff/leaders/leadership/top brass/upper echelons/(P)/
幹部会 [かんぶかい] /(n) board of directors/
幹理 [かんり] /(n,vs) superintendence/supervision/administration/
幹流 [かんりゅう] /(n) main current/
患い [わずらい] /(n) illness/sickness/
患う [わずらう] /(v5u,vi) to fall ill/(P)/
患者 [かんじゃ] /(n) (a) patient/(P)/
患者を入れる [かんじゃをいれる] /(exp,v1) to admit a patient/
患者家族 [かんじゃかぞく] /(n) patient and relatives/
患者負担 [かんじゃふたん] /(n) medical expenses borne by the patient/patient contribution/patient share/co-payment/
患畜 [かんちく] /(n) animal under treatment/patient (referring to pets)/
患難 [かんなん] /(n) affliction/
患部 [かんぶ] /(n) affected part/(P)/
感 [かん] /(n) feeling/sensation/emotion/admiration/impression/
感きわまる [かんきわまる] /(v5r) to be overcome with emotion/
感ける [かまける] /(v1,vi) (uk) to be too busy/to be occupied/to concentrate on single-mindedly/
感じ [かんじ] /(n) feeling/sense/impression/(P)/
感じやすい [かんじやすい] /(adj-i) sensitive/susceptible/impressionable/
感じる [かんじる] /(v1) to feel/to sense/to experience/(P)/
感じ易い [かんじやすい] /(adj-i) sensitive/susceptible/impressionable/
感じ取る [かんじとる] /(v5r,vt) to perceive/to sense/to take in/to grasp/to feel/(P)/
感じ入る [かんじいる] /(v5r,vi) to be impressed/to greatly admire/
感ずる [かんずる] /(vz,vi) to feel/to sense/(P)/
感づく [かんづく] /(v5k,vi) (uk) to apprehend/to get an inkling (of something)/to smell (danger)/
感圧ダイオード [かんあつダイオード] /(n) pressure sensitive diode/
感圧紙 [かんあつし] /(n) carbonless duplicating paper/
感圧接着剤 [かんあつせっちゃくざい] /(n) pressure-sensitive adhesive/
感応 [かんおう] /(n,vs) inspiration/divine response/sympathy/induction/
感応 [かんのう] /(n,vs) inspiration/divine response/sympathy/induction/
感応遺伝 [かんのういでん] /(n) telegony/influence of a previous sire on the offspring of a female with a later sire (discredited theory of heredity)/
感応作用 [かんのうさよう] /(n) induction/
感応精神病 [かんのうせいしんびょう] /(n) folie a deux/
感化 [かんか] /(n,vs) influence/inspiration/reform/correction/(P)/
感化院 [かんかいん] /(n) reformatory/reform school/
感懐 [かんかい] /(n) impression/
感慨 [かんがい] /(n) strong feelings/deep emotion/(P)/
感慨一入 [かんがいひとしお] /(n,adj-na,adv) one's heart is filled with even deeper emotion/feeling the emotion all the more deeply/
感慨深い [かんがいぶかい] /(adj-i) deeply emotive/moving/
感慨無量 [かんがいむりょう] /(adj-na,n) deep emotion/one's mind is filled with thousand emotions/(P)/
感覚 [かんかく] /(n,vs) sense/sensation/feeling/intuition/(P)/
感覚過敏症 [かんかくかびんしょう] /(n) hypersensitivity/
感覚器 [かんかくき] /(n) sense organ/
感覚細胞 [かんかくさいぼう] /(n) sensory cell/
感覚遮断 [かんかくしゃだん] /(n) sensory deprivation/
感覚神経 [かんかくしんけい] /(n) sensory nerve/
感覚的 [かんかくてき] /(adj-na) sensible/sensuous/intuitive/
感覚点 [かんかくてん] /(n) sense point/
感覚毛 [かんかくもう] /(n) sensory hair/
感覚論 [かんかくろん] /(n) sensationalism/
感官 [かんかん] /(n) sense organ/
感泣 [かんきゅう] /(n,vs) being moved to tears/
感興 [かんきょう] /(n) interest/fun/inspiration/
感極まる [かんきわまる] /(v5r) to be overcome with emotion/
感吟 [かんぎん] /(n,vs) emotional chanting or recitation/
感激 [かんげき] /(n,vs) deep emotion/impression/inspiration/(P)/
感光 [かんこう] /(n,vs,adj-no) exposure/sensitization/sensitisation/
感光材料 [かんこうざいりょう] /(n) sensitive material/
感光紙 [かんこうし] /(n) photosensitive paper/
感光性 [かんこうせい] /(n) photosensitivity/
感光性樹脂 [かんこうせいじゅし] /(n) photosensitive resin/
感光素子 [かんこうそし] /(n) (comp) photosensor/
感光装置 [かんこうそうち] /(n) (comp) photosensor/
感光度 [かんこうど] /(n) photographic sensitivity/
感光板 [かんこうばん] /(n) sensitive or sensitized plate (sensitised)/
感作 [かんさ] /(n) (immunological) sensitization/
感謝 [かんしゃ] /(adj-na,n,vs) thanks/gratitude/(P)/
感謝の印 [かんしゃのしるし] /(n) token of appreciation/
感謝の念 [かんしゃのねん] /(n) feelings of gratitude/
感謝祭 [かんしゃさい] /(n) Thanksgiving (US, Canada)/
感謝状 [かんしゃじょう] /(n) thank-you letter/
感受 [かんじゅ] /(n,vs) (radio) receptivity/sensitivity/susceptibility/
感受性 [かんじゅせい] /(n) sensitivity/(P)/
感傷 [かんしょう] /(n) sentiment/sentimentality/
感傷劇 [かんしょうげき] /(n) sentimental drama/
感傷主義 [かんしょうしゅぎ] /(n) sentimentalism/
感傷主義者 [かんしょうしゅぎしゃ] /(n) sentimentalist/
感傷的 [かんしょうてき] /(adj-na) sentimental/
感情 [かんじょう] /(n,adj-no) emotion/feeling/feelings/sentiment/(P)/
感情にはしる [かんじょうにはしる] /(v5r,vi,exp) act on one's emotions/be carried away by one's feelings/get (become) emotional/
感情に走る [かんじょうにはしる] /(v5r,vi,exp) act on one's emotions/be carried away by one's feelings/get (become) emotional/
感情を害する [かんじょうをがいする] /(exp,vs-s) to hurt someone's feelings/to offend someone/
感情を殺す [かんじょうをころす] /(exp,v5s) to suppress one's emotions/
感情移入 [かんじょういにゅう] /(n,adj-no) empathy/
感情家 [かんじょうか] /(n) emotional person/
感情障害 [かんじょうしょうがい] /(n) emotional disorder/
感情的 [かんじょうてき] /(adj-na) emotional/sentimental/(P)/
感情表現 [かんじょうひょうげん] /(n) expressing emotion/drawing facial expressions/
感情労働 [かんじょうろうどう] /(n) emotional labour/
感情論 [かんじょうろん] /(n) argument based on emotion/sentimental argument/
感状 [かんじょう] /(n) letter of commendation/
感色性 [かんしょくせい] /(n) color-sensitivity/colour-sensitivity/
感触 [かんしょく] /(n,vs) sense of touch/feeling/sensation/texture (of food while chewing)/(P)/
感心 [かんしん] /(adj-na,n,vs) admiration/Well done!/(P)/
感性 [かんせい] /(n) sensitivity/sensitiveness/sense/(P)/
感性界 [かんせいかい] /(n) realm of the senses/sensible world/material world/
感性論 [かんせいろん] /(n) aesthetics/esthetics/
感染 [かんせん] /(n,vs,adj-no) infection/contagion/(P)/
感染経路 [かんせんけいろ] /(n) infection route/source of infection/
感染原 [かんせんげん] /(n) source of infection/
感染源 [かんせんげん] /(n) source of infection/
感染者 [かんせんしゃ] /(n) infected person/
感染呪術 [かんせんじゅじゅつ] /(n) contagious magic/
感染症 [かんせんしょう] /(n) infectious disease/infection/(P)/
感染症対策 [かんせんしょうたいさく] /(n) infection control measures/
感染性 [かんせんせい] /(n) infectiousness/
感染病 [かんせんびょう] /(n) infectious disease/
感染予防 [かんせんよぼう] /(n) infection prevention/disease control/
感染率 [かんせんりつ] /(n) infection rate/
感染力 [かんせんりょく] /(n) infectious capacity/
感染例 [かんせんれい] /(n) case of infection/
感想 [かんそう] /(n,vs) impressions/thoughts/(P)/
感想文 [かんそうぶん] /(n) written description of one's thoughts/
感嘆 [かんたん] /(n,vs,adj-no) admiration/wonder/(P)/
感嘆詞 [かんたんし] /(n) (ling) interjection/
感嘆符 [かんたんふ] /(n) (ling) exclamation point/exclamation mark/
感嘆文 [かんたんぶん] /(n) exclamatory sentence/exclamation/
感歎 [かんたん] /(oK) (n,vs) admiration/astonishment/
感歎詞 [かんたんし] /(oK) (n) (ling) interjection/
感歎符 [かんたんふ] /(n) (ling) exclamation point/exclamation mark/
感知 [かんち] /(n,vs) perception/
感知器 [かんちき] /(n) sensor/
感知装置 [かんちそうち] /(n) smoke or heat sensor or detector/
感潮域 [かんちょういき] /(n) estuary/estuarine basin/tidal area/tidal reach/tidal zone/
感潮河川 [かんちょうかせん] /(n) tidal river/
感電 [かんでん] /(n,vs) receive an electric shock/
感電死 [かんでんし] /(vs) (1) to be electrocuted/(n) (2) electrocution/
感度 [かんど] /(n) sensitivity/reception (e.g. radio and television)/severity (quake)/(P)/
感度分析 [かんどぶんせき] /(n) sensitivity analysis (e.g. in simulations)/
感度良好 [かんどりょうこう] /(n) loud and clear/
感動 [かんどう] /(n,vs) being deeply moved emotionally/excitement/passion/deep emotion/impression/(P)/
感動詞 [かんどうし] /(n) (ling) interjection/
感動文 [かんどうぶん] /(n) (obsc) exclamatory sentence/exclamation/
感得 [かんとく] /(n,vs) (1) deep realization (realisation)/profound realization/(2) one's faith being transmitted to a deity and one's wish then being granted/(3) unexpectedly obtaining something/
感熱プリンタ [かんねつプリンタ] /(n) (comp) thermal printer/
感熱印字装置 [かんねついんじそうち] /(n) (comp) thermal printer/
感熱剤 [かんねつざい] /(n) heat sensitizer/heat sensitiser/
感熱紙 [かんねつし] /(n) heat-sensitive paper/thermal paper/
感熱式プリンタ [かんねつしきプリンタ] /(n) (comp) thermal printer/
感付く [かんづく] /(v5k,vi) (uk) to apprehend/to get an inkling (of something)/to smell (danger)/
感服 [かんぷく] /(adj-na,n,vs) (arch) admiration/Well done!/
感奮 [かんぷん] /(n,vs) stirred up/inspired/moved to action/
感冒 [かんぼう] /(n) cold/
感無量 [かんむりょう] /(adj-na,n) deep feeling/inexpressible feeling/filled with emotion/
感銘 [かんめい] /(n,vs) deep impression/(P)/
感涙 [かんるい] /(n) tears of gratitude/(P)/
慣らう [ならう] /(v5u,vi) (uk) to imitate/to follow/to emulate/
慣らし [ならし] /(n) running-in/breaking in (e.g. engine, etc.)/accustomizing/
慣らす [ならす] /(v5s,vt) to accustom/(P)/
慣れ [なれ] /(n,vs) practice/practise/experience/(P)/
慣れた [なれた] /(adj-f) experienced/practiced/practised/familiar/
慣れっこ [なれっこ] /(n,adj-no,adj-na) being used to .../getting used to .../being accustomed to/being conditioned to/be familiar with/
慣れっこになる [なれっこになる] /(exp,v5r) to become used to/to become familiar with/to grow accustomed to/
慣れる [なれる] /(v1,vi) (1) to grow accustomed (to)/to get too familiar with/to get used (to)/(2) to become domesticated/to become tame/(P)/
慣れ親しむ [なれしたしむ] /(v5m) to become familiar with/to get used to/
慣わし [ならわし] /(n,adj-no) customary practice/customary practise/habit/traditional event/
慣わす [ならわす] /(v5s,vt) to make (someone) learn/
慣行 [かんこう] /(n,adj-no) customary practice/customary practise/habit/traditional event/(P)/
慣行取引き [かんこうとりひき] /(n) usual business practices (practises)/
慣行犯 [かんこうはん] /(n) (1) habitual criminal/recidivist/(2) recidivism/habitual criminal activity/
慣手段 [かんしゅだん] /(n) conventional means/usual means/
慣習 [かんしゅう] /(n,vs,adj-no) usual (historical) custom/(P)/
慣習国際法 [かんしゅうこくさいほう] /(n) customary international law/
慣習法 [かんしゅうほう] /(n) (1) common law/(2) customary law (in international law)/
慣性 [かんせい] /(n) inertia/
慣性の法則 [かんせいのほうそく] /(n) law of inertia/
慣性モーメント [かんせいモーメント] /(n) moment of inertia/
慣性系 [かんせいけい] /(n) inertial system/
慣性航法 [かんせいこうほう] /(n) inertial navigation system/
慣性誘導 [かんせいゆうどう] /(n,adj-no) inertial guidance/
慣用 [かんよう] /(n,vs,adj-no) common/customary/
慣用暗号システム [かんようあんごうシステム] /(n) (comp) conventional cryptosystem/
慣用暗号方式 [かんようあんごうほうしき] /(n) (comp) conventional cryptosystem/
慣用音 [かんようおん] /(n) traditional (popularly accepted) pronunciation (e.g. of a kanji)/
慣用句 [かんようく] /(n) idiomatic usage/common usage/(P)/
慣用語 [かんようご] /(n) (ling) idiom/
慣用語句 [かんようごく] /(n) idiom/idiomatic phrase/
慣用語法 [かんようごほう] /(n) idiomatic usage/
慣用読み [かんようよみ] /(n) reading of a word or kanji using its customary pronunciation (which is not necessarily correct)/
慣用表現 [かんようひょうげん] /(n) idiomatic expression/idiom/
慣用法 [かんようほう] /(n) (obsc) usage (esp. of language)/
慣用名 [かんようめい] /(n) common name/popular name/trivial name/
慣例 [かんれい] /(n,adj-no) custom/precedent/of convention/(P)/
慣例的 [かんれいてき] /(adj-na) typical/customary/
憾み [うらみ] /(n) (1) resentment/grudge/malice/bitterness/(2) matter for regret/regret/
憾む [うらむ] /(v5m,vt) (1) to resent/to curse/to feel bitter/to blame/to bear a grudge/(2) to regret/
憾むらくは [うらむらくは] /(exp,adv) I regret that/I feel terrible but/I'm sorry but/
換え [かえ] /(n) (1) change/alteration/substitute/spare/proxy/(2) rate of exchange/
換える [かえる] /(v1,vt) (1) to replace/(2) to exchange/to interchange/(3) to substitute/(P)/
換る [かわる] /(v5r,vi) (1) to succeed/to relieve/to replace/(2) to take the place of/to substitute for/to take over for/to represent/(3) to be exchanged/to change (places with)/to switch/
換わり [かわり] /(n) an exchange transaction/
換わる [かわる] /(v5r,vi) (1) to succeed/to relieve/to replace/(2) to take the place of/to substitute for/to take over for/to represent/(3) to be exchanged/to change (places with)/to switch/
換位 [かんい] /(n) (logical) conversion (transposition of subject and predicate to form a new proposition)/
換羽 [かんう] /(n) molting/
換羽期 [かんうき] /(n) molting season/
換気 [かんき] /(n,vs,adj-no) ventilation/(P)/
換気ダクト [かんきダクト] /(n) ventilation duct/
換気口 [かんきこう] /(n) vent/ventilation opening/
換気扇 [かんきせん] /(n) ventilation fan/(P)/
換気装置 [かんきそうち] /(n) ventilator/ventilating device/
換金 [かんきん] /(n,vs) realize/realise/turn into money/(P)/
換言 [かんげん] /(n,vs) in other words/
換言すれば [かんげんすれば] /(conj,exp) in other words/
換骨奪胎 [かんこつだったい] /(n,vs) adaptation (e.g. of a poem or novel)/rewriting/recasting/modification/rehashing/
換算 [かんさん] /(n,vs) conversion (e.g. yen to dollars)/change/exchange/translation (numerical)/(P)/
換算 [かんざん] /(n,vs) conversion (e.g. yen to dollars)/change/exchange/translation (numerical)/
換算表 [かんさんひょう] /(n) conversion table/
換算表 [かんざんひょう] /(n) conversion table/
換算率 [かんさんりつ] /(n) conversion rate/
換質 [かんしつ] /(n) obversion/
換質換位 [かんしつかんい] /(n) contraposition/
換装 [かんそう] /(n,vs) exchanging parts or equipment to effect a change in performance/
換物 [かんぶつ] /(n,vs) converting money into goods/purchasing/
換毛 [かんもう] /(n,vs) molting/
換喩 [かんゆ] /(n) (ling) metonymy/
敢えて [あえて] /(adv) (uk) dare (to do something)/venture (often overcoming reluctance, or in the face of probable failure)/take upon oneself/challenge/presume/(there is no) need to/(don't) go as far as/definitely (not)/(P)/
敢えない [あえない] /(adj-i) tragic/
敢えなく [あえなく] /(adv) sadly/tragically/
敢え無い [あえない] /(adj-i) tragic/
敢え無く [あえなく] /(adv) sadly/tragically/
敢て [あえて] /(io) (adv) (uk) dare (to do something)/venture (often overcoming reluctance, or in the face of probable failure)/take upon oneself/challenge/presume/(there is no) need to/(don't) go as far as/definitely (not)/
敢ない [あえない] /(io) (adj-i) tragic/
敢為 [かんい] /(n) daring/
敢行 [かんこう] /(n,vs) decisive action/(P)/
敢然 [かんぜん] /(n,adj-t,adv-to) boldly/(P)/
敢闘 [かんとう] /(n,vs) fighting bravely/(P)/
敢闘賞 [かんとうしょう] /(n) fighting spirit award/
敢無く [あえなく] /(io) (adv) sadly/tragically/
柑橘類 [かんきつるい] /(n) citrus fruits/
柑子栗毛 [こうじくりげ] /(n) sorrel (horse coat color)/
柑子色 [こうじいろ] /(n,adj-no) (arch) orange/saffron/
棺 [かん] /(n) coffin/casket/(P)/
棺 [ひつぎ] /(n) coffin/casket/
棺おけ [かんおけ] /(n) coffin/casket/
棺に納める [かんにおさめる] /(exp,v1) to lay in a coffin/
棺を蓋いて事定まる [かんをおおいてことさだまる] /(exp) (id) a person's worth is assessed only when their coffin is sealed/
棺を覆う [かんをおおう] /(exp,v5u) to cover a coffin/to die/
棺桶 [かんおけ] /(n) coffin/casket/
款を通ずる [かんをつうずる] /(exp,vz) to communicate secretly/to form a close friendship/
款待 [かんたい] /(n,vs) warm welcome/hospitality/
款冬 [ふき] /(n) (uk) giant butterbur (Petasites japonicus)/Japanese sweet coltsfoot/
歓 [かん] /(n) joy/enjoyment/delight/pleasure/
歓び [よろこび] /(n) joy/delight/rapture/pleasure/gratification/rejoicing/congratulations/felicitations/
歓ぶ [よろこぶ] /(v5b,vi) (1) to be delighted/to be glad/to be pleased/(2) to congratulate/(3) to gratefully accept/
歓を尽くす [かんをつくす] /(exp,v5s) to enjoy oneself to one's hearts content/to enjoy oneself to the full/
歓楽 [かんらく] /(n) pleasure/merriment/
歓楽街 [かんらくがい] /(n) pleasure quarter/(P)/
歓喜 [かんき] /(n,vs) delight/great joy/(P)/
歓喜天 [かんぎてん] /(n) (Buddh) Nandikesvara (Ganesh in the Buddhist pantheon)/
歓迎 [かんげい] /(n,vs,adj-no) welcome/reception/(P)/
歓迎宴 [かんげいえん] /(n) welcome party/
歓迎会 [かんげいかい] /(n) welcome party/
歓呼 [かんこ] /(n,vs) acclamation/jubilation/
歓心 [かんしん] /(n) favour/favor/
歓心を買う [かんしんをかう] /(exp,v5u) to win favour/to win favor/
歓声 [かんせい] /(n) cheer/shout of joy/(P)/
歓然 [かんぜん] /(adv-to,adj-t) (arch) delighted/overjoyed/
歓送 [かんそう] /(n,vs) hearty send-off/
歓送会 [かんそうかい] /(n) farewell party/
歓送迎会 [かんそうげいかい] /(n) party to welcome (e.g. new employees) and send off (e.g. retiring employees)/
歓待 [かんたい] /(n,vs) warm reception/friendly reception/(P)/
歓談 [かんだん] /(n,vs) pleasant talk/chat/(P)/
歓天喜地 [かんてんきち] /(n,adj-no) great joy/jubilation/exultation/
汗 [あせ] /(n) (1) sweat/perspiration/(2) moisture/condensation/(P)/
汗 [かん] /(n) khan (medieval ruler of a Tatary tribe)/
汗する [あせする] /(vs-s,vi) to perspire/to sweat/
汗だく [あせだく] /(exp) dripping with sweat/bathed in perspiration/
汗っ掻き [あせっかき] /(n) great sweater/one who perspires freely/
汗の結晶 [あせのけっしょう] /(n) fruits of one's labour/crystals of sweat/
汗ばむ [あせばむ] /(v5m,vi) to be sweaty/
汗ふき [あせふき] /(n) cloth to wipe the sweat off/
汗みずく [あせみずく] /(n,adj-na) drenched with sweat/sweaty all over/
汗みどろ [あせみどろ] /(adj-no,adj-na,n) drenched in sweat/
汗をかく [あせをかく] /(exp,v5k) to perspire/to sweat/
汗を掻く [あせをかく] /(exp,v5k) to perspire/to sweat/
汗顔 [かんがん] /(adj-na,n) ashamed/
汗牛充棟 [かんぎゅうじゅうとう] /(n) (having, there being) a great number of books/
汗血 [かんけつ] /(n) sweat and blood/
汗止め [あせどめ] /(n) an antisudorific (agent or material)/
汗取り [あせとり] /(n) undergarment designed to soak up sweat/
汗臭い [あせくさい] /(adj-i) smell(ing) of sweat/
汗拭 [あせふき] /(n) cloth to wipe the sweat off/
汗拭き [あせふき] /(n) cloth to wipe the sweat off/
汗疹 [あせぼ] /(n,adj-no) prickly heat/heat rash/miliaria/
汗疹 [あせも] /(n,adj-no) prickly heat/heat rash/miliaria/
汗水 [あせみず] /(n) sweat/
汗水漬 [あせみずく] /(n,adj-na) drenched with sweat/sweaty all over/
汗水漬く [あせみずく] /(n,adj-na) drenched with sweat/sweaty all over/
汗染みる [あせじみる] /(v1,vi) to be sweat-stained/
汗腺 [かんせん] /(n,adj-no) sweat gland/
汗掻き [あせかき] /(n) one who perspires freely/great sweater/
汗知らず [あせしらず] /(n) prickly heat powder/baby powder/talc powder/
汗馬 [かんば] /(n) a sweating horse/
汗疣 [あせも] /(n,adj-no) prickly heat/heat rash/miliaria/
汗衫 [かざみ] /(n) (arch) ancient Japanese sweat-absorbent summer garment/
汗袗 [あせとり] /(n) undergarment designed to soak up sweat/
漢 [おとこ] /(n) (m-sl) honourable man (anime, manga usage)/honorable man/
漢 [から] /(n,n-pref) (arch) China (sometimes also used in ref. to Korea or other foreign countries)/
漢 [かん] /(n) (1) (usu. used in compounds) China/(2) Han (majority Chinese ethnic group)/(n-suf) (3) man (often negative nuance)/
漢プリ [かんプリ] /(n) kanji printer/
漢英 [かんえい] /(n) Kanji to English (dictionary)/
漢英字典 [かんえいじてん] /(n) Kanji to English dictionary/
漢英辞典 [かんえいじてん] /(n) Kanji to English dictionary/
漢越音 [かんえつおん] /(n) Vietnamese reading (of Chinese characters)/
漢音 [かんおん] /(n) Han reading of Chinese characters/
漢学 [かんがく] /(n) Sinology/study of China or of the Chinese classics/
漢学者 [かんがくしゃ] /(n) Sinologist/scholar of the Chinese classics/
漢検 [かんけん] /(n) (abbr) kanji test/test of kanji skills/
漢語 [かんご] /(n) Chinese word/Sino-Japanese word/(P)/
漢才 [からざえ] /(n) mastery of Chinese literature/Sinology/
漢才 [かんざい] /(n) mastery of Chinese literature/Sinology/
漢氏 [あやうじ] /(n) Aya clan/
漢詩 [からうた] /(n) Chinese poetry/
漢詩 [かんし] /(n) Chinese poetry/(P)/
漢字 [かんじ] /(n) Chinese characters/kanji/(P)/
漢字ＲＯＭ [かんじロム] /(n) (comp) kanji ROM/
漢字Ｔａｌｋ [かんじトーク] /(n) (comp) KanjiTalk/
漢字ＵＲＬ [かんじユーアールエル] /(n) (comp) kanji URL/
漢字コード [かんじコード] /(n) (comp) kanji code/
漢字コード化集合 [かんじコードかしゅうごう] /(n) (comp) kanji coded set/
漢字音 [かんじおん] /(n) Japanese pronunciation of a kanji (based on adopted Chinese pronunciations)/
漢字検定 [かんじけんてい] /(n) test of kanji skills/kanji test/
漢字試験 [かんじしけん] /(n) kanji test/test of kanji skills/
漢字習熟度検定 [かんじしゅうじゅくどけんてい] /(n) kanji proficiency test/
漢字制限 [かんじせいげん] /(n) restrictions on the number of kanji recognized for usage (recognised)/
漢字制限論 [かんじせいげんろん] /(n) the question of limiting the use of Chinese characters/
漢字対応 [かんじたいおう] /(n) (comp) kanji support/
漢字直接入力 [かんじちょくせつにゅうりょく] /(n) (comp) direct kanji input (as opposed to kana-kanji conversion)/
漢字統合 [かんじとうごう] /(n) (comp) Han unification/
漢字符号化方式 [かんじふごうかほうしき] /(n) (comp) kanji encoding method/
漢字文化 [かんじぶんか] /(n) (the so-called) kanji culture/
漢字文化圏 [かんじぶんかけん] /(n) countries which use Chinese characters/
漢字変換 [かんじへんかん] /(n) kanji conversion/
漢時代 [かんじだい] /(n) Han dynasty/
漢熟検 [かんじゅくけん] /(n) (abbr) kanji proficiency test/
漢書 [かんしょ] /(n) a Chinese book/a book written in Chinese/
漢人 [あやひと] /(n) ancient Chinese immigrant/
漢人 [からびと] /(n) (arch) Chinese person/Korean person/
漢人 [かんじん] /(n) Chinese person (esp. Han Chinese)/
漢数字 [かんすうじ] /(n) Chinese characters which express numbers/
漢籍 [かんせき] /(n) Chinese books/Chinese classics/
漢蔵語 [かんぞうご] /(n) Sino-Tibetan (languages)/
漢族 [かんぞく] /(n) the Han race/
漢竹 [からたけ] /(n) (arch) Chinese bamboo/bamboo imported from China (often used to make flutes)/
漢竹 [かんちく] /(n) (arch) Chinese bamboo/bamboo imported from China (often used to make flutes)/
漢朝 [かんちょう] /(n) Han Dynasty/
漢直 [かんちょく] /(n) (comp) (abbr) direct kanji input (as opposed to kana-kanji conversion)/
漢土 [かんど] /(n) China/
漢文 [かんぶん] /(n) (1) Chinese classical literature/(2) literature written entirely in kanji/(P)/
漢文学 [かんぶんがく] /(n) Chinese literature/literature in Chinese/
漢文訓読 [かんぶんくんどく] /(n,vs) reading a Chinese text in Japanese/
漢方 [かんぽう] /(n) traditional Chinese medicine/(P)/
漢方医 [かんぽうい] /(n) doctor of Chinese (herbal) medicine/
漢方薬 [かんぽうやく] /(n) herbal medicine/(P)/
漢法 [かんぽう] /(n) traditional Chinese medicine/
漢民族 [かんみんぞく] /(n) Chinese people/Han race/
漢名 [かんめい] /(n) Chinese name (often of plants and animals)/
漢薬 [かんやく] /(n) Chinese medicine/herbal medicine/
漢訳 [かんやく] /(n,vs) a translation into Chinese/
漢和 [かんわ] /(n) (1) China and Japan/(2) Chinese and Japanese (languages)/(3) (abbr) Chinese Character-Japanese dictionary/(P)/
漢和字典 [かんわじてん] /(n) Chinese-Japanese character dictionary/
漢和辞典 [かんわじてん] /(n) Chinese-Japanese character dictionary/
澗 [かん] /(n) sexillion/10^36/
潅ぐ [そそぐ] /(v5g) (1) to pour (into)/to fill/(2) to sprinkle on from above/to shed (e.g. tears)/(3) to concentrate one's spirit or strength on/(v5g,vi) (4) to fall onto (of rain, snow)/
潅水 [かんすい] /(n,vs) sprinkling (water)/watering (plants)/
潅腸 [かんちょう] /(n,vs) (1) (giving an) enema/(2) (uk) (sl) prank where the anal region of another person is poked with index fingers/
潅木 [かんぼく] /(n) bush/shrub/
潅漑 [かんがい] /(n,vs) irrigation/
潅漑用水 [かんがいようすい] /(n) irrigation water/
環 [かん] /(n) (1) ring/band/(2) (math) ring/
環 [たまき] /(n) (1) (arch) bracelet (made of stringed jewels or bells and worn at the elbow)/(2) bracer (for the elbow of an archer)/
環 [わ] /(n) (1) ring/circle/loop/(2) hoop/(3) wheel/(4) circle (e.g. of friends)/
環化 [かんか] /(n,vs) cyclization/cyclisation/
環海 [かんかい] /(n) surrounding seas/surrounded by the sea/
環境 [かんきょう] /(n,adj-no) environment/circumstance/(P)/
環境づくり [かんきょうづくり] /(n) creating a (usually favorable) environment/
環境アセスメント [かんきょうアセスメント] /(n) environmental impact assessment/
環境グループ [かんきょうグループ] /(n) environmental group/
環境ストレス [かんきょうストレス] /(n) environmental stress/
環境スワップ [かんきょうスワップ] /(n) debt-for-nature swap/
環境デザイン [かんきょうデザイン] /(n) environmental design/
環境ホルモン [かんきょうホルモン] /(n) hormone-disrupting chemicals/
環境モニタリング [かんきょうモニタリング] /(n) (comp) environmental monitoring/
環境悪化 [かんきょうあっか] /(n,vs) environmental degradation/
環境衛生 [かんきょうえいせい] /(n) environmental hygiene/
環境汚染 [かんきょうおせん] /(n) environmental pollution/
環境科学 [かんきょうかがく] /(n) environmental science/
環境活動 [かんきょうかつどう] /(n) environmental practice/environmental practices/
環境活動家 [かんきょうかつどうか] /(n) environmental activist/environmentalist/
環境基準 [かんきょうきじゅん] /(n) environmental standard/
環境規制 [かんきょうきせい] /(n) environmental regulation/
環境記述 [かんきょうきじゅつ] /(n) (comp) environment description/
環境句 [かんきょうく] /(n) (comp) environment clause/
環境型セクハラ [かんきょうがたセクハラ] /(n) sexual harassment from colleagues in the work environment (lit: environmental sexual harassment)/
環境権 [かんきょうけん] /(n) environment right/
環境光 [かんきょうこう] /(n) (comp) ambient light/
環境光源 [かんきょうこうげん] /(n) (comp) ambient light source/
環境光反射係数 [かんきょうこうはんしゃけいすう] /(n) (comp) ambient reflection coefficient/
環境災害 [かんきょうさいがい] /(n) environmental disaster/
環境作り [かんきょうづくり] /(n) creating a (usually favorable) environment/
環境事業 [かんきょうじぎょう] /(n) environmental business/environment business/environmental program/
環境収容力 [かんきょうしゅうようりょく] /(n) environmental carrying capacity/
環境省 [かんきょうしょう] /(n) Ministry of the Environment/
環境条件 [かんきょうじょうけん] /(n) (comp) environmental condition/
環境親和型 [かんきょうしんわがた] /(adj-f,adj-no) environmentally-friendly/
環境政策 [かんきょうせいさく] /(n) environmental policy/
環境整備 [かんきょうせいび] /(n) environmental maintenance/environmental improvement/
環境税 [かんきょうぜい] /(n) environmental tax/green tax/
環境責任 [かんきょうせきにん] /(n) environmental responsibility/
環境責任者 [かんきょうせきにんしゃ] /(n) environmental administrator/
環境設定 [かんきょうせってい] /(n) (comp) configuration (e.g. of a computer or file)/system environment/environment setting/
環境造り [かんきょうづくり] /(n) creating a (usually favorable) environment/
環境対策 [かんきょうたいさく] /(n) environmental measure/
環境大臣 [かんきょうだいじん] /(n) Minister for the Environment/
環境庁 [かんきょうちょう] /(n) Environment Agency/(P)/
環境庁長官 [かんきょうちょうちょうかん] /(n) Director General of Environment Agency/
環境調査 [かんきょうちょうさ] /(n) environmental research/
環境難民 [かんきょうなんみん] /(n) environmental refugee/
環境破壊 [かんきょうはかい] /(n) environmental destruction/
環境配慮書 [かんきょうはいりょしょ] /(n) environmental impact statement/
環境変化 [かんきょうへんか] /(n,vs) environmental change/
環境変数 [かんきょうへんすう] /(n) (comp) environment variable/
環境保護 [かんきょうほご] /(n,adj-no) environmental protection/
環境保護主義 [かんきょうほごしゅぎ] /(n) environmentalism/
環境保護主義者 [かんきょうほごしゅぎしゃ] /(n) environmentalist/
環境保護団体 [かんきょうほごだんたい] /(n) pro-environment group/
環境保護論者 [かんきょうほごろんしゃ] /(n) environmentalist/
環境保全 [かんきょうほぜん] /(n) environmental conservation/
環境法 [かんきょうほう] /(n) environmental laws/
環境法規 [かんきょうほうき] /(n) environmental laws/
環境問題 [かんきょうもんだい] /(n) environmental problem (issue)/
環境問題専門家 [かんきょうもんだいせんもんか] /(n) environmentalist/
環境容量 [かんきょうようりょう] /(n) environmental carrying capacity/environmental acceptable limit/environmental assimilating capacity/environmental capacity/
環境理論 [かんきょうりろん] /(n) ecological theory/
環境倫理学 [かんきょうりんりがく] /(n) environmental ethics/
環境劣化 [かんきょうれっか] /(n,vs) environmental degradation/
環形動物 [かんけいどうぶつ] /(n) annelid/
環濠 [かんごう] /(n) (circular) moat/
環指 [かんし] /(n) ring finger/
環視 [かんし] /(n,vs) looking around or about/
環式炭化水素 [かんしきたんかすいそ] /(n) cyclic hydrocarbon/
環礁 [かんしょう] /(n) atoll/circular coral reef/(P)/
環状 [かんじょう] /(n,adj-no) annulation/ring-forming/(P)/
環状ＡＭＰ [かんじょうエーエムピー] /(n) cyclic AMP/
環状ネットワーク [かんじょうネットワーク] /(n) (comp) ring network/loop/
環状計数器 [かんじょうけいすうき] /(n) (comp) ring counter/
環状星雲 [かんじょうせいうん] /(n) ring nebula/
環状石籬 [かんじょうせきり] /(n) (obsc) stone circle/
環状線 [かんじょうせん] /(n) loop line/(transportation) belt line/
環状軟骨 [かんじょうなんこつ] /(n) cricoid cartilage/
環状網 [かんじょうもう] /(n) (comp) ring network/loop/
環状列石 [かんじょうれっせき] /(n) stone circle/
環節 [かんせつ] /(n) segment (of worm)/
環節動物 [かんせつどうぶつ] /(n) annulosan/
環太平洋 [かんたいへいよう] /(n,adj-no) the Pacific Rim/
環太平洋火山帯 [かんたいへいようかざんたい] /(n) circum-Pacific volcanic belt/Ring of Fire/
環太平洋構想 [かんたいへいようこうそう] /(n) the Pacific Rim conception/
環太平洋諸国 [かんたいへいようしょこく] /(n) Pacific Rim nations/
環太平洋造山帯 [かんたいへいようぞうざんたい] /(n) circum-Pacific orogeny/
環椎 [かんつい] /(n) atlas vertebra/
甘い [あまい] /(exp,adj-i) (1) (uk) sweet/delicious/(2) fragrant (smelling)/sweet (music)/(3) lightly salted/(4) naive/overly optimistic/soft on/generous/indulgent/easy-going/(5) half-hearted/not finished properly/(6) tempting (e.g. words)/promising/(P)/
甘い [うまい] /(adj-i) (1) skillful/clever/expert/wise/successful/(2) delicious/appetizing/appetising/(3) fortunate/splendid/promising/(P)/
甘いもの [あまいもの] /(n) sweets/sweet food/
甘いもの好き [あまいものずき] /(n) sweet tooth/love of sweet things/
甘い顔をする [あまいかおをする] /(exp,vs-i) to go easy on somebody/to be easygoing/to be lenient/
甘い言葉 [あまいことば] /(exp) alluring words/endearing words/sugared words/sweet words/honeyed words/flattery/cajolery/
甘い汁を吸う [あまいしるをすう] /(exp,v5u) to make a good thing out of (something)/
甘い小説 [あまいしょうせつ] /(n) sentimental novel/
甘い物 [あまいもの] /(n) sweets/sweet food/
甘い物は別腹 [あまいものはべつばら] /(exp) there's always room for dessert/lit: there's another stomach for dessert/
甘い物好き [あまいものずき] /(n) sweet tooth/love of sweet things/
甘い料理 [うまいりょうり] /(n) tasty dish/
甘い話 [うまいはなし] /(n) too good to be true stories (offers) (e.g. scams and frauds)/
甘え [あまえ] /(n) depending on other's kindness/(P)/
甘えた調子で [あまえたちょうしで] /(exp) in a coquettish tone/
甘えっ子 [あまえっこ] /(n) spoilt child/
甘えび [あまえび] /(n) (uk) northern shrimp (Pandalus borealis)/sweet shrimp/northern pink prawn/red shrimp/Maine shrimp/
甘える [あまえる] /(v1,vi) (1) to behave like a spoiled child/to behave like a spoilt child/to fawn on/(2) to take advantage of/to presume upon (e.g. another's benevolence)/to depend on/(P)/
甘えん坊 [あまえんぼう] /(adj-na,n) pampered or spoiled child (spoilt)/
甘くやる [うまくやる] /(iK) (exp,v5r) (uk) to manage something successfully/to be successful/
甘く見る [あまくみる] /(v1) to not take seriously/to take lightly/
甘ずっぱい [あまずっぱい] /(adj-i) sweet and sour/bittersweet/
甘たるい [あまたるい] /(adj-i) (1) sentimental/mushy/(2) sugary/saccharine/sickly-sweet/
甘ったるい [あまったるい] /(adj-i) (1) sentimental/mushy/(2) sugary/saccharine/sickly-sweet/
甘ったれる [あまったれる] /(v1,vi) (1) to behave like a spoiled child/to behave like a spoilt child/to fawn on/(2) to depend and presume upon another's benevolence/
甘っちょろい [あまっちょろい] /(adj-i) optimistic/
甘み [あまみ] /(n) sweetness/sugary taste/(P)/
甘み [うまみ] /(n) sweetness/sugary taste/
甘み [かんみ] /(n) sweetness/sugary taste/
甘やか [あまやか] /(adj-na) sweet (voice, fragrance, etc.)/
甘やかして育てる [あまやかしてそだてる] /(v1) to bring up indulgently/
甘やかす [あまやかす] /(v5s,vt) to pamper/to spoil/(P)/
甘んじる [あまんじる] /(v1,vi) to content oneself with/to be resigned to (one's fate)/to be contented (satisfied) with (one's lot)/
甘んずる [あまんずる] /(vz,vi) to content oneself with/to be resigned to (one's fate)/to be contented (satisfied) with (one's lot)/
甘ロリ [あまロリ] /(n) sweet Lolita (fashion style) (as opposed to Gothic Lolita)/
甘塩 [あまじお] /(n,adj-no) slightly salted/
甘夏 [あまなつ] /(n) (food) sweet (variety of) Watson pomelo/
甘夏柑 [あまなつかん] /(n) (food) sweet (variety of) Watson pomelo/
甘夏蜜柑 [あまなつみかん] /(n) sweet form of Watson pomelo (Citrus natsudaidai f. kawanonatsudaidai)/
甘海苔 [あまのり] /(n) laver/
甘海老 [あまえび] /(n) (uk) northern shrimp (Pandalus borealis)/sweet shrimp/northern pink prawn/red shrimp/Maine shrimp/
甘柿 [あまがき] /(n) sweet persimmon/
甘葛 [あまずら] /(n) (1) (arch) ivy (esp. Boston ivy, Parthenocissus tricuspidata)/(2) jiaogulan (species of herbaceous vine; Gynostemma pentaphyllum)/
甘噛み [あまかみ] /(n,vs) play-biting/
甘噛み [あまがみ] /(n,vs) play-biting/
甘干し [あまぼし] /(n) persimmon cured in the sun/
甘苦 [かんく] /(n) sweetness and bitterness/joys and sorrows/
甘栗 [あまぐり] /(n) (food) broiled sweet chestnuts/
甘言 [かんげん] /(n,adj-no) cajolery/(P)/
甘言は偶人を喜ばす [かんげんはぐうじんをよろこばす] /(exp) (id) sweet words only please a fool (prov)/flattery works on puppets and fools/
甘口 [あまくち] /(adj-na,n,adj-no) (1) sweet flavour/sweet flavor/mildness/(2) flattery/(3) stupidity/
甘菜 [あまな] /(n) (uk) Tulipa edulis (species of tulip with an edible bulb)/
甘菜 [かんさい] /(n) sugar beet/
甘鷺 [あまさぎ] /(n) (uk) cattle egret (Bubulcus ibis)/
甘酸 [かんさん] /(n) sweetness and bitterness/joys and sorrows/
甘酸っぱい [あまずっぱい] /(adj-i) sweet and sour/bittersweet/
甘子 [あまご] /(n) red-spotted masu trout/
甘煮 [あまに] /(n) boiled in sugar, mirin, etc./
甘酒 [あまざけ] /(n) (food) sweet half sake/sweet drink made from fermented rice/
甘受 [かんじゅ] /(n,vs) submission to/putting up with/
甘薯 [かんしょ] /(n) sweet potato/
甘薯 [さつまいも] /(n) sweet potato/
甘藷 [かんしょ] /(n) sweet potato/
甘藷 [さつまいも] /(n) sweet potato/
甘食 [あましょく] /(n) sweet bun/
甘心 [かんしん] /(n,vs) satisfaction/
甘辛 [あまから] /(n,adj-no) sweetness and saltiness/salted and sweetened taste/
甘辛い [あまからい] /(adj-i) salty-sweet/bittersweet/
甘辛両刀 [あまからりょうとう] /(n,adj-no) taste for both wines and sweets/having a liking for both alcoholic beverages and sweet things/
甘酢 [あまず] /(n) sweet vinegar/(P)/
甘草 [かんぞう] /(n) liquorice/licorice/
甘藻 [あまも] /(n) eelgrass/
甘鯛 [あまだい] /(n) (food) horse-head fish (Japanese branquillo)/tilefish/
甘茶 [あまちゃ] /(n) hydrangea tea/
甘茶蔓 [あまちゃづる] /(n) (uk) jiaogulan (species of herbaceous vine; Gynostemma pentaphyllum)/
甘党 [あまとう] /(n) (someone with a) sweet tooth/person fond of sweets/person who doesn't like alcohol, preferring sweets/
甘納豆 [あまなっとう] /(n) sugared red beans/
甘皮 [あまかわ] /(n) epidermis/cuticle/
甘美 [かんび] /(adj-na,n) sweet (e.g. fruit, melody, dream)/luscious/(P)/
甘味 [あまみ] /(n) sweetness/sugary taste/(P)/
甘味 [うまみ] /(n) sweetness/sugary taste/
甘味 [かんみ] /(n) sweetness/sugary taste/
甘味処 [あまみどころ] /(n) cafe featuring Japanese-style sweets/
甘味処 [かんみどころ] /(n) cafe featuring Japanese-style sweets/
甘味所 [あまみどころ] /(n) cafe featuring Japanese-style sweets/
甘味所 [かんみどころ] /(n) cafe featuring Japanese-style sweets/
甘味料 [かんみりょう] /(n) sweeteners/sweetening materials/(P)/
甘夢 [かんむ] /(n) sweet (pleasant) dreams/
甘藍 [かんらん] /(n) cabbage/
甘露 [かんろ] /(adj-na,n) nectar/sweetness/
甘露煮 [かんろに] /(n) candied (chestnuts)/sweetened boiled fish/
甘汞 [かんこう] /(n) calomel (mercury chloride)/
甘蔗 [かんしゃ] /(n) sugar cane/
甘蔗 [かんしょ] /(n) sugar cane/
甘蔗糖 [かんしょとう] /(n) cane sugar/
監 [げん] /(n,n-suf) (1) (arch) special Nara-period administrative division for areas containing a detached palace (Yoshino and Izumi)/(n) (2) (arch) secretary/third highest-ranking officials in the Dazaifu/
監禁 [かんきん] /(n,vs,adj-no) confinement/(P)/
監護 [かんご] /(n,vs) custody and care/
監護義務 [かんごぎむ] /(n) custodial duties/
監獄 [かんごく] /(n) prison/(P)/
監査 [かんさ] /(n,vs) inspection/audit/judgement/judgment/(P)/
監査委員 [かんさいいん] /(n) supervisory auditor/member of inspection committee/
監査基準 [かんさきじゅん] /(n) audit standard/
監査記録 [かんさきろく] /(n) audit trail/
監査検討ファイル [かんさけんとうファイル] /(n) (comp) audit-review file/
監査証跡 [かんさしょうせき] /(n) audit trail/
監査報告 [かんさほうこく] /(n) audit report/
監査報告書 [かんさほうこくしょ] /(n) audit report/
監査法人 [かんさほうじん] /(n) auditor/
監査役 [かんさやく] /(n) auditor/inspector/(P)/
監察 [かんさつ] /(n,vs) inspection/inspector/(P)/
監察医 [かんさつい] /(n) medical coroner/medical examiner/
監察官 [かんさつかん] /(n) inspector/supervisor/
監察御史 [かんさつぎょし] /(n) imperial censor/ancient Chinese official in charge of inspecting other officials/
監視 [かんし] /(n,vs) observation/guarding/inspection/surveillance/(P)/
監視カメラ [かんしカメラ] /(n) surveillance camera/
監視プログラム [かんしプログラム] /(n) (comp) monitoring program/supervisor/
監視員 [かんしいん] /(n) lifeguard/
監視下 [かんしか] /(adj-no) supervised/under surveillance/
監視局 [かんしきょく] /(n) (comp) monitor/
監視者 [かんししゃ] /(n) guardian/
監視所 [かんしじょ] /(n) lookout post/observation point/
監視哨 [かんししょう] /(n) {mil} observation post/
監視船 [かんしせん] /(n) patrol boat/
監視体制 [かんしたいせい] /(n) surveillance system/monitoring system/
監視塔 [かんしとう] /(n) watchtower/
監視網 [かんしもう] /(n) surveillance network/
監事 [かんじ] /(n) manager/supervisor/
監寺 [かんじ] /(n) (Buddh) one of the six administrators of a Zen temple who substitutes for the chief priest/
監寺 [かんす] /(n) (Buddh) one of the six administrators of a Zen temple who substitutes for the chief priest/
監寺 [かんず] /(n) (Buddh) one of the six administrators of a Zen temple who substitutes for the chief priest/
監主 [かんじ] /(n) (Buddh) one of the six administrators of a Zen temple who substitutes for the chief priest/
監主 [かんす] /(n) (Buddh) one of the six administrators of a Zen temple who substitutes for the chief priest/
監主 [かんず] /(n) (Buddh) one of the six administrators of a Zen temple who substitutes for the chief priest/
監守 [かんしゅ] /(n,vs) custody/watching over/
監守 [かんじ] /(n) (Buddh) one of the six administrators of a Zen temple who substitutes for the chief priest/
監守 [かんす] /(n) (Buddh) one of the six administrators of a Zen temple who substitutes for the chief priest/
監守 [かんず] /(n) (Buddh) one of the six administrators of a Zen temple who substitutes for the chief priest/
監守人 [かんしゅにん] /(n) custodian/
監修 [かんしゅう] /(n,vs) (1) (editorial) supervision/general editorship/(n) (2) supervising director (of anime, TV series etc.)/(P)/
監修者 [かんしゅうしゃ] /(n) general (supervising) editor/editor-in-chief/
監督 [かんとく] /(n,vs,adj-no) (1) supervision/control/superintendence/direction/(n) (2) director/superintendent/supervisor/coach/foreman/manager/overseer/controller/boss/(P)/
監督委員会 [かんとくいいんかい] /(n) supervisory board/
監督官 [かんとくかん] /(n) inspector/
監督機能 [かんとくきのう] /(n) (comp) supervisory function/
監督教会 [かんとくきょうかい] /(n) Episcopal Church/
監督者 [かんとくしゃ] /(n) superintendent/supervisor/warden/
監房 [かんぼう] /(n) cell/ward/
監訳 [かんやく] /(n) supervisor of translation/
監理 [かんり] /(n,vs) superintendence/supervision/administration/(P)/
看す [めす] /(v5s,vt) (1) (hon) (arch) to see/to look/to watch/(2) to rule/to govern/
看る [みる] /(v1,vt) to look after (often medically)/to take care of/(P)/
看過 [かんか] /(n,vs) connivance/shutting one's eyes to/(P)/
看貫 [かんかん] /(n) weighing/platform scales/
看客 [かんかく] /(n) spectators/visitors/audience/
看客 [かんきゃく] /(n) spectators/visitors/audience/
看経 [かんきん] /(n,vs) silent reading of sutra/
看護 [かんご] /(n,vs) nursing/(army) nurse/(P)/
看護学 [かんごがく] /(n) nursing science/
看護学校 [かんごがっこう] /(n) nurses' school (college)/
看護士 [かんごし] /(n) nurse (may be male nurse)/
看護師 [かんごし] /(n) (hospital) nurse/registered nurse/RN/
看護師長 [かんごしちょう] /(n) head nurse/
看護人 [かんごにん] /(n) nurse (male or female)/personal care attendant/
看護卒 [かんごそつ] /(n) army nurse/medic/
看護長 [かんごちょう] /(n) chief nurse (in the army)/
看護疲れ [かんごつかれ] /(n) nursing fatigue/
看護婦 [かんごふ] /(n) (female) nurse/(P)/
看護婦学院 [かんごふがくいん] /(n) nurses' training school/
看護婦長 [かんごふちょう] /(n) head nurse/
看護婦養成所 [かんごふようせいじょ] /(n) nurses' training school/
看護兵 [かんごへい] /(n) army nurse/medic/
看護法 [かんごほう] /(n) nursing art/
看視 [かんし] /(n,vs) a watch/being on the lookout/
看取 [かんしゅ] /(n,vs) seeing through/perceiving/noticing/getting wind of/
看取る [みとる] /(v5r) to care for the sick/
看守 [かんしゅ] /(n,vs) jailer/gaoler/(P)/
看守者 [かんしゅしゃ] /(n) jailer/gaoler/
看点 [かんてん] /(n) viewpoint/
看破 [かんぱ] /(n,vs) penetration/see through/fathom/reading another's thoughts/
看破る [みやぶる] /(v5r,vt) to see through another's thoughts/to have a sharp eye/to penetrate/to fathom/
看板 [かんばん] /(n) sign/signboard/doorplate/poster/billboard/appearance/figurehead/policy/attraction/closing time/(P)/
看板を下ろす [かんばんをおろす] /(exp,v5s) to close one's business/
看板屋 [かんばんや] /(n) sign maker/
看板大関 [かんばんおおぜき] /(n) physically exceptional sumo wrestler promoted straight to champion rank during Edo period/
看板倒れ [かんばんだおれ] /(n) ostentatious/
看板方式 [かんばんほうしき] /(n) just-in-time inventory management/JIT/
看板娘 [かんばんむすめ] /(n) pretty daughter who attracts boys to parents' shop/show girl/
看病 [かんびょう] /(n,vs) nursing (a patient)/(P)/
看病人 [かんびょうにん] /(n) nurse/
看病疲れ [かんびょうづかれ] /(n) nursing fatigue/
看做す [みなす] /(v5s,vt) to consider as/to regard (as equivalent)/to deem (as)/to equate/
竿 [かん] /(suf,ctr) counter for poles, rods, etc./
竿 [さお] /(n) (1) rod/pole/(2) neck (of a shamisen, etc.)/shamisen/(3) beam (i.e. the crossbar of a balance)/(4) single line (esp. as a flying formation for geese)/(5) (sl) penis/(ctr) (6) counter for flags (on poles)/counter for long, thin Japanese sweets (e.g. youkan)/(P)/
竿竹 [さおだけ] /(n) bamboo pole/
竿頭 [かんとう] /(n) top of a pole/
竿秤 [さおばかり] /(n) beam balance/steelyard/
管 [かん] /(n,n-suf) pipe/tube/(P)/
管 [くだ] /(n,n-suf) pipe/tube/(P)/
管きょ [かんきょ] /(n) (e.g. sewer, storm water) pipe/culvert/
管の穴から天を覗く [くだのあなからてんをのぞく] /(exp) (id) Have a narrow view of things/
管を巻く [くだをまく] /(exp,v5k) to grumble over one's wine cups/
管下 [かんか] /(n,adj-no) under the jurisdiction of/
管外 [かんがい] /(adj-no) outside the control or jurisdiction (of)/extra-/
管楽器 [かんがっき] /(n) wind instrument/
管轄 [かんかつ] /(n,vs) jurisdiction/control/(P)/
管轄ポート [かんかつポート] /(n) (comp) administration port/
管轄官庁 [かんかつかんちょう] /(n) controlling office/competent (governmental) authorities/
管轄権 [かんかつけん] /(n) (have) jurisdiction over/
管轄争い [かんかつあらそい] /(n) jurisdictional dispute/
管球 [かんきゅう] /(n) vacuum tube/
管渠 [かんきょ] /(n) (e.g. sewer, storm water) pipe/culvert/
管区 [かんく] /(n) jurisdiction/(P)/
管区気象台 [かんくきしょうだい] /(n) district meteorological observatory/(P)/
管継ぎ手 [くだつぎて] /(n) pipe joint/
管継手 [くだつぎて] /(n) pipe joint/
管見 [かんけん] /(n) (1) narrow insight/narrow view/(2) my humble opinion/
管弦 [かんげん] /(n) wind and string instruments/music/
管弦楽 [かんげんがく] /(n) orchestral music/(P)/
管弦楽器 [かんげんがっき] /(n) wind and string instruments/
管弦楽団 [かんげんがくだん] /(n) orchestra/(P)/
管弦楽法 [かんげんがくほう] /(n) orchestration/
管絃楽 [かんげんがく] /(n) orchestral music/
管狐 [くだぎつね] /(n) (1) mythological pipe fox/(2) stoat/
管財 [かんざい] /(n) administration of property/custodianship/receivership/(P)/
管財人 [かんざいにん] /(n) trustee/receiver/administrator/
管珊瑚 [くださんご] /(n) organ-pipe coral/
管掌 [かんしょう] /(n,vs) taking charge/management/
管状 [かんじょう] /(n,adj-no) tubular/
管状花 [かんじょうか] /(n) tubular flower/
管制 [かんせい] /(n,vs) control/(P)/
管制官 [かんせいかん] /(n) controller (usually air-traffic)/(P)/
管制塔 [かんせいとう] /(n) control tower/(P)/
管端 [かんたん] /(n) end of wind instrument/
管長 [かんちょう] /(n) superintendent priest/chief abbot/(P)/
管内 [かんない] /(n,adj-no) within the jurisdiction of/(P)/
管理 [かんり] /(n,vs) control/management (e.g. of a business)/(P)/
管理オブジェクトクラス [かんりオブジェクトクラス] /(n) (comp) managed object class/
管理コスト [かんりコスト] /(n) management cost/
管理システム [かんりシステム] /(n) (comp) managing system/
管理ツール [かんりツール] /(n) (comp) management tool/
管理フロート制 [かんりフロートせい] /(n) managed float system/
管理価格 [かんりかかく] /(n) administered price/
管理会計 [かんりかいけい] /(n) managerial accounting/
管理会社 [かんりがいしゃ] /(n) proprietary company/
管理開放型システム [かんりかいほうがたシステム] /(n) (comp) managing open system/
管理官 [かんりかん] /(n) administrator/director/commissioner/
管理環境 [かんりかんきょう] /(n) (comp) management environment/
管理監督者 [かんりかんとくしゃ] /(n) supervisor/manager/
管理機関 [かんりきかん] /(n) (comp) administrative authority/
管理機能 [かんりきのう] /(n) management function/
管理業務 [かんりぎょうむ] /(n) (comp) management task/administrative task/
管理局 [かんりきょく] /(n) administration bureau/
管理区域 [かんりくいき] /(n) controlled access location/
管理権 [かんりけん] /(n) supervisory authority/regulatory authority/right of management/custodial right/
管理作業 [かんりさぎょう] /(n) (comp) management task/management function/
管理社会 [かんりしゃかい] /(n) controlled society/regulated society/
管理者 [かんりしゃ] /(n) (1) manager/landlord/warden/superintendent/supervisor/(2) (comp) root (user)/(P)/
管理主義教育 [かんりしゅぎきょういく] /(n) control-oriented education/
管理情報 [かんりじょうほう] /(n) management information/
管理情報ベース [かんりじょうほうベース] /(n) (comp) Management Information Base/
管理職 [かんりしょく] /(n) management/(P)/
管理人 [かんりにん] /(n) manager/
管理責任 [かんりせきにん] /(n) managerial liability/executive responsibility/accountability/
管理組織 [かんりそしき] /(n) management organization/management organisation/
管理体制 [かんりたいせい] /(n) (comp) management system/
管理対象 [かんりたいしょう] /(n) (comp) Managed object/
管理通貨制度 [かんりつうかせいど] /(n) managed currency system/
管理提供オブジェクト [かんりていきょうオブジェクト] /(n) (comp) management support object/
管理棟 [かんりとう] /(n) administrative building/
管理費 [かんりひ] /(n) administration costs/administrative expenses/management costs/
管理貿易 [かんりぼうえき] /(n) controlled trade/government-managed trade/
管理領域 [かんりりょういき] /(n) (comp) Management Domain/MD/
管理領域名 [かんりりょういきめい] /(n) (comp) management domain name/
管領 [かんりょう] /(n,vs) (person in) control/
管路 [かんろ] /(n) conduit line/pipeline/
管籥 [かんやく] /(n) (1) key/(2) flute constructed of bamboo/
管鑰 [かんやく] /(n) (1) key/(2) flute constructed of bamboo/
簡 [かん] /(n) brevity/simplicity/
簡にして要を得た [かんにしてようをえた] /(exp) succinct/brief/
簡にして要を得ている [かんにしてようをえている] /(exp,v1) to be brief and to the point/to be succinct/
簡易 [かんい] /(adj-na,n,adj-no) simplicity/convenience/easiness/quasi-/(P)/
簡易ベッド [かんいベッド] /(n) cot/bunk/
簡易化 [かんいか] /(n,vs) simplification/
簡易慣用字体 [かんいかんようじたい] /(n) simplified form (of a kanji)/any of 22 simplified non-joyo kanji variants commonly used in print/
簡易型携帯電話 [かんいがたけいたいでんわ] /(n) personal handyphone system/PHS/
簡易軽便 [かんいけいべん] /(n,adj-na) simple, easy, and convenient/
簡易言語 [かんいげんご] /(n) (comp) simplified language/
簡易裁判所 [かんいさいばんしょ] /(n) a summary court/
簡易住宅 [かんいじゅうたく] /(n) prefab/prefabricated house/
簡易食堂 [かんいしょくどう] /(n) cafeteria/snack bar/lunch counter/
簡易生命保険 [かんいせいめいほけん] /(n) postal life insurance/post-office life insurance/
簡易端末 [かんいたんまつ] /(n) (comp) dumb terminal/
簡易認証 [かんいにんしょう] /(n) (comp) simple authentication/
簡易保険 [かんいほけん] /(n) postal life insurance/(P)/
簡易郵便局 [かんいゆうびんきょく] /(n) simple post office/
簡潔 [かんけつ] /(adj-na,n) brevity/conciseness/simplicity/(P)/
簡潔性 [かんけつせい] /(n) simplicity/
簡潔性の尺度 [かんけつせいのしゃくど] /(n) simplicity measure/
簡潔明瞭 [かんけつめいりょう] /(n,adj-na) clear and concise/
簡裁 [かんさい] /(n) summary court/court of summary offences/court of summary offenses/(P)/
簡札 [かんさつ] /(n) wooden tag/
簡素 [かんそ] /(adj-na,n) simplicity/plain/(P)/
簡素化 [かんそか] /(n,vs) simplification/
簡体字 [かんたいじ] /(n) simplified Chinese character/
簡単 [かんたん] /(adj-na,n) simple/easy/brief/uncomplicated/(P)/
簡単に言うと [かんたんにいうと] /(exp) simply put/
簡単に言えば [かんたんにいえば] /(exp) simply put/putting it simply/
簡単服 [かんたんふく] /(n) simple or lightweight clothing/
簡単明瞭 [かんたんめいりょう] /(n,adj-na) simple and clear/
簡短 [かんたん] /(oK) (adj-na,n) simple/easy/brief/uncomplicated/
簡抜 [かんばつ] /(n,vs) selection/
簡便 [かんべん] /(adj-na,n) handy/simple and easy/
簡保 [かんぽ] /(n) (abbr) postal life insurance/
簡明 [かんめい] /(adj-na,n) terse/concise/simple and clear/
簡明強固 [かんめいきょうこ] /(n) plain and sturdy/
簡明直截 [かんめいちょくせつ] /(n,adj-na) simple and plain/frank, direct and unambivalent/straightforward/
簡明率直 [かんめいそっちょく] /(n,adj-na) simple, plain, and artless/clear, concise, and unaffected/
簡約 [かんやく] /(adj-na,n,adj-no) conciseness/brevity/simplification/
簡約化命令集合計算機 [かんやくかめいれいしゅうごうけいさんき] /(n) (comp) RISC (Reduced Instruction Set Computer)/
簡略 [かんりゃく] /(adj-na,n) simple/simplicity/brief/brevity/(P)/
簡略化 [かんりゃくか] /(n,vs) simplification/
簡略記述ＯＲアドレス [かんりゃくきじゅつオーアーアドレス] /(n) (comp) mnemonic OR address/
簡略版 [かんりゃくばん] /(n) (comp) abridged version/
簡略分類体系 [かんりゃくぶんるいたいけい] /(n) (comp) broad classification system/
緩々 [かんかん] /(adv,adj-t) looking cool and collect/with an air of perfect composure/
緩々 [ゆるゆる] /(adj-na,adv) (uk) (on-mim) very loose/slowly/leisurely/
緩い [ぬるい] /(adj-i) (1) (uk) lenient/
緩い [ゆるい] /(adj-i) (1) loose/(2) lenient/lax/(3) gentle (curve, slope, etc.)/(4) slow/weak/(5) soft/not firm/(P)/
緩いカーブ [ゆるいカーブ] /(n) gentle curve/
緩い規則 [ゆるいきそく] /(n) lenient regulations/
緩まる [ゆるまる] /(v5r,vi) to become loose/to slacken/to soften/
緩み [ゆるみ] /(n) slack/looseness/
緩む [ゆるむ] /(v5m,vi) to become loose/to slacken/(P)/
緩める [ゆるめる] /(v1,vt) to loosen/to slow down/(P)/
緩やか [ゆるやか] /(adj-na) (1) loose/slack/(2) gentle/easy/slow/(3) lenient/liberal/lax/(P)/
緩やかに進む [ゆるやかにすすむ] /(exp,v5m) to proceed slowly/
緩り [ゆるり] /(adv-to) unhurriedly/leisurely/slowly/relaxedly/taking one's time/
緩下剤 [かんげざい] /(n) laxatives/
緩下薬 [かんげやく] /(n) laxative/
緩解 [かんかい] /(n,vs) relief (remission) (of pain, symptoms)/
緩緩 [かんかん] /(adv,adj-t) looking cool and collect/with an air of perfect composure/
緩緩 [ゆるゆる] /(adj-na,adv) (uk) (on-mim) very loose/slowly/leisurely/
緩急 [かんきゅう] /(n) in case of emergency/(P)/
緩急記号 [かんきゅうきごう] /(n) tempo indication/tempo marking/(a) tempo/
緩急自在 [かんきゅうじざい] /(n,adj-na) varying the tempo or speed (of something) at will/
緩急車 [かんきゅうしゃ] /(n) brake van/guard's van/
緩球 [かんきゅう] /(n) slow pitch/
緩行 [かんこう] /(n,vs) going slowly/
緩手 [かんしゅ] /(n) ineffective or wasted move (in Go or Shoji)/
緩徐 [かんじょ] /(adj-na,n) gentle and quiet/
緩徐曲 [かんじょきょく] /(n) adagio/
緩衝 [かんしょう] /(n,adj-no) buffered/
緩衝液 [かんしょうえき] /(n) buffer solution/
緩衝器 [かんしょうき] /(n) shock absorber/buffer/
緩衝記憶 [かんしょうきおく] /(n) (comp) buffer storage/buffer/
緩衝国 [かんしょうこく] /(n) buffer state/
緩衝材 [かんしょうざい] /(n) cushioning/packaging/
緩衝地帯 [かんしょうちたい] /(n) buffer zone/(P)/
緩衝弁 [かんしょうべん] /(n) cushion valve/
緩増加超関数 [かんぞうかちょうかんすう] /(n) (math) tempered distribution/
緩速 [かんそく] /(n) slow speed/
緩怠 [かんたい] /(adj-na,n) laxity/negligence/
緩歩動物 [かんぽどうぶつ] /(n) tardigrade (any animal of phylum Tardigrada)/water bear/
緩慢 [かんまん] /(adj-na,n) slow/sluggish/dull/(P)/
緩目 [ゆるめ] /(n,adj-no) somewhat loose/
緩和 [かんわ] /(n,vs) relief/mitigation/alleviation/relaxation/softening/(P)/
緩和ケア [かんわケア] /(n) palliative care/
緩和振動 [かんわしんどう] /(n) relaxation oscillation/
缶 [かま] /(n) boiler/
缶 [かん] /(ateji) (n) can/tin/(P)/
缶 [ほとぎ] /(n) (1) fat-bodied, small-mouthed earthenware jar for carrying water/(2) water vessel used for a baby's first bath/
缶コーヒー [かんコーヒー] /(n) canned coffee/(P)/
缶ジュース [かんジュース] /(n) canned juice/canned soft drink/can of juice/can of soft drink/
缶ビール [かんビール] /(n) canned beer/can of beer/
缶詰 [かんづめ] /(n,adj-no) packing (in cans)/canning/canned goods/tin can/(P)/
缶詰め [かんづめ] /(n,adj-no) packing (in cans)/canning/canned goods/tin can/(P)/
缶蹴り [かんけり] /(n) "kick the can" game/
缶切り [かんきり] /(n) can opener/
缶入り [かんいり] /(n,adj-no) canned/
缶偏 [ほとぎへん] /(n) kanji "jar" radical at left/
翰長 [かんちょう] /(n) Cabinet (Chief) Secretary/
翰墨 [かんぼく] /(n) brush and ink/writing/drawing/
翰林 [かんりん] /(n) literary circles/
翰林院 [かんりんいん] /(n) academy/institute/
肝 [きも] /(n) (1) liver/innards/(2) courage/spirit/pluck/guts/(P)/
肝がん [かんがん] /(n) liver cancer (esp. hepatoma)/
肝ったま [きもったま] /(n) guts/pluck/nerve/spirit/
肝っ玉 [きもったま] /(n) guts/pluck/nerve/spirit/
肝っ魂 [きもったま] /(n) guts/pluck/nerve/spirit/
肝に銘じる [きもにめいじる] /(exp,v1) to be deeply impressed/to take to heart/to engrave on one's heart/to bear in mind/
肝をつぶす [きもをつぶす] /(exp,v5s) to be frightened out of one's wits/to be amazed/to be astounded/to be stunned/
肝を据える [きもをすえる] /(exp,v1) to do with determination/
肝を潰す [きもをつぶす] /(exp,v5s) to be frightened out of one's wits/to be amazed/to be astounded/to be stunned/
肝を冷やす [きもをひやす] /(exp,v5s) to be struck with terror/to be terrified/to be scared to death/
肝ガン [かんガン] /(n) liver cancer (esp. hepatoma)/
肝移植 [かんいしょく] /(n) (abbr) liver transplant/
肝炎 [かんえん] /(n,adj-no) hepatitis/(P)/
肝炎ウイルス [かんえんウイルス] /(n) hepatitis virus/
肝癌 [かんがん] /(n) liver cancer (esp. hepatoma)/
肝機能 [かんきのう] /(n) liver function/
肝機能障害 [かんきのうしょうがい] /(n) impairment of liver function/
肝吸い [きもすい] /(n) eel-liver soup/
肝吸虫 [かんきゅうちゅう] /(n) Chinese liver fluke (Clonorchis sinensis)/Oriental liver fluke/
肝玉 [きもだま] /(n) guts/pluck/nerve/spirit/
肝玉 [きもったま] /(n) guts/pluck/nerve/spirit/
肝硬変 [かんこうへん] /(n) cirrhosis of the liver/(P)/
肝魂 [きもだま] /(n) guts/pluck/nerve/spirit/
肝魂 [きもったま] /(n) guts/pluck/nerve/spirit/
肝細胞 [かんさいぼう] /(n) hepatocyte/liver cell/
肝試し [きもだめし] /(n) test of courage/a dare/
肝疾患 [かんしっかん] /(n) liver disease/
肝所 [かんどころ] /(n) (1) finger board (of a musical instrument)/(2) vital point/
肝心 [かんじん] /(adj-na,n,adj-no) essential/fundamental/crucial/vital/main/(P)/
肝心要 [かんじんかなめ] /(adj-na,n) the main point/
肝腎 [かんじん] /(adj-na,n,adj-no) essential/fundamental/crucial/vital/main/
肝煎 [きもいり] /(n) (1) performing good offices/(2) sponsorship/auspices (of)/
肝煎り [きもいり] /(n) (1) performing good offices/(2) sponsorship/auspices (of)/
肝臓 [かんぞう] /(n) liver/(P)/
肝臓移植 [かんぞういしょく] /(n) liver transplantation/
肝臓癌 [かんぞうがん] /(n) liver cancer/
肝臓茸 [かんぞうたけ] /(n) (uk) beefsteak fungus (Fistulina hepatica)/beefsteak mushroom/
肝胆 [かんたん] /(n) the liver and gall bladder/one's inner being/
肝胆相照らす [かんたんあいてらす] /(v5s) to be profoundly compatible/to be inseparable/
肝入り [きもいり] /(n) (1) performing good offices/(2) sponsorship/auspices (of)/
肝蛭 [かんてつ] /(n) sheep liver fluke (Fasciola hepatica)/
肝不全 [かんふぜん] /(n) liver failure/
肝銘 [かんめい] /(n,vs) deep impression/
肝油 [かんゆ] /(n) cod-liver oil/
肝葉 [かんよう] /(n) lobe of the liver/
肝要 [かんよう] /(adj-na,n,adj-no) essential/vital/crucial/importance/(P)/
艦 [かん] /(n,n-suf) warship/(P)/
艦橋 [かんきょう] /(n) bridge (e.g. on a warship)/
艦載 [かんさい] /(n,vs) carried aboard a warship/
艦載機 [かんさいき] /(n) ship-borne plane/
艦首 [かんしゅ] /(n) warship's bow/
艦上 [かんじょう] /(n) aboard a warship/
艦船 [かんせん] /(n) (ocean) vessels/warship/(P)/
艦隊 [かんたい] /(n) (naval) fleet/armada/(P)/
艦長 [かんちょう] /(n) captain (of a warship)/
艦艇 [かんてい] /(n) military vessel/war fleet/(P)/
艦尾 [かんび] /(n) warship's stern/
艦砲 [かんぽう] /(n) ship's guns/
艦砲射撃 [かんぽうしゃげき] /(n) bombardment/
艦齢 [かんれい] /(n) warship's age/
莞 [ふとい] /(n) (uk) softstem bulrush (Scirpus tabernaemontani)/
莞爾 [かんじ] /(adv-to) smiling/
莞爾として [かんじとして] /(exp) with a smile/
莞然 [かんぜん] /(adv-to,adj-t) (arch) sweetly smiling/
観 [かん] /(n,n-suf) (1) look/appearance/(2) spectacle/sight/(3) (Buddh) observation meditation/(n-suf) (4) outlook on .../view of .../(P)/
観じる [かんじる] /(v1) to view/to contemplate/
観ずる [かんずる] /(vz,vt) to view/to contemplate/
観る [みる] /(v1,vt) (1) to see/to look/to watch/to view/to observe/(2) to look over/to look on/to assess/to examine/to judge/(3) (uk) to look after/to keep an eye on/to take care of/(4) to view (e.g. flowers, movie)/(5) (uk) to try/(6) (uk) to see that.../to find that.../
観閲 [かんえつ] /(n,vs) inspection (of troops)/
観閲式 [かんえつしき] /(n) military review/(military) parade/
観応 [かんおう] /(n) Kan'ou era (of the Northern Court) (1350.2.27-1352.9.27)/
観応 [かんのう] /(n) (obsc) Kannou era, Kan'ou era (of the Northern Court) (1350.2.27-1352.9.27)/
観音 [かんのん] /(n) Kannon/Kwannon/Buddhist deity of mercy/Goddess of Mercy/Guan Yin/Avalokitesvara/(P)/
観音開き [かんのんびらき] /(n) double doors/
観音経 [かんのんぎょう] /(n) Avalokitesvara Sutra/Kannon Sutra/
観音堂 [かんのんどう] /(n) temple dedicated to Kannon/
観音菩薩 [かんのんぼさつ] /(n) Kannon/Goddess of Mercy/Bodhisattva of Compassion/Guan Yin/
観音様 [かんのんさま] /(n) (1) Kannon (Kwannon)/Buddhist deity of mercy/(2) (sl) clitoris/
観艦式 [かんかんしき] /(n) naval review/
観菊 [かんぎく] /(n) chrysanthemum viewing/
観客 [かんきゃく] /(n) audience/spectator/spectators/(P)/
観客席 [かんきゃくせき] /(n) audience seating/
観客層 [かんきゃくそう] /(n) type of audience/
観劇 [かんげき] /(n,vs) theatre-going/theater-going/(P)/
観劇会 [かんげきかい] /(n) theater party/theatre party/
観月 [かんげつ] /(n,vs) moon viewing (esp. during the eight month of the lunar calendar)/
観月会 [かんげつかい] /(n) (arch) moon-viewing party/
観護 [かんご] /(n,vs) watching over/
観護措置 [かんごそち] /(n) placing a minor under protective detention/imposing a care and custody order/
観光 [かんこう] /(n,vs,adj-no) sightseeing/(P)/
観光バー [かんこうバー] /(n) tourist bar/gay bar catering mainly to straight people/
観光バス [かんこうバス] /(n) tourist bus/
観光ビザ [かんこうビザ] /(n) tourist visa/
観光案内所 [かんこうあんないじょ] /(n) tourist information center/tourist information centre/
観光客 [かんこうきゃく] /(n) tourist/(P)/
観光局 [かんこうきょく] /(n) (national) tourist bureau/
観光産業 [かんこうさんぎょう] /(n) tourism industry/tourist industry/
観光施設 [かんこうしせつ] /(n) tourist facilities/
観光資源 [かんこうしげん] /(n) tourist attractions/
観光団 [かんこうだん] /(n) tourist party/
観光地 [かんこうち] /(n) sight-seeing area/
観光都市 [かんこうとし] /(n) tourist city/
観光名所 [かんこうめいしょ] /(n) sightseeing spot/tourist attraction/
観光立県 [かんこうりっけん] /(n) aim to make a prefecture a travel destination/
観光立国 [かんこうりっこく] /(n,vs) aim to make a country a travel destination/
観光旅行 [かんこうりょこう] /(n) (sightseeing) tour/
観桜 [かんおう] /(n) cherry blossom viewing/
観桜会 [かんおうかい] /(n) cherry blossom viewing party/
観察 [かんさつ] /(n,vs) observation/survey/(P)/
観察眼 [かんさつがん] /(n) observing eye/
観察者 [かんさつしゃ] /(n) observer/
観察的研究 [かんさつてきけんきゅう] /(n) observational study/
観察日記 [かんさつにっき] /(n,n-suf) (nature, etc.) observation diary/
観察力 [かんさつりょく] /(n) powers of observation/
観自在 [かんじざい] /(n) (Buddh) Avalokitesvara (bodhisattva)/the all-compassionate/
観衆 [かんしゅう] /(n) spectators/onlookers/members of the audience/(P)/
観掌術 [かんしょうじゅつ] /(n) palmistry/
観照 [かんしょう] /(n,vs) meditation/contemplation/
観象 [かんしょう] /(n) (meterological) observation/
観賞 [かんしょう] /(n,vs) admiration/enjoyment/(P)/
観賞魚 [かんしょうぎょ] /(n) aquarium fish/
観賞植物 [かんしょうしょくぶつ] /(n) ornamental plants/
観心 [かんじん] /(n) (Buddh) introspection/
観世音 [かんぜおん] /(n) Kannon/Avalokitesvara (bodhisattva of mercy and salvation)/Kwannon/Kuan Yin/Goddess of Mercy/Guan Yin/
観世音菩薩 [かんぜおんぼさつ] /(n) (Buddh) Avalokitesvara (bodhisattva of mercy and salvation)/Kwannon/Kuan Yin/
観世流 [かんぜりゅう] /(n) Kanze style (Noh)/Kanze school of Noh/
観戦 [かんせん] /(n,vs) watching a (sports) game/(P)/
観戦記 [かんせんき] /(n) account of a (sports) game/
観想 [かんそう] /(n,vs) meditation/contemplation/
観相 [かんそう] /(n) physiognomy/
観相学 [かんそうがく] /(n) phrenology/physiognomy/
観相術 [かんそうじゅつ] /(n) (the art of) physiognomy/
観測 [かんそく] /(n,vs) observation/(P)/
観測データ [かんそくデータ] /(n) (comp) observed data/
観測ヘリコプター [かんそくヘリコプター] /(n) observation helicopter/
観測者 [かんそくしゃ] /(n) observer/
観測所 [かんそくじょ] /(n) observatory/observation post/
観測船 [かんそくせん] /(n) observation ship/
観測値 [かんそくち] /(n) (comp) observed value/
観測地点 [かんそくちてん] /(n) observation point (site)/
観測網 [かんそくもう] /(n) observation network/
観点 [かんてん] /(n) point of view/(P)/
観点を変える [かんてんをかえる] /(exp,v1) to change one's point of view/
観点表示 [かんてんひょうじ] /(n) (comp) node label/
観入 [かんにゅう] /(n,vs) insight/penetration/
観念 [かんねん] /(n,vs,adj-no) (1) idea/notion/conception/(2) sense (e.g. of duty)/(3) resignation/preparedness/acceptance/(4) (Buddh) observation and contemplation/(P)/
観念化 [かんねんか] /(n) (1) ideation/process of forming and relating ideas/(vs) (2) to ideate/
観念主義 [かんねんしゅぎ] /(n) German idealism/
観念的 [かんねんてき] /(adj-na) (1) conceptual/ideational/notional/(2) theoretical/academic/
観念連合 [かんねんれんごう] /(n) association (e.g. of two concepts)/
観念論 [かんねんろん] /(n) idealism/
観梅 [かんばい] /(n) plum blossom viewing/
観普賢経 [かんふげんきょう] /(n) Samantabhadra Contemplation Sutra/
観普賢経 [かんふげんぎょう] /(n) Samantabhadra Contemplation Sutra/
観楓 [かんぷう] /(n) maple-leaf viewing/
観楓会 [かんぷうかい] /(n) get-together to enjoy the autumn foliage/
観仏 [かんぶつ] /(n) (Buddh) contemplating Buddha/
観兵式 [かんぺいしき] /(n) military review/(military) parade/
観法 [かんぼう] /(n) (Buddh) method of contemplation/
観法 [かんぽう] /(n) (Buddh) method of contemplation/
観望 [かんぼう] /(n,vs) observation/watching/
観無量寿経 [かんむりょうじゅきょう] /(n) Amitayurdhyana Sutra/
観葉植物 [かんようしょくぶつ] /(n) decorative plant/
観覧 [かんらん] /(n,vs) viewing/(P)/
観覧券 [かんらんけん] /(n) admission ticket/
観覧者 [かんらんしゃ] /(n) spectator/visitor/
観覧車 [かんらんしゃ] /(n) Ferris wheel/
観覧席 [かんらんせき] /(n) seat/seats/stands/grandstand/bleachers/
観覧料 [かんらんりょう] /(n) admission fee or charge/
観瀑 [かんばく] /(n,vs) (obsc) waterfall viewing/
諌める [いさめる] /(v1,vt) to remonstrate/to warn not to do something/
諌言 [かんげん] /(n,vs) admonition/remonstrance/expostulation/
諌止 [かんし] /(n,vs) dissuasion/
貫 [かん] /(n) (1) kan (obs. unit of weight, approx. 3.75 kg, 8.3 lb)/(2) kan (obs. unit of currency)/(ctr) (3) pieces of sushi/(P)/
貫 [ぬき] /(n) crosspiece (between pillars, etc.)/penetrating tie beam/
貫き通す [つらぬきとおす] /(v5s,vt) to enforce (one's) will/(P)/
貫く [つらぬく] /(v5k,vt) (1) to go through/to pierce/to penetrate/(2) to persist/to stick to/(P)/
貫主 [かんしゅ] /(n) chief abbot (of a Buddhist temple)/
貫主 [かんじゅ] /(n) chief abbot (of a Buddhist temple)/
貫首 [かんしゅ] /(n) chief abbot (of a Buddhist temple)/
貫首 [かんじゅ] /(n) chief abbot (of a Buddhist temple)/
貫通 [かんつう] /(n,vs,adj-no) pierce/penetrate/perforate/(P)/
貫通銃創 [かんつうじゅうそう] /(n) piercing bullet wound/
貫徹 [かんてつ] /(n,vs) accomplishment/realization/realisation/penetration/(P)/
貫頭衣 [かんとうい] /(n) simple type of clothing consisting of a large piece of cloth with a hole in the middle for the head/
貫入 [かんにゅう] /(n,vs,adj-no) penetration/
貫入岩 [かんにゅうがん] /(n) intrusive rock/
貫木 [かんぬき] /(n) (uk) bar/bolt (e.g. on door)/latch/
貫目 [かんめ] /(n) unit of weight, approx. 3.75 kg/
貫流 [かんりゅう] /(n,vs) flowing through/conduction/
貫禄 [かんろく] /(n) presence/dignity/
貫禄十分 [かんろくじゅうぶん] /(n,adj-na,adj-no) having great (impressive, commanding) presence/having an air of importance/having enough gravity for (a position)/
貫禄不足 [かんろくぶそく] /(n,adj-na,adj-no) lacking enough gravity for (a position, task)/being an insignificant figure for (a position)/
還す [かえす] /(v5s,vt) to send (someone) back/to send (someone) home/
還り [かえり] /(n) return/coming back/
還る [かえる] /(v5r,vi) (1) to return/to come home/to go home/to go back/(2) (of a guest, customer, etc.) to leave/(3) (of a baseball player rounding the bases) to get home/
還啓 [かんけい] /(n) (arch) return to the palace (usu. of the empress, crown prince, etc.)/
還元 [かんげん] /(n,vs,adj-no) resolution/reduction/return to origins/(P)/
還元みずあめ [かんげんみずあめ] /(n) reduced sugar syrup/
還元酵素 [かんげんこうそ] /(n) reductase/
還元剤 [かんげんざい] /(n) reducing agent/reductant/
還元水あめ [かんげんみずあめ] /(n) reduced sugar syrup/
還元水飴 [かんげんみずあめ] /(n) reduced sugar syrup/
還元脱脂乳 [かんげんだっしにゅう] /(n) reconstituted skim milk/
還元分裂 [かんげんぶんれつ] /(n) (obsc) meiosis/
還水 [かんすい] /(n,n-pref) condensate return/
還水槽 [かんすいそう] /(n) condensate receiver tank/
還俗 [げんぞく] /(n,vs) return to secular life/secularization/secularisation/
還付 [かんぷ] /(n,vs) return/restoration/refund/(duty) drawback/(P)/
還付金 [かんぷきん] /(n) refund/
還付税 [かんぷぜい] /(n) tax refund/
還府金 [かんふきん] /(n) repayment money/refund/
還流 [かんりゅう] /(n,vs) return current/convection/reflux/(P)/
還流冷却器 [かんりゅうれいきゃくき] /(n) reflux condenser/
還暦 [かんれき] /(n) 60th birthday/(P)/
還暦横綱手数入り [かんれきよこづなでずいり] /(n) former sumo grand champion's 60th birthday ring-entering ceremony/
還暦土俵入り [かんれきどひょういり] /(n) former sumo grand champion's 60th birthday ring-entering ceremony/
鑑 [かがみ] /(n) model/pattern/
鑑みる [かんがみる] /(v1,vt) to heed/to take into account/to learn from/to take warning from/in view of/in the light of/
鑑査 [かんさ] /(n,vs) inspection/audit/judgement/judgment/
鑑札 [かんさつ] /(n) licence/license/permit/
鑑識 [かんしき] /(n,vs) (1) judgement/judgment/discernment/discrimination/having eye for/(n) (2) forensics/crime lab/
鑑識家 [かんしきか] /(n) connoisseur/judge/
鑑識眼 [かんしきがん] /(n) discerning eye/
鑑賞 [かんしょう] /(n,vs) appreciation (e.g. of art)/aesthetic sense/(P)/
鑑賞眼 [かんしょうがん] /(n) appreciation (e.g. of art)/
鑑定 [かんてい] /(n,vs,adj-no) judgement/judgment/expert opinion/(P)/
鑑定家 [かんていか] /(n) judge/appraiser/
鑑定官 [かんていかん] /(n) appraiser/assessor/
鑑定書 [かんていしょ] /(n) expert's written opinion or report/
鑑定人 [かんていにん] /(n) judge/appraiser/
鑑定料 [かんていりょう] /(n) expert's fee/
鑑別 [かんべつ] /(n,vs,adj-no) discrimination/judgement/judgment/separation/sorting/(P)/
鑑別所 [かんべつしょ] /(n) Discrimination Office/
鑑別診断 [かんべつしんだん] /(n) differential diagnosis/
間 [あいだ] /(n-adv,n) (1) space (between)/gap/interval/distance/(n-adv,n-t) (2) time (between)/pause/break/(n-adv,n,n-t) (3) span (temporal or spatial)/stretch/period (while)/(n-adv,n) (4) relationship (between, among)/(5) members (within, among)/(conj) (6) (arch) due to/because of/(P)/
間 [あわい] /(ok) (n-adv,n) (1) space (between)/gap/interval/distance/(n-adv,n-t) (2) time (between)/pause/break/(n-adv,n,n-t) (3) span (temporal or spatial)/stretch/period (while)/(n-adv,n) (4) relationship (between, among)/(5) members (within, among)/
間 [かん] /(n,suf) (1) interval/period of time/(2) among/between/inter-/
間 [けん] /(n) (1) 1.818 m (6 shaku)/(ctr) (2) counter used to number the gaps between pillars/
間 [ま] /(n) space/room/time/pause/(P)/
間々 [まま] /(adv) occasionally/now and then/sometimes/
間がいい [まがいい] /(adj-i) lucky/
間がない [まがない] /(exp) (preceded by v-te) not long has passed since .../
間がら [あいだがら] /(n) relation(ship)/
間が悪い [まがわるい] /(exp,adj-i) unlucky/
間が持てない [まがもてない] /(exp) not knowing what to do with the time one has on one's hand/
間が抜ける [まがぬける] /(exp,v1) to look stupid/to have a critical lack/
間が無い [まがない] /(exp) (preceded by v-te) not long has passed since .../
間が良い [まがいい] /(adj-i) lucky/
間けつ泉 [かんけつせん] /(n) geyser/
間けつ熱 [かんけつねつ] /(n) an intermittent fever/
間じきり [まじきり] /(n) partition between two rooms/room divider/partition wall/
間だるい [まだるい] /(adj-i) (1) slow/tedious/sluggish/dull/(2) irritating/
間だるっこしい [まだるっこしい] /(adj-i) (1) slow/tedious/sluggish/dull/(2) irritating/
間に [あいだに] /(adv) while/during (the time when)/
間にあう [まにあう] /(v5u) (1) to be in time for/(2) to serve (suit, meet) the purpose/to be good enough/to be enough/
間にある [あいだにある] /(adj-f) intervening/
間に合い [まにあい] /(n,adj-no) makeshift/
間に合う [まにあう] /(v5u) (1) to be in time for/(2) to serve (suit, meet) the purpose/to be good enough/to be enough/(P)/
間に合せ [まにあわせ] /(n) makeshift/(P)/
間に合っている [まにあっている] /(exp,v1) (1) to already have enough (phrase often used in turning down an offer)/to already have what one needs/(2) to be on time/
間に合わす [まにあわす] /(exp,v5s) to make something be done in time/
間に合わせ [まにあわせ] /(n) makeshift/(P)/
間に合わせる [まにあわせる] /(v1) (1) to make do/to manage (with something)/to make shift/(2) to (make) get done on time/(P)/
間のび [まのび] /(n,vs) slow/stupid/
間の戸 [あいのと] /(n) door between the rooms/
間の子 [あいのこ] /(n) (derog) person of mixed parentage/crossbreed/Eurasian/mulatto/hybrid/
間の手 [あいのて] /(n) (1) interlude/(2) interjection/interruption/
間の抜けた [まのぬけた] /(exp,adj-f) idiotic/dolt/bonehead/
間びき [まびき] /(n,vs) (1) thinning out/pruning/culling/(2) infanticide/
間もない [まもない] /(exp) after (practically) no time/
間もないころ [まもないころ] /(exp) in the early period (of something)/at the beginning/
間もなく [まもなく] /(adv) (1) soon/before long/in a short time/(2) (after verb) lacking time to .../without time to .../(P)/
間も無いころ [まもないころ] /(exp) in the early period (of something)/at the beginning/
間も無く [まもなく] /(adv) (1) soon/before long/in a short time/(2) (after verb) lacking time to .../without time to .../(P)/
間を開ける [あいだをあける] /(exp,v1) to leave space (between)/
間を開ける [まをあける] /(exp,v1) to leave space (between)/
間を空ける [あいだをあける] /(exp,v1) to leave space (between)/
間を空ける [まをあける] /(exp,v1) to leave space (between)/
間を持つ [まをもつ] /(exp,v5t) to have a controlling presence/to have a certain aura/
間を取る [あいだをとる] /(exp,v5r) to take the middle (between the two)/
間を置いて [あいだをおいて] /(exp) intermittently/at intervals (of)/after a pause/
間を置いて [まをおいて] /(exp) intermittently/at intervals (of)/after a pause/
間を置く [あいだをおく] /(exp,v5k) to pause/to have a short intermission/
間を置く [まをおく] /(exp,v5k) to pause/to have a short intermission/
間違い [まちがい] /(n) mistake/(P)/
間違いない [まちがいない] /(exp) I have no doubt/You can depend on it/certain/(P)/
間違い電話 [まちがいでんわ] /(n) wrong number/
間違う [まちがう] /(v5u) to make a mistake/to be incorrect/to be mistaken/(P)/
間違え [まちがえ] /(n) mistake/
間違える [まちがえる] /(v1,vt) (1) to make a mistake (in)/to commit an error (e.g. in calculation)/(2) to confuse/to mistake something for something else/(P)/
間違え電話 [まちがえでんわ] /(n) wrong number/
間違っても [まちがっても] /(adv) never (even in error)/never, ever/never, no matter what happens/
間一髪 [かんいっぱつ] /(n) hair's breadth/(P)/
間一髪のところ [かんいっぱつのところ] /(n) close call/narrow escape/
間一髪を入れず [かんいっぱつをいれず] /(exp) in a flash/in no time/
間引き [まびき] /(n,vs) (1) thinning out/pruning/culling/(2) infanticide/
間引き運転 [まびきうんてん] /(n) curtailed transit schedule/
間引く [まびく] /(v5k,vt) to thin out/to cull/to run on a curtailed schedule/
間延び [まのび] /(n,vs) slow/stupid/
間遠 [まどお] /(adj-na,n) at long distance/in long intervals/
間隔 [かんかく] /(n) space/interval/SPC/(P)/
間隔計時機構 [かんかくけいじきこう] /(n) (comp) interval timer/
間隔比率 [かんかくひりつ] /(n) (comp) spacing ratio/
間隔文字 [かんかくもじ] /(n) (comp) space character/
間鴨 [あいがも] /(n) cross between a mallard and domestic duck/
間間 [まま] /(adv) occasionally/now and then/sometimes/
間宮海峡 [まみやかいきょう] /(n) strait between Sakhalin and the east coast of Siberia/
間狂言 [あいきょうげん] /(n) comic interlude (in Noh)/
間狭 [ませ] /(n) (1) (arch) short roughly woven fence/(2) divider between boxes (i.e. for box seats) in a theatre, etc./
間近 [まぢか] /(adj-na,n-adv,n) proximity/nearness/soon/nearby/(P)/
間近い [まぢかい] /(adj-i) near at hand/
間駒 [あいごま] /(n,vs) piece placed to block opponent's check (shogi)/
間隙 [かんげき] /(n,adj-no) gap/
間隙比 [かんげきひ] /(n) void ratio/
間欠 [かんけつ] /(adj-na,n) intermittence/intermittent/
間欠泉 [かんけつせん] /(n) geyser/
間欠的 [かんけつてき] /(adj-na) intermittent/
間欠熱 [かんけつねつ] /(n) an intermittent fever/
間誤付かせる [まごつかせる] /(ateji) (v1) (uk) to fluster/to abash/to befuddle/
間誤付く [まごつく] /(ateji) (v5k,vi) (uk) to be confused/to be flustered/to be at a loss/
間口 [まぐち] /(n) frontage/(P)/
間合い [まあい] /(n) interval/distance between opponents (kendo)/
間合せ機能 [まあわせきのう] /(n) (comp) inquiry function/
間細胞 [かんさいぼう] /(n) interstitial cell/
間際 [まぎわ] /(n-adv,n-t) on the verge of/just before/on the point of/(P)/
間作 [かんさく] /(n,vs) a catch crop/intercropping/
間擦疹 [かんさつしん] /(n) intertrigo/
間仕切り [まじきり] /(n) partition between two rooms/room divider/partition wall/
間質 [かんしつ] /(n) stroma (anatomy)/
間質性 [かんしつせい] /(adj-no) interstitial/
間者 [かんじゃ] /(n) (a) spy/
間借り [まがり] /(n,vs) renting a room/(P)/
間借り人 [まがりにん] /(n) a lodger/
間尺 [けんじゃく] /(n) measuring rope with 'ken' (182cm) marked/measurement/
間尺 [ましゃく] /(n) measuring rope with 'ken' (182cm) marked/measurement/
間尺に合わない [ましゃくにあわない] /(adj-i) does not pay/not worth (one's) while/
間取り [まどり] /(n) plan of a house/arrangement of rooms/(P)/
間充織 [かんじゅうしき] /(n) mesenchyme/
間色 [かんしょく] /(n) compound color/compound colour/
間食 [かんしょく] /(n,vs) eating between meals/snacking/(P)/
間食い [あいだぐい] /(n) eating between meals/snacking/
間数 [けんすう] /(n) one ken in length or breadth (1.818m)/
間数 [まかず] /(n) number of rooms/
間性 [かんせい] /(n) intersex/
間切 [まぎり] /(n) (obs) land division in the Ryukyu Kingdom equivalent to modern villages/
間切る [まぎる] /(v5r,vi) to plow through (a wave) (plough)/to tack (against the wind)/
間接 [かんせつ] /(n,adj-no) indirection/indirectness/(P)/
間接アドレス [かんせつアドレス] /(n) (comp) indirect address/
間接キス [かんせつキス] /(n) indirect kiss (e.g. drinking from a cup someone has just used)/
間接喫煙 [かんせつきつえん] /(n) passive smoking/secondhand smoke/
間接撮影 [かんせつさつえい] /(n) fluoroscopy/
間接撮影法 [かんせつさつえいほう] /(n) fluoroscopy (method)/
間接参照 [かんせつさんしょう] /(n) (comp) indirect referencing/
間接受身 [かんせつうけみ] /(n) (ling) indirect passive/
間接照準射撃 [かんせつしょうじゅんしゃげき] /(n) indirect fire/
間接照明 [かんせつしょうめい] /(n) indirect lighting/
間接色指定 [かんせついろしてい] /(n) (comp) indirect colour specification/
間接税 [かんせつぜい] /(n) indirect tax/(P)/
間接選挙 [かんせつせんきょ] /(n) indirect election/
間接選挙制 [かんせつせんきょせい] /(n) indirect electoral system/
間接的 [かんせつてき] /(adj-na) indirect/(P)/
間接発信 [かんせつはっしん] /(n) (comp) indirect submission/
間接発進ポート [かんせつはっしんポート] /(n) (comp) indirect-submission port/
間接費 [かんせつひ] /(n) overhead/
間接目的語 [かんせつもくてきご] /(n) (ling) indirect object/
間接利用者 [かんせつりようしゃ] /(n) (comp) indirect user/
間接話法 [かんせつわほう] /(n) (ling) indirect speech/indirect narration/
間然 [かんぜん] /(n,vs) being liable to criticism/
間奏曲 [かんそうきょく] /(n) interlude/
間続き [まつづき] /(n,adj-no) adjoining/adjoining rooms/
間怠っこい [まだるっこい] /(adj-i) (1) slow/tedious/sluggish/dull/(2) irritating/
間貸し [まがし] /(n,vs) renting a room/
間代 [まだい] /(n) room rent/
間断 [かんだん] /(n) break in time/interruption/pause/
間断なく [かんだんなく] /(adv) continuously/constantly/incessantly/
間男 [まおとこ] /(n) (1) married woman's secret lover/paramour/(n,vs) (2) adultery (by a married woman)/
間着 [あいぎ] /(n,adj-no) between-season wear/clothes worn in spring or autumn (fall)/
間中 [あいだじゅう] /(n) during/(P)/
間柱 [まばしら] /(n) stud/puncheon/
間諜 [かんちょう] /(n) (a) spy/
間釘 [あいくぎ] /(n) double-pointed nail/dowel/
間投 [かんとう] /(n) (abbr) interjection/
間投詞 [かんとうし] /(n) (ling) interjection/
間投助詞 [かんとうじょし] /(n) interjectory particle (e.g. "yo")/
間道 [かんどう] /(n) side road/shortcut/
間脳 [かんのう] /(n,adj-no) the interbrain/the diencephalon/
間八 [かんぱち] /(n) (uk) greater amberjack (Seriola dumerili)/purplish amberjack/greater yellowtail/
間髪をいれず [かんはつをいれず] /(exp) in no time/in a flash/
間髪をいれず [かんぱつをいれず] /(ik) (exp) in no time/in a flash/
間髪を入れず [かんはつをいれず] /(exp) in no time/in a flash/
間髪を入れず [かんぱつをいれず] /(ik) (exp) in no time/in a flash/
間髪を容れず [かんはつをいれず] /(exp) in no time/in a flash/
間髪を容れず [かんぱつをいれず] /(ik) (exp) in no time/in a flash/
間伐 [かんばつ] /(n,vs) periodic thinning (e.g. forest)/(P)/
間伐材 [かんばつざい] /(n) timber from forest thinning/thinned wood/
間抜け [まぬけ] /(adj-na,n) (uk) stupidity/idiot/dunce/blockhead/(P)/
間抜け面 [まぬけづら] /(n) a foolish or stupid look/
間氷期 [かんぴょうき] /(n) interglacial period (epoch)/interglacial/
間夫 [まぶ] /(n) a married woman's paramour/lover/
間服 [あいふく] /(n) between-season wear/spring and autumn clothing/spring and fall clothing/
間柄 [あいだがら] /(n) relation(ship)/(P)/
間膜 [かんまく] /(n) ligament/
間葉 [かんよう] /(n,adj-no) mesenchyme/
間歇 [かんけつ] /(adj-na,n) intermittence/intermittent/
間歇泉 [かんけつせん] /(n) geyser/
間歇的 [かんけつてき] /(adj-na) intermittent/
間歇熱 [かんけつねつ] /(n) an intermittent fever/
閑 [かん] /(n) spare time/free time/leisure/
閑 [ひま] /(adj-na,n) (1) spare time/free time/leisure/(2) time off/day off/vacation/holiday/leave/(3) quitting (one's job)/firing someone/divorcing (one's spouse)/(adj-na) (4) (of one's time) free/(of one's business) slow/
閑々 [かんかん] /(adv) quietly/self-composed/
閑か [しずか] /(adj-na) quiet/peaceful/
閑雲野鶴 [かんうんやかく] /(n) life in natural setting, free from worldly cares/
閑暇 [かんか] /(n) leisure/
閑雅 [かんが] /(adj-na,n) refined/elegant/
閑閑 [かんかん] /(adv) quietly/self-composed/
閑却 [かんきゃく] /(n,vs) negligence/disregard/
閑居 [かんきょ] /(n,vs) quiet and secluded life/quiet retreat/idle life/
閑古鳥 [かんこどり] /(n) cuckoo/
閑古鳥が鳴く [かんこどりがなく] /(exp) (id) to be in a slump (of a business)/(business is) slow/
閑散 [かんさん] /(adj-na,n) leisure/quiet/inactivity/(P)/
閑散期 [かんさんき] /(n) off-period/
閑寂 [かんじゃく] /(adj-na,n) quiet/tranquility/tranquillity/
閑寂枯淡 [かんじゃくこたん] /(n,adj-na,adj-no) aesthetic sense in Japanese art emphasising quiet simplicity and subdued refinement/
閑職 [かんしょく] /(n) leisurely post/do-nothing job/sinecure/
閑人 [かんじん] /(n) man of leisure/woman of leisure/
閑人 [ひまじん] /(n) man of leisure/woman of leisure/
閑静 [かんせい] /(adj-na,n) quiet (e.g. neighbourhood, neighborhood)/(P)/
閑談 [かんだん] /(n,vs) quiet conversation/idle talk/
閑地 [かんち] /(n) quiet place/vacant land/fallow ground/undemanding job/sinecure/life of leisurely retirement/
閑日月 [かんじつげつ] /(n) leisure/
閑靖 [かんせい] /(n) tranquil/quiet/
閑話 [かんわ] /(n,vs) quiet talk/gossip/
閑話休題 [かんわきゅうだい] /(exp,n) Now let's return to the main subject/To return from the digression,.. (in a conversation, speech, or story-telling)/
関 [せき] /(n,n-suf) barrier/gate/(P)/
関 [ぜき] /(suf) (hon) (abbr) honorific added to names of makuuchi and juryo division sumo wrestlers/
関して [かんして] /(exp) in relation to/
関する [かんする] /(vs-s) to concern/to be related/(P)/
関の山 [せきのやま] /(exp,n) the most one can do/as much as one can/as hard as possible/
関らず [かかわらず] /(exp) in spite of/regardless of/
関る [かかわる] /(v5r,vi) (1) to be affected/to be influenced/(2) to be concerned with/to have to do with/(3) to stick to (opinions)/
関わらず [かかわらず] /(exp) in spite of/regardless of/
関わり [かかわり] /(n) relation/connection/
関わりあう [かかわりあう] /(v5u) to get involved or entangled in/to get mixed up in/to have something to do with/to have dealings with/
関わり合い [かかわりあい] /(n) involvement/involved/
関わり合う [かかわりあう] /(v5u) to get involved or entangled in/to get mixed up in/to have something to do with/to have dealings with/
関わる [かかわる] /(v5r,vi) (1) to be affected/to be influenced/(2) to be concerned with/to have to do with/(3) to stick to (opinions)/(P)/
関を切ったよう [せきをきったよう] /(iK) (exp,adj-na) gushing forth/bursting out/
関を切る [せきをきる] /(iK) (exp,v5r) to break a dam and gush forth/to burst out/
関ケ原 [せきがはら] /(n) (1) Sekigahara (battle site, 1600)/(2) decisive battle/critical battle/
関ケ原の戦い [せきがはらのたたかい] /(n) Battle of Sekigahara (1600)/
関ヶ原 [せきがはら] /(n) (1) Sekigahara (battle site, 1600)/(2) decisive battle/critical battle/
関ヶ原の戦 [せきがはらのたたかい] /(io) (n) Battle of Sekigahara (1600)/
関ヶ原の戦い [せきがはらのたたかい] /(n) Battle of Sekigahara (1600)/
関係 [かんけい] /(n,vs) (1) relation/relationship/connection/(2) participation/involvement/concern/(3) influence/effect/(4) sexual relations/sexual relationship/(n-suf) (5) related to .../connected to .../(P)/
関係がない [かんけいがない] /(exp) (col) have nothing to do with (something)/have no connection with (something)/"that's not it"/
関係が無い [かんけいがない] /(exp) (col) have nothing to do with (something)/have no connection with (something)/"that's not it"/
関係つける [かんけいつける] /(v1) to relate/
関係ない [かんけいない] /(exp) (1) (col) have nothing to do with (something)/have no connection with (something)/"that's not it"/(2) I don't care about/I am not concerned about/
関係を持つ [かんけいをもつ] /(exp,v5t) to have a relationship/to have relations/
関係演算子 [かんけいえんざんし] /(n) (comp) relational operator/
関係会社 [かんけいがいしゃ] /(n) affiliated company/
関係改善 [かんけいかいぜん] /(n) improvement of relations/rapprochement/
関係各位 [かんけいかくい] /(exp) to whom it may concern/
関係各位殿 [かんけいかくいどの] /(exp) to whom it may concern/
関係官庁 [かんけいかんちょう] /(n) government agencies concerned with .../
関係管理 [かんけいかんり] /(n) (comp) relational management/
関係強化 [かんけいきょうか] /(n,vs) strengthening of relations/
関係指示記号 [かんけいしじきごう] /(n) (comp) relation indicator/
関係詞 [かんけいし] /(n) (ling) relative/
関係者 [かんけいしゃ] /(n) authorized people/authorised people/person(s) concerned/officials/staff/(P)/
関係者各位 [かんけいしゃかくい] /(exp) (hon) to whom it may concern/to the involved parties/to all persons concerned/
関係書類 [かんけいしょるい] /(n) relevant documents/(all) the documents related (to the matter)/
関係省庁 [かんけいしょうちょう] /(n) the concerned government agencies/the ministries and agencies that are relevant to the matter at hand/the relevant authorities/
関係代名詞 [かんけいだいめいし] /(n) (ling) relative pronoun/
関係団体 [かんけいだんたい] /(n) (1) affiliate (company, organization)/(2) concerned bodies/interested organizations/
関係調 [かんけいちょう] /(n) relative key (music)/
関係当局 [かんけいとうきょく] /(n) the authorities concerned/the competent authorities/
関係当事者 [かんけいとうじしゃ] /(exp) affected party/party concerned/
関係当事者殿 [かんけいとうじしゃどの] /(exp) to whom it may concern/
関係付ける [かんけいづける] /(v1,vt) to relate to/to connect with/
関係副詞 [かんけいふくし] /(n) (ling) relative adverb/
関係法規 [かんけいほうき] /(n) related laws and regulations/
関係無い [かんけいない] /(exp) (1) (col) have nothing to do with (something)/have no connection with (something)/"that's not it"/(2) I don't care about/I am not concerned about/
関鍵 [かんけん] /(n) (obsc) locking doors/lock and key/vital point/
関取 [せきとり] /(n) ranking sumo wrestler in the makuuchi (senior-grade) or juryo (junior-grade) divisions/(P)/
関守 [せきもり] /(n) barrier keeper/
関所 [せきしょ] /(n) barrier/checking station/
関所破り [せきしょやぶり] /(n) breaking through or sneaking past a barrier/
関心 [かんしん] /(n) concern/interest/(P)/
関心が高まる [かんしんがたかまる] /(exp,v5r) to take a growing interest in/
関心を呼ぶ [かんしんをよぶ] /(exp,v5b) to be the subject of attention/to call people's attention/to be the rage/to be of interest/
関心を高める [かんしんをたかめる] /(exp,v1) to stimulate interest in/to raise awareness of/
関心を払う [かんしんをはらう] /(exp,v5u) to show interest in/
関心事 [かんしんじ] /(n) matter of concern and interest/(P)/
関心領域 [かんしんりょういき] /(n) (comp) region of interest/
関数 [かんすう] /(n) (comp) function (e.g. math, programming, programing)/
関数ライブラリ [かんすうライブラリ] /(n) (comp) function library/FL/
関数解析 [かんすうかいせき] /(n) functional analysis/
関数空間 [かんすうくうかん] /(n) functional space/
関数型プログラミング [かんすうがたプログラミング] /(n) (comp) functional programming/FP/
関数型言語 [かんすうがたげんご] /(n) (comp) functional language/
関数形プログラミング [かんすうがたプログラミング] /(n) (comp) functional programming/
関数形言語 [かんすうがたげんご] /(n) (comp) functional language/
関数結果 [かんすうけっか] /(n) (comp) function result/
関数原型 [かんすうげんけい] /(n) function prototype/
関数呼び出し [かんすうよびだし] /(n) (comp) function call/
関数呼出し [かんすうよびだし] /(n) function call/
関数手続き [かんすうてつづき] /(n) (comp) function procedure/
関数族 [かんすうぞく] /(n) family of functions/
関数発生器 [かんすうはっせいき] /(n) (comp) function generator/
関数副プログラム [かんすうふくプログラム] /(n) (comp) function subprogram/
関数方程式 [かんすうほうていしき] /(n) functional equation/
関数名 [かんすうめい] /(n) (comp) function name/
関数論 [かんすうろん] /(n) theory of functions/
関西 [かんさい] /(n) Kansai (south-western half of Japan, including Osaka)/(P)/
関西 [かんせい] /(n) Kansai (south-western half of Japan, including Osaka)/
関西地方 [かんさいちほう] /(n) Kansai region (south-western half of Japan, including Osaka)/
関西馬 [かんさいば] /(n) Kansai horse/
関西弁 [かんさいべん] /(n) Kansai dialect/
関西辯 [かんさいべん] /(oK) (n) Kansai dialect/
関税 [かんぜい] /(n) customs/duty/tariff/(P)/
関税と貿易に関する一般協定 [かんぜいとぼうえきにかんするいっぱんきょうてい] /(n) General Agreement on Tariffs and Trade (abolished in 1995)/GATT/
関税回避 [かんぜいかいひ] /(n) tariff avoidance/
関税割当制 [かんぜいわりあてせい] /(n) tariff quota system/
関税局 [かんぜいきょく] /(n) customs office/
関税自主権 [かんぜいじしゅけん] /(n) tariff autonomy/
関税障壁 [かんぜいしょうへき] /(n) tariff barrier/
関税譲許 [かんぜいじょうきょ] /(n) tariff binding/
関税同盟 [かんぜいどうめい] /(n) customs union/
関税貿易一般協定 [かんぜいぼうえきいっぱんきょうてい] /(n) General Agreement on Tariffs and Trade (abolished in 1995)/GATT/
関税率 [かんぜいりつ] /(n) tariff rate/
関節 [かんせつ] /(n,adj-no) joints (knee joint, elbow joint, etc.)/(P)/
関節リウマチ [かんせつリウマチ] /(n) rheumatoid arthritis/
関節リューマチ [かんせつリューマチ] /(n) rheumatoid arthritis/
関節炎 [かんせつえん] /(adj-na,n) arthritis/
関節技 [かんせつわざ] /(n) locking technique in judo/
関節鏡検査 [かんせつきょうけんさ] /(n) arthroscopy/
関節形成術 [かんせつけいせいじゅつ] /(n) arthroplasty/joint surgery/
関節痛 [かんせつつう] /(n) arthralgia/joint pain/
関節半月 [かんせつはんげつ] /(n) semilunar cartilage/
関節窩 [かんせつか] /(n) glenoid cavity/
関説 [かんせつ] /(n,vs) (obsc) allusion/alluding/related explanation/
関説 [かんぜい] /(ok) (n,vs) (obsc) allusion/alluding/related explanation/
関船 [せきぶね] /(n) (arch) type of fast military boat used from the Warring states period until the Edo period/
関代 [かんだい] /(n) (ling) (abbr) relative pronoun/
関知 [かんち] /(n,vs) concern/business/(P)/
関電 [かんでん] /(n) electrode/
関東 [かんとう] /(n) Kantou (eastern half of Japan, including Tokyo)/
関東一円 [かんとういちえん] /(n) whole district of Kanto/
関東軍 [かんとうぐん] /(n) Kwantung Army (Japanese armed forces in Manchukuo)/
関東煮 [かんとうだき] /(n) oden (various ingredients, such as egg, daikon, or konnyaku stewed in soy-flavored dashi)/
関東煮 [かんとだき] /(n) oden (various ingredients, such as egg, daikon, or konnyaku stewed in soy-flavored dashi)/
関東煮 [かんとに] /(n) oden (various ingredients, such as egg, daikon, or konnyaku stewed in soy-flavored dashi)/
関東煮き [かんとうだき] /(n) oden (various ingredients, such as egg, daikon, or konnyaku stewed in soy-flavored dashi)/
関東煮き [かんとだき] /(n) oden (various ingredients, such as egg, daikon, or konnyaku stewed in soy-flavored dashi)/
関東十八檀林 [かんとうじゅうはちだんりん] /(n) eighteen centers of Buddhist learning (of the Pure Land sect in the Kanto region)/
関東炊き [かんとうだき] /(n) oden (various ingredients, such as egg, daikon, or konnyaku stewed in soy-flavored dashi)/
関東炊き [かんとだき] /(n) oden (various ingredients, such as egg, daikon, or konnyaku stewed in soy-flavored dashi)/
関東大震災 [かんとうだいしんさい] /(n) Great Kanto earthquake of 1923/
関東地方 [かんとうちほう] /(n) Kanto region (inc. Tokyo, Kanagawa, Saitama, Gunma, Tochigi, Ibaraki and Chiba prefectures)/
関東八州 [かんとうはっしゅう] /(n) eight Edo-period provinces of Kanto (Sagami, Musashi, Awa, Kazusa, Shimousa, Hitachi, Kouzuke & Shimotsuke)/
関東弁 [かんとうべん] /(n) Kantou dialect/
関頭 [かんとう] /(n) crossroads/crucial point/
関白 [かんぱく] /(n) chief advisor to the Emperor (adviser)/
関八州 [かんはっしゅう] /(n) (abbr) eight Edo-period provinces of Kanto (Sagami, Musashi, Awa, Kazusa, Shimousa, Hitachi, Kouzuke & Shimotsuke)/
関副 [かんふく] /(n) (ling) (abbr) relative adverb/
関門 [かんもん] /(n) barrier/gateway/(P)/
関門海峡 [かんもんかいきょう] /(n) Kanmon Straits (between Honshu and Kyushu)/
関与 [かんよ] /(n,vs) participation/taking part in/participating in/being concerned in/(P)/
関聯 [かんれん] /(n,adj-no,vs,suf) relation/connection/relevance/
関連 [かんれん] /(n,adj-no,vs,suf) relation/connection/relevance/(P)/
関連づける [かんれんづける] /(exp,v1) (comp) to relate/
関連会社 [かんれんがいしゃ] /(n) associated company/
関連機器 [かんれんきき] /(n) (comp) related equipment/related device/
関連技術 [かんれんぎじゅつ] /(n) (comp) related technology/
関連業者 [かんれんぎょうしゃ] /(n) related tradespeople/
関連語 [かんれんご] /(n) related term/associated words/
関連項目 [かんれんこうもく] /(n) related item/related topic/
関連事項 [かんれんじこう] /(n) related (relevant) matters/matters relevant to the subject/
関連質問 [かんれんしつもん] /(n) follow-up question/related question/interpellation on related matters/
関連商品 [かんれんしょうひん] /(n) related product/
関連情報 [かんれんじょうほう] /(n) (comp) related information/
関連情報速度 [かんれんじょうほうそくど] /(n) (comp) connection information rate/
関連図 [かんれんず] /(n) (comp) graphic display/
関連性 [かんれんせい] /(n) relatedness/associativity/relation/relationship/relevance/
関連製品 [かんれんせいひん] /(n) (comp) related product/related products/
関連単語 [かんれんたんご] /(n) (comp) related word/
関連痛 [かんれんつう] /(n) referred pain/
関連当事者 [かんれんとうじしゃ] /(n) connected person/related parties/
関連付け [かんれんづけ] /(n) (comp) association/
関連付ける [かんれんづける] /(exp,v1) (comp) to relate/
関脇 [せきわけ] /(n) sumo wrestler of the third highest rank/(P)/
陥せい [かんせい] /(n,vs) trap/pitfall/
陥る [おちいる] /(v5r,vi) to fall/to trap/to cave in/to collapse/(P)/
陥れる [おとしいれる] /(v1,vt) (1) to trick someone into (committing a crime, etc.)/to hatch a plan and deceive someone/(2) to assault (a castle, etc.)/(3) to drop something and have it fall into something/
陥入 [かんにゅう] /(n,vs) subsiding/falling (cave) in/collapse/
陥没 [かんぼつ] /(n,vs) cave-in/subsidence/(P)/
陥没湖 [かんぼつこ] /(n) lake formed in volcanic caldera/
陥没骨折 [かんぼつこっせつ] /(n) depressed fracture/
陥落 [かんらく] /(n,vs) fall/sinking/surrender/capitulation/(P)/
陥穽 [かんせい] /(n,vs) trap/pitfall/
韓 [から] /(n,n-pref) (arch) China (sometimes also used in ref. to Korea or other foreign countries)/
韓衣 [からころも] /(n) ancient Chinese clothes/
韓国 [からくに] /(n) (arch) China/Korea/
韓国 [かんこく] /(n) (South) Korea/(P)/
韓国語 [かんこくご] /(n) Korean (language)/
韓国人 [かんこくじん] /(n) Korean person/
韓国総合株価指数 [かんこくそうごうかぶかしすう] /(n) Korea Composite Stock Price Index/KOSPI/
韓国併合 [かんこくへいごう] /(n) annexation of Korea (by Japan; 1910-1945)/
韓国併合条約 [かんこくへいごうじょうやく] /(n) Japan-Korea Annexation Treaty (1910)/
韓人 [からびと] /(n) (arch) Chinese person/Korean person/
韓人 [かんじん] /(n) Korean person/
韓日 [かんにち] /(n) Korea-Japan/
韓服 [かんふく] /(n) hanbok (traditional Korean dress)/
韓服 [かんぷく] /(n) hanbok (traditional Korean dress)/
韓服 [ハンボッ] /(n) hanbok (traditional Korean dress)/
韓流 [かんりゅう] /(n) influx of South Korean pop culture (into Japan)/
韓流 [はんりゅう] /(n) influx of South Korean pop culture (into Japan)/
館 [かん] /(n,suf) house/hall/building/
館 [たち] /(n) (1) mansion/small castle/(2) (hon) nobleman/noblewoman/
館 [たて] /(n) (1) mansion/small castle/(2) (hon) nobleman/noblewoman/
館 [むろつみ] /(n) (arch) inn/
館 [やかた] /(n) (1) mansion/small castle/(2) (hon) nobleman/noblewoman/(3) boat cabin/
館娃 [かんあい] /(n) palace (in China built by Wu Dynasty King)/
館員 [かんいん] /(n) personnel (of public building)/
館外 [かんがい] /(n) outside a building/
館主 [かんしゅ] /(n) manager/
館長 [かんちょう] /(n) superintendent/director/curator/chief librarian/(P)/
館内 [かんない] /(n) in the building/(P)/
館内図 [かんないず] /(n) floor map/
丸 [がん] /(n,n-suf) (1) fishball/meatball/(2) pill/
丸 [まる] /(n) (1) circle/(pref) (2) full (e.g. month, day, etc.)/(3) perfection/purity/(4) suffix for ship names/(P)/
丸々 [まるまる] /(adj-f,vs) (1) plump/rotund/chubby/(adv,adv-to) (2) entirely/completely/wholly/
丸々と太った [まるまるとふとった] /(adj-f) rotund/plump/chubby/
丸々太った [まるまるふとった] /(adj-f) rotund/plump/chubby/
丸い [まるい] /(adj-i) (1) round/circular/spherical/(2) harmonious/calm/(P)/
丸い [まろい] /(ok) (adj-i) (1) round/circular/spherical/(2) harmonious/calm/
丸かっこ [まるかっこ] /(n) (comp) (round) parentheses/
丸くおさまる [まるくおさまる] /(exp,v5r) to settle peacefully/to work out peacefully/to come to an amicable solution/to become reconciled/
丸くなって [まるくなって] /(exp) in a circle (ring)/
丸く治まる [まるくおさまる] /(exp,v5r) to settle peacefully/to work out peacefully/to come to an amicable solution/to become reconciled/
丸く収まる [まるくおさまる] /(exp,v5r) to settle peacefully/to work out peacefully/to come to an amicable solution/to become reconciled/
丸ごと [まるごと] /(adv) in its entirety/whole/wholly/(P)/
丸っきり [まるっきり] /(adv) completely/perfectly/just as if/(P)/
丸っこい [まるっこい] /(adj-i) round/spherical/circular/
丸っ切り [まるっきり] /(adv) completely/perfectly/just as if/
丸で [まるで] /(adv) (uk) quite/entirely/completely/at all/as if/as though/so to speak/just like/(P)/
丸で成ってない [まるでなってない] /(adj-i) not good at all/
丸のみ [まるのみ] /(n,vs) swallowing whole/
丸の侭 [まるのまま] /(n) in its entirety/whole/
丸まっちい [まるまっちい] /(adj-i) plump/chubby/
丸まる [まるまる] /(v5r,vi) to become rounded/to roll into a ball/(P)/
丸み [まるみ] /(n) roundness/rotundity/(P)/
丸め [まるめ] /(n) (comp) rounding/
丸める [まるめる] /(v1,vt) to make round/to round off/to roll up/to curl up/to seduce/to cajole/to explain away/(P)/
丸め誤差 [まるめごさ] /(n) (comp) rounding error/
丸め込む [まるめこむ] /(v5m,vt) (1) to coax/to seduce/(2) to roll up and put in (to something)/to bundle up/(P)/
丸を付ける [まるをつける] /(exp,v1) to mark a correct answer with a circle/
丸暗記 [まるあんき] /(n,vs) indiscriminate memorizing/
丸一 [まるいち] /(n) bisected-circle seal/
丸一ケ月 [まるいっかげつ] /(n) the whole month/all the month/
丸一ヶ月 [まるいっかげつ] /(n) the whole month/all the month/
丸一月 [まるひとつき] /(n) the whole month/all the month/
丸一週間 [まるいっしゅうかん] /(n) the whole week/all the week/
丸一日 [まるいちにち] /(n) the whole day/all the day/
丸一年 [まるいちねん] /(n) the whole year/all the year/
丸一晩 [まるいちばん] /(n) whole night/all night/
丸屋根 [まるやね] /(n) dome/vaulted roof/cupola/
丸花蜂 [まるはなばち] /(n) (uk) bumblebee/
丸覚え [まるおぼえ] /(n,vs) full memorization/full memorisation/
丸括弧 [まるがっこ] /(n) parentheses/round parentheses/
丸刈 [まるがり] /(n) close clipping/
丸刈り [まるがり] /(n) close clipping/(P)/
丸瓦 [まるがわら] /(n) convex roof tile/
丸干し [まるぼし] /(n) (fish, vegetables, etc.) dried whole/
丸漢フォント [まるかんフォント] /(n) (comp) Marukan font/
丸丸 [まるまる] /(adj-f,vs) (1) plump/rotund/chubby/(adv,adv-to) (2) entirely/completely/wholly/
丸丸と太った [まるまるとふとった] /(adj-f) rotund/plump/chubby/
丸丸太った [まるまるふとった] /(adj-f) rotund/plump/chubby/
丸顔 [まるがお] /(n,adj-no) round face/moon face/
丸鋸 [まるのこ] /(n) circular saw/buzz saw/
丸曲 [まるまげ] /(n) (1) traditional married woman's hair style, with an oval chignon on top/(2) men's hairstyle (Edo period)/
丸曲 [まるわげ] /(n) (1) traditional married woman's hair style, with an oval chignon on top/(2) men's hairstyle (Edo period)/
丸襟 [まるえり] /(n) round collar (of Western clothing)/
丸型 [まるがた] /(n) (1) round shape/circle/(2) circular form/
丸形 [まるがた] /(n) (1) round shape/circle/(2) circular form/
丸穴 [まるあな] /(n) round hole/
丸見え [まるみえ] /(n) completely visible/
丸公 [まるこう] /(n) official price/
丸行灯 [まるあんどん] /(n) cylindrical paper lantern/
丸鋼 [まるこう] /(n) round steel bar/
丸腰 [まるごし] /(n) unarmed/
丸剤 [がんざい] /(n,adj-no) pill/
丸材 [まるざい] /(n) log/
丸鯖 [まるさば] /(n) (uk) (obsc) blue mackerel (Scomber australasicus)/
丸山ワクチン [まるやまワクチン] /(n) Maruyama vaccine (said to be effective against leprosy, cancer and cutaneous tuberculosis)/
丸子船 [まるこぶね] /(n) (arch) wooden transport ship used on Lake Biwa/
丸事 [まるごと] /(iK) (adv) in its entirety/whole/wholly/
丸字 [まるじ] /(n) rounded handwriting/
丸持ち [まるもち] /(n) moneyed man/
丸写し [まるうつし] /(n,vs) copying in entirety (verbatim)/
丸煮 [まるに] /(n) boiling something whole (e.g. vegetable, fish)/cooking something whole/
丸取り [まるどり] /(n,vs) monopolizing/monopolising/monopolization/monopolisation/
丸首 [まるくび] /(n) round-necked (T-shirt)/
丸十 [まるじゅう] /(n) cross in a circle/
丸出し [まるだし] /(n) bare/exposed/undisguised/broad (provincial accent)/
丸傷 [たまきず] /(iK) (n) bullet wound/gunshot wound/
丸勝ち [まるがち] /(n) complete victory/clean record/
丸焼き [まるやき] /(n) whole roast (e.g. pig, turkey, etc.)/
丸焼け [まるやけ] /(n) total fire loss/completely burned/
丸焼けになった [まるやけになった] /(adj-f) completely burned/
丸石 [まるいし] /(n) boulder/cobble/
丸切り [まるきり] /(adv) (uk) anything but/not at all/
丸洗い [まるあらい] /(n,vs) washing kimonos without taking them apart/
丸窓 [まるまど] /(n) circular window/
丸損 [まるぞん] /(n) total loss/
丸太 [まるた] /(n) log/(P)/
丸太ん棒 [まるたんぼう] /(n) log/
丸太材 [まるたざい] /(n) round timber/
丸太舟 [まるたぶね] /(n) (1) wooden transport ship used on Lake Biwa/(2) vessel made from logs, e.g. large dugout canoe/
丸太小屋 [まるたごや] /(n) log cabin/blockhouse/
丸太船 [まるたぶね] /(n) (1) wooden transport ship used on Lake Biwa/(2) vessel made from logs, e.g. large dugout canoe/
丸太足場 [まるたあしば] /(n) scaffolding/
丸帯 [まるおび] /(n) one-piece sash/
丸竹 [まるたけ] /(n) (obsc) cut bamboo/
丸柱 [まるばしら] /(n) (1) round pillar (esp. in buildings)/
丸彫り [まるぼり] /(n) three dimensional sculpture/
丸潰れ [まるつぶれ] /(n) complete ruin/collapse/
丸底 [まるぞこ] /(adj-na) round-bottom/
丸天井 [まるてんじょう] /(n) arched ceiling/
丸砥石 [まるといし] /(n) grindstone/
丸投げ [まるなげ] /(n) Passing a whole task onto someone else, doing nothing by yourself/
丸禿 [まるはげ] /(n) complete baldness/
丸呑み [まるのみ] /(n,vs) swallowing whole/
丸八 [まるはち] /(n) (uk) Cyathea mertensiana (species of tree fern)/
丸秘 [まるひ] /(n,adj-no) confidential/secret/classified/
丸尾雨傘 [まるおあまがさ] /(n) (uk) banded krait (Bungarus fasciatus)/
丸付き数字 [まるつきすうじ] /(n) number enclosed within a circle (symbol)/
丸付数字 [まるつきすうじ] /(n) number enclosed within a circle (symbol)/
丸負け [まるまけ] /(n) complete defeat/
丸仏手柑 [まるぶしゅかん] /(n) (obsc) citron (Citrus medica)/
丸文字 [まるもじ] /(n) rounded handwriting/
丸抱え [まるがかえ] /(n) completely financed/sponsored/under patronage/
丸坊主 [まるぼうず] /(n) close-cropped head/bald hill/
丸本 [まるほん] /(n) reciter's book/complete set of books/
丸本 [まるぼん] /(n) reciter's book/complete set of books/
丸盆 [まるぼん] /(n) round tray/
丸毎 [まるごと] /(iK) (adv) in its entirety/whole/wholly/
丸味 [まるみ] /(n) roundness/rotundity/
丸網機 [まるあみき] /(n) circular knitting machine/
丸儲け [まるもうけ] /(n,vs) clear gain/
丸木 [まるき] /(n) log/
丸木橋 [まるきばし] /(n) log bridge/
丸木舟 [まるきぶね] /(n) dugout canoe/
丸木船 [まるきぶね] /(n) dugout canoe/
丸木造り [まるきづくり] /(n) rustic work/
丸薬 [がんやく] /(n,adj-no) pill/
丸優 [まるゆう] /(n) tax-free small-sum savings system (often used by the elderly and the disabled)/non-tax plan for small savings/
丸葉の木 [まるばのき] /(n) (uk) Disanthus cercidifolius/
丸葉青だも [まるばあおだも] /(n) (uk) Japanese flowering ash (Fraxinus sieboldiana)/
丸葉朝顔 [まるばあさがお] /(n) (uk) common morning glory (Ipomoea purpurea)/
丸葉萩 [まるばはぎ] /(n) (uk) leafy lespedeza (species of bush clover, Lespedeza cyrtobotrya)/
丸裸 [まるはだか] /(adj-na,n) nude/utterly stark naked/wearing only one's birthday suit/
丸裸にする [まるはだかにする] /(exp,vs-i) to strip a person of all his or her clothes/
丸裸になる [まるはだかになる] /(exp,v5r) to be stripped of all one's clothes/to lose everything one has/
丸簾貝 [まるすだれがい] /(n) (uk) embossed venus (species of venus clam, Venus toreuma)/
丸諳記 [まるあんき] /(n,vs) indiscriminate memorizing/
丸鑿 [まるのみ] /(n) (a) gouge/
丸髷 [まるまげ] /(n) (1) traditional married woman's hair style, with an oval chignon on top/(2) men's hairstyle (Edo period)/
丸髷 [まるわげ] /(n) (1) traditional married woman's hair style, with an oval chignon on top/(2) men's hairstyle (Edo period)/
含ます [ふくます] /(v5s) to soak/to saturate/to suckle/to make one hold something in the mouth/to include/to instruct/to make one understand/
含ませる [ふくませる] /(v1,vt) to soak/to saturate/to suckle/to make one hold something in the mouth/to include/to instruct/to make one understand/
含まれない [ふくまれない] /(adj-i) not to be included/
含まれる [ふくまれる] /(v1,vi) to be included/to be comprised of/
含み [ふくみ] /(n) implication/hidden meaning/latitude/atmosphere/tone/sentiment/inclusion/(P)/
含み資産 [ふくみしさん] /(n) hidden assets/
含み笑い [ふくみわらい] /(n,vs) suppressed laugh/smile/giggle/chuckle/
含み声 [ふくみごえ] /(n) muffled voice/
含む [くくむ] /(v5m,vt) (1) to contain/to comprise/to have/to hold/to include/to embrace/(2) to hold in the mouth/(3) to bear in mind/to understand/to harbor (grudge, etc.)/to harbour/(4) to express (emotion, etc.)/to imply/
含む [ふくむ] /(v5m,vt) (1) to contain/to comprise/to have/to hold/to include/to embrace/(2) to hold in the mouth/(3) to bear in mind/to understand/to harbor (grudge, etc.)/to harbour/(4) to express (emotion, etc.)/to imply/(P)/
含むところがある [ふくむところがある] /(exp) to harbor ill feeling/
含む所がある [ふくむところがある] /(exp) to harbor ill feeling/
含める [ふくめる] /(v1,vt) to include/to instruct/to make one understand/to put in one's mouth/(P)/
含め煮 [ふくめに] /(n,vs) food boiled in sugar syrup/
含意 [がんい] /(n,vs) (1) implication/(2) IF-THEN operation/conditional implication (operation)/
含意素子 [がんいそし] /(n) (comp) IF-THEN gate/IF THEN element/
含浸 [がんしん] /(n,vs) impregnation/
含塵率 [がんじんりつ] /(n) dust content/
含水 [がんすい] /(adj-no) hydrated/hydrous/
含水化合物 [がんすいかごうぶつ] /(n) hydrate/
含水炭素 [がんすいたんそ] /(n) (obs) carbohydrate/
含蓄 [がんちく] /(n,vs) implication/significance/connotation/depth of meaning/complications of a problem/(P)/
含蓄のある [がんちくのある] /(exp) significant/suggestive/pregnant (with meaning)/
含蓄の有る [がんちくのある] /(exp) significant/suggestive/pregnant (with meaning)/
含糖 [がんとう] /(n,adj-no) sugar content/
含糖量 [がんとうりょう] /(n) sugar content/
含味 [がんみ] /(n,vs) taste/thinking over carefully/
含油 [がんゆ] /(n,adj-no) oil impregnation/oil-bearing/oil-containing/
含油軸受け [がんゆじくうけ] /(n) oil-retaining bearing/
含油層 [がんゆそう] /(n) oil strata/
含油頁岩 [がんゆけつがん] /(n) oil shale/
含有 [がんゆう] /(n,vs) contain/include/(P)/
含有率 [がんゆうりつ] /(n) content by percentage/
含有量 [がんゆうりょう] /(n) content (of a mineral, etc.)/
含量 [がんりょう] /(n) content/
含嗽 [うがい] /(n,vs) (uk) gargling/rinsing one's mouth/(P)/
含嗽 [がんそう] /(n,vs) (uk) gargling/rinsing one's mouth/
含嗽剤 [がんそうざい] /(n) mouthwash/
含嗽薬 [がんそうやく] /(n) gargle medicine/mouthwash/
含漱 [うがい] /(n,vs) (uk) gargling/rinsing one's mouth/
含漱 [がんそう] /(n,vs) (uk) gargling/rinsing one's mouth/
含羞 [がんしゅう] /(n) shyness/
含羞 [はにかみ] /(n) (uk) (showing) signs of embarrassment/
含羞む [はにかむ] /(v5m) (uk) to be shy/to be bashful/
含羞草 [おじぎそう] /(n) (1) mimosa/(2) sensitive plant/
岸 [きし] /(n) bank/coast/shore/(P)/
岸頭 [がんとう] /(n) shore/wharf/
岸壁 [がんぺき] /(n) wharf/breakwater/steep cliff/(P)/
岸辺 [きしべ] /(n) bank (of a river)/(P)/
巌 [いわ] /(n) rock/crag/
巌 [いわお] /(n) rock/crag/
巌々とした [がんがんとした] /(adj-f) craggy/steep (as of a mountain)/
巌蔭 [いわかげ] /(n) shade of a rock/
巌巌とした [がんがんとした] /(adj-f) craggy/steep (as of a mountain)/
巌窟 [がんくつ] /(n) cave/cavern/
巌頭 [がんとう] /(n) top of a massive rock/
巌壁 [がんぺき] /(n) wall of rock/rock cliff/rock face/
玩ぶ [もてあそぶ] /(v5b,vt) (1) (uk) to play with (a toy, one's hair, etc.)/to fiddle with/(2) to toy with (one's emotions, etc.)/to trifle with/(3) to do with something as one pleases/(4) to appreciate/
玩具 [おもちゃ] /(n) (uk) toy/(P)/
玩具 [がんぐ] /(n) (uk) toy/
玩具屋 [おもちゃや] /(n) toy shop/
玩物喪志 [がんぶつそうし] /(n) forgetting one's serious objectives by becoming engrossed in trivial pursuits/being distracted by trivial objects and losing sight of one's original goal/
玩味 [がんみ] /(n,vs) relish/appreciation/
玩弄 [がんろう] /(n,vs) make sport of/toy with/play with/
玩弄物 [がんろうぶつ] /(n) plaything/
癌 [がん] /(n) cancer/(P)/
癌ウイルス [がんウイルス] /(n) oncovirus/
癌遺伝子 [がんいでんし] /(n) oncogene/
癌化 [がんか] /(n,vs) becoming cancerous/canceration/
癌研 [がんけん] /(n) Cancer Research Institute/
癌告知 [がんこくち] /(n) cancer notification/
癌細胞 [がんさいぼう] /(n) cancer cell/
癌腫 [がんしゅ] /(n) carcinoma/
癌診断 [がんしんだん] /(n) cancer diagnosis/
癌抑制遺伝子 [がんよくせいいでんし] /(n) tumour suppressor gene/tumor suppressor gene/
眼 [まなこ] /(n) (1) eye/eyeball/(2) eyesight/sight/vision/(3) look/stare/glance/(4) experience/(5) viewpoint/(6) stitch/texture/weave/(suf) (7) ordinal number suffix/(8) somewhat/-ish/(P)/
眼 [め] /(n) (1) eye/eyeball/(2) eyesight/sight/vision/(3) look/stare/glance/(4) experience/(5) viewpoint/(6) stitch/texture/weave/(suf) (7) ordinal number suffix/(8) somewhat/-ish/(P)/
眼が悪い [めがわるい] /(exp,adj-i) have bad eyesight/
眼が覚める [めがさめる] /(exp,v1) to awaken/to perk up/to snap out (of something)/
眼が冴える [めがさえる] /(exp,v1) to be wide-awake/to be wakeful/to be unable to sleep/
眼つき [めつき] /(iK) (n) look/expression of the eyes/eyes/
眼につく [めにつく] /(v5k) to be noticeable/to notice/to catch one's eye/
眼に付く [めにつく] /(v5k) to be noticeable/to notice/to catch one's eye/
眼をつける [がんをつける] /(exp,v1) to fasten one's eye on (a person)/to stare at/
眼を白黒させる [めをしろくろさせる] /(exp,v1) to dart one's eyes about/to be surprised, confused or flustered/
眼を付ける [がんをつける] /(exp,v1) to fasten one's eye on (a person)/to stare at/
眼圧 [がんあつ] /(n) ocular tension/intraocular pressure/IOP/
眼医者 [めいしゃ] /(n) eye doctor/oculist/
眼下 [がんか] /(n,adj-no) under one's eyes/below/
眼科 [がんか] /(n,adj-no) ophthalmology/(P)/
眼科医 [がんかい] /(n) ophthalmologist/eye specialist/(P)/
眼科検診 [がんかけんしん] /(n) ophtamological examination/eye check-up/
眼界 [がんかい] /(n) range of vision/field of vision/
眼蓋 [まぶた] /(n) eyelid/eyelids/
眼梶木 [めかじき] /(n) (uk) swordfish (Xiphias gladius)/broadbill/
眼間 [まなかい] /(n) between one's eyes/before one's eyes/space where one's left and right eyesight meet/
眼旗魚 [めかじき] /(n) (uk) swordfish (Xiphias gladius)/broadbill/
眼球 [がんきゅう] /(n,adj-no) eyeball/
眼球銀行 [がんきゅうぎんこう] /(n) eye bank/
眼球振盪 [がんきゅうしんとう] /(n) nystagmus (rapid involuntary eye movements)/
眼鏡 [がんきょう] /(n) (1) spectacles/glasses/(P)/
眼鏡 [めがね] /(n) (1) spectacles/glasses/(2) judgement/discrimination/discernment/insight/(P)/
眼鏡っ子 [めがねっこ] /(n) (m-sl) girl (usu. attractive) with glasses/glasses-wearing girl/
眼鏡っ娘 [めがねっこ] /(n) (m-sl) girl (usu. attractive) with glasses/glasses-wearing girl/
眼鏡にかなう [めがねにかなう] /(exp,v5u) to win the favour of (favor)/to be acknowledged (e.g. by a superior)/to measure up to/
眼鏡に叶う [めがねにかなう] /(exp,v5u) to win the favour of (favor)/to be acknowledged (e.g. by a superior)/to measure up to/
眼鏡に適う [めがねにかなう] /(exp,v5u) to win the favour of (favor)/to be acknowledged (e.g. by a superior)/to measure up to/
眼鏡をかける [めがねをかける] /(exp,v1) to wear glasses/
眼鏡を外す [めがねをはずす] /(exp,v5s) to take off one's glasses/
眼鏡を掛ける [めがねをかける] /(exp,v1) to wear glasses/
眼鏡カイマン [めがねカイマン] /(n) (uk) spectacled caiman (Caiman sclerops)/
眼鏡違い [めがねちがい] /(n) misjudgment/misjudgement/
眼鏡猿 [めがねざる] /(n) (uk) tarsier (Tarsius syrichta)/specter lemur/spectre lemur/
眼鏡屋 [めがねや] /(n) optician/
眼鏡橋 [めがねばし] /(n) arched bridge/
眼鏡熊 [めがねぐま] /(n) (uk) spectacled bear (Tremarctos ornatus)/
眼鏡蛇 [めがねへび] /(n) spectacled cobra/Indian cobra/Asian cobra (Naja naja)/
眼鏡娘 [めがねっこ] /(n) (m-sl) girl (usu. attractive) with glasses/glasses-wearing girl/
眼鏡黐之魚 [めがねもちのうお] /(n) (uk) humphead wrasse (Cheilinus undulatus)/Napoleon wrasse/Napoleonfish/Maori wrasse/
眼筋 [がんきん] /(n) ocular muscles/muscles that control eye movement/
眼光 [がんこう] /(n) glint in eye/discernment/
眼光紙背 [がんこうしはい] /(n) reading between the lines/
眼光炯々 [がんこうけいけい] /(adj-t,adv-to) having piercing eyes/eagle-eyed/having a penetrating insight (into)/
眼光炯炯 [がんこうけいけい] /(adj-t,adv-to) having piercing eyes/eagle-eyed/having a penetrating insight (into)/
眼孔 [がんこう] /(n) eye socket/
眼高手低 [がんこうしゅてい] /(n) able to criticize but not to create (criticise)/
眼差し [まなざし] /(n) (a) look/gaze/(P)/
眼指 [まなざし] /(n) (a) look/gaze/
眼脂 [がんし] /(n) eye mucus/eye discharge/"sleep"/
眼脂 [めやに] /(n) eye mucus/eye discharge/"sleep"/
眼識 [がんしき] /(n) discrimination/insight/
眼疾 [がんしつ] /(n) eye disease/
眼尻 [めじり] /(iK) (n) corner of the eye/
眼振 [がんしん] /(n,adj-no) (abbr) nystagmus (rapid involuntary eye movements)/
眼深 [まぶか] /(adv) wearing low over one's eyes/
眼仁奈 [めじな] /(n) (uk) largescale blackfish (Girella punctata)/
眼精疲労 [がんせいひろう] /(n,adj-no) eyestrain/
眼前 [がんぜん] /(n) before one's eyes/
眼帯 [がんたい] /(n) eyepatch or bandage/
眼中 [がんちゅう] /(n) consideration/
眼中にない [がんちゅうにない] /(adj-i) think nothing of/
眼張 [めばる] /(n) (uk) black rockfish (Sebastes inermis)/darkbanded rockfish/
眼底 [がんてい] /(n) fundus of the eye/
眼底出血 [がんていしゅっけつ] /(n) hemorrage in the fundus of the eye/
眼点 [がんてん] /(n) eyespot/
眼奈太 [めなだ] /(n) (uk) redlip mullet (Chelon haematocheilus)/
眼軟膏 [がんなんこう] /(n) eye ointment/
眼病 [がんびょう] /(n) eye disease/
眼付 [めつき] /(ik) (io) (n) look/expression of the eyes/eyes/
眼付き [めつき] /(iK) (n) look/expression of the eyes/eyes/
眼福 [がんぷく] /(n,adj-no) a sight for sore eyes/seeing something beautiful or precious/
眼目 [がんもく] /(n) core/point/gist/essence/main object/
眼力 [がんりき] /(n) insight/power of observation/
眼力 [がんりょく] /(n) insight/power of observation/
眼輪筋 [がんりんきん] /(n) orbicularis oculi muscle/
眼瞼 [がんけん] /(n,adj-no) eyelid/
眼瞼下垂 [がんけんかすい] /(n) ptosis/
眼瞼閉鎖反射 [がんけんへいさはんしゃ] /(n) (obsc) blink reflex/
眼窩 [がんか] /(n,adj-no) eye socket/orbit/
眼窩底 [がんかてい] /(n) orbital floor (thin bone floor of eye socket)/
岩 [いわ] /(n) rock/crag/(P)/
岩ワラビー [いわワラビー] /(n) (uk) rock wallaby/
岩磯目 [いわいそめ] /(n) (uk) Marphysa sanguinea (species of eunicid worm)/
岩磯蚯蚓 [いわいそめ] /(n) (uk) Marphysa sanguinea (species of eunicid worm)/
岩陰 [いわかげ] /(n) shade of a rock/
岩雲雀 [いわひばり] /(n) (uk) alpine accentor (Prunella collaris)/
岩燕 [いわつばめ] /(n) (uk) Asian house martin (species of songbird, Delichon dasypus)/
岩塩 [いわしお] /(n) halite/rock salt/
岩塩 [がんえん] /(n) halite/rock salt/(P)/
岩屋 [いわや] /(n) cavern/grotto/(P)/
岩塊 [がんかい] /(n) mass of rock/rock lump/block/
岩絵 [いわえ] /(n) rock paintings/rock art/
岩絵の具 [いわえのぐ] /(n) natural mineral pigments/
岩絵具 [いわえのぐ] /(n) natural mineral pigments/
岩蟹 [いわがに] /(n) (uk) striped shore crab (Pachygrapsus crassipes)/
岩角 [いわかど] /(n) edge or corner of a stone/
岩間 [いわま] /(n) among rocks/(P)/
岩魚 [いわな] /(n) char (type of fish)/charr/
岩境 [いわさか] /(n) (arch) shrine/
岩苦菜 [いわにがな] /(n) (uk) creeping lettuce (Ixeris stolonifera)/
岩窟 [がんくつ] /(n) cave/cavern/
岩群 [いわむら] /(n) rocky outcrop/jumble of rocks/
岩穴 [いわあな] /(n) cavern/grotto/
岩圏 [がんけん] /(n) (obsc) lithosphere/
岩戸 [いわと] /(n) rock door (to a cave)/
岩戸景気 [いわとけいき] /(n) the economic boom of 1958-1961/
岩根 [いわね] /(n) rock/
岩根絞り [いわねしぼり] /(n) (uk) Camellia japonica 'Iwaneshibori' (cultivar of common camellia)/
岩座 [いわくら] /(n) (arch) dwelling place of a god (usu. in reference to a large rock)/
岩座 [いわざ] /(n) stone-like socle (used as the base for a Buddhist statue)/
岩山 [いわやま] /(n) rocky mountain/(P)/
岩室 [いわむろ] /(n) cave/
岩手県 [いわてけん] /(n) Iwate prefecture (Touhoku area)/
岩床 [がんしょう] /(n) bedrock/
岩礁 [がんしょう] /(n) reef/(P)/
岩乗 [がんじょう] /(oK) (adj-na,n) solid/firm/stout/burly/strong/sturdy/
岩場 [いわば] /(n) rocky area/rockface/rock wall/
岩垂杜松 [いわだれねず] /(n) (uk) Alternative name for Juniperus chinensis L. var. procumbens/
岩垂杜松 [イワダレネズ] /(n) (uk) Alternative name for Juniperus chinensis L. var. procumbens/
岩清水 [いわしみず] /(n) water trickling from rocks/
岩石 [がんせき] /(n) rock/(P)/
岩石学 [がんせきがく] /(n) petrology/
岩石系 [がんせきけい] /(n) rock system/
岩石系列 [がんせきけいれつ] /(n) rock series/lithosequence/
岩石圏 [がんせきけん] /(n) lithosphere/
岩組 [いわぐみ] /(n) arrangement of stones in a garden/
岩組み [いわぐみ] /(n) arrangement of stones in a garden/
岩倉 [やぐら] /(n) (uk) caves dug as tombs in and around Kamakura during the Kamakura and Muromachi periods/
岩層 [がんそう] /(n) rock formation/
岩袋 [いわぶくろ] /(n) (uk) Penstemon frutescens (species of beardtongue)/
岩沢瀉 [いわおもだか] /(n) (uk) Pyrrosia tricuspis (species of felt fern)/
岩茸 [いわたけ] /(n) (uk) rock tripe (edible lichen used as medication in Korea, China and Japan)/
岩棚 [いわたな] /(n) ledge/
岩棚 [いわだな] /(n) ledge/
岩狸 [いわだぬき] /(n) (uk) hyrax/
岩虫 [いわむし] /(n) (uk) Marphysa sanguinea (species of eunicid worm)/
岩跳びペンギン [いわとびペンギン] /(n) (uk) rockhopper penguin (Eudyptes chrysocome)/
岩跳ペンギン [いわとびペンギン] /(n) (uk) rockhopper penguin (Eudyptes chrysocome)/
岩田帯 [いわたおび] /(n) belt used for back support after fifth month of pregnancy/
岩登り [いわのぼり] /(n) rock climbing/
岩頭 [がんとう] /(n) top of a massive rock/
岩肌 [いわはだ] /(n) bare rock/rock surface/rock face/
岩板 [がんばん] /(n) rock plate/
岩盤 [がんばん] /(n) bedrock/(P)/
岩盤風呂 [がんばんぶろ] /(n) stone sauna/facility where one rests on towels laid on a slab of heated natural rock/
岩盤浴 [がんばんよく] /(n) stone sauna/facility where one rests on towels laid on a slab of heated natural rock/
岩飛びペンギン [いわとびペンギン] /(n) (uk) rockhopper penguin (Eudyptes chrysocome)/
岩飛ペンギン [いわとびペンギン] /(n) (uk) rockhopper penguin (Eudyptes chrysocome)/
岩風呂 [いわぶろ] /(n) bathtub or onsen made of (or surrounded by) rocks/
岩壁 [がんぺき] /(n) wall of rock/rock cliff/rock face/
岩弁慶 [いわべんけい] /(n) (uk) roseroot (Rhodiola rosea)/
岩脈 [がんみゃく] /(n) dike/
岩綿 [がんめん] /(n) rock wool/
岩面 [がんめん] /(n) rock face/
岩面高 [いわおもだか] /(n) (uk) Pyrrosia tricuspis (species of felt fern)/
岩流圏 [がんりゅうけん] /(n) (obsc) asthenosphere/
岩蓮華 [いわれんげ] /(n) (uk) Chinese dunce cap (species of succulent plant, Orostachys iwarenge)/
岩漿 [がんしょう] /(n) magma/
岩菲 [がんぴ] /(n) (uk) Lychnis coronata/
岩鷓鴣 [いわしゃこ] /(n) (uk) chukar partridge (Alectoris chukar)/
翫ぶ [もてあそぶ] /(v5b,vt) (1) (uk) to play with (a toy, one's hair, etc.)/to fiddle with/(2) to toy with (one's emotions, etc.)/to trifle with/(3) to do with something as one pleases/(4) to appreciate/
贋 [にせ] /(adj-no,n) (1) imitation/fake/phony/counterfeit/forged/bogus/sham/(pref) (2) pseudo-/
贋い [まがい] /(iK) (n) imitation/sham/-like/
贋アカシア [にせアカシア] /(n) black locust/robinia pseudoacacia/
贋印 [にせいん] /(n) forged seal/
贋金 [にせがね] /(n) counterfeit money/
贋作 [がんさく] /(n,vs) fake/sham/counterfeit/
贋札 [がんさつ] /(n) counterfeit paper money/forged document/
贋札 [にせさつ] /(n) counterfeit paper money/forged document/
贋札 [にせふだ] /(n) counterfeit paper money/forged document/
贋者 [にせもの] /(n) imposter/liar/
贋手紙 [にせてがみ] /(n) forged letter/
贋首 [にせくび] /(n) falsified severed head/
贋造 [がんぞう] /(n,vs) counterfeiting/forgery/fabrication/
贋造紙幣 [がんぞうしへい] /(n) counterfeit paper money/
贋物 [がんぶつ] /(n,adj-no) spurious article/forgery/counterfeit/imitation/sham/
贋物 [にせもの] /(n,adj-no) spurious article/forgery/counterfeit/imitation/sham/
雁 [かり] /(n) (1) wild goose/
雁 [かりがね] /(n) (1) wild goose/(2) cry of the wild goose/
雁 [がん] /(n) (1) wild goose/(P)/
雁が音 [かりがね] /(n) (1) wild goose/(2) cry of the wild goose/
雁の使い [かりのつかい] /(n) (a) letter/
雁の文 [かりのふみ] /(n) (a) letter/
雁の便り [かりのたより] /(n) (a) letter/
雁擬き [がんもどき] /(n) deep-fried tofu mixed with thinly sliced vegetables/
雁金 [かりがね] /(n) (1) wild goose/(2) cry of the wild goose/
雁金草 [かりがねそう] /(n) (uk) blue spirea (Caryopteris divaricata)/blue mist shrub/
雁行 [がんこう] /(n,vs) the flight formation of geese/lining up shoulder to shoulder like flying geese/leading out/
雁骨 [かりがねぼね] /(n) scapula/shoulder blade/
雁字搦みに [がんじがらみに] /(adv) (bind) firmly/
雁字搦め [がんじがらめ] /(adv) bound hand and foot/hedged in (e.g. by restrictions)/immobile/
雁首 [かりくび] /(n) (1) (something resembling a) goose's neck/(2) glans/head of a penis/
雁首 [がんくび] /(n) (1) head of a pipe, incl. the bowl and stem attachment/(2) (col) neck/head/
雁首そろえる [がんくびそろえる] /(exp,v1) to sit silently at a meeting/
雁首をそろえる [がんくびをそろえる] /(exp,v1) to sit silently at a meeting/
雁首を揃える [がんくびをそろえる] /(exp,v1) to sit silently at a meeting/
雁首揃える [がんくびそろえる] /(exp,v1) to sit silently at a meeting/
雁書 [がんしょ] /(n) letter/
雁垂れ [がんだれ] /(n) (uk) kanji "cliff" radical/
雁草 [かりがねそう] /(n) (uk) blue spirea (Caryopteris divaricata)/blue mist shrub/
雁足 [がんそく] /(n) ostrich fern/Onoclea orientalis/
雁爪 [がんずめ] /(n) Japanese rake/
雁爪 [がんづめ] /(n) Japanese rake/
雁渡し [かりわたし] /(n) (obsc) northern wind in early autumn/
雁皮 [がんぴ] /(n) (1) (uk) Diplomorpha sikokiana (species of flowering plant)/(2) (abbr) paper made from the fibre of this plant/
雁皮紙 [がんぴし] /(n) traditional Japanese paper made from the fibre of plant species Diplomorpha sikokiana (high quality, glossy)/
雁木 [がんぎ] /(n) stepped pier/toothing gear/escapement/hooked stick/zigzag/
雁木えい [がんぎえい] /(n) (uk) skate (Rajinidae spp., esp. the Kwangtung skate, Dipturus kwangtungensis)/
雁木車 [がんぎぐるま] /(n) escape wheel/pulley/
雁木鑢 [がんぎやすり] /(n) rasp/
雁来紅 [がんらいこう] /(n) tampala/Joseph's coat/Amaranthus tricolor/
雁来紅 [はげいとう] /(n) tampala/Joseph's coat/Amaranthus tricolor/
頑 [かたくな] /(adj-na) (uk) obstinate/
頑として [がんとして] /(exp,adv) firmly, stubbornly/
頑な [かたくな] /(adj-na) (uk) obstinate/(P)/
頑強 [がんきょう] /(adj-na,n) dogged/tenacious/stubborn/(P)/
頑愚 [がんぐ] /(adj-na,n) obstinate and foolish/
頑健 [がんけん] /(adj-na,n) robust health/able-bodied/
頑健無比 [がんけんむひ] /(n,adj-na) being of very robust health/
頑固 [がんこ] /(adj-na,n) stubbornness/obstinacy/(P)/
頑固一徹 [がんこいってつ] /(n,adj-na) stubborn/obstinate/sticking to one's views or decisions/
頑固親父 [がんこおやじ] /(n) stubborn (obstinate) father/pig-headed old man/
頑丈 [がんじょう] /(adj-na,n) solid/firm/stout/burly/strong/sturdy/(P)/
頑是 [がんぜ] /(n) distinction between right and wrong/
頑是ない [がんぜない] /(adj-i) innocent/helpless/
頑是無い [がんぜない] /(adj-i) innocent/helpless/
頑然 [がんぜん] /(adv-to,adj-t) (arch) resolute/
頑張って [がんばって] /(exp) hold on/go for it/keep at it/(P)/
頑張り [がんばり] /(n) tenacity/endurance/(P)/
頑張り屋 [がんばりや] /(n) someone who battles on in difficult circumstances/
頑張る [がんばる] /(ateji) (v5r,vi) (1) to persevere/to persist/to keep at it/to hang on/to hold out/to do one's best/(2) to insist that/to stick to (one's opinion)/(3) to remain in a place/to stick to one's post/to refuse to budge/(P)/
頑冥 [がんめい] /(adj-na,n) bigotry/stubbornness/obstinacy/
頑冥不霊 [がんめいふれい] /(n,adj-na) stubborn and ignorant/
頑迷 [がんめい] /(adj-na,n) bigotry/stubbornness/obstinacy/
頑迷固陋 [がんめいころう] /(n,adj-na) obstinate/stubborn/hard-headed/being incapable of making sound judgments because of a narrow, inflexible and obstinate mentality/
頑癬 [がんせん] /(n) ringworm (of the groin)/jock itch/tinea cruris/
頑癬 [たむし] /(n) ringworm (of the body)/tinea corporis/
頑陋 [がんろう] /(adj-na,n) stubborn and mean/obstinate and bigoted/
顔 [かお] /(n) face (person)/(P)/
顔 [かんばせ] /(n) (1) (arch) countenance/visage/(2) face/honor (honour)/dignity/
顔いろ [かおいろ] /(n) (1) complexion/one's colour/one's color/(2) countenance/expression/one's face/
顔から火が出る [かおからひがでる] /(v1) to be extremely embarrassed/to burn with shame/
顔がきく [かおがきく] /(exp,v5k) to have a lot of influence/to have clout/to be well known/
顔が広い [かおがひろい] /(exp) well connected/well known/having a large, diverse circle of acquaintances/
顔が利く [かおがきく] /(exp,v5k) to have a lot of influence/to have clout/to be well known/
顔が立つ [かおがたつ] /(exp,v5t) to save one's face/to maintain one's status/
顔つき [かおつき] /(n) (outward) looks/features/face/countenance/expression/
顔つなぎ [かおつなぎ] /(n,vs) getting or keeping acquainted with/keeping or establishing useful contacts/
顔なじみ [かおなじみ] /(n) acquaintance/friend/familiar face/(P)/
顔に紅葉を散らす [かおにもみじをちらす] /(exp,v5s) (for a woman) to blush/
顔に泥を塗る [かおにどろをぬる] /(exp,v5r) to bring disgrace (dishonor, dishonour) on/to fling mud at/to put to shame/
顔の広い [かおのひろい] /(adj-i) well known/well connected/
顔の作り [かおのつくり] /(n) features of the face/
顔ばせ [かおばせ] /(n) (arch) countenance/visage/
顔ぶれ [かおぶれ] /(n) (1) personnel/members/lineup (of a team)/roster/cast (of a play)/(2) announcement of next day's match-ups (sumo)/(P)/
顔をしかめる [かおをしかめる] /(exp,v1) to grimace/to frown/
顔をそろえる [かおをそろえる] /(exp,v1) to be in complete attendance/
顔をつぶす [かおをつぶす] /(exp,v5s) to make somebody lose face/to cause loss of face/to embarrass someone/to make someone look foolish/
顔をなおす [かおをなおす] /(exp,v5s) to touch up one's makeup/
顔を掩う [かおをおおう] /(exp,v5u) to cover one's face/
顔を繋ぐ [かおをつなぐ] /(exp,v5g) to keep up acquaintance/
顔を見せる [かおをみせる] /(exp,v1) to make an appearance/
顔を合わせる [かおをあわせる] /(exp,v1) to meet/to face someone/
顔を出す [かおをだす] /(exp,v5s) to turn up/to make an appearance/to put in an appearance/
顔を上げる [かおをあげる] /(exp,v1) to raise one's face/to lift one's head/to raise one's eyes/
顔を赤らめる [かおをあからめる] /(exp,v1) to change color/to change colour/to blush/
顔を揃える [かおをそろえる] /(exp,v1) to be in complete attendance/
顔を貸す [かおをかす] /(exp,v5s) to grant a person a moment/
顔を直す [かおをなおす] /(exp,v5s) to touch up one's makeup/
顔を潰される [かおをつぶされる] /(exp,v1) to lose face/to be put out of countenance/
顔を潰す [かおをつぶす] /(exp,v5s) to make somebody lose face/to cause loss of face/to embarrass someone/to make someone look foolish/(P)/
顔を曇らす [かおをくもらす] /(v5s,exp) to darken one's face/to assume a gloomy look/
顔を背ける [かおをそむける] /(exp,v1) to turn one's face away/
顔を売る [かおをうる] /(exp,v5r) to make oneself known to the public/to become popular/to gain influence/
顔を付き合わせる [かおをつきあわせる] /(exp,v1) to meet face to face/
顔を覆う [かおをおおう] /(exp,v5u) to cover one's face/
顔を利かす [かおをきかす] /(exp,v5s) to use one's influence/
顔を立てる [かおをたてる] /(exp,v1) to save face/
顔を顰める [かおをしかめる] /(exp,v1) to grimace/to frown/
顔アップ [かおアップ] /(n) close-up of a face/
顔パス [かおパス] /(n) free admission for being well known/
顔汚し [かおよごし] /(n) a disgrace or dishonor (dishonour)/
顔画像 [かおがぞう] /(n) facial image/
顔形 [かおかたち] /(n) features/looks/
顔繋ぎ [かおつなぎ] /(n,vs) getting or keeping acquainted with/keeping or establishing useful contacts/
顔見せ [かおみせ] /(n) making an appearance/making one's debut/
顔見世 [かおみせ] /(n) making an appearance/making one's debut/
顔見知り [かおみしり] /(n) acquaintance/(P)/
顔向け [かおむけ] /(n) face another/
顔合せ [かおあわせ] /(n,vs) meeting together/introduction/
顔合わせ [かおあわせ] /(n,vs) meeting together/introduction/(P)/
顔合わせる [かおあわせる] /(v1) to meet/to face someone/
顔黒 [がんぐろ] /(n,vs) blackening the body (name given to young Japanese girls who have tanned skin, bleached hair and wear heavy make-up)/
顔作り [かおづくり] /(n) shape of the head/using make-up/
顔写真 [かおじゃしん] /(n) photographic portrait/
顔射 [がんしゃ] /(n,vs) ejaculation onto partner's face/
顔謝 [がんしゃ] /(n,vs) ejaculation onto partner's face/
顔出し [かおだし] /(n,vs) putting in an appearance/showing one's face/
顔色 [かおいろ] /(n) (1) complexion/one's colour/one's color/(2) countenance/expression/one's face/(P)/
顔色 [がんしょく] /(n) (1) complexion/one's colour/one's color/(2) countenance/expression/one's face/
顔色がわるい [かおいろがわるい] /(exp,adj-i) looking pale/looking unwell/
顔色が悪い [かおいろがわるい] /(exp,adj-i) looking pale/looking unwell/
顔触れ [かおぶれ] /(n) (1) personnel/members/lineup (of a team)/roster/cast (of a play)/(2) announcement of next day's match-ups (sumo)/(P)/
顔着 [がんちゃく] /(n) (sl) face landing (used by BMX riders)/
顔馴染 [かおなじみ] /(n) acquaintance/friend/familiar face/
顔馴染み [かおなじみ] /(n) acquaintance/friend/familiar face/
顔認識 [かおにんしき] /(n,vs) facial recognition (the act of)/
顔認証 [かおにんしょう] /(n,vs) authentication by facial recognition/
顔付 [かおつき] /(io) (n) (outward) looks/features/face/countenance/expression/
顔付き [かおつき] /(n) (outward) looks/features/face/countenance/expression/(P)/
顔負け [かおまけ] /(n,vs) embarrassed/ashamed/(P)/
顔文字 [かおもじ] /(n) smiley (face made up of characters)/emoticon/
顔貌 [かおかたち] /(n) features/looks/
顔貌 [がんぼう] /(n) features/looks/
顔面 [がんめん] /(n,adj-no) face (of person)/(P)/
顔面筋 [がんめんきん] /(n) facial muscle/
顔面紅潮 [がんめんこうちょう] /(n) one's face turning red/with a flush on one's face/
顔面骨 [がんめんこつ] /(n) facial bone/
顔面神経 [がんめんしんけい] /(n) facial nerve/
顔面蒼白 [がんめんそうはく] /(n,adj-no) one's face turning pale (ashen)/the color being drained from one's face/
顔役 [かおやく] /(n) influential man/boss/
顔容 [かおかたち] /(n) features/looks/
顔容 [がんよう] /(n) features/looks/
顔立 [かおだち] /(io) (n) looks/features/
顔立ち [かおだち] /(n) looks/features/(P)/
顔立て [かおだて] /(n) looks/features/
顔料 [がんりょう] /(n) pigment/colorant/
願 [がん] /(n) prayer/wish/vow/(P)/
願い [ねがい] /(n) desire/wish/request/prayer/petition/application/(P)/
願いごと [ねがいごと] /(n) wish/dream/prayer/one's desire/
願い下げ [ねがいさげ] /(n) (1) cancellation/withdrawal/(2) asking to be excused/begging off/not taking/refusing/
願い下げる [ねがいさげる] /(v1,vt) to withdraw a request/
願い求める [ねがいもとめる] /(v1) to entreat/
願い事 [ねがいごと] /(n) wish/dream/prayer/one's desire/
願い主 [ねがいぬし] /(n) applicant/person who prays/
願い出 [ねがいで] /(n) application/petition/
願い出る [ねがいでる] /(v1,vt) to apply for/
願う [ねがう] /(v5u,vt) (1) to desire/to wish/to hope/(2) to beg/to request/to implore/to pray/(aux-v) (3) to have something done for oneself/(P)/
願ったり叶ったり [ねがったりかなったり] /(n) everything working out as desired/
願わくは [ねがわくは] /(adv) I pray/I wish/(P)/
願わくば [ねがわくば] /(adv) I pray/I wish/
願わくわ [ねがわくわ] /(ik) (exp) I pray/
願わしい [ねがわしい] /(adj-i) desirable/
願をかける [がんをかける] /(exp,v1) to make a wish (to a god)/
願を掛ける [がんをかける] /(exp,v1) to make a wish (to a god)/
願意 [がんい] /(n) object of an application/
願解き [がんほどき] /(n) release from a vow/
願掛 [がんかけ] /(n) Shinto or Buddhist prayer/
願掛 [がんがけ] /(n) Shinto or Buddhist prayer/
願掛け [がんかけ] /(n) Shinto or Buddhist prayer/
願掛け [がんがけ] /(n) Shinto or Buddhist prayer/
願事 [ねがいごと] /(n) wish/dream/prayer/one's desire/
願主 [がんしゅ] /(n) temple petitioner/
願酒 [がんしゅ] /(n) praying at a temple or shrine for help to stop drinking/
願書 [がんしょ] /(n) written application or petition/application form/(P)/
願状 [がんじょう] /(n) written request/
願人坊主 [がんにんぼうず] /(n) priest who was also a street performer and performed prayers and other religious duties for the sake of other people/
願文 [がんもん] /(n) Shinto or Buddhist prayer (read)/
願望 [がんぼう] /(n,vs,adj-no) desire/wish/aspiration/(P)/
願望 [がんもう] /(n,vs,adj-no) desire/wish/aspiration/
願望充足 [がんぼうじゅうそく] /(n) wish fulfillment/wish fulfilment/
願面 [がんめん] /(n) the front page of an application blank/
願立て [がんだて] /(n,vs) Shinto or Buddhist prayer/
願力 [がんりき] /(n) the power of prayer (in Buddhism)/
企て [くわだて] /(n) plan/attempt/undertaking/
企てる [くわだてる] /(v1,vt) to plan/to plot/to propose/to design/to intend/to contemplate/to attempt/to undertake/(P)/
企み [たくらみ] /(n) plan/design/artifice/trick/intrigue/(P)/
企む [たくらむ] /(v5m,vt) (uk) to scheme/to plan/to play a trick/to invent/to conspire/to frame up/(P)/
企画 [きかく] /(n,vs) planning/project/plan/design/(P)/
企画課 [きかくか] /(n) planning section/
企画室 [きかくしつ] /(n) planning office/(P)/
企画書 [きかくしょ] /(n) proposal (business)/
企画性 [きかくせい] /(n) ability to make plans/
企画部 [きかくぶ] /(n) planning department/
企画力 [きかくりょく] /(n) ability to make plans/planning ability/
企劃 [きかく] /(n,vs) planning/project/plan/design/
企及 [ききゅう] /(n,vs) attempt/
企業 [きぎょう] /(n) enterprise/undertaking/corporation/business/(P)/
企業の社会的責任 [きぎょうのしゃかいてきせきにん] /(n) corporate social responsibility/CSR/
企業イメージ [きぎょうイメージ] /(n) corporate image/
企業トップ [きぎょうトップ] /(n) senior executives/corporate management/
企業ネットワーク [きぎょうネットワーク] /(n) (comp) enterprise network/
企業プラン [きぎょうプラン] /(n) corporate plan (business)/
企業化 [きぎょうか] /(n,vs) commercialization/commercialisation/
企業家 [きぎょうか] /(n) industrialist/entrepreneur/(P)/
企業会計 [きぎょうかいけい] /(n) corporate accounting/
企業会計原則 [きぎょうかいけいげんそく] /(n) corporate accounting principles/
企業活動 [きぎょうかつどう] /(n) corporate activities/business operations/
企業間 [きぎょうかん] /(adj-no) business-to-business/inter-business/inter-enterprise/B2B/
企業間信用 [きぎょうかんしんよう] /(n) inter-business credit/
企業危機管理 [きぎょうききかんり] /(n) corporate risk management/
企業業績 [きぎょうぎょうせき] /(n) corporate earnings/corporate performance/
企業行動 [きぎょうこうどう] /(n) corporate activity/
企業合同 [きぎょうごうどう] /(n) (a) trust/
企業合併 [きぎょうがっぺい] /(n) merger/
企業債務 [きぎょうさいむ] /(n) corporate debt/
企業在庫 [きぎょうざいこ] /(n) business inventory/
企業実体 [きぎょうじったい] /(n) business entity/accounting entity/
企業舎弟 [きぎょうしゃてい] /(n) front company (for an organized crime operation)/
企業者 [きぎょうしゃ] /(n) industrialist/
企業収益 [きぎょうしゅうえき] /(n) corporate earnings/corporate profits/
企業情報ポータル [きぎょうじょうほうポータル] /(n) (comp) Enterprise Information Portal/
企業心 [きぎょうしん] /(n) enterprising spirit/
企業整備 [きぎょうせいび] /(n) curtailment of business operations/
企業責任 [きぎょうせきにん] /(n) corporate responsibility/
企業戦士 [きぎょうせんし] /(n) corporate warrior (exceptionally dedicated and hard-working employee)/
企業戦略 [きぎょうせんりゃく] /(n) corporate strategy (business)/
企業体質 [きぎょうたいしつ] /(n) financial content/
企業倒産 [きぎょうとうさん] /(n) corporate bankruptcy/
企業投資 [きぎょうとうし] /(n) corporate spending/
企業統治 [きぎょうとうち] /(n) corporate governance/
企業内 [きぎょうない] /(n) company-internal/
企業内教育 [きぎょうないきょういく] /(n) corporate in-service training/
企業内情報ポータル [きぎょうないじょうほうポータル] /(n) (comp) Enterprise Information Portal/
企業内組合 [きぎょうないくみあい] /(n) enterprise union/company union/in-house union/
企業年金 [きぎょうねんきん] /(n) company pension/
企業年金制度 [きぎょうねんきんせいど] /(n) corporate pension plan/
企業買収 [きぎょうばいしゅう] /(n) corporate acquisition (buyout)/
企業犯罪 [きぎょうはんざい] /(n) corporate crime/
企業秘密 [きぎょうひみつ] /(n,adj-no) company or industrial secret/trade secret/
企業風土 [きぎょうふうど] /(n) corporate culture/
企業別組合 [きぎょうべつくみあい] /(n) enterprise union/company union/in-house union/
企業法務部 [きぎょうほうむぶ] /(n) corporate legal office/corporate law office/corporate legal department/
企業有地 [きぎょうゆうち] /(n) commercially owned land/
企業倫理 [きぎょうりんり] /(n) corporate ethics/
企業連合 [きぎょうれんごう] /(n) cartel/syndicate/
企図 [きと] /(n,vs) plan/project/scheme/(P)/
企望 [きぼう] /(n,vs) looking forward to/hoping for/
企鵝 [きが] /(n) (obsc) penguin/
伎 [ぎ] /(iK) (n) technique/art/
伎 [わざ] /(iK) (n) technique/art/
伎楽 [ぎがく] /(n) ancient music/
伎芸 [ぎげい] /(n) art of kabuki/
伎女 [ぎじょ] /(n) woman entertainer/prostitute/
伎能 [ぎのう] /(iK) (n) technical skill/ability/capacity/
伎倆 [ぎりょう] /(n) ability/competency/talent/skill/capacity/
伎癢 [ぎよう] /(n) itching to show off one's abilities/
危 [き] /(n) (1) danger/(2) Chinese "rooftop" constellation (one of the 28 mansions)/
危うい [あやうい] /(adj-i) (1) dangerous/risky/hazardous/perilous/precarious/(2) in danger/in jeopardy/critical/grave/at risk/(3) uncertain/unreliable/insecure/unsteady/doubtful/(4) close (i.e. a close call)/narrow/(P)/
危うく [あやうく] /(adv) (1) barely/narrowly/(2) almost/nearly/(P)/
危ぐ [きぐ] /(n,vs) fear/misgivings/
危ない [あぶない] /(adj-i) (1) dangerous/risky/hazardous/perilous/precarious/(2) in danger/in jeopardy/critical/grave/at risk/(3) uncertain/unreliable/insecure/unsteady/doubtful/(4) close (i.e. a close call)/narrow/(int) (5) look out!/watch out!/(P)/
危ない橋を渡る [あぶないはしをわたる] /(exp,v5r) to tread on thin ice (lit: to cross a dangerous bridge)/to go out on a limb/to walk a tightrope/to take risks/
危ながる [あぶながる] /(v5r,vi) to be afraid of/to feel uneasy about/to shrink from/
危なく [あぶなく] /(adv) nearly/almost/on the point of (doing)/
危なげない [あぶなげない] /(adj-i) safe/certain/
危なっかしい [あぶなっかしい] /(adj-i) dangerous/critical/grave/uncertain/unreliable/limping/narrow/close/watch out/
危な絵 [あぶなえ] /(n) suggestive or indecent picture/
危な危な [あぶなあぶな] /(adv) timidly/
危な気 [あぶなげ] /(adj-na,n) possibility of danger/
危ぶむ [あやぶむ] /(v5m) to fear/to have misgivings/to be doubtful/to mistrust/(P)/
危める [あやめる] /(v1,vt) to wound/to murder/
危絵 [あぶなえ] /(io) (n) suggestive or indecent picture/
危害 [きがい] /(n) injury/harm/danger/(P)/
危害を加える [きがいをくわえる] /(exp,v1) to harm/to cause harm to/
危巌 [きがん] /(n) steep, towering rock/
危岩 [きがん] /(n) steep, towering rock/
危機 [きき] /(n,adj-no) crisis/(P)/
危機を脱する [ききをだっする] /(exp,vs-s) to escape danger/
危機一発 [ききいっぱつ] /(iK) (exp,n) by a hair's breath/in the nick of time/touch and go/close call/critical moment/
危機一髪 [ききいっぱつ] /(exp,n) by a hair's breath/in the nick of time/touch and go/close call/critical moment/
危機感 [ききかん] /(n) sense of impending crisis/sense of danger/
危機管理 [ききかんり] /(n,adj-no) crisis management/
危機管理委員会 [ききかんりいいんかい] /(n) crisis committee/
危機言語 [ききげんご] /(n) endangered language/
危機神学 [ききしんがく] /(n) crisis theology/
危機打者 [ききだしゃ] /(n) pinch hitter/
危機的 [ききてき] /(adj-na) (comp) critical/
危機突破 [ききとっぱ] /(n) crisis relief/
危気 [あぶなげ] /(adj-na,n) possibility of danger/
危疑 [きぎ] /(n,vs) fear/misgivings/
危急 [ききゅう] /(n) emergency/(P)/
危急存亡 [ききゅうそんぼう] /(n) life-and-death matter/an emergency or crisis where survival is threatened/
危急存亡の時 [ききゅうそんぼうのとき] /(n) crisis/critical moment/critical time/
危急存亡の秋 [ききゅうそんぼうのとき] /(n) crisis/critical moment/critical time/
危局 [ききょく] /(n) crisis/
危極 [ききょく] /(n) crisis/grave danger/serious depression/
危虞 [きぐ] /(iK) (n,vs) fear/misgivings/
危険 [きけん] /(n,adj-no) (1) danger/peril/hazard/(adj-na) (2) dangerous/hazardous/(P)/
危険を厭わない [きけんをいとわない] /(adj-i) do not mind running a risk/
危険を冒す [きけんをおかす] /(exp,v5s) to brave (defy) a danger/
危険域 [きけんいき] /(n) (comp) critical section/
危険因子 [きけんいんし] /(n) risk factor/
危険運転致死罪 [きけんうんてんちしざい] /(n) vehicular manslaughter/
危険角度 [きけんかくど] /(n) critical angle/
危険極まる [きけんきわまる] /(exp,v5r) extremely dangerous/
危険思想 [きけんしそう] /(n) dangerous thoughts/
危険視 [きけんし] /(n,vs) regarded as dangerous/
危険信号 [きけんしんごう] /(n) danger signal/red light/
危険人物 [きけんじんぶつ] /(n) dangerous character/
危険性 [きけんせい] /(n) riskiness/danger/
危険地域 [きけんちいき] /(n) (comp) critical section/
危険地帯 [きけんちたい] /(n) danger zone/
危険日 [きけんび] /(n) dangerous day (one on which conception is likely to occur)/
危険負担 [きけんふたん] /(n) risk-bearing/
危険物 [きけんぶつ] /(n) hazardous materials/dangerous goods/explosives/combustibles/
危険防止 [きけんぼうし] /(n) hazard prevention/
危険領域 [きけんりょういき] /(n) (comp) critical area/region/
危坐 [きざ] /(n,vs) sitting up straight/
危座 [きざ] /(n,vs) sitting up straight/
危宿 [うみやめぼし] /(n) Chinese "rooftop" constellation (one of the 28 mansions)/
危地 [きち] /(n) dangerous position/peril/
危篤 [きとく] /(n,adj-no) critical illness/on the verge of death/(P)/
危篤状態 [きとくじょうたい] /(n) critical condition/
危難 [きなん] /(n) peril/danger/hazard/distress/
危弁 [きべん] /(n,adj-no) sophistry/sophism/chicanery/play on words/
危峰 [きほう] /(n) high, steep peak/
危殆 [きたい] /(n) danger/jeopardy/distress/
危惧 [きぐ] /(n,vs) fear/misgivings/(P)/
危懼 [きく] /(n,vs) fear/misgivings/
喜々 [きき] /(adj-t,adv-to) gleeful/joyful/
喜がる [よがる] /(v5r) to satisfy oneself/to feel satisfied/to be proud/
喜の字 [きのじ] /(n) 77th birthday/
喜ばしい [よろこばしい] /(adj-i) delightful/joyous/happy/(P)/
喜ばす [よろこばす] /(v5s) to delight/to give pleasure/(P)/
喜び [よろこび] /(n) joy/delight/rapture/pleasure/gratification/rejoicing/congratulations/felicitations/(P)/
喜びに輝く目 [よろこびにかがやくめ] /(n) eyes sparkling with joy/
喜び事 [よろこびごと] /(n) auspicious event/celebration/
喜び勇む [よろこびいさむ] /(v5m,vi) to be in high spirits/
喜ぶ [よろこぶ] /(v5b,vi) (1) to be delighted/to be glad/to be pleased/(2) to congratulate/(3) to gratefully accept/(P)/
喜んで [よろこんで] /(adv) with pleasure .../(P)/
喜雨 [きう] /(n) friendly shower/welcome rain/rain that comes after a drought/
喜悦 [きえつ] /(n,vs) joy/
喜歌う [よろこびうたう] /(v5u) to rejoice and sing/
喜歌劇 [きかげき] /(n) comic opera/
喜喜 [きき] /(adj-t,adv-to) gleeful/joyful/
喜劇 [きげき] /(n,adj-no) comedy/funny show/(P)/
喜劇映画 [きげきえいが] /(n) comic film/
喜捨 [きしゃ] /(n,vs) almsgiving/
喜寿 [きじゅ] /(n) 77th birthday/(P)/
喜色 [きしょく] /(n) glad countenance/joyful look/
喜色満面 [きしょくまんめん] /(exp) being all smiles with joy/
喜知次 [きちじ] /(n) (uk) broadbanded thornyhead/broadfin thornyhead/kichiji rockfish (Sebastolobus macrochir)/
喜怒 [きど] /(n) (1) (abbr) joy and anger/(2) human emotions/
喜怒哀楽 [きどあいらく] /(n) human emotions (joy, anger, pathos, and humor) (humour)/(P)/
喜望峰 [きぼうほう] /(n) Cape of Good Hope/
器 [うつわ] /(n) (1) bowl/vessel/container/(2) ability/capacity/calibre/caliber/(P)/
器 [き] /(suf) (1) device/instrument/(2) vessel/container/
器が小さい [うつわがちいさい] /(exp) intolerant (e.g. to others misbehaviour)/
器が大きい [うつわがおおきい] /(exp) tolerant (e.g. to others misbehaviour)/
器の小さい [うつわのちいさい] /(adj-i) intolerant (e.g. to others misbehaviour)/
器の大きい [うつわのおおきい] /(adj-i) tolerant (e.g. to others misbehaviour)/
器械 [きかい] /(n) (1) machine/mechanism/(2) instrument/appliance/apparatus/(P)/
器械運動 [きかいうんどう] /(n) apparatus gymnastics/gymnastics (esp. at school)/exercise using gymnastics equipment/
器械体操 [きかいたいそう] /(n) apparatus gymnastics/artistic gymnastics/
器楽 [きがく] /(n) instrumental music/(P)/
器楽曲 [きがくきょく] /(n) piece of instrumental music/
器官 [きかん] /(n,adj-no) organ (of body)/instrument/(P)/
器官なき身体 [きかんなきしんたい] /(exp,n) body without organs (philosophical concept)/BwO/
器機 [きき] /(n) machinery and tools/
器具 [きぐ] /(n) utensil/apparatus/implement/device/gadget/(P)/
器材 [きざい] /(n) tools and materials/equipment and materials/(P)/
器財 [きざい] /(n) tool/utensil/implement/
器質的 [きしつてき] /(adj-na) organic/
器物 [きぶつ] /(n) container/receptacle/ustensil/furniture/fixture/personal property (legal)/(P)/
器物損壊 [きぶつそんかい] /(n) (in law) property damage (not including ships, buildings, planes and documents)/
器用 [きよう] /(adj-na,n) skillful/handy/(P)/
器用貧乏 [きようびんぼう] /(adj-na,n) Jack of all trades and master of none/
器量 [きりょう] /(n) looks/features/personal beauty/
器量人 [きりょうじん] /(n) talented individual/
器量負け [きりょうまけ] /(n) too beautiful or talented for one's own good/
基 [き] /(n) (1) (chem) group/(2) (free) radical/(ctr) (3) counter for installed or mounted objects (e.g. stone lanterns, gravestones)/
基 [もと] /(n) (1) origin/source/(2) base/foundation/(3) cause/(4) ingredient/(5) original cost (or capital, principal, etc.)/(6) trunk/(7) first section of a waka/
基 [もとい] /(n) (1) (arch) basis/foundation/(2) cause/
基いて [もとづいて] /(exp) based on/grounded on/
基く [もとづく] /(io) (v5k,vi) to be grounded on/to be based on/to be due to/to originate from/
基ずく [もとずく] /(ik) (v5k) to be grounded on/to be based on/to be due to/to originate from/
基づく [もとづく] /(v5k,vi) to be grounded on/to be based on/to be due to/to originate from/(P)/
基因 [きいん] /(n,vs) cause/origin/
基音 [きおん] /(n) fundamental tone (note)/keynote/
基幹 [きかん] /(n) mainstay/nucleus/key/(P)/
基幹システム [きかんシステム] /(n) (comp) core system/
基幹業務 [きかんぎょうむ] /(n) mission-critical task/business-critical matter/
基幹業務データ [きかんぎょうむデータ] /(n) (comp) mission critical data/
基幹産業 [きかんさんぎょう] /(n) key industries/
基教 [ききょう] /(n) Christianity/
基金 [ききん] /(n,adj-no) fund/foundation/(P)/
基源 [きげん] /(n) origin/
基語 [きご] /(n) parent language/root word/
基剤 [きざい] /(n) base (e.g. of an ointment or suppository)/
基軸 [きじく] /(n) key/yardstick/criterion/standard/(P)/
基軸通貨 [きじくつうか] /(n) (principal) reserve currency/
基質 [きしつ] /(n) (1) substrate (i.e. in biochemistry)/(2) matrix (i.e. in biology)/stroma/
基準 [きじゅん] /(n,adj-no) standard/basis/criterion/norm/reference/datum/(P)/
基準にかなう [きじゅんにかなう] /(exp,v5u) to meet the standard/
基準に適う [きじゅんにかなう] /(exp,v5u) to meet the standard/
基準クロック [きじゅんんクロック] /(n) (comp) reference clock/
基準縁 [きじゅんえん] /(n) (comp) reference edge/guide edge/
基準化 [きじゅんか] /(n,vs) normalization/normalisation/
基準外賃金 [きじゅんがいちんぎん] /(n) extra wages/
基準形式 [きじゅんけいしき] /(n) (comp) (obs) canonical format/
基準試験 [きじゅんしけん] /(n) (comp) benchmark (test)/
基準時点 [きじゅんじてん] /(n) (comp) Epoch/
基準時点からの通算秒 [きじゅんじてんからのつうさんびょう] /(n) (comp) seconds since the Epoch/
基準値 [きじゅんち] /(n,adj-no) (comp) standard value/reference value/nominal value/
基準点 [きじゅんてん] /(n) point of reference/reference point/
基準内賃金 [きじゅんないちんぎん] /(n) fixed wages/
基準復帰記録 [きじゅんふっききろく] /(n) (comp) return-to-reference recording/
基準法 [きじゅんほう] /(n) basic law/(P)/
基準領域 [きじゅんりょういき] /(n) (comp) reference area/
基数 [きすう] /(n) cardinal number/base/radix/
基数１の補数 [きすういちのほすう] /(n) (comp) diminished radix complement/radix-minus-one complement/
基数の補数 [きすうのほすう] /(n) radix complement/
基数記数法 [きすうきすうほう] /(n) (comp) radix (numeration) system/radix notation/
基数表記法 [きすうひょうきほう] /(n) (comp) radix (numeration) system/radix notation/
基石 [きせき] /(n) cornerstone/foundation stone/
基線 [きせん] /(n) base line/
基礎 [きそ] /(n,adj-no) foundation/basis/(P)/
基礎医学 [きそいがく] /(n) basic medicine/
基礎科学 [きそかがく] /(n) basic science/
基礎岩盤 [きそがんばん] /(n) bed rock/foundation rock/
基礎技術 [きそぎじゅつ] /(n) basic technology/generic technology/
基礎研究 [きそけんきゅう] /(n) basic research/
基礎工学 [きそこうがく] /(n) foundation engineering/
基礎工事 [きそこうじ] /(n) foundation works/
基礎控除 [きそこうじょ] /(n) basic or standard deduction/
基礎構造 [きそこうぞう] /(n) infrastructure/
基礎試験 [きそしけん] /(n) preclinical study/basic study/
基礎体温 [きそたいおん] /(n) basal body temperature/
基礎代謝 [きそたいしゃ] /(n) basal metabolism/
基礎知識 [きそちしき] /(n) fundamental knowledge/
基礎的 [きそてき] /(adj-na) fundamental/basic/
基礎年金番号 [きそねんきんばんごう] /(n) universal pension number/common number shared between different pension schemes/basic pension number/
基礎率 [きそりつ] /(n) basic rate/base rate/
基層 [きそう] /(n) base layer/substratum/binder course/
基層文化 [きそうぶんか] /(n) deep culture/fundamental culture (term created by German folkorist Hans Naumann)/
基地 [きち] /(n) base/(P)/
基地外 [きちがい] /(iK) (n,adj-no) (1) (sens) madness/madman/(2) enthusiast/freak/junkie/
基地局 [きちきょく] /(n) base station/
基地閉鎖 [きちへいさ] /(n) (military) base closing/
基調 [きちょう] /(n) basis/keynote/(P)/
基調演説 [きちょうえんぜつ] /(n) (comp) keynote speech/
基調講演 [きちょうこうえん] /(n) keynote speech/
基底 [きてい] /(n,adj-no) base/ground/
基底アドレス [きていアドレス] /(n) (comp) base address/
基底アドレスレジスタ [きていアドレスレジスタ] /(n) (comp) base address register/
基底クラス [きていクラス] /(n) (comp) base class/
基底レジスタ [きていレジスタ] /(n) (comp) base resister/
基底解 [きていかい] /(n) (comp) basic solution/
基底構造 [きていこうぞう] /(n) deep structure/underlying structure/
基底状態 [きていじょうたい] /(n) ground state/
基底部門 [きていぶもん] /(n) base component/
基点 [きてん] /(n,adj-no) datum point/cardinal point/reference point/origin/
基督 [きりすと] /(ateji) (n,adj-no) (uk) Christ (por: Cristo)/
基督教 [きりすときょう] /(n) Christianity/
基板 [きばん] /(n) (comp) substrate/(computer) circuit board/
基盤 [きばん] /(n) foundation/basis/base/footing/(P)/
基盤ソフト [きばんソフト] /(n) software infrastructure/underlying software/
基盤岩 [きばんがん] /(n) bedrock/
基盤設備 [きばんせつび] /(n) (comp) basic equipment/
基付く [もとづく] /(v5k,vi) to be grounded on/to be based on/to be due to/to originate from/
基部 [きぶ] /(n,adj-no) base/foundation/
基本 [きほん] /(n,adj-no) foundation/basis/standard/(P)/
基本ＳＧＭＬ文書 [きほんエスジーエムエルぶんしょ] /(n) (comp) basic SGML document/
基本アクセスインターフェース [きほんアクセスインターフェース] /(n) (comp) basic rate interface/BRI/
基本アクセス法 [きほんアクセスほう] /(n) (comp) basic access method/
基本インターフェース [きほんインターフェース] /(n) (comp) basic interface/
基本ウィンドウ [きほんウィンドウ] /(n) (comp) base window/
基本コンセプト [きほんコンセプト] /(n) basic concept/
基本サービス [きほんサービス] /(n) (comp) basic service/
基本ソフト [きほんソフト] /(n) (comp) operating system/OS/
基本ソフトウェア [きほんソフトウェア] /(n) (comp) basic software/
基本ルール [きほんルール] /(n) basic rule/
基本外 [きほんがい] /(n) (comp) non-basic/
基本概念 [きほんがいねん] /(n) basic overview/basic concept/
基本割付け対象体 [きほんわりつけたいしょうたい] /(n) (comp) basic layout object/
基本機能 [きほんきのう] /(n) (comp) basic functionality/
基本記号 [きほんきごう] /(n) (comp) basic symbol/
基本技術 [きほんぎじゅつ] /(n) (comp) basic technology/
基本給 [きほんきゅう] /(n) base pay/
基本金 [きほんきん] /(n) fund/endowment/
基本型 [きほんがた] /(n) basic pattern/basic model/basic type/prototype/
基本型符号化 [きほんがたふごうか] /(n) (comp) primitive encoding/
基本形 [きほんけい] /(n) fundamental form/basic form/
基本形リンク制御 [きほんがたリンクせいぎょ] /(n) (comp) basic mode link control/
基本形式 [きほんけいしき] /(n) (comp) basic format/
基本権 [きほんけん] /(n) fundamental right (legal)/fundamental human right/
基本原則 [きほんげんそく] /(n) fundamental principle/basic principle/general principle/
基本原理 [きほんげんり] /(n) fundamental idea/basic concept/
基本五文型 [きほんごぶんけい] /(n) (ling) the five basic sentence structures (SV, SVC, SVO, SVOO, SVOC)/
基本語 [きほんご] /(n) basic vocabulary item/
基本構成部品 [きほんこうせいぶひん] /(n) (comp) basic component/
基本項目 [きほんこうもく] /(n) (comp) elementary item/
基本合意 [きほんごうい] /(n) basic agreement/
基本産業 [きほんさんぎょう] /(n) basic industries/
基本周波数 [きほんしゅうはすう] /(n) fundamental frequency/
基本情報 [きほんじょうほう] /(n) basic information/
基本条件 [きほんじょうけん] /(n) basic conditions/
基本状態 [きほんじょうたい] /(n) (comp) basic state/basic status/
基本数 [きほんすう] /(n) monoploid number/
基本制御プログラム [きほんせいぎょプログラム] /(n) (comp) BCP/Basic Control Program/
基本設計 [きほんせっけい] /(n) baseline design/preliminary design/basic design/
基本相互接続試験 [きほんそうごせつぞくしけん] /(n) (comp) basic interconnection tests/
基本測定単位 [きほんそくていたんい] /(n) (comp) basic measurement unit/
基本多言語面 [きほんたげんごめん] /(n) (comp) basic multi-lingual plane/BMP/
基本単位 [きほんたんい] /(n) base unit (metre, etc.)/standard unit/
基本値 [きほんち] /(n) (comp) basic value/
基本的 [きほんてき] /(adj-na) fundamental/standard/basic/(P)/
基本的に [きほんてきに] /(adv) basically/fundamentally/
基本的権利 [きほんてきけんり] /(n) basic right/fundamental right/
基本的人権 [きほんてきじんけん] /(n) fundamental human rights/
基本電話サービス [きほんでんわサービス] /(n) (comp) basic telephone service/
基本入出力システム [きほんにゅうしゅつりょくシステム] /(n) (comp) basic input-output system/BIOS/
基本物理表現 [きほんぶつりひょうげん] /(n) (comp) basic physical rendition/PD PR/
基本文 [きほんぶん] /(n) (comp) basic statement/
基本文書型 [きほんぶんしょがた] /(n) (comp) base document type/
基本文書要素 [きほんぶんしょようそ] /(n) (comp) base document element/
基本変数 [きほんへんすう] /(n) (comp) basic variable/
基本方針 [きほんほうしん] /(n) basic policy/fundamental policy/fundamental plan of action/
基本法 [きほんほう] /(n) fundamental law/basic (organic) law/
基本名 [きほんめい] /(n) (comp) primitive name/
基本目標 [きほんもくひょう] /(n) (comp) basic objective/
基本要素の表示様相 [きほんようそのひょうじようそう] /(n) (comp) aspects of primitives/
基本要素属性 [きほんようそぞくせい] /(n) (comp) primitive attribute/
基本理念 [きほんりねん] /(n) basic principle/fundamental principle/
基本料金 [きほんりょうきん] /(n) basic rate (i.e. excluding optional service fees, usage charges, etc.)/basic charge/base cost/base price/(P)/
基本論理対象体 [きほんろんりたいしょうたい] /(n) (comp) basic logical object/
奇 [き] /(adj-na,n) strange/unconventional/
奇々怪々 [ききかいかい] /(adj-na,n) very strange/bizarre/weird/mysterious/
奇しき [くしき] /(adj-pn) strange/mysterious/queer/
奇しくも [くしくも] /(adv) strangely/oddly/miraculously/mysteriously/
奇っ怪 [きっかい] /(adj-na,n) strange/wonderful/weird/outrageous/mysterious/
奇なる [きなる] /(adj-f) odd/strange/eccentric/
奇をてらう [きをてらう] /(exp,v5u) to make a display of one's originality (eccentricity)/to deliberately act oddly (e.g. to get attention)/
奇を衒う [きをてらう] /(exp,v5u) to make a display of one's originality (eccentricity)/to deliberately act oddly (e.g. to get attention)/
奇異 [きい] /(adj-na,n,adj-no) odd/strange/wonderful/(P)/
奇縁 [きえん] /(n) strange coincidence/
奇貨 [きか] /(n) (1) curiosity/rare item/rarity/(2) rare opportunity which could be beneficial/
奇貨可居 [きかおくべし] /(exp) You must seize every golden opportunity/Strike while the iron is hot/When you find a rare good buy, seize upon it for a future sale at a much higher price/
奇貨居くべし [きかおくべし] /(exp) You must seize every golden opportunity/Strike while the iron is hot/When you find a rare good buy, seize upon it for a future sale at a much higher price/
奇怪 [きかい] /(adj-na,n) strange/wonderful/weird/outrageous/mysterious/(P)/
奇怪 [きっかい] /(adj-na,n) strange/wonderful/weird/outrageous/mysterious/
奇怪しい [おかしい] /(iK) (adj-i) (1) (uk) funny/amusing/comical/laughable/ridiculous/(2) (uk) strange/odd/funny/peculiar/weird/unusual/eccentric/(3) (uk) improper/unsuitable/unbecoming/(4) (uk) suspicious/
奇怪千万 [きかいせんばん] /(n,adj-na) very strange (mysterious, weird)/bizarre/monstrous/outrageous/
奇怪千万 [きっかいせんばん] /(n,adj-na) very strange (mysterious, weird)/bizarre/monstrous/outrageous/
奇観 [きかん] /(n) wonderful sight/
奇関数 [きかんすう] /(n) (math) odd function/function whose graph has symmetry about the origin/
奇巌 [きがん] /(n) strangely shaped rocks/massive rock of unusual shape/
奇岩 [きがん] /(n) strangely shaped rocks/massive rock of unusual shape/
奇岩怪石 [きがんかいせき] /(n) strangely shaped rocks and bizarre stones/
奇奇怪怪 [ききかいかい] /(adj-na,n) very strange/bizarre/weird/mysterious/
奇矯 [ききょう] /(adj-na,n) eccentric/
奇矯な癖 [ききょうなへき] /(n) eccentric habit/
奇偶 [きぐう] /(n) odd and even numbers/
奇偶検査 [きぐうけんさ] /(n) (comp) parity check/
奇偶検査ビット [きぐうけんさビット] /(n) (comp) parity bit/
奇遇 [きぐう] /(adj-na,n,adj-no) unexpected meeting/
奇遇性 [きぐうせい] /(n) (comp) parity/
奇形 [きけい] /(n,adj-no) (1) birth defect/deformity/malformation/(2) misshapenness/
奇形児 [きけいじ] /(n) deformed child/
奇形腫 [きけいしゅ] /(n) teratoma/teratocarcinoma/teratoid tumor/
奇計 [きけい] /(n) clever scheme/
奇警 [きけい] /(adj-na,n) witty/original/
奇古 [きこ] /(n) (obsc) old and strange/
奇功 [きこう] /(n) outstanding achievement/signal achievement/
奇効 [きこう] /(n) remarkable effect/
奇行 [きこう] /(n) eccentricities/
奇骨 [きこつ] /(n) eccentric/
奇才 [きさい] /(n) genius/
奇祭 [きさい] /(n) strange festival/festival with bizarre or unusual ritual/
奇策 [きさく] /(n) clever scheme/
奇策縦横 [きさくじゅうおう] /(n) ingenious scheme/
奇手 [きしゅ] /(n) surprise move/
奇習 [きしゅう] /(n) strange custom/
奇襲 [きしゅう] /(n,vs,adj-no) surprise attack/(P)/
奇襲攻撃 [きしゅうこうげき] /(n) surprise attack/ambush/
奇術 [きじゅつ] /(n) magic/conjuring/sleight of hand/legerdemain/(P)/
奇術師 [きじゅつし] /(n) conjurer/magician/juggler/illusionist/
奇書 [きしょ] /(n) unusual book/
奇勝 [きしょう] /(n) beauty spot/unexpected victory/victory by uncommon stratagem/
奇人 [きじん] /(n) queer fellow/odd fellow/eccentric person/crank/oddball/
奇瑞 [きずい] /(n) auspicious (good) omen/
奇数 [きすう] /(n,adj-no) odd number/(P)/
奇数パリティ [きすうパリティ] /(n) (comp) odd parity/
奇声 [きせい] /(n) strange voice/
奇石 [きせき] /(n) rare stone/special stone/strange stone/
奇跡 [きせき] /(n,adj-no) miracle/wonder/marvel/(P)/
奇跡的 [きせきてき] /(adj-na) miraculous/
奇蹟 [きせき] /(n,adj-no) miracle/wonder/marvel/
奇絶 [きぜつ] /(adj-na) very rare/exquisite/
奇想 [きそう] /(n) fantastic idea/
奇想曲 [きそうきょく] /(n) capriccio/
奇想天外 [きそうてんがい] /(adj-na,n,adj-no) fantastic idea/bizarre/
奇体 [きたい] /(adj-na,n) strange/queer/curious/
奇態 [きたい] /(adj-na,n) strange or odd posture or figure/
奇態なことに [きたいなことに] /(adv) strange to say/strangely enough/it is a wonder that/
奇胎 [きたい] /(n) (1) (hydatidiform) mole/
奇談 [きだん] /(n) romantic story/colorful story/colourful story/highly embellished story/
奇知 [きち] /(n) extraordinary wisdom/
奇智 [きち] /(n) extraordinary wisdom/
奇蹄目 [きていもく] /(n) Perissodactyla (order of odd-toed ungulates, inc. horses, tapirs, etc.)/
奇蹄類 [きているい] /(n) perissodactyls/odd-toed ungulates/
奇天烈 [きてれつ] /(ateji) (adj-na,n) very strange/odd/queer/
奇特 [きとく] /(adj-na,n) praiseworthy/commendable/benevolent/
奇特 [きどく] /(adj-na,n) praiseworthy/commendable/benevolent/
奇乳 [きにゅう] /(n) witch's milk (milk secreted by some neonates)/
奇抜 [きばつ] /(adj-na,n) novel/original/striking/strange/eccentric/fantastic/(P)/
奇病 [きびょう] /(n) strange disease/(P)/
奇聞 [きぶん] /(n) strange news/
奇兵 [きへい] /(n) irregular soldiers/commandos/
奇兵隊 [きへいたい] /(n) kiheitai (irregular militia during the Bakumatsu period)/
奇癖 [きへき] /(n) strange habit/
奇弁 [きべん] /(n,adj-no) sophistry/sophism/chicanery/play on words/
奇妙 [きみょう] /(adj-na,n) strange/queer/curious/(P)/
奇妙さ [きみょうさ] /(n) strangeness/
奇妙な話だが [きみょうなはなしだが] /(exp) curiously enough/oddly enough/strange to tell/
奇問 [きもん] /(n) tricky question/
奇利 [きり] /(n) unexpected benefit/sudden profit/
奇麗 [きれい] /(adj-na) (1) (uk) pretty/lovely/beautiful/fair/(2) clean/clear/pure/tidy/neat/(3) completely/entirely/(P)/
奇麗さっぱり [きれいさっぱり] /(adv,adv-to,vs,adj-na) (1) (uk) once and for all/(adv,adv-to,vs) (2) spotlessly/
奇麗好き [きれいずき] /(adj-na,n) liking to keep things clean/
奇麗事 [きれいごと] /(n) (1) (uk) whitewashing/glossing over/lip service/(2) deftly finishing up/putting on the final touches/
奇麗所 [きれいどころ] /(n) geisha girls/
奇峭 [きしょう] /(adj-na,n) (1) (arch) steep/precipitous/(2) (arch) harsh (personality)/
奇譚 [きたん] /(n) mysterious story/
嬉々 [きき] /(adj-t,adv-to) gleeful/joyful/
嬉しい [うれしい] /(adj-i) (uk) happy/glad/pleasant/(P)/
嬉しい悲鳴 [うれしいひめい] /(exp,n) shriek of delight/cry of joy/
嬉しがらせ [うれしがらせ] /(n) flattery/adulation/commendation/
嬉しがる [うれしがる] /(v5r) to be glad/
嬉しそう [うれしそう] /(adj-na) delightful/glad-looking/
嬉し泣き [うれしなき] /(n,vs) weeping for joy/crying with happiness/
嬉し涙 [うれしなみだ] /(n) happy tears/tears of joy/
嬉嬉 [きき] /(adj-t,adv-to) gleeful/joyful/
嬉戯 [きぎ] /(n,vs) frisking/frolicing/
嬉泣 [うれしなき] /(n,vs) weeping for joy/crying with happiness/
嬉泣き [うれしなき] /(n,vs) weeping for joy/crying with happiness/
嬉笑 [きしょう] /(n) happy laughter/
嬉遊曲 [きゆうきょく] /(n) divertimento/divertissement/cassation/
寄える [よそえる] /(v1) (1) (uk) to compare/to liken/(2) to use as a pretext/
寄こす [よこす] /(v5s,vt) (1) to send/to forward/(2) to hand over (e.g. money)/
寄す [よす] /(v5s) (arch) to bring near/to put close/to let come near/
寄せ [よせ] /(n) (1) last moves (in go, shogi, or chess)/endgame/(n-suf) (2) gathering/collecting/coming together/(P)/
寄せかける [よせかける] /(v1,vi) to rest or lean against/
寄せつける [よせつける] /(v1,vt) to let (someone) come near/to let (someone) get close/
寄せては返す [よせてはかえす] /(v5s,vi) (waves) to break on the shore and retreat/
寄せる [よせる] /(v1,vt) (1) to come near/to let someone approach/(2) to collect/to gather/to receive/(3) to add/(4) to put aside/(P)/
寄せ掛ける [よせかける] /(v1,vi) to rest or lean against/
寄せ合う [よせあう] /(v5u) to press against each other/to huddle together/
寄せ算 [よせざん] /(n,vs) addition/adding up/
寄せ手 [よせて] /(n) attacking army/
寄せ集め [よせあつめ] /(n) mish-mash/miscellany/medley/odds and ends/gathering/(P)/
寄せ集める [よせあつめる] /(v1,vt) to put together/to gather/to collect/to scrape together/
寄せ書き [よせがき] /(n,vs) (1) write jointly/(2) collection of autographs/
寄せ場 [よせば] /(n) (1) gathering place/(2) (abbr) labour camp for drifters, criminals, etc. (Edo period)/(3) musical hall/vaudeville/
寄せ席 [よせせき] /(n) musical hall/vaudeville/
寄せ切れ [よせぎれ] /(n) patchwork/
寄せ太鼓 [よせだいこ] /(n) drums sounded in the morning to draw the crowds to sumo/
寄せ棟 [よせむね] /(adj-f,adj-no,n) hipped roof/hip roof/hipped roof construction/hip roof construction/
寄せ棟屋根 [よせむねやね] /(n) hipped roof/hip roof/
寄せ棟造 [よせむねづくり] /(n) hip roof/hipped roof/building with a hip roof/
寄せ棟造り [よせむねづくり] /(n) hip roof/hipped roof/building with a hip roof/
寄せ鍋 [よせなべ] /(n) pot of chicken or seafood, and vegetables in a dashi broth, usu. cooked at the table (traditionally a winter meal)/seafood and vegetable stew or chowder/
寄せ波 [よせなみ] /(n) incoming wave/surf/swash/comber/beachcomber/
寄せ箸 [よせばし] /(n) drawing a dish towards oneself using one's chopsticks (a breach of etiquette)/
寄せ付ける [よせつける] /(v1,vt) to let (someone) come near/to let (someone) get close/
寄せ木 [よせぎ] /(n) wooden mosaic/parquetry/
寄せ木細工 [よせぎざいく] /(n) wooden mosaic work/parquetry/
寄せ木造り [よせぎづくり] /(n) joined block construction of a statue/
寄っかかる [よっかかる] /(v5r) to lean against/to recline on/
寄ってたかって [よってたかって] /(exp) forming a crowd/ganging up on/joining forces against/
寄って集って [よってたかって] /(exp) forming a crowd/ganging up on/joining forces against/
寄っ掛る [よっかかる] /(v5r) to lean against/to recline on/
寄り [より] /(n) (1) pushing back one's opponent while locked in close quarters (sumo)/(suf) (2) having a tendency towards/being close to/
寄りかかる [よりかかる] /(v5r,vi) to lean against/to recline on/to lean on/to rely on/to depend on/
寄りつく [よりつく] /(v5k,vi) to approach/
寄り掛かる [よりかかる] /(v5r,vi) to lean against/to recline on/to lean on/to rely on/to depend on/(P)/
寄り掛る [よりかかる] /(v5r,vi) to lean against/to recline on/to lean on/to rely on/to depend on/
寄り寄り [よりより] /(adv) sometimes/
寄り合い [よりあい] /(n) (1) meeting/gathering/(2) village assembly/(3) two wrestlers approaching each other (sumo)/
寄り合い所帯 [よりあいじょたい] /(n) congeries of many households/scratch (combined) team/hodge podge of parties/
寄り合う [よりあう] /(v5u,vi) to gather/to meet/
寄り集まる [よりあつまる] /(v5r,vi) to gather together/(P)/
寄り身 [よりみ] /(n) (sumo) push an opponent out with one's body/
寄り切り [よりきり] /(n) (sumo) holding opponent's belt while pushing from the ring/
寄り切る [よりきる] /(v5r) (in Sumo) to force someone out of the ring/
寄り添う [よりそう] /(v5u,vi) to get close/to cuddle close together/to nestle close to/to snuggle up to/
寄り倒し [よりたおし] /(n) (sumo) knock an opponent over while holding his belt/
寄り道 [よりみち] /(n,vs) dropping in on the way/(P)/
寄り付き [よりつき] /(n) opening session/anteroom/
寄り付く [よりつく] /(v5k,vi) to approach/
寄り目 [よりめ] /(n) crossed eyes/convergent strabismus/
寄り縋る [よりすがる] /(v5r,vi) to cling to/to rely on/
寄る [よる] /(v5r,vi) to visit/to drop in/to approach/(P)/
寄ると触ると [よるとさわると] /(exp) whenever they come together/
寄る年波には勝てない [よるとしなみにはかてない] /(exp) (id) Nobody can struggle against advancing age/
寄る辺 [よるべ] /(n) place to go/person to turn to or depend on/one's resort/
寄越す [よこす] /(v5s,vt) (1) to send/to forward/(2) to hand over (e.g. money)/(P)/
寄居虫 [かみな] /(ok) (n) (1) hermit crab/
寄居虫 [ごうな] /(ok) (n) (1) hermit crab/
寄居虫 [やどかり] /(n) (1) hermit crab/
寄金 [ききん] /(n) contribution/donation/(P)/
寄寓 [きぐう] /(n,vs) lodging with/
寄語 [きご] /(n,vs) sending word by/
寄港 [きこう] /(n,vs) stopping at a port/(P)/
寄港地 [きこうち] /(n) port of call/
寄稿 [きこう] /(n,vs) contribution (e.g. to newspaper)/
寄稿者 [きこうしゃ] /(n) contributor (of articles)/
寄航 [きこう] /(n,vs) calling at a port or airport/
寄合 [よりあい] /(n) (1) meeting/gathering/(2) village assembly/(3) two wrestlers approaching each other (sumo)/
寄合い [よりあい] /(n) (1) meeting/gathering/(2) village assembly/(3) two wrestlers approaching each other (sumo)/
寄合う [よりあう] /(v5u,vi) to gather/to meet/
寄合所帯 [よりあいじょたい] /(n) congeries of many households/scratch (combined) team/hodge podge of parties/
寄坐 [よりまし] /(n) child or doll used as a vessel for a spirit invoked by a shaman or miko/
寄集め [よせあつめ] /(n) mish-mash/miscellany/medley/odds and ends/gathering/
寄宿 [きしゅく] /(n,vs) lodging/
寄宿学校 [きしゅくがっこう] /(n) boarding school/
寄宿舎 [きしゅくしゃ] /(n) boarding house/school dormitory/(P)/
寄宿生 [きしゅくせい] /(n) boarding student/
寄宿料 [きしゅくりょう] /(n) fee for board and lodging/
寄書 [きしょ] /(n,vs) contributed article/
寄書き [よせがき] /(n,vs) (1) write jointly/(2) collection of autographs/
寄場 [よせば] /(n) (1) gathering place/(2) (abbr) labour camp for drifters, criminals, etc. (Edo period)/(3) musical hall/vaudeville/
寄食 [きしょく] /(n,vs) parasitism/dependency/
寄信 [きしん] /(n) sending a letter/
寄進 [きしん] /(n,vs) contribution/donation (to a temple, etc.)/
寄生 [きせい] /(n,vs) parasitism/parasite/(P)/
寄生火山 [きせいかざん] /(n) parasite volcano/
寄生植物 [きせいしょくぶつ] /(n) parasitic plant/
寄生生物 [きせいせいぶつ] /(n,adj-no) parasite/
寄生虫 [きせいちゅう] /(n) parasite/(P)/
寄生虫症 [きせいちゅうしょう] /(n) giardiasis/
寄生蝿 [きせいばえ] /(n) (uk) tachina fly (any fly of family Tachinidae)/tachinid/
寄生蝿 [やどりばえ] /(n) (uk) tachina fly (any fly of family Tachinidae)/tachinid/
寄生木 [やどりぎ] /(n) (1) mistletoe (esp. European mistletoe, Viscum album)/(2) parasitic plant/
寄生蠅 [きせいばえ] /(n) (uk) tachina fly (any fly of family Tachinidae)/tachinid/
寄生蠅 [やどりばえ] /(n) (uk) tachina fly (any fly of family Tachinidae)/tachinid/
寄席 [よせ] /(n) musical hall/vaudeville/(P)/
寄席 [よせせき] /(n) musical hall/vaudeville/
寄贈 [きそう] /(n,vs) donation/presentation/gift/
寄贈 [きぞう] /(n,vs) donation/presentation/gift/(P)/
寄贈者 [きそうしゃ] /(n) donor/
寄贈者 [きぞうしゃ] /(n) donor/
寄贈品 [きぞうひん] /(n) gift/
寄託 [きたく] /(n,vs) deposit/entrusting/
寄託図書館 [きたくとしょかん] /(n) (comp) deposit library/
寄添う [よりそう] /(v5u,vi) to get close/to cuddle close together/to nestle close to/to snuggle up to/
寄棟 [よせむね] /(adj-f,adj-no,n) hipped roof/hip roof/hipped roof construction/hip roof construction/
寄棟屋根 [よせむねやね] /(n) hipped roof/hip roof/
寄棟造 [よせむねづくり] /(n) hip roof/hipped roof/building with a hip roof/
寄棟造り [よせむねづくり] /(n) hip roof/hipped roof/building with a hip roof/
寄鍋 [よせなべ] /(io) (n) pot of chicken or seafood, and vegetables in a dashi broth, usu. cooked at the table (traditionally a winter meal)/seafood and vegetable stew or chowder/
寄波 [よせなみ] /(n) incoming wave/surf/swash/comber/beachcomber/
寄付 [きふ] /(n,vs) contribution/donation/(P)/
寄付く [よりつく] /(v5k,vi) to approach/
寄付ける [よせつける] /(v1,vt) to let (someone) come near/to let (someone) get close/
寄付を請う [きふをこう] /(exp,v5u) to solicit donations/
寄付金 [きふきん] /(n) donation/contribution/endowment/
寄付金を募る [きふきんをつのる] /(exp,v5r) to make an appeal for contributions/to collect donations/
寄付行為 [きふこうい] /(n) act of endowment or donation/
寄附 [きふ] /(n,vs) contribution/donation/(P)/
寄附金 [きふきん] /(n) donation/contribution/endowment/
寄附金を募る [きふきんをつのる] /(exp,v5r) to make an appeal for contributions/to collect donations/
寄与 [きよ] /(n,vs) contribution/service/(P)/
寄留 [きりゅう] /(n,vs) temporary residence/sojourn/
寄留者 [きりゅうしゃ] /(n) temporary resident/
寄留地 [きりゅうち] /(n) one's temporary residence/
寄縋る [よりすがる] /(v5r,vi) to cling to/to rely on/
岐 [ちまた] /(n) (1) the public/(2) street/district/quarters/(3) location (of a battle, etc.)/(4) divide (e.g. between life and death)/(5) (orig. meaning) fork (in a road)/crossroads/
岐阜 [ぎふ] /(n) Gifu (pn)/(P)/
岐阜県 [ぎふけん] /(n) Gifu prefecture (Chuubu area)/
岐路 [きろ] /(n) forked road/crossroads/(P)/
希 [ぎ] /(n,n-pref) (abbr) Greece/Greek/
希 [まれ] /(adj-na) (uk) rare/seldom/
希う [こいねがう] /(v5u,vt) to beg/to request/to beseech/to implore/to entreat/
希わくは [こいねがわくは] /(exp,adv) I pray in earnest that/I beg that/I yearn that/
希わくは [ねがわくは] /(adv) I pray/I wish/
希わくば [ねがわくば] /(adv) I pray/I wish/
希ガス [きガス] /(n) noble gas/
希ガス類 [きガスるい] /(n) noble gases/rare gases/
希塩酸 [きえんさん] /(n) dilute hydrochloric acid/
希求 [ききゅう] /(n,vs) aspiring to/seek/demand/ask for/
希元素 [きげんそ] /(n) rare element/
希酸 [きさん] /(n) dilute acid/
希釈 [きしゃく] /(n,vs) dilution/
希釈液 [きしゃくえき] /(n) diluted solution/
希釈熱 [きしゃくねつ] /(n) heat of dilution/
希書 [きしょ] /(n) rare book/
希少 [きしょう] /(adj-na,n) scarce/rare/(P)/
希少価値 [きしょうかち] /(n) rare/very precious/
希硝酸 [きしょうさん] /(n) dilute nitric acid/
希図 [きと] /(n,vs) hopefully planning/
希世 [きせい] /(n) rare/uncommon/
希代 [きたい] /(n,adj-no) rarity/uncommonness/
希代 [きだい] /(n,adj-no) rarity/uncommonness/
希代未聞 [きたいみもん] /(n,adj-no) unheard-of/unparalleled/
希土 [きど] /(n) rare earth/
希土類 [きどるい] /(n) (chem) rare earth/
希土類元素 [きどるいげんそ] /(n) rare earth elements/
希薄 [きはく] /(adj-na,n) thin (e.g. air)/lean/rarified/diluted/sparse/weak/rarefied/(P)/
希望 [きぼう] /(n,vs) hope/wish/aspiration/(P)/
希望に沿う [きぼうにそう] /(exp,v5u) to meet someone's requirements/to meet expectations/to go along with what somebody wants/
希望価格 [きぼうかかく] /(n) asking price/
希望者 [きぼうしゃ] /(n) applicant/candidate/person interested in doing something/person wanting to do something/interested party/
希望小売価格 [きぼうこうりかかく] /(n) manufacturer suggested retail price/MSRP/
希望退職 [きぼうたいしょく] /(n) voluntary retirement/
希望的 [きぼうてき] /(adj-na) wishful/
希望的観測 [きぼうてきかんそく] /(n) wishful thinking/
希有 [けう] /(adj-na,n) rare/uncommon/
希硫酸 [きりゅうさん] /(n) dilute sulfuric acid/dilute sulphuric acid/
希臘 [ぎりしゃ] /(n,adj-no) (uk) Greece (por: Grecia)/
希臘陸亀 [ギリシャりくがめ] /(n) (uk) European tortoise/Greek tortoise (Testudo graeca)/
幾 [いく] /(n,pref) (1) some/several/(2) many/(3) how many?/how much?/(P)/
幾 [ほとほと] /(adv) (uk) quite (usu. negative connotation)/utterly/really/
幾たび [いくたび] /(adv,n) (how) many times/(how) often/
幾つ [いくつ] /(adv) (1) (uk) how many?/(2) how old?/(P)/
幾つか [いくつか] /(adj-no) (uk) (a) few/some/several/
幾つでも [いくつでも] /(exp) (uk) any number of/ever so many/
幾つも [いくつも] /(adj-no) (uk) many/great number of/
幾ら [いくら] /(adv,n) (uk) how much?/how many?/(P)/
幾らか [いくらか] /(adv,n-t,adj-no) (1) (uk) some/(a) little/(2) somewhat/to some extent/in part/
幾らでも [いくらでも] /(exp) as many (much) as one likes/
幾ら何でも [いくらなんでも] /(exp) under no circumstances/whatever the circumstances may be/say what you like/
幾ら欠点が有っても [いくらけってんがあっても] /(exp) with all one's faults/
幾何 [いくばく] /(adv,n-t) how many/how much/
幾何 [きか] /(n) geometry/(P)/
幾何もなく [いくばくもなく] /(adv) not long after/before long/
幾何も無く [いくばくもなく] /(adv) not long after/before long/
幾何学 [きかがく] /(n) geometry/(P)/
幾何学図形要素 [きかがくずけいようそ] /(n) (comp) geometric graphics element/
幾何学的 [きかがくてき] /(adj-na) geometrical/
幾何級数 [きかきゅうすう] /(n) geometric series or progression/
幾何級数的 [きかきゅうすうてき] /(adj-na) geometric (progression, etc.)/
幾何光学 [きかこうがく] /(n) geometrical optics/
幾何平均 [きかへいきん] /(n) geometric average or mean/
幾久しく [いくひさしく] /(adv) forever/
幾許 [いくばく] /(adv,n-t) how many/how much/
幾許もなく [いくばくもなく] /(adv) not long after/before long/
幾許も無く [いくばくもなく] /(adv) not long after/before long/
幾歳 [いくさい] /(n) (arch) what age?/how old?/
幾歳 [いくとせ] /(n-t) number of years/
幾重 [いくえ] /(n) multiple layers/many piles/
幾重にも [いくえにも] /(adv) repeatedly/over and over again/
幾人 [いくたり] /(n) number of people/
幾人 [いくにん] /(n) number of people/
幾人か [いくにんか] /(exp,adj-no) several people/some people/
幾人でも [いくにんでも] /(exp) any number of people/as many people as one likes/
幾人もの [いくにんもの] /(exp) any number of people/a large number of people/
幾世 [いくよ] /(n) generations/ages/years/
幾星霜 [いくせいそう] /(n,adv) (arch) many months and years/
幾千 [いくせん] /(n) thousands/
幾千と云う人 [いくせんというひと] /(n) thousands of people/
幾多 [いくた] /(adv,n,adj-no) many/numerous/
幾代 [いくよ] /(n) generations/ages/years/
幾通り [いくとおり] /(n) number of ways/
幾程 [いくほど] /(adv) how many/how much/
幾度 [いくたび] /(adv,n) (how) many times/(how) often/
幾度 [いくど] /(adv,n) (how) many times/(how) often/(P)/
幾度となく [いくどとなく] /(adv) on countless occasions/many a time/
幾度も [いくども] /(adv) many times/
幾日 [いくにち] /(n) how many days?/what day (of month)?/(P)/
幾日か [いくにちか] /(exp) some days/several days/
幾日も [いくにちも] /(n) for many days/for some days/
幾日も幾日も [いくにちもいくにちも] /(adv) day after day/for many days/
幾年 [いくとせ] /(n-t) number of years/
幾年 [いくねん] /(n-t) number of years/
幾年にもわたる [いくねんにもわたる] /(exp,adj-f) (obsc) extending over a number of years/
幾年にも渡る [いくねんにもわたる] /(exp,adj-f) (obsc) extending over a number of years/
幾年にも亙る [いくねんにもわたる] /(exp,adj-f) (obsc) extending over a number of years/
幾年にも亘る [いくねんにもわたる] /(exp,adj-f) (obsc) extending over a number of years/
幾晩も [いくばんも] /(adv) (for) several nights/
幾分 [いくぶん] /(adv,n) (1) somewhat/to some extent/to some degree/(n) (2) some/part/portion/(P)/
幾夜 [いくよ] /(n) number of nights/
幾夜も [いくよも] /(n) for several nights/
忌 [いみ] /(io) (n) (1) mourning/abstinence/(2) taboo/(3) religious purification/(n-pref) (4) pure/holy/
忌 [き] /(n) (1) mourning/mourning period/(n-suf) (2) anniversary of one's death/
忌々しい [いまいましい] /(adj-i) annoying/provoking/
忌が明ける [きがあける] /(exp,v1) to come out of mourning/
忌まわしい [いまわしい] /(adj-i) (1) unpleasant/disagreeable/abominable/disgusting/unsavory/(2) unlucky/inauspicious/(P)/
忌まわしい事件 [いまわしいじけん] /(n) abominable incident/
忌ま忌ましい [いまいましい] /(adj-i) annoying/provoking/
忌み [いみ] /(n) (1) mourning/abstinence/(2) taboo/(3) religious purification/(n-pref) (4) pure/holy/
忌み嫌う [いみきらう] /(v5u,vt) to detest/to abhor/to loathe/
忌み言葉 [いみことば] /(n) (1) taboo word/(2) euphemism (used in place of a taboo word)/
忌み詞 [いみことば] /(n) (1) taboo word/(2) euphemism (used in place of a taboo word)/
忌み日 [いみび] /(n) unlucky day (according to astrology)/(previously a) death anniversary/purification and fast day/
忌み箸 [いみばし] /(n) things prohibited by chopstick etiquette/
忌み明け [いみあけ] /(n) end of mourning/
忌む [いむ] /(v5m,vi) (1) to avoid/to refrain from/to shun/(2) to detest/
忌むべき [いむべき] /(exp) abominable/detestable/
忌引 [きびき] /(n) absence from work (school) due to mourning/
忌引き [きびき] /(n) absence from work (school) due to mourning/
忌引き休暇 [きびききゅうか] /(n) condolence leave/
忌引休暇 [きびききゅうか] /(n) condolence leave/
忌垣 [いがき] /(n) fence around a shrine/
忌忌しい [いまいましい] /(adj-i) annoying/provoking/
忌嫌う [いみきらう] /(v5u,vt) to detest/to abhor/to loathe/
忌言葉 [いみことば] /(n) (1) taboo word/(2) euphemism (used in place of a taboo word)/
忌詞 [いみことば] /(n) (1) taboo word/(2) euphemism (used in place of a taboo word)/
忌寸 [いみき] /(n) (arch) Imiki (fourth highest of the eight hereditary titles)/
忌中 [きちゅう] /(n) mourning/
忌日 [いみび] /(n) unlucky day (according to astrology)/(previously a) death anniversary/purification and fast day/
忌日 [きじつ] /(n) (1) anniversary of a person's death (on which Buddhist commemorative rites, etc. are performed)/(2) 49th day after a person's death, on which Buddhist rituals are performed/
忌日 [きにち] /(n) (1) anniversary of a person's death (on which Buddhist commemorative rites, etc. are performed)/(2) 49th day after a person's death, on which Buddhist rituals are performed/
忌避 [きひ] /(n,vs) (1) evasion/shirking/avoidance/(2) challenge/(taking) exception/(P)/
忌服 [きふく] /(n) mourning/
忌明け [いみあけ] /(n) end of mourning/
忌明け [きあけ] /(n) end of mourning/
忌憚 [きたん] /(n,vs) reserve/modesty/
忌憚のない [きたんのない] /(adj-i,exp) unrestrained/unreserved/candid/frank/
忌諱 [きい] /(n,vs) displeasure/offense/offence/disliking/
忌諱 [きき] /(n,vs) displeasure/offense/offence/disliking/
揮う [ふるう] /(v5u,vt) (1) to swing/to wield (physically)/to exert/(2) to exercise/to wield (metaphorically)/(3) to flourish/to prosper/to thrive/
揮散 [きさん] /(n,vs) vaporization/volatilization/sublimation/
揮発 [きはつ] /(n,vs) volatilization/volatilisation/(P)/
揮発性 [きはつせい] /(n) volatile/
揮発性メモリー [きはつせいメモリー] /(n) (comp) volatile memory/
揮発性記憶装置 [きはつせいきおくそうち] /(n) (comp) volatile storage/
揮発度 [きはつど] /(n) volatility/
揮発物質 [きはつぶっしつ] /(n) volatile substance/
揮発油 [きはつゆ] /(n) gasoline/petrol/petroleum/benzine/volatile oil/
揮発油税 [きはつゆぜい] /(n) gasoline tax/gasoline excise/
揮毫 [きごう] /(n,vs) writing/drawing/painting/
揮毫料 [きごうりょう] /(n) writing or painting fee/
机 [つき] /(ok) (n) desk/
机 [つくえ] /(n) desk/(P)/
机に向かう [つくえにむかう] /(exp,v5u) to sit at a desk (to study)/to set to work on revision, homework, etc./
机の足 [つくえのあし] /(n) legs of a table/
机下 [きか] /(n) (1) word of respect added to the addressee's name on a letter/(2) under the desk/
机上 [きじょう] /(n,adj-no) (1) on the desk/(2) theoretical/academic/(P)/
机上の空論 [きじょうのくうろん] /(exp,n) academic gossip/empty theory/
机上チェック [きじょうチェック] /(n) (comp) desk checking/
机上空論 [きじょうくうろん] /(n) impractical desktop theory (proposition)/unworkable idea/an idea that isn't worth the paper it's written on/
机上検査 [きじょうけんさ] /(n) (comp) desk checking/
机辺 [きへん] /(n) near a desk/
旗 [はた] /(n) (1) flag/(P)/
旗を出す [はたをだす] /(exp,v5s) to hang out a flag/
旗を振る [はたをふる] /(exp,v5r) (1) to wave a flag/(2) to show the way/
旗を揚げる [はたをあげる] /(exp,v1) (1) to raise (hoist) a flag/(2) to raise an army/(3) to start a new business/
旗を立てる [はたをたてる] /(exp,v1) to hoist a flag/
旗印 [はたじるし] /(n) (design on a) banner/slogan/emblem (on flag)/insignia/(P)/
旗下 [きか] /(n,adj-no) under one's command/under the banner (of)/
旗竿 [はたざお] /(n) (1) flagstaff/flagpole/(2) (uk) arabis (any plant of genus Arabis, esp. tower mustard, Arabis glabra)/rock cress/
旗艦 [きかん] /(n) flagship/
旗挙 [はたあげ] /(n,vs) (1) raising an army/(2) launching business/
旗挙げ [はたあげ] /(n,vs) (1) raising an army/(2) launching business/
旗魚 [かじき] /(n) (uk) marlin/swordfish/spearfish/sailfish/
旗魚座 [かじきざ] /(n) (constellation) Dorado/Goldfish/Swordfish/
旗鼓 [きこ] /(n) banner and drums/army/
旗鼓堂々 [きこどうどう] /(adj-t,adv-to) with colors flying and band playing/triumphantly/in splendid array/
旗鼓堂堂 [きこどうどう] /(adj-t,adv-to) with colors flying and band playing/triumphantly/in splendid array/
旗行列 [はたぎょうれつ] /(n) flag procession/
旗手 [きしゅ] /(n) standard-bearer/(P)/
旗色 [はたいろ] /(n) (1) situation/outlook/(2) one's allegiance/affiliation/position/(P)/
旗振り [はたふり] /(n) flagwaving/flagman/(in athletic competition) starter/instigator/leader/
旗亭 [きてい] /(n) restaurant/inn/
旗頭 [はたがしら] /(n) leader/boss/upper part of a flag/
旗二流 [はたにりゅう] /(n) two flags/
旗二旒 [はたにりゅう] /(n) two flags/
旗日 [はたび] /(n) national holiday/
旗標 [はたじるし] /(n) (design on a) banner/slogan/emblem (on flag)/insignia/
旗弁 [きべん] /(n) standard (type of flower)/banner/vexillum/
旗本 [はたもと] /(n) shogunal vassal/direct retainer of a shogun/
旗門 [きもん] /(n) (slalom) gate/
旗揚 [はたあげ] /(n,vs) (1) raising an army/(2) launching business/
旗揚げ [はたあげ] /(n,vs) (1) raising an army/(2) launching business/(P)/
旗幟 [きし] /(n) flag/banner/ensign/emblem/
旗幟 [きしょく] /(ik) (n) flag/banner/ensign/emblem/
旗幟鮮明 [きしせんめい] /(n) making one's attitude (position, stand) clear (lit: unfurling and clearly showing one's banner)/
旗袍 [チーパオ] /(n) qipao (chi: qipao)/cheongsam/mandarin gown/
既に [すでに] /(adv) (uk) already/too late/(P)/
既に [すんでに] /(adv) (uk) already/too late/
既にして [すでにして] /(conj) in the meantime/meanwhile/
既の事 [すってのこと] /(adv) almost/very nearly/
既の事 [すんでのこと] /(adv) almost/very nearly/
既の所で [すんでのところで] /(exp) (uk) almost/very nearly/
既往 [きおう] /(n,adj-no) the past/
既往は咎めず [きおうはとがめず] /(exp) don't dwell on the past/
既往症 [きおうしょう] /(n) medical history/anamnesis/(P)/
既往歴 [きおうれき] /(n) case or medical history/
既刊 [きかん] /(adj-no,n) already published/
既決 [きけつ] /(adj-no,n) decided/determined/settled/
既決囚 [きけつしゅう] /(n) a convict/convicted prisoner/
既婚 [きこん] /(n,adj-no) marriage/married/(P)/
既婚者 [きこんしゃ] /(n) married person/
既婚男性 [きこんだんせい] /(n) married man/
既済 [きさい] /(adj-no,n) paid up/already settled/
既視感 [きしかん] /(n) deja vu/
既習 [きしゅう] /(n,vs) already learned/
既出 [きしゅつ] /(n,adj-no) something previously covered (e.g. topic, question)/
既述 [きじゅつ] /(n,vs,adj-no) previously mentioned or described/aforesaid/
既遂 [きすい] /(n) (1) something already finished (accomplished, etc.)/(2) perpetrated crime (as opposed to attempted crime)/
既成 [きせい] /(n,adj-no) established/completed/existing/(P)/
既成の事実 [きせいのじじつ] /(n) established fact/
既成概念 [きせいがいねん] /(n) stereotype/preconceived idea/preconceived notion/
既成観念 [きせいかんねん] /(n) ready-made ideas/
既成事実 [きせいじじつ] /(n) established fact/fait accompli/(P)/
既製 [きせい] /(n,adj-no) ready-made/off the shelf/(P)/
既製品 [きせいひん] /(n) ready-made goods/
既製服 [きせいふく] /(n) ready-made clothes/(P)/
既設 [きせつ] /(adj-no,n) established/existing/
既設線 [きせつせん] /(n) lines in operation/
既卒 [きそつ] /(adj-no,n) previously graduated/
既卒者 [きそつしゃ] /(n) graduate from an earlier year/alumnus/alumna/former graduate/
既存 [きそん] /(n,adj-no) existing/(P)/
既存 [きぞん] /(ik) (n,adj-no) existing/
既存装置 [きそんそうち] /(n) (comp) existing equipment/
既知 [きち] /(adj-no,adj-na,n) already known/well-known/
既知数 [きちすう] /(n) (math) known quantity/
既定 [きてい] /(adj-no,n) default/established/pre-arranged/fixed/predetermined/(P)/
既定値 [きていち] /(n) default value/
既定路線 [きていろせん] /(n) established (existing) policy (procedure(s))/
既倒 [きとう] /(n) falling suddenly/
既得 [きとく] /(adj-no,n) vested/already acquired/
既得権 [きとくけん] /(n) vested rights/(P)/
既得単位 [きとくたんい] /(n) advanced standing (in school or college)/credit for prior studies/
既読 [きどく] /(adj-no,n) already read/
既発表 [きはっぴょう] /(adj-no) already published/
既払い [きはらい] /(adj-no,n) paid-up/prepaid/
既払い [きばらい] /(adj-no,n) paid-up/prepaid/
既報 [きほう] /(n) previous report/
既望 [きぼう] /(n) (by the lunar calendar) 16th night of the month/
既約 [きやく] /(adj-na,n,adj-no) irreducible/
既約表現 [きやくひょうげん] /(n) (math) irreducible representation/
既約分数 [きやくぶんすう] /(n) irreducible fraction/
期 [き] /(n,n-suf) (1) period/time/(2) (geological) age/
期す [きす] /(v5s,vi) (1) to expect/to look forward to/(2) to set (a date, etc.)/(3) to resolve/to pledge (to oneself)/to vow/
期す [ごす] /(v5s,vi) (1) to expect/to look forward to/(2) to set (a date, etc.)/(3) to resolve/to pledge (to oneself)/to vow/
期する [きする] /(vs-s,vi) to expect/to look forward to/
期する [ごする] /(vs-s,vi) to expect/to look forward to/
期外収縮性不整脈 [きがいしゅうしゅくせいふせいみゃく] /(n) extrasystolic arrhythmia/
期間 [きかん] /(n) period/term/interval/(P)/
期間契約社員 [きかんけいやくしゃいん] /(n) worker with a fixed term contract of employment/
期間工 [きかんこう] /(n) factory worker with a fixed term contract of employment/
期間社員 [きかんしゃいん] /(n) (abbr) worker with a fixed term contract of employment/
期間従業員 [きかんじゅうぎょういん] /(n) temporary worker/seasonal worker/worker with a fixed term contract of employment/
期間中 [きかんちゅう] /(n-t) during/for the duration of/
期近 [きぢか] /(adj-no,n) near maturity (esp. futures contract)/
期近物 [きぢかもの] /(n) (1) current delivery/near delivery/new delivery/(2) nearby futures contract/
期限 [きげん] /(n) (1) term/period/time frame/(2) time limit/deadline/cutoff (date)/(P)/
期限を延ばす [きげんをのばす] /(exp,v5s) to extend the term/to extend a deadline/
期限切れ [きげんぎれ] /(n,adj-no) expiration of a term/becoming overdue/
期限切れ検査 [きげんぎれけんさ] /(n) (comp) expiration check/retention period check/
期限付き [きげんつき] /(adj-no) with a fixed time/with a deadline/
期差選任 [きさせんにん] /(n) staggered terms (applied to corporate directors as a defensive measure against hostile takeovers)/
期首 [きしゅ] /(n) beginning of a term/
期成 [きせい] /(n) realization of an objective/realisation of an objective/
期成同盟 [きせいどうめい] /(n) association formed to carry out an objective/
期待 [きたい] /(n,vs) expectation/anticipation/hope/(P)/
期待どおり [きたいどおり] /(adj-no,adv) as expected (positive events)/as hoped for/
期待にかなう [きたいにかなう] /(exp,v5u) to live up to (one's) expectations/
期待に適う [きたいにかなう] /(exp,v5u) to live up to (one's) expectations/
期待はずれ [きたいはずれ] /(n,adj-no) disappointment/let-down/
期待をかける [きたいをかける] /(exp,v1) to hang one's hopes on/to expect from/
期待を掛ける [きたいをかける] /(exp,v1) to hang one's hopes on/to expect from/
期待を寄せる [きたいをよせる] /(exp,v1) to pin one's hope on/to look forward to/to look toward/to get one's hopes up/
期待外れ [きたいはずれ] /(n,adj-no) disappointment/let-down/
期待感 [きたいかん] /(n) feeling of expectation/(P)/
期待権 [きたいけん] /(n) expectant right (as opposed to a vested right)/contingent right/
期待値 [きたいち] /(n) the expectation value (statistics)/
期待通り [きたいどおり] /(adj-no,adv) as expected (positive events)/as hoped for/
期待薄 [きたいうす] /(adj-na,n) not to be depended on/of little hope/
期内 [きない] /(n) during a period/while/
期日 [きじつ] /(n,adj-no) fixed date/settlement date/(P)/
期日 [きにち] /(n,adj-no) fixed date/settlement date/
期日 [ごじつ] /(ok) (n,adj-no) fixed date/settlement date/
期日を早める [きじつをはやめる] /(exp,v1) to advance the date (of)/
期日前投票 [きじつまえとうひょう] /(n) early voting/
期末 [きまつ] /(n,adj-no) end of term/(P)/
期末テスト [きまつテスト] /(n) term-end exam/end-of-term test/finals/
期末試験 [きまつしけん] /(n) final exam/
棋 [ご] /(n) go (board game of capturing territory)/
棋院 [きいん] /(n) shogi (go) hall/(P)/
棋界 [きかい] /(n) the go (shogi) world/shogi circles/
棋客 [きかく] /(n) shogi or go player/
棋客 [ききゃく] /(n) shogi or go player/
棋局 [ききょく] /(n) (1) go or shogi board/(2) position of a game of go or shogi/
棋士 [きし] /(n) shogi or go player/(P)/
棋聖 [きせい] /(n) great master of go (shogi)/(P)/
棋戦 [きせん] /(n) go or shogi tournament/
棋道 [きどう] /(n) art of shogi (go)/
棋譜 [きふ] /(n) record of a game of go, shogi, chess, etc./(P)/
棋風 [きふう] /(n) one's style of playing shogi or go/
棋力 [きりょく] /(n) skill in Go or Shogi/
棄てる [すてる] /(v1,vt) to throw away/to cast aside/to abandon/to resign/to break up with (someone)/
棄て石 [すていし] /(n) (1) ornamental garden stone (seemingly placed randomly to give the garden a more natural appearance)/(2) sacrificed stone (in the game of go)/
棄て売り [すてうり] /(n,vs) sacrifice sale/selling for a song/dumping/
棄却 [ききゃく] /(n,vs) rejection/dismissal/abandoning/renunciation/waiver/(P)/
棄教 [ききょう] /(n,vs) apostasy/renunciation (e.g. of a religion)/defection/
棄権 [きけん] /(n,vs) (1) abstaining from voting/(2) renunciation of a right/(3) did not start (sport)/DNS/defaulting/(P)/
棄権者 [きけんしゃ] /(n) non-voter/
棄言葉 [すてことば] /(n) sharp parting remark/
棄子 [すてご] /(n) abandoned child/foundling/
棄市 [きし] /(n) (arch) execution by decapitation, followed by public display of the body (form of punishment in ancient China)/
棄死 [きし] /(iK) (n) (arch) execution by decapitation, followed by public display of the body (form of punishment in ancient China)/
棄児 [きじ] /(n) abandoned child/foundling/
棄児 [すてご] /(n) abandoned child/foundling/
棄世 [きせい] /(n) death/
棄石 [すていし] /(io) (n) (1) ornamental garden stone (seemingly placed randomly to give the garden a more natural appearance)/(2) sacrificed stone (in the game of go)/
棄損 [きそん] /(n,vs) damage/injury/defamation/waste/
棄背 [きはい] /(n) giving up and turning back/
棄民 [きみん] /(n) abandoned people (people left to fend for themselves after a war or natural disaster)/
棄約 [きやく] /(n) breaking a promise/
棄老 [きろう] /(n) old person thrown away in the mountains/
棄捐 [きえん] /(n,vs) donation/abandonment/
機 [き] /(n) (1) chance/opportunity/(2) machine/(3) aircraft/(ctr) (4) counter for aircraft/(5) counter for remaining lives (in video games)/
機 [はた] /(n) loom/
機が熟すのを待つ [きがじゅくすのをまつ] /(exp,v5t) to wait for a ripe moment/
機に乗じる [きにじょうじる] /(exp,v1) to take advantage of an opportunity/
機を見るに敏なり [きをみるにびんなり] /(exp) being quick at seizing an opportunity/
機位 [きい] /(n) position of aircraft/
機運 [きうん] /(n) opportunity/(P)/
機影 [きえい] /(n) sight (signs) of an aeroplane (airplane)/
機縁 [きえん] /(n) opportunity/chance/
機屋 [はたや] /(n) weaver/
機化 [きか] /(n,vs) mechanization/mechanisation/
機会 [きかい] /(n) chance/opportunity/(P)/
機会を取る [きかいをとる] /(exp,v5r) to take the opportunity (to do something)/to take the chance/
機会を逃す [きかいをのがす] /(exp,v5s) to miss a chance/to miss an opportunity/
機会均等 [きかいきんとう] /(n,adj-no) equal opportunity/
機会検討 [きかいけんとう] /(n) (comp) opportunity study/
機会原因論 [きかいげんいんろん] /(n) occasionalism/
機会費用 [きかいひよう] /(n) opportunity cost/
機械 [きかい] /(n) (1) machine/mechanism/(2) instrument/appliance/apparatus/(P)/
機械の語 [きかいのご] /(n) (comp) machine word/computer word/
機械を扱う [きかいをあつかう] /(exp,v5u) to handle a tool/to work a machine/
機械コード [きかいコード] /(n) (comp) instruction code/machine code/
機械音痴 [きかいおんち] /(n) mechanical ineptitude/being hopeless with machines/
機械化 [きかいか] /(n,vs) (1) mechanization/mechanisation/(2) (comp) computerization/(P)/
機械科 [きかいか] /(n) course in (of) mechanical engineering/
機械確認 [きかいかくにん] /(n) machine-validation/
機械学 [きかいがく] /(n) mechanics/
機械機能 [きかいきのう] /(n) (comp) machine function/
機械技師 [きかいぎし] /(n) mechanical engineer/mechanician/
機械技術 [きかいぎじゅつ] /(n) machine technology/mechanical technology/
機械警備 [きかいけいび] /(n) card-key system/
機械語 [きかいご] /(n) (comp) machine language/machine word/computer word/
機械語命令 [きかいごめいれい] /(n) (comp) machine instruction/
機械工 [きかいこう] /(n) machinist/mechanic/
機械工学 [きかいこうがく] /(n) mechanical engineering/
機械工業 [きかいこうぎょう] /(n) the machine industry/
機械最小値 [きかいさいしょうち] /(n) (comp) machine infinitesimal/
機械仕掛け [きかいじかけ] /(n) mechanical/mechanized/mechanised/
機械設計 [きかいせっけい] /(n) (comp) mechanical design/
機械体操 [きかいたいそう] /(iK) (n) apparatus gymnastics/artistic gymnastics/
機械的 [きかいてき] /(adj-na) mechanical/
機械的エネルギー [きかいてきエネルギー] /(n) mechanical energy/
機械的唯物論 [きかいてきゆいぶつろん] /(n) mechanistic materialism/
機械馬鹿 [きかいばか] /(n) skilled engineer (mechanic) who is clumsy in all other matters/person who gets a great kick out of tinkering with anything mechanical/
機械文明 [きかいぶんめい] /(n) technical civilization/technical civilisation/
機械編み [きかいあみ] /(n) machine-woven/machine-knit/
機械翻訳 [きかいほんやく] /(n) (comp) machine translation/mechanical translation/automatic translation/
機械命令 [きかいめいれい] /(n) (comp) machine instruction/
機械油 [きかいあぶら] /(n) machine oil/
機械論 [きかいろん] /(n) (in philosophy) mechanism/
機関 [からくり] /(n) (1) (uk) mechanism/machinery/contrivance/device/(2) (uk) trick/dodge/(3) (uk) (abbr) mechanical doll/string puppet/
機関 [きかん] /(n) (1) engine/(2) agency/organisation/organization/institution/organ/(3) system/facility/facilities/(P)/
機関庫 [きかんこ] /(n) roundhouse/
機関座 [きかんざ] /(n) seat of an engine/
機関士 [きかんし] /(n) engineer/
機関紙 [きかんし] /(n) bulletin/(party) organ/(P)/
機関誌 [きかんし] /(n) bulletin/
機関室 [きかんしつ] /(n) engine room/
機関車 [きかんしゃ] /(n) locomotive/engine/(P)/
機関手 [きかんしゅ] /(n) locomotive engineer/engine driver/
機関銃 [きかんじゅう] /(n) machine gun/(P)/
機関人形 [からくりにんぎょう] /(n) mechanical doll/automaton/string puppet/marionette/person who follows orders blindly/
機関長 [きかんちょう] /(n) chief engineer/
機関投資家 [きかんとうしか] /(n) institutional investor/
機関名 [きかんめい] /(n) (comp) name of corporate body/
機関名の階層性 [きかんめいのかいそうせい] /(n) (comp) hierarchy of name of corporate body/
機器 [きき] /(n) machinery and tools/(P)/
機宜 [きぎ] /(n) opportunity/occasion/
機業 [きぎょう] /(n) weaving or textile industry/
機業家 [きぎょうか] /(n) textile industrialist/
機具 [きぐ] /(n) (tools and) equipment/
機嫌 [きげん] /(n) humour/humor/temper/mood/(P)/
機嫌がいい [きげんがいい] /(exp,adj-i) in a good mood/
機嫌がよい [きげんがよい] /(exp,adj-i) in a good mood/
機嫌がわるい [きげんがわるい] /(exp,adj-i) in a bad mood/
機嫌が悪い [きげんがわるい] /(exp,adj-i) in a bad mood/
機嫌が取りにくい [きげんがとりにくい] /(exp) hard to please/difficult to get on the right side of/
機嫌が取り悪い [きげんがとりにくい] /(exp) hard to please/difficult to get on the right side of/
機嫌が取り難い [きげんがとりにくい] /(exp) hard to please/difficult to get on the right side of/
機嫌が良い [きげんがいい] /(exp,adj-i) in a good mood/
機嫌が良い [きげんがよい] /(exp,adj-i) in a good mood/
機嫌の悪い [きげんのわるい] /(exp,adj-i) bad-tempered/
機嫌をとり結ぶ [きげんをとりむすぶ] /(exp,v5b) to curry favour with/
機嫌をとる [きげんをとる] /(exp,v5r) to curry favour/to butter up/to fawn over/to humour someone (humor)/to put in a good mood (e.g. a baby)/
機嫌をなおす [きげんをなおす] /(v5s,exp) to put back in a good mood/to cheer up/
機嫌を取り結ぶ [きげんをとりむすぶ] /(exp,v5b) to curry favour with/
機嫌を取る [きげんをとる] /(exp,v5r) to curry favour/to butter up/to fawn over/to humour someone (humor)/to put in a good mood (e.g. a baby)/
機嫌を取結ぶ [きげんをとりむすぶ] /(exp,v5b) to curry favour with/
機嫌を損ねる [きげんをそこねる] /(exp,v1) to displease/to offend/to hurt (a person's) feelings/
機嫌を直す [きげんをなおす] /(v5s,exp) to put back in a good mood/to cheer up/
機嫌気褄 [きげんきづま] /(n) humor/temper/mood/
機嫌取り [きげんとり] /(n) (1) currying favour/being anxious to please/(2) bootlicker/
機嫌上戸 [きげんじょうご] /(n) merry drinker/
機嫌買い [きげんかい] /(n) fickle/capricious/
機嫌奉伺 [きげんほうし] /(n) inquiring into the health (frame of mind) of someone/paying one's respects to someone/
機巧 [きこう] /(n) trick/contrivance/cleverness/
機構 [きこう] /(n) mechanism/organization/organisation/(P)/
機構改革 [きこうかいかく] /(n) reorganization/reorganisation/structural reform/
機甲 [きこう] /(n,adj-no) armour (e.g. tank)/armor/
機根 [きこん] /(n) (1) patience/perseverance/(2) ability of the common man to understand Buddhist teachings/
機才 [きさい] /(n) shrewdness/
機材 [きざい] /(n) machine parts/machinery/equipment/(P)/
機軸 [きじく] /(n) axis/axle/plan/contrivance/
機種 [きしゅ] /(n) type of equipment/model/(P)/
機種依存 [きしゅいぞん] /(n) (comp) machine-dependent/
機種依存文字 [きしゅいそんもじ] /(n) (comp) machine dependent characters/platform dependent characters/
機種依存文字 [きしゅいぞんもじ] /(n) (comp) machine dependent characters/platform dependent characters/
機種選定作業 [きしゅせんていさぎょう] /(exp) equipment selection work/
機首 [きしゅ] /(n) nose (of plane)/(P)/
機銃 [きじゅう] /(n) machine gun/
機銃掃射 [きじゅうそうしゃ] /(n) machine-gun fire/
機序 [きじょ] /(n) mechanism/
機上 [きじょう] /(n) aboard an aeroplane (airplane)/
機織 [はたおり] /(n) weaving/weaver/
機織り [はたおり] /(n) weaving/weaver/
機織り虫 [はたおりむし] /(n) grasshopper/
機織鳥 [はたおりどり] /(n) (uk) weaverbird/weaver (any of a number of birds in family Ploceidae that weave elaborate nests)/
機先 [きせん] /(n) forestall/
機先を制する [きせんをせいする] /(exp,vs-s) to beat someone to the punch/to have the drop/to forestall/
機体 [きたい] /(n) fuselage/airframe/(P)/
機知 [きち] /(n) wit/resources/tact/
機知に富む [きちにとむ] /(exp,v5m) to be quick-witted/to be resourceful/
機知縦横 [きちじゅうおう] /(n,adj-no) being very witty/very ingenious and resourceful/
機智 [きち] /(n) wit/resources/tact/
機智縦横 [きちじゅうおう] /(n,adj-no) being very witty/very ingenious and resourceful/
機長 [きちょう] /(n) pilot/(P)/
機転 [きてん] /(n) quick wittedness/tact/cleverness/
機動 [きどう] /(n) (1) maneuver (usu. of military force)/manoeuvre/(adj-f) (2) mobile/nimble/agile/quick to respond/(P)/
機動演習 [きどうえんしゅう] /(n) maneuvers/manoeuvres/
機動計画 [きどうけいかく] /(n) scheme of maneuver/scheme of manoeuvre/
機動警察 [きどうけいさつ] /(n) mobile police/
機動性 [きどうせい] /(n) cavalry/mobility/maneuverability/
機動隊 [きどうたい] /(n) riot police/riot squad/(P)/
機動的 [きどうてき] /(adj-na) agile, flexible (e.g. of corporate management)/nimble/quick to respond/
機動部隊 [きどうぶたい] /(n) mobile troops/mechanized unit/mechanised unit/naval task force/
機動力 [きどうりょく] /(n) mobility/
機内 [きない] /(n) inside a plane/
機内持ち込み [きないもちこみ] /(adj-no) (of luggage, etc.) able to be taken into the cabin of the aircraft/carry-on/
機内食 [きないしょく] /(n) in-flight meal/
機能 [きのう] /(n,vs) function/facility/faculty/feature/(P)/
機能キー [きのうキー] /(n) function key/
機能概要 [きのうがいよう] /(n) (comp) functional overview/
機能強化 [きのうきょうか] /(n) (comp) functional enhancement/
機能語 [きのうご] /(n) keyword/
機能仕様 [きのうしよう] /(n) (comp) functional specification/
機能指示記号 [きのうしじきごう] /(n) (comp) role indicator/
機能試験 [きのうしけん] /(n) (comp) capability tests/
機能試験マクロ [きのうしけんマクロ] /(n) (comp) feature test macro/
機能主義 [きのうしゅぎ] /(n) functionalism/
機能縮退 [きのうしゅくたい] /(n) (comp) failsoft/
機能障害 [きのうしょうがい] /(n) functional disorder/dysfunction/
機能診断テスト [きのうしんだんテスト] /(n) (comp) Diagnostic Function Test/
機能性食品 [きのうせいしょくひん] /(n) functional food/
機能設計 [きのうせっけい] /(n) (comp) functional design/
機能単位 [きのうたんい] /(n) (comp) functional unit/
機能単一化文法 [きのうたんいつかぶんぽう] /(n) (ling) functional unification grammar/FUG/
機能停止 [きのうていし] /(n) (comp) stopping functioning/being out of service/
機能的 [きのうてき] /(adj-na) functional/efficient/
機能塗料 [きのうとりょう] /(n) functional coating/functional paint/
機能不全 [きのうふぜん] /(n) dysfunction (often medical)/malfunction/insufficiency/
機能分析 [きのうぶんせき] /(n) (comp) functional analysis/
機能文字 [きのうもじ] /(n) (comp) function character/
機能文字識別引数 [きのうもじしきべつひきすう] /(n) (comp) function character identification parameter/
機能面 [きのうめん] /(n) functional aspect/
機帆船 [きはんせん] /(n) motorized sailboat/motorised sailboat/
機尾 [きび] /(n) tail (of an aeroplane, airplane)/
機微 [きび] /(n) (1) subtleties/niceties/delicate signs/inner workings/(adj-na) (2) subtle/sensitive/
機敏 [きびん] /(adj-na,n) smart/quick/prompt/(P)/
機変 [きへん] /(n) adapting oneself to the requirements of the moment/playing it by ear/
機鋒 [きほう] /(n) brunt/
機密 [きみつ] /(n) secrecy/highly classified information/(P)/
機密事項 [きみつじこう] /(n) confidential matters/
機密情報 [きみつじょうほう] /(n) confidential information/
機密性 [きみつせい] /(n) confidentiality/
機密費 [きみつひ] /(n) secret funds/
機密文書 [きみつぶんしょ] /(n) confidential document/
機密保護 [きみつほご] /(n) (comp) security (e.g. data, password, etc.)/
機雷 [きらい] /(n) (sea) mine/(P)/
機雷艦艇 [きらいかんてい] /(n) mine warfare vessel/
機雷原 [きらいげん] /(n) minefield/
機略 [きりゃく] /(n) resources/maneuver/manoeuvre/
機略縦横 [きりゃくじゅうおう] /(n,adj-no) very resourcefully using tactics adapting oneself to the requirements of the moment/playing it by ear/acting according to circumstances/
機躡 [まねき] /(n) part of a loom/
帰す [かえす] /(v5s,vt) to send (someone) back/to send (someone) home/(P)/
帰す [きす] /(v5s) (1) to come to (in the end)/to end in/(2) to attribute/to blame/
帰する [きする] /(vs-s) (1) to come to (in the end)/to end in/(2) to attribute/to blame/
帰ってくる [かえってくる] /(exp,vk) to return/to come back/
帰って来る [かえってくる] /(exp,vk) to return/to come back/
帰り [かえり] /(n) return/coming back/(P)/
帰りがけ [かえりがけ] /(n-t) (1) on the way back/(2) when about to go back/
帰りしな [かえりしな] /(exp) (1) when about to go back/(2) on the way back/on the way home/
帰りなんいざ [かえりなんいざ] /(exp) (arch) Come away home! (expression suggesting quitting one's job and moving back to one's hometown)/
帰り掛け [かえりがけ] /(n-t) (1) on the way back/(2) when about to go back/
帰り支度 [かえりじたく] /(n) preparations for returning (home)/
帰り着く [かえりつく] /(v5k,vi) to arrive home/to return/
帰り道 [かえりみち] /(n) the way back or home/return trip/(P)/
帰り路 [かえりみち] /(n) the way back or home/return trip/
帰る [かえる] /(v5r,vi) (1) to return/to come home/to go home/to go back/(2) (of a guest, customer, etc.) to leave/(3) (of a baseball player rounding the bases) to get home/(P)/
帰れ [かえれ] /(n) Go home/Get out/
帰依 [きえ] /(n,vs) devotion/(religious) conversion/(P)/
帰依者 [きえしゃ] /(n) convert/
帰一 [きいつ] /(n,vs) united into one/
帰営 [きえい] /(n,vs) returning to military duty/
帰化 [きか] /(n,vs) naturalization/naturalisation/(P)/
帰化植物 [きかしょくぶつ] /(n) naturalized plant/naturalised plant/
帰化人 [きかじん] /(n) naturalized citizen/naturalised citizen/
帰化動物 [きかどうぶつ] /(n) naturalized animal/naturalised animal/
帰臥 [きが] /(n,vs) quitting one's job as a government official to return to live quietly in one's own native region/
帰艦 [きかん] /(n,vs) returning to one's (war)ship/
帰還 [きかん] /(n,vs) (1) repatriation/return/(2) (electrical) feedback/(P)/
帰還者 [きかんしゃ] /(n) returnee/
帰還不能限界点 [きかんふのうげんかいてん] /(n) the point of no return/
帰還兵 [きかんへい] /(n) returned soldier/
帰休 [ききゅう] /(n,vs) (military) leave/furlough/(P)/
帰去来 [ききょらい] /(n) (arch) quitting one's job and moving back to one's hometown/
帰京 [ききょう] /(n,vs) returning to Tokyo/(P)/
帰郷 [ききょう] /(n,vs) homecoming/return to one's home/
帰結 [きけつ] /(n,vs) consequence/result/conclusion/
帰校 [きこう] /(n,vs) returning to school/
帰港 [きこう] /(n,vs) returning to port/
帰航 [きこう] /(n,vs,adj-no) homeward voyage or flight/
帰国 [きこく] /(n,vs) return to one's country/(P)/
帰国の途に就く [きこくのとにつく] /(exp,v5k) to leave for home/
帰国セール [きこくセール] /(n) sale of one's belongings before returning to one's country/sayonara sale/
帰国子女 [きこくしじょ] /(n) child who has returned to his or her country/returnee/
帰国子女枠 [きこくしじょわく] /(n) special consideration for students who have lived abroad/
帰阪 [きはん] /(n) returning to Osaka/
帰参 [きさん] /(n,vs) returning to the service of one's master/
帰社 [きしゃ] /(n,vs) return to office/
帰趣 [きしゅ] /(n) direction/
帰順 [きじゅん] /(n,vs) submission/return to allegiance/
帰省 [きせい] /(n,vs) homecoming/returning home/(P)/
帰省ラッシュ [きせいラッシュ] /(n) holiday traffic congestion caused by people travelling to their hometowns en masse/
帰心 [きしん] /(n) homesickness/
帰趨 [きすう] /(n,vs) tendency/trend/drift/
帰巣 [きすう] /(ik) (n) homing (instinct)/
帰巣 [きそう] /(n) homing (instinct)/
帰巣性 [きそうせい] /(n) homing instinct/
帰巣本能 [きそうほんのう] /(n) homing instinct/
帰蔵 [きぞう] /(n) Gui Cang (Yin period method of Chinese divination)/
帰属 [きぞく] /(n,vs) belonging to/(P)/
帰属意識 [きぞくいしき] /(n) (a feeling of) identification (with)/sense of belonging/
帰属価格 [きぞくかかく] /(n) imputed price/
帰属収入 [きぞくしゅうにゅう] /(n) imputed income/
帰属所得 [きぞくしょとく] /(n) imputed income/
帰属問題 [きぞくもんだい] /(n) question of possession (e.g. of the Kuril Islands)/
帰村 [きそん] /(n,vs) returning to one's village/
帰宅 [きたく] /(n,vs) returning home/(P)/
帰宅困難者 [きたくこんなんしゃ] /(n) travellers (e.g. commuters, students, etc.) who have difficulty returning home, esp. after a large-scale earthquake/
帰宅部 [きたくぶ] /(n) go-home club (refers to the group of school pupils who do are not members of any club)/
帰着 [きちゃく] /(n,vs) return/conclusion/
帰朝 [きちょう] /(n,vs) returning from abroad/coming back to one's country (Japan)/
帰天 [きてん] /(n,vs) death of a Christian (in Catholicism)/
帰途 [きと] /(n,adj-no) on the way back/returning/(P)/
帰島 [きとう] /(n,vs) to return to an island/
帰投 [きとう] /(n,vs) return to base of soldiers, military aircraft or ships/
帰任 [きにん] /(n,vs) return to one's post/
帰納 [きのう] /(n,vs) (math) induction/recursion/
帰納的 [きのうてき] /(adj-na,n) inductive/recursive/
帰納的関数 [きのうてきかんすう] /(n) (comp) recursive function/
帰納法 [きのうほう] /(n) induction/inductive method/
帰納論理学 [きのうろんりがく] /(n) (obsc) inductive logic/
帰農 [きのう] /(n,vs) take up farming again/
帰帆 [きはん] /(n,vs) returning sailboat/setting sail for home port/
帰謬法 [きびゅうほう] /(n) reductio ad absurdum/
帰伏 [きふく] /(n,vs) submission/surrender/
帰服 [きふく] /(n,vs) submission/surrender/
帰米 [きべい] /(n) name given to Japanese-American children (nisei) who were sent by their parents to Japan before WW2 to receive their schooling/
帰無仮説 [きむかせつ] /(n) null hypothesis/
帰幽 [きゆう] /(n) death (Shinto term)/
帰来 [きらい] /(n,vs) returning/
帰路 [きろ] /(n-adv,n-t) one's way back/(P)/
毅然 [きぜん] /(n,adj-t,adv-to) fortitude/firmness/resolution/
毅然として [きぜんとして] /(exp) with resolution/
気 [き] /(n) (1) spirit/mind/heart/(2) nature/disposition/(3) motivation/intention/(4) mood/feelings/(5) atmosphere/essence/(P)/
気 [ぎ] /(suf) -like nature/-like disposition/-ish temperament/
気 [け] /(n,n-suf) (1) sign/indication/trace/touch/feeling/(n-pref) (2) somehow/for some reason/seeming to be/
気 [げ] /(suf) (uk) seeming/giving the appearance of/giving one the feeling of/
気おされる [けおされる] /(v1,vi) to be overawed/to be overpowered/to lose the mental battle/
気がある [きがある] /(exp,v5r-i) to have an interest (in something)/to feel inclined (toward doing something)/
気がいい [きがいい] /(adj-i) good-natured/
気がかり [きがかり] /(adj-na,n) anxiety/concern/worry/
気がすすまない [きがすすまない] /(exp,adj-i) reluctant to/not inclined to/disinclined/unwilling/
気がすまない [きがすまない] /(exp) not to be able to settle down (if something is not done)/must (do something)/
気がすむ [きがすむ] /(exp,v5m) to be satisfied/to feel good/
気がする [きがする] /(exp,vs) to have a certain mood or feeling/to have a hunch/
気がせく [きがせく] /(exp,v5k) to feel under pressure/to feel impatient/to be in a hurry/
気がちる [きがちる] /(exp,v1) to get distracted/to jump off the track/
気がつく [きがつく] /(v5k) (1) to notice/to become aware/to perceive/to realize/to realise/(2) to recover consciousness/to come to oneself/
気がとがめる [きがとがめる] /(exp,v1) to feel guilty/to suffer from a guilty conscience/to feel uneasy/to have qualms about/to have scruples about/to feel regret/
気がない [きがない] /(exp) (1) to be uninterested/(adj-f) (2) indifferent/listless/
気がふさぐ [きがふさぐ] /(exp,v5g) to feel depressed/
気がふれる [きがふれる] /(exp,v1) to go mad/to go crazy/to lose one's mind/
気がめいる [きがめいる] /(exp,v5r) to feel depressed/to be down/
気が違う [きがちがう] /(exp,v5u) (col) to be mad/to go mad/to go insane/
気が引ける [きがひける] /(v1,exp) to feel awkward/to feel shy/
気が遠くなる [きがとおくなる] /(exp,v5r) (1) to faint/to lose consciousness/(2) to feel overwhelmed/to be astounded/
気が回らない [きがまわらない] /(exp) not getting around to (as far as) considering/
気が回る [きがまわる] /(exp,v5r) (1) to be attentive to small details/(2) to be attentive to others (or others' concerns)/(3) to have one's mind turn groundlessly to something negative/
気が楽 [きがらく] /(exp) feeling good/feeling at ease/feeling easy/
気が緩ん [きがゆるん] /(n) lack of vigilance/
気が気じゃない [きがきじゃない] /(exp) feel uneasy/on tenterhooks/in suspense/
気が気でない [きがきでない] /(exp) feel uneasy/on tenterhooks/in suspense/
気が詰まる [きがつまる] /(exp,v5r) to feel constrained/to feel ill at ease/
気が急く [きがせく] /(exp,v5k) to feel under pressure/to feel impatient/to be in a hurry/
気が強い [きがつよい] /(exp,adj-i) strong-willed/strong of heart/
気が強くなる [きがつよくなる] /(exp,v5r) to feel more confident/
気が狂う [きがくるう] /(exp,v5u) to go mad/to go crazy/
気が向かない [きがむかない] /(exp,adj-i) not inclined (to do)/reluctant/unwilling/
気が向く [きがむく] /(exp,v5k) to feel like/to feel inclined to do/
気が荒い [きがあらい] /(exp,adj-i) bad-tempered/quarrelsome/
気が合う [きがあう] /(exp,v5u) to get along (with someone)/
気が差す [きがさす] /(exp,v5s) to feel uneasy/to worry (about something)/
気が塞ぐ [きがふさぐ] /(exp,v5g) to feel depressed/
気が済まない [きがすまない] /(exp) not to be able to settle down (if something is not done)/must (do something)/
気が済む [きがすむ] /(exp,v5m) to be satisfied/to feel good/
気が散る [きがちる] /(exp,v1) to get distracted/to jump off the track/
気が若い [きがわかい] /(exp,adj-i) young at heart/
気が弱い [きがよわい] /(exp) timid/faint of heart/
気が重い [きがおもい] /(exp,adj-i) depressed/bummed out/down/heavy-hearted/heavy-spirited/feeling reluctant (to do)/
気が勝つ [きがかつ] /(exp,v5t) to be determined or strong-willed/
気が小さい [きがちいさい] /(exp,adj-i) timid/faint-hearted/wimpish/
気が触れる [きがふれる] /(exp,v1) to go mad/to go crazy/to lose one's mind/
気が進まない [きがすすまない] /(exp,adj-i) reluctant to/not inclined to/disinclined/unwilling/
気が晴れる [きがはれる] /(exp,v1) to feel refreshed/to feel more cheerful/to feel better/
気が早い [きがはやい] /(exp,adj-i) short-tempered/quick-tempered/hasty/
気が多い [きがおおい] /(exp,adj-i) fickle/
気が大きい [きがおおきい] /(exp,adj-i) generous/big-hearted/
気が短い [きがみじかい] /(exp,adj-i) quick-tempered/having little patience/impatient/
気が知れない [きがしれない] /(exp,adj-i) unable to understand (reason, motive, etc.)/
気が置けない [きがおけない] /(exp,adj-i) easy to get on with/not needing reserve or formality/personable/affable/approachable/
気が張る [きがはる] /(exp,v5r) to strain every nerve/to feel nervous/
気が長い [きがながい] /(exp,adj-i) patient/having a long fuse/
気が転倒する [きがてんとうする] /(exp,vs-i) to be upset/to be flurried/to be frightened (out of one's wits)/
気が動転する [きがどうてんする] /(exp,vs-i) to be upset/to lose one's head (through shock)/to be frightened to death/
気が抜ける [きがぬける] /(exp,v1) (1) to feel exhausted (after having been stressed)/to feel spent/to feel relieved (from stress)/(2) to become stale (i.e. of a carbonated beverage)/to go flat/to lose flavor/to lose flavour/
気が付く [きがつく] /(v5k) (1) to notice/to become aware/to perceive/to realize/to realise/(2) to recover consciousness/to come to oneself/
気が腐る [きがくさる] /(exp,v5r) to feel dispirited/to feel discouraged/
気が紛れる [きがまぎれる] /(exp,v1) to be diverted (distracted) from/
気が変 [きがへん] /(adj-na) insane/mad/crazy/light in the head/
気が変になる [きがへんになる] /(exp,v5r) to go crazy/to lose one's mind/
気が変わる [きがかわる] /(exp,v5r) to change one's mind/
気が漫ろ [きがそぞろ] /(exp) preoccupied/distracted/
気が無い [きがない] /(exp) (1) to be uninterested/(adj-f) (2) indifferent/listless/
気が滅入る [きがめいる] /(exp,v5r) to feel depressed/to be down/
気が利く [きがきく] /(exp,v5k) (1) to be sensible/to be smart/(2) to be thoughtful/to be tactful/to be sensitive/
気が立つ [きがたつ] /(exp,v5t) to be excited about/to get all worked up about/
気が咎める [きがとがめる] /(exp,v1) to feel guilty/to suffer from a guilty conscience/to feel uneasy/to have qualms about/to have scruples about/to feel regret/
気が揉める [きがもめる] /(exp,v1) to feel anxious/to feel uneasy/to worry/
気さえする [きさえする] /(exp,vs) to have a certain mood or feeling/to have a hunch/
気さく [きさく] /(adj-na,n) frank/sociable/good humored/good humoured/candid/openhearted/ready/willing/
気だて [きだて] /(n) disposition/nature/
気だるい [けだるい] /(adj-i) languid/listless/
気っ風 [きっぷ] /(n) character/disposition/spirit/
気つけ薬 [きつけぐすり] /(n) restorative/smelling salts/
気づかう [きづかう] /(v5u,vi) to worry about/to feel anxious about/to have apprehensions of/
気づかれ [きづかれ] /(n,vs) mental fatigue/worry/boredom/(P)/
気づく [きづく] /(v5k) to notice/to recognize/to recognise/to become aware of/to perceive/to realize/to realise/
気づまり [きづまり] /(adj-na) constrained/uncomfortable/awkward/
気で気を病む [きできをやむ] /(exp,v5m) to worry without reason/to fret/
気どり [きどり] /(n) affectation/pretension/
気どる [きどる] /(v5r,vt) to affect/to put on airs/
気にいる [きにいる] /(v5r,exp) to be pleased with/to suit/
気にかかる [きにかかる] /(v5r,vi,exp) to weigh on one's mind/to be worried about (something)/
気にかける [きにかける] /(exp,v1,vt) to weigh on one's mind/to trouble one's heart/to be concerned about/to worry about/
気にくわない [きにくわない] /(exp,adj-i) unable to stomach/sticking in one's throat/
気にさわる [きにさわる] /(exp,v5r) to hurt one's feelings/to rub someone the wrong way/
気にしない [きにしない] /(exp,adj-i) not caring/not giving a damn/
気にする [きにする] /(exp,vs-i) to mind (negative nuance)/to care about/to worry/to pay undue (amount of) attention to (something)/
気にするな [きにするな] /(exp) Never mind!/Don't worry about it/
気にとめる [きにとめる] /(exp,v1) to (keep in) mind/to give heed to/to pay attention to/
気になる [きになる] /(exp,vi,v5r) to be on one's mind/to worry one/to care about/to be bothered by/to feel uneasy/to be anxious/to feel inclined/
気にもしない [きにもしない] /(exp,adj-i) not care/not caring/
気にもとめない [きにもとめない] /(exp,adj-i) to pay no heed to/to not care about/to take no notice of/
気にも留めない [きにもとめない] /(exp,adj-i) to pay no heed to/to not care about/to take no notice of/
気に掛かる [きにかかる] /(v5r,vi,exp) to weigh on one's mind/to be worried about (something)/
気に掛ける [きにかける] /(exp,v1,vt) to weigh on one's mind/to trouble one's heart/to be concerned about/to worry about/
気に召す [きにめす] /(exp,v5s) (obsc) to like/to prefer/to be pleased by/
気に障る [きにさわる] /(exp,v5r) to hurt one's feelings/to rub someone the wrong way/
気に触る [きにさわる] /(iK) (exp,v5r) to hurt one's feelings/to rub someone the wrong way/
気に食わない [きにくわない] /(exp,adj-i) unable to stomach/sticking in one's throat/
気に染む [きにそむ] /(exp,v5m) to like/to suit/to be pleased with/
気に入り [きにいり] /(n) favorite/favourite/pet/(P)/
気に入る [きにいる] /(v5r,exp) to be pleased with/to suit/(P)/
気に病む [きにやむ] /(exp,v5m) to worry/to fret (over something)/to be worried/to be anxious/
気に留める [きにとめる] /(exp,v1) to (keep in) mind/to give heed to/to pay attention to/
気のせい [きのせい] /(exp,n) in one's imagination/(P)/
気のない [きのない] /(adj-i) indifferent/half-hearted/dispirited/listless/
気の詰まる [きのつまる] /(exp,adj-f) constrained/ill at ease/
気の強い [きのつよい] /(adj-i) strong-willed/strong of heart/
気の向くままに [きのむくままに] /(adv) at one's fancy (whim)/(P)/
気の向く侭に [きのむくままに] /(adv) at one's fancy (whim)/
気の荒い [きのあらい] /(adj-i) bad-tempered/quarrelsome/
気の持ちよう [きのもちよう] /(exp) one's frame of mind/way one looks at things/
気の弱い [きのよわい] /(adj-i) timid/faint of heart/
気の所為 [きのせい] /(exp,n) in one's imagination/
気の小さい [きのちいさい] /(exp,adj-i) timid/faint-hearted/wimpish/
気の早い [きのはやい] /(exp,adj-i) short-tempered/quick-tempered/hasty/
気の多い [きのおおい] /(exp,adj-i) fickle/having many romantic interests/
気の大きい [きのおおきい] /(exp) generous/big-hearted/
気の短い [きのみじかい] /(adj-i) quick-tempered/impatient/
気の置けない [きのおけない] /(adj-i) amiable/affable/
気の長い [きのながい] /(adj-i) patient/
気の毒 [きのどく] /(adj-na,n) pitiful/unfortunate/(a) pity/(P)/
気の病 [きのやまい] /(n) nervous breakdown/neurosis/sickness from anxiety/
気の無い [きのない] /(adj-i) indifferent/half-hearted/dispirited/listless/
気の迷い [きのまよい] /(exp) delusion/trick of the imagination/
気の利いた [きのきいた] /(adj-f) sensible/clever/smart/decent/tasteful/
気の利く [きのきく] /(exp,adj-f) (1) attentive/scrupulous/tactful/(2) tasteful/smart/
気はくがない [きはくがない] /(exp) lacking spirit, vigour (vigor)/
気は確かだ [きはたしかだ] /(n) in one's senses/sane/
気は持ち様 [きはもちよう] /(exp) (id) Everything depends on how you look at it/
気は心 [きはこころ] /(exp) it's the thought that counts/
気まかせ [きまかせ] /(adj-na,n) doing as one pleases/following one's nose/
気まぐれ [きまぐれ] /(adj-na,n) whim/caprice/whimsy/fickle/moody/uneven temper/(P)/
気まぐれで [きまぐれで] /(exp) on a whim/
気まじめ [きまじめ] /(iK) (adj-na,n) too serious/person who is too serious/honesty/sincerity/
気まずい [きまずい] /(adj-i) (uk) unpleasant/awkward/
気まま [きまま] /(adj-na,n) willful/wilful/selfish/selfishness/one's own way/(P)/
気もそぞろ [きもそぞろ] /(exp) feeling restless/feeling nervous/fidgety/distracted/
気もない [けもない] /(exp) (1) showing no signs of ~~/there being no hint of ~~/(2) (arch) unthinkable/
気も狂わんばかり [きもくるわんばかり] /(adv) frantically/maddeningly/to distraction/
気も漫ろ [きもそぞろ] /(exp) feeling restless/feeling nervous/fidgety/distracted/
気も無い [けもない] /(exp) (1) showing no signs of ~~/there being no hint of ~~/(2) (arch) unthinkable/
気をくばる [きをくばる] /(exp,v5r) to pay attention/to be watchful/
気をそらす [きをそらす] /(exp,v5s) to distract/
気をつかう [きをつかう] /(exp,v5u) to pay attention to another's needs/to attend to/to fuss about/to take into consideration/
気をつけて [きをつけて] /(exp) take care/be careful/
気をつける [きをつける] /(exp,v1) to be careful/to pay attention/to take care/
気をのまれる [きをのまれる] /(exp,v1) to be overwhelmed/to be overawed/
気をはる [きをはる] /(exp,v5r) to steel oneself to/to brace oneself/
気をもむ [きをもむ] /(exp,v5m) to worry/to fret/to get anxious/
気をよくする [きをよくする] /(exp,vs-i) to be pleased/to be in a good mood/
気を悪くする [きをわるくする] /(exp,vs-i) to take offense (at)/to take offence (at)/to feel hurt (by)/
気を逸らす [きをそらす] /(exp,v5s) to distract/
気を引き締める [きをひきしめる] /(exp,v1) to brace oneself/to focus one's energies/to focus one's mind/
気を引き立てる [きをひきたてる] /(exp,v1) to cheer/to raise somebody's spirits/
気を引く [きをひく] /(exp,v5k) (1) to attract someone's affection/(2) to sound out somebody/(3) to get one's hooks into/
気を回す [きをまわす] /(exp,v5s) to read too much into things/to get wrong ideas by letting one's imagination run wild/to have a groundless suspicion/
気を楽にする [きをらくにする] /(exp,vs-i) to relax/to take it easy/
気を緩める [きをゆるめる] /(exp,v1) to relax one's attention/
気を休める [きをやすめる] /(exp,v1) to ease up/to relax attention/
気を許す [きをゆるす] /(exp,v5s) to let one's guard down/
気を遣う [きをつかう] /(exp,v5u) to pay attention to another's needs/to attend to/to fuss about/to take into consideration/
気を散じる [きをさんじる] /(exp,v1) to distract a person's attention/
気を散らす [きをちらす] /(exp,v5s) to distract a person's attention/
気を使う [きをつかう] /(exp,v5u) to pay attention to another's needs/to attend to/to fuss about/to take into consideration/
気を持たす [きをもたす] /(exp,v5s) to encourage someone to expect something/to raise someone's hopes/
気を持たせる [きをもたせる] /(exp,v1) to encourage someone to expect something/to raise someone's hopes/
気を失う [きをうしなう] /(exp,v5u) to lose consciousness/to faint/to black out/
気を取られる [きをとられる] /(exp,v1) to have one's attention attracted (caught)/to be preoccupied with/
気を取りなおす [きをとりなおす] /(exp,v5s) to completely rethink/to pull one's self together/
気を取り直す [きをとりなおす] /(exp,v5s) to completely rethink/to pull one's self together/
気を晴らす [きをはらす] /(exp,v5s) to cheer (someone) up/
気を静める [きをしずめる] /(exp,v1) to becalm one's feelings/to compose oneself/
気を奪われる [きをうばわれる] /(exp,v1) to be engrossed/to be enthralled/
気を張る [きをはる] /(exp,v5r) to steel oneself to/to brace oneself/
気を長く持つ [きをながくもつ] /(exp,v5t) to be patient/
気を吐く [きをはく] /(exp,v5k) to make a good showing/
気を呑まれる [きをのまれる] /(exp,v1) to be overwhelmed/to be overawed/
気を入れる [きをいれる] /(exp,v1) to do in earnest/to concentrate on/to apply one's mind to/
気を配る [きをくばる] /(exp,v5r) to pay attention/to be watchful/
気を抜く [きをぬく] /(exp,v5k) to lose focus/to let one's mind wander/to relax one's attention/
気を病む [きをやむ] /(exp,v5m) to fret/to worry (negative implications)/
気を付け [きをつけ] /(exp) (Stand to) attention!/
気を付けて [きをつけて] /(exp) take care/be careful/
気を付ける [きをつける] /(exp,v1) to be careful/to pay attention/to take care/(P)/
気を腐らす [きをくさらす] /(exp,v5s) to have the blues/to be depressed/
気を紛らす [きをまぎらす] /(exp,v5s) to distract oneself/to take one's mind off one's worries/
気を落とす [きをおとす] /(exp,v5s) to be discouraged/to be disheartened/
気を利かせる [きをきかせる] /(exp,v1) (1) to (take in the situation, etc.) and make the smart move/(2) to (consider someone's feelings) and do the tactful or helpful thing/
気を良くする [きをよくする] /(exp,vs-i) to be pleased/to be in a good mood/
気を揉む [きをもむ] /(exp,v5m) to worry/to fret/to get anxious/
気圧 [きあつ] /(n) atmospheric pressure/(P)/
気圧される [けおされる] /(v1,vi) to be overawed/to be overpowered/to lose the mental battle/
気圧計 [きあつけい] /(n) barometer/
気圧配置 [きあつはいち] /(n) pressure pattern/
気安い [きやすい] /(adj-i) relaxed/familiar/easy to access/friendly/
気安め [きやすめ] /(n) mere consolation/temporary peace of mind/
気位 [きぐらい] /(n) pride/haughtiness/
気慰み [きなぐさみ] /(n) diversion/
気易い [きやすい] /(adj-i) relaxed/familiar/easy to access/friendly/
気移り [きうつり] /(n,vs) distraction/
気違い [きちがい] /(n,adj-no) (1) (sens) madness/madman/(2) enthusiast/freak/junkie/(P)/
気違いじみる [きちがいじみる] /(v1,vi) (sens) to look mad/to act nuts/to seem crazy/
気違いに刃物 [きちがいにはもの] /(exp) (sens) incredible danger (lit: a sword to an insane person)/
気違い沙汰 [きちがいざた] /(n) (sens) insane behavior/madness/
気違い染みる [きちがいじみる] /(v1,vi) (sens) to look mad/to act nuts/to seem crazy/
気韻 [きいん] /(n) dignity/refinement/
気韻生動 [きいんせいどう] /(n) being animated (vivid) with grace (elegance, refinement)/
気宇 [きう] /(n) breadth of mind/
気宇広大 [きうこうだい] /(n) magnanimous/
気宇仙 [きゅうせん] /(n) (uk) multicolorfin rainbowfish (Parajulis poecilepterus, was Halichoeres poecilopterus)/
気宇壮大 [きうそうだい] /(n,adj-na) magnanimous in one's attitude of mind/grand in one's idea or mind-set/
気欝 [きうつ] /(adj-na,n) gloom/mental depression/
気欝症 [きうつしょう] /(iK) (n) depression/melancholy/
気運 [きうん] /(n) luck/tendency/opportunity/trend/
気鋭 [きえい] /(adj-na,n,adj-no) spirited/energetic/(P)/
気炎 [きえん] /(n) high spirits/big talking/
気炎をあげる [きえんをあげる] /(exp,v1) to talk big/
気炎を上げる [きえんをあげる] /(exp,v1) to talk big/
気炎を揚げる [きえんをあげる] /(exp,v1) to talk big/
気炎万丈 [きえんばんじょう] /(n) in high spirits/talking big/
気焔 [きえん] /(n) high spirits/big talking/
気焔万丈 [きえんばんじょう] /(n) in high spirits/talking big/
気押される [けおされる] /(v1,vi) to be overawed/to be overpowered/to lose the mental battle/
気温 [きおん] /(n) atmospheric temperature/(P)/
気化 [きか] /(n,vs) vaporization/vaporisation/
気化器 [きかき] /(n) vaporizer/vaporiser/
気化熱 [きかねつ] /(n) vaporization heat/vaporisation heat/
気回りない [きまわりない] /(exp) inconsiderate (of rudeness, danger or rules)/
気回り無い [きまわりない] /(exp) inconsiderate (of rudeness, danger or rules)/
気慨 [きがい] /(iK) (n) strong spirit/mettle/backbone/guts/fighting spirit/
気概 [きがい] /(n) strong spirit/mettle/backbone/guts/fighting spirit/(P)/
気学 [きがく] /(n) fortune telling based on Chinese twelve year cycle/
気楽 [きらく] /(adj-na,n) at ease/comfortable/(P)/
気楽とんぼ [きらくとんぼ] /(n) happy-go-lucky fellow/easygoing and indifferent person/pococurante/
気楽にいこうぜ [きらくにいこうぜ] /(exp) take it easy/
気楽に行こうぜ [きらくにいこうぜ] /(exp) take it easy/
気楽トンボ [きらくトンボ] /(n) happy-go-lucky fellow/easygoing and indifferent person/pococurante/
気楽蜻蛉 [きらくとんぼ] /(n) happy-go-lucky fellow/easygoing and indifferent person/pococurante/
気掛かり [きがかり] /(adj-na,n) anxiety/concern/worry/(P)/
気掛り [きがかり] /(adj-na,n) anxiety/concern/worry/
気管 [きかん] /(n,adj-no) trachea/(P)/
気管支 [きかんし] /(n) bronchial tube/(P)/
気管支炎 [きかんしえん] /(n,adj-no) bronchitis/
気管支肺炎 [きかんしはいえん] /(n) bronchial pneumonia/
気管支喘息 [きかんしぜんそく] /(n) bronchial asthma/
気管切開 [きかんせっかい] /(n) tracheotomy/
気管挿管 [きかんそうかん] /(n) tracheal intubation/intubation/
気管内チューブ [きかんないチューブ] /(n) tracheal tube/
気詰まり [きづまり] /(adj-na) constrained/uncomfortable/awkward/
気詰り [きづまり] /(adj-na) constrained/uncomfortable/awkward/
気休め [きやすめ] /(n) mere consolation/temporary peace of mind/
気休めに [きやすめに] /(adv) for peace of mind/
気休めを言う [きやすめをいう] /(exp,v5u) to say things to ease one's mind/
気休め薬 [きやすめぐすり] /(n) placebo/
気球 [ききゅう] /(n) balloon/blimp/(P)/
気強い [きづよい] /(adj-i) reassuring/stouthearted/
気狂い [きちがい] /(n,adj-no) (1) (sens) madness/madman/(2) enthusiast/freak/junkie/
気狂いじみる [きちがいじみる] /(v1,vi) (sens) to look mad/to act nuts/to seem crazy/
気狂いに刃物 [きちがいにはもの] /(exp) (sens) incredible danger (lit: a sword to an insane person)/
気狂い沙汰 [きちがいざた] /(n) (sens) insane behavior/madness/
気狂い染みる [きちがいじみる] /(v1,vi) (sens) to look mad/to act nuts/to seem crazy/
気胸 [ききょう] /(n) pneumothorax/artificial pneumothorax/
気苦労 [きぐろう] /(n) worry/care/anxiety/
気軽 [きがる] /(adj-na) (1) carefree/buoyant/lighthearted/sprightly/(n) (2) ease/(P)/
気軽い [きがるい] /(adj-i) cheerful/buoyant/lighthearted/
気兼ね [きがね] /(adj-na,n,vs) hesitance/diffidence/feeling constraint/fear of troubling someone/having scruples about doing something/(P)/
気圏 [きけん] /(n) atmosphere/
気嫌 [きげん] /(iK) (n) humour/humor/temper/mood/
気懸かり [きがかり] /(adj-na,n) anxiety/concern/worry/
気遣い [きづかい] /(n) consideration/concern/fear/worry/solicitude/(P)/
気遣う [きづかう] /(v5u,vi) to worry about/to feel anxious about/to have apprehensions of/
気遣わしい [きづかわしい] /(adj-i) anxiously/with anxious looks/with anxiety/
気後れ [きおくれ] /(n,vs) nervous/timid/
気候 [きこう] /(n) climate/(P)/
気候学 [きこうがく] /(n) climatology/
気候帯 [きこうたい] /(n) climatic zone/
気候風土 [きこうふうど] /(n) climate and natural features (of a region)/
気候変動 [きこうへんどう] /(n) climate change/
気候変動に関する政府間パネル [きこうへんどうにかんするせいふかんパネル] /(n) Intergovernmental Panel on Climate Change/IPCC/
気功 [きこう] /(n) (MA) breathing exercise/breath control/spirit cultivation/chi kung/qigong/
気功師 [きこうし] /(n) qigong therapist/
気孔 [きこう] /(n) stoma/
気構え [きがまえ] /(n) (1) readiness/preparedness/attitude/(2) kanji "vapor" radical/
気高い [けだかい] /(adj-i) sublime/noble/high-minded/
気合 [きあい] /(n) scream/yell/fighting spirit/(P)/
気合い [きあい] /(n) scream/yell/fighting spirit/
気合いをいれる [きあいをいれる] /(exp,v1) (1) to fire oneself up/to give it one's all/to get psyched/to motivate oneself/(2) to fire someone up (with scolding, corporal punishment, etc.)/to rouse/
気合いをかける [きあいをかける] /(exp,v1) to cheer on/to raise a shout/
気合いを掛ける [きあいをかける] /(exp,v1) to cheer on/to raise a shout/
気合いを入れる [きあいをいれる] /(exp,v1) (1) to fire oneself up/to give it one's all/to get psyched/to motivate oneself/(2) to fire someone up (with scolding, corporal punishment, etc.)/to rouse/
気合い負け [きあいまけ] /(n) being overawed/
気合をいれる [きあいをいれる] /(exp,v1) (1) to fire oneself up/to give it one's all/to get psyched/to motivate oneself/(2) to fire someone up (with scolding, corporal punishment, etc.)/to rouse/
気合を入れる [きあいをいれる] /(exp,v1) (1) to fire oneself up/to give it one's all/to get psyched/to motivate oneself/(2) to fire someone up (with scolding, corporal punishment, etc.)/to rouse/
気骨 [きこつ] /(n) (moral) backbone/spirit/soul/grit/
気骨 [きぼね] /(n) worry/care/anxiety/
気骨稜々 [きこつりょうりょう] /(adj-t,adv-to) (a person with) strong moral fiber (backbone, determination)/
気骨稜稜 [きこつりょうりょう] /(adj-t,adv-to) (a person with) strong moral fiber (backbone, determination)/
気込み [きごみ] /(n) enthusiasm/ardour/zeal/
気根 [きこん] /(n) aerial root/
気散じ [きさんじ] /(adj-na,n) recreation/diversion/relaxation/
気持 [きもち] /(n) feeling/sensation/mood/
気持ち [きもち] /(n) feeling/sensation/mood/(P)/
気持ちいい [きもちいい] /(exp,adj-i) good feeling/feeling good/
気持ちよい [きもちよい] /(exp,adj-i) good feeling/feeling good/
気持ち悪い [きもちわるい] /(adj-i) bad feeling/feeling bad/disagreeable/unpleasant/revolting/gross/disgusting/
気持ち良い [きもちいい] /(exp,adj-i) good feeling/feeling good/
気持ち良い [きもちよい] /(exp,adj-i) good feeling/feeling good/
気室 [きしつ] /(n) air chamber/
気質 [かたぎ] /(n) spirit/character/trait/temperament/turn of mind/disposition/(P)/
気質 [きしつ] /(n) spirit/character/trait/temperament/turn of mind/disposition/(P)/
気弱 [きよわ] /(adj-na,n) timid/fainthearted/
気取り [きどり] /(n) affectation/pretension/
気取り屋 [きどりや] /(n) snob/affected person/
気取る [きどる] /(v5r,vt) to affect/to put on airs/(P)/
気取る [けどる] /(v5r,vt) to suspect/to sense/
気取子 [きどこ] /(n) girl who puts on airs/
気腫 [きしゅ] /(n) emphysema/
気受け [きうけ] /(n) popularity/favor/favour/
気重 [きおも] /(adj-na,n) heavy-hearted/
気象 [きしょう] /(n,adj-no) (1) weather/climate/(n) (2) (obsc) disposition/temperament/(P)/
気象衛星 [きしょうえいせい] /(n) weather satellite/
気象学 [きしょうがく] /(n) meteorology/(P)/
気象観測 [きしょうかんそく] /(n) weather observation/
気象観測船 [きしょうかんそくせん] /(n) weather ship/
気象危機 [きしょうきき] /(n) climate crisis/
気象情報 [きしょうじょうほう] /(n) weather (meteorology) information/
気象台 [きしょうだい] /(n) meteorological observatory/(P)/
気象庁 [きしょうちょう] /(n) (Japanese) Meteorological Agency/JMA/(P)/
気象通報 [きしょうつうほう] /(n) weather report/
気象予報 [きしょうよほう] /(n) weather forecasting/weather forecast/meteorological forecasting/meteorological forecast/
気象予報士 [きしょうよほうし] /(n) weather forecaster/(P)/
気障 [きざ] /(adj-na,n) (uk) (abbr) affected/smug/pompous/conceited/snobby/pretentious/(P)/
気障っぽい [きざっぽい] /(adj-i) affected (appearance, attitude)/stuck up/self-loving/
気障り [きざわり] /(adj-na) disagreeable/unpleasant/off-putting/disconcerting/
気丈 [きじょう] /(adj-na,n) stout-hearted/firm/(P)/
気丈夫 [きじょうぶ] /(adj-na,n) reassuring/
気乗り [きのり] /(n,vs) interested in/
気乗りしない [きのりしない] /(adj-i) indisposed/halfhearted/
気乗り薄 [きのりうす] /(adj-na) unenthusiastic/
気乗薄 [きのりうす] /(io) (adj-na) unenthusiastic/
気色 [きしょく] /(n) (1) mood/humor/humour/(2) looks/countenance/
気色 [けしき] /(n) sign/indication/
気色が悪い [きしょくがわるい] /(exp,adj-i) weird/disgusting/
気色の悪い [きしょくのわるい] /(exp,adj-i) weird/disgusting/sickening/
気色ばむ [けしきばむ] /(v5m,vi) to grow angry/to display one's anger/
気色悪い [きしょくわるい] /(adj-i) (1) weird/disgusting/sickening/(int) (2) yuck! (with an exclamation mark)/eww!/
気色立つ [けしきだつ] /(v5t) (1) to show signs of/(2) to show one's feelings or emotions in one's facial expression or behavior/(3) to put on airs/(4) to be become animated with voices and noise/
気触れ [かぶれ] /(n) (1) (uk) rash/eruption (in response to a skin irritant)/(n-suf) (2) influence (usu. negative or critical nuance)/(3) crazy about/having an affectation concerning all things surrounding something (esp. a language, a culture, etc.)/(P)/
気触れる [かぶれる] /(v1,vi) (1) to develop a rash or inflammation (e.g.in response to a skin irritant)/to react to (something)/(2) to be strongly influenced (usu. negative or critical nuance)/
気心 [きごころ] /(n) temper/disposition/(P)/
気心の知れた [きごころのしれた] /(adj-f) bosom (buddy)/trusted (friend)/
気振り [けぶり] /(n) sign/indication/
気真面目 [きまじめ] /(iK) (adj-na,n) too serious/person who is too serious/honesty/sincerity/
気吹 [いぶき] /(oK) (n) breath/
気吹く [いふく] /(ok) (v5k,vi) to breathe/
気吹く [いぶく] /(v5k,vi) to breathe/
気随 [きずい] /(adj-na,n) willful/wilful/as one pleases/
気随気儘 [きずいきまま] /(n) as one pleases/
気嵩 [きがさ] /(n,adj-na) (arch) having a competitive spirit/
気勢 [きせい] /(n) fervour/fervor/vigour/vigor/ardour/spirit/(P)/
気勢を削ぐ [きせいをそぐ] /(exp,v5g) to diminish (dampen) the spirit/
気勢を殺ぐ [きせいをそぐ] /(exp,v5g) to diminish (dampen) the spirit/
気性 [きしょう] /(n,adj-no) disposition/temperament/(P)/
気晴し [きばらし] /(n,vs) recreation/diversion/relaxation/
気晴らし [きばらし] /(n,vs) recreation/diversion/relaxation/(P)/
気絶 [きぜつ] /(n,vs) faint/swoon/(P)/
気絶させる [きぜつさせる] /(v1) to stun/to make someone swoon/
気前 [きまえ] /(n) generosity/(P)/
気前がいい [きまえがいい] /(exp) lavish/profuse/
気前がよい [きまえがよい] /(exp) lavish/profuse/
気前が良い [きまえがいい] /(exp) lavish/profuse/
気前が良い [きまえがよい] /(exp) lavish/profuse/
気前のいい [きまえのいい] /(n) lavish/profuse/
気前のよい [きまえのよい] /(n) lavish/profuse/
気前の良い [きまえのいい] /(n) lavish/profuse/
気前の良い [きまえのよい] /(n) lavish/profuse/
気組み [きぐみ] /(n) attitude/preparedness/
気早 [きばや] /(adj-na,n) quick-tempered/impatient/
気相 [きそう] /(n) (chem) gas phase/gaseous phase/
気相エピタキシー [きそうエピタキシー] /(n) vapor phase epitaxy/VPE/vapor phase epitaxial growth/
気相エピタキシャル成長 [きそうエピタキシャルせいちょう] /(n) vapor-phase epitaxial growth/vapor-phase epitaxy/VPE/
気送管 [きそうかん] /(n) pneumatic tube/
気息 [きそく] /(n) breathing/breath/
気息奄々 [きそくえんえん] /(adj-no,adj-t,adv-to) gasping for breath/at one's last gasp/breathing feebly/on the brink of death/more dead than alive/
気息奄奄 [きそくえんえん] /(adj-no,adj-t,adv-to) gasping for breath/at one's last gasp/breathing feebly/on the brink of death/more dead than alive/
気体 [きたい] /(n) vapour/vapor/gas/(P)/
気体定数 [きたいていすう] /(n) gas constant (R)/
気体反応の法則 [きたいはんのうのほうそく] /(n) law of combining volumes/
気体力学 [きたいりきがく] /(n) gas dynamics/
気怠い [けだるい] /(adj-i) languid/listless/
気短 [きみじか] /(adj-na,n) short-tempered/quick-tempered/impatient/
気団 [きだん] /(n) air mass/
気恥かしい [きはずかしい] /(adj-i) embarrassed/feeling ashamed or awkward/
気恥しい [きはずかしい] /(adj-i) embarrassed/feeling ashamed or awkward/
気恥ずかしい [きはずかしい] /(adj-i) embarrassed/feeling ashamed or awkward/
気中濃度 [きちゅうのうど] /(n) atmospheric concentration/aerial density/airborne concentration/
気張る [きばる] /(v5r) to strain or exert oneself/to go all out/
気長 [きなが] /(adj-na,n) patient/leisurely/
気転 [きてん] /(n) quick wittedness/tact/cleverness/
気筒 [きとう] /(n) cylinder/(P)/
気働き [きばたらき] /(n) taking appropriate action/tact/
気動車 [きどうしゃ] /(n) train powered by a diesel or internal-combustion engine/
気道 [きどう] /(n) respiratory tract/air duct/
気難しい [きむずかしい] /(adj-i) hard to please/moody/crusty/fastidious/(P)/
気難しい [きむづかしい] /(adj-i) hard to please/moody/crusty/fastidious/
気任せ [きまかせ] /(adj-na,n) doing as one pleases/following one's nose/
気嚢 [きのう] /(n) air bladder or sac/
気配 [きはい] /(n) (1) indication/sign/hint/presence/trend/(2) quotation (esp. stock market)/
気配 [けはい] /(n) (1) indication/sign/hint/presence/trend/(2) quotation (esp. stock market)/(P)/
気配もない [きはいもない] /(exp) showing no sign (of)/
気配もない [けはいもない] /(exp) showing no sign (of)/
気配り [きくばり] /(n,vs) care/attentiveness/attention/consideration/(P)/
気配を殺す [けはいをころす] /(exp,v5s) to erase all trace of something/
気迫 [きはく] /(n) spirit/soul/drive/vigor/vigour/(P)/
気迫がない [きはくがない] /(exp) lacking spirit, vigour (vigor)/
気抜け [きぬけ] /(n,vs) dispiritedness/dejection/languor/lethargy/
気疲れ [きづかれ] /(n,vs) mental fatigue/worry/boredom/
気品 [きひん] /(n) (1) elegance/refinement/grace/dignity/(2) aroma/
気品がある [きひんがある] /(exp,v5r-i) to be elegant/to be graceful/to be refined/
気品のある [きひんのある] /(adj-f) elegant/graceful/refined/
気不味い [きまずい] /(adj-i) (uk) unpleasant/awkward/
気付 [きづけ] /(suf) care of/CO/
気付いている [きづいている] /(exp,v1) to be aware/
気付き [きづき] /(n) awareness/
気付く [きづく] /(v5k) to notice/to recognize/to recognise/to become aware of/to perceive/to realize/to realise/(P)/
気付け [きつけ] /(n) (1) encouragement/bringing around/resuscitation/(2) stimulant/tonic/restorative/(3) (in) care of/
気付け [きづけ] /(n) (1) encouragement/bringing around/resuscitation/(2) stimulant/tonic/restorative/(3) (in) care of/
気付け薬 [きつけぐすり] /(n) restorative/smelling salts/
気負い [きおい] /(n) fighting spirit/fighting mood/(P)/
気負い立つ [きおいたつ] /(v5t) to rouse oneself/to psyche oneself up/
気負う [きおう] /(v5u,vi) to get worked up/to be eager (enthusiastic)/to rouse oneself/
気風 [きっぷ] /(n) character/traits/ethos/
気風 [きふう] /(n) character/traits/ethos/
気分 [きぶん] /(n) feeling/mood/(P)/
気分がいい [きぶんがいい] /(adj-i) feel good (pleasant)/
気分がふさぐ [きぶんがふさぐ] /(exp,v5g) to feel blue/to feel depressed/
気分がよい [きぶんがよい] /(adj-i) feel good (pleasant)/
気分がわるい [きぶんがわるい] /(exp,adj-i) feel sick/feel unwell/
気分が悪い [きぶんがわるい] /(exp,adj-i) feel sick/feel unwell/
気分が高まる [きぶんがたかまる] /(exp,v5r) to feel more like (a certain mood)/
気分が塞ぐ [きぶんがふさぐ] /(exp,v5g) to feel blue/to feel depressed/
気分が弾む [きぶんがはずむ] /(exp,v5m) to cheer up/
気分が良い [きぶんがいい] /(adj-i) feel good (pleasant)/
気分が良い [きぶんがよい] /(adj-i) feel good (pleasant)/
気分のいい [きぶんのいい] /(adj-i) pleasant feeling/good feeling/
気分のよい [きぶんのよい] /(adj-i) pleasant feeling/good feeling/
気分の良い [きぶんのいい] /(adj-i) pleasant feeling/good feeling/
気分の良い [きぶんのよい] /(adj-i) pleasant feeling/good feeling/
気分を高める [きぶんをたかめる] /(exp,v1) to raise somebody's spirits/to enhance a mood/
気分一新 [きぶんいっしん] /(n) complete change of mood/thoroughly refreshing one's spirits/
気分屋 [きぶんや] /(n) moody person/
気分高揚 [きぶんこうよう] /(n,adj-no) feeling exhilarated/
気分次第 [きぶんしだい] /(n,adj-no) according to (depending on) the mood of the moment/as one's fancy dictates/
気分障害 [きぶんしょうがい] /(n) mood disorder/
気分爽快 [きぶんそうかい] /(n) feeling great (refreshed)/
気分転換 [きぶんてんかん] /(n) change of pace/change of mood/(P)/
気紛れ [きまぐれ] /(adj-na,n) whim/caprice/whimsy/fickle/moody/uneven temper/
気変り [きがわり] /(n,vs) changing one's mind/
気変わり [きがわり] /(n,vs) changing one's mind/
気保養 [きほよう] /(n) diversion/change of pace/
気泡 [きほう] /(n) (air) bubble (esp. in a liquid)/(P)/
気泡緩衝材 [きほうかんしょうざい] /(n) bubble wrap/
気胞 [きほう] /(n) bladder/vesicle/
気忙しい [きぜわしい] /(adj-i) restless/fidgety/fussy/
気侭 [きまま] /(adj-na,n) willful/wilful/selfish/selfishness/one's own way/
気味 [きあじ] /(n) market sentiment (stock market)/market tone/
気味 [きび] /(n) (1) sensation/feeling/
気味 [きみ] /(n) (1) sensation/feeling/(2) tendency/propensity/(P)/
気味 [ぎみ] /(n-suf) -like/-looking/-looked/tending to .../
気味わるい [きびわるい] /(adj-i) unpleasant/uncomfortable/creepy/spooky/
気味わるい [きみわるい] /(adj-i) unpleasant/uncomfortable/creepy/spooky/
気味悪い [きびわるい] /(adj-i) unpleasant/uncomfortable/creepy/spooky/
気味悪い [きみわるい] /(adj-i) unpleasant/uncomfortable/creepy/spooky/
気密 [きみつ] /(adj-na,n,adj-no) airtight/
気密室 [きみつしつ] /(n) airtight chamber/
気脈 [きみゃく] /(n) blood vessel/conspiracy/collusion/
気脈を通じる [きみゃくをつうじる] /(exp,v1) to have secret communication with/to have a tacit understanding with/
気脈を通ずる [きみゃくをつうずる] /(exp,vz) to have secret communication with/to have a tacit understanding with/
気無精 [きぶしょう] /(adj-na,n) laziness/indolence/
気迷い [きまよい] /(n) wavering/hesitating/
気鳴楽器 [きめいがっき] /(n) aerophone/
気門 [きもん] /(n) spiracle (respiratory pores in the body of insects)/
気落ち [きおち] /(n,vs) discouraged/dispirited/despondent/
気立 [きだて] /(io) (n) disposition/nature/
気立て [きだて] /(n) disposition/nature/
気流 [きりゅう] /(n) atmospheric current/air current/airflow/
気力 [きりょく] /(n) willpower/energy/vitality/(P)/
気力旺盛 [きりょくおうせい] /(n,adj-na) being full of energy (drive, motivation, vitality)/
気力横溢 [きりょくおういつ] /(n) being full of vitality (energy)/in exuberant spirits/effervescent/ebullient/
気儘 [きまま] /(adj-na,n) willful/wilful/selfish/selfishness/one's own way/
気儘勝手 [きままかって] /(n,adj-na) self-willed/(doing or saying things) to suit one's own convenience/
気儘放題 [きままほうだい] /(n,adj-na) as selfishly (willfully) as one pleases/
気鬱 [きうつ] /(adj-na,n) gloom/mental depression/
気鬱症 [きうつしょう] /(n) depression/melancholy/
気稟 [きひん] /(n) innate character/temperament/disposition/
気魄 [きはく] /(n) spirit/soul/drive/vigor/vigour/
気魄がない [きはくがない] /(exp) lacking spirit, vigour (vigor)/
汽圧 [きあつ] /(n) steam pressure/
汽缶 [きかん] /(n) boiler/
汽缶室 [きかんしつ] /(n) boiler room/
汽車 [きしゃ] /(n) train (steam)/(P)/
汽車ぽっぽ [きしゃぽっぽ] /(n) (col) choo-choo train/
汽車ポッポ [きしゃポッポ] /(n) (col) choo-choo train/
汽車賃 [きしゃちん] /(n) train fare/
汽車馬陸 [きしゃやすで] /(n) (uk) Parafontaria laminata (species of millipede)/
汽水 [きすい] /(n) brackish water/
汽水域 [きすいいき] /(uK) (n) brackish waters (of an estuary)/
汽水湖 [きすいこ] /(n) brackish lake/
汽船 [きせん] /(n) steamship/steamboat/steamer/(P)/
汽船積み [きせんずみ] /(n) shipment by steamer/
汽艇 [きてい] /(n) (steam) launch/
汽笛 [きてき] /(n) steam whistle/(P)/
汽罐 [きかん] /(oK) (n) boiler/
畿内 [きない] /(n) territories in the vicinity of the capital and under direct imperial rule/(in Japanese history) the five kuni in the immediate vicinity of Kyoto/
祈とう [きとう] /(n,vs) prayer/exorcism/
祈とう者 [きとうしゃ] /(n) person who prays/
祈とう書 [きとうしょ] /(n) prayer book/
祈り [いのり] /(n) prayer/supplication/(P)/
祈り会 [いのりかい] /(n) prayer meeting/
祈り求める [いのりもとめる] /(exp,v1) to pray for/
祈る [いのる] /(v5r,vt) to pray/to wish/(P)/
祈願 [きがん] /(n,vs,adj-no) prayer/(P)/
祈願所 [きがんじょ] /(n) temple/shrine, especially one at which worshipers pray for favors/prayer hall/
祈誓 [きせい] /(n,vs) vow/oath/pledge/
祈請 [きせい] /(n,vs) entreaty/prayer/
祈祷 [きとう] /(n,vs) prayer/exorcism/(P)/
祈祷課題 [きとうかだい] /(n) prayer request/request for prayers/
祈祷会 [きとうえ] /(n) prayer meeting/
祈祷会 [きとうかい] /(n) prayer meeting/
祈祷師 [きとうし] /(n) medicine man/shaman/faith healer/witch doctor/
祈祷者 [きとうしゃ] /(n) person who prays/
祈祷書 [きとうしょ] /(n) prayer book/
祈年祭 [きねんさい] /(n) prayer service for a good crop/
祈年祭 [としごいのまつり] /(n) prayer service for a good crop/
祈念 [きねん] /(n,vs) prayer/(P)/
季 [き] /(n) (1) season/(2) seasonal word or phrase (in haiku)/(3) year/
季夏 [きか] /(n) (1) (obs) end of summer/(2) sixth month of the lunar calendar/
季刊 [きかん] /(n,adj-no) quarterly (e.g. magazine)/(P)/
季刊雑誌 [きかんざっし] /(n) quarterly (magazine)/
季刊誌 [きかんし] /(n) a quarterly (magazine)/
季寄せ [きよせ] /(n) dictionary of seasonal words (for haiku and haikai)/
季言葉 [きことば] /(n) (obsc) seasonal word (in haiku)/
季語 [きご] /(n) seasonal word (in haiku)/(P)/
季候 [きこう] /(n) season/climate/
季子 [きし] /(n) last child/
季詞 [きことば] /(n) (obsc) seasonal word (in haiku)/
季秋 [きしゅう] /(n) (1) (obs) end of autumn/(2) ninth month of the lunar calendar/
季春 [きしゅん] /(n) (1) late spring/(2) (obs) third month of the lunar calendar/
季節 [きせつ] /(n,adj-no) season/(P)/
季節はずれ [きせつはずれ] /(n,adj-na,adj-no) unseasonable/out of season/
季節回遊 [きせつかいゆう] /(n) seasonal migration (of fish, etc.)/
季節外れ [きせつはずれ] /(n,adj-na,adj-no) unseasonable/out of season/
季節感 [きせつかん] /(n) a sense of the seasons/
季節性 [きせつせい] /(n) seasonality/seasonal/
季節性情動障害 [きせつせいじょうどうしょうがい] /(n) Seasonal Affective Disorder/SAD/
季節調整 [きせつちょうせい] /(n) seasonal adjustment/
季節調整済み [きせつちょうせいずみ] /(adj-no) seasonally adjusted/
季節的 [きせつてき] /(adj-na) seasonal/
季節風 [きせつふう] /(n) seasonal winds/(P)/
季節柄 [きせつがら] /(n) in these times/in times likes these/the season being what it is/
季節変異 [きせつへんい] /(n) seasonal variation/
季節労働 [きせつろうどう] /(n) seasonal labor/seasonal labour/
季節労働者 [きせつろうどうしゃ] /(n) seasonal laborer/seasonal labourer/
季題 [きだい] /(n) (in haiku) word or theme which indicates a season/
季冬 [きとう] /(n) (1) (obs) end of winter/(2) twelfth month of the lunar calendar/
季末 [きまつ] /(n) end of the season/
稀 [まれ] /(adj-na) (uk) rare/seldom/(P)/
稀ガス [きガス] /(n) noble gas/
稀塩酸 [きえんさん] /(n) dilute hydrochloric acid/
稀元素 [きげんそ] /(n) rare element/
稀酸 [きさん] /(n) dilute acid/
稀釈 [きしゃく] /(n,vs) dilution/
稀書 [きしょ] /(n) rare book/
稀少 [きしょう] /(adj-na,n) scarce/rare/
稀世 [きせい] /(n) rare/uncommon/
稀代 [きたい] /(n,adj-no) rarity/uncommonness/
稀代 [きだい] /(n,adj-no) rarity/uncommonness/
稀土 [きど] /(oK) (n) rare earth/
稀薄 [きはく] /(adj-na,n) thin (e.g. air)/lean/rarified/diluted/sparse/weak/rarefied/
稀崩壊 [きほうかい] /(n) rare decay (particle physics)/
稀有 [けう] /(adj-na,n) rare/uncommon/
稀硫酸 [きりゅうさん] /(n) dilute sulfuric acid/dilute sulphuric acid/
稀覯本 [きこうぼん] /(n) rare book/
紀 [き] /(n) (1) (abbr) (geological) period/(2) (abbr) Nihon-shoki/
紀伊國屋 [きのくにや] /(n) Kinokuniya/large bookstore with big foreign book section (main branch, Shinjuku)/
紀元 [きげん] /(n) (1) era/(2) AD (Christian era)/(P)/
紀元後 [きげんご] /(n-adv,n-t) post-era/
紀元節 [きげんせつ] /(n) Empire Day (February 11th; national holiday held from 1872 to 1948)/
紀元前 [きげんぜん] /(n-adv,n-t) pre-era/BC/BCE/(P)/
紀行 [きこう] /(n) traveller's journal/traveler's journal/(P)/
紀行文 [きこうぶん] /(n) traveller's journal/traveler's journal/
紀事本末体 [きじほんまつたい] /(n) topical-annalistic style (of historical writing)/
紀州蜜柑 [きしゅうみかん] /(n) Citrus kinokuni (species of mandarin orange)/
紀勢本線 [きせいほんせん] /(n) Kisei Main Line (Wakayama-Mie Railway)/
紀伝体 [きでんたい] /(n) annals-biographies form (of historical writing)/
紀念 [きねん] /(n,vs) commemoration/memory/
紀要 [きよう] /(n) bulletin/memoirs/
紀律 [きりつ] /(n) (1) order/observance/discipline/(2) rules/law/regulations/
徽章 [きしょう] /(n) medal/badge/insignia/
規格 [きかく] /(n) standard/norm/(P)/
規格化 [きかくか] /(n,vs) standardization/standardisation/normalization (e.g. in maths)/
規格外品 [きかくがいひん] /(n) non-standard product/non-standard goods/
規格原案 [きかくげんあん] /(n) standards draft/standards draught/draft of a standard/draught of a standard/
規格参照区切り子集合 [きかくさんしょうくぎりししゅうごう] /(n) (comp) reference delimiter set/
規格参照具象構文 [きかくさんしょうぐしょうこうぶん] /(n) (comp) reference concrete syntax/
規格参照予約名 [きかくさんしょうよやくめい] /(n) (comp) reference reserved name/
規格参照容量集合 [きかくさんしょうようりょうしゅうごう] /(n) (comp) reference capacity set/
規格参照量集合 [きかくさんしょうりょうしゅうごう] /(n) (comp) reference quantity set/
規格制定 [きかくせいてい] /(n) (comp) standards creation/
規格判 [きかくばん] /(n) standard size/
規格品 [きかくひん] /(n) standardized article or goods/standardised article or goods/
規矩 [きく] /(n) rule/standard/compass and ruler/
規矩準縄 [きくじゅんじょう] /(n) rules and standards/norms/criteria/
規準 [きじゅん] /(n,adj-no) standard/basis/criterion/norm/reference/datum/(P)/
規準化 [きじゅんか] /(n,vs) normalization/normalisation/
規準値 [きじゅんち] /(n,adj-no) (comp) standard value/reference value/nominal value/
規制 [きせい] /(n,vs) regulation/(traffic) policing/control/restriction/(P)/
規制解除 [きせいかいじょ] /(n,adj-no) deregulation/removal (easing) of (official) restrictions/
規制改革 [きせいかいかく] /(n) regulatory reform/
規制改革担当大臣 [きせいかいかくたんとうだいじん] /(n) State Minister in Charge of Regulatory Reform/
規制監督 [きせいかんとく] /(n) regulatory oversight/
規制緩和 [きせいかんわ] /(n) deregulation/removal (easing) of (official) restrictions/relaxation of regulations/
規制機関 [きせいきかん] /(n) regulatory body/
規制機能 [きせいきのう] /(n) (comp) control function/regulatory function/policing function/
規制撤廃 [きせいてっぱい] /(n) abolition of regulations/deregulation/
規正 [きせい] /(n,vs) correction/
規則 [きそく] /(n) rules/regulations/conventions/(P)/
規則で縛る [きそくでしばる] /(v5r) to restrict (a person) by rule/
規則どおり [きそくどおり] /(n) by the rules/
規則を守る [きそくをまもる] /(exp,v5r) to abide (by the rules)/to keep to the regulations/
規則を破る [きそくをやぶる] /(exp,v5r) to break the rules/to violate the rules/to infringe the rules/
規則を敗る [きそくをやぶる] /(exp,v5r) to break the rules/to violate the rules/to infringe the rules/
規則違反 [きそくいはん] /(n,adj-no) breach of the rules/
規則書 [きそくしょ] /(n) rulebook/
規則性 [きそくせい] /(n) regularity/
規則正い [きそくただしい] /(adj-i) regular/well-regulated/systematic/
規則正しい [きそくただしい] /(adj-i) regular/well-regulated/systematic/
規則通り [きそくどおり] /(n) by the rules/
規則的 [きそくてき] /(adj-na) systematic/regular/routine/
規則動詞 [きそくどうし] /(n) (ling) regular verb/
規則立つ [きそくだつ] /(v5t,vi) to be regular/
規定 [きてい] /(n,adj-no,vs) regulation/provisions/(P)/
規定打席 [きていだせき] /(n) regulation at batting (baseball)/
規定値 [きていち] /(n) control value/minimal required value/
規程 [きてい] /(n) official regulations/inner rules/(P)/
規那 [キナ] /(ateji) (n) (uk) cinchona (dut: kina)/
規那丁幾 [キナチンキ] /(n) (uk) tincture of cinchona/
規那皮 [キナひ] /(n) cinchona bark/
規範 [きはん] /(n) model/standard/pattern/norm/criterion/example/(P)/
規範意識 [きはんいしき] /(n) normative consciousness/
規範的 [きはんてき] /(adj-na) normative/
規範的経済学 [きはんてきけいざいがく] /(n) normative economics/
規範文法 [きはんぶんぽう] /(n) (ling) prescriptive grammar/
規範倫理学 [きはんりんりがく] /(n) normative ethics/
規模 [きぼ] /(n) scale/scope/plan/structure/(P)/
規模に関する収穫 [きぼにかんするしゅうかく] /(n) returns to scale/
規模の経済 [きぼのけいざい] /(n) economies of scale/
規模効果 [きぼこうか] /(n) economy of scale/
規約 [きやく] /(n) agreement/rules/code/protocol/convention/(P)/
規約に従って [きやくにしたがって] /(exp) (comp) according to the rules/
規律 [きりつ] /(n) (1) order/observance/discipline/(2) rules/law/regulations/(P)/
規律正しい [きりつただしい] /(adj-i) well-ordered/systematic/
記 [き] /(n,n-suf) (1) account/history/chronicle/annals/record/(n) (2) (abbr) Records of Ancient Matters/
記す [きす] /(v5s) (1) to write down/to note/(2) to remember/
記す [しるす] /(v5s) (1) to write down/to note/(2) to remember/(P)/
記する [きする] /(vs-s,vt) (1) to write down/to note/(2) to remember/
記憶 [きおく] /(n,vs) (1) memory/recollection/remembrance/(2) storage/(P)/
記憶にとどめる [きおくにとどめる] /(exp,v1) to remember/to keep in mind/
記憶に留める [きおくにとどめる] /(exp,v1) to remember/to keep in mind/
記憶をたどる [きおくをたどる] /(exp,v5r) reaching back into one's memory/to search one's mind/to recall/
記憶イメージ [きおくイメージ] /(n) (comp) storage image/core image/
記憶セル [きおくセル] /(n) (comp) storage cell/storage element/
記憶管理 [きおくかんり] /(n) (comp) memory management/
記憶機構 [きおくきこう] /(n) (comp) storage (device)/
記憶術 [きおくじゅつ] /(n) mnemonic device/
記憶障害 [きおくしょうがい] /(n) defect of memory/
記憶場所 [きおくばしょ] /(n) (comp) location/
記憶素子 [きおくそし] /(n) (comp) (computer) storage cell/storage element/
記憶喪失 [きおくそうしつ] /(n,adj-no) loss of memory/
記憶装置 [きおくそうち] /(n) (comp) storage (device)/memory/
記憶装置の保護 [きおくそうちのほご] /(n) (comp) storage protection/
記憶装置の保護キー [きおくそうちのほごキー] /(n) (comp) storage protection key/
記憶装置表示 [きおくそうちひょうじ] /(n) (comp) memory indication/storage indication/
記憶単位 [きおくたんい] /(n) (comp) storage unit/
記憶媒体 [きおくばいたい] /(n) (comp) storage medium/
記憶番地 [きおくばんち] /(n) (comp) storage location/
記憶部 [きおくぶ] /(n) storage unit/memory unit/
記憶保護 [きおくほご] /(n) (comp) storage protection/
記憶保持 [きおくほじ] /(n) memory retention/
記憶法 [きおくほう] /(n) mnemonic/
記憶容量 [きおくようりょう] /(n) (comp) storage capacity/memory capacity/
記憶力 [きおくりょく] /(n) memory/
記憶力がいい [きおくりょくがいい] /(exp,adj-i) having good memory/
記憶力がよい [きおくりょくがよい] /(exp,adj-i) having good memory/
記憶力が良い [きおくりょくがいい] /(exp,adj-i) having good memory/
記憶力が良い [きおくりょくがよい] /(exp,adj-i) having good memory/
記憶列 [きおくれつ] /(n) (comp) storage sequence/
記憶列結合 [きおくれつけつごう] /(n) (comp) storage association/
記紀 [きき] /(n) the Kojiki and Nihonshoki/
記号 [きごう] /(n,adj-no) symbol/code/sign/notation/(P)/
記号で表す [きごうであらわす] /(v5s) to represent by signs/
記号アドレス [きごうアドレス] /(n) (comp) symbolic address/
記号トークン [きごうトークン] /(n) sign token/
記号解析 [きごうかいせき] /(n) symbolic analysis/
記号学 [きごうがく] /(n) semiotics/semiology/
記号学者 [きごうがくしゃ] /(n) symbolist/
記号型言語 [きごうかたげんご] /(n) (comp) symbolic language/
記号性 [きごうせい] /(n) symbol characteristic/nature of a symbol/
記号素 [きごうそ] /(n) (ling) moneme/
記号文字 [きごうもじ] /(n) (comp) symbolic-character/
記号列 [きごうれつ] /(n) (comp) symbol string/
記号論 [きごうろん] /(n) semiotics/
記号論学者 [きごうろんがくしゃ] /(n) symbolist/
記号論理学 [きごうろんりがく] /(n,adj-no) (comp) symbolic logic/
記載 [きさい] /(n,vs) record/statement/description/mention/listing/registration/booking/entry/(P)/
記載された事項 [きさいされたじこう] /(exp) recorded data/recorded information (in documents, family registers, etc.)/
記載事項 [きさいじこう] /(n) items mentioned/
記事 [きじ] /(n) article/news story/report/account/(P)/
記事文 [きじぶん] /(n) descriptive composition/
記者 [きしゃ] /(n,adj-no) reporter/(P)/
記者クラブ [きしゃクラブ] /(n) press club/correspondents' club/
記者会見 [きしゃかいけん] /(n) press conference/
記者会見場 [きしゃかいけんじょう] /(n) location of a press conference/press conference room/
記者室 [きしゃしつ] /(n) press room/press gallery/
記者証 [きしゃしょう] /(n) journalist identification/press pass/
記者席 [きしゃせき] /(n) press gallery/press box/
記者団 [きしゃだん] /(n) press group/press corps/group of reporters/press organization/press organisation/
記者発表 [きしゃはっぴょう] /(n) (comp) press release/announcement/
記述 [きじゅつ] /(n,vs) description/descriptor/(P)/
記述言語学 [きじゅつげんごがく] /(n) descriptive linguistics/
記述項 [きじゅつこう] /(n) (comp) entry/
記述項の右辺 [きじゅつこうのうへん] /(n) (comp) object of entry/
記述項の左辺 [きじゅつこうのさへん] /(n) (comp) subject of entry/
記述子 [きじゅつし] /(n) descriptor/
記述子要素 [きじゅつしようそ] /(n) (comp) descriptor elements/
記述的マーク [きじゅつてきマーク] /(n) (comp) descriptive markup/
記述的妥当性 [きじゅつてきだとうせい] /(n) (ling) descriptive adequacy/
記述部 [きじゅつぶ] /(n) (comp) description/
記述文法 [きじゅつぶんぽう] /(n) (ling) descriptive grammar/
記述名 [きじゅつめい] /(n) (comp) descriptive name/
記章 [きしょう] /(n) medal/badge/insignia/(P)/
記数法 [きすうほう] /(n) numeration system/number representation system/
記性 [きせい] /(n) (obsc) memory/
記帳 [きちょう] /(n,vs) registry/entry/book-keeping/signature/(P)/
記入 [きにゅう] /(n,vs) entry/filling in of forms/(P)/
記念 [きねん] /(n,vs) commemoration/memory/(P)/
記念館 [きねんかん] /(n) memorial hall/
記念祭 [きねんさい] /(n) anniversary/commemoration/
記念誌 [きねんし] /(n) commemorative publication/
記念式典 [きねんしきてん] /(n) memorial ceremony/
記念写真 [きねんしゃしん] /(n) souvenir photograph/
記念樹 [きねんじゅ] /(n) memorial tree/
記念出版 [きねんしゅっぱん] /(n) commemorative publication/
記念切手 [きねんきって] /(n) special issue stamp/
記念日 [きねんび] /(n) holiday/anniversary/memorial day/(P)/
記念碑 [きねんひ] /(n) monument/(P)/
記念品 [きねんひん] /(n) souvenir/memento/
記念物 [きねんぶつ] /(n) souvenir/memento/
記念論文集 [きねんろんぶんしゅう] /(n) collection of essays contributed in celebration of something/festschrift/
記譜 [きふ] /(n) writing a musical score/
記譜法 [きふほう] /(n) musical notation/
記法 [きほう] /(n) notation/
記法識別子 [きほうしきべつし] /(n) (comp) notation identifier/
記法宣言 [きほうせんげん] /(n) (comp) notation declaration/
記法属性 [きほうぞくせい] /(n) (comp) notation attribute/
記法名 [きほうめい] /(n) (comp) notation name/
記名 [きめい] /(n) (1) signature/register/(vs) (2) to put one's name on/to sign/(n) (3) stamped name/typed name/
記名株 [きめいかぶ] /(n) registered stock/
記名投票 [きめいとうひょう] /(n) signed ballot/
記録 [きろく] /(n) (1) record/minutes/document/(2) a record (e.g. in sports)/results/score/(vs) (3) to record/to document/(4) to set a record (e.g. in sports)/to show a result/to reach a value/(P)/
記録に載せる [きろくにのせる] /(exp,v1) to put on record/
記録をつける [きろくをつける] /(exp,v1) to keep a record/to keep a tally/
記録を破る [きろくをやぶる] /(exp,v5r) to break the record/to break a record/
記録を付ける [きろくをつける] /(exp,v1) to keep a record/to keep a tally/
記録映画 [きろくえいが] /(n) documentary film/
記録会 [きろくかい] /(n) track meet/athletic event for recording official times/
記録開始 [きろくかいし] /(n) (comp) record start/
記録境界文字 [きろくきょうかいもじ] /(n) (comp) record boundary character/
記録係 [きろくがかり] /(n) record keeper/recorder/archivist/
記録欠缺の主張 [きろくけんけつのしゅちょう] /(exp) alleging diminution/
記録再生 [きろくさいせい] /(n) (comp) record and playback/
記録終了 [きろくしゅうりょう] /(n) (comp) record end/
記録情報 [きろくじょうほう] /(n) (comp) recorded information/
記録的 [きろくてき] /(adj-na) record(-setting)/(P)/
記録破り [きろくやぶり] /(adj-no) record-breaking/
記録媒体 [きろくばいたい] /(n) (comp) media/
記録文学 [きろくぶんがく] /(n) reportage/documentary/
記録変調方式 [きろくへんちょうほうしき] /(n) (comp) RZ/Return-to-Zero/
記録保管所 [きろくほかんしょ] /(n,adj-no) archive/
記録密度 [きろくみつど] /(n) (comp) bit density/recording density/packing density/
記録面 [きろくめん] /(n) recording surface (e.g. of CD, tape, etc.)/
記誦 [きしょう] /(n,vs) (1) (arch) reciting (a poem) from memory/(2) (arch) rote recitation (without understanding)/
貴 [き] /(suf) honorific, familiar suffix/
貴 [とうと] /(n) (arch) value/preciousness/nobility/
貴 [むち] /(n,n-suf) (hon) (arch) lord/god/goddess/honorific title for deities (and high-ranking people)/
貴い [たっとい] /(adj-i) precious/valuable/priceless/noble/exalted/sacred/(P)/
貴い [とうとい] /(adj-i) precious/valuable/priceless/noble/exalted/sacred/(P)/
貴い家柄 [たっといいえがら] /(exp) (obsc) noble birth/
貴い命 [たっといいのち] /(n) precious life/
貴ぶ [たっとぶ] /(v5b,vt) to value/to prize/to esteem/to respect/(P)/
貴ぶ [とうとぶ] /(v5b,vt) to value/to prize/to esteem/to respect/(P)/
貴む [たっとむ] /(v5m) to value/to prize/to honor/to respect/
貴やか [あてやか] /(adj-na) elegant/sophisticated/
貴ガス [きガス] /(n) inert gas/noble gas/
貴意 [きい] /(n) (hon) your will/your wishes/your request/
貴下 [きか] /(pn,adj-no) you (younger person)/
貴家 [きか] /(n) your home (respectful)/
貴学 [きがく] /(n) (hon) your university/
貴官 [きかん] /(n) (hon) you (used to address government officials, military personnel, etc.)/
貴簡 [きかん] /(n) (pol) your letter/
貴翰 [きかん] /(n) (pol) your letter/
貴金属 [ききんぞく] /(n) precious metal/(P)/
貴金属卸 [ききんぞくおろし] /(n) wholesale (wholesaler) in precious metals/
貴君 [きくん] /(pn,adj-no) (pol) you (primarily used by men in letters to their equals or inferiors)/
貴兄 [きけい] /(pn,adj-no) (pol) you (of a male equal or superior, primarily used in letters by men)/
貴見 [きけん] /(n) your (esteemed) opinion/
貴顕 [きけん] /(n) distinguished person/
貴顕紳士 [きけんしんし] /(n) gentlemen of (high) eminence/notables/dignitaries/
貴顕紳商 [きけんしんしょう] /(n) merchant prince/
貴公 [きこう] /(pn,adj-no) you (primarily used by males when addressing their male equals or inferiors)/
貴公子 [きこうし] /(n) young noble/noble youth/
貴国 [きこく] /(n) your country (respectful)/
貴札 [きさつ] /(n) your letter (respectful)/
貴姉 [きし] /(pn,adj-no) (1) (hon) your older sister/(2) you (primarily used by men in letters to older women)/
貴紙 [きし] /(n) (hon) your magazine/your journal/your paper/your honored paper/your honoured paper/your columns/
貴誌 [きし] /(n) (hon) your magazine/your journal/your paper/your honored paper/your honoured paper/your columns/
貴社 [きしゃ] /(n) (hon) (your) company/
貴種 [きしゅ] /(n) noble birth/
貴酬 [きしゅう] /(n) reply (epistolary)/
貴重 [きちょう] /(adj-na,n) precious/valuable/(P)/
貴重品 [きちょうひん] /(n) valuables/treasures/(P)/
貴所 [きしょ] /(pn,adj-no) your place/you (respectful)/
貴女 [あなた] /(pn,adj-no) (1) (uk) (pol) you (referring to someone of equal or lower status)/
貴女 [きじょ] /(oK) (n) (1) (fem) (obsc) noblewoman/lady/(pn,adj-no) (2) (hon) you (referring to a woman; epistolary style)/
貴職 [きしょく] /(n) you (used in business, government, esp. for high-level people)/
貴信 [きしん] /(n) (pol) letter, etc. from another party/correspondence/
貴紳 [きしん] /(n) noble/men of rank/notables/
貴人 [きじん] /(n) aristocrat/nobleman/
貴賎 [きせん] /(n) high and low/all ranks/
貴僧 [きそう] /(n) high priest/respectful form of address to a priest/
貴霜 [きそう] /(n) Kushan (dynasty of India, approx. 60-375 CE)/
貴霜朝 [きそうちょう] /(n) Kushan dynasty (of India, approx. 60-375 CE)/
貴族 [きぞく] /(n,adj-no) noble/aristocrat/(P)/
貴族院 [きぞくいん] /(n) House of Lords/
貴族政治 [きぞくせいじ] /(n,adj-no) aristocracy/
貴族的 [きぞくてき] /(adj-na) aristocratic/
貴台 [きだい] /(pn,adj-no) honorific used in company correspondence/
貴大学 [きだいがく] /(n) (hon) esteemed university/honorable university/
貴男 [あなた] /(pn,adj-no) (1) (uk) (pol) you (referring to someone of equal or lower status)/(2) dear (what a wife calls a husband)/
貴地 [きち] /(n) (hon) your place/
貴店 [きてん] /(n) your store or shop (respectful)/
貴殿 [きでん] /(pn,adj-no) (1) (hon) you (primarily used by men in letters to their male equals or superiors)/(2) (arch) (hon) your residence/
貴卑 [きび] /(n) high and low class/
貴賓 [きひん] /(n) noble visitor/(P)/
貴婦人 [きふじん] /(n) lady/
貴腐 [きふ] /(n) noble rot (Botrytis Cinerea)/
貴腐ワイン [きふワイン] /(n) wine made with grapes affected by noble rot/
貴腐人 [きふじん] /(n) (sl) a woman who is very enthusiastic about comics featuring male homoeroticism/
貴風 [きふう] /(n) class size of bonsai trees (25-35cm)/
貴方 [あなた] /(pn,adj-no) (1) (uk) (pol) you (referring to someone of equal or lower status)/(2) dear (what a wife calls a husband)/(P)/
貴方 [あんた] /(pn,adj-no) (uk) you (familiar form of anata)/
貴方 [きほう] /(n) (1) (hon) your home/your residence/(pn,adj-no) (2) (hon) you (referring to one's equal; epistolary style)/
貴方々 [あなたがた] /(pn,adj-no) (hon) you (plural)/
貴方がた [あなたがた] /(pn,adj-no) (hon) you (plural)/
貴方任せ [あなたまかせ] /(exp) leaving everything to Buddha's providence/depending on others/leaving things to others/
貴方方 [あなたがた] /(pn,adj-no) (hon) you (plural)/
貴名 [きめい] /(n) your name (respectful)/
貴様 [きさま] /(pn,adj-no) (sens) you/
貴覧 [きらん] /(n) your (visual) observation (respectful)/
貴輪 [きりん] /(n) (sumo) era at the end of 1970s dominated by grand champion Wajima and ozeki Takanohana/
貴輪時代 [きりんじだい] /(n) (sumo) era at the end of 1970s dominated by grand champion Wajima and ozeki Takanohana/
貴賤 [きせん] /(n) high and low/all ranks/
貴賤結婚 [きせんけっこん] /(n) morganatic marriage (marriage of a noble and a commoner that disallows the passage of title, possessions, etc.)/
貴賤上下 [きせんしょうか] /(n) high and low/(people of) all ranks and classes/
貴賤上下 [きせんじょうげ] /(n) high and low/(people of) all ranks and classes/
貴賤貧富 [きせんひんぷ] /(n) high and low, and rich and poor/
起 [おこり] /(io) (n) source/origin/cause/beginning/genesis/
起きあがる [おきあがる] /(v5r,vi) to rise/to erect/to get up/
起きぬけ [おきぬけ] /(n) first thing after rising/as soon as getting up/
起きる [おきる] /(v1,vi) (1) to get up/to rise/(2) to wake up/(3) to occur (usu. of unfavourable incidents)/to happen/to take place/(P)/
起き掛け [おきがけ] /(n) first thing after rising/
起き出す [おきだす] /(exp,v5s) to get out of bed/to show a leg/
起き上がり小法師 [おきあがりこぼし] /(n) self-righting doll/
起き上がる [おきあがる] /(v5r,vi) to rise/to erect/to get up/(P)/
起き直る [おきなおる] /(v5r,vi) to sit up/
起き抜け [おきぬけ] /(n) first thing after rising/as soon as getting up/
起き伏し [おきふし] /(adv,n) rising and going to bed/daily life/
起き返る [おきかえる] /(v5r) to rise/to erect/to get up/
起こし [おこし] /(suf) development/revitalization/
起こす [おこす] /(v5s,vt) to raise/to cause/to wake someone/(P)/
起こり [おこり] /(n) source/origin/cause/beginning/genesis/
起こりうる [おこりうる] /(exp) to be possible to occur/
起こり得る [おこりうる] /(exp) to be possible to occur/
起こる [おこる] /(v5r,vi) to occur/to happen/(P)/
起す [おこす] /(v5s,vt) to raise/to cause/to wake someone/
起ち居 [たちい] /(n) movements/sitting and standing/
起ち居振る舞い [たちいふるまい] /(n) movements/behavior/behaviour/bearing/deportment/manners/demeanor/
起ち居振舞い [たちいふるまい] /(n) movements/behavior/behaviour/bearing/deportment/manners/demeanor/
起ち上がる [たちあがる] /(v5r,vi) (1) to stand up/to get up/(2) to rise/(3) to recover/(4) to take action/to start/(5) to make the initial charge (in sumo)/(6) (comp) to start up/to boot up/
起つ [たつ] /(v5t,vi) to rise up/to initiate (political) action/
起り [おこり] /(n) source/origin/cause/beginning/genesis/
起り [むくり] /(n) (uk) camber/
起る [おこる] /(v5r,vi) to occur/to happen/
起案 [きあん] /(n,vs) drafting/draughting/
起因 [きいん] /(n,vs) cause/(P)/
起臥 [きが] /(n,vs) daily life/
起居 [ききょ] /(n,vs) behavior/behaviour/one's daily life/
起居 [たちい] /(io) (n) movements/sitting and standing/
起居挙動 [ききょきょどう] /(n) behavior/bearing/deportment/manners/demeanor/
起居振舞 [たちいふるまい] /(n) movements/behavior/behaviour/bearing/deportment/manners/demeanor/
起居動作 [ききょどうさ] /(n) behavior/bearing/demeanor/one's daily life/
起業 [きぎょう] /(n,vs) starting a business/promotion of enterprise/
起業家 [きぎょうか] /(n) entrepreneur/person who starts a new business/
起業家精神 [きぎょうかせいしん] /(n) entrepreneurial spirit/
起句 [きく] /(n) opening line/opening line of a (Chinese) poem/
起結 [きけつ] /(n) beginning and end/
起原 [きげん] /(n,adj-no) origin/beginning/rise/
起源 [きげん] /(n,adj-no) origin/beginning/rise/(P)/
起源説 [きげんせつ] /(n) theory of origins/origin hypothesis/
起工 [きこう] /(n,vs) setting to work/(P)/
起工式 [きこうしき] /(n) groundbreaking or cornerstone-laying ceremony/
起稿 [きこう] /(n,vs) drafting/draughting/
起坐 [きざ] /(n,vs) (arch) sitting up in bed/
起座 [きざ] /(n,vs) (arch) sitting up in bed/
起座呼吸 [きざこきゅう] /(n) orthopnoea/orthopnea/
起債 [きさい] /(n,vs) issuing of bonds/(P)/
起算 [きさん] /(n,vs) starting to count/
起死 [きし] /(n) saving from the brink of death/
起死回生 [きしかいせい] /(n) revival of the dead/recovering from a hopeless situation/resuscitation/(P)/
起磁力 [きじりょく] /(n) magnetomotive force/
起首 [きしゅ] /(n) start/beginning/origin/
起重機 [きじゅうき] /(n) crane/derrick/
起床 [きしょう] /(n,vs,adj-no) rising/getting out of bed/(P)/
起承転結 [きしょうてんけつ] /(n) (1) introduction, development, turn and conclusion (quadripartite structure of certain Chinese poetry)/(2) story composition and development/
起震車 [きしんしゃ] /(n) earthquake simulation vehicle/
起請 [きしょう] /(n,vs) vow/
起請文 [きしょうもん] /(n) (historical) written vow to the gods/
起訴 [きそ] /(n,vs,adj-no) prosecution/indictment/(P)/
起訴状 [きそじょう] /(n) (written) indictment/
起訴猶予 [きそゆうよ] /(n) suspension of indictment/leaving charge on the file/(P)/
起草 [きそう] /(n,vs) drafting/draughting/drawing up a bill/(P)/
起点 [きてん] /(n) starting point/origin/(P)/
起点シソーラス [きてんシソーラス] /(n) (comp) source thesaurus/
起点デスクリプタ [きてんデスクリプタ] /(n) (comp) source descriptor/
起電 [きでん] /(n,vs) generation of electricity/
起電機 [きでんき] /(n) electric generator/
起電力 [きでんりょく] /(n) electromotive force/
起動 [きどう] /(n,vs,adj-no) startup/activation/starting (e.g. engine, computer)/launch/
起動ディスク [きどうディスク] /(n) (comp) startup disk/
起動画面 [きどうがめん] /(n) (comp) startup screen/
起動機 [きどうき] /(n) starter/
起動項目 [きどうこうもく] /(n) (comp) startup items/
起動時 [きどうじ] /(n) startup (point in) time/
起動時間 [きどうじかん] /(n) startup (interval of) time/
起動者 [きどうしゃ] /(n) (comp) invoker/
起動側 [きどうがわ] /(n) (comp) initiator/
起動側ＣＭＩＳＥサービス利用者 [きどうがわシーエムアイエスイーサービスりようしゃ] /(n) (comp) invoking CMISE-service-user/
起動側応用エンティティ [きどうがわおうようエンティティ] /(n) (comp) invoking-application-entity/
起爆 [きばく] /(n,vs) exploding/(P)/
起爆剤 [きばくざい] /(n) triggering explosive/
起爆装置 [きばくそうち] /(n) detonator/
起爆薬 [きばくやく] /(n) triggering explosive/
起抜け [おきぬけ] /(n) first thing after rising/as soon as getting up/
起筆 [きひつ] /(n,vs) beginning to write/beginning of a brush-stroke/
起票 [きひょう] /(n,vs) issue of a voucher/
起伏 [きふく] /(n,vs) (1) undulation/(2) ups and downs/highs and lows/(P)/
起毛 [きもう] /(n) nap raising/
起毛筋 [きもうきん] /(n) (obsc) erector pili (muscle fiber attached to a hair follicle)/erectores pilorum/
起用 [きよう] /(n,vs) appointment (to a position, job, etc.)/being used for a role/promotion/(P)/
起立 [きりつ] /(n,vs) standing up/(P)/
起立性低血圧 [きりつせいていけつあつ] /(n) orthostatic hypotension/dizziness experienced when standing up/
起龕 [きがん] /(n) (Buddh) ceremonial removal of the coffin from the house (lay person) or temple (priest) (Zen Buddhism)/
軌を一にする [きをいつにする] /(exp,vs-i) to concur/to be the same (thought, opinion, etc.)/to have the same way of doing/
軌間 [きかん] /(n) (railroad) gauge/
軌条 [きじょう] /(n) rail (i.e. of a railroad)/
軌跡 [きせき] /(n) (1) tire track/(2) traces of a person or thing/path one has taken/(3) (math) locus/(P)/
軌道 [きどう] /(n) (1) orbit/trajectory/(2) railroad track/(P)/
軌道に乗せる [きどうにのせる] /(exp,v1) to put on track/to make go to plan/
軌道に乗る [きどうにのる] /(exp,v5r) to be on track/to be going to plan/
軌道の離心率 [きどうのりしんりつ] /(n) orbital eccentricity/
軌道運動 [きどううんどう] /(n) orbital motion/
軌道間隔 [きどうかんかく] /(uK) (n) railroad track gauge/
軌道関数 [きどうかんすう] /(n) orbital function/
軌道修正 [きどうしゅうせい] /(n) course correction/trajectory change/orbital adjustment/
軌道船 [きどうせん] /(n) orbiter/
軌道短半径 [きどうたんはんけい] /(n) semi-minor axis (esp. in orbital matters)/
軌道長半径 [きどうちょうはんけい] /(n) semi-major axis (esp. in orbital matters)/
軌道電子 [きどうでんし] /(n) orbital electron/
軌道面 [きどうめん] /(n) orbital plane/
軌道離心率 [きどうりしんりつ] /(n) orbital eccentricity/
軌範 [きはん] /(n) model/standard/pattern/norm/criterion/example/(P)/
軌陸車 [きりくしゃ] /(n) road-rail vehicle (vehicle which can travel both on railroad tracks and normal roads)/
輝々 [きき] /(n) brilliance/
輝かしい [かがやかしい] /(adj-i) brilliant/glorious/glittering/bright/splendid (e.g. achievement, success)/promising (e.g. future)/(P)/
輝かす [かがやかす] /(v5s,vt) to light up/to brighten/
輝き [かがやき] /(n) radiance/(P)/
輝き渡る [かがやきわたる] /(v5r,vi) to shine out far and wide/
輝く [かがやく] /(v5k) to shine/to glitter/to sparkle/(P)/
輝やかしい [かがやかしい] /(io) (adj-i) brilliant/glorious/glittering/bright/splendid (e.g. achievement, success)/promising (e.g. future)/
輝安鉱 [きあんこう] /(n) stibnite (mineral)/antimonite/
輝輝 [きき] /(n) brilliance/
輝石 [きせき] /(n) pyroxene/augite/
輝石安山岩 [きせきあんざんがん] /(n) pyroxene andesite/
輝線 [きせん] /(n) bright line/
輝点 [きてん] /(n) light spot (e.g. blip on radar)/always-on pixel (as a defect in LCD screens, etc.)/calescence point/
輝度 [きど] /(n) brightness/clearness/luminance/(P)/
輝度信号 [きどしんごう] /(n) (comp) luminance signal/
輝銅鉱 [きどうこう] /(n) vitreous copper/copper glance/chalcocite/
輝煌帝 [きこうてい] /(n) poetic word for the sun/
飢え [うえ] /(n) hunger/starvation/(P)/
飢える [うえる] /(v1,vi) to starve/to thirst/to be hungry/(P)/
飢える [かつえる] /(v1,vi) to starve/to thirst/to be hungry/
飢え死 [うえじに] /(n,vs) (sens) (death from) starvation/starving to death/
飢え死に [うえじに] /(n,vs) (sens) (death from) starvation/starving to death/
飢え凍える [うえこごえる] /(v5r) to starve and freeze to death/
飢きん [ききん] /(n) famine/drought/shortage/crop failure/
飢餓 [きが] /(n) hunger/starvation/(P)/
飢餓感 [きがかん] /(n) (feeling of) hunger/
飢餓療法 [きがりょうほう] /(n) inaniation treatment/starvation therapy/
飢渇 [きかつ] /(n,vs) hunger and thirst/starvation/
飢寒 [きかん] /(n) hunger and cold/
飢死 [うえじに] /(n,vs) (sens) (death from) starvation/starving to death/
飢死 [きし] /(n,vs) (sens) (death from) starvation/starving to death/
飢死に [うえじに] /(n,vs) (sens) (death from) starvation/starving to death/(P)/
飢凍 [きとう] /(n,vs) (obsc) starving and freezing to death/
飢民 [きみん] /(n) starving people/
飢饉 [ききん] /(n) famine/drought/shortage/crop failure/(P)/
騎 [き] /(ctr) counter for horsemen/
騎虎 [きこ] /(n) riding a tiger/
騎虎の勢い [きこのいきおい] /(exp) having no choice but to carry on/having no choice but to go on/unable to change one's course of action/a man riding a tiger cannot disembark halfway through/
騎行 [きこう] /(n,vs) horseback riding/
騎士 [きし] /(n) knight/(P)/
騎士修道会 [きししゅうどうかい] /(n) military order/
騎士団 [きしだん] /(n) order of chivalry/chivalric order/
騎士道 [きしどう] /(n) chivalry/
騎士道物語 [きしどうものがたり] /(n) romance (e.g. the Arthurian romances)/
騎射 [きしゃ] /(n,vs) shooting on horseback/equestrian archery/
騎射宮 [きしゃきゅう] /(n) (obsc) Sagittarius (9th zodiacal sign)/the Archer/
騎手 [きしゅ] /(n) horseman/rider/(P)/
騎銃 [きじゅう] /(n) carbine (short gun used by cavalry)/
騎乗 [きじょう] /(n,adj-no) mount/on horseback/
騎乗位 [きじょうい] /(n) (vulg) sexual position where the man lies flat on his back and the woman sits on top/cowgirl position/
騎馬 [きば] /(n) horse-riding/(P)/
騎馬警官 [きばけいかん] /(n) mounted police officer/
騎馬戦 [きばせん] /(n) cavalry battle/
騎馬民族 [きばみんぞく] /(n) an equestrian tribe/
騎兵 [きへい] /(n) cavalry/(P)/
騎兵隊 [きへいたい] /(n) cavalry/
鬼 [おに] /(n) (1) ogre/demon/(2) spirit of a deceased person/(3) ogre-like person (i.e. fierce, relentless, merciless, etc.)/(4) it (i.e. in a game of tag)/(P)/
鬼 [き] /(n) (1) ogre/demon/(2) spirit of a deceased person/(3) Chinese "ghost" constellation (one of the 28 mansions)/
鬼が出るか蛇が出るか [おにがでるかじゃがでるか] /(io) (exp) You never know what might happen/
鬼が出るか仏が出るか [おにがでるかほとけがでるか] /(exp) (id) God only knows what may happen/
鬼が島 [おにがしま] /(n) mythological island of demons/
鬼ごっこ [おにごっこ] /(n) game of tag/
鬼に金棒 [おににかなぼう] /(exp) making a strong person even stronger (like giving a metal rod to an ogre)/as strong as can be/
鬼の居ぬ間に洗濯 [おにのいぬまにせんたく] /(exp) when the cat's away, the mice will play (lit: refreshing oneself while the ogre is gone)/
鬼の首を取ったよう [おにのくびをとったよう] /(exp,adj-na) (in a) triumphant manner (lit: as if one had grabbed a demon by the neck)/
鬼の目にも涙 [おにのめにもなみだ] /(exp) even the hardest of hearts can be moved to tears/
鬼の矢幹 [おにのやがら] /(n) (uk) Gastrodia elata (species of saprophytic orchid)/
鬼ばば [おにばば] /(n) hag/witch/bitch/penurious or spiteful old woman/termagant/virago/
鬼ばばあ [おにばばあ] /(n) hag/witch/bitch/penurious or spiteful old woman/termagant/virago/
鬼も十八番茶も出花 [おにもじゅうはちばんちゃもでばな] /(exp) just as even coarse tea tastes good when fresh, even homely girls look beautiful at the peak of their youth/
鬼カサゴ [おにカサゴ] /(n) (uk) scorpionfish (Scorpaenopsis cirrhosa)/hairy stingfish/
鬼ケ島 [おにがしま] /(n) mythological island of demons/
鬼ヶ島 [おにがしま] /(n) mythological island of demons/
鬼火 [おにび] /(n) will-o'-the-wisp/jack-o'-lantern/
鬼課長 [おにかちょう] /(n) unsympathetic manager/section chief with a heart of stone/
鬼海星 [おにひとで] /(n) crown-of-thorns starfish/
鬼郭公 [おにかっこう] /(n) (uk) Asian koel (Eudynamys scolopacea)/
鬼瓦 [おにがわら] /(n) (1) decorative ridge-end tile (traditionally bearing the face of a demon and resembling a gargoyle)/(2) (obsc) hideous face/
鬼気 [きき] /(n) ghastly/dreadful/
鬼気迫る [ききせまる] /(exp,v5r) to be bloodcurdling/to be ghastly/
鬼金目 [おにきんめ] /(n) (uk) common fangtooth (Anoplogaster cornuta)/
鬼刑事 [おにけいじ] /(n) crack detective/
鬼胡桃 [おにぐるみ] /(n) (uk) Manchurian walnut (Juglans mandshurica)/
鬼虎魚 [おにおこぜ] /(n) (uk) devil stinger (Inimicus japonicus)/
鬼才 [きさい] /(n) wizard/genius/great talent/(P)/
鬼子 [おにご] /(n) child born with teeth/child which does not resemble its parents/
鬼子母神 [きしぼじん] /(n) Hariti (goddess of childbirth and children)/
鬼子母神 [きしもじん] /(n) Hariti (goddess of childbirth and children)/
鬼糸巻エイ [おにいとまきエイ] /(n) manta ray/Manta birostris/
鬼歯 [おにば] /(n) protruding tooth (like a fang)/
鬼宿 [きしゅく] /(n) (1) (abbr) Chinese "ghost" constellation (one of the 28 mansions)/(2) "day of the ghost"/
鬼宿日 [きしゅくにち] /(n) "day of the ghost" (an extremely auspicious day on the lunar calendar for everything but weddings)/
鬼女 [きじょ] /(n) demoness/witch/ogress/she-devil/
鬼将軍 [おにしょうぐん] /(n) lion-hearted general/
鬼神 [おにがみ] /(n,adj-no) fierce god/
鬼神 [きしん] /(n,adj-no) fierce god/(P)/
鬼神 [きじん] /(n,adj-no) fierce god/(P)/
鬼星 [おにぼし] /(n) Chinese "ghost" constellation (one of the 28 mansions)/
鬼籍 [きせき] /(n) roster of the dead/
鬼籍に入る [きせきにいる] /(exp,v5r) to pass away/to join the majority/
鬼鼠 [おにねずみ] /(n) (uk) greater bandicoot rat (Bandicota indica)/
鬼胎 [きたい] /(n) (1) anxiety/concern/(secret) fear/(2) (hydatidiform) mole/
鬼達磨虎魚 [おにだるまおこぜ] /(n) (uk) reef stonefish (Synanceia verrucosa)/stonefish/devilfish/
鬼蜘蛛 [おにぐも] /(n) (uk) Araneus ventricosus (species of orb-weaving spider)/
鬼畜 [きちく] /(n) brute/
鬼田平子 [おにたびらこ] /(n) (uk) Oriental false hawksbeard (Youngia japonica)/
鬼灯 [ほうずき] /(ik) (n) (uk) ground cherry (Physalis alkekengi var. franchetii)/husk tomato/Chinese lantern plant/
鬼灯 [ほおずき] /(n) (uk) ground cherry (Physalis alkekengi var. franchetii)/husk tomato/Chinese lantern plant/
鬼灯 [ほおづき] /(n) (uk) ground cherry (Physalis alkekengi var. franchetii)/husk tomato/Chinese lantern plant/
鬼頭 [おにがしら] /(n) decorative black flagpole tassel made from tail hair (of a yak, horse, ox, etc.) or dyed hemp/
鬼乳 [きにゅう] /(n) witch's milk (milk secreted by some neonates)/
鬼婆 [おにばば] /(n) hag/witch/bitch/penurious or spiteful old woman/termagant/virago/
鬼婆 [おにばばあ] /(n) hag/witch/bitch/penurious or spiteful old woman/termagant/virago/
鬼板 [おにいた] /(n) wooden board used on the ridge-ends of a roof instead of an onigawara tile (sometimes covered in copper sheeting)/
鬼百合 [おにゆり] /(n) tiger lily (East Asian plant, Lilium lancifolium)/
鬼武者 [おにむしゃ] /(n) daredevil warrior/
鬼坊主鱚 [おにぼうずぎす] /(n) (uk) black swallower (Chiasmodon niger)/
鬼魅 [きび] /(n) demon/monster/apparition/
鬼面 [きめん] /(n) mask of a devil/startling appearance/devil's face/
鬼面伝心 [きめんでんしん] /(n) of a fearsome countenance, but kind as a Buddha/
鬼面仏心 [きめんぶっしん] /(n) having the face of a devil and the heart of Buddha/having a stern face but a tender heart/
鬼門 [きもん] /(n) the northeastern (unlucky) direction/person or thing to be avoided/
鬼利死丹 [きりしたん] /(ateji) (n) (uk) early Japanese Christianity (from the later Muromachi period) (por: cristao)/early Japanese Christian/
鬼理死丹 [きりしたん] /(ateji) (n) (uk) early Japanese Christianity (from the later Muromachi period) (por: cristao)/early Japanese Christian/
鬼蓮 [おにばす] /(n) prickly water lily/
鬼哭 [きこく] /(n) (arch) wailings of a restless ghost/
鬼哭啾々 [きこくしゅうしゅう] /(uK) (adj-t,adv-to) (arch) spine-chilling (hair-raising) (like the wailing and weeping of a restless ghost)/
鬼哭啾啾 [きこくしゅうしゅう] /(uK) (adj-t,adv-to) (arch) spine-chilling (hair-raising) (like the wailing and weeping of a restless ghost)/
鬼繞 [きにょう] /(n) kanji "demon" radical/
亀 [かめ] /(n) tortoise/turtle/(P)/
亀の甲 [かめのこう] /(n) tortoise shell/
亀の甲より年の功 [かめのこうよりとしのこう] /(n) The older, the wiser/
亀の子 [かめのこ] /(n) (1) young turtle (tortoise)/(2) turtle (tortoise) shell/
亀の子たわし [かめのこたわし] /(n) tortoise-shaped scrubbing brush (from company name)/
亀の子束子 [かめのこたわし] /(n) tortoise-shaped scrubbing brush (from company name)/
亀の手 [かめのて] /(n) barnacle/
亀レス [かめレス] /(n) (abbr) (sl) replying to someone's email after a long delay/slow response/
亀綾 [かめあや] /(n) (1) high-quality glossy white habutai silk/(2) raw silk twill fabric with fine diamond pattern/
亀屋縞 [かめやじま] /(n) (1) high-quality glossy white habutai silk/(2) raw silk twill fabric with fine diamond pattern/
亀鑑 [きかん] /(n) pattern/example/model/paragon/mirror/
亀甲 [きこう] /(n) tortoise shell/
亀甲 [きっこう] /(n) tortoise shell/
亀甲獣骨文字 [きっこうじゅうこつもじ] /(n) oracle bone script/
亀甲縛り [きっこうしばり] /(n,vs) tortoise shell bondage/turtle shell bondage/
亀甲模様 [きっこうもよう] /(n) hexagonal pattern/
亀虫 [かめむし] /(n) (uk) shield bug/stink bug/
亀頭 [きとう] /(n) glans (esp. glans penis)/
亀頭炎 [きとうえん] /(n) balanitis (inflammation of the glans penis)/
亀腹 [かめばら] /(n) white plaster bun-shaped mound (used to support base stones, etc.)/
亀卜 [かめうら] /(n) tortoise-shell divination/
亀卜 [きぼく] /(n) tortoise-shell divination/
亀毛兎角 [きもうとかく] /(exp) (Buddh) (obsc) fur on turtles and horns on rabbits (used as a metaphor for things that do not exist)/
亀裂 [きれつ] /(n) crack/crevice/fissure/chap/(P)/
偽 [ぎ] /(n,adj-no) (logic) false/
偽 [にせ] /(adj-no,n) (1) imitation/fake/phony/counterfeit/forged/bogus/sham/(pref) (2) pseudo-/(P)/
偽り [いつわり] /(n,adj-no) lie/falsehood/fiction/fabrication/
偽り語る [いつわりかたる] /(v5r) to speak falsely/
偽り者 [いつわりもの] /(n) impostor/liar/
偽り誓う [いつわりちかう] /(v5u) to swear falsely/
偽る [いつわる] /(v5r,vi) to lie/to cheat/to falsify/to deceive/to pretend/(P)/
偽悪 [ぎあく] /(n) pretense of evil/pretence of evil/
偽悪趣味 [ぎあくしゅみ] /(n) propensity to put oneself in as bad a light as possible/being prone to act bad/
偽遺伝子 [ぎいでんし] /(n) pseudogene/
偽医者 [にせいしゃ] /(n) quack/quack doctor/fake doctor/
偽印 [ぎいん] /(n) forged seal/
偽陰性 [ぎいんせい] /(n) false negative/
偽果 [ぎか] /(n,adj-no) false fruit/pseudocarp/
偽学 [ぎがく] /(n) false science/science out of line with the world of thought/
偽金 [にせがね] /(n) counterfeit money/
偽君子 [ぎくんし] /(n) hypocrite/snob/
偽君子 [にせくんし] /(n) hypocrite/snob/
偽計 [ぎけい] /(n) deceptive plan/
偽言 [ぎげん] /(n) falsehood/
偽黒筋銀宝 [にせくろすじぎんぽ] /(n) (uk) sabre-toothed blenny (Aspidontus taeniatus)/
偽作 [ぎさく] /(n,vs,adj-no) apocryphal work/forgery/spurious article/
偽札 [ぎさつ] /(n) counterfeit paper money/forged document/
偽札 [にせさつ] /(n) counterfeit paper money/forged document/
偽札 [にせふだ] /(n) counterfeit paper money/forged document/
偽史 [ぎし] /(n) falsified history/
偽似症 [ぎじしょう] /(n) suspected case/
偽者 [にせもの] /(n) imposter/liar/
偽首 [にせくび] /(n) falsified severed head/
偽書 [ぎしょ] /(n,adj-no) spurious letter/apocryphal book/forgery/
偽商品 [にせしょうひん] /(n) fake merchandise/
偽小切手 [ぎこぎって] /(n) counterfeit check (cheque)/bad paper/
偽称 [ぎしょう] /(n,vs) assuming a false name/
偽証 [ぎしょう] /(n,vs,adj-no) false evidence/perjury/false testimony/(P)/
偽証罪 [ぎしょうざい] /(n) crime of perjury/
偽証者 [ぎしょうしゃ] /(n) perjurer/false witness/
偽情報 [にせじょうほう] /(n) disinformation/false information/
偽性 [ぎせい] /(adj-na,adj-no,pref) pseudo/fake/imitation/
偽製 [ぎせい] /(adj-na,adj-no,pref) pseudo/fake/imitation/
偽誓 [ぎせい] /(n,adj-no) perjury/false oath/
偽善 [ぎぜん] /(n,adj-no) hypocrisy/
偽善者 [ぎぜんしゃ] /(n) hypocrite/dissembler/wolf in sheep's clothing/fox in a lamb's skin/
偽善売教 [ぎぜんばいきょう] /(n) priestcraft (Book of Mormon)/
偽装 [ぎそう] /(n,vs,adj-no) disguise/camouflage/masquerade/(P)/
偽装工作 [ぎそうこうさく] /(n,vs) diversionary tactics (maneuvering)/disguise/hide by camouflage/
偽装難民 [ぎそうなんみん] /(n) fake (phony) refugee/illegal migrant disguised as a refugee/
偽装爆発物 [ぎそうばくはつぶつ] /(n) booby trap/
偽造 [ぎぞう] /(n,vs,adj-no) forgery/falsification/fabrication/counterfeiting/(P)/
偽造カード [ぎぞうカード] /(n) forged card (e.g. cash card, credit card)/counterfeit card/
偽造印 [ぎぞういん] /(n) forged seal/
偽造罪 [ぎぞうざい] /(n) forgery/
偽造紙幣 [ぎぞうしへい] /(n) fake bill/
偽造品 [ぎぞうひん] /(n) fake/a forgery/
偽足 [ぎそく] /(n,adj-no) pseudopodium/pseudopod (temporary protrusion of an ameboid cell)/
偽電 [ぎでん] /(n) false telegram/
偽妊娠 [ぎにんしん] /(adj-na) false pregnancy/phantom pregnancy/pseudopregnancy/
偽版 [ぎはん] /(n) pirated edition/
偽筆 [ぎひつ] /(n) forged handwriting/plagiarism/
偽瓢虫 [てんとうむしだまし] /(n) (1) (uk) handsome fungus beetle (any beetle of family Endomychidae)/(2) (col) 28-spotted ladybird (Epilachna vigintioctopunctata)/
偽物 [ぎぶつ] /(n,adj-no) spurious article/forgery/counterfeit/imitation/sham/
偽物 [にせもの] /(n,adj-no) spurious article/forgery/counterfeit/imitation/sham/(P)/
偽兵 [ぎへい] /(n) dummy soldiers/
偽報 [ぎほう] /(n) false report/
偽本 [ぎほん] /(n) spurious book/forgery/
偽膜 [ぎまく] /(n) false membrane/
偽名 [ぎめい] /(n,adj-no) alias (false name)/assumed name/
偽薬 [ぎやく] /(n) inactive placebo/placebo/
偽陽性 [ぎようせい] /(n) false positive/
儀 [ぎ] /(n) (1) ceremony/(2) matter/affair/(suf) (3) with regard to (used after a person's name, a personal pronoun, etc. in epistolary style)/as for/as concerns/(P)/
儀刑 [ぎけい] /(n) model/pattern/copy/
儀型 [ぎけい] /(n) model/pattern/copy/
儀形 [ぎけい] /(n) model/pattern/copy/
儀式 [ぎしき] /(n,adj-no) ceremony/rite/ritual/service/(P)/
儀式主義 [ぎしきしゅぎ] /(n,adj-no) ritualism/ceremonialism/
儀式張る [ぎしきばる] /(v5r,vi) to formalize/to formalise/to stick to formality/to be ceremonious/to punctilious/
儀式用 [ぎしきよう] /(adj-no) ceremonial/
儀杖兵 [ぎじょうへい] /(n) guard of honour/
儀装 [ぎそう] /(n) ceremonial equipment/
儀装馬車 [ぎそうばしゃ] /(n) state carriage/
儀典 [ぎてん] /(n) ceremony/rite/ritual/service/
儀典長 [ぎてんちょう] /(n) chief of protocol/
儀刀 [ぎとう] /(n) ceremonial sword/
儀範 [ぎはん] /(n) precedent/model/
儀表 [ぎひょう] /(n) (a) model/
儀容 [ぎよう] /(n) bearing/manners/
儀陽殿 [ぎようでん] /(n) pavilion housing imperial treasures and historical artifacts (in Heian Palace)/
儀礼 [ぎれい] /(n) etiquette/courtesy/(P)/
儀礼的 [ぎれいてき] /(adj-na) formal/courteous/
儀礼刀 [ぎれいとう] /(n) ceremonial sword/
儀礼兵 [ぎれいへい] /(n) guard of honor/guard of honour/
儀仗 [ぎじょう] /(n) cortege/guard/
儀仗兵 [ぎじょうへい] /(n) guard of honor/guard of honour/
儀宸 [ぎしん] /(n) empress dowager's home/
妓 [ぎ] /(n) geisha/
妓院 [ぎいん] /(n) (arch) brothel/
妓女 [ぎじょ] /(n) woman entertainer/prostitute/
妓生 [きいさん] /(n) Korean female entertainer (kor: gi-saeng)/
妓生 [こしょう] /(n) Korean female entertainer (kor: gi-saeng)/
妓夫 [ぎふ] /(n) pimp/brothel tout/
妓夫 [ぎゅう] /(n) pimp/brothel tout/
妓楼 [ぎろう] /(n) brothel/
宜 [うべ] /(adv) truly/indeed/
宜 [むべ] /(adv) truly/indeed/
宜い [いい] /(iK) (adj-i) (1) (uk) good/excellent/fine/nice/pleasant/agreeable/(2) sufficient (can be used to turn down an offer)/ready/prepared/(3) profitable (e.g. deal, business offer, etc.)/beneficial/(4) OK/
宜い [よい] /(iK) (adj-i) (1) (uk) good/excellent/fine/nice/pleasant/agreeable/(2) sufficient (can be used to turn down an offer)/ready/prepared/(3) profitable (e.g. deal, business offer, etc.)/beneficial/(4) OK/
宜しい [よろしい] /(adj-i) (uk) (hon) good/OK/all right/fine/very well/will do/may/can/(P)/
宜しかったら [よろしかったら] /(n) if you don't mind/if you like/
宜しきを得る [よろしきをえる] /(exp,v1) just about right/quite appropriate/
宜しく [よろしく] /(exp,adv) (1) (uk) well/properly/suitably/(2) best regards/please remember me/please treat me favorably (favourably)/please take care of/(P)/
宜しくお願いします [よろしくおねがいします] /(exp) please remember me/please help me/please treat me well/I look forward to working with you/
宜しくお願い致します [よろしくおねがいいたします] /(exp) (hon) please remember me/please help me/please treat me well/
宜しくやる [よろしくやる] /(exp,v5r) (1) (uk) to make out with/to make cozy with (cosy)/(2) to do at one's own discretion/
宜しければ [よろしければ] /(exp) (uk) if you please/if you don't mind/when you're ready/if you want/if that's alright with you/
宜敷く [よろしく] /(ateji) (exp,adv) (1) (uk) well/properly/suitably/(2) best regards/please remember me/please treat me favorably (favourably)/please take care of/
宜陽殿 [ぎようでん] /(n) pavilion housing imperial treasures and historical artifacts (in Heian Palace)/
戯える [そばえる] /(v1,vi) to play pranks/to be spoiled/to be spoilt/
戯かす [じゃらかす] /(v5s,vt) to call for jokes/
戯け [おどけ] /(n) (a) pleasantry/joke/attempt at humor/
戯ける [おどける] /(v1,vi) to jest/to joke/to play the fool/to act indecently/to be silly over/to talk foolishly/
戯ける [たわける] /(v1,vi) to jest/to joke/to play the fool/to act indecently/to be silly over/to talk foolishly/
戯け口 [おどけぐち] /(n) joke/
戯け芝居 [おどけしばい] /(n) comedy/burlesque/
戯け者 [おどけもの] /(n) idiot/dummy/joker/fool/trickster/
戯け者 [たわけもの] /(n) idiot/dummy/joker/fool/trickster/
戯け話 [おどけばなし] /(n) funny story/
戯つく [じゃらつく] /(v5k,vi) (1) (uk) to jingle/to jangle/to clink/to chink/(2) to act lasciviously/to act coquettishly/
戯る [たわむる] /(v5r,vi) (arch) to be playful/to gambol/to be amused (with something)/to play/to sport/to frolic/to joke/
戯れ [たわむれ] /(n) play/sport/fun/caprice/joke/jest/flirtation/(P)/
戯れる [ざれる] /(v1,vi) (1) to be playful/to gambol/to be amused (with something)/to play/to sport/to frolic/to joke/(2) to flirt with/
戯れる [じゃれる] /(v1,vi) (1) to be playful/to gambol/to be amused (with something)/to play/to sport/to frolic/to joke/(2) to flirt with/
戯れる [たわむれる] /(v1,vi) (1) to be playful/to gambol/to be amused (with something)/to play/to sport/to frolic/to joke/(2) to flirt with/(P)/
戯れ歌 [ざれうた] /(n) funny song/comic song/limerick/
戯れ言 [ざれこと] /(n) prank/practical joke/
戯れ言 [ざれごと] /(n) prank/practical joke/
戯れ言 [たわぶれごと] /(n) prank/practical joke/
戯れ言 [たわむれごと] /(n) prank/practical joke/
戯れ事 [ざれごと] /(n) wanton sporting/
戯れ事 [たわむれごと] /(n) wanton sporting/
戯歌 [ざれうた] /(n) funny song/comic song/limerick/
戯画 [ぎが] /(n) caricature/cartoon/comics/(P)/
戯絵 [ざれえ] /(n) picture drawn in fun/
戯曲 [ぎきょく] /(n,adj-no) play/drama/(P)/
戯言 [ぎげん] /(n) nonsense/bullshit/silly things/joke/
戯言 [ざれこと] /(io) (n) prank/practical joke/
戯言 [ざれごと] /(io) (n) prank/practical joke/
戯言 [たわこと] /(ok) (n) nonsense/bullshit/silly things/joke/
戯言 [たわごと] /(n) nonsense/bullshit/silly things/joke/
戯言 [たわぶれごと] /(io) (n) prank/practical joke/
戯言 [たわむれごと] /(io) (n) prank/practical joke/
戯交わす [ざれかわす] /(v5s) to exchange jokes/
戯作 [ぎさく] /(n) (1) cheap literature/writing for amusement/(2) light literature popular in the late Edo period/
戯作 [げさく] /(n) (1) cheap literature/writing for amusement/(2) light literature popular in the late Edo period/
戯作三昧 [げさくざんまい] /(n) being absorbed in writing popular novels (cheap fiction)/being absorbed in writing something to amuse oneself/
戯作者 [げさくしゃ] /(n) fiction writer/dime novelist/
戯事 [ざれごと] /(n) wanton sporting/
戯事 [たわむれごと] /(n) wanton sporting/
戯書 [ぎしょ] /(n) rambling writings/
戯書き [ざれがき] /(n) something written for fun/calligraphy written for entertainment/
戯笑 [ぎしょう] /(n) playful laughter/
戯談 [ぎだん] /(ok) (n,adj-no) jest/joke/funny story/
戯談 [げだん] /(ok) (n,adj-no) jest/joke/funny story/
戯談 [じょうだん] /(n,adj-no) jest/joke/funny story/
戯奴 [わけ] /(n) (1) (arch) (hum) me/(2) (fam) you/
戯評 [ぎひょう] /(n) humorous comments/humourous comments/sarcastic remarks/cartoon/caricature/satire/
戯文 [ぎぶん] /(n) humorous writing/humourous writing/
技 [ぎ] /(n) technique/art/
技 [わざ] /(n) technique/art/(P)/
技あり [わざあり] /(n) (MA) waza-ari (in judo, a half-point awarded for good but incomplete execution)/
技を磨く [わざをみがく] /(exp,v5k) to improve one's skill/
技科大 [ぎかだい] /(n) (abbr) university of technology/science and technology college/
技官 [ぎかん] /(n) technical official/technical officer/
技監 [ぎかん] /(n) engineer-in-chief/chief engineer/chief scientist/
技協 [ぎきょう] /(n) (1) (abbr) technology association/technology institute/(2) (abbr) technical cooperation/
技芸 [ぎげい] /(n) arts/crafts/handicrafts/
技研 [ぎけん] /(n) technical research institute/
技工 [ぎこう] /(n,adj-no) craft/craftsman/
技巧 [ぎこう] /(n) technique/finesse/(P)/
技巧的 [ぎこうてき] /(adj-na) technically accomplished/technical/polished/
技師 [ぎし] /(n) engineer/technician/(P)/
技師長 [ぎしちょう] /(n) chief engineer/
技手 [ぎしゅ] /(n) assistant engineer/(telegraph) operator/
技手 [ぎて] /(n) assistant engineer/(telegraph) operator/
技術 [ぎじゅつ] /(n) art/craft/technique/technology/engineering/skill/(P)/
技術コスト [ぎじゅつコスト] /(n) (comp) technology cost/
技術委員会 [ぎじゅついいんかい] /(n) (comp) technical committee/
技術移転 [ぎじゅついてん] /(n) technology transfer/
技術員 [ぎじゅついん] /(n) technical assistant/technician/
技術援助 [ぎじゅつえんじょ] /(n) technological assistance/
技術屋 [ぎじゅつや] /(n) (col) engineer/technician/
技術科 [ぎじゅつか] /(adj-no) vocational-technical/
技術科学大学 [ぎじゅつかがくだいがく] /(n) university of technology/science and technology college/
技術開発 [ぎじゅつかいはつ] /(n) technological development/
技術革新 [ぎじゅつかくしん] /(n) technological innovation/
技術革命 [ぎじゅつかくめい] /(n) (comp) technology revolution/
技術基準 [ぎじゅつきじゅん] /(n) technical standards/
技術基準適合 [ぎじゅつきじゅんてきごう] /(n) technical standards compliance/
技術協会 [ぎじゅつきょうかい] /(n) technology association/technology institute/
技術協力 [ぎじゅつきょうりょく] /(n) technical cooperation/
技術検討 [ぎじゅつけんとう] /(n) (comp) technical investigation/
技術原稿 [ぎじゅつげんこう] /(n) (comp) technical paper/technical manuscript/
技術交換 [ぎじゅつこうかん] /(n) (comp) technology exchange/
技術講習 [ぎじゅつこうしゅう] /(n) (comp) technical course/technical training/
技術仕様書 [ぎじゅつしようしょ] /(n) (comp) technical specification/
技術士 [ぎじゅつし] /(n) consulting engineer/
技術支援 [ぎじゅつしえん] /(n) (comp) technical support/
技術者 [ぎじゅつしゃ] /(n) engineer/technical expert/technician/crafts-person/(P)/
技術者倫理 [ぎじゅつしゃりんり] /(n) engineering ethics/
技術審査 [ぎじゅつしんさ] /(n) technical review/
技術水準 [ぎじゅつすいじゅん] /(adj-no) state-of-the-art/
技術調査 [ぎじゅつちょうさ] /(n) (comp) technical investigation/
技術提携 [ぎじゅつていけい] /(n) technical cooperation/
技術的 [ぎじゅつてき] /(adj-na) technical/practical/(P)/
技術的な課題 [ぎじゅつてきなかだい] /(n) technological task/potential feature/technical problem/
技術的に困難 [ぎじゅつてきにこんなん] /(exp,adj-na) technically difficult/
技術的課題 [ぎじゅつてきかだい] /(n) technical problem/
技術的解決策 [ぎじゅつてきかいけつさく] /(n) technological solution/technical answer/
技術的限界 [ぎじゅつてきげんかい] /(n) (comp) technical limitations/limits of technology/
技術的名称 [ぎじゅつてきめいしょう] /(n) (comp) technical name/
技術的問題 [ぎじゅつてきもんだい] /(n) (comp) technical problem, issue/
技術点 [ぎじゅつてん] /(n) technical score (in figure skating, etc.)/
技術同士 [ぎじゅつどうし] /(n) technical works/
技術導入 [ぎじゅつどうにゅう] /(n) technology import/introduction of foreign technology/
技術畑の人 [ぎじゅつばたけのひと] /(n) career technician/man in the technical line/
技術標準 [ぎじゅつひょうじゅん] /(n) (comp) technology standardization/
技術面 [ぎじゅつめん] /(n) technical side/
技術面で [ぎじゅつめんで] /(n) (comp) on a technical level/
技術用語 [ぎじゅつようご] /(n) technical term/technical terminology/
技術要件 [ぎじゅつようけん] /(n) (comp) technical requirement/
技術料 [ぎじゅつりょう] /(n) technical fee/
技術力 [ぎじゅつりょく] /(n) technological strength/
技神に入る [ぎしんにいる] /(exp,v5r) to be divinely skilled/
技適 [ぎてき] /(n) (abbr) technical standards compliance/
技倒 [ぎとう] /(n) technical knockout (boxing)/TKO/
技能 [ぎのう] /(n) technical skill/ability/capacity/(P)/
技能オリンピック [ぎのうオリンピック] /(n) Skill Olympics/WorldSkills Competition/
技能検定 [ぎのうけんてい] /(n) National Trade Skills Test/technical skills test/
技能者 [ぎのうしゃ] /(n) technician/
技能賞 [ぎのうしょう] /(n) (sports or sumo) technique prize/
技法 [ぎほう] /(n) technique/(P)/
技有り [わざあり] /(n) (MA) waza-ari (in judo, a half-point awarded for good but incomplete execution)/
技量 [ぎりょう] /(n) ability/competency/talent/skill/capacity/
技倆 [ぎりょう] /(n) ability/competency/talent/skill/capacity/
技癢 [ぎよう] /(n) itching to show off one's abilities/
擬 [ぎ] /(pref) (math) pseudo-/quasi-/
擬い [まがい] /(n) imitation/sham/-like/
擬い物 [まがいもの] /(n) imitation/fake/sham/
擬える [なずらえる] /(v1,vt) to pattern after/to liken to/to imitate/
擬える [なぞらえる] /(v1,vt) to pattern after/to liken to/to imitate/
擬き [もどき] /(iK) (suf) (uk) pseudo-/
擬す [ぎす] /(v5s,vt) (1) to imitate/to copy/to mimic/(2) to enter someone as a candidate/(3) to press (e.g. a weapon against someone's back)/(4) to compare/to liken/
擬する [ぎする] /(vs-s,vt) (1) to imitate/to copy/to mimic/(2) to enter someone as a candidate/(3) to press (e.g. a weapon against someone's back)/(4) to compare/to liken/
擬ポテンシャル [ぎポテンシャル] /(n) (physics) pseudopotential/
擬餌 [ぎじ] /(n) artificial bait/
擬餌鉤 [ぎじばり] /(n) artificial fly (fishing)/lure/spinner/
擬音 [ぎおん] /(n,adj-no) imitative sounds (drama, broadcasting)/
擬音語 [ぎおんご] /(n) (ling) example of onomatopoeia/onomatopoeic word/
擬蝦夷法螺 [えぞぼらもどき] /(n) (uk) double-sculptured neptune (species of whelk, Neptunea intersculpta)/
擬革 [ぎかく] /(n) imitation leather/
擬革紙 [ぎかくし] /(n) imitation leather/
擬蟻象虫 [ありもどきぞうむし] /(n) (uk) sweet potato weevil (Cylas formicarius)/
擬古 [ぎこ] /(n,vs) imitation of classical styles/
擬古主義 [ぎこしゅぎ] /(n) archaism/pseudoclassicism/
擬古典的 [ぎこてんてき] /(adj-na) pseudoclassic/
擬古文 [ぎこぶん] /(n) classical style/
擬死 [ぎし] /(n) feigning death/
擬似 [ぎじ] /(n,pref,adj-no) suspected/pseudo/sham/quasi/false/mock/
擬似科学 [ぎじかがく] /(n) pseudoscience/
擬似乱数 [ぎじらんすう] /(n,adj-no) pseudorandom number/
擬似乱数生成器 [ぎじらんすうせいせいき] /(n) pseudo-random number generator/
擬似乱数列 [ぎじらんすうれつ] /(n) (comp) pseudo-random number sequence/
擬射影 [ぎしゃえい] /(adj-no) (math) quasiprojective/
擬人 [ぎじん] /(n) simulation of a person/
擬人化 [ぎじんか] /(n,vs) personification/anthropomorphication/
擬人観 [ぎじんかん] /(n) anthropomorphism/
擬人法 [ぎしんほう] /(n) personification/
擬人法 [ぎじんほう] /(n) personification/
擬寸法集合体 [ぎすんぽうしゅうごうたい] /(n) (comp) assumed-size aggregate/
擬制 [ぎせい] /(n) legal fiction/
擬勢 [ぎせい] /(n,vs) bluff/deceiving an enemy/
擬声語 [ぎせいご] /(n) (ling) onomatope (i.e. word formed by onomatopoeia)/
擬製 [ぎせい] /(n,vs) imitation/forgery/copy/
擬装 [ぎそう] /(n,vs,adj-no) disguise/camouflage/masquerade/(P)/
擬足 [ぎそく] /(n,adj-no) pseudopodium/pseudopod (temporary protrusion of an ameboid cell)/
擬態 [ぎたい] /(n,adj-no) mimesis/mimicry/camouflage/
擬態語 [ぎたいご] /(n) (ling) mimetic word/word that mimics something that does not make a sound (e.g. the fluttering of a butterfly's wings)/
擬斗 [ぎとう] /(n) fight scene/stage combat/staged sword fight/
擬軟体動物 [ぎなんたいどうぶつ] /(n,adj-no) (obs) molluscoid/
擬白蟻 [しろありもどき] /(n) (uk) web-spinner (any insect of order Embioptera, esp. family Oligotomidae)/
擬爆弾 [ぎばくだん] /(n) dummy bomb/
擬娩 [ぎべん] /(n) (obsc) couvade (custom in which a male acts out the physical process of his own child being born)/
擬宝珠 [ぎぼうし] /(ok) (n) (1) bridge railing-post knob/(2) (uk) stone-leek flower/hosta (genus of about 40 species of lily-like plants in the family Agavaceae)/
擬宝珠 [ぎぼうしゅ] /(ok) (n) (1) bridge railing-post knob/(2) (uk) stone-leek flower/hosta (genus of about 40 species of lily-like plants in the family Agavaceae)/
擬宝珠 [ぎぼし] /(n) (1) bridge railing-post knob/(2) (uk) stone-leek flower/hosta (genus of about 40 species of lily-like plants in the family Agavaceae)/
擬宝珠虫 [ぎぼしむし] /(n) (uk) acorn worm (any hemichordate of class Enteropneusta)/
擬毛 [ぎもう] /(n) imitation wool/
擬薬 [ぎやく] /(n) inactive placebo/placebo/
擬有効 [ぎゆうこう] /(adj-no) (math) pseudoeffectve/
擬螳螂 [かまきりもどき] /(n) (uk) mantidfly (any insect of the family Mantispidae)/
擬蠍 [かにむし] /(n) (uk) pseudoscorpion (any arachnid of order Pseudoscorpionida)/false scorpion/
欺き惑わす [あざむきまどわす] /(v5s) to deceive and lead astray/
欺く [あざむく] /(v5k,vt) to deceive/to delude/to trick/to fool/(P)/
欺瞞 [ぎまん] /(n,vs) deception/deceit/
欺瞞者 [ぎまんしゃ] /(n) deceiver/a fraud/
欺瞞的 [ぎまんてき] /(adj-na) deceptive/fraudulent/
欺罔 [きぼう] /(n,vs) deception/defrauding someone/fooling someone/swindling/false pretences/
欺罔 [きもう] /(n,vs) deception/defrauding someone/fooling someone/swindling/false pretences/
欺罔 [ぎもう] /(ok) (n,vs) deception/defrauding someone/fooling someone/swindling/false pretences/
欺騙 [ぎへん] /(n) deception/
犠牛 [ぎぎゅう] /(n) sacrificial bullock/
犠牲 [ぎせい] /(n) victim/sacrifice/scapegoat/(P)/
犠牲バント [ぎせいバント] /(n) sacrifice bunt/
犠牲フライ [ぎせいフライ] /(n) sacrifice fly/
犠牲者 [ぎせいしゃ] /(n) victim/(P)/
犠牲打 [ぎせいだ] /(n) sacrifice hit/
犠牲的 [ぎせいてき] /(adj-na) self-sacrificing/
犠打 [ぎだ] /(n) sacrifice fly/bunt/(P)/
犠飛 [ぎひ] /(n) sacrifice fly (baseball)/(P)/
疑 [ぎ] /(n) doubt/distrust/suspicion (of)/
疑い [うたがい] /(n) doubt/question/uncertainty/skepticism/scepticism/suspicion/distrust/(P)/
疑いが晴れる [うたがいがはれる] /(exp,v1) to be cleared of a charge/
疑いをかけられる [うたがいをかけられる] /(exp,v1) to be under suspicion/
疑いを晴らす [うたがいをはらす] /(exp,v5s) to dispel doubts/
疑いを抱く [うたがいをいだく] /(exp,v5k) to harbor suspicion/to harbour suspicion/
疑い深い [うたがいぶかい] /(adj-i) doubting/distrustful/incredulous/suspicious/
疑う [うたがう] /(v5u,vt) to doubt/to distrust/to be suspicious of/to suspect/(P)/
疑り [うたぐり] /(n) doubt/question/uncertainty/skepticism/scepticism/suspicion/distrust/
疑る [うたぐる] /(v5r,vt) to doubt/to distrust/to be suspicious of/to suspect/
疑わしい [うたがわしい] /(adj-i) doubtful/questionable/uncertain/disputable/suspicious/(P)/
疑わしい節 [うたがわしいふし] /(n) dubious points/
疑雲 [ぎうん] /(n) cloud of suspicion/
疑感 [ぎかん] /(n) (feelings of) doubt/misgivings/suspicion/qualms/
疑義 [ぎぎ] /(n) doubt/(P)/
疑獄 [ぎごく] /(n) scandal/graft case/(P)/
疑獄事件 [ぎごくじけん] /(n) bribery scandal (case)/
疑似 [ぎじ] /(n,pref,adj-no) suspected/pseudo/sham/quasi/false/mock/(P)/
疑似ＳＲＡＭ [ぎじエスラム] /(n) (comp) pseudo static Random Access Memory/PSRAM/
疑似カラー [ぎじカラー] /(n) (comp) pseudo color/
疑似コード [ぎじコード] /(n) (comp) pseudo code/
疑似コレラ [ぎじコレラ] /(n) para-cholera/suspected case of cholera/
疑似マルチタスク [ぎじマルチタスク] /(n) (comp) non-preemptive multitasking/
疑似リエントラントプログラム [ぎじリエントラントプログラム] /(n) (comp) pseudo reentrant program/
疑似科学 [ぎじかがく] /(n) pseudoscience/
疑似体験 [ぎじたいけん] /(n) simulated experience/simulation/
疑似体験療法 [ぎじたいけんりょうほう] /(n) exposure therapy/
疑似直接目的語 [ぎじちょくせつもくてきご] /(n) (ling) pseudo-direct object/
疑似命令 [ぎじめいれい] /(n) (comp) pseudo instruction/
疑似乱数 [ぎじらんすう] /(n,adj-no) pseudorandom number/
疑似恋愛 [ぎじれんあい] /(n) pseudo-romance/pseudo (mock) love affair/
疑字 [ぎじ] /(n) character of questionable form/
疑辞 [ぎじ] /(n) questionable word/
疑心 [ぎしん] /(n) doubt/suspicion/fear/apprehension/(P)/
疑心暗鬼 [ぎしんあんき] /(n) Suspicion will raise bogies/Once you suspect something, everything else will look suspicious/
疑団 [ぎだん] /(n) a doubt that lurks in one's soul and that cannot be resolved/
疑点 [ぎてん] /(n) doubtful point/
疑念 [ぎねん] /(n) doubt/suspicion/misgivings/scruples/(P)/
疑問 [ぎもん] /(n) question/problem/doubt/guess/(P)/
疑問が残る [ぎもんがのこる] /(exp,v5r) there are still some doubtful points/
疑問の解決 [ぎもんのかいけつ] /(n) (comp) problem solution/
疑問視 [ぎもんし] /(n,vs) holding in doubt/
疑問詞 [ぎもんし] /(n) (ling) interrogative word/
疑問代名詞 [ぎもんだいめいし] /(n) (ling) interrogative pronoun/
疑問点 [ぎもんてん] /(n) point of uncertainty/unclarified issue/doubt/(P)/
疑問氷解 [ぎもんひょうかい] /(n) one's doubts being cleared away (dispelled, resolved)/
疑問票 [ぎもんひょう] /(n) disputed ballot/
疑問符 [ぎもんふ] /(n) (ling) question mark/(P)/
疑問文 [ぎもんぶん] /(n) interrogative sentence/
疑陽性 [ぎようせい] /(adj-f) pseudo-positive/
疑惑 [ぎわく] /(n,adj-no) doubt/misgivings/distrust/suspicion/(P)/
疑惧 [ぎく] /(n,vs) (uk) (arch) apprehension/uneasiness/
疑懼 [ぎく] /(n,vs) (uk) (arch) apprehension/uneasiness/
祇園 [ぎおん] /(n) entertainment district in Kyoto/(P)/
祇園会 [ぎおんえ] /(n) Gion Festival (in Kyoto during the month of July, with high point on the 17th)/
祇園祭 [ぎおんまつり] /(n) Gion Festival (in Kyoto during the month of July, with high point on the 17th)/
義 [ぎ] /(n,adj-no) (1) morality/righteousness/justice/honour (honor)/(2) meaning/(3) (Buddh) teachings/doctrine/(n,n-pref) (4) nonconsanguineous relationship (i.e. of in-laws)/(5) prosthesis/
義を見てせざるは勇なきなり [ぎをみてせざるはゆうなきなり] /(exp) (id) Knowing what is right and not doing it is a want of courage/
義を破る [ぎをやぶる] /(exp,v5r) to break faith with/
義援 [ぎえん] /(n,vs) contribution/donation/
義援金 [ぎえんきん] /(n) donation money/contribution/(P)/
義眼 [ぎがん] /(n) artificial eye/
義旗 [ぎき] /(n) flag of righteousness/
義気 [ぎき] /(n) chivalry/heroism/
義義 [ぎぎ] /(n) (uk) forktail bullhead (species of catfish, Pelteobagrus nudiceps)/
義挙 [ぎきょ] /(n) noble undertaking/heroic deed/
義侠 [ぎきょう] /(n) chivalry/generosity/
義侠の士 [ぎきょうのし] /(n) paladin/
義侠心 [ぎきょうしん] /(n) chivalrous spirit/
義金 [ぎきん] /(n) contribution/
義訓 [ぎくん] /(n) reading of a kanji by meaning/
義軍 [ぎぐん] /(n) righteous army/
義兄 [あに] /(ik) (n) brother-in-law/
義兄 [ぎけい] /(n) brother-in-law/(P)/
義兄弟 [ぎきょうだい] /(n) brother-in-law/stepbrother/sworn brother/
義経千本桜 [よしつねせんぼんざくら] /(n) Yoshitsune Senbonzakura (kabuki play)/
義士 [ぎし] /(n) loyal retainer/
義姉 [あね] /(ik) (n) sister-in-law (elder)/stepsister (elder)/
義姉 [ぎし] /(n) sister-in-law (elder)/stepsister (elder)/(P)/
義子 [ぎし] /(n) adopted child/
義肢 [ぎし] /(n) artificial limb/
義歯 [ぎし] /(n) artificial tooth/(P)/
義手 [ぎしゅ] /(n) artificial arm (hand)/
義塾 [ぎじゅく] /(n) private school/(P)/
義心 [ぎしん] /(n) chivalrous spirit/
義臣 [ぎしん] /(n) loyal retainer/
義親 [ぎしん] /(n) parent according to law or convention but not biology/inlaws/
義人 [ぎじん] /(n) selfless (pious, righteous) man/
義絶 [ぎぜつ] /(n,vs) disownment/
義戦 [ぎせん] /(n) a crusade/holy war/
義足 [ぎそく] /(n) artificial leg/
義賊 [ぎぞく] /(n) chivalrous thief/
義太夫 [ぎだゆう] /(n) (abbr) gidayuu (type of reciting used in the puppet theater)/(P)/
義太夫語り [ぎだゆうかたり] /(n) gidayuu reciter/
義太夫節 [ぎだゆうぶし] /(n) gidayuu ballad drama (narrative accompanied by a shamisen used in the bunraku puppet theater)/
義体 [ぎたい] /(n) artificial body/cyborg/
義弟 [おとうと] /(ik) (n) younger brother-in-law/
義弟 [ぎてい] /(n) younger brother-in-law/(P)/
義認 [ぎにん] /(n,vs) justification (by faith)/
義父 [ぎふ] /(n) father-in-law/foster father/stepfather/(P)/
義憤 [ぎふん] /(n) righteous indignation/
義兵 [ぎへい] /(n) soldier or army dedicated to a righteous cause/
義母 [ぎぼ] /(n) mother-in-law/foster mother/step mother/(P)/
義蜂 [ぎばち] /(n) (uk) cut-tailed bullhead (species of catfish, Pseudobagrus aurantiacus)/
義妹 [いもうと] /(ik) (n) sister-in-law (younger)/stepsister/
義妹 [ぎまい] /(n) sister-in-law (younger)/stepsister/(P)/
義民 [ぎみん] /(n) public-spirited or self-sacrificing individual/
義務 [ぎむ] /(n,adj-no) duty/obligation/responsibility/(P)/
義務づける [ぎむづける] /(v1) to obligate/
義務感 [ぎむかん] /(n) sense of duty (obligation)/
義務教育 [ぎむきょういく] /(n) compulsory education/(P)/
義務的 [ぎむてき] /(adj-na) compulsory/obligatory/
義務付け [ぎむづけ] /(n) obligation/(P)/
義務付ける [ぎむづける] /(v1,vt) to obligate/
義勇 [ぎゆう] /(n) heroism/loyalty and courage/(P)/
義勇軍 [ぎゆうぐん] /(n) volunteer army/
義勇兵 [ぎゆうへい] /(n) volunteer soldier/
義理 [ぎり] /(n,adj-no) duty/sense of duty/honor/honour/decency/courtesy/debt of gratitude/social obligation/(P)/
義理が悪い [ぎりがわるい] /(exp,adj-i) failing in one's duty (e.g. to someone)/
義理のお兄さん [ぎりのおにいさん] /(n) one's brother-in-law/
義理の兄 [ぎりのあに] /(n) one's brother-in-law/stepbrother (elder)/
義理の姉 [ぎりのあね] /(n) one's sister-in-law/stepsister (elder)/
義理の父 [ぎりのちち] /(n) father-in-law/foster father/stepfather/
義理の母 [ぎりのはは] /(n) mother-in-law/foster mother/stepmother/
義理まん [ぎりまん] /(n) (sl) sexual intercourse permitted (by a woman) due to a sense of obligation (rather than desire)/
義理を欠く [ぎりをかく] /(exp,v5k) to fail in one's social duties/
義理を立てる [ぎりをたてる] /(exp,v1) to be faithful/to do one's duty/
義理チョコ [ぎりチョコ] /(n) obligatory-gift chocolate/
義理マン [ぎりマン] /(n) (sl) sexual intercourse permitted (by a woman) due to a sense of obligation (rather than desire)/
義理一遍 [ぎりいっぺん] /(n,adj-na,adj-no) perfunctory/going-through-the-motions-sort of (invitation, gift, etc.)/
義理堅い [ぎりがたい] /(adj-i) possessed of a strong sense of duty/
義理合い [ぎりあい] /(n) social relationship/friendship/
義理人情 [ぎりにんじょう] /(n) duty and humanity/(a sense of) moral obligation and humane feelings/
義理立て [ぎりだて] /(n,vs) doing one's duty/
義烈 [ぎれつ] /(n) heroism/
義和団 [ぎわだん] /(n) (in Chinese history) the Boxers/
義捐 [ぎえん] /(n,vs) contribution/donation/
義捐金 [ぎえんきん] /(n) donation money/contribution/
蟻 [あり] /(n) ant/(P)/
蟻の塔 [ありのとう] /(n) anthill/
蟻の門渡り [ありのとわたり] /(n) (1) perineum/area between sex organs and the anus/(2) very narrow passage/
蟻ほぞ [ありほぞ] /(n,vs) dovetail tenon/dovetailing/
蟻んこ [ありんこ] /(n) (chn) ant/
蟻ん子 [ありんこ] /(n) (chn) ant/
蟻学 [ありがく] /(n) myrmecology (the study of ants)/
蟻巻 [ありまき] /(n) (uk) aphid/plant louse/plant lice/
蟻吸 [ありすい] /(n) (uk) Eurasian wryneck (species of bird, Jynx torquilla)/
蟻継 [ありつぎ] /(n,vs) dovetail joint/swallowtail joint/
蟻継ぎ [ありつぎ] /(n,vs) dovetail joint/swallowtail joint/
蟻蚕 [ぎさん] /(n) silkworm (in the first or second instar)/
蟻酸 [ぎさん] /(n) (1) formic acid/(adj-no) (2) formic/
蟻食 [ありくい] /(n) (uk) anteater/
蟻食い [ありくい] /(n) (uk) anteater/
蟻走感 [ぎそうかん] /(n) formication/crawling sensation/crispation/
蟻族 [ありぞく] /(n,vs) university graduate who has failed to find a high-paying job/
蟻地獄 [ありじごく] /(n) (1) ant lion larva/doodlebug/(2) ant lion larva's pit/
蟻蜘蛛 [ありぐも] /(n) (uk) Myrmarachne japonica (species of ant-mimicking spider)/
蟻鳥科 [ありどりか] /(n) Thamnophilidae (antbird family)/
蟻塚 [ありづか] /(n) anthill/
蟻蜂 [ありばち] /(n) velvet ant/
誼 [ぎ] /(n) friendship/friendly relations/connection/relation/intimacy/
誼 [よしび] /(n) friendship/friendly relations/connection/relation/intimacy/
誼 [よしみ] /(n) friendship/friendly relations/connection/relation/intimacy/
誼み [よしみ] /(n) friendship/friendly relations/connection/relation/intimacy/
議 [ぎ] /(n) (1) discussion/deliberation/(2) thought/opinion/
議す [ぎす] /(v5s,vt) to consult (somebody)/to talk something over/
議する [ぎする] /(vs-s,vt) to consult somebody/to talk something over/
議に上る [ぎにのぼる] /(exp,v5r) to come up for discussion/
議案 [ぎあん] /(n) (1) legislative bill/measure/(2) agenda item/(P)/
議員 [ぎいん] /(n) member of the Diet, congress or parliament/(P)/
議員特権 [ぎいんとっけん] /(n) parliamentary privilege/
議員年金 [ぎいんねんきん] /(n) legislators' pension (and retirement benefits)/
議員立法 [ぎいんりっぽう] /(n) legislation introduced by a Diet member/
議員連盟 [ぎいんれんめい] /(n) Diet members caucus/caucus of the Diet/
議院 [ぎいん] /(n) congress or parliament/(P)/
議院運営委員会 [ぎいんうんえいいいんかい] /(n) Committee on Rules and Administration (Diet)/House Steering Committee/Standing Committee for House Management/(P)/
議院運営委員長 [ぎいんうんえいいいんちょう] /(n) House Steering Committee Chairman/
議院内閣制 [ぎいんないかくせい] /(n) parliamentary system of government/
議運 [ぎうん] /(n) (abbr) Committee on Rules and Administration (Diet)/House Steering Committee/Standing Committee for House Management/
議運委 [ぎうんい] /(n) (abbr) Committee on Rules and Administration (Diet)/
議会 [ぎかい] /(n) Diet/congress/parliament/(P)/
議会下院 [ぎかいかいん] /(n) lower house (parliament, congress, diet)/
議会主義 [ぎかいしゅぎ] /(n) parliamentarism/
議会上院 [ぎかいじょういん] /(n) upper house/senate/
議会制民主主義 [ぎかいせいみんしゅしゅぎ] /(n) parliamentary democracy/
議会政治 [ぎかいせいじ] /(n) parliamentarism/parliamentary government/
議会選挙 [ぎかいせんきょ] /(n) parliamentary election/
議決 [ぎけつ] /(n,vs) resolution/decision/vote/(P)/
議決機関 [ぎけつきかん] /(n) legislative organ/
議決権 [ぎけつけん] /(n) voting right/
議士 [ぎし] /(n) councillor/councilor/legislator/
議事 [ぎじ] /(n) proceedings/(P)/
議事堂 [ぎじどう] /(n) Diet building/(P)/
議事妨害 [ぎじぼうがい] /(n) obstruction of proceedings/a filibuster/
議事録 [ぎじろく] /(n) record of proceedings/minutes/(P)/
議場 [ぎじょう] /(n) assembly hall/the House/(P)/
議席 [ぎせき] /(n) parliamentary seat/(P)/
議席を失う [ぎせきをうしなう] /(exp,v5u) to lose a seat (in an election)/
議席を奪う [ぎせきをうばう] /(exp,v5u) to unseat someone (in an election)/to defeat a sitting member/
議題 [ぎだい] /(n) topic of discussion/agenda/(P)/
議題に上す [ぎだいにのぼす] /(exp,v5s) to bring up for discussion/
議長 [ぎちょう] /(n) chairman/speaker (e.g. of assembly)/president (e.g. of council, senate, etc.)/moderator (e.g. of a newsgroup)/(P)/
議長を務める [ぎちょうをつとめる] /(exp,v1) to act as chairman/
議長職権 [ぎちょうしょっけん] /(n) authority as chairperson or president, etc./
議定 [ぎじょう] /(n,vs) agreement/
議定 [ぎてい] /(n,vs) agreement/
議定書 [ぎていしょ] /(n) protocol/(P)/
議了 [ぎりょう] /(n,vs) finishing discussion/closing a debate/
議連 [ぎれん] /(n) (abbr) Diet members' caucus/caucus of the Diet/
議論 [ぎろん] /(n,vs) argument/discussion/dispute/controversy/(P)/
議論になる [ぎろんになる] /(exp,v5r) (1) to get into an argument/to come to discuss/(2) to be controversial (usu. as an adjectival phrase)/to be contentious/
議論の末に [ぎろんのすえに] /(adv) after a heated discussion/
議論の余地 [ぎろんのよち] /(exp) room for argument/
議論を戦わす [ぎろんをたたかわす] /(exp,v5s) to have a discussion/
議論百出 [ぎろんひゃくしゅつ] /(n) diverse arguments arising in great numbers/
議論沸騰 [ぎろんふっとう] /(n,vs) discussion (argument) becoming heated/debate being in a ferment/
掬い取る [すくいとる] /(v5r) to dip or scoop up/to ladle out/
掬い出す [すくいだす] /(v5s) to bail (water out of a boat)/
掬い上げる [すくいあげる] /(v1,vt) to dip or scoop up/
掬い投げ [すくいなげ] /(n) (sumo) variety of beltless arm throw/
掬い網 [すくいあみ] /(n) scoop net/insect net/
掬う [すくう] /(v5u,vt) to scoop/to ladle out/(P)/
掬する [きくする] /(vs-s,vt) (1) to scoop up (with both hands)/(2) to empathize with/to take into consideration/
菊 [きく] /(n) chrysanthemum/Chrysantemum morifolium/(P)/
菊の花 [きくのはな] /(n) chrysanthemum/
菊の御紋 [きくのごもん] /(n) Imperial chrysanthemum emblem/
菊の節句 [きくのせっく] /(n) Chrysanthemum Festival (the 9th day of the 9th lunar month) (one of the five annual festivals)/
菊芋 [きくいも] /(n) (uk) Jerusalem artichoke (Helianthus tuberosus)/topinambur/girasol/girasole/
菊科 [きくか] /(n) (uk) Asteraceae, Compositae (plant family)/aster family/daisy family/sunflower family/
菊花 [きくか] /(n) chrysanthemum/
菊花 [きっか] /(n) chrysanthemum/
菊花章 [きっかしょう] /(n) Order of the Chrysanthemum/
菊牛蒡 [きくごぼう] /(n) scorzonera (Scorzonera hispanica)/Spanish salsify/viper's grass/
菊月 [きくづき] /(n) ninth month in the lunar calendar/
菊見 [きくみ] /(n) chrysanthemum watching/
菊菜 [きくな] /(n) (ksb:) edible chrysanthemum (Chrysanthemum coronarium)/
菊作り [きくづくり] /(n) chrysanthemum growing/
菊人形 [きくにんぎょう] /(n) (1) doll clothed in chrysanthemum flowers and branches/doll made from chrysanthemum flowers/(2) beautiful but stupid girl/
菊石 [きくいし] /(n) ammonite (traditional name)/
菊戴 [きくいただき] /(n) (uk) goldcrest (species of passerine bird, Regulus regulus)/
菊畑 [きくばたけ] /(n) chrysantemum field/
菊判 [きくばん] /(n) A5/medium octavo/small octavo/
菊枕 [きくまくら] /(n) pillow stuffed with chrysanthemum petals (allegedly good for headaches)/
菊萵苣 [きくぢしゃ] /(n) (uk) endive (Cichorium endivia)/escarole/
鞠 [まり] /(n) ball/
鞠問 [きくもん] /(n,vs) examination/interrogation/questioning/
鞠躬如 [きくきゅうじょ] /(adj-t,adv-to) deferential/humble/reverent/respectful/
鞠躬如 [きっきゅうじょ] /(adj-t,adv-to) deferential/humble/reverent/respectful/
吉 [きち] /(n,adj-no) good fortune/good luck/
吉 [きつ] /(n,adj-no) good fortune/good luck/
吉い [いい] /(adj-i) (1) (uk) good/excellent/fine/nice/pleasant/agreeable/(2) sufficient (can be used to turn down an offer)/ready/prepared/(3) profitable (e.g. deal, business offer, etc.)/beneficial/(4) OK/
吉い [よい] /(adj-i) (1) (uk) good/excellent/fine/nice/pleasant/agreeable/(2) sufficient (can be used to turn down an offer)/ready/prepared/(3) profitable (e.g. deal, business offer, etc.)/beneficial/(4) OK/
吉牛 [よしぎゅう] /(n) (abbr) (sl) Yoshinoya gyudon (beef on rice)/
吉凶 [きっきょう] /(n) sunshine and shadow/fortune/
吉凶禍福 [きっきょうかふく] /(n) good and bad fortune, and weal and woe/
吉原言葉 [よしはらことば] /(n) language used by the harlots of the Yoshiwara red light district during the Edo period/
吉原言葉 [よしわらことば] /(n) language used by the harlots of the Yoshiwara red light district during the Edo period/
吉原雀 [よしわらすずめ] /(n) (obsc) reed warbler (esp. the great reed warbler, but also the black-browed reed warbler)/
吉事 [きちじ] /(n) an auspicious event/
吉事 [きつじ] /(n) an auspicious event/
吉次 [きちじ] /(n) (uk) broadbanded thornyhead/broadfin thornyhead/kichiji rockfish (Sebastolobus macrochir)/
吉書 [きっしょ] /(n) first calligraphy of the year/
吉祥 [きちじょう] /(n) lucky omen/happy/auspicious/
吉祥 [きっしょう] /(n) lucky omen/happy/auspicious/
吉祥天 [きちじょうてん] /(n) (Buddh) Sri-mahadevi (consort of Vaisravana in Buddhism, based on Lakshmi, the consort of Vishnu in Hinduism)/
吉祥天 [きっしょうてん] /(n) (Buddh) Sri-mahadevi (consort of Vaisravana in Buddhism, based on Lakshmi, the consort of Vishnu in Hinduism)/(P)/
吉川神道 [よしかわしんとう] /(n) Yoshikawa Shinto (Confucianist form of Shinto, stripped of Buddhist influence)/
吉相 [きっそう] /(n) auspicious appearance/good or lucky omen/
吉丁虫 [たまむし] /(n) jewel beetle/Chrysochroa fulgidissima/insect with iridescent wings/
吉兆 [きっちょう] /(n,adj-no) lucky omen/good omen/(P)/
吉徴 [きっちょう] /(n,adj-no) lucky omen/good omen/
吉田神道 [よしだしんとう] /(n) Yoshida Shinto (fusion of Shinto, Buddhism, Confucianism & Taoism stressing traditional Japanese elements)/
吉日 [きちじつ] /(n) (1) lucky day/(2) an unspecified day of the month, used on diplomas, proclamations, etc./
吉日 [きちにち] /(n) (1) lucky day/(2) an unspecified day of the month, used on diplomas, proclamations, etc./
吉備奈仔 [きびなご] /(n) (uk) silver-stripe round herring (Spratelloides gracilis)/
吉報 [きっぽう] /(n) good news/(P)/
吉野時代 [よしのじだい] /(n) (obsc) Yoshino period (Japan's Northern and Southern Courts period, esp. from the viewpoint of the legitimacy of the Southern Court, 1336-1392 CE)/
吉野朝時代 [よしのちょうじだい] /(n) (obsc) Yoshino period (Japan's Northern and Southern Courts period, esp. from the viewpoint of the legitimacy of the Southern Court, 1336-1392 CE)/
吉利支丹 [きりしたん] /(ateji) (n) (uk) early Japanese Christianity (from the later Muromachi period) (por: cristao)/early Japanese Christian/
吉例 [きちれい] /(n) festive annual custom/
吉例 [きつれい] /(n) festive annual custom/
吃り [どもり] /(n,adj-no) (1) (uk) stammer/stutter/faltering/speech impediment/(2) (sens) person with a speech impediment/
吃りながら [どもりながら] /(exp) (uk) stuttering(ly)/stammering(ly)/
吃る [どもる] /(v5r,vi) (uk) to stammer/to stutter/(P)/
吃音 [きつおん] /(n) stammering/dysphemia/
吃逆 [しゃっくり] /(n,vs) (uk) hiccough/hiccup/(P)/
吃驚 [きっきょう] /(n,vs) surprise/
吃驚 [びっくり] /(gikun) (vs,adv) (1) (uk) (on-mim) to be surprised/to be amazed/to be frightened/to be astonished/(adj-f) (2) (uk) (on-mim) surprise (e.g. surprise party)/(P)/
吃驚仰天 [びっくりぎょうてん] /(n,vs) astonished/stunned/startled out of one's wits/thunderstruck/open-eyed astonishment/
吃緊 [きっきん] /(adj-na,n,adj-no) urgency/exigency/
吃水 [きっすい] /(n) sea gauge/draft/draught/
喫う [すう] /(v5u,vt) (1) to smoke/to breathe in/to inhale/(2) to suck/to sip/to slurp/(3) to absorb/to soak up/(4) to kiss/
喫す [きっす] /(v5s,vt) (1) to eat/to drink/to smoke/(2) to suffer (e.g. defeat)/to receive (e.g. a blow)/
喫する [きっする] /(vs-s,vt) (1) to eat/to drink/to smoke/to take/(2) to suffer (e.g. defeat)/to receive a blow/(P)/
喫む [のむ] /(v5m,vt) to smoke (tobacco)/
喫煙 [きつえん] /(n,vs) smoking/(P)/
喫煙コーナー [きつえんコーナー] /(n) smoking corner/
喫煙室 [きつえんしつ] /(n) a smoking room/
喫煙者 [きつえんしゃ] /(n) smoker/
喫煙車 [きつえんしゃ] /(n) a smoking car/
喫煙所 [きつえんしょ] /(n) smoking area (corner)/
喫煙所 [きつえんじょ] /(n) smoking area (corner)/
喫煙席 [きつえんせき] /(n) smoking seat/
喫驚 [きっきょう] /(n,vs) surprise/
喫驚 [びっくり] /(gikun) (vs,adv) (1) (uk) (on-mim) to be surprised/to be amazed/to be frightened/to be astonished/(adj-f) (2) (uk) (on-mim) surprise (e.g. surprise party)/
喫緊 [きっきん] /(adj-na,n,adj-no) urgency/exigency/
喫緊事 [きっきんじ] /(n) urgent (pressing) matter/
喫水 [きっすい] /(n) sea gauge/draft/draught/
喫水線 [きっすいせん] /(n) water line (ship)/
喫茶 [きっさ] /(n) tea drinking/tea house/(P)/
喫茶店 [きっさてん] /(n) coffee lounge/coffee shop/(rather formal) cafe/(P)/
喫飯 [きっぱん] /(n,vs) (obsc) taking a meal/eating/
喫烟 [きつえん] /(n,vs) smoking/
桔梗 [ききょう] /(n) Chinese bellflower/Platycodon grandiflorum/
橘 [たちばな] /(n) tachibana (inedible citrus, Citrus tachibana)/(P)/
橘月 [たちばなづき] /(n) fifth lunar month/
橘神道 [たちばなしんとう] /(n) Tachibana Shinto (Edo-period sect of Suika Shinto popularized by Mitsuyoshi Tachibana)/
橘鳥 [たちばなどり] /(n) (obsc) lesser cuckoo (Cuculus poliocephalus)/
橘飩 [きっとん] /(n) (obsc) mashed sweet potatoes (inc. sweetened chestnuts or beans)/
詰 [つめ] /(n,suf) (1) stuffing/packing/(n) (2) end (esp. the foot of a bridge)/(3) lowest-ranking guest at tea ceremony/(4) tea master/(5) endgame (esp. in shogi or used figuratively)/(6) (abbr) sweet eel sauce/(7) (arch) middle-aged woman/(n-suf) (8) appointment to a particular workplace/(9) using as the sole ground of judgement (judgment)/(10) (after the -masu stem of a verb) continuing/keep doing for period of time/
詰 [づめ] /(n,suf) (1) stuffing/packing/(n) (2) end (esp. the foot of a bridge)/(3) lowest-ranking guest at tea ceremony/(4) tea master/(5) endgame (esp. in shogi or used figuratively)/(6) (abbr) sweet eel sauce/(7) (arch) middle-aged woman/(n-suf) (8) appointment to a particular workplace/(9) using as the sole ground of judgement (judgment)/(10) (after the -masu stem of a verb) continuing/keep doing for period of time/
詰まらせる [つまらせる] /(v1) to make shorter/(P)/
詰まらない [つまらない] /(adj-i) (1) (uk) dull/uninteresting/boring/(2) insignificant/trifling/
詰まらない物ですが [つまらないものですが] /(exp) (uk) "It's not much, but..." (phrase often used when giving gifts)/
詰まらなさそう [つまらなさそう] /(adj-na) (uk) bored/bored-looking/uninterested/
詰まらなそう [つまらなそう] /(adj-na) (uk) bored/bored-looking/uninterested/
詰まらぬ [つまらぬ] /(exp) (1) (uk) dull/uninteresting/boring/(2) insignificant/trifling/
詰まらん [つまらん] /(exp) (1) (uk) dull/uninteresting/boring/(2) insignificant/trifling/
詰まり [つまり] /(adv,n) (uk) in short/in brief/in other words/that is to say/in the long run/after all/blockade/stuffing/ultimate/(P)/
詰まる [つまる] /(v5r,vi) (1) to be blocked/to be packed/(2) to hit the ball near the handle of the bat (baseball)/(P)/
詰まるところ [つまるところ] /(adv) in sum/in short/in the end/
詰まる処 [つまるところ] /(adv) in sum/in short/in the end/
詰まる所 [つまるところ] /(adv) in sum/in short/in the end/
詰み [つみ] /(n) checkmate/
詰む [つむ] /(v5m) to become fine/(P)/
詰め [つめ] /(n,suf) (1) stuffing/packing/(n) (2) end (esp. the foot of a bridge)/(3) lowest-ranking guest at tea ceremony/(4) tea master/(5) endgame (esp. in shogi or used figuratively)/(6) (abbr) sweet eel sauce/(7) (arch) middle-aged woman/(n-suf) (8) appointment to a particular workplace/(9) using as the sole ground of judgement (judgment)/(10) (after the -masu stem of a verb) continuing/keep doing for period of time/
詰め [づめ] /(n,suf) (1) stuffing/packing/(n) (2) end (esp. the foot of a bridge)/(3) lowest-ranking guest at tea ceremony/(4) tea master/(5) endgame (esp. in shogi or used figuratively)/(6) (abbr) sweet eel sauce/(7) (arch) middle-aged woman/(n-suf) (8) appointment to a particular workplace/(9) using as the sole ground of judgement (judgment)/(10) (after the -masu stem of a verb) continuing/keep doing for period of time/
詰めかける [つめかける] /(v1,vi) to crowd (a house)/to throng to (a door)/
詰めて通う [つめてかよう] /(exp,v5u) to frequent tirelessly/
詰める [つめる] /(v1,vt) (1) to stuff into/to jam/to cram/to pack/to fill/to plug/to stop up/(v1,vt,vi) (2) to shorten/to move closer together/(v1,vt) (3) to reduce (spending)/to conserve/(v1,vt,vi) (4) to focus intently on/to strain oneself to do/(v1,vt) (5) to work out (details)/(v1,vi) (6) to be on duty/to be stationed/(v1,vt) (7) to corner (esp. an opponent's king in shogi)/to trap/to checkmate/(8) to cut off (one's finger as an act of apology)/to jam (one's finger in a door, etc.)/(suf,v1) (9) to continue .../to keep doing ... without a break/(10) to do ... completely/to do ... thoroughly/(11) to force someone into a difficult situation by .../(P)/
詰め開き [つめひらき] /(n,adj-no) (1) bargaining/negotiation/(2) turning one's body to the left or right and standing (when leaving the presence of nobility, etc.)/(3) sailing close-hauled/sailing on a close reach/
詰め開き [つめびらき] /(n,adj-no) (1) bargaining/negotiation/(2) turning one's body to the left or right and standing (when leaving the presence of nobility, etc.)/(3) sailing close-hauled/sailing on a close reach/
詰め開きで [つめひらきで] /(exp) at close reach (sailing)/at close haul/
詰め開きで [つめびらきで] /(exp) at close reach (sailing)/at close haul/
詰め掛ける [つめかける] /(v1,vi) to crowd (a house)/to throng to (a door)/
詰め換える [つめかえる] /(v1,vt) to repack/to refill/
詰め寄る [つめよる] /(v5r,vi) (1) to draw near/to draw closer/(2) to press someone (e.g. for an answer)/
詰め襟 [つめえり] /(n) stand-up collar/
詰め碁 [つめご] /(n) composed go problem/
詰め合せる [つめあわせる] /(v1,vt) to pack an assortment of goods, etc./
詰め合わせ [つめあわせ] /(n) combination/assortment (of goods)/
詰め合わせる [つめあわせる] /(v1,vt) to pack an assortment of goods, etc./
詰め込み主義 [つめこみしゅぎ] /(n) (belief in the desirability of) education by rote learning/
詰め込み勉強 [つめこみべんきょう] /(n) cramming (e.g. for an exam)/
詰め込む [つめこむ] /(v5m,vt) to cram/to stuff/to jam/to squeeze/to compress/to pack/to crowd/(P)/
詰め所 [つめしょ] /(n) station/office/guardroom/
詰め将棋 [つめしょうぎ] /(n) chess problem/composed shogi problem/
詰め切る [つめきる] /(v5r) to be or remain always on hand/
詰め袖 [つめそで] /(n) kimono with completely attached sleeves (i.e. lacking an opening on the side under the armpit)/
詰め替える [つめかえる] /(v1,vt) to repack/to refill/
詰め腹 [つめばら] /(n) (1) being forced to commit seppuku/(2) to be forced to bear responsibility and resign from one's position/
詰め腹を切らされる [つめばらをきらされる] /(exp,v1) to be forced to bear the responsibility and resign/to be driven out of office/
詰め物 [つめもの] /(n) filling or packing material/stuffing/padding/
詰らない [つまらない] /(adj-i) (1) (uk) dull/uninteresting/boring/(2) insignificant/trifling/(P)/
詰らない物ですが [つまらないものですが] /(exp) (uk) "It's not much, but..." (phrase often used when giving gifts)/
詰らぬ [つまらぬ] /(exp) (1) (uk) dull/uninteresting/boring/(2) insignificant/trifling/
詰らん [つまらん] /(exp) (1) (uk) dull/uninteresting/boring/(2) insignificant/trifling/
詰り [つまり] /(adv,n) (uk) in short/in brief/in other words/that is to say/in the long run/after all/blockade/stuffing/ultimate/
詰る [なじる] /(v5r,vt) to rebuke/to scold/to tell off/
詰開き [つめひらき] /(n,adj-no) (1) bargaining/negotiation/(2) turning one's body to the left or right and standing (when leaving the presence of nobility, etc.)/(3) sailing close-hauled/sailing on a close reach/
詰開き [つめびらき] /(n,adj-no) (1) bargaining/negotiation/(2) turning one's body to the left or right and standing (when leaving the presence of nobility, etc.)/(3) sailing close-hauled/sailing on a close reach/
詰開きで [つめひらきで] /(exp) at close reach (sailing)/at close haul/
詰開きで [つめびらきで] /(exp) at close reach (sailing)/at close haul/
詰掛ける [つめかける] /(v1,vi) to crowd (a house)/to throng to (a door)/
詰換える [つめかえる] /(v1,vt) to repack/to refill/
詰寄る [つめよる] /(v5r,vi) (1) to draw near/to draw closer/(2) to press someone (e.g. for an answer)/
詰襟 [つめえり] /(n) stand-up collar/
詰屈した [きっくつした] /(adj-f) rugged/
詰合せる [つめあわせる] /(v1,vt) to pack an assortment of goods, etc./
詰合わせ [つめあわせ] /(n) combination/assortment (of goods)/
詰合わせる [つめあわせる] /(v1,vt) to pack an assortment of goods, etc./
詰込む [つめこむ] /(v5m,vt) to cram/to stuff/to jam/to squeeze/to compress/to pack/to crowd/
詰所 [つめしょ] /(n) station/office/guardroom/
詰将棋 [つめしょうぎ] /(n) chess problem/composed shogi problem/
詰責 [きっせき] /(n,vs) (obsc) reproach/reprove/reprimand/
詰切る [つめきる] /(v5r) to be or remain always on hand/
詰草 [つめくさ] /(n) white Dutch clover/
詰袖 [つめそで] /(io) (n) kimono with completely attached sleeves (i.e. lacking an opening on the side under the armpit)/
詰替える [つめかえる] /(v1,vt) to repack/to refill/
詰腹 [つめばら] /(n) (1) being forced to commit seppuku/(2) to be forced to bear responsibility and resign from one's position/
詰物 [つめもの] /(n) filling or packing material/stuffing/padding/
詰問 [きつもん] /(n,vs) cross-examination/close questioning/demanding an explanation/(P)/
砧 [きぬた] /(n) wooden or stone block for beating cloth/
砧骨 [きぬたこつ] /(n,adj-no) incus (bone of the ear)/
砧骨 [ちんこつ] /(n,adj-no) incus (bone of the ear)/
砧木 [だいぎ] /(n) (1) stock (in grafting)/(2) wood used as a platform (or base, etc.)/block (i.e. chopping block)/(gun) stock/unworked block of wood/
杵 [きね] /(n) mallet/pestle/pounder/
杵柄 [きねづか] /(n) mallet handle/
黍 [きび] /(n) (uk) (common) millet (Panicum miliaceium)/proso millet/
黍 [きみ] /(n) (uk) (common) millet (Panicum miliaceium)/proso millet/
黍魚子 [きびなご] /(n) (uk) silver-stripe round herring (Spratelloides gracilis)/
黍砂糖 [きびざとう] /(n) light brown sugar/
黍団子 [きびだんご] /(n) millet dumplings/
却ける [しりぞける] /(v1,vt) to repel/to drive away/to repulse/to reject/
却って [かえって] /(adv) on the contrary/rather/all the more/instead/(P)/
却下 [きゃっか] /(n,vs) rejection/dismissal/(P)/
客 [かく] /(n) (1) guest/visitor/(2) customer/client/shopper/spectator/audience/tourist/sightseer/passenger/
客 [きゃく] /(n) (1) guest/visitor/(2) customer/client/shopper/spectator/audience/tourist/sightseer/passenger/(P)/
客を通す [きゃくをとおす] /(exp,v5s) to show a guest in/
客扱い [きゃくあつかい] /(n,vs) hospitality/
客員 [かくいん] /(n) guest (associate) member/
客員 [きゃくいん] /(n) guest (associate) member/(P)/
客員研究員 [きゃくいんけんきゅういん] /(n) visiting researcher/
客引き [きゃくひき] /(n,vs) touting/tout/barker/pander/customer puller/
客演 [きゃくえん] /(n,vs) guest appearance/
客家 [ハッカ] /(n) Hakka (subgroup of Han Chinese living esp. in southeastern China, incl Taiwan)/
客家語 [ハッカご] /(n) Hakka (dialect of Mandarin Chinese)/
客観 [かくかん] /(n,adj-no) object (as opposed to subject)/
客観 [かっかん] /(n,adj-no) object (as opposed to subject)/
客観 [きゃっかん] /(n,adj-no) object (as opposed to subject)/(P)/
客観化 [きゃっかんか] /(n) objectivization/externalization/
客観視 [きゃっかんし] /(n,vs) objective point of view/
客観主義 [きゃっかんしゅぎ] /(n) objectivism/
客観主義者 [きゃっかんしゅぎしゃ] /(n) objectivist/
客観性 [きゃっかんせい] /(n) objectivity/
客観的 [きゃっかんてき] /(adj-na) objective/(P)/
客観的観念論 [きゃっかんてきかんねんろん] /(n) objective idealism/
客間 [きゃくま] /(n) parlor/parlour/guest room/(P)/
客寄せ [きゃくよせ] /(n) attracting customers/
客気 [かっき] /(n) youthful ardor/rashness/
客筋 [きゃくすじ] /(n) clientele/
客月 [かくげつ] /(n-adv,n-t) last month/
客月 [きゃくげつ] /(n-adv,n-t) last month/
客語 [かくご] /(n) (ling) object/
客語 [きゃくご] /(n) (ling) object/
客好き [きゃくずき] /(n) hospitality/
客止め [きゃくどめ] /(n,vs) draw a full house/
客死 [かくし] /(n,vs) dying abroad/dying in a foreign land/
客死 [きゃくし] /(n,vs) dying abroad/dying in a foreign land/
客室 [きゃくしつ] /(n) drawing room/guest room/(P)/
客室係 [きゃくしつがかり] /(n) room clerk (hotel)/steward (ship)/
客室乗務員 [きゃくしつじょうむいん] /(n) cabin crew/
客舎 [かくしゃ] /(n) hotel/inn/lodging/
客舎 [きゃくしゃ] /(n) hotel/inn/lodging/
客車 [かくしゃ] /(n) passenger car/
客車 [きゃくしゃ] /(n) passenger car/(P)/
客種 [きゃくだね] /(n) clientele/
客受け [きゃくうけ] /(n,vs) enjoying popularity among the customers/
客商売 [きゃくしょうばい] /(n) hotel/service (restaurant, entertainment) business/
客人 [きゃくじん] /(n) caller/visitor/company/guest/
客星 [かくせい] /(n) celestial body seen only for a short time (e.g. comet)/
客星 [きゃくしょう] /(n) celestial body seen only for a short time (e.g. comet)/
客星 [きゃくせい] /(n) celestial body seen only for a short time (e.g. comet)/
客席 [きゃくせき] /(n) guest seating/(P)/
客先 [きゃくさき] /(n) customer/client/
客先開発プログラム [きゃくさきかいはつプログラム] /(n) (comp) field developed program/FDP/
客船 [きゃくせん] /(n) passenger boat/(P)/
客膳 [きゃくぜん] /(n) low tray of food for guests/
客僧 [きゃくそう] /(n) priest traveling as part of his training (travelling)/
客層 [きゃくそう] /(n) quality of customers/
客足 [きゃくあし] /(n) customers/(P)/
客体 [かくたい] /(n) object/(P)/
客体 [きゃくたい] /(n) object/(P)/
客待ち [きゃくまち] /(n,vs) waiting for customers/
客単価 [きゃくたんか] /(n) average amount from one customer/
客殿 [きゃくでん] /(n) reception hall (in a temple or palace)/
客土 [かくど] /(n) land which one visits/alien land/topsoil brought from another place to mix with the soil/
客土 [きゃくど] /(n) land which one visits/alien land/topsoil brought from another place to mix with the soil/
客冬 [かくとう] /(n) last winter/
客年 [かくねん] /(n-adv,n-t) last year/
客年 [きゃくねん] /(n-adv,n-t) last year/
客分 [きゃくぶん] /(n) guest/
客用 [きゃくよう] /(n) for use of customers or guests/
客離れ [きゃくばなれ] /(n) customers losing interest in product or shop/
脚 [あし] /(n) (1) foot/(2) leg/(3) gait/(4) pace/(5) bottom structural component (i.e. radical) of a kanji/(P)/
脚 [きゃく] /(ctr) counter for chairs or seats/
脚がある [あしがある] /(exp) to have legs/to be able to get around/to be a good runner/
脚を組む [あしをくむ] /(exp,v5m) to cross one's legs/
脚韻 [きゃくいん] /(n) rhyme/end rhyme/
脚下 [きゃっか] /(n) at one's feet/
脚下照顧 [きゃっかしょうこ] /(exp) look carefully where your own footsteps fall/seek enlightenment by knowing yourself and not by watching others/know thyself/
脚気 [かっけ] /(n) beriberi/
脚光 [きゃっこう] /(n) footlight/limelight/(P)/
脚細 [あしぼそ] /(n) (uk) Japanese stilt grass (Microstegium vimineum)/
脚質 [きゃくしつ] /(n) running style (of a horse, e.g. a front runner)/
脚書き領域 [あしがきりょういき] /(n) (comp) footing area/
脚色 [きゃくしょく] /(n,vs) dramatization (e.g. film)/dramatisation/(P)/
脚色者 [きゃくしょくしゃ] /(n) movie adapter/dramatizer/dramatiser/
脚線美 [きゃくせんび] /(n) long, beautiful legs/
脚注 [きゃくちゅう] /(n) footnote/
脚註 [きゃくちゅう] /(n) footnote/
脚長 [あしなが] /(adj-no) long-legged(ness)/
脚長蜂 [あしながばち] /(n) (uk) paper wasp/
脚湯 [あしゆ] /(n) footbath/hot spring bath designed for soaking one's feet/
脚半 [きゃはん] /(n) gaiters/leggings/
脚付き [あしつき] /(n) (1) something (equipped) with legs/(2) sole of foot/(3) one's manner of walking/
脚布 [きゃふ] /(n) (arch) cloth wrapped around the hips (esp. women)/
脚部 [きゃくぶ] /(n) leg/
脚本 [きゃくほん] /(n) script/screenplay/scenario/(P)/
脚本家 [きゃくほんか] /(n) scriptwriter/playwright/scenario writer/
脚立 [きゃたつ] /(n) stepladder/steps/
脚力 [きゃくりき] /(n) walking ability/
脚力 [きゃくりょく] /(n) walking ability/
脚榻 [きゃたつ] /(n) stepladder/steps/
脚絆 [きゃはん] /(n) gaiters/leggings/
虐げられた人々 [しいたげられたひとびと] /(n) the oppressed/downtrodden people/
虐げられた人人 [しいたげられたひとびと] /(n) the oppressed/downtrodden people/
虐げる [しいたげる] /(v1,vt) to oppress/(P)/
虐め [いじめ] /(n) bullying/teasing/
虐める [いじめる] /(v1,vt) (uk) to tease/to torment/to persecute/to chastise/
虐遇 [ぎゃくぐう] /(n,vs) ill-treatment/abuse/
虐殺 [ぎゃくさつ] /(n,vs) atrocity/massive killing/(P)/
虐使 [ぎゃくし] /(n,vs) driving someone too hard/
虐政 [ぎゃくせい] /(n) tyranny/despotism/
虐待 [ぎゃくたい] /(n,vs,adj-no) ill-treatment/oppression/abuse/(P)/
逆 [ぎゃく] /(adj-na,n) (1) reverse/opposite/(2) converse (of a hypothesis, etc.)/(P)/
逆２乗の法則 [ぎゃくにじょうのほうそく] /(n) inverse square law/
逆さ [さかさ] /(n,adj-no) reverse/inversion/upside down/(P)/
逆さくらげ [さかさくらげ] /(n) traditional love hotel/traditional Japanese inn specially for couples/
逆さま [さかさま] /(adj-na,n,adj-no) inversion/upside down/
逆さ海月 [さかさくらげ] /(n) traditional love hotel/traditional Japanese inn specially for couples/
逆さ言葉 [さかさことば] /(n) word said backwards/word of opposite meaning/
逆さ別れ [さかさわかれ] /(n) a child dying before its parents/
逆さ睫 [さかさまつげ] /(n) turned-in eyelashes/ingrown eyelashes/trichiasis/
逆さ鯰 [さかさなまず] /(n) (uk) upside-down catfish (Synodontis nigriventris)/
逆とったり [さかとったり] /(n) arm bar throw counter (sumo)/
逆なで [ぎゃくなで] /(n,vs) rubbing the wrong way (e.g. a cat)/irritating/
逆なで [さかなで] /(n,vs) rubbing the wrong way (e.g. a cat)/irritating/
逆に [ぎゃくに] /(adv) conversely/on the contrary/
逆になる [さかになる] /(exp,v5r) to turn upside down/
逆ねじ [さかねじ] /(n) (1) turning an object in the wrong direction/(2) retort/
逆ねじを食う [さかねじをくう] /(exp,v5u) to have the tables turned on one/
逆ねじを食わせる [さかねじをくわせる] /(exp,v1) to retort/to turn the tables (on someone)/
逆らう [さからう] /(v5u,vi) to go against/to oppose/to disobey/to defy/(P)/
逆アセンブラ [ぎゃくアセンブラ] /(n) (comp) disassembler/
逆アセンブル [ぎゃくアセンブル] /(n,vs) (comp) disassembly/
逆カルチャーショック [ぎゃくカルチャーショック] /(n) reverse culture shock/
逆ギレ [ぎゃくギレ] /(n,vs) (sl) being angry at someone who would normally be angry at you/situation wherein the offender is angry at the victim/
逆クリッピング [ぎゃくクリッピング] /(n) (comp) shielding/reverse clipping/
逆コース [ぎゃくコース] /(n) reverse course/reversion/
逆チョコ [ぎゃくチョコ] /(n) (obsc) chocolate given by a boy to a girl on Valentine's day/
逆ナン [ぎゃくナン] /(n) (sl) "reverse nampa" (wherein women try to pick up men)/
逆フーリェ変換 [ぎゃくフーリェへんかん] /(n) (comp) inverse fourier transform/
逆ポーランド記法 [ぎゃくポーランドきほう] /(n) (comp) reverse Polish notation/RPN/
逆ポーランド式 [ぎゃくポーランドしき] /(n) (comp) reverse Polish notation/RPN/
逆ポーランド表記式計算器 [ぎゃくポーランドひょうきしきけいさんき] /(n) (comp) calculator with postfix notation logic/calculator with suffix notation logic/calculator with reverse-Polish notation logic/
逆ポーランド表記法 [ぎゃくポーランドひょうきほう] /(n) (comp) suffix notation/postfix notation/reverse Polish notation/
逆遺伝学 [ぎゃくいでんがく] /(n) reverse genetics/
逆引 [ぎゃくびき] /(adj-f) reverse lookup (e.g. dictionary, address resolution, etc.)/
逆引き [ぎゃくびき] /(adj-f) reverse lookup (e.g. dictionary, address resolution, etc.)/
逆運 [ぎゃくうん] /(n) a twist of fate/
逆援 [ぎゃくえん] /(n) (abbr) women paying boys for sex/
逆縁 [ぎゃくえん] /(n) (1) (Buddh) bad deed which ultimately results in the creation of a good Buddhist/(2) older person conducting a funeral service for a younger relative, in particular, a parent for a child/
逆縁婚 [ぎゃくえんこん] /(n) (obsc) levirate marriage/
逆回転 [ぎゃくかいてん] /(n) spinning the opposite way/backspin (tennis, baseball)/counter/
逆巻く [さかまく] /(v5k,vi) to surge (water or waves)/
逆換 [ぎゃくかん] /(n) (logical) inversion/
逆換 [ぎゃっかん] /(n) (logical) inversion/
逆関数 [ぎゃくかんすう] /(n) (math) the inverse function/
逆境 [ぎゃっきょう] /(n) adversity/(P)/
逆玉 [ぎゃくたま] /(n) man who marries a wealthy or upwardly-mobile woman/gold digger/
逆光 [ぎゃっこう] /(n,adj-no) (abbr) backlighting/having a light source in front of the camera lens in photography/
逆光線 [ぎゃくこうせん] /(n) backlight/
逆光線 [ぎゃっこうせん] /(n) backlight/
逆効果 [ぎゃくこうか] /(n) backfire/counterproductive/opposite effect/(P)/
逆効果 [ぎゃっこうか] /(n) backfire/counterproductive/opposite effect/
逆向抑制 [ぎゃっこうよくせい] /(n) retroactive inhibition/
逆行 [ぎゃくこう] /(n,vs,adj-no) (1) reverse movement/retrogression/going backwards/moving in the wrong direction/running counter to (e.g. the laws of nature)/running against (e.g. the tide of the times)/(2) retrogradation (astronomy)/retrogression/
逆行 [ぎゃっこう] /(n,vs,adj-no) (1) reverse movement/retrogression/going backwards/moving in the wrong direction/running counter to (e.g. the laws of nature)/running against (e.g. the tide of the times)/(2) retrogradation (astronomy)/retrogression/
逆行列 [ぎゃくぎょうれつ] /(n) (math) inverse matrix/
逆高速フーリエ変換 [ぎゃくこうそくフーリエへんかん] /(n) (comp) inverse fast Fourier transform/
逆恨み [さかうらみ] /(n,vs) (1) being resented in return/(2) unjustified resentment through misunderstanding/
逆作用 [ぎゃくさよう] /(n) reaction/adverse effect/
逆三角関数 [ぎゃくさんかくかんすう] /(n) (math) inverse trigonometric function/
逆三角形 [ぎゃくさんかくけい] /(n) inverted triangle/
逆三角形 [ぎゃくさんかっけい] /(n) inverted triangle/
逆産 [ぎゃくざん] /(n) baby born feet (or buttocks) first/breech birth/
逆算 [ぎゃくさん] /(n,vs) count/calculate back/
逆子 [さかご] /(n) breech presentation (feet-first birth)/breech delivery/breech birth/Agrippa/
逆子体操 [さかごたいそう] /(n) exercise regime to convert breech presentation/trying to correct an unborn child's improper position so that the head comes out first/
逆児 [さかご] /(n) baby born feet (or buttocks) first/breech birth/
逆手 [ぎゃくて] /(n) (1) underhand or backhand grip (e.g. in tennis)/(2) unexpected twist/turning the tables (on an opponent)/(P)/
逆手 [さかて] /(n) (1) underhand or backhand grip (e.g. in tennis)/(2) unexpected twist/turning the tables (on an opponent)/
逆手に取る [さかてにとる] /(exp,v5r) to use somebody's (argument, attack) against them/
逆手打ち [ぎゃくてうち] /(n,vs) backhand (tennis, etc.)/
逆修 [ぎゃくしゅ] /(n) (1) (Buddh) holding a memorial service for oneself/(2) an older person conducting a memorial service for a deceased, younger person/
逆襲 [ぎゃくしゅう] /(n,vs) counterattack/(P)/
逆順 [ぎゃくじゅん] /(n) reverse order/following a contrary path/
逆鞘 [ぎゃくざや] /(n) (discount rate) negative spread/
逆上 [ぎゃくじょう] /(n,vs) frenzy/distraction/
逆上がり [さかあがり] /(n) (gymnastics) pulling oneself upward with a forward, circling movement/back hip circle/
逆上せ [のぼせ] /(n) hot flash/rush of blood to the head/
逆上せる [のぼせる] /(v1,vi) to feel dizzy/to have blood rush to one's head/to become conceited/(P)/
逆上せ上がる [のぼせあがる] /(v5r,vi) to be beside oneself/to lose one's head/to go mad with something/
逆上る [さかのぼる] /(oK) (v5r,vi) to go back/to go upstream/to make retroactive/
逆心 [ぎゃくしん] /(n) treachery/
逆臣 [ぎゃくしん] /(n) treacherous retainer/
逆進税 [ぎゃくしんぜい] /(n) regressive tax/
逆推進ロケット [ぎゃくすいしんロケット] /(n) retrorocket/
逆数 [ぎゃくすう] /(n) reciprocal number/
逆性 [ぎゃくせい] /(pref,adj-no) inverse/reverse/retro-/contra-/
逆性石鹸 [ぎゃくせいせっけん] /(n) positive or antiseptic soap/
逆切り落し [ぎゃくきりおとし] /(n) (comp) shielding/reverse clipping/
逆切れ [ぎゃくぎれ] /(n,vs) (sl) being angry at someone who would normally be angry at you/situation wherein the offender is angry at the victim/
逆接 [ぎゃくせつ] /(n) contradictory conjunction (but, however, etc.)/
逆説 [ぎゃくせつ] /(n,adj-no) paradox/(P)/
逆説的 [ぎゃくせつてき] /(adj-na) paradoxical/
逆宣伝 [ぎゃくせんでん] /(n,vs) counterpropaganda/
逆相 [ぎゃくそう] /(n,adj-no) antiphase/reverse phase/
逆走 [ぎゃくそう] /(n,vs) running or operating a machine in reverse (such as an electric motor)/
逆賊 [ぎゃくぞく] /(n) rebel/traitor/insurgent/
逆多重化 [ぎゃくたじゅうか] /(n) (comp) demultiplexing/
逆探知 [ぎゃくたんち] /(n,vs) phone trace/detecting the source of a telephone call/
逆断層 [ぎゃくだんそう] /(n) reverse fault/
逆潮 [ぎゃくちょう] /(n) weather tide/adverse current/
逆潮 [さかしお] /(n) weather tide/adverse current/
逆調 [ぎゃくちょう] /(n) unfavourable condition/adverse position/
逆剃り [さかぞり] /(n,vs) shaving against the grain/
逆提案 [ぎゃくていあん] /(n) counter-proposal/
逆転 [ぎゃくてん] /(n,vs,adj-no) (sudden) change/reversal/turn-around/coming from behind (baseball)/(P)/
逆転写 [ぎゃくてんしゃ] /(n) reverse transcription/
逆転写酵素 [ぎゃくてんしゃこうそ] /(n) reverse transcriptase/
逆転勝ち [ぎゃくてんがち] /(n,vs) winning after defeat seems certain/coming from behind to win/(P)/
逆転層 [ぎゃくてんそう] /(n) inversion layer/
逆転分布係数 [ぎゃくてんぶんぷけいすう] /(n) population inversion factor/
逆転優勝 [ぎゃくてんゆうしょう] /(n,vs) upset victory/come-from-behind victory/
逆点 [ぎゃくてん] /(iK) (n,vs,adj-no) (sudden) change/reversal/turn-around/coming from behind (baseball)/
逆徒 [ぎゃくと] /(n) rebel/traitor/
逆読み [ぎゃくよみ] /(n) (comp) backward reading/
逆凪 [さかなぎ] /(n) backlash (after use of 'magic')/
逆二乗の法則 [ぎゃくにじょうのほうそく] /(n) inverse square law/
逆捻 [さかねじ] /(io) (n) (1) turning an object in the wrong direction/(2) retort/
逆波 [さかなみ] /(n) choppy seas/head sea/
逆剥け [さかむけ] /(n) a hangnail/
逆比 [ぎゃくひ] /(iK) (n) inverse ratio/
逆比例 [ぎゃくひれい] /(n,vs) (being in) inverse proportion to/
逆飛び込み [さかとびこみ] /(n,vs) headlong dive/header/plunge/
逆符号化 [ぎゃくふごうか] /(n) (comp) decode/
逆撫で [ぎゃくなで] /(n,vs) rubbing the wrong way (e.g. a cat)/irritating/
逆撫で [さかなで] /(n,vs) rubbing the wrong way (e.g. a cat)/irritating/
逆風 [ぎゃくふう] /(n,adj-no) head wind/adverse wind/(P)/
逆噴射 [ぎゃくふんしゃ] /(n) (1) (col) (obs) reverse thrust/retrofire (rocket, jet engine)/(2) sudden mental derangement/
逆編集 [ぎゃくへんしゅう] /(n) (comp) de-edit/
逆方向 [ぎゃくほうこう] /(n) the opposite direction/the other way/
逆方向ＬＡＮチャネル [ぎゃくほうこうランチャネル] /(n) (comp) backward LAN channel/
逆方向通信路 [ぎゃくほうこうつうしんろ] /(n) (comp) backward channel/
逆方向読取り [ぎゃくほうこうよみとり] /(n) (comp) backward reading/
逆夢 [さかゆめ] /(n) a dream which is contradicted by reality/
逆命題 [ぎゃくめいだい] /(n) a counterproposition/
逆茂木 [さかもぎ] /(n) abatis/
逆毛 [さかげ] /(n) hair which is combed back or puffed up or teased/
逆戻り [ぎゃくもどり] /(n,vs) retrogression/reversal/relapse/(P)/
逆輸出 [ぎゃくゆしゅつ] /(n) reexportation/
逆輸入 [ぎゃくゆにゅう] /(n,vs) reimportation/(P)/
逆輸入車 [ぎゃくゆにゅうしゃ] /(n) reverse-imported vehicle (esp. high-displacement motorcycles meant for sale outside Japan)/
逆様 [さかさま] /(adj-na,n,adj-no) inversion/upside down/(P)/
逆用 [ぎゃくよう] /(n,vs) abuse/misuse/taking advantage of/
逆落し [さかおとし] /(n) plunging or dropping an object headfirst (down a precipice)/
逆落とし [さかおとし] /(n) plunging or dropping an object headfirst (down a precipice)/
逆立ち [さかだち] /(n,vs) handstand/headstand/(P)/
逆立つ [さかだつ] /(v5t,vi) to stand on end/to bristle up/to be ruffled/
逆立てる [さかだてる] /(v1,vt) to stand on end (hair, fur)/to bristle/to ruffle (up)/
逆流 [ぎゃくりゅう] /(n,vs,adj-no) counter-current/adverse tide/regurgitation (of blood)/
逆流性食道炎 [ぎゃくりゅうせいしょくどうえん] /(n) reflux esophagitis/
逆旅 [げきりょ] /(n) inn/
逆鱗 [げきりん] /(n) imperial wrath/
逆鱗に触れる [げきりんにふれる] /(exp,v1) (1) to infuriate your superior/to incur the anger of one's boss/to bring (a superior's) wrath down upon (one)/(2) to provoke the Emperor's displeasure/
逆浪 [ぎゃくろう] /(n) choppy seas/head sea/
逆浪 [げきろう] /(n) choppy seas/head sea/
逆浪 [さかなみ] /(n) choppy seas/head sea/
逆捩じ [さかねじ] /(n) (1) turning an object in the wrong direction/(2) retort/
逆捩じを食う [さかねじをくう] /(exp,v5u) to have the tables turned on one/
逆捩じを食わせる [さかねじをくわせる] /(exp,v1) to retort/to turn the tables (on someone)/
逆捩を食う [さかねじをくう] /(io) (exp,v5u) to have the tables turned on one/
逆睫 [さかさまつげ] /(n) turned-in eyelashes/ingrown eyelashes/trichiasis/
逆睫 [さかまつげ] /(n) turned-in eyelashes/ingrown eyelashes/trichiasis/
丘 [おか] /(n) hill/height/knoll/rising ground/(P)/
丘 [つかさ] /(n) (arch) mound/hill/
丘上 [きゅうじょう] /(n) hilltop/
丘疹 [きゅうしん] /(n) pimple/papule/
丘辺 [おかべ] /(n) vicinity of a hill/
丘陵 [きゅうりょう] /(n) hill/(P)/
丘陵地帯 [きゅうりょうちたい] /(n) hill country/hilly area/
久々 [ひさびさ] /(adj-na,adj-no,adv,n) (in a) long time/long time (ago)/while (ago)/long ago/long while (ago)/(in a) long while/(P)/
久しい [ひさしい] /(adj-i) long/long-continued/old (story)/(P)/
久しい昔 [ひさしいむかし] /(n) a long time ago/
久しく [ひさしく] /(n) for a long time/
久しぶり [ひさしぶり] /(adj-na,adj-no) a long time (since the last time)/it's been a while (since I last saw, mailed, etc., you)/(P)/
久しぶりに [ひさしぶりに] /(adv) after a long time/
久し振り [ひさしぶり] /(adj-na,adj-no) a long time (since the last time)/it's been a while (since I last saw, mailed, etc., you)/(P)/
久し振りに [ひさしぶりに] /(adv) after a long time/
久安 [きゅうあん] /(n) Kyuuan era (1145.7.22-1151.1.26)/
久遠 [きゅうえん] /(n,adj-no) eternity/
久遠 [くおん] /(n,adj-no) eternity/
久懐 [きゅうかい] /(n) long-cherished hope/
久久 [ひさびさ] /(adj-na,adj-no,adv,n) (in a) long time/long time (ago)/while (ago)/long ago/long while (ago)/(in a) long while/
久慈目 [くじめ] /(n) (uk) spotbelly greenling (Hexagrammos agrammus)/
久寿 [きゅうじゅ] /(n) Kyuuju era (1154.10.28-1156.4.27)/
久米歌 [くめうた] /(n) var. of ancient ballad/
久方 [ひさかた] /(n) sky/moon/
久方ぶり [ひさかたぶり] /(adj-na,n) long time (since the last time)/many days/
久方振り [ひさかたぶり] /(adj-na,n) long time (since the last time)/many days/
久木 [ひさぎ] /(n) (arch) unknown plant species (perhaps Catalpa ovata or Mallotus japonicus)/
久闊 [きゅうかつ] /(n) not having met or contacted someone for a long time/neglect of friends/
久闊を叙する [きゅうかつをじょする] /(exp,vs-s) to apologize for a long neglect of friends (apologise)/
久濶 [きゅうかつ] /(n) not having met or contacted someone for a long time/neglect of friends/
久濶を叙す [きゅうかつをじょす] /(exp) (arch) to apologize for a long neglect of friends (apologise)/
仇 [あた] /(ok) (n) (1) foe/enemy/rival/(2) resentment/enmity/grudge/(3) harm/injury/
仇 [あたん] /(ok) (n) (1) foe/enemy/rival/(2) resentment/enmity/grudge/(3) harm/injury/
仇 [あだ] /(n) (1) foe/enemy/rival/(2) resentment/enmity/grudge/(3) harm/injury/
仇 [かたき] /(n,n-suf) (1) rival/opponent/adversary/(2) foe/enemy/
仇する [あたする] /(vs-s) (1) to harm/to injure/(2) to oppose/
仇する [あだする] /(vs-s) (1) to harm/to injure/(2) to oppose/
仇となる [あだとなる] /(exp,v5r) to backfire/to have a harmful result/
仇になる [あだになる] /(exp,v5r) to backfire/to have a harmful result/
仇を討つ [あだをうつ] /(exp,v5t) to take revenge/
仇敵 [きゅうてき] /(n) bitter enemy/
仇討 [あだうち] /(n) vengeance/revenge/retaliation/
仇討ち [あだうち] /(n) vengeance/revenge/retaliation/
仇同士 [かたきどうし] /(n) mutual enemies/
仇同士 [てきどうし] /(ik) (n) mutual enemies/
仇名 [あだな] /(ateji) (n,vs) nickname/
仇名 [あだな] /(n) rumor of a romance (rumour)/
仇讎 [きゅうしゅう] /(n) revenge/bitter enemy/
休す [きゅうす] /(v5s,vi) (1) to come to an end/(2) to rest/
休する [きゅうする] /(vs-s,vi) (1) to come to an end/(2) to rest/(P)/
休ませる [やすませる] /(v1) to excuse (someone)/to give a holiday to/to make (someone) rest/
休まる [やすまる] /(v5r,vi) to be rested/to feel at ease/to repose/to be relieved/(P)/
休み [やすみ] /(n) (1) rest/recess/respite/(2) vacation/holiday/absence/suspension/(3) dormancy (of a silkworm prior to moulting)/(P)/
休みなく [やすみなく] /(adv) without rest/tirelessly/incessantly/
休み休み [やすみやすみ] /(adv) resting at times/thinking carefully/
休み所 [やすみどころ] /(n) resting place/haven of rest/
休み場 [やすみば] /(n) resting place/
休み茶屋 [やすみじゃや] /(ik) (n) wayside teahouse/tea house used as a resting place/
休み茶屋 [やすみぢゃや] /(n) wayside teahouse/tea house used as a resting place/
休み中 [やすみちゅう] /(n) closed/on break/private party/
休み明け [やすみあけ] /(exp) just after a holiday break/the first day after the holidays/
休む [やすむ] /(v5m,vi) (1) to be absent/to take a day off/(2) to rest/to have a break/(3) to go to bed/to (lie down to) sleep/to turn in/to retire/(4) to stop doing some ongoing activity for a time/to suspend business/(P)/
休め [やすめ] /(int) (Stand) at ease!/
休める [やすめる] /(v1,vt) to rest/to suspend/to give relief/(P)/
休め地 [やすめち] /(n) fallow land/
休らい [やすらい] /(n) (1) resting/relaxing/(2) hesitating/loitering/
休らう [やすらう] /(v5u) to rest/to relax/
休意 [きゅうい] /(n,vs) peace/tranquility/tranquillity/
休演 [きゅうえん] /(n,vs) suspending performance/
休暇 [きゅうか] /(n) holiday/day off/furlough/absence (from work)/(P)/
休暇願い [きゅうかねがい] /(n) application for leave/
休暇予定 [きゅうかよてい] /(n) holiday plans/
休火山 [きゅうかざん] /(n) dormant volcano/
休会 [きゅうかい] /(n,vs,adj-no) adjournment/recess/
休会明け [きゅうかいあけ] /(n) reassembling of a legislature/
休学 [きゅうがく] /(n,vs) temporary absence from school/suspension/(P)/
休刊 [きゅうかん] /(n,vs) suspension of publication/(P)/
休刊日 [きゅうかんび] /(n) newspaper holiday/
休肝日 [きゅうかんび] /(n) teetotal day (lit: liver rest day)/day off drinking/
休閑 [きゅうかん] /(n) fallowing/
休閑地 [きゅうかんち] /(n) fallow land/
休館 [きゅうかん] /(n,vs,adj-no) library or museum closure/(P)/
休漁 [きゅうりょう] /(n,vs) suspension of fishing/
休業 [きゅうぎょう] /(n,vs) closed (e.g. store)/business suspended/shutdown/holiday/(P)/
休業日 [きゅうぎょうび] /(n) business holiday/
休憩 [きゅうけい] /(n,vs) rest/break/recess/intermission/(P)/
休憩をとる [きゅうけいをとる] /(exp,v5r) to take a break/
休憩を取る [きゅうけいをとる] /(exp,v5r) to take a break/
休憩時間 [きゅうけいじかん] /(n) rest time/intermission/
休憩室 [きゅうけいしつ] /(n) break room/lounge (e.g. in an onsen)/resting room/
休憩所 [きゅうけいじょ] /(n) rest area/rest stop/service area/SA/parking area (e.g. off highways)/PA/(P)/
休校 [きゅうこう] /(n,vs) closing school (temporarily)/dropping one's studies/(P)/
休耕 [きゅうこう] /(n,vs) lying fallow/
休航 [きゅうこう] /(n,vs) suspension of sailings/
休講 [きゅうこう] /(n,vs) lecture cancelled/(P)/
休載 [きゅうさい] /(n,vs) nonappearance in print/
休止 [きゅうし] /(n,vs,adj-no) pause/cessation/rest/(P)/
休止状態 [きゅうしじょうたい] /(n,adj-no) (comp) hibernation/
休止符 [きゅうしふ] /(n) rest (music)/period/full stop/
休止符を打つ [きゅうしふをうつ] /(exp,v5t) to put a period to/
休出 [きゅうしゅつ] /(n) (abbr) working on a day off/
休祥 [きゅうしょう] /(n) good omen/
休場 [きゅうじょう] /(n,vs) (1) theater closure/theatre closure/stage absence/(2) (sumo) wrestler's absence from the tournament/(P)/
休職 [きゅうしょく] /(n,vs) temporary retirement/suspension from office/(P)/
休心 [きゅうしん] /(n,vs) rest assured/
休診 [きゅうしん] /(n,vs) no medical examinations (today)/
休診日 [きゅうしんび] /(n) doctor's no-consultation day/
休錘 [きゅうすい] /(n) idle spindles/
休戚 [きゅうせき] /(n) weal and woe/welfare/
休戦 [きゅうせん] /(n,vs) truce/armistice/(P)/
休戦会談 [きゅうせんかいだん] /(n) armistice conference/
休戦記念日 [きゅうせんきねんび] /(n) Armistice Day/
休戦協定 [きゅうせんきょうてい] /(n) cease-fire agreement/
休戦条約 [きゅうせんじょうやく] /(n) armistice treaty/
休戦地帯 [きゅうせんちたい] /(n) demilitarized zone/demilitarised zone/DMZ/
休息 [きゅうそく] /(n,vs,adj-no) rest/relief/relaxation/(P)/
休息時間 [きゅうそくじかん] /(n) recess/
休息所 [きゅうそくじょ] /(n) lobby/lounge/recreation room/break room/
休足 [きゅうそく] /(n,vs,adj-no) rest/relief/relaxation/
休怠 [きゅうたい] /(n) laziness/neglect/
休茶屋 [やすみじゃや] /(ik) (n) wayside teahouse/tea house used as a resting place/
休茶屋 [やすみぢゃや] /(n) wayside teahouse/tea house used as a resting place/
休廷 [きゅうてい] /(n,vs) court recess/
休廷日 [きゅうていび] /(n) no-court day/
休転 [きゅうてん] /(n) not running (elevator)/
休電 [きゅうでん] /(n,vs) electricity cut-off/
休電日 [きゅうでんび] /(n) no-electricity day/
休日 [きゅうじつ] /(n-adv,n) holiday/day off/(P)/
休日出勤 [きゅうじつしゅっきん] /(n) working on a day off/
休日明け [きゅうじつあけ] /(n) the day after a holiday/
休泊所 [きゅうはくじょ] /(n) temporary quarters/
休符 [きゅうふ] /(n) rest (in music)/
休部 [きゅうぶ] /(n,vs) (1) club that has suspended its activities/(2) not attending one's club/
休眠 [きゅうみん] /(n,vs,adj-f) idle/dormant/
休眠芽 [きゅうみんが] /(n) dormant bud/latent bud/
休眠期 [きゅうみんき] /(n) dormant season/
休養 [きゅうよう] /(n,vs,adj-no) rest/break/recreation/(P)/
休養室 [きゅうようしつ] /(n) rest or recreation room/
休猟 [きゅうりょう] /(n,vs) suspension of hunting/
及かず [しかず] /(exp) (1) being inferior to/being no match for/(2) being best/
及く [しく] /(v5k,vi) (1) (arch) to match/to equal/(2) to catch up with/to overtake/
及ばず乍ら [およばずながら] /(adv) to the best of my ability, poor though it be/
及ばない [およばない] /(exp) (1) unnecessary/(2) unattainable/
及び [および] /(conj) and/as well as/(P)/
及びもつかない [およびもつかない] /(exp) far beyond one's power/not at all equal/no match for/
及びも付かぬ [およびもつかぬ] /(exp) far beyond one's power/not at all equal/no match for/
及び腰 [およびごし] /(n) bent back/indecisive attitude/
及び難い [およびがたい] /(adj-i) hard to attain to/
及ぶ [およぶ] /(v5b,vi) (1) to reach/to amount to/to befall/to happen to/to extend/(2) to be up to the task/to come up to/(3) to compare with/to be a match (for)/(4) to commit (a crime)/(5) to require (to do) (usu. used in the negative)/(P)/
及ぼす [およぼす] /(v5s,vt) to exert/to cause/to exercise/(P)/
及第 [きゅうだい] /(n,vs,adj-no) passing an examination/
及第者 [きゅうだいしゃ] /(n) successful examinee/
及第点 [きゅうだいてん] /(n) passing mark/
及落 [きゅうらく] /(n) success or failure (in examinations)/
吸いがら [すいがら] /(n) cigarette end/cigarette butt/tobacco ashes/
吸いこむ [すいこむ] /(v5m,vt) (1) to inhale/to breathe in/to suck up/to imbibe/(2) to absorb/to soak up/
吸いつく [すいつく] /(v5k) to stick to/
吸いつける [すいつける] /(v1,vt) to attract/to be used to/
吸いとる [すいとる] /(v5r,vt) to suck up/to absorb/to squeeze (money)/
吸い飲み [すいのみ] /(n) feeding cup/
吸い殻 [すいがら] /(n) cigarette end/cigarette butt/tobacco ashes/(P)/
吸い寄せる [すいよせる] /(v1,vt) to draw in/to attract/
吸い口 [すいくち] /(n) mouthpiece/cigarette holder/cigarette filter (tip)/
吸い込み [すいこみ] /(n) drawing/suction/intake/
吸い込み口 [すいこみぐち] /(n) inlet/port/sink/
吸い込む [すいこむ] /(v5m,vt) (1) to inhale/to breathe in/to suck up/to imbibe/(2) to absorb/to soak up/(P)/
吸い取り紙 [すいとりがみ] /(n) blotting paper/
吸い取る [すいとる] /(v5r,vt) to suck up/to absorb/to squeeze (money)/
吸い出す [すいだす] /(v5s,vt) to suck (or draw) out/to aspirate/
吸い上げ [すいあげ] /(n) suction/sucking/
吸い上げる [すいあげる] /(v1,vt) (1) to pump off or out/to suck up or out/to siphon off (incl. wealth)/(2) to take up others' views and opinions/
吸い付く [すいつく] /(v5k) to stick to/
吸い付ける [すいつける] /(v1,vt) to attract/to be used to/
吸い物 [すいもの] /(n) Japanese-style soup/
吸う [すう] /(v5u,vt) (1) to smoke/to breathe in/to inhale/(2) to suck/to sip/to slurp/(3) to absorb/to soak up/(4) to kiss/(P)/
吸がら [すいがら] /(n) cigarette end/cigarette butt/tobacco ashes/
吸引 [きゅういん] /(n,vs,adj-no) absorption/suction/aspiration/attraction/(P)/
吸飲 [きゅういん] /(n,vs) sucking in/
吸飲み [すいのみ] /(n) feeding cup/
吸煙器 [きゅうえんき] /(n) smoke filter/
吸音 [きゅうおん] /(n,vs,adj-no) sound absorption/
吸音材 [きゅうおんざい] /(n) acoustic material/acoustic absorbent material/
吸殻 [すいがら] /(n) cigarette end/cigarette butt/tobacco ashes/
吸寄せる [すいよせる] /(v1,vt) to draw in/to attract/
吸気 [きゅうき] /(n,adj-no) inspiration/
吸金剛 [ここんごう] /(n) Hevajra/Eternal Vajra (tantric Buddhist deity)/
吸血 [きゅうけつ] /(n,adj-no) bloodsucking/sucking blood/
吸血こうもり [きゅうけつこうもり] /(n) vampire bat/
吸血鬼 [きゅうけつき] /(n) vampire/bloodsucker/(P)/
吸血動物 [きゅうけつどうぶつ] /(n) bloodsucker/
吸血蝙蝠 [きゅうけつこうもり] /(n) vampire bat/
吸口 [すいくち] /(n) mouthpiece/cigarette holder/cigarette filter (tip)/
吸込み [すいこみ] /(n) drawing/suction/intake/
吸込み口 [すいこみぐち] /(n) inlet/port/sink/
吸込む [すいこむ] /(v5m,vt) (1) to inhale/to breathe in/to suck up/to imbibe/(2) to absorb/to soak up/
吸湿 [きゅうしつ] /(n) moisture absorbing/
吸湿剤 [きゅうしつざい] /(n) desiccant/moisture absorbent/
吸湿性 [きゅうしつせい] /(n) absorbency/hygroscopicity/
吸取る [すいとる] /(v5r,vt) to suck up/to absorb/to squeeze (money)/
吸取紙 [すいとりがみ] /(n) blotting paper/
吸収 [きゅうしゅう] /(n,vs) absorption/suction/attraction/(P)/
吸収合併 [きゅうしゅうがっぺい] /(n) merger/takeover/
吸収剤 [きゅうしゅうざい] /(n) an absorbent/
吸収性 [きゅうしゅうせい] /(n,adj-no) absorbability/absorbency/
吸収線量 [きゅうしゅうせんりょう] /(n) absorbed dose (radiation)/
吸収体 [きゅうしゅうたい] /(n) absorbent/
吸収不良症候群 [きゅうしゅうふりょうしょうこうぐん] /(n) malabsorption syndrome/
吸収力 [きゅうしゅうりょく] /(n) absorbing power/
吸出す [すいだす] /(v5s,vt) to suck (or draw) out/to aspirate/
吸上げ [すいあげ] /(n) suction/sucking/
吸上げる [すいあげる] /(v1,vt) (1) to pump off or out/to suck up or out/to siphon off (incl. wealth)/(2) to take up others' views and opinions/
吸塵 [きゅうじん] /(n,vs) dust vacuuming/
吸水 [きゅうすい] /(n,vs) water absorption/
吸水管 [きゅうすいかん] /(n) siphon/suction pipe/
吸水性 [きゅうすいせい] /(n) water absorbency/
吸着 [きゅうちゃく] /(n,vs) adsorption/adsorb/attachment/sorption/
吸虫 [きゅうちゅう] /(n) trematode (i.e. a fluke)/
吸虫類 [きゅうちゅうるい] /(n) trematodes (i.e. flukes)/
吸入 [きゅうにゅう] /(n,vs,adj-no) inhalation/(P)/
吸入器 [きゅうにゅうき] /(n) inhaler/inhalator/inspirator/
吸盤 [きゅうばん] /(n) suction pad/sucker/
吸付く [すいつく] /(v5k) to stick to/
吸付ける [すいつける] /(v1,vt) to attract/to be used to/
吸物 [すいもの] /(n) Japanese-style soup/
宮 [きゅう] /(n) (1) palace/(2) tonic (of the Japanese & Chinese pentatonic scale)/(3) (abbr) ancient Chinese punishment (castration for men, or confinement for women)/(n,n-suf) (4) zodiacal sign/
宮 [みや] /(n) (1) shrine/(2) palace/imperial residence/(3) (hon) member of the imperial family/(4) (arch) temple/
宮家 [みやけ] /(n) residence or family of a prince/
宮居 [みやい] /(n,vs) shrine/imperial palace/
宮刑 [きゅうけい] /(n) (arch) ancient Chinese punishment (castration for men, confinement for women)/
宮古上布 [みやこじょうふ] /(n) high quality hemp cloth from Miyakojima (Okinawa prefecture)/
宮古蟇 [みやこひきがえる] /(n) (uk) Miyako toad (Bufo gargarizans miyakonis, a subspecies of the Asiatic toad endemic to the Ryukyu Islands)/
宮座 [みやざ] /(n) organization of shrine parishioners in a hamlet/parish guild/
宮崎県 [みやざきけん] /(n) Miyazaki prefecture (Kyuushuu)/
宮参り [みやまいり] /(n,vs) shrine visit/
宮仕え [みやづかえ] /(n,vs) court service/
宮司 [ぐうじ] /(n) (Shinto) chief priest/
宮室 [きゅうしつ] /(n) palace/imperial family/
宮守 [みやもり] /(n) court or shrine guard/
宮城 [きゅうじょう] /(n) Imperial Palace/(P)/
宮城県 [みやぎけん] /(n) Miyagi prefecture (Touhoku area)/
宮城野萩 [みやぎのはぎ] /(n) (uk) Thunberg's lespedeza (species of bush clover, Lespedeza thunbergii)/
宮人 [みやびと] /(n) (noble) courtier/
宮大工 [みやだいく] /(n) carpenter specializing in temple, shine, etc. construction/
宮地 [みやじ] /(n) grounds of a Shinto shrine/
宮地 [みやち] /(n) grounds of a Shinto shrine/
宮中 [きゅうちゅう] /(n) imperial court/(P)/
宮中三殿 [きゅうちゅうさんでん] /(n) the palace sanctuary, shrine of imperial ancestors and temple inside the Japanese imperial palace/
宮庭 [きゅうてい] /(n) the Palace/the Court/
宮廷 [きゅうてい] /(n,adj-no) imperial court/royal court/(P)/
宮廷音楽 [きゅうていおんがく] /(n) court music/
宮廷画家 [きゅうていがか] /(n) court painter/
宮殿 [きゅうでん] /(n,adj-no) palace/(P)/
宮田家 [みやたけ] /(n) the Miyata family/
宮内省 [くないしょう] /(n) (obs) the Imperial Household Department/
宮内庁 [くないちょう] /(n) Imperial Household Agency/(P)/
宮部岩魚 [みやべいわな] /(n) (uk) Miyabe charr (Salvelinus malma miyabei)/
宮門 [きゅうもん] /(n) gate of a palace/
宮様 [みやさま] /(n) prince/princess/
宮様お二所 [みやさまおふたところ] /(n) two Imperial princes/
宮闕 [きゅうけつ] /(n) (obsc) Imperial palace/
弓 [ゆみ] /(n) bow (and arrow)/(P)/
弓のこ [ゆみのこ] /(n) hacksaw/
弓を引く [ゆみをひく] /(exp,v5k) to draw a bow/to oppose/to defy/to disobey one's superiors/
弓引く [ゆみひく] /(v5k,vi) (1) to bend a bow/to shoot an arrow/(2) to rise up against/to rebel against/
弓掛け [ゆがけ] /(n) archer's glove (with a groove for pulling the string)/
弓鋸 [ゆみのこ] /(n) hacksaw/
弓具 [きゅうぐ] /(n) things used in archery/
弓形 [きゅうけい] /(n,adj-no) arched/crescent-shaped/bow-shaped/segment/
弓形 [ゆみがた] /(n,adj-no) arched/crescent-shaped/bow-shaped/segment/
弓形 [ゆみなり] /(n,adj-no) arched/crescent-shaped/bow-shaped/segment/
弓形になる [ゆみなりになる] /(exp,v5r) to bend backward/to become bow-shaped/
弓懸 [ゆがけ] /(n) archer's glove (with a groove for pulling the string)/
弓懸け [ゆがけ] /(n) archer's glove (with a groove for pulling the string)/
弓弦 [ゆづら] /(n) bowstring/
弓弦 [ゆづる] /(n) bowstring/
弓弦 [ゆみづる] /(n) bowstring/
弓作成 [ゆみさくせい] /(n) bowyery/bow making/bowcraft/
弓師 [ゆみし] /(n) bow maker/bowyer/
弓取り式 [ゆみとりしき] /(n) bow-twirling ceremony at the end of a day of sumo wrestling/
弓取式 [ゆみとりしき] /(n) bow-twirling ceremony at the end of a day of sumo wrestling/
弓手 [ゆんで] /(n) one's left hand/
弓術 [きゅうじゅつ] /(n,adj-no) (Japanese) archery/
弓場 [ゆみば] /(n) archery ground/archery gallery/
弓場始め [ゆばはじめ] /(n) (1) ceremony on the fifth day of the 10th lunar month in which the emperor would watch prize archery (Heian and Kamakura periods)/(2) first firing of the bow (after the New Year or the reconstruction of the archery range (in military families))/
弓状 [きゅうじょう] /(n,adj-no) bow-shaped/arched/
弓勢 [ゆんぜい] /(n) strength needed to pull back a bow/
弓箭 [きゅうせん] /(n) bows and arrows/war/
弓張 [ゆみはり] /(io) (n) (1) stringing a bow/person who strings bows/(2) (abbr) crescent moon/(3) (abbr) paper lantern with a bow-shaped handle/
弓張り [ゆみはり] /(n) (1) stringing a bow/person who strings bows/(2) (abbr) crescent moon/(3) (abbr) paper lantern with a bow-shaped handle/
弓張り月 [ゆみはりづき] /(n) crescent moon/
弓張り提灯 [ゆみはりぢょうちん] /(n) paper lantern with bow-shaped handle/
弓張提灯 [ゆみはりぢょうちん] /(n) paper lantern with bow-shaped handle/
弓道 [きゅうどう] /(n) (Japanese) archery/(P)/
弓馬 [きゅうば] /(n) archery and horsemanship/
弓馬槍剣 [きゅうばそうけん] /(n) archery, horsemanship, spearsmanship, and swordsmanship/martial arts in general/
弓馬刀槍 [きゅうばとうそう] /(n) archery, horsemanship, spearsmanship, and swordsmanship/martial arts in general/
弓筈 [ゆはず] /(n) nock (of a bow)/
弓筈 [ゆみはず] /(n) nock (of a bow)/
弓偏 [ゆみへん] /(n) kanji "bow" radical at left/
弓矢 [きゅうし] /(n) bow and arrow/
弓矢 [ゆみや] /(n) bow and arrow/(P)/
弓矢神道 [ゆみやしんとう] /(n) Yumiya Shinto (Edo-period sect of Yoshida Shinto)/
弓矢八幡 [ゆみやはちまん] /(n) god of war/
弓弭 [ゆはず] /(n) nock (of a bow)/
弓弭 [ゆみはず] /(n) nock (of a bow)/
弓籠手 [ゆごて] /(n) (obsc) archer's bracer/archer's armguard/
急 [きゅう] /(adj-na) (1) urgent/sudden/abrupt/(2) sharp/steep/precipitous/(3) rapid/swift/fast/(n) (4) emergency/crisis/(5) hurrying/haste/(6) (in gagaku or noh) end of a song/(P)/
急いては事を仕損じる [せいてはことをしそんじる] /(exp) (id) Haste makes waste/
急いては事を仕損ずる [せいてはことをしそんずる] /(exp) (id) Haste makes waste/
急いで [いそいで] /(exp) hurriedly/(P)/
急かす [せかす] /(v5s) to hurry/to urge on/(P)/
急かせる [せかせる] /(v1,vt) to hurry up/
急がす [いそがす] /(v5s,vt) to hurry up/to press on/to hasten/
急がせる [いそがせる] /(v1) to hasten (the work)/to urge (a person) on/
急がば回れ [いそがばまわれ] /(exp) more haste, less speed/slow and steady wins the race/
急がば廻れ [いそがばまわれ] /(exp) more haste, less speed/slow and steady wins the race/
急きたてられる [せきたてられる] /(v1) to be hurried/to be hastened/to be hard pressed/
急きょ [きゅうきょ] /(adj-na,adv) hurriedly/in a hurry/(P)/
急き込む [せきこむ] /(v5m,vi) to sound agitated, hurried, flustered/to be impatient/
急き立てる [せきたてる] /(v1,vt) to hurry (up)/to press/to urge on/
急ぎ [いそぎ] /(n,adj-no) haste/hurry/expedition/speed/dispatch/(P)/
急ぎ足 [いそぎあし] /(n) fast pace/quick pace/
急く [せく] /(v5k,vi) to hurry/to rush/
急ぐ [いそぐ] /(v5g,vi,vt) to hurry/to rush/to hasten/to make something happen sooner/(P)/
急ごしらえ [きゅうごしらえ] /(adj-na,n) hastily made/improvised preparation/
急な坂 [きゅうなさか] /(exp) sudden drop/precipitous slope/
急な流れ [きゅうなながれ] /(n) swiftly running river/rapid stream/
急に [きゅうに] /(adv) (1) swiftly/rapidly/(2) suddenly/abruptly/immediately/
急を救う [きゅうをすくう] /(exp,v5u) to help (a person) out of danger/
急を要する [きゅうをようする] /(exp,adj-f) urgent/requiring quick (response)/
急カーブ [きゅうカーブ] /(n) sharp curve (turn)/
急テンポ [きゅうテンポ] /(n,adj-na) fast tempo/
急ハンドル [きゅうハンドル] /(n) abrupt steering/
急ピッチ [きゅうピッチ] /(adj-na,n) quick pace/(P)/
急雨 [きゅうう] /(n) (obsc) rain shower/
急火 [きゅうか] /(n) sudden fire/nearby fire/
急火 [きゅうび] /(n) sudden fire/nearby fire/
急拡大 [きゅうかくだい] /(n,vs) boom/sudden expansion/
急角度 [きゅうかくど] /(n) steep angle/acute angle/
急患 [きゅうかん] /(n) emergency case/(P)/
急拠 [きゅうきょ] /(iK) (adj-na,adv) hurriedly/in a hurry/
急傾斜 [きゅうけいしゃ] /(n) steep slope (incline)/
急劇 [きゅうげき] /(adj-na,n) sudden/precipitous/radical/
急激 [きゅうげき] /(adj-na,n) sudden/precipitous/radical/(P)/
急減 [きゅうげん] /(n,vs) sudden decrease/
急勾配 [きゅうこうばい] /(n) steep slope/
急行 [きゅうこう] /(n,vs,adj-no) (1) moving at high speed/(2) (abbr) express (e.g. train that bypasses many stations)/(P)/
急行券 [きゅうこうけん] /(n) express ticket/
急行停車駅 [きゅうこうていしゃえき] /(n) express station/
急行便 [きゅうこうびん] /(n) express mail/
急行料金 [きゅうこうりょうきん] /(n) express charge/
急行列車 [きゅうこうれっしゃ] /(n) express train/
急降下 [きゅうこうか] /(n,vs) swoop/nose dive/
急降下爆撃 [きゅうこうかばくげき] /(n) dive bombing/
急告 [きゅうこく] /(n,vs) urgent notice/
急込む [せきこむ] /(v5m,vi) to sound agitated, hurried, flustered/to be impatient/
急坂 [きゅうさか] /(n) steep slope/steep gradient/
急坂 [きゅうはん] /(n) steep slope/steep gradient/
急使 [きゅうし] /(n) express messenger/
急死 [きゅうし] /(n,vs) sudden death/(P)/
急斜面 [きゅうしゃめん] /(n) steep slope/
急襲 [きゅうしゅう] /(n,vs) raid/assault/descent/
急峻 [きゅうしゅん] /(adj-na,n) steep/sharp/
急所 [きゅうしょ] /(n) (1) vitals/tender spot/(2) key (of a problem)/crux/essential point/secret/(3) (col) male crotch (as a target in fighting)/(P)/
急所 [きゅうじょ] /(n) vital point (critical place to make a move in the game of Go)/
急所を突く [きゅうしょをつく] /(exp,v5k) to touch the vital point/
急上昇 [きゅうじょうしょう] /(n,vs) sudden rise/steep climb/zoom/
急場 [きゅうば] /(n) emergency/
急場をしのぐ [きゅうばをしのぐ] /(exp,v5g) to use a stopgap measure to cope with an emergency/
急場を凌ぐ [きゅうばをしのぐ] /(exp,v5g) to use a stopgap measure to cope with an emergency/
急伸 [きゅうしん] /(n,vs) sudden rise (esp. of stock prices)/jump/(P)/
急信 [きゅうしん] /(n) urgent message or dispatch (despatch)/
急進 [きゅうしん] /(n,vs) rapid progress/radical/(P)/
急進主義 [きゅうしんしゅぎ] /(n) radicalism/
急進主義者 [きゅうしんしゅぎしゃ] /(n) radical (person)/
急進的 [きゅうしんてき] /(adj-na) radical/
急進党 [きゅうしんとう] /(n) radical political party/
急進派 [きゅうしんは] /(n) radical faction or group/
急須 [きゅうす] /(n) small teapot/
急須の口 [きゅうすのくち] /(n) spout of a teapot/
急制度 [きゅうせいど] /(n) emergency braking procedure (e.g. during driver training and testing)/
急性 [きゅうせい] /(n,adj-no) acute (e.g. illness)/(P)/
急性灰白髄炎 [きゅうせいかいはくずいえん] /(n) poliomyelitis/polio/
急性冠症候群 [きゅうせいかんしょうこうぐん] /(n) acute coronary syndrome/ACS/
急性感染症 [きゅうせいかんせんしょう] /(n) acute infection/
急性期 [きゅうせいき] /(n) acute phase/(P)/
急性散在性脳脊髄炎 [きゅうせいさんざいせいのうせきずいえん] /(n) acute disseminated encephalomyelitis/ADEM/
急性心筋炎 [きゅうせいしんきんえん] /(n) acute myocarditis/
急性心筋梗塞 [きゅうせいしんきんこうそく] /(n) acute myocardial infarction/AMI/
急性腎不全 [きゅうせいじんふぜん] /(n) acute renal failure/
急性中毒 [きゅうせいちゅうどく] /(n) acute poisoning/acute intoxication/
急性脳症 [きゅうせいのうしょう] /(n) acute encephalopathy/
急性腹症 [きゅうせいふくしょう] /(n) acute abdomen/stomach problem requiring immediate surgery/
急成長 [きゅうせいちょう] /(n,vs) rapid growth/(P)/
急成長企業 [きゅうせいちょうきぎょう] /(n) rapidly growing company/
急逝 [きゅうせい] /(n,vs) sudden death/(P)/
急切 [きゅうせつ] /(n) under pressure/urgency/
急接近 [きゅうせっきん] /(n,vs) fast approach/quick intimacy/
急設 [きゅうせつ] /(n,vs) hurried construction/speedy laying/
急先鋒 [きゅうせんぽう] /(n) van (of a movement)/
急送 [きゅうそう] /(n,vs) dispatch/despatch/
急増 [きゅうぞう] /(n,vs) explosion/proliferation/surge/(P)/
急造 [きゅうぞう] /(n,vs,adj-no) hurried construction/
急足 [いそぎあし] /(io) (n) fast pace/quick pace/
急速 [きゅうそく] /(adj-na,n) rapid (e.g. progress)/(P)/
急速充電 [きゅうそくじゅうでん] /(n) (comp) fast charge/
急追 [きゅうつい] /(n,vs) (being in) hot pursuit/
急停車 [きゅうていしゃ] /(n,vs) (coming to a) sudden stop/
急展開 [きゅうてんかい] /(n) rapid development/
急転 [きゅうてん] /(n,vs) sudden change/
急転悪化 [きゅうてんあっか] /(n,vs) suddenly turning for the worse/sudden deterioration/
急転回 [きゅうてんかい] /(n,vs) abrupt turn/sudden change/
急転換 [きゅうてんかん] /(n) sudden change/
急転直下 [きゅうてんちょっか] /(n,vs) suddenly and precipitately/take a sudden turn/
急度 [きっと] /(adv,n) (1) (uk) surely/undoubtedly/almost certainly/most likely (e.g. 90 percent)/(2) (arch) sternly/severely/
急騰 [きゅうとう] /(n,vs) sudden rise/jump/sharp rise/(P)/
急難 [きゅうなん] /(n) sudden or unexpected disaster/
急派 [きゅうは] /(n,vs) dispatch/despatch/
急迫 [きゅうはく] /(n,vs) urgency/imminence/
急迫した [きゅうはくした] /(adj-f) urgent/pressing/imminent/
急病 [きゅうびょう] /(n) sudden illness/(P)/
急病人 [きゅうびょうにん] /(n) an emergency patient or case/
急変 [きゅうへん] /(n,vs) (1) sudden turn/sudden change/(2) (suddenly occurring) accident/emergency/(P)/
急募 [きゅうぼ] /(n,vs) urgent recruit/
急報 [きゅうほう] /(n,vs) urgent report or message/
急務 [きゅうむ] /(n) urgent business/(P)/
急用 [きゅうよう] /(n) urgent business/(P)/
急落 [きゅうらく] /(n,vs) sudden fall/sharp fall/sudden drop/sharp drop/(P)/
急立てる [せきたてる] /(io) (v1,vt) to hurry (up)/to press/to urge on/
急流 [きゅうりゅう] /(n,adj-no) swift current/rapids/
急流下り [きゅうりゅうくだり] /(n) river rafting/
急冷 [きゅうれい] /(n,vs) rapid cooling/
急拵え [きゅうごしらえ] /(adj-na,n) hastily made/improvised preparation/
急遽 [きゅうきょ] /(adj-na,adv) hurriedly/in a hurry/(P)/
救い [すくい] /(n) help/aid/relief/salvation/(P)/
救いようがない [すくいようがない] /(exp,adj-i) beyond saving/
救いようのない [すくいようのない] /(adj-i) hopeless/irredeemable/
救い主 [すくいぬし] /(n) savior (the Savior)/rescuer/
救い出す [すくいだす] /(v5s,vt) to rescue/to free/
救い上げる [すくいあげる] /(v1) to pick up and rescue/
救い様がない [すくいようがない] /(exp,adj-i) beyond saving/
救い様のない [すくいようのない] /(adj-i) hopeless/irredeemable/
救う [すくう] /(v5u,vt) to rescue from/to help out of/to save/(P)/
救ける [たすける] /(v1,vt) to help/to save/to rescue/to give relief to/to spare (life)/to reinforce/to promote/to abet/
救援 [きゅうえん] /(n,vs) relief/rescue/reinforcement/(P)/
救援活動 [きゅうえんかつどう] /(n) rescue operation/
救援軍 [きゅうえんぐん] /(n) reinforcements/relief column/
救援隊 [きゅうえんたい] /(n) relief party/rescue party/
救援投手 [きゅうえんとうしゅ] /(n) relief pitcher/fireman/
救援物資 [きゅうえんぶっし] /(n) relief supplies/
救急 [きゅうきゅう] /(n,adj-no) first-aid/emergency (aid)/(P)/
救急シート [きゅうきゅうシート] /(n) emergency blanket/
救急ヘリコプター [きゅうきゅうヘリコプター] /(n) ambulance helicopter/
救急医療 [きゅうきゅういりょう] /(n) emergency medicine/(P)/
救急患者 [きゅうきゅうかんじゃ] /(n) emergency patient/emergency case/
救急救命士 [きゅうきゅうきゅうめいし] /(n) paramedic/emergency medical technician/
救急車 [きゅうきゅうしゃ] /(n) ambulance/(P)/
救急隊員 [きゅうきゅうたいいん] /(n) rescue worker/emergency rescue team member/
救急箱 [きゅうきゅうばこ] /(n) first-aid kit/(P)/
救急搬送 [きゅうきゅうはんそう] /(n) emergency (medical) transport/
救急病院 [きゅうきゅうびょういん] /(n) emergency hospital/
救急法 [きゅうきゅうほう] /(n) (knowledge of) first-aid/
救護 [きゅうご] /(n,vs) relief/aid/
救護活動 [きゅうごかつどう] /(n) relief (aid) work/
救護所 [きゅうごしょ] /(n) first-aid station/
救護班 [きゅうごはん] /(n) relief squad/rescue party/
救荒 [きゅうこう] /(n,vs) famine relief/
救荒作物 [きゅうこうさくもつ] /(n) hardy plants/
救国 [きゅうこく] /(n) patriot devoted to the salvation of his country/(P)/
救国済民 [きゅうこくさいみん] /(n) saving a nation and providing relief to people/
救済 [きゅうさい] /(n,vs) relief/aid/rescue/salvation/help/(P)/
救済運動 [きゅうさいうんどう] /(n) relief work/
救済機関 [きゅうさいきかん] /(n) aid agency/rescue organization/organization to monitor human rights/
救済策 [きゅうさいさく] /(n) relief measure/
救済者 [きゅうさいしゃ] /(n) savior/
救済組織 [きゅうさいそしき] /(n) relief organisation/
救出 [きゅうしゅつ] /(n,vs) rescue/extricate/reclaim/deliverance/(P)/
救出作戦 [きゅうしゅつさくせん] /(n) rescue mission/evacuation operation/
救助 [きゅうじょ] /(n,vs) relief/aid/rescue/(P)/
救助船 [きゅうじょせん] /(n) lifeboat/rescue ship/
救助隊 [きゅうじょたい] /(n) rescue team or party/
救助艇 [きゅうじょてい] /(n) lifeboat/rescue boat/
救助網 [きゅうじょあみ] /(n) safety net/cowcatcher (train or streetcar)/
救助網 [きゅうじょもう] /(n) safety net/cowcatcher (train or streetcar)/
救世 [きゅうせい] /(n) salvation/
救世 [くせ] /(n) salvation/
救世 [ぐぜ] /(n) salvation/
救世軍 [きゅうせいぐん] /(n) Salvation Army/(P)/
救世主 [きゅうせいしゅ] /(n) saviour/messiah/(P)/
救難 [きゅうなん] /(n) rescue/salvage/
救難ヘリコプター [きゅうなんヘリコプター] /(n) rescue helicopter/
救難船 [きゅうなんせん] /(n) rescue ship/salvage boat/
救貧 [きゅうひん] /(n) poor relief/
救貧法 [きゅうひんほう] /(n) poor law/
救民 [きゅうみん] /(n) disaster relief/
救命 [きゅうめい] /(n,adj-no) lifesaving/(P)/
救命いかだ [きゅうめいいかだ] /(n) liferaft/lifeboat/
救命の鎖 [きゅうめいのくさり] /(n) chain of survival/
救命センター [きゅうめいセンター] /(n) hospital emergency room/
救命ボート [きゅうめいボート] /(n) lifeboat/
救命救急センター [きゅうめいきゅうきゅうセンター] /(n) emergency and critical care centre (center)/
救命具 [きゅうめいぐ] /(n) lifesaving equipment/
救命艇 [きゅうめいてい] /(n) lifeboat/
救命胴衣 [きゅうめいどうい] /(n) life-jacket/life-vest/
救命筏 [きゅうめいいかだ] /(n) liferaft/lifeboat/
救命桴 [きゅうめいいかだ] /(n) liferaft/lifeboat/
救癩 [きゅうらい] /(oK) (n) (obsc) helping the lepers/
朽ちる [くちる] /(v1,vi) to rot/
朽ち果てる [くちはてる] /(v1,vi) to rust away/to rot away/to decay/to fall to ruins/to die in obscurity/
朽ち木 [くちき] /(n) decayed tree/
朽ち葉 [くちば] /(n) decayed leaves/
朽ち葉色 [くちばいろ] /(n,adj-no) yellow-brown/
朽果てる [くちはてる] /(v1,vi) to rust away/to rot away/to decay/to fall to ruins/to die in obscurity/
朽壊 [きゅうかい] /(n,vs) rotting and crumbling/
朽廃 [きゅうはい] /(n,vs) decay/dilapidation (ruin)/
朽木 [くちき] /(n) decayed tree/
朽葉 [くちば] /(n) decayed leaves/
求む [もとむ] /(v5m,vt) to want/to seek/to request/
求むる [もとむる] /(v5r,vt) to want/to seek/to request/
求め [もとめ] /(n) (1) request/appeal/claim/demand/(2) purchase/
求めに応じる [もとめにおうじる] /(exp,v1) to answer a request/
求めよ然らば与えられん [もとめよさらばあたえられん] /(exp) (id) Ask, and it shall be given you/
求める [もとめる] /(v1,vt) (1) to want/to wish for/(2) to request/to demand/(3) to seek/to search for/to pursue (pleasure)/to hunt (a job)/(4) (pol) to purchase/to buy/(P)/
求愛 [きゅうあい] /(n,vs) courting/
求愛誇示 [きゅうあいこじ] /(n) courtship display/
求愛行動 [きゅうあいこうどう] /(n) courtship behavior (animals)/
求愛鳴き [きゅうあいなき] /(n) mating call/
求縁 [きゅうえん] /(n,vs) courtship/
求刑 [きゅうけい] /(n,vs,adj-no) prosecution/recommended sentence/prosecution's demand for punishment/(P)/
求婚 [きゅうこん] /(n,vs) marriage proposal/courtship/
求婚広告 [きゅうこんこうこく] /(n) matrimonial advertisement/
求婚者 [きゅうこんしゃ] /(n) suitor/
求妻広告 [きゅうさいこうこく] /(n) advertisement for a wife/
求償 [きゅうしょう] /(n,vs) claim for damages/
求職 [きゅうしょく] /(n,vs,adj-no) job hunting/seeking employment/(P)/
求職係 [きゅうしょくがかり] /(n) applicant interviewer/
求職広告 [きゅうしょくこうこく] /(n) situation-wanted advertisement/
求職者 [きゅうしょくしゃ] /(n) job applicant/
求職申し込み [きゅうしょくもうしこみ] /(n) job application/
求心 [きゅうしん] /(n,adj-no) centripetal/
求心性神経 [きゅうしんせいしんけい] /(n) afferent nerve/afferent neuron/afferent/
求心力 [きゅうしんりょく] /(n) centripetal force/cohesive power/unifying force/(P)/
求人 [きゅうじん] /(n,vs) offer of job (situation)/(P)/
求人口 [きゅうじんぐち] /(n) job vacancy/
求人広告 [きゅうじんこうこく] /(n,adj-no) help wanted advertisements/
求人市場 [きゅうじんいちば] /(n) job market/
求人誌 [きゅうじんし] /(n) job advertisement/
求人者 [きゅうじんしゃ] /(n) employer/someone hunting for workers/
求人情報誌 [きゅうじんじょうほうし] /(n) job magazine/
求人難 [きゅうじんなん] /(n) labor shortage/labour shortage/
求人欄 [きゅうじんらん] /(n) jobs available section (e.g. in a newspaper)/
求積 [きゅうせき] /(n) mensuration/
求積法 [きゅうせきほう] /(n) (1) quadrature/(2) stereometry/
求仙 [きゅうせん] /(n) (uk) multicolorfin rainbowfish (Parajulis poecilepterus, was Halichoeres poecilopterus)/
求道 [きゅうどう] /(n) seeking for truth/
求道 [ぐどう] /(n) seeking for truth/
求道者 [きゅうどうしゃ] /(n) investigator/one who seeks the way/
求肥 [ぎゅうひ] /(n) Turkish delight/
求肥飴 [ぎゅうひあめ] /(n) Turkish delight/
求不得苦 [ぐふとくく] /(n) (Buddh) the pain of not getting what one seeks/
求法者 [ぐほうしゃ] /(n) (Buddh) inquirer/
汲々 [きゅうきゅう] /(adj-t,adv-to) diligent/absorbed (in something)/
汲みとる [くみとる] /(v5r,vt) (1) to scoop out/to pump out/(2) to understand/to surmise/
汲み干す [くみほす] /(v5s,vt) to empty out/to drain out/to pump dry/
汲み込む [くみこむ] /(v5m,vt) to fill with water/
汲み取り [くみとり] /(n) dipping up (night soil)/scooping up/
汲み取り屋 [くみとりや] /(n) (col) person who gathers night soil/
汲み取り便所 [くみとりべんじょ] /(n) outhouse (from which night-soil may be collected)/privy/
汲み取る [くみとる] /(v5r,vt) (1) to scoop out/to pump out/(2) to understand/to surmise/(P)/
汲み出す [くみだす] /(v5s,vt) to pump out/to bail (water)/
汲み上げる [くみあげる] /(v1,vt) to draw/
汲み置き [くみおき] /(n) drawn water/
汲み分ける [くみわける] /(v1,vt) to apportion drawn water/to show understanding/
汲み立て [くみたて] /(n,adj-no) freshly-drawn/
汲む [くむ] /(v5m,vt) (1) to draw (water)/to ladle/to dip/to scoop/to pump/(2) to have a drink together/(3) to consider/to sympathize with/to sympathise with/(P)/
汲干す [くみほす] /(v5s,vt) to empty out/to drain out/to pump dry/
汲汲 [きゅうきゅう] /(adj-t,adv-to) diligent/absorbed (in something)/
汲込む [くみこむ] /(v5m,vt) to fill with water/
汲取 [くみとり] /(n) dipping up (night soil)/scooping up/
汲取り [くみとり] /(n) dipping up (night soil)/scooping up/
汲取る [くみとる] /(v5r,vt) (1) to scoop out/to pump out/(2) to understand/to surmise/
汲取口 [くみとりぐち] /(n) hole for pumping out cesspool/
汲出す [くみだす] /(v5s,vt) to pump out/to bail (water)/
汲上げる [くみあげる] /(v1,vt) to draw/
汲置き [くみおき] /(n) drawn water/
泣いても笑っても [ないてもわらっても] /(exp) whether you like it or not/no matter what one may do/in any event/at all events/
泣かされる [なかされる] /(v1,vi) (1) to be moved to tears/(2) to suffer greatly (from)/
泣かす [なかす] /(v5s) (1) to make someone cry/to move someone to tears/(2) to grieve/
泣かせる [なかせる] /(v1,vt) (1) to make someone cry/to move someone to tears/(2) to let cry/(3) to grieve/
泣き [なき] /(n) weeping/lamenting/(P)/
泣きじゃくる [なきじゃくる] /(v5r) to sob/
泣きっ面 [なきっつら] /(n) tearful face/
泣きっ面に蜂 [なきっつらにはち] /(exp,n) misfortunes seldom come alone/it rains, but it pours/
泣きつく [なきつく] /(v5k,vi) to cling to ... in tears/to beg ... in tears/to appeal/to throw oneself on someone's mercy/
泣きどころ [なきどころ] /(n) weak point/vulnerable point/Achilles' heel/
泣きぬれる [なきぬれる] /(v1,vi) to be tear-stained/to have one's face covered with tears/
泣きはらす [なきはらす] /(v5s,vt) to weep one's eyes out/
泣きべそ [なきべそ] /(n) face contorted and about to cry/
泣きぼくろ [なきぼくろ] /(n) mole under the eye (supposedly due to having cried)/
泣きわめく [なきわめく] /(v5k) to bawl/to cry/to scream/
泣きを見る [なきをみる] /(exp,v1) to get into trouble/to get busted/
泣き喚く [なきわめく] /(v5k) to bawl/to cry/to scream/
泣き顔 [なきがお] /(n) tear-stained face/(P)/
泣き叫ぶ [なきさけぶ] /(v5b,vi) to cry and shout/to scream/
泣き言 [なきごと] /(n) complaint/
泣き黒子 [なきぼくろ] /(n) mole under the eye (supposedly due to having cried)/
泣き始める [なきはじめる] /(v1) to begin to cry/
泣き止む [なきやむ] /(v5m) to stop crying/to cry oneself out/
泣き腫らす [なきはらす] /(v5s,vt) to weep one's eyes out/
泣き出す [なきだす] /(v5s,vi) to burst into tears/to burst out crying/to begin to cry/to be moved to tears/
泣き処 [なきどころ] /(n) weak point/vulnerable point/Achilles' heel/
泣き所 [なきどころ] /(n) weak point/vulnerable point/Achilles' heel/
泣き笑い [なきわらい] /(n,vs) smile while crying/
泣き上戸 [なきじょうご] /(n,adj-no) maudlin drinker/
泣き寝入り [なきねいり] /(n,vs) crying oneself to sleep/giving up in frustration/accepting meekly/being compelled to accept a situation/
泣き真似 [なきまね] /(n) feigned or crocodile tears/
泣き声 [なきごえ] /(n,vs) cry/crying voice/(P)/
泣き虫 [なきむし] /(n) crybaby/blubberer/
泣き沈む [なきしずむ] /(v5m,vi) to abandon oneself to grief/
泣き通す [なきとおす] /(v5s) to keep crying/
泣き潰す [なきつぶす] /(v5s) to cry one's eyes out/to weep oneself blind/
泣き入る [なきいる] /(v5r,vi) (obsc) to burst into tears/to sob/to weep/
泣き濡れる [なきぬれる] /(v1,vi) to be tear-stained/to have one's face covered with tears/
泣き悲しむ [なきかなしむ] /(v5m) to wail/to cry over/to bewail/
泣き頻る [なきしきる] /(v5r,vi) to wail/to cry/to sob bitterly/
泣き付く [なきつく] /(v5k,vi) to cling to ... in tears/to beg ... in tears/to appeal/to throw oneself on someone's mercy/
泣き伏す [なきふす] /(v5s,vi) to break down crying/
泣き別れ [なきわかれ] /(exp) part in tears/come to grief/have to take a different tack/go separate ways/
泣き暮す [なきくらす] /(v5s,vt) to spend one's days in tears and sorrow/
泣き暮らす [なきくらす] /(v5s,vt) to spend one's days in tears and sorrow/
泣き崩れる [なきくずれる] /(v1,vi) to break down crying/
泣き味噌 [なきみそ] /(n) crybaby/
泣き明かす [なきあかす] /(v5s,vt) to weep the night out/to weep all night/
泣き明す [なきあかす] /(v5s,vt) to weep the night out/to weep all night/
泣き面 [なきつら] /(n) tearful face/
泣き面に蜂 [なきつらにはち] /(exp,n) misfortunes seldom come alone/it rains, but it pours/
泣き落とす [なきおとす] /(v5s) to persuade by tears/to use tears to get one's way/
泣き縋がる [なきすがる] /(v5r) to cling tearfully to another person/
泣き縋る [なきすがる] /(v5r) to cling tearfully to another person/
泣く [なく] /(v5k) to cry/to weep/to sob/to howl/(P)/
泣く泣く [なくなく] /(adv) tearfully/with (in) tears/weeping/crying/
泣く子と地頭には勝てぬ [なくことじとうにはかてぬ] /(exp) (id) you cannot win against someone who doesn't listen to reason (e.g. a crying child or a violent lord)/you can't fight City Hall/
泣ける [なける] /(v1,vi) to shed tears/to be moved to tears/
泣喚く [なきわめく] /(v5k) to bawl/to cry/to scream/
泣叫ぶ [なきさけぶ] /(v5b,vi) to cry and shout/to scream/
泣腫らす [なきはらす] /(v5s,vt) to weep one's eyes out/
泣出す [なきだす] /(v5s,vi) to burst into tears/to burst out crying/to begin to cry/to be moved to tears/
泣笑 [なきわらい] /(n,vs) smile while crying/
泣笑い [なきわらい] /(n,vs) smile while crying/
泣寝入り [なきねいり] /(n,vs) crying oneself to sleep/giving up in frustration/accepting meekly/being compelled to accept a situation/
泣訴 [きゅうそ] /(n,vs) imploring with tears in one's eyes/
泣虫 [なきむし] /(n) crybaby/blubberer/
泣沈む [なきしずむ] /(v5m,vi) to abandon oneself to grief/
泣潰す [なきつぶす] /(v5s) to cry one's eyes out/to weep oneself blind/
泣入る [なきいる] /(v5r,vi) (obsc) to burst into tears/to sob/to weep/
泣濡れる [なきぬれる] /(v1,vi) to be tear-stained/to have one's face covered with tears/
泣悲しむ [なきかなしむ] /(v5m) to wail/to cry over/to bewail/
泣付く [なきつく] /(v5k,vi) to cling to ... in tears/to beg ... in tears/to appeal/to throw oneself on someone's mercy/
泣伏す [なきふす] /(v5s,vi) to break down crying/
泣別れ [なきわかれ] /(exp) part in tears/come to grief/have to take a different tack/go separate ways/
泣暮す [なきくらす] /(v5s,vt) to spend one's days in tears and sorrow/
泣崩れる [なきくずれる] /(v1,vi) to break down crying/
泣明す [なきあかす] /(v5s,vt) to weep the night out/to weep all night/
泣落とす [なきおとす] /(v5s) to persuade by tears/to use tears to get one's way/
泣縋がる [なきすがる] /(v5r) to cling tearfully to another person/
泣縋る [なきすがる] /(v5r) to cling tearfully to another person/
灸 [きゅう] /(n) moxibustion/
灸 [やいと] /(n) moxibustion/
灸をすえる [きゅうをすえる] /(exp,v1) (1) to scold/to chastise/(2) to burn moxa on the skin/
灸を据える [きゅうをすえる] /(exp,v1) (1) to scold/to chastise/(2) to burn moxa on the skin/
灸羽田 [やいとはた] /(n) (uk) malabar grouper (Epinephelus malabaricus)/estuary cod/greasy cod/spotted river cod/estuary rock cod/
灸治 [きゅうじ] /(n,vs) treatment with moxa/
灸虫 [やいとむし] /(n) (uk) schizomid (any arachnid of order Schizomida)/
灸点 [きゅうてん] /(n,vs) moxa-treatment points/
球 [きゅう] /(n) (1) (math) sphere/(suf,ctr) (2) counter for balls (in baseball)/(P)/
球 [たま] /(n) (1) ball/sphere/globe/orb/(2) bead (of sweat, dew, etc.)/drop/droplet/(3) ball (in sports)/(4) pile (of noodles, etc.)/(5) bullet/(6) bulb (i.e. a light bulb)/(7) lens (of glasses, etc.)/(8) bead (of an abacus)/(9) (sl) (abbr) ball (i.e. a testicle)/(10) egg/(11) gem/jewel (esp. spherical; sometimes used figuratively)/pearl/(12) female entertainer (e.g. a geisha)/(13) (derog) person (when commenting on their nature)/character/(14) item, funds or person used as part of a plot/(n-suf) (15) coin/(16) precious/beautiful/excellent/
球威 [きゅうい] /(n) (pitcher's) stuff/(P)/
球威のある投球 [きゅういのあるとうきゅう] /(n) (baseball) powerful delivery/
球威の有る投球 [きゅういのあるとうきゅう] /(n) (baseball) powerful delivery/
球宴 [きゅうえん] /(n) baseball all-star game/
球界 [きゅうかい] /(n) the baseball world/(P)/
球戯 [きゅうぎ] /(n) billiards/
球技 [きゅうぎ] /(n) ball game (e.g. baseball, tennis, soccer)/(P)/
球菌 [きゅうきん] /(n,adj-no) coccus/(P)/
球形 [きゅうけい] /(n,adj-no) globular or spherical shape/
球形嚢 [きゅうけいのう] /(n) sacculus/saccule/
球茎 [きゅうけい] /(n) (plant) bulb/onion/
球茎甘藍 [きゅうけいかんらん] /(n) kohlrabi/
球根 [きゅうこん] /(n,adj-no) (plant) bulb/
球座標 [きゅうざひょう] /(n) spherical coordinates/
球種 [きゅうしゅ] /(n) variey of pitches (in baseball)/
球拾い [たまひろい] /(n) (1) fetching balls/(2) ball boy/
球乗り [たまのり] /(n) balancing on a ball/
球場 [きゅうじょう] /(n) baseball stadium/(P)/
球状 [きゅうじょう] /(n) (1) shape of a globe/globe shape/(adj-no) (2) spherical/
球状星団 [きゅうじょうせいだん] /(n) globular cluster/
球状船首 [きゅうじょうせんしゅ] /(n) bulbous bow (on a ship to reduce drag)/
球審 [きゅうしん] /(n) baseball chief umpire/
球速 [きゅうそく] /(n) speed of a pitched ball/(pitcher's) pace/
球体 [きゅうたい] /(n) sphere/globe/orb/
球団 [きゅうだん] /(n) baseball team/(P)/
球電 [きゅうでん] /(n) ball lightning/
球面 [きゅうめん] /(n) spherical surface/
球面幾何学 [きゅうめんきかがく] /(n) spherical geometry/
球面鏡 [きゅうめんきょう] /(n) spherical mirror/
球面三角法 [きゅうめんさんかくほう] /(n) spherical trigonometry/
究める [きわめる] /(v1,vt) (1) to carry to extremes/to go to the end of something/(2) to investigate thoroughly/to master/
究極 [きゅうきょく] /(n,adj-no) ultimate/extreme/final/eventual/(P)/
究極の浮力コントロール・ダイブ [きゅうきょくのふりょくコントロール・ダイブ] /(n) peak performance buoyancy dive/
究極の浮力コントロールダイブ [きゅうきょくのふりょくコントロールダイブ] /(n) peak performance buoyancy dive/
究極目的 [きゅうきょくもくてき] /(n) extreme purpose/
究極要因 [きゅうきょくよういん] /(n) final cause/
究明 [きゅうめい] /(n,vs) investigation (esp. in academic and scientific contexts)/(P)/
究理 [きゅうり] /(n,vs) study of natural laws/
究竟 [きゅうきょう] /(adv,adj-no,vs) (1) after all/in the end/finally/(adj-na,adj-no,n) (2) excellent/superb/handy/appropriate/ideal/(3) robust/brawny/muscular/strong/sturdy/
究竟 [くきょう] /(n,adj-no) (Buddh) culmination/conclusion/
究竟 [くっきょう] /(adv,adj-no,vs) (1) after all/in the end/finally/(adj-na,adj-no,n) (2) excellent/superb/handy/appropriate/ideal/(3) robust/brawny/muscular/strong/sturdy/
窮す [きゅうす] /(v5s,vi) (1) to be hard pressed/to be at a loss/(2) to become poor/to be reduced to poverty/
窮する [きゅうする] /(vs-s,vi) (1) to be hard pressed/to be at a loss/(2) to become poor/to be reduced to poverty/
窮すれば通ず [きゅうすればつうず] /(exp) Necessity is the mother of invention/There is always some way out of a difficulty if you really look for one/
窮まりない [きわまりない] /(adj-i) extremely/in the extreme/boundless/limitless/
窮まり無い [きわまりない] /(adj-i) extremely/in the extreme/boundless/limitless/
窮まる [きわまる] /(v5r,vi) to terminate/to reach an extreme/to take to the extreme/to be in a dilemma/to be at an end/
窮み [きわみ] /(n) height/acme/extremity/
窮み無き [きわみなき] /(n) without limit/endless/
窮める [きわめる] /(v1,vt) (1) to carry to extremes/to go to the end of something/(2) to investigate thoroughly/to master/
窮境 [きゅうきょう] /(n) predicament/
窮極 [きゅうきょく] /(n,adj-no) ultimate/extreme/final/eventual/
窮極目的 [きゅうきょくもくてき] /(n) extreme purpose/
窮屈 [きゅうくつ] /(adj-na,n) narrow/tight/stiff/rigid/uneasy/formal/constrained/(P)/
窮策 [きゅうさく] /(n) desperate measure/expedient of last resort/
窮死 [きゅうし] /(n,vs) dying in miserable circumstances/
窮状 [きゅうじょう] /(n) distress/wretched condition/(P)/
窮措大 [きゅうそだい] /(n) poor student (scholar)/
窮鼠 [きゅうそ] /(n) cornered rat or mouse/
窮鼠噛猫 [きゅうそごうびょう] /(exp) A cornered rat will bite the cat/One who is cornered will fight like a devil/
窮鼠猫を噛む [きゅうそねこをかむ] /(exp) (id) a cornered rat will bite a cat/despair turns cowards courageous/
窮地 [きゅうち] /(n) dilemma/predicament/(P)/
窮鳥 [きゅうちょう] /(n) cornered bird/
窮鳥懐に入れば猟師もこれを殺さず [きゅうちょうふところにいればりょうしもこれをころさず] /(exp) (obs) Even the hunter will refrain from killing the bird that has flown to him for shelter/
窮鳥懐に入れば猟師も殺さず [きゅうちょうふところにいればりょうしもころさず] /(exp) (obs) Even the hunter will refrain from killing the bird that has flown to him for shelter/
窮追 [きゅうつい] /(n,vs) cornered/driven to the wall/
窮迫 [きゅうはく] /(n,vs) financial difficulty/distress/
窮乏 [きゅうぼう] /(n,vs) poverty/(P)/
窮民 [きゅうみん] /(n) poor people/the poor/
窮余 [きゅうよ] /(n) extremity/desperation/
窮余の一策 [きゅうよのいっさく] /(n) desperate measure/last-ditch effort/
窮余の策 [きゅうよのさく] /(n) desperate measure/
笈 [おい] /(n) wooden box carried on one's back to store items for a pilgrimage/
笈摺 [おいずり] /(n) thin, sleeveless overgarment worn by pilgrims/
笈摺 [おいずる] /(n) thin, sleeveless overgarment worn by pilgrims/
級 [きゅう] /(n,n-suf) class, grade, rank/school class, grade/(P)/
級の木 [しなのき] /(n) (uk) Japanese linden (Tilia japonica)/
級数 [きゅうすう] /(n) (math) series/progression/
級長 [きゅうちょう] /(n) head of class/monitor/
級友 [きゅうゆう] /(n) classmate/
糾う [あざなう] /(v5u) to twist (something)/
糾す [ただす] /(v5s,vt) (uk) to ascertain/to confirm/to verify/to make sure of/
糾合 [きゅうごう] /(n,vs) rally/muster/(P)/
糾弾 [きゅうだん] /(n,vs) blame/(P)/
糾明 [きゅうめい] /(n,vs) searching examination/establishing the facts through thorough examination/
糾問 [きゅうもん] /(n,vs) inquiry/enquiry/
給 [きゅう] /(n) (obsc) wage/recompense/
給う [たまう] /(v5u) (1) (arch) to receive/(2) to grant/to bestow/to award/(3) (male) semi-polite or endearing auxiliary verb indicating reception by the speaker (suffixed to the -masu stem of another verb)/
給え [たまえ] /(aux-v) (uk) (male) please (imperative form of an auxiliary verb, suffixed to the -masu stem of another verb)/
給する [きゅうする] /(vs-s) to provide/to supply/to furnish/
給餌 [きゅうじ] /(n,vs) feeding (an animal)/
給気 [きゅうき] /(n) air supply/aeration/
給金 [きゅうきん] /(n) (one's) pay/wages/
給金相撲 [きゅうきんずもう] /(n) match that determines if a rikishi will have more wins than losses/
給血 [きゅうけつ] /(n,vs) donation of blood/
給源 [きゅうげん] /(n) supply source/
給仕 [きゅうじ] /(n,vs) (1) waiting on a table/serving (at dinner)/(n) (2) waiter/waitress/waitperson/server/cabin boy/bellboy/page/pageboy/(3) office boy/office girl/
給紙 [きゅうし] /(n) paper feeding (printing)/
給紙機 [きゅうしき] /(n) paper feeder (printing)/
給食 [きゅうしょく] /(n,vs) school lunch/providing a meal/(P)/
給食室 [きゅうしょくしつ] /(n) Japanese (school) lunchroom/Japanese (school) cafeteria/
給水 [きゅうすい] /(n,vs) water supply/(P)/
給水管 [きゅうすいかん] /(n) water pipe/
給水車 [きゅうすいしゃ] /(n) water wagon/water tender/
給水所 [きゅうすいじょ] /(n) water station/
給水制限 [きゅうすいせいげん] /(n) water supply restrictions/
給水栓 [きゅうすいせん] /(n) hydrant/tap/faucet/
給水船 [きゅうすいせん] /(n) water boat/boat transporting water/
給水塔 [きゅうすいとう] /(n) water tower/
給送 [きゅうそう] /(n) (comp) feed/
給電 [きゅうでん] /(n,vs) supplying electricity/
給電線 [きゅうでんせん] /(n) feeder/
給湯 [きゅうとう] /(n,vs) hot-water supply/
給湯器 [きゅうとうき] /(n) hot-water heater/
給排水 [きゅうはいすい] /(n,vs) water supply and drainage/
給費 [きゅうひ] /(n,vs) provision of expenses/scholarship/
給費生 [きゅうひせい] /(n) scholarship student/
給付 [きゅうふ] /(n,vs) (1) payment/provision/benefit/present/delivery/(2) performance/(P)/
給付金 [きゅうふきん] /(n) payment/
給油 [きゅうゆ] /(n,vs) supply of oil/(P)/
給油艦 [きゅうゆかん] /(n) tanker/military refueling vessel/
給油機 [きゅうゆき] /(n) aerial tanker/refueling aircraft/
給油口 [きゅうゆこう] /(n) fuel filler opening/tank pipe opening/
給油口のふた [きゅうゆこうのふた] /(n) petrol cap/
給油口の蓋 [きゅうゆこうのふた] /(n) petrol cap/
給油所 [きゅうゆしょ] /(n) petrol filling station/gasoline filling station/
給油所 [きゅうゆじょ] /(n) petrol filling station/gasoline filling station/(P)/
給油船 [きゅうゆせん] /(n) (oil) tanker/
給与 [きゅうよ] /(n,vs) pay/salary/wages/allowance/grant/supply/(P)/
給与所得 [きゅうよしょとく] /(n) earned income/
給与所得者 [きゅうよしょとくしゃ] /(n) salaried employee/
給与水準 [きゅうよすいじゅん] /(n) pay level/pay scale/
給与体系 [きゅうよたいけい] /(n) a wage structure/
給与明細 [きゅうよめいさい] /(n) payslip/
給養 [きゅうよう] /(n,vs) maintaining/supplying/
給料 [きゅうりょう] /(n) salary/wages/(P)/
給料支払小切手 [きゅうりょうしはらいこぎって] /(n) paycheck/
給料袋 [きゅうりょうぶくろ] /(n) pay envelope/
給料日 [きゅうりょうび] /(n) payday/
給料明細 [きゅうりょうめいさい] /(n) (abbr) payslip/
給料明細表 [きゅうりょうめいさいひょう] /(n) payslip/
旧 [きゅう] /(n,pref) ex-/former/old/(P)/
旧 [ふる] /(n) (1) used item/secondhand item/(n-pref) (2) old/used/previous/
旧 [もと] /(n,adj-no,n-adv,n-pref) former/ex-/
旧々しい [ふるぶるしい] /(adj-i) very old/
旧ＪＩＳ漢字コード [きゅうジェーアイエスかんじコード] /(n) (comp) old JIS kanji character code/
旧ＪＩＳ漢字コード [きゅうジスかんじコード] /(n) (comp) old JIS kanji character code/
旧い [ふるい] /(adj-i) old (not person)/aged/ancient/antiquated/stale/threadbare/outmoded/obsolete article/
旧ソ連 [きゅうソれん] /(n) former Soviet Union/
旧ソ連圏 [きゅうソれんけん] /(n) former Soviet bloc/
旧ソ連圏諸国 [きゅうソれんけんしょこく] /(n) member states of the former Soviet bloc/
旧バージョン [きゅうバージョン] /(n) (comp) old version/previous version/
旧悪 [きゅうあく] /(n) past misdeeds/old crimes/
旧衣 [きゅうい] /(n) worn-out clothes/
旧詠 [きゅうえい] /(n) ancient poems/ancient songs/
旧怨 [きゅうえん] /(n) old grudge/
旧縁 [きゅうえん] /(n) old relationship/old acquaintance/
旧恩 [きゅうおん] /(n) old favors/old favours/
旧仮名遣 [きゅうかなづかい] /(n) former (i.e. before the post-WWII reforms) kana usage in writing the yomikata of kanji/
旧仮名遣い [きゅうかなづかい] /(n) former (i.e. before the post-WWII reforms) kana usage in writing the yomikata of kanji/
旧仮名使い [きゅうかなづかい] /(n) former (i.e. before the post-WWII reforms) kana usage in writing the yomikata of kanji/
旧家 [きゅうか] /(n) old family/
旧懐 [きゅうかい] /(n) love of antiquity/
旧株 [きゅうかぶ] /(n) old stock (in a firm)/
旧刊 [きゅうかん] /(n) back number/old edition/
旧勘定 [きゅうかんじょう] /(n) old account/
旧官 [きゅうかん] /(n) former government official/
旧慣 [きゅうかん] /(n) old customs/
旧歓 [きゅうかん] /(n) old joy/
旧漢字 [きゅうかんじ] /(n) old-style kanji/
旧観 [きゅうかん] /(n) former state/former appearance/
旧館 [きゅうかん] /(n) old (older) building/
旧規 [きゅうき] /(n) old regulations/
旧記 [きゅうき] /(n) old chronicle/old record/
旧儀 [きゅうぎ] /(n) traditional ceremony/
旧誼 [きゅうぎ] /(n) old friendship/
旧旧しい [ふるぶるしい] /(adj-i) very old/
旧居 [きゅうきょ] /(n) former residence/
旧教 [きゅうきょう] /(n) (Roman) Catholicism/
旧教徒 [きゅうきょうと] /(n) (Roman) Catholic/
旧軍人 [きゅうぐんじん] /(n) ex-soldier/
旧型 [きゅうがた] /(n) old style/old type/
旧型 [きゅうけい] /(n) old style/old type/
旧形式 [きゅうけいしき] /(n) old-structure form/
旧劇 [きゅうげき] /(n) classical drama/
旧憲法 [きゅうけんぽう] /(n) (abbr) Meiji Constitution (Constitution of the Empire of Japan)/Former Japanese Constitution/
旧故 [きゅうこ] /(n) antiquity/old acquaintance/
旧交 [きゅうこう] /(n) old friendship/
旧交を温める [きゅうこうをあたためる] /(exp,v1) to renew old friendship/
旧口動物 [きゅうこうどうぶつ] /(n) protostome/
旧好 [きゅうこう] /(n) old friendship/
旧稿 [きゅうこう] /(n) old manuscript/
旧号 [きゅうごう] /(n) old name/back number/
旧国 [きゅうこく] /(n) ancient nation/
旧国名 [きゅうこくめい] /(n) name of an ancient country/
旧婚旅行 [きゅうこんりょこう] /(n) second honeymoon/
旧恨 [きゅうこん] /(n) old grudge/
旧債 [きゅうさい] /(n) old debt/
旧妻 [きゅうさい] /(n) former wife/
旧作 [きゅうさく] /(n) one's old publication/
旧市 [きゅうし] /(n) (abbr) old town/former town/
旧市街 [きゅうしがい] /(n) the old town/
旧師 [きゅうし] /(n) one's old teacher/one's old master/
旧思想 [きゅうしそう] /(n) old-fashioned idea/
旧詩 [きゅうし] /(n) (obsc) old poem/
旧事 [きゅうじ] /(n) past events/bygones/
旧事 [くじ] /(n) past events/bygones/
旧字 [きゅうじ] /(n) old characters/
旧字体 [きゅうじたい] /(n) old character form/
旧時 [きゅうじ] /(n-adv,n-t) ancient times/
旧式 [きゅうしき] /(adj-na,adj-no) old type/old style/(P)/
旧識 [きゅうしき] /(n) old friend/
旧主 [きゅうしゅ] /(n) former lord/
旧主人 [きゅうしゅじん] /(n) former lord/
旧習 [きゅうしゅう] /(n) old customs/
旧称 [きゅうしょう] /(n) old name/former title/
旧章 [きゅうしょう] /(n) ancient laws/
旧情 [きゅうじょう] /(exp) old friendship/old love/old acquaintance/reawakened feeling, emotion, passion, sentiment, etc./
旧情報 [きゅうじょうほう] /(n) old information/given information/
旧新約聖書 [きゅうしんやくせいしょ] /(n) Old and New Testaments/
旧新約全書 [きゅうしんやくぜんしょ] /(n) Old and New Testaments/
旧臣 [きゅうしん] /(n) old retainer/
旧人 [きゅうじん] /(n,adj-no) paleoanthropic man (e.g. Neanderthal)/
旧人 [ふるびと] /(n) the deceased/old friend/
旧世界 [きゅうせかい] /(n) the old world/
旧世界猿 [きゅうせかいざる] /(n) (obsc) Old World monkey (any monkey of family Cercopithecidae)/
旧制 [きゅうせい] /(n) old system/old order/(P)/
旧制度 [きゅうせいど] /(n) old system/old order/
旧姓 [きゅうせい] /(n) one's former (maiden) name/(P)/
旧棲 [きゅうせい] /(n) old home/former home/old nest/
旧栖 [きゅうせい] /(n) old home/former home/old nest/
旧正月 [きゅうしょうがつ] /(n) lunisolar New Year/Chinese New Year/Vietnamese Tet/(P)/
旧製 [きゅうせい] /(n) former manufacture/former make/
旧石器 [きゅうせっき] /(n) paleolith/
旧石器時代 [きゅうせっきじだい] /(n) old stone age/paleolithic/
旧跡 [きゅうせき] /(n) historic spot/historic remains/ruins/
旧跡 [ふるあと] /(n) historic spot/historic remains/ruins/
旧蹟 [きゅうせき] /(n) historic spot/historic remains/ruins/
旧蹟 [ふるあと] /(n) historic spot/historic remains/ruins/
旧説 [きゅうせつ] /(n) old theory/ancient ideas/
旧蔵 [きゅうぞう] /(n,vs) one's old possessions/
旧俗 [きゅうぞく] /(n) old customs/
旧族 [きゅうぞく] /(n) ancient clan/
旧村 [きゅうそん] /(n) old village/
旧体制 [きゅうたいせい] /(n) old regime/
旧態 [きゅうたい] /(n) old state of affairs/(P)/
旧態依然 [きゅうたいいぜん] /(uK) (adj-na,adj-no,adj-t,adv-to,n) remaining unchanged (from the old state of things)/none the better for the change (if at all)/
旧大陸 [きゅうたいりく] /(n) the Old World/
旧宅 [きゅうたく] /(n) former residence/
旧知 [きゅうち] /(n) old friend/old friendship/
旧地 [きゅうち] /(n) former property/former territory/
旧敵 [きゅうてき] /(n) old enemy/
旧典 [きゅうてん] /(n) tradition/classic/
旧渡辺派 [きゅうわたなべは] /(n) Former Watanabe Faction (of the LDP)/
旧都 [きゅうと] /(n) the old capital/
旧土 [きゅうど] /(n) former property or territory/
旧冬 [きゅうとう] /(n-adv,n-t) former winters/the last winter/
旧套 [きゅうとう] /(n) conventionalism/old style/
旧套墨守 [きゅうとうぼくしゅ] /(n,vs) clinging to old customs/adhering to old traditions/
旧道 [きゅうどう] /(n) old road/
旧熱帯区 [きゅうねったいく] /(n,adj-no) Paleotropical (region)/
旧年 [きゅうねん] /(n-adv,n-t) the old year/last year/
旧年 [ふるとし] /(n-adv,n-t) the old year/last year/
旧年末 [きゅうねんまつ] /(n) end of last year/
旧波 [きゅうは] /(n) old school/old style/conservative people/
旧派 [きゅうは] /(n,adj-no) old school/old style/(P)/
旧版 [きゅうはん] /(n) old edition/
旧版 [きゅうばん] /(n) old edition/
旧藩 [きゅうはん] /(n) former clan/former fief/
旧藩主 [きゅうはんしゅ] /(n) former feudal lord/
旧盤 [きゅうばん] /(n) old bowl (platter)/old (musical) recording/
旧彼女 [きゅうかのじょ] /(n) ex-girlfriend/old girlfriend/
旧皮質 [きゅうひしつ] /(n) archicortex/archipallium/
旧夫 [きゅうふ] /(n) former husband/
旧婦 [きゅうふ] /(n) former wife/
旧封 [きゅうほう] /(n) former fief/
旧風 [きゅうふう] /(n) old customs/
旧物 [きゅうぶつ] /(n) old things/ancient things/
旧聞 [きゅうぶん] /(n) old news/
旧幣 [きゅうへい] /(n,adj-na) old-fashioned ways/fogyism/
旧弊 [きゅうへい] /(adj-na,n,adj-no) old-fashioned/conservatism/standing evil/the old school/antiquated/
旧弊打破 [きゅうへいだは] /(n) breaking down antiquated notions/abandoning old-time ways/correcting long- standing abuses/
旧法 [きゅうほう] /(n) old law/old method/
旧邦 [きゅうほう] /(n) old country/
旧北区 [きゅうほっく] /(n) Palearctic (region)/Palaearctic/
旧盆 [きゅうぼん] /(n) Bon Festival of the lunar calendar/
旧幕 [きゅうばく] /(n) the old feudal government/shogunate/
旧幕時代 [きゅうばくじだい] /(n) the shogunate period/the days of the shogunate regime/
旧夢 [きゅうむ] /(n) ancient dream/fleeting thing/
旧名 [きゅうめい] /(n) former name/maiden name/
旧約 [きゅうやく] /(n) (1) old promise/old agreement/old covenant/(2) (abbr) Old Testament/(P)/
旧約聖書 [きゅうやくせいしょ] /(n) Old Testament/
旧約全書 [きゅうやくぜんしょ] /(n) Old Testament/
旧訳 [きゅうやく] /(n) (1) old translation/(2) (Buddh) pre-Xuanzang Chinese translation (esp. 5th-mid 7th century)/
旧訳 [くやく] /(n) (1) old translation/(2) (Buddh) pre-Xuanzang Chinese translation (esp. 5th-mid 7th century)/
旧友 [きゅうゆう] /(n) crony/old friend/
旧遊の地 [きゅうゆうのち] /(n) familiar haunts/
旧来 [きゅうらい] /(adj-no,n-adv,n-t) traditional/from ancient times/formerly/(P)/
旧里 [きゅうり] /(n) home town/birthplace/old village/historic village/native place/one's old home/
旧里 [ふるさと] /(n) home town/birthplace/old village/historic village/native place/one's old home/
旧流 [きゅうりゅう] /(n) old current/old style/
旧領 [きゅうりょう] /(n) old fief/
旧例 [きゅうれい] /(n) old custom/tradition/
旧暦 [きゅうれき] /(n) Japan's old (lunisolar) calendar/(P)/
旧址 [きゅうし] /(n) historic ruins/
旧墟 [きゅうきょ] /(n) ruins remains/
旧痾 [きゅうあ] /(n) persistent disease/
旧臘 [きゅうろう] /(n-adv,n-t) last December/end of last year/
旧趾 [きゅうし] /(n) ruins/historic site/
牛 [うし] /(n) (1) cattle/cow/ox/oxen/(2) beef/(P)/
牛 [ぎゅう] /(n) (1) cattle/cow/ox/oxen/(2) beef/(3) Chinese "Ox" constellation (one of the 28 mansions)/
牛の鞄 [ぎゅうのかばん] /(n) cowhide bag/
牛の舌 [うしのした] /(n) (1) (uk) cow's tongue/(2) sole (any flatfish of suborder Soleoidei, esp. the tonguefishes of family Cynoglossidae or true soles of family Soleidae)/
牛の歩み [うしのあゆみ] /(n) snail's pace/
牛の毛草 [うしのけぐさ] /(n) (uk) sheep's fescue (Festuca ovina)/
牛ふん [ぎゅうふん] /(n) cattle manure/cow dung/cowpat/bullshit/
牛タン [ぎゅうタン] /(n) beef tongue (a specialty of Sendai)/ox tongue/
牛ロースステーキ [ぎゅうロースステーキ] /(n) beef loin steak/
牛虻 [うしあぶ] /(n) (uk) Tabanus trigonus (species of horsefly)/
牛飲馬食 [ぎゅういんばしょく] /(n,vs) heavy eating and drinking/gorging and swilling/drinking like a cow and eating like a horse/
牛疫 [ぎゅうえき] /(n) cattle plague/
牛黄 [ごおう] /(n) Oriental bezoar/
牛屋 [うしや] /(n) (1) cowshed/(2) cow farmer/(3) restaurant specializing in beef dishes/(4) store (butcher, etc.) that sells beef/
牛屋 [ぎゅうや] /(n) (1) cowshed/(2) cow farmer/(3) restaurant specializing in beef dishes/(4) store (butcher, etc.) that sells beef/
牛海綿状脳症 [うしかいめんじょうのうしょう] /(n) bovine spongiform encephalopathy/BSE/mad cow disease/
牛海老 [うしえび] /(n) (uk) giant tiger prawn (Penaeus monodon)/black tiger prawn/
牛蛙 [うしがえる] /(n) (uk) American bullfrog (Lithobates catesbeianus)/
牛角 [ぎゅうかく] /(n) horns/
牛革 [ぎゅうかわ] /(n) cowhide/oxhide/
牛缶 [ぎゅうかん] /(n) canned beef/
牛鬼蛇神 [ぎゅうきだしん] /(n,adj-no) wicked and perverse/weird and incoherent/
牛後 [ぎゅうご] /(n) rump of cattle/
牛殺し [うしころし] /(n) Oriental photinia (species of shrub, Photinia villosa)/
牛鮫 [うしざめ] /(n) (uk) bull shark (Carcharhinus leucas)/
牛刺 [ぎゅうさし] /(n) sliced raw beef/
牛脂 [ぎゅうし] /(n) beef tallow/
牛飼い [うしかい] /(n) cattleman/raising cattle/
牛飼座 [うしかいざ] /(n) Bootes/the Herdsman (constellation)/
牛耳 [ぎゅうじ] /(n) ears of an ox/
牛耳る [ぎゅうじる] /(v5r,vt) to control/to take the lead in/to have under one's thumb/
牛耳を執る [ぎゅうじをとる] /(exp,v5r) to take the lead in/to control/to be the leader/
牛舎 [ぎゅうしゃ] /(n) cow shed/cattle barn/(P)/
牛車 [うしぐるま] /(n) ox carriage (for Heian era nobles)/oxcart/
牛車 [ぎっしゃ] /(n) ox carriage (for Heian era nobles)/oxcart/
牛車 [ぎゅうしゃ] /(n) ox carriage (for Heian era nobles)/oxcart/
牛宿 [いなみぼし] /(n) Chinese "Ox" constellation (one of the 28 mansions)/
牛商人 [うしあきゅうど] /(n) (obsc) ox seller/ox vendor/
牛小屋 [うしごや] /(n) cow shed/cattle barn/
牛製品 [ぎゅうせいひん] /(n) beef products/
牛舌魚 [うしのした] /(n) (1) (uk) cow's tongue/(2) sole (any flatfish of suborder Soleoidei, esp. the tonguefishes of family Cynoglossidae or true soles of family Soleidae)/
牛追い [うしおい] /(n) (1) cattle droving/(2) drover/cowpoke/cowpuncher/
牛刀 [ぎゅうとう] /(n) meat cleaver/
牛痘 [ぎゅうとう] /(n) cow pox/vaccinia/
牛頭天王 [ごずてんのう] /(n) (Buddh) Gozu Tenno (deity said to be the Indian god Gavagriva)/
牛頭馬頭 [ごずめず] /(n) horse-headed and ox-headed demons in the Buddhist hell/
牛突 [うしつつき] /(n) (uk) oxpecker/
牛鍋 [ぎゅうなべ] /(n) thin slices of beef, cooked with various vegetables in a table-top cast-iron pan/sukiyaki/
牛鍋屋 [ぎゅうなべや] /(n) beef-hotpot restaurant/
牛肉 [ぎゅうにく] /(n,adj-no) beef/(P)/
牛肉屋 [ぎゅうにくや] /(n) (1) butcher specializing in beef/dealer in beef/(2) beef-hotpot restaurant/
牛乳 [ぎゅうにゅう] /(n) (cow's) milk/(P)/
牛乳屋 [ぎゅうにゅうや] /(n) dairy/milkman/
牛乳計 [ぎゅうにゅうけい] /(n) milk meter/
牛馬 [ぎゅうば] /(n) horses and cattle/
牛皮 [ぎゅうかわ] /(n) cowhide/oxhide/
牛皮 [ぎゅうひ] /(n) cowhide/oxhide/
牛尾魚 [こち] /(n) (uk) flathead (esp. the bartailed flathead, Platycephalus indicus)/
牛膝 [いのこずち] /(n) Japanese chaff flower (Achyranthes japonica)/
牛糞 [ぎゅうふん] /(n) cattle manure/cow dung/cowpat/bullshit/
牛偏 [うしへん] /(n) kanji "cow" radical at left/
牛歩 [ぎゅうほ] /(n) snail's pace/slow progress/(P)/
牛歩戦術 [ぎゅうほせんじゅつ] /(n) snail's pace tactics/walking slowly when voting in the Diet to delay proceedings/
牛酪 [ぎゅうらく] /(n) butter/
牛丼 [ぎゅうどん] /(n) rice covered with beef and vegetables/(P)/
牛氈鹿 [うしかもしか] /(n) gnu/wildebeest/
牛羚羊 [うしかもしか] /(n) gnu/wildebeest/
牛蒡 [うまふぶき] /(ok) (n) (uk) great burdock (Arctium lappa)/
牛蒡 [ごぼう] /(n) (uk) great burdock (Arctium lappa)/
牛蒡 [ごんぼ] /(n) (uk) great burdock (Arctium lappa)/
牛蠅 [うしばえ] /(n) (uk) ox warble fly (Hypoderma bovis)/
去なす [いなす] /(v5s,vt) to parry/to sidestep/to let go/to chase away/
去ぬ [いぬ] /(v5n) (1) (arch) to go/(2) to pass (of time)/(3) to die/(4) to go bad/to rot/(5) (ksb:) to go home/
去られん坊 [さられんぼう] /(n) divorcing woman/
去り行く [さりいく] /(v5k-s) to part/
去る [さる] /(v5r,vi) (1) to leave/to go away/(2) to pass/to elapse/(3) to be distant/(v5r,vt) (4) to send away/to drive off/to divorce/(suf,v5r) (5) (after a -masu stem, esp. of a suru verb) ... completely/(adj-pn) (6) last ... (e.g. "last April")/(P)/
去る者は追わず [さるものはおわず] /(exp) (id) Not worth pursuing those who run away/
去る者は追わず来たる者は拒まず [さるものはおわずきたるものはこばまず] /(exp) do not chase one who leaves, do not reject one who comes/
去る者は日々に疎し [さるものはひびにうとし] /(exp) Out of sight, out of mind/
去る者追わず [さるものおわず] /(exp) (id) do not chase the one who leaves (Confucius)/
去る者日日に疎し [さるものひびにうとし] /(exp) (id) Out of sight, out of mind/
去る十一月 [さるじゅういちがつ] /(n) last November/
去んぬる [さんぬる] /(adj-pn) (arch) last ... (e.g. "last April")/
去月 [きょげつ] /(n-adv,n-t) last month/
去校 [きょこう] /(n,vs) leaving school (due to transfer)/
去就 [きょしゅう] /(n,vs) committing one's self/(P)/
去勢 [きょせい] /(n,vs) castration/enervation/
去勢コンプレックス [きょせいコンプレックス] /(n) castration complex/
去勢牛 [きょせいうし] /(n) bullock/
去勢手術 [きょせいしゅじゅつ] /(n) castration (operation)/
去勢不安 [きょせいふあん] /(n) castration anxiety/
去声 [きょしょう] /(n) falling tone (in Chinese)/
去声 [きょせい] /(n) falling tone (in Chinese)/
去年 [きょねん] /(n-adv,n-t) last year/(P)/
去年 [こぞ] /(ok) (n-adv,n-t) last year/
去年末 [きょねんまつ] /(n) end of last year/
去来 [きょらい] /(n,vs) coming and going/recurring (esp. thoughts)/(P)/
去痰 [きょたん] /(n,adj-no) expectoration/
去痰薬 [きょたんやく] /(n) expectorant/
居 [い] /(n-suf,n-pref,n) (1) being (somewhere)/(2) sitting/
居 [きょ] /(n) residence/
居あわせる [いあわせる] /(v1,vi) to happen to be present/
居え風呂 [すえふろ] /(n) deep bathtub with a water-heating tank/bathtub heated from below/
居たたまらない [いたたまらない] /(exp,adj-i) unable to stay (on)/unable to endure being somewhere a second longer/feel like running away/
居たたまれない [いたたまれない] /(exp,adj-i) unable to stay (on)/unable to endure being somewhere a second longer/feel like running away/
居た堪らない [いたたまらない] /(exp,adj-i) unable to stay (on)/unable to endure being somewhere a second longer/feel like running away/
居た堪れない [いたたまれない] /(exp,adj-i) unable to stay (on)/unable to endure being somewhere a second longer/feel like running away/
居づらい [いづらい] /(adj-i) difficult to be (in a place)/not feeling like staying/
居ても立ってもいられない [いてもたってもいられない] /(exp) (uk) unable to contain oneself/itching to do something/cannot sit still/
居ても立っても居られない [いてもたってもいられない] /(exp) (uk) unable to contain oneself/itching to do something/cannot sit still/
居どこ [いどこ] /(n) (1) whereabouts/address/
居ながらにして [いながらにして] /(exp) from one's seat/without stirring/
居もしない [いもしない] /(adj-i) (1) (uk) invisible/unseen/(2) vague/mysterious/(3) imaginary/
居り所 [おりどころ] /(n) (arch) whereabouts/
居る [いる] /(v1,vi) (1) (uk) to be (of animate objects)/to exist/(2) to stay/(v1,aux-v) (3) (after the -te form of a verb) verb indicating continuing action or state (i.e. to be ..ing, to have been ..ing)/(P)/
居る [おる] /(v5r,vi) (1) (uk) (hum) to be (animate)/to be/to exist/(v5r,aux-v) (2) (after the -te form of a verb) verb indicating continuing action or state (i.e. to be ..ing)/(3) (after -masu base of verb) indicates contempt or disdain for another's actions/(P)/
居を構える [きょをかまえる] /(exp,v1) to take up one's residence/
居グセ [いグセ] /(n) aural highlight of a noh play in which the main actor remains seated/
居間 [いま] /(n) living room (western style)/(P)/
居間兼食堂 [いまけんしょくどう] /(n) living room-cum-dining room/
居間兼寝室 [いまけんしんしつ] /(n) living room and bedroom/bed-sitter/
居曲 [いぐせ] /(n) aural highlight of a noh play in which the main actor remains seated/
居候 [いそうろう] /(n,vs) lodger who pays nothing for room and board/freeloader/sponger/(P)/
居候生活 [いそうろうせいかつ] /(n) living in another person's house without paying for food and lodging/sponging on other people for accommodation/
居候蜘蛛 [いそうろうぐも] /(n) (uk) dewdrop spider (any spider of genus Argyrodes)/
居高 [いたか] /(adj-na,n) (arch) arrogant/
居合 [いあい] /(n) iai/art of drawing one's sword, cutting down one's opponent and sheathing the sword afterwards/
居合い [いあい] /(n) iai/art of drawing one's sword, cutting down one's opponent and sheathing the sword afterwards/
居合い抜き [いあいぬき] /(n) (1) iai/art of drawing one's sword, cutting down one's opponent and sheathing the sword afterwards/(2) iai sword-drawing performance (used during the Edo period to sell medicine and other wares)/
居合せる [いあわせる] /(v1,vi) to happen to be present/
居合わせる [いあわせる] /(v1,vi) to happen to be present/(P)/
居合刀 [いあいがたな] /(n) (MA) practice sword used in iaido/
居合道 [いあいどう] /(n) iaido (art of drawing the Japanese sword)/
居合抜 [いあいぬき] /(io) (n) (1) iai/art of drawing one's sword, cutting down one's opponent and sheathing the sword afterwards/(2) iai sword-drawing performance (used during the Edo period to sell medicine and other wares)/
居合抜き [いあいぬき] /(n) (1) iai/art of drawing one's sword, cutting down one's opponent and sheathing the sword afterwards/(2) iai sword-drawing performance (used during the Edo period to sell medicine and other wares)/
居座り [いすわり] /(n) remaining/
居座る [いすわる] /(v5r,vi) to remain/to stay (somewhere)/
居催促 [いざいそく] /(n,vs) refusal to leave/
居残り [いのこり] /(n,vs) (1) working overtime/(2) detention/being kept in (e.g. after school)/
居残り手当 [いのこりてあて] /(n) overtime pay/
居残り手当て [いのこりてあて] /(n) overtime pay/
居残る [いのこる] /(v5r,vi) to stay behind/to remain/to work overtime/
居士 [こじ] /(n) (1) (Buddh) grhapati (layman; sometimes used as a posthumous suffix)/(2) private-sector scholar/
居室 [きょしつ] /(n) living room/(P)/
居酒や [いざかや] /(n) bar/pub/tavern/
居酒屋 [いざかや] /(n) bar/pub/tavern/(P)/
居住 [きょじゅう] /(n,vs,adj-no) residence/(P)/
居住い [いずまい] /(n) one's seated posture/
居住まい [いずまい] /(n) one's seated posture/
居住許可 [きょじゅうきょか] /(n) (abbr) residence permit/
居住許可書 [きょじゅうきょかしょ] /(n) residence permit/
居住区 [きょじゅうく] /(n) residential area/quarter/neighbourhood/neighborhood/
居住権 [きょじゅうけん] /(n) right of residence (i.e. right to go on leasing a house, etc.)/
居住者 [きょじゅうしゃ] /(n) resident/inhabitant/(P)/
居住証明書 [きょじゅうしょうめいしょ] /(n) certificate of residence/
居住水準 [きょじゅうすいじゅん] /(n) housing standards/
居住性 [きょじゅうせい] /(n) liveability/livability/
居住地 [きょじゅうち] /(n) residence/address/
居住地区 [きょじゅうちく] /(n) residential area/quarter/neighbourhood/neighborhood/
居処 [いど] /(n) (1) (arch) one's seat/(2) (arch) buttocks/
居処 [きょしょ] /(n) (1) whereabouts/address/(2) place of temporary residence/
居所 [いどこ] /(n) (1) whereabouts/address/
居所 [いどころ] /(n) (1) whereabouts/address/
居所 [きょしょ] /(n) (1) whereabouts/address/(2) place of temporary residence/
居丈高 [いたけだか] /(adj-na,n) high-handed/overbearing/
居城 [きょじょう] /(n) castle of a daimyo/castle of feudal lord/
居場所 [いばしょ] /(n) whereabouts/place/location/(P)/
居常 [きょじょう] /(n-adv,n-t) daily life/
居食い [いぐい] /(n,vs) living in idleness/
居心地 [いごこち] /(n) comfort/(P)/
居心地いい [いごこちいい] /(adj-i) comfortable (to live in)/snug/cozy/cosy/
居心地がいい [いごこちがいい] /(exp,adj-i) comfortable (to live in)/snug/cosy/cozy/
居心地がよい [いごこちがよい] /(exp,adj-i) comfortable (to live in)/snug/cosy/cozy/
居心地が悪い [いごこちがわるい] /(adj-i) uncomfortable/ill at ease/not feel at home/
居心地が良い [いごこちがいい] /(exp,adj-i) comfortable (to live in)/snug/cosy/cozy/
居心地が良い [いごこちがよい] /(exp,adj-i) comfortable (to live in)/snug/cosy/cozy/
居心地のいい [いごこちのいい] /(adj-i) comfortable (to live in)/snug/cozy/cosy/
居心地のよい [いごこちのよい] /(adj-i) comfortable (to live in)/snug/cozy/cosy/
居心地の良い [いごこちのいい] /(adj-i) comfortable (to live in)/snug/cozy/cosy/
居心地の良い [いごこちのよい] /(adj-i) comfortable (to live in)/snug/cozy/cosy/
居心地よい [いごこちよい] /(adj-i) comfortable (to live in)/snug/cozy/cosy/
居心地良い [いごこちいい] /(adj-i) comfortable (to live in)/snug/cozy/cosy/
居心地良い [いごこちよい] /(adj-i) comfortable (to live in)/snug/cozy/cosy/
居辛い [いづらい] /(adj-i) difficult to be (in a place)/not feeling like staying/
居据わる [いすわる] /(v5r,vi) to remain/to stay (somewhere)/
居然 [きょぜん] /(adj-t,adv-to) calm or at rest/having nothing to do/still/
居続ける [いつづける] /(v1) to stay on (e.g. at one's friends house)/to remain in the same neighborhood/
居待ち [いまち] /(n) sitting while waiting/(according to the lunar calendar) an eighteen-day-old moon/
居宅 [きょたく] /(n) residence/dwelling/home/
居着く [いつく] /(v5k,vi) to settle down/
居中調停 [きょちゅうちょうてい] /(n) mediation/
居直り強盗 [いなおりごうとう] /(n) thief who threatens violence when detected/
居直る [いなおる] /(v5r,vi) (1) to sit up properly straight/(2) to become aggressive/
居乍ら [いながら] /(adv) from where one sits/while sitting by/
居抜き [いぬき] /(n) going concern/stocks and all/goods and furniture included/
居反り [いぞり] /(n) backwards body drop (sumo)/
居敷 [いしき] /(n) kimono seat lining/
居風呂 [すえふろ] /(n) deep bathtub with a water-heating tank/bathtub heated from below/
居並ぶ [いならぶ] /(v5b,vi) to sit in a row/to be arrayed/
居眠り [いねむり] /(n,vs) dozing/nodding off/(P)/
居眠り運転 [いねむりうんてん] /(n) falling asleep at the wheel/
居木 [いぎ] /(n) bars (of a saddle tree)/
居留 [きょりゅう] /(n,vs) residence/reside/
居留区 [きょりゅうく] /(n) population centre/
居留守 [いるす] /(n) pretending to be out/
居留守を使う [いるすをつかう] /(exp,v5u) to pretend to be out/
居留地 [きょりゅうち] /(n) (1) foreign settlement/concession/(2) reservation (e.g. American Indian)/
居留民 [きょりゅうみん] /(n) a resident/
居炉裏 [いろり] /(n) sunken hearth/sunken fireplace/
巨いなる [おおいなる] /(adj-pn) big/large/great/
巨かい [きょかい] /(n) ringleader/chief/
巨なる [おおいなる] /(adj-pn) big/large/great/
巨悪 [きょあく] /(n) great evil/consummate villain/
巨億 [きょおく] /(n) millions/vast fortune/
巨魁 [きょかい] /(n) ringleader/chief/
巨蟹宮 [きょかいきゅう] /(n) Cancer (4th zodiacal sign)/the Crab/
巨額 [きょがく] /(adj-na,n,adj-no) great sum/(P)/
巨漢 [きょかん] /(n) giant/(P)/
巨艦 [きょかん] /(n) large warship/
巨岩 [きょがん] /(n) huge rock/crag/
巨躯 [きょく] /(n) big frame/
巨鯨 [きょげい] /(n) huge whale/
巨口 [きょこう] /(n) big mouth/
巨根 [きょこん] /(n,adj-no) (sl) (vulg) large penis (lit: giant root)/
巨細 [きょさい] /(adj-na,n) large and small matters/particulars/details/greatness and smallness/circumstances/
巨細 [こさい] /(adj-na,n) large and small matters/particulars/details/greatness and smallness/circumstances/
巨材 [きょざい] /(n) big timber/big caliber (man) (calibre)/
巨財 [きょざい] /(n) huge fortune/
巨視的 [きょしてき] /(adj-na,n) macroscopic/(P)/
巨資 [きょし] /(n) large capital/enormous fund/
巨樹 [きょじゅ] /(n) giant tree/
巨獣 [きょじゅう] /(n) large animal/
巨匠 [きょしょう] /(n) master/masterhand/maestro/(P)/
巨商 [きょしょう] /(n) wealthy merchant/
巨松 [きょしょう] /(n) (obsc) big pine tree/
巨象 [きょぞう] /(n) gigantic elephant/
巨鐘 [おおがね] /(n) large hanging bell/
巨人 [きょじん] /(n) (1) giant/great man/(2) (abbr) Tokyo Giants (baseball team)/(P)/
巨人軍 [きょじんぐん] /(n) Giants (Japanese baseball team)/
巨人国 [きょじんこく] /(n) land of giants/
巨人党 [きょじんとう] /(n) Giants fan/
巨帥 [きょすい] /(n) chief of bandits/
巨星 [きょせい] /(n) giant star/great man/big-shot/(P)/
巨星墜つ [きょせいおつ] /(exp,v5t) death of a great man/the fall of a great star/
巨石 [きょせき] /(n,adj-no) megalith/
巨石記念物 [きょせききねんぶつ] /(n) megalith/
巨船 [きょせん] /(n) ocean liner/
巨像 [きょぞう] /(n) huge image/
巨賊 [きょぞく] /(n) big-time bandit/big-time pirate/
巨体 [きょたい] /(n) large build/(P)/
巨大 [きょだい] /(adj-na,n) huge/gigantic/enormous/(P)/
巨大な額 [きょだいながく] /(n) colossal amount/
巨大企業 [きょだいきぎょう] /(n) corporate giant/
巨大銀行 [きょだいぎんこう] /(n) megabank/
巨大症 [きょだいしょう] /(n) gigantism/
巨大地震 [きょだいじしん] /(n) giant earthquake/massive earthquake/
巨大複合企業 [きょだいふくごうきぎょう] /(n) large conglomerate/large group of related companies/
巨大分子 [きょだいぶんし] /(n) macromolecule/
巨弾 [きょだん] /(n) huge projectile/
巨盗 [きょとう] /(n) big-time robber/
巨頭 [おおあたま] /(n) large head/person with a large head/
巨頭 [きょとう] /(n,adj-no) (1) leader/magnate/(2) big head/
巨頭鯨 [ごんどうくじら] /(n) (uk) larger whales of family Delphinidae (esp. the pilot whales or blackfish)/
巨乳 [きょにゅう] /(n,adj-no) huge breasts/
巨波 [きょは] /(n) billow/large wave/
巨舶 [きょはく] /(n) ocean liner/
巨費 [きょひ] /(n) great cost/
巨富 [きょふ] /(n) great riches/
巨篇 [きょへん] /(n) great (literary) work/long novel or film/
巨編 [きょへん] /(n) great (literary) work/long novel or film/
巨歩 [きょほ] /(n) long strides/
巨峰 [きょほう] /(n) (1) gigantic peak/(2) Kyoho grape/
巨砲 [きょほう] /(n) huge gun/
巨万 [きょまん] /(n) huge fortune/millions/
巨木 [きょぼく] /(n) big tree/
巨利 [きょり] /(n) huge profit/
巨刹 [きょさつ] /(n) large temple/
巨嘴鳥 [おおはし] /(n) (uk) toucan/
巨嘴鳥座 [きょしちょうざ] /(n) Tucana (constellation)/the Toucan/
巨擘 [きょはく] /(n) authority/big-shot/star/
拒ぎ [ふせぎ] /(n) defense/defence/protecting/preventing/
拒ぐ [ふせぐ] /(v5g,vt) to defend (against)/to protect/to prevent/
拒む [こばむ] /(v5m,vt) to refuse/to reject/to decline/(P)/
拒止 [きょし] /(n,vs) refusal/
拒食 [きょしょく] /(n,vs) refusing food/
拒食症 [きょしょくしょう] /(n) anorexia/
拒絶 [きょぜつ] /(n,vs) refusal/rejection/(P)/
拒絶感 [きょぜつかん] /(n) feelings of rejection/
拒絶反応 [きょぜつはんのう] /(n) (1) (organ) rejection/(2) unthinking dismissal/strong reaction (against)/(P)/
拒否 [きょひ] /(n,vs,adj-no) denial/veto/rejection/refusal/(P)/
拒否る [きょひる] /(v5r) (sl) to refuse/to reject/to deny/
拒否権 [きょひけん] /(n) right of veto/(P)/
拒否処分 [きょひしょぶん] /(n) (judicial) denial/
拒否反応 [きょひはんのう] /(n) rejection/
拠 [よりどころ] /(n) grounds/foundation/authority/support/something upon which to rely/
拠ない [よんどころない] /(adj-i) can't be helped (of situation, reason, etc.)/unavoidable/
拠り所 [よりどころ] /(n) grounds/foundation/authority/support/something upon which to rely/
拠る [よる] /(v5r,vi) (1) (uk) to be due to/to be caused by/(2) to depend on/to turn on/(3) to be based on/to come from/(P)/
拠ん所ない [よんどころない] /(adj-i) can't be helped (of situation, reason, etc.)/unavoidable/
拠ん所無い [よんどころない] /(adj-i) can't be helped (of situation, reason, etc.)/unavoidable/
拠金 [きょきん] /(n) subscription/contribution/
拠守 [きょしゅ] /(n) defense/defence/
拠出 [きょしゅつ] /(n,vs) donation/contribution/(P)/
拠所 [よりどころ] /(io) (n) grounds/foundation/authority/support/something upon which to rely/
拠所ない [よんどころない] /(adj-i) can't be helped (of situation, reason, etc.)/unavoidable/
拠点 [きょてん] /(n) (mil) position/location/base/point/(P)/
拠点とする [きょてんとする] /(exp,vs-i) to be based in (a place)/
拠点に置く [きょてんにおく] /(exp,v5k) to be based in (a place)/
拠点空港 [きょてんくうこう] /(n) hub airport/
拠無い [よんどころない] /(adj-i) can't be helped (of situation, reason, etc.)/unavoidable/
挙がる [あがる] /(v5r,vi) (1) to rise/to go up/to come up/to ascend/to be raised/(2) to enter (esp. from outdoors)/to come in/to go in/(3) to enter (a school)/to advance to the next grade/(4) to get out (of water)/to come ashore/(5) to increase/(6) to improve/to make progress/(7) to be promoted/to advance/(8) to be made (of profit, etc.)/(9) to occur (esp. of a favourable result)/(10) to be adequate (to cover expenses, etc.)/(11) to be finished/to be done/to be over/(12) (of rain) to stop/to lift/(13) to stop (working properly)/to cut out/to give out/to die/(14) to win (in a card game, etc.)/(15) to be arrested/(16) to turn up (of evidence, etc.)/(17) to be spoken loudly/(18) to get stage fright/(19) to be offered (to the gods, etc.)/(20) (hum) to go/to visit/(21) (hon) to eat/to drink/(22) to be listed (as a candidate)/(23) to serve (in one's master's home)/(24) (in Kyoto) to go north/(suf,v5r) (25) (after the -masu stem of a verb) indicates completion/(P)/
挙げた [あげた] /(adj-f) brought up (e.g. topic)/
挙げて [あげて] /(adv) all/whole/en masse/
挙げられる [あげられる] /(v1) (comp) to be arrested/to be caught/to be captured (e.g. data)/
挙げる [あげる] /(v1,vt) (1) to raise/to elevate/(2) to do up (one's hair)/(3) to fly (a kite, etc.)/to launch (fireworks, etc.)/to surface (a submarine, etc.)/(4) to land (a boat)/(5) to show someone (into a room)/(6) to send someone (away)/(7) to enrol (one's child in school) (enroll)/(8) to increase (price, quality, status, etc.)/(9) to make (a loud sound)/to raise (one's voice)/(10) to earn (something desirable)/(11) to praise/(12) to give (an example, etc.)/to cite/(13) to summon up (all of one's energy, etc.)/(14) to arrest/(15) to nominate/(16) (pol) to give/(17) to offer up (incense, a prayer, etc.) to the gods (or Buddha, etc.)/(18) to bear (a child)/(19) to conduct (a ceremony, esp. a wedding)/(v1,vi) (20) (of the tide) to come in/(v1,vi,vt) (21) to vomit/(aux-v) (22) (uk) (pol) (after the -te form of a verb) to do for (the sake of someone else)/(23) (after the -masu stem of a verb) to complete/(24) (hum) used after the -masu stem of a humble verb to increase the level of humility/(P)/
挙げ句 [あげく] /(n-adv,n-t) in the end/finally/after all/at last/(P)/
挙げ句の果て [あげくのはて] /(adv,n) finally/in the end/on top of all that/
挙げ足 [あげあし] /(n) (1) finding fault/
挙げ足を取る [あげあしをとる] /(exp,v5r) to find fault with someone/to flame someone/to trip up somebody/
挙げ足取り [あげあしとり] /(n) faultfinding/
挙って [こぞって] /(adv) (uk) all/all together/unanimously/
挙る [こぞる] /(v5r) (1) to assemble everything together/(2) to do something as a group/
挙句 [あげく] /(n-adv,n-t) in the end/finally/after all/at last/(P)/
挙句の果て [あげくのはて] /(adv,n) finally/in the end/on top of all that/
挙行 [きょこう] /(n,vs) celebration (of ceremony)/solemnization (e.g. of a marriage)/solemnisation/
挙国 [きょこく] /(n) the whole nation/
挙国一致 [きょこくいっち] /(n,vs) national unity/
挙止 [きょし] /(n) bearing/deportment/
挙示 [きょし] /(n,vs) assignment/citation/
挙式 [きょしき] /(n,vs) holding a ceremony/(P)/
挙手 [きょしゅ] /(n,vs) raising (holding up) one's hand/salute/
挙証 [きょしょう] /(n) (presentation of) proof/
挙措 [きょそ] /(n) behavior/behaviour/manner/
挙措言動 [きょそげんどう] /(n) speech and behavior/words and deeds/
挙措進退 [きょそしんたい] /(n) behavior/bearing/demeanor/
挙足 [あげあし] /(n) (1) finding fault/
挙党 [きょとう] /(n,vs) entire (political) party/(P)/
挙動 [きょどう] /(n,vs) conduct/behavior/behaviour/
挙動不審 [きょどうふしん] /(n) suspicious behavior/acting suspiciously/
挙尾虫 [しりあげむし] /(n) (uk) scorpionfly (esp. the Japanese scorpionfly, Panorpa japonica)/scorpion fly/
挙兵 [きょへい] /(n,vs) raising an army/
挙用 [きょよう] /(n,vs) appointment/promotion/
渠河 [きょが] /(n) (obsc) waterway/canal/river/
渠魁 [きょかい] /(n) ringleader/chief/
渠帥 [きょすい] /(n) chief of bandits/
虚 [うろ] /(n) hollow/cavity/hole/
虚 [きょ] /(n) (1) unpreparedness/(2) falsehood/(3) Chinese "Emptiness" constellation (one of the 28 mansions)/
虚々実々 [きょきょじつじつ] /(n,adj-no) full of wiles and tricks/match between persons equal in shrewdness mobilizing all the tricks each can muster/shrewdly avoiding the opponent's strong points and attacking its weaknesses/
虚々実々の戦い [きょきょじつじつのたたかい] /(exp) match between persons equal in shrewdness/
虚ける [うつける] /(v1,vi) (1) to become empty (hollow)/(2) to relax from a tense situation into a vacant or absent minded state/
虚しい [むなしい] /(adj-i) vacant/futile/vain/void/empty/ineffective/lifeless/
虚しい名声 [むなしいめいせい] /(n) empty name/
虚しく [むなしく] /(adv) in vain/to no purpose/fruitlessly/
虚しくなる [むなしくなる] /(v5r) to die/to expire/
虚に乗ずる [きょにじょうずる] /(exp,vz) (obsc) to catch off guard/
虚ろ [うつろ] /(adj-na,n) blank/cavity/hollow/empty (space)/
虚ろな目 [うつろなめ] /(n) vacant eyes/
虚をつく [きょをつく] /(exp,v5k) to attack the enemy in his unguarded moment/
虚を衝く [きょをつく] /(exp,v5k) to attack the enemy in his unguarded moment/
虚位 [きょい] /(n) nominal rank/
虚栄 [きょえい] /(n) vanity/vainglory/(P)/
虚栄心 [きょえいしん] /(n) vanity/(P)/
虚仮 [こけ] /(n) folly/fool/
虚仮にする [こけにする] /(exp,vs-i) to make a fool of someone/
虚仮威し [こけおどし] /(n) bluff/showing off/
虚仮猿 [こけざる] /(n) foolish monkey/
虚学 [きょがく] /(n) the soft sciences (social science, humanities, etc.)/
虚偽 [きょぎ] /(n,adj-no,vs) untrue/falsehood/fiction/deception/vanity/(P)/
虚虚実実 [きょきょじつじつ] /(n,adj-no) full of wiles and tricks/match between persons equal in shrewdness mobilizing all the tricks each can muster/shrewdly avoiding the opponent's strong points and attacking its weaknesses/
虚虚実実の戦い [きょきょじつじつのたたかい] /(exp) match between persons equal in shrewdness/
虚業 [きょぎょう] /(n) risky business/
虚空 [こくう] /(n) empty space/empty sky/(P)/
虚空蔵 [こくうぞう] /(n) Akasagarbha (bodhisattva)/the Receptacle of Void/
虚空蔵菩薩 [こくうぞうぼさつ] /(n) (Buddh) Akasagarbha (bodhisattva)/
虚血性 [きょけつせい] /(adj-no) ischemic/
虚言 [きょげん] /(n) falsehood/
虚言症 [きょげんしょう] /(n) mythomania/
虚構 [きょこう] /(n) (1) fiction/fabrication/concoction/(adj-no) (2) fictitious/fictional/imaginary/(P)/
虚根 [きょこん] /(n) (math) imaginary root/
虚字 [きょじ] /(n) kanji representing verb or adjective/
虚辞 [きょじ] /(n) falsehood/
虚式 [きょしき] /(n) imaginary expression/
虚実 [きょじつ] /(n) truth or falsehood/
虚実混交 [きょじつこんこう] /(n) mishmash of truth and untruth/mixture of fiction and fact/
虚実混淆 [きょじつこんこう] /(n) mishmash of truth and untruth/mixture of fiction and fact/
虚実皮膜 [きょじつひまく] /(exp) the difference between truth and fiction in art being very subtle/Art abides in a realm that is neither truth nor fiction/
虚弱 [きょじゃく] /(adj-na,n,adj-no) feebleness/weakness/imbecility/(P)/
虚弱児 [きょじゃくじ] /(n) physically weak or sickly child/
虚弱体質 [きょじゃくたいしつ] /(n) weak constitution/
虚舟 [うつろぶね] /(n) unidentified craft said to have washed ashore in Ibaraki Prefecture during the Edo period (sometimes alleged to have been a UFO)/
虚舟 [きょしゅう] /(n) empty boat/
虚宿 [とみてぼし] /(n) Chinese "Emptiness" constellation (one of the 28 mansions)/
虚飾 [きょしょく] /(n,adj-no) ostentation/show/affectation/
虚心 [きょしん] /(adj-na,n) impartiality/(P)/
虚心坦懐 [きょしんたんかい] /(n) with an open and calm mind/with no preconceived notions/without reserve/frank/candid/
虚心平気 [きょしんへいき] /(n,adj-na,adj-no) with an open and calm mind/without reserve/with utmost candor/with no preconceived notions/
虚数 [きょすう] /(n) (math) complex number/imaginary part/imaginary number/
虚数単位 [きょすうたんい] /(n) imaginary unit/
虚勢 [きょせい] /(n) bluff/
虚勢を張る [きょせいをはる] /(exp,v5r) to bluff/to act brave/
虚静 [きょせい] /(n) calm and free of ambition or care/
虚説 [きょせつ] /(n) groundless rumor/groundless rumour/
虚蝉 [うつせみ] /(ateji) (n) (1) man of this world/the real world/temporal things/(2) cast-off cicada shell/cicada/
虚蝉 [うつそみ] /(ateji) (ok) (n) (1) man of this world/the real world/temporal things/(2) cast-off cicada shell/cicada/
虚像 [きょぞう] /(n,adj-no) virtual image/pretense/pretence/
虚脱 [きょだつ] /(n,vs) prostration/lethargy/collapse/despondency/
虚脱感 [きょだつかん] /(n) despondency/
虚脱状態 [きょだつじょうたい] /(n) state of lethargy/absolute bewilderment/daze/mental numbness/
虚誕 [きょたん] /(n) exaggerated talk/
虚伝 [きょでん] /(n) false rumor/false rumour/
虚聞 [きょぶん] /(n) false rumor/false rumour/false reputation/
虚報 [きょほう] /(n) false alarm/
虚無 [きょむ] /(n) nihility/nothingness/(P)/
虚無主義 [きょむしゅぎ] /(n) nihilism/
虚無僧 [こむそう] /(n) begging Zen priest of the Fuke sect (wearing a sedge hood and playing a shakuhachi flute)/
虚無的 [きょむてき] /(adj-na) nihilistic/
虚無党 [きょむとう] /(n) the Nihilists/
虚無恬淡 [きょむてんたん] /(adj-na,adj-no,adj-t,adv-to,n) (arch) rising above the trivia of life and remaining calm and selfless/
虚名 [きょめい] /(n) false reputation/
虚妄 [きょもう] /(n) falsehood/untruth/delusion/
虚礼 [きょれい] /(n) empty (useless) formalities/
虚鯊 [うろはぜ] /(n) (uk) Glossogobius olivaceus (species of goby)/
許 [ばかし] /(prt) (1) (uk) (col) approximately/about/(2) only/nothing but/(3) (after the -ta form of a verb) just (finished, etc.)/
許 [ばかり] /(prt) (1) (uk) approximately/about/(2) only/merely/nothing but/(3) (after the -ta form of a verb) just (finished, etc.)/
許 [ばっか] /(prt) (1) (uk) approximately/about/(2) only/merely/nothing but/(3) (after the -ta form of a verb) just (finished, etc.)/
許 [ばっかし] /(prt) (1) (uk) (col) approximately/about/(2) only/nothing but/(3) (after the -ta form of a verb) just (finished, etc.)/
許 [ばっかり] /(prt) (1) (uk) approximately/about/(2) only/merely/nothing but/(3) (after the -ta form of a verb) just (finished, etc.)/
許 [もと] /(adv) under (esp. influence or guidance)/
許し [ばかし] /(prt) (1) (uk) (col) approximately/about/(2) only/nothing but/(3) (after the -ta form of a verb) just (finished, etc.)/
許し [ばっかし] /(prt) (1) (uk) (col) approximately/about/(2) only/nothing but/(3) (after the -ta form of a verb) just (finished, etc.)/
許し [ゆるし] /(n) pardon/forgiveness/exemption/permission/(P)/
許し難い [ゆるしがたい] /(adj-i) hard-to-forgive/intolerable/inexcusable/
許す [ゆるす] /(v5s,vt) (1) to permit/to allow/to approve/(2) to exempt (from fine)/to excuse (from)/to pardon/to forgive/to release/to let off/(3) to confide in/(4) to give up/to yield/(P)/
許すまじ [ゆるすまじ] /(exp) to be unforgivable/to never forgive something/
許り [ばかり] /(prt) (1) (uk) approximately/about/(2) only/merely/nothing but/(3) (after the -ta form of a verb) just (finished, etc.)/(P)/
許り [ばっかり] /(prt) (1) (uk) approximately/about/(2) only/merely/nothing but/(3) (after the -ta form of a verb) just (finished, etc.)/
許りか [ばかりか] /(prt) (uk) not only/(P)/
許りが能ではない [ばかりがのうではない] /(exp) (id) It is not everything to/
許りでなく [ばかりでなく] /(exp) (uk) not only ... but (also)/as well as .../
許りに [ばかりに] /(adv) (uk) (simply) because/on account of/
許可 [きょか] /(n) (1) permission/approval/authorization/license/(vs) (2) to permit/to authorize/(P)/
許可された人 [きょかされたひと] /(n) admittee/licensee/
許可を与える [きょかをあたえる] /(exp,v1) to grant permission/to give permission/
許可者 [きょかしゃ] /(n) permitter/licensor/
許可書 [きょかしょ] /(n) permit/
許可証 [きょかしょう] /(n) permit/license/licence/
許可信号 [きょかしんごう] /(n) (comp) enabling signal/
許可制 [きょかせい] /(n) license system/licence system/
許嫁 [いいなずけ] /(n) fiance/fiancee/
許嫁 [いいなづけ] /(n) fiance/fiancee/
許嫁 [きょか] /(n) fiance/fiancee/
許嫁 [ゆいなずけ] /(n) fiance/fiancee/
許婚 [いいなずけ] /(n) fiance/fiancee/
許婚 [いいなづけ] /(n) fiance/fiancee/
許婚 [きょこん] /(n) fiance/fiancee/
許状 [きょじょう] /(n) (1) licence/license/certificate/permit/(2) (letter of) pardon/
許諾 [きょだく] /(n,vs) consent/(P)/
許諾契約 [きょだくけいやく] /(n) (comp) license agreement/
許認可 [きょにんか] /(n,vs) approval and authorization/permits and licences/
許認可権 [きょにんかけん] /(n) ministerial authority to grant permits and approvals/
許否 [きょひ] /(n) approval and disapproval/
許容 [きょよう] /(n,vs,adj-no) permission/pardon/(P)/
許容誤差 [きょようごさ] /(n) allowable error/allowable limit of error/
許容情報速度 [きょようじょうほうそくど] /(n) (comp) allowable information rate/
許容線量 [きょようせんりょう] /(n) maximum permissible dose/
許容範囲 [きょようはんい] /(n) one's tolerance level/
許容量 [きょようりょう] /(n) maximum permissible level or dosage/
距 [きょ] /(n) tubular nectary/spur (botanical term)/
距 [けづめ] /(n) fetlock (horse, etc.)/spur (chicken, etc.)/cockspur/dewclaw (dog, etc.)/
距たる [へだたる] /(v5r,vi) to be distant/
距てる [へだてる] /(v1,vt) to be shut out/to separate/to isolate/
距骨 [きょこつ] /(n,adj-no) talus/astragalus/anklebone/
距爪 [きょそう] /(n) cockspur/
距離 [きょり] /(n) distance/range/(P)/
距離を開く [きょりをひらく] /(exp,v5k) to open the distance/
距離感 [きょりかん] /(n) sense (feeling) of distance/
距離空間 [きょりくうかん] /(n) (math) metric space/
距離計 [きょりけい] /(n) range finder/
距跋渉毛 [きょけつしょげ] /(n) chain weapon with a sickle on one end and a ring on the other/
鋸 [のこぎり] /(n) (1) saw/(2) musical saw/(P)/
鋸屋根 [のこぎりやね] /(n) saw-tooth roof/sawtooth roof/
鋸鎌 [のこぎりがま] /(n) toothed sickle/
鋸屑 [のこくず] /(n) sawdust/
鋸鍬形虫 [のこぎりくわがた] /(n) (uk) sawtooth stag beetle (Prosopocoilus inclinatus)/saw stag beetle/
鋸鮫 [のこぎりざめ] /(n) (uk) saw shark (esp. the Japanese saw shark, Prietiophorus japonicus)/
鋸歯 [きょし] /(n) teeth of a saw/serration/
鋸歯 [のこぎりば] /(n) teeth of a saw/serration/
鋸歯 [のこば] /(n) teeth of a saw/serration/
鋸草 [のこぎりそう] /(n) (1) (uk) Siberian yarrow (Achillea sibirica)/(2) achillea/
鋸盤 [のこぎりばん] /(n) sawing machine/
鋸盤 [のこばん] /(n) sawing machine/
漁 [すなどり] /(n,vs) (1) fishing/collecting shells/(2) fisherman/
漁 [りょう] /(n) fishing/catch/(P)/
漁す [ぎょす] /(v5s,vt) (1) (arch) to take fish, etc./(2) to lust for a woman/
漁する [ぎょする] /(vs-s,vt) (1) (arch) to take fish, etc./(2) to lust for a woman/
漁り [あさり] /(n-suf,n) (1) searching/rummaging/(n) (2) (arch) fishing/collecting shells/
漁り [すなどり] /(n,vs) (1) fishing/collecting shells/(2) fisherman/
漁り火 [いさりび] /(n) fire for luring fish at night/
漁り猫 [すなどりねこ] /(n) (uk) fishing cat (Prionailurus viverrinus)/
漁る [あさる] /(v5r,vt) to fish for/to look for/(P)/
漁る [いさる] /(ok) (v5r,vt) to fish for/to look for/
漁る [すなどる] /(ok) (v5r,vt) to fish for/to look for/
漁家 [ぎょか] /(n) fishing household/
漁火 [いさりび] /(n) fire for luring fish at night/
漁火 [ぎょか] /(n) fire for luring fish at night/
漁獲 [ぎょかく] /(n,vs) fishing/catch/haul/(P)/
漁獲高 [ぎょかくだか] /(n) catch of fish/
漁獲物 [ぎょかくぶつ] /(n) catch of fish/
漁獲量 [ぎょかくりょう] /(n) haul (catch) (of fish)/
漁期 [ぎょき] /(n) fishing season/
漁期 [りょうき] /(n) fishing season/
漁協 [ぎょきょう] /(n) fishery cooperative/
漁業 [ぎょぎょう] /(n,adj-no) fishing (industry)/(P)/
漁業協定 [ぎょぎょうきょうてい] /(n) fisheries agreement/
漁業権 [ぎょぎょうけん] /(n) fishing rights/
漁業者 [ぎょぎょうしゃ] /(n) fisherman/
漁業専管水域 [ぎょぎょうせんかんすいいき] /(n) exclusive fishing zone/
漁業法 [ぎょぎょうほう] /(n) Fisheries Act/
漁区 [ぎょく] /(n) fishing ground/fishery/
漁具 [ぎょぐ] /(n) fishing tackle/
漁港 [ぎょこう] /(n) fishing harbour/fishing harbor/(P)/
漁史 [ぎょし] /(n) suffix added after a writer's pen name/
漁師 [りょうし] /(n,adj-no) (sens) fisherman/(P)/
漁師町 [りょうしまち] /(n) fishing village/
漁礁 [ぎょしょう] /(n) reef where fish live and breed/
漁場 [ぎょじょう] /(n) fishing grounds/permitted fishing zone/(P)/
漁場 [ぎょば] /(n) fishing grounds/permitted fishing zone/
漁場 [りょうば] /(n) fishing grounds/permitted fishing zone/
漁色 [ぎょしょく] /(n) lechery/debauchery/philandering/
漁色家 [ぎょしょくか] /(n) lecher/philanderer/
漁船 [ぎょせん] /(n) fishing boat/(P)/
漁船員 [ぎょせんいん] /(n) fisherman/
漁船乗組員 [ぎょせんのりくみいん] /(n) fisherman/
漁村 [ぎょそん] /(n) fishing village/(P)/
漁夫 [ぎょふ] /(n) (sens) fisherman/
漁夫の利 [ぎょふのり] /(n) profiting while others fight/
漁法 [ぎょほう] /(n) method of fishing/
漁民 [ぎょみん] /(n) fishermen/(P)/
漁網 [ぎょもう] /(n) fishing net/
漁猟 [ぎょりょう] /(n) fishing and hunting/
漁労 [ぎょろう] /(n) fishing/fishery/
漁撈 [ぎょろう] /(n) fishing/
禦ぎ [ふせぎ] /(n) defense/defence/protecting/preventing/
禦ぐ [ふせぐ] /(v5g,vt) to defend (against)/to protect/to prevent/
魚 [うお] /(n) fish/
魚 [さかな] /(n) fish/(P)/
魚すき [うおすき] /(n) seafood and vegetables cooked sukiyaki style/
魚つり [うおつり] /(n) fishing/
魚つり [さかなつり] /(n) fishing/
魚の餌科 [うおのえか] /(n) Cymothoidae (family of isopods)/
魚の食い [さかなのくい] /(exp) fish biting (striking, taking bait)/
魚の目 [うおのめ] /(n) corn (on one's foot)/
魚を捕る [さかなをとる] /(exp,v5r) to catch fish/
魚影 [ぎょえい] /(n) outline of a solitary fish (as seen through the water when fishing, etc.)/
魚屋 [さかなや] /(n) fish market/fish dealer/(P)/
魚河岸 [うおがし] /(n) riverside fish market/
魚介 [ぎょかい] /(n) marine products/seafood/fish and shellfish/(P)/
魚介類 [ぎょかいるい] /(n) marine products/seafood/fish and shellfish/(P)/
魚貝 [ぎょかい] /(n) marine products/seafood/fish and shellfish/
魚貝類 [ぎょかいるい] /(n) marine products/seafood/fish and shellfish/
魚眼レンズ [ぎょがんレンズ] /(n) fisheye lens/
魚狗 [かわせみ] /(n) (1) kingfisher (esp. the common kingfisher, Alcedo atthis)/
魚群 [ぎょぐん] /(n) school of fish/(P)/
魚群探知機 [ぎょぐんたんちき] /(n) fishfinder/
魚座 [うおざ] /(n,adj-no) (1) (constellation) Pisces/the Fish/the Fishes/(2) (arch) fishmongers' guild/
魚市場 [うおいちば] /(n) fish market/(P)/
魚種 [ぎょしゅ] /(n) fish species/
魚汁 [いしり] /(n) fish sauce made of salted and fermented sardines, mackerel, or squid/a specialty of the Noto Peninsula of Ishikawa Prefecture/
魚汁 [いしる] /(n) fish sauce made of salted and fermented sardines, mackerel, or squid/a specialty of the Noto Peninsula of Ishikawa Prefecture/
魚汁 [よしり] /(n) fish sauce made of salted and fermented sardines, mackerel, or squid/a specialty of the Noto Peninsula of Ishikawa Prefecture/
魚汁 [よしる] /(n) fish sauce made of salted and fermented sardines, mackerel, or squid/a specialty of the Noto Peninsula of Ishikawa Prefecture/
魚鋤 [うおすき] /(n) seafood and vegetables cooked sukiyaki style/
魚醤 [ぎょしょう] /(n) fish sauce (made from fermented salted fish)/
魚醤油 [うおしょうゆ] /(n) fish sauce (made from fermented salted fish)/
魚食動物 [ぎょしょくどうぶつ] /(n) piscivore/
魚信 [ぎょしん] /(n) bite (of a fish on a hook)/strike/
魚心 [うおごころ] /(n) favor done for somebody/
魚心あれば水心 [うおごころあればみずごころ] /(exp) (id) if you do a favor for somebody, you will get a return favor/if a fish is friendly toward water, water will be kind to the fish too/mutual back-scratching/
魚心あれば水心あり [うおこころあればみずこころあり] /(exp) (id) if you do a favor for somebody, you will get a return favor/if a fish is friendly toward water, water will be kind to the fish too/you scratch my back and I'll scratch yours/
魚心有れば水心有り [うおこころあればみずこころあり] /(exp) (id) if you do a favor for somebody, you will get a return favor/if a fish is friendly toward water, water will be kind to the fish too/you scratch my back and I'll scratch yours/
魚精 [ぎょせい] /(n) milt/fish semen/
魚族 [ぎょぞく] /(n) fish/
魚体 [ぎょたい] /(n) fish body/
魚拓 [ぎょたく] /(n) fish print/
魚鳥 [ぎょちょう] /(n) fishes and birds/
魚釣 [うおつり] /(n) fishing/
魚釣 [さかなつり] /(n) fishing/
魚釣り [うおつり] /(n) fishing/
魚釣り [さかなつり] /(n) fishing/
魚梯 [ぎょてい] /(n) fish ladder/
魚田 [ぎょでん] /(n) skewered fish, coated with miso and cooked/
魚灯 [ぎょとう] /(n) lights to lure fish/
魚道 [ぎょどう] /(n) path taken by school of fish/fish ladder/fishway/
魚肉 [ぎょにく] /(n) fish meat/(P)/
魚板 [ぎょばん] /(n) wooden gong shaped like a fish/
魚肥 [ぎょひ] /(n) fertilizer made from fish parts (fertiliser)/
魚氷に上る [うおこおりにのぼる] /(exp) third climate of spring (when the ice breaks and fish start appearing near the surface)/
魚氷に上る [うおひにのぼる] /(exp) third climate of spring (when the ice breaks and fish start appearing near the surface)/
魚腹 [ぎょふく] /(n) fish entrails/
魚粉 [ぎょふん] /(n) fish meal/
魚偏 [うおへん] /(n) kanji "fish" radical at left/
魚網 [ぎょもう] /(n) fishing net/
魚油 [ぎょゆ] /(n) fish oil/
魚雷 [ぎょらい] /(n) torpedo/(P)/
魚雷艇 [ぎょらいてい] /(n) torpedo boat/
魚雷発射管 [ぎょらいはっしゃかん] /(n) torpedo tube/
魚竜 [ぎょりゅう] /(n) ichthyosaur/
魚料理 [ぎょりょうり] /(n) seafood dinner/seafood-based cuisine/
魚鱗 [ぎょりん] /(n) fish scales/
魚鱗癬 [ぎょりんせん] /(n) ichthyosis/
魚類 [ぎょるい] /(n) fish/fishes/(P)/
魚類学 [ぎょるいがく] /(n) study of fish/ichthyology/
魚籠 [びく] /(n) (wicker) basket used for carrying fish/creel/
亨運 [こううん] /(n) prosperity/
亨通 [こうつう] /(n) doing well/prosperous/
享ける [うける] /(v1,vt) (1) to receive/to get/(2) to catch (e.g. a ball)/(3) to be struck by (wind, waves, sunlight, etc.)/(4) to sustain (damage)/to incur (a loss)/to suffer (an injury)/to feel (influence)/(5) to undergo (e.g. surgery)/to take (a test)/to accept (a challenge)/(6) to be given (e.g. life, talent)/(7) to follow/to succeed/to be descended from/(8) to face (south, etc.)/(9) (ling) to be modified by/(10) to obtain (a pawned item, etc.) by paying a fee/(v1,vi) (11) to be well-received/to become popular/to go down well/
享宴 [きょうえん] /(n) (1) feast/banquet/(2) Symposium (book by Plato)/
享楽 [きょうらく] /(n,vs) enjoyment/pleasure/
享楽気分 [きょうらくきぶん] /(n) enjoyable (pleasant) feeling (atmosphere)/
享楽主義 [きょうらくしゅぎ] /(n) epicureanism/hedonism/
享楽生活 [きょうらくせいかつ] /(n) gay life/
享楽的 [きょうらくてき] /(adj-na) pleasure-seeking/
享持 [きょうじ] /(n) securing rights and profits/
享受 [きょうじゅ] /(n,vs) reception/acceptance/enjoyment/being given/(P)/
享受者 [きょうじゅしゃ] /(n) recipient/
享徳 [きょうとく] /(n) Kyoutoku era (1452.7.25-1455.7.25)/
享年 [きょうねん] /(n) one's age at death/
享保 [きょうほう] /(n) Kyouhou era (1716.6.22-1736.4.28)/
享保の改革 [きょうほうのかいかく] /(n) Kyoho Reforms/
享保尺 [きょうほうじゃく] /(n) (arch) Kyouhou shaku (approx. 30.36 cm)/
享有 [きょうゆう] /(n,vs) possession/enjoyment/
享禄 [きょうろく] /(n) Kyouroku era (1528.8.20-1532.7.29)/
享和 [きょうわ] /(n) Kyouwa era (1801.2.5-1804.2.11)/
京 [きょう] /(n) (1) imperial capital (esp. Kyoto)/(2) final word of an iroha-uta/(3) 10^16/10,000,000,000,000,000/ten quadrillion (American)/(obs) ten thousand billion (British)/(P)/
京 [けい] /(n) (1) 10^16/10,000,000,000,000,000/ten quadrillion (American)/(obs) ten thousand billion (British)/
京 [みやこ] /(n) capital/metropolis/
京ことば [きょうことば] /(n,adj-no) (1) Kyoto pronunciation/(2) Kyoto dialect/
京の水 [きょうのみず] /(n) (1) (arch) water from the capital (Kyoto), rumored to have a whitening effect/(2) (arch) type of washing lotion from the end of the Edo period/
京の着倒れ [きょうのきだおれ] /(exp) financially ruining oneself by buying too many clothes (as a fabled tendency of the people of Kyoto)/
京セラ [きょうセラ] /(n) Kyocera (company name)/
京華 [けいか] /(n) capital/flower capital/
京響 [きょうきょう] /(n) (abbr) Kyoto Symphony Orchestra/
京形 [きょうがた] /(n) style current in the capital/
京劇 [きょうげき] /(n) classical Chinese opera/
京劇 [けいげき] /(n) classical Chinese opera/
京言葉 [きょうことば] /(n,adj-no) (1) Kyoto pronunciation/(2) Kyoto dialect/
京胡 [きょうこ] /(n) jinghu (2-stringed Chinese instrument played with a bow)/
京菜 [きょうな] /(n) type of rape, potherb mustard, komatsuna, mizuna (Brassica juncea var. japonica)/
京坂 [けいはん] /(n) Kyoto-Osaka/
京阪 [けいはん] /(n) Kyoto-Osaka/(P)/
京阪神 [けいはんしん] /(n) Kyoto-Osaka-Kobe/
京阪奈 [けいはんな] /(n) (uk) Kyoto-Osaka-Nara/
京師 [けいし] /(n) capital/metropolis/old Kyoto/
京詞 [きょうことば] /(n,adj-no) (1) Kyoto pronunciation/(2) Kyoto dialect/
京滋地方 [けいじちほう] /(n) Kyoto-Shiga district/
京女 [きょうおんな] /(n) Kyoto woman/
京女鷸 [きょうじょしぎ] /(n) (uk) ruddy turnstone (species of sandpiper, Arenaria interpres)/
京人 [けいじん] /(n) citizen of the capital/
京人形 [きょうにんぎょう] /(n) Kyoto doll/
京成 [けいせい] /(n) train line Tokyo - Narita/(P)/
京族 [キンぞく] /(n) Kinh (people)/Vietnamese (people)/
京地 [きょうち] /(n) the capital/Kyoto and its environs/
京都 [きょうと] /(n) Kyoto/(P)/
京都の産 [きょうとのさん] /(n) native of Kyoto/
京都議定書 [きょうとぎていしょ] /(n) Kyoto Protocol/
京都五山 [きょうとござん] /(n) Kyoto Gozan/the five most important Rinzai temples of Kyoto, as well as Nanzen-ji/
京都市 [きょうとし] /(n) Kyoto (city)/
京都賞 [きょうとしょう] /(n) Kyoto Prize/
京都府 [きょうとふ] /(n) Kyoto (metropolitan area)/
京都府警 [きょうとふけい] /(n) Kyoto Prefectural Police/
京童 [きょうわらべ] /(n) Kyoto's young people/
京童 [きょうわらわ] /(n) Kyoto's young people/
京童部 [きょうわらわべ] /(n) Kyoto's young people/
京表 [きょうおもて] /(n) vicinity of Kyoto/
京浜 [けいひん] /(n) Tokyo and Yokohama/
京風 [きょうふう] /(n) Kyoto style/urbanity/refinement/
京物 [きょうもの] /(n) Kyoto products/
京方 [きょうがた] /(n) the direction of Kyoto/Kansai area/citizens of Kyoto/nobles/
京葉 [けいよう] /(n) Tokyo and Chiba/
京洛 [きょうらく] /(n) capital/Kyoto/
京洛 [けいらく] /(n) capital/Kyoto/
供 [とも] /(n,vs) companion/follower/attendant/retinue/(P)/
供え [そなえ] /(n) offering/
供える [そなえる] /(v1,vt) to offer/to sacrifice/to dedicate/(P)/
供え物 [そなえもの] /(n) offering/
供え餅 [そなえもち] /(n) offering of mochi rice cakes/mochi rice cakes used as offering/
供す [きょうす] /(v5s,vt) to offer/to present/to submit/to serve (a meal)/to supply/
供する [きょうする] /(vs-s,vt) to offer/to present/to submit/to serve (a meal)/to supply/
供宴 [きょうえん] /(n) (1) feast/banquet/(2) Symposium (book by Plato)/
供応 [きょうおう] /(n,vs) (1) entertainment/treat/feast/banquet/(2) immediately agreeing with someone else/
供花 [きょうか] /(n) offering of flowers (at shrine, grave, etc.)/floral tribute/
供花 [くうげ] /(n) offering of flowers (at shrine, grave, etc.)/floral tribute/
供花 [くげ] /(n) offering of flowers (at shrine, grave, etc.)/floral tribute/
供華 [きょうか] /(n) offering of flowers (at shrine, grave, etc.)/floral tribute/
供華 [くうげ] /(n) offering of flowers (at shrine, grave, etc.)/floral tribute/
供華 [くげ] /(n) offering of flowers (at shrine, grave, etc.)/floral tribute/
供回り [ともまわり] /(n) retinue/suite/
供廻り [ともまわり] /(oK) (n) retinue/suite/
供犠 [くぎ] /(n) sacrifice/sacrificial animal/
供給 [きょうきゅう] /(n,vs) supply/provision/(P)/
供給の弾力性 [きょうきゅうのだんりょくせい] /(n) elasticity of supply/
供給コスト [きょうきゅうコスト] /(n) supply cost/
供給過多 [きょうきゅうかた] /(n) excessive supply/oversupply/
供給源 [きょうきゅうげん] /(n) source of supply/
供給者 [きょうきゅうしゃ] /(n) supplier/
供給地 [きょうきゅうち] /(n) supply center/supply centre/
供給停止 [きょうきゅうていし] /(n) (comp) outage/
供給不足 [きょうきゅうふそく] /(n) short supply/supply shortage/
供給網 [きょうきゅうもう] /(n) supply network/supply chain/distribution network/
供給連鎖 [きょうきゅうれんさ] /(n) supply chain/
供給連鎖管理 [きょうきゅうれんさかんり] /(n) supply chain management/SCM/
供給路 [きょうきゅうろ] /(n) supply route/
供血 [きょうけつ] /(n,vs) donation of blood/
供血者 [きょうけつしゃ] /(n) blood donor/
供御 [くぎょ] /(n) emperor's meal/
供御 [くご] /(n) emperor's meal/
供御 [ぐご] /(n) emperor's meal/
供祭 [ぐさい] /(n) offerings/offerings and worship/
供出 [きょうしゅつ] /(n,vs) delivery/(P)/
供出米 [きょうしゅつまい] /(n) (farmers') rice deliveries/
供述 [きょうじゅつ] /(n,vs) affidavit/deposition/testimony/(P)/
供述者 [きょうじゅつしゃ] /(n) deponent/testifier/
供述書 [きょうじゅつしょ] /(n) affidavit/deposition/testimony/
供進 [ぐしん] /(n) giving offerings/
供人 [ともびと] /(n) companion/
供勢 [ともぜい] /(n) attendants/retinue/
供僧 [ぐそう] /(n) (1) (abbr) monk who attends to the principal image of a temple/(2) Buddhist monk serving at an attached Shinto shrine/
供揃い [ともぞろい] /(n) attendants/retinue/
供待ち [ともまち] /(n,vs) attendant's waiting room/
供託 [きょうたく] /(n,vs) deposit/
供託金 [きょうたくきん] /(n) deposit of money/
供託者 [きょうたくしゃ] /(n) depositor/
供託物 [きょうたくぶつ] /(n) something deposited/
供物 [くもつ] /(n) offering/(P)/
供物 [そなえもの] /(n) offering/
供物台 [くもつだい] /(n) altar/
供米 [きょうまい] /(n) rice delivered to the government/
供米 [くまい] /(n) rice offered to a god/
供奉 [ぐぶ] /(n,vs) (1) accompanying/being in attendance on/(n) (2) (abbr) inner offerer (any of the 10 high-ranking monks serving at the inner offering hall)/
供奉僧 [ぐぶそう] /(n) (1) monk who attends to the principal image of a temple/(2) Buddhist monk serving at an attached Shinto shrine/
供与 [きょうよ] /(n,vs) giving/provision/furnishing/(P)/
供用 [きょうよう] /(n,vs) offer for use/
供養 [くよう] /(n,vs) memorial service for the dead/holding a service/(P)/
供養塚 [くようづか] /(n) unknown person's grave/
供養塔 [くようとう] /(n) memorial tower/
供覧 [きょうらん] /(n) display/show/
供料 [きょうりょう] /(n) offering/
侠 [きゃん] /(adj-na,n) tomboy/bobby soxer/flapper/
侠気 [おとこぎ] /(n) chivalrous spirit/chivalry/
侠気 [きょうき] /(n) chivalrous spirit/chivalry/
侠客 [きょうかく] /(n) self-styled humanitarian/chivalrous person/persons acting under the pretence of chivalry who formed gangs and engaged in gambling/
侠客 [きょうきゃく] /(n) self-styled humanitarian/chivalrous person/persons acting under the pretence of chivalry who formed gangs and engaged in gambling/
侠骨 [きょうこつ] /(n) chivalrous spirit/
侠女 [きょうじょ] /(n) gallant woman/
侠勇 [きょうゆう] /(n) gallantry/chivalry/
兇 [きょう] /(n) (1) bad luck/bad fortune/(2) evil/wickedness/
兇悪 [きょうあく] /(adj-na) atrocious/fiendish/brutal/villainous/
兇漢 [きょうかん] /(n) villain/outlaw/assassin/
兇器 [きょうき] /(n) dangerous weapon/
兇具 [きょうぐ] /(n) dangerous weapon/
兇行 [きょうこう] /(n) violence/murder/crime/
兇手 [きょうしゅ] /(n) assassin/
兇状 [きょうじょう] /(n) crime/offense/offence/
兇状持ち [きょうじょうもち] /(n) a criminal/
兇刃 [きょうじん] /(n) assassin's dagger/
兇賊 [きょうぞく] /(n) villain/
兇弾 [きょうだん] /(n) assassin's bullet/
兇徒 [きょうと] /(n) outlaw/rebel/rioter/
兇変 [きょうへん] /(n) catastrophe/assassination/calamity/disaster/
兇暴 [きょうぼう] /(adj-na,n) brutal/atrocious/ferocious/
兇猛 [きょうもう] /(adj-na,n) fierce/
兇類 [きょうるい] /(n) wicked gang/
兇悍 [きょうかん] /(n) heinousness/ferocity/
競 [くら] /(suf) (abbr) contest/match/
競 [せり] /(n) (1) competing/competition/(2) auction/
競い合う [きそいあう] /(v5u) to compete with/to vie for/
競い肌 [きおいはだ] /(n) manliness/gallantry/
競う [きそう] /(v5u,vi) (1) to compete with/(2) to emulate/(P)/
競べ [くらべ] /(n,n-suf) (uk) contest/comparison/competition/
競べる [くらべる] /(v1,vt) (1) to compare/to make a comparison/(2) to compete/to vie/
競り [せり] /(n) (1) competing/competition/(2) auction/
競り合い [せりあい] /(n) competition/(P)/
競り合う [せりあう] /(v5u,vi) to struggle for/to compete with/to vie with/(P)/
競り市 [せりいち] /(n) auction market/
競り手 [せりて] /(n) bidder (e.g. in an auction)/
競り勝つ [せりかつ] /(v5t,vi) to win after tough bidding/
競り上げる [せりあげる] /(v1,vt) to bid up the price of/
競り売り [せりうり] /(n) an auction/
競り落す [せりおとす] /(v5s) to knock down the price of/
競り落とす [せりおとす] /(v5s) to knock down the price of/
競る [せる] /(v5r,vt) (1) to compete/(2) to bid/(3) to sell at auction/(P)/
競映 [きょうえい] /(n) competitive showing of films/
競泳 [きょうえい] /(n,vs) swimming race/(P)/
競演 [きょうえん] /(n,vs) recital contest/(P)/
競技 [きょうぎ] /(n,vs,adj-no) game/match/contest/(P)/
競技会 [きょうぎかい] /(n) athletic meet/
競技会場 [きょうぎかいじょう] /(n) venue/
競技者 [きょうぎしゃ] /(n) agonist/
競技場 [きょうぎじょう] /(n) field/stadium/grounds/
競合 [きょうごう] /(n,vs,adj-no) contention/competition/rivalry/quarrel/(P)/
競合い [せりあい] /(n) competition/
競合う [せりあう] /(v5u,vi) to struggle for/to compete with/to vie with/
競合アクセス業者 [きょうごうアクセスぎょうしゃ] /(n) (comp) CAP/Competitive Access Provider/
競合関係 [きょうごうかんけい] /(n) competitive relationship/rivalry/
競合者 [きょうごうしゃ] /(n) competitor/
競合整理処理 [きょうごうせいりしょり] /(n) (comp) competitive control processing/
競合他社 [きょうごうたしゃ] /(n) competing companies/rival companies/(P)/
競合脱線 [きょうごうだっせん] /(n) train derailment due to a concurrence of causes/
競作 [きょうさく] /(n,vs) competition for better work/
競市 [せりいち] /(n) auction market/
競勝つ [せりかつ] /(v5t,vi) to win after tough bidding/
競上げる [せりあげる] /(v1,vt) to bid up the price of/
競漕 [きょうそう] /(n,vs) regatta/boat race/
競争 [きょうそう] /(n,adj-no) (1) competition/contest/(vs) (2) to compete/(P)/
競争価格 [きょうそうかかく] /(n) competitive price/
競争関係 [きょうそうかんけい] /(n) competitive relationship/
競争市場 [きょうそうしじょう] /(n) competitive market/
競争者 [きょうそうしゃ] /(n) competitor/rival/
競争場裡 [きょうそうじょうり] /(n) an (the) arena of competition/
競争心 [きょうそうしん] /(n) competitive spirit/
競争相手 [きょうそうあいて] /(n) competitor/rival/
競争入札 [きょうそうにゅうさつ] /(n) competitive bidding (esp. for government contracts)/(P)/
競争馬 [きょうそうば] /(n) racehorse/
競争売買 [きょうそうばいばい] /(n) auction/
競争優位 [きょうそうゆうい] /(n) competitive edge/
競争率 [きょうそうりつ] /(n) ratio of successful (applicants) to total applicants/
競争力 [きょうそうりょく] /(n) competitive power/
競走 [きょうそう] /(n,vs,adj-no) race/(P)/
競走馬 [きょうそうば] /(n) racehorse/(P)/
競艇 [きょうてい] /(n,adj-no) boat race/(P)/
競馬 [けいば] /(n,adj-no) horse racing/(P)/
競馬々 [けいばうま] /(n) racehorse/
競馬場 [けいばじょう] /(n) racecourse/race track/(P)/
競馬新聞 [けいばしんぶん] /(n) racing form/racing (news)paper/
競馬馬 [けいばうま] /(n) racehorse/
競売 [きょうばい] /(n,vs) auction/(P)/
競売 [けいばい] /(n,vs) auction/
競売り [せりうり] /(n) an auction/
競売人 [きょうばいにん] /(n) auctioneer/
競歩 [きょうほ] /(n) walking race/(P)/
競輪 [けいりん] /(n) keirin/cycle racing event, usu. 2km with a paced start and sprint finish/(P)/
競輪場 [けいりんじょう] /(n) cycle racing track, esp. for keirin (course)/
競輪選手 [けいりんせんしゅ] /(n) (professional) keirin cyclist/
競翔 [きょうしょう] /(n) flying race (between pigeons)/
共 [きょう] /(n) (1) both/all/and/as well as/including/with/together with/(2) (abbr) communism/
共 [ごと] /(uK) (suf) with the rest/all of/the whole/
共 [とも] /(n) (1) both/all/and/as well as/including/with/together with/(2) neither (with negative verb)/
共 [ども] /(suf) (1) (hum) first-person plural (or singular)/(2) second or third person plural (implies speaker is of higher status than those referred to)/(P)/
共々 [ともども] /(adv) together/in company/(P)/
共々に [ともどもに] /(adv) together/in company/
共に [ともに] /(adv,vs) sharing with/participate in/both/alike/together/along with/with/including/(P)/
共のハンカチ [とものハンカチ] /(n) handkerchief of the same cloth/
共依存 [きょういぞん] /(n,adj-no) codependence/
共営 [きょうえい] /(n,vs) joint management/
共栄 [きょうえい] /(n) mutual prosperity/(P)/
共栄圏 [きょうえいけん] /(n) co-prosperity sphere/
共益 [きょうえき] /(n) common profit/
共益費 [きょうえきひ] /(n) monthly fee for common areas of an apartment building (lighting, etc.)/condo fees/
共演 [きょうえん] /(n,vs) appearing together/co-acting/co-starring/(P)/
共演者 [きょうえんしゃ] /(n) costar/coactor/
共稼ぎ [ともかせぎ] /(n,vs) working together/(husband and wife) earning a living together/(P)/
共格 [きょうかく] /(n) (ling) comitative/
共学 [きょうがく] /(n,vs) coeducation/(P)/
共学制 [きょうがくせい] /(n) coeducational plan/
共感 [きょうかん] /(n,vs,adj-no) sympathy/empathy/response/(P)/
共感覚 [きょうかんかく] /(n) synesthesia (synaesthesia)/
共感呪術 [きょうかんじゅじゅつ] /(n) sympathetic magic/homeopathic magic/imitative magic/
共観福音書 [きょうかんふくいんしょ] /(n) Synoptic Gospels/
共起 [きょうき] /(n,vs) cooccurrence/
共共 [ともども] /(adv) together/in company/
共共に [ともどもに] /(adv) together/in company/
共襟 [ともえり] /(n) same-colored neckband (coloured)/
共形 [きょうけい] /(adj-f) (math) (physics) conformal/
共形場理論 [きょうけいばりろん] /(n) conformal field theory (physics)/
共催 [きょうさい] /(n,vs) joint sponsorship/(P)/
共済 [きょうさい] /(n) mutual aid/(P)/
共済事業 [きょうさいじぎょう] /(n) mutual aid enterprise/
共済組合 [きょうさいくみあい] /(n) cooperative society/mutual-benefit association/
共在 [きょうざい] /(n,vs) coexistence/compresence/
共作 [きょうさく] /(n,vs) joint work/collaboration/
共作曲 [きょうさくきょく] /(n) joint work (art, music, etc.)/
共作者 [きょうさくしゃ] /(n) coauthor/joint author/collaborator/
共産 [きょうさん] /(n) (1) communism/(2) (abbr) Communist Party/(P)/
共産化 [きょうさんか] /(n,vs) communization/communisation/
共産軍 [きょうさんぐん] /(n) communist army/
共産系 [きょうさんけい] /(n) communist controlled/
共産圏 [きょうさんけん] /(n) communist bloc/Iron Curtain/
共産国家 [きょうさんこっか] /(n) communist nation/
共産国家郡 [きょうさんこっかぐん] /(n) Communist bloc/
共産主義 [きょうさんしゅぎ] /(n,adj-no) communism/collectivism/(P)/
共産主義国 [きょうさんしゅぎこく] /(n) communist country/
共産主義者 [きょうさんしゅぎしゃ] /(n) communist/
共産主義政権 [きょうさんしゅぎせいけん] /(n) communist regime/communist government/
共産陣営 [きょうさんじんえい] /(n) the Communist camp/
共産地区 [きょうさんちく] /(n) communist area/
共産中国 [きょうさんちゅうごく] /(n) Communist China/
共産党 [きょうさんとう] /(n) Communist Party/(P)/
共産党細胞 [きょうさんとうさいぼう] /(n) communist cell/
共産党政治局 [きょうさんとうせいじきょく] /(n) Politburo/
共産党宣言 [きょうさんとうせんげん] /(n) The Communist Manifesto/
共産党中央委員会 [きょうさんとうちゅうおういいんかい] /(n) Central Committee of the Communist Party/
共産分子 [きょうさんぶんし] /(n) communist elements/
共時言語学 [きょうじげんごがく] /(n) synchronic linguistics/
共助 [きょうじょ] /(n,vs) cooperation/
共晶 [きょうしょう] /(n,adj-no) eutectic point/lowest melting point/
共焦点レーザ走査型顕微鏡 [きょうしょうてんレーザそうさがたけんびきょう] /(n) confocal laser scanning biological microscope/
共焦点走査型顕微鏡 [きょうしょうてんそうさがたけんびきょう] /(n) confocal scanning microscope/
共食い [ともぐい] /(n,vs) cannibalism (in animals)/mutual destruction/internecine struggle/eating each other/damaging each other/
共寝 [ともね] /(n,vs) sleeping together/
共振 [きょうしん] /(n,vs) resonance/sympathetic vibration/
共進化 [きょうしんか] /(n,vs) coevolution/
共進会 [きょうしんかい] /(n) competitive exhibition/prize show/
共棲 [きょうせい] /(n,vs,adj-no) symbiosis/paragenesis/union/
共生 [きょうせい] /(n,vs,adj-no) symbiosis/paragenesis/union/(P)/
共生 [ともいき] /(n,vs,adj-no) symbiosis/paragenesis/union/
共生生物 [きょうせいせいぶつ] /(n) symbiont/
共切れ [ともぎれ] /(n,adj-no) same cloth/spare cloth (e.g. for patching)/
共栓 [ともせん] /(n) stopper/
共存 [きょうそん] /(n,vs) coexistence/
共存 [きょうぞん] /(n,vs) coexistence/(P)/
共存するサービス要素 [きょうぞんするサービスようそ] /(n) (comp) symbiotic service element/
共存セグメント [きょうぞんセグメント] /(n) (comp) coexisting segment/
共存共栄 [きょうそんきょうえい] /(n,vs) co-existence and co-prosperity/
共存共栄 [きょうぞんきょうえい] /(n,vs) co-existence and co-prosperity/
共存主義 [きょうぞんしゅぎ] /(n) coexistentialism/
共著 [きょうちょ] /(n) collaboration/co-authorship/(P)/
共著者 [きょうちょしゃ] /(n) collaborator/coauthor/joint author/
共聴 [きょうちょう] /(adj-f) (abbr) community/shared/
共通 [きょうつう] /(adj-na,n,adj-no,vs) (1) commonness/community/(n-suf) (2) -wide/(P)/
共通アプリケーション環境 [きょうつうアプリケーションかんきょう] /(n) (comp) CAE/Common Application Environment/
共通エリア [きょうつうエリア] /(n) common area/
共通オブジェクトリクエストブローカアーキテクチャ [きょうつうオブジェクトリクエストブローカアーキテクチャ] /(n) (comp) Common Object Request Broker Architecture/CORBA/
共通システム領域 [きょうつうシステムりょういき] /(n) (comp) CSA/Common Service Area/Common System Area/
共通セグメント [きょうつうセグメント] /(n) (comp) common segment/
共通デスクトップ環境 [きょうつうデスクトップかんきょう] /(n) (comp) CDE/Common Desktop Environment/
共通バッファ [きょうつうバッファ] /(n) (comp) common buffer/
共通フォーマット [きょうつうフォーマット] /(n) (comp) compatible format/
共通ブロック [きょうつうブロック] /(n) (comp) common block/
共通プログラム [きょうつうプログラム] /(n) (comp) common program/
共通モデル [きょうつモデル] /(n) (comp) common model/
共通一次試験 [きょうつういちじしけん] /(n) common first-stage (university entrance) examination/
共通因数 [きょうつういんすう] /(n) (comp) common factor/
共通化 [きょうつうか] /(n) (comp) collaboration/
共通割付け構造 [きょうつうわりつけこうぞう] /(n) (comp) generic layout structure/
共通感覚 [きょうつうかんかく] /(n) (esp. in philosophy) common sense/
共通管理情報サービス [きょうつうかんりじょうほうサービス] /(n) (comp) Common Management Information Services/CMIS/
共通管理情報サービス要素 [きょうつうかんりじょうほうサービスようそ] /(n) (comp) Common Management Information Service Element/CMISE/
共通基語 [きょうつうきご] /(n) protolanguage/
共通基板 [きょうつうきばん] /(n) common substrate/
共通業務 [きょうつぎょうむ] /(n) (comp) common task/
共通言語 [きょうつうげんご] /(n) lingua franca/
共通語 [きょうつうご] /(n) (1) common term/(2) common language/lingua franca/standard language/(P)/
共通細目 [きょうつうさいもく] /(n) (comp) common subdivision/
共通識別子 [きょうつうしきべつし] /(n) (comp) generic identifier/
共通集合 [きょうつうしゅうごう] /(n) (math) intersection/
共通線 [きょうつうせん] /(n) (comp) common channel/
共通線信号 [きょうつうせんしんごう] /(n) (comp) common channel signalling/
共通線信号網 [きょうつうせんしんごうもう] /(n) (comp) common channel signalling network/
共通点 [きょうつうてん] /(n) common feature/
共通内容部 [きょうつうないようぶ] /(n) (comp) generic content portion/
共通内容部記述部 [きょうつうないようぶきじゅつぶ] /(n) (comp) generic content portion description/
共通認識 [きょうつうにんしき] /(n) common sense/common knowledge/common understanding/
共通文書 [きょうつうぶんしょ] /(n) (comp) generic-document/
共通領域 [きょうつうりょういき] /(n) (comp) common area/
共通論理構造 [きょうつうろんりこうぞう] /(n) (comp) generic logical structure/
共倒れ [ともだおれ] /(n,vs) falling together/mutual destruction/joint bankruptcy/(P)/
共闘 [きょうとう] /(n,vs) joint struggle/common (united) front/(P)/
共働 [きょうどう] /(n,adj-no) coaction (biology)/
共働き [ともばたらき] /(n,vs) (husband and wife) both working/dual income/(P)/
共同 [きょうどう] /(n,vs,adj-no) doing together (as equals)/sharing/common (land, etc.)/joint (statement, etc.)/cooperation/co-operation/collaboration/association/(P)/
共同遺言 [きょうどうゆいごん] /(n) common will/joint will/
共同井戸 [きょうどういど] /(n) common well/
共同一致 [きょうどういっち] /(n) unanimous cooperation/
共同因子 [きょうどういんし] /(n) (math) cofactor/
共同運航 [きょうどううんこう] /(n) code-sharing (e.g. airlines)/joint operation/
共同運行 [きょうどううんこう] /(n) code-sharing (e.g. airlines)/joint operation/
共同会見 [きょうどうかいけん] /(n) news conference/
共同海損 [きょうどうかいそん] /(n) general average loss/general average/gross average/
共同開発 [きょうどうかいはつ] /(n) joint development/
共同管理 [きょうどうかんり] /(n) joint control/
共同企業 [きょうどうきぎょう] /(n) joint venture/
共同企業体 [きょうどうきぎょうたい] /(n) joint venture/consortium/JV/
共同記者会見 [きょうどうきしゃかいけん] /(n) joint press conference/
共同義務者 [きょうどうぎむしゃ] /(n) co-debtor/
共同救済基金 [きょうどうきゅうさいききん] /(n) community chest/
共同居留地 [きょうどうきょりゅうち] /(n) (obsc) jointly held concession in China (e.g. Shanghai International Settlement)/
共同軍事演習 [きょうどうぐんじえんしゅう] /(n) joint military exercise/
共同経営 [きょうどうけいえい] /(n) joint management/
共同計算 [きょうどうけいさん] /(n) pooling/joint account/
共同決定法 [きょうどうけっていほう] /(n) codetermination law/
共同権利者 [きょうどうけんりしゃ] /(n) co-creditor/
共同研究 [きょうどうけんきゅう] /(n) collaborative research/
共同溝 [きょうどうこう] /(n) multipurpose underground utility conduit/
共同作業 [きょうどうさぎょう] /(n) group work/
共同支配 [きょうどうしはい] /(n) joint control/joint rule/
共同施設税 [きょうどうしせつぜい] /(n) public facilities tax/
共同視聴 [きょうどうしちょう] /(adj-f) community/shared/
共同事業 [きょうどうじぎょう] /(n) joint enterprise/joint venture/
共同持ち株会社 [きょうどうもちかぶがいしゃ] /(n) joint holding company/
共同実験 [きょうどうじっけん] /(n) (comp) joint test/
共同社会 [きょうどうしゃかい] /(n) communal society/community/
共同者 [きょうどうしゃ] /(n) coworker/
共同住宅 [きょうどうじゅうたく] /(n) apartment house/residential complex/
共同出資 [きょうどうしゅっし] /(n) joint investment/
共同署名 [きょうどうしょめい] /(n) joint signatures/
共同水栓 [きょうどうすいせん] /(n) common faucet/
共同炊事場 [きょうどうすいじば] /(n) community kitchen/
共同性 [きょうどうせい] /(n) cooperation/
共同正犯 [きょうどうせいはん] /(n) crime committed together by two or more people (in which each is known as a co-principal)/
共同生活 [きょうどうせいかつ] /(n) community life/cohabitation/
共同声明 [きょうどうせいめい] /(n) joint declaration/
共同責任 [きょうどうせきにん] /(n) joint responsibility/solidarity/
共同絶交 [きょうどうぜっこう] /(n) ostracism (from a village or community)/
共同宣言 [きょうどうせんげん] /(n) joint declaration/
共同宣誓供述書 [きょうどうせんせいきょうじゅつしょ] /(n) joint affidavit/
共同戦線 [きょうどうせんせん] /(n) common front/united front/
共同栓 [きょうどうせん] /(n) communal tap/
共同線 [きょうどうせん] /(n) party line/
共同疎開 [きょうどうそかい] /(n) community evacuation/
共同祖界 [きょうどうそかい] /(n) international settlement/
共同租界 [きょうどうそかい] /(n) jointly held concession in China (e.g. Shanghai International Settlement)/
共同組合 [きょうどうくみあい] /(n) cooperative/partnership/
共同創設者 [きょうどうそうせつしゃ] /(n) co-founder/
共同捜査 [きょうどうそうさ] /(n) joint investigation/
共同相続 [きょうどうそうぞく] /(n) joint inheritance/
共同相続人 [きょうどうそうぞくにん] /(n) joint heir/
共同体 [きょうどうたい] /(n) cooperative body/cooperative system/collective/community/(P)/
共同体意識 [きょうどうたいいしき] /(n) sense of community/
共同体主義 [きょうどうたいしゅぎ] /(n) communitarianism/
共同通信 [きょうどうつうしん] /(n) joint communications/
共同通信社 [きょうどうつうしんしゃ] /(n) Kyodo News Service/
共同電話 [きょうどうでんわ] /(n) party line (telephone line shared by multiple subscribers)/
共同農場 [きょうどうのうじょう] /(n) collective farm/
共同発明 [きょうどうはつめい] /(n) joint invention/
共同便所 [きょうどうべんじょ] /(n) comfort station/
共同保険 [きょうどうほけん] /(n) co-insurance/
共同募金 [きょうどうぼきん] /(n) community chest/
共同墓地 [きょうどうぼち] /(n) public cemetery/
共同謀議 [きょうどうぼうぎ] /(n) conspiracy/
共同防衛 [きょうどうぼうえい] /(n) joint defense/joint defence/
共同浴 [きょうどうゆ] /(n) public bath that can be used for free or a low fee/
共同浴場 [きょうどうよくじょう] /(n) public bath that can be used for free or a low fee/
共同利用型音声照会通知システム [きょうどうりようけいおんせいしょうかいつうちシステム] /(n) (comp) ANSER/Automatic Answer Network System for Electrical Request/
共白髪 [ともしらが] /(n) growing old together (a couple)/
共犯 [きょうはん] /(n) complicity/(P)/
共犯関係 [きょうはんかんけい] /(n) complicity (in a crime)/collusion/
共犯者 [きょうはんしゃ] /(n) accomplice/henchman/
共販 [きょうはん] /(n) cooperative selling/
共販会社 [きょうはんがいしゃ] /(n) cooperative sales company/
共布 [ともぎれ] /(n,adj-no) same cloth/spare cloth (e.g. for patching)/
共布 [ともぬの] /(n,adj-no) same cloth/spare cloth (e.g. for patching)/
共分散 [きょうぶんさん] /(n) covariance/
共編 [きょうへん] /(n,vs) joint editorship/
共編者 [きょうへんしゃ] /(n) coeditor/
共謀 [きょうぼう] /(n,vs,adj-no) conspiracy/complicity/(P)/
共謀共同正犯 [きょうぼうきょうどうせいはん] /(n) criminal conspiracy (participation in the planning a crime, but not its execution)/
共謀者 [きょうぼうしゃ] /(n) conspirator/accomplice/
共鳴 [きょうめい] /(n,vs) resonance/sympathetic (sound)/(being in) sympathy/(P)/
共鳴り [ともなり] /(n,vs) resonance/sympathy/
共鳴器 [きょうめいき] /(n) resonator/
共鳴者 [きょうめいしゃ] /(n) sympathizer/sympathiser/fellow traveler/fellow traveller/
共鳴板 [きょうめいばん] /(n) sound(ing) board/resonator/
共役 [きょうえき] /(ik) (n,adj-no) (math) conjugation/
共役 [きょうやく] /(n,adj-no) (math) conjugation/
共役角 [きょうやくかく] /(n) conjugate angles/
共役直径対 [きょうえきちょっけいたい] /(n) (comp) conjugate diameter pair/CDP/
共役転置 [きょうやくてんち] /(n) (comp) complex conjugate transpose (of a matrix)/
共役二重結合 [きょうやくにじゅうけつごう] /(n) conjugated double bond/
共訳 [きょうやく] /(n,vs) team-translation (e.g. carried out by more than one person)/joint translation/
共訳者 [きょうやくしゃ] /(n) joint translators/
共有 [きょうゆう] /(n,vs,adj-no) share/joint ownership/co-ownership/(P)/
共有サーバー [きょうゆうサーバー] /(n) (comp) shared server/
共有ディスク [きょうゆうディスク] /(n) (comp) shared disk/
共有ディレクトリ [きょうゆうディレクトリ] /(n) (comp) shared directory/
共有フォルダ [きょうゆうフォルダ] /(n) (comp) shared folder/
共有プリンタ [きょうゆうプリンタ] /(n) (comp) shared printer/
共有メディア [きょうゆうメディア] /(n) (comp) shared (communication) medium/
共有メモリ [きょうゆうメモリ] /(n) (comp) shared memory/
共有メモリー [きょうゆうメモリー] /(n) (comp) shared memory/
共有ライブラリ [きょうゆうライブラリ] /(n) (comp) shared library/
共有結合 [きょうゆうけつごう] /(n) covalent bond/
共有結合半径 [きょうゆうけつごうはんけい] /(n) covalent radius/
共有鍵暗号方式 [きょうゆうかぎあんごうほうしき] /(n) (comp) shared key encryption/
共有財産 [きょうゆうざいさん] /(n) community property/
共有資源 [きょうゆうしげん] /(n) (comp) shared resources/
共有資産 [きょうゆうしさん] /(n) (comp) joint resource/shared resource/
共有者 [きょうゆうしゃ] /(n) joint owners/part owners/
共有地 [きょうゆうち] /(n) public land/common/
共有物 [きょうゆうぶつ] /(n) common property/
共用 [きょうよう] /(n,vs,adj-no) common use/communal use/sharing/(P)/
共用プログラム [きょうようプログラム] /(n) (comp) utility program/service program/
共用ルーチン [きょうようルーチン] /(n) (comp) utility routine/service routine/
共用仮想領域 [きょうようかそうりょういき] /(n) (comp) SVA/Shared Virtual Area/
共用部分 [きょうようぶぶん] /(n) public space/public area/common area of a condo. etc./
共用変数 [きょうようへんすう] /(n) (comp) shared variable/
共裏 [ともうら] /(n) lining a kimono with the same material as the kimono itself/
共立 [きょうりつ] /(n,vs) joint/common/(P)/
共力 [きょうりょく] /(iK) (n,vs,adj-no) cooperation/collaboration/
共連れ [ともづれ] /(n) following someone through a locked door, thus obtaining unauthorized access/
共労者 [きょうろうしゃ] /(n) coworker/
共和 [きょうわ] /(n) republicanism/cooperation/(P)/
共和国 [きょうわこく] /(n) republic/commonwealth/(P)/
共和主義 [きょうわしゅぎ] /(n,adj-no) republicanism/
共和制 [きょうわせい] /(n) republicanism/(P)/
共和制度 [きょうわせいど] /(n) republicanism/
共和政 [きょうわせい] /(n) republicanism/
共和政治 [きょうわせいじ] /(n) republican government/
共和政体 [きょうわせいたい] /(n,adj-no) republican form of government/
共和党 [きょうわとう] /(n) Republican Party/(P)/
共軛 [きょうえき] /(ik) (n,adj-no) (math) conjugation/
共軛 [きょうやく] /(n,adj-no) (math) conjugation/
凶 [きょう] /(n) (1) bad luck/bad fortune/(2) evil/wickedness/
凶悪 [きょうあく] /(adj-na) atrocious/fiendish/brutal/villainous/(P)/
凶悪犯罪 [きょうあくはんざい] /(n) atrocious crime/heinous crime/
凶音 [きょういん] /(n) bad news/news of a death/
凶漢 [きょうかん] /(n) villain/outlaw/assassin/
凶器 [きょうき] /(n) dangerous weapon/(P)/
凶器準備集合罪 [きょうきじゅんびしゅうごうざい] /(n) (crime of) assembling with dangerous weapons/
凶具 [きょうぐ] /(n) dangerous weapon/
凶荒 [きょうこう] /(n) poor crops/famine/
凶行 [きょうこう] /(n) violence/murder/crime/
凶歳 [きょうさい] /(n) poor crop year/
凶作 [きょうさく] /(n,adj-no) bad harvest/poor crop/(P)/
凶事 [きょうじ] /(n) calamity/misfortune/
凶事の兆し [きょうじのきざし] /(n) omen of disaster/
凶手 [きょうしゅ] /(n) assassin/
凶状 [きょうじょう] /(n) crime/offense/offence/
凶状持ち [きょうじょうもち] /(n) a criminal/
凶刃 [きょうじん] /(n) assassin's dagger/
凶相 [きょうそう] /(n) (1) bad luck (result from fortune telling)/(2) evil countenance/
凶賊 [きょうぞく] /(n) villain/
凶宅 [きょうたく] /(n) unlucky house/
凶弾 [きょうだん] /(n) assassin's bullet/
凶弾に倒れる [きょうだんにたおれる] /(exp,v1) to be shot to death by an assassin/
凶弾に斃れる [きょうだんにたおれる] /(exp,v1) to be shot to death by an assassin/
凶兆 [きょうちょう] /(n) evil omen/
凶徒 [きょうと] /(n) outlaw/rebel/rioter/
凶党 [きょうとう] /(n) gang/gangsters/
凶日 [きょうじつ] /(n) unlucky day/
凶年 [きょうねん] /(n) bad year/bad harvest/
凶聞 [きょうぶん] /(n) bad news/
凶変 [きょうへん] /(n) catastrophe/assassination/calamity/disaster/
凶報 [きょうほう] /(n) bad news/
凶暴 [きょうぼう] /(adj-na,n) brutal/atrocious/ferocious/
凶夢 [きょうむ] /(n) bad dream/inauspicious dream/
凶猛 [きょうもう] /(adj-na,n) fierce/
凶類 [きょうるい] /(n) wicked gang/
協 [きょう] /(n-suf,n-pref) cooperation/(P)/
協会 [きょうかい] /(n) association/society/organization/organisation/(P)/
協会旅費 [きょうかいりょひ] /(n) travel allowance paid to salaried sumo wrestlers for tournaments held outside Tokyo/
協技者 [きょうぎしゃ] /(n) contestant/athlete/
協議 [きょうぎ] /(n,vs) conference/consultation/discussion/negotiation/(P)/
協議員 [きょうぎいん] /(n) delegate/
協議会 [きょうぎかい] /(n) conference/convention/
協議会員 [きょうぎかいいん] /(n) conferees/
協議官 [きょうぎかん] /(n) conferees/
協議事項 [きょうぎじこう] /(n) agenda/
協議所 [きょうぎしょ] /(n) conference site/
協議書 [きょうぎしょ] /(n) memorandum of agreement/agreement/memorandum of understanding/MOU/letter of intent/heads of agreement/
協議離婚 [きょうぎりこん] /(n) divorce by consent/
協業 [きょうぎょう] /(n,vs) cooperative industry/
協賛 [きょうさん] /(n,vs) support/mutual aid/cooperation/approval/authorization/authorisation/(P)/
協治 [きょうち] /(n) participatory government/participatory management/collaborative governance/
協商 [きょうしょう] /(n,vs) negotiation/agreement/
協商国 [きょうしょうこく] /(n) allies/
協心 [きょうしん] /(n,vs) unison/accord/
協心戮力 [きょうしんりくりょく] /(n,vs) combined (concerted) efforts/solidarity/joining forces (with)/
協奏曲 [きょうそうきょく] /(n) concerto/(P)/
協調 [きょうちょう] /(n,vs) (1) cooperation/conciliation/harmony/(2) firm (market) tone/(P)/
協調介入 [きょうちょうかいにゅう] /(n,vs) coordinated intervention/joint intervention/
協調関係 [きょうちょうかんけい] /(n) cooperative relationship/partnership/
協調作業 [きょうちょうさぎょう] /(n) interworking/
協調試験法 [きょうちょうしけんほう] /(n) (comp) coordinated test method/
協調主義 [きょうちょうしゅぎ] /(n) collaboration/
協調性 [きょうちょうせい] /(n) cooperativeness/spirit of cooperation/
協調的マルチタスク [きょうちょうてきマルチタスク] /(n) (comp) cooperative multitasking/
協定 [きょうてい] /(n,vs) arrangement/pact/agreement/(P)/
協定案 [きょうていあん] /(n) agreement/proposal/
協定書 [きょうていしょ] /(n) agreement/protocol/
協定世界時 [きょうていせかいじ] /(n) Coordinated Universal Time/UTC/
協働 [きょうどう] /(n,vs) cooperation/
協同 [きょうどう] /(n,vs,adj-no) doing together (as equals)/sharing/common (land, etc.)/joint (statement, etc.)/cooperation/co-operation/collaboration/association/(P)/
協同収集 [きょうどうしゅうしゅう] /(n) (comp) co-operative acquisition/
協同戦線 [きょうどうせんせん] /(n) common front/united front/
協同組合 [きょうどうくみあい] /(n,adj-no) cooperative/partnership/(P)/
協同体 [きょうどうたい] /(n) cooperative body/cooperative system/collective/community/
協同動作 [きょうどうどうさ] /(n) concerted action/
協約 [きょうやく] /(n,vs) pact/convention/agreement/
協約国 [きょうやくこく] /(n) high contracting powers/signatories/
協約書 [きょうやくしょ] /(n) written agreement/
協力 [きょうりょく] /(n,vs,adj-no) cooperation/collaboration/(P)/
協力一致 [きょうりょくいっち] /(n,vs) combined (concerted) efforts/solidarity/joining forces (with)/
協力鋼 [きょうりょくこう] /(n) high-tension steel/
協力合意 [きょうりょくごうい] /(n) agreement to cooperate/
協力者 [きょうりょくしゃ] /(n) cooperative worker/
協力態勢 [きょうりょくたいせい] /(n) readiness to cooperate/framework for cooperation/
協和 [きょうわ] /(n,vs) concord/harmony/concert/(P)/
協和音 [きょうわおん] /(n) consonance/
協和語 [きょうわご] /(n) Manchukuo dialect/
匡救 [きょうきゅう] /(n,vs) delivering from sin/succor/succour/
匡正 [きょうせい] /(n,vs) reform/correction/training/
卿 [きょう] /(n-suf) (1) (hon) lord/sir/(n) (2) state minister (i.e. under the ritsuryo system)/(pn,adj-no) (3) (arch) (male) (hon) you (in reference to someone of lower status)/(P)/
卿 [けい] /(n) (1) state minister (i.e. under the ritsuryo system)/(pn,adj-no) (2) (arch) (male) (hon) you (in reference to someone of lower status)/
卿雲 [けいうん] /(n) (1) auspicious cloud/
卿相 [けいしょう] /(n) court nobles and state ministers/
叫く [わめく] /(v5k,vi) (uk) to shout/to cry/to scream/to clamour/
叫び [さけび] /(n) shout/scream/outcry/(P)/
叫び出す [さけびだす] /(v5s) to let out a cry/to break forth/
叫び声 [さけびごえ] /(n) shout/yell/scream/(P)/
叫ぶ [さけぶ] /(v5b,vi) to shout/to cry/(P)/
叫喚 [きょうかん] /(n,vs) shout/scream/
叫換 [きょうかん] /(iK) (n,vs) shout/scream/
叫号 [きょうごう] /(n,vs) crying aloud/
喬志 [きょうし] /(n) pride/self-conceit/
喬木 [きょうぼく] /(n) tall tree/forest tree/arbor/arbour/
境 [さかい] /(n) border/boundary/mental state/(P)/
境域 [きょういき] /(n) boundary/border/precinct/grounds/
境界 [きょうかい] /(n) boundary/(P)/
境界合わせ [きょうかいあわせ] /(n) (comp) boundary alignment/
境界性人格障害 [きょうかいせいじんかくしょうがい] /(n) borderline personality disorder/BPD/
境界線 [きょうかいせん] /(n) boundary line/
境界値問題 [きょうかいちもんだい] /(n) boundary value problem/
境界調整 [きょうかいちょうせい] /(n) alignment/
境界内オブジェクト集合 [きょうかいないオブジェクトしゅうごう] /(n) (comp) bounded object set/BOS/
境界標 [きょうかいひょう] /(n) landmark/
境界表現 [きょうかいひょうげん] /(n) (comp) boundary representation/
境界要素法 [きょうかいようそほう] /(n) boundary element method/
境界理論 [きょうかいりろん] /(n) bounding theory/
境涯 [きょうがい] /(n) circumstances/one's situation or lot in life/
境遇 [きょうぐう] /(n) environment/circumstances/(P)/
境地 [きょうち] /(n) one's lot/circumstance/situation in life/(P)/
境内 [けいだい] /(n) compound/grounds/(P)/
境目 [さかいめ] /(n) border/boundary line/crisis/(P)/
峡 [かい] /(n) (arch) gorge/ravine/
峡間 [きょうかん] /(n) between the mountains/
峡谷 [きょうこく] /(n) glen/ravine/gorge/canyon/(P)/
峡部 [きょうぶ] /(n,adj-no) isthmus/
峡湾 [きょうわん] /(n) fjord/
強 [きょう] /(n-suf) (1) a little over/a little more than/(2) powerhouse/one of the biggest/one of the most powerful/
強い [こわい] /(adj-i) (1) tough/stiff/hard/(2) inflexible/obstinate/stubborn/
強い [つよい] /(adj-i) (1) strong/powerful/mighty/potent/(2) resistant/resilient/durable/(P)/
強いて [しいて] /(adv) by force/(P)/
強いて言えば [しいていえば] /(n) if I'm forced to say something/if anything/
強いられて [しいられて] /(exp) under compulsion/by pressure of/
強いる [しいる] /(v1,vt) to force/to compel/to coerce/(P)/
強い肴 [しいざかな] /(n) side dish served in order to encourage the consumption of alcohol (kaiseki cuisine)/
強い所 [つよいところ] /(n) strong point/
強い心 [つよいこころ] /(n) stout heart (mind)/
強い相互作用 [つよいそうごさよう] /(n) strong interaction/
強か [したたか] /(adj-na,adv) determined/stubborn/hearty/severe/
強か者 [したたかもの] /(n) (1) strong-willed person/old hand/shrewd rascal/wily fox/desperate character/formidable woman/(2) strong man/brave man/
強がり [つよがり] /(n) show of courage/bluff/
強がる [つよがる] /(v5r,vi) to cry sour grapes/to bluff/to whistle in the dark/to pretend to be tough/
強さ [つよさ] /(n) strength/power/(P)/
強さアクセント [つよさアクセント] /(n) (obsc) stress accent/
強じん [きょうじん] /(adj-na,n) tough/strong/stiff/tenacious/
強ち [あながち] /(adv) (uk) not necessarily/not uncommon/(P)/
強って [たって] /(ateji) (adv,adj-no) (uk) strongly hoping or requesting (of something that is difficult to be brought to fruition)/
強ばる [こわばる] /(v5r,vi) (uk) to stiffen/to become stiff/
強まる [つよまる] /(v5r,vi) to get strong/to gain strength/(P)/
強み [つよみ] /(n) forte/(P)/
強める [つよめる] /(v1,vt) to strengthen/to emphasize/to emphasise/(P)/
強圧 [きょうあつ] /(n,vs) pressure/duress/stress/
強圧手段 [きょうあつしゅだん] /(n) coercive (high-handed) measure/strong-arm method/
強意 [きょうい] /(n,adj-no) (ling) emphasis/
強意見 [こわいけん] /(n) severe admonition/good talking-to/remonstrance/expostulation/
強引 [ごういん] /(adj-na,n) overbearing/coercive/pushy/forcible/high-handed/(P)/
強引に [ごういんに] /(adv) forcibly/by main force/
強淫 [ごういん] /(n) (obsc) rape/sexual assault/
強雨 [きょうう] /(n) severe rain/
強運 [きょううん] /(n) good luck/
強音 [きょうおん] /(n,adj-no) accent/stress/
強化 [きょうか] /(n,vs) strengthen/intensify/reinforce/solidify/enhancement/(P)/
強化ガラス [きょうかガラス] /(n) toughened glass/tempered glass/
強化合宿 [きょうかがっしゅく] /(n) training camp/
強化食品 [きょうかしょくひん] /(n) fortified foods/
強化米 [きょうかまい] /(n) fortified rice/
強火 [つよび] /(n) high flame or heat (in cooking)/
強姦 [ごうかん] /(n,vs) violation/rape/
強姦罪 [ごうかんざい] /(n) rape/criminal assault/
強姦犯 [ごうかんはん] /(n) rapist/
強姦魔 [ごうかんま] /(n) rapist/
強含み [つよふくみ] /(n) strengthening/strong tone/strong feeling/
強含み市況 [つよふくみしきょう] /(n) bull market/
強気 [ごうぎ] /(adj-na,adj-no) (1) great/grand/(2) obstinate/stubborn/
強気 [つよき] /(adj-na,n) firm/strong/(P)/
強気市場 [つよきしじょう] /(n) bull market/
強気相場 [つよきそうば] /(n) bull market/bullish market/strong market/
強記 [きょうき] /(n,vs) retentive memory/
強弓 [ごうきゅう] /(n) tightly drawn bow/
強結合 [きょうけつごう] /(n) strong coupling (physics)/
強健 [きょうけん] /(adj-na,n) robust health/
強権 [きょうけん] /(n) power of the state/(P)/
強肩 [きょうけん] /(n,adj-no) strong throwing arm/
強固 [きょうこ] /(adj-na,n) firmness/stability/security/strength/(P)/
強硬 [きょうこう] /(adj-na,n) firm/vigorous/unbending/unyielding/strong/stubborn/(P)/
強硬軍 [きょうこうぐん] /(iK) (n) forced march/
強硬策 [きょうこうさく] /(n) drastic measures/hard-line policy/
強硬手段 [きょうこうしゅだん] /(n) tough measure/firm step/strong measure/
強硬派 [きょうこうは] /(n) diehards/
強硬路線 [きょうこうろせん] /(n) hard line/hard-line/tough line/hawkish line/
強硬論 [きょうこうろん] /(n) hard line/
強行 [きょうこう] /(n,vs) (1) forcing/enforcement/(adj-na) (2) forced/enforced/(P)/
強行軍 [きょうこうぐん] /(n) forced march/
強行採決 [きょうこうさいけつ] /(n) steamroller voting/steamrollering/(P)/
強行突破 [きょうこうとっぱ] /(n,vs) force (bulldoze) one's way through/
強剛 [きょうごう] /(adj-na,n) veteran/champion/
強豪 [きょうごう] /(adj-na,n) veteran/champion/(P)/
強国 [きょうこく] /(n) strong nation/powerful country/(P)/
強腰 [つよごし] /(n) firm or tough stance/
強酸 [きょうさん] /(n) strong acid/
強持て [こわもて] /(n) deferential treatment (out of fear)/
強者 [きょうしゃ] /(n) (1) strong man/exceptional person/man of courage/
強者 [つわもの] /(n) (1) soldier/warrior/(2) strong man/exceptional person/man of courage/(P)/
強弱 [きょうじゃく] /(n) strength/power/(P)/
強弱アクセント [きょうじゃくアクセント] /(n) stress accent/
強弱記号 [きょうじゃくきごう] /(n) dynamics mark (music)/dynamics marking/
強弱法 [きょうじゃくほう] /(n) dynamics (music)/
強襲 [きょうしゅう] /(n,vs) assault/violent attack/
強縮 [きょうしゅく] /(adj-na,n) tetanus/
強将 [きょうしょう] /(n) strong general/
強情 [ごうじょう] /(adj-na,n) obstinacy/stubbornness/(P)/
強情っぱり [ごうじょうっぱり] /(n,adj-na) stubborn person/obstinate person/
強情っ張り [ごうじょうっぱり] /(n,adj-na) stubborn person/obstinate person/
強情を張る [ごうじょうをはる] /(exp,v5r) to insist on/to persist in/to be obstinate/
強情我慢 [ごうじょうがまん] /(n,adj-no) obstinate and self-assertive/
強情頑固 [ごうじょうがんこ] /(n,adj-na) headstrong/obstinate/bullheaded/
強心剤 [きょうしんざい] /(n) cardiotonic drug/
強心臓 [きょうしんぞう] /(n) boldness/guts/courage/gall/sangfroid/
強振 [きょうしん] /(n,vs) swinging hard/
強震 [きょうしん] /(n) severe earthquake/
強靭 [きょうじん] /(adj-na,n) tough/strong/stiff/tenacious/
強制 [きょうせい] /(n,vs,adj-no) obligation/coercion/compulsion/enforcement/(P)/
強制わいせつ罪 [きょうせいわいせつざい] /(n) (crime of) indecent assault/
強制ページ区切り [きょうせいページくぎり] /(n) (comp) forced page break/
強制モード [きょうせいモード] /(n) (comp) closed mode/
強制移住 [きょうせいいじゅう] /(n) forced emigration/
強制改行 [きょうせいかいぎょう] /(n) (comp) forced page break/
強制結婚 [きょうせいけっこん] /(n) forced marriage/
強制執行 [きょうせいしっこう] /(n) execution/
強制収容 [きょうせいしゅうよう] /(n,vs) (enforced) confinement/internment/detention by legal force/
強制収容所 [きょうせいしゅうようじょ] /(n) concentration camp/
強制終了 [きょうせいしゅうりょう] /(n) (comp) forced termination/
強制処分 [きょうせいしょぶん] /(n) compulsory execution/
強制衝突 [きょうせいしょうとつ] /(n) (comp) collision enforcement/
強制疎開 [きょうせいそかい] /(n) forced evacuation/
強制送還 [きょうせいそうかん] /(n) forced repatriation/
強制退去 [きょうせいたいきょ] /(n) forced eviction/deport/
強制中断 [きょうせいちゅうだん] /(n,vs) forcing to a stop/
強制的 [きょうせいてき] /(adj-na) forced/compulsory/
強制保険 [きょうせいほけん] /(n) mandatory insurance/
強制力 [きょうせいりょく] /(n) compelling force/legal force/
強制連行 [きょうせいれんこう] /(n,vs) being moved forcibly, e.g. being carted to a police station, transportation for forced labour, etc./
強制労働 [きょうせいろうどう] /(n) forced labor/forced labour/slave labor/slave labour/
強制猥褻罪 [きょうせいわいせつざい] /(n) (crime of) indecent assault/
強勢 [きょうせい] /(adj-na,n) splendid/great/magnificent/
強盛 [きょうせい] /(n,adj-na) (arch) might/mighty/
強盛 [ごうじょう] /(n,adj-na) (arch) might/mighty/
強精剤 [きょうせいざい] /(n) aphrodisiac/tonic/
強精薬 [きょうせいやく] /(n) aphrodisiac/tonic/
強請 [きょうせい] /(n,vs) blackmail/extortion/persistent demand/
強請 [ごうせい] /(n,vs) blackmail/extortion/persistent demand/
強請 [ねだり] /(io) (n) (uk) begging/pestering/pleading/coaxing/
強請り [ねだり] /(n) (uk) begging/pestering/pleading/coaxing/
強請り取る [ゆすりとる] /(v5r) to extort/to shake down (for money)/
強請る [ねだる] /(v5r,vt) (1) to tease/to coax/(2) to solicit/to demand/to extort/(P)/
強請る [ゆする] /(v5r,vt) (1) to solicit/to demand/to extort/
強訴 [ごうそ] /(n,vs) direct petition/
強壮 [きょうそう] /(adj-na,n,adj-no) able-bodied/robust/sturdy/strong/(P)/
強壮剤 [きょうそうざい] /(n) a tonic/
強相関電子系 [きょうそうかんでんしけい] /(n) strongly correlated electron system/
強打 [きょうだ] /(n,vs) smiting/blow/(P)/
強打者 [きょうだしゃ] /(n) slugger (baseball)/heavy hitter/
強大 [きょうだい] /(adj-na,n) mighty/powerful/(P)/
強奪 [ごうだつ] /(n,vs) pillage/seizure/hijacking/plunder/extortion/(P)/
強奪者 [ごうだつしゃ] /(n) robber/plunderer/
強奪物 [ごうだつぶつ] /(n) plunder/spoils/
強談 [ごうだん] /(n,vs) tough negotiations/
強談判 [こわだんぱん] /(n,vs) tough negotiations/forceful negotiations/
強張る [こわばる] /(v5r,vi) (uk) to stiffen/to become stiff/
強調 [きょうちょう] /(n,vs) emphasis/highlight/stress/stressed point/(P)/
強調構文 [きょうちょうこうぶん] /(n) (ling) emphatic (sentence) construction/
強調表示 [きょうちょうひょうじ] /(n,vs) (comp) highlighting/
強調表示フィルタ [きょうちょうひょうじフィルタ] /(n) (comp) highlighting filter/
強直 [きょうちょく] /(adj-na,n,adj-no) rigidity/uprightness/
強直間代発作 [きょうちょくかんだいほっさ] /(n) (obsc) tonic-clonic seizure/
強敵 [きょうてき] /(n) formidable enemy/strong enemy/tough enemy/(P)/
強的 [ごうてき] /(n,adj-na) (arch) great/grand/
強電 [きょうでん] /(n) power electrics/
強電線 [きょうでんせん] /(n) power line/high current electrical line/
強度 [きょうど] /(adj-na,n) strength/intensity/(P)/
強盗 [ごうとう] /(n) (1) robber/mugger/(2) robbery/burglary/(P)/
強盗にはいる [ごうとうにはいる] /(exp,v5r) to commit a robbery/to burgle/
強盗に入る [ごうとうにはいる] /(exp,v5r) to commit a robbery/to burgle/
強盗ほう助 [ごうとうほうじょ] /(n) aiding and abetting a robbery/
強盗罪 [ごうとうざい] /(n) (crime of) robbery/
強盗団 [ごうとうだん] /(n) band of robbers/gang of thieves/
強盗犯 [ごうとうはん] /(n) robber/
強盗返し [がんとうがえし] /(n) rotating stage machinery, which rolls backwards 90 degrees to reveal the next scene/
強盗返し [がんどうがえし] /(n) rotating stage machinery, which rolls backwards 90 degrees to reveal the next scene/
強盗幇助 [ごうとうほうじょ] /(n) aiding and abetting a robbery/
強突張り [ごうつくばり] /(adj-na,n) (1) stubbornness/pigheaded person/(2) miser/
強拍 [きょうはく] /(n) accented beat/
強迫 [きょうはく] /(n,vs,adj-no) compelling/using duress/
強迫観念 [きょうはくかんねん] /(n,adj-no) obsession/unreasonable but compulsive idea/
強迫神経症 [きょうはくしんけいしょう] /(n) obsessional neurosis/
強迫性障害 [きょうはくせいしょうがい] /(n) obsessive-compulsive disorder/OCD/
強飯 [こわいい] /(n) rice with red beans (eaten on celebratory occasions)/
強飯 [こわめし] /(n) rice with red beans (eaten on celebratory occasions)/
強風 [きょうふう] /(n) strong wind/high wind/moderate gale/(P)/
強風注意報 [きょうふうちゅういほう] /(n) storm warning/strong wind warning/
強兵 [きょうへい] /(n) powerful army/strengthening of the military/
強変化動詞 [きょうへんかどうし] /(n) strong verb/
強弁 [きょうべん] /(n,vs) insisting (unreasonably)/obstinate insistence/
強暴 [きょうぼう] /(adj-na,n) brutality/
強膜 [きょうまく] /(n,adj-no) sclera/
強慢 [ごうまん] /(iK) (adj-na,n) pride/haughtiness/arrogance/insolence/hubris/
強味 [つよみ] /(n) strong point/
強綿薬 [きょうめんやく] /(n) guncotton/
強面 [こわおもて] /(n) scary face/
強面 [こわもて] /(n,adj-no) (uk) hard-faced/aggressive/fierce look/frightening look/
強面談判 [こわもてだんぱん] /(n) aggressive negotiations/hard-line bargaining/
強誘電体メモリ [きょうゆうでんたいメモリ] /(n) (comp) ferroelectric memory/
強要 [きょうよう] /(n,vs) coercion/extortion/compulsion/force/(P)/
強慾 [ごうよく] /(adj-na,n) greed/avarice/
強欲 [ごうよく] /(adj-na,n) greed/avarice/
強欲非道 [ごうよくひどう] /(n,adj-na) abnormally and inhumanly greedy/cruel and rapacious/
強力 [きょうりょく] /(adj-na,n) powerful/strong/(P)/
強力 [ごうりき] /(adj-na,n) herculean strength/mountain carrier-guide/
強力さ [きょうりょくさ] /(n) power/strength/
強力犯 [ごうりきはん] /(n) violent crime/
強力粉 [きょうりきこ] /(n) bread flour/strong flour/hard flour/
強力無比 [きょうりょくむひ] /(n,adj-na,adj-no) being the strongest/being powerful (mighty) without equal/
強烈 [きょうれつ] /(adj-na,n) strong/intense/severe/(P)/
強靱 [きょうじん] /(adj-na,n) tough/strong/stiff/tenacious/
怯え [おびえ] /(n) (uk) being startled, surprised or afraid/panic/trepidation/
怯える [おびえる] /(v1,vi) to become frightened/to be frightened (of)/to be scared (of)/
怯む [ひるむ] /(v5m,vi) (uk) to falter/to flinch (from)/to recoil (from)/to quail (at)/
怯弱 [きょうじゃく] /(n) coward/
怯弱 [きょじゃく] /(n) coward/
怯懦 [きょうだ] /(adj-na,n) cowardice/
恐 [かしく] /(exp) (uk) (fem) yours sincerely (used to sign off on letters)/respectfully yours/
恐 [かしこ] /(exp) (uk) (fem) yours sincerely (used to sign off on letters)/respectfully yours/
恐 [こわ] /(int) (uk) frightening/terrifying/
恐々 [きょうきょう] /(adj-na,int,n) respect (epistolary usage)/
恐々 [こわごわ] /(adv) fearfully/timidly/cautiously/
恐々謹言 [きょうきょうきんげん] /(exp) Very truly yours (a complimentary close used in a letter written in an old epistolary style)/
恐い [こわい] /(adj-i) (1) scary/frightening/eerie/dreadful/(int) (2) (I'm) afraid/
恐いもの見たさ [こわいものみたさ] /(exp) rubbernecking/the thrill of looking at something scary or unpleasant and wanting to look at it all the more because it is scary or unpleasant/
恐がり [こわがり] /(n) coward/timid person/
恐がる [こわがる] /(v5r,vi) to be afraid of/to fear/to dread/to be nervous (about)/to be shy (of)/
恐っ [こわっ] /(int) (uk) scary!/
恐らく [おそらく] /(adv) perhaps/likely/probably/I dare say/(P)/
恐らくは [おそらくは] /(exp,adv) (1) I fear that it's likely that/(2) with all due respect/
恐るべき [おそるべき] /(adj-f) dreadful/terrible/horrible/deplorable/(P)/
恐るる勿れ [おそるるなかれ] /(n) Be not afraid/
恐る恐る [おそるおそる] /(adv) timidly/(P)/
恐れ [おそれ] /(n) fear/horror/anxiety/concern/uneasiness/(P)/
恐れがある [おそれがある] /(exp) to be in danger of/to be liable to/
恐れながら [おそれながら] /(exp) let me humbly say/most humbly/with all due respect/
恐れる [おそれる] /(v1,vt) to fear/to be afraid of/(P)/
恐れをなす [おそれをなす] /(exp,v5s) to be scared/
恐れ気 [おそれげ] /(n) appearance of fear/
恐れ気もなく [おそれげもなく] /(adv) courageously/fearlessly/defiantly/boldly/
恐れ戦く [おそれおののく] /(v5k) to tremble with fear/
恐れ多い [おそれおおい] /(adj-i) awesome/awe-inspiring/august/
恐れ乍ら [おそれながら] /(exp) let me humbly say/most humbly/with all due respect/
恐れ入りますが [おそれいりますが] /(exp) (pol) Sorry to impose but .../Excuse me but .../
恐れ入る [おそれいる] /(v5r,vi) (1) to be sorry/to feel small/(2) to be grateful/(3) to be amazed/to be filled with awe/to be surprised/(4) to be disconcerted/to be embarrassed/
恐ろしい [おそろしい] /(adj-i) (1) terrible/dreadful/terrifying/frightening/frightened/(2) surprising/startling/tremendous/amazing/(P)/
恐ろしい思いをする [おそろしいおもいをする] /(exp,vs-i) to find oneself fearful/to have an awful time/
恐悦 [きょうえつ] /(n,vs) delight/
恐悦がる [きょうえつがる] /(exp,v5r) to chuckle with delight/to congratulate oneself/
恐悦至極 [きょうえつしごく] /(n,adj-na) extremely and humbly delighted/
恐嚇 [きょうかく] /(n,vs) (obsc) intimidation/threat/
恐喝 [きょうかつ] /(n,vs) blackmail/extortion/threat (to extort money)/(P)/
恐喝罪 [きょうかつざい] /(n) (the crime of) extortion/
恐喝未遂 [きょうかつみすい] /(n) attempted extortion/extortion attempt/
恐恐 [きょうきょう] /(adj-na,int,n) respect (epistolary usage)/
恐恐 [こわごわ] /(adv) fearfully/timidly/cautiously/
恐恐謹言 [きょうきょうきんげん] /(exp) Very truly yours (a complimentary close used in a letter written in an old epistolary style)/
恐慌 [きょうこう] /(n,vs) panic/scare/consternation/(P)/
恐妻 [きょうさい] /(n) submission to one's wife/
恐妻家 [きょうさいか] /(n) hen-pecked husband/
恐妻病 [きょうさいびょう] /(n) wife-phobia/
恐察 [きょうさつ] /(n,vs) taking another's opinion into consideration (term of respect)/
恐持て [こわもて] /(n) deferential treatment (out of fear)/
恐縮 [きょうしゅく] /(exp,n) shame/very kind of you/sorry to trouble/(P)/
恐水病 [きょうすいびょう] /(n) hydrophobia/
恐鳥 [きょうちょう] /(n) moa (extinct, flightless bird formerly found in New Zealand)/
恐怖 [きょうふ] /(n,vs) fear/dread/dismay/terror/horror/scare/panic/(P)/
恐怖 [くふ] /(ok) (n,vs) fear/dread/dismay/terror/horror/scare/panic/
恐怖映画 [きょうふえいが] /(n) horror film/
恐怖感 [きょうふかん] /(n) feeling of dread/awful feeling/sense of fear/
恐怖症 [きょうふしょう] /(n) morbid fear/phobia/(P)/
恐怖心 [きょうふしん] /(n) fear/terror/
恐怖政治 [きょうふせいじ] /(n) politics of fear/
恐怖物語 [きょうふものがたり] /(n) scary story/horror story/
恐面 [こわもて] /(n,adj-no) (uk) hard-faced/aggressive/fierce look/frightening look/
恐竜 [きょうりゅう] /(n) dinosaur/(P)/
恐龍 [きょうりゅう] /(n) dinosaur/
恐惶謹言 [きょうこうきんげん] /(exp) Very truly yours (a complimentary close used in a letter written in an old epistolary style)/
恐惶敬白 [きょうこうけいはく] /(exp) Very truly yours (a complimentary close used in a letter written in an old epistolary style)/
恐懼 [きょうく] /(n,vs) being struck with awe/
恐懼感激 [きょうくかんげき] /(n,vs) being struck with awe/deeply moved with awe/
恭しい [うやうやしい] /(adj-i) respectful/reverent/
恭しく [うやうやしく] /(adv) reverentially/respectfully/
恭賀 [きょうが] /(n) respectful congratulations/
恭賀新年 [きょうがしんねん] /(exp,n) Happy New Year!/
恭敬 [きょうけい] /(n) respect/reverence/veneration/
恭倹 [きょうけん] /(adj-na,n) respectfulness and modesty/deference/
恭謙 [きょうけん] /(adj-na,n) (uk) modesty/humility/
恭順 [きょうじゅん] /(n,vs) allegiance/
挟まる [はさまる] /(v5r,vi) to get between/to be caught in/(P)/
挟み撃ち [はさみうち] /(n,vs) pincer attack/attack on both sides (flanks)/(P)/
挟み込む [はさみこむ] /(v5m,vt) to insert/
挟み将棋 [はさみしょうぎ] /(n) piece-capturing board game/
挟み上げる [はさみあげる] /(v1,vt) to pick up (with chopsticks)/to take/
挟み切る [はさみきる] /(v5r,vt) to nip off/to snip/to clip/to trim off/
挟み打ち [はさみうち] /(n,vs) pincer attack/attack on both sides (flanks)/
挟み虫 [はさみむし] /(n) (uk) earwig/
挟む [さしはさむ] /(v5m,vt) (1) to insert/(2) to interrupt/to slip in a word/(3) to harbor (e.g. doubts)/to harbour/to entertain (e.g. a theory)/
挟む [はさむ] /(v5m,vt) to interpose/to hold between/to insert/(P)/
挟撃 [きょうげき] /(n,vs) pincer movement/pincer attack/
挟撃作戦 [きょうげきさくせん] /(n) pincer operation (tactic)/
挟殺 [きょうさつ] /(n,vs) (baseball) rundown/
挟侍 [きょうじ] /(oK) (n) flanking attendant to the main deity of veneration in a temple/
挟書 [きょうしょ] /(n) possession of books/
挟瞼器 [きょうけんき] /(n) entropion forceps/
教うるは学ぶの半ば [おしうるはまなぶのなかば] /(exp) (id) We learn by teaching/
教うるは学ぶの半ばなり [おしうるはまなぶのなかばなり] /(exp) (arch) Teaching others teaches yourself/
教え [おしえ] /(n) teaching/instruction/teachings/precept/lesson/doctrine/(P)/
教えて君 [おしえてくん] /(n) (sl) someone who asks others for answers without first researching by himself/
教える [おしえる] /(v1,vt) to teach/to inform/to instruct/(P)/
教え込む [おしえこむ] /(v5m,vt) to train to/to give an idea to/
教え子 [おしえご] /(n) student/disciple/(P)/
教え導く [おしえみちびく] /(v5k,vt) to enlighten/
教え方 [おしえかた] /(n) method of teaching/
教え諭す [おしえさとす] /(v5s) to give guidance/
教わる [おそわる] /(v5r,vt) to be taught/(P)/
教案 [きょうあん] /(n) lesson or teaching plan/
教委 [きょうい] /(n) (abbr) Board of Education/
教育 [きょういく] /(n,adj-no,vs) training/education/(P)/
教育に携わる者 [きょういくにたずさわるもの] /(exp) (pol) someone involved with education/
教育に携わる人 [きょういくにたずさわるひと] /(exp) person involved in educational activities/
教育に携わる人々 [きょういくにたずさわるひとびと] /(n) those who participate in education/
教育に携わる人人 [きょういくにたずさわるひとびと] /(n) those who participate in education/
教育ニ関スル勅語 [きょういくにかんスルちょくご] /(n) Imperial Rescript On Education/
教育ママ [きょういくママ] /(n) woman who is obsessed with the education of her children/
教育委員会 [きょういくいいんかい] /(n) Board of Education/(P)/
教育家 [きょういくか] /(n) educator/teacher/
教育課程 [きょういくかてい] /(n,adj-no) curriculum/
教育改革 [きょういくかいかく] /(n) educational reform/
教育界 [きょういくかい] /(n) education world or circles/
教育学 [きょういくがく] /(n,adj-no) pedagogy/pedagogics/education (esp. in the context of the study of education)/
教育学部 [きょういくがくぶ] /(n) department of education/
教育漢字 [きょういくかんじ] /(n) list of 1,006 kanji taught in Japanese primary schools/
教育玩具 [きょういくがんぐ] /(n) educational toy/
教育基本法 [きょういくきほんほう] /(n) (Japanese) Education Act/Fundamental Law of Education/
教育機関 [きょういくきかん] /(n) educational institution/
教育行政 [きょういくぎょうせい] /(n) educational administration/
教育産業 [きょういくさんぎょう] /(n) education-related industries/
教育実習 [きょういくじっしゅう] /(n) teaching practice/teaching practise/
教育実習生 [きょういくじっしゅうせい] /(n) student teacher/trainee teacher/
教育者 [きょういくしゃ] /(n) educator/teacher/educationalist/(P)/
教育省 [きょういくしょう] /(n) Department of Education/
教育心理学 [きょういくしんりがく] /(n) educational psychology/
教育水準 [きょういくすいじゅん] /(n) educational standards/
教育制度 [きょういくせいど] /(n) education(al) (a school) system/
教育体制 [きょういくたいせい] /(n) educational system/
教育長 [きょういくちょう] /(n) superintendent of education/
教育勅語 [きょういくちょくご] /(n) Imperial Rescript on Education/
教育的 [きょういくてき] /(adj-na) educational/instructive/(P)/
教育哲学 [きょういくてつがく] /(n) philosophy of education/
教育費 [きょういくひ] /(n) education or school expenses/
教育保険 [きょういくほけん] /(n) educational endowment insurance/
教育法 [きょういくほう] /(n) teaching method/
教育免許 [きょういくめんきょ] /(n) teacher's license (licence)/
教育令 [きょういくれい] /(exp) regulations pertaining to education/
教員 [きょういん] /(n) teaching staff/(P)/
教員組合 [きょういんくみあい] /(n) teachers' union/
教員免許 [きょういんめんきょ] /(n) teacher's license (licence) (required to teach in preschool, elementary or secondary schools)/
教王 [きょうおう] /(n) Pope/
教化 [きょうか] /(n,vs) culture/education/civilization/civilisation/
教化 [きょうけ] /(n,vs) (Buddh) guidance/teaching people and leading them to Buddhism/
教化 [きょうげ] /(n,vs) (Buddh) guidance/teaching people and leading them to Buddhism/
教科 [きょうか] /(n) subject/curriculum/(P)/
教科書 [きょうかしょ] /(n) (abbr) textbook/text book/(P)/
教科書問題 [きょうかしょもんだい] /(n) controversy over school textbooks (i.e. history texts avoiding reference to Japanese military, etc. acts)/
教科用図書 [きょうかようとしょ] /(n) textbook/
教会 [きょうかい] /(n,adj-no) church/(P)/
教会員 [きょうかいいん] /(n) church member/
教会音楽 [きょうかいおんがく] /(n) church music/
教会管区 [きょうかいかんく] /(n) ecclesiastical province/
教会史 [きょうかいし] /(n) church history/
教会旋法 [きょうかいせんぽう] /(n) church modes (music)/
教会堂 [きょうかいどう] /(n) church/chapel/
教会法 [きょうかいほう] /(n) canon law/
教会暦 [きょうかいれき] /(n) church calendar/
教戒 [きょうかい] /(n,vs) (1) counselling (often of imprisoned criminals by a chaplain, etc.)/giving guidance/(2) admonishment/scolding/exhortation/
教戒師 [きょうかいし] /(n) chaplain (e.g. of a prison)/
教外別伝 [きょうげべつでん] /(n) Buddhist revelation through intuitive discernment/Spiritual awakening cannot be experienced with words and letters/Spiritual enlightenment can be attained only by means of communion of mind with mind (Zen Buddhism)/
教学 [きょうがく] /(n,vs) education and learning/
教官 [きょうかん] /(n) teacher/instructor/professor/(P)/
教義 [きょうぎ] /(n) creed/doctrine/dogma/
教区 [きょうく] /(n,adj-no) parish/
教区学校 [きょうくがっこう] /(n) parochial school/church school/
教区民 [きょうくみん] /(n) parishioner/
教具 [きょうぐ] /(n) teaching tools/
教訓 [きょうくん] /(n,vs) lesson/precept/moral instruction/(P)/
教訓を垂れる [きょうくんをたれる] /(exp,v1) to lecture/to give a lesson/
教訓的 [きょうくんてき] /(adj-na) instructive/
教権 [きょうけん] /(n) ecclesiastical or educational authority/
教護 [きょうご] /(n,vs) juvenile reform/
教護院 [きょうごいん] /(n) reform school/juvenile reformatory/
教皇 [きょうこう] /(n) Pope/
教皇庁 [きょうこうちょう] /(n) Vatican/Holy See/
教唆 [きょうさ] /(n,vs) instigation/(P)/
教唆罪 [きょうさざい] /(n) criminal instigation/
教唆者 [きょうさしゃ] /(n) instigator/
教唆扇動 [きょうさせんどう] /(n,vs) instigation and abetment/
教唆煽動 [きょうさせんどう] /(n,vs) instigation and abetment/
教唆犯 [きょうさはん] /(n) criminal instigator/
教材 [きょうざい] /(n) teaching materials/(P)/
教材センタ [きょうざいセンタ] /(n) (comp) media resource centre/resource centre/
教材プログラム [きょうざいプログラム] /(n) (comp) courseware/teaching program/
教材費 [きょうざいひ] /(n) teaching material fees/
教師 [きょうし] /(n,adj-no) teacher (classroom)/(P)/
教示 [きょうし] /(n,vs) instruction/teaching/
教示 [きょうじ] /(n,vs) instruction/teaching/(P)/
教室 [きょうしつ] /(n) classroom/(P)/
教主 [きょうしゅ] /(n,adj-no) founder of a religious sect/
教授 [きょうじゅ] /(n,vs,adj-no) (1) professor/(2) teaching/instruction/(P)/
教授会 [きょうじゅかい] /(n) faculty meeting/
教授陣 [きょうじゅじん] /(n) faculty/professorate/group of professors/
教授法 [きょうじゅほう] /(n) teaching methodology/pedagogy/
教習 [きょうしゅう] /(n,vs) training/instruction/(P)/
教習所 [きょうしゅうしょ] /(n) training institute/
教習所 [きょうしゅうじょ] /(n) training institute/
教習生 [きょうしゅうせい] /(n) trainee/student/
教書 [きょうしょ] /(n) (presidential) message/(P)/
教場 [きょうじょう] /(n) classroom/
教条 [きょうじょう] /(n) tenet/dogma/
教条主義 [きょうじょうしゅぎ] /(n) dogmatism/
教職 [きょうしょく] /(n) teaching certificate/the teaching profession/
教職員 [きょうしょくいん] /(n) teaching staff/faculty/(P)/
教職員研修所 [きょうしょくいんけんしゅうじょ] /(n) training institute for teaching staff/
教職員組合 [きょうしょくいんくみあい] /(n) teachers' union/
教職課程 [きょうしょくかてい] /(n) teacher-training curriculum/
教生 [きょうせい] /(n) (abbr) student teacher/
教籍 [きょうせき] /(n) church membership/
教祖 [きょうそ] /(n) founder of a religious sect/(P)/
教相判釈 [きょうそうはんじゃく] /(n) (Buddh) classification of the sutras and their teachings/
教則 [きょうそく] /(n) rules of teaching/
教則本 [きょうそくぼん] /(n) manual/practice book/practise book/
教卓 [きょうたく] /(n) teacher's desk/
教団 [きょうだん] /(n) religious organization/religious organisation/(P)/
教壇 [きょうだん] /(n) platform/(P)/
教壇に立つ [きょうだんにたつ] /(exp,v5t) (1) to stand on a podium/(2) to teach/to be a teacher/
教程 [きょうてい] /(n) curriculum/textbook/
教典 [きょうてん] /(n) scriptures/canon/teaching guide/
教徒 [きょうと] /(n) believer/adherent/(P)/
教頭 [きょうとう] /(n) deputy head teacher/vice principal/(P)/
教頭先生 [きょうとうせんせい] /(n) vice principal/
教導 [きょうどう] /(n,vs) instruction/teaching/
教派 [きょうは] /(n,adj-no) sect/denomination/
教派神道 [きょうはしんとう] /(n) Sect Shinto/
教範 [きょうはん] /(n) teaching method/
教父 [きょうふ] /(n,adj-no) (1) godfather/sponsor/(2) church fathers/
教父学 [きょうふがく] /(n) patristics/patrology/
教父哲学 [きょうふてつがく] /(n) patristic philosophy/
教部省 [きょうぶしょう] /(n) (obs) Ministry of Religious Education (1872-1877)/
教鞭 [きょうべん] /(n) teacher's cane/teacher's pointer/
教鞭をとる [きょうべんをとる] /(exp,v5r) to teach/to take a teaching job/
教鞭を執る [きょうべんをとる] /(exp,v5r) to teach/to take a teaching job/
教鞭を取る [きょうべんをとる] /(exp,v5r) to teach/to take a teaching job/
教母 [きょうぼ] /(n) godmother/(religious) sponsor/
教法 [きょうほう] /(n) religious law/teaching method/
教本 [きょうほん] /(n) textbook/
教務 [きょうむ] /(n) school affairs/religious affairs/(P)/
教務課 [きょうむか] /(n) educational affairs section/
教門 [きょうもん] /(n) study of Buddhist theory/
教諭 [きょうゆ] /(n,vs) teacher/(P)/
教養 [きょうよう] /(n,vs,adj-no) culture/education/refinement/cultivation/(P)/
教養課程 [きょうようかてい] /(n) general education course/
教養学部 [きょうようがくぶ] /(n) college of general education/
教養小説 [きょうようしょうせつ] /(n) novel about one's education, spiritual growth, etc./Bildungsroman/
教養番組 [きょうようばんぐみ] /(n) educational channel/
教養部 [きょうようぶ] /(n) college of liberal arts (general education)/liberal arts school/
教理 [きょうり] /(n) doctrine/
教歴 [きょうれき] /(n) one's teaching experience/one's career (experience) as a teacher/
教練 [きょうれん] /(n,vs) (mil) drill/
教誨 [きょうかい] /(n,vs) (1) counselling (often of imprisoned criminals by a chaplain, etc.)/giving guidance/
教誨師 [きょうかいし] /(n) chaplain (e.g. of a prison)/
教誡 [きょうかい] /(n,vs) (1) admonishment/scolding/exhortation/
橋 [きょう] /(n,adj-no) pons (pontes)/pons Varolii/pontine/part of the brain stem (links the medulla oblongata and cerebellum with the midbrain)/
橋 [はし] /(n) bridge/(P)/
橋かけ [はしかけ] /(n,vs) bridge building/cross-linking/
橋げた [はしげた] /(n) bridge girder/
橋の西詰め [はしのにしずめ] /(n) western edge of a bridge/
橋架 [きょうか] /(n) bridge girder/
橋架け [はしかけ] /(n,vs) bridge building/cross-linking/
橋脚 [きょうきゃく] /(n) bridge pier/pontoon bridge/(P)/
橋脚舟 [きょうきゃくしゅう] /(n) pontoon/
橋桁 [はしげた] /(n) bridge girder/
橋杭 [はしぐい] /(n) bridge pillar/
橋場の煙 [はしばのけぶり] /(n) (arch) cremation smoke/
橋場の煙 [はしばのけむり] /(n) (arch) cremation smoke/
橋台 [きょうだい] /(n) bridge abutment/
橋渡し [はしわたし] /(n,vs) bridge building/mediation/go-between/intermediary/(through the) good offices (of someone)/(P)/
橋頭保 [きょうとうほ] /(n) bridgehead/beachhead/
橋頭保 [きょうとうほう] /(n) bridgehead/beachhead/
橋頭堡 [きょうとうほ] /(n) bridgehead/beachhead/
橋頭堡 [きょうとうほう] /(n) bridgehead/beachhead/
橋板 [はしいた] /(n) plank of a bridge/bridge plank/
橋畔 [きょうはん] /(n) approach to a bridge/
橋本病 [はしもとびょう] /(n) Hashimoto's disease/Hashimoto's thyroiditis/
橋梁 [きょうりょう] /(n) bridge/
橋杙 [はしぐい] /(n) bridge pillar/
況して [まして] /(exp,adv) (1) (uk) still more/to say nothing of/not to mention/(2) (uk) still less (with neg. verb)/(P)/
況してや [ましてや] /(exp,adv) (uk) much less/to say nothing of/
況や [いわんや] /(exp) much more/not to mention/not to speak of/to say nothing of/let alone/
況んや [いわんや] /(exp) much more/not to mention/not to speak of/to say nothing of/let alone/
狂 [きょう] /(suf) (1) (some type of) enthusiast/(2) somebody possessed of a (certain kind of) mental abnormality/
狂い [くるい] /(n) deviation/confusion/disorder/
狂い回る [くるいまわる] /(v5r) to rave/to run amok (amuck)/
狂い咲き [くるいざき] /(n) off-season flowering/
狂い咲く [くるいざく] /(v5k) to bloom out of season/
狂い死に [くるいじに] /(n,vs) (sens) death in madness/dying insane/
狂う [くるう] /(v5u,vi) (1) to go mad/(2) to get out of order/to go amiss/(P)/
狂おしい [くるおしい] /(adj-i) crazy about/maddening/
狂おしい思い [くるおしいおもい] /(n) maddening thought/
狂しい [くるおしい] /(adj-i) crazy about/maddening/
狂する [きょうする] /(vs-s,vi) to go mad (over something)/to be crazy (about something)/
狂れる [ふれる] /(v1,vi) (uk) to go mad/
狂わす [くるわす] /(v5s) (1) to drive mad/to make insane/(2) to cause a malfunction/to put out of order/to throw out of kilter/(3) to derail (a plan, etc.)/
狂わせる [くるわせる] /(v1,vt) (1) to drive mad/(2) to cause a malfunction/to put out of order/(3) to derail (a plan, etc.)/
狂歌 [きょうか] /(n) comic (satirical) tanka/
狂喜 [きょうき] /(n,vs,adj-no) wild joy/ecstasy/
狂喜乱舞 [きょうきらんぶ] /(n,vs) boisterous dance/dancing wildly/
狂気 [きょうき] /(n) madness/(P)/
狂気のさた [きょうきのさた] /(exp) (col) crazy deed/unbelievable deed/the height of madness/act of sheer madness/
狂気の沙汰 [きょうきのさた] /(exp) (col) crazy deed/unbelievable deed/the height of madness/act of sheer madness/
狂牛病 [きょうぎゅうびょう] /(n) bovine spongiform encephalopathy/BSE/mad cow disease/
狂句 [きょうく] /(n) type of comic haiku/
狂拳 [きょうけん] /(n) crazy fist (dragonball technique)/
狂犬 [きょうけん] /(n) mad dog/
狂犬病 [きょうけんびょう] /(n) rabies/hydrophobia/
狂言 [きょうげん] /(n) (1) kyogen (farce played during a noh cycle)/play/drama/(2) make-believe/ruse/trick/(P)/
狂言回し [きょうげんまわし] /(n) supporting, but indispensable role/major supporting role/
狂言廻し [きょうげんまわし] /(n) supporting, but indispensable role/major supporting role/
狂言強盗 [きょうげんごうとう] /(n) fake (staged) robbery/
狂言自殺 [きょうげんじさつ] /(n) faked suicide/
狂言誘拐 [きょうげんゆうかい] /(n) fake (staged) kidnapping/
狂言綺語 [きょうげんきご] /(n) (a derogatory term for) fiction (lit: make-believe and fancy talk)/story/novel/
狂死 [きょうし] /(n,vs) dying insane/
狂死 [くるいじに] /(n,vs) (sens) death in madness/dying insane/
狂詩 [きょうし] /(n) (Edo-period) type of humorous poem (humourous)/
狂詩曲 [きょうしきょく] /(n) rhapsody/
狂者 [きょうしゃ] /(n) insane person/a fanatic/
狂女 [きょうじょ] /(n) madwoman/
狂信 [きょうしん] /(n,vs) (religious) fanaticism/
狂信者 [きょうしんしゃ] /(n) religious fanatic/
狂信的 [きょうしんてき] /(adj-na) fanatic/
狂人 [きょうじん] /(n,adj-no) lunatic/madman/
狂想曲 [きょうそうきょく] /(n) rhapsody/
狂騒 [きょうそう] /(n) mania/wild excitement/
狂態 [きょうたい] /(n) disgraceful behavior/disgraceful behaviour/
狂的 [きょうてき] /(adj-na,n) insane/fanatic/
狂風 [きょうふう] /(n) raging wind/
狂文 [きょうぶん] /(n) (Edo-period) humorous literature (humourous)/
狂暴 [きょうぼう] /(adj-na,n) rage/frenzy/
狂奔 [きょうほん] /(n,vs) rushing around/running wild/(P)/
狂乱 [きょうらん] /(n,vs,adj-no) fury/frenzy/madness/(P)/
狂乱物価 [きょうらんぶっか] /(n) soaring prices/wild price spiral/
狂悖 [きょうはい] /(n) (obsc) conduct that is immoral and lacking in common sense/
狂瀾 [きょうらん] /(n) raging waves/
狂瀾怒涛 [きょうらんどとう] /(n) maelstrom/the state of affairs being in great turmoil/
狂躁 [きょうそう] /(n) mania/wild excitement/
狭い [せまい] /(adj-i) narrow/confined/small/(P)/
狭き門 [せまきもん] /(n) narrow gate/obstacle/school (position) hard to enter (get)/
狭き門より入れ [せまきもんよりいれ] /(exp) (id) Enter ye in at the strait gate/
狭さく [きょうさく] /(adj-na,n) stricture/stenosis/contraction/
狭まる [せばまる] /(v5r,vi) to narrow/to contract/(P)/
狭む [せばむ] /(v5m) to squeeze in/to jam in/
狭める [せばめる] /(v1,vt) to narrow/to reduce/to contract/(P)/
狭域 [きょういき] /(adj-no) narrow/short range/micro/
狭間 [はざま] /(n) (1) interval/threshold/interstice/(2) valley/gorge/ravine/(3) loophole/eyelet/
狭軌 [きょうき] /(n,adj-no) narrow gauge/
狭軌鉄道 [きょうきてつどう] /(n) narrow-gauge railway/
狭義 [きょうぎ] /(n,adj-no) narrow sense (e.g. of a word)/strict/
狭苦しい [せまくるしい] /(adj-i) cramped/
狭窄 [きょうさく] /(adj-na,n) stricture/stenosis/contraction/
狭視野 [きょうしや] /(n,adj-no) (obsc) narrow-field (e.g. camera)/small-field/
狭小 [きょうしょう] /(adj-na,n) narrow/cramped/small-sized/
狭心症 [きょうしんしょう] /(n) heart attack/angina pectoris/(P)/
狭帯域 [きょうたいいき] /(n) (comp) narrowband/
狭鼻猿類 [きょうびえんるい] /(n,adj-no) catarrhine (primate of infraorder Catarrhini having nostrils that are close together, esp. the Old World monkeys of family Cercopithecidae)/
狭霧 [さぎり] /(n) mist/fog/
狭量 [きょうりょう] /(adj-na,n) narrow-mindedness/
狭隘 [きょうあい] /(adj-na,n) narrow/
矯めつ眇めつ [ためつすがめつ] /(exp,vs,adv) scrutiny/scanning/taking a good look/
矯めなおす [ためなおす] /(v5s) to set up again/to correct/to cure/
矯める [ためる] /(v1,vt) (1) to straighten/to correct/to cure/(2) to falsify/
矯め直す [ためなおす] /(v5s) to set up again/to correct/to cure/
矯角殺牛 [きょうかくさつぎゅう] /(exp) trying to straighten the horns of a bull, and killing it in the process/trying to correct a small defect and ruining the whole thing/The cure is worse than the disease/
矯激 [きょうげき] /(adj-na,n) radical/extreme/eccentric/
矯飾 [きょうしょく] /(n,vs) affectation/pretense/pretence/
矯正 [きょうせい] /(n,vs,adj-no) correction/remedy/(P)/
矯正視力 [きょうせいしりょく] /(n) corrected eyesight/
矯正職員 [きょうせいしょくいん] /(n) correctional officer/corrections officer/
矯風 [きょうふう] /(n) reform of morals/
矯味剤 [きょうみざい] /(n) taste masking agent/flavoring substance/
胸 [むね] /(n) breast/chest/(P)/
胸あて [むなあて] /(n) breastplate/chest protector/
胸あて [むねあて] /(n) breastplate/chest protector/
胸おどる [むねおどる] /(adj-f) (1) heart-pounding/exciting/thrilling/heartrending/(v5r) (2) to have one's heart pound/to be thrilled/
胸が悪い [むねがわるい] /(exp,adj-i) (1) sick/nauseated/(2) angry/irritated/
胸が悪くなる [むねがわるくなる] /(exp) to feel sick/to be nauseated/
胸が苦しい [むねがくるしい] /(exp) have a pain in one's chest/
胸が痛む様な出来事 [むねがいたむようなできごと] /(exp) painful incident/
胸が躍る [むねがおどる] /(exp,v5r) to be excited/to be elated/
胸くそが悪い [むなくそがわるい] /(exp,adj-i) annoying/being disgusted (at)/
胸ぐら [むなぐら] /(n) collar/lapels/
胸ぐらをつかむ [むなぐらをつかむ] /(exp,v5m) to grab someone by the collar/to grab someone by the lapels/
胸ぐらを掴む [むなぐらをつかむ] /(exp,v5m) to grab someone by the collar/to grab someone by the lapels/
胸さわぎ [むなさわぎ] /(n) uneasiness/vague apprehension/premonition/
胸にジーンと来る [むねにジーンとくる] /(exp,vk) to have one's heart touched (by something very moving)/
胸に一物 [むねにいちもつ] /(exp) machination/secret plan/plot/trick up one's sleeve/
胸に畳む [むねにたたむ] /(exp,v5m) to keep to oneself/to bear in mind/
胸に浮かぶ [むねにうかぶ] /(exp,vi,v5b) to come to mind/to pop into one's head/
胸の谷間 [むねのたにま] /(n) cleavage (between breasts)/
胸の痞が下りる [むねのつかえがおりる] /(exp,v1) to be relieved of a worry/
胸ひとつ [むねひとつ] /(n) (1) one's heart/(2) at one's discretion/in one's hands/
胸びれ [むなびれ] /(n) pectoral fin/
胸をおどらせる [むねをおどらせる] /(exp,v1) to make one's heart flutter/to be excited/
胸をときめかす [むねをときめかす] /(exp,v5s) to make one's heart flutter/
胸をなでおろす [むねをなでおろす] /(exp,v5s) to be relieved/to feel relieved/
胸をなで下ろす [むねをなでおろす] /(exp,v5s) to be relieved/to feel relieved/
胸を患う [むねをわずらう] /(exp,v5u) to suffer from pulmonary tuberculosis/to have trouble in one's lungs/
胸を時めかす [むねをときめかす] /(exp,v5s) to make one's heart flutter/
胸を借りる [むねをかりる] /(exp,v1) to be allowed to practice with a partner of higher skill (esp. in sumo)/
胸を出す [むねをだす] /(exp,v5s) to have training bouts with one's junior during practice (of a senior sumo wrestler)/
胸を焦がす [むねをこがす] /(exp,v5s) to yearn for/to pine for/
胸を打つ [むねをうつ] /(exp,v5t) to be touching/to be moving/
胸を貸す [むねをかす] /(exp,v5s) to allow a less skilled person to practice with one (esp. in sumo)/
胸を張る [むねをはる] /(exp,v5r) to throw out one's chest/to be puffed up with pride/
胸を痛める [むねをいためる] /(exp,v1) to worry oneself (about)/
胸を締めつける [むねをしめつける] /(exp,v1) to constrict one's chest/to wring one's heart/to wrench one's heart/
胸を締め付ける [むねをしめつける] /(exp,v1) to constrict one's chest/to wring one's heart/to wrench one's heart/
胸を反らす [むねをそらす] /(exp,v5s) to be puffed up with pride/to throw out one's chest/
胸を病む [むねをやむ] /(exp,v5m) to become consumptive/
胸を撫で下ろす [むねをなでおろす] /(exp,v5s) to be relieved/to feel relieved/
胸を躍らせる [むねをおどらせる] /(exp,v1) to make one's heart flutter/to be excited/
胸を冷やす [むねをひやす] /(exp,v5s) to be frightened/
胸悪 [むねわる] /(adj-na,n) (1) unpleasant/(n,adj-na) (2) (arch) being mean/mean person/
胸囲 [きょうい] /(n,adj-no) chest measurement/
胸一つ [むねひとつ] /(n) (1) one's heart/(2) at one's discretion/in one's hands/
胸泳 [きょうえい] /(n) breaststroke/
胸奥 [きょうおう] /(n) one's heart of hearts/the depths of one's mind/
胸臆 [きょうおく] /(n) one's inmost thoughts (feelings)/
胸回り [むねまわり] /(n) around one's chest/
胸懐 [きょうかい] /(n) heart/feelings/
胸郭 [きょうかく] /(n,adj-no) chest/thorax/
胸掛 [むなかき] /(ok) (n) martingale/
胸掛 [むながい] /(n) martingale/
胸間 [きょうかん] /(n) chest/breast/
胸筋 [きょうきん] /(n,adj-no) pectoral (muscle)/
胸襟 [きょうきん] /(n) one's heart/(P)/
胸苦しい [むなぐるしい] /(adj-i) (feeling of) tightness in the chest/
胸繋 [むなかき] /(ok) (n) martingale/
胸繋 [むながい] /(n) martingale/
胸懸 [むなかき] /(ok) (n) martingale/
胸懸 [むながい] /(n) martingale/
胸元 [むなもと] /(n) breast/pit of stomach/
胸甲 [きょうこう] /(n) sternum/breastplate/plastron/
胸腔 [きょうくう] /(n) thorax/thoracic cavity/
胸腔 [きょうこう] /(n) thorax/thoracic cavity/
胸高 [むなだか] /(adj-na,n) obi worn high on the waist/
胸黒 [むなぐろ] /(n) (uk) Pacific golden plover (Pluvialis fulva)/
胸骨 [きょうこつ] /(n,adj-no) breastbone/sternum/
胸座 [むなぐら] /(n) collar/lapels/
胸三寸 [むなさんずん] /(n) heart/mind/feelings/
胸三寸 [むねさんずん] /(n) heart/mind/feelings/
胸算用 [むなざんよう] /(n,vs) (1) making a rough estimate in one's head/(2) expectation/anticipation/
胸算用 [むねざんよう] /(n,vs) (1) making a rough estimate in one's head/(2) expectation/anticipation/
胸灼け [むなやけ] /(n,vs) heartburn/sour stomach/
胸灼け [むねやけ] /(n,vs) heartburn/sour stomach/
胸焼け [むなやけ] /(n,vs) heartburn/sour stomach/
胸焼け [むねやけ] /(n,vs) heartburn/sour stomach/
胸章 [きょうしょう] /(n) medal/badge/insignia (worn on the chest)/
胸飾り [むねかざり] /(n) brooch/
胸水 [きょうすい] /(n) pleural fluid/
胸声 [きょうせい] /(n) low singing voice/
胸積もり [むなづもり] /(n) calculating in one's head/
胸赤鶸 [むねあかひわ] /(n) (uk) Eurasian linnet (Carduelis cannabina)/
胸先 [むなさき] /(n) chest/breast/
胸先三寸 [むなさきさんずん] /(n) one's mind/one's inner feelings/(a decision hinging on) how someone feels about it/
胸腺 [きょうせん] /(n,adj-no) thymus/
胸倉 [むなぐら] /(n) collar/lapels/
胸騒ぎ [むなさわぎ] /(n) uneasiness/vague apprehension/premonition/
胸像 [きょうぞう] /(n) bust (statue)/(P)/
胸中 [きょうちゅう] /(n,adj-no) one's heart/one's mind/one's intentions/(P)/
胸椎 [きょうつい] /(n) thoracic vertebra/thoracic vertebrae/
胸痛 [きょうつう] /(n) chest pain/
胸底 [きょうてい] /(n) the bottom of one's heart/
胸当 [むなあて] /(io) (n) breastplate/chest protector/
胸当 [むねあて] /(io) (n) breastplate/chest protector/
胸当て [むなあて] /(n) breastplate/chest protector/
胸当て [むねあて] /(n) breastplate/chest protector/
胸突き八丁 [むなつきはっちょう] /(n) the most trying spot or period/the most difficult period/
胸突八丁 [むなつきはっちょう] /(n) the most trying spot or period/the most difficult period/
胸乳 [むなち] /(n) breasts/
胸乳 [むなぢ] /(n) breasts/
胸白河烏 [むなじろかわがらす] /(n) (uk) white-throated dipper (Cinclus cinclus)/
胸白貂 [むなじろてん] /(n) (uk) stone marten/beech marten (Martes foina)/
胸板 [むないた] /(n) breast/chest/
胸紐 [むなひぼ] /(n) (1) string tied to the chest of one's kimono or haori/(2) (arch) childhood (period where one would wear such a string)/
胸紐 [むなひも] /(n) (1) string tied to the chest of one's kimono or haori/(2) (arch) childhood (period where one would wear such a string)/
胸紐 [むねひも] /(n) (1) string tied to the chest of one's kimono or haori/(2) (arch) childhood (period where one would wear such a string)/
胸鰭 [むなびれ] /(n) pectoral fin/
胸部 [きょうぶ] /(n,adj-no) chest/breast/(P)/
胸部外科 [きょうぶげか] /(n) thoracic surgery/
胸部疾患 [きょうぶしっかん] /(n) chest disease/
胸部大動脈 [きょうぶだいどうみゃく] /(n) thoracic aorta/
胸幅 [むねはば] /(n) breadth of the chest/
胸糞 [むなくそ] /(n) disgust/
胸糞 [むねくそ] /(n) disgust/
胸糞が悪い [むなくそがわるい] /(exp,adj-i) annoying/being disgusted (at)/
胸壁 [きょうへき] /(n) chest walls/breastworks/parapet/
胸膜 [きょうまく] /(n,adj-no) pleura/
胸膜炎 [きょうまくえん] /(n) pleurisy/
胸毛 [むなげ] /(n) chest hair/breast down/
胸躍る [むねおどる] /(adj-f) (1) heart-pounding/exciting/thrilling/heartrending/(v5r) (2) to have one's heart pound/to be thrilled/
胸裏 [きょうり] /(n) one's heart/one's mind (feelings, bosom)/
胸搦み [むながらみ] /(n) (obsc) collar/lapels/
脅え [おびえ] /(n) (uk) being startled, surprised or afraid/panic/trepidation/
脅える [おびえる] /(v1,vi) to become frightened/to be frightened (of)/to be scared (of)/
脅かし [おどかし] /(n) threat/
脅かす [おどかす] /(v5s,vt) (1) to threaten/to menace/(2) to startle/to surprise/(P)/
脅かす [おびやかす] /(v5s,vt) (1) to intimidate/to scare/(2) to jeopardize/to endanger/to imperil/(P)/
脅し [おどし] /(n) threat/(P)/
脅しつける [おどしつける] /(v1) to threaten/to terrify/to frighten/
脅し取る [おどしとる] /(v5r,vt) to extort (money)/to blackmail/
脅し付ける [おどしつける] /(v1) to threaten/to terrify/to frighten/
脅し文句 [おどしもんく] /(n) threatening words/
脅す [おどす] /(v5s,vt) to threaten/to menace/(P)/
脅やかす [おびやかす] /(io) (v5s,vt) (1) to intimidate/to scare/(2) to jeopardize/to endanger/to imperil/
脅威 [きょうい] /(n,vs) threat/menace/(P)/
脅嚇 [きょうかく] /(n,vs) (obsc) intimidation/threat/
脅喝 [きょうかつ] /(n,vs) threat/intimidation/menace/
脅迫 [きょうはく] /(n,vs) threat/menace/coercion/terrorism/(P)/
脅迫罪 [きょうはくざい] /(n) intimidation/
脅迫者 [きょうはくしゃ] /(n) person making threats/intimidator/
脅迫状 [きょうはくじょう] /(n) threatening or intimidating letter/
脅迫的 [きょうはくてき] /(adj-na) menacing/threatening/
脅迫電話 [きょうはくでんわ] /(n) telephone threat (e.g. of a bomb)/
興 [おこし] /(n) (uk) millet or rice cake, roasted and hardened with starch syrup and sugar (sometimes including peanuts, etc.)/
興 [きょう] /(n) (1) interest/entertainment/pleasure/(2) implicit comparison (style of the Shi Jing)/(P)/
興がる [きょうがる] /(v5r,vi) to be amused or interested in/
興が有る [きょうがある] /(exp) to be fun/to be interesting/
興ざめ [きょうざめ] /(adj-na,n) kill-joy/wet-blanket/skeleton at the feast/
興し [おこし] /(n) (uk) millet or rice cake, roasted and hardened with starch syrup and sugar (sometimes including peanuts, etc.)/
興し [おこし] /(suf) development/revitalization/
興じる [きょうじる] /(v1,vi) to amuse oneself/to make merry/
興す [おこす] /(v5s,vt) to revive/to retrieve (fortunes)/to raise up/(P)/
興ずる [きょうずる] /(vz,vi) to amuse oneself/to make merry/
興る [おこる] /(v5r,vi) to rise/to flourish/
興を冷ます [きょうをさます] /(exp,v5s) to be a wet-blanket/to spoil a person's pleasure/
興亜 [こうあ] /(n) Asia development/
興亜語 [こうあご] /(n) Manchukuo dialect/
興起 [こうき] /(n,vs) rise/ascendency/aroused energy/high-spirited action/
興業 [こうぎょう] /(n,vs) industrial enterprise/(P)/
興業銀行 [こうぎょうぎんこう] /(n) industrial bank/
興銀 [こうぎん] /(n) (abbr) industrial bank/
興行 [こうぎょう] /(n,vs) entertainment industry/show business/(P)/
興行化 [こうぎょうか] /(n,vs) staging or filming a story/
興行界 [こうぎょうかい] /(n) entertainment world/
興行権 [こうぎょうけん] /(n) promotional or production rights/
興行師 [こうぎょうし] /(n) showman/show manager/
興行主 [こうぎょうぬし] /(n) showman/impresario/promoter/producer/
興行収入 [こうぎょうしゅうにゅう] /(n) box-office takings/box-office revenue/
興行成績 [こうぎょうせいせき] /(n) box-office record/
興国 [こうこく] /(n,vs) (1) making a country prosperous/prosperous country/(2) Koukoku era (of the Southern Court) (1340.4.28-1346.12.8)/
興産 [こうさん] /(n) industry/industries/
興趣 [きょうしゅ] /(n) interest (in something)/
興収 [こうしゅう] /(n) (abbr) box-office takings/box-office revenue/
興信所 [こうしんじょ] /(n) detective agency/(P)/
興信録 [こうしんろく] /(n) directory/
興醒し [きょうざまし] /(adj-na,n) kill-joy/wet-blanket/
興醒まし [きょうざまし] /(adj-na,n) spoiling the fun/a wet-blanket/
興醒め [きょうざめ] /(adj-na,n) kill-joy/wet-blanket/skeleton at the feast/
興醒める [きょうざめる] /(v1,vi) to lose interest/
興替 [こうたい] /(n) rise and fall (of nations)/
興廃 [こうはい] /(n,vs) rise and fall (of nations)/destiny/
興敗 [こうはい] /(n,vs) rise and fall (of nations)/destiny/
興奮 [こうふん] /(n,vs) excitement/stimulation/agitation/arousal/(P)/
興奮気味 [こうふんぎみ] /(n,adj-no) being somewhat excited (agitated)/
興奮剤 [こうふんざい] /(n) stimulant/
興奮状態 [こうふんじょうたい] /(n) excited condition/excited state/
興亡 [こうぼう] /(n) rise and fall/ups and downs/
興亡盛衰 [こうぼうせいすい] /(n) rise and fall/prosperity and decline/vicissitudes/
興味 [きょうみ] /(n) interest (in something)/(P)/
興味が薄い [きょうみがうすい] /(exp,adj-i) uninteresting/
興味しんしん [きょうみしんしん] /(adj-no,adj-t,adv-to) very interesting/of absorbing interest/having a keen interest (in)/being immensely curious (about)/
興味ない [きょうみない] /(adj-i) of no interest/not interested/
興味の薄い [きょうみのうすい] /(adj-i) uninteresting/
興味を持つ [きょうみをもつ] /(exp,v5t) to have an interest/
興味索然 [きょうみさくぜん] /(adj-t,adv-to) uninteresting/tending to spoil the fun (pleasure) (of)/throwing a wet blanket (on)/
興味深い [きょうみぶかい] /(adj-i) very interesting/of great interest/(P)/
興味津々 [きょうみしんしん] /(adj-no,adj-t,adv-to) very interesting/of absorbing interest/having a keen interest (in)/being immensely curious (about)/
興味津津 [きょうみしんしん] /(adj-no,adj-t,adv-to) very interesting/of absorbing interest/having a keen interest (in)/being immensely curious (about)/
興味本位 [きょうみほんい] /(adj-na,adj-no) (just) out of curiosity/(just) in order to satisfy one's curiosity/aimed chiefly at amusing/sensational (e.g. magazine)/
興味無い [きょうみない] /(adj-i) of no interest/not interested/
興隆 [こうりゅう] /(n,vs) rise/prosperity/(P)/
興冷め [きょうざめ] /(iK) (adj-na,n) kill-joy/wet-blanket/skeleton at the feast/
蕎麦 [そば] /(n) (1) (uk) buckwheat (Fagopyrum esculentum)/(2) soba/Japanese buckwheat noodles/(P)/
蕎麦 [そばむぎ] /(n) (1) (uk) buckwheat (Fagopyrum esculentum)/
蕎麦 [そまむぎ] /(n) (1) (uk) buckwheat (Fagopyrum esculentum)/
蕎麦がき [そばがき] /(n) buckwheat mash (buckwheat flour in hot water served with shoyu)/
蕎麦ボーロ [そばボーロ] /(n) (uk) buckwheat cookie/
蕎麦屋 [そばや] /(n) buckwheat-noodle restaurant/(P)/
蕎麦殻 [そばがら] /(n) buckwheat chaff/
蕎麦切 [そばきり] /(n) soba/Japanese buckwheat noodles/
蕎麦切り [そばきり] /(n) soba/Japanese buckwheat noodles/
蕎麦掻 [そばがき] /(io) (n) buckwheat mash (buckwheat flour in hot water served with shoyu)/
蕎麦掻き [そばがき] /(n) buckwheat mash (buckwheat flour in hot water served with shoyu)/
蕎麦湯 [そばゆ] /(n) water left in the pot after one has boiled soba/
蕎麦粉 [そばこ] /(n) buckwheat flour/
郷 [きょう] /(n) (1) hometown/(2) rural township (of China)/
郷 [ごう] /(n) (1) countryside/country/(2) 50-home township (comprised of 2-3 neighbourhoods)/
郷 [さと] /(n) (1) village/hamlet/(2) countryside/country/
郷に入っては郷に従え [ごうにいってはごうにしたがえ] /(exp) when in Rome, do as the Romans do/
郷に入らば郷に従え [ごうにいらばごうにしたがえ] /(exp) When in Rome, do as the Romans do/
郷に入れば郷に従え [ごうにいればごうにしたがえ] /(exp) when in Rome, do as the Romans do/
郷関 [きょうかん] /(n) one's hometown/
郷軍 [ごうぐん] /(n) veteran/reservist/ex-soldier/
郷国 [きょうこく] /(n) one's native land/
郷士 [ごうし] /(n) country samurai/
郷社 [ごうしゃ] /(n) (obs) village shrine/
郷愁 [きょうしゅう] /(n) nostalgia/homesickness/(P)/
郷俗 [きょうぞく] /(n) village customs/
郷村 [ごうそん] /(n) villages/
郷鎮企業 [ごうちんきぎょう] /(n) township and village enterprise in China/
郷土 [きょうど] /(n) native place/birth-place/one's old home/(P)/
郷土愛 [きょうどあい] /(n) love for one's hometown/
郷土玩具 [きょうどがんぐ] /(n) folk toy/traditional toy/
郷土芸能 [きょうどげいのう] /(n) folk entertainment/
郷土史 [きょうどし] /(n) local history/
郷土小説 [きょうどしょうせつ] /(n) local story/
郷土色 [きょうどしょく] /(n) local color/local colour/
郷土博物館 [きょうどはくぶつかん] /(n) folk museum/
郷土文学 [きょうどぶんがく] /(n) folk literature/
郷土料理 [きょうどりょうり] /(n) local cuisine/
郷党 [きょうとう] /(n) people from one's hometown/
郷友 [きょうゆう] /(n) friends from the same hometown/
郷友会 [きょうゆうかい] /(n) social organisation for people originating from the same town, village, or island who live in an urban center far from home (predominantly used by people from Okinawa)/
郷邑 [きょうゆう] /(n) hamlet/village/
郷里 [きょうり] /(n) birth-place/home town/(P)/
郷里制 [ごうりせい] /(n) township-neighbourhood system (redefining the province-district-neighbourhood system, establishing 50-home townships of 2-3 neighbourhoods each; 715-740 CE)/
鏡 [かがみ] /(n) mirror/(P)/
鏡に映る [かがみにうつる] /(exp,v5r) to be reflected in a mirror/
鏡を抜く [かがみをぬく] /(exp,v5k) to uncask/to open a barrel/
鏡映 [きょうえい] /(n) (comp) mirroring/
鏡花水月 [きょうかすいげつ] /(n) flowers reflected on a mirror and the moon reflected on the water's surface/something that is visible but having no substance/the subtle and profound beauty of poems that cannot be described in words/
鏡開き [かがみびらき] /(n) (1) cutting the New Year's rice cake (January 11th)/(2) traditional breaking of a sake cask at weddings, receptions, etc./
鏡割 [かがみわり] /(n) breaking open a ceremonial sake barrel/
鏡割り [かがみわり] /(n) breaking open a ceremonial sake barrel/
鏡鑑 [きょうかん] /(n) paragon/mirror/
鏡高 [きょうこう] /(n) height of a mirror stand/
鏡藷 [かがみいも] /(n) Metaplexis japonica/
鏡像 [きょうぞう] /(n,adj-no) (1) reflected image/mirror image/(2) math image by inversion/
鏡像体 [きょうぞうたい] /(n) enantiomer/
鏡台 [きょうだい] /(n) dresser/(P)/
鏡筒 [きょうとう] /(n) lens-barrel/lens tube (e.g. of a telescope)/
鏡板 [かがみいた] /(n) panel/scene-panel/
鏡面 [きょうめん] /(n,adj-no) mirror surface/
鏡面反射 [きょうめんはんしゃ] /(n) (comp) specular reflection/
鏡面反射係数 [きょうめんはんしゃけいすう] /(n) (comp) specular reflection coefficient/
鏡面反射指数 [きょうめんはんしゃしすう] /(n) (comp) specular exponent/
鏡面反射色 [きょうめんはんしゃしょく] /(n) (comp) specular colour/
鏡餅 [かがみもち] /(n) mirror-shaped mochi, usu. a pair stacked in order of size with a daidai on top, used as a New Year offering, then cut and eaten on January 11./
鏡匣 [きょうこう] /(n) (arch) mirror case/
響 [ひびき] /(io) (n) echo/sound/reverberation/noise/(P)/
響かす [ひびかす] /(v5s,vt) to make something resound/
響かせる [ひびかせる] /(v1,vt) to make something resound/
響き [ひびき] /(n) echo/sound/reverberation/noise/(P)/
響きわたる [ひびきわたる] /(v5r,vi) to resound/
響き渡る [ひびきわたる] /(v5r,vi) to resound/
響く [ひびく] /(v5k,vi) (1) to resound/to be heard far away/(2) to reverberate/to shake/to vibrate/(3) to come (home)/to remain (with someone)/(4) to have an effect/to make an impression/(P)/
響めき [どよめき] /(n) (uk) commotion/stir/
響めく [どよめく] /(v5k) to resound/to make a stir/(P)/
響笛 [きょうてき] /(n) vibrating pipe/
響動めき [どよめき] /(n) (uk) commotion/stir/
響動めく [どよめく] /(v5k) to resound/to make a stir/
響銅 [さはり] /(n) copper alloy with traces of silver, lead, or tin/
饗 [あえ] /(n) (arch) treating someone (to food or drink)/entertaining someone (as one's guest)/
饗 [きょう] /(n) (arch) treating someone (to food or drink)/entertaining someone (as one's guest)/
饗す [きょうす] /(v5s,vt) to treat/to feast/to provide dinner for/
饗する [きょうする] /(vs-s,vt) to treat/to feast/to provide dinner for/
饗宴 [きょうえん] /(n) (1) feast/banquet/(2) Symposium (book by Plato)/(P)/
饗応 [きょうおう] /(n,vs) (1) entertainment/treat/feast/banquet/(2) immediately agreeing with someone else/
饗設 [あるじもうけ] /(n) (arch) entertaining someone as one's guest/
饗設け [あるじもうけ] /(n) (arch) entertaining someone as one's guest/
驚かす [おどろかす] /(v5s,vt) to surprise/to frighten/to create a stir/(P)/
驚かせる [おどろかせる] /(v1,vt) to surprise/to frighten/to create a stir/
驚がく [きょうがく] /(n,vs) surprise/fright/shock/
驚き [おどろき] /(n) surprise/astonishment/wonder/(P)/
驚き入る [おどろきいる] /(v5r,vi) to be astonished/to be amazed/
驚く [おどろく] /(v5k,vi) to be surprised/to be astonished/(P)/
驚くべき [おどろくべき] /(exp) astonishing/amazing/surprising/wonderful/
驚異 [きょうい] /(n) wonder/miracle/(P)/
驚異的 [きょういてき] /(adj-na) wonderful/astounding/marvellous/
驚喜 [きょうき] /(n,vs) pleasant surprise/
驚嘆 [きょうたん] /(n,vs) wonder/admiration/(P)/
驚歎 [きょうたん] /(n,vs) admiration/wondering/being struck with admiration/
驚天動地 [きょうてんどうち] /(n,adj-no) astounding/startling/world-shaking/amazing/earth-shattering/
驚倒 [きょうとう] /(n,vs) sensational/
驚愕 [きょうがく] /(n,vs) surprise/fright/shock/
驚懼 [きょうく] /(n,vs) (arch) being startled/
驚駭 [きょうがい] /(n,vs) being very surprised/
仰々しい [ぎょうぎょうしい] /(adj-i) exaggerated/bombastic/highly colored/highly coloured/
仰々子 [ぎょうぎょうし] /(n) (obsc) reed warbler (esp. the great reed warbler, but also the black-browed reed warbler)/
仰ぎ見る [あおぎみる] /(v1,vt) to look upwards/to look up/
仰ぎ奉る [あおぎたてまつる] /(v5r) (pol) to look up/
仰ぎ望み [あおぎのぞみ] /(n,vs) look to (for help)/look up to/reverence/
仰ぐ [あおぐ] /(v5g,vt) (1) to look up (at)/(2) to look up (to)/to respect/to revere/(3) to ask for/to seek/(4) to turn to someone/to depend on/(5) to drink/to take/(P)/
仰けぞる [のけぞる] /(v5r) (1) to bend (backward)/to throw (the head) back/(2) to be taken aback/
仰け反る [のけぞる] /(v5r) (1) to bend (backward)/to throw (the head) back/(2) to be taken aback/
仰しゃる [おっしゃる] /(v5aru,vt) (uk) (hon) to say/to speak/to tell/to talk/
仰せ [おおせ] /(n) statement/command/wishes (of a superior)/
仰せつかる [おおせつかる] /(v5r,vt) to receive a command/to be appointed/to be ordered/
仰せつける [おおせつける] /(v1,vt) to command/to request/to appoint/
仰せられる [おおせられる] /(v1) (hon) to say/to state/
仰せ付かる [おおせつかる] /(v5r,vt) to receive a command/to be appointed/to be ordered/
仰せ付ける [おおせつける] /(v1,vt) to command/to request/to appoint/
仰っしゃる [おっしゃる] /(v5aru,vt) (uk) (hon) to say/to speak/to tell/to talk/(P)/
仰のく [あおのく] /(v5k) to look up/
仰のける [あおのける] /(v1,vt) to turn up (one's face or a card)/
仰むく [あおむく] /(v5k) to look upward/
仰る [おっしゃる] /(v5aru,vt) (uk) (hon) to say/to speak/to tell/to talk/
仰るとおり [おっしゃるとおり] /(exp) (hon) I agree with you/it is as (someone) says/
仰る通り [おっしゃるとおり] /(exp) (hon) I agree with you/it is as (someone) says/
仰臥 [ぎょうが] /(n,vs,adj-no) lie on one's back/
仰角 [ぎょうかく] /(n) angle of elevation/
仰仰しい [ぎょうぎょうしい] /(adj-i) exaggerated/bombastic/highly colored/highly coloured/
仰仰子 [ぎょうぎょうし] /(n) (obsc) reed warbler (esp. the great reed warbler, but also the black-browed reed warbler)/
仰見る [あおぎみる] /(v1,vt) to look upwards/to look up/
仰向く [あおむく] /(v5k) to look upward/
仰向け [あおむけ] /(n) face up/(P)/
仰向ける [あおむける] /(v1,vt) to turn up (one's face)/
仰山 [ぎょうさん] /(adj-na,adv,n) (1) large quantity/plenty/abundance/great many/(2) exaggeration/
仰視 [ぎょうし] /(n,vs,adj-no) looking up to/revering/
仰天 [ぎょうてん] /(n,vs) being amazed/being horrified/being taken aback/(P)/
仰反る [のけぞる] /(v5r) (1) to bend (backward)/to throw (the head) back/(2) to be taken aback/
仰奉る [あおぎたてまつる] /(v5r) (pol) to look up/
仰望 [ぎょうぼう] /(n,vs) look to (for help)/look up to/reverence/
仰有る [おっしゃる] /(v5aru,vt) (uk) (hon) to say/to speak/to tell/to talk/
仰様に [のけざまに] /(adv) on one's back/
凝 [こり] /(n) (1) stiffness (in shoulders)/swelling/hardening/
凝 [しこり] /(n) (1) stiffness (in shoulders)/swelling/hardening/(2) lingering discomfort/uneasiness/bad aftertaste/unpleasant feeling/
凝った [こった] /(adj-f) elaborate/exquisite/tasteful/refined/artistic/(P)/
凝める [みつめる] /(oK) (v1,vt) (uk) to stare at/to gaze at/to look hard at/to watch intently/to fix one's eyes on/
凝らす [こごらす] /(v5s,vt) (1) to freeze/to congeal/(2) to concentrate one's attention on/to devote oneself to something/to ponder/to meditate/
凝らす [こらす] /(v5s,vt) to concentrate/to devote/to apply/to strain/to rack/
凝らせる [こごらせる] /(v1,vt) to freeze/to congeal/
凝り [こごり] /(n) (1) (uk) congealing/jelly/(2) jellied fish broth/
凝り [こり] /(n) (1) stiffness (in shoulders)/swelling/hardening/
凝り [しこり] /(n) (1) stiffness (in shoulders)/swelling/hardening/(2) lingering discomfort/uneasiness/bad aftertaste/unpleasant feeling/
凝りだす [こりだす] /(v5s) to be into something (ie. a hobby)/
凝り固まる [こりかたまる] /(v5r,vi) to coagulate/to curdle/to clot/to be fanatical/
凝り出す [こりだす] /(v5s) to be into something (ie. a hobby)/
凝り性 [こりしょう] /(adj-na,adj-no,n) (1) fastidiousness/enthusiasm for one thing/meticulousness/monomania/obsession/(2) susceptibility for a stiffening of the shoulders/(P)/
凝る [こごる] /(v5r,vi) to congeal/to freeze/
凝る [こる] /(v5r,vi) (1) to grow stiff/(2) to be absorbed in/to be devoted to/to be a fanatic/to elaborate/(P)/
凝る [しこる] /(v5r,vi) to stiffen/to harden/
凝花舎 [ぎょうかしゃ] /(n) court ladies' residence (in the inner Heian Palace)/
凝華舎 [ぎょうかしゃ] /(n) court ladies' residence (in the inner Heian Palace)/
凝塊 [ぎょうかい] /(n,adj-no) clot/
凝灰岩 [ぎょうかいがん] /(n) tuff/
凝議 [ぎょうぎ] /(n,vs) deliberation/consultation/
凝結 [ぎょうけつ] /(n,vs) coagulation/freezing/solidification/curdling/setting/congealing/
凝血 [ぎょうけつ] /(n,vs) blood clot/curdle/
凝乎と [じっと] /(adv,n,vs) (1) (on-mim) (uk) motionlessly/(2) (uk) fixedly (e.g. of staring)/(3) (uk) patiently/(4) (uk) firmly (e.g. hold)/restrained/
凝固 [ぎょうこ] /(n,vs) coagulation/freezing/solidification/(P)/
凝固まり [こりかたまり] /(n) coagulation/clot/enthusiast/fanatic/
凝固点 [ぎょうこてん] /(n) hardening point/freezing point/congealing point/
凝脂 [ぎょうし] /(n) solidified oil/
凝視 [ぎょうし] /(n,vs) stare/gaze/fixation/(P)/
凝集 [ぎょうしゅう] /(n,vs,adj-no) (1) agglomeration/clumping together/(2) cohesion (of ions, etc.)/(3) flocculation (of colloidal particles)/(4) (biological) agglutination/
凝集原 [ぎょうしゅうげん] /(n) agglutinogen/
凝集素 [ぎょうしゅうそ] /(n) agglutinin/
凝集反応 [ぎょうしゅうはんのう] /(n) agglutination reaction/
凝集力 [ぎょうしゅうりょく] /(n) cohesive power/
凝縮 [ぎょうしゅく] /(n,adj-no) (1) condensation/(vs) (2) to condense (steam, ideas, emotions, etc.)/(P)/
凝然 [ぎょうぜん] /(adv-to,adj-t) (arch) frozen in place/
凝然として [ぎょうぜんとして] /(exp) quietly/without the slightest movement/
凝滞 [ぎょうたい] /(n,vs) delay/
凝着 [ぎょうちゃく] /(n,vs) adhesion/
凝着力 [ぎょうちゃくりょく] /(n) adhesion/
凝乳 [ぎょうにゅう] /(n) curd/curds/curdled milk/
凝念 [ぎょうねん] /(n) concentration of thought/
凝望 [ぎょうぼう] /(n,vs) looking intently/
凝立 [ぎょうりつ] /(n,vs) standing absolutely still/
尭々 [ぎょうぎょう] /(adj-t,adv-to) high (as of a mountain)/
尭尭 [ぎょうぎょう] /(adj-t,adv-to) high (as of a mountain)/
暁 [あかつき] /(n) (1) dawn/daybreak/(2) event (i.e. "in the event of ...")/occasion/occurrence/(P)/
暁 [あかとき] /(ok) (n) (1) dawn/daybreak/
暁の空 [あかつきのそら] /(n) dawning sky/
暁闇 [あかつきやみ] /(n) moonless dawn/
暁闇 [あかときやみ] /(n) moonless dawn/
暁闇 [ぎょうあん] /(n) dark before dawn/
暁角 [ぎょうかく] /(n) (arch) (obsc) sound of a horn announcing daybreak/
暁光 [ぎょうこう] /(n) the light of dawn/
暁新世 [ぎょうしんせい] /(n) Paleocene epoch/
暁星 [ぎょうせい] /(n) morning star/Venus/rarity/(P)/
暁天 [ぎょうてん] /(n) dawn/
暁鴉 [ぎょうあ] /(n) (obsc) crow cawing in the morning/crows crying in the morning/
業 [ぎょう] /(n,suf) (1) work/business/(2) study/
業 [ごう] /(n) (Buddh) karma (i.e. actions committed in a former life)/(P)/
業 [わざ] /(n) deed/act/work/performance/
業が深い [ごうがふかい] /(exp,adj-i) past redemption/sinful/
業とする [ぎょうとする] /(exp,vs-i) to work at a profession/to pursue a vocation/
業の深い [ぎょうのふかい] /(adj-i) sinful/
業わい [なりわい] /(n) occupation/livelihood/calling/
業をにやす [ごうをにやす] /(exp,v5s) to lose one's temper/to be exasperated/to become irritated/
業を煮やす [ごうをにやす] /(exp,v5s) to lose one's temper/to be exasperated/to become irritated/
業因 [ごういん] /(n) karma/
業果 [ごうか] /(n) effects of karma/
業火 [ごうか] /(n) hell fire/
業界 [ぎょうかい] /(n) industry/business/(P)/
業界アナリスト [ぎょうかいアナリスト] /(n) industry analyst/
業界規範 [ぎょうかいきはん] /(n) (comp) industry standard/industry norm/
業界紙 [ぎょうかいし] /(n) trade journal/
業界初 [ぎょうかいはつ] /(exp) the industry's first .../
業界人 [ぎょうかいじん] /(n) person in the business (entertainment, music, film, etc)/
業界精通者 [ぎょうかいせいつうしゃ] /(n) (comp) industry expert/
業界団体 [ぎょうかいだんたい] /(n) industry group/
業界動向 [ぎょうかいどうこう] /(n) industry trend/
業界標準 [ぎょうかいひょうじゅん] /(n) industry-wide standard/
業界標準アーキテクチャ [ぎょうかいひょうじゅんアーキテクチャ] /(n) (comp) Industry Standard Architecture/ISA/
業界標準化 [ぎょうかいひょうじゅんか] /(n) (comp) industry standardization/
業革 [ぎょうかく] /(n) (abbr) business restructuring/business reformation/business revolution/
業況 [ぎょうきょう] /(n) condition of industry, enterprise, etc./
業況判断指数 [ぎょうきょうはんだんしすう] /(n) diffusion index/DI/business sentiment index/
業苦 [ごうく] /(n) karmic suffering/
業師 [わざし] /(n) tricky wrestler/shrewd fellow/
業者 [ぎょうしゃ] /(n) (1) trader/merchant/(2) manufacturer/contractor/(P)/
業種 [ぎょうしゅ] /(n) type of industry/(P)/
業績 [ぎょうせき] /(n) achievement/performance/results/work/contribution/(P)/
業績悪化 [ぎょうせきあっか] /(n,vs,adj-no) downturn/
業績下方修正 [ぎょうせきかほうしゅうせい] /(n) profit warning/
業績見通し [ぎょうせきみとおし] /(n) earnings estimates (forecast, outlook, projection)/
業績主義 [ぎょうせきしゅぎ] /(n) meritocracy/performance-based system/achievement-based system/
業績賞与 [ぎょうせきしょうよ] /(n) performance bonus/
業績不振 [ぎょうせきふしん] /(n,adj-no) poor business performance/economic slump/
業績予想 [ぎょうせきよそう] /(n) earnings forecast (outlook, projection)/
業績連動払い [ぎょうせきれんどうはらい] /(n) performance-based pay/achievement-based pay/payment linked to performance/
業態 [ぎょうたい] /(n) business conditions/
業突張り [ごうつくばり] /(adj-na,n) (1) stubbornness/pigheaded person/(2) miser/
業病 [ごうびょう] /(n) incurable disease/
業腹 [ごうはら] /(adj-na,n) spite/resentment/
業物 [わざもの] /(n) sharp sword/
業報 [ごうほう] /(n) karma effects/fate/inevitable retribution/
業務 [ぎょうむ] /(n) business/affairs/duties/work/procedure/task/action/function/(P)/
業務のカテゴリィ [ぎょうむのカテゴリィ] /(n) (comp) functional category/
業務の外部委託 [ぎょうむのがいぶいたく] /(n) outsourcing/
業務アプリケーション [ぎょうむアプリケーション] /(n) (comp) business application/
業務スケジュール [ぎょうむスケジュール] /(n) (comp) task schedule/
業務委託個別契約書 [ぎょうむいたくこべつけいやくしょ] /(n) individual outsourcing agreement/
業務課 [ぎょうむか] /(n,suf) general affairs section (e.g. in a company)/operations division/
業務課長 [ぎょうむかちょう] /(n) head of business department/
業務改善命令 [ぎょうむかいぜんめいれい] /(n) business improvement order/
業務概要 [ぎょうむがいよう] /(n) (comp) task overview/
業務支援委託契約書 [ぎょうむしえんいたくけいやくしょ] /(n) support services agreement contract/
業務執行 [ぎょうむしっこう] /(n) management (of corporate affairs)/business execution/administration of business matters/
業務上 [ぎょうむじょう] /(exp) job-related/in the course of one's work/
業務上横領 [ぎょうむじょうおうりょう] /(n) corporate embezzlement/
業務上過失 [ぎょうむじょうかしつ] /(n) (professional) negligence/
業務上過失致死 [ぎょうむじょうかしつちし] /(n) professional negligence resulting in death/
業務提携 [ぎょうむていけい] /(n) business partnership/
業務部 [ぎょうむぶ] /(n,suf) general affairs department (e.g. in a company)/operations department/
業務妨害 [ぎょうむぼうがい] /(n) interference with somebody's duties/
業務用 [ぎょうむよう] /(n,adj-no) business use/business purposes/
局 [きょく] /(n,n-suf) (1) channel (i.e. TV or radio)/station/department/(2) affair/situation/(P)/
局 [つぼね] /(n) (1) court lady/lady-in-waiting (Heian period)/(2) separate room in a palace (esp. for a lady) (Heian period)/(3) room for a very low class prostitute/(4) very low class prostitute/
局に当たる [きょくにあたる] /(exp,v5r) to deal with a situation/to take charge of an affair/
局コード [きょくコード] /(n) (comp) office code/
局データ [きょくデータ] /(n) (comp) office data/
局員 [きょくいん] /(n) clerk/(bureau, post-office) staff/(P)/
局外 [きょくがい] /(n,adj-no) the outside/
局外者 [きょくがいしゃ] /(n) outsider/
局外中立 [きょくがいちゅうりつ] /(n) neutrality/
局管理 [きょくかんり] /(n) (comp) SMT/Station Management/
局間回線 [きょくかんかいせん] /(n) (comp) trunk/inter-office line/
局建 [きょくげん] /(n) (comp) office setup/office establishment/
局限 [きょくげん] /(n,vs) limit/localize/localise/
局紙 [きょくし] /(n) Japanese vellum/
局舎 [きょくしゃ] /(n) bureau/office building/
局所 [きょくしょ] /(n,adj-no) (1) section/local/(2) (abbr) local anesthesia/(adj-no) (3) localized/topical/
局所アドレス管理 [きょくしょアドレスかんり] /(n) (comp) local address administration/
局所モデリング変換 [きょくしょモデリングへんかん] /(n) (comp) local modelling transformation/
局所レベル [きょくしょレベル] /(n) (comp) local level/
局所線形計画法 [きょくしょせんけいけいかくほう] /(n) (comp) local linear programming/
局所的 [きょくしょてき] /(adj-na) (comp) local/
局所的試験法 [きょくしょてきしけんほう] /(n) (comp) local test methods/
局所分岐 [きょくしょぶんき] /(n) (comp) local jump/local branch/
局所変数 [きょくしょへんすう] /(n) (comp) local variable/
局所麻酔 [きょくしょますい] /(n) local anesthesia/local anaesthesia/
局所名 [きょくしょめい] /(n) (comp) local name/
局所要素 [きょくしょようそ] /(n) (comp) local entity/
局女郎 [つぼねじょろう] /(n) prostitute of the lowest class (Edo period)/
局地 [きょくち] /(n) municipal/limited area/locality/(P)/
局地戦争 [きょくちせんそう] /(n) limited (scale) war/
局地的 [きょくちてき] /(adj-na) local/
局地風 [きょくちふう] /(n) local wind/
局長 [きょくちょう] /(n) bureau director/office chief/(P)/
局内クロストーク [きょくないクロストーク] /(n) (comp) local crosstalk/
局番 [きょくばん] /(n) telephone exchange number/(P)/
局部 [きょくぶ] /(n,adj-no) (1) part/section/(2) affected region/(3) genitals/private parts/
局部的 [きょくぶてき] /(adj-na) local/localized (as in pain or anesthesia)/regional/
局部麻酔 [きょくぶますい] /(n) local anesthesia/local anaesthesia/local anaesthetic/local anesthetic/
局報 [きょくほう] /(n) official bulletin/
局名 [きょくめい] /(n) call sign (e.g. of radio station)/station name/
局面 [きょくめん] /(n,adj-no) (1) position in a game of go or shogi/state of the game/(2) aspect of an affair/situation/(P)/
局面一転 [きょくめんいってん] /(n) sudden reversal in the tide of events/the situation taking a new turn/
局面打開 [きょくめんだかい] /(n) breakthrough in the situation/break in the deadlocked situation/
局留め [きょくどめ] /(n) general delivery/counter collection/poste restante/(P)/
局留めアドレス [きょくどめアドレス] /(n) (comp) poste restante address/
曲 [きょく] /(n,n-suf) tune/piece of music/(P)/
曲 [くせ] /(n) (1) (uk) long segment of a noh play forming its musical highlight/(n-pref) (2) wrong/improper/indecent/
曲 [くま] /(n) (1) corner/nook/recess/(2) a shadow/a shade/
曲 [まが] /(n) (arch) wickedness/evil/calamity/disaster/
曲々 [きょくきょく] /(adj-t,adv-to) (obsc) winding/twisting/zigzagging/
曲々しい [まがまがしい] /(adj-i) (1) (uk) ominous/sinister/unlucky/ill-omened/(2) annoying/(3) appearing to be true/
曲がった [まがった] /(adj-f) (1) bent/curved/warped/winded/twisted/(2) awry/askew/crooked/
曲がり [まがり] /(n) curvature/warp/bend/(P)/
曲がりかど [まがりかど] /(n) (1) street corner/road turn/bend in the road/(2) turning point/watershed/(P)/
曲がりくねる [まがりくねる] /(v5r,vi) to bend many times/to turn and twist/to zigzag/
曲がりなりにも [まがりなりにも] /(adv) though imperfect/somehow/somehow or other/
曲がり角 [まがりかど] /(n) (1) street corner/road turn/bend in the road/(2) turning point/watershed/(P)/
曲がり金 [まがりがね] /(n) (1) carpenter's square/(2) common Japanese foot/
曲がり尺 [まがりがね] /(n) (1) carpenter's square/(2) common Japanese foot/
曲がり尺 [まがりじゃく] /(n) (1) carpenter's square/(2) common Japanese foot/
曲がり道 [まがりみち] /(n) roundabout road/curving road/
曲がり目 [まがりめ] /(n) corner/turn/bend in the road/curve/turning point/
曲がり路 [まがりみち] /(n) roundabout road/curving road/
曲がる [まがる] /(v5r,vi) (1) to bend/to curve/to warp/to wind/to twist/(2) to turn/(3) to be awry/to be askew/to be crooked/(P)/
曲が曲がしい [まがまがしい] /(adj-i) (1) (uk) ominous/sinister/unlucky/ill-omened/(2) annoying/(3) appearing to be true/
曲げ [まげ] /(n) flexure/bending/
曲げる [まげる] /(v1,vt) to bend/to crook/to lean/to yield (a point)/to depart (from a principle)/(P)/
曲げモーメント [まげモーメント] /(n) bending moment/
曲げ易い [まげやすい] /(adj-i) pliant/supple/flexible/
曲げ伸ばし [まげのばし] /(n,vs) bending and stretching/
曲げ物 [まげもの] /(n) circular box/
曲のない [きょくのない] /(adj-i) uninteresting/dull/
曲の無い [きょくのない] /(adj-i) uninteresting/dull/
曲りくねる [まがりくねる] /(v5r,vi) to bend many times/to turn and twist/to zigzag/
曲り角 [まがりかど] /(n) (1) street corner/road turn/bend in the road/(2) turning point/watershed/
曲り金 [まがりがね] /(n) (1) carpenter's square/(2) common Japanese foot/
曲り形にも [まがりなりにも] /(adv) though imperfect/somehow/somehow or other/
曲り尺 [まがりがね] /(n) (1) carpenter's square/(2) common Japanese foot/
曲り尺 [まがりじゃく] /(n) (1) carpenter's square/(2) common Japanese foot/
曲り目 [まがりめ] /(n) corner/turn/bend in the road/curve/turning point/
曲る [まがる] /(v5r,vi) (1) to bend/to curve/to warp/to wind/to twist/(2) to turn/(3) to be awry/to be askew/to be crooked/
曲を付ける [きょくをつける] /(exp,v1) to write music for a song/
曲悪 [きょくあく] /(n) wickedness/
曲飲み [きょくのみ] /(n) drinking while doing an acrobatic stunt/
曲浦 [きょくほ] /(n) winding coast (beach)/
曲解 [きょっかい] /(n,vs) misconstruction/distortion/misinterpretation/misunderstanding/
曲学 [きょくがく] /(n) inferior scholarship/
曲学阿世 [きょくがくあせい] /(n) prostitution of learning/twisting the truth and truckling to the times/
曲管 [きょくかん] /(n) siphon/curved pipe/
曲技 [きょくぎ] /(n) acrobatic feats/
曲技飛行 [きょくぎひこう] /(n,vs) acrobatic flying/aerobatics/
曲球 [きょっきゅう] /(n) curve ball/
曲曲 [きょくきょく] /(adj-t,adv-to) (obsc) winding/twisting/zigzagging/
曲曲しい [まがまがしい] /(adj-i) (1) (uk) ominous/sinister/unlucky/ill-omened/(2) annoying/(3) appearing to be true/
曲玉 [まがたま] /(n) (arch) comma-shaped jewels/
曲芸 [きょくげい] /(n) acrobatics/
曲芸師 [きょくげいし] /(n) acrobat/tumbler/
曲事 [きょくじ] /(n) wickedness/injustice/
曲事 [くせごと] /(n) crookedness/something not right/something out of the ordinary/something unpleasant/something disgusting/unlawfulness/something unhappy/calamity/
曲射 [きょくしゃ] /(n) high-angle fire (mil)/
曲射砲 [きょくしゃほう] /(n) howitzer/high-angle gun/
曲者 [くせもの] /(n) ruffian/villain/knave/thief/suspicious fellow/
曲尺 [かねじゃく] /(n) (1) carpenter's square (for checking angles)/(2) common shaku (unit of distance; approx. 30.3 cm)/
曲尺 [きょくしゃく] /(n) (1) carpenter's square (for checking angles)/(2) common shaku (unit of distance; approx. 30.3 cm)/
曲順 [きょくじゅん] /(n) order in which songs, etc. are played/
曲乗り [きょくのり] /(n,vs) trick riding/
曲水 [きょくすい] /(n) meandering stream/
曲折 [きょくせつ] /(n,vs) windings/meanderings/complications/(P)/
曲折アクセント [きょくせつアクセント] /(n) circumflex accent/
曲節 [きょくせつ] /(n) tune/
曲説 [きょくせつ] /(n,vs) false theory/
曲線 [きょくせん] /(n) curve/(P)/
曲線近似圧縮 [きょくせんきんじあっしゅく] /(n) (comp) curve-fitting compaction/
曲線座標 [きょくせんざひょう] /(n) curvilinear coordinates/
曲線発生器 [きょくせんはっせいき] /(n) (comp) curve generator/
曲線美 [きょくせんび] /(n) curvilinear beauty/curvaceousness/
曲想 [きょくそう] /(n) musical theme/motif/
曲弾 [きょくびき] /(io) (n) trick playing (on a stringed instrument)/
曲弾き [きょくびき] /(n) trick playing (on a stringed instrument)/
曲調 [きょくちょう] /(n) melody/tune/
曲直 [きょくちょく] /(n) merits (of a case)/right or wrong/
曲度 [きょくど] /(n) curvature/
曲刀 [きょくとう] /(n) curved sword (e.g. a scimitar, shamshir, etc.)/curved blade/
曲独楽 [きょくごま] /(n) top/spinning tricks/
曲馬 [きょくば] /(n) circus/equestrian feats/
曲馬師 [きょくばし] /(n) circus stunt rider/
曲馬団 [きょくばだん] /(n) circus troupe/
曲庇 [きょくひ] /(n,vs) harboring (a criminal)/harbouring/
曲飛び [きょくとび] /(n) fancy diving/
曲筆 [きょくひつ] /(n,vs) misrepresentation/falsification/
曲譜 [きょくふ] /(n) musical composition/notes/
曲舞 [くせまい] /(n) recitative dance/
曲名 [きょくめい] /(n) song title/song titles/
曲面 [きょくめん] /(n) curved surface/
曲目 [きょくもく] /(n) program/programme/musical selection/tunes/(P)/
曲用 [きょくよう] /(n) declension/
曲率 [きょくりつ] /(n) curvature/
曲流 [きょくりゅう] /(n,vs) meandering stream/
曲輪 [くるわ] /(n) (1) district/quarter/(2) enclosure/area enclosed by earthwork/(3) red-light district/
曲路 [きょくろ] /(n) winding road/
曲論 [きょくろん] /(n,vs) biased argument/biassed argument/sophistry/specious argument/
極 [きょく] /(n) (1) pole/(2) climax/extreme/extremity/culmination/height/zenith/nadir/
極 [ごく] /(adv) (1) (uk) quite/very/(n) (2) quindecillion (US)/octillion (Europe)/10^48/(P)/
極 [はたて] /(n) (arch) end/limit/extremity/
極々 [ごくごく] /(adv) extremely, highly/
極く [ごく] /(io) (adv) (1) (uk) quite/very/
極まり [きまり] /(n,adj-no) (1) rule/regulation/(2) settlement/conclusion/end/agreement/arrangement/(3) habit/custom/habitual way/(4) countenance in front of another person/face/(5) (arch) love relationship between a customer and a prostitute/
極まりない [きわまりない] /(adj-i) extremely/in the extreme/boundless/limitless/
極まり悪い [きまりわるい] /(adj-i) feeling awkward/being ashamed/being bashful/
極まり無い [きわまりない] /(adj-i) extremely/in the extreme/boundless/limitless/
極まる [きわまる] /(v5r,vi) to terminate/to reach an extreme/to take to the extreme/to be in a dilemma/to be at an end/(P)/
極み [きわみ] /(n) height/acme/extremity/(P)/
極め [きめ] /(n,n-suf) agreement/rule/
極め [ぎめ] /(n,n-suf) (uk) contracted regular payment, e.g. monthly, weekly, etc./by the (month, week, etc.)/
極めつき [きわめつき] /(adj-no) guaranteed (to be genuine, valuable, etc.)/certified (as genuine, valuable, etc.)/
極めつけ [きわめつけ] /(adj-no) guaranteed (article)/
極めて [きわめて] /(adv) exceedingly/extremely/decisively/(P)/
極める [きわめる] /(v1,vt) (1) to carry to extremes/to go to the end of something/(2) to investigate thoroughly/to master/(P)/
極め込み [きめこみ] /(n) (1) (abbr) wooden dolls/(2) type of theatrical makeup/(3) type of artwork using paper, cloth and paste/
極め込む [きめこむ] /(v5m,vt) to take for granted/to assume/to pretend/
極め手 [きめて] /(n) (1) person who decides/(2) deciding factor/clincher/trump card/winning move/
極め出し [きめだし] /(n) arm-barring force out (sumo)/
極め所 [きめどころ] /(n) (1) crucial point/(2) perfect chance/
極め書 [きわめがき] /(n) certificate/
極め書き [きわめがき] /(n) certificate/
極め尽くす [きわめつくす] /(v5s) to do thoroughly/to check through and through/
極め倒し [きめたおし] /(n) arm-barring force down (sumo)/
極め付き [きわめつき] /(adj-no) guaranteed (to be genuine, valuable, etc.)/certified (as genuine, valuable, etc.)/
極め付きの品 [きわめつきのしな] /(n) article of certified genuineness/
極め付け [きわめつけ] /(adj-no) guaranteed (article)/
極り [きまり] /(n,adj-no) (1) rule/regulation/(2) settlement/conclusion/end/agreement/arrangement/(3) habit/custom/habitual way/(4) countenance in front of another person/face/(5) (arch) love relationship between a customer and a prostitute/
極りが悪い [きまりがわるい] /(exp,adj-i) embarrassed/ashamed/
極り切った [きまりきった] /(adj-f) fixed/obvious/commonplace/
極る [きまる] /(v5r,vi) (1) to be decided/to be settled/(2) to look good in (clothes)/
極エロ [きょくエロ] /(n) extreme eroticism/something very erotic/
極悪 [ごくあく] /(adj-na,n,adj-no) heinous/
極悪人 [ごくあくにん] /(n) scoundrel/
極悪非道 [ごくあくひどう] /(n,adj-na,adj-no) inhuman/heinous/atrocious/
極意 [ごくい] /(n) essential point/main point/
極域 [きょくいき] /(n) polar/
極一部 [ごくいちぶ] /(exp) small fraction/small proportion/
極印 [ごくいん] /(n) seal/hallmark/stamp die/
極右 [きょくう] /(n,adj-no) extreme right/(P)/
極右指導者 [きょくうしどうしゃ] /(n) far-right leader/
極楽 [ごくらく] /(n) (1) (Buddh) Sukhavati (Amitabha's Pure Land)/(2) paradise/(P)/
極楽往生 [ごくらくおうじょう] /(n,vs) rebirth in paradise/peaceful death/
極楽極楽 [ごくらくごくらく] /(exp) It's absolute heaven/It's sheer bliss/
極楽浄土 [ごくらくじょうど] /(n) (Buddh) Sukhavati (Amitabha's Pure Land)/
極楽鳥 [ごくらくちょう] /(n) bird of paradise (Paradisaeidae family)/
極楽鳥花 [ごくらくちょうか] /(n) bird of paradise flower/Strelitzia reginae/
極楽蜻蛉 [ごくらくとんぼ] /(n) happy-go-lucky fellow/an easygoing and indifferent person/a pococurante/
極楽鯊 [ごくらくはぜ] /(n) (uk) barcheek goby (Rhinogobius giurinus)/
極冠 [きょっかん] /(n) polar cap/
極寒 [ごっかん] /(n,adj-no) intense cold/mid-winter/(P)/
極希 [ごくまれ] /(adj-na) extremely rare/
極距離 [きょくきょり] /(n) polar distance/
極極 [ごくごく] /(adv) extremely, highly/
極刑 [きょっけい] /(n) capital punishment/extreme penalty/ultimate punishment/
極月 [ごくげつ] /(n) last month of the year/December/
極言 [きょくげん] /(n,vs) being frank/going so far as to say/
極限 [きょくげん] /(n) utmost limits/limit/(P)/
極限をとる [きょくげんをとる] /(exp,v5r) (comp) take the limit of/
極限環境 [きょくげんかんきょう] /(n) extreme environment/
極限作業ロボット [きょくげんさぎょうロボット] /(n) robot for hazardous conditions/
極限状態 [きょくげんじょうたい] /(n) extreme situation/
極限値 [きょくげんち] /(n) limit value/
極光 [きょくこう] /(n) northern or southern lights/aurora borealis or australis/
極光 [きょっこう] /(n) northern or southern lights/aurora borealis or australis/
極込 [きめこみ] /(n) (1) (abbr) wooden dolls/(2) type of theatrical makeup/(3) type of artwork using paper, cloth and paste/
極左 [きょくさ] /(n,adj-no) extreme left/ultraleft/
極左団体 [きょくさだんたい] /(n) far-left group/
極座標 [きょくざひょう] /(n) polar coordinates/
極最近 [ごくさいきん] /(adj-no,n-adv,n-t) very recently/in the very recent past/
極彩色 [ごくさいしき] /(n) richly colored/richly coloured/
極細 [ごくぼそ] /(n) superfine/
極紫外線 [きょくしがいせん] /(n) extreme ultraviolet/
極暑 [ごくしょ] /(n) intense heat/hottest season/peak of summer's heat/
極書 [きわめがき] /(n) certificate/
極書き [きわめがき] /(n) certificate/
極小 [きょくしょう] /(adj-na,n,adj-no) minimum/miniscule/
極小 [ごくしょう] /(adj-na,n,adj-no) minimum/miniscule/
極小さい [ごくちいさい] /(n) very small/
極小値 [きょくしょうち] /(n) minimum value/
極上 [ごくじょう] /(adj-na,n,adj-no) first-rate/finest quality/the best/(P)/
極性 [きょくせい] /(n,adj-no) polarity/
極性ゼロ復帰記録 [きょくせいゼロふっききろく] /(n) (comp) polarized return-to-zero recording/RZ(P)/
極製 [ごくせい] /(adj-f) finest quality/specially made/
極線 [きょくせん] /(n,adj-no) polar/
極前線 [きょくぜんせん] /(n) polar front/
極相 [きょくそう] /(n) climax/
極太 [ごくぶと] /(n,adj-no) thick heavy thread/
極体 [きょくたい] /(n) polar body (cell structure within the ovum)/
極大 [きょくだい] /(adj-na,n,adj-no) maximum/
極大値 [きょくだいち] /(n) maximum value/local maximum/
極端 [きょくたん] /(adj-na,n) extreme/extremity/(P)/
極端に走り勝ち [きょくたんにはしりがち] /(n) apt to go to extremes/
極地 [きょくち] /(n,adj-no) farthest land/furthest land/polar regions/
極地圏 [きょくちけん] /(n) polar regions/the pole/
極致 [きょくち] /(n) culmination/perfection/
極超音速 [ごくちょうおんそく] /(n,adj-no) hypersonic (speed)/
極超短波 [きょくちょうたんぱ] /(n) ultrahigh frequency/UHF/ultrashort waves/
極超短波 [ごくちょうたんぱ] /(n) ultrahigh frequency/UHF/ultrashort waves/
極低温 [きょくていおん] /(n) very (extremely) low temperature/
極低温科学 [きょくていおんかがく] /(n) cryonics/
極低温記憶装置 [ごくていおんきおくそうち] /(n) (comp) cryogenic storage/
極点 [きょくてん] /(n) pole (north, south)/climax/extreme (point)/
極度 [きょくど] /(adj-na,n) maximum/extreme/utmost/curvature/(P)/
極東 [きょくとう] /(n,adj-no) Far East/(P)/
極東国際軍事裁判 [きょくとうこくさいぐんじさいばん] /(n) International Military Tribunal for the Far East/IMTFE/Tokyo Trials/
極東風 [きょくとうふう] /(n) polar easterlies/
極道 [ごくどう] /(adj-na) (1) wicked/evil/profligate/immoral/(n) (2) wickedness/evildoing/(3) organized crime/yakuza/underworld/
極道者 [ごくどうもの] /(n) scoundrel/rake/
極内 [ごくない] /(n) highly confidential, top secret/
極熱 [ごくねつ] /(n) extreme heat/
極薄 [きょくはく] /(n,adj-no) ultrathinness/
極板 [きょくばん] /(n) pole plate/polar plate/
極秘 [ごくひ] /(adj-na,n,adj-no) absolute secrecy/(P)/
極秘情報 [ごくひじょうほう] /(n) classified information/top secret/
極秘任務 [ごくひにんむ] /(n) top secret mission/
極微 [きょくび] /(adj-na,n,adj-no) microscopic/infinitesimal/
極微 [ごくび] /(adj-na,n,adj-no) microscopic/infinitesimal/
極微小地震 [ごくびしょうじしん] /(n) ultra-microearthquake/
極貧 [ごくひん] /(n,adj-no) destitution/
極北 [きょくほく] /(n) extreme north/North Pole/
極洋 [きょくよう] /(n) polar seas/
極流 [きょくりゅう] /(n) polar current/
極量 [きょくりょう] /(n) maximum dose/
極力 [きょくりょく] /(adv) to the utmost/to the best of one's ability/(P)/
極力つとめる [きょくりょくつとめる] /(v1) to do one's best/
極力努める [きょくりょくつとめる] /(v1) to do one's best/
極力勉める [きょくりょくつとめる] /(v1) to do one's best/
極論 [きょくろん] /(n,vs) extreme logic/extreme argument/unreserved argument/
極鰺刺 [きょくあじさし] /(n) arctic tern/
玉 [ぎょく] /(n) (1) precious stone (esp. jade)/(2) (food) egg (sometimes esp. as a sushi topping)/(3) stock or security being traded/product being bought or sold/(4) position (in finance, the amount of a security either owned or owed by an investor or dealer)/(5) geisha/(6) (abbr) time charge for a geisha/(7) (abbr) king (shogi)/
玉 [たま] /(n) (1) ball/sphere/globe/orb/(2) bead (of sweat, dew, etc.)/drop/droplet/(3) ball (in sports)/(4) pile (of noodles, etc.)/(5) bullet/(6) bulb (i.e. a light bulb)/(7) lens (of glasses, etc.)/(8) bead (of an abacus)/(9) (sl) (abbr) ball (i.e. a testicle)/(10) egg/(11) gem/jewel (esp. spherical; sometimes used figuratively)/pearl/(12) female entertainer (e.g. a geisha)/(13) (derog) person (when commenting on their nature)/character/(14) item, funds or person used as part of a plot/(n-suf) (15) coin/(16) precious/beautiful/excellent/(P)/
玉どめ [たまどめ] /(n) French knot/
玉にきず [たまにきず] /(n) flaw in the crystal/fly in the ointment/
玉に瑕 [たまにきず] /(n) flaw in the crystal/fly in the ointment/
玉に疵 [たまにきず] /(n) flaw in the crystal/fly in the ointment/
玉ねぎ [たまねぎ] /(n) onion (edible plant, Allium cepa)/(P)/
玉の汗 [たまのあせ] /(exp,n) beads of sweat/
玉の緒 [たまのお] /(n) bead string/thread of life/
玉の帯 [ごくのおび] /(n) (obsc) special leather belt used in ceremonial court dress, covered in black lacquer and decorated with stones and jewels/
玉の肌 [たまのはだ] /(exp,n) skin as beautiful as a gem/beautiful skin/
玉の膚 [たまのはだ] /(exp,n) skin as beautiful as a gem/beautiful skin/
玉の輿 [たまのこし] /(n) palanquin set with jewels/
玉の輿に乗る [たまのこしにのる] /(exp,v5r) to marry into a family of rank/to marry money/
玉レタス [たまレタス] /(n) iceberg lettuce/
玉瑛 [ぎょくえい] /(n) crystal/transparent gem/
玉押金亀子 [たまおしこがね] /(n) (uk) (obsc) dung beetle/
玉屋 [たまや] /(n) jeweler/
玉音 [ぎょくおん] /(n) the Emperor's voice/
玉音盤 [ぎょくおんばん] /(n) recording disc (of the Imperial surrender message)/
玉音放送 [ぎょくおんほうそう] /(n) radio broadcast announcing acceptance of the Potsdam Declaration and the end of the war (recording of Hirohito; broadcast Aug. 15, 1945)/
玉貝 [たまがい] /(n) (1) (uk) moon snail (Naticidae spp.)/moon shell/(2) (uk) Marten's pearl oyster (Pinctada fucata martensii)/Akoya pearl oyster/
玉貝科 [たまがいか] /(n) Naticidae (family of molluscs comprising the moon snails)/
玉垣 [たまがき] /(n) fence around a shrine/
玉掛け [たまかけ] /(n) slinging (on cranes, etc.)/
玉顔 [ぎょくがん] /(n) imperial face/
玉響 [たまゆら] /(n,n-adv,adj-no) (arch) short time/fleeting moment/
玉筋魚 [いかなご] /(n) (uk) Japanese sand lance (Ammodytes personatus)/Pacific sandeel/
玉串 [たまぐし] /(n) branch of a sacred tree/
玉結び [たまむすび] /(n) thread knot (end of the thread tied up to a knot)/
玉稿 [ぎょっこう] /(n) your manuscript/
玉鋼 [たまはがね] /(n) steel made from iron sand or black sand (used in sword blades)/
玉砂利 [たまじゃり] /(n) gravel/
玉座 [ぎょくざ] /(n) throne/
玉砕 [ぎょくさい] /(n,vs,adj-no) honourable defeat/honorable defeat/honourable death/honorable death/death without surrender/(P)/
玉砕主義 [ぎょくさいしゅぎ] /(n) the principle of honorable death and no surrender/
玉菜 [たまな] /(n) cabbage/
玉算 [たまざん] /(n) calculation with abacus/
玉子 [たまご] /(n) (1) hen egg/
玉子に目鼻 [たまごにめはな] /(exp) (obsc) cute, white, oval face (appearing as if someone glued eyes and a nose on an egg)/
玉子丼 [たまごどんぶり] /(n) bowl of rice topped with boiled eggs/
玉止め [たまどめ] /(n) French knot/
玉璽 [ぎょくじ] /(n) sovereign's seal/
玉鴫 [たましぎ] /(n) (uk) painted snipe (Rostratula benghalensis)/
玉軸受け [たまじくうけ] /(n) ball bearings/
玉手箱 [たまてばこ] /(n) (1) treasure chest (in the story of Urashima Taro)/Urashima's casket/Pandora's box/(2) important secret that is not easily revealed to others/
玉将 [ぎょくしょう] /(n) king/king (shogi)/
玉章 [ぎょくしょう] /(n) your letter/excellent composition/
玉章 [たまずさ] /(n) love-letter/precious letter/
玉乗り [たまのり] /(n) balancing on a ball/
玉垂れ [たまだれ] /(n) bamboo curtain/palace/
玉髄 [ぎょくずい] /(n) chalcedony/
玉整理 [ぎょくせいり] /(n) liquidation of speculative accounts/
玉石 [ぎょくせき] /(n) gems and stones/wheat and tares/
玉石 [たまいし] /(n) pebble/round stone/boulder/
玉石混交 [ぎょくせきこんこう] /(exp) mixture of the good and bad/jumble of wheat and tares/
玉石混淆 [ぎょくせきこんこう] /(exp) mixture of the good and bad/jumble of wheat and tares/
玉藻 [たまも] /(n) seaweed/
玉体 [ぎょくたい] /(n) the Emperor's person or presence/
玉代 [ぎょくだい] /(n) time charge for a geisha/
玉虫 [たまむし] /(n) jewel beetle/Chrysochroa fulgidissima/insect with iridescent wings/
玉虫色 [たまむしいろ] /(n,adj-no) (1) iridescent/(2) equivocal/ambivalent/(3) variable meaning/weasel-word/chameleonic interpretation/(P)/
玉殿 [ぎょくでん] /(n) palace decorated with jewels/beautiful palace/
玉殿 [たまどの] /(n) alias for fox (from a statue in the Inarimae shrine)/
玉兎 [ぎょくと] /(n) (arch) moon/
玉突 [たまつき] /(io) (n) (1) billiards/pool/(2) serial collisions (of cars)/
玉突き [たまつき] /(n) (1) billiards/pool/(2) serial collisions (of cars)/
玉入れ [たまいれ] /(n) ball-toss game, in which balls are thrown into a basket on a high pole (played at sports festivals)/
玉葱 [たまねぎ] /(n) onion (edible plant, Allium cepa)/
玉杯 [ぎょくはい] /(n) jade cup/
玉偏 [ぎょくへん] /(n) kanji "jewel" radical at left (radical 96)/
玉偏 [たまへん] /(n) kanji "jewel" radical at left (radical 96)/
玉篇 [ぎょくへん] /(n) (obsc) Yupian (ancient Chinese dictionary)/
玉繭 [たままゆ] /(n) (1) dupion (double cocoon formed jointly by two or more silkworms)/dupioni/(2) cocoon/
玉味噌 [たまみそ] /(n) miso ball/bean paste ball/
玉門 [ぎょくもん] /(n) beautifully decorated gate (euph. for female genitalia)/
玉留め [たまどめ] /(n) French knot/
玉露 [ぎょくろ] /(n) (1) high-quality green tea/(2) (orig. meaning) jewel-like dewdrop/
玉摧 [ぎょくさい] /(n,vs,adj-no) honourable defeat/honorable defeat/honourable death/honorable death/death without surrender/
玉箒 [たまははき] /(n) broom/broom cypress/
玉箒 [たまばはき] /(n) broom/broom cypress/
玉蜀黍 [とうもろこし] /(n) (uk) corn (US)/maize (UK)/(P)/
玉蜀黍畑 [とうもろこしばたけ] /(n) corn field/maize field/
桐 [きり] /(n) paulownia tree/Paulownia tomentosa/(P)/
桐一葉 [きりひとは] /(n) falling paulownia leaf signaling the beginning of autumn (fall)/
桐花大綬章 [きりはなだいじゅしょう] /(n) Grand Cordon of the Order of the Paulownia Flowers/
桐花大綬章 [とうかだいじゅしょう] /(n) Grand Cordon of the Order of the Paulownia Flowers/
桐材 [きりざい] /(n) paulownia wood/
桐畑 [きりばたけ] /(n) field of paulownia trees/
桐紋 [きりもん] /(n) paulownia crest/
桐油 [とうゆ] /(n) tung oil/(Chinese) wood oil/
粁 [キロメートル] /(n) (uk) kilometer (fre:)/kilometre/
粁 [キロメイトル] /(n) (uk) kilometer (fre:)/kilometre/
僅々 [きんきん] /(adv) merely/no more than/
僅か [わずか] /(adj-na,adv,n) only/merely/(a) little/small quantity/(P)/
僅かに [わずかに] /(adv) slightly/
僅僅 [きんきん] /(adv) merely/no more than/
僅差 [きんさ] /(n,adj-no) narrow margin/
僅少 [きんしょう] /(adj-no,adj-na) (a) few/(a) little/trifling/insignificant/small (amount)/scarce (stocks)/
僅少差 [きんしょうさ] /(n) narrow majority/shade of difference/
勤しむ [いそしむ] /(v5m) to endeavor/to endeavour/to work hard (at)/
勤まらない [つとまらない] /(adj-i) unfit for/unequal to/
勤まる [つとまる] /(v5r,vi) to be fit for/to be equal to/to function properly/
勤め [つとめ] /(n) (1) service/duty/business/responsibility/task/(2) Buddhist religious services/(P)/
勤める [つとめる] /(v1,vt) (1) to work (for)/to be employed (at)/to serve (in)/(2) to serve (as)/to act (as)/to fill (the position of)/to play the role (of)/(3) to conduct a religious service/(P)/
勤め帰り [つとめがえり] /(adj-no) on the way home from work/
勤め気 [つとめぎ] /(n) mercenary spirit/
勤め口 [つとめぐち] /(n) position/place of employment/
勤め向き [つとめむき] /(n) one's business/one's duties/
勤め行なう [つとめおこなう] /(v5u) to carry on (work)/
勤め上げる [つとめあげる] /(v1,vt) to serve out one's apprenticeship/to serve out one's time/
勤め振り [つとめぶり] /(n) assiduity/conduct/
勤め人 [つとめにん] /(n) office worker/salaried man/white-collar worker/
勤め盛り [つとめざかり] /(n) the prime of one's career/
勤め先 [つとめさき] /(n) place of work/(P)/
勤め働く [つとめはたらく] /(v5k) to work diligently/
勤め奉公 [つとめぼうこう] /(n) apprenticeship/
勤王 [きんのう] /(n) imperialism/loyalism/
勤王家 [きんのうか] /(n) loyalist/
勤王攘夷 [きんのうじょうい] /(n) loyalty to the emperor and expulsion of the foreigners/
勤学 [きんがく] /(n,vs) studying while working/
勤学学生 [きんがくがくせい] /(n) working student/
勤求 [ごんぐ] /(n) inquiring the Buddha way/
勤強 [きんべん] /(iK) (adj-na,n) industry/diligence/
勤苦 [きんく] /(n,vs) toil and hardship/
勤倹 [きんけん] /(n) industry/diligence/frugality/
勤倹の風 [きんけんのふう] /(n) custom (habit) of diligence and thrift/
勤倹貯蓄 [きんけんちょちく] /(n) thrift and saving/
勤倹力行 [きんけんりっこう] /(n,vs) work hard and practice frugality/
勤皇 [きんのう] /(n) imperialism/
勤皇家 [きんのうか] /(n) loyalist/
勤皇攘夷 [きんのうじょうい] /(n) loyalty to the emperor and expulsion of the foreigners/
勤行 [ごんぎょう] /(n) religious service (usu. Buddhist)/
勤行時報係 [ごんぎょうじほうがかり] /(n) muezzin/
勤続 [きんぞく] /(n,vs) continuous service/(P)/
勤続者 [きんぞくしゃ] /(n) man of long service/
勤惰 [きんだ] /(n) diligence and indolence/attendance/
勤怠 [きんたい] /(n) diligence and indolence/diligence/attendance/attendance and absence/
勤番 [きんばん] /(n) taking turns on duty (esp. daimyo's retainers on duty in Edo)/
勤勉 [きんべん] /(adj-na,n) industry/diligence/(P)/
勤勉家 [きんべんか] /(n) diligent worker/hard worker/
勤務 [きんむ] /(n,vs) service/duty/work/(P)/
勤務医 [きんむい] /(n) doctor working in a hospital/physician working in public practice/
勤務員 [きんむいん] /(n) worker/employee/
勤務交代 [きんむこうたい] /(n) change of shifts/
勤務時間 [きんむじかん] /(n) office (business, working) hours/
勤務実績 [きんむじっせき] /(n) service record/
勤務者 [きんむしゃ] /(n) workers/men on duty/
勤務場所 [きんむばしょ] /(n) workplace/place of work/
勤務成績 [きんむせいせき] /(n,vs) (one's) work performance/performance record/service record/
勤務先 [きんむさき] /(n) place of employment/
勤務地 [きんむち] /(n) duty station/place of business/work location/
勤務地手当て [きんむちてあて] /(exp) area allowance/
勤務中 [きんむちゅう] /(n-t) on duty/at work/while working/
勤務年限 [きんむねんげん] /(n) term of service/
勤務評定 [きんむひょうてい] /(n) (work) performance evaluation/performance review/efficiency rating/
勤労 [きんろう] /(n,vs) labor/labour/exertion/diligent service/(P)/
勤労意欲 [きんろういよく] /(n) will to work/
勤労階級 [きんろうかいきゅう] /(n) salaried class/working class/
勤労感謝の日 [きんろうかんしゃのひ] /(n) Labour Thanksgiving Day (November 23rd) (Labor)/
勤労者 [きんろうしゃ] /(n) worker/(P)/
勤労者財産形成促進 [きんろうしゃざいさんけいせいそくしん] /(n) (workers) asset formation/
勤労所得 [きんろうしょとく] /(n) earned income/
勤労大衆 [きんろうたいしゅう] /(n) working people/
勤労奉仕 [きんろうほうし] /(n,vs) labor service/labour service/
勤恪 [きんかく] /(n) faithful service/
均し [ならし] /(n) average/leveling/levelling/
均しい [ひとしい] /(adj-i) equal/similar/like/equivalent/
均す [ならす] /(v5s,vt) (1) to make even/to make smooth/to make level/(2) to average/
均一 [きんいち] /(adj-na,n,adj-no) uniformity/equality/
均一 [きんいつ] /(adj-na,n,adj-no) uniformity/equality/(P)/
均一化 [きんいつか] /(n,vs) homogenization/homogenisation/
均一価格 [きんいつかかく] /(n) uniform price/
均一料金 [きんいつりょうきん] /(n) uniform fee/flat fee/
均衡 [きんこう] /(n,vs) equilibrium/balance/(P)/
均衡価格 [きんこうかかく] /(n) equilibrium price/
均衡経済 [きんこうけいざい] /(n) balanced economy/
均衡予算 [きんこうよさん] /(n) balanced budget/
均衡予算乗数 [きんこうよさんじょうすう] /(n) balanced budget multiplier/
均質 [きんしつ] /(adj-na,n,adj-no) homogeneous/homogeneity/(P)/
均質性 [きんしつせい] /(n) homogeneity/
均勢 [きんせい] /(n) uniformity/balance (equilibrium) of power/
均整 [きんせい] /(n) symmetry/balance/proportion/uniformity/(P)/
均斉 [きんせい] /(n) symmetry/balance/proportion/uniformity/(P)/
均田制 [きんでんせい] /(n) equal-field system (of ancient China)/
均等 [きんとう] /(adj-na,n) equality/uniformity/evenness/(P)/
均等化 [きんとうか] /(n,vs) equalization/equalisation/
均等割 [きんとうわり] /(n) on or at a per capita basis/
均等割り [きんとうわり] /(n) on or at a per capita basis/
均等割り付け [きんとうわりつけ] /(n) (comp) equal space/
均等割付 [きんとうわりつけ] /(n) (comp) equal space/
均分 [きんぶん] /(n,vs) equal division/
巾 [きん] /(n) napkin/cloth/
巾 [はば] /(n) width/breadth/
巾 [べき] /(n) (math) a power/
巾が出る [はばがでる] /(exp,v1) to become wider/
巾を利かせる [はばをきかせる] /(exp,v1) to throw one's weight around/to exercise one's authority/to make one's presence felt/
巾単 [きんたん] /(adj-na) unipotent/
巾着 [きんちゃく] /(n) pouch/hanger-on/purse/handbag/
巾着切り [きんちゃくきり] /(n) pickpocket/
巾着草 [きんちゃくそう] /(n) (uk) pocketbook plant (any plant of genus Calceolaria)/
巾着袋 [きんちゃくぶくろ] /(n) pouch/purse/
巾偏 [きんべん] /(n) (uk) kanji "cloth" radical at left/
巾偏 [はばへん] /(n) (uk) kanji "cloth" radical at left/
巾木 [はばき] /(n) baseboard/skirting board/
巾零 [きんれい] /(adj-na) nilpotent/
巾零元 [きんれいげん] /(n) (math) nilpotent element/
錦 [にしき] /(n) (1) brocade/(2) fine dress/fine clothes/(P)/
錦渦貝 [にしきうずがい] /(n) (uk) maculated top shell (Trochus maculatus)/
錦花鳥 [きんかちょう] /(n) (uk) zebra finch (Taeniopygia guttata)/
錦華鳥 [きんかちょう] /(n) (uk) zebra finch (Taeniopygia guttata)/
錦絵 [にしきえ] /(n) colour (woodblock) print/color print/
錦旗 [きんき] /(n) pennant/gold-brocade flag/
錦鶏 [きんけい] /(n) golden pheasant/
錦鯉 [にしきごい] /(n) coloured carp/colored carp/
錦蛇 [にしきへび] /(n) (uk) python/rock snake/
錦秋 [きんしゅう] /(n) autumn where the fallen leaves are as beautiful as brocade/
錦繍 [きんしゅう] /(n) (1) fabric with a brocade and embroidery/beautiful fabric/beautiful clothes/(2) beautiful poem/beautiful wording/(3) beautiful autumn leaves/beautiful flowers/
錦上 [きんじょう] /(n) (abbr) crowning beauty with even greater glory/
錦上に花を敷く [きんじょうにはなをしく] /(exp,v5k) to crown beauty with even greater beauty/
錦上花を添える [きんじょうかをそえる] /(exp,v1) crowning beauty with even greater glory/
錦上添花 [きんじょうてんか] /(n) adding a crowning touch of beauty (to)/giving added luster (to)/crowning beauty (honor, grace) with even greater glory/
錦地 [きんち] /(n) your place of residence/
錦木 [にしきぎ] /(n) (uk) winged spindle-tree (Euonymus alatus)/burning bush/winged euonymus/
錦綉 [きんしゅう] /(n) (1) fabric with a brocade and embroidery/beautiful fabric/beautiful clothes/(2) beautiful poem/beautiful wording/(3) beautiful autumn leaves/beautiful flowers/
斤 [きん] /(n) (1) (arch) unit of weight ~600g/(2) (arch) pound (unit of mass: 453.6g)/(3) loaf (of bread)/
斤目 [きんめ] /(n) weight/
斤量 [きんりょう] /(n) weight/(P)/
欣々然 [きんきんぜん] /(adj-t,adv-to) quite joyous/quite cheerful/quite happy/
欣ぶ [よろこぶ] /(v5b,vi) (1) to be delighted/to be glad/to be pleased/(2) to congratulate/(3) to gratefully accept/
欣悦 [きんえつ] /(n) joy/gladness/
欣快 [きんかい] /(adj-na,n) pleasant/delightful/
欣懐 [きんかい] /(n,vs) thinking happily of/
欣喜 [きんき] /(n,vs) pleasure/
欣喜雀躍 [きんきじゃくやく] /(n,vs) jump up for joy/
欣求 [ごんぐ] /(n,vs) earnest aspiration/
欣求浄土 [ごんぐじょうど] /(n) seeking rebirth in the Pure Land/
欣欣然 [きんきんぜん] /(adj-t,adv-to) quite joyous/quite cheerful/quite happy/
欣羨 [きんせん] /(n) (arch) being very jealous/extreme jealousy/
欣然 [きんぜん] /(adj-t,adv-to) joyful/cheerful/
欽定 [きんてい] /(n) authorized/authorised/appointed/
欽定憲法 [きんていけんぽう] /(n) constitution granted by the Emperor/
欽慕 [きんぼ] /(n,vs) adoration/reverence/admiration/
琴 [きん] /(n) qin (7-stringed Chinese zither)/guqin/
琴 [こと] /(n) (1) koto (13-stringed Japanese zither)/(2) (arch) stringed instrument/(P)/
琴一張 [こといっちょう] /(n) one koto/
琴曲 [きんきょく] /(n) koto music/
琴座 [ことざ] /(n) (constellation) Lyra/
琴線 [きんせん] /(n) heartstrings/
琴柱 [ことじ] /(n) bridge of a koto/
琴鳥 [ことどり] /(n) (uk) superb lyrebird (Menura novaehollandiae)/
琴爪 [ことづめ] /(n) koto plectrum/
琴瑟 [きんしつ] /(n) (1) qin and se (two different kinds of Chinese zither)/(2) happy marriage/
琴瑟相和 [きんしつそうわ] /(n,vs) pair of persons (especially a married couple) being intimate and harmonious/being happily married/
琴瑟相和す [きんしつあいわす] /(exp) (id) (obsc) to be happily married/to go together like two zithers/
禁 [きん] /(n) ban (e.g. on smoking)/prohibition/
禁じえない [きんじえない] /(adj-i) insuppressible/irresistable/
禁じる [きんじる] /(v1,vt) to prohibit/(P)/
禁じ手 [きんじて] /(n) forbidden move in sumo/
禁じ得ない [きんじえない] /(adj-i) insuppressible/irresistable/
禁じ箸 [きんじばし] /(n) things prohibited by chopstick etiquette/
禁ず [きんず] /(vz) to forbid/to suppress/
禁ずる [きんずる] /(vz,vt) to forbid/to suppress/(P)/
禁める [いさめる] /(v1,vt) to remonstrate/to warn not to do something/
禁を解く [きんをとく] /(exp,v5k) to lift (remove) a ban/
禁を犯す [きんをおかす] /(exp,v5s) to break the prohibition (law)/to violate the ban/
禁圧 [きんあつ] /(n,vs) suppression/
禁衛 [きんえい] /(n) protecting the emperor/
禁衛隊 [きんえいたい] /(n) imperial guards/
禁煙 [きんえん] /(n,vs,adj-no) (1) abstaining from smoking/quitting smoking/(exp) (2) No Smoking!/Smoking Prohibited!/(P)/
禁煙パイプ [きんえんパイプ] /(n) artificial cigarette used to avoid smoking/
禁煙区域 [きんえんくいき] /(n) no smoking area/
禁煙車 [きんえんしゃ] /(n) non-smoking car/
禁煙席 [きんえんせき] /(n) non-smoking section/
禁忌 [きんき] /(n,vs,adj-no) (1) taboo/day, time, direction, words, etc. that must be avoided/(n) (2) contraindication (medical)/
禁漁 [きんぎょ] /(n) prohibition of fishing/
禁漁 [きんりょう] /(n) prohibition of fishing/
禁漁期 [きんりょうき] /(n) closed season for fishing or hunting/
禁漁区 [きんりょうく] /(n) game preserve/wildlife sanctuary/
禁教 [きんきょう] /(n) prohibited religion/
禁句 [きんく] /(n) taboo word/(P)/
禁固 [きんこ] /(n,vs) imprisonment/confinement/(P)/
禁固刑 [きんこけい] /(n) (penalty of) imprisonment/
禁獄 [きんごく] /(n,vs) imprisonment/
禁札 [きんさつ] /(n) signboard bearing a prohibition notice/
禁止 [きんし] /(n,vs) prohibition/inhibition/ban/(P)/
禁止条約 [きんしじょうやく] /(n) ban (treaty)/
禁止法 [きんしほう] /(n) negative statute/law against something/(P)/
禁止薬物 [きんしやくぶつ] /(n) banned drug/
禁治産 [きんじさん] /(n) (legal) incompetency/
禁治産 [きんちさん] /(n) (legal) incompetency/
禁治産者 [きんちさんしゃ] /(n) (legally) incompetent individual/
禁手 [きんじて] /(n) forbidden move in sumo/
禁酒 [きんしゅ] /(n,vs,adj-no) prohibition/temperance/abstinence/(P)/
禁酒法 [きんしゅほう] /(n) Prohibition Law/
禁所 [きんしょ] /(n) place of confinement/
禁書 [きんしょ] /(n) prohibited book or literature/
禁制 [きんせい] /(n,vs,adj-no) prohibition/ban/embargo/(P)/
禁制原理 [きんせいげんり] /(n) (obsc) exclusion principle/
禁制品 [きんせいひん] /(n) contraband (goods)/prohibited goods/
禁則 [きんそく] /(n,vs) prohibition/
禁則処理 [きんそくしょり] /(n) (comp) Japanese hyphenation/
禁足 [きんそく] /(n,vs) confinement/
禁帯出 [きんたいしゅつ] /(adj-no) for reference only/in-library use only/not for loan/
禁断 [きんだん] /(n,vs) (1) prohibition/interdiction/(adj-no) (2) forbidden/prohibited/
禁断の木の実 [きんだんのこのみ] /(n) forbidden fruit/
禁断症状 [きんだんしょうじょう] /(n) withdrawal symptoms/abstinence syndrome/
禁中 [きんちゅう] /(n) court/Imperial Palace or household/
禁鳥 [きんちょう] /(n) legally protected bird/
禁転載 [きんてんさい] /(n) Reproduction Prohibited/
禁反言 [きんはんげん] /(n) estoppel/
禁物 [きんもつ] /(n) taboo/forbidden thing/(P)/
禁門の変 [きんもんのへん] /(n) Hamaguri Rebellion/
禁野 [きんや] /(n) (arch) emperor's private hunting preserve/
禁輸 [きんゆ] /(n) embargo/(P)/
禁輸品 [きんゆひん] /(n) contraband (goods)/
禁慾 [きんよく] /(n,vs) abstinence/self-control/
禁欲 [きんよく] /(n,vs,adj-no) abstinence/abnegation/
禁欲主義 [きんよくしゅぎ] /(n,adj-no) stoicism/asceticism/
禁欲主義教育 [きんよくしゅぎきょういく] /(n) abstinence-only sex education/
禁欲主義者 [きんよくしゅぎしゃ] /(n) stoic/ascetic/
禁欲生活 [きんよくせいかつ] /(n) an ascetic existence/(leading) a continent life/abstinence/
禁欲的 [きんよくてき] /(adj-na) abstemious/(P)/
禁裏 [きんり] /(n) Imperial Palace or residence/
禁裏様 [きんりさま] /(n) the emperor/
禁裡 [きんり] /(n) the imperial residence/
禁猟 [きんりょう] /(n) No Hunting!/
禁猟期 [きんりょうき] /(n) closed season for fishing or hunting/
禁猟区 [きんりょうく] /(n) game preserve/wildlife sanctuary/
禁令 [きんれい] /(n) prohibition/ban/embargo/
禁烟 [きんえん] /(n,vs,adj-no) (1) abstaining from smoking/quitting smoking/(exp) (2) No Smoking!/Smoking Prohibited!/
禁遏 [きんあつ] /(n,vs) prohibition/
禁錮 [きんこ] /(n,vs) imprisonment/confinement/
禁錮刑 [きんこけい] /(n) (penalty of) imprisonment/
禽 [とり] /(n) (1) bird/(2) bird meat (esp. chicken meat)/fowl/poultry/
禽舎 [きんしゃ] /(n) poultry shed/
禽獣 [きんじゅう] /(n) birds and animals/
禽鳥 [きんちょう] /(n) birds/
禽類 [きんるい] /(n) birds/
筋 [きん] /(n) (1) muscle/(2) source (of business information)/(3) reason/logic/
筋 [すじ] /(n) (1) muscle/(2) string/sinew/line/stripe/(3) plot/plan/(4) source (of business information)/(5) reason/logic/(P)/
筋が通る [すじがとおる] /(exp,v5r) to make sense/to be consistent/to be logical/to stand to reason/to be coherent/
筋が立つ [すじがたつ] /(exp,v5t) to make sense/to be consistent/
筋の通った [すじのとおった] /(adj-f,exp) rational/logical/coherent/
筋の通らない [すじのとおらない] /(exp,adj-i) illogical/inconsistent/
筋を違える [すじをちがえる] /(exp,v1) to pull a muscle/to strain a muscle/
筋を通す [すじをとおす] /(exp,v5s) to proceed in a logical manner/to go through the proper channels/
筋ジストロフィー [きんジストロフィー] /(n) muscular dystrophy/
筋トレ [きんトレ] /(n) (abbr) weight training/muscle training/
筋萎縮症 [きんいしゅくしょう] /(n,adj-no) amyotrophy (muscular atrophy)/
筋違い [すじかい] /(n,adj-no) diagonal/oblique/brace/
筋違い [すじちがい] /(n,vs) (1) cramp/sprain/crick/strain (muscle)/(n) (2) unreasonableness/absurdity/(adj-no,adj-na) (3) illogical/unreasonable/(4) misdirected/misplaced/wrong (of estimate, guess)/(P)/
筋雲 [すじぐも] /(n) (col) cirrus cloud/
筋炎 [きんえん] /(n,adj-no) inflammation of a muscle/myositis/
筋金 [すじがね] /(n) a metal reinforcement/
筋金入り [すじがねいり] /(n) staunch/hardcore/dyed-in-the-wool/
筋交い [すじかい] /(n,adj-no) diagonal/oblique/brace/
筋向い [すじむかい] /(n) diagonally opposite/
筋向かい [すじむかい] /(n) diagonally opposite/
筋硬直 [きんこうちょく] /(n) muscle stiffness/
筋合 [すじあい] /(n) reason/right/
筋合い [すじあい] /(n) reason/right/
筋骨 [きんこつ] /(n) muscles (sinews) and bones/structure/
筋骨 [すじぼね] /(n) muscles (sinews) and bones/structure/
筋骨隆々 [きんこつりゅうりゅう] /(adj-na,adj-no,adj-t,adv-to) muscular/strong-muscled/
筋骨隆隆 [きんこつりゅうりゅう] /(adj-na,adj-no,adj-t,adv-to) muscular/strong-muscled/
筋子 [すじこ] /(n) salted salmon roe (i.e. a mass of immature eggs)/
筋子 [すずこ] /(n) salted salmon roe (i.e. a mass of immature eggs)/
筋者 [すじもの] /(n) (col) yakuza/
筋者 [すじもん] /(n) (col) yakuza/
筋腫 [きんしゅ] /(n,adj-no) myoma/
筋書 [すじがき] /(n) synopsis/outline/plot/
筋書き [すじがき] /(n) synopsis/outline/plot/(P)/
筋断裂 [きんだんれつ] /(n) muscle rupture/myorrhexis/
筋弛緩剤 [きんしかんざい] /(n) muscle-relaxant drug/
筋注 [きんちゅう] /(n) intramuscular injection/
筋張った [すじばった] /(adj-f) brawny/sinewy/stringy/
筋張る [すじばる] /(v5r,vi) to become sinewy/to behave formally/
筋電図 [きんでんず] /(n) electromyogram/EMG/
筋道 [すじみち] /(n) reason/logic/thread/method/system/(P)/
筋肉 [きんにく] /(n,adj-no) muscle/sinew/(P)/
筋肉 [すじにく] /(n) sinewy meat/
筋肉細胞 [きんにくさいぼう] /(n) muscle cell/muscle cells/
筋肉質 [きんにくしつ] /(n) muscularity/
筋肉組織 [きんにくそしき] /(n,adj-no) muscle tissue/
筋肉弛緩剤 [きんにくしかんざい] /(n) muscle relaxant/
筋肉注射 [きんにくちゅうしゃ] /(n) intramuscular injection/
筋肉痛 [きんにくつう] /(n) muscular pain/myalgia/
筋肉労働 [きんにくろうどう] /(n) physical or manual labor/physical or manual labour/
筋無力症 [きんむりょくしょう] /(n,adj-no) myasthenia/
筋目 [すじめ] /(n,adj-no) fold/crease/lineage/pedigree/
筋立て [すじたて] /(exp) plot (of a story)/
筋力 [きんりょく] /(n) physical strength/muscle strength/(P)/
緊々 [ひしひし] /(adv) (uk) acutely/severely/tightly/keenly/
緊い [かたい] /(iK) (adj-i) (1) hard/solid/tough/(2) stiff/tight/wooden/unpolished (e.g. writing)/(3) strong/firm (not viscous or easily moved)/(4) safe/steady/honest/steadfast/(5) obstinate/stubborn/(6) bookish/formal/stuffy/
緊と [ひしと] /(adv) (1) (uk) tightly/firmly/fast/(2) sharply/keenly/
緊まる [しまる] /(v5r,vi) (1) to be shut/to close/to be closed/(2) to be locked/(3) to tighten/to be tightened/(4) to become sober/to become tense/
緊める [しめる] /(v1,vt) (1) to be strict with/(2) to make sushi adding a mixture of vinegar and salt/
緊急 [きんきゅう] /(adj-na,n,adj-no) urgent/pressing/emergency/(P)/
緊急シート [きんきゅうシート] /(n) emergency blanket/
緊急医療チーム [きんきゅういりょうチーム] /(n) emergency medical assistance team/EMAT/
緊急火山情報 [きんきゅうかざんじょうほう] /(n) emergency volcanic alert (e.g. an eruption warning)/urgent information on volcanic activity/
緊急救命室 [きんきゅうきゅうめいしつ] /(n) emergency room/ER/casualty department/
緊急事態 [きんきゅうじたい] /(n) state of emergency/
緊急時 [きんきゅうじ] /(n,adj-no) emergency/
緊急時環境線量情報予測システム [きんきゅうじかんきょうせんりょうじょうほうよそくシステム] /(n) System for Prediction of Environmental Emergency Dose Information/SPEEDI/
緊急車両 [きんきゅうしゃりょう] /(n) emergency vehicle/
緊急集会 [きんきゅうしゅうかい] /(n) emergency meeting of the upper house of the Diet (in response to dissolution of the lower house)/
緊急措置 [きんきゅうそち] /(n,vs) emergency measures/urgent countermeasures/
緊急対策 [きんきゅうたいさく] /(n,vs) emergency measures/urgent countermeasures/
緊急逮捕 [きんきゅうたいほ] /(n) arrest without warrant/
緊急地震速報 [きんきゅうじしんそくほう] /(n) Earthquake Early Warning/EEW/
緊急着陸 [きんきゅうちゃくりく] /(n) emergency landing/
緊急通報 [きんきゅうつうほう] /(n) emergency call/
緊急停止 [きんきゅうていし] /(n) emergency stop/emergency shut down/emergency shutdown/scram (nuclear reactor)/
緊急電話 [きんきゅうでんわ] /(n) urgent phone call/emergency phone call/
緊急度 [きんきゅうど] /(n) (comp) severity/
緊急動議 [きんきゅうどうぎ] /(n) urgent motion/
緊急発進 [きんきゅうはっしん] /(n) scrambling/scramble/
緊急避難 [きんきゅうひなん] /(n) emergency evacuation/
緊急浮上 [きんきゅうふじょう] /(n) emergency ascent (submarine)/emergency surfacing/
緊急浮上訓練 [きんきゅうふじょうくんれん] /(n) emergency surfacing drill (submarine)/
緊急部隊 [きんきゅうぶたい] /(n) rapid force/
緊急用事 [きんきゅうようじ] /(n) emergency tasks/urgent tasks/
緊急炉心冷却装置 [きんきゅうろしんれいきゃくそうち] /(n) emergency core cooling system/ECCS/
緊緊 [ひしひし] /(adv) (uk) acutely/severely/tightly/keenly/
緊縮 [きんしゅく] /(n,vs,adj-no) shrinkage/contraction/economy/retrenchment/(P)/
緊縮財政 [きんしゅくざいせい] /(n) reduced budget/budgetary austerities/
緊縮政策 [きんしゅくせいさく] /(n) austerity plan/austerity program/austerity programme/
緊切 [きんせつ] /(adj-na,n) urgent/pressing/
緊張 [きんちょう] /(n,vs) tension/mental strain/nervousness/(P)/
緊張感 [きんちょうかん] /(n) feeling of tension/air of tension/tension/nervousness/
緊張緩和 [きんちょうかんわ] /(n) detente/easing of tensions/thaw/
緊張病 [きんちょうびょう] /(n) catatonia/
緊那羅 [きんなら] /(n) (Buddh) kimnara (celestial musicians and protectors of Buddhism)/
緊迫 [きんぱく] /(n,vs) tension/strain/(P)/
緊迫した [きんぱくした] /(adj-f) strained/tense/
緊縛 [きんばく] /(n,vs) (1) bind tightly/(2) (sexual) bondage/
緊密 [きんみつ] /(adj-na,n) rigour/rigor/closeness/compactness/tightly knit/(P)/
緊要 [きんよう] /(adj-na,n) momentous/exigent/urgent/important/vital/
緊要地形 [きんようちけい] /(n) key terrain/
緊褌 [きんこん] /(n) loincloth/
緊褌一番 [きんこんいちばん] /(n) gird oneself up/
芹 [せり] /(n) (uk) Java water dropwort (Oenanthe javanica)/Japanese parsley/
芹科 [せりか] /(n) Apiaceae (parsley family of plants)/Umbelliferae/
芹子 [せり] /(n) (uk) Java water dropwort (Oenanthe javanica)/Japanese parsley/
菌 [きのこ] /(n) mushroom/
菌 [きん] /(n) (1) fungus/(2) germ/bacterium/bacillus/(P)/
菌 [たけ] /(n) mushroom/
菌学 [きんがく] /(n) mycology/fungology/
菌株 [きんかぶ] /(n) strain of microorganism/
菌環 [きんかん] /(n) fairy ring/mushroom ring/
菌血症 [きんけつしょう] /(n) bacteremia/bacteraemia (presence of bacteria in the blood)/
菌糸 [きんし] /(n) fungal filament/hypha/hyphae/
菌種 [きんしゅ] /(n) bacterial strain/
菌体 [きんたい] /(n) (1) bacterial cell/(2) fungus body/
菌毒 [きんどく] /(n) mushroom poison/
菌輪 [きんりん] /(n) fairy ring/mushroom ring/
菌類 [きんるい] /(n) fungus/fungi/
菌類学 [きんるいがく] /(n) mycology/
菌類学者 [きんるいがくしゃ] /(n) mycologist/
衿 [えり] /(oK) (n) neck/collar/lapel/neckband/
衿下 [えりした] /(n) usu. the drop between collar and bottom hem on kimono, yukata, etc./
衿元 [えりもと] /(n) front of neck/collar/
衿芯 [えりしん] /(n) collar core (stiff fabric, etc. inside a collar)/
衿先 [えりさき] /(n) collar points/
衿足 [えりあし] /(n) nape of neck/border of hair at back of neck/
衿裏 [えりうら] /(n) lining of the collar/
襟 [えり] /(n) neck/collar/lapel/neckband/(P)/
襟ぐり [えりぐり] /(n) neckline (of dress, etc.)/
襟つき [えりつき] /(adj-no) (1) collared/having a collar/(n) (2) (arch) lifestyle/circumstances/what can be observed about one's wealth by looking at one's collar/(3) (obsc) one's collar when wearing multiple kimonos/
襟の折り返し [えりのおりかえし] /(exp,n) lapel/
襟を正す [えりをただす] /(exp,v5s) to straighten oneself/to straighten one's clothes and one's posture/to adopt a more serious attitude/
襟回り [えりまわり] /(n) (1) collar/area around the collar/(2) counterclockwise (when seated in a circle)/
襟懐 [きんかい] /(n) (one's) inner thoughts/feelings/
襟巻 [えりまき] /(n) muffler/scarf/comforter/
襟巻き [えりまき] /(n) muffler/scarf/comforter/(P)/
襟巻き蜥蜴 [えりまきとかげ] /(n) (uk) frilled lizard (Chlamydosaurus kingii)/frill-necked lizard/
襟巻蜥蜴 [えりまきとかげ] /(n) (uk) frilled lizard (Chlamydosaurus kingii)/frill-necked lizard/
襟巻鷸 [えりまきしぎ] /(n) (uk) ruff/reeve (species of sandpiper, Philomachus pugnax)/
襟換え [えりがえ] /(n) becoming a geisha (of a geisha apprentice)/
襟元 [えりもと] /(n) front of neck/collar/(P)/
襟腰 [えりこし] /(n) height of the neck/
襟首 [えりくび] /(n) nape of neck/
襟章 [えりしょう] /(n) lapel badge/
襟先 [えりさき] /(n) collar points/
襟足 [えりあし] /(n) nape of neck/border of hair at back of neck/
襟替え [えりがえ] /(n) becoming a geisha (of a geisha apprentice)/
襟度 [きんど] /(n) magnanimity/generosity/welcoming personality/
襟白粉 [えりおしろい] /(n) white powder for use on the neck (e.g. by geisha)/
襟髪 [えりがみ] /(n) scruff of neck/
襟付 [えりつき] /(adj-no) (1) collared/having a collar/(n) (2) (arch) lifestyle/circumstances/what can be observed about one's wealth by looking at one's collar/(3) (obsc) one's collar when wearing multiple kimonos/
襟付き [えりつき] /(adj-no) (1) collared/having a collar/(n) (2) (arch) lifestyle/circumstances/what can be observed about one's wealth by looking at one's collar/(3) (obsc) one's collar when wearing multiple kimonos/
襟刳り [えりぐり] /(n) neckline (of dress, etc.)/
謹み [つつしみ] /(n) modesty/self-control/discretion/
謹む [つつしむ] /(v5m,vt) (1) to be careful/to be discreet/(2) to do in moderation/to refrain (from overdoing)/to abstain/(3) to be reverent/(4) to be purified/to be chaste/
謹んで [つつしんで] /(adv) respectfully/humbly/reverently/
謹賀 [きんが] /(n) (hum) wishes of happiness/
謹賀新年 [きんがしんねん] /(int) Happy New Year!/(P)/
謹啓 [きんけい] /(int,n) Dear Sirs (opening for a letter)/Gentlemen/
謹厳 [きんげん] /(adj-na,n) stern/grave/solemn/sobersided/
謹厳実直 [きんげんじっちょく] /(n) sober and honest/
謹言 [きんげん] /(int,n) Yours Sincerely .../
謹告 [きんこく] /(n,vs) informing with respect/announcing respectfully/
謹書 [きんしょ] /(n,vs) respectfully written/
謹慎 [きんしん] /(n) penitence/discipline/house arrest/(P)/
謹製 [きんせい] /(n) quality product/carefully produced/reverently made/
謹選 [きんせん] /(n) carefully selected/
謹聴 [きんちょう] /(int,n,vs) listening attentively/
謹勅 [きんちょく] /(n,adj-na) deep modesty/deep discretion/
謹直 [きんちょく] /(adj-na,n) conscientious/scrupulous/
謹呈 [きんてい] /(n,vs) with the author's compliments/
謹話 [きんわ] /(n) respectful comments/
謹飭 [きんちょく] /(n,adj-na) deep modesty/deep discretion/
近々 [きんきん] /(n-adv,n-t) soon/nearness/before long/
近々 [ちかぢか] /(n-adv,n-t) soon/nearness/before long/(P)/
近い [ちかい] /(adj-i) near/close/short (distance)/(P)/
近いうちに [ちかいうちに] /(adv) before long/
近いじゃない [ちかいじゃない] /(exp) It's close, isn't it?/
近い将来 [ちかいしょうらい] /(n,adj-no) near future/
近い内に [ちかいうちに] /(adv) before long/
近からず遠からず [ちかからずとおからず] /(exp) neither near nor far/
近く [ちかく] /(n-adv,n) (1) near/neighbourhood/neighborhood/vicinity/(n-suf) (2) nearly (i.e. "it took nearly one year")/close to/(adv) (3) shortly/soon/(P)/
近ごろ [ちかごろ] /(n-adv,n-t) lately/recently/nowadays/
近しい [ちかしい] /(adj-i) intimate/close/
近しき中に礼儀有り [ちかしきなかにれいぎあり] /(exp) (id) A hedge between keeps friendships/
近ぢか [ちかぢか] /(n-adv,n-t) soon/nearness/before long/
近づき [ちかづき] /(n) acquaintance/(P)/
近づく [ちかづく] /(v5k,vi) (1) to approach/to draw near/to get close/(2) to get acquainted with/to get closer to/to get to know/
近づける [ちかづける] /(v1,vt) to bring near/to put close/to let come near/to associate with/(P)/
近め [ちかめ] /(adj-na,adj-no) near/close/
近よる [ちかよる] /(v5r,vi) to approach/to draw near/
近医 [きんい] /(n) local doctor/
近因 [きんいん] /(n) immediate or proximate cause/
近影 [きんえい] /(n) recent photograph or photography/
近衛 [このえ] /(n) Imperial Guards/(P)/
近衛師団 [このえしだん] /(n) the Imperial Guards/
近衛兵 [このえへい] /(n) Imperial Guard (Meiji)/personal guard/
近詠 [きんえい] /(n) recent poem/
近縁 [きんえん] /(n) close relation (association)/
近縁種 [きんえんしゅ] /(n) related species/allied species/
近縁属 [きんえんぞく] /(n) related genera/associated species/
近火 [きんか] /(n) fire in the neighborhood/fire in the neighbourhood/
近火 [ちかび] /(n) fire in the neighborhood/fire in the neighbourhood/
近過ぎる [ちかすぎる] /(v1) to be too close/
近回り [ちかまわり] /(n,vs) taking a shortcut/neighborhood/neighbourhood/
近海 [きんかい] /(n,adj-no) coastal waters/adjacent seas/(P)/
近海漁業 [きんかいぎょぎょう] /(n) inshore fishing industry/
近海魚 [きんかいぎょ] /(n) fish found in coastal waters/
近海物 [きんかいもの] /(n) inshore catch/shorefish/
近刊 [きんかん] /(n,adj-no) recent publication/
近間 [ちかま] /(n) proximity/nearby/
近眼 [きんがん] /(n,adj-na,adj-no) nearsightedness/shortsightedness/myopia/(P)/
近眼 [ちかめ] /(n,adj-na,adj-no) nearsightedness/shortsightedness/myopia/
近眼鏡 [きんがんきょう] /(n) corrective lenses for myopia/
近寄せる [ちかよせる] /(v1,vt) to bring close to/to associate with/(P)/
近寄る [ちかよる] /(v5r,vi) to approach/to draw near/(P)/
近畿 [きんき] /(n) Kinki (region around Osaka, Kyoto, Nara)/(P)/
近畿地方 [きんきちほう] /(n) Kinki region (inc. Osaka, Kyoto, Hyogo, Nara, Wakayama, Mie and Shiga prefectures)/
近距離 [きんきょり] /(n) short distance/(P)/
近況 [きんきょう] /(n) recent state/present state/present condition/current status/current circumstances/(P)/
近郷 [きんごう] /(n) neighboring districts/neighbouring districts/countryside/
近郷近在 [きんごうきんざい] /(n) surrounding country/neighboring villages/
近業 [きんぎょう] /(n) recent work/
近近 [きんきん] /(n-adv,n-t) soon/nearness/before long/
近近 [ちかぢか] /(n-adv,n-t) soon/nearness/before long/
近景 [きんけい] /(n) foreground/
近県 [きんけん] /(n) neighboring prefectures/neighbouring prefectures/
近現代 [きんげんだい] /(n) the modern era/present day/
近古 [きんこ] /(n) early modern age/
近江牛 [おうみうし] /(n) Omi beef/
近江牛 [おうみぎゅう] /(n) Omi beef/
近郊 [きんこう] /(n) suburbs/outskirts/(P)/
近郊都市 [きんこうとし] /(n) neighboring towns/neighbouring towns/
近郊農業 [きんこうのうぎょう] /(n) agriculture in urban areas/
近国 [きんごく] /(n) (1) neighboring country/neighbouring country/(2) lands outlying Kyoto/
近頃 [ちかごろ] /(n-adv,n-t) lately/recently/nowadays/(P)/
近在 [きんざい] /(n) neighboring villages/neighbouring villages/suburban districts/
近作 [きんさく] /(n) recent work/(P)/
近視 [きんし] /(n,adj-no) myopia/shortsightedness/nearsightedness/(P)/
近視眼 [きんしがん] /(n) myopia/
近視眼的 [きんしがんてき] /(adj-na) myopic/short-sighted/
近事 [きんじ] /(n) recent events/
近似 [きんじ] /(n,vs,adj-no) approximate/proximate/
近似ランダム [きんじランダム] /(n) (comp) pseudorandom/
近似ランダム系列 [きんじランダムけいれつ] /(n) (comp) pseudorandom sequence/
近似貨幣 [きんじかへい] /(n) near money/
近似解 [きんじかい] /(n) (math) (physics) approximate solution/
近似計算 [きんじけいさん] /(n) rough or approximate calculation/
近似雑音 [きんじざつおん] /(n) (comp) pseudonoise (pn)/
近似雑音系列 [きんじざつおんけいれつ] /(n) (comp) pseudonoise sequence/pn sequence/
近似値 [きんじち] /(n) approximate/approximation/
近侍 [きんじ] /(n,vs) attendant/attendance upon another/
近時 [きんじ] /(n-adv,n-t) recently/
近習 [きんじゅ] /(n) attendant/
近習 [きんじゅう] /(n) attendant/
近所 [きんじょ] /(n,adj-no) neighbourhood/neighborhood/(P)/
近所づきあい [きんじょづきあい] /(n,vs) interaction with one's neighbors/relationship with one's neighbors (neighbours)/
近所合壁 [きんじょがっぺき] /(n) immediate neighborhood/immediate neighbourhood/
近所付き合い [きんじょづきあい] /(n,vs) interaction with one's neighbors/relationship with one's neighbors (neighbours)/
近所迷惑 [きんじょめいわく] /(n) neighborhood nuisance/neighbourhood nuisance/
近称 [きんしょう] /(n) (ling) proximal pronoun (indicating proximity to the speaker, i. e., kore, koko, kochira)/
近場 [ちかば] /(n) nearby place/
近情 [きんじょう] /(n) recent situation or conditions/
近状 [きんじょう] /(n) recent situation or conditions/
近臣 [きんしん] /(n) vassal/attendant/
近親 [きんしん] /(n,adj-no) near relative/(P)/
近親結婚 [きんしんけっこん] /(n) consanguineous marriage/
近親婚 [きんしんこん] /(n) consanguineous marriage/
近親者 [きんしんしゃ] /(n) near relative/
近親相姦 [きんしんそうかん] /(n,adj-no) incest/
近世 [きんせい] /(n,adj-no) early modern times (Azuchi-Momoyama period to Edo period, 1568-1867)/modern times/recent times/(P)/
近世文学 [きんせいぶんがく] /(n) early-modern literature/Edo-period literature (1600-1867)/
近接 [きんせつ] /(n,vs,adj-no) neighboring/neighbouring/adjacent/adjoin/
近接航空支援 [きんせつこうくうしえん] /(n) close air support/
近村 [きんそん] /(n) neighboring villages/
近体 [きんたい] /(n) modern style/
近体詩 [きんたいし] /(n) modern-style poem/
近代 [きんだい] /(n,adj-no) present day/modern times/(P)/
近代オリンピック [きんだいオリンピック] /(n) modern Olympics/
近代音楽 [きんだいおんがく] /(n) modern music/contemporary music/
近代化 [きんだいか] /(n,vs) modernization/modernisation/modernize/modernise/
近代科学 [きんだいかがく] /(n) modern science/
近代劇 [きんだいげき] /(n) modern drama/modern theater/modern WindowsXP/
近代五種競技 [きんだいごしゅきょうぎ] /(n) the modern pentathlon/
近代合理主義 [きんだいごうりしゅぎ] /(exp) modern rationalism/
近代国家 [きんだいこっか] /(n) a modern state or nation/
近代史 [きんだいし] /(n) modern history/
近代詩 [きんだいし] /(n) modern poetry/modern-style poetry/(P)/
近代主義 [きんだいしゅぎ] /(n,adj-no) modernism/
近代的 [きんだいてき] /(adj-na) modern/(P)/
近代文学 [きんだいぶんがく] /(n) modern literature/
近地点 [きんちてん] /(n) perigee/
近着 [きんちゃく] /(n) newly arrived/
近著 [きんちょ] /(n) recent work/(P)/
近鉄 [きんてつ] /(n) (abbr) Kinki Nippon Tetsudou (railway co.)/(P)/
近点 [きんてん] /(n,adj-no) (1) near point (closest point at which an object can be brought into focus by the eye)/(2) periapsis/
近点月 [きんてんげつ] /(n) anomalistic month/
近点年 [きんてんねん] /(n) anomalistic year/
近点離角 [きんてんりかく] /(n) (astronomical) anomaly/
近東 [きんとう] /(n) Near East/
近道 [ちかみち] /(n,vs) short way/shortcut/(P)/
近日 [きんじつ] /(n-adv,n-t) soon/in a few days/(P)/
近日中に [きんじつちゅうに] /(exp) one of these days/in a few days/
近日点 [きんじつてん] /(n) perihelion/
近日点距離 [きんじつてんきょり] /(n) perihelion distance/
近日発売 [きんじつはつばい] /(exp,adj-no) on sale soon/coming soon/
近年 [きんねん] /(n-adv,n-t) recent years/(P)/
近付き [ちかづき] /(n) acquaintance/
近付く [ちかずく] /(ik) (v5k,vi) (1) to approach/to draw near/to get close/(2) to get acquainted with/to get closer to/to get to know/
近付く [ちかづく] /(v5k,vi) (1) to approach/to draw near/to get close/(2) to get acquainted with/to get closer to/to get to know/(P)/
近付ける [ちかづける] /(v1,vt) to bring near/to put close/to let come near/to associate with/(P)/
近辺 [きんぺん] /(n) neighbourhood/neighborhood/vicinity/(P)/
近傍 [きんぼう] /(n) neighborhood/neighbourhood/
近未来 [きんみらい] /(n,adj-no) near future/
近未来政治研究会 [きんみらいせいじけんきゅうかい] /(n) Kinmirai Seiji Kenkyukai (faction of the LDP)/
近目 [ちかめ] /(n,adj-na,adj-no) nearsightedness/shortsightedness/myopia/
近来 [きんらい] /(n-adv,n-t) recently/
近隣 [きんりん] /(n,adj-no) neighbourhood/neighborhood/vicinity/(P)/
近隣公害 [きんりんこうがい] /(n) (noise, smell, air, water) pollution in the neighborhood/
近隣諸国 [きんりんしょこく] /(n) neighboring countries/neighbouring countries/surrounding countries/
近路 [ちかみち] /(n,vs) short way/shortcut/
金 [かね] /(n) (1) money/(2) metal/(P)/
金 [きん] /(n,n-suf) (1) gold/golden (color)/metaphor for (most) valuable/gold (medal, cup)/(2) money (written before an amount)/(3) (abbr) Friday/(4) metal (fourth of the five elements)/(5) Jin (dynasty of China; 1115-1234 CE)/(6) (abbr) gold general (shogi)/(7) (abbr) (col) testicles/(suf,ctr) (8) karat/carat/(P)/
金 [こがね] /(n,adj-no) gold/
金がない [かねがない] /(exp) have no money/(P)/
金がものを言う [かねがものをいう] /(exp,v5u) (id) Money talks/
金が子を生む [かねがこをうむ] /(exp) (id) Money begets money/
金が手に入る [かねがてにはいる] /(exp,v5r) to get hold of money/
金が物を言う [かねがものをいう] /(exp,v5u) (id) Money talks/
金が無い [かねがない] /(exp) have no money/
金ずくで [かねずくで] /(exp) for money/just for money/by means of money/by force of money/
金づち [かなづち] /(n) (1) (iron) hammer/(2) hopeless swimmer/complete beginner at swimming/
金づる [かねづる] /(n) source of revenue/financial supporter/
金に汚い [かねにきたない] /(exp) mean (greedy) about money/stingy/
金に糸目をつけず [かねにいとめをつけず] /(exp) (doing something) regardless of expense/
金に糸目をつけない [かねにいとめをつけない] /(exp) (doing something) regardless of expense/
金に糸目を付けず [かねにいとめをつけず] /(exp) (doing something) regardless of expense/
金に飽かして [かねにあかして] /(exp) sparing no money/regardless of expense/
金に目が眩む [かねにめがくらむ] /(exp,v5m) to be lost in lust for riches/to throw all caution and conscience away in pursuit of riches/
金のない [かねのない] /(adj-i) broke/skint/
金のなる木 [かねのなるき] /(n) jade plant (Crassula argentea, Crassula ovata)/
金の使途 [かねのしと] /(exp) how money is used/
金の指輪 [きんのゆびわ] /(n) gold ring/
金の世の中 [かねのよのなか] /(exp) (id) Money rules the world/
金の切れ目が縁の切れ目 [かねのきれめがえんのきれめ] /(exp) relationships (formed by wealth) will end when the money ends/
金の亡者 [かねのもうじゃ] /(n,adj-no) money monger/money-happy person/person who is money-mad/money-grubber/
金の無心 [かねのむしん] /(n) request for money/touch/
金の鯱 [きんのしゃち] /(n) golden dolphin/
金の鯱 [きんのしゃちほこ] /(n) golden dolphin/
金は天下の回りもの [かねはてんかのまわりもの] /(exp) money comes and goes/money goes around and around/
金は天下の回り物 [かねはてんかのまわりもの] /(exp) money comes and goes/money goes around and around/
金ぱく [きんぱく] /(n,adj-no) gold leaf/beaten gold/
金ぴか [きんぴか] /(adj-na,n) gilded splendor/gilded splendour/
金めっき [きんめっき] /(n,adj-no) (1) gilding/plating (usu. in gold)/(vs) (2) to gild/to plate/
金もうけ [かねもうけ] /(n,vs) money-making/(P)/
金を回す [かねをまわす] /(exp,v5s) to spread money around (e.g. to give, to loan, to invest, etc.)/
金を恵む [かねをめぐむ] /(exp,v5m) to give money/
金を遣う [かねをつかう] /(exp,v5u) to spend money/
金を使う [かねをつかう] /(exp,v5u) to spend money/
金を寝かす [かねをねかす] /(exp,v5s) to let money lie idle/
金を貸せば友を失う [かねをかせばともをうしなう] /(exp) (id) Lend your money and lose your friend/Money gone, friends gone/
金を貯める [かねをためる] /(exp,v1) to save money/
金を調える [かねをととのえる] /(exp,v1) to raise money/
金を賭ける [かねをかける] /(exp,v1) to bet money/
金を費やす [かねをついやす] /(exp,v5s) to expend money/to spend money/
金を無心する [かねをむしんする] /(exp,vs-i) to ask for money/to put the touch on someone/
金ドラ [きんドラ] /(n) (abbr) television drama aired on Friday nights/
金ペン [きんペン] /(n) gold pen (nib)/
金ボタン [きんボタン] /(n) (1) brass button/golden button/(2) male student (who would be wearing such a button)/
金メダル [きんメダル] /(n) gold medal/
金メッキ [きんメッキ] /(n,adj-no) (1) gilding/plating (usu. in gold)/(vs) (2) to gild/to plate/
金モール [きんモール] /(n) gold braid (e.g. on a military officer's uniform)/
金為替本位制度 [きんかわせほんいせいど] /(n) gold exchange standard system/
金一封 [きんいっぷう] /(n) gift of money (contained in an envelope)/
金壱万円 [きんいちまんえん] /(n) 10,000 Yen/
金印 [きんいん] /(n) golden stamp (archeol)/
金員 [きんいん] /(n) (amount of) money/
金隠し [きんかくし] /(n) (1) padding, armour, etc. covering the testicles/(2) mantle or hood on a urinal, squat-toilet, etc./
金烏 [きんう] /(n) (arch) sun/
金烏玉兎 [きんうぎょくと] /(n) (arch) sun and moon/
金運 [きんうん] /(n) economic fortune/luck with money/
金雲母 [きんうんも] /(n) phlogopite/
金円 [きんえん] /(n) money/
金縁 [きんぶち] /(n,adj-no) gilded edges or rims/
金襖子 [かじかがえる] /(n) (uk) kajika frog (Buergeria buergeri)/
金科玉条 [きんかぎょくじょう] /(n) golden rule (basic principle ensuring success in some activity)/
金花虫 [はむし] /(n) (uk) leaf beetle (of family Chrysomelidae)/
金華ハム [きんかハム] /(n) Jinhua ham (special Chinese ham)/
金貨 [きんか] /(n) gold coin/(P)/
金貨準備 [きんかじゅんび] /(n) gold reserve/
金蚊 [かなぶん] /(n) (uk) drone beetle (scarabaeid beetle) (Rhomborrhina japonica)/
金解禁 [きんかいきん] /(n) lifting of a gold embargo/
金回り [かねまわり] /(n) the circulation of money/one's financial standing/
金塊 [きんかい] /(n) nugget/gold bullion/gold bar/(P)/
金額 [きんがく] /(n) amount of money/(P)/
金冠 [きんかん] /(n) (1) gold crown (tooth)/(2) golden crown/coronet/crown made out of gold/
金冠 [こんかん] /(ok) (n) (1) golden crown/coronet/crown made out of gold/
金柑 [きんかん] /(n) (uk) kumquat (Fortunella spp.)/cumquat/
金環 [きんかん] /(n) gold ring/
金環食 [きんかんしょく] /(n) annular eclipse/
金環蝕 [きんかんしょく] /(n) annular eclipse/
金環日食 [きんかんにっしょく] /(n) annular solar eclipse/
金看板 [きんかんばん] /(n) signboard with gold or gilt lettering/slogan/noble cause/
金管 [きんかん] /(n) brass (musical) instrument/
金管楽器 [きんかんがっき] /(n,adj-no) brass musical instruments/
金眼 [きんめ] /(n) (1) golden eyes (of a cat, etc.)/(2) (abbr) splendid alfonsino (Beryx splendens)/
金眼鯛 [きんめだい] /(n) splendid alfonsino (Beryx splendens)/
金器 [きんき] /(n) article made of gold/gold plate/
金気 [かなけ] /(n) metallic taste/taste of iron/
金亀子 [こがねむし] /(n) (1) (uk) scarabaeid beetle/(2) Mimela splendens (metallic-green scarabaeid beetle)/
金橘 [きんかん] /(n) (uk) kumquat (Fortunella spp.)/cumquat/
金詰まり [かねづまり] /(n) financial distress/money shortage/
金詰り [かねづまり] /(n) financial distress/money shortage/
金牛宮 [きんぎゅうきゅう] /(n) Taurus (2nd zodiacal sign)/the Bull/
金鋸 [かねのこぎり] /(n) hacksaw/
金魚 [きんぎょ] /(n) goldfish/(P)/
金魚の糞 [きんぎょのうんこ] /(n) (id) a person who tags along (lit: goldfish droppings)/hanger-on/a person who follows someone around like a shadow/clingy person/
金魚の糞 [きんぎょのふん] /(n) (id) a person who tags along (lit: goldfish droppings)/hanger-on/a person who follows someone around like a shadow/clingy person/
金魚屋 [きんぎょや] /(n) goldfish seller (vendor)/
金魚掬い [きんぎょすくい] /(n) festival game in which participants try to catch goldfish in a shallow paper ladle/
金魚草 [きんぎょそう] /(n) snapdragon/
金魚藻 [きんぎょも] /(n) (1) (col) Eurasian water milfoil (Myriophyllum spicatum)/(2) aquatic plants such as hornwort that are commonly used in goldfish tanks, etc./
金魚売り [きんぎょうり] /(n) goldfish peddling/goldfish peddler/
金魚鉢 [きんぎょばち] /(n) goldfish bowl/
金玉 [きんぎょく] /(n) gold and jewels/precious object/
金玉 [きんたま] /(n) (col) testicles/
金玉が上がったり下ったり [きんたまがあがったりくだったり] /(exp) being held in suspense/being on edge/
金巾 [かなきん] /(n) canequim (por:)/unbleached muslin/calico/
金筋 [きんすじ] /(n) gold stripes/
金銀 [きんぎん] /(n) gold and silver/
金銀は回り持ち [きんぎんはまわりもち] /(exp) (id) Money is round and rolls away/
金銀泥絵 [きんぎんでいえ] /(n) painting made with gold or silver paint (usu. on a dark background)/
金具 [かなぐ] /(n) metal fittings or fixtures/(P)/
金串 [かなぐし] /(n) metal spit or skewer/
金屑 [かなくず] /(n) scrap metal/
金轡 [かなぐつわ] /(n) a (metal) bit/
金繰り [かねぐり] /(n) financing/raising funds/
金型 [かながた] /(n) metal pattern/die/(metal) mold/
金型費 [かながたひ] /(n) (metal) tooling cost/tool charges/
金欠 [きんけつ] /(n,adj-no) running out of money/
金欠病 [きんけつびょう] /(n) poverty/
金穴 [きんけつ] /(n) a gold mine/a provider of funds/
金券 [きんけん] /(n) (1) gold certificate/(2) tradeable coupon redeemable for goods or services/
金券ショップ [きんけんショップ] /(n) shop where one can buy and sell gift certificates and other coupons/
金権 [きんけん] /(n,adj-no) power of money/financial influence/(P)/
金権政治 [きんけんせいじ] /(n,adj-no) money politics (i.e corruption of politics by money)/
金遣い [かねづかい] /(n) (way of) spending money/
金遣いの荒い [かねずかいのあらい] /(exp) extravagant/wasteful of money/
金言 [きんげん] /(n,adj-no) wise saying/maxim/
金言名句 [きんげんめいく] /(n) golden (wise) saying/aphorism/maxim/
金庫 [かねぐら] /(n) safe/vault/treasury/provider of funds/
金庫 [きんこ] /(n) safe/vault/treasury/provider of funds/(P)/
金庫株 [きんこかぶ] /(n) treasury stock/
金庫破り [きんこやぶり] /(n) safecracking/safecracker/
金光教 [こんこうきょう] /(n) Konkokyo (Shinto sect founded in 1859)/
金光明経 [こんこうみょうきょう] /(n) Golden Light Sutra/
金光明最勝王経 [こんこうみょうさいしょうおうきょう] /(n) Golden Light Sutra (as translated into Chinese by the monk I Ching)/
金口 [きんぐち] /(n) gold-colored paper wrapped around the tip of a cigarette (coloured)/
金口木舌 [きんこうぼくぜつ] /(n) (public) opinion leader/
金口木舌 [きんこうもくぜつ] /(n) (public) opinion leader/
金坑 [きんこう] /(n) gold mine/
金工 [きんこう] /(n) metalwork/metalsmith/goldsmith/
金紅石 [きんこうせき] /(n) rutile/
金衡 [きんこう] /(n) (obsc) troy weight (e.g. troy ounce, troy pound)/
金鉱 [きんこう] /(n) gold mine/
金鉱地 [きんこうち] /(n) gold field/goldfield/
金鉱脈 [きんこうみゃく] /(n) gold vein/gold-bearing reef/
金高 [きんだか] /(n) sum/
金剛 [こんごう] /(n) (1) vajra (indestructible substance)/diamond/adamantine/(2) thunderbolt/Indra's weapon/Buddhist symbol of the indestructible truth/
金剛界 [こんごうかい] /(n) (obsc) Vajradhatu/Diamond Realm/
金剛界曼荼羅 [こんごうかいまんだら] /(n) (obsc) Vajradhatu Mandala/Diamond Realm Mandala/
金剛杵 [こんごうしょ] /(n) vajra (mystical weapon in Hinduism and Buddhism)/
金剛経 [こんごうきょう] /(n) (abbr) Diamond Sutra/
金剛堅固 [こんごうけんご] /(n) firm and solid/sturdy and indestructible/unshakable/adamantine/
金剛砂 [こんごうしゃ] /(n) emery (powder)/
金剛桜 [こんごうざくら] /(n) (obsc) Japanese bird cherry (Prunus grayana)/
金剛薩堕 [こんごうさった] /(n) Vajrasattva/Supreme Being of tantric Buddhism/
金剛手 [こんごうしゅ] /(n) (Buddh) Vajrapani/wielder of the vajra/
金剛杖 [こんごうじょう] /(n) pilgrim's staff/
金剛杖 [こんごうづえ] /(n) pilgrim's staff/
金剛心 [こんごうしん] /(n) (Buddh) extreme religious piety/unshakable faith/
金剛石 [こんごうせき] /(n) diamond/
金剛頂経 [こんごうちょうきょう] /(n) (Buddh) Vajrasekhara Sutra/
金剛般若経 [こんごうはんにゃきょう] /(n) (abbr) Diamond Sutra/
金剛般若波羅蜜多経 [こんごうはんにゃはらみたきょう] /(n) Diamond Sutra/
金剛不壊 [こんごうふえ] /(n) firm and solid/sturdy and indestructible/unshakable/adamantine/
金剛夜叉 [こんごうやしゃ] /(n) Vajrayaksa/
金剛薬叉 [こんごうやしゃ] /(n) Vajrayaksa/
金剛力 [こんごうりき] /(n) superhuman (Herculean) strength/
金剛力士 [こんごうりきし] /(n) the guardian gods (at a temple gate)/
金剛鈴 [こんごうれい] /(n) (Buddh) vajra bell/
金剛鸚哥 [こんごういんこ] /(n) (uk) macaw/
金黒羽白 [きんくろはじろ] /(n) (uk) tufted duck (Aythya fuligula)/
金婚 [きんこん] /(n) golden wedding/
金婚式 [きんこんしき] /(n) golden wedding (anniversary)/
金砂 [きんしゃ] /(n) gold dust/golden sand/
金鎖 [きんぐさり] /(n) golden chain/
金座 [きんざ] /(n) Edo-period gold mint/
金彩 [きんだみ] /(n) gold leaf/gold paint/gold glazing/
金策 [きんさく] /(n,vs) (means of) raising money/
金錆 [かなさび] /(n) rust/
金山 [かなやま] /(n) (gold) mine/
金山 [きんざん] /(n) (gold) mine/
金使い [かねづかい] /(n) (way of) spending money/
金子 [きんす] /(n) money/funds/(P)/
金市場 [きんしじょう] /(n) gold market/
金枝玉葉 [きんしぎょくよう] /(n) (1) member of the Imperial family/royalty/(2) beautiful clouds/
金糸 [きんし] /(n) gold thread/
金糸雀 [きんしじゃく] /(n) (uk) canary (esp. the island canary, Serinus canaria) (por:)/
金糸雀茄子 [かなりあなす] /(n) (uk) nipplefruit (Solanum mammosum)/apple of Sodom/titty fruit/cow's udder/
金糸雀色 [きんしじゃくいろ] /(n) canary/daffodil yellow/
金糸梅 [きんしばい] /(n) (uk) goldencup St. John's wort (Hypericum patulum)/
金歯 [きんば] /(n) gold tooth/
金字 [きんじ] /(n) gold or gilt letters/
金字 [こんじ] /(n) gold or gilt letters/
金字塔 [きんじとう] /(n) pyramid/monumental work/
金持 [かねもち] /(n) rich person/
金持ち [かねもち] /(n) rich person/(P)/
金時計 [きんどけい] /(n) gold watch/
金時鯛 [きんときだい] /(n) (uk) red bigeye (Priacanthus macracanthus)/
金時豆 [きんときまめ] /(n) red kidney bean/
金蒔絵 [きんまきえ] /(n) gold lacquer/
金漆 [きんしつ] /(n) type of lacquer made from the sap of Acanthopanax sciadophylloides/
金紗 [きんしゃ] /(n) silk crepe/
金蛇 [かなへび] /(n) (uk) lacertid (any lizard of family Lacertidae, esp. the Japanese grass lizard, Takydromus tachydromoides)/
金杓子 [かなじゃくし] /(n) metal ladle/
金主 [きんしゅ] /(n) financial backer or supporter/
金拾万円 [きんじゅうまんえん] /(n) 100,000 Yen/
金臭い [かなくさい] /(adj-i) metallic tasting/
金準備 [きんじゅんび] /(n) gold reserve/
金将 [きんしょう] /(n) gold general (shogi)/
金床 [かなとこ] /(n) anvil/
金賞 [きんしょう] /(n) gold (first-place) prize/
金城 [きんじょう] /(n) impregnable castle/
金城鉄壁 [きんじょうてっぺき] /(n) impregnable castle (walls)/redoubtable/
金城湯池 [きんじょうとうち] /(n) an impregnable fortress/an unassailable territory/
金色 [きんいろ] /(n,adj-no) golden (colour, color)/(P)/
金色 [こんじき] /(n,adj-no) golden (colour, color)/(P)/
金色ジャッカル [きんいろジャッカル] /(n) golden jackal (carnivore, Canis aureus ssp.)/Asiatic jackal/
金色堂 [こんじきどう] /(n) Konjikido (name of a temple building)/
金食い [かねくい] /(adj-i) money-eating/expensive/extravagant/
金食い虫 [かねくいむし] /(n) money loser/high-cost, low-return project/
金神 [こんじん] /(n) Konjin/God of (unlucky) directions/
金尽く [かねずく] /(n) using money as a weapon/power of money/
金尽くで [かねずくで] /(exp) for money/just for money/by means of money/by force of money/
金水引 [きんみずひき] /(n) (1) gold-leaf-coated twisted paper/(2) (uk) Agrimonia pilosa var. japonica (variety of hairy agrimony)/
金雀枝 [えにしだ] /(ateji) (n) (uk) common broom (Cytisus scoparius, Genista scoparia)/Scotch broom/English broom/
金雀児 [えにしだ] /(ateji) (n) (uk) common broom (Cytisus scoparius, Genista scoparia)/Scotch broom/English broom/
金星 [きんせい] /(n,adj-no) Venus (planet)/
金星 [きんぼし] /(n) (1) dazzling victory/(2) win of rank-and-file sumo wrestler over the grand champion/(P)/
金製 [きんせい] /(n,adj-no) made of gold/
金石 [きんせき] /(n) (1) minerals and rocks/metal and stone utensils/(2) epigraph/(P)/
金石学 [きんせきがく] /(n) epigraphy/
金石文 [きんせきぶん] /(n) epigraph on a stone monument/ancient inscriptions on monuments/
金石併用期 [きんせきへいようき] /(n) (obsc) Chalcolithic period (i.e. the Copper Period)/
金石併用時代 [きんせきへいようじだい] /(n) Chalcolithic period (i.e. the Copper Period)/
金赤 [きんあか] /(n) bronze-red/
金赤色 [きんあかいろ] /(n) bronze-red (colour, color)/
金切り声 [かなきりごえ] /(n,adj-no) shrill voice/piercing cry/shriek/scream/
金切声 [かなきりごえ] /(n,adj-no) shrill voice/piercing cry/shriek/scream/
金扇 [きんせん] /(n) gilded folding fan/
金銭 [きんせん] /(n,adj-no) money/cash/(P)/
金銭ずくで [きんせんずくで] /(exp) for money/just for money/by means of money/
金銭に細かい [きんせんにこまかい] /(adj-i) skimpy about money/
金銭トラブル [きんせんトラブル] /(n) money problems/
金銭感覚 [きんせんかんかく] /(n) sense for (how to use) money/money sense/
金銭債権 [きんせんさいけん] /(n) monetary claim/
金銭債務 [きんせんさいむ] /(n) monetary liabilities/pecuniary obligation/
金銭信託 [きんせんしんたく] /(n) cash or money trust/
金銭尽くで [きんせんずくで] /(exp) for money/just for money/by means of money/
金銭的ダメージ [きんせんてきダメージ] /(n) monetary damages/
金銭哲学 [きんせんてつがく] /(n) one's philosophy of making, saving, and spending money/
金銭登録器 [きんせんとうろくき] /(n) cash register/
金銭登録機 [きんせんとうろくき] /(n) cash register/
金銭問題 [きんせんもんだい] /(n) money matter/question of money/money trouble/
金蔵 [かねぐら] /(n) treasure house/
金蔵 [きんぞう] /(n) treasure house/
金側 [きんがわ] /(n) a gold case/gold-cased/
金属 [きんぞく] /(n) metal/(P)/
金属バット [きんぞくバット] /(n) metal bat/
金属音 [きんぞくおん] /(n) metallic sound/metallic clank/
金属加工 [きんぞくかこう] /(n) metalworking/
金属間 [きんぞくかん] /(n) intermetallic/
金属器時代 [きんぞくきじだい] /(n) Metal Age (i.e. the Bronze Age and the Iron Age)/
金属結合 [きんぞくけつごう] /(n) metallic bond/
金属元素 [きんぞくげんそ] /(n) metallic element/
金属工業 [きんぞくこうぎょう] /(n) metalworking industry/
金属鉱物 [きんぞくこうぶつ] /(n) metal ore/metallic mineral/
金属酸化物半導体 [きんぞくさんかぶつはんどうたい] /(n) (comp) metal oxide semiconductor/MOS/
金属酸化膜半導体 [きんぞくさんかまくはんどうたい] /(n) (comp) Metal Oxide Semiconductor/MOS/
金属性 [きんぞくせい] /(n) metallic quality/
金属製 [きんぞくせい] /(n,adj-no) made of metal/
金属探知機 [きんぞくたんちき] /(n) metal detector/
金属端子 [きんぞくたんし] /(n) metal terminal/
金属疲労 [きんぞくひろう] /(n) metal fatigue/
金属被膜加工 [きんぞくひまくかこう] /(n,vs) (comp) metalization/
金属片 [きんぞくへん] /(n) piece of metal/
金胎 [きんたい] /(n) unglazed metallic lacquerware/
金胎 [こんたい] /(n) (Buddh) Diamond Realm and Womb Realm/
金胎両部 [こんたいりょうぶ] /(n) (Buddh) Diamond Realm and Womb Realm/
金袋 [かなぶくろ] /(n) moneybag/
金貸し [かねかし] /(n,vs) (1) moneylending/(n) (2) moneylender/
金探し [きんさがし] /(n) searching for gold/
金団 [きんとん] /(n) mashed sweet potatoes (inc. sweetened chestnuts or beans)/
金談 [きんだん] /(n) discussion about money/loan request/
金地金本位制度 [きんじがねほんいせいど] /(n) gold bullion standard/
金槌 [かなづち] /(n) (1) (iron) hammer/(2) hopeless swimmer/complete beginner at swimming/(P)/
金槌頭 [かなづちあたま] /(n) hard-headed/stubborn/
金鍔 [きんつば] /(n) (1) (abbr) confection of sweetened beans wrapped in wheat-flour dough (in the shape of a sword guard)/(2) (arch) metal sword guard/polearm/
金鍔焼 [きんつばやき] /(n) confection of sweetened beans wrapped in wheat-flour dough (in the shape of a sword guard)/
金鍔焼き [きんつばやき] /(n) confection of sweetened beans wrapped in wheat-flour dough (in the shape of a sword guard)/
金釘 [かなくぎ] /(n) iron nail/
金釘流 [かなくぎりゅう] /(n) a scrawl/scrawled writing/
金泥 [きんでい] /(n) gold paint/
金泥 [こんでい] /(n) gold paint/
金的 [きんてき] /(n) (1) bull's-eye/(2) object of desire/(3) (col) male crotch (as a target in fighting)/the jewels (as in kick him in ...)/
金鉄 [きんてつ] /(n) gold and iron/firmness/adamancy/
金殿玉楼 [きんでんぎょくろう] /(n) magnificent palace/
金鍍金 [きんめっき] /(n,adj-no) (1) gilding/plating (usu. in gold)/(vs) (2) to gild/to plate/
金唐革 [きんからかわ] /(n) thin leather with gold patterns (introduced from Europe during the Edo period)/
金唐皮 [きんからかわ] /(n) thin leather with gold patterns (introduced from Europe during the Edo period)/
金頭 [かながじら] /(n) (uk) red-whiskered bulbul (Lepidotrigla microptera)/
金堂 [こんどう] /(n) main temple structure (sanctuary, hall)/
金銅 [こんどう] /(n) gilt bronze/gilt copper/
金入れ [かねいれ] /(n) purse/handbag/wallet/till/
金納 [きんのう] /(n,vs) cash payment/
金波 [きんぱ] /(n) golden waves/moonlight/
金波銀波 [きんぱぎんぱ] /(n) sparkling waves/waves sparkling in the moonlight or with the light of the rising (setting) sun/
金杯 [きんぱい] /(n) gold cup/gilded cup/goblet/
金盃 [きんぱい] /(n) gold cup/gilded cup/goblet/
金牌 [きんぱい] /(n) gold medal/
金梅草 [きんばいそう] /(n) (uk) Trollius hondoensis (species of globeflower)/
金蝿 [きんばえ] /(n) (uk) greenbottle fly (esp. species Lucilia caesar)/
金箔 [きんぱく] /(n,adj-no) gold leaf/beaten gold/
金縛り [かなしばり] /(n) (1) binding hand and foot/temporary feeling of paralysis/sleep paralysis/(2) (col) being tied down with money/(P)/
金箱 [かねばこ] /(n) cashbox/income source/
金髪 [きんぱつ] /(n,adj-no) blond hair/(P)/
金鳩 [きんばと] /(n) (uk) emerald dove (Chalcophaps indica)/
金比羅 [こんぴら] /(n) guardian deity of seafaring/Kumbhira/
金肥 [かねごえ] /(n) chemical fertilizer/chemical fertiliser/
金肥 [きんぴ] /(n) chemical fertilizer/chemical fertiliser/
金毘羅 [こんぴら] /(n) guardian deity of seafaring/Kumbhira/
金美人参 [きんびにんじん] /(n) type of yellow carrot grown in Okinawa/
金品 [きんぴん] /(n) money and goods/(P)/
金敷き [かなしき] /(n) anvil/
金腹 [きんぱら] /(n) (uk) chestnut munia (species of passerine bird, Lonchura atricapilla)/black-headed munia/
金仏 [かなぶつ] /(n) (1) metal, usually bronze, statue of Buddha/(2) cold-hearted person/cold-blooded person/
金物 [かなもの] /(n) metal utensil/ironware/metal fittings/hardware/
金物屋 [かなものや] /(n) hardware store or dealer/
金鮒 [きんぶな] /(n) (uk) Carassius buergeri/
金粉 [きんこ] /(n) gold dust/
金粉 [きんぷん] /(n) gold dust/
金文 [きんぶん] /(n) Chinese bronze inscriptions/type of lettering used on metal objects, especially in China during the Yin and Zhou dynasties/
金文字 [きんもじ] /(n) gold or gilt letters/
金平 [かねひら] /(n) (uk) Acheilognathus rhombeus (species of cyprinid)/
金平 [きんぴら] /(n) finely chopped cooked vegetable (typically burdock)/
金平牛蒡 [きんぴらごぼう] /(n) Kinpira-style sauteed burdock/
金平糖 [こんぺいとう] /(ateji) (n) small coloured sugar candy covered in bulges (por: confeito)/
金米糖 [こんぺいとう] /(ateji) (n) small coloured sugar candy covered in bulges (por: confeito)/
金偏 [かねへん] /(n) (1) kanji "metal" or "gold" radical at left/(2) the metal industry/
金偏景気 [かねへんけいき] /(n) metal industry boom/
金包 [きんぽう] /(n) envelope containing betrothal money and given as part of a betrothal gift/
金宝樹 [きんぽうじゅ] /(n) (uk) crimson bottlebrush/Callistemon citrinus/
金鳳花 [きんぽうげ] /(n) a buttercup/
金棒 [かなぼう] /(n) metal rod/
金棒引き [かなぼうひき] /(n) (1) a gossip/(2) night watchman/
金釦 [きんボタン] /(n) (1) brass button/golden button/(2) male student (who would be wearing such a button)/
金本位 [かねほんい] /(n,adj-no) money-centered way (of thinking)/
金本位 [きんほんい] /(n) gold standard/
金本位制 [きんほんいせい] /(n) the gold standard system/
金満家 [きんまんか] /(n) man of wealth/millionaire/
金蔓 [かねづる] /(n) source of revenue/financial supporter/
金味 [かなあじ] /(n) (1) (arch) metallic/(2) cutting edge of a bladed instrument/
金脈 [きんみゃく] /(n) (questionable) financial connections/vein of gold/(P)/
金無垢 [きんむく] /(n) pure gold/
金毛 [きんもう] /(n,adj-no) golden fur/yellow hair/
金網 [かなあみ] /(n) wire netting/wire mesh/wire screen/chain-link mesh/(P)/
金網フェンス [かなあみフェンス] /(n) chain-link fence/wire mesh fence/
金儲け [かねもうけ] /(n,vs) money-making/(P)/
金木犀 [きんもくせい] /(n) (uk) fragrant olive (Osmanthus fragrans var. aurantiacus)/
金目 [かねめ] /(adj-na,n,adj-no) monetary value/
金目 [きんめ] /(n) (1) Edo-period unit of gold coinage/(2) golden eyes (of a cat, etc.)/(3) (abbr) splendid alfonsino (Beryx splendens)/
金目鯛 [きんめだい] /(n) splendid alfonsino (Beryx splendens)/
金融 [きんゆう] /(n,adj-no) financing/credit transacting/loaning of money/circulation of money/(P)/
金融アナリスト [きんゆうアナリスト] /(n) financial analyst/
金融サービス [きんゆうサービス] /(n) financial service/
金融システム [きんゆうシステム] /(n) financial system/
金融ビッグバン [きんゆうビッグバン] /(n) financial Big Bang (1996-2001)/
金融リスク [きんゆうリスク] /(n) financial risk/
金融引き締め [きんゆうひきしめ] /(n) monetary tightening/credit squeeze/credit crunch/
金融引締め [きんゆうひきしめ] /(n) monetary tightening/credit squeeze/credit crunch/
金融改革 [きんゆうかいかく] /(n) financial reform/
金融界 [きんゆうかい] /(n) financial circles/the financial community/
金融街 [きんゆうがい] /(n) financial district/
金融活動作業部会 [きんゆうかつどうさぎょうぶかい] /(n) Financial Action Task Force on Money Laundering/FATF/
金融緩和 [きんゆうかんわ] /(n) monetary easing/
金融関係 [きんゆうかんけい] /(n,adj-no) finance-related/financial/
金融危機 [きんゆうきき] /(n) financial crisis/
金融機関 [きんゆうきかん] /(n) financial institutions/banking facilities/(P)/
金融機関離れ [きんゆうきかんばなれ] /(n) disintermediation/removing money from banks/seeking non-bank funds sources/
金融恐慌 [きんゆうきょうこう] /(n) financial crisis or panic/
金融業 [きんゆうぎょう] /(n) finance business/moneylending business/
金融公庫 [きんゆうこうこ] /(n) finance corporation/
金融工学 [きんゆうこうがく] /(n) financial engineering/
金融詐欺 [きんゆうさぎ] /(n) financial fraud/
金融債 [きんゆうさい] /(n) bank debenture bond/
金融市場 [きんゆうしじょう] /(n) money market/financial market/(P)/
金融資産 [きんゆうしさん] /(n) financial asset/
金融資本 [きんゆうしほん] /(n) financial capital/
金融商品 [きんゆうしょうひん] /(n) financial products/financial instruments/
金融商品取引法 [きんゆうしょうひんとりひきほう] /(n) Financial Instruments and Exchange Law (1948)/
金融政策 [きんゆうせいさく] /(n) monetary policy/
金融担当相 [きんゆうたんとうしょう] /(n) minister in charge of financial affairs/
金融担当大臣 [きんゆうたんとうだいじん] /(n) State Minister in Charge of Financial Affairs/
金融庁 [きんゆうちょう] /(n) Financial Services Agency/
金融当局 [きんゆうとうきょく] /(n) financial authorities/
金融犯罪 [きんゆうはんざい] /(n) financial crime/
金融逼迫 [きんゆうひっぱく] /(n) monetary stringency/tight-money situation/
金融不安 [きんゆうふあん] /(n) financial panic/
金融崩壊 [きんゆうほうかい] /(n) financial collapse/
金曜 [きんよう] /(n-adv,n-t) (abbr) Friday/(P)/
金曜日 [きんようび] /(n-adv,n-t) Friday/(P)/
金羊皮 [きんようがわ] /(n) Golden Fleece/
金葉手毬 [きんばでまり] /(n) Viburnum plicatum var. plicatum/
金利 [きんり] /(n) interest rates/(P)/
金利引き下げ [きんりひきさげ] /(n) interest rate cut/
金利鞘 [きんりしょう] /(n) interest margin/
金利政策 [きんりせいさく] /(n) interest rate policy/
金利生活者 [きんりせいかつしゃ] /(n) a rentier (one who lives on investment interest)/
金離れ [かねばなれ] /(n) (way of) spending money/free spending/
金葎 [かなむぐら] /(n) (uk) Japanese hop (Humulus japonicus)/
金力 [きんりょく] /(n) monetary power/
金緑石 [きんりょくせき] /(n) chrysoberyl/
金輪 [かなわ] /(n) (1) metal ring/metal hoop/metal band/(2) trivet/
金輪 [こんりん] /(n) (1) (Buddh) gold wheel (highest of the three layered wheels that support the earth above the primordial void)/(2) (Buddh) (abbr) gold wheel-turning sage king/
金輪王 [こんりんおう] /(n) (Buddh) gold wheel-turning sage king/
金輪際 [こんりんざい] /(adv,n) the deepest bottom of the earth/never/not ... at all/on no account/for all the world/till doomsday/
金輪奈落 [こんりんならく] /(n,n-adv) utmost limits/to the finish/to the (bitter) end/to the hilt/down to the bedrock/
金蓮花 [きんれんか] /(n) (uk) nasturtium (species of Indian cress, Tropaeolum majus)/
金聾 [かなつんぼ] /(n) completely deaf/
金椀 [かなまり] /(n) small metal bowl/
金椀 [かなわん] /(n) small metal bowl/
金壺 [かなつぼ] /(n) metal jar or pot/
金壺眼 [かなつぼまなこ] /(n) goggle-eyes/round, sunken eyes/greedy look/
金屎 [かなくそ] /(n) (1) slag/dross/(2) iron rust/
金屏風 [きんびょうぶ] /(n) folding screen covered with gold leaf/(P)/
金梃 [かなてこ] /(n) crowbar/
金甌無欠 [きんおうむけつ] /(n) (1) flawless/perfect/(2) (a nation) having never been invaded by outside forces/
金甌無欠 [きんのうむけつ] /(n) (1) flawless/perfect/(2) (a nation) having never been invaded by outside forces/
金瘡小草 [きらんそう] /(n) (uk) creeping bugleweed (Ajuga decumbens)/
金盞花 [きんせんか] /(n) marigold/Calendula officinalis/
金盥 [かなだらい] /(n) metal basin/
金翅雀 [ひわ] /(n) (uk) cardueline finch (any finch of subfamily Carduelinae, esp. the Eurasian siskin, Carduelis spinus)/
金蠅 [きんばえ] /(n) (uk) greenbottle fly (esp. species Lucilia caesar)/
金襴 [きんらん] /(n) gold brocade/
金襴手 [きんらんで] /(n) gold-painted porcelain/
金襴鳥 [きんらんちょう] /(n) (uk) red bishop (species of African weaverbird, Euplectes orix)/
金襴緞子 [きんらんどんす] /(n) gold-brocaded satin damask/
金鋏 [かなばさみ] /(n) tongs/shears/
金鑞 [きんろう] /(n) alloy of gold, silver, copper, zinc, cadmium, etc., used to fuse items of gold/
金鯱 [きんしゃち] /(n) golden dolphin/
金鵄勲章 [きんしくんしょう] /(n) The Order of the Golden Kite (Japanese military award)/
吟じる [ぎんじる] /(v1,vt) (1) to chant/to sing/to recite/(2) to write (a poem)/to compose/
吟ずる [ぎんずる] /(vz,vt) (1) to chant/to recite/to sing/(2) to write (a poem)/to compose/
吟詠 [ぎんえい] /(n,vs) recitation or chanting of a poem/
吟唱 [ぎんしょう] /(n,vs) recital/recitation/chant(ing)/
吟醸酒 [ぎんじょうしゅ] /(n) type of sake brewed by low temperature fermentation from white rice milled to 60%/
吟味 [ぎんみ] /(n,vs) testing/scrutiny/careful investigation/(P)/
吟遊詩人 [ぎんゆうしじん] /(n) troubadour/minstrel/
吟誦 [ぎんしょう] /(n,vs) recital/recitation/chant(ing)/
銀 [ぎん] /(n,adj-no) (1) silver/silver coin/silver paint/(n) (2) silver general (shogi)/(P)/
銀 [しろがね] /(n,adj-no) (1) silver/silver coin/silver paint/
銀ねず [ぎんねず] /(n) silver gray/silver grey/
銀ぶら [ぎんぶら] /(n) stroll on the Ginza (i.e. the street)/
銀めっき [ぎんめっき] /(n,vs,adj-no) silvering/silver-plating/
銀を取る [ぎんをとる] /(exp,v5r) (1) to capture a gin (shogi)/(2) to desilverize/to desilverise/
銀メダル [ぎんメダル] /(n) silver medal/
銀モール [ぎんモール] /(n) silver lace/silver braid/
銀杏 [いちょう] /(n) (uk) ginkgo (Ginkgo biloba)/gingko/maidenhair tree/
銀杏 [ぎんなん] /(n) ginkgo nut/gingko nut/
銀杏返 [いちょうがえし] /(io) (n) ancient Japanese ladies' hairstyle/
銀杏返し [いちょうがえし] /(n) ancient Japanese ladies' hairstyle/
銀位 [ぎんい] /(n) silver quality/
銀縁 [ぎんぶち] /(n) silver-rimmed/
銀塩 [ぎんえん] /(n) silver halide/silver salt/
銀河 [ぎんが] /(n) (1) Milky Way/(2) galaxy/(P)/
銀河群 [ぎんがぐん] /(n) group of galaxies/
銀河系 [ぎんがけい] /(n,adj-no) galaxy/galactic system/
銀河座標 [ぎんがざひょう] /(n) galactic coordinates/
銀河赤道 [ぎんがせきどう] /(n) galactic equator/
銀河団 [ぎんがだん] /(n) cluster of galaxies/
銀河目鯵 [ぎんがめあじ] /(n) (uk) bigeye trevally (Caranx sexfasciatus)/bigeye jack/great trevally/six-banded trevally/dusky jack/
銀貨 [ぎんか] /(n) silver coin/(P)/
銀塊 [ぎんかい] /(n) silver nugget or ingot/silver bullion/
銀灰色 [ぎんかいしょく] /(n) silver gray/silver grey/
銀漢 [ぎんかん] /(n) Milky Way/
銀眼 [ぎんめ] /(n) (1) steel-blue eyes (e.g. of a cat)/(2) (uk) (abbr) silver eye (species of beardfish, Polymixia japonica)/
銀眼鯛 [ぎんめだい] /(n) (uk) silver eye (species of beardfish, Polymixia japonica)/
銀器 [ぎんき] /(n) silver utensils/
銀亀鯵 [ぎんがめあじ] /(n) (uk) bigeye trevally (Caranx sexfasciatus)/bigeye jack/great trevally/six-banded trevally/dusky jack/
銀経 [ぎんけい] /(n) galactic longitude/
銀狐 [ぎんぎつね] /(n) silver fox/
銀交換 [ぎんこうかん] /(n) exchange of gins (shogi)/
銀坑 [ぎんこう] /(n) silver mine/ore/
銀行 [ぎんこう] /(n,adj-no) bank/(P)/
銀行ＡＮＳＥＲ [ぎんこうアンサー] /(n) (comp) Automatic answer Network System for Electrical Request/
銀行システム [ぎんこうシステム] /(n) banking system/
銀行印 [ぎんこういん] /(n) seal used for bank transactions/
銀行員 [ぎんこういん] /(n) bank employee/banker/
銀行家 [ぎんこうか] /(n) banker/
銀行改革 [ぎんこうかいかく] /(n) banking reform/
銀行界 [ぎんこうかい] /(n) banking world/
銀行割引 [ぎんこうわりびき] /(n) banker's discount/bank discount/
銀行監督 [ぎんこうかんとく] /(n) bank supervision/
銀行間取引 [ぎんこうかんとりひき] /(n) interbank transactions/
銀行強盗 [ぎんこうごうとう] /(n) bank robbery or robber/
銀行業 [ぎんこうぎょう] /(n) banking/
銀行業務 [ぎんこうぎょうむ] /(n) banking services/
銀行系カード [ぎんこうけいカード] /(n) bank issued credit card/
銀行券 [ぎんこうけん] /(n) bank note/
銀行口座 [ぎんこうこうざ] /(n) bank account/
銀行貸出 [ぎんこうかしだし] /(n) bank lending/
銀行融資 [ぎんこうゆうし] /(n) bank loan/
銀行預金 [ぎんこうよきん] /(n) bank deposit/
銀鉱 [ぎんこう] /(n) silver mine/ore/
銀婚式 [ぎんこんしき] /(n) silver wedding (anniversary)/
銀砂子 [ぎんすなご] /(n) silver dust/
銀座 [ぎんざ] /(n) (1) Ginza (shopping district in Tokyo)/(2) (Edo period) silver mint/(P)/
銀細工 [ぎんざいく] /(n) silverwork/
銀鮭 [ぎんざけ] /(n) (uk) coho salmon (Oncorhynchus kisutsh)/silver salmon/
銀鮫 [ぎんざめ] /(n) (uk) silver chimaera (Chimaera phantasma, species of deep water cartilaginous ghost shark from the Western Pacific)/
銀山 [ぎんざん] /(n) silver mine/
銀山猿子 [ぎんざんましこ] /(n) (uk) pine grosbeak (Pinicola enucleator)/
銀糸 [ぎんし] /(n) silver thread/
銀紙 [ぎんがみ] /(n) silver paper/(P)/
銀紙鯵 [ぎんがめあじ] /(n) (uk) bigeye trevally (Caranx sexfasciatus)/bigeye jack/great trevally/six-banded trevally/dusky jack/
銀持 [かねもち] /(n) rich person/
銀時計 [ぎんどけい] /(n) silver watch/
銀将 [ぎんしょう] /(n) silver general (shogi)/
銀賞 [ぎんしょう] /(n) silver (second-place) prize/
銀色 [ぎんいろ] /(n,adj-no) silver (color, colour)/(P)/
銀食器 [ぎんしょっき] /(n) silverware/silver tableware/
銀世界 [ぎんせかい] /(n) snowscape/
銀製 [ぎんせい] /(n,adj-no) made of silver/
銀扇 [ぎんせん] /(n) silver-colored folding fan (coloured)/
銀箭 [ぎんせん] /(n) (obsc) silver arrow/
銀銭 [ぎんせん] /(n) silver coin/
銀鼠 [ぎんねず] /(n) silver gray/silver grey/
銀側 [ぎんがわ] /(n) silver case/
銀側の時計 [ぎんがわのとけい] /(n) silver watch/
銀鱈 [ぎんだら] /(n) Japanese bluefish (Anoplopoma fimbria)/North Pacific bluefish/candlefish/sablefish/
銀地 [ぎんじ] /(n) silvery background/
銀着せ [ぎんきせ] /(n,adj-no) silver-plated/
銀泥 [ぎんでい] /(n) silver paint/
銀泥 [ぎんどろ] /(n) (uk) white poplar (Populus alba)/
銀笛 [ぎんてき] /(n) flageolet/
銀鍍金 [ぎんめっき] /(n,vs,adj-no) silvering/silver-plating/
銀波 [ぎんぱ] /(n) silvery waves/
銀杯 [ぎんぱい] /(n) silver cup/(P)/
銀盃 [ぎんぱい] /(n) silver cup/
銀牌 [ぎんぱい] /(n) silver medal/
銀白色 [ぎんはくしょく] /(n) silvery-white/
銀箔 [ぎんぱく] /(n) silver foil or leaf/
銀髪 [ぎんぱつ] /(n,adj-no) silver hair/gray hair/grey hair/
銀板写真 [ぎんばんしゃしん] /(n) daguerreotype/daguerrotype/
銀盤 [ぎんばん] /(n) silver plate/surface of ice/skating rink/
銀鮒 [ぎんぶな] /(n) (uk) Carassius langsdorfii/
銀粉 [ぎんぷん] /(n) silver dust/
銀宝 [ぎんぽ] /(n) (uk) tidepool gunnel (Pholis nebulosa)/
銀頬蜜吸 [ぎんほおみつすい] /(n) (uk) little wattlebird (Anthochaera lunulata)/
銀本位 [ぎんほんい] /(n) silver standard/
銀本位制 [ぎんほんいせい] /(n) silver standard system/
銀幕 [ぎんまく] /(n) silver screen (movies)/
銀面 [ぎんめん] /(n) silver-plated champron/
銀木犀 [ぎんもくせい] /(n) (uk) tea olive (Osmanthus fragrans)/fragrant olive/sweet olive/
銀目 [ぎんめ] /(n) (1) Edo-period unit of silver coinage/(2) steel-blue eyes (e.g. of a cat)/(3) (uk) (abbr) silver eye (species of beardfish, Polymixia japonica)/
銀目鯛 [ぎんめだい] /(n) (uk) silver eye (species of beardfish, Polymixia japonica)/
銀葉 [ぎんよう] /(n) Japanese white-beam/Sorbus japonoca/
銀翼 [ぎんよく] /(n) silvery wings/
銀流し [ぎんながし] /(n) (1) silvering/silvered item/(2) person who is all style and no substance/poser/
銀竜草 [ぎんりょうそう] /(n) (uk) Monotropastrum humile (species of saprophytic plant)/
銀竜草擬 [ぎんりょうそうもどき] /(n) (uk) Indian pipe (Monotropa uniflora)/
銀輪 [ぎんりん] /(n) silver ring/bicycle/
銀鱗 [ぎんりん] /(n) silvery scale/fish/
銀嶺 [ぎんれい] /(n) silvery, snow-capped mountain/
銀鈴 [ぎんれい] /(n) silver bell/
銀蠅 [ぎんばえ] /(n) (col) large silvery fly/
銀鑞 [ぎんろう] /(n) hard solder/silver solder/
九 [きゅう] /(num) nine/(P)/
九 [く] /(num) nine/(P)/
九 [ここ] /(num) nine/
九 [ここの] /(num) nine/
九 [この] /(num) nine/
九々 [くく] /(n) multiplication table/times table/
九々の表 [くくのひょう] /(n) multiplication table/
九か月 [きゅうかげつ] /(n) nine months/
九か年 [きゅうかねん] /(adj-pn) novennial/
九つ [ここのつ] /(num) nine/(P)/
九つ時 [ここのつどき] /(n) (arch) (approx.) 12 o'clock (am or pm)/noon/midnight/
九カ年 [きゅうかねん] /(adj-pn) novennial/
九ヵ年 [きゅうかねん] /(adj-pn) novennial/
九ヶ年 [きゅうかねん] /(adj-pn) novennial/
九一一事件 [きゅういちいちじけん] /(n) September 11th attacks/
九夏 [きゅうか] /(n) summer/
九箇年 [きゅうかねん] /(adj-pn) novennial/
九回戦 [きゅうかいせん] /(n) regulation game/9th inning/
九絵 [くえ] /(n) (uk) longtooth grouper (species of fish, Epinephelus bruneus)/
九蓋草 [くがいそう] /(n) (uk) Veronicastrum sibiricum (species of flowering plant)/
九官鳥 [きゅうかんちょう] /(n) (uk) hill myna (species of mynah bird, Gracula religiosa)/
九牛の一毛 [きゅうぎゅうのいちもう] /(n) mere fraction/drop in the bucket/
九牛一毛 [きゅうぎゅういちもう] /(n) a drop in the bucket (ocean)/a small fraction (of)/trifle/
九牛一毛 [きゅうぎゅうのいちもう] /(n) a drop in the bucket (ocean)/a small fraction (of)/trifle/
九卿 [きゅうけい] /(n) (1) (arch) nine ministers (of the ancient Chinese government)/(2) nobility/
九九 [くく] /(n) multiplication table/times table/(P)/
九九の表 [くくのひょう] /(n) multiplication table/
九月 [くがつ] /(n-adv) September/(P)/
九工大 [きゅうこうだい] /(n) Kyushu Institute of Technology/KIT/
九穀 [きゅうこく] /(n) the nine grains/
九死 [きゅうし] /(n) narrowly averting death/
九死に一生 [きゅうしにいっしょう] /(n) narrow escape from death/
九死に一生を得る [きゅうしにいっしょうをうる] /(exp) to have a narrow escape from death/
九死に一生を得る [きゅうしにいっしょうをえる] /(exp) to have a narrow escape from death/
九死一生 [きゅうしいっしょう] /(n) narrow escape from the jaw of death/
九紫 [きゅうし] /(n) ninth of nine traditional astrological signs (corresponding to Mars and south)/
九尺二間 [くしゃくにけん] /(n) (tiny) house about nine feet wide and 12 feet deep/
九州 [きゅうしゅう] /(n) Kyushu (southernmost of the four main islands of Japan)/(P)/
九州へ下る [きゅうしゅうへくだる] /(v5r) to go down to Kyushu/
九州場所 [きゅうしゅうばしょ] /(n) Kyushu (November) sumo tournament, held in Fukuoka/
九州地方 [きゅうしゅうちほう] /(n) Kyushu region (inc. Fukuoka, Saga, Nagasaki, Kumamoto, Oita, Miyazaki and Kagoshima prefectures)/
九州弁 [きゅうしゅうべん] /(n) Kyushu dialect/
九十 [きゅうじゅう] /(n) ninety/(P)/
九十 [くじゅう] /(n) ninety/
九十九折 [つづらおり] /(adj-no,n) winding/meandering/sinuous/zigzag/
九十九折り [つづらおり] /(adj-no,n) winding/meandering/sinuous/zigzag/
九十九髪 [つくもがみ] /(n) (1) an old woman's gray hair/(2) old woman with white hair/
九十路 [ここのそじ] /(n) age ninety/one's nineties/
九重 [ここのえ] /(n) ninefold/imperial palace/the Court/(P)/
九重の天 [きゅうちょうのてん] /(n) the palace/
九寸五分 [くすんごぶ] /(n) dagger/
九星 [きゅうせい] /(n) nine traditional astrological signs in Onmyoudou, each corresponding to the year of a person's birth and used to create a horoscope/
九星家 [きゅうせいか] /(n) astrology/star reader/
九星術 [きゅうせいじゅつ] /(n) astrology/horoscopy/
九生 [きゅうしょう] /(n) nine lives (of a cat)/
九生 [きゅうせい] /(n) nine lives (of a cat)/
九折 [きゅうせつ] /(n) many turns (in a road)/
九仙 [きゅうせん] /(n) (uk) multicolorfin rainbowfish (Parajulis poecilepterus, was Halichoeres poecilopterus)/
九泉 [きゅうせん] /(n) hades/nether regions/
九浅一深 [きゅうせんいっしん] /(exp) nine shallow, one deep (ancient Chinese sexual technique)/
九族 [きゅうぞく] /(n) the nine nearest generations of relatives/
九谷焼 [くたにやき] /(n) kutani-ware (var. of porcelain)/
九地 [きゅうち] /(n) very low land/
九柱戯 [きゅうちゅうぎ] /(n) nine pins/skittles/
九天 [きゅうてん] /(n) sky/heavens/palace/
九天直下 [きゅうてんちょっか] /(n) falling headlong/plummeting/sudden crash/
九日 [ここぬか] /(ok) (n) (1) the ninth day of the month/(2) nine days/
九日 [ここのか] /(n) (1) the ninth day of the month/(2) nine days/(P)/
九拝 [きゅうはい] /(n,vs) bowing many times (in apology)/
九尾の狐 [きゅうびのきつね] /(n) nine-tailed kitsune (fox spirit, kitsune are said to be more powerful the more tails they have)/
九百 [きゅうひゃく] /(n) (1) 900/
九百 [くひゃく] /(n) (1) 900/(2) (arch) (derog) fool/idiot/
九品 [くほん] /(n) (1) (Buddh) (abbr) nine levels of Amitabha's Pure Land/(2) Amitabha's Pure Land/(3) nine-tiered lotus leaf platform in Amitabha's Pure Land/
九品 [ここのしな] /(n) (1) (Buddh) (abbr) nine levels of Amitabha's Pure Land/
九品浄土 [くほんじょうど] /(n) (obsc) Amitabha's Pure Land (composed of nine levels)/
九品蓮台 [くほんれんだい] /(n) (Buddh) nine-tiered lotus leaf platform in Amitabha's Pure Land/
九分 [くぶ] /(n) nine parts/nine percent/almost/
九分九厘 [くぶくりん] /(n-adv,n-t) ten to one/nine cases out of ten/
九輪 [くりん] /(n) kurin (nine vertically stacked rings of a pagoda finial)/pagoda finial/
九六 [くんろく] /(n) ozeki ranked sumo wrestler unable to live up to the expectations of his rank/
九仞の功 [きゅうじんのこう] /(n) spectacular success/
九仞の功を一簣に虧く [きゅうじんのこうをいっきにかく] /(exp) (id) to fail one step short of great success/to fall at the last hurdle/
九竅 [きゅうきょう] /(n) general term for the nine holes in the body of humans and other mammals/
倶する [ぐする] /(vs-s) (1) to accompany/to follow/(2) to assemble (necessary items)/to prepare/
倶楽部 [くらぶ] /(ateji) (n) (uk) club/fraternity/sorority/clubhouse/(P)/
倶伎羅 [くきら] /(n) (1) (obsc) Asian koel (Eudynamys scolopacea)/(2) lesser cuckoo (Cuculus poliocephalus)/
倶舎宗 [くしゃしゅう] /(n) Kusha Sect/
倶者 [くしゃ] /(n) Buddhist sect originating in the seventh century/
倶発 [ぐはつ] /(n,vs) concurrence/
倶梨伽羅紋々 [くりからもんもん] /(n) tattoo/
倶梨伽羅紋紋 [くりからもんもん] /(n) tattoo/
句 [く] /(n,n-suf) (1) section (i.e. of text)/sentence/passage/paragraph/(2) (ling) phrase/(3) verse (of 5 or 7 mora in Japanese poetry; of 4, 5, or 7 characters in Chinese poetry)/(4) haiku/first 17 morae of a renga, etc./(5) maxim/saying/idiom/expression/(P)/
句々 [くく] /(n) every clause/
句を作る [くをつくる] /(exp,v5r) to compose a haiku poem/
句を切る [くをきる] /(exp,v5r) to punctuate a sentence/
句意 [くい] /(n) meaning of phrase/
句会 [くかい] /(n) gathering of haiku poets/
句義 [くぎ] /(n) meaning of a phrase/
句句 [くく] /(n) every clause/
句形 [くけい] /(n) (1) poetry form (esp. haiku)/(2) grammatical structure in kanbun/
句構造規則 [くこうぞうきそく] /(n) (ling) phrase structure rule/
句構造文法 [くこうぞうぶんぽう] /(n) (ling) phrase structure grammar/PSG/
句作 [くさく] /(n,vs) composing haiku poems/
句集 [くしゅう] /(n) collection of haiku poems/(P)/
句心 [くごころ] /(n) poetic instinct/taste for haiku/
句切り [くぎり] /(n) (1) punctuation/pause/juncture/(2) end/(place to) stop/
句切る [くぎる] /(v5r,vt) (1) to demarcate/to delimit/to to divide (an area)/to mark off/to cut off/(2) to punctuate/to put an end to (e.g. a sentence)/
句節 [くせつ] /(n) phrases and clauses/
句点 [くてん] /(n) period/full stop/
句動詞 [くどうし] /(n) (ling) phrasal verb/
句読 [くとう] /(n,adj-no) punctuation/pause/
句読点 [くとうてん] /(n) (ling) punctuation mark/punctuation marks/(P)/
句読文字 [くとうもじ] /(n) (comp) punctuation character/
句読法 [くとうほう] /(n) punctuation rules/
句碑 [くひ] /(n) slab with a haiku cut on it/
句法 [くほう] /(n) (1) conventions to be followed in composing Japanese poetry/phraseology/diction/(2) rules of grammar and syntax when reading kanbun in Japanese/
区 [く] /(n) ward/district/section/(P)/
区々 [くく] /(adj-t,adv-to) petty/trivial/insignificant/trifling/
区々 [まちまち] /(adj-na,adj-no) several/various/divergent/conflicting/different/diverse/(P)/
区きり子 [くきりし] /(n) (comp) delimiter/
区の財政 [くのざいせい] /(n) ward finances/
区オクテット [くオクテット] /(n) (comp) row octet/
区域 [くいき] /(n) (1) limits/boundary/domain/zone/sphere/territory/(2) area (e.g. in programming languages)/(P)/
区画 [くかく] /(n,vs) division/section/compartment/boundary/area/block/(P)/
区画整理 [くかくせいり] /(n) land readjustment/town planning/
区会 [くかい] /(n) ward assembly/
区会議員 [くかいぎいん] /(n) ward assemblyman/
区劃 [くかく] /(n,vs) division/section/compartment/boundary/area/block/
区劃整理 [くかくせいり] /(n) land readjustment/town planning/
区割り [くわり] /(n) demarcation/marking of boundaries/
区間 [くかん] /(n,n-suf) section (of track, etc.)/segment/dimension/(P)/
区間列車 [くかんれっしゃ] /(n) local train/
区議 [くぎ] /(n) ward assemblyman/(P)/
区区 [くく] /(adj-t,adv-to) petty/trivial/insignificant/trifling/
区区 [まちまち] /(adj-na,adj-no) several/various/divergent/conflicting/different/diverse/
区系 [くけい] /(n) ecozone (biogeographical realm)/
区検 [くけん] /(n) local prosecutor/
区検察庁 [くけんさつちょう] /(n) a ward's public prosector's office/
区裁判所 [くさいばんしょ] /(n) local court/
区処 [くしょ] /(n,vs) dividing for administrative purposes/partition/division/
区政 [くせい] /(n) ward management/ward administration/
区切り [くぎり] /(n) (1) punctuation/pause/juncture/(2) end/(place to) stop/(P)/
区切り記号 [くぎりきごう] /(n) (comp) delimiter/separator/
区切り子機能 [くぎりしきのう] /(n) (comp) delimiter role/
区切り子集合 [くぎりししゅうごう] /(n) (comp) delimiter set/
区切り子集合引数 [くぎりししゅうごうひきすう] /(n) (comp) delimiter set parameter/
区切り子文字 [くぎりしもじ] /(n) (comp) delimiter characters/
区切り子文字列 [くぎりしもじれつ] /(n) (comp) delimiter string/
区切り点 [くぎりてん] /(n) (comp) breakpoint/
区切り文字 [くぎりもじ] /(n) (comp) delimiter/
区切る [くぎる] /(v5r,vt) (1) to demarcate/to delimit/to to divide (an area)/to mark off/to cut off/(2) to punctuate/to put an end to (e.g. a sentence)/(P)/
区長 [くちょう] /(n) ward headman/(P)/
区点 [くてん] /(n) Japanese character set row and column index ('separator' encoding)/
区点コード [くてんコード] /(n) (comp) KuTen code/
区内 [くない] /(n) in the ward or borough/(P)/
区費 [くひ] /(n) ward expenses/
区分 [くぶん] /(n,vs,adj-no) division/section/demarcation/partition/segmentation/subdivision/(traffic) lane/compartment/classification/sorting/(P)/
区分け [くわけ] /(n,vs) division/section/demarcation/(traffic) lane/compartment/classification/sorting/
区分データセット [くぶんデータセット] /(n) (comp) partitioned data set/
区分ファイル [くぶんファイル] /(n) (comp) partitioned file/
区分番号 [くぶんばんごう] /(n) (comp) segment-number/
区分編成データセット [くぶんへんせいデータセット] /(n) (comp) partitioned organization data set/
区分編成ファイル [くぶんへんせいファイル] /(n) (comp) partitioned file/
区分編成法 [くぶんへんせいほう] /(n) (comp) BPAM/Basic Partitioned Access Method/
区別 [くべつ] /(n,vs) distinction/differentiation/classification/(P)/
区別がつかない [くべつがつかない] /(exp) unable to tell apart/
区別がつく [くべつがつく] /(exp,v5k) to tell X from Y/to distinguish/to know (one thing) from (another)/
区別が付かない [くべつがつかない] /(exp) unable to tell apart/
区別が付く [くべつがつく] /(exp,v5k) to tell X from Y/to distinguish/to know (one thing) from (another)/
区別せずに [くべつせずに] /(exp) without distinction/with no distinction/
区民 [くみん] /(n) ward residents/(P)/
区民税 [くみんぜい] /(n) a ward tax/
区役所 [くやくしょ] /(n) ward office/council (regional)/(P)/
区立 [くりつ] /(n,adj-no) established by the ward/(P)/
狗 [いぬ] /(n) (1) dog (Canis (lupus) familiaris)/(2) snoop (i.e. a detective, a spy, etc.)/(n-pref) (3) counterfeit/inferior/useless/wasteful/
狗 [えぬ] /(n) (arch) puppy/
狗 [えのこ] /(n) (arch) puppy/
狗 [えのころ] /(n) (arch) puppy/
狗子仏性 [くしぶっしょう] /(n) (Buddh) "Does a dog have Buddha nature?" (classic Zen koan)/
狗子佛性 [くしぶっしょう] /(oK) (n) (Buddh) "Does a dog have Buddha nature?" (classic Zen koan)/
狗児 [えのころ] /(n) (arch) puppy/
狗肉 [くにく] /(n) dog flesh/
狗尾草 [えのころぐさ] /(n) (uk) green foxtail (species of annual grass, Setaria viridis)/
狗母魚 [えそ] /(n) (uk) lizardfish (any fish of family Synodontidae)/
狗鷲 [いぬわし] /(n) (uk) golden eagle (Aquila chrysaetos)/
玖 [きゅう] /(num) nine (used in legal documents)/
玖馬 [きゅーば] /(n,adj-no) (uk) Cuba/
矩 [かね] /(n) (1) (arch) carpenter's square/(2) perpendicularity/straightness/(3) model/standard/
矩 [く] /(n) quadrature/
矩形 [くけい] /(n,adj-no) rectangle/
矩差 [かねざし] /(n) (obsc) carpenter's square/
矩差し [かねざし] /(n) (obsc) carpenter's square/
矩尺 [かねじゃく] /(n) (1) carpenter's square (for checking angles)/(2) common shaku (unit of distance; approx. 30.3 cm)/
矩象 [くしょう] /(n) quadrature/
矩則 [くそく] /(n) standard/rule/
苦 [く] /(n) (1) pain/anguish/suffering/distress/anxiety/worry/trouble/difficulty/hardship/(2) (Buddh) duhkha (suffering)/
苦々しい [にがにがしい] /(adj-i) unpleasant/disgusting/loathsome/shameful/scandalous/
苦い [にがい] /(adj-i) bitter/(P)/
苦い経験 [にがいけいけん] /(n) bitter experience/
苦い薬 [にがいくすり] /(n) bitter medicine/
苦さ [にがさ] /(n) bitterness/bitter taste/
苦しい [くるしい] /(adj-i) painful/difficult/(P)/
苦しい懐 [くるしいふところ] /(n) tight budget/
苦しい言い訳 [くるしいいいわけ] /(n) lame (poor) excuse/
苦しい時の神頼み [くるしいときのかみだのみ] /(exp) danger past, God forgotten/
苦しがる [くるしがる] /(v5r) to suffer/to complain of a pain/
苦しみ [くるしみ] /(n) pain/anguish/distress/suffering/hardship/(P)/
苦しむ [くるしむ] /(v5m,vi) to suffer/to groan/to be worried/(P)/
苦しめる [くるしめる] /(v1,vt) to torment/to harass/to inflict pain/(P)/
苦し紛れ [くるしまぎれ] /(adj-na,n) in desperation/
苦にする [くにする] /(exp,vs-i) to worry/
苦になる [くになる] /(exp,v5r) to be bothered (by something)/to suffer/
苦に病む [くにやむ] /(exp,v5m) to worry/to suffer/
苦は楽の種 [くはらくのたね] /(exp) one cannot have pleasure without pain/no pain, no gain/
苦み [くみ] /(n,adj-no) bitterness/bitter taste/
苦み [にがみ] /(n,adj-no) bitterness/bitter taste/
苦もなく [くもなく] /(adv) easily/without effort/
苦も無く [くもなく] /(adv) easily/without effort/
苦り顔 [にがりがお] /(n) sour (wry) face/
苦り切る [にがりきる] /(v5r,vi) to look sour (disgusted)/
苦る [にがる] /(v5r,vi) to feel bitter/to scowl/
苦瓜 [にがうり] /(n) bitter melon (Momordica charantia)/
苦塩 [にがしお] /(n) bittern/concentrated solution of salts (esp. magnesium chloride) left over after the crystallization of seawater or brine/
苦塩 [にがり] /(n) bittern/concentrated solution of salts (esp. magnesium chloride) left over after the crystallization of seawater or brine/
苦灰石 [くかいせき] /(n) dolomite/
苦界 [くがい] /(n) (1) (Buddh) world of suffering/(2) life of prostitution/
苦界に身を沈める [くがいにみをしずめる] /(exp,v1) to become a prostitute (sink into a brothel)/
苦学 [くがく] /(n,vs) paying one's own school expenses by working/
苦学生 [くがくせい] /(n) working (self-supporting) student/
苦学力行 [くがくりっこう] /(n,vs) strenuous pursuit of learning under difficulties/
苦楽 [くらく] /(n) pleasure and pain/joys and sorrows/
苦寒 [くかん] /(n) coldest time of the year/bitter suffering/
苦境 [くきょう] /(n) trouble/crisis/predicament/squeeze/pinch/(P)/
苦吟 [くぎん] /(n,vs) laborious composition/struggling to compose a poem/
苦苦しい [にがにがしい] /(adj-i) unpleasant/disgusting/loathsome/shameful/scandalous/
苦言 [くげん] /(n,adj-no) candid (frank) advice/exhortation/(P)/
苦行 [くぎょう] /(n,vs,adj-no) penance/austerities/mortification/asceticism/
苦行者 [くぎょうしゃ] /(n) an ascetic/
苦菜 [にがな] /(n) (uk) Ixeris dentata (species of the daisy family)/
苦手 [にがて] /(adj-na,n) (1) poor (at)/weak (in)/not very good (at)/(2) dislike (of)/(P)/
苦手意識 [にがていしき] /(n) awareness that somebody (something) is (will be) hard to deal with/awareness that one is not good at something/
苦酒 [からさけ] /(n) (arch) (obsc) vinegar/
苦酒 [からざけ] /(n) (arch) (obsc) vinegar/
苦集滅道 [くしゅめつどう] /(n) (Buddh) Suffering, Source of Suffering Desire, The Cessation of Suffering, The Way Leading to the Cessation of Suffering (The Four Noble Truths of Buddhism)/
苦集滅道 [くじゅうめつどう] /(n) (Buddh) Suffering, Source of Suffering Desire, The Cessation of Suffering, The Way Leading to the Cessation of Suffering (The Four Noble Truths of Buddhism)/
苦集滅道 [くじゅめつどう] /(n) (Buddh) Suffering, Source of Suffering Desire, The Cessation of Suffering, The Way Leading to the Cessation of Suffering (The Four Noble Truths of Buddhism)/
苦汁 [くじゅう] /(n) bitter liquid/bitter experience/
苦汁 [にがり] /(n) bittern/concentrated solution of salts (esp. magnesium chloride) left over after the crystallization of seawater or brine/
苦汁をなめる [くじゅうをなめる] /(exp,v1) to have a bitter experience/
苦汁を嘗める [くじゅうをなめる] /(exp,v1) to have a bitter experience/
苦渋 [くじゅう] /(n,vs,adj-no) bitterness/mortification/difficulty in understanding/distress/affliction/(P)/
苦渋をなめる [くじゅうをなめる] /(iK) (exp,v1) to have a bitter experience/
苦渋を嘗める [くじゅうをなめる] /(iK) (exp,v1) to have a bitter experience/
苦笑 [くしょう] /(n,vs) bitter smile/wry smile/strained laugh/sarcastic laugh/(P)/
苦笑い [にがわらい] /(n,vs) bitter smile/(P)/
苦情 [くじょう] /(n) complaint/troubles/objection/grievance/(P)/
苦情処理機関 [くじょうしょりきかん] /(n) grievance machinery/complaints department/
苦情調査官 [くじょうちょうさかん] /(n) ombudsman/
苦心 [くしん] /(n,vs) pain/trouble/anxiety/diligence/hard work/(P)/
苦心を買われる [くしんをかわれる] /(exp,v1) to have one's labor appreciated (labour)/
苦心惨憺 [くしんさんたん] /(n,vs) taking great pains/
苦心談 [くしんだん] /(n) account of the hardships one has encountered/
苦節 [くせつ] /(n) unswerving determination/
苦戦 [くせん] /(n,vs) hard fight/close game/(P)/
苦蘇 [くっそ] /(n) (uk) kousso (African flowering plant, Hagenia abyssinica)/kosso/cusso/koso/brayera/
苦蘇 [こそ] /(n) (uk) kousso (African flowering plant, Hagenia abyssinica)/kosso/cusso/koso/brayera/
苦蘇花 [クッソか] /(n) (obsc) kousso (vermifuge made from pistillate brayera flowers)/kosso/cusso/koso/
苦竹 [くちく] /(n) (1) Japanese timber bamboo (Phyllostachys bambsoides)/giant timber bamboo/madake/
苦竹 [にがたけ] /(n) (1) Japanese timber bamboo (Phyllostachys bambsoides)/giant timber bamboo/madake/(2) Simon bamboo (Pleioblastus simonii)/
苦虫 [にがむし] /(n) making a sour face (as if having consumed a bitter bug)/
苦虫を噛みつぶしたよう [にがむしをかみつぶしたよう] /(exp,adj-na) sour (expression, as if having consumed a bitter bug)/
苦衷 [くちゅう] /(n) distress/
苦痛 [くつう] /(adj-na,n,adj-no) pain/agony/bitterness/(P)/
苦痛を和らげる [くつうをやわらげる] /(exp,v1) to relieve a person's pain/
苦諦 [くたい] /(n) (Buddh) truth of suffering/
苦土 [くど] /(n) this painful world/magnesia/
苦闘 [くとう] /(n,vs) agonizing/
苦難 [くなん] /(n) suffering/distress/hardship/trial/(P)/
苦肉 [くにく] /(n) desperation measure/
苦肉の策 [くにくのさく] /(exp) last resort/desperate measure taken under pressure of necessity/(P)/
苦熱 [くねつ] /(n) intense heat/
苦悩 [くのう] /(n,vs) suffering/distress/affliction/anguish/agony/trouble/(P)/
苦杯 [くはい] /(n) bitter experience (ordeal)/
苦味 [くみ] /(n,adj-no) bitterness/bitter taste/
苦味 [にがみ] /(n,adj-no) bitterness/bitter taste/(P)/
苦味チンキ [くみチンキ] /(n) bitter tincture/
苦味素 [くみそ] /(n) bitter principle/
苦味走った [にがみばしった] /(adj-f) sternly handsome/
苦味丁幾 [くみチンキ] /(n) bitter tincture/
苦無 [くない] /(n) (1) mediaeval tool for digging, prying, etc./(2) (col) Ninja throwing knives/
苦鳴 [くめい] /(n) (obsc) cries of pain/
苦悶 [くもん] /(n,vs,adj-no) anguish/
苦厄 [くやく] /(n) (Buddh) hardship and misfortune/
苦役 [くえき] /(n,adj-no) hard toil/
苦有れば楽有り [くあればらくあり] /(exp) (id) No cross, no crown/
苦慮 [くりょ] /(n,vs) rack one's brains/(P)/
苦力 [クーリー] /(n) coolie (chi: kuli)/
苦力 [クリー] /(ik) (n) coolie (chi: kuli)/
苦労 [くろう] /(adj-na,n,vs) troubles/hardships/(P)/
苦労し抜く [くろうしぬく] /(v5k) to go through all sorts of hardships/
苦労人 [くろうにん] /(n) worldly-wise man/
苦労性 [くろうしょう] /(adj-na,n) nervous temperament/worry habit/pessimistic nature/
苦勞 [くろう] /(oK) (adj-na,n,vs) troubles/hardships/
苦艾 [にがよもぎ] /(n) wormwood (Artemisia absinthium)/absinthium/absinthe wormwood/absinthe/
躯 [からだ] /(n,adj-no) (1) body/(2) health/
躯 [く] /(suf,ctr) (arch) counter for Buddhist images (statues & paintings)/
躯 [むくろ] /(n) (dead) body/corpse/
躯で覚える [からだでおぼえる] /(exp,v1) to master something (through personal experience)/
躯幹 [くかん] /(n,adj-no) body/trunk/torso/physique/
躯体 [くたい] /(n,adj-no) (1) body/skeleton/framework/(2) reinforced concrete skeletal soundness/
駆け [かけ] /(n) canter/gallop/
駆けこみ [かけこみ] /(n) last-minute rush/stampede/
駆けずり回る [かけずりまわる] /(v5r,vi) to run around/to bustle about/to busy oneself/
駆けっくら [かけっくら] /(n,vs) (col) (uk) (foot) race/sprint/
駆けっこ [かけっこ] /(n,vs) (col) (uk) (foot) race/sprint/(P)/
駆けっ競 [かけっくら] /(n,vs) (col) (uk) (foot) race/sprint/
駆けつける [かけつける] /(v1,vi) to run to/to come running/to rush (someplace)/to hasten/(P)/
駆けまわる [かけまわる] /(v5r,vi) to run around/to bustle about/
駆けめぐる [かけめぐる] /(v5r,vi) to run about/to rush about/
駆けよる [かけよる] /(v5r,vi) to rush over/to run up to/
駆ける [かける] /(v1,vi) (1) to run (race, esp. horse)/to dash/(2) to gallop (one's horse)/to canter/(3) (arch) to advance (against one's enemy)/(P)/
駆ける [かける] /(v5r,vi) (1) to soar/to fly/(2) to run/to dash/
駆け引き [かけひき] /(n) (1) bargaining/haggling/(2) tactics/strategy/(P)/
駆け下りる [かけおりる] /(v1) to run down (stairs, etc.)/
駆け下る [かけくだる] /(v5r) to run down/
駆け回る [かけまわる] /(v5r,vi) to run around/to bustle about/(P)/
駆け寄る [かけよる] /(v5r,vi) to rush over/to run up to/
駆け去る [かけさる] /(v5r) to dart away/to dart off/to gallop away/
駆け競 [かけくら] /(n) (abbr) (arch) footrace/
駆け競べ [かけくらべ] /(n) race/footrace/
駆け降りる [かけおりる] /(v1) to run down (stairs, etc.)/
駆け込み [かけこみ] /(n) last-minute rush/stampede/(P)/
駆け込み寺 [かけこみでら] /(n) (women's) refuge/
駆け込み乗車 [かけこみじょうしゃ] /(n) rushing to get on the train (bus, etc.) before the door closes/
駆け込む [かけこむ] /(v5m,vi) to rush in (at the last minute)/to stampede/
駆け出し [かけだし] /(n) (1) novice/beginner/(2) starting to run/running off/running away/
駆け出し者 [かけだしもの] /(n) beginner/novice/
駆け出す [かけだす] /(v5s,vi) to run off/to break into a run/to start running/
駆け巡る [かけめぐる] /(v5r,vi) to run about/to rush about/
駆け上がる [かけあがる] /(v5r,vi) to run up/
駆け上る [かけあがる] /(v5r,vi) to run up/
駆け上る [かけのぼる] /(v5r) to run (up hill, stairs, etc.)/
駆け足 [かけあし] /(n) (1) running fast/double time/(2) cantering/(3) doing things in a hurry/(P)/
駆け登る [かけのぼる] /(v5r) to run (up hill, stairs, etc.)/
駆け抜ける [かけぬける] /(v1,vi) to run past from behind/to run through (e.g. gate)/
駆け比べ [かけくらべ] /(n) race/footrace/
駆け付ける [かけつける] /(v1,vi) to run to/to come running/to rush (someplace)/to hasten/
駆け付け三杯 [かけつけさんばい] /(n) three cups of sake which latecomers to a party are made to drink/
駆け落ち [かけおち] /(n,vs) defeat and flight/disappearing without a trace/eloping/
駆られる [かられる] /(exp,v1) to be driven by (one's feelings)/to succumb to/
駆りたてる [かりたてる] /(v1,vt) (1) to flush out (game, etc.)/to drive (animals)/to beat/to hunt down/
駆り集める [かりあつめる] /(v1,vt) to round up/to gather/to muster/to mobilize/to mobilise/
駆り出す [かりだす] /(v5s,vt) (1) to hunt out/to flush out/to round up/(2) to impress/to recruit/
駆り立てる [かりたてる] /(v1,vt) (1) to flush out (game, etc.)/to drive (animals)/to beat/to hunt down/(2) to urge/to spur on/to push on/to impel/
駆る [かる] /(v5r,vt) to drive (car)/to spur on/to impel/(P)/
駆引き [かけひき] /(n) (1) bargaining/haggling/(2) tactics/strategy/
駆下りる [かけおりる] /(v1) to run down (stairs, etc.)/
駆下る [かけくだる] /(v5r) to run down/
駆回る [かけまわる] /(v5r,vi) to run around/to bustle about/
駆寄る [かけよる] /(v5r,vi) to rush over/to run up to/
駆競べ [かけくらべ] /(n) race/footrace/
駆降りる [かけおりる] /(v1) to run down (stairs, etc.)/
駆込み [かけこみ] /(n) last-minute rush/stampede/
駆込み寺 [かけこみでら] /(n) (women's) refuge/
駆込む [かけこむ] /(v5m,vi) to rush in (at the last minute)/to stampede/
駆使 [くし] /(n) (1) free use/(vs) (2) to use freely/to make free use of/to have good command (e.g. of a language)/(3) to drive someone on/(P)/
駆集める [かりあつめる] /(v1,vt) to round up/to gather/to muster/to mobilize/to mobilise/
駆出し [かけだし] /(n) (1) novice/beginner/(2) starting to run/running off/running away/
駆出し者 [かけだしもの] /(n) beginner/novice/
駆出す [かけだす] /(v5s,vi) to run off/to break into a run/to start running/
駆出す [かりだす] /(v5s,vt) (1) to hunt out/to flush out/to round up/(2) to impress/to recruit/
駆巡る [かけめぐる] /(v5r,vi) to run about/to rush about/
駆除 [くじょ] /(n,vs) extermination/expulsion/destruction/(P)/
駆上る [かけあがる] /(v5r,vi) to run up/
駆水 [くすい] /(n,adj-no) dehydrating/
駆潜艇 [くせんてい] /(n) submarine chaser/
駆足 [かけあし] /(n) (1) running fast/double time/(2) cantering/(3) doing things in a hurry/
駆逐 [くちく] /(n,vs) extermination/expulsion/destruction/(P)/
駆逐艦 [くちくかん] /(n) destroyer/(P)/
駆逐戦車 [くちくせんしゃ] /(n) tank destroyer/self-propelled anti-tank gun/
駆虫剤 [くちゅうざい] /(n) insecticide/bug repellent/
駆虫薬 [くちゅうやく] /(n) (1) anthelmintic/vermifuge/vermicide/(2) insect repellent/
駆登る [かけのぼる] /(v5r) to run (up hill, stairs, etc.)/
駆動 [くどう] /(n,vs) driving force/(P)/
駆動機 [くどうき] /(n) drive (engine)/
駆動装置 [くどうそうち] /(n) running gear/
駆動力 [くどうりょく] /(n) driving power/
駆動輪 [くどうりん] /(n) drive wheel/driving wheel/
駆抜ける [かけぬける] /(v1,vi) to run past from behind/to run through (e.g. gate)/
駆付ける [かけつける] /(v1,vi) to run to/to come running/to rush (someplace)/to hasten/
駆風剤 [くふうざい] /(n) carminative/
駆歩 [くほ] /(n,vs) canter (horse gait)/
駆落 [かけおち] /(n,vs) defeat and flight/disappearing without a trace/eloping/
駆落ち [かけおち] /(n,vs) defeat and flight/disappearing without a trace/eloping/
駆立てる [かりたてる] /(v1,vt) (1) to flush out (game, etc.)/to drive (animals)/to beat/to hunt down/(2) to urge/to spur on/to push on/to impel/
駈け [かけ] /(n) canter/gallop/
駈けっくら [かけっくら] /(n,vs) (col) (uk) (foot) race/sprint/
駈けっ競 [かけっくら] /(n,vs) (col) (uk) (foot) race/sprint/
駈ける [かける] /(v1,vi) (1) to run (race, esp. horse)/to dash/(2) to gallop (one's horse)/to canter/(3) (arch) to advance (against one's enemy)/
駈け競 [かけくら] /(n) (abbr) (arch) footrace/
駈け競べ [かけくらべ] /(n) race/footrace/
駈け降りる [かけおりる] /(v1) to run down (stairs, etc.)/
駈け出し [かけだし] /(n) (1) novice/beginner/(2) starting to run/running off/running away/
駈け出す [かけだす] /(v5s,vi) to run off/to break into a run/to start running/
駈け足 [かけあし] /(n) (1) running fast/double time/(2) cantering/(3) doing things in a hurry/
駈け落ち [かけおち] /(n,vs) defeat and flight/disappearing without a trace/eloping/
駈降りる [かけおりる] /(io) (v1) to run down (stairs, etc.)/
駈出す [かけだす] /(v5s,vi) to run off/to break into a run/to start running/
駈足 [かけあし] /(n) (1) running fast/double time/(2) cantering/(3) doing things in a hurry/
駈歩 [かけあし] /(n,vs) canter (horse gait)/
駈歩 [くほ] /(n,vs) canter (horse gait)/
駈落ち [かけおち] /(n,vs) defeat and flight/disappearing without a trace/eloping/
駒 [こま] /(n) (1) piece (in shogi, chess, etc.)/(2) (arch) horse/foal/(3) bridge (of a violin, etc.)/(P)/
駒を進める [こまをすすめる] /(exp,v5r) to advance to the next stage (e.g. in a tournament)/
駒を動かす [こまをうごかす] /(exp,v5s) make a move/move a piece (e.g. in shogi)/
駒下駄 [こまげた] /(n) low wooden clogs/komageta/
駒寄せ [こまよせ] /(n) small fence to keep out people and horses/
駒座 [こまざ] /(n) (constellation) Equuleus/
駒草 [こまくさ] /(n) (uk) dicentra (Dicentra peregrina)/
駒損 [こまそん] /(n) loss of material (in shogi)/
駒鳥 [こまどり] /(n) (uk) Japanese robin (Erithacus akahige)/
駒板 [こまいた] /(n) cutting guide board for noodles/
駒落ち [こまおち] /(n) handicap (in shogi)/
駒鶇 [こまつぐみ] /(n) (uk) American robin (Turdus migratorius)/
具 [ぐ] /(n,n-suf) (1) tool/means/ingredients/(ctr) (2) counter for armor (armour), suits, sets of furniture/(P)/
具 [つま] /(n) (1) (uk) garnish (esp. one served with sashimi)/(2) (uk) embellishment/
具える [そなえる] /(v1,vt) (1) to furnish/to provide for/to equip/to install/(2) to have ready/to prepare for/(3) to possess/to have/to be endowed with/to be armed with/
具す [ぐす] /(v5s) (1) to accompany/to follow/(2) to assemble (necessary items)/to prepare/
具する [ぐする] /(vs-s) (1) to accompany/to follow/(2) to assemble (necessary items)/to prepare/
具だくさん [ぐだくさん] /(adj-no) full of ingredients/hearty/substantial/
具に [つぶさに] /(adv) in detail/with great care/completely/again and again/
具のないスープ [ぐのないスープ] /(n) soup with no ingredients/
具の無いスープ [ぐのないスープ] /(n) soup with no ingredients/
具わる [そなわる] /(v5r,vi) (1) to be furnished with/to be endowed with/(2) to be among/to be one of/to be possessed of/(P)/
具案 [ぐあん] /(n) drafting a plan/draughting a plan/concrete plan/
具格 [ぐかく] /(n,adj-no) (ling) instructive/
具眼 [ぐがん] /(n) discerning/
具眼の士 [ぐがんのし] /(n) discerning man/
具現 [ぐげん] /(n) (1) incarnation/embodiment/avatar/personification/(vs) (2) to give concrete form to/to embody/to realize/
具合 [ぐあい] /(n) condition/state/manner/health/(P)/
具合い [ぐあい] /(n) condition/state/manner/health/
具材 [ぐざい] /(n) material/ingredient/
具象 [ぐしょう] /(n,vs) embodying/expressing concretely/(P)/
具象構文 [ぐしょうこうぶん] /(n) (comp) concrete syntax (of SGML)/
具象構文引数 [ぐしょうこうぶんひきすう] /(n) (comp) concrete syntax parameter/
具象的 [ぐしょうてき] /(adj-na) concrete/material/definite/
具象美術 [ぐしょうびじゅつ] /(n) representational art/
具象名詞 [ぐしょうめいし] /(n) (ling) concrete noun/
具申 [ぐしん] /(n,vs) offering a full report to a superior/
具申書 [ぐしんしょ] /(n) full (detailed) report/
具足 [ぐそく] /(n,vs) completeness/armor/armour/coat of mail/
具体 [ぐたい] /(n) concrete/tangible/material/(P)/
具体案 [ぐたいあん] /(n) concrete proposal/
具体化 [ぐたいか] /(n,vs) embodiment/materialization/actualization/realization/taking form/taking shape/(P)/
具体策 [ぐたいさく] /(n) concrete plan/
具体性 [ぐたいせい] /(n) concreteness/feasibility/
具体的 [ぐたいてき] /(adj-na) concrete/tangible/definite/specific/(P)/
具体的対象 [ぐたいてきたいしょう] /(n) (comp) concrete object/
具体例 [ぐたいれい] /(n) concrete example/
具陳 [ぐちん] /(n,vs) report in detail/formal statement/
具備 [ぐび] /(n,vs) endowment/possession/qualification/equipment/
具名 [ぐめい] /(n) (obsc) formal full name/
具有 [ぐゆう] /(n,vs) preparedness/possession/
愚 [ぐ] /(n,adj-na) (1) foolishness/silliness/stupidity/folly/(2) (arch) (hum) I/me/(P)/
愚か [おろか] /(adj-na,n) foolish/stupid/(P)/
愚かしい [おろかしい] /(adj-i) foolish/stupid/
愚か者 [おろかもの] /(n) fool/
愚にもつかない [ぐにもつかない] /(exp) nonsensical/ridiculous/trifling/
愚の骨頂 [ぐのこっちょう] /(exp) the height of folly/sheer stupidity/
愚暗 [ぐあん] /(n) imbecility/
愚案 [ぐあん] /(n) foolish plan/one's plan/
愚闇 [ぐあん] /(n) imbecility/
愚意 [ぐい] /(n) one's humble opinion/
愚挙 [ぐきょ] /(n) foolish undertaking/
愚兄 [ぐけい] /(n) (1) foolish older brother/(2) (hum) older brother/
愚兄賢弟 [ぐけいけんてい] /(n) a foolish older brother and a smart younger/
愚計 [ぐけい] /(n) foolish plan/one's plan/
愚見 [ぐけん] /(n) one's humble opinion/
愚考 [ぐこう] /(n,vs) foolish idea/one's humble opinion/
愚行 [ぐこう] /(n) folly/foolish move/
愚妻 [ぐさい] /(n) (hum) wife/
愚作 [ぐさく] /(n) poor work/rubbish/
愚策 [ぐさく] /(n) inane plan/
愚姉 [ぐし] /(n) (hum) older sister/
愚者 [ぐしゃ] /(n) fool/nitwit/
愚者も千慮に一得 [ぐしゃもせんりょにいっとく] /(exp) Even fools can give good counsel./
愚者一得 [ぐしゃいっとく] /(exp) Even a fool may sometimes give good counsel/
愚弱 [ぐじゃく] /(adj-na,n) stupid and weak/
愚純 [ぐじゅん] /(adj-na) stupid/dumb/
愚女 [ぐじょ] /(n) (hum) daughter/
愚人 [ぐじん] /(n) fool/
愚図 [ぐず] /(ateji) (adj-na,n) dullard/indecisive person/
愚図つく [ぐずつく] /(v5k) (1) to dawdle/to waste time doing nothing in particular/(2) to fret/to sulk/to complain/(3) to rain on and off/
愚図る [ぐずる] /(v5r) to grumble/to be unsettled/to pick a quarrel/
愚図愚図 [ぐずぐず] /(adj-na,adv,vs) (uk) (on-mim) slowly/tardily/hesitatingly/lingering/complaining/
愚図付く [ぐずつく] /(v5k) (1) to dawdle/to waste time doing nothing in particular/(2) to fret/to sulk/to complain/(3) to rain on and off/
愚生 [ぐせい] /(pn,adj-no) (hum) (male) (primarily used in letters, etc.) I/me/
愚説 [ぐせつ] /(n) foolish opinion/one's opinion/
愚僧 [ぐそう] /(n) (1) silly monk/foolish monk/(pn) (2) (hum) I/me/
愚息 [ぐそく] /(n) (1) (hum) son/(2) (vulg) stupid son/
愚痴 [ぐち] /(n) (1) idle complaint/grumble/(n,adj-na) (2) (Buddh) moha (ignorance, folly)/(P)/
愚痴の闇 [ぐちのやみ] /(exp) the darkness of ignorance/
愚痴る [ぐちる] /(v5r,vi) to complain/to grumble/
愚痴聞き地蔵 [ぐちききじぞう] /(n) Ksitigarbha (jizo) who listens to people's complaints (statue at the Keihou Temple at Nagoya)/
愚直 [ぐちょく] /(adj-na,n) simple honesty/tactless frankness/
愚弟 [ぐてい] /(n) (1) (hum) younger brother/(2) (vulg) stupid younger brother/
愚鈍 [ぐどん] /(adj-na,n) (sens) stupidity/silliness/
愚夫 [ぐふ] /(n) (1) (hum) foolish man/(2) husband/
愚物 [ぐぶつ] /(n) fool/
愚妹 [ぐまい] /(n) (hum) younger sister/
愚昧 [ぐまい] /(adj-na,n) stupid/
愚民 [ぐみん] /(n) ignorant people/
愚民政策 [ぐみんせいさく] /(n) policy of keeping the people ignorant and easily subjugated/
愚問 [ぐもん] /(n) foolish question/
愚問愚答 [ぐもんぐとう] /(n) silly questions and silly answers/a silly dialogue/
愚劣 [ぐれつ] /(adj-na,n) foolishness/stupidity/silliness/
愚連隊 [ぐれんたい] /(n) gang of young toughs/(P)/
愚弄 [ぐろう] /(n,vs) mockery/derision/ridicule/
愚論 [ぐろん] /(n) foolish argument or view/
愚癡 [ぐち] /(oK) (n) (1) idle complaint/grumble/(n,adj-na) (2) (Buddh) moha (ignorance, folly)/
虞 [おそれ] /(n) fear/horror/anxiety/concern/uneasiness/
虞犯 [ぐはん] /(n,adj-f) likelihood of committing a crime/pre-delinquent/
虞犯少年 [ぐはんしょうねん] /(n) juvenile likely to commit a crime/juvenile with a criminal bent/pre-delinquent juvenile/status offender/
虞美人草 [ぐびじんそう] /(n) field poppy/Papaver rhoeas/
喰う [くう] /(v5u,vt) (1) (male) (vulg) to eat/(2) to live/to make a living/to survive/(3) to bite/to sting (as insects do)/(4) to tease/to torment/to taunt/to make light of/to make fun of/(5) to encroach on/to eat into/to consume/(6) to defeat a superior/to threaten a position/(7) to consume time and-or resources/(8) (col) to receive something (usu. an unfavourable event)/(9) (male) (vulg) to have sexual relations with a woman, esp. for the first time/
喰べる [たべる] /(iK) (v1,vt) (1) to eat/(2) to live on (e.g. a salary)/to live off/to subsist on/
喰らう [くらう] /(v5u,vt) (1) (vulg) to eat/to drink/(2) to receive (e.g. a blow)/
空 [うろ] /(n) hollow/cavity/hole/
空 [から] /(n,adj-no) emptiness/vacuum/blank/(P)/
空 [くう] /(n) (1) empty air/sky/(2) (Buddh) shunya (emptiness, the lack of an immutable intrinsic nature within any phemomenon)/(3) (abbr) air force/(n,adj-na) (4) fruitlessness/meaninglessness/(5) void (one of the five elements)/
空 [そら] /(n) sky/the heavens/(P)/
空々 [くうくう] /(adj-na,n) empty/vacant/void/
空々しい [そらぞらしい] /(adj-i) false/hypocritical/
空々寂々 [くうくうじゃくじゃく] /(uK) (adj-no,adj-t,adv-to) (arch) deserted and lonesome/quiet and alone/innocent and nonattached/All is void/
空々漠々 [くうくうばくばく] /(uK) (adj-no,adj-t,adv-to) (arch) vast/boundless/empty/vague/
空いた電車 [すいたでんしゃ] /(n) uncrowded train/
空いている部屋 [あいているへや] /(n) vacant room/
空かす [すかす] /(v5s) to feel hungry/to get hungry/
空かせる [すかせる] /(v1) to feel hungry/to get hungry/
空き [あき] /(n) (1) space/room/emptiness/gap/(2) opening/vacancy/empty seat/(3) free time/time to spare/(4) disuse/unused thing/(P)/
空きっ腹 [すきっばら] /(n) empty stomach/hunger/
空きっ腹 [すきっぱら] /(n) empty stomach/hunger/
空きを埋める [あきをうめる] /(exp,v1) to fill a gap/
空きビン [あきビン] /(n) empty bottle/
空きファイル [あきファイル] /(n) (comp) empty file/
空き屋 [あきや] /(n) vacant house/unoccupied house/
空き家 [あきや] /(n) vacant house/unoccupied house/(P)/
空き殻 [あきがら] /(n) empty shell/
空き缶 [あきかん] /(n) empty can/(P)/
空き間 [あきま] /(n,adj-no) vacancy/room for rent or lease/
空き時間 [あきじかん] /(n) free time/
空き室 [あきしつ] /(n) vacant or unoccupied room/
空き車 [あきぐるま] /(n) (1) empty conveyance/free taxi/(2) parking lot with spaces available/
空き巣 [あきす] /(n) (1) prowler/sneak thief/cat burglar/(2) empty nest/(P)/
空き巣ねらい [あきすねらい] /(n) prowler/sneak thief/
空き巣狙い [あきすねらい] /(n) prowler/sneak thief/
空き地 [あきち] /(n) vacant land/(P)/
空き媒体 [あきばいたい] /(n) (comp) empty medium/
空き箱 [あきばこ] /(n) empty box/
空き瓶 [あきびん] /(n) empty bottle/
空き部屋 [あきべや] /(n) available room (hotel)/vacancy/room to let/
空き腹 [すきはら] /(n) empty stomach/hunger/
空き腹 [すきばら] /(n) empty stomach/hunger/
空き容量 [あきようりょう] /(n) (comp) free space (on a disk)/
空く [あく] /(v5k,vi) (1) to open (e.g. doors)/(2) to open (e.g. business, etc.)/(3) to be empty/(4) to be vacant/to be available/to be free/(5) to be open (e.g. neckline, etc.)/(6) to have been opened (of one's eyes, mouth, etc.)/(7) to come to an end/(v5k,vt) (8) to open (one's eyes, mouth, etc.)/(v5k,vi) (9) to have a hole/to form a gap/to have an interval (between events)/(P)/
空く [すく] /(v5k,vi) (1) to become less crowded/to thin out/to get empty/(2) to be hungry/(P)/
空ける [あける] /(v1,vt) (1) to open (a door, etc.)/to unwrap (e.g. parcel, package)/(2) to open (for business, etc.)/(3) to empty/to clear out/to make space/to make room/(v1,vi) (4) to dawn/to grow light/(5) to end/(P)/
空ける [うつける] /(v1,vi) (1) to become empty (hollow)/(2) to relax from a tense situation into a vacant or absent minded state/
空け者 [うつけもの] /(n) (uk) fool/blockhead/idiot/dunce/
空しい [むなしい] /(adj-i) vacant/futile/vain/void/empty/ineffective/lifeless/(P)/
空しい名声 [むなしいめいせい] /(n) empty name/
空しく [むなしく] /(adv) in vain/to no purpose/fruitlessly/
空しくなる [むなしくなる] /(v5r) to die/to expire/
空しく費やされた時 [むなしくついやされたとき] /(n) wasted time/time passed in vain/
空だき [からだき] /(n,vs) heating a vessel without water in it/heating an empty pan, kettle, boiler, bathtub, etc./
空っとぼける [そらっとぼける] /(v1,vi) to play dumb/to feign innocence/
空っぽ [からっぽ] /(adj-no,adj-na,n) empty/vacant/hollow/(P)/
空っ穴 [からっけつ] /(adj-na,n) flat or stone broke/
空っ惚ける [そらっとぼける] /(v1,vi) to play dumb/to feign innocence/
空っ風 [からっかぜ] /(n) a cold, strong, dry wind/
空で [そらで] /(exp) (1) off the top of one's head/from thin air/(2) from memory/
空で歌う [そらでうたう] /(exp,v5u) to sing from memory/
空で覚える [そらでおぼえる] /(exp,v1) to learn by heart (rote)/to memorize/to memorise/
空で言う [そらでいう] /(exp,v5u) to speak from memory/
空で読む [そらでよむ] /(exp,v5m) recite from memory/
空とぼける [そらとぼける] /(v1,vi) to feign ignorance/to play dumb/
空に帰する [くうにきする] /(exp,vs-i) to come to naught/to come to nought/
空のディスケット [からのディスケット] /(n) (comp) blank diskette/
空のディレクトリ [そらのディレクトリ] /(n) (comp) empty directory/
空の煙 [そらのけぶり] /(n) crematorium smoke rising in the sky/
空の文字列 [そらのもじれつ] /(n) (comp) empty string (null string)/
空の便 [そらのびん] /(exp) flight (plane)/
空の旅 [そらのたび] /(n) air travel/air trip/
空ろ [うつろ] /(adj-na,n) blank/cavity/hollow/empty (space)/
空をつかむ [くうをつかむ] /(exp,v5m) to grasp at the air/
空を蓋う [そらをおおう] /(exp,v5u) to cover up the sky (e.g. smoke)/
空を掴む [くうをつかむ] /(exp,v5m) to grasp at the air/
空を飛ぶ [そらをとぶ] /(exp,v5b) to fly in the air/
空を覆う [そらをおおう] /(exp,v5u) to cover up the sky (e.g. smoke)/
空アドレス [くうアドレス] /(n) (comp) null address/
空オケ [からオケ] /(n,adj-no) (uk) karaoke (singing to taped accompaniment)/
空コン [からコン] /(n) (abbr) empty (e.g. intermodal containers in the transport industry)/
空メ [からメ] /(n) (abbr) blank email (e.g. for signing up to an email list)/
空メール [からメール] /(n) blank email (e.g. for signing up to an email list)/
空圧 [くうあつ] /(n) air pressure/pneumatic pressure/
空位 [くうい] /(n) vacant post/post in name only/
空威張り [からいばり] /(n,vs) bluffing/bluster/bravado/
空尉 [くうい] /(n) (Self Defense Force's Air Force) captain (defence)/lieutenant/
空域 [くういき] /(n) airspace/(P)/
空域管理 [くういきかんり] /(n) airspace management/
空引 [そらびき] /(n) (1) (arch) type of loom used in olden times/(2) loom/traditional loom/
空引き [そらびき] /(n) (1) (arch) type of loom used in olden times/(2) loom/traditional loom/
空引き機 [そらびきばた] /(n) (1) (arch) type of loom used in olden times/(2) loom/traditional loom/
空押し [からおし] /(n,vs) embossing/inkless stamping/
空屋 [あきや] /(n) vacant house/unoccupied house/
空桶 [からおけ] /(n) pun on karaoke (empty bucket)/
空音 [そらね] /(n) imitated cry (of an animal)/lie/
空下手 [からっぺた] /(adj-na,n) utterly lacking in ability/
空下手 [からへた] /(adj-na,n) utterly lacking in ability/
空家 [あきや] /(n) vacant house/unoccupied house/
空荷 [からに] /(n,adj-no) lacking cargo/in ballast/
空解け [そらどけ] /(n) coming untied/
空回り [からまわり] /(n,vs) racing (of an engine)/spinning one's wheels/fruitless effort/
空咳 [からせき] /(n) (1) dry cough/hacking cough/(2) intentional cough (i.e. to get someone's attention)/
空咳 [からぜき] /(n) (1) dry cough/hacking cough/(2) intentional cough (i.e. to get someone's attention)/
空覚え [うろおぼえ] /(n) (1) rote memorization/rote memorisation/(2) vague recollection/faint memory/
空覚え [そらおぼえ] /(n) (1) rote memorization/rote memorisation/(2) vague recollection/faint memory/
空株 [からかぶ] /(n) fictitious stock/
空株 [くうかぶ] /(n) fictitious stock/
空間 [あきま] /(io) (n,adj-no) vacancy/room for rent or lease/
空間 [くうかん] /(n) space/room/airspace/(P)/
空間感覚 [くうかんかんかく] /(n) sense of space/
空間経済学 [くうかんけいざいがく] /(n) spatial economics/
空間芸術 [くうかんげいじゅつ] /(n) the plastic arts/
空間識失調 [くうかんしきしっちょう] /(n) loss of equilibrium/vertigo/
空間軸 [くうかんじく] /(n) spatial axis/
空間内 [くうかんない] /(exp) inside a space/
空閑地 [くうかんち] /(n) vacant lot or land/
空気 [くうき] /(n) air/atmosphere/(P)/
空気を読む [くうきをよむ] /(exp,v5m) to read between the lines/to read the situation/to sense the mood/
空気を読めない [くうきをよめない] /(exp) to be unable to read the situation/to be unable to pick up on the mood of a conversation (e.g. A and B are complaining about C, and D joins the conversation praising C)/
空気ギター [くうきギター] /(n) air guitar/
空気タンク [くうきタンク] /(n) air tank (scuba)/
空気ハンマー [くうきハンマー] /(n) pneumatic hammer/
空気圧 [くうきあつ] /(n) air pressure (of tires)/
空気圧縮機 [くうきあっしゅくき] /(n) air compressor/
空気汚染 [くうきおせん] /(n) air pollution/
空気感染 [くうきかんせん] /(n,adj-no) air-borne infection/
空気機械 [くうききかい] /(n) pneumatic machinery/
空気穴 [くうきあな] /(n) air vent (hole)/
空気呼吸器 [くうきこきゅうき] /(n) respirator/breathing apparatus/
空気口 [くうきこう] /(n) vent/
空気孔 [くうきこう] /(n) air pocket/air hole/
空気酸化 [くうきさんか] /(n) atmospheric oxidation/oxidation upon exposure to the air/air oxidation/smoothering/
空気銃 [くうきじゅう] /(n) air gun/air rifle/
空気制動機 [くうきせいどうき] /(n) air brake/
空気清浄機 [くうきせいじょうき] /(n) air cleaner/
空気袋 [くうきふくろ] /(n) air sac/bladder/air bag/windbag/type of inflatable air mattress/
空気調整 [くうきちょうせい] /(n) air conditioning/
空気抵抗 [くうきていこう] /(n) air resistance/
空気伝染 [くうきでんせん] /(n,adj-no) air-borne infection/
空気伝送管 [くうきでんそうかん] /(n) pneumatic tube/
空気読めない [くうきよめない] /(exp) to be unable to read the situation/to be unable to pick up on the mood of a conversation (e.g. A and B are complaining about C, and D joins the conversation praising C)/
空気入れ [くうきいれ] /(n) air pump (for inflating bike tires, basketballs, etc.)/
空気抜き [くうきぬき] /(n) ventilator/
空気枕 [くうきまくら] /(n) air cushion/
空気浴 [くうきよく] /(n) air bath/
空気力学 [くうきりきがく] /(n,adj-no) aerodynamics/
空気冷却 [くうきれいきゃく] /(n,adj-f) air cooling/
空泣き [そらなき] /(n,vs) false or crocodile tears/feigned sadness/
空虚 [くうきょ] /(adj-na,n) emptiness/vacancy/(P)/
空恐ろしい [そらおそろしい] /(adj-i) having vague fears/
空空 [くうくう] /(adj-na,n) empty/vacant/void/
空空しい [そらぞらしい] /(adj-i) false/hypocritical/
空空寂寂 [くうくうじゃくじゃく] /(uK) (adj-no,adj-t,adv-to) (arch) deserted and lonesome/quiet and alone/innocent and nonattached/All is void/
空空漠漠 [くうくうばくばく] /(uK) (adj-no,adj-t,adv-to) (arch) vast/boundless/empty/vague/
空軍 [くうぐん] /(n,adj-no) Air Force/(P)/
空軍基地 [くうぐんきち] /(n) air (force) base/
空軍大尉 [くうぐんたいい] /(n) air force captain/
空軍力 [くうぐんりょく] /(n) air power/
空軍連絡将校 [くうぐんれんらくしょうこう] /(n) air liaison officer/
空景気 [からげいき] /(n) false or superficial prosperity/
空隙 [くうげき] /(n,adj-no) vacant space/aperture/gap/opening/
空穴 [からけつ] /(adj-na,n) flat or stone broke/
空拳 [くうけん] /(n) with bare hands/with or from nothing/
空元気 [からげんき] /(n) (mere) bravado/
空言 [くうげん] /(n) falsehood/lie/
空言 [そらごと] /(n) falsehood/lie/
空狐 [くうこ] /(n) second-ranking fox spirit/
空港 [くうこう] /(n) airport/(P)/
空港駅 [くうこうえき] /(n) airport (rail) station/
空港使用料 [くうこうしようりょう] /(n) landing fee/
空港税 [くうこうぜい] /(n) airport-imposed taxes/airport tax/
空行 [くうぎょう] /(n) blank line/
空高い [そらたかい] /(adj-i) high in the sky/
空高く [そらたかく] /(adv) high in the sky/
空劫 [くうこう] /(n) (Buddh) the kalpa of nothingness (the final aeon of the universe)/
空劫 [くうごう] /(n) (Buddh) the kalpa of nothingness (the final aeon of the universe)/
空合い [そらあい] /(n) weather/course of events/
空惚ける [そらとぼける] /(v1,vi) to feign ignorance/to play dumb/
空佐 [くうさ] /(n) (Self Defense Force's Air Force) colonel (defence)/lieutenant/major/
空際 [くうさい] /(n) horizon/point where the sky meets the earth/
空撮 [くうさつ] /(n,vs) shooting from a high level/helicopter shot/
空似 [そらに] /(n) accidental resemblance/
空耳 [そらみみ] /(n) (1) mishearing/(2) (feigned) deafness/
空室 [あきしつ] /(n) vacant or unoccupied room/
空室 [くうしつ] /(n) vacant or unoccupied room/
空室あり [くうしつあり] /(exp) vacant rooms available/
空室有り [くうしつあり] /(exp) vacant rooms available/
空写し [からうつし] /(n) clicking the shutter of a camera without taking a picture (because no film is loaded, or in order to advance the film)/
空車 [あきぐるま] /(n) (1) empty conveyance/free taxi/(2) parking lot with spaces available/
空車 [からぐるま] /(n) (1) empty conveyance/free taxi/(2) parking lot with spaces available/
空車 [くうしゃ] /(n) (1) empty conveyance/free taxi/(2) parking lot with spaces available/(P)/
空寂 [くうじゃく] /(n) (1) (Buddh) complete emptiness (i.e. as a denial of the inherent existence of all things)/nirvana (where this emptiness is realized)/(adj-na,n) (2) (arch) quiet and lonely/
空取り引き [からとりひき] /(n) fictitious or paper transaction/
空取り引き [くうとりひき] /(n) fictitious or paper transaction/
空手 [からて] /(n) (1) karate/(2) empty handed/(P)/
空手の型 [からてのかた] /(n) kata (in karate)/
空手家 [からてか] /(n) karate practitioner/
空手形 [からてがた] /(n) bad (fictitious) bill/empty promise/
空手形 [くうてがた] /(n) bad (fictitious) bill/empty promise/
空手着 [からてぎ] /(n) (MA) karate gi/karate uniform/
空手道 [からてどう] /(n) the way of karate/karate/
空襲 [くうしゅう] /(n,vs,adj-no) air-raid/(P)/
空襲警報 [くうしゅうけいほう] /(n) air-raid alarm/
空集合 [くうしゅうごう] /(n) (math) empty set/null set/
空出張 [からしゅっちょう] /(n) fictitious business trip/
空所 [くうしょ] /(n) blank/empty space/gap/
空将 [くうしょう] /(n) (Self Defense Force's Air Force) general (defence)/lieutenant/major/
空笑い [そらわらい] /(n,vs) feigned laughter/
空証文 [からしょうもん] /(n) empty promise/
空状態 [くうじょうたい] /(n) (comp) disassociated/
空蒸し [からむし] /(n) steaming (of food)/
空色 [そらいろ] /(n,adj-no) sky-blue/
空色朝顔 [そらいろあさがお] /(n) (uk) grannyvine (species of morning glory, Ipomoea tricolor)/
空寝 [そらね] /(n,vs) feigned sleep/playing possum/
空心菜 [くうしんさい] /(n) ipomoea aquatica/kang kong/water morning glory/(Chinese) water spinach/water convolvulus/swamp cabbage/ong choy/hung tsai/rau muong/pak boong/
空振 [くうしん] /(n) atmospheric vibration/infrasound (as produced by volcanic activity)/
空振り [からぶり] /(n,vs) striking (at something) and missing/in vain/(P)/
空芯菜 [くうしんさい] /(n) ipomoea aquatica/kang kong/water morning glory/(Chinese) water spinach/water convolvulus/swamp cabbage/ong choy/hung tsai/rau muong/pak boong/
空身 [からみ] /(n) traveling alone and with little luggage (travelling)/
空震 [くうしん] /(n) atmospheric vibration/infrasound (as produced by volcanic activity)/
空吹かし [からふかし] /(n) idling (of an engine)/
空世辞 [からせじ] /(n) flattery/lip service/
空席 [くうせき] /(n,adj-no) vacancy/vacant seat/room/(P)/
空席待ち [くうせきまち] /(n) stand-by (on an airplane)/
空説 [くうせつ] /(n) groundless rumor or story (rumour)/
空蝉 [うつせみ] /(ateji) (n) (1) man of this world/the real world/temporal things/(2) cast-off cicada shell/cicada/
空蝉 [うつそみ] /(ateji) (ok) (n) (1) man of this world/the real world/temporal things/(2) cast-off cicada shell/cicada/
空戦 [くうせん] /(n) (abbr) air battle/dogfight/
空前 [くうぜん] /(n,adj-no) unprecedented/record-breaking/(P)/
空前絶後 [くうぜんぜつご] /(n,adj-no) (so marvelous or horrible that it may be) the first and probably the last/
空然 [くうぜん] /(adj-t,adv-to) (1) vacant and unthinking/(2) something that should be there is not/
空疎 [くうそ] /(adj-na,n) vain/groundless/futile/(P)/
空想 [くうそう] /(n,vs,adj-no) daydream/fantasy/fancy/vision/(P)/
空想家 [くうそうか] /(n) visionary/
空想科学小説 [くうそうかがくしょうせつ] /(n) science fiction/sci-fi/fantasy fiction/
空想的 [くうそうてき] /(adj-na) imaginary/
空想力 [くうそうりょく] /(n) (power of) imagination/
空曹 [くうそう] /(n) noncommissioned officer of the Japanese Air Self Defense Forces (Defence)/
空巣 [あきす] /(n) (1) prowler/sneak thief/cat burglar/(2) empty nest/
空巣狙い [あきすねらい] /(n) prowler/sneak thief/
空相 [くうそう] /(n) (Buddh) the empty nature of all things/
空相場 [くうそうば] /(n) speculation/fictitious transaction/
空騒ぎ [からさわぎ] /(n,vs) much ado about nothing/
空即是色 [くうそくぜしき] /(n) (Buddh) emptiness is form/illusion of the reality of matter/
空賊 [くうぞく] /(n) air pirate/air piracy/
空対応表 [くうたいおうひょう] /(n) (comp) empty map/
空対空 [くうたいくう] /(adj-no) air-to-air/
空対空ミサイル [くうたいくうミサイル] /(n) air-to-air missile/
空対地 [くうたいち] /(adj-no) air-to-surface/
空対地ミサイル [くうたいちミサイル] /(n) air-to-surface missile/ASM/
空貸し [からがし] /(n) demanding payment for a non-existent loan (lit: empty loan)/
空谷 [くうこく] /(n) lonely or uninhabited valley/
空談 [くうだん] /(n) gossip/chatter/
空地 [あきち] /(n) vacant land/(P)/
空地 [くうち] /(n) vacant land/
空恥ずかしい [そらはずかしい] /(adj-i) feeling ashamed or embarrassed without knowing why/
空茶 [からちゃ] /(n) tea served without sweets/
空中 [くうちゅう] /(n) sky/air/(P)/
空中ブランコ [くうちゅうブランコ] /(n) trapeze/
空中ブランコ曲芸師 [くうちゅうブランコきょくげいし] /(n) trapeze artist/aerial artist/
空中滑走 [くうちゅうかっそう] /(n) gliding/
空中機動 [くうちゅうきどう] /(n) air mobile/
空中給油 [くうちゅうきゅうゆ] /(n) aerial refueling/in-flight refueling/
空中給油機 [くうちゅうきゅうゆき] /(n) air tanker/aerial tanker/airborne refuelling craft/
空中権 [くうちゅうけん] /(n) air rights/
空中査察 [くうちゅうささつ] /(n) aerial inspection/
空中細菌 [くうちゅうさいきん] /(n) air-borne bacteria/
空中写真 [くうちゅうしゃしん] /(n) aerial photograph/
空中衝突 [くうちゅうしょうとつ] /(n) midair collision/
空中戦 [くうちゅうせん] /(n) air battle/dog fight/
空中線 [くうちゅうせん] /(n) antenna/
空中投下 [くうちゅうとうか] /(n,adj-no) airdrop/air drop/
空中爆撃 [くうちゅうばくげき] /(n) air-raid/
空中浮遊 [くうちゅうふゆう] /(n) levitation/
空中浮揚 [くうちゅうふよう] /(n,adj-no) levitation/
空中分解 [くうちゅうぶんかい] /(n,vs) mid-air breakage or disintegration/
空中落下 [くうちゅうらっか] /(n,vs) air pluviation/pluviate/
空中楼閣 [くうちゅうろうかく] /(n) castle in the air/
空腸 [くうちょう] /(n) jejunum/
空調 [くうちょう] /(n) (abbr) air conditioning/(P)/
空調設備 [くうちょうせつび] /(n) air conditioner/
空釣り [からづり] /(n) fishing without bait/
空挺 [くうてい] /(n,adj-no) airborne/
空挺降下地域 [くうていこうかちいき] /(n) drop zone/
空挺作戦 [くうていさくせん] /(n) aerial tactics/
空挺師団 [くうていしだん] /(n) Airborne Division/
空挺隊 [くうていたい] /(n) paratroops/
空挺隊員 [くうていたいいん] /(n) paratroopers/
空挺部隊 [くうていぶたい] /(n) airborne troops/
空挺旅団 [くうていりょだん] /(n) Airborne Brigade/
空諦 [くうたい] /(n) (Buddh) truth of emptiness (holding that all things are void)/
空転 [くうてん] /(n,vs) (1) racing (an engine)/idling (an engine)/(2) arguing in circles with no result/(P)/
空転国会 [くうてんこっかい] /(n) stalled session of the Diet (Japanese Parliament)/
空電 [くうでん] /(n,adj-no) static/
空豆 [そらまめ] /(n) broad bean/horse bean/fava bean/
空洞 [くうどう] /(n) cave/hollow/cavity/(P)/
空洞化 [くうどうか] /(n,vs) making hollow/making meaningless/
空洞化現象 [くうどうかげんしょう] /(n) (economic) hollowing-out phenomenon/
空内部様式 [くうないぶようしき] /(n) (comp) empty interior style/
空念仏 [からねんぶつ] /(n) empty words/
空念仏 [そらねんぶつ] /(n) empty words/
空燃比 [くうねんひ] /(n) (abbr) fuel-air ratio/air-fuel ratio/AFR/
空馬 [からうま] /(n) unburdened horse/
空梅雨 [からつゆ] /(n) (unusually) dry rainy season/rainless tsuyu/
空買い [からがい] /(n) buying on margin/
空売り [からうり] /(n) short selling/
空白 [くうはく] /(adj-na,n,adj-no) blank space/vacuum/space/null (NUL)/(P)/
空白デリミター [くウハくデリミター] /(n) (comp) white space delimiter/
空白化 [くうはくか] /(n) (comp) blanking/
空白区 [くうはくく] /(n) vacant constituency/
空白文 [くうはくぶん] /(n) empty statement/
空白文字 [くうはくもじ] /(n) space character/
空白文字 [くうはくもんじ] /(ok) (n) space character/
空白列 [くうはくれつ] /(n) (comp) blank sequence/
空漠 [くうばく] /(adj-na,n) vast/vague/
空漠たる考え [くうばくたるかんがえ] /(n) idle thoughts/vague (loose) ideas/
空爆 [くうばく] /(n,vs,adj-no) aerial bombing/(P)/
空箱 [からばこ] /(n) empty box/
空箸 [そらばし] /(n) touching a food with one's chopsticks, then removing them without taking it (a breach of etiquette)/
空発 [くうはつ] /(n,vs) explosion without effect/wasted bullets/
空費 [くうひ] /(n,vs) wastefulness/
空飛ぶ [そらとぶ] /(v5b) to fly in the sky/
空飛ぶ円盤 [そらとぶえんばん] /(n) flying saucer/
空瓶 [あきびん] /(n) empty bottle/
空瓶 [からびん] /(n) empty bottle/
空部屋 [あきべや] /(n) available room (hotel)/vacancy/room to let/
空風 [からかぜ] /(n) dry wind/
空腹 [くうふく] /(adj-na,n,adj-no) hunger/(P)/
空腹は最上のソースである [くうふくはさいじょうのソースである] /(exp) (id) Hunger is the best sauce/
空腹感 [くうふくかん] /(n) feeling of emptiness in the stomach/sensation of hunger/
空腹時 [くうふくじ] /(n) fasting/
空焚き [からだき] /(n,vs) heating a vessel without water in it/heating an empty pan, kettle, boiler, bathtub, etc./
空文 [くうぶん] /(n) dead letter/
空返事 [そらへんじ] /(n,vs) absentminded response/
空穂 [うつお] /(n) quiver (of arrows; cylindrical)/
空穂 [うつぼ] /(n) quiver (of arrows; cylindrical)/
空母 [くうぼ] /(n) aircraft carrier/(P)/
空包 [くうほう] /(n) blank ammunition/blank cartridge/
空方 [そらざま] /(adj-na) (arch) arching backward/looking up/
空砲 [くうほう] /(n) empty gun/gun loaded with blanks/firing a blank/(P)/
空胞 [くうほう] /(n) vacuole (esp. in an animal cell)/
空乏層 [くうぼうそう] /(n) depletion layer (of transistor)/
空堀 [からぼり] /(n) dry moat/
空夢 [そらゆめ] /(n) fabricated dream/
空名 [くうめい] /(n) empty name/false reputation/
空模様 [そらもよう] /(n) look of the sky/weather/
空木 [うつぎ] /(n) deutzia/Deutzia crenata/
空目 [そらめ] /(n) turning a blind eye/misperception/
空也餅 [くうやもち] /(n) chunky mochi made with half-polished rice, stuffed with red bean paste/
空約束 [からやくそく] /(n) empty promise/
空輸 [くうゆ] /(n,vs,adj-no) air transport/(P)/
空輸貨物 [くうゆかもつ] /(n) air freight/airborne cargo/
空揚 [からあげ] /(n,vs) fried (e.g. potatoes, chicken)/
空揚げ [からあげ] /(n,vs) fried (e.g. potatoes, chicken)/
空様 [そらざま] /(adj-na) (arch) arching backward/looking up/
空頼み [そらだのみ] /(n,vs) vain hope/
空欄 [くうらん] /(n) blank space/(P)/
空理 [くうり] /(n) abstract or impracticable theory/
空理空論 [くうりくうろん] /(n) impractical or useless theory/
空陸 [くうりく] /(n) land and air/land and air forces/
空力性能 [くうりきせいのう] /(n) aerodynamic performance/
空涙 [そらなみだ] /(n) crocodile tears/
空冷 [くうれい] /(n,adj-no) air cooling/
空冷ファン [くうれいファン] /(n) (comp) cooling fan/
空冷式 [くうれいしき] /(n,adj-no) air-cooled/
空列 [くうれつ] /(n) (comp) null string/
空連結集合 [くうれんけつしゅうごう] /(n) (comp) empty link set/
空路 [くうろ] /(n-adv,n-t) air lane/(P)/
空論 [くうろん] /(n,adj-no) abstract or impracticable theory/
空論家 [くうろんか] /(n) a doctrinaire/
空嘯く [そらうそぶく] /(v5k,vi) to feign ignorance or unconcern/
空籤 [からくじ] /(n) a blank (ticket)/
空閨 [くうけい] /(n) a lonely, spouseless life/
偶 [たま] /(adj-no,adj-na,n) (uk) occasional/rare/
偶 [たまたま] /(adv) casually/unexpectedly/accidentally/by chance/
偶々 [たまたま] /(adv) casually/unexpectedly/accidentally/by chance/(P)/
偶さか [たまさか] /(adv) occasionally/
偶さか鳥 [たまさかどり] /(n) (obsc) lesser cuckoo (Cuculus poliocephalus)/
偶に [たまに] /(adv,suf) (uk) occasionally/once in a while/(P)/
偶の [たまの] /(adj-pn) (uk) occasional/rare/
偶因 [ぐういん] /(n) contingent cause/
偶詠 [ぐうえい] /(n) (hum) impromptu poem/
偶感 [ぐうかん] /(n) random thoughts/
偶関数 [ぐうかんすう] /(n) (math) even function/function whose graph has symmetry about the y-axis/
偶吟 [ぐうぎん] /(n) (hum) impromptu poem/
偶偶 [たまたま] /(adv) casually/unexpectedly/accidentally/by chance/
偶語 [ぐうご] /(n,vs) conversation/
偶作 [ぐうさく] /(n) something accidentally accomplished/two working together/
偶人 [ぐうじん] /(n) puppet/doll/
偶数 [ぐうすう] /(n,adj-no) even number/(P)/
偶数パリティ [ぐうすうパリティ] /(n) (comp) even parity/
偶成 [ぐうせい] /(n,adj-no) impromptu/
偶然 [ぐうぜん] /(adj-na,adj-no,n-adv,n) (by) chance/unexpectedly/suddenly/accident/fortuity/(P)/
偶然論 [ぐうぜんろん] /(n) (philosophical) casualism/
偶像 [ぐうぞう] /(n) image/idol/statue/(P)/
偶像化 [ぐうぞうか] /(n,vs) idolization/idolisation/
偶像教 [ぐうぞうきょう] /(n) idolatry/
偶像教徒的 [ぐうぞうきょうとてき] /(adj-na) idolatrous/
偶像視 [ぐうぞうし] /(n,vs) idolization/idolisation/
偶像崇拝 [ぐうぞうすうはい] /(n) worship/idolatry/
偶像破壊 [ぐうぞうはかい] /(n) iconoclasm/image breaking/
偶像礼拝 [ぐうぞうれいはい] /(n) idolatry/
偶蹄類 [ぐうているい] /(n) artiodactyls/
偶発 [ぐうはつ] /(n,vs,adj-no) sudden outbreak/accidental/incidental/(P)/
偶発時用手続き [ぐうはつじようてつづき] /(n) (comp) contingency procedure/
偶発的 [ぐうはつてき] /(adj-na) accidental/incidental/occasional/casual/
偶有 [ぐうゆう] /(n,vs) having an accident/
偶力 [ぐうりょく] /(n) couple (of forces)/
寓する [ぐうする] /(vs-s,vi) (1) to reside temporarily/(vs-s,vt) (2) to imply/
寓意 [ぐうい] /(n,adj-no) hidden meaning/symbolism/moral/
寓意劇 [ぐういげき] /(n) morality play/allegorical play/
寓意小説 [ぐういしょうせつ] /(n) allegory/allegorical tale/
寓意的 [ぐういてき] /(adj-na) allegorical/emblematic/
寓居 [ぐうきょ] /(n,vs) temporary abode/staying on a temporary basis/
寓言 [ぐうげん] /(n) allegory/fable/
寓目 [ぐうもく] /(n,vs) fastening one's eyes upon/
寓話 [ぐうわ] /(n,adj-no) fable/allegory/
遇う [あう] /(v5u,vi) (1) to meet/to encounter/(2) (uk) to have an accident/to have a bad experience/
遇す [ぐうす] /(v5s,vt) to entertain/to treat/
遇する [ぐうする] /(vs-s,vt) to entertain/to treat/
遇不遇 [ぐうふぐう] /(n) happiness and sorrows/
隅 [すま] /(n,n-suf) corner/nook/recess/
隅 [すみ] /(n,n-suf) corner/nook/recess/(P)/
隅々 [くまぐま] /(n) nooks/corners/
隅々 [すみずみ] /(n) nooks/corners/(P)/
隅から隅まで [すみからすみまで] /(exp) every nook and corner/from A to Z/from head to toe/from cover to cover/
隅っこ [すみっこ] /(n) corner/nook/recess/
隅に置けない [すみにおけない] /(exp) witty and knowing/not to be underestimated/smooth operator/
隅柱 [すみばしら] /(n) corner post/corner pillar/
隅田川花火大会 [すみだがわはなびたいかい] /(n) Sumida River Firework Festival (Tokyo)/
隅木 [すみき] /(n) angle (corner) block/angle rafter/
串 [くし] /(n) spit/skewer/
串カツ [くしカツ] /(n) (uk) fried pork and negi on skewers/
串柿 [くしがき] /(n) dried persimmons on a skewer/
串戯 [じょうだん] /(n,adj-no) jest/joke/funny story/
串刺し [くしざし] /(n) skewer/
串焼き [くしやき] /(n,adj-no) grilling on a skewer/spit-roasting/
串揚げ [くしあげ] /(n) (uk) fried vegetables and meat on skewer/
串戲 [じょうだん] /(n,adj-no) jest/joke/funny story/
櫛 [くし] /(n) comb/(P)/
櫛の歯が欠けたよう [くしのはがかけたよう] /(exp) missing important things here and there/full of gaps/as if the teeth of a comb were missing/
櫛の歯が抜けたよう [くしのはがぬけたよう] /(exp) missing important things here and there/full of gaps/
櫛形 [くしがた] /(adj-no) comb-shaped/
櫛笥 [くしげ] /(n) (arch) toiletries case/
櫛水母 [くしくらげ] /(n) (uk) comb jelly (any jellyfish-like animal of the phylum Ctenophora)/
櫛水母類 [くしくらげるい] /(n) comb jellies (jellyfish-like animals of the phylum Ctenophora)/
櫛箱 [くしばこ] /(n) comb box/toiletries case/
櫛比 [しっぴ] /(n,vs) lining up/packing tightly/
櫛風浴雨 [しっぷうよくう] /(n) struggling through wind and rain/undergoing hardships/
櫛風沐雨 [しっぷうもくう] /(n) struggling through wind and rain/undergoing hardships/
櫛目 [くしめ] /(n) (sign of) combing/
櫛鱗 [しつりん] /(n,adj-no) ctenoid scale/
櫛匣 [くしばこ] /(n) comb box/toiletries case/
釧 [くしろ] /(n) (arch) bracelet (usu. dating from the Kofun period)/
屑 [くず] /(n,adj-f) (1) waste/scrap/garbage/(2) (comp) chad/(P)/
屑しとしない [いさぎよしとしない] /(exp,adj-i) find it against one's conscience (to do)/too proud (to do)/
屑屋 [くずや] /(n) (sens) ragman/junkman/garbage man/
屑屋さん [くずやさん] /(oK) (n) ragman/junkman/garbage man/
屑糸 [くずいと] /(n) waste thread/
屑拾い [くずひろい] /(n) ragpicking/ragpicker/
屑鉄 [くずてつ] /(n) scrap iron/
屑肉 [くずにく] /(n) waste meat/meat scraps/offal/
屑入れ [くずいれ] /(n) wastebasket/
屑入れ屑出し [くずいれくずだし] /(exp) (comp) garbage in, garbage out/
屑物 [くずもの] /(n) (1) trash/junk/garbage/(2) worthless product/
屑米 [くずまい] /(n) rice fragments/
屑繭 [くずまゆ] /(n) waste cocoon (silk)/bad cocoon/damaged cocoon/
屑籠 [くずかご] /(n) waste basket/wastepaper basket/
屈す [くす] /(v5s,vi) (arch) to feel down/
屈す [くっす] /(v5s) (1) (arch) to yield/to give in/to be daunted/(2) to bend/to shrink/(3) to feel down/
屈する [くっする] /(vs-s) (1) to yield/to give in/to be daunted/(2) to bend/to shrink/(3) (arch) to feel down/
屈まる [かがまる] /(v5r,vi) to bow (of one's back, e.g. due to age)/to bend/
屈まる [くぐまる] /(ok) (v5r,vi) to bow (of one's back, e.g. due to age)/to bend/
屈まる [こごまる] /(v5r,vi) to bow (of one's back, e.g. due to age)/to bend/
屈みこむ [かがみこむ] /(v5m,vi) to lean over/to lean in/
屈み込む [かがみこむ] /(v5m,vi) to lean over/to lean in/
屈む [かがむ] /(v5m) to stoop/to lean over/to bend down/to crouch/
屈む [こごむ] /(v5m) to stoop/to lean over/to bend down/to crouch/
屈める [かがめる] /(v1,vt) (uk) to stoop/to bend/
屈める [こごめる] /(v1,vt) (uk) to stoop/to bend/
屈強 [くっきょう] /(adj-na,n,adj-no) robust/brawny/muscular/strong/sturdy/
屈曲 [くっきょく] /(n,vs,adj-no) crookedness/bending/indentation/
屈曲部 [くっきょくぶ] /(n) elbow/elbow-shaped bend/
屈筋 [くっきん] /(n) flexor muscle/
屈光性 [くっこうせい] /(n) phototropism/
屈指 [くっし] /(n,adj-no) leading/foremost/preeminent/outstanding/one of the best/(P)/
屈従 [くつじゅう] /(n,vs) servile submission/subservience/
屈辱 [くつじょく] /(n) disgrace/humiliation/(P)/
屈辱的 [くつじょくてき] /(adj-na) humiliating/
屈伸 [くっしん] /(n,vs) elasticity/
屈性 [くっせい] /(n) tropism/
屈折 [くっせつ] /(n,vs) (1) bending/indentation/(2) refraction/(3) inflection/(4) warping (e.g. of opinion, reasoning, etc.)/distortion/(P)/
屈折の法則 [くっせつのほうそく] /(n) (obsc) law of refraction/
屈折角 [くっせつかく] /(n) angle of refraction/
屈折語 [くっせつご] /(n) inflected language/
屈折軸 [くっせつじく] /(n) axis of refraction/
屈折望遠鏡 [くっせつぼうえんきょう] /(n) refracting telescope/
屈折率 [くっせつりつ] /(n) refractive index/
屈葬 [くっそう] /(n) crouched burial/
屈託 [くったく] /(n,vs) (1) worry/care/concern/(2) ennui/boredom/(P)/
屈託のない [くったくのない] /(adj-i) carefree/free from worry/
屈託の無い [くったくのない] /(adj-i) carefree/free from worry/
屈狸 [くずり] /(n) (uk) wolverine (Gulo gulo)/glutton/carcajou/
屈地性 [くっちせい] /(n) geotropism/
屈背 [くぐせ] /(ok) (n) (sens) hunchback/humpback/crookback/
屈伏 [くっぷく] /(n,vs) yielding/submission/surrender/giving way/succumbing/
屈服 [くっぷく] /(n,vs) yielding/submission/surrender/giving way/succumbing/
屈撓 [くっとう] /(n) (obsc) bending/
掘っ建て [ほったて] /(n) erection of a pillar by sinking it directly into the ground/
掘っ建て小屋 [ほったてごや] /(n) (1) hut/shanty/hovel/shack/(2) house built directly into the ground with no supporting stones/
掘っ建て柱 [ほったてばしら] /(n) pillar sunk into the ground/
掘っ立て [ほったて] /(n) erection of a pillar by sinking it directly into the ground/
掘っ立て小屋 [ほったてごや] /(n) (1) hut/shanty/hovel/shack/(2) house built directly into the ground with no supporting stones/
掘っ立て柱 [ほったてばしら] /(n) pillar sunk into the ground/
掘り井戸 [ほりいど] /(n) a well/
掘り下げる [ほりさげる] /(v1,vt) to dig down/to delve into/to get to the bottom of (a matter)/to investigate further/
掘り火燵 [ほりごたつ] /(n) low, covered table placed over a hole in the floor of a Japanese-style room/
掘り割り [ほりわり] /(n) canal/waterway/ditch/
掘り起こす [ほりおこす] /(v5s,vt) to reclaim/to dig up/
掘り起す [ほりおこす] /(v5s,vt) to reclaim/to dig up/
掘り出し物 [ほりだしもの] /(n) (lucky) find/bargain/good buy/treasure trove/
掘り出す [ほりだす] /(v5s,vt) to dig out/to pick up/
掘り進む [ほりすすむ] /(v5m) to burrow through/to dig through/
掘り当てる [ほりあてる] /(v1,vt) to strike/to find/to dig up/
掘り抜き井戸 [ほりぬきいど] /(n) artesian well/tapped well/
掘り抜く [ほりぬく] /(v5k,vt) to dig through/to drill into/to excavate/
掘り返す [ほりかえす] /(v5s,vt) to dig up/to turn up/to tear up/
掘り炬燵 [ほりごたつ] /(n) low, covered table placed over a hole in the floor of a Japanese-style room/
掘る [ほる] /(v5r) to dig/to excavate/(P)/
掘井戸 [ほりいど] /(n) a well/
掘下げる [ほりさげる] /(v1,vt) to dig down/to delve into/to get to the bottom of (a matter)/to investigate further/
掘火燵 [ほりごたつ] /(n) low, covered table placed over a hole in the floor of a Japanese-style room/
掘割 [ほりわり] /(n) canal/waterway/ditch/
掘割り [ほりわり] /(n) canal/waterway/ditch/
掘起す [ほりおこす] /(v5s,vt) to reclaim/to dig up/
掘建て [ほったて] /(n) erection of a pillar by sinking it directly into the ground/
掘建て小屋 [ほったてごや] /(n) (1) hut/shanty/hovel/shack/(2) house built directly into the ground with no supporting stones/
掘採 [くっさい] /(n,vs) mining/
掘削 [くっさく] /(n,vs) digging out/excavation/(P)/
掘削機 [くっさくき] /(n) excavator/
掘出し物 [ほりだしもの] /(n) (lucky) find/bargain/good buy/treasure trove/
掘出す [ほりだす] /(v5s,vt) to dig out/to pick up/
掘進 [くっしん] /(n,vs) excavation/tunnel/
掘当てる [ほりあてる] /(v1,vt) to strike/to find/to dig up/
掘抜き井戸 [ほりぬきいど] /(n) artesian well/tapped well/
掘抜く [ほりぬく] /(v5k,vt) to dig through/to drill into/to excavate/
掘抜井戸 [ほりぬきいど] /(io) (n) artesian well/tapped well/
掘返す [ほりかえす] /(v5s,vt) to dig up/to turn up/to tear up/
掘立て [ほったて] /(n) erection of a pillar by sinking it directly into the ground/
掘立小屋 [ほったてごや] /(io) (n) (1) hut/shanty/hovel/shack/(2) house built directly into the ground with no supporting stones/
掘炬燵 [ほりごたつ] /(n) low, covered table placed over a hole in the floor of a Japanese-style room/
掘鑿 [くっさく] /(n,vs) digging out/excavation/
窟 [いわや] /(n) cavern/grotto/
窟 [やぐら] /(n) (uk) caves dug as tombs in and around Kamakura during the Kamakura and Muromachi periods/
窟の中 [いわやのなか] /(n) inside of a cave/
沓 [くつ] /(n) shoes/footwear/
沓として [ようとして] /(iK) (exp) no information/no clue/completely unknown/
沓下 [くつした] /(n) socks/sock/stockings/stocking/
沓手鳥 [くつてどり] /(n) (uk) lesser cuckoo (Cuculus poliocephalus)/
沓手鳥 [ほととぎす] /(n) (uk) lesser cuckoo (Cuculus poliocephalus)/
沓摺り [くつずり] /(n) door sill/threshold plate/
沓脱 [くつぬぎ] /(io) (n) place where one can remove one's shoes before entering a house/
沓脱ぎ [くつぬぎ] /(n) place where one can remove one's shoes before entering a house/
沓脱ぎ石 [くつぬぎいし] /(n) stepping stone/
沓直鳥 [くつてどり] /(n) (uk) lesser cuckoo (Cuculus poliocephalus)/
沓直鳥 [ほととぎす] /(n) (uk) lesser cuckoo (Cuculus poliocephalus)/
靴 [くつ] /(n) shoes/footwear/(P)/
靴のひも [くつのひも] /(n) shoelace/bootlace/
靴の紐 [くつのひも] /(n) shoelace/bootlace/
靴ひも [くつひも] /(n) shoelace/bootlace/
靴べら [くつべら] /(n) shoehorn/
靴を揃える [くつをそろえる] /(exp,v1) to arrange (one's) shoes (e.g. in a genkan)/
靴を磨く [くつをみがく] /(exp,v5k) to polish one's shoes/to clean your shoes/
靴ブラシ [くつブラシ] /(n) shoe brush/
靴一足 [くついっそく] /(n) pair of shoes/
靴屋 [くつや] /(n) shoemaker/shoe store/(P)/
靴音 [くつおと] /(n) walking sound/footsteps/
靴下 [くつした] /(n) socks/sock/stockings/stocking/(P)/
靴下止め [くつしたどめ] /(iK) (n) garters/suspenders/
靴下留 [くつしたどめ] /(n) garters/suspenders/
靴下留め [くつしたどめ] /(n) garters/suspenders/
靴革 [くつがわ] /(n) shoe leather/
靴型 [くつがた] /(n) shoe last/shoe stretcher/
靴擦れ [くつずれ] /(n) shoe sore/
靴拭き [くつふき] /(n) doormat/
靴摺り [くつずり] /(n) door sill/threshold plate/
靴跡 [くつあと] /(n) shoe mark/shoe print/
靴足袋 [くつたび] /(n) (1) socks/(2) var. of tabi/
靴脱ぎ [くつぬぎ] /(n) place where one can remove one's shoes before entering a house/
靴脱ぎ石 [くつぬぎいし] /(n) stepping stone/
靴直し [くつなおし] /(n) shoe repair/
靴底 [くつぞこ] /(n) shoe sole/
靴箱 [くつばこ] /(n) shoe box/shoe shelf/
靴紐 [くつひも] /(n) shoelace/bootlace/
靴箆 [くつべら] /(n) shoehorn/
靴墨 [くつずみ] /(n) shoe polish/
靴磨 [くつみがき] /(io) (n) shoeshine/shoe polishing/
靴磨き [くつみがき] /(n) shoeshine/shoe polishing/
靴篦 [くつべら] /(n) shoehorn/
轡 [くつばみ] /(ok) (n) bit (i.e. attached to a bridle)/
轡 [くつわ] /(n) bit (i.e. attached to a bridle)/
轡屋 [くつわや] /(n) (arch) brothel/
轡虫 [くつわむし] /(n) (uk) Mecopoda nipponensis (species of katydid)/
轡銜 [くつばみ] /(ok) (n) bit (i.e. attached to a bridle)/
窪み [くぼみ] /(n) hollow/cavity/dent/depression/(P)/
窪む [くぼむ] /(v5m) to cave in/to become depressed/to sink/
窪地 [くぼち] /(n) pit/hollow/basin/depression/
窪溜まり [くぼたまり] /(n) hollow/pond in a hollow/
熊 [くま] /(n) bear (animal)/(P)/
熊さん八っつあん [くまさんはっつあん] /(n) the average Joe/the man in the street/
熊さん八つあん [くまさんはっつあん] /(n) the average Joe/the man in the street/
熊の実 [くまのみ] /(n) (uk) clownfish (Amphiprioninae spp., esp. the yellowtail clownfish, Amphiprion clarkii)/anemone fish/
熊の胆 [くまのい] /(n) bear's gall (used as medicine for the stomach)/
熊ん蜂 [くまんばち] /(n) (1) (uk) Japanese carpenter bee (Xylocopa appendiculata circumvolans)/(2) (col) wasp/hornet/yellow jacket/
熊樫 [くまかし] /(n) (arch) large evergreen oak/
熊樫 [くまがし] /(n) (arch) large evergreen oak/
熊蟻 [くまあり] /(n) (obsc) (uk) Japanese carpenter ant (Camponotus japonicus)/
熊公八公 [くまこうはちこう] /(n) the average Joe/your average nice guy/Joe Blow/Joe Bloggs/
熊祭り [くままつり] /(n) (Ainu) Bear Festival/
熊笹 [くまざさ] /(n) Veitch's bamboo (low and striped)/Sasa veitchii/Sasa albo-marginata/
熊四手 [くましで] /(n) (uk) Japanese hornbeam (Carpinus japonica)/
熊手 [くまで] /(n) rake/fork/bamboo rake/
熊狩り [くまがり] /(n) bear hunting/
熊襲 [くまそ] /(n) Kumaso (ancient Japanese people resident to southern Kyushu)/
熊蝉 [くまぜみ] /(n) (uk) Cryptotympana facialis (species of cicada)/
熊曾 [くまそ] /(n) Kumaso (ancient Japanese people resident to southern Kyushu)/
熊鼠 [くまねずみ] /(n) (uk) black rat (Rattus rattus)/roof rat/
熊送り [くまおくり] /(n) Ainu bear festival/
熊鷹 [くまたか] /(n) Hodgson's hawk eagle (Spizaetus nipalensis)/
熊啄木鳥 [くまげら] /(n) (uk) black woodpecker (Dryocopus martius)/
熊胆 [くまのい] /(n) bear's gall (used as medicine for the stomach)/
熊胆 [ゆうたん] /(n) bear's gall (used as medicine for the stomach)/
熊虫 [くまむし] /(n) (uk) water bear/tardigrades/
熊猫 [くまねこ] /(n) (obsc) panda/
熊之実 [くまのみ] /(n) (uk) clownfish (Amphiprioninae spp., esp. the yellowtail clownfish, Amphiprion clarkii)/anemone fish/
熊蜂 [くまばち] /(n) (1) Japanese carpenter bee (Xylocopa appendiculata circumvolans)/(2) (col) wasp/hornet/yellow jacket/
熊本県 [くまもとけん] /(n) Kumamoto prefecture (Kyuushuu)/
熊羆 [ゆうひ] /(n) (obsc) metaphor for a valiant person/
隈 [くま] /(n) (1) corner/nook/recess/(2) a shadow/a shade/
隈なく [くまなく] /(adv) all over/everywhere/in every nook and cranny/(P)/
隈魚 [くまのみ] /(n) (uk) clownfish (Amphiprioninae spp., esp. the yellowtail clownfish, Amphiprion clarkii)/anemone fish/
隈隈 [くまぐま] /(n) nooks/corners/
隈隈 [すみずみ] /(n) nooks/corners/
隈笹 [くまざさ] /(n) (uk) Sasa veitchii/
隈取り [くまどり] /(n,vs) shading/color/colour/
隈取る [くまどる] /(v5r,vt) to make up/to shade/
隈無く [くまなく] /(adv) all over/everywhere/in every nook and cranny/
栗 [くり] /(n) (uk) Japanese chestnut (Castanea crenata)/(P)/
栗きんとん [くりきんとん] /(n) mashed sweet potatoes with sweetened chestnuts/
栗ぜんざい [くりぜんざい] /(n) sweet made with soft beans (e.g. adzuki) and chestnuts/
栗金団 [くりきんとん] /(n) mashed sweet potatoes with sweetened chestnuts/
栗鴫象虫 [くりしぎぞうむし] /(n) (uk) chestnut weevil (Curculio dentipes)/
栗色 [くりいろ] /(n,adj-no) chestnut-color/chestnut-colour/
栗石 [くりいし] /(n) cobblestone/
栗鼠 [りす] /(n) (1) (uk) squirrel (excluding flying squirrels)/(2) (uk) Japanese squirrel (Sciurus lis)/
栗鼠亜目 [りすあもく] /(n) Sciuromorpha (suborder of rodents)/
栗鼠猿 [りすざる] /(n) (uk) squirrel monkey (esp. the common squirrel monkey, Saimiri sciureus)/
栗鼠擬 [りすもどき] /(n) (uk) (obsc) tree shrew/
栗梅 [くりうめ] /(n) deep brown color/
栗飯 [くりめし] /(n) rice boiled with chestnuts/
栗毛 [くりげ] /(n,adj-no) chestnut (horse coat color)/
繰りかえす [くりかえす] /(v5s,vt,vi) to repeat/to do something over again/
繰り越し [くりこし] /(n) balance brought forward/a transferred amount (of money)/
繰り越し金 [くりこしきん] /(io) (n) balance carried forward/
繰り越す [くりこす] /(v5s,vt) to carry forward (i.e. on a balance sheet)/to transfer/
繰り延べ [くりのべ] /(n) postponement/(P)/
繰り延べる [くりのべる] /(v1,vt) to postpone/to defer/
繰り下がり [くりさがり] /(n) decrease in digit (e.g. if we substract 2 from 11)/
繰り下がる [くりさがる] /(v5r) (1) to move back/to postpone/(2) (math) to borrow/
繰り下げる [くりさげる] /(v1,vt) to defer/to postpone/
繰り回す [くりまわす] /(v5s,vt) to roll over (debt)/
繰り廻す [くりまわす] /(v5s,vt) to roll over (debt)/
繰り拡げる [くりひろげる] /(v1,vt) to unfold/to unroll/to open/
繰り寄せる [くりよせる] /(v1,vt) to draw towards/
繰り言 [くりごと] /(n) tedious talk/repetition/complaint/
繰り戸 [くりど] /(n) sliding door/
繰り広げる [くりひろげる] /(v1,vt) to unfold/to unroll/to open/
繰り合せる [くりあわせる] /(v1) to arrange/to manage (to find time)/
繰り合わす [くりあわす] /(v5s) to make time/to arrange matters/
繰り合わせる [くりあわせる] /(v1) to arrange/to manage (to find time)/
繰り込み [くりこみ] /(n) (uk) renormalisation (physics)/renormalization/
繰り込み群 [くりこみぐん] /(n) renormalisation group (physics)/renormalization group/
繰り込み理論 [くりこみりろん] /(n) renormalization theory/renormalisation theory/
繰り込む [くりこむ] /(v5m,vt) to march in/to transfer/to send/
繰り取る [くりとる] /(v5r) to reel off/
繰り出しはしご [くりだしはしご] /(n) extension ladder/aerial ladder/
繰り出しばしご [くりだしばしご] /(n) extension ladder/aerial ladder/
繰り出しユニット [くりだしユニット] /(n) feed unit/
繰り出し梯子 [くりだしはしご] /(n) extension ladder/aerial ladder/(P)/
繰り出し梯子 [くりだしばしご] /(n) extension ladder/aerial ladder/
繰り出す [くりだす] /(v5s,vt) (1) to draw (a thread)/to let out (e.g. a rope)/(2) to sally forth/(3) to send out/to dispatch/(4) to lunge/to unleash/(P)/
繰り上がり [くりあがり] /(n) increase in digit (e.g. if we add 2 to the number 9)/
繰り上がる [くりあがる] /(v5r,vi) to move up (date or rank)/
繰り上げ [くりあげ] /(n) upward move/advance/(P)/
繰り上げる [くりあげる] /(v1,vt) to move up/to advance/(P)/
繰り上げ当選 [くりあげとうせん] /(n) win an election due to another's death or disqualification/
繰り替える [くりかえる] /(v1,vt) to exchange/
繰り入れ [くりいれ] /(n) transfer/(P)/
繰り入れる [くりいれる] /(v1,vt) to transfer/to add/
繰り入れ金 [くりいれきん] /(n) money transferred/
繰り返し [くりかえし] /(n,vs,adj-no,adj-na) (1) repetition/reiteration/iteration/cycle/(adv) (2) repeatedly/(P)/
繰り返し記号 [くりかえしきごう] /(n) symbol indicating a repeated character/
繰り返し符号 [くりかえしふごう] /(n) repetition symbol/repetition of the previous character/
繰り返す [くりかえす] /(v5s,vt,vi) to repeat/to do something over again/(P)/
繰り綿 [くりわた] /(n) spun cotton/
繰り戻す [くりもどす] /(v5s,vt) to put back/
繰る [くる] /(v5r,vt) (1) to reel/to wind/to spin (thread)/(2) to turn (pages)/to flip through (a book)/to leaf through (a book)/to consult (a dictionary)/to refer to (an encyclopedia)/(3) to count (e.g. the days)/(4) to open one-by-one/to close one-by-one (e.g. shutters)/(P)/
繰越 [くりこし] /(n) balance brought forward/a transferred amount (of money)/
繰越し金 [くりこしきん] /(io) (n) balance carried forward/
繰越す [くりこす] /(v5s,vt) to carry forward (i.e. on a balance sheet)/to transfer/
繰越金 [くりこしきん] /(n) balance carried forward/
繰延べ [くりのべ] /(n) postponement/
繰延べる [くりのべる] /(v1,vt) to postpone/to defer/
繰延税金 [くりのべぜいきん] /(n) deferred tax/deferred taxation/
繰延税金資産 [くりのべぜいきんしさん] /(n) deferred tax asset/DTA/
繰下がり [くりさがり] /(n) decrease in digit (e.g. if we substract 2 from 11)/
繰下がる [くりさがる] /(v5r) (1) to move back/to postpone/(2) (math) to borrow/
繰下げる [くりさげる] /(v1,vt) to defer/to postpone/
繰回す [くりまわす] /(v5s,vt) to roll over (debt)/
繰廻す [くりまわす] /(v5s,vt) to roll over (debt)/
繰拡げる [くりひろげる] /(v1,vt) to unfold/to unroll/to open/
繰寄せる [くりよせる] /(v1,vt) to draw towards/
繰言 [くりごと] /(n) tedious talk/repetition/complaint/
繰戸 [くりど] /(n) sliding door/
繰広げる [くりひろげる] /(v1,vt) to unfold/to unroll/to open/
繰合わす [くりあわす] /(v5s) to make time/to arrange matters/
繰合わせる [くりあわせる] /(v1) to arrange/to manage (to find time)/
繰込み [くりこみ] /(n) (uk) renormalisation (physics)/renormalization/
繰込み群 [くりこみぐん] /(n) renormalisation group (physics)/renormalization group/
繰込み理論 [くりこみりろん] /(n) renormalization theory/renormalisation theory/
繰込む [くりこむ] /(v5m,vt) to march in/to transfer/to send/
繰糸機 [そうしき] /(n) silk reeling machine/
繰取る [くりとる] /(v5r) to reel off/
繰出しユニット [くりだしユニット] /(n) feed unit/
繰出し孔 [くりだしこう] /(n) (comp) feed hole/sprocket hole/
繰出し孔トラック [くりだしこうトラック] /(n) (comp) feed track/sprocket track/
繰出し孔ピッチ [くりだしこうピッチ] /(n) (comp) feed pitch/
繰出し梯子 [くりだしはしご] /(n) extension ladder/aerial ladder/
繰出し梯子 [くりだしばしご] /(n) extension ladder/aerial ladder/
繰出す [くりだす] /(v5s,vt) (1) to draw (a thread)/to let out (e.g. a rope)/(2) to sally forth/(3) to send out/to dispatch/(4) to lunge/to unleash/
繰上 [くりあげ] /(n) upward move/advance/
繰上がり [くりあがり] /(n) increase in digit (e.g. if we add 2 to the number 9)/
繰上がる [くりあがる] /(v5r,vi) to move up (date or rank)/
繰上げ [くりあげ] /(n) upward move/advance/
繰上げる [くりあげる] /(v1,vt) to move up/to advance/
繰上げ当選 [くりあげとうせん] /(n) win an election due to another's death or disqualification/
繰替える [くりかえる] /(v1,vt) to exchange/
繰入れ [くりいれ] /(n) transfer/
繰入れる [くりいれる] /(v1,vt) to transfer/to add/
繰入れ金 [くりいれきん] /(n) money transferred/
繰入金 [くりいれきん] /(n) money transferred/
繰返し [くりかえし] /(n,vs,adj-no,adj-na) (1) repetition/reiteration/iteration/cycle/(adv) (2) repeatedly/
繰返し演算 [くりかえしえんざん] /(n) (comp) repetitive operation/
繰返し符号 [くりかえしふごう] /(n) repetition symbol/repetition of the previous character/
繰返す [くりかえす] /(v5s,vt,vi) to repeat/to do something over again/
繰綿 [くりわた] /(n) spun cotton/
繰戻す [くりもどす] /(v5s,vt) to put back/
桑 [くわ] /(n) mulberry (tree)/(P)/
桑園 [そうえん] /(n) mulberry plantation/
桑海 [そうかい] /(n) this world's sudden changes/
桑原 [くわばら] /(n) mulberry field/(P)/
桑原桑原 [くわばらくわばら] /(n) (uk) charm to ward off lightning and misfortune/knock on wood/touch wood/absit omen!/
桑蚕 [くわこ] /(n) (uk) wild silkworm moth (Bombyx mandarina)/
桑蚕 [くわご] /(n) (uk) wild silkworm moth (Bombyx mandarina)/
桑子 [くわこ] /(n) (arch) silkworm (Bombyx mori)/
桑子 [くわご] /(n) (arch) silkworm (Bombyx mori)/
桑色 [くわいろ] /(n) light yellow/
桑摘み [くわつみ] /(n) picking mulberry leaves/mulberry-leaf pickers/
桑田 [そうでん] /(n) mulberry plantation/(P)/
桑田碧海 [そうでんへきかい] /(exp) The word is a scene of constant changes (as a mulberry field changing into a blue sea). (Chinese legend)/
桑田滄海 [そうでんそうかい] /(exp) The word is a scene of constant changes (as a mulberry field changing into a blue sea). (Chinese legend)/
桑白皮 [そうはくひ] /(n) (uk) mulberry root bark (Morus alba)/
桑畑 [くわばた] /(n) mulberry field/mulberry plantation/
桑畑 [くわばたけ] /(n) mulberry field/mulberry plantation/(P)/
桑苗 [そうびょう] /(n) mulberry seedling/
桑木虱 [くわきじらみ] /(n) (uk) mulberry psyllid (Anomoneura mori)/
桑門 [そうもん] /(n) (Buddh) monk/priest/
桑苺 [くわいちご] /(n) fruit of the mulberry/
鍬 [くわ] /(n) hoe/
鍬形 [くわがた] /(n) (1) hoe-shaped helmet crest/(2) (abbr) (uk) stag beetle/
鍬形虫 [くわがたむし] /(n) (uk) stag beetle/
鍬入れ [くわいれ] /(adj-f) ground-breaking/
鍬入れ式 [くわいれしき] /(n) ground-breaking ceremony/
勲 [いさお] /(n) distinguished service/meritorious service/
勲 [くん] /(n) merit (esp. order of merit)/
勲１等 [くんいっとう] /(n) order of the 1st class/
勲位 [くんい] /(n) order of merit/
勲一等 [くんいっとう] /(n) order of the 1st class/
勲記 [くんき] /(n) decoration diploma/diploma/
勲功 [くんこう] /(n) merits/distinguished services/
勲爵 [くんしゃく] /(n) peerage and order of merit/
勲章 [くんしょう] /(n) decoration/order/medal/(P)/
勲等 [くんとう] /(n) the Order of Merit/
君 [きみ] /(pn,adj-no) (1) (male) (fam) you/buddy/pal/(2) (arch) monarch/ruler/sovereign/(one's) master/(P)/
君 [くん] /(n,suf) Mr (junior)/master/boy/(P)/
君が世 [きみがよ] /(n) (1) Imperial reign/(2) title of Japanese national anthem/
君が代 [きみがよ] /(n) (1) Imperial reign/(2) title of Japanese national anthem/(P)/
君が代蘭 [きみがよらん] /(n) curve-leaf yucca (Yucca recurvifolia)/
君たち [きみたち] /(pn,adj-no) (fam) (male) (used colloquially by young females) you (plural)/all of you/you all/
君恩 [くんおん] /(n) the favor of one's ruler (favour)/
君国 [くんこく] /(n) a monarchy/
君子 [くんし] /(n) man of virtue/person of high rank/wise man/(P)/
君子危うきに近寄らず [くんしあやうきにちかよらず] /(exp) (id) A wise man keeps away from danger/
君子豹変 [くんしひょうへん] /(n) (1) the wise readily adapt themselves to changed circumstances/the wise are quick to acknowledge their mistakes and correct them/(2) (in colloquial usage, ironically or as an excuse) the wise make no scruple in suddenly changing their demeanor/
君子豹変す [くんしひょうへんす] /(exp) (id) A wise man changes his mind, a fool never/
君子蘭 [くんしらん] /(n) clivia (esp. drooping clivia, Clivia nobilis)/Kaffir lily (Clivia miniata)/
君主 [くんしゅ] /(n,adj-no) ruler/monarch/(P)/
君主国 [くんしゅこく] /(n) monarchy/
君主制 [くんしゅせい] /(n) monarchy/
君主制体 [くんしゅせいたい] /(n) monarchy/
君主政 [くんしゅせい] /(n) monarchy/
君主政体 [くんしゅせいたい] /(n) monarchy/
君主道徳 [くんしゅどうとく] /(n) Herrenmoral (master morality, as a philosophical concept of Nietzsche)/
君臣 [くんしん] /(n) ruler and ruled/master and servant/
君側 [くんそく] /(n) proximity of a monarch or lord/
君側の奸 [くんそくのかん] /(n) someone who curries favor with their master while secretly plotting against him/
君沢形 [きみさわがた] /(n) schooner style ship built at the end of the Shogunate/
君達 [きみたち] /(pn,adj-no) (fam) (male) (used colloquially by young females) you (plural)/all of you/you all/
君達 [きんだち] /(n) (arch) kings/children of nobles/young nobleman/
君寵 [くんちょう] /(n) the favor of one's ruler (favour)/
君民 [くんみん] /(n) monarch and subjects/
君命 [くんめい] /(n) the orders of one's ruler/
君臨 [くんりん] /(n) (1) reigning/controlling/(vs) (2) to reign/to dictate/to control/(P)/
薫 [かおり] /(io) (n) aroma/fragrance/scent/smell/
薫き物 [たきもの] /(n) mixture of frangrant woods, etc. used for making incense/
薫く [たく] /(v5k) to burn (usu. incense)/
薫ずる [くんずる] /(vz,vi,vt) to be fragrant/
薫り [かおり] /(n) aroma/fragrance/scent/smell/
薫る [かおる] /(v5r,vi) to smell sweet/to be fragrant/
薫育 [くんいく] /(n,vs) moral influence/moral education/
薫煙 [くんえん] /(n) fragrant smoke/aromatic smoke/
薫化 [くんか] /(n,vs) influencing people by one's virtue/
薫香 [くんこう] /(n) incense/fragrance/
薫蒸 [くんじょう] /(n,vs,adj-no) fumigation/smoking (out)/
薫蒸消毒 [くんじょうしょうどく] /(n) (uk) fumigation/
薫製 [くんせい] /(adj-no) smoking (of fish, meat, etc.)/
薫染 [くんせん] /(n,vs) good influence/
薫陶 [くんとう] /(n,vs) education/training/discipline/
薫風 [くんぷう] /(n) balmy breeze/summer breeze/
薫物 [たきもの] /(n) mixture of frangrant woods, etc. used for making incense/
訓 [おしえ] /(n) teaching/instruction/teachings/precept/lesson/doctrine/
訓 [くに] /(ok) (n) native Japanese reading (rendering) of a Chinese character/
訓 [くん] /(n) native Japanese reading (rendering) of a Chinese character/(P)/
訓える [おしえる] /(oK) (v1,vt) to teach/to inform/to instruct/
訓ずる [くんずる] /(vz) (obsc) to read kanji using its native Japanese pronunciation/
訓む [よむ] /(v5m,vt) to pronounce kanji (using the native Japanese reading)/
訓育 [くんいく] /(n,vs) discipline/
訓仮名 [くんがな] /(n) (obsc) (prior to the advent of kana) kanji used to represent readings of words, selected for their kun-yomi, regardless of meaning/
訓解 [くんかい] /(n) interpretation/explanation/
訓戒 [くんかい] /(n,vs) warning/admonition/lesson or a phrase that teaches you not to do something/(P)/
訓義 [くんぎ] /(n) reading and meaning of a kanji/
訓言 [くんげん] /(n) admonitory speech/words of admonition/precept/
訓告 [くんこく] /(n,vs) reprimand/admonition/
訓示 [くんじ] /(n,vs) instruction/direction/(P)/
訓辞 [くんじ] /(n) admonitory speech/words of admonition/address to students/
訓釈 [くんしゃく] /(n,vs) explaining the meanings of old words/
訓点 [くんてん] /(n) punctuation marks/guiding marks for rendering Chinese into Japanese/
訓電 [くんでん] /(n,vs) telegraphed instructions/
訓導 [くんどう] /(n,vs) old word for licensed elementary school teacher/instruction/guiding/
訓読 [くんどく] /(n,vs) (1) kun'yomi (native Japanese reading of a kanji)/(2) reading a Chinese text (kanbun) in Japanese/
訓読み [くんよみ] /(n,vs) kun-yomi (Japanese reading of character)/(P)/
訓民正音 [くんみんせいおん] /(n) Hunmin-jongum/the Hankul (Hangul) alphabet (of Korea)/the Onmun (Enmun)/
訓諭 [くんゆ] /(n,vs) (obsc) caution/admonition/warning/
訓令 [くんれい] /(n,vs) directive/instructions/(P)/
訓令式 [くんれいしき] /(n) official kana romanization system (romanisation)/
訓練 [くんれん] /(n,vs) practice/practise/training/(P)/
訓練所 [くんれんしょ] /(n) training school/
訓練所 [くんれんじょ] /(n) training school/
訓練生 [くんれんせい] /(n) trainee/
訓連 [くんれん] /(iK) (n,vs) practice/practise/training/
訓話 [くんわ] /(n) exemplum/apologue/
訓詁 [くんこ] /(n) interpretation/exegesis/
訓詁学 [くんこがく] /(n) exegetics/
訓誡 [くんかい] /(n,vs) warning/admonition/lesson or a phrase that teaches you not to do something/
訓迪 [くんてき] /(n) (obsc) guide/master/teacher/
群 [ぐん] /(n,n-suf) (1) group (of animals)/(2) (math) group/(P)/
群々 [むらむら] /(adv,adv-to) (1) (uk) (on-mim) irresistibly/suddenly/(vs) (2) (col) to be turned on/to be horny/
群がる [むらがる] /(v5r,vi) to swarm/to gather/(P)/
群れ [むれ] /(n) group/crowd/flock/herd/bevy/school/swarm/cluster (e.g. of stars)/clump/pack (e.g. of dogs)/(P)/
群れる [むれる] /(v1,vi) to crowd/to flock/to swarm/(P)/
群れを成す [むれをなす] /(exp,v5s) to form groups/
群れ居る [むれいる] /(v1,vi) to crowd in/to come together/
群れ集まる [むれあつまる] /(v5r) to gather in large groups/
群れ遊ぶ [むれあそぶ] /(v5b) to play in a group/
群をなして [ぐんをなして] /(exp) in crowds/in a group/in swarms/
群をなす [ぐんをなす] /(exp,v5s) to swarm/to crowd/to flock together/
群を成して [ぐんをなして] /(exp) in crowds/in a group/in swarms/
群を成す [ぐんをなす] /(exp,v5s) to swarm/to crowd/to flock together/
群を抜く [ぐんをぬく] /(exp,v5k) to surpass the rest (e.g. of a large group)/to stand out from the crowd/to be the best by far/
群オクテット [ぐんオクテット] /(n) (comp) group octet/
群烏 [むらがらす] /(n) (arch) flock of crows/murder of crows/
群雨 [むらさめ] /(n) passing shower/
群雲 [むらくも] /(n) gathering clouds/group of clouds/
群議 [ぐんぎ] /(n) multitude of opinions/
群居 [ぐんきょ] /(n,vs) gregariousness/
群居る [むれいる] /(v1,vi) to crowd in/to come together/
群群 [むらむら] /(adv,adv-to) (1) (uk) (on-mim) irresistibly/suddenly/(vs) (2) (col) to be turned on/to be horny/
群山 [ぐんざん] /(n) mountain range/cluster of mountains/mountainous region/
群山 [むらやま] /(n) mountain range/cluster of mountains/mountainous region/
群時雨 [むらしぐれ] /(n) autumn shower/fall shower/
群衆 [ぐんしゅ] /(n,vs) group (of people)/crowd/horde/throng/mob/multitude/
群衆 [ぐんしゅう] /(n,vs) group (of people)/crowd/horde/throng/mob/multitude/(P)/
群衆 [ぐんじゅ] /(n,vs) group (of people)/crowd/horde/throng/mob/multitude/
群集 [ぐんしゅう] /(n,vs) group (of living things)/crowd/community/(P)/
群集行動 [ぐんしゅうこうどう] /(n) crowd behavior/crowd behaviour/
群集心理 [ぐんしゅうしんり] /(n) mass or mob psychology/
群集生態学 [ぐんしゅうせいたいがく] /(n) synecology/community ecology/
群書 [ぐんしょ] /(n) many books/many writings/
群小 [ぐんしょう] /(n) trifling/minor/petty/
群臣 [ぐんしん] /(n) a crowd or large number of one's retainers or subjects/
群雀 [むらすずめ] /(n) flock of sparrows/
群棲 [ぐんせい] /(n,vs) living gregariously/
群棲地 [ぐんせいち] /(n) rookery/breeding grounds/nesting place/
群生 [ぐんじょう] /(n) (1) all animate creation/
群生 [ぐんせい] /(n,vs) (1) growing en masse in a location (plants)/(2) living gregariously (animals, people)/(n) (3) all animate creation/
群青 [ぐんじょう] /(n) ultramarine/
群青色 [ぐんじょういろ] /(n,adj-no) ultramarine colour (color)/
群千鳥 [むらちどり] /(n) flocking plovers/flock of plovers/
群前置詞 [ぐんぜんちし] /(n) (ling) group preposition/
群像 [ぐんぞう] /(n) sculptured group/(P)/
群速度 [ぐんそくど] /(n) group velocity (in fibre optics, fiber optics)/
群体 [ぐんたい] /(n) colony (biology)/
群竹 [むらたけ] /(n) thick growth of bamboo/
群伝搬時間 [ぐんでんぱんじかん] /(n) group delay (in fibre optics, fiber optics)/
群島 [ぐんとう] /(n) island group/archipelago/(P)/
群盗 [ぐんとう] /(n) group (gang) of robbers/
群馬県 [ぐんまけん] /(n) Gunma prefecture (Kantou area)/
群発 [ぐんぱつ] /(n) repeated occurrence/
群発地震 [ぐんぱつじしん] /(n) swarm earthquakes/
群舞 [ぐんぶ] /(n,vs) dancing in groups/
群部 [ぐんぶ] /(n) suburban districts/
群峰 [ぐんぽう] /(n) (the many peaks of a) mountain range/
群盲 [ぐんもう] /(n) the blind or foolish masses/
群盲象を評す [ぐんもうぞうをひょうす] /(exp) (id) (sens) the mediocre have no right to criticize the great/
群盲象を撫ず [ぐんもうぞうをなず] /(exp,v1) (sens) the mediocre have no right to criticize the great/
群盲象を撫でる [ぐんもうぞうをなでる] /(exp,v1) (sens) the mediocre have no right to criticize the great/
群雄 [ぐんゆう] /(n) rival chiefs/
群雄割拠 [ぐんゆうかっきょ] /(n,vs) rivalry of local warlords/a number of powerful (talented, influential) persons standing by themselves in a given field/
群羊 [ぐんよう] /(n) flock of sheep/collection of weaklings/
群羊を駆って猛虎を攻む [ぐんようをかってもうこをせむ] /(exp) (id) Union is strength/
群落 [ぐんらく] /(n) many communities (villages)/cluster of plants/
群立ち [むらだち] /(n) standing in a group/standing up in unison/
群論 [ぐんろん] /(n) group theory/theory of groups/
群鴉 [むらがらす] /(n) (arch) flock of crows/murder of crows/
軍 [いくさ] /(n) (1) war/battle/campaign/fight/(2) (arch) troops/forces/
軍 [ぐん] /(n,n-suf) army/force/troops/(P)/
軍の庭 [いくさのにわ] /(n) (arch) battlefield/
軍を進める [ぐんをすすめる] /(exp,v1) to move troops forward/
軍衣 [ぐんい] /(n) military clothes/
軍医 [ぐんい] /(n) military physician or surgeon/(P)/
軍医学校 [ぐんいがっこう] /(n) military medical college/
軍医監 [ぐんいかん] /(n) surgeon major general/
軍医総監 [ぐんいそうかん] /(n) surgeon general/
軍営 [ぐんえい] /(n) military camp/
軍歌 [ぐんか] /(n) war song/
軍拡 [ぐんかく] /(n) (abbr) military expansion/expansion of armaments/(P)/
軍拡競争 [ぐんかくきょうそう] /(n) armaments race/
軍学 [ぐんがく] /(n) military science/strategy/tactics/
軍楽 [ぐんがく] /(n) military music/
軍楽手 [ぐんがくしゅ] /(n) military bandsman/
軍楽隊 [ぐんがくたい] /(n) military or naval band/
軍楽長 [ぐんがくちょう] /(n) military band master/
軍官憲 [ぐんかんけん] /(n) military authorities/
軍管区 [ぐんかんく] /(n) military district/
軍艦 [ぐんかん] /(n) warship/battleship/(P)/
軍艦巻 [ぐんかんまき] /(n) battleship roll sushi/
軍艦旗 [ぐんかんき] /(n) naval ensign/
軍艦鳥 [ぐんかんちょう] /(n) frigate (bird) (Fregata spp.)/
軍艦鳥 [ぐんかんどり] /(n) frigate (bird) (Fregata spp.)/
軍器 [ぐんき] /(n) implements of war/
軍旗 [ぐんき] /(n) battle flag/colours/colors/ensign/
軍機 [ぐんき] /(n) military secret/(P)/
軍紀 [ぐんき] /(n) military discipline/
軍紀弛緩 [ぐんきちかん] /(n) lack of (slackness in) military discipline/demoralization/
軍紀漏洩 [ぐんきろうえい] /(n) disclosure (leakage, betrayal) of military secrets/
軍規 [ぐんき] /(n) military regulations/
軍記 [ぐんき] /(n) war chronicle/
軍記物語 [ぐんきものがたり] /(n) war chronicle/
軍議 [ぐんぎ] /(n) war council/
軍靴 [ぐんか] /(n) military shoes/
軍鶏 [しゃも] /(n) game fowl/gamecock/
軍犬 [ぐんけん] /(n) war dog/
軍鼓 [ぐんこ] /(n) war drum/
軍功 [ぐんこう] /(n) meritorious war service/
軍港 [ぐんこう] /(n) naval port/naval station/(P)/
軍国 [ぐんこく] /(n) nation at war/militant nation/
軍国主義 [ぐんこくしゅぎ] /(n,adj-no) militarism/(P)/
軍国主義者 [ぐんこくしゅぎしゃ] /(n) militarist/
軍国色 [ぐんこくしょく] /(n) military character/
軍国調 [ぐんこくちょう] /(n) wartime atmosphere/
軍産複合体 [ぐんさんふくごうたい] /(n) military-industrial complex/
軍使 [ぐんし] /(n) truce bearer/
軍司令官 [ぐんしれいかん] /(n) army commander/
軍司令部 [ぐんしれいぶ] /(n) military headquarters/
軍士 [ぐんし] /(n) soldiers/
軍師 [ぐんし] /(n) strategist/tactician/schemer/
軍資 [ぐんし] /(n) war materiel/military expenses/war fund/campaign funds/
軍資金 [ぐんしきん] /(n) war funds/campaign funds/
軍事 [ぐんじ] /(n,adj-no) military affairs/(P)/
軍事アナリスト [ぐんじアナリスト] /(n) military analyst/
軍事バランス [ぐんじバランス] /(n) military balance/
軍事衛星 [ぐんじえいせい] /(n) military satellite/
軍事援助 [ぐんじえんじょ] /(n) military assistance/
軍事演習 [ぐんじえんしゅう] /(n) military exercise/
軍事介入 [ぐんじかいにゅう] /(n) armed intervention/military intervention/
軍事会議 [ぐんじかいぎ] /(n) council of war/
軍事拡大 [ぐんじかくだい] /(n) military expansion/
軍事学校 [ぐんじがっこう] /(n) military school/
軍事基地 [ぐんじきち] /(n) military base/
軍事機密 [ぐんじきみつ] /(n) military secret/
軍事技術 [ぐんじぎじゅつ] /(n) military technology/
軍事協定 [ぐんじきょうてい] /(n) military pact/
軍事協力 [ぐんじきょうりょく] /(n) military cooperation/
軍事境界線 [ぐんじきょうかいせん] /(n) military demarcation line/
軍事教練 [ぐんじきょうれん] /(n) military training/
軍事訓練 [ぐんじくんれん] /(n) military exercise/drill/
軍事警察 [ぐんじけいさつ] /(n) military police/
軍事顧問 [ぐんじこもん] /(n) military adviser/military advisor/
軍事顧問団 [ぐんじこもんだん] /(n) military assistance advisory group/
軍事交流 [ぐんじこうりゅう] /(n) military exchange/
軍事公債 [ぐんじこうさい] /(n) war bond/war loan/
軍事工場 [ぐんじこうじょう] /(n) war plant/
軍事攻撃 [ぐんじこうげき] /(n) military attack/military strike/
軍事攻勢 [ぐんじこうせい] /(n) military offensive/
軍事行動 [ぐんじこうどう] /(n) military movements/
軍事裁判 [ぐんじさいばん] /(n) court-martial/
軍事裁判所 [ぐんじさいばんしょ] /(n) military court/
軍事産業 [ぐんじさんぎょう] /(n) defense contractor/defence contractor/defense industry/defence industry/
軍事支出 [ぐんじししゅつ] /(n) military spending/military expenditure/
軍事支配 [ぐんじしはい] /(n) military rule/
軍事施設 [ぐんじしせつ] /(n) military installations/
軍事上 [ぐんじじょう] /(adj-no) military/strategic/
軍事侵略 [ぐんじしんりゃく] /(n) military aggression/military invasion/
軍事制裁 [ぐんじせいさい] /(n) military sanction/
軍事政権 [ぐんじせいけん] /(n) military regime/
軍事占領 [ぐんじせんりょう] /(n) military occupation/
軍事戦略 [ぐんじせんりゃく] /(n) military strategy/
軍事増強 [ぐんじぞうきょう] /(n) military build-up/
軍事対決 [ぐんじたいけつ] /(n) military confrontation/
軍事通 [ぐんじつう] /(n) man versed in military affairs/
軍事通信員 [ぐんじつうしんいん] /(n) war correspondent/
軍事的 [ぐんじてき] /(adj-na) military/
軍事的脅威 [ぐんじてききょうい] /(n) military threat/
軍事的勝利 [ぐんじてきしょうり] /(n) military victory/
軍事的侵略 [ぐんじてきしんりゃく] /(n) military aggression/
軍事的優位 [ぐんじてきゆうい] /(n) military superiority/military supremacy/
軍事当局者 [ぐんじとうきょくしゃ] /(n) military authority/
軍事動員 [ぐんじどういん] /(n) military mobilization/military mobilisation/
軍事同盟 [ぐんじどうめい] /(n) military alliance/
軍事独裁政権 [ぐんじどくさいせいけん] /(n) military dictatorship/
軍事任務 [ぐんじにんむ] /(n) military mission/
軍事能力 [ぐんじのうりょく] /(n) military capability/
軍事配備 [ぐんじはいび] /(n) military deployment/
軍事犯 [ぐんじはん] /(n) military offense/military offence/
軍事秘密 [ぐんじひみつ] /(n) military secret/
軍事費 [ぐんじひ] /(n) war funds/war expenditures/
軍事封鎖 [ぐんじふうさ] /(n) military blockade/
軍事法廷 [ぐんじほうてい] /(n) military tribunal/
軍事面 [ぐんじめん] /(n) military aspect/
軍事輸送 [ぐんじゆそう] /(n) military transport/
軍事力 [ぐんじりょく] /(n) military force/military strength/
軍車 [ぐんしゃ] /(n) tank (military vehicle)/
軍手 [ぐんて] /(n) cotton gloves/working gloves/
軍需 [ぐんじゅ] /(n) munitions/military stores/(P)/
軍需景気 [ぐんじゅけいき] /(n) war prosperity/
軍需工業 [ぐんじゅこうぎょう] /(n) munitions industry/
軍需工場 [ぐんじゅこうじょう] /(n) war plant/
軍需産業 [ぐんじゅさんぎょう] /(n) defense contractor/defence contractor/defense industry/defence industry/
軍需品 [ぐんじゅひん] /(n) munitions/military stores/
軍縮 [ぐんしゅく] /(n) disarmament/limitation of arms/(P)/
軍縮会談 [ぐんしゅくかいだん] /(n) disarmament conference/disarmament talks/arms reduction talks/
軍縮協定 [ぐんしゅくきょうてい] /(n) disarmament agreement/
軍書 [ぐんしょ] /(n) military book/war history/
軍将 [ぐんしょう] /(n) army commander/
軍情 [ぐんじょう] /(n) military situation/
軍職 [ぐんしょく] /(n) military profession/military post/
軍神 [ぐんしん] /(n) god of war/war hero/
軍人 [ぐんじん] /(n) military personnel/soldier/(P)/
軍人恩給 [ぐんじんおんきゅう] /(n) military pension/
軍人生活 [ぐんじんせいかつ] /(n) military life/
軍人勅諭 [ぐんじんちょくゆ] /(n) Imperial Rescript to Soldiers and Sailors (1882)/
軍人風 [ぐんじんふう] /(adj-no) of military bearing/
軍人予備裁判所 [ぐんじんよびさいばんしょ] /(n) court of inquiry/court of enquiry/
軍陣 [ぐんじん] /(n) camp/battlefield/
軍陣医学 [ぐんじんいがく] /(n) military medicine/
軍制 [ぐんせい] /(n) military system/military organization/military organisation/
軍勢 [ぐんぜい] /(n) military forces/hosts/troops/
軍政 [ぐんせい] /(n) military government/(P)/
軍政府 [ぐんせいふ] /(n) military government/
軍政部 [ぐんせいぶ] /(n) military government/
軍籍 [ぐんせき] /(n) military or naval register/muster roll/
軍扇 [ぐんせん] /(n) ancient commander's fan/
軍船 [いくさぶね] /(n) (wind or human-powered) warship/
軍船 [ぐんせん] /(n) (wind or human-powered) warship/
軍僧 [ぐんそう] /(n) chaplain/
軍曹 [ぐんそう] /(n) sergeant/
軍葬 [ぐんそう] /(n) military funeral/
軍装 [ぐんそう] /(n,vs) soldier's equipment/
軍足 [ぐんそく] /(n) soldier's socks/
軍属 [ぐんぞく] /(n) civilian in military employ/(P)/
軍卒 [ぐんそつ] /(n) soldier/
軍隊 [ぐんたい] /(n) army/troops/(P)/
軍隊化 [ぐんたいか] /(n,vs) militarization/militarisation/
軍隊蟻 [ぐんたいあり] /(n) army ant/driver ant/
軍隊教育 [ぐんたいきょういく] /(n) military training/
軍隊行進曲 [ぐんたいこうしんきょく] /(n) military march/
軍隊式 [ぐんたいしき] /(n) military style/army style/
軍隊生活 [ぐんたいせいかつ] /(n) army life/
軍隊葬 [ぐんたいそう] /(n) military funeral/
軍団 [ぐんだん] /(n,adj-no) army corps/(P)/
軍団長 [ぐんだんちょう] /(n) corps commander/
軍談 [ぐんだん] /(n) war story/
軍長 [ぐんちょう] /(n) combat commander/
軍刀 [ぐんとう] /(n) saber/sabre/side arms/service sword/
軍当局 [ぐんとうきょく] /(n) military authorities/
軍道 [ぐんどう] /(n) military road/
軍馬 [ぐんば] /(n) warhorse/army horse/
軍配 [ぐんばい] /(n,vs) stratagem/tactics/(ancient) military leader's fan/wrestling umpire's fan/(P)/
軍配を返す [ぐんばいをかえす] /(exp,v5s) referee signalling the imminent start of the sumo bout by turning his fan/
軍配昼顔 [ぐんばいひるがお] /(n) (uk) beach morning glory (Ipomoea pes-caprae)/
軍配虫 [ぐんばいむし] /(n) (uk) lace bug (any insect of family Tingidae)/
軍配通り [ぐんばいどおり] /(n) confirmation the referee's decision of the bout outcome (sumo)/
軍閥 [ぐんばつ] /(n) military clique or party/
軍費 [ぐんぴ] /(n) war funds/war expenditures/
軍備 [ぐんび] /(n) armaments/military preparations/(P)/
軍備拡大 [ぐんびかくだい] /(n) expansion of armaments/
軍備拡張 [ぐんびかくちょう] /(n) expansion of armaments/
軍備管理 [ぐんびかんり] /(n) arms control/
軍備競争 [ぐんびきょうそう] /(n) arms race/
軍備削減 [ぐんびさくげん] /(n) arms reduction/
軍備縮小 [ぐんびしゅくしょう] /(n) reduction of armaments/disarmament/
軍備制限 [ぐんびせいげん] /(n) limitation of armaments/
軍備撤廃 [ぐんびてっぱい] /(n) complete disarmament/
軍票 [ぐんぴょう] /(n) military scrip/
軍夫 [ぐんぷ] /(n) military porter/
軍部 [ぐんぶ] /(n) military authorities/army circles/(P)/
軍部独裁 [ぐんぶどくさい] /(n) military dictatorship/
軍服 [ぐんぷく] /(n) military or naval uniform/(P)/
軍兵 [ぐんびょう] /(n) armed forces/battle troops/
軍兵 [ぐんぴょう] /(n) armed forces/battle troops/(P)/
軍兵 [ぐんぺい] /(n) armed forces/battle troops/
軍放送 [ぐんほうそう] /(n) military broadcast/
軍法 [ぐんぽう] /(n) military law/martial law/tactics/strategy/
軍法会議 [ぐんぽうかいぎ] /(n) court-martial/
軍帽 [ぐんぼう] /(n) military cap/
軍民 [ぐんみん] /(n) the military and civilians/
軍務 [ぐんむ] /(n) military and naval affairs/military service/
軍門 [ぐんもん] /(n) (pol) camp gate/general/
軍門に降る [ぐんもんにくだる] /(exp,v5r) to capitulate/to surrender/to submit to/to concede/
軍役 [ぐんえき] /(n) military service/
軍役 [ぐんやく] /(n) military service/
軍容 [ぐんよう] /(n) military accouterments/military accoutrements/troop formation/
軍用 [ぐんよう] /(n,adj-no) for military use/(P)/
軍用艦 [ぐんようかん] /(n) military ship/
軍用機 [ぐんようき] /(n) warplane/
軍用金 [ぐんようきん] /(n) war funds/war chest/campaign fund/
軍用犬 [ぐんようけん] /(n) war dog/
軍用地図 [ぐんようちず] /(n) army (topographic) map/
軍用鳩 [ぐんようばと] /(n) carrier pigeon/
軍用品 [ぐんようひん] /(n) military stores/munitions of war/
軍用輸送機 [ぐんようゆそうき] /(n) military transport/
軍律 [ぐんりつ] /(n) martial law/articles of war/military disciple/military law/
軍略 [ぐんりゃく] /(n) strategy/tactics/
軍略家 [ぐんりゃくか] /(n) strategist/
軍旅 [ぐんりょ] /(n) army/soldiers/war/
軍令 [ぐんれい] /(n) military command/
軍令部 [ぐんれいぶ] /(n) Naval General Staff/
軍礼 [ぐんれい] /(n) military honors/military honours/
軍歴 [ぐんれき] /(n) (one's) military service record/
軍路 [ぐんろ] /(n) military road/
軍荼利 [ぐんだり] /(n) Kundali (tantric Buddhist deity)/
軍荼利明王 [ぐんだりみょうおう] /(n) Kundali/
郡 [ぐん] /(n) (1) district/county/(2) district (of 2-20 50-home neighbourhoods or townships, in the ritsuryo period)/(P)/
郡 [こおり] /(n) (1) district (of 2-20 50-home neighbourhoods or townships, in the ritsuryo period)/
郡県 [ぐんけん] /(n) counties and prefectures/
郡県制度 [ぐんけんせいど] /(n) county and prefecture system/
郡制 [ぐんせい] /(n) county system/
郡庁所在地 [ぐんちょうしょざいち] /(n) county seat/parish seat/borough seat/county town/
郡長 [ぐんちょう] /(n) district headman/head county official/
郡部 [ぐんぶ] /(n) rural districts/counties/(P)/
郡保安官 [ぐんほあんかん] /(n) county sheriff/
郡役所 [ぐんやくしょ] /(n) county offices/
卦 [け] /(n) divination sign/
卦算 [けいさん] /(n) paperweight/
卦算冠 [けいさんかんむり] /(n) kanji "kettle lid" radical (radical 8)/
卦辞 [かじ] /(n) (obsc) commentary (on any of the 64 hexagrams in the Book of Changes)/
卦体糞悪い [けったくそわるい] /(adj-i) (vulg) extremely vexing/
袈裟 [けさ] /(n) (1) (Buddh) kasaya (monk's stole)/(2) (abbr) wearing an article of clothing in the same manner as a kasaya (i.e. draped over one shoulder)/
袈裟懸け [けさがけ] /(n) (1) wearing a kasaya/wearing an article of clothing in the same manner as a kasaya (i.e. draped over one shoulder)/(2) slashing a sword diagonally from the shoulder/
袈裟斬り [けさぎり] /(n) slashing a sword diagonally from the shoulder/
袈裟切り [けさぎり] /(n) slashing a sword diagonally from the shoulder/
係 [かかり] /(n) official/duty/person in charge/(P)/
係う [かかずらう] /(v5u,vi) (1) (uk) to be mixed up with/to have a connection with (a troublesome matter)/(2) to be a stickler about/to be finicky about (some triviality)/(3) to take part (in some work)/to hang about/to bother (someone)/
係の人 [かかりのひと] /(n) official in charge/person in charge/
係り [かかり] /(n) official/duty/person in charge/
係り員 [かかりいん] /(n) official (e.g. customs)/clerk in charge/
係り官 [かかりかん] /(n) official in charge/
係り結び [かかりむすび] /(n) (ling) connection/relation/linked form/bounded form/
係り合い [かかりあい] /(n) unfortunate relationship/
係る [かかる] /(v5r,vi) (1) to be the work of/to be the result of/to be done by/(2) to concern/to affect/to involve/to relate to/
係る [かかわる] /(v5r,vi) (1) to be affected/to be influenced/(2) to be concerned with/to have to do with/(3) to stick to (opinions)/
係わり [かかわり] /(n) relation/connection/
係わり合う [かかわりあう] /(v5u) to get involved or entangled in/to get mixed up in/to have something to do with/to have dealings with/
係わる [かかわる] /(v5r,vi) (1) to be affected/to be influenced/(2) to be concerned with/to have to do with/(3) to stick to (opinions)/(P)/
係員 [かかりいん] /(n) official (e.g. customs)/clerk in charge/(P)/
係官 [かかりかん] /(n) official in charge/(P)/
係結び [かかりむすび] /(n) (ling) connection/relation/linked form/bounded form/
係合 [けいごう] /(n,vs) joining elements so they mate or hook together (e.g. a clutch)/engagement/
係止 [けいし] /(n,vs) locking/mooring/
係助詞 [かかりじょし] /(n) (ling) binding (linking, connecting) particle (i.e. specifying an expression later in the sentence)/
係助詞 [けいじょし] /(n) (ling) binding (linking, connecting) particle (i.e. specifying an expression later in the sentence)/
係数 [けいすう] /(n) (math) coefficient/factor/proportional constant/
係数器 [けいすうき] /(n) (comp) coefficient unit/scale multiplier/
係数行列 [けいすうぎょうれつ] /(n) (comp) coefficient matrix/
係数設定モード [けいすうせっていモード] /(n) (comp) potentiometer set mode/
係船 [けいせん] /(n,vs) mooring (a ship)/
係争 [けいそう] /(n,adj-no) contention/dispute/conflict/controversy/(P)/
係争物 [けいそうぶつ] /(n) legal point of contention/matter in dispute/subject of debate/issue in contention/
係属 [けいぞく] /(n,vs) (1) relationship/connection/affiliation/(2) pending (e.g. legal case)/pendency/
係属中 [けいぞくちゅう] /(adj-no) pending (e.g. legal case)/
係長 [かかりちょう] /(n) chief clerk/(P)/
係留 [けいりゅう] /(n,vs) mooring/anchorage/
係累 [けいるい] /(n,vs) (1) dependents/family members that one has to support/(2) encumbrances/things that tie one down/
傾 [ななめ] /(oK) (adj-no,adj-na,n) (1) slanting/tilted/sloping/diagonal/oblique/(2) unusual/slanted (view of the world)/bad (mood)/
傾 [なのめ] /(oK) (ok) (adj-no,adj-na,n) (1) slanting/tilted/sloping/diagonal/oblique/(2) unusual/slanted (view of the world)/bad (mood)/
傾いた家運 [かたむいたかうん] /(n) fortunes on the wane (decline)/
傾き [かたむき] /(n) (1) slope/inclination/list/(2) tendency/trend/bent/disposition/bias/(3) (math) slope (of a linear function)/
傾く [かたぶく] /(v5k) to incline toward/to slant/to lurch/to heel over/to be disposed to/to trend toward/to be prone to/to go down (sun)/to wane/to sink/to decline/
傾く [かたむく] /(v5k) to incline toward/to slant/to lurch/to heel over/to be disposed to/to trend toward/to be prone to/to go down (sun)/to wane/to sink/to decline/(P)/
傾ぐ [かしぐ] /(v5g,vi) to lean/to incline/to tilt/to list/to tip/to careen/to lurch/to incline toward/to slant/to heed over/to be disposed to/to trend toward/to be prone to/to go down (sun)/to wane/to sink/to decline/
傾ぐ [かたぐ] /(v5g,vi) to lean/to incline/to tilt/to list/to tip/to careen/to lurch/to incline toward/to slant/to heed over/to be disposed to/to trend toward/to be prone to/to go down (sun)/to wane/to sink/to decline/
傾ける [かたむける] /(v1,vt) to incline/to list/to bend/to lean/to tip/to tilt/to slant/to concentrate on/to ruin (a country)/to squander/to empty/(P)/
傾け倒す [かたむけたおす] /(v5s) to cast down/to lay low/
傾げる [かしげる] /(v1,vt) to lean/to incline/to tilt/to slant/(P)/
傾げる [かたげる] /(v1,vt) to lean/to incline/to tilt/to slant/
傾らか [なだらか] /(adj-na,n) (uk) gently-sloping/gentle/easy/
傾れる [なだれる] /(v1,vi) to slope/to descend/to slide (snow, etc.)/
傾れ込む [なだれこむ] /(v5m,vi) to rush or crowd into/to surge into/
傾れ落ちる [なだれおちる] /(v1) to slide down (snow, etc.)/
傾角 [けいかく] /(n) inclination/
傾奇者 [かぶきもの] /(n) dandy/peacock/early-17th-century equivalent of present-day yakuza/Edo-period eccentric who attracted public attention with their eye-catching clothes, peculiar hairstyle, and weird behavior/
傾向 [けいこう] /(n,vs) tendency/trend/inclination/(P)/
傾国 [けいこく] /(n) beauty/siren/courtesan/prostitute/
傾国傾城 [けいこくけいせい] /(n) woman so glamorous as to bring ruin to a country (castle) as its king (lord) is captivated by her beauty/femme fatale/
傾差 [けいさ] /(n) dip (of the compass)/
傾斜 [けいしゃ] /(n,vs) inclination/slant/slope/bevel/list/dip/(P)/
傾斜家賃 [けいしゃやちん] /(n) progressive increase in rent/
傾斜角 [けいしゃかく] /(n) angle of inclination/
傾斜計 [けいしゃけい] /(n) angle meter/
傾斜生産 [けいしゃせいさん] /(n) priority production/
傾斜度 [けいしゃど] /(n) gradient/
傾斜面 [けいしゃめん] /(n) inclined plane/slope/
傾城 [けいせい] /(n) beauty/siren/courtesan/prostitute/
傾城傾国 [けいせいけいこく] /(n) woman so glamorous as to bring ruin to a country (castle) as its king (lord) is captivated by her beauty/femme fatale/
傾城買い [けいせいかい] /(n) buying the services of a prostitute/
傾性 [けいせい] /(n) nasty (i.e. nastic movement of a plant)/
傾注 [けいちゅう] /(n,vs) devotion/concentration/(P)/
傾聴 [けいちょう] /(n,vs) listening closely/(P)/
傾度 [けいど] /(n) inclination/
傾倒 [けいとう] /(n,vs) admiration/adoration/concentration on/idolizing/idolising/(P)/
傾動 [けいどう] /(n,vs) tilting (of a geological block)/
傾動地塊 [けいどうちかい] /(n) tilt block/tilted fault block/
傾覆 [けいふく] /(n,vs) turning upside down/
傾瀉 [けいしゃ] /(n,vs) decanting/
傾聽 [けいちょう] /(oK) (n,vs) listening closely/
刑 [けい] /(n,n-suf) penalty/sentence/punishment/(P)/
刑す [けいす] /(v5s,vt) (arch) to punish (esp. with death)/
刑する [けいする] /(vs-s,vt) (arch) to punish (esp. with death)/
刑に処する [けいにしょする] /(exp,vs-s) to sentence/to assign a penalty/
刑期 [けいき] /(n) prison term/
刑具 [けいぐ] /(n) instruments of punishment/
刑獄 [けいごく] /(n) jail/gaol/punishment/
刑死 [けいし] /(n,vs) execution/
刑事 [けいじ] /(n) (1) (police) detective/(n,adj-f) (2) criminal matter/(P)/
刑事々件 [けいじじけん] /(n) criminal case/
刑事告訴 [けいじこくそ] /(n,vs) criminal complaint/lodging a criminal complaint (against someone)/
刑事裁判 [けいじさいばん] /(n) criminal trial/
刑事事件 [けいじじけん] /(n) criminal case/(P)/
刑事処分 [けいじしょぶん] /(n) legal penalty/punishment of a criminal/
刑事上 [けいじじょう] /(adj-no) penal/criminal/
刑事責任 [けいじせきにん] /(n) criminal liability/(P)/
刑事訴訟 [けいじそしょう] /(n) criminal action/
刑事訴訟法 [けいじそしょうほう] /(n) Criminal Procedure Code/
刑事捜査 [けいじそうさ] /(n) criminal investigation/
刑事犯 [けいじはん] /(n) criminal offense/criminal offence/
刑事被告 [けいじひこく] /(n) the accused/
刑事被告人 [けいじひこくにん] /(n) accused/defendant/prisoner at the bar/
刑事補償 [けいじほしょう] /(n) criminal indemnity/
刑事法院 [けいじほういん] /(n) criminal court/Crown Court (UK)/
刑場 [けいじょう] /(n) place of execution/
刑典 [けいてん] /(n) criminal law books/
刑徒 [けいと] /(n) condemned person/prisoner/
刑罰 [けいばつ] /(n,adj-no) judgement/judgment/penalty/punishment/(P)/
刑部 [けいぶ] /(n) Ministry of Justice (Tang-dynasty China)/
刑部省 [うたえただすつかさ] /(n) (1) Ministry of Justice (under the ritsuryo system)/
刑部省 [うたえのつかさ] /(n) (1) Ministry of Justice (under the ritsuryo system)/
刑部省 [ぎょうぶしょう] /(n) (1) Ministry of Justice (1869-1871 CE)/(2) Ministry of Justice (under the ritsuryo system)/
刑法 [けいほう] /(n,adj-no) criminal law/penal code/(P)/
刑法犯 [けいほうはん] /(n) criminal offense/
刑務官 [けいむかん] /(n) prison guard/
刑務作業 [けいむさぎょう] /(n) prison industry/
刑務所 [けいむしょ] /(n) prison/penitentiary/(P)/
刑務所長 [けいむしょちょう] /(n) warden/
刑務所暴動 [けいむしょぼうどう] /(n) prison riot/
刑名 [けいめい] /(n) penalty designations/
刑余 [けいよ] /(n) previous conviction/
刑余の人 [けいよのひと] /(n) ex-convict/
刑余者 [けいよしゃ] /(n) ex-convict/
刑吏 [けいり] /(n) executioner/
刑律 [けいりつ] /(n) criminal law/
刑戮 [けいりく] /(n,vs) punishment/penalty/execution/
兄 [あに] /(n) (hum) older brother/(P)/
兄 [けい] /(n,n-suf) (1) elder brother/(pn,adj-no) (2) (fam) (male) pronoun or suffix used in reference to an older brother figure/Mister/Mr/
兄 [にい] /(n-suf) (1) (fam) used after the name of someone who is an older brother figure/(n) (2) used with various honorifics to mean (older) brother/
兄い [あにい] /(n) (1) (col) (fam) elder brother/one's senior/(2) dashing young man/gallant young lad/
兄さん [あにさん] /(n) (1) (hon) older brother/elder brother/(2) brother (as older-brother figure in friendly and or work relationship)/(3) (vocative) young man/buddy/fella/laddie/
兄さん [にいさん] /(n) (1) (hon) older brother/elder brother/(2) brother (as older-brother figure in friendly and or work relationship)/(3) (vocative) young man/buddy/fella/laddie/(P)/
兄たり難く弟たり難し [けいたりがたくていたりがたし] /(exp) there is little to choose between the two/they're both about the same/
兄ちゃん [あんちゃん] /(n) (1) (my) older brother/(2) sonny (with a nuance of suspicion)/lad/(P)/
兄ちゃん [にいちゃん] /(n) familiar form of "older brother"/
兄嫁 [あによめ] /(n) elder brother's wife/sister-in-law/
兄貴 [あにき] /(n) one's senior/elder brother/(P)/
兄貴風を吹かす [あにきかぜをふかす] /(exp,v5s) to act patronizingly/
兄貴分 [あにきぶん] /(n) (1) senior group member/leader among peers/(exp) (2) like one's older brother/
兄後 [あにご] /(n) (hum) elder brother/
兄姉 [きょうだい] /(ik) (n) brother and sister/
兄姉 [けいし] /(n) brother and sister/
兄事 [けいじ] /(n,vs) defer to another as if an older brother/
兄者 [あにじゃ] /(n) (hon) older brother/
兄者人 [あにじゃひと] /(n) (hon) older brother/
兄上 [あにうえ] /(n) (hon) older brother/
兄弟 [きょうだい] /(n) siblings/brothers and sisters/(P)/
兄弟 [けいてい] /(n) siblings/brothers and sisters/
兄弟げんか [きょうだいげんか] /(n,vs) quarrel between brothers/
兄弟の義を結ぶ [きょうだいのぎをむすぶ] /(exp,v5b) become sworn brothers/
兄弟愛 [きょうだいあい] /(n) brotherly love/fraternal love/
兄弟喧嘩 [きょうだいげんか] /(n,vs) quarrel between brothers/
兄弟姉妹 [きょうだいしまい] /(n) brothers and sisters/siblings/
兄弟子 [あにでし] /(n) senior schoolmate/senior apprentice/
兄弟弟子 [きょうだいでし] /(n) fellow pupil (apprentice)/
兄弟分 [きょうだいぶん] /(n) buddy/pal/sworn brother/
兄弟牆に鬩ぐ [けいていかきにせめぐ] /(exp,v5g) sibling rivalry/quarrel among friends/
兄分 [あにぶん] /(n) (1) sworn elder brother/(2) older male in an homosexual relationship/
兄妹 [きょうだい] /(ik) (n) older brother and younger sister/
兄妹 [けいまい] /(n) older brother and younger sister/
兄妹げんか [きょうだいげんか] /(n,vs) quarrel between siblings/
兄妹喧嘩 [きょうだいげんか] /(n,vs) quarrel between siblings/
兄矢 [はや] /(n) arrow with feathers that curve to the left (the first of two arrows to be fired)/
兄鷂 [このり] /(n) (obsc) musket (male Eurasian sparrowhawk)/
啓く [ひらく] /(v5k) (arch) to enlighten/to edify/
啓示 [けいじ] /(n,vs) revelation (i.e. divine revelation)/(P)/
啓示宗教 [けいじしゅうきょう] /(n) revealed religion/
啓上 [けいじょう] /(n,vs) speaking respectfully/
啓発 [けいはつ] /(n,vs) enlightenment/development/edification/public awareness/illumination/education/inspiration/(P)/
啓蒙 [けいもう] /(n,vs) enlightenment/instruction/(P)/
啓蒙運動 [けいもううんどう] /(n) enlightenment movement/the Enlightenment/
啓蒙活動 [けいもうかつどう] /(n) information campaign/awareness program/
啓蒙思想 [けいもうしそう] /(n) the philosophy of the European Enlightenment/
啓蒙思潮 [けいもうしちょう] /(n) enlightenment movement/the Enlightenment/
啓蒙主義 [けいもうしゅぎ] /(n) illuminism/enlightenment/
啓蒙書 [けいもうしょ] /(n) book for novices/general introduction to a subject/
啓蒙絶対君主 [けいもうぜったいくんしゅ] /(n) (arch) enlightened absolutist/
啓蒙専制君主 [けいもうせんせいくんしゅ] /(n) enlightened despot/
啓蒙的 [けいもうてき] /(adj-na) enlightening/
啓蟄 [けいちつ] /(n) "awakening of insects" solar term (approx. Mar. 6, the day on which hibernating insects are said to come out of the ground)/
啓迪 [けいてき] /(n,vs) edification/enlightenment/guide/
圭角のある [けいかくのある] /(exp) harsh-mannered/angular/rough/
圭角の有る [けいかくのある] /(exp) harsh-mannered/angular/rough/
圭璧 [けいへき] /(n) (arch) ritual jades worn by feudal lords in ancient China/
珪ニッケル鉱 [けいニッケルこう] /(n) garnierite/
珪化 [けいか] /(n,vs) silicification/
珪化物 [けいかぶつ] /(n) silicide/
珪化木 [けいかぼく] /(n) silicified wood/
珪岩 [けいがん] /(n) quartzite/
珪砂 [けいしゃ] /(n) silica sand/
珪酸 [けいさん] /(n) silicic acid/
珪酸ナトリウム [けいさんナトリウム] /(n) sodium silicate (Na2SiO3)/
珪酸塩 [けいさんえん] /(n) silicate/
珪質海綿 [けいしつかいめん] /(n) siliceous sponge (any sponge other than those of class Calcarea)/
珪性肺塵症 [けいせいはいじんしょう] /(n) pneumonoultramicroscopicsilicovolcanoconiosis/pneumonoultramicroscopicsilicovolcanokoniosis/
珪石 [けいせき] /(n) silica/
珪素 [けいそ] /(n) silicon (Si)/
珪素鋼 [けいそこう] /(n) silicon steel/
珪素樹脂 [けいそじゅし] /(n) silicone resin/
珪藻 [けいそう] /(n,adj-no) diatom/
珪藻土 [けいそうど] /(n) diatomaceous soil/
珪肺 [けいはい] /(n) silicosis/
珪肺症 [けいはいしょう] /(n) silicosis/
型 [かた] /(n) (1) model/type (e.g. of machine, goods, etc.)/(2) type/style/pattern/(3) mold (mould)/template/model/(4) kata (standard form of a movement, posture, etc. in martial arts, sport, etc.)/(5) form (i.e. customary procedure)/(6) size (i.e. clothing, shoes)/(7) (obsc) (taxonomical) form/(P)/
型 [がた] /(n) (1) model/type (e.g. of machine, goods, etc.)/(2) type/style/pattern/(3) mold (mould)/template/model/(4) kata (standard form of a movement, posture, etc. in martial arts, sport, etc.)/(5) form (i.e. customary procedure)/(6) size (i.e. clothing, shoes)/(7) (obsc) (taxonomical) form/
型に嵌まる [かたにはまる] /(exp,v5r) to fit the mold/to fit the mould/to be standard/to be customary/to be unoriginal/to be stale/
型に嵌める [かたにはめる] /(v1) to stereotype/to squeeze into a pattern/to regiment/
型パラメタ [かたパラメタ] /(n) (comp) type parameter/
型パラメタ値 [かたパラメタち] /(n) (comp) type parameter value/
型参照名 [かたさんしょうめい] /(n) (comp) type reference name/
型紙 [かたがみ] /(n) pattern paper (for dressmaking)/
型式 [かたしき] /(n) model (e.g. of a vehicle)/type/(P)/
型式 [けいしき] /(n) model (e.g. of a vehicle)/type/
型式証明 [かたしきしょうめい] /(n) (vehicle's) type certification/
型宣言文 [かたせんげんぶん] /(n) (comp) type declaration statement/
型染め [かたぞめ] /(n) stencil dyeing/
型通り [かたどおり] /(adj-na,n) formal/proper/prescribed/
型定義 [かたていぎ] /(n) (comp) type definition/
型破り [かたやぶり] /(adj-na,n,adj-no) unusual/unconventional/
型番 [かたばん] /(n) model number/pattern number/
型費 [かたひ] /(n) tooling cost/die cost/
型物 [かたもの] /(n) (1) ceramics made in a mold/(2) formulaic production style in kyogen/
型変換 [かたへんかん] /(n) type conversion/
型変換演算子 [かたへんかんえんざんし] /(n) (comp) type conversion operator/
型崩れ [かたくずれ] /(n,vs) losing shape/getting out of shape/
型録 [かたろぐ] /(ateji) (n,vs) (uk) catalog/catalogue/
型枠 [かたわく] /(n) mold/mould/
契り [ちぎり] /(n) pledge/vow/promise/destiny/share bed and board/
契る [ちぎる] /(v5r,vt) (1) (arch) to pledge/to promise/to swear/(2) to have sexual intercourse (esp. between husband and wife)/to share a bed/
契印 [けいいん] /(n) impression of a seal over the joint of two papers/tally/
契機 [けいき] /(n) opportunity/chance/(P)/
契合 [けいごう] /(n,vs) coincidence of opinions, etc./agreement/
契約 [けいやく] /(n,vs) contract/compact/agreement/(P)/
契約を交わす [けいやくをかわす] /(exp,v5s) to sign a contract/
契約期間 [けいやくきかん] /(n) contract period/
契約金 [けいやくきん] /(n) down payment/contract money/
契約結婚 [けいやくけっこん] /(n) contract marriage/marriage by contract/
契約雇用 [けいやくこよう] /(n) contract employment/
契約交渉 [けいやくこうしょう] /(n) contract negotiation/contract discussion/
契約更改 [けいやくこうかい] /(n) contract renewal/
契約社員 [けいやくしゃいん] /(n) contract employee/
契約者 [けいやくしゃ] /(n) party to a contract/subscriber/policy owner (insurance)/
契約者回線 [けいやくしゃかいせん] /(n) (comp) subscriber line/
契約書 [けいやくしょ] /(n) (written) contract/
契約不履行 [けいやくふりこう] /(n) breach of contract/
契約問題 [けいやくもんだい] /(n) contract dispute/
形 [かた] /(n,suf) (1) shape/appearance/(2) collateral/(3) obverse of an old "zeni" coin/
形 [かたち] /(n) (1) form/shape/figure/(2) visage/(P)/
形 [がた] /(n,suf) (1) shape/appearance/(2) collateral/(3) obverse of an old "zeni" coin/
形 [けい] /(suf) form/tense/
形 [なり] /(n,adj-no) (uk) style/way/shape/form/appearance/state/
形が崩れる [かたがくずれる] /(exp,v1) to get out of shape/to lose shape/
形だけ [かたちだけ] /(exp) merely for form's sake/
形だけする [かたちだけする] /(exp,vs-i) to go through the motions/to do something for form's sake/
形づくる [かたちづくる] /(v5r,vi) to form/to shape/to make/to mold/to mould/to build up/
形どる [かたどる] /(v5r,vi) (1) to model on/to make in the shape of/to represent/to pattern after/to imitate/(2) to symbolise/
形ばかり [かたちばかり] /(n) token (effort)/something done for form's sake/
形をとる [かたちをとる] /(exp,v5r) to take the form (of)/to assume a shape/
形を取る [かたちをとる] /(exp,v5r) to take the form (of)/to assume a shape/
形意拳 [けいいけん] /(n) (MA) shape-of-the-mind fist/Hsing I Chuan/
形影 [けいえい] /(n) the form and its shadow/things inseparable/
形影一如 [けいえいいちにょ] /(n) being inseparable as a form and its shadow/a person's deed mirrors the good or evil of his mind/husband and wife being never apart/
形骸 [けいがい] /(n) ruin/wreck/mere skeleton/framework/
形骸化 [けいがいか] /(n,vs) becoming a mere shell or dead letter/
形気 [かたぎ] /(n) spirit/character/trait/temperament/turn of mind/disposition/
形許 [かたばかり] /(n) for form's sake/a mere token/
形許り [かたちばかり] /(n) token (effort)/something done for form's sake/
形許り [かたばかり] /(n) for form's sake/a mere token/
形見 [かたみ] /(n) memento/souvenir/(P)/
形見分け [かたみわけ] /(n,vs) distribution of mementos/
形作る [かたちづくる] /(v5r,vi) to form/to shape/to make/to mold/to mould/to build up/
形而下 [けいじか] /(n,adj-no) physical/material/
形而下学 [けいじかがく] /(n) physical sciences/
形而上 [けいじじょう] /(n) metaphysical/
形而上絵画 [けいじじょうかいが] /(n) metaphysical art/
形而上学 [けいじじょうがく] /(n,adj-no) metaphysics/
形而上学的唯物論 [けいじじょうがくてきゆいぶつろん] /(n) metaphysical materialism/
形式 [けいしき] /(n) (1) form (as opposed to substance)/formality/(2) method/system/style/(3) format/mode/appearance/form (something takes)/(4) math expression/(P)/
形式関係 [けいしきかんけい] /(n) (comp) formal relation/
形式言語 [けいしきげんご] /(n) formal language/
形式仕様書 [けいしきしようしょ] /(n) (comp) formal specification/
形式主義 [けいしきしゅぎ] /(n,adj-no) formalism/
形式主語 [けいしきしゅご] /(n) (ling) formal subject/
形式上 [けいしきじょう] /(adj-no) in form/ceremonial/for form's sake/pro forma/
形式段落 [けいしきだんらく] /(n) formal paragraph (in opposition to a logical paragraph)/paragraph as defined by its formal elements (e.g. line break and initial indentation)/
形式知 [けいしきち] /(n) explicit knowledge (knowledge management terminology)/
形式張る [けいしきばる] /(v5r,vi) to stand on ceremony/
形式的 [けいしきてき] /(adj-na) formal/(P)/
形式的な性 [けいしきてきなせい] /(n) (obsc) formal gender/
形式的法源 [けいしきてきほうげん] /(n) formal source of law/
形式美 [けいしきび] /(n) beauty of form/
形式変換 [けいしきへんかん] /(n) (comp) format conversion/
形式名詞 [けいしきめいし] /(n) (ling) formal noun/dummy noun/expletive noun/
形式論 [けいしきろん] /(n) formalism/
形式論理 [けいしきろんり] /(n) formal logic/
形式論理学 [けいしきろんりがく] /(n) formal logic/
形質 [けいしつ] /(n) form and nature/
形質細胞 [けいしつさいぼう] /(n) plasma cell/
形質転換 [けいしつてんかん] /(n) transformation/
形質導入 [けいしつどうにゅう] /(n) transduction/
形取る [かたどる] /(v5r,vi) (1) to model on/to make in the shape of/to represent/to pattern after/to imitate/(2) to symbolise/
形勝 [けいしょう] /(n) scenic beauty/
形象 [けいしょう] /(n) shape/figure/image/
形象化 [けいしょうか] /(n,vs) giving shape to/
形状 [けいじょう] /(n) shape/form/(P)/
形状モデル [けいじょうモデル] /(n) (comp) geometric model/
形状記憶合金 [けいじょうきおくごうきん] /(n) shape memory alloy/
形状定義スプライン [けいじょうていぎスプライン] /(n) (comp) geometry spline/
形状適合 [けいじょうてきごう] /(n) (comp) conformable/
形状保存変換 [けいじょうほぞんへんかん] /(n) (comp) rigid-body transformation/
形状明示配列 [けいじょうめいじはいれつ] /(n) (comp) explicit-shape array/
形振り [なりふり] /(n) one's appearance/
形振り構わず [なりふりかまわず] /(exp) (uk) regardless of appearance/
形勢 [けいせい] /(n) condition/situation/prospects/(P)/
形勢逆転 [けいせいぎゃくてん] /(n,vs) the situation reverses itself/the table is turned/the shoe is on the other foot/
形勢不利 [けいせいふり] /(n,adj-na) situation (turn of events) being unfavorable (disadvantageous)/
形勢有利 [けいせいゆうり] /(n,adj-na) situation (turn of events) being favorable (advantageous)/
形成 [けいせい] /(n,vs,adj-no) formation/molding/taking form/(P)/
形成外科 [けいせいげか] /(n) plastic surgery/
形成期 [けいせいき] /(n) formative period (e.g. of nation)/formative year/
形成手術 [けいせいしゅじゅつ] /(n) plastic surgery/plastic operation/
形成層 [けいせいそう] /(n) cambium layer/formative layer/
形成体 [けいせいたい] /(n) organizer (in vertebrate embryology)/
形声 [けいせい] /(n) kanji in which one element suggests the meaning, the other the pronunciation/
形声文字 [けいせいもじ] /(n) semasio-phonetic character (combining semantic and phonetic components)/
形跡 [けいせき] /(n) traces/evidence/(P)/
形相 [ぎょうそう] /(n) look (esp. an angry or upset look)/expression/
形相 [けいそう] /(n) form (esp. in Aristotelian philosophy)/
形相因 [けいそういん] /(n) formal cause/
形造る [かたちづくる] /(v5r,vi) to form/to shape/to make/to mold/to mould/to build up/
形体 [けいたい] /(n) form/shape/figure/
形体 [なりかたち] /(n) one's appearance/
形態 [けいたい] /(n) form/shape/figure/(P)/
形態・機能的 [けいたいきのう] /(adj-na) morphofunctional/
形態・機能的変化 [けいたいきのうてきへんか] /(n) morphofunctional modifications/
形態学 [けいたいがく] /(n) morphology/
形態機能的 [けいたいきのう] /(adj-na) morphofunctional/
形態機能的変化 [けいたいきのうてきへんか] /(n) morphofunctional modifications/
形態素 [けいたいそ] /(n) (ling) morpheme/
形態素解析 [けいたいそかいせき] /(n) (ling) morphological analysis/
形態素解析器 [けいたいそかいせきき] /(n) (ling) morphological analyzer/
形態素語 [けいたいそご] /(n) morphemic word/
形態論 [けいたいろん] /(n) (ling) morphology/
形代 [かたしろ] /(n) (1) paper, cloth, wood, etc. representation of a sacred object/(2) paper doll used in Shinto purification rites/
形動 [けいどう] /(n) (ling) (abbr) adjectival noun (abbr. often used in dictionaries)/quasi-adjective/
形無し [かたなし] /(adj-na,n) spoiled/spoilt/ruined/loss of face/
形木 [かたぎ] /(n) wooden printing block/
形容 [けいよう] /(n,vs) form/figure/qualification/description/modifying/figure of speech/(P)/
形容句 [けいようく] /(n) (ling) phrase used as an adjective/
形容語 [けいようご] /(n) an epithet/
形容詞 [けいようし] /(n) (ling) (true) adjective/i-adjective/(P)/
形容詞幹 [けいようしかん] /(n) (ling) stem (word)/
形容詞句 [けいようしく] /(n) (ling) adjective phrase/adjectival phrase/
形容詞相当語句 [けいようしそうとうごく] /(n) (ling) adjectival equivalent/
形容動詞 [けいようどうし] /(n) (ling) na-adjective (adj-na)/quasi-adjective/adjectival noun/nominal adjective/
形容矛盾 [けいようむじゅん] /(n) contradictio in adjecto (contradiction between an adjective and the noun it modifies, i.e. "wooden iron", "hot ice", etc.)/
形臨 [けいりん] /(n) copying calligraphy from a model/
径 [けい] /(n) diameter/
径 [みち] /(n) (1) road/street/way/path/course/route/lane/(2) distance/ways (e.g. "a long ways")/(3) the way (of proper conduct, etc.)/one's way/morals/(4) teachings (esp. Confucian or Buddhist)/dogma/(5) field (of medicine, etc.)/subject/(6) way/method/means/
径 [わたり] /(ok) (n) diameter/
径の大きい [けいのおおきい] /(exp) of large diameter/
径間 [けいかん] /(n) distance between two points/distance between opposite supports of arch, bridge/span/
径間 [わたりま] /(n) distance between two points/distance between opposite supports of arch, bridge/span/
径行 [けいこう] /(n,vs) go right ahead/
径庭 [けいてい] /(n) great difference/
径路 [けいろ] /(n) (1) course/route/path/channel/(2) process/means/
径路係数 [けいろけいすう] /(n) (obsc) path coefficient/
恵まれた人々 [めぐまれたひとびと] /(n) blessed people/favored (privileged) people (favoured)/
恵まれた人人 [めぐまれたひとびと] /(n) blessed people/favored (privileged) people (favoured)/
恵まれる [めぐまれる] /(v1,vi) to be blessed with/to be rich in/to abound in/(P)/
恵み [めぐみ] /(n) blessing/grace/(P)/
恵みの雨 [めぐみのあめ] /(n) welcome rain/merciful rain/blessed rain/rain after a long dry period/
恵み深い [めぐみぶかい] /(adj-i) gracious/benign/
恵む [めぐむ] /(v5m,vt) (1) to bless/to show mercy to/(2) to give (money, etc.)/(P)/
恵雨 [けいう] /(n) welcome rain/
恵贈 [けいぞう] /(n,vs) presentation/
恵存 [けいそん] /(n) message appended to a note accompanying a gift, requesting the recipient to keep the gift at hand/
恵存 [けいぞん] /(n) message appended to a note accompanying a gift, requesting the recipient to keep the gift at hand/
恵沢 [けいたく] /(n) blessing/pity/favor/favour/benefit/
恵比寿 [えびす] /(n) Ebisu (god of fishing and commerce)/(P)/
恵比寿 [ゑびす] /(n) Ebisu (god of fishing and commerce)/
恵比寿顔 [えびすがお] /(n) smiling face/
恵比寿講 [えびすこう] /(n) fete in honor (honour) of Ebisu/
恵比須 [えびす] /(n) Ebisu (god of fishing and commerce)/
恵比須 [えべす] /(n) Ebisu (god of fishing and commerce)/
恵比須 [ゑびす] /(n) Ebisu (god of fishing and commerce)/
恵比須講 [えびすこう] /(n) fete in honor (honour) of Ebisu/
恵比須鮫 [えびすざめ] /(n) (uk) broadnose sevengill shark (Notorynchus cepedianus, species of circumglobal cow shark with 7 gill slits)/
恵比須草 [えびすぐさ] /(n) (uk) sicklepod (Senna obtusifolia)/
恵美須鮫 [えびすざめ] /(n) (uk) broadnose sevengill shark (Notorynchus cepedianus, species of circumglobal cow shark with 7 gill slits)/
恵方 [えほう] /(n) favourable or lucky direction (favorable)/
恵方巻 [えほうまき] /(n) Ehomaki (sushi roll eaten during setsubun)/
恵方巻き [えほうまき] /(n) Ehomaki (sushi roll eaten during setsubun)/
恵方詣 [えほうまいり] /(io) (n) New Year's visit to a shrine or temple which lies in a favorable (favourable) or lucky direction/
恵方詣り [えほうまいり] /(n) New Year's visit to a shrine or temple which lies in a favorable (favourable) or lucky direction/
恵方参り [えほうまいり] /(n) New Year's visit to a shrine or temple which lies in a favorable (favourable) or lucky direction/
恵与 [けいよ] /(n,vs) presentation/giving/bestowing/
慶び [よろこび] /(oK) (n) joy/delight/rapture/pleasure/gratification/rejoicing/congratulations/felicitations/
慶び事 [よろこびごと] /(n) auspicious event/celebration/
慶ぶ [よろこぶ] /(v5b,vi) (1) to be delighted/to be glad/to be pleased/(2) to congratulate/(3) to gratefully accept/
慶安 [けいあん] /(n) (1) agency for employing servants and arranging marriages (Edo period)/mediator/go-between/(2) flattery/flatterer/(3) Keian era (1648.2.15-1652.9.18)/
慶庵 [けいあん] /(n) (1) agency for employing servants and arranging marriages (Edo period)/mediator/go-between/(2) flattery/flatterer/
慶雲 [きょううん] /(n) (1) Keiun era (704.5.10-708.1.11)/Kyouun era/
慶雲 [けいうん] /(n) (1) auspicious cloud/(2) Keiun era (704.5.10-708.1.11)/Kyouun era/
慶応 [けいおう] /(n) Keiou era (1865.4.7-1868.9.8)/
慶賀 [けいが] /(n,vs) congratulation/
慶事 [けいじ] /(n) auspicious event/(P)/
慶祝 [けいしゅく] /(n,vs) (1) congratulation/(2) celebration/(P)/
慶春 [けいしゅん] /(exp) Happy New Year/
慶兆 [けいちょう] /(n) sign of happiness/good omen/
慶弔 [けいちょう] /(n) congratulations and condolences/(P)/
慶長 [けいちょう] /(n) Keichou era (1596.10.27-1615.7.13)/
慶福 [けいふく] /(n) happy event/happiness/
慶良間鹿 [けらまじか] /(n) Kerama deer/Ryukyu sika (Cervus nippon keramae)/
慧眼 [えげん] /(n) (Buddh) the wisdom eye/
慧眼 [けいがん] /(adj-na,n) discerning (quick) eye/keen insight/
慧敏 [けいびん] /(adj-na,n) (obsc) clever/of quick intellect/
憩 [いこい] /(n) rest/(P)/
憩い [いこい] /(n) rest/(P)/
憩いの場 [いこいのば] /(n) place for relaxation and refreshment/
憩う [いこう] /(v5u,vi) to rest/to relax/to repose/(P)/
憩室 [けいしつ] /(n,adj-no) diverticulum/
掲げる [かかげる] /(v1,vt) (1) to publish/to print/to carry (an article)/(2) to put up/to hang out/to hoist/to fly (a sail)/to float (a flag)/to tout/(3) to set forth (provision)/(P)/
掲載 [けいさい] /(n) (1) publication (e.g. article in paper)/appearance/insertion/(vs) (2) to insert (e.g. an article)/to run (e.g. in a newspaper)/(P)/
掲示 [けいじ] /(n,vs) notice/bulletin/post/posting/placard/(P)/
掲示を出す [けいじをだす] /(exp,v5s) to post a notice/to put up a notice/
掲示板 [けいじばん] /(n) bulletin board/display board/notice board/electronic bulletin board/BBS/(P)/
掲示板システム [けいじばんシステム] /(n) bulletin board system/BBS/
掲出 [けいしゅつ] /(n,vs,vt) posting a notice, bulletin, list of results, etc./
掲題の件 [けいだいのけん] /(n) (formal) topic at hand/current topic/
掲揚 [けいよう] /(n,vs) hoist (flag)/fly/display/(P)/
携える [たずさえる] /(v1,vt) to carry in one's hand/(P)/
携わる [たずさわる] /(v5r,vi) to engage in/to participate/to take part/(P)/
携挙 [けいきょ] /(n) Rapture (Christian theology)/
携琴 [けいきん] /(n) (obsc) sihu (4-stringed Chinese musical instrument played with a bow)/
携行 [けいこう] /(n,vs) carrying/
携帯 [けいたい] /(n,vs,adj-no) (1) something carried (in the hand)/handheld/(n) (2) (abbr) (col) mobile telephone/cell phone/(P)/
携帯カメラ [けいたいカメラ] /(n) hand camera/
携帯ストラップ [けいたいストラップ] /(n) straps for mobile phone/(P)/
携帯可能 [けいたいかのう] /(adj-na) (comp) portable/
携帯型 [けいたいがた] /(adj-f) portable (style)/
携帯小説 [けいたいしょうせつ] /(n) cellphone novel/
携帯情報端末 [けいたいじょうほうたんまつ] /(n) personal digital assistant/PDA/
携帯端末 [けいたいたんまつ] /(n,adj-no) (comp) portable terminal/
携帯電郵 [けいたいでんゆう] /(n) email from a cell phone or mobile phone/
携帯電話 [けいたいでんわ] /(n,adj-no) mobile telephone/cellular telephone/
携帯電話ゲーム [けいたいでんわゲーム] /(n) mobile game/
携帯番号 [けいたいばんごう] /(n) mobile phone number/
携帯品 [けいたいひん] /(n) personal effects/hand baggage/
携帯用 [けいたいよう] /(n,adj-no) (comp) portable/mobile use/
携番 [けいばん] /(n) (col) (abbr) mobile phone number/
敬 [けい] /(n) reverence/respect/
敬い [うやまい] /(n) reverence/respect/honor/honour/veneration/esteem/
敬う [うやまう] /(v5u,vt) to show respect/to honour/to honor/(P)/
敬す [けいす] /(v5s,vt) to respect/
敬する [けいする] /(vs-s,vt) to respect/
敬愛 [けいあい] /(n,vs) respect and affection/
敬意 [けいい] /(n) respect/honour/honor/(P)/
敬意をはらう [けいいをはらう] /(exp,v5u) to pay respect (to)/
敬意を払う [けいいをはらう] /(exp,v5u) to pay respect (to)/
敬遠 [けいえん] /(n,vs) (1) pretending to respect someone while in fact staying distant from him/(2) keeping at a distance/(3) kicking upstairs/giving a batter an "intentional walk"/(P)/
敬具 [けいぐ] /(int,n) Sincerely yours/(P)/
敬語 [けいご] /(n) honorific/term of respect/(P)/
敬称 [けいしょう] /(n) title of honour/title of honor/(P)/
敬称略 [けいしょうりゃく] /(exp) titles omitted/(names listed) without honorifics/
敬神 [けいしん] /(n,adj-no) piety/reverence/
敬体 [けいたい] /(n) (ling) distal style/
敬天愛人 [けいてんあいじん] /(exp) "Revere heaven, love people." (favorite motto of Saigo Takamori, 1827-1877)/
敬白 [けいはく] /(int,n) Yours Sincerely/
敬服 [けいふく] /(n,vs) admiration/great admiration/
敬慕 [けいぼ] /(n,vs) love and respect/
敬礼 [けいれい] /(n,vs) salute/bow/
敬老 [けいろう] /(n) respect for the aged/(P)/
敬老の日 [けいろうのひ] /(n) Respect-for-the-Aged Day Holiday (third Monday in September)/
敬老会 [けいろうかい] /(n) meeting to show respect for the aged/
敬虔 [けいけん] /(adj-na,n) pious/devout/modest/
敬虔主義 [けいけんしゅぎ] /(n) Pietism/
景雲 [けいうん] /(n) (1) auspicious cloud/
景観 [けいかん] /(n) scenery/(P)/
景観権 [けいかんけん] /(n) the right to a view/
景気 [けいき] /(n) condition/state/business (condition)/(P)/
景気づけ [けいきづけ] /(n) putting life into/animating/cheering up/
景気回復 [けいきかいふく] /(n) economic comeback (rebound, recovery, turnaround)/
景気改善策 [けいきかいぜんさく] /(n) economy recovery plan/
景気拡大 [けいきかくだい] /(n) economic expansion/boom/
景気見通し [けいきみとおし] /(n) economic outlook/
景気減速 [けいきげんそく] /(n) economic slowdown/
景気後退 [けいきこうたい] /(n,adj-no) recession/
景気刺激策 [けいきしげきさく] /(n) business-stimulating measures/economic stimulation program/measure to stimulate the economy/
景気指数 [けいきしすう] /(n) business index/business barometer/
景気縮小 [けいきしゅくしょう] /(n) economic contraction/
景気循環 [けいきじゅんかん] /(n) business cycle/
景気対策 [けいきたいさく] /(n) economic measure/
景気停滞 [けいきていたい] /(n) economic slump/
景気動向指数 [けいきどうこうしすう] /(n) diffusion index/DI/
景気判断 [けいきはんだん] /(n) economic assessment/
景気不安 [けいきふあん] /(n) economic malaise/
景気付け [けいきづけ] /(n) putting life into/animating/cheering up/
景気変動 [けいきへんどう] /(n) business fluctuations/
景教 [けいきょう] /(n) (Chinese term of reference to) Nestorianism/
景教徒 [けいきょうと] /(n) (Chinese term of reference to a) Nestorian/
景況 [けいきょう] /(n) situation/business climate/outlook/
景況感 [けいきょうかん] /(n) business sentiment/business confidence/market sentiment/
景仰 [けいぎょう] /(n,vs) adoration/admiration/reverence/love of virtue/
景仰 [けいこう] /(n,vs) adoration/admiration/reverence/love of virtue/
景趣 [けいしゅ] /(n) elegance/taste/refinement/
景勝 [けいしょう] /(n) picturesque scenery/(P)/
景勝の地 [けいしょうのち] /(n) place of scenic beauty/
景勝地 [けいしょうち] /(n) picturesque scenery/
景色 [けしき] /(n,adj-no) scenery/scene/landscape/(P)/
景品 [けいひん] /(n) gift/premium/(P)/
景物 [けいぶつ] /(n) natural features/scenery/a premium/gift/
桂 [かつら] /(n) (uk) Japanese Judas tree (Cercidiphyllum japonicum)/(P)/
桂 [けい] /(n) (abbr) knight (shogi)/
桂庵 [けいあん] /(n) (1) agency for employing servants and arranging marriages (Edo period)/mediator/go-between/(2) flattery/flatterer/
桂園時代 [けいえんじだい] /(n) Keien period (between the end of the Russo-Japanese War and the Taisho Political Crisis, approx. 1905-1912 CE)/
桂科 [かつらか] /(n) Cercidiphyllaceae (monotypic plant family containing the Japanese Judas trees)/
桂冠 [けいかん] /(n) crown of laurel/
桂冠詩人 [けいかんしじん] /(n) poet laureate/
桂月 [けいげつ] /(n) (arch) moon/
桂成り [けいなり] /(n) knight promotion/
桂男 [かつらお] /(n) (arch) man in the moon/
桂男 [かつらおとこ] /(n) (arch) man in the moon/
桂馬 [けいま] /(n) knight (shogi)/
桂剥き [かつらむき] /(n) (uk) rotary cutting/thinly slicing into a long strip (e.g. daikon, carrot, wood for plywood, etc.)/
桂皮 [けいひ] /(n,adj-no) cinnamon/cassia (bark)/
桂林 [けいりん] /(n) katsura forest/beautiful forest/
渓 [たに] /(n) valley/
渓澗 [けいかん] /(n) mountain stream/valley/
渓間 [けいかん] /(n) ravine/
渓水 [けいすい] /(n) mountain stream/the water of a mountain stream/
渓声 [けいせい] /(n) sound of a valley stream/
渓泉 [けいせん] /(n) a spring that gushes forth from a valley/
渓谷 [けいこく] /(n) valley/ravine/canyon/(P)/
渓流 [けいりゅう] /(n) mountain stream/(P)/
渓流釣り [けいりゅうづり] /(n) mountain stream fishing/
渓壑 [けいがく] /(n) (1) ravine/chasm/(2) ravenous desire/insatiable desire/
畦 [あぜ] /(n) (1) (uk) ridge between rice fields/(2) (abbr) causeway/
畦道 [あぜみち] /(n) footpath between rice fields/
畦畔 [けいはん] /(n) (1) ridge between rice fields/(2) causeway/
稽える [かんがえる] /(v1,vt) to consider/to think about/
稽古 [けいこ] /(n,vs) practice/practise/training/study/(P)/
稽古事 [けいこごと] /(n) accomplishments/
稽古場 [けいこば] /(n) training room (hall)/gymnasium/
稽古場経費 [けいこばけいひ] /(n) allowance paid by the Sumo Association to sumo coach for each wrestler in his stable/
稽古台 [けいこだい] /(n) (1) training partner/(2) training hall (esp. one made of wooden planks and used for dancing practice)/
稽古着 [けいこぎ] /(n) gym suit/training clothes/
稽古日 [けいこび] /(n) day for one's lesson/
稽古本 [けいこぼん] /(n) practice book used in Joruri and Nagauta/
稽首 [けいしゅ] /(n,vs) bowing to the floor/
系 [けい] /(n,n-suf) (1) system/lineage/group/(2) (math) corollary/(3) (geological) system (range of strata that correspond to a particular time period)/(4) (taxonomical) series/(P)/
系図 [けいず] /(n) family tree/pedigree/genealogy/(P)/
系図学 [けいずがく] /(n) genealogy (the study)/
系図買い [けいずかい] /(n) (1) pedigree buying/(2) fencing stolen goods/fence/
系統 [けいとう] /(n) system/family line/geological formation/lineage/ancestry/(P)/
系統学 [けいとうがく] /(n) phylogenetics/
系統樹 [けいとうじゅ] /(n) genealogical tree/
系統神学 [けいとうしんがく] /(n) systematic theology/
系統的 [けいとうてき] /(adj-na,n) systematic/
系統的脱感作 [けいとうてきだっかんさ] /(n) systematic desensitization/
系統発生 [けいとうはっせい] /(n,adj-no) phylogeny/phylogenesis/
系統別総当り [けいとうべつそうあたり] /(n) rule prohibiting match-ups between sumo wrestlers from the same family/
系統立てる [けいとうだてる] /(v1,vt) to systematize/to organize/
系統連系 [けいとうれんけい] /(n) grid connection/
系譜 [けいふ] /(n) genealogy/pedigree/(P)/
系列 [けいれつ] /(n) (1) series/sequence/system/order of succession/(2) keiretsu (conglomeration of businesses linked by cross-shareholdings)/(P)/
系列化 [けいれつか] /(n,vs) putting in order/systemize/systemise/
系列会社 [けいれつがいしゃ] /(n) affiliate company/
系列関係 [けいれつかんけい] /(n) (ling) paradigmatic relation/
系列子会社 [けいれつこがいしゃ] /(n) keiretsu subsidiary/
経 [きょう] /(n) sutra/Buddhist scriptures/(P)/
経 [たて] /(n) (1) the vertical/height/(2) front-to-back/length/
経 [たていと] /(n) (weaving) warp/
経たぬうちに [たたぬうちに] /(exp) before ... days (months, etc.)/
経たぬ内に [たたぬうちに] /(exp) before ... days (months, etc.)/
経つ [たつ] /(v5t,vi) to pass/to lapse/(P)/
経る [へる] /(v1,vt) to pass/to elapse/to experience/(P)/
経を読む [きょうをよむ] /(exp,v5m) to chant a sutra/
経を念じる [きょうをねんじる] /(exp,v1) to chant a sutra/
経緯 [いきさつ] /(n,vs) (1) details/whole story/sequence of events/chronology/particulars/how it started/how things got this way/(2) complications/position/
経緯 [けいい] /(n,vs) (1) details/whole story/sequence of events/chronology/particulars/how it started/how things got this way/(2) complications/position/(P)/
経緯儀 [けいいぎ] /(n) theodolite/
経営 [けいえい] /(n,vs) management/administration/(P)/
経営グループ [けいえいグループ] /(n) management group/
経営コンサルタント [けいえいコンサルタント] /(n) management consultancy/
経営学 [けいえいがく] /(n) management studies/business administration (study of)/
経営学修士 [けいえいがくしゅうし] /(n) Master of Business Administration/MBA/
経営管理 [けいえいかんり] /(n) business management/
経営基盤の充実 [けいえいきばんのじゅうじつ] /(n) fulfillment of management base/fulfilment of management base/improvement of management foundation/
経営権 [けいえいけん] /(n) right of management/
経営工学 [けいえいこうがく] /(n) industrial engineering/
経営合理化 [けいえいごうりか] /(n,vs) streamlining of operations/
経営再建 [けいえいさいけん] /(n) management reorganization/management reorganisation/
経営最高責任者 [けいえいさいこうせきにんしゃ] /(n) chief executive officer/CEO/
経営参加 [けいえいさんか] /(n) labor participation in management (labour)/
経営資源 [けいえいしげん] /(n) management resource/management resources/
経営者 [けいえいしゃ] /(n) manager/proprietor/(P)/
経営上 [けいえいじょう] /(adj-no) administrative/managerial/operational/
経営情報システム [けいえいじょうほうシステム] /(n) (comp) Management Information System/MIS/
経営陣 [けいえいじん] /(n) the management ranks/
経営責任 [けいえいせきにん] /(n) management responsibility/administrative responsibility/
経営戦略 [けいえいせんりゃく] /(n) management strategy/
経営多角化 [けいえいたかくか] /(n,vs) diversification/
経営転換 [けいえいてんかん] /(n) management reorganization/management reorganisation/
経営統合 [けいえいとうごう] /(n) business integration/business merger/integration of management/
経営難 [けいえいなん] /(n) financial difficulties/
経営破綻 [けいえいはたん] /(n) business failure/
経営費 [けいえいひ] /(n) operating costs/
経営不振 [けいえいふしん] /(n,adj-no) unprofitable business operation/
経営方針 [けいえいほうしん] /(n) management policies/
経営面 [けいえいめん] /(n) management aspects (of business)/
経営倫理 [けいえいりんり] /(n) management ethics/
経過 [けいか] /(n,vs) passage/expiration/progress/transition/(P)/
経過計時機構 [けいかけいじきこう] /(n) (comp) elapsed timer/
経過時間 [けいかじかん] /(n) (comp) elapsed time/
経過措置 [けいかそち] /(n) transitional measures/
経学 [けいがく] /(n) Confucianism/
経企庁 [けいきちょう] /(n) (abbr) Economic Planning Agency/(P)/
経机 [きょうづくえ] /(n) sutra-reading desk/
経協 [けいきょう] /(n) Management Conference/
経穴 [けいけつ] /(n) acupuncture point/
経験 [けいけん] /(n,vs) experience/(P)/
経験が浅い [けいけんがあさい] /(exp,adj-i) having little experience/
経験の浅い [けいけんのあさい] /(adj-i) inexperienced/
経験を得る [けいけんをえる] /(exp,v1) to gain experience/
経験を問わず [けいけんをとわず] /(exp) no experience necessary/
経験価値 [けいけんかち] /(n) experienced value (marketing term used for valuing products on customer subjective basis)/
経験科学 [けいけんかがく] /(n) empirical science/
経験済み [けいけんずみ] /(n) experienced/already had an experience (with something)/
経験者 [けいけんしゃ] /(n) experienced person/person who has had a particular experience/(P)/
経験主義 [けいけんしゅぎ] /(n,adj-no) (1) empiricism/(2) judging things from personal experience/
経験談 [けいけんだん] /(n) story of one's experiences/
経験値 [けいけんち] /(n) experience point (in an RPG, etc.)/exp/(P)/
経験的 [けいけんてき] /(adj-na) experiential/
経験豊富 [けいけんほうふ] /(n,adj-na) experienced/well-versed/(P)/
経験有 [けいけんあり] /(io) (suf,n) having experienced ~/having had the experience (of)/
経験有り [けいけんあり] /(suf,n) having experienced ~/having had the experience (of)/
経験論 [けいけんろん] /(n) empiricism/
経験譚 [けいけんたん] /(n) story recounting one's personal experience/
経口 [けいこう] /(n,adj-no) oral/
経口感染 [けいこうかんせん] /(n) oral infection/orally transmitted infection/
経口投与 [けいこうとうよ] /(n) (doses for) oral administration/
経口避妊薬 [けいこうひにんやく] /(n) oral contraceptives/the pill/
経口免疫 [けいこうめんえき] /(n) oral immunization/
経行 [きょうぎょう] /(n) meditation performed while walking/
経行 [きんひん] /(n) meditation performed while walking/
経国 [けいこく] /(n) government/administration/
経国済民 [けいこくさいみん] /(n) governing a nation and providing relief to people/
経済 [けいざい] /(n,vs) economics/business/finance/economy/(P)/
経済システム [けいざいシステム] /(n) economic system/
経済スパイ [けいざいスパイ] /(n,vs) economic espionage/
経済データ [けいざいデータ] /(n) economic data/
経済バブル [けいざいバブル] /(n) economic bubble/
経済モデル [けいざいモデル] /(n) economy model/
経済運営 [けいざいうんえい] /(n) economic management/
経済援助 [けいざいえんじょ] /(n) economic assistance/
経済家 [けいざいか] /(n) frugal person/
経済回復 [けいざいかいふく] /(n) economic recovery/
経済改革 [けいざいかいかく] /(n) economic reform/
経済界 [けいざいかい] /(n) economic world/financial circles/(P)/
経済外交 [けいざいがいこう] /(n) economic diplomacy/
経済格差 [けいざいかくさ] /(n) economic disparity/
経済学 [けいざいがく] /(n) economics/
経済学者 [けいざいがくしゃ] /(n) economist/
経済活動 [けいざいかつどう] /(n) economic activity/
経済環境 [けいざいかんきょう] /(n) economic environment/
経済観念 [けいざいかんねん] /(n) sense of economy/
経済企画庁 [けいざいきかくちょう] /(n) Economic Planning Agency (defunct as of 2001)/(P)/
経済企画庁長官 [けいざいきかくちょうちょうかん] /(n) Director General of Economic Planning Agency/
経済危機 [けいざいきき] /(n) economic crisis/
経済競争力 [けいざいきょうそうりょく] /(n) economic competitiveness/
経済協力 [けいざいきょうりょく] /(n) economic cooperation/
経済研究所 [けいざいけんきゅうしょ] /(n) economics research centre/economics research center/(P)/
経済原論 [けいざいげんろん] /(n) principles of economics/
経済効果 [けいざいこうか] /(n) economic result/
経済財政政策担当大臣 [けいざいざいせいせいさくたんとうだいじん] /(n) State Minister in Charge of Economic and Fiscal Policy/
経済産業省 [けいざいさんぎょうしょう] /(n) Ministry of Economy, Trade and Industry/METI/
経済産業相 [けいざいさんぎょうしょう] /(n) Minister of Economy, Trade and Industry/
経済産業大臣 [けいざいさんぎょうだいじん] /(n) Minister of Economy, Trade and Industry/
経済史 [けいざいし] /(n) economic history/
経済指数 [けいざいしすう] /(n) economic index/
経済指標 [けいざいしひょう] /(n) economic indicator/
経済自由主義 [けいざいじゆうしゅぎ] /(n) economic liberalism/
経済社会 [けいざいしゃかい] /(n) economic system/
経済社会システム [けいざいしゃかいシステム] /(n) socio-economic system/
経済社会理事会 [けいざいしゃかいりじかい] /(n) UN Economic and Social Council/
経済情勢 [けいざいじょうせい] /(n) economic climate/
経済状況 [けいざいじょうきょう] /(n) economic conditions/
経済状態 [けいざいじょうたい] /(n) economic condition/
経済人 [けいざいじん] /(n) financial expert/
経済水域 [けいざいすいいき] /(n) economic waters or zone/
経済制裁 [けいざいせいさい] /(n) economic sanctions/
経済性 [けいざいせい] /(n) economy (saving money)/
経済性向上 [けいざいせいこうじょう] /(n) more economical/
経済成長 [けいざいせいちょう] /(n) economic growth/
経済成長期 [けいざいせいちょうき] /(n) period of economic growth/
経済成長予測 [けいざいせいちょうよそく] /(n) economic growth forecast/
経済成長率 [けいざいせいちょうりつ] /(n) rate of economic growth/(P)/
経済政策 [けいざいせいさく] /(n) economic policy/
経済生産高 [けいざいせいさんだか] /(n) economic output/
経済戦 [けいざいせん] /(n) economic war/
経済戦略会議 [けいざいせんりゃくかいぎ] /(n) Economic Strategy Council/
経済体制 [けいざいたいせい] /(n) economic system/
経済対策 [けいざいたいさく] /(n) economic measure/
経済大国 [けいざいたいこく] /(n) economic power/
経済団体連合会 [けいざいだんたいれんごうかい] /(n) Federation of Economic Organizations (Organisations)/
経済通貨同盟 [けいざいつうかどうめい] /(n) (European) Economic and Monetary Union/EMU/
経済的 [けいざいてき] /(adj-na) economic/economical/(P)/
経済的痛み [けいざいてきいたみ] /(n) economic pain/
経済的動機 [けいざいてきどうき] /(n) economic motive/
経済的要因 [けいざいてきよういん] /(n) economic factor/
経済統計 [けいざいとうけい] /(n) economic statistics/
経済闘争 [けいざいとうそう] /(n) economic struggles/
経済同友会 [けいざいどうゆうかい] /(n) Keizai Doyukai (Japan Association of Corporate Executives)/
経済特区 [けいざいとっく] /(n) special economic zone/
経済白書 [けいざいはくしょ] /(n) economic white paper/
経済発展 [けいざいはってん] /(n) economic development/
経済封鎖 [けいざいふうさ] /(n) economic blockade/embargo/(P)/
経済復興 [けいざいふっこう] /(n) economic revitalization/economic revitalisation/rebuilding of an economy/
経済分析 [けいざいぶんせき] /(n) economic assessment/
経済崩壊 [けいざいほうかい] /(n) economic collapse/economic meltdown/
経済法 [けいざいほう] /(n) economic law/
経済法科大学 [けいざいほうかだいがく] /(n) university specializing in economics and law/
経済面 [けいざいめん] /(n) (1) financial page (of newspaper)/(2) financial aspects/economic front/
経済問題 [けいざいもんだい] /(n) economic problem/
経済予測 [けいざいよそく] /(n) economic forecast/
経済欄 [けいざいらん] /(n) (newspaper's) financial columns/
経済力 [けいざいりょく] /(n) economic strength/
経財相 [きょうざいそう] /(n) (abbr) Minister for Economics and Finance/
経産 [けいさん] /(n) (1) parity/having borne children/(adj-no) (2) parous/
経産省 [けいさんしょう] /(n) (abbr) Ministry of Economy, Trade and Industry/METI/
経産相 [けいさんしょう] /(n) Minister of Economy, Trade and Industry/
経産婦 [けいさんぷ] /(n) woman who has given birth/
経伺 [けいし] /(n,vs) asking for instructions/consulting and obtaining approval/
経史 [けいし] /(n) Chinese classics (ethics, politics, and history)/
経師 [きょうじ] /(n) scroll mounter/picture framer/
経師屋 [きょうじや] /(n) scroll mounter/picture framer/
経糸 [たていと] /(n) (weaving) warp/
経時 [きょうどき] /(n) (obsc) sutra-reading time (in morning and evening)/
経時 [けいじ] /(n) (1) passing of time/age/(adj-no) (2) chronological/successive/metachronic/age-related/age-based/aging/
経時的 [けいじてき] /(adj-na) chronological/over time/
経時優先 [けいじゆうせん] /(n) (comp) elapsed aging/
経巡る [へめぐる] /(v5r) to travel about/
経書 [けいしょ] /(n) classic Confucian writings/
経上がる [へあがる] /(v5r,vi) to rise/
経常 [けいじょう] /(adj-no) ordinary/(P)/
経常黒字 [けいじょうくろじ] /(n) current account surplus/
経常収益 [けいじょうしゅうえき] /(n) ordinary revenue/recurring income/income before tax/
経常収支 [けいじょうしゅうし] /(n) current account balance/
経常費 [けいじょうひ] /(n) current expenses/operating costs/
経常利益 [けいじょうりえき] /(n) current profits/ordinary profit/income before income taxes/ordinary income/operating income/(P)/
経水 [けいすい] /(n) menstrual period/
経世 [けいせい] /(n) administration/government/conduct of state affairs/
経世家 [けいせいか] /(n) statesman/
経世済民 [けいせいさいみん] /(n) governing a nation and providing relief to people/
経畝織 [たてうねおり] /(n) warp rib weave (cloth)/
経畝織り [たてうねおり] /(n) warp rib weave (cloth)/
経線 [けいせん] /(n,adj-no) meridian/longitude/
経蔵 [きょうぞう] /(n) scripture house/
経団連 [けいだんれん] /(n) (abbr) Federation of Economic Organizations (Organisation)/(P)/
経典 [きょうてん] /(n) sacred books/sutras/scriptures/Bible/
経典 [けいてん] /(n) sacred books/sutras/scriptures/Bible/
経伝 [けいでん] /(n) sacred texts/
経度 [けいど] /(n) longitude/(P)/
経堂 [きょうどう] /(n) sutra library/
経年 [けいねん] /(n) passing of years/lapse of time/aging/ageing/
経年変化 [けいねんへんか] /(n,vs) change over the years/aging/ageing/secular change/
経年劣化 [けいねんれっか] /(n,vs) degradation over time/time-related deterioration/
経函 [きょうかん] /(n) (obsc) sutra box/
経費 [けいひ] /(n) expenses/cost/outlay/(P)/
経費削減 [けいひさくげん] /(n,adj-no) cost reduction/
経費節約 [けいひせつやく] /(n,adj-no) curtailment of expenditure/financial retrenchment/
経鼻内視鏡 [けいびないしきょう] /(n) nasal endoscope/
経文 [きょうもん] /(n) (Buddh) scriptural text/scriptures/sutras/
経文の義を説く [きょうもんのぎをとく] /(exp,v5k) to explain the meaning of a sutra/
経本 [きょうほん] /(n) sutra book/
経脈 [けいみゃく] /(n) meridian flow (in traditional Chinese medicine)/
経木 [きょうぎ] /(n) paper-thin sheet of wood/
経由 [けいゆ] /(n-adv) (1) through/by way of/via/(vs) (2) to go via/to go by way of/(P)/
経由 [けいゆう] /(n-adv) (1) through/by way of/via/(vs) (2) to go via/to go by way of/
経由地 [けいゆち] /(n) transit point/transit airport/connection airport/
経絡 [けいらく] /(n) meridian (e.g. in acupuncture)/channel/one of the lines connecting vital points in the body/
経理 [けいり] /(n,vs) management/accounting/(P)/
経理課 [けいりか] /(n) accounting section/
経理部 [けいりぶ] /(n) accounting department/
経略 [けいりゃく] /(n,vs) administration/rule/
経歴 [けいれき] /(n,vs) personal history/career/(P)/
経歴詐称 [けいれきさしょう] /(n) misrepresentation (falsification) of one's past record (personal history)/
経路 [けいろ] /(n) (1) course/route/path/channel/(2) process/means/(P)/
経路係数 [けいろけいすう] /(n) (obsc) path coefficient/
経路制御 [けいろせいぎょ] /(n) (comp) routing control/
経路積分 [けいろせきぶん] /(n) path integral (physics)/
経路選択 [けいろせんたく] /(n) (comp) routing/
経帷子 [きょうかたびら] /(n) white kimono in which dead person is dressed/
経綸 [けいりん] /(n,vs) governing/
継ぎ [つぎ] /(n) (1) a patch/(adj-f) (2) successor/
継ぎはぎ [つぎはぎ] /(n,vs) patching (and darning)/cobbling together/(P)/
継ぎ竿 [つぎざお] /(n) a jointed fishing rod/
継ぎ合せる [つぎあわせる] /(v1,vt) to join together/to patch together/
継ぎ合わせる [つぎあわせる] /(v1,vt) to join together/to patch together/
継ぎ紙 [つぎがみ] /(n) paper patchwork/
継ぎ歯 [つぎは] /(n) capped tooth/(dental) crown/
継ぎ歯 [つぎば] /(n) capped tooth/(dental) crown/
継ぎ手 [つぎて] /(n) a coupler/a splice/a successor/an heir/
継ぎ切れ [つぎぎれ] /(n) a patch/
継ぎ接ぎ [つぎはぎ] /(n,vs) patching (and darning)/cobbling together/
継ぎ足す [つぎたす] /(v5s,vt) to extend (e.g. a house)/to add to (e.g. coals to a fire)/
継ぎ台 [つぎだい] /(n) (1) stool (stood on to reach high objects)/(2) stock (in grafting)/
継ぎ端 [つぎは] /(n) (obsc) opportunity to continue a conversation/
継ぎ当て [つぎあて] /(n) patchwork/
継ぎ物 [つぎもの] /(n) doing patchwork/an item needing patching/
継ぎ穂 [つぎほ] /(n) (1) scion/cion/(horticultural) graft/(2) opportunity to continue a conversation/
継ぎ穂 [つぎぼ] /(n) (1) scion/cion/(horticultural) graft/(2) opportunity to continue a conversation/
継ぎ木 [つぎき] /(n,vs) grafting/
継ぎ目 [つぎめ] /(n) joint/seam/joining point/
継ぎ目なし [つぎめなし] /(n) (comp) seamless/
継ぎ立て [つぎたて] /(n) relay/
継ぐ [つぐ] /(v5g,vt) to succeed (someone in a business or inheritance)/(P)/
継泳 [けいえい] /(n) swimming relay/
継竿 [つぎざお] /(n) a jointed fishing rod/
継起 [けいき] /(n,vs) occurring in succession/
継合せる [つぎあわせる] /(v1,vt) to join together/to patch together/
継嗣 [けいし] /(n) (arch) successor/heir/heiress/
継姉 [ままねえ] /(n) step-sister (elder)/stepsister/
継子 [けいし] /(n) stepchild/
継子 [ままこ] /(n) stepchild/
継紙 [つぎがみ] /(n) paper patchwork/
継歯 [つぎは] /(n) capped tooth/(dental) crown/
継歯 [つぎば] /(n) capped tooth/(dental) crown/
継室 [けいしつ] /(n) second wife/
継手 [つぎて] /(n) a coupler/a splice/a successor/an heir/
継受 [けいじゅ] /(n) inheritance/taking over (a business, property)/
継承 [けいしょう] /(n,vs) inheritance/succession/accession/(P)/
継承者 [けいしょうしゃ] /(n) successor/
継親 [ままおや] /(n) stepparent/
継切れ [つぎぎれ] /(n) a patch/
継接ぎ [つぎはぎ] /(n,vs) patching (and darning)/cobbling together/
継戦 [けいせん] /(n) continuation of war/
継走 [けいそう] /(n) relay race/
継息子 [ままむすこ] /(n) stepson/
継足す [つぎたす] /(v5s,vt) to extend (e.g. a house)/to add to (e.g. coals to a fire)/
継続 [けいぞく] /(n,vs,adj-no) continuation/(P)/
継続は力なり [けいぞくはちからなり] /(exp) persevering through something difficult makes one stronger/whatever doesn't kill us only makes us stronger/slow but steady wins the race/
継続シグナル [けいぞくシグナル] /(n) (comp) CONT (continue) signal/
継続行 [けいぞくぎょう] /(n) (comp) continuation line/
継続審査 [けいぞくしんさ] /(n) carrying over a bill from one Diet session to the next, being deliberated by a committee in the interim/
継続性 [けいぞくせい] /(n) continuity/continuance/
継続的 [けいぞくてき] /(adj-na) continuous/(P)/
継続発注 [けいぞくはっちゅう] /(n) (comp) standing order/
継続文 [けいぞくぶん] /(n) (comp) continued statement/
継続問い合わせ応答処理 [けいぞくといあわせおうとうしょり] /(n) (comp) CTS/Continuous Temporary Storage/
継台 [つぎだい] /(n) (1) stool (stood on to reach high objects)/(2) stock (in grafting)/
継端 [つぎは] /(n) (obsc) opportunity to continue a conversation/
継電器 [けいでんき] /(n) (electric) relay/
継電気 [けいでんき] /(n) (electrical) relay/
継電鍵 [けいでんけん] /(n) relay key/
継投 [けいとう] /(n,vs) relieving the (starting) pitcher/(P)/
継当て [つぎあて] /(n) patchwork/
継夫 [けいふ] /(n) second husband/
継父 [けいふ] /(n) stepfather/
継父 [ままちち] /(n) stepfather/
継父母 [けいふぼ] /(n) (one's) step-parents/
継物 [つぎもの] /(n) doing patchwork/an item needing patching/
継粉 [ままこ] /(n) unmixed-in lump of flour/
継穂 [つぎほ] /(n) (1) scion/cion/(horticultural) graft/(2) opportunity to continue a conversation/
継穂 [つぎぼ] /(n) (1) scion/cion/(horticultural) graft/(2) opportunity to continue a conversation/
継母 [けいぼ] /(n) stepmother/
継母 [ままはは] /(n) stepmother/
継妹 [ままいも] /(n) (arch) step-sister (younger)/stepsister/
継娘 [ままむすめ] /(n) stepdaughter/
継木 [つぎき] /(n,vs) grafting/
継目 [つぎめ] /(n) joint/seam/joining point/
継目なし [つぎめなし] /(n) (comp) seamless/
継立て [つぎたて] /(n) relay/
繋がり [つながり] /(n) (uk) connection/link/relationship/(P)/
繋がる [つながる] /(v5r,vi) (uk) to be tied together/to be connected to/to be related to/(P)/
繋ぎ [つなぎ] /(n) (comp) (uk) stopgap measure/filler (i.e. time, space)/patch/
繋ぎあわせる [つなぎあわせる] /(v1) to connect/to join/to join or tie or knot together/
繋ぎ合わせる [つなぎあわせる] /(v1) to connect/to join/to join or tie or knot together/
繋ぎ止める [つなぎとめる] /(v1,vt) to tie/to fasten/to hitch/to secure (e.g. load, patronage of customers, etc.)/to hold on to/
繋ぎ資金 [つなぎしきん] /(n) emergency fund/
繋ぎ服 [つなぎふく] /(n) overalls/boiler suit/
繋ぎ目 [つなぎめ] /(n) knot/joint/
繋ぎ融資 [つなぎゆうし] /(n) bridge loan/relief or emergency loan/
繋ぎ留める [つなぎとめる] /(v1,vt) to tie/to fasten/to hitch/to secure (e.g. load, patronage of customers, etc.)/to hold on to/
繋ぐ [つなぐ] /(v5g,vt) (uk) to tie/to fasten/to connect/to transfer (phone call)/(P)/
繋げる [つなげる] /(v1,vt) to tie/to fasten/to connect/to transfer (phone call)/
繋辞 [けいじ] /(n) (ling) copula/
繋船 [けいせん] /(n,vs) mooring (a ship)/
繋争 [けいそう] /(n,adj-no) contention/dispute/conflict/controversy/
繋属 [けいぞく] /(n,vs) (1) relationship/connection/affiliation/(2) pending (e.g. legal case)/pendency/
繋縛 [けいばく] /(n,vs) constraint/restraint/
繋留 [けいりゅう] /(n,vs) mooring/anchorage/
繋累 [けいるい] /(n,vs) (1) dependents/family members that one has to support/(2) encumbrances/things that tie one down/
罫 [け] /(ok) (n) line/rule/
罫 [けい] /(n) line/rule/
罫紙 [けいし] /(n) ruled (lined) paper/
罫線 [けいせん] /(n) ruled line/rule/
罫線を引く [けいせんをひく] /(exp,v5k) to rule (line)/
罫線表 [けいせんひょう] /(n) chart/
茎 [くき] /(n) stalk/stem/(P)/
茎わかめ [くきわかめ] /(n) wakame stem/central rib of the wakame leaf/
茎若布 [くきわかめ] /(n) wakame stem/central rib of the wakame leaf/
茎茶 [くきちゃ] /(n) tea made from twigs pruned from the tea plant during its dormant season/
茎頂 [けいちょう] /(n) tip of a stem (of a plant)/
茎漬 [くきづけ] /(n) salt pickling of a turnip or daikon, inc. leaves and stalk/
茎漬け [くきづけ] /(n) salt pickling of a turnip or daikon, inc. leaves and stalk/
茎葉 [けいよう] /(n) stems and leaves/
茎葉植物 [けいようしょくぶつ] /(n) cormophyte/
茎葉体 [けいようたい] /(n) corm/cormus/
荊 [いばら] /(n) (1) thorny shrub/(2) wild rose/briar/(3) thorn/(4) (architectural) cusp/
荊冠 [けいかん] /(n) crown of thorns/
荊妻 [けいさい] /(n) my wife (lit: thorn spouse)/
荊棘 [おどろ] /(adj-na,n) briars/thicket/the bush/
荊棘 [けいきょく] /(n) (1) wild rose/bramble/(2) briar patch/(3) thorn (used figuratively as an obstacle or source of difficulty)/
荊棘 [ばら] /(n) (1) wild rose/bramble/(2) briar patch/(3) thorn (used figuratively as an obstacle or source of difficulty)/
荊棘線 [ばらせん] /(n) barbed wire/
蛍 [ほたる] /(n) (uk) firefly (Luciola cruciata)/lightning bug/glowworm/(P)/
蛍の光 [ほたるのひかり] /(n) firefly glow/Auld Lang Syne/
蛍烏賊 [ほたるいか] /(n) (uk) firefly squid (Watasenia scintillans)/sparkling enope squid/
蛍火 [けいか] /(n) light of a firefly/
蛍火 [ほたるび] /(n) light of a firefly/
蛍光 [けいこう] /(n,adj-no) fluorescence/
蛍光ペン [けいこうペン] /(n) highlighter/highlighter pen/
蛍光管 [けいこうかん] /(n) fluorescent tube/
蛍光色 [けいこうしょく] /(n,adj-no) fluorescent color/fluorescent colour/
蛍光体 [けいこうたい] /(n) fluorescent substance/
蛍光塗料 [けいこうとりょう] /(n) fluorescent paint/
蛍光灯 [けいこうとう] /(n) (1) fluorescent lamp/fluorescent light/(2) person who is slow to react/someone slow on the uptake/(P)/
蛍光燈 [けいこうとう] /(oK) (n) (1) fluorescent lamp/fluorescent light/(2) person who is slow to react/someone slow on the uptake/
蛍光板 [けいこうばん] /(n) fluorescent screen/
蛍光物質 [けいこうぶっしつ] /(n) fluorescent substance/phosphor/
蛍狩り [ほたるがり] /(n) firefly catching/
蛍石 [けいせき] /(n,adj-no) fluorite/fluorspar/
蛍石 [ほたるいし] /(n,adj-no) fluorite/fluorspar/
蛍雪 [けいせつ] /(n) diligence in studying (e.g. continue to study even in such poor light as offered by a firefly or that reflected by snow)/
蛍雪の功 [けいせつのこう] /(n) the fruit of diligent study/
蛍草 [ほたるぐさ] /(n) dayflower/
蛍袋 [ほたるぶくろ] /(n) bellflower/
蛍藺 [ほたるい] /(n) (uk) Scirpus hotarui (species of bulrush)/
蛍蛆 [つちぼたる] /(n) glowworm/
計 [けい] /(n,n-suf) (1) plan/(2) meter/measuring device/(pref) (3) (in) total/total (of)/(P)/
計らい [はからい] /(n) arrangement/good offices/discretion/judgment/disposition/
計らう [はからう] /(v5u,vt) to manage/to arrange/to talk over/to dispose of/
計られる [はかられる] /(v1) to be taken in/
計り [はかり] /(n) measurements/weighing/
計りにかける [はかりにかける] /(iK) (exp,v1) (1) to weigh on a scale/(2) to weigh up options/to compare pros and cons/
計り知れない [はかりしれない] /(exp,adj-i) unfathomable/inestimable/immeasurable/(P)/
計る [はかる] /(v5r,vt) (1) to measure/to weigh/to survey/to time (sound, gauge, estimate)/(2) to conjecture/to infer/to surmise/(P)/
計画 [けいかく] /(n,vs) plan/project/schedule/scheme/program/programme/(P)/
計画どおり [けいかくどおり] /(exp) in accordance with plans/just as planned/
計画を実行する [けいかくをじっこうする] /(exp,vs-i) to carry out a scheme/
計画を進める [けいかくをすすめる] /(exp,v1) to carry a plan forward/
計画を立てる [けいかくをたてる] /(exp,v1) to make plans/
計画案 [けいかくあん] /(n) blueprint/
計画経済 [けいかくけいざい] /(n) planned economy/
計画決定 [けいかくけってい] /(n) planning decision/
計画者 [けいかくしゃ] /(n) a planner/
計画書 [けいかくしょ] /(n) plan/protocol/manifest/program/
計画性 [けいかくせい] /(n,adj-no) planning/planning ability/deliberateness/
計画段階 [けいかくだんかい] /(n) planning stage/planning stages/
計画通り [けいかくどおり] /(exp) in accordance with plans/just as planned/
計画停止 [けいかくていし] /(n) (comp) planned shutdown/planned outage/
計画停電 [けいかくていでん] /(n) planned power outage/
計画的 [けいかくてき] /(adj-na) systematic/(P)/
計画的犯行 [けいかくてきはんこう] /(n) deliberate attack/
計画倒産 [けいかくとうさん] /(n) planned bankruptcy/
計画犯罪 [けいかくはんざい] /(n) planned crime/
計画評価 [けいかくひょうか] /(n) (comp) forecasting/
計器 [けいき] /(n) meter/gauge/(P)/
計器板 [けいきばん] /(n) dashboard/instrument panel/gauge board/instrument board/
計器盤 [けいきばん] /(n) dashboard/instrument panel/
計器飛行 [けいきひこう] /(n) instrumental flight navigation/
計算 [けいさん] /(n,vs) (1) calculation/reckoning/count/(2) forecast/(P)/
計算ずく [けいさんずく] /(n,adj-no) calculated/premeditated/considered/
計算の複雑性 [けいさんのふくざつせい] /(n) (comp) computational complexity/
計算違い [けいさんちがい] /(n) miscalculation/
計算化学 [けいさんかがく] /(n) (comp) computational chemistry (i.e. computer simulation of chemical phenomena)/computer chemistry/
計算可能性 [けいさんかのうせい] /(n) (comp) computability/
計算器 [けいさんき] /(n) (comp) computer/calculator/
計算機 [けいさんき] /(n) (comp) computer/calculator/
計算機の語 [けいさんきのご] /(n) (comp) machine word/computer word/
計算機システム [けいさんきシステム] /(n) (comp) data processing system/computer system/computing system/
計算機システムの安全保護 [けいさんきシステムのあんぜんほご] /(n) (comp) data processing system security/computer system security/
計算機システム監査 [けいさんきシステムかんさ] /(n) (comp) computer-system audit/
計算機センター [けいさんきセンター] /(n) (comp) computer center/
計算機ネットワーク [けいさんきネットワーク] /(n) (comp) computer network/
計算機依存言語 [けいさんきいぞんげんご] /(n) (comp) computer-dependent language/
計算機科学 [けいさんきかがく] /(n) (comp) computer science/
計算機間 [けいさんきま] /(n) (comp) inside the computer/
計算機構成 [けいさんきこうせい] /(n) (comp) computer configuration/
計算機出力マイクロフィルミング [けいさんきしゅつりょくマイクロフィルミング] /(n) (comp) computer output microfilming/COM/
計算機出力マイクロフィルム印字装置 [けいさんきしゅつりょくマイクロフィルムいんじそうち] /(n) (comp) computer output microfilm printer/COM printer/
計算機出力マイクロフィルム装置 [けいさんきしゅつりょくマイクロフィルムそうち] /(n) (comp) computer output microfilmer/COM device/
計算機図形処理 [けいさんきずけいしょり] /(n) (comp) computer graphics/CG/
計算機設計言語 [けいさんきせっけいげんご] /(n) (comp) CDL/Computer Design Language/
計算機名 [けいさんきめい] /(n) (comp) computer-name/
計算言語学 [けいさんげんごがく] /(n) (ling) computational linguistics/
計算構造 [けいさんこうぞう] /(n) (comp) computation structure/
計算高い [けいさんだかい] /(adj-i) calculating/
計算者 [けいさんしゃ] /(n) non-electronic computer (i.e. person carrying out computation)/
計算尺 [けいさんじゃく] /(n) slide rule/
計算順序 [けいさんじゅんじょ] /(n) (comp) computation sequence/
計算書 [けいさんしょ] /(n) statement of account/
計算上 [けいさんじょう] /(exp,adj-no) according to (one's) calculations/for the purpose of calculation/
計算生物学 [けいさんせいぶつがく] /(n) computational biology/
計算簿 [けいさんぼ] /(n) account book/
計算木 [けいさんぎ] /(n) (comp) computer-tree/
計算問題 [けいさんもんだい] /(n) numerical calculation/
計時 [けいじ] /(n,vs) clocking/timing/
計時機構 [けいじきこう] /(n) (comp) timer/clock register/
計時係 [けいじがかり] /(n) timekeeper/
計上 [けいじょう] /(n,vs) (1) including a sum of money in one's calculations/(2) appropriation (a sum of money)/(P)/
計数 [けいすう] /(n,adj-no) figures/numbers/
計数管 [けいすうかん] /(n) a counting machine/
計数器 [けいすうき] /(n) (comp) counter (reversible)/
計数抽象操作 [けいすうちゅうしょうそうさ] /(n) (comp) Summarize abstract-operation/
計装 [けいそう] /(n) instrumentation/
計測 [けいそく] /(n,vs) measurement/measure/instrumentation/(P)/
計測プロセス [けいそくプロセス] /(n) (comp) measure process/
計測器 [けいそくき] /(n) measuring instrument/instrumentation/
計測値 [けいそくち] /(n) (comp) measure/
計帳 [けいちょう] /(n) register established for tax purposes (ritsuryo period)/
計理士 [けいりし] /(n) public accountant/
計里 [けり] /(n) (uk) gray-headed lapwing (Microsarcops cinereus)/grey-headed lapwing/
計略 [けいりゃく] /(n,adj-no) plan/trick/plot/stratagem/
計略に乗る [けいりゃくにのる] /(exp,v5r) to fall into a trap/to play into another's hands/
計量 [けいりょう] /(n,vs) (1) measurement/computation/(2) (math) metric/measure/(P)/
計量テンソル [けいりょうテンソル] /(n) metric tensor (physics)/
計量化 [けいりょうか] /(n,vs) quantification/
計量器 [けいりょうき] /(n) meter/gauge/scale/
計量経済学 [けいりょうけいざいがく] /(n) econometrics/
計量言語学 [けいりょうげんごがく] /(n) (comp) computational linguistics/
計量士 [けいりょうし] /(n) certified measurer/
計量法 [けいりょうほう] /(n) the Measurement Law/
詣で [もうで] /(suf) pilgrimage/visit/
詣でる [もうでる] /(v1) to make a pilgrimage/
警め [いましめ] /(n) (1) caution/admonition/warning/lesson/(2) prohibition/ban/commandment/precept/(3) (arch) caution/guard/(4) (arch) punishment/
警める [いましめる] /(v1,vt) (1) to admonish/to warn/to remonstrate/(2) to prohibit/to forbid/(3) (arch) to be cautious/(4) (arch) to punish/
警ら [けいら] /(n,vs) patrol/
警衛 [けいえい] /(n,vs) guard/patrol/escort/
警音器 [けいおんき] /(n) car horn/alarm/
警戒 [けいかい] /(n,adj-no) (1) vigilance/precaution/watch/lookout/alertness/(vs) (2) to be vigilant/to be cautious/to guard (against)/(P)/
警戒ぶり [けいかいぶり] /(n) guarding/guard/
警戒感 [けいかいかん] /(n) sense of caution/wariness/
警戒警報 [けいかいけいほう] /(n) air-raid siren/
警戒色 [けいかいしょく] /(n) warning color/warning colour/
警戒信号 [けいかいしんごう] /(n) warning signal/restricted speed signal/
警戒心 [けいかいしん] /(n) wariness/
警戒振り [けいかいぶり] /(n) guarding/guard/
警戒宣言 [けいかいせんげん] /(n) official warning (of an impending earthquake)/
警戒線 [けいかいせん] /(n) warning line/police cordon/
警覚策励 [けいかくさくれい] /(n) Zen stick (used by a Zen priest to strike an inattentive Zazen sitter)/
警官 [けいかん] /(n,adj-no) policeman/(P)/
警官に抑えられる [けいかんにおさえられる] /(exp,v1) to be caught by a policeman/
警官隊 [けいかんたい] /(n) (squad of) police/police force/
警急 [けいきゅう] /(n,n-pref) alarm/emergency/sudden contingency/alert/
警句 [けいく] /(n,adj-no) aphorism/
警句を吐く [けいくをはく] /(exp,v5k) to make a witty remark/to come out with a bon mot/
警固 [けいご] /(n,vs) (1) watching (esp. during an emergency)/being on alert/(n) (2) guard/watchmen/
警護 [けいご] /(n,vs) bodyguard/escort/(P)/
警告 [けいこく] /(n,vs,adj-no) warning/advice/(P)/
警告メッセージ [けいこくメッセージ] /(n) warning message/
警告音 [けいこくおん] /(n) warning sound/
警告射撃 [けいこくしゃげき] /(n) warning shot/
警告色 [けいこくしょく] /(n) (obsc) aposematic coloration (colouration)/
警策 [きょうさく] /(n) (1) (abbr) Zen stick (used by a Zen priest to strike an inattentive Zazen sitter)/warning stick (Rinzai Zen)/encouragement stick (Soto Zen)/
警策 [けいさく] /(n) (1) (abbr) Zen stick (used by a Zen priest to strike an inattentive Zazen sitter)/warning stick (Rinzai Zen)/encouragement stick (Soto Zen)/(2) horsewhip/
警察 [けいさつ] /(n,adj-no) police/(P)/
警察学校 [けいさつがっこう] /(n) police academy/
警察官 [けいさつかん] /(n) policemen/policeman/police officer/
警察官職務執行法 [けいさつかんしょくむしっこうほう] /(n) police execution of duties law/
警察機動隊 [けいさつきどうたい] /(n) riot police/riot squad/
警察権 [けいさつけん] /(n) police powers/
警察犬 [けいさつけん] /(n) police dog/
警察国家 [けいさつこっか] /(n) police state/
警察沙汰 [けいさつざた] /(n) a matter for the police/with the police involved/a brush with the law/
警察手帳 [けいさつてちょう] /(n) police identification card/
警察署 [けいさつしょ] /(n) police station/(P)/
警察証明書 [けいさつしょうめいしょ] /(n) police certification/police clearance/
警察捜査 [けいさつそうさ] /(n) police investigation/
警察庁 [けいさつちょう] /(n) National Police Agency/(P)/
警察当局 [けいさつとうきょく] /(n) law enforcement authority/police authorities/the police/
警察吏員 [けいさつりいん] /(n) (obsc) police officer/
警察力 [けいさつりょく] /(n) police force/
警視 [けいし] /(n) police superintendent/metropolitan police/(P)/
警視監 [けいしかん] /(n) superintendent supervisor/assistant commissioner (UK, Aus. etc.)/
警視正 [けいしせい] /(n) senior superintendent/police inspector/
警視総監 [けいしそうかん] /(n) Superintendent General of the Metropolitan Police/
警視庁 [けいしちょう] /(n) Metropolitan Police Department (esp. Tokyo)/(P)/
警視庁ハイテク犯罪対策センター [けいしちょうハイテクはんざいたいさくセンター] /(n) (comp) Police hi-tech crime centre/
警視長 [けいしちょう] /(n) chief superintendent (police)/
警手 [けいしゅ] /(n) guard/signalman/attendant/
警鐘 [けいしょう] /(n) alarm bell/fire bell/(P)/
警乗 [けいじょう] /(n,vs) policing (a train)/
警世 [けいせい] /(n,vs) warning (to society)/
警世家 [けいせいか] /(n) social critic/
警醒 [けいせい] /(n,vs) warning/
警笛 [けいてき] /(n) horn/alarm/whistle/foghorn/(P)/
警抜 [けいばつ] /(adj-na,n) scintillating/extraordinarily excellent/
警備 [けいび] /(n,vs) defense/defence/guard/policing/security/(P)/
警備員 [けいびいん] /(n) guard/security (officer)/guardsman/
警備会社 [けいびかいしゃ] /(n) security firm/
警備強化 [けいびきょうか] /(n,vs) increased or beefed up security/
警備人 [けいびにん] /(n) guard/security (officer)/guardsman/
警備態勢 [けいびたいせい] /(n) security measures/
警備隊 [けいびたい] /(n) garrison/guards/
警備艇 [けいびてい] /(n) guardship/
警備兵 [けいびへい] /(n) guard (soldier)/
警部 [けいぶ] /(n) police inspector/(P)/
警部補 [けいぶほ] /(n) assistant inspector/
警報 [けいほう] /(n) alarm/warning/(P)/
警報メッセージ [けいほうメッセージ] /(n) (comp) warning message/
警報音 [けいほうおん] /(n) warning sound/
警報器 [けいほうき] /(n) alarm (fire, burglar, etc.)/sensor/
警報機 [けいほうき] /(n) alarm (fire, burglar, etc.)/sensor/
警報抽象操作 [けいほうちゅうしょうそうさ] /(n) (comp) alert abstract-operation/
警砲 [けいほう] /(n) warning gun/alarm gun/
警棒 [けいぼう] /(n) baton/
警防 [けいぼう] /(n) guard/
警防団 [けいぼうだん] /(n) civil defense unit/civil defence unit/
警務 [けいむ] /(n) military police/
警務官 [けいむかん] /(n) military police/MP/
警務隊 [けいむたい] /(n) military police brigade (land army)/
警吏 [けいり] /(n) police officer/
警蹕 [けいひち] /(ok) (n) heralding/
警蹕 [けいひつ] /(n) heralding/
警邏 [けいら] /(n,vs) patrol/
軽 [けい] /(n,pref) light/(P)/
軽々 [かるがる] /(adv-to) lightly/easily/carelessly/(P)/
軽々しい [かるがるしい] /(adj-i) indiscreet/thoughtless/careless/frivolous/
軽い [かるい] /(adj-i) (1) light (i.e. not heavy)/feeling light (i.e. offering little resistance, moving easily)/(2) light (i.e. of foot)/nimble/agile/(3) non-serious/minor/unimportant/trivial/(4) slight/small/gentle/soft/(5) easy/simple/(6) indiscriminate/(P)/
軽い [かろい] /(adj-i) (1) light (i.e. not heavy)/feeling light (i.e. offering little resistance, moving easily)/(2) light (i.e. of foot)/nimble/agile/(3) non-serious/minor/unimportant/trivial/(4) slight/small/gentle/soft/(5) easy/simple/(6) indiscriminate/
軽い気持ち [かるいきもち] /(exp) casual/doing something without taking it too seriously/
軽い故障 [かるいこしょう] /(n) (comp) soft failure/
軽い犯罪 [かるいはんざい] /(n) minor offense/minor offence/
軽しめる [かろしめる] /(v1,vt) to belittle/to look down on/
軽はずみ [かるはずみ] /(adj-na,n) rashness/(P)/
軽べつ [けいべつ] /(n,vs) scorn/disdain/
軽め [かるめ] /(adj-na,n) light (weight)/
軽やか [かるやか] /(adj-na,n) light/easy/non-serious/minor/(P)/
軽やか [かろやか] /(adj-na,n) light/easy/non-serious/minor/
軽んじる [かろんじる] /(v1,vt) to look down on/to make light of/
軽んずる [かろんずる] /(vz,vt) to despise/to belittle/to look down on/
軽カー [けいカー] /(n) lightweight car with low registration costs/
軽トラ [けいトラ] /(n) (abbr) lightweight truck/
軽トラック [けいトラック] /(n) lightweight truck/
軽易 [けいい] /(adj-na,n) easy/light/simple/
軽演劇 [けいえんげき] /(n) light comedy/
軽音楽 [けいおんがく] /(n) light music/(P)/
軽歌劇 [けいかげき] /(n) light opera/
軽快 [けいかい] /(adj-na) (1) casual (e.g. dress)/light/nimble/jaunty/rhythmical (e.g. melody)/(n,vs) (2) taking a turn for the better/receding of symptoms/(P)/
軽鴨 [かるがも] /(n) (uk) spot-billed duck (Anas poecilorhyncha)/
軽機 [けいき] /(n) light machine gun/
軽機関銃 [けいきかんじゅう] /(n) light machine gun/
軽気球 [けいききゅう] /(n) dirigible balloon/
軽騎兵 [けいきへい] /(n) light cavalry/
軽挙 [けいきょ] /(n,vs) hasty or rash act/
軽挙妄動 [けいきょもうどう] /(n,vs) rash and blind act/
軽業 [かるわざ] /(n) acrobatics/risky undertaking/
軽業師 [かるわざし] /(n) acrobat/
軽金属 [けいきんぞく] /(n) light metals/
軽銀 [けいぎん] /(n) aluminium/aluminum/
軽軽 [かるがる] /(adv-to) lightly/easily/carelessly/
軽軽しい [かるがるしい] /(adj-i) indiscreet/thoughtless/careless/frivolous/
軽減 [けいげん] /(n,vs) abatement/reduction/(P)/
軽減措置 [けいげんそち] /(n) relief measure/mitigation measure/
軽口 [かるくち] /(n,adj-no) talkative/loose-lipped/persiflage/frivolous talk/
軽口を叩く [かるくちをたたく] /(exp,v5k) to crack jokes/
軽口話 [かるくちばなし] /(n) light jest or story/
軽工業 [けいこうぎょう] /(n) light industry/(P)/
軽合金 [けいごうきん] /(n) light alloy/
軽罪 [けいざい] /(n) minor offense/minor offence/misdemeanor/misdemeanour/
軽視 [けいし] /(n,vs) despise/slight/ignore/neglect/(P)/
軽自動車 [けいじどうしゃ] /(n) light motor vehicle (up to 660cc and 64bhp)/(P)/
軽自動車税 [けいじどうしゃぜい] /(n) light vehicle tax/
軽舟 [けいしゅう] /(n) light boat/skiff/
軽重 [けいじゅう] /(n,vs) relative weight/relative importance/
軽重 [けいちょう] /(n,vs) relative weight/relative importance/
軽傷 [けいしょう] /(n) minor injury/(P)/
軽傷者 [けいしょうしゃ] /(n) slightly-injured person/slightly-wounded person/
軽少 [けいしょう] /(adj-na,n) trifling/slight/
軽捷 [けいしょう] /(adj-na,n) nimble/
軽焼き [かるやき] /(n) wafer/
軽症 [けいしょう] /(n,adj-no) minor illness/
軽乗用車 [けいじょうようしゃ] /(n) light passenger car/minicar/subcompact/
軽食 [けいしょく] /(n) light meal/(P)/
軽信 [けいしん] /(n,vs) gullibility/
軽震 [けいしん] /(n) weak earthquake/(P)/
軽水 [けいすい] /(n) light water/
軽水原子炉 [けいすいげんしろ] /(n) light-water nuclear reactor/
軽水炉 [けいすいろ] /(n) light-water reactor/
軽石 [かるいし] /(n) pumice stone/
軽装 [けいそう] /(n,vs) lightweight equipment or dress/
軽速歩 [けいはやあし] /(n) posting trot (horse gait)/
軽卒 [けいそつ] /(n) (1) lightly-armored soldier/(2) soldier of low rank/
軽電機 [けいでんき] /(n) (electrical) appliance/
軽度 [けいど] /(adj-na,n,adj-no) slight degree/
軽度認識障害 [けいどにんしきしょうがい] /(n) mild cognitive impairment/MCI/
軽輩 [けいはい] /(n) underling/
軽薄 [けいはく] /(adj-na,n) frivolous/superficial/(P)/
軽薄才子 [けいはくさいし] /(n) shallow, glib and obsequious person/
軽薄短小 [けいはくたんしょう] /(n) small and light/
軽爆撃機 [けいばくげきき] /(n) light bomber/
軽犯罪 [けいはんざい] /(n) minor offence/minor offense/misdemeanor/misdemeanour/
軽犯罪法 [けいはんざいほう] /(n) Minor Offenses Act/
軽微 [けいび] /(adj-na,n) slight/little/insignificant/
軽浮 [けいふ] /(n) fickle/frivolous/
軽侮 [けいぶ] /(n,vs) contempt/scorn/
軽風 [けいふう] /(n) light breeze/
軽蔑 [けいべつ] /(n,vs) scorn/disdain/(P)/
軽蔑語 [けいべつご] /(n) pejorative term/derogatory word/invective/
軽便 [けいべん] /(adj-na,n) convenience/simplicity/
軽便鉄道 [けいびんてつどう] /(n) narrow-gauge railroad/light railway/
軽便鉄道 [けいべんてつどう] /(n) narrow-gauge railroad/light railway/
軽妙 [けいみょう] /(adj-na,n) facile/clever/witty/(P)/
軽妙洒脱 [けいみょうしゃだつ] /(adj-na,n) witty/smart and polished/
軽目 [かるめ] /(adj-na,n) light (weight)/
軽野砲 [けいやほう] /(n) light field gun/
軽油 [けいゆ] /(n) (1) diesel oil/gas oil/(2) light oil/(P)/
軽輸送ヘリコプター [けいゆそうヘリコプター] /(n) light transport helicopter/
軽率 [けいそつ] /(adj-na,n) rash/thoughtless/careless/hasty/(P)/
軽率な挙 [けいそつなきょ] /(n) rash act/
軽粒子 [けいりゅうし] /(n) lepton/
軽竜騏兵 [けいりゅうきへい] /(n) (Royal) light cavalry/
軽量 [けいりょう] /(n,adj-no) light weight/(P)/
軽量級 [けいりょうきゅう] /(n) lightweight class/
軽量端末 [けいりょうたんまつ] /(n) (comp) thin client/
軽労働 [けいろうどう] /(n) light labor/light labour/
軽佻 [けいちょう] /(adj-na,n) flippant/
軽佻浮薄 [けいちょうふはく] /(adj-na,n) frivolous and thoughtless/
軽衫 [カルサン] /(ateji) (n) (uk) hakama fashioned in the style of the pantaloons worn by the Portuguese (por:)/
軽袗 [カルサン] /(ateji) (n) (uk) hakama fashioned in the style of the pantaloons worn by the Portuguese (por:)/
軽躁 [けいそう] /(adj-na,n) thoughtless/flighty/
軽鬆土 [けいそうど] /(n) (1) loam/humus/(2) soil formed from fine volcanic ash/
頚 [くび] /(n) (1) neck/(2) head/(3) unemployed person/
頚巻 [くびまき] /(n) comforter/muffler/neckerchief/scarf/neckwear/
頚巻き [くびまき] /(n) comforter/muffler/neckerchief/scarf/neckwear/
頚筋 [くびすじ] /(n) nape of the neck/back of the neck/scruff of the neck/
頚骨 [けいこつ] /(n) neckbones/
頚飾り [くびかざり] /(n) necklace/choker/
頚神経叢 [けいしんけいそう] /(n) cervical plexus/
頚髄 [けいずい] /(n) cervical spinal cord/cervical cord/
頚静脈 [けいじょうみゃく] /(n) jugular vein/
頚椎 [けいつい] /(n) cervical vertebrae/
頚動脈 [けいどうみゃく] /(n) carotid artery/
頚動脈小体 [けいどうみゃくしょうたい] /(n) carotid body/carotid glomus/
頚肉 [けいにく] /(n) (obsc) neck flesh/
頚部 [けいぶ] /(n,adj-no) neck (region)/
鶏 [かけ] /(ok) (n) (1) (domestic) chicken/(2) chicken (meat)/
鶏 [くたかけ] /(ok) (n) (1) (domestic) chicken/(2) chicken (meat)/
鶏 [とり] /(n) (1) (domestic) chicken/(2) chicken (meat)/
鶏 [にわとり] /(n) (1) (domestic) chicken/(2) chicken (meat)/(P)/
鶏ガラ [とりガラ] /(n) chicken bones/chicken carcass/
鶏冠 [けいかん] /(n) (uk) cockscomb/crest/
鶏冠 [とさか] /(n) (uk) cockscomb/crest/
鶏冠に来る [とさかにくる] /(exp,v5r) to get mad/
鶏冠海苔 [とさかのり] /(n) (uk) Meristotheca papulosa (species of edible red alga)/
鶏冠石 [けいかんせき] /(n) realgar/
鶏冠木 [かえるで] /(n) maple (tree) (Acer spp.)/
鶏姦 [けいかん] /(n) homosexual sex between males/buggery/sodomy/
鶏眼 [けいがん] /(n) corn (on one's foot)/
鶏魚 [いさき] /(n) (uk) chicken grunt (species of fish, Parapristipoma trilineatum)/threeline grunt/
鶏魚 [いさぎ] /(n) (uk) chicken grunt (species of fish, Parapristipoma trilineatum)/threeline grunt/
鶏胸肉 [とりむねにく] /(n) chicken breast meat/
鶏群 [けいぐん] /(n) flock of chickens/
鶏群一鶴 [けいぐんいっかく] /(n) a swan among ducklings/a diamond among stones/a great figure among the common run of men/
鶏口 [けいこう] /(n) mouth of a chicken/
鶏口となるも牛後となる勿れ [けいこうとなるもぎゅうごとなるなかれ] /(exp) (id) Better be the head of a cat than the tail of a lion/
鶏口牛後 [けいこうぎゅうご] /(exp) better to be the beak of a rooster than the rump of a bull/better to be the leader of a small group than a subordinate in a large organization/better to be a big fish in a little pond than a little fish in a big pond/
鶏舎 [けいしゃ] /(n) poultry house/
鶏小屋 [にわとりごや] /(n) henhouse/chicken coop/
鶏足 [けいそく] /(n) chicken leg/
鶏頭 [けいとう] /(n) (uk) silver cock's comb (Celosia argentea, esp. crested cock's comb, Celosia argentea var. cristata)/
鶏鍋 [とりなべ] /(n) chicken cooked in a shallow pan with vegetables/
鶏肉 [けいにく] /(n) chicken meat/(P)/
鶏肉 [とりにく] /(n) chicken meat/
鶏肌 [とりはだ] /(iK) (n) gooseflesh/goose pimples/goose bumps/
鶏肌になる [とりはだになる] /(iK) (v5r) to have goosebumps/
鶏糞 [けいふん] /(n) poultry manure/chicken droppings/
鶏鳴 [けいめい] /(n) cocks-crowing/dawn/
鶏鳴狗盗 [けいめいくとう] /(n) person who resorts to petty tricks/a person of small caliber who is only capable of petty tricks/
鶏卵 [けいらん] /(n) hens egg/(P)/
芸 [げい] /(n) art/craft/accomplishment/artistic skill/technique/performance/(P)/
芸がない [げいがない] /(exp,adj-i) lacking skill/uninspiring/unexciting/dull/unrefined/boring (from being too plain)/
芸が無い [げいがない] /(exp,adj-i) lacking skill/uninspiring/unexciting/dull/unrefined/boring (from being too plain)/
芸なし [げいなし] /(n) person with no accomplishments/
芸のない [げいのない] /(adj-i) uninspiring/unexciting/dull/unrefined/uninteresting/
芸の虫 [げいのむし] /(n) devotee of the arts/
芸は身を助く [げいはみをたすく] /(exp) (id) Art brings bread/
芸をする犬 [げいをするいぬ] /(exp) dog that knows (does) tricks/
芸域 [げいいき] /(n) range of skills/
芸苑 [げいえん] /(n) artistic and literary circles/
芸妓 [げいぎ] /(n) geisha/
芸子 [げいこ] /(n) (1) (ksb:) geisha/(2) (arch) kabuki actor (esp. a young actor)/(3) (arch) someone accomplished in the arts/
芸事 [げいごと] /(n) traditional performing arts (e.g. shamisen, koto, dance, etc.)/accomplishments/
芸者 [げいしゃ] /(n) geisha/Japanese singing and dancing girl/(P)/
芸者を上げる [げいしゃをあげる] /(exp,v1) to call in a geisha/
芸者屋 [げいしゃや] /(n) geisha house/
芸術 [げいじゅつ] /(n) (fine) art/the arts/(P)/
芸術は長く人生は短し [げいじゅつはながくじんせいはみじかし] /(exp) (id) Art is long, life is short/
芸術愛好家 [げいじゅつあいこうか] /(n) art lover/lover of the arts/
芸術院 [げいじゅついん] /(n) academy of arts/arts academy/(P)/
芸術映画 [げいじつえいが] /(n) art film/
芸術家 [げいじゅつか] /(n) artist/(P)/
芸術家肌 [げいじゅつかはだ] /(n) being something of an artist/having something of the artist in one/
芸術活動 [げいじゅつかつどう] /(n) artistic activities/
芸術祭 [げいじゅつさい] /(n) art festival/(P)/
芸術作品 [げいじゅつさくひん] /(n) work of art/artwork/object d'art/
芸術至上主義 [げいじゅつしじょうしゅぎ] /(n) art for art's sake/
芸術大学 [げいじゅつだいがく] /(n) university of arts/
芸術的 [げいじゅつてき] /(adj-na) artistic/
芸術品 [げいじゅつひん] /(n) work (object) of art/
芸術文化の破壊 [げいじゅつぶんかのはかい] /(n) vandalism/
芸術論 [げいじゅつろん] /(n) essay on art/
芸娼妓 [げいしょうぎ] /(n) geisha and prostitutes/
芸娼妓解放令 [げいしょうぎかいほうれい] /(n) ordinance liberating all geisha and prostitutes (1872)/
芸人 [げいにん] /(n) player/performer/actor/(P)/
芸大 [げいだい] /(n) university of arts/arts college/
芸談 [げいだん] /(n) talk about art/
芸当 [げいとう] /(n) feat/risky attempt/trick/stunt/
芸道 [げいどう] /(n) performing arts/accomplishment (in performing arts)/
芸能 [げいのう] /(n) public entertainment/accomplishments/attainments/(P)/
芸能界 [げいのうかい] /(n) world of show business/
芸能者 [げいのうしゃ] /(n) performer/
芸能人 [げいのうじん] /(n) performer/(P)/
芸備線 [げいびせん] /(n) Geibi Line (Hiroshima-North Okayama Railway)/
芸風 [げいふう] /(n) style of acting/
芸文 [げいぶん] /(n) art and literature/
芸無し [げいなし] /(n) unaccomplished/
芸名 [げいめい] /(n) stage name/(P)/
芸林 [げいりん] /(n) artistic and literary circles/
芸歴 [げいれき] /(n) one's history as a performer/
迎い [むかい] /(n) meeting/greeting/welcome/
迎い酒 [むかいざけ] /(n) morning drink to get rid of a hangover/
迎え [むかえ] /(n) meeting/greeting/welcome/(P)/
迎えに行く [むかえにいく] /(exp,v5k) to go to meet somebody/
迎えに来る [むかえにくる] /(exp,vk) to call for somebody/to come for someone/to pick someone up/
迎える [むかえる] /(v1,vt) (1) to go out to meet/(2) to receive/to welcome/(3) to accept (e.g. as a member of a group or family)/(4) to call for/to summon/to invite/(5) to approach (a certain time, a point in one's life, etc.)/(P)/
迎え火 [むかえび] /(n) welcoming fire for returning spirits (on the first night of the Bon festival)/
迎え角 [むかえかく] /(n) angle of attack/
迎え撃つ [むかえうつ] /(v5t,vt) to ambush/to attack/to assault/to meet the enemy/(P)/
迎え酒 [むかえざけ] /(n) hair of the dog/another drink in the morning/
迎え人 [むかえびと] /(n) person who goes to greet someone (e.g. at the airport)/
迎え入れる [むかえいれる] /(v1,vt) to show in/to usher in/
迎撃 [げいげき] /(n,vs) intercept/interception/counter attack/(P)/
迎撃ミサイル [げいげきミサイル] /(n) interceptor missile/
迎撃機 [げいげきき] /(n) interceptor/
迎合 [あど] /(n) (uk) secondary or supporting actor in a noh or kyogen play/
迎合 [げいごう] /(n,vs) ingratiation/going along with somebody's views/adjusting oneself (to something, to somebody)/flattery/(P)/
迎車 [げいしゃ] /(n) taxi en route to a customer/
迎春 [げいしゅん] /(n) New Year's greetings (lit: welcoming spring)/
迎賓 [げいひん] /(n) welcoming guests/
迎賓館 [げいひんかん] /(n) reception hall/(P)/
鯨 [くじら] /(n) whale/(P)/
鯨ろう [くじらろう] /(n) spermaceti (waxy substance found in the head cavities of sperm whales)/
鯨ろう [げいろう] /(n) spermaceti (waxy substance found in the head cavities of sperm whales)/
鯨飲 [げいいん] /(n,vs) drinking hard/drinking like a fish/
鯨飲馬食 [げいいんばしょく] /(vs,exp) drinking like a fish and eat like a horse/eating mountains of food and drink oceans of liquor/
鯨骨 [げいこつ] /(n) whale bone/
鯨座 [くじらざ] /(n) (constellation) Cetus/Whale/
鯨脂 [げいし] /(n) blubber/
鯨尺 [くじらじゃく] /(n) (obs) long foot (approx. 37.9cm)/
鯨汁 [くじらじる] /(n) whale soup/
鯨帯 [くじらおび] /(n) obi with a different colour on each side/
鯨肉 [げいにく] /(n) whale meat/(P)/
鯨波 [げいは] /(n) (1) raging waves/(2) battle cry/war cry/
鯨波 [とき] /(n) battle cry/war cry/
鯨幕 [くじらまく] /(n) black and white striped curtain (used at funeral service)/
鯨油 [げいゆ] /(n) whale oil/
鯨類 [げいるい] /(n,adj-no) order Cetacea of toothed marine mammals, including whales and dolphins/Cetaceans/
鯨蝋 [くじらろう] /(n) spermaceti (waxy substance found in the head cavities of sperm whales)/
鯨蝋 [げいろう] /(n) spermaceti (waxy substance found in the head cavities of sperm whales)/
鯨鬚 [くじらひげ] /(n) (uk) whalebone/baleen/
鯨鬚 [げいしゅ] /(n) (uk) whalebone/baleen/
鯨鬚 [げいす] /(n) (uk) whalebone/baleen/
劇 [げき] /(n) (1) drama/play/(2) (abbr) powerful drug/(P)/
劇しい [はげしい] /(adj-i) violent/vehement/intense/furious/tempestuous/
劇を演じる [げきをえんじる] /(exp,v1) to perform a play/
劇映画 [げきえいが] /(n) film drama/
劇化 [げきか] /(n,vs) dramatization/dramatisation/
劇画 [げきが] /(n) comic strip with dramatic story/(P)/
劇界 [げきかい] /(n) the stage/theatrical world/
劇剤 [げきざい] /(n) powerful medicine/violent poison/
劇作 [げきさく] /(n,vs,adj-no) play writing/(P)/
劇作家 [げきさっか] /(n) playwright/dramatist/
劇詩 [げきし] /(n) dramatic poetry/
劇臭 [げきしゅう] /(n) strong odor/strong odour/smell/
劇暑 [げきしょ] /(n) severe heat/
劇症肝炎 [げきしょうかんえん] /(n) acute hepatitis/
劇場 [げきじょう] /(n,adj-no) theatre/theater/playhouse/(P)/
劇場街 [げきじょうがい] /(n) theater district (quarter)/theatre district/
劇場通い [げきじょうがよい] /(n) attending shows/
劇場版 [げきじょうばん] /(n) movie version (based on TV series, anime, etc.)/the movie/
劇場並み [げきじょうなみ] /(n) (comp) theater quality (said of video)/
劇職 [げきしょく] /(n) exhausting work/
劇震 [げきしん] /(n) severe earthquake/
劇甚 [げきじん] /(adj-na,n) intenseness/violence/severity/vehemence/keenness/
劇戦 [げきせん] /(n,vs) severe fight/
劇団 [げきだん] /(n) troupe/theatrical company/(P)/
劇壇 [げきだん] /(n) the stage/the theatrical world/
劇談 [げきだん] /(n) talk on drama/
劇中 [げきちゅう] /(n) during a play/
劇中劇 [げきちゅうげき] /(n) play within a play/
劇痛 [げきつう] /(n) pain (intense, sharp, violent)/
劇通 [げきつう] /(n) dramatic expert/
劇的 [げきてき] /(adj-na,n) dramatic/(P)/
劇道 [げきどう] /(n) drama/dramatic art/
劇毒 [げきどく] /(n) deadly poison/
劇評 [げきひょう] /(n) drama criticism/
劇物 [げきぶつ] /(n) hazardous substance/
劇文学 [げきぶんがく] /(n) dramatic literature/
劇変 [げきへん] /(n,vs) sudden change/upheaval/
劇務 [げきむ] /(n) exhausting work/hard work/severe duty/
劇薬 [げきやく] /(n) powerful medicine/strong poison/(P)/
劇烈 [げきれつ] /(n) violence/severity/intenseness/fierceness/
劇論 [げきろん] /(n,vs) heated discussion/
戟 [げき] /(n) ji (ancient Chinese halberd)/
戟 [ほこ] /(n) (1) long-handled Chinese spear/lance/pike/(2) weapon/arms/(3) grip of a bow/
撃たれる [うたれる] /(v1,vi) to be struck/to be beaten/
撃ちまくる [うちまくる] /(v5r,vt) to pound away/to hit at random/to hit ceaselessly/
撃ち合い [うちあい] /(n) gunfight/exchange of shots/firefight/
撃ち合う [うちあう] /(v5u,vt) (1) to fight/to exchange blows/to rally/(2) to arrange a meeting/
撃ち込む [うちこむ] /(v5m) to fire into (e.g. a crowd)/to launch (e.g. missiles)/to lob (e.g. grenades)/
撃ち殺す [うちころす] /(v5s,vt) to shoot to death/
撃ち止める [うちとめる] /(v1,vt) (1) to kill/to slay/to shoot dead/to cut down/(P)/
撃ち損なう [うちそこなう] /(v5u) to fail to hit/to miss/
撃ち当てる [うちあてる] /(v1) to hit (e.g. target)/
撃ち破る [うちやぶる] /(v5r,vt) to break/to smash/to defeat/to destroy/to eliminate/
撃ち抜く [うちぬく] /(v5k) to shoot out (lights, window, etc.)/
撃ち払う [うちはらう] /(v5u) to drive someone off with gunfire/
撃ち方 [うちかた] /(n) how to shoot/
撃ち方止め [うちかたやめ] /(n) Cease fire/
撃ち落す [うちおとす] /(v5s,vt) to knock down/to shoot down/to lop off/
撃ち落とす [うちおとす] /(v5s,vt) to knock down/to shoot down/to lop off/
撃つ [うつ] /(v5t) (1) to shoot (at)/(2) to attack/to defeat/to destroy/to avenge/(P)/
撃剣 [げきけん] /(n) fencing/kendo/
撃合い [うちあい] /(n) gunfight/exchange of shots/firefight/
撃砕 [げきさい] /(n,vs) pulverising/
撃殺す [うちころす] /(v5s,vt) to shoot to death/
撃止める [うちとめる] /(v1,vt) (1) to kill/to slay/to shoot dead/to cut down/
撃壌 [げきじょう] /(n) (1) to stamp on the ground rhythmically while singing/(2) ancient Chinese game of wooden clog throwing/
撃退 [げきたい] /(n,vs) repulse/repel (i.e. the enemy)/
撃沈 [げきちん] /(n) (1) sending a ship to the bottom/sinking (a ship)/(vs) (2) to sink a ship/(P)/
撃沈された [げきちんされた] /(exp) (col) fallen completely in love with a woman/
撃沈した [げきちんした] /(exp) (col) rejected by a woman/
撃墜 [げきつい] /(n,vs) shooting down (aircraft)/(P)/
撃鉄 [げきてつ] /(n) percussion hammer/firing hammer/cocking piece/
撃破 [げきは] /(n,vs) crushing/
撃発 [げきはつ] /(n) percussion (fuse)/
撃払う [うちはらう] /(v5u) to drive someone off with gunfire/
撃滅 [げきめつ] /(n,vs) destruction/
撃落す [うちおとす] /(v5s,vt) to knock down/to shoot down/to lop off/
撃力 [げきりょく] /(n) impulsive force/
激うま [げきうま] /(adj-no) seriously delicious (lit: violently delicious)/taste-explosion/
激しい [はげしい] /(adj-i) violent/vehement/intense/furious/tempestuous/(P)/
激しい競争 [はげしいきょうそう] /(n) intense competition/hot competition/
激しい軍事攻撃 [はげしいぐんじこうげき] /(n) military onslaught/
激す [げきす] /(v5s) (1) to intensify/(2) to be excited/to fly into a rage/to get into a passion/(3) to dash against/(4) to encourage/
激する [げきする] /(vs-s) (1) to intensify/(2) to be excited/to fly into a rage/to get into a passion/(3) to dash against/(4) to encourage/
激を飛ばす [げきをとばす] /(iK) (exp,v5s) to issue a manifesto/to appeal/
激安 [げきやす] /(n,adj-no) dirt cheap/bargain priced/
激越 [げきえつ] /(adj-na,n) violent/vehement/
激化 [げきか] /(n,vs) intensification/aggravation/(P)/
激化 [げっか] /(n,vs) intensification/aggravation/
激減 [げきげん] /(n,vs) dropping sharply/decreasing rapidly/(P)/
激語 [げきご] /(n,vs) harsh language/
激厚 [げきあつ] /(adj-na) very thick/seriously thick/
激昂 [げきこう] /(n,vs) excited/exasperated/indignant/rage/enraged/
激昂 [げっこう] /(n,vs) excited/exasperated/indignant/rage/enraged/
激高 [げきこう] /(n,vs) excited/exasperated/indignant/rage/enraged/
激高 [げっこう] /(n,vs) excited/exasperated/indignant/rage/enraged/
激似 [げきに] /(adj-no,adj-na) greatly resembling/
激写 [げきしゃ] /(n,vs) (1) (col) taking a spectacular photograph (often of the female form)/taking a photo at just the right moment/(2) powerful photograph/intense photograph/
激臭 [げきしゅう] /(n) strong odor/strong odour/smell/
激暑 [げきしょ] /(n) intense heat/
激賞 [げきしょう] /(n,vs) enthusiastic praise/
激情 [げきじょう] /(n) violent emotion/passion/fury/(P)/
激職 [げきしょく] /(n) busy job/
激辛 [げきから] /(n,adj-na,adj-no) (1) extremely hot (spicy)/(2) very strict evaluation/
激震 [げきしん] /(n) severe earthquake/
激甚 [げきじん] /(adj-na,n) intenseness/violence/severity/vehemence/keenness/(P)/
激戦 [げきせん] /(n,vs,adj-no) fierce (hard-fought) battle/hot contest/(P)/
激戦区 [げきせんく] /(n) closely contested constituency/
激戦地 [げきせんち] /(n) site of a bloody battle/
激増 [げきぞう] /(n,vs) sudden increase/
激痛 [げきつう] /(n) pain (intense, sharp, violent)/
激怒 [げきど] /(n,vs) rage/indignation/exasperation/(P)/
激闘 [げきとう] /(n,vs) fierce fighting/
激動 [げきどう] /(n,vs) terrible shock/agitation/upheaval/(P)/
激突 [げきとつ] /(n,vs) crash into/clash/(P)/
激発 [げきはつ] /(n,vs) fit/spasm/outburst/
激憤 [げきふん] /(n,vs) resentment/indignation/
激変 [げきへん] /(n,vs) sudden change/upheaval/(P)/
激務 [げきむ] /(n) exhausting work/hard work/severe duty/
激流 [げきりゅう] /(n) raging stream/rapids/(P)/
激励 [げきれい] /(n,vs,adj-no) encouragement/(P)/
激励演説 [げきれいえんぜつ] /(n) speech of encouragement/pep talk/
激励会 [げきれいかい] /(n) encouragement rally/pep rally/spirit rally/
激烈 [げきれつ] /(adj-na,n) violent/vehement/furious/fervent/
激浪 [げきろう] /(n) raging sea/
激論 [げきろん] /(n,vs) heated discussion/(P)/
隙 [げき] /(n) (1) gap/space/(2) chink (in one's armor, armour)/chance/opportunity/(3) breach (of a relationship between people)/
隙 [すき] /(n) (1) gap/space/(2) break/interlude/interval/(3) chink (in one's armor, armour)/chance/opportunity/(P)/
隙 [すきけ] /(n) (1) gap/space/
隙 [ひま] /(n) (1) gap/space/(2) chink (in one's armor, armour)/chance/opportunity/(3) breach (of a relationship between people)/
隙いた枝 [すいたえだ] /(n) thinned branches/
隙かさず [すかさず] /(adv) without a moment's delay/
隙き間 [すきま] /(io) (n) crevice/crack/gap/opening/
隙を窺う [すきをうかがう] /(exp,v5u) to watch for an unguarded moment/
隙を見付ける [すきをみつける] /(exp,v1) to seize an opportunity/
隙間 [すきま] /(n) crevice/crack/gap/opening/(P)/
隙間の神 [すきまのかみ] /(n) God of the gaps/
隙間市場 [すきましじょう] /(n) niche market/
隙間風 [すきまかぜ] /(n) (1) draft/draught/cold air entering through the crack of a door or window/(2) cooling off of a relationship/draft of cold air between two persons/
隙人 [ひまじん] /(n) man of leisure/woman of leisure/
隙目 [すきめ] /(n) (obsc) gap/opening/crevice/crack/
桁 [けた] /(n) (1) column/beam/(2) digit/decade/order of magnitude/(P)/
桁あふれ [けたあふれ] /(n) (comp) overflow/
桁位置 [けたいち] /(n) (comp) digit position/
桁移動 [けたいどう] /(n) (comp) shift/
桁違い [けたちがい] /(adj-na,n) off by a digit/in a different league/incomparable/
桁外れ [けたはずれ] /(adj-na,n) incredible/extraordinary/
桁橋 [けたばし] /(n) girder bridge/
桁区切り機能 [けたくぎりきのう] /(n) (comp) punctuation capability/
桁上げ [けたあげ] /(n) (comp) carry (of digit, bit, etc.)/
桁上げなし加算 [けたあげなしかさん] /(n) (comp) addition without carry/
桁上げる [けたあげる] /(v1) (comp) to carry (of digit, bit, etc.)/
桁上げ数 [けたあげすう] /(n) (comp) carry digit/
桁上げ保留加算機 [けたあげほりゅうかさんき] /(n) (comp) carry-save adder/
桁上り [けたあがり] /(n) (comp) carry (of digit, bit, etc.)/
桁数 [けたすう] /(n) number of digits or characters/
桁送り [けたおくり] /(n) (comp) shift/
桁落ち [けたおち] /(n) (math) cancellation of significant digits/
傑れる [すぐれる] /(v1,vi) to surpass/to outstrip/to excel/
傑作 [けっさく] /(adj-na,n) (1) masterpiece/best work/(2) blunder (with sarcastic tone)/boner/(P)/
傑作揃い [けっさくぞろい] /(n) full array of masterpieces/
傑士 [けっし] /(n) hero/great man/
傑出 [けっしゅつ] /(n,vs) excel/foremost/(P)/
傑人 [けつじん] /(n) outstanding person/
傑物 [けつぶつ] /(n) great man/heroic figure/remarkable character/
欠 [あくび] /(n) (uk) yawn/yawning (and stretching)/
欠 [けつ] /(n) lack/deficiency/vacancy/
欠かす [かかす] /(v5s,vt) to miss (doing)/to fail (to do)/(P)/
欠き氷 [かきごおり] /(n) shaved ice (usually served with flavored simple syrup)/Italian ice/Sno-cone/snow cone/
欠き餅 [かきもち] /(n) mochi cut thin, dried, and baked or fried/
欠く [かく] /(v5k,vt) to lack/to break/to crack/to chip/(P)/
欠け [かけ] /(n) (1) fragment/splinter/(2) wane (of the moon)/
欠けがえのない [かけがえのない] /(iK) (adj-f) irreplaceable/
欠けたコップ [かけたコップ] /(n) chipped cup/
欠けてゆく月 [かけてゆくつき] /(n) waning moon/
欠けら [かけら] /(n) fragment/broken pieces/splinter/(P)/
欠ける [かける] /(v1,vi) (1) to be chipped/to be damaged/to be broken/(2) to be lacking/to be missing/(3) to be insufficient/to be short/to be deficient/to be negligent toward/(4) (of the moon) to wane/to go into eclipse/(P)/
欠け目 [かけめ] /(n) chip (in a cup)/shortage of weight/
欠を補う [けつをおぎなう] /(exp,v5u) to bridge a gap/to supply a lack/
欠員 [けついん] /(n,adj-no) vacancy/vacant position/(P)/
欠課 [けっか] /(n,vs) cutting class/absence from school/
欠格 [けっかく] /(n) (1) rejection/disqualification/(2) (ling) abessive/
欠巻 [けっかん] /(n) missing volume (e.g. of a set of books)/
欠陥 [けっかん] /(n) (1) defect/fault/deficiency/deformity/(2) shortage/gap/(P)/
欠陥を補う [けっかんをおぎなう] /(exp,v5u) to make up for a fault/
欠陥車 [けっかんしゃ] /(n) defective car/car with a (structural) defect/
欠陥商品 [けっかんしょうひん] /(n) defective merchandise/
欠陥品 [けっかんひん] /(n) defective merchandise/
欠勤 [けっきん] /(n,vs) absence (from work)/
欠勤者 [けっきんしゃ] /(n) absentee/
欠勤届 [けっきんとどけ] /(n) report of an absence (at work)/
欠勤届け [けっきんとどけ] /(n) report of an absence (at work)/
欠勤率 [けっきんりつ] /(n) absentee rate/
欠航 [けっこう] /(n,vs) flight cancellation/
欠講 [けっこう] /(n,vs) cancellation of lecture or class/
欠号 [けつごう] /(n) missing issue (of magazine)/
欠字 [けつじ] /(n) omitted word/blank type/missing letter/
欠所 [けっしょ] /(n) confiscation of property (Edo period)/
欠除 [けつじょ] /(n,vs) lusting/
欠場 [けつじょう] /(n,vs) absence/not taking part/(P)/
欠食 [けっしょく] /(n,vs,adj-no) missing a meal/
欠食児童 [けっしょくじどう] /(n) schoolchild without lunch/
欠伸 [あくび] /(n) (uk) yawn/yawning (and stretching)/(P)/
欠伸 [けんしん] /(n) (uk) yawn/yawning (and stretching)/
欠唇 [いぐち] /(n) (sens) harelip/cleft lip/
欠神発作 [けっしんほっさ] /(n) absence seizure/
欠席 [けっせき] /(n,vs) absence/non-attendance/(P)/
欠席裁判 [けっせきさいばん] /(n) trial in absentia/judgment by default (judgement)/
欠席者 [けっせきしゃ] /(n) absentee/
欠席届 [けっせきとどけ] /(n) report of a school absence/
欠席届け [けっせきとどけ] /(n) report of a school absence/
欠損 [けっそん] /(n,vs,adj-no) deficit/shortage/loss/damage/(P)/
欠点 [けってん] /(n) faults/defect/weakness/(P)/
欠如 [けつじょ] /(n,vs) lack/privation/deficiency/(P)/
欠配 [けっぱい] /(n,vs) suspension of rations or payments/
欠番 [けつばん] /(n) missing number/
欠氷 [かきごおり] /(n) shaved ice (usually served with flavored simple syrup)/Italian ice/Sno-cone/snow cone/
欠品 [けっぴん] /(n) stockout/out of stock/
欠文 [けつぶん] /(n) missing part (of manuscript)/
欠片 [かけら] /(n) fragment/broken pieces/splinter/
欠便 [けつびん] /(n) flight cancellation/
欠乏 [けつぼう] /(n,vs) want/shortage/famine/(P)/
欠乏症 [けつぼうしょう] /(n) deficiency disease (e.g. protein, vitamin, etc.)/
欠望 [けつぼう] /(n,vs) disappointment/disillusion/resentment/
欠本 [けっぽん] /(n) missing volume/
欠落 [けつらく] /(n,vs) missing/lacking/
欠落検査 [けつらくけんさ] /(n) (comp) completeness check/
欠礼 [けつれい] /(n,vs) failure to pay one's compliments/omission of courtesy/
欠掖 [けってき] /(n) (1) (abbr) unstitched, open side of some traditional Japanese clothing/clothing with such an open side/(2) robe worn by military officials with a round collar, unstitched open sides and no ran/
欠缺 [けんけつ] /(n) lacuna/gap where something is lacked/
欠缺利札 [けんけつりさつ] /(n) invalid coupon/
決 [けつ] /(n) decision/vote/(P)/
決して [けして] /(ik) (adv) never/by no means/decidedly/indisputably/
決して [けっして] /(adv) never/by no means/decidedly/indisputably/(P)/
決す [けっす] /(v5s) to decide/to determine/
決する [けっする] /(vs-s) to decide/to determine/(P)/
決まって [きまって] /(exp) always/without fail/usually/regularly/(P)/
決まり [きまり] /(n,adj-no) (1) rule/regulation/(2) settlement/conclusion/end/agreement/arrangement/(3) habit/custom/habitual way/(4) countenance in front of another person/face/(5) (arch) love relationship between a customer and a prostitute/(P)/
決まりが悪い [きまりがわるい] /(exp,adj-i) embarrassed/ashamed/
決まりきった [きまりきった] /(adj-f) fixed/obvious/commonplace/
決まりごと [きまりごと] /(n) rule/established routine/standard operating procedure/SOP/
決まり悪い [きまりわるい] /(adj-i) feeling awkward/being ashamed/being bashful/
決まり事 [きまりごと] /(n) rule/established routine/standard operating procedure/SOP/
決まり手 [きまりて] /(n) clincher/winning technique/official winning technique (sumo)/
決まり手係 [きまりてがかり] /(n) sumo coach announcing the winner and winning technique/
決まり切った [きまりきった] /(adj-f) fixed/obvious/commonplace/
決まり文句 [きまりもんく] /(n) cliche/platitude/formula/set phrase/
決まる [きまる] /(v5r,vi) (1) to be decided/to be settled/(2) to look good in (clothes)/(P)/
決め [きめ] /(n,n-suf) agreement/rule/(P)/
決め [ぎめ] /(n,n-suf) (uk) contracted regular payment, e.g. monthly, weekly, etc./by the (month, week, etc.)/
決めつける [きめつける] /(v1,vt) (1) to fix upon (one-sidedly)/to (ignore somebody's position and) arbitrarily decide something is the case/(2) to scold/to take (a person) to task/
決める [きめる] /(v1,vt) to decide/(P)/
決めゼリフ [きめゼリフ] /(n) signature phrase/signature saying/
決めポーズ [きめポーズ] /(n) signature pose/trademark pose/
決め科白 [きめぜりふ] /(n) signature phrase/signature saying/
決め顔 [きめがお] /(n) the facial expression and orientation which one presents to the camera when being photographed/
決め球 [きめだま] /(n) winning pitch/(P)/
決め込む [きめこむ] /(v5m,vt) to take for granted/to assume/to pretend/
決め手 [きめて] /(n) (1) person who decides/(2) deciding factor/clincher/trump card/winning move/(P)/
決め手に欠ける [きめてにかける] /(exp,v1) to be lacking a trump card/to be lacking conclusive evidence/
決め手を欠く [きめてをかく] /(exp,v5k) to be lacking a trump card/to be lacking conclusive evidence/
決め出し [きめだし] /(n) locking arms around an opponent and pushing him out of the ring in sumo/
決め所 [きめどころ] /(n) perfect/crucial/
決め台詞 [きめぜりふ] /(n) signature phrase/signature saying/
決め付ける [きめつける] /(v1,vt) (1) to fix upon (one-sidedly)/to (ignore somebody's position and) arbitrarily decide something is the case/(2) to scold/to take (a person) to task/(P)/
決り [きまり] /(n,adj-no) (1) rule/regulation/(2) settlement/conclusion/end/agreement/arrangement/(3) habit/custom/habitual way/(4) countenance in front of another person/face/(5) (arch) love relationship between a customer and a prostitute/
決りが悪い [きまりがわるい] /(exp,adj-i) embarrassed/ashamed/
決り悪い [きまりわるい] /(adj-i) feeling awkward/being ashamed/being bashful/
決り手 [きまりて] /(n) clincher/winning technique/official winning technique (sumo)/
決り手係 [きまりてがかり] /(n) sumo coach announcing the winner and winning technique/
決り切った [きまりきった] /(adj-f) fixed/obvious/commonplace/
決り文句 [きまりもんく] /(n) cliche/platitude/formula/set phrase/
決る [きまる] /(io) (v5r,vi) (1) to be decided/to be settled/(2) to look good in (clothes)/
決る [さくる] /(ok) (v5r,vt) (1) (uk) to dig out/to gouge out/to hollow out/(2) to scoop/to ladle/to bail/(3) to jerk (one's chin)/
決る [しゃくる] /(v5r,vt) (1) (uk) to dig out/to gouge out/to hollow out/(2) to scoop/to ladle/to bail/(3) to jerk (one's chin)/
決れる [しゃくれる] /(v1) (1) (uk) to be concaved/to have a concave shape/(2) to be crooked (chin)/
決を採る [けつをとる] /(exp,v5r) to take a vote/
決を取る [けつをとる] /(exp,v5r) to take a vote/
決意 [けつい] /(n,vs) decision/determination/(P)/
決意が固い [けついがかたい] /(exp,adj-i) firmly determined/
決河 [けっか] /(n) river breaking through (its dikes)/
決壊 [けっかい] /(n,vs) break (rip) down/
決起 [けっき] /(n,vs) jump to one's feet/stand up against/rising to action/(P)/
決議 [けつぎ] /(n,vs) resolution/vote/decision/(P)/
決議案 [けつぎあん] /(n) resolutions/
決議機関 [けつぎきかん] /(n) voting body/caucus/
決議権 [けつぎけん] /(n) voting rights/
決議事項 [けつぎじこう] /(n) resolutions/
決議文 [けつぎぶん] /(n) written resolution/
決行 [けっこう] /(n,vs) doing (with resolve)/carrying out (i.e. a plan)/
決込む [きめこむ] /(v5m,vt) to take for granted/to assume/to pretend/
決済 [けっさい] /(n,vs) settlement/payment of account/(P)/
決済手段 [けっさいしゅだん] /(n) method of payment/
決裁 [けっさい] /(n,vs) sanction/approval/(P)/
決算 [けっさん] /(n,adj-no) balance sheet/settlement of accounts/reporting (of accounts)/(P)/
決算期 [けっさんき] /(n) accounting period/
決算日 [けっさんび] /(n) settlement day/day of reckoning/
決算報告 [けっさんほうこく] /(n) financial statement/
決死 [けっし] /(n) preparedness for death/do-or-die spirit/
決死隊 [けっしたい] /(n) suicide corps/
決勝 [けっしょう] /(n) decision of a contest/finals (in sports)/(P)/
決勝戦 [けっしょうせん] /(n) finals game of a tournament/decision of a contest/
決勝線 [けっしょうせん] /(n) goal line/
決勝点 [けっしょうてん] /(n) winning point (goal)/finishing line/(P)/
決心 [けっしん] /(n,vs) determination/resolution/(P)/
決心が鈍る [けっしんがにぶる] /(exp,v5r) to waver in one's resolution/
決心が揺らぐ [けっしんがゆらぐ] /(exp,v5g) to lose one's resolve/to have one's resolution waver/
決心を固める [けっしんをかためる] /(exp,v1) to make a firm resolution/
決水 [けっすい] /(n) water bursting through (a dike)/
決戦 [けっせん] /(n,vs) decisive battle/deciding match/play-off/(P)/
決戦投票 [けっせんとうひょう] /(iK) (n) final vote/run-off ballot/
決選 [けっせん] /(n) final election/run-off/
決選投票 [けっせんとうひょう] /(n) final vote/run-off ballot/(P)/
決然 [けつぜん] /(n,adj-t,adv-to) decisive/resolute/determined/
決断 [けつだん] /(n,vs) decision/determination/(P)/
決断力 [けつだんりょく] /(n,adj-no) decisiveness/
決着 [けっちゃく] /(n,vs) conclusion/decision/end/settlement/(P)/
決着をつける [けっちゃくをつける] /(exp,v1) to settle (a dispute)/
決着を付ける [けっちゃくをつける] /(exp,v1) to settle (a dispute)/
決潰 [けっかい] /(n,vs) collapse/rupture/
決定 [けってい] /(n,vs) decision/determination/(P)/
決定づける [けっていづける] /(v1,vt) to decide (e.g. an outcome)/to dictate/to determine/
決定権 [けっていけん] /(n) right to decide/
決定稿 [けっていこう] /(n) final manuscript/
決定性言語 [けっていせいげんご] /(n) (comp) deterministic language/
決定戦 [けっていせん] /(n) deciding match/play-off/runoff/
決定打 [けっていだ] /(n) decisive blow/
決定的 [けっていてき] /(adj-na,n) definite/final/decisive/conclusive/(P)/
決定的文脈自由文法 [けっていてきぶんみゃくじゆうぶんぽう] /(n) (comp) deterministic context-free grammar/
決定投票 [けっていとうひょう] /(n) casting vote/
決定版 [けっていはん] /(n) definitive piece/definitive (authoritative) edition/last word/
決定版 [けっていばん] /(n) definitive piece/definitive (authoritative) edition/last word/
決定表 [けっていひょう] /(n) (comp) decision table/
決定木 [けっていぎ] /(n) decision tree/
決定理論 [けっていりろん] /(n) (comp) decision theory/
決定論 [けっていろん] /(n) determinism/
決定論的 [けっていろんてき] /(adj-na) (comp) deterministic/
決答 [けっとう] /(n,vs) clear answer/definite answer/
決闘 [けっとう] /(n,vs) duel/shoot-out/
決闘者 [けっとうしゃ] /(n) duellist/duelist/dueller/dueler/
決闘状 [けっとうじょう] /(n) dueling challenge/
決別 [けつべつ] /(n,vs) separation/farewell/parting/(P)/
決裂 [けつれつ] /(n,vs) breakdown/rupture/(P)/
潔い [いさぎよい] /(adj-i) manly/sportsmanlike/pure/upright/(P)/
潔く [いさぎよく] /(adv) bravely/manfully/(P)/
潔し [いさぎよし] /(n) pride/disdain/
潔しとしない [いさぎよしとしない] /(exp,adj-i) find it against one's conscience (to do)/too proud (to do)/
潔しとせず [いさぎよしとせず] /(exp) find it against one's conscience (to do)/too proud (to do)/
潔斎 [けっさい] /(n,vs) religious abstinence/purification/
潔白 [けっぱく] /(adj-na,n) innocence (i.e. not guilty)/purity/uprightness/(P)/
潔癖 [けっぺき] /(adj-na,n) fastidiousness/love of cleanliness/(P)/
潔癖症 [けっぺきしょう] /(n,adj-no) (1) fastidiousness/fussiness about cleanliness, etc./(n) (2) clean-freak/
潔癖性 [けっぺきしょう] /(n,adj-no) obsession with cleanliness/fastidiousness/
穴 [あな] /(n,n-suf) (1) hole/(2) deficit/shortage/missing person (in a team, meeting, etc.)/(3) vacancy/opening/(4) flaw/(5) profitable place (or item, etc.) not well known by others/(6) upset victory (with a large payoff)/(7) (sl) pit (of a theater)/(8) (arch) hiding place/(9) (arch) underbelly (of society, etc.)/(P)/
穴 [けつ] /(n) (1) (col) ass/arse/buttocks/(2) (col) rear/end/(3) acupuncture point/
穴あきチーズ [あなあきチーズ] /(n) cheese with holes in it (e.g. Swiss, Emmenthal)/
穴あけ [あなあけ] /(n,n-pref) drilling/
穴あけ器 [あなあけき] /(n) (hole) punch/stiletto/
穴うめ [あなうめ] /(n,vs) (1) filling in gaps/filling in blanks (in a form, etc.)/(2) covering up a deficit/making up for something (e.g. one's mistake)/
穴があったら入りたい [あながあったらはいりたい] /(exp) to (be ashamed enough) to wish you could just disappear/
穴が開く [あながあく] /(exp,v5k) to have a hole/to be pierced (with a hole)/
穴が空く [あながあく] /(exp,v5k) to have a hole/to be pierced (with a hole)/
穴ぐら [あなぐら] /(n) cellar/cave/hole in the ground/
穴だらけだ [あなだらけだ] /(n) hold no water/being full of holes/
穴だらけにする [あなだらけにする] /(exp,vs-i) (X) (col) to fuck/
穴にでも入り度い [あなにでもはいりたい] /(exp) (id) I wish I could sink through the floor/
穴のあくほど見る [あなのあくほどみる] /(exp,v1) to look hard at/
穴まんこ [けつまんこ] /(n) (vulg) anus (typically used in a vulgar, sexual sense)/
穴を開ける [あなをあける] /(exp,v1) (1) to cause a loss/(2) to make a hole (in)/
穴を空ける [あなをあける] /(exp,v1) (1) to cause a loss/(2) to make a hole (in)/
穴を塞ぐ [あなをふさぐ] /(exp,v5g) to fill a hole with earth/
穴を埋める [あなをうめる] /(exp,v1) to fill in a hole/to plug up a hole/to fill in for a vacancy/
穴マンコ [ケツマンコ] /(n) (vulg) anus (typically used in a vulgar, sexual sense)/
穴燕 [あなつばめ] /(n) (uk) swiftlet/
穴凹 [あなぼこ] /(n) hole/hollow/
穴開け [あなあけ] /(n,n-pref) drilling/
穴開け器 [あなあけき] /(n) (hole) punch/stiletto/
穴冠 [あなかんむり] /(n) kanji "hole" radical at top/
穴居 [けっきょ] /(n,vs,adj-no) cave dwelling/troglodytism/
穴居人 [けっきょじん] /(n) cave dweller/caveman/
穴熊 [あなぐま] /(n) (1) (uk) badger/(2) (uk) Eurasian badger (Meles meles)/(3) (abbr) defensive opening for shogi/
穴熊囲い [あなぐまがこい] /(n) defensive opening for shogi ("badger" or "anaguma" castle)/
穴兄弟 [あなきょうだい] /(n) (sl) men who have slept with the same woman/hole brothers/
穴隙 [けつげき] /(n) crevice/aperture/
穴子 [あなご] /(n) garden eel/conger eel (esp. the common Japanese conger, Conger myriaster)/
穴杓子 [あなじゃくし] /(n) perforated ladle/
穴場 [あなば] /(n) little-known good place/
穴狙い [あなねらい] /(n) aiming for a lucky break (e.g. in horse racing, betting on an unlikely horse)/
穴倉 [あなぐら] /(n) cellar/cave/hole in the ground/
穴蔵 [あなぐら] /(n) cellar/cave/hole in the ground/
穴釣り [あなづり] /(n) snagging eels/ice fishing/
穴兎 [あなうさぎ] /(n) (uk) European rabbit (Oryctolagus cuniculus)/
穴馬 [あなうま] /(n) dark horse (candidate)/
穴蜂 [あなばち] /(n) (uk) digger wasp/
穴堀梟 [あなほりふくろう] /(n) (uk) burrowing owl (Athene cunicularia)/
穴埋め [あなうめ] /(n,vs) (1) filling in gaps/filling in blanks (in a form, etc.)/(2) covering up a deficit/making up for something (e.g. one's mistake)/(P)/
穴明きチーズ [あなあきチーズ] /(n) cheese with holes in it (e.g. Swiss, Emmenthal)/
穴明き銭 [あなあきせん] /(n) perforated coin/
穴窯 [あながま] /(n) very old type of kiln made by digging a hole in the side of a hill/
結い上げる [ゆいあげる] /(v1,vt) to wear one's hair up/to arrange one's hair/
結い方 [ゆいかた] /(n) hair style/way of dressing hair/
結い綿 [ゆいわた] /(n) traditional hairstyle worn by unmarried women/
結う [いう] /(v5u,vt) to do up (hair)/to braid/to fasten/to fix/
結う [ゆう] /(v5u,vt) to do up (hair)/to braid/to fasten/to fix/(P)/
結び [むすび] /(n) ending/conclusion/union/(P)/
結びきり [むすびきり] /(n) type of ribbon fastening used on wedding gifts, get-well gifts, etc./
結びつき [むすびつき] /(n) connection/relation/(P)/
結びつく [むすびつく] /(v5k) to be connected or related/to join together/(P)/
結びつける [むすびつける] /(v1,vt) to combine/to join/to tie on/to attach with a knot/to bind (e.g. an address)/
結びの一番 [むすびのいちばん] /(n) final bout of the tournament day (sumo)/
結びの三番 [むすびのさんばん] /(n) final three bouts of the tournament day (sumo)/
結びの神 [むすびのかみ] /(n) Cupid/
結びの前 [むすびのまえ] /(n) penultimate bout of the tournament day (sumo)/
結び合せる [むすびあわせる] /(v1,vt) to tie/to correlate/
結び状 [むすびじょう] /(n) (arch) knotted letter/
結び切り [むすびきり] /(n) type of ribbon fastening used on wedding gifts, get-well gifts, etc./
結び付き [むすびつき] /(n) connection/relation/(P)/
結び付く [むすびつく] /(v5k) to be connected or related/to join together/
結び付ける [むすびつける] /(v1,vt) to combine/to join/to tie on/to attach with a knot/to bind (e.g. an address)/
結び文 [むすびぶみ] /(n) (arch) knotted letter/
結び方 [むすびかた] /(n) way of tying a knot/
結び目 [むすびめ] /(n) knot/
結び目を解く [むすびめをほどく] /(exp,v5k) to undo a knot/
結び髮 [むすびがみ] /(n) female hairstyle/
結ぶ [むすぶ] /(v5b,vt) (1) to tie/to bind/to link/(2) to bear (fruit)/(3) to close (e.g. deal)/to confirm/to conclude/(4) to close tightly/to purse (e.g. lips)/(5) to unite (with)/to ally/to join hands/(P)/
結べる [むすべる] /(v1,vi) to tie/to bind/
結わえる [ゆわえる] /(v1,vt) to bind/to fasten/to tie up/
結わえ付ける [ゆわえつける] /(v1,vt) to tie/to bind/to fasten/
結縁 [けちえん] /(n) making a connection (with Buddha)/
結果 [けっか] /(n-adv,n-t) (1) result/consequence/outcome/effect/(n,vs) (2) coming to fruition/bearing fruit/(P)/
結果の一意名 [けっかのいちいめい] /(n) (comp) resultant identifier/
結果オーライ [けっかオーライ] /(exp) (turned out) all right in the end/
結果出力拡張機能 [けっかしゅつりょくかくちょうきのう] /(n) (comp) extended result output function/
結果責任 [けっかせきにん] /(n) responsibility for the consequences/absolute liability/moral responsibility/answerability/
結果的 [けっかてき] /(adj-na) concerning the result (as opposed to the means used to achieve this result or the original goal)/
結果発表 [けっかはっぴょう] /(n) publication of results/announcement of results/
結果文書型 [けっかぶんしょがた] /(n) (comp) result document type (of a link)/
結果要素型 [けっかようそがた] /(n) (comp) result element type (of a link)/
結果論 [けっかろん] /(n) hindsight-based opinion/
結界 [けっかい] /(n) barrier (often spiritual or magical)/
結核 [けっかく] /(n) tuberculosis/tubercule/(P)/
結核菌 [けっかくきん] /(n) tubercle bacillus/tuberculosis germ/
結願 [けちがん] /(n) (Buddh) expiration of term of a vow/
結球 [けっきゅう] /(n,vs) rounding/
結局 [けっきょく] /(n-adv,n) after all/eventually/in the end/(P)/
結局のところ [けっきょくのところ] /(exp,adv) in the end/at the end of the day/
結局の所 [けっきょくのところ] /(exp,adv) in the end/at the end of the day/
結句 [けっく] /(adv,n) last line of a poem/finally/
結経 [けっきょう] /(n) (Buddh) sutra read in conclusion/
結言 [けつげん] /(n) summary/wrap-up/
結語 [けつご] /(n) conclusion/concluding remarks/
結構 [けっこう] /(adj-na,n-adv,n) (1) (uk) splendid/nice/wonderful/delicious/sweet/(adj-na) (2) sufficient/fine (in the sense of "I'm fine")/(by implication) no thank you/(3) well enough/OK/tolerable/(adv) (4) reasonably/fairly/tolerably/(n) (5) (arch) construction/architecture/(P)/
結構者 [けっこうしゃ] /(n) (arch) nice person/good-natured person/
結構者 [けっこうもの] /(n) (arch) nice person/good-natured person/
結構人 [けっこうじん] /(n) nice person/good-natured person/
結構大変 [けっこうたいへん] /(exp) quite a chore/not that easy/fairly difficult/
結合 [けつごう] /(n,vs) combination/union/binding/catenation/coupling/joining/(P)/
結合エネルギー [けつごうエネルギー] /(n) binding energy/
結合システム [けつごうシステム] /(n) (comp) coupled system/
結合確率 [けつごうかくりつ] /(n) joint probability/
結合記法名 [けつごうきほうめい] /(n) (comp) associated notation name/
結合子 [けつごうし] /(n) association/connector/
結合試験 [けつごうしけん] /(n) (comp) integration test/
結合情報量 [けつごうじょうほうりょう] /(n) (comp) joint information content/
結合性 [けつごうせい] /(n) (comp) associativity/connectivity/
結合組織 [けつごうそしき] /(n) connective tissue/
結合双生児 [けつごうそうせいじ] /(n) conjoined twins/
結合半径 [けつごうはんけい] /(n) bond radius/
結合犯 [けつごうはん] /(n) single crime consisting of multiple independent crimes (i.e. robbery, which consists of theft and threats or use of violence)/
結合法則 [けつごうほうそく] /(n) (comp) associative law/
結合要素型 [けつごうようそがた] /(n) (comp) associated element type/
結婚 [けっこん] /(n,adj-no,vs) marriage/(P)/
結婚を許す [けっこんをゆるす] /(exp,v5s) to give permission to marry/
結婚運 [けっこんうん] /(n) one's fate (fortune) as concerns marriage/
結婚活動 [けっこんかつどう] /(n) searching for a marriage partner/marriage hunting/activities leading to marriage, e.g. dating, courtship, etc./
結婚願望 [けっこんがんぼう] /(n) desire for marriage/marriage aspiration/yearning for marriage/
結婚記念日 [けっこんきねんび] /(n) wedding anniversary/
結婚行進曲 [けっこんこうしんきょく] /(n) wedding march/
結婚指輪 [けっこんゆびわ] /(n) wedding ring/wedding band/
結婚式 [けっこんしき] /(n) marriage ceremony/wedding/nuptials/(P)/
結婚式場 [けっこんしきじょう] /(n) wedding hall/marriage hall/wedding place/wedding location/
結婚手当 [けっこんてあて] /(n) marriage allowance/
結婚祝 [けっこんいわい] /(n) wedding present/
結婚祝い [けっこんいわい] /(n) wedding present/
結婚生活 [けっこんせいかつ] /(n,adj-no) wedded life/married life/
結婚相手 [けっこんあいて] /(n) marriage partner/spouse/(P)/
結婚適齢期 [けっこんてきれいき] /(n) marriageable age/
結婚年齢 [けっこんねんれい] /(n) age at marriage/age at which one marries/
結婚披露宴 [けっこんひろうえん] /(n) wedding reception banquet/
結婚費用 [けっこんひよう] /(n) wedding expenses/
結実 [けつじつ] /(n,vs) fruitification (bearing fruit)/being successful/achieving success/realization/realisation/
結社 [けっしゃ] /(n) association/society/(P)/
結社の自由 [けっしゃのじゆう] /(exp,n) freedom of association/
結集 [けっしゅう] /(n,vs) concentration/regimentation/(P)/
結晶 [けっしょう] /(n,vs) crystal/crystallization/crystallisation/(P)/
結晶化学 [けっしょうかがく] /(n) crystal chemistry/
結晶格子 [けっしょうこうし] /(n) crystal lattice/
結晶学 [けっしょうがく] /(n) crystallography/
結晶系 [けっしょうけい] /(n) system of crystallization/system of crystallisation/
結晶光学 [けっしょうこうがく] /(n) crystal optics/
結晶構造 [けっしょうこうぞう] /(n) crystal structure/crystalline structure/
結晶軸 [けっしょうじく] /(n) crystal axis/
結晶質 [けっしょうしつ] /(n,adj-no) crystalline material/crystalline substance/
結晶水 [けっしょうすい] /(n) water of crystallization/crystallization water/
結晶性 [けっしょうせい] /(adj-f) crystalline/
結晶性知能 [けっしょうせいちのう] /(n) crystallized intelligence/
結晶分化作用 [けっしょうぶんかさよう] /(n) crystallization differentiation/
結晶片岩 [けっしょうへんがん] /(n) crystalline schist/
結晶面 [けっしょうめん] /(n) crystal plane/crystalline plane/crystal face/
結晶粒 [けっしょうりゅう] /(n) crystal grain/individual unit cell of a crystal/
結上げる [ゆいあげる] /(v1,vt) to wear one's hair up/to arrange one's hair/
結城つむぎ [ゆうきつむぎ] /(n) silk products produced near Yuuki (using natural indigo dye)/Yuuki pongee/
結城紬 [ゆうきつむぎ] /(n) silk products produced near Yuuki (using natural indigo dye)/Yuuki pongee/
結審 [けっしん] /(n,vs) conclusion of trial (hearing)/
結成 [けっせい] /(n,vs) formation/combination/(P)/
結石 [けっせき] /(n,adj-no) calculus (concretion of minerals formed inside the body)/
結節 [けっせつ] /(n,vs,adj-no) knot/nodule/tubercule/node/
結線 [けっせん] /(n) (comp) hard wiring/
結像 [けつぞう] /(n) imaging/image formation/
結束 [けっそく] /(n,vs) union/unity/(P)/
結滞 [けったい] /(n,vs) arrhythmia/intermittent pulse/
結託 [けったく] /(n,vs) conspiracy/collusion/(P)/
結団 [けつだん] /(n,vs) forming into an organization/forming into an organisation/setting up a group/
結団式 [けつだんしき] /(n) ceremony celebrating the formation of an organization (organisation)/
結着 [けっちゃく] /(n,vs) conclusion/decision/end/settlement/
結腸 [けっちょう] /(n,adj-no) colon/
結腸癌 [けっちょうがん] /(n) colon cancer/
結腸吸収 [けっちょうきゅうしゅう] /(n) colon absorption/
結締組織 [けっていそしき] /(n) connective tissue/
結党 [けっとう] /(n,vs) formation of a party/(P)/
結縄 [けつじょう] /(n) (1) knotted cord or rope/(2) (abbr) quipu/quippu/
結縄文字 [けつじょうもじ] /(n) knotted cords used to record figures, facts, etc./quipu/
結納 [ゆいのう] /(n,vs) engagement gift/(ceremonial) exchange of engagement gifts/
結納金 [ゆいのうきん] /(n) betrothal money/
結納式 [ゆいのうしき] /(n) traditional Japanese engagement ceremony/engagement party/
結納品 [ゆいのうひん] /(n) betrothal gift/
結髪 [けっぱつ] /(n,vs,adj-no) hairdressing/hairdo/
結尾 [けつび] /(n) end/close/conclusion/
結氷 [けっぴょう] /(n,vs) freezing (over)/
結氷期 [けっぴょうき] /(n) freezing or frost season/
結膜 [けつまく] /(n,adj-no) conjunctiva (eye)/
結膜炎 [けつまくえん] /(n) conjunctivitis/
結末 [けつまつ] /(n) end/conclusion/(P)/
結盟 [けつめい] /(n,vs) concluding an alliance/making a pledge/
結了 [けつりょう] /(n,vs) completion/
結露 [けつろ] /(n,vs) dew/condensation/
結論 [けつろん] /(n,vs,adj-no) conclusion/(P)/
結論づける [けつろんづける] /(v1) to reason/to sum up/to conclude/
結論を下す [けつろんをくだす] /(exp,v5s) to draw a conclusion/
結論付ける [けつろんづける] /(v1) to reason/to sum up/to conclude/
結紮 [けっさつ] /(n,vs) ligature/
結紮糸 [けっさつし] /(n) ligature/
結紮術 [けっさつじゅつ] /(n) ligature/
結跏趺坐 [けっかふざ] /(n) sitting with crossed legs/the lotus position/
結跏趺座 [けっかふざ] /(n) (sitting in) the lotus position/
血 [ち] /(n) blood/consanguinity/(P)/
血がつながる [ちがつながる] /(exp,v5r) to be related/
血が繋がる [ちがつながる] /(exp,v5r) to be related/
血が止まる [ちがとまる] /(exp,v5r) to stop bleeding/
血しょう [けっしょう] /(n,adj-no) plasma/blood plasma/
血たん [けったん] /(n) bloody phlegm/
血だまり [ちだまり] /(n) puddle of blood/pool of blood/
血と汗の結晶 [ちとあせのけっしょう] /(exp) result of one's blood, sweat, and tears/fruits of one's labour/
血なまぐさい [ちなまぐさい] /(adj-i) bloody/bloody stench/
血の雨 [ちのあめ] /(exp) bloodshed/
血の塊 [ちのかたまり] /(n) clot of blood/
血の海 [ちのうみ] /(exp) sea of blood/
血の気 [ちのけ] /(n) blood (as in hot-blooded, ruddy complexion, etc.)/
血の気がない [ちのけがない] /(exp,adj-i) pale/bloodless/
血の気が引く [ちのけがひく] /(exp,v5k) to go pale/to grow pale/to lose color/to turn white/
血の気が無い [ちのけがない] /(exp,adj-i) pale/bloodless/
血の気のない [ちのけのない] /(exp) pale/bloodless/
血の気の無い [ちのけのない] /(exp) pale/bloodless/
血の繋がり [ちのつながり] /(n) blood relationship/
血の巡り [ちのめぐり] /(n) circulation of the blood/apprehension/
血の巡りが悪い [ちのめぐりがわるい] /(exp) dim-witted/slow to catch on/
血の巡りの悪い [ちのめぐりのわるい] /(exp) dim-witted/slow to catch on/
血の池 [ちのいけ] /(n) (Buddh) Blood Pond/pool of blood/pond of blood (in hell)/
血の中傷 [ちのちゅうしょう] /(exp) blood libel/false accusation that Jews (or other minorities) murder children to obtain their blood/
血の通った [ちのかよった] /(adj-f) warm/blood-circulating/compassionate/
血の道 [ちのみち] /(n) assorted (female) medical disorders/
血の日曜日 [ちのにちようび] /(n) Bloody Sunday (esp. the Jan. 22, 1905 Saint Petersburg incident)/
血の涙 [ちのなみだ] /(exp) shedding bitter tears/
血は水よりも濃い [ちはみずよりもこい] /(exp) (id) Blood is thicker than water/
血は争えない [ちはあらそえない] /(exp) (id) Like father, like son/
血まみれ [ちまみれ] /(adj-na,adj-no) bloodstained/bloody/
血みどろ [ちみどろ] /(n) blood-stained/desperate struggle/
血も涙もない [ちもなみだもない] /(exp,adj-i) cold-blooded/unfeeling/heartless/heart of stone/inconsiderate/
血も涙も無い [ちもなみだもない] /(exp,adj-i) cold-blooded/unfeeling/heartless/heart of stone/inconsiderate/
血を引く [ちをひく] /(exp,v5k) to be descended from/to inherit (a disposition, etc.) from one's ancestors/
血を見る争い [ちをみるあらそい] /(n) bloody struggle/struggle with bloodshed/
血を流す [ちをながす] /(exp,v5s) to shed blood/
血圧 [けつあつ] /(n) blood pressure/(P)/
血圧計 [けつあつけい] /(n) sphygmomanometer (instrument used to measure blood pressure)/
血圧降下剤 [けつあつこうかざい] /(n) anti-hypertensive agent/
血液 [けつえき] /(n) blood/(P)/
血液ガス [けつえきガス] /(n) blood agent/
血液ドーピング [けつえきドーピング] /(n) blood doping/
血液学 [けつえきがく] /(n) hematology/
血液凝固 [けつえきぎょうこ] /(adj-na,adj-no) blood clotting/blood coagulation/coagulation/coagulant/
血液銀行 [けつえきぎんこう] /(n) blood bank/
血液型 [けつえきがた] /(n) blood type/(P)/
血液検査 [けつえきけんさ] /(n) blood test/
血液循環 [けつえきじゅんかん] /(n,adj-no) blood circulation/
血液製剤 [けつえきせいざい] /(n) blood products/
血液中 [けつえきちゅう] /(adj-no) within the blood/blood-borne/
血液中の糖 [けつえきちゅうのとう] /(n) blood sugar/
血液内科 [けつえきないか] /(n) haematology/hematology/
血液脳関門 [けつえきのうかんもん] /(n) blood-brain barrier/
血煙 [ちけむり] /(n) spurt or spray of blood/
血縁 [けつえん] /(n,adj-no) blood relative or relationship/consanguinity/(P)/
血縁関係 [けつえんかんけい] /(n,adj-no) blood relationship/blood relations/being genetically related/
血縁淘汰 [けつえんとうた] /(n) kin selection/
血塊 [けっかい] /(n) blood clot/
血管 [けっかん] /(n,adj-no) blood vessel/(P)/
血管形成 [けっかんけいせい] /(n) angiogenesis/
血管内 [けっかんない] /(n,adj-no) intravascular/
血管壁 [けっかんへき] /(n) vascular wall/
血眼 [ちまなこ] /(n) bloodshot eyes/in a frenzy/
血眼 [ちめ] /(n) bloodshot eyes/in a frenzy/
血気 [けっき] /(n) vigor/ardor/ardour/vigour/
血気盛り [けっきざかり] /(adj-na) youthful vigor/youthful vigour/
血球 [けっきゅう] /(n) blood cell/
血筋 [ちすじ] /(n) lineage/stock/strain/blood relationship/
血筋苔 [ちすじのり] /(n) (uk) Thorea okadae (species of red alga)/
血糊 [ちのり] /(n) sticky (clots of) blood/
血行 [けっこう] /(n) circulation (of the blood)/
血行障害 [けっこうしょうがい] /(n) disturbance (blockage) of blood flow/
血行不足 [けっこうぶそく] /(n) lack of blood flow/poor circulation/
血行不良 [けっこうふりょう] /(n) blood circulation failure/
血合 [ちあい] /(n) meat of a fish (e.g. tuna) that is dark red with blood, usu. coming from the parts close to the spine/
血合い [ちあい] /(n) meat of a fish (e.g. tuna) that is dark red with blood, usu. coming from the parts close to the spine/
血痕 [けっこん] /(n) bloodstain/(P)/
血祭り [ちまつり] /(n) bloodbath/victimization/victimisation/
血止め [ちどめ] /(n) styptic/
血汐 [ちしお] /(n) (1) blood spilt from the body/(2) blood circulating within the body (often as a metaphor for strong emotion or hot-bloodedness)/
血腫 [けっしゅ] /(n) hematoma/haematoma/
血臭 [けっしゅう] /(n) the smell of blood/
血書 [けっしょ] /(n,vs) writing in blood/
血小板 [けっしょうばん] /(n) platelet/
血小板凝集 [けっしょうばんぎょうしゅう] /(n) platelet aggregation/thrombocyte/
血条苔 [ちすじのり] /(n) (uk) Thorea okadae (species of red alga)/
血色 [けっしょく] /(n) complexion/
血色素 [けっしきそ] /(n) blood pigment (e.g. haemoglobin)/
血色素尿 [けっしきそにょう] /(n) hemoglobinuria/haemoglobinuria/
血振 [ちぶり] /(n) (MA) maneuver to shake, flick, or wipe blood off of a sword/
血振り [ちぶり] /(n) (MA) maneuver to shake, flick, or wipe blood off of a sword/
血清 [けっせい] /(n,adj-no) serum/
血清アルブミン [けっせいアルブミン] /(n) serum albumin/
血清学 [けっせいがく] /(n) serology/
血清肝炎 [けっせいかんえん] /(n) serum hepatitis/
血清診断 [けっせいしんだん] /(n) serodiagnosis/
血清注射 [けっせいちゅうしゃ] /(n) serum injection/
血清病 [けっせいびょう] /(n) serum sickness/
血清療法 [けっせいりょうほう] /(n) serotherapy/
血生臭い [ちなまぐさい] /(adj-i) bloody/bloody stench/
血税 [けつぜい] /(n) heavy taxation/conscription/
血戦 [けっせん] /(n,vs) bloody battle/
血栓 [けっせん] /(n,adj-no) thrombus/blood clot/
血栓症 [けっせんしょう] /(n) thrombosis/
血染め [ちぞめ] /(n,adj-no) bloodstained/
血相 [けっそう] /(n) expression/looks/
血相を変える [けっそうをかえる] /(exp,v1) to change facial expression or color (due to anger, embarrassment, etc.)/
血走る [ちばしる] /(v5r,vi) to become bloodshot/
血族 [けつぞく] /(n,adj-no) blood relative/
血族関係 [けつぞくかんけい] /(n) consanguinity/
血族結婚 [けつぞくけっこん] /(n) consanguineous marriage/
血続き [ちつづき] /(n) blood relation/kin/
血鯛 [ちだい] /(n) (uk) crimson sea bream (Evynnis japonica)/
血達磨 [ちだるま] /(n) covered in blood/
血中 [けっちゅう] /(n) (1) blood content/(adj-no) (2) blood borne/within the blood/
血潮 [ちしお] /(n) (1) blood spilt from the body/(2) blood circulating within the body (often as a metaphor for strong emotion or hot-bloodedness)/
血沈 [けっちん] /(n) sedimentation (rate) of blood cells/
血塗 [ちみどろ] /(n) blood-stained/desperate struggle/
血塗る [ちぬる] /(v5r,vi) to smear with blood/to kill/
血塗れ [ちまみれ] /(adj-na,adj-no) bloodstained/bloody/
血刀 [ちがたな] /(n) bloody sword (blade)/
血糖 [けっとう] /(n) blood sugar/(P)/
血糖値 [けっとうち] /(n) blood sugar level/
血統 [けっとう] /(n) lineage/pedigree/family line/birth/
血統書 [けっとうしょ] /(n) a pedigree/
血豆 [ちまめ] /(n) blood blister/
血肉 [けつにく] /(n) flesh and blood/relatives/
血肉の争い [けつにくのあらそい] /(exp) (id) family quarrel/
血尿 [けつにょう] /(n) bloody urine/
血尿症 [けつにょうしょう] /(n) hematuria/
血膿 [ちうみ] /(n) bloody pus/
血判 [けっぱん] /(n,vs) seal of blood/
血反吐 [ちへど] /(n) bloody vomit/
血斑 [けっぱん] /(n) blood spot/
血便 [けつべん] /(n) bloody stool/
血脈 [けちみゃく] /(n) (1) blood vessel/(2) blood relationship/
血脈 [けつみゃく] /(n) (1) blood vessel/(2) blood relationship/
血盟 [けつめい] /(n,vs) blood pledge/oath signed in blood/
血迷う [ちまよう] /(v5u,vi) to lose one's mind/to lose control of oneself/
血餅 [けっぺい] /(n) (blood) clot/
血友病 [けつゆうびょう] /(n) haemophilia/(P)/
血友病患者 [けつゆうびょうかんじゃ] /(n) hemophiliac/haemophiliac/
血流 [けつりゅう] /(n) blood flow/
血流障害 [けつりゅうしょうがい] /(n) impeded blood flow/
血流量 [けつりゅうりょう] /(n) (volume of) blood flow/
血溜まり [ちだまり] /(n) puddle of blood/pool of blood/
血溜り [ちだまり] /(n) puddle of blood/pool of blood/
血涙 [けつるい] /(n) tears of blood/bitter tears/
血路 [けつろ] /(n) way out/means of escape/
血漿 [けっしょう] /(n,adj-no) plasma/blood plasma/
血痰 [けったん] /(n) bloody phlegm/
訣辞 [けつじ] /(n) words of parting/farewells/goodbyes/
訣絶 [けつぜつ] /(n,vs) (obsc) breaking off a relationship/
訣別 [けつべつ] /(n,vs) separation/farewell/parting/
月 [がつ] /(n-suf) month (of the year)/used after number or question word (e.g. nan or nani)/
月 [げつ] /(n) (abbr) Monday/
月 [つき] /(n) (1) moon/(n-t) (2) month/(P)/
月々 [つきづき] /(n-adv,n-t) every month/(P)/
月あかり [つきあかり] /(n) moonlight/
月がさ [つきがさ] /(n,adj-no) lunar halo/
月ぎめ [つきぎめ] /(adj-na,n) monthly (e.g. fee paid monthly for a parking lot)/monthly contract/
月とすっぽん [つきとすっぽん] /(exp) like the difference between heaven and hell/
月と鼈 [つきとすっぽん] /(exp) like the difference between heaven and hell/
月の頃 [つきのころ] /(n) (arch) a good time to view the moon (i.e. when it is full)/
月の出 [つきので] /(n) moonrise/rise of the moon/
月の障り [つきのさわり] /(n) menses/
月の入り [つきのいり] /(n) moonset/moondown/
月の物 [つきのもの] /(n) menstruation/
月の輪 [つきのわ] /(n) (1) moon (esp. full moon)/(2) circle fashioned after the moon/(3) decorative ring on the chest of a monk's stole/(4) straw trivet/(5) white crescent-shaped chest patch of an Asiatic black bear/
月の輪熊 [つきのわぐま] /(n) (uk) Asian black bear (Selenarctos thibetanus)/moon bear/
月を眺める [つきをながめる] /(exp,v1) to gaze at the moon/
月ロケット [つきロケット] /(n) moon rocket/
月隠り [つきこもり] /(n) (arch) last day of the month/
月隠り [つきごもり] /(n) (arch) last day of the month/
月影 [げつえい] /(n) moonlight/moon/moonbeams/
月影 [つきかげ] /(n) moonlight/moon/moonbeams/
月越し [つきごし] /(n) left (unpaid) from previous month/
月央 [げつおう] /(n-adv,n-t) middle of the month/
月下 [げっか] /(n) in the moonlight/
月下に [げっかに] /(adv) in the moonlight/
月下香 [げっかこう] /(n) tuberose (Polianthes tuberosa)/
月下推敲 [げっかすいこう] /(n) polish/elaboration/repeatedly working over one's writing/being very scrupulous in the choice of diction/
月下美人 [げっかびじん] /(n) Dutchman's pipe cactus (Epiphyllum oxypetalum)/night-blooming cereus/queen of the night/
月下氷人 [げっかひょうじん] /(n) go-between/matchmaker/Cupid/
月下老人 [げっかろうじん] /(n) go-between/matchmaker/
月火 [げつか] /(n) (abbr) Monday and Tuesday/
月額 [げつがく] /(n) monthly amount (sum)/(P)/
月掛け [つきがけ] /(n) monthly installment plan/monthly instalment plan/
月掛け貯金 [つきがけちょきん] /(n) monthly installment deposit/monthly instalment deposit/monthly savings/
月割り [つきわり] /(n) per month/monthly installment plan/monthly instalment plan/
月刊 [げっかん] /(n,adj-no) monthly publication/monthly issue/(P)/
月刊雑誌 [げっかんざっし] /(n) monthly magazine/
月刊誌 [げっかんし] /(n) monthly magazine/
月間 [げっかん] /(n,adj-f) month-long period/(during) month/(P)/
月弓 [つくよみ] /(n) (1) nickname for the moon/(2) Tsukuyomi (god of the moon in Shinto and mythology)/
月球儀 [げっきゅうぎ] /(n) moon globe/
月給 [げっきゅう] /(n) monthly salary/(P)/
月給が上がる [げっきゅうがあがる] /(exp,v5r) to get a raise in salary/
月給取り [げっきゅうとり] /(n) salaried employee/
月給泥棒 [げっきゅうどろぼう] /(n) freeloader/slacker/lazy worker who does not deserve his salary/
月給日 [げっきゅうび] /(n) pay day/
月極 [つきぎめ] /(adj-na,n) monthly (e.g. fee paid monthly for a parking lot)/monthly contract/
月極め [つきぎめ] /(adj-na,n) monthly (e.g. fee paid monthly for a parking lot)/monthly contract/
月極め駐車場 [つきぎめちゅうしゃじょう] /(n) parking lot rented on a monthly basis/
月極駐車場 [つきぎめちゅうしゃじょう] /(n) parking lot rented on a monthly basis/
月琴 [げっきん] /(n) yueqin (4-stringed Chinese lute)/
月金 [げつきん] /(n) Mondays and Fridays/
月形 [つきがた] /(n) crescent shape/
月桂 [げっけい] /(n) laurel/the moon/
月桂冠 [げっけいかん] /(n) laurel wreath/
月桂樹 [げっけいじゅ] /(n) (uk) bay laurel (Laurus nobilis)/bay tree/sweet bay/laurel tree/
月経 [げっけい] /(n,adj-no) menstruation/menstrual period/(P)/
月経困難症 [げっけいこんなんしょう] /(n) dysmenorrhea/
月経周期 [げっけいしゅうき] /(n) menstrual cycle/
月経前 [げっけいまえ] /(adj-no) premenstrual/
月経帯 [げっけいたい] /(n) sanitary napkin/
月決め [つきぎめ] /(adj-na,n) monthly (e.g. fee paid monthly for a parking lot)/monthly contract/
月月 [つきづき] /(n-adv,n-t) every month/
月見 [つきみ] /(n) viewing the moon/(P)/
月見蕎麦 [つきみそば] /(n) soba with egg/
月見草 [つきみそう] /(n) evening primrose (esp. the fourwing evening primrose, Oenothera tetraptera)/
月後れ [つきおくれ] /(n) (1) a month or older/(2) back numbers of a monthly/
月光 [げっこう] /(n) moonlight/moonbeam/(P)/
月光菩薩 [がっこうぼさつ] /(n) (Buddh) Candraprabha (bodhisattva)/
月頃 [つきごろ] /(n-adv,n-t) these past months/
月参り [つきまいり] /(n,vs) monthly (shrine or temple) visit/
月産 [げっさん] /(n) monthly output (production)/(P)/
月始め [つきはじめ] /(iK) (adv,n) beginning of month/
月支 [げっし] /(n) Yuezhi/Rouzhi/an ancient Central Asian people/
月氏 [げっし] /(n) Yuezhi/Rouzhi/an ancient Central Asian people/
月事 [げつじ] /(n) menstruation/
月次 [げつじ] /(adj-na,n) (1) every month/
月次 [つきなみ] /(adj-na,n) (1) every month/
月謝 [げっしゃ] /(n) monthly tuition fee/(P)/
月謝を納める [げっしゃをおさめる] /(exp,v1) to pay a school fee/
月収 [げっしゅう] /(n) monthly income/(P)/
月初め [つきはじめ] /(adv,n) beginning of month/(P)/
月商 [げっしょう] /(n) monthly sales/
月色 [げっしょく] /(n) moonlight/
月食 [げっしょく] /(n) lunar eclipse/(P)/
月蝕 [げっしょく] /(n) lunar eclipse/
月神 [つきがみ] /(n) deity of the moon/moon god/
月水金 [げっすいきん] /(n) Mon-Wed-Fri/
月世界 [げっせかい] /(n) moon/lunar world/
月雪花 [つきゆきはな] /(n) moon, snow and flowers (beautiful sights occurring in different seasons)/
月相 [げっそう] /(n) phase of the moon/
月足らず [つきたらず] /(n) premature birth/
月待 [つきまち] /(io) (n) moon-waiting party/
月待ち [つきまち] /(n) moon-waiting party/
月代 [さかやき] /(n) (arch) shaved part of the forehead/
月代 [つきしろ] /(n) (arch) shaved part of the forehead/
月代り [つきがわり] /(n) (a) new month starts/
月旦 [げったん] /(n-adv,n-t) first day of the month/commentary/
月遅れ [つきおくれ] /(n) (1) a month or older/(2) back numbers of a monthly/
月中 [がつちゅう] /(n-suf) (for the) whole month/
月中 [げつちゅう] /(n-suf) (for the) whole month/
月中 [つきなか] /(n,adj-no) middle of the month/mid-month/
月中ば [つきなかば] /(n,adj-no) middle of the month/mid-month/
月中旬 [げつちゅうじゅん] /(suf) middle of the month/mid-month/
月長石 [げっちょうせき] /(n) moonstone/
月桃 [げっとう] /(n) (uk) shell ginger (Alpinia zerumbet)/
月灯かり [つきあかり] /(n) moonlight/
月読 [つくよみ] /(n) (1) nickname for the moon/(2) Tsukuyomi (god of the moon in Shinto and mythology)/
月読み [つくよみ] /(n) (1) nickname for the moon/(2) Tsukuyomi (god of the moon in Shinto and mythology)/
月内 [げつない] /(n) by the end of this month/(P)/
月日 [がっぴ] /(n) (the) date/(P)/
月日 [つきひ] /(n) time/years/days/(P)/
月日の経つ [つきひのたつ] /(exp,v5t) passing of days and months/
月半ば [つきなかば] /(adv,n) middle of the month/
月番 [つきばん] /(n) monthly shift or duty/
月評 [げっぴょう] /(n) monthly review/
月賦 [げっぷ] /(n) monthly installment (instalment)/monthly payment/(P)/
月賦販売 [げっぷはんばい] /(n) selling on a (monthly) installment plan (instalment)/hire purchase/
月払い [つきばらい] /(n) monthly installment (instalment)/monthly payment/
月平均 [つきへいきん] /(n,adj-f) monthly mean/monthly average/
月並 [つきなみ] /(adj-na,n) (1) every month/(2) trite/common/(P)/
月並み [つきなみ] /(adj-na,n) (1) every month/(2) trite/common/(P)/
月別 [つきべつ] /(n) by months/
月偏 [つきへん] /(n) kanji "moon" radical at left (usually classified as radical 130)/
月俸 [げっぽう] /(n) monthly salary/
月報 [げっぽう] /(n) monthly report/
月毎に [つきごとに] /(adv) monthly/
月末 [げつまつ] /(n-adv,n-t) end of the month/(P)/
月末 [つきずえ] /(n-adv,n-t) end of the month/
月明 [げつめい] /(n) moonlight/
月明かり [つきあかり] /(n) moonlight/
月明り [つきあかり] /(n) moonlight/
月面 [げつめん] /(n) moon's surface/(P)/
月面基地 [げつめんきち] /(n) lunar base/moon base/
月面着陸 [げつめんちゃくりく] /(n,adj-no) moon landing/
月毛 [つきげ] /(n) palomino/
月夜 [つきよ] /(n) moonlit night/(P)/
月夜の晩ばかりじゃない [つきよのばんばかりじゃない] /(exp) you better watch your step!/sleep with one eye open!/
月夜見 [つくよみ] /(n) (1) nickname for the moon/(2) Tsukuyomi (god of the moon in Shinto and mythology)/
月夜見の尊 [つくよみのみこと] /(n) Moon God/Tsukuyomi no Mikoto/brother of Amaterasu/
月夜茸 [つきよたけ] /(n) moonlight mushroom/
月夜霊 [つくよみ] /(n) (1) nickname for the moon/(2) Tsukuyomi (god of the moon in Shinto and mythology)/
月曜 [げつよう] /(n-adv,n-t) Monday/(P)/
月曜日 [げつようび] /(n-adv,n-t) Monday/(P)/
月利 [げつり] /(n) monthly interest/
月立 [つきたち] /(n) (1) (arch) first day of the month/(2) first ten days of the lunar month/
月立ち [つきたち] /(n) (1) (arch) first day of the month/(2) first ten days of the lunar month/
月輪 [がちりん] /(n) (full) moon/moon when it's round/
月輪 [がつりん] /(n) (full) moon/moon when it's round/
月輪 [げつりん] /(n) (full) moon/moon when it's round/
月輪熊 [つきのわぐま] /(n) (uk) Asian black bear (Selenarctos thibetanus)/moon bear/
月例 [げつれい] /(n) monthly/(P)/
月例会 [げつれいかい] /(n) monthly meeting/
月例経済報告 [げつれいけいざいほうこく] /(n) monthly economic report/
月齢 [げつれい] /(n) age of the moon/number of days since the new moon/
月暈 [つきがさ] /(n,adj-no) lunar halo/
月讀 [つくよみ] /(n) (1) nickname for the moon/(2) Tsukuyomi (god of the moon in Shinto and mythology)/
件 [くだり] /(n) passage/paragraph/
件 [くだん] /(adj-no) (1) (uk) the above-mentioned/the said/(man, incident, etc.) in question/(2) the usual/
件 [けん] /(n) (1) matter/case/item/(ctr) (2) counter for cases, matters, etc./(P)/
件の一件 [くだんのいっけん] /(n) the matter in question/the aforesaid matter/
件数 [けんすう] /(n) number (of things)/(P)/
件名 [けんめい] /(n) term/subject/title/
倹 [けん] /(n) economy/
倹しい [つましい] /(adj-i) thrifty/economical/
倹しく暮し [つましくくらし] /(n) living frugally/
倹しく暮す [つましくくらす] /(v5s) to live frugally/
倹素 [けんそ] /(adj-na,n) economical and simple/
倹約 [けんやく] /(adj-na,n,vs,adj-no) thrift/economy/frugality/(P)/
倹約家 [けんやくか] /(n) thrifty person/economist/
倹約令 [けんやくれい] /(n) laws regulating expenditures/sumptuary edicts/thrift ordinance/
倹吝 [けんりん] /(n) miserly, stingy/
倦きる [あきる] /(v1,vi) to get tired of/to lose interest in/to have enough/
倦く [あく] /(v5k,vi) (1) (arch) to tire of/to lose interest in/(2) to be satisfied/to enjoy/(3) (after the -masu stem of a verb) to do adequately/
倦ねる [あぐねる] /(v1) (uk) to tire of/to lose interest in/to be too much for one/to find unmanageable/to be beyond one's control/to not know what to do with/
倦まず弛まず [うまずたゆまず] /(exp) tirelessly/perseveringly/without letting up/
倦み疲れる [うみつかれる] /(v1) to grow weary/to get tired of/
倦む [あぐむ] /(v5m,vi) to get tired of (doing)/to lose interest in/
倦む [うむ] /(v5m,vi) to get tired of (doing)/to lose interest in/
倦る [あきる] /(io) (v1,vi) to get tired of/to lose interest in/to have enough/
倦厭 [けんえん] /(n,vs) weariness/
倦怠 [けんたい] /(n,vs) languor/fatigue/weariness/boredom/(P)/
倦怠感 [けんたいかん] /(n) physical weariness/sense of fatigue/washed-out feeling/
倦怠期 [けんたいき] /(n) the stage of fatigue/
倦憊 [けんぱい] /(n,vs) extreme fatigue/
健か [したたか] /(adj-na,adv) determined/stubborn/hearty/severe/
健か者 [したたかもの] /(n) (1) strong-willed person/old hand/shrewd rascal/wily fox/desperate character/formidable woman/(2) strong man/brave man/
健やか [すこやか] /(adj-na,n) vigorous/healthy/sound/(P)/
健やかな体 [すこやかなからだ] /(n) healthy (sound) body/
健胃 [けんい] /(n,vs) strong stomach/
健胃剤 [けんいざい] /(n) stomach medicine/
健胃錠 [けんいじょう] /(n) stomach tablets/
健胃薬 [けんいやく] /(n) stomachic/stomach medicine/
健気 [けなげ] /(adj-na,n) brave/gallant/courage/manly/heroic/praiseworthy/industrious/pure/lovable/(P)/
健脚 [けんきゃく] /(adj-na,n) good walker/
健脚家 [けんきゃくか] /(n) good walker/
健康 [けんこう] /(adj-na,n) health/sound/wholesome/(P)/
健康そのもの [けんこうそのもの] /(exp) the very image of health itself/picture of health/
健康づくり [けんこうづくり] /(n) health promotion/
健康に良い [けんこうによい] /(adj-i) good for the health/
健康を損なう [けんこうをそこなう] /(exp,v5u) to harm one's health/to injure one's health/to be harmful to one's health/
健康ノイローゼ [けんこうノイローゼ] /(n) health neurosis/health obsession/
健康維持 [けんこういじ] /(n,vs,adj-no) health maintenance/health preservation/
健康医療団体 [けんこういりょうだんたい] /(n) health maintenance organization (organisation)/HMO/
健康運 [けんこううん] /(n) one's fate (fortune) as concerns health/
健康管理 [けんこうかんり] /(n) health care (e.g. for the aged)/health management/health maintenance/
健康児 [けんこうじ] /(n) healthy child/
健康者 [けんこうしゃ] /(n) healthy person/
健康証明書 [けんこうしょうめいしょ] /(n) health certificate/
健康上 [けんこうじょう] /(adj-no) health (concerns, reasons, etc.)/
健康状態 [けんこうじょうたい] /(n) (the condition of) one's health/
健康食品 [けんこうしょくひん] /(n,adj-no) health foods/(P)/
健康診査 [けんこうしんさ] /(n) physical examination/health checkup/
健康診断 [けんこうしんだん] /(n) physical examination/
健康診断書 [けんこうしんだんしょ] /(n) health certificate/
健康人 [けんこうじん] /(n) healthy person/
健康体 [けんこうたい] /(n) healthy body/
健康地 [けんこうち] /(n) healthy place/health resort/
健康的 [けんこうてき] /(adj-na) hygienic/healthy/healthful/sanitary/
健康美 [けんこうび] /(n) physical beauty/
健康病 [けんこうびょう] /(n) health neurosis/health obsession/
健康不安 [けんこうふあん] /(n) poor health/failing health/
健康保険 [けんこうほけん] /(n) health insurance/(P)/
健康保険医 [けんこうほけんい] /(n) health insurance doctor/
健康保険制度 [けんこうほけんせいど] /(n) health insurance system/
健康保険法 [けんこうほけんほう] /(n) the Health Insurance Act/
健康補助食品 [けんこうほじょしょくひん] /(n) dietary supplement/
健康補助品 [けんこうほじょひん] /(n) health supplement/dietary supplement/
健康方 [けんこうほう] /(n) hygiene/
健康法 [けんこうほう] /(n) hygiene/
健康問題 [けんこうもんだい] /(n) health problem/health issue/
健在 [けんざい] /(adj-na,n) in good health/well/going strong/(P)/
健児 [けんじ] /(n) stalwart youth/
健実 [けんじつ] /(adj-na) steady/sound/reliable/solid/
健者 [したたかもの] /(n) (1) strong-willed person/old hand/shrewd rascal/wily fox/desperate character/formidable woman/(2) strong man/brave man/
健勝 [けんしょう] /(adj-na,n) good health/
健祥 [けんしょう] /(n) spirit/pep/energy/
健常者 [けんじょうしゃ] /(n) healthy person/non-handicapped person/(P)/
健診 [けんしん] /(n,vs) (abbr) physical examination/medical examination/health checkup/health screening/(P)/
健全 [けんぜん] /(adj-na,n) health/soundness/wholesome/(P)/
健全なる精神は健全なる身体に宿る [けんぜんなるせいしんはけんぜんなるしんたいにやどる] /(exp) (id) A sound mind in a sound body/
健投 [けんとう] /(n) good pitching/
健闘 [けんとう] /(n,vs,exp) (1) fighting bravely/strenuous efforts/(2) good luck!/good fight/(P)/
健闘むなしく [けんとうむなしく] /(exp) fighting in vain/
健闘虚しく [けんとうむなしく] /(exp) fighting in vain/
健闘空しく [けんとうむなしく] /(exp) fighting in vain/
健脳剤 [けんのうざい] /(n) brain tonic/
健否 [けんぴ] /(n) condition of health/
健筆 [けんぴつ] /(n) powerful pen/
健筆家 [けんぴつか] /(n) ready writer/
健保 [けんぽ] /(n) (abbr) health insurance system/(P)/
健歩 [けんぽ] /(n) good walker/
健忘 [けんぼう] /(n) forgetfulness/
健忘症 [けんぼうしょう] /(n) amnesia/loss of memory/
健棒 [けんぼう] /(n) good batting/
健啖 [けんたん] /(adj-na,n) gluttony/voracity/
健啖家 [けんたんか] /(n) glutton/gormandizer/gormandiser/
兼 [けん] /(conj,n) and/in addition/concurrently/(P)/
兼す [けんす] /(vs-c) to combine with/to serve as both/to hold an additional post/to use with/
兼ねて [かねて] /(adv,n,adj-no) previously/already/lately/(P)/
兼ねない [かねない] /(suf,exp) quite capable of .../might happen/not unlikely to/
兼ねる [かねる] /(aux-v) (1) to be unable to (usu. kana)/to find difficult (unpleasant, awkward, painful) to do (usu. kana)/(v1,vt) (2) to serve two or more functions or roles simultaneously/to contain (or combine) two or more features/(3) to work in two or more jobs simultaneously (positions, etc.)/to do alongside/(4) to hesitate to do something (out of consideration for others)/(5) to think of the future (as well as the present)/(P)/
兼ね兼ね [かねがね] /(adv) often/lately/already/
兼ね合い [かねあい] /(n,vs) equilibrium/good balance/poise/(P)/
兼ね仕える [かねつかえる] /(v1) to serve at the same time/
兼ね備える [かねそなえる] /(v1,vt) to have both/to possess both/to combine with/(P)/
兼ね役 [かねやく] /(n) carrying on a second line of work/
兼営 [けんえい] /(n,vs) operating or carrying on simultaneously/
兼学 [けんがく] /(n,vs) concurrently studying the teachings of two or more different schools or sects/
兼轄 [けんかつ] /(n,vs) joint administration/
兼官 [けんかん] /(n,vs) additional post/
兼業 [けんぎょう] /(n,vs) side line/second business/(P)/
兼業 [けんごう] /(n,vs) side line/second business/
兼業主婦 [けんぎょうしゅふ] /(n) part-time mom/working mother/
兼業農家 [けんぎょうのうか] /(n) part-time farmer/
兼勤 [けんきん] /(n,vs) additional post/
兼言 [かねごと] /(n,vs,adj-no) prediction/promise/prognostication/
兼行 [けんこう] /(n,vs) doing simultaneously/
兼合い [かねあい] /(n,vs) equilibrium/good balance/poise/
兼修 [けんしゅう] /(n,vs) studying two lines together (as a major and a minor)/
兼職 [けんしょく] /(n,vs) pluralism/plurality/concurrent post/
兼摂 [けんせつ] /(n,vs) concurrent post/
兼帯 [けんたい] /(n,vs) combined use/combination/filling two positions/serving two purposes/dual-use/
兼題 [けんだい] /(n) subject for a poem/
兼任 [けんにん] /(n) (1) concurrent post/(vs) (2) to hold two posts concurrently/(P)/
兼備 [けんび] /(n,vs) being proficient in both/combine both/
兼併 [けんぺい] /(n,vs) uniting/unity/
兼補 [けんぽ] /(n,vs) carrying on a second line of work/
兼務 [けんむ] /(n,vs) holding two posts concurrently/(P)/
兼有 [けんゆう] /(n,vs) having both/
兼用 [けんよう] /(n,vs,adj-no) multi-use/combined use/combination/serving two purposes/
券 [けん] /(n,n-suf) ticket/coupon/bond/certificate/(P)/
券売機 [けんばいき] /(n) ticket machine/
券面 [けんめん] /(n) the face of a bond, draft (draught) or certificate/
剣 [けん] /(n) (1) sword (originally esp. a doubled-edged sword)/sabre/saber/blade/(2) bayonet/(3) swordsmanship/(4) stinger/ovipositor/dart/(P)/
剣 [つるぎ] /(n) (1) sword (originally esp. a doubled-edged sword)/sabre/saber/blade/
剣が峰 [けんがみね] /(n) (1) rim of a volcano, esp. Mt. Fuji/(2) ring used in sumo/(3) dire or risky situation with no room for error/sink-or-swim position/
剣の山 [つるぎのやま] /(n) mountain (in hell) covered in swords, which are buried so their tips point upward/
剣の道 [けんのみち] /(n) swordsmanship/
剣を帯びる [けんをおびる] /(exp,v1) to wear a sword at one's side/
剣を抜く [けんをぬく] /(exp,v5k) to draw a sword/
剣を抜く [つるぎをぬく] /(exp,v5k) to draw a sword/
剣ケ峰 [けんがみね] /(n) (1) rim of a volcano, esp. Mt. Fuji/(2) ring used in sumo/(3) dire or risky situation with no room for error/sink-or-swim position/
剣ヶ峰 [けんがみね] /(n) (1) rim of a volcano, esp. Mt. Fuji/(2) ring used in sumo/(3) dire or risky situation with no room for error/sink-or-swim position/
剣鬼 [けんき] /(n) devilish swordsman/
剣客 [けんかく] /(n) fencer/swordsman/
剣客 [けんきゃく] /(n) fencer/swordsman/
剣玉 [けんだま] /(n) Japanese bilboquet (cup-and-ball game)/
剣形 [けんがた] /(n,adj-no) sword shape/
剣劇 [けんげき] /(n) sword play/samurai drama/(P)/
剣戟 [けんげき] /(n) weapons/arms/
剣光 [けんこう] /(n) light emanating from a sword/shimmering of a sword/
剣豪 [けんごう] /(n) master fencer/
剣山 [けんざん] /(n) needle-point holder (in ikebana)/frog/
剣士 [けんし] /(n) swordsman/swordswoman/fencer/(P)/
剣歯虎 [けんしこ] /(n) (obsc) saber-toothed tiger (sabre)/
剣璽 [けんじ] /(n) sacred sword and jewels/
剣術 [けんじゅつ] /(n) fencing/
剣峻 [けんしゅん] /(iK) (adj-na,n) steep/precipitous/
剣状 [けんじょう] /(n,adj-no) sword-shaped/
剣状突起 [けんじょうとっき] /(n,adj-no) xiphoid process/ensiform cartilage/
剣状軟骨 [けんじょうなんこつ] /(n,adj-no) xiphoid (relating to the lower part of the sternum)/chondroxiphoid/
剣身 [けんしん] /(n) sword blade/
剣聖 [けんせい] /(n) master swordsman/
剣石 [けんいし] /(n) (arch) keystone/
剣先 [けんさき] /(n) point of a sword/
剣先烏賊 [けんさきいか] /(n) (uk) swordtip squid (Photololigo edulis)/
剣帯 [けんたい] /(n) sword belt/
剣闘士 [けんとうし] /(n) gladiator/
剣道 [けんどう] /(n) kendo (lit: way of the sword)/swordmanship/fencing/(P)/
剣道場 [けんどうじょう] /(n) (MA) kendo hall/
剣道着 [けんどうぎ] /(n) (MA) kendo gi/kendo uniform/
剣突 [けんつく] /(n) (uk) rough scolding/upbraiding/tongue-lashing/dressing-down/
剣突く [けんつく] /(n) (uk) rough scolding/upbraiding/tongue-lashing/dressing-down/
剣突を食わす [けんつくをくわす] /(exp,v5s) (obsc) to burst out in anger/
剣突を食わせる [けんつくをくわせる] /(exp,v1) to angrily reject/to snub/to give a person a good scolding/to give a person a rap on the knuckles/
剣呑 [けんのん] /(adj-na,n) risky/dangerous/insecure/
剣難 [けんなん] /(n) the calamity of being killed by the sword/
剣微塵子 [けんみじんこ] /(n) (uk) cyclops (any minute crustacean of genus Cyclops)/
剣付き鉄砲 [けんつきでっぽう] /(n) fixed bayonet/
剣舞 [けんぶ] /(n) sword dance/
剣法 [けんぽう] /(n) fencing/
剣幕 [けんまく] /(n) threatening attitude/menacing look/angry look/
剣竜 [けんりゅう] /(n) (obsc) stegosaur (any dinosaur of infraorder Stegosauria)/
喧々囂々 [けんけんごうごう] /(n,adj-no,adj-t,adv-to) (1) wild uproar/pandemonium/clamor of voices/tumult/(2) noisy/uproarious/clamorous/
喧々諤々 [けんけんがくがく] /(adj-t,adv-to) tumultuous (with everyone voicing their opinions simultaneously)/uproarious/
喧しい [かまびすしい] /(adj-i) (1) (uk) noisy/boisterous/
喧しい [やかましい] /(adj-i) (1) (uk) noisy/boisterous/(2) strict/faultfinding/carping/fussy/(P)/
喧嘩 [けんか] /(n,vs) quarrel/brawl/fight/squabble/scuffle/(P)/
喧嘩の尻 [けんかのしり] /(n) aftermath of a quarrel (failure)/
喧嘩を売る [けんかをうる] /(exp,v5r) to pick a fight/
喧嘩腰 [けんかごし] /(n,adj-no) belligerent/
喧嘩沙汰 [けんかざた] /(n) beginning (developing into) a quarrel (a fight, an altercation)/
喧嘩早い [けんかばやい] /(adj-i) quarrelsome/
喧嘩別れ [けんかわかれ] /(n) (of a couple) fighting and splitting up/
喧嘩両成敗 [けんかりょうせいばい] /(exp) in a quarrel, both parties are to blame/
喧喧囂囂 [けんけんごうごう] /(n,adj-no,adj-t,adv-to) (1) wild uproar/pandemonium/clamor of voices/tumult/(2) noisy/uproarious/clamorous/
喧喧諤諤 [けんけんがくがく] /(adj-t,adv-to) tumultuous (with everyone voicing their opinions simultaneously)/uproarious/
喧然 [けんぜん] /(adj-t,adv-to) noisy/boisterous/lively/
喧騒 [けんそう] /(n,adj-na) tumult/great noise/clatter/hustle and bustle/
喧伝 [けんでん] /(n,vs) spreading around (news, etc.)/talking about widely/
喧噪 [けんそう] /(n,adj-na) tumult/great noise/clatter/hustle and bustle/
圏 [けん] /(n,n-suf) (1) sphere/circle/range/(2) (math) category (only in the context of "category theory")/
圏域 [けんいき] /(n) sphere (e.g. of knowledge, influence)/
圏外 [けんがい] /(n) outside range/outside orbit/(P)/
圏谷 [けんこく] /(n) cirque/corrie/cwm/
圏点 [けんてん] /(n) circle (for emphasis)/
圏内 [けんない] /(n) within the sphere/(P)/
圏論 [けんろん] /(n) category theory/
堅 [けん] /(n) (1) (obsc) strength/solidity/firmness/(2) (obsc) armour/armor/
堅い [かたい] /(adj-i) (1) hard/solid/tough/(2) stiff/tight/wooden/unpolished (e.g. writing)/(3) strong/firm (not viscous or easily moved)/(4) safe/steady/honest/steadfast/(5) obstinate/stubborn/(6) bookish/formal/stuffy/(P)/
堅い言葉 [かたいことば] /(n) stiff speech/
堅い材木 [かたいざいもく] /(n) hard lumber/
堅い女 [かたいおんな] /(n) chaste woman/
堅い商売 [かたいしょうばい] /(n) sound business/
堅さ [かたさ] /(n) firmness/hardness/stiffness/honesty/(P)/
堅し [かたし] /(adj-f) (arch) difficult/hard/
堅める [かためる] /(v1,vt) to harden/to freeze/to fortify/
堅パン [かたパン] /(n) hard biscuits/hardtack/
堅果 [けんか] /(n,adj-no) nut/
堅気 [かたぎ] /(adj-na) (1) honest/respectable/(n) (2) respectable occupation (i.e. not yakuza, prostitute, etc.)/(3) person in a respectable occupation/
堅魚 [かつお] /(n) skipjack tuna/bonito (Katsuwonus pelamis)/
堅魚木 [かつおぎ] /(n) log on the roof of a shrine set perpendicular to the ridgepole/
堅苦しい [かたくるしい] /(adj-i) formal/strict/ceremonious/stiff/
堅苦しい [かたぐるしい] /(adj-i) formal/strict/ceremonious/stiff/
堅固 [けんご] /(adj-na,n) solid/strong/firm/(P)/
堅剛 [けんごう] /(n) (obsc) firm and unyielding/rigid/
堅材 [けんざい] /(n) hard wood/
堅志 [けんし] /(n) iron purpose/
堅持 [けんじ] /(n,vs) holding on to/sticking to/(P)/
堅実 [けんじつ] /(adj-na) steady/sound/reliable/solid/(P)/
堅守 [けんしゅ] /(n,vs) strong defense/strong defence/
堅焼き [かたやき] /(adj-no) hard-baked/hard/
堅城 [けんじょう] /(n) strong fortress/
堅信 [けんしん] /(n) (Christian rite of) confirmation/
堅信礼 [けんしんれい] /(n) (the Christian sacrament of) confirmation/
堅振 [けんしん] /(n) (Christian rite of) confirmation/
堅人 [かたじん] /(n) square/trustworthy person/
堅陣 [けんじん] /(n) stronghold/
堅雪 [かたゆき] /(n) snow with a frozen crust on top/crusted snow/
堅太り [かたぶとり] /(adj-na,n) solidly built person/
堅炭 [かたずみ] /(n) hard charcoal/
堅調 [けんちょう] /(adj-na,n) bullish/firm (market)/(P)/
堅頭竜 [けんとうりゅう] /(n) pachycephalosaur (any dinosaur of infraorder Pachycephalosauria)/
堅忍 [けんにん] /(n,vs) perseverance/
堅忍持久 [けんにんじきゅう] /(n) dogged perseverance/untiring patience/
堅忍不抜 [けんにんふばつ] /(adj-na,n) indomitable perseverance/invincible fortitude/
堅白同異 [けんぱくどうい] /(n) sophism/sophistry/quibbling/
堅物 [かたぶつ] /(n,adj-no) straight-laced or stubborn person/
堅木 [かたぎ] /(n) hardwood/
堅塁 [けんるい] /(n) stronghold/
堅累 [けんるい] /(n) stronghold/
堅牢 [けんろう] /(adj-na,n) solid/
堅牢堅固 [けんろうけんご] /(n,adj-na) firm and solid/stout and durable/
嫌 [いや] /(adj-na,n) disagreeable/detestable/unpleasant/reluctant/(P)/
嫌 [や] /(adj-na,n) disagreeable/detestable/unpleasant/reluctant/
嫌々 [いやいや] /(adv,n) (uk) unwillingly/grudgingly/shaking head in refusal (to children)/
嫌い [きらい] /(adj-na,n) (1) dislike/hate/(suf) (2) suspicion/tendency/smack (of)/(P)/
嫌いがある [きらいがある] /(exp) (uk) to have a tendency to/to have concern that/
嫌いが在る [きらいがある] /(exp) (uk) to have a tendency to/to have concern that/
嫌いなく [きらいなく] /(exp,adv,conj) without discrimination/indiscriminate/without distinction/without differentiation/
嫌い箸 [きらいばし] /(n) things prohibited by chopstick etiquette/
嫌う [きらう] /(v5u,vt) to hate/to dislike/to loathe/(P)/
嫌がらせ [いやがらせ] /(n) harassment/pestering/(P)/
嫌がる [いやがる] /(v5r,vt) to hate/to dislike/(P)/
嫌が上に [いやがうえに] /(iK) (exp,adv) even more/all the more/
嫌が上にも [いやがうえにも] /(iK) (adv) all the more/
嫌な気持 [いやなきもち] /(n) unpleasant feeling/
嫌に [いやに] /(adv) (uk) awfully/terribly/
嫌み [いやみ] /(adj-na,n) disagreeableness/disagreeability/gaudiness/sarcasm/
嫌みたらしい [いやみたらしい] /(adj-i) disagreeable/
嫌らしい [いやらしい] /(adj-i) (uk) unpleasant/disgusting/repulsive/detestable/disagreeable/indecent/lewd/dirty/lascivious/(P)/
嫌わず [きらわず] /(exp,adv,conj) without discrimination/indiscriminate/without distinction/without differentiation/
嫌悪 [けんお] /(n,vs,adj-no) disgust/hate/repugnance/(P)/
嫌悪感 [けんおかん] /(n) unpleasant feelings (e.g. hatred, disgust, revulsion, fear)/(P)/
嫌煙 [けんえん] /(n) dislike of smoking/
嫌煙運動 [けんえんうんどう] /(n) anti-smoking campaign/
嫌煙活動家 [けんえんかつどうか] /(n) antismoking activist/
嫌煙権 [けんえんけん] /(n) non-smokers' rights/
嫌韓 [けんかん] /(n) hatred of things Korean (by Japanese)/
嫌忌 [けんき] /(n,vs) dislike/aversion/
嫌忌 [けんぎ] /(n,vs) dislike/aversion/
嫌気 [いやき] /(n,vs,adj-no) dislike/disgust/disinclination/tired of/(P)/
嫌気 [いやけ] /(n,vs,adj-no) dislike/disgust/disinclination/tired of/
嫌気 [けんき] /(n,vs,adj-no) dislike/disgust/disinclination/tired of/
嫌気が差す [いやけがさす] /(exp,v5s) to be tired of/to be sick of/
嫌気性 [けんきせい] /(adj-no) anaerobic/
嫌気性細菌 [けんきせいさいきん] /(n) anaerobic bacteria/
嫌気生物 [けんきせいぶつ] /(adj-na) anaerobe/
嫌疑 [けんぎ] /(n) suspicion/(P)/
嫌疑者 [けんぎしゃ] /(n) suspect/
嫌嫌 [いやいや] /(adv,n) (uk) unwillingly/grudgingly/shaking head in refusal (to children)/
嫌味 [いやみ] /(adj-na,n) disagreeableness/disagreeability/gaudiness/sarcasm/
建 [たて] /(n,n-suf,n-pref) contract/commitment/
建ち絵図 [たちえず] /(n) building diagram/
建ち並ぶ [たちならぶ] /(v5b) (1) to stand up/to line in a row/(2) to be equal to/
建つ [たつ] /(v5t,vi) to be erected/to be built/(P)/
建て [たて] /(n,n-suf,n-pref) contract/commitment/
建て [だて] /(suf) (1) indicates storeys, structures, or materials used in a building/(2) indicates denomination (after a currency)/
建てなおす [たてなおす] /(v5s,vt) to rebuild/to reconstruct/
建てる [たてる] /(v1,vt) to build/to construct/(P)/
建て回す [たてまわす] /(v5s) to build around/
建て掛け [たてかけ] /(n) under construction/
建て込む [たてこむ] /(v5m,vi) to be built up/to be crowded with houses/
建て前 [たてまえ] /(n) (1) face/official stance/public position or attitude (as opposed to private thoughts)/(2) ceremony for the erection of the framework of a house/(P)/
建て増し [たてまし] /(n) building addition or extension/an annex/
建て増す [たてます] /(v5s,vt) to extend (building)/to build on/
建て替え [たてかえ] /(n,vs) rebuilding/reconstruction/re-erection/
建て替える [たてかえる] /(v1,vt) to rebuild/to reconstruct/
建て値 [たてね] /(n) official market quotations/exchange rates/
建て直し [たてなおし] /(n) re-erection/rebuilding/
建て直す [たてなおす] /(v5s,vt) to rebuild/to reconstruct/
建て坪 [たてつぼ] /(n) floor space/
建て売り [たてうり] /(n) constructing and selling a ready-built house/
建て売り住宅 [たてうりじゅうたく] /(n) ready-built house or housing/
建て付け [たてつけ] /(n) build (e.g. of a house)/
建て網 [たてあみ] /(n) fish trap/set net/
建永 [けんえい] /(n) Ken'ei era (1206.4.27-1207.10.25)/
建屋 [たてや] /(n) structure for housing heavy machinery/
建学 [けんがく] /(n,vs) foundation of a school/
建議 [けんぎ] /(n,vs) proposition/motion/proposal/suggestion/(P)/
建議案 [けんぎあん] /(n) proposition/
建議者 [けんぎしゃ] /(n) a proposer/
建久 [けんきゅう] /(n) Kenkyuu era (1190.4.11-1199.4.27)/
建玉 [たてぎょく] /(n) position (in finance: amount of a security either owned or owed by an investor or dealer)/open interest/outstanding account/sales or purchase contract/
建具 [たてぐ] /(n) fittings such as sliding doors, fusuma, shoji, etc./furniture/
建具屋 [たてぐや] /(n) a joiner/cabinetmaker/
建具師 [たてぐし] /(n) woodworker/joiner/
建言 [けんげん] /(n,vs) right to speak/offering one's opinion to one's superior/proposal/
建国 [けんこく] /(n,vs) founding of a nation/(P)/
建国記念の日 [けんこくきねんのひ] /(n) Foundation Day (Feb 11)/
建国記念日 [けんこくきねんび] /(n) National Foundation Day/
建国者 [けんこくしゃ] /(n) founder (of a nation)/
建込む [たてこむ] /(v5m,vi) to be built up/to be crowded with houses/
建材 [けんざい] /(n) building material/(P)/
建策 [けんさく] /(n,vs) making a plan/recommendation/suggestion/
建治 [けんじ] /(n) Kenji era (1275.4.25-1278.2.29)/
建仁 [けんにん] /(n) Kennin era (1201.2.13-1204.2.20)/
建水 [けんすい] /(n) waste-water container (tea ceremony)/
建設 [けんせつ] /(n,vs) construction/establishment/(P)/
建設会社 [けんせつがいしゃ] /(n) construction company/
建設機械 [けんせつきかい] /(n) construction machinery/
建設業 [けんせつぎょう] /(n) construction industry/construction business/
建設業界 [けんせつぎょうかい] /(n) (world of the) construction industry/
建設業者 [けんせつぎょうしゃ] /(n) general (civil engineering and construction) contractor/
建設工事 [けんせつこうじ] /(n) construction work/
建設国債 [けんせつこくさい] /(n) construction debt/
建設者 [けんせつしゃ] /(n) architect/
建設省 [けんせつしょう] /(n) Ministry of Construction/(P)/
建設大臣 [けんせつだいじん] /(n) Minister of Construction/
建設地 [けんせつち] /(n) construction site/
建設中 [けんせつちゅう] /(n) under construction/
建設的 [けんせつてき] /(adj-na) constructive/(P)/
建設的関係 [けんせつてきかんけい] /(n) constructive relationship/
建設費 [けんせつひ] /(n) construction (building) costs/
建設労働者 [けんせつろうどうしゃ] /(n) construction worker/
建前 [たてまえ] /(n) (1) face/official stance/public position or attitude (as opposed to private thoughts)/(2) ceremony for the erection of the framework of a house/(P)/
建前主義 [たてまえしゅぎ] /(n) tokenism/appearance for appearance's sake/
建増し [たてまし] /(n) building addition or extension/an annex/
建造 [けんぞう] /(n,vs) building/construction/(P)/
建造物 [けんぞうぶつ] /(n) structure/(P)/
建替え [たてかえ] /(n,vs) rebuilding/reconstruction/re-erection/
建値 [たてね] /(n) official market quotations/exchange rates/
建築 [けんちく] /(n,vs) construction/architecture (of buildings)/(P)/
建築家 [けんちくか] /(n) architect/
建築確認 [けんちくかくにん] /(n) building certification/building confirmation/
建築学 [けんちくがく] /(n) architecture/(P)/
建築基準法 [けんちくきじゅんほう] /(n) the Building Standards Act/
建築業 [けんちくぎょう] /(n) building (construction) industry/(being in) the building trade/
建築業者 [けんちくぎょうしゃ] /(n) a builder/
建築現場 [けんちくげんば] /(n) building (construction) site/
建築史 [けんちくし] /(n) architectural history/history of architecture/
建築士 [けんちくし] /(n) (authorized) architect and builder (authorised)/(P)/
建築中 [けんちくちゅう] /(n) under construction/
建築費 [けんちくひ] /(n) building expenses/construction costs/
建築物 [けんちくぶつ] /(n) a building/architectural structure/
建築面積 [けんちくめんせき] /(n) building area/
建築様式 [けんちくようしき] /(n) architectural style/
建長 [けんちょう] /(n) Kenchou era (1249.3.18-1256.10.5)/
建長汁 [けんちんじる] /(n) Japanese tofu and vegetable chowder/
建直し [たてなおし] /(n) re-erection/rebuilding/
建直す [たてなおす] /(v5s,vt) to rebuild/to reconstruct/
建坪 [たてつぼ] /(n) floor space/
建徳 [けんとく] /(n) Kentoku era (of the Southern Court) (1370.7.24-1372.4.?)/
建売り [たてうり] /(n) constructing and selling a ready-built house/
建売り住宅 [たてうりじゅうたく] /(n) ready-built house or housing/
建白 [けんぱく] /(n,vs) petition/memorial/
建白書 [けんぱくしょ] /(n) a petition/a memorial/
建碑 [けんぴ] /(n,vs) erection of a monument/
建付け [たてつけ] /(n) build (e.g. of a house)/
建武 [けんむ] /(n) Kemmu era (of unified Japan) (1334.1.29-1336.2.29), Kemmu era (of the Northern Court) (1336.2.29-1338.8.28)/
建物 [たてもの] /(n) building/(P)/
建蔽率 [けんぺいりつ] /(n) coverage/coverage ratio/
建保 [けんぽう] /(n) Kempou era (1213.12.6-1219.4.12)/
建立 [けんりつ] /(n,vs) (act of) building (temple, monument, etc.)/erection/
建立 [こんりゅう] /(n,vs) (act of) building (temple, monument, etc.)/erection/(P)/
建暦 [けんりゃく] /(n) Kenryaku era (1211.3.9-1213.12.6)/
憲章 [けんしょう] /(n) charter/(P)/
憲政 [けんせい] /(n) constitutional government/(P)/
憲兵 [けんぺい] /(n) military police/
憲兵隊 [けんぺいたい] /(n) regiment of military policemen/
憲法 [けんぽう] /(n,adj-no) constitution/(P)/
憲法を改正する [けんぽうをかいせいする] /(exp,vs-i) to revise the constitution/to amend the constitution/
憲法違反 [けんぽういはん] /(n,adj-no) unconstitutionality/
憲法解釈 [けんぽうかいしゃく] /(n) constitutional interpretation/
憲法改正 [けんぽうかいせい] /(n) constitutional reform/constitutional amendment/
憲法学者 [けんぽうがくしゃ] /(n) constitutional scholar (lawyer)/expert in constitutional law/
憲法規範 [けんぽうきはん] /(n) constitutional norm/
憲法記念日 [けんぽうきねんび] /(n) Constitution Memorial Day Holiday (May 3rd)/
憲法裁判所 [けんぽうさいばんしょ] /(n) constitutional court/
憲法十七条 [けんぽうじゅうしちじょう] /(n) Seventeen-Article Constitution (of Asuka-period Japan)/
憲法上 [けんぽうじょう] /(adj-no) constitutional/
憲法上の権利 [けんぽうじょうのけんり] /(n) constitutional right/constitutional rights/
懸 [かけ] /(n) (1) (abbr) credit/(2) money owed on an account/bill/(3) (abbr) (uk) hot noodles in broth/(n,n-suf) (4) proportion (as tenths of a wholesale price)/(suf) (5) in the midst of/(6) rest/rack/hanger/
懸 [がけ] /(suf,adj-no) (1) -clad/(2) (uk) in the midst of/(3) tenths/(4) times (i.e. multiplied by)/(5) able-to-seat (of a chair, etc.)/
懸かる [かかる] /(v5r,vi) (1) to take/(v5r) (2) to hang/(3) to come into view/to arrive/(4) to come under (a contract, a tax)/(5) to start (engines, motors)/(6) to attend/to deal with/to handle/(v5r,aux-v) (7) to have started to/to be on the verge of/(8) to overlap (e.g. information in a manual)/to cover/(9) to (come) at/(10) to be fastened/(11) to be covered (e.g. with dust, a table-cloth, etc.)/(12) to be caught in/(13) to get a call/(14) to depend on/(P)/
懸け [かけ] /(n) (1) (abbr) credit/(2) money owed on an account/bill/(3) (abbr) (uk) hot noodles in broth/(n,n-suf) (4) proportion (as tenths of a wholesale price)/(suf) (5) in the midst of/(6) rest/rack/hanger/
懸け [がけ] /(suf,adj-no) (1) -clad/(2) (uk) in the midst of/(3) tenths/(4) times (i.e. multiplied by)/(5) able-to-seat (of a chair, etc.)/
懸ける [かける] /(v1,vt) (1) to hang (e.g. picture)/to hoist (e.g. sail)/to raise (e.g. flag)/(2) to sit/(aux-v,v1) (3) to be partway (verb)/to begin (but not complete)/(4) to take (time, money)/to expend (money, time, etc.)/(5) to make (a call)/(6) to multiply/(7) to secure (e.g. lock)/(8) to put on (glasses, etc.)/(9) to cover/(10) to burden someone/(11) to apply (insurance)/(12) to turn on (an engine, etc.)/to set (a dial, an alarm clock, etc.)/(13) to put an effect (spell, anaesthetic, etc.) on/(14) to hold an emotion for (pity, hope, etc.)/(15) to bind/(16) to pour (or sprinkle, spray, etc.) onto/(17) to argue (in court)/to deliberate (in a meeting)/to present (e.g. idea to a conference, etc.)/(18) to increase further/(19) to catch (in a trap, etc.)/(20) to set atop/(21) to erect (a makeshift building)/(22) to hold (a play, festival, etc.)/(aux-v) (23) (after -masu stem of verb) indicates (verb) is being directed to (someone)/
懸け隔たる [かけへだたる] /(v5r,vi) to be far apart/to be remote/to be quite different/
懸け隔てる [かけへだてる] /(v1,vt) to put distance between/to estrange/
懸け橋 [かけはし] /(n) (1) suspension bridge/viaduct/temporary bridge/(2) mediation/go-between/
懸け合い [かけあい] /(n) (1) negotiations/bargaining/(2) dialogue/duet/
懸け詞 [かけことば] /(n) pun/play on words/
懸け巣 [かけす] /(n) (uk) Eurasian jay (Garrulus glandarius)/
懸け物 [かけもの] /(n) bet/
懸け離れる [かけはなれる] /(v1,vi) to be very far apart from/to be remote/to be quite different from/
懸る [かかる] /(v5r,vi) (1) to take/(v5r) (2) to hang/(3) to come into view/to arrive/(4) to come under (a contract, a tax)/(5) to start (engines, motors)/(6) to attend/to deal with/to handle/(v5r,aux-v) (7) to have started to/to be on the verge of/(8) to overlap (e.g. information in a manual)/to cover/(9) to (come) at/(10) to be fastened/(11) to be covered (e.g. with dust, a table-cloth, etc.)/(12) to be caught in/(13) to get a call/(14) to depend on/
懸案 [けんあん] /(n,adj-no) pending question/pending problem/(P)/
懸引き [かけひき] /(n) (1) bargaining/haggling/(2) tactics/strategy/
懸架 [けんか] /(n) suspension (of an automobile)/
懸架 [けんが] /(n) suspension (of an automobile)/
懸崖 [けんがい] /(n) overhanging cliff/
懸隔 [けんかく] /(n) difference/discrepancy/
懸隔たる [かけへだたる] /(v5r,vi) to be far apart/to be remote/to be quite different/
懸隔てる [かけへだてる] /(v1,vt) to put distance between/to estrange/
懸橋 [かけはし] /(n) (1) suspension bridge/viaduct/temporary bridge/(2) mediation/go-between/
懸軍 [けんぐん] /(n) expeditionary army/
懸合 [かけあい] /(io) (n) (1) negotiations/bargaining/(2) dialogue/duet/
懸合い [かけあい] /(n) (1) negotiations/bargaining/(2) dialogue/duet/
懸詞 [かけことば] /(n) pun/play on words/
懸賞 [けんしょう] /(n) offering prizes/winning/reward/(P)/
懸賞金 [けんしょうきん] /(n) prize money/reward/
懸賞問題 [けんしょうもんだい] /(n) problem for a prize contest/
懸賞論文 [けんしょうろんぶん] /(n) essay contest/
懸垂 [けんすい] /(n,vs,adj-no) pull-up/chin up/chinning/(P)/
懸垂運動 [けんすいうんどう] /(n) chin-ups/
懸垂式 [けんすいしき] /(n,adj-no) suspended type/
懸垂線 [けんすいせん] /(n) a catenary/
懸絶 [けんぜつ] /(n,vs) great difference/
懸想 [けそう] /(n,vs) falling in love/attachment/
懸想文 [けそうぶみ] /(n) love-letter/
懸巣 [かけす] /(n) (uk) Eurasian jay (Garrulus glandarius)/
懸濁 [けんだく] /(n) (chem) suspension/
懸吊 [けんちょう] /(n) suspension/
懸念 [けねん] /(n,vs) worry/fear/anxiety/concern/(P)/
懸念材料 [けねんざいりょう] /(n) cause (grounds) for concern (anxiety)/reason for uneasiness/
懸仏 [かけぼとけ] /(n) round plaque carrying the image of a Buddha (usually hammered from behind) used in temples and shrines/
懸命 [けんめい] /(adj-na,n) eagerness/earnestness/risking one's life/(P)/
懸離れる [かけはなれる] /(v1,vi) to be very far apart from/to be remote/to be quite different from/
懸壅垂 [けんようすい] /(n) uvula/
懸獨 [けんだく] /(iK) (n) (chem) suspension/
懸鉤子 [きいちご] /(n) (uk) raspberry (any plant of genus Rubus, esp. Rubus palmatus var. coptophyllus)/
拳 [けん] /(n) hand game (e.g. rock, paper, scissors)/
拳 [こぶし] /(n) fist/(P)/
拳々服膺 [けんけんふくよう] /(n,vs) firmly bear in mind/have something engraved on one's mind (heart)/
拳玉 [けんだま] /(n) Japanese bilboquet (cup-and-ball game)/
拳拳服膺 [けんけんふくよう] /(n,vs) firmly bear in mind/have something engraved on one's mind (heart)/
拳固 [げんこ] /(n) fist/
拳骨 [げんこつ] /(n,vs) fist/(P)/
拳銃 [けんじゅう] /(n) pistol/handgun/revolver/
拳闘 [けんとう] /(n) prizefighting/boxing/
拳法 [けんぽう] /(n) Chinese art of self-defence (defense)/
拳万 [げんまん] /(n) linking little fingers to confirm a promise/
拳螺 [さざえ] /(n) (uk) turban shell (any mollusc of the family Turbinidae, esp. the horned turban, Turbo cornutus)/
捲き上げる [まきあげる] /(v1,vt) (1) to roll up/to hoist/to heave up/(2) to take away/to rip off (e.g. money from someone)/(3) to blow up (dust)/
捲き落し [まきおとし] /(n) twist down (sumo)/
捲き落とし [まきおとし] /(n) twist down (sumo)/
捲く [まく] /(v5k,vt) to wind/to coil/to roll/
捲し上げる [まくしあげる] /(v1,vt) to tuck (e.g. sleeves)/to roll up/
捲し立てる [まくしたてる] /(v1,vt) to talk on and on/
捲り上げる [まくりあげる] /(v1) to tuck (e.g. sleeves)/to roll up/
捲り上げる [めくりあげる] /(v1) to lift/to turn over/to fold over/
捲る [まくる] /(suf,v5r,vt) (1) to turn up/to roll up (e.g. sleeves)/(2) verb suffix to indicate reckless abandon to the activity/(P)/
捲る [めくる] /(v5r,vt) to turn over/to turn pages of a book/to tear off/to strip off/(P)/
捲れる [まくれる] /(v1,vi) to be (get) turned up (inside out)/
捲れる [めくれる] /(v1,vi) to be (get) turned up (inside out)/
捲線 [まきせん] /(n) winding (coil, armature, etc.)/
捲土重来 [けんどじゅうらい] /(n) recouping one's strength for a renewed attack (on)/making another attempt with redoubled efforts/
捲土重来 [けんどちょうらい] /(n) recouping one's strength for a renewed attack (on)/making another attempt with redoubled efforts/
検する [けんする] /(vs-s,vt) to inspect/to supervise/
検める [あらためる] /(v1,vt) (1) to examine/to check/to inspect/
検圧 [けんあつ] /(n,vs) measuring pressure/
検圧器 [けんあつき] /(n) pressure gauge/
検案 [けんあん] /(n,vs) autopsy/
検案書 [けんあんしょ] /(n) certificate of post-mortem/
検印 [けんいん] /(n) seal of approval/
検疫 [けんえき] /(n,vs) quarantine/medical inspection/(P)/
検疫官 [けんえきかん] /(n) quarantine inspector/
検疫所 [けんえきしょ] /(n) quarantine station/
検疫所 [けんえきじょ] /(n) quarantine station/
検閲 [けんえつ] /(n,adj-no) (1) censorship/inspection/examination/(vs) (2) to censor/to inspect (in order to censor)/to review (in order to censor)/(P)/
検閲官 [けんえつかん] /(n) inspector/censor/
検温 [けんおん] /(n,vs,adj-no) temperature measurement/
検温器 [けんおんき] /(n) clinical thermometer/
検眼 [けんがん] /(n,vs) eye examination/optometry/
検眼医 [けんがんい] /(n) optometrist/
検眼鏡 [けんがんきょう] /(n) ophthalmoscope/
検挙 [けんきょ] /(n,vs) arrest/roundup/(P)/
検鏡 [けんきょう] /(n,vs,adj-no) microscopic examination/microscopy/
検見 [けみ] /(n) Edo period inspection of rice plants/
検見 [けんみ] /(n) (1) inspection/audit/(2) patrol/
検校 [けんぎょう] /(n) correction/person who makes corrections/temple or shrine administrator/
検査 [けんさ] /(n,vs) inspection (e.g. customs, factory)/examination/scan (e.g. MRI, PET, etc.)/(P)/
検査キー [けんさキー] /(n) (comp) check key/
検査プログラム [けんさプログラム] /(n) (comp) checking program/
検査員 [けんさいん] /(n) inspector/
検査官 [けんさかん] /(n) inspector/examiner/auditor/
検査官 [けんしょうかん] /(n) inspector/examiner/auditor/
検査係 [けんさがかり] /(n) inspector/gauger/passer/
検査合計 [けんさごうけい] /(n) (comp) checksum/
検査手数料 [けんさてすうりょう] /(n) inspection fee/
検査証明書 [けんさしょうめいしょ] /(n) inspection certificate/
検査数字 [けんさすうじ] /(n) (comp) check digit/
検査文字 [けんさもじ] /(n) (comp) check character/
検査法 [けんさほう] /(n) method of examination or inspection/
検査問題 [けんさもんだい] /(n) (comp) check problem/
検査役 [けんさやく] /(n) inspector/
検索 [けんさく] /(n,vs) looking up (e.g. a word in a dictionary)/retrieval (e.g. data)/searching for/referring to/(P)/
検索インタフェース [けんさくインタフェース] /(n) (comp) search interface/
検索エンジン [けんさくエンジン] /(n) (comp) search engine/
検索エンジンポジショニング [けんさくエンジンポジショニング] /(n) (comp) search engine positioning/
検索エンジンマーケティング [けんさくエンジンマーケティング] /(n) (comp) search engine marketing/
検索エンジン対策 [けんさくエンジンたいさく] /(n) (comp) search engine optimization/
検索ツール [けんさくツール] /(n) (comp) search tool/
検索パス [けんさくパス] /(n) (comp) search path/
検索ポート [けんさくポート] /(n) (comp) retrieval port/
検索ロボット [けんさくロボット] /(n) (comp) search robot/
検索機能 [けんさくきのう] /(n) (comp) lookup function/search function/
検索結果 [けんさくけっか] /(n) (comp) search results/
検索候補 [けんさくこうほ] /(n) search results/
検索項目 [けんさくこうもく] /(n) (comp) search item/
検索時概念組合せ索引作業 [けんさくじがいねんくみあわせさくいんさぎょう] /(n) (comp) post-coordinated indexing/
検索者 [けんさくしゃ] /(n) (comp) searcher/person using a search engine/
検索条件 [けんさくじょうけん] /(n) (comp) search criteria/(P)/
検索速度 [けんさくそくど] /(n) (comp) search speed/
検索表 [けんさくひょう] /(n) taxonomic key/
検索文字列 [けんさくもじれつ] /(n) search string/
検察 [けんさつ] /(n,vs) examination/prosecutor/(P)/
検察官 [けんさつかん] /(n) public prosecutor/(P)/
検察審査会 [けんさつしんさかい] /(n) Committee for the Inquest of Prosecution/
検察庁 [けんさつちょう] /(n) (abbr) Public Prosecutor's Office/(P)/
検札 [けんさつ] /(n,vs) ticket check/
検算 [けんざん] /(n,vs) verification of accounts/checking figures/arithmetic check/
検屍 [けんし] /(n,vs) autopsy/inquest/investigation of death/
検死 [けんし] /(n,vs) autopsy/inquest/investigation of death/
検死官 [けんしかん] /(n) coroner/
検視 [けんし] /(n,vs) autopsy/inquest/investigation of death/(P)/
検事 [けんじ] /(n) public prosecutor/(P)/
検事局 [けんじきょく] /(n) prosecutor's office/
検事控訴 [けんじこうそ] /(n) public prosecutor's appeal/
検事正 [けんじせい] /(n) chief public prosecutor/(P)/
検事総長 [けんじそうちょう] /(n) attorney general/
検字 [けんじ] /(n) stroke-count index/
検車 [けんしゃ] /(n,vs) motor vehicle inspection/
検収 [けんしゅう] /(n,vs) acceptance inspection/collating/receipt and inspection/
検出 [けんしゅつ] /(n,vs) detection/sense (e.g. sensor)/(P)/
検出可能セグメント [けんしゅつかのうセグメント] /(n) (comp) detectable segment/
検出可能要素 [けんしゅつかのうようそ] /(n) (comp) detectable element/
検出器 [けんしゅつき] /(n) detector/
検出装置 [けんしゅつそうち] /(n) detector/detecting device/detecting unit/sensing device/
検出部 [けんしゅつぶ] /(n) (comp) read station/
検証 [けんしょう] /(n,vs) verification/inspection/(P)/
検証試験 [けんしょうしけん] /(n) (comp) verification test/
検真 [けんしん] /(n,vs) (obsc) verification of the authenticity of a document (e.g. by seal or handwriting)/
検診 [けんしん] /(n,vs) (abbr) physical examination/medical examination/health checkup/health screening/(P)/
検針 [けんしん] /(n,vs) inspection of a meter/
検図 [けんず] /(n) drawing check/check of drawing/
検数 [けんすう] /(n,adj-f) tally/
検束 [けんそく] /(n,vs) arrest/custody/detention/
検体 [けんたい] /(n) specimen/sample/
検知 [けんち] /(n,vs) detection/
検知器 [けんちき] /(n) sensor/detector/
検知閾値 [けんちいきち] /(n) detection threshold/
検地 [けんち] /(n,vs) land survey/cadastral survey/
検潮器 [けんちょうき] /(n) tide gauge/
検潮儀 [けんちょうぎ] /(n) tide gauge/
検定 [けんてい] /(n,vs) official certification/approval/inspection/(P)/
検定教科書 [けんていきょうかしょ] /(n) authorized textbook/authorised textbook/
検定試験 [けんていしけん] /(n) certification examination/licensing examination/licensure examination/
検定料 [けんていりょう] /(n) examination fee/
検電器 [けんでんき] /(n) electroscope/
検糖計 [けんとうけい] /(n) blood sugar meter/
検討 [けんとう] /(n,vs) consideration/examination/investigation/study/scrutiny/discussion/(P)/
検討委員会 [けんとういいんかい] /(n) investigative commission/
検討会 [けんとうかい] /(n) investigative commission/
検討結果 [けんとうけっか] /(n) (comp) results of an investigation/
検討図 [けんとうず] /(n) draft (drawing, plan, etc.)/
検討対象 [けんとうたいしょう] /(n) (comp) subject of an investigation/
検討中 [けんとうちゅう] /(n) under investigation/under consideration/under review/pending (decision, etc.)/awaiting verification/
検尿 [けんにょう] /(n,vs) urinalysis/
検認 [けんにん] /(n,vs) (1) probate/(2) validation/certification/accreditation/
検波 [けんぱ] /(n,vs) detecting/
検波器 [けんぱき] /(n) wave gauge/
検番 [けんばん] /(n) (1) geisha call-office/assignation office for geisha/(2) geisha on call/
検番芸者 [けんばんげいしゃ] /(n) geisha belonging to a call-office (usually a skilled geisha)/
検非違使 [けいびいし] /(n) police and judicial chief (Heian and Kamakura periods)/
検非違使 [けびいし] /(n) police and judicial chief (Heian and Kamakura periods)/
検非違使 [けんびいし] /(n) police and judicial chief (Heian and Kamakura periods)/
検非違使庁 [けびいしちょう] /(n) (obsc) office in Heian Kyoto responsible for police and judicial duties/
検非違使庁 [けんびいしちょう] /(n) (obsc) office in Heian Kyoto responsible for police and judicial duties/
検品 [けんぴん] /(n,vs) inspection/
検分 [けんぶん] /(n,vs) inspection/examination/survey/
検便 [けんべん] /(n,vs) stool (feces) examination/
検問 [けんもん] /(n,vs) inspection/examination/(P)/
検問所 [けんもんしょ] /(n) check station/checkpoint/
検問所 [けんもんじょ] /(n) check station/checkpoint/
検流計 [けんりゅうけい] /(n) galvanometer/
検量線 [けんりょうせん] /(n) calibration curve/standard curve/analytical curve/
検痰 [けんたん] /(n,vs) sputum test/
権 [けん] /(n,n-suf) authority/right (to do something)/(P)/
権威 [けんい] /(n) authority/power/influence/(P)/
権威筋 [けんいすじ] /(n) authoritative sources/
権威者 [けんいしゃ] /(n) an authority/
権威主義 [けんいしゅぎ] /(n,adj-no) authoritarianism/
権威主義政府 [けんいしゅぎせいふ] /(n) authoritarian government/
権威的 [けんいてき] /(adj-na) authoritarian/
権益 [けんえき] /(n) (one's) interests/(P)/
権化 [ごんげ] /(n,vs) incarnation/avatar/
権官 [けんかん] /(n) powerful official/
権原 [けんげん] /(n) origin of rights/
権現 [ごんげん] /(n) incarnation/avatar/
権現造 [ごんげんづくり] /(n) style of Shinto architecture in which the main hall and worship hall share one roof, and are connected via an intermediate passageway/
権現造り [ごんげんづくり] /(n) style of Shinto architecture in which the main hall and worship hall share one roof, and are connected via an intermediate passageway/
権限 [けんげん] /(n) power/authority/jurisdiction/(P)/
権限を与える [けんげんをあたえる] /(exp,v1) (comp) to authorize/
権限委譲 [けんげんいじょう] /(n) delegation of authority (power)/devolution/empowerment/
権限内に [けんげんないに] /(adv) within the scope of authority/
権衡 [けんこう] /(n) balance/
権高 [けんだか] /(adj-na,n) pride/haughtiness/
権助 [ごんすけ] /(n) (arch) manservant/
権臣 [けんしん] /(n) influential vassal/powerful retainer/powerful courtier/
権瑞 [ごんずい] /(n) striped eel catfish (Plotosus lineatus) (lat: Plotosus)/
権勢 [けんせい] /(n) power/influence/
権道 [けんどう] /(n) inappropriate means to a worthy end/expediency/
権能 [けんのう] /(n) authority/power/function/
権兵衛 [ごんべえ] /(n) (1) (arch) (derog) country bumpkin/(2) John Doe/used to refer to someone whose name is unknown/
権柄 [けんぺい] /(n) power/authority/
権柄尽く [けんぺいずく] /(n) dictatorial/imperious/
権柄尽く [けんぺいづく] /(n) dictatorial/imperious/
権謀 [けんぼう] /(n) scheme/stratagem/ploy/
権謀術策 [けんぼうじゅっさく] /(n) trickery/wiles/intriguing strategy cleverly designed to fool others/Machiavellism/
権謀術数 [けんぼうじゅっすう] /(n) trickery/wiles/finesse/Machiavellism/
権幕 [けんまく] /(n) threatening attitude/menacing look/angry look/
権門 [けんもん] /(n) powerful family/
権門勢家 [けんもんせいか] /(n) great and powerful person/
権利 [けんり] /(n) right/privilege/(P)/
権利と自由のカナダ憲章 [けんりとじゆうのカナダけんしょう] /(n) Canadian Charter of Rights and Freedoms/
権利を棄てる [けんりをすてる] /(exp,v1) to abandon one's rights/
権利を侵す [けんりをおかす] /(exp,v5s) to infringe upon someone's right/
権利を放棄する [けんりをほうきする] /(exp,vs-i) to waive one's right/to waive a right/
権利金 [けんりきん] /(n) key money (esp. on an apartment)/premium (payment)/
権利行使 [けんりこうし] /(n) exercise of a right/
権利行使価格 [けんりこうしかかく] /(n) exercise price (of an option)/
権利書 [けんりしょ] /(n) title deed/certificate of title/
権利章典 [けんりしょうてん] /(n) Bill of Rights/
権利譲渡 [けんりじょうと] /(n) transfer of rights/demise/quitclaim deed/
権利譲渡証書 [けんりじょうとしょうしょ] /(n) transfer certificate title (lot ownership certificates)/deed of release/
権利付き [けんりつき] /(n) cum rights/
権利放棄 [けんりほうき] /(n) waiver/
権利放棄同意書 [けんりほうきどういしょ] /(n) general release/quit claim agreement/waiver agreement/
権利落ち [けんりおち] /(n) ex rights/
権力 [けんりょく] /(n,adj-no) (political) power/authority/influence/(P)/
権力に媚びる [けんりょくにこびる] /(exp,v1) to be obsequious to power/
権力の座 [けんりょくのざ] /(n) position of power/
権力への意志 [けんりょくへのいし] /(exp) will to power/
権力を握る [けんりょくをにぎる] /(exp,v5r) to seize power/
権力意志 [けんりょくいし] /(n) the will to power (philosophical concept of Nietzsche)/
権力者 [けんりょくしゃ] /(n) powerful or influential person/
権力主義 [けんりょくしゅぎ] /(n) authoritarianism/
権力政治 [けんりょくせいじ] /(n) power politics/
権力争い [けんりょくあらそい] /(n) power struggle/
権力中枢 [けんりょくちゅうすう] /(n) centre of (political) power/
権力闘争 [けんりょくとうそう] /(n) power struggle/
権力欲 [けんりょくよく] /(n) lust for power/
権萃 [ごんずい] /(n) (uk) Euscaphis japonica (species of tree)/
牽く [ひく] /(v5k,vi,vt) (1) to pull/(2) to draw (attention, etc.)/to attract (interest, etc.)/(3) to draw back/(4) to draw (a card)/(5) to draw (plan, line, etc.)/(6) to catch (cold)/(7) to play (string instr.)/(8) to look up (e.g. dictionary)/to consult/(v5k,vt) (9) to haul/to pull (vehicles)/(10) to subtract/(11) to ebb/to fade/(12) to descend (from)/to inherit (a characteristic)/(13) to quote/to raise (as evidence)/(14) to lay (a cable)/to draw (a cable)/
牽引 [けんいん] /(n,vs) hauling/tow/pull/drag/
牽引車 [けんいんしゃ] /(n) (1) tractor/towing vehicle/(2) driving force/leading role/
牽引役 [けんいんやく] /(n) leading force/driving force/leader/
牽引療法 [けんいんりょうほう] /(n) traction therapy/
牽引力 [けんいんりょく] /(n) pulling power/
牽牛子 [けんごし] /(n) morning glory seeds (medicinal use)/
牽牛星 [けんぎゅうせい] /(n) Altair/
牽強 [けんきょう] /(n,vs) distortion of facts/
牽強付会 [けんきょうふかい] /(n,adj-no) farfetched (argument, opinion)/forced (sense, view)/strained (interpretation)/distorted/
牽制 [けんせい] /(n,vs) check/restraint/constraint/diversion/feint/screen/
牽制球 [けんせいきゅう] /(n) throw to check a runner/
牽制作戦 [けんせいさくせん] /(n) diversionary operations/
牽束 [けんそく] /(n) restraint/being exclusively absorbed in something/
牽連 [けんれん] /(n,vs) related to/
犬 [いぬ] /(n) (1) dog (Canis (lupus) familiaris)/(2) snoop (i.e. a detective, a spy, etc.)/(n-pref) (3) counterfeit/inferior/useless/wasteful/(P)/
犬かき [いぬかき] /(n) dog paddle (swimming style)/
犬こうじゅ [いぬこうじゅ] /(n) (uk) Mosla punctulata (plant)/
犬ころ [いぬころ] /(n) pup/puppy/whelp/
犬ぞり [いぬぞり] /(n) dog sled/
犬と猿 [いぬとさる] /(exp) dogs and monkeys (esp. as an example of a bad relationship, like that between cats and dogs)/
犬もあるけば棒に当たる [いぬもあるけばぼうにあたる] /(exp) (1) (id) no matter what you attempt, tragedy may befall you/even a dog, if it walks, will bump into a pole/(2) (id) good luck may come unexpectedly/
犬も食わない [いぬもくわない] /(exp) (id) avoided by everybody/disliked by everybody/lit: not even a dog will eat/
犬も歩けば棒に当たる [いぬもあるけばぼうにあたる] /(exp) (1) (id) no matter what you attempt, tragedy may befall you/even a dog, if it walks, will bump into a pole/(2) (id) good luck may come unexpectedly/
犬も歩けば棒に当る [いぬもあるけばぼうにあたる] /(exp) (1) (id) no matter what you attempt, tragedy may befall you/even a dog, if it walks, will bump into a pole/(2) (id) good luck may come unexpectedly/
犬サフラン [いぬサフラン] /(n) (uk) meadow saffron (Colchicum autumnale)/autumn crocus/naked lady/
犬猿 [けんえん] /(n) dogs and monkeys (esp. as an example of a bad relationship, like that between cats and dogs)/
犬猿の仲 [けんえんのなか] /(n,adj-no) loggerheads (lit: dog and monkey)/like cats and dogs/(P)/
犬黄楊 [いぬつげ] /(n) (uk) Japanese holly (Ilex crenata)/
犬嫌い [いぬぎらい] /(exp) dog hater/dog hating/
犬香じゅ [いぬこうじゅ] /(n) (uk) Mosla punctulata (plant)/
犬香需 [いぬこうじゅ] /(n) (uk) Mosla punctulata (plant)/
犬殺し [いぬころし] /(n) (sl) dogcatcher/person who used to catch dogs and execute them for rabies prevention/
犬酸漿 [いぬほおずき] /(n) black nightshade (plant) (Solanum nigrum L.)/
犬四手 [いぬしで] /(n) (uk) Chonowski's hornbeam (Carpinus tschonoskii)/
犬子 [えのこ] /(n) (arch) puppy/
犬子 [えのころ] /(n) (arch) puppy/
犬死に [いぬじに] /(n,vs) (sens) die in vain/
犬歯 [けんし] /(n,adj-no) eyetooth/cuspid/canine (tooth)/dogtooth/
犬侍 [いぬざむらい] /(n) cowardly or depraved samurai/
犬児 [えのこ] /(n) (arch) puppy/
犬児 [えのころ] /(n) (arch) puppy/
犬舎 [けんしゃ] /(n) kennel/doghouse/
犬種 [けんしゅ] /(n) breed of dog/
犬儒 [けんじゅ] /(n) cynic/
犬儒学派 [けんじゅがくは] /(n) cynic (phil.)/
犬小屋 [いぬごや] /(n) kennel/dog house/
犬食い [いぬくい] /(n,vs) eating like a dog/sloppy eating/
犬食い [いぬぐい] /(n,vs) eating like a dog/sloppy eating/
犬掻き [いぬかき] /(n) dog paddle (swimming style)/
犬畜生 [いぬちくしょう] /(n) mangy cur/low animal/beast/
犬張り子 [いぬはりこ] /(n) papier-mache dog/
犬張子 [いぬはりこ] /(n) papier-mache dog/
犬追物 [いぬおうもの] /(n) dog-hunting event of Kamakura period/
犬釘 [いぬくぎ] /(n) spike/dog nail/
犬笛 [いぬぶえ] /(n) dog whistle/
犬猫 [いぬねこ] /(n) dogs and cats/pets/
犬馬 [けんば] /(n) dogs and horses/one's humble self/
犬馬の労 [けんばのろう] /(n) rendering what little service one can/
犬薄荷 [いぬはっか] /(n) (uk) catnip (Nepeta cataria)/catmint/
犬枇杷 [いぬびわ] /(n) (uk) Ficus erecta (species of ficus)/
犬槙 [いぬまき] /(n) (uk) yew plum pine (Podocarpus macrophyllus)/
犬鷲 [いぬわし] /(n) (uk) golden eagle (Aquila chrysaetos)/
犬椈 [いぬぶな] /(n) (uk) Japanese beech (Fagus japonica)/
犬橇 [いぬぞり] /(n) dog sled/
献げる [ささげる] /(v1,vt) to lift up/to give/to offer/to consecrate/to devote/to sacrifice/to dedicate/
献じる [けんじる] /(v1,vt) to present/to offer/to dedicate/
献ずる [けんずる] /(vz,vt) to present/to offer/to dedicate/
献詠 [けんえい] /(n,vs) poem offering/
献花 [けんか] /(n,vs) flower offering/(P)/
献花台 [けんかだい] /(n) stand, table or altar on which one places donated flowers/
献金 [けんきん] /(n,vs) donation/contribution/offering/(P)/
献金額 [けんきんがく] /(n) amount of a donation/
献金箱 [けんきんばこ] /(n) contribution or donation box/
献血 [けんけつ] /(n,vs) blood donation/(P)/
献血運動 [けんけつうんどう] /(n) a blood drive/
献血者 [けんけつしゃ] /(n) blood donor/
献血車 [けんけつしゃ] /(n) mobile van where blood is collected from donors/bloodmobile/
献言 [けんげん] /(n,vs) right to speak/offering one's opinion to one's superior/proposal/
献策 [けんさく] /(n,vs) suggestion/proposal/
献辞 [けんじ] /(n) dedication/
献酌 [けんしゃく] /(n,vs) offering a drink/
献酬 [けんしゅう] /(n,vs) exchange of sake cups/
献上 [けんじょう] /(n,vs) presenting to/(P)/
献身 [けんしん] /(n,vs) dedication/devotion/
献身的 [けんしんてき] /(adj-na) devoted/
献進 [けんしん] /(n,vs) offering a gift (to a superior)/
献体 [けんたい] /(n,vs) give one's body to a hospital for medical research/
献茶 [けんちゃ] /(n,vs) tea offering to the gods/
献呈 [けんてい] /(n,vs,adj-no) presentation/dedication/
献呈本 [けんていぼん] /(n) presentation book/
献灯 [けんとう] /(n,vs) a votive lantern in a shrine or temple/
献納 [けんのう] /(n,vs) offering/presentation/donation/
献納者 [けんのうしゃ] /(n) donor/contributor/
献納品 [けんのうひん] /(n) donation/contribution/an offering/
献杯 [けんぱい] /(n,vs) offering a drink/
献盃 [けんぱい] /(n,vs) offering a drink/
献物 [けんもつ] /(n) an offering/
献本 [けんぽん] /(n,vs) complimentary copy of a book/
献木 [けんぼく] /(n) donating lumber to a shrine/
献立 [こんだて] /(n) menu/program/programme/schedule/(P)/
献立表 [こんだてひょう] /(n) menu/list of meals (e.g. for the week)/
献饌 [けんせん] /(n) food offering to the gods/
研き [みがき] /(n) polish/improvement/burnishing/
研ぎ [とぎ] /(n) polish/grinding/sharpening/
研ぎ師 [とぎし] /(n) sharpener (of swords) and polisher (of mirrors)/
研ぎ澄ます [とぎすます] /(v5s,vt) to sharpen/to grind/to whet/to hone/to make keen/
研ぎ石 [とぎいし] /(n) knife sharpener/whetstone/
研ぎ物 [とぎもの] /(n) sharpening/
研ぎ物師 [とぎものし] /(n) sharpener (of swords) and polisher (of mirrors)/
研ぎ立て [とぎたて] /(n) just sharpened/
研く [みがく] /(v5k,vt) (1) to polish/to shine/to brush (e.g. teeth)/(2) to refine/to improve/
研ぐ [とぐ] /(v5g,vt) (1) to sharpen/to hone/to whet/to grind/(2) to wash (rice)/(3) to scour/to polish/to burnish/(P)/
研学 [けんがく] /(n,vs) study/
研究 [けんきゅう] /(n,vs) study/research/investigation/(P)/
研究の料 [けんきゅうのりょう] /(n) research materials/
研究グループ [けんきゅうグループ] /(n) (comp) research group/
研究チーム [けんきゅうチーム] /(n) research team/
研究委託契約書 [けんきゅういたくけいやくしょ] /(n) research outsourcing contract/
研究員 [けんきゅういん] /(n) researcher/(P)/
研究家 [けんきゅうか] /(n) researcher/student (of)/(P)/
研究科 [けんきゅうか] /(n) (post)graduate course/
研究課題 [けんきゅうかだい] /(n) research task/
研究会 [けんきゅうかい] /(n) (1) research society/(2) study class (e.g. religious)/(3) seminar (e.g. presentation of research)/
研究開発 [けんきゅうかいはつ] /(n) R and D/research and development/
研究活動 [けんきゅうかつどう] /(n) research activities/
研究官 [けんきゅうかん] /(n) research officer/(P)/
研究機関 [けんきゅうきかん] /(n) research institution/
研究休暇 [けんきゅうきゅうか] /(n) sabbatical/sabbatical leave/
研究教育センター [けんきゅうきょういくセンター] /(n) research and teaching centre (center)/
研究教育拠点 [けんきゅうきょういくきょてん] /(n) center of excellence/COE/
研究結果 [けんきゅうけっか] /(n) results of a scientific investigation/findings/(P)/
研究資料 [けんきゅうしりょう] /(n) material (data) for one's research/research material/
研究室 [けんきゅうしつ] /(n) (1) laboratory/(2) seminar room/(3) professor's office/(P)/
研究室棟 [けんきゅうしつとう] /(n) laboratory block/research laboratory building/
研究者 [けんきゅうしゃ] /(n) researcher/(P)/
研究所 [けんきゅうしょ] /(n) research establishment (institute, laboratory, etc.)/(P)/
研究所 [けんきゅうじょ] /(n) research establishment (institute, laboratory, etc.)/
研究所報 [けんきゅうしょほう] /(n) research institute bulletin/
研究書 [けんきゅうしょ] /(n) monograph/study/
研究心 [けんきゅうしん] /(n) spirit of study (inquiry, enquiry)/(having) an inquiring mind/
研究図書館 [けんきゅうとしょかん] /(n) (comp) research library/
研究成果 [けんきゅうせいか] /(n) research results/
研究生 [けんきゅうせい] /(n) research student/
研究責任者 [けんきゅうせきにんしゃ] /(n) principal investigator/PI/
研究題目 [けんきゅうだいもく] /(n) subject for study (inquiry, enquiry)/laboratory subject/
研究展望報告書 [けんきゅうてんぼうほうこくしょ] /(n) (comp) state of the art report/
研究熱心 [けんきゅうねっしん] /(adj-na) of inquiring mind/eager to study/enthusiastic in studying/
研究発表 [けんきゅうはっぴょう] /(n) research publication/scholarly publication/
研究発表会 [けんきゅうはっぴょうかい] /(n) meeting for reading research papers/
研究費 [けんきゅうひ] /(n) research funds (expenses)/
研究費用 [けんきゅうひよう] /(n) research expenses/research costs/
研究部 [けんきゅうぶ] /(n,suf) research division/research club (e.g. at school, university)/
研究分担者 [けんきゅうぶんたんしゃ] /(n) member (of a research project)/
研究分野 [けんきゅうぶんや] /(n) research area/field of research/
研究報告 [けんきゅうほうこく] /(n) report of (one's) research/research paper/
研究報告書 [けんきゅうほうこくしょ] /(n) (comp) research report/
研究方法 [けんきゅうほうほう] /(n) research methods/method of study (research)/
研究領域 [けんきゅうりょういき] /(n) area of study (investigation)/research area/
研究論文 [けんきゅうろんぶん] /(n) research thesis/treatise/
研削 [けんさく] /(n,vs) grinding/
研削代 [けんさくしろ] /(n) grinding allowance/
研削盤 [けんさくばん] /(n) grinder/grinding machine/
研修 [けんしゅう] /(n,vs) training (esp. in-service)/induction course/(P)/
研修医 [けんしゅうい] /(n) medical intern/resident/
研修医制度 [けんしゅういせいど] /(n) clinical internship system/
研修員 [けんしゅういん] /(n) trainee/
研修課 [けんしゅうか] /(n) training section/
研修会 [けんしゅうかい] /(n) workshop/training course/
研修期間 [けんしゅうきかん] /(n) training period/residency (esp. medical)/internship/
研修所 [けんしゅうじょ] /(n) training institute/
研修生 [けんしゅうせい] /(n) trainee/
研修旅行 [けんしゅうりょこう] /(n) study tour/
研澄ます [とぎすます] /(v5s,vt) to sharpen/to grind/to whet/to hone/to make keen/
研米機 [けんまいき] /(n) rice polisher/
研摩 [けんま] /(iK) (n,vs,adj-no) grinding/polishing/studying/
研磨 [けんま] /(n,vs,adj-no) grinding/polishing/studying/(P)/
研磨機 [けんまき] /(n) grinder/grinding machine/polisher/
研磨材 [けんまざい] /(n) abrasives/
研磨紙 [けんまし] /(n) sandpaper/
研鑽 [けんさん] /(n,vs) study/devoting oneself to one's studies/
研鑚 [けんさん] /(n,vs) study/devoting oneself to one's studies/
硯 [すずり] /(n) inkstone/
硯石 [すずりいし] /(n) (1) inkstone/(2) stone used to make an inkstone/
硯洗い [すずりあらい] /(n) (obsc) event where schoolchildren wash their inkstones, brushes and desks the night before Tanabata to pray for success in their studies/
硯箱 [すずりばこ] /(n) inkstone case/
絹 [きぬ] /(n) silk/(P)/
絹ごし豆腐 [きぬごしどうふ] /(n) silken tofu/soft tofu/
絹ばり [きぬばり] /(n) silk finish/
絹一匹 [きぬいっぴき] /(n) one roll of silk/
絹雲 [けんうん] /(n) cirrus (cloud)/
絹雲母 [きぬうんも] /(n) sericite/
絹猿 [きぬざる] /(n) (uk) (obsc) common marmoset (Callithrix (Callithrix) jacchus)/
絹絵 [きぬえ] /(n) picture on silk/
絹行灯 [きぬあんどん] /(n) silk fixed lantern/
絹漉し [きぬごし] /(n) filtering or straining through silk cloth/
絹漉し豆腐 [きぬごしどうふ] /(n) silken tofu/soft tofu/
絹糸 [きぬいと] /(n) silk thread/
絹糸 [けんし] /(n) silk thread/(P)/
絹糸腺 [けんしせん] /(n) silk gland/
絹糸紡績 [けんしぼうせき] /(n) silk spinning/
絹織物 [きぬおりもの] /(n) silk goods/(P)/
絹針 [きぬばり] /(n) needle for silkwork/
絹積雲 [けんせきうん] /(n) cirrocumulus/
絹層雲 [けんそううん] /(n) cirrostratus/cirrostratus cloud/
絹地 [きぬじ] /(n) silk fabrics/
絹張り [きぬばり] /(n) silk finish/
絹布 [けんぷ] /(n) silk/silk cloth/(P)/
絹物 [きぬもの] /(n) silk goods/
絹本 [けんぽん] /(n) silk used in artwork/
絹綿 [きぬわた] /(n) silk floss/
絹毛鼠 [きぬげねずみ] /(n) (uk) (obsc) hamster (any rodent of subfamily Cricetinae)/
絹目 [きぬめ] /(n) matte finish (e.g. of photographs)/
絹蘭 [きぬらん] /(n) (uk) lawn orchid/soldier's orchid (Zeuxine strateumatica)/
絹莢 [きぬさや] /(n) snow pea/snow peas/mange tout/
県 [あがた] /(n) (1) territory (pre-Taika: under the Yamato court; Heian: under a provincial governor, etc.)/(2) (arch) countryside/
県 [けん] /(n) (1) prefecture (of Japan)/(2) county (of China)/(P)/
県営 [けんえい] /(n,adj-no) prefectural/under prefectural management/(P)/
県下 [けんか] /(n,adj-no) prefecture/(P)/
県花 [けんか] /(n) prefectural flower/floral emblem for a prefecture/
県会 [けんかい] /(n) prefectural assembly/(P)/
県外 [けんがい] /(n,adj-no) outside the prefecture/(P)/
県議 [けんぎ] /(n) prefectural assembly/(P)/
県議会 [けんぎかい] /(n) prefectural assembly/
県級市 [けんきゅうし] /(n) county-level city (of China)/
県境 [けんきょう] /(n) prefectural border/prefectural boundary/
県境 [けんざかい] /(n) prefectural border/prefectural boundary/
県警 [けんけい] /(n) (abbr) prefectural police/(P)/
県警察 [けんけいさつ] /(n) prefectural police/
県警察学校 [けんけいさつがっこう] /(n) prefectural police academy/prefectural police training school/
県警察本部 [けんけいさつほんぶ] /(n) prefectural police headquarters/
県研修所 [けんけんしゅうじょ] /(n) prefectural training institute/
県社 [けんしゃ] /(n) prefectural shrine (of prefectures other than Kyoto and Osaka)/
県主 [あがたぬし] /(n) territorial ruler (Yamato-period)/
県人 [けんじん] /(n) native of a prefecture/
県人会 [けんじんかい] /(n) association of people from the same prefecture/
県勢 [けんせい] /(n) prefectural strengths (conditions, resources)/
県政 [けんせい] /(n) prefectural government/prefectural administration/
県税 [けんぜい] /(n) prefectural tax/
県知事 [けんちじ] /(n) prefectural governor/(P)/
県庁 [けんちょう] /(n) prefectural office/(P)/
県庁所在地 [けんちょうしょざいち] /(n) prefectural capital/
県都 [けんと] /(n) prefectural capital/
県道 [けんどう] /(n) prefectural road/(P)/
県内 [けんない] /(n) within the prefecture/(P)/
県内市外通話 [けんないしがいつうわ] /(n) intraprefectural call/
県病院 [けんびょういん] /(n) prefectural hospital/
県民 [けんみん] /(n) citizens of a prefecture/(P)/
県民会館 [けんみんかいかん] /(n) prefectural meeting hall/
県民税 [けんみんぜい] /(n) tax on the residents of the prefecture/
県有 [けんゆう] /(n) owned by the prefecture/
県立 [けんりつ] /(adj-no,n) prefectural (institution)/(P)/
県立医科大学 [けんりついかだいがく] /(n) prefectural medical school/
県立医大 [けんりついだい] /(n) (abbr) prefectural medical school/
県立医療大学 [けんりついりょうだいがく] /(n) prefectural health sciences university/
県立大学 [けんりつだいがく] /(n) prefectural university/
県立病院 [けんりつびょういん] /(n) prefectural hospital/
県令 [けんれい] /(n) prefectural ordinance/
県連 [けんれん] /(n) prefectural party chapter/
肩 [かた] /(n) shoulder/(P)/
肩あげ [かたあげ] /(n,vs) tuck at the shoulder (of a child's clothes)/shoulder tuck/
肩がこる [かたがこる] /(exp,v5r) (1) to have stiff shoulders/(2) to be ill at ease/(adj-f) (3) serious/sober/
肩が凝る [かたがこる] /(exp,v5r) (1) to have stiff shoulders/(2) to be ill at ease/(adj-f) (3) serious/sober/
肩が張る [かたがはる] /(exp,v5r) to have stiff shoulders/
肩こり [かたこり] /(n) stiff shoulders/
肩ごし [かたごし] /(adv) over one's shoulder/
肩すかし [かたすかし] /(n) (1) dodging/parrying (questions)/(2) under-shoulder swing down (sumo)/
肩たたき [かたたたき] /(n,vs) (1) shoulder massage (performed by tapotement)/(2) tap on the shoulder (request to resign)/
肩で息をする [かたでいきをする] /(exp,vs-i) to breathe heavily (e.g. with much movement of the shoulders)/
肩で風を切る [かたでかぜをきる] /(exp,v5r) to swagger about/
肩に担ぐ [かたにかつぐ] /(exp,v5g) to bear/to shoulder/
肩の荷がおりる [かたのにがおりる] /(exp,v1) to feel relieved of one's burden/to have a weight removed from one's mind/
肩の荷が下りる [かたのにがおりる] /(exp,v1) to feel relieved of one's burden/to have a weight removed from one's mind/
肩をすくめる [かたをすくめる] /(exp,v1) to shrug one's shoulders/
肩を持つ [かたをもつ] /(exp,v5t) to side with/to support/
肩を怒らせる [かたをいからせる] /(exp,v1) to perk up (square) one's shoulders/
肩を並べる [かたをならべる] /(exp,v1) to be on a par with/
肩を落とす [かたをおとす] /(exp,v5s) to drop one's shoulders/
肩を竦める [かたをすくめる] /(exp,v1) to shrug one's shoulders/
肩ロース [かたロース] /(n) shoulder roast (e.g. of lamb)/
肩衣 [かたぎぬ] /(n) (1) sleeveless ceremonial robe for samurai (replacing the Muromachi period suou)/(2) (arch) sleeveless robe worn by commoners/
肩越し [かたごし] /(adv) over one's shoulder/
肩掛け [かたかけ] /(n) shawl/
肩慣らし [かたならし] /(n,vs) warming or limbering up/
肩寄せる [かたよせる] /(exp,v1) to be (standing) together, an arm across the other's shoulder/
肩凝り [かたこり] /(n) stiff shoulders/
肩巾 [ひれ] /(n) (arch) shawl (on shoulder of woman's dress)/
肩口 [かたぐち] /(n) top of the shoulders/tip of the shoulder/collar/
肩甲骨 [けんこうこつ] /(n) shoulder-blade/scapula/
肩甲帯 [けんこうたい] /(n) shoulder girdle/
肩高 [けんこう] /(n) withers (height from ground to shoulder blades in animals)/
肩山 [かたやま] /(n) highest part of the shoulder (of clothing)/
肩車 [かたぐるま] /(n) riding piggyback/riding on someone's shoulders/
肩書 [かたがき] /(n) title/degree/address (on letter)/criminal record/(P)/
肩書き [かたがき] /(n) title/degree/address (on letter)/criminal record/(P)/
肩章 [けんしょう] /(n) shoulder strap/epaulet/epaulette/
肩衝 [かたつき] /(n) tea container having pronounced "shoulders" near the neck/
肩上げ [かたあげ] /(n,vs) tuck at the shoulder (of a child's clothes)/shoulder tuck/
肩身 [かたみ] /(n) shoulders/
肩身が狭い [かたみがせまい] /(exp,adj-i) feeling ashamed/
肩身が広い [かたみがひろい] /(exp) (feeling) proud/
肩身の狭い [かたみのせまい] /(adj-i) ashamed/
肩先 [かたさき] /(n) (top of) shoulder/
肩息 [かたいき] /(n) difficult breathing/heavy breathing/gasping/
肩帯 [けんたい] /(n) pectoral girdle/shoulder girdle/
肩替わり [かたがわり] /(n) takeover/a transfer/shouldering a load/subrogation/
肩代り [かたがわり] /(n) shouldering another's debt/
肩代り信託証書 [かたがわりしんたくしょうしょ] /(n) wrap-around deed of trust/
肩代わり [かたがわり] /(n) shouldering another's debt/(P)/
肩叩き [かたたたき] /(n,vs) (1) shoulder massage (performed by tapotement)/(2) tap on the shoulder (request to resign)/
肩当て [かたあて] /(n) shoulder reinforcement/epaulet/
肩透かし [かたすかし] /(n) (1) dodging/parrying (questions)/(2) under-shoulder swing down (sumo)/
肩透かしを食わせる [かたすかしをくわせる] /(exp,v1) to dodge/
肩入れ [かたいれ] /(n,vs) support/backing/patronage/
肩肘 [かたひじ] /(n) shoulder and elbow/
肩肘張る [かたひじはる] /(v5r) to swagger/to stiffen/
肩部 [けんぶ] /(n) shoulder/
肩幅 [かたはば] /(n,adj-no) shoulder width (breadth)/
肩文字 [かたもじ] /(n) (comp) superscript/
肩揚 [かたあげ] /(n,vs) tuck at the shoulder (of a child's clothes)/shoulder tuck/
肩揚げ [かたあげ] /(n,vs) tuck at the shoulder (of a child's clothes)/shoulder tuck/
肩揚げが取れる [かたあげがとれる] /(exp,v1) to come of age/
肩揚げも取れる [かたあげもとれる] /(exp,v1) to come of age/
肩揚げを下ろす [かたあげをおろす] /(exp,v5s) (1) (obsc) to come of age (for a girl)/(2) (obsc) to lengthen the sleeves of a kimono/
肩胛骨 [けんこうこつ] /(n) shoulder-blade/scapula/
見 [けん] /(n) view (of life, etc.)/outlook/
見 [み] /(n-suf,n) looking/viewing/
見あげる [みあげる] /(v1,vt) (1) to look up at/to raise one's eyes/(2) to look up to/to admire/to respect/
見あたる [みあたる] /(v5r) to be found/
見いだす [みいだす] /(v5s,vt) to find out/to discover/to notice/to select/
見い出す [みいだす] /(io) (v5s,vt) to find out/to discover/to notice/to select/
見うける [みうける] /(v1,vt) to catch sight of/to see/to suppose/to assume from appearances/
見え [みえ] /(n) show/display/appearance/vanity/charm/attraction/
見えざる手 [みえざるて] /(n) invisible hand/
見えすく [みえすく] /(v5k,vi) to be transparent/to be easily seen through/to be obvious/to be apparent/
見えっ張り [みえっぱり] /(n,adj-na) vain person/ostentatious person/show-off/
見えつ隠れつ [みえつかくれつ] /(n,vs) coming into and out of sight/
見える [まみえる] /(v1,vi) (1) (arch) to have an audience/to meet (humble)/to face/(2) to act as a wife for/
見える [みえる] /(v1,vi) (1) to be seen/to be in sight/(2) to look/to seem/to appear/(3) (hon) to come/(P)/
見える化 [みえるか] /(n,vs) visualization/rendering visible (e.g. a problem)/digitization/
見えをはる [みえをはる] /(exp,v5r) to be pretentious/to put on airs/
見えを張る [みえをはる] /(exp,v5r) to be pretentious/to put on airs/
見え隠れ [みえがくれ] /(n,vs) appearing and disappearing/(P)/
見え見え [みえみえ] /(n,adj-no) obvious/transparent/
見え透く [みえすく] /(v5k,vi) to be transparent/to be easily seen through/to be obvious/to be apparent/
見おろす [みおろす] /(v5s,vt) (1) to overlook/to command a view of/to look down on/(2) to despise/to look down on/
見かけ [みかけ] /(n) outward appearance/(P)/
見かけによらず [みかけによらず] /(exp) in contrast to (one's, its) appearance/
見かけによらない [みかけによらない] /(exp) does not match (one's, its) appearance/
見かける [みかける] /(v1,vt) to (happen to) see/to notice/to catch sight of/(P)/
見かけ上 [みかけじょう] /(adj-no) apparent/
見かけ倒し [みかけだおし] /(adj-na,n) false impression/deceptive appearance/mere show/
見くびる [みくびる] /(v5r,vt) to underrate/to belittle/to look down on/to despise/
見ざる聞かざる言わざる [みざるきかざるいわざる] /(exp) see no evil, hear no evil, and speak no evil/
見して [みして] /(exp) (sl) show me/
見しらぬ [みしらぬ] /(adj-pn) unknown/unacquainted/strange/
見す [めす] /(v5s,vt) (1) (hon) (arch) to see/to look/to watch/(2) to rule/to govern/
見すえる [みすえる] /(v1,vt) to gaze at/to stare at/to focus on/to make sure of/
見すてる [みすてる] /(v1,vt) to abandon/to fail/to desert/to forsake/
見すぼらしい [みすぼらしい] /(adj-i) (uk) shabby/seedy/
見す見す [みすみす] /(adv) (uk) before one's own eyes/from under one's very nose/(P)/
見ず知らず [みずしらず] /(adj-no) (1) strange/unfamiliar/unknown/new/(n) (2) unfamiliarity/strangeness/stranger/(P)/
見ず転 [みずてん] /(n) (1) (uk) loose morals (e.g. of a geisha)/easy virtue/(2) impulse/whim/
見せかけ [みせかけ] /(n) seeming/pose/show/pretense/
見せかける [みせかける] /(v1,vt) to pretend/to feign/
見せしめ [みせしめ] /(n) lesson/example/warning/
見せつける [みせつける] /(v1,vt) to display/to show/
見せばや [みせばや] /(n) (uk) Siebold's stonecrop (Hylotelephium sieboldii)/
見せびらかす [みせびらかす] /(v5s,vt) to show off/to flaunt/(P)/
見せる [みせる] /(v1,vt) to show/to display/(P)/
見せパン [みせパン] /(n) pants (underwear) to be (partially) shown/(partially) showing one's pants (underwear)/
見せ掛け [みせかけ] /(n) seeming/pose/show/pretense/(P)/
見せ掛ける [みせかける] /(v1,vt) to pretend/to feign/
見せ金 [みせがね] /(n) displaying money (to prove that one actually has it)/
見せ合う [みせあう] /(v5u) to show each other/
見せ所 [みせどころ] /(n) a place or opportunity to make a display of/
見せ場 [みせば] /(n) highlight scene (of play)/(P)/
見せ付ける [みせつける] /(v1,vt) to display/to show/
見せ物 [みせもの] /(n) show/exhibition/
見たてる [みたてる] /(v1,vt) (1) to select/to choose/(2) to diagnose (an illness)/to judge/(3) to liken to something else/to regard as something else (e.g. to use another person as a mirror)/(4) to see someone off/(5) to look after/to be (someone's) guardian/(6) to underrate/to look down on/to underestimate (someone)/
見たところ [みたところ] /(n) in appearance/to look at/judging from appearances/
見た限りでは [みたかぎりでは] /(exp) from what (I've) seen/given that .../
見た所 [みたところ] /(n) in appearance/to look at/judging from appearances/
見た目 [みため] /(n) appearance/(P)/
見ちがえる [みちがえる] /(v1,vt) to be beyond recognition/to be quite different/
見っともない [みっともない] /(adj-i) (uk) shameful/indecent/(P)/
見つかる [みつかる] /(v5r,vi) (uk) to be found/to be discovered/(P)/
見つくろう [みつくろう] /(v5u,vt) to choose (a thing) at one's own discretion/to use one's discretion in choosing/
見つけだす [みつけだす] /(v5s,vt) to find out/to discover/to locate/
見つける [みつける] /(v1,vt) (1) to discover/to find (e.g. an error in a book)/to come across/to detect/to spot/(2) to locate/to find (e.g. something missing)/to find fault/(3) to be used to seeing/to be familiar with/(P)/
見つけ出す [みつけだす] /(v5s,vt) to find out/to discover/to locate/
見つめる [みつめる] /(v1,vt) (uk) to stare at/to gaze at/to look hard at/to watch intently/to fix one's eyes on/(P)/
見づらい [みづらい] /(adj-i) (1) hard to see/(2) painful to look at/
見てくれ [みてくれ] /(n) appearance/outward show/
見てのとおり [みてのとおり] /(exp) as you see/
見ての通り [みてのとおり] /(exp) as you see/
見てもらう [みてもらう] /(exp,v5u) (1) to see (a doctor, etc.)/(2) to consult (someone)/
見て回る [みてまわる] /(v5r) to look around/to tour/
見て見ぬふり [みてみぬふり] /(exp) pretending not to see something/
見て見ぬ振り [みてみぬふり] /(exp) pretending not to see something/
見て呉れ [みてくれ] /(n) appearance/outward show/
見て取る [みてとる] /(v5r,vt) to perceive/to grasp (the situation)/
見て貰う [みてもらう] /(exp,v5u) (1) to see (a doctor, etc.)/(2) to consult (someone)/
見とがめる [みとがめる] /(v1,vt) to find fault with/to question/
見とれる [みとれる] /(v1,vi) to be fascinated (by)/to watch something in fascination/to be charmed/
見どころ [みどころ] /(n) highlight/promise/(P)/
見なおす [みなおす] /(v5s) (1) to look again/(2) to get a better opinion of/
見なす [みなす] /(v5s,vt) to consider as/to regard (as equivalent)/to deem (as)/to equate/(P)/
見にいく [みにいく] /(exp,v5k-s) to go to see (something, someone)/to visit/
見にくい [みにくい] /(adj-i) (1) hard to see/(2) obscure/indistinct/illegible/
見にくる [みにくる] /(exp,vk) to come and see (someone, something)/to visit/
見に行く [みにいく] /(exp,v5k-s) to go to see (something, someone)/to visit/
見に出かける [みにでかける] /(exp,v1) to go to see (something)/to attend (e.g. game, performance)/
見に出掛ける [みにでかける] /(exp,v1) to go to see (something)/to attend (e.g. game, performance)/
見に来る [みにくる] /(exp,vk) to come and see (someone, something)/to visit/
見ぬが花 [みぬがはな] /(exp) (id) Prospect is often better than possession/
見のがす [みのがす] /(v5s,vt) to miss/to overlook/to leave at large/
見ほれる [みほれる] /(v1,vi) to be fascinated (by)/to watch something in fascination/to be charmed/
見まがう [みまがう] /(v5u,vt) to mistake (A for B)/to misread/
見まごう [みまごう] /(v5u,vt) to mistake (A for B)/to misread/
見まわす [みまわす] /(v5s,vt) to look around/to survey/
見やすい [みやすい] /(adj-i) (1) easy to see/easy to read/(2) easy to understand/(3) (arch) easy to look at/attractive/
見やる [みやる] /(v5r,vt) to look at/to gaze/to stare at/
見よう見まね [みようみまね] /(exp) learning by watching others/learning by imitation/
見る [みる] /(v1,vt) (1) to see/to look/to watch/to view/to observe/(2) to look over/to look on/to assess/to examine/to judge/(3) (uk) to look after/to keep an eye on/to take care of/(4) to view (e.g. flowers, movie)/(5) (uk) to try/(6) (uk) to see that.../to find that.../(P)/
見ると聞くとは大違い [みるときくとはおおちがい] /(exp) (id) There is a great difference between seeing and hearing/
見るに堪えない [みるにたえない] /(exp) (id) so miserable that it is painful to look at/can't bear to look at/painful to watch/
見るに忍びない [みるにしのびない] /(exp) (id) So miserable that it is painful to look at/can't bear to look at/painful to watch/
見るのも汚らわしい [みるのもけがらわしい] /(exp,adj-i) detestable to look at/
見る影もない [みるかげもない] /(exp) (id) mere shadow of one's former self/having no trace left (of former glories, talent, looks, etc.)/
見る影も無い [みるかげもない] /(exp) (id) mere shadow of one's former self/having no trace left (of former glories, talent, looks, etc.)/
見る可き成果 [みるべきせいか] /(n) noticeable (remarkable) result/
見る間に [みるまに] /(exp) quickly, suddenly (while one is watching)/before one's eyes/
見る見る [みるみる] /(adv) very fast/in a twinkle/before one's eyes/(P)/
見る人は見ている [みるひとはみている] /(exp) (id) There are always people with discerning eyes/
見る度に [みるたびに] /(adv) whenever (each time) one sees (it)/
見る目 [みるめ] /(n) a discerning eye/
見る目嗅ぐ鼻 [みるめかぐはな] /(exp) (id) Mrs Grundy/
見れば見るほど [みればみるほど] /(exp) the more one looks (at it) the more.../
見れる [みれる] /(v1) (col) to be able to see/
見わける [みわける] /(v1,vt) (1) to distinguish/to recognize/to recognise/to tell apart/to differentiate (both figuratively and visually)/(2) to identify (whether an object is positive or negative in some aspect)/to know the difference between something of superior and inferior quality (on sight or figuratively)/
見わたす [みわたす] /(v5s,vt) to look out over/to survey (scene)/to take an extensive view of/
見ケ〆料 [みかじめりょう] /(n) protection money/
見ヶ〆料 [みかじめりょう] /(n) protection money/
見易い [みやすい] /(adj-i) (1) easy to see/easy to read/(2) easy to understand/(3) (arch) easy to look at/attractive/
見違い [みちがい] /(n) failing to recognize/failing to recognise/mistaking for/
見違える [みちがえる] /(v1,vt) to be beyond recognition/to be quite different/(P)/
見逸れる [みそれる] /(v1,vt) to overlook/to fail to recognize/to fail to recognise/
見映 [みばえ] /(n) show/display/appearance/vanity/charm/attraction/
見映え [みばえ] /(n) show/display/appearance/vanity/charm/attraction/
見栄 [みえ] /(n) show/display/appearance/vanity/charm/attraction/(P)/
見栄 [みばえ] /(n) show/display/appearance/vanity/charm/attraction/(P)/
見栄え [みばえ] /(n) show/display/appearance/vanity/charm/attraction/(P)/
見栄っぱり [みえっぱり] /(n,adj-na) vain person/ostentatious person/show-off/
見栄っ張り [みえっぱり] /(n,adj-na) vain person/ostentatious person/show-off/
見栄をはる [みえをはる] /(exp,v5r) to be pretentious/to put on airs/
見栄を張る [みえをはる] /(exp,v5r) to be pretentious/to put on airs/
見栄坊 [みえぼう] /(adj-na,n) fop/swell/dude/coxcomb/vain person/
見越し [みこし] /(n,adj-f) (1) anticipation/expectation/(n) (2) looking over (e.g. a fence)/
見越す [みこす] /(v5s,vt) to anticipate/to foresee/
見猿 [みざる] /(n) see-not monkey (one of the three wise monkeys)/
見猿聞か猿言わ猿 [みざるきかざるいわざる] /(exp) see no evil, hear no evil, and speak no evil/
見応え [みごたえ] /(n) worth seeing/impressive/
見憶え [みおぼえ] /(n) remembrance/recollection/recognition/
見下げる [みさげる] /(v1,vt) to look down over/to look down on/
見下げ果てた [みさげはてた] /(adj-f) contemptible/despicable/
見下げ果てる [みさげはてる] /(v1,vt) to despise/to scorn/to look down on/
見下す [みくだす] /(v5s,vt) to despise/to look down on/(P)/
見下ろす [みおろす] /(v5s,vt) (1) to overlook/to command a view of/to look down on/(2) to despise/to look down on/(P)/
見果てぬ [みはてぬ] /(adj-pn) (arch) unfinished/unfulfilled/impossible/
見果てぬ夢 [みはてぬゆめ] /(n) (arch) unfinished dream/unfulfilled dream/impossible dream/
見果てる [みはてる] /(v1,vt) to see through to the finish/to be seen to the end/
見過ごす [みすごす] /(v5s,vt) to let go by/to let pass/to overlook/to miss/(P)/
見過す [みすごす] /(v5s,vt) to let go by/to let pass/to overlook/to miss/
見解 [けんかい] /(n) opinion/point of view/(P)/
見回す [みまわす] /(v5s,vt) to look around/to survey/
見回り [みまわり] /(n) patrolling/
見回る [みまわる] /(v5r,vi) to make one's rounds/to patrol/
見廻す [みまわす] /(v5s,vt) to look around/to survey/
見開き [みひらき] /(n) two pages opposite each other/
見開く [みひらく] /(v5k,vt) to open one's eyes/
見覚え [みおぼえ] /(n) remembrance/recollection/recognition/(P)/
見覚える [みおぼえる] /(v1,vt) to remember/to recollect/to recognize/to recognise/
見較べる [みくらべる] /(v1,vt) to compare with the eye/
見学 [けんがく] /(n,vs) inspection/study by observation/field trip/(P)/
見学者 [けんがくしゃ] /(n) visitor (to factory, lab., etc.)/
見学旅行 [けんがくりょこう] /(n) field trip/observation tour/
見掛け [みかけ] /(n) outward appearance/
見掛けによらず [みかけによらず] /(exp) in contrast to (one's, its) appearance/
見掛けによらない [みかけによらない] /(exp) does not match (one's, its) appearance/
見掛けに依らず [みかけによらず] /(exp) in contrast to (one's, its) appearance/
見掛けに依らない [みかけによらない] /(exp) does not match (one's, its) appearance/
見掛ける [みかける] /(v1,vt) to (happen to) see/to notice/to catch sight of/
見掛け倒し [みかけだおし] /(adj-na,n) false impression/deceptive appearance/mere show/
見掛け変数 [みかけへんすう] /(n) (comp) dummy variable/
見慣らす [みならす] /(v5s) to get used to seeing/to be familar with/
見慣れる [みなれる] /(v1,vi) to become used to seeing/to be familiar with/(P)/
見間違い [みまちがい] /(n) misjudgement/misjudgment/mistake in vision/
見間違える [みまちがえる] /(v1,vt) to take A for B/to mistake A for B/
見詰める [みつめる] /(v1,vt) (uk) to stare at/to gaze at/to look hard at/to watch intently/to fix one's eyes on/(P)/
見境 [みさかい] /(n) distinction/discrimination/
見境なく [みさかいなく] /(adv) indiscriminately/
見境なしに [みさかいなしに] /(exp) indiscriminately/giving no heed to/
見極め [みきわめ] /(n) ascertainment/
見極める [みきわめる] /(v1,vt) to see through/to probe/to make sure of/(P)/
見苦しい [みぐるしい] /(adj-i) unsightly/ugly/(P)/
見計らい送本 [みはからいそうほん] /(n) (comp) sending on approval/sending on approbation/
見計らう [みはからう] /(v5u,vt) to choose at one's own discretion/
見兼ねる [みかねる] /(v1,vt) to be unable to let pass unnoticed/to be unable to be indifferent/
見遣る [みやる] /(v5r,vt) to look at/to gaze/to stare at/
見限る [みかぎる] /(v5r,vt) to give up/to turn one's back/to abandon/(P)/
見誤る [みあやまる] /(v5r,vt) to mistake someone for someone else/to misread/
見交わす [みかわす] /(v5s) to exchange glances/
見向きもしない [みむきもしない] /(exp,adj-i) taking no notice/ignoring/
見向く [みむく] /(v5k,vi) to look around/to look towards (us)/
見好い [みよい] /(adj-i) pleasant to look at/easy to see/
見巧者 [みごうしゃ] /(n) experienced viewer (of theatre, kabuki, etc.)/kabuki connoisseur/
見合 [みあい] /(n,vs) formal marriage interview/marriage meeting/
見合い [みあい] /(n,vs) formal marriage interview/marriage meeting/(P)/
見合い結婚 [みあいけっこん] /(n) arranged marriage/
見合う [みあう] /(v5u) (1) to exchange glances/(2) to correspond/to counterbalance/
見合せ [みあわせ] /(n) (1) looking at each other/(2) postponement/suspension/interruption/
見合せる [みあわせる] /(v1) (1) to exchange glances/to look at each other/(2) to postpone/to suspend operations/to refrain from performing an action/
見合わす [みあわす] /(v5s,vt) (1) to exchange glances/to look at each other/(2) to postpone/to suspend operations/to refrain from performing an action/
見合わせ [みあわせ] /(n) (1) looking at each other/(2) postponement/suspension/interruption/
見合わせる [みあわせる] /(v1) (1) to exchange glances/to look at each other/(2) to postpone/to suspend operations/to refrain from performing an action/(P)/
見合結婚 [みあいけっこん] /(n) arranged marriage/
見惚れる [みとれる] /(v1,vi) to be fascinated (by)/to watch something in fascination/to be charmed/(P)/
見惚れる [みほれる] /(v1,vi) to be fascinated (by)/to watch something in fascination/to be charmed/
見込 [みこみ] /(io) (n) (1) hope/promise/possibility/chance/probability/likelihood/(2) expectation/anticipation/forecast/estimate/(3) side of a structural member/
見込み [みこみ] /(n) (1) hope/promise/possibility/chance/probability/likelihood/(2) expectation/anticipation/forecast/estimate/(3) side of a structural member/(P)/
見込み違い [みこみちがい] /(n) miscalculation/
見込む [みこむ] /(v5m,vt) to anticipate/to estimate/to expect/(P)/
見頃 [みごろ] /(n) best time to see/
見窄らしい [みすぼらしい] /(adj-i) (uk) shabby/seedy/(P)/
見殺し [みごろし] /(n) letting (someone) die without helping/
見参 [けんざん] /(n,vs) seeing/meeting/
見残す [みのこす] /(v5s,vt) to leave unseen or unread/
見始 [みはじめ] /(io) (n) seeing for the first time/first sight/
見始め [みはじめ] /(n) seeing for the first time/first sight/
見事 [みごと] /(adj-na) (1) splendid/magnificent/beautiful/admirable/(n) (2) praiseworthy act/feat/commendable deed/(P)/
見事な木 [みごとなぼく] /(n) magnificent tree/
見識 [けんしき] /(n) views/opinion/discernment/pride/self-respect/(P)/
見識張る [けんしきばる] /(v5r,vi) to assume an air of importance/to stand on one's dignity/
見失う [みうしなう] /(v5u,vt) to lose sight of/to miss/(P)/
見捨てて去る [みすててさる] /(v5r) to leave behind/
見捨てる [みすてる] /(v1,vt) to abandon/to fail/to desert/to forsake/(P)/
見者 [けんしゃ] /(n) sightseer/
見取り図 [みとりず] /(n) a (rough) sketch/
見取る [みとる] /(v5r,vt) to perceive/to understand/
見守る [みまもる] /(v5r,vt) to watch over/to watch attentively/(P)/
見受ける [みうける] /(v1,vt) to catch sight of/to see/to suppose/to assume from appearances/(P)/
見収め [みおさめ] /(n) last look/farewell look/
見習 [みならい] /(io) (n) learn by observation/apprentice/
見習い [みならい] /(n) learn by observation/apprentice/(P)/
見習い工 [みならいこう] /(n) apprentice/
見習う [みならう] /(v5u,vt) to follow another's example/(P)/
見出し [みだし] /(n) (1) heading/headline/title/caption/(2) index/(3) (abbr) headword/(P)/
見出しラベル [みだしラベル] /(n) (comp) beginning-of-file label/header label/HDR/
見出しレコード [みだしレコード] /(n) (comp) header record/
見出し語 [みだしご] /(n) title word/keyword/headword/entry word/
見出す [みいだす] /(v5s,vt) to find out/to discover/to notice/to select/(P)/
見出す [みだす] /(v5s,vt) to find out/to discover/to notice/to select/
見出だす [みいだす] /(v5s,vt) to find out/to discover/to notice/to select/
見初める [みそめる] /(v1,vt) to see for the first time/to fall in love at first sight/
見所 [みどころ] /(n) highlight/promise/(P)/
見上げる [みあげる] /(v1,vt) (1) to look up at/to raise one's eyes/(2) to look up to/to admire/to respect/(P)/
見場 [みば] /(n) appearance/
見神 [けんしん] /(n) beatific vision/
見辛い [みづらい] /(adj-i) (1) hard to see/(2) painful to look at/
見尽くす [みつくす] /(v5s) to see everything/
見据える [みすえる] /(v1,vt) to gaze at/to stare at/to focus on/to make sure of/
見澄ます [みすます] /(v5s,vt) to observe carefully/to make sure/
見世 [みせ] /(n) store/shop/establishment/
見世構え [みせがまえ] /(n) store's appearance (esp. shop front, signs, etc.)/
見世女郎 [みせじょろう] /(n) low-class prostitute who was kept in a sort of cage at the front of the establishment (Edo period)/
見世棚 [みせだな] /(n) (1) (arch) display shelf (in a store)/(2) store/shop/
見世物 [みせもの] /(n) show/exhibition/
見性 [けんしょう] /(n) self-awareness/consciousness of one's own character/
見晴し [みはらし] /(n) view/prospect/outlook/
見晴し台 [みはらしだい] /(n) lookout platform/viewing platform/observation tower/
見晴す [みはらす] /(v5s,vt) to command a view/
見晴らし [みはらし] /(n) view/prospect/outlook/(P)/
見晴らし台 [みはらしだい] /(n) lookout platform/viewing platform/observation tower/
見晴らす [みはらす] /(v5s,vt) to command a view/(P)/
見積 [みつもり] /(io) (n) estimate/estimation/valuation/quotation/
見積もり [みつもり] /(n) estimate/estimation/valuation/quotation/(P)/
見積もる [みつもる] /(v5r) to estimate/
見積り [みつもり] /(n) estimate/estimation/valuation/quotation/(P)/
見積り価格 [みつもりかかく] /(n) quote/estimated price/
見積る [みつもる] /(v5r) to estimate/
見積価格 [みつもりかかく] /(n) quote/estimated price/
見積書 [みつもりしょ] /(n) written estimate/quotation/quote/
見切り [みきり] /(n) abandon/forsake/(P)/
見切りをつける [みきりをつける] /(exp,v1) to give up as hopeless/to wash one's hands (of someone or something)/
見切りを付ける [みきりをつける] /(exp,v1) to give up as hopeless/to wash one's hands (of someone or something)/
見切り線 [みきりせん] /(n) boundary/edge/break line/
見切り売り [みきりうり] /(n) bargain sale/clearance sale/rummage sale/
見切り発車 [みきりはっしゃ] /(n,vs) starting a train before all the passengers are on board/making a snap decision/starting an action without considering objections to it any longer/(P)/
見切り品 [みきりひん] /(n) bargain or clearance goods/
見切る [みきる] /(v5r,vt) to see everything/to abandon/to sell at a loss/
見繕う [みつくろう] /(v5u,vt) to choose (a thing) at one's own discretion/to use one's discretion in choosing/
見送り [みおくり] /(n) seeing one off/farewell/escort/(P)/
見送る [みおくる] /(v5r,vt) (1) to see off (e.g. to the station, an airport, etc.)/to escort (e.g. home)/to farewell/(2) to see out/to send off/(3) to let pass/to wait and see/to continue (e.g. in legal contexts)/(4) to let a pitch go by (baseball)/to watch a batted ball go into the stands/(P)/
見憎い [みにくい] /(adj-i) (1) ugly/unattractive/(2) unsightly/unseemly/
見続ける [みつづける] /(v1) to gaze long at/
見損う [みそこなう] /(v5u,vt) to misjudge/to mistake/to miss seeing/
見損なう [みそこなう] /(v5u,vt) to misjudge/to mistake/to miss seeing/(P)/
見損ねる [みそこねる] /(v1) to miss seeing/
見台 [けんだい] /(n) bookrest/bookholder/
見知 [けんち] /(n,vs) detection/
見知らぬ [みしらぬ] /(adj-pn) unknown/unacquainted/strange/(P)/
見知り [みしり] /(n) recognition/acquaintance/
見知り越し [みしりごし] /(n) being well-known to/
見知る [みしる] /(v5r,vt) to recognise/to know by sight/to become acquainted with/
見地 [けんち] /(n) point of view/(P)/
見張り [みはり] /(n) watch-keeping/guard/lookout/(P)/
見張り所 [みはりしょ] /(n) a lookout/a watchhouse/
見張り台 [みはりだい] /(n) lookout/
見張り番 [みはりばん] /(n) a guard or lookout or watch/
見張る [みはる] /(v5r,vt) to watch/to (stand) guard/to look out/to open one's eyes wide/(P)/
見直し [みなおし] /(n,vs) review/reconsideration/revision/(P)/
見直す [みなおす] /(v5s) (1) to look again/(2) to get a better opinion of/(P)/
見通 [みとおし] /(io) (n) (1) unobstructed view/perspective/visibility/vista/(2) forecast/outlook/prospect/prediction/(3) insight/foresight/
見通し [みとおし] /(n) (1) unobstructed view/perspective/visibility/vista/(2) forecast/outlook/prospect/prediction/(3) insight/foresight/(P)/
見通す [みとおす] /(v5s,vt) to see without obstruction/to forecast/to predict/
見定める [みさだめる] /(v1,vt) to make sure of/to ascertain/to confirm/to grasp/
見渡し [みわたし] /(n) viewing/view/viewpoint/
見渡す [みわたす] /(v5s,vt) to look out over/to survey (scene)/to take an extensive view of/(P)/
見渡せる [みわたせる] /(v1,vt) to look out over/to look onto/
見島牛 [みしまうし] /(n) Mishima cattle/
見当 [けんとう] /(n) aim/mark/estimate/guess/approximation/direction/(P)/
見当がつかない [けんとうがつかない] /(exp) having not the slightest idea/
見当がつく [けんとうがつく] /(exp,v5k) to have a (rough) idea (of what the situation is)/
見当が付かない [けんとうがつかない] /(exp) having not the slightest idea/
見当が付く [けんとうがつく] /(exp,v5k) to have a (rough) idea (of what the situation is)/
見当たらない [みあたらない] /(adj-i) not be found/(P)/
見当たる [みあたる] /(v5r) to be found/(P)/
見当ちがい [けんとうちがい] /(adj-na,n) wrong (guess or estimate)/misdirected/
見当つく [けんとうつく] /(v5k) (col) to have a (rough) idea (of what the situation is)/
見当もつかない [けんとうもつかない] /(exp) having not the slightest idea/
見当る [みあたる] /(v5r) to be found/
見当違い [けんとうちがい] /(adj-na,n) wrong (guess or estimate)/misdirected/
見当付く [けんとうつく] /(v5k) (col) to have a (rough) idea (of what the situation is)/
見蕩れる [みとれる] /(v1,vi) to be fascinated (by)/to watch something in fascination/to be charmed/
見逃がす [みのがす] /(v5s,vt) to miss/to overlook/to leave at large/
見逃し [みのがし] /(n) overlooking/letting a good ball go by/
見逃す [みのがす] /(v5s,vt) to miss/to overlook/to leave at large/(P)/
見透かす [みすかす] /(v5s,vt) to see through/
見透し [みとおし] /(n) (1) unobstructed view/perspective/visibility/vista/(2) forecast/outlook/prospect/prediction/(3) insight/foresight/
見得 [みえ] /(n) pose/posture/
見得を切る [みえをきる] /(exp,v5r) to assume a posture/to pose/to make a defiant (proud) gesture/
見届ける [みとどける] /(v1,vt) to make sure of/to assure oneself of/to see with one's own eyes/to ascertain/(P)/
見馴らす [みならす] /(v5s) to get used to seeing/to be familar with/
見馴れる [みなれる] /(v1,vi) to become used to seeing/to be familiar with/
見難い [みにくい] /(adj-i) (1) hard to see/(2) obscure/indistinct/illegible/
見入る [みいる] /(v5r) to gaze at/to fix one's eyes upon/(P)/
見納め [みおさめ] /(n) last look/farewell look/
見破る [みやぶる] /(v5r,vt) to see through another's thoughts/to have a sharp eye/to penetrate/to fathom/(P)/
見抜く [みぬく] /(v5k,vt) to see through/
見抜ける [みぬける] /(v1) to be transparent/to be penetrable/
見番 [けんばん] /(n) (1) geisha call-office/assignation office for geisha/(2) geisha on call/
見比べる [みくらべる] /(v1,vt) to compare with the eye/(P)/
見付 [みつけ] /(n) (1) approach (to a castle gate)/(2) front of a structural member/
見付かる [みつかる] /(v5r,vi) (uk) to be found/to be discovered/(P)/
見付き [みつき] /(n) (1) appearance/(2) front of a structural member/
見付け [みつけ] /(io) (n) (1) approach (to a castle gate)/(2) front of a structural member/
見付ける [みつける] /(v1,vt) (1) to discover/to find (e.g. an error in a book)/to come across/to detect/to spot/(2) to locate/to find (e.g. something missing)/to find fault/(3) to be used to seeing/to be familiar with/(P)/
見付け出す [みつけだす] /(v5s,vt) to find out/to discover/to locate/
見附 [みつけ] /(n) (1) approach (to a castle gate)/(2) front of a structural member/
見附け [みつけ] /(io) (n) (1) approach (to a castle gate)/(2) front of a structural member/
見附ける [みつける] /(v1,vt) (1) to discover/to find (e.g. an error in a book)/to come across/to detect/to spot/(2) to locate/to find (e.g. something missing)/to find fault/(3) to be used to seeing/to be familiar with/
見附る [みつける] /(io) (v1,vt) (1) to discover/to find (e.g. an error in a book)/to come across/to detect/to spot/(2) to locate/to find (e.g. something missing)/to find fault/(3) to be used to seeing/to be familiar with/
見舞 [みまい] /(n,vs) (1) visiting ill or distressed people/writing get-well letters/(n) (2) get-well gifts/get-well letters/(3) expression of sympathy/expression of concern/enquiry/inquiry/
見舞い [みまい] /(n,vs) (1) visiting ill or distressed people/writing get-well letters/(n) (2) get-well gifts/get-well letters/(3) expression of sympathy/expression of concern/enquiry/inquiry/(P)/
見舞い客 [みまいきゃく] /(n) a visitor to a sick or distressed person/
見舞い金 [みまいきん] /(n) (monetary) present to a person in distress/
見舞い状 [みまいじょう] /(n) get-well card/sympathy letter/
見舞い品 [みまいひん] /(n) goods offered to a person in distress/
見舞う [みまう] /(v5u,vt) to ask after (health)/to visit/(P)/
見舞われる [みまわれる] /(v1,vi) to experience/to witness/to undergo/to suffer/
見仏 [けんぶつ] /(n) (Buddh) seeing Buddha/
見仏聞法 [けんぶつもんぼう] /(n) (Buddh) (obsc) seeing Buddha and hearing his teachings/
見仏聞法 [けんぶつもんぽう] /(n) (Buddh) (obsc) seeing Buddha and hearing his teachings/
見物 [けんぶつ] /(n,vs) sightseeing/sightseer/watching/watcher/(P)/
見物 [みもの] /(n) a sight/an attraction/something worth seeing/
見物人 [けんぶつにん] /(n) spectator/sightseer/onlookers/(P)/
見分け [みわけ] /(n) distinction/(P)/
見分けがつく [みわけがつく] /(exp,v5k) to be able to tell apart/to distinguish/to recognize/
見分けが付く [みわけがつく] /(exp,v5k) to be able to tell apart/to distinguish/to recognize/
見分ける [みわける] /(v1,vt) (1) to distinguish/to recognize/to recognise/to tell apart/to differentiate (both figuratively and visually)/(2) to identify (whether an object is positive or negative in some aspect)/to know the difference between something of superior and inferior quality (on sight or figuratively)/(P)/
見紛う [みまがう] /(v5u,vt) to mistake (A for B)/to misread/
見紛う [みまごう] /(v5u,vt) to mistake (A for B)/to misread/
見聞 [けんぶん] /(n,vs) information/observation/(P)/
見聞 [けんもん] /(n,vs) information/observation/
見聞き [みきき] /(n,vs) information/experience/observation/seeing and hearing/
見聞覚知 [けんもんかくち] /(n) perception through the six senses (of sight, hearing, smell, taste, touch, and consciousness)/
見変える [みかえる] /(v1,vt) to forsake one thing for another/
見返 [みかえし] /(n) (1) endpaper/end paper (of a book)/(2) facing (extra layer of material used to make a garment)/(3) looking back/triumphing over (a rival)/
見返し [みかえし] /(n) (1) endpaper/end paper (of a book)/(2) facing (extra layer of material used to make a garment)/(3) looking back/triumphing over (a rival)/
見返す [みかえす] /(v5s,vt) to look (stare) back at/to triumph over/(P)/
見返り [みかえり] /(n) collateral/(P)/
見返り資金 [みかえりしきん] /(n) collateral (money)/collateral or counterpart fund/
見返り品 [みかえりひん] /(n) collateral security/
見返り物資 [みかえりぶっし] /(n) collateral (goods)/
見返る [みかえる] /(v5r,vi) to look back/
見放す [みはなす] /(v5s,vt) to desert/to abandon/to give up/(P)/
見方 [みかた] /(n) viewpoint/(P)/
見方によっては [みかたによっては] /(n) depending on one's point of view/
見飽きる [みあきる] /(v1,vi) to be tired of looking at/
見忘れる [みわすれる] /(v1,vt) to forget/to fail to recognize/to fail to recognise/
見本 [みほん] /(n,adj-no) sample/(P)/
見本市 [みほんいち] /(n) trade fair/(P)/
見本請求 [みほんせいきゅう] /(n) sample request/
見本組み [みほんぐみ] /(n) specimen page/
見幕 [けんまく] /(n) threatening attitude/menacing look/angry look/
見目 [みめ] /(n) appearance/looks/
見目より心 [みめよりこころ] /(n) a gentle spirit is more important than looks/handsome is as handsome does/
見目形 [みめかたち] /(n) appearance/features/looks/
見目良い [みめよい] /(adj-i) good-looking/
見目麗しい [みめうるわしい] /(adj-i) good-looking/fair/beautiful/
見優り [みまさり] /(n,vs) compare favourably/compare favorably/
見様 [みよう] /(n) point of view/way of seeing/
見様見真似 [みようみまね] /(exp) learning by watching others/learning by imitation/
見落 [みおとし] /(n) oversight/omission/something overlooked/thing left unnoticed/
見落し [みおとし] /(n) oversight/omission/something overlooked/thing left unnoticed/
見落す [みおとす] /(v5s,vt) to overlook/to fail to notice/to miss (seeing)/
見落とし [みおとし] /(n) oversight/omission/something overlooked/thing left unnoticed/
見落とす [みおとす] /(v5s,vt) to overlook/to fail to notice/to miss (seeing)/(P)/
見離す [みはなす] /(v5s,vt) to desert/to abandon/to give up/
見立て [みたて] /(n) (1) choice/selection/(2) diagnosis/medical opinion/(3) judgement/legal opinion/(4) comparison/parodic allusion/
見立てる [みたてる] /(v1,vt) (1) to select/to choose/(2) to diagnose (an illness)/to judge/(3) to liken to something else/to regard as something else (e.g. to use another person as a mirror)/(4) to see someone off/(5) to look after/to be (someone's) guardian/(6) to underrate/to look down on/to underestimate (someone)/
見料 [けんりょう] /(n) admission fee/fee for having one's fortune told/
見劣り [みおとり] /(n,vs) unfavourable comparison/unfavorable comparison/
見劣りがする [みおとりがする] /(exp,vs-i) to compare unfavorably (unfavourably, poorly) with/to be not so good as/
見做す [みなす] /(v5s,vt) to consider as/to regard (as equivalent)/to deem (as)/to equate/
見咎める [みとがめる] /(v1,vt) to find fault with/to question/
見戍る [みまもる] /(iK) (v5r,vt) to watch over/to watch attentively/
見縊る [みくびる] /(v5r,vt) to underrate/to belittle/to look down on/to despise/(P)/
見霽かす [みはるかす] /(v5s,vt) to enjoy a panoramic view/
謙そん [けんそん] /(adj-na,n,adj-no) humble/humility/modesty/
謙る [へりくだる] /(v5r,vi) to deprecate oneself and praise the listener/to abase oneself/
謙虚 [けんきょ] /(adj-na,n) modesty/humility/(P)/
謙辞 [けんじ] /(n) modest word/humble language/
謙称 [けんしょう] /(n,vs) refer to modestly/
謙譲 [けんじょう] /(adj-na,n) modesty/humility/
謙譲の美徳 [けんじょうのびとく] /(n) modest virtue/
謙譲語 [けんじょうご] /(n) (ling) humble language (e.g. itadaku)/
謙遜 [けんそん] /(adj-na,n,adj-no) humble/humility/modesty/(P)/
謙遜語 [けんそんご] /(n) (obsc) humble language/
謙抑 [けんよく] /(adj-na,n) humbling oneself/
賢 [かしこ] /(exp) (uk) (fem) yours sincerely (used to sign off on letters)/respectfully yours/
賢 [けん] /(n,adj-na) (arch) intelligence/genius/scholarship/virtue/
賢い [かしこい] /(adj-i) wise/clever/smart/(P)/
賢しい [さかしい] /(adj-i) (uk) sagacious/intelligent/
賢しら [さかしら] /(adj-na,n) impertinent/
賢愚 [けんぐ] /(n) the wise and the foolish/
賢兄 [けんけい] /(pn,adj-no) wise elder brother/polite reference to another's older brother, or to one's senior/
賢妻 [けんさい] /(n) wise (house)wife/
賢才 [けんさい] /(n) man of ability/gifted man/
賢察 [けんさつ] /(n,vs) discernment/
賢者 [けんじゃ] /(n) wise man/sage/
賢者の石 [けんじゃのいし] /(n) philosopher's stone/
賢主 [けんしゅ] /(n) wise master/
賢所 [かしこどころ] /(n) a palace sanctuary/
賢所 [けんしょ] /(n) a palace sanctuary/
賢臣 [けんしん] /(n) wise and able retainer/
賢人 [けんじん] /(n) wise man/(P)/
賢弟 [けんてい] /(pn,adj-no) wise younger brother/polite reference to another's younger brother, or to one's junior/
賢哲 [けんてつ] /(n) wise man/
賢夫人 [けんぷじん] /(n) wise wife/
賢母 [けんぼ] /(n) wise mother/(P)/
賢明 [けんめい] /(adj-na,n) wisdom/intelligence/prudence/(P)/
賢木 [さかき] /(n) (1) sakaki (species of evergreen sacred to Shinto, Cleyera japonica)/(2) evergreen (esp. one planted or used at a shrine)/
賢慮 [けんりょ] /(n) a wise idea/polite reference to another's consideration/
軒 [けん] /(suf,ctr) houses/buildings/
軒 [のき] /(n) (1) eaves/(2) narrow aisle surrounding the core of a temple building/(P)/
軒下 [のきした] /(n) under the overhang of a Japanese roof/
軒丸瓦 [のきまるがわら] /(n) eave-end roof tile (comprising a convex semi-cylindrical tile and a decorative pendant)/
軒昂 [けんこう] /(adj-t,adv-to) high-spirited/being in high spirits/
軒丈 [のきたけ] /(n) height from the ground to a building's eaves/
軒数 [けんすう] /(n) number of houses/
軒先 [のきさき] /(n) edge of the eaves/house frontage/(P)/
軒端 [のきば] /(n) eaves/edge of the eaves/
軒天 [のきてん] /(n) eave/
軒灯 [けんとう] /(n) lamp or electric light at the eaves of a house/door light/
軒燈 [けんとう] /(oK) (n) lamp or electric light at the eaves of a house/door light/
軒忍 [のきしのぶ] /(n) (uk) Lepisorus thunbergiana (species of fern)/
軒樋 [のきどい] /(n) rain gutter/roof gutter/eaves gutter/
軒平瓦 [のきひらがわら] /(n) eave-end roof tile (comprising a broadly concave tile and near-rectangular decorative cap)/
軒並 [のきなみ] /(n-adv,n) (1) row of houses/every door/(2) totally/altogether/across the board/(P)/
軒並み [のきなみ] /(n-adv,n) (1) row of houses/every door/(2) totally/altogether/across the board/(P)/
軒別 [けんべつ] /(n) house to house/
軒荵 [のきしのぶ] /(n) (uk) Lepisorus thunbergiana (species of fern)/
軒輊 [けんち] /(n,vs) high and low/disparity/
遣い [つかい] /(n) (1) errand/mission/going as envoy/(2) messenger/bearer/errand boy/errand girl/(3) familiar spirit/(n-suf,n-pref) (4) use/usage/user/trainer/tamer/charmer/
遣い果す [つかいはたす] /(v5s,vt) to use up/to squander/
遣い果たす [つかいはたす] /(v5s,vt) to use up/to squander/
遣い手 [つかいて] /(n) (1) user/consumer/employer/(2) master (e.g. of swordsmanship)/(3) prodigal/spendthrift/
遣い切る [つかいきる] /(v5r,vt) to use up/to exhaust/to wear out/
遣い物 [つかいもの] /(n) present/gift/bribe/usable article/
遣い方 [つかいかた] /(n) way to use something/treatment/management (of help)/
遣う [つかう] /(v5u,vt) (1) to use (a thing, method, etc.)/to make use of/to put to use/(2) to use (a person, animal, puppet, etc.)/to employ/to handle/to manage/to manipulate/(3) to use (time, money, etc.)/to spend/to consume/(4) to use (language)/to speak/(5) (id) to take (one's lunch)/to circulate (bad money)/
遣す [よこす] /(v5s,vt) (1) to send/to forward/(2) to hand over (e.g. money)/
遣っつける [やっつける] /(v1,vt) to beat/to attack (an enemy)/to do away with/to finish off/
遣ってみる [やってみる] /(exp,v1) to have a go/to try and do (something)/to take a chance with something/
遣って見る [やってみる] /(exp,v1) to have a go/to try and do (something)/to take a chance with something/
遣って行く [やっていく] /(v5k-s) to live/to make a living/to get on with/
遣って退ける [やってのける] /(v1,vt) to succeed (in doing)/to pull something off/to manage (to do a job)/
遣っ付ける [やっつける] /(v1,vt) to beat/to attack (an enemy)/to do away with/to finish off/
遣っ付け仕事 [やっつけしごと] /(n) rush job/quick-and-dirty work/
遣らかす [やらかす] /(v5s,vt) to perpetrate/to do/to be guilty of/
遣らずの雨 [やらずのあめ] /(exp) rain that starts to fall as though trying to prevent a guest from leaving/
遣らずぶったくり [やらずぶったくり] /(exp) all take and no give/rip-off/
遣らずぼったくり [やらずぼったくり] /(exp) all take and no give/rip-off/
遣らずもがな [やらずもがな] /(exp) (arch) needn't be done/as well not to do/shouldn't have been done/
遣られる [やられる] /(v1) (uk) to suffer damage/to be deceived/
遣りこなす [やりこなす] /(v5s,vt) (uk) to manage (to do successfully)/to get through/
遣りっ放し [やりっぱなし] /(adj-no,adj-na) unfinished/incomplete/
遣りつける [やりつける] /(v1,vt) to be accustomed to/to be used to/to argue into silence/to talk down/
遣りなおす [やりなおす] /(v5s,vt) to do over again/to redo/to start over/to remake/to resume/to recommence/
遣り過ぎ [やりすぎ] /(n,adj-no) overkill/(something) overdone/
遣り過ぎる [やりすぎる] /(v1) to overdo/to go too far/to go to excess/
遣り過す [やりすごす] /(v5s,vt) (1) to let something (or somebody) go past/(2) to do too much/
遣り掛け [やりかけ] /(n) (uk) unfinished/in progress/
遣り繰り [やりくり] /(n,vs) (uk) making do/getting by (somehow)/managing/
遣り繰り算段 [やりくりさんだん] /(n,vs) managing to get by/
遣り口 [やりくち] /(n) way/method/
遣り甲斐 [やりがい] /(n) (uk) being worth doing/
遣り合う [やりあう] /(v5u,vt) to compete with/to argue with/to quarrel/
遣り込める [やりこめる] /(v1,vt) to talk down/to corner someone in an argument/
遣り残し [やりのこし] /(n) things left undone/
遣り残す [やりのこす] /(v5s) to leave undone/
遣り取り [やりとり] /(n,vs) giving and taking/exchange (of letters)/arguing back and forth/(conversational) exchange/
遣り手 [やりて] /(n) (1) doer/(2) giver/(3) skilled person/capable person/shrewd person/go-getter/hotshot/(4) brothel madam/
遣り手婆 [やりてばば] /(n) brothel madam/
遣り熟す [やりこなす] /(v5s,vt) (uk) to manage (to do successfully)/to get through/
遣り出す [やりだす] /(v5s,vt) to begin/
遣り場 [やりば] /(n) place of refuge (figurative)/outlet (for an emotion, anger, etc.)/
遣り水 [やりみず] /(n) (1) stream (in a Japanese garden)/narrow stream flowing through a traditional garden (esp. in a Heian period villa)/(2) watering (potted plants, bonsai, etc.)/
遣り遂げる [やりとげる] /(v1,vt) to accomplish/
遣り切れない [やりきれない] /(adj-i) unbearable/intolerable/too much/
遣り損じ [やりそんじ] /(n) mistake/error/blunder/failure/
遣り損じる [やりそんじる] /(v1,vt) (1) to botch/to bungle/to fail/(2) to drive badly (e.g. a car)/
遣り損ずる [やりそんずる] /(vz,vt) (1) to botch/to bungle/to fail/(2) to drive badly (e.g. a car)/
遣り損なう [やりそこなう] /(v5u) to fail/
遣り直し [やりなおし] /(n,vs) redoing/
遣り直す [やりなおす] /(v5s,vt) to do over again/to redo/to start over/to remake/to resume/to recommence/
遣り通す [やりとおす] /(v5s) to carry through/to achieve/to complete/
遣り逃げ [やりにげ] /(n) (sl) (vulg) having sex with a woman and then breaking off contact with her (esp. after telling her that you love her)/wham-bam-thank-you-ma'am/hit it and quit it/fuck and chuck/
遣り抜く [やりぬく] /(v5k,vt) to carry out to completion/to accomplish/
遣り付ける [やりつける] /(v1,vt) to be accustomed to/to be used to/to argue into silence/to talk down/
遣り返す [やりかえす] /(v5s,vt) to do over/to answer or fire back/to retort/
遣り方 [やりかた] /(n) manner of doing/way/method/means/
遣る [やる] /(v5r,vt) (1) (uk) (col) to do/(2) to have sexual intercourse/(3) to kill/(4) to give (to inferiors, animals, etc.)/(aux-v) (5) to do for (inferiors)/(6) to send (e.g. somebody somewhere)/to dispatch (e.g. letter) (despatch)/(7) to move (something to)/to row (a boat)/(8) (used in place of other verb) to have (eat, drink, smoke)/to study/to run or operate (a restaurant)/
遣る気 [やるき] /(n) willingness (e.g. to do something)/eagerness/motivation/inspiration/determination/high aspirations/
遣る気充分 [やるきじゅうぶん] /(exp) sufficiently motivated (to do something)/
遣る気十分 [やるきじゅうぶん] /(exp) sufficiently motivated (to do something)/
遣る瀬ない [やるせない] /(adj-i) helpless/cheerless/miserable/disconsolate/dreary/downhearted/
遣る瀬無い [やるせない] /(adj-i) helpless/cheerless/miserable/disconsolate/dreary/downhearted/
遣わす [つかわす] /(v5s,vt) to send/to dispatch/to despatch/
遣外 [けんがい] /(n,adj-no) dispatched abroad/despatched abroad/
遣手 [やりて] /(io) (n) (1) doer/(2) giver/(3) skilled person/capable person/shrewd person/go-getter/hotshot/(4) brothel madam/
遣水 [やりみず] /(io) (n) (1) stream (in a Japanese garden)/narrow stream flowing through a traditional garden (esp. in a Heian period villa)/(2) watering (potted plants, bonsai, etc.)/
遣直 [やりなおし] /(n,vs) redoing/
遣唐使 [けんとうし] /(n) envoy (to T'ang China)/(P)/
遣米 [けんべい] /(n) sending to America/
遣悶 [けんもん] /(n,vs) driving away melancholy/
遣隋使 [けんずいし] /(n) Japan's envoy to Sui dynasty China/
鍵 [かぎ] /(n) (1) key/(2) lock/(P)/
鍵 [けん] /(n) key (of a piano, etc.)/
鍵がかかる [かぎがかかる] /(exp,v5r) to become locked (e.g. of automatic locking)/
鍵が掛かる [かぎがかかる] /(exp,v5r) to become locked (e.g. of automatic locking)/
鍵っ子 [かぎっこ] /(n) latchkey child/
鍵の手 [かぎのて] /(n) section of road that is curved on purpose as a defensive measure/
鍵の配布 [かぎのはいふ] /(n) (comp) key distribution/
鍵をかける [かぎをかける] /(exp,v1) to lock/
鍵を握る [かぎをにぎる] /(exp,v5r) to hold the key/
鍵を掛ける [かぎをかける] /(exp,v1) to lock/
鍵屋 [かぎや] /(n) locksmith/
鍵管理 [かぎかんり] /(n) (comp) key management/
鍵穴 [かぎあな] /(n) keyhole/
鍵穴趣味 [かぎあなしゅみ] /(n) voyeurism/
鍵束 [かぎたば] /(n) bunch of keys/
鍵盤 [けんばん] /(n) keyboard (e.g. piano, computer)/
鍵盤楽器 [けんばんがっき] /(n) keyboard (keyed) instrument/
険 [けん] /(n,adj-na) (1) steepness/steep place/(2) harsh (look)/sharp (tongue)/
険しい [けわしい] /(adj-i) (1) precipitous/rugged/inaccessible/impregnable/steep/(2) grim/severe/stern/(P)/
険しい顔 [けわしいかお] /(n) grim face/
険しい顔つき [けわしいかおつき] /(n) grim look/
険しい言葉 [けわしいことば] /(n) harsh language/
険しい山 [けわしいやま] /(n) steep (craggy) mountain/
険しい声 [けわしいこえ] /(n) sharp voice/
険しい表情 [けわしいひょうじょう] /(n) stern expression/severe expression/grim expression/
険しい目 [けわしいめ] /(n) grim stare/stern look/
険しい路 [けわしいみち] /(n) steep street/
険のある目 [けんのあるめ] /(n) sharp look/
険の有る目 [けんのあるめ] /(n) sharp look/
険悪 [けんあく] /(adj-na,n) dangerous/serious/gloomy/perilous/threatening/stormy/(P)/
険悪の相 [けんあくのそう] /(n) a wild look/
険峻 [けんしゅん] /(adj-na,n) steep/precipitous/
険阻 [けんそ] /(adj-na,n) precipice/steep (e.g. mountain pass)/
険相 [けんそう] /(adj-na,n) forbidding look/uncanny look/
険呑 [けんのん] /(adj-na,n) risky/dangerous/insecure/
険難 [けんなん] /(adj-na,n) steep/dangerous/
険難 [けんのん] /(adj-na,n) risky/dangerous/insecure/
険路 [けんろ] /(n) steep path/
顕 [あらわ] /(adj-na) (1) exposed/scanty/bare/unconcealed/naked/(2) public/open/
顕 [けん] /(n,adj-na) (1) (arch) exposure/clarity/(n) (2) (abbr) exoteric Buddhism/
顕す [あらわす] /(v5s,vt) (1) to reveal/to show/to display/(2) to express/(3) to represent/to signify/to stand for/(4) to make widely known/
顕れ [あらわれ] /(n) embodiment/manifestation/materialization/materialisation/expression/indication/
顕われる [あらわれる] /(v1,vi) (1) to appear/to come in sight/to become visible/to come out/to embody/to materialize/to materialise/(2) to be expressed (e.g. emotions)/to become apparent (e.g. trends, effects)/
顕花植物 [けんかしょくぶつ] /(n,adj-no) flowering plant/
顕界 [げんかい] /(n) this world/present world (as opposed to the realm of the dead)/
顕教 [けんきょう] /(n) (Buddh) exoteric Buddhist teachings/
顕教 [けんぎょう] /(n) (Buddh) exoteric Buddhist teachings/
顕現 [けんげん] /(n,vs) manifestation/
顕在 [けんざい] /(n,vs) actual (as opposed to hidden or obscured)/actualized/actualised/(P)/
顕在化 [けんざいか] /(n,vs) being actualized/being actualised/
顕示 [けんじ] /(n,vs) revelation/
顕示性 [けんじせい] /(n) (comp) highlighting/
顕示選好 [けんじせんこう] /(n) revealed preference/
顕彰 [けんしょう] /(n,vs) manifesting/displaying/honouring/honoring/(P)/
顕職 [けんしょく] /(n) prominent or high post/
顕性 [けんせい] /(n,adj-no) (obsc) dominance/
顕正 [けんしょう] /(n) (Buddh) revealing or demonstrating the truth/
顕正 [けんせい] /(n) (Buddh) revealing or demonstrating the truth/
顕生代 [けんせいだい] /(n,adj-no) Phanerozoic/
顕然 [けんぜん] /(adj-na,n) being clear or manifest/
顕著 [けんちょ] /(adj-na,n) remarkable/striking/obvious/(P)/
顕熱 [けんねつ] /(n) sensible heat/
顕微 [けんび] /(adj-na,n) microscopic/
顕微鏡 [けんびきょう] /(n) microscope/(P)/
顕微鏡写真 [けんびきょうしゃしん] /(n) photomicrograph/microphotograph/
顕微受精 [けんびじゅせい] /(n) intra-cytoplasmic sperm injection/ICSI/
顕揚 [けんよう] /(n,vs) extolling/exalting/
顕要 [けんよう] /(adj-na,n) of great prominence or dignity/
験 [しるし] /(n) (1) mark/(2) symbol/(3) evidence/
験 [ためし] /(n) trial/test/
験し [ためし] /(n) trial/test/
験す [ためす] /(v5s,vt) to attempt/to test/to try out/
験する [けんする] /(vs-s) to attempt/to test/to try out/
験の証拠 [げんのしょうこ] /(n) (uk) Thunberg's geranium (Geranium thunbergii)/
験を担ぐ [げんをかつぐ] /(exp,v5g) to be superstitious/
験算 [けんざん] /(n,vs) verification of accounts/checking figures/arithmetic check/
験者 [けんざ] /(n) mountaineering ascetic/practitioner of mountain asceticism/
験者 [けんじゃ] /(n) mountaineering ascetic/practitioner of mountain asceticism/
験担ぎ [げんかつぎ] /(n) superstition/acting superstitiously (for good luck)/
験直し [げんなおし] /(n) Trying to change one's luck/
鹸化 [けんか] /(n,vs) saponification/conversion to soap/
元 [げん] /(n) (1) (math) unknown (e.g. in an equation)/(2) (math) element (of a set)/(3) yuan (monetary unit of China)/(4) Yuan dynasty (China)/
元 [もと] /(n) (1) origin/source/(2) base/foundation/(3) cause/(4) ingredient/(5) (somebody's) side/(somebody's) location/(6) original cost (or capital, principal, etc.)/(7) trunk/(8) first section of a waka/(P)/
元 [もと] /(n,adj-no,n-adv,n-pref) former/ex-/
元々 [もともと] /(adv,adj-no) originally/by nature/from the start/(P)/
元い [もとい] /(int) (1) (uk) (in calisthenics) return to your original position!/(2) er, rather (used in speech to correct yourself)/
元が掛かる [もとがかかる] /(exp,v5r) to be expensive/to cost much/
元に戻す [もとにもどす] /(exp,v5s) to go back to the start/to reset/to restore/to return to the point (of a discussion)/to reconstitute/
元の所に納める [もとのところにおさめる] /(exp,v1) to put (a thing) back in its place/
元の鞘に収まる [もとのさやにおさまる] /(exp,v5r) to bury the hatchet/to make up/
元の通り [もとのとおり] /(n) as it was before/
元の木阿弥 [もとのもくあみ] /(n) ending up right back where one started/
元は [もとは] /(exp) originally/
元へ [もとへ] /(int) (1) (in calisthenics) return to your original position!/(2) er, rather (used in speech to correct yourself)/
元も子もない [もともこもない] /(exp) losing everything/having lost the interest and the principal/
元やん [もとやん] /(n) (abbr) (col) (sl) reformed delinquent/former delinquent youth/
元より [もとより] /(adv) (1) from the beginning/from the first/all along/originally/(2) of course/(P)/
元をただす [もとをただす] /(exp,v5s) to go to the bottom of an affair/to inquire into the origin/
元をたどる [もとをたどる] /(exp,v5r) to trace back to (the origins of something)/
元を正す [もとをただす] /(exp,v5s) to go to the bottom of an affair/to inquire into the origin/
元を切って売る [もとをきってうる] /(exp,v5r) to sell under prime cost/to sell at a loss/
元を辿る [もとをたどる] /(exp,v5r) to trace back to (the origins of something)/
元を糺す [もとをただす] /(exp,v5s) to go to the bottom of an affair/to inquire into the origin/
元カノ [もとカノ] /(n) (abbr) (sl) former girlfriend/
元カレ [もとカレ] /(n) (abbr) (sl) former boyfriend/
元ネタ [もとネタ] /(n) inspiration (for)/source (of)/parody/mimicry/fake/
元ヤン [もとヤン] /(n) (abbr) (col) (sl) reformed delinquent/former delinquent youth/
元ヤンキー [もとヤンキー] /(n) (col) reformed delinquent/former delinquent youth/
元悪 [げんあく] /(n) head gangster/
元永 [げんえい] /(n) Gen'ei era (1118.4.3-1120.4.10)/
元応 [げんおう] /(n) Gen'ou era (1319.4.28-1321.2.23)/
元価 [げんか] /(n) cost price/
元歌 [もとうた] /(n) original song/
元気 [げんき] /(adj-na,n) health(y)/robust/vigor/vigour/energy/vitality/vim/stamina/spirit/courage/pep/(P)/
元気いっぱい [げんきいっぱい] /(adj-na,adv,n) brimming with health (vigor)/full of vitality/full of health/
元気づける [げんきづける] /(v1,vt) to pep up/to cheer up/
元気はつらつ [げんきはつらつ] /(n,adj-na) full of energy/full of liveliness/full of pep/
元気よく [げんきよく] /(adv) cheerfully/vigorously/
元気を出す [げんきをだす] /(exp,v5s) to cheer up (often used with command or request form addressing someone else)/
元気を付ける [げんきをつける] /(exp,v1) to encourage/to give courage to/
元気一杯 [げんきいっぱい] /(adj-na,adv,n) brimming with health (vigor)/full of vitality/full of health/
元気印 [げんきじるし] /(n) mark of liveliness/sign of activity/
元気旺盛 [げんきおうせい] /(n,adj-na) brimming with vitality/full of vigor/full of life/
元気過ぎる [げんきすぎる] /(v1) to be too energetic/
元気者 [げんきもの] /(n) live wire (a person)/
元気出して [げんきだして] /(exp) keep up your strength/chin up!/
元気出せよ [げんきだせよ] /(exp) lighten up!/cheer up!/
元気溌剌 [げんきはつらつ] /(n,adj-na) full of energy/full of liveliness/full of pep/
元気付く [げんきづく] /(v5k) to get encouraged/to become heightened in spirits/to recover one's strength/
元気付ける [げんきづける] /(v1,vt) to pep up/to cheer up/
元気良く [げんきよく] /(adv) cheerfully/vigorously/
元亀 [げんき] /(n) Genki era (1570.4.23-1573.7.28)/
元久 [げんきゅう] /(n) Genkyuu era (1204.2.20-1206.4.27)/
元亨 [げんこう] /(n) Genkou era (1321.2.23-1324.12.9)/
元兇 [げんきょう] /(n) chief instigator/ringleader/
元凶 [がんきょう] /(n) (1) ringleader/main culprit/(2) main cause/source/(P)/
元凶 [げんきょう] /(n) (1) ringleader/main culprit/(2) main cause/source/
元金 [がんきん] /(n,adj-no) capital/principal/(P)/
元金 [もときん] /(n,adj-no) capital/principal/
元勲 [げんくん] /(n) elder statesman/
元軍 [げんぐん] /(n) (obsc) Yuan-Dynasty Chinese-Mongolian military/
元型 [げんけい] /(n) archetype/
元慶 [がんぎょう] /(n) Gangyou era (877.4.16-885.2.21)/Genkei era/
元慶 [げんけい] /(n) Gangyou era (877.4.16-885.2.21)/Genkei era/
元結 [もっとい] /(n) (paper) cord for tying the hair/
元結 [もとい] /(n) (paper) cord for tying the hair/
元結 [もとゆい] /(n) (paper) cord for tying the hair/
元結い [もっとい] /(n) (paper) cord for tying the hair/
元結い [もとい] /(n) (paper) cord for tying the hair/
元結い [もとゆい] /(n) (paper) cord for tying the hair/
元元 [もともと] /(adv,adj-no) originally/by nature/from the start/
元交際相手 [もとこうさいあいて] /(n) former boyfriend/former girlfriend/
元弘 [げんこう] /(n) Genkou era (1331.8.9-1334.1.29)/
元高 [もとだか] /(n) principal (e.g. in a loan)/
元号 [げんごう] /(n) era name/(P)/
元込め [もとごめ] /(n) breech-loading/
元込め銃 [もとごめじゅう] /(n) breechloader/
元妻 [もとつま] /(n) ex-wife/former wife/
元三 [がんざん] /(n-adv,n-t) New Year's period (January 1st to 3rd)/
元始 [げんし] /(n) origin/
元始祭 [げんしさい] /(n) Shinto Festival of Origins (January 3rd)/
元治 [げんじ] /(n) Genji era (1864.2.20-1865.4.7)/
元社長 [もとしゃちょう] /(n) former president of a company/
元手 [もとで] /(n) funds/capital/stock/
元首 [げんしゅ] /(n) ruler/sovereign/(P)/
元首相 [もとしゅしょう] /(n) former Prime Minister/former Chancellor/
元鞘 [もとさや] /(n) returning to normal after all is said and done/
元職 [げんしょく] /(n) former job/former position/
元仁 [げんにん] /(n) Gennin era (1224.11.20-1225.4.20)/
元帥 [げんすい] /(n) (field) marshal/(fleet) admiral/general of the army/(P)/
元帥府 [げんすいふ] /(n) Supreme Military Council (1898-1945)/
元姓 [げんせい] /(n) former surname/original surname/
元正 [がんしょう] /(n) (obsc) New Year's Day/
元請け [もとうけ] /(n) prime contract work or contractor/
元請け人 [もとうけにん] /(n) master contractor/
元請け負い人 [もとうけおいにん] /(n) master contractor/
元栓 [もとせん] /(n) stopcock (gas, water)/
元祖 [がんそ] /(n,adj-no) originator/founder/pioneer/inventor/(P)/
元素 [げんそ] /(n,adj-no) chemical element/(P)/
元素記号 [げんそきごう] /(n) chemical symbol (i.e. H for hydrogen, O for oxygen, etc.)/
元素周期律 [げんそしゅうきりつ] /(n) (obsc) periodic table of the elements/
元素周期律表 [げんそしゅうきりつひょう] /(n) (obsc) periodic law/
元旦 [がんたん] /(n) New Year's Day/(P)/
元値 [もとね] /(n) cost/
元値が切れる [もとねがきれる] /(exp,v1) to be below the cost/to sell below cost/
元中 [げんちゅう] /(n) Genchuu era (of the Southern Court) (1384.4.28-1392.10.5)/
元帳 [もとちょう] /(n) ledger/
元帳残高 [もとちょうざんだか] /(n) ledger balance/
元朝 [がんちょう] /(n) New Year's morning/
元朝 [げんちょう] /(n) Yuan Dynasty/Mongol Dynasty/
元通り [もとどおり] /(adj-na,n-t) as before/as ever/
元締 [もとじめ] /(n) manager/boss/controller/promoter/
元締め [もとじめ] /(n) manager/boss/controller/promoter/
元徳 [げんとく] /(n) Gentoku era (1329.8.29-1331.8.9)/
元日 [がんじつ] /(n) New Year's Day/(P)/
元日 [がんにち] /(n) New Year's Day/
元入金 [もとにゅうきん] /(n) capital/
元年 [がんねん] /(n-adv,n-t) first year (of a specific reign)/(P)/
元売 [もとうり] /(n) direct sale by the producer/
元売り [もとうり] /(n) direct sale by the producer/
元肥え [もとごえ] /(n) first fertilizing/first fertilising/
元標 [げんぴょう] /(n) zero milestone/
元夫 [もとおっと] /(n) ex-husband/former husband/
元服 [げんぶく] /(n,vs) ceremony of attaining manhood/
元服 [げんぷく] /(n,vs) ceremony of attaining manhood/
元払い [もとばらい] /(n) prepayment/
元文 [げんぶん] /(n) Gembun era (1736.4.28-1741.2.27)/
元方 [もとかた] /(n) capitalist/wholesaler/
元本 [がんぽん] /(n) principal (invest.)/capital/(P)/
元本 [げんぽん] /(n) principal (invest.)/capital/
元来 [がんらい] /(n-adv) originally/primarily/essentially/logically/naturally/(P)/
元利 [がんり] /(n) principal and interest/
元利 [げんり] /(n) principal and interest/
元暦 [げんりゃく] /(n) Genryaku era (1184.4.16-1185.8.14)/
元老 [げんろう] /(n) (1) elder statesman/doyen/old-timer/authority/(2) Genro (member of a pre-WWII body that informally advised the emperor)/(P)/
元老院 [げんろういん] /(n) (Roman) senate/
元禄 [げんろく] /(n) Genroku era (1688.9.30-1704.3.13)/(P)/
元禄袖 [げんろくそで] /(n) short and round sleeves of a kimono/
元和 [げんな] /(n) Genna era (1615.7.13-1624.2.30)/
元和 [げんわ] /(n) (obsc) Genwa era, Genna era (1615.7.13-1624.2.30)/
元寇 [げんこう] /(n) the Mongol Invasion/
原 [げん] /(pref) original/primitive/primary/fundamental/raw/
原 [はら] /(n) field/plain/prairie/tundra/moor/wilderness/(P)/
原 [ばら] /(n-suf) suffixed to words indicating a class of people to create a plural (esp. in impolite contexts)/
原ＥＩＴ [げんイーアイティー] /(n) (comp) original-EITs/
原っぱ [はらっぱ] /(n) open field/empty lot/plain/(P)/
原チャ [げんチャ] /(n) (abbr) (sl) motor scooter/moped/motorized bicycle/
原チャリ [げんチャリ] /(n) (abbr) (sl) motor scooter/moped/motorized bicycle/
原案 [げんあん] /(n) original plan/original bill/motion/draft/draught/(P)/
原案委員会 [げんあんいいんかい] /(n) draft committee/draught committee/
原意 [げんい] /(n) original meaning/
原因 [げんいん] /(n,vs) cause/origin/source/(P)/
原因において自由な行為 [げんいんにおいてじゆうなこうい] /(exp) actio libera in causa/
原因究明 [げんいんきゅうめい] /(n,vs) investigation to determine the cause (of)/tracing something back to its origin/
原因結果 [げんいんけっか] /(n) cause and effect/causality/
原因調査 [げんいんちょうさ] /(n) investigation (to determine the cause of something)/
原因不明 [げんいんふめい] /(n,adj-no) cause unknown/
原因療法 [げんいんりょうほう] /(n,adj-no) definitive therapy/
原液 [げんえき] /(n) undiluted solution (of)/
原猿類 [げんえんるい] /(n) prosimian/
原音 [げんおん] /(n) fundamental tone/
原価 [げんか] /(n) cost price/(P)/
原価を割って [げんかをわって] /(exp) below cost/
原価管理 [げんかかんり] /(n) cost management/cost tracking/
原価計算 [げんかけいさん] /(n) cost accounting/
原価主義 [げんかしゅぎ] /(n) cost basis/cost principle/
原画 [げんが] /(n) original picture/(P)/
原画像 [げんがぞう] /(n) original image/
原核細胞 [げんかくさいぼう] /(n) prokaryotic cell/
原核生物 [げんかくせいぶつ] /(n) prokaryote/procaryote/
原器 [げんき] /(n) standard (for weights and measures)/
原義 [げんぎ] /(n) original meaning/(P)/
原級 [げんきゅう] /(n) (1) one's former grade/(2) (ling) positive grade/
原級に留める [げんきゅうにとどめる] /(exp,v1) to keep (a student) back (to repeat a grade)/
原牛 [げんぎゅう] /(n) aurochs/urus (extinct ancestor of the modern cow, Bos taurus)/
原拠 [げんきょ] /(n) grounds/basis/
原曲 [げんきょく] /(n) original song/original melody/
原句 [げんく] /(n) original passage (in document)/
原型 [げんけい] /(n,adj-no) prototype/model/pattern/archetypal/(P)/
原形 [げんけい] /(n) original form/base form/(P)/
原形質 [げんけいしつ] /(n) protoplasm/plasma/
原形不定詞 [げんけいふていし] /(n) (ling) bare infinitive/root infinitive/
原語 [げんご] /(n) original word/original language/
原口 [げんこう] /(n) blastopore/
原稿 [げんこう] /(n) manuscript/copy/(P)/
原稿を寄せる [げんこうをよせる] /(exp,v1) to contribute an article/
原稿稼ぎ [げんこうかせぎ] /(n) living on one's writing/
原稿紙 [げんこうし] /(n) manuscript paper/
原稿台 [げんこうだい] /(n) (comp) copy holder/
原稿用紙 [げんこうようし] /(n) Japanese writing paper/(P)/
原稿料 [げんこうりょう] /(n) payment for a manuscript/
原鉱 [げんこう] /(n) (raw) ore/
原告 [げんこく] /(n) plaintiff/accuser/prosecutor/(P)/
原告対被告 [げんこくたいひこく] /(n) plaintiff versus defendant/
原告適格 [げんこくてきかく] /(n) standing (of a legal case, e.g. whether there are grounds to prosecute)/
原裁判 [げんさいばん] /(n) original judgment/original judgement/
原裁判所 [げんさいばんしょ] /(n) original court/court of first instance/
原材料 [げんざいりょう] /(n) raw materials/(P)/
原罪 [げんざい] /(n) original sin/
原作 [げんさく] /(n,adj-no) original work/(P)/
原作者 [げんさくしゃ] /(n) original author (of a work)/
原索動物 [げんさくどうぶつ] /(n) protochordate/
原産 [げんさん] /(n,adj-no) place of origin/habitat/(P)/
原産地 [げんさんち] /(n) place of origin/home/habitat/(P)/
原産物 [げんさんぶつ] /(n) primary product/
原史時代 [げんしじだい] /(n) protohistory (the period between prehistory and history)/
原始 [げんし] /(n,adj-no) origin/primeval/(P)/
原始プログラム [げんしプログラム] /(n) (comp) source program/
原始モジュール [げんしモジュール] /(n) (comp) source module/compilation unit/
原始教会 [げんしきょうかい] /(n) the early church/the primitive church/
原始言語 [げんしげんご] /(n) (comp) source language/
原始時代 [げんしじだい] /(n,adj-no) primitive times/
原始宗教 [げんししゅうきょう] /(n) primitive religion/
原始人 [げんしじん] /(n) primitive man/
原始星 [げんしせい] /(n) protostar/
原始的 [げんしてき] /(adj-na) primitive/original/
原始動物 [げんしどうぶつ] /(n) protozoa/
原始文書型 [げんしぶんしょがた] /(n) (comp) source document type (of a link)/
原始要素型 [げんしようそがた] /(n) (comp) source element type (of a link)/
原始林 [げんしりん] /(n) primeval forest/virgin forest/
原子 [げんし] /(n) atom/(P)/
原子エネルギー [げんしエネルギー] /(n) atomic energy/
原子雲 [げんしうん] /(ik) (n) atomic cloud/
原子雲 [げんしぐも] /(n) atomic cloud/
原子価 [げんしか] /(n) valence/atomic value/
原子核 [げんしかく] /(n,adj-no) nucleus (atomic)/(P)/
原子核工学 [げんしかくこうがく] /(n) nucleonics/nuclear engineering/
原子核分裂 [げんしかくぶんれつ] /(n) nuclear fission/
原子核崩壊 [げんしかくほうかい] /(n) (obsc) nuclear decay/
原子時計 [げんしどけい] /(n) atomic clock/
原子時代 [げんしじだい] /(n) atomic age/
原子症 [げんししょう] /(n) symptoms of atomic illness/
原子説 [げんしせつ] /(n) atomic theory/
原子戦 [げんしせん] /(n) atomic war/
原子戦争 [げんしせんそう] /(n) atomic war/
原子層エピタキシー [げんしそうエピタキシー] /(n) atomic layer epitaxy/ALE/atomic layer deposition/ALD/
原子団 [げんしだん] /(n) group (of atoms)/
原子弾頭 [げんしだんとう] /(n) atomic warhead/
原子破壊機 [げんしはかいき] /(n) cyclotron/
原子爆弾 [げんしばくだん] /(n,adj-no) atomic bomb/A-bomb/
原子爆発 [げんしばくはつ] /(n) atomic explosion/
原子番号 [げんしばんごう] /(n) atomic number/
原子病 [げんしびょう] /(n) radiation sickness/
原子物理学 [げんしぶつりがく] /(n) atomic physics/nuclear physics/
原子物理学の父 [げんしぶつりがくのちち] /(n) father of atomic physics/
原子物理学者 [げんしぶつりがくしゃ] /(n) nuclear physicist/
原子兵器 [げんしへいき] /(n) atomic weapons/
原子砲 [げんしほう] /(n) atomic cannon/
原子量 [げんしりょう] /(n) atomic weight/
原子力 [げんしりょく] /(n,adj-no) atomic energy/nuclear power/(P)/
原子力安全・保安院 [げんしりょくあんぜん・ほあんいん] /(n) Nuclear and Industrial Safety Agency/NISA/
原子力安全委員会 [げんしりょくあんぜんいいんかい] /(n) Nuclear Safety Commission/
原子力安全保安院 [げんしりょくあんぜんほあんいん] /(n) Nuclear and Industrial Safety Agency/NISA/
原子力委員会 [げんしりょくいいんかい] /(n) Atomic Energy Commission (US)/
原子力学 [げんしりきがく] /(n) atomic mechanics/
原子力基本法 [げんしりょくきほんほう] /(n) Atomic Energy Basic Law/
原子力空母 [げんしりょくくうぼ] /(n) nuclear-powered aircraft carrier/
原子力研究所 [げんしりょくけんきゅうじょ] /(n) Atomic Energy Research Institute/
原子力工学 [げんしりょくこうがく] /(n) nuclear engineering/
原子力財産保険 [げんしりょくざいさんほけん] /(n) nuclear energy property insurance/
原子力施設 [げんしりょくしせつ] /(n) nuclear power facility/NPF/nuclear facility/nuclear installation/
原子力時代 [げんしりょくじだい] /(n) atomic age/
原子力潜水艦 [げんしりょくせんすいかん] /(n) nuclear submarine/
原子力船 [げんしりょくせん] /(n) nuclear(-powered) ship (vessel)/
原子力損害賠償法 [げんしりょくそんがいばいしょうほう] /(n) Atomic Energy Damage Compensation Law (1961)/
原子力発電 [げんしりょくはつでん] /(n) nuclear power generation (of electricity)/
原子力発電所 [げんしりょくはつでんしょ] /(n) nuclear power plant/nuclear power station/
原子炉 [げんしろ] /(n) atomic reactor/nuclear reactor/(P)/
原子炉衛星 [げんしろえいせい] /(n) nuclear-powered satellite/
原子炉格納容器 [げんしろかくのうようき] /(n) containment vessel/reactor container (nuclear reactor)/
原子論 [げんしろん] /(n) atomic theory/atomism/
原糸 [げんし] /(n) thread for weaving/
原紙 [げんし] /(n) (1) stencil/template/(2) silkworm egg sheet/
原詩 [げんし] /(n) original poem/
原資 [げんし] /(n) capital/principal/(P)/
原資料 [げんしりょう] /(n) (comp) original source/
原種 [げんしゅ] /(n) pure breed/
原酒 [げんしゅ] /(n) unprocessed sake/unblended whisky (whiskey)/
原住民 [げんじゅうみん] /(n) (sens) native people/aboriginal/(P)/
原獣類 [げんじゅうるい] /(n) prototherians/
原初 [げんしょ] /(n) origin(al)/source/first/
原初元 [げんしげん] /(n) (math) primitive element (of a finite field)/
原書 [げんしょ] /(n) original document/(P)/
原状 [げんじょう] /(n) original state/
原色 [げんしょく] /(n) primary colour/primary color/(P)/
原色写真版 [げんしょくしゃしんばん] /(n) tricolor printing/tricolour printing/
原色版 [げんしょくばん] /(n) tricolor printing/tricolour printing/
原審 [げんしん] /(n) original sentence/
原振クロック [げんしんクロック] /(n) master clock/atomic clock/
原振動 [げんしんどう] /(n) fundamental vibration/
原人 [げんじん] /(n) primitive man/(P)/
原図 [げんず] /(n) original drawing/
原水爆 [げんすいばく] /(n) atom and hydrogen bomb/(P)/
原寸 [げんすん] /(n,adj-no) actual size/full size/
原寸大 [げんすんだい] /(n) actual size/full size/
原成岩 [げんせいがん] /(n) primary rocks/
原成岩石 [げんせいがんせき] /(n) primary rocks/
原生 [げんせい] /(n) spontaneous generation/primeval/primitive/(P)/
原生生物 [げんせいせいぶつ] /(n) protist/protistan/protoctist/
原生代 [げんせいだい] /(n) Proterozoic era/
原生動物 [げんせいどうぶつ] /(n,adj-no) protozoan/
原生保護 [げんせいほご] /(n) wilderness preservation/
原生林 [げんせいりん] /(n) primeval forest/virgin forest/
原石 [げんせき] /(n) (raw) ore/
原籍 [げんせき] /(n) original domicile/permanent address/
原籍地 [げんせきち] /(n) (one's) domicile/
原潜 [げんせん] /(n) (abbr) nuclear submarine/(P)/
原繊維 [げんせんい] /(n) raw fibers/raw fibres/minute fibers/minute fibres/
原素 [げんそ] /(n,adj-no) chemical element/
原像 [げんぞう] /(n) original statue/
原則 [げんそく] /(n) principle/general rule/(P)/
原則として [げんそくとして] /(adv) as a general rule/
原則的 [げんそくてき] /(adj-na) general/
原体験 [げんたいけん] /(n) formative experience (from one's youth)/
原隊 [げんたい] /(n) one's home unit/
原題 [げんだい] /(n) original title/
原茸 [はらたけ] /(n) (uk) field mushroom (Agaricus campestris)/meadow mushroom/
原単位 [げんたんい] /(n) output level (e.g. in manufacturing)/consumption rate (e.g. fuel, power)/intensity/
原注 [げんちゅう] /(n) the original notes/
原虫 [げんちゅう] /(n,adj-no) protozoan/
原註 [げんちゅう] /(n) the original notes/
原著 [げんちょ] /(n) the original work/
原著者 [げんちょしゃ] /(n) author/
原腸 [げんちょう] /(n) archenteron/
原綴 [げんてつ] /(n) (1) original spelling or kana usage/(2) spelling in original language (for words transliterated into another language or script)/
原綴 [もとつづり] /(n) (1) original spelling or kana usage/(2) spelling in original language (for words transliterated into another language or script)/
原綴り [もとつづり] /(n) (1) original spelling or kana usage/(2) spelling in original language (for words transliterated into another language or script)/
原典 [げんてん] /(n) original (text)/
原点 [げんてん] /(n) origin (coordinates)/starting point/(P)/
原点に帰る [げんてんにかえる] /(exp,v5r) to go back to the starting point/
原点に返る [げんてんにかえる] /(exp,v5r) to go back to the starting point/
原糖 [げんとう] /(n) unrefined sugar/
原頭 [げんとう] /(n) the field/the parade ground/
原動 [げんどう] /(n) motive/
原動機 [げんどうき] /(n) motor/
原動機付き自転車 [げんどうきつきじでんしゃ] /(n) motorized bicycle/
原動機付自転車 [げんどうきつきじでんしゃ] /(n) motorized bicycle/
原動力 [げんどうりょく] /(n) motive power/driving force/(P)/
原乳 [げんにゅう] /(n) raw milk/fresh milk/
原爆 [げんばく] /(n) (abbr) atomic bomb/A-bomb/(P)/
原爆犠牲者 [げんばくぎせいしゃ] /(n) atomic bomb victim/
原爆症 [げんばくしょう] /(n) atomic-bomb sickness/symptoms of radiation sickness caused by an atomic-bomb (i.e. high fever, nausea)/illness caused by atomic-bomb radiation exposure (i.e. leukemia, malignant tumors)/
原発 [げんぱつ] /(n) (1) (abbr) nuclear power plant/nuclear power generation/(adj-no,n,vs) (2) primary (e.g. primary immunodeficiency syndrome)/(P)/
原発銀座 [げんぱつぎんざ] /(n) area where a string of nuclear power plants are located/
原発事故 [げんぱつじこ] /(n) accident at a nuclear power generation plant/nuclear accident/
原発震災 [げんぱつしんさい] /(n) combined earthquake and nuclear power plant disaster/
原発性胆汁性肝硬変 [げんぱつせいたんじゅうせいかんこうへん] /(n) primary biliary cirrhosis/
原発性肺高血圧症 [げんぱつせいはいこうけつあつしょう] /(n) primary pulmonary hypertension/
原発性免疫不全症 [げんぱつせいめんえきふぜんしょう] /(n) (obsc) primary immunodeficiency syndrome/
原発性免疫不全症候群 [げんぱつせいめんえきふぜんしょうこうぐん] /(n) primary immunodeficiency syndrome/
原発巣 [げんぱつそう] /(n) primary lesion/
原判決 [げんはんけつ] /(n) original decision/
原板 [げんばん] /(n) negative (of a picture)/
原板 [げんぱん] /(n) negative (of a picture)/
原版 [げんばん] /(n) typesetting plates (books)/mold/mould/pressing plates (records)/original edition/
原版 [げんぱん] /(n) typesetting plates (books)/mold/mould/pressing plates (records)/original edition/
原盤 [げんばん] /(n) original recording/
原盤権 [げんばんけん] /(n) master license (recording)/
原被 [げんぴ] /(n) plaintiff and defendant/
原尾類 [げんびるい] /(n) (obs) proturans/
原票 [げんぴょう] /(n) stub (of a checkbook, chequebook)/
原品 [げんぴん] /(n) the original article/
原付き [げんつき] /(n) scooter/low power "motorized" bicycle (motorised)/moped/
原付一種 [げんつきいっしゅ] /(n) motorcycle, less than or equal to 50cc/
原付二種 [げんつきにしゅ] /(n) motorcycle, less than or equal to 125cc/
原符号化情報種別表示 [げんふごうかじょうほうしゅべつひょうじ] /(n) (comp) original encoded information types indication/
原物 [げんぶつ] /(n) the original/
原文 [げんぶん] /(n,adj-no) the text/original/(P)/
原文語 [げんぶんご] /(n) (comp) text word/
原文名 [げんぶんめい] /(n) (comp) text-name/
原簿 [げんぼ] /(n) ledger/original record/register/
原本 [げんぽん] /(n) the original/original copy/script/(P)/
原末 [げんまつ] /(n) (abbr) base powder/bulk powder/
原民 [げんみん] /(n) aborigines/
原綿 [げんめん] /(n) raw cotton/
原毛 [げんもう] /(n) raw wool/
原木 [げんぼく] /(n) pulpwood/
原野 [げんや] /(n) waste land/wilderness/moor/field/plain/(P)/
原野商法 [げんやしょうほう] /(n) the selling of waste land (worthless property) by unscrupulous real-estate developers/
原薬 [げんやく] /(n) (bulk) drug substance/
原油 [げんゆ] /(n) crude oil/(P)/
原油価格 [げんゆかかく] /(n) crude oil price/
原油供給 [げんゆきょうきゅう] /(n) oil supply/
原油生産 [げんゆせいさん] /(n) oil production/
原油流出 [げんゆりゅうしゅつ] /(n) (crude) oil spill/
原由 [げんゆう] /(n) reason/cause/
原理 [げんり] /(n) principle/theory/fundamental truth/(P)/
原理とパラメータのアプローチ [げんりとパラメータのアプローチ] /(n) principles and parameters approach/
原理主義 [げんりしゅぎ] /(n) fundamentalism/
原理主義者 [げんりしゅぎしゃ] /(n) fundamentalist/
原料 [げんりょう] /(n) raw materials/(P)/
原料粉末 [げんりょうふんまつ] /(n) base powder/bulk powder/
原論 [げんろん] /(n) theory/principles/
厳 [げん] /(adj-t,adv-to) strict/stern/
厳い [いかつい] /(adj-i) grim/stern/
厳か [おごそか] /(adj-na,n) austere/majestic/dignified/stately/awful/impressive/(P)/
厳かな儀式 [おごそかなぎしき] /(n) solemn ceremony/
厳しい [いかめしい] /(adj-i) (1) severe/strict/rigid/unsparing/relentless/(2) stern/austere/grave/solemn/majestic/(3) intense (cold)/
厳しい [きびしい] /(adj-i) (1) severe/strict/rigid/unsparing/relentless/(2) stern/austere/grave/solemn/majestic/(3) intense (cold)/(P)/
厳しい暑さ [きびしいあつさ] /(n) intense heat/
厳しい批評 [きびしいひひょう] /(n) severe criticism/
厳しさ [きびしさ] /(n) severity/strictness/intensity/(P)/
厳つい [いかつい] /(adj-i) grim/stern/
厳として [げんとして] /(exp,adv) strictly/solemnly/
厳に [げんに] /(adv,vs) strictly/severely/rigidly/fortify/strengthen/secure/
厳めしい [いかめしい] /(adj-i) (1) severe/strict/rigid/unsparing/relentless/(2) stern/austere/grave/solemn/majestic/(3) intense (cold)/
厳めしい顔付き [いかめしいかおつき] /(n) grave (stern) look/
厳科 [げんか] /(n) severe punishment/rigorous measures/
厳戒 [げんかい] /(n,vs,adj-no) strict guard/(P)/
厳戒態勢 [げんかいたいせい] /(n,adj-no) high alert/a state of high alert/on alert/
厳格 [げんかく] /(adj-na,n) severe/rigid/strictness/rigor/rigour/austerity/(P)/
厳寒 [げんかん] /(n) intense cold/
厳寒の候 [げんかんのこう] /(n,adj-no) the coldest season (weather)/
厳禁 [げんきん] /(n,vs) strict prohibition/ban/interdiction/(P)/
厳君 [げんくん] /(n) your honored father/your honoured father/
厳訓 [げんくん] /(n) strict instruction/
厳刑 [げんけい] /(n) severe punishment/
厳酷 [げんこく] /(adj-na,n) severity/rigor/rigour/
厳旨 [げんし] /(n) strict order/your order/
厳守 [げんしゅ] /(n,vs) strict observance/adherence/scrupulous compliance/(P)/
厳重 [げんじゅう] /(adj-na,n) strict/rigour/rigor/severe/firm/strong/secure/(P)/
厳重注意 [げんじゅうちゅうい] /(n) reprimand/stern warning/
厳粛 [げんしゅく] /(adj-na,n) gravity/solemnity/severity/seriousness/dignity/rigor/rigour/austerity/(P)/
厳暑 [げんしょ] /(n) extreme heat/
厳正 [げんせい] /(adj-na,n) strictness/impartiality/exactness/rigidness/
厳正科学 [げんせいかがく] /(n) exact science/
厳正中立 [げんせいちゅうりつ] /(adj-na,n) strict neutrality/
厳責 [げんせき] /(n,vs) strong reprimand/rebuke/
厳選 [げんせん] /(n,vs) careful selection/
厳然 [げんぜん] /(n,adj-t,adv-to) grave/solemn/majestic/stern/authoritative/
厳存 [げんそん] /(n,vs) real existence/
厳達 [げんたつ] /(n,vs) strict order/
厳探 [げんたん] /(n,vs) strict search/sharp lookout/
厳談 [げんだん] /(n,vs) strong protest/demand for an explanation/serious talk/
厳冬 [げんとう] /(n) severe winter/
厳冬期 [げんとうき] /(n) coldest period/
厳罰 [げんばつ] /(n) severe punishment/rigorous measures/(P)/
厳秘 [げんぴ] /(n,adj-no) strict secret/top-secret/
厳美渓 [げんびけい] /(n) Genbi Gorge (Ichinoseki-shi, Iwate-ken)/
厳父 [げんぷ] /(n) your honored father/your honoured father/
厳封 [げんぷう] /(n,vs) sealing hermetically/
厳密 [げんみつ] /(adj-na,n) strict/close/(P)/
厳密にいうと [げんみつにいうと] /(exp) strictly speaking/
厳密にいえば [げんみつにいえば] /(exp) strictly speaking/
厳密に言うと [げんみつにいうと] /(exp) strictly speaking/
厳密に言えば [げんみつにいえば] /(exp) strictly speaking/
厳密解 [げんみつかい] /(n) (math) (physics) exact solution/
厳密認証 [げんみつにんしょう] /(n) (comp) strong authentication/
厳命 [げんめい] /(n,vs) strict order/peremptory command/
厳容 [げんよう] /(n) stern expression/
厳律 [げんりつ] /(n) strict law/
厳逹 [げんたつ] /(oK) (n,vs) strict order/
幻 [まぼろし] /(n) phantom/vision/illusion/dream/(P)/
幻を追う [まぼろしをおう] /(exp,v5u) to pursue an illusion/to pursue a fantasy/to pursue phantoms/
幻影 [げんえい] /(n,adj-no) phantom/vision/illusion/(P)/
幻影肢 [げんえいし] /(n) (obsc) phantom limb/
幻怪 [げんかい] /(adj-na,n) strange or mysterious and troubling/
幻覚 [げんかく] /(n) hallucination/illusion/(P)/
幻覚キノコ [げんかくキノコ] /(n) hallucinogenic mushroom/
幻覚剤 [げんかくざい] /(n) hallucinogen/LSD/
幻覚作用 [げんかくさよう] /(n,adj-no) hallucinogenic/
幻覚症 [げんかくしょう] /(n) hallucinosis/
幻覚症状 [げんかくしょうじょう] /(n) hallucination/
幻月 [げんげつ] /(n) paraselene/moon dog/moondog (bright spot on either side of the moon caused by refraction of moonlight through ice crystals in the atmosphere)/
幻姿 [げんし] /(n) apparition/
幻肢 [げんし] /(n) phantom limb/
幻肢痛 [げんしつう] /(n) phantom pain/
幻視 [げんし] /(n) visual hallucination/vision/
幻獣 [げんじゅう] /(n) cryptid (unidentified mysterious creature)/mythical beast/
幻術 [げんじゅつ] /(n) magic/witchcraft/
幻想 [げんそう] /(n,adj-no) illusions/(P)/
幻想曲 [げんそうきょく] /(n) fantasy/fantasia/
幻想劇 [げんそうげき] /(n) non-realistic drama/
幻想的 [げんそうてき] /(adj-na) fantastic/magical/wondrous/whimsical/fairytale-like/romantic/
幻像 [げんぞう] /(n) phantom/vision/illusion/
幻聴 [げんちょう] /(n) auditory hallucination/
幻灯 [げんとう] /(n) slide projector/magic lantern/
幻燈 [げんとう] /(oK) (n) slide projector/magic lantern/
幻日 [げんじつ] /(n,adj-no) parhelion/sun dog/sundog (bright spot on either side of the sun caused by refraction of sunlight through ice crystals in the atmosphere)/
幻夢 [げんむ] /(n) dreams/visions/phantasms/
幻滅 [げんめつ] /(n,vs) disillusionment/(P)/
幻妖 [げんよう] /(n,vs) (1) confusing people/(2) magic/(3) ghost, monster, etc., the true identity of which is unknown/
幻惑 [げんわく] /(n,vs) fascination/glamor/glamour/bewitching/
弦 [げん] /(n) (1) (arch) bowstring/(2) string (of a shamisen, etc.)/stringed instrument/(3) (geom) chord/(4) hypotenuse/
弦 [つる] /(n) (1) bowstring/(2) string (of shamisen, guitar, violin, etc.)/(3) bail (arched pot handle)/(4) diagonal levelling wire across the top of a masu/(P)/
弦音 [つるおと] /(n) sound of vibrating bowstring/
弦歌 [げんか] /(n) singing and (string) music/
弦楽 [げんがく] /(n) music for strings/string music/(P)/
弦楽器 [げんがっき] /(n) stringed instruments/(P)/
弦楽五重奏曲 [げんがくごじゅうそうきょく] /(n) string quintet/
弦楽四重奏 [げんがくしじゅうそう] /(n) string quartet/
弦楽四重奏曲 [げんがくしじゅうそうきょく] /(n) string quartet/
弦楽四重奏団 [げんがくしじゅうそうだん] /(n) string quartet/
弦巻 [つるまき] /(n) reel for a spare bowstring/
弦妓 [げんぎ] /(n) (obsc) geisha/woman who entertains (e.g. by playing the shamisen) for her living/
弦鋸 [つるのこ] /(n) traditional Japanese woodworking saw/bow saw/
弦月 [げんげつ] /(n) crescent moon/
弦材 [げんざい] /(n) civil engineering chord member/
弦線 [げんせん] /(n) catgut/
弦袋 [つるぶくろ] /(n) (arch) reel for a spare bowstring/
弦鍋 [つるなべ] /(n) pot with a bail for a handle/
弦鳴楽器 [げんめいがっき] /(n) chordophone/
弦理論 [げんりろん] /(n) string theory (physics)/
減 [げん] /(suf) reduction/
減じる [げんじる] /(v1,vi) to subtract/to deduct/to reduce/to decrease/
減ずる [げんずる] /(vz,vi) to decrease/to reduce/to subtract/
減らす [へらす] /(v5s,vt) to abate/to decrease/to diminish/to shorten/(P)/
減らず口 [へらずぐち] /(n) impudent talk/
減り [へり] /(n) decrease/reduction/fall/
減り込む [めりこむ] /(v5m,vi) to sink into/to cave in/
減り張り [めりはり] /(n,adj-no) (1) (uk) modulation (of voice)/(2) variation/variety/(3) liveliness/full-bodied/
減る [へる] /(v5r,vi) to decrease (in size or number)/to diminish/to abate/(P)/
減るもんじゃない [へるもんじゃない] /(exp) it's no big deal/it's nothing to fret about/it's not like it's the end of the world/
減圧 [げんあつ] /(n,vs) decompression/
減圧手術 [げんあつしゅじゅつ] /(n) decompression surgery/surgery under decompression/
減圧症 [げんあつしょう] /(n) decompression sickness/the bends/
減圧潜水 [げんあつせんすい] /(n,vs) decompression diving/
減員 [げんいん] /(n,vs) reduction of staff/(P)/
減益 [げんえき] /(n,vs) decrease in profits/(P)/
減塩 [げんえん] /(n,adj-no) reduction of salt/sodium restriction/
減塩食 [げんえんしょく] /(n) a low-salt diet/
減価 [げんか] /(n) price reduction/depreciation/abatement/
減価償却 [げんかしょうきゃく] /(n) depreciation/(P)/
減額 [げんがく] /(n,vs) reduction/diminution/abatement/(P)/
減感 [げんかん] /(n,vs) desensitization/hyposensitization/
減感剤 [げんかんざい] /(n) desensitizer/
減基数の補数 [げんきすうのほすう] /(n) (comp) diminished radix complement/radix-minus-one complement/
減却 [げんきゃく] /(n,vs) reduction/decrease/
減給 [げんきゅう] /(n,vs,adj-no) pay cut/salary cut/(P)/
減菌 [めっきん] /(iK) (n,vs,adj-no) sterilization/sterilisation/
減刑 [げんけい] /(n,vs) reduction of penalty/
減光 [げんこう] /(n,vs) (1) light reduction/(vs) (2) to reduce illumination/
減光フィルター [げんこうフィルター] /(n) neutral density filter/
減号 [げんごう] /(n) minus sign/
減債 [げんさい] /(n,vs) partial payment of a debt/reduction of a debt/
減債基金 [げんさいききん] /(n) amortization fund/amortisation fund/sinking fund/
減作 [げんさく] /(n,vs) poor crop/diminished yield/
減殺 [げんさい] /(n,vs) lessening/diminishing/reducing/
減産 [げんさん] /(n,vs) reduction in production/(P)/
減算 [げんざん] /(n,vs) subtraction/
減算器 [げんざんき] /(n) (comp) subtracter/
減資 [げんし] /(n,vs) reduction of capital/
減弱 [げんじゃく] /(n,vs) reduction/weakening/attenuation/diminution/diminishment/lessening/
減収 [げんしゅう] /(n,vs) fall/decrease (in income)/(P)/
減少 [げんしょう] /(n,vs,adj-no) decrease/reduction/decline/(P)/
減色 [げんしょく] /(n) reduced colours/reduced colors/
減食 [げんしょく] /(n,vs) diet (for weight loss)/dieting/
減水 [げんすい] /(n,vs) subsiding of water/
減衰 [げんすい] /(n,vs) attenuation/damping/decay/
減衰ひずみ [げんすいひずみ] /(n) (comp) attenuation distortion/
減衰器 [げんすいき] /(n) attenuator/
減衰係数 [げんすいけいすう] /(n) (comp) attenuation coefficient/
減衰時間 [げんすいじかん] /(n) (comp) deceleration time/
減衰定数 [げんすいじょうすう] /(n) damping ratio/decay constant/
減衰率 [げんすいりつ] /(n) attenuation (factor, rate)/
減衰量 [げんすいりょう] /(n) (comp) attenuation/
減衰歪み [げんすいひずみ] /(n) (comp) attenuation distortion/
減数 [げんすう] /(n,vs) (1) decreasing in number/(2) type of cell division (biology)/(3) subtrahend/
減数分裂 [げんすうぶんれつ] /(n) meiosis/
減税 [げんぜい] /(n,vs) tax reduction/(P)/
減速 [げんそく] /(n,vs,adj-no) deceleration/(P)/
減速材 [げんそくざい] /(n) moderator/
減速装置 [げんそくそうち] /(n) reduction gear/
減損 [げんそん] /(n,vs) decrease/diminution/loss/impairment/
減損会計 [げんそんかいけい] /(n) asset-impairment accounting/
減退 [げんたい] /(n,vs) decline/ebb/failure/decay/decrease/loss/(P)/
減段 [げんたん] /(n,vs) reduction (of crop size)/reduction of acreage (under cultivation)/
減点 [げんてん] /(n,vs) subtract/give a demerit/(P)/
減点主義 [げんてんしゅぎ] /(n) demerit (points-off) system/
減等 [げんとう] /(n) demotion/
減配 [げんぱい] /(n,vs) reduction in a dividend/smaller ration/
減反 [げんたん] /(n,vs) reduction (of crop size)/reduction of acreage (under cultivation)/(P)/
減反政策 [げんたんせいさく] /(n) policy of reducing acreage (under cultivation)/
減俸 [げんぽう] /(n,vs) salary reduction/salary cut/(P)/
減法 [げんぽう] /(n) subtraction/
減法混色 [げんぽうこんしょく] /(n) (comp) subtractive mixture colors/
減摩 [げんま] /(n,vs,adj-no) reduction in friction/lubrication/
減磨 [げんま] /(n,vs,adj-no) reduction in friction/lubrication/
減免 [げんめん] /(n,vs) reduction and exemption (e.g. taxes)/mitigation and remission (e.g. in criminal law)/(P)/
減耗 [げんこう] /(n,vs) natural decrease/
減耗 [げんもう] /(n,vs) natural decrease/
減量 [げんりょう] /(n,vs,adj-no) loss in quantity/(P)/
減量経営 [げんりょうけいえい] /(n) streamlined management/
源 [げん] /(suf) source/origin/
源 [みなもと] /(n) source/origin/(P)/
源五郎 [げんごろう] /(n) (1) (uk) diving beetle/(2) Japanese predacious diving beetle (Cybister japonicus)/
源五郎鮒 [げんごろうぶな] /(n) (uk) Japanese crucian carp (Carassius cuvieri)/white crucian carp/
源項目 [げんこうもく] /(n) (comp) source item/
源氏 [げんじ] /(n) (1) Genji (the character in the Genji Monogatari)/(2) the Minamoto family/(P)/
源氏星 [げんじぼし] /(n) Rigel/Beta Orionis/Beta Ori/Genji star/
源氏物語 [げんじものがたり] /(n) the Tale of the Genji/
源氏名 [げんじな] /(n) "professional name" used by hostesses and geisha/
源泉 [げんせん] /(n,adj-no) source/(P)/
源泉課税 [げんせんかぜい] /(n,adj-no) tax withholding at the source/
源泉所得税 [げんせんしょとくぜい] /(n) income tax withheld at the source/
源泉徴収 [げんせんちょうしゅう] /(n,adj-no) tax withholding at the source/
源泉徴収票 [げんせんちょうしゅうひょう] /(n) tax certificate slip/statement of earnings/tax-income certificate/
源平 [げんぺい] /(n) Genji and Heike clans/two opposing sides/
源平時代 [げんぺいじだい] /(n) Gempei period (late 11th century-late 12th century CE)/
源流 [げんりゅう] /(n) (1) current-limiting/(2) source or headwaters (e.g. of a river)/(3) origin of something continuous/(P)/
玄翁 [げんのう] /(n) sledgehammer/
玄黄 [げんこう] /(n) (obsc) black and yellow silk (offered to gods)/heaven and earth/
玄関 [げんかん] /(n,adj-no) entranceway/entry hall/vestibule/foyer/entryway/mud room/(P)/
玄関ホール [げんかんホール] /(n) entrance hall/
玄関口 [げんかんぐち] /(n) entrance door/front door/
玄関先 [げんかんさき] /(n) entrance/front door/
玄関番 [げんかんばん] /(n) doorkeeper/janitor/
玄関払い [げんかんばらい] /(n) refusing to see a visitor/
玄室 [げんしつ] /(n) burial chamber/
玄昌石 [げんしょうせき] /(n) type of slate (from Miyagi pref.)/
玄人 [くろうと] /(n,adj-no) (1) expert (professional) in a given trade or profession/(2) woman in the nightlife business/demimondaine/(P)/
玄人はだし [くろうとはだし] /(n) ability that outdoes (shames) professionals/
玄人気質 [くろうとかたぎ] /(n) professionalism/the temperament of a professional/
玄人筋 [くろうとすじ] /(n) professionals/
玄人跣 [くろうとはだし] /(n) ability that outdoes (shames) professionals/
玄草 [げんそう] /(n) (uk) Thunberg's geranium (Geranium thunbergii)/
玄孫 [げんそん] /(n) great-great-grandchild/
玄孫 [やしゃご] /(n) great-great-grandchild/
玄猪 [げんちょ] /(n) (1) day of the boar in the tenth month/(2) mochi eaten on the day of the boar (esp. at the time of the boar)/
玄鳥 [げんちょう] /(n) swallow/
玄兎 [げんと] /(n) (arch) moon/
玄冬 [けんとう] /(n) winter/
玄冬 [げんとう] /(n) winter/
玄同 [げんどう] /(n) hiding one's intelligence to avoid being different from the common people/
玄能 [げんのう] /(ateji) (n) sledgehammer/
玄麦 [げんばく] /(n) unpolished wheat or barley/
玄蕃寮 [げんばりょう] /(n) The Agency for Buddhists and Foreigners (ritsuryou system)/
玄武 [げんぶ] /(n) (1) Black Tortoise (god said to rule over the northern heavens)/(2) seven mansions (Chinese constellations) of the northern heavens/
玄武 [げんむ] /(n) (1) Black Tortoise (god said to rule over the northern heavens)/(2) seven mansions (Chinese constellations) of the northern heavens/
玄武岩 [げんぶがん] /(n) basalt/whin(stone)/
玄米 [げんまい] /(n) unpolished rice/unmilled rice/brown rice/(P)/
玄米茶 [げんまいちゃ] /(n) tea (with roasted rice)/
玄圃梨 [けんぽなし] /(n) (uk) Japanese raisin tree (Hovenia dulcis)/
玄妙 [げんみょう] /(adj-na,n) abstruse/occult/mysterious/
玄冥 [げんめい] /(n) (obsc) ancient Chinese god of the north (or rain, water, etc.)/
玄關 [げんかん] /(oK) (n,adj-no) entranceway/entry hall/vestibule/foyer/entryway/mud room/
現 [うつつ] /(n) reality/consciousness/
現 [げん] /(pref) present/current/
現し世 [うつしよ] /(ok) (n,adj-no) (1) (Buddh) present world/present age/transient world/life/
現す [あらわす] /(v5s,vt) (1) to reveal/to show/to display/(2) to express/(3) to represent/to signify/to stand for/(4) to make widely known/(P)/
現ずる [げんずる] /(vz,vi) to appear/to reveal/to show/
現つ [うつつ] /(n) reality/consciousness/
現つを抜かす [うつつをぬかす] /(exp,v5s) to be infatuated/to be hooked on/
現つ御神 [あきつみかみ] /(n) (arch) living god (honorific term for the emperor)/
現つ神 [あきつかみ] /(n) (arch) living god (honorific term for the emperor)/
現なま [げんなま] /(n) real money/cash/
現に [げんに] /(adv) actually/really/(P)/
現の証拠 [げんのしょうこ] /(n) (uk) Thunberg's geranium (Geranium thunbergii)/
現れ [あらわれ] /(n) embodiment/manifestation/materialization/materialisation/expression/indication/(P)/
現れる [あらわれる] /(v1,vi) (1) to appear/to come in sight/to become visible/to come out/to embody/to materialize/to materialise/(2) to be expressed (e.g. emotions)/to become apparent (e.g. trends, effects)/(P)/
現わす [あらわす] /(v5s,vt) (1) to reveal/to show/to display/(2) to express/(3) to represent/to signify/to stand for/(4) to make widely known/(P)/
現われ [あらわれ] /(n) embodiment/manifestation/materialization/materialisation/expression/indication/(P)/
現われる [あらわれる] /(v1,vi) (1) to appear/to come in sight/to become visible/to come out/to embody/to materialize/to materialise/(2) to be expressed (e.g. emotions)/to become apparent (e.g. trends, effects)/(P)/
現われ出る [あらわれでる] /(v1) to appear/
現を抜かす [うつつをぬかす] /(exp,v5s) to be infatuated/to be hooked on/
現位置 [げんいち] /(n) (comp) current position/
現員 [げんいん] /(n) present members/
現下 [げんか] /(n) (1) the present time/(adj-no) (2) current/
現価 [げんか] /(n) current price/
現割付け位置 [げんわりつけいち] /(n) (comp) current layout position/
現況 [げんきょう] /(n) present condition/(P)/
現業 [げんぎょう] /(n) outdoor (work)/
現業員 [げんぎょういん] /(n) a field worker/outside worker/
現金 [げんきん] /(adj-na,n) cash/ready money/mercenary/self-interested/(P)/
現金引き出し [げんきんひきだし] /(n) cash withdrawal/
現金化 [げんきんか] /(n) changing into cashencashment/cashing/
現金掛け値なし [げんきんかけねなし] /(exp) cash only, prices as advertised/
現金掛値なし [げんきんかけねなし] /(exp) cash only, prices as advertised/
現金及び預金 [げんきんおよびよきん] /(n) cash on hand and in banks/
現金自動支払機 [げんきんじどうしはらいき] /(n) cash dispenser/
現金自動取引装置 [げんきんじどうとりひきそうち] /(n) (comp) ATM/Automatic Teller Machine/
現金自動出入機 [げんきんじどうしゅつにゅうき] /(n) automatic teller machine/ATM/
現金自動預け払い機 [げんきんじどうあずけばらいき] /(n) automatic teller machine/ATM/
現金自動預金支払機 [げんきんじどうよきんしはらいき] /(n) automatic teller machine/ATM/
現金自動預入支払機 [げんきんじどうあずけいれしはらいき] /(n) automatic teller machine/ATM/
現金取引市場 [げんきんとりひきいちば] /(n) spot market/
現金収入 [げんきんしゅうにゅう] /(n) (having) a cash income/
現金書留 [げんきんかきとめ] /(n) registered mail/
現金正価 [げんきんせいか] /(n) cash price/
現金注入 [げんきんちゅうにゅう] /(n) cash infusion/
現金通貨 [げんきんつうか] /(n) cash currency in circulation/physical currency/
現金投資 [げんきんとうし] /(n) cash investment/
現金買い [げんきんがい] /(n) cash purchases/
現金売り [げんきんうり] /(n) cash sales/
現金不足 [げんきんふそく] /(n,adj-no) cash shortage/illiquidity/
現金払い [げんきんばらい] /(n) paying cash/
現金問屋 [げんきんどんや] /(n) cash-basis wholesaler/
現御神 [あきつみかみ] /(n) (arch) living god (honorific term for the emperor)/
現御神 [あらみかみ] /(n) (arch) living god (honorific term for the emperor)/
現行 [げんこう] /(n) present/current/in operation/(P)/
現行の作業ディレクトリ [げんこうのさぎょうディレクトリ] /(n) (comp) current working directory/
現行犯 [げんこうはん] /(n) flagrante delicto/caught red-handed/(P)/
現行犯で [げんこうはんで] /(exp) red-handed/in flagrante delicto/
現行法 [げんこうほう] /(n) existing law/existing laws/laws in force/
現行法規 [げんこうほうき] /(n) existing laws/regulations now (at present) in force/
現高 [げんだか] /(n) the present amount/amount on hand/
現号 [げんごう] /(n) current model/
現今 [げんこん] /(n,adj-no) the present (day or age)/
現在 [げんざい] /(n-adv,n-t) now/current/present/present time/as of/(P)/
現在のところ [げんざいのところ] /(n) at the present time/
現在の実行で [げんざいのじっこうで] /(n) (comp) in the current implementation/
現在レコード [げんざいレコード] /(n) (comp) current record/
現在価値 [げんざいかち] /(n,adj-no) present value/
現在完了 [げんざいかんりょう] /(n) (ling) present perfect tense/
現在完了形 [げんざいかんりょうけい] /(n) (ling) present perfect tense/
現在形 [げんざいけい] /(n) (ling) present form/present tense/
現在戸籍 [げんざいこせき] /(n) present family register/
現在行番号 [げんざいぎょうばんごう] /(n) (comp) current line number/
現在高 [げんざいだか] /(n) amount on hand/
現在時制 [げんざいじせい] /(n,adj-no) (ling) present/present tense/
現在状態 [げんざいじょうたい] /(n) (comp) current situation/current conditions/
現在進行形 [げんざいしんこうけい] /(n) (ling) present continuous tense/present progressive form/
現在世 [げんざいせ] /(n) (Buddh) (obsc) present world/present age/transient world/life/
現在世界 [げんざいせかい] /(n) (comp) modern world/
現在値 [げんざいち] /(n) (comp) current value/
現在地 [げんざいち] /(n) present location/current location/"you are here" (on map)/
現在点 [げんざいてん] /(n) (comp) current point/
現在分詞 [げんざいぶんし] /(n) present participle/
現時代 [げんじだい] /(n) the present era/
現時点 [げんじてん] /(n) present point (i.e. in history)/at the present time/(P)/
現時点においては [げんじてんにおいては] /(n) at the present time/at present/
現実 [げんじつ] /(n) reality/(P)/
現実化 [げんじつか] /(n,vs) realization/realisation/
現実界 [げんじつかい] /(n) the real world/reality/the actual world/
現実感 [げんじつかん] /(n) sense of reality/
現実主義 [げんじつしゅぎ] /(n,adj-no) realism/
現実主義者 [げんじつしゅぎしゃ] /(n) a realist/
現実性 [げんじつせい] /(n) realistic/practical/feasible/
現実的 [げんじつてき] /(adj-na) realistic/pragmatic/
現実逃避 [げんじつとうひ] /(n,adj-no) escape from reality/escapism/ostrichism/
現実認識 [げんじつにんしき] /(n) accepting (acknowledging) the reality/
現実味 [げんじつみ] /(n) (sense of) reality/
現実離れ [げんじつばなれ] /(n,vs) unreality/becoming disconnected from reality/
現実路線 [げんじつろせん] /(n) (following) a pragmatic (policy) line (approach)/
現尺 [げんしゃく] /(n,adj-no) full size/
現住建造物 [げんじゅうけんぞうぶつ] /(n) inhabited building/
現住所 [げんじゅうしょ] /(n) (present) address/(P)/
現出 [げんしゅつ] /(n,vs) appearance/emergence/
現象 [げんしょう] /(n) phenomenon/(P)/
現象界 [げんしょうかい] /(n) the phenomenal world/
現象学 [げんしょうがく] /(n) phenomenology/
現象学的還元 [げんしょうがくてきかんげん] /(n) phenomenological reduction/
現象学的社会学 [げんしょうがくてきしゃかいがく] /(n) phenomenological sociology/
現象的意識 [げんしょうてきいしき] /(n) phenomenal consciousness/
現象論 [げんしょうろん] /(n) phenomenology (physics)/phenomenalism/
現場 [げんじょう] /(n,adj-no) actual spot/scene/scene of the crime/
現場 [げんば] /(n,adj-no) actual spot/scene/scene of the crime/(P)/
現場を押さえる [げんばをおさえる] /(exp,v1) to catch in the act (of)/
現場監督 [げんばかんとく] /(n) field overseer/site foreman/
現場検証 [げんばけんしょう] /(n) on-the-site inspection/
現場主義 [げんばしゅぎ] /(n) a bottom-up approach to management/on-the-spot decision-making/
現場着 [げんばちゃく] /(n) (abbr) arrival on scene/arrival on location/
現場中継 [げんばちゅうけい] /(n) on-the-spot broadcast/
現場到着 [げんばとうちゃく] /(n,vs) arrival on scene/arrival on location/
現状 [げんじょう] /(n,adj-no) present condition/existing state/status quo/(P)/
現状維持 [げんじょういじ] /(n) maintenance of the status quo/
現状打破 [げんじょうだは] /(n) abandonment of the status quo/destroying the status quo/overthrowing the present situation/
現状把握 [げんじょうはあく] /(n) grasping the present situation/having an accurate grasp of the situation/
現状否定 [げんじょうひてい] /(n) refusal to accept the present situation/denial of the existing situation/negation of the status quo/
現状有姿 [げんじょうゆうし] /(uK) (n) as is/in (its) present state/condition/
現職 [げんしょく] /(n,adj-no) present post/current office/(an) incumbent/(P)/
現職大統領 [げんしょくだいとうりょう] /(n) incumbent president/
現神 [あきつかみ] /(n) (arch) living god (honorific term for the emperor)/
現人 [うつしおみ] /(ok) (n) (1) man of this world/the real world/temporal things/
現人 [うつせみ] /(n) (1) man of this world/the real world/temporal things/
現人 [うつそみ] /(ok) (n) (1) man of this world/the real world/temporal things/
現人神 [あらひとがみ] /(n) (1) living god (term for the emperor)/(2) miracle-working god (who appears as the occasion demands)/
現数 [げんすう] /(n) present number/
現世 [うつしよ] /(ok) (n,adj-no) (1) (Buddh) present world/present age/transient world/life/
現世 [げんせ] /(n,adj-no) (1) (Buddh) present world/present age/transient world/life/
現世 [げんせい] /(n,adj-no) (1) (Buddh) present world/present age/transient world/life/(2) recent epoch (i.e. the Holocene epoch)/
現世 [げんぜ] /(ok) (n,adj-no) (1) (Buddh) present world/present age/transient world/life/
現世利益 [げんせりやく] /(n) spiritual (material) benefit gained in this world through observance of the Buddhist teachings/
現世利益 [げんぜりやく] /(n) spiritual (material) benefit gained in this world through observance of the Buddhist teachings/
現勢 [げんせい] /(n) current state/present or actual strength/
現生 [げんしょう] /(n) (Buddh) present world/
現生 [げんせい] /(n,vs) living in the present/
現生 [げんなま] /(n) real money/cash/
現生生物学 [げんせいせいぶつがく] /(n) neontology/
現責め [うつつぜめ] /(n) sleep deprivation (as a form of torture)/
現先 [げんさき] /(n) repurchase (esp. bonds, debt, etc.)/buy-back/
現先取引 [げんさきとりひき] /(n) transaction with repurchase agreement/
現前 [げんぜん] /(n,vs) before one's eyes/
現然 [げんぜん] /(adj-t,adv-to) clearly visible/
現送 [げんそう] /(n,vs) sending or transporting cash/
現像 [げんぞう] /(n,vs) developing (film)/(P)/
現像液 [げんぞうえき] /(n) developing solution/
現属性 [げんぞくせい] /(n) (comp) current attribute/
現存 [げんそん] /(n,vs) living/existing/Real Presence/extant/
現存 [げんぞん] /(n,vs) living/existing/Real Presence/extant/
現存在 [げんそんざい] /(n) Dasein/
現体制 [げんたいせい] /(n) the present regime/the existing regime/
現対応表 [げんたいおうひょう] /(n) (comp) current map/
現代 [げんだい] /(adj-no,n-adv,n) nowadays/modern era/modern times/present-day/(P)/
現代アイスランド語 [げんだいアイスランドご] /(n) modern Icelandic/
現代医療 [げんだいいりょう] /(n) modern medicine/
現代英語 [げんだいえいご] /(n) current (present-day) English/
現代音楽 [げんだいおんがく] /(n) modern music/
現代化 [げんだいか] /(n,vs) modernization/modernisation/
現代仮名遣 [げんだいかなづかい] /(n) modern kana usage (as laid out by the Japanese government in 1946)/
現代仮名遣い [げんだいかなづかい] /(n) modern kana usage (as laid out by the Japanese government in 1946)/
現代科学 [げんだいかがく] /(n) present-day science/modern science/
現代劇 [げんだいげき] /(n) contemporary drama/
現代語 [げんだいご] /(n) a modern language/
現代史 [げんだいし] /(n) contemporary history/
現代思想 [げんだいしそう] /(n) contemporary philosophy/modern thought/
現代詩 [げんだいし] /(n) modern poetry/
現代社会 [げんだいしゃかい] /(n) modern society/(P)/
現代小説 [げんだいしょうせつ] /(n) contemporary novel/modern novel/
現代新書 [げんだいしんしょ] /(n) a series of paperbacks published since 1964 by Kodansha/
現代人 [げんだいじん] /(n) modern person (people)/
現代戦 [げんだいせん] /(n) modern warfare/
現代的 [げんだいてき] /(adj-na) modernistic/(P)/
現代版 [げんだいばん] /(n) modern version (e.g. of Italian Renaissance architecture)/
現代舞踊 [げんだいぶよう] /(n) contemporary dance/modern dance/
現代文 [げんだいぶん] /(n) modern Japanese/current written style/
現代文明 [げんだいぶんめい] /(n) modern civilization/modern civilisation/
現代用語 [げんだいようご] /(n) word of recent origin/neologism/recent word/modern term/
現段階 [げんだんかい] /(n) (1) present stage/current phase/(2) current rank/present grade/(P)/
現地 [げんち] /(n,adj-no) actual place/local/(P)/
現地化 [げんちか] /(n) (comp) localization/
現地語 [げんちご] /(n) indigenous language/local language/vernacular/native tongue/
現地時間 [げんちじかん] /(n) local time/
現地人 [げんちじん] /(n) native/
現地生産 [げんちせいさん] /(n,adj-no) local production/
現地着 [げんちちゃく] /(n) (abbr) arrival on location/
現地駐在員 [げんちちゅうざいいん] /(n) local resident/
現地調査 [げんちちょうさ] /(n) field survey/field work (research)/on-the-spot investigation/
現地調達 [げんちちょうたつ] /(n,vs) local procurement/local content/sourcing locally/
現地通貨 [げんちつうか] /(n) local currency/
現地到着 [げんちとうちゃく] /(n,vs) arrival on location/
現地報告 [げんちほうこく] /(n) on-the-spot report/
現地法人 [げんちほうじん] /(n) local subsidiary/
現着 [げんちゃく] /(n,vs) (abbr) arrival on location (esp. used in transport industries, police, etc.)/
現調 [げんちょう] /(n,vs) (abbr) local procurement/local content/sourcing locally/
現津御神 [あきつみかみ] /(n) (arch) living god (honorific term for the emperor)/
現内閣 [げんないかく] /(n) present cabinet/
現任 [げんにん] /(n,adj-no) present post/
現認 [げんにん] /(n,vs) on-the-spot (report)/eyewitness (report)/
現病歴 [げんびょうれき] /(n) history of present illness/
現品 [げんぴん] /(n) the actual article/
現付番 [げんふばん] /(n) (comp) current rank/
現物 [げんぶつ] /(n) (1) actual article or goods/(2) spots (stocks, foreign exchange, commodities, etc.)/(3) (in) kind (income, benefit, rent, taxes, investment, etc.)/(P)/
現物給付 [げんぶつきゅうふ] /(n) benefit in kind/
現物給与 [げんぶつきゅうよ] /(n) salary paid in kind/
現物市場 [げんぶつしじょう] /(n) spot market/
現物支給 [げんぶつしきゅう] /(n,adj-no) payment in kind/
現物相場 [げんぶつそうば] /(n) spot quotations/
現役 [げんえき] /(n,adj-no) active duty/active service/(P)/
現役合格 [げんえきごうかく] /(n) passing university entrance exams in the last year of high school (instead of failing then taking gap year(s))/
現役世代 [げんえきせだい] /(n) working generation/people still working/
現有 [げんゆう] /(n,adj-no) present/existing/(P)/
現有勢力 [げんゆうせいりょく] /(n) effective strength/current strength/
現預金 [げんよきん] /(n) cash equivalent/
現用 [げんよう] /(n) currently used/
現要素 [げんようそ] /(n) (comp) current element/
現連結集合 [げんれんけつしゅうごう] /(n) (comp) current link set/
絃 [げん] /(n) (1) string (of a shamisen, etc.)/(2) stringed instrument/
絃 [つる] /(n) (1) bowstring/(2) string (of shamisen, guitar, violin, etc.)/(3) bail (arched pot handle)/(4) diagonal levelling wire across the top of a masu/
絃歌 [げんか] /(n) singing and (string) music/
絃楽 [げんがく] /(n) music for strings/string music/
絃楽器 [げんがっき] /(n) stringed instruments/
絃妓 [げんぎ] /(n) (obsc) geisha/woman who entertains (e.g. by playing the shamisen) for her living/
絃声 [げんせい] /(n) sound of the strings/
絃線 [げんせん] /(n) catgut/
舷 [ふなべり] /(n) side of a boat/gunwale/
舷窓 [げんそう] /(n) porthole/
舷側 [げんそく] /(n) ship's side/broadside/
舷梯 [げんてい] /(n) gangway (ladder)/
舷灯 [げんとう] /(n) running lights/sidelight/side light/
舷頭 [げんとう] /(n) gunwale/
舷門 [げんもん] /(n) gangway/
言 [げん] /(n) word/remark/statement/(P)/
言 [こと] /(n) word/remark/statement/
言々 [げんげん] /(n) every word/
言々句々 [げんげんくく] /(n) every single word and phrase/each and every word/
言いうる [いいうる] /(exp) to get to say/to be able to say/
言いえる [いいえる] /(exp) to get to say/to be able to say/
言いかえる [いいかえる] /(v1,vt) to say in other words/to put another way/to express in different words/to reword/to rephrase/
言いかける [いいかける] /(v1,vt) to begin speaking/to start to say/to stop in mid-sentence/
言いがかり [いいがかり] /(n) false accusation/pretext/commitment/
言いきかせる [いいきかせる] /(v1,vt) to tell someone to do something/to warn/to persuade/to instruct/
言いくるめる [いいくるめる] /(v1,vt) to deceive somebody into believing (e.g. that black is white)/to cajole/to talk into/to explain away (e.g. unpleasant evidence)/to argue away/to wheedle/
言いそびれる [いいそびれる] /(v1,vt) to fail to mention something or tell somebody something/to miss one's chance to tell somebody something/
言いたい放題 [いいたいほうだい] /(exp) saying all one has to say (usu. negative, e.g. complaints, insults, etc.)/
言いたす [いいたす] /(v5s,vt) to say something additional/to add (to what was said before)/
言いだす [いいだす] /(v5s,vt) to start talking/to speak/to tell/to propose/to suggest/to break the ice/
言いっこなし [いいっこなし] /(exp) let's not say (such things) to each other/
言いっこ無し [いいっこなし] /(exp) let's not say (such things) to each other/
言いつけ [いいつけ] /(n) (1) order/command/(2) directions/instructions/
言いつける [いいつける] /(v1,vt) (1) to tell (to do)/to order/to charge/to direct/(2) to tell on (someone)/to report/(3) to often say/
言いづらい [いいづらい] /(adj-i) difficult to speak about/
言いなおす [いいなおす] /(v5s,vt) to correct oneself/to restate/
言いながら [いいながら] /(exp) with these words/while saying/
言いなり [いいなり] /(n) doing as one is told/yes-man/(P)/
言いなりに [いいなりに] /(adv) exactly as said/
言いふらす [いいふらす] /(v5s,vt) to spread a rumor/to spread a rumour/to talk about/
言いやがって [いいやがって] /(exp) don't try and tell me that!/don't try that shit on me/
言いやる [いいやる] /(v5r,vt) to send word/
言いよう [いいよう] /(exp) manner of speaking/
言いようがない [いいようがない] /(exp,adj-i) indescribable/having no way to express/(P)/
言いようのない [いいようのない] /(exp,adj-i) indescribable/
言い違い [いいちがい] /(n) slip of the tongue/misstatement/
言い違える [いいちがえる] /(v1,vt) to say by mistake/to make a slip of the tongue/
言い過ぎ [いいすぎ] /(n) exaggeration/overstatement/
言い過ぎる [いいすぎる] /(v1,vt) to talk or say too much/to go too far/to overstate/to exaggerate/
言い過ごす [いいすごす] /(v5s) to talk or say too much/to go too far/to overstate/to exaggerate/
言い回し [いいまわし] /(n) expression/phraseology/(P)/
言い回す [いいまわす] /(v5s,vt) to express in a roundabout way/
言い改める [いいあらためる] /(v1) to correct oneself/
言い開き [いいひらき] /(n) explanation/justification/vindication/
言い開く [いいひらく] /(v5k,vt) to justify/to explain/to vindicate/
言い掛かり [いいがかり] /(n) false accusation/pretext/commitment/
言い掛けて止める [いいかけてやめる] /(v1) to stop in the middle of a sentence/
言い掛ける [いいかける] /(v1,vt) to begin speaking/to start to say/to stop in mid-sentence/
言い換え [いいかえ] /(n,vs) putting in other words/
言い換える [いいかえる] /(v1,vt) to say in other words/to put another way/to express in different words/to reword/to rephrase/(P)/
言い間違い [いいまちがい] /(n) slip of the tongue/misstatement/verbal slip-up/
言い間違え [いいまちがえ] /(n) slip of the tongue/misstatement/verbal slip-up/
言い丸める [いいまるめる] /(v1) to do sweet-talk/
言い含める [いいふくめる] /(v1,vt) to give detailed instructions/
言い寄る [いいよる] /(v5r,vi) to court/to woo/to approach defiantly/
言い及ぶ [いいおよぶ] /(v5b,vi) to refer to/to mention (e.g. theme)/
言い継ぐ [いいつぐ] /(v5g,vt) to transmit by word of mouth/
言い兼ねる [いいかねる] /(v1,vt) to find it hard to say/
言い捲る [いいまくる] /(v5r,vt) to talk volubly/
言い遣る [いいやる] /(v5r,vt) to send word/
言い現す [いいあらわす] /(v5s,vt) (1) to express (in words)/(2) to confess/
言い古した言葉 [いいふるしたことば] /(n) hackneyed saying/
言い古す [いいふるす] /(v5s) to say repeatedly/to say proverbially/
言い誤る [いいあやまる] /(v5r,vt) to say by mistake/to make a slip of the tongue/
言い交す [いいかわす] /(v5s,vt) to have a chat with/to promise/to get engaged/
言い交わす [いいかわす] /(v5s) to exchange words or promises/to promise/
言い甲斐 [いいがい] /(n) worth mentioning/
言い合い [いいあい] /(n) quarrel/dispute/
言い合う [いいあう] /(v5u,vt) to quarrel/
言い合わせる [いいあわせる] /(v1) to agree in advance/
言い込める [いいこめる] /(v1,vt) to talk down/to argue down/
言い散らす [いいちらす] /(v5s,vt) to spread (a report)/
言い残す [いいのこす] /(v5s,vt) to leave word with (a person)/to state in one's will/to leave (something) unsaid/to forget to mention/
言い始める [いいはじめる] /(v1) (1) to say say previously unspoken thoughts/(2) to start saying/(3) to court someone/
言い止す [いいさす] /(v5s) to break off (in middle of sentence)/
言い捨てる [いいすてる] /(v1,vt) to say (something) over one's shoulder/
言い種 [いいぐさ] /(n) one's words or remarks/an excuse/
言い終える [いいおえる] /(v1) to finish saying/
言い終わる [いいおわる] /(v5r) to finish speaking/
言い習わし [いいならわし] /(n) idiom/set phrase/habit of speech/saying/
言い習わす [いいならわす] /(v5s,vt) to be handed down/to have a habit of saying/
言い渋る [いいしぶる] /(v5r,vt) to hesitate to say/
言い出しっぺ [いいだしっぺ] /(exp) the one who brought it up/the one who calls attention to a fart is in fact the farter/the one who brings up a subject must be the first to act upon it/
言い出しっ屁 [いいだしっぺ] /(exp) the one who brought it up/the one who calls attention to a fart is in fact the farter/the one who brings up a subject must be the first to act upon it/
言い出す [いいだす] /(v5s,vt) to start talking/to speak/to tell/to propose/to suggest/to break the ice/(P)/
言い条 [いいじょう] /(n) an excuse/however/nonetheless/
言い触らす [いいふらす] /(v5s,vt) to spread a rumor/to spread a rumour/to talk about/
言い振り [いいぶり] /(n) manner of speaking/
言い辛い [いいづらい] /(adj-i) difficult to speak about/
言い尽くす [いいつくす] /(v5s) to tell all/to give a full account/
言い尽す [いいつくす] /(v5s) to tell all/to give a full account/
言い成り [いいなり] /(n) doing as one is told/yes-man/
言い成り放題 [いいなりほうだい] /(adj-na) completely submissive to another person/
言い切る [いいきる] /(v5r,vt) to declare/to assert/to state definitively/(P)/
言い切れない [いいきれない] /(exp) I'm not so sure/I can hardly say with any finality that .../
言い繕う [いいつくろう] /(v5u,vt) to gloss over/
言い争い [いいあらそい] /(n) a quarrel/argument/
言い争う [いいあらそう] /(v5u,vt) to quarrel/to dispute/
言い草 [いいぐさ] /(n) remarks/comments/
言い送る [いいおくる] /(v5r,vt) to send a message/to write to/
言い足す [いいたす] /(v5s,vt) to say something additional/to add (to what was said before)/
言い続ける [いいつづける] /(v1) to keep talking/to go on and on/to talk non-stop/
言い損なう [いいそこなう] /(v5u) to say by mistake/to make a slip of the tongue/
言い替え [いいかえ] /(n,vs) putting in other words/
言い替える [いいかえる] /(v1,vt) to say in other words/to put another way/to express in different words/to reword/to rephrase/
言い替えるなら [いいかえるなら] /(exp) if we put this another way/in other words/put differently/
言い値 [いいね] /(n) the asking price/
言い知れぬ [いいしれぬ] /(adj-pn) indescribable/inexpressible/
言い置く [いいおく] /(v5k,vt) to leave word/to leave a message/
言い張る [いいはる] /(v5r,vt) to insist/to assert/to be obstinate in saying/
言い直す [いいなおす] /(v5s,vt) to correct oneself/to restate/
言い通す [いいとおす] /(v5s,vt) to persist in saying/
言い添える [いいそえる] /(v1,vt) to add (to what was said before)/to say in addition/
言い伝え [いいつたえ] /(n) tradition/legend/
言い伝える [いいつたえる] /(v1,vt) to send word/
言い渡し [いいわたし] /(n) sentence/judgment/judgement/pronouncement/order/command/(P)/
言い渡す [いいわたす] /(v5s,vt) to announce/to tell/to sentence/to order/(P)/
言い当てる [いいあてる] /(v1,vt) to guess right/
言い逃がれ [いいのがれ] /(io) (n) evasion/excuse/subterfuge/
言い逃れ [いいのがれ] /(n) evasion/excuse/subterfuge/
言い逃れる [いいのがれる] /(v1,vt) to explain away/to talk one's way out of/to excuse oneself/to evade/
言い得て妙 [いいえてみょう] /(exp) perfectly fitting phrase/
言い得る [いいうる] /(exp) to get to say/to be able to say/
言い得る [いいえる] /(exp) to get to say/to be able to say/
言い難い [いいがたい] /(adj-i) hard to say/inexpressible/hesitant to say/
言い難い [いいにくい] /(adj-i) hard to say/inexpressible/hesitant to say/
言い破る [いいやぶる] /(v5r,vt) to argue down/to confute/
言い抜け [いいぬけ] /(n) evasion/an excuse/
言い抜ける [いいぬける] /(v1,vt) to explain away/to answer evasively/
言い表す [いいあらわす] /(v5s,vt) (1) to express (in words)/(2) to confess/(P)/
言い表せる [いいあらわせる] /(v1) to be able to be expressed in words/to be sayable/
言い表わす [いいあらわす] /(v5s,vt) (1) to express (in words)/(2) to confess/(P)/
言い付かる [いいつかる] /(v5r,vt) to be ordered/
言い付け [いいつけ] /(n) (1) order/command/(2) directions/instructions/
言い付ける [いいつける] /(v1,vt) (1) to tell (to do)/to order/to charge/to direct/(2) to tell on (someone)/to report/(3) to often say/
言い負かす [いいまかす] /(v5s,vt) to talk (a person) down/to confute/
言い伏せる [いいふせる] /(v1,vt) to argue down/
言い分 [いいぶん] /(n) one's say/one's point/complaint/excuse/(P)/
言い分け [いいわけ] /(n,vs) (1) excuse/(2) explanation/
言い紛らす [いいまぎらす] /(v5s,vt) to equivocate/
言い聞かす [いいきかす] /(v5s) to tell someone to do something/to warn/to persuade/to instruct/
言い聞かせる [いいきかせる] /(v1,vt) to tell someone to do something/to warn/to persuade/to instruct/
言い返す [いいかえす] /(v5s,vt) to repeat/to talk back/to answer back/(P)/
言い募る [いいつのる] /(v5r,vi) to argue vehemently/
言い暮らす [いいくらす] /(v5s) to pass the time talking/
言い包める [いいくるめる] /(v1,vt) to deceive somebody into believing (e.g. that black is white)/to cajole/to talk into/to explain away (e.g. unpleasant evidence)/to argue away/to wheedle/
言い放つ [いいはなつ] /(v5t,vt) to declare/
言い方 [いいかた] /(n) way of talking/speaking style/(P)/
言い忘れる [いいわすれる] /(v1) to forget to say/to forget to mention/
言い訳 [いいわけ] /(n,vs) (1) excuse/(2) explanation/(P)/
言い訳が立たない [いいわけがたたない] /(exp,adj-i) admitting no excuse/
言い様 [いいよう] /(exp) manner of speaking/
言い様がない [いいようがない] /(exp,adj-i) indescribable/having no way to express/
言い様のない [いいようのない] /(exp,adj-i) indescribable/
言い淀む [いいよどむ] /(v5m,vt) to hesitate to say/
言い落す [いいおとす] /(v5s,vt) to omit/to forget to mention/to leave unspoken/
言い立てる [いいたてる] /(v1,vt) to state/to insist/
言い漏らす [いいもらす] /(v5s,vt) to forget to mention/to leave unspoken/to let slip a secret/
言い做す [いいなす] /(v5s,vt) to speak as though something were actually the case/to smooth over/to describe/
言い囃す [いいはやす] /(v5s,vt) to praise/to spread or circulate a rumor (rumour)/
言い籠める [いいこめる] /(v1,vt) to talk down/to argue down/
言う [いう] /(v5u) (1) to say/(2) to call (i.e. to give a name)/(P)/
言う [ゆう] /(v5u) (1) to say/(2) to call (i.e. to give a name)/(P)/
言うことなし [いうことなし] /(exp) nothing one can say (e.g. about something perfect)/
言うことを聞かない [いうことをきかない] /(exp,adj-i) not doing as one is told/disobedient/unruly/
言うことを聞く [いうことをきく] /(exp,v5k) to do what one is told to/to take someone's advice/to listen to what someone says/
言うだけ野暮 [いうだけやぼ] /(exp) (id) You would only waste your words/
言うとおり [いうとおり] /(exp) as (somebody) says/
言うところによると [いうところによると] /(exp) according to what someone said/according to someone's story/
言うところによれば [いうところによれば] /(exp) according to what someone said/according to someone's story/
言うところの [いうところの] /(exp) what is called/as it is called/the so-called/known as/so to speak/
言うなれば [いうなれば] /(exp) so to speak/
言うにやおよぶ [いうにやおよぶ] /(exp) (arch) it is needless to say/
言うにや及ぶ [いうにやおよぶ] /(exp) (arch) it is needless to say/
言うに及ばず [いうにおよばず] /(exp) needless to say/
言うに言われぬ [いうにいわれぬ] /(n) beyond expression/unspeakable/inexpressible/indescribable/
言うのをはばからない [いうのをはばからない] /(exp) do not hesitate to say/
言うは易く行うは難し [いうはやすくおこなうはかたし] /(exp) (id) Easier said than done/
言うまでもない [いうまでもない] /(exp) it goes without saying/there is no need to say so, but of course/it is needless to say/it need scarcely be said/(P)/
言うまでもない [ゆうまでもない] /(exp) it goes without saying/there is no need to say so, but of course/it is needless to say/it need scarcely be said/
言うまでもなく [いうまでもなく] /(exp) obviously/as we all know/needless to say/of course/
言うまでもなく [ゆうまでもなく] /(exp) obviously/as we all know/needless to say/of course/
言うもおろか [いうもおろか] /(exp) to go without saying/
言うも愚か [いうもおろか] /(exp) to go without saying/
言う事なし [いうことなし] /(exp) nothing one can say (e.g. about something perfect)/
言う事を聞かない [いうことをきかない] /(exp,adj-i) not doing as one is told/disobedient/unruly/
言う事を聞く [いうことをきく] /(exp,v5k) to do what one is told to/to take someone's advice/to listen to what someone says/
言う事無し [いうことなし] /(exp) nothing one can say (e.g. about something perfect)/
言う所の [いうところの] /(exp) what is called/as it is called/the so-called/known as/so to speak/
言う通り [いうとおり] /(exp) as (somebody) says/
言う方 [いうかた] /(exp) way of saying/
言う迄もない [いうまでもない] /(exp) it goes without saying/there is no need to say so, but of course/it is needless to say/it need scarcely be said/
言う迄もない [ゆうまでもない] /(exp) it goes without saying/there is no need to say so, but of course/it is needless to say/it need scarcely be said/
言う迄も無い [いうまでもない] /(exp) it goes without saying/there is no need to say so, but of course/it is needless to say/it need scarcely be said/
言う迄も無い [ゆうまでもない] /(exp) it goes without saying/there is no need to say so, but of course/it is needless to say/it need scarcely be said/
言えてる [いえてる] /(exp) You can say that again/Nice one/
言える [いえる] /(v1) to be possible to say/to be able to say/
言たって [いったって] /(io) (exp) even if I told you/
言ったって [いったって] /(exp) even if I told you/
言っとくけど [いっとくけど] /(exp) for your information/I'm telling you/
言っぱ [いっぱ] /(exp) this means/that is to say/
言づける [ことづける] /(v1,vt) to send word/to send a message/
言の葉 [ことのえ] /(n) (1) (arch) word/(2) waka (classic Japanese poem, esp. a tanka)/
言の葉 [ことのは] /(n) (1) (arch) word/(2) waka (classic Japanese poem, esp. a tanka)/
言わす [いわす] /(v5s,vt) to be able to say/to get someone to say/to induce soneone to say/to let someone speak out/
言わずと知れた [いわずとしれた] /(exp) as everyone knows/needless to point out/
言わずもがな [いわずもがな] /(exp) (1) (it) goes without saying/needn't be said/(2) should rather be left unsaid/
言わずもがなのこと [いわずもがなのこと] /(exp,n) (1) something that goes without saying/something that needn't be said/(2) something that should rather be left unsaid/
言わずもがなの事 [いわずもがなのこと] /(exp,n) (1) something that goes without saying/something that needn't be said/(2) something that should rather be left unsaid/
言わず語らず [いわずかたらず] /(n) to be tacit/
言わせておく [いわせておく] /(exp,v5k) to let someone say/
言わでも [いわでも] /(exp) (1) goes without saying/needn't be said/(2) should rather be left unsaid/
言わでものこと [いわでものこと] /(exp,n) (1) something that goes without saying/something that needn't be said/(2) something that should rather be left unsaid/
言わでもの事 [いわでものこと] /(exp,n) (1) something that goes without saying/something that needn't be said/(2) something that should rather be left unsaid/
言わないことではない [いわないことではない] /(exp) (obsc) I told you so/
言わぬが花 [いわぬがはな] /(exp) some things are better left unsaid/silence is golden/
言わば [いわば] /(adv) so to speak/so to call it/as it were/(P)/
言われてみれば [いわれてみれば] /(exp) now that you say that/now that you mention it/
言わんこっちゃない [いわんこっちゃない] /(exp) (col) I told you so/
言わんとする [いわんとする] /(exp,vs-i) (what) one is trying to say/(what) one wants to say/(what) one is saying/(what) one means/
言わんばかり [いわんばかり] /(adv) as if to say/as much as to say/as though/
言わんや [いわんや] /(exp) much more/not to mention/not to speak of/to say nothing of/let alone/
言わ猿 [いわざる] /(n) say-not monkey (one of the three wise monkeys)/
言をまたない [げんをまたない] /(exp) needless to say/it goes without saying that/
言を左右にする [げんをさゆうにする] /(exp,vs-i) to equivocate/to beat around the bush/
言を守る [げんをまもる] /(exp,v5r) to keep one's word/
言を俟たない [げんをまたない] /(exp) needless to say/it goes without saying that/
言違い [いいちがい] /(n) slip of the tongue/misstatement/
言違える [いいちがえる] /(v1,vt) to say by mistake/to make a slip of the tongue/
言下 [げんか] /(n) promptly/
言下 [ごんか] /(n) promptly/
言過ぎ [いいすぎ] /(n) exaggeration/overstatement/
言過ぎる [いいすぎる] /(v1,vt) to talk or say too much/to go too far/to overstate/to exaggerate/
言過ごす [いいすごす] /(v5s) to talk or say too much/to go too far/to overstate/to exaggerate/
言回し [いいまわし] /(n) expression/phraseology/
言回す [いいまわす] /(v5s,vt) to express in a roundabout way/
言改める [いいあらためる] /(v1) to correct oneself/
言海 [げんかい] /(n) wordbook/dictionary/
言開き [いいひらき] /(n) explanation/justification/vindication/
言開く [いいひらく] /(v5k,vt) to justify/to explain/to vindicate/
言外 [げんがい] /(n,adj-no) unexpressed/implied/implicit/
言掛かり [いいがかり] /(n) false accusation/pretext/commitment/
言掛けて止める [いいかけてやめる] /(v1) to stop in the middle of a sentence/
言掛ける [いいかける] /(v1,vt) to begin speaking/to start to say/to stop in mid-sentence/
言換え [いいかえ] /(n,vs) putting in other words/
言換える [いいかえる] /(v1,vt) to say in other words/to put another way/to express in different words/to reword/to rephrase/
言丸める [いいまるめる] /(v1) to do sweet-talk/
言含める [いいふくめる] /(v1,vt) to give detailed instructions/
言寄る [いいよる] /(v5r,vi) to court/to woo/to approach defiantly/
言及 [げんきゅう] /(n,vs) reference/allusion/(P)/
言及ぶ [いいおよぶ] /(v5b,vi) to refer to/to mention (e.g. theme)/
言及リンク [げんきゅうリンク] /(n) backlink/
言挙げ [ことあげ] /(n,vs) a mention/
言継ぐ [いいつぐ] /(v5g,vt) to transmit by word of mouth/
言兼ねる [いいかねる] /(v1,vt) to find it hard to say/
言捲る [いいまくる] /(v5r,vt) to talk volubly/
言遣る [いいやる] /(v5r,vt) to send word/
言言 [げんげん] /(n) every word/
言言句句 [げんげんくく] /(n) every single word and phrase/each and every word/
言古した言葉 [いいふるしたことば] /(n) hackneyed saying/
言古す [いいふるす] /(v5s) to say repeatedly/to say proverbially/
言語 [げんご] /(n) (ling) language/(P)/
言語 [ごんご] /(n) (ling) language/
言語に絶する [げんごにぜっする] /(exp,vs-s) to be beyond words/to defy description/
言語トランスレータ [げんごトランスレータ] /(n) (comp) language translator/
言語プロセッサ [げんごプロセッサ] /(n) (comp) language processor/
言語運用 [げんごうんよう] /(n) (ling) (linguistic) performance/
言語化 [げんごか] /(n,vs) verbalizing/putting into words/
言語獲得 [げんごかくとく] /(n) language acquisition/
言語学 [げんごがく] /(n) (ling) linguistics/
言語学者 [げんごがくしゃ] /(n) (ling) linguist/
言語学的観念論 [げんごがくてきかんねんろん] /(n) (ling) linguistic conceptualism/
言語学的実在論 [げんごがくてきじつざいろん] /(n) (ling) linguistic realism/
言語機能 [げんごきのう] /(n) language faculty/
言語教育 [げんごきょういく] /(n) language education/
言語結合 [げんごけつごう] /(n) (comp) language binding/
言語交換 [げんごこうかん] /(n,vs) language exchange/
言語構成要素 [げんごこうせいようそ] /(n) (comp) language construct/
言語行為 [げんごこうい] /(n) speech act/
言語使用域 [げんごしよういき] /(n) (ling) register/
言語資料 [げんごしりょう] /(n) (ling) corpus/linguistic data/text corpus/
言語社会学 [げんごしゃかいがく] /(n) linguistic sociology/
言語処理系 [げんごしょりけい] /(n) (comp) language processor/
言語障害 [げんごしょうがい] /(n,adj-no) speech impediment/speech disorder/
言語障害者 [げんごしょうがいしゃ] /(n) speech-impaired person/person with a speech impediment/mute/
言語心理学 [げんごしんりがく] /(n) (ling) linguistic psychology/psycholinguistics (esp. from a psychological standpoint)/
言語相対説 [げんごそうたいせつ] /(n) (obsc) theory of linguistic relativity/
言語対象 [げんごたいしょう] /(n) (comp) language object/
言語知識 [げんごちしき] /(n) (ling) knowledge of language/
言語地図 [げんごちず] /(n) linguistic map/linguistic atlas/
言語地理 [げんごちり] /(n) linguistic geography/
言語地理学 [げんごちりがく] /(n) linguistic geography/
言語中枢 [げんごちゅうすう] /(n) speech center/speech centre/
言語同断 [ごんごどうだん] /(iK) (adj-na,n,adj-no) outrageous/preposterous/scandalous/inexcusable/absurd/execrable/
言語道断 [ごんごどうだん] /(adj-na,n,adj-no) outrageous/preposterous/scandalous/inexcusable/absurd/execrable/
言語道斷 [ごんごどうだん] /(oK) (adj-na,n,adj-no) outrageous/preposterous/scandalous/inexcusable/absurd/execrable/
言語特有 [げんごとくゆう] /(n) language specific/
言語能力 [げんごのうりょく] /(n) (ling) (linguistic) competence/language capability/
言語表示 [げんごひょうじ] /(n) (comp) language indication/
言語名 [げんごめい] /(n) (comp) language-name/
言語要素 [げんごようそ] /(n) (comp) language construct/entity/
言語療法 [げんごりょうほう] /(n) speech therapy/
言語論的転回 [げんごろんてきてんかい] /(n) linguistic turn/
言誤る [いいあやまる] /(v5r,vt) to say by mistake/to make a slip of the tongue/
言交す [いいかわす] /(v5s,vt) to have a chat with/to promise/to get engaged/
言交わす [いいかわす] /(v5s) to exchange words or promises/to promise/
言甲斐 [いいがい] /(n) worth mentioning/
言行 [げんこう] /(n) speech and behaviour (behavior)/
言行一致 [げんこういっち] /(n) acting up to one's words/
言行録 [げんこうろく] /(n) record of a person's words and deeds/
言行齟齬 [げんこうそご] /(n) inconsistency of speech and action/failing to act up to one's words/not practicing what one preaches/
言合い [いいあい] /(n) quarrel/dispute/
言合う [いいあう] /(v5u,vt) to quarrel/
言合わせる [いいあわせる] /(v1) to agree in advance/
言込める [いいこめる] /(v1,vt) to talk down/to argue down/
言魂 [ことだま] /(n) soul or power of language/
言散らす [いいちらす] /(v5s,vt) to spread (a report)/
言残す [いいのこす] /(v5s,vt) to leave word with (a person)/to state in one's will/to leave (something) unsaid/to forget to mention/
言止す [いいさす] /(v5s) to break off (in middle of sentence)/
言辞 [げんじ] /(n) language/speech/
言質 [げんしち] /(n) commitment/pledge or promise/
言質 [げんしつ] /(n) commitment/pledge or promise/
言質 [げんち] /(n) commitment/pledge or promise/(P)/
言捨てる [いいすてる] /(v1,vt) to say (something) over one's shoulder/
言種 [いいぐさ] /(n) one's words or remarks/an excuse/
言終わる [いいおわる] /(v5r) to finish speaking/
言習わす [いいならわす] /(v5s,vt) to be handed down/to have a habit of saying/
言渋る [いいしぶる] /(v5r,vt) to hesitate to say/
言祝ぐ [ことほぐ] /(v5g,vt) to congratulate/to wish one well/
言出しっぺ [いいだしっぺ] /(exp) the one who brought it up/the one who calls attention to a fart is in fact the farter/the one who brings up a subject must be the first to act upon it/
言出しっ屁 [いいだしっぺ] /(exp) the one who brought it up/the one who calls attention to a fart is in fact the farter/the one who brings up a subject must be the first to act upon it/
言出す [いいだす] /(v5s,vt) to start talking/to speak/to tell/to propose/to suggest/to break the ice/
言上 [ごんじょう] /(n,vs) telling/stating/
言条 [いいじょう] /(n) an excuse/however/nonetheless/
言触らす [いいふらす] /(v5s,vt) to spread a rumor/to spread a rumour/to talk about/
言振り [いいぶり] /(n) manner of speaking/
言辛い [いいづらい] /(adj-i) difficult to speak about/
言尽くす [いいつくす] /(v5s) to tell all/to give a full account/
言成り [いいなり] /(n) doing as one is told/yes-man/
言責 [げんせき] /(n) responsibility for one's words/
言切る [いいきる] /(v5r,vt) to declare/to assert/to state definitively/
言説 [げんせつ] /(n,vs) remark/statement/discourse/
言繕う [いいつくろう] /(v5u,vt) to gloss over/
言争い [いいあらそい] /(n) a quarrel/argument/
言争う [いいあらそう] /(v5u,vt) to quarrel/to dispute/
言草 [いいぐさ] /(n) remarks/comments/
言送る [いいおくる] /(v5r,vt) to send a message/to write to/
言足す [いいたす] /(v5s,vt) to say something additional/to add (to what was said before)/
言損なう [いいそこなう] /(v5u) to say by mistake/to make a slip of the tongue/
言替え [いいかえ] /(n,vs) putting in other words/
言替える [いいかえる] /(v1,vt) to say in other words/to put another way/to express in different words/to reword/to rephrase/
言替えるなら [いいかえるなら] /(exp) if we put this another way/in other words/put differently/
言値 [いいね] /(n) the asking price/
言知れぬ [いいしれぬ] /(adj-pn) indescribable/inexpressible/
言置く [いいおく] /(v5k,vt) to leave word/to leave a message/
言張る [いいはる] /(v5r,vt) to insist/to assert/to be obstinate in saying/
言直す [いいなおす] /(v5s,vt) to correct oneself/to restate/
言通す [いいとおす] /(v5s,vt) to persist in saying/
言添える [いいそえる] /(v1,vt) to add (to what was said before)/to say in addition/
言伝 [ことづて] /(n) (oral) message/declaration/hearsay/rumour/rumor/
言伝え [いいつたえ] /(n) tradition/legend/
言伝える [いいつたえる] /(v1,vt) to send word/
言伝て [ことづて] /(n) (oral) message/declaration/hearsay/rumour/rumor/
言渡し [いいわたし] /(n) sentence/judgment/judgement/pronouncement/order/command/
言渡す [いいわたす] /(v5s,vt) to announce/to tell/to sentence/to order/
言当てる [いいあてる] /(v1,vt) to guess right/
言逃れ [いいのがれ] /(n) evasion/excuse/subterfuge/
言逃れる [いいのがれる] /(v1,vt) to explain away/to talk one's way out of/to excuse oneself/to evade/
言動 [げんどう] /(n) speech and conduct/(P)/
言難い [いいがたい] /(adj-i) hard to say/inexpressible/hesitant to say/
言難い [いいにくい] /(adj-i) hard to say/inexpressible/hesitant to say/
言破る [いいやぶる] /(v5r,vt) to argue down/to confute/
言抜け [いいぬけ] /(n) evasion/an excuse/
言抜ける [いいぬける] /(v1,vt) to explain away/to answer evasively/
言表す [いいあらわす] /(v5s,vt) (1) to express (in words)/(2) to confess/
言付かる [いいつかる] /(v5r,vt) to be ordered/
言付かる [ことづかる] /(v5r,vt) to be entrusted with/to be asked to/
言付け [いいつけ] /(n) (1) order/command/(2) directions/instructions/
言付け [ことづけ] /(n,vs) (verbal) message/
言付ける [いいつける] /(v1,vt) (1) to tell (to do)/to order/to charge/to direct/(2) to tell on (someone)/to report/(3) to often say/
言付ける [ことづける] /(v1,vt) to send word/to send a message/(P)/
言負かす [いいまかす] /(v5s,vt) to talk (a person) down/to confute/
言伏せる [いいふせる] /(v1,vt) to argue down/
言分 [いいぶん] /(n) one's say/one's point/complaint/excuse/
言分け [いいわけ] /(n,vs) (1) excuse/(2) explanation/
言紛らす [いいまぎらす] /(v5s,vt) to equivocate/
言文一致 [げんぶんいっち] /(n) unification of the written and spoken forms of a language/
言聞かす [いいきかす] /(v5s) to tell someone to do something/to warn/to persuade/to instruct/
言聞かせる [いいきかせる] /(v1,vt) to tell someone to do something/to warn/to persuade/to instruct/
言偏 [ごんべん] /(n) kanji "word" radical at left/
言返す [いいかえす] /(v5s,vt) to repeat/to talk back/to answer back/
言募る [いいつのる] /(v5r,vi) to argue vehemently/
言暮らす [いいくらす] /(v5s) to pass the time talking/
言放つ [いいはなつ] /(v5t,vt) to declare/
言方 [いいかた] /(n) way of talking/speaking style/
言忘れる [いいわすれる] /(v1) to forget to say/to forget to mention/
言明 [げんめい] /(n,vs) declaration/statement/assertion/(P)/
言訳 [いいわけ] /(n,vs) (1) excuse/(2) explanation/
言訳が立たない [いいわけがたたない] /(exp,adj-i) admitting no excuse/
言様 [いいよう] /(exp) manner of speaking/
言様がない [いいようがない] /(exp,adj-i) indescribable/having no way to express/
言葉 [けとば] /(ok) (n) (1) language/dialect/(2) word/words/phrase/term/expression/remark/(3) speech/(manner of) speaking/
言葉 [ことば] /(n) (1) language/dialect/(2) word/words/phrase/term/expression/remark/(3) speech/(manner of) speaking/(P)/
言葉たくみ [ことばたくみ] /(n,adj-no) skillful words/deceitful words/glibness/
言葉つき [ことばつき] /(n) speech/expression/wording/language/
言葉づかい [ことばづかい] /(n,vs) speech/expression/wording/language/
言葉どおり [ことばどおり] /(n,adj-no) exactly as stated/verbatim/
言葉に甘える [ことばにあまえる] /(exp,v1) to accept an offer/to be charmed by someone's kind words and do as he wishes/
言葉に詰まる [ことばにつまる] /(exp,v5r) to be at a loss for words/
言葉に窮する [ことばにきゅうする] /(exp,vs-s) to be at a loss for words/
言葉に表せない [ことばにあらわせない] /(adj-i) ineffable/inexpressible/
言葉のあや [ことばのあや] /(n) figure of speech/
言葉の綾 [ことばのあや] /(n) figure of speech/
言葉の壁 [ことばのかべ] /(n) language barrier/
言葉をかける [ことばをかける] /(exp,v1) to speak to/to give a (something) talk to/to speak words of (something)/
言葉をもじる [ことばをもじる] /(exp,v5r) to make a pun on a word/
言葉を掛ける [ことばをかける] /(exp,v1) to speak to/to give a (something) talk to/to speak words of (something)/
言葉を継ぐ [ことばをつぐ] /(exp,v5g) to continue (to say)/
言葉を交える [ことばをまじえる] /(exp,v1) to exchange words/
言葉を交わす [ことばをかわす] /(exp,v5s) to exchange words/
言葉を濁す [ことばをにごす] /(exp,v5s) to be evasive/to not commit oneself/
言葉を捩る [ことばをもじる] /(exp,v5r) to make a pun on a word/
言葉遣い [ことばづかい] /(n,vs) speech/expression/wording/language/(P)/
言葉後 [ことばじり] /(n) (1) word ending/(2) slip of the tongue/
言葉巧み [ことばたくみ] /(n,adj-no) skillful words/deceitful words/glibness/
言葉巧み [ことばだくみ] /(n,adj-no) skillful words/deceitful words/glibness/
言葉使い [ことばづかい] /(n,vs) speech/expression/wording/language/
言葉質 [ことばじち] /(n) a promise or pledge/
言葉狩り [ことばがり] /(n) word-hunting/search for and censorship of politically incorrect words/
言葉書き [ことばがき] /(n) foreword to a collection of poems/preface/explanatory notes/captions/
言葉尻 [ことばじり] /(n) (1) word ending/(2) slip of the tongue/
言葉尻をとらえる [ことばじりをとらえる] /(exp,v1) to cavil at a person's words/to use somebody's words to trip him up/
言葉尻を捉える [ことばじりをとらえる] /(exp,v1) to cavil at a person's words/to use somebody's words to trip him up/
言葉尻を捕らえる [ことばじりをとらえる] /(exp,v1) to cavil at a person's words/to use somebody's words to trip him up/
言葉数 [ことばかず] /(n) (1) number of words/(2) vocality/
言葉通り [ことばどおり] /(n,adj-no) exactly as stated/verbatim/
言葉典 [ことばてん] /(n) dictionary/
言葉付き [ことばつき] /(n) speech/expression/wording/language/
言淀む [いいよどむ] /(v5m,vt) to hesitate to say/
言落す [いいおとす] /(v5s,vt) to omit/to forget to mention/to leave unspoken/
言立てる [いいたてる] /(v1,vt) to state/to insist/
言霊 [ことだま] /(n) soul or power of language/
言漏らす [いいもらす] /(v5s,vt) to forget to mention/to leave unspoken/to let slip a secret/
言論 [げんろん] /(n) (one's) speech/expression of views/discussion/(P)/
言論の自由 [げんろんのじゆう] /(n) free speech/freedom of speech/
言論を封殺する [げんろんをふうさつする] /(exp,vs-i) to suppress the freedom of speech/
言論界 [げんろんかい] /(n) the press/journalism/fourth estate/
言論機関 [げんろんきかん] /(n) organ of public opinion/
言做す [いいなす] /(v5s,vt) to speak as though something were actually the case/to smooth over/to describe/
言囃す [いいはやす] /(v5s,vt) to praise/to spread or circulate a rumor (rumour)/
言籠める [いいこめる] /(v1,vt) to talk down/to argue down/
諺 [ことわざ] /(n) (uk) proverb/maxim/(P)/
諺文 [げんぶん] /(n) (old name for) hangul/the Korean script/
諺文 [ウンムン] /(n) (old name for) hangul/the Korean script/
諺文 [オンモン] /(n) (old name for) hangul/the Korean script/
限 [きり] /(io) (n) (1) end/finish/stop/(2) bounds/limits/(3) delivery date (of a futures contract)/(4) finale (of a noh song)/end of an act (in joruri or kabuki)/final performance of the day (in vaudeville)/(suf,ctr) (5) (arch) counter for slices/(prt) (6) (uk) only/just/(7) (uk) since/(8) (uk) remaining (in a particular state)/
限り [かぎり] /(n-adv,n) (1) limit/limits/bounds/(2) degree/extent/scope/(3) as far as possible/as much as possible/to the best of one's ability/(4) unless (after neg. verb)/(5) the end/the last/(P)/
限り [きり] /(n) (1) end/finish/stop/(2) bounds/limits/(3) delivery date (of a futures contract)/(4) finale (of a noh song)/end of an act (in joruri or kabuki)/final performance of the day (in vaudeville)/(suf,ctr) (5) (arch) counter for slices/(prt) (6) (uk) only/just/(7) (uk) since/(8) (uk) remaining (in a particular state)/
限りない [かぎりない] /(adj-i) eternal/unlimited/endless/(P)/
限りなく [かぎりなく] /(adv) without end/exceedingly/
限り無い [かぎりない] /(adj-i) eternal/unlimited/endless/
限り無く [かぎりなく] /(adv) without end/exceedingly/
限り有る [かぎりある] /(exp) finite/limited/
限る [かぎる] /(v5r,vt) (1) to restrict/to limit/to confine/(v5r,vi) (2) to be restricted to/to be limited to/to be confined to/(P)/
限界 [げんかい] /(n,adj-no) limit/bound/(P)/
限界検査 [げんかいけんさ] /(n) (comp) marginal test/marginal check/
限界顕微鏡 [げんかいけんびきょう] /(n) high magnification microscope/
限界効用 [げんかいこうよう] /(n) marginal utility/
限界効用均等の法則 [げんかいこうようきんとうのほうそく] /(n) law of equimarginal utility/
限界効用逓減の法則 [げんかいこうようていげんのほうそく] /(n) law of diminishing marginal utility/
限界試験 [げんかいしけん] /(n) (comp) marginal test/marginal check/
限界収入 [げんかいしゅうにゅう] /(n) marginal revenue/
限界消費性向 [げんかいしょうひせいこう] /(n) marginal propensity to consume/
限界状況 [げんかいじょうきょう] /(n) critical situation/
限界生産物逓減の法則 [げんかいせいさんぶつていげんのほうそく] /(n) law of diminishing marginal product/
限界貯蓄性向 [げんかいちょちくせいこう] /(n) marginal propensity to save/
限界点 [げんかいてん] /(n) threshold/breaking point/
限界費用 [げんかいひよう] /(n) marginal cost/
限界利益 [げんかいりえき] /(n) marginal profit/
限界利潤 [げんかいりじゅん] /(n) marginal profit/
限外 [げんがい] /(n) excess/extra/
限外顕微鏡 [げんがいけんびきょう] /(n) ultramicroscope/
限外濾過 [げんがいろか] /(n) (chem) ultrafiltration/
限局 [げんきょく] /(n,vs) restriction/localization/
限局性回腸炎 [げんきょくせいかいちょうえん] /(n) Crohn's disease/
限月 [きりげつ] /(n) contract month/delivery month (of a futures contract)/
限月 [げんげつ] /(n) contract month/delivery month (of a futures contract)/
限性遺伝 [げんせいいでん] /(n) sex-limited inheritance/
限定 [げんてい] /(n,vs,adj-no) limit/restriction/(P)/
限定子 [げんていし] /(n) (comp) qualifier/
限定詞 [げんていし] /(n) determiner/qualifier/determinative/
限定出版 [げんていしゅっぱん] /(n) limited publication/
限定戦争 [げんていせんそう] /(n) limited war/
限定的 [げんていてき] /(adj-na) limiting/restrictive/
限定版 [げんていばん] /(n) limited edition/
限定保証 [げんていほしょう] /(n) (comp) limited warranties/
限定用法 [げんていようほう] /(n) (ling) restrictive (use)/
限度 [げんど] /(n) limit/bounds/(P)/
限度を超える [げんどをこえる] /(exp,v1) to go beyond the limit/to pass the limit/
限度額 [げんどがく] /(n) credit limit (on a credit card)/(P)/
限度検査 [げんどけんさ] /(n) (comp) limit check/
限度枠 [げんどわく] /(n) allowable range/bound/limit/
限目 [げんめ] /(ctr) (1) ~th period (e.g. ~th class in school day)/(n) (2) (abbr) period of time/
限量子 [げんりょうし] /(n) (math) quantifier/
乎古止点 [おことてん] /(n) marks to aid in reading Chinese classics/
乎古止点 [をことてん] /(n) marks to aid in reading Chinese classics/
乎己止点 [おことてん] /(n) marks to aid in reading Chinese classics/
乎己止点 [をことてん] /(n) marks to aid in reading Chinese classics/
個 [か] /(ctr) counter for the ichi-ni-san counting system (usu. directly preceding the item being counted)/a noun read using its on-yomi/
個 [こ] /(ctr) (1) counter for articles/(2) counter for military units/(3) individual/(P)/
個 [ち] /(ok) (ctr) (uk) counter for the hito-futa-mi counting system (forming hitotsu, futatsu, mitsu, and misoji, yasoji, etc.)/
個 [ぢ] /(ok) (ctr) (uk) counter for the hito-futa-mi counting system (forming hitotsu, futatsu, mitsu, and misoji, yasoji, etc.)/
個 [つ] /(ctr) (uk) counter for the hito-futa-mi counting system (forming hitotsu, futatsu, mitsu, and misoji, yasoji, etc.)/
個々 [ここ] /(n,adj-no) individual/one by one/separate/(P)/
個々に [ここに] /(adv) individually/separately/
個々人 [ここじん] /(n) an individual/individual people/(P)/
個々別別 [ここべつべつ] /(n) each one separately/
個と全 [ことぜん] /(exp) individual and the whole/
個個 [ここ] /(n,adj-no) individual/one by one/separate/
個個に [ここに] /(adv) individually/separately/
個個人 [ここじん] /(n) an individual/individual people/
個個別別 [ここべつべつ] /(n) each one separately/
個室 [こしつ] /(n) private room/one's own room/(P)/
個所 [かしょ] /(n) passage/place/point/part/(P)/
個条 [かじょう] /(n) article/clause/item/
個条書き [かじょうがき] /(n) itemized form/itemised form/itemization/itemisation/
個人 [こじん] /(n,adj-no) individual/private person/personal/private/(P)/
個人コミュニケーションサービス [こじんコミュニケーションサービス] /(n) (comp) personal communication service/PCS/
個人タクシー [こじんタクシー] /(n) privately owned taxi/
個人データ [こじんデータ] /(n) personal data/
個人ローン [こじんローン] /(n) personal loan/
個人間 [こじんかん] /(adj-no) interpersonal/between individuals/
個人間メッセージ通信サービス [こじんかんメッセージつうしんサービス] /(n) (comp) (obsc) interpersonal messaging service/
個人間通信 [こじんかんつうしん] /(n) (comp) interpersonal communication/
個人企業 [こじんきぎょう] /(n) one-man business/sole proprietorship/owner-managed enterprise/
個人教授 [こじんきょうじゅ] /(n) private instruction/
個人経営 [こじんけいえい] /(n,adj-no) private management/
個人個人 [こじんこじん] /(n) individual/one by one/
個人誤差 [こじんごさ] /(n) personal equation/
個人向け [こじんむけ] /(n) (comp) targeted at individuals/
個人広告 [こじんこうこく] /(n) personals/personal advertisements/
個人攻撃 [こじんこうげき] /(n,adj-no) personal attack or denunciation/
個人差 [こじんさ] /(n) individual differences/personal equation/(P)/
個人指導 [こじんしどう] /(n) personal guidance/tutoring/
個人資産 [こじんしさん] /(n) personal asset/
個人主義 [こじんしゅぎ] /(n,adj-no) individualism/
個人主義者 [こじんしゅぎしゃ] /(n) individualist/
個人所得 [こじんしょとく] /(n) personal income/
個人所得税 [こじんしょとくぜい] /(n) personal income tax/
個人消費 [こじんしょうひ] /(n) consumer spending/
個人情報 [こじんじょうほう] /(n) personal information/
個人情報盗み [こじんじょうほうぬすみ] /(n) identity theft/
個人情報保護法 [こじんじょうほうほごほう] /(n) Personal Information Protection Law (2003)/
個人性 [こじんせい] /(n) individuality/personality/idiosyncrasy/
個人戦 [こじんせん] /(n) individual match/single game/
個人線量計 [こじんせんりょうけい] /(n) personal dosimeter/
個人退職金積立計画 [こじんたいしょくきんつみたてけいかく] /(n) retirement plan/
個人退職口座 [こじんたいしょくこうざ] /(n) individual retirement account/IRA/
個人通信サービス [こじんつうしんサービス] /(n) (comp) personal communication service/PCS/
個人的 [こじんてき] /(adj-na) individualistic/personal/self-centred/self-centered/(P)/
個人的に知る [こじんてきにしる] /(exp,v5r) to know personally/to have personal knowledge of/
個人的意見 [こじんてきいけん] /(n) personal opinion/
個人展 [こじんてん] /(n) one-man exhibition/one-man show/
個人投資 [こじんとうし] /(n) private investment/individual investment/
個人投資家 [こじんとうしか] /(n) individual investor/
個人年金 [こじんねんきん] /(n) personal pension/
個人別総当り [こじんべつそうあたり] /(n) hypothetical rule allowing match-ups between sumo wrestlers regardless of their stable affiliation/
個人名 [こじんめい] /(n) personal name/
個人優勝制度 [こじんゆうしょうせいど] /(n) individual championship system (sumo)/
個人用 [こじんよう] /(n) for personal use/
個人用オーガナイザ [こじんようオーガナイザ] /(n) (comp) personal organizer/
個人倫理 [こじんりんり] /(n) individual ethics/
個数 [こすう] /(n) number of articles/
個性 [こせい] /(n) individuality/personality/idiosyncrasy/(P)/
個性的 [こせいてき] /(adj-na) personal/individual/
個性豊か [こせいゆたか] /(adj-na,n) great individuality/
個生態学 [こせいたいがく] /(n) autecology/autoecology/
個体 [こたい] /(n,adj-no) an individual/(P)/
個体群 [こたいぐん] /(n) population/
個体群生態学 [こたいぐんせいたいがく] /(n) population ecology/
個体差 [こたいさ] /(n) individual difference/
個体数 [こたいすう] /(n) population (of animals, etc.)/population size/number of individuals/
個体発生 [こたいはっせい] /(n,adj-no) ontogeny/ontogenesis/
個体発生論 [こたいはっせいろん] /(n) ontogeny/
個虫 [こちゅう] /(n) zooid/
個展 [こてん] /(n) one-man exhibition/one-woman exhibition/(P)/
個当り [こあたり] /(suf,ctr) pieces/items/
個物 [こぶつ] /(n) individual (in philosophy)/
個別 [こべつ] /(n,adj-no) particular case/discrete/individual/separate/(P)/
個別化 [こべつか] /(n,vs) individualization/individualisation/
個別記号 [こべつきごう] /(n) (comp) specific symbol/
個別的 [こべつてき] /(adj-na) individual/particular/discrete/distinct/
個別販売 [こべつはんばい] /(n) door-to-door selling/
個別部品 [こべつぶひん] /(n) (comp) discrete component/
個包装 [こほうそう] /(n,adj-no) individual packaging/individual wrapping/
古 [いにしえ] /(n) antiquity/ancient times/(P)/
古 [ふる] /(n) (1) used item/secondhand item/(n-pref) (2) old/used/previous/
古々しい [ふるぶるしい] /(adj-i) very old/
古い [ふるい] /(adj-i) old (not person)/aged/ancient/antiquated/stale/threadbare/outmoded/obsolete article/(P)/
古い革袋に新しい酒を盛る [ふるいかわぶくろにあたらしいさけをもる] /(exp) (id) (obsc) to put new wine into old wineskins/to put new wine into old bottles/
古え [いにしえ] /(n) antiquity/ancient times/
古き [ふるき] /(adj-f) old/olden/
古きよき日々 [ふるきよきにちにち] /(exp) the good old days/halcyon days/
古き良き時代 [ふるきよきじだい] /(exp) the good old days/halcyon days/
古き良き日々 [ふるきよきにちにち] /(exp) the good old days/halcyon days/
古く [ふるく] /(adv,n) anciently/formerly/
古くさい [ふるくさい] /(adj-i) stale/old fashioned/hackneyed/trite/
古く見せる [ふるくみせる] /(v1) to impart an ancient appearance/
古す [ふるす] /(v5s,vt) to wear out/
古びる [ふるびる] /(v1,vi) to look old/to get old/
古び衰える [ふるびおとろえる] /(v1) to waste away/
古ぼける [ふるぼける] /(v1,vi) (uk) to look old/to become musty/to wear out/
古めかしい [ふるめかしい] /(adj-i) old-fashioned/
古ロ [こロ] /(n) (abbr) ancient Rome/
古意 [こい] /(n) ancient ways/the feelings of the ancients/
古医方 [こいほう] /(n) Edo-period school of Chinese medicine based on pre-Jin and Yuan teachings/
古井戸 [ふるいど] /(n) old unused well/
古印紙 [こいんし] /(n) used stamps/
古印紙 [ふるいんし] /(n) used stamps/
古英語 [こえいご] /(n) old English/
古往今来 [こおうこんらい] /(adv,n) in all ages/since antiquity/
古音 [こおん] /(n) old (pre-Wu dynasty) character pronunciation/
古家 [ふるいえ] /(n) old house/deserted house/
古歌 [こか] /(n) old song/old poem/
古歌 [ふるうた] /(n) old song/old poem/
古河 [ふるかわ] /(n) old river/
古画 [こが] /(n) ancient painting/
古賀派 [こがは] /(n) Koga Faction (of the LDP)/
古雅 [こが] /(adj-na,n) classical elegance/antiquity/
古格 [こかく] /(n) convention/usage/old customs/old etiquette/
古学 [こがく] /(n) classical studies/
古楽 [こがく] /(n) ancient (early) music/
古株 [ふるかぶ] /(n) old-timer/veteran/senior/
古顔 [ふるがお] /(n) familiar face/old timer/
古器 [こき] /(n) an antique/
古希 [こき] /(n) seventieth birthday/70th birthday/
古稀 [こき] /(n) seventieth birthday/70th birthday/
古記 [こき] /(n) ancient records/
古儀 [こぎ] /(n) ancient rites/
古義 [こぎ] /(n) old meaning/old interpretation/
古義真言宗 [こぎしんごんしゅう] /(n) Kogi Shingon ("Old Shingon" school of Buddhism)/
古強者 [ふるつわもの] /(n) (1) old soldier/veteran/old hand/
古曲 [こきょく] /(n) old music/
古金 [ふるがね] /(n) scrap iron/scrap metal/
古句 [こく] /(n) ancient expression/old poem/
古靴 [ふるぐつ] /(n) old shoes/
古訓 [こくん] /(n) ancient instruction/old reading/
古血 [ふるち] /(n) impure blood/
古賢 [こけん] /(n) ancient sage/
古言 [こげん] /(n) obsolete word/old proverb/
古諺 [こげん] /(n) obsolete word/old proverb/
古古しい [ふるぶるしい] /(adj-i) very old/
古狐 [ふるきつね] /(n) old fox/old-timer/schemer/
古狐 [ふるぎつね] /(n) old fox/old-timer/schemer/
古糊 [ふるのり] /(n) aged paste/microbially fermented weak adhesive for restoration of Japanese works of art on paper/
古語 [こご] /(n) obsolete word/old proverb/ancient (Japanese) language/(P)/
古語辞典 [こごじてん] /(n) dictionary of archaisms/
古豪 [こごう] /(n) veteran/old-timer/man of experience/
古惚ける [ふるぼける] /(v1,vi) (uk) to look old/to become musty/to wear out/
古今 [ここん] /(n,adj-no) ancient and modern times/all ages/past and present/(P)/
古今東西 [ここんとうざい] /(n) all times and places/all ages and countries/
古今独歩 [ここんどっぽ] /(exp) unsurpassed in history/
古今無双 [ここんむそう] /(exp) unparalleled in history/
古今無類 [ここんむるい] /(n) best ever/
古細菌 [こさいきん] /(n) archaea/archaebacteria/
古雑誌 [ふるざっし] /(n) old magazines/
古参 [こさん] /(n,adj-no) seniority/long service/(P)/
古参者 [こさんしゃ] /(n) senior/old timer/
古史 [こし] /(n) ancient history/
古紙 [こし] /(n) used paper/paper for recycling/(P)/
古詩 [こし] /(n) ancient poems/
古事 [こじ] /(n) ancient events/
古事記 [こじき] /(n) Records of Ancient Matters (Japan's oldest historical record)/
古事記 [ふることふみ] /(n) Records of Ancient Matters (Japan's oldest historical record)/
古事記伝 [こじきでん] /(n) Commentary on the Kojiki (by Motoori Norinaga, 1798)/
古事来歴 [こじらいれき] /(iK) (n) origin and history/particulars/
古字 [こじ] /(n) ancient writing/
古寺 [こじ] /(n) old temple/
古寺 [ふるでら] /(n) old temple/
古時計 [ふるどけい] /(n) antique clock/old clock/
古自動車 [ふるじどうしゃ] /(n) used car/
古式 [こしき] /(n) old style/ancient rites/
古式床しい [こしきゆかしい] /(n) (col) traditional/
古写本 [こしゃほん] /(n) old manuscript/codex/
古社寺 [こしゃじ] /(n) old shrines and temples/
古手 [ふるて] /(n,adj-no) disused article/ex-soldier/retired official/
古酒 [こしゅ] /(n) well-cured sake/last year's sake/old sake/
古酒 [ふるざけ] /(n) well-cured sake/last year's sake/old sake/
古臭い [ふるくさい] /(adj-i) stale/old fashioned/hackneyed/trite/(P)/
古書 [こしょ] /(n) old book/rare book/(P)/
古書市 [こしょいち] /(n) secondhand book fair/
古書展 [こしょてん] /(n) exhibition of rare (old, antiquarian) books/
古書店 [こしょてん] /(n) antiquarian bookshop/store for rare and old books/
古傷 [ふるきず] /(n) old wound/scar/old unpleasant incident/
古松 [こしょう] /(n) (obsc) old pine/
古称 [こしょう] /(n) old name/former name/
古城 [こじょう] /(n) old castle/old fortress/(P)/
古色 [こしょく] /(n) faded color/faded colour/antique look/
古色蒼然 [こしょくそうぜん] /(adj-t,adv-to) antique-looking/looking hoary with patina/
古新聞 [ふるしんぶん] /(n) old newspapers/
古神道 [こしんとう] /(n) ancient Shinto (as practiced prior to the Introduction of Confucianism and Buddhism to Japan)/
古人 [こじん] /(n) ancient people/
古人骨 [こじんこつ] /(n) ancient human skeleton/archaeological human remains/
古制 [こせい] /(n) ancient establishment/ancient laws/
古生界 [こせいかい] /(n) Paleozoic group/
古生代 [こせいだい] /(n) Paleozoic era/
古生物 [こせいぶつ] /(n) extinct plants and animals/
古生物学 [こせいぶつがく] /(n) paleontology/
古生物学者 [こせいぶつがくしゃ] /(n) paleontologist/
古生物地理学 [こせいぶつちりがく] /(n) palaeobiogeography/paleobiogeography/
古聖 [こせい] /(n) ancient sage/
古昔 [こせき] /(n) ancient times/
古跡 [こせき] /(n) historic spot/historic remains/ruins/
古跡 [ふるあと] /(n) historic spot/historic remains/ruins/
古蹟 [こせき] /(n) historic spot/historic remains/ruins/
古切れ [ふるぎれ] /(n) old cloth/old rags/
古拙 [こせつ] /(adj-na,n) artless but attractive in a quaint sense/
古説 [こせつ] /(n) ancient belief/
古川 [ふるかわ] /(n) old river/
古戦場 [こせんじょう] /(n) ancient battlefield/
古扇 [ふるおうぎ] /(n) (arch) old fan/worn out fan/
古泉学 [こせんがく] /(n) numismatics/
古銭 [こせん] /(n) old coin/
古銭学 [こせんがく] /(n) numismatics/
古銭学者 [こせんがくしゃ] /(n) numismatist/
古創 [ふるきず] /(n) old wound/scar/old unpleasant incident/
古層 [こそう] /(n) layers of history/
古巣 [ふるす] /(n) old haunts/former homes/(P)/
古草 [ふるくさ] /(n) last year's grass/dead grass/
古俗 [こぞく] /(n) old custom/
古体 [こたい] /(n,adj-no) old custom/old style/
古代 [こだい] /(adj-na,n-adv,n-t) ancient times/(P)/
古代エジプト [こだいエジプト] /(n) ancient Egypt/
古代オリンピック [こだいオリンピック] /(n) ancient Olympics/
古代ギリシア [こだいギリシア] /(n) ancient Greece/
古代ギリシャ [こだいギリシャ] /(n) ancient Greece/
古代ローマ [こだいローマ] /(n) ancient Rome/
古代希臘 [こだいギリシャ] /(n) ancient Greece/
古代語 [こだいご] /(n) ancient language/
古代史 [こだいし] /(n) ancient history/
古代紫 [こだいむらさき] /(n) reddish-purple/
古代人 [こだいじん] /(n) the ancients/
古代中国 [こだいちゅうごく] /(n) ancient China/
古代文明 [こだいぶんめい] /(n) ancient civilization/ancient civilisation/
古代裂れ [こだいぎれ] /(n) ancient cloth fragment/
古狸 [ふるだぬき] /(n) old badger/veteran/oldtimer/schemer/old fox/
古地理 [こちり] /(n) past geography/
古地理学 [こちりがく] /(n) paleogeography/palaeogeography/
古池 [ふるいけ] /(n) old pool/old pond/
古茶 [こちゃ] /(n) last year's tea/
古着 [ふるぎ] /(n) old clothes/secondhand clothing/(P)/
古着屋 [ふるぎや] /(n) (1) second hand clothes shop/(2) somebody who sells second hand clothes/
古注 [こちゅう] /(n) commentaries of the ancients/
古註 [こちゅう] /(n) commentaries of the ancients/
古漬け [ふるづけ] /(n) well-pickled (vegetables, etc.)/
古鉄 [ふるがね] /(n) scrap iron/scrap metal/
古鉄 [ふるてつ] /(n) scrap iron/scrap metal/
古典 [こてん] /(n,adj-no) old book/classics/classic/(P)/
古典音楽 [こてんおんがく] /(n) classical music/
古典学 [こてんがく] /(n) the classics/
古典学者 [こてんがくしゃ] /(n) classicist/classical scholar/
古典楽器 [こてんがっき] /(n) Japanese classical musical instruments/
古典芸能 [こてんげいのう] /(n) classical theatre/classical theater/
古典語 [こてんご] /(n) classical or dead languages/
古典時代 [こてんじだい] /(n) the classical period/
古典主義 [こてんしゅぎ] /(n,adj-no) classicism/
古典主義者 [こてんしゅぎしゃ] /(n) classicist/
古典的 [こてんてき] /(adj-na) classical/classic/(P)/
古典的条件づけ [こてんてきじょうけんづけ] /(n) classical conditioning/
古典的条件付け [こてんてきじょうけんづけ] /(n) classical conditioning/
古典派 [こてんは] /(n) classical school/
古典物理学 [こてんぶつりがく] /(n) classical physics/
古典文学 [こてんぶんがく] /(n,adj-no) classical literature/
古典力学 [こてんりきがく] /(n) classical mechanics/
古典論理学 [こてんろんりがく] /(n) classical logic/
古伝 [こでん] /(n) legend/tradition/
古伝説 [こでんせつ] /(n) old tradition/
古渡り [こわたり] /(n) old imported article/
古都 [こと] /(n) ancient city/former capital/(P)/
古刀 [ことう] /(n) old sword/
古陶 [ことう] /(n) old pottery/antique porcelain/
古道 [こどう] /(n) old road/ancient methods/ancient moral teachings/the way of learning/
古道具 [こどうぐ] /(n) old furniture/curios/secondhand goods/
古道具 [ふるどうぐ] /(n) old furniture/curios/secondhand goods/
古道具屋 [ふるどうぐや] /(n) secondhand store/
古馴染み [ふるなじみ] /(n) old friend/
古馬 [こば] /(n) horses 4 or more years old (usu. in racing)/
古版 [こはん] /(n) old edition/
古版本 [こはんぼん] /(n) old edition/
古皮質 [こひしつ] /(n) paleocortex (palaeocortex)/paleopallium/
古備前 [こびぜん] /(n) (1) Bizen sword (mid-Heian to early Kamakura periods)/(2) ancient Bizen ware (Kamakura to early Momoyama periods)/
古筆 [こひつ] /(n) old writing/
古筆家 [こひつか] /(n) expert in old writing/
古廟 [こびょう] /(n) old shrine/
古武士 [こぶし] /(n) (1) feudal warrior/samurai/(2) old soldier/veteran/old hand/
古武士 [ふるつわもの] /(n) (1) old soldier/veteran/old hand/
古武士然 [こぶしぜん] /(n) having something of the old-time samurai about one/
古武道 [こぶどう] /(n) (1) (MA) Kobudo/Okinawan weapons fighting/(2) old (pre-Meiji) budou schools/
古風 [こふう] /(adj-na,n) old customs/old style/(P)/
古風土記 [こふどき] /(n) (as opposed to those compiled later) ancient fudoki compiled by imperial order in 713 CE/
古服 [ふるふく] /(n) old clothes/old suit/
古物 [こぶつ] /(n,adj-no) antique/old article/secondhand goods/
古物 [ふるもの] /(n,adj-no) antique/old article/secondhand goods/
古物商 [こぶつしょう] /(n) curio or secondhand dealer/
古物商人 [こぶつしょうにん] /(n) antiques dealer/
古墳 [こふん] /(n) ancient (mound) tomb/(P)/
古墳時代 [こふんじだい] /(n) Tumulus period (of Japanese history)/
古文 [こぶん] /(n) ancient writing/classical literature/(P)/
古文 [こもん] /(n) ancient writing/classical literature/
古文学 [こぶんがく] /(n) paleography/the study of ancient writings/
古文書 [こぶんしょ] /(n) ancient documents/archives/
古文書 [こもんじょ] /(n) ancient documents/archives/(P)/
古兵 [こへい] /(n) (1) old soldier/veteran/old hand/
古兵 [ふるつわもの] /(n) (1) old soldier/veteran/old hand/
古米 [こまい] /(n) old rice/
古方 [こほう] /(n) old method/
古法 [こほう] /(n) old method/old law/
古墨 [こぼく] /(n) old ink stick/
古本 [こほん] /(n) (1) secondhand book/(2) ancient book/antiquarian books/
古本 [ふるほん] /(n) (1) secondhand book/(P)/
古本 [ふるぼん] /(n) (1) secondhand book/
古本屋 [ふるほんや] /(n) second hand bookstore (bookshop)/
古名 [こめい] /(n) old name/former name/
古木 [こぼく] /(n) old tree/
古訳 [こやく] /(n) (Buddh) pre-Kumarajiva Chinese translation (i.e. before the 5th century)/
古窯址 [こようし] /(n) ruins of old kilns/old kiln sites/
古窯趾 [こようし] /(n) ruins of old kilns/old kiln sites/
古来 [こらい] /(adj-no,adv,n) from time immemorial/ancient/time-honoured/time-honored/(P)/
古里 [ふるさと] /(n) home town/birthplace/old village/historic village/native place/one's old home/(P)/
古流 [こりゅう] /(n) old manners/old style/old school (of art)/
古例 [これい] /(n) old precedent/tradition/custom/
古老 [ころう] /(n) old people/seniors/elders/old-timer/
古刹 [こさつ] /(n) ancient temple/
古址 [こし] /(n) historic ruins/
古潭 [こたん] /(n) (uk) village (Ainu term)/
古疵 [ふるきず] /(n) old wound/scar/old unpleasant incident/
古祠 [こし] /(n) old small shrine/
古箏 [こそう] /(n) Guzheng (type of ancient Chinese zither)/
古筝 [こそう] /(n) Guzheng (type of ancient Chinese zither)/
古譚 [こたん] /(n) (obsc) old tale/
古趾 [こし] /(n) historic ruins/
呼ばれる [よばれる] /(v1,vi) (1) to be called (a name)/to be referred to (as)/(2) to be treated to something (e.g. a meal)/to be invited to/
呼ばれるプログラム [よばれるプログラム] /(n) (comp) called program/subprogram/
呼ばわり [よばわり] /(vs) to call (e.g. somebody a thief)/to denounce/to brand as/
呼ばわる [よばわる] /(v5r,vi) to call out/to shout/
呼び [よび] /(n) call/invitation/
呼びかけ [よびかけ] /(n) call/appeal/(P)/
呼びかける [よびかける] /(v1,vt) to call out to/to accost/to address (crowd)/to appeal/(P)/
呼びつける [よびつける] /(v1,vt) to summon/to get used to call/
呼びにやる [よびにやる] /(v5r) to send for (doctor, etc.)/
呼びに遣る [よびにやる] /(v5r) to send for (doctor, etc.)/
呼び塩 [よびじお] /(n) desalting (drawing salt) from salted food/salt used for desalting/
呼び屋 [よびや] /(n) promoter/
呼び回る [よびまわる] /(v5r,vt) to call out (for someone)/
呼び覚ます [よびさます] /(v5s,vt) to wake up/
呼び掛け [よびかけ] /(n) call/appeal/(P)/
呼び掛ける [よびかける] /(v1,vt) to call out to/to accost/to address (crowd)/to appeal/(P)/
呼び慣れる [よびなれる] /(v1) to be used to calling (someone by a certain name)/
呼び寄せる [よびよせる] /(v1,vt) to call/to summon/to send for/to call together/
呼び起こす [よびおこす] /(v5s,vt) (1) to wake someone (by calling for them)/to awaken/(2) to call (to mind)/to remember/
呼び起す [よびおこす] /(v5s,vt) (1) to wake someone (by calling for them)/to awaken/(2) to call (to mind)/to remember/
呼び迎える [よびむかえる] /(v1,vt) to send for/
呼び交わす [よびかわす] /(v5s) to call each other's names/
呼び合う [よびあう] /(v5u) to call each other/to call out to one another/
呼び込み [よびこみ] /(n) (1) barker/tout/hawker/someone who attempts to attract patrons to entertainment events, shops, bars, and such, by exhorting passing public/(vs) (2) calling out to potential customers/
呼び込む [よびこむ] /(v5m) to call in/to restore a disowned son/
呼び子 [よびこ] /(n) whistle/
呼び止める [よびとめる] /(v1,vt) to challenge/to call somebody to halt/
呼び捨て [よびすて] /(n) addressing someone without an honorific such as "san"/(P)/
呼び習わす [よびならわす] /(v5s) to become accustomed to calling (e.g. someone by a certain name)/
呼び集める [よびあつめる] /(v1,vt) to call together/to convene/
呼び出し [よびだし] /(n,vs) (1) call/summons/(n) (2) sumo usher who calls the names of wrestlers, sweeps the ring, etc./(3) (abbr) telephone number at which a person without a telephone can be reached/(4) (arch) box-shaped area containing clean water for rinsing oneself (in an Edo-period bathhouse)/(5) (arch) high-ranking prostitute in the Yoshiwara district (Edo period)/(6) (arch) unlicensed prostitute in the Fukagawa red-light district (Edo period)/(P)/
呼び出し時間 [よびだしじかん] /(n) (comp) access time/
呼び出し状 [よびだしじょう] /(n) summons/
呼び出し側 [よびだしがわ] /(n) caller/calling party/
呼び出し電話 [よびだしでんわ] /(n) telephone number at which person without a phone can be reached/
呼び出し法 [よびだしほう] /(n) (comp) access mode/
呼び出し命令 [よびだしめいれい] /(n) (comp) call instruction/
呼び出す [よびだす] /(v5s,vt) (1) to summon/to call (e.g. phone)/to convene/to decoy/to lure/(2) (comp) to invoke (e.g. subroutine)/to call/(P)/
呼び上げる [よびあげる] /(v1,vt) to call out/
呼び水 [よびみず] /(n) pump-priming/rousing/stimulation/(P)/
呼び水式経済政策 [よびみずしきけいざいせいさく] /(n) pump priming/
呼び声 [よびごえ] /(n) call/hail/yell/(P)/
呼び声が高い [よびごえがたかい] /(exp) being widely talked about as a prominent prospect (for)/
呼び声の高い [よびごえのたかい] /(adj-i) widely viewed as a prominent prospect (for)/
呼び値 [よびね] /(n) nominal price/
呼び入れる [よびいれる] /(v1,vt) to call in/to invite/to bring in/
呼び売り [よびうり] /(n) peddling/
呼び樋 [よびどい] /(n) elbow/gooseneck/rainspout/
呼び付ける [よびつける] /(v1,vt) to summon/to get used to call/
呼び物 [よびもの] /(n) special attraction/
呼び返す [よびかえす] /(v5s,vt) to call back/to recall/
呼び慕う [よびしたう] /(v5u,vt) to call fondly/
呼び方 [よびかた] /(exp) way of calling/
呼び名 [よびな] /(n) given name/popular name/mnemonic name/(P)/
呼び戻し [よびもどし] /(n) pulling body slam (sumo)/
呼び戻す [よびもどす] /(v5s,vt) to call back/to call home/(P)/
呼び立てる [よびたてる] /(v1,vt) to call out/to ask someone to come/
呼び留める [よびとめる] /(v1,vt) to challenge/to call somebody to halt/
呼び鈴 [よびりん] /(n) bell (used for summoning or signalling)/buzzer/
呼ぶ [よぶ] /(v5b,vt) (1) to call out (to)/to call/to invoke/(2) to summon (a doctor, etc.)/(3) to invite/(4) to designate/to name/to brand/(5) to garner (support, etc.)/to gather/(6) (arch) to take as one's wife/(P)/
呼ぶプログラム [よぶプログラム] /(n) (comp) calling program/
呼ぶ子鳥 [よぶこどり] /(n) (arch) calling bird (esp. a cuckoo)/
呼応 [こおう] /(n,vs) (1) hailing each other/(2) acting in concert/(3) agreement/concord/(P)/
呼応して [こおうして] /(exp) in response/in concert/
呼格 [こかく] /(n,adj-no) (ling) vocative case/
呼掛ける [よびかける] /(v1,vt) to call out to/to accost/to address (crowd)/to appeal/
呼慣れる [よびなれる] /(v1) to be used to calling (someone by a certain name)/
呼寄せる [よびよせる] /(v1,vt) to call/to summon/to send for/to call together/
呼気 [こき] /(n,adj-no) exhalation/
呼起 [こき] /(n,vs) recollection/something called to mind/
呼起こす [よびおこす] /(v5s,vt) (1) to wake someone (by calling for them)/to awaken/(2) to call (to mind)/to remember/
呼起す [よびおこす] /(v5s,vt) (1) to wake someone (by calling for them)/to awaken/(2) to call (to mind)/to remember/
呼吸 [こきゅう] /(n,vs,adj-no) (1) breath/respiration/(2) knack/trick/secret (of doing something)/(P)/
呼吸を合わせる [こきゅうをあわせる] /(exp,v1) to synchronise the breathing with the opponent prior to the start of sumo match/
呼吸運動 [こきゅううんどう] /(n) respiratory movement/
呼吸器 [こきゅうき] /(n) respiratory organs/(P)/
呼吸器系 [こきゅうきけい] /(n) respiratory system/
呼吸器疾患 [こきゅうきしっかん] /(n) respiratory illness/
呼吸機能 [こきゅうきのう] /(n) respiratory function/
呼吸窮迫症候群 [こきゅうきゅうはくしょうこうぐん] /(n) respiratory distress syndrome/
呼吸筋 [こきゅうきん] /(n) respiratory muscles/
呼吸孔 [こきゅうこう] /(n) breathing hole/
呼吸酵素 [こきゅうこうそ] /(n) respiratory enzyme/
呼吸困難 [こきゅうこんなん] /(n,adj-no) labored breathing/laboured breathing/dyspnea/dyspnoea/
呼吸鎖 [こきゅうさ] /(n) respiratory chain/
呼吸中枢 [こきゅうちゅうすう] /(n) respiratory center/respiratory centre/
呼吸不全 [こきゅうふぜん] /(n) respiratory failure/
呼吸法 [こきゅうほう] /(n) (MA) breathing techniques/breath control/
呼号 [こごう] /(n,vs) crying out/proclaiming/
呼込み [よびこみ] /(n) (1) barker/tout/hawker/someone who attempts to attract patrons to entertainment events, shops, bars, and such, by exhorting passing public/(vs) (2) calling out to potential customers/
呼子 [よびこ] /(n) whistle/
呼子鳥 [よぶこどり] /(n) (arch) calling bird (esp. a cuckoo)/
呼習わす [よびならわす] /(v5s) to become accustomed to calling (e.g. someone by a certain name)/
呼出 [よびだし] /(io) (n,vs) (1) call/summons/(n) (2) sumo usher who calls the names of wrestlers, sweeps the ring, etc./(3) (abbr) telephone number at which a person without a telephone can be reached/(4) (arch) box-shaped area containing clean water for rinsing oneself (in an Edo-period bathhouse)/(5) (arch) high-ranking prostitute in the Yoshiwara district (Edo period)/(6) (arch) unlicensed prostitute in the Fukagawa red-light district (Edo period)/
呼出し [よびだし] /(n,vs) (1) call/summons/(n) (2) sumo usher who calls the names of wrestlers, sweeps the ring, etc./(3) (abbr) telephone number at which a person without a telephone can be reached/(4) (arch) box-shaped area containing clean water for rinsing oneself (in an Edo-period bathhouse)/(5) (arch) high-ranking prostitute in the Yoshiwara district (Edo period)/(6) (arch) unlicensed prostitute in the Fukagawa red-light district (Edo period)/
呼出し電話 [よびだしでんわ] /(n) telephone number at which person without a phone can be reached/
呼出し列 [よびだしれつ] /(n) (comp) calling sequence/
呼出す [よびだす] /(v5s,vt) (1) to summon/to call (e.g. phone)/to convene/to decoy/to lure/(2) (comp) to invoke (e.g. subroutine)/to call/
呼出時間 [よびだしじかん] /(n) (comp) access time/
呼出側 [よびだしがわ] /(n) (comp) calling side/
呼出電話 [よびだしでんわ] /(n) telephone number at which person without a phone can be reached/
呼処理 [こしょり] /(n) (comp) call processing/
呼称 [こしょう] /(n,vs) (1) naming/giving a name/designation/denomination/(adj-f) (2) nominal/(P)/
呼水 [よびみず] /(n) pump-priming/rousing/stimulation/
呼制御 [こせいぎょ] /(n) (comp) call control/
呼制御手順 [こせいぎょてじゅん] /(n) (comp) call control procedure/
呼声 [こせい] /(n) call/hail/yell/
呼声 [よびごえ] /(n) call/hail/yell/
呼損率 [こそんりつ] /(n) (comp) blocking ratio/
呼値 [よびね] /(n) nominal price/
呼入れる [よびいれる] /(v1,vt) to call in/to invite/to bring in/
呼付ける [よびつける] /(v1,vt) to summon/to get used to call/
呼名 [よびな] /(n) given name/popular name/mnemonic name/
呼戻し [よびもどし] /(n) pulling body slam (sumo)/
呼戻す [よびもどす] /(v5s,vt) to call back/to call home/
固い [かたい] /(adj-i) (1) hard/solid/tough/(2) stiff/tight/wooden/unpolished (e.g. writing)/(3) strong/firm (not viscous or easily moved)/(4) safe/steady/honest/steadfast/(5) obstinate/stubborn/(6) bookish/formal/stuffy/(P)/
固いことは言いっこなし [かたいことはいいっこなし] /(exp) let's put formalities aside/let's not speak so stiffly/
固いカラー [かたいカラー] /(n) stiff collar/
固い握り [かたいにぎり] /(n) tight grip/
固い結び目 [かたいむすびめ] /(n) tight knot/
固い約束 [かたいやくそく] /(n) solemn promise/
固い話 [かたいはなし] /(n) serious topic (of conversation)/
固くなる [かたくなる] /(exp,v5r) to become stiff/to tense/
固く戒める [かたくいましめる] /(v1) to admonish sternly/
固く固まる [かたくかたまる] /(v5r) to form a hard mass/
固さ [かたさ] /(n) firmness/hardness/stiffness/honesty/(P)/
固し [かたし] /(adj-f) (arch) difficult/hard/
固まり [かたまり] /(n) lump/mass/bundle/clump/clod/cluster/
固まる [かたまる] /(v5r,vi) (1) to harden/to solidify/(2) to become firm/to become certain/(3) to gather (together)/to assemble/to huddle together/(P)/
固め [かため] /(adj-na,n) hardening/defense/defence/fortifying/pledge/(P)/
固める [かためる] /(v1,vt) to harden/to freeze/to fortify/(P)/
固より [もとより] /(adv) (1) from the beginning/from the first/all along/originally/(2) of course/
固化 [こか] /(n,vs) solidification/
固苦しい [かたくるしい] /(adj-i) formal/strict/ceremonious/stiff/
固苦しい [かたぐるしい] /(adj-i) formal/strict/ceremonious/stiff/
固形 [こけい] /(n,adj-no) solid (body)/(P)/
固形燃料 [こけいねんりょう] /(n) solid fuel/
固形物 [こけいぶつ] /(n) a solid body/
固持 [こじ] /(n,vs) insistence (positive nuance)/persistence/strong-willed/
固辞 [こじ] /(n,vs) decline positively/
固執 [こしつ] /(n,vs) adherence (negative nuance)/persistence/insistence/stubbornness/(P)/
固執 [こしゅう] /(n,vs) adherence (negative nuance)/persistence/insistence/stubbornness/
固守 [こしゅ] /(n,vs) clinging/
固焼き [かたやき] /(adj-no) hard-baked/hard/
固相 [こそう] /(n) (chem) solid phase/
固太り [かたぶとり] /(adj-na,n) solidly built person/
固唾 [かたず] /(n) saliva held in one's mouth during times of tension/
固唾 [かたづ] /(n) saliva held in one's mouth during times of tension/
固唾をのむ [かたずをのむ] /(exp,v5m) to hold one's breath (in fear, anxiety, etc.)/
固唾を飲む [かたずをのむ] /(exp,v5m) to hold one's breath (in fear, anxiety, etc.)/
固唾を呑む [かたずをのむ] /(exp,v5m) to hold one's breath (in fear, anxiety, etc.)/
固体 [こたい] /(n,adj-no) solid (body)/solid matter/solid-state/(P)/
固体レーザ [こたいレーザ] /(n) solid-state laser/
固体ロケット [こたいロケット] /(n) solid-fuel rocket/
固体撮像デバイス [こたいさつぞうデバイス] /(n) (comp) solid-state imaging device/
固体燃料 [こたいねんりょう] /(n) solid fuel/
固体物理学 [こたいぶつりがく] /(n) solid state physics/
固着 [こちゃく] /(n,vs,adj-no) adherence to/sticking fast/fixation/
固着観念 [こちゃくかんねん] /(n) (obsc) fixed idea/idee fixe/obsession/fixation/
固定 [こてい] /(n,vs,adj-no) fixation/fixing (e.g. salary, capital)/(P)/
固定された [こていされた] /(adv) stationary/fixed/permanent/
固定ディスク [こていディスク] /(n) (comp) hard disk/HD/
固定ディスクドライブ [こていディスクドライブ] /(n) (comp) fixed disk drive/
固定ディスク装置 [こていディスクそうち] /(n) (comp) immovable disk unit/
固定ハンドル [こていハンドル] /(n) (col) (abbr) fixed handle (user name)/
固定ビットレート [こていビットレート] /(n) (comp) constant bit rate/CBR/
固定ヘッド [こていヘッド] /(n) (comp) fixed head/
固定ヘッド式ディスク [こていヘッドしきディスク] /(n) (comp) fixed-head disk/
固定為替相場制 [こていかわせそうばせい] /(n) fixed exchange rate system/
固定観念 [こていかんねん] /(n,adj-no) fixed idea/idee fixe/stereotype/prejudice/
固定関数発生器 [こていかんすうはっせいき] /(n) (comp) fixed function generator/
固定基数記数法 [こていきすうきすうほう] /(n) (comp) fixed radix (numeration) system/fixed radix notation/
固定基数表記法 [こていきすうひょうきほう] /(n) (comp) fixed radix (numeration) system/fixed radix notation/
固定記憶装置 [こていきおくそうち] /(n) (comp) read-only memory/ROM/
固定給 [こていきゅう] /(n) regular pay/fixed salary/
固定金利 [こていきんり] /(n) fixed interest rate/
固定子 [こていし] /(n) stator (elec.)/
固定資産 [こていしさん] /(n) fixed assets/(P)/
固定資産税 [こていしさんぜい] /(n) real estate tax/fixed assets tax/property tax/rates/
固定字送り [こていじおくり] /(n) (comp) constant spacing/
固定字送り幅 [こていじおくりはば] /(n) (comp) character spacing/
固定小数点レジスタ [こていしょうすうてんレジスタ] /(n) (comp) fixed-point register/
固定小数点演算 [こていしょうすうてんえんざん] /(n) (comp) fixed-point arithmetic/
固定小数点数 [こていしょうすうてんすう] /(n) (comp) fixed-point data/
固定小数点表示法 [こていしょうすうてんひょうじほう] /(n) (comp) fixed-point representation system/
固定小数点方式 [こていしょうすうてんほうしき] /(n) (comp) fixed decimal mode/
固定接続 [こていせつぞく] /(n) (comp) permanent connection/fixed connection/
固定属性 [こていぞくせい] /(n) (comp) fixed attribute/
固定長 [こていちょう] /(n,adj-no) fixed length (e.g. block)/
固定長セル [こていちょうセル] /(n) (comp) fixed length cell/
固定長パケット [こていちょうパケット] /(n) (comp) fixed length packet/
固定長ブロック [こていちょうブロック] /(n) fixed length block/
固定長レコード [こていちょうレコード] /(n) (comp) fixed length record/
固定電話 [こていでんわ] /(n) landline phone/fixed phone (in contrast to mobile)/
固定媒体 [こていばいたい] /(n) (comp) fixed media/
固定費 [こていひ] /(n) fixed cost/(P)/
固定費用 [こていひよう] /(n) fixed cost/
固定票 [こていひょう] /(n) solid (an assured, a safe) vote/solid (assured) support/
固定負債 [こていふさい] /(n) fixed liabilities/
固定幅フォント [こていはばフォント] /(n) (comp) fixed-width font/
固電 [こでん] /(n) (abbr) landline phone/fixed phone (in contrast to mobile)/
固肥える [かたごえる] /(v1,vi) to put on a moderate amount of lean or firm weight/to gain healthy weight (e.g. from muscle)/to become overweight as opposed to obese/
固有 [こゆう] /(adj-na,n,pref) characteristic/tradition/peculiar/inherent/native/eigen-/(P)/
固有の大小順序 [こゆうのだいしょうじゅんじょ] /(n) (comp) native collating sequence/
固有関数 [こゆうかんすう] /(n) (comp) eigenfunction/
固有射 [こゆうしゃ] /(n) (math) proper map/map such that the inverse image of a compact set is compact/
固有種 [こゆうしゅ] /(n) endemic species/
固有職員 [こゆうしょくいん] /(n) regular staff/
固有色 [こゆうしょく] /(n) (comp) intrinsic colour/
固有色データ [こゆうしょくデータ] /(n) (comp) intrinsic colour data/
固有選択字句 [こゆうせんたくじく] /(n) (comp) inherently optional token/
固有値 [こゆうち] /(n) eigenvalue/
固有文字集合 [こゆうもじしゅうごう] /(n) (comp) native character set/
固有名詞 [こゆうめいし] /(n,adj-no) (ling) proper noun/
固溶体 [こようたい] /(n) solid solution/
固練り [かたねり] /(n) stiff consistency/thick paste/
固練りコンクリート [かたねりコンクリート] /(n) stiff-consistency concrete/
固茹で [かたゆで] /(exp) hard-boiled/
固茹で卵 [かたゆでたまご] /(n) hard-boiled egg/
固陋 [ころう] /(adj-na,n) stubbornly sticking to old ways/dislike of new things/narrow-mindedness/
固陋頑迷 [ころうがんめい] /(n,adj-na) obstinate/stubborn/hard-headed/being incapable of making sound judgments because of a narrow, inflexible and obstinate mentality/
姑 [しいとめ] /(ok) (n) mother-in-law/
姑 [しうとめ] /(n) mother-in-law/
姑 [しゅうと] /(n) mother-in-law/
姑 [しゅうとめ] /(n) mother-in-law/(P)/
姑洗 [こせん] /(n) (1) (in China) 5th note of the ancient chromatic scale (approx. F sharp)/(2) third lunar month/
姑息 [こそく] /(adj-na,n) makeshift/
孤 [みなしご] /(n,adj-no) orphan/
孤影 [こえい] /(n) lonely figure/
孤影悄然 [こえいしょうぜん] /(adj-no,adj-t,adv-to) (arch) lonely figure/
孤客 [こかく] /(n) lone traveller/lone traveler/
孤軍 [こぐん] /(n) lone (isolated) force/forlorn force/
孤軍奮闘 [こぐんふんとう] /(n,vs) fighting alone/
孤高 [ここう] /(adj-na,n) isolation/aloofness/superiority/
孤児 [こじ] /(n,adj-no) orphan/(P)/
孤児 [みなしご] /(n,adj-no) orphan/
孤児院 [こじいん] /(n) orphanage/(P)/
孤弱 [こじゃく] /(n,adj-na) (1) (arch) young orphan/(2) (arch) being alone and weak with no place to go to/
孤愁 [こしゅう] /(n) lonely contemplation/
孤舟 [こしゅう] /(n) solitary boat/
孤城 [こじょう] /(n) solitary castle/isolated castle/
孤城落日 [こじょうらくじつ] /(n) feeling (looking) lone and helpless/helplessness of those in reduced circumstances/
孤絶 [こぜつ] /(vs) to become isolated/to become separated/
孤島 [ことう] /(n) solitary island/(P)/
孤灯 [ことう] /(n) solitary light/
孤独 [こどく] /(adj-na,n,adj-no) isolation/loneliness/solitude/(P)/
孤独感 [こどくかん] /(n) sense of isolation/(feelings of) loneliness/
孤帆 [こはん] /(n) solitary sailboat/
孤立 [こりつ] /(n,vs) isolation/helplessness/(P)/
孤立の姿 [こりつのすがた] /(n) state of isolation/
孤立化 [こりつか] /(n,vs) isolation/
孤立概念 [こりつがいねん] /(n) (comp) isolate/
孤立感 [こりつかん] /(n) isolation/sense of isolation/feeling of being isolated/
孤立語 [こりつご] /(n) isolated language/
孤立主義 [こりつしゅぎ] /(n) isolationism/
孤立電子対 [こりつでんしつい] /(n) lone pair (of electrons)/
孤立無援 [こりつむえん] /(n) being isolated and helpless/fighting (struggling) alone and unassisted/
孤塁 [こるい] /(n) isolated stronghold/
己 [うぬ] /(pn,adj-no) (vulg) blockhead!/you/
己 [うら] /(n) (uk) first person pronoun (usually male)/
己 [おどれ] /(int,pn,adj-no) (uk) (insulting) you (Hyougo Banshu dialect)/
己 [おのれ] /(pn,adj-no) (1) (arch) oneself (itself, etc.)/(2) (hum) I (or me)/(3) (derog) you/(adv) (4) by oneself (itself, etc.)/(int) (5) interjection expressing anger or chagrin/(P)/
己 [おら] /(n) (uk) first person pronoun (usually male)/
己 [おれ] /(pn,adj-no) (male) I/me (rough or arrogant-sounding first-person pronoun, formerly also used by women)/
己 [おんどら] /(int,pn,adj-no) (uk) (insulting) you (Hyougo Banshu dialect)/
己 [おんどれ] /(int,pn,adj-no) (uk) (insulting) you (Hyougo Banshu dialect)/
己 [き] /(n) 6th in rank/sixth sign of the Chinese calendar/
己 [つちのと] /(n) 6th in rank/sixth sign of the Chinese calendar/
己 [な] /(n) (1) (arch) I/(2) you/
己が [おのが] /(adj-pn) (1) my/one's own/(exp) (2) I .../one .../
己がじし [おのがじし] /(adv) (arch) each and every one/individually/
己が自 [おのがじし] /(adv) (arch) each and every one/individually/
己と [おのれと] /(adv) (arch) all by itself/naturally/spontaneous/all by oneself/
己に克ち礼に復る [おのれにかちれいにかえる] /(exp) (arch) act with restraint and conform to the ways of etiquette/
己に克つ [おのれにかつ] /(exp,v5t) to control oneself/
己の分を尽くす [おのれのぶんをつくす] /(exp,v5s) (obsc) to do one's part (duty)/
己の欲せざる所は人に施すなかれ [おのれのほっせざるところはひとにほどこすなかれ] /(n) (arch) don't do unto others what you would not have done unto you/
己の欲せざる所は人に施す勿れ [おのれのほっせざるところはひとにほどこすなかれ] /(n) (arch) don't do unto others what you would not have done unto you/
己れ [おのれ] /(pn,adj-no) (1) (arch) oneself (itself, etc.)/(2) (hum) I (or me)/(3) (derog) you/(adv) (4) by oneself (itself, etc.)/(int) (5) interjection expressing anger or chagrin/
己を虚しゅうする [おのれをむなしゅうする] /(exp) (arch) to cast aside one's prejudices/
己を捨てる [おのれをすてる] /(exp,v1) to set aside one's interests/
己を枉ぐ [おのれをまぐ] /(exp) (arch) to cast aside one's beliefs and doctrines/
己亥 [きがい] /(n) thirty-sixth of the sexagenary cycle/
己亥 [つちのとい] /(n) thirty-sixth of the sexagenary cycle/
己卯 [きぼう] /(n) sixteenth of the sexagenary cycle/
己卯 [つちのとう] /(n) sixteenth of the sexagenary cycle/
己丑 [きちゅう] /(n) twenty-sixth of the sexagenary cycle/
己丑 [つちのとうし] /(n) twenty-sixth of the sexagenary cycle/
己惚れ [うぬぼれ] /(n,adj-no) (uk) pretension/conceit/hubris/
己惚れ鏡 [うぬぼれかがみ] /(n) small western mirror with mercury added to the glass (Edo period)/
己惚鏡 [うぬぼれかがみ] /(io) (n) small western mirror with mercury added to the glass (Edo period)/
己所不欲勿施於人 [おのれのほっせざるところひとにほどこすことなかれ] /(exp) (arch) don't do unto others what you would not have done unto you/
己達せんと欲して人を達せしむ [おのれたっせんとほっしてひとをたっせしむ] /(exp) (arch) If you wish to succeed, first help others to succeed (from Analects of Confucius)/
己等 [おいら] /(pn,adj-no) (1) I/me/
己等 [おれら] /(pn,adj-no) (1) we/us/(2) I/me/
己等達 [おいらっち] /(n) (arch) (male) we/us/
己酉 [きゆう] /(n) 46th of the sexagenary cycle/
己酉 [つちのととり] /(n) 46th of the sexagenary cycle/
己未 [きび] /(n) 56th of the sexagenary cycle/
己未 [つちのとひつじ] /(n) 56th of the sexagenary cycle/
己巳 [きし] /(n) sixth of the sexagenary cycle/
己様 [おれさま] /(pn,adj-no) I, myself (pompously)/
庫 [くら] /(n) warehouse/cellar/magazine/granary/godown/depository/treasury/elevator/
庫院 [くいん] /(n) kitchen-cum-office of a Zen temple or monastery, where meals are prepared and senior priests have their offices/
庫内 [こない] /(adv,adj-no) inside (refrigerator, warehouse, etc.)/
庫入れ [くらいれ] /(n,vs) warehousing/
庫裏 [くり] /(n) monastery kitchen/priests' quarters/
弧 [こ] /(n) arc/
弧を描く [こをえがく] /(exp,v5k) to draw an arc (e.g. with a compass)/to describe an arc (e.g. through the air)/
弧影悄然 [こえいしょうぜん] /(adj-t,adv-to) lonely and crestfallen/a lonely and heavy-hearted figure/
弧形 [こけい] /(n) arc/
弧光 [ここう] /(n) arc light/
弧城 [こじょう] /(iK) (n) solitary castle/isolated castle/
弧城落月 [こじょうらくげつ] /(n) feeling apprehensive/feeling (looking) lone and helpless/being down-and-out (ruined)/helplessness of those in reduced circumstances/
弧状 [こじょう] /(n,adj-no) in form of arch/
弧線 [こせん] /(n) arc (of a circle)/
弧長 [こちょう] /(n) (comp) arc length/
弧度 [こど] /(n) degree of curvature/
弧灯 [ことう] /(n) arc lamp/
戸 [こ] /(ctr) counter for houses/
戸 [と] /(n) (1) door (esp. Japanese-style)/(2) (arch) entrance (to a home)/(3) (arch) narrows/(P)/
戸々 [ここ] /(n) each house/every house/
戸々 [ここう] /(n) houses and inhabitants/population/
戸を開ける [とをあける] /(exp,v1) to open the door/
戸を破る [とをやぶる] /(exp,v5r) to bust down a door/to break a door open/
戸を立てる [とをたてる] /(exp,v1) to shut a door/
戸外 [こがい] /(n,adj-no) open-air/outdoors/(P)/
戸外撮影 [こがいさつえい] /(n) taking pictures outdoors/
戸冠 [とかんむり] /(n) kanji "door" radical/
戸建 [こだて] /(n) (separate) house/detached house/
戸建て [こだて] /(n) (separate) house/detached house/
戸戸 [ここ] /(n) each house/every house/
戸戸 [ここう] /(n) houses and inhabitants/population/
戸口 [ここう] /(n) houses and inhabitants/population/
戸口 [とぐち] /(n) door/doorway/(P)/
戸口調査 [ここうちょうさ] /(n) national census/door-to-door census/
戸車 [とぐるま] /(n) door wheel/
戸主 [こしゅ] /(n) head of a household/
戸主権 [こしゅけん] /(n) rights accruing to the head of a household (according to laws now obsolete)/
戸障子 [としょうじ] /(n) doors and shoji (sliding doors with paper panes)/
戸垂れ [とだれ] /(n) kanji "door" radical/
戸数 [こすう] /(n) number of households (houses)/(P)/
戸籍 [こせき] /(n) census/family register/(P)/
戸籍係 [こせきがかり] /(n) family registration official/
戸籍抄本 [こせきしょうほん] /(n) official copy of part of family register/
戸籍調べ [こせきしらべ] /(n) census-taking/examining family registers/
戸籍謄本 [こせきとうほん] /(n) official copy of the family register/(P)/
戸籍簿 [こせきぼ] /(n) family registry (of the district)/original of one's family register/archive of family registers/
戸籍法 [こせきほう] /(n) Family Registration Law/
戸袋 [とぶくろ] /(n) box (built-in) for containing shutters/
戸棚 [とだな] /(n) cupboard/locker/closet/wardrobe/(P)/
戸棚風呂 [とだなぶろ] /(n) type of public bath from the Edo period/
戸締まり [とじまり] /(n) closing up/fastening the doors/(P)/
戸締り [とじまり] /(n) closing up/fastening the doors/
戸板 [といた] /(n) wooden door (shutter) to carry things/
戸部 [こぶ] /(n) Ministry of Revenue (Tang-dynasty China)/
戸部 [こほう] /(n) Ministry of Revenue (Tang-dynasty China)/
戸閉蜘蛛 [とたてぐも] /(n) (uk) trapdoor spider (any spider of family Ctenizidae)/folding trapdoor spider (any spider of family Antrodiaetidae)/
戸別 [こべつ] /(adj-no) house-to-house/door-to-door/each house/
戸別訪問 [こべつほうもん] /(n,vs,adj-no) door-to-door visit/door-to-door canvassing/door-to-door canvasing/(P)/
戸毎 [こごと] /(n-t) from door to door/
戸立蜘蛛 [とたてぐも] /(n) (uk) trapdoor spider (any spider of family Ctenizidae)/folding trapdoor spider (any spider of family Antrodiaetidae)/
戸浪 [となみ] /(n) (arch) waves in narrow straits/
戸惑い [とまどい] /(n,vs) being at sea/losing one's bearings/confusion/wonderment/(P)/
戸惑う [とまどう] /(v5u,vi) to be bewildered/to be perplexed/(P)/
故 [こ] /(pref) the late (deceased)/
故 [ふる] /(n) (1) used item/secondhand item/(n-pref) (2) old/used/previous/
故 [もと] /(n,adj-no,n-adv,n-pref) former/ex-/
故 [ゆえ] /(n-adv,n) reason/cause/circumstances/
故ありげ [ゆえありげ] /(adj-na) (arch) seeming to be with certain circumstances/seeming to be for a certain reason/
故あり気 [ゆえありげ] /(adj-na) (arch) seeming to be with certain circumstances/seeming to be for a certain reason/
故い [ふるい] /(adj-i) old (not person)/aged/ancient/antiquated/stale/threadbare/outmoded/obsolete article/
故ない [ゆえない] /(adj-i) without a reason/
故に [ゆえに] /(conj) (uk) therefore/consequently/(P)/
故意 [こい] /(n) (1) intention/purpose/bad faith/(2) mens rea (guilty mind)/(P)/
故意犯 [こいはん] /(n) crimes of intent/
故旧 [こきゅう] /(n) old acquaintance/
故郷 [こきょう] /(n) home town/birthplace/old village/historic village/native place/one's old home/(P)/
故郷 [ふるさと] /(n) home town/birthplace/old village/historic village/native place/one's old home/(P)/
故郷に錦を飾る [こきょうににしきをかざる] /(exp,v5r) to come home in triumph/to return to one's hometown in glory/
故郷へ錦を飾る [こきょうへにしきをかざる] /(exp,v5r) to come home in triumph/to return to one's hometown in glory/
故郷を慕う [こきょうをしたう] /(exp,v5u) to pine for home/
故郷忘じ難し [こきょうぼうじがたし] /(exp) (id) Home is always sweet to an exile/
故吾 [こご] /(n) (arch) one's former self/
故国 [ここく] /(n) one's native land/(P)/
故殺 [こさつ] /(n,vs) manslaughter/
故山 [こざん] /(n) one's native place/
故紙 [こし] /(n) used paper/paper for recycling/
故事 [こじ] /(n) origin/historical fact/tradition/(P)/
故事成語 [こじせいご] /(n) idiom derived from historical events or classical literature of China/
故事来歴 [こじらいれき] /(n) origin and history/particulars/
故実 [こじつ] /(n) ancient practices or customs (practises)/
故主 [こしゅ] /(n) one's former master/
故障 [こしょう] /(n,vs) break-down/failure/fault/accident/out of order/(P)/
故障に強い [こしょうにこわい] /(n) (comp) fault-tolerant/
故障車 [こしょうしゃ] /(n) broken-down (disabled) car/
故障中 [こしょうちゅう] /(exp) out-of-order/
故障率 [こしょうりつ] /(n) failure rate/
故人 [こじん] /(n) the deceased/old friend/(P)/
故人を偲ぶ [こじんをしのぶ] /(exp,v5b) to think of the dead/
故知 [こち] /(n) the wisdom of the ancients/
故智 [こち] /(n) the wisdom of the ancients/
故買 [こばい] /(n,vs) buying stolen goods/
故買者 [こばいしゃ] /(n) a fence/dealer in stolen goods/
故無い [ゆえない] /(adj-i) without a reason/
故有って [ゆえあって] /(exp) for a certain reason/owing to unavoidable circumstances/
故里 [ふるさと] /(n) home town/birthplace/old village/historic village/native place/one's old home/
故老 [ころう] /(n) old people/seniors/elders/old-timer/
故址 [こし] /(n) historic ruins/
枯らす [からす] /(v5s,vt) to let dry/to kill (vegetation)/to season (lumber)/
枯らびる [からびる] /(v1,vi) to dry up/to shrivel/
枯れた演技 [かれたえんぎ] /(n) well-seasoned acting/
枯ればむ [かればむ] /(v5m,vi) to begin to wither/to begin to dry out/
枯れる [かれる] /(v1,vi) (1) to wither (of a plant)/to be blasted/to die/(2) to mature (of one's personality, abilities, etc.)/(P)/
枯れ枯れ [かれがれ] /(adj-f) dry-looking/withered/
枯れ山水 [かれさんすい] /(n) traditional (Chinese or Japanese) dry landscape garden/
枯れ枝 [かれえだ] /(n) dead branch (or twig, etc.)/withered branch/
枯れ専 [かれせん] /(n) (uk) younger woman (usu. 20-30 years old) who is physically attracted to mature older men (usu. 50-60 years old)/
枯れ草 [かれくさ] /(n) dry grass/dead grass/hay/withered grass/
枯れ尾花 [かれおばな] /(n) withered silver grass/
枯れ木 [かれき] /(n) dead tree/dry wood/(P)/
枯れ木も山の賑わい [かれきもやまのにぎわい] /(exp) (similar to the saying) half a loaf is better than none (lit: even a dead tree adds to the interest of a mountain)/
枯れ野 [かれの] /(n) desolate field/
枯れ葉 [かれは] /(n) dead leaf/dry leaves/(P)/
枯れ葉マーク [かれはマーク] /(n) sticker for car drivers 70 years or older/
枯葦 [かれあし] /(n) withered reeds (esp. reeds that have withered in the winter)/
枯渇 [こかつ] /(n,vs) drying up/becoming exhausted/running dry/starvation/(P)/
枯菊 [かれぎく] /(n) withered chrysanthemum in winter/
枯山水 [かれさんすい] /(n) traditional (Chinese or Japanese) dry landscape garden/
枯山水 [こせんすい] /(n) (obsc) karesansui, traditional (Chinese or Japanese) dry landscape garden/
枯枝 [かれえだ] /(n) dead branch (or twig, etc.)/withered branch/
枯死 [こし] /(n,vs) withering/dying/(P)/
枯節 [かれぶし] /(n) high grade katsuobushi (with mold)/
枯燥 [こそう] /(n,vs) drying up/parching/
枯草 [かれくさ] /(n) dry grass/dead grass/hay/withered grass/
枯草 [こそう] /(n) dry grass/dead grass/hay/withered grass/
枯草熱 [こそうねつ] /(n) (obs) hay fever/pollinosis (allergy to pollen)/
枯淡 [こたん] /(adj-na,n,adj-no) elegant simplicity/
枯尾花 [かれおばな] /(n) withered silver grass/
枯木 [かれき] /(n) dead tree/dry wood/(P)/
枯木寒巌 [こぼくかんがん] /(exp,n) withered trees and frozen rocks/a person that is hard to approach/
枯木死灰 [こぼくしかい] /(exp,n) withered trees and cold ash/someone who is detached and free of desires/someone who has no vitality/
枯野 [かれの] /(n) desolate field/
枯葉 [かれは] /(n) dead leaf/dry leaves/(P)/
枯葉マーク [かれはマーク] /(n) sticker for car drivers 70 years or older/
枯葉剤 [かれはざい] /(n) defoliant/
枯葎 [かれむぐら] /(n) (arch) creeping plant withered in the winter cold/
枯露柿 [ころがき] /(n) dried persimmon/
枯蘆 [かれあし] /(n) withered reeds (esp. reeds that have withered in the winter)/
湖 [こ] /(suf) lake (in place names)/
湖 [みずうみ] /(n) lake/(P)/
湖岸 [こがん] /(n,adj-no) lakeshore/lakeside/
湖沼 [こしょう] /(n) lakes and marshes/(P)/
湖沼学 [こしょうがく] /(n) limnology/
湖沼型 [こしょうがた] /(n) lake type (i.e. eutrophic, dystrophic, oligotrophic)/
湖沼水質保全特別措置法 [こしょうすいしつほぜんとくべつそちほう] /(n) Law Concerning Special Measures for Conservation of Lake Water Quality (1984)/
湖上 [こじょう] /(n) on the lake/
湖心 [こしん] /(n) center of a lake/centre of a lake/
湖水 [こすい] /(n) lake/(P)/
湖底 [こてい] /(n,adj-no) bottom of a lake/
湖畔 [こはん] /(n,adj-no) lake shore/(P)/
湖面 [こめん] /(n) lake surface/
狐 [きつ] /(ok) (n) (1) fox (esp. the red fox, Vulpes vulpes)/(2) fox (i.e. a sly person)/(3) soba or udon topped with deep-fried tofu/(4) (abbr) light brown/
狐 [きつね] /(n) (1) fox (esp. the red fox, Vulpes vulpes)/(2) fox (i.e. a sly person)/(3) soba or udon topped with deep-fried tofu/(4) (abbr) light brown/(P)/
狐 [けつね] /(ik) (n) (1) fox (esp. the red fox, Vulpes vulpes)/(2) fox (i.e. a sly person)/(3) soba or udon topped with deep-fried tofu/(4) (abbr) light brown/
狐が落ちる [きつねがおちる] /(exp,v1) to cease being possessed (by the spirit of a fox)/to be released from the grasp of the fox spirit/to be exorcised from the fox spirit/
狐と狸の化かし合い [きつねとたぬきのばかしあい] /(exp) two sly characters outfoxing each other/
狐につままれる [きつねにつままれる] /(exp,v1) to be bewitched by a fox/to be confused/
狐に化かされる [きつねにばかされる] /(exp,v1) to be deceived by a fox/
狐に小豆飯 [きつねにあずきめし] /(exp) (id) risky thing to do (like feeding a fox)/
狐に抓まれる [きつねにつままれる] /(exp,v1) to be bewitched by a fox/to be confused/
狐の嫁入り [きつねのよめいり] /(n) rain shower while the sun shines/sun shower/
狐の子は頬白 [きつねのこはつらじろ] /(exp) (id) (obsc) the apple never falls far from the tree/fox pups have white cheeks/
狐の窓 [きつねのまど] /(n) way of entangling one's hands together to leave a small opening between the middle and ring fingers/fox's window/
狐の面 [きつねのめん] /(n) mask of the fox/
狐を落とす [きつねをおとす] /(exp,v5s) to exorcise a fox spirit (from a person)/
狐猿 [きつねざる] /(n) (uk) lemur/
狐火 [きつねび] /(n) St. Elmo's fire/will-o'-the-wisp/
狐茄子 [きつねなす] /(n) (uk) nipplefruit (Solanum mammosum)/apple of Sodom/titty fruit/cow's udder/
狐格子 [きつねごうし] /(n) lattice work/
狐疑 [こぎ] /(n,vs) indecision/
狐疑逡巡 [こぎしゅんじゅん] /(exp) being in doubt and unable to decide/hesitation and indecision/
狐焼 [きつねやき] /(n) (obsc) cooking (something) to a golden brown/something cooked until it's golden brown/
狐色 [きつねいろ] /(n) light brown/
狐窓 [きつねまど] /(n) small (latticework) window placed up high/
狐狸 [こり] /(n) foxes and badgers/sly fellow/
狐狸妖怪 [こりようかい] /(n) foxes and badgers (which used to be believed to bewitch humans) and all sorts of bogies/a sly fellow who does evil by stealth/
狐日和 [きつねびより] /(n) changing weather/fickle weather/
狐付き [きつねつき] /(n) possession by a fox spirit/person possessed by a fox spirit/
狐福 [きつねふく] /(n) (obsc) unexpected good fortune/
狐福 [きつねぶく] /(n) (obsc) unexpected good fortune/
狐矢 [きつねや] /(n) (obsc) stray arrow/
狐霊 [これい] /(n) fox spirit/
狐憑き [きつねつき] /(n) possession by a fox spirit/person possessed by a fox spirit/
狐饂飩 [きつねうどん] /(n) udon with deep-fried tofu/
糊 [のり] /(n) paste/glue/starch/(P)/
糊する [のりする] /(vs-s,vi) (1) to paste/to stick something with paste/(2) to earn a living/
糊空木 [のりうつぎ] /(n) (uk) panicled hydrangea (Hydrangea paniculata)/peegee hydrangea/
糊口 [ここう] /(n) bare livelihood/subsistence/
糊精 [こせい] /(n) dextrin/
糊代 [のりしろ] /(n) overlap width/margin to paste up/
糊塗 [こと] /(n,vs) covering up/glossing over/
糊付きテープ [のりつきテープ] /(n) adhesive tape/sticky tape/
糊付きレッテル [のりつきレッテル] /(n) sticky label/
糊付き封筒 [のりつきふうとう] /(n) adhesive envelope/
糊付け [のりつけ] /(n,vs) (1) starching (e.g. clothes)/(2) pasting/gluing (e.g. paper, a letter)/
糊付け [のりづけ] /(n,vs) (1) starching (e.g. clothes)/(2) pasting/gluing (e.g. paper, a letter)/
袴 [はかま] /(n) man's formal divided skirt/(P)/
袴着 [はかまぎ] /(n) ceremony fitting child with a hakama/
袴能 [はかまのう] /(n) informal noh performed in light clothes (during the summer)/
股 [また] /(n) (1) crotch/crutch/groin/thigh/(2) fork (in a tree, road, river, etc.)/tines (of a fork)/(P)/
股 [もも] /(n) (1) thigh/(adj-no) (2) femoral/(P)/
股にかける [またにかける] /(exp,v1) to travel all over/to be active in places widely apart/
股に掛ける [またにかける] /(exp,v1) to travel all over/to be active in places widely apart/
股引 [ももひき] /(n) close fitting trousers/working trousers/long johns/long underpants/
股引き [ももひき] /(n) close fitting trousers/working trousers/long johns/long underpants/
股下 [またした] /(n) length of the legs/inseam/
股火 [またび] /(n) warming one's crotch by standing over a hibachi/
股割り [またわり] /(n) extreme leg-stretching exercise to increase flexibility of the crotch (sumo)/
股間 [こかん] /(n) nether region/between the legs/
股間節 [こかんせつ] /(iK) (n) hip joint/coxa/
股関節 [こかんせつ] /(n) hip joint/coxa/
股関節脱臼 [こかんせつだっきゅう] /(n) dislocation of the hip/hip dislocation/
股肱 [ここう] /(n) one's right-hand man/one's trusted henchman/
股座 [またぐら] /(n) crotch/
股座膏薬 [またぐらこうやく] /(n) double-dealer/timeserver/moving back and forth between two sides in a conflict/
股座膏薬 [またぐらごうやく] /(n) double-dealer/timeserver/moving back and forth between two sides in a conflict/
股上 [またがみ] /(n) waist (the part of the pants located above the crotch)/pant rise/
股摺れ [またずれ] /(n) sore crotch/
股肉 [ももにく] /(n) leg (meat)/round/ham/
股木 [またぎ] /(n) forked tree/forked branch/
股旅 [またたび] /(n) wandering life of a gambler/
胡 [こ] /(n) (arch) barbarian tribes surrounding ancient China/
胡瓜 [きゅうり] /(n) (uk) cucumber/(P)/
胡瓜魚 [きゅうりうお] /(n) (uk) rainbow smelt (Osmerus mordax dentex)/
胡鬼の子 [こぎのこ] /(n) (uk) Buckleya lanceolata (species of parasitic deciduous shrub)/
胡鬼板 [こぎいた] /(n) battledore/hagoita/
胡弓 [こきゅう] /(n) (1) kokyu (3 or 4-stringed bowed Japanese musical instrument)/(2) any Oriental string instrument played with a bow/
胡琴 [こきん] /(n) (1) huqin (any Chinese string instrument played with a bow)/(2) (arch) biwa (4 or 5-stringed Oriental lute)/
胡国 [ここく] /(n) (arch) North China barbarian nations/
胡坐 [あぐら] /(n) sitting cross-legged (i.e. Indian style)/
胡坐をかく [あぐらをかく] /(exp,v5k) (1) to sit cross-legged/(2) to rest on one's laurels/
胡坐鼻 [あぐらばな] /(n) snub nose/flat nose with flattened nostrils/
胡座 [あぐら] /(n) sitting cross-legged (i.e. Indian style)/(P)/
胡座をかく [あぐらをかく] /(exp,v5k) (1) to sit cross-legged/(2) to rest on one's laurels/
胡散 [うさん] /(adj-na,n) suspicious/
胡散臭い [うさんくさい] /(adj-i) suspicious looking/shady/
胡床 [あぐら] /(n) sitting cross-legged (i.e. Indian style)/
胡床をかく [あぐらをかく] /(exp,v5k) (1) to sit cross-legged/(2) to rest on one's laurels/
胡蝶 [こちょう] /(n) butterfly/
胡蝶蘭 [こちょうらん] /(n) (uk) moth orchid (Phalaenopsis)/
胡桃 [くるみ] /(n) (uk) walnut/
胡桃割り [くるみわり] /(n) nutcracker/nutcrackers/
胡銅器 [さはり] /(n) copper alloy with traces of silver, lead, or tin/
胡粉 [ごふん] /(n) artists' chalk/white pigment/powdered calcium carbonate/
胡蜂 [すずめばち] /(n) (1) (uk) hornet/yellow jacket/wasp (of subfamily Vespinae)/(2) (uk) Asian giant hornet (Vespa mandarinia)/yak-killer hornet/
胡魔化す [ごまかす] /(ateji) (v5s,vt) (1) (uk) to deceive/to falsify/to misrepresent/to cheat/to swindle/to tamper/to juggle/to manipulate/(2) (uk) to dodge/to beg the question (issue, difficulties)/(3) (uk) to varnish over/to gloss over/
胡麻 [ごま] /(n) (uk) sesame (seeds)/
胡麻すり [ごますり] /(n) sycophant/apple-polisher/flatterer/brown-noser/
胡麻の蝿 [ごまのはい] /(n) thief posing as fellow traveller (traveler)/
胡麻をする [ごまをする] /(exp,v5r) to butter up/to try to get on the good side of/
胡麻を擂る [ごまをする] /(exp,v5r) to butter up/to try to get on the good side of/
胡麻塩 [ごましお] /(n) sesame and salt/gray hair/grey hair/
胡麻塩頭 [ごましおあたま] /(n) salt and pepper hair/dark hair streaked with gray/
胡麻化し [ごまかし] /(ateji) (n,adj-no) (uk) hanky-panky/juggling/cheating/deception/smoke and mirrors/
胡麻化す [ごまかす] /(ateji) (v5s,vt) (1) (uk) to deceive/to falsify/to misrepresent/to cheat/to swindle/to tamper/to juggle/to manipulate/(2) (uk) to dodge/to beg the question (issue, difficulties)/(3) (uk) to varnish over/to gloss over/
胡麻鯖 [ごまさば] /(n) (uk) blue mackerel (Scomber australasicus)/
胡麻垂れ [ごまだれ] /(n) sesame sauce/
胡麻蝶々魚 [ごまちょうちょううお] /(n) (uk) speckled butterflyfish (Chaetodon citrinellus, species of the Indo-Pacific)/citron butterflyfish/
胡麻蝶蝶魚 [ごまちょうちょううお] /(n) (uk) speckled butterflyfish (Chaetodon citrinellus, species of the Indo-Pacific)/citron butterflyfish/
胡麻笛鯛 [ごまふえだい] /(n) (uk) mangrove jack (Lutjanus argentimaculatus)/mangrove red snapper/
胡麻豆腐 [ごまどうふ] /(n) crushed sesame seeds boiled in water and chilled like tofu/
胡麻斑 [ごまふ] /(n) black speckles/small black spots (like sprinkled sesame)/
胡麻斑海豹 [ごまふあざらし] /(n) (uk) spotted seal (Phoca largha)/
胡麻斑玉貝 [ごまふたまがい] /(n) (uk) tiger moon shell (Natica tigrina)/
胡麻磨り [ごますり] /(n) sycophant/apple-polisher/flatterer/brown-noser/
胡麻木 [ごまき] /(ik) (n) (uk) Siebold's arrowwood (Viburnum sieboldii)/
胡麻木 [ごまぎ] /(n) (uk) Siebold's arrowwood (Viburnum sieboldii)/
胡麻紋殻 [ごまもんがら] /(n) (uk) titan triggerfish (Balistoides viridescens)/giant triggerfish/moustache triggerfish/
胡麻油 [ごまあぶら] /(n) sesame oil/
胡麻擂 [ごますり] /(oK) (n) sycophant/apple-polisher/flatterer/brown-noser/
胡麻擂り [ごますり] /(oK) (n) sycophant/apple-polisher/flatterer/brown-noser/
胡楊樹 [こようじゅ] /(n) Hu poplar/Populus euphratica/
胡乱 [うろん] /(adj-na,n) suspicious looking/fishy/
胡椒 [こしょう] /(n,adj-no) (uk) pepper/(P)/
胡椒鯛 [こしょうだい] /(n) (uk) crescent sweetlips (species of fish, Plectorhinchus cinctus)/
胡椒入れ [こしょういれ] /(n) pepper shaker/
胡盧 [ころ] /(n) (obsc) calabash (Lagenaria siceraria)/
胡蘆 [ころ] /(n) (obsc) calabash (Lagenaria siceraria)/
胡蘿蔔 [こらふ] /(n) (obsc) carrot/
胡頽子 [ぐみ] /(n) (uk) oleaster (any plant of genus Elaeagnus)/silverberry (US)/
菰 [こも] /(n) (1) (abbr) woven straw mat (orig. made of wild rice leaves)/(2) beggar/(3) (arch) Manchurian wild rice (Zizania latifolia)/
菰僧 [こもそう] /(n) (arch) mendicant Zen priest of the Fuke sect/
菰僧 [こもぞう] /(n) (arch) mendicant Zen priest of the Fuke sect/
菰蓆 [こもむしろ] /(n) (obsc) mat of woven wild rice leaves/
虎 [とら] /(n) (1) tiger (Panthera tigris)/(2) (col) drunk person/(P)/
虎の威を借る狐 [とらのいをかるきつね] /(exp) (id) person who swaggers about under borrowed authority/small man acting arrogantly through borrowed authority/a fox that borrows the authority of a tiger/
虎の巻 [とらのまき] /(n) crib notes/key (to a diagram)/
虎の子 [とらのこ] /(n) (1) tiger cub/(2) treasure (as it is said that tigers treasure their young)/
虎の尾 [とらのお] /(n) (1) tiger's tail/(2) (uk) gooseneck loosestrife (species of flowering plant, Lysimachia clethroides)/(3) (uk) Asplenium incisum (species of spleenwort)/
虎の尾を踏む [とらのおをふむ] /(exp,v5m) to take great risks/
虎の尾羊歯 [とらのおしだ] /(n) (uk) Asplenium incisum (species of spleenwort)/
虎の門事件 [とらのもんじけん] /(n) Toranomon Incident (assassination attempt on Prince Regent Hirohito, Dec. 27, 1923)/
虎を野に放つ [とらをやにはなつ] /(exp) (id) to let loose a tiger in the field/to let loose something dangerous/
虎ノ門事件 [とらのもんじけん] /(n) Toranomon Incident (assassination attempt on Prince Regent Hirohito, Dec. 27, 1923)/
虎パン [とらパン] /(n) (1) (abbr) tiger-striped pants/(2) cakes or bread with a tiger pattern or face/
虎葦毛 [とらあしげ] /(n) (obsc) dapple gray (horse coat color)/dapple grey/
虎燕拳 [こえんけん] /(n) (MA) Tiger Swallow Fist/
虎河豚 [とらふぐ] /(n) tiger globefish (poisonous fish, Takifugu rubripes)/
虎刈り [とらがり] /(n) close-cropped (head)/
虎冠 [とらかんむり] /(n) kanji "tiger" radical/
虎巻 [とらかん] /(n) crib notes/key (to a diagram)/
虎魚 [おこぜ] /(n) stingfish/scorpion fish/stonefish/
虎穴 [こけつ] /(n) tiger's den/jaws of death/dangerous place/
虎穴に入らずんば虎子を得ず [こけつにいらずんばこしをえず] /(exp) (arch) nothing ventured, nothing gained/
虎穴に入らずんば虎子を得ず [こけつにいらずんばこじをえず] /(exp) (arch) nothing ventured, nothing gained/
虎穴に入らずんば虎児を得ず [こけつにいらずんばこじをえず] /(exp) (arch) nothing ventured, nothing gained/
虎口 [ここう] /(n) tiger's den/jaws of death/dangerous place/
虎子 [こし] /(n) (1) bedpan/chamber pot/potty/(2) (arch) baby tiger/
虎子 [まる] /(n) (1) bedpan/chamber pot/potty/
虎視眈々 [こしたんたん] /(adj-t,adv-to) watching vigilantly for an opportunity to prey upon/
虎視眈眈 [こしたんたん] /(adj-t,adv-to) watching vigilantly for an opportunity to prey upon/
虎児 [こじ] /(n) tiger cub/
虎狩り [とらがり] /(n) tiger hunt/
虎杖 [いたどり] /(n) (uk) Japanese knotweed (Fallopia japonica)/Japanese fleeceflower/Mexican bamboo/Polygonum cuspidatum/Reynoutria japonica/
虎頭 [とらがしら] /(n) kanji "tiger" radical/
虎猫 [とらねこ] /(n) ocelot (feline, Felis pardalis)/tabby cat/tiger cat/wild cat (feline, Felis tigrina)/
虎斑 [とらふ] /(n) tiger's stripes/
虎斑木菟 [とらふずく] /(n) (uk) long-eared owl (Asio otus)/
虎髭 [とらひげ] /(n) bristly beard or mustache/
虎柄 [とらがら] /(n) tiger pattern/striped (like a tiger)/
虎柄パンツ [とらがらパンツ] /(n) tiger-striped pants/
虎落 [もがり] /(n) bamboo fence/extortion/
虎落笛 [もがりぶえ] /(n) winter wind whistling through a bamboo fence/
虎列剌 [これら] /(ateji) (n) (uk) cholera (eng:, dut:)/
虎列剌茸 [これらたけ] /(n) (uk) Galerina fasciculata (poisonous mushroom)/
虎狼 [ころう] /(n) wild beasts/greedy and cruel man/
虎榜 [こぼう] /(n) (arch) card indicating a pass in the higher Chinese civil service examinations/
虎鬚 [とらひげ] /(n) bristly beard or mustache/
虎鱚 [とらぎず] /(n) (uk) harlequin sandsmelt (Parapercis pulchella)/
虎鶫 [とらつぐみ] /(n) (uk) White's thrush (Zoothera dauma)/
誇らか [ほこらか] /(adj-na) proud/
誇らしい [ほこらしい] /(adj-i) proud/haughty/arrogant/splendid/magnificent/
誇らしげ [ほこらしげ] /(adv) proudly/triumphantly/
誇り [ほこり] /(n) pride/boast/(P)/
誇り顔 [ほこりがお] /(n) triumphant look/
誇り高い [ほこりたかい] /(adj-i) proud/lordly/
誇り高き [ほこりたかき] /(adj-f) proud/
誇る [ほこる] /(v5r,vi) to boast of/to be proud of/(P)/
誇示 [こじ] /(n,vs,adj-no) ostentation/display/(P)/
誇称 [こしょう] /(n,vs) boasting/exaggeration/
誇色 [こしょく] /(n) proud countenance/
誇大 [こだい] /(adj-na,n) exaggeration/hyperbole/(P)/
誇大広告 [こだいこうこく] /(n) deceptive advertising/misleading advertisement (presenting one's product as being better or cheaper than it really is)/
誇大妄想 [こだいもうそう] /(n,adj-no) megalomania/
誇大妄想狂 [こだいもうそうきょう] /(n) megalomania/
誇張 [こちょう] /(n,vs) exaggeration/(P)/
誇張法 [こちょうほう] /(n) hyperbole/
跨がる [またがる] /(v5r,vi) (1) to extend over or into/(2) to straddle/(P)/
跨ぎ [またぎ] /(n) step or stride (over something)/
跨ぐ [またぐ] /(v5g) to straddle/(P)/
跨る [またがる] /(v5r,vi) (1) to extend over or into/(2) to straddle/
跨座式 [こざしき] /(n,adj-no) straddle-beam type/
跨線橋 [こせんきょう] /(n) overpass/
跨道橋 [こどうきょう] /(n) overpass/
雇 [やとい] /(n) employee/employment/
雇い [やとい] /(n) employee/employment/
雇い口 [やといぐち] /(n) job/employment/
雇い主 [やといぬし] /(n) employer/
雇い人 [やといにん] /(n) employee/
雇い入れる [やといいれる] /(v1,vt) to employ/to engage/
雇う [やとう] /(v5u,vt) (1) to employ/(2) to hire/to charter/(P)/
雇員 [こいん] /(n) assistant/employee/
雇止め [やといどめ] /(n) end of employment/end of employment contract/
雇主 [こしゅ] /(n) employer/
雇主 [やといぬし] /(n) employer/(P)/
雇人 [やといにん] /(n) employee/
雇傭 [こよう] /(n,vs) employment (long term)/hire/
雇傭者 [こようしゃ] /(n) (1) employee/(2) employer/person hiring others/
雇用 [こよう] /(n,vs) employment (long term)/hire/(P)/
雇用期間 [こようきかん] /(n) period of employment/
雇用契約 [こようけいやく] /(n) contract of employment/
雇用国 [こようこく] /(n) country of employment/
雇用者 [こようしゃ] /(n) (1) employee/(2) employer/person hiring others/
雇用主 [こようぬし] /(n) employer/
雇用証明書 [こようしょうめいしょ] /(n) certificate of employment/employment verification/
雇用情勢 [こようじょうせい] /(n) employment situation/
雇用状況 [こようじょうきょう] /(n) employment scene/employment situation/job market/job situation/
雇用制度 [こようせいど] /(n) employment system/
雇用創出 [こようそうしゅつ] /(n) job creation/
雇用調整 [こようちょうせい] /(n) employment adjustment/
雇用凍結 [こようとうけつ] /(n) hiring freeze/
雇用保険 [こようほけん] /(n) unemployment insurance/
顧み [かえりみ] /(n) (1) looking back/(2) reflecting/reconsidering/(3) consideration/concerning oneself/
顧みて他を言う [かえりみてたをいう] /(exp,v5u) to give an evasive answer/
顧みる [かえりみる] /(v1,vt) (1) to look back (e.g. over shoulder or at the past)/to turn around/to review/(2) to reflect/to reconsider/(3) to consider (usu. used in negative)/to concern oneself about/(P)/
顧る [かえりみる] /(io) (v1,vt) (1) to look back (e.g. over shoulder or at the past)/to turn around/to review/(2) to reflect/to reconsider/(3) to consider (usu. used in negative)/to concern oneself about/
顧客 [こかく] /(n,adj-no) customer/client/patron/
顧客 [こきゃく] /(n,adj-no) customer/client/patron/(P)/
顧客サービス [こきゃくサービス] /(n) (comp) customer service/
顧客ニーズ [こかくニーズ] /(n) customer needs/
顧客ベース [こかくベース] /(n) customer base/
顧客志向 [こかくしこう] /(n,adj-no) customer-orientation/
顧客満足 [こかくまんぞく] /(n) customer satisfaction/(P)/
顧客満足 [こきゃくまんぞく] /(n) customer satisfaction/
顧客満足度 [こきゃくまんぞくど] /(n) (degree of) customer satisfaction/
顧問 [こもん] /(n,adj-no) adviser/advisor/consultant/(P)/
顧問官 [こもんかん] /(n) councillor/councilor/
顧問団 [こもんだん] /(n) advisory body/think tank/
顧問弁護士 [こもんべんごし] /(n) legal adviser/legal advisor/corporation lawyer/family lawyer/
顧慮 [こりょ] /(n,vs) concern/solicitude/consideration/
鼓 [つづみ] /(n) hand drum/(P)/
鼓す [こす] /(v5s) (1) to beat (a drum)/(2) to pluck up courage/
鼓する [こする] /(vs-s) (1) to beat (a drum)/(2) to pluck up courage/
鼓弓 [こきゅう] /(n) (1) kokyu (3 or 4-stringed bowed Japanese musical instrument)/(2) any Oriental string instrument played with a bow/
鼓索 [こさく] /(n) chorda tympani/
鼓室 [こしつ] /(n,adj-no) tympanic cavity/
鼓手 [こしゅ] /(n) drummer/
鼓手長 [こしゅちょう] /(n) drum major/
鼓吹 [こすい] /(n,vs) inspiration/advocacy/encouragement/
鼓吹者 [こすいしゃ] /(n) advocate/propagator/
鼓脹 [こちょう] /(n,adj-no) flatulence/meteorism/tympanites/bloat/bloating/
鼓腸 [こちょう] /(n,adj-no) flatulence/meteorism/tympanites/bloat/bloating/
鼓笛 [こてき] /(n) drum and fife/
鼓笛隊 [こてきたい] /(n) drum and fife band/
鼓動 [こどう] /(n,vs) beat/palpitation/pulsation/throbbing/(P)/
鼓童 [こどう] /(n) Kodou (wadaiko drumming group from Sado Island)/
鼓舞 [こぶ] /(n,vs) inspiration/encouragement/(P)/
鼓舞激励 [こぶげきれい] /(n) encouragement/
鼓腹 [こふく] /(n,vs) happiness/contentment/
鼓腹撃壌 [こふくげきじょう] /(n,vs) (people) sing the praises (enjoy the blessings) of peace/
鼓膜 [こまく] /(n,adj-no) eardrum/tympanic membrane/(P)/
鼓膜炎 [こまくえん] /(n) tympanitis/myringitis/
鼓膜張筋 [こまくちょうきん] /(n) tensor tympani muscle/
五 [い] /(num) five/
五 [いつ] /(num) five/
五 [ご] /(num) five/(P)/
五か年 [ごかねん] /(adj-pn) quinquennial/
五つ [いつつ] /(num) five/(P)/
五つ子 [いつつご] /(n) quintuplets/
五カ年 [ごかねん] /(adj-pn) quinquennial/
五ヵ年 [ごかねん] /(adj-pn) quinquennial/
五ヶ年 [ごかねん] /(adj-pn) quinquennial/
五悪 [ごあく] /(n) the five sins in Buddhism (murder, theft, adultery, falsehood and drink)/
五位鷺 [ごいさぎ] /(n) (uk) black-crowned night heron (Nycticorax nycticorax)/night heron/
五陰 [ごおん] /(n) (Buddh) (arch) the five skandhas (the five aggregates: matter, sensation, perception, mental formations and consciousness)/
五陰盛苦 [ごおんじょうく] /(n) (Buddh) the pain brought on by the five skandha/
五右衛門風呂 [ごえもんぶろ] /(n) bath heated directly from beneath, with a floating wooden lid on which the bather sits causing it to sink (named after the robber Goemon Ishikawa, who was boiled to death in one)/
五黄 [ごおう] /(n) fifth of nine traditional astrological signs (corresponding to Saturn and central)/
五音 [ごいん] /(n) pentatonic scale/
五音 [ごおん] /(n) pentatonic scale/
五音々階 [ごおんおんかい] /(n) pentatonic scale/
五音音階 [ごおんおんかい] /(n) pentatonic scale/
五加 [うこぎ] /(n) (uk) fiveleaf aralia (Acanthopanax sieboldianus)/
五加 [ごか] /(n) (uk) fiveleaf aralia (Acanthopanax sieboldianus)/
五加木 [うこぎ] /(n) (uk) fiveleaf aralia (Acanthopanax sieboldianus)/
五加木 [ごか] /(n) (uk) fiveleaf aralia (Acanthopanax sieboldianus)/
五箇年 [ごかねん] /(adj-pn) quinquennial/
五戒 [ごかい] /(n) (Buddh) the five precepts (prohibitions against killing, theft, sexual misconduct, lying and intemperance)/
五角 [ごかく] /(n,adj-no) pentagon/
五角形 [ごかくけい] /(n) pentagon/
五角形 [ごかっけい] /(n) pentagon/
五角錐 [ごかくすい] /(n) pentagonal pyramid/
五角柱 [ごかくちゅう] /(n) pentagonal prism/
五官 [ごかん] /(n) the five sense organs/
五感 [ごかん] /(n) the five senses/(P)/
五眼 [ごげん] /(n) (Buddh) the five eyes (physical eye, heavenly eye, wisdom eye, dharma eye and Buddha eye)/
五畿内 [ごきない] /(n) the Five Home Provinces (Yamato, Yamashiro, Settsu, Kawachi, and Izumi)/
五刑 [ごけい] /(n) (1) (arch) five punishments (of ancient China: tattooing, cutting off the nose, cutting off a leg, castration or confinement, death)/(2) five punishments (of the ritsuryo system: light caning, severe caning, imprisonment, exile, death)/
五形 [ごぎょう] /(n) (uk) Jersey cudweed (species of cottonweed, Gnaphalium affine)/
五形拳 [ごけいけん] /(n) (MA) Wu Xing Fist/Five Form Fist (Dragon, Snake, Tiger, Crane, Leopard)/
五経 [ごきょう] /(n) the Five Classics texts of Confucianism/
五桁 [ごけた] /(n) five-digit number/"ten thousands" column/
五月 [ごがつ] /(n-adv) May/(P)/
五月 [さつき] /(n) (1) (obs) fifth month of the lunar calendar/(2) (uk) satsuki azalea (Rhododendron indicum)/
五月の節句 [ごがつのせっく] /(n) Boy's Festival/
五月闇 [さつきやみ] /(n) dark night in the rainy season/
五月雨 [さつきあめ] /(n) early-summer rain/
五月雨 [さみだれ] /(n) early-summer rain/
五月雨雲 [さみだれぐも] /(n) (arch) cloud during rainy season/
五月雨式 [さみだれしき] /(n) intermittent (off and on) manner/dragging on and on/
五月革命 [ごがつかくめい] /(n) events of May 1968 (strikes, protests and riots in France)/
五月祭 [ごがつさい] /(n) May Day/May Festival/
五月人形 [ごがつにんぎょう] /(n) Boys' May Festival dolls/
五月晴 [さつきばれ] /(n) early-summer fine weather (during rainy season)/
五月晴れ [さつきばれ] /(n) early-summer fine weather (during rainy season)/
五月蝿い [うるさい] /(ateji) (adj-i) (1) (uk) noisy/loud/(2) fussy/(3) annoying/troublesome/tiresome/importunate/(4) bossy/
五月病 [ごがつびょう] /(n) blues experienced by college freshmen or workplace recruits shortly after beginning school or work/the May blues/
五月幟 [ごがつのぼり] /(n) Boys' Festival paper-carp streamers/
五月幟 [さつきのぼり] /(n) Boys' Festival paper-carp streamers/
五月蠅い [うるさい] /(ateji) (adj-i) (1) (uk) noisy/loud/(2) fussy/(3) annoying/troublesome/tiresome/importunate/(4) bossy/
五月躑躅 [さつきつつじ] /(n) (uk) satsuki azalea (Rhododendron indicum)/
五絃 [ごげん] /(n) five strings/five-stringed instrument/
五言絶句 [ごごんぜっく] /(n) poem of four lines, each of five (Chinese) characters/
五言律詩 [ごごんりっし] /(n) poem of eight lines, each of five (Chinese) characters/
五胡 [ごこ] /(n) Wu Hu (five tribes that migrated into China between the 3rd & 5th centuries: Xiongnu, Jie, Xianbei, Di, Qiang)/
五胡十六国 [ごこじゅうろっこく] /(n) Sixteen Kingdoms (collection of sovereign states in and around China from 304 to 439 CE)/Sixteen Kingdoms period/
五光 [ごこう] /(n) (in hanafuda) the collection of the five light cards/
五公五民 [ごこうごみん] /(n) (arch) land-tax system during the Edo period under which the government took half of the year's crop and the farmers kept the other half/
五更 [ごこう] /(n) the five night watches/fifth watch of the night (approx. 3 am to 5 am)/
五行 [ごぎょう] /(n) (1) wu xing (the five elements of traditional Chinese philosophy: wood, fire, earth, metal and water)/(2) (Buddh) five practices of the Bodhisattvas/
五香粉 [ごこうふん] /(n) five-spice powder (chi: wuxiangfen)/
五香粉 [ウーシャンフェン] /(n) five-spice powder (chi: wuxiangfen)/
五香粉 [ウーシャンフン] /(n) five-spice powder (chi: wuxiangfen)/
五穀 [ごこく] /(n) the 5 grains (wheat, rice, beans, millet (awa and kibi))/
五穀豊穣 [ごこくほうじょう] /(n) bumper (abundant) crop/huge harvest (of cereals)/
五叉路 [ごさろ] /(n) five-forked road/five-road junction/
五彩 [ごさい] /(n) the five colours: green, yellow, red, white and black/the five colors/five-coloured porcelain/five-colored porcelain/
五罪 [ござい] /(n) (1) (arch) five punishments (of the ritsuryo system: light caning, severe caning, imprisonment, exile, death)/(2) five punishments (of ancient China: tattooing, cutting off the nose, cutting off a leg, castration or confinement, death)/
五山 [ごさん] /(n) (obsc) five most important temples of a region/
五山 [ござん] /(n) (obsc) five most important temples of a region/
五指 [ごし] /(n,adj-no) the five fingers/
五時教 [ごじきょう] /(n) (Buddh) division of the Buddha's 50-year teachings into five periods (theory of the Tendai sect)/
五時八教 [ごじはっきょう] /(n) (Buddh) division of the Buddha's 50-year teachings into five time periods and eight categories (theory of the Tendai sect)/
五次方程式 [ごじほうていしき] /(n) (math) quintic equation/
五七 [ごしち] /(n) (1) five and seven/(2) (abbr) 35th day after a person's death/
五七の桐 [ごしちのきり] /(n) paulownia crest (three leaves with seven blossoms on the center lead and five blossoms on each side leaf)/
五七桐 [ごしちのきり] /(n) paulownia crest (three leaves with seven blossoms on the center lead and five blossoms on each side leaf)/
五七調 [ごしちちょう] /(n) five- and seven-syllable meter/
五七日 [ごしちにち] /(n) 35th day after a person's death/
五舎 [ごしゃ] /(n) five residences for court ladies (in the inner Heian Palace)/
五車星 [ごしゃせい] /(n) (obsc) Auriga/the Charioteer/
五爵 [ごしゃく] /(n) five ranks of nobility (duke, marquis, count, viscount, baron)/
五種競技 [ごしゅきょうぎ] /(n) pentathlon/
五十 [い] /(n) fifty/
五十 [いそ] /(n) fifty/
五十 [ごじゅう] /(n) fifty/(P)/
五十円玉 [ごじゅうえんだま] /(n) 50 yen coin/
五十音 [ごじゅうおん] /(n) the Japanese syllabary/(P)/
五十音順 [ごじゅうおんじゅん] /(n) the syllabary order/
五十音図 [ごじゅうおんず] /(n) the Japanese syllabary table/
五十肩 [ごじゅうかた] /(n) (1) stiff shoulders (owing to age)/(2) frozen shoulder/
五十三次 [ごじゅうさんつぎ] /(n) the 53 Toukaidou stages/(P)/
五十雀 [ごじゅうから] /(n) (uk) Eurasian nuthatch (Sitta europaea)/
五十知命 [ごじゅうちめい] /(exp) At age fifty, one comes to know the will of Heaven. (Confucius)/
五十日 [ごとおび] /(n) days of the month ending in 5 or 0 (when payments are often due)/
五十年祭 [ごじゅうねんさい] /(n) jubilee/semicentennial/
五十歩百歩 [ごじっぽひゃっぽ] /(exp,n) six of one and a half dozen of the other/scant difference/
五十歩百歩 [ごじゅっぽひゃっぽ] /(exp,n) six of one and a half dozen of the other/scant difference/
五十路 [いそじ] /(n) age fifty/one's fifties/
五重 [いつえ] /(n) five-storied/quintuplicate/fivefold/
五重 [ごじゅう] /(n) five-storied/quintuplicate/fivefold/
五重の塔 [ごじゅうのとう] /(n) five-storied pagoda/
五重唱 [ごじゅうしょう] /(n) vocal quintet/five-part chorus/
五重奏 [ごじゅうそう] /(n) instrumental quintet/
五重塔 [ごじゅうのとう] /(n) five-storied pagoda/
五旬節 [ごじゅんせつ] /(n) pentecost/
五書 [ごしょ] /(n) Pentateuch/
五女 [ごじょ] /(n) fifth daughter/
五常 [ごじょう] /(n) the five cardinal Confucian virtues (justice, politeness, wisdom, fidelity and benevolence)/
五情 [ごじょう] /(n) the five passions (anger, joy, hatred, desire and grief)/
五色 [ごしき] /(n) variegated colors/variegated colours/five colors/five colours/
五色 [ごしょく] /(n) variegated colors/variegated colours/five colors/five colours/
五色の賤 [ごしきのせん] /(n) (arch) five lowly castes of the ritsuryo system/
五色青海鸚哥 [ごしきせいがいいんこ] /(n) (uk) rainbow lory/rainbow lorikeet (Trichoglossus haematodus)/
五色青海鸚哥 [ごしきぜいがいいんこ] /(n) (uk) rainbow lory/rainbow lorikeet (Trichoglossus haematodus)/
五色鳥 [ごしきどり] /(n) (uk) barbet (any bird of family Capitonidae)/
五色野路子 [ごしきのじこ] /(n) (uk) painted bunting (Passerina ciris)/
五色揚げ [ごしきあげ] /(n) variety of deep-fried vegetables/
五色鶸 [ごしきひわ] /(n) (uk) European goldfinch (Carduelis carduelis)/
五辛 [ごしん] /(n) five pungent roots (in Buddhism or Taoism)/
五人組 [ごにんぐみ] /(n) five-family unit/five-man group/quintet/
五人囃子 [ごにんばやし] /(n) five court-musician dolls at the Girl's Festival (in March)/
五寸くぎ [ごすんくぎ] /(n) long nail/spike/
五寸釘 [ごすんくぎ] /(n) long nail/spike/
五摂家 [ごせっけ] /(n) the five regent houses/five families of the Fujiwara clan (Konoe, Kujo, Nijo, Ichijo, and Takatsukasa) entrusted as imperial regents and advisors starting in the Kamakura period/
五節 [ごせつ] /(n) the five festivals (Jan 7th, March 3rd, May 5th, July 7th and Sep 9th)/
五節句 [ごせっく] /(n) the five festivals (Jan 7th, March 3rd, May 5th, July 7th and Sep 9th)/
五線 [ごせん] /(n) staff (music)/
五線記譜法 [ごせんきふほう] /(n) five-line musical notation/Western musical notation based on the five-line staff/
五線紙 [ごせんし] /(n) music paper/
五線譜 [ごせんふ] /(n) (music) score/
五臓 [ごぞう] /(n) the five viscera (liver, lungs, heart, kidney and spleen)/
五臓六腑 [ごぞうろっぷ] /(n) the internal organs/
五体 [ごたい] /(n) (1) the whole body/limbs/(2) the five styles in Japanese calligraphy/(P)/
五体満足 [ごたいまんぞく] /(n,adj-na) with no physical defects/in perfectly good health/sound in wind and limb/
五代 [ごだい] /(n) Five Dynasties (of Chinese history)/
五代十国 [ごだいじっこく] /(n) Five Dynasties and Ten Kingdoms (in Chinese history)/
五大 [ごだい] /(n) (1) (Buddh) the five elements (earth, water, fire, wind, aether)/(2) (abbr) five great wisdom kings/
五大湖 [ごだいこ] /(n) the Great Lakes/
五大国 [ごだいこく] /(n) the Five Powers/
五大州 [ごだいしゅう] /(n) the Five Continents/
五大洲 [ごだいしゅう] /(n) the Five Continents/
五大明王 [ごだいみょうおう] /(n) (Buddh) five great wisdom kings (Acala, Kundali, Trilokavijaya, Vajrayaksa, Yamantaka)/
五大洋 [ごたいよう] /(n) the Five Oceans (Pacific, Atlantic, Indian, Southern, and Arctic)/
五大洋 [ごだいよう] /(ik) (n) the Five Oceans (Pacific, Atlantic, Indian, Southern, and Arctic)/
五大老 [ごたいろう] /(n) Council of Five Elders (committee of daimyo formed by Toyotomi Hideyoshi to rule Japan until his son Hideyori came of age)/
五段 [ごだん] /(n) (1) Japanese verb group/(2) fifth rank (in martial arts, etc.)/
五段活用 [ごだんかつよう] /(n) conjugation (inflection, declension) of godan verbs/
五段動詞 [ごだんどうし] /(n) godan verb (one of the two main conjugation classes of verbs in modern Japanese, usually ending in -u, -ku, -su, -tsu, -gu, -bu, -mu, etc.)/type I verb/
五男 [ごなん] /(n) fifth son/
五智如来 [ごちにょらい] /(n) (Buddh) five dhyani buddhas/five wisdom buddhas/
五斗米 [ごとべい] /(n) small salary/
五斗米道 [ごとべいどう] /(n) Way of the Five Pecks of Rice (ancient Chinese Daoist movement later known as The Way of the Celestial Masters)/
五島鯨 [ごとうくじら] /(n) (obsc) larger whales of family Delphinidae (esp. the pilot whale or blackfish)/
五等爵 [ごとうしゃく] /(n) five ranks of nobility (duke, marquis, count, viscount, baron)/
五徳 [ごとく] /(n) (1) the five virtues/(2) tripod/three or four-legged kettle stand/(3) family crest in the shape of such an object/
五日 [いつか] /(n) (1) the fifth day of the month/(2) five days/(P)/
五日熱 [いつかねつ] /(n) (obsc) trench fever/
五倍 [ごばい] /(n) five times/
五倍子 [ごばいし] /(n) sumac gallnut/
五倍子 [ふし] /(n) sumac gallnut/
五倍子の木 [ふしのき] /(n) (uk) (obsc) Japanese sumac (Rhus javanica)/
五倍子蜂 [ふしばち] /(n) (obsc) gall wasp (any insect of family Cynipidae)/
五百 [いお] /(n) (1) 500/(2) many/
五百 [ごひゃく] /(n) (1) 500/(2) many/
五百円玉 [ごひゃくえんだま] /(n) 500 yen coin/
五百万 [いおよろず] /(n) (1) 5000000/(2) (arch) many/
五百万 [ごひゃくまん] /(n) (1) 5000000/(2) (arch) many/
五風十雨 [ごふうじゅうう] /(n) seasonable rains and winds/halcyon weather/halcyon times of peace/
五分 [ごふん] /(n-t) five minutes/
五分 [ごぶ] /(n-adv,n) (1) half/50%/tie/evenness/(2) 5 parts/5%/(P)/
五分 [ごぶん] /(vs) to divide into five parts/
五分の一 [ごぶんのいち] /(n) one fifth part/
五分刈り [ごぶがり] /(n) close haircut/
五分五分 [ごぶごぶ] /(n,adj-no) as likely as not/50-50/even match/tie/
五分咲き [ごぶざき] /(n) half-florescent/
五分試し [ごぶだめし] /(n) killing by inches/
五文型 [ごぶんけい] /(n) (ling) the five sentence structures (SV, SVC, SVO, SVOO, SVOC)/
五辺形 [ごへんけい] /(n) pentagon/
五奉行 [ごぶぎょう] /(n) the five commissioners (administrative organ of feudal Japan established by Toyotomi Hideyoshi)/
五本 [ごほん] /(n) five (long cylindrical things)/
五本指 [ごほんゆび] /(n) (1) five-toed (socks)/(2) top 5 (counting with fingers)/
五本指ソックス [ごほんゆびソックス] /(n) five-toed socks/
五本指靴下 [ごほんゆびくつした] /(n) five-toed socks/
五味 [ごみ] /(n) (1) five flavors (sweet, salty, spicy, sour, bitter)/five palates/five tastes/(2) (Buddh) five flavors (milk at various stages of making ghee: fresh milk, cream, curdled milk, butter, and ghee)/the five periods of the Buddha's teachings/
五明 [ごみょう] /(n) the five sciences of ancient India (grammar and composition, arts and mathematics, medicine, logic, and philosophy)/
五明後日 [ごあさって] /(n-adv,n-t) four days from now (five days in some places)/
五面体 [ごめんたい] /(n,adj-no) pentahedron/
五目 [ごもく] /(n) mixture/
五目寿司 [ごもくずし] /(n) sushi with several ingredients mixed in or sprinkled on top/
五目飯 [ごもくめし] /(n) dish of rice, fish and vegetables/
五目並べ [ごもくならべ] /(n) gobang (game played on go board involving lining up stones)/gomoku/Five in a Row/
五目鮨 [ごもくずし] /(n) sushi with several ingredients mixed in or sprinkled on top/
五夜 [ごや] /(n) (1) (arch) division of the night (from approx. 7 pm to 5 am) into five 2-hour periods/(2) the fifth of these periods (approx. 3 am to 5 am)/
五葉 [ごよう] /(n) (abbr) Japanese white pine (favored for gardens and bonsai)/goyoumatsu/
五葉の松 [いつはのまつ] /(n) (obsc) Japanese white pine (Pinus parviflora)/
五葉松 [ごようまつ] /(n) Japanese white pine (favored for gardens and bonsai)/
五里霧中 [ごりむちゅう] /(n) totally at a loss/lose one's bearings/in a maze/in a fog/all at sea/up in the air/mystified/bewildered/
五稜郭 [ごりょうかく] /(n) five-sided fortification/
五稜堡 [ごりょうほ] /(n) (1) five-sided fort/(2) Pentagon/
五倫 [ごりん] /(n) the five Confucian filial-piety relationships/
五倫の道 [ごりんのみち] /(n) the five Confucian filial-piety relationships/
五輪 [ごりん] /(n) the Olympics/(P)/
五輪のマーク [ごりんのマーク] /(n) five-ring Olympic emblem/
五輪の塔 [ごりんのとう] /(n) five-story pagoda/
五輪会議 [ごりんかいぎ] /(n) olympic congress/
五輪旗 [ごりんき] /(n) Olympic Flag/
五輪聖火 [ごりんせいか] /(n) Olympic torch/
五輪大会 [ごりんたいかい] /(n) Olympic Games/
五芒 [ごぼう] /(n) pentagram/
五芒星 [ごぼうせい] /(n) pentagram (as used in divination, etc.)/
五葷 [ごくん] /(n) five pungent roots (in Buddhism or Taoism)/
五蘊 [ごうん] /(n) (Buddh) the five skandhas (the five aggregates: matter, sensation, perception, mental formations and consciousness)/
五賤 [ごせん] /(n) (arch) (obsc) (abbr) five lowly castes of the ritsuryo system/
五體 [ごたい] /(n) (1) the five styles in Japanese calligraphy/
互い [たがい] /(n) mutual/reciprocal/(P)/
互いに [たがいに] /(adv) mutually/with each other/reciprocally/together/(P)/
互いに素 [たがいにそ] /(adj-na,adj-no) (1) (math) coprime/relatively prime/(2) disjoint/
互い違い [たがいちがい] /(adj-na,n) alternate/alternation/(P)/
互い違いに [たがいちがいに] /(adv) alternate/
互に [かたみに] /(adv) mutually/reciprocally/together/
互角 [ごかく] /(adj-na,n,adj-no) equality/evenness/par/good match/(P)/
互換 [ごかん] /(n,vs) transposition/interchangeable/compatible (e.g. PC)/(P)/
互換テスト [ごかんテスト] /(n) (comp) compatibility test/interoperability test/
互換機 [ごかんき] /(n) (comp) compatible (e.g. AT-compatible)/
互換性 [ごかんせい] /(n) compatibility/
互換性試験 [ごかんせいしけん] /(n) (comp) compatibility, interoperability test/
互換製品 [ごかんせいひん] /(n) (comp) interchangeable product/
互恵 [ごけい] /(n) reciprocity/mutual benefit/
互恵関税 [ごけいかんぜい] /(n) reciprocal duties or tariffs/
互恵条約 [ごけいじょうやく] /(n) a reciprocal treaty/
互恵的利他主義 [ごけいてきりたしゅぎ] /(n) reciprocal altruism/
互恵貿易 [ごけいぼうえき] /(n) reciprocal trade/
互市 [ごし] /(n) trade/commerce/
互酬 [ごしゅう] /(n) reciprocity/
互酬性 [ごしゅうせい] /(n) reciprocity/
互助 [ごじょ] /(n) mutual aid/cooperation/benefit/(P)/
互助会 [ごじょかい] /(n) benefit society/
互助的 [ごじょてき] /(adj-na) friendly/
互譲 [ごじょう] /(n) conciliation/compromise/
互譲的 [ごじょうてき] /(adj-na) conciliatory/
互生 [ごせい] /(n,adj-no) (botanical term) alternate (esp. of leaf arrangement)/
互先 [たがいせん] /(n) even game (esp. in Go)/
互選 [ごせん] /(n,vs) mutual election/co-opting/(P)/
互用 [ごよう] /(n) using together/using in turn/
伍 [ご] /(num) five (used in legal documents)/
伍す [ごす] /(v5s,vi) to rank with/to rank among/
伍する [ごする] /(vs-s,vi) to rank with/to rank among/
伍つ [いつつ] /(n) (obs) five/
伍を重ねる [ごをかさねる] /(exp,v1) to double the ranks/
伍長 [ごちょう] /(n) corporal/
午 [うま] /(n) seventh sign of Chinese zodiac (The Horse, 11am-1pm, south, May)/(P)/
午 [ひる] /(n-adv,n-t) (1) noon/midday/
午過ぎ [ひるすぎ] /(n-t) just past noon/afternoon/
午後 [ごご] /(n-adv,n-t) afternoon/p.m./(P)/
午後一 [ごごいち] /(n) first thing in the afternoon/
午後中 [ごごじゅう] /(n) throughout the afternoon/
午后 [ごご] /(oK) (n-adv,n-t) afternoon/p.m./
午刻 [ごこく] /(n) noon/
午餐 [ごさん] /(n,vs) lunch/dinner/
午餐会 [ごさんかい] /(n) luncheon party/
午睡 [ごすい] /(n,vs) nap/siesta/
午前 [ごぜん] /(n-adv,n-t) morning/a.m./(P)/
午前中 [ごぜんちゅう] /(n) this morning/in the morning/throughout the morning/
午前様 [ごぜんさま] /(exp,n) coming home after midnight/person who comes home after midnight/
午前零時 [ごぜんれいじ] /(n) midnight/
午年 [うまどし] /(n) year of the horse/
午飯 [ごはん] /(n) lunch/
午砲 [ごほう] /(n) noon gun/
呉の母 [くれのおも] /(n) (arch) fennel (Foeniculum vulgare)/
呉りゃる [くりゃる] /(aux-v,v5r,vt) (uk) (arch) (hon) to receive from another/
呉れてやる [くれてやる] /(v5r) (uk) to give/to do (something) for/
呉れて遣る [くれてやる] /(v5r) (uk) to give/to do (something) for/
呉れる [くれる] /(v1,vt) (uk) to give/to let one have/to do for one/to be given/(P)/
呉れ呉れも [くれぐれも] /(adv) (uk) repeatedly/sincerely/earnestly/(P)/
呉れ手 [くれて] /(n) donor/one who does something for you/
呉越 [ごえつ] /(n) Go-Etsu/two rival states in ancient China/
呉越同舟 [ごえつどうしゅう] /(n) bitter enemies (placed by fate) in the same boat/(P)/
呉音 [ごおん] /(n) Wu-dynasty reading of Chinese characters/
呉須 [ごす] /(n) gosu porcelain/asbolite/
呉竹 [くれたけ] /(n) (uk) Alternative name for henon bamboo (Phyllostachys nigra var. henonis)/
呉服 [ごふく] /(n) draperies/dry-goods/piece goods/(P)/
呉服屋 [ごふくや] /(n) draper/dry-goods store/
呉服尺 [ごふくじゃく] /(n) (obs) fabric shaku (approx. 36.4 cm)/
呉服商 [ごふくしょう] /(n) dry-goods dealer/
呉服店 [ごふくてん] /(n) dry-goods store/
呉服物 [ごふくもの] /(n) piece/dry-goods/piece goods/
呉蓙 [ござ] /(iK) (n) mat/matting/rush mat/
吾 [あ] /(ok) (pn,adj-no) (1) I/me/
吾 [あれ] /(ok) (pn,adj-no) (1) I/me/
吾 [わ] /(pn,adj-no) (1) I/me/(2) oneself/(3) (arch) you/(pref) (4) (arch) prefix indicating familiarity or contempt/
吾 [わぬ] /(ok) (pn,adj-no) (1) I/me/
吾 [われ] /(pn,adj-no) (1) I/me/(2) oneself/(3) (arch) you/
吾が [わが] /(adj-pn) my/our/one's own/
吾が身 [あがみ] /(pn) (1) (arch) you/(2) (arch) myself/oneself/
吾が輩 [わがはい] /(pn,adj-no) (1) (arch) (male) I (nuance of arrogance)/me/myself/(2) we/us/ourselves/
吾ら [われら] /(pn,adj-no) (1) we/us/(2) (arch) I/me/(3) (arch) you (referring to a group of one's equals or inferiors)/
吾れ [あれ] /(io) (ok) (pn,adj-no) (1) I/me/
吾れ [われ] /(io) (pn,adj-no) (1) I/me/(2) oneself/(3) (arch) you/
吾兄 [あせ] /(n) (arch) (fam) (pol) you (referring to a male)/
吾兄 [あそ] /(n) (arch) (fam) (pol) you (referring to a male)/
吾兄 [ごけい] /(n) (arch) (fam) (pol) you (referring to a male)/
吾妻 [あずま] /(n) (1) (arch) east/(2) eastern Japan/(3) (abbr) six-stringed Japanese zither/(4) my spouse/
吾妻 [あづま] /(ok) (n) (1) (arch) east/(2) eastern Japan/(3) (abbr) six-stringed Japanese zither/(4) my spouse/
吾妻しい [あずましい] /(adj-i) (uk) (tsug:) feeling good/feeling comfortable/
吾妻コート [あずまコート] /(n) type of coat popular in the middle of the Meiji era/
吾妻コオト [あずまコオト] /(ik) (n) type of coat popular in the middle of the Meiji era/
吾妻下駄 [あづまげた] /(n) type of geta for women/
吾妻鏡 [あずまかがみ] /(n) Japanese medieval text that chronicles events of the Kamakura Shogunate/
吾妻鏡 [あづまかがみ] /(n) Japanese medieval text that chronicles events of the Kamakura Shogunate/
吾妻山薊 [あずまやまあざみ] /(n) (uk) Azumayama thistle/Cirsiummicrospicatum/
吾子 [あこ] /(n) my child/
吾主 [わぬし] /(n) (arch) you (familiar or derogatory)/
吾人 [ごじん] /(pn,adj-no) (arch) we/
吾嬬 [あずま] /(n) (1) (arch) east/(2) eastern Japan/(3) (abbr) six-stringed Japanese zither/(4) my spouse/
吾嬬 [あづま] /(ok) (n) (1) (arch) east/(2) eastern Japan/(3) (abbr) six-stringed Japanese zither/(4) my spouse/
吾殿 [わどの] /(n) (arch) you (familiar or derogatory)/
吾等 [われら] /(pn,adj-no) (1) we/us/(2) (arch) I/me/(3) (arch) you (referring to a group of one's equals or inferiors)/
吾輩 [わがはい] /(pn,adj-no) (1) (arch) (male) I (nuance of arrogance)/me/myself/(2) we/us/ourselves/
吾妹 [わぎも] /(n) my wife/
吾妹子 [わぎもこ] /(n) my wife/
吾亦紅 [われもこう] /(n) burnet/
吾木香 [われもこう] /(n) burnet/
吾唯足知 [われただたるをしる] /(exp) I am content with what I am (have)/Rich is the person who is content with what he is/
娯しい [たのしい] /(iK) (adj-i) enjoyable/fun/
娯楽 [ごらく] /(n,vs,adj-no) pleasure/amusement/(P)/
娯楽街 [ごらくがい] /(n) amusement quarter/
娯楽雑誌 [ごらくざっし] /(n) magazine for amusement/entertainment magazine/
娯楽施設 [ごらくしせつ] /(n) amusement (recreational) facilities/
娯楽室 [ごらくしつ] /(n) recreation room/
娯楽場 [ごらくじょう] /(n) amusement spot/
娯楽番組 [ごらくばんぐみ] /(n) amusement program/amusement programme/
後 [あと] /(n,adj-no) (1) behind/rear/(2) after/later/(3) after one's death/(4) remainder/the rest/(5) descendant/successor/heir/(6) (arch) past/previous/(n-adv) (7) more (i.e. five more minutes)/(P)/
後 [うしろ] /(io) (n) back/behind/rear/
後 [ご] /(suf) after/
後 [しり] /(n) (1) buttocks/behind/rump/bottom/(2) undersurface/bottom/(3) last place/end/(4) consequence/
後 [のち] /(n,adj-no) (1) later/afterwards/since/(2) future/(3) after one's death/(4) (arch) descendant/(P)/
後々 [あとあと] /(n-adv,n-t) distant future/
後々 [のちのち] /(n-adv,n-t) distant future/
後々に [あとあとに] /(adv) made later/
後から後から [あとからあとから] /(exp) one after another/in rapid succession/
後がない [あとがない] /(exp,adj-i) (id) There's no way out/
後が無い [あとがない] /(exp,adj-i) (id) There's no way out/
後じさり [あとじさり] /(n,vs) stepping back/drawing back/
後じさる [あとじさる] /(v5r) to retreat/to back off/to draw back/to step back/to shrink away/
後じん [こうじん] /(n) metanephros (third stage of kidney development)/
後じん [ごじん] /(n) metanephros (third stage of kidney development)/
後ずさり [あとずさり] /(n,vs) stepping back/drawing back/
後ずさる [あとずさる] /(v5r) to retreat/to back off/to draw back/to step back/to shrink away/
後で [あとで] /(adv) (uk) afterwards/
後にする [あとにする] /(exp,vs-i) (1) to leave behind/(2) to put off/to postpone/
後に倒れる [うしろにたおれる] /(io) (exp,v1) to fall backward/
後ねだり [あとねだり] /(n) (obsc) demanding again what one has already obtained/coaxing out of someone for a second time/
後の月 [あとのつき] /(n) (arch) last month/
後の月 [のちのつき] /(n) (1) (arch) moon of the 13th day of 9th lunar month/(2) leap month/
後の月見 [のちのつきみ] /(n) (arch) moon-viewing on the 13th day of the 9th lunar month/
後の祭 [あとのまつり] /(n) Too late!/
後の祭り [あとのまつり] /(n) Too late!/(P)/
後の世 [のちのよ] /(n) after ages/posterity/future life/the next world/
後の炭 [のちのすみ] /(n) second adding of charcoal to the fire (tea ceremony)/
後の朝 [のちのあさ] /(n) (arch) the morning after (having slept together)/
後の朝 [のちのあした] /(n) (arch) the morning after (having slept together)/
後の方 [あとのほう] /(adj-no) later/
後の諱 [のちのいみな] /(n) (arch) posthumous name/
後は野となれ山となれ [あとはのとなれやまとなれ] /(exp) (id) I don't care what follows/The future will take care of itself/
後へ引く [あとへひく] /(v5k) to retreat/to recede/
後へ退く [あとへひく] /(v5k) to retreat/to recede/
後ほど [のちほど] /(adv,n) later on/eventually/afterwards/
後らす [おくらす] /(v5s,vt) to retard/to delay/
後らせる [おくらせる] /(v1,vt) to put something off/
後れ [おくれ] /(n) delay/lag/postponement/falling behind/
後ればせ [おくればせ] /(adj-no,n) belated/eleventh-hour/
後ればせながら [おくればせながら] /(exp) belatedly/tardily/
後ればせながら [おそればせながら] /(ik) (exp) belatedly/tardily/
後れる [おくれる] /(v1,vi) to be late/to be delayed/to fall behind schedule/to be overdue/
後れをとる [おくれをとる] /(exp,v5r) to fall behind/to be beaten/to be defeated/
後れを取る [おくれをとる] /(exp,v5r) to fall behind/to be beaten/to be defeated/
後れ馳せ [おくればせ] /(adj-no,n) belated/eleventh-hour/
後れ馳せながら [おくればせながら] /(exp) belatedly/tardily/
後れ馳せながら [おそればせながら] /(ik) (exp) belatedly/tardily/
後れ毛 [おくれげ] /(n) straggling hair/
後ろ [うしろ] /(n) back/behind/rear/(P)/
後ろから [うしろから] /(exp) from behind/
後ろに倒れる [うしろにたおれる] /(exp,v1) to fall backward/
後ろめたい [うしろめたい] /(adj-i) feeling guilty/with a guilty conscience/
後ろめたく思う [うしろめたくおもう] /(exp,v5u) to have a guilty conscience/
後ろもたれ [うしろもたれ] /(n) backward lean out (sumo)/
後ろを見せる [うしろをみせる] /(exp,v1) to turn one's back (on the enemy)/
後ろ暗い [うしろぐらい] /(adj-i) shady/back or underhanded/
後ろ影 [うしろかげ] /(n) form of a retreating person's body/
後ろ向き [うしろむき] /(n) back facing/turning one's back to/pessimistic/(P)/
後ろ合せ [うしろあわせ] /(adv) back to back/
後ろ合わせ [うしろあわせ] /(adv) back to back/
後ろ姿 [うしろすがた] /(n) retreating figure/appearance from behind/(P)/
後ろ指 [うしろゆび] /(n) being talked about or backbitten/
後ろ指をさされる [うしろゆびをさされる] /(exp,v1) to be talked about behind one's back/
後ろ指を指される [うしろゆびをさされる] /(exp,v1) to be talked about behind one's back/
後ろ指を指す [うしろゆびをさす] /(exp,v5s) (obsc) to talk about someone behind their back/to backbite/
後ろ手 [うしろで] /(n) (1) hands behind one's back/hands tied behind one's back/(2) behind (e.g. someone)/rear/back/(3) appearance from behind/
後ろ楯 [うしろだて] /(n) (1) backing/support/backer/supporter/patron/sponsor/(2) shield that protects one's back/
後ろ盾 [うしろだて] /(n) (1) backing/support/backer/supporter/patron/sponsor/(2) shield that protects one's back/(P)/
後ろ身頃 [うしろみごろ] /(n) back part of a kimono/
後ろ前 [うしろまえ] /(n) backwards/
後ろ足 [うしろあし] /(n) hind foot/hind-legs/
後ろ鉢巻 [うしろはちまき] /(n) hachimaki tied in the back/
後ろ髪 [うしろがみ] /(n) hair in back/
後ろ髪を引かれる [うしろがみをひかれる] /(exp,v1) (id) to do something with painful reluctance/to pull the hairs on one's back/
後ろ明き [うしろあき] /(n,adj-no) clothing with the opening at the back/
後ろ様に倒れる [うしろざまにたおれる] /(exp,v1) to fall backward/
後を引く [あとをひく] /(exp,v5k) (1) to be moreish/to have a quality that encourages you to eat (drink) more of them after/(2) to have lingering effects/
後を絶たず [あとをたたず] /(exp) never ceasing/never ending/
後を絶たない [あとをたたない] /(exp) never ceasing/never ending/endless/
後を濁す [あとをにごす] /(exp,v5s) to leave a bad impression behind/
後を弔う [あとをとむらう] /(exp,v5u) to perform religious rites for the repose of a soul/
後を追う [あとをおう] /(exp,v5u) (1) to pursue/(2) to die right after a loved one/to kill oneself (because one misses or longs to be with a loved one)/(3) to follow an example set by earlier generations (or one's master, etc.)/
後を尾ける [あとをつける] /(iK) (exp,v1) (1) to tag along/to follow/(2) to leave tracks/
後を付ける [あとをつける] /(iK) (exp,v1) (1) to tag along/to follow/(2) to leave tracks/
後を慕って [あとをしたって] /(exp) following (a person to a place)/
後ピン [あとピン] /(n) focal point of a lens behind the subject/
後遺症 [こういしょう] /(n) prognostic symptoms/after-effect/(P)/
後一歩 [あといっぽ] /(adv,adj-na) one more/another/the other/not quite/not very good/
後逸 [こういつ] /(n,vs) letting (a ball) pass/missing (a grounder)/error/
後引き上戸 [あとひきじょうご] /(n) insatiable drinker/
後胤 [こういん] /(n) descendant/scion/
後臼歯 [こうきゅうし] /(n) molar/
後衛 [こうえい] /(n) rear guard/
後援 [こうえん] /(n,vs) support/backing/(P)/
後援会 [こうえんかい] /(n) support group/fan club/(election) committee/
後援者 [こうえんしゃ] /(n) supporter/sponsor/patron/backer/
後押し [あとおし] /(n,vs) pushing/backing/boosting/supporting/(P)/
後家 [ごけ] /(n) widow/
後家を立てる [ごけをたてる] /(exp,v1) to remain faithful to the memory of one's husband and never remarry/
後家蜘蛛 [ごけぐも] /(n) (uk) widow spider (of genus Latrodectus)/
後架 [こうか] /(n) toilet/
後回し [あとまわし] /(n) putting off/postponing/(P)/
後悔 [こうかい] /(n,vs,adj-no) regret/repentance/(P)/
後悔先に立たず [こうかいさきにたたず] /(exp) (id) It is no use crying over spilt milk/
後学 [こうがく] /(n) younger scholar/future reference/
後株 [あとかぶ] /(n) company name with the words "kabushiki kaisha" at the end/
後釜 [あとがま] /(n) successor/replacement/second wife/
後釜にすえる [あとがまにすえる] /(exp,v1) to install (a person) in (someone's) place/
後釜に座る [あとがまにすわる] /(exp,v5r) to take someone's place/to step into someone's shoes/to succeed someone in his post/
後釜に据える [あとがまにすえる] /(exp,v1) to install (a person) in (someone's) place/
後患 [こうかん] /(n) future trouble/future problems/
後漢 [こうかん] /(n) (1) Later Han Dynasty (of China; 25-220 CE)/(2) Later Han Dynasty (of China; 947-950 CE)/
後漢 [ごかん] /(n) (1) Later Han Dynasty (of China; 25-220 CE)/(2) Later Han Dynasty (of China; 947-950 CE)/
後期 [こうき] /(n) latter period/final/(P)/
後期エンドソーム [こうきエンドソーム] /(n) late endosome/
後期印象派 [こうきいんしょうは] /(n) Post-impressionism/
後期中等教育 [こうきちゅうとうきょういく] /(n) upper secondary education (e.g. high school)/
後記 [こうき] /(n,vs) postscript/
後戯 [こうぎ] /(n) postcoital activity/afterplay/pillow talk/
後技 [うしろわざ] /(n) (MA) Aikido rear defence (defense)/
後詰め [ごづめ] /(n) rear guard/
後脚 [あとあし] /(n) hind legs/rear legs/
後脚 [こうきゃく] /(n) hind legs/rear legs/
後宮 [こうきゅう] /(n) inner palace (reserved for women)/harem/seraglio/
後強請り [あとねだり] /(n) (obsc) demanding again what one has already obtained/coaxing out of someone for a second time/
後金 [あときん] /(n) rest of the payment/
後屈 [こうくつ] /(n,vs,adj-no) retroflexion/
後軍 [こうぐん] /(n) rear guard/
後形質 [こうけいしつ] /(n) metaplasm (granular portion of cytoplasm)/
後景 [こうけい] /(n) background/setting/
後継 [あとつぎ] /(n) heir/successor/
後継 [こうけい] /(n) successor/(P)/
後継ぎ [あとつぎ] /(n) heir/successor/
後継者 [こうけいしゃ] /(n) successor/
後月 [あとげつ] /(n) (arch) last month/
後件 [こうけん] /(n) consequent/
後見 [こうけん] /(n,vs) guardianship/guardian/(P)/
後見人 [こうけんにん] /(n) guardian/
後顧 [こうこ] /(n) looking back/worry/anxiety/
後顧の憂い [こうこのうれい] /(n) anxiety (about the future)/
後後 [あとあと] /(n-adv,n-t) distant future/
後後 [のちのち] /(n-adv,n-t) distant future/
後後に [あとあとに] /(adv) made later/
後光 [ごこう] /(n) (1) halo/aureole/aureola/nimbus/(2) halo (optical phenomenon)/glory/
後口 [あとくち] /(n) (1) aftertaste/(2) later (in line or in turn, etc.)/
後口動物 [こうこうどうぶつ] /(n) deuterostome/
後向き [うしろむき] /(n) back facing/turning one's back to/pessimistic/
後向き推論 [うしろむきすいろん] /(n) (comp) backward reasoning (AI)/
後攻 [こうこう] /(n,vs) (baseball) taking the field first, thus batting second/
後攻め [あとぜめ] /(n) taking to the field first (baseball)/
後甲板 [こうかんぱん] /(n) afterdeck/
後項 [こうこう] /(n) following or later or last clause or article, etc./
後刻 [ごこく] /(n-adv,n-t) afterwards/
後込み [しりごみ] /(n,vs) recoil/hesitation/flinching/shrinking back/
後昆 [こうこん] /(n) grandchildren/posterity/
後座 [あとざ] /(n) rear part of a noh stage/
後座 [こうざ] /(n,vs) recoil (of a gun)/
後座 [ござ] /(n) (1) headliner/(2) latter half of a formal tea ceremony (in which the tea is actually consumed)/
後妻 [ごさい] /(n) second wife/(P)/
後作 [あとさく] /(n) second crop/
後山 [あとやま] /(n) pusher (in a mine)/
後産 [あとざん] /(n) placenta/afterbirth/secundina/
後産 [のちざん] /(n) placenta/afterbirth/secundina/
後仕舞 [あとじまい] /(n) settlement/winding or straightening up/
後嗣 [こうし] /(n) heir/successor/
後始末 [あとしまつ] /(n,vs) settlement (of affairs)/remedial measures/cleaning up afterwards/(P)/
後姿 [うしろすがた] /(io) (n) retreating figure/appearance from behind/
後指 [うしろゆび] /(n) being talked about or backbitten/
後指を指す [うしろゆびをさす] /(exp,v5s) (obsc) to talk about someone behind their back/to backbite/
後肢 [こうし] /(n) hindlimb/hindlimbs/hind leg/hind legs/
後事 [こうじ] /(n) future affairs/affairs after one's death/
後七日 [ごしちにち] /(n) January 8-14/
後七日の御修法 [ごしちにちのみしほ] /(n) annual Shingon prayer ritual (Jan. 8-14)/
後七日の御修法 [ごしちにちのみずほう] /(n) annual Shingon prayer ritual (Jan. 8-14)/
後室 [こうしつ] /(n) dowager/widow/
後者 [こうしゃ] /(n,adj-no) the latter/(P)/
後車 [こうしゃ] /(n) rear car/
後取息子 [あととりむすこ] /(n) son and heir/son who will succeed one/
後手 [ごて] /(n) (1) losing the initiative (in Go)/(2) rear guard/(3) white player (shogi)/(P)/
後手にまわる [ごてにまわる] /(exp,v5r) to be forestalled/to fall behind/
後手に回る [ごてにまわる] /(exp,v5r) to be forestalled/to fall behind/
後手後手 [ごてごて] /(n) ending up behind with everything/being always too late (never in time)/
後手必敗 [ごてひっぱい] /(exp) Defeat is inevitable for one who goes second/Being slow to take action inevitably leads to defeat/
後周 [こうしゅう] /(n) Later Zhou Dynasty (of China)/
後周 [ごしゅう] /(n) Later Zhou Dynasty (of China)/
後獣類 [こうじゅうるい] /(n) metatherians/
後出 [こうしゅつ] /(n,vs,adj-no) later/following/
後出し [あとだし] /(n) waiting to see one's opponent's move before doing anything (e.g. as a disallowed act in rock-paper-scissors)/
後述 [こうじゅつ] /(n,vs) later mention/
後述のように [こうじゅつのように] /(adv) as described below/described later/
後述の場合を除き [こうじゅつのばあいをのぞき] /(exp) except as noted below/
後処理費用 [あとしょりひよう] /(n) aftertreatment expenses/cleanup costs/
後書 [あとがき] /(n) afterword/postscript/(P)/
後書き [あとがき] /(n) afterword/postscript/(P)/
後書きラベル [あとがきラベル] /(n) (comp) end-of-file label/trailer label/EOF/
後場 [ごば] /(n) afternoon session (market)/afternoon trading (market)/
後晋 [こうしん] /(n) Later Jin Dynasty (of China)/
後晋 [ごしん] /(n) Later Jin Dynasty (of China)/
後身 [こうしん] /(n) (1) successor (e.g. organization)/(2) new existence after rebirth/
後進 [こうしん] /(n) (1) one's junior/next generation/(n,vs) (2) reversing/going astern/going backwards/(P)/
後進国 [こうしんこく] /(n) (sens) undeveloped country/third world country/
後人 [こうじん] /(n) posterity/future generations/
後塵 [こうじん] /(n) second fiddle/tracked powder/second class/
後陣 [こうじん] /(n) rear guard/reserve troops/
後世 [こうせい] /(n-adv,n) posterity/future life/life to come/(P)/
後世方 [こうせいほう] /(n) Edo-period school of Chinese medicine based on post-Jin and Yuan teachings/
後世方 [ごせいほう] /(n) Edo-period school of Chinese medicine based on post-Jin and Yuan teachings/
後世方 [ごせほう] /(n) Edo-period school of Chinese medicine based on post-Jin and Yuan teachings/
後成説 [こうせいせつ] /(n) epigenesis (theory)/
後生 [こうせい] /(n,adj-no) younger people/future generations/
後生 [ごしょう] /(n) afterlife/
後生だから [ごしょうだから] /(exp) for mercy's sake/for the love of God/for goodness' sake/
後生一生 [ごしょういっしょう] /(n) extremely important or once in a lifetime (request)/only once in one's lifetime/
後生一生の頼み [ごしょういっしょうのたのみ] /(exp) extremely important or once in a lifetime request/
後生可畏 [こうせいかい] /(exp) The young should be regarded with respect/
後生大事 [ごしょうだいじ] /(n) with religious zeal/with utmost devotion/take great care of/
後生動物 [こうせいどうぶつ] /(n,adj-no) metazoan (any member of the animal kingdom, excluding protozoans and sponges)/
後先 [あとさき] /(n) front and rear/before and after/both ends/beginning and end/order/consequences/context/
後先考えず [あとさきかんがえず] /(exp,adv) without thinking of the consequences/
後送 [こうそう] /(n,vs) sending back or sending later/
後足 [あとあし] /(n) hind legs/rear legs/
後足で砂をかける [あとあしですなをかける] /(exp,v1) to take a parting shot at/
後足で砂を掛ける [あとあしですなをかける] /(exp,v1) to take a parting shot at/
後続 [こうぞく] /(n,adj-no) succeeding/following/trailing/(P)/
後退 [こうたい] /(n,vs,adj-no) (1) retreat/(2) backspace/BS/(P)/
後退り [あとじさり] /(n,vs) stepping back/drawing back/
後退り [あとずさり] /(n,vs) stepping back/drawing back/
後退る [あとじさる] /(v5r) to retreat/to back off/to draw back/to step back/to shrink away/
後退る [あとずさる] /(v5r) to retreat/to back off/to draw back/to step back/to shrink away/
後退ファイル回復 [こうたいファイルかいふく] /(n) (comp) backward file recovery/
後退回復 [こうたいかいふく] /(n) (comp) backward (file) recovery/
後退的論証 [こうたいてきろんしょう] /(n) (obsc) regressive probation/
後退文字 [こうたいもじ] /(n) (comp) backspace character/BS/
後代 [こうだい] /(n) posterity/future generations/
後炭 [ごずみ] /(n) second adding of charcoal to the fire (tea ceremony)/
後端 [こうたん] /(n) (tail) end/
後段 [こうだん] /(n) latter or second part/
後知恵 [あとぢえ] /(n) hindsight/
後置 [こうち] /(n,vs,adj-no) (comp) back-end/
後置詞 [こうちし] /(n) (ling) postposition/
後置表記法 [こうちひょうきほう] /(n) (comp) suffix notation/postfix notation/reverse Polish notation/
後朝 [きぬぎぬ] /(n) (1) (arch) the morning after a couple have slept together/parting ways the morning after having slept together/
後朝 [こうちょう] /(n) (1) (arch) the morning after a couple have slept together/parting ways the morning after having slept together/(2) (arch) the next morning/
後朝 [ごちょう] /(n) (1) (arch) the morning after a couple have slept together/parting ways the morning after having slept together/(2) (arch) the next morning/
後鳥羽院 [ごとばいん] /(n) ex-Emperor Gotoba/
後追い [あとおい] /(n) following someone/
後追い自殺 [あとおいじさつ] /(n,vs) following someone's example, and committing suicide/
後追い心中 [あとおいしんじゅう] /(n) suicide immediately after the death of one's spouse or lover/following one's lover (husband, wife) into death/
後程 [のちほど] /(adv,n) later on/eventually/afterwards/
後天 [こうてん] /(n) a posteriori/posteriority/
後天性 [こうてんせい] /(n) acquired/a posteriori/
後天性免疫不全症候群 [こうてんせいめんえきふぜんしょうこうぐん] /(n) acquired immune deficiency syndrome/AIDS/
後天的 [こうてんてき] /(adj-na) a posteriori/acquired/(P)/
後添い [のちぞい] /(n) one's second wife/
後転跳び [こうてんとび] /(n) back handspring (gymnastics)/
後唐 [こうとう] /(n) Later Tang Dynasty (of China)/
後唐 [ごとう] /(n) Later Tang Dynasty (of China)/
後頭 [こうとう] /(n) back of the head/occiput/
後頭骨 [こうとうこつ] /(n) occipital bone (of the skull)/
後頭部 [こうとうぶ] /(n) back of head/
後頭葉 [こうとうよう] /(n) occipital lobe/
後難 [こうなん] /(n) future problems/consequences/
後日 [ごじつ] /(n-adv,n-t) in the future/another day/later/(P)/
後日 [ごにち] /(n-adv,n-t) in the future/another day/later/
後日に譲る [ごじつにゆずる] /(exp,v5r) to keep (the matter) for another occasion/
後日談 [ごじつだん] /(n) sequel/later development/
後日物語 [ごじつものがたり] /(n) sequel/
後日譚 [ごじつだん] /(n) sequel/later development/
後入れ先出し [あといれさきだし] /(exp) last in, first out/LIFO/
後入れ先出しリスト [あといれさきだしリスト] /(n) (comp) pushdown list/pushdown stack/
後入れ先出し記憶装置 [あといれさきだしきおくそうち] /(n) (comp) pushdown storage/stack (storage)/
後任 [こうにん] /(n,adj-no) successor/(P)/
後年 [こうねん] /(n-adv,n-t) future years/in (one's) later years/
後納 [こうのう] /(n) deferred payment/
後脳 [こうのう] /(n) rhombencephalon/hindbrain/
後背位 [こうはいい] /(n) rear entry position (sexual position)/
後背地 [こうはいち] /(n) hinterland/
後輩 [こうはい] /(n) junior (at work or school)/younger people/younger student/(P)/
後配株 [こうはいかぶ] /(n) deferred stock/
後発 [こうはつ] /(n,vs,adj-no) starting late/(P)/
後発々展途上国 [こうはつはってんとじょうこく] /(n) least developed among developing nations/
後発医薬品 [こうはついやくひん] /(n) generic drug/
後発発展途上国 [こうはつはってんとじょうこく] /(n) least developed among developing nations/
後発品 [こうはつひん] /(n) generic (drug)/me-too (drug)/
後半 [こうはん] /(n-adv,n) second half/latter half/(P)/
後半期 [こうはんき] /(n) the last half-year/second half of the year/
後半生 [こうはんせい] /(n) latter half of one's life/
後半戦 [こうはんせん] /(n) second half/(P)/
後備 [こうび] /(n) rear guard/second reserve/
後尾 [こうび] /(n,adj-no) the rear/
後氷期 [こうひょうき] /(n) postglacial period/
後付け [あとづけ] /(n) appendix/postscript/
後腐れ [あとくされ] /(n) future trouble/
後部 [こうぶ] /(n,adj-no) rear/stern/(P)/
後部座席 [こうぶざせき] /(n) rear (back) seat/
後腹 [あとばら] /(n) afterpains/repercussions/consequences/
後腹膜 [こうふくまく] /(n) retroperitoneum/
後払い [あとばらい] /(n,vs) deferred payment/
後仏 [ごぶつ] /(n) (Buddh) Maitreya (buddha appearing 5.67 billion years after the death of Gautama)/
後片付け [あとかたづけ] /(n,vs) tidying up/cleaning/clearing away/putting in order/(P)/
後篇 [こうへん] /(n) latter part or volume/
後編 [こうへん] /(n) latter part/sequel/
後便 [こうびん] /(n) later mail/next letter/
後報 [こうほう] /(n) later or latest report/further information/
後方 [こうほう] /(n,adj-no) behind/in the rear/in back/(P)/
後方一致 [こうほういっち] /(n) (comp) right-hand match/ends-with match/backward match/matching a sub-string with the end of a field/
後方境界面 [こうほうきょうかいめん] /(n) (comp) back plane/
後方支援 [こうほうしえん] /(n,adj-no) logistical support/
後方視的 [こうほうしてき] /(adj-na) retrospective/
後方推論 [こうほうすいろん] /(n) (comp) backward reasoning (AI)/
後方端 [こうほうたん] /(n) (comp) trailing edge/
後方地域 [こうほうちいき] /(n,adj-no) rear area/
後方地域警備 [こうほうちいきけいび] /(n) rear area security/
後方連絡線 [こうほうれんらくせん] /(n) lines of communication/
後棒 [あとぼう] /(n) rear carrier of a palanquin/
後味 [あとあじ] /(n) aftertaste/
後目 [しりめ] /(oK) (n) backward glance/sidelong glance/
後戻り [あともどり] /(n,vs) backtrack/(P)/
後門 [こうもん] /(n) back gate/
後門の虎前門の狼 [こうもんのとらぜんもんのおおかみ] /(exp) (id) Between the devil and the deep sea/
後夜 [ごや] /(n) (1) period from midnight until the early morning/(2) around 4 in the morning/
後夜祭 [こうやさい] /(n) an event held on the night after the last day of some festival (school festival) often bonfire & dancing/
後厄 [あとやく] /(n) the year following an inauspicious year/
後葉 [こうよう] /(n) (1) posterity/future generations/descendant/(2) posterior pituitary/neurohypophysis/
後葉ホルモン [こうようホルモン] /(n) neurohypophyseal hormone/
後略 [こうりゃく] /(n,vs) omitting the rest/
後流 [こうりゅう] /(n) slipstream/
後梁 [こうりょう] /(n) Later Liang Dynasty (of China)/
後梁 [ごりょう] /(n) Later Liang Dynasty (of China)/
後涼殿 [こうりょうでん] /(n) ladies' pavilion (of Heian Palace)/
後涼殿 [こうろうでん] /(n) ladies' pavilion (of Heian Palace)/
後輪 [あとわ] /(n) (1) rear wheel/(2) cantle/
後輪 [こうりん] /(n) (1) rear wheel/
後輪 [しずわ] /(n) (1) cantle/
後輪 [しりわ] /(n) (1) cantle/
後列 [こうれつ] /(n) rear/back row/(P)/
後翅 [こうし] /(n) hindwing/
後裔 [こうえい] /(n) descendant/
御 [お] /(pref) (uk) honourable/honorable/(P)/
御 [おおむ] /(pref) (hon) august (in ref. to the emperor or the gods)/imperial/divine/
御 [おおん] /(pref) (hon) august (in ref. to the emperor or the gods)/imperial/divine/
御 [おん] /(pref) (1) honorific prefix/
御 [ぎょ] /(pref) (1) honorific prefix/(pref,suf) (2) (hon) imperial/emperor/
御 [ご] /(pref) (uk) honourable/honorable/(P)/
御 [み] /(pref) (1) (hon) august/(2) beautiful/
御々 [おご] /(n) (arch) (hon) another's wife or daughter/
御々 [おごう] /(n) (arch) (hon) another's wife or daughter/
御々 [おみ] /(pref) honorific or polite prefix/
御々足 [おみあし] /(n) (hon) another's foot or leg/
御しやすい [ぎょしやすい] /(adj-i) tractable/docile/biddable/
御し易い [ぎょしやすい] /(adj-i) tractable/docile/biddable/
御す [ぎょす] /(v5s,vt) (1) to drive (e.g. horse, carriage)/(2) to control/to manage/
御する [ぎょする] /(vs-s,vt) (1) to drive (e.g. horse, carriage)/(2) to control/to manage/
御っ母さん [おっかさん] /(n) (uk) mother (term commonly used until the end of the Meiji period)/mom/mum/mama/
御の字 [おんのじ] /(n) most satisfactory/
御ませ [おませ] /(adj-na) (uk) precocious/precocious child/
御愛でたい [おめでたい] /(n) (1) (uk) (pol) special/auspicious/happy/(2) naive/inncocent/good-natured/
御愛想 [おあいそ] /(n) (1) (pol) compliment/flattery/(2) service/hospitality/(3) bill (at a restaurant; formerly, not used by customers)/check/
御愛想 [おあいそう] /(n) (1) (pol) compliment/flattery/(2) service/hospitality/(3) bill (at a restaurant; formerly, not used by customers)/check/
御挨拶 [ごあいさつ] /(n) (1) (pol) greeting/(2) a fine thing to say (used as part of a sarcastic response to a rude remark)/
御握り [おにぎり] /(n) (uk) rice ball (often triangular, sometimes with a filling and wrapped in nori)/
御安い [おやすい] /(adj-i) easy/simple/
御偉方 [おえらがた] /(n) superiors/very important persons/VIPs/dignitaries/big shots/
御意 [ぎょい] /(conj,int,n) your will/your pleasure/
御意見を伺う [ごいけんをうかがう] /(exp,v5u) to ask the opinion of (a superior)/
御為ごかし [おためごかし] /(n) self-aggrandizement under pretense of aiding another (aggrandisement, pretence)/
御衣 [ぎょい] /(n) imperial garments/
御医者さん [おいしゃさん] /(n) (pol) doctor/
御一緒 [ごいっしょ] /(n,vs) (hon) going together/
御一新 [ごいっしん] /(n) the (Meiji) restoration/
御稲荷さん [おいなりさん] /(n) (1) (hon) Inari (god of harvests, wealth, fertility, etc.)/(2) (hon) Inari shrine/(3) (pol) Inari-zushi (sushi wrapped in fried tofu)/
御蔭 [おかげ] /(n) (your) backing/assistance/thanks or owing to/
御蔭で [おかげで] /(exp) thanks to you/owing to you/because of you/
御蔭参り [おかげまいり] /(n) pilgrimage to Ise/
御蔭様 [おかげさま] /(n) (your) backing/assistance/
御蔭様で [おかげさまで] /(exp) (pol) (I'm fine) thank you/under the gods' shadow/
御陰 [おかげ] /(n) (your) backing/assistance/thanks or owing to/
御陰で [おかげで] /(exp) (uk) thanks to ... (can be used for non-people causes)/owing to ..../
御陰様で [おかげさまで] /(exp) (pol) (I'm fine) thank you/under the gods' shadow/
御宇 [ぎょう] /(n) Imperial reign/
御羽車 [おはぐるま] /(n) portable shrine used to transport a sacred object/
御影 [ぎょえい] /(n) (hon) image (esp. of a deity, buddha, royal, noble, etc.)/
御影 [ごえい] /(n) (hon) image (esp. of a deity, buddha, royal, noble, etc.)/
御影 [みえい] /(n) (hon) image (esp. of a deity, buddha, royal, noble, etc.)/
御影 [みかげ] /(n) divine spirit/spirit of the dead/
御影石 [みかげいし] /(n) granite/
御詠 [ぎょえい] /(n) poem written by the Emperor or a member of the imperial family/
御詠歌 [ごえいか] /(n) song in praise of the Buddha/
御越し [おこし] /(exp) (hon) coming or leaving/
御宴 [ぎょえん] /(n) a court banquet/
御苑 [ぎょえん] /(n) imperial garden/(P)/
御恩 [ごおん] /(n) (hon) (received) favor, kindness or blessing (favour)/
御下がり [おさがり] /(n,adj-no) (1) food offering to the gods/(2) leftovers/hand-me-downs/
御下り [おさがり] /(n,adj-no) (1) food offering to the gods/(2) leftovers/hand-me-downs/
御下問 [ごかもん] /(n) a question from the emperor/
御化け [おばけ] /(n) goblin/apparition/monster/ghost/(P)/
御化け屋敷 [おばけやしき] /(n) haunted house/
御化け暦 [おばけごよみ] /(n) (arch) private koyomi published illegally (Edo period)/
御化け話 [おばけばなし] /(n) ghost story/spooky story/
御伽 [おとぎ] /(n) attending (upon)/keeping another company/
御伽の国 [おとぎのくに] /(n) a fairyland or never-never land/
御伽草子 [おとぎぞうし] /(n) fairy-tale book/
御伽噺 [おとぎばなし] /(n) fairy-tale/nursery-tale/
御伽話 [おとぎばなし] /(n) fairy-tale/nursery-tale/
御家芸 [おいえげい] /(n) (1) one's specialty/one's forte/(2) specialty of a kabuki school/
御家人 [ごけにん] /(n) lower-ranking vassal in the Kamakura and Edo periods/
御家騒動 [おいえそうどう] /(n) family trouble (quarrel)/domestic squabble/internal squabble (over headship rights) in a daimyo family in the Edo period/
御家流 [おいえりゅう] /(n) Japanese style of calligraphy based on the gyousho style popular in the Edo period/
御暇 [おいとま] /(n,vs) (1) (uk) leaving/going home/(2) quitting one's job/(3) free time/leisure/spare time/
御歌会始 [おうたかいはじめ] /(n) annual New Year's poetry reading (held at the Imperial Court)/
御河童 [おかっぱ] /(n) (uk) bobbed hair (from resemblance to the mythical Kappa's hair style)/
御火焼 [おひたき] /(n) Kyoto area festival held on the 11th lunar month (wherein bonfires are burned at shrines)/
御火焼 [おほたき] /(n) Kyoto area festival held on the 11th lunar month (wherein bonfires are burned at shrines)/
御火焚 [おひたき] /(n) Kyoto area festival held on the 11th lunar month (wherein bonfires are burned at shrines)/
御火焚 [おほたき] /(n) Kyoto area festival held on the 11th lunar month (wherein bonfires are burned at shrines)/
御花畑 [おはなばたけ] /(n) field of alpine flowers/
御花料 [おはなりょう] /(n) condolence gift/gift brought to a (Christian) funeral/flower money/
御荷物 [おにもつ] /(n) (1) (pol) baggage/luggage/(2) burden/albatross around someone's neck/excess baggage/
御菓子 [おかし] /(n) confections/sweets/candy/
御芽出度い [おめでたい] /(ateji) (n) (1) (uk) (pol) special/auspicious/happy/(2) naive/inncocent/good-natured/
御芽出度う [おめでとう] /(ateji) (int) (uk) congratulations!/an auspicious occasion!/
御開き [おひらき] /(n) breakup (of a ceremony, wedding, party, meeting, etc.)/closure/
御殻 [おから] /(n) residue left after making tofu/bean curd lees/
御覚えがめでたい [おおぼえがめでたい] /(exp) to stand high in one's superior's favor and trust/
御岳 [うたき] /(n) (Okinawa) sacred site/sacred grove/
御岳 [みたけ] /(n) (obsc) large, high mountain/
御岳教 [おんたけきょう] /(n) Ontake-kyo (sect of Shinto)/Mitake-kyo/
御岳教 [みたけきょう] /(n) Ontake-kyo (sect of Shinto)/Mitake-kyo/
御楽しみ [おたのしみ] /(n) (pol) enjoyment/pleasure/diversion/amusement/hobby/
御掛け下さい [おかけください] /(exp) (uk) please sit down/please have a seat/
御株 [おかぶ] /(n) one's forte/
御釜 [おかま] /(n) (1) (pol) pot/(2) volcanic crater/(3) (one's) buttocks/(4) (uk) (col) male homosexual/effeminate man/male transvestite/
御釜を掘る [おかまをほる] /(exp,v5r) (1) to perform anal sex/to bugger/to sodomize/to sodomise/(2) to crash a car into the back of another (usu. used in the passive voice)/to rear-end/
御粥 [おかゆ] /(n) thin rice porridge/watery cooked rice/rice gruel/
御冠 [おかんむり] /(n) (uk) bad temper/bad mood/
御寒い [おさむい] /(adj-i) (1) poor/unsatisfactory/inadequate/(2) (pol) cold/chilly/
御勧め [おすすめ] /(n,vs) recommendation/advice/suggestion/encouragement/
御丸 [おまる] /(n) (uk) bedpan/chamber pot/potty/
御眼鏡 [おめがね] /(n) (your) judgment/discernment/
御顔 [おかお] /(n) your (honorable) face (honourable)/
御願い [おねがい] /(n,vs) (1) (hon) request/wish/(int) (2) (abbr) please/
御願いします [おねがいします] /(exp) (hum) please/
御器噛 [ごきかぶり] /(n) (uk) (obsc) cockroach/
御器噛り [ごきかぶり] /(n) (uk) (obsc) cockroach/
御希望の向きは [ごきぼうのむきは] /(exp) those who want it/
御機嫌 [ごきげん] /(adj-na,n,adj-no) pleasant/in a good mood/in high spirits/
御機嫌よう [ごきげんよう] /(int) (1) (uk) how do you do?/nice to meet you/(2) adieu/farewell/bon voyage/
御機嫌斜め [ごきげんななめ] /(exp) in a bad temper/
御機嫌麗しい [ごきげんうるわしい] /(adj-i) in good humor (humour)/
御帰り [おかえり] /(n) (1) (hon) return/(int) (2) (abbr) welcome home/
御帰りなさい [おかえりなさい] /(int) welcome home/
御気に召す [おきにめす] /(exp,v5s) (hon) to like/to prefer/to be pleased by/
御気に入り [おきにいり] /(exp) (1) favorite/favourite/pet (e.g. teacher's pet)/(2) bookmark (in web browser)/
御技 [みわざ] /(n) (arch) (hon) the works (of the gods)/
御詰 [おつめ] /(n) (1) lowest-ranking guest at tea ceremony/(2) tea master/
御詰め [おつめ] /(n) (1) lowest-ranking guest at tea ceremony/(2) tea master/
御客さん [おきゃくさん] /(n) guest/visitor/customer/
御客様 [おきゃくさま] /(n) (hon) guest/visitor/customer/
御休み [おやすみ] /(n) (1) (pol) holiday/day off/absence/(2) (hon) sleep/rest/(exp) (3) (abbr) Good night/
御休みなさい [おやすみなさい] /(exp) good night/
御宮参り [おみやまいり] /(n) shrine visit/
御許 [みもと] /(n) (uk) (arch) (hon) (his) side/(his) presence/
御魚 [おとと] /(n) (uk) (chn) fish/
御供 [おとも] /(n,vs) attendant/companion/
御供え [おそなえ] /(n) an offering/
御侠 [おきゃん] /(n) pert girl/girl with "attitude"/lively minx/tomboy/
御協力 [ごきょうりょく] /(n,vs) cooperation/collaboration/
御強請り [おねだり] /(n) (uk) (pol) begging/pestering/pleading/coaxing/
御業 [みわざ] /(n) (arch) (hon) the works (of the gods)/
御局 [おつぼね] /(n) (arch) dignified lady-in-waiting who had her own private chamber or office at court or in the shogun's castle/
御玉 [おたま] /(n) egg/ladle/
御玉杓子 [おたまじゃくし] /(n) (1) tadpole/(2) ladle/(3) musical note/
御勤め [おつとめ] /(n) (1) (arch) (pol) one's business/(2) reading of scriptures before a (statue of) Buddha/(3) bargain/discount/(4) money paid to a prostitute or geisha/
御勤め品 [おつとめひん] /(n) article offered at a bargain price/real bargain/
御近付き [おちかづき] /(n) making someone's acquaintance/
御金 [おかね] /(n) (pol) money/
御苦労 [ごくろう] /(adj-na,int,n) (hon) trouble (I have put you through)/
御苦労さん [ごくろうさん] /(exp) I appreciate your efforts/
御苦労様 [ごくろうさま] /(exp,adj-na) thank you very much for your .../I appreciate your efforts/
御兄さん [おにいさん] /(n) (1) (hon) older brother/elder brother/(2) (vocative) young man/buddy/fella/laddie/
御兄ちゃん [おにいちゃん] /(n) (1) (fam) familiar form of "older brother"/(2) (fam) form of address for young adult male/mister/
御兄弟 [ごきょうだい] /(n) (hon) siblings/brothers and sisters/
御形 [おぎょう] /(n) (uk) Jersey cudweed (species of cottonweed, Gnaphalium affine)/
御形 [ごぎょう] /(n) (uk) Jersey cudweed (species of cottonweed, Gnaphalium affine)/
御慶 [ぎょけい] /(n) (New Year's) greetings/
御欠き [おかき] /(n) (uk) mochi cut thin, dried, and baked or fried/
御決まり [おきまり] /(n,adj-no) standard/set/routine/regular/usual/conventional/stereotyped/same old/
御決り [おきまり] /(n,adj-no) standard/set/routine/regular/usual/conventional/stereotyped/same old/
御結び [おむすび] /(n) rice ball/
御月様 [おつきさま] /(n) (hon) the moon/
御見えになる [おみえになる] /(exp) (hon) to arrive/
御見舞 [おみまい] /(n) calling on someone who is ill/enquiry/inquiry/
御見舞い [おみまい] /(n) calling on someone who is ill/enquiry/inquiry/
御遣い [おつかい] /(n) (1) (pol) errand/mission/going as envoy/(2) (pol) messenger/bearer/errand boy/errand girl/(3) (pol) (hon) familiar spirit/
御言 [みこと] /(n) (hon) the spoken words of the emperor or a noble/
御言葉 [おことば] /(exp) (1) availing myself of your kind offer/taking you at your word/
御言葉 [みことば] /(exp) (1) availing myself of your kind offer/taking you at your word/(n) (2) God's word/word of God/
御古 [おふる] /(n) used article (esp. clothes)/
御呼ばれ [およばれ] /(n) being invited/
御呼び [および] /(n,vs) (hon) call/invitation/
御袴料 [おんはかまりょう] /(n) betrothal money given from woman to man/
御虎子 [おまる] /(n) (uk) bedpan/chamber pot/potty/
御雇外国人 [おやといがいこくじん] /(n) hired foreigners/foreign advisors hired by the Japanese government for their specialized knowledge to assist in the modernization of Japan at the end of the Bakufu and during the Meiji Era/
御互い [おたがい] /(n) mutual/reciprocal/each other/
御互いに [おたがいに] /(adv) (pol) mutually/with each other/reciprocally/together/both/
御互い様 [おたがいさま] /(adj-na,n) we are of equal status in this regard/
御御 [おご] /(n) (arch) (hon) another's wife or daughter/
御御 [おごう] /(n) (arch) (hon) another's wife or daughter/
御御 [おみ] /(pref) honorific or polite prefix/
御御御付 [おみおつけ] /(n) (pol) miso soup/
御御御付け [おみおつけ] /(n) (pol) miso soup/
御御足 [おみあし] /(n) (hon) another's foot or leg/
御御様 [おごうさま] /(n) (arch) (term of respect for) another's wife or daughter/
御御籤 [おみくじ] /(n) (uk) written oracle/fortune slip/
御光 [ごこう] /(n) (1) halo (optical phenomenon)/glory/
御好み焼き [おこのみやき] /(n) savoury pancake with various ingredients/
御幸 [ぎょうき] /(n,vs) imperial outing or visit/
御幸 [ごうき] /(n,vs) imperial outing or visit/
御幸 [ごこう] /(n,vs) imperial outing or visit/
御幸 [みゆき] /(n,vs) imperial outing or visit/
御広目 [おひろめ] /(n,vs) debut/
御構い [おかまい] /(n) (1) (pol) entertainment/hospitality/(2) banishment (Edo period)/
御構いなく [おかまいなく] /(exp) (pol) please don't fuss over me/
御構いなし [おかまいなし] /(adj-na,n) being unmindful/
御絞り [おしぼり] /(n) wet towel (supplied at table)/hot, moistened hand towel/
御綱柏 [みつなかしわ] /(n) (1) Asplenium antiquum (species of spleenwort)/(2) Dendropanax trifidus (species of flowering plant)/(3) leaves used for serving or offering sake, rice, etc./
御綱柏 [みつながしわ] /(n) (1) Asplenium antiquum (species of spleenwort)/(2) Dendropanax trifidus (species of flowering plant)/(3) leaves used for serving or offering sake, rice, etc./
御降誕 [ごこうたん] /(n,vs) birth (regal)/nativity/
御高い [おたかい] /(adj-i) haughty/
御高祖頭巾 [おこそずきん] /(n) kerchief worn by women in former times in Japan in cold weather, covering the whole head (except eyes)/
御告 [おつげ] /(n) oracle/divine message/
御告げの祝日 [おつげのしゅくじつ] /(n) Annunciation Day/Lady Day/
御国 [みくに] /(n) (1) (hon) country/(2) (hon) Japan/
御国言葉 [おくにことば] /(n) (pol) national language/local dialect/
御国言葉 [みくにことば] /(n) (arch) Japanese (language)/
御国詞 [みくにことば] /(n) (arch) Japanese (language)/
御国自慢 [おくにじまん] /(n) boasting of one's hometown/
御腰 [おこし] /(n) (1) (hon) buttocks/lower back/waist/hips/(2) (fem) kimono underskirt/
御惚け [おとぼけ] /(n) feigned ignorance/
御魂 [みたま] /(n) (hon) spirit of a deceased person/
御沙汰 [ごさた] /(n) (imperial) words/
御座います [ございます] /(exp) (pol) to be/to exist/(P)/
御座す [おわす] /(n) (1) (uk) (hon) to be (often used in religious context)/(2) to go/to come/
御座なり [おざなり] /(adj-na) perfunctory/apathetic/careless/slapdash/commonplace/
御座ります [ござります] /(exp) (arch) (pol) to be/to exist/
御座る [ござる] /(v4r,vi) (pol) (arch) (abbr) to be/
御座んす [がんす] /(exp) (abbr) (uk) (pol) to be/to exist/
御座んす [ごあんす] /(exp) (abbr) (uk) (pol) to be/to exist/
御座んす [ござんす] /(exp) (abbr) (uk) (pol) to be/to exist/
御座居る [ございる] /(v1) (uk) (arch) to be (very pol.)/
御座在る [ござある] /(v4r,vi) (arch) (pol) to be/to exist/
御座所 [ござしょ] /(n) a throne/
御座成り [おざなり] /(adj-na) perfunctory/apathetic/careless/slapdash/commonplace/
御座船 [ござぶね] /(n) (1) (arch) boat reserved for nobles/(2) (arch) pleasure boat/
御座敷 [おざしき] /(n) (1) (pol) tatami room/(2) gathering (to which one has been invited to perform as a geisha, etc.)/
御座敷がかかる [おざしきがかかる] /(exp,v5r) to be invited (often to perform for an audience)/to be called/
御座敷が掛かる [おざしきがかかる] /(exp,v5r) to be invited (often to perform for an audience)/to be called/
御座有る [ござある] /(v4r,vi) (arch) (pol) to be/to exist/
御歳暮 [おせいぼ] /(n) end of the year/year-end gift/
御祭 [おまつり] /(n) (pol) festival/feast/carnival/
御祭り [おまつり] /(n) (pol) festival/feast/carnival/
御祭り騒ぎ [おまつりさわぎ] /(n) festival merrymaking/revelry/
御斎会 [ごさいえ] /(n) imperial event at which high monks recited the Golden Light Sutra to pray for national security and good harvests (held annually at the palace from the 8th to the 14th of the first lunar month, between the Nara and Muromachi periods)/
御斎会 [みさいえ] /(n) imperial event at which high monks recited the Golden Light Sutra to pray for national security and good harvests (held annually at the palace from the 8th to the 14th of the first lunar month, between the Nara and Muromachi periods)/
御菜 [おかず] /(n) (1) (uk) accompaniment for rice dishes/side dish/(2) food for thought (esp. in the context of conversation, or material for assisting arousal during masturbation)/
御菜 [おさい] /(n) (1) (uk) accompaniment for rice dishes/side dish/
御作り [おつくり] /(n) (1) make-up/(2) (ksb:) sashimi/
御札 [おふだ] /(n) a charm/
御雑煮 [おぞうに] /(n) New Year dish/
御三家 [ごさんけ] /(n) (1) three branch Tokugawa families (Owari, Kii, and Mito)/(2) big three/top three/
御三卿 [ごさんきょう] /(n) three secondary Tokugawa branch families (Tayasu, Shimizu, and Hitotsubashi)/
御三時 [おさんじ] /(n) three-o'clock snack/
御参り [おまいり] /(n,vs) worship/shrine visit/
御山 [おやま] /(n) (hon) (pol) (fam) mountain/
御山 [みやま] /(ok) (n) (hon) (pol) (fam) mountain/
御山の大将 [おやまのたいしょう] /(n) king of the castle/king of the mountain/
御山雀 [おやますずめ] /(n) (uk) (obsc) alpine accentor (Prunella collaris)/
御産 [おさん] /(n) (pol) (giving) birth/childbirth/delivery/confinement/
御仕置き [おしおき] /(n,vs) punishment/spanking/smacking/chastisement/scolding/
御仕着せ [おしきせ] /(n) uniforms supplied to employees/an allotment/
御仕舞 [おしまい] /(n) (uk) (pol) the end/closing/being done for/
御仕舞い [おしまい] /(n) (uk) (pol) the end/closing/being done for/
御使い [おつかい] /(n) (1) (pol) errand/mission/going as envoy/(2) (pol) messenger/bearer/errand boy/errand girl/(3) (pol) (hon) familiar spirit/
御史台 [ぎょしだい] /(n) Censorate (Later Han & Song-dynasty surveillance agency)/
御姉さん [おねえさん] /(n) (1) (hon) elder sister/(2) (vocative) young lady/(3) miss (referring to a waitress, etc.)/(4) ma'am (used by geisha to refer to their superiors)/
御子 [おこ] /(n) (pol) (someone else's) child/
御子 [みこ] /(n) (1) God's son (in Christianity)/(2) child of the emperor/
御子様ランチ [おこさまランチ] /(n) kid's lunch/special lunch (meal) prepared for children at a restaurant/
御師 [おし] /(n) low-ranking Shinto priest/
御師 [おんし] /(n) low-ranking Shinto priest/
御旨 [ぎょし] /(n) (arch) thoughts/feelings/
御旨 [みむね] /(n) (obsc) God's will (in Christianity)/
御寺 [おてら] /(n) (1) (hon) (pol) temple/(2) (abbr) monk/
御寺様 [おてらさま] /(n) (hon) monk/
御璽 [ぎょじ] /(n) imperial seal/privy seal/
御自身 [ごじしん] /(n) himself/yourself/herself/
御辞儀 [おじぎ] /(n,vs) (pol) bow/bowing/
御叱り [おしかり] /(n) (hon) scolding/
御室派 [おむろは] /(n) Omuro (sect of Shingo Buddhism)/
御湿 [おしめ] /(n) (1) diaper/nappy/(2) (arch) swaddling clothes/(3) (arch) loincloth/
御社 [おんしゃ] /(n) (hon) (pol) your company/
御者 [ぎょしゃ] /(n) coachman/driver/cabman/postilion/
御邪魔 [おじゃま] /(n,vs) (pol) hindrance/intrusion (suru and itasu verb forms are used as set phrases said prior to entering or leaving someone's home)/
御邪魔します [おじゃまします] /(exp) (1) excuse me for disturbing (interrupting) you/(2) greeting used on going to someone's home/
御邪魔虫 [おじゃまむし] /(n) someone who gets in the way without serving any useful purpose/fly in the ointment/buttinsky/third wheel/
御酌 [おしゃく] /(n,vs) (1) pouring alcohol/(2) person pouring alcohol for guests or customers (typically a woman)/(3) (apprentice) geisha/dancing girl/
御釈迦 [おしゃか] /(n) (1) poorly made or ruined articles/(2) the Buddha/
御釈迦様 [おしゃかさま] /(n) Buddha/Shakyamuni/
御釈迦様 [おしゃかさん] /(n) Buddha/Shakyamuni/
御釈迦様の誕生日 [おしゃかさまのたんじょうび] /(exp) Buddha's birthday/
御主 [おぬし] /(pn,adj-no) (arch) you (when referring to one's equals or inferiors)/
御主人 [ごしゅじん] /(n) (hon) your husband/her husband/
御守 [おまもり] /(io) (n) charm/amulet/
御守 [おもり] /(n,vs) (1) babysitting/babysitter/(2) taking care of/assisting/assistant/helper/
御守り [おまもり] /(n) charm/amulet/
御守り [おもり] /(n,vs) (1) babysitting/babysitter/(2) taking care of/assisting/assistant/helper/
御手 [おて] /(n) (1) (pol) hand/arm/(2) (hon) handwriting/penmanship/(int) (3) 'shake' (command to have a dog place its paw in your hand)/
御手の物 [おてのもの] /(n) one's speciality/one's forte/one's own thing/
御手塩 [おてしょ] /(n) (fem) (obsc) small, shallow dish/
御手塩 [おてしょう] /(n) (fem) (obsc) small, shallow dish/
御手許 [おてもと] /(n) (uk) chopsticks (often written on the paper wrapper)/
御手許金 [おてもときん] /(n) the privy purse/the money used for private purposes by the members of the Imperial family/
御手玉 [おてだま] /(n) (1) beanbag/beanbag juggling game/(2) bobbling the ball (baseball)/
御手元 [おてもと] /(n) (uk) chopsticks (often written on the paper wrapper)/
御手手 [おてて] /(n) hand(s) (kid talk)/
御手柔らか [おてやわらか] /(adv) gently/mildly/
御手柔らかに [おてやわらかに] /(exp) (id) Don't be too hard on me/
御手上げ [おてあげ] /(n) all over/given in/given up hope/bring to knees/
御手数 [おてかず] /(n) (hon) trouble/bother/
御手数 [おてすう] /(n) (hon) trouble/bother/
御手盛り [おてもり] /(n) making arbitrary decisions which benefit oneself/self-approved plan/
御手洗 [みたらし] /(n) font of purifying water placed at the entrance of a shrine/
御手洗い [おてあらい] /(n) toilet/restroom/lavatory/bathroom/
御手洗川 [みたらしがわ] /(n) river in which worshippers wash their hands (and rinse their mouth) prior to entering a shrine/
御手前 [おてまえ] /(n) (1) skill/dexterity/artistry/ingenuity/(2) etiquette of tea-ceremony/
御手伝い [おてつだい] /(n,vs) (1) maid/(2) help/
御手付き [おてつき] /(n) (1) touching a wrong card/(2) making a mistress of a servant/mistress (who is one's servant)/
御手並み拝見 [おてなみはいけん] /(exp) let's see what you've got/show me what you've got/
御手並拝見 [おてなみはいけん] /(exp) let's see what you've got/show me what you've got/
御朱印 [ごしゅいん] /(n) letter bearing the shogun's scarlet seal/
御朱印船 [ごしゅいんせん] /(n) shogun-authorized trading vessel (authorised)/
御種人参 [おたねにんじん] /(n) (uk) Asian ginseng (Panax ginseng)/
御酒 [おさけ] /(n) (pol) alcohol/sake/
御酒 [ごしゅ] /(n) (pol) alcohol/sake/
御酒 [みき] /(n) sacred wine or sake/sake offered to the gods/
御酒 [みわ] /(ok) (n) sacred wine or sake/sake offered to the gods/
御呪い [おまじない] /(n) (1) (uk) good luck charm/(exp) (2) uttered when using magic/abracadabra/presto/
御愁傷様でございます [ごしゅうしょうさまでございます] /(exp) my condolences/
御終い [おしまい] /(n) (uk) (pol) the end/closing/being done for/
御重 [おじゅう] /(n) multi-tiered food box/
御祝 [おいわい] /(n,vs) (hon) congratulation/congratulations/celebration/festival/congratulatory gift/
御祝い [おいわい] /(n,vs) (hon) congratulation/congratulations/celebration/festival/congratulatory gift/
御出で [おいで] /(n) (1) (uk) coming/going/being (somewhere)/(exp) (2) (col) (abbr) come (used as an imperative, usu. to children and one's inferiors)/go/stay/
御出でなさい [おいでなさい] /(exp) (1) (uk) (hon) (used as a polite imperative) come/go/stay/(2) welcome!/
御出でなさる [おいでなさる] /(v5aru) (1) (uk) (hon) to come/to go/to be (somewhere)/(2) (after the -te form of a verb) -ing/
御出でになる [おいでになる] /(v5r) (1) (uk) (hon) to be/(2) to come/(3) to go/
御出まし [おでまし] /(n) appearance/presence/
御出座し [おでまし] /(n) appearance/presence/
御出木偶 [おででこ] /(n) Edo period doll/
御出来 [おでき] /(n) (uk) boil/blister/pimple/
御巡りさん [おまわりさん] /(n) (fam) policeman/
御所 [ごしょ] /(n) old imperial palace/(P)/
御所車 [ごしょぐるま] /(n) an ox-drawn coach/
御召し [おめし] /(n) (1) (hon) summoning/calling/riding/wearing/dressing/clothing/(2) (abbr) (high-quality) silk crepe (fabric)/
御召し縮緬 [おめしちりめん] /(n) (high-quality) silk crepe (fabric)/
御召し替え [おめしかえ] /(n) (hon) changing one's clothes/a change of clothes/
御召し物 [おめしもの] /(n) (pol) clothing/
御召縮緬 [おめしちりめん] /(n) (high-quality) silk crepe (fabric)/
御召列車 [おめしれっしゃ] /(n) Imperial train/royal train/
御奨め [おすすめ] /(n,vs) recommendation/advice/suggestion/encouragement/
御焦げ [おこげ] /(n) burnt rice/scorched rice/
御笑い [おわらい] /(n) comical (story, song)/comic/
御笑納 [ごしょうのう] /(n,vs) (hum) please accept (this)/used to refer to another's acceptance of one's present/
御上 [おかみ] /(n) (1) (hon) Emperor/(2) (hon) authorities/government/(3) term used to refer to a woman running a restaurant, inn, etc./landlady/(4) (hon) your wife/his wife/madam/
御上さん [おかみさん] /(n) (uk) missus (orig. honorific, now familiar)/missis/
御嬢 [おじょう] /(n) (hon) (someone else's) daughter/
御嬢さん [おじょうさん] /(n) (1) (hon) daughter/(2) young lady/
御嬢様 [おじょうさま] /(n) (term of respect for) another's daughter/daughter of a high-class family/
御情け [おなさけ] /(n) (1) pity/(2) affection/
御錠口 [おじょうぐち] /(n) door separating the inner castle from the outer castle (Edo period)/
御飾り [おかざり] /(n) decorations/offerings/mere window dressing/
御色直し [おいろなおし] /(n,vs) changing one's dress (e.g. at the wedding reception)/
御食い初め [おくいぞめ] /(n) weaning ceremony/
御食事処 [おしょくじどころ] /(n) (Japanese) restaurant/
御食津神 [さぐじ] /(n) (1) any god of foodstuffs/(2) Uka-no-Mitama (god of rice)/
御食津神 [みけつかみ] /(n) (1) any god of foodstuffs/(2) Uka-no-Mitama (god of rice)/
御寝小 [おねしょ] /(n,vs) (uk) (fem) (chn) bed-wetting/
御心 [みこころ] /(n) (1) respectful term for another's spirit/(2) God's heart or spirit (in Christianity)/Lord's will/
御心配なく [ごしんぱいなく] /(exp) don't worry/never mind/
御新香 [おしんこ] /(n) pickled vegetables/pickles/
御新造 [ごしんぞ] /(n) wife (esp. of a prominent, recently married man)/
御新造 [ごしんぞう] /(n) wife (esp. of a prominent, recently married man)/
御真影 [ごしんえい] /(n) an imperial portrait/
御神火 [ごじんか] /(n) deified volcano or volcanic eruption/
御神楽 [みかぐら] /(n) kagura performed at the imperial palace/
御神酒 [おみき] /(n) sacred wine or sake/sake offered to the gods/
御神体 [ごしんたい] /(n) shintai/object of worship housed in a Shinto shrine and believed to contain the spirit of a deity/
御神渡り [おみわたり] /(n) cracks that form in the ice on Lake Suwa/
御神灯 [ごしんとう] /(n) (1) light used as a religious offering/(2) paper lantern (hung up near the door of performers and geishas)/
御神燈 [ごしんとう] /(oK) (n) (1) light used as a religious offering/(2) paper lantern (hung up near the door of performers and geishas)/
御神輿 [おみこし] /(n) (1) (pol) portable shrine (carried in festivals)/(2) (uk) buttocks/lower back/waist/hips/
御神籤 [おみくじ] /(n) (uk) written oracle/fortune slip/
御親拝 [ごしんぱい] /(n) (hon) worship by the emperor at a shrine/
御身 [おんみ] /(pn,adj-no) (polite term for) the body/you (him)/
御針 [おはり] /(n) (1) needlework/sewing/(2) seamstress/
御針子 [おはりこ] /(n) seamstress/
御人 [ごじん] /(iK) (n) (hon) personage/
御仁 [ごじん] /(n) (hon) personage/
御水取り [おみずとり] /(n) water-drawing ceremony (Toudaiji)/rite of drawing sacred water/
御睡 [おねむ] /(n) (uk) (chn) sleeping/being sleepy/
御数 [おかず] /(n) (1) (uk) accompaniment for rice dishes/side dish/(2) food for thought (esp. in the context of conversation, or material for assisting arousal during masturbation)/(P)/
御裾分け [おすそわけ] /(n,vs) sharing with others what has been given to you/sharing a portion of the profit with others/
御澄まし [おすまし] /(adj-na,n) prim and proper girl/
御世 [みよ] /(n) imperial reign/
御世辞 [おせじ] /(n) flattery/compliment/
御世話 [おせわ] /(n) help/aid/assistance/
御世話になる [おせわになる] /(exp,v5r) to receive favor (favour)/to be much obliged to someone/to be indebted/to be grateful/
御世話をする [おせわをする] /(exp,vs-i) to take care of/
御世話様 [おせわさま] /(exp) thanks for taking care of me/thanks for taking care of my loved one/
御成 [おなり] /(n) going out (of a nobleman, etc.)/visiting/
御成り [おなり] /(n) going out (of a nobleman, etc.)/visiting/
御成り道 [おなりみち] /(n) road for persons of high rank/
御成功 [ごせいこう] /(n) your success/
御成道 [おなりみち] /(n) road for persons of high rank/
御成敗式目 [ごせいばいしきもく] /(n) Formulary of Adjudications (51-article Joei legal code)/
御成門 [おなりもん] /(n) gate for important persons/gate of honor/
御生 [おなま] /(n,adj-na) (fem) impudence/sauciness/
御生憎様 [おあいにくさま] /(adj-na,int,n) that's too bad (ironical)/unfortunate person (often a gleeful "too bad for you!")/
御声掛かり [おこえがかり] /(n) a recommendation/an order/
御製 [ぎょせい] /(n) poem or song written by the emperor/
御節 [おせち] /(n) food served during the New Year's Holidays/
御節介 [おせっかい] /(adj-na,n) meddling/meddlesomeness/nosiness/interference/officiousness/
御節料理 [おせちりょうり] /(n) food served during the New Year's Holidays/
御先 [おさき] /(n) going before/the future/
御先 [おんさき] /(n) (1) (arch) leader of a nobleman's cavalcade/
御先 [みさき] /(n) (1) (arch) leader of a nobleman's cavalcade/(2) animal messenger of the gods (i.e. a fox)/
御先真っ暗 [おさきまっくら] /(adj-na) (of the future) very bleak/dim/
御先棒 [おさきぼう] /(n) a person whose services are at the disposal of another/
御煎 [おせん] /(n) var. of Japanese cracker/
御薦 [おこも] /(n) (arch) beggar/
御薦め [おすすめ] /(n,vs) recommendation/advice/suggestion/encouragement/
御前 [おまい] /(pn,adj-no) (1) (fam) (male) you (formerly honorific, now sometimes derog. term referring to an equal or inferior)/
御前 [おまえ] /(pn,adj-no) (1) (fam) (male) you (formerly honorific, now sometimes derog. term referring to an equal or inferior)/(2) presence (of a god, nobleman, etc.)/(P)/
御前 [おめえ] /(pn,adj-no) (1) (fam) (male) you (formerly honorific, now sometimes derog. term referring to an equal or inferior)/
御前 [おんさき] /(n) (1) (arch) leader of a nobleman's cavalcade/
御前 [おんまえ] /(n) (fem) (pol) word used after an addressee's name in a formal letter/
御前 [ごぜ] /(n) (1) presence (of a nobleman, the emperor, etc.)/(2) outrider (person riding horseback in the lead position of a cavalcade)/(n,n-suf) (3) My Lord/My Lady/
御前 [ごぜん] /(n) (1) presence (of a nobleman, the emperor, etc.)/(2) outrider (person riding horseback in the lead position of a cavalcade)/(n,n-suf) (3) My Lord/My Lady/
御前 [みさき] /(n) (1) (arch) leader of a nobleman's cavalcade/(2) animal messenger of the gods (i.e. a fox)/
御前 [みまえ] /(n) (1) presence (of a nobleman, the emperor, etc.)/(2) outrider (person riding horseback in the lead position of a cavalcade)/(n,n-suf) (3) My Lord/My Lady/
御前さま [おまえさま] /(n) (hon) (arch) you/
御前さん [おまえさん] /(n) (1) you/(2) my dear/(3) hey/
御前を退く [ごぜんをのく] /(exp,v5k) to withdraw from the presence (of the Emperor)/
御前会議 [ごぜんかいぎ] /(n) Imperial Council/
御前掛かり [ごぜんがかり] /(n) ring entering ceremony in presence of the emperor or crown prince (sumo)/
御前試合 [ごぜんじあい] /(n) game (contest) held in the presence of a lord (daimyo, shogun)/
御前方 [おまえがた] /(n) (arch) (hon) you (plural)/
御前様 [おまえさま] /(n) (hon) (arch) you/
御前様 [ごぜんさま] /(n) (1) (arch) (hon) person of high rank/nobleman/(2) wife of a nobleman/
御膳 [ごぜん] /(n) (hon) meal/emperor's meal/
御膳立て [おぜんだて] /(n,vs) setting the table/preparation/
御祖師様 [おそしさま] /(n) the Founder of the (our) sect (used especially in the Nichiren sect of Buddhism, referring to Nichiren)/
御祖父さん [おじいさん] /(n) (1) grandfather/(2) male senior-citizen/
御祖母さん [おばあさん] /(n) (1) grandmother/(2) female senior-citizen/
御祖母ちゃん [おばあちゃん] /(n) (uk) (fam) granny/grandma/gran/female senior-citizen/
御粗末 [おそまつ] /(adj-na) poor/lame/ill-prepared/
御倉 [おくら] /(n) (1) shelving (a play, movie, etc.)/closing down/cancelling/canceling/the shelf/(2) rice storehouse of the Edo shogunate/
御掻 [おかき] /(n) (uk) mochi cut thin, dried, and baked or fried/
御早う [おはよう] /(int) (uk) (abbr) Good morning/
御曹司 [おんぞうし] /(n) son of a distinguished family/son of a noble/
御曹子 [おんぞうし] /(n) son of a distinguished family/son of a noble/
御草々 [おそうそう] /(adj-na) neglectful (i.e. in the treatment of one's guests)/
御草々様 [おそうそうさま] /(adj-na) (pol) neglectful (i.e. in the treatment of one's guests)/
御草草 [おそうそう] /(adj-na) neglectful (i.e. in the treatment of one's guests)/
御草草様 [おそうそうさま] /(adj-na) (pol) neglectful (i.e. in the treatment of one's guests)/
御蔵 [おくら] /(n) (1) shelving (a play, movie, etc.)/closing down/cancelling/canceling/the shelf/(2) rice storehouse of the Edo shogunate/
御造り [おつくり] /(n) (1) make-up/(2) (ksb:) sashimi/
御足労 [ごそくろう] /(n) (polite term for) inviting another to one's home/
御揃い [おそろい] /(adj-no) same/matching/going together/
御存じ [ごぞんじ] /(n) (1) (hon) knowing/(2) (an) acquaintance/
御存じの方 [ごぞんじのかた] /(n) (1) (hon) your acquaintance/(2) (hon) people who know/
御存知 [ごぞんじ] /(ateji) (n) (1) (hon) knowing/(2) (an) acquaintance/
御存知なのか [ごぞんじなのか] /(exp) do you know/perhaps you know/I wonder if you know/
御孫さん [おまごさん] /(n) (hon) grandchild/
御多分 [ごたぶん] /(n) common/in the usual course/
御多分にもれず [ごたぶんにもれず] /(exp) as is usual with/in common with/
御多分に洩れず [ごたぶんにもれず] /(exp) as is usual with/in common with/
御多分に漏れず [ごたぶんにもれず] /(exp) as is usual with/in common with/
御多忙中 [ごたぼうちゅう] /(exp) in the midst of your work (often used as a formal phrase in business letters, etc.)/
御太鼓 [おたいこ] /(n) (abbr) very common way of tying a woman's kimono sash/
御太鼓結び [おたいこむすび] /(n) very common way of tying a woman's kimono sash/
御陀仏 [おだぶつ] /(n) dying/ruining oneself/
御帯料 [おんおびりょう] /(n) betrothal money given from man to woman/
御待 [おまち] /(n,n-suf) waiting/waiting time/
御待ち遠様 [おまちどおさま] /(exp) I'm sorry to have kept you waiting/
御待ち兼ね [おまちかね] /(n,adj-no) long-waited-for/
御袋 [おふくろ] /(n) (col) one's mother/
御貸人 [ごしにん] /(n) exported teachers during Meiji period/
御代 [みよ] /(n) imperial reign/
御代り [おかわり] /(n,vs) (1) second helping/another cup/seconds/(int) (2) command to have dog place its second paw in one's hand/
御代わり [おかわり] /(n,vs) (1) second helping/another cup/seconds/(int) (2) command to have dog place its second paw in one's hand/
御台 [みだい] /(n) wife of a shogun or a highest-ranking nobleman/
御台所 [みだいどころ] /(n) wife of a shogun or a highest-ranking nobleman/
御大 [おんたい] /(n) boss/governor/
御大層 [ごたいそう] /(adj-na,n) exaggerated story/
御題 [ぎょだい] /(n) theme chosen for an imperial poetry contest/
御題目 [おだいもく] /(n) (1) (pol) Nichiren chant/(2) (an empty) slogan/
御宅 [おたく] /(n) (1) (hon) your house/your home/your family/(2) (hon) your husband/(3) (hon) your organization/(pn,adj-no) (4) (hon) you (referring to someone of equal status with whom one is not especially close)/
御託 [ごたく] /(n) tedious talk/impertinent talk/repetitious talk/saucy speech/pretentious statement/
御託宣 [ごたくせん] /(n) oracle/
御達し [おたっし] /(n) notice or order handed down from above/announcement/notification/
御誕生会 [おたんじょうかい] /(n) birthday party/
御誕生日おめでとうございます [おたんじょうびおめでとうございます] /(exp) Happy Birthday/
御弾き [おはじき] /(n) (1) children's game similar to marbles, played with coin-shaped coloured glass/(2) tiddlywink/counter/
御断わり [おことわり] /(n) (pol) declining/nonacceptance/declination/refusal/rejection/turndown/
御談義 [おだんぎ] /(n) lecture (i.e. an admonishment)/sermon/
御知らせ [おしらせ] /(n,vs) notice/notification/
御馳走 [ごちそう] /(n) (1) feast/treating (someone)/(vs) (2) to treat (someone, e.g. to a meal)/
御馳走様 [ごちそうさま] /(int) (1) word used after one has been treated (esp. used after a meal)/(2) used after hearing something lovey-dovey/
御馳走様でした [ごちそうさまでした] /(exp) said after meals/
御茶 [おちゃ] /(n) (1) (pol) tea (usu. green)/(2) tea break (at work)/(3) tea ceremony/
御茶っ葉 [おちゃっぱ] /(n) tea leaves/
御茶の子 [おちゃのこ] /(n) a cinch/
御茶請け [おちゃうけ] /(n) tea-cake/
御中 [おなか] /(n) stomach/
御中 [おんちゅう] /(n-suf) and Company/Messrs/for the attention of .../(P)/
御中元 [おちゅうげん] /(n) Bon Festival gifts/
御昼 [おひる] /(n-adv,n) (pol) lunch/noon/
御注意 [ごちゅうい] /(n) caution/being careful/attention (heed)/warning/advice/
御猪口 [おちょこ] /(n) (1) (uk) small cup/sake cup/(2) cup-shaped/
御喋り [おしゃべり] /(adj-na,n,adj-no,vs) (uk) chattering/talk/idle talk/chat/chitchat/gossip/chatty/talkative/chatterbox/blabbermouth/
御帳台 [みちょうだい] /(n) curtained sleeping platform in shinden-style residences (used by people of high rank)/
御調子者 [おちょうしもの] /(n,adj-no) flip/luck-pusher/frivolous person/person who readily chimes in with others/person who gets carried away easily/
御珍々 [おちんちん] /(adj-na,n) (col) (uk) penis (child)/
御津柏 [みつのかしわ] /(n) (arch) leaves used for serving or offering sake, rice, etc./
御津柏 [みつのがしわ] /(n) (arch) leaves used for serving or offering sake, rice, etc./
御津柏 [みづのかしわ] /(n) (arch) leaves used for serving or offering sake, rice, etc./
御通し [おとおし] /(n) appetizer/appetiser/
御通じ [おつうじ] /(n) (pol) bowel movement/evacuation/
御通夜 [おつや] /(n) (pol) all-night vigil over a body/wake/
御釣 [おつり] /(n) (pol) change (i.e. money)/balance/
御釣り [おつり] /(n) (pol) change (i.e. money)/balance/
御定まり [おさだまり] /(n) usual/normal/stereotyped/
御庭番衆 [おにわばんしゅう] /(n) Oniwaban/the Shogunate's "guard of the inner garden"/
御摘まみ [おつまみ] /(n) snacks to go with alcohol/
御摘み [おつまみ] /(n) snacks to go with alcohol/
御天気 [おてんき] /(n) (1) (pol) weather/(2) temper/mood/
御天気屋 [おてんきや] /(n) moody person/temperamental person/fickle person/
御天道様 [おてんとさま] /(n) the sun/
御店 [おたな] /(n) (1) merchant's home (esp. used by apprentices, etc.)/(2) (your) rental home/
御転婆 [おてんば] /(adj-na,n) tomboy (dut: ontembaar)/
御殿 [ごてん] /(n) palace/court/(P)/
御殿女中 [ごてんじょちゅう] /(n) waiting woman in a shogun or daimyo's palace/
御田 [おでん] /(n) (uk) oden (various ingredients, such as egg, daikon, or konnyaku stewed in soy-flavored dashi)/
御田屋 [おでんや] /(n) oden vendor/
御田植え祭 [おたうえまつり] /(n) (1) shrine ritual held with the first two months of the year to forecast (or pray for) a succesful harvest/(2) seasonal planting of rice on a field affiliated with a shrine/
御田植え祭り [おたうえまつり] /(n) (1) shrine ritual held with the first two months of the year to forecast (or pray for) a succesful harvest/(2) seasonal planting of rice on a field affiliated with a shrine/
御徒面子 [おかちめんこ] /(n) (uk) (woman's) ugly or homely face/old bag/
御都合主義 [ごつごうしゅぎ] /(n) opportunism/double standards/timeserving/expediency/
御都合主義者 [ごつごうしゅぎしゃ] /(n) opportunist/
御土産 [おみやげ] /(n) (pol) present/souvenir/
御土産話 [おみやげばなし] /(n) trip story/vacation story/
御奴 [みやつこ] /(n) (arch) servant of the imperial court/
御奴 [みやづこ] /(n) (arch) servant of the imperial court/
御湯 [おゆ] /(n) (1) (pol) hot water/(2) (pol) hot bath/
御灯 [ごとう] /(n) lighted lamp (or candle, etc.) provided as a religious offering/
御灯 [みあかし] /(n) lighted lamp (or candle, etc.) provided as a religious offering/
御灯 [みとう] /(n) lighted lamp (or candle, etc.) provided as a religious offering/
御灯明 [みあかし] /(n) lighted lamp (or candle, etc.) provided as a religious offering/
御当地 [ごとうち] /(n) where one comes from/here/
御当地相撲 [ごとうちずもう] /(n) local sumo wrestler/crowd favourite/crowd favorite/
御頭付き [おかしらつき] /(iK) (n) fish served whole (complete with head and tail)/
御堂 [みどう] /(n) (1) enshrinement hall (of a buddha)/temple/(2) cathedral (esp. Catholic)/
御凸 [おでこ] /(n) (sens) brow/forehead/
御内 [おうち] /(n) (pol) your home/your group/their home/
御内儀さん [おかみさん] /(n) (uk) missus (orig. honorific, now familiar)/missis/
御鍋 [おなべ] /(n) (1) (pol) pot/(2) (arch) typical name for a female servant in the Edo-period/(3) working at night/(4) (uk) (sl) female with symptoms of gender identity disorder (i.e. a transvestite)/
御馴染み [おなじみ] /(adj-no,n) (pol) familiar/well-known/regular (e.g. customer)/old stand-by/
御難 [ごなん] /(adj-na,n) misfortune/calamity/
御日様 [おひさま] /(n) the sun/
御忍び [おしのび] /(n) (1) (abbr) travelling incognito (traveling)/(2) special palanquin for carrying a daimyo or his wife incognito/
御忍び駕籠 [おしのびかご] /(n) special palanquin for carrying a daimyo or his wife incognito/
御年 [おんとし] /(n) (hon) age/
御年玉 [おとしだま] /(n) New Year's gift (usu. money given to a child by relatives and visitors)/
御念 [ごねん] /(n) worry/care/consideration/
御捻り [おひねり] /(n) wrapped offering (of money)/
御破算 [ごはさん] /(n) starting afresh/
御婆さん [おばあさん] /(n) (1) grandmother/(2) female senior-citizen/
御婆ちゃん [おばあちゃん] /(n) (uk) (fam) granny/grandma/gran/female senior-citizen/
御拝 [ごはい] /(n) pent roof built atop the stairs of a shrine or temple/
御買い上げ [おかいあげ] /(n) (hon) buying/purchasing/
御萩 [おはぎ] /(n) rice ball coated with sweetened red beans, soybean flour or sesame/
御薄 [おうす] /(n) weak matcha/
御箱 [おはこ] /(n) (1) one's favourite stunt (favorite)/one's specialty/
御八つ [おやつ] /(n) (1) (uk) between meal snack/(2) mid-afternoon (around 3 o'clock) snack/afternoon refreshment/afternoon tea/
御鉢が回る [おはちがまわる] /(exp) (id) It's my turn/
御髪 [おぐし] /(n) (hon) hair/
御髪 [みぐし] /(n) (hon) hair/
御飯 [おまんま] /(n) (1) cooked rice/(2) meal/
御飯 [ごはん] /(n) (1) cooked rice/(2) meal/(P)/
御飯時 [ごはんどき] /(n) mealtime/
御飯蒸し [ごはんむし] /(n) a rice steamer/
御晩菜 [おばんさい] /(n) (uk) light Kyoto-style home cooking with boiled vegetables and marinated food, also now served in restaurants/
御晩菜 [おばんざい] /(n) (uk) light Kyoto-style home cooking with boiled vegetables and marinated food, also now served in restaurants/
御番菜 [おばんさい] /(n) (uk) light Kyoto-style home cooking with boiled vegetables and marinated food, also now served in restaurants/
御番菜 [おばんざい] /(n) (uk) light Kyoto-style home cooking with boiled vegetables and marinated food, also now served in restaurants/
御披露目 [おひろめ] /(n,vs) debut/
御疲れ様 [おつかれさま] /(exp) (1) thank you/many thanks/much appreciated/(2) that's enough for today/
御膝下 [おひざもと] /(n) home territory of a powerful figure/Imperial Court/businessman's turf/Shogun's headquarters/
御膝許 [おひざもと] /(n) home territory of a powerful figure/Imperial Court/businessman's turf/Shogun's headquarters/
御膝元 [おひざもと] /(n) home territory of a powerful figure/Imperial Court/businessman's turf/Shogun's headquarters/
御姫様 [おひめさま] /(n) spoiled girl/hothouse flower/princess/
御姫様抱っこ [おひめさまだっこ] /(n,vs) (col) carrying a person in one's arms/
御百度 [おひゃくど] /(n) hundred times worship (e.g. walking back and forth a hundred times before a shrine offering a prayer each time)/
御百度を踏む [おひゃくどをふむ] /(exp,v5m) (obs) to visit repeatedly (to request)/
御不浄 [ごふじょう] /(n) (pol) bathroom/
御付き [おつき] /(n) retainer/attendant/escort/
御府内 [ごふない] /(n) within the town limits of Edo/
御父さん [おとうさん] /(n) (hon) father/dad/papa/pa/pop/daddy/dada/
御父つぁん [おとっつぁん] /(n) (uk) father (term commonly used until the end of the Meiji period)/Dad/
御父つあん [おとっつあん] /(n) (uk) father (term commonly used until the end of the Meiji period)/Dad/
御父様 [おとうさま] /(n) (hon) father/
御父様 [おもうさま] /(n) (hon) father (used by children of court nobles and noble families)/
御符 [ごふ] /(n) talisman/amulet/charm/
御符 [ごふう] /(n) talisman/amulet/charm/
御負け [おまけ] /(n,vs) (1) freebie (e.g. with a purchase)/something additional/bonus/an extra/(2) (on the spot) price reduction/(3) exaggeration/
御負けに [おまけに] /(conj,exp) to make matters worse/besides/what's more/in addition/on top of that/
御部屋 [おへや] /(n) (hon) (pol) room/
御封 [ごふ] /(n) talisman/amulet/charm/
御封 [ごふう] /(n) talisman/amulet/charm/
御風呂 [おふろ] /(n) bath/
御腹 [おなか] /(n) stomach/
御払い箱 [おはらいばこ] /(n) discarding/firing (an employee)/
御払い物 [おはらいもの] /(n) goods to offer the junk dealer/
御仏前 [ごぶつぜん] /(n) (1) before a Buddha or a mortuary tablet/(2) offerings made to Buddha or placed on a mortuary tablet/
御物 [ぎょぶつ] /(n) Imperial treasures/
御分 [ごぶん] /(pn) (arch) you/
御幣 [おんべ] /(n) (hon) staff with plaited paper streamers used in Shinto/
御幣 [おんべい] /(n) (hon) staff with plaited paper streamers used in Shinto/
御幣 [ごへい] /(n) (hon) staff with plaited paper streamers used in Shinto/
御幣担ぎ [ごへいかつぎ] /(n) superstition/superstitious person/
御平に [おたいらに] /(exp) please make yourself comfortable/please relax your sitting position/
御平らに [おたいらに] /(exp) please make yourself comfortable/please relax your sitting position/
御辺 [おんあたり] /(n) (arch) (pol) you (usu. used by samurai to their equals or people of slightly higher standing)/
御辺 [ごへん] /(n) (arch) (pol) you (usu. used by samurai to their equals or people of slightly higher standing)/
御返し [おかえし] /(n,vs) (1) return gift/return favour (favor)/(2) revenge/(3) change (in a cash transaction)/
御鞭撻 [ごべんたつ] /(n,vs) encouragement/enthusiasm/urging/
御母 [おかあ] /(n) (pol) mother/
御母 [おかん] /(n) (pol) mother/
御母 [みおも] /(ok) (n) (pol) mother/
御母さん [おかあさん] /(n) (hon) mother/
御母様 [おかあさま] /(n) (hon) mother/
御母様 [おたあさま] /(n) (hon) mother (used by children of court nobles and noble families)/
御母様 [おたたさま] /(n) (hon) mother (used by children of court nobles and noble families)/
御報せ [おしらせ] /(n,vs) notice/notification/
御宝 [おたから] /(n,adj-no) (1) (pol) treasure/(2) picture of a treasure ship/(3) money/cash/
御方 [おかた] /(n) this lady or gentleman/
御方 [みかた] /(n,vs,adj-no) friend/ally/supporter/
御方便 [ごほうべん] /(n) (1) (Buddh) (hon) upaya (skillful means, methods of teaching)/(2) convenience/suitability/availability/
御法度 [ごはっと] /(n) contraband/taboo/strictly forbidden/
御坊 [おんぼう] /(n) (1) cemetery guard/(2) crematorium worker/
御坊 [ごぼう] /(n) (1) (hon) temple/monk's quarters/(2) (hon) monk/
御坊さん [おぼうさん] /(n) Buddhist priest/monk/
御坊ちゃん [おぼっちゃん] /(n) (1) (hon) son (of others)/(2) young master/(3) green young man from a well-to-do family/
御坊っちゃん [おぼっちゃん] /(n) (1) (hon) son (of others)/(2) young master/(3) green young man from a well-to-do family/
御墨付き [おすみつき] /(n) (1) handwriting/autograph/authorization/authorisation/(2) certificate/certified document/paper with signature of the shogun or lord/
御本 [ごほん] /(n) (hon) (pol) book/
御本尊 [ごほんぞん] /(n) (1) principal object of worship at a temple (usu. a buddha or bodhisattva)/principal image/idol/(2) the man himself/the person at the heart of the matter/
御盆 [おぼん] /(n) O-Bon/Bon Festival/Lantern Festival/Festival of the Dead/
御味御汁 [おみおつけ] /(n) (pol) miso soup/
御味御付 [おみおつけ] /(n) (pol) miso soup/
御眠 [おねむ] /(n) (uk) (chn) sleeping/being sleepy/
御無沙汰 [ごぶさた] /(n,vs) not writing or contacting for a while/neglecting (failing) to write (call, visit, etc.)/long silence/(P)/
御無理御尤も [ごむりごもっとも] /(exp) you are unquestionably right/
御名 [ぎょめい] /(n) name of the emperor/
御名 [みな] /(n) name of God (esp. in Christian contexts)/name of Christ/
御名御璽 [ぎょめいぎょじ] /(n) the imperial or privy seal/
御明かし [みあかし] /(n) lighted lamp (or candle, etc.) provided as a religious offering/
御迷惑 [ごめいわく] /(n,adj-na) trouble/bother/annoyance/
御免 [ごめん] /(int,n) (uk) your pardon/declining (something)/dismissal/permission/(P)/
御免あそばせ [ごめんあそばせ] /(exp) (uk) (pol) (fem) I beg your pardon/
御免ください [ごめんください] /(exp) (1) may I come in?/(2) (pol) please forgive me/I'm sorry/
御免なさい [ごめんなさい] /(exp) I beg your pardon/excuse me/
御免を蒙る [ごめんをこうむる] /(exp,v5r) (1) to receive permission/(2) to leave (with someone's permission)/to retire/(3) to refuse/to beg off doing/
御免下さい [ごめんください] /(exp) (1) may I come in?/(2) (pol) please forgive me/I'm sorry/
御免被る [ごめんこうむる] /(exp,v5r) (1) to receive permission/(2) to leave (with someone's permission)/to retire/(3) to refuse/to beg off doing/
御免蒙る [ごめんこうむる] /(exp,v5r) (1) to receive permission/(2) to leave (with someone's permission)/to retire/(3) to refuse/to beg off doing/
御面相 [ごめんそう] /(n) frightful face/
御毛々 [おけけ] /(n) (sl) (vulg) pubic hair/
御毛毛 [おけけ] /(n) (sl) (vulg) pubic hair/
御目 [おめ] /(n) (1) (hon) eye/eyes/(2) sight/vision/looking/
御目々 [おめめ] /(n) (sl) eyes (kid talk)/
御目にかかる [おめにかかる] /(exp,v5r) (1) (hum) to meet (someone of higher status)/(2) (arch) to be recognized (esp. by someone of higher status)/to be visible/to be seen/to be noticed/
御目にかける [おめにかける] /(exp,v1) (hum) to show/
御目に掛かる [おめにかかる] /(exp,v5r) (1) (hum) to meet (someone of higher status)/(2) (arch) to be recognized (esp. by someone of higher status)/to be visible/to be seen/to be noticed/
御目に掛ける [おめにかける] /(exp,v1) (hum) to show/
御目に留まる [おめにとまる] /(exp,v5r) to be recognized (by someone of higher status)/to be noticed/to get attention/
御目玉 [おめだま] /(n) a scolding/
御目見 [おめみえ] /(n,vs) (1) (the privilege to have) an audience (with one's lord, a dignitary, etc.)/interview (with one's superior)/(2) one's debut (first) appearance/debut (of a new product, work of art, actor, etc.)/(3) trial service (of a servant)/
御目見得 [おめみえ] /(n,vs) (1) (the privilege to have) an audience (with one's lord, a dignitary, etc.)/interview (with one's superior)/(2) one's debut (first) appearance/debut (of a new product, work of art, actor, etc.)/(3) trial service (of a servant)/
御目出度い [おめでたい] /(ateji) (n) (1) (uk) (pol) special/auspicious/happy/(2) naive/inncocent/good-natured/
御目出度う [おめでとう] /(ateji) (int) (uk) congratulations!/an auspicious occasion!/
御目出度う御座います [おめでとうございます] /(exp) (uk) congratulations/
御目出糖 [おめでとう] /(uK) (n) Japanese sweets made with glutinous rice and azuki bean paste/
御目文字 [おめもじ] /(n,vs) personal meeting (esp. used by females)/
御目目 [おめめ] /(n) (sl) eyes (kid talk)/
御尤も [ごもっとも] /(exp) (1) You are quite right/(adj-na,adv) (2) (pol) plausible/natural/
御紋 [ごもん] /(n) crest of a noble family/
御門 [みかど] /(n) (1) emperor (of Japan)/mikado/(2) (the gates of an) imperial residence/
御門違い [おかどちがい] /(exp) barking up the wrong tree/calling at the wrong house/
御爺さん [おじいさん] /(n) (1) grandfather/(2) male senior-citizen/
御厄 [おやく] /(ok) (n,adj-no) smallpox/variola/
御役御免 [おやくごめん] /(n) dismissal/firing/retirement/being relieved from one's post/being relieved of a burden/
御役所仕事 [おやくしょしごと] /(n) bureaucratic routine/red tape/
御役目 [おやくめ] /(n) (public) duty/
御遊 [ぎょゆう] /(n) music playing in imperial court/
御輿 [みこし] /(n) (1) portable shrine (carried in festivals)/(2) (hon) palanquin/(3) (uk) buttocks/lower back/waist/hips/(P)/
御輿を据える [みこしをすえる] /(exp,v1) to ensconce oneself (e.g. in a chair)/to settle oneself down/to plant oneself/
御輿を担ぐ [みこしをかつぐ] /(exp,v5g) (1) to wheedle a person into doing something/(2) to carry a portable shrine/
御預けを食う [おあずけをくう] /(exp,v5u) to have to wait (for the realization of something hoped for)/to be forced to postpone/
御預けを食らう [おあずけをくらう] /(exp,v5u) to have to wait (for the realization of something hoped for)/to be forced to postpone/
御用 [ごよう] /(n) your order/your business/official business/
御用の方 [ごようのかた] /(n) customer/guest/
御用学者 [ごようがくしゃ] /(n) a scholar beholden to the government/
御用始め [ごようはじめ] /(n) re-opening of offices in New Year (usu. Jan. 4)/
御用商人 [ごようしょうにん] /(n) a purveyor to the government/
御用新聞 [ごようしんぶん] /(n) a government newspaper or organ/
御用人 [ごようにん] /(n) (hon) manager/steward/person next in rank to the chief retainer and in charge of general management and accounting in a samurai family (Edo period)/
御用組合 [ごようくみあい] /(n) a company union/
御用達 [ごようたし] /(n) purveyor to the government/purveyor to the Imperial Household/
御用達 [ごようたつ] /(n) purveyor to the government/purveyor to the Imperial Household/
御用達 [ごようだち] /(n) purveyor to the government/purveyor to the Imperial Household/
御用達 [ごようだつ] /(n) purveyor to the government/purveyor to the Imperial Household/
御用邸 [ごようてい] /(n) imperial villa/(P)/
御用納め [ごようおさめ] /(n) year-end office closing (usu. Dec. 28)/
御用繁多 [ごようはんた] /(n,adj-na) being busy with many things/extreme busyness due to pressure of business (often used humorously)/
御用部屋 [ごようべや] /(n) room in Edo castle where the shogun's council of elders attended to governmental affairs/
御用聞き [ごようきき] /(n) (1) the rounds of tradesmen going door to door/(2) route man/door-to-door tradesman/order taker/order-taking/(3) thief taker/secret policeman/
御来迎 [ごらいごう] /(n) Brocken spectre/Brocken bow/
御来光 [ごらいこう] /(n) sunrise viewed from the top of a high mountain/the rising sun/
御覧 [ごらん] /(int) (1) (abbr) (after the -te form of a verb) (please) try to/(2) (abbr) (please) look/(n) (3) (hon) seeing/looking/watching/
御覧ください [ごらんください] /(exp) (uk) (hon) please look at it/
御覧なさい [ごらんなさい] /(exp) (1) (hon) (pol) (please) look/(2) see (used to emphasize that an earlier prediction was correct)/(aux-v) (3) (hon) (pol) (after the -te form of a verb) (please) try to do/
御覧なさる [ごらんなさる] /(v5aru) (hon) to see/to look/to watch/
御覧になる [ごらんになる] /(exp,v5r) (1) (hon) to see/to look/to watch/(2) (after the -te form of a verb) try to/
御覧に成る [ごらんになる] /(exp,v5r) (1) (hon) to see/to look/to watch/(2) (after the -te form of a verb) try to/
御覧に入れる [ごらんにいれる] /(exp,v1) (hum) to show/to display/
御覧下さい [ごらんください] /(exp) (uk) (hon) please look at it/
御利益 [ごりやく] /(n) (1) grace (of God)/divine favour/blessing/miracle/(2) benefit/(3) efficacy/
御里 [おさと] /(n) (1) (hon) (pol) one's parents' home/(2) one's origins/one's upbringing/one's past/
御里が知れる [おさとがしれる] /(exp,v1) to reveal one's upbringing (through one's words, actions, etc.)/to betray one's origin/to give oneself away/
御立ち [おたち] /(n) polite term for calling, departing and staying where one is/
御立派 [ごりっぱ] /(adj-na) (pol) splendid/fine/handsome/elegant/imposing/prominent/legal/legitimate/
御流神道 [ごりゅうしんとう] /(n) Goryu Shinto (sect of amalgamated Shinto)/
御旅所 [おたびしょ] /(n) place where the sacred palanquin is lodged during a festival/
御了承 [ごりょうしょう] /(n,vs) acknowledgement/acknowledgment/understanding (e.g. "please be understanding of the mess during our renovation")/noting/
御両親 [ごりょうしん] /(n) your (honorable, honourable) parents/
御寮人 [ごりょうにん] /(n) mistress/madam/
御料 [ごりょう] /(n) imperial property/
御料地 [ごりょうち] /(n) imperial estate/
御陵 [ごりょう] /(n) imperial tomb/
御領 [ごりょう] /(n) land under the control of the imperial household or the shogunate/
御涙頂戴 [おなみだちょうだい] /(n,adj-no) tearjerker/sob story/maudlin tale/
御令嬢 [ごれいじょう] /(n) (hon) (your) daughter/young woman/
御令息 [ごれいそく] /(n) (hon) son/
御礼 [おれい] /(n) thanking/expression of gratitude/
御礼 [おんれい] /(n) thanking/expression of gratitude/
御礼参り [おれいまいり] /(n) (1) visiting a shrine or temple to give thanks/(2) settling scores/
御礼奉公 [おれいぼうこう] /(n) free service after one has finished one's apprenticeship/
御零れ [おこぼれ] /(n) leavings/leftovers/
御霊 [ごりょう] /(n) (hon) spirit of a deceased person/
御霊 [みたま] /(n) (hon) spirit of a deceased person/
御霊屋 [おたまや] /(n) mausoleum/
御霊屋 [みたまや] /(n) mausoleum/
御霊会 [ごりょうえ] /(n) ceremony to appease evil gods and the spirits of the dead/
御霊前 [ごれいぜん] /(n) "before the spirit of the deceased" (written on the condolence-money envelope)/
御霊代 [みたましろ] /(n) something worshiped as a symbol for the spirit of the dead/
御歴々 [おれきれき] /(n) dignitaries/very important persons/VIPs/
御歴歴 [おれきれき] /(n) dignitaries/very important persons/VIPs/
御簾 [ぎょれん] /(n) (hon) (pol) bamboo blind/
御簾 [みす] /(n) (hon) (pol) bamboo blind/
御簾草 [みすくさ] /(n) (obsc) common cattail (Typha latifolia)/common bulrush/common reed mace/
御連絡 [ごれんらく] /(vs) (1) (hon) to contact/to get in touch/(n) (2) contacting/getting in touch/communication/(your) call/(your) message/
御話 [おはなし] /(n) story/tale/
御碗 [おわん] /(n) bowl/
御國 [みくに] /(n) (1) (hon) country/(2) (hon) Japan/
御嶽 [うたき] /(n) (Okinawa) sacred site/sacred grove/
御嶽 [みたけ] /(n) (obsc) large, high mountain/
御嶽教 [おんたけきょう] /(n) Ontake-kyo (sect of Shinto)/Mitake-kyo/
御嶽教 [みたけきょう] /(n) Ontake-kyo (sect of Shinto)/Mitake-kyo/
御恍け [おとぼけ] /(n) feigned ignorance/
御櫃 [おひつ] /(n) (uk) round, wooden container for cooked rice/
御洒落 [おしゃれ] /(adj-na,adj-no) (1) (uk) smartly dressed/stylish/fashion-conscious/(n) (2) someone smartly dressed/(vs) (3) to dress up/to be fashionable/(P)/
御浚い [おさらい] /(n) review/rehearsal/
御祓い [おはらい] /(n) exorcism (Shinti rite)/purification/
御秡い [おはらい] /(iK) (n) exorcism (Shinti rite)/purification/
御竈 [おかま] /(n) (1) (pol) pot/(2) volcanic crater/(3) (one's) buttocks/(4) (uk) (col) male homosexual/effeminate man/male transvestite/
御籤 [みくじ] /(n) written oracle/
御襁褓 [おむつ] /(n) (uk) diaper/nappy/(P)/
御襁褓気触れ [おむつかぶれ] /(n) (uk) diaper rash/nappy rash/
御誂え向き [おあつらえむき] /(adj-no) perfect/just right/ideal/
御饌津神 [さぐじ] /(n) (1) any god of foodstuffs/(2) Uka-no-Mitama (god of rice)/
御饌津神 [みけつかみ] /(n) (1) any god of foodstuffs/(2) Uka-no-Mitama (god of rice)/
御鬮 [みくじ] /(n) written oracle/
悟り [さとり] /(n) (1) comprehension/understanding/(2) (Buddh) enlightenment/satori/(P)/
悟りが早い [さとりがはやい] /(exp,adj-i) (obsc) being quick to understand/
悟りを開く [さとりをひらく] /(exp,v5k) to achieve enlightenment/to attain enlightenment/
悟る [さとる] /(v5r,vt) (1) to understand/to comprehend/to realize/to perceive/to sense/to discern/(2) to attain enlightenment/(P)/
悟性 [ごせい] /(n) wisdom/understanding/
悟道 [ごどう] /(n) (Buddh) (the path of spiritual) enlightenment/
悟入 [ごにゅう] /(n,vs) (Buddh) entering enlightenment/
悟了 [ごりょう] /(n,vs) complete comprehension/
梧桐 [あおぎり] /(n) (uk) Chinese parasol-tree (Firmiana simplex)/Chinese-bottletree/Japanese varnishtree/phoenix-tree/
梧桐 [ごとう] /(n) (uk) Chinese parasol-tree (Firmiana simplex)/Chinese-bottletree/Japanese varnishtree/phoenix-tree/
碁 [ご] /(n) go (board game of capturing territory)/(P)/
碁を打つ [ごをうつ] /(exp,v5t) to play (a game of) go/
碁会所 [ごかいしょ] /(n) commercial go-playing parlour (parlor)/
碁会所 [ごかいじょ] /(n) commercial go-playing parlour (parlor)/(P)/
碁子麺 [きしめん] /(n) (uk) noodles made in flat strips/
碁笥 [ごけ] /(n) go-stone container/
碁席 [ごせき] /(n) go club/
碁石 [ごいし] /(n) Go pieces/Go stones/
碁打ち [ごうち] /(n) go player/playing go/
碁敵 [ごがたき] /(n) rival in (the game of) go/
碁盤 [ごばん] /(n) Go board/(P)/
碁盤の目 [ごばんのめ] /(n) intersection on a Go board/
碁盤割り [ごばんわり] /(n) partitioned into squares/
碁盤縞 [ごばんじま] /(n,adj-no) check/check pattern/
語 [かたり] /(n) talking/
語 [ご] /(n,n-suf) (1) language/(2) word/(P)/
語い力 [ごいりょく] /(n) (the extent of) one's vocabulary/
語の意味 [ごのいみ] /(n) meaning of a word/
語らい [かたらい] /(n) talk/troth/chat/lovers vow/
語らう [かたらう] /(v5u,vt) to talk/to tell/to recite/to pledge/to conspire with/(P)/
語らうに友なく [かたらうにともなく] /(exp) with no friend to talk to/
語らうに友無く [かたらうにともなく] /(exp) with no friend to talk to/
語らしめる [かたらしめる] /(v1) to finish telling/
語り [かたり] /(n) talking/(P)/
語りあう [かたりあう] /(v5u,vt) to talk together/
語りかける [かたりかける] /(v1) to make a speech/to address/
語りぐさ [かたりぐさ] /(n) story/topic/
語りつくす [かたりつくす] /(v5s,vt) to say everything one wants to say/to exhaust a topic/
語りつぐ [かたりつぐ] /(v5g,vt) to transmit/to hand down/
語り掛ける [かたりかける] /(v1) to make a speech/to address/
語り句 [かたりく] /(n) (1) story/tale/(2) unaccompanied part of the Heike Monogatari chanting/
語り継ぐ [かたりつぐ] /(v5g,vt) to transmit/to hand down/
語り古す [かたりふるす] /(v5s) to say repeatedly (often by many people)/to say over and over again/
語り口 [かたりくち] /(n) way of reciting/way of telling a story/(P)/
語り合う [かたりあう] /(v5u,vt) to talk together/
語り手 [かたりて] /(n) speaker/narrator/reciter/(P)/
語り種 [かたりぐさ] /(n) story/topic/
語り尽くす [かたりつくす] /(v5s,vt) to say everything one wants to say/to exhaust a topic/
語り尽す [かたりつくす] /(v5s,vt) to say everything one wants to say/to exhaust a topic/
語り草 [かたりぐさ] /(n) story/topic/
語り伝える [かたりつたえる] /(v1,vt) to hand down/to pass on (story or tradition)/
語り部 [かたりべ] /(n) (professional) storyteller/hereditary role of narrator in early imperial court/
語り物 [かたりもの] /(n) a narrative/
語り明かす [かたりあかす] /(v5s,vt) to talk all the night/
語る [かたる] /(v5r,vt) to talk/to tell/to recite/(P)/
語るに落ちる [かたるにおちる] /(exp,v1) to let slip a secret/to let the cat out of the bag/
語を強める [ごをつよめる] /(exp,v1) to put stress on a word/
語を結ぶ [ごをむすぶ] /(exp,v5b) to conclude one's speech/
語意 [ごい] /(n) (ling) meaning of a word/
語音 [ごおん] /(n) the sound of a word/
語格 [ごかく] /(n) usage/rules of grammar/
語学 [ごがく] /(n) language study/(P)/
語学の才 [ごがくのさい] /(n) talent for languages/
語学の力 [ごがくのちから] /(n) one's linguistic ability/
語学学習 [ごがくがくしゅう] /(n) language study/language learning/
語学者 [ごがくしゃ] /(n) a linguist/
語学的 [ごがくてき] /(adj-na) linguistic/
語学力 [ごがくりょく] /(n) language ability/
語幹 [ごかん] /(n,adj-no) (ling) stem/root of a word/
語幹形成 [ごかんけいせい] /(adj-na) formed from a stem/
語幹形成母音 [ごかんけいせいぼおん] /(n) (ling) thematic/thematic vowel/
語感 [ごかん] /(n) (1) sense of language/(2) feeling of a word/impression a word makes/nuance/
語間 [ごかん] /(n) spacing between words/
語気 [ごき] /(n) tone/manner of speaking/(P)/
語気を弱める [ごきをよわめる] /(exp,v1) to soften one's voice/
語義 [ごぎ] /(n,adj-no) (ling) meaning of a word/
語句 [ごく] /(n,adj-no) words/phrases/(P)/
語群 [ごぐん] /(n) (1) group of languages (i.e. the Romance languages, considered as a subset of the Italic languages)/(2) group of words/
語形 [ごけい] /(n) (ling) word form/
語形変化 [ごけいへんか] /(n,vs,adj-no) (ling) inflection of words (e.g. declension of nouns and conjugation of verbs)/
語原 [ごげん] /(iK) (n) word root/word derivation/etymology/
語源 [ごげん] /(n) word root/word derivation/etymology/(P)/
語源学 [ごげんがく] /(n) etymology/
語源説 [ごげんせつ] /(n) etymological theory/etymology/
語構成記憶装置 [ごこうせいきおくそうち] /(n) (comp) word organized storage/
語根 [ごこん] /(n,adj-no) (ling) root (origin) of a word/
語史 [ごし] /(n) the evolution of the usage of a word/
語志 [ごし] /(n) the evolution of the usage of a word/
語誌 [ごし] /(n) the evolution of the usage of a word/
語釈 [ごしゃく] /(n) interpretation of a word/
語種 [ごしゅ] /(n) classification of Japanese words by their origin as Japanese, Chinese or Western/
語順 [ごじゅん] /(n) (ling) word order/
語数 [ごすう] /(n) number of words/
語勢 [ごせい] /(n) stress/emphasizing one's speech/
語素 [ごそ] /(n) word root (the smallest portion of a larger word that holds meaning)/
語族 [ごぞく] /(n) family of languages/
語中音 [ごちゅうおん] /(n) (ling) medial (in phonics)/
語調 [ごちょう] /(n) tone (of voice)/note/accent/
語長 [ごちょう] /(n) word-length/word size/
語頭 [ごとう] /(n) first part of a word/
語派 [ごは] /(n) branch of languages (i.e. Italic languages as a subset of Indo-European languages)/
語否定 [ごひてい] /(n) (ling) constituent negation/word negation/
語尾 [ごび] /(n) (inflected) end of a word/
語尾変化 [ごびへんか] /(n,vs) (1) inflection/(2) declension/
語部 [かたりべ] /(n) (professional) storyteller/hereditary role of narrator in early imperial court/
語弊 [ごへい] /(n) faulty expression/
語法 [ごほう] /(n) (ling) diction/grammar/syntax/usage/wording/
語末 [ごまつ] /(n) end of a word/suffix/
語脈 [ごみゃく] /(n) word linkage/
語用論 [ごようろん] /(n) pragmatics/
語類 [ごるい] /(n) parts of speech/
語例 [ごれい] /(n) example of a word or phrase/
語呂 [ごろ] /(n) sound (of a sentence)/euphony/
語呂のよさ [ごろのよさ] /(exp) euphony/
語呂の良さ [ごろのよさ] /(exp) euphony/
語呂合せ [ごろあわせ] /(n) rhyming game/play on words/pun/
語呂合わせ [ごろあわせ] /(n) rhyming game/play on words/pun/
語路 [ごろ] /(n) sound (of a sentence)/euphony/
語路合せ [ごろあわせ] /(n) rhyming game/play on words/pun/
語路合わせ [ごろあわせ] /(n) rhyming game/play on words/pun/
語録 [ごろく] /(n) analects/sayings/
語彙 [ごい] /(n,adj-no) (ling) vocabulary/lexicon/lexis/terminology/(P)/
語彙機能文法 [ごいきのうぶんぽう] /(n) (ling) lexical-functional grammar/LFG/
語彙規則 [ごいきそく] /(n) (ling) lexical rule/
語彙素 [ごいそ] /(n) (ling) lexeme/
語彙的 [ごいてき] /(adj-na) (ling) lexical/
語彙的コントロールの原理 [ごいてきコントロールのげんり] /(n) (ling) principle of lexical control/PLC/
語彙力 [ごいりょく] /(n) (the extent of) one's vocabulary/
語彙論 [ごいろん] /(n) lexicology/
誤ち [あやまち] /(n) fault/error/indiscretion/faux pas/
誤って [あやまって] /(exp) in error/by mistake/by accident/(P)/
誤つ [あやまつ] /(v5t,vi) to err/
誤り [あやまり] /(n) error/mistake/slip/bug/(P)/
誤りに陥る [あやまりにおちいる] /(exp,v5r) to fall into error/
誤りを直す [あやまりをなおす] /(exp,v5s) to correct an error/
誤りを認める [あやまりをみとめる] /(exp,v1) to admit to a mistake/
誤りバースト [あやまりバースト] /(n) (comp) error burst/
誤り回復 [あやまりかいふく] /(n) (comp) error recovery/
誤り検出 [あやまりけんしゅつ] /(n) (comp) error detection/
誤り検出符号 [あやまりけんしゅつふごう] /(n) (comp) error-detecting code/self-checking code/
誤り検出符合 [あやまりけんしゅつふごう] /(n) (comp) Error-Detecting Code/EDC/
誤り状態 [あやまりじょうたい] /(n) (comp) error condition (in calculators)/
誤り制御 [あやまりせいぎょ] /(n) (comp) error control/
誤り制御ソフトウェア [あやまりせいぎょソフトウェア] /(n) (comp) error control software/
誤り通知 [あやまりつうち] /(n) (comp) error indication/
誤り訂正 [あやまりていせい] /(n) (comp) error correction/
誤り訂正符号 [あやまりていせいふごう] /(n) (comp) error-correcting code/
誤り表示 [あやまりひょうじ] /(n) (comp) error indication/
誤り率 [あやまりりつ] /(n) (comp) error rate/
誤る [あやまる] /(v5r,vi) (1) to make a mistake/to err/(2) to mislead/to misguide/(P)/
誤解 [ごかい] /(n,vs) misunderstanding/(P)/
誤記 [ごき] /(n,vs) writing error/
誤差 [ごさ] /(n) measurement error/calculation error/(P)/
誤差拡散法 [ごさかくさんほう] /(n) (comp) random dither/
誤差範囲 [ごさはんい] /(n) (comp) error range/
誤差幅 [ごさはば] /(n) (comp) error span/
誤作動 [ごさどう] /(n,vs) malfunction/failure/
誤算 [ごさん] /(n,vs) miscalculation/(P)/
誤字 [ごじ] /(n) misprint/mispelling/typo/erratum/(P)/
誤写 [ごしゃ] /(n,vs) error in copying/
誤射 [ごしゃ] /(n,vs) accidental shooting/
誤植 [ごしょく] /(n) misprint/(P)/
誤信 [ごしん] /(n,vs) misbelief/fallacy/
誤審 [ごしん] /(n,vs) misjudgment/misjudgement/
誤診 [ごしん] /(n,vs) wrong diagnosis/misdiagnosis/
誤挿入 [ごそうにゅう] /(n) incorrect insertion (of equipment, unit, part)/
誤脱 [ごだつ] /(n) errors and omissions/
誤伝 [ごでん] /(n) misinformation/
誤投下 [ごとうか] /(n) accidental bombing/
誤答 [ごとう] /(n,vs) mistaken answer or response/
誤動作 [ごどうさ] /(n,vs) malfunction/
誤読 [ごどく] /(n,vs) misreading/misinterpreting/
誤認 [ごにん] /(n,vs) misrecognition/mistaking (x for y)/(P)/
誤認識 [ごにんしき] /(n,vs) misrecognition/mistaking (x for y)/
誤配 [ごはい] /(n,vs) misdelivery/
誤爆 [ごばく] /(n,vs) bombing (shelling) the wrong target/(be killed by) friendly fire/
誤判 [ごはん] /(n) misjudgement/misjudgment/erroneous judgement/miscarriage of justice/
誤謬 [ごびゅう] /(n,vs) fallacy/mistake/
誤謬推理 [ごびゅうすいり] /(n) fallacy (sometimes esp. a paralogism)/
誤表記 [ごひょうき] /(n) mistaken way of writing something/mistaken spelling/wrong way of writing something/wrong spelling/
誤文 [ごぶん] /(n) ungrammatical sentence/
誤聞 [ごぶん] /(n,vs) misunderstanding/misinformation/
誤変換 [ごへんかん] /(n) misconversion/
誤報 [ごほう] /(n,vs) misinformation/incorrect report/(P)/
誤摩化す [ごまかす] /(ateji) (v5s,vt) (1) (uk) to deceive/to falsify/to misrepresent/to cheat/to swindle/to tamper/to juggle/to manipulate/(2) (uk) to dodge/to beg the question (issue, difficulties)/(3) (uk) to varnish over/to gloss over/
誤魔かす [ごまかす] /(ateji) (v5s,vt) (1) (uk) to deceive/to falsify/to misrepresent/to cheat/to swindle/to tamper/to juggle/to manipulate/(2) (uk) to dodge/to beg the question (issue, difficulties)/(3) (uk) to varnish over/to gloss over/
誤魔化し [ごまかし] /(ateji) (n,adj-no) (uk) hanky-panky/juggling/cheating/deception/smoke and mirrors/
誤魔化す [ごまかす] /(ateji) (v5s,vt) (1) (uk) to deceive/to falsify/to misrepresent/to cheat/to swindle/to tamper/to juggle/to manipulate/(2) (uk) to dodge/to beg the question (issue, difficulties)/(3) (uk) to varnish over/to gloss over/(P)/
誤訳 [ごやく] /(n,vs) mistranslation/
誤用 [ごよう] /(n,vs) abuse/misuse/incorrect use/malapropism/
誤嚥 [ごえん] /(n,vs) breathing in (of a foreign body, food, etc.)/pulmonary aspiration/mis-swallowing/swallowing down the wrong pipe/
護り [まもり] /(n) (1) protection/defense/defence/(2) providence/(3) (abbr) amulet/charm/talisman/
護る [まもる] /(v5r,vt) (1) to protect/to guard/to defend/(2) to keep (i.e. a promise)/to abide (by the rules)/to observe/to obey/to follow/
護衛 [ごえい] /(n,vs) guard/convoy/escort/(P)/
護衛を付ける [ごえいをつける] /(exp,v1) to provide (a person) with a bodyguard/
護衛艦 [ごえいかん] /(n) escort vessel/
護衛兵 [ごえいへい] /(n) body guard/military escort/
護岸 [ごがん] /(n) river dike/(P)/
護岸工事 [ごがんこうじ] /(n) levee protection works/
護教論 [ごきょうろん] /(n) (Christian) apologetics/
護憲 [ごけん] /(n) protecting the constitution/(P)/
護憲運動 [ごけんうんどう] /(n) movement to defend the Constitution/
護国 [ごこく] /(n) defense of one's country/defence of one's country/(P)/
護国神社 [ごこくじんじゃ] /(n) shrine honoring war dead/shrine honouring war dead/
護持 [ごじ] /(n,vs) defend and maintain/support/protection/
護身 [ごしん] /(n) self-protection/
護身の術 [ごしんのじゅつ] /(n) art of self-defense/art of self-defence/
護身術 [ごしんじゅつ] /(n) art of self-defense/art of self-defence/
護身刀 [ごしんとう] /(n) sword used for self-defense/
護送 [ごそう] /(n,vs) escort (e.g. under guard)/convoy/(P)/
護送車 [ごそうしゃ] /(n) paddy wagon/
護送船 [ごそうせん] /(n) ship's convoy/
護送船団 [ごそうせんだん] /(n) (armed) convoy/
護符 [ごふ] /(n) talisman/amulet/charm/
護符 [ごふう] /(n) talisman/amulet/charm/
護法 [ごほう] /(n) defense of the constitution or religious doctrines (defence)/
護摩 [ごま] /(n) Buddhist rite of cedar-stick burning/
護摩の灰 [ごまのはい] /(n) thief posing as fellow traveller (traveler)/
護摩壇 [ごまだん] /(n) (Buddh) homa-mandala (fire altar)/
護謨 [ごむ] /(ateji) (n,adj-no) (1) (uk) gum (dut: gom)/rubber/(2) (abbr) eraser/(3) (sl) condom/
護謨 [ゴム] /(ateji) (n,adj-no) (1) (uk) gum (dut: gom)/rubber/(2) (abbr) eraser/(3) (sl) condom/
乞い [こい] /(n) request/entreaty/
乞い願う [こいねがう] /(v5u,vt) to beg/to request/to beseech/to implore/to entreat/
乞い願わくは [こいねがわくは] /(exp,adv) I pray in earnest that/I beg that/I yearn that/
乞い取る [こいとる] /(v5r) to ask for and receive/
乞い受ける [こいうける] /(v1) to receive by requesting earnestly/to beg/
乞う [こう] /(v5u-s,vt) to beg/to ask/to request/to invite/
乞巧奠 [きこうでん] /(n) Festival to Plead for Skills (progenitor festival of Tanabata)/
乞巧奠 [きっこうでん] /(n) Festival to Plead for Skills (progenitor festival of Tanabata)/
乞高評 [こうこうひょう] /(n) with the author's compliments/
乞士 [こっし] /(n) (obsc) bhikkhu (fully ordained Buddhist monk)/
乞児 [ほいと] /(n) (1) (arch) begging/beggar/
乞食 [こじき] /(n) (1) (sens) beggar/(n,vs) (2) begging/(P)/
乞食 [こつじき] /(n) (1) (sens) beggar/(n,vs) (2) begging/
乞食 [ほいと] /(n) (1) (arch) begging/beggar/
乞食を三日すれば止められぬ [こじきをみっかすればやめられぬ] /(exp) (id) Once a beggar, always a beggar/
乞食根性 [こじきこんじょう] /(n) mercenary spirit/greed/avarice/base nature/
乞食坊主 [こじきぼうず] /(n) (a derogatory term for) Buddhist monk/
乞食坊主 [こつじきぼうず] /(n) (a derogatory term for) Buddhist monk/
乞婿 [こいむこ] /(n) bridegroom who is loved by his bride/
乞丐 [かたい] /(n) beggar/bum/
乞丐 [かったい] /(n) beggar/bum/
乞丐 [きっかい] /(n) beggar/bum/
乞丐 [こつがい] /(n) beggar/bum/
鯉 [こい] /(n) common carp/koi carp (Cyprinus carpio)/(P)/
鯉のぼり [こいのぼり] /(n) carp streamer/carp banner/
鯉ヘルペスウイルス [こいヘルペスウイルス] /(n) koi herpes virus (KHV)/
鯉口 [こいぐち] /(n) mouth of a (sword) sheath/
鯉幟 [こいのぼり] /(n) carp streamer/carp banner/
交 [こもごも] /(adv) (uk) alternately/in succession/
交々 [こもごも] /(adv) (uk) alternately/in succession/
交う [かう] /(v5u) to take turns/to mingle together/
交える [まじえる] /(v1,vt) (1) to mix/to combine/(2) to exchange (words, fire, etc.)/(3) to cross (e.g. swords)/to join together/(P)/
交ざる [まざる] /(v5r,vi) to be mixed/to be blended with/to associate with/to mingle with/to join/(P)/
交し合う [かわしあう] /(v5u) to intercommunicate/to exchange (messages, vows, etc.)/
交じり [まじり] /(n,n-suf) mixed/mingled/(P)/
交じり合う [まじりあう] /(v5u) to be mixed together/to be blended/to intermingle/to commingle/
交じる [まじる] /(v5r,vi) to be mixed/to be blended with/to associate with/to mingle with/to interest/to join/(P)/
交す [かわす] /(io) (v5s,vt) (1) to exchange (messages, greetings, arguments, etc.)/(2) to intersect/to cross/to interlace/(suf,v5s) (3) ... with one another/... to each other/
交ぜる [まぜる] /(v1,vt) to mix/to stir/to blend/(P)/
交ぜ合せる [まぜあわせる] /(v1,vt) to mix/to blend/to combine/
交ぜ合わせる [まぜあわせる] /(v1,vt) to mix/to blend/to combine/
交ぜ書き [まぜがき] /(n) mixed writing (e.g. kanji and kana)/
交ぜ織り [まぜおり] /(n) mixed weave/
交りばんこに [かわりばんこに] /(adv) alternately/
交り番こに [かわりばんこに] /(adv) alternately/
交り番に [かわりばんに] /(adv) alternately/
交る [まじる] /(io) (v5r,vi) to be mixed/to be blended with/to associate with/to mingle with/to interest/to join/
交わし合う [かわしあう] /(v5u) to intercommunicate/to exchange (messages, vows, etc.)/
交わす [かわす] /(v5s,vt) (1) to exchange (messages, greetings, arguments, etc.)/(2) to intersect/to cross/to interlace/(suf,v5s) (3) ... with one another/... to each other/(P)/
交わり [まじわり] /(n) (1) acquaintance/relations/fellowship/(2) sexual intercourse/(3) intersection/
交わる [まじわる] /(v5r,vi) (1) to cross/to intersect/to join/to meet/(2) to associate with/to mingle with/to consort with/(3) to have a sexual relationship/to copulate/(P)/
交易 [こうえき] /(n,vs) trade/commerce/(P)/
交易会 [こうえきかい] /(n) trade fair/trade exposition/
交易条件 [こうえきじょうけん] /(n) terms of trade/
交易路 [こうえきろ] /(n) trade route/
交角 [こうかく] /(n) angle of intersection/
交感 [こうかん] /(n,vs,adj-no) rapport/mutual sympathy/
交感神経 [こうかんしんけい] /(n,adj-no) sympathetic nerves/
交換 [こうかん] /(n,vs) exchange/interchange/switching/reciprocity/barter/substitution/replacement/clearing (of checks, cheques)/(P)/
交換しあい [こうかんしあい] /(n,vs) exchange (something) together/
交換し合い [こうかんしあい] /(n,vs) exchange (something) together/
交換システム [こうかんシステム] /(n) (comp) switching system/
交換データ要素 [こうかんデータようそ] /(n) (comp) interchange data element/
交換レート [こうかんレート] /(n) exchange rate/
交換レイヤ [こうかんレイヤ] /(n) (comp) switching layer/
交換円 [こうかんえん] /(n) convertible yen/
交換価値 [こうかんかち] /(n) exchange value/
交換可能 [こうかんかのう] /(adj-na) exchangeable/convertible/transferable/replaceable/
交換回線 [こうかんかいせん] /(n) (comp) switched line/
交換学生 [こうかんがくせい] /(n) exchange student/
交換器 [こうかんき] /(n) (telephone) switchboard/
交換機 [こうかんき] /(n) (comp) switch/
交換機製品 [こうかんきせいひん] /(n) (comp) switching product/
交換機通信事業者 [こうかんきつうしんじぎょうしゃ] /(n) (comp) exchange carrier/
交換機能 [こうかんきのう] /(n) exchange function/swapping capability/
交換教授 [こうかんきょうじゅ] /(n) exchange professor/
交換局 [こうかんきょく] /(n) (telephone) exchange/
交換型 [こうかんがた] /(n) (comp) switched (adj) (as in "switched VP")/
交換手 [こうかんしゅ] /(n) operator (e.g. telephone)/
交換需要 [こうかんじゅよう] /(n) demand for replacement/request for replacement/need for replacement/
交換処理能力 [こうかんしょりのうりょく] /(n) (comp) switching capacity/switching ability/
交換所 [こうかんじょ] /(n) clearing house/
交換嬢 [こうかんじょう] /(n) telephone operator/
交換条件 [こうかんじょうけん] /(n,adj-no) bargaining point/
交換接続 [こうかんせつぞく] /(n) (comp) switched connection/
交換船 [こうかんせん] /(n) repatriation ship/
交換台 [こうかんだい] /(n) (1) (telephone) switchboard/(2) (col) switchboard operator/
交換日記 [こうかんにっき] /(n) (sl) exchange diary between friends (usually at school)/
交換品 [こうかんひん] /(n) thing bartered/trade-in/
交換法則 [こうかんほうそく] /(n) commutative law/
交換貿易制 [こうかんぼうえきせい] /(n) barter system/
交換網 [こうかんもう] /(n) (comp) switching network/
交換様式 [こうかんようしき] /(n) (comp) interchange format/
交換様式クラス [こうかんようしきクラス] /(n) (comp) interchange format class/
交換留学 [こうかんりゅうがく] /(n) (student) exchange/study abroad/
交換留学生 [こうかんりゅうがくせい] /(n) exchange student/
交款 [こうかん] /(oK) (n,vs) exchange of courtesies (cordialities)/fraternization/fraternisation/
交歓 [こうかん] /(n,vs) exchange of courtesies (cordialities)/fraternization/fraternisation/
交歓会 [こうかんかい] /(n) reception/
交宜 [こうぎ] /(n) friendship/amity/
交誼 [こうぎ] /(n) friendship/amity/
交響 [こうきょう] /(n,vs) reverberation/
交響楽 [こうきょうがく] /(n) symphony (orchestra)/(P)/
交響楽団 [こうきょうがくだん] /(n) symphony (orchestra)/
交響曲 [こうきょうきょく] /(n) symphony/(P)/
交響詩 [こうきょうし] /(n) symphonic poem/
交互 [こうご] /(n,adj-no) mutual/reciprocal/alternate/(P)/
交互作用 [こうごさよう] /(n) (mutual) interaction/reciprocal action/interplay/
交互作用説 [こうごさようせつ] /(n) (obsc) interactionism/
交互配置 [こうごはいち] /(n,vs) (comp) interleaving/
交交 [こもごも] /(adv) (uk) alternately/in succession/
交合 [こうごう] /(n,vs) sexual union/congress/
交叉 [こうさ] /(n,vs,adj-no) (1) crossing/intersection/(2) (genetic) crossing over/
交叉点 [こうさてん] /(n) crossing/intersection/
交差 [こうさ] /(n,vs,adj-no) (1) crossing/intersection/(2) (genetic) crossing over/(P)/
交差合計検査 [こうさごうけいけんさ] /(n) (comp) crossfooting/
交差対称性 [こうさたいしょうせい] /(n) crossing symmetry (physics)/
交差点 [こうさてん] /(n) crossing/intersection/(P)/
交際 [こうさい] /(n,vs) company/friendship/association/society/acquaintance/(P)/
交際を嫌う [こうさいをきらう] /(exp,v5u) to shun society/
交際下手 [こうさいべた] /(n,adj-na) bad at socializing/bad in social situation/being a bad mixer/
交際家 [こうさいか] /(n) sociable person/
交際嫌い [こうさいぎらい] /(adj-i) unsociable/
交際好き [こうさいずき] /(adj-na) sociable/
交際国 [こうさいこく] /(n) friendly powers/treaty powers/
交際社会 [こうさいしゃかい] /(n) society/social circles/
交際術 [こうさいじゅつ] /(n) social skills/
交際上 [こうさいじょう] /(n) as a matter of social courtesy/
交際上手 [こうさいじょうず] /(n,adj-na) good at socializing/sociability/being a good mixer/
交際場裏 [こうさいじょうり] /(n) society/
交際場裡 [こうさいじょうり] /(n) social circles/the arena of (fashionable) society/
交際相手 [こうさいあいて] /(n) person one has a relationship with/date/boyfriend/girlfriend/
交際中 [こうさいちゅう] /(exp) in a relationship/
交際範囲 [こうさいはんい] /(n) circle of acquaintance/
交際費 [こうさいひ] /(n) entertainment expenses/(P)/
交際法 [こうさいほう] /(n) etiquette/social code/
交錯 [こうさく] /(n,vs) mixture/blending/complication/(P)/
交錯した [こうさくした] /(adj-f) entangled/mingled/intricate/complicated/
交雑 [こうざつ] /(n,adj-no) hybridization/
交雑種 [こうざつしゅ] /(n) hybrid/crossbreed/cross/
交渉 [こうしょう] /(n,vs,adj-no) (1) negotiations/discussions/(2) connection/(P)/
交渉ページ [こうしょうページ] /(n) (comp) nominal page/
交渉委員 [こうしょういいん] /(n) negotiating committeemen/
交渉員 [こうしょういん] /(n) negotiators/
交渉決裂 [こうしょうけつれつ] /(n) breakdown of negotiations/
交渉人 [こうしょうにん] /(n) negotiator/bargainer/point man/
交渉団 [こうしょうだん] /(n) negotiation team/negotiating body/
交情 [こうじょう] /(n) intimacy/friendship/
交譲 [こうじょう] /(n) concession/compromise/
交譲木 [ゆずりは] /(n) (obsc) (uk) false daphne (Daphniphyllum macropodum)/Yuzuriha/
交織 [こうしょく] /(n) mixed weave/
交信 [こうしん] /(n,vs) telecommunications/correspondence/(P)/
交声曲 [こうせいきょく] /(n) cantata/
交接 [こうせつ] /(n,vs,adj-no) sexual intercourse/
交戦 [こうせん] /(n,vs) war/battle/hostilities/(P)/
交戦権 [こうせんけん] /(n) right of belligerency/
交戦国 [こうせんこく] /(n) warring nations/belligerents/
交戦地帯 [こうせんちたい] /(n) battle zone/
交替 [こうたい] /(n,vs) alternation/change/relief/relay/shift/substitution (sports, etc.)/(P)/
交替勤務 [こうたいきんむ] /(n) shift work/
交替神教 [こうたいしんきょう] /(n) kathenotheism/
交替装置 [こうたいそうち] /(n) (comp) alternate device/
交代 [こうたい] /(n,vs) alternation/change/relief/relay/shift/substitution (sports, etc.)/(P)/
交代で [こうたいで] /(exp) alternately/by turns/
交代トラック [こうたいトラック] /(n) (comp) alternate track/alternative track/
交代パス [こうたいパス] /(n) (comp) alternate path/
交代員 [こうたいいん] /(n) shift (of workmen)/
交代勤務 [こうたいきんむ] /(n) shift work/
交代作業 [こうたいさぎょう] /(n) working in shifts/
交代制 [こうたいせい] /(n) shift system/
交代操業 [こうたいそうぎょう] /(n) working in shifts/
交代投手 [こうたいとうしゅ] /(n) relief pitcher/
交直両用式計算器 [こうちょくりょうようしきけいさんき] /(n) (comp) mains/battery powered calculator/
交通 [こうつう] /(n,vs) traffic/transportation/communication/exchange (of ideas, etc.)/intercourse/(P)/
交通の便 [こうつうのべん] /(n) convenience for transportation/convenience of access (by road or rail)/
交通まひ [こうつうまひ] /(n) traffic paralysis/
交通マヒ [こうつうマヒ] /(n) traffic paralysis/
交通安全 [こうつうあんぜん] /(n) (1) traffic safety/driving safety/road safety/(2) "drive safely" message/
交通違反 [こうつういはん] /(n) traffic violation/
交通遺児 [こうつういじ] /(n) child orphaned from a traffic accident/
交通運輸業 [こうつううんゆぎょう] /(n) transportation business/
交通禍 [こうつうか] /(n) traffic disaster/traffic accident/
交通課 [こうつうか] /(n) traffic division (of a police department)/
交通機関 [こうつうきかん] /(n) transportation facilities/(P)/
交通規則 [こうつうきそく] /(n) traffic rules/
交通公社 [こうつうこうしゃ] /(n) (Japan) Travel Bureau/
交通事故 [こうつうじこ] /(n) traffic accident/(P)/
交通遮断 [こうつうしゃだん] /(n) blockage/quarantine/
交通弱者 [こうつうじゃくしゃ] /(n) (1) vulnerable road users/(2) mobility impaired people/(3) people with out public transport access/
交通渋滞 [こうつうじゅうたい] /(n) traffic congestion/traffic jam/(traffic) deadlock/
交通巡査 [こうつうじゅんさ] /(n) traffic officer/
交通情報 [こうつうじょうほう] /(n) traffic report/information on traffic flow/transportation information/
交通信号 [こうつうしんごう] /(n) traffic signal/
交通整理 [こうつうせいり] /(n) traffic control/
交通戦争 [こうつうせんそう] /(n) (col) expression indicating a high number of deaths from traffic accidents/
交通地獄 [こうつうじごく] /(n) traffic hell, traffic congestion/
交通道徳 [こうつうどうとく] /(n) traffic ethics/
交通費 [こうつうひ] /(n) traveling expenses/travelling expenses/carfare/(P)/
交通標識 [こうつうひょうしき] /(n) traffic sign/
交通妨害 [こうつうぼうがい] /(n) traffic obstruction/
交通麻痺 [こうつうまひ] /(n) traffic paralysis/
交通網 [こうつうもう] /(n) traffic network/(P)/
交通問題 [こうつうもんだい] /(n) traffic problem/
交通量 [こうつうりょう] /(n) traffic/traffic volume/
交通路 [こうつうろ] /(n) traffic route/
交点 [こうてん] /(n) point of intersection/
交読 [こうどく] /(n,vs) reading responsively/
交読文 [こうどくぶん] /(n) responsive readings/
交配 [こうはい] /(n,vs) mating/crossbreeding/cross-fertilization/cross-fertilisation/
交配種 [こうはいしゅ] /(n) a crossbreed/
交番 [こうばん] /(n,vs) (1) police box/(n,adj-f) (2) alternation/alternating (e.g. current)/(P)/
交番応力 [こうばんおうりょく] /(n) alternating stress/
交番所 [こうばんしょ] /(n) police box/
交番電流 [こうばんでんりゅう] /(n) (obsc) alternating current/AC/
交尾 [こうび] /(n,vs,adj-no) copulation (in animals)/
交尾む [つるむ] /(v5m,vi) to copulate (animals)/to mate/
交尾期 [こうびき] /(n) mating season/
交付 [こうふ] /(n,vs) delivering/handing over/furnishing (e.g. with copies)/issuance/issuing/(P)/
交付金 [こうふきん] /(n) subsidy/grant/bounty/
交付者 [こうふしゃ] /(n) deliverer/donor/
交付年月日 [こうふねんがっぴ] /(n) date of issuance (e.g. of a license or passport)/
交附 [こうふ] /(n,vs) delivery/grant/handing (a ticket) to (a person)/
交友 [こうゆう] /(n) friend/companion/(P)/
交友関係 [こうゆうかんけい] /(n) one's relationships/people one knows/
交遊 [こうゆう] /(n,vs) friend/friendship/companionship/fraternization/fraternity/comradeship/acquaintance/
交絡 [こうらく] /(n) interrelationship/statistics confounding/
交流 [こうりゅう] /(n,vs) (1) (cultural) exchange/interchange/interaction/(inter-) mingling/(social, etc.) networking/intercourse/(2) alternating current/AC/(P)/
交流委員会 [こうりゅういいんかい] /(n) Foreign Policy Commission/Foreign Relations Committee/
交流会 [こうりゅうかい] /(n) (cultural) exchange meeting/gathering/assembly/social/fellowship/mixer/
交流会議 [こうりゅうかいぎ] /(n) exchange conference (e.g. cultural, educational, etc.)/exchange meeting/
交流人口 [こうりゅうじんこう] /(n) nonresident population/
交流人事 [こうりゅうじんじ] /(n) personnel shuffle/
交流電源 [こうりゅうでんげん] /(n) alternator/AC generator/
交流発電機 [こうりゅうはつでんき] /(n) AC generator/
交霊 [こうれい] /(n) communication with the dead/
交霊会 [こうれいかい] /(n) spiritism session/seance/
交霊術 [こうれいじゅつ] /(n) spiritism/spiritualism/
交喙 [いすか] /(n) (uk) common crossbill (Loxia curvirostra)/
交喙の嘴 [いすかのはし] /(exp,n,adj-no) something contradictory and different from what one expected/crossbill's bill/
交媾 [こうこう] /(n,vs) sexual union/
交詢 [こうじゅん] /(n) promotion of social intercourse/
交驩 [こうかん] /(n,vs) exchange of courtesies (cordialities)/fraternization/fraternisation/
侯 [こう] /(n,n-suf) marquis/lord/daimyo/(P)/
侯国 [こうこく] /(n) principality/
侯爵 [こうしゃく] /(n) marquis/marquess/(P)/
侯爵夫人 [こうしゃくふじん] /(n) marchioness/
侯伯 [こうはく] /(n) nobles/feudal lords/
候 [こう] /(n) season/weather/
候 [さう] /(aux) (arch) (pol) to be (auxiliary used in place of "aru" after "de" or "ni" when forming a copula)/to do (auxiliary used in place of "-masu" after a -masu stem)/
候 [す] /(aux) (arch) (pol) to be (auxiliary used in place of "aru" after "de" or "ni" when forming a copula)/to do (auxiliary used in place of "-masu" after a -masu stem)/
候 [そう] /(aux) (arch) (pol) to be (auxiliary used in place of "aru" after "de" or "ni" when forming a copula)/to do (auxiliary used in place of "-masu" after a -masu stem)/
候 [そうらう] /(io) (ok) (aux-v,v4h) (1) (pol) to be (auxiliary used in place of "aru" after "de" or "ni" when forming a copula)/to do (auxiliary used in place of "-masu" after a -masu stem)/
候 [そうろう] /(io) (aux-v,v4h) (1) (pol) to be (auxiliary used in place of "aru" after "de" or "ni" when forming a copula)/to do (auxiliary used in place of "-masu" after a -masu stem)/
候 [そろ] /(aux) (arch) (pol) to be (auxiliary used in place of "aru" after "de" or "ni" when forming a copula)/to do (auxiliary used in place of "-masu" after a -masu stem)/
候ふ [そうらう] /(ok) (v4h,vi) (1) (arch) to serve (by a superior's side)/(aux-v,v4h) (2) (pol) to be (auxiliary used in place of "aru" after "de" or "ni" when forming a copula)/to do (auxiliary used in place of "-masu" after a -masu stem)/
候ふ [そうろう] /(v4h,vi) (1) (arch) to serve (by a superior's side)/(aux-v,v4h) (2) (pol) to be (auxiliary used in place of "aru" after "de" or "ni" when forming a copula)/to do (auxiliary used in place of "-masu" after a -masu stem)/
候間 [そうろうあいだ] /(exp) as .../
候哉 [そうろうや] /(exp) I wonder if .../
候所 [そうろうところ] /(exp) .. but/
候調 [そうろうちょう] /(n) epistolary style/
候鳥 [こうちょう] /(n) bird of passage/migratory bird/
候文 [そうろうぶん] /(n) epistolary style (of Japanese literature)/
候補 [こうほ] /(n) (1) candidate/contender/prospect/pick/choice/list/(2) candidacy/candidature/nomination/(P)/
候補デスクリプタ [こうほデスクリプタ] /(n) (comp) candidate descriptor/
候補者 [こうほしゃ] /(n) candidate/applicant/
候補者を立てる [こうほしゃをたてる] /(exp,v1) to put up a candidate/
候補者名簿 [こうほしゃめいぼ] /(n) list of candidates/slate/list of nominees/
候補生 [こうほせい] /(n) cadet/
候補地 [こうほち] /(n) proposed site/site chosen/
候由 [そうろうよし] /(exp) I hear that .../
倖せ [しあわせ] /(oK) (adj-na,n) happiness/good fortune/luck/blessing/
倖臣 [こうしん] /(n) favorite courtier/favourite courtier/
光 [ひかり] /(n) light/(P)/
光が透るカーテン [ひかりがとおるカーテン] /(exp,n) curtain pervious to light/curtain which passes light/
光に満ちた空 [ひかりにみちたそら] /(n) sky suffused with light/
光の速さ [ひかりのはやさ] /(n) the speed of light/
光らす [ひからす] /(v5s,vt) to make something bright/to shine/to polish/
光り輝く [ひかりかがやく] /(v5k,vi) to shine/to glitter/(P)/
光り物 [ひかりもの] /(n) (1) luminous body like a shooting star/(2) any bright metal/(3) sliced fish with the silver skin left on (iwashi, aji, sayori, sanma, kohada, etc.)/
光る [ひかる] /(v5r,vi) to shine/to glitter/to be bright/(P)/
光る棒 [ひかるぼう] /(n) glowstick/neon light stick/
光を通す [ひかりをとおす] /(exp,v5s) to allow light to pass through/to shine light through/
光を透す [ひかりをとおす] /(exp,v5s) to allow light to pass through/to shine light through/
光を放つ [ひかりをはなつ] /(exp,v5t) to shed light/to cast light/
光インタフェース [ひかりインタフェース] /(n) (comp) optical interface/
光エコー [ひかりエコー] /(n) (physics) light echo/
光ケーブル [ひかりケーブル] /(n) optical cable/optical fibre/
光コンピュータ [ひかりコンピュータ] /(n) (comp) optical computer/
光センサーマウス [ひかりセンサーマウス] /(n) (comp) Optical Sensor Mouse/
光チャネルアダプタ [ひかりチャネルアダプタ] /(n) (comp) Optical Channel Adapter/
光ディスク [ひかりディスク] /(n) (comp) optical disk/digital optical disk/
光ファイバ [ひかりファイバ] /(n) optical fiber/optical fibre/
光ファイバー [ひかりファイバー] /(n) optical fiber/optical fibre/
光ファイバーケーブル [ひかりファイバーケーブル] /(n) fiber-optic cable/fibre-optic cable/
光ファイバケーブル [ひかりファイバケーブル] /(n) (comp) fibre optic cable/
光ファイバ伝送技術 [ひかりファイバでんそうぎじゅつ] /(n) (comp) fibre optics/
光ファイバ分散型データインターフェース [ひかりファイバぶんさんがたデータインターフェース] /(n) (comp) fiber distributed data interface/FDDI/
光メモリ [ひかりメモリ] /(n) (comp) optical storage/
光圧 [こうあつ] /(n) (physics) light pressure/photon pressure/radiation pressure/
光一 [ぴかいち] /(n) (1) scoring hand with one 20 point flower card and six 1 point flower cards/(2) something (or someone) that stands out above the rest/
光陰 [こういん] /(n) time/Father Time/
光陰極 [こういんきょく] /(n) photocathode/
光陰矢のごとし [こういんやのごとし] /(exp) time flies like an arrow/time and tide wait for no man/life is short/
光陰矢の如し [こういんやのごとし] /(exp) time flies like an arrow/time and tide wait for no man/life is short/
光栄 [こうえい] /(adj-na,n) honour/honor/glory/privilege/(P)/
光炎 [こうえん] /(n) light and flame/
光焔 [こうえん] /(n) light and flame/
光化 [こうか] /(n) (comp) conversion to fiber optics/
光化学 [こうかがく] /(n,adj-f) photochemistry/
光化学スモッグ [こうかがくスモッグ] /(n) photochemical smog/
光化学スモッグ注意報 [こうかがくスモッグちゅういほう] /(n) smog alert/
光化学汚染 [こうかがくおせん] /(n) photochemical pollution/
光化学反応 [こうかがくはんのう] /(n) photochemical reaction/
光解離 [ひかりかいり] /(n) photodissociation/photo-dissociation/
光覚 [こうかく] /(n) optic or photic sense/
光学 [こうがく] /(n,adj-no) optics/(P)/
光学ドライブ [こうがくドライブ] /(n) (comp) optical drive (i.e. CD drive, DVD drive, etc.)/
光学マーク読取り [こうがくマークよみとり] /(n) (comp) mark scanning/optical mark reading/
光学異性 [こうがくいせい] /(n) optical isomerism/
光学器械 [こうがくきかい] /(n) optical instrument/
光学機械 [こうがくきかい] /(n) optical instrument/
光学顕微鏡 [こうがくけんびきょう] /(n) optical microscope/
光学式スキャナ [こうがくしきスキャナ] /(n) (comp) optical scanner/
光学式マーク読み取り装置 [こうがくしきマークよみとりそうち] /(n) (comp) Optical Mark Reader/OMR/
光学式マウス [こうがくしきマウス] /(n) (comp) optical mouse/
光学式走査器 [こうがくしきそうさき] /(n) (comp) optical scanner/
光学式文字読み取り装置 [こうがくしきもじよみとりそうち] /(n) (comp) optical character reader/OCR/
光学式文字読取り装置 [こうがくしきもじよみとりそうち] /(n) (comp) optical character reader/OCR/
光学式文字認識 [こうがくしきもじにんしき] /(n) (comp) optical character recognition/OCR/
光学繊維 [こうがくせんい] /(n) fiber optics/fibre optics/
光学的文字認識 [こうがくてきもじにんしき] /(n) (comp) optical character recognition/OCR/
光学文字 [こうがくもじ] /(n) optical character/
光冠 [こうかん] /(n) corona/
光環 [こうかん] /(n) corona/
光環境 [ひかりかんきょう] /(n) light environment/
光基準面 [ひかりきじゅんめん] /(n) (comp) optical reference plane/
光機 [こうき] /(n) (abbr) optical instrument/optical equipment/
光記憶装置 [ひかりきおくそうち] /(n) (comp) optical storage/
光記録媒体 [ひかりきろくばいたい] /(n) optical storage media/optical storage medium/
光輝 [こうき] /(n) brightness/splendour/splendor/(P)/
光輝く [ひかりかがやく] /(v5k,vi) to shine/to glitter/
光輝有る [こうきある] /(exp) brilliant/shining/splendid/glorious/
光共振器 [こうきょうしんき] /(n) optical resonator/optical cavity/
光景 [こうけい] /(n) scene/spectacle/(P)/
光源 [こうげん] /(n) light source/
光源モデル [こうげんモデル] /(n) (comp) lighting model/
光源状態 [こうげんじょうたい] /(n) (comp) light source state/
光行差 [こうこうさ] /(n) (astronomical) aberration/
光合成 [こうごうせい] /(n) photosynthesis/
光合成細菌 [こうごうせいさいきん] /(n) photosynthetic bacteria/
光彩 [こうさい] /(n) brilliance/splendour/splendor/(P)/
光彩陸離 [こうさいりくり] /(adj-t,adv-to) (arch) dazzling/brilliant/
光子 [こうし] /(n,adj-no) photon/
光子魚雷 [こうしぎょらい] /(n) photon torpedo/
光磁気 [ひかりじき] /(n) magneto-optical/MO/
光磁気ディスク [ひかりじきディスク] /(n) (comp) Magneto-Optical disk/
光軸 [こうじく] /(n) optical axis/focal aim/axis of a lens/
光周性 [こうしゅうせい] /(n) photoperiodism/photoperiodicity/
光集中指数 [ひかりしゅうちゅうしすう] /(n) (comp) concentration exponent/
光照 [こうしょう] /(n) shining/
光条 [こうじょう] /(n) striation/ray system/
光触媒 [ひかりしょくばい] /(n) (abbr) photocatalyst/photocatalysis/
光触媒作用 [ひかりしょくばいさよう] /(n) photocatalysis/
光線 [こうせん] /(n) beam/light ray/(P)/
光線を遮る [こうせんをさえぎる] /(exp,v5r) to intercept the light/
光線銃 [こうせんじゅう] /(n) a ray gun/
光線束 [こうせんそく] /(n) pencil (of light rays)/
光線療法 [こうせんりょうほう] /(n,adj-no) phototherapy/
光藻 [ひかりも] /(n) (uk) Ochromonas vischeri (species of golden alga)/
光造形 [ひかりぞうけい] /(n) rapid prototyping (machine)/laser etching (machine)/
光造形システム [ひかりぞうけいシステム] /(n) (comp) rapid prototyping/RP/
光束 [こうそく] /(n) (1) luminous flux/(2) pencil (of light)/
光速 [こうそく] /(n) speed of light/
光速度 [こうそくど] /(n) the speed of light/
光損失 [ひかりそんしつ] /(n) optical loss/
光体 [こうたい] /(n) a luminous body/
光沢 [こうたく] /(n) brilliance/polish/lustre/luster/glossy finish (of photographs)/(P)/
光沢のある青 [こうたくのあるあお] /(n) peacock blue/
光沢の有る青 [こうたくのあるあお] /(n) peacock blue/
光通信 [ひかりつうしん] /(n) light-wave communication/
光通信技術 [ひかりつうしんぎじゅつ] /(n) photonic technology/
光点 [こうてん] /(n) a luminous point/
光伝導 [こうでんどう] /(n) photoconduction/
光伝導 [ひかりでんどう] /(n) photoconduction/
光電 [こうでん] /(adj-na,adj-no) photoelectric/
光電管 [こうでんかん] /(n) photoelectric tube/
光電子 [こうでんし] /(n) photoelectron/
光電池 [こうでんち] /(n) photocell/
光電導 [こうでんどう] /(n) photoconduction/
光度 [こうど] /(n) intensity of light/
光度計 [こうどけい] /(n) photometer/
光塔 [こうとう] /(n) minaret/
光桃 [ずばいもも] /(n) (obsc) nectarine/
光桃 [つばきもも] /(n) (obsc) nectarine/
光桃 [づばいもも] /(n) (obsc) nectarine/
光桃 [ひかりもも] /(n) (obsc) nectarine/
光頭 [こうとう] /(n) bald-headed/
光熱 [こうねつ] /(n,adj-no) light and heat/
光熱水 [こうねつすい] /(n) light, heating and water (utilities)/
光熱水費 [こうねつすいひ] /(n) light, heating and water utility costs/
光熱費 [こうねつひ] /(n) cost of fuel and lighting/cost of heat and electricity/energy bill/utility cost/(P)/
光年 [こうねん] /(n) light year/(P)/
光波 [こうは] /(n) light waves/
光背 [こうはい] /(n) halo/
光物 [ひかりもの] /(n) (1) luminous body like a shooting star/(2) any bright metal/(3) sliced fish with the silver skin left on (iwashi, aji, sayori, sanma, kohada, etc.)/
光明 [こうみょう] /(n) glory/hope/bright future/(P)/
光明真言 [こうみょうしんごん] /(n) (Buddh) Mantra of Light/
光耀 [こうよう] /(n) (arch) shining/glittering/
光来 [こうらい] /(n) your visit (presence)/
光立ち下がり時間 [ひかりたちさがりじかん] /(n) (comp) optical fall time/
光立ち上がり時間 [ひかりたちあがりじかん] /(n) (comp) optical rise time/
光量 [こうりょう] /(n) intensity (e.g. radiation, light)/amount of light (radiation)/
光量計 [こうりょうけい] /(n) actinometer/actinograph/
光量子 [こうりょうし] /(n) light quantum/
光力 [こうりょく] /(n) the intensity or illuminating power of light/
光臨 [こうりん] /(n) (hon) visit/call/
光輪 [こうりん] /(n) halo (esp. in Christian art)/nimbus/
光芒 [こうぼう] /(n) beam of light/
光蘚 [ひかりごけ] /(n) luminous moss/
公 [おおやけ] /(adj-no) official/public/formal/open/governmental/(P)/
公 [きみ] /(pn,adj-no) (1) (male) (fam) you/buddy/pal/(2) (arch) monarch/ruler/sovereign/(one's) master/
公 [こう] /(n,suf) (1) public matter/governmental matter/(2) prince/duke/(n,n-suf) (3) lord/sir/(n-suf) (4) familiar or derogatory suffix (after a name, etc.)/
公々然 [こうこうぜん] /(adj-t,adv-to) very much out in the open (as in a information)/
公にする [おおやけにする] /(exp,vs-i) to make public/
公の施設 [おおやけのしせつ] /(exp,n) public facility/
公安 [こうあん] /(n) public safety/public welfare/(P)/
公安委員会 [こうあんいいんかい] /(n) public safety commission/(P)/
公安官 [こうあんかん] /(n) railway police/
公安審査委員会 [こうあんしんさいいんかい] /(n) Public Security Examination Commission/
公安調査庁 [こうあんちょうさちょう] /(n) (Japanese) Public Security Intelligence Agency/
公案 [こうあん] /(n) Zen question for meditation (e.g. the sound of one hand clapping)/koan/
公印 [こういん] /(n) official seal/
公営 [こうえい] /(n,adj-no) public management/(P)/
公営ギャンブル [こうえいギャンブル] /(n) public (i.e. government-operated) gambling/
公営企業 [こうえいきぎょう] /(n) public enterprise/
公営住宅 [こうえいじゅうたく] /(n) public housing/
公営保険 [こうえいほけん] /(n) public insurance/
公益 [こうえき] /(n,adj-no) public/public good/(P)/
公益を図る [こうえきをはかる] /(exp,v5r) to labor (labour) for the public good/to work for the public good/
公益事業 [こうえきじぎょう] /(n) public utilities/
公益質屋 [こうえきしちや] /(n) public pawn shop/
公益通報者保護法 [こうえきつうほうしゃほごほう] /(n) whistleblower protection act/
公益法人 [こうえきほうじん] /(n) (1) public-service corporation/charitable corporation/(2) juridical (legal) person working for the public good/(P)/
公益優先 [こうえきゆうせん] /(n) public interest first/
公園 [こうえん] /(n) (public) park/(P)/
公園デビユー [こうえんデビユー] /(n) bringing one's child to the local park to play for the first time (wasei: park debut)/
公演 [こうえん] /(n,vs) (1) public performance/(2) sumo exhibition in a foreign country/(P)/
公家 [くげ] /(n) Imperial Court/court noble/the nobility/
公暇 [こうか] /(n) leave of absence/furlough/
公課 [こうか] /(n) public imposts/taxes/
公会 [こうかい] /(n) public meeting/
公会議 [こうかいぎ] /(n) Ecumenical Council/
公会堂 [こうかいどう] /(n) town hall/public hall/(P)/
公会問答 [こうかいもんどう] /(n) catechism/
公海 [こうかい] /(n) high seas/international waters/(P)/
公海上 [こうかいじょう] /(n) on the high seas/
公開 [こうかい] /(n,vs,adj-no) open to the public/exhibit/(P)/
公開かぎ [こうかいかぎ] /(n) (comp) public key/
公開の席 [こうかいのせき] /(n) in public/
公開アーカイブ [こうかいアーカイブ] /(n) (comp) public archive/
公開キー [こうかいキー] /(n) (comp) public key/
公開ヒアリング [こうかいヒアリング] /(n) public hearing/
公開外交 [こうかいがいこう] /(n) open diplomacy/
公開期間 [こうかいきかん] /(n) open period/
公開鍵 [こうかいかぎ] /(n) (comp) public key/
公開鍵暗号 [こうかいかぎあんごう] /(n) (comp) public key encryption/
公開鍵暗号方式 [こうかいかぎあんごうほうしき] /(n) (comp) public key cryptosystem/
公開鍵基盤 [こうかいかぎきばん] /(n) (comp) Public Key Infrastructure/
公開講座 [こうかいこうざ] /(n) extension lectures/
公開裁判 [こうかいさいばん] /(n) open court/
公開市場政策 [こうかいしじょうせいさく] /(n) open market policy/
公開市場操作 [こうかいしじょうそうさ] /(n) open market operation/
公開識別子 [こうかいしきべつし] /(n) (comp) public identifier/
公開質問状 [こうかいしつもんじょう] /(n) open letter (of inquiry)/
公開状 [こうかいじょう] /(n) open letter/
公開図書館 [こうかいとしょかん] /(n) public library/
公開捜査 [こうかいそうさ] /(n) open criminal investigation/
公開討論 [こうかいとうろん] /(n) public debate/open discussion/
公開討論会 [こうかいとうろんかい] /(n) open forum/
公開入札 [こうかいにゅうさつ] /(n) open bid or tender/
公開文 [こうかいぶん] /(n) (comp) public text/
公開文記述 [こうかいぶんきじゅつ] /(n) (comp) public text description/
公開文言語 [こうかいぶんげんご] /(n) (comp) public text language/
公開文指示シーケンス [こうかいぶんしじシーケンス] /(n) (comp) public text designating sequence/
公開文種別 [こうかいぶんしゅべつ] /(n) (comp) public text class/
公開文表示版 [こうかいぶんひょうじばん] /(n) (comp) public text display version/
公開練習 [こうかいれんしゅう] /(n) public workout/
公開録音 [こうかいろくおん] /(n) public recording/
公害 [こうがい] /(n,adj-no) pollution/public nuisance/contamination/(P)/
公害罪 [こうがいざい] /(n) (act or crime of) pollution/
公害対策 [こうがいたいさく] /(n) anti-pollution measures/
公害対策基本法 [こうがいたいさくきほんほう] /(n) (Japanese) Environmental Pollution Prevention Act/
公害等調整委員会 [こうがいとうちょうせいいいんかい] /(n) Environmental Dispute Coordination Commission/
公害病 [こうがいびょう] /(n) pollution-caused illness/
公害病患者 [こうがいびょうかんじゃ] /(n) victim of a pollution-caused illness/
公害問題 [こうがいもんだい] /(n) pollution problem or issue/
公刊 [こうかん] /(n,vs) publication/
公館 [こうかん] /(n) official residence/(P)/
公企業 [こうきぎょう] /(n) public corporation/
公器 [こうき] /(n) public institution/
公儀 [こうぎ] /(n,adj-no) imperial court/shogunate government/authorities/public affairs/official/government/
公義 [こうぎ] /(n) justice/equity/
公議 [こうぎ] /(n,vs) just view/public opinion/
公休 [こうきゅう] /(n) legal holiday/
公休日 [こうきゅうび] /(n) legal holiday/
公許 [こうきょ] /(n,adj-no) official government permission/
公魚 [わかさぎ] /(n) Japanese pond smelt (Hypomesus nipponensis)/
公共 [こうきょう] /(n,adj-no) public/community/public service/society/communal/(P)/
公共の福祉 [こうきょうのふくし] /(exp) public welfare/
公共企業体 [こうきょうきぎょうたい] /(n) public or government corporation/
公共交通機関 [こうきょうこうつうきかん] /(n) public transportation/
公共工事 [こうきょうこうじ] /(n) public works/
公共債 [こうきょうさい] /(n) government bond/
公共財 [こうきょうざい] /(n) public goods (i.e. goods or services such as lighthouses, military installations, etc., which are provided by government)/
公共施設 [こうきょうしせつ] /(n) public facilities/utilities/
公共施設管理公社 [こうきょうしせつかんりこうしゃ] /(n) public corporation set up to administer a public facility/
公共施設管理者 [こうきょうしせつかんりしゃ] /(n) administrator (manager) of a public facility/
公共事業 [こうきょうじぎょう] /(n,adj-no) public utilities/
公共事業費 [こうきょうじぎょうひ] /(n) public-works spending/
公共職業安定所 [こうきょうしょくぎょうあんていじょ] /(n) public employment exchange/
公共心 [こうきょうしん] /(n) public spirit/
公共図書館 [こうきょうとしょかん] /(n) public library/
公共性 [こうきょうせい] /(n) publicness (degree to which a particular action will affect society as large)/public nature/commonality/
公共組合 [こうきょうくみあい] /(n) public partnership/
公共団体 [こうきょうだんたい] /(n,adj-no) public organization/public organisation/
公共哲学 [こうきょうてつがく] /(n) public philosophy/
公共投資 [こうきょうとうし] /(n) public investment/
公共部門 [こうきょうぶもん] /(n) public sector/
公共物 [こうきょうぶつ] /(n) public property/
公共物汚損 [こうきょうぶつおそん] /(n) vandalism/
公共放送 [こうきょうほうそう] /(n) public broadcasting (e.g. NHK, BBC)/(P)/
公共料金 [こうきょうりょうきん] /(n) public utilities charge/(P)/
公卿 [くぎょう] /(n) Imperial Court/court noble/the nobility/
公卿 [くげ] /(n) Imperial Court/court noble/the nobility/
公教 [こうきょう] /(n) (Roman) Catholicism/
公教育 [こうきょういく] /(n) public education/
公教会 [こうきょうかい] /(n) (Roman) Catholic Church/
公教要理 [こうきょうようり] /(n) Catholic catechism/
公金 [こうきん] /(n) public funds/(P)/
公金横領 [こうきんおうりょう] /(n) misappropriation of public funds/
公欠 [こうけつ] /(n) (abbr) authorized absence/permission of absence from class(es)/
公欠届 [こうけつとどけ] /(n) absence permission slip/
公欠届け [こうけつとどけ] /(n) absence permission slip/
公権 [こうけん] /(n) civil rights/
公権的解釈 [こうけんてきかいしゃく] /(n) official interpretation or construction (e.g. of a law)/
公権力 [こうけんりょく] /(n) public power/governmental authority/
公言 [こうげん] /(n,vs) declaration/profession/(P)/
公言してはばからない [こうげんしてはばからない] /(exp) have no hesitation in stating (declaring)/
公庫 [こうこ] /(n,adj-no) finance corporation/(P)/
公侯 [こうこう] /(n) princes and marquises/great feudal lords/
公公然 [こうこうぜん] /(adj-t,adv-to) very much out in the open (as in a information)/
公告 [こうこく] /(n,vs) public announcement/official notice/
公国 [こうこく] /(n) dukedom/duchy/principality/
公差 [こうさ] /(n) common difference (in math.)/allowance/margin/tolerance/
公債 [こうさい] /(n,adj-no) public debt/public bond or securities/(P)/
公債市場 [こうさいいちば] /(n) bond market/
公裁 [こうさい] /(n) judicial decision/
公算 [こうさん] /(n) probability/likelihood/(P)/
公使 [こうし] /(n) minister (of legation)/(P)/
公使館 [こうしかん] /(n) legation/
公使館員 [こうしかんいん] /(n) legation/attache/
公司 [こうし] /(n) company/firm (in China)/(P)/
公子 [こうし] /(n) young nobleman/(P)/
公私 [こうし] /(n,adj-no) public and private/official and personal/government and people/(P)/
公私混同 [こうしこんどう] /(n,vs) intermingling of public policy with private interest/mixing up official business with personal affairs/
公試 [こうし] /(n) national examinations/
公事 [くじ] /(n) political operations/(Heian Period) political operations and ceremonies of the Imperial Court/(Edo Period) civil suit/
公事 [こうじ] /(n) government business/
公示 [こうし] /(n,vs) edict/public announcement/
公示 [こうじ] /(n,vs) edict/public announcement/(P)/
公示価格 [こうじかかく] /(n) declared value/
公示地価 [こうじちか] /(n) assessed value of land/
公式 [こうしき] /(n,adj-no,adj-na) (1) formality/formal/official/(2) formula/(P)/
公式参拝 [こうしきさんぱい] /(n) official visit to a shrine (or temple)/
公式試合 [こうしきしあい] /(n) championship match/
公式試合 [こうしきじあい] /(n) championship match/
公式主義 [こうしきしゅぎ] /(n) formalism/
公式出版物 [こうしきしゅっぱんぶつ] /(n) official publication/official publications/
公式戦 [こうしきせん] /(n) regular game/pennant race/(P)/
公式発表 [こうしきはっぴょう] /(n) official announcement/
公式訪問 [こうしきほうもん] /(n,adj-no) official visit/
公舎 [こうしゃ] /(n) official residence/(P)/
公社 [こうしゃ] /(n) public corporation/(P)/
公社債 [こうしゃさい] /(n) public bonds/(P)/
公爵 [こうしゃく] /(n,adj-no) prince/duke/(P)/
公爵夫人 [こうしゃくふじん] /(n) princess/duchess/
公取委 [こうとりい] /(n) (abbr) Fair Trade Commission/(P)/
公衆 [こうしゅう] /(n,adj-no) the public/general public/(P)/
公衆サービス [こうしゅうサービス] /(n) (comp) public services/
公衆データネットワーク [こうしゅうデータネットワーク] /(n) (comp) public data network/
公衆トイレ [こうしゅうトイレ] /(n) public lavatory/public restroom/
公衆ブース [こうしゅうブース] /(n) public booth/public kiosk/
公衆メッセージ通信処理サービス [こうしゅうメッセージつうしんしょりサービス] /(n) (comp) public message handling service/
公衆衛生 [こうしゅうえいせい] /(n,adj-no) sanitation/public health/(P)/
公衆回線 [こうしゅうかいせん] /(n) (comp) public line (as opposed to a private or leased line)/
公衆回線網 [こうしゅうかいせんもう] /(n) (comp) public network/
公衆送信権 [こうしゅうそうしんけん] /(n) public transmission rights (e.g. putting copyrightable material on the WWW or an FTP server)/
公衆伝動 [こうしゅうでんどう] /(n) public evangelism/
公衆電線網 [こうしゅうでんせんもう] /(n) (comp) public wireline network/
公衆電話 [こうしゅうでんわ] /(n) public telephone/pay phone/(P)/
公衆電話網 [こうしゅうでんわもう] /(n) (comp) public telephone network/
公衆道徳 [こうしゅうどうとく] /(n) public morals/
公衆便所 [こうしゅうべんじょ] /(n) public lavatory/
公衆網 [こうしゅうもう] /(n) public network/
公衆浴場 [こうしゅうよくじょう] /(n) public bathhouse/
公住 [こうじゅう] /(n) apartment house built by the Japan Housing Corporation/
公述 [こうじゅつ] /(n,vs) speaking at a public hearing/
公述人 [こうじゅつにん] /(n) speaker at a public hearing/
公準 [こうじゅん] /(n) postulate (in math, logic, etc.)/
公署 [こうしょ] /(n) government office/
公助 [こうじょ] /(n) rescue and assistance (by public bodies) (e.g. in time of disaster)/
公序 [こうじょ] /(n) public order/
公序良俗 [こうじょりょうぞく] /(n) public order and morals/
公傷 [こうしょう] /(n) occupational injury/(sumo) injury at official tournament/
公傷制度 [こうしょうせいど] /(n) permission for sumo wrestler who was injured in an official tournament to be absent in the next one/
公娼 [こうしょう] /(n) licensed prostitution/registered prostitute/
公娼全廃 [こうしょうぜんぱい] /(n) abolition of licensed prostitution/
公称 [こうしょう] /(n,vs) (1) public name/announcing publicly/(adj-f) (2) nominal/(P)/
公称資本 [こうしょうしほん] /(n) authorized capital/authorised capital/
公称資本金 [こうしょうしほんきん] /(n) nominal capital/
公称馬力 [こうしょうばりき] /(n) nominal horsepower/
公証 [こうしょう] /(n) authentication/notarization/notarisation/
公証人 [こうしょうにん] /(n) notary public/notary/public notary/
公証人役場 [こうしょうにんやくば] /(n) notary office/
公証役場 [こうしょうやくば] /(n) notary public's office/
公証料 [こうしょうりょう] /(n) notary charges or fees/
公職 [こうしょく] /(n) public office/(P)/
公職選挙法 [こうしょくせんきょほう] /(n) Public Office Election Law/
公職追放 [こうしょくついほう] /(n) purge of public officials/
公人 [こうじん] /(n) public character/(P)/
公図 [こうず] /(n) cadastral map/
公正 [こうせい] /(adj-na,n) justice/fairness/impartiality/(P)/
公正取引 [こうせいとりひき] /(n) fair trade/
公正取引委員会 [こうせいとりひきいいんかい] /(n) Fair Trade Commission/
公正証書 [こうせいしょうしょ] /(n) notarized document/notarised document/
公正無私 [こうせいむし] /(n,adj-na) fair and impartial/just and unselfish/
公生涯 [こうしょうがい] /(n) public life/public career/
公生活 [こうせいかつ] /(n) public life/
公設 [こうせつ] /(n,adj-no) public (institution)/(P)/
公設市場 [こうせついちば] /(n) public market/
公設秘書 [こうせつひしょ] /(n) government-paid secretary/
公選 [こうせん] /(n,vs,adj-no) public election/(P)/
公選制 [こうせんせい] /(n) popular election system/
公然 [こうぜん] /(adj-no,adj-t,adv-to) open (e.g. secret)/public/official/overt/(P)/
公然の秘密 [こうぜんのひみつ] /(n) open secret/
公然わいせつ罪 [こうぜんわいせつざい] /(n) (crime of) public indecency/
公然猥褻罪 [こうぜんわいせつざい] /(n) (crime of) public indecency/
公租 [こうそ] /(n) public tax/
公租公課 [こうそこうか] /(n) taxes and public dues/
公訴 [こうそ] /(n,vs) accusation/prosecution/(P)/
公訴権 [こうそけん] /(n) authority of prosecution/authority to indict/
公訴時効 [こうそじこう] /(n) (legal) limitation/prescription of the right to prosecute an accused/statute of limitation/
公葬 [こうそう] /(n) public funeral/
公孫樹 [いちょう] /(n) (uk) ginkgo (Ginkgo biloba)/gingko/maidenhair tree/
公孫樹 [こうそんじゅ] /(n) (uk) ginkgo (Ginkgo biloba)/gingko/maidenhair tree/
公達 [きんだち] /(n) (arch) kings/children of nobles/young nobleman/
公達 [こうたつ] /(n) official announcement/
公団 [こうだん] /(n) public corporation/(P)/
公団住宅 [こうだんじゅうたく] /(n) public housing/
公知 [こうち] /(n,adj-no) well-known/
公地 [こうち] /(n) public land/government land/
公地公民 [こうちこうみん] /(n) complete state ownership of land and citizens (proclaimed by the Taika reforms) (Ritsuryo period)/
公庁 [こうちょう] /(n) offices of a public or governmental organization (organisation)/
公聴 [こうちょう] /(n,vs) public consultation/public information/
公聴会 [こうちょうかい] /(n) public hearing/(P)/
公定 [こうてい] /(n,vs,adj-no) official (rate)/(P)/
公定価 [こうていか] /(n) ceiling or fixed price/
公定価格 [こうていかかく] /(n) ceiling or fixed price/
公定割引率 [こうていわりびきりつ] /(n) official discount rate/
公定相場 [こうていそうば] /(n) ceiling price/official quotation/
公定地価 [こうていちか] /(n) assessed value of land/
公定歩合 [こうていぶあい] /(n) official discount (bank) rate/(P)/
公庭 [こうてい] /(n) place of ceremony/public place/
公邸 [こうてい] /(n) official residence/(P)/
公敵 [こうてき] /(n) public enemy/
公敵一号 [こうてきいちごう] /(n) public enemy No. 1/
公的 [こうてき] /(adj-na,n) public/official/(P)/
公的医療機関 [こうてきいりょうきかん] /(n) public medical institution/
公的機関 [こうてききかん] /(n) public institution/public organization/official body/
公的公開識別子 [こうてきこうかいしきべつし] /(n) (comp) formal public identifier/
公的公開識別子誤り [こうてきこうかいしきべつしあやまり] /(n) (comp) formal public identifier error/
公的債務 [こうてきさいむ] /(n) sovereign debt/
公的資金 [こうてきしきん] /(n) public funds/public money/
公的年金 [こうてきねんきん] /(n) public pension/
公的不法妨害 [こうてきふほうぼうがい] /(n) public nuisance/
公的扶助 [こうてきふじょ] /(n) public assistance/
公転 [こうてん] /(n,vs) revolution (of heavens)/
公転周期 [こうてんしゅうき] /(n) period of revolution (e.g. of the sun, of the moon)/orbital period/
公転速度 [こうてんそくど] /(n) orbital speed/
公転面 [こうてんめん] /(n) plane of revolution/
公田 [くでん] /(n) (historical) paddy administered directly by a ruler/
公田 [こうでん] /(n) (historical) paddy administered directly by a ruler/
公電 [こうでん] /(n) official telegram/
公奴婢 [くぬひ] /(n) (arch) government-owned slave/
公党 [こうとう] /(n) political party/
公道 [こうどう] /(n) public road/justice/
公徳 [こうとく] /(n) civic virtues/official morality/
公徳心 [こうとくしん] /(n) public spirit/
公認 [こうにん] /(n,vs,adj-no) official recognition/authorization/authorisation/licence/license/accreditation/(P)/
公認卸売業者 [こうにんおろしうりぎょうしゃ] /(n) authorized distributor/authorised distributor/
公認会計士 [こうにんかいけいし] /(n) certified public accountant/(P)/
公認記録 [こうにんきろく] /(n) official record/
公認欠席 [こうにんけっせき] /(n) authorized absence/permission of absence from class(es)/
公認欠席届 [こうにんけっせきとどけ] /(n) absence permission slip/authorized absence form/
公認欠席届け [こうにんけっせきとどけ] /(n) absence permission slip/authorized absence form/
公認候補 [こうにんこうほ] /(n) official candidate/
公認候補者 [こうにんこうほしゃ] /(n) official candidate/
公倍数 [こうばいすう] /(n) common multiple/
公売 [こうばい] /(n,vs) public sale/public auction/
公判 [こうはん] /(n,adj-no) public hearing/trial/(P)/
公判調査 [こうはんちょうさ] /(n) trial record/
公判廷 [こうはんてい] /(n) court/courtroom/
公費 [こうひ] /(n) public expenditure/(P)/
公表 [こうひょう] /(n,vs) official announcement/proclamation/(P)/
公評 [こうひょう] /(n) popular opinion/popular reputation/impartial criticism/
公布 [こうふ] /(n,vs) official proclamation/announcement/promulgation (e.g. of regulations)/(P)/
公武 [こうぶ] /(n) nobles and soldiers/imperial court/
公武合体 [こうぶがったい] /(n) shogunate marital union with the Imperial Family/
公武合体論 [こうぶがったいろん] /(n) (late Edo-period) idea of uniting the court and the shogunate/
公分母 [こうぶんぼ] /(n) common denominator/
公憤 [こうふん] /(n) public indignation/
公文 [こうぶん] /(n) official document/archives/(P)/
公文所 [くもんじょ] /(n) (historical) government office/
公文書 [こうぶんしょ] /(n) official document/archives/(P)/
公平 [こうへい] /(adj-na,n) fairness/impartial/justice/(P)/
公平政策 [こうへいせいさく] /(n) fair deal/
公平無私 [こうへいむし] /(adj-na,n,adj-no) impartiality/fair play/
公辺 [こうへん] /(n) public ceremonies/public affairs/
公保険 [こうほけん] /(n) public insurance/
公募 [こうぼ] /(n,vs) public appeal (e.g. for contributions)/public offering (of securities)/public advertisement (of a post)/(P)/
公募割れ [こうぼわれ] /(n) trade below the public offering price during a float/
公募株 [こうぼかぶ] /(n) publicly subscribed shares or stock/
公募債 [こうぼさい] /(n,vs) public issue/
公報 [こうほう] /(n) official bulletin/communique/(P)/
公方 [くぼう] /(n) public affairs/the court/the shogun/the shogunate/
公法 [こうほう] /(n) public law/
公法人 [こうほうじん] /(n) public corporation/juridical person/
公僕 [こうぼく] /(n) public servant/
公民 [おおみたから] /(n,adj-no) (arch) imperial subjects/the people/
公民 [こうみん] /(n) citizen/freemen/(P)/
公民科 [こうみんか] /(n) (subject of) civics/
公民学 [こうみんがく] /(n) civics/
公民学校 [こうみんがっこう] /(n) citizenship training school/
公民館 [こうみんかん] /(n) public hall/community center/community centre/(P)/
公民教育 [こうみんきょういく] /(n) civic or citizenship education/
公民権 [こうみんけん] /(n) civil rights/franchise/citizenship/(P)/
公民権運動 [こうみんけんうんどう] /(n) civil rights movement (esp. American)/
公民権法 [こうみんけんほう] /(n) Civil Rights Act (US)/
公民生活 [こうみんせいかつ] /(n) national life/
公務 [こうむ] /(n) official business/public business/(P)/
公務員 [こうむいん] /(n) government worker/public (civil) servant/(P)/
公務員管理職 [こうむいんかんりしょく] /(n) executive positions in the civil service/
公務員研修所 [こうむいんけんしゅうじょ] /(n) training institute for civil servants/
公務員試験 [こうむいんしけん] /(n) civil service examination/
公務災害 [こうむさいがい] /(n) accidents in line of duty/
公務執行妨害 [こうむしっこうぼうがい] /(n) interference with a public servant in the execution of his or her duties/
公務疾病 [こうむしっぺい] /(n) sickness incurred in line of duty/
公務中 [こうむちゅう] /(n-adv) on duty/
公明 [こうめい] /(adj-na,n) fairness/justice/(P)/
公明正大 [こうめいせいだい] /(adj-na,n) fairness/just and upright/aboveboard/
公明党 [こうめいとう] /(n) New Komeito (Japanese political party)/New Clean Government Party/Justice Party/(P)/
公役 [こうえき] /(n) public service/
公約 [こうやく] /(n,vs,adj-no) public commitment or promise/(P)/
公約数 [こうやくすう] /(n) common divisor/
公有 [こうゆう] /(n,adj-no) public ownership/(P)/
公有財産 [こうゆうざいさん] /(n) public property/
公有水面 [こうゆうすいめん] /(n) public waters/
公有地 [こうゆうち] /(n) public land/
公有物 [こうゆうぶつ] /(n) public property/
公有林 [こうゆうりん] /(n) public forest/
公用 [こうよう] /(n) (1) government business/official business/(adj-no) (2) public/official/governmental/(P)/
公用言語 [こうようげんご] /(n) official language/
公用語 [こうようご] /(n) official language/
公用車 [こうようしゃ] /(n) official vehicle/
公用物 [こうようぶつ] /(n) public property/
公用文 [こうようぶん] /(n) official terminology/
公吏 [こうり] /(n) public official/
公理 [こうり] /(n,adj-no) axiom/maxim/self-evident truth/
公理系 [こうりけい] /(n) axiomatic system/
公理的方法 [こうりてきほうほう] /(n) axiomatic method/
公理論 [こうりろん] /(n) axiomatic theory/
公立 [こうりつ] /(n) public (institution)/(P)/
公立学校 [こうりつがっこう] /(n) public school/
公立高校 [こうりつこうこう] /(n) public high school/
公立図書館 [こうりつとしょかん] /(n) public library/
公立大学 [こうりつだいがく] /(n) public university/
公領 [こうりょう] /(n) duchy/dukedom/principality/
公路 [こうろ] /(n) public road/highway/
公労委 [こうろうい] /(n) (abbr) Public Corporation and National Enterprise Labor Relations Commission/
公労協 [こうろうきょう] /(n) (abbr) Council of the Public Corporations and Government Workers Unions/
公労法 [こうろうほう] /(n) (abbr) Public Corporations and Government Enterprises Labor Relations Act/
公論 [こうろん] /(n) public opinion/unbiased criticism/unbiassed criticism/(P)/
公舍 [こうしゃ] /(oK) (n) official residence/
功 [こう] /(n) (1) merit/success/meritorious deed/(2) achievement/accumulated experience/
功を奏する [こうをそうする] /(exp,vs-s) to succeed/to bear fruit/
功を争う [こうをあらそう] /(exp,v5u) to contend for distinction/to claim credit/
功過 [こうか] /(n) merits and demerits/
功業 [こうぎょう] /(n) exploit/achievement/
功罪 [こうざい] /(n) both good and bad/merits and demerits/
功罪相償う [こうざいあいつぐなう] /(exp) (id) The merits and demerits offset each other/
功者 [こうしゃ] /(adj-na,n) cleverness/skill/tact/
功臣 [こうしん] /(n) meritorious retainer/
功績 [こうせき] /(n) achievements/merit/meritorious service/meritorious deed/(P)/
功程 [こうてい] /(n) amount of work/extent of labor (involved in ..., accomplished, etc.)/
功徳 [くどく] /(n) pious act/
功能 [くのう] /(ok) (n) effect/efficacy/virtue/benefit/
功能 [こうのう] /(n) effect/efficacy/virtue/benefit/
功夫 [くふう] /(n,vs) (1) scheme/device/scheming/devising/figuring out/coming up with/solving ingeniously/(2) dedication to spiritual improvement (esp. through Zen meditation)/
功夫 [カンフー] /(n) (MA) (uk) Kung-Fu (chi: go'ngfu)/
功名 [こうみょう] /(n) great achievement/(P)/
功名心 [こうみょうしん] /(n) ambition/aspiration/
功利 [こうり] /(n) utility/
功利主義 [こうりしゅぎ] /(n,adj-no) utilitarianism/
功利主義者 [こうりしゅぎしゃ] /(n) a utilitarian/
功利的 [こうりてき] /(adj-na,n) utilitarian/
功力 [くりき] /(n) merits (influence) of one's pious acts or religious practice (practise)/
功力 [こうりき] /(n) spiritual power resulting from Buddhist discipline/
功労 [こうろう] /(n) meritorious deed/services/(P)/
功労金 [こうろうきん] /(n) merit bonus/
功労者 [こうろうしゃ] /(n) person who has rendered distinguished service/
効 [かい] /(n) effect/result/worth/use/avail/
効 [こう] /(n) efficacy/benefit/efficiency/effect/result/success/
効が有る [こうがある] /(exp) to be beneficial to/to be efficacious/
効き [きき] /(n) effectiveness (esp. of drugs)/
効き目 [ききめ] /(n) effect/virtue/efficacy/impression/(P)/
効く [きく] /(v5k,vi) (1) to be effective/to show effect/(2) to do its work/to carry out its function well/(3) to be possible to use/(P)/
効果 [こうか] /(n,adj-no) effect/effectiveness/efficacy/result/(P)/
効果が上がる [こうかがあがる] /(exp,v5r) to bear fruit/to take effect/
効果の法則 [こうかのほうそく] /(n) law of effect/
効果音 [こうかおん] /(n) sound effect/sound effects/
効果的 [こうかてき] /(adj-na) effective/successful/(P)/
効果抜群 [こうかばつぐん] /(n,adj-na,adj-no) exceptionally effective/overwhelming effectiveness/
効果覿面 [こうかてきめん] /(n) bring an immediate result on/have an instant effect on/
効験 [こうけん] /(n) efficacy/effect/
効能 [こうのう] /(n) effect/efficacy/virtue/benefit/(P)/
効能書き [こうのうがき] /(n) statement of the efficacy of a medicine/
効目 [ききめ] /(n) effect/virtue/efficacy/impression/
効用 [こうよう] /(n) use/utility/effect/benefit/(P)/
効用関数 [こうようかんすう] /(n) utility function/
効用最大化 [こうようさいだいか] /(n,vs) utility maximization/utility maximisation/
効率 [こうりつ] /(n) efficiency/efficacy/performance/utility factor/(P)/
効率の良い [こうりつのよい] /(n) (comp) efficient/
効率化 [こうりつか] /(n,vs) making efficient/optimization/
効率向上 [こうりつこうじょう] /(n) improvement in efficiency/
効率性 [こうりつせい] /(n) efficiency/
効率的 [こうりつてき] /(adj-na) efficient/(P)/
効力 [こうりょく] /(n) effect/efficacy/validity/potency/(P)/
勾かす [かどわかす] /(v5s,vt) (uk) to kidnap/
勾引 [かどわかし] /(n) (uk) kidnapper/
勾引 [こういん] /(n,vs) arrest/custody/seduction/abduction/
勾引かす [かどわかす] /(v5s,vt) (uk) to kidnap/
勾引し [かどわかし] /(n) (uk) kidnapper/
勾引す [かどわす] /(v5s,vt) (uk) to kidnap/
勾引状 [こういんじょう] /(n) summons/warrant of arrest/
勾玉 [まがたま] /(n) (arch) comma-shaped jewels/
勾股弦 [こうこげん] /(n) (obsc) three sides of right triangle (minor cathetus, major cathetus & hypotenuse)/
勾股弦の定理 [こうこげんのていり] /(n) (arch) Pythagorean theorem/
勾配 [こうばい] /(n) slope/incline/gradient/grade/pitch/(P)/
勾欄 [こうらん] /(n) balustrade/railing/handrail/banister/bannister/
勾留 [こうりゅう] /(n,vs) detention/confinement/
厚 [あつ] /(suf) thickness/
厚い [あつい] /(adj-i) (1) thick/deep/heavy/(2) kind/cordial/hospitable/warm/faithful/(3) abundant/(P)/
厚かましい [あつかましい] /(adj-i) impudent/shameless/brazen/(P)/
厚く礼を述べる [あつくれいをのべる] /(exp,v1) to thank (a person) heartily/
厚さ [あつさ] /(n) thickness/(P)/
厚ぼったい [あつぼったい] /(adj-i) very thick/heavy/
厚み [あつみ] /(n) thickness/profound/(P)/
厚意 [こうい] /(n) kindness/favor/favour/(P)/
厚臼 [あつうす] /(n) stone hand mill/
厚恩 [こうおん] /(n) great favor/great favour/obligation/
厚化粧 [あつげしょう] /(n,vs) thick or heavy make-up/
厚角細胞 [こうかくさいぼう] /(n) collenchyma cell/
厚顔 [こうがん] /(adj-na,n) impudence/audacity/
厚顔無恥 [こうがんむち] /(adj-na,n) shameless/brazen and unscrupulous/
厚誼 [こうぎ] /(n) your kindness/
厚遇 [こうぐう] /(n,vs) cordial welcome/kind treatment/hospitality/
厚志 [こうし] /(n) kind intention/kind thought/
厚紙 [あつがみ] /(n) cardboard/thick paper/(P)/
厚謝 [こうしゃ] /(n,vs) deep gratitude/
厚手 [あつで] /(adj-na,n,adj-no) thick (paper, etc.)/
厚焼き [あつやき] /(n) thickly sliced food/
厚情 [こうじょう] /(n) kindness/favour/favor/hospitality/
厚生 [こうせい] /(n) (1) welfare/public welfare/social welfare/(2) (abbr) (former) Ministry of Health and Welfare/(P)/
厚生経済学 [こうせいけいざいがく] /(n) welfare economics/
厚生施設 [こうせいしせつ] /(n) welfare facilities/
厚生省 [こうせいしょう] /(n) Ministry of Health and Welfare (now Ministry of Health, Labour and Welfare)/(P)/
厚生大臣 [こうせいだいじん] /(n) Minister of Health and Welfare/
厚生年金 [こうせいねんきん] /(n) welfare pension/(P)/
厚生年金保険 [こうせいねんきんほけん] /(n) welfare annuity insurance/
厚生労働省 [こうせいろうどうしょう] /(n) Ministry of Health, Labour and Welfare/
厚生労働相 [こうせいろうどうしょう] /(n) Minister of Health, Labour and Welfare/
厚生労働大臣 [こうせいろうどうだいじん] /(n) Minister of Health, Labour and Welfare/
厚切り [あつぎり] /(n) thick slice/
厚相 [こうしょう] /(n) Welfare Minister/(P)/
厚地 [あつじ] /(n,adj-no) thick cloth/
厚着 [あつぎ] /(n,vs) wearing thick clothes/(P)/
厚底 [あつぞこ] /(n,adj-no) thick-soled footwear, popular in the late 1990s/
厚底靴 [あつぞこぐつ] /(n) platform shoes/thick-soled shoes/
厚薄 [こうはく] /(n) thickness/partiality/
厚板 [あついた] /(n) plank/thick board/plate glass/heavy metal sheet (esp. welding)/heavy brocaded obi/
厚皮 [あつかわ] /(adj-na,n) thick hide/shamelessness/
厚壁細胞 [こうへきさいぼう] /(n) sclerenchyma cell/
厚朴 [こうぼく] /(n) Japanese bigleaf magnolia bark (used in Chinese medicine)/
厚朴 [ほお] /(n) Japanese bigleaf magnolia (Magnolia obovata)/
厚朴 [ほおがしわ] /(ok) (n) Japanese bigleaf magnolia (Magnolia obovata)/
厚膜細胞 [こうまくさいぼう] /(n) sclerenchyma cell/
厚膜胞子 [こうまくほうし] /(n) chlamydospore (thick-walled spore that can survive harsh conditions)/
厚味 [あつみ] /(n) thickness/profound/
厚揚げ [あつあげ] /(n) thick fried tofu/
厚利 [こうり] /(n) large profits/
厚礼 [こうれい] /(n) heartfelt thanks/
厚労省 [こうろうしょう] /(n) (abbr) Ministry of Health, Labour and Welfare/
厚労相 [こうろうしょう] /(n) Minister of Health, Labour and Welfare/
口 [く] /(n) (1) (Buddh) mouth/speech/(suf,ctr) (2) counter for people or implements/
口 [くち] /(n) (1) mouth/(2) opening/hole/gap/orifice/(3) mouth (of a bottle)/spout/nozzle/mouthpiece/(4) gate/door/entrance/exit/(5) speaking/speech/talk (i.e. gossip)/(6) taste/palate/(7) mouth (to feed)/(8) opening (i.e. vacancy)/available position/(9) invitation/summons/(10) kind/sort/type/(11) opening (i.e. beginning)/(suf,ctr) (12) counter for mouthfuls, shares (of money), and swords/(P)/
口 [こう] /(suf,ctr) (1) counter for people or implements/
口々 [くちぐち] /(n) each entrance/every mouth/(P)/
口々に [くちぐちに] /(adv) severally/unanimously/(P)/
口あんぐり [くちあんぐり] /(n) dumbfounded/open-mouthed/
口うら [くちうら] /(n) (1) determining a speaker's true or hidden meaning/determining a speaker's intentions from his manner of speech/(2) (arch) divining good or bad luck from listening to someone/
口うらを合わせる [くちうらをあわせる] /(exp,v1) to arrange beforehand to tell the same story/to get the stories straight/
口うるさい [くちうるさい] /(adj-i) nagging/faultfinding/carping/captious/
口かせ [くちかせ] /(n) (vulg) (mouth) gag/muzzle/
口から砂糖が出る [くちからさとうがでる] /(exp,v1) (obsc) sickly sweet/
口から漏れる [くちからもれる] /(exp,v1) to pass from one's lips/
口がうまい [くちがうまい] /(exp,adj-i) honeymouthed/glib/fair-spoken/cajoling/talking glibly/
口がかかる [くちがかかる] /(exp,v5r) (1) to be summoned (i.e. of a geisha, by a customer)/(2) to be offered (the job of ...)/to be invited (to do ...)/
口が悪い [くちがわるい] /(exp,adj-i) sarcastic/having a sharp (nasty) tongue/
口が過ぎる [くちがすぎる] /(exp,v1) to say something better left unsaid/to go too far (by saying something rude)/
口が掛かる [くちがかかる] /(exp,v5r) (1) to be summoned (i.e. of a geisha, by a customer)/(2) to be offered (the job of ...)/to be invited (to do ...)/
口が滑る [くちがすべる] /(exp,v5r) to make a slip of the tongue/to let something slip/
口が軽い [くちがかるい] /(exp,adj-i) having a loose tongue/being talkative/speaking without thinking/
口が堅い [くちがかたい] /(exp) tight-lipped/able to keep a secret/
口が減らない [くちがへらない] /(exp,adj-f) fast-talking/always having another argument ready/not able to keep one's mouth shut/
口が巧い [くちがうまい] /(exp,adj-i) honeymouthed/glib/fair-spoken/cajoling/talking glibly/
口が酸っぱくなる [くちがすっぱくなる] /(exp) to say the same thing over and over again/to talk until one is blue in the face/
口が重い [くちがおもい] /(exp,adj-i) incommunicative/taciturn/
口が上手い [くちがうまい] /(exp,adj-i) honeymouthed/glib/fair-spoken/cajoling/talking glibly/
口が多い [くちがおおい] /(exp,adj-i) (1) talkative/loquacious/garrulous/voluble/(exp) (2) having a large family to support/having too many mouths to feed/
口が肥える [くちがこえる] /(exp,v1) to be used to eating the best/
口が裂けても [くちがさけても] /(exp) (I) won't (say) anything no matter what (expression is followed by negative verb relating to say, answer, etc.) to not (tell) even under any threat/
口が裂けても言えない [くちがさけてもいえない] /(exp) (I) won't say anything no matter what/to be unwilling to tell even under threat/
口が辷る [くちがすべる] /(oK) (exp,v5r) to make a slip of the tongue/to let something slip/
口きき [くちきき] /(n) (1) mediation/good offices/intervention/mediator/middleman/(2) influential person/person of influence/(3) (arch) eloquence/eloquent person/(4) (arch) way of speaking/
口げんか [くちげんか] /(n,vs) quarrel/dispute/(P)/
口ごたえ [くちごたえ] /(n,vs) retort/back talk/
口ごもる [くちごもる] /(v5r,vi) to hesitate to say/to mumble/to hem and haw/to falter/(P)/
口さがない [くちさがない] /(adj-i) gossipy/abusive/critical/jabbering/
口さき [くちさき] /(n) (1) lip service/mere words/professions/(2) lips/mouth/snout/proboscis/
口ずから [くちずから] /(adv) personally/
口ずさむ [くちずさむ] /(v5m,vt) to hum/to sing to oneself/to compose impromptu (poems)/
口だし [くちだし] /(n,vs) interference/butting in/
口つき [くちつき] /(n) (1) (in the shape of a) mouth/(2) mouthpiece (of a cigarette)/(3) manner of speech/
口づけ [くちづけ] /(n,vs) kiss/
口づける [くちづける] /(v1) to kiss/
口では大阪の城も建つ [くちではおおさかのしろもたつ] /(exp) (id) easier said than done/if it's just talking you can even build Osaka Castle/
口どけ [くちどけ] /(n) (uk) melt-in-the-mouth/
口に [くちに] /(adv) eating/speaking of/referring to/
口にする [くちにする] /(exp,vs-i) (1) to taste/to eat/(2) to speak of/to refer to/
口にのぼる [くちにのぼる] /(exp,v5r) to become the subject of rumours or conversations/
口にチャック [くちにチャック] /(exp) (col) zip it (when used to others)/I'll shut up (when used by oneself)/button (one's) lips/lit: (put a) zipper on (one's) mouth/
口に運ぶ [くちにはこぶ] /(exp,v5b) to put into the mouth/to eat/
口に掛ける [くちにかける] /(exp,v1) to say (something)/
口に含む [くちにふくむ] /(exp,v5m) to hold in one's mouth (without biting, before chewing or swallowing, etc.)/
口に合う [くちにあう] /(exp,v5u) to be palatable/to suit one's taste/
口に出す [くちにだす] /(exp,v5s) to put into words/to express/
口に上せる [くちにのぼせる] /(exp,v1) to talk about (something)/
口に上る [くちにのぼる] /(exp,v5r) to become the subject of rumours or conversations/
口に乗る [くちにのる] /(exp,v5r) (1) to be a topic of conversation/to be made much of/(2) to be taken in/
口に入いる [くちにはいる] /(exp,v5r) to be able to eat/
口に入る [くちにはいる] /(exp,v5r) to be able to eat/
口に蜜有り腹に剣有り [くちにみつありはらにけんあり] /(exp) (id) A honey tongue, a heart of gall/
口のうまい [くちのうまい] /(adj-i) honeymouthed/glib/fair-spoken/
口のきき方 [くちのききかた] /(exp) the way one talks/one's way of speaking/
口の悪い [くちのわるい] /(adj-i) sarcastic/foulmouthed/
口の軽い [くちのかるい] /(adj-i) loose-tongued/talkative/
口の堅い [くちのかたい] /(adj-i) tight-lipped/
口の減らない [くちのへらない] /(adj-f) always having a comeback (often used derogatorily)/fast-talking/
口の効き方 [くちのききかた] /(exp) the way one talks/one's way of speaking/
口の小さい [くちのちいさい] /(n) small mouthed/
口の上手い [くちのうまい] /(adj-i) honeymouthed/glib/fair-spoken/
口の端 [くちのは] /(n) gossip/
口の利き方 [くちのききかた] /(exp) the way one talks/one's way of speaking/
口は禍の元 [くちはわざわいのもと] /(exp) (id) Out of the mouth comes evil/
口ばかり [くちばかり] /(n) all talk (and no action)/
口ばっかり [くちばっかり] /(n) all talk (and no action)/
口ひげ [くちひげ] /(n) moustache/mustache/
口ぶり [くちぶり] /(n) way of speaking/intimation/(P)/
口まめ [くちまめ] /(adj-na,n) talkative/voluble/
口もと [くちもと] /(n) the mouth/shape of the mouth/near an entrance/
口やかましい [くちやかましい] /(adj-i) (1) nagging/critical/(2) talkative/gossipy/
口をかける [くちをかける] /(exp,v1) (1) to talk/to call/to invite/(2) to call a geisha or prostitute over/
口をきく [くちをきく] /(exp,v5k) (1) to speak/to utter/(2) to mediate/
口をすっぱくして言う [くちをすっぱくしていう] /(exp,v5u) to say time and time again/to say till you're blue in the face/
口をだす [くちをだす] /(exp,v5s) to interrupt a conversation/
口をつける [くちをつける] /(v1,exp) to taste/to try (food or drink)/
口をはさむ [くちをはさむ] /(exp,v5m) to cut into (a conversation)/to interject/
口を開く [くちをひらく] /(exp,v5k) to open one's mouth (to talk)/
口を掛ける [くちをかける] /(exp,v1) (1) to talk/to call/to invite/(2) to call a geisha or prostitute over/
口を割る [くちをわる] /(exp,v5r) to confess/to speak out/to disclose/to tell/
口を窮めて [くちをきわめて] /(exp,adv) using the strongest words possible/
口を挟む [くちをはさむ] /(exp,v5m) to cut into (a conversation)/to interject/
口を極めて [くちをきわめて] /(exp,adv) using the strongest words possible/
口を糊する [くちをのりする] /(exp,vs-s) to eke out a living/to barely manage to get by/
口を合わせる [くちをあわせる] /(exp,v1) to arrange not to contradict each other/
口を酸っぱくして言う [くちをすっぱくしていう] /(exp,v5u) to say time and time again/to say till you're blue in the face/
口を出す [くちをだす] /(exp,v5s) to interrupt a conversation/
口を拭う [くちをぬぐう] /(exp,v5u) to wipe one's mouth/to feign innocence/to feign ignorance/
口を慎む [くちをつつしむ] /(exp,v5m) to be careful in speech/
口を尖らす [くちをとがらす] /(exp,v5s) to pout/
口を揃えて [くちをそろえて] /(exp) (to complain) unanimously/in chorus/
口を添える [くちをそえる] /(exp,v1) to put in a word for/to second/to support/
口を突いて出る [くちをついてでる] /(exp,v1) to rush out from one's mouth (words, phrases, etc.)/
口を入れる [くちをいれる] /(exp,v1) to throw in a suggestion/
口を付ける [くちをつける] /(v1,exp) to taste/to try (food or drink)/
口を閉ざす [くちをとざす] /(exp,v5s) to keep one's mouth shut/to refuse to talk/
口を利く [くちをきく] /(exp,v5k) (1) to speak/to utter/(2) to mediate/
口を噤む [くちをつぐむ] /(v5m,exp) to hold one's tongue/to shut up/
口コミ [くちコミ] /(n) (1) word of mouth/(2) comment on an Internet forum or web page/(P)/
口パク [くちパク] /(n) lip-synch/lip-sync/
口ピアス [くちピアス] /(n) lip piercing/
口移し [くちうつし] /(n) mouth-to-mouth feeding/conveying by word of mouth/oral tradition/
口演 [こうえん] /(n,vs) oral presentation/
口炎 [こうえん] /(n) mouth ulcer/stomatitis/
口縁 [こうえん] /(n) (1) rim of bowl or vessel/(2) peristome/
口汚い [くちぎたない] /(adj-i) foul-mouthed/abusive/
口汚し [くちよごし] /(n) tantalizing sample (of food)/tantalising sample (of food)/
口汚ない [くちぎたない] /(adj-i) foul-mouthed/abusive/
口応え [くちごたえ] /(iK) (n,vs) retort/back talk/
口音 [こうおん] /(n) oral consonant/
口下手 [くちべた] /(adj-na,n) defective speech/slowness of speech/poor talker/tongue-tied person/
口可笑 [くちおかし] /(n) witty talking/joking/
口火 [くちび] /(n) fuse/spark plug/cause (of war)/origin (of a quarrel)/(P)/
口火を切る [くちびをきる] /(exp,v5r) to start the debate/to get the ball rolling/to fire the first shot (fig. only)/to start a conversation/
口過ぎ [くちすぎ] /(n) livelihood/
口解け [くちどけ] /(iK) (n) (uk) melt-in-the-mouth/
口回し [くちまわし] /(n) an expression/phraseology/
口絵 [くちえ] /(n) frontispiece/
口開け [くちあけ] /(n) opening/broaching/beginning/first sale/
口外 [こうがい] /(n,vs,adj-no) disclosure/reveal (i.e. a secret)/
口蓋 [こうがい] /(n,adj-no) palate/
口蓋音 [こうがいおん] /(n) a palatal/
口蓋骨 [こうがいこつ] /(n) palatine bone (of the skull)/
口蓋垂 [こうがいすい] /(n) uvula/
口蓋裂 [こうがいれつ] /(n) cleft palate/
口角 [こうかく] /(n) corners of the mouth/
口角あわ [こうかくあわ] /(n) frothing at the mouth/
口角あわを飛ばす [こうかくあわをとばす] /(exp,v5s) to engage in a heated discussion/
口角泡 [こうかくあわ] /(n) frothing at the mouth/
口角泡を飛ばす [こうかくあわをとばす] /(exp,v5s) to engage in a heated discussion/
口角力 [くちずもう] /(n) (1) war of words/verbal fisticuffs/(2) (sl) kissing/
口渇 [こうかつ] /(n) thirst/dry mouth/dipsia/
口噛み酒 [くちかみさけ] /(n) sake made from rice or other cereal which is chewed before fermentation/
口慣らし [くちならし] /(n,vs) accustoming oneself to a certain taste/oral drill/
口器 [こうき] /(n) trophi (mouthparts of an insect, etc.)/
口奇麗 [くちぎれい] /(adj-na,n) speaking elegantly/speaking clearly/not coveting food/speaking like an innocent person/
口寄 [くちよせ] /(io) (n,vs) (1) spiritualism/spiritism/channeling/summoning a spirit and giving him voice (esp. when done by a female shaman)/(n) (2) medium/channeler/
口寄せ [くちよせ] /(n,vs) (1) spiritualism/spiritism/channeling/summoning a spirit and giving him voice (esp. when done by a female shaman)/(n) (2) medium/channeler/
口気 [こうき] /(n) bad breath/intimation/
口許 [くちもと] /(n) the mouth/shape of the mouth/near an entrance/
口供 [こうきょう] /(n,vs) affidavit/deposition/
口供書 [こうきょうしょ] /(n) affidavit/deposition/
口巾ったい [くちはばったい] /(n) acting smart/bragging/
口琴 [こうきん] /(n) mouth harp/Jew's harp/
口琴 [びやぼん] /(n) Edo-period mouth harp (with a hairpin-like frame and a long straight tongue)/
口金 [くちがね] /(n) (1) (metal) cap/(2) clasp/(3) mouthpiece/(4) socket (for light, etc.)/
口吟 [こうぎん] /(n,vs) humming to oneself/
口吟む [くちずさむ] /(v5m,vt) to hum/to sing to oneself/to compose impromptu (poems)/
口径 [こうけい] /(n) aperture/bore/calibre/caliber/(P)/
口径食 [こうけいしょく] /(n) vignetting/
口径比 [こうけいひ] /(n) aperture ratio (inverse of the f-number)/relative aperture/
口軽 [くちがる] /(adj-na,n) loose-lipped/talkative/
口喧しい [くちやかましい] /(adj-i) (1) nagging/critical/(2) talkative/gossipy/
口喧嘩 [くちけんか] /(n,vs) quarrel/dispute/
口喧嘩 [くちげんか] /(n,vs) quarrel/dispute/
口堅い [くちがたい] /(adj-i) discreet/tight-lipped/
口元 [くちもと] /(n) the mouth/shape of the mouth/near an entrance/
口減らし [くちべらし] /(n) reducing the mouths to feed/
口言葉 [くちことば] /(n) words in common use/
口固い [くちがたい] /(adj-i) discreet/tight-lipped/
口固め [くちがため] /(n,vs) verbal promise/
口語 [こうご] /(n,adj-no) (1) spoken language/(2) literary style based on (modern) spoken language/(P)/
口語英語 [こうごえいご] /(n) spoken English/
口語体 [こうごたい] /(n) colloquial style/
口語文 [こうごぶん] /(n) colloquial language or sentence/
口語文法 [こうごぶんぽう] /(n) colloquial grammar/grammar of modern spoken and written japanese/
口語訳 [こうごやく] /(n) colloquial translation/
口口 [くちぐち] /(n) each entrance/every mouth/
口口に [くちぐちに] /(adv) severally/unanimously/
口巧者 [くちごうしゃ] /(adj-na,n) smooth-spoken/
口紅 [くちべに] /(n,adj-no) lipstick/(P)/
口腔 [こうくう] /(n,adj-no) the oral cavity/mouth cavity/
口腔 [こうこう] /(n,adj-no) the oral cavity/mouth cavity/
口腔外科 [こうくうげか] /(n) dental surgery/oral surgery/
口腔外科 [こうこうげか] /(n) dental surgery/oral surgery/
口腔癌 [こうこうがん] /(n) oral cancer/
口荒 [くちあら] /(adj-na,n) rough speaking/
口荒く [くちあらく] /(adv) violently/
口号む [くちずさむ] /(iK) (v5m,vt) to hum/to sing to oneself/to compose impromptu (poems)/
口座 [こうざ] /(n) account (e.g. bank)/(P)/
口座係 [こうざかかり] /(n) teller (in bank)/
口座番号 [こうざばんごう] /(n) account number (bank, etc.)/(P)/
口塞ぎ [くちふさぎ] /(n) prohibition of speaking/imposition of silence/tiny morsel/
口才 [こうさい] /(adj-na,n) clever speech/
口細 [くちぼそ] /(n) (1) (fem) having a small mouth/eating only a little/(2) topmouth gudgeon (Pseudorasbora parva)/(3) barracuda/
口三味線 [くちざみせん] /(n) humming a samisen tune/
口三味線 [くちじゃみせん] /(n) humming a samisen tune/
口子 [くちこ] /(n) (food) dried sea-cucumber ovaries/
口止め [くちどめ] /(n,vs) forbidding to speak/muzzling (a person)/bribing into secrecy/(P)/
口止め料 [くちどめりょう] /(n) hush money/
口耳 [こうじ] /(n) mouth and ear/
口耳の学 [こうじのがく] /(n) shallow learning/
口実 [こうじつ] /(n) excuse/pretext/(P)/
口写し [くちうつし] /(n) repeat mindlessly/speaking in a similar manner/
口車 [くちぐるま] /(n) cajolery/wheedling/
口寂しい [くちさびしい] /(adj-i) longing to have or put something in one's mouth/
口取 [くちとり] /(n) (1) leading a horse, cow, etc./(2) groom/horse boy/(3) hors d'oeuvre/appetizer/side dish/
口取り [くちとり] /(n) (1) leading a horse, cow, etc./(2) groom/horse boy/(3) hors d'oeuvre/appetizer/side dish/
口受 [くじゅ] /(n) listening to someone talking/
口授 [くうじゅ] /(n,vs) oral instruction or teaching or method/
口授 [くじゅ] /(n,vs) oral instruction or teaching or method/
口授 [こうじゅ] /(n,vs) oral instruction or teaching or method/
口臭 [こうしゅう] /(n) bad breath/halitosis/
口重 [くちおも] /(adj-na,n) slow of speech/prudent/
口重い [くちおもい] /(adj-i) slow of speech/prudent/
口出し [くちだし] /(n,vs) interference/meddling/(P)/
口述 [こうじゅつ] /(n,vs,adj-no) dictation/verbal statement/(P)/
口述権 [こうじゅつけん] /(n) public recitation right (e.g. reciting a poem in a bookstore)/
口述試験 [こうじゅつしけん] /(n) oral examination/
口述書 [こうじゅつしょ] /(n) affidavit/
口述筆記 [こうじゅつひっき] /(n,vs) taking dictation/note-taking/
口書 [くちがき] /(n,vs) (1) writing with the brush in one's mouth/(n) (2) foreword/preface/(3) affidavit/written confession (of a commoner in the Edo period)/
口書き [くちがき] /(n,vs) (1) writing with the brush in one's mouth/(n) (2) foreword/preface/(3) affidavit/written confession (of a commoner in the Edo period)/
口小言 [くちこごと] /(n) scolding/faultfinding/
口承 [こうしょう] /(n,vs) passing on by word of mouth/oral tradition/
口承文学 [こうしょうぶんがく] /(n) oral literature/oral tradition/
口承文芸 [こうしょうぶんげい] /(n) oral literature/folklore/
口上 [こうじょう] /(n) (1) vocal message/speech/statement/(2) prologue at the start of a kabuki performance/(P)/
口上手 [くちじょうず] /(adj-na,n) smooth-speaking/
口上書 [こうじょうがき] /(n) verbal note (notes verbale)/written statement/
口上書 [こうじょうしょ] /(n) verbal note (notes verbale)/written statement/
口上書き [こうじょうがき] /(n) verbal note (notes verbale)/written statement/
口拭き [くちふき] /(n) napkin/
口触り [くちざわり] /(n) (food that meets one's) taste/treatment/
口尻 [くちじり] /(n) commissures (of the lips)/lip corners/mouth corners/
口唇 [こうしん] /(n,adj-no) lips/labia/
口唇ヘルペス [こうしんヘルペス] /(n) oral herpes/cold sores/herpes simplex virus 1/HSV-1/
口唇期 [こうしんき] /(n) the oral phase (of development)/
口唇性格 [こうしんせいかく] /(n) oral character (in psychoanalysis)/
口唇裂 [こうしんれつ] /(n) (sens) harelip/cleft lip/
口振り [くちぶり] /(n) way of speaking/intimation/
口真似 [くちまね] /(n,vs) mimicry/
口数 [くちかず] /(n) (1) number of words a person speaks/(2) number of dependents (words, shares, accounts)/(P)/
口数 [くちすう] /(n) (1) number of words a person speaks/(2) number of dependents (words, shares, accounts)/
口数 [こうすう] /(n) number of people, items, etc./population/
口数が少ない [くちかずがすくない] /(exp) taciturn/
口数が多い [くちかずがおおい] /(exp,adj-i) talkative/
口数の少ない [くちかずのすくない] /(adj-i) taciturn/
口数の多い [くちかずのおおい] /(adj-i) talkative/
口性ない [くちさがない] /(adj-i) gossipy/abusive/critical/jabbering/
口性無い [くちさがない] /(adj-i) gossipy/abusive/critical/jabbering/
口惜しい [くちおしい] /(adj-i) regrettable/mortifying/vexing/
口惜しい [くやしい] /(adj-i) regrettable/mortifying/vexing/
口切り [くちきり] /(n) (1) start broaching (a subject)/opening remark/start/commencement/beginning/(2) event at the start of the tenth month of the lunar calendar/(3) opening a sealed jar or container/
口説 [くぜつ] /(n) lover's tiff/
口説き [くどき] /(n,vs) (1) entreaty/imploring/begging/(2) spoken portion of a song/oral recitation/
口説き文句 [くどきもんく] /(exp) chatup line/pick-up line/(loving) words/
口説き落す [くどきおとす] /(v5s,vt) to persuade/to prevail upon/to win a woman's heart/to win over/to talk someone into doing/
口説き落とす [くどきおとす] /(v5s,vt) to persuade/to prevail upon/to win a woman's heart/to win over/to talk someone into doing/
口説く [くどく] /(v5k,vt) (1) to persuade/to coax/to solicit/(2) to seduce/to make advances/to make a play/to make a pass/to put the moves on/to come on to/to hit on/to court/to woo/to romance/
口舌 [くぜつ] /(n,adj-no) talking recklessly/quarreling/quarrelling/curtain lecture/words/tongue/
口舌 [こうぜつ] /(n,adj-no) talking recklessly/quarreling/quarrelling/curtain lecture/words/tongue/
口先 [くちさき] /(n) (1) lip service/mere words/professions/(2) lips/mouth/snout/proboscis/(P)/
口先だけ [くちさきだけ] /(exp,adj-no) insincere/giving lip-service/glib/
口先のうまい [くちさきのうまい] /(adj-i) smooth talking/
口先の上手い [くちさきのうまい] /(adj-i) smooth talking/
口占 [くちうら] /(n) (1) determining a speaker's true or hidden meaning/determining a speaker's intentions from his manner of speech/(2) (arch) divining good or bad luck from listening to someone/
口宣 [こうせん] /(n) oral statement/
口銭 [こうせん] /(n) commission/brokerage/
口前 [くちまえ] /(n,adj-no) way of speaking/profession/
口早 [くちばや] /(adj-na,n) rapid talking/
口争い [くちあらそい] /(n,vs) quarreling/quarrelling/
口相撲 [くちずもう] /(n) (1) war of words/verbal fisticuffs/(2) (sl) kissing/
口装 [こうそう] /(n) muzzle loading gun/
口走る [くちばしる] /(v5r,vt) to speak/to tell/to blurt out/(P)/
口叩き [くちたたき] /(n) talking a lot/talkative person/
口達者 [くちだっしゃ] /(adj-na,n) eloquence/glibness/
口茶 [くちぢゃ] /(n) adding more tea/adding fresh leaves to used ones in a teapot/
口中 [こうちゅう] /(n) interior of the mouth/
口中清涼剤 [こうちゅうせいりょうざい] /(n) mouth freshener/oral deodorant/
口忠実 [くちまめ] /(adj-na,n) talkative/voluble/
口調 [くちょう] /(n) tone (e.g. of voice, etc.)/(verbal) expression/(P)/
口直し [くちなおし] /(n,vs) removing a bad taste/cleansing one's palate/
口蹄疫 [こうていえき] /(n) foot-and-mouth disease/hoof-and-mouth disease/
口笛 [くちぶえ] /(n) whistle/(P)/
口笛を吹く [くちぶえをふく] /(exp,v5k) to whistle/
口添え [くちぞえ] /(n,vs) recommendation/putting in a good word for someone/
口伝 [くでん] /(n) oral tradition/tradition/oral instruction/
口伝 [こうでん] /(n) oral tradition/tradition/oral instruction/
口伝え [くちづたえ] /(n) oral tradition/tradition/oral instruction/
口伝て [くちづて] /(n) oral tradition/tradition/oral instruction/
口当たり [くちあたり] /(n) (1) taste/(2) smooth talking/(3) reception/hospitality/
口答 [こうとう] /(n) oral answer/
口答え [くちごたえ] /(n,vs) retort/back talk/(P)/
口答試問 [こうとうしもん] /(n) oral examination/interview/
口頭 [こうとう] /(n,adj-no) oral/(P)/
口頭による名誉毀損 [こうとうによるめいよきそん] /(exp) oral defamation/
口頭語 [こうとうご] /(n) spoken language (as opposed to literary)/
口頭試問 [こうとうしもん] /(n) oral examination/interview/
口頭審理 [こうとうしんり] /(n) oral proceedings/
口頭弁論 [こうとうべんろん] /(n) oral proceedings/oral pleadings/(P)/
口内 [こうない] /(n,adj-no) oral/
口内炎 [こうないえん] /(n) mouth ulcer/stomatitis/
口内射精 [こうないしゃせい] /(n) (sl) ejaculating into someone's mouth/
口内謝 [こうないしゃ] /(iK) (n,vs) ejaculation in the mouth/
口内性交 [こうないせいこう] /(n) (X) oral sex/fellatio/
口馴らし [くちならし] /(n,vs) accustoming oneself to a certain taste/oral drill/
口入れ [くちいれ] /(n,vs) acting as go-between/good offices/
口入れ屋 [くちいれや] /(n) employment agency/
口入れ人 [くちいれにん] /(n) go-between/intermediate/agent (e.g. for employing servants)/
口入屋 [くちいれや] /(n) employment agency/
口任せ [くちまかせ] /(n) random talk/
口拍子 [くちびょうし] /(n) counting time orally/
口八丁 [くちはっちょう] /(n) voluble/eloquent/
口抜き [くちぬき] /(n) corkscrew/
口煩い [くちうるさい] /(adj-i) nagging/faultfinding/carping/captious/
口煩さい [くちうるさい] /(adj-i) nagging/faultfinding/carping/captious/
口碑 [こうひ] /(n) oral tradition/legend/folklore/
口髭 [くちひげ] /(n) moustache/mustache/
口髭猿 [くちひげざる] /(n) (uk) mustached monkey (Cercopithecus cephus)/moustached guenon/
口紐 [くちひも] /(n) drawstring (e.g. on a bag)/
口不調法 [くちぶちょうほう] /(adj-na,n) poor talker/
口付き [くちつき] /(n) (1) (in the shape of a) mouth/(2) mouthpiece (of a cigarette)/(3) manner of speech/
口付き [くちづき] /(n) (1) (in the shape of a) mouth/(2) mouthpiece (of a cigarette)/(3) manner of speech/
口付き煙草 [くちづきたばこ] /(n) cigarette with a mouthpiece/
口付け [くちづけ] /(n,vs) kiss/
口付ける [くちづける] /(v1) to kiss/
口幅ったい [くちはばったい] /(adj-i) bragging/impudence/
口腹 [こうふく] /(n) (1) appetite/(2) distinction between what is thought and what is said/
口分け [くちわけ] /(n) assortment/
口吻 [こうふん] /(n) way of speaking/intimation/
口癖 [くちぐせ] /(n) way of saying/favorite phrase/favourite phrase/(P)/
口偏 [くちへん] /(n) kanji "mouth" radical at left/
口辺 [こうへん] /(n,adj-no) around one's lips/
口辺に [こうへんに] /(adv) around the mouth/
口辺単純疱疹 [こうへんたんじゅんほうしん] /(n) cold sore/
口返答 [くちへんとう] /(n,vs) talking back/retort/
口弁 [こうべん] /(n) eloquence/
口味 [こうみ] /(n) taste/flavor/flavour/deliciousness/
口無し [くちなし] /(n) (1) something unspoken/(2) non-functional mouth/
口明け [くちあけ] /(n) start/beginning/
口約 [こうやく] /(n,vs) verbal promise/
口約束 [くちやくそく] /(n,vs) verbal promise/
口遊む [くちずさむ] /(v5m,vt) to hum/to sing to oneself/to compose impromptu (poems)/
口溶け [くちどけ] /(n) (uk) melt-in-the-mouth/
口利き [くちきき] /(n) (1) mediation/good offices/intervention/mediator/middleman/(2) influential person/person of influence/(3) (arch) eloquence/eloquent person/(4) (arch) way of speaking/(P)/
口裏 [くちうら] /(n) (1) determining a speaker's true or hidden meaning/determining a speaker's intentions from his manner of speech/(2) (arch) divining good or bad luck from listening to someone/
口裏を合わせる [くちうらをあわせる] /(exp,v1) to arrange beforehand to tell the same story/to get the stories straight/
口凌ぎ [くちしのぎ] /(n) living from hand to mouth/
口糧 [こうりょう] /(n) rations/
口輪 [くちわ] /(n) muzzle/
口輪筋 [こうりんきん] /(n) orbicularis oris muscle/
口篭る [くちごもる] /(v5r,vi) to hesitate to say/to mumble/to hem and haw/to falter/
口論 [こうろん] /(n,vs) dispute/quarrel/(P)/
口話 [こうわ] /(n) silent mouthing/
口話法 [こうわほう] /(n) lipreading/
口脇 [くちわき] /(n) edges of the mouth/
口枷 [くちかせ] /(n) (vulg) (mouth) gag/muzzle/
口籠もる [くちごもる] /(v5r,vi) to hesitate to say/to mumble/to hem and haw/to falter/
口籠る [くちごもる] /(v5r,vi) to hesitate to say/to mumble/to hem and haw/to falter/
口誦 [こうしょう] /(n,vs) recitation/
口髯 [くちひげ] /(n) moustache/mustache/
口鬚 [くちひげ] /(n) moustache/mustache/
向い [むかい] /(io) (n,adj-no) facing/opposite/across the street/other side/(P)/
向いている [むいている] /(exp,v1) to be cut out for (e.g. a job)/to be suited (to)/
向い合う [むかいあう] /(io) (v5u,vi) to be opposite/to face each other/
向い合せる [むかいあわせる] /(v1) to face/to confront/to be opposite to/
向い合わせる [むかいあわせる] /(v1) to face/to confront/to be opposite to/
向い側 [むかいがわ] /(io) (n,adj-no) opposite side/other side/other party/
向い波 [むかいなみ] /(n) head sea/
向い風 [むかいかぜ] /(n) head wind/
向う [むかう] /(io) (v5u,vi) (1) to face/(2) to go towards/
向う河岸 [むこうがし] /(io) (n) opposite shore/
向う見ず [むこうみず] /(adj-na,n) recklessness/rashness/foolhardiness/temerity/(lit: without watching where one is going)/
向う側 [むこうがわ] /(n) other side/opposite side/other party/
向かい [むかい] /(n,adj-no) facing/opposite/across the street/other side/(P)/
向かい火 [むかいび] /(n) backfire (to defend against forest fires)/
向かい合う [むかいあう] /(v5u,vi) to be opposite/to face each other/
向かい合せる [むかいあわせる] /(v1) to face/to confront/to be opposite to/
向かい合わせ [むかいあわせ] /(n) face-to-face/
向かい合わせる [むかいあわせる] /(v1) to face/to confront/to be opposite to/
向かい側 [むかいがわ] /(n,adj-no) opposite side/other side/other party/
向かい波 [むかいなみ] /(n) head sea/
向かい風 [むかいかぜ] /(n) head wind/
向かう [むかう] /(v5u,vi) (1) to face/(2) to go towards/(P)/
向かって右 [むかってみぎ] /(exp) on the right as one faces (it)/
向かって左 [むかってひだり] /(exp) on the left as one faces (it)/(P)/
向かっ腹 [むかっぱら] /(n) anger/passion/
向か腹 [むかばら] /(n) anger/passion/
向き [むき] /(adj-na,n,n-suf) direction/orientation/aspect/situation/exposure/suitability/tendency/(P)/
向きになる [むきになる] /(exp,v5r) (uk) to become serious/to take something (joke, teasing) seriously/to become irritated or angry (usually at something trivial)/
向きに成る [むきになる] /(exp,v5r) (uk) to become serious/to take something (joke, teasing) seriously/to become irritated or angry (usually at something trivial)/
向き向き [むきむき] /(n) suitability/
向き合う [むきあう] /(v5u,vi) to be opposite/to face each other/
向き直る [むきなおる] /(v5r,vi) to turn round/to face about/to turn about/
向き不向きが有る [むきふむきがある] /(exp) to have one's own field of work/
向き付けに [むきつけに] /(adv) to one's face/in one's presence/
向く [むく] /(v5k) (1) to face/(2) to turn toward/(3) to be suited to/to be fit for/(P)/
向け [むけ] /(n-suf) intended for .../oriented towards .../aimed at .../(P)/
向けなおす [むけなおす] /(v5s,vt) to change direction/
向ける [むける] /(v1,vt) to turn towards/to point/(P)/
向け替える [むけかえる] /(v1) to change direction/
向け直す [むけなおす] /(v5s,vt) to change direction/
向け直る [むけなおる] /(v5r,vi) to change direction/
向こう [むこう] /(n) (1) opposite side/other side/opposite direction/(2) over there/that way/far away/beyond/(3) the other party/the other person/(4) future (starting now)/(P)/
向こうから来る [むこうからくる] /(vk) to come from the opposite direction/
向こうで暮らす [むこうでくらす] /(v5s) to live overseas/
向こうに回して [むこうにまわして] /(exp) in opposition to/
向こうに着いたら [むこうについたら] /(n) when you get to the destination/
向こうみず [むこうみず] /(adj-na,n) recklessness/rashness/foolhardiness/temerity/(lit: without watching where one is going)/
向こうを張る [むこうをはる] /(exp,v5r) to vie with one's opponent/
向こう意気 [むこういき] /(n) aggressive/
向こう河岸 [むこうがし] /(n) opposite shore/
向こう岸 [むこうぎし] /(n) the opposite bank/
向こう気 [むこうき] /(n) aggressive/
向こう見ず [むこうみず] /(adj-na,n) recklessness/rashness/foolhardiness/temerity/(lit: without watching where one is going)/
向こう向き [むこうむき] /(n,adj-no) facing the other way/
向こう三軒 [むこうさんげん] /(n) one's next three neighbors/one's next three neighbours/
向こう傷 [むこうきず] /(n) scar on one's forehead/
向こう正面 [むこうじょうめん] /(n) opposite front (side)/(seat facing) south side of sumo ring/front (the orchestra) seats in a theater/
向こう側 [むこうがわ] /(n) other side/opposite side/other party/(P)/
向こう鉢巻 [むこうはちまき] /(n) folded or rolled head towel/towel twisted around one's head/
向こう鉢巻き [むこうはちまき] /(n) folded or rolled head towel/towel twisted around one's head/
向こう疵 [むこうきず] /(n) frontal wound/
向こう脛 [むこうずね] /(n) shin/front of lower leg/
向っ腹 [むかっぱら] /(n) anger/passion/
向河岸 [むこうがし] /(io) (n) opposite shore/
向格 [こうかく] /(n,adj-no) (ling) allative/
向学心 [こうがくしん] /(n) love of learning/
向寒 [こうかん] /(n) facing the winter/
向後 [きょうこう] /(n-adv,n-t) hereafter/
向後 [きょうご] /(n-adv,n-t) hereafter/
向後 [こうご] /(n-adv,n-t) hereafter/
向光性 [こうこうせい] /(n) heliotropism/
向暑 [こうしょ] /(n) facing the heat/
向上 [こうじょう] /(n,vs) elevation/rise/improvement/advancement/progress/(P)/
向上心 [こうじょうしん] /(n) ambition/aspiration/desire to improve oneself/
向上進化 [こうじょうしんか] /(n,vs) anagenesis/
向心力 [こうしんりょく] /(n) centripetal force/
向性 [こうせい] /(n) tropism/
向精神薬 [こうせいしんやく] /(n) psychotropic drug/
向地性 [こうちせい] /(n) the nature of plants to grow down and root/geotropism/
向日葵 [ひまわり] /(n) (uk) sunflower (Helianthus annuus)/
向日性 [こうじつせい] /(n) disposition (in flowers) to turn toward the sun/phototropism/
向日性 [こうにちせい] /(n) disposition (in flowers) to turn toward the sun/phototropism/
向拝 [こうはい] /(n) pent roof built atop the stairs of a shrine or temple/
向拝 [ごはい] /(n) pent roof built atop the stairs of a shrine or temple/
向背 [こうはい] /(n) one's attitude/state of affairs/
向付 [むこうづけ] /(n) (1) dish placed on the far side of the serving table (kaiseki cuisine)/side dishes (not rice or soup) at a banquet/(2) resting one's forehead on the chest of one's opponent and grabbing his belt (sumo)/
向付け [むこうづけ] /(n) (1) dish placed on the far side of the serving table (kaiseki cuisine)/side dishes (not rice or soup) at a banquet/(2) resting one's forehead on the chest of one's opponent and grabbing his belt (sumo)/
向腹 [むかばら] /(n) anger/passion/
向米 [こうべい] /(n) pro-American/
向米的 [こうべいてき] /(adj-na) pro-American/
后 [きさい] /(ok) (n) empress/queen/
后 [きさき] /(n) empress/queen/
后 [ご] /(oK) (suf) after/
后宮 [こうきゅう] /(n) harem/imperial consort/palace/
后町 [きさいまち] /(n) women's pavilion (of the inner Heian palace)/
后町 [きさきまち] /(n) women's pavilion (of the inner Heian palace)/
后妃 [こうひ] /(n) queen/
喉 [こう] /(n) (1) (arch) (fem) fish/(suf,ctr) (2) counter for fish/
喉 [こん] /(n) (1) (arch) (fem) fish/(suf,ctr) (2) counter for fish/
喉 [のど] /(n) (1) (uk) throat/(2) singing voice/(P)/
喉 [のみと] /(ok) (n) (1) (uk) throat/(2) singing voice/
喉 [のみど] /(ok) (n) (1) (uk) throat/(2) singing voice/
喉 [のんど] /(ok) (n) (1) (uk) throat/(2) singing voice/
喉がかわく [のどがかわく] /(exp,v5k) to be thirsty/
喉が渇く [のどがかわく] /(exp,v5k) to be thirsty/
喉が乾く [のどがかわく] /(exp,v5k) to be thirsty/
喉ちんこ [のどちんこ] /(n) (uk) (col) uvula/
喉に刺さった骨 [のどにささったほね] /(n) bone stuck in one's throat/
喉の痛み [のどのいたみ] /(exp) sore throat/
喉を潤す [のどをうるおす] /(exp,v5s) to appease one's thirst/to wet one's whistle/
喉飴 [のどあめ] /(n) throat lozenge/cough drop/
喉越し [のどごし] /(n) feeling of a drink going down one's throat/
喉越しがよい [のどごしがよい] /(exp) going down smoothly/tasting good going down/
喉元 [のどもと] /(n) throat/
喉元過ぎれば熱さを忘れる [のどもとすぎればあつさをわすれる] /(exp) (id) Danger past and God forgotten/
喉元思案 [のどもとじあん] /(n) superficial (shortsighted) way of thinking/half-baked (foolish, ill-advised) idea/
喉自慢 [のどじまん] /(n) (1) singing contest/(2) person proud of their voice/
喉赤蜂鳥 [のどあかはちどり] /(n) (uk) ruby-throated hummingbird (Archilochus colubris)/
喉袋 [のどぶくろ] /(n) dewlap/gular pouch/
喉笛 [のどぶえ] /(n) windpipe/
喉頭 [こうとう] /(adj-na,n,adj-no) larynx/
喉頭炎 [こうとうえん] /(n) laryngitis/
喉頭蓋 [こうとうがい] /(n) epiglottis/
喉頭蓋軟骨 [こうとうがいなんこつ] /(n) epiglottic cartilage/
喉頭癌 [こうとうがん] /(n) cancer of the larynx/
喉頭隆起 [こうとうりゅうき] /(n) laryngeal prominence/Adam's Apple/
喉仏 [のどぼとけ] /(n) laryngeal prominence/Adam's apple/
喉輪 [のどわ] /(n) (sumo) thrust at the opponent's throat/
坑 [こう] /(n,n-suf) pit (esp. of a mine)/
坑外 [こうがい] /(n) out of the pit/
坑口 [こうこう] /(n) pithead/minehead/
坑儒 [こうじゅ] /(n) burying Confucian scholars alive/
坑底 [こうてい] /(n) mine-pit bottom/
坑道 [こうどう] /(n) tunnel/(mine) level/(P)/
坑内 [こうない] /(n,adj-no) within a pit or (mine) shaft/
坑内掘り [こうないぼり] /(n) pit mining/
坑内掘り炭鉱 [こうないぼりたんこう] /(n) underground coal mine/
坑内掘炭鉱 [こうないぼりたんこう] /(n) underground coal mine/
坑内事故 [こうないじこ] /(n) mine accident/
坑夫 [こうふ] /(n) (sens) miner/
坑木 [こうぼく] /(n) mine timbers/
垢 [あか] /(n) dirt/filth/grime/(P)/
垢 [く] /(n) (Buddh) klesha (polluting thoughts such as greed, hatred and delusion, which result in suffering)/
垢すり [あかすり] /(n,vs) scrubbing/getting grime off/
垢擦り [あかすり] /(n,vs) scrubbing/getting grime off/
垢染みる [あかじみる] /(v1,vi) to become grimy or dirty/
垢掻き [あかかき] /(n) (arch) female assistant who scrubbed customers at public baths and also offered sexual services (Edo period)/
垢抜 [あかぬけ] /(io) (n,vs) refinement/style/
垢抜け [あかぬけ] /(n,vs) refinement/style/
垢抜ける [あかぬける] /(v1) to refine/
垢離 [こり] /(n) purification/
垢膩 [くに] /(n) (arch) dirt and grease/filth/grime/
垢膩 [こうじ] /(n) (arch) dirt and grease/filth/grime/
好 [こう] /(pref) good/
好 [よしび] /(n) friendship/friendly relations/connection/relation/intimacy/
好 [よしみ] /(n) friendship/friendly relations/connection/relation/intimacy/
好々爺 [こうこうや] /(n) good-natured old man/
好い [いい] /(adj-i) (1) (uk) good/excellent/fine/nice/pleasant/agreeable/(2) sufficient (can be used to turn down an offer)/ready/prepared/(3) profitable (e.g. deal, business offer, etc.)/beneficial/(4) OK/
好い [よい] /(adj-i) (1) (uk) good/excellent/fine/nice/pleasant/agreeable/(2) sufficient (can be used to turn down an offer)/ready/prepared/(3) profitable (e.g. deal, business offer, etc.)/beneficial/(4) OK/
好い加減 [いいかげん] /(adj-na) (1) (uk) irresponsible/perfunctory/careless/(2) lukewarm/half-baked/halfhearted/vague/(3) reasonable/moderate (usu. in suggestions or orders)/(adv) (4) considerably/quite/rather/pretty/
好い加減にする [いいかげんにする] /(exp,vs-i) to put an end to something/to get something over with/to quit something one has been engaged in too long or to an excessive degree/
好い鴨 [いいかも] /(exp) (uk) desirable prey/easy game/easy mark/easy prey/easy target/
好い顔 [いいかお] /(n) (1) big-shot/influential person/(2) happy face/smiling face/(3) sympathetic attitude/
好い気 [いいき] /(adj-na,n) easygoing/optimistic/conceited/
好い気味 [いいきび] /(n,adj-na) it serves you (him) right/it's what you (he) deserves/
好い気味 [いいきみ] /(n,adj-na) it serves you (him) right/it's what you (he) deserves/
好い子 [いいこ] /(n) good child/
好い子になる [いいこになる] /(exp,v5r) to make oneself popular without any regard to others/to take all the credit to oneself/
好い子ぶる [いいこぶる] /(v5r) to act the goody-goody/to pretend to be nice/
好い事 [いいこと] /(exp,n) (1) good thing/nice thing/(2) good excuse/good grounds/good opportunity/(int) (3) (fem) interjection used to impress an idea or to urge a response/
好い人 [いいひと] /(exp) (1) good-natured person/(n) (2) lover/
好い線 [いいせん] /(exp) more or less right/you are on the right track/getting warm/
好い線を行く [いいせんをいく] /(exp,v5k-s) to be on the right track/to go well/
好い線行く [いいせんいく] /(exp,v5k-s) to be on the right track/to go well/
好い仲 [いいなか] /(n) love for one another/
好い年 [いいとし] /(n) old enough/
好き [すき] /(adj-na,n) liking/fondness/love/(P)/
好き [ずき] /(adj-na,adj-no,suf) (1) -phil/-phile/enthusiast (for)/love (of)/(2) being attractive (to)/to tend to be liked (by)/
好きこそ物の上手なれ [すきこそもののじょうずなれ] /(exp) (id) What one likes, one will do well/
好きずき [すきずき] /(n) matter of taste/
好きなように [すきなように] /(exp,adv) as you want/as you will/
好きにする [すきにする] /(exp,vs-i) to do as one likes/
好きになる [すきになる] /(exp) to come to like/to become fond of/to fall in love/
好きやねん [すきやねん] /(int) (ksb:) love it!/
好き嫌い [すききらい] /(n) likes and dislikes/taste/(P)/
好き好き [すきずき] /(n) matter of taste/(P)/
好き好む [すきこのむ] /(v5m,vt) to do something by choice/to like/to be fond of/
好き者 [すきもの] /(n) (vulg) dilettante/lecher/nymphomaniac/
好き勝手 [すきかって] /(adj-na) doing whatever one pleases/
好き同士 [すきどうし] /(n) lover/boyfriend/girlfriend/soul mate/
好き放題 [すきほうだい] /(adj-na,n,adj-no) self-indulgence/doing as one pleases/
好く [すく] /(v5k,vt) to like/to love/to be fond of/
好く [よく] /(adv) (1) (uk) nicely/properly/well/skillfully/(2) frequently/often/
好し [えし] /(ok) (exp) good/excellent/fine/nice/pleasant/agreeable/
好し [よし] /(exp) good/excellent/fine/nice/pleasant/agreeable/
好ましい [このましい] /(adj-i) nice/likeable/desirable/(P)/
好ましからざる人物 [このましからざるじんぶつ] /(n) persona non grata/an unwelcome person/
好まれる [このまれる] /(v1) to like/to appreciate/to have a preference/
好み [このみ] /(n) liking/taste/choice/(P)/
好み [ごのみ] /(adj-na,adj-no,suf) (1) being fond of/having a liking for/(2) to the liking of/favored by/popular with/
好み [よしみ] /(n) friendship/friendly relations/connection/relation/intimacy/
好みにより [このみにより] /(n) depending on one's preference/
好む [このむ] /(v5m,vt) to like/to prefer/(P)/
好んで [このんで] /(n) by (from) choice/by (for) preference/of one's own accord/of one's (own) free will/on purpose/deliberately/intentionally/(P)/
好カード [こうカード] /(n) drawcard/attractive program/good match/good game/
好ゲーム [こうゲーム] /(n) excellent effort in a losing cause (baseball)/
好プレー [こうプレー] /(n) good play or effort (baseball)/
好悪 [こうお] /(n) likes and dislikes/
好意 [こうい] /(n) good will/favor/favour/courtesy/(P)/
好意的 [こういてき] /(adj-na) favorable/favourable/
好一対 [こういっつい] /(adj-na,n) well-matched/
好印象 [こういんしょう] /(n) good impression/favorable impression/
好運 [こううん] /(adj-na,n) good luck/fortune/
好餌 [こうじ] /(n) bait/decoy/lure/
好影響 [こうえいきょう] /(n) favorable influence/favourable influence/
好演 [こうえん] /(n,vs) good performance/
好塩菌 [こうえんきん] /(n) halobacteria/
好下物 [こうかぶつ] /(n) favorite snack to have with drinks/favourite snack to have with drinks/
好角家 [こうかくか] /(n) sumo fan/
好学 [こうがく] /(n) love of learning/
好感 [こうかん] /(n) good feeling/good will/favourable impression/favorable impression/(P)/
好漢 [こうかん] /(n) fine fellow/
好奇 [こうき] /(n) inquisitiveness/
好奇心 [こうきしん] /(n) curiosity/inquisitiveness/(P)/
好奇心は猫をも殺す [こうきしんはねこをもころす] /(exp,v5s) curiosity killed the cat/
好奇心旺盛 [こうきしんおうせい] /(n,adj-na) brimming with curiosity/
好奇心猫を殺す [こうきしんねこをころす] /(exp,v5s) curiosity killed the cat/
好期 [こうき] /(n) ideal time/
好機 [こうき] /(n) good opportunity/chance/(P)/
好機を逃す [こうきをのがす] /(exp,v5s) to let an opportunity slip/
好機逸す可からず [こうきいっすべからず] /(exp) (id) Make hay while the sun shines/
好機到来 [こうきとうらい] /(n) advent of a golden opportunity/
好気 [こうき] /(n,adj-no) easygoing/optimistic/conceited/
好気性細菌 [こうきせいさいきん] /(n) aerobic bacteria/
好気性生物 [こうきせいせいぶつ] /(adj-na,n) aerobe/
好宜 [こうぎ] /(n) warm friendship/
好誼 [こうぎ] /(n) warm friendship/
好球 [こうきゅう] /(n) good pitch/
好況 [こうきょう] /(n) prosperous conditions/healthy economy/(P)/
好業績 [こうぎょうせき] /(n) good business results/
好景気 [こうけいき] /(n) good times/boom/(wave of) prosperity/(P)/
好決算 [こうけっさん] /(n) healthy profit/positive earnings/
好結果 [こうけっか] /(n) good results or outcome/
好個 [こうこ] /(n) excellent/fine/pertinent/
好古 [こうこ] /(n) love of antiquities/
好好爺 [こうこうや] /(n) good-natured old man/
好材料 [こうざいりょう] /(n) good material or data/
好事 [こうじ] /(n) fortune/good deed/curious/
好事 [こうず] /(n) fortune/good deed/curious/
好事家 [こうずか] /(n) dilettante/person of fantastic taste/
好事多魔 [こうじたま] /(exp) Happy events are often accompanied by difficulties/Unsullied joy is rare/
好事魔多し [こうじまおおし] /(exp) Lights are usually followed by shadows/
好取組 [こうとりくみ] /(n) good game or match/
好守 [こうしゅ] /(n,vs) good fielding (baseball)/(P)/
好手 [こうしゅ] /(n) expert/good move/
好循環 [こうじゅんかん] /(n) virtuous cycle/virtuous circle/
好尚 [こうしょう] /(n) taste/fancy/fashion/
好条件 [こうじょうけん] /(n) favourable terms/favorable terms/favourable conditions/favorable conditions/place in the sun/
好色 [こうしょく] /(adj-na,n,adj-no) lust/sensuality/lewdness/(P)/
好色っ漢 [こうしょっかん] /(n) lecher/
好色家 [こうしょくか] /(n) lustful person/
好色漢 [こうしょくかん] /(n) lecher/
好色者 [こうしょくしゃ] /(n) luster/lusting person/
好色文学 [こうしょくぶんがく] /(n) erotic or pornographic literature (Edo period)/
好色本 [こうしょくぼん] /(n) erotic or pornographic book (Edo period)/
好人物 [こうじんぶつ] /(n) good-natured person/nice person/
好成績 [こうせいせき] /(n) good results/(P)/
好青年 [こうせいねん] /(n) good young man/agreeable youth/
好戦 [こうせん] /(n) belligerence/
好戦国 [こうせんこく] /(n) warlike nation/
好戦的 [こうせんてき] /(adj-na) belligerent/warlike/
好戦的な人 [こうせんてきなひと] /(n) (a) militant/(a) belligerent/
好選手 [こうせんしゅ] /(n) strong or skillful person/good player/
好走 [こうそう] /(n,vs) good running/
好打 [こうだ] /(n,vs) (baseball) good hit/
好打者 [こうだしゃ] /(n) good batter/
好対照 [こうたいしょう] /(exp) good contrast/marked contrast/
好男子 [こうだんし] /(n) handsome man/
好著 [こうちょ] /(n) good book/
好調 [こうちょう] /(adj-na,n,adj-no) favourable/favorable/promising/satisfactory/in good shape/(P)/
好敵手 [こうてきしゅ] /(n) worthy rival or opponent/
好適 [こうてき] /(adj-na,n) ideal/fit/fitted/fitting/suitable/
好天 [こうてん] /(n) fine weather/(P)/
好天気 [こうてんき] /(adj-na,n) fine weather/
好転 [こうてん] /(n,vs) changing for the better/(P)/
好都合 [こうつごう] /(adj-na,n) convenient/favorable/favourable/expedient/expedience/(P)/
好投 [こうとう] /(n,vs) good (nice) pitching/(P)/
好配 [こうはい] /(n) good spouse/good dividend/
好評 [こうひょう] /(n,adj-na,adj-no) popularity/favorable reputation/favourable reputation/(P)/
好評嘖々 [こうひょうさくさく] /(adj-t,adv-to) enjoying great popularity/receiving widespread high praise/being a great success with the public/
好評嘖嘖 [こうひょうさくさく] /(adj-t,adv-to) enjoying great popularity/receiving widespread high praise/being a great success with the public/
好物 [こうぶつ] /(n) favourite dish (favorite)/favourite food/(P)/
好望 [こうぼう] /(n) promising future/
好味 [こうみ] /(n) good taste (food)/tasty food/
好例 [こうれい] /(n) good example/
好逑 [こうきゅう] /(n) good spouse/
孔 [あな] /(n,n-suf) (1) hole/(2) deficit/shortage/missing person (in a team, meeting, etc.)/(3) vacancy/opening/(4) flaw/(5) profitable place (or item, etc.) not well known by others/(6) upset victory (with a large payoff)/(7) (sl) pit (of a theater)/(8) (arch) hiding place/(9) (arch) underbelly (of society, etc.)/
孔を穿つ [こうをうがつ] /(exp,v5t) to pierce a hole/
孔パターン [こうパターン] /(n) (comp) hole pattern/
孔隙率 [こうげきりつ] /(n) porosity/
孔子 [こうし] /(n) Confucius/
孔雀 [くざく] /(n) (uk) peafowl (inc. the male peacock, female peahen, and young peachick)/
孔雀 [くじゃく] /(n) (uk) peafowl (inc. the male peacock, female peahen, and young peachick)/
孔雀石 [くじゃくせき] /(n) malachite/
孔雀草 [くじゃくそう] /(n) (1) (uk) marigold (esp. the French marigold, Tagetes patula)/(2) plains coreopsis (Coreopsis tinctoria)/(3) northern maidenhair (Adiantum pedatum)/
孔雀蝶 [くじゃくちょう] /(n) (uk) peacock butterfly (Inachis io)/
孔雀鳩 [くじゃくばと] /(n) (uk) fantail pigeon/
孔雀妙王 [くじゃくみょうおう] /(n) (Buddh) Mayuri Vidya-raja/holder of the mantras/
孔雀明王 [くじゃくみょうおう] /(n) (Buddh) Mahamayuri (deity usu. depicted riding a peacock)/
孔雀羊歯 [くじゃくしだ] /(n) (uk) northern maidenhair (Adiantum pedatum)/
孔版 [こうはん] /(n) mimeograph/
孔版印刷 [こうはんいんさつ] /(n) stencil printing/mimeographic printing/
孔夫子 [こうふうし] /(n) (hon) Confucius/
孔孟 [こうもう] /(n) Confucius and Mencius/
孔孟の教え [こうもうのおしえ] /(n) the teachings of Confucius and Mencius/
孔門 [こうもん] /(n) disciple of Confucius/Confucian school/
孝 [きょう] /(ok) (n) filial piety/
孝 [こう] /(n) filial piety/
孝敬 [こうけい] /(n) filial piety/
孝経 [こうきょう] /(n) the Book of Filial Piety/
孝行 [こうこう] /(adj-na,n) filial piety/(P)/
孝行をしたい時分に親は無し [こうこうをしたいじぶんにおやはなし] /(exp) (id) When you wish to be filial, your parents are gone/
孝子 [こうし] /(n) filial child/
孝順 [こうじゅん] /(adj-na,n) obedience/filial piety/
孝女 [こうじょ] /(n) filial daughter/
孝心 [こうしん] /(n) filial devotion/
孝弟 [こうてい] /(n) filial piety/brotherly love/
孝悌 [こうてい] /(n) filial piety/brotherly love/
孝道 [こうどう] /(n) filial piety/
孝養 [こうよう] /(n,vs) filial duties/devotion to one's parents/
宏い [ひろい] /(adj-i) spacious/vast/wide/
宏遠 [こうえん] /(adj-na,n) vast and far-reaching/
宏壮 [こうそう] /(adj-na) grand/imposing/magnificent/
宏大 [こうだい] /(adj-na) huge/very large/vast/extensive/magnificent/grand/
宏池会 [こうちかい] /(n) Kouchikai (political faction of the LDP)/
宏弁 [こうべん] /(n) (obsc) fluency/eloquence/
宏闊 [こうかつ] /(adj-na,n) spacious/
工 [こう] /(n-suf) (factory) worker/
工 [たくみ] /(n,adj-na) (1) workman/artisan/mechanic/carpenter/(2) craft/skill/(3) means/idea/
工々四 [くんくんしい] /(n) type of Ryuukyuu stringed instrument music/
工員 [こういん] /(n) factory worker/(P)/
工員寮 [こういんりょう] /(n) dormitory for factory workers/
工科 [こうか] /(n) engineering course/(P)/
工科大学 [こうかだいがく] /(n) engineering college/
工学 [こうがく] /(n) engineering/(P)/
工学科 [こうがくか] /(n) engineering department/
工学士 [こうがくし] /(n) Bachelor of Engineering/
工学者 [こうがくしゃ] /(n) engineer/
工学修士 [こうがくしゅうし] /(n) Master of Engineering/
工学博士 [こうがくはかせ] /(n) Doctor of Engineering/
工学博士 [こうがくはくし] /(n) Doctor of Engineering/
工学部 [こうがくぶ] /(n) department (or school) of technology, engineering or science/(P)/
工期 [こうき] /(n) building time/construction period/
工業 [こうぎょう] /(n) (manufacturing) industry/(P)/
工業を興す [こうぎょうをおこす] /(exp,v5s) to promote industry/
工業意匠 [こうぎょういしょう] /(n) industrial design/
工業化 [こうぎょうか] /(n,vs) industrialization/industrialisation/
工業化学 [こうぎょうかがく] /(n) industrial chemistry/
工業界 [こうぎょうかい] /(n) the industrial world/
工業規格 [こうぎょうきかく] /(n) industrial standard/engineering standard/
工業技術 [こうぎょうぎじゅつ] /(n) industrial technology/
工業港 [こうぎょうこう] /(n) industrial port/
工業高等学校 [こうぎょうこうとうがっこう] /(n) technical high school/
工業高等専門学校 [こうぎょうこうとうせんもんがっこう] /(n) technical junior college/
工業国 [こうぎょうこく] /(n) industrialized nation/industrialised nation/
工業資本主義 [こうぎょうしほんしゅぎ] /(n) (obsc) industrial capitalism/
工業主導型経済 [こうぎょうしゅどうがたけいざい] /(n) industrial-led economy/
工業所有権 [こうぎょうしょゆうけん] /(n) (rights to) industrial property/
工業生産 [こうぎょうせいさん] /(n) industrial production/
工業生産高 [こうぎょうせいさんだか] /(n) industrial output/industrial production/
工業製品 [こうぎょうせいひん] /(n) industrial goods/
工業先進国 [こうぎょうせんしんこく] /(n) industrialized countries/industrialised countries/
工業大学 [こうぎょうだいがく] /(n) technical college or institute/
工業団地 [こうぎょうだんち] /(n) industrial park/
工業地域 [こうぎょうちいき] /(n) industrial area/industrial district/industrial zone/
工業地区 [こうぎょうちく] /(n) industrial zone/
工業地帯 [こうぎょうちたい] /(n) industrial area/
工業都市 [こうぎょうとし] /(n) industrial (manufacturing, factory) town or city/
工業標準化法 [こうぎょうひょうじゅんかほう] /(n) industrial standardization law/
工業用 [こうぎょうよう] /(n) for industrial use/
工業用テレビジョン [こうぎょうようテレビジョン] /(n) industrial television/
工業用水 [こうぎょうようすい] /(n) industrial water/
工区 [こうく] /(n) construction area/section of a construction project/
工具 [こうぐ] /(n) tool/implement/
工具入 [こうぐいれ] /(n) toolbox/
工芸 [こうげい] /(n,adj-no) industrial arts/craft/(P)/
工芸美術 [こうげいびじゅつ] /(n) applied fine arts/
工芸品 [こうげいひん] /(n) handicraft/industrial art object/
工工四 [くんくんしい] /(n) type of Ryuukyuu stringed instrument music/
工巧明 [くぎょうみょう] /(n) silpasthanavidya (ancient Indian study of the arts, inc. mathematics and mechanics)/
工合 [ぐあい] /(n) condition/state/manner/health/
工作 [こうさく] /(n,vs) work/construction/handicraft/maneuvering/manoeuvering/(P)/
工作員 [こうさくいん] /(n) spy/agent provocateur/covert operative/(P)/
工作機械 [こうさくきかい] /(n) machine tools/(P)/
工作室 [こうさくしつ] /(n) workshop/
工作船 [こうさくせん] /(n) (1) factory ship/repair ship/(2) spy ship/
工作品 [こうさくひん] /(n) manufactured article/
工作物 [こうさくぶつ] /(n) manufactured articles/workpiece/
工事 [こうじ] /(n,vs) construction work/construction/work (related to construction, e.g. painting, concrete-pouring, etc.)/(P)/
工事を進める [こうじをすすめる] /(exp,v1) to advance construction/to proceed with construction/
工事現場 [こうじげんば] /(n) construction site/
工事中 [こうじちゅう] /(n) under construction/
工事費 [こうじひ] /(n) construction costs/installation cost/
工手 [こうしゅ] /(n) person engaged in public engineering works/
工種 [こうしゅ] /(n) type of works/work item/
工順 [こうじゅん] /(n) job sequencing/routing/route/
工所 [こうじょ] /(n-suf) shop/factory/mill/works (as in ironworks)/plant (as in manufacturing plant)/
工匠 [こうしょう] /(n) artisan/mechanic/
工廠 [こうしょう] /(n) ammunition factory/arsenal/
工場 [こうじょう] /(n) factory/plant/mill/workshop/(P)/
工場 [こうば] /(n) factory/plant/mill/workshop/(P)/
工場街 [こうじょうがい] /(n) industrial area/factory zone/
工場実習 [こうじょうじっしゅう] /(n) coop/internship/
工場主 [こうじょうしゅ] /(n) factory owner/
工場従業員 [こうじょうじゅうぎょういん] /(n) factory worker/
工場地帯 [こうじょうちたい] /(n) factory or industrial district or area/
工場長 [こうじょうちょう] /(n) factory manager/works manager/
工場直売 [こうじょうちょくばい] /(n) factory-direct sales/
工場渡し [こうじょうわたし] /(n,adj-no) ex works/EXW/
工場閉鎖 [こうじょうへいさ] /(n) (1) factory closure/factory shutdown/(2) lockout (e.g. during industrial dispute)/
工場簿記 [こうじょうぼき] /(n) factory accounting/factory bookkeeping/manufacturer's account/
工場労働者 [こうじょうろうどうしゃ] /(n) factory worker/
工人 [こうじん] /(n) workman/craftsman/laborer/labourer/artisan/
工数 [こうすう] /(n) production costs/production requirements/
工数管理 [こうすうかんり] /(n) man-hour management/manpower management/
工船 [こうせん] /(n) factory boat (ship)/floating cannery/
工大 [こうだい] /(n) technical college/
工賃 [こうちん] /(n) wages/pay/
工程 [こうてい] /(n) manufacturing process/work schedule/amount of work/(P)/
工程線 [こうていせん] /(n) production line/
工博 [こうはく] /(n) Doctor of Engineering/
工費 [こうひ] /(n) construction cost/(P)/
工夫 [くふう] /(n,vs) (1) scheme/device/scheming/devising/figuring out/coming up with/solving ingeniously/(2) dedication to spiritual improvement (esp. through Zen meditation)/(P)/
工夫 [こうふ] /(n) (sens) labourer/laborer/blue-collar worker/
工夫を凝らす [くふうをこらす] /(exp,v5s) to exercise one's ingenuity/to come up with an ingenious plan/
工部 [こうぶ] /(n) Ministry of Works (Tang-dynasty China)/
工兵 [こうへい] /(n) combat engineer/military engineer/combat engineering/military engineering/(P)/
工法 [こうほう] /(n) method of construction/(P)/
工房 [こうぼう] /(n) workshop/studio/(P)/
工務 [こうむ] /(n) engineering/engineering works/(P)/
工務店 [こうむてん] /(n) engineering firm/contractor/
工面 [くめん] /(n,vs) contrivance/raising (money)/
工率 [こうりつ] /(n) rate of production/
巧い [うまい] /(adj-i) (1) skillful/clever/expert/wise/successful/(2) delicious/appetizing/appetising/(3) fortunate/splendid/promising/(P)/
巧い絵 [うまいえ] /(n) excellent picture (painting)/
巧く [うまく] /(adv) (1) skilfully/skillfully/well/aptly/cleverly/(2) successfully/smoothly/(3) deliciously/
巧くやる [うまくやる] /(exp,v5r) (uk) to manage something successfully/to be successful/
巧と拙 [こうとせつ] /(exp) skillfulness and clumsiness/
巧まぬ技巧 [たくまぬぎこう] /(n) artless art/
巧み [たくみ] /(adj-na,n) skill/cleverness/(P)/
巧みな手段 [たくみなしゅだん] /(n) clever trick/
巧みに操る [たくみにあやつる] /(exp,v5r) to maneuver/to manoeuvre/to manipulate/
巧む [たくむ] /(v5m,vt) to devise/to plot/to plan/
巧を誇る [こうをほこる] /(exp,v5r) to be of excellent workmanship/
巧技 [こうぎ] /(n) skill/fine workmanship/
巧言 [こうげん] /(n) flattery/
巧言令色 [こうげんれいしょく] /(n) flattery/honeyed words/
巧言令色すくなし仁 [こうげんれいしょくすくなしじん] /(exp) (arch) those who resort to blandishments and fawning smiles are apt to lack compassion/a honeyed tongue with a heart of gall/
巧言令色少なし仁 [こうげんれいしょくすくなしじん] /(exp) (arch) those who resort to blandishments and fawning smiles are apt to lack compassion/a honeyed tongue with a heart of gall/
巧言令色鮮し仁 [こうげんれいしょくすくなしじん] /(exp) (arch) those who resort to blandishments and fawning smiles are apt to lack compassion/a honeyed tongue with a heart of gall/
巧咲 [こうしょう] /(n) courteous laughter/forced laughter/
巧者 [こうしゃ] /(adj-na,n) cleverness/skill/tact/(P)/
巧手 [こうしゅ] /(n) skill/expertise/a good move/
巧笑 [こうしょう] /(n) courteous laughter/forced laughter/
巧拙 [こうせつ] /(n) tact/skill/workmanship/(P)/
巧走 [こうそう] /(n,vs) good running/
巧知 [こうち] /(n) skill/cleverness/
巧遅 [こうち] /(n) slow and elaborate/
巧遅拙速 [こうちせっそく] /(n) better being rough and ready than slow and elaborate/better being brisk and sharp than slow and prudent/
巧妙 [こうみょう] /(adj-na,n) ingenious/skillful/clever/deft/(P)/
巧緻 [こうち] /(adj-na,n) elaborate/exquisite/detailed/
巷 [ちまた] /(n) (1) the public/(2) street/district/quarters/(3) location (of a battle, etc.)/(4) divide (e.g. between life and death)/(5) (orig. meaning) fork (in a road)/crossroads/
巷間 [こうかん] /(n) on the street/around town/the world/the public/
巷説 [こうせつ] /(n) gossip/talk about town/
巷談 [こうだん] /(n) rumour/rumor/gossip/
幸 [こう] /(n) (1) good luck/fortune/happiness/
幸 [さき] /(ok) (n) (1) good luck/fortune/happiness/
幸 [さち] /(n) (1) good luck/fortune/happiness/(2) harvest/yield/(P)/
幸ある [さちある] /(exp,adj-f) fortunate/happy/lucky/
幸あれ [さちあれ] /(exp) good luck!/all the best/
幸あれと祈る [さちあれといのる] /(exp,v5r) to wish someone luck/to wish someone well/
幸い [さいわい] /(adj-na,adv,n) happiness/blessedness/(P)/
幸いあれ [さいわいあれ] /(exp) Be happy!/Cheer up!/
幸いする [さいわいする] /(vs-s) to prove fortunate/
幸い茸 [さいわいたけ] /(n) (obsc) happy mushroom/
幸か不幸か [こうかふこうか] /(exp) luckily or unluckily/for good or for evil/
幸せ [しあわせ] /(adj-na,n) happiness/good fortune/luck/blessing/(P)/
幸せ者 [しあわせもの] /(n) fortunate person/
幸せ太り [しあわせぶとり] /(exp) (col) putting on weight from the good (married) life/
幸運 [こううん] /(adj-na,n) good luck/fortune/(P)/
幸運の女神 [こううんのめがみ] /(n) Lady Luck/
幸運の女神は前髪しかない [こううんのめがみはまえがみしかない] /(exp) opportunity only knocks once/strike while the iron is hot/
幸運児 [こううんじ] /(n) lucky person/fortunate man/
幸若 [こうわか] /(n) (abbr) style of recitative dance popular during the Muromachi period/
幸若舞 [こうわかまい] /(n) style of recitative dance popular during the Muromachi period (often with a military theme)/
幸甚 [こうじん] /(adj-na,n) pleased/obliged/appreciative/
幸先 [さいさき] /(n) omen/sign (usually good)/
幸福 [こうふく] /(adj-na,n) happiness/blessedness/joy/well-being/(P)/
幸福に浸る [こうふくにひたる] /(exp,v5r) to be blissful/to be very happy/
幸福の科学 [こうふくのかがく] /(n) Kofuku-no-Kagaku/The Institute for Research in Human Happiness (religion founded in Japan in 1986)/
幸福を求めて [こうふくをもとめて] /(exp) in search (pursuit) of happiness/
幸福感 [こうふくかん] /(n) feeling of happiness/sense of well-being/euphoria/
幸福主義 [こうふくしゅぎ] /(n) eudaemonism/eudemonism/
幸福追求権 [こうふくついきゅうけん] /(n) right to the pursuit of happiness/
幸便 [こうびん] /(n) favorable chance/favourable chance/
幸有る [さちある] /(exp,adj-f) fortunate/happy/lucky/
幸有れ [さちあれ] /(exp) good luck!/all the best/
広々 [こうこう] /(adj-t,adv-to) (arch) extensive/spacious/
広々 [ひろびろ] /(adv-to,adv,vs,adj-na) extensive/spacious/
広々とした [ひろびろとした] /(adj-f) open/spacious/extensive/
広い [ひろい] /(adj-i) spacious/vast/wide/(P)/
広い額 [ひろいひたい] /(n) high brow/broad forehead/
広い支持 [ひろいしじ] /(n) broad support/wide-ranging support/
広がった枝 [ひろがったえだ] /(n) spreading branches/(P)/
広がり [ひろがり] /(n) spread/span/(P)/
広がる [ひろがる] /(v5r,vi) to spread (out)/to extend/to stretch/to reach to/to get around/to fill (e.g. a space)/(P)/
広く [ひろく] /(adv) widely/far and wide/extensively/universally/
広げた腕 [ひろげたうで] /(n) outstretched arms/
広げる [ひろげる] /(v1,vt) to spread/to extend/to expand/to enlarge/to widen/to broaden/to unfold/to open/to unroll/(P)/
広さ [ひろさ] /(n) extent/(P)/
広まり [ひろまり] /(n) spread/(P)/
広まる [ひろまる] /(v5r,vi) to spread/to be propagated/(P)/
広め [ひろめ] /(n,vs) making something widely known/introduction/debut/announcement/unveiling/
広める [ひろめる] /(v1,vt) to broaden/to propagate/(P)/
広域 [こういき] /(n,adj-no) wide area/(P)/
広域ＬＡＮ [こういきラン] /(n) (comp) wide area LAN/
広域イーサネット [こういきイーサネット] /(n) (comp) wide area ethernet/
広域ネットワーク [こういきネットワーク] /(n) (comp) wide area network/
広域行政 [こういきぎょうせい] /(n) broader-based local government/
広域網 [こういきもう] /(n) (comp) wide area network/
広縁 [ひろえん] /(n,adj-no) broad or spacious veranda/eaves/
広遠 [こうえん] /(adj-na,n) vast and far-reaching/
広角 [こうかく] /(n,adj-no) wide-angle/
広間 [ひろま] /(n) hall/saloon/spacious room/guest room/
広軌 [こうき] /(n,adj-no) broad gauge/
広義 [こうぎ] /(n) wide sense/broader application/
広狭 [こうきょう] /(n) width/width and narrowness/
広原 [こうげん] /(n) wide plain or field/
広言 [こうげん] /(n,vs) boasting/bragging/talking big/
広口 [ひろくち] /(n,adj-no) a wide mouth/wide-mouthed (bottle)/
広口瓶 [ひろくちびん] /(n) jar/widemouthed bottle/
広広 [こうこう] /(adj-t,adv-to) (arch) extensive/spacious/
広広 [ひろびろ] /(adv-to,adv,vs,adj-na) extensive/spacious/
広広とした [ひろびろとした] /(adj-f) open/spacious/extensive/
広告 [こうこく] /(n,vs,adj-no) advertisement/(P)/
広告スペース [こうこくスペース] /(n) advertising space/
広告ビラ [こうこくビラ] /(n) advertising leaflet/advertising poster/poster/
広告会社 [こうこくがいしゃ] /(n) advertising company/
広告業 [こうこくぎょう] /(n) the advertising industry/
広告効果 [こうこくこうか] /(n) effect or effectiveness of advertising/
広告市場 [こうこくいちば] /(n) advertising market/
広告社 [こうこくしゃ] /(n) advertising agency/
広告主 [こうこくぬし] /(n) advertising sponsor/
広告収入 [こうこくしゅうにゅう] /(n) advertising revenue/
広告代理店 [こうこくだいりてん] /(n) advertising firm/advertising company/
広告塔 [こうこくとう] /(n) billboard/advertising sign/
広告媒体 [こうこくばいたい] /(n) advertising media/
広告板 [こうこくばん] /(n) billboard/
広告費 [こうこくひ] /(n) advertising expenses/
広告欄 [こうこくらん] /(n) advertising section/classified ads/advertisement column/advertising space/
広告料 [こうこくりょう] /(n) advertising rates/
広辞苑 [こうじえん] /(n) Kojien (Japanese Dictionary, published by Iwanami)/
広州 [こうしゅう] /(n) Guangzhou (China)/Canton/(P)/
広小路 [ひろこうじ] /(n) a (wide) main street/
広場 [ひろば] /(n) plaza/(P)/
広場恐怖症 [ひろばきょうふしょう] /(n) agoraphobia/
広壮 [こうそう] /(adj-na) grand/imposing/magnificent/
広袖 [ひろそで] /(n) a wide sleeve/wide-sleeved/
広帯域 [こうたいいき] /(n) (comp) broadband/
広帯域ネットワーク [こうたいいきネットワーク] /(n) (comp) broadband network/
広帯域総合ディジタル通信網 [こうたいいきそうごうディジタルつうしんもう] /(n) (comp) B-ISDN/Broadband Integrated Services Digital Network/
広帯域伝送 [こうたいいきでんそう] /(n) (comp) broadband transmission/
広大 [こうだい] /(adj-na) huge/very large/vast/extensive/magnificent/grand/(P)/
広大無辺 [こうだいむへん] /(adj-na,n,adj-no) boundless/infinite/vast/
広聴 [こうちょう] /(n,vs) public consultation/public information/
広島 [ひろしま] /(n) Hiroshima (city)/
広島県 [ひろしまけん] /(n) Hiroshima prefecture (Chuugoku area)/
広島焼き [ひろしまやき] /(n) Hiroshima-style okonomiyaki/
広東 [かんとん] /(n,adj-no) (1) Guangdong (China)/Kwangtung/(2) Guangzhou/Kwangchow/Canton (China)/(P)/
広東語 [かんとんご] /(n) Cantonese/
広東料理 [カントンりょうり] /(n) Cantonese food/
広頭小蛾 [ひろずこが] /(n) (uk) tineid (any moth of family Tineidae)/
広背筋 [こうはいきん] /(n) latissimus dorsi muscle/
広漠 [こうばく] /(adj-t,adv-to) vast/wide/boundless/
広汎 [こうはん] /(adj-na,adj-no) wide/extensive/comprehensive/far-reaching/widespread/
広範 [こうはん] /(adj-na,adj-no) wide/extensive/comprehensive/far-reaching/widespread/(P)/
広範囲 [こうはんい] /(adj-na,n) extensive/vast range/wide scope/(P)/
広範多岐 [こうはんたき] /(n,adj-na) extensive and wide-ranging/
広鼻猿類 [こうびえんるい] /(n) platyrrhine (primate of infraorder Platyrrhini, which have nostrils that are far apart)/
広幅 [ひろはば] /(n) double width cloth or fabric/
広報 [こうほう] /(n) PR/public relations/publicity/information/(P)/
広報課 [こうほうか] /(n) public relations department (section, office)/
広報外交 [こうほうがいこう] /(n) public diplomacy/
広報活動 [こうほうかつどう] /(n) publicity (information) activities/public relations/
広報官 [こうほうかん] /(n) public relations office/
広報広聴 [こうほうこうちょう] /(n) information dispersal (e.g. PR)/information gathering (e.g. consultation)/
広報広聴課 [こうほうこうちょうか] /(n) public information section (department) (of a government, etc.)/
広報誌 [こうほうし] /(n) PR brochure/public relations magazine/
広報情報 [こうほうじょうほう] /(n) public relations information/
広報担当者 [こうほうたんとうしゃ] /(n) person in charge of public relations/PR manager/
広報部 [こうほうぶ] /(n) public relations section or department/
広目 [ひろめ] /(ateji) (n,vs) making something widely known/introduction/debut/announcement/unveiling/
広目天 [こうもくてん] /(n) (Buddh) Virupaksa (Buddhist deity)/
広野 [こうや] /(n) (a) plain/
広葉 [こうよう] /(n) broad leaf/
広葉樹 [こうようじゅ] /(n) broadleaf tree/(P)/
広量 [こうりょう] /(adj-na,n) generosity/broad-hearted/
広闊 [こうかつ] /(adj-na,n) spacious/
庚 [かのえ] /(n) 7th in rank/seventh sign of the Chinese calendar/
庚 [こう] /(n) 7th in rank/seventh sign of the Chinese calendar/
庚午 [かのえうま] /(n) seventh of the sexagenary cycle/
庚午 [こうご] /(n) seventh of the sexagenary cycle/
庚申 [こうしん] /(n) 57th of the sexagenary cycle/
庚申待 [こうしんまち] /(n) staying awake on the eve of the 57th day of the sexagenary cycle (to prevent the three worms from reporting one's wrongdoings and shortening one's lifespan), while worshipping Sakra, the Blue-Faced Vajra, or Sarutahiko/
庚申待ち [こうしんまち] /(n) staying awake on the eve of the 57th day of the sexagenary cycle (to prevent the three worms from reporting one's wrongdoings and shortening one's lifespan), while worshipping Sakra, the Blue-Faced Vajra, or Sarutahiko/
庚辰 [かのえたつ] /(n) seventeenth of the sexagenary cycle/
庚辰 [こうしん] /(n) seventeenth of the sexagenary cycle/
庚寅 [かのえとら] /(n) twenty-seventh of the sexagenary cycle/
庚寅 [こういん] /(n) twenty-seventh of the sexagenary cycle/
庚戌 [かのえいぬ] /(n) 47th of the sexagenary cycle/
庚戌 [こうじゅつ] /(n) 47th of the sexagenary cycle/
康安 [こうあん] /(n) Kouan era (of the Northern Court) (1361.3.29-1362.9.23)/
康永 [こうえい] /(n) Kouei era (of the Northern Court) (1342.4.27-1345.10.21)/
康応 [こうおう] /(n) Kouou era (of the Northern Court) (1389.2.9-1390.3.26)/
康元 [こうげん] /(n) Kougen era (1256.10.5-1257.3.14)/
康治 [こうじ] /(n) Kouji era (1142.4.28-1144.2.23)/
康正 [こうしょう] /(n) Koushou era (1455.7.25-1457.9.28)/
康寧 [こうねい] /(n) (obsc) tranquility/tranquillity/peacefulness/
康平 [こうへい] /(n) Kouhei era (1058.8.29-1065.8.2)/
康保 [こうほう] /(n) Kouhou era (964.7.10-968.8.13)/
康暦 [こうりゃく] /(n) Kouryaku era (of the Northern Court) (1379.3.22-1381.2.24)/
康和 [こうわ] /(n) Kouwa era (1099.8.28-1104.2.10)/
康煕字典 [こうきじてん] /(n) The Chinese kangxi zidian dictionary of 1716, which established the 214 radicals/
康熙字典 [こうきじてん] /(n) The Chinese kangxi zidian dictionary of 1716, which established the 214 radicals/
弘い [ひろい] /(adj-i) spacious/vast/wide/
弘まる [ひろまる] /(v5r,vi) to spread/to be propagated/
弘め [ひろめ] /(n,vs) making something widely known/introduction/debut/announcement/unveiling/
弘める [ひろめる] /(v1,vt) to broaden/to propagate/
弘安 [こうあん] /(n) Kouan era (1278.2.29-1288.4.28)/
弘遠 [こうえん] /(adj-na,n) vast and far-reaching/
弘化 [こうか] /(n) Kouka era (1844.12.2-1848.2.28)/
弘徽殿 [こうきでん] /(n) ladies' pavilion (of the inner Heian Palace)/
弘徽殿 [こきでん] /(n) ladies' pavilion (of the inner Heian Palace)/
弘済会 [こうさいかい] /(n) benefit association/
弘治 [こうじ] /(n) Kouji era (1555.10.23-1558.2.28)/
弘仁 [こうにん] /(n) Kounin era (810.9.19-824.1.5)/
弘仁格 [こうにんきゃく] /(n) Ordinance of the Konin Era/
弘仁貞観時代 [こうにんじょうがんじだい] /(n) Kounin-Jougan period (of Japanese art history, approx. 794-894 CE)/
弘誓 [ぐぜい] /(n) Buddha's great vows/
弘大 [こうだい] /(adj-na) huge/very large/vast/extensive/magnificent/grand/
弘長 [こうちょう] /(n) Kouchou era (1261.2.20-1264.2.28)/
弘通 [ぐずう] /(n,vs) spread (of Buddhist teachings)/
弘通 [ぐつう] /(n,vs) spread (of Buddhist teachings)/
弘報 [こうほう] /(n) PR/public relations/publicity/information/
弘法 [ぐほう] /(n,vs) spreading Buddhist teachings/
弘法にも筆の誤り [こうぼうにもふでのあやまり] /(exp) anyone can make a mistake/
弘法筆を選ばず [こうぼうふでをえらばず] /(exp) (id) a good workman does not blame his tools/
弘法筆を択ばず [こうぼうふでをえらばず] /(exp) (id) a good workman does not blame his tools/
弘和 [こうわ] /(n) Kouwa era (of the Southern Court) (1381.2.10-1384.4.28)/
恒温 [こうおん] /(n,adj-no) constant temperature/
恒温器 [こうおんき] /(n) incubator/
恒温動物 [こうおんどうぶつ] /(n) homeotherm/
恒河沙 [こうがしゃ] /(ik) (n) (1) 10^52 (or 10^56)/(2) innumerable/
恒河沙 [ごうがしゃ] /(n) (1) 10^52 (or 10^56)/(2) innumerable/
恒久 [こうきゅう] /(n,adj-no) permanent/perpetuity/(P)/
恒久化 [こうきゅうか] /(n,vs) making permanent/
恒久施設 [こうきゅうしせつ] /(n) permanent establishment (in tax law)/
恒久性 [こうきゅうせい] /(n) permanance/perpetuity/
恒久的 [こうきゅうてき] /(adj-na) permanent/perpetual/lasting/
恒久的施設 [こうきゅうてきしせつ] /(n) permanent establishment (in tax law)/
恒久不変 [こうきゅうふへん] /(n) permanent and immutable/
恒産 [こうさん] /(n) fixed or real property/
恒常 [こうじょう] /(n) constancy/(P)/
恒常所得仮説 [こうじょうしょとくかせつ] /(n) permanent-income hypothesis/
恒常性 [こうじょうせい] /(n) constancy/homeostasis/homoeostasis/
恒常性維持機構 [こうじょうせいいじきこう] /(n) homeostatic mechanism/
恒常的 [こうじょうてき] /(adj-na) constant/invariable/chronic/everlasting/
恒心 [こうしん] /(n) steadiness/constancy/
恒数 [こうすう] /(n) a constant (e.g. in science)/
恒性 [こうせい] /(n) constancy/
恒星 [こうせい] /(n,adj-no) (fixed) star (i.e. not a planet, meteorite, etc.)/(P)/
恒星系 [こうせいけい] /(n) star system/
恒星月 [こうせいげつ] /(n) sidereal month/
恒星時 [こうせいじ] /(n) sidereal time/
恒星天 [こうせいてん] /(n) sphere of fixed stars (in the Ptolemaic system)/
恒星日 [こうせいじつ] /(n) sidereal day/
恒星年 [こうせいねん] /(n) a sidereal year/
恒星表 [こうせいひょう] /(n) (obsc) star catalog/star catalogue/
恒等式 [こうとうしき] /(n) (math) identity/
恒例 [こうれい] /(n) established practice/established practise/custom/(P)/
慌しい [あわただしい] /(adj-i) busy/hurried/confused/flurried/
慌ただしい [あわただしい] /(adj-i) busy/hurried/confused/flurried/(P)/
慌ただしい一生 [あわただしいいっしょう] /(n) fleeting life/
慌てふためく [あわてふためく] /(v5k,vi) to get into a panic/to be flustered/to panic/to get in a flap/
慌てる [あわてる] /(v1,vi) (1) to become confused (disconcerted, disorganized, disorganised)/to be flustered/to panic/(2) to be in a hurry/to rush/(P)/
慌てる乞食は貰いが少ない [あわてるこじきはもらいがすくない] /(exp) (id) slow and steady wins the race/there is luck in the last helping/
慌てんぼう [あわてんぼう] /(n) flustered person/hasty person/
慌てん坊 [あわてんぼう] /(n) flustered person/hasty person/
慌て者 [あわてもの] /(n) scatterbrain/absent-minded person/
抗 [こう] /(pref) anti-/
抗う [あらがう] /(v5u,vi) to go against/to fight against/to oppose/to resist/to deny/
抗うつ [こううつ] /(n) antidepressant/
抗うつ剤 [こううつざい] /(n) antidepressant/
抗がん剤 [こうがんざい] /(n) anticancer drug/
抗けいれん薬 [こうけいれんやく] /(n) anticonvulsant/
抗する [こうする] /(vs-s,vi) to resist/to defy/
抗てんかん薬 [こうてんかんやく] /(n) anticonvulsant/antiepileptic agent/
抗ウイルス剤 [こうウイルスざい] /(n) antiviral/
抗コリン剤 [こうコリンざい] /(n) anticholinergic drug/
抗コリン薬 [こうコリンやく] /(n) anticholinergic drug/
抗ヒスタミン剤 [こうヒスタミンざい] /(n) antihistamine/
抗ヒスタミン薬 [こうヒスタミンやく] /(n) antihistamine/
抗炎症剤 [こうえんしょうざい] /(n) anti-inflammatory drug/anti-inflammatory agent/
抗加齢ドック [こうかれいドック] /(n) medical checkup that focuses primarily on problems that worsen with age/
抗壊血病 [こうかいけつびょう] /(n,adj-no) antiscorbutic/preventive against scurvy/
抗癌剤 [こうがんざい] /(n) anticancer drug/
抗議 [こうぎ] /(n,vs,adj-no) protest/objection/(P)/
抗議運動 [こうぎうんどう] /(n) protest campaign/demonstration/
抗議活動 [こうぎかつどう] /(n) protest action/protest movement/
抗議文 [こうぎぶん] /(n) written protest/
抗拒 [こうきょ] /(n,vs) resistance/opposition/
抗凝固 [こうぎょうこ] /(adj-na) anticoagulation/anticoagulant/
抗菌 [こうきん] /(adj-na,n,adj-no) antibacterial/antimicrobial/(P)/
抗菌剤 [こうきんざい] /(n) antimicrobial/antibacterial/
抗菌性 [こうきんせい] /(n) antibacterial/
抗血清 [こうけっせい] /(n) antiserum/
抗元 [こうげん] /(n) antigen/
抗原 [こうげん] /(n) antigen/(P)/
抗原決定基 [こうげんけっていき] /(n) antigenic determinant/epitope/
抗原抗体反応 [こうげんこうたいはんのう] /(n) antigen-antibody reaction/AAR/
抗言 [こうげん] /(n,vs) protest/
抗告 [こうこく] /(n,vs) kokoku (interlocutory) appeal/protest/complaint/(P)/
抗酸菌 [こうさんきん] /(n) acid-fast bacterium/
抗磁力 [こうじりょく] /(n) coercivity/coercive force/
抗真菌 [こうしんきん] /(n) antifungal/
抗生剤 [こうせいざい] /(n) antibiotic/
抗生物質 [こうせいぶっしつ] /(n,adj-no) antibiotic/antibiotics/(P)/
抗精神病薬 [こうせいしんびょうやく] /(n) antipsychotic drug/
抗戦 [こうせん] /(n,vs) resistance/(P)/
抗争 [こうそう] /(n,vs) dispute/resistance/(P)/
抗体 [こうたい] /(n) antibody/(P)/
抗体産生 [こうたいさんせい] /(n) antibody production/
抗張力 [こうちょうりょく] /(n) tensile strength/
抗抵 [こうてい] /(n,vs) (arch) resistance/opposition/
抗毒素 [こうどくそ] /(n) antitoxin/antivenin/antivenom/
抗独 [こうどく] /(adj-no) anti-German/
抗日 [こうにち] /(n) anti-Japanese/(P)/
抗不安薬 [こうふあんやく] /(n) anti-anxiety agent/anti-anxiety drug/
抗弁 [こうべん] /(n,vs) protest/refutation/pleading/
抗老化 [こうろうか] /(n,vs) anti-aging/
抗鬱 [こううつ] /(n) antidepressant/
抗鬱剤 [こううつざい] /(n) antidepressant/
抗痙攣薬 [こうけいれんやく] /(n) anticonvulsant/
抗癲癇薬 [こうてんかんやく] /(n) anticonvulsant/antiepileptic agent/
拘う [かかずらう] /(v5u,vi) (1) (uk) to be mixed up with/to have a connection with (a troublesome matter)/(2) to be a stickler about/to be finicky about (some triviality)/(3) to take part (in some work)/to hang about/to bother (someone)/
拘らう [かかずらう] /(v5u,vi) (1) (uk) to be mixed up with/to have a connection with (a troublesome matter)/(2) to be a stickler about/to be finicky about (some triviality)/(3) to take part (in some work)/to hang about/to bother (someone)/
拘らず [かかわらず] /(exp) in spite of/regardless of/
拘り合う [かかずりあう] /(v5u,vi) (1) (uk) (col) to be mixed up with/to have a connection with (a troublesome matter)/(2) to be a stickler about/to be finicky about (some triviality)/(3) to take part (in some work)/to hang about/to bother (someone)/
拘る [かかわる] /(v5r,vi) (1) to be affected/to be influenced/(2) to be concerned with/to have to do with/(3) to stick to (opinions)/
拘る [こだわる] /(v5r,vi) (1) (uk) to fuss over/to be particular about/(2) to be obsessive/to be fixated/
拘わらず [かかわらず] /(exp) in spite of/regardless of/
拘わる [かかわる] /(v5r,vi) (1) to be affected/to be influenced/(2) to be concerned with/to have to do with/(3) to stick to (opinions)/
拘わる [こだわる] /(v5r,vi) (1) (uk) to fuss over/to be particular about/(2) to be obsessive/to be fixated/
拘引 [こういん] /(n,vs) arrest/custody/seduction/abduction/
拘引状 [こういんじょう] /(n) summons/warrant of arrest/
拘禁 [こうきん] /(n,vs) intern/(P)/
拘束 [こうそく] /(n,vs) restriction/restraint/binding/(P)/
拘束圧 [こうそくあつ] /(n) confining pressure/
拘束衣 [こうそくい] /(n) straitjacket/
拘束時間 [こうそくじかん] /(n) total hours spent working/
拘束名簿式比例代表制 [こうそくめいぼしきひれいだいひょうせい] /(n) proportional representation electoral system (n which party votes are cast, and candidates from each party are elected based on an ordered list available to the public)/
拘束力 [こうそくりょく] /(n) binding force/
拘置 [こうち] /(n,vs) detention/confinement/arrest/(P)/
拘置所 [こうちしょ] /(n) prison/detention house/(P)/
拘泥 [こうでい] /(n,vs) adherence to/being a stickler/
拘留 [こうりゅう] /(n,vs) detention/hold a person in custody/(P)/
拘枳羅 [くきら] /(n) (1) (obsc) Asian koel (Eudynamys scolopacea)/(2) lesser cuckoo (Cuculus poliocephalus)/
拘耆羅 [くきら] /(n) (1) (obsc) Asian koel (Eudynamys scolopacea)/(2) lesser cuckoo (Cuculus poliocephalus)/
控え [ひかえ] /(n) (1) reserve/spare/backup/(2) note/memorandum/(3) duplicate/copy/stub (of a ticket, etc.)/(4) waiting one's turn/(P)/
控えの間 [ひかえのま] /(n) anteroom/antechamber/
控えの力士 [ひかえのりきし] /(n) sumo wrestler waiting at the ringside/
控えめ [ひかえめ] /(adj-na,n,adj-no) moderate/reserved/conservative/humble/mild-mannered/self-effacing/unassuming/well-behaved/low-key/temperate/in small quantities/
控える [ひかえる] /(v1) (1) to be temperate in/to restrain oneself from excessive .../(2) to make notes/(3) to hold back/(4) to be in preparation for/to be in waiting for/(5) to be soon/to be in the offing/(6) to be in a close relationship (e.g. as a backer, etc.)/(P)/
控えを取る [ひかえをとる] /(exp,v5r) to take a copy of/
控え見本 [ひかえみほん] /(n) duplicate sample/
控え室 [ひかえしつ] /(n) waiting room/(P)/
控え書き [ひかえがき] /(n) memo/notes/
控え選手 [ひかえせんしゅ] /(n,adj-no) substitute player/reserve/
控え帳 [ひかえちょう] /(n) notebook/
控え布団 [ひかえぶとん] /(n) waiting wrestler's sitting cushion (sumo)/
控え目 [ひかえめ] /(adj-na,n,adj-no) moderate/reserved/conservative/humble/mild-mannered/self-effacing/unassuming/well-behaved/low-key/temperate/in small quantities/
控え力士 [ひかえりきし] /(n) sumo wrestler waiting his turn by the ring/
控室 [ひかえしつ] /(n) waiting room/(P)/
控所 [ひかえじょ] /(n) (obsc) waiting area/
控除 [こうじょ] /(n,vs) subtraction/deduction (e.g. tax)/subsidy/(P)/
控除額 [こうじょがく] /(n) amount deducted (from)/deduction (from)/abatement/
控訴 [こうそ] /(n,vs,adj-no) koso appeal (initial appeal to a higher court)/(P)/
控訴院 [こうそいん] /(n) appelate court/appellate court/
控訴期間 [こうそきかん] /(n) term in which an appeal may be filed/
控訴棄却 [こうそききゃく] /(n) dismissal of an intermediate appeal/
控訴権 [こうそけん] /(n) right of appeal/
控訴裁判所 [こうそさいばんしょ] /(n) appeals court/appellate court/appelate court/
控訴状 [こうそじょう] /(n) petition of appeal/
控訴審 [こうそしん] /(n) appeal trial/
控訴人 [こうそにん] /(n) appellant/
控訴理由 [こうそりゆう] /(n) grounds for an appeal/
控布団 [ひかえぶとん] /(n) waiting wrestler's sitting cushion (sumo)/
控目 [ひかえめ] /(adj-na,n,adj-no) moderate/reserved/conservative/humble/mild-mannered/self-effacing/unassuming/well-behaved/low-key/temperate/in small quantities/
控力士 [ひかえりきし] /(n) sumo wrestler waiting his turn by the ring/
攻め [せめ] /(n) (1) attack/offence/offense/(2) (uk) (col) dominant partner of a homosexual relationship/(suf) (3) a barrage of/a flood of/(P)/
攻めあぐねる [せめあぐねる] /(v1) to be at a loss how to continue/to become disheartened/
攻める [せめる] /(v1,vt) to attack/to assault/(P)/
攻め苛む [せめさいなむ] /(v5m) to torture/to persecute/to excruciate/
攻め寄せる [せめよせる] /(v1,vi) to make an onslaught (on)/to close in (on)/
攻め倦ねる [せめあぐねる] /(v1) to be at a loss how to continue/to become disheartened/
攻め倦む [せめあぐむ] /(v5m,vi) to lose the attacking initiative/
攻め口 [せめくち] /(n) method of attack/place of attack/
攻め口 [せめぐち] /(n) method of attack/place of attack/
攻め込む [せめこむ] /(v5m,vi) to invade/to attack/
攻め手 [せめて] /(n) offense/offence/method of attack/
攻め上る [せめのぼる] /(v5r,vi) to march on the capital/
攻め太鼓 [せめだいこ] /(n) drum used in ancient warfare to signal an attack/
攻め道具 [せめどうぐ] /(n) offensive weapons/
攻め入る [せめいる] /(v5r,vi) to invade/
攻め抜く [せめぬく] /(v5k,vt) to attack persistently/
攻め滅ぼす [せめほろぼす] /(v5s,vt) to attack and overthrow/to utterly destroy/
攻め落す [せめおとす] /(v5s) to assault/
攻め落とす [せめおとす] /(v5s) to assault/
攻め立てる [せめたてる] /(v1,vt) to make an incessant onslaught/to attack incessantly/
攻囲 [こうい] /(n,vs) siege/
攻学 [こうがく] /(n) dedication to study or research/
攻寄せる [せめよせる] /(v1,vi) to make an onslaught (on)/to close in (on)/
攻究 [こうきゅう] /(n,vs) study/investigation/research/
攻撃 [こうげき] /(n,vs) attack/strike/offensive/criticism/censure/(P)/
攻撃ヘリコプター [こうげきヘリコプター] /(n) attack helicopter/
攻撃開始線 [こうげきかいしせん] /(n) line of departure/
攻撃機 [こうげきき] /(n) attack aircraft/
攻撃軍 [こうげきぐん] /(n) attacking force/
攻撃型潜水艦 [こうげきがたせんすいかん] /(n) attack submarine/
攻撃性 [こうげきせい] /(n) aggressiveness/aggression/
攻撃成果評価 [こうげきせいかひょうか] /(n) damage assessment/
攻撃精神 [こうげきせいしん] /(n) aggressiveness/
攻撃側 [こうげきがわ] /(n) offensive camp/team at bat/
攻撃態勢 [こうげきたいせい] /(n) attack preparedness/
攻撃隊 [こうげきたい] /(n) attack forces/
攻撃隊形 [こうげきたいけい] /(n) attacking formation/
攻撃的 [こうげきてき] /(adj-na) offensive/aggressive/
攻撃部隊 [こうげきぶたい] /(n) attacking forces/
攻撃方向 [こうげきほうこう] /(n) attacking direction/
攻撃力 [こうげきりょく] /(n) offensive ability/
攻守 [こうしゅ] /(n) offense and defense/offence and defence/batting and fielding/(P)/
攻守同盟 [こうしゅどうめい] /(n) offensive and defensive alliance/
攻上る [せめのぼる] /(v5r,vi) to march on the capital/
攻城 [こうじょう] /(n,vs) siege/
攻勢 [こうせい] /(n) offensive (movement)/aggression/(P)/
攻勢防御 [こうせいぼうぎょ] /(n) attack as a form of defense/attacking (active) defense/
攻防 [こうぼう] /(n) offense and defense/offence and defence/(P)/
攻防戦 [こうぼうせん] /(n) battle/
攻立てる [せめたてる] /(v1,vt) to make an incessant onslaught/to attack incessantly/
攻略 [こうりゃく] /(n,vs) (1) capture/(2) (comp) walkthrough or specific advice (e.g. in computer games)/(P)/
昂じる [こうじる] /(v1,vi) to grow in intensity/to be aggravated/to get worse/to develop/
昂ずる [こうずる] /(vz) (obsc) to grow in intensity/to be aggravated/to get worse/to develop/
昂ぶる [たかぶる] /(io) (v5r,vi) (1) to be highly strung/to be proud/to be haughty/(2) to get excited/to get worked up/
昂り [たかぶり] /(n) (1) excitement/stimulation/agitation/arousal/(2) pride/haughtiness/arrogance/
昂る [たかぶる] /(v5r,vi) (1) to be highly strung/to be proud/to be haughty/(2) to get excited/to get worked up/
昂進 [こうしん] /(n,vs) rising/exasperated/accelerated/
昂然 [こうぜん] /(adj-t,adv-to) elated/triumphant/proud/
昂騰 [こうとう] /(n,vs) sudden price jump/steep price rise/
昂奮 [こうふん] /(n,vs) excitement/stimulation/agitation/arousal/
昂揚 [こうよう] /(n,vs) enhancement/exaltation/promotion/uplift/
晃々 [こうこう] /(adj-t,adv-to) brilliant/dazzling/light/bright/
晃晃 [こうこう] /(adj-t,adv-to) brilliant/dazzling/light/bright/
晃曜 [こうよう] /(n) dazzling brightness/
晃朗 [こうろう] /(adj-t,adv-to) bright and brilliant/
更 [こう] /(n) one-fifth of the night (approx. 2 hours)/
更 [こもごも] /(adv) (uk) alternately/in succession/
更 [さら] /(n,adj-no) (1) (arch) new (i.e. brand-new, never used)/(pref) (2) new/(adj-na) (3) obvious/natural/
更 [ふけ] /(n,n-suf) growing late/latening/
更々 [さらさら] /(adv) (not) at all/
更々ない [さらさらない] /(adj-i) not in the least/
更かす [ふかす] /(v5s,vt) to sit up late/
更け [ふけ] /(n,n-suf) growing late/latening/
更ける [ふける] /(v1,vi) to get late/to advance/to wear on/(P)/
更なり [さらなり] /(n) of course/
更なる [さらなる] /(adj-pn) even more/still more/further/
更に [さらに] /(adv,conj) (uk) furthermore/again/after all/more and more/moreover/even more/(P)/
更にも言わず [さらにもいわず] /(exp) (id) It is needless to say/
更位 [こうい] /(n) second accession of the same emperor/
更衣 [きさらぎ] /(n) (obs) second month of the lunar calendar/
更衣 [こうい] /(n,vs) (1) changing one's clothes/(n) (2) (arch) lady court attendant/(3) (arch) second lunar month/
更衣 [ころもがえ] /(n,vs) (1) seasonal change of clothing/changing (one's) dress for the season/(2) renovation/facelift/changing appearance/
更衣室 [こういしつ] /(n) locker room/changing room/dressing room/(P)/
更科蕎麦 [さらしなそば] /(n) type of high quality soba/
更改 [こうかい] /(n,vs) renewal/extension/revision/(P)/
更更 [さらさら] /(adv) (not) at all/
更更ない [さらさらない] /(adj-i) not in the least/
更始 [こうし] /(n,vs) renewal/reform/
更始一新 [こうしいっしん] /(n,vs) undergo a complete change/turn over a new leaf/
更紗 [サラサ] /(ateji) (n,adj-no) cotton print (por: saraca)/calico/
更紗灯台 [さらさどうだん] /(n) (uk) redvein enkianthus (Enkianthus campanulatus)/
更紗馬蹄螺 [サラサばていら] /(ateji) (n) (uk) Tectus maximus (species of top shell)/
更新 [こうしん] /(n,vs) renewal/update/innovation/improvement/(P)/
更新世 [こうしんせい] /(n) Pleistocene epoch/
更新履歴 [こうしんりれき] /(n) (comp) change log/record of updates/update history/
更新暦 [こうしんれき] /(n) (comp) change log/record of updates/update history/what's new/
更正 [こうせい] /(n,vs) correction/revision/rectification/(P)/
更正施設 [こうせいしせつ] /(n) correctional facility/
更生 [こうせい] /(n,vs) rehabilitation/regeneration/rebirth/resuscitation/reorganization/reorganisation/(P)/
更生会社 [こうせいがいしゃ] /(n) company needing reorganization (reorganisation)/
更生期 [こうせいき] /(n) change of life/menopause/
更生施設 [こうせいしせつ] /(n) rehabilitation facilities/halfway house/
更生品 [こうせいひん] /(n) recycled goods/
更生保護 [こうせいほご] /(n) rehabilitation/social readjustment/aftercare/parole/
更代 [こうたい] /(n,vs) exchange (something)/
更地 [さらち] /(n) empty lot/vacant plot of land/
更訂 [こうてい] /(n,vs,adj-no) revision/
更迭 [こうてつ] /(n,vs) change/shake-up/reshuffle (e.g. of a cabinet)/dismissal (e.g. of a minister)/exchanging places/(P)/
更湯 [さらゆ] /(n) clean, freshly poured bath/hot water just poured into a bath that no one has entered yet/
更年期 [こうねんき] /(n) menopause/change of life/(P)/
更年期障害 [こうねんきしょうがい] /(n) menopausal disorders/
更問 [さらもん] /(n) further questions/
杭 [くい] /(n) stake/picket/
杭周面摩擦力 [くいしゅうめんまさつりょく] /(n) pile shaft friction/
杭打ち [くいうち] /(n) pile-driving/piling/
杭打設 [くいうちせつ] /(n) pile-driving/
校 [こう] /(suf) (1) school/(n,ctr) (2) proof (of a book, document, etc.)/counter for proofs/
校を重ねる [こうをかさねる] /(exp,v1) to proofread again and again/
校医 [こうい] /(n) school doctor/
校閲 [こうえつ] /(n,vs) revision/proofreading/(P)/
校閲係 [こうえつがかり] /(n) proofreader/
校閲者 [こうえつしゃ] /(n) reviewer/person who checks accuracy of written work/
校歌 [こうか] /(n) school song/(P)/
校外 [こうがい] /(n) off-campus/out of school/
校旗 [こうき] /(n) school flag/(P)/
校紀 [こうき] /(n) school discipline/
校規 [こうき] /(n) school regulations/
校具 [こうぐ] /(n) school gear/
校訓 [こうくん] /(n) school precepts/
校合 [きょうごう] /(n,vs) collation/examining and comparing/
校合 [こうごう] /(n,vs) collation/examining and comparing/
校舎 [こうしゃ] /(n) school building/(P)/
校主 [こうしゅ] /(n) proprietor of a school/
校書殿 [きょうしょでん] /(n) pavilion housing the historical archives (in Heian Palace)/
校書殿 [こうしょでん] /(n) pavilion housing the historical archives (in Heian Palace)/
校章 [こうしょう] /(n) school badge/
校正 [こうせい] /(n,vs) (1) proofreading/correction of press/(2) calibration/(P)/
校正係 [こうせいがかり] /(n) proofreader/
校正刷 [こうせいずり] /(n) galley proofs/proof sheet/printer's proof/
校正刷り [こうせいずり] /(n) galley proofs/proof sheet/printer's proof/
校倉 [あぜくら] /(n) ancient log storehouse/
校倉造り [あぜくらづくり] /(n) ancient architectural style utilizing intercrossed triangle logs/
校葬 [こうそう] /(n) school funeral/
校則 [こうそく] /(n) school regulations/(P)/
校注 [こうちゅう] /(n) collation editing/proofreading and annotation/
校註 [こうちゅう] /(n) collation editing/proofreading and annotation/
校長 [こうちょう] /(n) principal/headmaster/(P)/
校長室 [こうちょうしつ] /(n) principal's office/
校長先生 [こうちょうせんせい] /(n) (hon) high-school principal/
校定 [こうてい] /(n,vs) revision/
校庭 [こうてい] /(n) schoolyard/campus/(P)/
校訂 [こうてい] /(n,vs,adj-no) revision/
校内 [こうない] /(n,adj-no) within a school/(P)/
校内暴力 [こうないぼうりょく] /(n) school violence/
校風 [こうふう] /(n) school tradition/
校服 [こうふく] /(n) school uniform/
校僕 [こうぼく] /(n) student studying and working at the school/
校本 [こうほん] /(n) annotated textbook/
校務 [こうむ] /(n) school duties or affairs/
校務員 [こうむいん] /(n) (obsc) school janitor/
校名 [こうめい] /(n) name of a school/
校門 [こうもん] /(n) school gate/(P)/
校友 [こうゆう] /(n) schoolmate/alumnus/
校友会 [こうゆうかい] /(n) alumni association/
校了 [こうりょう] /(n,vs) proofreading completed/
梗概 [こうがい] /(n) outline/summary/epitome/
梗塞 [こうそく] /(n,vs) stoppage/tightness/block/infarction/
構 [かじ] /(n) (uk) paper mulberry (Broussonetia papyrifera)/
構 [かまえ] /(n) kanji enclosure type radical (must enclose at least two sides of the kanji)/
構いません [かまいません] /(exp) no problem/it doesn't matter/
構い手 [かまいて] /(n) companion/
構う [かまう] /(v5u) (1) to mind/to care about/to be concerned about/(2) to care for/to look after/(3) to prepare for/(4) to interfere with/to meddle in/(5) to tease/(P)/
構え [かまえ] /(n) posture (e.g. in martial arts)/pose/style/stance/
構える [かまえる] /(v1,vt) (1) to set up (e.g. a building)/(2) to prepare in advance (e.g. a meal)/to prepare to use something (e.g. a camera)/(3) to plan/to scheme/(4) to fabricate in order to deceive/(5) to stiffen/to become formal/(P)/
構の木 [かじのき] /(n) (uk) paper mulberry (Broussonetia papyrifera)/
構へん [かまへん] /(exp) (uk) (ksb:) no problem/it doesn't matter/
構へん [かめへん] /(exp) (uk) (ksb:) no problem/it doesn't matter/
構わない [かまわない] /(exp) no problem/it doesn't matter/
構音障害 [こうおんしょうがい] /(n) lisp/
構外 [こうがい] /(n) off grounds/outside the premises/
構図 [こうず] /(n) composition/(P)/
構成 [こうせい] /(n,vs,adj-no) organization/organisation/configuration/composition/(P)/
構成データ [こうせいデータ] /(n) (comp) configuration data/
構成員 [こうせいいん] /(n) members/
構成可能 [こうせいかのう] /(n) configurable/
構成管理 [こうせいかんり] /(n) (comp) configuration management/
構成機器 [こうせいきき] /(n) (comp) components/
構成子 [こうせいし] /(n) component/
構成主義 [こうせいしゅぎ] /(n,adj-no) constructivism/
構成情報 [こうせいじょうほう] /(n) configuration information/
構成制御 [こうせいせいぎょ] /(n) (comp) configuration control/
構成制御委員会 [こうせいせいぎょいいんかい] /(n) (comp) configuration control board/
構成成分 [こうせいせいぶん] /(n) structural component/
構成節 [こうせいせつ] /(n) (comp) configuration section/
構成素構造 [こうせいそこうぞう] /(n) constituent structure/
構成素統御 [こうせいそとうぎょ] /(n) constituent command/
構成素否定 [こうせいそひてい] /(n) (ling) constituent negation/word negation/
構成体 [こうせいたい] /(n) (comp) constituent/
構成単位 [こうせいたんい] /(n) element/
構成比 [こうせいひ] /(n) component (distribution) ratio/
構成部品 [こうせいぶひん] /(n) (comp) component/
構成分子 [こうせいぶんし] /(n) components/
構成変更 [こうせいへんこう] /(n) (comp) configuration change/
構成要件 [こうせいようけん] /(n) actus reus (constituent external element of a crime, as opposed to mental state)/
構成要素 [こうせいようそ] /(n,adj-no) (comp) components/elements/parts/
構成要素型 [こうせいようそがた] /(n) (comp) component type/
構想 [こうそう] /(n,vs) plan/plot/idea/conception/(P)/
構想力 [こうそうりょく] /(n) power of conception/conceptual ability/
構造 [こうぞう] /(n) structure/construction/(P)/
構造遺伝子 [こうぞういでんし] /(n) structural gene/
構造汚職 [こうぞうおしょく] /(n) structural corruption/
構造化プログラミング [こうぞうかプログラミング] /(n) (comp) structured programming/
構造化プログラム [こうぞうかプログラム] /(n) (comp) structured program/
構造化言語 [こうぞうかげんご] /(n) (comp) structured language/
構造化照会言語 [こうぞうかしょうかいげんご] /(n) (comp) SQL/Structured Query Language/
構造化分析 [こうぞうかぶんせき] /(n) (comp) Structured Analysis/SA/
構造化問い合わせ言語 [こうぞうかといあわせげんご] /(n) structured query language/SQL/
構造改革 [こうぞうかいかく] /(n) restructuring/
構造改革論 [こうぞうかいかくろん] /(n) structural reform theory/
構造記述 [こうぞうきじゅつ] /(n) structural description/
構造型 [こうぞうがた] /(n) (comp) derived type/structured type/
構造型符号化 [こうぞうがたふごうか] /(n) (comp) constructed encoding/
構造言語学 [こうぞうげんごがく] /(n) (ling) structural linguistics/
構造構成主義 [こうぞうこうせいしゅぎ] /(n) structural constructivism/
構造構文 [こうぞうこうぶん] /(n) (comp) construct/
構造式 [こうぞうしき] /(n) structural formula/
構造主義 [こうぞうしゅぎ] /(n,adj-no) structuralism/
構造色 [こうぞうしょく] /(n) structural color/
構造線 [こうぞうせん] /(n) tectonic line/
構造体 [こうぞうたい] /(n) structure/
構造体ネットワーク [こうぞうたいネットワーク] /(n) (comp) structure network/
構造体参照 [こうぞうたいさんしょう] /(n) (comp) structure reference/
構造体識別子 [こうぞうたいしきべつし] /(n) (comp) structure identifier/
構造体取出し [こうぞうたいとりだし] /(n) (comp) structure retrieval/
構造体状態リスト [こうぞうたいじょうたいリスト] /(n) (comp) structure state list/
構造体成分 [こうぞうたいせいぶん] /(n) (comp) structure component/
構造体中央記憶 [こうぞうたいちゅうおうきおく] /(n) (comp) centralized structure store/
構造体変数 [こうぞうたいへんすう] /(n) (comp) structured variable/
構造体編集 [こうぞうたいへんしゅう] /(n) (comp) structure editing/
構造体保管 [こうぞうたいほかん] /(n) (comp) structure archiving/
構造体要素 [こうぞうたいようそ] /(n) (comp) structure element/
構造地震 [こうぞうじしん] /(n) tectonic earthquake/
構造的失業 [こうぞうてきしつぎょう] /(n) structural unemployment/
構造表記法 [こうぞうひょうきほう] /(n) (comp) structured notation/
構造不況 [こうぞうふきょう] /(n) structural recession/
構造物 [こうぞうぶつ] /(n) structure/(P)/
構造壁 [こうぞうかべ] /(n) foundation wall/structural wall/
構造変化 [こうぞうへんか] /(n,vs) structural change/
構造保持 [こうぞうほじ] /(n) structure preserving/
構造要素 [こうぞうようそ] /(n) (comp) structural element/
構体 [こうたい] /(n) body structure/
構築 [こうちく] /(n,vs) construction/architecture (systems, agreement, etc)/(P)/
構築子 [こうちくし] /(n) (comp) constructor/
構築物 [こうちくぶつ] /(n) structure/
構内 [こうない] /(n,adj-no) premises/grounds/campus/in-house/(P)/
構内交換機 [こうないこうかんき] /(n) (comp) private branch exchange/PBX/
構内通信網 [こうないつうしんもう] /(n) (comp) local area network/LAN/
構内電話交換機 [こうないでんわこうかんき] /(n) (comp) private branch exchange/PBX/
構文 [こうぶん] /(n,adj-no) (ling) syntax/sentence structure/
構文エラー [こうぶんエラー] /(n) (comp) syntactic error/
構文チェッカ [こうぶんチェッカ] /(n) (comp) syntax checker/
構文解析 [こうぶんかいせき] /(n) (comp) syntax analysis/
構文解析対象文字データ [こうぶんかいせきたいしょうもじデータ] /(n) (comp) parsed character data/
構文規則 [こうぶんきそく] /(n) (comp) syntax/
構文参照文字集合 [こうぶんさんしょうもじしゅうごう] /(n) (comp) syntax-reference character set/
構文素 [こうぶんそ] /(n) (comp) lexical token/
構文法 [こうぶんぽう] /(n) syntax rules/
構文木 [こうぶんぎ] /(n) syntax tree/
構苺 [かじいちご] /(n) (uk) Rubus trifidus (species of raspberry)/
江 [え] /(n) inlet/bay/(P)/
江 [こう] /(n) (1) (arch) large river (esp. the Yangtze)/(2) Lake Biwa/
江に [えに] /(ateji) (n) (1) fate/destiny (esp. as a mysterious force that binds two people together)/(2) relationship (e.g. between two people)/bond/link/connection/(3) family ties/affinity/
江河 [こうが] /(n) Yangtze and Yellow rivers/large river/
江戸 [えど] /(n) old name of Tokyo/(P)/
江戸っ子 [えどっこ] /(n) true Tokyoite/person born and raised in Edo/(P)/
江戸っ児 [えどっこ] /(n) true Tokyoite/person born and raised in Edo/
江戸の華 [えどのはな] /(exp) (obs) widespread fires in Edo (often after earthquakes)/flowers of Edo/
江戸の敵を長崎で討つ [えどのかたきをながさきでうつ] /(exp,v5t) (id) to take revenge on someone in an unlikely place/to get revenge on someone in a different contest/
江戸花菖蒲 [えどはなしょうぶ] /(n) Iris ensata/Edo Japanese iris/
江戸言葉 [えどことば] /(n) Edo dialect/
江戸語 [えどご] /(n) Edo dialect/
江戸子 [えどこ] /(n) (ksb:) true Tokyoite/person born and raised in Edo/
江戸児 [えどこ] /(n) (ksb:) true Tokyoite/person born and raised in Edo/
江戸時代 [えどじだい] /(n) Edo period (1603-1868 CE)/
江戸時代文学 [えどじだいぶんがく] /(n) Edo-period literature/
江戸者 [えどもの] /(n) true Tokyoite/person born and raised in Edo/
江戸城 [えどじょう] /(n) Edo Castle (residence of the Shogun during the Edo period, now the site of the Tokyo Imperial Palace)/
江戸切り子 [えどきりこ] /(n) type of faceted glass from Edo/
江戸切子 [えどきりこ] /(n) type of faceted glass from Edo/
江戸川 [えどがわ] /(n) Edo River/(P)/
江戸前 [えどまえ] /(n) Tokyo style/
江戸前寿司 [えどまえずし] /(n) (food) type of nigirizushi/
江戸彼岸 [えどひがん] /(n) (uk) double weeping rosebud cherry (Prunus pendula)/
江戸弁 [えどべん] /(n) Edo dialect/
江戸幕府 [えどばくふ] /(n) Edo shogunate (1603-1867)/
江湖 [こうこ] /(n) the public/the world/
江湖 [ごうこ] /(n) Zen disciples/
江鮭 [あめのうお] /(n) (uk) biwa trout (Oncorhynchus masou rhodurus)/biwa salmon/
江山 [こうざん] /(n) rivers and mountains/landscape/
江上 [こうじょう] /(n) (on the) bank of a large river/
江川る [えがわる] /(v5r) to (try to) act like a big-shot/
江村 [こうそん] /(n) village along a (large) river/
江頭 [こうとう] /(n) (obsc) riverbank (esp. the Yangtze River)/
洪牙利 [はんがりー] /(n) (uk) Hungary/
洪基 [こうき] /(n) foundation of a great project/base of a great enterprise/
洪業 [こうぎょう] /(n) glorious achievement/
洪水 [こうずい] /(n) flood/(P)/
洪水神話 [こうずいしんわ] /(n) flood myth/
洪積 [こうせき] /(n) diluvial epoch (geol.)/
洪積世 [こうせきせい] /(n) diluvial epoch/
洪積層 [こうせきそう] /(n) diluvial formation (geol.)/
洪大 [こうだい] /(adj-na,n) great/immense/
浩然 [こうぜん] /(n,adj-t,adv-to) (1) broadminded/magnanimous/(2) great and prosperous/vast/
浩然の気 [こうぜんのき] /(n) (1) universal life force (the source of animation for all things)/(2) free spirit (i.e. a mindset unencumbered with worldly concerns)/
浩瀚 [こうかん] /(adj-na,n) bulky/voluminous/
港 [こう] /(suf) harbour (in location names)/
港 [みなと] /(n) harbour/harbor/port/(P)/
港外 [こうがい] /(n) outside a port or harbor (harbour)/
港区 [みなとく] /(n) Harbour Ward (e.g. in Tokyo)/
港口 [こうこう] /(n) harbor entrance/harbour entrance/
港祭り [みなとまつり] /(n) port festival/
港市 [こうし] /(n) harbour city (harbor)/
港図 [こうず] /(n) map of a harbor (harbour)/
港則法 [こうそくほう] /(n) Act on Port Regulations (1948)/
港町 [みなとまち] /(n) port city/
港内 [こうない] /(n) inside the harbour/inside the harbor/(P)/
港湾 [こうわん] /(n) harbours/harbors/(P)/
港湾運送業 [こうわんうんそうぎょう] /(n) port transport industry/
港湾運送事業 [こうわんうんそうじぎょう] /(n) port transport industry/
港湾局 [こうわんきょく] /(n) Port and Harbor Authority/
港湾税 [こうわんぜい] /(n) harbor duties/harbour duties/
港湾当局 [こうわんとうきょく] /(n) port authorities/
港湾労働者 [こうわんろうどうしゃ] /(n) longshoreman/stevedore/
溝 [こう] /(n) (obsc) 10^32/hundred nonillion (American)/(obs) hundred quintillion (British)/
溝 [どぶ] /(n) ditch/drain/gutter/groove/trench/
溝 [みぞ] /(n) ditch/drain/gutter/groove/trench/(P)/
溝が有る [みぞがある] /(exp) to be estranged/
溝に捨てる [どぶにすてる] /(exp,v1) to throw down the drain/to waste/
溝レール [みぞレール] /(n) grooved rail/
溝渠 [こうきょ] /(n) ditch/sewer/canal/
溝掘り機 [みぞほりき] /(n) ditching machine/
溝形鋼 [みぞがたこう] /(n) channel (type of section steel)/
溝五位 [みぞごい] /(n) Japanese night heron (Gorsachius goisagi)/
溝酸漿 [みぞほおずき] /(n) monkey flower (plant)/mimulus (plant) (Mimulus nepalensis var. japonicus)/
溝状舌 [こうじょうぜつ] /(n) fissured tongue/
溝水 [どぶみず] /(n) ditch water/
溝川 [どぶがわ] /(n) ditch with running water/
溝鼠 [どぶねずみ] /(n) (1) (uk) brown rat (Rattus norvegicus)/common rat/Norway rat/(2) dark grey (colour, color)/dark gray/(3) secret evil-doer/
溝泥 [どぶどろ] /(n) ditch mud/
溝萩 [みそはぎ] /(n) (uk) Lythrum anceps (species of loosestrife closely related to purple loosestrife, Lythrum salicaria)/
溝萩 [みぞはぎ] /(n) (uk) Lythrum anceps (species of loosestrife closely related to purple loosestrife, Lythrum salicaria)/
溝板 [どぶいた] /(n) boards covering a ditch (drainage, sewage, etc.)/
溝溜 [こうりゅう] /(n) drain and pool for collecting sewage, etc./
溝浚い [どぶさらい] /(n) cleaning out mud from a ditch or drain/
甲 [かぶと] /(n) helmet (of armor, armour)/headpiece/
甲 [かん] /(n) treble range (in Japanese music)/high note/
甲 [きのえ] /(n) first sign of the Chinese calendar/
甲 [こう] /(n) (1) carapace/shell/(2) 1st in rank/grade A/(3) instep/back of hand/(4) the A party (e.g. in a contract)/the first party/(P)/
甲 [よろい] /(n) armor/armour/
甲と乙 [こうとおつ] /(exp) the former and the latter/A and B/
甲の薬は乙の毒 [こうのくすりはおつのどく] /(exp) One man's meat is another man's poison/lit: one's medicine is another's poison/
甲イカ [こうイカ] /(n) golden cuttlefish (Sepia esculenta)/cuttlefish (any species in the family Sepiidae)/
甲烏賊 [こういか] /(n) golden cuttlefish (Sepia esculenta)/cuttlefish (any species in the family Sepiidae)/
甲乙 [こうおつ] /(n) (1) A and B/excellent and good/similarity/(2) discrimination/discernment/distinction/(3) first and second parties (in legal contexts)/(P)/
甲乙つけがたい [こうおつつけがたい] /(exp) it is difficult to say which of the two is better/
甲乙付けがたい [こうおつつけがたい] /(exp) it is difficult to say which of the two is better/
甲乙付け難い [こうおつつけがたい] /(exp) it is difficult to say which of the two is better/
甲乙丙 [こうおつへい] /(n) ABC/1, 2 and 3/
甲乙丙丁 [こうおつへいてい] /(n) A, B, C and D/first, second, third and fourth/
甲蟹 [かぶとがに] /(n) (uk) horseshoe crab/
甲殻 [こうかく] /(n,adj-no) carapace/shell/crust/
甲殻綱 [こうかくこう] /(n) Crustacea/
甲殻類 [こうかくるい] /(n) crustacean/
甲掛け [こうがけ] /(n) gauntlet/spats/
甲午 [きのえうま] /(n) 31st of the sexagenary cycle/
甲午 [こうご] /(n) 31st of the sexagenary cycle/
甲午農民戦争 [こうごのうみんせんそう] /(n) Donghak Peasant Revolution/
甲高 [こうだか] /(adj-na,n,adj-no) high-pitched/high in the instep/
甲高い [かんだかい] /(adj-i) high-pitched/shrill/(P)/
甲骨文 [こうこつぶん] /(n) ancient inscriptions of Chinese characters on oracle bones and tortoise shells/
甲骨文字 [こうこつもじ] /(n) ancient inscriptions of Chinese characters on oracle bones and carapaces/
甲子 [かっし] /(n) first of the sexagenary cycle/
甲子 [きのえね] /(n) first of the sexagenary cycle/(P)/
甲子 [こうし] /(n) first of the sexagenary cycle/
甲子園 [こうしえん] /(n) Koshien (location of Koshien Stadium, where the Japan National High School Baseball Tournament is held)/
甲種 [こうしゅ] /(n) A-grade/first-class/(P)/
甲巡 [こうじゅん] /(n) armored cruiser/armoured cruiser/
甲所 [かんどころ] /(n) (1) finger board (of a musical instrument)/(2) vital point/
甲状腺 [こうじょうせん] /(n) thyroid gland/(P)/
甲状腺がん [こうじょうせんがん] /(n) thyroid cancer/
甲状腺炎 [こうじょうせんえん] /(n) thyroiditis/
甲状腺癌 [こうじょうせんがん] /(n) thyroid cancer/
甲状腺腫 [こうじょうせんしゅ] /(n) goiter/goitre/
甲状軟骨 [こうじょうなんこつ] /(n) thyroid cartilage/
甲申 [きのえさる] /(n) twenty-first of the sexagenary cycle/
甲申 [こうしん] /(n) twenty-first of the sexagenary cycle/
甲申事変 [こうしんじへん] /(n) Gapsin Coup (Korea, 1884)/
甲声 [かんごえ] /(n) sharp high voice/
甲走った [かんばしった] /(adj-f) shrill/high-pitched/sharp/
甲走る [かんばしる] /(v5r,vi) to make a shrill sound/
甲卒 [こうそつ] /(n) armored warrior/armoured warrior/
甲辰 [きのえたつ] /(n) 41st of the sexagenary cycle/
甲辰 [こうしん] /(n) 41st of the sexagenary cycle/
甲虫 [かぶとむし] /(n) (uk) rhinoceros beetle (esp. the Japanese rhinoceros beetle, Trypoxylus dichotomus)/
甲虫 [こうちゅう] /(n) beetle/
甲虫目 [こうちゅうもく] /(n) Coleoptera (the order of insects containing beetles)/
甲鉄 [こうてつ] /(n,adj-no) armor/armour/armor plate/armour plate/
甲鉄艦 [こうてつかん] /(n) armored ship/armoured ship/
甲鉄板 [こうてつばん] /(n) armor plate/armour plate/
甲寅 [きのえとら] /(n) 51st of the sexagenary cycle/
甲寅 [こういん] /(n) 51st of the sexagenary cycle/
甲板 [かんぱん] /(n) deck (of a ship)/(P)/
甲板 [こうはん] /(n) deck (of a ship)/(P)/
甲板員 [かんぱんいん] /(n) deck hand/
甲板員 [こうはんいん] /(n) deck hand/
甲板渡し [かんぱんわたし] /(n) free on board/FOB/
甲斐 [かい] /(n) effect/result/worth/use/avail/
甲斐 [がい] /(suf) effect/result/worth/use/avail/
甲斐がある [かいがある] /(exp) effective/fruitful/worthwhile/worth/
甲斐がない [かいがない] /(exp,adj-i) useless/in vain/
甲斐が無い [かいがない] /(exp,adj-i) useless/in vain/
甲斐が有る [かいがある] /(exp) effective/fruitful/worthwhile/worth/
甲斐ない [かいない] /(adj-i) worthless/pointless/useless/
甲斐甲斐しい [かいがいしい] /(adj-i) gallant/heroic/brave/
甲斐性 [かいしょ] /(n) resourcefulness/ability/
甲斐性 [かいしょう] /(n) resourcefulness/ability/
甲斐性なし [かいしょうなし] /(n) being good-for-nothing/useless person/
甲斐性無し [かいしょうなし] /(n) being good-for-nothing/useless person/
甲斐無い [かいない] /(adj-i) worthless/pointless/useless/
甲斐無し [かいなし] /(adj-f) worthless/useless/hopeless/
甲斐路 [かいじ] /(n) bright red table grape, a cross between a Flame Tokay and a Neo Muscat/
甲比丹 [カピタン] /(n) (obs) captain (por:)/
甲必丹 [カピタン] /(n) (obs) captain (por:)/
甲兵 [こうへい] /(n) arms/war/armed warrior/
甲夜 [こうや] /(n) (arch) first division of the night (approx. 7 pm to 9 pm)/
甲矢 [はや] /(n) arrow with feathers that curve to the left (the first of two arrows to be fired)/
甲羅 [こうら] /(n) shell/carapace/
甲羅干し [こうらぼし] /(n) (lying on one's belly and) basking in the sun/sunbathing (e.g. on a beach)/
甲羅蒸 [こうらむし] /(n) crab meat mixed with vegetables and egg yolk, steamed inside its shell/
甲羅蒸し [こうらむし] /(n) crab meat mixed with vegetables and egg yolk, steamed inside its shell/
甲論乙駁 [こうろんおつばく] /(n,vs) arguments pro and con/
甲冑 [かっちゅう] /(n) armor and helmet (armour)/
甲冑魚 [かっちゅうぎょ] /(n) armored fish/armoured fish/
甲冑師 [かっちゅうし] /(n) armorer/armourer/
甲戌 [きのえいぬ] /(n) eleventh of the sexagenary cycle/
甲戌 [こうじゅつ] /(n) eleventh of the sexagenary cycle/
甲胄 [かっちゅう] /(iK) (n) armor and helmet (armour)/
甲鈑 [こうはん] /(n) steel sheet/steel plate/steel plates/
甲鈑 [こうばん] /(n) steel sheet/steel plate/steel plates/
皇位 [こうい] /(n) imperial throne/(P)/
皇位継承 [こういけいしょう] /(n) (Japanese) imperial succession/
皇位継承者 [こういけいしょうしゃ] /(n) heir to the throne/successor to the throne/
皇胤 [こういん] /(n) (arch) Imperial descendant (posterity)/
皇漢医学 [こうかんいがく] /(n) traditional Chinese medicine/
皇紀 [こうき] /(n) Imperial era/
皇紀年度 [こうきねんど] /(n) numbering of years since Jimmu/
皇宮 [こうぐう] /(n) the Imperial Palace/
皇宮警察 [こうぐうけいさつ] /(n) the Imperial Guards/
皇居 [こうきょ] /(n) Imperial Palace/(P)/
皇軍 [こうぐん] /(n) (Japanese) Imperial Army/
皇御孫 [すめみま] /(n) (1) (arch) grandchild of Amaterasu (i.e. Ninigi no Mikoto)/(2) descendant of Amaterasu/person of imperial lineage/emperor/
皇后 [こうごう] /(n,adj-no) (Japanese) empress/queen/(P)/
皇后宮 [こうごうぐう] /(n) (1) empress's residence/(2) empress/
皇后陛下 [こうごうへいか] /(n) her majesty the Empress/
皇考 [こうこう] /(n) the (deceased) father of the current emperor/
皇国 [こうこく] /(n) Japan/the (Japanese) empire/
皇嗣 [こうし] /(n) Crown Prince/Imperial Heir/
皇子 [おうじ] /(n) imperial prince/
皇子 [みこ] /(n) (1) child of the emperor/
皇子の尊 [みこのみこと] /(n) (arch) (hon) crown prince/
皇子の命 [みこのみこと] /(n) (arch) (hon) crown prince/
皇室 [こうしつ] /(n) Imperial household/(P)/
皇室神道 [こうしつしんとう] /(n) Imperial Household Shinto/
皇室典範 [こうしつてんぱん] /(n) the Imperial Household Law/
皇室費 [こうしつひ] /(n) the Imperial Household expenses/
皇寿 [こうじゅ] /(n) 111th birthday/
皇宗 [こうそう] /(n) imperial ancestors/
皇女 [おうじょ] /(n) imperial princess/
皇女 [こうじょ] /(n) imperial princess/(P)/
皇女 [みこ] /(n) (1) child of the emperor/
皇籍 [こうせき] /(n) membership of the Imperial family/
皇祖 [おおじのみこと] /(n) (arch) (obsc) grandfather of the emperor/
皇祖 [こうそ] /(n) (divine, historical or legendary) founder of an empire/
皇族 [こうぞく] /(n) imperial family/royalty/(P)/
皇族費 [こうぞくひ] /(n) allowance allotted to the Imperial family/
皇孫 [こうそん] /(n) imperial grandchild or descendant/
皇孫 [すめみま] /(n) (1) (arch) grandchild of Amaterasu (i.e. Ninigi no Mikoto)/(2) descendant of Amaterasu/person of imperial lineage/emperor/
皇太后 [こうたいこう] /(n) Queen Mother/Empress Dowager/
皇太后 [こうたいごう] /(n) Queen Mother/Empress Dowager/(P)/
皇太子 [こうたいし] /(n) crown prince/(P)/
皇太子殿下 [こうたいしでんか] /(n) the Crown Prince/
皇太子妃 [こうたいしひ] /(n) crown princess/(P)/
皇太孫 [こうたいそん] /(n) eldest grandson of an Emperor in the line of descent/
皇大神宮 [こうたいじんぐう] /(n) Koutai Shrine (the inner shrine of Ise Shrine)/
皇朝十二銭 [こうちょうじゅうにせん] /(n) twelve coinages minted in Japan during the Nara and Heian periods/
皇帝 [こうてい] /(n) emperor/(P)/
皇帝の嗣 [こうていのし] /(n) Emperor's heir/
皇帝ペンギン [こうていペンギン] /(n) emperor penguin/
皇典 [こうてん] /(n) Japanese classics/
皇天 [こうてん] /(n) providence/heaven/
皇統 [こうとう] /(n) the imperial line/
皇統譜 [こうとうふ] /(n) Imperial family record/
皇道 [こうどう] /(n) the benevolent Imperial rule/the Imperial Way/
皇道派 [こうどうは] /(n) Imperial Way Faction (of the Imperial Japanese Army)/
皇配 [こうはい] /(n) prince consort/
皇妃 [こうひ] /(n) empress/queen/
皇別 [こうべつ] /(n) clans supposedly descended from the imperial family/
皇民化 [こうみんか] /(vs) imperialise/imperialize/
皇民化政策 [こうみんかせいさく] /(n) imperialisation policy (esp. on Korea during Japan's colonial rule) (imperialization)/policy of imperialisation/
皇民党 [こうみんとう] /(n) Imperialist Party/(P)/
皇婿 [こうせい] /(n) prince consort/
皇陵 [こうりょう] /(n) imperial mausoleum/
皇霊 [こうれい] /(n) spirits of past emperors/
皇霊祭 [こうれいさい] /(n) equinoctial ceremony held by the emperor at the shrine of imperial ancestors/
皇霊殿 [こうれいでん] /(n) shrine of imperial ancestors/
皇祚 [こうそ] /(n) rank of emperor/the imperial throne/
硬 [こう] /(n) hardness/
硬い [かたい] /(adj-i) (1) hard/solid/tough/(2) stiff/tight/wooden/unpolished (e.g. writing)/(3) strong/firm (not viscous or easily moved)/(4) safe/steady/honest/steadfast/(5) obstinate/stubborn/(6) bookish/formal/stuffy/(P)/
硬いことは言いっこなし [かたいことはいいっこなし] /(exp) let's put formalities aside/let's not speak so stiffly/
硬い石 [かたいいし] /(n) hard stone/
硬い表情 [かたいひょうじょう] /(n) stiff expression/
硬い文章 [かたいぶんしょう] /(n) stiff style/
硬さ [かたさ] /(n) firmness/hardness/stiffness/honesty/(P)/
硬し [かたし] /(adj-f) (arch) difficult/hard/
硬の芯 [こうのしん] /(n) hard pencil lead/
硬メン [かたメン] /(n) dried ramen/
硬化 [こうか] /(n,vs,adj-no) hardening/vulcanization/vulcanisation/sclerosis/curing/(P)/
硬化剤 [こうかざい] /(n) hardener/curative agent/stiffening agent/
硬化症 [こうかしょう] /(n) sclerosis/
硬化油 [こうかゆ] /(n) hydrogenated oil/
硬貨 [こうか] /(n) coin/(P)/
硬球 [こうきゅう] /(n) hard ball/regulation ball/
硬玉 [こうぎょく] /(n) jadeite/
硬結 [こうけつ] /(n,vs) induration/
硬券 [こうけん] /(n) (obsc) train ticket printed on thick paper/
硬口蓋 [こうこうがい] /(n) hard palate/
硬膏 [こうこう] /(n) plaster (type of bandage)/
硬骨 [こうこつ] /(n) (1) bone/(adj-no,adj-na,n) (2) firm/uncompromising/
硬骨漢 [こうこつかん] /(n) man of principle/
硬骨魚 [こうこつぎょ] /(n) bony fish/osteichthyan/
硬骨魚類 [こうこつぎょるい] /(n) bony fishes/osteichthyans/
硬式 [こうしき] /(n) hardball (tennis, baseball)/(P)/
硬式テニス [こうしきテニス] /(n) tennis (lit. hard tennis, as opposed to soft tennis)/
硬質 [こうしつ] /(n,adj-no) hardness/stiffness/(P)/
硬質陶器 [こうしつとうき] /(n) ironstone china/
硬水 [こうすい] /(n) hard water/
硬性 [こうせい] /(n,adj-no) hardness/
硬性憲法 [こうせいけんぽう] /(n) entrenched constitutional provision/
硬調 [こうちょう] /(n,adj-no) hard tone/
硬直 [こうちょく] /(n,vs) stiffening/rigidity/rigor/stiffness/ossification/petrification/(P)/
硬度 [こうど] /(n) hardness/solidity/(P)/
硬軟 [こうなん] /(n) hardness/
硬軟両派 [こうなんりょうは] /(n) stalwart and insurgent factions/
硬派 [こうは] /(n,adj-na) tough elements/hard-liners/stalwarts/(P)/
硬筆 [こうひつ] /(n) pen or pencil/
硬変 [こうへん] /(n,vs) cirrhosis/
硬膜 [こうまく] /(n,adj-no) dura/dura mater/
硬膜外血腫 [こうまくがいけっしゅ] /(n) epidural hematoma/epidural haematoma/
硬木 [こうぼく] /(n) hardwood/
硬鱗 [こうりん] /(n) ganoid scale/
稿 [こう] /(n) manuscript/version/draft/(P)/
稿を改める [こうをあらためる] /(exp,v1) to rewrite a manuscript/
稿人 [こうじん] /(n) straw figure/
稿本 [こうほん] /(n) manuscript/
稿料 [こうりょう] /(n) advance for manuscript/copy-money/(P)/
糠 [ぬか] /(n) rice-bran/
糠雨 [ぬかあめ] /(n) a drizzle/
糠蝦 [あみ] /(n) (food) opossum shrimp/
糠蚊 [ぬかか] /(n) (uk) biting midge/no-see-um (any insect of family Ceratopogonidae)/
糠喜び [ぬかよろこび] /(n,vs) premature joy/short-lived elation/
糠子 [ぬかご] /(n) (obsc) biting midge (any insect of family Ceratopogonidae)/no-see-um/
糠床 [ぬかどこ] /(n) bed of salted rice bran used for pickling/
糠袋 [ぬかぶくろ] /(n) rice-bran bag (used for scrubbing the skin when bathing)/
糠漬 [ぬかづけ] /(n) vegetables pickled in brine and fermented rice bran/
糠漬け [ぬかづけ] /(n) vegetables pickled in brine and fermented rice bran/
糠蝿 [ぬかばえ] /(n) (1) (obsc) biting midge (any insect of family Ceratopogonidae)/no-see-um/(2) plant hopper (any insect of family Delphacidae)/
糠味噌 [ぬかみそ] /(n) salted rice-bran paste for pickling/
糠味噌臭い [ぬかみそくさい] /(adj-i) overly concerned with domestic affairs/having an air of domesticity/
糠味噌漬け [ぬかみそづけ] /(n) vegetables pickled in salted rice-bran paste/
糠油 [ぬかあぶら] /(n) rice-bran oil/
糠蠅 [ぬかばえ] /(n) (1) (obsc) biting midge (any insect of family Ceratopogonidae)/no-see-um/(2) plant hopper (any insect of family Delphacidae)/
紅 [あか] /(n) (1) red/crimson/scarlet/(2) red-containing colour (e.g. brown, pink, orange)/(3) (col) Red (i.e. communist)/(4) (abbr) red light/(5) (abbr) red ink (i.e. in finance or proof-reading)/(in) the red/(adj-no,n-pref) (6) complete/total/perfect/obvious/
紅 [くれない] /(n) (1) deep red/crimson/(P)/
紅 [こう] /(n) (1) deep red/crimson/
紅 [べに] /(n) (1) deep red/crimson/(2) rouge/lipstick/(P)/
紅 [もみ] /(n) red silk lining/
紅い [あかい] /(adj-i) (1) red/(2) Red (i.e. communist)/(P)/
紅うちわ [べにうちわ] /(n) Anthurium lily/flamingo lily/Anthurium/
紅ずいき [くれないずいき] /(n) red taro stems/red aroid/
紅ずわい蟹 [べにずわいがに] /(n) (uk) red snow crab (Chionoecetes japonicus)/
紅の袴 [くれないのはかま] /(n) red hakama (e.g. worn by miko, or noblewomen at court)/
紅一点 [こういってん] /(n) the lone woman (e.g. bright flower) in a group/
紅芋 [べにいも] /(n) (1) purple yam/water yam (Dioscorea alata)/winged yam/(2) purple fleshed sweet potato (any one of several different such)/(3) (uk) Conus pauperculus (species of cone shell)/
紅芋茎 [くれないずいき] /(n) red taro stems/red aroid/
紅衛兵 [こうえいへい] /(n) (Chinese) Red Guards/
紅炎 [こうえん] /(n) (1) red flame/(2) (solar) prominence/
紅焔 [こうえん] /(n) (1) red flame/(2) (solar) prominence/
紅猿子 [べにましこ] /(n) (uk) long-tailed rosefinch (Uragus sibiricus)/
紅花 [こうか] /(n) safflower/dyer's safflower/Carthamus tinctorius/
紅花 [べにばな] /(n) safflower/dyer's safflower/Carthamus tinctorius/
紅霞 [こうか] /(n) crimson mist/crimson-tinted clouds (e.g. at sunset)/
紅海 [こうかい] /(n) Red Sea/
紅海月 [べにくらげ] /(n) (uk) immortal jellyfish (Turritopsis nutricula)/
紅貝 [べにがい] /(n) (uk) full-blooded tellin (Pharaonella sieboldii)/
紅殻 [べにがら] /(n) red iron oxide (dut: Bengala)/rouge/
紅冠鳥 [こうかんちょう] /(n) cardinal (bird) (Cardinalis cardinalis)/
紅顔 [こうがん] /(n) rosy cheeks/
紅顔可憐 [こうがんかれん] /(n,adj-na) youthful and endearing/rosy-cheeked and sweet/
紅旗 [こうき] /(n) Red Flag (Chinese Communist Party bulletin)/
紅玉 [こうぎょく] /(n) ruby/Jonathan apple/
紅巾の乱 [こうきんのらん] /(n) Red Turban Rebellion (China, 1351-1366 CE)/
紅栗毛 [べにくりげ] /(n) red chestnut (horse coat color)/
紅型 [びんがた] /(n) method of dyeing, developed in Okinawa, in which a single stencil is used to produce richly polychromatic designs/traditional dyed cloth from Okinawa/
紅袴 [くれないのはかま] /(n) red hakama (e.g. worn by miko, or noblewomen at court)/
紅差し指 [べにさしゆび] /(n) ring finger/
紅鮭 [べにざけ] /(n) (uk) sockeye salmon (Oncorhynchus nerka)/red salmon/
紅糸蜻蛉 [べにいととんぼ] /(n) (uk) Ceriagrion nipponicum (species of damselfly)/
紅樹 [こうじゅ] /(n) (1) mangrove (esp. the black mangrove, Bruguiera gymnorrhiza)/(2) tree with red leaves or flowers/
紅樹 [ひるぎ] /(n) (uk) mangrove (of family Rhizophoraceae)/
紅樹林 [こうじゅりん] /(n) mangrove forest/
紅綬褒章 [こうじゅほうしょう] /(n) Medal with Red Ribbon/
紅色 [こうしょく] /(n) red (color, colour)/
紅色 [べにいろ] /(n) red (color, colour)/
紅色球形形象物 [こうしょくきゅうけいけいしょうぶつ] /(n) (obsc) red globular shape/red ball signal shape (marine safety context)/
紅色球形形象物 [べにいろきゅうけいけいしょうぶつ] /(n) (obsc) red globular shape/red ball signal shape (marine safety context)/
紅色植物 [こうしょくしょくぶつ] /(n) rhodophyte/
紅唇 [こうしん] /(n) red lips/
紅塵 [こうじん] /(n) cloud of dust/mundane world/
紅雀 [べにすずめ] /(n) (uk) red avadavat (Amandava amandava)/strawberry finch/red munia/
紅生姜 [べにしょうが] /(n) red pickled ginger/
紅雪 [こうせつ] /(n) red snow (due to microscopic algae, yellow sand, etc.)/
紅染月 [こうぞめづき] /(n) (obsc) eighth lunar month/
紅組 [あかぐみ] /(n) red team/
紅藻 [こうそう] /(n) red algae/rhodophyceae/
紅団扇 [べにうちわ] /(n) Anthurium lily/flamingo lily/Anthurium/
紅茶 [こうちゃ] /(n) black tea/(P)/
紅茶道具一式 [こうちゃどうぐいっしき] /(n) tea set/tea service/
紅潮 [こうちょう] /(n,vs) flush/blush/(P)/
紅鶴 [べにづる] /(n) (uk) flamingo (Phoenicopteridae)/
紅天蛾 [べにすずめ] /(n) (uk) elephant hawk moth (Deilephila elpenor)/
紅天狗茸 [べにてんぐたけ] /(n) (uk) fly agaric (species of poisonous mushroom, Amanita muscaria)/
紅灯 [こうとう] /(n) red light/
紅灯緑酒 [こうとうりょくしゅ] /(n) (nights of) fun, food, and drink/bright-light district/nightlife district/
紅梅 [こうばい] /(n) red-blossomed plum tree/red Japanese apricot/(P)/
紅梅 [べにうめ] /(ik) (n) red-blossomed plum tree/red Japanese apricot/
紅梅焼 [こうばいやき] /(n) var. of senbei shaped like a Japanese plum/
紅梅焼き [こうばいやき] /(n) var. of senbei shaped like a Japanese plum/
紅白 [こうはく] /(n) red and white/colours for festive or auspicious occasions (colors)/(P)/
紅白歌合戦 [こうはくうたがっせん] /(n) annual singing contest held on New Year's Eve/
紅白試合 [こうはくじあい] /(n) contest between two groups/contest between red group and white group/
紅白粉 [べにおしろい] /(n) makeup/
紅斑 [こうはん] /(n) red spots/erythema/
紅斑性狼瘡 [こうはんせいろうそう] /(n) lupus erythematosus/
紅筆 [べにふで] /(n) (1) lipstick brush/(2) mountain Japanese apricot/
紅粉 [こうふん] /(n) powdered rouge/
紅粉 [べにこ] /(n) powdered rouge/
紅鱒 [べにます] /(n) sockeye salmon (Oncorhynchus nerka)/
紅妙蓮寺 [べにみょうれんじ] /(n) (uk) Camellia japonica 'Benimyorenji' (cultivar of common camellia)/
紅毛 [こうもう] /(n,adj-no) (1) red hair/(2) (obs) Westerner (esp., originally, the Dutch)/
紅毛夷 [こうもうい] /(n) late Edo-period pejorative for the Dutch/
紅毛人 [こうもうじん] /(n) Westerner (esp., originally, the Dutch)/
紅毛船 [こうもうせん] /(n) (arch) (col) foreign ship (originally only of Dutch ships, but later referring to all foreign ships)/
紅毛碧眼 [こうもうへきがん] /(n) red-haired and blue-eyed (person)/a Westerner/
紅葉 [こうよう] /(n,vs) (1) autumn colours/fall colors/leaves changing color (colour)/(2) leaves turning red/red leaves/(P)/
紅葉 [もみじ] /(n,vs) (1) autumn colours/fall colors/leaves changing color (colour)/(n) (2) (Japanese) maple (Acer japonicum)/(3) (col) venison/(P)/
紅葉おろし [もみじおろし] /(n) whole daikon with a chile pepper notched inside and then grated/grated daikon and grated carrot mixed together/
紅葉葵 [もみじあおい] /(n) (uk) scarlet rosemallow (Hibiscus coccineus)/
紅葉卸し [もみじおろし] /(n) whole daikon with a chile pepper notched inside and then grated/grated daikon and grated carrot mixed together/
紅葉貝 [もみじがい] /(n) (uk) Astropecten scoparius (species of starfish)/
紅葉笠 [もみじがさ] /(n) Asteraceae flowering plant (Parasenecio delphiniifolius)/
紅葉月 [もみじづき] /(n) ninth lunar month/
紅葉狩 [もみじがり] /(n) autumn-leaf hunting/autumn-leaf collecting and viewing/
紅葉狩り [もみじがり] /(n) autumn-leaf viewing/fall-leaf viewing/
紅葉袋 [もみじぶくろ] /(n) rice-bran bag (used for scrubbing the skin when bathing)/
紅葉葉楓 [もみじばふう] /(n) (uk) sweetgum (Liquidambar styraciflua)/redgum/
紅葉李 [べにばすもも] /(n) Prunus cerasifera var. atropurpurea/pissad plum/
紅葉苺 [もみじいちご] /(n) (uk) Rubus palmatus var. coptophyllus (specific variety of raspberry)/
紅羅雲 [こうらうん] /(n) (uk) red-whiskered bulbul (Pycnonotus jocosus)/
紅涙 [こうるい] /(n) feminine tears/bitter tears/tears of blood/
紅蓮 [ぐれん] /(n) crimson/crimson lotus flower/
紅嘴烏 [べにはしがらす] /(n) (uk) red-billed chough (Pyrrhocorax pyrrhocorax)/
紅蓼 [べにたで] /(n) water pepper (Polygonum hydropiper forma purpurascens)/
紅鶸 [べにひわ] /(n) (uk) common redpoll (Carduelis flammea)/
絞まる [しまる] /(v5r,vi) to be strangled/to be constricted/
絞める [しめる] /(v1,vt) to strangle/to constrict/(P)/
絞め技 [しめわざ] /(n) (MA) shime-waza (judo stranglehold)/
絞め殺す [しめころす] /(v5s,vt) to strangle to death/
絞め上げる [しめあげる] /(v1,vt) (1) to screw up/to put the screws on (a person)/(2) to constrict (someone, something)/
絞り [しぼり] /(n,vs) (1) tye-dye/tye-dyeing/(2) aperture (e.g. camera, iris of the eye)/aperture stop/stop/(3) contraction/squeezing/choke/(P)/
絞り込み [しぼりこみ] /(n) refinement/narrowing-down/
絞り込む [しぼりこむ] /(v5m) (1) to squeeze/to wring out/(2) to narrow down/to refine/(P)/
絞り取る [しぼりとる] /(v5r,vt) to squeeze or wring out from/
絞り汁 [しぼりじる] /(n) squeezed juice (e.g. of a lemon)/
絞り出す [しぼりだす] /(v5s,vt) to squeeze out/to wring out/
絞り上げる [しぼりあげる] /(v1,vt) (1) to squeeze (to the utmost)/to wring/(2) to strain one's voice/(3) to scold/
絞り染 [しぼりぞめ] /(n) tie-dye/
絞り染め [しぼりぞめ] /(n) tie-dye/
絞る [しぼる] /(v5r,vt) to press/to wring/to squeeze/to narrow (down)/to whittle (down)/to tighten/(P)/
絞技 [しめわざ] /(n) (MA) shime-waza (judo stranglehold)/
絞刑 [こうけい] /(n) death by hanging/
絞刑吏 [こうけいり] /(n) hangman/
絞罪 [こうざい] /(n) execution by hanging/hanging/
絞殺 [こうさつ] /(n,vs) strangulation/strangling/(P)/
絞殺死体 [こうさつしたい] /(n) body of a strangled person/
絞首 [こうしゅ] /(n,vs) hanging/strangling to death/
絞首刑 [こうしゅけい] /(n) death by hanging/(P)/
絞首台 [こうしゅだい] /(n) gallows/
綱 [こう] /(n) (biological) class/
綱 [つな] /(n) (1) rope/(2) sumo grand champion's braided belt/(P)/
綱を張る [つなをはる] /(exp,v5r) to become a yokozuna (sumo grand champion)/to be a yokozuna/
綱引き [つなひき] /(n) (1) tug of war (orig. a form of divination to predict whether the year will be favourable or unfavourable)/(2) forward puller (of a rickshaw)/(P)/
綱曳き [つなひき] /(n) (1) tug of war (orig. a form of divination to predict whether the year will be favourable or unfavourable)/(2) forward puller (of a rickshaw)/
綱紀 [こうき] /(ateji) (n,vs) law and order/discipline/(P)/
綱紀粛正 [こうきしゅくせい] /(n) eliminating corruption among government officials/tightening discipline (among)/
綱紀紊乱 [こうきびんらん] /(n) laxity in official discipline/public order being in disarray/
綱具 [つなぐ] /(n) rigging/
綱取り [つなとり] /(n) candidate for Yokozuna rank in sumo/ozeki-rank sumo wrestler trying to attain the rank of yokozuna/
綱手 [つなで] /(n) mooring rope/
綱常 [こうじょう] /(n) code of morals/moral principles/
綱打ち式 [つなうちしき] /(n) ceremony of tsuna-making (sumo)/
綱鳥 [つなどり] /(n) (obsc) lesser cuckoo (Cuculus poliocephalus)/
綱締め [つなしめ] /(n) putting on the tsuna (sumo)/
綱渡り [つなわたり] /(n,vs) tightrope walking/funambulism/(P)/
綱麻 [つなそ] /(n) jute/
綱目 [こうもく] /(n) main point and details/
綱要 [こうよう] /(n) elements/essentials/outline/
綱領 [こうりょう] /(n) general plan/main points/summary/platform (e.g. for a campaign)/mission statement/(P)/
耕し得る土地 [たがやしうるとち] /(n) arable land/
耕す [たがやす] /(v5s,vt) to till/to plow/to plough/to cultivate/(P)/
耕運機 [こううんき] /(n) cultivator/farm tractor/tiller/
耕具 [こうぐ] /(n) farm tools/farm implements/
耕作 [こうさく] /(n,vs) cultivation/farming/(P)/
耕作者 [こうさくしゃ] /(n) cultivator/
耕作地 [こうさくち] /(n) cultivated land/
耕作物 [こうさくぶつ] /(n) farm produce/
耕作放棄 [こうさくほうき] /(exp) abandonment of cultivation/
耕作放棄地 [こうさくほうきち] /(exp) fields and rice paddies that have been abandoned and are no longer cultivated/
耕種 [こうしゅ] /(n) tilling and sowing/
耕地 [こうち] /(n) arable land/(P)/
耕地整理 [こうちせいり] /(n) redeployment of arable land/
耕土 [こうど] /(n) arable soil/
耕耘機 [こううんき] /(n) cultivator/farm tractor/tiller/
考 [こう] /(n) (1) thought/(n-suf) (2) report on one's investigation into .../(3) deceased father/
考え [かんがえ] /(n) thinking/thought/ideas/intention/(P)/
考えあぐねる [かんがえあぐねる] /(v1) to be at a loss/to think and think but get nowhere/to fail to come up with a good idea/
考えうる [かんがえうる] /(exp) to be conceivable/
考えつく [かんがえつく] /(v5k,vt) to think of/to come up with/
考えてみれば [かんがえてみれば] /(n) if you think about it/
考えなおす [かんがえなおす] /(v5s,vt) to reconsider/to rethink/to reassess/
考えの浅い人 [かんがえのあさいひと] /(n) shallow-brained person/
考えもの [かんがえもの] /(n) puzzle/problem/
考えられない [かんがえられない] /(adj-i) unimaginable/
考える [かんがえる] /(v1,vt) to consider/to think about/(P)/
考えれば考えるほど [かんがえればかんがえるほど] /(exp) the more I think about it/
考えを伝える [かんがえをつたえる] /(exp,v1) to convey one's thoughts/
考えを文章にまとめる [かんがえをぶんしょうにまとめる] /(exp,v1) to put one's ideas in writing/
考えを文章に纏める [かんがえをぶんしょうにまとめる] /(exp,v1) to put one's ideas in writing/
考え違い [かんがえちがい] /(n) mistaken idea/misunderstanding/wrong impression/
考え過ぎ [かんがえすぎ] /(n) thinking too much/
考え過ぎる [かんがえすぎる] /(v1) to think too much/to be over-concerned/
考え倦ねる [かんがえあぐねる] /(v1) to be at a loss/to think and think but get nowhere/to fail to come up with a good idea/
考え合わせる [かんがえあわせる] /(v1) to take (all of) into consideration/
考え込む [かんがえこむ] /(v5m,vi) to ponder/to brood/
考え事 [かんがえごと] /(n) (deep) thinking/
考え出す [かんがえだす] /(v5s) to think out/to devise/to invent/to begin to think/to come up with a plan/
考え深い [かんがえぶかい] /(adj-i) thoughtful/deep-thinking/
考え直して [かんがえなおして] /(n) On second thoughts .../
考え直す [かんがえなおす] /(v5s,vt) to reconsider/to rethink/to reassess/(P)/
考え得る [かんがえうる] /(exp) to be conceivable/
考え抜く [かんがえぬく] /(v5k) to think thoroughly/
考え付く [かんがえつく] /(v5k,vt) to think of/to come up with/
考え物 [かんがえもの] /(n) puzzle/problem/
考え方 [かんがえかた] /(n) way of thinking/(P)/
考え様 [かんがえよう] /(n) way of thinking/one's perspective/
考案 [こうあん] /(n,vs) plan/device/idea/invention/(P)/
考案者 [こうあんしゃ] /(n) inventor/designer/planner/
考課 [こうか] /(n) evaluation/rating/
考課表 [こうかひょう] /(n) personnel record/business record/
考究 [こうきゅう] /(n,vs) investigation/consideration/
考現学 [こうげんがく] /(n) study of modern societies/
考古学 [こうこがく] /(n,adj-no) archaeology/archeology/(P)/
考古学者 [こうこがくしゃ] /(n) archeologist/archaeologist/
考査 [こうさ] /(n,vs) examination/consideration/test/quiz/
考察 [こうさつ] /(n,vs) consideration/inquiry/enquiry/(P)/
考証 [こうしょう] /(n,vs) (historical) investigation/(P)/
考証学 [こうしょうがく] /(n) (in Chinese history) study of ancient texts/
考慮 [こうりょ] /(n,vs) consideration/taking into account/(P)/
考慮にいれる [こうりょにいれる] /(exp,v1) to take into consideration/to bear in mind/
考慮に入れる [こうりょにいれる] /(exp,v1) to take into consideration/to bear in mind/
考量 [こうりょう] /(n,vs) consideration/deliberation/
肯く [うなずく] /(v5k,vi) (uk) to nod/to bow one's head in assent/
肯ずる [がえんずる] /(io) (vz,vt) to consent/to allow/to accept/
肯んずる [がえんずる] /(vz,vt) to consent/to allow/to accept/
肯定 [こうてい] /(n,vs) positive/affirmation/(P)/
肯定応答 [こうていおうとう] /(n) acknowledge/ACK/
肯定的 [こうていてき] /(adj-na) affirmative/
肯定文 [こうていぶん] /(n) (ling) affirmative sentence/
肯綮 [こうけい] /(n) the essential point/
肱 [かいな] /(n) (1) (arch) arm (esp. upper arm)/(ctr) (2) counter used to measure the thickness of round objects/
肱 [ひじ] /(n) (uk) elbow/
肱かけ椅子 [ひじかけいす] /(n) (1) armchair/chair with arm rests/(2) senior staff/
肱掛椅子 [ひじかけいす] /(n) (1) armchair/chair with arm rests/(2) senior staff/
腔線 [こうせん] /(n) gun rifling/
腔腸 [こうちょう] /(n) coelenteron/
腔腸動物 [くうちょうどうぶつ] /(n,adj-no) coelenterate/
腔腸動物 [こうちょうどうぶつ] /(n,adj-no) coelenterate/
腔綫 [こうせん] /(n) gun rifling/
膏 [あぶら] /(n) fat/tallow/lard/grease/
膏汗 [あぶらあせ] /(n) cold sweat/greasy sweat/
膏血 [こうけつ] /(n) (hard-earned rewards of) sweat and blood/
膏薬 [あぶらぐすり] /(n) (1) plaster/patch/(2) ointment/liniment/
膏薬 [こうやく] /(n) (1) plaster/patch/(2) ointment/liniment/
膏沃 [こうよく] /(n,adj-f) (obsc) fertile soil/fertile land/fertility/
膏肓 [こうこう] /(n) incurable disease/
膏肓 [こうもう] /(ik) (n) incurable disease/
膏腴 [こうゆ] /(n,adj-f) (obsc) fertile soil/fertile land/fertility/
航する [こうする] /(vs-s,vi) (arch) to voyage/
航宇 [こうう] /(n) (abbr) aerospace/
航海 [こうかい] /(n,vs,adj-no) sail/voyage/(P)/
航海士 [こうかいし] /(n) mate/navigation officer/
航海者 [こうかいしゃ] /(n) voyager/navigator/
航海術 [こうかいじゅつ] /(n) seamanship/(the art of) navigation/
航海図 [こうかいず] /(n) nautical table/sailing chart/
航海長 [こうかいちょう] /(n) chief navigator/navigating officer/navigator/sailing master/
航海日誌 [こうかいにっし] /(n) ship's log/
航海法 [こうかいほう] /(n) Navigation Acts/
航空 [こうくう] /(n,adj-no) aviation/flying/(P)/
航空ショー [こうくうショー] /(n) aerial show/air show/airshow/
航空医学 [こうくういがく] /(n) aviation medicine/
航空宇宙技術研究所 [こうくううちゅうぎじゅつけんきゅうじょ] /(n) National Aerospace Laboratory/NAL/
航空宇宙工業 [こうくううちゅうこうぎょう] /(n) aerospace industry/
航空宇宙産業 [こうくううちゅうさんぎょう] /(n) aerospace industry/
航空運賃 [こうくううんちん] /(n) airfare/
航空貨物 [こうくうかもつ] /(n) air cargo/air freight/
航空会社 [こうくうがいしゃ] /(n) airline company/
航空学 [こうくうがく] /(n) aeronautics/
航空管制官 [こうくうかんせいかん] /(n) air traffic controller/ATC/
航空管制塔 [こうくうかんせいとう] /(n) air traffic control tower/
航空管理 [こうくうかんり] /(n) air traffic control/
航空基地 [こうくうきち] /(n) air base/
航空機 [こうくうき] /(n) aircraft/aeroplane/airplane/(P)/
航空機燃料税 [こうくうきねんりょうぜい] /(n) aviation fuel tax/
航空警務隊 [こうくうけいむたい] /(n) military police brigade (air force)/
航空券 [こうくうけん] /(n) airline ticket/plane ticket/air ticket/(P)/
航空交通管制 [こうくうこうつうかんせい] /(n) air traffic control/
航空工学 [こうくうこうがく] /(n) aeronautical engineering/
航空攻撃 [こうくうこうげき] /(n) air strike/
航空自衛隊 [こうくうじえいたい] /(n) Air Self-Defense Force (Defence)/(P)/
航空写真 [こうくうしゃしん] /(n) aerial photograph/
航空書簡 [こうくうしょかん] /(n) aerogramme/air letter/
航空隊 [こうくうたい] /(n) flying corps/
航空灯台 [こうくうとうだい] /(n) aeronautical beacon/
航空燈台 [こうくうとうだい] /(n) aeronautical beacon/
航空燃料 [こうくうねんりょう] /(n) aviation fuel/
航空病 [こうくうびょう] /(n) airsickness/
航空便 [こうくうびん] /(n) (abbr) air mail/(P)/
航空保険 [こうくうほけん] /(n) aviation insurance/aerial insurance/
航空母艦 [こうくうぼかん] /(n) aircraft carrier/(P)/
航空優勢 [こうくうゆうせい] /(n) air superiority/
航空郵便 [こうくうゆうびん] /(n) airmail/air transport/
航空路 [こうくうろ] /(n) air route/
航行 [こうこう] /(n,vs) cruise/navigation/sailing/(P)/
航時機 [こうじき] /(n) (obsc) time machine/
航跡 [こうせき] /(n) wake (of boat)/
航走 [こうそう] /(n,vs) sailing/
航続 [こうぞく] /(n,vs) cruising/flight/
航続距離 [こうぞくきょり] /(n) cruising range/
航続時間 [こうぞくじかん] /(n) duration of a cruise (flight)/endurance/
航続力 [こうぞくりょく] /(n) cruising capacity/
航宙 [こうちゅう] /(n) space flight/
航宙士 [こうちゅうし] /(n) astronavigator/
航程 [こうてい] /(n) run (of a ship)/sail/flight/
航法 [こうほう] /(n) sailing/navigation/(P)/
航路 [こうろ] /(n) course/(sea) route/run/(P)/
航路標識 [こうろひょうしき] /(n) beacon/
荒 [あら] /(n) (1) leftovers (after filleting a fish)/(2) rice chaff/(3) flaw (esp. of a person)/(pref) (4) rough/roughly/(5) crude/raw/natural/wild/
荒々しい [あらあらしい] /(adj-i) desolate/rough/wild/rude/harsh/gruff/violent/(P)/
荒い [あらい] /(adj-i) rough/rude/wild/(P)/
荒い波 [あらいなみ] /(n) wild (raging) waves/stormy seas/
荒くれ [あらくれ] /(adj-f) (1) violent/wild/rowdy/(n) (2) rough fellow/rowdy person/
荒くれ者 [あらくれもの] /(n) ruffian/rowdy (person)/
荒くれ男 [あらくれおとこ] /(n) rowdy fellow/tough/bully/ruffian/
荒げる [あらげる] /(v1,vt) to raise (e.g. voice)/
荒ごなし [あらごなし] /(n,vs) (1) crushing up/grinding/(2) rough preparation/spadework/
荒す [あらす] /(io) (v5s,vt) (1) to lay waste/to devastate/to damage/(2) to invade/to break into/(3) (comp) (col) to troll (e.g. web forums)/to spam/(P)/
荒っぽい [あらっぽい] /(adj-i) rough/rude/(P)/
荒びき [あらびき] /(adj-no) coarsely ground (e.g. coffee, grain)/minced (e.g. meat)/
荒びる [あらびる] /(v1,vi) (arch) to behave roughly/to get wild/
荒びれる [さびれる] /(v1,vi) (1) to decline (in prosperity)/to become deserted/to become desolate/(2) to taper off (of a sound)/
荒び海苔 [すさびのり] /(n) (uk) Porphyra yezoensis (species of edible purple laver)/
荒ぶ [すさぶ] /(v5b,vi) to grow wild/to rage/to become rough/
荒ぶる神 [あらぶるかみ] /(exp,n) (arch) malevolent god/
荒む [すさむ] /(v5m) to grow wild/to run to waste/
荒らげる [あららげる] /(v1,vt) to raise (e.g. voice)/(P)/
荒らし [あらし] /(n) (1) (Internet) troll/(n-suf) (2) raising havoc/laying waste/disturber/
荒らし回る [あらしまわる] /(v5r) to break into (houses here and there)/to rampage/
荒らす [あらす] /(v5s,vt) (1) to lay waste/to devastate/to damage/(2) to invade/to break into/(3) (comp) (col) to troll (e.g. web forums)/to spam/(P)/
荒ら屋 [あばらや] /(n) (1) dilapidated house/tumbledown house/hovel/miserable shack/(2) (hum) my house/my home/(3) small resting place comprising four pillars and a roof (with no walls)/
荒ら家 [あばらや] /(n) (1) dilapidated house/tumbledown house/hovel/miserable shack/(2) (hum) my house/my home/(3) small resting place comprising four pillars and a roof (with no walls)/
荒れ [あれ] /(n) stormy weather/tempest/chaps (of skin)/(P)/
荒れた手 [あれたて] /(n) rough (chapped) hands/
荒れる [あれる] /(v1,vi) (1) to be stormy/to be rough/(2) to be ruined/to fall into ruin/(3) to be in a bad temper/to lose one's temper/(P)/
荒れ屋 [あれや] /(n) (obsc) dilapidated house/tumbledown house/hovel/miserable shack/
荒れ果てる [あれはてる] /(v1,vi) to fall into ruin/to be desolated/
荒れ球 [あれだま] /(n) wild ball (usually a pitcher with poor control) (baseball)/
荒れ狂う [あれくるう] /(v5u,vi) to rage/to get angry/
荒れ狂う風 [あれくるうかぜ] /(n) raving wind/
荒れ性 [あれしょう] /(n) dry or chapped skin/
荒れ地 [あれち] /(n) (1) wasteland/wilderness/abandoned land/devastated land/(2) The Wasteland (poem by T.S. Eliot)/
荒れ地を拓く [あれちをひらく] /(exp,v5k) to open up unbroken land/
荒れ肌 [あれはだ] /(n) rough skin/
荒れ放題 [あれほうだい] /(adj-na,n) gone to ruin/
荒れ模様 [あれもよう] /(adj-na,adj-no) stormy/threatening/
荒れ野 [あれの] /(n) wasteland/wilderness/deserted land/prairie/vast plain/wilds/desert/wild land/
荒んだ心 [すさんだこころ] /(n) dissolute mind/hardened heart/
荒夷 [あらえびす] /(n) (in Japanese history) crude warrior from the eastern parts of the country/wild man/
荒磯 [あらいそ] /(n) reefy coast/windswept and wave-beaten shore/
荒淫 [こういん] /(n) sexual indulgence/
荒隠元 [さやいんげん] /(n) French beans/string beans/
荒屋 [あばらや] /(io) (n) (1) dilapidated house/tumbledown house/hovel/miserable shack/(2) (hum) my house/my home/(3) small resting place comprising four pillars and a roof (with no walls)/
荒屋 [あれや] /(io) (n) (obsc) dilapidated house/tumbledown house/hovel/miserable shack/
荒家 [あばらや] /(io) (n) (1) dilapidated house/tumbledown house/hovel/miserable shack/(2) (hum) my house/my home/(3) small resting place comprising four pillars and a roof (with no walls)/
荒果てる [あれはてる] /(v1,vi) to fall into ruin/to be desolated/
荒稼ぎ [あらかせぎ] /(n,vs) making a killing/making easy money/robbery/
荒海 [あらうみ] /(n) rough sea/
荒巻 [あらまき] /(n) salted salmon/fish wrapped in (bamboo) leaves/
荒肝 [あらぎも] /(n) guts/
荒技 [あらわざ] /(n) drastic move (e.g. hold or strike in martial arts)/power technique/display of power/
荒業 [あらわざ] /(n) physical labor/physical labour/
荒玉 [あらたま] /(n) unpolished and uncut gem/
荒玉の [あらたまの] /(exp,adj-f) (arch) welcome (new year, new spring, etc.)/
荒駒 [あらごま] /(n) wild or untamed horse/
荒研ぎ [あらとぎ] /(n) sharpening with a rough grindstone/rough sharpening/
荒原 [こうげん] /(n) wilderness/
荒荒しい [あらあらしい] /(adj-i) desolate/rough/wild/rude/harsh/gruff/violent/
荒行 [あらぎょう] /(n) asceticism/
荒削り [あらけずり] /(adj-na,n) rough-hewn/incomplete/unrefined/still in the process of being formed/
荒仕事 [あらしごと] /(n) rough work/hard work/
荒事 [あらごと] /(n) (theatrical) fighting scene/
荒事師 [あらごとし] /(n) actor who specializes in ruffian roles (specialises)/
荒治療 [あらちりょう] /(n,vs) drastic measure or treatment (common mistake or alternative version)/
荒者 [あらもの] /(n) (obsc) rough man/rude man/
荒城 [こうじょう] /(n) ruined castle/
荒神 [あらがみ] /(n) poweful deity (sometimes impetuous)/miraculous spirit/
荒神 [こうじん] /(n) god of a cooking stove/
荒神目抜 [こうじんめぬけ] /(n) (uk) (obsc) Sebastes iracundus (species of rockfish)/
荒人神 [あらひとがみ] /(n) (1) living god (term for the emperor)/(2) miracle-working god (who appears as the occasion demands)/
荒節 [あらぶし] /(n) (1) common and low grade type of katsuobushi/(2) bamboo rod used during imperial exorcism ceremonies/
荒節 [あらよ] /(n) (1) common and low grade type of katsuobushi/(2) bamboo rod used during imperial exorcism ceremonies/
荒薦 [あらこも] /(n) (obsc) loosely woven mat of wild rice leaves/
荒薦 [あらごも] /(n) (obsc) loosely woven mat of wild rice leaves/
荒誕 [こうたん] /(adj-na,n) exaggerated beyond recognition/nonsense/wild talk/lies/
荒地 [あれち] /(n) (1) wasteland/wilderness/abandoned land/devastated land/(2) The Wasteland (poem by T.S. Eliot)/
荒地 [こうち] /(n) (1) wasteland/wilderness/abandoned land/devastated land/(2) The Wasteland (poem by T.S. Eliot)/
荒地鼠 [あれちねずみ] /(n) (uk) lesser Egyptian gerbil (Gerbillus gerbillus)/
荒天 [こうてん] /(n) stormy weather/
荒砥 [あらと] /(n) rough grindstone/
荒土 [こうど] /(n) wasteland/barren or infertile soil/
荒唐無稽 [こうとうむけい] /(adj-na,n) absurdity/nonsense/preposterous/
荒働き [あらばたらき] /(n) hard work/rough physical labour/
荒縄 [あらなわ] /(n) straw rope/
荒波 [あらなみ] /(n,adj-no) stormy seas/raging waves/(P)/
荒馬 [あらうま] /(n) wild or untamed horse/
荒廃 [こうはい] /(n,vs) ruin/destruction/devastation/waste/decay/(P)/
荒漠 [こうばく] /(adj-na) desolate (e.g. plains)/ruined/
荒布 [あらめ] /(n) (uk) arame (species of kelp, Eisenia bicyclis)/
荒武者 [あらむしゃ] /(n) daredevil/rowdy/
荒蕪地 [こうぶち] /(n) wild land/wasteland/wilderness/
荒物 [あらもの] /(n) sundries/
荒物屋 [あらものや] /(n) variety store/
荒壁 [あらかべ] /(n) rough-coated wall/
荒法師 [あらほうし] /(n) ferocious (armed) monk/
荒木 [あらき] /(n) logs in bark/rough wood/(P)/
荒野 [あらの] /(n) wasteland/wilderness/deserted land/prairie/vast plain/wilds/desert/wild land/
荒野 [あれの] /(n) wasteland/wilderness/deserted land/prairie/vast plain/wilds/desert/wild land/(P)/
荒野 [こうや] /(n) wasteland/wilderness/deserted land/prairie/vast plain/wilds/desert/wild land/(P)/
荒利益 [あらりえき] /(n) gross profit/
荒立つ [あらだつ] /(v5t) to be(come) rough or aggravated or worse/
荒立てる [あらだてる] /(v1,vt) to aggravate/to make serious/
荒涼 [こうりょう] /(adj-t,adv-to) desolate/dreary/bleak/
荒涼落莫 [こうりょうらくばく] /(uK) (adj-na,adj-t,adv-to) (arch) scene looking desolate and forlorn/
荒療治 [あらりょうじ] /(n,vs) drastic measure or treatment/
荒寥 [こうりょう] /(adj-t,adv-to) desolate/dreary/bleak/
荒筵 [あらむしろ] /(n) (obsc) loosely woven mat/
行 [ぎょう] /(n) (1) line (i.e. of text)/row/verse/(2) (Buddh) carya (austerities)/(3) (Buddh) samskara (formations)/(4) (abbr) running script (a semi-cursive style of kanji)/(P)/
行 [こう] /(n,n-suf) (1) going/travelling (traveling)/(2) (arch) district (of similar merchants)/guild/(3) epic/
行々子 [ぎょうぎょうし] /(n) (obsc) reed warbler (esp. the great reed warbler, but also the black-browed reed warbler)/
行い [おこない] /(io) (n) deed/act/action/conduct/behavior/behaviour/asceticism/(P)/
行う [おこなう] /(v5u) to perform/to do/to conduct oneself/to carry out/(P)/
行かずに済む [いかずにすむ] /(exp,v5m) to need not go/
行かず後家 [いかずごけ] /(n) old maid/spinster/
行き [いき] /(n-suf) (1) bound for .../(n) (2) going (to)/(P)/
行き [ゆき] /(n-suf) (1) bound for .../(n) (2) going (to)/(P)/
行きあたりばったり [いきあたりばったり] /(adj-no) random/by chance/haphazard/hit-or-miss/unplanned/
行きあたりばったり [ゆきあたりばったり] /(adj-no) random/by chance/haphazard/hit-or-miss/unplanned/
行きずり [ゆきずり] /(n,adj-no) passing/casual/
行きたがる [いきたがる] /(v5r) to be anxious to go/
行きたくない [いきたくない] /(adj-i) do not want to go/
行きたく無い [いきたくない] /(adj-i) do not want to go/
行きつけ [いきつけ] /(adj-no) favourite/favorite/preferred/regular/usual/
行きつけ [ゆきつけ] /(adj-no) favourite/favorite/preferred/regular/usual/
行きつ戻りつ [いきつもどりつ] /(exp,vs) going up and down/going back and forth/
行きつ戻りつ [ゆきつもどりつ] /(exp,vs) going up and down/going back and forth/
行きとどく [いきとどく] /(v5k,vi) to be scrupulous/to be attentive/to be prudent/to be complete/to be thorough/
行きとどく [ゆきとどく] /(v5k,vi) to be scrupulous/to be attentive/to be prudent/to be complete/to be thorough/
行き逢う [いきあう] /(v5u) to meet somebody by chance/to happen upon/
行き逢う [ゆきあう] /(v5u) to meet somebody by chance/to happen upon/
行き違い [いきちがい] /(n) misunderstanding/estrangement/disagreement/crossing without meeting/going astray/(P)/
行き違い [ゆきちがい] /(n) misunderstanding/estrangement/disagreement/crossing without meeting/going astray/
行き違いになる [いきちがいになる] /(exp,v5r) to miss each other/to cross (in the post)/to go astray/to go wrong/
行き違いになる [ゆきちがいになる] /(exp,v5r) to miss each other/to cross (in the post)/to go astray/to go wrong/
行き違う [いきちがう] /(v5u,vi) (1) to cross (each other)/to pass (each other)/(2) to misunderstand/to go amiss/
行き違う [ゆきちがう] /(v5u,vi) (1) to cross (each other)/to pass (each other)/(2) to misunderstand/to go amiss/
行き過ぎ [いきすぎ] /(n) going too far/going to extremes/(P)/
行き過ぎ [ゆきすぎ] /(n) going too far/going to extremes/
行き過ぎる [いきすぎる] /(v1,vi) to go too far/to go to extremes/(P)/
行き過ぎる [ゆきすぎる] /(v1,vi) to go too far/to go to extremes/
行き会う [いきあう] /(v5u) to meet somebody by chance/to happen upon/
行き会う [ゆきあう] /(v5u) to meet somebody by chance/to happen upon/
行き掛かり [いきがかり] /(n) (by force of) circumstances/
行き掛かり [ゆきがかり] /(n) (by force of) circumstances/
行き掛かる [ゆきかかる] /(v5r) to be about to go/to start going/to pass by/
行き掛け [いきがけ] /(n) on one's way/
行き掛け [ゆきがけ] /(n) on one's way/
行き掛り [いきがかり] /(n) (by force of) circumstances/
行き掛り [ゆきがかり] /(n) (by force of) circumstances/
行き帰り [いきかえり] /(n,vs) going and returning (e.g. work, school)/both ways/
行き帰り [ゆきかえり] /(n,vs) going and returning (e.g. work, school)/both ways/
行き詰まり [いきづまり] /(n) deadlock/stalemate/impasse/dead end/(P)/
行き詰まり [ゆきづまり] /(n) deadlock/stalemate/impasse/dead end/
行き詰まる [いきづまる] /(v5r) to reach the limits/to come to the end of one's tether/
行き詰まる [ゆきづまる] /(v5r) to reach the limits/to come to the end of one's tether/
行き詰り [いきづまり] /(n) deadlock/stalemate/impasse/dead end/
行き詰り [ゆきづまり] /(n) deadlock/stalemate/impasse/dead end/
行き詰る [いきづまる] /(v5r) to reach the limits/to come to the end of one's tether/
行き詰る [ゆきづまる] /(v5r) to reach the limits/to come to the end of one's tether/
行き交い [いきかい] /(n) coming and going/traffic/
行き交い [ゆきかい] /(n) coming and going/traffic/
行き交う [いきかう] /(v5u,vi) to come and go/to go back and forth/
行き交う [ゆきかう] /(v5u,vi) to come and go/to go back and forth/
行き合う [いきあう] /(v5u) to meet somebody by chance/to happen upon/
行き合う [ゆきあう] /(v5u) to meet somebody by chance/to happen upon/
行き合わせる [いきあわせる] /(v1) to happen to meet/
行き始める [いきはじめる] /(v1) to get going/to start off/
行き止まり [いきどまり] /(n) dead end/no passage/(P)/
行き止まり [ゆきどまり] /(n) dead end/no passage/
行き止り [いきどまり] /(n) dead end/no passage/
行き止り [ゆきどまり] /(n) dead end/no passage/
行き手 [いきて] /(n) someone who is going/
行き手 [ゆきて] /(n) someone who is going/
行き出す [いきだす] /(v5s,vi) to go (somewhere) with a purpose/
行き所 [いきどころ] /(n) place to go/destination/
行き所 [ゆきどころ] /(n) place to go/destination/
行き場 [いきば] /(n) place to go/destination/
行き場 [ゆきば] /(n) place to go/destination/
行き摺り [ゆきずり] /(n,adj-no) passing/casual/
行き成 [いきなり] /(adv,adj-no) (uk) abruptly/suddenly/all of a sudden/without warning/
行き成 [ゆきなり] /(adv,adj-no) (uk) abruptly/suddenly/all of a sudden/without warning/
行き成り [いきなり] /(adv,adj-no) (uk) abruptly/suddenly/all of a sudden/without warning/(P)/
行き成り [ゆきなり] /(adv,adj-no) (uk) abruptly/suddenly/all of a sudden/without warning/
行き先 [いきさき] /(n) (1) destination/(2) whereabouts/address/(P)/
行き先 [ゆきさき] /(n) (1) destination/(2) whereabouts/address/
行き損なう [いきそこなう] /(v5u) to miss (boat, plane, train, etc.)/
行き遅れる [いきおくれる] /(v1) (1) to be (too) late getting married/(2) to be (too) late going somewhere/
行き着く [いきつく] /(v5k,vi) to arrive at/to end up/
行き着く [ゆきつく] /(v5k,vi) to arrive at/to end up/
行き渡る [いきわたる] /(v5r,vi) to diffuse/to spread through/(P)/
行き渡る [ゆきわたる] /(v5r,vi) to diffuse/to spread through/
行き度い [いきたい] /(n) want to go/
行き倒れ [いきだおれ] /(n) person collapsed and dying (dead) in the street/
行き倒れ [ゆきだおれ] /(n) person collapsed and dying (dead) in the street/
行き当たりばったり [いきあたりばったり] /(adj-no) random/by chance/haphazard/hit-or-miss/unplanned/
行き当たりばったり [ゆきあたりばったり] /(adj-no) random/by chance/haphazard/hit-or-miss/unplanned/
行き当たる [いきあたる] /(v5r,vi) to hit/to run into/to light on/to strike into/to come against/to deadlock/
行き当たる [ゆきあたる] /(v5r,vi) to hit/to run into/to light on/to strike into/to come against/to deadlock/
行き当りばったり [いきあたりばったり] /(adj-no) random/by chance/haphazard/hit-or-miss/unplanned/
行き当りばったり [ゆきあたりばったり] /(adj-no) random/by chance/haphazard/hit-or-miss/unplanned/
行き当る [いきあたる] /(v5r,vi) to hit/to run into/to light on/to strike into/to come against/to deadlock/
行き当る [ゆきあたる] /(v5r,vi) to hit/to run into/to light on/to strike into/to come against/to deadlock/
行き道 [ゆきみち] /(n) route (when going somewhere)/way (to get somewhere)/
行き届く [いきとどく] /(v5k,vi) to be scrupulous/to be attentive/to be prudent/to be complete/to be thorough/(P)/
行き届く [ゆきとどく] /(v5k,vi) to be scrupulous/to be attentive/to be prudent/to be complete/to be thorough/
行き悩む [いきなやむ] /(v5m,vi) to reach an impasse or deadlock/
行き悩む [ゆきなやむ] /(v5m,vi) to reach an impasse or deadlock/
行き付け [いきつけ] /(adj-no) favourite/favorite/preferred/regular/usual/
行き付け [ゆきつけ] /(adj-no) favourite/favorite/preferred/regular/usual/
行き暮れる [ゆきくれる] /(v1,vi) to be overtaken by darkness/
行き方 [いきかた] /(n) way of doing/route/directions/
行き方 [いきがた] /(n) (one's) whereabouts/
行き方 [ゆきかた] /(n) way of doing/route/directions/
行き方 [ゆきがた] /(n) (one's) whereabouts/
行き戻り [ゆきもどり] /(n) going and returning/divorced woman/
行き来 [いきき] /(n,vs) (1) coming and going/keeping in touch/visiting each other/(2) street traffic/highway/(P)/
行き来 [ゆきき] /(n,vs) (1) coming and going/keeping in touch/visiting each other/(2) street traffic/highway/
行き路 [ゆきみち] /(n) route (when going somewhere)/way (to get somewhere)/
行く [いく] /(v5k-s,vi) (1) to go/(2) to proceed/to take place/(aux-v) (3) to continue/(P)/
行く [ゆく] /(v5k-s,vi) (1) to go/(2) to proceed/to take place/(aux-v) (3) to continue/(P)/
行く行く [ゆくゆく] /(adv) (uk) on the way/someday/
行く手 [ゆくて] /(n) one's way/one's path/
行く春 [ゆくはる] /(n) the fading of spring/
行く先 [ゆくさき] /(n-adv,n-t) one's destination/one's whereabouts/the future/
行く年 [いくとし] /(n) the passing year/the old year/
行く年 [ゆくとし] /(n) the passing year/the old year/
行く方 [ゆくえ] /(io) (n) (1) (one's) whereabouts/(2) course/direction/
行く末 [ゆくすえ] /(n-adv,n-t) (1) fate/one's future/(2) end of (text) line/line terminator/
行く様に勧める [いくようにすすめる] /(exp,v1) to encourage someone to go/
行けども行けども [いけどもいけども] /(exp) as (one) walks on, and on/
行けない [いけない] /(exp) (1) (uk) wrong/not good/of no use/(2) hopeless/past hope/(3) must not do/
行けません [いけません] /(exp) (1) (uk) wrong/not good/of no use/(2) hopeless/past hope/(3) must not do/
行ける [いける] /(v1) (1) (col) to be good (at)/to go well/(2) to look (taste, etc.) good/
行ずる [ぎょうずる] /(vz,vt) (arch) (obsc) to perform/to do/to practice/
行ったりきたり [いったりきたり] /(exp,vs) going to and fro/back and forth/
行ったり来たり [いったりきたり] /(exp,vs) going to and fro/back and forth/(P)/
行ってきます [いってきます] /(exp) (uk) I'm off/see you later/(P)/
行ってくる [いってくる] /(vk) (1) I'm off/see you later/(2) to go (and then come back)/
行ってまいります [いってまいります] /(exp) So long (lit:"(I'm) going and coming back")/I'm off/see you later/
行ってらっしゃい [いってらっしゃい] /(int) (uk) have a good day/take care/see you/(P)/
行って参ります [いってまいります] /(exp) So long (lit:"(I'm) going and coming back")/I'm off/see you later/
行って来ます [いってきます] /(exp) (uk) I'm off/see you later/(P)/
行って来る [いってくる] /(vk) (1) I'm off/see you later/(2) to go (and then come back)/
行ない [おこない] /(n) deed/act/action/conduct/behavior/behaviour/asceticism/
行なう [おこなう] /(v5u) to perform/to do/to conduct oneself/to carry out/
行なわれる [おこなわれる] /(v1) to be done/to be practiced/to be practised/to take place/to be held/to be prevalent/to be in fashion/to be in vogue/to be current/to come into use/
行の高さ [ぎょうのたかさ] /(n) (comp) line height/
行の進む方向 [ぎょうのすすむほうこう] /(n) (comp) line progression/
行の先頭 [ぎょうのせんとう] /(n) beginning of line/
行の長さ [ぎょうのながさ] /(n) (comp) line length/
行の末尾 [ぎょうのまつび] /(n) end of line/
行われる [おこなわれる] /(v1) to be done/to be practiced/to be practised/to take place/to be held/to be prevalent/to be in fashion/to be in vogue/to be current/to come into use/
行を改める [ぎょうをあらためる] /(exp,v1) to start a new paragraph/
行ピッチ [ぎょうピッチ] /(n) (comp) line pitch/
行ベクトル [ぎょうベクトル] /(n) row vector/
行逢う [いきあう] /(v5u) to meet somebody by chance/to happen upon/
行逢う [ゆきあう] /(v5u) to meet somebody by chance/to happen upon/
行位置 [ぎょういち] /(n) (comp) line number/
行為 [こうい] /(n) act/deed/conduct/(P)/
行為者 [こういしゃ] /(n) doer/performer (of a deed)/perpetrator/
行印字装置 [ぎょういんじそうち] /(n) (comp) line printer/
行員 [こういん] /(n) (abbr) bank clerk/(P)/
行雲流水 [こううんりゅうすい] /(n) (metaphorically) floating with the tide/
行衛 [ゆくえ] /(ateji) (n) (1) (one's) whereabouts/(2) course/direction/
行火 [あんか] /(n) bed warmer/foot warmer/
行会う [いきあう] /(v5u) to meet somebody by chance/to happen upon/
行会う [ゆきあう] /(v5u) to meet somebody by chance/to happen upon/
行革 [ぎょうかく] /(n) (abbr) administrative reform/(P)/
行楽 [こうらく] /(n) outing/picnic/excursion/pleasure trip/(P)/
行楽客 [こうらくきゃく] /(n) tourist/vacationer/vacationist/holidaymaker/
行楽地 [こうらくち] /(n) tourist resort/holiday resort/(P)/
行楽日和 [こうらくびより] /(n) ideal weather for an outing/
行官庁 [ぎょうかんちょう] /(n) Administrative Management Agency/
行間 [ぎょうかん] /(n,adj-no) line-spacing in text/between the lines/(P)/
行間を詰める [ぎょうかんをつめる] /(exp,v1) to closely space lines (on a page)/
行間を読む [ぎょうかんをよむ] /(exp,v5m) to read between the lines/
行間隔 [ぎょうかんかく] /(n) (comp) line spacing/
行起点 [ぎょうきてん] /(n) (comp) line home position/
行儀 [ぎょうぎ] /(n) manners/behavior/behaviour/(P)/
行儀よくする [ぎょうぎよくする] /(exp,vs-i) to behave well/to mind one's manners/
行儀を直す [ぎょうぎをなおす] /(exp,v5s) to mend one's manners/
行儀悪い [ぎょうぎわるい] /(n) bad manners/
行儀見習 [ぎょうぎみならい] /(n) learning good manners through apprenticeship (to an upper-class family)/
行儀作法 [ぎょうぎさほう] /(n) etiquette/good manners/
行儀良くする [ぎょうぎよくする] /(exp,vs-i) to behave well/to mind one's manners/
行詰まる [いきづまる] /(v5r) to reach the limits/to come to the end of one's tether/
行詰まる [ゆきづまる] /(v5r) to reach the limits/to come to the end of one's tether/
行詰り [いきづまり] /(n) deadlock/stalemate/impasse/dead end/
行詰り [ゆきづまり] /(n) deadlock/stalemate/impasse/dead end/
行詰る [いきづまる] /(v5r) to reach the limits/to come to the end of one's tether/
行詰る [ゆきづまる] /(v5r) to reach the limits/to come to the end of one's tether/
行脚 [あんぎゃ] /(n,vs) pilgrimage/walking tour/tour/(P)/
行脚僧 [あんぎゃそう] /(n) (Buddh) itinerant monk/monk on a pilgrimage/
行宮 [あんぐう] /(n) temporary lodging built to accommodate an Imperial visit/
行金 [こうきん] /(n) bank money/
行軍 [こうぐん] /(n,vs) march/marching/
行刑官 [ぎょうけいかん] /(n) (obs) prison official/
行啓 [ぎょうけい] /(n,vs) attendance (of the Empress)/
行交い [いきかい] /(n) coming and going/traffic/
行交い [ゆきかい] /(n) coming and going/traffic/
行交う [いきかう] /(v5u,vi) to come and go/to go back and forth/
行交う [ゆきかう] /(v5u,vi) to come and go/to go back and forth/
行幸 [ぎょうこう] /(n,vs) Imperial visit/
行幸 [みゆき] /(n,vs) Imperial visit/
行構え [ぎょうがまえ] /(n) kanji "going" radical/
行構え [ゆきがまえ] /(n) kanji "going" radical/
行行子 [ぎょうぎょうし] /(n) (obsc) reed warbler (esp. the great reed warbler, but also the black-browed reed warbler)/
行在所 [あんざいしょ] /(n) temporary lodging built to accommodate an Imperial visit/
行使 [こうし] /(n,vs) use/exercise/(P)/
行司 [ぎょうじ] /(n) sumo referee/(P)/
行司溜 [ぎょうじだまり] /(n) sumo referee's waiting place/
行司溜り [ぎょうじだまり] /(n) sumo referee's waiting place/
行始端 [ぎょうしたん] /(n) (comp) home position of line/
行止まり [いきどまり] /(n) dead end/no passage/
行止まり [ゆきどまり] /(n) dead end/no passage/
行止り [いきどまり] /(n) dead end/no passage/
行止り [ゆきどまり] /(n) dead end/no passage/
行事 [ぎょうじ] /(n) event/function/(P)/
行者 [ぎょうじゃ] /(n) ascetic/pilgrim/devotee/
行者大蒜 [ぎょうじゃにんにく] /(n) Alpine leek (edible plant, Allium victorialis var. platyphyllum)/
行手 [いきて] /(n) someone who is going/
行手 [ゆきて] /(n) someone who is going/
行殊 [ぎょうじょ] /(n) event/
行住坐臥 [ぎょうじゅうざが] /(n) daily life (lit: the four cardinal behaviors - walking, standing, sitting and lying)/daily routine/while awake or asleep/at all times/day in, day out/constantly/
行住座臥 [ぎょうじゅうざが] /(n) daily life (lit: the four cardinal behaviors - walking, standing, sitting and lying)/daily routine/while awake or asleep/at all times/day in, day out/constantly/
行所 [いきどころ] /(n) place to go/destination/
行所 [ゆきどころ] /(n) place to go/destination/
行書 [ぎょうしょ] /(n) running script (a semi-cursive style of kanji)/
行商 [ぎょうしょう] /(n,vs,adj-no) monger/peddling/
行商稼業 [ぎょうしょうかぎょう] /(n) the peddling trade/
行商人 [ぎょうしょうにん] /(n) peddler/pedlar/hawker/
行賞 [こうしょう] /(n) conferring of an award/
行状 [ぎょうじょう] /(n) behavior/behaviour/
行進 [こうしん] /(n,vs) march/parade/(P)/
行進曲 [こうしんきょく] /(n) a march/
行進行方向 [ぎょうしんこうほうこう] /(n) (comp) line progression/
行人 [こうじん] /(n) passer-by/traveler/traveller/
行人偏 [ぎょうにんべん] /(n) kanji "going man" radical (radical 60)/
行水 [ぎょうずい] /(n,vs) (1) tub bath/bathing in the open air/bathing or cleaning oneself/(2) cleaning oneself for religious purification/
行水をつかう [ぎょうずいをつかう] /(exp,v5u) to have a bath in the open air/
行水を使う [ぎょうずいをつかう] /(exp,v5u) to have a bath in the open air/
行数 [ぎょうすう] /(n) number of lines/linage/
行数カウンタ [ぎょうすうカウンタ] /(n) (comp) linage-counter/
行成 [いきなり] /(io) (adv,adj-no) (uk) abruptly/suddenly/all of a sudden/without warning/
行成 [ゆきなり] /(io) (adv,adj-no) (uk) abruptly/suddenly/all of a sudden/without warning/
行政 [ぎょうせい] /(n,adj-no) administration/(P)/
行政改革 [ぎょうせいかいかく] /(n) administrative reform/
行政学 [ぎょうせいがく] /(n) public administration/
行政官 [ぎょうせいかん] /(n) executive officer/administrative official/
行政管理庁 [ぎょうせいかんりちょう] /(n) Administrative Management Agency/
行政機関 [ぎょうせいきかん] /(n,adj-no) administrative organ/administrative body/(P)/
行政機関個人情報保護法 [ぎょうせいきかんこじんじょうほうほごほう] /(n) Law for the Protection of Personal Data Held by Administrative Organs (2003)/
行政区 [ぎょうせいく] /(n) administrative district/ward/
行政区画 [ぎょうせいくかく] /(n) administrative district/
行政権 [ぎょうせいけん] /(n) executive power/authority/
行政指導 [ぎょうせいしどう] /(n) administrative guidance/
行政紙削減法 [ぎょうせいしさくげんほう] /(n) Government Paperwork Elimination Act (USA)/
行政手続 [ぎょうせいてつづき] /(n) administrative procedure/
行政手続き [ぎょうせいてつづき] /(n) administrative procedure/
行政手続法 [ぎょうせいてつづきほう] /(n) Administrative Procedures Act (1993)/
行政手腕 [ぎょうせいしゅわん] /(n) skill at administration/one's administrative skills/
行政処分 [ぎょうせいしょぶん] /(n) administrative measures (disposition)/(P)/
行政書士 [ぎょうせいしょし] /(n) notary public/
行政条例 [ぎょうせいじょうれい] /(n) executive order/
行政職員 [ぎょうせいしょくいん] /(n) administrative officer/
行政組織 [ぎょうせいそしき] /(n) administrative organization/
行政訴訟 [ぎょうせいそしょう] /(n) administrative litigation (action)/(P)/
行政府 [ぎょうせいふ] /(n) the government/Administration/
行政法 [ぎょうせいほう] /(n) administrative law/
行政命令 [ぎょうせいめいれい] /(n) administrative or executive order/
行跡 [ぎょうせき] /(n) behavior/behaviour/
行先 [いきさき] /(n) (1) destination/(2) whereabouts/address/
行先 [ゆきさき] /(n) (1) destination/(2) whereabouts/address/
行先指示コード [いきさきしじコード] /(n) (comp) routing code/
行送り幅 [ぎょうおくりはば] /(n) (comp) line spacing/
行送リ [ぎょうおくり] /(n) (comp) linefeed/
行揃え [ぎょうそろえ] /(n) (comp) justify/
行体 [ぎょうたい] /(n) semicursive characters/
行端揃え [ぎょうたんそろえ] /(n,vs) (comp) justification/
行着く [いきつく] /(v5k,vi) to arrive at/to end up/
行着く [ゆきつく] /(v5k,vi) to arrive at/to end up/
行中 [ぎょうちゅう] /(n) in the middle of a line/
行程 [こうてい] /(n) distance/path length/(P)/
行程表 [こうていひょう] /(n) road map/
行渡る [いきわたる] /(v5r,vi) to diffuse/to spread through/(P)/
行渡る [ゆきわたる] /(v5r,vi) to diffuse/to spread through/
行灯 [あんどう] /(n) fixed paper-enclosed lantern/paper-covered wooden stand housing an (oil) lamp/
行灯 [あんどん] /(n) fixed paper-enclosed lantern/paper-covered wooden stand housing an (oil) lamp/
行灯袴 [あんどんばかま] /(n) (arch) hakama without gussets (worn by female students and later male students in the Meiji period)/hakama without gores/
行燈 [あんどう] /(oK) (n) fixed paper-enclosed lantern/paper-covered wooden stand housing an (oil) lamp/
行燈 [あんどん] /(oK) (n) fixed paper-enclosed lantern/paper-covered wooden stand housing an (oil) lamp/
行当たる [いきあたる] /(v5r,vi) to hit/to run into/to light on/to strike into/to come against/to deadlock/
行当たる [ゆきあたる] /(v5r,vi) to hit/to run into/to light on/to strike into/to come against/to deadlock/
行当る [いきあたる] /(v5r,vi) to hit/to run into/to light on/to strike into/to come against/to deadlock/
行当る [ゆきあたる] /(v5r,vi) to hit/to run into/to light on/to strike into/to come against/to deadlock/
行頭 [ぎょうとう] /(n) (comp) beginning of line/BOL/
行動 [こうどう] /(n,vs,adj-no) action/conduct/behaviour/behavior/mobilization/mobilisation/(P)/
行動科学 [こうどうかがく] /(n) behavioral science/behavioural science/
行動学 [こうどうがく] /(n) praxiology/ethology/
行動経済学 [こうどうけいざいがく] /(n) behavioral economics/behavioural economics/
行動計画 [こうどうけいかく] /(n) plan of action/
行動原理 [こうどうげんり] /(n) behavioral principle/principle (value) governing one's conduct/
行動主義 [こうどうしゅぎ] /(n,adj-no) behaviorism/behaviourism/
行動主義心理学 [こうどうしゅぎしんりがく] /(n) behavioral psychology/
行動障害 [こうどうしょうがい] /(n) behavioral disorder/behavioural disorder/
行動生態学 [こうどうせいたいがく] /(n) behavioral ecology/behavioural ecology/
行動生物学 [こうどうせいぶつがく] /(n) ethology/
行動地帯 [こうどうちたい] /(n) zone of action/
行動発起時刻 [こうどうはっきじこく] /(n) h-hour/
行動半径 [こうどうはんけい] /(n) radius of action/sphere of activity/
行動範囲 [こうどうはんい] /(n) field of activities/area of activity/range of behavior (behaviour)/habitat/
行動変容 [こうどうへんよう] /(n) behavior modification/
行動方針 [こうどうほうしん] /(n) course of action/
行動命令 [こうどうめいれい] /(n) operation order/
行動様式 [こうどうようしき] /(n) behavioral pattern/
行動療法 [こうどうりょうほう] /(n) behavioural therapy (behavioral)/
行動力 [こうどうりょく] /(n) ability to take action/energy/fire/dynamism/leverage/
行道 [ゆきみち] /(n) route (when going somewhere)/way (to get somewhere)/
行徳 [ぎょうとく] /(n) (Buddh) virtue gained by practising Buddhism/
行年 [ぎょうねん] /(n) age at one's death/
行年 [こうねん] /(n) age at one's death/
行悩む [いきなやむ] /(v5m,vi) to reach an impasse or deadlock/
行悩む [ゆきなやむ] /(v5m,vi) to reach an impasse or deadlock/
行番号 [ぎょうばんごう] /(n) (comp) line number/
行付け [いきつけ] /(adj-no) favourite/favorite/preferred/regular/usual/
行付け [ゆきつけ] /(adj-no) favourite/favorite/preferred/regular/usual/
行文 [こうぶん] /(n) writing (style)/
行平鍋 [ゆきひらなべ] /(n) glazed earthenware casserole dish/
行暮れる [ゆきくれる] /(v1,vi) to be overtaken by darkness/
行方 [ゆくえ] /(n) (1) (one's) whereabouts/(2) course/direction/(P)/
行方向 [ぎょうほうこう] /(n) (comp) line writing direction/
行方向奇偶検査 [ぎょうほうこうきぐうけんさ] /(n) (comp) longitudinal parity check/
行方不明 [ゆくえふめい] /(n,adj-no) missing/unaccounted for/
行方不明者 [ゆくえふめいしゃ] /(n) missing person/
行末 [ぎょうまつ] /(n-adv,n-t) (1) fate/one's future/(2) end of (text) line/line terminator/
行末 [ゆくすえ] /(n-adv,n-t) (1) fate/one's future/(2) end of (text) line/line terminator/
行務 [こうむ] /(n) bank business/
行来 [いきき] /(n,vs) (1) coming and going/keeping in touch/visiting each other/(2) street traffic/highway/
行来 [ゆきき] /(n,vs) (1) coming and going/keeping in touch/visiting each other/(2) street traffic/highway/
行李 [こうり] /(n) portmanteau/wicker trunk/luggage/baggage/
行旅 [こうりょ] /(n,vs) (1) traveling/travelling/(2) traveler/traveller/
行列 [ぎょうれつ] /(n,vs) (1) line/procession/(n) (2) (math) matrix/(P)/
行列演算 [ぎょうれつえんざん] /(n) (comp) matrix operation/
行列記法 [ぎょうれつきぼう] /(n) (comp) matrix notation/
行列式 [ぎょうれつしき] /(n) determinant/
行列代数 [ぎょうれつだいすう] /(n) (comp) linear algebra/matrix algebra/
行列表現 [ぎょうれつひょうげん] /(n) (comp) matrix representation/
行列要素 [ぎょうれつようそ] /(n) (comp) matrix element/
行路 [こうろ] /(n) one's course or path or road/
行路 [ゆきみち] /(n) route (when going somewhere)/way (to get somewhere)/
行路病者 [こうろびょうしゃ] /(n) person fallen sick by the wayside/
行枠 [ぎょうわく] /(n) (comp) line box/
衡 [くびき] /(n) yoke/
衡器 [こうき] /(n) scale/
衡平 [こうへい] /(n,adj-na) balance/equity/
衡平法 [こうへいほう] /(n) equity (in law)/
講 [こう] /(n,n-suf) (1) (Buddhist) lecture meeting/(2) religious association/(3) mutual assistance association (i.e. for financial assistance)/
講じる [こうじる] /(v1,vt) (1) to take measures/to work out a plan/(2) to lecture/to read aloud/(3) to confer/
講ずる [こうずる] /(vz,vt) (1) to take measures/to work out a plan/(2) to lecture/to read aloud/(3) to confer/(P)/
講演 [こうえん] /(n,vs) lecture/address/speech/(P)/
講演会 [こうえんかい] /(n) lecture/
講演者 [こうえんしゃ] /(n) lecturer/speaker/
講演料 [こうえんりょう] /(n) lecture's fee/
講義 [こうぎ] /(n,vs) lecture/(P)/
講義資料 [こうぎしりょう] /(n) lecture materials/
講義室 [こうぎしつ] /(n) lecture hall/lecture room/
講義摘要 [こうぎてきよう] /(n) syllabus/
講義録 [こうぎろく] /(n) lecture transcript/
講究 [こうきゅう] /(n,vs) research/
講座 [こうざ] /(n) (1) academic teaching unit/lectureship/professorial chair/(2) course (e.g. of lectures)/(P)/
講師 [こうし] /(n) lecturer/(P)/
講社 [こうしゃ] /(n) religious association/
講釈 [こうしゃく] /(n,vs) lecture/exposition/
講釈師 [こうしゃくし] /(n) professional storyteller/
講習 [こうしゅう] /(n,vs) short course/training/(P)/
講習会 [こうしゅうかい] /(n) class/short course/
講習会場 [こうしゅうかいじょう] /(n) training center/training centre/
講述 [こうじゅつ] /(n) university lecture/
講書 [こうしょ] /(n,vs) interpretation of a book/
講書始 [こうしょはじめ] /(n) Imperial New Year's Lectures (ceremony in which the emperor and members of the imperial family Their Majesties listen to expert lectures in the fields of human, social and natural sciences)/
講説 [こうせつ] /(n,vs) explanation (by lecture)/
講説 [こうぜち] /(n,vs) explanation (by lecture)/
講説 [こうぜつ] /(n,vs) explanation (by lecture)/
講壇 [こうだん] /(n) lecture platform/
講談 [こうだん] /(n) story-telling/(P)/
講談師 [こうだんし] /(n) professional storyteller/
講談社漫画賞 [こうだんしゃまんがしょう] /(n) Kodansha Manga Award/
講談本 [こうだんぼん] /(n) book of oral narratives/story book/
講中 [こうじゅう] /(n) religious association/
講堂 [こうどう] /(n) auditorium/(P)/
講読 [こうどく] /(n,vs) reading/translation/
講評 [こうひょう] /(n,vs) criticize/criticise/criticism/review/
講武 [こうぶ] /(n) military training/
講和 [こうわ] /(n,vs) reconciliation/peace/(P)/
講和会議 [こうわかいぎ] /(n) peace conference/
講和条件 [こうわじょうけん] /(n) peace terms/conditions of peace/
講和条約 [こうわじょうやく] /(n) peace treaty/
講話 [こうわ] /(n,vs) lecture/discourse/
貢 [こう] /(n) tribute/
貢ぎ [みつぎ] /(n) tribute/
貢ぎ物 [みつぎもの] /(n) tribute/
貢ぐ [みつぐ] /(v5g,vt) to support/to finance/
貢献 [こうけん] /(n,vs) contribution/services/(P)/
貢進 [こうしん] /(n) paying a tribute/contribution/presentation of something to an aristocrat/
貢租 [こうそ] /(n) annual tax/tribute/
貢納 [こうのう] /(n,vs) paying a tribute/
貢賦 [こうふ] /(n) tribute and taxation/
貢物 [みつぎもの] /(n) tribute/
購う [あがなう] /(v5u,vt) to compensate/to make up for/
購求 [こうきゅう] /(n,vs) purchase/
購書 [こうしょ] /(n) purchased books/purchasing books/
購読 [こうどく] /(n,vs,adj-no) paid subscription (e.g. magazine)/(P)/
購読者 [こうどくしゃ] /(n) subscriber/reader/buyer/
購読料 [こうどくりょう] /(n) subscription charge/
購入 [こうにゅう] /(n,vs) purchase/buy/(P)/
購入者 [こうにゅうしゃ] /(n) purchaser/
購入先 [こうにゅうさき] /(n) retailer/
購入注文 [こうにゅうちゅうもん] /(n) purchase order/
購買 [こうばい] /(n,vs) procurement/purchase/buying/(P)/
購買者 [こうばいしゃ] /(n) buyer/
購買習慣 [こうばいしゅうかん] /(n) buying habit/
購買組合 [こうばいくみあい] /(n) cooperative society/
購買部 [こうばいぶ] /(n) store/
購買力 [こうばいりょく] /(n) buying power/(P)/
購買力平価 [こうばいりょくへいか] /(n) purchasing power parity/PPP/
郊外 [こうがい] /(n,adj-no) suburb/outskirts/(P)/
郊外電車 [こうがいでんしゃ] /(n) suburban train/
郊野 [こうの] /(n) suburban fields/
郊野 [こうや] /(n) suburban fields/
酵素 [こうそ] /(n,adj-no) enzyme/(P)/
酵素学 [こうそがく] /(n) enzymology/
酵素的褐変 [さんそてきかっぺん] /(n) enzymatic browning/
酵母 [こうぼ] /(n) yeast/leaven/(P)/
酵母亜鉛 [こうぼあえん] /(n) zinc yeast/zinc-enriched yeast/
酵母菌 [こうぼきん] /(n) yeast fungus/
鉱 [あらかね] /(n) ore/
鉱 [あらがね] /(n) ore/
鉱員 [こういん] /(n) miner/
鉱化 [こうか] /(n,vs) mineralize/mineralise/
鉱害 [こうがい] /(n) pollution or environmental damage due to mining/
鉱業 [こうぎょう] /(n) mining industry/(P)/
鉱区 [こうく] /(n) mining area/mine lot/(P)/
鉱坑 [こうこう] /(n) shaft/mine/pit/
鉱工業 [こうこうぎょう] /(n) mining and manufacturing industry/
鉱工業生産指数 [こうこうぎょうせいさんしすう] /(n) industrial production index/IPI/
鉱山 [こうざん] /(n) mine (ore)/(P)/
鉱山学 [こうざんがく] /(n) mining studies/mining engineering/mining science/
鉱山技師 [こうざんぎし] /(n) mining engineer/
鉱山業 [こうざんぎょう] /(n) mining industry/
鉱山労働者 [こうざんろうどうしゃ] /(n) miner/
鉱産物 [こうさんぶつ] /(n) mineral product/minerals/
鉱質 [こうしつ] /(n) mineral/
鉱質コルチコイド [こうしつコルチコイド] /(n) mineral corticoid/mineralocorticoid/
鉱車 [こうしゃ] /(n) mine car/mine wagon/
鉱床 [こうしょう] /(n) ore deposit/
鉱床学 [こうしょうがく] /(n) study of mineral deposits/economic geology/
鉱水 [こうすい] /(n) mineral water/
鉱石 [こうせき] /(n) ore/mineral/crystal/(P)/
鉱石検波器 [こうせきけんぱき] /(n) crystal detector/
鉱石車 [こうせきぐるま] /(n) (obsc) mine car/mine wagon/
鉱泉 [こうせん] /(n) mineral spring/spring containing many minerals and gas (esp. a cold spring)/
鉱層 [こうそう] /(n) ore bed/
鉱柱 [こうちゅう] /(n) rib/pillar/
鉱毒 [こうどく] /(n) mine pollution/
鉱夫 [こうふ] /(n) (sens) miner/
鉱物 [こうぶつ] /(n) mineral/(P)/
鉱物学 [こうぶつがく] /(n) mineralogy/
鉱物資源 [こうぶつしげん] /(n) mineral resources/
鉱物質 [こうぶつしつ] /(n) mineral matter/
鉱物油 [こうぶつゆ] /(n) mineral oil/
鉱脈 [こうみゃく] /(n) vein (of ore)/reef/streak/lode/
鉱油 [こうゆ] /(n) mineral oil/
鉱滓 [こうさい] /(n) slag/
鉱滓 [こうし] /(n) slag/
鋼 [こう] /(n) steel/
鋼 [はがね] /(n) steel/(P)/
鋼管 [こうかん] /(n) steel pipe/
鋼玉 [こうぎょく] /(n) corundum/
鋼材 [こうざい] /(n) steel material/(P)/
鋼索 [こうさく] /(n) cable/steel wire rope/
鋼索鉄道 [こうさくてつどう] /(n) funicular (railway)/
鋼色 [はがねいろ] /(n,adj-no) steel blue/
鋼製 [こうせい] /(n,adj-no) made of steel/
鋼青色 [こうせいしょく] /(n,adj-no) electric blue/steel blue/
鋼線 [こうせん] /(n) steel wire/
鋼鉄 [こうてつ] /(n) steel/(P)/
鋼鉄製 [こうてつせい] /(adj-no) (made of) steel/
鋼鉄板 [こうてつばん] /(n) steel plate/
鋼板 [こうはん] /(n) steel sheet/steel plate/steel plates/(P)/
鋼板 [こうばん] /(n) steel sheet/steel plate/steel plates/(P)/
鋼枠 [こうわく] /(n) steel formwork/steel sets/
降す [くだす] /(v5s,vt) (1) to make (a decision)/to pass (judgement, etc.)/to hand down (orders, etc.)/(2) to let go down/to lower/(3) to do oneself/to do by oneself/
降って [くだって] /(conj) (1) humble conjuction used when referring to oneself in a letter to one's superior/(2) after a time/later/
降っても照っても [ふってもてっても] /(n) rain or shine/
降って湧く [ふってわく] /(v5k) to happen suddenly/to take place unexpectedly/
降らす [ふらす] /(v5s,vt) to send (rain)/to shed/
降り [ふり] /(n) (1) rainfall/snowfall/(2) alighting/descending/
降りかかる [ふりかかる] /(v5r,vi) (1) to fall onto/(2) to happen/to befall/
降りしきる [ふりしきる] /(v5r) to rain incessantly/to downpour/
降りそそぐ [ふりそそぐ] /(v5g,vi) to rain incessantly/to downpour/
降りそぼつ [ふりそぼつ] /(v5t,vi) (arch) to be drenched (from the rain, etc.)/
降りだす [ふりだす] /(v5s,vi) to begin to rain/
降りみ降らずみ [ふりみふらずみ] /(exp) raining on and off/
降りる [おりる] /(v1,vi) (1) to descend (e.g. a mountain)/to go down/to come down/(2) to alight (e.g. from bus)/to get off/to disembark/to dismount/(3) to step down/to retire/to give up/to quit/(4) to be granted/to be issued/to be given/(5) to form (of frost, dew, mist, etc.)/(6) to be passed (from the body; i.e. of a roundworm)/(P)/
降り掛かる [ふりかかる] /(v5r,vi) (1) to fall onto/(2) to happen/to befall/
降り掛る [ふりかかる] /(v5r,vi) (1) to fall onto/(2) to happen/to befall/
降り懸かる [ふりかかる] /(v5r,vi) (1) to fall onto/(2) to happen/to befall/
降り懸かる火の粉は払わねばならぬ [ふりかかるひのこははらわねばならぬ] /(exp) (id) You must protect yourself against any possible dangers/
降り懸る [ふりかかる] /(v5r,vi) (1) to fall onto/(2) to happen/to befall/
降り口 [おりくち] /(n) top of a flight of stairs/exit involving a descent (e.g. from a bus)/
降り口 [おりぐち] /(n) top of a flight of stairs/exit involving a descent (e.g. from a bus)/
降り込む [ふりこむ] /(v5m,vi) to be blown in (e.g. rain)/to sweep in/
降り込める [ふりこめる] /(v1,vt) to rain (or snow), keeping people indoors/
降り始める [ふりはじめる] /(v1) to begin to fall (rain, etc.)/
降り止む [ふりやむ] /(v5m,vi) to stop raining or snowing/
降り出す [ふりだす] /(v5s,vi) to begin to rain/
降り場 [おりば] /(n) place for dismounting and parking mountable vehicles (such as bicycles)/
降り積もる [ふりつもる] /(v5r) to fall and pile up (e.g. snow)/to lie thick/
降り続く [ふりつづく] /(v5k,vi) to continue to rain or snow/
降り注ぐ [ふりそそぐ] /(v5g,vi) to rain incessantly/to downpour/
降り濡つ [ふりそぼつ] /(v5t,vi) (arch) to be drenched (from the rain, etc.)/
降り敷く [ふりしく] /(v5k,vi) to lie scattered/to be strewn with/to be covered with/
降り募る [ふりつのる] /(v5r,vi) to rain harder/
降り立つ [おりたつ] /(v5t,vi) (1) to go down and stand/(2) to alight/to get down/
降り籠める [ふりこめる] /(v1,vt) to rain (or snow), keeping people indoors/
降る [くだる] /(v5r,vi) (1) to descend/to go down/to come down/(2) to be handed down (of an order, judgment, etc.)/(3) to pass (of time)/(4) to surrender/to capitulate/(5) (often in neg. form) to be less than/to be inferior to/(6) to have the runs/to have diarrhea/
降る [ふる] /(v5r,vi) to precipitate/to fall (e.g. rain)/(P)/
降ろす [おろす] /(v5s,vt) (1) to take down (e.g. flag)/to launch (e.g. boat)/to drop/to lower (e.g. ladder)/to let (a person) off/to unload/to discharge/(2) to drop off (a passenger from a vehicle)/to let (a person) off/(3) to withdraw money from an account/(4) to wear (clothing) for the first time/(5) to fillet (e.g. a fish)/(P)/
降圧剤 [こうあつざい] /(n) drug to lower blood pressure/antihypertensive/
降圧変圧器 [こうあつへんあつき] /(n) step-down transformer/
降雨 [こうう] /(n) rainfall/rain/(P)/
降雨量 [こううりょう] /(n) amount of rainfall/
降雨林 [こううりん] /(n) rainforest/
降下 [こうか] /(n,vs) fall/descent/(plane) landing/(atmos.) depression/(P)/
降嫁 [こうか] /(n,vs) marriage of an Imperial princess to a subject/
降河回遊 [こうかかいゆう] /(n) downstream migration/
降河魚 [こうかぎょ] /(n) catadromous fish (fish that migrates downstream, e.g. eel)/
降海 [こうかい] /(n,vs) swimming downstream (to the sea)/
降海型 [こうかいがた] /(n) sea-run variety (of fish)/
降灰 [こうかい] /(n) volcanic ash/
降灰 [こうはい] /(n) volcanic ash/
降格 [こうかく] /(n,vs) demotion/(P)/
降格人事 [こうかくじんじ] /(n) demotion/
降掛かる [ふりかかる] /(v5r,vi) (1) to fall onto/(2) to happen/to befall/
降掛る [ふりかかる] /(v5r,vi) (1) to fall onto/(2) to happen/to befall/
降給 [こうきゅう] /(n,vs) reduction in pay/
降懸かる [ふりかかる] /(v5r,vi) (1) to fall onto/(2) to happen/to befall/
降懸る [ふりかかる] /(v5r,vi) (1) to fall onto/(2) to happen/to befall/
降込む [ふりこむ] /(v5m,vi) to be blown in (e.g. rain)/to sweep in/
降三世明王 [ごうざんぜみょうおう] /(n) (Buddh) Trailokyavijaya Vidya-raja/conqueror of the three worlds/
降参 [こうさん] /(n,vs) giving in to/giving up/surrender/(P)/
降車 [こうしゃ] /(n,vs) alighting/getting off/getting down/
降車口 [こうしゃぐち] /(adj-na,n) exit/
降順 [こうじゅん] /(adj-na,n) descending-order/
降順キー [こうじゅんキー] /(n) (comp) descending key/
降職 [こうしょく] /(n,vs) degradation/
降神 [こうしん] /(n) spiritualism/spiritism/
降神術 [こうしんじゅつ] /(n) spiritualism/
降水 [こうすい] /(n) rainfall/precipitation/(P)/
降水確率 [こうすいかくりつ] /(n) chance of precipitation/chance of rain/
降水量 [こうすいりょう] /(n) precipitation/(P)/
降積もる [ふりつもる] /(v5r) to fall and pile up (e.g. snow)/to lie thick/
降雪 [こうせつ] /(n,vs) snowfall/snow/(P)/
降雪量 [こうせつりょう] /(n) amount of snowfall/
降霜 [こうそう] /(n) (fall of) frost/
降誕 [こうたん] /(n,vs) birth (regal)/nativity/
降誕祭 [こうたんさい] /(n) (1) Christmas (authentic term now used within Japanese Christian denominations)/(2) celebration of the birthday of a saint or great man/
降壇 [こうだん] /(n,vs) leaving the platform/
降着 [こうちゃく] /(n,vs) (1) landing/touchdown/splashdown/(2) demotion (horse racing)/(3) accretion (astronomy)/
降着円盤 [こうちゃくえんばん] /(n) accretion disc/accretion disk/
降着装置 [こうちゃくそうち] /(n) landing gear/
降注ぐ [ふりそそぐ] /(v5g,vi) to rain incessantly/to downpour/
降等 [こうとう] /(n,vs,adj-no) demotion/
降任 [こうにん] /(n,vs) demotion/
降濡つ [ふりそぼつ] /(v5t,vi) (arch) to be drenched (from the rain, etc.)/
降板 [こうばん] /(n,vs) (1) leaving the mound (baseball)/being knocked out/(2) resign from a role or position/(P)/
降敷く [ふりしく] /(v5k,vi) to lie scattered/to be strewn with/to be covered with/
降伏 [こうふく] /(n,vs) capitulation/surrender/submission/(P)/
降服 [こうふく] /(n,vs) capitulation/surrender/submission/
降魔 [ごうま] /(n) conquering the devil/
降魔術 [こうまじゅつ] /(n) demon invocation/summoning demons/
降立つ [おりたつ] /(v5t,vi) (1) to go down and stand/(2) to alight/to get down/
降流魚 [こうりゅうぎょ] /(n) (obsc) catadromous fish (fish that migrates downstream, e.g. eel)/
降臨 [こうりん] /(n,vs) advent/descent/
降霊 [こうれい] /(n) communication with the dead/
降霊会 [こうれいかい] /(n) spiritism session/seance/
降霊術 [こうれいじゅつ] /(n) spiritism/spiritualism/
降鑒 [こうかん] /(n,vs) the gods watching over humans from the heavens/
降雹 [こうひょう] /(n) hailstorm/
項 [うなじ] /(n) nape/nucha/
項 [こう] /(n) (1) clause/paragraph/item/(2) (math) term/(3) (arch) nape (of the neck)/
項に分かつ [こうにわかつ] /(exp,v5t) to paragraph/to itemize/to itemise/
項位置 [こういち] /(n) argument position/
項書換え [こうかきかえ] /(n) term rewriting/
項垂れる [うなだれる] /(v1,vi) to hang one's head/
項着 [うなつき] /(n) type of children's haircut/
項番 [こうばん] /(n) item number/
項目 [こうもく] /(n) (data) item/entry/(P)/
項目ヘルプ [こうもくヘルプ] /(n) contextual help/
項目応答理論 [こうもくおうとうりろん] /(n) (math) item response theory/IRT/
項目識別子 [こうもくしきべつし] /(n) (comp) item identifier/
項目選択 [こうもくせんたく] /(n) (comp) item selection/
項目別に分ける [こうもくべつにわける] /(exp,v1) to classify by subject/
項目別控除 [こうもくべつこうじょ] /(n) itemized deduction/
項目名 [こうもくめい] /(n) (comp) item name/
項領 [こうりょう] /(n) collar/neck/
香 [かおり] /(io) (n) aroma/fragrance/scent/smell/
香 [きょう] /(n) (abbr) lance (shogi)/(P)/
香 [こう] /(n) incense/
香々 [こうこう] /(n) pickled vegetables/
香しい [かぐわしい] /(adj-i) (uk) sweet-smelling/scentful/fragrant/
香しい [かんばしい] /(adj-i) sweet/fragrant/aromatic/
香の物 [こうのもの] /(n) pickled vegetables/
香ばしい [こうばしい] /(adj-i) (1) sweet/fragrant/aromatic/(2) savory/savoury/(P)/
香り [かおり] /(n) aroma/fragrance/scent/smell/(P)/
香り高い [かおりたかい] /(adj-i) fragrant/aromatic/
香り米 [かおりまい] /(n) aromatic rice/fragrant rice/
香る [かおる] /(v5r,vi) to smell sweet/to be fragrant/(P)/
香を焚く [こうをたく] /(exp,v5k) to cense/to burn incense/
香を聞く [こうをきく] /(exp,v5k) to smell incense/
香雨鳥 [こううちょう] /(n) (uk) brown-headed cowbird (Molothrus ater)/
香煙 [こうえん] /(n) incense smoke/
香花 [こうげ] /(n) flowers and incense (given as a Buddhist offering)/
香花 [こうばな] /(n) flowers and incense (given as a Buddhist offering)/
香華 [こうげ] /(n) flowers and incense (given as a Buddhist offering)/
香蒲 [かま] /(ok) (n) (uk) common cattail (Typha latifolia)/common bulrush/common reed mace/
香蒲 [がま] /(n) (uk) common cattail (Typha latifolia)/common bulrush/common reed mace/
香気 [こうき] /(n) fragrance/(P)/
香魚 [あゆ] /(n) (1) sweetfish (Plecoglossus altivelis altivelis)/
香魚 [こうぎょ] /(n) (1) sweetfish (Plecoglossus altivelis altivelis)/
香具 [こうぐ] /(n) perfumes/variety of incense/
香具師 [こうぐし] /(n) master perfume maker/
香具師 [やし] /(n) showman/charlatan/faker/quack/
香港 [ほんこん] /(n) Hong Kong (China)/(P)/
香港テレコム [ほんこんテレコム] /(n) (comp) Hong Kong Telecom/
香港ドル [ホンコンドル] /(n) Hong Kong dollar/
香港返還 [ほんこんへんかん] /(n) return of Hong Kong (to mainland China)/
香香 [こうこう] /(n) pickled vegetables/
香合 [こうごう] /(n) incense container/
香合わせ [こうあわせ] /(n) incense-smelling game/
香菜 [こうさい] /(n) coriander (Coriandrum sativum)/cilantro/Chinese parsley/dhania/
香菜 [シャンツァイ] /(n) coriander (Coriandrum sativum)/cilantro/Chinese parsley/dhania/
香材 [こうぼく] /(n) sweet-smelling wood/
香車 [きょうしゃ] /(n) spear (shogi)/lance/
香辛料 [こうしんりょう] /(n) spices/(P)/
香水 [こうすい] /(n) perfume/(P)/
香水瓶 [こうすいびん] /(n) bottle of perfume (scent)/
香川県 [かがわけん] /(n) Kagawa prefecture (Shikoku)/
香煎 [こうせん] /(n) (1) roasted barley flour/(2) parched flour with various ingredients added and drunk in hot water/
香草 [こうそう] /(n) herb/fragrant grass/
香典 [こうでん] /(n) condolence gift/gift brought to a funeral/incense money/
香典返し [こうでんがえし] /(n) present given in return for funeral offering/
香道 [こうどう] /(n) traditional incense-smelling ceremony/
香箱 [こうばこ] /(n) incense box/
香盤時計 [こうばんどけい] /(n) incense clock/
香盤表 [こうばんひょう] /(n) (play or film) cast list/
香母酢 [かぼす] /(n) (uk) kabosu (type of citrus fruit) (Citrus sphaerocarpa)/
香味 [こうみ] /(n) smell and taste/flavour/flavor/
香味野菜 [こうみやさい] /(n) potherb/pot herb/
香味料 [こうみりょう] /(n) flavoring/flavouring/spice/
香木 [こうぼく] /(n) fragrant wood/aromatic tree/
香油 [こうゆ] /(n) pomade/balm/perfumed oil/
香料 [こうりょう] /(n) (1) flavoring/flavouring/spices/(2) fragrance/perfume/incense/(3) condolence gift/(P)/
香炉 [こうろ] /(n) censer/incense burner/
香露 [こうろ] /(n) Kouro (brand of sake)/
香奠 [こうでん] /(n) condolence gift/gift brought to a funeral/incense money/
香欒 [ざぼん] /(n) shaddock (por: zamboa)/pomelo/Citrus maximus/Citrus grandis/Citrus decumana/
香盒 [こうごう] /(n) incense container/
香蕈 [しいたけ] /(n) shiitake mushroom (Lentinula edodes)/
高 [こう] /(suf) (1) (abbr) High (abbreviation of "High School" following a school's name)/(pref) (2) high-/
高 [たか] /(n,n-suf) quantity/amount/volume/number/amount of money/(P)/
高 [だか] /(n,n-suf) quantity/amount/volume/number/amount of money/
高々 [たかだか] /(adv) very high/at most/at best/
高々指 [たかたかゆび] /(n) middle finger/
高々度 [こうこうど] /(n) high altitude/
高々度飛行 [こうこうどひこう] /(n) high-altitude flying/
高１ [こういち] /(n) first year in high-school/first year highschool student/
高２ [こうに] /(n) second year at high school/second-year high-school student/
高３ [こうさん] /(n) third year of high school/third-year high-school student/
高い [たかい] /(adj-i) (1) high/tall/(2) expensive/(P)/
高いレベル [たかいレベル] /(n) (comp) high level/
高い濃度 [たかいのうど] /(n) high concentration/
高が [たかが] /(adv) (uk) it's only ... (something)/at most/
高が知れている [たかがしれている] /(exp,v1) to not amount to much/
高くつく [たかくつく] /(exp,v5k) to be expensive/to be costly/
高く付く [たかくつく] /(exp,v5k) to be expensive/to be costly/
高さ [たかさ] /(n) height/(P)/
高さを揃える [たかさをそろえる] /(exp,v1) to make all of uniform height/
高さアクセント [たかさアクセント] /(n) (obsc) pitch accent/
高さ計 [たかさけい] /(n) height gauge/
高じる [こうじる] /(v1,vi) to grow in intensity/to be aggravated/to get worse/to develop/
高ずる [こうずる] /(vz) (obsc) to grow in intensity/to be aggravated/to get worse/to develop/
高ぶり [たかぶり] /(n) (1) excitement/stimulation/agitation/arousal/(2) pride/haughtiness/arrogance/
高ぶる [たかぶる] /(v5r,vi) (1) to be highly strung/to be proud/to be haughty/(2) to get excited/to get worked up/
高まり [たかまり] /(n) rise/swell/elevation/upsurge/(P)/
高まる [たかまる] /(v5r,vi) to rise/to swell/to be promoted/(P)/
高み [たかみ] /(n) height/elevated place/
高める [たかめる] /(v1,vt) to raise/to lift/to boost/to enhance/(P)/
高より低へ [こうよりていへ] /(n) from high to low/
高らか [たからか] /(adj-na,n) loud/sonorous/ringing/(P)/
高をくくる [たかをくくる] /(exp,v5r) to underrate/to make light of/
高を括る [たかをくくる] /(exp,v5r) to underrate/to make light of/
高アルドステロン症 [こうアルドステロンしょう] /(n) hyperaldosteronism/
高カリウム血症 [こうカリウムけっしょう] /(n) hyperkalemia/hyperpotassemia/
高カルシウム血症 [こうカルシウムけっしょう] /(n) hypercalcemia/
高カルシウム尿症 [こうカルシウムにょうしょう] /(n) hypercalciuria/
高カロリー輸液 [こうカロリーゆえき] /(n) high-calorie infusion/total parenteral nutrition/
高コレステロール血症 [こうコレステロールちしょう] /(n) hypercholesterolemia/hypercholesterolaemia (excess of cholesterol in the bloodstream)/
高ナトリウム血症 [こうナトリウムけつしょう] /(n) hypernatremia/
高ビリルビン血症 [こうビリルビンけつしょう] /(n) hyperbilirubinemia/
高リポ蛋白血症 [こうリポたんぱくけっしょう] /(n) hyperlipoproteinemia/
高レベル [こうレベル] /(n,adj-no) high level/
高レベル廃棄物 [こうレベルはいきぶつ] /(n) (abbr) high level (radioactive) waste/
高レベル放射性廃棄物 [こうレベルほうしゃせいはいきぶつ] /(n) high level radioactive waste/
高圧 [こうあつ] /(n,adj-no) high voltage/high pressure/(P)/
高圧酸素室 [こうあつさんそしつ] /(n) hyperbaric oxygen chamber/
高圧酸素療法 [こうあつさんそりょうほう] /(n) hyperbaric oxygen therapy/
高圧縮 [こうあっしゅく] /(n) high compression/high pressure/
高圧水 [こうあつすい] /(n) high-pressure water/
高圧線 [こうあつせん] /(n) high-voltage wire/
高圧的 [こうあつてき] /(adj-na) high-handed/oppressive/
高圧電線 [こうあつでんせん] /(n) high-voltage line/
高圧電流 [こうあつでんりゅう] /(n) high-tension current/
高位 [こうい] /(adj-na,n) (1) dignity/eminent/high ranking/(2) high-order (digit, bit, etc.)/(P)/
高位レベル [こういレベル] /(n) (comp) higher level/
高位高官 [こういこうかん] /(n,adj-no) (person of) high rank and office (exalted station)/persons in high positions/
高緯度 [こういど] /(n) high latitudes/
高域通過フィルタ [こういきつうかフィルタ] /(n) (comp) high pass filter/HPF/
高一 [こういち] /(n) first year in high-school/first year highschool student/
高遠 [こうえん] /(adj-na,n) noble/lofty/
高恩 [こうおん] /(n) great benevolence or blessings/
高温 [こうおん] /(n) high temperature/(P)/
高温ガス炉 [こうおんガスろ] /(n) high-temperature gas-cooled reactor/
高温計 [こうおんけい] /(n) pyrometer/
高音 [こうおん] /(n) high-pitched tone/soprano/(P)/
高音 [たかね] /(n) high-pitched tone/soprano/
高音部 [こうおんぶ] /(n) treble/high singing voice/
高音部記号 [こうおんぶきごう] /(n) treble clef/
高下 [こうげ] /(n,vs) rise and fall (prices)/superiority and inferiority (rank)/
高下駄 [たかげた] /(n) tall wooden clogs/
高価 [こうか] /(adj-na,n) high price/(P)/
高価い [たかい] /(iK) (adj-i) (1) expensive/
高架 [こうか] /(n,adj-no) overhead structure/(P)/
高架橋 [こうかきょう] /(n) elevated bridge/
高架線 [こうかせん] /(n) (1) overhead wires/(2) elevated railway/
高架鉄道 [こうかてつどう] /(n) elevated railroad/elevated railway/
高歌 [こうか] /(n,vs) loud singing/
高歌放吟 [こうかほうぎん] /(n) singing at the top of one's voice/
高火度 [こうかど] /(exp) high fired (e.g. 1400 degrees)/high fired (porcelain)/
高火度磁器 [こうかどじき] /(n) high-fired porcelain/
高画質 [こうがしつ] /(n) (comp) high resolution (of an image)/
高雅 [こうが] /(adj-na,n) refined/elegant/chaste/
高解像度 [こうかいぞうど] /(n,adj-no) (comp) high resolution/
高角 [こうかく] /(n,adj-no) high-angle/
高角砲 [こうかくほう] /(n) high-angle or anti-aircraft gun/
高閣 [こうかく] /(n) tall building/high shelf/
高学年 [こうがくねん] /(n) upper grade or classes (in schools)/(P)/
高学歴 [こうがくれき] /(n,adj-no) high academic achievement/advanced academic training/higher education/
高学歴化 [こうがくれきか] /(n) increase in the level of academic achievement/popularisation of higher education/
高学歴者 [こうがくれきしゃ] /(n) someone with superior education/
高額 [こうがく] /(adj-na,n,adj-no) large sum (money)/(P)/
高額所得者 [こうがくしょとくしゃ] /(n) large income earner/people in the higher income brackets/
高巻 [たかまき] /(n,vs) detour (around a waterfall, etc. when gorge-climbing)/
高官 [こうかん] /(n,adj-no) high official/(P)/
高感度 [こうかんど] /(n) high sensitive (e.g. film, radio receiver)/
高関税化 [こうかんぜいか] /(n,vs) (high) tariff protection/tariff jumping/
高機 [たかばた] /(n) type of manually powered loom/
高機能 [こうきのう] /(adj-na) high level (of functionality)/
高機能携帯電話 [こうきのうけいたいでんわ] /(n) smart phone/
高気圧 [こうきあつ] /(n) high (atmospheric) pressure/high-pressure system/anticyclone/(P)/
高気圧環境 [こうきあつかんきょう] /(n) hyperbaric environment/
高貴 [こうき] /(adj-na,n,adj-no) high class/noble/
高輝度 [こうきど] /(n) high luminance (used to describe bold-face text on display screen)/
高宜 [こうぎ] /(n) (your) kindness or favour (favor)/
高誼 [こうぎ] /(n) (your) kindness or favour (favor)/
高脚蟹 [たかあしがに] /(n) giant spider crab/
高級 [こうきゅう] /(adj-na,n,adj-no) high class/high grade/(P)/
高級アルコール [こうきゅうアルコール] /(n) higher alcohol/
高級レストラン [こうきゅうレストラン] /(n) fancy restaurant/expensive restaurant/
高級言語 [こうきゅうげんご] /(n) (comp) high-level language/
高級車 [こうきゅうしゃ] /(n) luxury car/
高級住宅地 [こうきゅうじゅうたくち] /(n) exclusive residential district/
高級船員 [こうきゅうせんいん] /(n) officer (of a ship)/
高級品 [こうきゅうひん] /(n) high-class item/
高給 [こうきゅう] /(n) high salary/(P)/
高距 [こうきょ] /(n) elevation (above sea level)/
高教 [こうきょう] /(n) your instructions or suggestions/
高金利 [こうきんり] /(n) expensive money/dear money/high interest/
高金利政策 [こうきんりせいさく] /(n) dear money policy/
高吟 [こうぎん] /(n,vs) loud recitation (of a poem)/
高句麗 [こうくり] /(n) Goguryeo (ancient Korean kingdom)/
高空 [こうくう] /(n) high altitude/
高空 [たかぞら] /(n) high altitude/
高潔 [こうけつ] /(adj-na,n) purity/nobility/(P)/
高血圧 [こうけつあつ] /(n) high blood pressure/hypertension/(P)/
高血圧症 [こうけつあつしょう] /(n) high blood pressure (as an illness)/hypertension/
高血糖 [こうけっとう] /(n) hyperglycemia/hyperglycaemia/
高捲き [たかまき] /(n,vs) detour (around a waterfall, etc. when gorge-climbing)/
高検 [こうけん] /(n) (abbr) High Public Prosecutors' Office/
高見 [こうけん] /(n) watching with detachment/(P)/
高見 [たかみ] /(n) (your) opinion/excellent idea/
高原 [こうげん] /(n) tableland/plateau/(P)/
高言 [こうげん] /(n,vs) boasting/bragging/talking big/
高御座 [たかみくら] /(n) Imperial throne/
高工 [こうこう] /(n) (abbr) higher technical school/
高抗張力 [こうこうちょうりょく] /(adj-no) high tensile strength/
高校 [こうこう] /(n) (abbr) senior high school/(P)/
高校進学 [こうこうしんがく] /(n) continuing one's education into high school/
高校生 [こうこうせい] /(n) senior high school student/(P)/
高校卒業生 [こうこうそつぎょうせい] /(n) high school graduate/
高校野球 [こうこうやきゅう] /(n) high-school baseball/
高高 [たかだか] /(adv) very high/at most/at best/
高高指 [たかたかゆび] /(n) middle finger/
高高度 [こうこうど] /(n) high altitude/
高高度飛行 [こうこうどひこう] /(n) high-altitude flying/
高根 [たかね] /(n) high peak/
高砂 [たかさご] /(n) (uk) double-lined fusilier (Pterocaesio digramma)/
高座 [こうざ] /(n) platform/stage/upper seat/pulpit/
高菜 [たかな] /(n) leaf mustard/
高裁 [こうさい] /(n) (abbr) High Court/(P)/
高察 [こうさつ] /(n) superior insight/your idea/
高札 [こうさつ] /(n) (1) official bulletin board (Edo period)/(2) highest bid/highest tender/(3) (hon) your letter/
高札 [たかふだ] /(n) (1) official bulletin board (Edo period)/(2) highest bid/highest tender/
高三 [こうさん] /(n) third year of high school/third-year high-school student/
高山 [こうざん] /(n,adj-no) high mountain/alpine/(P)/
高山植物 [こうざんしょくぶつ] /(n) alpine plants/
高山帯 [こうざんたい] /(n) alpine zone/
高山蝶 [こうざんちょう] /(n) alpine butterfly/
高山病 [こうざんびょう] /(n) altitude sickness/mountain sickness/
高山流水 [こうざんりゅうすい] /(n) (1) high mountains and running water/the beauty of nature/(2) beautifully (skillfully) played music/
高士 [こうし] /(n) man of noble character/
高姿勢 [こうしせい] /(adj-na,n) high profile/aggressive attitude/
高師 [こうし] /(n) (abbr) higher normal school/pre-war public school that trained male teachers/
高止まり [たかどまり] /(n,vs) continuing at a high level/
高止り [たかどまり] /(n,vs) continuing at a high level/
高脂血症 [こうしけっしょう] /(n) hyperlipidaemia (hyperlipidemia, hyperlipemia)/excessive fat in blood/
高視聴率 [こうしちょうりつ] /(n) high television ratings/
高歯 [たかば] /(n) clogs with high supports/
高次 [こうじ] /(n,pref) higher-order-/meta-/
高次元 [こうじげん] /(n,adj-no) (math) high dimension/higher dimensions/
高次認知機能 [こうじにんちきのう] /(n) higher cognitive functions/
高次脳機能障害 [こうじのうきのうしょうがい] /(n) higher brain dysfunction/
高次方程式 [こうじほうていしき] /(n) high-powered equation/
高蒔絵 [たかまきえ] /(n) embossed gilt lacquerwork/
高失業率 [こうしつぎょうりつ] /(n) high unemployment rate/
高湿度 [こうしつど] /(n) high humidity/
高射機関砲 [こうしゃきかんほう] /(n) (obsc) anti-aircraft gun/
高射特科 [こうしゃとっか] /(n) anti-aircraft artillery/
高射砲 [こうしゃほう] /(n) antiaircraft gun/
高手小手 [たかてこて] /(n) bound hands and arms/
高収入 [こうしゅうにゅう] /(n,adj-no) high income/(P)/
高周波 [こうしゅうは] /(n) high frequency/HF/
高純度 [こうじゅんど] /(n,adj-na,adj-no) high purity/
高処 [つかさ] /(n) (arch) mound/hill/
高所 [こうしょ] /(n) (1) high altitude/heights/elevation/(2) broad view/(P)/
高所ダイビング [こうしょダイビング] /(n) altitude diving/
高所ダイブ [こうしょダイブ] /(n) altitude dive/
高所恐怖症 [こうしょきょうふしょう] /(n) fear of heights/acrophobia/
高所得者 [こうしょとくしゃ] /(n) person on top of the income scale/top earner/
高所病 [こうしょびょう] /(n) altitude sickness/
高唱 [こうしょう] /(n,vs) chanting or singing in a loud voice/
高尚 [こうしょう] /(adj-na,n) high/noble/refined/advanced/(P)/
高床 [こうしょう] /(n) raised-floor (truck, etc.)/
高床 [たかゆか] /(n) raised-floor (building)/
高床式 [たかゆかしき] /(n) raised-floor-style (granary, truck, etc.)/
高笑い [たかわらい] /(n,vs) loud laughter/
高障害 [こうしょうがい] /(n) high hurdles/
高上がり [たかあがり] /(n) climb high/more expensive than expected/
高信頼性 [こうしんらいせい] /(n) high reliability/
高神 [たかがみ] /(n) high god/
高進 [こうしん] /(n,vs) rising/exasperated/accelerated/
高水準 [こうすいじゅん] /(adj-na,n) high level/(P)/
高水準言語 [こうすいじゅんげんご] /(n) (comp) high-level language/
高瀬 [たかせ] /(n) shallows/(P)/
高瀬舟 [たかせぶね] /(n) flatboat/
高性能 [こうせいのう] /(adj-na,n) high efficiency/high fidelity/high power/(P)/
高性能減水剤 [こうせいのうげんすいざい] /(n) superplasticizer/
高性能爆弾 [こうせいのうばくだん] /(n) high-explosive bomb/
高性能爆薬 [こうせいのうばくやく] /(n) high explosive/
高成長 [こうせいちょう] /(n) high rate (of growth)/
高精細度テレビ [こうせいさいどテレビ] /(n) (comp) High Definition Television/HDTV/
高精度 [こうせいど] /(n) high precision/
高声 [こうしょう] /(adj-na,n) loud or high-pitched voice/
高声 [こうせい] /(adj-na,n) loud or high-pitched voice/
高声 [たかごえ] /(adj-na,n) loud or high-pitched voice/
高積雲 [こうせきうん] /(n) altocumulus clouds/
高説 [こうせつ] /(n) your opinion/
高専 [こうせん] /(n) (1) (abbr) technical college/(2) higher schools and colleges/
高然 [こうぜん] /(adj-t,adv-to) elated/triumphant/proud/
高祖 [こうそ] /(n) founder of dynasty or sect/
高祖父 [こうそふ] /(n) great-great-grandfather/
高祖母 [こうそぼ] /(n) great-great-grandmother/
高僧 [こうそう] /(n,adj-no) high priest/virtuous priest/(P)/
高層 [こうそう] /(adj-no) multistory/multistoried/high-rise/high/tall/(P)/
高層ビル [こうそうビル] /(n) skyscraper/
高層雲 [こうそううん] /(n) altostratus clouds/
高層建築 [こうそうけんちく] /(n,adj-no) tall (high rise) building/
高層建築 [こうそうげんちく] /(n,adj-no) tall (high rise) building/
高層大気 [こうそうたいき] /(n) upper air/upper atmosphere/
高層天気図 [こうそうてんきず] /(n) upper-level weather chart/
高燥 [こうそう] /(adj-na,n) high and dry ground/
高燥地 [こうそうち] /(n) high and dry ground/
高窓 [たかまど] /(n) high window/clerestory window/
高足 [こうそく] /(n) best student/leading disciple/
高足蟹 [たかあしがに] /(n) giant spider crab/
高足駄 [たかあしだ] /(n) geta with high supports/tall clogs/
高速 [こうそく] /(adj-na,n,adj-no) (1) high speed/high gear/(2) (abbr) highway/freeway/expressway/motorway/(P)/
高速けた上げ [こうそくけたあげ] /(n) (comp) high-speed carry/
高速アクセス [こうそくアクセス] /(n) (comp) high speed access/
高速イーサネット [こうそくイーサネット] /(n) (comp) Fast Ethernet/
高速インターネット接続 [こうそくインターネットせつぞく] /(n) fast Internet connection/
高速インターネット接続サービス [こうそくインターネットせつぞくサービス] /(n) high-speed Internet access service/
高速シリアルインターフェース [こうそくシリアルインターフェース] /(n) (comp) High-Speed Serial Interface/HSSI/
高速スイッチング [こうそくスイッチング] /(n) (comp) high speed switching/
高速セレクト [こうそくセレクト] /(n) (comp) fast select/
高速データ通信 [こうそくデータつうしん] /(n) (comp) high speed data communication/
高速ネットワーク [こうそくネットワーク] /(n) (comp) high-speed network/
高速パケット [こうそくパケット] /(n) (comp) fast packet/
高速フーリエ変換 [こうそくフーリエへんかん] /(n) (comp) Fast Fourier Transform/FFT/
高速フリエ変換 [こうそくフリエへんかん] /(n) (comp) FFT/fast fourier transform/
高速ページモード [こうそくページモード] /(n) (comp) fast page mode/FPM/
高速ページモードＤＲＡＭ [こうそくページモードディーラム] /(n) (comp) Fast Page Mode Dynamic Random Access Memory/FPM DRAM/
高速モデム [こうそくモデム] /(n) (comp) high speed modem/
高速演算機構 [こうそくえんざんきこう] /(n) (comp) high-speed arithmetic unit (computer)/
高速化 [こうそくか] /(n) (comp) increase in speed, acceleration/
高速回線 [こうそくかいせん] /(n) (comp) high speed line/
高速車線 [こうそくしゃせん] /(n) high-speed lane/fast lane/
高速処理 [こうそくしょり] /(n) (comp) high speed processing/
高速接続 [こうそくせつぞく] /(n) (comp) high speed connection/
高速増殖炉 [こうそくぞうしょくろ] /(n) fast-breeder reactor/
高速多重集配信装置 [こうそくたじゅうしゅうはいしんそうち] /(n) (comp) High-Speed TDM/HTDM/
高速中性子 [こうそくちゅうせいし] /(n) fast neutron/
高速直列インターフェイス [こうそくちょくれつインターフェイス] /(n) (comp) high speed serial interface/
高速通信 [こうそくつうしん] /(n) (comp) high speed communication/
高速通信網 [こうそくつうしんもう] /(n) (comp) high speed network/
高速鉄道 [こうそくてつどう] /(n) high-speed rail/rapid (rail) transit/
高速伝送 [こうそくてんそう] /(n) (comp) high speed transmission/
高速度 [こうそくど] /(n) high speed/(P)/
高速度鋼 [こうそくどこう] /(n) high-speed steel/
高速度撮影 [こうそくどさつえい] /(n) high-speed photography/
高速度写真 [こうそくどしゃしん] /(n) high-speed photography/
高速道路 [こうそくどうろ] /(n) highway/freeway/expressway/motorway/(P)/
高速炉 [こうそくろ] /(n) fast reactor/
高卒 [こうそつ] /(n,adj-no) high school graduate/(P)/
高村派 [こうむらは] /(n) Komura Faction (of the LDP)/
高帯域 [こうたいいき] /(n) high bandwidth/
高帯域ネットワーク [こうたいいきネットワーク] /(n) (comp) wide area network/WAN/
高台 [たかだい] /(n,adj-no) elevation/high ground/(P)/
高台教 [カオダイきょう] /(n) Caodaism/
高大 [こうだい] /(adj-na) lofty/grand/impressive/
高炭素鋼 [こうたんそこう] /(n) high-carbon steel/
高段 [こうだん] /(n) highly ranked/
高談 [こうだん] /(n,vs) your lofty discourse/
高値 [たかね] /(n,adj-no) high price/(P)/
高値引け [たかねびけ] /(n) closure at a high price/closing higher/
高知県 [こうちけん] /(n) Kouchi (Kochi) prefecture (Shikoku)/
高地 [こうち] /(n,adj-no) high ground/plateau/heights/(P)/
高地トレーニング [こうちトレーニング] /(n) high-altitude training/
高地ドイツ語 [こうちドイツご] /(n) High German/
高窒素血症 [こうちっそけっしょう] /(n) azotemia/
高著 [こうちょ] /(n) your literary work/
高張り提灯 [たかはりぢょうちん] /(n) large paper lantern on a pole/
高潮 [こうちょう] /(n,vs) surge/high tide/flood tide/
高潮 [たかしお] /(n,vs) surge/high tide/flood tide/
高潮線 [こうちょうせん] /(n) high-water mark/
高調 [こうちょう] /(n,vs) high spirits/
高調子 [たかちょうし] /(adj-na,n) high pitch/
高跳び [たかとび] /(n,vs) high jump/
高直 [こうじき] /(adj-na,n) expensive/valuable/
高直 [こうちょく] /(adj-na,n) expensive/valuable/
高低 [こうてい] /(n,vs) high and low/rise and fall/(P)/
高低 [たかひく] /(n,vs) high and low/rise and fall/
高低アクセント [こうていアクセント] /(n) pitch accent/
高弟 [こうてい] /(n) best pupil/leading disciple/
高天原 [たかまがはら] /(n) the heavens/
高点 [こうてん] /(n) high score/
高殿 [たかどの] /(n) stately mansion/
高田派 [たかだは] /(n) Takada sect (of Shin Buddhism)/
高電圧 [こうでんあつ] /(n) high voltage/high tension/
高電位 [こうでんい] /(adj-na) high-voltage/
高度 [こうど] /(adj-na,n) (1) altitude/height/(2) advanced/high-grade/strong/(P)/
高度サービス [こうどサービス] /(n) (comp) enhanced service/
高度化 [こうどか] /(n,vs) increase in sophistication/enhancement of functionality/increase in speed/upgrading/
高度技術 [こうどぎじゅつ] /(n,adj-no) (comp) high-tech/high-technology/
高度経済成長 [こうどけいざいせいちょう] /(n) rapid economic growth (esp. that of Japan in the post-WWII period)/
高度計 [こうどけい] /(n) altimeter/
高度交通システム [こうどこうつうシステム] /(n) (comp) ITS/intelligent transportation systems/
高度合成数 [こうどごうせいすう] /(n) highly composite number/
高度差 [こうどさ] /(n) height difference/difference in elevation/
高度成長 [こうどせいちょう] /(n,adj-no) rapid growth (e.g. of the economy)/advanced maturity/
高度成長期 [こうどせいちょうき] /(n) period of rapid growth (especially Japan's period of rapid economic growth after WWII)/
高度成長時代 [こうどせいちょうじだい] /(n) high-growth era/
高度通信システム相互接続 [こうどつうしんシステムそうごせつぞく] /(n) (comp) HATS/Harmonization of Advanced Telecommunication Systems/
高度道路交通システム [こうどどうろこうつうシステム] /(n) intelligent transportation system/ITS/
高塔 [こうとう] /(n) high tower/
高島田 [たかしまだ] /(n) traditional women's hair style, with hair worn up and arched back/
高灯台 [たかとうだい] /(n) tall lamp or candle stand/tall candlestick/
高燈台 [たかとうだい] /(oK) (n) tall lamp or candle stand/tall candlestick/
高等 [こうとう] /(adj-na,n,adj-no) high class/high grade/(P)/
高等科 [こうとうか] /(n) advanced course/
高等学校 [こうとうがっこう] /(n) senior high school/(P)/
高等官 [こうとうかん] /(n) senior official/
高等教育 [こうとうきょういく] /(n) higher education/
高等工業学校 [こうとうこうぎょうがっこう] /(n) higher technical school/
高等裁判所 [こうとうさいばんしょ] /(n) High Court/
高等師範学校 [こうとうしはんがっこう] /(n) higher normal school/pre-war public school that trained male teachers/
高等生物 [こうとうせいぶつ] /(n) higher forms of life/
高等専門学校 [こうとうせんもんがっこう] /(n) technical college/
高等動物 [こうとうどうぶつ] /(n) higher animal/
高等部 [こうとうぶ] /(n) senior high school (esp. the senior high school section of a school that also encompasses other grades)/
高等弁務官 [こうとうべんむかん] /(n) high commissioner/
高等法院 [こうとうほういん] /(n) High Court of Justice (UK)/Parlement (France)/
高踏 [こうとう] /(n) highbrow/aloof/transcendent/
高踏的 [こうとうてき] /(adj-na) transcendent/
高踏派 [こうとうは] /(n) transcendentalists/Parnassians/
高騰 [こうとう] /(n,vs) sudden price jump/steep price rise/(P)/
高堂 [こうどう] /(n) you/your beautiful home/
高得点 [こうとくてん] /(n) high score/
高徳 [こうとく] /(n,adj-na) eminent virtue/
高曇 [たかぐもり] /(n) overcast, with high clouds/
高二 [こうに] /(n) second year at high school/second-year high-school student/
高尿酸血症 [こうにょうさんけつしょう] /(n) hyperuricemia (increased levels of uric acid in the blood)/
高熱 [こうねつ] /(n,pref) (1) high fever/(2) pyro-/(P)/
高年 [こうねん] /(n) old age/
高年者 [こうねんしゃ] /(n) elderly person/
高燃費車 [こうねんぴしゃ] /(n) gas-guzzler/gas-guzzling car/vehicle with high fuel consumption/
高濃度 [こうのうど] /(n,adj-no) high concentration/concentrated/highly-concentrated/
高波 [たかなみ] /(n) high waves/(P)/
高配 [こうはい] /(n) (hon) (your) good offices/your trouble/
高倍率 [こうばいりつ] /(n,adj-no) high magnification (telescope, etc.)/high power/
高批 [こうひ] /(n) your valued criticism/
高飛び [たかとび] /(n,vs) flight (lit: fly high)/escape/
高飛び込み [たかとびこみ] /(n) the high dive/
高飛車 [たかびしゃ] /(adj-na,n) high-handed/domineering/on one's high horse/
高評 [こうひょう] /(n) high reputation/your esteemed opinion/
高評価 [こうひょうか] /(adj-no,n) highly rated/well-liked/
高病原性鳥インフルエンザ [こうびょうげんせいとりインフルエンザ] /(n) highly pathogenic avian influenza (i.e. H5N1)/
高品位 [こうひんい] /(adj-no) high-grade/high-rank/high-definition/
高品位テレビ [こうひんいテレビ] /(n) high-definition television/HDTV/
高品位テレビジョン [こうひんいテレビジョン] /(n) high definition television/HDTV/
高品質 [こうひんしつ] /(n) high quality/(P)/
高頻度 [こうひんど] /(n) high frequency/
高付加価値化 [こうふかかちか] /(n) adding of value/
高浮き彫り [たかうきぼり] /(n) high relief/grand relief/
高浮彫 [たかうきぼり] /(n) high relief/grand relief/
高浮彫り [たかうきぼり] /(n) high relief/grand relief/
高負荷 [こうふか] /(adj-f) high-capacity/high-intensity/high-load/
高負荷容量化 [こうふかようりょうか] /(n) high capacity/high load capacity/high load carrying capacity/
高風 [こうふう] /(n) noble character/
高分子 [こうぶんし] /(n) macromolecule/high polymer/
高分子化学 [こうぶんしかがく] /(n) high polymer chemistry/
高分子化合物 [こうぶんしかごうぶつ] /(n) high molecular compound/
高分子吸収体 [こうぶんしきゅうしゅうたい] /(n) high polymer absorbent/
高分子材料 [こうぶんしざいりょう] /(n) polymeric material/polymer/
高分子電解質 [こうぶんしでんかいしつ] /(n) polyelectrolyte/
高分子物質 [こうぶんしぶっしつ] /(n) (high) polymer/macromolecular substance/
高塀 [たかべい] /(n) tall fence/
高峰 [こうほう] /(n) high mountain/lofty peak/(P)/
高峰八座 [こうほうはちざ] /(n) eight lofty peaks/
高帽子 [たかぼうし] /(n) tall hat/
高望み [たかのぞみ] /(n,vs) aiming too high/
高枕 [たかまくら] /(n) high pillow/
高慢 [こうまん] /(adj-na) haughty/arrogant/proud/
高慢さ [こうまんさ] /(n) pride/arrogance/haughtiness/
高慢ちき [こうまんちき] /(adj-na) arrogant/haughty/
高密 [こうみつ] /(n) high density/
高密度 [こうみつど] /(n) high density/
高密度ディスケット [こうみつどディスケット] /(n) (comp) high-density diskette/
高名 [こうみょう] /(adj-na,n,adj-no) fame/renown/
高名 [こうめい] /(adj-na,n,adj-no) fame/renown/(P)/
高鳴り [たかなり] /(n) ringing/throbbing violently/
高鳴る [たかなる] /(v5r,vi) to throb/to beat fast/
高木 [こうぼく] /(n) tall tree/
高木関数 [たかぎかんすう] /(n) (math) Takagi function/
高木層 [こうぼくそう] /(n) overstory (overstorey)/canopy layer/tree stratum/
高目 [たかめ] /(adj-na,n) on the high side/
高野の万年草 [こうやのまんねんぐさ] /(n) (uk) Climacium japonicum (species of moss)/
高野の万年蘚 [こうやのまんねんごけ] /(n) (uk) Climacium japonicum (species of moss)/
高野聖 [こうやひじり] /(n) (1) Mt. Koya missionary (usu. low-ranking monks)/(2) (uk) Lethocerus deyrollei (species of giant water bug)/
高野切れ [こうやぎれ] /(n) fragments from the old literary work kept at Koyasan/
高野豆腐 [こうやとうふ] /(n) freeze-dried tofu/
高野豆腐 [こうやどうふ] /(n) freeze-dried tofu/
高野槙 [こうやまき] /(n) umbrella pine/Sciadopitys verticillata/
高野槇 [こうやまき] /(n) umbrella pine/Sciadopitys verticillata/
高優先 [こうゆうせん] /(n) high priority/
高揚 [こうよう] /(n,vs) enhancement/exaltation/promotion/uplift/(P)/
高楊子 [たかようじ] /(n) leisurely, post-meal use of a toothpick/
高楊枝 [たかようじ] /(n) leisurely, post-meal use of a toothpick/
高欄 [こうらん] /(n) balustrade/railing/handrail/banister/bannister/
高覧 [こうらん] /(n) (your) perusal/
高利 [こうり] /(n) high-interest rate/
高利益 [こうりえき] /(n) high profit/
高利貸し [こうりがし] /(n) usurer/usury/loansharking/
高利得アンテナ [こうりとくアンテナ] /(n) high-gain antenna/
高率 [こうりつ] /(adj-na,n) high rate/(P)/
高梁 [こうりゃん] /(n) variety of sorghum, esp. used in making spirits (chi: kaoliang)/
高梁 [こうりょう] /(n) variety of sorghum, esp. used in making spirits (chi: kaoliang)/
高陵土 [こうりょうど] /(n) (obsc) China clay/porcelain clay/
高嶺 [こうれい] /(n) high peak/
高嶺 [たかね] /(n) high peak/
高嶺の花 [たかねのはな] /(n) goal which is unattainable (lit: flower on a high peak)/prize beyond one's reach/
高嶺桜 [たかねざくら] /(n) (uk) (obsc) Japanese alpine cherry (Prunus nipponica)/
高嶺七竈 [たかねななかまど] /(n) (uk) Siberian mountain ash (Sorbus sambucifolia)/
高麗 [こうらい] /(n) (1) (abbr) Goryeo (dynasty of Korea; 918-1392 CE)/(n,n-pref) (2) Korea (esp. the Goguryeo kingdom or the Goryeo dynasty)/(P)/
高麗 [こま] /(n,n-pref) (1) Korea (esp. the Goguryeo kingdom or the Goryeo dynasty)/
高麗楽 [こまがく] /(n) old Japanese court music from the Nara period/
高麗胡椒 [こおれえぐす] /(n) (uk) (rkb:) capsicum/chili pepper (chile, chilli)/cayenne/red pepper/
高麗芝 [こうらいしば] /(n) Korean lawn grass/
高麗尺 [こまじゃく] /(n) (arch) Korean shaku (approx. 35.6 cm)/
高麗親睨 [こうらいおやにらみ] /(n) (uk) Coreoperca herzi (species of temperate perch)/
高麗人参 [こうらいにんじん] /(n) Asian ginseng (Panax ginseng)/
高麗鼠 [こまねずみ] /(n) Japanese dancing mouse (Mus musculus musculus)/
高麗笛 [こまぶえ] /(n) Korean flute (horizontal bamboo flute with six holes; highest-pitched flute used in gagaku)/
高麗餠 [こうらいもち] /(n) var. of mochi made from a mixture of rice flour and sweet bean paste (famous product of Kagoshima)/
高麗餠 [これもち] /(n) var. of mochi made from a mixture of rice flour and sweet bean paste (famous product of Kagoshima)/
高麗鶯 [こうらいうぐいす] /(n) (uk) black-naped oriole (Oriolus chinensis)/
高齢 [こうれい] /(n,adj-no) advanced (old) age/(P)/
高齢運転者標識 [こうれいうんてんしゃひょうしき] /(n) sign that indicates an older driver/
高齢化 [こうれいか] /(n,vs) aging/
高齢化社会 [こうれいかしゃかい] /(n) aging society/ageing society/
高齢者 [こうれいしゃ] /(n) old person or people/(P)/
高齢者マーク [こうれいしゃマーク] /(n) sign that indicates an older driver/
高炉 [こうろ] /(n) blast furnace/(P)/
高楼 [こうろう] /(n) lofty (high) building/skyscraper/
高禄 [こうろく] /(n) high salary/
高論 [こうろん] /(n) intelligent opinion/your esteemed opinion/
高論卓説 [こうろんたくせつ] /(n) an excellent opinion/an insightful view/
高話 [たかばなし] /(n) loud speech/
高坏 [たかつき] /(n) serving table/
高箒 [たかぼうき] /(n) bamboo broom/
高粱 [こうりゃん] /(n) variety of sorghum, esp. used in making spirits (chi: kaoliang)/
高粱 [こうりょう] /(n) variety of sorghum, esp. used in making spirits (chi: kaoliang)/
高粱酒 [こうりょうしゅ] /(n) kaoliang (strong distilled Chinese alcohol made from sorghum)/
高邁 [こうまい] /(adj-na,n) noble/lofty/high-minded/
高鮠 [たかはや] /(n) (uk) Chinese minnow (Phoxinus oxycephalus)/
高鼾 [たかいびき] /(n) loud snoring/
鴻 [ひしくい] /(n) (uk) bean goose (Anser fabalis)/
鴻基 [こうき] /(n) foundation of a great project/base of a great enterprise/
鴻業 [こうぎょう] /(n) glorious achievement/
剛 [ごう] /(n,adj-f) strong/hard/manly/
剛と柔 [ごうとじゅう] /(exp) hardness and softness/
剛の者 [ごうのもの] /(n) very strong person/brave warrior/veteran/
剛臆 [ごうおく] /(n) bravery and cowardice/
剛果 [ごうか] /(n) valor and decisiveness (valour)/
剛毅 [ごうき] /(adj-na,n) fortitude/firmness of character/hardihood/manliness/
剛毅果断 [ごうきかだん] /(n,adj-na) dauntless and decisive/with fortitude and resolution/
剛気 [ごうき] /(adj-na,n) bravery/stoutheartedness/
剛球 [ごうきゅう] /(n) fast ball/
剛強 [ごうきょう] /(adj-na,n) strength/firmness/
剛健 [ごうけん] /(adj-na,n) vigour/vigor/virility/health/sturdiness/(P)/
剛柔 [ごうじゅう] /(n,adj-no) hardness and softness/
剛情 [ごうじょう] /(adj-na,n) obstinacy/stubbornness/
剛性 [ごうせい] /(n,adj-no) hardness/rigidity/
剛速球 [ごうそっきゅう] /(n) strong fast ball/
剛体 [ごうたい] /(n,adj-no) rigid body/
剛体力学 [ごうたいりきがく] /(n) rigid body dynamics/
剛胆 [ごうたん] /(adj-na,n) boldness/hardihood/courage/valour/valor/
剛直 [ごうちょく] /(adj-na,n) integrity/moral courage/rigidity/
剛腹 [ごうふく] /(adj-na,n) obstinacy/stubbornness/
剛毛 [ごうもう] /(n,adj-no) bristle/
剛勇 [ごうゆう] /(adj-na,n,adj-no) bravery/prowess/
剛勇無比 [ごうゆうむひ] /(n,adj-no) unparalleled for valor/unmatched for bravery/
剛力 [ごうりき] /(adj-na,n) herculean strength/mountain carrier-guide/
剛腕 [ごうわん] /(n) strong arm/stout arm/
剛愎 [ごうふく] /(adj-na,n) obstinacy/
劫 [こう] /(n) (1) (Buddh) kalpa (eon, aeon)/(2) (uk) ko (in Go, the arrangement that allows for the eternal capture and recapture of the same stones)/
劫 [ごう] /(n) (1) (Buddh) kalpa (eon, aeon)/
劫かす [おびやかす] /(v5s,vt) (1) to intimidate/to scare/(2) to jeopardize/to endanger/to imperil/
劫火 [こうか] /(n) (Buddh) world-destroying conflagration/
劫火 [ごうか] /(n) (Buddh) world-destroying conflagration/
劫盗 [ごうとう] /(n) highway robber/
劫罰 [ごうばつ] /(n) eternal punishment/
劫掠 [きょうりゃく] /(n,vs) pillage/plunder/
劫掠 [ごうりゃく] /(n,vs) pillage/plunder/
劫略 [きょうりゃく] /(n,vs) pillage/plunder/
劫略 [ごうりゃく] /(n,vs) pillage/plunder/
号 [ごう] /(n,n-suf) (1) number/edition/make/model/issue/part of that group/(2) sobriquet/pen-name/(P)/
号する [ごうする] /(vs-s) (1) to name/to take a second name or alias/(2) to announce/to boast/to declare/
号音 [ごうおん] /(n) signal (sound)/starting gun signal/
号外 [ごうがい] /(n) newspaper extra/(P)/
号館 [ごうかん] /(n) -building number/
号泣 [ごうきゅう] /(n,vs) crying aloud/lamentation/wailing/(P)/
号口 [ごうぐち] /(n) regular production/present model/
号室 [ごうしつ] /(n) suffix for room numbers/
号車 [ごうしゃ] /(n) classifier for naming train cars/(P)/
号数 [ごうすう] /(n) number or size of periodicals or pictures/type size/
号笛 [ごうてき] /(n) siren/whistle/
号俸 [ごうほう] /(n) gradational salary/
号砲 [ごうほう] /(n) signal gun/
号令 [ごうれい] /(n,vs) order/command/(P)/
合 [ごう] /(n) (1) 0.18039 litres (liters)/(2) 0.3306 metres square (meters)/(3) one-tenth of the way from the base to the summit of a mountain/(4) (astronomical) conjunction/(ctr) (5) counter for covered containers/(6) counter for matches, battles, etc./(P)/
合い [あい] /(n,pref) joint/associate/accomplice/
合いの戸 [あいのと] /(n) door between the rooms/
合いの子 [あいのこ] /(n) (derog) person of mixed parentage/crossbreed/Eurasian/mulatto/hybrid/
合いの手 [あいのて] /(n) (1) interlude/(2) interjection/interruption/
合いの手を入れる [あいのてをいれる] /(exp,v1) to make a gesture or say something during a break in conversation, playing of songs, etc./to interrupt/
合いの宿 [あいのしゅく] /(n) town situated between two post towns/
合いみつ [あいみつ] /(n) competitive bids or bidding/
合い印 [あいいん] /(n) verification seal/tally/
合い印 [あいじるし] /(n) comradeship badge/distinguishing mark/
合い間 [あいま] /(io) (n,adj-no) interval/break/pause/spare moment/
合い駒 [あいごま] /(n,vs) piece placed to block opponent's check (shogi)/
合い見積もり [あいみつもり] /(n) competitive bids or bidding/
合い見積り [あいみつもり] /(n) competitive bids or bidding/
合い鍵 [あいかぎ] /(n) pass key/duplicate key/master key/
合い言葉 [あいことば] /(n) password/watchword/
合い口 [あいくち] /(n) (1) chum/pal/(2) dagger/stiletto/(3) unbalanced record of wins between two wrestlers (sumo)/
合い札 [あいふだ] /(n) check/
合い詞 [あいことば] /(n) password/watchword/
合い乗り [あいのり] /(n,vs) riding together/
合い性 [あいしょう] /(n) affinity/compatibility/
合い着 [あいぎ] /(n,adj-no) between-season wear/clothes worn in spring or autumn (fall)/
合い釘 [あいくぎ] /(n) double-pointed nail/dowel/
合い判 [あいばん] /(n) medium-sized paper/medium-sized book/
合い挽き [あいびき] /(n) beef and pork ground together/
合い符 [あいじるし] /(n) comradeship badge/distinguishing mark/
合い服 [あいふく] /(n) between-season wear/spring and autumn clothing/spring and fall clothing/
合い方 [あいかた] /(n) (musical) accompaniment/
合い棒 [あいぼう] /(n) companion/
合い薬 [あいぐすり] /(n) specific remedy/
合う [あう] /(v5u,vi) (1) to come together/to merge/to unite/to meet/(2) to fit/to match/to suit/to agree with/to be correct/(3) to be profitable/to be equitable/(suf,v5u) (4) (after the -masu stem of a verb) to do ... to each other/to do ... together/(P)/
合う [おう] /(ik) (v5u,vi) (1) to come together/to merge/to unite/to meet/(2) to fit/to match/to suit/to agree with/to be correct/(3) to be profitable/to be equitable/(suf,v5u) (4) (after the -masu stem of a verb) to do ... to each other/to do ... together/
合かぎ [あいかぎ] /(n) pass key/duplicate key/master key/
合さる [あわさる] /(v5r,vi) to get together/to unite/
合す [あわす] /(v5s,vt) (1) to match (rhythm, speed, etc.)/(2) to join together/to unite/to combine/to add up/(3) to face/to be opposite (someone)/(4) to compare/to check with/(5) to cause to meet (e.g. an unpleasant fate)/(6) to place together/to connect/to overlap/(7) to mix/to combine/(8) to put blade to blade/to fight/
合す [がっす] /(v5s) to join together/to sum up/to combine/to unite/to mix/to agree with/
合する [がっする] /(vs-s) to join together/to sum up/to combine/to unite/to mix/to agree with/
合せて [あわせて] /(exp,adv) (1) in all/in total/collectively/(exp,conj) (2) in addition/besides/at the same time/
合せる [あわせる] /(v1,vt) (1) to match (rhythm, speed, etc.)/(2) to join together/to unite/to combine/to add up/(3) to face/to be opposite (someone)/(4) to compare/to check with/(5) to cause to meet (e.g. an unpleasant fate)/(6) to place together/to connect/to overlap/(7) to mix/to combine/(8) to put blade to blade/to fight/
合せ鏡 [あわせかがみ] /(n) opposite mirrors/
合せ持つ [あわせもつ] /(v5t,vt) to own (something) as well/to have two things (at the same time) (e.g. good and bad points)/
合せ酢 [あわせず] /(n) mixture of vinegar and some other flavouring (i.e. soy sauce, sugar, etc.)/
合せ目 [あわせめ] /(n) joint/seam/
合の子 [あいのこ] /(n) (derog) person of mixed parentage/crossbreed/Eurasian/mulatto/hybrid/
合の手 [あいのて] /(n) (1) interlude/(2) interjection/interruption/
合わさる [あわさる] /(v5r,vi) to get together/to unite/
合わす [あわす] /(v5s,vt) (1) to match (rhythm, speed, etc.)/(2) to join together/to unite/to combine/to add up/(3) to face/to be opposite (someone)/(4) to compare/to check with/(5) to cause to meet (e.g. an unpleasant fate)/(6) to place together/to connect/to overlap/(7) to mix/to combine/(8) to put blade to blade/to fight/(P)/
合わせ [あわせ] /(n,n-suf,pref) joint together/opposite/facing/
合わせて [あわせて] /(exp,adv) (1) in all/in total/collectively/(exp,conj) (2) in addition/besides/at the same time/
合わせる [あわせる] /(v1,vt) (1) to match (rhythm, speed, etc.)/(2) to join together/to unite/to combine/to add up/(3) to face/to be opposite (someone)/(4) to compare/to check with/(5) to cause to meet (e.g. an unpleasant fate)/(6) to place together/to connect/to overlap/(7) to mix/to combine/(8) to put blade to blade/to fight/(P)/
合わせる顔がない [あわせるかおがない] /(adj-i) too ashamed to meet/lit: to have no face to meet/
合わせ技 [あわせわざ] /(n) combination technique in Judo/
合わせ鏡 [あわせかがみ] /(n) opposite mirrors/
合わせ行なう [あわせおこなう] /(v5u) to carry on together/to do at the same time/
合わせ持つ [あわせもつ] /(v5t,vt) to own (something) as well/to have two things (at the same time) (e.g. good and bad points)/
合わせ酢 [あわせず] /(n) mixture of vinegar and some other flavouring (i.e. soy sauce, sugar, etc.)/
合わせ砥 [あわせど] /(n) double whetstone/
合わせ板 [あわせいた] /(n) veneer board/plywood/
合わせ物 [あわせもの] /(n) something joined together/
合わせ目 [あわせめ] /(n) joint/seam/
合わない答え [あわないこたえ] /(n) incorrect answer/
合コン [ごうコン] /(n,vs) (abbr) joint party (e.g. by students from several colleges)/combined party/mixer/two or more groups, esp. female and male students, combining for a party/
合意 [ごうい] /(n,vs,adj-no) agreement/consent/mutual understanding/accord/(P)/
合意覚書 [ごういおぼえがき] /(n) memorandum of agreement/memorandum of understanding/letter of intent/
合意情死 [ごういじょうし] /(n) double suicide/
合意心中 [ごういしんじゅう] /(n) double suicide/
合意年齢 [ごういねんれい] /(n) age of consent/
合一 [ごういつ] /(n,vs) unification/union/oneness/
合印 [あいいん] /(n) verification seal/tally/
合印 [あいじるし] /(n) comradeship badge/distinguishing mark/
合羽 [かっぱ] /(ateji) (n) raincoat (por: capa)/kappa/pluvial/
合羽 [カッパ] /(ateji) (n) raincoat (por: capa)/kappa/pluvial/
合縁奇縁 [あいえんきえん] /(n) a couple strangely but happily united/uncanny relationship formed by a quirk of fate/
合音 [ごうおん] /(n) long "o" vowel arising from combination of the "o" and "u" or "e" and "u" sounds/
合格 [ごうかく] /(n,vs) success/passing (e.g. exam)/eligibility/(P)/
合格祈願 [ごうかくきがん] /(n) prayer for school success/
合格者 [ごうかくしゃ] /(n) successful applicant/
合格者名 [ごうかくしゃめい] /(n) names of successful candidates/
合格点 [ごうかくてん] /(n) passing mark/qualifying marks (score)/
合格率 [ごうかくりつ] /(n) ratio of successful applicants/(examination) pass rate/
合鴨 [あいがも] /(n) cross between a mallard and domestic duck/
合巻 [ごうかん] /(n) type of picture book popular in the late Edo period/
合歓 [ごうかん] /(n,vs) enjoying pleasure together/
合歓 [ねむ] /(n) silk tree/
合歓の木 [ねむのき] /(n) Albizia julibrissin/silk tree/
合歓木 [ねむのき] /(n) silk tree/
合間 [あいま] /(n,adj-no) interval/break/pause/spare moment/(P)/
合間合間 [あいまあいま] /(n) between times/when there's a spare moment/
合気道 [あいきどう] /(n) (MA) aikido/
合気道家 [あいきどうか] /(n) aikido practitioner/
合議 [ごうぎ] /(n,vs) consultation/conference/(P)/
合議制 [ごうぎせい] /(n) parliamentary system/
合議制度 [ごうぎせいど] /(n) parliamentary system/
合議体 [ごうぎたい] /(n) collegiate body/collegial body/judicial panel/
合金 [ごうきん] /(n) alloy/(P)/
合駒 [あいごま] /(n,vs) piece placed to block opponent's check (shogi)/
合計 [ごうけい] /(n,vs) sum total/total amount/(P)/
合計カウンタ [ごうけいカウンタ] /(n) (comp) sum counter/
合計額 [ごうけいがく] /(n) total amount/aggregate sum/
合計機能 [ごうけいきのう] /(n) (comp) total function/
合計検査 [ごうけいけんさ] /(n) (comp) summation check/sum check/
合計数 [ごうけいすう] /(n) total number/
合計穿孔機 [ごうけいせんこうき] /(n) (comp) summary punch/
合計容量 [ごうけいようりょう] /(n) (comp) total capacity/
合決 [あいじゃくり] /(n) half lap joint between parallel boards/
合決り [あいじゃくり] /(n) half lap joint between parallel boards/
合憲 [ごうけん] /(n,adj-no) constitutionality/(P)/
合憲性 [ごうけんせい] /(n) constitutionality/
合憲的 [ごうけんてき] /(adj-na) constitutional/
合見積り [あいみつもり] /(n) competitive bids or bidding/
合鍵 [あいかぎ] /(n) pass key/duplicate key/master key/
合言葉 [あいことば] /(n) password/watchword/(P)/
合口 [あいくち] /(n) (1) chum/pal/(2) dagger/stiletto/(3) unbalanced record of wins between two wrestlers (sumo)/
合口音 [ごうこうおん] /(n) (1) (of Chinese) pronunciation of kanji with a medial between the initial consonant and center vowel/(2) (of Japanese) the long "o" vowel arising from combination of the "o" and "u" or "e" and "u" sounds/
合刻 [ごうこく] /(n,vs) (obsc) publication of two or more different books together as one/
合祭 [ごうさい] /(n,vs) enshrining together/
合剤 [ごうざい] /(n) medical compound/
合作 [がっさく] /(n,vs,adj-no) collaboration/joint work/(P)/
合冊 [がっさつ] /(n,vs) collection in one volume/
合冊 [ごうさつ] /(n,vs) collection in one volume/
合札 [あいふだ] /(n) check/tally/
合算 [がっさん] /(n,vs) adding up/totalling/totaling/
合資 [ごうし] /(n,vs) joint stocks/entering into partnership/
合資会社 [ごうしがいしゃ] /(n) limited partnership/
合字 [ごうじ] /(n) ligature/
合式 [ごうしき] /(n) formal/regular/valid/categorical/
合州国 [がっしゅうこく] /(iK) (n) (1) federal state/(2) (abbr) United States of America/
合衆国 [がっしゅうこく] /(n) (1) federal state/(2) (abbr) United States of America/
合従 [がっしょう] /(n,vs) alliance (esp. originally of the Six Kingdoms against the Qin dynasty)/
合従連衡 [がっしょうれんこう] /(n) alliance (of the Six Kingdoms against the Qin dynasty, and of individual Kingdoms with the Qin dynasty)/(tactic of) making & breaking alliances (to benefit oneself as the occasion demands)/resorting to alliances as a diplomatic expedient/
合宿 [がっしゅく] /(n,vs) lodging together/training camp/boarding house/(P)/
合宿形式 [がっしゅくけいしき] /(n,adj-no) residential/training-camp-style/boarding/
合宿所 [がっしゅくじょ] /(n) boardinghouse/
合唱 [がっしょう] /(n,vs,adj-no) chorus/singing in a chorus/(P)/
合唱曲 [がっしょうきょく] /(n) a chorus/
合唱隊 [がっしょうたい] /(n) chorus/choir/
合唱隊員 [がっしょうたいいん] /(n) choir member/
合唱隊長 [がっしょうたいちょう] /(n) choir leader/
合唱団 [がっしょうだん] /(n) chorus group/choir/(P)/
合掌 [がっしょう] /(n,vs) (1) pressing one's hands together in prayer/(2) "please" or "with respect" in Buddhist correspondence (i.e the veneration mudra)/(P)/
合掌造り [がっしょうづくり] /(n) structure with a sloping or rafter roof/
合掌捻り [がっしょうひねり] /(n) clasped-hand twist down (sumo)/
合掌礼拝 [がっしょうらいはい] /(n,vs) join one's hands in prayer/pray with (the palms of) one's hands together/
合図 [あいず] /(n,vs) sign/signal/(P)/
合性 [あいしょう] /(n) affinity/compatibility/
合成 [ごうせい] /(n,vs) synthesis/composition/synthetic/composite/mixed/combined/compound/(P)/
合成の誤謬 [ごうせいのごびゅう] /(n) fallacy of composition/
合成ゴム [ごうせいゴム] /(n) synthetic rubber/
合成モデリング変換 [ごうせいモデリングへんかん] /(n) (comp) composite modelling transformation/
合成音 [ごうせいおん] /(n) synthetic sound/
合成化学 [ごうせいかがく] /(n) synthetic chemistry/
合成化学工業 [ごうせいかがくこうぎょう] /(n) synthetic chemical industry/
合成加速度 [ごうせいかそくど] /(n) resultant acceleration/
合成形分類体系 [ごうせいがたぶんるいたいけい] /(n) (comp) synthetic classification system/
合成語 [ごうせいご] /(n) compound word/
合成酵素 [ごうせいこうそ] /(n) ligase/synthase/synthetase/
合成紙 [ごうせいし] /(n) synthetic paper/
合成写真 [ごうせいしゃしん] /(n,adj-no) composite or montage photograph/
合成者 [ごうせいしゃ] /(n) synthesist/
合成酒 [ごうせいしゅ] /(n) synthetic sake/
合成樹脂 [ごうせいじゅし] /(n) plastics/synthetic resins/
合成数 [ごうせいすう] /(n) composite number/composite quantity/
合成洗剤 [ごうせいせんざい] /(n) synthetic detergent/(P)/
合成繊維 [ごうせいせんい] /(n) synthetic fibre/synthetic fiber/(P)/
合成皮革 [ごうせいひかく] /(n) synthetic leather/artificial leather/leatherette/
合成物 [ごうせいぶつ] /(n) a compound/
合成宝石 [ごうせいほうせき] /(n) synthetic gems/
合成力 [ごうせいりょく] /(n) resultant force/
合切 [がっさい] /(n) all altogether/
合切袋 [がっさいぶくろ] /(n) traveling bag/travelling bag/
合接 [ごうせつ] /(n) conjunction/joint/
合戦 [かっせん] /(n) battle/engagement/(P)/
合繊 [ごうせん] /(n) (abbr) synthetic fiber/synthetic fibre/(P)/
合奏 [がっそう] /(n,vs) concert/ensemble/(P)/
合奏団 [がっそうだん] /(n) ensemble/
合奏調 [がっそうちょう] /(n) concert pitch/
合憎 [あいにく] /(iK) (adj-na,adv,n,adj-no) (uk) unfortunately/Sorry, but .../
合体 [がったい] /(n,vs) (1) union/coalescence/amalgamation/combination/alliance/annexation/incorporation/(2) copulation/penetration/
合致 [がっち] /(n,vs) agreement/concurrence/conformance/compliance/(P)/
合着 [あいぎ] /(n,adj-no) between-season wear/clothes worn in spring or autumn (fall)/
合著 [がっちょ] /(n) joint authorship/
合著 [ごうちょ] /(n) joint authorship/
合調 [ごうちょう] /(n) tuning (music)/
合釘 [あいくぎ] /(n) double-pointed nail/dowel/
合点 [がってん] /(n,vs) consent/assent/understanding/agreement/comprehension/grasp/
合点 [がてん] /(n,vs) consent/assent/understanding/agreement/comprehension/grasp/(P)/
合点が行く [がてんがいく] /(exp,v5k-s) to understand/to make out/
合同 [ごうどう] /(adj-na,n) combination/incorporation/union/amalgamation/fusion/congruence/(P)/
合同コンパ [ごうどうコンパ] /(n) joint party (e.g. by students from several colleges)/combined party/mixer/two or more groups, esp. female and male students, combining for a party/
合同委員会 [ごうどういいんかい] /(n) joint committee/
合同慰霊祭 [ごうどういれいさい] /(n) joint service for the war dead/
合同会議 [ごうどうかいぎ] /(n) joint session/
合同会合 [ごうどうかいごう] /(n) joint meeting/
合同会社 [ごうどうかいしゃ] /(n) limited company/company structure for small businesses, established in 2005 (GK)/
合同技術委員会 [ごうどうぎじゅついいんかい] /(n) joint technical committee/
合同軍 [ごうどうぐん] /(n) combined armies/
合同行為 [ごうどうこうい] /(n) (formal act of) agreement/
合同事業 [ごうどうじぎょう] /(n) joint undertaking/
合同労組 [ごうどうろうそ] /(n) joint labor union/joint labour union/
合板 [ごうはん] /(n) veneer board/plywood/joint publication/(P)/
合板 [ごうばん] /(n) veneer board/plywood/joint publication/(P)/
合否 [ごうひ] /(n) success or failure/result/(P)/
合皮 [ごうひ] /(n) (abbr) synthetic leather/
合評 [がっぴょう] /(n,vs) joint review/joint criticism/
合舞 [あいまい] /(n) dancing together in unison (in noh, kyogen, etc.)/
合服 [あいふく] /(n) between-season wear/spring and autumn clothing/spring and fall clothing/
合併 [がっぺい] /(n,vs) combination/union/amalgamation/consolidation/merger/coalition/fusion/annexation/affiliation/incorporation/(P)/
合併 [ごうへい] /(ok) (n,vs) combination/union/amalgamation/consolidation/merger/coalition/fusion/annexation/affiliation/incorporation/
合併会社 [がっぺいかいしゃ] /(n) combined company/merged company/
合併活動 [がっぺいかつどう] /(n) merger activity/
合併企業 [がっぺいきぎょう] /(n) merged company/
合併集合 [がっぺいしゅうごう] /(n) (math) union/
合併症 [がっぺいしょう] /(n) complications (in an illness)/(P)/
合併比率 [がっぺいひりつ] /(n) merger ratio/
合壁 [がっぺき] /(n) neighbor with just a wall between/neighbour with just a wall between/
合弁 [ごうべん] /(n,adj-no) joint management/pool/(P)/
合弁会社 [ごうべんがいしゃ] /(n) joint venture or concern/
合弁事業 [ごうべんじぎょう] /(n) joint venture/
合抱 [ごうほう] /(n) armful/
合方 [あいかた] /(n) (musical) accompaniment/
合法 [ごうほう] /(adj-na,n) legal/lawful/legality/(P)/
合法化 [ごうほうか] /(n,vs) legalization/legalisation/
合法性 [ごうほうせい] /(n) lawfulness/validity/
合法政府 [ごうほうせいふ] /(n) legitimate government/
合法鳥 [かっぽうどり] /(n) (obsc) cuckoo/
合法鳥 [がっぽうどり] /(n) (obsc) cuckoo/
合法的 [ごうほうてき] /(adj-na) legal/lawful/legitimate/law-abiding/in order/(P)/
合本 [がっぽん] /(n,vs) collection in one volume/
合名会社 [ごうめいがいしゃ] /(n) unlimited company/unlimited partnership/
合目的 [ごうもくてき] /(adj-na) purposive/appropriate/
合目的性 [ごうもくてきせい] /(n) appropriateness/finality (philosophy)/purposiveness/
合理 [ごうり] /(n) rational/(P)/
合理化 [ごうりか] /(n,vs) rationalization/rationalisation/rationalize/rationalise/(P)/
合理主義 [ごうりしゅぎ] /(n) rationalism/
合理主義者 [ごうりしゅぎしゃ] /(n) pragmatist/
合理主義哲学 [ごうりしゅぎてつがく] /(n) rationalistic philosophy/
合理性 [ごうりせい] /(n) rationality/reasonableness/
合理性検査 [ごうりせいけんさ] /(n) (comp) reasonableness check/
合理的 [ごうりてき] /(adj-na) rational/reasonable/logical/(P)/
合理的期待仮説 [ごうりてききたいかせつ] /(n) rational expectations hypothesis/
合理的期待形成仮説 [ごうりてききたいけいせいかせつ] /(n) rational expectations hypothesis/
合理的疑いを越えて [ごうりてきうたがいをこえて] /(exp) beyond reasonable doubt/
合理論 [ごうりろん] /(n) rationalism/
合流 [ごうりゅう] /(n,vs,adj-no) confluence/union/linking up/merge/recombining/
合流渠 [ごうりゅうきょ] /(n) combined sewer/
合力 [こうりょく] /(n,vs) (1) assistance/help/(2) donation/alms/almsgiving/
合力 [ごうりき] /(n,vs) (1) assistance/help/(2) donation/alms/almsgiving/
合力 [ごうりょく] /(n,vs) (1) resultant force/(2) assistance/help/(3) donation/alms/almsgiving/(P)/
合氣道 [あいきどう] /(oK) (n) (MA) aikido/
合祀 [ごうし] /(n,vs) enshrining together/
合衾 [ごうきん] /(n,vs) sleeping together/
壕 [ごう] /(n) (1) trench/dugout/(underground) shelter/(2) moat/fosse/(P)/
壕 [ほり] /(n) moat/canal/
拷器 [ごうき] /(n) (arch) instruments of torture/
拷訊 [ごうじん] /(n) (obsc) torture/
拷責 [ごうせき] /(n) (obsc) torture/
拷問 [ごうもん] /(n,vs,adj-no) torture/the rack/third degree/(P)/
拷問禁止条約 [ごうもんきんしじょうやく] /(n) United Nations Convention Against Torture (1987)/
拷問具 [ごうもんぐ] /(n) instrument(s) of torture/
拷問台 [ごうもんだい] /(n) the rack/
拷問等禁止条約 [ごうもんとうきんしじょうやく] /(n) Convention against Torture and Other Cruel, Inhuman or Degrading Treatment or Punishment/
濠 [ごう] /(n) (1) trench/dugout/(underground) shelter/(2) moat/fosse/
濠 [ほり] /(n) moat/canal/
濠州 [ごうしゅう] /(n,adj-no) Australia/
濠洲 [ごうしゅう] /(n,adj-no) Australia/
濠太剌利 [おーすとらりあ] /(n) (uk) Australia/
濠日 [ごうにち] /(n) Australia-Japan/
豪 [えら] /(pref) tremendous/huge/
豪 [ごう] /(n,adj-f) strong/hard/manly/
豪い [えらい] /(adj-i) (1) great/excellent/admirable/remarkable/distinguished/important/celebrated/famous/eminent/(2) (uk) awful/terrible/
豪の者 [ごうのもの] /(n) past master/veteran/
豪ドル [ごうドル] /(n) Australian dollar/
豪飲 [ごういん] /(n) drinking/carousing/
豪雨 [ごうう] /(n) heavy rain/cloudburst/downpour/(P)/
豪雨禍 [ごううか] /(n) flood devastation/
豪家 [ごうか] /(n) wealthy and powerful family/
豪華 [ごうか] /(adj-na,n) wonderful/gorgeous/splendor/splendour/pomp/extravagance/(P)/
豪華絢爛 [ごうかけんらん] /(adj-na,adj-no,adj-t,adv-to) luxurious and gorgeous/
豪華船 [ごうかせん] /(n) luxury liner/
豪華版 [ごうかばん] /(n) deluxe edition/
豪快 [ごうかい] /(adj-na,n) hearty/exciting/stirring/lively/heroic/largehearted/splendid/(P)/
豪快奔放 [ごうかいほんぽう] /(n,adj-na) big-hearted and free-spirited/daring and uninhibited/
豪毅 [ごうき] /(adj-na,n) fortitude/firmness of character/hardihood/manliness/
豪気 [ごうき] /(adj-na,n) sturdy spirit/
豪気 [ごうぎ] /(adj-na,adj-no) (1) great/grand/(2) obstinate/stubborn/
豪儀 [ごうぎ] /(adj-na,adj-no) (1) great/grand/(2) obstinate/stubborn/
豪球 [ごうきゅう] /(n) fastball/
豪傑 [ごうけつ] /(n) hero/great man/(P)/
豪傑笑い [ごうけつわらい] /(n,vs) loud laugh/
豪健 [ごうけん] /(adj-na,n) (arch) strong and full of vigour/
豪語 [ごうご] /(n,vs) boasting/bombast/
豪州 [ごうしゅう] /(n,adj-no) Australia/
豪商 [ごうしょう] /(n) wealthy merchant/
豪商層 [ごうしょうそう] /(n) wealthy merchant class/
豪勢 [ごうせい] /(adj-na,n) luxury/magnificence/extravagance/
豪盛 [ごうせい] /(adj-na,n) luxury/magnificence/extravagance/
豪雪 [ごうせつ] /(n) tremendous snowfall/
豪雪地帯 [ごうせつちたい] /(n) area of heavy snowfall/
豪然 [ごうぜん] /(adj-t,adv-to) full of strength/haughty/pompous/
豪壮 [ごうそう] /(adj-na,n) splendour/splendor/magnificence/grandeur/
豪爽 [ごうそう] /(adj-na,n) fine disposition/
豪族 [ごうぞく] /(n) powerful family (clan)/(P)/
豪太剌利 [おーすとらりあ] /(n) (uk) Australia/
豪胆 [ごうたん] /(adj-na,n) boldness/hardihood/courage/valour/valor/
豪猪 [やまあらし] /(n) (uk) porcupine (any mammal of suborder Hystricomorpha)/
豪邸 [ごうてい] /(n) palatial residence/stately mansion/
豪的 [ごうてき] /(n,adj-na) (arch) great/grand/
豪日 [ごうにち] /(n) Australia-Japan/
豪農 [ごうのう] /(n) wealthy farmer/
豪腹 [ごうふく] /(adj-na,n) obstinacy/stubbornness/
豪物 [えらぶつ] /(n) talented person/great man/great woman/
豪物 [えらもの] /(n) talented person/great man/great woman/
豪放 [ごうほう] /(adj-na,n) largehearted/frank/unaffected/
豪放粗野 [ごうほうそや] /(n,adj-na) bold and boorish/
豪放磊落 [ごうほうらいらく] /(adj-na,n) broadminded/
豪勇 [ごうゆう] /(adj-na,n,adj-no) bravery/prowess/
豪遊 [ごうゆう] /(n,vs) wild merrymaking/
豪腕 [ごうわん] /(n) strong arm/stout arm/
豪奢 [ごうしゃ] /(adj-na,n) luxury/magnificence/extravagance/
豪邁 [ごうまい] /(adj-na,n) intrepidity/indomitableness/
轟々 [ごうごう] /(adj-na,n) (1) (uk) thunderous/rumbling/(adv-to) (2) thunderously/rumblingly/
轟々 [とどろとどろ] /(adv-to) (1) thunderously/rumblingly/
轟かす [とどろかす] /(v5s,vt) to make a thundering sound/to make roar/
轟き [とどろき] /(n) (1) roar/peal/rumble/booming/(2) beating/pounding/throbbing/
轟く [とどろく] /(v5k,vi) (1) to roar/(2) to be well-known/to be famous/(3) to palpitate/to throb/
轟音 [ごうおん] /(n) thunderous roar/roaring sound/
轟轟 [ごうごう] /(adj-na,n) (1) (uk) thunderous/rumbling/(adv-to) (2) thunderously/rumblingly/
轟轟 [とどろとどろ] /(adv-to) (1) thunderously/rumblingly/
轟然 [ごうぜん] /(n,adj-t,adv-to) roaring/
轟沈 [ごうちん] /(n,vs) sinking a ship instantly/
麹 [こうじ] /(n) mould grown on rice, etc. as a starter to make sake (mold)/(P)/
麹菌 [こうじきん] /(n) yeast plant/yeast cell/
麹黴 [こうじかび] /(n) yeast plant/yeast cell/
克く [よく] /(adv) (1) (uk) nicely/properly/well/skillfully/(2) frequently/often/
克つ [かつ] /(v5t,vi) to win/to gain victory/
克鯨 [こくくじら] /(n) (uk) gray whale (Eschrichtius robutus)/
克己 [こっき] /(n,vs,adj-no) self denial/self control/(P)/
克己心 [こっきしん] /(n) spirit of self-denial/
克己精進 [こっきしょうじん] /(n,vs) self-control and close application/self-denial and diligent devotion/
克己復礼 [こっきふくれい] /(n,vs) exercising self-restraint and conforming to the rules of etiquette and formality/
克復 [こくふく] /(n,vs) restoration/
克服 [こくふく] /(n,vs) subjugation/conquest/victory/(P)/
克明 [こくめい] /(adj-na,n) detailed/elaborate/faithfulness/diligence/conscientiousness/(P)/
刻 [きざ] /(n) scratch/
刻 [こく] /(n) (1) archaic period of time (usu. a period of approx. two hours corresponding to one of the signs of the Chinese zodiac)/(2) carving/engraving/cutting/mincing/(3) strictness/cruelty/(P)/
刻々 [こくこく] /(adv,adv-to) moment by moment/hour by hour/
刻々 [こっこく] /(adv,adv-to) moment by moment/hour by hour/(P)/
刻々に [こっこくに] /(adv) moment by moment/hour by hour/
刻する [こくする] /(vs-s,vt) (1) (arch) to carve/to engrave/(2) to publish/to author/
刻み [きざみ] /(n) shredded tobacco/notch/nick/(P)/
刻みたばこ [きざみたばこ] /(n) shredded tobacco/pipe tobacco/
刻みつける [きざみつける] /(v1,vt) to engrave/to carve out/
刻みに [きざみに] /(exp) in steps of/in units of/calculated by/
刻みタバコ [きざみタバコ] /(n) shredded tobacco/pipe tobacco/
刻み煙草 [きざみたばこ] /(n) shredded tobacco/
刻み込む [きざみこむ] /(v5m,vt) to etch (name, etc.)/to carve (design)/
刻み出す [きざみだす] /(v5s) to carve out/
刻み足 [きざみあし] /(n) mincing steps/
刻み値 [きざみち] /(n) increment/step value/
刻み付ける [きざみつける] /(v1,vt) to engrave/to carve out/
刻み幅 [きざみはば] /(n) (comp) stride/
刻み目 [きざみめ] /(n) notch/nick/marks on a ruler/
刻む [きざむ] /(v5m,vt) (1) to mince/to cut fine/to chop up/to hash/(2) to carve/to engrave/to chisel/to notch/(3) to tick away (time)/to record the passing moments/(4) to etch (into one's mind)/to remember distinctly/(5) (arch) to have tattooed/(6) (arch) to torment/(P)/
刻一刻 [こくいっこく] /(adv) moment by moment/hour by hour/(P)/
刻一刻と [こくいっこくと] /(exp) moment by moment/hour by hour/(P)/
刻印 [こくいん] /(n,vs) carved seal/
刻下 [こっか] /(n-adv,n-t) the present/
刻苦 [こっく] /(n,vs) hard work/
刻苦精進 [こっくしょうじん] /(n,vs) being arduous/working diligently enduring hardships/making a strenuous effort/
刻苦精励 [こっくせいれい] /(n,vs) being arduous/working diligently enduring hardships/making a strenuous effort/
刻苦勉励 [こっくべんれい] /(n,vs) being arduous/working diligently enduring hardships/
刻限 [こくげん] /(n) time/appointed time/
刻刻 [こくこく] /(adv,adv-to) moment by moment/hour by hour/
刻刻 [こっこく] /(adv,adv-to) moment by moment/hour by hour/
刻刻に [こっこくに] /(adv) moment by moment/hour by hour/
刻字 [こくじ] /(n) carving characters/carved characters/
刻時トラック [こくじトラック] /(n) (comp) clock track/
刻時パルス [こくじパルス] /(n) (comp) clock signal/clock pulse/
刻時機構 [こくじきこう] /(n) (comp) clock/
刻時信号 [こくじしんごう] /(n) (comp) clock signal/clock pulse/
刻足 [きざみあし] /(n) mincing steps/
刻薄 [こくはく] /(adj-na,n) cruel/inhumane/
刻本 [こくほん] /(n) wood-block book/
告げる [つげる] /(v1,vt) to inform/to tell/to ring (bell, alarm, warning, etc.)/(P)/
告げ口 [つげぐち] /(n,vs) tell-tale/
告る [こくる] /(v5r,vt) (sl) to confess (one's love)/to propose (marriage)/to ask out (on a date)/
告解 [こっかい] /(n) confession/
告解師 [こっかいし] /(n) (obsc) confessor/
告口 [つげぐち] /(io) (n,vs) tell-tale/
告朔 [こうさく] /(n) (arch) ceremony where the Emperor would inspect the records of attendance and absence of officials/
告示 [こくじ] /(n,vs) notice/bulletin/(P)/
告示板 [こくじばん] /(n) bulletin board/
告辞 [こくじ] /(n) farewell address/
告訴 [こくそ] /(n,vs,adj-no) accusation/complaint/charge/legal action/(P)/
告訴人 [こくそにん] /(n) complainant/plaintiff/
告達 [こくたつ] /(n,vs) notification/
告知 [こくち] /(n,vs) notice/announcement/(P)/
告知板 [こくちばん] /(n) bulletin board/
告天子 [こうてんし] /(n) (1) skylark (Alauda arvensis)/(2) Mongolian lark (Melanocorypha mongolica)/
告天子 [こくてんし] /(n) (1) skylark (Alauda arvensis)/
告天子 [ひばり] /(n) (1) skylark (Alauda arvensis)/
告白 [こくはく] /(n,vs,adj-no) (1) confession/acknowledgement/acknowledgment/(2) profession of love/(3) confession of sins (e.g. the confessional)/(P)/
告発 [こくはつ] /(n,vs) indictment/prosecution/complaint/(P)/
告発者 [こくはつしゃ] /(n) complainant/plaintiff/
告発状 [こくはつじょう] /(n) bill of indictment/
告文 [こうもん] /(n) written report to the gods/imperial edict/written appeal to a superior/
告文 [こくぶん] /(n) written report to the gods/imperial edict/written appeal to a superior/
告別 [こくべつ] /(n,vs) farewell/leave-taking/(P)/
告別の辞 [こくべつのじ] /(n) parting (farewell) address/
告別ミサ [こくべつミサ] /(n) funeral mass/
告別式 [こくべつしき] /(n) funeral (service)/
告諭 [こくゆ] /(n,vs) official notice/
国 [くに] /(n) (1) country/(the) state/(2) region/(3) (obs) province (of Japan)/(4) home (i.e. hometown, home country)/(5) (arch) land/earth/(P)/
国々 [くにぐに] /(n) countries/(P)/
国つ [くにつ] /(adj-f) (arch) of the land/
国つ神 [くにつかみ] /(n) gods of the land/earthly deities/
国づくり [くにづくり] /(n) nation building/
国の栄え [くにのさかえ] /(n) prosperity of a country/
国の本 [くにのもと] /(n) national principles/foundation of the country/
国の誉れ [くにのほまれ] /(n) national glory/
国を治める [くにをおさめる] /(exp,v1) to manage a state/to govern a country/
国を売る [くにをうる] /(exp,v5r) to betray one's country (to an enemy)/
国コード [くにコード] /(n) (comp) country code/
国威 [こくい] /(n) national prestige/
国威発揚 [こくいはつよう] /(n) enhancing national prestige/expanding national influence/
国運 [こくうん] /(n) national fortunes or destiny/
国営 [こくえい] /(n,adj-no) state management/(P)/
国営テレビ局 [こくえいテレビきょく] /(n) state-run television station/
国営化 [こくえいか] /(n,vs) nationalization/nationalisation/
国営企業 [こくえいきぎょう] /(n) state-run business/
国営通信 [こくえいつうしん] /(n) government news/state-run news/
国営農場 [こくえいのうじょう] /(n) state-run farm/
国益 [こくえき] /(n) national interest/(P)/
国王 [こくおう] /(n,adj-no) king/(P)/
国王陛下 [こくおうへいか] /(exp) His Majesty the King/
国恩 [こくおん] /(n) one's debt to one's country/
国家 [こっか] /(n) state/country/nation/(P)/
国家の柱石 [こっかのちゅうせき] /(n) pillar of state/
国家をあげて [こっかをあげて] /(exp) as a nation/with the whole country/
国家を挙げて [こっかをあげて] /(exp) as a nation/with the whole country/
国家テロ [こっかテロ] /(n) state (sponsored) terrorism/
国家威信 [こっかいしん] /(n) national pride/national prestige/
国家間 [こっかかん] /(adj-no) cross-national/
国家基幹技術 [こっかきかんぎじゅつ] /(n) National Critical Technology/
国家経済 [こっかけいざい] /(n) the national economy/
国家権力 [こっかけんりょく] /(n) power of the state/
国家元首 [こっかげんしゅ] /(n) head of a state/
国家元首夫人 [こっかげんしゅふじん] /(n) first lady/
国家公安委員会 [こっかこうあんいいんかい] /(n) National Public Safety Commission/
国家公安委員会委員長 [こっかこうあんいいんかいいいんちょう] /(n) National Public Safety Commission Chairman/
国家公安委員長 [こっかこうあんいいんちょう] /(n) (abbr) National Public Safety Commission Chairman/
国家公務員 [こっかこうむいん] /(n) government official/(P)/
国家公務員法 [こっかこうむいんほう] /(n) (Japanese) National Civil Service Law (1947)/
国家行政組織法 [こっかぎょうせいそしきほう] /(n) National Government Organization Law (1948)/
国家財政 [こっかざいせい] /(n) national finance/central government finance/
国家試験 [こっかしけん] /(n) state examination/(P)/
国家社会主義 [こっかしゃかいしゅぎ] /(n) (1) state socialism/(2) national socialism/
国家主義 [こっかしゅぎ] /(n,adj-no) nationalism/statism/
国家主義者 [こっかしゅぎしゃ] /(n) a nationalist/
国家主権 [こっかしゅけん] /(n) state sovereignty/national sovereignty/
国家主席 [こっかしゅせき] /(n) head of state/
国家神道 [こっかしんとう] /(n) State Shinto/
国家総動員法 [こっかそうどういんほう] /(n) National Mobilization Law (1938)/
国家存亡 [こっかそんぼう] /(n) the fate of a nation/life-or-death (situation) for a nation/national crisis/
国家多事 [こっかたじ] /(n,adj-no) eventful times for the nation/the nation being in turmoil/the storm clouds gathering in the land/
国家体制 [こっかたいせい] /(n) national polity/
国家地方警察 [こっかちほうけいさつ] /(n) national rural police (established in 1947, abolished in 1954)/
国家的 [こっかてき] /(adj-na) national/
国家転覆 [こっかてんぷく] /(n) subversion (of the state)/
国家統制主義 [こっかとうせいしゅぎ] /(n) statism/
国家独占 [こっかどくせん] /(n) state monopoly/
国家賠償 [こっかばいしょう] /(n) state reparations/
国家百年の計 [こっかひゃくねんのけい] /(n) permanent national policy/
国家補償 [こっかほしょう] /(n) state reparations/
国家予算 [こっかよさん] /(n) national budget/
国家連合 [こっかれんごう] /(n) federation of states/confederation of nations/
国歌 [こっか] /(n) national anthem/(P)/
国花 [こっか] /(n) national flower/
国華 [こっか] /(n) national pride/
国会 [こっかい] /(n,adj-no) (abbr) National Diet/parliament/congress/(P)/
国会議員 [こっかいぎいん] /(n) member of National Diet/Diet member/(P)/
国会議事堂 [こっかいぎじどう] /(n) national parliament or congress building (e.g. National Diet (Japan), Capitol Hill (US), Houses of Parliament (UK), etc.)/(P)/
国会議事録 [こっかいぎじろく] /(n) Diet Record/
国会図書館 [こっかいとしょかん] /(n) National Diet Library/Library of Congress/
国会対策委員会 [こっかいたいさくいいんかい] /(n) committee of the National Diet/
国会答弁 [こっかいとうべん] /(n) answers in the Diet/
国界 [くにざかい] /(n,adj-no) national border/provincial border/
国界 [こっかい] /(ok) (n,adj-no) national border/provincial border/
国界 [こっきょう] /(n,adj-no) national border/provincial border/
国外 [こくがい] /(n) outside the country/(P)/
国外脱出 [こくがいだっしゅつ] /(n,vs) to flee abroad/
国外追放 [こくがいついほう] /(n) deportation/
国学 [こくがく] /(n) (1) study of (ancient) Japanese literature and culture/(2) (arch) provincial school (under Japan's ritsuryo system and pre-Sui Chinese law)/(P)/
国学者 [こくがくしゃ] /(n) scholar of (ancient) Japanese literature and culture/
国漢 [こっかん] /(n) Japanese and Chinese literature/
国旗 [こっき] /(n) national flag/(P)/
国旗を掲げる [こっきをかかげる] /(exp,v1) to hoist the national flag/
国技 [こくぎ] /(n) national sport (e.g. sumo)/(P)/
国技館 [こくぎかん] /(n) hall of sumo in Tokyo/
国許 [くにもと] /(n) hometown/native place/
国境 [くにざかい] /(n,adj-no) national border/provincial border/
国境 [こっきょう] /(n,adj-no) national border/provincial border/(P)/
国境を固める [こっきょうをかためる] /(exp,v1) to fortify the frontier/
国境を侵す [こっきょうをおかす] /(exp,v5s) to violate the border/to invade the frontier district/
国境越え [こっきょうごえ] /(n,adj-no) cross-border/
国境警備 [こっきょうけいび] /(n) border security/
国境警備隊 [こっきょうけいびたい] /(n) border patrol/border guard/border guards/
国境警備兵 [こっきょうけいびへい] /(n) border guard/
国境線 [こっきょうせん] /(n) border/
国境地帯 [くにざかいちたい] /(n) border zone/
国境紛争 [こっきょうふんそう] /(n) international border dispute/
国教 [こっきょう] /(n,adj-no) state religion/
国禁 [こっきん] /(n) state prohibition/
国緊隊 [こくきんたい] /(n) (abbr) Japan International Cooperation Agency/JICA/
国訓 [こっくん] /(n) Japanese reading of a kanji (sometimes esp. in ref. to readings that do not correspond to the orig. Chinese meaning of the kanji)/
国軍 [こくぐん] /(n) national armed forces/(P)/
国郡里制 [こくぐんりせい] /(n) province-district-neighbourhood system (system of administrative divisions under the ritsuryo; 1 neighbourhood=~50 homes, 1 district=2-20 neighbourhoods)/
国慶 [こっけい] /(n) National day (of China)/
国慶節 [こっけいせつ] /(n) anniversary of founding (of PRC)/national celebration time/(P)/
国系 [こっけい] /(suf) country of origin/ethnicity/
国警 [こっけい] /(n) (abbr) national rural police/
国憲 [こっけん] /(n) national constitution/
国憲法 [こっけんぽう] /(n) national constitution/
国権 [こっけん] /(n) power of the state/national sovereignty/sovereign rights/(P)/
国元 [くにもと] /(n) hometown/native place/
国原 [くにばら] /(n) spacious country/
国言葉 [くにことば] /(n) national language/local dialect/
国庫 [こっこ] /(n,adj-no) national treasury/(P)/
国庫に納まった金 [こっこにおさまったかね] /(n) money paid to the (National) Treasury/
国庫債権 [こっこさいけん] /(n) treasury bond/
国庫補助 [こっこほじょ] /(n) government subsidy/state aid/state assistance/
国語 [こくご] /(n) (1) Japanese (language)/(2) national language/(3) native Japanese words (as opposed to loanwords)/(P)/
国語科 [こくごか] /(n) Japanese language (as a school subject)/
国語学 [こくごがく] /(n) Japanese philology (linguistics)/
国語辞典 [こくごじてん] /(n) Japanese-language dictionary/(P)/
国語審議会 [こくごしんぎかい] /(n) Japanese Language Council/
国交 [こっこう] /(n) diplomatic relations/(P)/
国交を結ぶ [こっこうをむすぶ] /(exp,v5b) to enter into diplomatic relations/
国交省 [こっこうしょう] /(n) (abbr) Ministry of Land, Infrastructure, Transport and Tourism/
国交相 [こっこうしょう] /(n) (abbr) Minister of Land, Infrastructure and Transportation/
国光 [こっこう] /(n) national glory/variety of apple/
国構え [くにがまえ] /(n) kanji "country" radical/
国号 [こくごう] /(n) name of a country/
国国 [くにぐに] /(n) countries/
国債 [こくさい] /(n) national debt/national securities/government bonds/government securities/(P)/
国債先物 [こくさいさきもの] /(n) government bond futures/
国債発行 [こくさいはっこう] /(n) government bond issuance/
国際 [こくさい] /(n,adj-no) international/(P)/
国際カルテル [こくさいカルテル] /(n) international cartel/
国際ギデオン協会 [こくさいギデオンきょうかい] /(n) Gideons International (bible-in-the-hotel people)/
国際テロ [こくさいテロ] /(n) international terrorism/
国際ローミング [こくさいローミング] /(n) global roaming (mobile telephone)/international roaming/
国際宇宙ステーション [こくさいうちゅうステーション] /(n) International Space Station/
国際援助機関 [こくさいえんじょきかん] /(n) international aid organization (organisation)/
国際化 [こくさいか] /(n,vs) internationalization/internationalisation/i18n (in IT)/(P)/
国際会議 [こくさいかいぎ] /(n) international conference/
国際海事機関 [こくさいかいじきかん] /(n) International Maritime Organization (Organisation)/IMO/
国際感覚 [こくさいかんかく] /(n) cosmopolitan (international) way of thinking/feeling for the wider world/
国際監視団 [こくさいかんしだん] /(n) international monitoring team/IMT/international observers/
国際関係 [こくさいかんけい] /(n) international relations/
国際機械翻訳協会 [こくさいきかいほんやくきょうかい] /(n) International Association for Machine Translation/IAMT/
国際機関 [こくさいきかん] /(n) international organization/international organisation/
国際機構 [こくさいきこう] /(n) international organization/
国際規格 [こくさいきかく] /(n) international standard/
国際規模 [こくさいきぼ] /(n) international scale/
国際技能競技大会 [こくさいぎのうきょうぎたいかい] /(n) WorldSkills Competition/
国際競争 [こくさいきょうそう] /(n) global competition/
国際競争力 [こくさいきょうそうちから] /(n) international competitiveness/
国際共同体 [こくさいきょうどうたい] /(n) international community/
国際協調 [こくさいきょうちょう] /(n) international cooperation/international harmony/
国際協調主義 [こくさいきょうちょうしゅぎ] /(n) principle (or ideology) of international cooperation/
国際協定 [こくさいきょうてい] /(n) international agreement/accord/
国際協力 [こくさいきょうりょく] /(n) international cooperation/
国際協力事業団 [こくさいきょうりょくじぎょうだん] /(n) Japan International Cooperation Agency (1974)/JICA/(P)/
国際業務 [こくさいぎょうむ] /(n) international service/international affairs/
国際緊急援助隊 [こくさいきんきゅうえんじょたい] /(n) international disaster relief team/international emergency aid unit/
国際緊張 [こくさいきんちょう] /(n) international tension/international tensions/
国際金融 [こくさいきんゆう] /(n) international finance/
国際金融市場 [こくさいきんゆうしじょう] /(n) international financial market/
国際空港 [こくさいくうこう] /(n) international airport/
国際軍事裁判 [こくさいぐんじさいばん] /(n) international military tribunal/
国際刑事裁判所 [こくさいけいじさいばんしょ] /(n) International Criminal Court/ICC/
国際刑事法 [こくさいけいじほう] /(n) international criminal law/
国際契約 [こくさいけいやく] /(n) international contract (agreement)/
国際警察 [こくさいけいさつ] /(n) international police/
国際警察協会 [こくさいけいさつきょうかい] /(n) International Police Association/IPA/
国際決済銀行 [こくさいけっさいぎんこう] /(n) Bank for International Settlements/BIS/
国際結婚 [こくさいけっこん] /(n) international marriage/
国際見本市 [こくさいみほんいち] /(n) international trade fair/
国際原子力機関 [こくさいげんしりょくきかん] /(n) International Atomic Energy Agency/IAEA/
国際原子力事象評価尺度 [こくさいげんしりょくじしょうひょうかしゃくど] /(n) International Nuclear Event Scale/INES/
国際語 [こくさいご] /(n) an international or universal language/
国際交流 [こくさいこうりゅう] /(n) international exchange/
国際交流基金 [こくさいこうりゅうききん] /(n) Japan Foundation/
国際公法 [こくさいこうほう] /(n) public international law/
国際裁判管轄 [こくさいさいばんかんかつ] /(n) international jurisdiction/
国際司法裁判所 [こくさいしほうさいばんしょ] /(n) International Court of Justice/ICJ/
国際市場 [こくさいしじょう] /(n) international market/
国際指標 [こくさいしひょう] /(n) international index/
国際私法 [こくさいしほう] /(n) private international law/the conflict of laws/
国際社会 [こくさいしゃかい] /(n) international community/international society/the world/
国際主義 [こくさいしゅぎ] /(n) internationalism/
国際収支 [こくさいしゅうし] /(n) international balance of payments/
国際柔道連盟 [こくさいじゅうどうれんめい] /(n) International Judo Federation/IJF/
国際書誌 [こくさいしょし] /(n) international bibliography/
国際照明委員会 [こくさいしょうめいいいんかい] /(n) (comp) Commission Internationale de I'Eclairage/CIE/
国際場裡 [こくさいじょうり] /(n) the international arena/
国際情勢 [こくさいじょうせい] /(n) international situation/
国際条約 [こくさいじょうやく] /(n) international treaty/
国際色 [こくさいしょく] /(n) international character/
国際親善 [こくさいしんぜん] /(n) international goodwill/
国際人 [こくさいじん] /(n) international celebrity/cosmopolitan/citizen of the world/(P)/
国際人権規約 [こくさいじんけんきやく] /(n) (1) International Covenants on Human Rights/ICCPR/(2) International Covenant on Economic, Social and Cultural Rights/ICESCR/
国際人道法 [こくさいじんどうほう] /(n) international humanitarian law/IHL/
国際数学オリンピック [こくさいすうがくオリンピック] /(n) International Mathematical Olympiad/
国際政治 [こくさいせいじ] /(n) international politics/world politics/
国際政治学 [こくさいせいじがく] /(n) international politics (as a field of study)/
国際政治経済 [こくさいせいじけいざい] /(n) international political economy/
国際線 [こくさいせん] /(n) international air route/
国際組織 [こくさいそしき] /(n) international organization/international organisation/
国際相撲連盟 [こくさいすもうれんめい] /(n) International Sumo Federation/highest body of amateur sumo/
国際逮捕状 [こくさいたいほじょう] /(n) international arrest warrant/
国際単位系 [こくさいたんいけい] /(n) (comp) Systee Internationale d'Unites/
国際逐次刊行物データシステム [こくさいちくじかんこうぶつデータシステム] /(n) (comp) International Serials Data System/ISDS/
国際秩序 [こくさいちつじょ] /(n) international order/
国際通貨 [こくさいつうか] /(n) an international currency/
国際通貨基金 [こくさいつうかききん] /(n) International Monetary Fund/IMF/
国際通話 [こくさいつうわ] /(n) (comp) international call/
国際的 [こくさいてき] /(adj-na) international/(P)/
国際的取引き [こくさいてきとりひき] /(n) international trade/
国際的貿易 [こくさいてきぼうえき] /(n) international trade/
国際展開 [こくさいてんかい] /(n) international expansion/
国際電気通信連合 [こくさいでんきつうしんれんごう] /(n) International Telecommunication Union/ITU/
国際電気通信連合電気通信標準化セクタ [こくさいでんきつうしんれんごうでんきつうしんひょうじゅんかセクタ] /(n) (comp) International Telecommunications Union - Telecommunication Standardization Sector (formerly CCITT)/ITU-TS/
国際電気標準会議 [こくさいでんきひょうじゅんかいぎ] /(n) (comp) International Electrotechnical Commission/IEC/
国際電信電話 [こくさいでんしんでんわ] /(n) KDD/Japanese international telecommunications company/(P)/
国際電信電話諮問委員会 [こくさいでんしんでんわしもんいいんかい] /(n) International Telegraph and Telephone Consultative Committee/CCITT/
国際電話 [こくさいでんわ] /(n) international phone call/
国際都市 [こくさいとし] /(n) cosmopolitan city/
国際博覧会 [こくさいはくらんかい] /(n) world exposition/international exposition/world fair/
国際犯罪 [こくさいはんざい] /(n) international crime/
国際標準化 [こくさいひょうじゅんか] /(n) (comp) international standardization/
国際標準化機構 [こくさいひょうじゅんかきこう] /(n) (comp) International Organization for Standardization/ISO/
国際標準図書番号 [こくさいひょうじゅんとしょばんごう] /(n) International Standard Book Number/ISBN/
国際標準逐次刊行物番号 [こくさいひょうじゅんちくじかんこうぶつばんごう] /(n) (comp) International Standard Serial Number/ISSN/
国際符号化文字集合 [こくさいふごうかもじしゅうごう] /(n) (comp) Universal Character Set/UCS/
国際紛争 [こくさいふんそう] /(n) international dispute/
国際平和活動 [こくさいへいわかつどう] /(n) international peace activity/
国際平和協力 [こくさいへいわきょうりょく] /(n) international peace cooperation/
国際返信切手券 [こくさいへんしんきってけん] /(n) international reply-paid coupon/
国際保護動物 [こくさいほごどうぶつ] /(n) internationally protected animal/
国際捕鯨委員会 [こくさいほげいいいんかい] /(n) International Whaling Commission/IWC/
国際放射線防護委員会 [こくさいほうしゃせんぼうごいいんかい] /(n) International Commission on Radiological Protection/ICRP/
国際放送 [こくさいほうそう] /(n) international broadcast(ing)/
国際法 [こくさいほう] /(n) international laws/(P)/
国際貿易 [こくさいぼうえき] /(n) international trade/international trading/
国際無線通信諮問委員会 [こくさいむせんつうしんしもんいいんかい] /(n) (comp) Comite Consultatif International des Radiocommunications/CCIR/
国際問題 [こくさいもんだい] /(n) international problem/
国際郵便 [こくさいゆうびん] /(n) international mail/overseas mail/
国際陸上競技連盟 [こくさいりくじょうきょうぎれんめい] /(n) International Association of Athletics Federations/IAAF/
国際流動性 [こくさいりゅうどうせい] /(n) international liquidity/
国際力学 [こくさいりきがく] /(n) dynamics of international (foreign) relations/
国際連合 [こくさいれんごう] /(n) United Nations/(P)/
国際連合安全保障理事会 [こくさいれんごうあんぜんほしょうりじかい] /(n) United Nations Security Council/
国際連合海洋法条約 [こくさいれんごうかいようほうじょうやく] /(n) (obsc) United Nations Convention on the Law of the Sea/
国際連合開発計画 [こくさいれんごうかいはつけいかく] /(n) (obsc) United Nations Development Programme/
国際連合環境開発会議 [こくさいれんごうかんきょうかいはつかいぎ] /(n) (obsc) United Nations Conference on Environment and Development/
国際連合環境計画 [こくさいれんごうかんきょうけいかく] /(n) (obsc) United Nations Environment Program/UNEP/
国際連合軍 [こくさいれんごうぐん] /(n) United Nations Forces/
国際連合経済社会理事会 [こくさいれんごうけいざいしゃかいりじかい] /(n) United Nations Economic and Social Council/
国際連合憲章 [こくさいれんごうけんしょう] /(n) United Nations Charter/
国際連合事務局 [こくさいれんごうじむきょく] /(n) (obsc) United Nations Secretariat/
国際連合事務総長 [こくさいれんごうじむそうちょう] /(n) United Nations Secretary-General/
国際連合児童基金 [こくさいれんごうじどうききん] /(n) United Nations Children's Fund/UNICEF/
国際連合食糧農業機関 [こくさいれんごうしょくりょうのうぎょうきかん] /(n) Food and Agriculture Organization of the United Nations/
国際連合人間環境会議 [こくさいれんごうにんげんかんきょうかいぎ] /(n) (obsc) United Nations Conference on the Human Environment/
国際連合人権委員会 [こくさいれんごうじんけんいいんかい] /(n) (obsc) United Nations Commission on Human Rights/
国際連合大量破壊兵器廃棄特別委員会 [こくさいれんごうたいりょうはかいへいきはいきとくべついいんかい] /(n) United Nations Special Commission/UNSCOM/
国際連盟 [こくさいれんめい] /(n) League of Nations/
国際労働機関 [こくさいろうどうきかん] /(n) International Labor Organization/ILO/
国堺 [くにざかい] /(n,adj-no) national border/provincial border/
国堺 [こっかい] /(ok) (n,adj-no) national border/provincial border/
国堺 [こっきょう] /(n,adj-no) national border/provincial border/
国策 [こくさく] /(n) national policy/(P)/
国産 [こくさん] /(n,adj-no) domestic products/(P)/
国産車 [こくさんしゃ] /(n) domestic auto/
国産品 [こくさんひん] /(n) domestic goods/
国産米 [こくさんまい] /(n) domestically produced rice/
国使 [こくし] /(n) envoy/
国司 [くにのつかさ] /(n) provincial governor (under the ritsuryo system, any of a group of officials, esp. the director)/
国司 [こくし] /(n) provincial governor (under the ritsuryo system, any of a group of officials, esp. the director)/
国史 [こくし] /(n) history of a nation/Japanese history/
国士 [こくし] /(n) distinguished citizen/patriot/(P)/
国士無双 [こくしむそう] /(n) (1) distinguished person/(2) Thirteen Orphans (high-scoring mahjong hand)/
国詞 [くにことば] /(n) national language/local dialect/
国試 [こくし] /(n) state examination (e.g. medical school)/
国事 [こくじ] /(n,adj-no) national affairs/
国事行為 [こくじこうい] /(n) constitutional functions (of the emperor)/
国事犯 [こくじはん] /(n) political offence/political offense/
国侍 [くにざむらい] /(n) provincial samurai/
国字 [こくじ] /(n) (1) country's official writing system/native script/(2) kana/(3) kanji that originated in Japan (as opposed to China)/
国字問題 [こくじもんだい] /(n) problems pertaining to a nation's script/
国璽 [こくじ] /(n) the seal of state/
国璽書 [こくじしょ] /(n) (Britain's) Lord Privy Seal/
国自慢 [くにじまん] /(n) national or local pride/the pride of one's native place/
国者 [くにもの] /(n) (1) (arch) country bumpkin/(2) (arch) someone from the same part of the country/
国主 [こくしゅ] /(n) king/sovereign/daimyo/
国守 [こくしゅ] /(n) daimyo/
国手 [こくしゅ] /(n) skilled physician/noted doctor/master/
国書 [こくしょ] /(n) credentials/sovereign message/
国章 [こくしょう] /(n) national emblem/(national) coat of arms/
国常立尊 [くにのとこたちのみこと] /(n) Kuninotokotachi no Mikoto (eternal god of the land)/
国情 [こくじょう] /(n) conditions of a country/(P)/
国色無双 [こくしょくむそう] /(n,adj-no) (a woman of) unparalleled beauty/(a woman's beauty being) matchless throughout the land/
国辱 [こくじょく] /(n) national disgrace/
国人 [くにびと] /(n) indigenous person/inhabitant of a country/(P)/
国尽くし [くにずくし] /(n) enumeration of the names of countries/
国粋 [こくすい] /(n) national characteristics/
国粋主義 [こくすいしゅぎ] /(n,adj-no) nationalism/extreme patriotism/
国粋主義者 [こくすいしゅぎしゃ] /(n) an ultranationalist/
国粋的 [こくすいてき] /(adj-na) nationalistic/ultranationalistic/
国是 [こくぜ] /(n) national policy/(P)/
国勢 [こくせい] /(n) state (condition, strength) of a country/(P)/
国勢調査 [こくせいちょうさ] /(n) (national) census/(P)/
国政 [こくせい] /(n,adj-no) political situation/statecraft/body politic/(P)/
国政を司る [こくせいをつかさどる] /(exp,v5r) to administer the affairs of state/
国政調査権 [こくせいちょうさけん] /(n) parliamentary investigation rights/
国税 [こくぜい] /(n) national tax/(P)/
国税局 [こくぜいきょく] /(n) revenue office/taxation bureau/(P)/
国税庁 [こくぜいちょう] /(n) National Tax Agency (Japan)/Internal Revenue Service (USA)/IRS/(P)/
国籍 [こくせき] /(n) nationality/(P)/
国籍言語 [こくせきげんご] /(n) national language/
国籍条項 [こくせきじょうこう] /(n) legislated ban on foreigners taking up public posts/
国籍法 [こくせきほう] /(n) Japanese Nationality Act/
国籍留保 [こくせきりゅうほ] /(n) reservation of Japanese nationality (procedure used with children born outside Japan)/
国選弁護人 [こくせんべんごにん] /(n) court-appointed attorney/
国全土 [こくぜんど] /(n) the whole nation/
国礎 [こくそ] /(n) pillar of state/
国喪 [こくそう] /(n) national mourning/
国葬 [こくそう] /(n) state funeral/national funeral/
国造 [くにつこ] /(n) regional administrator (pre-Taika hereditary title)/
国造 [くにのみやつこ] /(n) regional administrator (pre-Taika hereditary title)/
国造 [こくぞう] /(n) regional administrator (pre-Taika hereditary title)/
国造り [くにづくり] /(n) nation building/
国側 [くにがわ] /(n) the State/
国賊 [こくぞく] /(n) traitor/rebel/
国体 [こくたい] /(n) (1) national polity/(2) National Athletic Meet/(P)/
国対 [こくたい] /(n) (abbr) Committee of the National Diet/(P)/
国大 [こくだい] /(n) national university/(P)/
国中 [くにじゅう] /(n,adj-no) all over the country/
国中 [こくじゅう] /(n,adj-no) all over the country/
国中 [こくちゅう] /(n,adj-no) all over the country/
国蝶 [こくちょう] /(n) national butterfly/
国鳥 [こくちょう] /(n) the national bird/
国津 [くにつ] /(adj-f) (arch) of the land/
国津神 [くにつかみ] /(n) gods of the land/earthly deities/
国定 [こくてい] /(n,adj-no) state-sponsored/national/
国定教科書 [こくていきょうかしょ] /(n) national textbooks/textbook published by the government/
国定公園 [こくていこうえん] /(n) quasi-national park/
国鉄 [こくてつ] /(n) (abbr) national railway (esp. Japan National Railways)/(P)/
国典 [こくてん] /(n) a nation's laws/national rites or ceremonies/
国電 [こくでん] /(n) national railroad/(P)/
国都 [こくと] /(n) (national) capital city/
国土 [こくど] /(n) country/territory/domain/realm/(P)/
国土安全保障省 [こくどあんぜんほしょうしょう] /(n) Department of Homeland Security/DHS/
国土開発 [こくどかいはつ] /(n) national land development/
国土開発幹線自動車道 [こくどかいはつかんせんじどうしゃどう] /(n) national development arterial expressway/
国土計画 [こくどけいかく] /(n) national land planning/
国土交通省 [こくどこうつうしょう] /(n) Ministry of Land, Infrastructure, Transport and Tourism/
国土交通相 [こくどこうつうしょう] /(n) Minister of Land, Infrastructure and Transportation/
国土交通大臣 [こくどこうつうだいじん] /(n) Minister of Land, Infrastructure and Transport/
国土地理院 [こくどちりいん] /(n) Geographical Survey Institute/(P)/
国土庁 [こくどちょう] /(n) (Japanese) National Land Agency/(P)/
国土庁長官 [こくどちょうちょうかん] /(n) Director General of National Land Agency/
国等 [こくとう] /(suf) .. countries like/
国道 [こくどう] /(n) national highway/(P)/
国内 [くぬち] /(ok) (n,adj-no) internal/domestic/
国内 [こくだい] /(n,adj-no) internal/domestic/
国内 [こくない] /(n,adj-no) internal/domestic/(P)/
国内外 [こくないがい] /(exp) inside and outside the country/
国内規格化 [こくないきかくか] /(n,vs) international standardization/international standardisation/
国内均衡 [こくないきんこう] /(n) domestic equilibrium/internal balance/internal equilibrium/
国内経済 [こくないけいざい] /(n) domestic economy/
国内向け [こくないむけ] /(adj-no) for domestic use/
国内産業 [こくないさんぎょう] /(n) domestic industry/
国内市場 [こくないしじょう] /(n) domestic market/
国内事情 [こくないじじょう] /(n) internal (domestic) affairs/
国内需要 [こくないじゅよう] /(n) domestic demand/
国内純生産 [こくないじゅんせいさん] /(n) net domestic product/NDP/
国内消費税 [こくないしょうひぜい] /(n) excise tax/
国内線 [こくないせん] /(n) domestic line/
国内総生産 [こくないそうせいさん] /(n) gross domestic product/GDP/
国内法 [こくないほう] /(n) municipal (civic) law/domestic law/national law/
国内旅行 [こくないりょこう] /(n) domestic travel/(P)/
国難 [こくなん] /(n) national crisis or disaster/
国破れて [くにやぶれて] /(exp) with one's country in ruins/
国番号 [くにばんごう] /(n) (comp) country code/
国費 [こくひ] /(n) national expenditures/(P)/
国費留学生 [こくひりゅうがくせい] /(n) government-financed or sponsored foreign student/
国表 [くにおもて] /(n) one's home/one's native province/
国賓 [こくひん] /(n) state guest/(P)/
国富 [こくふ] /(n) national wealth/(P)/
国府 [こくふ] /(n) (1) (abbr) Nationalist Government (of China; i.e. under the Kuomintang)/(2) provincial office (under the ritsuryo system)/provincial capital/
国府 [こくぶ] /(n) (1) provincial office (under the ritsuryo system)/provincial capital/
国府 [こふ] /(n) (1) provincial office (under the ritsuryo system)/provincial capital/
国父 [こくふ] /(n) father of one's country/
国風 [くにぶり] /(n) (1) national customs and manners/(2) provincial song or ballad/
国風 [こくふう] /(n) (1) national customs and manners/(2) provincial song or ballad/
国分寺 [こくぶんじ] /(n) (Nara Era) state-supported provincial temples/(P)/
国文 [こくぶん] /(n) national literature/
国文科 [こくぶんか] /(n) department of Japanese literature/
国文学 [こくぶんがく] /(n) Japanese literature/(P)/
国文学史 [こくぶんがくし] /(n) history of Japanese literature/
国文専 [こくぶんせん] /(n) major in Japanese literature/
国文法 [こくぶんぽう] /(n) Japanese grammar/
国幣社 [こくへいしゃ] /(n) (obs) shrine receiving offerings from the provincial government (pre-Meiji) or the national treasury (post-Meiji)/
国柄 [くにがら] /(n) national character/regional character/(P)/
国別 [くにべつ] /(n,adj-no) by country/
国別コード [こくべつコード] /(n) (comp) country code/
国保 [こくほ] /(n) (abbr) national health insurance/
国母 [こくぼ] /(n) empress/empress dowager/
国宝 [こくほう] /(n) national treasure/(P)/
国法 [こくほう] /(n) national law/
国防 [こくぼう] /(n) national defence/national defense/(P)/
国防会議 [こくぼうかいぎ] /(n) (1) (Japanese) National Defense Council (1956-86) (Defence)/(2) National Security Council (USA)/
国防省 [こくぼうしょう] /(n) Department of Defense (USA)/the Pentagon/(British) Ministry of Defence/
国防色 [こくぼうしょく] /(n) khaki/
国防相 [こくぼうしょう] /(n) defense minister/defence minister/
国防総省 [こくぼうそうしょう] /(n) National Military Establishment/
国防長官 [こくぼうちょうかん] /(n) Secretary of Defence (Defense)/
国防費 [こくぼうひ] /(n) defence expenditure/defense expenditure/defence cost/defense cost/
国防論 [こくぼうろん] /(n) the question of national defense (defence)/
国本 [こくほん] /(n) foundation of the nation/
国鱒 [くにます] /(n) (uk) Oncorhynchus nerka kawamurae (rare Japanese subspecies of sockeye salmon)/
国民 [こくみん] /(n) nation/nationality/people/citizen/(P)/
国民の休日 [こくみんのきゅうじつ] /(n) national holiday (by law, any weekday that falls between two other national holidays)/
国民の祝日 [こくみんのしゅくじつ] /(exp) public holidays/national holidays/
国民可処分所得 [こくみんかしょぶんしょとく] /(n) national disposable income/
国民皆兵 [こくみんかいへい] /(n) universal conscription/
国民皆保険 [こくみんかいほけん] /(n) medical insurance for the whole nation/
国民学校 [こくみんがっこう] /(n) elementary school (in an educational system operated in Japan between 1941 and 1947)/
国民議会 [こくみんぎかい] /(n) national assembly (esp. France)/
国民休暇村 [こくみんきゅうかむら] /(n) national vacation village/
国民金融公庫 [こくみんきんゆうこうこ] /(n) People's Finance Corporation/(P)/
国民軍 [こくみんぐん] /(n) national army/
国民経済 [こくみんけいざい] /(n) national economy/
国民健康保険 [こくみんけんこうほけん] /(n) national health insurance/(P)/
国民健康保険制度 [こくみんけんこうほけんせいど] /(n) national health insurance program (programme)/
国民国家 [こくみんこっか] /(n) nation-state/
国民主権 [こくみんしゅけん] /(n) sovereignty of the people/
国民宿舎 [こくみんしゅくしゃ] /(n) inexpensive hotel operated by a local government/(P)/
国民純生産 [こくみんじゅんせいさん] /(n) net national product/NNP/
国民純福祉 [こくみんじゅんふくし] /(n) net national welfare/NNW/
国民所得 [こくみんしょとく] /(n) national income/
国民食 [こくみんしょく] /(n) food universally loved by all citizens/comfort food/
国民審査 [こくみんしんさ] /(n) national review (as an act of a peoples' sovereignty)/
国民新 [こくみんしん] /(n) (abbr) Kokumin Shinto/People's New Party (Japanese political party)/
国民新党 [こくみんしんとう] /(n) Kokumin Shinto/People's New Party (Japanese political party)/
国民性 [こくみんせい] /(n) national traits or character/nationality/(P)/
国民政府 [こくみんせいふ] /(n) Nationalist Government (of China; i.e. under the Kuomintang)/
国民生活 [こくみんせいかつ] /(n) the life of the people/the people's living/
国民総支出 [こくみんそうししゅつ] /(n) gross national expenditure/GNE/
国民総所得 [こくみんそうしょとく] /(n) gross national income/GNI/
国民総生産 [こくみんそうせいさん] /(n) gross national product/GNP/(P)/
国民体育大会 [こくみんたいいくたいかい] /(n) national athletic meet/
国民徴用令 [こくみんちょうようれい] /(n) National Requisition Ordinance (1939)/
国民的 [こくみんてき] /(adj-na) national/(P)/
国民的基盤 [こくみんてききばん] /(exp) based on a nation's people/popular base/
国民党 [こくみんとう] /(n) (1) (abbr) Constitutional Nationalist Party (1910-1922)/(2) Guomindang (Chinese Nationalist Party)/Kuomintang/
国民投票 [こくみんとうひょう] /(n) national referendum/(P)/
国民道徳 [こくみんどうとく] /(n) national morality/
国民年金 [こくみんねんきん] /(n,adj-no) national pension/government pension system/(P)/
国民服 [こくみんふく] /(n) national uniform (such as mandated for Japanese males in 1940)/
国民福祉指標 [こくみんふくししひょう] /(n) (obsc) net national welfare/
国民保健サービス [こくみんほけんサービス] /(n) NHS service (UK)/
国民保護計画 [こくみんほごけいかく] /(n) Civil Protection Plan/
国民保護法 [こくみんほごほう] /(n) Civil Protection Law/
国務 [こくむ] /(n) affairs of state/(P)/
国務院 [こくむいん] /(n) State Council (of the People's Republic of China)/
国務省 [こくむしょう] /(n) State Department/(P)/
国務大臣 [こくむだいじん] /(n) Minister of State/
国務長官 [こくむちょうかん] /(n) Secretary of State/(P)/
国名 [こくめい] /(n) country name/(P)/
国名コード [こくめいコード] /(n) (comp) country code/
国訳 [こくやく] /(n,vs) (obsc) translation from a foreign language into Japanese/
国有 [こくゆう] /(n,adj-no) national ownership/(P)/
国有化 [こくゆうか] /(n,vs) nationalization/nationalisation/
国有企業 [こくゆうきぎょう] /(n) state-owned enterprise/SOE/
国有財産 [こくゆうざいさん] /(n) national property/
国有地 [こくゆうち] /(n) state-owned land/
国有鉄道 [こくゆうてつどう] /(n) national railway/
国有林 [こくゆうりん] /(n) national forest/
国利 [こくり] /(n) national interests/
国利民福 [こくりみんぷく] /(n) national interests and the people's welfare/
国立 [こくりつ] /(n,adj-no) national/(P)/
国立がんセンター [こくりつがんセンター] /(n) National Cancer Center/
国立医薬品食品衛生研究所 [こくりついやくひんしょくひんえいせいけんきゅうじょ] /(n) National Institute of Health Sciences/NIHS/
国立学校設置法 [こくりつがっこうせっちほう] /(n) National School Establishment Law (1949)/
国立銀行 [こくりつぎんこう] /(n) a national bank/
国立劇場 [こくりつげきじょう] /(n) National Theater/(P)/
国立公園 [こくりつこうえん] /(n) a national park/
国立国会図書館 [こくりつこっかいとしょかん] /(n) National Diet Library/
国立国語研究所 [こくりつこくごけんきゅうしょ] /(n) National Institute for Japanese Language/
国立図書館 [こくりつとしょかん] /(n) national library/
国立大学 [こくりつだいがく] /(n) national university/
国立天文台 [こくりつてんもんだい] /(n) National Astronomical Observatory of Japan/
国立博物館 [こくりつはくぶつかん] /(n) national museum/(P)/
国立予防衛生研究所 [こくりつよぼうえいせいけんきゅうしょ] /(n) National Institute of Health/
国立歴史民族博物館 [こくりつれきしみんぞくはくぶつかん] /(n) National museum of Japanese history/
国力 [こくりょく] /(n) national power/(P)/
国連 [こくれん] /(n) UN/United Nations/(P)/
国連安全保障理事会 [こくれんあんぜんほしょうりじかい] /(n) UN Security Council/
国連安保理 [こくれんあんぽり] /(n) Security Council/
国連安保理事会 [こくれんあんぽりじかい] /(n) (abbr) (obsc) United Nations Security Council/
国連海洋法条約 [こくれんかいようほうじょうやく] /(n) UN Convention on the Law of the Sea/
国連開発計画 [こくれんかいはつけいかく] /(n) United Nations Development Program/UNDP/
国連環境計画 [こくれんかんきょうけいかく] /(n) United Nations Environment Programme (Program)/UNEP/
国連監視軍 [こくれんかんしぐん] /(n) UN observer force/
国連監視検証査察委員会 [こくれんかんしけんしょうささついいんかい] /(n) UN Monitoring, Verification and Inspection Commission/UNMOVIC/
国連旗 [こくれんき] /(n) the United Nations flag/
国連規約人権委員会 [こくれんきやくじんけんいいんかい] /(n) United Nations Human Rights Council/UNCHR/
国連記念日 [こくれんきねんび] /(n) United Nations Day/
国連軍 [こくれんぐん] /(n) UN troops or peacekeeping force/
国連軍縮特別総会 [こくれんぐんしゅくとくべつそうかい] /(n) UN Special Session on Disarmament/
国連経済社会理事会 [こくれんけいざいしゃかいりじかい] /(n) UN Economic and Social Council/
国連決議 [こくれんけつぎ] /(n) United Nations resolution/UN resolution/
国連憲章 [こくれんけんしょう] /(n) the UN Charter/
国連公用語 [こくれんこうようご] /(n) official languages of the UN (Arabic, Chinese, English, French, Russian and Spanish)/
国連事務局 [こくれんじむきょく] /(n) United Nations Secretariat/
国連事務総長 [こくれんじむそうちょう] /(n) UN Secretary General/
国連児童基金 [こくれんじどうききん] /(n) United Nations Children's Fund/UNICEF/
国連食糧農業機関 [こくれんしょくりょうのうぎょうきかん] /(n) UN Food and Agriculture Organization (Organisation)/FAO/
国連信託統治理事会 [こくれんしんたくとうちりじかい] /(n) UN Trusteeship Council/
国連人間環境会議 [こくれんにんげんかんきょうかいぎ] /(n) UN Conference on the Human Environment/
国連人権委員会 [こくれんじんけんいいんかい] /(n) UN Human Rights Commission/
国連総会 [こくれんそうかい] /(n) United Nations General Assembly/
国連大使 [こくれんたいし] /(n) UN ambassador/
国連難民高等弁務官事務所 [こくれんなんみんこうとうべんむかんじむしょ] /(n) Office of the United Nations High Commissioner for Refugees/UNHCR/
国連分担金 [こくれんぶんたんきん] /(n) financial contributions to the UN made by member-nations/
国連平和維持軍 [こくれんへいわいじぐん] /(n) UN peacekeeping forces/
国連本部 [こくれんほんぶ] /(n) United Nations (UN) Headquarters/
国労 [こくろう] /(n) National Railway Workers Union/(P)/
国論 [こくろん] /(n) public opinion/(P)/
国衙 [こくが] /(n) (1) (arch) provincial governor's office/(2) (abbr) provincial governorate (beginning in the late Heian period)/
国衙領 [こくがりょう] /(n) provincial governorate (beginning in the late Heian period)/
国訛 [くになまり] /(n) dialect/accent/
穀つぶし [ごくつぶし] /(n) good-for-nothing/parasite/deadbeat/loafer/drone/idler/
穀の木 [かじのき] /(n) (uk) paper mulberry (Broussonetia papyrifera)/
穀雨 [こくう] /(n) "grain rain" solar term (approx. April 20)/
穀象虫 [こくぞうむし] /(n) (uk) maize weevil (Sitophilus zeamais)/
穀食 [こくしょく] /(n,vs,adj-no) cereal diet/grain-eating/
穀倉 [こくそう] /(n) granary/(P)/
穀倉地帯 [こくそうちたい] /(n,adj-no) grain-producing region/
穀潰 [ごくつぶし] /(io) (n) good-for-nothing/parasite/deadbeat/loafer/drone/idler/
穀潰し [ごくつぶし] /(n) good-for-nothing/parasite/deadbeat/loafer/drone/idler/
穀物 [こくもつ] /(n,adj-no) grain/cereal/corn/(P)/
穀粉 [こくふん] /(n,adj-no) grain (rice) flour/
穀粒 [こくりゅう] /(n,adj-no) kernel/grain/
穀類 [こくるい] /(n,adj-no) grains/(P)/
酷 [こく] /(adj-na,n) (1) severe/harsh/stringent/rigorous/strict/unfair/(2) (uk) body (esp. of food, wine, etc.)/weight/substance/(P)/
酷い [ひどい] /(adj-i) (uk) cruel/awful/severe/very bad/serious/terrible/heavy/violent/(P)/
酷い [むごい] /(adj-i) cruel/atrocious/merciless/inhuman/brutal/
酷い仕打ち [ひどいしうち] /(exp) cruel treatment/raw deal/kick in the pants/
酷い目に遇う [ひどいめにあう] /(exp,v5u) to have a bad time/to go through a bitter experience/to get into trouble/to get hurt/to suffer/
酷い目に遭う [ひどいめにあう] /(exp,v5u) to have a bad time/to go through a bitter experience/to get into trouble/to get hurt/to suffer/
酷い目に遭わせる [ひどいめにあわせる] /(exp,v1) to bring someone to grief/to give someone hell/
酷がある [こくがある] /(exp,v5r-i) (1) (uk) deep (colour)/(2) thick (liquid, fluid)/(3) full-bodied, rich (flavour)/
酷く作った顔 [ひどくつくったかお] /(n) face with heavy makeup/
酷しい [きびしい] /(adj-i) (1) severe/strict/rigid/unsparing/relentless/(2) stern/austere/grave/solemn/majestic/(3) intense (cold)/
酷たらしい [むごたらしい] /(adj-i) (uk) incredibly brutal/gory/gruesome/
酷なやり方 [こくなやりかた] /(n) cruel deed/
酷のある [こくのある] /(exp,v5r-i) (1) (uk) deep (colour)/(2) thick (liquid, fluid)/
酷過ぎる [ひどすぎる] /(v1) too much/too cruel/
酷寒 [こっかん] /(n) severe (intense) cold/depth of winter/
酷寒猛暑 [こっかんもうしょ] /(n) bitter cold and fierce heat/
酷遇 [こくぐう] /(n,vs) maltreatment/
酷刑 [こっけい] /(n) severe punishment/
酷使 [こくし] /(n,vs) exploitation/overuse/abuse/(P)/
酷似 [こくじ] /(n,vs,adj-no) resemblance/resemble/(P)/
酷暑 [こくしょ] /(n) intense heat/(P)/
酷税 [こくぜい] /(n) heavy taxation/
酷熱 [こくねつ] /(n) intense heat/
酷薄 [こくはく] /(adj-na,n) cruel/inhumane/
酷薄無情 [こくはくむじょう] /(n,adj-na) cold-hearted/merciless/ruthless/
酷評 [こくひょう] /(n,vs,adj-no) severe criticism/damnation/(P)/
酷吏 [こくり] /(n) an unsparing official/
酷烈 [こくれつ] /(adj-na,n) severity/
黒 [くろ] /(n) (1) black/(2) dark/(3) (uk) (m-sl) bad guy/'black hat'/(P)/
黒々 [くろぐろ] /(adv,adv-to,n) deep black/
黒あざ [くろあざ] /(n) black mole/beauty mark/
黒い [くろい] /(adj-i) (1) black/(2) dark/(3) illicit/wicked/underground/(P)/
黒い雨 [くろいあめ] /(n) heavily polluted, radioactive rain sometimes following an atmospheric nuclear explosion (esp. that of Hiroshima)/
黒い霧 [くろいきり] /(n) thick fog/(P)/
黒い眸 [くろいひとみ] /(n) (beautiful) dark eyes/
黒くする [くろくする] /(exp,vs-i) to blacken/
黒く染まる [くろくそまる] /(v5r) to be dyed black/
黒こしょう [くろこしょう] /(n) (uk) black pepper (Piper nigrum)/
黒すぐり [くろすぐり] /(n) black-currant (Ribes nigrum)/cassis/
黒ずくめ [くろずくめ] /(n) completely black/black from top to bottom/black from head to toe/
黒ずむ [くろずむ] /(v5m,vi) to blacken/to darken/
黒っぽい [くろっぽい] /(adj-i) dark/blackish/(P)/
黒ばむ [くろばむ] /(v5m,vi) to blacken/to become black/
黒ぼく [くろぼく] /(n) (1) (obsc) crumbly black topsoil/(2) porous hardened lava/
黒ぼこ [くろぼこ] /(n) (1) (obsc) crumbly black topsoil/(2) porous hardened lava/
黒まる [くろまる] /(v5r,vi) to blacken/to become black/
黒みつ [くろみつ] /(n) brown sugar syrup/
黒む [くろむ] /(v5m,vi) to blacken/
黒める [くろめる] /(v1,vt) to make something black/to talk wrong into right/
黒らか [くろらか] /(n) blackness/deep black/
黒んぼ [くろんぼ] /(n) (1) (derog) dark-skinned person/well-tanned person/(2) (wheat) smut/(3) stagehand (in kabuki)/prompter/
黒ん坊 [くろんぼ] /(n) (1) (derog) dark-skinned person/well-tanned person/(2) (wheat) smut/(3) stagehand (in kabuki)/prompter/
黒ん坊 [くろんぼう] /(n) (1) (derog) dark-skinned person/well-tanned person/(2) (wheat) smut/(3) stagehand (in kabuki)/prompter/
黒ゴマ [くろゴマ] /(n) black sesame (seeds)/
黒スグリ [くろスグリ] /(n) black-currant (Ribes nigrum)/cassis/
黒ダイヤ [くろダイヤ] /(n) black diamond/
黒パン [くろパン] /(n) brown bread/rye bread/
黒ビール [くろビール] /(n) stout (lit: black beer)/dark beer/porter's ale/
黒ロリ [くろロリ] /(n) black Lolita (fashion style)/
黒葦毛 [くろあしげ] /(n) steel gray (horse coat color)/steel grey/
黒衣 [くろぎぬ] /(n) black clothes/
黒衣 [くろこ] /(n) (1) stage assistant dressed in black (in kabuki)/stagehand/prompter/(2) behind-the-scenes supporter/string-puller/
黒衣 [くろご] /(n) (1) stage assistant dressed in black (in kabuki)/stagehand/prompter/(2) behind-the-scenes supporter/string-puller/
黒衣 [こくい] /(n) black clothes/(P)/
黒衣 [こくえ] /(n) black clothes/
黒衣の宰相 [こくいのさいしょう] /(n) Buddhist priest who is a government minister/
黒雲 [くろくも] /(n) dark clouds/black clouds/
黒雲 [こくうん] /(n) dark clouds/black clouds/
黒雲母 [くろうんも] /(n) biotite/black or green mica/
黒影 [こくえい] /(n) silhouette/dark shadow/
黒液 [こくえき] /(n) black liquor/
黒円 [くろまる] /(n) black spot/black dot/bull's-eye/failure/
黒煙 [くろけむり] /(n) black smoke/(P)/
黒煙 [こくえん] /(n) black smoke/
黒縁 [くろぶち] /(n) black rim/black edge/
黒縁目白 [くろへりめじろ] /(n) (uk) copper shark (Carcharhinus brachyurus, only member of Carcharhinus found mostly at temperate latitudes)/bronze whaler/narrowtooth shark/
黒縁目白鮫 [くろへりめじろざめ] /(n) (uk) copper shark (Carcharhinus brachyurus, only member of Carcharhinus found mostly at temperate latitudes)/bronze whaler/narrowtooth shark/
黒鉛 [こくえん] /(n) graphite/(P)/
黒化 [こっか] /(n,vs) blackening/
黒化液 [こっかえき] /(n) (1) blackening solution/(2) (arch) developing solution/
黒歌鳥 [くろうたどり] /(n) (uk) blackbird (Turdus merula)/
黒海 [こっかい] /(n,adj-no) Black Sea/(P)/
黒芥子 [くろがらし] /(n) (uk) black mustard (Brassica nigra)/
黒樫 [くろがし] /(n) black oak/
黒梶木 [くろかじき] /(n) (uk) Indo-Pacific blue marlin (Makaira mazara)/
黒褐色 [こっかっしょく] /(n) blackish brown/
黒鴨 [くろがも] /(n) black scoter (duck)/
黒丸 [くろまる] /(n) black spot/black dot/bull's-eye/failure/
黒丸烏 [こくまるがらす] /(n) (uk) Daurian jackdaw (Corvus dauuricus)/
黒丸花蜂 [くろまるはなばち] /(n) (uk) Bombus ignitus (species of bumblebee)/
黒眼鏡 [くろめがね] /(n) sunglasses/shady glasses/dark glasses/
黒旗魚 [くろかじき] /(n) (uk) Indo-Pacific blue marlin (Makaira mazara)/
黒蟻 [くろあり] /(n) black ant/
黒牛の舌 [くろうしのした] /(n) (uk) black cow-tongue (species of tonguefish, Paraplagusia japonica)/
黒牛舌魚 [くろうしのした] /(n) (uk) black cow-tongue (species of tonguefish, Paraplagusia japonica)/
黒金 [くろがね] /(n) iron/
黒金剛石 [くろこんごうせき] /(n) black diamond/carbon/carbonado/
黒熊 [くろくま] /(n) black bear/
黒熊 [くろぐま] /(n) black bear/
黒栗毛 [くろくりげ] /(n) black chestnut (horse coat color)/
黒血 [くろち] /(n) venous blood/
黒鍵 [こっけん] /(n) black keys/
黒胡椒 [くろこしょう] /(n) (uk) black pepper (Piper nigrum)/
黒後家蜘蛛 [くろごけぐも] /(n) (uk) black widow spider/
黒御影 [くろみかげ] /(n) black granite/
黒光り [くろびかり] /(n,vs) black lustre/black luster/
黒黒 [くろぐろ] /(adv,adv-to,n) deep black/
黒砂糖 [くろざとう] /(n) brown sugar/
黒犀 [くろさい] /(n) (uk) black rhinoceros (Diceros bicornis)/
黒細大蜥蜴 [くろほそおおとかげ] /(n) (uk) black tree monitor (Varanus beccarii, species of monitor lizard from the Aru Islands of eastern Indonesia)/Beccari's monitor/
黒鷺 [くろさぎ] /(n) eastern reef heron/
黒作り [くろづくり] /(n) squid chopped, salted and mixed in its own ink/
黒山 [くろやま] /(n) large crowd/
黒山蟻 [くろやまあり] /(n) (uk) Japanese wood ant (Formica japonica)/
黒酸塊 [くろすぐり] /(n) black-currant (Ribes nigrum)/cassis/
黒子 [くろこ] /(n) (1) stage assistant dressed in black (in kabuki)/stagehand/prompter/(2) behind-the-scenes supporter/string-puller/
黒子 [くろご] /(n) (1) stage assistant dressed in black (in kabuki)/stagehand/prompter/(2) behind-the-scenes supporter/string-puller/
黒子 [こくし] /(n) (uk) dark mole/facial mole/beauty spot/
黒子 [ははくそ] /(ok) (n) (uk) dark mole/facial mole/beauty spot/
黒子 [ははくろ] /(ok) (n) (uk) dark mole/facial mole/beauty spot/
黒子 [ほくそ] /(ok) (n) (uk) dark mole/facial mole/beauty spot/
黒子 [ほくろ] /(n) (uk) dark mole/facial mole/beauty spot/(P)/
黒死病 [こくしびょう] /(n) bubonic plague/black death/
黒紫色 [こくししょく] /(n) dark purple/
黒字 [くろじ] /(n,adj-no) balance (figure) in the black/(P)/
黒字転換 [くろじてんかん] /(n,vs) returning to profit/turnaround/
黒字倒産 [くろじとうさん] /(n) business insolvency due to liquidity problems/
黒慈姑 [くろぐわい] /(n) (1) (food) (uk) Eleocharis kuroguwai (species of spikerush)/(2) Chinese water chestnut (Eleocharis dulcis)/
黒鹿毛 [くろかげ] /(n) dark bay (horse coat color)/
黒漆 [こくしつ] /(n) black lacquer/
黒質 [こくしつ] /(n) substantia nigra/
黒蛇 [くろへび] /(n) blacksnake/
黒酒 [くろき] /(n) (arch) black sake (presented as an offering to the gods)/
黒住教 [くろずみきょう] /(n) Kurozumi-kyo (sect of Shinto)/
黒松 [くろまつ] /(n) black pine/
黒焼 [くろやき] /(io) (n,adj-no) (1) charring/something charred/(n) (2) traditional medicine made from charred ingredients/
黒焼き [くろやき] /(n,adj-no) (1) charring/something charred/(n) (2) traditional medicine made from charred ingredients/
黒焼け [くろやけ] /(n) charring/something charred/
黒焦げ [くろこげ] /(n) something burnt black/
黒色 [こくしょく] /(n,adj-no) black (colour, color)/(P)/
黒色わい星 [こくしょくわいせい] /(n) black dwarf (star)/
黒色尉 [こくしきじょう] /(n) Old Black Joe (a noh mask)/
黒色火薬 [こくしょくかやく] /(n) black powder/gunpowder/
黒色癌 [こくしょくがん] /(n) melanocarcinoma/melanotic carcinoma/
黒色腫 [こくしょくしゅ] /(n) melanoma/
黒色人種 [こくしょくじんしゅ] /(n,adj-no) black race/
黒色矮星 [こくしょくわいせい] /(n) black dwarf (star)/
黒人 [こくじん] /(n,adj-no) black person/(P)/
黒人アフリカ [こくじんアフリカ] /(n) (obsc) black Africa/
黒人英語 [こくじんえいご] /(n) ebonics/African American Vernacular English/Black English/
黒人兵 [こくじんへい] /(n) black (i.e. African-American) soldier/buffalo soldier/
黒人霊歌 [こくじんれいか] /(n) Negro spiritual/
黒尽め [くろずくめ] /(n) completely black/black from top to bottom/black from head to toe/
黒酢 [くろず] /(n) (1) black vinegar, usu. produced from unpolished rice/(2) charred kelp or shiitake mushrooms ground and mixed with vinegar, used to dress raw fish and vegetables/
黒水引 [くろみずひき] /(n) black and white string/
黒水晶 [くろすいしょう] /(n) black quartz/
黒水熱 [こくすいねつ] /(n) blackwater fever/
黒雀蜂 [くろすずめばち] /(n) (uk) Vespula flaviceps (species of yellowjacket)/
黒星 [くろぼし] /(n) (1) black spot/black dot/bull's-eye/(2) failure mark (sumo)/(P)/
黒星饅頭鯛 [くろほしまんじゅうだい] /(n) (uk) spotted scat (Scatophagus argus, species of Indo-Pacific scat which occurs in green and red morphs)/green scat/red scat/
黒石 [くろいし] /(n) (1) black stone/(2) black (go pieces)/
黒尖鮫 [くろとがりざめ] /(n) (uk) silky shark (Carcharhinus falciformis, species of circumtropical requiem shark)/
黒線 [こくせん] /(n) black line/
黒船 [くろふね] /(n) (1) black ships (i.e. Western ships, often painted with tar, that came to Japan in the 16th century)/(2) product, person, etc. arriving from the West and disturbing the Japanese market, etc./
黒鼠 [くろねずみ] /(n) black rat/
黒藻 [くろも] /(n) (1) (uk) hydrilla (species of aquatic plant, Hydrilla verticillata)/(2) Papenfussiella kuromo (species of brown algae)/
黒装束 [くろしょうぞく] /(n) black clothes/
黒足信天翁 [くろあしあほうどり] /(n) (uk) black-footed albatross (Diomedea nigripes)/
黒体 [こくたい] /(n) black body (object that absorbs all electromagnetic radiation)/
黒体放射 [こくたいほうしゃ] /(n) black-body radiation/
黒体輻射 [こくたいふくしゃ] /(n) black-body radiation/
黒帯 [くろおび] /(n) black belt (judo, karate, etc.)/
黒鯛 [くろだい] /(n) black porgy (Acanthopagrus schlegeli)/
黒大蟻 [くろおおあり] /(n) (uk) Japanese carpenter ant (Camponotus japonicus)/
黒炭 [くろずみ] /(n) black charcoal/
黒炭 [こくたん] /(n) bituminous coal/
黒胆汁質 [こくたんじゅうしつ] /(n) melancholic temperament/
黒壇 [こくたん] /(n) ebony/
黒檀 [こくたん] /(n) ebony/
黒地 [くろじ] /(n) black ground/black cloth/
黒竹 [くろちく] /(n) black bamboo/
黒茶 [くろちゃ] /(n) (abbr) deep brown/
黒茶色 [くろちゃいろ] /(n) deep brown/
黒潮 [くろしお] /(n) Japan Current/Kuroshio Current/(P)/
黒蝶貝 [くろちょうがい] /(n) (uk) black-lip pearl oyster (Pinctada margaritifera)/
黒鳥 [こくちょう] /(n) black swan/
黒鶴 [くろづる] /(n) (uk) common crane (Grus grus)/
黒底翳 [くろそこひ] /(n) black cataract/amaurosis/
黒泥土 [こくでいど] /(n) muck soil/
黒点 [こくてん] /(n) (1) black spot/dark spot/(2) sunspot/
黒点周期 [こくてんしゅうき] /(n) sunspot cycle/
黒田売買 [くろたばいばい] /(n) dealing in rice speculating on the year's harvest before seedlings are set out/
黒塗り [くろぬり] /(n) blackening/blackened thing/
黒土 [くろつち] /(n) black terracotta/black soil/
黒土 [こくど] /(n) black terracotta/black soil/
黒奴 [こくど] /(n) (derog) black person/slave/
黒盗賊鴎 [くろとうぞくかもめ] /(n) (uk) parasitic jaeger/Arctic skua (Stercorarius parasiticus)/
黒糖 [こくとう] /(n) (abbr) brown cane sugar/
黒豆 [くろまめ] /(n) black soy bean/
黒頭巾 [くろずきん] /(n) black hood/
黒内障 [くろそこひ] /(n) black cataract/amaurosis/
黒内障 [こくないしょう] /(n) black cataract/amaurosis/
黒肉 [くろにく] /(n) black sealing ink/black stamp pad/
黒猫 [くろねこ] /(n) black cat/
黒熱病 [こくねつびょう] /(n) kala-azar/black fever/visceral leishmaniasis/
黒白 [くろしろ] /(n) black and white/right and wrong/(P)/
黒白 [こくはく] /(n) black and white/right and wrong/
黒白 [こくびゃく] /(n) black and white/right and wrong/
黒麦 [くろむぎ] /(n) rye/
黒八丈 [くろはちじょう] /(n) thick black silk from Hachijo Island/
黒髪 [くろかみ] /(n,adj-no) black hair/
黒髪 [こくはつ] /(n,adj-no) black hair/
黒斑 [くろふ] /(n) (arch) black spots/
黒斑 [くろぶち] /(n) (arch) black spots/
黒斑 [こくはん] /(n) (arch) black spots/
黒斑病 [こくはんびょう] /(n) purple spot (on a plant)/
黒板 [こくばん] /(n) blackboard/(P)/
黒板拭き [こくばんふき] /(n) blackboard eraser/
黒番 [くろばん] /(n) black to play (in Go)/
黒皮症 [こくひしょう] /(n) melanosis/
黒桧 [くろび] /(n) (uk) Japanese arborvitae (Thuja standishii)/
黒桧 [くろべ] /(n) (uk) Japanese arborvitae (Thuja standishii)/
黒百合 [くろゆり] /(n) black lily/
黒表 [こくひょう] /(n) black list/
黒豹 [くろひょう] /(n) black panther/
黒風 [こくふう] /(n) sky darkening dust storm/
黒風白雨 [こくふうはくう] /(n) sudden rain shower in a dust storm/
黒服 [くろふく] /(n) (1) black suit/mourning clothes/(2) black-suited staff member (e.g. in restaurant, sex establishment, etc.)/
黒物家電 [くろものかでん] /(n) black goods/consumer electronics products/
黒文字 [くろもじ] /(n) (1) spicebush/Lindera umbrellata/(2) toothpick/(3) natural wooden chopsticks (tea ceremony)/
黒米 [くろごめ] /(n) unpolished rice/
黒穂 [くろほ] /(n) smut/
黒穂 [くろぼ] /(n) smut/
黒穂病 [くろほびょう] /(n) smut/
黒鳳蝶 [くろあげは] /(n) (uk) spangle (species of black swallowtail butterfly, Papilio protenor)/
黒房 [くろぶさ] /(n) black tassel hung above the northwest corner of a sumo ring/
黒房すぐり [くろふさすぐり] /(n) black-currant (Ribes nigrum)/
黒房スグリ [くろふさスグリ] /(n) black-currant (Ribes nigrum)/
黒房酸塊 [くろふさすぐり] /(n) black-currant (Ribes nigrum)/
黒魔術 [くろまじゅつ] /(n) black magic/
黒魔法 [くろまほう] /(n) black magic/
黒幕 [くろまく] /(n,adj-no) black curtain/wire puller/political fixer/(P)/
黒鮪 [くろまぐろ] /(n) northern bluefin tuna (edible fish, Thunnus thynnus)/
黒蜜 [くろみつ] /(n) brown sugar syrup/
黒毛 [くろげ] /(n) (1) black hair/(2) black-haired horse/
黒毛和牛 [くろげわぎゅう] /(n) Japanese Black (breed of cattle)/
黒毛和種 [くろげわしゅ] /(n) Japanese Black (breed of cattle)/
黒木 [くろき] /(n) unbarked lumber/(P)/
黒木蔦 [くろきづた] /(n) (uk) Caulerpa scalpelliformis (species of green alga)/
黒目 [くろめ] /(n,adj-no) black iris/black eyes/
黒紋付き [くろもんつき] /(n) black crested haori/
黒揚羽 [くろあげは] /(n) (uk) spangle (species of black swallowtail butterfly, Papilio protenor)/
黒揚羽蝶 [くろあげは] /(n) (uk) spangle (species of black swallowtail butterfly, Papilio protenor)/
黒曜岩 [こくようがん] /(n) obsidian/
黒曜石 [こくようせき] /(n) obsidian/
黒耀石 [こくようせき] /(oK) (n) obsidian/
黒雷鳥 [くろらいちょう] /(n) (uk) black grouse (Tetrao tetrix)/blackcock (male black grouse)/greyhen (female black grouse)/
黒緑 [くろみどり] /(n) blackish green/
黒枠 [くろわく] /(n,adj-no) mourning borders/
黒檜 [くろび] /(n) (uk) Japanese arborvitae (Thuja standishii)/
黒檜 [くろべ] /(n) (uk) Japanese arborvitae (Thuja standishii)/
黒猩々 [くろしょうじょう] /(n) chimpanzee/
黒猩猩 [くろしょうじょう] /(n) chimpanzee/
黒痣 [くろあざ] /(n) black mole/beauty mark/
黒絽 [くろろ] /(n) black "ro" silk gauze/
黒繻子 [くろじゅす] /(n) black satin/
黒翳 [こくえい] /(n) silhouette/dark shadow/
黒苺 [くろいちご] /(n) blackberry/
黒蠅 [くろばえ] /(n) (uk) blowfly (excluding bluebottles and greenbottles)/
黒貂 [くろてん] /(n) (uk) sable (Martes zibellina)/
黒貂 [ふるき] /(n) (uk) sable (Martes zibellina)/
黒銹病 [くろさびびょう] /(n) black rust/
黒頸コブラ [くろくびコブラ] /(n) (uk) black-necked spitting cobra (Naja nigricollis)/
黒鵐 [くろじ] /(n) gray bunting/grey bunting/
黒鶫 [くろつぐみ] /(n) (uk) Japanese thrush (Turdus cardis)/
黒黴 [くろかび] /(n) black mold/black mould/
獄 [ごく] /(n) jail/gaol/prison/
獄 [ひとや] /(n) jail/gaol/prison/
獄衣 [ごくい] /(n) prison uniform/
獄屋 [ごくや] /(n) prison/
獄死 [ごくし] /(n,vs) death in jail/death in gaol/
獄舎 [ごくしゃ] /(n) prison/
獄窓 [ごくそう] /(n) prison/prison windows/
獄卒 [ごくそつ] /(n) prison guards/hell's tormenting devils/
獄中 [ごくちゅう] /(n,adj-no) during imprisonment/while in jail (gaol)/(P)/
獄中記 [ごくちゅうき] /(n) diary written in prison/
獄中日記 [ごくちゅうにっき] /(n) prison diary/
獄道 [ごくどう] /(adj-na) (1) wicked/evil/profligate/immoral/(n) (2) wickedness/evildoing/(3) organized crime/yakuza/underworld/
獄道者 [ごくどうもの] /(n) scoundrel/rake/
獄門 [ごくもん] /(n) prison gate/
獄吏 [ごくり] /(n) jailer/gaoler/
漉き返す [すきかえす] /(v5s,vt) to remake (paper)/
漉く [すく] /(v5k) to make something (i.e. paper) from wet, pulpy material by spreading it thin and drying it/
漉し器 [こしき] /(n) filter/strainer/colander/
漉し紙 [こしがみ] /(n) filter paper/
漉し餡 [こしあん] /(n) strained bean paste/
漉す [こす] /(v5s,vt) to filter/to strain/
漉紙 [こしがみ] /(n) filter paper/
腰 [こし] /(n) (1) back/lower back/waist/hips/lumbar region/(2) body (of hair, noodle, paper, etc.)/resilience/spring/(P)/
腰かけ [こしかけ] /(n) seat/bench/
腰かける [こしかける] /(v1,vi) to sit (down)/
腰かけ台 [こしかけだい] /(n) bench (i.e. for bathroom)/seat/small piece of furniture upon which one can sit on/
腰が引ける [こしがひける] /(exp,v1) to get cold feet/to back away/to withdraw/
腰が強い [こしがつよい] /(exp) firm/flexible and hard to break/persevering/
腰が軽い [こしがかるい] /(exp) (1) cheerfully working/(2) hasty/
腰が重い [こしがおもい] /(exp) slow to act/slow in starting work/
腰が低い [こしがひくい] /(exp,adj-i) humble/modest/
腰ぎんちゃく [こしぎんちゃく] /(n) (1) hanger-on/follower/flunky/sycophant/(2) purse strapped round one's waist/
腰の強い [こしのつよい] /(adj-i) firm/persevering/flexible and hard to break/
腰の軽い [こしのかるい] /(adj-i) cheerfully working/
腰の重い [こしのおもい] /(adj-i) slow in start work/
腰の低い [こしのひくい] /(adj-i) humble/modest/
腰の物 [こしのもの] /(n) sword worn at the waist/
腰ばき [こしばき] /(n) (sl) wearing one's pants low (so that they hang from the hip rather than the waist)/
腰をいれる [こしをいれる] /(exp,v1) (1) to take a solid stance/(2) to put one's back in it/to exert oneself/
腰をおろす [こしをおろす] /(exp,v5s) to sit down/
腰をかける [こしをかける] /(exp,v1) to sit down/to take a seat/
腰を下す [こしをおろす] /(io) (exp,v5s) to sit down/
腰を下ろす [こしをおろす] /(exp,v5s) to sit down/
腰を掛ける [こしをかける] /(exp,v1) to sit down/to take a seat/
腰を屈める [こしをかがめる] /(exp,v5k) to bend one's back/to bow/
腰を上げる [こしをあげる] /(exp,v1) (1) to get up (from sitting)/(2) to finally start to do something/to get off one's arse (ass)/
腰を据える [こしをすえる] /(exp,v1) to settle oneself (in a place)/
腰を入れる [こしをいれる] /(exp,v1) (1) to take a solid stance/(2) to put one's back in it/to exert oneself/
腰を抜かす [こしをぬかす] /(exp,v5s) (1) to dislocate one's back/(2) to be unable to stand up due to fear or surprise/
腰を浮かす [こしをうかす] /(exp,v5s) to half-rise to one's feet/
腰を落ち着ける [こしをおちつける] /(exp,v1) to settle down/
腰パン [こしパン] /(n) (abbr) (sl) wearing one's pants low (so that they hang from the hip rather than the waist)/pants worn in such a manner/
腰囲 [ようい] /(n) hip measurement/
腰羽目 [こしばめ] /(n) waist-high wainscoting/waist-high wainscotting/
腰屋根 [こしやね] /(n) roof monitor/monitor roof/lantern (roof)/
腰回り [こしまわり] /(n) measurement round the hips/
腰垣 [こしがき] /(n) waist-high fence/
腰掛 [こしかけ] /(n) seat/bench/(P)/
腰掛け [こしかけ] /(n) seat/bench/(P)/
腰掛ける [こしかける] /(v1,vi) to sit (down)/(P)/
腰掛け仕事 [こしかけしごと] /(n) temporary employment/a temporary job while looking for a better job/work just to kill time/
腰掛け台 [こしかけだい] /(n) bench (i.e. for bathroom)/seat/small piece of furniture upon which one can sit on/
腰掛る [こしかける] /(io) (v1,vi) to sit (down)/
腰掛仕事 [こしかけしごと] /(n) temporary employment/a temporary job while looking for a better job/work just to kill time/
腰掛台 [こしかけだい] /(n) bench (i.e. for bathroom)/seat/small piece of furniture upon which one can sit on/
腰巻 [こしまき] /(n) loincloth/waistcloth/kimono underskirt/
腰巻き [こしまき] /(n) loincloth/waistcloth/kimono underskirt/
腰間 [ようかん] /(n) hips/
腰気 [こしけ] /(n) mucous discharge from female genitals (leucorrhoea, leucorrhea)/
腰巾着 [こしぎんちゃく] /(n) (1) hanger-on/follower/flunky/sycophant/(2) purse strapped round one's waist/
腰元 [こしもと] /(n) chamber maid/female servant/
腰高 [こしだか] /(adj-na,n) overbearing/unstable wrestling stance/
腰高障子 [こしだかしょうじ] /(n) tall-paneled sliding door/
腰骨 [こしぼね] /(n) hipbone/innominate bone/fortitude/
腰砕け [こしくだけ] /(n) (1) inadvertent collapse (sumo)/(2) breaking down (e.g. in the middle of a bout)/weakening of one's attitude/
腰細 [こしぼそ] /(adj-na,adj-no,n) (1) narrow-waisted/(n) (2) (abbr) red-banded sand wasp (Ammophila sabulosa)/
腰細蜂 [こしぼそばち] /(n) (obsc) red-banded sand wasp (Ammophila sabulosa)/
腰弱 [こしよわ] /(adj-na,n) bad back/spineless person/
腰上げ [こしあげ] /(n) tuck at the waist/
腰赤燕 [こしあかつばめ] /(n) (1) red-rumped swallow (Hirundo daurica)/(2) striated swallow (Hirundo striolata)/
腰折 [こしおれ] /(n) (1) (pol) bad poem/my humble poem/(2) stooped over (e.g. old people)/bowed/(3) stalling/having a relapse/
腰折れ [こしおれ] /(n) (1) (pol) bad poem/my humble poem/(2) stooped over (e.g. old people)/bowed/(3) stalling/having a relapse/
腰帯 [こしおび] /(n) waist towel/girdle/
腰張 [こしばり] /(io) (n) (1) wainscoting/wainscotting/(2) sliding door's decorative paper skirt/
腰張り [こしばり] /(n) (1) wainscoting/wainscotting/(2) sliding door's decorative paper skirt/
腰椎 [ようつい] /(n,adj-no) lumbar vertebrae/
腰痛 [ようつう] /(n,adj-no) lower back (or hip) pain/lumbago/(P)/
腰刀 [こしがたな] /(n) short sword/
腰投げ [こしなげ] /(n) hip throw in judo or sumo/
腰湯 [こしゆ] /(n) sitting bath/
腰当て [こしあて] /(n) bustle/
腰縄 [こしなわ] /(n) leash/rope tied round prisoner's waists/
腰白 [こしじろ] /(n) short-sleeved kimono with a plain white backside/
腰抜かす [こしぬかす] /(v5s) (1) to dislocate one's back/(2) to be unable to stand up due to fear or surprise/to lose one's legs/
腰抜け [こしぬけ] /(n) coward/
腰板 [こしいた] /(n) wooden paneling/
腰紐 [こしひも] /(n) cord tied around the waist of a kimono before an obi is tied/
腰付き [こしつき] /(n) gait/posture/
腰布 [こしぬの] /(n) loincloth/
腰布団 [こしぶとん] /(n) cushion worn round the waist for warmth/
腰部 [ようぶ] /(n,adj-no) loins/hips/pelvic region/waist/(P)/
腰壁 [こしかべ] /(n) waist-high partition wall/breast wall/
腰弁 [こしべん] /(n) lunchbox hanging from one's waist/low-paid office worker/
腰弁当 [こしべんとう] /(n) lunchbox hanging from one's waist/low-paid office worker/
腰蓑 [こしみの] /(n) straw skirt/grass skirt/
腰揚げ [こしあげ] /(n) tuck at the waist/
腰簑 [こしみの] /(n) straw skirt/grass skirt/
甑炉 [そうろ] /(n) (obsc) furnace (for casting bronze)/
忽 [こつ] /(n) one hundred-thousandth/
忽ち [たちまち] /(adv) (uk) at once/in a moment/suddenly/all at once/(P)/
忽然 [こつぜん] /(adj-t,adv-to) sudden/unexpected/
忽焉 [こつえん] /(adj-t,adv-to) sudden/unexpected/
惚け [とぼけ] /(n) assumed innocence/feigned ignorance/
惚け [ぼけ] /(n,suf) (1) (uk) idiot/fool/touched in the head (from)/out of it (from)/space case/(2) funny man (of a comedy duo)/(in comedy) silly or stupid line/(3) Alzheimer's (impol)/(P)/
惚ける [とぼける] /(v1,vi) (1) to play dumb/to feign ignorance/to play innocent/to have a blank facial expression/(2) to play the fool/(3) to be in one's dotage/(P)/
惚ける [ほうける] /(v1,vi) (1) to grow senile/to be childish with age/(2) to be mentally slow/to be befuddled/(3) to become engrossed (in something)/
惚ける [ぼける] /(v1,vi) (1) to grow senile/to be childish with age/(2) to be mentally slow/to be befuddled/(P)/
惚け茄子 [ぼけなす] /(n) (1) (uk) faded, dull-colored eggplant/(2) (derog) slow-witted, abstracted person/halfwit/
惚れた腫れた [ほれたはれた] /(exp) head over heels (often used mockingly)/madly (in love)/
惚れる [ほれる] /(v1,vi) to fall in love/to be in love/to be charmed with/to lose one's heart to/(P)/
惚れ惚れ [ほれぼれ] /(adv,n,adv-to) (uk) fondly/charming/
惚れ込む [ほれこむ] /(v5m,vi) to be charmed by/
惚れ薬 [ほれぐすり] /(n) love potion/philter/
惚気 [のろけ] /(n) speaking fondly of a loved one/
惚気る [のろける] /(v1,vi) to play up/to speak fondly of/to praise one's spouse/
惚気話 [のろけばなし] /(n) (uk) speaking fondly of/
骨 [こつ] /(n) (uk) knack/skill/trick/secret/know-how/the ropes/hang/
骨 [ほね] /(n) (1) bone/(2) frame/(3) outline/core/(4) backbone/spirit/fortitude/(adj-na,n) (5) laborious/troublesome/difficult/(P)/
骨が折れる [ほねがおれる] /(v1) to require much effort/to be hard to do/to have one's bones broken/
骨っぽい [ほねっぽい] /(adj-i) bony/tough/plucky/spirited/hard to deal with/
骨っ節 [ほねっぷし] /(n) (1) joint (between bones)/(2) backbone/spirit/
骨つぼ [こつつぼ] /(n) funerary urn/
骨と皮 [ほねとかわ] /(exp,adj-no) skin and bones/
骨のある男 [ほねのあるおとこ] /(n) man of spirit/
骨のずいまで [ほねのずいまで] /(exp) to the core (lit: to the marrow)/to the bone/
骨の髄まで [ほねのずいまで] /(exp) to the core (lit: to the marrow)/to the bone/
骨の有る男 [ほねのあるおとこ] /(n) man of spirit/
骨ばる [ほねばる] /(v5r,vi) to be bony/to be angular/
骨を休める [ほねをやすめる] /(exp,v1) to draw breath/to take a rest after work/to have a breather/to take a break/
骨を拾う [ほねをひろう] /(exp,v5u) (1) to collect the ashes of the deceased/(2) to look after someone's affairs after he dies/
骨を惜しむ [ほねをおしむ] /(exp,v5m) to spare oneself the trouble/to spare oneself/
骨を折る [ほねをおる] /(exp,v5r) (1) to make efforts/to take pains/(2) to break one's bone/
骨を盗む [ほねをぬすむ] /(exp,v5m) (1) to spare oneself/to spare oneself the trouble/(2) (arch) to nullify someone's efforts/
骨を埋める [ほねをうずめる] /(exp,v1) to die in (a foreign land)/to engage in something until death comes/to do something for the rest of one's life/
骨シンチ [ほねシンチ] /(n) bone scan/bone scintigraphy/
骨炎 [こつえん] /(n) osteitis/
骨化 [こっか] /(n,vs,adj-no) ossification/
骨芽細胞 [こつがさいぼう] /(n) osteoblast/
骨芽細胞腫 [こつがさいぼうしゅ] /(n) osteoblastoma/
骨灰 [こっかい] /(n) bone ash/
骨灰 [こつばい] /(n) bone ash/
骨灰磁器 [こっかいじき] /(n) bone porcelain/bone china/
骨格 [こっかく] /(n,adj-no) (1) skeleton/skeletal structure/build/frame/physique/(2) framework/(P)/
骨格筋 [こっかくきん] /(n) skeletal muscle/
骨格模型 [こっかくもけい] /(n) (human) skeletal model/
骨学 [こつがく] /(n) osteology/
骨噛み [ほねかみ] /(n,vs) eating bones/gnawing on a bone/osteophagy/
骨幹 [こっかん] /(n,adj-no) skeleton/structure/build/
骨関節症 [こつかんせつしょう] /(n) osteoarthritis/
骨休め [ほねやすめ] /(n,vs) relaxation/recreation/recess/
骨細 [ほねぼそ] /(adj-na) small/thin boned/slender/slight/
骨細胞 [こつさいぼう] /(n) osteocyte/
骨材 [こつざい] /(n) aggregate/
骨仕事 [ほねしごと] /(n) backbreaking work/
骨子 [こっし] /(n) bones/marrow/essentials/(P)/
骨脂 [こっし] /(n) bone fat/
骨質 [こっしつ] /(n) bony tissue/bony substance/
骨腫 [こっしゅ] /(n) osteoma/
骨腫 [こつしゅ] /(n) osteoma/
骨拾い [こつひろい] /(n) gathering up the ashes of the deceased/
骨身 [ほねみ] /(n) flesh and bones/
骨髄 [こつずい] /(n,adj-no) bone marrow/true spirit/(P)/
骨髄移植 [こつずいいしょく] /(n) marrow transplant/
骨髄炎 [こつずいえん] /(n) osteomyelitis/
骨髄芽球 [こつずいがきゅう] /(n) myeloblast/
骨髄球 [こつずいきゅう] /(n) myelocyte/
骨髄腔 [こつずいこう] /(n) medullary cavity (of bone)/
骨髄腫 [こつずいしゅ] /(n) myeloma/
骨髄線維症 [こつずいせんいしょう] /(n) myelofibrosis/
骨髄抑制 [こつずいよくせい] /(n) bone marrow suppression/
骨惜しみ [ほねおしみ] /(n,vs) sparing oneself/laziness/
骨接ぎ [ほねつぎ] /(n) bonesetting/
骨折 [こっせつ] /(n,vs) bone fracture/(P)/
骨折り [ほねおり] /(n) travail/exertion/service/labour (labor)/ado/
骨折り損 [ほねおりぞん] /(n) waste of labor or energy/waste of labour/vain effort/
骨折り損の草臥れ儲け [ほねおりぞんのくたびれもうけ] /(exp) (id) Great pains but all in vain/
骨折る [ほねおる] /(v5r,vi) to exert oneself greatly/to take pains/
骨節 [こっせつ] /(n) joint (between bones)/
骨節 [ほねぶし] /(n) joint (between bones)/
骨粗しょう症 [こつそしょうしょう] /(n,adj-no) osteoporosis/
骨粗鬆症 [こつそしょうしょう] /(n,adj-no) osteoporosis/
骨組 [ほねぐみ] /(n) (1) skeletal frame/skeleton/build/physique/(2) framework/frame/structure/(3) outline/
骨組み [ほねぐみ] /(n) (1) skeletal frame/skeleton/build/physique/(2) framework/frame/structure/(3) outline/
骨組織 [こつそしき] /(n) bony tissue/
骨相 [こっそう] /(n) physique/phrenology/
骨相学 [こっそうがく] /(n) phrenology/
骨相学者 [こっそうがくしゃ] /(n) phrenologist/
骨太 [ほねぶと] /(adj-na,n,adj-no) big-boned/stout/
骨炭 [こったん] /(n) ashes of animal bones, used as a coloring agent (colouring)/
骨端炎 [こったんえん] /(n) epiphysitis/
骨端症 [こったんしょう] /(n) epiphysiopathy/
骨張る [ほねばる] /(v5r,vi) to be bony/to be angular/
骨頂 [こっちょう] /(n) height/pinnacle/
骨壷 [こつつぼ] /(n) funerary urn/
骨董 [こっとう] /(n) antique/curio/
骨董屋 [こっとうや] /(n) antique store/
骨董趣味 [こっとうしゅみ] /(n) antiquarianism/
骨董店 [こっとうてん] /(n) antique shop/
骨董品 [こっとうひん] /(n) curio/antique/
骨董品屋 [こっとうひんや] /(n) antique shop/
骨董品店 [こっとうひんてん] /(n) antique store/curio store/
骨堂 [こつどう] /(n) charnel house/ossuary/
骨軟化症 [こつなんかしょう] /(n,adj-no) osteomalacia/
骨軟骨腫 [こつなんこつしゅ] /(n) osteochondroma/
骨肉 [こつにく] /(n) one's own flesh and blood/blood relations/kinsmen/
骨肉の争い [こつにくのあらそい] /(exp) (id) family quarrel/
骨肉腫 [こつにくしゅ] /(n) osteosarcoma/
骨肉相食 [こつにくそうしょく] /(n) blood feud/domestic discord/
骨年齢 [こつねんれい] /(n) bone age/skeletal age/
骨牌 [かるた] /(n) (uk) playing cards (por: carta)/card game/
骨牌 [こっぱい] /(n) (1) playing cards/(2) mahjong tiles made of animal bone/
骨箱 [こつばこ] /(n) box in which ashes of the deceased are kept/box in which a funerary urn is kept/
骨抜き [ほねぬき] /(n,adj-no) (1) boned (e.g. fish, etc.)/(2) watered down (e.g. plan, bill, etc.)/mutilated/(3) lacking integrity or moral backbone/(P)/
骨盤 [こつばん] /(n,adj-no) pelvis/
骨盤位 [こつばんい] /(n) breech presentation/
骨盤帯 [こつばんたい] /(n) pelvic girdle/
骨盤底筋 [こばんぞこきん] /(n) pubococcygeal muscle/Kegel muscle/
骨皮筋右衛門 [ほねかわすじえもん] /(exp) reduced to skin and bones/
骨粉 [こっぷん] /(n) powdered bone/powdered bones/
骨柄 [こつがら] /(n) build/physique/appearance/
骨偏 [ほねへん] /(n) kanji "bone" radical at left/
骨片 [こっぺん] /(n) bone fragment/spicule/
骨法 [こっぽう] /(n) knack/the ropes/
骨膜 [こつまく] /(n,adj-no) periosteum/
骨膜炎 [こつまくえん] /(n) periostitis/
骨密度 [こつみつど] /(n) bone density/
骨無し [ほねなし] /(n) boneless/spineless/
骨迷路 [こつめいろ] /(n) bony labyrinth (of the inner ear)/
骨油 [こつゆ] /(n) bone oil/clarified bone stock/
骨油 [ほねあぶら] /(n) bone oil/clarified bone stock/
骨揚げ [こつあげ] /(n,vs) gathering up the ashes of the deceased/
骨鱗 [こつりん] /(n) bony scale (of a fish)/
骨壺 [こつつぼ] /(n) funerary urn/
骨棘 [こっきょく] /(n) bone spur/osteophyte/
骨棘 [こつきょく] /(n) bone spur/osteophyte/
骨骼 [こっかく] /(n,adj-no) (1) skeleton/skeletal structure/build/frame/physique/(2) framework/
狛 [こま] /(n,n-pref) (1) Korea (esp. the Goguryeo kingdom or the Goryeo dynasty)/(n) (2) (stone) guardian lion-dogs at Shinto shrine/
狛犬 [こまいぬ] /(n) (stone) guardian lion-dogs at Shinto shrine/
狛笛 [こまぶえ] /(n) Korean flute (horizontal bamboo flute with six holes; highest-pitched flute used in gagaku)/
込み [こみ] /(n,suf) including/inclusive of/
込みで買う [こみでかう] /(exp,v5u) to buy the whole lot/to buy in bulk/
込み合う [こみあう] /(v5u,vi) to be crowded/to be packed/to be jammed/
込み上げる [こみあげる] /(v1,vi) (1) to fill (one's heart)/to experience a welling up of feelings or sensations/(2) to feel nauseated/
込み入った [こみいった] /(adj-f) intricate/complicated/
込み入る [こみいる] /(v5r,vi) to push in/to be crowded/to be complicated/
込む [こむ] /(v5m,vi) (1) to be crowded/to be packed/(2) to be complex/(aux-v) (3) to go into/to put into/to remain (seated)/to be plunged into (silence)/to do thoroughly/(4) to do intently/(5) to continue in the same state/(P)/
込める [こめる] /(v1,vt) to include/to put into/(P)/
込合う [こみあう] /(v5u,vi) to be crowded/to be packed/to be jammed/
込上げる [こみあげる] /(io) (v1,vi) (1) to fill (one's heart)/to experience a welling up of feelings or sensations/(2) to feel nauseated/
込入る [こみいる] /(v5r,vi) to push in/to be crowded/to be complicated/
此うした [こうした] /(exp,adj-pn) (uk) such/
此から [これから] /(io) (n-t) (uk) after this/
此の [この] /(adj-pn) (uk) this (something or someone close to the speaker (including the speaker), or ideas expressed by the speaker)/(P)/
此の位 [このくらい] /(n,adv) (uk) this much/this amount/
此の位 [このぐらい] /(n,adv) (uk) this much/this amount/
此の間 [このあいだ] /(n-t,n-adv) (1) the other day/lately/recently/during this period/
此の間 [このかん] /(n-t,n-adv) (1) the other day/lately/recently/during this period/(2) meanwhile/in the meantime/
此の期 [このご] /(n-t) now (with the nuance of 'the last moment')/this late in the game/
此の後 [このあと] /(exp) after this/henceforth/henceforward/from now on/
此の後 [こののち] /(exp) after this/henceforth/henceforward/from now on/
此の頃 [このころ] /(n-adv,n-t) recently/nowadays/these days/now/at present/
此の頃 [このごろ] /(n-adv,n-t) recently/nowadays/these days/now/at present/
此の際 [このさい] /(n-adv) on this occasion/now/
此の手 [このて] /(exp) this way (of doing)/this sort (of thing)/
此の所 [このところ] /(n) (uk) lately/recently/
此の上 [このうえ] /(adv) furthermore/anymore/above or beyond this/
此の親にして此の子有り [このおやにしてこのこあり] /(exp) (id) Like father, like son/
此の世 [このよ] /(n) this world/the present/
此の世界 [このせかい] /(n) this world/
此の節 [このせつ] /(n-adv) these days/now/recently/
此の先 [このさき] /(n-adv) beyond this point/from now on/after this/
此の前 [このまえ] /(n,adj-no) (1) some time ago/recently/lately/(2) last (Sunday, etc.)/previous/(P)/
此の中 [このうち] /(n-adv,n-t) (obs) meanwhile/the other day/recently/
此の中 [このじゅう] /(n-adv,n-t) (obs) recently/not long ago/for a while recently/all the while recently/
此の程 [このほど] /(n-adv) (1) (uk) now/at this time/(2) the other day/recently/lately/
此の度 [このたび] /(n-adv,n-t) this occasion/at this time/now/
此の内 [このうち] /(n-adv,n-t) (obs) meanwhile/the other day/recently/
此の辺 [このへん] /(pn,adj-no) this area/around here/
此の方 [このかた] /(n-adv) (1) since/(pn,adj-no) (2) this person/
此の方 [このほう] /(n-adv) this one/this way/this method/
此の様 [このよう] /(adj-na) like this/this sort/this way/
此の様に [このように] /(adv) (uk) in this manner/in this way/like this/
此の儘 [このまま] /(exp) (uk) as (it) is/
此れ [これ] /(pn) (1) (uk) this (indicating an item near the speaker, the action of the speaker, or the current topic)/(2) (hum) this person (usu. indicating someone in one's in-group)/(3) now/(4) (arch) here/(5) (arch) I (me)/(6) (arch) certainly/(P)/
此れから [これから] /(n-t) (uk) after this/(P)/
此れっぽっち [これっぽっち] /(n) (uk) this little/this few/in the slightest/
此れっ切り [これっきり] /(n,n-adv) (1) (uk) last time (as of now)/never again/(2) only this/
此れと言って [これといって] /(exp,conj) not worth mentioning (with neg)/
此れは [これは] /(exp) (1) (uk) as for this/(int) (2) hey there (expression of surprise when one encounters something unexpected)/see here/I say/
此れまで [これまで] /(n) (uk) hitherto/so far/
此れまでに [これまでに] /(adv) (uk) before now/hitherto/
此れを以て [これをもって] /(exp,adv) with this I (formal)/by this I (formal)/
此れを要するに [これをようするに] /(exp,adv) to sum things up/in short/in other words/
此れ位 [これくらい] /(n,adv) this much/this amount/
此れ位 [これぐらい] /(n,adv) this much/this amount/
此れ許り [こればかり] /(n-t) only this much/only this/
此れ見よがし [これみよがし] /(adj-no,adj-na) for show/ostentatious/flaunting/showing off/
此れ此れ [これこれ] /(n) this and that/such and such/
此れ式 [これしき] /(n,adj-no) (uk) trifle/insignificant thing/(only) this much/
此れ丈 [これだけ] /(exp) (uk) so many (few)/so much (little)/
此れ切り [これきり] /(n,n-adv) (1) (uk) last time (as of now)/never again/(2) only this/
此れ切り [これぎり] /(n,n-adv) (1) (uk) last time (as of now)/never again/(2) only this/
此れ程 [これほど] /(adv,n) (uk) so/so much/this much/
此れ等 [これら] /(pn,adj-no) (uk) these/
此れ彼 [これかれ] /(n) (1) (uk) this and that/(2) this person and that person/anybody/
此れ迄 [これまで] /(n) (uk) hitherto/so far/(P)/
此れ迄に [これまでに] /(adv) (uk) before now/hitherto/
此間 [こないだ] /(n-adv,n-t) (uk) the other day/lately/recently/
此岸 [しがん] /(n) (Buddh) this world/this life/
此見よがし [これみよがし] /(adj-no,adj-na) for show/ostentatious/flaunting/showing off/
此処 [ここ] /(n) (1) (uk) here (place physically close to the speaker, place pointed by the speaker while explaining)/this place/(2) these last (followed by a duration noun and a past sentence: time period before the present time of the speaker)/(3) these next ... (followed by a duration noun and a non past sentence: time period after the present time of the speaker)/the next .../(P)/
此処いら [ここいら] /(n) (uk) around here/in this vicinity/this area/
此処が思案のし所 [ここがしあんのしどころ] /(exp) (id) This is the point we need to think about/
此処で逢ったが百年目 [ここであったがひゃくねんめ] /(exp) (id) At last your time has come/
此処で会ったが百年目 [ここであったがひゃくねんめ] /(exp) (id) At last your time has come/
此処に於て [ここにおいて] /(conj) (1) (uk) now/at this time/(2) as such/for this reason/hence/
此処ら [ここら] /(pn,adj-no) (uk) hereabouts/around here/
此処ん所 [ここんとこ] /(n) this place/here/
此処一番 [ここいちばん] /(n) the crucial moment/the moment of truth/a do-or-die situation/a crucial juncture/a crucial stage/
此処等 [ここら] /(pn,adj-no) (uk) hereabouts/around here/
此処彼処 [ここかしこ] /(exp) (uk) here and there/around and about/
此所 [ここ] /(n) (1) (uk) here (place physically close to the speaker, place pointed by the speaker while explaining)/this place/(2) these last (followed by a duration noun and a past sentence: time period before the present time of the speaker)/(3) these next ... (followed by a duration noun and a non past sentence: time period after the present time of the speaker)/the next .../
此所ら [ここら] /(pn,adj-no) (uk) hereabouts/around here/
此度 [こたび] /(n-adv,n-t) this occasion/at this time/now/
此度 [このたび] /(n-adv,n-t) this occasion/at this time/now/
此奴 [こいつ] /(pn,adj-no) (uk) (col) this fellow/this guy/this person/(P)/
此奴 [こやつ] /(pn,adj-no) (uk) (col) this fellow/this guy/this person/
此奴ら [こいつら] /(n) (uk) these guys/these fellows/(P)/
此等 [これら] /(pn,adj-no) (uk) these/
此彼 [これかれ] /(n) (1) (uk) this and that/(2) this person and that person/anybody/
此方 [こち] /(ok) (n) (1) (uk) this way (direction close to the speaker or towards the speaker)/this direction/(2) here (place close to the speaker or where the speaker is)/(3) this one (something physically close to the speaker)/(pn,adj-no) (4) I/me/(5) this person (someone physically close to the speaker and of equal or higher status)/
此方 [こちら] /(n) (1) (uk) this way (direction close to the speaker or towards the speaker)/this direction/(2) here (place close to the speaker or where the speaker is)/(3) this one (something physically close to the speaker)/(pn,adj-no) (4) I/me/(5) this person (someone physically close to the speaker and of equal or higher status)/(P)/
此方 [こっち] /(n) (1) (uk) this way (direction close to the speaker or towards the speaker)/this direction/(2) here (place close to the speaker or where the speaker is)/(3) this one (something physically close to the speaker)/(pn,adj-no) (4) I/me/(5) this person (someone physically close to the speaker and of equal or higher status)/(P)/
此方 [こなた] /(n) (1) (uk) this way/here/(2) the person in question/he/she/him/her/(3) since (a time in the past)/prior to (a time in the future)/(pn,adj-no) (4) me/(5) you/
此方 [こんた] /(ok) (n) (1) you/
此方の話 [こちらのはなし] /(exp) talking to oneself/
此方持ち [こちらもち] /(exp) (id) It's on me/
此方人等 [こちとら] /(pn,adj-no) (sl) (uk) we/
此方様 [こなさま] /(pn) (arch) you/
此方様 [こなたさま] /(pn) (arch) you/
此様 [こなさま] /(pn) (arch) you/
此樣 [こなさま] /(oK) (pn) (arch) you/
頃 [けい] /(n) (obsc) qing (Chinese unit of land area equal to 100 mu)/
頃 [ころ] /(n,n-adv,n-suf) (1) (uk) (approximate) time/around/about/toward/(2) suitable time (or condition)/(3) time of year/season/(P)/
頃 [ころおい] /(n) time/period/days/
頃 [ごろ] /(n,n-adv,n-suf) (1) (uk) (approximate) time/around/about/toward/(2) suitable time (or condition)/(3) time of year/season/(P)/
頃おい [ころおい] /(n) time/period/days/
頃合 [ころあい] /(n,adj-no) (1) suitable time/good time/(2) propriety/moderation/
頃合い [ころあい] /(n,adj-no) (1) suitable time/good time/(2) propriety/moderation/
頃刻 [けいこく] /(n) short period/
頃日 [けいじつ] /(n-adv,n-t) recently/these days/
今 [いま] /(n-adv,n) now/the present time/just now/soon/immediately/(one) more/(P)/
今 [こん] /(pref) (1) the current .../this/(2) today's .../
今々 [いまいま] /(n) right now/
今か今か [いまかいまか] /(adv-to) eagerly waiting/
今が今 [いまがいま] /(exp) just now/
今が今まで [いまがいままで] /(exp) till just now/
今こそ [いまこそ] /(adv) now is the time/
今ごろ [いまごろ] /(n-adv,n-t) about this time/(P)/
今さら [いまさら] /(adv,n) now (after such a long time)/at this late hour (i.e. it is too late for something)/
今しがた [いましがた] /(adv,n) moment ago/
今しき [いましき] /(adj-pn) now (emph.)/
今し方 [いましがた] /(adv,n) moment ago/
今すぐ [いますぐ] /(adv) at once/immediately/right now/(P)/
今だに [いまだに] /(iK) (adv) still/even now/until this very day/
今では [いまでは] /(adv) now/nowadays/
今でも [いまでも] /(n) even now/still/as yet/
今どき [いまどき] /(n-adv,n-t) present day/today/recently/these days/nowadays/at this hour/
今なお [いまなお] /(adv) still/even now/
今に [いまに] /(adv) before long/even now/(P)/
今にも [いまにも] /(adv) at any time/soon/(P)/
今に始めぬ [いまにはじめぬ] /(exp) (id) It's nothing new/
今のところ [いまのところ] /(n) at present/
今の所 [いまのところ] /(n) at present/
今の内 [いまのうち] /(exp) without delay/at once/
今はこれまで [いまはこれまで] /(conj,exp,adv) unavoidable/this is it/this is the end/left with no choice/
今は此れ迄 [いまはこれまで] /(exp) (id) It's all over now/
今は是迄 [いまはこれまで] /(conj,exp,adv) unavoidable/this is it/this is the end/left with no choice/
今は昔 [いまはむかし] /(exp) once upon a time/
今ひとつ [いまひとつ] /(adj-na,adv) (1) (uk) (col) one more/another/the other/(2) not quite/not very good/lacking/
今まで [いままで] /(adv) until now/so far/up to the present/(P)/
今までどおり [いままでどおり] /(exp,n-adv,adj-no) in the same manner as before/the same as always/
今までにも [いままでにも] /(n) up until now/as recently as the present/
今まで通り [いままでどおり] /(exp,n-adv,adj-no) in the same manner as before/the same as always/
今めかしい [いまめかしい] /(adj-i) fashionable/
今めかす [いまめかす] /(v5s) to modernize/to modernise/
今もって [いまもって] /(adv) until now/
今もなお [いまもなお] /(adv) still/even now/
今も尚 [いまもなお] /(adv) still/even now/
今も猶 [いまもなお] /(adv) still/even now/
今や [いまや] /(adv) now/(P)/
今や遅しと [いまやおそしと] /(adv) impatiently/eagerly/
今わ [いまわ] /(n) one's dying moment or hour/
今わの際 [いまわのきわ] /(n) verge of death/dying moments/
今を去ること [いまをさること] /(exp) dating back from now/
今を時めく [いまをときめく] /(exp,v5k) at the height of one's power or influence/at the peak of one's popularity/
今を生きる [いまをいきる] /(exp,v1) to make the most of the present/to live for the moment/to seize the day/
今を盛りと [いまをさかりと] /(exp) in full bloom at the moment/
今カノ [いまカノ] /(n) present girlfriend/
今以て [いまもって] /(adv) still/yet/(not) yet/
今一 [いまいち] /(adj-na,adv) (1) (uk) (col) one more/another/the other/(2) not quite/not very good/lacking/(P)/
今一 [いまひとつ] /(adj-na,adv) (1) (uk) (col) one more/another/the other/(2) not quite/not very good/lacking/
今一つ [いまひとつ] /(adj-na,adv) (1) (uk) (col) one more/another/the other/(2) not quite/not very good/lacking/(P)/
今一度 [いまいちど] /(n) once more/
今一歩 [いまいっぽ] /(n,adv) (1) one more/another/the other/not quite/(2) close run/just falling short of success/
今夏 [こんか] /(n-adv,n-t) this summer/next summer/last summer/(P)/
今芽樫 [いまめがし] /(n) (uk) (obsc) ubame oak (Quercus phillyraeoides)/
今回 [こんかい] /(n-adv,n-t) now/this time/lately/(P)/
今期 [こんき] /(n-adv,n-t) the present term/(P)/
今季 [こんき] /(n-adv,n-t) this season/(P)/
今宮 [いまみや] /(n) (1) newly born imperial prince/(2) newly constructed (branch) shrine/
今暁 [こんぎょう] /(n-adv,n-t) this morning (at dawn)/
今月 [こんげつ] /(n-adv,n-t) this month/(P)/
今月分 [こんげつぶん] /(n) (charge) for this month/
今月末 [こんげつまつ] /(n) end of this month/
今古 [きんこ] /(n) now and anciently/
今戸焼 [いまどやき] /(n) Imado (part of Edo) unglazed porcelain/Imado ware/
今吾 [こんご] /(n) (arch) one's present self/
今後 [こんご] /(n-adv,n-t) from now on/hereafter/(P)/
今後とも [こんごとも] /(n-adv) from now on/
今後共 [こんごとも] /(n-adv) from now on/
今更 [いまさら] /(adv,n) now (after such a long time)/at this late hour (i.e. it is too late for something)/(P)/
今国会 [こんこっかい] /(n) current Diet session/
今頃 [いまごろ] /(n-adv,n-t) about this time/
今今 [いまいま] /(n) right now/
今際 [いまわ] /(n) one's dying moment or hour/
今際の際 [いまわのきわ] /(n) verge of death/dying moments/
今思うと [いまおもうと] /(exp) thinking back now/
今時 [いまどき] /(n-adv,n-t) present day/today/recently/these days/nowadays/at this hour/
今時分 [いまじぶん] /(n-adv,n-t) about this time/
今次 [こんじ] /(adj-no,n-adv,n-t) the present time/new/recent/
今秋 [こんしゅう] /(n-adv,n-t) this (next, last) autumn (fall)/(P)/
今週 [こんしゅう] /(n-adv,n-t) this week/(P)/
今週中 [こんしゅうちゅう] /(n) all this week/
今週末 [こんしゅうまつ] /(n) this weekend/
今出来 [いまでき] /(n,adj-no) something new (with nuance of poor quality)/out now/fresh/
今春 [こんしゅん] /(n-adv,n-t) this spring/spring this year/(P)/
今宵 [こよい] /(n-adv,n-t) this evening/tonight/
今少し [いますこし] /(adv) a little more/
今尚 [いまなお] /(adv) still/even now/
今上 [きんじょう] /(n) (sens) the reigning emperor/
今上天皇 [きんじょうてんのう] /(n) the present Emperor/
今上陛下 [きんじょうへいか] /(n) the reigning emperor/His Majesty the Emperor/
今人 [こんじん] /(n) present-day people/people of this world/
今世界 [こんせかい] /(n) this world/
今世紀 [こんせいき] /(n) this century/
今是昨非 [こんぜさくひ] /(exp) complete reversal of values or ways of thinking (over time)/What appeared wrong in the past now appears right/realizing and regretting the past errors of one's ways/
今生 [こんじょう] /(n) this life/this world/
今生の別れ [こんじょうのわかれ] /(exp) final farewell/
今昔 [こんじゃく] /(n) past and present/(P)/
今昔 [こんせき] /(n) past and present/
今昔物語 [こんじゃくものがたり] /(n) (abbr) Konjaku Monogatarishuu (31-volume collection of stories written during the late Heian period)/
今昔物語集 [こんじゃくものがたりしゅう] /(n) Konjaku Monogatarishuu (31-volume collection of stories written during the late Heian period)/
今川焼 [いまがわやき] /(n) Japanese muffin containing bean jam, served hot/
今朝 [けさ] /(n-t) this morning/(P)/
今朝 [こんちょう] /(n-t) this morning/
今朝方 [けさがた] /(n-t) this morning/
今直ぐ [いますぐ] /(adv) at once/immediately/right now/
今程 [いまほど] /(n) recently/a moment before/
今度 [こんど] /(n-adv,n-t) now/this time/next time/another time/(P)/
今度限り [こんどかぎり] /(exp) for this once only/
今冬 [こんとう] /(n-adv,n-t) this winter/next winter/last winter/
今道心 [いまどうしん] /(n) neophyte/novice/
今日 [きょう] /(n-t) (1) today/this day/(P)/
今日 [こんじつ] /(n-t) (1) today/this day/
今日 [こんにち] /(n-t) (1) today/this day/(2) these days/recently/nowadays/(P)/
今日では [こんにちでは] /(exp,adv) nowadays/in this day and age/
今日は [こんちは] /(int) (uk) hello/good day (daytime greeting)/
今日は [こんにちは] /(int) (uk) hello/good day (daytime greeting)/(P)/
今日は人の身明日は我が身 [きょうはひとのみあすはわがみ] /(exp) (id) What chances to one man may happen to all/
今日まで [きょうまで] /(exp) until today/
今日まで [こんにちまで] /(exp) until today/
今日昨日 [きょうきのう] /(n) (1) today and yesterday/(2) (something that happened) only yesterday (just recently)/
今日中 [きょうじゅう] /(n) by today/before the day is over/
今日的 [こんにちてき] /(adj-na) modern/up-to-date/(P)/
今日日 [きょうび] /(n-adv,n-t) nowadays/
今日明日 [きょうあす] /(n) today and tomorrow/today or tomorrow/in a day or two/
今日様 [こんにちさま] /(n) sun god/
今年 [ことし] /(n-adv,n-t) this year/(P)/
今年 [こんねん] /(n-adv,n-t) this year/
今年度 [こんねんど] /(n-adv,n-t) this year/(P)/
今般 [こんぱん] /(n-adv,n-t) now/recently/this time/
今晩 [こんばん] /(n-adv,n-t) tonight/this evening/(P)/
今晩は [こんばんは] /(exp) (uk) good evening/(P)/
今風 [いまふう] /(adj-na,n,adj-no) modern style/
今方 [いまがた] /(adv,n) a moment ago/
今迄 [いままで] /(adv) until now/so far/up to the present/
今明日 [こんみょうにち] /(n-t) today and (or) tomorrow/
今夜 [こんや] /(n-adv,n-t) this evening/tonight/(P)/
今猶 [いまなお] /(adv) still/even now/
今夕 [こんせき] /(n-adv,n-t) this evening/tonight/
今夕 [こんゆう] /(n-adv,n-t) this evening/tonight/
今様 [いまよう] /(n) modern style/
今様歌 [いまよううた] /(n) Heian poetry style/
今茲 [こんじ] /(n-t) (arch) this year/the current year/
困じる [こうじる] /(v1,vi) (1) to be troubled/to be worried/to be bothered/(2) (arch) to become exhausted/
困ずる [こうずる] /(vz,vi) (1) to be troubled/to be worried/to be bothered/(2) (arch) to become exhausted/
困らせる [こまらせる] /(v1) to trouble with questions/to embarrass/to put out/to put on the spot/to inconvenience/
困り果てる [こまりはてる] /(v1,vi) to be greatly perplexed/to be greatly embarrassed/(P)/
困り者 [こまりもの] /(n) good-for-nothing/scapegrace/nuisance/trouble/
困り切る [こまりきる] /(v5r,vi) to be greatly perplexed/to be greatly embarrassed/
困り抜く [こまりぬく] /(v5k,vi) to be at one's wit's end/to be in great trouble/to be at a loss/
困る [こまる] /(v5r,vi) to be troubled/to be worried/to be bothered/to be embarrassed/to be stumped/(P)/
困却 [こんきゃく] /(n,vs) perplexity/dilemma/
困窮 [こんきゅう] /(n,vs) poverty/distress/(P)/
困窮者 [こんきゅうしゃ] /(n) the poor or needy or destitute/
困苦 [こんく] /(n,vs) privation/hardship/
困苦窮乏 [こんくきゅうぼう] /(n) hardships and privations/
困苦欠乏 [こんくけつぼう] /(n) hardships and privations/
困難 [こんなん] /(adj-na,n) difficulty/distress/(P)/
困難と戦う [こんなんとたたかう] /(v5u) to contend with difficulties/
困難と闘う [こんなんとたたかう] /(v5u) to contend with difficulties/
困難に陥れる [こんなんにおとしいれる] /(exp,v1) to put (a person) in a fix/
困厄 [こんやく] /(n,vs) (arch) distress/disaster/
困惑 [こんわく] /(n,vs) bewilderment/disturbance/(P)/
困憊 [こんぱい] /(n,vs) exhaustion/fatigue/
困阨 [こんやく] /(n,vs) (arch) distress/disaster/
坤 [こん] /(n) kun (one of the trigrams of the I Ching: earth, southwest)/
坤 [ひつじさる] /(n) (arch) southwest/
墾田 [こんでん] /(n) new rice field/
婚 [よばい] /(n,vs) ancient practice of creeping at night into a woman's bedroom (lit: night crawling)/stealing into a girl's bedroom at night to make love/sneaking visit/
婚姻 [こんいん] /(n,adj-no,vs) marriage/matrimony/(P)/
婚姻挙行者 [こんいんきょこうしゃ] /(n) marriage solemnizer/marriage celebrant/
婚姻手続 [こんいんてつづき] /(n) marriage procedures/procedure of marriage/
婚姻手続き [こんいんてつづき] /(n) marriage procedures/procedure of marriage/
婚姻色 [こんいんしょく] /(n) nuptial coloration (colouration)/
婚姻適齢 [こんいんてきれい] /(n) legal age of marriage/
婚姻届 [こんいんとどけ] /(n) marriage registration/
婚姻届け書 [こんいんとどけしょ] /(n) marriage registration/
婚姻届書 [こんいんとどけしょ] /(n) marriage registration/
婚姻法 [こんいんほう] /(n) marriage laws/
婚姻要件具備証明書 [こんいんようけんぐびしょうめいしょ] /(n) certificate of legal capacity to contract marriage/certification of one's legal capacity to be married/
婚家 [こんか] /(n) the family of one's husband/
婚外 [こんがい] /(adj-f) extramarital (e.g. sex)/
婚外交渉 [こんがいこうしょう] /(n) extramarital sex/
婚外子 [こんがいし] /(n) child born out of wedlock/illegitimate child/love child/
婚外性交 [こんがいせいこう] /(n) adultery/extra-marital intercourse/
婚活 [こんかつ] /(n) (abbr) searching for a marriage partner/marriage hunting/activities leading to marriage, e.g. dating, courtship, etc./
婚期 [こんき] /(n) marriageable age/chance of marriage/
婚儀 [こんぎ] /(n) wedding ceremony/
婚人 [よばいびと] /(n) (arch) suitor/
婚星 [よばいぼし] /(n) meteor/shooting star/
婚前 [こんぜん] /(adj-no) premarital/prenuptial/
婚前契約 [こんぜんけいやく] /(n) prenuptial agreement/
婚前契約書 [こんぜんけいやくしょ] /(n) prenuptial agreement/
婚前交渉 [こんぜんこうしょう] /(n) premarital sexual relations (intercourse)/
婚文 [よばいぶみ] /(n) (arch) loveletter/letter proposing marriage/
婚約 [こんやく] /(n,vs,adj-no) engagement/betrothal/(P)/
婚約指輪 [こんやくゆびわ] /(n) engagement ring/
婚約者 [こんやくしゃ] /(n) fiance/fiancee/(P)/
婚約破棄 [こんやくはき] /(n) breaking off an engagement/
婚礼 [こんれい] /(n) marriage ceremony/wedding/
婚礼の儀 [こんれいのぎ] /(n) wedding ceremony/
婚礼衣装 [こんれいいしょう] /(n) wedding clothes/
恨しい [うらめしい] /(io) (adj-i) reproachful/hateful/bitter/
恨み [うらみ] /(n) (1) resentment/grudge/malice/bitterness/(2) matter for regret/regret/(P)/
恨みがましい [うらみがましい] /(adj-i) reproachful/resentful/spiteful/
恨みっこなし [うらみっこなし] /(exp) with no hard feelings/
恨みっこのないように [うらみっこのないように] /(adv) making it even/for fair play/
恨みっこ無し [うらみっこなし] /(exp) with no hard feelings/
恨みつらみ [うらみつらみ] /(n) pent-up resentment/grudges and hard feelings/
恨みを晴らす [うらみをはらす] /(exp,v5s) to avenge oneself/
恨みを買う [うらみをかう] /(exp,v5u) to incur someone's enmity/
恨み言 [うらみごと] /(n) grudge/complaint/reproach/
恨み辛み [うらみつらみ] /(n) pent-up resentment/grudges and hard feelings/
恨む [うらむ] /(v5m,vt) (1) to resent/to curse/to feel bitter/to blame/to bear a grudge/(2) to regret/(P)/
恨むらくは [うらむらくは] /(exp,adv) I regret that/I feel terrible but/I'm sorry but/
恨めしい [うらめしい] /(adj-i) reproachful/hateful/bitter/
恨めし気に [うらめしげに] /(adv) reproachfully/
恨事 [こんじ] /(n) regrettable matter/
恨布 [こぶ] /(iK) (n) kombu (any kelp of genus Laminaria) (konbu)/devil's apron/
恨布 [こんぶ] /(iK) (n) kombu (any kelp of genus Laminaria) (konbu)/devil's apron/
懇 [ねもころ] /(io) (ok) (adj-na) (1) kind/courteous/hospitable/warmly respectful/(2) intimate/(n,vs) (3) (arch) becoming intimate/having an intimate relationship (sometimes esp. a homosexual relationship)/
懇 [ねんごろ] /(io) (adj-na) (1) kind/courteous/hospitable/warmly respectful/(2) intimate/(n,vs) (3) (arch) becoming intimate/having an intimate relationship (sometimes esp. a homosexual relationship)/
懇々 [こんこん] /(adj-t,adv-to) repeated/earnest/kind/
懇ろ [ねもころ] /(ok) (adj-na) (1) kind/courteous/hospitable/warmly respectful/(2) intimate/(n,vs) (3) (arch) becoming intimate/having an intimate relationship (sometimes esp. a homosexual relationship)/
懇ろ [ねんごろ] /(adj-na) (1) kind/courteous/hospitable/warmly respectful/(2) intimate/(n,vs) (3) (arch) becoming intimate/having an intimate relationship (sometimes esp. a homosexual relationship)/
懇ろになる [ねんごろになる] /(exp,v5r) to become intimate with (e.g. a woman)/to become acquainted/
懇意 [こんい] /(adj-na,n) kindness/intimacy/friendship/(P)/
懇意になる [こんいになる] /(exp,v5r) to get (become) acquainted/to get to know/to get (become) intimate with/to become friendly with/to become friends/
懇願 [こんがん] /(n,vs) entreaty/supplication/petition/(P)/
懇懇 [こんこん] /(adj-t,adv-to) repeated/earnest/kind/
懇書 [こんしょ] /(n) your kind letter/
懇情 [こんじょう] /(n) kindliness/
懇親 [こんしん] /(n) friendship/intimacy/(P)/
懇親会 [こんしんかい] /(n) friendly reunion/get-together/
懇請 [こんせい] /(n,vs) appeal/entreaty/request/
懇切 [こんせつ] /(adj-na,n) kindness/cordiality/exhaustiveness/(P)/
懇切丁寧 [こんせつていねい] /(n,adj-na) (an explanation, advice, etc. being) kind, careful, and thorough/
懇談 [こんだん] /(n,vs) informal talk/(P)/
懇談会 [こんだんかい] /(n) (1) social gathering/informal get-together/(2) colloquium/panel discussion/
懇篤 [こんとく] /(adj-na,n) cordial/kind/
懇望 [こんぼう] /(n,vs) entreaty/solicitation/earnest request/
懇望 [こんもう] /(n,vs) entreaty/solicitation/earnest request/
懇命 [こんめい] /(n) kind words/
懇話 [こんわ] /(n,vs) friendly (familiar) chat (talk)/(P)/
懇話会 [こんわかい] /(n) friendly get-together/
昏々 [こんこん] /(adj-t,adv-to) fast asleep/dead to the world/
昏い [くらい] /(adj-i) (1) (uk) dark/gloomy/(2) dark (in colour)/dull/(3) depressed/dispirited/(4) sorrowful/bitter (as in a dark past)/(5) unclear/unfamiliar/unknown/
昏昏 [こんこん] /(adj-t,adv-to) fast asleep/dead to the world/
昏睡 [こんすい] /(n,vs,adj-no) (1) lethargy/stupor/(2) coma/dead sleep/(P)/
昏睡状態 [こんすいじょうたい] /(n,adj-no) lethargic state/comatose state/
昏倒 [こんとう] /(n,vs) swoon/faint/
昏冥 [こんめい] /(n) darkness/gloom/
昏迷 [こんめい] /(n,vs,adj-no) stupefaction/stupor/unconsciousness/confusion/
昏迷状態 [こんめいじょうたい] /(n) befuddled (bewildered, confused) state/stupor/
昆孫 [こんそん] /(n) great-great-great-great-grandchild/
昆虫 [こんちゅう] /(n,adj-no) insect/bug/(P)/
昆虫ウイルス [こんちゅうウイルス] /(n) insect virus/
昆虫ホルモン [こんちゅうホルモン] /(n) insect hormone (i.e. ecdysone)/
昆虫学 [こんちゅうがく] /(n) entomology/study of insects/
昆虫学者 [こんちゅうがくしゃ] /(n) entomologist/
昆虫採集 [こんちゅうさいしゅう] /(n) insect collecting/
昆布 [こぶ] /(n) kombu (any kelp of genus Laminaria) (konbu)/devil's apron/
昆布 [こんぶ] /(n) kombu (any kelp of genus Laminaria) (konbu)/devil's apron/(P)/
昆布巻 [こぶまき] /(n) type of food (sliced dried herring or other fish wrapped in konbu seaweed and boiled)/
昆布巻 [こんぶまき] /(n) type of food (sliced dried herring or other fish wrapped in konbu seaweed and boiled)/
昆布巻き [こぶまき] /(n) type of food (sliced dried herring or other fish wrapped in konbu seaweed and boiled)/
昆布巻き [こんぶまき] /(n) type of food (sliced dried herring or other fish wrapped in konbu seaweed and boiled)/
昆布出し [こんぶだし] /(n) soup stock made from konbu/
昆布茶 [こぶちゃ] /(n) kelp tea/
昆布茶 [こんぶちゃ] /(n) kelp tea/
根 [こん] /(n) (1) stick-to-itiveness/perseverance/persistence/(2) radical (esp. one that tends to ionize easily)/(3) (math) root/(4) (Buddh) indriya (faculty of the body having a specific function, i.e. the sensory organs)/
根 [ね] /(n) (1) root (of a plant)/(2) root (of a tooth, hair, etc.)/center (of a pimple, etc.)/(3) root root (of all evil, etc.)/source/origin/cause/basis/(4) one's true nature/(5) (fishing) reef/(P)/
根から [ねから] /(adv,adj-no) (1) since the beginning/natural-born (salesman, etc.)/(2) (followed by a verb in negative form) absolutely (not)/(not) at all/
根から葉から [ねからはから] /(adv) (obsc) (followed by a verb in negative form) absolutely (not)/(not) at all/
根が付く [ねがつく] /(exp,v5k) to take (strike) root/
根こそぎ [ねこそぎ] /(adv) root and branch/thoroughly/by the roots/
根ざす [ねざす] /(v5s,vi) to come from/to have roots in/(P)/
根っから [ねっから] /(adj-no,adv) (1) by nature/from the very beginning/through and through/at heart/(2) (followed by a verb in negative form) absolutely (not)/(not) at all/
根っから葉っから [ねっからはっから] /(adv) (obsc) (followed by a verb in negative form) absolutely (not)/(not) at all/
根っこ [ねっこ] /(n) root/stub/stump/(P)/
根っ子 [ねっこ] /(n) root/stub/stump/(P)/
根づく [ねづく] /(v5k,vi) to take root/to strike/
根に持つ [ねにもつ] /(exp,v5t) to hold a grudge/to hold something against somebody/
根の国 [ねのくに] /(n) (arch) underworld/
根の良い [こんのよい] /(n) enduring/persevering/
根はおとなしい [ねはおとなしい] /(exp,adj-i) tenderhearted by nature/
根は大人しい [ねはおとなしい] /(exp,adj-i) tenderhearted by nature/
根ほり葉ほり [ねほりはほり] /(exp,adv) thoroughly/persistently/through-and-through/
根も葉もない [ねもはもない] /(exp) unfounded rumor/unfounded rumour/completely untrue/
根も葉も無い噂 [ねもはもないうわさ] /(n) groundless rumor/groundless rumour/
根を下ろす [ねをおろす] /(exp,v5s) to take root/
根を詰める [こんをつめる] /(exp,v1) to strain one's nerve/
根を生じる [ねをしょうじる] /(exp,v1) to take root/to put forth roots/
根を生やす [ねをはやす] /(exp,v5s) (1) to plant oneself/to settle in/(2) to be well-established (e.g. of a religion in a particular area)/to have taken root/
根を張る [ねをはる] /(exp,v5r) to spread one's roots (of a tree, etc.)/to take root (of an ideology, etc.)/
根コンテキスト [ねコンテキスト] /(n) (comp) root context/
根扱ぎ [ねこぎ] /(n) uprooting/
根暗 [ねくら] /(adj-na,n) dark-natured/introverted/dour/moody/insular/glum/gloomy/pessimistic/
根引き [ねびき] /(n,vs) uproot/redeem/
根音 [こんおん] /(n,adj-no) root (of a musical chord)/
根回し [ねまわし] /(n,vs) making necessary arrangements/laying the groundwork/(P)/
根回り [ねまわり] /(n) root circumference/
根株 [ねかぶ] /(n) stump/
根冠 [こんかん] /(n) root cap/
根幹 [こんかん] /(n) basis/nucleus/root and branch/(P)/
根管 [こんかん] /(n) root canal/
根管治療 [こんかんちりょう] /(n) root canal therapy/
根岸流 [ねぎしりゅう] /(n) conservative calligraphy style used to write sumo rankings/
根基 [こんき] /(n) radical/
根気 [こんき] /(n) patience/perseverance/persistence/tenacity/energy/(P)/
根気よく [こんきよく] /(adv) patiently/with perseverance/
根気仕事 [こんきしごと] /(n) laborious task/
根気負け [こんきまけ] /(n,vs) being outpersevered/
根気良く [こんきよく] /(adv) patiently/with perseverance/
根拠 [こんきょ] /(n,vs) basis/foundation/(P)/
根拠のない [こんきょのない] /(adj-i) baseless/groundless/
根拠地 [こんきょち] /(n) base (of operations)/
根競べ [こんくらべ] /(n,vs) endurance contest/test of endurance/
根強い [ねづよい] /(adj-i) firmly rooted/deep-seated/(P)/
根喰葉虫 [ねくいはむし] /(n) (uk) leaf beetle (of subfamily Donaciinae)/
根掘り葉掘り [ねほりはほり] /(exp,adv) thoroughly/persistently/through-and-through/(P)/
根茎 [こんけい] /(n,adj-no) rhizome/root stalk/
根堅州国 [ねのかたすくに] /(n) (arch) underworld/netherworld/
根元 [こんげん] /(n,adj-no) root/source/origin/foundation/base/principle/
根元 [ねもと] /(n,adj-no) root/source/origin/foundation/base/principle/(P)/
根原 [こんげん] /(n,adj-no) root/source/origin/foundation/base/principle/
根源 [こんげん] /(n,adj-no) root/source/origin/foundation/base/principle/(P)/
根限り [こんかぎり] /(adv,n) with all one's might/
根号 [こんごう] /(n) radical sign/square root/
根差す [ねざす] /(v5s,vi) to come from/to have roots in/
根菜 [こんさい] /(n) root crops/
根菜類 [こんさいるい] /(n) root crops/
根笹 [ねざさ] /(n) dwarf bamboo (varieties that thrive in western Japan)/
根子 [ねっこ] /(n) root/stub/stump/
根治 [こんじ] /(n,vs) complete (radical) cure/
根治 [こんち] /(n,vs) complete (radical) cure/
根城 [ねじろ] /(n) stronghold/citadel/headquarters/
根深 [ねぶか] /(n) Welsh onion (species of scallion, Allium fistulosum)/
根深い [ねぶかい] /(adj-i) deep-rooted/ingrained/
根深汁 [ねぶかじる] /(n) Welsh onion miso soup/
根性 [こんじょう] /(n,vs) will-power/guts/temper/nature/spirit/(P)/
根性が曲がる [こんじょうがまがる] /(exp,v5r) to have a perverse character/to have a twisted personality/
根性のすわった [こんじょうのすわった] /(adj-f) fearless/
根性焼き [こんじょうやき] /(n) test of courage by burning skin with cigarette/
根石 [ねいし] /(n) base-stone/plinth stone/stone that serves as a pedestal for a pillar/
根切り [ねぎり] /(n) (1) root cutting/(2) excavation (as preparation for construction)/
根切り虫 [ねきりむし] /(n) cutworm/
根切虫 [ねきりむし] /(n) cutworm/
根接ぎ [ねつぎ] /(n) root grafting/
根雪 [ねゆき] /(n) lingering snow/
根絶 [こんぜつ] /(n,vs) eradication/extermination/(P)/
根絶やし [ねだやし] /(n) eradication/extermination/
根太 [ねだ] /(n) joist/
根太 [ねぶと] /(n) (skin) boil/
根太板 [ねだいた] /(n) floorboard/
根底 [こんてい] /(n) root/basis/foundation/(P)/
根締め [ねじめ] /(n) (1) pounding down earth around the roots of a tree/(2) adding short branches of flowers to the base of an arrangement in ikebana/
根鉢 [ねばち] /(n) root clump/
根抜き [ねぬき] /(n) (1) pulling out by the roots/pulling up roots and all/(adj-no) (2) native born/true born/
根比べ [こんくらべ] /(n,vs) endurance contest/test of endurance/
根付 [ねつけ] /(n) miniature carving attached to the end of a cord hanging from a pouch/netsuke/
根付く [ねづく] /(v5k,vi) to take root/to strike/
根付け [ねつけ] /(n) miniature carving attached to the end of a cord hanging from a pouch/netsuke/
根負け [こんまけ] /(n,vs) being beaten down by one's opponent's persistence/being outlasted/running out of patience/
根分け [ねわけ] /(n,vs) dividing a plant's roots for transplanting/
根保証 [ねほしょう] /(n) basic guarantee/initial guarantee/revolving guarantee/revolving credit agreement/
根方 [ねかた] /(n) root/lower part/
根堀り葉堀り [ねほりはほり] /(iK) (exp,adv) thoroughly/persistently/through-and-through/
根本 [こんぽん] /(n,adj-no) root/source/origin/foundation/base/principle/(P)/
根本 [ねほん] /(n) (1) (arch) (ksb:) kabuki script/(2) (abbr) illustrated kabuki script/
根本 [ねもと] /(n,adj-no) root/source/origin/foundation/base/principle/(P)/
根本悪 [こんぽんあく] /(n) radical evil (in Kantian philosophy)/
根本原理 [こんぽんげんり] /(n) fundamental (basic) principles/fundamentals/ground rules/
根本主義 [こんぽんしゅぎ] /(n) fundamentalism/
根本主義者 [こんぽんしゅぎしゃ] /(n) fundamentalist/
根本的 [こんぽんてき] /(adj-na) fundamental/basic/(P)/
根無し [ねなし] /(n) rootless/groundless/
根無し草 [ねなしぐさ] /(n) duckweed/rootless person/
根明 [ねあか] /(n) (1) innate cheerfulness/(2) innately cheerful person/happy-go-lucky person/natural optimist/
根明か [ねあか] /(n) (1) innate cheerfulness/(2) innately cheerful person/happy-go-lucky person/natural optimist/
根毛 [こんもう] /(n,adj-no) root hair/
根来 [ねごろ] /(n) (abbr) Negoro lacquerware/
根来塗り [ねごろぬり] /(n) Negoro lacquerware/
根粒 [こんりゅう] /(n) root nodule/
根粒菌 [こんりゅうきん] /(n) root nodule bacteria/
根刮ぎ [ねこそぎ] /(adv) root and branch/thoroughly/by the roots/
根柢 [こんてい] /(n) root/basis/foundation/
根瘤 [こんりゅう] /(n) root nodule/
梱 [こり] /(n) wrapped package/bale/
梱る [こうる] /(v5r,vt) (obsc) to pack/to box/to package/
梱る [こる] /(v5r,vt) (obsc) to pack/to box/to package/
梱包 [こんぽう] /(n,vs) packing/crating/packaging/
梱包材 [こんぽうざい] /(n) packing material (boxes, insulation, shock resistance, etc.)/
梱包費 [こんぽうひ] /(n) packaging cost/
混 [こん] /(n-pref) mixed/opposite of pure/
混々 [こんこん] /(adj-t,adv-to) copious (flowing)/
混ざり物 [まざりもの] /(n) impurity/
混ざる [まざる] /(v5r,vi) to be mixed/to be blended with/to associate with/to mingle with/to join/(P)/
混じり [まじり] /(n,n-suf) mixed/mingled/
混じり気 [まじりけ] /(n) a dash of (something)/impurity/mixture/
混じり合う [まじりあう] /(v5u) to be mixed together/to be blended/to intermingle/to commingle/
混じり物 [まじりもの] /(n) mixture/impurity/adulteration/
混じる [こんじる] /(v1,vi,vt) to be mixed in with/to blend with/
混じる [まじる] /(v5r,vi) to be mixed/to be blended with/to associate with/to mingle with/to interest/to join/(P)/
混ずる [こんずる] /(vz,vi,vt) to be mixed in with/to blend with/
混ぜこぜ [まぜこぜ] /(n) (uk) jumble (of two or several things)/mix/
混ぜっ返す [まぜっかえす] /(v5s,vt) (1) to stir/to mix/(2) to banter/to make fun of (what a person says)/to stir up/to jeer at/to interfere (when one talks)/
混ぜる [まぜる] /(v1,vt) to mix/to stir/to blend/(P)/
混ぜ合せる [まぜあわせる] /(v1,vt) to mix/to blend/to combine/
混ぜ合わす [まぜあわす] /(v5s) to mix together/to blend/to compound/(P)/
混ぜ合わせる [まぜあわせる] /(v1,vt) to mix/to blend/to combine/
混ぜ込む [まぜこむ] /(v5m) to use (in cooking)/to mix (in)/
混ぜ書き [まぜがき] /(n) mixed writing (e.g. kanji and kana)/
混ぜ物 [まぜもの] /(n) mixture/adulteration/(P)/
混ぜ返す [まぜかえす] /(v5s,vt) (1) to stir/to mix/(2) to banter/to make fun of (what a person says)/to stir up/to jeer at/to interfere (when one talks)/
混み合う [こみあう] /(v5u,vi) to be crowded/to be packed/to be jammed/
混む [こむ] /(v5m,vi) (1) to be crowded/to be packed/(2) to be complex/(P)/
混獲 [こんかく] /(n,vs) by-catch/bycatch/
混凝土 [こんくりいと] /(n) (uk) concrete/
混血 [こんけつ] /(n,vs) (sens) mixed race/mixed parentage/(P)/
混血の人 [こんけつのひと] /(n) (sens) mixed race person/
混血児 [こんけつじ] /(n) (sens) child of mixed blood or race/
混交 [こんこう] /(n,vs) (1) mixture/intermixture/mixing up/jumbling together/(2) contamination (creation of unorthodox words or phrases by combining terms of similar form or meaning)/
混交林 [こんこうりん] /(n) mixed forest/
混合 [こんごう] /(n,vs) (1) mixing/mixture/meld/(2) miscegenation/(P)/
混合う [こみあう] /(v5u,vi) to be crowded/to be packed/to be jammed/
混合ワクチン [こんごうワクチン] /(n) combination vaccine/combined vaccine/mixed vaccine/
混合火薬 [こんごうかやく] /(n) explosive mixture/
混合器 [こんごうき] /(n) mixer (frequency-changer)/
混合基数記数法 [こんごうきすうきすうほう] /(n) (comp) mixed radix (numeration) system/mixed radix notation/
混合基数表記法 [こんごうきすうひょうきほう] /(n) (comp) mixed radix (numeration) system/mixed radix notation/
混合基底記数法 [こんごうきていきすうほう] /(n) (comp) mixed base (numeration) system/mixed base notation/
混合基底表記法 [こんごうきていひょうきほう] /(n) (comp) mixed base (numeration) system/mixed base notation/
混合機 [こんごうき] /(n) mixer/blender/
混合経済 [こんごうけいざい] /(n) mixed economy/
混合語 [こんごうご] /(n) (linguistic) blending or contamination/new language created by blending two or more existing languages (example: Afrikaans)/
混合酸化物燃料 [こんごうさんかぶつねんりょう] /(n) mixed plutonium and uranium oxides fuel/MOX/
混合指定表 [こんごうしていひょう] /(n) (comp) mixed entry table/
混合酒 [こんごうしゅ] /(n) cocktail/mixed drink/blended liquor/
混合燃料 [こんごうねんりょう] /(n) blended fuel/
混合農業 [こんごうのうぎょう] /(n) mixed farming/
混合物 [こんごうぶつ] /(n) mixture/amalgam/
混合保険 [こんごうほけん] /(n) mixed insurance/
混合薬 [こんごうやく] /(n) drug combination/drug cocktail/
混合林 [こんごうりん] /(n) mixed forest/
混混 [こんこん] /(adj-t,adv-to) copious (flowing)/
混載 [こんさい] /(n,vs,adj-no) mixed loading/consolidation/
混載貨物 [こんさいかもつ] /(n) consolidated shipment/mixed cargo/
混載業者 [こんさいぎょうしゃ] /(n) consolidator (shipping, freight, etc.)/
混在 [こんざい] /(n,vs) mixture/
混作 [こんさく] /(n,vs) mixed cultivation/
混雑 [こんざつ] /(n,vs) confusion/congestion/(P)/
混雑した [こんざつした] /(adj-f) disorderly/confused/congested/
混雑具合 [こんざつぐあい] /(n) the state (degree) of congestion/how bad traffic jams are/
混種語 [こんしゅご] /(n) hybrid term combining elements drawn from different languages/
混植 [こんしょく] /(n) (1) mixed planting/(2) mixed typesetting/
混色 [こんしょく] /(n) mixed or compound color/mixed or compound colour/
混信 [こんしん] /(n,vs) jamming/interference/cross talk/
混成 [こんせい] /(n,vs,adj-no) mixed (e.g. team, chorus)/(P)/
混成岩 [こんせいがん] /(n) hybrid rock/
混成競技 [こんせいきょうぎ] /(n) combined competitions/
混成語 [こんせいご] /(n) (1) hybrid language/pidgin/(2) hybrid word/portmanteau word/
混成酒 [こんせいしゅ] /(n) alcohol combined with sugar, spices, fruit, etc./
混成団 [こんせいだん] /(n) composite brigade/
混成品 [こんせいひん] /(n) composite goods/
混成物 [こんせいぶつ] /(n) mixture/compound/hybrid/
混声 [こんせい] /(n) mixed voices/
混声合唱 [こんせいがっしょう] /(n) mixed chorus/
混戦 [こんせん] /(n) free-for-all fight/(P)/
混線 [こんせん] /(n,vs) crossed wires or lines (of communication)/confusion/
混然 [こんぜん] /(adj-t,adv-to) whole/entire/harmonious/well-rounded/
混然一体 [こんぜんいったい] /(exp) in complete harmony/
混然一体となる [こんぜんいったいとなる] /(exp) to form a complete whole/to be joined together/
混濁 [こんだく] /(n,vs) (1) muddiness/turbidity/opacity/(2) disorder/chaos/
混濁した [こんだくした] /(adj-f) thick/turbid/cloudy/muddy/
混炭 [こんたん] /(n,vs) coal blending/coal mixing/
混同 [こんどう] /(n,vs) confusion/mixing/merger/(P)/
混沌 [こんとん] /(n,adj-no) (1) confusion/chaos/disorder/(adj-t,adv-to) (2) chaotic/confused/uncertain/disarrayed/
混入 [こんにゅう] /(n,vs) mixing/adding/adulteration/(P)/
混入物 [こんにゅうぶつ] /(n) object which is mixed in/
混分数 [こんぶんすう] /(n) (1) (math) mixed fraction/(2) compound number/
混文 [こんぶん] /(n) (ling) compound-complex sentence/
混紡 [こんぼう] /(n,vs) mixed yarn/mixed spinning/(P)/
混迷 [こんめい] /(n,vs) turmoil/chaos/confusion/(P)/
混迷状態 [こんめいじょうたい] /(n) chaotic state/turmoil/disarray/labyrinth/
混用 [こんよう] /(n,vs) mixing or using together/
混浴 [こんよく] /(n,vs) mixed bathing/
混乱 [こんらん] /(n,vs) disorder/chaos/confusion/mayhem/(P)/
混乱状態 [こんらんじょうたい] /(n) state of confusion/
混和 [こんわ] /(n,vs) mixture/mingling/
混和性 [こんわせい] /(n) miscibility/
混和物 [こんわぶつ] /(n) mixture/
混淆 [こんこう] /(n,vs) (1) mixture/intermixture/mixing up/jumbling together/(2) contamination (creation of unorthodox words or phrases by combining terms of similar form or meaning)/
痕 [あと] /(n) (1) trace/tracks/mark/sign/(2) remains/ruins/(3) scar/
痕跡 [こんせき] /(n,adj-no) trace/traces/vestige/vestiges/(P)/
痕跡器官 [こんせききかん] /(n) vestigial (rudimentary) organ/
紺 [こん] /(n) navy blue/deep blue/(P)/
紺の背広 [こんのせびろ] /(n) blue business suit/
紺ソ [こんソ] /(n) (abbr) (sl) navy-blue socks/
紺ソク [こんソク] /(n) (abbr) (sl) navy-blue socks/
紺ハイソ [こんハイソ] /(n) (abbr) (sl) navy-blue knee socks/
紺屋 [こうや] /(n) dyer/
紺屋 [こんや] /(n) dyer/(P)/
紺屋の白袴 [こうやのしろばかま] /(exp) specialists often fail to apply their skills to themselves/The dyer wears white/
紺四郎 [こんしろう] /(n) (arch) consul/
紺珠 [かんじゅ] /(n) dark blue gem allowing one to recall memories when stroked with one's hand (allegedly possessed by Zhang Yue)/
紺綬褒章 [こんじゅほうしょう] /(n) Medal with Dark Blue Ribbon/
紺色 [こんいろ] /(n) deep blue/
紺青 [こんじょう] /(n) navy blue/
紺青鬼 [こんじょうき] /(n) navy blue demon residing in hell/
紺地 [こんじ] /(n) (1) dark blue ground/(2) dark blue cloth/
紺飛白 [こんがすり] /(n) dark blue cloth with white splash patterns/
紺碧 [こんぺき] /(n) deep blue/azure/
紺絣 [こんがすり] /(n) dark blue cloth with white splash patterns/
艮 [うしとら] /(n) (arch) northeast/
艮 [ごん] /(n) gen (one of the trigrams of the I Ching: mountain, northeast)/
艮下艮上 [ごんかごんしょう] /(n) one of the 64 trigrams/
魂 [こん] /(n) Yang energy/spirit/
魂 [たま] /(n) soul/spirit/
魂 [たましい] /(n) soul/spirit/(P)/
魂 [だましい] /(n) soul/spirit/
魂を入れ替える [たましいをいれかえる] /(exp,v1) to turn over a new leaf/to reform (oneself)/
魂迎え [たまむかえ] /(n) welcoming the spirits of the dead/
魂迎え鳥 [たまむかえどり] /(n) (obsc) lesser cuckoo (Cuculus poliocephalus)/
魂祭 [たままつり] /(n) ceremony honouring the spirits of ancestors (esp. the Bon festival)/
魂祭り [たままつり] /(n) ceremony honouring the spirits of ancestors (esp. the Bon festival)/
魂讃め星 [たまほめぼし] /(n) (1) (abbr) Chinese "ghost" constellation (one of the 28 mansions)/(2) "day of the ghost"/
魂緒の星 [たまおのほし] /(n) (1) (abbr) Chinese "ghost" constellation (one of the 28 mansions)/(2) "day of the ghost"/
魂消る [たまぎる] /(v5r,vi) (arch) to be astonished/to be startled/to be appalled/
魂消る [たまげる] /(v1,vi) to be astonished/to be startled/to be appalled/
魂送り [たまおくり] /(n) sending off the spirits of the dead/
魂胆 [こんたん] /(n,vs) (1) soul/(2) ulterior motive/secret design/plot/intrigue/scheme/(P)/
魂柱 [こんちゅう] /(n) sound post (violin, etc.)/
魂不死説 [たましいふしせつ] /(n) (obsc) (theory of) the immortality of the soul/
魂魄 [こんぱく] /(n) soul/spirit/ghost/
些 [いささ] /(pref) (uk) (arch) small/little/
些 [いさら] /(pref) (uk) (arch) small/little/
些々 [ささ] /(adj-t,adv-to) trifling/trivial/
些か [いささか] /(adj-na,adv) (uk) a little/a bit/somewhat/(P)/
些さか [いささか] /(adj-na,adv) (uk) a little/a bit/somewhat/
些と [ちっと] /(adv) (1) (uk) a little bit/(2) a little while/
些と [ちと] /(adv) (1) (uk) a little bit/(2) a little while/
些とも [ちっとも] /(adv) (uk) not at all (neg. verb)/(P)/
些些 [ささ] /(adj-t,adv-to) trifling/trivial/
些細 [ささい] /(adj-na,n) trivial/slight/
些事 [さじ] /(n) something small or petty/trifle/
些少 [さしょう] /(adj-na,n,adj-no) trifling/little/few/slight/
些末 [さまつ] /(adj-na,n) trivial/trifling/
佐ける [たすける] /(v1,vt) to help/to save/to rescue/to give relief to/to spare (life)/to reinforce/to promote/to abet/
佐賀県 [さがけん] /(n) Saga prefecture (Kyuushuu)/
佐官 [さかん] /(n) field officer/
佐川急便 [さがわきゅうびん] /(n) Sagawa Express (parcel delivery company)/
佐波理 [さはり] /(n) copper alloy with traces of silver, lead, or tin/
佐保神 [さほがみ] /(n) Saohime/goddess of Spring/
佐保姫 [さおひめ] /(n) Saohime/goddess of Spring/
佐保姫 [さほひめ] /(n) Saohime/goddess of Spring/
佐幕 [さばく] /(n) adherence to the shogunate/
佐幕派 [さばくは] /(n) supporters of the shogun/
佐様 [さよう] /(iK) (adj-na) (1) (uk) like that/(int) (2) (uk) that's right/indeed/(3) (uk) let me see.../
叉 [また] /(n) (1) crotch/crutch/groin/thigh/(2) fork (in a tree, road, river, etc.)/tines (of a fork)/
叉骨 [さこつ] /(n) wishbone/furcula/
叉手網 [さであみ] /(n) dip net/scoop net/
叉銃 [さじゅう] /(n,vs) stacked arms/
叉焼 [チャーシュー] /(n) (uk) roasted pork fillet (often used in ramen) (chi: chashao)/
叉焼麺 [チャーシューメン] /(n) ramen soup topped with slices of roasted pork (chi: chashao mian)/
叉木 [またぎ] /(n) forked tree/forked branch/
唆し [そそのかし] /(n) instigation/
唆す [そそのかす] /(v5s,vt) to instigate/to tempt/(P)/
唆る [そそる] /(v5r) (uk) to excite/to incite/to stimulate/to arouse/to tempt/to stir up/
左 [さ] /(n,adj-no) left (esp. in vertical Japanese writing)/the following/
左 [ひだり] /(n,adj-no) left/left hand side/(P)/
左ずれ断層 [ひだりずれだんそう] /(n) sinistral fault/left-lateral fault/
左に曲がる [ひだりにまがる] /(v5r) to turn to the left/
左に折れる [ひだりにおれる] /(v1) to turn to the left/
左のような訳 [ひだりのようなわけ] /(exp) the reason(s) is (are) as follows/
左のような理由 [ひだりのようなりゆう] /(exp) the reason(s) is (are) as follows/
左の通り [さのとおり] /(n) as following/
左シフト [ひだりシフト] /(n) (comp) left shift (bitwise, arithmetic)/
左ハンドル [ひだりハンドル] /(n) left hand drive (of cars, etc.)/
左フック [ひだりフック] /(n) left hook (e.g. in boxing, etc.)/
左マウスボタン [ひだりマウスボタン] /(n) (comp) left-side mouse button/
左右 [さう] /(ok) (n,vs) (1) left and right/(2) influence/control/domination/
左右 [さゆう] /(n,vs) (1) left and right/(2) influence/control/domination/(P)/
左右 [そう] /(ok) (n,vs) (1) left and right/(2) influence/control/domination/
左右 [とかく] /(adv,adj-no,n,vs) (1) (doing) various things/(doing) this and that/(2) being apt to/being prone to/tending to become/(3) somehow or other/anyhow/anyway/
左右に分かれる [さゆうにわかれる] /(exp,v1) to part left and right/
左右一対 [さゆういっつい] /(n) left-and-right pair/symmetrical pair/
左右軸 [さゆうじく] /(n) lateral axis/
左右相称 [さゆうそうしょう] /(n,adj-no) symmetry/
左右対称 [さゆうたいしょう] /(n,adj-no,adj-na) bilateral symmetry/
左右突出部 [さゆうとっしゅつぶ] /(n) (comp) kern/
左下 [ひだりした] /(n) lower left/
左下隅 [ひだりしたすみ] /(n) (comp) bottom left corner/
左回り [ひだりまわり] /(n,adj-no) counterclockwise rotation/CCW/
左楽 [さがく] /(n) (abbr) (arch) style of gagaku based on Tang-era Chinese music and ancient Indian song and dance/
左巻き [ひだりまき] /(n) counterclockwise/eccentric/abnormal/
左官 [さかん] /(n) plasterer/
左官 [しゃかん] /(n) plasterer/
左官屋 [さかんや] /(n) plasterer/
左岸 [さがん] /(n) left bank (of a river)/
左寄せ [ひだりよせ] /(n,vs) left-aligned/left-justified/
左寄り [ひだりより] /(n) tending to the left/
左記 [さき] /(n) undermentioned (statement)/following/(P)/
左記補足 [さきほそく] /(exp) following supplements/supplementary information below/
左詰め [ひだりづめ] /(n) left justified/
左近の桜 [さこんのさくら] /(n) cherry tree east of the southern stairs of the Hall for State Ceremonies (in Heian Palace)/
左隅 [ひだりすみ] /(n) left-hand corner/lower left/
左傾 [さけい] /(n,vs,adj-no) leftist/left radical/
左肩 [ひだりかた] /(n) left shoulder/
左舷 [さげん] /(n) port (left side of vessel)/
左顧右眄 [さこうべん] /(n,vs) looking right and left or all about/vacillation/
左向き [ひだりむき] /(n) facing left/
左四つ [ひだりよつ] /(n) sumo hold in which both wrestlers obtain an underarm grip with the left hand and an over-arm grip with the right/
左耳 [ひだりみみ] /(n) left ear/
左手 [ひだりて] /(n) left hand/(P)/
左手の法則 [ひだりてのほうそく] /(n) (Fleming's) left-hand rule/
左手座標系 [ひだりてざひょうけい] /(n) (comp) left-handed coordinate system/
左小括弧 [ひだりしょうかっこ] /(n) opening parenthesis/
左上 [ひだりうえ] /(n,adj-no) left-upper/
左上隅 [ひだりうえすみ] /(n) (comp) top left corner/
左心室 [さしんしつ] /(n) left ventricle/
左心縮小術 [さしんしゅくしょうじゅつ] /(n) reduction left ventriculoplasty/Batista procedure/
左心補助循環装置 [さしんほじょじゅんかんそうち] /(n) left ventricular assist device/LVAD/
左心房 [さしんぼう] /(n) left atrium/
左図 [さず] /(n) plan which is shown on the left/left-most plan/map on the left (chart, graph)/
左折 [させつ] /(n,vs) turning to the left/left turn/
左旋性 [させんせい] /(n,adj-no) levorotatory/laevorotatory/
左遷 [させん] /(n,vs) demotion/degradation/(P)/
左前 [ひだりまえ] /(n) (1) going badly (one's business, one's fortune, the economy)/being in a bad financial situation/(2) wearing a kimono with the right side tucked under the left (normally used only for the dead)/(P)/
左前になる [ひだりまえになる] /(exp,v5r) to go downhill (e.g. for one's business)/to be badly off (economically)/
左側 [さそく] /(n,adj-no) left/left (hand) side/
左側 [ひだりがわ] /(n,adj-no) left/left (hand) side/(P)/
左側通行 [ひだりがわつうこう] /(n) Keep Left/
左足 [ひだりあし] /(n,adj-no) left foot/
左揃え [ひだりそろえ] /(n,vs) (comp) left-justification/
左大括弧 [ひだりだいかっこ] /(n) opening (square) bracket/
左大臣 [さだいじん] /(n) Minister of the Left (official in Nara and Heian periods)/
左端 [さたん] /(n,adj-no) left end/left edge/
左端 [ひだりはし] /(n,adj-no) left end/left edge/
左団扇 [ひだりうちわ] /(n) ease and comfort/
左中括弧 [ひだりちゅうかっこ] /(n) opening brace/
左中間 [さちゅうかん] /(n) between left and center fielders (centre)/
左直 [さちょく] /(n) left liner/
左程 [さほど] /(adv,conj) (uk) not so/not particularly/not very/not that much/
左党 [さとう] /(n) (1) drinker/wine lover/(2) left (wing)/leftist/
左党 [ひだりとう] /(n) (1) drinker/wine lover/(2) left (wing)/leftist/
左投げ [ひだりなげ] /(n) left-handed pitching/
左脳 [さのう] /(n,adj-no) left brain/
左派 [さは] /(n,adj-no) left wing/(P)/
左派系 [さはけい] /(n) left faction/
左表 [さひょう] /(n) chart at the left/
左払い [ひだりはらい] /(n) in calligraphy, a stroke going from upper right to lower left with a pointed tail/
左辺 [さへん] /(n) left side (of an equation)/
左辺値 [さへんち] /(n) (comp) left side value (of an equation)/
左弁官 [さべんかん] /(n) Oversight Department of the Left (overseeing the Ministries of Central Affairs, Ceremonies, Civil Administration & Popular Affairs)/
左方 [さほう] /(n) left side/
左方の楽 [さほうのがく] /(n) (arch) style of gagaku based on Tang-era Chinese music and ancient Indian song and dance/
左方端 [さほうたん] /(n) (comp) left hand edge/
左方唐楽 [さほうとうがく] /(n) (obsc) style of gagaku based on Tang-era Chinese music and ancient Indian song and dance/
左目 [ひだりめ] /(n) left eye/
左様 [さよう] /(adj-na) (1) (uk) like that/(int) (2) (uk) that's right/indeed/(3) (uk) let me see.../
左様なら [さようなら] /(int) (uk) good-bye/(P)/
左翼 [さよく] /(n,adj-no) left-wing/(P)/
左翼に走る [さよくにはしる] /(exp,v5r) to turn leftist/
左翼系 [さよくけい] /(adj-no) left-leaning/left-wing/leftist/
左翼党 [さよくとう] /(n) left-wing party/party of the left/
左利 [ひだりきき] /(n) left-handedness/sake drinker/left-hander/
左利き [ひだりきき] /(n) left-handedness/sake drinker/left-hander/(P)/
左腕 [さわん] /(n) (1) left arm/(2) left-handed (baseball pitcher)/(P)/
左腕 [ひだりうで] /(n) (1) left arm/
左腕投手 [さわんとうしゅ] /(n) left-handed baseball pitcher/
左袒 [さたん] /(n,vs) (arch) friendship/allegiance/support/
左褄 [ひだりづま] /(n) (1) left skirt of a kimono/(2) geisha (because they often walked holding the left hem of their kimono)/
左褄を取る [ひだりづまをとる] /(exp,v5r) (arch) to become a geisha/to work as a geisha/
差 [さ] /(n,n-suf) difference/variation/(P)/
差し [さし] /(exp) between (e.g. two people)/face to face/
差しかける [さしかける] /(v1,vt) to hold (umbrella) over/
差しぐむ [さしぐむ] /(n) (obsc) to be moved to tears/
差しつける [さしつける] /(v1,vt) to point (gun at)/to hold under one's nose/
差しつ差されつ [さしつさされつ] /(adv,n) exchanging sake cups/
差しで [さしで] /(exp) face to face/between two persons/
差し違える [さしちがえる] /(v1,vi,vt) to misplace/to stab at each other/
差し引き [さしひき] /(n) deduction/subtraction/balance/ebb and flow/rise and fall/(P)/
差し引く [さしひく] /(v5k,vt) (1) to deduct/to take away/to dock/(2) to make allowances for something/to bear something in mind/(v5k,vi) (3) to ebb and flow/
差し越える [さしこえる] /(v1) to go out of turn/to butt in/
差し越す [さしこす] /(v5s,vi) to go out of turn/to send/
差し延べる [さしのべる] /(v1,vt) (1) to hold out/to extend (e.g. one's hands)/to stretch/to reach out for/(2) to thrust (javelin)/(3) to offer (e.g. aid, help, etc.)/
差し押え [さしおさえ] /(n) seizure/attachment/foreclosure/
差し押える [さしおさえる] /(v1,vt) to seize/to impound/to garnish/to attach goods/
差し押え品 [さしおさえひん] /(n) seized property/
差し押さえ [さしおさえ] /(n) seizure/attachment/foreclosure/
差し押さえる [さしおさえる] /(v1,vt) to seize/to impound/to garnish/to attach goods/
差し回す [さしまわす] /(v5s,vt) to send around (e.g. a car)/
差し掛かる [さしかかる] /(v5r) to come near to/to approach/(P)/
差し掛け [さしかけ] /(n) (1) holding (an umbrella) over something/(2) lean-to roof/
差し掛ける [さしかける] /(v1,vt) to hold (umbrella) over/
差し掛け小屋 [さしかけごや] /(n) a lean-to/
差し掛る [さしかかる] /(v5r) to come near to/to approach/
差し換える [さしかえる] /(v1,vt) to change/to replace/
差し含む [さしぐむ] /(n) (obsc) to be moved to tears/
差し詰め [さしずめ] /(adv) (1) (uk) after all/when all's said and done/(2) for the time being/at present/
差し詰め [さしづめ] /(adv) (1) (uk) after all/when all's said and done/(2) for the time being/at present/
差し許す [さしゆるす] /(v5s,vt) to allow/to forgive/
差し挟む [さしはさむ] /(v5m,vt) (1) to insert/(2) to interrupt/to slip in a word/(3) to harbor (e.g. doubts)/to harbour/to entertain (e.g. a theory)/
差し響く [さしひびく] /(v5k,vi) to influence/to affect/
差し金 [さしがね] /(n) (1) carpenter's square/(2) instigation/suggestion/
差し繰る [さしくる] /(v5r,vt) to arrange/to manage/
差し遣す [さしつかわす] /(v5s,vt) to send off/to dispatch/
差し遣わす [さしつかわす] /(v5s,vt) to send off/to dispatch/
差し固める [さしかためる] /(v1,vt) to close or shut tight/to warn sharply/
差し交わす [さしかわす] /(v5s,vt) to cross/
差し向かい [さしむかい] /(adj-i) face to face/
差し向かう [さしむかう] /(v5u,vi) (obsc) to be face to face/
差し向ける [さしむける] /(v1,vt) to send or direct a person to/
差し控える [さしひかえる] /(v1,vt) to be moderate/to not do too much/(P)/
差し合い [さしあい] /(n) hindrance/offense/offence/prohibition/
差し込み [さしこみ] /(n) (1) insertion/(2) plug/(electrical) outlet/power point/(3) spasm of pain/griping pain/(fit of) convulsions/stitch/
差し込み印刷 [さしこみいんさつ] /(n) (comp) merge print/
差し込む [さしこむ] /(v5m) (1) to insert/to put in/to thrust in/to plug in/(2) to shine in/to flow in/(3) to jam a batter (with an inside pitch) (baseball)/
差し傘 [さしがさ] /(n) (obsc) umbrella/parasol/
差し支え [さしつかえ] /(n) hindrance/impediment/(P)/
差し支えない [さしつかえない] /(adj-i) (having) no objection/allowable/
差し支える [さしつかえる] /(v1,vi) to interfere/to hinder/to become impeded/(P)/
差し止め [さしとめ] /(n) prohibition/ban/suspension/(P)/
差し止める [さしとめる] /(v1,vt) to stop/to prohibit/to forbid someone to do something/
差し紙 [さしがみ] /(n) (Edo-period) summons/
差し歯 [さしば] /(n) (1) post crown/dowel crown/false tooth/(2) "tooth" on a geta clog/
差し手 [さして] /(n) (in sumo) slipping one's hand beneath the opponent's arm and latching on to the underside of his belt/
差し手争い [さしてあらそい] /(exp) struggling to grab hold of one's opponent's belt with one's dominant hand (sumo)/
差し出がましい [さしでがましい] /(adj-i) forward/officious/impertinent/intrusive/
差し出し人 [さしだしにん] /(n) sender/
差し出し先 [さしだしさき] /(n) address/
差し出す [さしだす] /(v5s,vt) to present/to submit/to tender/to hold out/(P)/
差し出る [さしでる] /(v1,vi) (1) to be forward/to stick one's nose into/to meddle/to be intrusive/(2) to jut out/to protude/to overhang/
差し出口 [さしでぐち] /(n) uncalled-for or impertinent remark/
差し招く [さしまねく] /(v5k,vt) to beckon (to)/
差し昇る [さしのぼる] /(v5r,vi) to rise (e.g. sun, moon)/
差し障り [さしさわり] /(n) offence/offense/hindrance/
差し障りのない [さしさわりのない] /(adj-i) innocuous/inoffensive/
差し障る [さしさわる] /(v5r,vi) to hinder/to adversely affect/
差し上げる [さしあげる] /(aux-v,v1,vt) (1) (hum) to give/to offer/(v1,vt) (2) (hum) to lift up/to hold up/to raise/(P)/
差し上る [さしのぼる] /(v5r,vi) to rise (e.g. sun, moon)/
差し伸べる [さしのべる] /(v1,vt) (1) to hold out/to extend (e.g. one's hands)/to stretch/to reach out for/(2) to thrust (javelin)/(3) to offer (e.g. aid, help, etc.)/(P)/
差し身 [さしみ] /(n) (in sumo) a quick thrust of the hand/
差し水 [さしみず] /(n) adding water (to a plant)/
差し前 [さしまえ] /(n) sword worn at one's side/
差し足 [さしあし] /(n) (1) stealthy steps/(2) spurt to overtake a leading horse just before the finish line/
差し替え [さしかえ] /(n,vs) replacement/
差し替える [さしかえる] /(v1,vt) to change/to replace/
差し替え表示 [さしかえひょうじ] /(n) (comp) obsoleting indication/
差し担い [さしにない] /(n) carrying upon two persons' shoulders/
差し置く [さしおく] /(v5k,vt) to leave as is/to let alone/to disregard/
差し潮 [さししお] /(n) rising tide/
差し添え [さしぞえ] /(n) short sword/
差し渡し [さしわたし] /(n) distance across/diameter/
差し土 [さしつち] /(n) adding soil to a flowerbed/
差し湯 [さしゆ] /(n) (addition of) hot water/
差し当たって [さしあたって] /(adv) for the present/for the time being/at present/
差し当たり [さしあたり] /(adv) (1) for the time being/at present/(n) (2) (arch) hindrance/(P)/
差し当たる [さしあたる] /(v5r,vi) to face the situation/
差し当る [さしあたる] /(v5r,vi) to face the situation/
差し入れ [さしいれ] /(n,vs) (1) insertion/letter drop/(2) things sent to a prisoner/(3) supply of provisions, refreshments, etc. to someone carrying out a task/
差し入れる [さしいれる] /(v1,vt) to insert/to put in/
差し覗く [さしのぞく] /(v5k) (1) (arch) to peek/to peek into/(2) (arch) to stop by/to visit/
差し迫る [さしせまる] /(v5r,vi) to be urgent/to be pressing/to be imminent/
差し付ける [さしつける] /(v1,vt) to point (gun at)/to hold under one's nose/
差し物 [さしもの] /(n) cabinetwork/joinery/
差し毛 [さしげ] /(n) hair of different color mixed into an animal's coat (colour)/
差し戻す [さしもどす] /(v5s,vt) to send back/to refer back/(P)/
差し薬 [さしぐすり] /(n) eye drops/eye lotion/
差し油 [さしあぶら] /(n) (lubricating) oil/oiling a machine/
差し立てる [さしたてる] /(v1,vt) to stand/to send (off)/
差し挾む [さしはさむ] /(v5m,vt) (1) to insert/(2) to interrupt/to slip in a word/(3) to harbor (e.g. doubts)/to harbour/to entertain (e.g. a theory)/
差す [さす] /(v5s,vi) (1) to raise (e.g. hands, umbrella)/to stretch out/(2) to be tinged/(3) to wear at one's side (e.g. sword)/to carry (e.g. a book)/(4) to shine/(5) to provoke a feeling/(6) to pour (e.g. a drink)/to water/to dye/(7) to rise (for the tide)/to flow in/(P)/
差っ引く [さっぴく] /(v5k) to deduct/to take away/
差を付ける [さをつける] /(exp,v1) (1) to establish a lead/(2) to distinguish (between)/to ascertain or tell the difference (between)/to discriminate/
差異 [さい] /(n) difference/disparity/(P)/
差違 [さい] /(n) difference/
差違え [さしちがえ] /(n) overruling referee's decision of bout outcome (sumo)/
差違える [さしちがえる] /(v1,vi,vt) to misplace/to stab at each other/
差引く [さしひく] /(v5k,vt) (1) to deduct/to take away/to dock/(2) to make allowances for something/to bear something in mind/(v5k,vi) (3) to ebb and flow/
差引勘定 [さしひきかんじょう] /(n) balance of an account/
差羽 [さしば] /(n) (uk) grey-faced buzzard (Butastur indicus)/gray-faced buzzard/
差益 [さえき] /(n) marginal profits/(P)/
差延 [さえん] /(n) differance/
差延べる [さしのべる] /(v1,vt) (1) to hold out/to extend (e.g. one's hands)/to stretch/to reach out for/(2) to thrust (javelin)/(3) to offer (e.g. aid, help, etc.)/
差押える [さしおさえる] /(v1,vt) to seize/to impound/to garnish/to attach goods/
差押さえる [さしおさえる] /(v1,vt) to seize/to impound/to garnish/to attach goods/
差回す [さしまわす] /(v5s,vt) to send around (e.g. a car)/
差額 [さがく] /(n) balance/difference/margin/(P)/
差掛け [さしかけ] /(n) (1) holding (an umbrella) over something/(2) lean-to roof/
差掛ける [さしかける] /(v1,vt) to hold (umbrella) over/
差換える [さしかえる] /(io) (v1,vt) to change/to replace/
差機関 [さきかん] /(n) difference engine/
差詰め [さしずめ] /(adv) (1) (uk) after all/when all's said and done/(2) for the time being/at present/
差詰め [さしづめ] /(adv) (1) (uk) after all/when all's said and done/(2) for the time being/at present/
差響く [さしひびく] /(v5k,vi) to influence/to affect/
差金 [さきん] /(n) difference/margin/
差金 [さしがね] /(n) (1) carpenter's square/(2) instigation/suggestion/
差遣 [さけん] /(n,vs) dispatch/despatch/sending/
差遣す [さしつかわす] /(v5s,vt) to send off/to dispatch/
差遣わす [さしつかわす] /(v5s,vt) to send off/to dispatch/
差固める [さしかためる] /(v1,vt) to close or shut tight/to warn sharply/
差交す [さしかわす] /(v5s,vt) to cross/
差交わす [さしかわす] /(v5s,vt) to cross/
差口 [さしくち] /(n) spigot/
差向い [さしむかい] /(adj-i) face to face/
差向かい [さしむかい] /(adj-i) face to face/
差向かう [さしむかう] /(v5u,vi) (obsc) to be face to face/
差向ける [さしむける] /(v1,vt) to send or direct a person to/
差込 [さしこみ] /(n) (1) insertion/(2) plug/(electrical) outlet/power point/(3) spasm of pain/griping pain/(fit of) convulsions/stitch/
差込む [さしこむ] /(v5m) (1) to insert/to put in/to thrust in/to plug in/(2) to shine in/to flow in/(3) to jam a batter (with an inside pitch) (baseball)/
差傘 [さしがさ] /(n) (obsc) umbrella/parasol/
差支え [さしつかえ] /(n) hindrance/impediment/
差支える [さしつかえる] /(v1,vi) to interfere/to hinder/to become impeded/
差支え無い [さしつかえない] /(adj-i) (having) no objection/allowable/
差止める [さしとめる] /(io) (v1,vt) to stop/to prohibit/to forbid someone to do something/
差歯 [さしば] /(n) (1) post crown/dowel crown/false tooth/(2) "tooth" on a geta clog/
差集合 [さしゅうごう] /(n) (math) relative complement/
差出す [さしだす] /(v5s,vt) to present/to submit/to tender/to hold out/
差出る [さしでる] /(io) (v1,vi) (1) to be forward/to stick one's nose into/to meddle/to be intrusive/(2) to jut out/to protude/to overhang/
差出人 [さしだしにん] /(n) sender/(P)/
差招く [さしまねく] /(io) (v5k,vt) to beckon (to)/
差上げる [さしあげる] /(io) (aux-v,v1,vt) (1) (hum) to give/to offer/(v1,vt) (2) (hum) to lift up/to hold up/to raise/
差上る [さしのぼる] /(io) (v5r,vi) to rise (e.g. sun, moon)/
差伸べる [さしのべる] /(v1,vt) (1) to hold out/to extend (e.g. one's hands)/to stretch/to reach out for/(2) to thrust (javelin)/(3) to offer (e.g. aid, help, etc.)/
差足 [さしあし] /(n) (1) stealthy steps/(2) spurt to overtake a leading horse just before the finish line/
差損 [さそん] /(n) (profit sheet) loss/
差替 [さしかえ] /(n,vs) replacement/
差替え [さしかえ] /(n,vs) replacement/
差替える [さしかえる] /(io) (v1,vt) to change/to replace/
差置く [さしおく] /(io) (v5k,vt) to leave as is/to let alone/to disregard/
差当たって [さしあたって] /(adv) for the present/for the time being/at present/
差当たり [さしあたり] /(adv) (1) for the time being/at present/(n) (2) (arch) hindrance/
差当たる [さしあたる] /(v5r,vi) to face the situation/
差当って [さしあたって] /(adv) for the present/for the time being/at present/
差当り [さしあたり] /(adv) (1) for the time being/at present/(n) (2) (arch) hindrance/
差当る [さしあたる] /(v5r,vi) to face the situation/
差等 [さとう] /(n) gradation/
差動 [さどう] /(n,adj-no) differential motion/
差動位相偏移変調 [さどういそうへんいへんちょう] /(n) (comp) differential phase-shift keying/DPSK/
差動増幅器 [さどうぞうふくき] /(n) (comp) differential amplifier/
差入れ [さしいれ] /(n,vs) (1) insertion/letter drop/(2) things sent to a prisoner/(3) supply of provisions, refreshments, etc. to someone carrying out a task/
差入れる [さしいれる] /(io) (v1,vt) to insert/to put in/
差覗く [さしのぞく] /(io) (v5k) (1) (arch) to peek/to peek into/(2) (arch) to stop by/to visit/
差配 [さはい] /(n,vs) agency/charge/management/act as an owner's agent/
差配人 [さはいにん] /(n) real estate agent/landlord/
差迫る [さしせまる] /(io) (v5r,vi) to be urgent/to be pressing/to be imminent/
差付ける [さしつける] /(io) (v1,vt) to point (gun at)/to hold under one's nose/
差物 [さしもの] /(n) cabinetwork/joinery/
差分 [さぶん] /(n) (comp) "diff"/increment/
差分ファイル [さぶんファイル] /(n) (comp) difference file/
差分取り込み [さぶんとりこみ] /(n) differential uptake (marketing)/differential incorporation/
差分取込み [さぶんとりこみ] /(n) differential uptake (marketing)/differential incorporation/
差分商 [さぶんしょう] /(n) (math) difference quotient/divided difference/
差分法 [さぶんほう] /(n) (comp) difference method/
差別 [さべつ] /(n,vs) discrimination/distinction/differentiation/(P)/
差別化フィーチャ [さべつかフィーチャ] /(n) (comp) distinguishing feature/
差別関税 [さべつかんぜい] /(n) differential duties/selective taxation/
差別語 [さべつご] /(n) discriminatory term/discriminatory language/
差別待遇 [さべつたいぐう] /(n) discriminatory treatment/
差別的取り扱い [さべつてきとりあつかい] /(n) discriminatory treatment/
差別発言 [さべつはつげん] /(n) discriminatory remark/hate speech/
差別表現 [さべつひょうげん] /(n) word, phrase, or image that is perceived as showing or suggesting discrimination or prejudice against a person or group of people/
差別用語 [さべつようご] /(n) discriminatory terms/
差戻す [さしもどす] /(io) (v5s,vt) to send back/to refer back/
差立てる [さしたてる] /(io) (v1,vt) to stand/to send (off)/
差閊 [さしつかえ] /(iK) (n) hindrance/impediment/
差閊え [さしつかえ] /(iK) (n) hindrance/impediment/
査閲 [さえつ] /(n,vs) inspection/examination/
査察 [ささつ] /(n,vs) inspection (for compliance)/investigation (tax, etc.)/(P)/
査収 [さしゅう] /(n,vs) check and accept (e.g. a receipt)/
査証 [さしょう] /(n,vs) visa/(P)/
査証申請人 [さしょうしんせいじん] /(n) visa applicant/
査定 [さてい] /(n,vs) assessment/investigation/audit/revision/(P)/
査定価格 [さていかかく] /(n) assessed value (price)/
査定者 [さていしゃ] /(n) underwriter (insurance)/appraiser/assessor/auditor/
査読 [さどく] /(n,vs) peer review/refereeing/
査問 [さもん] /(n,vs) inquiry/enquiry/hearing/(P)/
査問委員会 [さもんいいんかい] /(n) court of inquiry/court of enquiry/
沙 [いさご] /(n) (1) sand/grit/
沙 [さ] /(n) one hundred-millionth/
沙 [しゃ] /(n) one hundred-millionth/
沙 [すな] /(n) (1) sand/grit/
沙煙 [さえん] /(n) (obsc) haze near the water/
沙丘 [さきゅう] /(n) sand dune/sand hill/
沙魚 [はぜ] /(n) (1) goby (fish)/(2) yellowfin goby (Acanthogobius flavimanus)/
沙穀 [サゴ] /(n) (uk) sago (edible sago palm starch) (dut:)/
沙穀椰子 [さごやし] /(n) (uk) sago palm (Metroxylon sagu)/
沙蚕 [ごかい] /(n) (uk) ragworm/sandworm/clam worm (Hediste)/
沙子 [いさご] /(n) (1) sand/grit/
沙子 [すなご] /(n) (1) sand/grit/(2) gold dust/silver dust/
沙汰 [さた] /(n,vs) (1) affair/state/incident/issue/matter/(2) verdict/sentence/(3) directions/orders/command/instructions/(4) notice/information/communication/news/message/tidings/update/
沙汰の限り [さたのかぎり] /(exp) out of the question/preposterous/
沙虫 [いさごむし] /(n) caddis worm/caddis-worm (caddisfly larva)/
沙漠 [さばく] /(n) desert/
沙門 [さもん] /(n) (Buddh) shramana (wandering monk)/
沙門 [しゃもん] /(n) (Buddh) shramana (wandering monk)/
沙弥 [さみ] /(n) male Buddhist novice/
沙弥 [しゃみ] /(n) male Buddhist novice/
沙弥十戒 [しゃみじっかい] /(n) (Buddh) the 10 precepts/
沙弥尼 [しゃみに] /(n) female Buddhist novice/
沙羅 [さら] /(n) sal tree/
沙羅 [しゃら] /(n) sal tree/
沙羅双樹 [さらそうじゅ] /(n) sal tree/
砂 [いさご] /(n) (1) sand/grit/
砂 [すな] /(n) (1) sand/grit/(P)/
砂ぼこり [すなぼこり] /(n) cloud of dust (sand, etc.)/
砂煙 [すなけむり] /(n) cloud of sand (dust, etc.)/
砂下ろし [すなおろし] /(n) cleaning dirt or sand out of the digestive system/
砂絵 [すなえ] /(n) sand picture/
砂蟹 [すながに] /(n) (uk) Ocypode stimpsoni (species of ghost crab, sand crab or white crab)/
砂滑 [すなめり] /(n) (uk) black finless porpoise (Neophocaena phocaenoides)/
砂肝 [すなぎも] /(n) gizzard/
砂岩 [さがん] /(n) sandstone/
砂岩 [しゃがん] /(n) sandstone/
砂丘 [さきゅう] /(n) sand dune/sand hill/(P)/
砂金 [さきん] /(n) gold dust/
砂金 [しゃきん] /(n) gold dust/
砂原 [すなはら] /(n) sandy plain/desert/
砂山 [さやま] /(n) sand hill/dune/
砂山 [すなやま] /(n) sand hill/dune/
砂蚕 [ごかい] /(iK) (n) (uk) ragworm/sandworm/clam worm (Hediste)/
砂子 [いさご] /(n) (1) sand/grit/
砂子 [すなご] /(n) (1) sand/grit/(2) gold dust/silver dust/
砂子路 [いさごじ] /(n) sand path/sand road/
砂紙 [すながみ] /(n) sandpaper/
砂時計 [すなどけい] /(n) hourglass/
砂時計ポインタ [すなどけいポインタ] /(n) hourglass pointer/
砂州 [さす] /(n) reef/sandbar/sandbank/
砂洲 [さす] /(n) reef/sandbar/sandbank/
砂上 [さじょう] /(n) (built) on sand/
砂上の楼閣 [さじょうのろうかく] /(exp,n) house built on sand/house of cards/
砂場 [すなば] /(n) sand pit/
砂色ワラビー [すないろワラビー] /(n) (uk) agile wallaby/sandy wallaby (Macropus agilis)/
砂塵 [さじん] /(n) cloud of sand (dust, etc.)/
砂塵朦々 [さじんもうもう] /(n,adj-t,adv-to) big clouds of dust/haze of dust/
砂塵朦朦 [さじんもうもう] /(n,adj-t,adv-to) big clouds of dust/haze of dust/
砂塵濛々 [さじんもうもう] /(n,adj-t,adv-to) big clouds of dust/haze of dust/
砂塵濛濛 [さじんもうもう] /(n,adj-t,adv-to) big clouds of dust/haze of dust/
砂吹き [すなふき] /(n) sand-blasting/sandblast/
砂摺り [すなずり] /(n) (1) fat underbelly of a fish/(2) sand polishing/(3) sand finish (e.g. finishing a wall with sand mortar)/
砂鼠 [すなねずみ] /(n) (uk) Mongolian gerbil (Meriones unguiculatus)/Mongolian jird/
砂袋 [すなぶくろ] /(n) (1) sandbag/(2) gizzard/
砂地 [すなじ] /(n,adj-no) sandy soil/
砂地 [すなち] /(n,adj-no) sandy soil/
砂張 [さはり] /(n) copper alloy with traces of silver, lead, or tin/
砂鉄 [さてつ] /(n) iron sand/magnetite sand/
砂土 [さど] /(n) sand/
砂湯 [すなゆ] /(n) sand bath/
砂糖 [さとう] /(n) sugar/(P)/
砂糖の衣 [さとうのころも] /(n) icing/
砂糖黍 [さとうきび] /(n) (uk) sugarcane (Saccharum officinarum)/
砂糖醤油 [さとうじょうゆ] /(n) sweet soy sauce/sugar with soy sauce/
砂糖水 [さとうみず] /(n) sugared water/
砂糖大根 [さとうだいこん] /(n) (sugar) beet/
砂糖漬 [さとうづけ] /(n) preserving in sugar/food preserved in sugar/
砂糖漬け [さとうづけ] /(n) preserving in sugar/food preserved in sugar/
砂糖楓 [さとうかえで] /(n) (uk) sugar maple (Acer saccharum)/rock maple/
砂糖椰子 [さとうやし] /(n) (uk) sugar palm (Arenga pinnata)/
砂糖蜀黍 [さとうもろこし] /(n) (uk) sweet sorghum (Sorghum bicolor var. saccharatum)/
砂嚢 [さのう] /(n) (1) sandbag/(2) gizzard/
砂嚢 [すなぶくろ] /(n) (1) sandbag/(2) gizzard/
砂蚤 [すなのみ] /(n) (uk) chigoe/sand flea/chigger (Tunga penetrans)/
砂漠 [さばく] /(n) desert/(P)/
砂漠化 [さばくか] /(n) (1) desertification/(vs) (2) to turn to desert/
砂八目 [すなやつめ] /(n) (uk) Far Eastern brook lamprey (Lethenteron reissneri)/sand lamprey (species found in the Northwest Pacific)/
砂被り [すなかぶり] /(n) seats closest to the sumo ring/ringside seat/
砂浜 [すなはま] /(n) sandy beach/(P)/
砂風呂 [すなぶろ] /(n) sand bath/
砂防 [さぼう] /(n) erosion control/(P)/
砂防林 [さぼうりん] /(n) erosion-control forest/
砂摩り [すなずり] /(n) (1) fat underbelly of a fish/(2) sand polishing/(3) sand finish (e.g. finishing a wall with sand mortar)/
砂遊び [すなあそび] /(n) sand pit/
砂嵐 [すなあらし] /(n) sandstorm/
砂利 [ざり] /(n,adj-no) (1) gravel/ballast/pebbles/
砂利 [じゃり] /(n,adj-no) (1) gravel/ballast/pebbles/(2) (col) child/rugrat/ankle-biter/(P)/
砂利子 [じゃりんこ] /(n) (uk) (sens) student who can't keep up in school/
砂利道 [じゃりみち] /(n) gravel path or road/
砂粒 [すなつぶ] /(n) grains of sand/
砂路 [いさごじ] /(n) sand path/sand road/
砂嘴 [さし] /(n) spit (geography)/sandbank/
砂埃 [すなぼこり] /(n) cloud of dust (sand, etc.)/
砂礫 [されき] /(n) pebbles/
詐り [いつわり] /(n,adj-no) lie/falsehood/fiction/fabrication/
詐る [いつわる] /(v5r,vi) to lie/to cheat/to falsify/to deceive/to pretend/
詐害 [さがい] /(n) (1) fraud/(vs) (2) to defraud/
詐欺 [さぎ] /(n,adj-no) fraud/swindle/graft/(P)/
詐欺罪 [さぎざい] /(n) (the crime of) fraud/
詐欺師 [さぎし] /(n) swindler/imposter/crook/(P)/
詐取 [さしゅ] /(n,vs) exploitation/fraud/swindle/(P)/
詐術 [さじゅつ] /(n) swindling/
詐称 [さしょう] /(n,vs) misrepresentation/false statement/(P)/
鎖 [くさり] /(n) chain/chains/(P)/
鎖 [じょう] /(n) (1) lock/padlock/(n,n-suf,ctr) (2) tablet/lozenge/pill/
鎖かたびら [くさりかたびら] /(n) chain mail (armor, armour)/
鎖す [さす] /(v5s,vt) (1) to shut/to close/to lock/to fasten/
鎖す [とざす] /(v5s,vt) (1) to shut/to close/to lock/to fasten/(2) to plunge (in grief)/
鎖陰 [さいん] /(n) gynatresia/
鎖鎌 [くさりがま] /(n) sickle and chain (weapon)/
鎖国 [さこく] /(n,vs) national isolation/exclusion of foreigners/(P)/
鎖国主義 [さこくしゅぎ] /(n) (national) isolationism/isolation policy/
鎖国政策 [さこくせいさく] /(n) (national) isolationism/isolation policy/
鎖骨 [さこつ] /(n,adj-no) collarbone/clavicle/
鎖骨下動脈 [さこつかどうみゃく] /(n) subclavian artery/
鎖糸 [くさりいと] /(n) chain of yarn/
鎖歯車 [くさりはぐるま] /(n) sprocket wheel/
鎖式化合物 [さしきかごうぶつ] /(n) chain compound/open chain compound/
鎖車 [くさりぐるま] /(n) sprocket wheel/
鎖蛇 [くさりへび] /(n) (uk) viper (esp. a pitless viper)/
鎖状 [さじょう] /(n,adj-no) chainlike/
鎖線 [させん] /(n) dashed (dotted) line/chain line/
鎖伝動 [くさりでんどう] /(n) chain drive/
鎖樋 [くさりとい] /(n) chain of ornamental cups hanging from a gutter/
鎖編み [くさりあみ] /(n) chain stitch/
鎖帷子 [くさりかたびら] /(n) chain mail (armor, armour)/
坐する [ざする] /(vs-s,vi) (1) to sit/to squat/(2) to be implicated/
坐り [すわり] /(n) (1) sitting/(2) stability/
坐り込む [すわりこむ] /(v5m,vi) to sit down (and bask)/to sit-in (in protest)/
坐る [すわる] /(v5r,vi) (1) to sit/to squat/(2) to assume (a position)/(3) to hold steady/to hold still/
坐蒲 [ざふ] /(n) (Buddh) round cushion used for Zen meditation (traditionally made of woven bulrush leaves)/
坐骨 [ざこつ] /(n) ischium/ischial bone/
坐剤 [ざざい] /(n) suppository/
坐視 [ざし] /(n,vs) remaining an idle spectator/looking on unconcernedly (doing nothing)/
坐礁 [ざしょう] /(n,vs) running aground/being stranded/
坐乗 [ざじょう] /(n,vs) (commander, visiting dignitary) going on board (warship, plane)/
坐食の徒 [ざしょくのと] /(n) drone/idler/
坐禅 [ざぜん] /(n) zazen (seated Zen meditation, usu. in a cross-legged position)/
坐像 [ざぞう] /(n) sedentary statue (image)/
坐敷 [ざしき] /(iK) (n) (1) tatami room/tatami mat room/formal Japanese room/(2) dinner party in a tatami room/
坐法 [ざほう] /(n) (formal) ways of sitting/
坐薬 [ざやく] /(n) suppository/
座 [ざ] /(n,n-suf) (1) seat/one's place/position/(suf) (2) attaches to the names of theatres and constellations/(P)/
座が白ける [ざがしらける] /(exp,v1) to put a damper on proceedings (e.g. at a meeting or party, etc.)/
座す [ざす] /(v5s,vt) (1) to sit/to squat/(2) to be implicated/
座する [ざする] /(vs-s,vi) (1) to sit/to squat/(2) to be implicated/
座ぶとん [ざぶとん] /(n) zabuton (flat floor cushion used when sitting or kneeling; usu. rectangular)/
座り [すわり] /(n) (1) sitting/(2) stability/(P)/
座り込み [すわりこみ] /(n,vs) sit-in (i.e. in protest)/(P)/
座り込む [すわりこむ] /(v5m,vi) to sit down (and bask)/to sit-in (in protest)/
座り心地 [すわりごこち] /(n) level of comfort (of objects you sit on)/
座り相撲 [すわりずもう] /(n) sumo wrestling performed in a sitting position/
座り直す [すわりなおす] /(v5s,vi) to reseat oneself/to correct one's posture/
座り方 [すわりかた] /(n) ways of sitting/
座る [すわる] /(v5r,vi) (1) to sit/to squat/(2) to assume (a position)/(3) to hold steady/to hold still/(P)/
座を外す [ざをはずす] /(exp,v5s) to withdraw from someone's presence/to leave the room/
座を起つ [ざをたつ] /(exp,v5t) to leave one's seat/
座を持つ [ざをもつ] /(exp,v5t) to entertain one's guests/to keep a group entertained/
座を取り持つ [ざをとりもつ] /(exp,v5t) to keep everybody entertained/
座を占める [ざをしめる] /(exp,v1) (1) to take a seat/to sit/(2) to occupy a position (e.g. committee president)/
座を立つ [ざをたつ] /(exp,v5t) to leave one's seat/
座椅子 [ざいす] /(n) small chair used while sitting on tatami/
座員 [ざいん] /(n) member of a theatrical troupe/
座右 [ざゆう] /(n) at one's right/at one's side/on hand/
座右の書 [ざゆうのしょ] /(n) one's desk-side book/
座右の銘 [ざゆうのめい] /(n) desk motto/favourite motto/favorite motto/
座右銘 [ざゆうめい] /(n) desk motto/
座臥 [ざが] /(n-t) daily life/sitting and lying down/
座学 [ざがく] /(n,vs) classroom learning (as contrasted to practical training)/classroom lecture/
座蒲 [ざふ] /(n) (Buddh) round cushion used for Zen meditation (traditionally made of woven bulrush leaves)/
座蒲団 [ざぶとん] /(n) zabuton (flat floor cushion used when sitting or kneeling; usu. rectangular)/
座観式庭園 [ざかんしきていえん] /(n) small garden best enjoyed while sitting at a fixed viewing point/
座技 [すわりわざ] /(n) (MA) Aikido seated defence (defense)/
座興 [ざきょう] /(n) entertainment/fun/amusement of the company/
座業 [ざぎょう] /(n) sedentary work/
座金 [ざがね] /(n) metal washer/
座屈 [ざくつ] /(n) buckling/
座元 [ざもと] /(n) theater proprietor/theatre proprietor/producer/
座高 [ざこう] /(n) one's sitting height/
座骨 [ざこつ] /(n) ischium/ischial bone/
座骨神経 [ざこつしんけい] /(n) sciatic nerve/
座骨神経痛 [ざこつしんけいつう] /(n) sciatica/
座剤 [ざざい] /(n) suppository/
座視 [ざし] /(n,vs) remaining an idle spectator/looking on unconcernedly (doing nothing)/
座持ち [ざもち] /(n) entertaining guests/
座主 [ざす] /(n) temple's head priest/
座州 [ざす] /(n,vs) stranding/running aground/
座洲 [ざす] /(n,vs) stranding/running aground/
座所 [ざしょ] /(n) throne/(the place of) a nobleman's seat/
座礁 [ざしょう] /(n,vs) running aground/being stranded/
座乗 [ざじょう] /(n,vs) (commander, visiting dignitary) going on board (warship, plane)/
座職 [ざしょく] /(n) sedentary work/
座食 [ざしょく] /(n,vs) living in idleness/
座席 [ざせき] /(n,adj-no) seat/(P)/
座席指定券 [ざせきしていけん] /(n) reserved-seat ticket/
座席番号 [ざせきばんごう] /(n) seat number/
座席表 [ざせきひょう] /(n) seating chart/
座禅 [ざぜん] /(n) zazen (seated Zen meditation, usu. in a cross-legged position)/(P)/
座禅草 [ざぜんそう] /(n) (uk) eastern skunk cabbage (Symplocarpus foetidus)/
座像 [ざぞう] /(n) seated figure/
座卓 [ざたく] /(n) low table/
座談 [ざだん] /(n,vs) conversation/discussion/
座談会 [ざだんかい] /(n) symposium/round-table discussion/(P)/
座中 [ざちゅう] /(n) gathering/theatrical troupe/
座長 [ざちょう] /(n) chairman/(P)/
座頭 [ざがしら] /(n) leader of a troupe/
座頭 [ざとう] /(n) (1) blind man/(2) masseur (usu. blind)/
座頭鯨 [ざとうくじら] /(n) (uk) humpback whale (Megaptera novaeangliae)/
座頭虫 [ざとうむし] /(n) (uk) harvestman/daddy longlegs (arachnid of order Opiliones)/
座標 [ざひょう] /(n,adj-no) coordinate/coordinates/
座標格子 [ざひょうこうし] /(n) (comp) coordinate grid/
座標幾何学 [ざひょうきかがく] /(n) (obsc) coordinate geometry/
座標系 [ざひょうけい] /(n) coordinate system/
座標軸 [ざひょうじく] /(n) coordinate axis/
座標図形処理 [ざひょうずけいしょり] /(n) (comp) coordinate graphics/line graphics/
座標点 [ざひょうてん] /(n) (comp) coordinate point/
座標変換 [ざひょうへんかん] /(n) coordinate transformation/
座付 [ざつき] /(n) working in the theater (theatre)/attached to a particular theater/
座付き [ざつき] /(n) working in the theater (theatre)/attached to a particular theater/
座布団 [ざぶとん] /(n) zabuton (flat floor cushion used when sitting or kneeling; usu. rectangular)/(P)/
座布団を当てる [ざぶとんをあてる] /(exp,v1) to sit on a cushion/
座敷 [ざしき] /(n) (1) tatami room/tatami mat room/formal Japanese room/(2) dinner party in a tatami room/(P)/
座敷犬 [ざしきけん] /(n) dog that is raised indoors/
座敷着 [ざしきぎ] /(n) dress worn by a geisha to a zashiki party/
座敷童 [ざしきわらし] /(n) protective household deity in Touhoku/red-faced child spirit with bobbed-hair/
座敷童子 [ざしきわらし] /(n) protective household deity in Touhoku/red-faced child spirit with bobbed-hair/
座敷牢 [ざしきろう] /(n) (Edo-period) room for confining criminals or lunatics/
座法 [ざほう] /(n) (formal) ways of sitting/
座面 [ざめん] /(n) seat (of a chair)/
座薬 [ざやく] /(n) suppository/
座浴 [ざよく] /(n,vs) sitz bath/
座礼 [ざれい] /(n) bowing while sitting/
座刳り [ざぐり] /(n) counter sink (e.g. so screw-heads don't protrude above surface)/
挫き [くじき] /(n) sprain/
挫く [くじく] /(v5k) to crush/to break/to sprain/
挫ける [くじける] /(v1,vi) to be crushed/to be broken/to be sprained/
挫骨 [ざこつ] /(n,vs) spraining of a bone joint/
挫傷 [ざしょう] /(n,vs) bruise (internal)/
挫折 [ざせつ] /(n,vs) frustration/setback/discouragement/(P)/
挫折感 [ざせつかん] /(n) feeling of frustration/sense of failure/
挫創 [ざそう] /(n) contusion/bruise/
挫滅 [ざめつ] /(n,vs) crushing (injury)/
挫滅症候群 [ざめつしょうこうぐん] /(n) crush syndrome/
債 [さい] /(n,n-suf) debt/loan/(P)/
債鬼 [さいき] /(n) cruel creditor/bill collector/
債券 [さいけん] /(n) bond/debenture/(P)/
債券格付け [さいけんかくづけ] /(n) bond rating/
債券発行 [さいけんはっこう] /(n) debt issuance/bond issuance/
債権 [さいけん] /(n) credit/claim/(P)/
債権者 [さいけんしゃ] /(n) (1) creditor/(2) claimant/
債権所有者 [さいけんしょゆうしゃ] /(n) bondholder/
債権保全 [さいけんほぜん] /(n) credit protection (by seizing assets in anticipation of a default)/preventive attachment/
債権放棄 [さいけんほうき] /(n) debt waiver/
債権利回り [さいけんりまわり] /(n) bond yield/
債主 [さいしゅ] /(n) creditor/
債務 [さいむ] /(n) debt/liabilities/(P)/
債務救済 [さいむきゅうさい] /(n) debt relief/
債務交換 [さいむこうかん] /(n) debt swap/
債務国 [さいむこく] /(n) debtor nation/debt-laden country/debtor country/
債務削減 [さいむさくげん] /(n) debt reduction/
債務者 [さいむしゃ] /(n) debtor/
債務整理 [さいむせいり] /(n) adjustment of debts/debt-workout/consolidation of debts/settlement of debts/
債務担保証券 [さいむたんぽしょうけん] /(n) Collateralized Debt Obligation/CDO/
債務帳消し [さいむちょうけし] /(n) debt forgiveness/
債務超過 [さいむちょうか] /(n) insolvency/
債務不履行 [さいむふりこう] /(n) default on a debt/
債務負担 [さいむふたん] /(n) debt load/
債務保証 [さいむほしょう] /(n) loan guarantee/
催し [もよおし] /(n) event/festivities/function/social gathering/auspices/opening/holding (a meeting)/(P)/
催し物 [もようしもの] /(n) points of interest/tourist attraction/exhibit/events/amusements/(program of) entertainments (programme)/
催し物 [もよおしもの] /(n) points of interest/tourist attraction/exhibit/events/amusements/(program of) entertainments (programme)/
催す [もよおす] /(v5s,vt) (1) to hold (a meeting)/to give (a dinner)/to show signs of/(2) to feel (sensation, emotion, etc.)/(P)/
催淫剤 [さいいんざい] /(n) aphrodisiac/
催合う [もやう] /(v5u) (arch) to co-operate (in enterprises)/to hold in common/to share/
催告 [さいこく] /(n,vs) notification/
催事 [さいじ] /(n) special event/
催事場 [さいじじょう] /(n) event hall/
催促 [さいそく] /(n,vs) request/demand/claim/urge (action)/press for/(P)/
催促状 [さいそくじょう] /(n) dun/letter requesting money, etc./
催吐薬 [さいとやく] /(n) emetic/
催馬楽 [さいばら] /(n) genre of Heian-period Japanese court music (primarily consisting of gagaku-styled folk melodies)/
催物 [もようしもの] /(n) points of interest/tourist attraction/exhibit/events/amusements/(program of) entertainments (programme)/
催物 [もよおしもの] /(n) points of interest/tourist attraction/exhibit/events/amusements/(program of) entertainments (programme)/
催眠 [さいみん] /(n,adj-no) hypnotism/(P)/
催眠ガス [さいみんガス] /(n) sleeping gas/
催眠剤 [さいみんざい] /(n) sleeping medicine/
催眠術 [さいみんじゅつ] /(n) hypnotism/
催眠薬 [さいみんやく] /(n) sleeping medicine/
催眠療法 [さいみんりょうほう] /(n) hypnotherapy/
催涙 [さいるい] /(n,adj-no) lachrymal/(P)/
催涙ガス [さいるいガス] /(n,adj-no) tear gas/
催涙スプレー [さいるいスプレー] /(n) tear gas defense spray (e.g. mace, pepper)/
催涙銃 [さいるいじゅう] /(n) tear-gas gun/
催涙弾 [さいるいだん] /(n) tear-gas bomb/
再 [さい] /(pref) re-/again/repeated/deutero-/deuto-/deuter-/(P)/
再々 [さいさい] /(adv,n) often/frequently/
再び [ふたたび] /(adv) again/once more/a second time/(P)/
再び取る [ふたたびとる] /(v5r) to reassume/
再び述べる [ふたたびのべる] /(v1) to restate/
再び導入 [ふたたびどうにゅう] /(n,vs) reintroduction/
再び読む [ふたたびよむ] /(v5m) to reread/to read again/
再コンパイル [さいコンパイル] /(n,vs) (comp) recompile/
再スタート [さいスタート] /(n,vs) restarting/(P)/
再セットアップ [さいセットアップ] /(n) (comp) restoring a computer to factory settings (esp. through reinstallation of the operating system, or use of a recovery CD)/
再ルーチング [さいルーチング] /(n) (comp) rerouting/
再ロード [さいロード] /(n,vs) (comp) reload/
再案 [さいあん] /(n) second plan/second draft/second draught/
再委託 [さいいたく] /(n,vs) reconsignment (goods)/recomissioning (task)/
再映 [さいえい] /(n,vs) rerun/reshow/revive (a movie)/
再演 [さいえん] /(n,vs) (1) another showing (of a play)/(2) recapitulation (biology)/(P)/
再縁 [さいえん] /(n,vs) second marriage/
再下付 [さいかふ] /(n,vs) reissue/renewal/
再加工 [さいかこう] /(n) reprocessing/
再嫁 [さいか] /(n,vs) remarriage/
再会 [さいかい] /(n,vs) another meeting/meeting again/reunion/(P)/
再開 [さいかい] /(n,vs) reopening/resumption/restarting/(P)/
再開フェス [さいかいフェス] /(n) (comp) restart phase/
再開発 [さいかいはつ] /(n,vs) redevelopment/(P)/
再確認 [さいかくにん] /(n,vs) reaffirmation/reconfirmation/revalidation/
再割引 [さいわりびき] /(n) rediscount/
再割当 [さいわりあて] /(n) (comp) reassignment/
再刊 [さいかん] /(n,vs) reprint/republication/
再感染 [さいかんせん] /(n) getting the same sickness/
再帰 [さいき] /(n,adj-no) recursive/
再帰関数 [さいきかんすう] /(n) (comp) recursive function/
再帰呼び出し [さいきよびだし] /(n) (comp) recursive call/
再帰呼出し [さいきよびだし] /(n) (comp) recursive (function) call/
再帰代名詞 [さいきだいめいし] /(n) (ling) reflexive pronoun/
再帰的 [さいきてき] /(adj-na) (comp) recursive/
再帰的に呼ぶ [さいきてきによぶ] /(exp,v5b) (comp) to call recursively/
再帰的サブルーチン [さいきてきサブルーチン] /(n) (comp) recursive subroutine/
再帰的定義 [さいきてきていぎ] /(n) (comp) recursive definitions/
再帰動詞 [さいきどうし] /(n) (ling) reflexive verb/
再帰熱 [さいきねつ] /(n) recurrent fever/
再起 [さいき] /(n,vs,adj-no) comeback/recovery/restoration/rally/reflexive (in grammar)/(P)/
再起動 [さいきどう] /(n,vs) (comp) restart/reboot/
再起不能 [さいきふのう] /(n) being beyond recovery/having no hope of recovery/
再議 [さいぎ] /(n,vs) reconsideration/redeliberation/
再挙 [さいきょ] /(n,vs) another attempt/
再協議 [さいきょうぎ] /(n,vs) repeated discussion/
再教育 [さいきょういく] /(n,vs) retraining/re-education/
再興 [さいこう] /(n,vs) revival/restoration/resuscitation/
再勤 [さいきん] /(n) reappointment/
再禁止 [さいきんし] /(n) reimposition of an embargo/reprohibition/
再吟味 [さいぎんみ] /(n,vs) re-examination/review/
再軍備 [さいぐんび] /(n,vs) rearmament/
再掲 [さいけい] /(vs) to reproduce/to reprint/
再計算 [さいけいさん] /(n,vs) (comp) recalculation/recalculate/
再結晶 [さいけっしょう] /(n,vs) recrystallization/
再建 [さいけん] /(n,vs) rebuilding/reconstruction/rehabilitation/(P)/
再建 [さいこん] /(n,vs) (temple or shrine) rebuilding/
再建計画 [さいけんけいかく] /(n) reorganization plan/reorganisation plan/restructuring plan/
再建築 [さいけんちく] /(n) reconstruction/rebuilding/
再検査 [さいけんさ] /(n) re-examination/
再検討 [さいけんとう] /(n,vs) re-examination/review/reappraisal/(P)/
再見 [さいけん] /(n,vs) looking at again/watching again/discovering again/seeing again/
再現 [さいげん] /(n,vs,adj-no) reappearance/reproduction/return/revival/(P)/
再現率 [さいげんりつ] /(n) recall/recall factor/recall ratio/
再雇用 [さいこよう] /(n) reemployment/
再交渉 [さいこうしょう] /(n,vs) renegotiation/
再交付 [さいこうふ] /(n) reissue/regrant/
再工事 [さいこうじ] /(n) reconstruction/
再抗弁 [さいこうべん] /(n,vs) pleading/
再拘留 [さいこうりゅう] /(n) (a) remand/
再校 [さいこう] /(n) second proof/reinvestigation/
再構成 [さいこうせい] /(n) reconstruction/reorganization/reorganisation/reconstitution/reconfiguration/
再構築 [さいこうちく] /(n) reconstruction/
再考 [さいこう] /(n,vs) reconsideration/(P)/
再考慮 [さいこうりょ] /(n) reconsideration/
再降臨 [さいこうりん] /(n) Second Advent/
再告 [さいこく] /(n) renotification/
再国営化 [さいこくえいか] /(n,vs) re-nationalisation/
再国有化 [さいこくゆうか] /(n,vs) re-nationalisation/
再婚 [さいこん] /(n,vs) second marriage/(P)/
再再 [さいさい] /(adv,n) often/frequently/
再三 [さいさん] /(adv,n) again and again/repeatedly/(P)/
再三再四 [さいさんさいし] /(adv,n) repeatedly/
再使用 [さいしよう] /(n) reuse/
再使用型 [さいしようがた] /(adj-f) reusable/
再始動 [さいしどう] /(n,vs) (comp) restart/
再思 [さいし] /(n,vs) reconsideration/
再試験 [さいしけん] /(n) re-examination/
再試行 [さいしこう] /(n,vs) retry/trying again/
再試合 [さいしあい] /(n) resumption of a game/
再実行 [さいじっこう] /(n,vs) (comp) re-execute/
再実行時間 [さいじっこうじかん] /(n) (comp) rerun time/
再受浸 [さいじゅしん] /(n) rebaptism by immersion/
再就職 [さいしゅうしょく] /(n) reemployment/
再就職支援 [さいしゅうしょくしえん] /(n) outplacement/
再集計 [さいしゅうけい] /(n,vs) recount (ballots, etc.)/
再十両 [さいじゅうりょう] /(n) sumo wrestler re-promoted to juryo division/
再従兄 [さいじゅうけい] /(n) elder second cousin/
再従兄弟 [はいとこ] /(n) second cousin/
再従兄弟 [はとこ] /(n) second cousin/
再従兄弟 [ふたいとこ] /(n) second cousin/
再従兄弟 [またいとこ] /(n) second cousin/
再従兄妹 [はとこ] /(iK) (n) second cousin/
再従兄妹 [ふたいとこ] /(iK) (n) second cousin/
再従兄妹 [またいとこ] /(iK) (n) second cousin/
再従姉弟 [ふたいとこ] /(n) second cousin/
再従姉弟 [またいとこ] /(n) second cousin/
再従姉妹 [さいじゅうけいてい] /(n) second cousin/
再従姉妹 [はとこ] /(n) second cousin/
再従姉妹 [ふたいとこ] /(n) second cousin/
再従姉妹 [またいとこ] /(n) second cousin/
再従弟 [さいじゅうてい] /(n) younger second cousin/
再出 [さいしゅつ] /(n,vs) reappearance/re-emergence/
再出場 [さいしゅつじょう] /(n) return to tournament after temporary absence (sumo)/
再出発 [さいしゅっぱつ] /(n,vs) restart/fresh start/
再循環 [さいじゅんかん] /(n) recycle/
再処理 [さいしょり] /(n,vs) reprocessing/
再処理工場 [さいしょりこうじょう] /(n) reprocessing plant/
再初期設定 [さいしょきせってい] /(n) (comp) reinitialization/
再勝 [さいしょう] /(n) another victory/
再上映 [さいじょうえい] /(n) rerun (of a file)/
再審 [さいしん] /(n,vs) review/revision/reexamination/retrial/(P)/
再審査 [さいしんさ] /(n) re-examination/
再審裁判 [さいしんさいばん] /(n) retrial/
再審裁判所 [さいしんさいばんしょ] /(n) court of review/retrial court/
再浸礼 [さいしんれい] /(n) rebaptism by immersion/
再尋問 [さいじんもん] /(n) re-examination/
再征 [さいせい] /(n) second punitive expedition/
再整理 [さいせいり] /(n,vs) rearrangement/reorganization/recounting (an event)/
再生 [さいせい] /(n,vs,adj-no) playback/regeneration/resuscitation/return to life/rebirth/reincarnation/refresh/narrow escape/reclamation/regrowth/(P)/
再生医療 [さいせいいりょう] /(n) regenerative medicine/
再生可能エネルギー [さいせいかのうエネルギー] /(n) renewable energy/
再生可能資源 [さいせいかのうしげん] /(n) renewable resource/
再生産 [さいせいさん] /(n,vs) reproduction/
再生紙 [さいせいし] /(n) recycled paper/
再生繊維 [さいせいせんい] /(n) regenerated fiber/regenerated fibre/
再生装置 [さいせいそうち] /(n) playback equipment/
再生速度 [さいせいそくど] /(n) (1) replay speed/playback speed/(2) refresh rate/
再生品 [さいせいひん] /(n) reclaimed goods/
再生不良性貧血 [さいせいふりょうせいひんけつ] /(n) aplastic anemia/aplastic anaemia/
再生保証領域 [さいせいほしょうりょういき] /(n) (comp) assured reproduction area/
再生法 [さいせいほう] /(n) regeneration process/rehabilitation method/recovery/
再生利用 [さいせいりよう] /(n) recycling/
再製 [さいせい] /(n,vs) remanufacture/reconditioning/
再製品 [さいせいひん] /(n) reprocessed goods/
再接続 [さいせつぞく] /(n) (comp) reconnect/
再設 [さいせつ] /(n) re-establishment/reorganization/reorganisation/
再設定 [さいせってい] /(n,vs) (comp) reestablish/reset (a password)/
再説 [さいせつ] /(n,vs) repeated explanation/
再宣言 [さいせんげん] /(n) (comp) redeclaration/
再戦 [さいせん] /(n,vs) rematch/
再洗礼 [さいせんれい] /(n) baptism by sprinkling/
再選 [さいせん] /(n,vs) re-election/(P)/
再選挙 [さいせんきょ] /(n) re-election/
再組織 [さいそしき] /(n) reorganization/reorganisation/
再組立 [さいくみたて] /(n) (comp) reassembly/
再創造 [さいそうぞう] /(n) recreation/
再葬墓 [さいそうぼ] /(n) secondary grave (usu. for disinterred and washed bones)/reburial grave/
再送 [さいそう] /(n,vs) re-sending/re-transmission/
再送信 [さいそうしん] /(n) (comp) retransmission/
再測量 [さいそくりょう] /(n) resurvey/
再誕 [さいたん] /(n) resurrection (of a company or school, etc.)/
再築 [さいちく] /(n,vs) reconstruction/rebuilding/
再注 [さいちゅう] /(n) repeat order/
再注文 [さいちゅうもん] /(n) repeat order/
再鋳 [さいちゅう] /(n) recasting/
再調 [さいちょう] /(n,vs) reexamination/reinvestigation/
再調査 [さいちょうさ] /(n) re-examination/reinvestigation/
再調整 [さいちょうせい] /(n) readjustment/realignment/
再直接尋問 [さいちょくせつじんもん] /(n) redirect examination/
再定義 [さいていぎ] /(n) (math) redefinition/
再提案 [さいていあん] /(n) proposing again/
再訂 [さいてい] /(n,vs) second time/
再訂版 [さいていはん] /(n) second revised edition/
再訂版 [さいていばん] /(n) second revised edition/
再転 [さいてん] /(n,vs) changing directions/turning around/
再転送 [さいてんそう] /(n) re-transfer/re-transmit/
再度 [さいど] /(n-adv,n-t) twice/again/second time/(P)/
再度確認 [さいどかくにん] /(n) double check/
再度協議 [さいどきょうぎ] /(n,vs) renegotiation/
再度組み立て [さいどくみたて] /(n) (comp) reassemble/
再度弁論 [さいどべんろん] /(n,vs) repleading/pleading again/
再投稿 [さいとうこう] /(n,vs) redraft/redraught/revised contribution/repost (e.g. to a newsgroup)/
再投資 [さいとうし] /(n) reinvest/
再投票 [さいとうひょう] /(n) revoting/
再読 [さいどく] /(n,vs) rereading/
再読込み [さいどくこみ] /(n) (comp) reload (a document, e.g.)/
再突入 [さいとつにゅう] /(n,vs) reentry/
再入 [さいにゅう] /(n,n-pref) re-entry/reentry/readmittance/
再入可能 [さいにゅうかのう] /(adj-na) (comp) re-entrant/
再入可能サブルーチン [さいにゅうかのうサブルーチン] /(n) (comp) reentrant subroutine/
再入可能プログラム [さいにゅうかのうプログラム] /(n) (comp) reentrant program/
再入可能ルーチン [さいにゅうかのうルーチン] /(n) (comp) reentrant routine/
再入可能手続き [さいにゅうかのうてつづき] /(n) (comp) reentrant procedure/
再入学 [さいにゅうがく] /(n) readmission to a school/
再入国 [さいにゅうこく] /(n,vs) re-entry into a country/
再入国許可 [さいにゅうこくきょか] /(n) (immigration) re-entry permit/
再入国許可書 [さいにゅうこくきょかしょ] /(n) re-entry permit/
再入幕 [さいにゅうまく] /(n) sumo wrestler re-promoted to makuuchi division/
再任 [さいにん] /(n,vs) reappointment/(P)/
再認識 [さいにんしき] /(n,vs) recognizing anew/seeing something in a new light/
再燃 [さいねん] /(n,vs,adj-no) recurrence/revival/resuscitation/(P)/
再拝 [さいはい] /(int,n) worshipping again/bowing twice/epistolary clothing/
再敗 [さいはい] /(n) second defeat/
再配達 [さいはいたつ] /(n) redelivery/
再配置 [さいはいち] /(n) rearrangement/reallocation/realignment/relocation/
再配置可能 [さいはいちかのう] /(adj-na) (comp) relocatable/
再配置可能アドレス [さいはいちかのうアドレス] /(n) (comp) relocated address/
再配置可能コード [さいはいちかのうコード] /(n) (comp) relocatable code/
再配置可能プログラム [さいはいちかのうプログラム] /(n) (comp) relocatable program/
再配布 [さいはいふ] /(n) redistribution/
再配分 [さいはいぶん] /(n) redistribution/
再発 [さいはつ] /(n,vs) return/relapse/reoccurrence/(P)/
再発見 [さいはっけん] /(n,vs) rediscovery/
再発行 [さいはっこう] /(n,vs) reissue/
再発信 [さいはっしん] /(vs) retransmission/
再発足 [さいほっそく] /(n,vs) restart/fresh start/
再発表 [さいはっぴょう] /(n) re-release/republication/
再判定 [さいはんてい] /(n,vs) rejudgement/
再判定中 [さいはんていちゅう] /(exp) under re-judgment/
再版 [さいはん] /(n,vs) reprint(ing)/second edition/
再犯 [さいはん] /(n) second offense/second offence/
再犯者 [さいはんしゃ] /(n) second offender/
再販 [さいはん] /(n) resale/(P)/
再販価格 [さいはんかかく] /(n) resale price/
再販業者 [さいはんぎょうしゃ] /(n) reseller/
再販制度 [さいはんせいど] /(n) resale system/
再販売 [さいはんばい] /(n) resale/
再表示制御 [さいひょうじせいぎょ] /(n) (comp) display recall control/
再評価 [さいひょうか] /(n,vs) reassessment/reappraisal/reevaluation/revaluation/
再描画 [さいびょうが] /(n) (comp) redraw/
再浮上 [さいふじょう] /(n,vs) resurfacing/
再武装 [さいぶそう] /(n) rearmament/
再封鎖 [さいふうさ] /(n,vs) reblocking/refreeze/
再服役 [さいふくえき] /(n) re-enlistment/second imprisonment/
再分配 [さいぶんぱい] /(n) redistribution/
再変 [さいへん] /(n,vs) second change/second calamity/
再編 [さいへん] /(n,vs) reorganization/reorganisation/reshuffle/(P)/
再編計画 [さいへんけいかく] /(n) reorganization plan/reorganisation plan/
再編成 [さいへんせい] /(n,vs) reorganization/reorganisation/reshuffle/
再保険 [さいほけん] /(n) reinsurance/
再放送 [さいほうそう] /(n,vs) rebroadcasting/
再訪 [さいほう] /(n,vs) revisit/
再訪問率 [さいほうもんりつ] /(n) revisit rate (e.g. for WWW sites)/visitor retention rate/
再輸出 [さいゆしゅつ] /(n,vs) re-exportation/
再輸入 [さいゆにゅう] /(n,vs) reimportation/
再遊 [さいゆう] /(n,vs) revisit/
再来 [さいらい] /(n,vs) return/second coming/second advent/reincarnation/(P)/
再来月 [さらいげつ] /(n-adv,n-t) month after next/(P)/
再来週 [さらいしゅう] /(n-adv,n-t) week after next/(P)/
再来年 [さらいねん] /(n-adv,n-t) year after next/(P)/
再利用 [さいりよう] /(n,vs) reuse/recycling/
再利用率 [さいりようりつ] /(n) (comp) reuse factor/
再臨 [さいりん] /(n,vs) second coming/second advent/
再臨派 [さいりんは] /(n) Adventists/
再録 [さいろく] /(n,vs) re-recording/
最 [さい] /(pref,adj-na) (1) the most/the extreme/(adj-t,adv-to) (2) prime/conspicuous/
最たる [さいたる] /(adj-pn) prime/conspicuous/
最たるもの [さいたるもの] /(n) the most extreme/
最たる物 [さいたるもの] /(n) the most extreme/
最も [もっとも] /(adv) most/extremely/(P)/
最愛 [さいあい] /(n,vs,adj-no) beloved/(P)/
最悪 [さいあく] /(adj-na,n) the worst/(P)/
最悪の場合 [さいあくのばあい] /(exp) worst case/
最悪期 [さいあくき] /(n) worst period of time/
最安値 [さいやすね] /(n,adj-no) all-time low (e.g. in trading, shopping)/record low/new low/
最右 [さいう] /(n,adj-no) right-most/rightmost/
最右端 [さいうたん] /(n) (comp) low order end/
最右翼 [さいうよく] /(n) dominant person/preeminent person/strongest contender/
最遠 [さいえん] /(adj-no) farthest/furthest/most remote/
最遠点 [さいえんてん] /(n) apocenter/
最下 [さいか] /(adj-na,n,adj-no) the lowest/the worst/(P)/
最下位 [さいかい] /(n) lowest rank/bottom/cellar/least significant (bit)/
最下位のビット [さいかいのビット] /(n) least significant bit/LSB/
最下位ビット [さいかいビット] /(n) (comp) least significant bit/LSB/
最下部 [さいかぶ] /(n) lowest part/bottom (or footer) of a page, computer screen, on-screen window, etc./
最果て [さいはて] /(n) the farthest ends/the furthest ends/
最外 [さいがい] /(n) outer-most/
最寄 [もより] /(io) (n,adj-no) nearest/neighbouring/neighboring/nearby/
最寄り [もより] /(n,adj-no) nearest/neighbouring/neighboring/nearby/(P)/
最期 [さいご] /(n-adv,n) one's last moment/one's time of death/(P)/
最強 [さいきょう] /(n,adj-no) strongest/(P)/
最近 [さいきん] /(adj-no,n-adv,n-t) most recent/these days/right now/recently/nowadays/(P)/
最近稼働 [さいきんかどう] /(n) (comp) recent activity/
最恵国 [さいけいこく] /(n) most favored nation/most favoured nation/(P)/
最恵国待遇 [さいけいこくたいぐう] /(n) most favored nation/most favoured nation/MFN/
最敬礼 [さいけいれい] /(n,vs) a respectful bow/
最古 [さいこ] /(n,adj-no) the oldest/(P)/
最後 [さいご] /(n,adj-no) (1) last/end/conclusion/latest/most recent/(exp) (2) (after -tara form or -ta form followed by "ga") no sooner than/right after (often having negative consequences)/(3) (arch) one's final moments/(P)/
最後っ屁 [さいごっぺ] /(n) (1) stink bomb/foul odour emitted from the anal sacs of a frightened weasel/(2) final desperate tactic/
最後に笑う者が最もよく笑う [さいごにわらうものがもっともよくわらう] /(exp) (id) He who laughs last laughs hardest/
最後の最後に [さいごのさいごに] /(exp) at the last moment/(P)/
最後の審判 [さいごのしんぱん] /(n) Last Judgment (judgment of mankind to take place when the world ends, according to various religious traditions)/
最後の晩餐 [さいごのばんさん] /(n) the Last Supper/
最後の舞台 [さいごのぶたい] /(exp) final performance/swan song/last act/(P)/
最後まで [さいごまで] /(exp) to the end/to the last/
最後通告 [さいごつうこく] /(n) final warning/ultimatum/last notice/
最後通牒 [さいごつうちょう] /(n) ultimatum/
最後発 [さいこうはつ] /(n) last entrant (to a race, market, etc.)/
最後尾 [さいこうび] /(n) end of a line (queue)/(P)/
最後列 [さいこうれつ] /(n) (very) back (last) row/rearmost row/
最後列車 [さいごれっしゃ] /(n) last train/
最後屁 [さいごべ] /(n) (1) stink bomb/foul odour emitted from the anal sacs of a frightened weasel/(2) final desperate tactic/
最高 [さいこう] /(adj-na,n,adj-no) highest/supreme/the most/(P)/
最高位 [さいこうい] /(n,adj-no) pride of place/most prominent/top-ranking/
最高価格 [さいこうかかく] /(n) highest price/price ceiling/
最高会議 [さいこうかいぎ] /(n) supreme council/high council/Supreme Soviet (former USSR)/
最高学府 [さいこうがくふ] /(n) highest institute of education/
最高額 [さいこうがく] /(n) capital sum/principal sum/top dollar/
最高額入札者 [さいこうがくにゅうさつしゃ] /(n) highest bidder/
最高機密 [さいこうきみつ] /(n) top secret/
最高記録 [さいこうきろく] /(n,adj-no) best (highest) record/new record/
最高級 [さいこうきゅう] /(n) highest grade/top class/(P)/
最高級品 [さいこうきゅうひん] /(n) top quality products/
最高刑 [さいこうけい] /(n) maximum punishment/maximum sentence/
最高経営責任者 [さいこうけいえいせきにんしゃ] /(n) chief executive officer/CEO/
最高血圧 [さいこうけつあつ] /(n) systolic blood pressure/
最高検 [さいこうけん] /(n) (abbr) Public Prosecutor's Office/(P)/
最高検察庁 [さいこうけんさつちょう] /(n) Supreme Public Prosecutor's Office/
最高限 [さいこうげん] /(n) top (e.g. of the market)/
最高限度 [さいこうげんど] /(n) upper limit/ceiling/
最高裁 [さいこうさい] /(n) (abbr) Supreme Court/(P)/
最高裁判所 [さいこうさいばんしょ] /(n) Supreme Court/
最高財務責任者 [さいこうざいむせきにんしゃ] /(n) chief financial officer/CFO/
最高指導者 [さいこうしどうしゃ] /(n) supreme leader/ultimate leader/
最高神 [さいこうしん] /(n) supreme deity/
最高責任者 [さいこうせきにんしゃ] /(n) chief executive/
最高値 [さいたかね] /(n) all-time high (e.g. in trading, shopping)/record high/new high/
最高潮 [さいこうちょう] /(n) climax/
最高点 [さいこうてん] /(n) highest score or grade or number of points/
最高峰 [さいこうほう] /(n) highest peak/most prominent/highest authority/(P)/
最高法院 [さいこうほういん] /(n) Supreme Court of Judicature (Scotland)/High Court (England)/Parlement (France)/
最高法規 [さいこうほうき] /(n) supreme law (of the land)/
最左 [さいさ] /(n,adj-no) left-most/
最左端 [さいさたん] /(n) (comp) high order end/
最左翼 [さいさよく] /(n) ultra-left/ultra-left extremists/
最弱 [さいじゃく] /(adj-no,adj-na,n) weakest/
最終 [さいしゅう] /(n,adj-no) last/final/closing/(P)/
最終バージョン [さいしゅうバージョン] /(n) (comp) latest version/
最終案 [さいしゅうあん] /(n) final program (programme, plan)/
最終回 [さいしゅうかい] /(n) last time/last inning/last part/
最終学年 [さいしゅうがくねん] /(n,adj-no) last year of school/
最終結果 [さいしゅうけっか] /(n) end result/
最終権限 [さいしゅうけんげん] /(n) final authority/
最終更新 [さいしゅうこうしん] /(exp) last-update(d)/
最終需要 [さいしゅうじゅよう] /(n) final demand/
最終章 [さいしゅうしょう] /(n) last chapter (book, etc.)/
最終段階 [さいしゅうだんかい] /(n) final stage/
最終値 [さいしゅうち] /(n) (comp) final value/
最終的 [さいしゅうてき] /(adj-na) finally/(P)/
最終電車 [さいしゅうでんしゃ] /(n) last train (of the day)/
最終日 [さいしゅうび] /(n) last day/final day/
最終認可 [さいしゅうにんか] /(n) (comp) final approval/
最終版 [さいしゅうはん] /(n) (comp) final version/
最終兵器 [さいしゅうへいき] /(n) the ultimate weapon/
最終編成 [さいしゅうへんせい] /(n) final form/
最終弁論 [さいしゅうべんろん] /(n) closing argument/closing statement/
最終報告 [さいしゅうほうこく] /(n) final report/
最終目的 [さいしゅうもくてき] /(n) ultimate goal/
最終目標 [さいしゅうもくひょう] /(n) end goal/final target/
最重点 [さいじゅうてん] /(n) very important point/(P)/
最重要 [さいじゅうよう] /(adj-na) most important/
最初 [さいしょ] /(adj-no,n-adv,n-t) beginning/outset/first/onset/(P)/
最初のアクティビティ識別子 [さいしょのアクティビティしきべつし] /(n) (comp) original activity identifier/
最初の権利者 [さいしょのけんりしゃ] /(n) (comp) first owner/
最初の皿 [さいしょのさら] /(n) first course/
最初の値 [さいしょのあたい] /(n) (comp) initial value/
最小 [さいしょう] /(n,adj-no) smallest/least/(P)/
最小２乗 [さいしょうじじょう] /(n,adj-f) (math) least-squares (method)/
最小２乗 [さいしょうにじょう] /(n,adj-f) (math) least-squares (method)/
最小２乗法 [さいしょうじじょうほう] /(n) (math) least-squares method/
最小２乗法 [さいしょうにじょうほう] /(n) (math) least-squares method/
最小ＳＧＭＬ文書 [さいしょうエスジーエムエルぶんしょ] /(n) (comp) minimal SGML document/
最小化 [さいしょうか] /(n,vs) minimization/minimisation/
最小化ボタン [さいしょうかボタン] /(n) (comp) minimize button/
最小限 [さいしょうげん] /(n) minimum/lowest/(P)/
最小限度 [さいしょうげんど] /(n) minimum/
最小公倍数 [さいしょうこうばいすう] /(n) least common multiple/least common denominator/
最小構成 [さいしょうこうせい] /(n) (comp) minimum configuration/
最小国家主義 [さいしょうこっかしゅぎ] /(n) Minarchism/
最小自乗法 [さいしょうじじょうほう] /(n) least-squares method/
最小値 [さいしょうち] /(n) minimum value/min/
最小動作 [さいしょうどうさ] /(n) (comp) minimal simulation/
最小二乗 [さいしょうじじょう] /(n,adj-f) (math) least-squares (method)/
最小二乗 [さいしょうにじょう] /(n,adj-f) (math) least-squares (method)/
最小二乗法 [さいしょうじじょうほう] /(n) (math) least-squares method/
最小二乗法 [さいしょうにじょうほう] /(n) (math) least-squares method/
最小有効ビット [さいしょうゆうこうビット] /(n) (comp) least significant bit/LSB/
最小有効数字 [さいしょうゆうこうすうじ] /(n) (comp) least significant digit/LSD/
最少 [さいしょう] /(n) smallest/minimum/least/(P)/
最上 [さいじょう] /(adj-na,n) best/(P)/
最上 [もがみ] /(adj-na,n) best/
最上位 [さいじょうい] /(n,adj-no) (comp) high-end/high-order/
最上位のビット [さいじょういのビット] /(n) most significant bit/MSB/
最上位ビット [さいじょういビット] /(n) (comp) most significant bit/MSB/
最上階 [さいじょうかい] /(n) top floor/
最上級 [さいじょうきゅう] /(n) highest grade/superlative degree/
最上級生 [さいじょうきゅうせい] /(n) senior (e.g. at school)/
最新 [さいしん] /(n,adj-no) latest/newest/late-breaking (news)/(P)/
最新の技術を結集した [さいしんのぎじゅつをけっしゅうした] /(n) (comp) state-of-the-art/
最新ニュース [さいしんニュース] /(n) latest news/most recent news/(P)/
最新鋭 [さいしんえい] /(n,adj-no) state-of-the-art/cutting-edge/(P)/
最新技術 [さいしんぎじゅつ] /(n,adj-no) (comp) latest technology/
最新研究 [さいしんけんきゅう] /(n) the newest research/(P)/
最新式 [さいしんしき] /(n) latest style/
最新情報 [さいしんじょうほう] /(n) the latest information/(P)/
最新世 [さいしんせい] /(n) (obsc) Pleistocene epoch/
最新版 [さいしんばん] /(n) (comp) latest version/
最深 [さいしん] /(adj-na,adj-no,n) deepest/
最深積雪 [さいしんせきせつ] /(n) deepest snow/maximum snowfall/maximum depth of snow cover/
最深部 [さいしんぶ] /(n) deepest part/deepest portion/depths (of the ocean etc.)/innermost/
最盛期 [さいせいき] /(n) golden age/best time for/(P)/
最先端 [さいせんたん] /(n,adj-no) (1) leading edge/forefront/(2) ultra-fine/(P)/
最前 [さいぜん] /(n) foremost/
最前戦 [さいぜんせん] /(n) front/first line/spearhead/
最前線 [さいぜんせん] /(n) foremost line/(P)/
最前列 [さいぜんれつ] /(n) front row/(P)/
最善 [さいぜん] /(n) the very best/(P)/
最善の策 [さいぜんのさく] /(n) the best policy (measure)/
最善の措置 [さいぜんのそち] /(exp) best practices/
最善を尽くす [さいぜんをつくす] /(exp,v5s) to do one's best/to do something to the best of one's ability/
最早 [もはや] /(adv) (1) already/now/(2) (with negative verb) no longer/not any more/(P)/
最速 [さいそく] /(adj-no) fastest/
最速化 [さいそくか] /(n,vs) (speed) optimization/
最多 [さいた] /(n) the most/(P)/
最多数 [さいたすう] /(n) largest number/plurality/
最大 [さいだい] /(n,adj-no) greatest/largest/maximum/(P)/
最大バーストサイズ [さいだいバーストサイズ] /(n) (comp) maximum burst size/
最大ビット長 [さいだいビットちょう] /(n) (comp) maximum bit length/
最大フレームサイズ [さいだいフレームサイズ] /(n) (comp) maximum frame size/
最大化 [さいだいか] /(n,vs) maximization/maximisation/
最大化ボタン [さいだいかボタン] /(n) (comp) maximize button/
最大許容正規過電圧 [さいだいきょようせいきかでんあつ] /(n) (comp) maximum allowable normal mode overvoltage/
最大許容線量 [さいだいきょようせんりょう] /(n) maximum permissible dose/
最大許容同相過電圧 [さいだいきょようどうそうかでんあつ] /(n) (comp) maximum allowable common mode overvoltage/
最大限 [さいだいげん] /(n) maximum/(P)/
最大限度 [さいだいげんど] /(n) maximum/
最大公約数 [さいだいこうやくすう] /(n) (math) greatest common divisor/GCD/
最大作動正規電圧 [さいだいさどうせいきでんあつ] /(n) (comp) maximum operating normal mode voltage/
最大作動同相電圧 [さいだいさどうどうそうでんあつ] /(n) (comp) maximum operating common mode voltage/
最大手 [さいおおて] /(n) largest company/industry leader/
最大数 [さいだいすう] /(n) (comp) limit/
最大正規電圧 [さいだいせいきでんあつ] /(n) (comp) maximum normal mode voltage/
最大積載量 [さいだいせきさいりょう] /(n) maximum carrying capacity/maximum payload/
最大値 [さいだいち] /(n) global maximum/greatest value/
最大同相電圧 [さいだいどうそうでんあつ] /(n) (comp) maximum common mode voltage/
最大表示 [さいだいひょうじ] /(n) (comp) full screen/maximum display/maximized view/
最大有効ビット [さいだいゆうこうビット] /(n) (comp) most significant bit/MSB/
最大有効数字 [さいだいゆうこうすうじ] /(n) (comp) most significant digit/MSD/
最大量 [さいだいりょう] /(n,adj-no) maximum (e.g. dose)/greatest amount/largest amount/
最短 [さいたん] /(n,adj-no) shortest/(P)/
最短距離 [さいたんきょり] /(n) shortest distance (to)/
最中 [さいちゅう] /(n-adv,n) in the middle of/height of/in course of/midst/(P)/
最中 [さなか] /(n-adv,n) in the middle of/height of/in course of/midst/
最中 [もなか] /(n) wafer cake filled with bean jam/
最長 [さいちょう] /(n) the longest/the oldest/(P)/
最長経路 [さいちょうけいろ] /(n) (comp) critical path/
最長不倒距離 [さいちょうふとうきょり] /(n) day's longest successful jump/
最賃法 [さいちんほう] /(n) Minimum Wages Act/
最低 [さいてい] /(adj-na,adv,n,adj-no) (1) least/lowest/worst/(2) nasty/disgusting/horrible/yuck!/(P)/
最低温度計 [さいていおんどけい] /(n) a minimum thermometer/
最低血圧 [さいていけつあつ] /(n) diastolic blood pressure/minimal blood pressure/
最低限 [さいていげん] /(n) minimum/(P)/
最低限度 [さいていげんど] /(n) minimum limit/the lowest degree (possible, allowable, etc.)/
最低水準 [さいていすいじゅん] /(n,adj-no) lowest level/minimum level/ground floor/
最低生活費 [さいていせいかつひ] /(n) minimum cost of living/
最低賃金 [さいていちんぎん] /(n) minimum wage/
最低賃金制 [さいていちんぎんせい] /(n) minimum wage system/
最適 [さいてき] /(adj-na,n,adj-no) optimum/the most suitable/(P)/
最適ルート [さいてきルート] /(n) (comp) optimal route/
最適化 [さいてきか] /(n,vs) optimization/optimisation/
最適化プログラム [さいてきかプログラム] /(n) (comp) defragmentation program/
最適課税 [さいてきかぜい] /(n) optimal taxation/optimum taxation/
最適任者 [さいてきにんしゃ] /(n,adj-no) best qualified person/most suitable person/
最南 [さいなん] /(n,adj-no) southernmost/
最年少 [さいねんしょう] /(adj-no) youngest/(P)/
最年長 [さいねんちょう] /(adj-no) eldest/
最繁トラヒック時 [さいぱんトラヒックとき] /(n) (comp) peak traffic period/
最繁正時 [さいぱんせいじ] /(n) (comp) busy hour/busy period/
最頻値 [さいひんち] /(n) (comp) mode/
最北 [さいほく] /(adj-na,adj-no) northernmost/
最北端 [さいほくたん] /(n) northernmost tip (of country)/
最優遇 [さいゆうぐう] /(n) most favourable treatment/most favorable treatment/very warm reception/(P)/
最優秀 [さいゆうしゅう] /(adj-no) best/most (valuable player)/top (quality)/grade A/ace/finest/
最優秀選手 [さいゆうしゅうせんしゅ] /(n) (the) most valuable player/MVP/
最優先 [さいゆうせん] /(n,vs) maximum preference/maximum priority/priority handling/
最良 [さいりょう] /(adj-na,n) the best/ideal/(P)/
哉 [かな] /(prt) (arch) (uk) how!/what!/alas!/
塞がり [ふさがり] /(n) (1) being closed/being blocked up/being occupied/hindrance/impedance/(2) unlucky direction (in Onmyoudou; due to the presence of a god such as Ten'ichijin)/
塞がり [ふたがり] /(ok) (n) (1) being closed/being blocked up/being occupied/hindrance/impedance/(2) unlucky direction (in Onmyoudou; due to the presence of a god such as Ten'ichijin)/
塞がる [ふさがる] /(v5r,vi) (1) to be closed/to be blocked/to be healed (e.g. wound)/to be shut up/(2) to be clogged/to be plugged up/(3) to be occupied/to be taken (e.g. accommodation)/(P)/
塞がる [ふたがる] /(ok) (v5r,vi) (1) to be closed/to be blocked/to be healed (e.g. wound)/to be shut up/(2) to be clogged/to be plugged up/(3) to be occupied/to be taken (e.g. accommodation)/
塞き止める [せきとめる] /(v1,vt) (1) to dam up/to hold back/to keep back/to bring to a halt/to intercept/(2) to check/
塞ぎ込む [ふさぎこむ] /(v5m,vi) to mope/to brood/to be in low spirits/to have the blues/
塞く [せく] /(v5k,vt) to dam (up) (stream)/
塞ぐ [ふさぐ] /(v5g,vt) to stop up/to close up/to block (up)/to occupy/to fill up/to take up/to stand in another's way/to plug up/to shut up/(P)/
塞げる [ふさげる] /(v1,vt) to close up/to block up/to fill/to cover/
塞の神 [さいのかみ] /(n) traveler's guardian deity (traveller)/
塞の神 [さえのかみ] /(n) traveler's guardian deity (traveller)/
塞源 [そくげん] /(n,vs) blockage of a source/
塞栓 [そくせん] /(n,adj-no) embolus/abnormal substance (i.e. air) circulating in the blood/
塞栓症 [そくせんしょう] /(n) embolism/
妻 [つま] /(n) (1) wife/(2) (arch) dear (formerly used by romantically linked men and women to refer to one another)/(3) (uk) garnish (esp. one served with sashimi)/(4) (uk) embellishment/(P)/
妻せる [めあわせる] /(v1,vt) to marry off/to espouse to/
妻の座 [つまのざ] /(n) status of wifehood/
妻の命 [つまのみこと] /(n) (arch) (pol) you (referring to one's spouse or partner)/dear/
妻君 [めぎみ] /(n) (1) (hon) one's wife/
妻戸 [つまど] /(n) (1) (pair of) wooden doors in the interior of a home/(2) door to a pavilion in a Heian period palace/
妻合せる [めあわせる] /(v1,vt) to marry off/to espouse to/
妻合わせる [めあわせる] /(v1,vt) to marry off/to espouse to/
妻黒 [つまぐろ] /(n) (1) (uk) blacktip reef shark (Carcharhinus melanopterus, species of requiem shark mostly found in the Indo-Pacific)/(n,adj-no) (2) (arch) black tip/
妻子 [さいし] /(n) wife and children/(P)/
妻子を携える [さいしをたずさえる] /(exp,v1) to be accompanied by one's family/
妻子持ち [さいしもち] /(n) man with wife and kids/
妻子眷属 [さいしけんぞく] /(n) one's wife, children, and other relations/one's whole family/
妻室 [さいしつ] /(n) wife/
妻女 [さいじょ] /(n) one's wife/one's wife and daughter or daughters/
妻妾 [さいしょう] /(n) one's wife and mistress(es)/
妻帯 [さいたい] /(n,vs) marriage/marry/
妻帯者 [さいたいしゃ] /(n) a married man/
妻入 [つまいり] /(io) (n) Japanese traditional architectural style where the main entrance is on one or both of the gabled sides/
妻入り [つまいり] /(n) Japanese traditional architectural style where the main entrance is on one or both of the gabled sides/
妻白 [つまじろ] /(n) (uk) silvertip shark (Carcharhinus albimarginatus, a requiem shark found throughout the tropical Indian and Pacific Oceans)/
妻問婚 [つまどいこん] /(n) type of marriage where the man merely visits his wife without living with her/duolocal marriage/
宰相 [さいしょう] /(n) prime minister/(P)/
宰相の器 [さいしょうのき] /(n) person qualified for prime minister/
宰領 [さいりょう] /(n,vs) supervision/superintendence/management/supervisor/
彩なす [あやなす] /(v5s,vt) (1) to decorate with many bright colours (colors)/to create a beautiful variegated pattern/(2) to manipulate skillfully/
彩り [いろどり] /(n,vs) coloring/colouring/coloration/colouration/assortment/color scheme/colour scheme/makeup/(P)/
彩る [いろどる] /(v5r,vt) to colour/to color/to paint/to make up/(P)/
彩雲 [さいうん] /(n) glowing clouds/
彩画 [さいが] /(n) colored picture/coloured picture/painting/
彩管 [さいかん] /(n) artist's brush/
彩飾 [さいしょく] /(n,vs) illumination (e.g. of a manuscript)/
彩飾写本 [さいしょくしゃほん] /(n) illuminated manuscript/
彩色 [さいしき] /(n,vs) colouring/coloring/colouration/coloration/painting/(P)/
彩色 [さいしょく] /(n,vs) colouring/coloring/colouration/coloration/painting/
彩色画 [さいしきが] /(n) colour picture or painting/color picture or painting/
彩色画 [さいしょくが] /(n) colour picture or painting/color picture or painting/
彩層 [さいそう] /(n) (solar) chromosphere/
彩度 [さいど] /(n) chroma/chroma saturation/color saturation (colour)/
才 [さい] /(suf) (1) -years-old/(2) ability/gift/talent/aptitude/genius/(P)/
才の割に [さいのわりに] /(suf) considering he (she) is ... year's old/
才穎 [さいえい] /(n) being very talented and intelligent/talented and intelligent person/
才英 [さいえい] /(n) being very talented and intelligent/talented and intelligent person/
才覚 [さいかく] /(n) ready wit/raising (money)/plan/device/
才学 [さいがく] /(n) talent and education/
才幹 [さいかん] /(n) ability/
才器 [さいき] /(n) talent/ability/
才気 [さいき] /(n) wisdom/
才気縦横 [さいきじゅうおう] /(n,adj-no) great wisdom/
才気溌剌 [さいきはつらつ] /(adj-t,adv-to) resourceful and quick-witted/showing a flash of brilliance/have a keen (sparkling) intellect/
才気煥発 [さいきかんぱつ] /(adj-na,n,adj-no) quick-witted/a flash of brilliance/great wisdom/
才芸 [さいげい] /(n) talent and accomplishments/wisdom and works/
才子 [さいし] /(n) talented man/clever man/
才子佳人 [さいしかじん] /(n) talented man and a beautiful woman/a well-matched pair/wit and beauty/
才子才に溺れる [さいしさいにおぼれる] /(exp) (id) A man of talent is ruined by his own talent/
才子多病 [さいしたびょう] /(exp) Talented people tend to be of delicate constitution/Men of genius tend to be of delicate health/Whom the gods love die young/
才取り [さいとり] /(n) (1) (abbr) brokering/broker/(2) handing materials up a ladder (to a plasterer)/assistant who hands things up a ladder (to a plasterer)/(3) pole used to hand things up a ladder/
才取り会員 [さいとりかいいん] /(n) (ktb:) stock exchange member who facilitates trading by matching buy and sell orders (similar to an NYSE specialist)/
才取り棒 [さいとりぼう] /(n) pole used to hand things up a ladder/
才取会員 [さいとりかいいん] /(n) (ktb:) stock exchange member who facilitates trading by matching buy and sell orders (similar to an NYSE specialist)/
才女 [さいじょ] /(n) talented woman/
才色 [さいしょく] /(n) wit and beauty/
才色兼備 [さいしょくけんび] /(n) (a woman) being gifted with both intelligence and beauty/
才人 [さいじん] /(n) talented person/clever person/
才藻 [さいそう] /(n) poetic talent/
才走る [さいばしる] /(v5r,vi) to be clever/to be quick-witted/to be precocious/
才弾ける [さいはじける] /(v1,vi) to be presumptuous/to be clever and forward/
才知 [さいち] /(n) wit and intelligence/
才知縦横 [さいちじゅうおう] /(n,adj-na) resourceful and quick-witted/showing a flash of brilliance/have a keen (sparkling) intellect/
才智 [さいち] /(n) wit and intelligence/
才槌 [さいづち] /(n) small wooden mallet/
才槌頭 [さいづちあたま] /(n) head like a hammer/
才徳 [さいとく] /(n) intelligence and virtue/
才噸 [さいとん] /(n) measured ton/
才能 [さいのう] /(n) talent/ability/(P)/
才能あふれる [さいのうあふれる] /(adj-f) extremely talented/very gifted/
才能を伸ばす [さいのうをのばす] /(exp,v5s) to develop one's ability/
才能溢れる [さいのうあふれる] /(adj-f) extremely talented/very gifted/
才筆 [さいひつ] /(n) literary talent/clever style/
才媛 [さいえん] /(n) literary woman/talented woman/
才物 [さいぶつ] /(n) talented person/clever person/
才分 [さいぶん] /(n) disposition/
才未満 [さいみまん] /(suf) under ... years of age/less than ... years old/
才名 [さいめい] /(n) fame/reputation for ability/
才略 [さいりゃく] /(n) wise planning/
才略のある [さいりゃくのある] /(adj-f) resourceful/
才略の有る [さいりゃくのある] /(adj-f) resourceful/
才量 [さいりょう] /(n) (1) wisdom and magnanimity/witty intelligence and large-mindedness/(2) measurement/volume and weight/
才力 [さいりょく] /(n) ability/talent/
才六 [さいろく] /(n) (1) (arch) kid/brat/(2) Edo term used to debase people from Kansai/
才六 [ぜいろく] /(n) (arch) Edo term used to debase people from Kansai/
才六 [ぜえろく] /(n) (arch) Edo term used to debase people from Kansai/
才腕 [さいわん] /(n) skill/ability/
採り上げる [とりあげる] /(v1,vt) (1) to take up/to pick up/(2) to accept/to adopt/to listen to/(3) to disqualify/to confiscate/to deprive/(4) to adopt (child)/
採り入れる [とりいれる] /(v1,vt) (1) to harvest/to reap/(2) to take in/to gather in/(3) to adopt/
採る [とる] /(v5r,vt) (1) to adopt (measure, proposal)/(2) to pick (e.g. fruit)/to catch (e.g. insects)/to take (e.g. a sample)/(3) to assume (attitude)/(4) to take on (i.e. hire)/to engage/(P)/
採れたて [とれたて] /(n,n-adv) just-harvested/something freshly harvested or gathered (usually produce)/
採れる [とれる] /(v1) (1) to be collected/to be gathered (e.g. mushrooms, etc.)/to be harvested/to be mined/(2) to be able to collect/to be able to mine/
採れ立て [とれたて] /(n,n-adv) just-harvested/something freshly harvested or gathered (usually produce)/
採金 [さいきん] /(n,vs) gold mining/extraction of gold/
採金地 [さいきんち] /(n) goldfield/
採掘 [さいくつ] /(n,vs) mining/(P)/
採掘権 [さいくつけん] /(n) mining rights/
採掘師 [さいくつし] /(n) miner/
採決 [さいけつ] /(n,vs) vote/roll call/(P)/
採血 [さいけつ] /(n,vs) drawing blood/collecting blood/
採光 [さいこう] /(n,vs) lighting/
採鉱 [さいこう] /(n,vs) mining/
採算 [さいさん] /(n) profit/(P)/
採算割れ [さいさんわれ] /(n) below the break-even point/
採算株 [さいさんかぶ] /(n) investment stocks/
採算性 [さいさんせい] /(n) profitability/
採取 [さいしゅ] /(n,vs) picking/collecting/harvesting/(P)/
採集 [さいしゅう] /(n,vs) collecting/gathering/(P)/
採寸 [さいすん] /(n,vs) taking measurements/
採石 [さいせき] /(n,vs) quarrying/
採石場 [さいせきじょう] /(n) quarry/stone pit/
採択 [さいたく] /(n,vs) adoption/selection/choice/(P)/
採炭 [さいたん] /(n,vs) coal mining/coal extraction/(P)/
採炭所 [さいたんじょ] /(n) coal mine/
採長補短 [さいちょうほたん] /(n,vs) compensating for one's shortcomings by incorporating others' strong points/
採点 [さいてん] /(n,vs) marking/grading/scoring/(P)/
採点者 [さいてんしゃ] /(n) marker/
採点表 [さいてんひょう] /(n) list of marks/
採尿 [さいにょう] /(n,vs) urine sampling/urine collection/giving one's urine/
採番 [さいばん] /(n,vs) data index/(unique) index number/
採否 [さいひ] /(n) adoption or rejection/
採譜 [さいふ] /(n,vs) writing melody on music paper/recording a tune in musical notes/
採綿器 [さいめんき] /(n) cotton picker (machine)/
採油 [さいゆ] /(n,vs) getting oil/extraction of oil (e.g. from seeds)/drilling for oil/
採油権 [さいゆけん] /(n) oil concession/drilling rights/
採用 [さいよう] /(n,vs) (1) use/adoption/acceptance/(2) appointment/employment/engagement/(P)/
採用しない [さいようしない] /(n) (comp) not supported/
採用試験 [さいようしけん] /(n) employment examination/
採用選考 [さいようせんこう] /(n) employment screening/employment selection (for job applicants)/
採用通知 [さいようつうち] /(n) job offer/letter of appointment/appointment letter/notification of appointment/
採卵 [さいらん] /(n,vs) collecting eggs (i.e. from laying hens)/
採卵鶏 [さいらんけい] /(n) egg-laying hens/layers/
採録 [さいろく] /(n,vs) recording/transcription/(P)/
栽培 [さいばい] /(n,vs) cultivation/(P)/
栽培種 [さいばいしゅ] /(n) agricultural species/
栽培所 [さいばいじょ] /(n) plantation/
歳 [さい] /(suf) (1) -years-old/(P)/
歳 [とし] /(suf) (1) age/
歳 [とせ] /(ctr) (arch) counter for years (following a number in the hito-futa-mi counting system)/
歳々 [さいさい] /(adv,n) annual/
歳々年々 [さいさいねんねん] /(adv,n) annually/every year/year in and year out/from year to year/
歳の割に [さいのわりに] /(suf) considering he (she) is ... year's old/
歳の割に [としのわりに] /(exp) for one's age/
歳の行った [としのいった] /(exp,adj-f) older/elderly/
歳の市 [としのいち] /(n) year-end market/
歳の瀬 [としのせ] /(n) New Year's Eve/the year end/
歳を取る [としをとる] /(exp,v5r) to grow old/to age/
歳を追う [としをおう] /(exp,v5u) as one gets on in their years/as the years pass/year after year/
歳刑 [さいきょう] /(n) Saikyo/one of the eight gods of the koyomi/
歳計 [さいけい] /(n) annual account/
歳月 [さいげつ] /(n-t) time/years/(P)/
歳月 [としつき] /(n-t) time/years/
歳月人を待たず [さいげつひとをまたず] /(exp) (id) Time waits for no-one/Time and tide stay for no man/
歳月流るる如し [さいげつながるるごとし] /(exp) (id) Time flies/
歳差 [さいさ] /(n) (phenomenon of) precession of the equinoxes/
歳差運動 [さいさうんどう] /(n) (1) (motion of) precession of the equinoxes/(2) precession/
歳歳 [さいさい] /(adv,n) annual/
歳歳年年 [さいさいねんねん] /(adv,n) annually/every year/year in and year out/from year to year/
歳殺 [さいせつ] /(n) Saisetsu/one of the eight gods of the Koyomi/
歳時記 [さいじき] /(n) almanac of seasonal words (for haiku poets)/
歳次 [さいじ] /(n) year/
歳取る [としとる] /(v5r,vi) to grow old/to age/
歳出 [さいしゅつ] /(n) annual expenditure/(P)/
歳神 [としがみ] /(n) (1) kami celebrated at the beginning of New Year (usu. to pray for a good harvest)/(2) goddess of (lucky) directions/
歳星 [さいせい] /(n) Jupiter/
歳代 [さいだい] /(suf) decade (of age)/the ...ties/
歳旦 [さいたん] /(n) New Year's Day/
歳徳神 [としとくじん] /(n) goddess of (lucky) directions/
歳徳神 [とんどさん] /(n) goddess of (lucky) directions/
歳入 [さいにゅう] /(n) annual revenue or income/(P)/
歳入歳出 [さいにゅうさいしゅつ] /(n) annual income and expenditure/
歳破 [さいは] /(n) Saiha/one of the eight gods of the koyomi/
歳晩 [さいばん] /(n) year's end/
歳費 [さいひ] /(n) annual expenditure/
歳暮 [せいぼ] /(n) end of the year/year-end gift/(P)/
歳末 [さいまつ] /(n) year end/(P)/
歳末大売り出し [さいまつおおうりだし] /(n) big year-end sale/
歳末大売出し [さいまつおおうりだし] /(n) big year-end sale/
歳未満 [さいみまん] /(suf) under ... years of age/less than ... years old/
済 [すみ] /(io) (n) (1) arranged/taken care of/settled/completed/(2) formatted (computing, e.g. hard disk)/format/
済 [ずみ] /(io) (n-suf) arranged/taken care of/settled/completed/
済し崩し [なしくずし] /(n) (1) paying back in installments (instalments)/amortization plan/(adv) (2) gradual reduction/little by little/
済ます [すます] /(v5s,vt) (1) to finish/to get it over with/to conclude/(2) to settle/to pay back/(3) to get along (without something)/to make do with (without)/(P)/
済ませる [すませる] /(v1,vt) to finish/to make an end of/to get through with/to let end/(P)/
済まない [すまない] /(adj-i) (1) (uk) inexcusable/unjustifiable/unpardonable/(2) sorry/remorseful/apologetic/conscience-stricken/contrite/(exp) (3) excuse me/(I'm) sorry/thank you/(P)/
済まなそう [すまなそう] /(adj-na) (uk) sorry/apologetic/remorseful/
済み [すみ] /(n) (1) arranged/taken care of/settled/completed/(2) formatted (computing, e.g. hard disk)/format/
済み [ずみ] /(n-suf) arranged/taken care of/settled/completed/
済みません [すみません] /(int) (uk) (pol) sorry/excuse me/thank you/(P)/
済み印 [すみいん] /(n) "completed" (rubber) stamp/
済む [すむ] /(v5m,vi) (1) to finish/to end/to be completed/(2) to merely result in something less severe than expected/(3) to feel at ease/(4) (neg) to feel unease or guilt for troubling someone/to be sorry/(P)/
済印 [すみいん] /(n) "completed" (rubber) stamp/
済世 [さいせい] /(n) saving the world/promoting national welfare/
済世 [せいせい] /(n) saving the world/promoting national welfare/
済度 [さいど] /(n,vs) (Buddh) redemption/salvation/
済民 [さいみん] /(n) relieving the sufferings of the people/
災い [わざわい] /(n) calamity/catastrophe/(P)/
災いする [わざわいする] /(v5r,vi) to be the ruin of (a person)/
災いを招く [わざわいをまねく] /(exp,v5k) to bring calamity upon oneself/to invite disaster/to court disaster/
災禍 [さいか] /(n) accident/calamity/mistake/catastrophe/
災害 [さいがい] /(n) calamity/disaster/misfortune/(P)/
災害外科 [さいがいげか] /(n) traumatology/accident surgery/
災害割増特約 [さいがいわりましとくやく] /(n) accidental death rider (insurance term)/AD/accidental death benefit rider/
災害救助 [さいがいきゅうじょ] /(n) disaster relief/
災害救助犬 [さいがいきゅうじょけん] /(n) rescue dog/
災害対策 [さいがいたいさく] /(n) disaster prevention measures/
災害対策基本法 [さいがいたいさくきほんほう] /(n) Disaster Countermeasures Basic Act (1961)/
災害対策本部 [さいがいたいさくほんぶ] /(n) disaster countermeasures office (temporary structure in case of emergency)/headquarters for disaster control/disaster response headquarters/
災害地 [さいがいち] /(n) disaster-stricken area/
災害派遣 [さいがいはけん] /(n) disaster relief operation/disaster relief mission/
災害保険 [さいがいほけん] /(n) disaster insurance/
災害補償 [さいがいほしょう] /(n) accident compensation/
災難 [さいなん] /(n) calamity/misfortune/disaster/(P)/
災難に遭う [さいなんにあう] /(exp,v5u) to meet with misfortune/
災厄 [さいやく] /(n) calamity/disaster/accident/
采 [さい] /(n) (1) (abbr) dice/die/(2) baton (of command)/
采 [さえ] /(n) (1) (abbr) dice/die/
采の目 [さいのめ] /(n) (1) pip (spot on a die)/(2) small cube (esp. of food)/die/dice/
采配 [さいはい] /(n) (1) baton (of command)/(2) order/command/direction/
采配を振る [さいはいをふる] /(exp,v5r) to lead/to direct/to take command/
采配を振るう [さいはいをふるう] /(exp,v5u) (1) to wield a baton/to swing a baton/(2) (col) to lead/to direct/to command/
采幣 [さいはい] /(n) (1) baton (of command)/(2) order/command/direction/
采六 [さいろく] /(n) (1) (arch) kid/brat/(2) Edo term used to debase people from Kansai/
犀 [さい] /(n) rhinoceros/
犀角 [さいかく] /(n) rhinoceros horn/
犀鳥 [さいちょう] /(n) (uk) hornbill (any bird of family Bucerotidae)/
犀利 [さいり] /(adj-na,n) sharp/keen/
砕く [くだく] /(v5k,vt) to break/to smash/(P)/
砕け [くだけ] /(n) familiar (informal) (speech style)/
砕けた [くだけた] /(adj-f) (1) easy (e.g. explanation, description)/plain/familiar/(2) informal (e.g. greeting, expression)/friendly/affable (e.g. person)/
砕けた会話 [くだけたかいわ] /(n) casual conversation/
砕けた態度 [くだけたたいど] /(n) friendly attitude/
砕けた文章 [くだけたぶんしょう] /(n) plain (informal) writing/
砕ける [くだける] /(v1,vi) to break/to be broken/(P)/
砕け散る [くだけちる] /(v5r) to be smashed up/
砕岩機 [さいがんき] /(n) rock crusher/
砕屑岩 [さいせつがん] /(n) clastic rock/
砕屑丘 [さいせつきゅう] /(n) pyroclastic cone/
砕屑物 [さいせつぶつ] /(n) clastic material/
砕鉱 [さいこう] /(n,vs) crushing ore/
砕石 [さいせき] /(n,vs) broken stone/rubble/(P)/
砕氷 [さいひょう] /(n,vs,adj-no) ice breaking/
砕氷船 [さいひょうせん] /(n) ice breaker/
砕片 [さいへん] /(n) debris/
砦 [とりで] /(n) fortress/
砦を築く [とりでをきずく] /(exp,v5k) to construct a fort/
砦を落とす [とりでをおとす] /(exp,v5s) to capture a fort/
祭 [まつり] /(n) festival/feast/(P)/
祭り [まつり] /(n) festival/feast/(P)/
祭り込む [まつりこむ] /(v5m,vt) to place an obnoxious person in an out-of-the-way post to be rid of him or her/
祭り寿司 [まつりずし] /(n) popular type of sushi bento, differing by regions/brand of sushi bento/
祭り上げる [まつりあげる] /(v1,vt) to set up (in high position)/to kick upstairs/
祭り鮓 [まつりずし] /(n) popular type of sushi bento, differing by regions/brand of sushi bento/
祭る [まつる] /(v5r,vt) (1) to deify/to enshrine/(2) to pray/to worship/(P)/
祭官 [さいかん] /(n) official who arranges festival and rites/
祭器 [さいき] /(n) equipment used in rituals/
祭儀 [さいぎ] /(n) rites/ritual/
祭具 [さいぐ] /(n) equipment used in rituals/
祭司 [さいし] /(n) priest/
祭事 [さいじ] /(n) festival/rites/ritual/
祭式 [さいしき] /(n) rites/rituals/
祭主 [さいしゅ] /(n) (head) priest/head priest of the Ise Shrine/
祭上げる [まつりあげる] /(v1,vt) to set up (in high position)/to kick upstairs/
祭場 [さいじょう] /(n) ceremony site/
祭神 [さいしん] /(n) enshrined deity/
祭神 [さいじん] /(n) enshrined deity/
祭政 [さいせい] /(n) church and state/
祭政一致 [さいせいいっち] /(n) unity of church and state/theocracy/
祭政分離 [さいせいぶんり] /(n) separation of church and state/separation of religious ritual and government administration/
祭騒ぎ [まつりさわぎ] /(n) festivities/merrymaking/
祭壇 [さいだん] /(n) altar/(P)/
祭壇画 [さいだんが] /(n) altarpiece/
祭壇座 [さいだんざ] /(n) (constellation) Ara/
祭典 [さいてん] /(n) festival/(P)/
祭殿 [さいでん] /(n) shrine/sanctuary/
祭日 [さいじつ] /(n,adj-no) national holiday/festival day/(P)/
祭服 [さいふく] /(n) vestments worn by priests and attendants during a festival/
祭文 [さいぶん] /(n) address to the gods/type of song which spread from mountain hermits to the laity during the Kamakura era/
祭文 [さいもん] /(n) address to the gods/type of song which spread from mountain hermits to the laity during the Kamakura era/
祭礼 [さいれい] /(n) (religious) festival/(P)/
祭祀 [さいし] /(n) ritual/religious service/festival/
祭祀料 [さいしりょう] /(n) donation made at a ritual/
斎 [いみ] /(n) (1) mourning/abstinence/(2) taboo/(3) religious purification/(n-pref) (4) pure/holy/
斎 [とき] /(n) meals exchanged by parishioners and priests/(P)/
斎く [いつく] /(v5k,vi) to worship/enshrine/
斎み [いみ] /(n) (1) mourning/abstinence/(2) taboo/(3) religious purification/(n-pref) (4) pure/holy/
斎み垣 [いみがき] /(n) shrine fence/
斎む [いむ] /(v5m,vi) (1) to avoid/to refrain from/to shun/
斎戒 [さいかい] /(n,vs) purification/
斎戒もく浴 [さいかいもくよく] /(n,vs) purification/washing/
斎戒沐浴 [さいかいもくよく] /(n,vs) purification/washing/
斎垣 [いがき] /(n) fence around a shrine/
斎宮 [さいぐう] /(n) the ancient imperial princesses serving at the Ise shrine/
斎主 [さいしゅ] /(n) master of religious ceremonies/
斎場 [さいじょう] /(n) funeral hall/(P)/
斎食 [さいじき] /(n) (1) (Buddh) morning meal (for priests, monks, etc.)/(2) food offering at a Buddhist ceremony/
斎日 [いみび] /(n) unlucky day (according to astrology)/(previously a) death anniversary/purification and fast day/
斎日 [さいじつ] /(n) fast day/
斎部 [いみべ] /(n) ancient Shinto priestly family/
斎部 [いんべ] /(n) ancient Shinto priestly family/
斎服 [さいふく] /(n) priestly vestments/
細 [いささ] /(pref) (uk) (arch) small/little/
細 [いさら] /(pref) (uk) (arch) small/little/
細 [さい] /(n) detail/details/
細 [ささ] /(pref) small/little/
細 [ささら] /(pref) (1) (uk) small/little/fine/(n) (2) (arch) fine pattern/
細 [さざ] /(pref) small/little/
細 [さざら] /(pref) (1) (uk) small/little/fine/
細 [さざれ] /(pref) (1) (uk) small/little/fine/(2) (abbr) pebble/
細 [ほそ] /(n) (1) (abbr) fine thread/hempen cord/(n-pref) (2) slender/narrow/weak/(n-suf) (3) narrowness/
細々 [こまごま] /(adv-to) minutely/in detail/with particular attention/
細々 [ほそぼそ] /(adv,adv-to) (1) poor (living)/(2) barely continuing/just scraping along/(adj-f) (3) very narrow/(P)/
細々した [こまごました] /(adj-f) sundry/
細い [ほそい] /(adj-i) (1) thin/slender/fine/(2) (sl) unlucky (billiards slang)/(P)/
細い糸 [ほそいいと] /(n) fine thread/
細い字 [ほそいじ] /(n) slender character/
細か [こまか] /(adj-na) small/fine/detailed/stingy/(P)/
細かい [こまかい] /(adj-i) (1) small/(2) fine/minute/(3) minor/trivial/(4) sensitive/attentive/(P)/
細かいお金 [こまかいおかね] /(n) small change/
細かいこと [こまかいこと] /(exp) trifles/minor details/(P)/
細かい金 [こまかいかね] /(n) small change/
細かい指示 [こまかいしじ] /(n) detailed instructions/
細かい事 [こまかいこと] /(exp) trifles/minor details/
細かく [こまかく] /(adv) minutely/finely/(P)/
細っこい [ほそっこい] /(adj-i) thin/slender/
細め [ほそめ] /(adv,adj-no) thinnish/somewhat narrow/
細める [ほそめる] /(v1,vt) to make narrow/
細やか [こまやか] /(adj-na,n) friendly/heartfelt/tender/
細やか [ささやか] /(adj-na) meagre/meager/modest/(P)/
細ら [ささら] /(pref) (1) (uk) small/little/fine/(n) (2) (arch) fine pattern/
細ら [さざら] /(pref) (1) (uk) small/little/fine/
細ら形 [ささらがた] /(n) (arch) fine pattern/
細る [ほそる] /(v5r,vi) to get thin/to taper off/(P)/
細れ [さざれ] /(pref) (1) (uk) small/little/fine/(2) (abbr) pebble/
細れ石 [さざれいし] /(n) (1) pebbles/gravel/(2) boulder formed from gravel and sediment/
細れ波 [さざれなみ] /(n) (arch) ripple/
細引 [ほそびき] /(n) hempen cord/rope/
細引き [ほそびき] /(n) hempen cord/rope/
細雨 [さいう] /(n) drizzle/misty rain/
細蟹 [ささがに] /(n) (arch) spider/spider silk/
細巻 [ほそまき] /(n) rolling something thinly/something rolled thinly (i.e. a cigarette, a thin roll of makizushi, etc.)/
細巻き [ほそまき] /(n) rolling something thinly/something rolled thinly (i.e. a cigarette, a thin roll of makizushi, etc.)/
細管 [さいかん] /(n) small tube/pipette/tubule/
細魚 [さより] /(gikun) (n) (uk) Japanese halfbeak (species of fish with elongated lower jaw) (Hemiramphus sajori)/stickleback/
細菌 [さいきん] /(n) bacillus/bacterium/germ/(P)/
細菌ウイルス [さいきんウイルス] /(n) bacterial virus (i.e. a bacteriophage)/
細菌学 [さいきんがく] /(n) bacteriology/
細菌性肺炎 [さいきんせいはいえん] /(n) bacterial pneumonia/
細菌毒素 [さいきんどくそ] /(n) bacterial toxin/
細菌兵器 [さいきんへいき] /(n) bacteriological weapon/
細謹 [さいきん] /(n) slight flaw/
細君 [さいくん] /(n) (1) one's wife (when speaking with a close friend)/(2) your wife (when speaking with a junior)/
細形 [ささらがた] /(n) (arch) fine pattern/
細結び [こまむすび] /(n) reef knot/flat knot/square knot/
細見 [さいけん] /(n,vs) (visual) scrutiny/close inspection/
細孔 [さいこう] /(n) pore/
細工 [さいく] /(n,vs) work/craftsmanship/tactics/trick/(P)/
細工師 [さいくし] /(n) craftsman/artisan/
細工所 [さいくじょ] /(n) (1) workshop/(2) Heian and Kamakura-period furniture workshop (established in temples and various government bodies)/(3) Edo period office which administered tenders for arms, armor, etc./
細工所 [さいくどころ] /(n) (1) Heian and Kamakura-period furniture workshop (established in temples and various government bodies)/(2) Edo period office which administered tenders for arms, armor, etc./
細工物 [さいくもの] /(n) handiwork/scrimshaw/ware/
細腰 [さいよう] /(n,adj-no) slender hips/slim waist/
細腰 [ほそごし] /(n,adj-no) slender hips/slim waist/
細腰鼓 [さいようこ] /(n) waisted drum/hourglass drum/
細細 [こまごま] /(adv-to) minutely/in detail/with particular attention/
細細 [ほそぼそ] /(adv,adv-to) (1) poor (living)/(2) barely continuing/just scraping along/(adj-f) (3) very narrow/
細細した [こまごました] /(adj-f) sundry/
細作り [ほそづくり] /(adj-na,n) thinly made/slight build or stature/
細作りの人 [ほそずくりのひと] /(n) slender person/
細枝 [しもと] /(n) (arch) switch (long, young branch)/
細糸 [さいし] /(n) filament/
細事 [さいじ] /(n) trifle/minor detail/
細字 [さいじ] /(n) small type or handwriting/
細字 [ほそじ] /(n) small type or handwriting/
細縞 [ほそじま] /(adj-no) pinstriped (e.g. suit)/
細書き [ほそがき] /(n) fine writing/
細小 [いささ] /(pref) (uk) (arch) small/little/
細小 [いさら] /(pref) (uk) (arch) small/little/
細小 [さいしょう] /(n,adj-na) minute/miniscule/
細小井 [いさらい] /(n) (arch) small water spring/
細小小笹 [いささおざさ] /(n) (arch) (obsc) short bamboo/small bamboo/
細小小川 [いささおがわ] /(n) (arch) (obsc) trickling brook/
細小小川 [いさらおがわ] /(n) (arch) (obsc) trickling brook/
細小小竹 [いささおざさ] /(n) (arch) (obsc) short bamboo/small bamboo/
細小川 [いささがわ] /(n) (arch) trickling brook/
細小川 [いさらがわ] /(n) (arch) trickling brook/
細小波 [いさらなみ] /(n) (arch) (obsc) fog/
細心 [さいしん] /(adj-na,n,adj-no) careful/discreet/scrupulous/prudent/(P)/
細身 [ほそみ] /(n,adj-no) narrow/thin (sized)/slender/
細石 [さざれいし] /(n) (1) pebbles/gravel/(2) boulder formed from gravel and sediment/
細石器 [さいせっき] /(n) microlith (small stone tool)/
細切り [こまぎり] /(n) something chopped or slices finely/
細切れ [こまぎれ] /(n) small pieces/
細説 [さいせつ] /(n,vs) detailed explanation/
細雪 [ささめゆき] /(n) light snow fall/small snow flakes/
細線 [さいせん] /(n) thin line/
細線 [ほそせん] /(n) thin line/
細則 [さいそく] /(n) by-laws/detailed regulations/
細帯 [ほそおび] /(n) narrow sash or obi/
細大 [さいだい] /(n) great and small/in detail/all/
細大漏らさず [さいだいもらさず] /(exp) in minute detail/
細長い [ほそながい] /(adj-i) long and narrow/(P)/
細動 [さいどう] /(n) fibrillation/
細動脈 [さいどうみゃく] /(n) arteriole/
細道 [ほそみち] /(n) narrow path/narrow lane/
細縄 [ほそなわ] /(n) (obsc) cord/
細波 [さざなみ] /(n) (uk) ripple (on water)/wavelets/
細波 [さざれなみ] /(n) (arch) ripple/
細微 [さいび] /(adj-na,n) minute/meager/meagre/mean/
細筆 [さいひつ] /(n,vs) fine brush or pencil/small or fine handwriting/
細氷 [さいひょう] /(n) ice crystals/diamond dust/
細部 [さいぶ] /(n) details/(P)/
細分 [さいぶん] /(n,vs) divide into small portions/(P)/
細分化 [さいぶんか] /(n) (comp) fragmentation/subdivision/
細別 [さいべつ] /(n,vs) subdivision/
細片 [さいへん] /(n) crumbling/
細編み [こまあみ] /(n) single crochet/SC/
細胞 [さいほう] /(n,adj-no) cell (biology)/
細胞 [さいぼう] /(n,adj-no) cell (biology)/(P)/
細胞遺伝学 [さいぼういでんがく] /(n) cytogenetics/
細胞運動 [さいぼううんどう] /(n) cell motility/
細胞核 [さいぼうかく] /(n) nucleus (cell, biology)/
細胞学 [さいぼうがく] /(n) cytology/
細胞間 [さいぼうかん] /(n,adj-no) intercellular/
細胞検査 [さいぼうけんさ] /(n) cytodiagnosis/
細胞工学 [さいぼうこうがく] /(n) cellular engineering/
細胞骨格 [さいぼうこっかく] /(n) cytoskeleton/
細胞質 [さいぼうしつ] /(n) cytoplasm/
細胞質遺伝 [さいぼうしついでん] /(n) cytoplasmic heredity/
細胞質分裂 [さいぼうしつぶんれつ] /(n) cytokinesis/
細胞周期 [さいぼうしゅうき] /(n) cell cycle/
細胞小器官 [さいぼうしょうきかん] /(n) organelle/
細胞状 [さいぼうじょう] /(n) (comp) cellular/
細胞診 [さいぼうしん] /(n) cytodiagnosis/
細胞性粘菌 [さいぼうせいねんきん] /(n) cellular slime mold/
細胞性免疫 [さいぼうせいめんえき] /(n) cell-mediated immunity/cellular immunity/
細胞生物学 [さいぼうせいぶつがく] /(n) cell biology/
細胞内 [さいぼうない] /(n,adj-no) inside the cell/intracellular/(P)/
細胞内消化 [さいぼうないしょうか] /(n) intracellular digestion/
細胞培養 [さいぼうばいよう] /(n) cell culture/
細胞分画法 [さいぼうぶんかくほう] /(n) cell fractionation/
細胞分裂 [さいぼうぶんれつ] /(n) cell division/
細胞壁 [さいぼうへき] /(n) cell wall/
細胞崩壊 [さいぼうほうかい] /(n) cytolysis/breakdown of cells by the destruction of their outer membrane/
細胞膜 [さいぼうまく] /(n) cellular membrane/
細胞融合 [さいぼうゆうごう] /(n) cell fusion/
細密 [さいみつ] /(adj-na,n) detailed knowledge/finely detailed/
細密画 [さいみつが] /(n) miniature/
細民 [さいみん] /(n) the poor/
細面 [ほそおもて] /(n,adj-no) slender face/
細目 [さいもく] /(n) particulars/details/specified items/(P)/
細目 [ほそめ] /(adj-na,n) (1) narrow eyes/(2) fine texture/(adj-na) (3) half-open (e.g. door)/ajar/
細葉人参 [ほそばにんじん] /(n) (uk) Artemisia annua/
細螺 [きさご] /(n) periwinkle/
細螺 [きしゃご] /(n) periwinkle/
細流 [さいりゅう] /(n) streamlet/brooklet/rivulet/
細粒 [さいりゅう] /(n,adj-f) fine grain/fine granule/microsphere/
細粒分 [さいりゅうぶん] /(n) fine particle fraction/
細鱗 [さいりん] /(n) (1) small (fish) scale/(2) small fish/
細論 [さいろん] /(n,vs) detailed discussion/
細腕 [ほそうで] /(n) thin arm/slender means/
細緻 [さいち] /(adj-na,n) minute/meticulous/
細頸芥虫 [ほそくびごみむし] /(n) (uk) bombardier beetle (any insect of subfamily Brachininae)/
菜 [さい] /(n) side dish/
菜 [な] /(n) (1) greens/vegetables/(2) rape (Brassica napus)/rapeseed/(P)/
菜っ葉 [なっぱ] /(n) greens/vegetable leaves/leaf vegetable/
菜っ葉服 [なっぱふく] /(n) (light blue) overalls/workman's overalls/
菜の花 [なのはな] /(n) rape blossoms/Brassica rapa var. amplexicaulu/
菜園 [さいえん] /(n) vegetable garden/(P)/
菜種 [なたね] /(n) rapeseed/coleseed/(P)/
菜種殻 [なたねがら] /(n) rapeseed hulls/
菜種菜 [なたねな] /(n) (uk) rape (seed oil plant, Brassica campestris)/
菜種梅雨 [なたねづゆ] /(n) long spell of rain in early spring/
菜種油 [なたねあぶら] /(n) rapeseed oil/canola oil/
菜食 [さいしょく] /(n,vs,adj-no) vegetable diet/(P)/
菜食主義 [さいしょくしゅぎ] /(n,adj-no) vegetarianism/
菜食主義者 [さいしょくしゅぎしゃ] /(n) vegetarian/
菜切り包丁 [なきりぼうちょう] /(n) nakiri bocho, var. of Japanese knife used for cutting vegetables/
菜単 [さいたん] /(n) menu (at a Chinese restaurant)/
菜漬け [なづけ] /(n) pickled vegetables/
菜葱 [なぎ] /(n) (arch) Monochoria korsakowii (species of flowering plant)/
菜箸 [さいばし] /(n) cooking or serving chopsticks/
菜飯 [なめし] /(n) rice boiled with greens/
菜蕗 [ふき] /(n) (uk) giant butterbur (Petasites japonicus)/Japanese sweet coltsfoot/
菜葉 [なっぱ] /(n) greens/vegetable leaves/leaf vegetable/
菜葉服 [なっぱふく] /(n) (light blue) overalls/workman's overalls/
菜單 [さいたん] /(oK) (n) menu (at a Chinese restaurant)/
裁 [さい] /(n-suf) judge/
裁き [さばき] /(n) judgment/judgement/decision/verdict/
裁きの庭 [さばきのにわ] /(n) law court/
裁く [さばく] /(v5k,vt) to judge/(P)/
裁ち [たち] /(n) cutting/cut/
裁ちかける [たちかける] /(v1) to begin to cut/
裁ち掛ける [たちかける] /(v1) to begin to cut/
裁ち割る [たちわる] /(v5r,vt) to cut open/to cut apart/to divide/to split/
裁ち屑 [たちくず] /(n) cuttings/scraps/
裁ち出す [たちだす] /(v5s) to cut out (a dress) from cloth/
裁ち上がり [たちあがり] /(n) (tailor's) cutting/styling/
裁ち切る [たちきる] /(v5r,vt) (1) to cut apart (cloth, paper, etc.)/
裁ち板 [たちいた] /(n) tailor's cutting board/
裁ち物 [たちもの] /(n) cutting (cloth or paper)/
裁ち庖丁 [たちぼうちょう] /(n) tailor's knife/
裁ち方 [たちかた] /(n) cutting/cut/
裁ち縫い [たちぬい] /(n) cutting and sewing/
裁ち縫う [たちぬう] /(v5u) to cut and sew/
裁つ [たつ] /(v5t,vt) to cut (cloth)/(P)/
裁可 [さいか] /(n,vs) sanction/approval/
裁許 [さいきょ] /(n,vs) sanction/approval/
裁決 [さいけつ] /(n,vs) decision/ruling/judgement/judgment/(P)/
裁決書 [さいけつしょ] /(n) written verdict/
裁断 [さいだん] /(n,vs) (1) judgement/judgment/decision/(2) cutting (cloth)/shredding (in a paper shredder)/
裁断機 [さいだんき] /(n) cutting machine (cloth)/cutter/
裁断師 [さいだんし] /(n) (tailor's) cutter/
裁定 [さいてい] /(n,vs,adj-no) decision/ruling/award/arbitration/(P)/
裁定 [せいてい] /(n,vs,adj-no) decision/ruling/award/arbitration/
裁定取引 [さいていとりひき] /(n) arbitrage/arbitrage position/arbitrage transaction/
裁判 [さいばん] /(n,vs,adj-no) trial/judgement/judgment/(P)/
裁判ざた [さいばんざた] /(n) law suit/litigation/
裁判にかける [さいばんにかける] /(exp,v1) to put to trial/to argue in court/
裁判に掛ける [さいばんにかける] /(exp,v1) to put to trial/to argue in court/
裁判員 [さいばんいん] /(n) lay judge (2005 reforms)/citizen judge/juror/
裁判員制度 [さいばんいんせいど] /(n) citizen judge system/lay judge system/quasi-jury system/
裁判官 [さいばんかん] /(n) judge/(P)/
裁判官忌避 [さいばんかんきひ] /(n) challenging a judge/
裁判官訴追委員会 [さいばんかんそついいいんかい] /(n) Judge Indictment Committee/
裁判官弾劾裁判所 [さいばんかんだんがいさいばんしょ] /(n) Judge Impeachment Court/
裁判権 [さいばんけん] /(n) jurisdiction/
裁判沙汰 [さいばんざた] /(n) law suit/litigation/
裁判所 [さいばんしょ] /(n) court/courthouse/(P)/
裁判所書記官 [さいばんしょしょきかん] /(n) clerk of court/
裁判所庁舎 [さいばんしょちょうしゃ] /(n) courthouse/
裁判所命令 [さいばんしょめいれい] /(n) court injunction/court order/
裁判上 [さいばんじょう] /(adj-na) judicial/
裁判人 [さいばんにん] /(n) judge/
裁判長 [さいばんちょう] /(n) presiding judge/
裁縫 [さいほう] /(n,vs) sewing/(P)/
裁縫師 [さいほうし] /(n) tailor/seamstress/dressmaker/clothier/
裁量 [さいりょう] /(n,vs) admeasure/discretion/(P)/
裁量権 [さいりょうけん] /(n) discretion/discretionary power/
裁量所得 [さいりょうしょとく] /(n) discretionary income/
裁量労働 [さいりょうろうどう] /(n) discretionary work (labour, labor)/
裁量労働制 [さいりょうろうどうせい] /(n) flexible work hours/flexi-time/
載 [さい] /(n) 10^44/
載す [のす] /(v5s,vt) to place on (something)/to take on board/to give a ride to/
載せる [のせる] /(v1,vt) (1) to place on (something)/(2) to give (someone) a ride/to give a lift/to pick up/to help on board/(3) to load (luggage)/to carry/to take on board/(4) to send out (on the airwaves, etc.)/(5) to deceive/to take for a ride/(6) to (sing) along with (musical accompaniment)/(7) to let (someone) take part/(8) to excite (someone)/(9) to publish (an article)/to run (an ad)/
載せ込み [のせこみ] /(n) (1) loading/loading up (onto, into)/(2) uploading/
載せ込む [のせこむ] /(v5m) (1) to load/to load up (onto, into)/(2) (comp) to upload/
載っかる [のっかる] /(v5r,vi) to get on/
載っける [のっける] /(v1,vt) to place (something) on (something)/
載る [のる] /(v5r,vi) (1) to spread (paints)/to be taken in/(2) to share in/to join/to feel like doing/to be mentioned in/to be in harmony with/(3) to appear (in print)/to be recorded/to be found in (a dictionary)/(P)/
載荷 [さいか] /(n,vs) loading/load/
載貨吃水 [さいかきっすい] /(n) ship's draft/ship's draught/
載貨吃水線 [さいかきっすいせん] /(n) Plimsoll mark/draft line/draught line/
載貨屯数 [さいかとんすう] /(n) deadweight tonnage/
載積 [さいせき] /(n,vs) carrying/loading/
載炭 [さいたん] /(n) coaling/
載録 [さいろく] /(n,vs) recording/transcription/
際 [きわ] /(n) edge/brink/verge/side/
際 [さい] /(n-adv,n) on the occasion of/circumstances/(P)/
際して [さいして] /(exp) when/
際する [さいする] /(vs-s) to arrive/to come to pass/
際どい [きわどい] /(adj-i) (1) very close/close/narrow (e.g. narrow victory)/dangerous/risky/hazardous/(2) suggestive/bordering on the obscene/risque/delicate (e.g. question)/immoral/questionable/shady/(3) (arch) extreme/harsh/cruel/
際に [さいに] /(adv) in case of/at this time/
際会 [さいかい] /(n,vs) meeting/facing/confronting/(P)/
際涯 [さいがい] /(n) limits/boundary/end/
際限 [さいげん] /(n) limits/end/bounds/(P)/
際限なく [さいげんなく] /(adv) ad infinitum/endlessly/
際限なく続く [さいげんなくつづく] /(exp,v5k) to continue without end/to go on to eternity/
際疾い [きわどい] /(adj-i) (1) very close/close/narrow (e.g. narrow victory)/dangerous/risky/hazardous/(2) suggestive/bordering on the obscene/risque/delicate (e.g. question)/immoral/questionable/shady/(3) (arch) extreme/harsh/cruel/
際物 [きわもの] /(n,adj-no) seasonal articles/temporary/
際立つ [きわだつ] /(v5t) to be prominent/to be conspicuous/(P)/
剤 [ざい] /(n-suf) medicine/agent/(chemical) substance/drug/dose/
剤型 [ざいけい] /(n) dosage form/
剤形 [ざいけい] /(n) dosage form/
在 [ざい] /(n) (1) country/countryside/(2) outskirts/suburbs/(pref) (3) situated in/resident in/
在らしめる [あらしめる] /(v1) (uk) (arch) to bring into existence/to make be/to let be/
在らせられる [あらせられる] /(v1,vi) (1) (uk) (hon) to be/to exist/(2) (uk) (hon) to be (honorific copula)/
在り [あり] /(n,adj-no) (uk) existence (at the present moment)/
在りし [ありし] /(adj-pn) (1) prior/past/old/(2) before having died/
在りし日 [ありしひ] /(n-t) (1) days of yore/the olden days/(2) during one's lifetime/(P)/
在りつく [ありつく] /(v5k) (uk) to get/to obtain/to come by/to find/
在り合す [ありあわす] /(v5s) to have something on hand/to have something in stock/
在り合せる [ありあわせる] /(v1) to have something on hand/to have something in stock/
在り合わす [ありあわす] /(v5s) to have something on hand/to have something in stock/
在り合わせる [ありあわせる] /(v1) to have something on hand/to have something in stock/
在り処 [ありか] /(n) location/whereabouts/hiding place/
在り所 [ありか] /(n) location/whereabouts/hiding place/
在り付く [ありつく] /(v5k) (uk) to get/to obtain/to come by/to find/
在り方 [ありかた] /(n) (1) the way something ought to be/(2) the (current) state of things/how things are/
在り来たり [ありきたり] /(adj-no) common/ordinary/conventional/customary/
在り来り [ありきたり] /(adj-no) common/ordinary/conventional/customary/
在る [ある] /(v5r-i,vi) (1) (uk) to be (usu. of inanimate objects)/to exist/to live/(2) to have/(3) to be located/(4) to be equipped with/(5) to happen/to come about/(P)/
在るが儘 [あるがまま] /(exp) (uk) in truth/as it is/as you are/in practice/
在るたけ [あるたけ] /(exp) (uk) all that one has/all that there is/the whole/
在るだけ [あるだけ] /(exp) (uk) all that one has/all that there is/the whole/
在るべき [あるべき] /(adj-pn) (uk) ideal/desirable/the way something should be/
在位 [ざいい] /(n,vs) reign (i.e of a ruler)/
在院 [ざいいん] /(n) stay in hospital/hospital stay/
在院日数 [ざいいんにっすう] /(n) number of days spent in hospital/
在英 [ざいえい] /(n) in Britain/
在園 [ざいえん] /(n,vs) enrolment of a child in a kindergarten/
在家 [ざいか] /(n,adj-no) (1) country home/
在家 [ざいけ] /(n,adj-no) (1) (Buddh) laity/layman/laywoman/laic/(2) country home/
在荷 [ざいか] /(n,vs) stock/goods on hand/
在外 [ざいがい] /(n,adj-no) overseas/abroad/(P)/
在外研究員 [ざいがいけんきゅういん] /(n) research student (worker) abroad/
在外公館 [ざいがいこうかん] /(n) diplomatic mission/government establishments overseas/(P)/
在外資産 [ざいがいしさん] /(n) foreign assets/
在外投票 [ざいがいとうひょう] /(n) overseas ballot/
在外日本人 [ざいがいにほんじん] /(n) Japanese residing abroad/
在外邦人 [ざいがいほうじん] /(n) Japanese nationals resident abroad/overseas Japanese/
在学 [ざいがく] /(n,vs) (enrolled) in school/(P)/
在学証明書 [ざいがくしょうめいしょ] /(n) certificate of student status/student ID card/
在学生 [ざいがくせい] /(n) enrolled or registered student/
在樺コリアン [ざいかコリアン] /(n) Koreans residing on Sakhalin island/
在官 [ざいかん] /(n,vs) holding office/
在監の長 [ざいかんのおさ] /(n) prison warden/
在監者 [ざいかんしゃ] /(n) prisoner/inmate/
在韓米軍 [ざいかんべいぐん] /(n) US troops stationed in (South) Korean/
在京 [ざいきょう] /(n,vs) being in Tokyo/(P)/
在京中 [ざいきょうちゅう] /(n) (while) in the capital or in Tokyo/
在郷 [ざいきょう] /(n,vs) hometown/rural districts/
在郷 [ざいごう] /(n,vs) hometown/rural districts/
在郷軍人 [ざいごうぐんじん] /(n) ex-soldier/a veteran/
在郷軍人会 [ざいごうぐんじんかい] /(n) association of veterans/the American Legion/
在郷軍人病 [ざいごうぐんじんびょう] /(n) Legionnaires' disease/
在郷者 [ざいごうしゃ] /(n) rustic/countryman/
在勤 [ざいきん] /(n,vs) (while) working in or at or for/
在庫 [ざいこ] /(n) inventory/stock/stockpile/(P)/
在庫管理 [ざいこかんり] /(n) inventory control/
在庫資金 [ざいこしきん] /(n) stock fund/
在庫循環 [ざいこじゅんかん] /(n) inventory cycle/
在庫切れ [ざいこぎれ] /(n) out of stock/
在庫調整 [ざいこちょうせい] /(n) inventory (stock) adjustment/
在庫投資 [ざいことうし] /(n) inventory investment/
在庫品 [ざいこひん] /(n) inventory/goods on hand/
在校 [ざいこう] /(n,vs) being in school/being a student of/
在校生 [ざいこうせい] /(n) enrolled student/
在阪 [ざいはん] /(n,vs) being in Osaka/
在室 [ざいしつ] /(n,vs) in a or one's room/
在社 [ざいしゃ] /(vs) to be in one's office/to work for a company/
在住 [ざいじゅう] /(n,vs) resident/(P)/
在住者 [ざいじゅうしゃ] /(n) a resident/
在宿 [ざいしゅく] /(n,vs) being at home/
在所 [ざいしょ] /(n,vs) whereabouts/country/one's home village/one's residence/
在職 [ざいしょく] /(n,vs,adj-no) being in office/(P)/
在職証明書 [ざいしょくしょうめいしょ] /(n) certificate of employment/
在世 [ざいせい] /(n,vs) being alive/living/
在世中 [ざいせいちゅう] /(n) during one's lifetime/
在籍 [ざいせき] /(n,vs) enrollment/enrolment/(P)/
在籍証明書 [ざいせきしょうめいしょ] /(n) certificate of enrollment/certificate of (school) registration/
在籍専従者 [ざいせきせんじゅうしゃ] /(n) full-time trade union official/
在俗 [ざいぞく] /(n) (Buddh) layman or laity/
在宅 [ざいたく] /(n,vs,adj-no) being in/being at home/(P)/
在宅医療 [ざいたくいりょう] /(n) home healthcare/medical treatment received at home/
在宅勤務 [ざいたくきんむ] /(n,adj-no) working at home/telecommuting/
在地 [ざいち] /(n) (1) residence/(2) countryside/
在中 [ざいちゅう] /(n,vs) (contained) within/
在朝 [ざいちょう] /(n) (obsc) working within the imperial court/under government employ/in office/
在天 [ざいてん] /(n,vs) in heaven/heavenly/
在東京 [ざいとうきょう] /(n) situated in Tokyo/
在日 [ざいにち] /(adj-f,vs) (1) in Japan/(n) (2) people in Japan (esp. Koreans living in Japan, often used as a slur)/(P)/
在日外国人 [ざいにちがいこくじん] /(n) foreign residents of Japan/foreigners living in Japan/
在日韓国人 [ざいにちかんこくじん] /(n) Koreans living in Japan/
在日米軍 [ざいにちべいぐん] /(n) US Forces, Japan/
在日米陸軍 [ざいにちべいりくぐん] /(n) US Army, Japan/
在任 [ざいにん] /(n,vs) being in office/(P)/
在任期間 [ざいにんきかん] /(n) term of office/tenure/incumbency/
在任中 [ざいにんちゅう] /(n) (while) holding a post or being in office/
在米 [ざいべい] /(n,vs) being in the USA/(P)/
在米中 [ざいべいちゅう] /(n) while resident in America/
在米邦人 [ざいべいほうじん] /(n) Japanese living in America/
在方 [ざいかた] /(n) rural area/
在野 [ざいや] /(n,adj-no) out of office (power)/in opposition party/(P)/
在役 [ざいえき] /(n,vs) in prison/in the military/
在来 [ざいらい] /(n,adj-no) pre-existing/already there/conventional/(P)/
在来種 [ざいらいしゅ] /(n) native species/
在来線 [ざいらいせん] /(n) an older railroad line/
在留 [ざいりゅう] /(n,vs,adj-no) stay/remain/reside/(P)/
在留外国人 [ざいりゅうがいこくじん] /(n) foreign residents/
在留期間更新許可 [ざいりゅうきかんこうしんきょか] /(n) extension of visa permit/
在留資格 [ざいりゅうしかく] /(n) status of residence (in Japan)/visa status/residence qualification/
在留資格認定証明書 [ざいりゅうしかくにんていしょうめいしょ] /(n) Certificate of Eligibility for Resident Status/
在留届 [ざいりゅうとどけ] /(n) residence report/
在留邦人 [ざいりゅうほうじん] /(n) Japanese residents in another country/Japanese expatriates/
在留民 [ざいりゅうみん] /(n) residents/
材 [ざい] /(n,suf) (1) wood/lumber/timber/(2) man of talent/(3) (raw) material/ingredients/
材器 [さいき] /(n) talent/ability/
材質 [ざいしつ] /(n) material properties/lumber quality/(P)/
材木 [ざいもく] /(n) lumber/timber/(P)/
材木屋 [ざいもくや] /(n) lumber dealer/
材木商 [ざいもくしょう] /(n) lumber dealer/
材料 [ざいりょう] /(n) ingredients/material/(P)/
材料費 [ざいりょうひ] /(n) cost of materials/
材料力学 [ざいりょうりきがく] /(n) mechanics of materials/material mechanics/
罪 [つみ] /(adj-na,n) crime/fault/indiscretion/sin/(P)/
罪する [つみする] /(vs-s) to charge/to sentence/to punish/
罪に陥る [つみにおちいる] /(exp,v5r) to slide into sin/
罪のない [つみのない] /(exp,adj-i) guiltless/innocent/
罪のないうそ [つみのないうそ] /(exp) white lie/harmless lie/fib/
罪のない嘘 [つみのないうそ] /(exp) white lie/harmless lie/fib/
罪の報い [つみのむくい] /(exp) retribution for one's crime/punishment for one's crime/
罪の報いを受ける [つみのむくいをうける] /(exp,v1) to pay for one's transgression/to receive punishment for one's crime/
罪の無い [つみのない] /(exp,adj-i) guiltless/innocent/
罪ほろぼし [つみほろぼし] /(n,vs) atonement/expiation/
罪を着せる [つみをきせる] /(exp,v1) to pin a crime on/
罪を着る [つみをきる] /(exp,v1) to take (another's guilt) on oneself/to be accused of/
罪を犯す [つみをおかす] /(exp,v5s) to commit a crime/to commit a sin/
罪悪 [ざいあく] /(n) crime/sin/vice/
罪悪感 [ざいあくかん] /(n) feelings of guilt/
罪科 [ざいか] /(n) offense/offence/crime/guilt/punishment/
罪過 [ざいか] /(n) offence/offense/fault/
罪業 [ざいごう] /(n) sin/iniquity/crime/
罪刑法定主義 [ざいけいほうていしゅぎ] /(n) nulla poena sine lege/no punishment without law/
罪源 [ざいげん] /(n) substance of a sin/source of a sin/
罪作り [つみつくり] /(adj-na,n) sinfulness/cruelty/
罪障 [ざいしょう] /(n) (Buddh) sins (which prevent entry into bliss)/
罪障消滅 [ざいしょうしょうめつ] /(n) (Buddh) expiation of sins/
罪状 [ざいじょう] /(n) charges/nature of offence/nature of offense/
罪状糾明 [ざいじょうきゅうめい] /(n) closely examining (questioning) the concrete circumstances of a crime/
罪状明白 [ざいじょうめいはく] /(n,adj-na) being proven guilty of a crime/having one's guilt for a crime made clear/(the) nature of offense being (becoming) clear/
罪深い [つみぶかい] /(adj-i) sinful/
罪人 [ざいにん] /(n) criminal/sinner/(P)/
罪人 [つみびと] /(n) sinner/
罪人を流す [ざいにんをながす] /(exp,v5s) to exile a criminal/
罪数 [ざいすう] /(n) number of crimes/
罪責 [ざいせき] /(n) responsibility or liability for a crime/
罪跡 [ざいせき] /(n) evidence of a crime/
罪体 [ざいたい] /(n) corpus delicti (concrete evidence of a crime, e.g. a bullet-riddled body)/
罪名 [ざいめい] /(n) name of a crime/charge/
罪滅ぼし [つみほろぼし] /(n,vs) atonement/expiation/
財 [ざい] /(n,n-suf) (1) fortune/riches/(2) goods/(n) (3) (abbr) incorporated foundation/(P)/
財 [たから] /(n) treasure/
財を成す [ざいをなす] /(exp,v5s) to build a fortune/
財テク [ざいテク] /(n) money management technique/zaitech/
財貨 [ざいか] /(n) commodity/property/
財界 [ざいかい] /(n,adj-no) financial world/(P)/
財界人 [ざいかいじん] /(n) financier/
財形 [ざいけい] /(n) (abbr) asset formation/
財形貯蓄 [ざいけいちょちく] /(n) property accumulation savings/
財経 [ざいけい] /(n) politics and economics/
財源 [ざいげん] /(n) source of funds/resources/finances/(P)/
財源確保 [ざいげんかくほ] /(n,vs) securing financial resources/
財産 [ざいさん] /(n) property/fortune/assets/(P)/
財産を食いつぶす [ざいさんをくいつぶす] /(exp,v5s) to run through one's fortune (in idleness)/
財産を食い潰す [ざいさんをくいつぶす] /(exp,v5s) to run through one's fortune (in idleness)/
財産家 [ざいさんか] /(n) wealthy individual/person of wealth/
財産区 [ざいさんく] /(n) property ward/special local public body which has its own property, etc. and bears the expenses for it/
財産権 [ざいさんけん] /(n) property rights/the right to own property/
財産税 [ざいさんぜい] /(n) property tax/
財産相続 [ざいさんそうぞく] /(n) succession to or inheritance of property/
財産番号 [ざいさんばんごう] /(n) asset register number/
財産分与 [ざいさんぶんよ] /(n) distribution of property/
財産目録 [ざいさんもくろく] /(n,adj-no) inventory of property/
財政 [ざいせい] /(n) financial affairs/public finance/(P)/
財政々策 [ざいせいせいさく] /(n) fiscal policy/
財政の面 [ざいせいのめん] /(n) the financial aspect/
財政安定 [ざいせいあんてい] /(n) economic stability/
財政改革 [ざいせいかいかく] /(n) economic reform/fiscal reform/
財政学 [ざいせいがく] /(n) (the study of public) finance/
財政関税 [ざいせいかんぜい] /(n) revenue tariff/
財政危機 [ざいせいきき] /(n) economic crisis/financial crisis/
財政機関 [ざいせいきかん] /(n) financial institution/
財政均衡計画 [ざいせいきんこうけいかく] /(n) balanced budget plan/
財政構造 [ざいせいこうぞう] /(n) fiscal structure/
財政黒字 [ざいせいくろじ] /(n) budget surplus/
財政再建 [ざいせいさいけん] /(n) finance reform/fiscal reconstruction/
財政再建団体 [ざいせいさいけんだんたい] /(n) local governmental body that requires federal oversight to recover from its debts/
財政支援 [ざいせいしえん] /(n) economic support/financial support/
財政支出 [ざいせいししゅつ] /(n) government spending/
財政収支 [ざいせいしゅうし] /(n) fiscal balance/
財政状態 [ざいせいじょうたい] /(n) financial condition/
財政政策 [ざいせいせいさく] /(n) fiscal policy/
財政赤字 [ざいせいあかじ] /(n) budget deficit/
財政調整基金 [ざいせいちょうせいききん] /(n) financial adjustment monies/public finance adjustment reserve funds stipulated in the Local Finance Act/
財政的 [ざいせいてき] /(adj-na) economic/financial/fiscal/
財政投融資 [ざいせいとうゆうし] /(n) Fiscal Investment and Loan Program/FILP/(P)/
財政難 [ざいせいなん] /(n) economic difficulties/(P)/
財政破綻 [ざいせいはたん] /(n) economic collapse/
財政面 [ざいせいめん] /(n) financial aspects/
財政問題 [ざいせいもんだい] /(n) economic problem/financial problem/
財政力 [ざいせいりょく] /(n) economic power/economic strength/
財団 [ざいだん] /(n,adj-no) foundation/(P)/
財団法人 [ざいだんほうじん] /(n) incorporated foundation/juridical foundation/(P)/
財閥 [ざいばつ] /(n,adj-no) zaibatsu/plutocrats/financial clique/chaebol (Korean)/(P)/
財閥解体 [ざいばつかいたい] /(n) dissolution of zaibatsu/
財番 [ざいばん] /(n) asset register number/
財布 [さいふ] /(n) purse/handbag/wallet/(P)/
財布の紐を握る [さいふのひもをにぎる] /(exp,v5r) to hold the purse strings/
財物 [ざいぶつ] /(n) property/
財物 [ざいもつ] /(n) property/
財宝 [ざいほう] /(n) treasure/
財務 [ざいむ] /(n,adj-no) financial affairs/(P)/
財務トランザクション [ざいむトランザクション] /(n) financial transaction/
財務格付け [ざいむかくづけ] /(n) financial strength ratings/
財務官 [ざいむかん] /(n) finance official/(P)/
財務管理 [ざいむかんり] /(n) financial management/
財務諸表 [ざいむしょひょう] /(n) financial statements/
財務省 [ざいむしょう] /(n) Ministry of Finance/
財務戦略 [ざいむせんりゃく] /(n) financial strategy/
財務体質 [ざいむたいしつ] /(n) financial structure/financial constitution/
財務大臣 [ざいむだいじん] /(n) Minister of Finance/
財務報告書 [ざいむほうこくしょ] /(n) financial reports/
財務力格付け [ざいむちからかくづけ] /(n) financial strength ratings/
財力 [ざいりょく] /(n) assets/
冴 [さえ] /(io) (n) (1) clearness/clarity/(2) skillfulness (skilfulness)/
冴え [さえ] /(n) (1) clearness/clarity/(2) skillfulness (skilfulness)/
冴えた色 [さえたいろ] /(n) bright color/bright colour/
冴えた夜 [さえたよる] /(n) crisp and cold night/
冴えない [さえない] /(exp,adj-i) (1) dark/dull/sullen/(2) unsatisfactory/dissatisfying/(3) unattractive/unappealing/(4) boring/uninteresting/
冴える [さえる] /(v1,vi) (1) to be clear (of a sight, sound, colour, etc.)/to be bright/to be vivid/to be crisp/(2) to be clear-headed/to be alert/to be on the ball/to be wide awake/(3) to look upbeat/to be perky/to be cheerful/(4) to master (a skill)/to excel at/to cleanly execute/(5) to be satisfying/(6) to become frigid/to become intensely cold/(P)/
冴え輝く [さえかがやく] /(v5k) to shine clearly/
冴え行く [さえゆく] /(v5k-s,vi) to clear gradually/to get cold gradually/
冴え冴え [さえざえ] /(adv-to,adv,vs) clearly/brightly/crisply/
冴え冴えした [さえざえした] /(exp,adj-f) cheerful (look)/healthy (complexion)/
冴え冴えした顔 [さえざえしたかお] /(n) cheerful look/fresh complexion/
冴え冴えとした [さえざえとした] /(exp,adj-f) cheerful (look)/healthy (complexion)/
冴え冴えとした顔 [さえざえとしたかお] /(n) cheerful look/fresh complexion/
冴え渡る [さえわたる] /(v5r,vi) to get cold/to freeze over/
冴え返る [さえかえる] /(v5r,vi) (1) to be very clear/(2) to be keenly cold/to be cold and clear/
冴寒 [ごかん] /(n) (obsc) extreme cold/
冴返る [さえかえる] /(io) (v5r,vi) (1) to be very clear/(2) to be keenly cold/to be cold and clear/
坂 [さか] /(n) slope/hill/(P)/
坂の下 [さかのした] /(n) foot of a slope/
坂を下りる [さかをおりる] /(exp,v1) to go downhill/to go down a slope/
坂田鮫 [さかたざめ] /(n) (uk) yellow guitarfish (Rhinobatos schlegelii)/
坂東 [ばんどう] /(n) Kanto region (inc. Tokyo, Kanagawa, Saitama, Gunma, Tochigi, Ibaraki and Chiba prefectures)/
坂東三十三所 [ばんどうさんじゅうさんしょ] /(n) 33 sacred places in the Kanto Region (which was previously known as Bandou)/
坂道 [さかみち] /(n) hill road/(P)/
阪 [さか] /(n) slope/hill/
阪神 [はんしん] /(n) (1) Osaka-Kobe/(2) Hanshin (company name: railway, dept. store, baseball team, etc.)/(P)/
阪神大震災 [はんしんだいしんさい] /(n) Great Hanshin Earthquake (Jan 1995)/
榊 [さかき] /(n) (1) sakaki (species of evergreen sacred to Shinto, Cleyera japonica)/(2) evergreen (esp. one planted or used at a shrine)/
肴 [さかな] /(n) (1) appetizer or snack served with drinks/(2) performance to liven up a bar/conversation to liven up a party/
咲い [わらい] /(n) (1) laugh/laughter/(2) smile/(3) sneer/
咲う [わらう] /(v5u,vi) (1) to laugh/(2) to smile/(3) to sneer/to ridicule/
咲かせる [さかせる] /(v1,vt) to make bloom/
咲き溢れる [さきこぼれる] /(v1,vi) to bloom all over/
咲き誇る [さきほこる] /(v5r,vi) to be in fullness of bloom/
咲き残る [さきのこる] /(v5r,vi) to bloom late/to remain in bloom/
咲き始める [さきはじめる] /(v1) to begin blooming/
咲き出す [さきだす] /(v5s,vi) to begin to bloom/to come out/
咲き初める [さきそめる] /(v1,vi) to begin to blossom/
咲き揃う [さきそろう] /(v5u,vi) to be in full bloom/
咲き渡る [さきわたる] /(v5r,vi) to bloom over a wide area/
咲き匂う [さきにおう] /(v5u,vi) to be in full bloom/
咲き分け [さきわけ] /(n) variegated flowering/
咲き乱れる [さきみだれる] /(v1,vi) to bloom in profusion/(P)/
咲く [さく] /(v5k,vi) to bloom/(P)/
咲乱れる [さきみだれる] /(io) (v1,vi) to bloom in profusion/
崎 [さき] /(n) small peninsula/(P)/
崎 [みさき] /(n) cape (on coast)/
崎崖 [きがい] /(n) steepness of a mountain/
崎陽 [きよう] /(n) (arch) Nagasaki/
埼 [さき] /(n) small peninsula/
埼玉 [さいたま] /(n) Saitama (city)/
埼玉県 [さいたまけん] /(n) Saitama prefecture (Kantou area)/
埼銀 [さいぎん] /(n) Saitama Bank/
碕 [さき] /(n) small peninsula/
鷺 [さぎ] /(n) (uk) heron (Ardeidae)/
鷺草 [さぎそう] /(n) fringed orchid/
鷺苔 [さぎごけ] /(n) (uk) Miquel's mazus (species of small flowering plant, Mazus miquelii)/
鷺笛 [さぎふえ] /(n) (uk) longspine snipefish (Macroramphosus scolopax)/common bellowsfish/snipe-fish/snipefish/spine trumpet fish/trumpetfish/
作 [さく] /(n,n-suf) a work/a harvest/(P)/
作が悪い [さくがわるい] /(exp) (obsc) have a poor crop/
作り [つくり] /(n) (1) making/producing/manufacturing/building/construction/make/structure/(2) appearance (i.e. attire, make-up)/(3) build (i.e. physique)/(4) sashimi/(n-pref) (5) forced (smile, etc.)/(P)/
作り [づくり] /(suf) (1) making/forming/cultivating/growing/(2) form/appearance/
作りかえる [つくりかえる] /(v1,vt) to remake/to remold/to remould/to convert/to reconstruct/to adapt/to parody/to alter/
作りつける [つくりつける] /(v1) to build in/
作りなおす [つくりなおす] /(v5s,vt) to remake/to rebuild/
作り換える [つくりかえる] /(iK) (v1,vt) to remake/to remold/to remould/to convert/to reconstruct/to adapt/to parody/to alter/
作り顔 [つくりがお] /(n) affected look/made-up face/
作り機嫌 [つくりきげん] /(n) feigning good feeling/
作り泣き [つくりなき] /(n) make-believe crying/
作り言 [つくりごと] /(n) fabrication/lie/fiction/
作り事 [つくりごと] /(n) fabrication/lie/fiction/
作り手 [つくりて] /(n) maker/builder/creator/tenant farmer/
作り酒屋 [つくりざかや] /(n) sake brewer/sake brewery/
作り出す [つくりだす] /(v5s,vt) (1) to manufacture/to produce/to raise (crops)/(2) to invent/to dream up/
作り笑い [つくりわらい] /(n,vs) forced laugh/forced smile/(P)/
作り上げる [つくりあげる] /(v1,vt) to make up/to fabricate/to build up/to complete/to construct/(P)/
作り身 [つくりみ] /(n) sliced raw fish/
作り声 [つくりごえ] /(n) feigned voice/unnatural voice/
作り損じる [つくりそんじる] /(v1) to fail in making/
作り損なう [つくりそこなう] /(v5u) to fail in making/
作り損なう [つくりぞこなう] /(v5u) to fail in making/
作り替える [つくりかえる] /(v1,vt) to remake/to remold/to remould/to convert/to reconstruct/to adapt/to parody/to alter/
作り茸 [つくりたけ] /(n) (uk) common mushroom (Agaricus bisporus)/
作り直す [つくりなおす] /(v5s,vt) to remake/to rebuild/
作り皮 [つくりかわ] /(n) (1) leather/tanned animal hide/(2) kanji "leather" radical (radical 177)/
作り皮 [つくりがわ] /(n) (1) kanji "leather" radical (radical 177)/
作り眉 [つくりまゆ] /(n) painted eyebrows/
作り病 [つくりやまい] /(n) feigned illness/
作り付け [つくりつけ] /(n) fixed/built-in/fixture/
作り付ける [つくりつける] /(v1) to build in/
作り物 [つくりもの] /(n) artificial product/decoration/fake/crop/
作り返す [つくりかえす] /(v5s) (obsc) to remake/
作り方 [つくりかた] /(n) (1) style of building/construction/workmanship/way of making/(2) recipe/(3) how to grow (something)/
作り名 [つくりな] /(n) alias/pseudonym/pen name/nom de plume/
作り盲 [つくりめくら] /(n) (sens) feigned blindness/
作り木 [つくりぎ] /(n) well-trimmed tree/
作り目 [つくりめ] /(n) cast-on stitch/
作り立てる [つくりたてる] /(v1,vt) to adorn/to decorate/to dress up/to build up/
作り話 [つくりばなし] /(n) fiction/made-up story/fable/fabrication/myth/(P)/
作る [つくる] /(v5r,vt) (1) to make/to produce/to manufacture/to build/to construct/(2) to prepare (food)/to brew (alcohol)/(3) to raise/to grow/to cultivate/to train/(4) to till/(5) to draw up (a document)/to make out/to prepare/to write/(6) to create (an artistic work, etc.)/to compose/(7) to coin (a phrase)/to organize/to organise/to establish/to found/(8) to have (a child)/(9) to make up (one's face, etc.)/(10) to fabricate (an excuse, etc.)/(11) to form (a line, etc.)/(12) to set (a record)/(13) to commit (a sin, etc.)/(P)/
作意 [さくい] /(n) idea/design/motif/conception/intention/
作為 [さくい] /(n,vs) (1) artificiality/(2) act/commission (of a crime)/
作為的 [さくいてき] /(adj-na) intentional/contrived/
作為犯 [さくいはん] /(n) crime of commission/
作家 [さっか] /(n) author/writer/novelist/artist/(P)/
作家として鳴らす [さっかとしてならす] /(v5s) to be very popular as a writer/
作家の卵 [さっかのたまご] /(n) aspiring writer/
作歌 [さっか] /(n,vs) writing songs or poems/poem/
作画 [さくが] /(n,vs) drawing pictures/taking photographs/
作画崩壊 [さくがほうかい] /(n) (sl) reduced picture quality/lowered picture quality/
作況 [さっきょう] /(n) crops/quality/
作況指数 [さっきょうしすう] /(n) rice-crop index/(P)/
作興 [さっこう] /(n,vs) promoting/arousing/
作業 [さぎょう] /(n,vs) work/operation/manufacturing/fatigue duty/(P)/
作業グループ [さぎょうグループ] /(n) working group/
作業ディレクトリ [さぎょうディレクトリ] /(n) (comp) working directory/
作業衣 [さぎょうい] /(n) work clothes/
作業域 [さぎょういき] /(n) (comp) work(ing) space/work(ing) area/
作業員 [さぎょういん] /(n) (sens) laborer (labourer)/blue-collar worker/
作業員宿舎 [さぎょういんしゅくしゃ] /(n) construction camp/bunkhouse/workers' living quarters/
作業仮説 [さぎょうかせつ] /(n) working hypothesis/
作業環境 [さぎょうかんきょう] /(n) work environment/(P)/
作業監督者 [さぎょうかんとくしゃ] /(n) operation supervisor/
作業記憶 [さぎょうきおく] /(n) working memory/
作業時間 [さぎょうじかん] /(n) working hours/
作業者 [さぎょうしゃ] /(n) operator/worker/maker/
作業場 [さぎょうば] /(n) works/workshop/
作業場所節 [さぎょうばしょせつ] /(n) (comp) working-storage section/
作業着 [さぎょうぎ] /(n) work clothes/fatigues/
作業班 [さぎょうはん] /(n) work party/
作業費 [さぎょうひ] /(n) operational expense/
作業負荷 [さぎょうふか] /(n) (comp) workload/
作業部会 [さぎょうぶかい] /(n) working group/
作業部会案 [さぎょうぶかいあん] /(n) working draft/working draught/
作業服 [さぎょうふく] /(n) work clothes/
作業用 [さぎょうよう] /(n) for work/for manufacturing/
作業要員 [さぎょうよういん] /(n) work force/
作業療法 [さぎょうりょうほう] /(n) occupational therapy/
作業療法士 [さぎょうりょうほうし] /(n) occupational therapist/
作業量 [さぎょうりょう] /(n) workload/quantity of work/work rate/units produced/
作業領域 [さぎょうりょういき] /(n) workspace/working area/
作曲 [さっきょく] /(n,vs) composition/setting (of music)/(P)/
作曲家 [さっきょくか] /(n) composer/
作曲者 [さっきょくしゃ] /(n) composer/
作劇 [さくげき] /(n,vs) playwriting/
作劇術 [さくげきじゅつ] /(n) dramaturgy/
作詞 [さくし] /(n,vs) (writing) song lyrics/(P)/
作詞家 [さくしか] /(n) lyric writer/lyricist/songwriter/
作詞者 [さくししゃ] /(n) lyric writer/lyricist/songwriter/
作詩 [さくし] /(n,vs) versification/verse making/
作詩法 [さくしほう] /(n) versification/
作者 [さくしゃ] /(n) author/authoress/(P)/
作者不知 [さくしゃしらず] /(n) anonymous/
作者未詳 [さくしゃみしょう] /(n) anonymous/author unknown/
作出 [さくしゅつ] /(n,vs) new creation/new invention/new production/new breed/
作場 [さくば] /(n) farm/workshop/
作図 [さくず] /(n,vs) drawing (figures)/construction (in geometry)/drafting/
作図装置 [さくずそうち] /(n) (comp) plotter/
作図装置増分量 [さくずそうちぞうぶんりょう] /(n) (comp) plotter step size/
作成 [さくせい] /(n,vs) framing/drawing up/making/producing/creating/creation/preparing/writing/(P)/
作成システム [さくせいシステム] /(n) (comp) originating system/
作成技術 [さくせいぎじゅつ] /(n) implementation technique/
作成者 [さくせいしゃ] /(n) implementor/author/
作成者語 [さくせいしゃご] /(n) (comp) implementor-name/
作成中 [さくせいちゅう] /(n) (comp) under construction/
作成日時 [さくせいにちじ] /(n) (comp) creation-time/
作製 [さくせい] /(n,vs) manufacture/(P)/
作戦 [さくせん] /(n) (1) tactics/strategy/(2) military or naval operations/(P)/
作戦オーバーレー [さくせんオーバーレー] /(n) operation overlay/
作戦計画 [さくせんけいかく] /(n) operation plan/scheme of operations/plan of campaign/
作戦上 [さくせんじょう] /(adj-no) operational/strategic/
作戦地域 [さくせんちいき] /(n) area of operation/
作戦命令 [さくせんめいれい] /(n) operation order/
作男 [さくおとこ] /(n) farm hand/tenant/
作中人物 [さくちゅうじんぶつ] /(n) characters (in a novel)/
作庭 [さくてい] /(n) (obsc) creating a garden/gardener/
作土 [さくど] /(n) surface soil/
作当たり [さくあたり] /(n) good crop/
作動 [さどう] /(n,vs) operation/functioning/running/(P)/
作動電圧表示器 [さどうでんあつひょうじき] /(n) (comp) operating voltage indicator/
作病 [さくびょう] /(n) feigned illness/
作品 [さくひん] /(n) work (e.g. book, film, composition, etc.)/opus/performance/production/(P)/
作付 [さくつけ] /(n,vs) planting/
作付 [さくづけ] /(n,vs) planting/
作付け [さくつけ] /(n,vs) planting/
作付け [さくづけ] /(n,vs) planting/(P)/
作付面積 [さくづけめんせき] /(n) planted area/(P)/
作譜 [さくふ] /(n) (comp) log (i.e. work-file)/
作風 [さくふう] /(n) literary style/(P)/
作物 [さくぶつ] /(n) literary work/
作物 [さくもつ] /(n) produce (e.g. agricultural)/crops/(P)/
作物所 [つくもどころ] /(n) palace workshop responsible for making furnishings, etc. (Heian period)/
作文 [さくぶん] /(n,vs) (1) writing (an essay, prose, etc.)/composition/(2) formal writing with little real meaning/(P)/
作文 [さくもん] /(n) (arch) writing (poetry)/composing/
作文の題 [さくぶんのだい] /(n) subject of a composition/
作柄 [さくがら] /(n) (1) crop conditions/(2) quality (of art)/(P)/
作編曲 [さくへんきょく] /(n,vs) composition and arrangement/
作法 [さほう] /(n) manners/etiquette/propriety/(P)/
作務 [さむ] /(n) (Buddh) work in a Zen temple (e.g. cleaning, working in the fields)/
作務衣 [さむえ] /(n) monk's working (non-spiritual) clothes/
作用 [さよう] /(n,vs) action/operation/effect/function/(P)/
作用因 [さよういん] /(n) efficient cause/
作用角 [さよかく] /(n) (1) working angle/angle of action/(2) (camshaft) duration/
作用積分 [さようせきぶん] /(n) action integral (physics)/
作用素 [さようそ] /(n) (math) operator/
作用対象 [さようたいしょう] /(n) (comp) operand/
作用点 [さようてん] /(n) point of action (e.g. of a lever)/
作用反作用の法則 [さようはんさようのほうそく] /(n) action-reaction law (Newton's third law of motion)/
作例 [さくれい] /(n) model of writing/
作話 [さくわ] /(n,vs) confabulation/fabrication/
削 [さく] /(n) plane/sharpen/whittle/pare/shave (leather)/scrape off/crossout/reduce/curtail/
削ぎ切り [そぎぎり] /(n,vs) cutting a thin object (e.g. vegetable stalk) at a 45 degree angle/cutting in a way that blunts or rounds the cut/
削ぎ落とす [そぎおとす] /(v5s) to chip off/to scrape off/to prune/
削ぐ [そぐ] /(v5g) (1) to chip/to slice off/to sharpen/(2) to thin down/to reduce/to weaken/
削げる [そげる] /(v1,vi) to split/to be split/to splinter/
削り [けずり] /(n) shavings/flakes/
削り花 [けずりばな] /(n) (arch) wooden flower whittled from a log/
削り屑 [けずりくず] /(n) shavings/
削り取る [けずりとる] /(v5r) to shave off/to scrape off/
削り出す [けずりだす] /(v5s) to machine/to cut/to scrape/
削り節 [けずりぶし] /(n) flaked bonito/(P)/
削り代 [けずりしろ] /(n) cutting stock (extra material cut off in machining operations as a safety margin for tolerances)/machining allowance/
削り落とす [けずりおとす] /(v5s) to scrape off/to plane off/
削る [けずる] /(v5r,vt) (1) to shave (wood or leather)/to sharpen/to plane/to whittle/to pare/to scrape off/(2) to shave off (e.g. a budget, expenses, a salary, etc.)/to curtail/to cut down/(3) to cross out/to reduce/to curtail/to remove/to erase/to delete/(P)/
削る [はつる] /(v5r,vt) (1) to cut down little by little/(2) to take a percentage/
削れる [けずれる] /(v1) to be shaved or planed/
削井 [さくせい] /(n,vs) well drilling/
削岩機 [さくがんき] /(n) rock drill/pneumatic drill/jackhammer/
削減 [さくげん] /(n,vs) cut/reduction/curtailment/(P)/
削除 [さくじょ] /(n,vs,adj-no) elimination/cancellation/deletion/erasure/DEL (key)/(P)/
削除したファイルの復活 [さくじょしたファイルのふっかつ] /(n) (comp) file undeletion/
削除抽象操作 [さくじょちゅうしょうそうさ] /(n) (comp) delete abstract-operation/
削氷機 [さくひょうき] /(n) ice-shaving machine/
削片 [さくへん] /(n) splinter/chip/
削片板 [さくへんいた] /(n) particle board/
削摩 [さくま] /(n) denudation/
搾めかす [しめかす] /(n) oil cake/scrap cake/
搾め糟 [しめかす] /(n) oil cake/scrap cake/
搾め滓 [しめかす] /(n) oil cake/scrap cake/
搾り [しぼり] /(n,vs) (1) tye-dye/tye-dyeing/(2) aperture (e.g. camera, iris of the eye)/aperture stop/stop/(3) contraction/squeezing/choke/
搾り込む [しぼりこむ] /(v5m) (1) to squeeze/to wring out/(2) to narrow down/to refine/
搾り取る [しぼりとる] /(v5r,vt) to exploit/
搾り汁 [しぼりじる] /(n) squeezed juice (e.g. of a lemon)/
搾り出す [しぼりだす] /(v5s,vt) to squeeze out/to wring out/
搾り上げる [しぼりあげる] /(v1,vt) (1) to squeeze (to the utmost)/to wring/(2) to strain one's voice/(3) to scold/
搾り滓 [しぼりかす] /(n) strained lees (draff)/
搾る [しぼる] /(v5r,vt) to press/to wring/to squeeze/to narrow (down)/to whittle (down)/to tighten/(P)/
搾菜 [ざーさい] /(n) (uk) Szechuan pickles/
搾取 [さくしゅ] /(n,vs) exploitation/squeezing/sweating/(P)/
搾取工場 [さくしゅこうじょう] /(n) sweatshop/
搾乳 [さくにゅう] /(n,vs) milking (a cow)/(P)/
搾乳器 [さくにゅうき] /(n) (1) breast pump/(2) milking device/milking machine/
搾乳機 [さくにゅうき] /(n) (1) breast pump/(2) milking device/milking machine/
搾油 [さくゆ] /(n,vs) oil expression (extraction)/
搾滓 [しめかす] /(n) oil cake/scrap cake/
昨 [さく] /(pref) last (year)/yesterday/
昨夏 [さくか] /(n) last summer/summer of last year/
昨夏 [さっか] /(n) last summer/summer of last year/
昨暁 [さくぎょう] /(n-t) early yesterday morning/
昨今 [さくこん] /(n-adv,n-t) nowadays/recently/
昨今 [さっこん] /(n-adv,n-t) nowadays/recently/(P)/
昨紙 [さくし] /(n) yesterdays paper/
昨秋 [さくしゅう] /(n-adv,n-t) autumn of last year/fall of last year/(P)/
昨週 [さくしゅう] /(n) last week/
昨春 [さくしゅん] /(n-adv,n-t) last spring/the spring of last year/(P)/
昨朝 [さくちょう] /(n-adv,n-t) yesterday morning/
昨冬 [さくとう] /(n-adv,n-t) last winter/
昨日 [きのう] /(n-adv,n-t) yesterday/(P)/
昨日 [さくじつ] /(n-adv,n-t) yesterday/(P)/
昨日の今日 [きのうのきょう] /(exp) right on the heels of yesterday, then today .../soon after something, and yet now .../
昨日の友は今日の敵 [きのうのともはきょうのてき] /(exp) (id) A friend today may turn against you tomorrow/
昨日今日 [きのうきょう] /(n) (1) yesterday and today/(2) (something that happened) only yesterday (just recently)/
昨年 [さくねん] /(n-adv,n-t) last year/(P)/
昨年夏 [さくねんなつ] /(n) summer of last year/
昨年度 [さくねんど] /(n-adv) previous year (fiscal, academic, etc.)/(P)/
昨年度の卒 [さくねんどのそつ] /(n) graduated last year/
昨年来 [さくねんらい] /(n-adv) since last year/(P)/
昨晩 [さくばん] /(n-adv,n-t) last night/(P)/
昨非今是 [さくひこんぜ] /(n) complete reversal of values or ways of thinking/
昨夜 [さくや] /(n-adv,n-t) (1) last night/(P)/
昨夜 [ゆうべ] /(n-adv,n-t) (1) last night/(P)/
昨夕 [さくゆう] /(n-adv,n-t) yesterday evening/last night/
朔 [さく] /(n) (1) new moon/(2) first day of the lunar month/(3) (in ancient China) next year's calendar and decrees (distributed by the Emperor at year's end)/
朔 [ついたち] /(n) (1) first day of the month/(2) (arch) first ten days of the lunar month/
朔 [つきたち] /(n) (1) (arch) first day of the month/(2) first ten days of the lunar month/
朔日 [さくじつ] /(n) (1) first day of the month/
朔日 [ついたち] /(n) (1) first day of the month/(2) (arch) first ten days of the lunar month/
朔風 [さくふう] /(n) north wind/
朔望 [さくぼう] /(n,adj-no) first and fifteenth days of the lunar month (corresponding to new moon and full moon)/
朔望月 [さくぼうげつ] /(n) synodic month/
朔望潮 [さくぼうちょう] /(n) (obsc) spring tide/
柵 [き] /(n) fortress (surrounded by a wall, moat, etc.)/
柵 [さく] /(n) fence/paling/
柵 [しがらみ] /(n) (1) weir/(2) bonds/fetters/ties of obligation/
柵状組織 [さくじょうそしき] /(n) palisade layer/
柵封 [さくほう] /(n) (arch) documents of feudal appointment (in China)/
窄まる [すぼまる] /(v5r,vi) to get narrower/to contract/
窄まる [つぼまる] /(v5r,vi) to get narrower/to contract/
窄む [すぼむ] /(v5m,vi) to get narrower/to contract/
窄む [つぼむ] /(v5m,vt) to close/to shut/
窄める [すぼめる] /(v1,vt) to make narrower/to shut (an umbrella)/to shrug (one's shoulders)/to purse (one's lips)/
窄める [つぼめる] /(v1,vt) to make narrower/to shut (an umbrella)/to shrug (one's shoulders)/to purse (one's lips)/
策 [さく] /(n,n-suf) plan/policy/(P)/
策 [むち] /(n) (1) whip/lash/scourge/(2) stick/cane/rod/pointer/
策する [さくする] /(vs-s,vt) to devise a plan/to work out a plot/
策を講ずる [さくをこうずる] /(exp,vz) to take (adopt) measures/
策を施す [さくをほどこす] /(exp,v5s) to take measures/
策応 [さくおう] /(n,vs) in collusion with/
策源地 [さくげんち] /(n) strategic base/
策士 [さくし] /(n) intriguer/tactician/schemer/machinator/
策士策に溺れる [さくしさくにおぼれる] /(exp) (id) craft brings nothing home (lit: the crafty schemer drowns in his own scheme)/
策戦 [さくせん] /(n) (1) tactics/strategy/(2) military or naval operations/
策定 [さくてい] /(n,vs) decision/settling on/(P)/
策動 [さくどう] /(n,vs) maneuverings/manoeuverings/machinations/
策謀 [さくぼう] /(n,vs) strategy/artifice/
策略 [さくりゃく] /(n,adj-no) scheme/tactic/stratagem/trick/(P)/
策励 [さくれい] /(n,vs) urging/whipping (up)/
索 [さく] /(n) rope/cord/
索引 [さくいん] /(n,adj-no) index/indices/indexes/(P)/
索引トラック [さくいんトラック] /(n) (comp) index track/
索引ファイル [さくいんファイル] /(n) (comp) indexed file/
索引言語 [さくいんげんご] /(n) (comp) indexing language/
索引語 [さくいんご] /(n) (comp) indexing term/
索引作業 [さくいんさぎょう] /(n) (comp) indexing/
索引時概念組合せ索引作業 [さくいんじがいねんくみあわせさくいんさぎょう] /(n) (comp) pre-coordinated indexing/
索引順アクセス方式 [さくいんじゅんアクセスほうしき] /(n) (comp) Indexed Sequential Access Method/ISAM/
索引順次アクセス方式 [さくいんじゅんじアクセスほうしき] /(n) (comp) Indexed Sequential Access Method/ISAM/
索引順編成データセット [さくいんじゅんへんせいデータセット] /(n) (comp) indexed sequential data set/
索引順編成ファイル [さくいんじゅんへんせいファイル] /(n) (comp) Indexed Sequential Access Method file/ISAM file/
索引精度 [さくいんせいど] /(n) (comp) depth of indexing/
索引付け [さくいんつけ] /(n,vs) indexing/
索引編成 [さくいんへんせい] /(n) (comp) indexed organization/
索引用語の付与 [さくいんようごのふよ] /(n) (comp) allocation of indexing terms/
索具 [さくぐ] /(n) rigging/gear/tackle/
索子 [ソーズ] /(n) bamboo tiles (in mahjong)/
索条 [さくじょう] /(n) cable/rope/
索条鉄道 [さくじょうてつどう] /(n) cable railway/
索然 [さくぜん] /(n,adj-t,adv-to) dry/desolate/
索敵 [さくてき] /(n,vs) searching for the enemy/
索道 [さくどう] /(n) overhead freight-carrying cable/
索漠 [さくばく] /(adj-t,adv-to) dreary/bleak/desolate/
索莫 [さくばく] /(adj-t,adv-to) dreary/bleak/desolate/
索麺 [そうめん] /(n) fine white noodles/
索寞 [さくばく] /(adj-t,adv-to) dreary/bleak/desolate/
錯 [こすり] /(n) rubbing/scrubbing/scraping/
錯そう [さくそう] /(n,vs) complication/intricacy/
錯る [こする] /(oK) (v5r,vt) (uk) to rub/to scrub/
錯イオン [さくイオン] /(n) complex ion/
錯化合物 [さくかごうぶつ] /(n) complex compound/chelate compound/
錯覚 [さっかく] /(n,vs,adj-no) (1) optical illusion/hallucination/(2) misapprehension/delusion/(P)/
錯角 [さっかく] /(n) alternate interior angles/
錯簡 [さっかん] /(n) pages (in a book) out of order due to an error in binding/
錯誤 [さくご] /(n) mistake/(P)/
錯雑 [さくざつ] /(n) complication/intricacy/
錯視 [さくし] /(n) optical illusion/
錯字症 [さくじしょう] /(n) paragraphia/
錯綜 [さくそう] /(n,vs) complication/intricacy/
錯体 [さくたい] /(n) complex (chemistry)/
錯落 [さくらく] /(adv-to) mixed/
錯乱 [さくらん] /(n,vs) confusion/distraction/derangement/(P)/
錯乱状態 [さくらんじょうたい] /(n,adj-no) state of (mental) confusion (agitation)/
桜 [さくら] /(n) (1) cherry tree/cherry blossom/(2) decoy/fake buyer/shill/(3) hired applauder/(4) (col) horse meat/(P)/
桜えび [さくらえび] /(n) sakura shrimp (Sergia lucens)/
桜の木 [さくらのき] /(n) cherry tree/
桜んぼ [さくらんぼ] /(n) (uk) (edible) cherry/
桜んぼう [さくらんぼう] /(n) (uk) (edible) cherry/
桜ん坊 [さくらんぼう] /(n) (uk) (edible) cherry/
桜エビ [さくらエビ] /(n) sakura shrimp (Sergia lucens)/
桜花 [おうか] /(n) cherry blossom/(P)/
桜花 [さくらばな] /(n) cherry blossom/
桜花爛漫 [おうからんまん] /(n) riot of cherry blossoms/
桜蝦 [さくらえび] /(n) sakura shrimp (Sergia lucens)/
桜海老 [さくらえび] /(n) sakura shrimp (Sergia lucens)/
桜貝 [さくらがい] /(n) (uk) Nitidotellina nitidula (species of tellin)/
桜月 [さくらづき] /(n) third lunar month/
桜祭 [さくらまつり] /(n) cherry blossom festival/
桜祭り [さくらまつり] /(n) cherry blossom festival/
桜咲く [さくらさく] /(exp,v5k) (id) exam success/
桜散る [さくらちる] /(exp) (1) (id) exam failure/(2) cherry blossom blooming/cherry blossom falling/
桜紙 [さくらがみ] /(n) soft, thin paper/
桜狩り [さくらがり] /(n) looking for or at cherry blossoms/
桜色 [さくらいろ] /(n) cherry blossom (colour, color)/
桜前線 [さくらぜんせん] /(n) cherry blossom front/
桜草 [さくらそう] /(n) (1) (uk) primula (any flower of genus Primula, which includes primroses, cowslips and cyclamens)/(2) Siebold's primrose (Primula siebold)/
桜鯛 [さくらだい] /(n) (uk) cherry anthias (Sacura margaritacea)/
桜漬け [さくらづけ] /(n) pickled cherry blossoms/
桜島大根 [さくらじまだいこん] /(n) Sakurajima daikon (the largest variety of radish in the world)/
桜桃 [おうとう] /(n) cherry (tree; esp. sweet cherry or Nanking cherry)/
桜桃 [さくらんぼ] /(n) (uk) (edible) cherry/
桜桃 [さくらんぼう] /(n) (uk) (edible) cherry/
桜桃 [ゆすら] /(n) (uk) Nanking cherry (Prunus tomentosa)/downy cherry/
桜桃 [ゆすらうめ] /(n) (uk) Nanking cherry (Prunus tomentosa)/downy cherry/
桜桃忌 [おうとうき] /(n) anniversary that celebrates author Dazai Osamu's birthday, and incidentally, the day his body was found after he was involved in a double suicide/
桜湯 [さくらゆ] /(n) drink made of boiled water poured over preserved cherry leaves and blossoms/
桜鍋 [さくらなべ] /(n) horse-meat hotpot/
桜肉 [さくらにく] /(n) horse meat/
桜飯 [さくらめし] /(n) rice boiled with soy sauce and sake/
桜皮 [かにわ] /(ok) (n) (uk) birch (esp. Japanese white birch)/
桜鱒 [さくらます] /(n) (uk) masu salmon (Oncorhynchus masou)/
桜餅 [さくらもち] /(n) rice cake with bean paste wrapped in a preserved cherry leaf/
鮭 [さけ] /(n) (1) salmon (any fish of the family Salmonidae)/(2) chum salmon (Oncorhynchus keta)/
鮭 [しゃけ] /(n) (1) salmon (any fish of the family Salmonidae)/(2) chum salmon (Oncorhynchus keta)/
鮭漁 [さけりょう] /(n) salmon fishing/
鮭茶づけ [さけちゃづけ] /(n) chadzuke with salmon powder/
鮭茶漬け [さけちゃづけ] /(n) chadzuke with salmon powder/
笹 [ささ] /(n) bamboo grass/(P)/
笹がき [ささがき] /(n,vs) cut into long thin shavings (primarily vegetables), in the manner a pencil is sharpened with a knife/
笹蟹 [ささがに] /(n) (arch) spider/spider silk/
笹牛の舌 [ささうしのした] /(n) (uk) bamboo sole (Heteromycteris japonica)/
笹原 [ささはら] /(n) field of bamboo grass/
笹舟 [ささぶね] /(n) toy bamboo-leaf boat/
笹身 [ささみ] /(n) (uk) high-quality chicken breast meat/
笹掻き [ささがき] /(n,vs) cut into long thin shavings (primarily vegetables), in the manner a pencil is sharpened with a knife/
笹蜘蛛 [ささぐも] /(n) (uk) Oxyopes sertatus (species of lynx spider)/
笹竹 [ささたけ] /(n) small bamboo/
匙 [かい] /(ok) (n) spoon/
匙 [さじ] /(n) spoon/(P)/
匙 [しゃじ] /(n) spoon/
匙を投げる [さじをなげる] /(exp,v1) to give up (something as hopeless)/to throw in the towel/
匙加減 [さじかげん] /(n) prescription/consideration/making allowances for/
冊 [さつ] /(ctr) (1) counter for books/(n) (2) (obsc) volume/(P)/
冊子 [さっし] /(n) book/booklet/story book/pamphlet/notebook/(P)/
冊子 [そうし] /(n) (1) written work (esp. a bound text, as opposed to a scroll)/(2) a text written entirely in kana/(3) graphic novel (esp. one created between the 12th and 19th centuries)/(4) notebook (for practicing kana, drawing pictures, etc.)/(5) rough draft/
冊数 [さっすう] /(n) number of books/
冊立 [さくりつ] /(n,vs) imperial investiture/
刷 [さつ] /(suf,ctr) printing/impression/issue/
刷 [すり] /(n) printing/
刷り [すり] /(n) printing/
刷りなおす [すりなおす] /(v5s) to reprint (book)/
刷り違い [すりちがい] /(n) misprint/
刷り込み [すりこみ] /(n) imprinting/stenciling/
刷り込む [すりこむ] /(v5m,vt) to insert (an illustration)/to stencil (a pattern)/to print on/
刷り出す [すりだす] /(v5s) to print/to publish/to begin to print/
刷り上がる [すりあがる] /(v5r) to be off the press/
刷り上げる [すりあげる] /(v1,vt) to finish printing/to print off/
刷り損なう [すりそこなう] /(v5u) to misprint/to spoil in printing/
刷り直す [すりなおす] /(v5s) to reprint (book)/
刷り物 [すりもの] /(n) printed matter/
刷り本 [すりほん] /(n) printed book/
刷り立て [すりたて] /(exp) just off the press/
刷る [する] /(v5r,vt) (1) to print/(2) to color or pattern fabric using a wooden mold/(P)/
刷込む [すりこむ] /(io) (v5m,vt) to insert (an illustration)/to stencil (a pattern)/to print on/
刷子 [さっし] /(n) brush/commutator brush/
刷子 [はけ] /(n) brush/commutator brush/
刷新 [さっしん] /(n,vs) reform/renovation/(P)/
刷数 [さつすう] /(n) number (of books) printed/
刷毛 [はけ] /(n) paint brush/
刷毛先 [はけさき] /(n) brush tip/
刷毛目 [はけめ] /(n) brush marks/
察 [さつ] /(n) (col) police/
察し [さっし] /(n) consideration/guess/conjecture/judgment/judgement/
察す [さっす] /(v5s,vt) (1) to guess/to sense/to presume/to judge/(2) to sympathize with/to sympathise with/
察する [さっする] /(vs-s,vt) (1) to guess/to sense/to presume/to judge/(2) to sympathize with/to sympathise with/(P)/
察知 [さっち] /(n,vs) sense/infer/(P)/
拶双魚 [さっぱ] /(n) (uk) Japanese sardinella (Sardinella zunasi)/
撮み [つまみ] /(n) (1) (uk) knob/handle/button/(2) (comp) (file) handle/(3) snack (to have with a drink)/side dish/(suf) (4) a pinch (e.g. of salt)/(n,n-suf) (5) picking/harvesting/
撮み菜 [つまみな] /(n) rape seedlings/
撮み出す [つまみだす] /(v5s,vt) to pick out/to throw out/
撮み食い [つまみぐい] /(n,vs) (1) eating with one's fingers/(2) snitching food/snatched food/secret eating/food snatched and eaten without the meal starting/(3) embezzlement/misappropriation/exploiting something/(4) flirting/
撮み洗い [つまみあらい] /(n) washing only the soiled part (of a garment)/
撮み捻子 [つまみねじ] /(n) (uk) thumbscrew/
撮み物 [つまみもの] /(iK) (n) relish/drinking snack/
撮む [つまむ] /(v5m,vt) (uk) to pinch/to hold/to pick up/
撮りなおす [とりなおす] /(v5s,vt) to retake (a photograph)/
撮り下ろし [とりおろし] /(n) (1) taking photographs for a volume at the request of a publisher/(2) photographs taken for a volume at the request of a publisher/
撮り直し [とりなおし] /(n) a retaken photograph/
撮り直す [とりなおす] /(v5s,vt) to retake (a photograph)/
撮る [とる] /(v5r,vt) to take (a photo)/to make (a film)/(P)/
撮れる [とれる] /(v1) (1) to be photographed/(2) to be able to photograph/
撮影 [さつえい] /(n,vs) photographing/(P)/
撮影会 [さつえいかい] /(n) photography event/
撮影機 [さつえいき] /(n) movie camera/motion picture camera/cinecamera/
撮影者 [さつえいしゃ] /(n) photographer/
撮影所 [さつえいじょ] /(n) film studio/
撮影隊 [さつえいたい] /(n) film unit/
撮像 [さつぞう] /(n,vs) taking a picture/taking an image/imaging/
撮像管 [さつぞうかん] /(n) image pick up tube/camera tube/
撮像機 [さつぞうき] /(n) camera (photo, optical)/
撮土 [さつど] /(n) small area/a pinch of earth/
撮要 [さつよう] /(n) outline/summary/compendium/
擦った揉んだ [すったもんだ] /(adv,n,adj-no,vs) confused (situation)/great fuss/much wrangling/
擦り [かすり] /(n) (1) grazing/touching lightly/(2) squeezing (someone for money)/percentage/kickback/
擦り [こすり] /(n) rubbing/scrubbing/scraping/
擦りつける [こすりつける] /(v1,vt) (1) to rub against/to nuzzle against (e.g. dog nosing a person)/(2) to strike (a match)/
擦りつける [すりつける] /(v1,vt) (1) to rub against/to nuzzle against (e.g. dog nosing a person)/(2) to strike (a match)/
擦りつける [なすりつける] /(v1,vt) to blame another/
擦りむく [すりむく] /(v5k) to skin (one's knee)/to graze/
擦りガラス [すりガラス] /(n) ground glass/frosted glass/
擦り寄る [すりよる] /(v5r,vi) to draw close to/to edge up to/to snuggle up to/to nestle close to/to cuddle with/to draw closer to/
擦り減らす [すりへらす] /(v5s,vt) to wear away/to rub down/to abrade/
擦り減る [すりへる] /(v5r,vi) to be worn down/to be reduced/
擦り合い [なすりあい] /(n) recrimination/
擦り合わせ [すりあわせ] /(n) (1) precision surface finishing/lapping/(2) bouncing of ideas (opinions, etc.) off each other to obtain a fine-tuned integrated whole/
擦り合わせる [こすりあわせる] /(v1) to rub together (e.g. one's hands)/
擦り合わせる [すりあわせる] /(v1) to rub together/
擦り込む [すりこむ] /(v5m) to rub in/to grind and mix/
擦り傷 [かすりきず] /(n,vs) scratch/graze/abrasion/
擦り傷 [こすりきず] /(n,vs) scratch/graze/abrasion/
擦り傷 [すりきず] /(n,vs) scratch/graze/abrasion/(P)/
擦り硝子 [すりがらす] /(n) ground glass/frosted glass/
擦り硝子 [すりガラス] /(n) ground glass/frosted glass/
擦り切り [すりきり] /(n,vs) (uk) levelling a powder or liquid (e.g. sugar, flour) in a container (when measuring)/
擦り切る [すりきる] /(v5r) to cut by rubbing/to wear out/to spend all (one's money)/
擦り切れる [すりきれる] /(v1,vi) to wear out/
擦り替える [すりかえる] /(v1,vt) to switch (secretly)/to substitute/to sidestep (an issue)/
擦り剥く [すりむく] /(v5k) to skin (one's knee)/to graze/
擦り剥ける [すりむける] /(v1,vi) to abrade/
擦り抜ける [すりぬける] /(v1,vi) to slip through/to make one's way through quickly/
擦り半 [すりばん] /(n) (1) fire alarm ringing continuously to warn that a fire is extremely near/(2) sound as produced by this alarm/
擦り半鐘 [すりばんしょう] /(n) (1) fire alarm ringing continuously to warn that a fire is extremely near/(2) sound as produced by this alarm/
擦り付ける [こすりつける] /(v1,vt) (1) to rub against/to nuzzle against (e.g. dog nosing a person)/(2) to strike (a match)/
擦り付ける [すりつける] /(v1,vt) (1) to rub against/to nuzzle against (e.g. dog nosing a person)/(2) to strike (a match)/
擦り付ける [なすりつける] /(v1,vt) to blame another/
擦り落とす [こすりおとす] /(v5s) to scrape off/to rub off/
擦り疵 [すりきず] /(n,vs) marring caused by rubbing/
擦る [かする] /(v5r,vt) (1) to graze/to touch lightly/(2) to take a percentage/to exploit/to squeeze/
擦る [こする] /(v5r,vt) (uk) to rub/to scrub/(P)/
擦る [さする] /(v5r,vt) (1) to pat/to stroke/(2) to rub off/to polish/to grind/to graze/to scrape/(3) to be equal to/(4) to be about to reach/
擦る [する] /(v5r,vt) (1) to rub/to chafe/to strike (match)/to file/to frost (glass)/(2) to lose (e.g. a match)/to forfeit/to squander one's money (e.g. through gambling, Pachinko, etc.)/(P)/
擦る [なする] /(v5r) (uk) to rub in/
擦る [なぞる] /(v5r,vt) (uk) to trace (drawing)/to follow/
擦れっ枯し [すれっからし] /(n) shameless person/sophisticated person/brazen hussy/
擦れっ枯らし [すれっからし] /(n) shameless person/sophisticated person/brazen hussy/
擦れて薄くなる [すれてうすくなる] /(v5r) to wear thin/
擦れる [こすれる] /(v1) to be rubbed/
擦れる [すれる] /(v1,vi) to rub/to chafe/to wear/to become sophisticated/
擦れ違い [すれちがい] /(n) passing each other/crossing paths without meeting/being at cross purposes/
擦れ違う [すれちがう] /(v5u,vi) to pass by one another/to disagree/to miss each other/
擦れ合う [すれあう] /(v5u,vi) to rub against/to chafe/to quarrel/
擦れ擦れ [すれすれ] /(adj-na,n) (uk) on the verge of/very close to/just in time/on the margin/(P)/
擦ガラス [すりガラス] /(io) (n) ground glass/frosted glass/
擦過傷 [さっかしょう] /(n) abrasion/scratch/
擦寄る [すりよる] /(v5r,vi) to draw close to/to edge up to/to snuggle up to/to nestle close to/to cuddle with/to draw closer to/
擦込む [すりこむ] /(v5m) to rub in/to grind and mix/
擦痕 [さっこん] /(n) stria (carved out by a glacier, etc.)/
擦傷 [かすりきず] /(n,vs) scratch/graze/abrasion/
擦傷 [すりきず] /(n,vs) scratch/graze/abrasion/
擦硝子 [すりがらす] /(n) ground glass/frosted glass/
擦硝子 [すりガラス] /(n) ground glass/frosted glass/
擦切り [すりきり] /(n,vs) (uk) levelling a powder or liquid (e.g. sugar, flour) in a container (when measuring)/
擦切る [すりきる] /(v5r) to cut by rubbing/to wear out/to spend all (one's money)/
擦切れる [すりきれる] /(v1,vi) to wear out/
擦剥く [すりむく] /(io) (v5k) to skin (one's knee)/to graze/
擦剥ける [すりむける] /(v1,vi) to abrade/
擦抜ける [すりぬける] /(v1,vi) to slip through/to make one's way through quickly/
擦半 [すりばん] /(n) (1) fire alarm ringing continuously to warn that a fire is extremely near/(2) sound as produced by this alarm/
擦半鐘 [すりばんしょう] /(n) (1) fire alarm ringing continuously to warn that a fire is extremely near/(2) sound as produced by this alarm/
擦付ける [こすりつける] /(v1,vt) (1) to rub against/to nuzzle against (e.g. dog nosing a person)/(2) to strike (a match)/
擦付ける [すりつける] /(v1,vt) (1) to rub against/to nuzzle against (e.g. dog nosing a person)/(2) to strike (a match)/
擦疵 [すりきず] /(n,vs) marring caused by rubbing/
札 [さつ] /(n,n-suf) note/paper money/(P)/
札 [ふだ] /(n) (1) token/label/(2) ticket/card/(3) charm/talisman/(P)/
札を付ける [ふだをつける] /(exp,v1) to label/to put a tag on/
札を崩す [さつをくずす] /(exp,v5s) to change a note/to break a bill/
札止め [ふだどめ] /(n) full house/sold out/
札所 [ふだしょ] /(n) temple which issues amulets/
札束 [さつたば] /(n) roll of banknotes/(P)/
札入れ [さついれ] /(n) wallet/billfold/
札付 [ふだつき] /(io) (adj-no,n) (1) tagged (esp. with a price)/(2) notorious/infamous/double-dyed/hardened/
札付き [ふだつき] /(adj-no,n) (1) tagged (esp. with a price)/(2) notorious/infamous/double-dyed/hardened/
札幌 [さっぽろ] /(n) Sapporo (city)/
殺がれた耳 [そがれたみみ] /(n) mutilated ear/
殺ぐ [そぐ] /(v5g) (1) to chip/to slice off/to sharpen/(2) to thin down/to reduce/to weaken/
殺げる [そげる] /(v1,vi) to split/to be split/to splinter/
殺し [ころし] /(n) a murder/(P)/
殺しても死なない [ころしてもしなない] /(exp) (you) couldn't kill (him) if you tried/
殺し屋 [ころしや] /(n) professional killer/hit man/
殺し場 [ころしば] /(n) murder scene (in kabuki, etc.)/
殺し文句 [ころしもんく] /(exp,n) killing (i.e. loving) words/
殺す [ころす] /(v5s,vt) to kill/(P)/
殺める [あやめる] /(v1,vt) to wound/to murder/
殺りく [さつりく] /(n,vs) (uk) slaughter/massacre/
殺る [やる] /(v5r) to do someone in/to bump someone off/
殺意 [さつい] /(n) intent to kill/intent to murder/(P)/
殺害 [さつがい] /(n,vs) killing/murder/(P)/
殺害 [せちがい] /(ok) (n,vs) killing/murder/
殺害 [せつがい] /(ok) (n,vs) killing/murder/
殺害を企てる [さつがいをくわだてる] /(exp,v1) to make an attempt on a person's life/
殺害事件 [さつがいじけん] /(n) murder case/
殺害者 [さつがいしゃ] /(n) murderer/killer/
殺気 [さっき] /(n) thirst for blood/(P)/
殺気だつ [さっきだつ] /(v5t,vi) to be seething (with anger)/to be frenzied/to be menacing/
殺気立つ [さっきだつ] /(v5t,vi) to be seething (with anger)/to be frenzied/to be menacing/
殺菌 [さっきん] /(n,vs,adj-no) sterilization/sterilisation/disinfection/(P)/
殺菌剤 [さっきんざい] /(n) disinfectant/germicide/
殺菌力 [さっきんりょく] /(n) sterilizing or germicidal properties/
殺処分 [さつしょぶん] /(n,vs) culling/
殺傷 [さっしょう] /(n,vs) killing and wounding/casualties/bloodshed/(P)/
殺真菌薬 [さつしんきんやく] /(n) fungicide/
殺人 [さつじん] /(n,adj-no) murder/(P)/
殺人課 [さつじんか] /(n) homicide department (of a police force)/
殺人鬼 [さつじんき] /(n) devilish homicide/cutthroat/
殺人狂 [さつじんきょう] /(n) homicidal maniac/
殺人現場 [さつじんげんば] /(n) murder scene/
殺人光線 [さつじんこうせん] /(n) death ray/
殺人罪 [さつじんざい] /(n) (the crime of) murder/
殺人罪に問われて [さつじんざいにとわれて] /(exp) on a charge of murder/
殺人事件 [さつじんじけん] /(n) a murder/murder case/
殺人者 [さつじんしゃ] /(n) killer/murderer/
殺人的 [さつじんてき] /(adj-na) murderous (workload, etc.)/
殺人犯 [さつじんはん] /(n) murderer/
殺人未遂 [さつじんみすい] /(n) attempted murder/
殺陣 [たて] /(n) sword battle (staged for television, etc.)/sword fight/
殺陣師 [たてし] /(n) man who teaches actors or actresses how to use swords/
殺生 [せっしょう] /(n,vs) (1) killing/destruction of life/(adj-na) (2) barbarous/callous/brutal/cruel/
殺生禁断 [せっしょうきんだん] /(n) prohibition against hunting and fishing/
殺鼠剤 [さっそざい] /(n) rat poison/
殺虫 [さっちゅう] /(n,vs) killing insects or pests/
殺虫剤 [さっちゅうざい] /(n) insecticide/pesticide/(P)/
殺到 [さっとう] /(n,vs) rush/flood/(P)/
殺伐 [さつばつ] /(adj-na,n) bloodthirsty/brutal/savage/
殺風景 [さっぷうけい] /(adj-na,n) tasteless/dreary/tastelessness/
殺戮 [さつりく] /(n,vs) (uk) slaughter/massacre/
薩英戦争 [さつえいせんそう] /(n) Anglo-Satsuma War (1863)/
薩長 [さっちょう] /(n) Satsuma and Choshu/
薩摩 [さつま] /(n) (1) Satsuma (ancient province located in present-day Kagoshima prefecture)/(2) (abbr) sweet potato (Ipomoea batatas)/
薩摩の守 [さつまのかみ] /(n) traveling while deliberately not paying a fare (travelling)/
薩摩芋 [さつまいも] /(n) sweet potato (Ipomoea batatas)/(P)/
薩摩汁 [さつまじる] /(n) miso soup with pork or chicken (originally boned chicken chunks) with daikon, carrots, great burdock or sweet potatoes/meat chowder/
薩摩焼 [さつまやき] /(n) Satsuma porcelain/
薩摩閥 [さつまばつ] /(n) Satsuma clan/
薩摩琵琶 [さつまびわ] /(n) Satsuma biwa (or its music)/
薩摩揚げ [さつまあげ] /(n) deep-fried ball of fish paste/
雑 [ざつ] /(adj-na) (1) rough/crude/sloppy/messy/(n-pref,adj-no,n) (2) miscellaneous/(P)/
雑 [ぞう] /(n) miscellany (classification of Japanese poetry unrelated to the seasons or to love)/
雑い [ざつい] /(adj-i) (osb:) coarse/crude/
雑える [まじえる] /(v1,vt) (1) to mix/to combine/(2) to exchange (words, fire, etc.)/(3) to cross (e.g. swords)/to join together/
雑ざる [まざる] /(v5r,vi) to be mixed/to be blended with/to associate with/to mingle with/to join/
雑じる [まじる] /(v5r,vi) to be mixed/to be blended with/to associate with/to mingle with/to interest/to join/
雑ぜっ返す [まぜっかえす] /(v5s,vt) (1) to stir/to mix/(2) to banter/to make fun of (what a person says)/to stir up/to jeer at/to interfere (when one talks)/
雑ぜる [まぜる] /(v1,vt) to mix/to stir/to blend/
雑ぜ返す [まぜかえす] /(v5s,vt) (1) to stir/to mix/(2) to banter/to make fun of (what a person says)/to stir up/to jeer at/to interfere (when one talks)/
雑の部 [ざつのぶ] /(n) miscellany/
雑音 [ざつおん] /(n) noise (jarring, grating)/(P)/
雑音バースト信号 [ざつおんバーストしんごう] /(n) (comp) noise burst signal/
雑音除去 [ざつおんじょきょ] /(n) (comp) normal mode rejection/
雑歌 [ぞうか] /(n) miscellaneous poems/
雑貨 [ざっか] /(n) miscellaneous goods/general goods/sundries/(P)/
雑貨屋 [ざっかや] /(n) general store/
雑貨商 [ざっかしょう] /(n) general store/
雑貨店 [ざっかてん] /(n) general (variety) store (shop)/
雑学 [ざつがく] /(n) miscellaneous knowledge/
雑楽 [ざつがく] /(n) (arch) popular music/
雑株 [ざつかぶ] /(n) assorted stocks/
雑感 [ざっかん] /(n) miscellaneous impressions/
雑伎 [ざつぎ] /(n) performing arts/acrobatics/
雑記 [ざっき] /(n) miscellaneous notes/
雑記帳 [ざっきちょう] /(n) notebook/exercise book/
雑技 [ざつぎ] /(n) performing arts/acrobatics/
雑居 [ざっきょ] /(n,vs) (1) living together/mixed residence/sharing living quarters/(adj-f) (2) multi-tenant/community/(P)/
雑居ビル [ざっきょビル] /(n) multi-tenant building/building containing a number of businesses and shops/social building/
雑居地 [ざっきょち] /(n) mixed residential quarter/
雑魚 [ざこ] /(n) small fish/small fry/
雑魚 [じゃこ] /(n) small fish/small fry/
雑魚キャラクター [ざこキャラクター] /(n) inconsequential character in a game, anime, drama or manga/worthless character/mook/
雑魚寝 [ざこね] /(n,vs) sleeping together in a huddle/
雑曲 [ざっきょく] /(n) popular song/
雑巾 [ぞうきん] /(n) house-cloth/dust cloth/(P)/
雑巾がけ [ぞうきんがけ] /(n) mopping the floor/
雑巾掛け [ぞうきんかけ] /(n) mopping the floor/
雑巾掛け [ぞうきんがけ] /(n) mopping the floor/
雑巾摺 [ぞうきんずり] /(n) finishing board nailed where the floor boards meet the wall/(similar to) skirting, baseboards/
雑菌 [ざっきん] /(n) microorganisms/saprophyte/saprophytic bacteria/
雑沓 [ざっとう] /(n,vs) congestion/traffic jam/throng/hustle and bustle/
雑芸 [ざつげい] /(n) (1) various form of arts (e.g. acrobatics, magic, puppetery, sarugaku acrobatics performance)/(2) miscellaneous songs popular from the end of the Heian period to the Kamakura period/
雑芸 [ぞうげい] /(n) (1) various form of arts (e.g. acrobatics, magic, puppetery, sarugaku acrobatics performance)/(2) miscellaneous songs popular from the end of the Heian period to the Kamakura period/
雑件 [ざっけん] /(n) assorted matters/
雑言 [ぞうごん] /(n) foul language/abuse/
雑喉 [ざこ] /(n) small fish/small fry/
雑穀 [ざっこく] /(n) (1) assorted grains/cereals/(2) millet/
雑婚 [ざっこん] /(n) communal marriage/
雑砕 [ちゃぷすい] /(n) (food) (uk) chop suey/
雑作 [ぞうさ] /(n,vs) trouble/difficulty/
雑作 [ぞうさく] /(n,vs) (1) building (esp. a house)/(n) (2) house fixture/fitting/(3) facial features/
雑作もない [ぞうさもない] /(adj-i) no trouble/easy/
雑作も無い [ぞうさもない] /(adj-i) no trouble/easy/
雑纂 [ざっさん] /(n) miscellaneous collection/
雑紙 [ざつがみ] /(n) miscellaneous recyclable paper/recyclable paper other than old newspapers and carton boxes/
雑誌 [ざっし] /(n) journal/magazine/periodical/(P)/
雑誌記事 [ざっしきじ] /(n) magazine article/
雑誌記者 [ざっしきしゃ] /(n) magazine journalist/
雑誌社 [ざっししゃ] /(n) magazine (company)/
雑事 [ざつじ] /(n) miscellaneous matters/
雑時間 [ざつじかん] /(n) (comp) miscellaneous time/incidental time/
雑煮 [ぞうに] /(n) New Year dish/rice cakes cooked w. vegetables/(P)/
雑種 [ざっしゅ] /(n) hybrid/crossbreed/mongrel/
雑種強勢 [ざっしゅきょうせい] /(n,adj-no) heterosis/hybrid vigor/hybrid vigour/
雑種犬 [ざっしゅけん] /(n) mixed breed dog/
雑種細胞 [ざっしゅさいぼう] /(n) hybrid cell/
雑酒 [ざっしゅ] /(n) miscellaneous liquors/alcohol other than sake, shochu, mirin, beer, etc. (alcohol tax category)/
雑収入 [ざっしゅうにゅう] /(n) miscellaneous income/
雑収入 [ざつしゅうにゅう] /(n) miscellaneous income/
雑所得 [ざつしょとく] /(n) miscellaneous (sundry) incomes/
雑書 [ざっしょ] /(n) assorted books/
雑色 [ざっしき] /(n,adj-no) assorted colors/assorted colours/
雑色 [ざっしょく] /(n,adj-no) assorted colors/assorted colours/
雑色 [ぞうしき] /(n,adj-no) assorted colors/assorted colours/
雑食 [ざっしょく] /(adj-no,vs) omnivorous/
雑食性 [ざっしょくせい] /(n) (1) polyphagia/(adj-no) (2) omnivorous/polyphagous/
雑食動物 [ざっしょくどうぶつ] /(n) omnivore/omnivorous animal/
雑人 [ぞうにん] /(n) low-call people/
雑炊 [ぞうすい] /(n) rice gruel containing vegetables, fish, etc., and seasoned with miso or soy sauce/(P)/
雑性花 [ざっせいか] /(n) polygamous flower/
雑税 [ざつぜい] /(n) miscellaneous taxes/
雑節 [ざっせつ] /(n) standard days signifying the changing of the seasons (i.e. setsubun, higan, etc.)/
雑然 [ざつぜん] /(n,adj-t,adv-to) disorderliness/confusion/jumble/mess/
雑然とした [ざつぜんとした] /(adj-f) disorderly/promiscuous/
雑草 [ざっそう] /(n,adj-no) weed/(P)/
雑則 [ざっそく] /(n) miscellaneous rules/
雑損 [ざっそん] /(n) miscellaneous losses/
雑多 [ざった] /(adj-na,n,adj-no) miscellaneous/mixed/
雑題 [ざつだい] /(n) miscellaneous problems/miscellaneous subjects (themes)/
雑談 [ざつだん] /(n,vs) chatting/idle talk/(P)/
雑著 [ざっちょ] /(n) (1) writings on many different topics/(2) book that cannot be classified in any category/
雑踏 [ざっとう] /(n,vs) congestion/traffic jam/throng/hustle and bustle/(P)/
雑念 [ざつねん] /(n) idle thoughts/worldly thoughts/
雑嚢 [ざつのう] /(n) duffel bag/
雑俳 [ざっぱい] /(n) playful literature originating from haiku/
雑駁 [ざっぱく] /(adj-na,n) confusion/
雑費 [ざっぴ] /(n) miscellaneous expenses/
雑品 [ざっぴん] /(n) sundries/odds and ends/
雑布 [ぞうきん] /(iK) (n) house-cloth/dust cloth/
雑物 [ざつぶつ] /(n) miscellaneous things/
雑文 [ざつぶん] /(n) literary miscellany/
雑文家 [ざつぶんか] /(n) miscellanist/miscellaneous writer/
雑兵 [ぞうひょう] /(n) small fry/ordinary soldiers/rank and file/
雑報 [ざっぽう] /(n) general news/miscellaneous news/
雑報欄 [ざっぽうらん] /(n) general news column/
雑味 [ざつみ] /(n) bitterness or other unpleasant taste (that detracts from the flavour of a drink)/
雑務 [ざつむ] /(n) routine tasks or duties/
雑面 [ぞうめん] /(n) rectangular bugaku mask made of thick paper and white silk with facial features drawn on it/
雑木 [ざつぼく] /(n) various kinds of small trees/assorted trees/
雑木 [ぞうき] /(n) various kinds of small trees/assorted trees/
雑木 [ぞうぼく] /(n) various kinds of small trees/assorted trees/
雑木林 [ぞうきばやし] /(n) grove of mixed trees/copse/(P)/
雑木林 [ぞうぼくりん] /(n) grove of mixed trees/copse/
雑役 [ざつえき] /(n) chore/odd job/
雑役夫 [ざつえきふ] /(n) handyman/
雑役婦 [ざつえきふ] /(n) cleaning lady/
雑用 [ざつよう] /(n,adj-no) odd jobs/miscellaneous/other/etc./
雑録 [ざつろく] /(n) miscellaneous records/
雑話 [ざつわ] /(n,vs) chitchat/
雑徭 [ざつよう] /(n) forced labour (labor) imposed upon commoners (ritsuryo period)/
雑徭 [ぞうよう] /(n) forced labour (labor) imposed upon commoners (ritsuryo period)/
雑鬧 [ざっとう] /(n,vs) congestion/traffic jam/throng/hustle and bustle/
皐月 [さつき] /(n) (1) (obs) fifth month of the lunar calendar/(2) (uk) satsuki azalea (Rhododendron indicum)/
皐月鱒 [さつきます] /(n) (uk) satsukimasu salmon (subspecies of cherry salmon, Oncorhynchus masou ishikawae)/red-spotted masu salmon/amago/
鯖 [さば] /(n) (uk) mackerel (esp. the chub mackerel, Scomber japonicus)/
鯖を読む [さばをよむ] /(exp,v5m) to manipulate figures to one's advantage/to count wrongly on purpose/to inflate or deflate one's age/
鯖雲 [さばぐも] /(n) cirrocumulus cloud/
鯖折 [さばおり] /(n) forward force down (sumo)/
鯖折り [さばおり] /(n) forward force down (sumo)/
鯖節 [さばぶし] /(n) dried, smoked mackerel/shavings from dried, smoked mackerel/
捌 [はち] /(num) eight (used in legal documents)/
捌かす [はかす] /(v5s,vt) (1) to drain away/(2) to sell off/to dispose of/
捌き [さばき] /(n) judgment/judgement/decision/verdict/
捌く [さばく] /(v5k) to handle/to sell/
捌け [はけ] /(n) drainage/draining/
捌ける [さばける] /(v1,vi) to be in order/to sell well/to be sociable/to flow smoothly/
捌ける [はける] /(v1,vi) to be in order/to sell well/to be sociable/to flow smoothly/
捌け口 [さばけぐち] /(n) (1) outlet (e.g. for water or gas)/(2) market (for something)/(3) outlet (e.g. for excess energy)/vent (e.g. for emotions)/
捌け口 [はけぐち] /(n) (1) outlet (e.g. for water or gas)/(2) market (for something)/(3) outlet (e.g. for excess energy)/vent (e.g. for emotions)/
捌す [はかす] /(v5s,vt) (1) to drain away/(2) to sell off/to dispose of/
錆 [さび] /(n) rust/(P)/
錆び [さび] /(n) rust/
錆びつく [さびつく] /(v5k,vi) to rust together/
錆びる [さびる] /(v1,vi) to rust/to become rusty/(P)/
錆び錆び [さびさび] /(adj-no,n) (uk) rusted/rusty/
錆び付く [さびつく] /(v5k,vi) to rust together/
錆止め [さびどめ] /(n) rust-proofing/anti-corrosive/
錆色 [さびいろ] /(n,adj-no) rust (colour)/
錆付く [さびつく] /(v5k,vi) to rust together/
鮫 [さめ] /(n) shark/(P)/
鮫鞘 [さめざや] /(n) sharkskin scabbard/
鮫肌 [さめはだ] /(n) rough skin (like that of a shark)/
鮫肌井守 [さめはだいもり] /(n) (uk) rough-skinned newt (Taricha granulosa)/
鮫皮 [さめがわ] /(n) sharkskin/rough skin/
鮫膚 [さめはだ] /(n) rough skin (like that of a shark)/
皿 [さら] /(n) (1) plate/dish/platter/disc/(n,n-suf,ctr) (2) serving/helping/course/(n) (3) kanji radical 108 (at the bottom)/(P)/
皿うどん [さらうどん] /(n) Nagasaki dish of noodles with various toppings/
皿回し [さらまわし] /(n) plate-spinning trick/plate spinner/
皿洗い [さらあらい] /(n) washing-up/dish-washing/(P)/
皿洗い機 [さらあらいき] /(n) dish-washer (machine)/
皿秤 [さらばかり] /(n) balance/
皿饂飩 [さらうどん] /(n) Nagasaki dish of noodles with various toppings/
晒 [さらし] /(n) bleaching/bleached cotton/
晒し [さらし] /(n) bleaching/bleached cotton/
晒し飴 [さらしあめ] /(n) sweet rice jelly/(whitish) rice candy/
晒し者 [さらしもの] /(n) pilloried criminal exposed to public view/public scorn or humiliation/person shamed in front of others/
晒し首 [さらしくび] /(n) displaying a gibbeted head/gibbeted head/
晒し粉 [さらしこ] /(n) bleaching powder/
晒し木綿 [さらしもめん] /(n) bleached cotton cloth/
晒す [さらす] /(v5s,vt) (1) to expose (to the air, to the public, to danger, etc.)/(2) to bleach/to refine/(P)/
晒者 [さらしもの] /(n) pilloried criminal exposed to public view/public scorn or humiliation/person shamed in front of others/
晒首 [さらしくび] /(n) displaying a gibbeted head/gibbeted head/
晒木綿 [さらしもめん] /(n) bleached cotton cloth/
三 [さん] /(num) (1) three/(pref) (2) tri-/(P)/
三 [み] /(num) (1) three/(pref) (2) tri-/(P)/
三々九度 [さんさんくど] /(n) three-times-three exchange of nuptial cups/
三々五々 [さんさんごご] /(adv) in groups of twos and threes/in small groups/
三か年 [さんかねん] /(adj-pn) triennial/
三が日 [さんがにち] /(n) first three days of the New Year (January 1st to 3rd)/
三つ [みっつ] /(num) three/(P)/
三つどもえの戦い [みつどもえのたたかい] /(n) playoff for the tournament win in sumo with three wrestlers participating/
三つどもえの争い [みつどもえのあらそい] /(n) three-cornered battle/
三つ角 [みつかど] /(n) three corners/
三つ股 [みつまた] /(n) forked stick/
三つ口 [みつくち] /(n) (sens) harelip/cleft lip/
三つ叉 [みつまた] /(n,adj-no) three-pronged (fork)/
三つ子 [みつご] /(n) (1) three-year-old/(2) triplets/
三つ子の魂百まで [みつごのたましいひゃくまで] /(exp) the child is father to the man/lit: the soul of a child of three (is the same) at 100/
三つ子の魂百迄 [みつごのたましいひゃくまで] /(exp) (id) As the twig is bent, so grows the tree/
三つ指 [みつゆび] /(n) bowing while pressing three fingers of each hand on floor/
三つ身 [みつみ] /(n) toddler clothes (by children after age 3, before age 5)/baby clothes/
三つ折 [みつおり] /(n) threefold/folded in three/
三つ折り [みつおり] /(n) threefold/folded in three/
三つ組 [みつぐみ] /(n) set of three/
三つ揃い [みつぞろい] /(n) three-piece suit/
三つ鼎 [みつがなえ] /(n,vs) three people sitting in a triangle/
三つ巴 [みつどもえ] /(n) (1) 3 fat-comma shapes arranged to form a circle/(2) (abbr) 3-way struggle (wrestling, etc.)/
三つ巴の戦い [みつどもえのたたかい] /(n) playoff for the tournament win in sumo with three wrestlers participating/
三つ巴の争い [みつどもえのあらそい] /(n) three-cornered battle/
三つ巴戦 [みつどもえせん] /(n) playoff for the tournament win in sumo with three wrestlers participating/
三つ半 [みつばん] /(n) three-stroke alarm/
三つ編み [みつあみ] /(n) braid (hair, cord. etc.)/plait/
三つ又 [みつまた] /(n,adj-no) three-pronged (fork)/
三つ紋 [みつもん] /(n) triple family crest/
三つ葉 [みつば] /(n) honeywort/wild chervil/
三の丸 [さんのまる] /(n) outermost region of the castle/
三の鼓 [さんのつづみ] /(n) hourglass drum used in Nara-period court music/
三の糸 [さんのいと] /(n) third string (of a shamisen, etc.)/
三の焦 [みのわた] /(n) san jiao (triple heater; functional metabolic organ in Chinese medicine)/
三カ年 [さんかねん] /(adj-pn) triennial/
三ヵ年 [さんかねん] /(adj-pn) triennial/
三ヶ年 [さんかねん] /(adj-pn) triennial/
三悪 [さんあく] /(n) (1) (Buddh) (abbr) the world of hungry spirits and the world of animals/three evil worlds hell/(2) three evils (e.g. prostitution, drugs and venereal diseases)/
三悪 [さんなく] /(n) (1) (Buddh) (abbr) the world of hungry spirits and the world of animals/three evil worlds hell/
三悪 [さんまく] /(n) (1) (Buddh) (abbr) the world of hungry spirits and the world of animals/three evil worlds hell/
三悪趣 [さんあくしゅ] /(n) (Buddh) the world of hungry spirits and the world of animals/three evil worlds hell/
三悪趣 [さんなくしゅ] /(n) (Buddh) the world of hungry spirits and the world of animals/three evil worlds hell/
三悪趣 [さんまくしゅ] /(n) (Buddh) the world of hungry spirits and the world of animals/three evil worlds hell/
三悪道 [さんあくどう] /(n) (Buddh) the world of hungry spirits and the world of animals/three evil worlds hell/
三悪道 [さんなくどう] /(n) (Buddh) the world of hungry spirits and the world of animals/three evil worlds hell/
三悪道 [さんまくどう] /(n) (Buddh) the world of hungry spirits and the world of animals/three evil worlds hell/
三位 [さんい] /(n,adj-no) third place/third rank/
三位 [さんみ] /(n,adj-no) third place/third rank/
三位一体 [さんみいったい] /(n,adj-no) the Trinity/
三囲 [みつい] /(n) Mitsui (company)/
三尉 [さんい] /(n) second lieutenant (JSDF)/
三易 [さんえき] /(n) three methods of Chinese divination (Lian Shan of the Xia period, Gui Cang of the Yin period and Zhou Yi of the Zhou period)/
三井財閥 [みついざいばつ] /(n) Mitsui Zaibatsu/
三井寺芥虫 [みいでらごみむし] /(n) (uk) Pheropsophus jessoensis (species of bombardier beetle)/
三井寺歩行虫 [みいでらごみむし] /(n) (uk) Pheropsophus jessoensis (species of bombardier beetle)/
三井住友 [みついすみとも] /(n) Mitsui Sumitomo/Sumitomo Mitsui/
三育 [さんいく] /(n) education of the head and hand and heart/
三羽烏 [さんばがらす] /(n) trio/triumvirate/three famous retainers/
三浦折り [みうらおり] /(n) Miura map fold/special technique for folding used on some solar panel arrays/
三益友 [さんえきゆう] /(n) (arch) three kinds of good friends (honest, sincere, and knowledgeable)/
三越 [みつこし] /(n) Mitsukoshi (department store)/(P)/
三猿 [さんえん] /(n) three wise monkeys (who "see no evil, hear no evil, and speak no evil")/
三猿 [さんざる] /(n) three wise monkeys (who "see no evil, hear no evil, and speak no evil")/
三猿主義 [さんえんしゅぎ] /(n) the principle (philosophy) of see no evil, hear no evil, speak no evil/the policy of "see-not, hear-not, and speak-not"/
三王礼拝 [さんおうれいはい] /(n) Adoration of the Magi/
三温糖 [さんおんとう] /(n) dark sweet liquid produced after the third heating in a thermal sugar-refining process/
三下 [さんした] /(n) underling/
三下り半 [みくだりはん] /(n) letter of divorce/
三下奴 [さんしたやっこ] /(n) petty underling/
三下半 [みくだりはん] /(n) letter of divorce/
三化螟蛾 [さんかめいが] /(n) (uk) yellow stem borer (species of moth, Scirpophaga incertulas)/
三夏 [さんか] /(n) three summer months/
三家 [さんけ] /(n) (1) three noble families (Kan'in, Kazan'in, and Nakanoin or Koga)/(2) three branch Tokugawa families (Owari, Kii, and Mito)/
三河万歳 [みかわまんざい] /(n) style of manzai originating in the Mikawa region in Aichi prefecture/
三河萬歳 [みかわまんざい] /(n) style of manzai originating in the Mikawa region in Aichi prefecture/
三箇日 [さんがにち] /(n) first three days of the New Year (January 1st to 3rd)/
三箇年 [さんかねん] /(adj-pn) triennial/
三回 [さんかい] /(n) three times/
三回忌 [さんかいき] /(n) second anniversary of a death/
三回生 [さんかいせい] /(n) third year (college) student/junior/
三界 [さんがい] /(n) past, present and future existences/
三界流転 [さんがいるてん] /(n) endless cycle of rebirth through the three worlds of past, present, and future existences (Buddhist)/
三階 [さんかい] /(n) third floor/
三階 [さんがい] /(n) third floor/
三角 [さんかく] /(n) triangle/triangular/(P)/
三角コーナー [さんかくコーナー] /(n) triangular sink tidy (usu. used to strain waste)/
三角縁神獣鏡 [さんかくぶちしんじゅうきょう] /(n) triangular rimmed ancient mirror decorated with gods and animals/
三角貝 [さんかくがい] /(n) (uk) trigoniid (any clam of family Trigoniidae)/
三角関係 [さんかくかんけい] /(n,adj-no) love triangle/eternal triangle/
三角関数 [さんかくかんすう] /(n) trigonometric function/
三角旗 [さんかくき] /(n) triangular pennant/
三角巾 [さんかくきん] /(n) triangle bandage/
三角琴 [さんかくごと] /(n) trigon (a musical instrument)/
三角筋 [さんかくきん] /(n) deltoid (muscle)/
三角形 [さんかくけい] /(n,adj-no) triangle/three-cornered polygon/(P)/
三角形 [さんかっけい] /(n,adj-no) triangle/three-cornered polygon/
三角形集合 [さんかくけいしゅうごう] /(n) (comp) triangle set/
三角系異常 [さんかくけいいじょう] /(n) (math) triangle anomaly/
三角座 [さんかくざ] /(n) (constellation) Triangle/
三角州 [さんかくす] /(n) delta/
三角洲 [さんかくす] /(n) delta/
三角錐 [さんかくすい] /(n) triangular pyramid/
三角草 [みすみそう] /(n) (uk) hepatica (Hepatica nobilis var. japonica)/liverleaf/
三角測量 [さんかくそくりょう] /(n) triangulation/
三角柱 [さんかくちゅう] /(n) triangular prism/
三角定規 [さんかくじょうぎ] /(n) triangles (used in mechanical drawing)/set square/
三角点 [さんかくてん] /(n) triangulation point/
三角闘争 [さんかくとうそう] /(n) three-cornered fight/
三角波 [さんかくなみ] /(n) choppy sea/chopping waves/
三角波 [さんかくは] /(n) choppy sea/chopping waves/
三角柏 [みつのかしわ] /(n) (arch) leaves used for serving or offering sake, rice, etc./
三角柏 [みつのがしわ] /(n) (arch) leaves used for serving or offering sake, rice, etc./
三角柏 [みづのかしわ] /(n) (arch) leaves used for serving or offering sake, rice, etc./
三角函数 [さんかくかんすう] /(n) trigonometrical function/
三角帆 [さんかくほ] /(n) jib sail/
三角比 [さんかくひ] /(n) trigonometric ratio/
三角布 [さんかくきん] /(iK) (n) triangle bandage/
三角法 [さんかくほう] /(n) trigonometry/
三角帽 [さんかくぼう] /(n) three-cornered hat/tricorne/
三角帽子 [さんかくぼうし] /(n) three-cornered hat/tricorne/
三角貿易 [さんかくぼうえき] /(n) trilateral trade/
三角木馬 [さんかくもくば] /(n) ridged wooden bench used in SM practices (and in the Edo period for torturing female prisoners)/
三角翼 [さんかくよく] /(n) delta wing/
三角竜 [さんかくりゅう] /(n) (obsc) triceratops (dinosaur)/
三角槭 [さんかくかえで] /(n) trident maple (tree) (Acer buergerianum)/
三革 [さんかく] /(n) (1) (obsc) armor, helmet & shield (armour)/(2) kakurei, kakuun & kakumei (first, fifth and fifty-eighth years of the sexagenary cycle; times of civil unrest according to onmyou-dou)/
三掛 [さんがい] /(n) headstall, martingale, and crupper/
三割自治 [さんわりじち] /(n) the "thirty-percent autonomy" of local governments/
三冠王 [さんかんおう] /(n) winner of triple crown (baseball)/
三冠馬 [さんかんば] /(n) winner of Japan's three main horse races/(P)/
三寒四温 [さんかんしおん] /(n) alternation of three cold and four warm days/
三環系抗うつ剤 [さんかんけいこううつざい] /(n) tricyclic antidepressant/
三環系抗うつ薬 [さんかんけいこううつやく] /(n) tricyclic antidepressant/
三竿 [さんかん] /(n) broad daylight/
三韓 [さんかん] /(n) (obs) Korea/
三韓出兵 [さんかんしゅっぺい] /(n) (obsc) legendary military invasion of Korea in the 3rd century/
三韓征伐 [さんかんせいばつ] /(n) (arch) legendary military invasion of Korea in the 3rd century/
三岐代表 [さんぎだいひょう] /(n) representative of Gifu and Mie prefectures/
三貴子 [みはしらのうずのみこ] /(n) the three main Shinto gods: Amaterasu Omikami, Tsukuyomi no Mikoto and Susano-o no Mikoto/three precious children/
三脚 [さんきゃく] /(n,adj-no) tripod/three legs/
三脚椅子 [さんきゃくいす] /(n) a three-legged stool/
三脚架 [さんきゃくか] /(n) tripodal frame/
三宮 [さんぐう] /(n) (obsc) Grand Empress Dowager, the Empress Dowager and the Empress Consort/
三球三振 [さんきゅうさんしん] /(n) fanned on three pitches/
三級 [さんきゅう] /(adj-na) third grade/third class/tertiary/
三卿 [さんきょう] /(n) three secondary Tokugawa branch families (Tayasu, Shimizu, and Hitotsubashi)/
三強 [さんきょう] /(n) top three/
三教 [さんきょう] /(n) Shinto and Buddhism and Confucianism/
三業 [さんぎょう] /(n) the three entertainment district enterprises: eating houses, geisha houses, accommodation houses/
三業 [さんごう] /(n) (Buddh) three activities (action, speech and thought)/
三業地 [さんぎょうち] /(n) licensed red-light quarters/
三曲 [さんきょく] /(n) instrumental trio/
三筋琉球雀鯛 [みすじりゅうきゅうすずめだい] /(n) (uk) whitetail dascyllus (Dascyllus aruanus, species of damselfish from the Indo- West Pacific)/humbug dascyllus/banded dascyllus/white-tailed damselfish/
三具足 [みつぐそく] /(n) (Buddh) three implements for worship (incense burner, flower vase and candle-stand)/
三軍 [さんぐん] /(n,adj-no) great army/mighty host/whole army/
三景 [さんけい] /(n) three famous beauty spots/
三繋 [さんがい] /(n) headstall, martingale, and crupper/
三軽 [さんけい] /(n) three famous beauty spots/
三桁 [みけた] /(n) three-digit number/hundreds column/
三月 [さんがつ] /(n-adv) March/(P)/
三月 [みつき] /(n) three months/
三月の節句 [さんがつのせっく] /(n) Girls' Festival (March 3rd)/Dolls' Festival/
三月革命 [さんがつかくめい] /(n) (1) March Revolution (Austria and Germany, 1848)/(2) February Revolution (Russia, 1917)/
三月尽 [さんがつじん] /(n) last day of March/last day of the third lunar month (marking the end of spring)/
三懸 [さんがい] /(n) headstall, martingale, and crupper/
三権 [さんけん] /(n) the three powers of government (legislative, executive and judicial)/(P)/
三権分立 [さんけんぶんりつ] /(n) separation of powers (legislative, executive and judicial)/
三元色 [さんげんしょく] /(iK) (n) three primary colors (colours)/trichromatic/
三元牌 [さんげんぱい] /(n) dragon tiles (mah-jongg)/
三原色 [さんげんしょく] /(n) three primary colors (colours)/trichromatic/
三弦 [さんげん] /(n) three-stringed instrument/samisen/
三絃 [さんげん] /(n) three-stringed instrument/samisen/
三言 [みこと] /(n) three words/
三狐神 [さぐじ] /(n) (1) any god of foodstuffs/(2) Uka-no-Mitama (god of rice)/
三狐神 [みけつかみ] /(n) (1) any god of foodstuffs/(2) Uka-no-Mitama (god of rice)/
三股 [さんまた] /(n) forked stick/
三顧の礼 [さんこのれい] /(n) special confidence (in someone)/
三鼓 [さんこ] /(n) (1) (obsc) the three types of gagaku drums/(2) (arch) third division of the night (approx. 11 pm to 1 am)/
三光 [さんこう] /(n) (in hanafuda) a collection of three non-rain light cards/
三光作戦 [さんこうさくせん] /(n) Three Alls Strategy/Three Lights Strategy (Japanese scorched earth policy during the second Sino-Japanese War)/
三光鳥 [さんこうちょう] /(n) (uk) Japanese paradise flycatcher (Terpsiphone atrocaudata)/
三公 [さんこう] /(n) three lords (highest ranking officials in the old Imperial Chinese or Japanese governments)/
三后 [さんこう] /(n) Grand Empress Dowager, the Empress Dowager and the Empress Consort/
三更 [さんこう] /(n) third watch of the night (approx. 11 pm to 1 am)/
三校 [さんこう] /(n) third proof/
三校終了 [さんこうしゅうりょう] /(n) third and final proof/
三皇五帝 [さんこうごてい] /(n) Three Sovereigns and Five Emperors (mythological rulers of ancient China)/
三皇后 [さんこうごう] /(n) (obsc) Grand Empress Dowager, the Empress Dowager and the Empress Consort/
三綱 [さんこう] /(n) three bonds (in Confucianism: master & servant, father & son, husband & wife)/
三綱 [さんごう] /(n) (Buddh) three monastic positions with management roles at a temple/
三行広告 [さんぎょうこうこく] /(n) three-line classified advertisement/
三行広告欄 [さんぎょうこうこくらん] /(n) classified ads/
三行半 [さんぎょうはん] /(n) 3 lines and a half/
三行半 [みくだりはん] /(n) letter of divorce/
三項演算子 [さんこうえんざんし] /(n) ternary operator/conditional operator/
三号雑誌 [さんごうざっし] /(n) short-lived magazine/
三合会 [さんごうかい] /(n) Triad (secret Chinese society usually associated with organized crime)/
三国 [さんごく] /(n) (1) three countries/(2) Japan, China & India/Japan, Korea & China/all the world/(3) Three Kingdoms (of ancient China: Wei, Shu, Wu)/(P)/
三国一 [さんごくいち] /(n) unparalleled in Japan and China and India (unparallelled)/
三国干渉 [さんごくかんしょう] /(n) Triple Intervention (diplomatic intervention by Russia, Germany and France over the terms of the Treaty of Shimonoseki)/
三国志 [さんごくし] /(n) Annals of the Three Kingdoms/
三国時代 [さんごくじだい] /(n) (1) Three Kingdoms period (of Chinese history, 220-280 CE)/(2) Three Kingdoms period (of Korean history, 4th-7th centuries CE)/
三国人 [さんこくじん] /(ik) (n) (1) national of a third country/(2) (sens) foreigner (esp. Chinese and Korean) resident in Japan/
三国人 [さんごくじん] /(n) (1) national of a third country/(2) (sens) foreigner (esp. Chinese and Korean) resident in Japan/
三国同盟 [さんごくどうめい] /(n) triple alliance/
三混 [さんこん] /(n) (abbr) combined vaccination for diphtheria, pertussis (whooping cough) and tetanus/
三佐 [さんさ] /(n) major (JSDF)/
三叉 [さんさ] /(n,adj-no) three-pronged (fork)/
三叉 [みつまた] /(n,adj-no) three-pronged (fork)/
三叉神経 [さんさしんけい] /(n,adj-no) trigeminal nerve/
三叉神経痛 [さんさしんけいつう] /(n) trigeminal neuralgia/
三叉路 [さんさろ] /(n) three-forked road/junction of three roads/
三差路 [さんさろ] /(n) three-forked road/junction of three roads/
三才 [さんさい] /(n) the three powers: heaven, earth and man/
三災 [さんさい] /(n) the three calamities: fire, flood and storm/
三三九度 [さんさんくど] /(n) three-times-three exchange of nuptial cups/
三三五五 [さんさんごご] /(adv) in groups of twos and threes/in small groups/
三酸 [さんさん] /(pref,adj-no) (chem) triacid/
三酸化クロム [さんさんかクロム] /(n) chromic anhydride (CrO3)/
三酸化硫黄 [さんさんかいおう] /(n) sulfur trioxide (SO3)/
三士 [さんし] /(n) recruit (JSDF)/
三思 [さんし] /(n,vs) deep reflection/
三指鴎 [みつゆびかもめ] /(n) black-legged kittiwake/
三指樹懶 [みゆびなまけもの] /(n) (uk) three-toed sloth/
三死 [さんし] /(n) three outs/
三時 [さんじ] /(n-adv) (1) 3 o'clock/(2) 3 o'clock snack/(P)/
三時のおやつ [さんじのおやつ] /(exp) afternoon refreshment/afternoon tea/
三時のお八つ [さんじのおやつ] /(exp) afternoon refreshment/afternoon tea/
三次 [さんじ] /(n) three times/cubic/(P)/
三次の多項式 [さんじのたこうしき] /(n) (comp) third order polynomial/
三次元 [さんじげん] /(n) three dimensions/three dimensional/3D/3-D/
三次元映画 [さんじげんえいが] /(n) (obsc) 3D movie/
三軸 [さんじく] /(n) triaxial/
三軸圧縮試験 [さんじくあっしゅくしけん] /(n) triaxial compression test/
三軸圧縮試験機 [さんじくあっしゅくしけんき] /(n) triaxial compression apparatus/
三軸試験 [さんじくしけん] /(n) triaxial test/
三軸室 [さんじくしつ] /(n) triaxial cell/
三七人参 [さんしちにんじん] /(n) notoginseng (Panax pseudoginseng)/
三七日 [さんしちにち] /(n) 21st day after death/21st day after birth/
三七日 [みなぬか] /(n) 21st day after death/21st day after birth/
三七日 [みなのか] /(n) 21st day after death/21st day after birth/
三舎 [さんしゃ] /(n) (arch) (in the ancient Chinese army) three days' march (approx. 36.5 km)/
三舎を避ける [さんしゃをさける] /(exp,v1) to keep one's distance from someone (due to fear or because that person is superior)/
三社祭 [さんじゃまつり] /(n) Sanja Festival (Asakusa Shrine in Tokyo; third weekend of May)/
三者 [さんしゃ] /(n) three persons/three parties/(P)/
三者会談 [さんしゃかいだん] /(n) three-cornered conversation/
三者三様 [さんしゃさんよう] /(n) each of the three being different from the other two/each of the three having his (her) own way/
三者対立 [さんしゃたいりつ] /(n) three-cornered competition/
三者通話機能 [さんしゃつうわきのう] /(n) (comp) three way calling/
三者鼎立 [さんしゃていりつ] /(n) three parties (forces) opposing one another/three-cornered contest/
三者凡退 [さんしゃぼんたい] /(n) out in 1-2-3 order (baseball)/
三者面談 [さんしゃめんだん] /(n) parent and child meeting (with teacher for course, career guidance, etc.)/
三尺 [さんじゃく] /(n) 3 Japanese feet/waistband/belt/cloth girdle/
三尺さがって師の影を踏まず [さんじゃくさがってしのかげをふまず] /(exp) a student must never forget to honor their teacher (honour)/
三尺の秋水 [さんじゃくのしゅうすい] /(n) sharpened sword/
三尺の童子 [さんじゃくのどうじ] /(n) mere child/
三尺下がって師の影を踏まず [さんじゃくさがってしのかげをふまず] /(exp) a student must never forget to honor their teacher (honour)/
三尺去って師の影を踏まず [さんじゃくさってしのかげをふまず] /(exp) a student must never forget to honor their teacher (honour)/
三尺帯 [さんじゃくおび] /(n) waistband/belt/cloth girdle/obi/
三手楓 [みつでかえで] /(n) (uk) ivy-leaved maple (Acer cissifolium)/
三種 [さんしゅ] /(n) three kinds/three varieties/(P)/
三種の神器 [さんしゅのじんぎ] /(n) (1) the Three Sacred Treasures (Mirror, Sword and Jewels)/(2) the three essential status symbols (e.g. cellphone, PC, digital camera)/
三種混合 [さんしゅこんごう] /(n) combined vaccination for diphtheria, pertussis (whooping cough) and tetanus/
三秋 [さんしゅう] /(n) three autumn months/three fall months/three years/
三秋の思い [さんしゅうのおもい] /(n) longing for loved ones/
三十 [さんじゅう] /(num) thirty/(P)/
三十 [みそ] /(num) thirty/
三十戸 [さんじっこ] /(n) thirty houses/
三十三才 [ささぎ] /(ok) (n) (uk) winter wren (Troglodytes troglodytes)/
三十三才 [さざい] /(ok) (n) (uk) winter wren (Troglodytes troglodytes)/
三十三才 [さざき] /(ok) (n) (uk) winter wren (Troglodytes troglodytes)/
三十三才 [しょうりょう] /(ok) (n) (uk) winter wren (Troglodytes troglodytes)/
三十三才 [みそさざい] /(gikun) (n) (uk) winter wren (Troglodytes troglodytes)/
三十三才 [みそさんざい] /(ok) (n) (uk) winter wren (Troglodytes troglodytes)/
三十三所 [さんじゅうさんしょ] /(n) any of a number of sets of thirty-three holy places enshrining Avalokitesvara (esp. those comprising a popular pilgrimage in the Kinki region)/
三十二分音符 [さんじゅうにぶおんぷ] /(n) 32nd note/
三十日 [さんじゅうにち] /(n) (1) 30 days/(2) 30th/the thirtieth of the month/
三十日 [みそか] /(n) last day of the month/(P)/
三十日蕎麦 [みそかそば] /(n) soba eaten at the end of the month (esp. at the end of the year)/
三十年戦争 [さんじゅうねんせんそう] /(n) the Thirty Years' War/
三十八度線 [さんじゅうはちどせん] /(n) the Thirty-eighth Parallel/(P)/
三十番神 [さんじゅうばんじん] /(n) the thirty guardian deities (a different one for each day)/
三十路 [みそじ] /(n) age thirty/one's thirties/
三十六計 [さんじゅうろっけい] /(n) the 36 (ancient Chinese military) strategies (of which the last resort was said to be beating a retreat)/
三十六計逃げるにしかず [さんじゅうろっけいにげるにしかず] /(exp) the smartest thing in a tight situation is to beat a retreat/
三十六計逃げるに如かず [さんじゅうろっけいにげるにしかず] /(exp) the smartest thing in a tight situation is to beat a retreat/
三十六字母 [さんじゅうろくじぼ] /(n) 36 Initials (system for transcribing initial consonants of Middle Chinese)/
三重 [さんじゅう] /(n) triple/treble/threefold/three-ply/triplicate/(P)/
三重冠 [さんじゅうかん] /(n) (papal) triple tiara/
三重苦 [さんじゅうく] /(n) triple handicap/
三重結び [さんじゅうむすび] /(n) magnus hitch/
三重結合 [さんじゅうけつごう] /(n) (chem) triple bond/
三重県 [みえけん] /(n) Mie prefecture (Kinki area)/
三重殺 [さんじゅうさつ] /(n) triple play/
三重唱 [さんじゅうしょう] /(n) vocal trio/
三重焦点 [さんじゅうしょうてん] /(n) trifocal/
三重水素 [さんじゅうすいそ] /(n) tritium/
三重奏 [さんじゅうそう] /(n) instrumental trio/
三重塔 [さんじゅうのとう] /(n) three-storied pagoda/
三重盗 [さんじゅうとう] /(n) triple steal (baseball)/
三重母音 [さんじゅうぼいん] /(n) triphthong/
三重宝冠 [さんじゅうほうかん] /(n) (papal) triple tiara/
三春 [さんしゅん] /(n) three spring months/
三所攻め [みところぜめ] /(n) triple attack force out (sumo)/
三助 [さんすけ] /(n) male bathhouse attendant/
三女 [さんじょ] /(n) third daughter/(P)/
三唱 [さんしょう] /(n,vs) 3 cheers/singing three times/
三焦 [さんしょう] /(n) san jiao (triple heater; functional metabolic organ in Chinese medicine)/
三焦 [みのわた] /(n) san jiao (triple heater; functional metabolic organ in Chinese medicine)/
三省 [さんしょう] /(n) (1) three ministries (under the ritsuryo system: Ministries of Civil Services, Health & War)/(2) three departments (in Tang-dynasty China: Secretariat, Chancellory & Dept. of State Affairs)/
三省 [さんせい] /(n,vs) frequent reflection (meditation)/(P)/
三賞 [さんしょう] /(n) three special awards for sumo wrestlers at the end of a tournament/
三乗 [さんじょう] /(n,vs) (math) cube/
三乗根 [さんじょうこん] /(n) cube root/
三畳紀 [さんじょうき] /(n) Triassic (geol.)/
三色 [さんしょく] /(n,adj-no) three colours/three colors/
三色スミレ [さんしきスミレ] /(n) heartsease (wild pansy, Viola tricolor)/
三色スミレ [さんしょくスミレ] /(n) heartsease (wild pansy, Viola tricolor)/
三色印刷法 [さんしょくいんさつほう] /(n) three-color process/three-colour process/
三色旗 [さんしょくき] /(n) tricolour flag/tricolor flag/
三色旗 [さんしょっき] /(n) tricolour flag/tricolor flag/
三色版 [さんしょくばん] /(n) three-color printing (red and yellow and blue)/three-colour printing/
三色菫 [さんしきすみれ] /(n) heartsease (wild pansy, Viola tricolor)/
三色菫 [さんしょくすみれ] /(n) heartsease (wild pansy, Viola tricolor)/
三食 [さんしょく] /(n) three meals (a day)/
三食賄い付き [さんしょくまかないつき] /(adj-no) with three meals served/
三伸 [さんしん] /(n) second postscript/
三振 [さんしん] /(n,vs) strike out (baseball)/fanning out/(P)/
三振法 [さんしんほう] /(n) three strikes law (US)/
三親等 [さんしんとう] /(n) kinsman of the third degree (of consanguinity)/
三身 [さんしん] /(n) (Buddh) trikaya (three bodies of the Buddha)/
三身 [さんじん] /(n) (Buddh) trikaya (three bodies of the Buddha)/
三人 [さんにん] /(n) three people/(P)/
三人 [みたり] /(n) three people/
三人寄れば文殊の知恵 [さんにんよればもんじゅのちえ] /(exp) two heads are better than one/
三人殺し [さんにんころし] /(n) triple murder/
三人殺し [さんにんごろし] /(n) triple murder/
三人称 [さんにんしょう] /(n) (ling) third person/
三人称代名詞 [さんにんしょうだいめいし] /(n) (ling) third person pronoun/
三人称単数 [さんにんしょうたんすう] /(n) (ling) third person singular/
三人称単数現在 [さんにんしょうたんすうげんざい] /(n) (ling) third person singular present/
三人乗り [さんにんのり] /(n) three people on the same vehicle (usu. bike)/
三人組 [さんにんぐみ] /(n) trio/gang of three/threesome/
三水 [さんずい] /(n) kanji water radical ("sanzui")/
三寸 [さんずん] /(n,adj-no) eloquent/
三寸の舌 [さんずんのした] /(n) eloquent tongue/
三世 [さんせい] /(n) children of nisei/3rd generation in US/
三世 [さんぜ] /(n) past and present and future existences/
三世因果 [さんぜいんが] /(n) retribution spanning the threes temporal worlds (the present, the past, and the future)/
三世諸仏 [さんぜしょぶつ] /(n) all buddhas of past, present & future/
三世相 [さんぜそう] /(n) the Book of Divination/
三聖 [さんせい] /(n) (1) any of a number of lists of three enlightened men, including (but not limited to): Buddha, Confucius and Christ/(2) Lao-tzu, Confucius and Buddha/(3) Fu Xi, King Wen and Confucius/(4) Yao, Shun and Yu/(5) Yu, the Duke of Zhou, Confucius/
三節棍 [さんせつこん] /(n) three-section staff/
三仙叉 [さんせんさ] /(n) (MA) trident dagger/
三千 [さんぜん] /(n) (1) 3000/(2) many/(P)/
三千世界 [さんぜんせかい] /(n) the whole world/the universe/
三尖弁 [さんせんべん] /(n) tricuspid valve/
三線 [さんしん] /(n) (1) Okinawan traditional three-stringed instrument; precursor to the shamisen/
三線 [さんせん] /(n) (1) shamisen/
三選 [さんせん] /(n) third-term election/(P)/
三遷 [さんせん] /(n) (1) thrice moving from house to house/(2) (abbr) the importance of creating an environment conducive to a child's learning/
三遷の教え [さんせんのおしえ] /(exp) the importance of creating an environment conducive to a child's learning/
三組 [さんくみ] /(n) set of three/three sets/three classes/
三組 [みくみ] /(n) set of three/three sets/three classes/
三曹 [さんそう] /(n) sergeant (JSDF)/
三相 [さんそう] /(n,adj-no) three phases/
三相交流 [さんそうこうりゅう] /(n) three-phase alternating current/
三蔵 [さんぞう] /(n) three branches of Buddhist sutras/
三族 [さんぞく] /(n) three types of relatives (e.g, father, children and grandchildren; parents, siblings, wife and children; etc.)/
三族の罪 [さんぞくのつみ] /(n) (obsc) crime for which one's three types of relatives will be punished/crime implicating one's relatives of all three types/
三尊仏 [さんぞんぶつ] /(n) image of the three honorable (honourable) ones/
三損友 [さんそんゆう] /(n) (arch) three kinds of bad friends (sycophantic, insincere, and glib)/
三体 [さんたい] /(n) the three character styles: square and semicursive and grass/
三態 [さんたい] /(n) the three phases of matter: solid, liquid and gas/
三代 [さんだい] /(n) (1) three generations/three periods/(2) third generation/(P)/
三代実録 [さんだいじつろく] /(n) (abbr) Sandai Jitsuroku (sixth of the six classical Japanese history texts)/
三大 [さんだい] /(pref) the big three .../
三大国 [さんだいこく] /(n) the Big Three (countries)/
三大疾病 [さんだいしっぺい] /(n) three major diseases (cancer, cerebral stroke, acute myocardial infarction)/
三大節 [さんだいせつ] /(n) the three grand national holidays (Prayer to the Four Quarters, Empire Day, the Emperor's Birthday; pre-1927)/
三大都市 [さんだいとし] /(n) the three largest cities/
三大洋 [さんたいよう] /(n) (obsc) three great oceans (Pacific, Atlantic & Indian)/
三嘆 [さんたん] /(n,vs) praise/admiration/repeatedly crying/
三段構え [さんだんかまえ] /(n) triple/three-way/threefold/
三段構え [さんだんがまえ] /(n) triple/three-way/threefold/
三段跳 [さんだんとび] /(n) triple jump/hop, step and jump/
三段跳び [さんだんとび] /(n) triple jump/hop, step and jump/
三段目 [さんだんめ] /(n) third lowest division in sumo/
三段目格 [さんだんめかく] /(n) referee officiating the third lowest sumo division/
三段論法 [さんだんろんぽう] /(n,adj-no) (ling) syllogism/
三男 [さんなん] /(n) three men/third son/(P)/
三柱の神 [みはしらのかみ] /(n) the three main Shinto gods: Amaterasu Omikami, Tsukuyomi no Mikoto and Susano-o no Mikoto/three precious children/
三柱門 [みはしらもん] /(n) wicket (e.g. in cricket)/castle/stumps/
三鳥 [さんちょう] /(n) (1) (arch) cuckoo, Japanese bush warbler & wagtail/(2) (food) chicken, goose & pheasant/
三鳥派 [さんちょうは] /(n) Sancho Sect (of the Fuji School of Nichiren Buddhism; 1661-1673 CE)/
三直 [さんちょく] /(n) out on a third-base liner/
三諦 [さんたい] /(n) (Buddh) (in Tendai) threefold truth (all things are void; all things are temporary; all things are in the middle state between these two)/
三諦 [さんだい] /(n) (Buddh) (in Tendai) threefold truth (all things are void; all things are temporary; all things are in the middle state between these two)/
三途の河 [さんずのかわ] /(n) (Buddh) Sanzu River (Buddhist equivalent of the River Styx)/
三途の川 [さんずのかわ] /(n) (Buddh) Sanzu River (Buddhist equivalent of the River Styx)/
三度 [さんど] /(n) (1) three times/thrice/(2) third (musical interval)/(P)/
三度 [みたび] /(n) (1) three times/thrice/(adv) (2) several times/often/frequently/
三度のめしよりすき [さんどのめしよりすき] /(exp) very fond of/more fond of than eating/lit: more important than three meals a day/so fond of that someone would rather not eat than go without/
三度のめしより好き [さんどのめしよりすき] /(exp) very fond of/more fond of than eating/lit: more important than three meals a day/so fond of that someone would rather not eat than go without/
三度の飯より好き [さんどのめしよりすき] /(exp) very fond of/more fond of than eating/lit: more important than three meals a day/so fond of that someone would rather not eat than go without/
三度の和音 [さんどのわおん] /(n) common chord/triad/
三度笠 [さんどがさ] /(n) type of traditional Japanese conical hat/
三度目の正直 [さんどめのしょうじき] /(exp) third time lucky/third time's the charm/
三冬 [さんとう] /(n) three winter months/
三等 [さんとう] /(n) third class/
三等軍曹 [さんとうぐんそう] /(n) sergeant/
三等賞 [さんとうしょう] /(n) third prize/
三等親 [さんとうしん] /(n) third degree of kinship/
三等星 [さんとうせい] /(n) third magnitude star/
三等分 [さんとうぶん] /(n,vs) trisect/
三頭筋 [さんとうきん] /(n) triceps/
三頭政治 [さんとうせいじ] /(n) triumvirate/
三徳 [さんとく] /(n) three primary virtues: valour, wisdom and benevolence (valor)/
三徳包丁 [さんとくほうちょう] /(n) type of kitchen knife/
三毒 [さんどく] /(n) (Buddh) the three kleshas that poison the heart of man (desire, ill will and ignorance)/
三二年テーゼ [さんじゅうにねんテーゼ] /(n) 1932 Theses/Comintern policy documents urging overthrow of Japan's imperial and metayage systems/
三日 [みっか] /(n) (1) the third day of the month/(2) three days/(P)/
三日とあげず [みっかとあげず] /(exp) almost every day/constantly/
三日と上げず [みっかとあげず] /(exp) almost every day/constantly/
三日にあげず [みっかにあげず] /(exp,adv) at very frequent intervals/almost every other day/constantly/
三日に上げず [みっかにあげず] /(exp,adv) at very frequent intervals/almost every other day/constantly/
三日ばしか [みっかばしか] /(n) (col) rubella/German measles/three day measles/
三日間 [みっかかん] /(n) three days/
三日月 [みかずき] /(ik) (n) new moon/crescent moon/
三日月 [みかづき] /(n) new moon/crescent moon/(P)/
三日月燕魚 [みかづきつばめうお] /(n) (uk) golden spadefish (Platax boersii, species of Indo-West Pacific spadefish found in Indonesia, New Guinea, and the Philippines)/Boer's batfish/
三日月形 [みかづきがた] /(adj-no) crescent shape/
三日月湖 [みかづきこ] /(n) oxbow lake/billabong/
三日月眉 [みかづきまゆ] /(n) arched eyebrows/
三日三晩 [みっかみばん] /(exp) 3 days and 3 nights/
三日三夜 [みっかみよ] /(exp) 3 days and 3 nights/
三日酔い [みっかよい] /(n) (col) hangover (that still lingers two days after drinking)/
三日天下 [みっかてんか] /(n) short-lived rule/being in power only for a brief period/brief championship/
三日天下 [みっかでんか] /(n) short-lived rule/being in power only for a brief period/brief championship/
三日熱 [みっかねつ] /(n) tertian malaria (causing a fever that recurs every second day)/
三日坊主 [みっかぼうず] /(n) one who can stick to nothing/unsteady worker/
三日麻疹 [みっかばしか] /(n) (col) rubella/German measles/three day measles/
三日路 [みっかじ] /(n) three-day journey/
三年 [さんねん] /(n) three years/
三年生 [さんねんせい] /(n) student in his (her) third year/third-year student/
三拝 [さんぱい] /(n) adoration which is performed three times or repeatedly/act of worship which is performed three times or repeatedly/
三拝九拝 [さんぱいきゅうはい] /(int,n) kowtowing/bowing repeatedly/
三杯酢 [さんばいず] /(n) vinegar, soy sauce and mirin (or sugar) mixed in roughly equal proportions/
三倍 [さんばい] /(n) three-fold/three times/
三倍体 [さんばいたい] /(n) triploid/
三博士 [さんはかせ] /(n) Three Wise Men/
三拍子 [さんびょうし] /(n) triple time (music)/3 important requisites/
三拍子揃う [さんびょうしそろう] /(exp,v5u) meeting all three important conditions/being a triple threat/being ideal/
三白眼 [さんぱくがん] /(n) sanpaku eyes (eyes with visible white between the iris and the lower eyelid)/
三半規管 [さんはんきかん] /(n) semicircular canals/
三斑鶉 [みふうずら] /(n) (uk) barred button quail (Turnix suscitator)/
三板 [さんぱん] /(n) sampan/
三番 [さんばん] /(n) third/no. three/
三番稽古 [さんばんげいこ] /(n) a row of training matches with the same opponent (sumo)/
三番鶏 [さんばんどり] /(n) third cockcrowing/
三番出世 [さんばんしゅっせ] /(n) newly recruited sumo wrestlers in the third round of presentation after mae-zumo/
三番勝負 [さんばんしょうぶ] /(n) three-game match/three-bout contest/a rubber (in a card game)/
三番鳥 [さんばんどり] /(n) third cockcrowing/
三菱 [みつびし] /(n) Mitsubishi (company)/
三菱財閥 [みつびしざいばつ] /(n) Mitsubishi Zaibatsu/
三菱商事 [みつびししょうじ] /(n) Mitsubishi Corporation/
三菱電機 [みつびしでんき] /(n) Mitsubishi Electric/
三筆 [さんぴつ] /(n) three famous ancient calligraphers: Emperor Saga and Tachibana (no) Hayanari and Kooboo Daishi/
三百 [さんびゃく] /(n) (1) 300/three hundred/(2) 300 mon/trifling amount/two-bit item/(3) (abbr) shyster/(P)/
三百諸侯 [さんびゃくしょこう] /(n) all the daimyos/
三百代言 [さんびゃくだいげん] /(n) (1) (derog) pettifogging lawyer/unscrupulous or unethical lawyer/shyster/(2) casuist/sophist/
三府 [さんぷ] /(n) the Three Urban Prefectures/
三府鶉 [みふうずら] /(n) (uk) barred button quail (Turnix suscitator)/
三部 [さんぶ] /(n) three parts/three copies/(P)/
三部会 [さんぶかい] /(n) Estates General/States-General/
三部経 [さんぶきょう] /(n) three main sutras (of a school of Buddhism)/
三部合唱 [さんぶがっしょう] /(n) 3 part chorus/vocal trio/
三部合奏 [さんぶがっそう] /(n) instrumental trio/
三部作 [さんぶさく] /(n) trilogy/(P)/
三封 [さんぷう] /(n) forced out on third/
三幅対 [さんぷくつい] /(n) set of three/
三分 [さんぶん] /(vs) to divide into three (parts)/to trisect/
三分 [さんぷん] /(n) three minutes/
三分の一 [さんぶんのいち] /(n) one third/a third part/
三分法 [さんぶんほう] /(n) trichotomy/
三分搗 [さんぶつき] /(n) 30% polished rice/
三文 [さんもん] /(n) cheapness/farthing/
三文々士 [さんもんぶんし] /(n) hack writer/
三文小説 [さんもんしょうせつ] /(n) dime novel/
三文判 [さんもんばん] /(n) ready-made seal/cheap seal/
三文文士 [さんもんぶんし] /(n) hack writer/
三文役者 [さんもんやくしゃ] /(n) third-rate actor/
三平汁 [さんぺいじる] /(n) soup with rice bran pickled or salted vegetables (e.g. carrots, daikon or potatoes) and fish (e.g. salmon, gadid or Arabesque greenling) boiled in a salty broth (sake lees is sometimes added) (Hokkaido local specialty dish)/
三平方の定理 [さんへいほうのていり] /(n) Pythagorean theorem/
三碧 [さんぺき] /(n) third of nine traditional astrological signs (corresponding to Jupiter and east)/
三鞭酒 [しゃんぺん] /(n) (uk) champagne (fre:)/
三歩さがって師の影を踏まず [さんぽさがってしのかげをふまず] /(exp) a student must never forget to honor their teacher (honour)/
三歩下がって師の影を踏まず [さんぽさがってしのかげをふまず] /(exp) a student must never forget to honor their teacher (honour)/
三宝 [さんぼう] /(n) 3 treasures of Buddhism: Buddha, sutras and priesthood/
三宝 [さんぽう] /(n) 3 treasures of Buddhism: Buddha, sutras and priesthood/
三宝荒神 [さんぼうこうじん] /(n) (1) guardian deity of Buddha the sutras and the sangha/(2) three-person saddle/
三方 [さんぼう] /(n) (1) three sides/(2) small offering stand/(P)/
三方 [さんぽう] /(n) (1) three sides/(2) small offering stand/
三法印 [さんぼういん] /(n) Dharma seals/three marks of existence (suffering, impermanence, non-Self)/
三蓬莱 [さんほうらい] /(n) (obsc) the three sacred mountains: Fuji, Atsuta, and Kumano/
三本 [さんぼん] /(adj-f) three (long cylindrical things)/(P)/
三本勝負 [さんぼんしょうぶ] /(n) a set of three bouts/three-game match/three-bout contest/
三本足 [さんぼんあし] /(n) three legs (two legs and a cane)/
三本締め [さんぼんじめ] /(n) hand-clapping patter (at start of party)/
三本立て映画 [さんぼんたてえいが] /(n) triple feature (movie)/
三盆 [さんぼん] /(n) fine high-grade Japanese refined sugar/
三盆白 [さんぼんじろ] /(n) fine high-grade Japanese refined sugar/
三摩耶 [さまや] /(n) (1) (Buddh) time (san: samaya)/(2) (Buddh) meeting/coming together/(3) (Buddh) equality, warning, or riddance of hindrances (esp. in esoteric Buddhism as vows of the buddhas and bodhisattvas)/
三摩耶 [さんまや] /(n) (1) (Buddh) time (san: samaya)/(2) (Buddh) meeting/coming together/(3) (Buddh) equality, warning, or riddance of hindrances (esp. in esoteric Buddhism as vows of the buddhas and bodhisattvas)/
三摩耶戒 [さんまやかい] /(n) (Buddh) precepts given to an adherent prior to being consecrated as an Acharya (in esoteric Buddhism)/
三摩耶形 [さまやぎょう] /(n) (Buddh) object or shape that symbolizes the vow of a buddha or bodhisattva to save all life/
三摩耶形 [さんまやぎょう] /(n) (Buddh) object or shape that symbolizes the vow of a buddha or bodhisattva to save all life/
三昧 [さんまい] /(n) (1) samadhi (state of intense concentration achieved through meditation) (san:)/(n-suf) (2) concentrating on something/absorbing oneself in something/
三昧 [ざんまい] /(suf) indulgence/luxury/
三昧耶 [さまや] /(n) (1) (Buddh) time (san: samaya)/(2) (Buddh) meeting/coming together/(3) (Buddh) equality, warning, or riddance of hindrances (esp. in esoteric Buddhism as vows of the buddhas and bodhisattvas)/
三昧耶 [さんまいや] /(n) (1) (Buddh) time (san: samaya)/(2) (Buddh) meeting/coming together/(3) (Buddh) equality, warning, or riddance of hindrances (esp. in esoteric Buddhism as vows of the buddhas and bodhisattvas)/
三昧耶 [さんまや] /(n) (1) (Buddh) time (san: samaya)/(2) (Buddh) meeting/coming together/(3) (Buddh) equality, warning, or riddance of hindrances (esp. in esoteric Buddhism as vows of the buddhas and bodhisattvas)/
三昧耶戒 [さんまやかい] /(n) (Buddh) precepts given to an adherent prior to being consecrated as an Acharya (in esoteric Buddhism)/
三昧耶形 [さまやぎょう] /(n) (Buddh) object or shape that symbolizes the vow of a buddha or bodhisattva to save all life/
三昧耶形 [さんまやぎょう] /(n) (Buddh) object or shape that symbolizes the vow of a buddha or bodhisattva to save all life/
三枚 [さんまい] /(n) (1) three flat objects (e.g. tickets, pieces of cloth, etc.)/(2) filleting (a fish)/(P)/
三枚肉 [さんまいにく] /(n) boned rib (esp. of pork)/
三枚目 [さんまいめ] /(n) (1) comedian/actor who plays comic roles/(2) figure of fun/laughing stock/
三幕物 [さんまくもの] /(n) three-act play/
三又槍魚 [みつまたやりうお] /(n) (uk) Pacific blackdragon (Idiacanthus antrostomus)/
三味 [さみ] /(n) three-stringed guitar/
三味線 [さみせん] /(n) three-stringed Japanese guitar/shamisen/
三味線 [しゃみせん] /(n) three-stringed Japanese guitar/shamisen/(P)/
三味線の駒 [しゃみせんのこま] /(n) bridge of shamisen/
三味線貝 [しゃみせんがい] /(n) (uk) lingulate brachiopod (esp. species Lingula anatina)/
三味線弾 [さみせんひき] /(n) samisen player/
三味線弾 [しゃみせんひき] /(n) samisen player/
三味線弾き [さみせんひき] /(n) samisen player/
三味線弾き [しゃみせんひき] /(n) samisen player/
三密 [さんみつ] /(n) (Buddh) three mysteries (Buddha's body, speech and mind)/
三民主義 [さんみんしゅぎ] /(n) (Sun Yat-sen's) Three Principles of the People/
三眠蚕 [さんみんかいこ] /(n) three-molt silkworm/
三無主義 [さんむしゅぎ] /(n) the "three noes principle" of no drive (indolence), no interest (indifference), and no sense of responsibility (irresponsibility), the term describing the temperament of the Japanese youth of the 1970s/
三面 [さんめん] /(n) three sides/three faces/page three (of a newspaper)/
三面記事 [さんめんきじ] /(n,adj-no) human-interest article/page-three news/police news/
三面鏡 [さんめんきょう] /(n) three-sided mirror/
三面六臂 [さんめんろっぴ] /(n) rush of business/versatility/man who can do the work of many/
三毛 [みけ] /(n,adj-no) tortoise-shell (pattern)/
三毛作 [さんもうさく] /(n) three crops a year/
三毛猫 [みけねこ] /(n) tortoise-shell cat/cat with three colors of fur (colours)/
三目並べ [さんもくならべ] /(n) tic tac toe/noughts and crosses/
三門 [さんもん] /(n) large triple gate to temple/
三門徒派 [さんもんとは] /(n) Sanmonto sect (of Shin Buddhism)/
三役 [さんやく] /(n) three highest ranks (wrestling, unions, etc.)/(P)/
三役格 [さんやくかく] /(n) sumo referee officiating bouts of san'yaku ranked wrestlers/
三役揃い踏み [さんやくそろいぶみ] /(n) ritual stomping in unison on the final day of sumo tournament/
三洋 [さんよう] /(n) Sanyo (company)/(P)/
三葉虫 [さんようちゅう] /(n) trilobite/
三流 [さんりゅう] /(n,adj-no) 3rd rate/(P)/
三稜鏡 [さんりょうきょう] /(n) prism/
三稜草 [みくり] /(n) (uk) branched bur-reed (Sparganium erectum)/
三量体 [さんりょうたい] /(n,adj-no) trimer/
三輪 [さんりん] /(n) three wheels/(P)/
三輪車 [さんりんしゃ] /(n) three wheeled vehicle (tricycle, motorcycle, etc.)/three wheeler/
三輪神道 [みわしんとう] /(n) Miwa Shinto (sect of amalgamated Shinto developed in the Muromachi Period)/
三塁 [さんるい] /(n) third base/(P)/
三塁で刺される [さんるいでさされる] /(v1) to be put (thrown) out at third base/
三塁手 [さんるいしゅ] /(n) third baseman/(P)/
三塁線 [さんるいせん] /(n) third-base line/
三塁打 [さんるいだ] /(n) three-base hit/triple/(P)/
三礼 [さんらい] /(n) adoration which is performed three times or repeatedly/act of worship which is performed three times or repeatedly/
三礼 [さんれい] /(n) adoration which is performed three times or repeatedly/act of worship which is performed three times or repeatedly/
三礼 [みれい] /(n) adoration which is performed three times or repeatedly/act of worship which is performed three times or repeatedly/
三連 [さんれん] /(n) three-stranded/
三連勝 [さんれんしょう] /(n) three wins in a row/
三連符 [さんれんぷ] /(n) triplet/
三論 [さんろん] /(n) Buddhist sect originating in the seventh century/
三和音 [さんわおん] /(n) triad/
三和土 [たたき] /(n) (1) hard-packed dirt (clay, gravel, etc.) floor/concrete floor/
三尸 [さんし] /(n) the three worms (in Taoism, worms that inhabit the human gut and, on the eve of the 57th day of the sexagenary cycle, ascend to heaven during one's sleep to report on one's wrongdoings)/
三椏 [みつまた] /(n) (uk) Oriental paper bush (Edgeworthia chrysantha)/mitsumata/
三椏紙 [みつまたがみ] /(n) var. of Japanese paper made from the Oriental paper bush/
三竦み [さんすくみ] /(n) three-way deadlock/
三篶 [みすず] /(n) (uk) Sasamorpha borealis (species of bamboo grass unique to Japan)/
三鞅 [さんがい] /(n) headstall, martingale, and crupper/
傘 [かさ] /(n) umbrella/parasol/(P)/
傘 [からかさ] /(n) paper umbrella/
傘を差す [かさをさす] /(exp,v5s) to open an umbrella (or parasol)/to put up an umbrella/to hold an umbrella/
傘屋 [かさや] /(n) umbrella shop/
傘下 [さんか] /(n) affiliated with/under jurisdiction of/under the umbrella/(P)/
傘形碍子 [かさがたがいし] /(n) umbrella insulator/
傘形器官 [さんけいきかん] /(n) bot umbraculum/
傘紙 [かさがみ] /(n) oiled umbrella paper/
傘歯車 [かさはぐるま] /(n) bevel gear/
傘持ち [かさもち] /(n) umbrella carrier/
傘寿 [さんじゅ] /(n) 80th birthday/
傘地 [かさじ] /(n) umbrella cloth/
傘伐林 [さんばつりん] /(n) shelterwood forest/
傘立て [かさたて] /(n) umbrella stand/
参 [さん] /(num) three (used in legal documents)/
参 [しん] /(n) Chinese "Three Stars" constellation (one of the 28 mansions)/
参じる [さんじる] /(v1) (1) to come/to go/(2) to participate/(3) to perform Zen meditation/
参ずる [さんずる] /(vz,vi) (1) (hum) to come/to go/(2) to participate/(3) to perform Zen meditation/
参った [まいった] /(exp) (uk) I'm beaten/I give up/
参らせる [まいらせる] /(v1) to beat/to floor (someone)/to bring (someone) to his knees/to come/
参る [まいる] /(v5r) (1) (hum) to go/to come/to call/(2) to be defeated/to collapse/to die/(3) to be annoyed/to be nonplussed/(4) to be madly in love/(5) to visit (shrine, grave)/(P)/
参院 [さんいん] /(n) (abbr) House of Councillors/(P)/
参院議員 [さんいんぎいん] /(n) member of the House of Councillors/
参院選 [さんいんせん] /(n) (abbr) House of Councillors election/
参院予算委 [さんいんよさんい] /(n) (abbr) Budget Committee of the upper house of the Diet (one half of the yosaniinkai)/
参院予算委員会 [さんいんよさんいいんかい] /(n) Budget Committee of the upper house of the Diet (one half of the yosaniinkai)/
参加 [さんか] /(n,vs,adj-no) participation/(P)/
参加を呼びかける [さんかをよびかける] /(exp,v1) to call for somebody's participation/
参加を呼び掛ける [さんかをよびかける] /(exp,v1) to call for somebody's participation/
参加意識 [さんかいしき] /(n) sense of participation/
参加可能 [さんかかのう] /(n) possibility of participation/participation possibility/
参加希望者 [さんかきぼうしゃ] /(n) those interested in participating/persons wishing to participate/
参加国 [さんかこく] /(n) participating nation/
参加者 [さんかしゃ] /(n) participant/entrant/(P)/
参加申し込み [さんかもうしこみ] /(n) application (to take part in)/registration/
参加費 [さんかひ] /(n) entrance fee/participation cost/
参加枠 [さんかわく] /(n) limit on participation/
参画 [さんかく] /(n,vs) taking part in planning/(P)/
参賀 [さんが] /(n,vs) congratulatory palace visit/
参賀者 [さんがしゃ] /(n) congratulatory visitors/
参賀帳 [さんがちょう] /(n) congratulatory visitor's book/
参会 [さんかい] /(n,vs) attendance (at a meeting)/
参会者 [さんかいしゃ] /(n) attendance (at a meeting)/
参観 [さんかん] /(n,vs) visit/inspection/(P)/
参観者 [さんかんしゃ] /(n) visitor/
参観人 [さんかんにん] /(n) visitor/
参議 [さんぎ] /(n,vs) councillor/councilor/participation in government/
参議院 [さんぎいん] /(n) House of Councillors/(P)/
参議院議員 [さんぎいんぎいん] /(n) member of the House of Councillors/
参議院選挙 [さんぎいんせんきょ] /(n) House of Councillors election/
参宮 [さんぐう] /(n,vs) visit to the Ise Shrine/
参勤交替 [さんきんこうたい] /(n) official attendance service (by a daimyo in the Edo era)/
参勤交代 [さんきんこうたい] /(n) daimyo's alternating Edo residence/
参詣 [さんけい] /(n,vs) temple or shrine visit/pilgrimage/homage/
参詣人 [さんけいにん] /(n) worshiper/visitor to temple or shrine/
参鶏湯 [サムゲタン] /(n) samgyetang (kor:)/chicken ginseng soup (Korean dish)/
参向 [さんこう] /(n,vs) proceeding to/
参考 [さんこう] /(n,adj-no) reference/consultation/(P)/
参考にする [さんこうにする] /(exp,vs-i) to refer to/to use as reference/
参考になる [さんこうになる] /(exp,v5r) to be of use as a reference/
参考マニュアル [さんこうマニュアル] /(n) (comp) reference manual/
参考資料 [さんこうしりょう] /(n) reference data/
参考書 [さんこうしょ] /(n) reference book/(P)/
参考書目 [さんこうしょもく] /(n) bibliography/
参考人 [さんこうにん] /(n) (1) person given as a reference/witness/(2) potential suspect/person of interest/(3) witness/
参考人招致 [さんこうにんしょうち] /(n) requesting the testimony of an unsworn witness (who is not bound by perjury law)/
参考図書 [さんこうとしょ] /(n) reference book (work)/
参考図書館 [さんこうとしょかん] /(n) reference library/
参考品 [さんこうひん] /(n) reference materials/
参考文献 [さんこうぶんけん] /(n) works cited/references/
参考文献一覧 [さんこうぶんけんいちらん] /(n) bibliography/
参考本 [さんこうぼん] /(n) reference book/
参差 [しんし] /(adj-t,adv-to) of uneven heights or lengths/
参事 [さんじ] /(n) secretary/councillor/councilor/(P)/
参事会 [さんじかい] /(n) a council/
参事官 [さんじかん] /(n) councillor/councilor/(P)/
参酌 [さんしゃく] /(n,vs) comparison and choosing the good/consultation/referring to/
参集 [さんしゅう] /(n,vs) assembling (of people)/
参宿 [からすきぼし] /(n) (obsc) Chinese "Three Stars" constellation (one of the 28 mansions)/
参宿 [しんしゅく] /(n) (obsc) Chinese "Three Stars" constellation (one of the 28 mansions)/
参薯 [しんしょ] /(n) (uk) (obsc) water yam (Dioscorea alata)/winged yam/purple yam/
参照 [さんしょう] /(n,vs) reference/bibliographical reference/consultation/browsing (e.g. when selecting a file to upload on a computer)/checking out/(P)/
参照アクセス [さんしょうアクセス] /(n) (comp) access/reference/fetch/
参照キー [さんしょうキー] /(n) (comp) key of reference/
参照モデル [さんしょうモデル] /(n) (comp) reference model/
参照許可 [さんしょうきょか] /(n) (comp) access permission/
参照形式 [さんしょうけいしき] /(n) (comp) reference format/
参照経路 [さんしょうけいろ] /(n) (comp) reference path/
参照結合 [さんしょうけつごう] /(n) (comp) use association/
参照検索 [さんしょうけんさく] /(n) (comp) reference retrieval/
参照権 [さんしょうけん] /(n) (comp) access right/
参照呼び出し [さんしょうよびだし] /(n) (comp) reference (function) call/
参照事項検索 [さんしょうじこうけんさく] /(n) (comp) reference retrieval/
参照先 [さんしょうさき] /(n) (comp) referent/
参照線 [さんしょうせん] /(n) (comp) reference line/
参照選択型 [さんしょうせんたくがた] /(n) (comp) selection type/
参照渡し [さんしょうわたし] /(n) (comp) call by reference (computer)/
参照文献 [さんしょうぶんけん] /(n) reference document/
参上 [さんじょう] /(n,vs) calling on/visiting/
参政 [さんせい] /(n) participation in government/
参政官 [さんせいかん] /(n) parliamentary under-secretary/
参政権 [さんせいけん] /(n) suffrage/franchise/(P)/
参戦 [さんせん] /(n,vs) participation in a war/(P)/
参禅 [さんぜん] /(n,vs) Zen meditation/meditative consultation with the head abbot/
参着 [さんちゃく] /(n,vs) arrival/payment on sight/
参朝 [さんちょう] /(n,vs) visiting the palace/
参殿 [さんでん] /(n,vs) palace visit/
参堂 [さんどう] /(n,vs) visiting a home or a shrine/
参道 [さんどう] /(n) road approaching a shrine/(P)/
参内 [さんだい] /(n,vs) palace visit/
参入 [さんにゅう] /(n,vs) (1) entering (the marketplace)/introducing (something) to the market/access/(2) visiting a high-class or noble individual/(P)/
参入障壁 [さんにゅうしょうへき] /(n) barriers to entry/
参拝 [さんぱい] /(n,vs) visit to a shrine or temple/paying homage at a shrine or temple/(P)/
参拝者 [さんぱいしゃ] /(n) worshiper/pilgrim/
参謀 [さんぼう] /(n) staff officer/participating in planning/(P)/
参謀長 [さんぼうちょう] /(n) chief of staff/
参謀本部 [さんぼうほんぶ] /(n) General Staff Headquarters/
参与 [さんよ] /(n,vs,adj-no) (1) participation/taking part/(n) (2) consultant/councillor/adviser/(P)/
参与官 [さんよかん] /(n) parliamentary councillor/parliamentary councilor/
参与者 [さんよしゃ] /(n) participant/
参洛 [さんらく] /(n) going to the capital/
参列 [さんれつ] /(n,vs) attendance/participation/presence/(P)/
参列者 [さんれつしゃ] /(n) attendant/
参籠 [さんろう] /(n,vs) retirement (to a temple of shrine) for prayer/
参覲交代 [さんきんこうたい] /(n) official attendance service (by a daimyo in the Edo era)/
山 [さん] /(suf) Mt (suffix used with the names of mountains)/Mount/
山 [やま] /(n) (1) mountain/(2) pile/heap/(3) climax/critical point/(4) criminal case/crime/(5) guess/speculation/(6) coal mine/(P)/
山々 [やまやま] /(adv,n) (1) very much/great deal/(2) many mountains/(P)/
山あい [やまあい] /(n) ravine/gorge/
山が見える [やまがみえる] /(exp) (id) The end is in sight/
山が当たる [やまがあたる] /(exp,v5r) to accurately guess what subjects will turn up on a test/to have one's predictions turn out correct/
山が当る [やまがあたる] /(exp,v5r) to accurately guess what subjects will turn up on a test/to have one's predictions turn out correct/
山っ気 [やまっけ] /(n) speculative spirit/
山の芋 [やまのいも] /(n) (uk) Japanese yam (Dioscorea japonica)/
山の気 [やまのき] /(n) mountain air/
山の幸 [やまのさち] /(n) mountain vegetables/
山の手 [やまのて] /(n) (1) hilly section of a city (usu. residential)/Yamanote (hilly residential section of western Tokyo, inc. Yotsuya, Aoyama, Koishikawa, Hongo, Ichigaya, Akasaka, Azabu and surrounds)/(2) place near the mountains/
山の手言葉 [やまのてことば] /(n) the refined speech of the uptown residents of Tokyo/
山の神 [やまのかみ] /(n) (1) mountain god/(2) (col) one's wife (sometimes esp. a nagging wife)/(3) (uk) roughskin sculpin (Trachidermus fasciatus)/
山の端 [やまのは] /(n) edge (brow) of mountain/
山の頂 [やまのいただき] /(n) mountain top/
山の背 [やまのせ] /(n) ridge (of a mountain)/
山ほど [やまほど] /(adv,n) a heap/great amount of/
山もがし [やまもがし] /(n) (uk) Helicia cochinchinensis (species of flowering plant)/
山を越す [やまをこす] /(exp,v5s) to surmount a difficulty/to go across a mountain/
山を掛ける [やまをかける] /(exp,v1) to speculate/to make an educated guess/to gamble (e.g. on getting the right questions)/
山を張る [やまをはる] /(exp,v5r) to speculate/to make an educated guess/to gamble (e.g. on getting the right questions)/
山葵 [わさび] /(n) (uk) wasabi (Japanese horseradish)/(P)/
山葵の木 [わさびのき] /(n) (uk) horseradish tree (Moringa oleifera)/
山葵醤油 [わさびじょうゆ] /(n) soy sauce flavoured with grated wasabi (used for sashimi, etc.)/
山葵大根 [わさびだいこん] /(n) horseradish/
山葵漬け [わさびづけ] /(n) pickled Japanese horseradish/
山葵田 [わさびでん] /(n) wetland wasabi terrace/
山芋 [やまいも] /(n) Japanese yam (Dioscorea japonica)/
山陰 [さんいん] /(n) (1) place in the shade of a mountain/shelter of the mountains/
山陰 [やまかげ] /(n) (1) place in the shade of a mountain/shelter of the mountains/(2) mountain recess/(P)/
山陰地方 [さんいんちほう] /(n) San-in region of western Honshu (inc. Tottori, Shimane, northern Yamaguchi and sometimes northern Hyogo and Kyoto prefectures)/
山烏 [やまがらす] /(n) (1) crow in the mountains/(2) jungle crow (Corvus macrorhynchos)/(3) rook (species of crow, Corvus frugilegus)/(4) (arch) (derog) dark-skinned person/
山姥 [やまうば] /(n) mountain witch/
山姥 [やまんば] /(n) mountain witch/
山越え [やまごえ] /(n,vs) crossing a mountain/
山越し [やまごし] /(n,vs) wind blowing down, coming over a mountain/
山越しをする [やまごしをする] /(exp,vs-i) to cross a mountain/
山沿 [やまぞい] /(io) (n) along a mountain/
山沿い [やまぞい] /(n) along a mountain/
山沿いの地方 [やまぞいのちほう] /(n) mountainous region/
山猿 [やまざる] /(n) monkey/bumpkin/boor/
山塩 [さんえん] /(n) rock salt/halite/
山塩 [やまじお] /(n) rock salt/halite/
山奥 [やまおく] /(n,adj-no) mountain recesses/(P)/
山王一実神道 [さんのういちじつしんとう] /(n) Sannou Ichijitsu Shinto (alt. name for Hie Shinto: a form of Shinto heavily influenced by Tendai)/
山王権現 [さんのうごんげん] /(n) deity enshrined at Hie Shrine (in Shiga & Tokyo)/
山王祭 [さんのうまつり] /(n) (1) Sannou Festival (Hie Shrine in Tokyo; June 15)/(2) Sannou Festival (Hie Shrine in Shiga; April 14)/
山王神道 [さんのうしんとう] /(n) Sanno Shinto (branch of Shinto formed in the Tendai school of Buddhism)/
山下公園 [やましたこうえん] /(n) park in Yokohama/
山下駄 [やまげた] /(n) rough geta (e.g. made of Japanese cedar)/
山家 [さんか] /(n) mountain villa/
山家 [さんげ] /(n) (Buddh) Mountain School (of Song-period Tiantai Buddhism)/
山家 [やまが] /(n) mountain villa/
山河 [さんが] /(n) mountains and rivers/natural surroundings/
山火事 [やまかじ] /(n) bushfire/(P)/
山稼ぎ [やまかせぎ] /(n) making a living in the mountains/
山塊 [さんかい] /(n) mountain mass/
山懐 [やまふところ] /(n) heart of a mountain/
山海 [さんかい] /(n) mountains and seas/
山開き [やまびらき] /(n) start of the mountain-climbing season/
山外 [さんがい] /(n) (Buddh) Off-Mountain School (of Song-period Tiantai Buddhism)/
山岳 [さんがく] /(n,adj-no) mountains/(P)/
山岳重畳 [さんがくちょうじょう] /(adj-t,adv-to) mountains rising one above another/
山岳信仰 [さんがくしんこう] /(n) mountain worship/religion that worships mountains as sacred/
山岳地 [さんがくち] /(n) mountain land/mountains/
山岳地帯 [さんがくちたい] /(n) mountain district/
山岳病 [さんがくびょう] /(n) altitude sickness/
山岳部 [さんがくぶ] /(n) mountaineering club/
山岳部時間 [さんがくぶじかん] /(n) Mountain Time (US time zone)/
山掛け [やまかけ] /(n) foods topped with grated yam/
山冠 [やまかんむり] /(n) kanji "mountain" radical at top/
山勘 [やまかん] /(adj-na,n) guesswork/speculation/
山間 [さんかん] /(n,adj-no) among the mountains/(P)/
山間 [やまあい] /(n) ravine/gorge/
山間部 [さんかんぶ] /(n) mountainous region/
山奇量 [さんきらい] /(n) (1) (uk) Smilax glabra (species of sarsaparilla)/(2) (col) Smilax china (species of sarsaparilla)/
山帰来 [さんきらい] /(n) (1) (uk) Smilax glabra (species of sarsaparilla)/(2) (col) Smilax china (species of sarsaparilla)/
山気 [さんき] /(n) mountain air/
山気 [やまき] /(n) speculative spirit/
山気 [やまぎ] /(n) speculative spirit/
山気 [やまけ] /(n) speculative spirit/
山蟻 [やまあり] /(n) (uk) wood ant (any ant of genus Formica)/
山魚狗 [やませみ] /(n) (uk) crested kingfisher (Megaceryle lugubris)/
山峡 [さんきょう] /(n) gorge/ravine/gap/
山峡 [やまかい] /(n) gorge/ravine/gap/
山桑 [やまぐわ] /(n) (1) (uk) Chinese mulberry (Morus bombycis)/(2) kousa dogwood (Cornus kousa)/
山形 [やまがた] /(n) mountain-shaped/(P)/
山形県 [やまがたけん] /(n) Yamagata prefecture (Touhoku area)/
山形袖章 [やまがたそでしょう] /(n) chevron (military rank insignia)/
山形紋 [やまがたもん] /(n) chevron (in heraldry)/
山径 [さんけい] /(n) mountain path/
山稽古 [やまげいこ] /(n) outdoor sumo practice (practise)/
山系 [さんけい] /(n) mountain range/mountain system/(P)/
山鯨 [やまくじら] /(n) wild boar/
山犬 [やまいぬ] /(n) (1) Japanese wolf (Canis lupus hodophilax, extinct)/(2) wild dog/
山元 [やまもと] /(n) owner of a mountain/a mine/
山元派 [さんげんは] /(n) Yamamoto sect (of Shin Buddhism)/Sangen sect/
山元派 [やまもとは] /(n) Yamamoto sect (of Shin Buddhism)/Sangen sect/
山原 [やんばる] /(n) mountain areas of Kunigami County in Northern Okinawa/
山原手長黄金虫 [やんばるてながこがね] /(n) (uk) Yanbaru long-armed scarab beetle (Cheirotonus jambar)/
山原水鶏 [やんばるくいな] /(n) (uk) Okinawa rail (bird) (Gallirallus okinawae)/
山言葉 [やまことば] /(n) mountain language (euphemisms used by hunters, etc. when in the wild)/
山袴 [やまばかま] /(n) work hakama/
山口県 [やまぐちけん] /(n) Yamaguchi prefecture (Chuugoku area)/
山荒 [やまあらし] /(n) (uk) porcupine (any mammal of suborder Hystricomorpha)/
山荒らし [やまあらし] /(n) (uk) porcupine (any mammal of suborder Hystricomorpha)/
山荒亜目 [やまあらしあもく] /(n) Hystricomorpha (suborder of rodents)/
山行 [さんこう] /(n,vs) mountain hiking/walking in the mountains/
山行者 [さんこうしゃ] /(n) mountain hiker/person engaging in walking activities in the mountains/
山高きが故に貴からず [やまたかきがゆえにたっとからず] /(exp) (arch) never judge a book by its cover (lit: a mountain is not to be honoured just because it is high)/
山高きを以て [やまたかきをもって] /(exp) because the mountain is high/
山高帽 [やまたかぼう] /(n) (abbr) bowler hat/
山高帽子 [やまたかぼうし] /(n) derby/bowler (hat)/
山号 [さんごう] /(n) honorific mountain name prefixed to a temple's name/
山国 [やまぐに] /(n) mountainous country/
山査子 [さんざし] /(n) (uk) hawthorn/Crataegus cuneata/Crataegus apiifolia/may/quickthorn/whitethorn/
山塞 [さんさい] /(n) mountain stronghold/
山砦 [さんさい] /(n) mountain stronghold/
山菜 [さんさい] /(n) edible wild plants/(P)/
山際 [やまぎわ] /(n) mountain ridge/near a mountain/
山崎派 [やまさきは] /(n) Yamasaki Faction (of the LDP)/
山桜 [やまざくら] /(n) mountain cherry/Prunus donarium, var. spontanea or Prunus jamasakura/
山桜桃 [ゆすら] /(n) (uk) Nanking cherry (Prunus tomentosa)/downy cherry/
山桜桃 [ゆすらうめ] /(n) (uk) Nanking cherry (Prunus tomentosa)/downy cherry/
山札 [やまふだ] /(n) deck/stack (playing cards)/
山山 [やまやま] /(adv,n) (1) very much/great deal/(2) many mountains/
山師 [やまし] /(n) (1) speculator/(2) adventurer/imposter/(3) prospector/
山紫水明 [さんしすいめい] /(n) scenic beauty/
山詞 [やまことば] /(n) mountain language (euphemisms used by hunters, etc. when in the wild)/
山寺 [やまでら] /(n) mountain temple/(P)/
山漆 [やまうるし] /(n) (uk) Japanese sumac (Rhus trichocarpa)/
山縞馬 [やましまうま] /(n) (uk) mountain zebra (Equus zebra)/
山車 [さんしゃ] /(n) (uk) festival car (float)/
山車 [だし] /(n) (uk) festival car (float)/
山車 [だんじり] /(n) (uk) (in Kansai) decorative portable shrine/float used in festivals/
山車 [だんぢり] /(n) (uk) (in Kansai) decorative portable shrine/float used in festivals/
山車 [やまぐるま] /(n) (uk) wheel tree (Trochodendron araloides)/
山守 [やまもり] /(n) guardian of a mountain/
山手 [やまて] /(n,adj-no) (1) place near the mountains/(n) (2) hilly section of a city (e.g. Tokyo, Kobe, Yokohama)/(P)/
山手 [やまのて] /(io) (n) (1) hilly section of a city (usu. residential)/Yamanote (hilly residential section of western Tokyo, inc. Yotsuya, Aoyama, Koishikawa, Hongo, Ichigaya, Akasaka, Azabu and surrounds)/(2) place near the mountains/
山狩り [やまがり] /(n) a mountain hunt/
山出し [やまだし] /(n) bumpkin/person from the country/unrefined person recently arrived from the countryside/
山女 [やまおんな] /(n) (1) mountain witch/(2) akebia (Akebia quinata)/
山女 [やまめ] /(n) (uk) landlocked masu salmon/
山女魚 [やまめ] /(n) (uk) landlocked masu salmon/
山小屋 [やまごや] /(n) mountain hut/(P)/
山焼き [やまやき] /(n) burning a mountain (by design)/
山焼け [やまやけ] /(n) mountain fire/bush fire/
山笑う [やまわらう] /(exp) mountain in springtime when all of the tree buds open at the same time (usu. in haiku)/laughing mountain/
山粧う [やまよそおう] /(n) mountain covered in autumn colours at the end of autumn/
山上 [さんじょう] /(n) mountain top/
山上の垂訓 [さんじょうのすいくん] /(n) the Sermon on the Mount/
山城 [さんじょう] /(n) mountain castle/
山城 [やまじろ] /(n) mountain castle/
山場 [やまば] /(n) climax/turning point/
山人 [やまびと] /(n) mountain folk/hermit/
山吹 [やまぶき] /(n) (1) variety of yellow rose/Japanese rose/Japanese kerria/Japanese globeflower/Kerria japonica/(2) gold coin/
山吹色 [やまぶきいろ] /(n) bright golden yellow/
山吹草 [やまぶきそう] /(n) yamabukisou (chelidonium japonicum)/type of perennial poppy/
山水 [さんすい] /(n) landscape/hills and rivers/
山水を写した絵 [さんすいをうつしたえ] /(exp) picture representing a landscape/
山水画 [さんすいが] /(n) landscape picture/
山水閣 [さんすいかく] /(n) Sansuikaku (restaurant name)/
山水牛 [やますいぎゅう] /(n) (obsc) mountain anoa (Bubalus quarlesi)/
山水荘 [さんすいそう] /(n) The Sansui Inn/
山水楼 [さんすいろう] /(n) Sansuiro (name of an exclusive restaurant)/
山雀 [やまがら] /(n) (uk) varied tit (species of titmouse, Poecile varius)/
山裾 [やますそ] /(n) foot or base of a mountain/foothills/
山成す [やまなす] /(n) a mountain of/mountainlike/
山盛 [やまもり] /(io) (n,adj-no) heap/pile/stack/full measure/
山盛り [やまもり] /(n,adj-no) heap/pile/stack/full measure/
山積 [さんせき] /(n,vs) lying in piles/form into piles/forming a (huge) pile/(P)/
山積み [やまづみ] /(n,vs) huge mound/heap/pile/
山雪 [やまゆき] /(n) snow that falls on mountains/
山川 [さんせん] /(n) mountains and rivers/(P)/
山川 [やまかわ] /(n) mountains and rivers/
山川 [やまがわ] /(n) mountain rivers/
山川草木 [さんせんそうもく] /(n) nature/natural scenery/
山川万里 [さんせんばんり] /(n) being far away across mountains and rivers/
山岨 [やまそわ] /(n) mountain cliff/mountain precipice/
山鼠 [やまね] /(n) (uk) Japanese dormouse (Glirulus japonicus)/
山荘 [さんそう] /(n) mountain villa/mountain retreat/mountain cottage/(P)/
山装う [やまよそおう] /(n) mountain covered in autumn colours at the end of autumn/
山側 [やまがわ] /(n) mountain-side/
山賊 [さんぞく] /(n,adj-no) bandit/brigand/(P)/
山村 [さんそん] /(n) mountain village/(P)/
山男 [やまおとこ] /(n) giant/woodsman/alpinist/
山地 [さんち] /(n,adj-no) mountainous district/(P)/
山地 [やまち] /(n,adj-no) mountainous district/
山地帯 [さんちたい] /(n) montane zone/mountain zone/
山茶 [さんちゃ] /(n) (1) (uk) common camellia/Camellia japonica/(2) tea produced in the mountains/
山茶 [つばき] /(n) (1) (uk) common camellia/Camellia japonica/(2) tea produced in the mountains/
山茶花 [さざんか] /(n) (uk) sasanqua (Camellia sasanqua)/
山茶花 [さんさか] /(n) (uk) sasanqua (Camellia sasanqua)/
山茶花 [さんざか] /(n) (uk) sasanqua (Camellia sasanqua)/
山茶花 [さんちゃか] /(n) (uk) sasanqua (Camellia sasanqua)/
山中 [さんちゅう] /(n) among the mountains/
山頂 [さんちょう] /(n) summit (e.g. mountain)/(P)/
山頂を極める [さんちょうをきわめる] /(exp,v1) to reach the summit/
山鳥 [やまどり] /(n) (1) (uk) copper pheasant (Phasianus soemmerringii)/(2) mountain bird/
山津波 [やまつなみ] /(n) landslide/
山程 [やまほど] /(adv,n) a heap/great amount of/
山添 [やまぞい] /(io) (n) along a mountain/
山添い [やまぞい] /(n) along a mountain/
山顛 [さんてん] /(n) mountaintop/summit/
山伝い [やまづたい] /(n) (passing along) from mountain to mountain/
山杜鵑 [やまほととぎす] /(n) (1) (uk) lesser cuckoo (Cuculus poliocephalus) (esp. one living in the mountains)/(2) Tricyrtis macropoda (species of toad lily)/
山杜鵑草 [やまほととぎす] /(n) (1) Tricyrtis macropoda (species of toad lily)/
山登り [やまのぼり] /(n) mountain climbing/mountaineering/(P)/
山刀 [やまがたな] /(n) woodman's hatchet/
山桃 [やまもも] /(n) (uk) wax myrtle (Myrica rubra)/asian bog myrtle/
山棟蛇 [やまかがし] /(n) (uk) tiger keelback (Rhabdophis tigrinus)/ringed grass snake/
山童 [やまわろ] /(n) one-eyed mountain spirit/
山道 [さんどう] /(n) mountain road/mountain trail/(P)/
山道 [せんどう] /(n) mountain road/mountain trail/
山道 [やまみち] /(n) mountain road/mountain trail/
山道に掛かる [やまみちにかかる] /(exp,v5r) to come to a mountain path/
山内 [さんない] /(n,adj-no) in the mountains/within the grounds of a temple/
山猫 [やまねこ] /(n) wildcat/lynx/(P)/
山猫スト [やまねこスト] /(n) wildcat strike/
山猫座 [やまねこざ] /(n) (constellation) Lynx/
山猫戦術 [やまねこせんじゅつ] /(n) wildcat tactics/
山猫争議 [やまねこそうぎ] /(n) wildcat strike/
山背 [やませ] /(n) cold wind descending from the mountains/(in the Tohoku region in summer) a cold Pacific wind/
山萩 [やまはぎ] /(n) (uk) shrubby lespedeza (species of bush clover, Lespedeza bicolor)/
山薄荷 [やまはっか] /(n) (uk) Plectranthus inflexus (species of plant in the mint family)/
山櫨 [やまはぜ] /(n) woodland sumac (Rhus sylvestris)/
山肌 [やまはだ] /(n) mountain's surface/bare surface of a mountain/
山畑 [やまはた] /(n) mountain field/mountain farmland/
山鳩 [やまばと] /(n) turtledove/
山斑馬 [やましまうま] /(n) (uk) mountain zebra (Equus zebra)/
山番 [やまばん] /(n) mountain guardian/
山枇杷 [やまびわ] /(n) (uk) Meliosma rigida (species of flowering plant)/
山彦 [やまびこ] /(n) echo (as in mountain echo)/
山姫 [やまひめ] /(n) mountain goddess/
山百合 [やまゆり] /(n) (uk) golden-rayed lily (Lilium auratum)/
山膚 [やまはだ] /(n) mountain's surface/bare surface of a mountain/
山葡萄 [やまぶどう] /(n) crimson glory vine (species of grapevine, Vitis Coignetiae)/
山風 [さんぷう] /(n) mountain wind/
山風 [やまかぜ] /(n) mountain wind/
山伏 [やまぶし] /(n) mountain priest/itinerant Buddhist monk/
山腹 [さんぷく] /(n) hillside/mountainside/
山分け [やまわけ] /(n,vs) equal split/
山並み [やまなみ] /(n) range of mountains/
山偏 [やまへん] /(n) kanji "mountain" radical at left/
山辺 [やまべ] /(n) mountain/vicinity of a mountain/
山歩き [やまあるき] /(n,vs) mountain-walking/hiking/
山崩れ [やまくずれ] /(n,vs) landslide/(P)/
山法師 [やまぼうし] /(n) (uk) kousa dogwood (Cornus kousa)/benthamidia japonica/
山砲 [さんぽう] /(n) mountain gun/
山蓬 [やまよもぎ] /(n) (1) (uk) Artemisia montana/(2) (uk) Japanese mugwort/
山帽子 [やまぼうし] /(n) (uk) kousa dogwood (Cornus kousa)/benthamidia japonica/
山鉾 [やまぼこ] /(n) festival float mounted with a decorative halberd/
山繭 [てんさん] /(n) (uk) Japanese oak silkmoth (Antheraea yamamai)/
山繭 [やままゆ] /(n) (uk) Japanese oak silkmoth (Antheraea yamamai)/
山繭蛾 [やままゆが] /(n) (uk) Japanese oak silkmoth (Antheraea yamamai)/
山脈 [さんみゃく] /(n) mountain range/(P)/
山脈 [やまなみ] /(n) mountain range/
山眠る [やまねむる] /(exp) mountain in the winter (usu. in haiku)/sleeping mountain/
山霧 [やまぎり] /(n) mountain fog/
山鳴 [やまならし] /(n) (uk) Japanese aspen (Populus tremula var. sieboldii)/
山鳴らし [やまならし] /(n) (uk) Japanese aspen (Populus tremula var. sieboldii)/
山鳴り [やまなり] /(n) rumbling of a mountain/
山毛欅 [ぶな] /(n) (uk) Japanese beech (Fagus crenata)/Siebold's beech/
山門 [さんもん] /(n) temple gate/
山野 [さんや] /(n) hills and fields/countryside/(P)/
山容 [さんよう] /(n) in the shape or form of a mountain/
山容水態 [さんようすいたい] /(n) scenic beauty of mountains and streams/fresh and clear beauty of nature's splendor/
山羊 [やぎ] /(n,adj-no) (uk) goat/
山羊ミルク [やぎミルク] /(n) goat's milk/
山羊座 [やぎざ] /(n) (constellation) Capricornus/Capricorn/the Goat/
山羊髭 [やぎひげ] /(n) goatee/
山陽 [さんよう] /(n) south side of a mountain/Sanyo district/(P)/
山陽地方 [さんようちほう] /(n) San-you region of western Honshu (inc. Okayama, Hiroshima, southern Yamaguchi and sometimes western Hyogo prefectures)/
山嵐 [やまあらし] /(n) mountain storm/
山梨 [やまなし] /(n) wild nashi (Pyrus pyrifolia var. pyrifolia)/wild Japanese pear/
山梨県 [やまなしけん] /(n) Yamanashi prefecture (Chuubu area)/
山里 [やまざと] /(n) mountain hamlet (village)/
山稜 [さんりょう] /(n) mountain ridge/
山陵 [さんりょう] /(n) (1) mountains and hills/(2) imperial tomb/
山林 [さんりん] /(n) mountain forest/mountains and forest/(P)/
山林学 [さんりんがく] /(n) forestry/
山嶺 [さんれい] /(n) mountaintop/summit/
山霊 [さんれい] /(n) a mountain's guardian deity/
山路 [さんろ] /(n) mountain path/
山路 [やまじ] /(n) mountain path/
山篭り [やまごもり] /(n,vs) (1) secluding oneself in the mountains/undertaking ascetic practices at a mountain temple (practises)/(2) retreat/off-site meeting/
山麓 [さんろく] /(n) foot or base of a mountain/
山嶽 [さんがく] /(oK) (n,adj-no) mountains/
山巓 [さんてん] /(n) mountaintop/summit/
山彙 [さんい] /(n) (obsc) mountain mass/small mountain range/group of mountains that are not part of a large mountain range/
山梔子 [くちなし] /(n) (uk) Cape jasmine (Gardenia jasminoides)/Cape jessamine/gardenia/
山梔子 [さんしし] /(n) gardenia fruit/
山椒 [さんしょ] /(n) (uk) Japanese pepper (species of Sichuan pepper, Zanthoxylum piperitum)/Japanese prickly ash/
山椒 [さんしょう] /(n) (uk) Japanese pepper (species of Sichuan pepper, Zanthoxylum piperitum)/Japanese prickly ash/
山椒は小粒でもぴりりと辛い [さんしょうはこつぶでもぴりりとからい] /(exp) (id) Small head but great wit/
山椒魚 [さんしょううお] /(n) salamander/
山椒喰 [さんしょうくい] /(n) (uk) ashy minivet (species of passerine bird, Pericrocotus divaricatus)/
山椒藻 [さんしょうも] /(n) (uk) floating watermoss (Salvinia natans)/
山椒餅 [さんしょうもち] /(n) mochi with sansho (sichuan pepper)/
山楡 [やまにれ] /(n) (obsc) (uk) Chinese elm (Ulmus parvifolia)/
山寨 [さんさい] /(n) mountain stronghold/
山獏 [やまばく] /(n) (uk) mountain tapir (Tapirus pinchaque)/
山窩 [さんか] /(n) group of mountain nomads (in Japan)/group of mountain people/the Sanka/
山籠り [やまごもり] /(n,vs) (1) secluding oneself in the mountains/undertaking ascetic practices at a mountain temple (practises)/(2) retreat/off-site meeting/
山翡翠 [やませみ] /(n) (uk) crested kingfisher (Megaceryle lugubris)/
山艾 [やまよもぎ] /(n) (1) (uk) Artemisia montana/(2) (uk) Japanese mugwort/
山苞 [やまづと] /(n) souvenir from the mountains/
山茱萸 [さんしゅゆ] /(n) (uk) Asiatic dogwood (Cornus officinalis)/Japanese cornel/Japanese cornelian-cherry/
山襞 [やまひだ] /(n) folds of a mountain/
山貘 [やまばく] /(n) (uk) mountain tapir (Tapirus pinchaque)/
山躑躅 [やまつつじ] /(n) variety of mountain plant belonging to the azalea family/
山辣韮 [やまらっきょう] /(n) Japanese onion (edible plant, Allium thunbergii)/
山颪 [やまおろし] /(n) wind blowing down from a mountain/
山鴉 [やまがらす] /(n) (1) crow in the mountains/(2) jungle crow (Corvus macrorhynchos)/(3) rook (species of crow, Corvus frugilegus)/(4) (arch) (derog) dark-skinned person/
山鶉 [やまうずら] /(n) (uk) partridge (of genus Perdix)/
山鷸 [やましぎ] /(n) (uk) Eurasian woodcock (Scolopax rusticola)/
惨い [むごい] /(adj-i) cruel/atrocious/merciless/inhuman/brutal/
惨たらしい [むごたらしい] /(adj-i) (uk) incredibly brutal/gory/gruesome/
惨たる光景 [さんたるこうけい] /(n) disastrous scene/
惨め [みじめ] /(adj-na) miserable/wretched/unhappy/sad/pitiable/(P)/
惨禍 [さんか] /(n) calamity/
惨害 [さんがい] /(n) heavy damage/havoc/ravages/
惨苦 [さんく] /(n) terrible pain/terrible hardship/terrible suffering/
惨劇 [さんげき] /(n) tragedy/tragic event/
惨酷 [ざんこく] /(adj-na,n) atrocity/cruelty/brutality/
惨殺 [ざんさつ] /(n,vs) slaughter/massacre/
惨殺者 [ざんさつしゃ] /(n) brutal murderer/
惨死 [ざんし] /(n,vs) tragic death/violent death/
惨死体 [ざんしたい] /(n) corpse of a person who has met a violent death/
惨事 [さんじ] /(n) disaster/horrible accident/(P)/
惨状 [さんじょう] /(n) disastrous scene/terrible spectacle/(P)/
惨状を極める [さんじょうをきわめる] /(exp,v1) to present a very terrible (miserable) sight/
惨敗 [さんぱい] /(n,vs) ignominious defeat/crushing failure/utterly beaten/overwhelming defeat/(P)/
惨敗 [ざんぱい] /(n,vs) ignominious defeat/crushing failure/utterly beaten/overwhelming defeat/(P)/
惨落 [さんらく] /(n,vs) slump/sudden fall of market price/
惨烈 [さんれつ] /(adj-na,n) horrible/cruel/atrocious/
惨憺 [さんたん] /(adj-t,adv-to) miserable/pitiful/tragic/wretched/horrible/
惨澹 [さんたん] /(adj-t,adv-to) miserable/pitiful/tragic/wretched/horrible/
撒き餌 [まきえ] /(n,vs) scattered animal feed/ground bait/
撒き散らす [まきちらす] /(v5s,vt) to scatter/to spread/
撒き菱 [まきびし] /(n) caltrop (spiked device scattered to maim infantry and horses)/calthrop/caltrap/
撒く [まく] /(v5k,vt) (1) to scatter/to sprinkle/to strew/(2) to distribute (handbills, etc.)/to spread (rumours, etc.)/(3) to give the slip/to throw off/to shake off/to lose/(P)/
撒児沙 [さるさ] /(ateji) (n) (uk) sarsaparilla (Smilax regelii) (lit: sarsa) (lat:)/
撒爾沙 [さるさ] /(ateji) (n) (uk) sarsaparilla (Smilax regelii) (lit: sarsa) (lat:)/
撒水 [さっすい] /(n,vs) sprinkling water over/irrigating/
撒水 [さんすい] /(n,vs) sprinkling water over/irrigating/
撒菱 [まきびし] /(n) caltrop (spiked device scattered to maim infantry and horses)/calthrop/caltrap/
撒布 [さっぷ] /(n,vs) dissemination/scattering/sprinkling/spraying/
撒布 [さんぷ] /(n,vs) dissemination/scattering/sprinkling/spraying/
撒布剤 [さっぷざい] /(n) dusting powder/
散々 [さんざん] /(adj-na,adv) (1) severely/harshly/utterly/terrible/(2) scattered/disconnected/(P)/
散ける [ばらける] /(v1,vi) to unravel/
散じる [さんじる] /(v1) (1) to scatter/to disperse/(2) to spend on/to squander (e.g. one's fortune)/(3) to chase away (e.g. one's worries)/to kill (pain)/
散ずる [さんずる] /(vz) (1) to scatter/to disperse/(2) to spend on/to squander (e.g. one's fortune)/(3) to chase away (e.g. one's worries)/to kill (pain)/
散らかす [ちらかす] /(v5s,vt) to scatter around/to leave untidy/(P)/
散らかった紙屑 [ちらかったかみくず] /(n) scattered (littered) paper scraps/
散らかる [ちらかる] /(v5r,vi) to be in disorder/to lie scattered around/(P)/
散らし [ちらし] /(n) (1) scattering/(2) (uk) leaflets/(P)/
散らしずし [ちらしずし] /(n) (food) sushi rice in a box or bowl with a variety of ingredients sprinkled on top/
散らし寿司 [ちらしずし] /(n) (food) sushi rice in a box or bowl with a variety of ingredients sprinkled on top/
散らし書き [ちらしがき] /(n) writing in an irregular hand/
散らし髪 [ちらしがみ] /(n) casual hairstyle/
散らし鮨 [ちらしずし] /(n) (food) sushi rice in a box or bowl with a variety of ingredients sprinkled on top/
散らす [ちらす] /(v5s,vt) (1) to scatter/to cause a shower of/(2) to disperse/to distribute/to spread/(3) to resolve (a symptom, condition, etc.)/to relieve/to get rid of/to cure/(4) to distract/to divert/(suf,v5s) (5) to do ... wildly (i.e. disorderly or frequently)/to do ... all over the place/(P)/
散らばら [ちらばら] /(adj-na) (1) here and there/scattered about/(vs) (2) to be scattered around/
散らばる [ちらばる] /(v5r,vi) to be scattered about/(P)/
散りばめる [ちりばめる] /(v1,vt) (uk) to inlay/to set/to stud/to enchase (a thing) with/to mount (gem)/
散り散り [ちりぢり] /(adj-na,n) scattered/separated/dispersed/
散り残る [ちりのこる] /(v5r,vi) to be left blooming/to remain on the stem/
散り始める [ちりはじめる] /(v1) to begin falling (e.g. leaves, petals, etc.)/
散り敷く [ちりしく] /(v5k,vi) to lie scattered or strewn about/
散り乱れる [ちりみだれる] /(v1,vi) to be or lay scattered/
散り蓮華 [ちりれんげ] /(n) (1) ceramic spoon/(2) fallen lotus petal/
散り嵌める [ちりばめる] /(v1,vt) (uk) to inlay/to set/to stud/to enchase (a thing) with/to mount (gem)/
散る [ちる] /(v5r,vi) (1) to fall (e.g. blossoms, leaves)/(2) to scatter/to be dispersed/(3) to disappear/to dissolve/to break up/(4) to spread/to run/to blur/(5) to die a noble death/(P)/
散る落葉 [ちるおちば] /(n) falling leaves/
散逸 [さんいつ] /(n,vs) (1) being scattered and ultimately lost/(2) (physics) dissipation/
散家 [サンチャ] /(n) non-dealer (in mahjongg) (chi: san jia)/
散華 [さんげ] /(n,vs) falling as flowers do/dying a glorious death/
散会 [さんかい] /(n,vs) adjournment/(P)/
散開 [さんかい] /(n,vs) deployment/spreading out/dispersing/dispersal/
散開星団 [さんかいせいだん] /(n) open cluster/
散楽 [さるがく] /(n) (1) (arch) sarugaku (form of theatre popular in Japan during the 11th to 14th centuries)/(2) noh/
散楽 [さるごう] /(n) (1) (arch) sarugaku (form of theatre popular in Japan during the 11th to 14th centuries)/(2) fooling around/
散楽 [さんがく] /(n) form of ancient Chinese entertainment similar to a circus (brought to Japan during the Nara period)/
散形花序 [さんけいかじょ] /(n) umbellate inflorescence/umbel (i.e. flower with a large number of flowers growing radially from a common center)/
散見 [さんけん] /(n,vs) being seen here and there/
散光 [さんこう] /(n) scattered light/
散光星雲 [さんこうせいうん] /(n) diffuse nebula/
散骨 [さんこつ] /(n,vs) scattering of ashes (cremated remains)/(P)/
散骨希望 [さんこつきぼう] /(n) the wish to have one's ashes scattered/
散剤 [さんざい] /(n) powdered medicine/
散在 [さんざい] /(vs) to be scattered/to straggle/to be found here and there/
散在神経系 [さんざいしんけいけい] /(n) diffuse nervous system/
散財 [さんざい] /(n,vs) expense/waste of money/extravagance/
散策 [さんさく] /(n,vs) walking/strolling/(P)/
散散 [さんざん] /(adj-na,adv) (1) severely/harshly/utterly/terrible/(2) scattered/disconnected/
散蒔く [ばらまく] /(v5k,vt) (uk) to disseminate/to scatter/to give money freely/(P)/
散水 [さんすい] /(n,vs) sprinkling water over/irrigating/
散水車 [さんすいしゃ] /(n) sprinkler truck/
散切り [ざんぎり] /(n) cutting short/
散切り頭 [ざんぎりあたま] /(n) cropped head/
散村 [さんそん] /(n) dispersed rural settlement/
散大 [さんだい] /(n,vs) dilation (of the pupil)/
散弾 [さんだん] /(n) shot/buckshot/
散弾銃 [さんだんじゅう] /(n) shotgun/
散茶 [さんちゃ] /(n) (1) powdered tea/(2) freshly-brewed, aromatic tea/
散茶女郎 [さんちゃじょろう] /(n) prostitute from the Yoshiwara district of a fairly high rank (Edo period)/
散瞳 [さんどう] /(n) mydriasis/(excessive) dilation of the pupil/
散瞳薬 [さんどうやく] /(n) mydriatic agent/mydriatic drug/
散播き [ばらまき] /(n) (1) (uk) broadcasting (e.g. seed)/disseminating/(2) distributing (e.g. favours)/pork barrelling/
散播き政治 [ばらまきせいじ] /(n) money politics/pork-barrel politics/
散播く [ばらまく] /(v5k,vt) (uk) to disseminate/to scatter/to give money freely/
散発 [さんぱつ] /(n,vs) sporadic/scattering/(P)/
散発的 [さんぱつてき] /(adj-na) sporadic/
散髪 [さんぱつ] /(n,vs) hair-cutting/hair-dressing/(P)/
散髪屋 [さんぱつや] /(n) barber/barber shop/
散票 [さんぴょう] /(n) scattered votes/
散布 [さんぷ] /(n,vs) dissemination/scattering/sprinkling/spraying/(P)/
散布図 [さんぷず] /(n) scattergram/scatter diagram/
散布体 [さんぷたい] /(n) diaspore/
散布度 [さんぷど] /(n) (comp) irrelevance/prevarication/spread/
散布量 [さんぷりょう] /(n) (comp) irrelevance/prevarication/spread/
散文 [さんぶん] /(n,adj-no) (ling) prose/(P)/
散文詩 [さんぶんし] /(n) prose poem/
散文的 [さんぶんてき] /(adj-na) prosaic/
散兵 [さんぺい] /(n) skirmisher/
散兵線 [さんぺいせん] /(n) front line of (trenches for) deployed soldiers/
散歩 [さんぽ] /(n,vs) walk/stroll/(P)/
散歩道 [さんぽみち] /(n) promenade/walk/esplanade/
散歩日和 [さんぽびより] /(n) ideal weather for a walk/
散歩旁 [さんぽかたがた] /(n) while taking a walk/
散房花序 [さんぼうかじょ] /(n,adj-no) corymbose inflorescence/corymb/
散漫 [さんまん] /(adj-na,n) vague/desultory/distracted/loose/half-hearted/diffuse/(P)/
散薬 [さんやく] /(n) powdered medicine/
散乱 [さんらん] /(n,vs) dispersion/scattering/
散乱体 [さんらんたい] /(n) (physics) scatterer/
散乱反射 [さんらんはんしゃ] /(n) scatter reflections/
散蓮華 [ちりれんげ] /(n) (1) ceramic spoon/(2) fallen lotus petal/
散佚 [さんいつ] /(n,vs) (1) being scattered and ultimately lost/(2) (physics) dissipation/
桟 [えつり] /(n) (1) (abbr) sheathing (under thatched roofing)/(2) lath (used as a foundation for a mud plaster wall)/(3) decorative rafters (of alternating wood and bamboo)/
桟 [かけはし] /(n) (1) suspension bridge/viaduct/temporary bridge/(2) mediation/go-between/
桟 [さん] /(n) (1) frame (i.e. of a sliding door)/(2) crosspiece/bar/(3) sliding wooden bolt (for holding a door or window shut)/(4) rung (of a ladder)/
桟を打ちつける [さんをうちつける] /(exp,v1) to nail a crosspiece (to)/
桟を打ち付ける [さんをうちつける] /(exp,v1) to nail a crosspiece (to)/
桟橋 [さんきょう] /(n) wharf/bridge/jetty/pier/
桟橋 [さんばし] /(n) wharf/bridge/jetty/pier/(P)/
桟戸 [さんど] /(n) batten door/battened door/ledged door/strong door with crosspieces placed on the reverse side/
桟竹 [えつりだけ] /(n) (1) sheathing (under thatched roofing)/(2) decorative rafters (of alternating wood and bamboo)/
桟梯子 [さんばしご] /(n) gangway ladder/
桟唐戸 [さんからど] /(n) panelled wooden door/
桟道 [さんどう] /(n) plank road/corduroy/
桟俵 [さんだわら] /(n) straw lid covering either end of a rice container/
桟敷 [さじき] /(n) reviewing stand/box/gallery/
桟留縞 [さんとめじま] /(n) striped cotton fabric imported from Sao Tome, also copied in Japan/
燦 [さん] /(adj-t) brilliant/resplendant/
燦々 [さんさん] /(adj-t,adv-to) brilliant/bright/
燦燦 [さんさん] /(adj-t,adv-to) brilliant/bright/
燦然 [さんぜん] /(adj-t,adv-to) brilliant/radiant/
燦爛 [さんらん] /(adj-t,adv-to) brilliant/bright/radiant/
珊 [サンチ] /(n) (uk) (abbr) centimeter (esp. of cannon caliber, etc.)/
珊瑚 [さんご] /(n) coral/
珊瑚海 [さんごかい] /(n) Coral Sea/
珊瑚蛇 [さんごへび] /(n) (uk) coral snake/
珊瑚樹 [さんごじゅ] /(n) Viburnum odoratissimum/
珊瑚礁 [さんごしょう] /(n) coral reef/(P)/
珊瑚水木 [さんごみずき] /(n) (uk) Cornus alba/
産 [うぶ] /(adj-na,n,adj-no) (1) innocent/naive/unsophisticated/inexperienced/green/wet behind the ears/(n-pref) (2) birth-/
産 [さん] /(n) (1) (giving) birth/childbirth/delivery/confinement/(n,n-suf) (2) native of/product of/(3) assets/property/fortune/
産す [さんす] /(v5s,vi,vt) (1) to bear (a child)/to be born/(2) to produce/to yield/to be produced/to be yielded/
産す [むす] /(v5s,vi) to grow (of moss, etc.)/
産する [さんする] /(vs-s,vi,vt) (1) to bear (a child)/to be born/(2) to produce/to yield/to be produced/to be yielded/
産まず女 [うまずめ] /(n) (sens) barren (sterile) woman/
産まれる [うまれる] /(v1,vi) to be born/
産み [うみ] /(n) production/bringing into the world/(physical) birth/
産みつける [うみつける] /(v1,vt) to lay/to spawn/
産みの子 [うみのこ] /(n) (1) one's child/a child one has brought into the world/(2) (arch) descendant/
産み月 [うみづき] /(n) final month of pregnancy/
産み出す [うみだす] /(v5s,vt) (1) to create/to bring forth/to produce/(2) to invent/to think up and bring into being/(3) to give birth to/to bear/
産み付ける [うみつける] /(v1,vt) to lay/to spawn/
産み落とす [うみおとす] /(v5s,vt) to give birth to/to drop (calf or foal)/
産む [うむ] /(v5m,vt) to give birth/to deliver/to produce/(P)/
産む機械 [うむきかい] /(exp) baby-making machine (famously used by Health, Labour and Welfare Minister Yanagisawa Hakuo to refer to women)/
産れる [うまれる] /(v1,vi) to be born/
産を成す [さんをなす] /(exp,v5s) to amass a fortune/
産衣 [うぶぎ] /(n) clothes for a newborn baby/baby clothes/
産衣 [うぶぎぬ] /(n) clothes for a newborn baby/baby clothes/
産衣 [さんい] /(n) clothes for a newborn baby/baby clothes/
産院 [さんいん] /(n) maternity hospital/
産屋 [うぶや] /(n) (arch) maternity room/delivery room/
産科 [さんか] /(n,adj-no) obstetrics/(P)/
産科医 [さんかい] /(n) obstetrician/
産科医師 [さんかいし] /(n) obstetrician/
産科医療 [さんかいりょう] /(n) obstetric care/
産科学 [さんかがく] /(adj-na) obstetrics/
産学 [さんがく] /(n,adj-f) industry-academic/industry-university/
産学官 [さんがくかん] /(n,adj-no) industry-academic-government (cooperation, etc.)/
産学協同 [さんがくきょうどう] /(n) industry-university cooperation/
産学協同体 [さんがくきょうどうたい] /(n) educational-industrial complex/
産額 [さんがく] /(n) (amount of) production/
産官学 [さんかんがく] /(adj-f) industry, government and academia/
産環協 [さんかんきょう] /(n) (abbr) Japan Environmental Management Association for Industry/JEMAI/
産気 [さんけ] /(n) labor pains/labour pains/
産気づく [さんけづく] /(v5k) to go into labor/to go into labour/
産気付く [さんけづく] /(v5k) to go into labor/to go into labour/
産休 [さんきゅう] /(n) (abbr) maternity leave/
産業 [さんぎょう] /(n,adj-no) industry/(P)/
産業スパイ [さんぎょうスパイ] /(n) industrial espionage/
産業界 [さんぎょうかい] /(n) the industrial world/(P)/
産業革命 [さんぎょうかくめい] /(n) the Industrial Revolution/
産業環境管理協会 [さんぎょうかんきょうかんりきょうかい] /(n) Japan Environmental Management Association for Industry/JEMAI/
産業機械 [さんぎょうきかい] /(n) industrial machinery/
産業構造 [さんぎょうこうぞう] /(n) industrial structure/
産業再生 [さんぎょうさいせい] /(n) industrial revival or recovery/
産業資本 [さんぎょうしほん] /(n) industrial capital/
産業資本主義 [さんぎょうしほんしゅぎ] /(n) industrial capitalism/
産業社会 [さんぎょうしゃかい] /(n) industrial society/
産業政策 [さんぎょうせいさく] /(n) industrial policy/
産業組合 [さんぎょうくみあい] /(n) industrial association/industrial guild/
産業組織 [さんぎょうそしき] /(n) industrial organization/
産業廃棄物 [さんぎょうはいきぶつ] /(n) industrial waste/
産業別組合 [さんぎょうべつくみあい] /(n) industrial union (one relating to a specific industry or occupation)/vertical union/
産業予備軍 [さんぎょうよびぐん] /(n) (1) industrial reserve force/(2) the ranks of the unemployed/
産業連関表 [さんぎょうれんかんひょう] /(n) interindustry relations table/input-output table/
産業連関分析 [さんぎょうれんかんぶんせき] /(n) interindustry relations analysis/
産金 [さんきん] /(n) gold mining/
産軍複合体 [さんぐんふくごうたい] /(n) military-industrial complex/
産経新聞 [さんけいしんぶん] /(n) Sankei newspaper/
産後 [さんご] /(n-adv,n-t,adj-no) postpartum/after childbirth/
産後サポーター [さんごサポーター] /(n) postpartum pelvic support belt/
産児 [さんじ] /(n) newborn baby/childbirth/
産児制限 [さんじせいげん] /(n,adj-no) birth control/(P)/
産室 [さんしつ] /(n) maternity room/delivery room/
産出 [さんしゅつ] /(n,vs) yield/produce/
産出高 [さんしゅつだか] /(n) (amount of) production or output/
産出目標 [さんしゅつもくひょう] /(n) production target/
産女 [うぶめ] /(n) (obsc) woman in late pregnancy/woman on the point of giving birth/
産制 [さんせい] /(n) birth control/
産生 [さんせい] /(n,vs) production/
産声 [うぶごえ] /(n) baby's first cry/
産前 [さんぜん] /(n) prior to childbirth/
産前産後 [さんぜんさんご] /(n-t,adj-no) before and after childbirth/
産地 [さんち] /(n) producing area/(P)/
産着 [うぶぎ] /(n) clothes for a newborn baby/baby clothes/
産痛 [さんつう] /(n) labor pains/labour pains/
産土神 [うぶすながみ] /(n) guardian deity of one's birthplace/
産湯 [うぶゆ] /(n) a baby's first bath/
産道 [さんどう] /(n) birth canal/
産婆 [さんば] /(n) (obs) midwife/
産婆術 [さんばじゅつ] /(n) maieutics/
産廃 [さんぱい] /(n) industrial waste/
産品 [さんぴん] /(n) products/(P)/
産婦 [さんぷ] /(n) pregnant woman/woman on the point of childbirth/
産婦人科 [さんふじんか] /(n) maternity and gynaecology department (gynecology)/department of obstetrics and gynaecology (gynecology)/(P)/
産婦人科医 [さんふじんかい] /(n) obstetrician and gynecologist/
産物 [さんぶつ] /(n) product/result/fruit/(P)/
産別 [さんべつ] /(n) (abbr) industrial union/(P)/
産別会議 [さんべつかいぎ] /(n) Congress of Industrial Organizations (Organisation)/CIO/
産毛 [うぶげ] /(n) (1) soft, downy hair (i.e. such as on one's cheek)/peach fuzz/fluff/pappus/(2) lanugo/(adj-no) (3) lanuginous/pappose/pappous/
産油国 [さんゆこく] /(n) oil-producing countries (nations)/(P)/
産卵 [さんらん] /(n,vs) egg-laying/spawning/(P)/
産卵回遊 [さんらんかいゆう] /(n) spawning migration/
産卵管 [さんらんかん] /(n) ovipositor (tubular organ used for laying eggs)/
産卵期 [さんらんき] /(n) breeding or spawning season/
産卵口 [さんらんこう] /(n) vulva/vulvae/
産卵場所 [さんらんばしょ] /(n) egg-laying site/
産量 [さんりょう] /(n) output/(P)/
産褥 [さんじょく] /(n,adj-no) confinement (for childbirth)/
産褥期 [さんじょくき] /(n) (post-partum) confinement/
産褥熱 [さんじょくねつ] /(n) puerperal fever/
算 [さん] /(n) (1) divining sticks/(n,vs) (2) counting/calculation/
算える [かぞえる] /(v1,vt) to count/to enumerate/
算を置く [さんをおく] /(exp,v5k) to calculate/to divine/
算賀 [さんが] /(n) longevity celebration (on one's 40th, 50th, 60th, etc. birthday)/
算式 [さんしき] /(n) mathematical formula/numerical expression/
算式通り方式計算器 [さんしきどおりほうしきけいさんき] /(n) (comp) calculator with algebraic logic/
算出 [さんしゅつ] /(n,vs) calculation/computation/(P)/
算術 [さんじゅつ] /(n,adj-no) arithmetic/
算術けた送り [さんじゅつけたおくり] /(n) (comp) arithmetic shift/
算術レジスタ [さんじゅつレジスタ] /(n) (comp) arithmetic register/
算術演算 [さんじゅつえんざん] /(n) (comp) arithmetic operation/
算術演算機構 [さんじゅつえんざんきこう] /(n) (comp) arithmetic unit/ALU/
算術演算子 [さんじゅつえんざんし] /(n) (comp) arithmetic operator/
算術演算装置 [さんじゅつえんざんそうち] /(n) (comp) arithmetic unit/arithmetic logic unit/ALU/
算術演算命令 [さんじゅつえんざんめいれい] /(n) (comp) arithmetic instruction/
算術加算 [さんじゅつかさん] /(n) (comp) arithmetic addition/
算術級数 [さんじゅつきゅうすう] /(n) arithmetical progression/
算術計算 [さんじゅつけいさん] /(n,vs) arithmetical computation/(performing) an arithmetical operation/
算術作用素 [さんじゅつさようそ] /(n) (comp) arithmetic operator/
算術式 [さんじゅつしき] /(n) (comp) arithmetic expression/
算術乗算 [さんじゅつじょうざん] /(n) (comp) arithmetic multiplication/
算術文 [さんじゅつぶん] /(n) (comp) arithmetic statement/
算術平均 [さんじゅつへいきん] /(n) arithmetic mean/
算術命令 [さんじゅつめいれい] /(n) (comp) arithmetic instruction/arithmetic statement/
算術論理演算機構 [さんじゅつろんりえんざんきこう] /(n) (comp) arithmetic and logic unit/ALU/
算術論理演算装置 [さんじゅつろんりえんざんそうち] /(n) (comp) arithmetic and logic unit/ALU/
算術和 [さんじゅつわ] /(n) (comp) arithmetic sum/
算数 [さんすう] /(n,adj-no) arithmetic/(P)/
算体 [さんたい] /(n) (comp) (computer) object/
算段 [さんだん] /(n,vs) contriving/managing/raising (money)/
算定 [さんてい] /(n,vs,adj-no) calculation/estimation/computation/(P)/
算程 [さんてい] /(n) (comp) (computer) process/
算道 [さんどう] /(n) study of calculation (ritsuryo period)/the way of calculation/
算入 [さんにゅう] /(n,vs) factoring in/including/
算盤 [そろばん] /(n) abacus/(P)/
算盤勘定 [そろばんかんじょう] /(n) counting on the abacus/cost-benefit (profitability) calculation/
算盤高い [そろばんだかい] /(adj-i) calculating/miserly/
算譜 [さんぷ] /(n) (comp) (computer) program/programme/
算法 [さんぽう] /(n) arithmetic/algorithm/
算法言語 [さんぽうげんご] /(n) (comp) algorithmic language/
算木 [さんぎ] /(n) (1) sticks used for calculations/(2) divining rods/
算用 [さんよう] /(n,vs) computation/calculation/
算用数字 [さんようすうじ] /(n) Arabic numeral/
算籌 [さんちゅう] /(n) (obsc) sticks used for counting/
纂奪 [さんだつ] /(iK) (n) (1) usurpation/(vs) (2) to usurp/
蚕 [かいこ] /(n) (uk) silkworm (Bombyx Mori)/(P)/
蚕蛾 [かいこが] /(n) (uk) silkworm moth/silk moth (Bombyx mori)/
蚕業 [さんぎょう] /(n) sericulture/
蚕具 [さんぐ] /(n) sericultural equipment/
蚕座 [さんざ] /(n) silkworm basket/
蚕糸 [さんし] /(n) silk thread/silk yarn/(P)/
蚕糸業 [さんしぎょう] /(n) sericulture industry/
蚕糸試験所 [さんししけんじょ] /(n) silk experiment station/
蚕紙 [さんし] /(n) silkworm-egg paper/
蚕児 [さんじ] /(n) silkworm/
蚕室 [さんしつ] /(n) silkworm-raising room/
蚕種 [さんしゅ] /(n) silkworm-egg card/
蚕食 [さんしょく] /(n,vs) encroachment/invasion/aggression/
蚕豆 [そらまめ] /(n) broad bean/horse bean/fava bean/
蚕卵 [さんらん] /(n) silkworm egg/
蚕卵紙 [さんらんし] /(n) silkworm-egg paper/
讃 [さん] /(n) (1) praise/tribute/(2) inscription (on a painting)/
讃える [たたえる] /(v1,vt) to extol/to give praise/
讃歌 [さんか] /(n) song of praise/eulogy/paean/hymn/
讃賞 [さんしょう] /(n,vs) praise/
讃美 [さんび] /(n,vs,adj-no) praise/adoration/glorification/
讃美歌 [さんびか] /(n) hymn/hymnal/
賛 [さん] /(n) (1) praise/tribute/(2) inscription (on a painting)/(P)/
賛意 [さんい] /(n) approval/assent/(P)/
賛歌 [さんか] /(n) song of praise/eulogy/paean/hymn/(P)/
賛辞 [さんじ] /(n) eulogy/compliment/(P)/
賛助 [さんじょ] /(n,vs) support/patronage/(P)/
賛助員 [さんじょいん] /(n) backer/supporter/
賛助会員 [さんじょかいいん] /(n) supporting member/
賛成 [さんせい] /(n,vs,adj-no) approval/agreement/support/favour/favor/(P)/
賛成意見 [さんせいいけん] /(n) consenting opinion/
賛成者 [さんせいしゃ] /(n) supporter/
賛成多数 [さんせいたすう] /(n,vs) majority (vote)/
賛成票 [さんせいひょう] /(n) affirmative vote/yes vote/aye/
賛成論 [さんせいろん] /(n) supporting argument/
賛嘆 [さんたん] /(n,vs) praise/admiration/repeatedly crying/
賛同 [さんどう] /(n,vs) approval/endorsement/(P)/
賛否 [さんぴ] /(n) yes and no/for and against/(P)/
賛否同票 [さんぴどうひょう] /(n) tie vote/
賛否両論 [さんぴりょうろん] /(n,adj-no) the pros and cons/
賛美 [さんび] /(n,vs,adj-no) praise/adoration/glorification/(P)/
賛美歌 [さんびか] /(n) hymn/hymnal/
酸 [さん] /(n) (1) acid/(2) sourness/sour taste/(P)/
酸 [す] /(n) vinegar/
酸い [すい] /(adj-i) sour/acid/
酸いも甘いも噛み分ける [すいもあまいもかみわける] /(exp,v1) to be experienced in the ways of the world/to taste the bitter and the sweet/
酸っぱい [すっぱい] /(adj-i) sour/acid/(P)/
酸とアルカリ [さんとアルカリ] /(n) acid and alkali/
酸塩化物 [さんえんかぶつ] /(n) acid chloride/
酸塩基指示薬 [さんえんきしじやく] /(n) acid-base indicator/
酸塩基平衡 [さんえんきへいこう] /(n) acid-base equilibrium/
酸化 [さんか] /(n,vs,adj-no) oxidation/(P)/
酸化アルミニウム [さんかアルミニウム] /(n) aluminum oxide (Al2O3)/aluminium oxide/alumina/
酸化カルシウム [さんかカルシウム] /(n) calcium oxide (CaO)/
酸化クロム [さんかクロム] /(n) chromium oxide (esp. Cr2O3 and CrO3)/
酸化ジルコニウム [さんかジルコニウム] /(n) zirconium oxide/zirconia/
酸化ストレス [さんかストレス] /(n) oxidative stress/
酸化チタン [さんかチタン] /(n) titanium oxide/
酸化バリウム [さんかバリウム] /(n) barium oxide (BaO)/
酸化ヒ素 [さんかヒそ] /(n) (1) (chem) arsenic trioxide/white arsenic (As2O3)/(2) arsenic pentoxide (As2O5)/
酸化マグネシウム [さんかマグネシウム] /(n) magnesium oxide (MgO)/magnesia/
酸化亜鉛 [さんかあえん] /(n) zinc oxide (ZnO)/
酸化還元 [さんかかんげん] /(n) oxidation-reduction/
酸化還元酵素 [さんかかんげんこうそ] /(n) oxidoreductase/
酸化還元反応 [さんかかんげんはんのう] /(n) oxidation-reduction reaction/
酸化酵素 [さんかこうそ] /(n) oxidase/
酸化剤 [さんかざい] /(n) oxidizing agent/oxidant/oxidizer/
酸化錫 [さんかすず] /(n) (1) stannous oxide (SnO)/(2) stannic oxide (SnO2)/
酸化水銀 [さんかすいぎん] /(n) (1) mercurous oxide (Hg2O)/(2) mercuric oxide (HgO)/
酸化数 [さんかすう] /(n) oxidation number/
酸化炭素 [さんかたんそ] /(n) (1) carbon oxide/(2) hypercapnia/hypercarbia/hypocapnia/
酸化窒素 [さんかちっそ] /(n) nitrogen oxide (esp. nitric oxide, but also nitrous oxide, nitrogen dioxide, dinitrogen pentoxide, etc.)/
酸化的 [さんかてき] /(adj-na) oxidative/
酸化的リン酸化 [さんかてきリンさんか] /(n) oxidative phosphorylation/
酸化的燐酸化 [さんかてきりんさんか] /(n) oxidative phosphorylation/
酸化鉄 [さんかてつ] /(n) iron oxide/
酸化銅 [さんかどう] /(n) copper oxide (i.e. cuprous oxide, cupric oxide)/
酸化物 [さんかぶつ] /(n) oxide/
酸化防止剤 [さんかぼうしざい] /(n) antioxidant/
酸化砒素 [さんかひそ] /(n) (1) (chem) arsenic trioxide/white arsenic (As2O3)/(2) arsenic pentoxide (As2O5)/
酸価 [さんか] /(n) acid value/
酸塊 [すぐり] /(n) (1) (uk) gooseberry/currant/(2) (uk) plants from the Ribes genus/
酸基 [さんき] /(n) acid radical/
酸橘 [すだち] /(n) (uk) sudachi (species of Japanese citrus, Citrus sudachi)/
酸欠 [さんけつ] /(n,adj-no) lack of oxygen/oxygen deprivation/suffocation/
酸欠空気 [さんけつくうき] /(n) oxygen-deficient air/
酸血症 [さんけっしょう] /(n) acidosis/
酸実 [ずみ] /(n) (uk) Toringo crabapple (Malus sieboldii)/
酸性 [さんせい] /(n) (1) acidity/(adj-no) (2) acidic/(P)/
酸性雨 [さんせいう] /(n) acid rain/
酸性塩 [さんせいえん] /(n) acid salt/
酸性化 [さんせいか] /(n,vs) acidification/
酸性岩 [さんせいがん] /(n) acidic rock/
酸性血症 [さんせいけつしょう] /(n) acidosis/
酸性酸化物 [さんせいさんかぶつ] /(n) acidic oxide/
酸性紙 [さんせいし] /(n) acidic paper/
酸性食品 [さんせいしょくひん] /(n) acid(ic) foods/
酸性泉 [さんせいせん] /(n) acidic spring/
酸性染料 [さんせいせんりょう] /(n) acid dye/
酸性土 [さんせいど] /(n) acid soil/
酸性土壌 [さんせいどじょう] /(n) acid soil/
酸性白土 [さんせいはくど] /(n) (Japanese) acid clay/
酸性反応 [さんせいはんのう] /(n) acid reaction/
酸性肥料 [さんせいひりょう] /(n) acid fertilizer/acid fertiliser/
酸素 [さんそ] /(n,adj-no) oxygen/(P)/
酸素アセチレン炎 [さんそアセチレンえん] /(n) oxyacetylene flame/
酸素テント [さんそテント] /(n) oxygen tent/
酸素マスク [さんそマスク] /(n) oxygen mask/
酸素化 [さんそか] /(n,vs) oxygenation/
酸素吸入 [さんそきゅうにゅう] /(n) oxygen inhalation/
酸素供給 [さんそきょうきゅう] /(n) oxygen supply/
酸素欠乏 [さんそけつぼう] /(n) oxygen deficiency/anoxia/hypoxia/
酸素呼吸 [さんそこきゅう] /(n) aerobic respiration/
酸素酸 [さんそさん] /(n) (obs) oxoacid/
酸素添加酵素 [さんそてんかこうそ] /(n) (obsc) oxygenase/
酸素透過率 [さんそとうかりつ] /(exp) oxygen transmission rate/OTR/
酸素負債 [さんそふさい] /(n) oxygen debt/
酸中毒 [さんちゅうどく] /(n) acid poisoning/
酸度 [さんど] /(n) acidity/
酸桃 [すもも] /(n) Japanese plum/prune/Prunus salicina/
酸敗 [さんぱい] /(n,vs) acidification/
酸鼻 [さんび] /(adj-na,n) appalling/awful/extreme pain/deep sorrow/
酸味 [さんみ] /(n,adj-no) sourness/acidity/(P)/
酸模 [すかんぽ] /(n) garden (cock) sorrel/sour dock/
酸類 [さんるい] /(n) acids/
酸漿 [かがち] /(ok) (n) (uk) ground cherry (Physalis alkekengi var. franchetii)/husk tomato/Chinese lantern plant/
酸漿 [ぬかずき] /(ok) (n) (uk) ground cherry (Physalis alkekengi var. franchetii)/husk tomato/Chinese lantern plant/
酸漿 [ほうずき] /(ik) (n) (uk) ground cherry (Physalis alkekengi var. franchetii)/husk tomato/Chinese lantern plant/
酸漿 [ほおずき] /(n) (uk) ground cherry (Physalis alkekengi var. franchetii)/husk tomato/Chinese lantern plant/
酸漿 [ほおづき] /(n) (uk) ground cherry (Physalis alkekengi var. franchetii)/husk tomato/Chinese lantern plant/
酸漿貝 [ほおずきがい] /(n) (uk) (obsc) lampshell (excluding the lingulate brachiopods)/lamp shell/
餐 [さん] /(n) (arch) dining/
餐 [ざん] /(n) (arch) dining/
斬 [ざん] /(n) (obsc) beheading/decapitation/
斬りつける [きりつける] /(v1,vt) to cut at/to slash at/
斬り掛かる [きりかかる] /(v5r) to assault with a sword/to stab at/
斬り合う [きりあう] /(v5u,vi) to fight with swords/to cross swords/
斬り刻む [きりきざむ] /(v5m,vt) to hew/to chop up/to mangle/to mince/
斬り込み [きりこみ] /(n) (1) cut/notch/(2) raid/attack/
斬り込む [きりこむ] /(v5m,vi) (1) to cut into/to cut up/(2) to raid/to attack/
斬り殺す [きりころす] /(v5s,vt) to slay/to put somebody to the sword/
斬り散らす [きりちらす] /(v5s,vt) to cut down all/to slash promiscuously/
斬り死に [きりじに] /(n,vs) (sens) fighting to the death (with swords)/
斬り捨てる [きりすてる] /(v1,vt) (1) to cut down/to slay/(2) to truncate/to round down/to round off/(3) to omit/to discard/to cast away/
斬り捨て御免 [きりすてごめん] /(n) right of samurai to kill commoners for perceived affronts (Edo period)/
斬り取り [きりとり] /(n) (1) cutting/tearing off/cutting off/clipping/(2) robbery with assault/burglary/
斬り倒す [きりたおす] /(v5s,vt) to cut down/to chop down/to fell/
斬り破る [きりやぶる] /(v5r,vt) to cut to pieces/
斬り付ける [きりつける] /(v1,vt) to cut at/to slash at/
斬り払う [きりはらう] /(v5u,vt) to clear away/to clear land/to prune/to lop off/
斬り返す [きりかえす] /(v5s,vt) (1) to slash back/(2) to strike back/to counterattack/to retort/(3) to cut the wheel/(4) to perform a twisting backward knee trip (in sumo)/
斬る [きる] /(v5r) to kill (a human) using a blade (sword, machete, knife, etc.)/to slice (off)/to lop (off)/to cut (off)/
斬撃 [ざんげき] /(n,vs) slash/slashing attack/
斬刻む [きりきざむ] /(v5m,vt) to hew/to chop up/to mangle/to mince/
斬罪 [ざんざい] /(n) (execution by) decapitation/
斬殺 [ざんさつ] /(n,vs) putting to the sword/
斬捨て御免 [きりすてごめん] /(n) right of samurai to kill commoners for perceived affronts (Edo period)/
斬捨御免 [きりすてごめん] /(io) (n) right of samurai to kill commoners for perceived affronts (Edo period)/
斬取り [きりとり] /(n) (1) cutting/tearing off/cutting off/clipping/(2) robbery with assault/burglary/
斬首 [ざんしゅ] /(n,vs) decapitated head/decapitation/
斬首刑 [ざんしゅけい] /(n) decapitation/
斬新 [ざんしん] /(adj-na,n) novel/original/newness/
斬新奇抜 [ざんしんきばつ] /(n) novel/unconventional/cutting-edge/
斬鉄剣 [ざんてつけん] /(n) sword that cuts iron/
斬馬刀 [ざんばとう] /(n) (MA) zanbato/a type of long sword/
斬奸状 [ざんかんじょう] /(n) letter explaining the reasons for cutting down an alleged villain/assassin's written vindication of his killing/
暫く [しばらく] /(adv,adj-no) (1) (uk) little while/short while/moment/instant/(2) a while/quite a time/(int) (3) it's been a long time/(P)/
暫くして [しばらくして] /(exp) after a short time/presently/
暫くすると [しばらくすると] /(exp) a short time later/
暫くの間 [しばらくのあいだ] /(exp,adv) for a short while/for a while/for some time/for the time being/
暫く振り [しばらくぶり] /(n,adv) (uk) long interval of time/
暫し [しばし] /(adv) (uk) for a short while/for a brief period/
暫らく [しばらく] /(io) (adv,adj-no) (1) (uk) little while/short while/moment/instant/(2) a while/quite a time/(int) (3) it's been a long time/
暫時 [ざんじ] /(adv,n,adj-no) short while/
暫定 [ざんてい] /(n,pref,adj-no) tentative/temporary/(P)/
暫定案 [ざんていあん] /(n) provisional plan/
暫定協定 [ざんていきょうてい] /(n) provisional agreement/
暫定政府 [ざんていせいふ] /(n) interim government/
暫定措置 [ざんていそち] /(n) temporary step/stopgap measure/
暫定的 [ざんていてき] /(adj-na) temporary/provisional/
暫定内閣 [ざんていないかく] /(n) caretaker government/
暫定予算 [ざんていよさん] /(n) provisional budget/
残 [ざん] /(n,pref) remaining/left-over/excess/
残す [のこす] /(v5s,vt) to leave (behind, over)/to bequeath/to save/to reserve/(P)/
残った [のこった] /(int) not yet/
残った分 [のこったぶん] /(n) amount left over/(P)/
残らず [のこらず] /(adv) all/entirely/completely/without exception/(P)/
残り [のこり] /(n,adj-no) remnant/residue/remaining/left-over/(P)/
残りすくない [のこりすくない] /(adj-i) scarce/few remaining/
残り火 [のこりび] /(n) embers/
残り香 [のこりが] /(n) lingering scent (of, from)/
残り少ない [のこりすくない] /(adj-i) scarce/few remaining/
残り惜しい [のこりおしい] /(adj-i) regrettable/reluctant/
残り物 [のこりもの] /(n) leftovers (esp. food)/remnants/
残る [のこる] /(v5r,vi) to remain/to be left/(P)/
残んの [のこんの] /(adj-pn) remaining/
残圧計 [ざんあつけい] /(n) submersible pressure gauge (diving)/SPG/
残影 [ざんえい] /(n) traces/remnants/
残炎 [ざんえん] /(n) (1) lingering heat (in autumn)/(2) remaining flame/
残焔 [ざんえん] /(n) (1) lingering heat (in autumn)/(2) remaining flame/
残花 [ざんか] /(n) (last) flower remaining in bloom/
残骸 [ざんがい] /(n) ruins/wreckage/
残額 [ざんがく] /(n) remaining amount/balance (of an account)/
残寒 [ざんかん] /(n) lingering cold (even after the beginning of spring)/lingering winter/
残基 [ざんき] /(n) residue/
残機 [ざんき] /(n) remaining lives (in video games)/
残菊 [ざんぎく] /(n) late chrysanthemums/
残虐 [ざんぎゃく] /(adj-na,n) cruelty/brutality/(P)/
残虐非道 [ざんぎゃくひどう] /(n,adj-na) inhumanity/atrocity/
残虐無道 [ざんぎゃくむどう] /(n,adj-na) inhumanity/atrocity/
残響 [ざんきょう] /(n) reverberation/echo/
残業 [ざんぎょう] /(n,vs) overtime (work)/(P)/
残業手当 [ざんぎょうてあて] /(n) overtime pay/
残金 [ざんきん] /(n) remaining money/
残月 [ざんげつ] /(n) moon visible in the morning/
残光 [ざんこう] /(n) afterglow/
残香 [ざんこう] /(n) lingering scent/
残高 [ざんだか] /(n) (bank) balance/remainder/(P)/
残酷 [ざんこく] /(adj-na,n) cruelty/harshness/(P)/
残酷非道 [ざんこくひどう] /(n,adj-na) inhumanity/atrocity/abominable cruelty/
残痕 [ざんこん] /(n) vestige/scar/
残菜 [ざんさい] /(n) kitchen waste/vegetable scraps/
残暑 [ざんしょ] /(n) lingering summer heat/(P)/
残暑見舞い [ざんしょみまい] /(n) late-summer greeting card/
残照 [ざんしょう] /(n) afterglow/
残心 [ざんしん] /(n) follow-through (e.g. in archery)/
残生 [ざんせい] /(n) the remainder of one's life/
残雪 [ざんせつ] /(n) remaining snow/lingering snow/
残像 [ざんぞう] /(n) afterimage/imprint/
残存 [ざんそん] /(n,vs) remaining/survival/residue/residual/(P)/
残存 [ざんぞん] /(n,vs) remaining/survival/residue/residual/
残存者 [ざんそんしゃ] /(n) survivor/holdover/
残存者 [ざんぞんしゃ] /(n) survivor/holdover/
残存種 [ざんぞんしゅ] /(n) relict/
残存日数 [ざんそんにっすう] /(n) days remaining/days until maturity/
残置 [ざんち] /(n,vs) left behind (for later use)/
残柱 [ざんちゅう] /(n) pillar/
残敵 [ざんてき] /(n) remnants of an enemy army/
残土 [ざんど] /(n) earth dug out of a construction site/
残党 [ざんとう] /(n) remnants (of a defeated political party)/refugees/
残尿 [ざんにょう] /(n) urine remaining in the bladder after urination/
残尿感 [ざんにょうかん] /(n) feeling that one's bladder has not been completely emptied/
残忍 [ざんにん] /(adj-na,n) cruelty/atrocity/brutality/(P)/
残忍酷薄 [ざんにんこくはく] /(n,adj-na) cruel/brutal/atrocious/merciless/
残忍性 [ざんにんせい] /(n) brutal (nature)/
残忍非情 [ざんにんひじょう] /(n,adj-na) utterly callous/atrociously brutal/cruel and inhuman/
残忍非道 [ざんにんひどう] /(n,adj-na) cruel and inhuman/brutal/merciless/
残忍冷酷 [ざんにんれいこく] /(n,adj-na) atrocious and cold-blooded/cruel/brutal/merciless/
残念 [ざんねん] /(adj-na,n) deplorable/bad luck/regret/disappointment/(P)/
残念ながら [ざんねんながら] /(exp) I'm afraid to say/I'm sorry to say/unfortunately/
残念なことに [ざんねんなことに] /(exp) unfortunately/
残念な事に [ざんねんなことに] /(exp) unfortunately/
残念至極 [ざんねんしごく] /(n,adj-na) deep regret/bitter disappointment/chagrin/vexation/
残念賞 [ざんねんしょう] /(n) consolation or booby prize/
残念無念 [ざんねんむねん] /(n,adj-na) deep regret/bitter disappointment/chagrin/vexation/
残飯 [ざんぱん] /(n) food scraps/garbage/
残品 [ざんぴん] /(n) remaining stock/
残品整理 [ざんぴんせいり] /(n) clearance sale/
残部 [ざんぶ] /(n) remainder/the rest/
残物 [ざんぶつ] /(n) remnant/scraps/leftovers/
残兵 [ざんぺい] /(n) remnants of a defeated army/
残片 [ざんぺん] /(n) fragment/remnant/
残務 [ざんむ] /(n) remaining business/
残務整理 [ざんむせいり] /(n) liquidation (of a company)/finishing remaining business/
残余 [ざんよ] /(n,adj-no) remainder/the rest/residue/
残余額 [ざんよがく] /(n) the balance/
残留 [ざんりゅう] /(n,vs,adj-no) (1) residual/residue/(2) stay behind/stay back/(P)/
残留応力 [ざんりゅうおうりょく] /(n) residual stress/
残留性有機汚染物質 [ざんりゅうせいゆうきおせんぶっしつ] /(n) persistent organic pollutant/POP/
残留熱除去 [ざんりゅうねつじょきょ] /(n) residual heat removal/RHR/
残量 [ざんりょう] /(n) remaining quantity/residual quantity/
残塁 [ざんるい] /(n,vs) remnant fort/left on base (baseball)/(P)/
残喘 [ざんぜん] /(n) (arch) the remainder of one's life/
残渣 [ざんさ] /(n) (1) residue/(adj-no) (2) residual/
残滓 [ざんさい] /(n,adj-no) remains/dregs/vestiges/
残滓 [ざんし] /(n,adj-no) remains/dregs/vestiges/
仕 [し] /(n) official/civil service/
仕える [つかえる] /(v1,vi) to serve/to work for/to attend/(P)/
仕え女 [つかえめ] /(n) maidservant/
仕え奉る [つかえまつる] /(v5r) (pol) to serve/to build as commanded/
仕かける [しかける] /(v1,vt) to commence/to lay (mines)/to set (traps)/to wage (war)/to challenge/
仕なおす [しなおす] /(v5s) to do over/to remake/to resume/
仕る [つかまつる] /(v5r,vi) (pol) to serve/to do/
仕を致す [しをいたす] /(exp,v5s) to resign/
仕掛 [しかけ] /(n) device/contrivance/trick/mechanism/gadget/(small) scale/half finished/commencement/set up/challenge/attack/
仕掛かり [しかかり] /(n) commencement/
仕掛かり品 [しかかりひん] /(n) work in progress/WIP/goods in process/
仕掛かる [しかかる] /(v5r,vt) (1) to start something/(2) to have started something, but not yet finished it/
仕掛け [しかけ] /(n) device/contrivance/trick/mechanism/gadget/(small) scale/half finished/commencement/set up/challenge/attack/(P)/
仕掛ける [しかける] /(v1,vt) to commence/to lay (mines)/to set (traps)/to wage (war)/to challenge/(P)/
仕掛け花火 [しかけはなび] /(n) fireworks piece/
仕掛け絵本 [しかけえほん] /(n) pop-up book/
仕掛け人 [しかけにん] /(n) instigator/
仕掛け品 [しかけひん] /(n) work in progress/WIP/goods in process/
仕掛け物 [しかけもの] /(n) implements used to enhance the effect of a play (e.g. props, costumes, etc.)/
仕掛り品 [しかかりひん] /(n) work in progress/WIP/goods in process/
仕掛る [しかかる] /(v5r,vt) (1) to start something/(2) to have started something, but not yet finished it/
仕掛絵本 [しかけえほん] /(n) pop-up book/
仕掛地雷 [しかけじらい] /(n) booby trap/
仕掛品 [しかかりひん] /(n) work in progress/WIP/goods in process/
仕掛品 [しかけひん] /(n) work in progress/WIP/goods in process/
仕掛物 [しかけもの] /(n) implements used to enhance the effect of a play (e.g. props, costumes, etc.)/
仕官 [しかん] /(n,vs) government service/samurai's service/
仕儀 [しぎ] /(n) situation/developments/outcome/
仕業 [しわざ] /(n) act/action/deed/(P)/
仕形 [しかた] /(n) way/method/means/resource/course/
仕形噺 [しかたばなし] /(n) talking with gestures/
仕兼ねない [しかねない] /(adj-i) (uk) capable of anything/liable to do/
仕兼ねる [しかねる] /(v1) (uk) to be reluctant to do/to hesitate to do/to refuse to do/to be unable to do/
仕懸かる [しかかる] /(v5r,vt) (1) to start something/(2) to have started something, but not yet finished it/
仕懸る [しかかる] /(v5r,vt) (1) to start something/(2) to have started something, but not yet finished it/
仕口 [しくち] /(n) method/way/
仕向け [しむけ] /(n) delivery/sending/treatment/
仕向ける [しむける] /(v1,vt) to induce/to tempt/to treat/to act toward/to handle (men)/to send/to forward to/
仕向る [しむける] /(io) (v1,vt) to induce/to tempt/to treat/to act toward/to handle (men)/to send/to forward to/
仕合 [しあい] /(ateji) (n,vs) match/game/bout/contest/
仕合せ [しあわせ] /(adj-na,n) happiness/good fortune/luck/blessing/
仕合せ者 [しあわせもの] /(n) fortunate person/
仕合わせ [しあわせ] /(adj-na,n) happiness/good fortune/luck/blessing/
仕合わせ者 [しあわせもの] /(n) fortunate person/
仕込 [しこみ] /(n) training/stocking up/preparation/
仕込み [しこみ] /(n) training/stocking up/preparation/(P)/
仕込み桶 [しこみおけ] /(n) vat for making rice wine/
仕込み杖 [しこみづえ] /(n) sword cane/
仕込む [しこむ] /(v5m,vt) (1) to train/to teach/to educate/(2) to acquire (information)/to learn/to cram/(3) to stock/to stock up on/(4) to prepare (esp. ingredients for brewing)/(5) to insert/to build into/to fit/
仕済ます [しすます] /(v5s,vt) (uk) to succeed as planned/to carry through/to accomplish/
仕始める [しはじめる] /(v1,vt) to begin/to start/
仕事 [しごと] /(n,vs,adj-no) (1) work/job/business/occupation/employment/vocation/task/(2) (physics) work/(P)/
仕事で忙しい [しごとでいそがしい] /(exp,adj-i) busy with one's work/
仕事にかかる [しごとにかかる] /(exp,v5r) to get to work/
仕事に応募する [しごとにおうぼする] /(exp,vs-i) to apply for a job/to apply for work/
仕事に掛かる [しごとにかかる] /(exp,v5r) to get to work/
仕事に堪える [しごとにたえる] /(exp,v1) to be fit for work/
仕事に勤しむ [しごとにいそしむ] /(exp,v5m) to be assiduous in one's business/
仕事の鬼 [しごとのおに] /(n) work fiend/devil for work/
仕事ぶり [しごとぶり] /(n) the way one works/
仕事をやめる [しごとをやめる] /(exp,v1) to quit one's job/to resign/
仕事を済ます [しごとをすます] /(exp,v5s) to finish one's work/
仕事を辞める [しごとをやめる] /(exp,v1) to quit one's job/to resign/
仕事を上げる [しごとをあげる] /(exp,v1) to finish the work/
仕事一筋 [しごとひとすじ] /(n) living only for one's work/a life with no other interest than one's work/
仕事一途 [しごといちず] /(n,adj-na,adj-no) singlemindedly devoted to work/
仕事運 [しごとうん] /(n) one's fate (fortune) as concerns business/
仕事口 [しごとぐち] /(n) work opening/work position/
仕事始 [しごとはじめ] /(io) (n) resuming work after the New Year's vacation/first time that one works in the year/
仕事始め [しごとはじめ] /(n) resuming work after the New Year's vacation/first time that one works in the year/(P)/
仕事師 [しごとし] /(n) workman/enterpriser/schemer/
仕事場 [しごとば] /(n) place where one works/construction site/working area/(P)/
仕事振り [しごとぶり] /(n) the way one works/
仕事人間 [しごとにんげん] /(n) fiend for work/workaholic/career-minded person/
仕事台 [しごとだい] /(n) workbench/work table/
仕事第一主義 [しごとだいいちしゅぎ] /(n) workaholism/
仕事探し [しごとさがし] /(n) job hunting/job searching/
仕事着 [しごとぎ] /(n) work clothes/business suit/
仕事中 [しごとちゅう] /(n) at work/in the midst of work/working/(P)/
仕事中毒 [しごとちゅうどく] /(n) workaholism/
仕事中毒者 [しごとちゅうどくしゃ] /(n) workaholic/
仕事日 [しごとび] /(n) work day/
仕事箱 [しごとばこ] /(n) workbox/
仕事部屋 [しごとべや] /(n) workroom/
仕事柄 [しごとがら] /(n) for work/work-related/
仕事量 [しごとりょう] /(n) (one's) workload/amount of work (to be) done by one/
仕手 [して] /(n) (1) doer/performer/(2) (uk) protagonist (in noh or kyogen)/hero/leading part/main character/(3) speculator (in trading)/(P)/
仕手株 [してかぶ] /(n) speculative stock/
仕手戦 [してせん] /(n) large-scale speculative go-around/
仕手相場 [してそうば] /(n) speculators' (speculative) market/
仕種 [しぐさ] /(n) action/acting/gesture/bearing/treatment/behavior/behaviour/
仕出かす [しでかす] /(v5s,vt) (uk) to make a mess/to perpetrate/to do/to finish up/to be guilty of/
仕出し [しだし] /(n) catering/shipment/
仕出し屋 [しだしや] /(n) caterer/
仕出し弁当 [しだしべんとう] /(n) box lunches for delivery/catering meal/
仕出す [しだす] /(v5s,vt) to begin to do/cater/
仕出来す [しでかす] /(v5s,vt) (uk) to make a mess/to perpetrate/to do/to finish up/to be guilty of/
仕初 [しぞめ] /(n) (1) outset/beginning/starting (things)/(2) resuming work after the New Year's vacation/
仕初め [しぞめ] /(n) (1) outset/beginning/starting (things)/(2) resuming work after the New Year's vacation/
仕上 [しあげ] /(n) end/finishing touches/being finished/
仕上がり [しあがり] /(n) finish/end/completion/(P)/
仕上がる [しあがる] /(v5r,vi) to be finished/to be completed/to be done/
仕上げ [しあげ] /(n) end/finishing touches/being finished/(P)/
仕上げる [しあげる] /(v1,vt) to finish up/to complete/(P)/
仕上げ工 [しあげこう] /(n) finisher/
仕上げ払い [しあげばらい] /(n) piecework pay/
仕上る [しあがる] /(v5r,vi) to be finished/to be completed/to be done/
仕上工 [しあげこう] /(n) finishing workman/
仕遂げる [しとげる] /(v1,vt) to accomplish/to finish/to fulfill/
仕切り [しきり] /(n) partition/division/boundary/compartment/settlement of accounts/toeing the mark/(P)/
仕切り書 [しきりしょ] /(n) consolidated monthly invoice/itemized invoice/itemised invoice/statement of accounts/
仕切り線 [しきりせん] /(n) starting lines in the sumo ring/
仕切り値段 [しきりねだん] /(n) invoice price/
仕切り直し [しきりなおし] /(n) (1) getting poised again for charging (sumo)/toeing the mark again/(2) starting again/getting a fresh start/going back to square one/
仕切り売買 [しきりばいばい] /(n) transactions on dealer's terms/
仕切り板 [しきりいた] /(n) (1) partition board/plank used as a partition/(2) board used in a ship to prevent the cargo from moving around/
仕切る [しきる] /(v5r,vt) (1) to partition/to divide/to mark off/to itemize/(2) to direct/to take control/to manage/to take responsibility/(3) to settle accounts/(4) to toe the mark/
仕切れない [しきれない] /(adj-i) impossible to do/
仕切書 [しきりしょ] /(n) consolidated monthly invoice/itemized invoice/itemised invoice/statement of accounts/
仕切値段 [しきりねだん] /(n) invoice price/
仕組 [しくみ] /(n,vs) (1) structure/construction/arrangement/contrivance/(2) plan/plot/contrivance/
仕組み [しくみ] /(n,vs) (1) structure/construction/arrangement/contrivance/(2) plan/plot/contrivance/(P)/
仕組む [しくむ] /(v5m,vt) to devise/to arrange/to plan/to plot/
仕組債 [しくみさい] /(n) structured bond/
仕草 [しぐさ] /(n) action/acting/gesture/bearing/treatment/behavior/behaviour/(P)/
仕送り [しおくり] /(n,vs) allowance/remittance/(P)/
仕損じる [しそんじる] /(v1,vt) to blunder/to fail/to make a mistake/
仕損ずる [しそんずる] /(vz,vt) to blunder/to fail/to make a mistake/
仕損なう [しそこなう] /(v5u) to blunder/to fail/to make a mistake/to miss/
仕打ち [しうち] /(n) (poor) treatment/(bad) behavior/behaviour/action/act/
仕替える [しかえる] /(v1,vt) to do over/to start anew/
仕置 [しおき] /(n,vs) (1) execution/(2) punishment/(3) spanking/
仕置き [しおき] /(n,vs) (1) execution/(2) punishment/(3) spanking/
仕置者 [しおきもの] /(n) criminal/
仕置場 [しおきば] /(n) execution ground/
仕着 [しきせ] /(n) livery/servant's clothes provided by employers/
仕着せ [しきせ] /(n) livery/servant's clothes provided by employers/
仕直す [しなおす] /(v5s) to do over/to remake/to resume/
仕度 [したく] /(n,vs) preparation/arrangements/
仕馴れる [しなれる] /(v1) to be used to doing/to be experienced in/
仕入れ [しいれ] /(n) stocking/buying up/(P)/
仕入れる [しいれる] /(v1,vt) to lay in stock/to replenish stock/to procure/to learn something that might be useful later/(P)/
仕入れ価格 [しいれかかく] /(n) cost price/buying price/
仕入れ高 [しいれだか] /(n) quantity or value of goods laid in/
仕入れ先 [しいれさき] /(n) supplier/
仕入れ値 [しいれね] /(n) cost price/
仕入れ物 [しいれもの] /(n) stock of goods received/
仕入高 [しいれだか] /(n) quantity or value of goods laid in/
仕納め [しおさめ] /(n) finishing up/
仕付け [しつけ] /(n) rice planting/tacking/basting/discipline/
仕付ける [しつける] /(v1,vt) to be used to a job/to begin to do/to baste/to tack/to plant/
仕付け糸 [しつけいと] /(n) tacking/basting (thread)/
仕舞 [しまい] /(n) (1) end/close/finish/termination/(2) Noh dance in plain clothes/
仕舞 [じまい] /(suf) (1) (uk) ending/quitting/closing/(2) (uk) indicates disappointment for not having done what one wanted or intended to do/
仕舞い [しまい] /(n) (1) end/close/finish/termination/
仕舞い [じまい] /(suf) (1) (uk) ending/quitting/closing/(2) (uk) indicates disappointment for not having done what one wanted or intended to do/
仕舞い込む [しまいこむ] /(v5m,vt) to put away/to stow away/to tuck away/to hoard/
仕舞う [しまう] /(v5u,vt) (uk) to finish/to close/to do something completely/to put away/to put an end to/(P)/
仕舞うた屋 [しもうたや] /(n) store that has been gone out of business/household that lives without carrying on a business/
仕舞た屋 [しもたや] /(n) store that has been gone out of business/household that lives without carrying on a business/
仕舞屋 [しもうたや] /(io) (n) store that has been gone out of business/household that lives without carrying on a business/
仕舞屋 [しもたや] /(io) (n) store that has been gone out of business/household that lives without carrying on a business/
仕舞物 [しまいもの] /(n) goods left unsold/
仕覆 [しふく] /(n) silk pouch with drawstring for holding a tea caddy (tea ceremony)/
仕分け [しわけ] /(n,vs) assortment journalizing (in bookkeeping)/classification/
仕分ける [しわける] /(v1,vt) to assort/to classify/to journalize (in accounting)/to journalise/
仕返し [しかえし] /(n,vs) being even with/reprisal/tit for tat/retaliation/revenge/
仕放題 [しほうだい] /(adj-na,n) having one's own way/giving free reign to one's desires/act as one pleases/
仕方 [しかた] /(n) way/method/means/resource/course/(P)/
仕方がない [しかたがない] /(exp,adj-i) it can't be helped/it's inevitable/it's no use/can't stand it/being impatient/being annoyed/(P)/
仕方が無い [しかたがない] /(exp,adj-i) it can't be helped/it's inevitable/it's no use/can't stand it/being impatient/being annoyed/
仕方ない [しかたない] /(adj-i) it can't be helped/it's inevitable/it's no use/can't stand it/impatient/annoyed/(P)/
仕方なく [しかたなく] /(adv) helplessly/reluctantly/as a last resort/
仕方のない [しかたのない] /(adj-i) it can't be helped/it's inevitable/it's no use/can't stand it/being impatient/being annoyed/
仕方の無い [しかたのない] /(adj-i) it can't be helped/it's inevitable/it's no use/can't stand it/being impatient/being annoyed/
仕方噺 [しかたばなし] /(n) talking with gestures/
仕方無い [しかたない] /(adj-i) it can't be helped/it's inevitable/it's no use/can't stand it/impatient/annoyed/
仕方無く [しかたなく] /(adv) helplessly/reluctantly/as a last resort/
仕方無しに [しかたなしに] /(adv) helplessly/reluctantly/
仕方話 [しかたばなし] /(n) talking with gestures/
仕訳 [しわけ] /(n,vs) assortment journalizing (in bookkeeping)/classification/
仕訳ける [しわける] /(v1,vt) to assort/to classify/to journalize (in accounting)/to journalise/
仕訳書 [しわけしょ] /(n) specifications/
仕訳帳 [しわけちょう] /(n) book-keeping journal/
仕訳表 [しわけひょう] /(n) journal (accounts)/
仕様 [しよう] /(n) (1) way/method/means/resource/remedy/(2) (technical) specification/(P)/
仕様がありません [しようがありません] /(exp) (uk) it can't be helped/it is inevitable/nothing can be done/
仕様がない [しょうがない] /(ik) (exp,adj-i) (uk) it can't be helped/it is inevitable/nothing can be done/
仕様がない [しようがない] /(exp,adj-i) (uk) it can't be helped/it is inevitable/nothing can be done/
仕様が無い [しょうがない] /(ik) (exp,adj-i) (uk) it can't be helped/it is inevitable/nothing can be done/
仕様が無い [しようがない] /(exp,adj-i) (uk) it can't be helped/it is inevitable/nothing can be done/
仕様のない [しようのない] /(adj-i) hopeless/good-for-nothing/incorrigible/
仕様の無い [しようのない] /(adj-i) hopeless/good-for-nothing/incorrigible/
仕様もない [しょうもない] /(exp,adj-i) (1) (uk) useless/stupid/good-for-nothing/(2) having no way to do .../
仕様もない [しようもない] /(exp,adj-i) (1) (uk) useless/stupid/good-for-nothing/(2) having no way to do .../
仕様も無い [しょうもない] /(exp,adj-i) (1) (uk) useless/stupid/good-for-nothing/(2) having no way to do .../
仕様も無い [しようもない] /(exp,adj-i) (1) (uk) useless/stupid/good-for-nothing/(2) having no way to do .../
仕様作成 [しようさくせい] /(n) (comp) standards author/writer of standards/
仕様書 [しようしょ] /(n) specification document/
仕様書き [しようがき] /(n) specification documents/
仕来たり [しきたり] /(n) custom/conventional practice/conventional practise/mores/ordinance/
仕来り [しきたり] /(n) custom/conventional practice/conventional practise/mores/ordinance/
仕立て [したて] /(n) tailoring/dressmaking/sewing/making/preparation/(P)/
仕立てる [したてる] /(v1,vt) to tailor/to make/to prepare/to train/to send (a messenger)/(P)/
仕立て屋 [したてや] /(io) (n,adj-no) tailor/dressmaker/
仕立て下ろし [したておろし] /(n) brand new (clothes)/
仕立て上がり [したてあがり] /(n) brand new/
仕立て上げる [したてあげる] /(v1,vt) to be made out to be/
仕立て直し [したてなおし] /(n) making over (clothing)/
仕立て物 [したてもの] /(n) sewing/tailoring/newly-tailored clothes/
仕立て方 [したてかた] /(n) style of clothes/method of tailoring/method of training/
仕立屋 [したてや] /(n,adj-no) tailor/dressmaker/
仕立券 [したてけん] /(n) free dressmaking ticket (with a purchase of cloth)/
仕立物 [したてもの] /(n) sewing/tailoring/newly-tailored clothes/
仕留める [しとめる] /(v1,vt) to bring down (a bird)/to kill/
仕拵え [しこしらえ] /(n) preparation (e.g. of land for tilling)/ground clearance/clearing/
仕樣 [しよう] /(oK) (n) (1) way/method/means/resource/remedy/(2) (technical) specification/
仔クジラ [こクジラ] /(n) whale calf/
仔牛 [こうし] /(n,adj-no) calf/
仔鯨 [こくじら] /(n) whale calf/
仔犬 [こいぬ] /(n) puppy/
仔細 [しさい] /(n) reasons/circumstances/significance/particulars/hindrance/obstruction/interference/
仔細ありげ [しさいありげ] /(adj-na) seeming to be for a certain reason/seeming to indicate there are special circumstances/seeming to indicate there is more than meets the eye/
仔細に及ばず [しさいにおよばず] /(exp) (arch) there is no problem/there is no need to go into details/
仔虫 [しちゅう] /(n) larva/
仔豚 [こぶた] /(n) piglet/
仔猫 [こねこ] /(n) kitten/
仔馬 [こうま] /(n) (1) small horse/pony/(2) foal/colt/filly/
仔鳩 [こばと] /(n) (1) squab/young pigeon/(2) pigeon meat/
仔羊 [こひつじ] /(n) lamb/
伺い [うかがい] /(n) inquiry/enquiry/question/call/consulting the oracle/visit/
伺いを立てる [うかがいをたてる] /(exp,v1) to ask for someone's opinion/to inquire of/to invoke an oracle/
伺い済み [うかがいずみ] /(n) instructions received/
伺い事 [うかがいごと] /(n) inquiry/enquiry/
伺い書 [うかがいしょ] /(n) request form/
伺い探る [うかがいさぐる] /(iK) (v5r) to spy out/
伺い知る [うかがいしる] /(v5r,vt) to perceive/to understand/
伺う [うかがう] /(v5u,vt) (1) (hum) to ask/to inquire/to hear/to be told/(v5u) (2) to implore (a god for an oracle)/to seek direction (from your superior)/(v5u,vi) (3) (hum) to visit/(4) to speak to (a large crowd at a theatre, etc.)/(P)/
伺候 [しこう] /(n,vs) waiting upon (someone)/
使 [し] /(n) (1) messenger/(2) (abbr) police and judicial chief (Heian and Kamakura periods)/(3) (Buddh) klesha (polluting thoughts such as greed, hatred and delusion, which result in suffering)/
使い [つかい] /(n) (1) errand/mission/going as envoy/(2) messenger/bearer/errand boy/errand girl/(3) familiar spirit/(n-suf,n-pref) (4) use/usage/user/trainer/tamer/charmer/(P)/
使いかって [つかいかって] /(exp) ease of use/user-friendliness/usability/
使いきる [つかいきる] /(v5r,vt) to use up/to exhaust/to wear out/
使いこなす [つかいこなす] /(v5s,vt) to handle (men)/to master (a tool)/to manage/to acquire a command of (a language)/
使いっぱしり [つかいっぱしり] /(n,vs) gofer/dogsbody/person who is made to do things or get things for someone else/
使いっ走り [つかいっぱしり] /(n,vs) gofer/dogsbody/person who is made to do things or get things for someone else/
使いなれる [つかいなれる] /(v1) to get accustomed to using/
使いにやる [つかいにやる] /(exp,v5r) to send a person on an errand/
使いに遣る [つかいにやる] /(exp,v5r) to send a person on an errand/
使いの者 [つかいのもの] /(n) messenger/envoy/emissary/
使いまわす [つかいまわす] /(v5s) to work someone hard/to put to heavy use/to order around/to boss/
使いやすい [つかいやすい] /(adj-i) (uk) easy to use/
使いわけ [つかいわけ] /(n,vs) proper use/using (different things) for different purposes/
使いわける [つかいわける] /(v1,vt) to use properly/to use (different things) for different purposes/
使いをやる [つかいをやる] /(exp,v5r) to send a messenger/
使い易い [つかいやすい] /(adj-i) (uk) easy to use/
使い果す [つかいはたす] /(v5s,vt) to use up/to squander/
使い果たす [つかいはたす] /(v5s,vt) to use up/to squander/
使い過ぎ [つかいすぎ] /(n) overuse/overload/
使い過ぎる [つかいすぎる] /(v1) to use excessively/to use too much/to spend too much/to overwork someone/
使い回す [つかいまわす] /(v5s) to work someone hard/to put to heavy use/to order around/to boss/
使い慣らす [つかいならす] /(v5s) to accustom oneself to using/to train/to break in (horses)/
使い慣れる [つかいなれる] /(v1) to get accustomed to using/
使い古す [つかいふるす] /(v5s,vt) to wear out (something)/
使い込み [つかいこみ] /(n,vs) embezzlement/
使い込む [つかいこむ] /(v5m,vt) to embezzle/to misappropriate/to peculate/to accustom oneself to using/to use for a long time/
使い頃 [つかいごろ] /(n) handy/
使い残し [つかいのこし] /(n) remnant/remainder/odds and ends/leavings/
使い残り [つかいのこり] /(n) remnant/remainder/odds and ends/leavings/
使い捨 [つかいすて] /(n,adj-no) throwaway/disposable/
使い捨て [つかいすて] /(n,adj-no) throwaway/disposable/(P)/
使い捨てパスワード [つかいすてパスワード] /(n) (comp) disposable password/
使い捨て装置 [つかいすてそうち] /(n) (comp) throw-away device/
使い手 [つかいて] /(n) (1) user/consumer/employer/(2) master (e.g. of swordsmanship)/(3) prodigal/spendthrift/
使い熟す [つかいこなす] /(v5s,vt) to handle (men)/to master (a tool)/to manage/to acquire a command of (a language)/
使い出 [つかいで] /(n) lasting quality/good wearing/
使い出が有る [つかいでがある] /(exp) to bear long use/
使い出す [つかいだす] /(v5s) to start using/to try out/
使い処 [つかいどころ] /(n) use/
使い所 [つかいどころ] /(n) use/
使い勝手 [つかいかって] /(exp) ease of use/user-friendliness/usability/
使い勝手 [つかいがって] /(exp) ease of use/user-friendliness/usability/
使い尽くす [つかいつくす] /(v5s) to use up/to squander/
使い切る [つかいきる] /(v5r,vt) to use up/to exhaust/to wear out/
使い先 [つかいさき] /(n) the place where one is sent on an errand/
使い走り [つかいはしり] /(n,vs) running errands/
使い走り [つかいばしり] /(n,vs) running errands/
使い賃 [つかいちん] /(n) messenger tip or charge/
使い倒す [つかいたおす] /(v5s) to use within an inch of its life/to use every little bit of/to get the most out of/
使い道 [つかいみち] /(n) a use/purpose to which something is put/(P)/
使い馴れる [つかいなれる] /(v1) to get accustomed to using/
使い物 [つかいもの] /(n) present/gift/bribe/usable article/
使い物にならない [つかいものにならない] /(exp,adj-i) no use/useless/
使い分け [つかいわけ] /(n,vs) proper use/using (different things) for different purposes/(P)/
使い分ける [つかいわける] /(v1,vt) to use properly/to use (different things) for different purposes/
使い歩き [つかいあるき] /(n) running errands/
使い方 [つかいかた] /(n) way to use something/treatment/management (of help)/(P)/
使い魔 [つかいま] /(n) familiar (spirit or otherwise magical creature which aids a magician or sorcerer)/familiar spirit/
使い様 [つかいよう] /(n) how to use/
使い立て [つかいだて] /(n,vs) causing you trouble/
使い料 [つかいりょう] /(n) use/
使う [つかう] /(v5u,vt) (1) to use (a thing, method, etc.)/to make use of/to put to use/(2) to use (a person, animal, puppet, etc.)/to employ/to handle/to manage/to manipulate/(3) to use (time, money, etc.)/to spend/to consume/(4) to use (language)/to speak/(5) (id) to take (one's lunch)/to circulate (bad money)/(P)/
使える [つかえる] /(v1) to be useful/to be serviceable/
使って表す [つかってひょうす] /(exp,v5s) express ... in terms of .../
使む [しむ] /(v5m,aux-v) (uk) (arch) to make happen (old causative verbal ending)/
使わざるを得ず [つかわざるをえず] /(exp) forced to use/forced into a position/
使わざるを得ない [つかわざるをえない] /(exp,adj-i) forced to use/forced into a position/
使わす [つかわす] /(v5s,vt) to send/to dispatch/to despatch/(P)/
使君子 [しくんし] /(n) (uk) Rangoon creeper (Quisqualis indica)/
使者 [ししゃ] /(n,adj-no) messenger/envoy/emissary/(P)/
使者を遣わす [ししゃをつかわす] /(exp,v5s) to dispatch a messenger/to despatch a messenger/
使臣 [ししん] /(n) envoy/
使節 [しせつ] /(n,adj-no) envoy/embassy/mission/delegate/(P)/
使節団 [しせつだん] /(n) mission/delegation/
使丁 [してい] /(n) servant/janitor/messenger/
使徒 [しと] /(n,adj-no) apostle/disciple/(P)/
使徒継承 [しとけいしょう] /(n) apostolic succession/
使徒言行録 [しとげんこうろく] /(n) Acts of the Apostles (book of the Bible)/
使徒行伝 [しとぎょうでん] /(n) Acts of the Apostles (book of the Bible)/
使徒書 [しとしょ] /(n) the Epistles (of the New Testament)/
使徒書簡 [しとしょかん] /(n) the Epistles (of the New Testament)/
使徒承伝 [しとしょうでん] /(n) apostolic succession/
使徒信経 [しとしんきょう] /(n) Apostle's Creed/
使徒信条 [しとしんじょう] /(n) Apostles' Creed/
使徒達 [しとたち] /(n) the Apostles/
使途 [しと] /(n) purpose for which money is spent/the way money is spent/(P)/
使途不明金 [しとふめいきん] /(n) unaccounted-for expenditures/
使命 [しめい] /(n) mission/errand/message/(P)/
使命を果たす [しめいをはたす] /(exp,v5s) to carry out one's mission/
使命を帯びる [しめいをおびる] /(exp,v1) to be charged with a mission/
使命意識 [しめいいしき] /(n) sense of (one's) mission/awareness of one's duty (calling)/
使命感 [しめいかん] /(n) sense of duty/sense of purpose/
使命者 [しめいしゃ] /(n) messenger/
使役 [しえき] /(n,vs) (1) employing/using/setting to work/enslavement/(n) (2) (ling) causative (verb, etc.)/
使役動詞 [しえきどうし] /(n) (ling) causative verb/
使用 [しよう] /(n,vs) use/application/employment/utilization/utilisation/(P)/
使用できる [しようできる] /(exp,v1) fit for use/available/operational/practicable/usable/
使用パラメータ制御 [しようパラメータせいぎょ] /(n) (comp) user parameter control/UPC/
使用ベース [しようベース] /(n) (comp) usage based/
使用メモリ [しようメモリ] /(n) (comp) memory used/
使用域 [しよういき] /(n) (ling) register/
使用価値 [しようかち] /(n) utility value/
使用可能 [しようかのう] /(n,adj-na) available/enabled/
使用可能時間 [しようかのうじかん] /(n) (comp) available time/
使用可能性 [しようかのうせい] /(n) (comp) availability/
使用期限 [しようきげん] /(n) expiry date/use-by date/date of expiry/
使用規制 [しようきせい] /(n) (comp) usage restrictions, limitations/
使用許可 [しようきょか] /(n) license/licence/
使用許諾契約 [しようきょだくけいやく] /(n) (comp) (software) license agreement/
使用距離 [しようきょり] /(n) (comp) usable distance (of a fiber)/
使用禁止 [しようきんし] /(n,adj-no) unavailable/disabled/
使用契約 [しようけいやく] /(n) (comp) license agreement/
使用権 [しようけん] /(n) use/right to use/
使用済み [しようずみ] /(adj-no,n) already finished being used/second-hand/no longer used/(P)/
使用済み核燃料 [しようずみかくねんりょう] /(n) spent nuclear fuel/
使用済み切手 [しようずみきって] /(n) used stamps/
使用済核燃料 [しようずみかくねんりょう] /(n) spent nuclear fuel/
使用時 [しようじ] /(n) when using/
使用者 [しようしゃ] /(n) (1) user/consumer/(2) employer/(P)/
使用出来る [しようできる] /(exp,v1) fit for use/available/operational/practicable/usable/
使用条件 [しようじょうけん] /(n) (comp) requirement/
使用人 [しようにん] /(n) employee/servant/(P)/
使用性試験 [しようせいしけん] /(n) (comp) usability test/fitness-for-use test/
使用中 [しようちゅう] /(adj-no) busy/in the middle (of)/
使用頻度 [しようひんど] /(n) frequency of use/
使用不能時間 [しようふのうじかん] /(n) (comp) unavailable time/
使用方 [しようほう] /(n) method of use/
使用方法 [しようほうほう] /(n) usage rules/
使用法 [しようほう] /(n) usage method/directions/
使用目的 [しようもくてき] /(n) intended use/intended purpose/
使用率 [しようりつ] /(n) (comp) utilization rate/activity ratio/
使用率パラメータ制御 [しようりつパラメータせいぎょ] /(n) (comp) user parameter control/UPC/
使用料 [しようりょう] /(n) rent/hire/(P)/
使用量 [しようりょう] /(n) amount used/
使用例 [しようれい] /(n) examples showing the use (of a word)/
使令 [しれい] /(n,vs) (1) giving orders to someone and making use of him/(2) servant/
使嗾 [しそう] /(n,vs) instigation/
使嗾 [しぞく] /(ik) (n,vs) instigation/
使聘 [しへい] /(n) exchange of diplomatic representatives/
刺 [し] /(n) calling card/
刺 [とげ] /(n) thorn/splinter/spine/biting words/
刺々 [いらいら] /(oK) (adv,n,vs,adv-to) (uk) getting nervous/irritation/
刺々しい [とげとげしい] /(adj-i) sharp/harsh/stinging/thorny/snappy/
刺さる [ささる] /(v5r,vi) to stick/to be stuck/(P)/
刺し [さし] /(n) (1) (abbr) sharpened tube for testing rice in bags/(2) (abbr) sashimi (sliced raw fish)/(P)/
刺し違える [さしちがえる] /(v1,vi,vt) to misplace/to stab at each other/
刺し貫く [さしつらぬく] /(v5k,vt) to pierce/
刺し殺す [さしころす] /(v5s,vt) to stab to death/(P)/
刺し子 [さしこ] /(n) quilting/quilted coat/quilted clothes/
刺し傷 [さしきず] /(n) a stab/puncture wound/
刺し身 [さしみ] /(n) sashimi (raw sliced fish, shellfish or crustaceans)/(P)/
刺し身のつま [さしみのつま] /(exp) (1) sashimi garnish/(2) something of no significance/something that can easily be done without/
刺し身の妻 [さしみのつま] /(exp) (1) sashimi garnish/(2) something of no significance/something that can easily be done without/
刺し身包丁 [さしみぼうちょう] /(n) sashimi knife/
刺し通す [さしとおす] /(v5s,vt) to stab/to pierce/to run through (e.g. with a sword)/
刺し箸 [さしばし] /(n) skewering one's food with a chopstick in order to pick it up (a breach of etiquette)/
刺し縫い [さしぬい] /(n) quilting/
刺し網 [さしあみ] /(n) gill net/
刺す [さす] /(v5s,vt) to pierce/to stab/to prick/to thrust/to bite/to sting/to pin down/to stitch/to put (a runner) out/to pole (a boat)/to catch (with a line)/to stick/(P)/
刺のある言葉 [とげのあることば] /(n) stinging (barbed) words/harsh language/
刺の有る言葉 [とげのあることば] /(n) stinging (barbed) words/harsh language/
刺を通ずる [しをつうずる] /(exp,vz) (obsc) to present one's card/
刺羽 [さしは] /(n) large fan-shaped object held by an attendant and used to conceal the face of a noble, etc./
刺羽 [さしば] /(n) large fan-shaped object held by an attendant and used to conceal the face of a noble, etc./
刺蛾 [いらが] /(n) (uk) Monema flavescens (species of slug moth)/
刺亀虫 [さしがめ] /(n) (uk) assassin bug (any insect of family Reduviidae)/
刺客 [しかく] /(n,adj-no) (1) assassin/(vs) (2) to assassinate/
刺客 [しきゃく] /(n,adj-no) (1) assassin/(vs) (2) to assassinate/
刺客候補 [しきゃくこうほ] /(n) candidate for assassination/
刺客戦術 [しきゃくせんじゅつ] /(n) assassination tactics/
刺魚 [とげうお] /(n) stickleback (fish)/
刺戟 [しげき] /(n,vs) stimulus/impetus/incentive/encouragement/motivation/provocation/
刺戟剤 [しげきざい] /(n) stimulant/
刺戟性 [しげきせい] /(n) stimulative/incentive/irritative/
刺戟的 [しげきてき] /(adj-na) stimulating/
刺戟物 [しげきぶつ] /(n) stimulant/stimulative/excitant/
刺激 [しげき] /(n,vs) stimulus/impetus/incentive/encouragement/motivation/provocation/(P)/
刺激の貧困 [しげきのひんこん] /(n) poverty of stimulus/
刺激剤 [しげきざい] /(n) stimulant/
刺激臭 [しげきしゅう] /(n) irritant odor/irritant odour/irritating smell (odor, odour)/
刺激性 [しげきせい] /(n) stimulative/incentive/irritative/
刺激的 [しげきてき] /(adj-na) stimulating/
刺激伝導系 [しげきでんどうけい] /(n) impulse conduction system (of the heart)/
刺激物 [しげきぶつ] /(n) stimulant/stimulative/excitant/
刺激薬 [しげきやく] /(n) stimulant/irritant/
刺股 [さすまた] /(n) (MA) two-pronged weapon for catching a criminal/man-catcher war fork/
刺叉 [さすまた] /(n) (MA) two-pronged weapon for catching a criminal/man-catcher war fork/
刺細胞 [しさいぼう] /(n) cnidoblast/nematocyte/
刺殺 [しさつ] /(n,vs) (1) stabbing to death/(2) putting out (baseball)/
刺刺 [いらいら] /(oK) (adv,n,vs,adv-to) (uk) getting nervous/irritation/
刺刺しい [とげとげしい] /(adj-i) sharp/harsh/stinging/thorny/snappy/
刺子 [さしこ] /(n) quilting/quilted coat/quilted clothes/
刺繍 [ししゅう] /(n,vs) embroidery/
刺繍糸 [ししゅういと] /(n) embroidery thread/
刺傷 [ししょう] /(n,vs) stab/puncture wound/
刺衝 [ししょう] /(n,vs) stabbing/stimulation/
刺状突起 [しじょうとっき] /(n) prickle (of plants)/
刺身 [さしみ] /(n) sashimi (raw sliced fish, shellfish or crustaceans)/(P)/
刺身のつま [さしみのつま] /(exp) (1) sashimi garnish/(2) something of no significance/something that can easily be done without/
刺身の妻 [さしみのつま] /(exp) (1) sashimi garnish/(2) something of no significance/something that can easily be done without/
刺身の盛り合わせ [さしみのもりあわせ] /(n) plate of assorted sashimi/
刺身包丁 [さしみぼうちょう] /(n) sashimi knife/
刺身庖丁 [さしみぼうちょう] /(n) sashimi knife/
刺青 [いれずみ] /(iK) (n,vs) tattoo/
刺青 [しせい] /(iK) (n,vs) tattoo/
刺青蒟蒻鯵 [いれずみこんにゃくあじ] /(n) (uk) ragfish (Icosteus aenigmaticus)/
刺鼠 [とげねずみ] /(n) (uk) Ryukyu spiny rat (Tokudaia osimensis)/
刺創 [しそう] /(n) stab wound/puncture wound/
刺草 [いらくさ] /(n) (uk) nettle (Urtica thunbergiana)/
刺通す [さしとおす] /(v5s,vt) to stab/to pierce/to run through (e.g. with a sword)/
刺椿象 [さしがめ] /(n) (uk) assassin bug (any insect of family Reduviidae)/
刺刀 [さすが] /(n) (arch) dagger/
刺突 [しとつ] /(n,vs) thrusting (a spear, etc.)/
刺蝿 [さしばえ] /(n) (uk) stable fly (Stomoxys calcitrans)/
刺抜き [とげぬき] /(n) tweezers/forceps/
刺胞動物 [しほうどうぶつ] /(n) cnidarian (aquatic invertebrate of the phylum Cnidaria)/
刺毛 [しもう] /(n) stinging hair (of a nettle, caterpillar, etc.)/
刺絡 [しらく] /(n) bloodletting/
刺蠅 [さしばえ] /(n) (uk) stable fly (Stomoxys calcitrans)/
司 [し] /(n) (arch) office (government department beneath a bureau under the ritsuryo system)/
司 [つかさ] /(n) (1) (arch) office/official/(2) chief/head/
司る [つかさどる] /(v5r,vt) to rule/to govern/to administer/(P)/
司会 [しかい] /(n,vs) chairmanship/leading a meeting/presenter/host/(P)/
司会者 [しかいしゃ] /(n) chairman/moderator/toastmaster/master of ceremonies/chairperson/(P)/
司会役 [しかいやく] /(n) moderator/host/chairman/
司教 [しきょう] /(n) (1) bishop (Catholic)/prelate/(adj-no) (2) episcopal/potifical/
司教区 [しきょうく] /(n) diocese/
司教権座 [しきょうけんざ] /(n) the episcopal seat/
司教座教会 [しきょうざきょうかい] /(n) cathedral/
司教座聖堂 [しきょうざせいどう] /(n) cathedral/
司空 [しくう] /(n) Minister of Works (Zhou-dynasty China)/
司祭 [しさい] /(n,adj-no) priest/minister/pastor/
司試 [しし] /(n) (abbr) bar examination/
司式 [ししき] /(n,vs) officiating (a ceremony)/presiding (over a service)/
司式者 [ししきしゃ] /(n) officiant/presider/
司書 [ししょ] /(n) librarian/(P)/
司直 [しちょく] /(n) judge/judiciary/administration of justice/judicial authorities/
司徒 [しと] /(n) Minister of Civil Administration and Social Welfare (Zhou-dynasty China)/
司馬 [しば] /(n) Minister of War (Zhou-dynasty China)/
司法 [しほう] /(n,adj-no) administration of justice/(P)/
司法解剖 [しほうかいぼう] /(n) legally-ordered autopsy/
司法改革 [しほうかいかく] /(n) judicial reform/
司法官 [しほうかん] /(n) officer of the court/
司法機関 [しほうきかん] /(n) judicial branch (of government)/judicial organ/
司法権 [しほうけん] /(n) jurisdiction/
司法研修所 [しほうけんしゅうじょ] /(n) Judicial Research and Training Institute/
司法裁判 [しほうさいばん] /(n) judicial trial/(P)/
司法試験 [しほうしけん] /(n) bar examination/
司法試験管理委員会 [しほうしけんかんりいいんかい] /(n) National Bar Examination Administration Commission/
司法取引 [しほうとりひき] /(n) plea bargaining/
司法書士 [しほうしょし] /(n) judicial clerk/scrivener/
司法省 [しほうしょう] /(n) Ministry of Justice (1871-1948 CE)/
司法審査 [しほうしんさ] /(n) judicial review/
司法制度 [しほうせいど] /(n) justice system/
司法大臣 [しほうだいじん] /(n) Minister of Justice/
司法地域 [しほうちいき] /(n) judicial region/
司法長官 [しほうちょうかん] /(n) attorney general/attorney-general/
司法判断 [しほうはんだん] /(n) judicial ruling/judicial decision/judgment/judgement/
司法判断適合性 [しほうはんだんてきごうせい] /(n) justiciability/
司令 [しれい] /(n,vs) command/control/commander/(P)/
司令官 [しれいかん] /(n) commandant/commanding officer/general/(P)/
司令室 [しれいしつ] /(n) control room/
司令長官 [しれいちょうかん] /(n) Commander-in-Chief/C-in-C/
司令塔 [しれいとう] /(n) (1) control tower/conning tower/(2) leader/boss/
司令部 [しれいぶ] /(n) headquarters/(P)/
司寇 [しこう] /(n) Minister of Justice (Zhou-dynasty China)/
史 [し] /(suf) history (e.g. of some country)/
史 [ふひと] /(n) (arch) court historian/
史 [ふびと] /(n) (arch) court historian/
史 [ふみひと] /(n) (arch) court historian/
史に名を留める [しになをとどめる] /(exp,v1) to inscribe one's name in history/
史家 [しか] /(n) historian/(P)/
史学 [しがく] /(n,adj-no) study of history/(P)/
史学家 [しがっか] /(n) historian/
史学者 [しがくしゃ] /(n) historian/
史官 [しかん] /(n) chronicler/
史観 [しかん] /(n) historical view/
史眼 [しがん] /(n) historical view/historical insight/
史記 [しき] /(n) Shiji/Shih-chi/The Historical Records (ancient Chinese historical record)/
史記抄 [しきしょう] /(n) commentary on Shiki/
史劇 [しげき] /(n) historical drama/
史詩 [しし] /(n) historical poem/
史実 [しじつ] /(n) historical fact/(P)/
史書 [ししょ] /(n) history book/
史上 [しじょう] /(adj-no,n-adv,n-t) historical/(P)/
史上に [しじょうに] /(adv) in history/
史上に例を見ない [しじょうにれいをみない] /(adj-i) unparalleled in history (unparallelled)/
史上空前 [しじょうくうぜん] /(n) unprecedented in history/unheard-of/epoch-making/
史上最高 [しじょうさいこう] /(n,adj-no) record high/all-time high/
史上最大 [しじょうさいだい] /(adj-no,n) greatest ... in history/
史上唯一 [しじょうゆいいつ] /(n) the first in history/only once in history/
史乗 [しじょう] /(n) history/annals/
史籍 [しせき] /(n) historical works/annals/
史跡 [しせき] /(n) historical landmark/(P)/
史跡名勝天然記念物 [しせきめいしょうてんねんきねんぶつ] /(n) historic sites, places of scenic beauty and natural monuments/
史蹟 [しせき] /(n) historical landmark/
史談 [しだん] /(n) historical story/
史的 [してき] /(adj-na,n) historic/historical/
史的現在 [してきげんざい] /(n) (ling) historical present/
史的唯物論 [してきゆいぶつろん] /(n) historical materialism/
史伝 [しでん] /(n) history and biography/historical material/
史筆 [しひつ] /(n) historical writing/
史略 [しりゃく] /(n) outline history/
史料 [しりょう] /(n) historical records/archives/(P)/
史料館 [しりょうかん] /(n) archives/record office/
史料館学 [しりょうかんがく] /(n) archive science/
史料編纂 [しりょうへんさん] /(n,adj-no) historiography/
史論 [しろん] /(n) historical treatise/historical discussion/
嗣ぐ [つぐ] /(v5g,vt) to succeed (someone in a business or inheritance)/
嗣業 [しぎょう] /(n) (arch) succeeding to a business/
嗣子 [しし] /(n) heir/
四 [し] /(num) four/(P)/
四 [よ] /(num) four/
四 [よん] /(num) four/(P)/
四か年 [よんかねん] /(adj-pn) quadrennial/
四つ [よっつ] /(num) four/(P)/
四つに組む [よつにくむ] /(exp,v5m) to come to grapples with/
四つの緒 [よつのお] /(n) (arch) 4-stringed biwa (Oriental lute)/
四つんばい [よっつんばい] /(n) (crawl) on all fours/on one's hands and feet/falling flat/
四つんばい [よつんばい] /(n) (crawl) on all fours/on one's hands and feet/falling flat/
四つん這い [よっつんばい] /(n) (crawl) on all fours/on one's hands and feet/falling flat/
四つん這い [よつんばい] /(n) (crawl) on all fours/on one's hands and feet/falling flat/
四つ角 [よつかど] /(n) four corners/crossroads/(P)/
四つ子 [よつご] /(n) quadruplets/
四つ手網 [よつであみ] /(n) four-armed scoop net/
四つ身 [よつみ] /(n) (1) cross-grips (situation in which each rikishi has an underarm grip on the other) (sumo)/(2) kimono made for young children/
四つ切り [よつぎり] /(n) cutting into four/quarter/photograph size 254mm x 305 mm/
四つ相撲 [よつずもう] /(n) sumo wrestling in which both wrestlers grasp the other's belt with both hands/
四つ足 [よつあし] /(n) four-footed (animal)/
四つ辻 [よつつじ] /(n) crossroads/intersection/
四つ目 [よつめ] /(n) four-eyed/pattern of four squares/
四つ目垣 [よつめがき] /(n) square-patterned bamboo fence/lattice fence/
四つ目魚 [よつめうお] /(n) (uk) four-eyed fish (Anableps spp.)/
四つ目鹿 [よつめじか] /(n) (uk) (obsc) Chinese muntjac (species of barking deer, Muntiacus reevesi)/
四つ葉 [よつば] /(n,adj-no) plant having four leaves on one stalk/
四つ葉のクローバー [よつばのクローバー] /(n) four-leaf clover/
四の五の言う [しのごのいう] /(exp,v5u) to grumble about something (trivial)/
四カ年 [よんかねん] /(adj-pn) quadrennial/
四コマ [よんコマ] /(n) (abbr) four panel comic/
四コマ漫画 [よんコマまんが] /(n) four panel comic/
四阿 [あずまや] /(n) arbor/arbour/bower/summer house/square gazebo/
四囲 [しい] /(n,vs) surroundings/circumference/
四夷 [しい] /(n) the surrounding barbarians (from Chinese)/
四塩化ケイ素 [しえんかケイそ] /(n) silicon tetrachloride (SiCl4)/
四塩化珪素 [しえんかけいそ] /(n) silicon tetrachloride (SiCl4)/
四塩化炭素 [しえんかたんそ] /(n) carbon tetrachloride (CCl4)/
四箇年 [よんかねん] /(adj-pn) quadrennial/
四回生 [よんかいせい] /(n) fourth year (college) student/senior/
四海 [しかい] /(n) the whole world/the seven seas/
四海兄弟 [しかいけいてい] /(exp) people in the whole world being all brothers/universal brotherhood/
四海同胞 [しかいどうほう] /(n) universal brotherhood/
四海波静か [しかいなみしずか] /(exp) (id) The world is at peace/
四角 [しかく] /(adj-na,n,adj-no) square/(P)/
四角い [しかくい] /(adj-i) square/rectangular/(P)/
四角形 [しかくけい] /(n) quadrilateral/quadrangle/tetragon/
四角形 [しかっけい] /(n) quadrilateral/quadrangle/tetragon/
四角号碼 [しかくごうま] /(n) four-corner kanji character stroke classification system/
四角四面 [しかくしめん] /(adj-na,n,adj-no) square/formal/
四角四面な人 [しかくしめんなひと] /(n) prim (stuffy) person/squared-toed person/
四角柱 [しかくちゅう] /(n) quadrangular prism/
四角張る [しかくばる] /(v5r,vi) to be angular/to be formal/
四角豆 [しかくまめ] /(n) (uk) winged bean (Psophocarpus tetragonolobus)/
四畿内 [しきない] /(n) (arch) the Four Home Provinces (Yamato, Yamashiro, Settsu, and Kawachi)/obsolete in 757 when Izumi was established as a separate province from Kawachi/
四季 [しき] /(n) four seasons/(P)/
四季咲き [しきざき] /(n) blooming in each season/
四季施 [しきせ] /(ateji) (n) livery/servant's clothes provided by employers/
四季折々 [しきおりおり] /(adv,n) from season to season/season by season/of each season/in each season/
四季折折 [しきおりおり] /(adv,n) from season to season/season by season/of each season/in each season/
四季報 [しきほう] /(n) quarterly (journal)/
四脚門 [しきゃくもん] /(n) style of temple gate featuring four supporting pillars and a gabled roof/
四脚門 [よつあしもん] /(n) style of temple gate featuring four supporting pillars and a gabled roof/
四球 [しきゅう] /(n) four balls/base on balls (baseball)/a walk/(P)/
四凶 [しきょう] /(n) the four inauspicious beasts from Chinese mythology/
四強 [よんきょう] /(n) final four (in a tournament)/
四強雄蕊 [しきょうゆうずい] /(n) tetradynamous stamen/
四苦 [しく] /(n) (Buddh) the four kinds of suffering (birth, old age, disease, death)/
四苦八苦 [しくはっく] /(n,vs) (1) being in dire distress/being hard put to it/(2) (Buddh) the four and eight kinds of suffering/
四駆 [よんく] /(n) (abbr) four-wheel drive/
四隅 [よすみ] /(n) four corners/(P)/
四君子 [しくんし] /(n) plum, chrysanthemum, orchid, and bamboo/
四桁 [よけた] /(n) four-digit number/thousands column/
四月 [しがつ] /(n-adv) April/(P)/
四月テーゼ [しがつテーゼ] /(n) April Theses/series of directives issued by Lenin after his return from exile/
四月馬鹿 [しがつばか] /(n) (1) April fool/(2) April fool's day/
四月病 [しがつびょう] /(n) euphoria experienced by college students or workplace recruits at the beginning of school or work/
四元速度 [しげんそくど] /(n) four velocity (physics)/
四股 [しこ] /(n) sumo wrestler ceremonial leg raising and stomping/
四股名 [しこな] /(ateji) (n) (uk) sumo wrestler's stage name/
四胡 [しこ] /(n) sihu (4-stringed Chinese musical instrument played with a bow)/
四顧 [しこ] /(n,vs) look everywhere/
四光 [しこう] /(n) (in hanafuda) the collection of the four light cards/
四公六民 [しこうろくみん] /(n) (arch) land-tax system during the Edo period under which the government took 40% of the year's crop and the farmers kept 60%/
四更 [しこう] /(n) fourth watch of the night (approx. 1 am to 3 am)/
四劫 [しこう] /(n) (Buddh) the four kalpa (formation, existence, destruction, nothingness)/
四国 [しこく] /(n) Shikoku (smallest of the four main islands of Japan)/
四国巡礼 [しこくじゅんれい] /(n) Shikoku pilgrimage (to the 88 temples)/Shikoku pilgrim/
四国順礼 [しこくじゅんれい] /(n) Shikoku pilgrimage (to the 88 temples)/Shikoku pilgrim/
四国地方 [しこくちほう] /(n) Shikoku region (inc. Tokushima, Kagawa, Ehime and Kochi prefectures)/
四国八十八箇所 [しこくはちじゅうはっかしょ] /(n) 88 temples of Shikoku (holy spots related to Kobo Daishi)/
四国稗 [しこくびえ] /(n) (uk) finger millet (Eleusine coracana)/
四国遍路 [しこくへんろ] /(n) Shikoku pilgrimage (to the 88 temples)/Shikoku pilgrim/
四三の星 [しそうのほし] /(n) (arch) Big Dipper/Plough/
四散 [しさん] /(n,vs) scattering (in all directions)/
四死球 [ししきゅう] /(n) four dead balls (baseball)/(P)/
四肢 [しし] /(n,adj-no) limbs/extremities/(P)/
四肢五体 [ししごたい] /(n) the (one's) whole body/
四肢麻痺 [ししまひ] /(n) quadriplegia/tetraplegia/
四字熟語 [よじじゅくご] /(n) four-character idiomatic compounds/
四字成句 [よじせいく] /(n) Chinese four-character phrase or idiomatic expression/
四時 [しじ] /(n) the four seasons/
四時 [よじ] /(n) 4 o'clock/
四次元 [しじげん] /(n) fourth dimension/four dimensions/
四次元 [よじげん] /(n) fourth dimension/four dimensions/
四次元超立方体 [よじげんちょうりっぽうたい] /(n) tesseract/
四七日 [よなのか] /(n) 28th day after death/
四七抜き [よなぬき] /(n) pentatonic scale (music)/
四捨五入 [ししゃごにゅう] /(n,vs) rounding half up (i.e. fractions)/(P)/
四捨五入機能 [ししゃごにゅうきのう] /(n) (comp) round-off function/rounding/
四手 [しで] /(n) (1) zigzag-shaped paper streamer often used to adorn Shinto-related objects/(2) hornbeam (deciduous tree in the birch family)/
四手の木 [しでのき] /(n) (obsc) loose-flowered hornbeam (Carpinus laxiflora)/
四種姓 [ししゅせい] /(n) (obsc) varna (each of India's four castes)/
四種曼荼羅 [ししゅまんだら] /(n) (Buddh) (obsc) four types of mandala (in Shingon)/
四周 [ししゅう] /(n,vs) periphery/circumference/
四衆 [ししゅ] /(n) (1) four orders of Buddhist followers (monks, nuns, male lay devotees and female lay devotees)/(2) four monastic communities (ordained monks, ordained nuns, male novices and female novices)/(3) (in Tendai) the four assemblies/
四衆 [ししゅう] /(n) (1) four orders of Buddhist followers (monks, nuns, male lay devotees and female lay devotees)/(2) four monastic communities (ordained monks, ordained nuns, male novices and female novices)/(3) (in Tendai) the four assemblies/
四十 [しじゅう] /(n) forty/
四十 [よそ] /(n) forty/
四十 [よんじゅう] /(n) forty/(P)/
四十九日 [しじゅうくにち] /(n) forty-ninth day after a person's death/
四十肩 [しじゅうかた] /(n) shoulder pain (at about age forty)/
四十七士 [しじゅうしちし] /(n) The 47 Ronin/(P)/
四十雀 [しじゅうから] /(n) (uk) great tit (Parus major)/
四十雀 [しじゅうがら] /(n) (uk) great tit (Parus major)/
四十雀雁 [しじゅうからがん] /(n) (uk) Aleutian Canada goose (Branta canadensis leucopareia)/
四十八手 [しじゅうはって] /(exp,n) the 48 basic sumo techniques/every trick in the book/
四十不惑 [しじゅうふわく] /(exp) At forty, one has no doubts. (Confucius)/
四十路 [よそじ] /(n) age forty/one's forties/
四獣 [しじゅう] /(n) (1) four beasts (tiger, leopard, black bear, and brown bear)/(2) four gods said to rule over the four directions/
四重 [しじゅう] /(n,adj-no) fourfold/
四重禁 [しじゅうきん] /(n) (Buddh) four grave prohibitions (killing, theft, adultery, and deceit)/
四重禁 [しじゅうごん] /(n) (Buddh) four grave prohibitions (killing, theft, adultery, and deceit)/
四重唱 [しじゅうしょう] /(n) vocal quartet/four-part chorus/
四重奏 [しじゅうそう] /(n) instrumental quartet/(P)/
四旬節 [しじゅんせつ] /(n) Lent/
四書 [ししょ] /(n) the Four Books (Confucian texts)/
四書五経 [ししょごきょう] /(n) the Four Books and Five Classics of Confucianism/the Nine Chinese Classics/
四女 [よんじょ] /(n) fourth-born daughter/
四象 [ししょう] /(n) four images/four symbols/four emblems/four phenomena/four phases/
四畳半 [よじょうはん] /(n) 4.5 tatami mats/(P)/
四色定理 [ししょくていり] /(n) four-color theorem (colour) (theorem stating that any map can be colored such that no two adjacent segments have the same color, if only four colors are used)/
四色定理 [よんしょくていり] /(n) four-color theorem (colour) (theorem stating that any map can be colored such that no two adjacent segments have the same color, if only four colors are used)/
四神 [しじん] /(n) (1) four gods said to rule over the four directions/(2) (in China) four gods said to rule over the four seasons/
四神獣 [しじんじゅう] /(n) four divine beasts/guardian deities of the four cardinal points/
四神相応 [しじんそうおう] /(n) an ideal topography for the four Taoist gods, with a river in the east, a broad avenue in the west, a basin in the south, and a hill in the north/
四人 [よたり] /(n) four people/
四人 [よったり] /(n) four people/
四人 [よにん] /(n) four people/
四人組 [よにんぐみ] /(n) (1) four man group/quartet/(2) the Gang of Four/
四瑞 [しずい] /(n) (obsc) the four auspicious beasts from Chinese mythology/
四姓 [しせい] /(n) (1) the four great families of the age (esp. the Minamoto clan, the Taira clan, the Fujiwara clan and the Tachibana clan)/(2) varna (each of the four Hindu castes)/
四聖 [しせい] /(n) the four great sages (Buddha, Christ, Confucius, Socrates)/
四声 [しせい] /(n) four tones (of Chinese)/
四千 [よんせん] /(n) four thousand/(P)/
四川 [しせん] /(n) Sichuan (China)/Szechuan/Szechwan/
四川料理 [しせんりょうり] /(n) Szechuan cuisine/Sichuan cuisine/
四則 [しそく] /(n) four (fundamental) rules of arithmetic/
四則演算 [しそくえんざん] /(n) four arithmetic operations/basic arithmetic operations/
四足獣 [しそくじゅう] /(n) quadruped/four-footed animal/
四足動物 [しそくどうぶつ] /(n) tetrapod/
四体 [したい] /(n) (arch) head, trunk, arms, and legs/the whole body/
四大 [しだい] /(n) (1) (Buddh) the four elements (earth, water, fire, wind)/(2) the human body/(3) Tao, heaven, earth and king/
四大 [よんだい] /(n) university or college offering four-year programs/
四大元素 [よんだいげんそ] /(n) the four classical chemical elements (fire, earth, air and water)/
四大公害病 [よんだいこうがいびょう] /(n) the four major pollution-caused illnesses (Minamata disease, Niigata Minamata disease, Yokkaichi asthma, Itai-itai disease)/four big pollution diseases of Japan/
四大節 [しだいせつ] /(n) the four grand national holidays (Prayer to the Four Quarters, Empire Day, the Emperor's Birthday, Emperor Meiji's birthday; 1927-1948)/
四大不調 [しだいふちょう] /(n) (Buddh) falling ill (esp. of a monk)/illness/
四段活用 [よだんかつよう] /(n) yodan verb conjugation (verb form of classical Japanese)/
四男 [よんなん] /(n) fourth son/
四柱推命 [しちゅうすいめい] /(n) Four Pillar astrology/originally Chinese method of fortune-telling based on the time, date, month and year of a person's birth/
四通八達 [しつうはったつ] /(n,vs) traffic network extending in all directions/
四諦 [したい] /(n) The Four Noble Truths (of Buddhism)/
四天王 [してんのう] /(n) (1) (Buddh) the Four Heavenly Kings (Dhrtarastra, Virudhaka, Virupaksa, and Vaisravana)/(2) the big four (i.e. four leaders in a given field)/
四土 [しど] /(n) (Buddh) four realms (in Tendai Buddhism or Yogacara)/
四当五落 [よんとうごらく] /(exp) sleep four hours pass, sleep five hours fail/four-pass, five fail/
四等官 [しとうかん] /(n) four administrative positions (of the ritsuryo system: kami, suke, jou, sakan)/
四頭立ての馬車 [よんとうだてのばしゃ] /(n) coach and four/four horse coach/
四日 [よっか] /(n) (1) fourth day of month/(2) four days/(P)/
四日市ぜんそく [よっかいちぜんそく] /(n) Yokkaichi asthma/
四日市喘息 [よっかいちぜんそく] /(n) Yokkaichi asthma/
四年生 [よねんせい] /(n) student in his (her) fourth year/fourth-year student/
四倍体 [しばいたい] /(n) tetraploid/
四倍体 [よんばいたい] /(n) tetraploid/
四拍子 [しびょうし] /(n) quadruple time/
四拍子 [よんびょうし] /(n) quadruple time/
四半期 [しはんき] /(n) quarter (of a year)/(P)/
四半期収益 [しはんきしゅうえき] /(n) quarterly earnings/
四半期収益発表 [しはんきしゅうえきはっぴょう] /(n) quarterly earnings announcement/
四半世紀 [しはんせいき] /(n) quarter of a century/
四半分 [しはんぶん] /(n) a fourth/quarter/
四百 [よんひゃく] /(n) four hundred/(P)/
四百四病 [しひゃくしびょう] /(n) (Buddh) every type of disease/
四百四病の外 [しひゃくしびょうのほか] /(n) love-sickness/
四百余州 [しひゃくよしゅう] /(n) all China/
四部合唱 [しぶがっしょう] /(n) four-part harmony/
四部衆 [しぶしゅ] /(n) (obsc) four orders of Buddhist followers (monks, nuns, male lay devotees and female lay devotees)/
四分 [しぶん] /(n,vs) divide into four pieces/one fourth/
四分位 [しぶんい] /(n,adj-no) quartile/
四分円 [しぶんえん] /(n) quadrant/
四分音符 [しぶおんぷ] /(n) quarter note/crotchet/
四分音符 [しぶんおんぷ] /(n) quarter note/crotchet/
四分儀 [しぶんぎ] /(n) quadrant (instrument)/
四分五裂 [しぶごれつ] /(n,vs) torn asunder/disrupted and disorganized/
四分五裂 [しぶんごれつ] /(n,vs) torn asunder/disrupted and disorganized/
四分法 [しぶんほう] /(n) (1) (arch) fractional sampling/method of quartering/quartation/(2) method of lunar calendar formulation/
四分六 [しぶろく] /(n) six to four ratio/sixty-forty/
四文字語 [よもじご] /(n) four-letter word (English)/
四辺 [しへん] /(n) four-sided/
四辺形 [しへんけい] /(n) quadrilateral/quadrangle/tetragon/
四辺形格子 [しへんけいこうし] /(n) (comp) quadrilateral mesh/
四方 [しほう] /(n) every direction/(P)/
四方 [よも] /(n) every direction/
四方山話 [よもやまばなし] /(n) talk about various topics/
四方竹 [しほうちく] /(n) Tetragonocalamus quadrangularis (type of bamboo)/Chimonobambusa quadrangularis/
四方拝 [しほうはい] /(n) Prayer to the Four Quarters (Japanese imperial New Year's ceremony)/
四方八方 [しほうはっぽう] /(n) in all directions/
四方反かんな [しほうそりかんな] /(n) wooden plane with a convex base curved both along the direction of cutting and across the blade/
四方反りかんな [しほうそりかんな] /(n) wooden plane with a convex base curved both along the direction of cutting and across the blade/
四方反り鉋 [しほうそりかんな] /(n) wooden plane with a convex base curved both along the direction of cutting and across the blade/
四方反鉋 [しほうそりかんな] /(n) wooden plane with a convex base curved both along the direction of cutting and across the blade/
四房 [しぶさ] /(n) four tassels hung above the sumo ring/
四本 [よんほん] /(adj-f) four (long cylindrical things)/(P)/
四本足 [よんほんあし] /(n,adj-no) four-legged/four legs/
四本柱 [しほんばしら] /(n) four posts that used to support the roof over the sumo ring/
四民 [しみん] /(n) the four social classes (samurai, farmers, artisans, merchants)/the masses/
四面 [しめん] /(n) four sides/all sides/
四面楚歌 [しめんそか] /(n,adj-no) being surrounded by enemies on all sides/being betrayed (forsaken) by everybody/
四面体 [しめんたい] /(n) tetrahedron/
四矢 [よつや] /(n) matched set of four arrows for target shooting/
四有 [しう] /(n) (in Buddhism) the four stages of existence: birth, life, death, and limbo/
四葉塩竈 [よつばしおがま] /(n) (uk) Chamisso's lousewort (Pedicularis chamissonis var. japonica)/
四量体 [よんりょうたい] /(n,adj-no) tetramer/
四緑 [しろく] /(n) fourth of nine traditional astrological signs (corresponding to Jupiter and south-east)/
四輪 [よんりん] /(adj-no) four-wheeled/
四輪駆動 [よんりんくどう] /(n,adj-no) four-wheel drive/
四輪駆動車 [よんりんくどうしゃ] /(n) four-wheel-drive car/
四輪車 [よんりんしゃ] /(n) automobile/car/(P)/
四隣 [しりん] /(n) whole neighborhood/whole neighbourhood/surrounding countries/
四霊 [しれい] /(n) (obsc) the four auspicious beasts from Chinese mythology/
四六時中 [しろくじちゅう] /(adv,n) around the clock/day and night (Note: 4 x 6 = 24)/
四六判 [しろくばん] /(n) duodecimo/
四曼 [しまん] /(n) (Buddh) (abbr) (obsc) four types of mandala (in Shingon)/
四條笛鯛 [よすじふえだい] /(n) (uk) bluestripe snapper (Lutjanus kasmira)/bluestripe seaperch/
士官 [しかん] /(n) officer (military)/(P)/
士官学校 [しかんがっこう] /(n) military academy/
士官候補生 [しかんこうほせい] /(n) military cadet/
士気 [しき] /(n) morale (of troops, team, etc.)/esprit de corps/(P)/
士気旺盛 [しきおうせい] /(n,adj-na) morale being very high/heightened fighting spirit/
士気高揚 [しきこうよう] /(n,vs) raise (lift) morale/have an inspiring effect on morale/
士気阻喪 [しきそそう] /(n,vs) demoralization/collapse of morale/one's morale being shaken/
士君子 [しくんし] /(n) gentleman/man of learning and virtue/
士魂商才 [しこんしょうさい] /(n) having a samurai's spirit and a merchant's business sense/
士師 [しし] /(n) (1) judge (of ancient China)/(2) judge (leader of ancient Israel)/
士師記 [ししき] /(n) Book of Judges (of the Bible)/
士庶 [ししょ] /(n) (1) samurai and commoners/(2) normal people (as opposed to people of a high social standing)/
士女 [しじょ] /(n) men and women/the whole town/
士人 [しじん] /(n) (1) samurai/(2) person of extensive learning/person of great culture/person of superior social standing/
士族 [しぞく] /(n) family or person with samurai ancestors/
士族の商法 [しぞくのしょうほう] /(exp) amateurish and haughty way of doing business/venturing into an unfamiliar line of business (and often failing)/
士卒 [しそつ] /(n) officers and soldiers/soldiers/
士大夫 [したいふ] /(n) Chinese scholar-bureaucrat/Chinese scholar-official/
士長 [しちょう] /(n) leading private (JSDF)/
士道 [しどう] /(n) chivalry/samurai code/
士農工商 [しのうこうしょう] /(n) hierarchy of samurai, farmers, artisans, and merchants in Edo society/
士分 [しぶん] /(n) status of samurai/
始まらない [はじまらない] /(exp) It's no use/
始まり [はじまり] /(n) origin/beginning/(P)/
始まる [はじまる] /(v5r,vi) to begin/(P)/
始め [はじめ] /(n-adv,n-t) beginning/start/origin/(P)/
始めから [はじめから] /(exp) from the beginning/
始めて [はじめて] /(adv,n) (1) for the first time/(2) only after ... is it .../only when ... do you .../
始めに [はじめに] /(exp) to begin with (used as an introduction)/first of all/in the beginning/(P)/
始めに言葉ありき [はじめにことばありき] /(exp) In the beginning was the Word (John 1:1)/
始めのころ [はじめのころ] /(exp,adj-no) early/
始めは [はじめは] /(exp) at first/in the beginning/originally/
始めまして [はじめまして] /(iK) (exp) (uk) How do you do?/I am glad to meet you/
始める [はじめる] /(v1,vt,aux-v) (1) to start/to begin/to commence/to initiate/to originate/(2) to open (e.g. a store)/to start up/to establish (business. etc.)/(aux-v) (3) to start (doing something)/to begin to .../(P)/
始め良ければ終わり良し [はじめよければおわりよし] /(exp) (id) A good beginning makes a good ending/
始期 [しき] /(n) beginning period/initial term/
始球式 [しきゅうしき] /(n) (baseball) season-opening ceremony/
始業 [しぎょう] /(n,vs) start of work/commencement/opening/(P)/
始業時間 [しぎょうじかん] /(n) opening time/starting time of work/
始業式 [しぎょうしき] /(n) opening ceremony (of the school term)/
始原 [しげん] /(n,adj-no) start/origin/beginnings/
始原細胞 [しげんさいぼう] /(n) initial cell/
始終 [しじゅう] /(adv,n) continuously/from beginning to end/from first to last/(P)/
始新世 [ししんせい] /(n) Eocene epoch/
始生代 [しせいだい] /(n) Archaeozoic (Archeozoic) Era/
始祖 [しそ] /(n) founder/originator/pioneer/
始祖鳥 [しそちょう] /(n) archaeopteryx/
始端 [したん] /(n) (comp) start edge/
始端部 [したんぶ] /(n) (comp) leader/
始値 [はじめね] /(n) opening (stock-market) quotation/
始点 [してん] /(n) point of departure/initial point/starting point/
始電 [しでん] /(n) (abbr) first train/
始動 [しどう] /(n,vs) starting (in machines)/activation/
始発 [しはつ] /(n) (1) first departure (of a train, bus, etc.)/first train/first bus/(2) departing one's home station (of a train, bus, etc.)/(P)/
始発駅 [しはつえき] /(n) starting station/
始発電車 [しはつでんしゃ] /(n) first train (of the day)/
始末 [しまつ] /(n,vs) (1) management/dealing/settlement/(2) cleaning up/getting rid of/(n) (3) end result (usu. bad)/(P)/
始末屋 [しまつや] /(n) thrifty person/
始末書 [しまつしょ] /(n) written explanation or apology/
姉 [あね] /(n) (hum) older sister/elder sister/(P)/
姉 [し] /(suf) (hon) honorific suffix used after the name of a woman of equal or higher status/
姉 [ねえ] /(n-suf) (1) (fam) used after the name of someone who is an older sister figure/(n) (2) used with various honorifics to mean (older) sister/
姉さん [あねさん] /(n) (1) (hon) elder sister/(2) (vocative) young lady/(3) miss (referring to a waitress, etc.)/(4) ma'am (used by geisha to refer to their superiors)/
姉さん [ねえさん] /(n) (1) (hon) elder sister/(2) (vocative) young lady/(3) miss (referring to a waitress, etc.)/(4) ma'am (used by geisha to refer to their superiors)/(P)/
姉さんかぶり [あねさんかぶり] /(n) towel wrapped around a woman's head/
姉さん女房 [あねさんにょうぼう] /(n) (col) wife who is older than her husband/
姉さん被り [あねさんかぶり] /(n) towel wrapped around a woman's head/
姉ちゃん [ねえちゃん] /(n) elder sister/girl/
姉や [ねえや] /(n) (uk) (fam) young lady (in ref. to a maid, etc.)/
姉貴 [あねき] /(n) elder sister/
姉君 [あねぎみ] /(n) (hon) elder sister/
姉御 [あねご] /(n) (hum) elder sister/
姉上 [あねうえ] /(n) (hon) older sister/
姉弟 [きょうだい] /(ik) (n) older sister and younger brother/
姉弟 [してい] /(n) older sister and younger brother/
姉分 [あねぶん] /(n) (hon) someone who one considers as an elder sister/
姉妹 [きょうだい] /(ik) (n) sisters/
姉妹 [しまい] /(n) sisters/(P)/
姉妹・友好都市関係 [しまいゆうこうとしかんけい] /(n) sister-city relationship/
姉妹げんか [きょうだいげんか] /(n,vs) quarrel between sisters/
姉妹会社 [しまいがいしゃ] /(n) affiliated companies/
姉妹喧嘩 [きょうだいげんか] /(n,vs) quarrel between sisters/
姉妹校 [しまいこう] /(n) sister school (to)/
姉妹都市 [しまいとし] /(n) sister cities/
姉妹編 [しまいへん] /(n) companion (sister) volume (to)/sequel (to)/
姉妹友好都市関係 [しまいゆうこうとしかんけい] /(n) sister-city relationship/
姉婿 [あねむこ] /(n) the husband of one's elder sister/
姉様人形 [あねさまにんぎょう] /(n) paper doll modeled after a kimono-clad woman (modelled)/
姿 [すがた] /(n) figure/shape/appearance/(P)/
姿をあらわす [すがたをあらわす] /(exp,v5s) to make an appearance/to show up/
姿を現す [すがたをあらわす] /(exp,v5s) to make an appearance/to show up/
姿を消す [すがたをけす] /(exp,v5s) to disappear/
姿を表す [すがたをあらわす] /(exp,v5s) to make an appearance/to show up/
姿絵 [すがたえ] /(n) portrait/
姿形 [すがたかたち] /(n,adj-no) appearance/figure/shape/form/
姿見 [すがたみ] /(n) dresser/full-length mirror/
姿煮 [すがたに] /(n) seafood cooked in a way that preserves its original shape/
姿焼き [すがたやき] /(n) fish or shrimp, etc. grilled so that it retains its original form/
姿図 [すがたず] /(n) elevation diagram (of a building)/profile sketch/
姿勢 [しせい] /(n) attitude/posture/stance/approach/carriage (of the body)/(P)/
姿勢を正す [しせいをただす] /(exp,v5s) to straighten oneself/
姿勢反射 [しせいはんしゃ] /(n) postural reflex/
姿造り [すがたづくり] /(n) whole fish sashimi/
姿態 [したい] /(n) figure/form/style/
子 [こ] /(n,n-suf) (1) child/(2) young (animal)/(3) young woman/young geisha/(4) offshoot/(5) interest/(6) (abbr) new shares/(7) (arch) bird egg/(n-suf) (8) (after a noun or -masu stem) -er (often of young women)/(P)/
子 [し] /(n) (1) child (esp. a boy)/(2) viscount/(3) (hon) master (founder of a school of thought, esp. Confucius)/(4) philosophy (branch of Chinese literature)/non-Confucian Hundred Schools of Thought writings/(5) (arch) you (of one's equals)/(n-suf) (6) -er (i.e. a man who spends all his time doing...)/
子 [す] /(suf) (arch) (hon) honorific (or familiar) suffix used after a name/
子 [ね] /(n) first sign of Chinese zodiac (The Rat, 11pm-1am, north, November)/
子 [み] /(n) (1) fruit/nut/(2) seed/(3) (in broth) pieces of meat, vegetable, etc./(4) content/substance/
子々孫々 [ししそんそん] /(n) one's descendants/one's offspring/posterity/
子ぎつね [こぎつね] /(n) fox cub/
子ども [こども] /(n) child/children/(P)/
子どもたち [こどもたち] /(n) children/
子どもっぽい [こどもっぽい] /(adj-i) childish/child-like/immature/infantile/
子ども達 [こどもたち] /(n) children/
子なき爺 [こなきじじい] /(n) Konaki Jijii (a ghost in Japanese folklore with the shape of a small old man and having a baby's cry)/
子の刻 [ねのこく] /(n) midnight/
子の時 [ねのとき] /(n) midnight/
子の日 [ねのひ] /(n) (1) (abbr) day of the rat (esp. the first day of the rat in the New Year)/(2) collecting herbs and pulling out young pine trees by the roots/(3) pine shoot pulled out in such a manner/
子の日 [ねのび] /(n) (1) (abbr) day of the rat (esp. the first day of the rat in the New Year)/(2) collecting herbs and pulling out young pine trees by the roots/(3) pine shoot pulled out in such a manner/
子の日の松 [ねのひのまつ] /(n) pine shoot pulled out during "ne-no-hi-no-asobi"/
子の日の遊び [ねのひのあそび] /(n) collecting herbs and pulling out young pine trees by the roots (annual event held on the first day of the rat of the New Year)/
子は三界の首枷 [こはさんがいのくびかせ] /(exp) (id) A child is an everlasting responsibility to parents/
子は鎹 [こはかすがい] /(exp) children are a bond between husband and wife/
子を見ること親に如かず [こをみることおやにしかず] /(exp) The parent is the best judge of the child/
子を見る事親に如かず [こをみることおやにしかず] /(exp) The parent is the best judge of the child/
子を持って知る親の恩 [こをもってしるおやのおん] /(exp) (id) He that has no child knows not what love is/
子を宿す [こをやどす] /(exp,v5s) to be pregnant/to be with child/
子アザラシ [こアザラシ] /(n) baby seal/
子エントリ [こエントリ] /(n) (comp) child-entry/
子ガモ [こガモ] /(n) duckling/baby duck/
子クジラ [こクジラ] /(n) whale calf/
子プロセス [こプロセス] /(n) (comp) child process/
子マダム [こマダム] /(n) wealthy women who strive to follow the fashions exactly and be seen in all the right place/
子安 [こやす] /(n) (1) (abbr) safe, easy childbirth/(2) guardian bodhisattva, buddha or deity of children or childbirth (esp. Ksitigarbha or Avalokitesvara)/
子安貝 [こやすがい] /(n) cowrie/cowry/
子安観音 [こやすかんのん] /(n) guardian Avalokitesvara of children and childbirth (bodhisattva)/
子安地蔵 [こやすじぞう] /(n) guardian Ksitigarbha of childbirth (bodhisattva)/
子育て [こそだて] /(n,vs) raising children/
子院 [しいん] /(n) (obsc) sub-temple/
子猿 [こざる] /(n) small monkey/infant monkey/
子音 [しいん] /(n,adj-no) (ling) consonant/
子音群 [しいんぐん] /(n) consonant cluster/
子音性 [しいんせい] /(n) consonantal/
子音動詞 [しいんどうし] /(n) consonantal verb (e.g. godan verb)/consonant stem verb/
子画面 [こがめん] /(n) sub-screen/
子会社 [こがいしゃ] /(n) subsidiary (company)/(P)/
子海豹 [こあざらし] /(n) baby seal/
子株 [こかぶ] /(n) (1) (plant's) new bulb/(2) new stocks/new shares/
子鴨 [こがも] /(n) duckling/baby duck/
子忌 [ねいみ] /(n) (obsc) collecting herbs and pulling out young pine trees by the roots (annual event held on the first day of the rat of the New Year)/
子忌み [ねいみ] /(n) (obsc) collecting herbs and pulling out young pine trees by the roots (annual event held on the first day of the rat of the New Year)/
子機 [こき] /(n) (telephone) extension/additional telephone handset/
子規 [しき] /(n) (uk) lesser cuckoo (Cuculus poliocephalus)/
子規 [ほととぎす] /(n) (uk) lesser cuckoo (Cuculus poliocephalus)/
子規忌 [しきき] /(n) anniversary of Shiki Masaoka's death (September 19th)/
子宮 [しきゅう] /(n,adj-no) womb/uterus/(P)/
子宮がん [しきゅうがん] /(n) uterine cancer/
子宮外妊娠 [しきゅうがいにんしん] /(n) ectopic pregnancy/
子宮癌 [しきゅうがん] /(n) uterine cancer/
子宮筋腫 [しきゅうきんしゅ] /(n) fibroid/uterine myoma/
子宮頚 [しきゅうけい] /(n) uterine cervix/
子宮後屈 [しきゅうこうくつ] /(n) retroversion of the uterus/tipped uterus/
子宮口 [しきゅうこう] /(n) os uteri/cervical os/orifice of the uterus/
子宮腔 [しきゅうくう] /(n) cavitas uteri/cavity of uterus/cavum uteri/
子宮体癌 [しきゅうたいがん] /(n) cancer of the uterine body/
子宮体部 [しきゅうたいぶ] /(n) corpus uteri/uterine body/body of the uterus/
子宮脱 [しきゅうだつ] /(n) uterine prolapse/
子宮摘出 [しきゅうてきしゅつ] /(n) hysterectomy/
子宮内 [しきゅうない] /(adj-no) intrauterine/
子宮内胎児死亡 [しきゅうないたいじしぼう] /(n) intrauterine fetal death (foetal)/IUFD/
子宮内避妊器具 [しきゅうないひにんきぐ] /(n) intrauterine device/IUD/
子宮内膜 [しきゅうないまく] /(n,adj-no) endometrium/uterine mucosa/
子宮内膜炎 [しきゅうないまくえん] /(n) endometritis/
子宮内膜癌 [しきゅうないまくがん] /(n) endometrial cancer/
子宮内膜症 [しきゅうないまくしょう] /(n) endometriosis/
子宮旁結合織 [しきゅうぼうけつごうしき] /(n) parametrium/
子宮頸 [しきゅうけい] /(n) uterine cervix/
子宮頸管 [しきゅうけいかん] /(n) cervical canal/uterine cervix/
子宮頸癌 [しきゅうけいがん] /(n) cervical cancer/
子宮頸部 [しきゅうけいぶ] /(n) cervix uteri/uterine cervix/neck of the uterus/
子泣きじじい [こなきじじい] /(n) Konaki Jijii (a ghost in Japanese folklore with the shape of a small old man and having a baby's cry)/
子泣き爺 [こなきじじい] /(n) Konaki Jijii (a ghost in Japanese folklore with the shape of a small old man and having a baby's cry)/
子牛 [こうし] /(n,adj-no) calf/(P)/
子供 [こども] /(n) child/children/(P)/
子供じみた [こどもじみた] /(adj-f) childish/
子供たち [こどもたち] /(n) children/
子供に掛かる [こどもにかかる] /(exp,v5r) to depend on one's children/
子供に甘い [こどもにあまい] /(adj-i) indulgent to (one's) children/
子供の使い [こどものつかい] /(exp,n) useless messenger/doing only as one is told/fool's errand/
子供の日 [こどものひ] /(n) Children's Day (national holiday; May 5th)/
子供を妊む [こどもをはらむ] /(exp,v5m) to conceive/to become pregnant/
子供扱い [こどもあつかい] /(n,vs) treating someone like a child/
子供心 [こどもごころ] /(n) childlike mind/judgment as a child (judgement)/
子供染みた [こどもじみた] /(adj-f) childish/
子供相撲 [こどもずもう] /(n) children's sumo/
子供達 [こどもたち] /(n) children/
子供部屋 [こどもべや] /(n) child's room/nursery/
子供服 [こどもふく] /(n) children's clothing/
子供保険 [こどもほけん] /(n) juvenile insurance/
子供用 [こどもよう] /(adj-no) for use by children/
子供連れ [こどもずれ] /(n) accompanied by children/
子供騙し [こどもだまし] /(n) mere child's play/kid stuff/childish trick/
子局 [こきょく] /(n) (comp) (computer) slave station/
子熊 [こぐま] /(n) small bear/bear cub/
子鯨 [こくじら] /(n) whale calf/
子月 [ねづき] /(n) (obs) eleventh month of the lunar calendar/
子犬 [こいぬ] /(n) puppy/
子見出し [こみだし] /(n) subentry (in dictionary)/subentry/
子狐 [こぎつね] /(n) fox cub/
子午環 [しごかん] /(n) meridian circle/
子午線 [しごせん] /(n) the meridian/
子構造体 [ここうぞうたい] /(n) (comp) child structure/
子細 [しさい] /(n) reasons/circumstances/significance/particulars/hindrance/obstruction/interference/
子細ありげ [しさいありげ] /(adj-na) seeming to be for a certain reason/seeming to indicate there are special circumstances/seeming to indicate there is more than meets the eye/
子細に及ばず [しさいにおよばず] /(exp) (arch) there is no problem/there is no need to go into details/
子細に見る [しさいにみる] /(exp,v1) to look closely/
子作り [こづくり] /(n) (1) having children/(2) attempting to conceive/
子殺し [こごろし] /(n) infanticide/
子子孫孫 [ししそんそん] /(n) one's descendants/one's offspring/posterity/
子指 [こゆび] /(n) (1) little finger/pinky/(2) little toe/
子飼い [こがい] /(n) protege/
子持 [こもち] /(n) (1) parenthood/parent or someone with children on the way (esp. an expecting mother)/(2) (of a fish) containing roe (eggs)/
子持ち [こもち] /(n) (1) parenthood/parent or someone with children on the way (esp. an expecting mother)/(2) (of a fish) containing roe (eggs)/
子持ち甘藍 [こもちかんらん] /(n) Brussels sprouts/
子持昆布 [こもちこんぶ] /(n) kelp with herring roe (sushi type)/
子持万年草 [こもちまんねんぐさ] /(n) (uk) Sedum bulbiferum (species of stonecrop)/
子鹿 [こじか] /(n) fawn/
子爵 [ししゃく] /(n) viscount/
子守 [こもり] /(n,vs) (1) babysitter/nursemaid/(2) babysitting/(P)/
子守り [こもり] /(n,vs) (1) babysitter/nursemaid/(2) babysitting/
子守唄 [こもりうた] /(n) lullaby/
子守歌 [こもりうた] /(n) lullaby/(P)/
子守蛙 [こもりがえる] /(n) (uk) Surinam toad (Pipa pipa)/pipa/
子守鮫 [こもりざめ] /(n) (uk) nurse shark (Ginglymostoma cirratum)/
子守蜘蛛 [こもりぐも] /(n) (uk) wolf spider (any spider of family Lycosidae)/
子種 [こだね] /(n) children/descendants/
子順序番号 [こじゅんじょばんごう] /(n) (comp) child-sequence-number/
子女 [しじょ] /(n) (1) sons and daughters/male and female children/children/(2) girl/(P)/
子操作 [こそうさ] /(n) (comp) child-operation/
子息 [しそく] /(n) (hon) son/(P)/
子孫 [しそん] /(n) descendants/posterity/offspring/(P)/
子孫構造体 [しそんこうぞうたい] /(n) (comp) descendant structure/
子袋 [こぶくろ] /(n) womb/uterus/
子沢山 [こだくさん] /(adj-na,n) many children/large family/
子達 [こたち] /(n) (abbr) children (usu. only spoken)/
子弟 [してい] /(n) young(er) people/(P)/
子等 [こら] /(n) children/
子豚 [こぶた] /(n) piglet/
子猫 [こねこ] /(n) kitten/
子年 [ねずみどし] /(n) year of the rat/
子年 [ねどし] /(n) year of the rat/
子嚢 [しのう] /(n) ascus/seed pod/
子嚢菌 [しのうきん] /(n) ascomycete/sac fungus/
子馬 [こうま] /(n) (1) small horse/pony/(2) foal/colt/filly/
子鳩 [こばと] /(n) (1) squab/young pigeon/(2) pigeon meat/
子煩悩 [こぼんのう] /(adj-na,n) indulgent/fond/
子福者 [こぶくしゃ] /(n) person blessed with many children/
子分 [こぶん] /(n) (1) henchman/follower/(2) (arch) adopted child/
子偏 [こへん] /(n) kanji "child" radical at left/
子捕り [ことり] /(n) (game of) catch-the-child/
子宝 [こだから] /(n) the treasure that is children/children/
子宝に恵まれる [こだからにめぐまれる] /(exp,v1) to be blessed with children/
子方 [こかた] /(n) child's role in Noh dance/
子房 [しぼう] /(n) ovary (of plants)/
子役 [こやく] /(n) dramatic role for child/child actor/(P)/
子羊 [こひつじ] /(n) lamb/(P)/
子葉 [しよう] /(n) cotyledon/seed leaf (i.e. the first leaves to emerge when a seed sprouts)/
子離れ [こばなれ] /(n,vs) parents' ability (or inability) to let go of their children/
子連れ [こづれ] /(n) taking one's children along (to an event, into a new marriage, etc.)/
子啼爺 [こなきじじい] /(n) Konaki Jijii (a ghost in Japanese folklore with the shape of a small old man and having a baby's cry)/
子癇 [しかん] /(n) eclampsia/
屍 [かばね] /(n) (1) corpse/(2) kanji "corpse" radical/
屍 [し] /(n) (1) corpse/
屍 [しかばね] /(n) (1) corpse/(2) kanji "corpse" radical/
屍を晒す [しかばねをさらす] /(exp,v5s) to die on the battlefield/
屍骸 [しがい] /(n) body/corpse/remains/
屍姦 [しかん] /(n) necrophilia/necrophilism/
屍諌 [しかん] /(n,vs) admonishing (one's master) at the cost of one's life/
屍山血河 [しざんけつが] /(n) heaps of bodies and streams of blood/fierce battle/
屍陀林王 [しだりんおう] /(n) Citipati (skeletal Buddhist demi-gods)/
屍体 [したい] /(n,adj-no) (sens) dead body/corpse/cadaver/
屍肉 [しにく] /(n) dead flesh/carrion/
屍蝋 [しろう] /(n) adipocere/grave wax (greying of the body fats of a corpse which rests in a moist but airless place) (graying)/
市 [いち] /(n) market/fair/(P)/
市 [し] /(n,n-suf) city/(P)/
市が立つ日 [いちがたつひ] /(exp,n) market day/
市に虎あり [いちにとらあり] /(exp) (id) people will believe something false if many agree that it is true (an example of argumentum ad populum)/there's a tiger in the market/
市を成す [いちをなす] /(exp,v5s) to form a crowd/to have a crowd of people/
市バス [しバス] /(n) city bus/
市井 [いちい] /(ik) (n) the street/the town/
市井 [しせい] /(n) the street/the town/
市井の出来事 [しせいのできごと] /(n) events on the street/
市井の人 [しせいのひと] /(n) townspeople/
市井無頼 [しせいぶらい] /(n,adj-no) urban villain/street hoodlum/
市営 [しえい] /(n,adj-no) municipal management/(P)/
市営住宅 [しえいじゅうたく] /(n) municipal housing/
市価 [しか] /(n) market price/current price/
市会 [しかい] /(n) city council/(P)/
市会議員 [しかいぎいん] /(n) city councillor/city councilor/city assemblyman/
市外 [しがい] /(n,adj-no) outside the city area/suburbs/(P)/
市外局番 [しがいきょくばん] /(n) (telephone) area code/
市外通話 [しがいつうわ] /(n) toll call/
市外電話 [しがいでんわ] /(n) long-distance call/
市街 [しがい] /(n,adj-no) urban areas/the streets/town/city/(P)/
市街化区域 [しがいかくいき] /(n) area zoned for urbanization (urbanisation)/
市街局番 [しがいきょくばん] /(iK) (n) (telephone) area code/
市街図 [しがいず] /(n) city map/
市街戦 [しがいせん] /(n) street fighting/
市街地 [しがいち] /(n) town areas/(P)/
市議 [しぎ] /(n) (abbr) city councillor/city councilor/city assemblyman/(P)/
市議会 [しぎかい] /(n) city council/(P)/
市議会議員 [しぎかいぎいん] /(n) city council member/
市況 [しきょう] /(n) market conditions/(P)/
市区 [しく] /(n) municipal district/streets/
市区改正 [しくかいせい] /(n) shiku-kaisei city planning/city renewal that occured in the Taisho and Meiji eras/
市区町村名 [しくちょうそんめい] /(n) omnibus term for the names of cities, wards, towns or villages/
市警 [しけい] /(n) (obs) city police/
市債 [しさい] /(n) municipal bond/
市参事会 [しさんじかい] /(n) city council/
市子 [いちこ] /(n) (1) sorceress/medium/female fortuneteller/(2) (arch) child from the city/
市女笠 [いちめがさ] /(n) straw hat worn by women/
市松 [いちまつ] /(n) checked (pattern)/
市松人形 [いちまつにんぎょう] /(n) traditional Japanese doll/
市松模様 [いちまつもよう] /(n,adj-no) checks/check (checkered, chequered) pattern/checkerboard/
市章 [ししょう] /(n) city symbol/city emblem/
市上 [しじょう] /(n) in the town/in the street/
市場 [いちば] /(n) (1) (town) market/(2) (the) marketplace/(P)/
市場 [しじょう] /(n) (the) market (as a concept)/(P)/
市場の失敗 [しじょうのしっぱい] /(n) market failure/
市場の飽和状態 [しじょうのほうわじょうたい] /(n) market saturation/
市場シェア [しじょうシェア] /(n) market share/
市場トライアル [しじょうトライアル] /(n) market trial (of a product, service)/
市場価格 [しじょうかかく] /(n) market price or value/
市場価値 [しじょうかち] /(n) market value/
市場可能性 [いちばかのうせい] /(n) market potential/
市場改革 [しじょうかいかく] /(n) market reform/
市場開拓 [しじょうかいたく] /(n) market development/
市場開放 [いちばかいほう] /(n) market opening/
市場拡大 [しじょうかくだい] /(n) market expansion/
市場環境 [しじょうかんきょう] /(n) market environment/
市場機構 [しじょうきこう] /(n) market mechanism/
市場規模 [しじょうきぼ] /(n) market scale/
市場均衡 [しじょうきんこう] /(n) market equilibrium/
市場区分 [しじょうくぶん] /(n) market segment/
市場経済 [しじょうけいざい] /(n,adj-no) market economy/
市場原理 [しじょうげんり] /(n) market principle/
市場構造 [しじょうこうぞう] /(n) market structure/
市場自由化 [しじょうじゆうか] /(n,vs) market liberalization/market liberalisation/opening up of a market/
市場浸透 [いちばしんとう] /(n) market penetration/
市場性 [しじょうせい] /(n) marketability/
市場成長 [しじょうせいちょう] /(n) market growth/
市場占有率 [しじょうせんゆうりつ] /(n) market share/
市場喪失 [いちばそうしつ] /(n) market loss/
市場調査 [しじょうちょうさ] /(n) market research/(P)/
市場調査機関 [しじょうちょうさきかん] /(n) market research organization/market research organisation/
市場撤退 [しじょうてったい] /(n) pulling out of a market/withdrawing from a market/
市場展開 [しじょうてんかい] /(n) market expansion/
市場統合 [しじょうとうごう] /(n) market integration/market consolidation/
市場分析 [しじょうぶんせき] /(n) market analysis/
市人 [いちびと] /(n) market people/
市人 [しじん] /(n) resident/townsfolk/merchant/
市塵 [しじん] /(n) city dust/city confusion/
市制 [しせい] /(n) municipal organization/municipal organisation/municipality/
市勢 [しせい] /(n) city conditions/municipal census/
市勢調査 [しせいちょうさ] /(n) municipal census/
市政 [しせい] /(n,adj-no) municipal government/(P)/
市税 [しぜい] /(n) city tax/
市葬 [しそう] /(n) municipal funeral/
市中 [いちなか] /(ok) (n) in the city/
市中 [しちゅう] /(n) in the city/(P)/
市中銀行 [しちゅうぎんこう] /(n) commercial bank/city bank/private bank/high street bank/
市中肺炎 [しちゅうはいえん] /(n) community-acquired pneumonia/
市庁 [しちょう] /(n) municipal office/
市庁舎 [しちょうしゃ] /(n) town hall/city hall/
市町 [しちょう] /(n) cities and towns/
市町村 [しちょうそん] /(n) cities, towns and villages/municipalities/(P)/
市長 [しちょう] /(n,adj-no) mayor/(P)/
市長選 [しちょうせん] /(n) mayoral election/
市長選挙 [しちょうせんきょ] /(n) mayoral election/
市長村長選挙 [しちょうそんちょうせんきょ] /(n) mayoral election/
市長町長選挙 [しちょうちょうちょうせんきょ] /(n) mayoral election/
市庭 [いちば] /(oK) (n) (1) (town) market/(2) (the) marketplace/
市電 [しでん] /(n) municipal railway/city streetcar/tram/
市道 [しどう] /(n) municipal roads/(P)/
市内 [しない] /(n,adj-no) (within a) city/local/(P)/
市内観光 [しないかんこう] /(n) city sights/
市内局番 [しないきょくばん] /(n) (comp) local office number/
市内通話 [しないつうわ] /(n) intra-city telephone call/local call/
市内通話料金 [しないつうわりょうきん] /(n) intra-city telephone rate/local-call rate/
市日 [いちび] /(n) market day/
市販 [しはん] /(n,vs) (1) selling on the market (in the marketplace, in stores, etc.)/making something commercially available/(adj-no) (2) commercial (e.g. software)/over-the-counter/off-the-shelf/store-bought/(P)/
市販のソフト [しはんのソフト] /(n) (comp) commercial software/
市販ソフト [しはんソフト] /(n) (comp) commercial software/
市販品 [しはんひん] /(n) goods on the market/
市販薬 [しはんやく] /(n) over-the-counter drug/
市費 [しひ] /(n) municipal expenditure/
市部 [しぶ] /(n) urban areas/(P)/
市民 [しみん] /(n) citizen/townspeople/(P)/
市民運動 [しみんうんどう] /(n) citizens' campaign/citizens' group/
市民会館 [しみんかいかん] /(n) City meeting hall/
市民階級 [しみんかいきゅう] /(n) bourgeoisie/
市民革命 [しみんかくめい] /(n) people's or popular revolution/
市民活動 [しみんかつどう] /(n) civic activity/activities initiated by the citizens themselves/
市民軍 [しみんぐん] /(n) militia/
市民権 [しみんけん] /(n) citizenship/civic rights/civil rights/(P)/
市民社会 [しみんしゃかい] /(n) civil society/(P)/
市民生活 [しみんせいかつ] /(n) civic life/
市民税 [しみんぜい] /(n) municipal tax/
市民戦争 [しみんせんそう] /(n) civil war/
市民大会 [しみんたいかい] /(n) citizens' rally/mass meeting/
市民団体 [しみんだんたい] /(n) citizen's group/
市民法 [しみんほう] /(n) civil law/
市門 [しもん] /(n) city gate/
市役所 [しやくしょ] /(n) municipal office/council/city hall/(P)/
市有 [しゆう] /(n,adj-no) owned by the city/
市有財産 [しゆうざいさん] /(n) municipal property/
市有地 [しゆうち] /(n) city land/
市有物 [しゆうぶつ] /(n) municipal property/
市吏員 [しりいん] /(n) employee/city official/
市立 [いちりつ] /(n,adj-no) municipal/city/
市立 [しりつ] /(n,adj-no) municipal/city/(P)/
市立学校 [しりつがっこう] /(n) municipal school/
市立図書館 [しりつとしょかん] /(n) city library/municipal library/public library/
市肆 [しし] /(n) store/market storehouse/
師 [し] /(n) (1) teacher/master/one's mentor/(n,suf) (2) religious leader/(suf) (3) specialist/(n) (4) (arch) five-battalion brigade comprising 2500 men (Zhou-dynasty Chinese army)/
師と仰ぐ [しとあおぐ] /(v5g) to look up to (a person) as one's preceptor/
師の坊 [しのぼう] /(n) master priest/
師恩 [しおん] /(n) the kindness of a teacher/
師家 [しか] /(n) the teacher's home/
師訓 [しくん] /(n) the instruction of a teacher/
師子 [しし] /(n) (1) lion/(2) left-hand guardian dog at a Shinto shrine/
師資 [しし] /(n) relying on someone as one's teacher/
師資相承 [ししそうしょう] /(n,vs) generation-to-generation instruction from master to disciple/
師事 [しじ] /(n,vs) study under/looking up/apprentice oneself/(P)/
師儒 [しじゅ] /(n) teacher/scholar/
師匠 [ししょう] /(n) (1) master/teacher/(2) sumo coach who owns his stable/(P)/
師説 [しせつ] /(n) the teacher's theory/
師僧 [しそう] /(n) priestly teacher/
師走 [しはす] /(n) (obs) twelfth month of the lunar calendar/
師走 [しわす] /(n) (obs) twelfth month of the lunar calendar/(P)/
師団 [しだん] /(n,adj-no) (army) division/(P)/
師団長 [しだんちょう] /(n) division commander/
師長 [しちょう] /(n) teachers, superiors, and men of prominence/
師弟 [してい] /(n) teacher and student/(P)/
師伝 [しでん] /(n) instruction from a master/
師道 [しどう] /(n) duty of a teacher/
師範 [しはん] /(adj-na,n) instructor/(fencing) teacher/model/(P)/
師範学校 [しはんがっこう] /(n) normal school/
師範代 [しはんだい] /(n) assistant instructor/
師表 [しひょう] /(n) model/pattern/paragon/leader/teacher/
師父 [しふ] /(n) fatherly master/
師部 [しぶ] /(n) phloem/inner bark/
師門 [しもん] /(n) tutelage/
師友 [しゆう] /(n) master and friends/
志 [こころざし] /(n) will/intention/motive/(P)/
志す [こころざす] /(v5s,vi) to plan/to intend/to aspire to/to set aims (sights on)/(P)/
志学 [しがく] /(n) age 15/
志願 [しがん] /(n,vs,adj-no) aspiration/volunteering/desire/(P)/
志願者 [しがんしゃ] /(n) applicant/candidate/
志願書 [しがんしょ] /(n) application (form)/
志願兵 [しがんへい] /(n) volunteer soldier/
志気 [しき] /(n) determination/esprit de corps/
志向 [しこう] /(n,vs) intention/aim/(P)/
志向性 [しこうせい] /(n) intentionality/
志士 [しし] /(n) patriot/public-spirited person/
志集 [ししゅう] /(n) booklet of essays/magazine/
志帥会 [しすいかい] /(n) Shisui Faction (of the LDP)/
志操 [しそう] /(n) principle/
志操堅固 [しそうけんご] /(n,adj-na) being faithful to one's principles/being of firm purpose and deep commitment/constancy/true blue/
志徳 [しとく] /(n) Shitoku era (of the Northern Court) (1384.2.27-1387.8.23)/
志望 [しぼう] /(n,vs) wish/desire/ambition/(P)/
志望校 [しぼうこう] /(n) school of one's (first, second) choice/
志望者 [しぼうしゃ] /(n) candidate/applicant/
志望動機 [しぼうどうき] /(n) reason for (one's) application/
志望理由書 [しぼうりゆうしょ] /(n) statement of purpose/essay/letter in university application form/
思い [おもい] /(n) thought/mind/heart/feelings/emotion/sentiment/love/affection/desire/wish/hope/expectation/imagination/experience/(P)/
思いあがる [おもいあがる] /(v5r,vi) to be conceited/
思いあぐねる [おもいあぐねる] /(v1) to think something over and over/to rack one's brains/to be at a loss/
思いあたる [おもいあたる] /(v5r,vi) to come to mind/to recall/to think of/
思いいれ [おもいいれ] /(adv,n,vs) (1) emotional attachement/(2) attitude (expressing emotion)/meditative pose (e.g. an actor)/posing for effect/
思いがけず [おもいがけず] /(adv) unexpectedly/not expecting/not dreaming of/
思いがけない [おもいがけない] /(adj-i) unexpected/contrary to expectations/by chance/casual/(P)/
思いがする [おもいがする] /(exp,vs-i) to feel as though .../
思いがち [おもいがち] /(exp) apt to think/tend to think/
思いきって [おもいきって] /(adv) resolutely/boldly/daringly/
思いきや [おもいきや] /(exp) contrary to expectations/or so we thought, but .../
思いきり [おもいきり] /(adv,n) with all one's strength/with all one's heart/resignation/resolution/
思いきる [おもいきる] /(v5r,vt) (1) to give up all thoughts of/to abandon/to despair of/(v5r,vi) (2) to make up one's mind/to take a momentous decision/
思いこがれる [おもいこがれる] /(v1,vi) to pine for/
思いこみ [おもいこみ] /(n) wrong impression/subjective impression/assumption/prejudice/
思いしらせる [おもいしらせる] /(v1,vt) to teach somebody a lesson/to have a revenge on/to get even with/to make someone realize/to make someone realise/
思いすごし [おもいすごし] /(n) groundless fear/thinking too much/making too much of/
思いだす [おもいだす] /(v5s,vt) to recall/to remember/
思いちがい [おもいちがい] /(n) (1) misunderstanding/misapprehension/false impression/(vs) (2) to be mistaken/to have the wrong idea/
思いっきり [おもいっきり] /(adv,n) with all one's strength/with all one's heart/resignation/resolution/(P)/
思いっ切り [おもいっきり] /(adv,n) with all one's strength/with all one's heart/resignation/resolution/
思いつく [おもいつく] /(v5k) to think of/to hit upon/to come into one's mind/to be struck with an idea/
思いつめる [おもいつめる] /(v1,vt) to think hard/to brood over/to worry too much (about)/to torment oneself (with the thought of)/
思いとどまる [おもいとどまる] /(v5r,vt) to give up (a plan or idea)/to desist from (doing)/(P)/
思いどおり [おもいどおり] /(adj-na,n) at one's pleasure/as one likes/to one's satisfaction/
思いなおす [おもいなおす] /(v5s,vt) to re-think/to think back upon/to change one's mind/
思いなしか [おもいなしか] /(adv) imagination/
思いのまま [おもいのまま] /(n) as one pleases/to one's heart's content/
思いの外 [おもいのほか] /(adv,n) surprising/unexpected/
思いの丈 [おもいのたけ] /(adv,n) one's heart/
思いもかけない [おもいもかけない] /(adj-i) unexpected/contrary to expectations/unforeseen/
思いもよらない [おもいもよらない] /(adj-i) unexpected/unforeseen/inconceivable/
思いも掛けない [おもいもかけない] /(adj-i) unexpected/contrary to expectations/unforeseen/
思いも寄らない [おもいもよらない] /(adj-i) unexpected/unforeseen/inconceivable/
思いやり [おもいやり] /(n) consideration/sympathy/(P)/
思いやり予算 [おもいやりよさん] /(n) omoiyari yosan/appreciation payment/financial support towards welfare benefits and allowances of U.S. forces stationed in Japan/
思いやる [おもいやる] /(v5r) to be considerate/to sympathize with/to sympathise with/(P)/
思いわずらう [おもいわずらう] /(v5u,vi) to worry about/to be vexed/
思いをいたす [おもいをいたす] /(exp,v5s) to think of/to give one's thought to/
思いをはせる [おもいをはせる] /(exp,v1) to think about/to send one's heart out to/to give more than a passing thought to/to think of something far away/to think nostalgically upon (esp. one's hometown)/
思いをよせる [おもいをよせる] /(exp,v1) to give one's heart to/to fall in love/
思いを寄せる [おもいをよせる] /(exp,v1) to give one's heart to/to fall in love/
思いを遂げる [おもいをとげる] /(exp,v1) to achieve one's desire/
思いを晴らす [おもいをはらす] /(exp,v5s) to get one's revenge/
思いを致す [おもいをいたす] /(exp,v5s) to think of/to give one's thought to/
思いを馳せる [おもいをはせる] /(exp,v1) to think about/to send one's heart out to/to give more than a passing thought to/to think of something far away/to think nostalgically upon (esp. one's hometown)/
思い違い [おもいちがい] /(n) (1) misunderstanding/misapprehension/false impression/(vs) (2) to be mistaken/to have the wrong idea/
思い違いをする [おもいちがいをする] /(exp,vs-i) to misunderstand/
思い過ごし [おもいすごし] /(n) groundless fear/thinking too much/making too much of/
思い過ごす [おもいすごす] /(v5s,vt) to think too much of/to make too much of/
思い過す [おもいすごす] /(v5s,vt) to think too much of/to make too much of/
思い回す [おもいまわす] /(v5s,vt) to ponder/to recall/
思い掛けず [おもいがけず] /(adv) unexpectedly/not expecting/not dreaming of/
思い掛けない [おもいがけない] /(adj-i) unexpected/contrary to expectations/by chance/casual/
思い掛け無い [おもいがけない] /(adj-i) unexpected/contrary to expectations/by chance/casual/
思い寄る [おもいよる] /(v5r,vi) (1) to recall/to hit upon.../to occur to (one)/(2) to feel the call of .../
思い起こす [おもいおこす] /(v5s,vt) to recall/to remember/(P)/
思い起す [おもいおこす] /(v5s,vt) to recall/to remember/
思い詰める [おもいつめる] /(v1,vt) to think hard/to brood over/to worry too much (about)/to torment oneself (with the thought of)/
思い及ぶ [おもいおよぶ] /(v5b,vi) to hit upon something/
思い倦ねる [おもいあぐねる] /(v1) to think something over and over/to rack one's brains/to be at a loss/
思い見る [おもいみる] /(v1) to reflect carefully/
思い遣り [おもいやり] /(n) consideration/sympathy/
思い遣る [おもいやる] /(v5r) to be considerate/to sympathize with/to sympathise with/
思い合う [おもいあう] /(v5u,vi) to love one another/
思い合せる [おもいあわせる] /(v1,vt) to consider (all the circumstances)/to bear (a number of things) in mind/
思い合わせる [おもいあわせる] /(v1,vt) to consider (all the circumstances)/to bear (a number of things) in mind/
思い込み [おもいこみ] /(n) wrong impression/subjective impression/assumption/prejudice/
思い込む [おもいこむ] /(v5m,vi) to be under impression that/to be convinced that/to imagine that/to set one's heart on/to be bent on/(P)/
思い残す [おもいのこす] /(v5s,vt) to regret/
思い思い [おもいおもい] /(adv) just as one likes/as one pleases/(P)/
思い止どまる [おもいとどまる] /(v5r,vt) to give up (a plan or idea)/to desist from (doing)/
思い止まる [おもいとどまる] /(v5r,vt) to give up (a plan or idea)/to desist from (doing)/
思い至る [おもいいたる] /(v5r,vi) to realize/to realise/
思い者 [おもいもの] /(n) sweetheart/
思い出 [おもいで] /(n) memories/recollections/reminiscence/(P)/
思い出し笑い [おもいだしわらい] /(n,vs) laughing while reminiscing/
思い出す [おもいだす] /(v5s,vt) to recall/to remember/(P)/
思い出の記 [おもいでのき] /(n) (1) one's memoirs/(2) keepsake (not from a dead person)/
思い出の品 [おもいでのしな] /(n) keepsake/memorabilia/memento/
思い出深い [おもいでぶかい] /(adj-i) profoundly memorable/
思い出話 [おもいでばなし] /(n) reminiscent talk/
思い巡らす [おもいめぐらす] /(v5s,vt) to think over/
思い勝ち [おもいがち] /(exp) apt to think/tend to think/
思い焦がれる [おもいこがれる] /(v1,vi) to pine for/
思い焦れる [おもいこがれる] /(v1,vi) to pine for/
思い上がる [おもいあがる] /(v5r,vi) to be conceited/(P)/
思い切った [おもいきった] /(exp,adj-f) bravely/drastic/
思い切って [おもいきって] /(adv) resolutely/boldly/daringly/(P)/
思い切らせる [おもいきらせる] /(v1) to dissuade/to change someone's mind/to make someone give up the idea of/
思い切り [おもいきり] /(adv,n) with all one's strength/with all one's heart/resignation/resolution/(P)/
思い切る [おもいきる] /(v5r,vt) (1) to give up all thoughts of/to abandon/to despair of/(v5r,vi) (2) to make up one's mind/to take a momentous decision/(P)/
思い設ける [おもいもうける] /(v1,vt) to anticipate/to expect/
思い続ける [おもいつづける] /(v1) to think constantly about/to dwell on/
思い知らす [おもいしらす] /(v5s) to teach somebody a lesson/to have a revenge on/to get even with/to make someone realize/to make someone realise/
思い知らせる [おもいしらせる] /(v1,vt) to teach somebody a lesson/to have a revenge on/to get even with/to make someone realize/to make someone realise/
思い知る [おもいしる] /(v5r,vt) to realize/to realise/
思い直す [おもいなおす] /(v5s,vt) to re-think/to think back upon/to change one's mind/(P)/
思い通り [おもいどおり] /(adj-na,n) at one's pleasure/as one likes/to one's satisfaction/
思い定める [おもいさだめる] /(v1,vt) to make up one's mind/to be determined/
思い当たる [おもいあたる] /(v5r,vi) to come to mind/to recall/to think of/(P)/
思い当たるふしがある [おもいあたるふしがある] /(exp) to have something (likely) come to mind/
思い当たる節がある [おもいあたるふしがある] /(exp) to have something (likely) come to mind/
思い当る [おもいあたる] /(v5r,vi) to come to mind/to recall/to think of/
思い入る [おもいいる] /(v5r) to ponder/to contemplate/
思い入れ [おもいいれ] /(adv,n,vs) (1) emotional attachement/(2) attitude (expressing emotion)/meditative pose (e.g. an actor)/posing for effect/
思い悩む [おもいなやむ] /(v5m,vt) to worry/
思い煩う [おもいわずらう] /(v5u,vi) to worry about/to be vexed/
思い描く [おもいえがく] /(v5k,vt) to imagine/to picture/to figure/to see/(P)/
思い付き [おもいつき] /(n) plan/idea/suggestion/(P)/
思い付く [おもいつく] /(v5k) to think of/to hit upon/to come into one's mind/to be struck with an idea/(P)/
思い浮かぶ [おもいうかぶ] /(v5b) to occur to/to remind of/
思い浮かべる [おもいうかべる] /(v1) to be reminded of/to call to mind/
思い返す [おもいかえす] /(v5s,vt) to re-think/to think back upon/to change one's mind/
思い迷う [おもいまよう] /(v5u) to be unable to make up one's mind/to be undecided/
思い余る [おもいあまる] /(v5r,vi) to not know how to act or what to do/to be at a loss/
思い乱れる [おもいみだれる] /(v1,vi) to be worried about/
思い立ったが吉日 [おもいたったがきちじつ] /(exp) (id) no time like the present (lit: it's the auspicious day when you've just thought of it)/make hay while the sun shines/
思い立ったが吉日 [おもいたったがきちにち] /(exp) (id) no time like the present (lit: it's the auspicious day when you've just thought of it)/make hay while the sun shines/
思い立つ [おもいたつ] /(v5t,vt) (1) to occur (to one's mind)/to get the idea of doing/(2) to resolve/to make up one's mind/
思い惑う [おもいまどう] /(v5u,vi) to be at a loss/
思い做しか [おもいなしか] /(adv) imagination/
思う [おもう] /(v5u,vt) (1) to think/to consider/to believe/(2) to think (of doing)/to plan (to do)/(3) to judge/to assess/to regard/(4) to imagine/to suppose/to dream/(5) to expect/to look forward to/(6) to feel/to desire/to want/(7) to recall/to remember/(P)/
思うがまま [おもうがまま] /(exp) to one's heart's content or satisfaction/
思うぞんぶん [おもうぞんぶん] /(adv) to one's heart's content/
思うつぼ [おもうつぼ] /(n) (1) one's wishes/one's expectations/(2) just as expected/
思うつぼにはまる [おもうつぼにはまる] /(exp,v5r) to turn out just as one wished/to play into the hands (of)/
思うに [おもうに] /(adv) presumably/conceivably/in my opinion/in my view/I think (that)/upon thought/upon reflection/
思うまま [おもうまま] /(n) to one's heart's content or satisfaction/
思う存分 [おもうぞんぶん] /(adv) to one's heart's content/(P)/
思う壷 [おもうつぼ] /(n) (1) one's wishes/one's expectations/(2) just as expected/
思う壷にはまる [おもうつぼにはまる] /(exp,v5r) to turn out just as one wished/to play into the hands (of)/
思う念力岩をも通す [おもうねんりきいわをもとおす] /(exp) (id) Where there is a will, there is a way/
思う念力岩をも徹す [おもうねんりきいわをもとおす] /(exp) (id) Where there is a will, there is a way/
思う様 [おもうさま] /(adj-na,adv,n) to one's heart's content/
思う儘 [おもうまま] /(n) to one's heart's content or satisfaction/
思う壺 [おもうつぼ] /(n) (1) one's wishes/one's expectations/(2) just as expected/
思う壺にはまる [おもうつぼにはまる] /(exp,v5r) to turn out just as one wished/to play into the hands (of)/
思えてならない [おもえてならない] /(exp) cannot help feeling that/cannot help thinking that/
思える [おもえる] /(v1) to seem/to appear likely/
思しい [おぼしい] /(adj-i) apparently/
思しめす [おぼしめす] /(v5s,vt) (1) (hon) to think (only used to speak of others)/(2) to turn one's attention toward (only used to speak of others)/to have feelings for (only used to speak of others)/(3) to honour the target of one's emotions/
思し召し [おぼしめし] /(n) (1) (hon) thoughts/opinion/(one's) discretion/(2) however much money you wish to give (as alms, a fee at a museum, etc.)/(3) fondness (for a significant other, etc.; often used teasingly)/love/fancy/liking/
思し召す [おぼしめす] /(v5s,vt) (1) (hon) to think (only used to speak of others)/(2) to turn one's attention toward (only used to speak of others)/to have feelings for (only used to speak of others)/(3) to honour the target of one's emotions/
思ってもいない [おもってもいない] /(adj-i) unanticipated/unexpected/
思ってもみない [おもってもみない] /(adj-i) unexpected/unforeseen/inconceivable/
思っても見ない [おもってもみない] /(adj-i) unexpected/unforeseen/inconceivable/
思わく [おもわく] /(n,adj-no) (1) expectation/prediction/forecast/(2) anticipation/speculation/(P)/
思わしい [おもわしい] /(adj-i) suitable/satisfactory/desirable/
思わしくない [おもわしくない] /(adj-i) disappointing/unsatisfactory/unsuitable/
思わず [おもわず] /(adv) unintentionally/reflexively/spontaneously/involuntarily/instinctively/(P)/
思わせる [おもわせる] /(v1) to make somebody believe (something)/to give somebody the impression/
思わせ振り [おもわせぶり] /(adj-na,n) suggestive behavior/suggestive behaviour/insinuations/
思わぬ [おもわぬ] /(adj-f) unexpected/unforeseen/
思わぬ幸運 [おもわぬこううん] /(n) godsend/big win/
思われる [おもわれる] /(v1) to seem/to appear/
思案 [しあん] /(n,vs) thought/consideration/meditation/ponder/(P)/
思案に暮れる [しあんにくれる] /(exp,v1) to be lost in thought/
思案に余る [しあんにあまる] /(exp,v5r) to be at wit's end/to be at a loss for what to do/
思案顔 [しあんがお] /(n) pensive (or worried) look on one's face/
思案投げ首 [しあんなげくび] /(n) being at one's wit's end/being (quite) at a loss (what to do)/
思案投首 [しあんなげくび] /(n) being at one's wit's end/being (quite) at a loss (what to do)/
思惟 [しい] /(n,vs) thought/thinking/speculation/
思惟 [しゆい] /(n) (Buddh) using wisdom to get to the bottom of things/
思起す [おもいおこす] /(io) (v5s,vt) to recall/to remember/
思議 [しぎ] /(n,vs) conjecture/guess/
思考 [しこう] /(n,vs,adj-no) thought/consideration/thinking/(P)/
思考の原理 [しこうのげんり] /(n) principle of thought (logic)/
思考回路 [しこうかいろ] /(n) patterns of thinking/train of thought/
思考様式 [しこうようしき] /(n) way of thinking/thought pattern/thinking pattern/
思考力 [しこうりょく] /(n) ability to think/
思索 [しさく] /(n,vs) speculation/thinking/meditation/(P)/
思索家 [しさくか] /(n) thinker/
思索的 [しさくてき] /(adj-na) contemplative/meditative/
思出す [おもいだす] /(io) (v5s,vt) to recall/to remember/
思春期 [ししゅんき] /(n) puberty/(P)/
思召す [おぼしめす] /(v5s,vt) (1) (hon) to think (only used to speak of others)/(2) to turn one's attention toward (only used to speak of others)/to have feelings for (only used to speak of others)/(3) to honour the target of one's emotions/
思想 [しそう] /(n) thought/idea/ideology/(P)/
思想の自由 [しそうのじゆう] /(n) freedom of thought/
思想家 [しそうか] /(n) thinker/
思想界 [しそうかい] /(n) world of ideas/
思想警察 [しそうけいさつ] /(n) thought police/
思想劇 [しそうげき] /(n) play dealing with ideas/
思想信条 [しそうしんじょう] /(n) one's thought and beliefs/
思想的 [しそうてき] /(adj-na) ideological/
思想統制 [しそうとうせい] /(n) thought control/thought censorship/
思想犯 [しそうはん] /(n) white-collar crime/
思潮 [しちょう] /(n) trend of thought/
思念 [しねん] /(n,vs) thought/
思弁 [しべん] /(n,vs) speculation/
思弁哲学 [しべんてつがく] /(n) speculative philosophy/
思慕 [しぼ] /(n,vs) yearning/deep affection/(P)/
思慮 [しりょ] /(n,vs) prudence/
思慮深い [しりょぶかい] /(n) prudent/
思慮分別 [しりょふんべつ] /(n) discrete and well-advised judgment/wise and mature judgment/making judgment with prudence/
思料 [しりょう] /(n,vs) careful consideration/thought/
思量 [しりょう] /(n,vs) careful consideration/thought/
思惑 [おもわく] /(n,adj-no) (1) expectation/prediction/forecast/(2) anticipation/speculation/(P)/
思惑違い [おもわくちがい] /(n) miscalculation/disappointment/
思惑師 [おもわくし] /(n) speculator/
思惑買 [おもわくがい] /(n) speculative buying/
思惑買い [おもわくがい] /(n) speculative buying/
指 [おゆび] /(n) finger/toe/digit/
指 [および] /(n) finger/toe/digit/
指 [ゆび] /(n) finger/toe/digit/(P)/
指さす [ゆびさす] /(v5s,vt) to point at/
指し掛け [さしかけ] /(n) unfinished game of shogi/
指し示す [さししめす] /(v5s,vt) to indicate/to show/to point to/(P)/
指し手 [さして] /(n) (in shogi, chess, etc.) a move/
指し図 [さしず] /(n,vs,adj-no) instruction/mandate/directions/
指し値 [さしね] /(n) limit price (e.g. on a stock transaction)/price limit/
指し値注文 [さしねちゅうもん] /(n) limit order/
指し物 [さしもの] /(n) cabinetwork/joinery/
指し物師 [さしものし] /(n) cabinetmaker/
指す [さす] /(v5s,vt) (1) to point/(2) to nominate/to select someone/to specify some person/(3) to identify/to indicate/to point out/(P)/
指ぬき [ゆびぬき] /(n) thimble/
指の節 [ゆびのふし] /(n) knuckle/
指を詰める [ゆびをつめる] /(exp,v1) (1) to cut off a finger (as an act of apology)/(2) (ksb:) to catch one's finger (in a door, etc.)/
指圧 [しあつ] /(n,vs) finger pressure massage or therapy/
指圧療法 [しあつりょうほう] /(n) acupressure therapy/
指羽 [さしは] /(n) large fan-shaped object held by an attendant and used to conceal the face of a noble, etc./
指羽 [さしば] /(n) large fan-shaped object held by an attendant and used to conceal the face of a noble, etc./
指猿 [ゆびざる] /(n) (uk) aye-aye (primate, Daubentonia madagascariensis)/
指環 [ゆびわ] /(n) (finger) ring/
指貫 [さしぬき] /(n) type of hakama worn in ancient times/
指貫 [ゆびぬき] /(n) thimble/
指貫き [ゆびぬき] /(n) thimble/
指揮 [しき] /(n,vs,adj-no) command/direction/(P)/
指揮をとる [しきをとる] /(exp,v5r) to take command/to give direction/
指揮を執る [しきをとる] /(exp,v5r) to take command/to give direction/
指揮を取る [しきをとる] /(exp,v5r) to take command/to give direction/
指揮官 [しきかん] /(n) commander/
指揮権 [しきけん] /(n,vs) (exercising) the right to command/
指揮者 [しきしゃ] /(n) (musical) conductor/(P)/
指揮所 [しきじょ] /(n) command post/
指揮所演習 [しきじょえんしゅう] /(n) command post exercise/
指揮棒 [しきぼう] /(n) conductor's stick/conductor's baton/
指詰め [ゆびつめ] /(n) yakuza finger-cutting ritual/
指金 [さしがね] /(n) (1) carpenter's square/(2) instigation/suggestion/
指金 [ゆびがね] /(n) (1) (finger) ring/(2) metal thimble/(3) (arch) ring used to constrict a finger to make it small and beautiful/
指矩 [さしがね] /(n) (1) carpenter's square/
指結び [ゆびむすび] /(n) possum/phalanger/
指呼 [しこ] /(n,vs) beckoning/
指呼の間 [しこのかん] /(n) hailing distance/
指向 [しこう] /(n,vs) (1) being orientated (towards)/pointing (towards)/directing (towards)/(adj-no) (2) directional (e.g. microphone)/(n-suf) (3) -oriented/
指向性 [しこうせい] /(n) directionality/directivity/
指向性アンテナ [しこうせいアンテナ] /(n) directional antenna/
指向性爆薬 [しこうせいばくやく] /(n) shaped charge/
指行性 [しこうせい] /(n,adj-no) digitigrade (walking on the toes)/
指骨 [しこつ] /(n) (1) phalanx (phalange) of the hand/(2) phalanx (phalange) of the foot/
指叉 [さすまた] /(n) (MA) two-pronged weapon for catching a criminal/man-catcher war fork/
指差す [ゆびさす] /(v5s,vt) to point at/(P)/
指使い [ゆびづかい] /(n) fingering/
指事 [しじ] /(n) indicative (kanji whose shape is based on logical representation of an abstract idea)/
指示 [しじ] /(n,vs) indication/instruction/designation/directions/(P)/
指示を出す [しじをだす] /(exp,v5s) to give directions/to issue instructions/
指示語 [しじご] /(n) (ling) demonstrative/
指示子 [しじし] /(n) indicator/specifier/designator/
指示詞 [しじし] /(n) (ling) demonstrative/
指示抄録 [しじしょうろく] /(n) (comp) indicative abstract/
指示状態 [しじじょうたい] /(n) (comp) pointer associated/
指示先 [しじさき] /(n) target/
指示装置 [しじそうち] /(n) pointing device/
指示代名詞 [しじだいめいし] /(n) (ling) demonstrative pronoun/
指示板 [しじばん] /(n) signboard/notice board/
指示薬 [しじやく] /(n) indicator/
指小辞 [ししょうじ] /(n) (ling) diminutive/
指掌紋 [ししょうもん] /(n) hand print/
指針 [ししん] /(n) compass needle (cursor)/guideline/pointer/(P)/
指人形 [ゆびにんぎょう] /(n) hand puppet/glove puppet/
指図 [さしず] /(n,vs,adj-no) instruction/mandate/directions/(P)/
指数 [しすう] /(n) index/index number/exponent (e.g. in floating-point representation)/characteristic/(P)/
指数演算子 [しすうえんざんし] /(n) (comp) exponential operator/
指数化方式 [しすうかほうしき] /(n) indexation/
指数関数 [しすうかんすう] /(n) exponential function/exponentiation function/
指数的 [しすうてき] /(adj-na) (comp) exponential/
指数的成長 [しすうてきせいちょう] /(n) (comp) exponential growth/
指数部 [しすうぶ] /(n) exponent portion/characteristic (e.g. in floating-point representation)/
指数分布 [しすうぶんぷ] /(n) (comp) exponential distribution/
指切り [ゆびきり] /(n,vs) linking little fingers to confirm a promise/(P)/
指折り [ゆびおり] /(n) leading/prominent/eminent/
指折り数える [ゆびおりかぞえる] /(v1) to count on one's fingers/
指先 [ゆびさき] /(n,adj-no) fingertip/(P)/
指相撲 [ゆびずもう] /(n) thumb wrestling/
指弾 [しだん] /(n,vs) attack/criticism/blame/rejection/disdain/
指値 [さしね] /(n) limit price (e.g. on a stock transaction)/price limit/
指定 [してい] /(n,vs) designation/specification/assignment/appointment/pointing at/(P)/
指定可能点 [していかのうてん] /(n) (comp) addressable point/
指定解除 [していかいじょ] /(n) delisting/removal of a designation/
指定券 [していけん] /(n) ticket (reserved seat)/
指定子 [していし] /(n) (comp) descriptor/designator/
指定詞 [していし] /(n) (ling) copula/
指定席 [していせき] /(n) reserved seat/
指定単 [していたん] /(n) designated money trust/
指定文字そろえ [していもじそろえ] /(n) (comp) aligned around/
指定銘柄 [していめいがら] /(n) specified stock/
指摘 [してき] /(n,vs) pointing out/identification/(P)/
指笛 [ゆびぶえ] /(n) whistling through one's fingers/whistle made by sticking ones fingers in ones mouth and blowing/
指頭 [しとう] /(n) fingertip/
指動輪 [しどうりん] /(n) (comp) thumb wheel/
指導 [しどう] /(n,vs) (1) leadership/guidance/coaching/(2) shido (disciplinary action for a minor infringement of the rules of judo)/(P)/
指導の下に [しどうのもとに] /(adv) under the guidance of/under the leadership of/
指導員 [しどういん] /(n) instructor/advisor/adviser/
指導監督 [しどうかんとく] /(n,vs) guidance and supervision/
指導原理 [しどうげんり] /(n) guiding principle/
指導者 [しどうしゃ] /(n) leader/guide/mentor/coach/
指導者として頂く [しどうしゃとしていただく] /(v5k) to have (a person) as one's leader/
指導主事 [しどうしゅじ] /(n) (governmental) supervisor of teachers/
指導標 [しどうひょう] /(n) signpost/regulation sign/
指導部 [しどうぶ] /(n) leadership/
指導要領 [しどうようりょう] /(n) government-approved curriculums/(educational) guidelines/
指導力 [しどうりょく] /(n) one's leadership (over the group)/(lack) leadership qualities/
指南 [しなん] /(n,vs) instruction/teaching/pointing south/
指南車 [しなんしゃ] /(n) ancient Chinese vehicle with a compass whose needle always pointed south/
指南番 [しなんばん] /(n) instructor/
指南役 [しなんやく] /(n) instructor/
指燃草 [さしもぐさ] /(n) Japanese mugwort/
指板 [しばん] /(n) (1) fingerboard/fretboard/
指板 [ゆびいた] /(n) (1) fingerboard/fretboard/(2) finger plate/
指標 [しひょう] /(n) index/indices/indicator/(P)/
指標データ項目 [しひょうデータこうもく] /(n) (comp) index data item/
指標レジスタ [しひょうレジスタ] /(n) (comp) index register/
指標付きアドレス [しひょうつきアドレス] /(n) (comp) indexed address/
指標付き色指定 [しひょうつきいろしてい] /(n) (comp) indexed colour/
指標名 [しひょうめい] /(n) (comp) index-name/
指物 [さしもの] /(n) cabinetwork/joinery/
指文字 [ゆびもじ] /(n) fingerspelling (in sign language for the deaf)/finger alphabet/
指名 [しめい] /(n,vs,adj-no) name/nominate/designate/(P)/
指名ドライバー [しめいドライバー] /(n) designated driver (to prevent drunk driving)/
指名運転者 [しめいうんてんしゃ] /(n) designated driver (to prevent drunk driving)/
指名試合 [しめいじあい] /(n) title match (sports)/
指名手配 [しめいてはい] /(vs) (1) to want (e.g. for questioning by the police)/to put on the wanted list/(adj-no) (2) wanted (e.g. for questioning)/(P)/
指名手配者リスト [しめいてはいものリスト] /(n) wanted list/
指名手配人 [しめいてはいじん] /(n) wanted criminal/
指名受諾演説 [しめいじゅだくえんぜつ] /(n) acceptance speech/
指名打者 [しめいだしゃ] /(n) designated hitter (baseball)/DH/
指名通話 [しめいつうわ] /(n) person-to-person call/personal call/
指名投票 [しめいとうひょう] /(n) roll call vote/
指紋 [しもん] /(n) fingerprint/(P)/
指紋押捺 [しもんおうなつ] /(n) fingerprinting/
指了図 [しりょうず] /(n) end game position/
指輪 [ゆびわ] /(n) (finger) ring/(P)/
指令 [しれい] /(n,vs) orders/instructions/directive/command/(P)/
指令言語 [しれいげんご] /(n) (comp) command language/control language/
指話法 [しわほう] /(n) finger language/signing/sign language/
指嗾 [しそう] /(n,vs) instigation/
指嗾 [しぞく] /(ik) (n,vs) instigation/
指麾 [しき] /(n,vs,adj-no) command/direction/
支う [かう] /(v5u,vt) to support or prop up/
支え [ささえ] /(n) support/stay/prop/
支え [つかえ] /(n) (1) load on one's chest/(2) obstacle/hindrance/impediment/difficulty/
支える [ささえる] /(v1,vt) (1) to support/to prop/to sustain/to underlay/to hold up/(2) to hold at bay/to stem/to check/(P)/
支える [つかえる] /(v1,vi) to be blocked/to choke/to be obstructed/to feel a pressure on one's chest/(P)/
支える [つっかえる] /(v1,vi) to be blocked/to choke/to be obstructed/to feel a pressure on one's chest/
支え合う [ささえあう] /(v5u) to support (each other, one another)/
支院 [しいん] /(n) (obsc) sub-temple/
支援 [しえん] /(n,vs) support/backing/aid/assistance/(P)/
支援グループ [しえんグループ] /(n) (comp) support group/
支援策 [しえんさく] /(n) support measures/assistance measures/
支援者 [しえんしゃ] /(n) supporter/
支援団体 [しえんだんたい] /(n) support group/
支給 [しきゅう] /(n,vs) provision/supply/payment/allowance/grant/(P)/
支給額 [しきゅうがく] /(n) allowance/
支局 [しきょく] /(n) branch office/(P)/
支索 [しさく] /(n) stay/
支持 [しじ] /(n,vs,adj-no) support/maintenance/(P)/
支持基盤 [しじきばん] /(n) one's support (power) base/the base of one's support in an electorate/
支持杭 [しじこう] /(n) bearing pile/
支持者 [しじしゃ] /(n) supporter (e.g. of the arts)/
支持層 [しじそう] /(n) base support (e.g. for a party in an election)/substrate/load bearing layer/supporting layer/
支持団体 [しじだんたい] /(n) support group/
支持率 [しじりつ] /(n) approval rating/
支持療法 [しじりょうほう] /(n) supportive care/supportive therapy/
支持力 [しじりょく] /(n) bearing capacity/
支持力係数 [しじりょくけいすう] /(n) bearing capacity factor/
支持力定式 [しじりょくていしき] /(n) bearing capacity formula/
支持力理論 [しじりょくりろん] /(n) bearing capacity theory/
支社 [ししゃ] /(n) branch office/(P)/
支出 [ししゅつ] /(n,vs) expenditure/expenses/(P)/
支出額 [ししゅつがく] /(n) (amount of) expenditures or disbursements/
支出金 [ししゅつきん] /(n) disbursement/payout/
支所 [ししょ] /(n) branch (office)/(P)/
支署 [ししょ] /(n) substation/
支障 [ししょう] /(n) obstacle/hindrance/impediment/difficulty/(P)/
支石墓 [しせきぼ] /(n) dolmen/portal tomb/
支川 [しせん] /(n) affluent/branch stream that flows into a main stream/
支線 [しせん] /(n,adj-no) branch line/
支族 [しぞく] /(n) tribe/branch family/
支隊 [したい] /(n) task force/
支柱 [しちゅう] /(n,adj-no) prop/brace/fulcrum/(P)/
支庁 [しちょう] /(n) (governmental) branch office/
支店 [してん] /(n) branch office/branch store/(P)/
支店長 [してんちょう] /(n) branch manager/manager of a branch office/(P)/
支店網 [してんもう] /(n) branch store network/
支点 [してん] /(n) fulcrum/
支度 [したく] /(n,vs) preparation/arrangements/(P)/
支度金 [したくきん] /(n) money to cover the cost of preparations or arrangements/
支度部屋 [したくべや] /(n) dressing room/
支那 [しな] /(n) China (now regarded as derogatory)/
支那そば [しなそば] /(n) (sens) Chinese soba/ramen/
支那チベット語族 [しなチベットごぞく] /(n) Sino-Tibetan (family of languages)/
支那チベット諸語 [しなチベットしょご] /(n) Sino-Tibetan languages/
支那蕎麦 [しなそば] /(oK) (n) (sens) Chinese soba/ramen/
支那語 [しなご] /(n) (arch) Chinese language/
支那事変 [しなじへん] /(n) (sens) Second Sino-Japanese War (1937-1945)/
支那実桜 [しなみざくら] /(n) Prunus pseudo-cerasus/
支那人 [しなじん] /(n) (sens) Chinese person/
支那竹 [しなちく] /(n) (sens) bamboo shoots boiled, sliced, fermented, dried or preserved in salt, then soaked in hot water and sea salt/
支那料理 [しなりょうり] /(n) (sens) Chinese food/
支那連ぎょう [しなれんぎょう] /(n) (uk) Chinese golden bells/Forsythia Vahl/
支那連翹 [しなれんぎょう] /(n) (uk) Chinese golden bells/Forsythia Vahl/
支配 [しはい] /(n,vs) rule/control/direction/(P)/
支配下 [しはいか] /(n) under control (e.g. of territory)/
支配階級 [しはいかいきゅう] /(n) ruling class(es)/
支配株 [しはいかぶ] /(n) controlling stock/majority shares/
支配権 [しはいけん] /(n) right of control/supremacy/sovereignty/
支配者 [しはいしゃ] /(n) governor/leader/ruler/
支配人 [しはいにん] /(n) manager/executive/(P)/
支配層 [しはいそう] /(n) ruling class/
支配的 [しはいてき] /(adj-na) dominant/ruling/(P)/
支配的地位 [しはいてきちい] /(n) driver's seat/dominant position/
支配頭 [しはいがしら] /(n) (obsc) leader/chief/
支配力 [しはいりょく] /(n) controlling power/
支部 [しぶ] /(n,adj-no) branch/subdivision/(P)/
支払 [しはらい] /(n) payment/
支払い [しはらい] /(n) payment/(P)/
支払いを拒む [しはらいをこばむ] /(exp,v5m) to decline to pay/to refuse payment/
支払い勘定 [しはらいかんじょう] /(n) bill or account payable/
支払い済み [しはらいずみ] /(n) settled/paid/
支払い手形 [しはらいてがた] /(n) bill payable/note payable/
支払い手続き [しはらいてつづき] /(n) payment arrangements or procedures/
支払い準備率 [しはらいじゅんびりつ] /(n) reserve ratio/reserve rate/
支払い人 [しはらいにん] /(n) payer/
支払い日 [しはらいび] /(n) payday/date of payment/
支払い能力 [しはらいのうりょく] /(n) solvency/ability to pay/
支払い猶予 [しはらいゆうよ] /(n,adj-no) payment moratorium/extension on payment/respite for payment/
支払う [しはらう] /(v5u,vt) to pay/(P)/
支払手形 [しはらいてがた] /(n) bill payable/note payable/
支払手続き [しはらいてつづき] /(n) payment arrangements or procedures/
支払準備率 [しはらいじゅんびりつ] /(n) reserve ratio/reserve rate/
支払日 [しはらいび] /(n) payday/date of payment/
支払能力 [しはらいのうりょく] /(n) solvency/ability to pay/
支払不能 [しはらいふのう] /(n,adj-no) insolvency/
支払猶予 [しはらいゆうよ] /(n,adj-no) payment moratorium/extension on payment/respite for payment/
支払利息 [しはらいりそく] /(n) interest expense/interest paid/
支弁 [しべん] /(n,vs) payment/defrayal/disbursement/
支脈 [しみゃく] /(n) spur/feed/branch/
支離滅裂 [しりめつれつ] /(adj-na,adj-no) incoherent/inconsistent/illogical/disorderly/confused/nonsensical/
支流 [しりゅう] /(n) tributary/branch/(P)/
支繞 [えだにょう] /(n) (uk) kanji "branch" radical as enclosure/
支繞 [しにょう] /(n) (uk) kanji "branch" radical as enclosure/
孜々 [しし] /(adj-t,adv-to) assiduously/diligently/
孜々として [ししとして] /(exp) assiduously/diligently/
孜々営々 [ししえいえい] /(adj-t,adv-to) assiduously/with unremitting zeal/
孜孜 [しし] /(adj-t,adv-to) assiduously/diligently/
孜孜として [ししとして] /(exp) assiduously/diligently/
孜孜営営 [ししえいえい] /(adj-t,adv-to) assiduously/with unremitting zeal/
斯う [こう] /(adv) (1) (uk) in this way (used for something or someone close to the speaker, including the speaker himself, or for the opinions of the speaker)/thus/such/(int) (2) uh... (interjection used as a verbal pause)/
斯ういう [こういう] /(adj-pn) such/like this/
斯うした [こうした] /(exp,adj-pn) (uk) such/
斯うして [こうして] /(conj) (uk) thus/in this way/
斯う言う [こういう] /(adj-pn) such/like this/
斯う言う [こうゆう] /(adj-pn) such/like this/
斯う斯う [こうこう] /(adv,vs) (uk) so and so/such and such/
斯かる [かかる] /(adj-pn) (uk) such/like this/
斯かる程に [かかるほどに] /(conj) (arch) even now/
斯く [かく] /(adv) like this/such/thus/
斯くして [かくして] /(conj) (uk) thus/
斯くて [かくて] /(adv,conj) thus/in this way/
斯くも [かくも] /(adj-f) (uk) so (e.g. so much, so close, so many, so few)/
斯く斯く [かくかく] /(adj-no) so and so/such and such/
斯の [この] /(adj-pn) (uk) this (something or someone close to the speaker (including the speaker), or ideas expressed by the speaker)/
斯界 [しかい] /(n) this field or subject/
斯学 [しがく] /(n) this academic subject/
斯業 [しぎょう] /(n) this business or profession/
斯道 [しどう] /(n) this art or field of study/
斯文 [しぶん] /(n) this academic subject or field of study/Confucian studies/
斯様 [かよう] /(adj-na,n) in such a manner/like this/
施し [ほどこし] /(n) charity/
施し物 [ほどこしもの] /(n) alms/
施す [ほどこす] /(v5s,vt) to donate/to give/to conduct/to apply/to perform/(P)/
施餓鬼 [せがき] /(n) (Buddh) service for the benefit of suffering spirits/
施工 [しこう] /(n,vs) construction/constructing/carrying out/work/formation/workmanship/execution/
施工 [せこう] /(n,vs) construction/constructing/carrying out/work/formation/workmanship/execution/(P)/
施行 [しぎょう] /(n,vs) (1) execution/enforcing/carrying out/
施行 [しこう] /(n,vs) (1) execution/enforcing/carrying out/(P)/
施行 [せぎょう] /(n,vs) (1) giving alms/giving food to the poor or monks/
施行 [せこう] /(n,vs) (1) execution/enforcing/carrying out/
施行規則 [しこうきそく] /(n) enforcement regulations/misterial ordinance/regulations relative to the application of a law/
施策 [しさく] /(n,vs) policy/measure/(P)/
施主 [せしゅ] /(n) chief mourner/donor/benefactor/
施術 [しじゅつ] /(n,vs) medical treatement, esp. surgical/
施条 [しじょう] /(n,vs) rifling a gun barrel/making lines/
施錠 [せじょう] /(n,vs) locking/
施政 [しせい] /(n) government/administration/statesmanship/(P)/
施政方針 [しせいほうしん] /(n) administrative policy/
施政方針演説 [しせいほうしんえんぜつ] /(n) policy speech/
施設 [しせつ] /(n,vs) (1) institution/establishment/facility/(2) (army) engineer/(P)/
施設庁 [しせつちょう] /(n) facilities administration organization (defence, etc.)/
施入 [せにゅう] /(n) (arch) giving something as alms or dispensation/alms/
施肥 [せひ] /(n,vs) manuring/fertilization/fertilisation/
施物 [せもつ] /(n) alms/
施米 [せまい] /(n,vs) rice given in charity/donating rice/
施薬 [せやく] /(n,vs) (dispensation of) free medicine/
施療 [せりょう] /(n,vs) free medical treatment/gratuitous treatment/
旨 [むね] /(n) (1) center (centre)/pillar/principle/(2) purport/gist/drift/meaning/(P)/
旨々 [うまうま] /(adv-to) successfully/nicely/
旨い [うまい] /(adj-i) (1) skillful/clever/expert/wise/successful/(2) delicious/appetizing/appetising/(3) fortunate/splendid/promising/(P)/
旨い絵 [うまいえ] /(n) excellent picture (painting)/
旨い仕事 [うまいしごと] /(n) profitable business/
旨い汁 [うまいしる] /(n) the lion's share/the cream/
旨い汁を吸う [うまいしるをすう] /(exp,v5u) to be onto a good thing/to make money without working/to line one's pockets/
旨い料理 [うまいりょうり] /(n) tasty dish/
旨がる [うまがる] /(v5r) to relish/to show a liking for/
旨く [うまく] /(adv) (1) skilfully/skillfully/well/aptly/cleverly/(2) successfully/smoothly/(3) deliciously/
旨くいかない [うまくいかない] /(exp,adj-i) unsuccessful/going badly/
旨くいく [うまくいく] /(v5k-s) to go smoothly/to turn out well/to do the trick/to have peaceful relations/
旨くやって行く [うまくやっていく] /(exp,v5k-s) to get along well with/to make a go of it/
旨くやる [うまくやる] /(exp,v5r) (uk) to manage something successfully/to be successful/
旨く行かない [うまくいかない] /(exp,adj-i) unsuccessful/going badly/
旨く行く [うまくいく] /(v5k-s) to go smoothly/to turn out well/to do the trick/to have peaceful relations/
旨とする [むねとする] /(exp,vs-i) to make it a principle to .../to aim at doing/
旨み [うまみ] /(n) (1) good flavor (flavour)/good taste/deliciousness/(2) umami (fifth category of taste, corresponding to the flavour of glutamates)/(3) skill/(4) profit/
旨み調味料 [うまみちょうみりょう] /(n) flavour enhancer (e.g. MSG)/flavor enhancer/
旨旨 [うまうま] /(adv-to) successfully/nicely/
旨煮 [うまに] /(n) fish (meat) and vegetables boiled in soy sauce with sugar/
旨酒 [ししゅ] /(n) (arch) good wine/
旨念 [しねん] /(n) thought/
旨味 [うまみ] /(n) (1) good flavor (flavour)/good taste/deliciousness/(2) umami (fifth category of taste, corresponding to the flavour of glutamates)/(3) skill/(4) profit/
旨味調味料 [うまみちょうみりょう] /(n) flavour enhancer (e.g. MSG)/flavor enhancer/
枝 [えだ] /(n) branch/bow/bough/twig/limb/(P)/
枝 [し] /(ctr) counter for long, thin things (i.e. swords)/
枝を矯める [えだをためる] /(exp,v1) to straighten a branch/
枝を剪る [えだをきる] /(exp,v5r) to prune a tree/
枝を鋏む [えだをはさむ] /(exp,v5m) (obsc) to trim a tree/to prune a tree's branches/
枝院 [しいん] /(n) (obsc) sub-temple/
枝角 [えだづの] /(n) antler (deer, etc.)/
枝角類 [しかくるい] /(n) cladocerans/
枝宮 [えだみや] /(n) (obsc) subordinate shrine/
枝尺 [えだしゃく] /(n) geometer moth/geometrid (of the Ennominae subfamily)/
枝尺取 [えだしゃくとり] /(n) (uk) (obsc) geometer moth caterpillar/geometrid caterpillar (of subfamily Ennominae)/
枝尺蠖 [えだしゃくとり] /(n) (uk) (obsc) geometer moth caterpillar/geometrid caterpillar (of subfamily Ennominae)/
枝振り [えだぶり] /(n) shape of a tree/ramifications/
枝垂 [しだれ] /(n,adj-f) weeping form (e.g. tree)/
枝垂れ [しだれ] /(n,adj-f) weeping form (e.g. tree)/
枝垂れる [しだれる] /(v1,vi) to droop/to hang down/to weep/
枝垂れ桜 [しだれざくら] /(n) weeping cherry/shidare cherry/variety of cherry tree with drooping branches/Prunus itosakura/
枝垂れ杉 [しだれすぎ] /(n) (obsc) weeping cedar/
枝垂れ桃 [しだれもも] /(n) weeping peach (Prunus persica var. pendula)/
枝垂れ梅 [しだれうめ] /(n) weeping plum (Prunus mume f. pendula)/weeping Japanese apricot/
枝垂れ彼岸 [しだれひがん] /(n) weeping cherry/
枝垂れ柳 [しだれやなぎ] /(n) weeping willow/
枝垂桜 [しだれざくら] /(n) weeping cherry/shidare cherry/variety of cherry tree with drooping branches/Prunus itosakura/
枝垂杉 [しだれすぎ] /(n) (obsc) weeping cedar/
枝垂柳 [しだれやなぎ] /(n) weeping willow/
枝切り [えだきり] /(n) pruning/
枝接ぎ [えだつぎ] /(n) cleft grafting/
枝折 [しおり] /(n) (1) bookmark/(2) guidebook/
枝折り [しおり] /(n) (1) bookmark/(2) guidebook/
枝折り戸 [しおりど] /(n) garden gate made of branches and twigs/wicket gate/
枝折戸 [しおりど] /(n) garden gate made of branches and twigs/wicket gate/
枝線 [えだせん] /(n) branch line/
枝族 [しぞく] /(n) tribe/branch family/
枝隊 [したい] /(n) detached force/
枝豆 [えだまめ] /(n) edamame (green soybeans)/(P)/
枝道 [えだみち] /(n) branch road/digression/
枝分かれ [えだわかれ] /(n,vs) ramification/branch/
枝毛 [えだげ] /(n) split end of hair/
枝葉 [えだは] /(n,adj-no) leaves and branches/side issues/foliage/
枝葉 [しよう] /(n,adj-no) leaves and branches/side issues/foliage/(P)/
枝葉末節 [しようまっせつ] /(n) unimportant details (lit: branches and leaves)/inessentials/
止し [さし] /(n-suf,adj-no) (after the -masu stem of a verb) stopped in the midst of/half- (i.e. half-read)/
止し [よし] /(n) quitting/ceasing/giving up/
止す [さす] /(suf,v5s) (after the -masu stem of a verb) to stop in the midst of/to leave undone/
止す [よす] /(v5s,vt) to cease/to abolish/to resign/to give up/(P)/
止まない [やまない] /(exp,aux-adj) (1) (uk) (after the -te form of a verb) always/forever/(2) very/greatly (esp. of hopes and desires)/
止まり [とまり] /(n) stop/stoppage/end/
止まり [どまり] /(n-suf) stopping at/going no further than/
止まり木 [とまりぎ] /(n) (1) perch/(2) barstool/
止まる [とどまる] /(v5r,vi) (1) to stop/to halt/(2) to remain/to abide/to stay (in the one place)/(v5r) (3) to come to a halt/(P)/
止まる [とまる] /(v5r,vi) (1) to stop/to halt/(2) to remain/to abide/to stay (in the one place)/(v5r) (3) to come to a halt/(P)/
止まるところを知らない [とどまるところをしらない] /(exp) knowing no bounds/showing no signs of stopping or slowing down/
止まれ [とまれ] /(n) stop sign/
止み難い [やみがたい] /(adj-i) irresistible/
止む [やむ] /(v5m,vi) to cease/to stop/to be over/(P)/
止むなく [やむなく] /(adv) reluctance/unwillingness/unavoidably/out of necessity/
止むに止まれず [やむにやまれず] /(exp) without being able to help oneself/against one's will/compelling/pressing/irresistible/
止むに止まれない [やむにやまれない] /(exp) without being able to help oneself/against one's will/compelling/pressing/irresistible/
止むに止まれぬ [やむにやまれぬ] /(exp) without being able to help oneself/against one's will/compelling/pressing/irresistible/
止むに止まれぬ事情 [やむにやまれぬじじょう] /(n) circumstances beyond one's control/
止むを得ず [やむをえず] /(adv) unavoidably/inevitably/necessarily/reluctantly/against one's will/
止むを得ない [やむをえない] /(exp) cannot be helped/unavoidable/
止む得ず [やむえず] /(adv) (uk) unavoidably/inevitably/necessarily/reluctantly/against one's will/
止む無く [やむなく] /(adv) reluctance/unwillingness/unavoidably/out of necessity/
止め [とどめ] /(n) finishing blow/clincher/
止め [とめ] /(n,suf) (1) (a) stop (e.g. in a timber joint, or at the end of a kanji stroke)/(2) remaining (e.g. poste-restante)/
止め [どめ] /(suf) (something) stopper (e.g. geridome is medicine for diarrhea)/
止めくぎ [とめくぎ] /(n) stop peg/toggle/tack/
止めておく [やめておく] /(v5k) (uk) to pass/to pass on/to give (something) a miss/to let the matter drop/
止めど [とめど] /(n) end/termination point/
止めどない [とめどない] /(adj-i) endless/ceaseless/
止めどなく [とめどなく] /(adv) endlessly/ceaselessly/(P)/
止めになる [やめになる] /(exp) to be given up/to be discontinued/
止める [とどめる] /(v1,vt) (1) to stop/to stay (e.g. the night)/to cease/to put an end to/(2) to contain/to keep (in position, in place)/to limit/(3) to record (e.g. a fact)/to retain/
止める [とめる] /(v1,vt) (1) to stop (something or someone)/to turn off/(2) to concentrate on/to pay attention to/(3) to remember/to bear in mind/(4) to fix into place/(5) to park/to leave somewhere for a time/(P)/
止める [やめる] /(v1,vt) to end/to stop/to cease/to resign/(P)/
止めを刺す [とどめをさす] /(exp,v5s) (1) to finish off/to ensure (something) is dead/to deliver the coup de grace/(2) to put an end to/to deliver the final blow/(3) to be the best for A/
止め金 [とめがね] /(iK) (n) clasp/snap fastener/(P)/
止め具 [とめぐ] /(n) catch/check/fastener/
止め処 [とめど] /(n) end/termination point/
止め処無い [とめどない] /(adj-i) endless/ceaseless/
止め処無く [とめどなく] /(adv) endlessly/ceaselessly/
止め針 [とめばり] /(n) pin/
止め釘 [とめくぎ] /(n) stop peg/toggle/tack/
止め立て [とめだて] /(n) restrain (someone)/restraint/
止め椀 [とめわん] /(n) soup served at the end of a traditional Japanese dinner/last soup served in a Kaiseki course (often miso soup)/
止め鋏 [とめばさみ] /(n) final cut severing sumo wrestler's top-knot in his retirement ceremony/
止り [どまり] /(n-suf) stopping at/going no further than/
止り木 [とまりぎ] /(n) (1) perch/(2) barstool/
止る [とまる] /(v5r,vi) (1) to stop/to halt/(2) to remain/to abide/to stay (in the one place)/(v5r) (3) to come to a halt/
止ん事ない [やんごとない] /(adj-i) (uk) high class/esteemed/cherished/
止ん事無い [やんごとない] /(adj-i) (uk) high class/esteemed/cherished/
止音器 [しおんき] /(n) (piano) damper/
止観 [しかん] /(n) (1) (Buddh) calm abiding and clear observation (Tendai meditation)/(2) Tendai/
止血 [しけつ] /(n,vs,adj-no) stop bleeding/hemostasis/haemostasis/
止血剤 [しけつざい] /(n) hemostatic agent (haemostatic)/styptic/
止血帯 [しけつたい] /(n) tourniquet/
止血鉗子 [しけつかんし] /(n) artery forceps/hemostatic forceps/
止宿 [ししゅく] /(n,vs) lodging/putting up/
止処 [とめど] /(n) end/termination point/
止針 [とめばり] /(n) pin/
止水 [しすい] /(n) stagnant water/still water/
止水栓 [しすいせん] /(n) stop cock/stop valve/curb cock/shut-off valve/
止偏 [とめへん] /(n) kanji "stop" radical at left/
止木 [とまりぎ] /(n) (1) perch/(2) barstool/
止揚 [しよう] /(n,vs) sublation (philosophy)/
止椀 [とめわん] /(n) soup served at the end of a traditional Japanese dinner/last soup served in a Kaiseki course (often miso soup)/
止瀉剤 [ししゃざい] /(n) antidiarrheal/antidiarrhoeal/
死 [し] /(n,n-suf) (1) death/decease/(2) (arch) death penalty (by strangulation or decapitation)/(P)/
死してのちやむ [ししてのちやむ] /(exp,v5m) to be determined to do or die/to never give up until one is dead/
死してのち已む [ししてのちやむ] /(exp,v5m) to be determined to do or die/to never give up until one is dead/
死して後已む [ししてのちやむ] /(exp,v5m) to be determined to do or die/to never give up until one is dead/
死す [しす] /(v5s,vi) (arch) to die/
死すべき [しすべき] /(adj-f) mortal/
死する [しする] /(vs-s,vi) (arch) to die/
死なす [しなす] /(v5s,vt) to let die/
死なば諸共 [しなばもろとも] /(exp) (id) Die all together/Go to the grave together/
死に [しに] /(n) (1) dying/death/(n-pref) (2) dead/useless/(pref) (3) damned/
死にかかる [しにかかる] /(v5r) to be dying/
死にかける [しにかける] /(v1) to be dying/to be about to die/to be close to death/
死にぎわ [しにぎわ] /(n) verge of death/brink of death/
死にそう [しにそう] /(adj-na) (1) at the point of death/almost dead/about to die/(2) at some limit (pain, hunger, etc.)/
死にゆく者 [しにゆくもの] /(n) dying person/the dying/
死に化粧 [しにげしょう] /(n) funeral makeup/
死に花 [しにばな] /(n) a blooming cut flower/glorious death/
死に学問 [しにがくもん] /(n) useless learning/
死に掛かる [しにかかる] /(v5r) to be dying/
死に掛ける [しにかける] /(v1) to be dying/to be about to die/to be close to death/
死に顔 [しにがお] /(n) face of a dead person/
死に急ぐ [しにいそぐ] /(v5g,vi) to hasten one's death/
死に金 [しにがね] /(n) wasted money/unused money/
死に後れる [しにおくれる] /(v1,vi) to outlive/
死に際 [しにぎわ] /(n) verge of death/brink of death/
死に至る [しにいたる] /(exp,v5r) to bring about death/(as an adjectival phrase) fatal (e.g. disease)/thanatophoric/
死に至る病 [しにいたるびょう] /(n) deadly disease/sickness unto death/
死に時 [しにどき] /(n) time to die/
死に所 [しにどころ] /(n) place of death/place to die/
死に場所 [しにばしょ] /(n) place to die/place of death/
死に神 [しにがみ] /(n) god of death/Death/
死に身 [しにみ] /(n) (1) at the risk of one's life/(2) dead body/
死に水 [しにみず] /(n) give water to a dying person/water given to a dying person/
死に水を取る [しにみずをとる] /(exp,v5r) to wet the lips of a dying person/to attend someone's last moments/
死に絶える [しにたえる] /(v1,vi) to die out/to become extinct/
死に装束 [しにしょうぞく] /(n) burial clothes/clothes worn to commit suicide/
死に損ない [しにぞこない] /(n) a person who has escaped death/dotard/
死に損なう [しにそこなう] /(v5u) to fail to die/to survive/to outlive/
死に体 [しにたい] /(n) losing posture (sumo)/hopeless situation/(P)/
死に恥 [しにはじ] /(n) shameful death/
死に遅れる [しにおくれる] /(v1,vi) to outlive/
死に物狂い [しにものぐるい] /(n) desperate/frantic/
死に別れる [しにわかれる] /(v1,vi) to be separated by death/
死に変る [しにかわる] /(v5r,vi) to die and be reborn as something else/
死に変わる [しにかわる] /(v5r,vi) to die and be reborn as something else/
死に目 [しにめ] /(n) moment of death/
死に様 [しにざま] /(n) manner of death/
死ぬ [しぬ] /(v5n,vn,vi) (sens) to die/(P)/
死ぬまで戦う [しぬまでたたかう] /(v5u) to fight to the last (death)/
死ぬ迄戦う [しぬまでたたかう] /(v5u) to fight to the last (death)/
死の灰 [しのはい] /(n) lethal radioactive fallout/atomic dust/
死の商人 [しのしょうにん] /(n) merchant of death/arms dealer/
死の床 [しのとこ] /(exp,n) deathbed/
死を悼む [しをいたむ] /(exp,v5m) to mourn over the death of/
死んだふり [しんだふり] /(n,vs) playing dead/
死んだ子の年を数える [しんだこのとしをかぞえる] /(exp) (id) It is no use crying over spilt milk/
死んだ振り [しんだふり] /(n,vs) playing dead/
死んでも死に切れぬ [しんでもしにきれぬ] /(exp) (id) I can't die and leave things this way/
死んで花実がなるものか [しんではなみがなるものか] /(exp) (obsc) once you're dead, that's it/
死んで花実が咲くものか [しんではなみがさくものか] /(exp) once you're dead, that's it/
死因 [しいん] /(n) cause of death/(P)/
死火山 [しかざん] /(n) extinct volcano/
死荷重 [しかじゅう] /(n) dead weight/dead load/static load/
死海 [しかい] /(n) Dead Sea/
死海写本 [しかいしゃほん] /(n) Dead Sea scrolls/
死海文書 [しかいもんじょ] /(n) Dead Sea scrolls/
死灰 [しかい] /(n) as lifeless as cold ashes/
死骸 [しがい] /(n) body/corpse/remains/
死角 [しかく] /(n) blind spot/dead space/
死活 [しかつ] /(n,vs,adj-no) life and-or death/(P)/
死活問題 [しかつもんだい] /(n) matter of life or death/life-and-death problem/
死姦 [しかん] /(iK) (n) necrophilia/necrophilism/
死顔 [しにがお] /(io) (n) face of a dead person/
死期 [しき] /(n) time of death/
死球 [しきゅう] /(n) hit a batter by pitching a ball (baseball)/(P)/
死去 [しきょ] /(n,vs) death/(P)/
死菌ワクチン [しきんワクチン] /(n) (obsc) killed vaccine/
死苦 [しく] /(n) (1) (Buddh) inevitability of death (one of the four kinds of suffering)/(2) death pains/agony of death/
死刑 [しけい] /(n) death penalty/capital punishment/(P)/
死刑執行 [しけいしっこう] /(adj-na) execution/
死刑囚 [しけいしゅう] /(n) criminals condemned to death/(P)/
死刑場 [しけいじょう] /(n) place of execution/
死刑制度 [しけいせいど] /(n) capital punishment/
死刑宣告 [しけいせんこく] /(n) death sentence/
死刑台 [しけいだい] /(n) scaffold/gallows/
死刑廃止 [しけいはいし] /(n) abolition of the death penalty/abolition of capital punishment/
死刑判決 [しけいはんけつ] /(n) death sentence/
死後 [しご] /(n-adv,n-t) after death/(P)/
死後硬直 [しごこうちょく] /(n) rigor mortis/
死語 [しご] /(n) dead language/obsolete word/(P)/
死際 [しにぎわ] /(io) (n) verge of death/brink of death/
死罪 [しざい] /(n) capital crime/crime resulting in a death penalty/
死産 [しざん] /(n,vs,adj-no) stillbirth/
死産児 [しざんじ] /(n) stillborn baby/
死屍 [しし] /(n) corpse/
死屍累々 [ししるいるい] /(adj-no,adj-t,adv-to) heaps of corpses all around/
死屍累累 [ししるいるい] /(adj-no,adj-t,adv-to) heaps of corpses all around/
死児 [しじ] /(n) dead or stillborn child/
死軸 [しじく] /(n) dead axle/
死者 [ししゃ] /(n) casualty/deceased/(P)/
死者の書 [ししゃのしょ] /(n) Book of the Dead (ancient Egypt)/
死者を生かす [ししゃをいかす] /(exp,v5s) (obsc) to revive the dead/
死守 [ししゅ] /(n,vs) defending to the last/defending desperately/
死臭 [ししゅう] /(n) putrid smell of a corpse/
死重的損失 [しじゅうてきそんしつ] /(n) deadweight loss/
死出 [しで] /(n) death (and entering the hereafter)/
死出の田長 [しでのたおさ] /(n) (arch) lesser cuckoo (Cuculus poliocephalus)/
死出の旅 [しでのたび] /(n) one's last journey/the journey to the other world/death/
死出田長 [しでたおさ] /(n) (arch) lesser cuckoo (Cuculus poliocephalus)/
死処 [ししょ] /(n) place of death/place to die/
死所 [ししょ] /(n) place of death/place to die/
死傷 [ししょう] /(n,vs) casualties/injuries and deaths/
死傷者 [ししょうしゃ] /(n) casualties/killed and wounded/(P)/
死神 [しにがみ] /(n) god of death/Death/
死人 [しにん] /(n) corpse/dead person/(P)/
死人 [しびと] /(n) corpse/dead person/
死人に口なし [しにんにくちなし] /(exp) dead men tell no tales/
死人に口無し [しにんにくちなし] /(exp) dead men tell no tales/
死生 [しせい] /(n,vs) life and death/
死生観 [しせいかん] /(n) one's opinion on (life and) death/
死生不知 [ししょうふち] /(n,adj-no) daredevil/reckless/thinking nothing of one's death/
死絶 [しぜつ] /(n,vs) (1) for a family line to become extinct/(2) to die/
死線 [しせん] /(n) point between life and death/verge of death/
死線を越える [しせんをこえる] /(exp,v1) to be out of danger/
死相 [しそう] /(n) look of death/shadow of death/
死蔵 [しぞう] /(n,vs) hoarding/storing away/
死体 [したい] /(n,adj-no) (sens) dead body/corpse/cadaver/(P)/
死体安置所 [したいあんちじょ] /(n) morgue/mortuary/
死体遺棄 [したいいき] /(n) abandoning a corpse/dumping a body/
死体解剖 [したいかいぼう] /(n) autopsy/
死体検案書 [したいけんあんしょ] /(n) post-mortem certificate/
死体置き場 [したいおきば] /(n) morgue/
死体保管所 [したいほかんじょ] /(n) morgue/
死地 [しち] /(n) proper place to die/the point of death/
死中 [しちゅう] /(n) fatal situation/
死中求活 [しちゅうきゅうかつ] /(n) finding a way out of a potentially fatal situation/seeking a way out of a desperate situation/
死点 [してん] /(n) dead point/
死闘 [しとう] /(n,vs) life or death struggle/mortal combat/struggle to the death/
死毒 [しどく] /(n) ptomaine poisoning/
死肉 [しにく] /(n) dead flesh/carrion/
死斑 [しはん] /(n) postmortem lividity/
死票 [しひょう] /(n) useless vote/
死病 [しびょう] /(n) fatal disease/
死物 [しぶつ] /(n) dead thing/useless item/
死物寄生 [しぶつきせい] /(n) saprophagy/
死文 [しぶん] /(n) dead letter/meaningless writing/
死別 [しべつ] /(n,vs) bereavement/
死亡 [しぼう] /(n,adj-no) (1) death/mortality/(vs) (2) to die/to pass away/(P)/
死亡記事 [しぼうきじ] /(n) obituary notice/
死亡給付金 [しぼうきゅうふきん] /(n) death benefit/
死亡広告 [しぼうこうこく] /(n) obituary/notification of death/
死亡時刻 [しぼうじこく] /(n) time of death/
死亡者 [しぼうしゃ] /(n) the deceased/deaths/persons killed/(P)/
死亡証明書 [しぼうしょうめいしょ] /(n) death certificate/
死亡診断書 [しぼうしんだんしょ] /(n) death certificate/
死亡数 [しぼうすう] /(n) number of deaths/
死亡届け [しぼうとどけ] /(n) report of death/
死亡保険 [しぼうほけん] /(n) death insurance/insurance payable at death/
死亡保障 [しぼうほしょう] /(n) death benefit (from life insurance)/
死亡率 [しぼうりつ] /(n) death rate/mortality/(P)/
死亡例 [しぼうれい] /(n) incident of death/fatal case/
死没 [しぼつ] /(n,vs) death/
死脈 [しみゃく] /(n) weakening pulse/exhausted (mining) vein/
死命 [しめい] /(n) fate/life or death/
死滅 [しめつ] /(n,vs) extinction/annihilation/destruction/
死有 [しう] /(n) (in Buddhism) the instant of death/
死力 [しりょく] /(n) desperate effort/
死力を尽くす [しりょくをつくす] /(exp,v5s) to make frantic efforts/
死霊 [しりょう] /(n) spirit of a dead person/ghost/departed soul/
死霊 [しれい] /(n) spirit of a dead person/ghost/departed soul/
死歿 [しぼつ] /(n,vs) death/
死魄 [しはく] /(n) waning moon/
氏 [うじ] /(n) family name/lineage/birth/(P)/
氏 [し] /(suf) (1) (hon) Mr/(n) (2) clan/(3) (hon) he/him/(ctr) (4) (hon) counter for people/
氏ね [しね] /(exp) (sl) (vulg) die!/
氏の意見 [しのいけん] /(n) his opinion/
氏の上 [うじのかみ] /(n) (arch) head of a clan/
氏より育ち [うじよりそだち] /(exp) birth is much, but breeding is more/
氏子 [うじこ] /(n) shrine parishioner/
氏子札 [うじこふだ] /(n) charm for shrine visitors/
氏子帳 [うじこちょう] /(n) shrine visitors' register/
氏寺 [うじでら] /(n) shrine built to a guardian deity/
氏宗 [うじのかみ] /(n) (arch) head of a clan/
氏上 [うじのかみ] /(n) (arch) head of a clan/
氏神 [うじがみ] /(n) Shinto god/patron god/(P)/
氏人 [うじひと] /(n) person of blood lineage/clan member/
氏姓制度 [しせいせいど] /(n) uji-kabane system/system of clans and hereditary titles (of the Yamato court)/
氏素姓 [うじすじょう] /(n) (a person's) family background/lineage/
氏素性 [うじすじょう] /(n) (a person's) family background/lineage/
氏族 [しぞく] /(n,adj-no) clan/family/(P)/
氏族制度 [しぞくせいど] /(n) family or clan system/
氏長 [うじのかみ] /(n) (arch) head of a clan/
氏文 [うじぶみ] /(n) ancient clan record (inc. their origins, their achievements, etc.)/
氏名 [しめい] /(n) full name/identity/(P)/
獅子 [しし] /(n) (1) lion/(2) left-hand guardian dog at a Shinto shrine/(P)/
獅子の座 [ししのざ] /(n) (Buddh) Buddha's seat/seat of a high monk/
獅子猿 [ししざる] /(n) (col) lion tamarin/
獅子宮 [ししきゅう] /(n) Leo (5th zodiacal sign)/the Lion/
獅子座 [ししざ] /(n) (1) (constellation) Leo/the Lion/(2) (Buddh) Buddha's seat/seat of a high monk/
獅子座流星群 [ししざりゅうせいぐん] /(n) Leonids/
獅子女 [すふぃんくす] /(gikun) (n) (uk) Sphinx/
獅子身中 [しししんちゅう] /(n) treacherous friend/snake in one's bosom/treacherous insider/
獅子身中の虫 [しししんちゅうのむし] /(n) treacherous friend/
獅子唐 [ししとう] /(n) green pepper/
獅子唐辛子 [ししとうがらし] /(n) small sweet green pepper/
獅子頭 [ししがしら] /(n) lion mask/
獅子鼻 [ししばな] /(n) pug nose/
獅子舞 [ししまい] /(n) lion dance/
獅子舞い [ししまい] /(n) lion dance/
獅子奮迅 [ししふんじん] /(n,vs) furiously/
獅子奮迅の勢い [ししふんじんのいきおい] /(n) irresistible force/
獅子吼 [ししく] /(n,vs) lion's roar/harangue/
祉福 [しふく] /(n) (arch) prosperity/happiness/blessedness and joy/
私 [あたい] /(pn,adj-no) (fem) I/me/
私 [あたくし] /(pn,adj-no) (fem) I/me/
私 [あたし] /(pn,adj-no) (fem) I/me/(P)/
私 [あっし] /(pn,adj-no) I (mainly used by working men)/myself/
私 [あて] /(pn,adj-no) (fem) I/me/
私 [わい] /(pn) (1) (arch) (ksb:) I/me/(2) you (used toward people of equal or lower status)/
私 [わし] /(pn,adj-no) (uk) I/me (used by elderly males)/
私 [わたい] /(n) (arch) (ktb:) I/me/
私 [わたくし] /(pn,adj-no) (1) I/me/(2) private affairs/personal matter/secrecy/(3) selfishness/(P)/
私 [わたし] /(pn,adj-no) (1) I/me/(P)/
私 [わっし] /(pn,adj-no) I (mainly used by working men)/myself/
私 [わっち] /(pn,adj-no) I (mainly used by working men)/myself/
私 [わて] /(pn) (1) (arch) (ksb:) I/me/
私 [わらわ] /(pn,adj-no) (arch) (hum) (fem) I/
私する [わたくしする] /(vs-s,vt) (1) to use (public property) as if it belonged to oneself/to misappropriate/to appropriate/to embezzle/(2) (arch) to act selfishly/
私たち [わたくしたち] /(pn,adj-no) we/us/
私たち [わたしたち] /(pn,adj-no) we/us/(P)/
私ども [わたくしども] /(n) (1) (hum) we/us/(2) I/me/my store (business, etc.)/
私ども [わたしども] /(n) (1) (hum) we/us/(2) I/me/my store (business, etc.)/
私の場合 [わたくしのばあい] /(n) in my case/as for me/
私の方では [わたくしのほうでは] /(exp) on (for) my part (side)/
私も亦 [わたしもまた] /(exp) me too/I also/
私も又 [わたくしもまた] /(exp) me too/I also/
私宛 [わたくしあて] /(exp) my address/
私宛 [わたしあて] /(exp) my address/
私案 [しあん] /(n) private plan/one's own plan/(P)/
私意 [しい] /(n) personal opinion/selfishness/
私印 [しいん] /(n) personal seal/
私雨 [わたくしあめ] /(n) (obsc) limited amount of rain which falls off to a certain region/
私営 [しえい] /(n,adj-no) privately operated/private management/
私益 [しえき] /(n) private interest (financial)/
私怨 [しえん] /(n) personal grudge or enmity/
私怨私欲 [しえんしよく] /(n) personal grudges and selfish desires/
私家 [しか] /(n) private house/one's own house/
私家集 [しかしゅう] /(n) private or personal collection (of poetry)/
私家版 [しかばん] /(n) privately printed book/private (press) edition/
私学 [しがく] /(n) private (non-governmental) school (college, university)/(P)/
私学の雄 [しがくのゆう] /(n) one of the leading private schools/
私学助成 [しがくじょせい] /(n) subsidization of private schools (subsidisation)/
私感 [しかん] /(n) personal impression/
私企業 [しきぎょう] /(n) private enterprise/(P)/
私記 [しき] /(n) private records or documents/
私儀 [わたくしぎ] /(n) as for me/
私議 [しぎ] /(n,vs) personal opinion/criticism behind one's back/
私供 [わたくしども] /(iK) (n) (1) (hum) we/us/(2) I/me/my store (business, etc.)/
私供 [わたしども] /(iK) (n) (1) (hum) we/us/(2) I/me/my store (business, etc.)/
私共 [わたくしども] /(n) (1) (hum) we/us/(2) I/me/my store (business, etc.)/
私共 [わたしども] /(n) (1) (hum) we/us/(2) I/me/my store (business, etc.)/
私曲 [しきょく] /(n) an act done for one's own benefit/
私刑 [しけい] /(n) lynching/vigilantism/private punishment/
私刑を加える [しけいをくわえる] /(exp,v1) to take the law into one's own hands/
私権 [しけん] /(n) private right/
私見 [しけん] /(n) personal opinion/(P)/
私語 [ささやき] /(n,vs) whispering/whisper/secret talk/murmur/
私語 [しご] /(n,vs) whispering/whisper/secret talk/murmur/(P)/
私考 [しこう] /(n) (pol) one's own thoughts or opinion/
私行 [しこう] /(n) personal conduct/
私恨 [しこん] /(n) personal grudge/
私財 [しざい] /(n) private funds/own funds/private property/
私事 [しじ] /(n) personal affairs/(P)/
私事 [わたくしごと] /(n) personal affairs/
私寺 [しじ] /(n) private temple (ritsuryo period)/non-state-sponsored temple/
私自身 [わたくしじしん] /(n) myself/
私自身 [わたしじしん] /(n) myself/
私室 [ししつ] /(n) private room/
私淑 [ししゅく] /(n,vs) adoring/looking up to/
私塾 [しじゅく] /(n) private school (in house)/(P)/
私書 [ししょ] /(n) private document/personal letter/
私書函 [ししょかん] /(n) (obs) post office box/
私書箱 [ししょばこ] /(n) (abbr) post office box/(P)/
私書箱番号 [ししょばこばんごう] /(n) (comp) Post Office box address/P.O.box address/
私娼 [ししょう] /(n) unlicensed prostitute/
私娼窟 [ししょうくつ] /(n) (arch) brothel/house of ill repute/red-light district/
私小説 [ししょうせつ] /(n) novel narrated in the first person/
私小説 [わたくししょうせつ] /(n) novel narrated in the first person/
私消 [ししょう] /(n,vs) embezzlement (misappropriation) (of public funds)/
私情 [しじょう] /(n) personal feelings/self-interest/
私信 [ししん] /(n) private message/
私心 [ししん] /(n) selfishness/selfish motive/
私人 [しじん] /(n) private individual/
私人 [しにん] /(n) private individual/
私人間 [しじんかん] /(n) relations between individuals/
私生活 [しせいかつ] /(n) one's private life/(P)/
私生子 [しせいし] /(n) illegitimate child/
私生児 [しせいじ] /(n) illegitimate child/bastard/love child/
私生児出産 [しせいじしゅっさん] /(n) illegitimate birth/
私製 [しせい] /(n,adj-no) private/
私製葉書 [しせいはがき] /(n) unofficial postcard/
私設 [しせつ] /(n,vs,adj-no) private/(P)/
私設ディレクトリ管理領域 [しせつディレクトリかんりりょういき] /(n) (comp) Private Directory Management Domain/PRDMD/
私設応援団 [しせつおうえんだん] /(n) private cheer group/
私設回線 [しせつかいせん] /(n) (comp) leased line/private circuit/private line/
私設管理領域 [しせつかんりりょういき] /(n) (comp) Private Management Domain/PRMD/
私設秘書 [しせつひしょ] /(n) private secretary/
私設領域名 [しせつりょういきめい] /(n) (comp) private domain name/
私説 [しせつ] /(n) personal opinion/
私選 [しせん] /(n,vs) personal selection/
私蔵 [しぞう] /(n,vs) private collection/
私大 [しだい] /(n) (abbr) private university or college/(P)/
私宅 [したく] /(n) private residence or home/
私達 [わたくしたち] /(pn,adj-no) we/us/
私達 [わたしたち] /(pn,adj-no) we/us/
私地 [しち] /(n) private land/
私地私民 [しちしみん] /(n) private ownership of land and citizens/
私鋳銭 [しちゅうせん] /(n) private coinage/
私通 [しつう] /(n,vs) adultery/illicit intercourse/
私邸 [してい] /(n) private residence/(P)/
私的 [してき] /(adj-na,n) personal/private/proprietary/(P)/
私的 [わたしてき] /(adj-na) personal/my style/my way/
私的財 [してきざい] /(n) private goods/
私的年金 [してきねんきん] /(n) private pension/
私鉄 [してつ] /(n) private railway/(P)/
私鉄総連 [してつそうれん] /(n) (abbr) General Federation of Private Railway Workers Unions of Japan/
私田 [しでん] /(n) privately owned rice field/
私田 [わたくしだ] /(ok) (n) privately owned rice field/
私奴婢 [しぬひ] /(n) (arch) privately-owned slave/
私党 [しとう] /(n) faction/band/
私等には [わたくしなどには] /(exp) for the likes of me/
私闘 [しとう] /(n,vs) personal struggle/
私道 [しどう] /(n) private road/
私年号 [しねんごう] /(n) (obsc) era name selected by commoners (as opposed to the imperial court)/
私版 [しはん] /(n) private printing/
私費 [しひ] /(n) private expense/(P)/
私費で [しひで] /(exp) at one's own expense/
私服 [しふく] /(n,adj-no) civilian clothes/plain clothes/(P)/
私服警官 [しふくけいかん] /(n) plainclothes police officer/
私腹 [しふく] /(n) for one's own profit/
私腹を肥やす [しふくをこやす] /(exp,v5s) to fill one's own pocket by taking advantage of a position/
私物 [しぶつ] /(n) private property/personal effects/(P)/
私憤 [しふん] /(n) personal grudge/
私文書 [しぶんしょ] /(n) private document/(P)/
私兵 [しへい] /(n) private army/
私保険 [しほけん] /(n) private insurance/
私募 [しぼ] /(n,vs) private offering (of securities)/private placement/
私募ファンド [しぼファンド] /(n) private placement fund/
私報 [しほう] /(n) secret information/private message/
私法 [しほう] /(n) private law/
私有 [しゆう] /(n,vs,adj-no) private ownership/(P)/
私有財産 [しゆうざいさん] /(n) private property/
私有財産制度 [しゆうざいさんせいど] /(n) private ownership system/
私有地 [しゆうち] /(n) demesne/estate/private land/private property/
私有物 [しゆうぶつ] /(n) private possession/
私用 [しよう] /(n,adj-no,vs) (1) personal use/(2) private business/(P)/
私用かぎ [しようかぎ] /(n) (comp) private key/
私慾 [しよく] /(n) self-interest/
私欲 [しよく] /(n) self-interest/
私利 [しり] /(n) personal profit/self interest/
私利私欲 [しりしよく] /(n,adj-no) desire to act only in one's self-interest/selfish desires/
私立 [しりつ] /(n,vs,adj-no) private (establishment)/(P)/
私立 [わたくしりつ] /(n,vs,adj-no) private (establishment)/
私立学校 [しりつがっこう] /(n,adj-no) private (nongovernmental) school/
私立高校 [しりつこうこう] /(n) private high school/
私立大学 [しりつだいがく] /(n) private university/
私立探偵 [しりつたんてい] /(n) private detective/
私立中 [しりつちゅう] /(n) (abbr) private junior high school/
私立中学校 [しりつちゅうがっこう] /(n) private junior high school/
私領 [しりょう] /(n) private land/park/
私論 [しろん] /(n) one's personal opinion or views/
私窩子 [しかし] /(n) prostitute/harlot/
糸 [いと] /(n,n-suf) thread/yarn/string/(P)/
糸 [し] /(n) (1) thread/(2) one ten-thousandth/0.001 percent (one-ten-thousandth of a wari)/
糸いぼ [いといぼ] /(n) spinneret (of a spider)/
糸くず [いとくず] /(n) lint (as in a clothes dryer or a pocket)/waste thread/fibers, such as might wrap around the gears in small mechanisms and cause them to jam/fluff/
糸じり [いとじり] /(n) bottom rim of cup or bowl/
糸づくり [いとづくり] /(n) thin strips of raw fish and squid/
糸に紡ぐ [いとにつむぐ] /(exp,v5g) to spin into yarn/
糸まき [いとまき] /(n) spool of thread/
糸を引く [いとをひく] /(exp,v5k) (1) to pull (the puppet) strings/to direct things from behind the scenes/(2) to stretch out (and keep going)/to linger on/
糸を垂れる [いとをたれる] /(exp,v1) to fish/to have a line in the water/
糸を組む [いとをくむ] /(exp,v5m) to braid string/
糸を張る [いとをはる] /(exp,v5r) to stretch a string/
糸を通す [いとをとおす] /(exp,v5s) to thread (e.g. a needle, beads, etc.)/
糸印 [いとじるし] /(n) thread to make seams conspicuous/
糸引鰯 [いとひきいわし] /(n) (uk) attenuated spider fish (Bathypterois atricolor)/
糸引笛鯛 [いとひきふえだい] /(n) (uk) chinamanfish (Symphorus nematophorus)/
糸引鯊 [いとひきはぜ] /(n) (uk) Myersina filifer (species of goby)/
糸引鰺 [いとひきあじ] /(n) (uk) African pompano (Alectis ciliaris)/
糸瓜 [へちま] /(gikun) (n) (1) sponge gourd/dishcloth gourd/loofah/(2) sponge cucumber/(3) (metaphorically, generally in negative sentences) something useless/
糸屋 [いとや] /(n) (arch) yarn seller/
糸価 [しか] /(n) price of silk thread/
糸掛 [いとかけ] /(n) thread guard (e.g.in a spinning machine)/
糸掛け [いとかけ] /(n) thread guard (e.g.in a spinning machine)/
糸巻えい [いとまきえい] /(n) devilray/Mobula japanica/devilfish/
糸巻き [いとまき] /(n) spool of thread/
糸巻エイ [いとまきエイ] /(n) devilray/Mobula japanica/devilfish/
糸巻河豚 [いとまきふぐ] /(n) (uk) basketfish (Kentrocapros aculeatus)/
糸巻法螺 [いとまきぼら] /(n) (uk) trapezium horse conch (Pleuroploca trapezium)/
糸球体 [しきゅうたい] /(n) glomerulus/
糸球体腎炎 [しきゅうたいじんえん] /(n) glomerulonephritis/
糸球体嚢 [しきゅうたいのう] /(n) (obsc) glomerular capsule/
糸鋸 [いとのこ] /(n) coping saw/fretsaw/jig saw/jigsaw/
糸魚 [いとよ] /(n) (uk) three-spined stickleback (Gasterosteus aculeatus)/
糸魚川静岡構造線 [いといがわしずおかこうぞうせん] /(n) Itoigawa-Shizuoka Tectonic Line/
糸屑 [いとくず] /(n) lint (as in a clothes dryer or a pocket)/waste thread/fibers, such as might wrap around the gears in small mechanisms and cause them to jam/fluff/
糸繰り [いとくり] /(n) reel/spinner/
糸口 [いとぐち] /(n) thread end/beginning/clue/(P)/
糸口を開く [いとぐちをひらく] /(exp,v5k) to find a clue/to make a beginning/
糸作り [いとづくり] /(n) thin strips of raw fish and squid/
糸桜 [いとざくら] /(n) droopy-branch cherry tree/
糸車 [いとぐるま] /(n) spinning wheel/
糸状虫 [しじょうちゅう] /(n) filaria/heartworm/
糸織 [いとおり] /(n) cloth woven from twisted silk yarn/
糸織り [いとおり] /(n) cloth woven from twisted silk yarn/
糸尻 [いとじり] /(n) bottom rim of cup or bowl/
糸杉 [いとすぎ] /(n) cypress/
糸切り歯 [いときりば] /(n) canine tooth/
糸切歯 [いときりば] /(n) canine tooth/
糸倉 [いとぐら] /(n) pegbox (of a shamisen, etc.)/
糸操り [いとあやつり] /(n) marionette manipulation/
糸蔵 [いとぐら] /(n) pegbox (of a shamisen, etc.)/
糸竹 [いとたけ] /(n) (musical) strings and bamboo/
糸竹 [しちく] /(n) (traditional Japanese) musical instruments/
糸爪 [へちま] /(iK) (gikun) (n) (1) sponge gourd/dishcloth gourd/loofah/(2) sponge cucumber/(3) (metaphorically, generally in negative sentences) something useless/
糸底 [いとぞこ] /(n) bottom rim of earthenware cup/
糸電話 [いとでんわ] /(n) telephone made from two cans and a piece of string/
糸頭 [いとがしら] /(n) kanji "thread" radical at top/
糸道 [いとみち] /(n) (1) groove in a Shamisen player's fingernail caused by the friction of the string of the instrument/(2) someone's ability to play the shamisen/
糸入り [いといり] /(n) silk or paper with cotton threads/
糸撚鯛 [いとよりだい] /(n) (uk) golden threadfin bream (Nemipterus virgatus)/besugo/
糸姫 [いとひめ] /(n) woman factory worker in weaving industry/
糸偏 [いとへん] /(n) (1) kanji "thread" radical at left/(2) textile industry/
糸偏景気 [いとへんけいき] /(n) textile boom/
糸面取り [いとめんとり] /(n) light chamfering (engineering)/
糸目 [いとめ] /(n) (1) fine line/(2) weight of thread/(3) (col) (vulg) slit-eyed/
糸柳 [いとやなぎ] /(n) weeping willow/
糸遊 [いとゆう] /(n) shimmering of hot air/
糸蘭 [いとらん] /(n) Yucca smalliana (species of yucca)/
糸枠 [いとわく] /(n) reel/spool/
糸毬体 [しきゅうたい] /(n) glomerulus/
糸疣 [いといぼ] /(n) spinneret (of a spider)/
糸蚯蚓 [いとみみず] /(n) tubifex worm/
糸蜻蛉 [いととんぼ] /(n) damselfly/
紙 [かみ] /(n) paper/(P)/
紙きれ [かみきれ] /(n) scrap of paper/
紙くず [かみくず] /(n) wastepaper/paper scraps/paper waste/
紙つぶて [かみつぶて] /(n) paper pellet/spitball/
紙やすり [かみやすり] /(n) sandpaper/emery paper/
紙を破る [かみをやぶる] /(exp,v5r) to tear (up) paper/
紙テープ [かみテープ] /(n) (comp) paper tape/paper streamer/
紙パック [かみパック] /(n) drink box/carton (milk, juice, etc.)/paper bag (for vacuum cleaners)/
紙ヤスリ [かみヤスリ] /(n) sandpaper/emery paper/
紙衣 [かみぎぬ] /(ok) (n) paper garment/
紙衣 [かみこ] /(n) paper garment/
紙一重 [かみひとえ] /(n) paper-thin (difference)/
紙一枚 [かみいちまい] /(n) one sheet of paper/
紙屋 [かみや] /(n) paper store/paper merchant/paper seller/papermaking/papermaker/
紙価 [しか] /(n) price of paper/
紙花 [かみばな] /(n) (1) paper flowers/(2) (arch) paper flowers for a funeral/(3) paper handed out as a means of congratulations in a red light district (as a promise of a future money donation)/
紙巻 [かみまき] /(n) (1) something rolled in paper/paper roll/(2) (abbr) cigarette/
紙巻き [かみまき] /(n) (1) something rolled in paper/paper roll/(2) (abbr) cigarette/
紙巻きタバコ [かみまきタバコ] /(n) cigarette/
紙巻き煙草 [かみまきたばこ] /(n) cigarette/
紙巻タバコ [かみまきタバコ] /(n) cigarette/
紙巻煙草 [かみまきたばこ] /(n) cigarette/
紙器 [しき] /(n) paper articles/containers, etc. made of paper/
紙詰まり [かみつまり] /(n) (comp) paper jam/
紙魚 [しみ] /(gikun) (n) (1) (uk) true bristletail (any insect of order Thysanura, esp. of family Lepismatidae)/(2) oriental silverfish (Ctenolepisma villosa)/(3) (derog) someone who is unable to apply what they have read/
紙挟み [かみばさみ] /(n) paper holder/paper clip/
紙屑 [かみくず] /(n) wastepaper/paper scraps/paper waste/(P)/
紙屑かご [かみくずかご] /(n) wastepaper basket/wastebasket/
紙屑拾い [かみくずひろい] /(n) ragpicker/
紙屑同然 [かみくずどうぜん] /(n) as good as waste paper/mere scrap of paper/
紙屑籠 [かみくずかご] /(n) wastepaper basket/wastebasket/
紙型 [かみがた] /(n) (paper) stencil/stereotype/papier-mache mold/papier-mache mould/
紙型 [しけい] /(n) (paper) stencil/stereotype/papier-mache mold/papier-mache mould/
紙腔琴 [しこうきん] /(n) Japanese variety of music box (invented in 1892 by Toda Kindo)/
紙漉き [かみすき] /(n) paper making/
紙婚式 [かみこんしき] /(n) paper wedding (anniversary)/
紙細工 [かみざいく] /(n) articles made out of paper (by hand)/paperware/
紙四手 [かみしで] /(n) paper shide/zig-zag cut paper (used to ward off or expel evil spirits)/
紙子 [かみこ] /(n) paper garment/
紙質 [ししつ] /(n,adj-no) paper quality/
紙芝居 [かみしばい] /(n) picture story show/(P)/
紙上 [しじょう] /(n) on paper/in the newspapers/in a letter/(P)/
紙上計画 [しじょうけいかく] /(n) paper plan/
紙吹雪 [かみふぶき] /(n) confetti/ticker tape/
紙垂 [かみしで] /(n) paper shide/zig-zag cut paper (used to ward off or expel evil spirits)/
紙垂 [しで] /(n) paper shide/zig-zag cut paper (used to ward off or expel evil spirits)/
紙数 [しすう] /(n) number of pages/page space/
紙製品 [かみせいひん] /(n) paper products/
紙切り [かみきり] /(n) paper silhouette cutout/paper knife/
紙切れ [かみきれ] /(n) scrap of paper/
紙切れ [かみぎれ] /(n) scrap of paper/
紙相撲 [かみずもう] /(n) paper sumo/children's game played with paper cutouts/
紙送り [かみおくり] /(n) (comp) paper feed/
紙袋 [かみぶくろ] /(n) paper bag/(P)/
紙帳 [しちょう] /(n) paper mosquito net/
紙綴器 [かみつづき] /(n) (obsc) stapler/paper fastener/
紙鉄砲 [かみでっぽう] /(n) popgun/origami popgun/
紙纏頭 [かみばな] /(n) (1) paper handed out as a means of congratulations in a red light district (as a promise of a future money donation)/
紙鳶 [いか] /(n) kite/
紙鳶 [いかのぼり] /(n) kite/
紙入 [かみいれ] /(io) (n) wallet/billfold/purse/handbag/
紙入れ [かみいれ] /(n) wallet/billfold/purse/handbag/
紙捻 [かみより] /(n) string made from twisted paper/
紙捻 [こより] /(n) string made from twisted paper/
紙捻り [かみより] /(n) string made from twisted paper/
紙捻り [こより] /(n) string made from twisted paper/
紙撚 [かみより] /(n) string made from twisted paper/
紙撚 [こより] /(n) string made from twisted paper/
紙撚り [かみより] /(n) string made from twisted paper/
紙撚り [こより] /(n) string made from twisted paper/
紙粘土 [かみねんど] /(n) papier-mache/
紙背 [しはい] /(n) reverse side of a paper/(read) between the lines/
紙媒体 [かみばいたい] /(n) (1) paper medium/print medium (as opposed to other media)/(adj-no) (2) print/
紙箱 [かみばこ] /(n) paper box/paper carton/
紙番付 [かみばんづけ] /(n) sumo ranking written on paper/
紙飛行機 [かみひこうき] /(n) paper airplane (aeroplane)/
紙筆 [しひつ] /(n) pen and paper/writing/
紙表紙 [かみびょうし] /(n) paper cover/paperback/
紙風船 [かみふうせん] /(n) paper balloon/
紙幅 [しふく] /(n) space assigned for something (e.g. for article in magazine)/paper width/
紙幣 [しへい] /(n) paper money/notes/bills/(P)/
紙幣の濫発 [しへいのらんぱつ] /(n) excessive (reckless) issue of bank notes/
紙片 [しへん] /(n) piece (scrap, bit, strip) of paper/
紙包み [かみづつみ] /(n) paper package/
紙面 [しめん] /(n) space (page)/(P)/
紙礫 [かみつぶて] /(n) paper pellet/spitball/
紙縒 [かみより] /(n) string made from twisted paper/
紙縒 [こより] /(n) string made from twisted paper/
紙縒り [かみより] /(n) string made from twisted paper/
紙縒り [こより] /(n) string made from twisted paper/
紙鋏 [かみばさみ] /(n) scissors for cutting paper/
紙鋏み [かみばさみ] /(n) scissors for cutting paper/
紙鑢 [かみやすり] /(n) sandpaper/emery paper/
紫 [むらさき] /(n) (1) purple/violet/(2) (uk) Lithospermum erythrorhizon (species of gromwell)/(3) type of soy sauce/(P)/
紫芋 [むらさきいも] /(n) purple fleshed sweet potato (any one of several different such)/
紫雲 [しうん] /(n) purple clouds/clouds on which Amida Buddha rides to welcome the spirits of the dead/
紫雲英 [げんげ] /(n) Chinese milk vetch/
紫煙 [しえん] /(n) purple smoke/tobacco smoke/
紫燕 [むらさきつばめ] /(n) (1) (uk) powdered oakblue (butterfly) (Narathura bazalus)/(2) purple martin (bird) (Progne subis)/
紫猿子 [むらさきましこ] /(n) (uk) purple finch (Carpodacus purpureus)/
紫苑 [しおん] /(n) Tartarian aster (Aster tataricus)/
紫貝 [むらさきがい] /(n) (uk) Soletellina diphos (species of clam)/
紫外 [しがい] /(n,adj-no) (abbr) ultraviolet/UV/
紫外線 [しがいせん] /(n) ultra-violet rays/(P)/
紫外線消去型ＥＰＲＯＭ [しがいせんしょうきょかたイープロム] /(n) (comp) ultraviolet erasable programmable ROM/
紫外線療法 [しがいせんりょうほう] /(n) ultraviolet treatment/ultraviolet light therapy/
紫蒲公英 [むらさきたんぽぽ] /(n) (uk) (obsc) Leibnitz daisy (Leibnitzia anandria)/
紫君子蘭 [むらさきくんしらん] /(n) (uk) African lily (Agapanthus africanus)/
紫根 [しこん] /(n) gromwell root (of species Lithospermum erythrorhizon)/
紫紺 [しこん] /(n) bluish purple/
紫紺野牡丹 [しこんのぼたん] /(n) princess-flower (Tibouchina urvilleana)/
紫鷺苔 [むらさきさぎごけ] /(n) (uk) Miquel's mazus (species of small flowering plant, Mazus miquelii)/
紫式部 [むらさきしきぶ] /(n) (uk) Japanese beautyberry (Callicarpa japonica)/
紫綬褒章 [しじゅほうしょう] /(n) Medal with Purple Ribbon/
紫綬褒賞 [しじゅほうしょう] /(n) purple-ribboned medal awarded for scholarly or artistic achievement/
紫色 [むらさきいろ] /(n,adj-no) violet/(P)/
紫震殿 [ししいでん] /(oK) (n) Hall for State Ceremonies (in Heian Palace, Kyoto Imperial Palace, etc.)/
紫震殿 [ししんでん] /(oK) (n) Hall for State Ceremonies (in Heian Palace, Kyoto Imperial Palace, etc.)/
紫水晶 [むらさきすいしょう] /(n) amethyst/
紫水晶 [むらさきずいしょう] /(n) amethyst/
紫蘇 [しそ] /(n) (uk) shiso/perilla/beefsteak plant/Perilla frutescens/
紫檀 [したん] /(n) rosewood/red sandalwood/
紫電 [しでん] /(n) purple lightning/flash/swordflash/
紫電一閃 [しでんいっせん] /(n,n-adv) flash of lightning/flash of a sword/brandishing a sword/
紫斑 [しはん] /(n) purple spot/
紫斑病 [しはんびょう] /(n) purpura/
紫微 [しび] /(n) (abbr) Purple Forbidden Enclosure (group of constellations in the northern sky associated with the emperor)/
紫微垣 [しびえん] /(n) Purple Forbidden Enclosure (group of constellations in the northern sky associated with the emperor)/
紫弁慶草 [むらさきべんけいそう] /(n) (uk) orpine (Hylotelephium telephium)/
紫木蘭 [しもくれん] /(n) (uk) alternative name for lily magnolia (Magnolia quinquepeta, Magnolia liliiflora)/
紫木蓮 [しもくれん] /(n) (uk) alternative name for lily magnolia (Magnolia quinquepeta, Magnolia liliiflora)/
紫陽花 [あじさい] /(gikun) (n) (uk) hydrangea (Hydrangea macrophylla)/
紫陽花科 [あじさいか] /(n) Hydrangeaceae (plant family)/hydrangea/
紫蘭 [しらん] /(n) Bletilla striata (purple variety of orchid)/
紫露草 [むらさきつゆくさ] /(n) (uk) Ohio spiderwort (Tradescantia ohiensis)/
紫宸殿 [ししいでん] /(n) Hall for State Ceremonies (in Heian Palace, Kyoto Imperial Palace, etc.)/
紫宸殿 [ししんでん] /(n) Hall for State Ceremonies (in Heian Palace, Kyoto Imperial Palace, etc.)/
紫貽貝 [むらさきいがい] /(n) (uk) blue mussel (Mytilus galloprovincialis)/Mediterranean mussel/
紫闥 [したつ] /(n) gate of the imperial palace/imperial court/imperial palace/
肢 [あし] /(n) (1) foot/(2) leg/(3) gait/(4) pace/(5) bottom structural component (i.e. radical) of a kanji/
肢体 [したい] /(n) limbs/members/body/(P)/
肢体不自由児 [したいふじゆうじ] /(n) handicapped child/
肢帯 [したい] /(n) girdle (e.g. pelvic girdle, pectoral girdle)/
脂 [あぶら] /(n) fat/tallow/lard/grease/(P)/
脂 [やに] /(n) (1) resin/(2) (tobacco) resin/tar/nicotine/(3) sleep (in one's eyes, i.e. eye mucus)/
脂が乗る [あぶらがのる] /(exp,v5r) (1) to get into the swing of (one's work)/to hit one's stride/(2) fish and birds putting on some fat for winter and becoming more tasty as a result/
脂ぎった [あぶらぎった] /(adj-f) oily/greasy/
脂っこい [あぶらっこい] /(adj-i) (uk) greasy/fatty/oily/
脂っ濃い [あぶらっこい] /(adj-i) (uk) greasy/fatty/oily/
脂びれ [あぶらびれ] /(n) adipose fin/
脂ギッシュ [あぶらギッシュ] /(n,adj-na) (sl) chubby/
脂下がる [やにさがる] /(v5r,vi) to be complacent/to look self-satisfied/
脂汗 [あぶらあせ] /(n) cold sweat/greasy sweat/
脂環式化合物 [しかんしきかごうぶつ] /(n) alicyclic compound/
脂気 [あぶらけ] /(n) oiliness/greasiness/
脂質 [ししつ] /(n) lipid/fats/adipose/
脂身 [あぶらみ] /(n) fat meat/(P)/
脂性 [あぶらしょう] /(n) fatty constitution/
脂染みる [あぶらじみる] /(v1,vi) to become greasy/to be oil-stained/
脂腺 [しせん] /(n) sebaceous gland/
脂足 [あぶらあし] /(n) greasy feet/
脂太り [あぶらぶとり] /(n) (obsc) being fat/fat person/
脂濃い [あぶらっこい] /(adj-i) (uk) greasy/fatty/oily/
脂肥り [あぶらぶとり] /(n) (obsc) being fat/fat person/
脂鰭 [あぶらびれ] /(n) adipose fin/
脂粉 [しふん] /(n) rouge and powder/cosmetics/
脂坊主 [あぶらぼうず] /(n) (uk) skilfish (Erilepis zonifer)/skil/
脂肪 [しぼう] /(n) fat/grease/blubber/(P)/
脂肪ぶとり [しぼうぶとり] /(n) fat/
脂肪肝 [しぼうかん] /(n) fatty liver/
脂肪吸引 [しぼうきゅういん] /(n) liposuction/
脂肪細胞 [しぼうさいぼう] /(n) adipocyte/
脂肪酸 [しぼうさん] /(n) fatty acid/
脂肪質 [しぼうしつ] /(n) fatty/
脂肪腫 [しぼうしゅ] /(n) lipoma/adipose tumor/
脂肪心 [しぼうしん] /(n) fatty heart/
脂肪組織 [しぼうそしき] /(n) adipose tissue/
脂肪層 [しぼうそう] /(n) fatty layer/layer of fat/
脂肪族化合物 [しぼうぞくかごうぶつ] /(n) aliphatic compound/
脂肪太り [しぼうぶとり] /(n) fat/
脂肪体 [しぼうたい] /(n) corpus adiposum/
脂肪滴 [しぼうてき] /(n) lipid droplet/
脂肪油 [しぼうゆ] /(n) fatty oil/
脂薬 [あぶらぐすり] /(n) (1) plaster/patch/(2) ointment/liniment/
脂油 [しゆ] /(n) fatty oil/
脂溶性 [しようせい] /(n,adj-f) fat-solubility/lipid solubility/liposolubility/
脂溶性ビタミン [しようせいビタミン] /(n) fat-soluble vitamin/
脂漏性皮膚炎 [しろうせいひふえん] /(n) seborrheic dermatitis/seborrheic eczema/
脂鰉 [あぶらひがい] /(n) (uk) Sarcocheilichthys biwaensis (species of cyprinid)/
至 [し] /(pref) to .../
至って [いたって] /(adv) very much/exceedingly/extremely/(P)/
至らない [いたらない] /(adj-i) imperfect/incompetent/
至り [いたり] /(n) utmost limit/extremity/result/
至る [いたる] /(v5r,vi) (1) to arrive at (e.g. a decision)/to reach (a stage)/to attain/(2) to lead to (a place)/to get to/(3) (arch) to come/to arrive/to result in/(P)/
至る処 [いたるところ] /(adv,n-t) (uk) everywhere/all over/throughout/
至る所 [いたるところ] /(adv,n-t) (uk) everywhere/all over/throughout/(P)/
至れりつくせり [いたれりつくせり] /(adj-no,exp) very polite/most gracious/
至れり尽くせり [いたれりつくせり] /(adj-no,exp) very polite/most gracious/
至れり尽せり [いたれりつくせり] /(adj-no,exp) very polite/most gracious/
至急 [しきゅう] /(adv,n,adj-no) urgent/pressing/(P)/
至急便 [しきゅうびん] /(n) express mail/
至極 [しごく] /(adj-na,adv,n) very/extremely/exceedingly/
至近 [しきん] /(n) very near/
至近距離 [しきんきょり] /(n,adj-no) point-blank range/
至近弾 [しきんだん] /(n) point-blank shot/
至近要因 [しきんよういん] /(n) proximate cause/
至軽風 [しけいふう] /(n) light air (Beaufort scale)/
至芸 [しげい] /(n) art of consummate skill/
至言 [しげん] /(n) wise saying/
至公至平 [しこうしへい] /(n) completely fair or just/
至孝 [しこう] /(n) supreme filial piety/
至高 [しこう] /(adj-na,n,adj-no) supreme/supremacy/
至弱をもって至強にあたる [しじゃくをもってしきょうにあたる] /(exp) (id) (obsc) attacking strength by means of (with) weakness/
至純 [しじゅん] /(adj-na,n) absolute purity/
至純至高 [しじゅんしこう] /(n,adj-na,adj-no) utmost purity/
至純至精 [しじゅんしせい] /(n,adj-na,adj-no) utmost purity/
至上 [しじょう] /(n) supremacy/(P)/
至上権 [しじょうけん] /(n) supremacy/sovereignty/
至上者 [しじょうしゃ] /(n) Supreme Being/
至上神 [しじょうしん] /(n) supreme deity/
至上命令 [しじょうめいれい] /(n) categorical imperative/overriding necessity/
至上要求 [しじょうようきゅう] /(n) overriding necessity/absolute requirement/an absolute must/
至情 [しじょう] /(n) sincerity/genuine feeling/
至誠 [しせい] /(n) sincerity/devotion/
至誠天に通ず [しせいてんにつうず] /(exp) (id) Sincerity can move heaven/
至善 [しぜん] /(n) the highest good/
至尊 [しそん] /(n) the Emperor/
至大 [しだい] /(adj-na,n) immense/enormous/
至適 [してき] /(adj-na) optimal/optimum/
至点 [してん] /(n) solstitial point/
至東京 [いたるとうきょう] /(n) leading to Tokyo/
至当 [しとう] /(adj-na,n) just/fair/proper/
至難 [しなん] /(adj-na,n,adj-no) most difficult/next to impossible/(P)/
至難の業 [しなんのわざ] /(n) Herculean task/next to impossible undertaking/
至日 [しじつ] /(n) day of the solstice/
至福 [しふく] /(n,adj-no) beatitude/supreme bliss/
至福感 [しふくかん] /(n) feelings of bliss/
至福千年 [しふくせんねん] /(n) millennium/
至便 [しべん] /(adj-na,n) very convenient/
至宝 [しほう] /(n,adj-no) most valuable asset/pride of .../most important person/
至妙 [しみょう] /(adj-na,n) extraordinary/
至要 [しよう] /(n) extremely important/
至論 [しろん] /(n) persuasive argument/
視 [し] /(pref,suf) visual/vision/
視する [しする] /(suf,vs-i) to take a view or perspective/to regard as/to consider to be/
視る [みる] /(v1,vt) (1) to see/to look/to watch/to view/to observe/(2) to look over/to look on/to assess/to examine/to judge/(3) (uk) to look after/to keep an eye on/to take care of/(4) to view (e.g. flowers, movie)/(5) (uk) to try/(6) (uk) to see that.../to find that.../
視界 [しかい] /(n) field of vision/(P)/
視覚 [しかく] /(n,adj-no) sense of sight/vision/(P)/
視覚化 [しかくか] /(n,vs) visualization/visualisation/
視覚言語 [しかくげんご] /(n) visual language/
視覚効果 [しかくこうか] /(n) visual effect(s) (e.g. in a film)/
視覚障害者 [しかくしょうがいしゃ] /(n) visually impaired person/
視覚障害者誘導用ブロック [しかくしょうがいしゃゆうどうようブロック] /(n) guidance, warning tile blocks for the visually impaired/
視覚的 [しかくてき] /(adj-na) visual/
視覚的エディタ [しかくてきエディタ] /(n) (comp) visual editor/vi/
視角 [しかく] /(n) visual angle/
視学 [しがく] /(n) school inspector/
視学官 [しがくかん] /(n) (prefectural) school inspector/
視感度 [しかんど] /(n) luminous sensitivity/
視交叉 [しこうさ] /(n) optic chiasma/optic chiasm/
視告朔 [こうさく] /(n) (arch) ceremony where the Emperor would inspect the records of attendance and absence of officials/
視差 [しさ] /(n,adj-no) parallax/
視座 [しざ] /(n) vantage point/viewpoint/standpoint/outlook/
視細胞 [しさいぼう] /(n) photoreceptor cell/
視察 [しさつ] /(n,vs,adj-no) inspection/observation/(P)/
視床 [ししょう] /(n,adj-no) thalamus/
視床下部 [ししょうかぶ] /(n,adj-no) hypothalamus/
視神経 [ししんけい] /(n) optic nerve/
視神経交叉 [ししんけいこうさ] /(n) (obsc) optic chiasma/optic chiasm/
視神経交差 [ししんけいこうさ] /(n) (obsc) optic chiasma/optic chiasm/
視診 [ししん] /(n,vs) visual examination/
視線 [しせん] /(n) one's eyes/glance/look/(P)/
視地平 [しちへい] /(n) apparent horizon/
視聴 [しちょう] /(n,vs) (1) looking and listening/(television) viewing/(2) attention/interest/(P)/
視聴 [してい] /(ok) (n,vs) (1) looking and listening/(television) viewing/(2) attention/interest/
視聴覚 [しちょうかく] /(n) senses of seeing and hearing/audiovisual/
視聴覚センタ [しちょうかくセンタ] /(n) (comp) media resource centre/resource centre/
視聴覚機器 [しちょうかくきき] /(n) audiovisual aids/
視聴覚教材 [しちょうかくきょうざい] /(n) audiovisual educational materials/
視聴覚教室 [しちょうかくきょうしつ] /(n) audio-visual classroom/audiovisual classroom/
視聴覚室 [しちょうかくしつ] /(n) audiovisual room/
視聴者 [しちょうしゃ] /(n) viewer/(television) audience/(P)/
視聴者参加番組 [しちょうしゃさんかばんぐみ] /(n) audience participation program (programme)/
視聴率 [しちょうりつ] /(n) ratings (of a television program) (programme)/(P)/
視点 [してん] /(n) opinion/point of view/visual point/(P)/
視度 [しど] /(n) visibility/
視等級 [しとうきゅう] /(n) apparent magnitude/
視認 [しにん] /(n,vs) confirm by sight/sighting/eyeballing/
視認性 [しにんせい] /(n) visibility/
視能訓練士 [しのうくんれんし] /(n) orthoptist/
視野 [しや] /(n) field of vision/outlook/(P)/
視野の狭い [しやのせまい] /(n) shortsighted/narrow-minded/
視野移動 [しやいどう] /(n) (comp) scrolling/
視野角 [しやかく] /(n) viewing angle/viewing direction/
視野狭窄 [しやきょうさく] /(n) narrowing of visual field/narrow-mindedness/lack of vision/
視力 [しりょく] /(n,adj-no) eyesight/(P)/
視力矯正手術 [しりょくきょうせいしゅじゅつ] /(n) vision correcting surgery/
視力検査 [しりょくけんさ] /(n) eye test/eyesight test/
視力検査医 [しりょくけんさい] /(n) optometrist/
視力検査表 [しりょくけんさひょう] /(n) eye chart/eyesight test chart/
視力検定医 [しりょくけんていい] /(n) optometrist/
視力障害 [しりょくしょうがい] /(n,adj-no) vision damage/vision impairment/blindness/
視力障害者 [しりょくしょうがいしゃ] /(n) visually handicapped person/visually impaired person/blind person/
詞 [ことば] /(n) (1) language/dialect/(2) word/words/phrase/term/expression/remark/(3) speech/(manner of) speaking/
詞 [し] /(n) (1) words/writing/lyrics/(2) ci (form of Chinese poetry)/(3) independent word/
詞華集 [しかしゅう] /(n) anthology (of poems)/florilegium/
詞宗 [しそう] /(n) master poet/
詞書 [ことばがき] /(n) foreword to a collection of poems/preface/explanatory notes/captions/
詞書き [ことばがき] /(n) foreword to a collection of poems/preface/explanatory notes/captions/
詞章 [ししょう] /(n) poetry and prose/
詞藻 [しそう] /(n) florid expression/poetical talent/
詞賦 [しふ] /(n) Chinese poetry/
詩 [うた] /(n) (1) modern poetry/
詩 [し] /(n) poem/verse of poetry/(P)/
詩を作る [しをつくる] /(exp,v5r) to compose a poem/
詩化 [しか] /(n,vs) poetization/
詩家 [しか] /(n) poet/
詩歌 [しいか] /(n,adj-no) Japanese (and Chinese) poetry/(P)/
詩歌 [しか] /(n,adj-no) Japanese (and Chinese) poetry/(P)/
詩歌管弦 [しいかかんげん] /(n) Chinese and Japanese poetry and instrumental music/poetry and music/literature and music/
詩会 [しかい] /(n) poetry meeting/
詩学 [しがく] /(n) study of poetry/poetics/
詩巻 [しかん] /(n) collection of poems/
詩眼 [しがん] /(n) poetic appreciation/poetic taste/
詩客 [しかく] /(n) (obsc) poet/
詩境 [しきょう] /(n) poem's locale/
詩興 [しきょう] /(n) poetic inspiration/
詩業 [しぎょう] /(n) poetic achievements/poetic works/act of writing poetry/
詩吟 [しぎん] /(n) reciting Chinese poems/
詩句 [しく] /(n,adj-no) verse/
詩型 [しけい] /(n) verse forms/
詩形 [しけい] /(n) versification/
詩経 [しきょう] /(n) the Shijing (Shih Ching) or Book of Odes (Songs, Poems) - one of the Five Classics/
詩劇 [しげき] /(n) drama in verse/
詩語 [しご] /(n) poetic diction/
詩稿 [しこう] /(n) draft of a poem/draught of a poem/
詩行 [しぎょう] /(n) line of a poem/
詩魂 [しこん] /(n) poetic sentiment/
詩才 [しさい] /(n) talent for poetry/poetic genius/
詩作 [しさく] /(n,vs) composition of a poem/
詩趣 [ししゅ] /(n) poetic/
詩宗 [しそう] /(n) master poet/
詩集 [ししゅう] /(n) poetry anthology/(P)/
詩抄 [ししょう] /(n) anthology/
詩情 [しじょう] /(n) poetic sentiment/poetic interest/(P)/
詩心 [ししん] /(n) poetic sentiment or inspiration/poetic inclination or taste/poem-composing mood/ability to appreciate poetry/
詩人 [しじん] /(n) poet/(P)/
詩人らしい所 [しじんらしいところ] /(n) something of a poet/
詩人墨客 [しじんぼっかく] /(n) poets and artists/persons who take delight in such refined pursuits as poetry, literature, painting, and calligraphy/
詩人墨客 [しじんぼっきゃく] /(n) poets and artists/persons who take delight in such refined pursuits as poetry, literature, painting, and calligraphy/
詩聖 [しせい] /(n) great poet/
詩仙 [しせん] /(n) great poet/
詩選 [しせん] /(n) selected poems/
詩想 [しそう] /(n) poetical imagination/
詩藻 [しそう] /(n) florid expression/poetical talent/
詩壇 [しだん] /(n) poetic circles/world of poetry/
詩的 [してき] /(adj-na,n) poetic/
詩的許容 [してききょよう] /(n) poetic license (licence)/artistic license/
詩的正義 [してきせいぎ] /(n) poetic justice/retributive justice/
詩的破格 [してきはかく] /(n) poetic license/
詩碑 [しひ] /(n) poem inscribed on monument/
詩美 [しび] /(n) poetic beauty/beauty of a poem/
詩賦 [しふ] /(n) songs and poems/Chinese poetry/
詩文 [しぶん] /(n) poetry and prose/literary works/
詩篇 [しへん] /(n) (1) book containing a collection of poems/(2) Psalms (book of the Bible)/
詩編 [しへん] /(n) (1) book containing a collection of poems/(2) Psalms (book of the Bible)/
詩友 [しゆう] /(n) one's friend in poetry/
詩論 [しろん] /(n) essay on poetry/theory of poetry/
試し [ためし] /(n) trial/test/(P)/
試し割り [ためしわり] /(n) breaking bricks, etc. (martial arts)/
試し刷り [ためしずり] /(n) test sheet/trial print run/
試し算 [ためしざん] /(n) checking/
試し斬り [ためしぎり] /(n) trying out a new sword or blade (originally on someone, but now on soaked straw targets)/
試し切り [ためしぎり] /(n) trying out a new sword or blade (originally on someone, but now on soaked straw targets)/
試す [ためす] /(v5s,vt) to attempt/to test/to try out/(P)/
試み [こころみ] /(n) trial/experiment/(P)/
試みる [こころみる] /(v1,vt) to try/to test/(P)/
試案 [しあん] /(n,adj-no) tentative plan/draft plan/(P)/
試飲 [しいん] /(n,vs) sampling a drink/tasting/
試運転 [しうんてん] /(n,vs) trial run/test run/(P)/
試演 [しえん] /(n,vs) trial performance/rehearsal/
試技 [しぎ] /(n) practice jump (throw, etc.)/practise jump/
試供 [しきょう] /(n,vs) offering something free as a promotion/
試供品 [しきょうひん] /(n) specimen/sample/
試筋 [ためすじ] /(n) patron/effective means/
試金石 [しきんせき] /(n) touchstone/test case/(P)/
試掘 [しくつ] /(n,vs) prospecting/trial digging/
試掘権 [しくつけん] /(n) prospecting rights/mining claim/
試掘者 [しくつしゃ] /(n) prospector/
試験 [しけん] /(n,vs) examination/test/study/trial/experiment/(P)/
試験で撥ねられる [しけんではねられる] /(v1) to get flunked in an examination/
試験を受ける [しけんをうける] /(exp,v1) to sit for an examination/
試験データ [しけんデータ] /(n) (comp) test data/
試験パターン [しけんパターン] /(n) (comp) test pattern/
試験科目 [しけんかもく] /(n) subjects for (of) examination/exam subject/
試験官 [しけんかん] /(n) examiner/
試験監督 [しけんかんとく] /(n) proctoring of an exam/invigilation/
試験管 [しけんかん] /(n) test tube/
試験管ベビー [しけんかんベビー] /(n) test-tube baby/
試験管理プロトコル [しけんかんりプロトコル] /(n) (comp) test management protocol/
試験管立て [しけんかんたて] /(n) test tube stand/
試験期間 [しけんきかん] /(n) test (testing) period/
試験機 [しけんき] /(n) testing apparatus/
試験機関 [しけんきかん] /(n) (comp) test laboratory/
試験協調手続 [しけんきょうちょうてつづき] /(n) (comp) test coordination procedures/
試験群 [しけんぐん] /(n) (comp) test group/
試験群目標 [しけんぐんもくひょう] /(n) (comp) test group objective/
試験計画書 [しけんけいかくしょ] /(n) (comp) test plan/system test and evaluation plan/
試験結果 [しけんけっか] /(n) (comp) test outcome/test result/
試験工程 [しけんこうてい] /(n) (comp) test process/test stage/test period/
試験項目 [しけんこうもく] /(n) (comp) test case/
試験項目誤り [しけんこうもくあやまり] /(n) (comp) test case error/
試験項目名 [しけんこうもくめい] /(n) (comp) test item name/
試験紙 [しけんし] /(n) litmus paper/
試験事象 [しけんじしょう] /(n) (comp) test event/
試験実現者 [しけんじつげんしゃ] /(n) (comp) test realizer/
試験実行 [しけんじっこう] /(n) test run/trial run/
試験場 [しけんじょう] /(n) examination hall (room)/laboratory/(P)/
試験条件 [しけんじょうけん] /(n) (comp) test conditions/test environment/
試験体 [しけんたい] /(n) (comp) test body/
試験対象 [しけんたいしょう] /(n) (comp) implementation under test/IUT/
試験対象システム [しけんたいしょうシステム] /(n) (comp) system under test/SUT/
試験端末 [しけんたんまつ] /(n) (comp) test terminal/
試験段階 [しけんだんかい] /(n) testing stage/test step/
試験地獄 [しけんじごく] /(n) (entrance) examination hell/
試験的 [しけんてき] /(adj-na) experimental/provisional/(P)/
試験飛行 [しけんひこう] /(n) test (trial) flight/
試験勉強 [しけんべんきょう] /(n) cramming for exams/
試験方法 [しけんほうほう] /(n) test procedure/testing methodology/
試験法 [しけんほう] /(n) assay/
試験目的 [しけんもくてき] /(n) (comp) test purpose/
試験問題 [しけんもんだい] /(n) examination (exam) questions/questions for an examination/
試験薬 [しけんくすり] /(n) experimental drug/
試験用プロトコル実装補助情報 [しけんようプロトコルじっそうほじょじょうほう] /(n) (comp) protocol implementation extra information for testing/PIXIT/
試行 [しこう] /(n,vs) making an attempt/trial run/(P)/
試行錯誤 [しこうさくご] /(n,vs) trial and error/(P)/
試合 [しあい] /(ateji) (n,vs) match/game/bout/contest/(P)/
試合に敗れる [しあいにやぶれる] /(exp,v1) to lose a game/
試合終了 [しあいしゅうりょう] /(n,vs) the end of the match/the end of the game/
試合場 [しあいじょう] /(n) ring/playing field/stadium/
試作 [しさく] /(n,vs) trial manufacture/experiment/test piece/prototype/(P)/
試作環境 [しさくかんきょう] /(n) (comp) test environment/
試作機 [しさくき] /(n) prototype (e.g. plane)/
試作車 [しさくしゃ] /(n) experimental car/
試作品 [しさくひん] /(n) trial product/prototype model/
試算 [しさん] /(n,vs) trial calculation/preliminary calculation/(P)/
試算表 [しさんひょう] /(n) trial balance sheet/
試写 [ししゃ] /(n,vs) preview/private showing/(P)/
試射 [ししゃ] /(n,vs) test firing/
試乗 [しじょう] /(n,vs) test drive or ride/trial ride/
試乗車 [しじょうしゃ] /(n) demonstration model (car)/
試食 [ししょく] /(n,vs) sampling food/(P)/
試走 [しそう] /(n,vs) test drive/trial run/
試着 [しちゃく] /(n,vs) wearing clothes to try on/
試着室 [しちゃくしつ] /(n) dressing room/
試聴 [しちょう] /(n,vs) trial listening (e.g. to a record before buying)/audition/
試聴室 [しちょうしつ] /(n) audition room/
試筆 [しひつ] /(n,vs) first writing (of the New Year)/
試補 [しほ] /(n) probationer/
試問 [しもん] /(n,vs) interview/examination/question/
試薬 [しやく] /(n) reagent/(P)/
試用 [しよう] /(n,vs) trial/experimental use/
試用期間 [しようきかん] /(n,adj-no) trial period/
試用版 [しようばん] /(n) (comp) trial version (typically software)/trial edition/
試料 [しりょう] /(n) sample/test piece/(P)/
試煉 [しれん] /(n) test/trial/probation/ordeal/tribulation/
試練 [しれん] /(n) test/trial/probation/ordeal/tribulation/(P)/
試錬 [しれん] /(n) test/trial/probation/ordeal/tribulation/
試論 [しろん] /(n) essay/tentative assumption/
誌 [し] /(n-suf,ctr) (abbr) magazine/(P)/
誌す [しるす] /(v5s) (1) to write down/to note/(2) to remember/
誌上 [しじょう] /(n) in a magazine/(P)/
誌代 [しだい] /(n) magazine's price/
誌等で [しとうで] /(suf) in magazines like .../
誌面 [しめん] /(n) page of a magazine/(P)/
諮る [はかる] /(v5r,vt) to consult with/to discuss/to confer/(P)/
諮議 [しぎ] /(n,vs) consultation/conference/
諮問 [しもん] /(n,vs,adj-no) question/enquiry/inquiry/(P)/
諮問委員会 [しもんいいんかい] /(n) advisory committee (council, panel)/
諮問機関 [しもんきかん] /(n) consultative body/advisory committee/advisory organ/
諮問事項 [しもんじこう] /(n) terms of reference/
諮詢 [しじゅん] /(n,vs) question/enquiry/inquiry/
資す [しす] /(v5s,vi) (1) to contribute/to play a part in/to have a hand in/(2) to finance/
資する [しする] /(vs-s,vi) (1) to contribute/to play a part in/to have a hand in/to be conducive to/to be instrumental in/(2) to finance/(P)/
資を投ずる [しをとうずる] /(exp,vz) to lay out (one's money) in/to invest in/
資格 [しかく] /(n) qualifications/requirements/capabilities/(P)/
資格がない [しかくがない] /(exp,adj-i) unqualified/without qualifications/
資格のない [しかくのない] /(adj-i) unqualified/
資格を備える [しかくをそなえる] /(exp,v1) to have a qualification (for)/
資格を有する [しかくをゆうする] /(exp,vs-s) to qualify (as)/to have the qualifications (for ...)/to be entitled to/to have a claim (for)/
資金 [しきん] /(n) funds/capital/(P)/
資金を出す [しきんをだす] /(exp,v5s) to provide with funds/to fund/to advance some capital/to furnish with funds/
資金運用 [しきんうんよう] /(n) fund management/fund operation/
資金供給 [しきんきょうきゅう] /(n) financing/funds provision/funds supply/supply of investable funds/
資金繰り [しきんぐり] /(n) fundraising/financing/(P)/
資金計画 [しきんけいかく] /(n) financing plan/funding plan/cash planning/
資金源 [しきんげん] /(n) source of funds (money)/
資金手当 [しきんてあて] /(n) funding (something)/financing (something)/making money available/
資金集め [しきんあつめ] /(n) fund-raising/fund collecting/
資金循環 [しきんじゅんかん] /(n) funds flow/transfer of funds/
資金洗浄 [しきんせんじょう] /(n,vs) money laundering/
資金注入 [しきんちゅうにゅう] /(n) cash injection/
資金調達 [しきんちょうたつ] /(n,adj-no) fundraising/(P)/
資金調達計画 [しきんちょうたつけいかく] /(n) financing plan/
資金難 [しきんなん] /(n) shortage of capital/lack of funds/cash flow problem/
資金不足 [しきんぶそく] /(n,adj-no) lack of funds/
資金保険 [しきんほけん] /(n) capital insurance/
資金面 [しきんめん] /(exp) financials/on the funding (capital) side/
資金力 [しきんりょく] /(n) financial muscle/economic clout/
資源 [しげん] /(n) resources/(P)/
資源エネルギー庁 [しげんエネルギーちょう] /(n) Agency of Natural Resources and Energy/(P)/
資源ゴミ [しげんゴミ] /(n) recyclable garbage/recyclable waste/
資源外交 [しげんがいこう] /(n) resources diplomacy/
資源確保 [しげんかくほ] /(n) securement of resources/
資源割振り [しげんわりふり] /(n) (comp) resource allocation/
資源管理 [しげんかんり] /(n) resource management/
資源共有 [しげんきょうゆう] /(n) (comp) resource sharing/
資源節約 [しげんせつやく] /(n) conservation of resources/
資源超過利潤税 [しげんちょうかりじゅんぜい] /(n) Resources Super Profits Tax/RSPT/
資源配分 [しげんはいぶん] /(n) resource allocation/
資源分配 [しげんぶんぱい] /(n) (comp) resource sharing/
資源文書 [しげんぶんしょ] /(n) (comp) resource document/
資源問題 [しげんもんだい] /(n) resources problem/
資材 [しざい] /(n) (raw) material/(P)/
資財 [しざい] /(n) property/assets/fortune/
資財所要量計画 [しざいしょようりょうけいかく] /(n) (comp) MRP/Material Requirement Planning/
資産 [しさん] /(n) property/fortune/means/assets/(P)/
資産価値 [しさんかち] /(n) value of one's property (assets)/property (asset) value/
資産家 [しさんか] /(n) wealthy person/
資産株 [しさんかぶ] /(n) income stock/
資産管理 [しさんかんり] /(n) asset management/asset management provision/
資産合計 [しさんごうけい] /(n) total assets/
資産再評価 [しさんさいひょうか] /(n) revaluation of assets/
資産担保証券 [しさんたんぽしょうけん] /(n) asset-backed securities/ABS/
資産配分 [しさんはいぶん] /(n) asset allocation/
資産売却益 [しさんばいきゃくえき] /(n) capital gain/
資産番号 [しさんばんごう] /(n) asset register number/
資産評価 [しさんひょうか] /(n) valuation of assets/
資産負債表 [しさんふさいひょう] /(n) financial statement/statement of assets/
資産保有会社 [しさんほゆうがいしゃ] /(n) asset holding company (esp. Commonwealth countries)/
資質 [ししつ] /(n) nature/disposition/(P)/
資質英明 [ししつえいめい] /(n,adj-na) wise and clear-sighted/intelligent and astute by nature/blessed with talents/
資性 [しせい] /(n) one's nature or disposition/
資性英明 [しせいえいめい] /(n,adj-na) wise and clear-sighted/intelligent and astute by nature/blessed with talents/
資性穏和 [しせいおんわ] /(n,adj-na) being of a gentle disposition/being of a mild character/
資性端正 [しせいたんせい] /(n,adj-na) being of an upright character/being of a noble nature/
資本 [しほん] /(n) funds/capital/(P)/
資本家 [しほんか] /(n) capitalist/(P)/
資本関係 [しほんかんけい] /(n) capital ties/
資本基盤 [しほんきばん] /(n) capital base/
資本金 [しほんきん] /(n) capital stock/(P)/
資本形成 [しほんけいせい] /(n) capital formation/
資本構成 [しほんこうせい] /(n) capital structure/
資本再構成 [しほんさいこうせい] /(n) recapitalization/recapitalisation/
資本財 [しほんざい] /(n) capital goods/
資本市場 [しほんいちば] /(n) capital market/
資本支出 [しほんししゅつ] /(n) capital outlay/
資本主義 [しほんしゅぎ] /(n,adj-no) capitalism/(P)/
資本主義社会 [しほんしゅぎしゃかい] /(n) capitalist society/
資本主義者 [しほんしゅぎしゃ] /(n) a capitalist/
資本取引 [しほんとりひき] /(n) capital transaction/
資本収支 [しほんしゅうし] /(n) capital account balance/
資本集約 [しほんしゅうやく] /(n,adj-f) capital intensive/
資本節約的技術進歩 [しほんせつやくてきぎじゅつしんぽ] /(n) capital-saving technological progress/capital-saving technical progress/
資本損失 [しほんそんしつ] /(n) capital loss/
資本蓄積 [しほんちくせき] /(n) capital accumulation/
資本注入 [しほんちゅうにゅう] /(n) capital injection/
資本提携 [しほんていけい] /(n) capital tie-up/
資本投資 [しほんとうし] /(n) capital investment/
資本逃避 [しほんとうひ] /(n) capital flight/
資本比率 [しほんひりつ] /(n) capital ratio/
資本無し [しほんなし] /(exp) without capital/
資本利益率 [しほんりえきりつ] /(n) return-on-investment ratio/
資本利得 [しほんりとく] /(n) capital gain/
資本利得税 [しほんりとくぜい] /(n) capital gains tax/CGT/
資本流出 [しほんりゅうしゅつ] /(n) capital outflow/
資本力 [しほんりょく] /(n) capital strength (of an enterprise)/
資本論 [しほんろん] /(n) Das Kapital/Capital/
資料 [しりょう] /(n,adj-no) materials/data/document/(P)/
資料館 [しりょうかん] /(n) museum/reference library/archive/record office/
資料室 [しりょうしつ] /(n) reference room/
資料集 [しりょうしゅう] /(n) document collection/
資力 [しりょく] /(n) means/resources/wealth/
賜 [たまもの] /(n) gift/boon/result/fruit/
賜う [たまう] /(v5u) (1) (arch) to receive/(2) to grant/to bestow/to award/(3) (male) semi-polite or endearing auxiliary verb indicating reception by the speaker (suffixed to the -masu stem of another verb)/
賜り物 [たまわりもの] /(n) boon/gift/
賜る [たまわる] /(v5r,vt) to be given/to be granted/to be honored with/to be honoured with/
賜わる [たまわる] /(v5r,vt) to be given/to be granted/to be honored with/to be honoured with/
賜暇 [しか] /(n) furlough/leave of absence/
賜金 [しきん] /(n) monetary grant (from the government)/
賜杯 [しはい] /(n) Emperor's cup/trophy given by the Emperor/(P)/
賜物 [たまもの] /(n) gift/boon/result/fruit/
賜与 [しよ] /(n,vs) gift, esp. to subordinate/
雌 [めす] /(n) female (animal)/(P)/
雌しべ [めしべ] /(n) pistil/
雌ねじ [めねじ] /(n) female screw/
雌の狐 [めすのきつね] /(n) bitch fox/vixen/
雌の万年草 [めのまんねんぐさ] /(n) (uk) Sedum rupifragum (species of stonecrop)/
雌コネクタ [めすコネクタ] /(n) (comp) female connector/
雌黄 [きに] /(n) (1) orpiment/(2) gamboge/(3) falsification/alteration/
雌黄 [しおう] /(n) (1) orpiment/(2) gamboge/(3) falsification/alteration/
雌花 [めばな] /(n,adj-no) female flower/(P)/
雌牛 [めうし] /(n) cow/heifer/
雌鶏 [めんどり] /(n) female bird/hen/
雌犬 [めいぬ] /(n) bitch/female dog/
雌犬 [めすいぬ] /(n) bitch/female dog/
雌鹿 [めか] /(ok) (n) doe (female deer)/
雌鹿 [めが] /(ok) (n) doe (female deer)/
雌鹿 [めしか] /(n) doe (female deer)/
雌鹿 [めじか] /(n) doe (female deer)/
雌蕊 [しずい] /(n) pistil/
雌蕊 [めしべ] /(n) pistil/
雌性 [しせい] /(adj-na,n) female/
雌性ホルモン [じせいホルモン] /(n) female hormone/
雌性配偶体 [しせいはいぐうたい] /(n) female gametophyte/
雌性発生 [しせいはっせい] /(n) gynogenesis/
雌滝 [めだき] /(n) the smaller waterfall (of the two)/
雌竹 [めだけ] /(n) (uk) Simon bamboo (Pleioblastus simonii)/
雌鳥 [めんどり] /(n) female bird/hen/
雌珍々 [めちんちん] /(n,adj-na) (col) (fem) (uk) vulva (child)/
雌豚 [めぶた] /(n) sow/
雌日芝 [めひしば] /(n) (uk) southern crabgrass (Digitaria ciliaris)/
雌捻子 [めねじ] /(n) female screw/
雌馬 [めうま] /(n) mare/filly/
雌蛭木 [めひるぎ] /(n) (uk) Kandelia obovata (species of mangrove)/
雌伏 [しふく] /(n,vs) remaining in obscurity/
雌伏雄飛 [しふくゆうひ] /(n,vs) biding one's time building up strength till finally grasping an opportunity to launch out and flourish/
雌雄 [しゆう] /(n) male and female (animal)/(P)/
雌雄モザイク [しゆうモザイク] /(n) gynandromorph/
雌雄異株 [しゆういしゅ] /(n) (in botany) dioecy/dioecism/
雌雄異体 [しゆういたい] /(n,adj-no) (in zoology) gonochorism/
雌雄鑑別 [しゆうかんべつ] /(n) sexing (of chickens, silkworms, etc.)/
雌雄選択 [しゆうせんたく] /(n) sexual selection/
雌雄淘汰 [しゆうとうた] /(n) (obsc) sexual selection/
雌雄同株 [しゆうどうしゅ] /(n,adj-no) (in botany) monoecy/monoecism/
雌雄同体 [しゆうどうたい] /(n,adj-no) hermaphroditism/
雌螺子 [めねじ] /(n) female screw/
雌蘂 [しずい] /(n) pistil/
雌蘂 [めしべ] /(n) pistil/
雌蕋 [しずい] /(n) pistil/
雌蕋 [めしべ] /(n) pistil/
飼いならし [かいならし] /(n) taming/the taming of/
飼いならす [かいならす] /(v5s,vt) to tame (e.g. animal)/to domesticate/
飼いバト [かいバト] /(n) domestic pigeon/
飼い桶 [かいおけ] /(n) manger/
飼い慣らし [かいならし] /(n) taming/the taming of/
飼い慣らす [かいならす] /(v5s,vt) to tame (e.g. animal)/to domesticate/
飼い犬 [かいいぬ] /(n) pet dog/(P)/
飼い犬に手をかまれる [かいいぬにてをかまれる] /(exp,v1) to be betrayed by a trusted follower/
飼い犬に手を噛まれる [かいいぬにてをかまれる] /(exp,v1) to be betrayed by a trusted follower/
飼い殺し [かいごろし] /(n) keeping a pet till it dies/keeping a useless person on the payroll/
飼い主 [かいぬし] /(n) shepherd/(pet) owner/(P)/
飼い鳥 [かいどり] /(n) pet bird/cage bird/
飼い馴らし [かいならし] /(n) taming/the taming of/
飼い馴らす [かいならす] /(v5s,vt) to tame (e.g. animal)/to domesticate/
飼い猫 [かいねこ] /(n) pet cat/
飼い鳩 [かいばと] /(n) domestic pigeon/
飼い葉 [かいば] /(n) fodder/
飼い葉おけ [かいばおけ] /(n) manger/crib/
飼い葉桶 [かいばおけ] /(n) manger/crib/
飼う [かう] /(v5u,vt) to keep (a pet or other animal)/to raise/to have/to own/to feed/(P)/
飼育 [しいく] /(n,vs) breeding/raising/rearing/(P)/
飼犬 [かいいぬ] /(n) pet dog/
飼主 [かいぬし] /(n) shepherd/(pet) owner/
飼鳥 [かいどり] /(n) pet bird/cage bird/
飼兎 [かいうさぎ] /(n) domestic rabbit (variety of European rabbit, Oryctolagus cuniculus)/
飼猫 [かいねこ] /(n) pet cat/
飼葉 [かいば] /(n) fodder/
飼葉桶 [かいばおけ] /(n) manger/crib/
飼養 [しよう] /(n,vs) breeding/raising/
飼料 [しりょう] /(n) fodder/feed/(P)/
歯 [は] /(n) tooth/(P)/
歯かす [はかす] /(n) (obsc) (dental) plaque/
歯がゆい [はがゆい] /(adj-i) impatient/tantalized/tantalised/irritated/chagrined/chagrinned/vexed/
歯が浮く [はがうく] /(exp,v5k) to get loose teeth/to tire of someone's bragging/
歯が立たない [はがたたない] /(exp,adj-i) (1) unable to compete with/not able to make a dent in (e.g. a problem)/not able to get a solid hit in (e.g. in a fight)/(2) hard to chew/
歯ぎしり [はぎしり] /(n,vs) (1) involuntary nocturnal tooth grinding/bruxism/(2) grinding one's teeth out of anger or vexation/
歯くそ [はくそ] /(n) (dental) plaque/
歯ごたえ [はごたえ] /(n) feel (consistency) of food while being chewed/(P)/
歯に衣を着せない [はにきぬをきせない] /(exp,adj-i) not mince matters/
歯に衣を着せぬ [はにきぬをきせぬ] /(exp) not mince matters/
歯に衣着せない [はにきぬきせない] /(exp) not mince matters/
歯に衣着せぬ [はにきぬきせぬ] /(exp) to not mince matters/to speak frankly/
歯の根 [はのね] /(n) root of a tooth/fang/
歯の浮くような [はのうくような] /(exp) set one's teeth on edge/
歯の浮く様な音 [はのうくようなおと] /(n) noise that sets one's teeth on edge/
歯の妖精 [はのようせい] /(n) tooth fairy/
歯を食いしばる [はをくいしばる] /(exp,v5r) to bear up in tragedy/to stand pain well/to hold one's temper/
歯を食い縛る [はをくいしばる] /(exp,v5r) to bear up in tragedy/to stand pain well/to hold one's temper/
歯を食縛る [はをくいしばる] /(exp,v5r) to bear up in tragedy/to stand pain well/to hold one's temper/
歯を抜く [はをぬく] /(exp,v5k) to pull teeth out/to extract a tooth/
歯を磨く [はをみがく] /(exp,v5k) to brush one's teeth/
歯ブラシ [はブラシ] /(n) toothbrush/(P)/
歯医者 [はいしゃ] /(n) dentist/(P)/
歯応え [はごたえ] /(n) feel (consistency) of food while being chewed/
歯音 [しおん] /(n,adj-no) dental sound/dental consonant/dental/sibilant/
歯科 [しか] /(n) dentistry/(P)/
歯科医 [しかい] /(n) dentist/(P)/
歯科医院 [しかいいん] /(n) dental clinic/dental surgery/
歯科医師 [しかいし] /(n) dentist/(P)/
歯科医師国家資格試験 [しかいしこっかしかくしけん] /(n) National Dentistry Examination/
歯科医術 [しかいじゅつ] /(n) dentistry/
歯科衛生士 [しかえいせいし] /(n) dental hygienist/(P)/
歯科学 [しかがく] /(n) dentistry/
歯科技工士 [しかぎこうし] /(n) dental technician/
歯科検診 [しかけんしん] /(n) dental exam/dental checkup/
歯科実験室 [しかじっけんしつ] /(n) dental laboratory/
歯科大学 [しかだいがく] /(n) dental college/dental university/
歯科病院 [しかびょういん] /(n) dental hospital/
歯科用 [しかよう] /(adj-na) dental/
歯牙 [しが] /(n) teeth (and tusks)/
歯牙にもかけない [しがにもかけない] /(exp,adj-i) taking no notice of/paying no attention to/
歯牙にも掛けない [しがにもかけない] /(exp,adj-i) taking no notice of/paying no attention to/
歯牙矯正術 [しがきょうせいじゅつ] /(n) orthodontia/
歯牙疾患 [しがしっかん] /(n) dental disease/
歯牙状 [しがじょう] /(n) dentation/
歯芽 [しが] /(n) tooth germ/
歯学 [しがく] /(n) dentistry/
歯鰹 [はがつお] /(n) (uk) striped bonito (Sarda orientalis)/Mexican bonito/
歯噛み [はがみ] /(n,vs) grinding of the teeth/involuntary nocturnal tooth grinding/
歯冠 [しかん] /(n) crown of a tooth/
歯間 [しかん] /(n,adj-no) space between the teeth/interdental space/
歯軌条 [しきじょう] /(n) cog rail/
歯型 [はがた] /(n) tooth-mark/impression of the teeth/dental mold/
歯形 [はがた] /(n) tooth-mark/impression of the teeth/dental mold/
歯茎 [はぐき] /(n,adj-no) gums/teethridge/
歯茎音 [しけいおん] /(n) alveolar consonant/sound (e.g. n,t,d) where the tongue touches (or nearly touches) the ridge behind your front top teeth/
歯茎音 [はぐきおん] /(n) alveolar consonant/sound (e.g. n,t,d) where the tongue touches (or nearly touches) the ridge behind your front top teeth/
歯茎口蓋音 [しけいこうがいおん] /(n) alveopalatal consonant/
歯鯨 [はくじら] /(n) (uk) toothed whale (i.e. a whale of suborder Odontoceti)/
歯元 [はもと] /(n) (1) root (of a tooth)/(2) dedendum/
歯固 [はがため] /(io) (n) (1) tooth hardening toy (for infants)/teether/teething ring/(2) tooth hardening meal/New Year's feast/
歯固め [はがため] /(n) (1) tooth hardening toy (for infants)/teether/teething ring/(2) tooth hardening meal/New Year's feast/
歯向う [はむかう] /(v5u,vi) to strike back at/to bite back/to turn on/to rise against/to oppose/to defy/(P)/
歯向かう [はむかう] /(v5u,vi) to strike back at/to bite back/to turn on/to rise against/to oppose/to defy/(P)/
歯垢 [しこう] /(n) (dental) plaque/
歯根 [しこん] /(n,adj-no) root of a tooth/fang/
歯根管治療 [しこんかんちりょう] /(n) root canal treatment/root canal therapy/
歯根膜 [しこんまく] /(n) periodontal membrane/periodontal ligament/
歯止め [はどめ] /(n,vs) (1) brake/skid/pawl/(2) restraint/curtailment/self-imposed limit/check/(P)/
歯質 [ししつ] /(n) quality of teeth/
歯車 [はぐるま] /(n) gear/cog-wheel/(P)/
歯周ポケット [ししゅうポケット] /(n) periodontal pocket/
歯周炎 [ししゅうえん] /(n) periodontitis/
歯周治療学 [ししゅうちりょうがく] /(n) periodontics/
歯周病 [ししゅうびょう] /(n) periodontal disease/
歯状 [しじょう] /(n,adj-no) dentation/tooth shape/
歯触り [はざわり] /(n) texture (e.g. chewiness, hardness, crispiness, crunchiness, etc.) of food/
歯神経 [ししんけい] /(n) dental nerve/
歯髄 [しずい] /(n,adj-no) (tooth) pulp/
歯髄腔 [しずいくう] /(n) pulp cavity/
歯髄腔 [しずいこう] /(n) pulp cavity/
歯石 [しせき] /(n) dental calculus (calcified deposits that accumulate on the teeth)/tartar (of the teeth)/
歯切り [はぎり] /(n,vs) gnashing the teeth/cutting cogs/
歯切れ [はぎれ] /(n) (1) feel when biting/(2) manner of enunciation/(P)/
歯切れが悪い [はぎれがわるい] /(exp,adj-i) inarticulate/not making oneself quite clear/slurring one's words/evasive/
歯切れのいい [はぎれのいい] /(exp,adj-i) crisp/staccato/piquant/clear/
歯切れのよい [はぎれのよい] /(exp,adj-i) crisp/staccato/piquant/clear/
歯切れの悪い [はぎれのわるい] /(exp,adj-i) inarticulate/not making oneself quite clear/slurring one's words/evasive/
歯切れの良い [はぎれのいい] /(exp,adj-i) crisp/staccato/piquant/clear/
歯切れの良い [はぎれのよい] /(exp,adj-i) crisp/staccato/piquant/clear/
歯槽 [しそう] /(n,adj-no) (dental) alveolus/(dental) alveoli/socket in the jaw containing the root of a tooth/
歯槽骨 [しそうこつ] /(n) alveolar bone/
歯槽膿漏 [しそうのうろう] /(n) periodontitis/pyorrhea/pyorrhoea/pyorrhea alveolaris/inflammation of the gingiva (gums) resulting in bone loss/
歯脱け [はぬけ] /(n) falling out of teeth/person with missing teeth/
歯痛 [しつう] /(n,adj-no) toothache/
歯痛 [はいた] /(n,adj-no) toothache/
歯内療法 [しないりょうほう] /(n) endodontia/endodontic procedure/endodontic treatment/
歯内療法学 [しないりょうほうがく] /(n) endodontology/endodontia/endodontics/
歯内療法専門医 [しないりょうほうせんもんい] /(n) endodontist/root-canal specialist/
歯肉 [しにく] /(n,adj-no) gums/tooth ridge/
歯肉 [はにく] /(n,adj-no) gums/tooth ridge/
歯肉炎 [しにくえん] /(n) gingivitis/
歯肉溝 [しにくこう] /(n) gingival sulcus/
歯入れ [はいれ] /(n) repairing clogs/
歯抜け [はぬけ] /(n) toothless/
歯付ベルト [はつきベルト] /(n) toothed belt/
歯糞 [はくそ] /(n) (dental) plaque/
歯並び [はならび] /(n) row of teeth/set of teeth/dentition/
歯並み [はなみ] /(n) row of teeth/set of teeth/dentition/
歯並蓑笠子 [はなみのかさご] /(n) (uk) red lionfish (Pterois volitans)/
歯偏 [はへん] /(n) kanji "tooth" radical at left/
歯磨 [はみがき] /(n,vs) (1) dental brushing/brushing one's teeth/(2) dentifrice/toothpaste/tooth powder/
歯磨き [はみがき] /(n,vs) (1) dental brushing/brushing one's teeth/(2) dentifrice/toothpaste/tooth powder/(P)/
歯磨き粉 [はみがきこ] /(n) tooth powder/tooth paste/
歯磨剤 [しまざい] /(n) dentifrice/
歯膜炎 [しまくえん] /(n) periodontitis/
歯面 [しめん] /(n) surface of a tooth/
歯列 [しれつ] /(n) row of teeth/
歯列弓 [しれつきゅう] /(n) dental arch/
歯列矯正 [しれつきょうせい] /(n) orthodontia/orthodontics/
歯列矯正器 [しれつきょうせいき] /(n) (orthodontic) braces/
歯屎 [はくそ] /(n) (dental) plaque/
歯朶 [しだ] /(n) fern/
歯滓 [はかす] /(n) (obsc) (dental) plaque/
歯痒い [はがゆい] /(adj-i) impatient/tantalized/tantalised/irritated/chagrined/chagrinned/vexed/(P)/
歯軋り [はぎしり] /(n,vs) (1) involuntary nocturnal tooth grinding/bruxism/(2) grinding one's teeth out of anger or vexation/
歯齦 [しぎん] /(n) the gums/
歯齦炎 [しぎんえん] /(n) gingivitis/
事 [こと] /(n) (1) thing/matter/(2) incident/occurrence/event/something serious/trouble/crisis/(3) circumstances/situation/state of affairs/(4) work/business/affair/(5) after an inflectable word, creates a noun phrase indicating something the speaker does not feel close to/(n-suf) (6) nominalizing suffix/(7) pretending to .../playing make-believe .../(P)/
事 [こん] /(n) (1) thing/matter/(2) incident/occurrence/event/something serious/trouble/crisis/(3) circumstances/situation/state of affairs/(4) work/business/affair/(5) after an inflectable word, creates a noun phrase indicating something the speaker does not feel close to/(n-suf) (6) nominalizing suffix/(7) pretending to .../playing make-believe .../
事 [ごと] /(suf) (1) nominalizing suffix/(2) pretending to .../playing make-believe .../
事 [じ] /(n) (Buddh) individual concrete phenomenon (as opposed to a general principle)/
事々 [ことごと] /(n) everything/
事々しい [ことごとしい] /(adj-i) bombastic/pretentious/exaggerated/
事々物々 [じじぶつぶつ] /(n) everything/every affair (matter)/all things/
事あれかし [ことあれかし] /(exp) any time now (waiting, hoping for something to happen)/
事える [つかえる] /(v1,vi) to serve/to work for/to attend/
事がある [ことがある] /(exp,v5r-i) (1) (uk) (something) has occurred/to have done (something)/such a thing happened/(2) (uk) (something) happens on occasions/there are times when/(P)/
事がら [ことがら] /(n) matter/thing/affair/circumstance/
事が足りる [ことがたりる] /(exp,v1) to be sufficient/to answer the purpose/
事が無い [ことがない] /(exp,adj-i) (1) (uk) (something) has never occurred/to have never done (something)/such a thing has not happened/(2) (uk) never happens/there is never a time when/
事こそ [ことこそ] /(exp) (uk) this for sure/certainly is/
事とする [こととする] /(exp,vs-i) (1) to devote oneself/to do one thing exclusively/to make a job of/(2) (uk) to decide to/
事と次第で [こととしだいで] /(exp) if things permit/under certain circumstances/
事と成る [こととなる] /(exp,v5r) (uk) it has been decided (so) that/it has been arranged (so) that/
事なかれ主義 [ことなかれしゅぎ] /(n) (uk) principle of peace-at-any-price/
事なきを得る [ことなきをえる] /(exp,v1) to survive without problems/to manage to avoid further problems/
事なく [ことなく] /(adv) without accident/uneventfully/
事にする [ことにする] /(exp,vs-i) (1) (uk) to decide to/(2) (uk) to pretend that/(3) (uk) to make a practice of doing/to make it a rule to/
事にすると [ことにすると] /(exp) (uk) perhaps/maybe/possibly/
事になる [ことになる] /(exp,v5r) (uk) it has been decided (so) that/it has been arranged (so) that/
事によって [ことによって] /(exp) (uk) via/through/by doing/by means of/using/
事により [ことにより] /(exp) (uk) by (means of)/by doing/due to/via/through/
事による [ことによる] /(exp,v5r) (1) (uk) depending on the circumstances/(2) due to (with modifying verb)/(P)/
事のついで [ことのついで] /(exp) take the opportunity to (do something else)/
事の序で [ことのついで] /(exp) take the opportunity to (do something else)/
事は無い [ことはない] /(exp,adj-i) (1) (uk) there is no need to .../(2) (uk) never happens/there is never a time when/
事もあろうに [こともあろうに] /(exp) (uk) of all things (days, etc.)/
事もなげ [こともなげ] /(adj-na,n,adj-no) careless/
事も無げ [こともなげ] /(adj-na,n,adj-no) careless/
事を運ぶ [ことをはこぶ] /(exp,v5b) to go ahead/to proceed/to carry on/
事を起こす [ことをおこす] /(exp,v5s) to cause trouble (a disturbance)/
事を好む [ことをこのむ] /(exp,v5m) to revel in trouble and discord/to be bent on making trouble/to like starting fights/
事を構える [ことをかまえる] /(exp,v1) to take an aggressive position/to stir up trouble/
事を成し遂げる [ことをなしとげる] /(exp,v1) to achieve a task/
事を分ける [ことをわける] /(exp,v1) to reason with (a person)/
事案 [じあん] /(n) concern/circumstance which is becoming a problem/case (court)/
事改めて [ことあらためて] /(exp) anew/
事寄す [ことよす] /(v5s,vt) to find an excuse/
事寄せて [ことよせて] /(exp) on the plea of/under the pretext of/
事寄せる [ことよせる] /(v1,vt) to pretend/
事宜 [じぎ] /(n) fitting thing/
事共 [ことども] /(n) things/matters/
事業 [ことわざ] /(n) (1) project/enterprise/business/industry/operations/(2) act/deed/conduct/
事業 [じぎょう] /(n) (1) project/enterprise/business/industry/operations/(P)/
事業化 [じぎょうか] /(n,vs) (1) industrialization/industrialisation/(2) commercialization/
事業家 [じぎょうか] /(n) enterprising man/businessman/industrialist/
事業会社 [じぎょうがいしゃ] /(n) industrial company/business firm/
事業界 [じぎょうかい] /(n) industrial or business world/
事業拡充 [じぎょうかくじゅう] /(n) business expansion/
事業継続計画 [じぎょうけいぞくけいかく] /(n) business continuity plan/BCP/
事業計画 [じぎょうけいかく] /(n) business plan/business schedule/project/
事業再生融資 [じぎょうさいせいゆうし] /(n) debtor-in-possession financing/
事業仕分け [じぎょうしわけ] /(n) program review/budget screening/review and prioritization of government programs/
事業仕訳 [じぎょうしわけ] /(n) program review/budget screening/review and prioritization of government programs/
事業者 [じぎょうしゃ] /(n) business person/
事業主 [じぎょうぬし] /(n) entrepreneur/
事業所 [じぎょうしょ] /(n) plant/enterprise place/office/(P)/
事業所間 [じぎょうしょかん] /(n) inter-location/inter-company/inter-office/
事業税 [じぎょうぜい] /(n) business tax/
事業団 [じぎょうだん] /(n) corporation/agency/
事業年度 [じぎょうねんど] /(n) fiscal year/
事業部 [じぎょうぶ] /(n) division (of company)/operations department/
事業部制 [じぎょうぶせい] /(n) company consisting of autonomous divisions/
事業部長 [じぎょうぶちょう] /(n) senior executive manager/
事業本部 [じぎょうほんぶ] /(n) corporate HQ/
事局 [じきょく] /(n) circumstances/
事欠かない [ことかかない] /(adj-i) having an abundance/
事欠く [ことかく] /(v5k,vi) to lack/
事件 [じけん] /(n) event/affair/incident/case/plot/trouble/scandal/(P)/
事件の綾 [じけんのあや] /(n) web of the case/
事件解決 [じけんかいけつ] /(n) resolution of an incident/solution to a (criminal) case/
事件記者 [じけんきしゃ] /(n) police reporter/
事件表 [じけんひょう] /(n) docket/
事故 [ことゆえ] /(ok) (n) (1) accident/incident/trouble/(2) circumstances/reasons/
事故 [じこ] /(n) (1) accident/incident/trouble/(2) circumstances/reasons/(P)/
事故にあう [じこにあう] /(exp,v5u) to have an accident/to meet with an accident/
事故に遭う [じこにあう] /(exp,v5u) to have an accident/to meet with an accident/
事故る [じこる] /(v5r) to have a road accident/to cause a traffic accident/
事故機 [じこき] /(n) aircraft involved in an accident/crashed aircraft/distressed aircraft/
事故原因 [じこげんいん] /(n) source, cause of an accident/
事故死 [じこし] /(n) accidental death/
事故米 [じこまい] /(n) rice contaminated by an accident/
事故防止 [じこぼうし] /(n) accident prevention/
事故無し [ことゆえなし] /(exp) (arch) without incident/
事故歴 [じこれき] /(n) history of (automobile) accidents/
事後 [じご] /(n-adv,n-t) after-/post-/ex-/(P)/
事後ジャーナル化 [じごうジャーナルか] /(n) (comp) after-look journalizing/
事後従犯 [じごじゅうはん] /(n) accessory after the fact/
事後従犯人 [じごじゅうはんにん] /(n) accessory after the fact/
事後承諾 [じごしょうだく] /(n) ex-post-facto approval/
事後条件 [じごじょうけん] /(n) (comp) postcondition/
事後分析 [じごぶんせき] /(n) ex-post analysis/
事後分析ダンプ [じごぶんせきダンプ] /(n) (comp) postmortem dump/
事後保守 [じごほしゅ] /(n) (comp) corrective maintenance/
事後保全 [じごほぜん] /(n) (comp) corrective maintenance/
事誤り [ことあやまり] /(n) mistake in speaking/
事項 [じこう] /(n) matter/item/facts/(P)/
事項索引 [じこうさくいん] /(n) subject index/
事細か [ことこまか] /(adj-na,n) detail/
事細かに [ことこまかに] /(adv) minutely/in detail/
事細やかに [ことこまやかに] /(adv) minutely/in detail/
事始め [ことはじめ] /(n) (1) taking up a new line of work/the beginning of things/(2) starting the preparations for New Year's festivities (December 8 in Tokyo, December 13 in Kyoto)/(3) resuming work after the New Year's vacation/
事事 [ことごと] /(n) everything/
事事しい [ことごとしい] /(adj-i) bombastic/pretentious/exaggerated/
事事物物 [じじぶつぶつ] /(n) everything/every affair (matter)/all things/
事自体 [ことじたい] /(exp) (the thing) itself/
事実 [じじつ] /(n-adv,n) fact/truth/reality/(P)/
事実に照らして [じじつにてらして] /(exp) in view of the facts/
事実は小説よりも奇なり [じじつはしょうせつよりもきなり] /(exp) truth is stranger than fiction/
事実は小説より奇なり [じじつはしょうせつよりきなり] /(exp) truth is stranger than fiction/
事実は小説より奇也 [じじつはしょうせつよりきなり] /(exp) (id) Truth is stranger than fiction/
事実を曲げる [じじつをまげる] /(exp,v1) to falsify a fact/
事実を調べる [じじつをしらべる] /(exp,v1) to investigate the facts/
事実関係 [じじつかんけい] /(n) all facts (of a case)/
事実誤認 [じじつごにん] /(n) mistake of fact/
事実婚 [じじつこん] /(n) de facto marriage (aka common-law marriage)/
事実上 [じじつじょう] /(n,adj-no) (as a) matter of fact/actually/in reality/(P)/
事実上の標準 [じじつじょうのひょうじゅん] /(n,adj-no) (comp) de facto standard/
事実上標準 [じじつじょうひょうじゅん] /(n) (comp) de-facto standard/
事実上不可能 [じじつじょうふかのう] /(n) effectively impossible/
事実調査 [じじつちょうさ] /(n) fact-finding/
事実無根 [じじつむこん] /(n,adj-no) groundless/entirely contrary to fact/(P)/
事象 [じしょう] /(n) event/phenomenon/matter/(P)/
事象モード [じしょうモード] /(n) (comp) event mode/
事象待ち行列 [じしょうまちぎょうれつ] /(n) (comp) event queue/
事象投影 [じしょうとうえい] /(n) (comp) event projection/
事象報告 [じしょうほうこく] /(n) (comp) event report/
事情 [じじょう] /(n) circumstances/consideration/conditions/situation/reasons/(P)/
事情を話す [じじょうをはなす] /(exp,v5s) to explain the situation/
事情聴取 [じじょうちょうしゅ] /(n,vs) police interview/police questioning a witness (suspect) to obtain information (about a crime)/
事情通 [じじょうつう] /(n) having good knowledge of a certain matter/a person who has good knowledge of a certain matter/informed source/
事情変更の原則 [じじょうへんこうのげんそく] /(n) clausula rebus sic stantibus (legal principle that agreements become non-binding if there is a major, unforeseeable change of circumstances)/
事新しい [ことあたらしい] /(adj-i) new/
事新しく [ことあたらしく] /(adv) anew/again/specially/formally/
事績 [じせき] /(n) achievement/exploit/merits/
事跡 [じせき] /(n) evidence/trace/vestige/
事蹟 [じせき] /(n) evidence/trace/vestige/
事切れる [こときれる] /(v1,vi) to expire/to die/
事前 [じぜん] /(n,adj-no) prior/beforehand/in advance/(P)/
事前に必要 [じぜんにひつよう] /(adj-na) prerequisite/
事前の同意 [じぜんのどうい] /(n) prior consent/
事前運動 [じぜんうんどう] /(n) pre-election campaigning/
事前割当 [じぜんわりあて] /(n) prearranged quota/
事前記録データ媒体 [じぜんきろくデータばいたい] /(n) (comp) recorded data medium/
事前記録媒体 [じぜんきろくばいたい] /(n) (comp) recorded (data) medium/
事前協議 [じぜんきょうぎ] /(n) prior consultation/
事前検閲 [じぜんけんえつ] /(n) prepublication censorship/
事前研修 [じぜんけんしゅう] /(n) advance training/prior training/
事前後 [じぜんご] /(n-adv,n-t) subsequently/additionally/
事前工作 [じぜんこうさく] /(n) preparatory operations/measure taken in advance/doing the groundwork/
事前従犯 [じぜんじゅうはん] /(n) accessory before the fact/
事前従犯人 [じぜんじゅうはんにん] /(n) accessory before the fact/
事前条件 [じぜんじょうけん] /(n) (comp) precondition/
事前審査 [じぜんしんさ] /(n) advance screening/prior inspection/preliminary review/pre-vetting/
事前通知 [じぜんつうち] /(n) advance notification/
事前通報 [じぜんつうほう] /(n) advance report/advance notification/
事前日付 [じぜんひづけ] /(n,adj-no) antedating/
事前分析 [じぜんぶんせき] /(n) ex-ante analysis/
事前抑制 [じぜんよくせい] /(n) prior restraint/
事相 [じそう] /(n) aspect/phase/phenomenon/
事足りる [ことたりる] /(v1,vi) to suffice/to serve the purpose/to be satisfied/
事足る [ことたる] /(v5r,vi) to suffice/to serve the purpose/to be satisfied/
事体 [じたい] /(n) situation/(present) state of affairs/circumstances/
事態 [じたい] /(n) situation/(present) state of affairs/circumstances/(P)/
事大 [じだい] /(n) subserviency to the stronger/
事大根性 [じだいこんじょう] /(n) slavish submission to power/sycophancy/flunkeyism/toadyism/
事大思想 [じだいしそう] /(n) admiration of the powerful/
事大主義 [じだいしゅぎ] /(n) worship of the powerful/
事珍しく [ことめずらしく] /(n) like something strange/
事典 [ことてん] /(n) cyclopedia/encyclopedia/
事典 [じてん] /(n) cyclopedia/encyclopedia/(P)/
事犯 [じはん] /(n) crime/
事物 [じぶつ] /(n) things/affairs/
事柄 [ことがら] /(n) matter/thing/affair/circumstance/(P)/
事変 [じへん] /(n) accident/disaster/incident/uprising/emergency/(P)/
事毎に [ことごとに] /(adv) in everything/
事務 [じむ] /(n,adj-no) business/office work/(P)/
事務を見る [じむをみる] /(exp,v1) to attend to business/
事務を執る [じむをとる] /(exp,v5r) to do (attend to) business/
事務員 [じむいん] /(n) clerk/(P)/
事務引き継ぎ [じむひきつぎ] /(n) taking over an office/
事務屋 [じむや] /(n) office worker/clerk/
事務家 [じむか] /(n) man of affairs/
事務会 [じむかい] /(n) business meeting/
事務官 [じむかん] /(n) administrative official/secretary/commissioner/(P)/
事務管理データ処理 [じむかんりデータしょり] /(n) (comp) administrative data processing/
事務器 [じむき] /(n) business machines/
事務机 [じむづくえ] /(n) clerical desk/
事務機械化 [じむきかいか] /(n) (comp) office automation/OA/
事務機器 [じむきき] /(n) business machine(ry)/
事務局 [じむきょく] /(n) secretariat/executive office/(P)/
事務局長 [じむきょくちょう] /(n) head of the secretariat/
事務系労働者 [じむけいろうどうしゃ] /(n) white-collar/
事務作業 [じむさぎょう] /(n) clerical work/
事務次官 [じむじかん] /(n) permanent vice-president/undersecretary/vice-minister/(P)/
事務室 [じむしつ] /(n) office/(P)/
事務取り扱い [じむとりあつかい] /(io) (n) acting director/
事務取扱 [じむとりあつかい] /(n) acting director/
事務取扱い [じむとりあつかい] /(io) (n) acting director/
事務処理 [じむしょり] /(n) paperwork/
事務所 [じむしょ] /(n) office/(P)/
事務総局 [じむそうきょく] /(n) secretariat-general/
事務総長 [じむそうちょう] /(n) secretary-general/director/
事務長 [じむちょう] /(n) manager/purser/
事務長官 [じむちょうかん] /(n) chief secretary/
事務的 [じむてき] /(adj-na) businesslike/practical/(P)/
事務当局 [じむとうきょく] /(n) officials in charge/(P)/
事務服 [じむふく] /(n) work clothes/
事務文書用言語 [じむぶんしょようげんご] /(n) (comp) Office Document Language/
事務用 [じむよう] /(n) (comp) business use/
事務用品 [じむようひん] /(n) office supplies/stationery/
事務量 [じむりょう] /(n) amount of business/
事無きを得る [ことなきをえる] /(exp,v1) to survive without problems/to manage to avoid further problems/
事無く [ことなく] /(adv) without accident/uneventfully/
事無し [ことなし] /(adj-f) nothing/nothing to be done/safe/easy/
事勿れ主義 [ことなかれしゅぎ] /(n) (uk) principle of peace-at-any-price/
事有り顔 [ことありがお] /(n) worried look/troubled face/
事有れかし [ことあれかし] /(exp) any time now (waiting, hoping for something to happen)/
事由 [じゆう] /(n) reason/cause/(P)/
事理 [じり] /(n) reason/facts/propriety/sense/
事理明白 [じりめいはく] /(n) facts being beyond dispute/logic being indisputable/
事立てる [ことだてる] /(v1) to do something different/to make a big thing of/
事例 [じれい] /(n,adj-no) example/precedent/case/(P)/
事例研究 [じれいけんきゅう] /(n) case studies/
事例集 [じれいしゅう] /(n) collection of cases/collection of instances/(P)/
事迹 [じせき] /(n) evidence/trace/vestige/
似 [に] /(suf) takes after (his mother)/
似せる [にせる] /(v1,vt) to copy/to imitate/to counterfeit/to forge/(P)/
似たり [にたり] /(n) (1) fake/copy/(2) barge/lighter/
似たりよったり [にたりよったり] /(adj-na,n) much the same/
似たり貝 [にたりがい] /(n) (1) (sl) Korean mussel (Mytilus coruscus)/(2) silicone receptacle used for male masturbation/
似たり寄ったり [にたりよったり] /(adj-na,n) much the same/
似た者 [にたもの] /(n) similar people/
似た者夫婦 [にたものふうふ] /(exp) (id) like man, like wife/like marries like/
似つかわしい [につかわしい] /(adj-i) suitable/appropriate/becoming/
似つく [につく] /(v5k,vi) to become/to suit/to be like/to match well/
似ている [にている] /(v1) (1) to be resembling/(adj-f) (2) similar/resembling/
似ても似つかない [にてもにつかない] /(exp,adj-i) quite unlike/not bearing the slightest resemblance/
似てる [にてる] /(v1) (1) to be resembling/(adj-f) (2) similar/resembling/
似て非なる [にてひなる] /(exp) falsely similar/counterfeit/
似る [にる] /(v1,vi) to resemble/to be similar/(P)/
似我蜂 [じがばち] /(n) (1) (uk) red-banded sand wasp (Ammophila sabulosa)/(2) thread-waisted wasp (any wasp of family Sphecidae, inc. digger wasps & mud daubers)/
似顔 [にがお] /(n) portrait/likeness/(P)/
似顔画 [にがおえ] /(iK) (n) portrait/likeness/
似顔絵 [にがおえ] /(n) portrait/likeness/(P)/
似顔書き [にがおがき] /(n) portrait painter/drawing portraits/
似寄り [により] /(n) similarity/
似寄る [による] /(v5r,vi) to resemble/
似気ない [にげない] /(adj-i) unlike/unbecoming/unworthy of/out of keeping with/
似気無い [にげない] /(adj-i) unlike/unbecoming/unworthy of/out of keeping with/
似義須 [にぎす] /(n) (uk) deepsea smelt (Glossanodon semifasciatus)/
似五郎鮒 [にごろぶな] /(n) (uk) Carassius auratus grandoculis (subspecies of goldfish)/
似鯉 [にごい] /(n) (uk) Hemibarbus barbus (species of cyprinid)/
似合い [にあい] /(n,adj-no) well-matched/becoming/suitable/(P)/
似合う [にあう] /(v5u,vi) to suit/to match/to become/to be like/(P)/
似合しい [にあわしい] /(adj-i) well-matched/suitable/becoming/
似合わしい [にあわしい] /(adj-i) well-matched/suitable/becoming/
似而非 [えせ] /(adj-na,n,pref) false/would-be/sham/pretended/mock/spurious/pseudo/quasi/
似通う [にかよう] /(v5u,vi) to resemble closely/(P)/
似非 [えせ] /(adj-na,n,pref) false/would-be/sham/pretended/mock/spurious/pseudo/quasi/
似非インテリ [えせインテリ] /(n,adj-no) pseudointellectual/
似非学者 [えせがくしゃ] /(n,adj-no) pseudo-scholar/fake scholar/would-be expert/
似非事 [えせごと] /(n) laughable affair/unlaudable affair/something unreliable/
似非者 [えせもの] /(n) sham/fraud/counterfeit/impostor/pretender/
似非笑い [えせわらい] /(n) smirk/affected smile/
似非親 [えせおや] /(n) distant disinterested parent/
似非理屈 [えせりくつ] /(n) sophistry/
似付かわしい [につかわしい] /(adj-i) suitable/appropriate/becoming/
似付く [につく] /(v5k,vi) to become/to suit/to be like/to match well/
似鱚 [にぎす] /(n) (uk) deepsea smelt (Glossanodon semifasciatus)/
侍 [さぶらい] /(n) (1) warrior (esp. of military retainers of daimyos in the Edo period)/samurai/(2) (arch) man in attendance (on a person of high standing)/retainer/
侍 [さむらい] /(n) (1) warrior (esp. of military retainers of daimyos in the Edo period)/samurai/(P)/
侍する [じする] /(vs-s) to wait upon/to serve/
侍らす [はべらす] /(v5s) (ksb:) to wait upon/to serve/
侍る [はべる] /(v5r,vi) to wait upon/to serve/
侍医 [じい] /(n) court physician/(P)/
侍衛 [じえい] /(n) bodyguard/
侍衛長 [じえいちょう] /(n) captain of the guard/
侍気質 [さむらいかたぎ] /(n) samurai spirit/
侍蟻 [さむらいあり] /(n) (uk) Polyergus samurai (species of amazon ant)/
侍講 [じこう] /(n) imperial tutor/
侍祭 [じさい] /(n) acolyte/
侍史 [じし] /(n) private secretary/respectfully/
侍者 [じしゃ] /(n) attendant/valet/altar boy/acolyte/
侍従 [じじゅう] /(n) chamberlain/(P)/
侍従官 [じじゅうかん] /(n) chamberlain/
侍従職 [じじゅうしょく] /(n) board of chamberlains/
侍従長 [じじゅうちょう] /(n) grand chamberlain/
侍従武官 [じじゅうぶかん] /(n) emperor's aide-de-camp/
侍所 [さぶらいどころ] /(n) (1) Board of Retainers/Kamakura- and Muromachi-period government office/(2) samurai guard house (Heian and Kamakura periods)/
侍所 [さむらいどころ] /(n) (1) Board of Retainers/Kamakura- and Muromachi-period government office/(2) samurai guard house (Heian and Kamakura periods)/
侍女 [じじょ] /(n) lady attendant/maid/(P)/
侍臣 [じしん] /(n) courtier/attendant/
侍僧 [じそう] /(n) acolyte/
侍読 [じどく] /(n) imperial tutor/
侍八騎 [さむらいはっき] /(n) eight mounted warriors/eight samurai on horseback/
侍立 [じりつ] /(n,vs) assisting (a dignitary)/
侍婢 [じひ] /(n) lady-in-waiting/
児 [こ] /(n,n-suf) (1) child/(2) young (animal)/(3) young woman/young geisha/(4) offshoot/(5) interest/(6) (abbr) new shares/(7) (arch) bird egg/(n-suf) (8) (after a noun or -masu stem) -er (often of young women)/
児 [じ] /(n-suf) child/(P)/
児戯 [じぎ] /(n) mere child's play/
児女 [じじょ] /(n) boys and girls/
児曹 [じそう] /(n) children/
児孫 [じそん] /(n) children and grandchildren/descendants/
児童 [じどう] /(n) children/juvenile/(P)/
児童ポルノ [じどうポルノ] /(n) child pornography/
児童画 [じどうが] /(n) pictures drawn by a child/
児童会 [じどうかい] /(n) elementary school student council/
児童館 [じどうかん] /(n) children's house/child welfare residential facility/
児童虐待 [じどうぎゃくたい] /(n,adj-no) child abuse/
児童劇 [じどうげき] /(n) juvenile play/
児童手当 [じどうてあて] /(n) child-care allowance/
児童書 [じどうしょ] /(n) children's book/
児童心理学 [じどうしんりがく] /(n) child psychology/
児童心理学者 [じどうしんりがくしゃ] /(n) child psychologist/
児童相談所 [じどうそうだんじょ] /(n) child consultation center/child consultation centre/
児童売春 [じどうばいしゅん] /(n) child prostitution/
児童福祉 [じどうふくし] /(n) child welfare/
児童福祉施設 [じどうふくししせつ] /(n) child welfare facility/
児童福祉法 [じどうふくしほう] /(n) Child Welfare Law (1947)/
児童文学 [じどうぶんがく] /(n) juvenile literature/
字 [あざ] /(n,suf) section of village/(P)/
字 [あざな] /(n) (1) Chinese courtesy name (name formerly given to adult Chinese men, used in place of their given name in formal situations)/(2) nickname/(3) section of a village/
字 [じ] /(n) (1) character (i.e. kanji)/(2) hand-writing/penmanship/(3) the ... word (i.e. "the L word" = "love")/(P)/
字引 [じびき] /(n) dictionary/(P)/
字引学問 [じびきがくもん] /(n) merely knowing the meanings of a large number of individual words/superficial learning/
字音 [じおん] /(n) Japanese pronunciation of a kanji (based on adopted Chinese pronunciations)/
字下げ [じさげ] /(n) (comp) indentation/
字画 [じかく] /(n) number of strokes in character/(P)/
字解 [じかい] /(n,vs) kanji meaning interpretation/
字間 [じかん] /(n) space between letters or characters/inter-character space/
字眼 [じがん] /(n) decisive character (Chinese poetry)/
字義 [じぎ] /(n) the meaning or sense of a word/
字詰め [じづめ] /(n) number of characters/manuscript paper/printed matter/(P)/
字句 [じく] /(n) wording/words and phrases/way of expression/token/
字句の構造 [じくのこうぞう] /(n) (comp) lexical structure/
字句解析 [じくかいせき] /(n) (comp) lexical analysis/
字句単位 [じくたんい] /(n) (comp) lexical unit/lexical token/
字訓 [じくん] /(n) the Japanese reading of a kanji/
字形 [じけい] /(n) character style or form/(P)/
字源 [じげん] /(n) construction of character/
字号 [じごう] /(n) nickname/
字種 [じしゅ] /(n) character (as element of a set or list of characters)/
字書 [じしょ] /(n) (character) dictionary/
字数 [じすう] /(n) number of characters or letters/(P)/
字送り点 [じおくりてん] /(n) (comp) escapement point/
字体 [じたい] /(n) type/font/lettering/(P)/
字典 [じてん] /(n) character dictionary/
字牌 [じはい] /(n) Honor tiles (in mahjong)/
字牌 [つーぱい] /(n) Honor tiles (in mahjong)/
字配り [じくばり] /(n) word or letter layout/
字母 [じぼ] /(n) (1) letter (of an alphabet)/syllabic character/(2) matrix/printing type/
字方向 [じほうこう] /(n) (comp) character writing direction/
字幕 [じまく] /(n) subtitle (movie)/(P)/
字幕スーパー [じまくスーパー] /(n) subtitles (movie)/
字幕付き [じまくつき] /(adj-no) subtitled (of a movie, etc.)/
字面 [じづら] /(n) impression derived from or appearance of kanji/face/appearance of written words/
字面 [じめん] /(n) impression derived from or appearance of kanji/face/appearance of written words/
字訳 [じやく] /(n,vs) transliteration/
字余り [じあまり] /(n) hypermetric/
字類条件 [じるいじょうけん] /(n) (comp) class condition/
字類名 [じるいめい] /(n) (comp) class name/
寺 [じ] /(suf,ctr) counter for temples/
寺 [てら] /(n) temple (Buddhist)/(P)/
寺域 [じいき] /(n) (obsc) temple grounds/
寺院 [じいん] /(n) temple/(P)/
寺格 [じかく] /(n) status of a Buddhist temple/
寺号 [じごう] /(n) temple's name/
寺参り [てらまいり] /(n) ritual visits to a temple/
寺子 [てらこ] /(n) (abbr) child who attended a temple school/
寺子屋 [てらこや] /(n) temple elementary school (during the Edo period)/
寺社 [じしゃ] /(n) temples and shrines/
寺社奉行 [じしゃぶぎょう] /(n) governmental position of the shogunate, responsible for the management of temples and shrines/
寺小屋 [てらこや] /(n) temple elementary school (during the Edo period)/
寺請 [てらうけ] /(n) certification issued by a temple to prove affiliation/
寺請け [てらうけ] /(n) certification issued by a temple to prove affiliation/
寺請制度 [てらうけせいど] /(n) system used during the Edo era where commoners had to register with a temple in order to prove their Buddhist faith/
寺銭 [てらせん] /(n) banker's cut or fee charged in a gambling saloon/
寺檀制度 [じだんせいど] /(n) system used during the Edo era where commoners had to register with a temple in order to prove their Buddhist faith/
寺男 [てらおとこ] /(n) temple employee/
寺中 [じちゅう] /(n,adj-no) (1) in a temple/inside temple grounds/(2) sub-temple/
寺内 [じない] /(n) inside a temple/
寺入り [てらいり] /(n) (1) to enrol in a temple school/child enrolled in a temple school/(2) incarcerating a criminal in a temple as a form of punishment (popular during the latter Muromachi and Azuchi-Momoyama periods)/(3) to go to a temple and repent (following a disaster, etc.)/
寺務 [じむ] /(n) (1) temple affairs/(2) (arch) temple administrator/person in charge of temple affairs/
寺務所 [じむしょ] /(n) office of a temple/
寺預け [てらあずけ] /(n) (obsc) incarcerating a criminal in a temple as a form of punishment (popular during the latter Muromachi and Azuchi-Momoyama periods)/
寺領 [じりょう] /(n) temple's territory/temple's estate/
慈しみ [いつくしみ] /(n) affection/love/
慈しむ [いつくしむ] /(v5m,vt) to love/to be affectionate to/to pity/
慈愛 [じあい] /(n) affection/kindness/love/(P)/
慈雨 [じう] /(n) welcome rain/beneficial rain/blessed rain/rain that comes after a drought/
慈眼 [じげん] /(n) merciful eye/
慈訓 [じくん] /(n) kind counsel/mother's advice/
慈兄 [じけい] /(n) affectionate elder brother/
慈恵 [じけい] /(n) mercy and love/
慈姑 [くわい] /(n) (uk) Sagittaria trifolia var. edulis (edible variant of threeleaf arrowhead)/
慈心 [じしん] /(n) benevolence/mercy/
慈善 [じぜん] /(n,adj-no) charity/philanthropy/(P)/
慈善家 [じぜんか] /(n) charitable person/philanthropist/
慈善会 [じぜんかい] /(n) philanthropic society/
慈善活動 [じぜんかつどう] /(n) philanthropic activity/charity work/
慈善市 [じぜんいち] /(n) charity bazaar/charity bazar/
慈善事業 [じぜんじぎょう] /(n) philanthropic work/charitable enterprise/
慈善心 [じぜんしん] /(n) benevolence/liberality/
慈善団体 [じぜんだんたい] /(n) charitable institution (organization, organisation)/(organized, organised) charities/
慈善鍋 [じぜんなべ] /(n) charity pot/
慈善箱 [じぜんばこ] /(n) charity box/
慈尊 [じそん] /(n) (hon) (obsc) Maitreya/
慈鳥 [じちょう] /(n) (obsc) crow/raven/
慈悲 [じひ] /(n) compassion/benevolence/charity/mercy/(P)/
慈悲殺 [じひさつ] /(n) mercy killing (euthanasia performed to end someone's suffering, but without consent)/
慈悲心 [じひしん] /(n) benevolence/
慈父 [じふ] /(n) affectionate father/
慈母 [じぼ] /(n) affectionate mother/
持する [じする] /(vs-s) to hold/to maintain/
持たざる [もたざる] /(exp,adj-f) have-not/
持たせる [もたせる] /(v1,vt) to have someone hold something/to allow someone to keep something/
持ち [もち] /(n,n-suf) (1) hold/charge/keep possession/in charge/(2) wear/durability/life/draw/(suf) (3) usage/(P)/
持ちかける [もちかける] /(v1,vt) to offer a suggestion/to propose an idea/
持ちがいい [もちがいい] /(exp,adj-i) wear well/keep long/last long/
持ちがよい [もちがよい] /(exp,adj-i) wear well/keep long/last long/
持ちが良い [もちがいい] /(exp,adj-i) wear well/keep long/last long/
持ちが良い [もちがよい] /(exp,adj-i) wear well/keep long/last long/
持ちきり [もちきり] /(n) hot topic/talk of the town/
持ちこたえる [もちこたえる] /(v1,vt) to hold out (e.g. against pressure)/to withstand/to endure/
持ちつ持たれつ [もちつもたれつ] /(exp,n) give-and-take/
持ちなおす [もちなおす] /(v5s,vt) to recover/to rally/to improve/to pick up/
持ちのいい [もちのいい] /(adj-i) long lasting/
持ちのよい [もちのよい] /(adj-i) long lasting/
持ちの良い [もちのいい] /(adj-i) long lasting/
持ちの良い [もちのよい] /(adj-i) long lasting/
持ちまえ [もちまえ] /(n) one's nature/characteristic/
持ちもの [もちもの] /(n) one's property/personal effects/
持ちも提げもならない [もちもさげもならない] /(exp,adj-i) (obsc) no way at all to deal with/
持ちも提げもならぬ [もちもさげもならぬ] /(exp) (obsc) having no way to deal with something/
持ちネタ [もちネタ] /(n) trademark gag or routine/
持ち運び [もちはこび] /(n) carrying/
持ち運ぶ [もちはこぶ] /(v5b,vt) to carry/to bring (to a place)/
持ち越し [もちこし] /(n,vs) (1) (col) work, items, etc. carried over from earlier/(2) hangover/what you ate the day before (and is still being digested)/
持ち越す [もちこす] /(v5s,vt) to carry over/to carry forward/to keep (for later)/to defer/(P)/
持ち家 [もちいえ] /(n) one's (own) house/(P)/
持ち歌 [もちうた] /(n) one's (song) repertoire/
持ち回り [もちまわり] /(n) rotation/by turns/(P)/
持ち回り閣議 [もちまわりかくぎ] /(n) round-robin cabinet/
持ち回る [もちまわる] /(v5r,vt) to carry about/
持ち掛ける [もちかける] /(v1,vt) to offer a suggestion/to propose an idea/
持ち株 [もちかぶ] /(n) stock holdings/one's shares/(P)/
持ち株会社 [もちかぶがいしゃ] /(n) holding company/
持ち堪える [もちこたえる] /(v1,vt) to hold out (e.g. against pressure)/to withstand/to endure/(P)/
持ち換える [もちかえる] /(v1,vt) to change way one holds something (esp. transferring it from one hand to the other)/
持ち寄る [もちよる] /(v5r,vi) to gather (bringing something)/to gather (to exchange something)/
持ち帰り [もちかえり] /(n) takeout (i.e. food)/take-out/takeaway/take-away/(P)/
持ち帰る [もちかえる] /(v5r) to bring back/to carry home/to take out (e.g. food)/(P)/
持ち給金 [もちきゅうきん] /(n) base for calculating sumo wrestler's tournament stipend/
持ち去る [もちさる] /(v5r) to take away/to carry away/
持ち金 [もちがね] /(n) money possessed/
持ち駒 [もちごま] /(n) a captured piece than can be reused (shogi)/a person or object held in reserve/available means/
持ち古す [もちふるす] /(v5s,vt) to have long in use/
持ち合い [もちあい] /(n) (1) unity/even matching/interdependence/(2) steadiness (of market price)/holding/no change/(P)/
持ち合う [もちあう] /(v5u) (1) to balance/to counterpoise/(2) to remain unchanged/(3) to share (e.g. the expense)/to bear (part of)/
持ち合せ [もちあわせ] /(n) (1) things on hand/things in stock/(2) money on hand/money in one's wallet/(adj-no) (3) on hand/in stock/
持ち合せる [もちあわせる] /(v1,vt) to happen to have on hand or in stock/
持ち合わせ [もちあわせ] /(n) (1) things on hand/things in stock/(2) money on hand/money in one's wallet/(adj-no) (3) on hand/in stock/
持ち合わせる [もちあわせる] /(v1,vt) to happen to have on hand or in stock/
持ち込み [もちこみ] /(n) bring-your-own (e.g. food and drink)/carry-on (e.g. luggage)/(P)/
持ち込む [もちこむ] /(v5m,vt) to lodge/to take something into .../to bring in/(P)/
持ち時間 [もちじかん] /(n) amount of time one has/
持ち主 [もちぬし] /(n) owner/proprietor/(P)/
持ち出し [もちだし] /(n) an item carried out/provide money (oneself)/(P)/
持ち出す [もちだす] /(v5s,vt) (1) to take out/to carry out/to bring out from where it belongs/(2) to mention something/to broach a topic/to bring up (a subject)/to raise (an issue)/to mention/(P)/
持ち小屋 [もちごや] /(n) (obsc) small playhouse/
持ち上がる [もちあがる] /(v5r,vi) to lift/to happen/to occur/to come up/to turn up/
持ち上げる [もちあげる] /(v1,vt) to raise/to lift up/to flatter/
持ち場 [もちば] /(n) job/station/position/post/route/
持ち切り [もちきり] /(n) hot topic/talk of the town/
持ち切る [もちきる] /(v5r,vi) to hold all the while/to talk about nothing but/
持ち船 [もちぶね] /(n) one's own ship/
持ち前 [もちまえ] /(n) one's nature/characteristic/(P)/
持ち続ける [もちつづける] /(v1) to persist in/
持ち替える [もちかえる] /(v1,vt) to change way one holds something (esp. transferring it from one hand to the other)/
持ち直す [もちなおす] /(v5s,vt) to recover/to rally/to improve/to pick up/(P)/
持ち点 [もちてん] /(n) points (already) allotted to one/points (already) gained (in earlier rounds)/
持ち逃げ [もちにげ] /(n,vs) (1) making off with (something)/absconding/(adj-f) (2) stolen/absconded (with)/
持ち馬 [もちうま] /(n) horses owned/horse owned/
持ち腐れ [もちぐされ] /(n) unused possession/
持ち物 [もちもの] /(n) one's property/personal effects/(P)/
持ち物検査 [もちものけんさ] /(n) checking the personal belongings with someone for items against regulation (e.g. at school, airports, etc.)/
持ち分 [もちぶん] /(n) share (of expenses)/equity (in company)/holdings/interest (in company)/
持ち歩く [もちあるく] /(v5k) to carry/
持ち崩す [もちくずす] /(v5s,vt) to ruin oneself/to degrade oneself/
持ち方 [もちかた] /(n) way one holds (one's writing brush)/how to hold (chopsticks)/
持ち味 [もちあじ] /(n) inherent flavor/inherent flavour/distinctive characteristic/(P)/
持っていく [もっていく] /(exp,v5k-s) to take/to carry (something) away/(P)/
持ってくる [もってくる] /(vk,vt) to bring/(P)/
持ってけ [もってけ] /(n) (sl) (vulg) Take it!/Take that!/
持ってこい [もってこい] /(exp,adj-na) (1) (uk) just right/ideal/perfectly suitable/(exp) (2) fetch!/bring me .../
持ってゆく [もってゆく] /(exp,v5k-s) to take/to carry (something) away/
持って回る [もってまわる] /(v5r) to carry around/
持って行く [もっていく] /(exp,v5k-s) to take/to carry (something) away/(P)/
持って行く [もってゆく] /(exp,v5k-s) to take/to carry (something) away/
持って生まれた [もってうまれた] /(adj-f) natural (ability)/
持って来い [もってこい] /(exp,adj-na) (1) (uk) just right/ideal/perfectly suitable/(exp) (2) fetch!/bring me .../
持って来る [もってくる] /(vk,vt) to bring/
持つ [もつ] /(v5t) (1) to hold/to carry/(2) to possess/(P)/
持てあます [もてあます] /(v5s,vt) to be too much for one/to find unmanageable/to be beyond one's control/to not know what to do with/
持てなし [もてなし] /(n) (uk) entertainment/hospitality/
持てはやす [もてはやす] /(v5s,vt) (uk) to praise extravagantly/to lionize/to lionise/to make much of/
持てる [もてる] /(v1,vi) (1) to be able to possess (hold, get, etc.)/(2) to be well liked/to be popular/to be pampered (spoiled, doted upon, etc.)/to be welcomed/(3) to endure (the tests of time, the elements, etc.)/to last/(adj-pn) (4) possessed/(5) possessing riches/having wealth/(P)/
持てるものと持たざるもの [もてるものともたざるもの] /(exp) haves and have-nots/
持てる者と持たざる者 [もてるものともたざるもの] /(exp) haves and have-nots/
持て扱う [もてあつかう] /(v5u,vt) (1) (arch) to take care of/(2) (arch) to be too much for one/to find unmanageable/to be beyond one's control/to not know what to do with/
持て栄す [もてはやす] /(v5s,vt) (uk) to praise extravagantly/to lionize/to lionise/to make much of/
持て持て [もてもて] /(adj-na) sexy/popular/well-liked/
持て成し [もてなし] /(n) (uk) entertainment/hospitality/(P)/
持て成す [もてなす] /(v5s,vt) to entertain/to make welcome/(P)/
持て余す [もてあます] /(v5s,vt) to be too much for one/to find unmanageable/to be beyond one's control/to not know what to do with/
持て囃す [もてはやす] /(v5s,vt) (uk) to praise extravagantly/to lionize/to lionise/to make much of/
持運び [もちはこび] /(n) carrying/
持運ぶ [もちはこぶ] /(v5b,vt) to carry/to bring (to a place)/
持越し [もちこし] /(n,vs) (1) (col) work, items, etc. carried over from earlier/(2) hangover/what you ate the day before (and is still being digested)/
持家 [もちいえ] /(n) one's (own) house/
持戒 [じかい] /(n) strictly adhering to Buddhist precepts/
持掛ける [もちかける] /(v1,vt) to offer a suggestion/to propose an idea/
持堪える [もちこたえる] /(v1,vt) to hold out (e.g. against pressure)/to withstand/to endure/(P)/
持帰り [もちかえり] /(n) takeout (i.e. food)/take-out/takeaway/take-away/
持帰る [もちかえる] /(v5r) to bring back/to carry home/to take out (e.g. food)/
持久 [じきゅう] /(n,vs) endurance/persistence/(P)/
持久戦 [じきゅうせん] /(n) protracted war/war of attrition/
持久走 [じきゅうそう] /(n) marathon training in physical education classes in Japanese schools/
持久力 [じきゅうりょく] /(n) stamina/tenacity/
持碁 [じご] /(n) Go game resulting in tie or draw/
持合 [もちあい] /(n) (1) unity/even matching/interdependence/(2) steadiness (of market price)/holding/no change/
持合せ [もちあわせ] /(n) (1) things on hand/things in stock/(2) money on hand/money in one's wallet/(adj-no) (3) on hand/in stock/
持合わせ [もちあわせ] /(n) (1) things on hand/things in stock/(2) money on hand/money in one's wallet/(adj-no) (3) on hand/in stock/
持国天 [じこくてん] /(n) (Buddh) Dhrtarastra (Buddhist deity)/
持込み [もちこみ] /(n) bring-your-own (e.g. food and drink)/carry-on (e.g. luggage)/
持込む [もちこむ] /(v5m,vt) to lodge/to take something into .../to bring in/
持参 [じさん] /(n,vs) bringing/taking/carrying/(P)/
持参金 [じさんきん] /(n) dowry/
持参人 [じさんにん] /(n) bearer/
持子 [もつご] /(n) (uk) topmouth gudgeon/stone moroko (Pseudorasbora parva)/
持主 [もちぬし] /(n) owner/proprietor/
持出 [もちだし] /(io) (n) an item carried out/provide money (oneself)/
持出し [もちだし] /(n) an item carried out/provide money (oneself)/
持出す [もちだす] /(v5s,vt) (1) to take out/to carry out/to bring out from where it belongs/(2) to mention something/to broach a topic/to bring up (a subject)/to raise (an issue)/to mention/
持将棋 [じしょうぎ] /(n) drawn game (Shogi)/impasse/
持小屋 [もちごや] /(n) (obsc) small playhouse/
持上がる [もちあがる] /(v5r,vi) to lift/to happen/to occur/to come up/to turn up/
持上げる [もちあげる] /(v1,vt) to raise/to lift up/to flatter/
持説 [じせつ] /(n) one's cherished opinion/
持前 [もちまえ] /(n) one's nature/characteristic/
持続 [じぞく] /(n,vs) continuation/(P)/
持続陰性化率 [じぞくいんせいかりつ] /(n) sustained virological response/SVR/
持続可能 [じぞくかのう] /(adj-na) sustainable/
持続可能な開発 [じぞくかのうなかいはつ] /(exp,n) sustainable development/
持続可能セルレート [じぞくかのうセルレート] /(n) (comp) sustainable cell rate/
持続感染者 [じぞくかんせんしゃ] /(n) carrier of an infection (esp. hepatitis)/
持続性 [じぞくせい] /(n) durability/
持続的 [じぞくてき] /(adj-na) continuous/dynamic (as opposed to static)/(P)/
持続的な有効性 [じぞくてきなゆうこうせい] /(n) (comp) persistence/
持続力 [じぞくりょく] /(n) durability/
持替える [もちかえる] /(v1,vt) to change way one holds something (esp. transferring it from one hand to the other)/
持直す [もちなおす] /(v5s,vt) to recover/to rally/to improve/to pick up/(P)/
持逃 [もちにげ] /(io) (n,vs) (1) making off with (something)/absconding/(adj-f) (2) stolen/absconded (with)/
持逃げ [もちにげ] /(n,vs) (1) making off with (something)/absconding/(adj-f) (2) stolen/absconded (with)/
持病 [じびょう] /(n) chronic disease/(P)/
持仏 [じぶつ] /(n) one's own Buddha statue/
持物 [もちもの] /(n) one's property/personal effects/
持分 [もちぶん] /(n) share (of expenses)/equity (in company)/holdings/interest (in company)/
持分法適用会社 [もちぶんほうてきようかいしゃ] /(n) affiliated company accounted for by the equity-method/
持崩す [もちくずす] /(io) (v5s,vt) to ruin oneself/to degrade oneself/
持味 [もちあじ] /(n) inherent flavor/inherent flavour/distinctive characteristic/
持明院統 [じみょういんとう] /(n) imperial lineage from Emperor Gofukakusa to Emperor Gokomatsu/
持薬 [じやく] /(n) one's usual medicine/
持論 [じろん] /(n) one's cherished opinion/pet theory/(P)/
持佛堂 [じぶつどう] /(n) hall or room where a private Buddha statue or ancestor tablets are kept/
時 [じ] /(suf) (1) hour/o'clock/(suf,adj-no) (2) (specified) time/when .../during .../
時 [とき] /(n-adv,n) (1) time/hour/(2) occasion/moment/(P)/
時 [どき] /(n-suf) time for -/time of -/- time/(suitable) time to -/
時々 [ときどき] /(adv,n,adj-no) sometimes/at times/(P)/
時々刻々 [じじこっこく] /(adv) hourly/from one minute to the next/from hour to hour/moment by moment/with each passing moment/
時おり [ときおり] /(n-adv) sometimes/
時が解決する [ときがかいけつする] /(exp,vs-i) (id) time will cure all/time heals all wounds/
時たま [ときたま] /(adv) once in a while/occasionally/seldom/at long intervals/
時つ鳥 [ときつどり] /(n) (obsc) lesser cuckoo (Cuculus poliocephalus)/
時として [ときとして] /(adv) in some cases/sometimes/on occasions/(P)/
時と場合によって [ときとばあいによって] /(exp) should time and circumstances permit/
時どき [ときどき] /(adv,n,adj-no) sometimes/at times/
時ならぬ [ときならぬ] /(adj-pn) unthought of/unexpected/unseasonal/unscheduled/
時に [ときに] /(exp) (1) by the way/incidentally/(adv) (2) sometimes/occasionally/
時には [ときには] /(exp,adv) at times/occasionally/(P)/
時に因りけり [ときによりけり] /(exp) (id) That depends/
時の権力者 [ときのけんりょくしゃ] /(exp) (id) the powers that be/
時の氏神 [ときのうじがみ] /(n) person who turns up at the right moment to help/
時の鳥 [ときのとり] /(n) (obsc) lesser cuckoo (Cuculus poliocephalus)/
時の帝 [ときのみかど] /(n) emperor of the time/
時は金なり [ときはかねなり] /(exp) time is money/(P)/
時は金成り [ときはかねなり] /(iK) (exp) time is money/
時は金也 [ときはかねなり] /(exp) time is money/
時めかす [ときめかす] /(v5s,vt) (uk) to beat fast (e.g. the heart)/
時めく [ときめく] /(v5k,vi) to be prosperous/to prosper/to flourish/to enjoy great prosperity/
時をつくる [ときをつくる] /(exp,v5r) to crow at the break of dawn (of a rooster, etc.)/to mark the dawn/to proclaim the dawn/
時を移さず [ときをうつさず] /(exp,adv) at once/immediately/
時を稼ぐ [ときをかせぐ] /(exp,v5g) to play for time/to use delaying tactics/
時を刻む [ときをきざむ] /(exp,v5m) to mark the passage of time/to let (feel) time pass/
時を告げる [ときをつげる] /(exp,v1) to announce the time/
時を作る [ときをつくる] /(exp,v5r) to crow at the break of dawn (of a rooster, etc.)/to mark the dawn/to proclaim the dawn/
時を待つ [ときをまつ] /(exp,v5t) to wait for a favorable chance/to wait for a favourable chance/
時を得た [ときをえた] /(exp,adj-f) timely/
時雨 [しぐれ] /(n) drizzle/shower in late autumn (fall) or early winter/(P)/
時雨忌 [しぐれき] /(n) Matsuo Basho remembrance day (12th day of the 10th lunar month, associated with the change of the seasons)/
時雨月 [しぐれづき] /(n) tenth lunar month/
時雨模様 [しぐれもよう] /(n) showery sky/(it is) looking showery/
時運 [じうん] /(n) tide of the times/
時疫 [じえき] /(n) (obsc) epidemic/
時下 [じか] /(n-adv,n-t) nowadays/
時化 [しけ] /(ateji) (n) (1) stormy weather (at sea)/(2) poor catch of fish (due to stormy seas)/(3) poor turn-out/recession/
時化る [しける] /(ateji) (v1,vi) (1) (uk) to be stormy or choppy (sea)/(2) (uk) to go through hard times/to be broke/(3) (uk) to be gloomy/to be glum/
時価 [じか] /(n,adj-no) current value/price/market value/(P)/
時価会計 [じかかいけい] /(n) current-value accounting/market-value accounting/mark-to-market accounting/fair-value accounting/
時価会計制度 [じかかいけいせいど] /(n) mark-to-market accounting system/
時価主義 [じかしゅぎ] /(n) market price basis/market price principle/
時価総額 [じかそうがく] /(n) market capitalization/market capitalisation/
時価発行 [じかはっこう] /(n) public offering of new shares at market price/
時価評価 [じかひょうか] /(n) mark-to-market valuation/fair market valuation/fair valuation/market valuation/
時間 [じかん] /(n-adv,n) (1) time/(ctr) (2) hours/(P)/
時間がかかる [じかんがかかる] /(exp,v5r) to take time/
時間が開く [じかんがあく] /(exp,v5k) to have time free/to have time to spare/
時間が掛かる [じかんがかかる] /(exp,v5r) to take time/
時間が空く [じかんがあく] /(exp,v5k) to have time free/to have time to spare/
時間つぶし [じかんつぶし] /(n) timewasting/killing time/
時間どおり [じかんどおり] /(n-t) on time/
時間どおりに [じかんどおりに] /(adv) punctually/on time/as regularly as a clock/
時間に遅れる [じかんにおくれる] /(exp,v1) to be late/to be unpunctual/
時間のたつ [じかんのたつ] /(exp) passage of time/perceived time/relative time/
時間の許す限り [じかんのゆるすかぎり] /(n) as long as time allows/
時間の問題 [じかんのもんだい] /(n) just a matter of time/
時間の歪み [じかんのひずみ] /(n) time warp/
時間をかける [じかんをかける] /(exp,v1) to spend time (on doing something)/
時間を稼ぐ [じかんをかせぐ] /(exp,v5g) to gain time/
時間を掛ける [じかんをかける] /(exp,v1) to spend time (on doing something)/
時間を割く [じかんをさく] /(exp,v5k) to spare time (for)/
時間を空ける [じかんをあける] /(exp,v1) to make oneself available (free)/
時間を守る [じかんをまもる] /(exp,v5r) to be punctual/
時間を守る人 [じかんをまもるひと] /(exp) punctual person/
時間を惜しむ [じかんをおしむ] /(exp,v5m) to value time/
時間稼ぎ [じかんかせぎ] /(n) holding out/stalling/putting off/time-buying/
時間外 [じかんがい] /(n) late/overtime/
時間外手当て [じかんがいてあて] /(exp) overtime pay/
時間外労働 [じかんがいろうどう] /(n) overtime work/
時間割 [じかんわり] /(n) timetable/schedule/(P)/
時間割り [じかんわり] /(n) timetable/schedule/(P)/
時間割りを直す [じかんわりをなおす] /(exp,v5s) to alter the schedule/
時間給 [じかんきゅう] /(n) hourly pay/hourly wage/
時間係審判 [じかんがかりしんぱん] /(n) sumo judge timing the matches/
時間効果 [じかんこうか] /(n) time effect/
時間刻み [じかんきざみ] /(n) (comp) clock tick/
時間軸 [じかんじく] /(n) time axis/
時間順序積 [じかんじゅんじょせき] /(n) time ordered product (physics)/
時間切れ [じかんぎれ] /(n) (1) being out of time/passing the deadline/(2) time-out/(P)/
時間節約 [じかんせつやく] /(n,adj-no) time preservation/saving time/
時間選好 [じかんせんこう] /(n) time preference/
時間多重 [じかんたじゅう] /(n) (comp) TDD/time division duplex/
時間帯 [じかんたい] /(n) period of time/time slot/time zone/
時間貸し [じかんかし] /(n) pay by the hour (parking)/
時間通り [じかんどおり] /(n-t) on time/
時間通りに [じかんどおりに] /(adv) punctually/on time/as regularly as a clock/
時間潰し [じかんつぶし] /(n) timewasting/killing time/
時間的な隙間 [じかんてきなすきま] /(n) (comp) time slot (in multiplexing)/
時間転移 [じかんてんい] /(n) time warp/
時間反転 [じかんはんてん] /(n) time reversal (physics)/
時間表 [じかんひょう] /(n) (1) time-table/(2) allocation of time (e.g. to tasks)/time usage/
時間分割多元接続方式 [じかんぶんかつたげんせつぞくほうしき] /(n) (comp) TDMA/time division multiple access/
時間別 [じかんべつ] /(adj-f) differentiated by time/
時間変換係数 [じかんへんかんけいすう] /(n) (comp) time scale (factor)/
時間目 [じかんめ] /(n) period (e.g. class)/
時間旅行 [じかんりょこう] /(n) time travel/
時期 [じき] /(n-adv,n-t) (1) time/season/period/(adv) (2) (col) soon/shortly/(P)/
時期が早い [じきがはやい] /(exp) before scheduled/earlier than expected/
時期に差しかける [じきにさしかける] /(v1) to get close to the time/
時期に差し掛ける [じきにさしかける] /(v1) to get close to the time/
時期尚早 [じきしょうそう] /(adj-na,n,adj-no) premature/(P)/
時機 [じき] /(n) opportunity/chance/(P)/
時機尚早 [じきしょうそう] /(n) before its time/
時機到来 [じきとうらい] /(n) a good chance coming along/the time has come (for, to, when...)/opportunity knocking/
時季 [じき] /(n-adv,n-t) season/seasons/
時起こる [ときおこる] /(exp,v5r) at the time of occurrence/occurring at the time/
時儀 [じぎ] /(oK) (n,vs) (1) (bowing and) greeting/(2) (arch) declining/refusing/
時宜 [じぎ] /(n) right time/appropriate time/season's greetings/(P)/
時宜によって [じぎによって] /(exp) depending on circumstances/
時宜を得る [じぎをえる] /(exp,v1) to be well-timed/to be timely/to be opportune/
時球 [じきゅう] /(n) time ball/
時給 [じきゅう] /(n) hourly pay/hourly wage/(P)/
時局 [じきょく] /(n) situation/(P)/
時局柄 [じきょくがら] /(n) in view of the present situation/
時空 [じくう] /(n,adj-no) space-time/
時空間情報科学 [じくうかんじょうほうかがく] /(n) spatio-temporal information science/time-space information science/
時空世界 [じくうせかい] /(n) space-time continuum/
時偶 [ときたま] /(adv) once in a while/occasionally/seldom/at long intervals/
時系列 [じけいれつ] /(n) chronological order (time sequential)/
時系列分析 [じけいれつぶんせき] /(n) (comp) time series analysis/
時計 [ときはかり] /(ok) (n) watch/clock/timepiece/
時計 [とけい] /(n) watch/clock/timepiece/(P)/
時計屋 [とけいや] /(n) watch store/watch dealer/
時計回り [とけいまわり] /(n) turned clockwise/
時計座 [とけいざ] /(n) (constellation) Clock/
時計皿 [とけいざら] /(n) watch glass/
時計仕掛け [とけいじかけ] /(n) clockwork/
時計信管 [とけいしんかん] /(n) time fuse (often used to detonate high explosives)/
時計草 [とけいそう] /(n) (uk) blue passion flower (Passiflora caerulea)/
時計台 [とけいだい] /(n) clock tower/
時計店 [とけいてん] /(n) watchmaker's/
時計塔 [とけいとう] /(n) clock tower/
時限 [じげん] /(n,adj-no) (1) (school) period/(2) period or division of time/time limit/(P)/
時限装置 [じげんそうち] /(n) timing device/
時限爆弾 [じげんばくだん] /(n) time bomb/
時限目 [じげんめ] /(n) period of time/
時限立法 [じげんりっぽう] /(n) temporary legislation/
時候 [じこう] /(n) season/time of the year/
時候のあいさつ [じこうのあいさつ] /(exp) season's greetings (conventional way of beginning a letter)/
時候の挨拶 [じこうのあいさつ] /(exp) season's greetings (conventional way of beginning a letter)/
時候外れ [じこうはずれ] /(n) unseasonable/
時効 [じこう] /(n) (1) statute of limitations/lapse of rights after a period of time/prescription (including acquisitive and extinctive prescription)/(2) ageing/aging/(P)/
時効期間 [じこうきかん] /(n) (legal) period of prescription/period of statute of limitations/
時効取得 [じこうしゅとく] /(n) usucaption/acquisitive prescription/positive prescription/
時好 [じこう] /(n) fad/fashion/
時刻 [じこく] /(n-adv,n-t) instant/time/moment/(P)/
時刻到来 [じこくとうらい] /(exp) The time has come (for, to, when...)/Now is the time/
時刻表 [じこくひょう] /(n) table/diagram/chart/timetable/schedule/
時差 [じさ] /(n) time difference/(P)/
時差ぼけ [じさぼけ] /(n) jet-lag/
時差惚け [じさぼけ] /(n) jet-lag/
時差出勤 [じさしゅっきん] /(n) staggered work hours/
時事 [じじ] /(n) events of the day/current affairs/(P)/
時事解説 [じじかいせつ] /(n) news commentary/comments on the news/
時事問題 [じじもんだい] /(n,adj-no) current question/current topics/
時事論 [じじろん] /(n) comments on current events/
時時 [ときどき] /(adv,n,adj-no) sometimes/at times/
時時刻刻 [じじこっこく] /(adv) hourly/from one minute to the next/from hour to hour/moment by moment/with each passing moment/
時宗 [じしゅう] /(n) Buddhist sect/
時習 [じしゅう] /(n) periodic reviewing/
時鐘 [じしょう] /(n) time bell/
時針 [じしん] /(n) hour hand (watch, clock)/
時人 [じじん] /(n) contemporaries/
時数 [じすう] /(n,n-suf) number of hours/
時世 [じせい] /(n) the times/
時世感覚 [じせいかんかく] /(n) sense of the the times/sensitivity to the times/
時世時節 [ときよじせつ] /(n) times and situations/the course of events of the times/a turn of Fortune's wheel/
時制 [じせい] /(n,adj-no) (ling) tense/
時勢 [じせい] /(n) spirit of the age/trends/conditions/
時勢に伴って [じせいにともなって] /(exp) in step with the times/
時勢感覚 [じせいかんかく] /(n) sense of the trend of the times/sensitivity to the changing times/
時折 [ときおり] /(n-adv) sometimes/(P)/
時節 [じせつ] /(n) (1) season/(2) the times/(3) opportunity/occasion/(P)/
時節到来 [じせつとうらい] /(exp) The time has come (for, to, when...)/The time being ripe (for)/
時節柄 [じせつがら] /(n-adv,n) in these times/in times like these/the season being what it is/
時節柄の贈り物 [じせつがらのおくりもの] /(n) seasonable gift/
時宣 [じせん] /(n) (obsc) (pol) time/period/
時相 [じそう] /(n) (ling) tense/
時相名詞 [じそうめいし] /(n) temporal noun (i.e. "n-t")/
時速 [じそく] /(n) speed (per hour)/(P)/
時代 [じだい] /(n-t,n) (1) period/epoch/era/age/(2) the times/those days/(3) oldness/ancientness/antiquity/(4) (abbr) antique/period piece/(P)/
時代がかる [じだいがかる] /(v5r,vi) to be antique-looking/
時代と共に歩む [じだいとともにあゆむ] /(exp,v5m) to move along with the times/
時代の弊 [じだいのへい] /(n) abuses of the times/
時代掛かる [じだいがかる] /(v5r,vi) to be antique-looking/
時代掛る [じだいがかる] /(v5r,vi) to be antique-looking/
時代感覚 [じだいかんかく] /(n) sensitivity to the times/sense of the times/
時代劇 [じだいげき] /(n) historical play/period drama/(P)/
時代後れ [じだいおくれ] /(adj-na,adj-no,n) old-fashioned/behind the times/out of date/
時代考証 [じだいこうしょう] /(n) background research/research into the period/
時代祭 [じだいまつり] /(n) Festival of the Ages (Oct. 22 festival held at Heian Jingu Shrine in Kyoto)/
時代錯誤 [じだいさくご] /(n,adj-no) anachronism/(P)/
時代思潮 [じだいしちょう] /(n) thought of the times/
時代小説 [じだいしょうせつ] /(n) historical novel/
時代色 [じだいしょく] /(n) characteristics of an age/
時代精神 [じだいせいしん] /(n) spirit of the age/zeitgeist/
時代相 [じだいそう] /(n) phases of the age (times)/
時代遅れ [じだいおくれ] /(adj-na,adj-no,n) old-fashioned/behind the times/out of date/
時代物 [じだいもの] /(n) antiques/period dramas/
時代離れ [じだいばなれ] /(n) not up with the times/out of touch/
時辰儀 [じしんぎ] /(n) (1) (arch) (obsc) timepiece/(2) chronometer/
時短 [じたん] /(n) shortening of time/
時鳥 [ほととぎす] /(n) (uk) lesser cuckoo (Cuculus poliocephalus)/
時鳥草 [ほととぎす] /(n) (uk) toad lily (Tricyrtis hirta)/
時鳥草 [ほととぎすそう] /(n) (uk) toad lily (Tricyrtis hirta)/
時点 [じてん] /(n) point in time/occasion/(P)/
時祷書 [じとうしょ] /(n) book of hours (devotional book popular in the Middle Ages)/
時日 [じじつ] /(n) date/time/
時半 [じはん] /(n) (1) about an hour/short time/(suf) (2) half past (the hour)/(P)/
時評 [じひょう] /(n) commentary on current events/
時分 [じぶん] /(n-adv,n-t) time/hour/season/time of the year/
時分割 [じぶんかつ] /(n) (comp) time sharing/
時分割システム [じぶんかつシステム] /(n) (comp) Time Sharing System/
時分割型マルチプレクサ [じぶんかつがたマルチプレクサ] /(n) (comp) time division multiplexer/
時分割多元接続 [じぶんかつたげんせつぞく] /(n) (comp) Time Division Multiple Access/TDMA/
時分割多重 [じぶんかつたじゅう] /(n) (comp) Time Division Multiplexing/TDM/
時分割多重化 [じぶんかつたじゅうか] /(n) (comp) time division multiplexing/TDM/
時分割多重装置 [じぶんかつたじゅうそうち] /(n) (comp) Time Division Multiplexer/
時分時 [じぶんどき] /(n) mealtime/
時文 [じぶん] /(n) modern literature/
時弊 [じへい] /(n) evils of the times/
時報 [じほう] /(n) (1) announcement of time/time signal/(2) news report/newsletter/(P)/
時務 [じむ] /(n) current affairs/
時流 [じりゅう] /(n) fashion (current) of the times/general drift of affairs/(P)/
時流に乗って泳ぐ [じりゅうにのっておよぐ] /(exp,v5g) to swim with the current/
時輪金剛 [じりんこんごう] /(n) Kalacakra/Wheel of Time (tantric Buddhist deity)/
時論 [じろん] /(n) comments on current events/public sentiments of the day/current view/contemporary opinion/
時艱 [じかん] /(n) problems that affect a period of time/hardships peculiar to an age/hard problems of the times/
次 [じ] /(pref) (1) next/(2) hypo- (i.e. containing an element with low valence)/(ctr) (3) order/sequence/time/times/
次 [つぎ] /(n,adj-no) (1) next/following/subsequent/(2) stage/station/(P)/
次々 [つぎつぎ] /(adv,adv-to,n) in succession/one by one/(P)/
次々に [つぎつぎに] /(adv) one by one/one after another/successively/(P)/
次々回 [じじかい] /(n) the time after next/
次いで [ついで] /(adv,conj) next/secondly/subsequently/(P)/
次から次へと [つぎからつぎへと] /(exp) in succession/one after another/
次ぐ [つぐ] /(v5g,vi) to rank next to/to come after/(P)/
次ぐ身 [つぐみ] /(n) next in line/heir/
次なる [つぎなる] /(adj-f) next/the next/
次に [つぎに] /(conj) next/then/after that/
次のように [つぎのように] /(adv) in the following manner/as follows/
次のレコード [つぎのレコード] /(n) (comp) next record/
次の一手 [つぎのいって] /(n) next move/
次の課 [つぎのか] /(n) next lesson/
次の回 [つぎのかい] /(n) next inning/next time/
次の間 [つぎのま] /(n) antechamber/next room/
次の号 [つぎのごう] /(n) next number (issue)/
次の実行完結文 [つぎのじっこうかんけつぶん] /(n) (comp) next executable sentence/
次の実行文 [つぎのじっこうぶん] /(n) (comp) next executable statement/
次の内閣 [つぎのないかく] /(n) shadow cabinet/opposition party executive/
次の便 [つぎのびん] /(n) next flight/next post/
次の例では [つぎのれいでは] /(n) in the following example/
次ホップ [つぎホップ] /(n) (comp) next hop/
次亜 [じあ] /(pref) hypo- -ous (indicating the lowest oxidation state)/hypo- -ite/
次亜硫酸 [じありゅうさん] /(n) hyposulphurous acid/hyposulfurous acid/
次位 [じい] /(n) second rank/second place/
次会 [じかい] /(n) the next meeting/
次回 [じかい] /(n-adv,n-t) next time (occasion)/(P)/
次回予告 [じかいよこく] /(n) preview of next installment (TV shows, podcasts, etc.)/
次官 [じかん] /(n) vice-minister/undersecretary/(P)/
次官 [すけ] /(n) (arch) assistant director (second highest of the four administrative positions of the ritsuryo period)/
次期 [じき] /(n,adj-no) (1) next term/next period/(2) next version/next release/(P)/
次期大統領 [じきだいとうりょう] /(n) next president/president-elect/
次兄 [じけい] /(n) second elder brother/
次元 [じげん] /(n) (1) dimension/(2) perspective/point of reference/level (of something)/(P)/
次元数 [じげんすう] /(n) (comp) rank/
次元正則化 [じげんせいそくか] /(n,vs) dimensional regularisation (physics)/dimensional regularization/
次号 [じごう] /(n) the next issue/
次酸化炭素 [じさんかたんそ] /(n) carbon suboxide/
次子 [じし] /(n) the next child/second child/
次次 [つぎつぎ] /(adv,adv-to,n) in succession/one by one/
次次に [つぎつぎに] /(adv) one by one/one after another/successively/
次式 [じしき] /(n) following equation/
次週 [じしゅう] /(n-t) next week/
次女 [じじょ] /(n) second daughter/(P)/
次序 [じじょ] /(n) order/system/
次将 [じしょう] /(n) second in command/
次章 [じしょう] /(n) following chapter/
次条 [じじょう] /(n) the next article/the next entry/
次数 [じすう] /(n) degree/
次数解析 [じすうかいせき] /(n) (math) order analysis/
次数付き [じすうつき] /(adj-no) (math) graded/
次世代 [じせだい] /(n) next (future) generation/
次世代携帯電話 [じせだいけいたいでんわ] /(n) next-generation mobile phone/
次席 [じせき] /(n,adj-no) associate/junior/assistant/runner-up/(P)/
次善 [じぜん] /(n,adj-no) second best/
次善策 [じぜんさく] /(n) plan B/alternative plan/
次打者 [じだしゃ] /(n) the batter on deck/
次代 [じだい] /(n) the next era/(P)/
次第 [しだい] /(n-adv,n) (1) dependent upon/(2) as soon as/immediately (upon)/(n) (3) circumstances/(4) order/precedence/program/programme/agenda/(P)/
次第に [しだいに] /(adv) (1) gradually (progress into a state)/(2) in sequence/in order/in turn/(P)/
次第次第に [しだいしだいに] /(adv) gradually/
次第書き [しだいがき] /(n) printed program/printed programme/
次男 [じなん] /(n) second son/(P)/
次男坊 [じなんぼう] /(n) second son/
次長 [じちょう] /(n) vice-/assistant director/vice-director/(P)/
次点 [じてん] /(n) runner-up/(P)/
次点者 [じてんしゃ] /(n) runner-up/
次年 [じねん] /(n) the next year/
次年度 [じねんど] /(n) next (fiscal) year/
次表 [じひょう] /(n) the following table/
次頁 [じぺーじ] /(exp) next page/
次頁 [じページ] /(exp) next page/
次便 [じびん] /(n) next mail/next post/
次類 [じるい] /(n) subgenus/
次郎柿 [じろうがき] /(n) jiro (variety of sweet Japanese persimmon)/
滋雨 [じう] /(n) welcome rain/beneficial rain/blessed rain/rain that comes after a drought/
滋賀県 [しがけん] /(n) Shiga prefecture (Kinki area)/
滋強飲料 [じきょういんりょう] /(n) tonic drink/
滋殖 [じしょく] /(n,vs) reproducing in large numbers/multiplying/
滋童 [じどう] /(n) type of No-mask/
滋味 [じみ] /(n) nutriment/wholesome/savoriness/savouriness/rich food/nourishment/
滋味に富む [じみにとむ] /(exp,v5m) to be nutritious/to be delicious/
滋養 [じよう] /(n,adj-no) nourishment/(P)/
滋養物 [じようぶつ] /(n) nourishing or nutritious food/
滋養分 [じようぶん] /(n) nutrient/
治す [なおす] /(v5s,vt) (1) to cure/to heal/(2) to fix/to correct/to repair/(aux-v) (3) to do over again (after -masu base of verb)/(4) to replace/to put back as it was/(5) to convert (into a different state)/to transform/(P)/
治する [じする] /(vs-s,vi) (1) to be cured/to be healed/(vs-s,vt) (2) to cure/to heal/(3) to rule/
治する [ちする] /(vs-s,vi) (1) to be cured/to be healed/(vs-s,vt) (2) to cure/to heal/(3) to rule/
治に居て乱を忘れず [ちにいてらんをわすれず] /(exp) (id) Forewarned is forearmed/
治まり [おさまり] /(n) conclusion/end/settlement/
治まる [おさまる] /(v5r,vi) to be at peace/to clamp down/to lessen (storm, terror, anger)/(P)/
治める [おさめる] /(v1,vt) (1) to govern/to manage/(2) to subdue/(P)/
治り [なおり] /(n) recovery/
治る [なおる] /(v5r,vi) (1) to be cured/to get well/to be healed/(2) to get mended/to be repaired/to be fixed/(P)/
治安 [じあん] /(n) Jian era (1021.2.2-1024.7.13)/
治安 [ちあん] /(n) public order/(P)/
治安維持 [ちあんいじ] /(n) maintenance of public order/maintaining security/
治安維持法 [ちあんいじほう] /(n) Peace Preservation Act (1925)/
治安回復 [ちあんかいふく] /(n) restoration of public order/
治安警察 [ちあんけいさつ] /(n) security police/
治安出動 [ちあんしゅつどう] /(n) public security operation/
治安情勢 [ちあんじょうせい] /(n) security situation/
治安部隊 [ちあんぶたい] /(n) security force/public safety force/
治下 [ちか] /(n,adj-no) under the rule of/
治外法権 [ちがいほうけん] /(n,adj-no) extraterritoriality/
治具 [じぐ] /(ateji) (n) (uk) jig (tool)/
治験 [ちけん] /(n) clinical trial/(P)/
治験実施計画書 [ちけんじっしけいかくしょ] /(n) trial implementation protocol/
治験薬 [ちけんやく] /(n) investigational new drug/
治国 [ちこく] /(n) government/
治山 [ちさん] /(n) forest conservation/afforestation/
治山ダム [ちさんダム] /(n) erosion-control dam/soil saving dam/
治産 [ちさん] /(n) management of one's livelihood/management of one's property/
治者 [ちしゃ] /(n) ruler/
治承 [じしょう] /(n) Jishou era (1177.8.4-1181.7.14)/
治承 [ちしょう] /(n) (obsc) Chishou era, Jishou era (1177.8.4-1181.7.14)/
治水 [ちすい] /(n,vs) flood control/(P)/
治水工事 [ちすいこうじ] /(n) riparian works/flood-control works/
治世 [ちせい] /(n,adj-no) rule/reign/peaceful times/regime/dynasty/
治績 [ちせき] /(n) (legacy of an) administration/
治部煮 [じぶに] /(n) duck meat stew (dish from Ishikawa prefecture)/
治部省 [おさむるつかさ] /(n) Ministry of Civil Administration (under the ritsuryo system)/
治部省 [じぶしょう] /(n) Ministry of Civil Administration (under the ritsuryo system)/
治平 [ちへい] /(n) peace and tranquility/peace and tranquillity/
治癒 [ちゆ] /(n,vs) healing/cure/recovery/(P)/
治乱 [ちらん] /(exp) (whether at) peace or at war/in peacetime and at war/order and chaos/
治乱興亡 [ちらんこうぼう] /(n) nation's times of peace and war, rise and fall/
治略 [ちりゃく] /(n) governance/
治療 [じりょう] /(n,vs,adj-no) medical treatment/cure/
治療 [ちりょう] /(n,vs,adj-no) medical treatment/cure/(P)/
治療効果 [ちりょうこうか] /(n) (medicine with) a curative effect/(having) therapeutic value/
治療者 [ちりょうしゃ] /(n) healer/clinician/physician/person who gives treatment/therapist/
治療代 [ちりょうだい] /(n) medical fees/
治療的クローニング [ちりょうてきクローニング] /(n) therapeutic cloning/
治療費 [ちりょうひ] /(n) doctor's fee (bill)/
治療法 [ちりょうほう] /(n) treatment/cure/remedy/
治療薬 [ちりょうやく] /(n) remedy/cure/therapeutic medication/
治暦 [じりゃく] /(n) Jiryaku era (1065.8.2-1069.4.13)/
治暦 [ちりゃく] /(n) (obsc) Chiryaku era, Jiryaku era (1065.8.2-1069.4.13)/
爾 [おれ] /(n) (arch) (vulg) you/
爾 [しか] /(int) (1) (arch) like that/as such/(2) yeah/uh-huh/
爾 [なんじ] /(pn,adj-no) (arch) thou/you/
爾り [しかり] /(int) (1) yes/yea/aye/affirmative/(vr,vi) (2) (arch) to be so/
爾後 [じご] /(n-adv,n-t) thereafter/
爾今 [じこん] /(adv,n) from now on/hereafter/
爾汝 [じじょ] /(n) you/thou/
爾余 [じよ] /(n) the others/the remainder/
爾来 [じらい] /(adv) since then/after that/
璽 [じ] /(n) emperor's seal/
璽書 [じしょ] /(n) document with the emperor's seal/
璽符 [じふ] /(n) imperial seal/
痔 [じ] /(n) hemorrhoids/piles/
痔核 [じかく] /(n,adj-no) hemorrhoid/
痔疾 [じしつ] /(n) hemorrhoids/
痔瘻 [じろう] /(n) anal fistula/
磁化 [じか] /(n,vs) magnetization/magnetisation/
磁界 [じかい] /(n) magnetic field/
磁器 [じき] /(n,adj-no) porcelain/china/(P)/
磁器製品 [じきせいひん] /(n) porcelain/porcelain ware/
磁気 [じき] /(n) magnetism/(P)/
磁気インク [じきインク] /(n) magnetic ink/
磁気インク文字 [じきインクもじ] /(n) (comp) magnetic ink character/
磁気インク文字読み取り装置 [じきインクもじよみとりそうち] /(n) (comp) Magnetic Ink Character Reader (or Recognition)/MICR/
磁気インク文字読取り装置 [じきインクもじよみとりそうち] /(n) (comp) magnetic ink character reader/
磁気インク文字認識 [じきインクもじにんしき] /(n) (comp) magnetic ink character recognition/MICR/
磁気カード [じきカード] /(n) magnetic card/
磁気カード記憶装置 [じきカードきおくそうち] /(n) (comp) magnetic card storage/
磁気テープ [じきテープ] /(n) (comp) magnetic tape/
磁気テープ記憶装置 [じきテープきおくそうち] /(n) (comp) magnetic tape storage/
磁気ディスク [じきディスク] /(n) magnetic disk/
磁気ドラム [じきドラム] /(n) (comp) magnetic drum/
磁気ドラム記憶装置 [じきドラムきおくそうち] /(n) (comp) magnetic drum storage/
磁気バブルメモリー [じきバブルメモリー] /(n) (comp) bubble memory/
磁気バブル記憶装置 [じきバブルきおくそうち] /(n) (comp) bubble memory/
磁気プリンタ [じきプリンタ] /(n) (comp) magnetographic printer/
磁気ヘッド [じきヘッド] /(n) (comp) magnetic head/
磁気メディア [じきメディア] /(n) (comp) magnetic media/
磁気モーメント [じきモーメント] /(n) magnetic moment/
磁気印字装置 [じきいんじそうち] /(n) (comp) magnetographic printer/
磁気学 [じきがく] /(n) magnetics/
磁気記憶装置 [じききおくそうち] /(n) (comp) magnetic storage/
磁気記録 [じききろく] /(n) (comp) magnetic recording/
磁気記録媒体 [じききろくばいたい] /(n) (comp) magnetic media/
磁気共鳴映像法 [じききょうめいえいぞうほう] /(n) magnetic resonance imaging/MRI/
磁気共鳴画像 [じききょうめいがぞう] /(n) magnetic resonance imaging/MRI/
磁気共鳴診断装置 [じききょうめいしんだんそうち] /(n) magnetic resonance imaging scanner/MRI scanner/
磁気共鳴断層撮影 [じききょうめいだんそうさつえい] /(n) magnetic resonance tomography/
磁気圏 [じきけん] /(n) magnetosphere/
磁気双極子 [じきそうきょくし] /(n) magnetic dipole/
磁気抵抗 [じきていこう] /(n,adj-no) magnetic resistance/
磁気能率 [じきのうりつ] /(n) (obsc) magnetic moment/
磁気媒体 [じきばいたい] /(n) (comp) magnetic media/
磁気浮上 [じきふじょう] /(n) maglev/magnetic levitation/
磁気浮上式鉄道 [じきふじょうしきてつどう] /(n) maglev train/
磁気文字読み取り装置 [じきもじよみとりそうち] /(n) (comp) Magnetic Character Reader/MCR/
磁気嵐 [じきあらし] /(n) magnetic storm/
磁気漏れ係数 [じきもれけいすう] /(n) dispersion coefficient (magnetic leakage coef.)/
磁気録音 [じきろくおん] /(n) magnetic recording/
磁極 [じきょく] /(n) NS magnetic pole/
磁極間隔 [じきょくかんかく] /(n) (comp) gap width/
磁区 [じく] /(n) magnetic domain/
磁鉱 [じこう] /(n) (1) kaolin/China clay/(2) (abbr) magnetite/
磁鉱鉄 [じてっこう] /(iK) (n) magnetite/loadstone/
磁場 [じじょう] /(n) magnetic field/(P)/
磁場 [じば] /(n) magnetic field/(P)/
磁心 [じしん] /(n) (magnetic) core/
磁針 [じしん] /(n) magnetic needle/
磁性 [じせい] /(n) magnetism/
磁性層 [じせいそう] /(n) magnetic layer/
磁性体 [じせいたい] /(n) magnetic body or substance/
磁製 [じせい] /(n,adj-f) (abbr) porcelain/
磁石 [じしゃく] /(n,adj-no) (1) magnet/(2) compass/(P)/
磁石 [じせき] /(n,adj-no) (1) magnet/(2) compass/
磁石盤 [じしゃくばん] /(n) magnetic compass/
磁束 [じそく] /(n) magnetic flux/
磁鉄鉱 [じてっこう] /(n) magnetite/loadstone/
磁土 [じど] /(n) kaolin/
磁壁 [じへき] /(n) magnetic domain/
磁方位 [じほうい] /(n) magnetic bearing/
磁力 [じりょく] /(n) magnetism/magnetic force/
磁力計 [じりょくけい] /(n) magnetometer/
磁力線 [じりょくせん] /(n) line of magnetic force/
示し [しめし] /(n) discipline/revelation/(P)/
示しがつかない [しめしがつかない] /(exp) setting a bad example to others/
示し合せる [しめしあわせる] /(v1,vt) to arrange beforehand/to make a sign to each other/to conspire/
示し合わす [しめしあわす] /(v5s) to conspire (with)/to prearrange/
示し合わせる [しめしあわせる] /(v1,vt) to arrange beforehand/to make a sign to each other/to conspire/
示す [しめす] /(v5s,vt) to denote/to show/to point out/to indicate/to exemplify/(P)/
示圧計 [しあつけい] /(n) pressure gauge/
示威 [しい] /(n,vs) demonstration/show of force/
示威 [じい] /(n,vs) demonstration/show of force/
示威運動 [じいうんどう] /(n) a demonstration/
示教 [しきょう] /(n,vs) (arch) authoritative instruction/teaching/
示現 [じげん] /(n,vs) manifestation (of a celestial being)/
示唆 [しさ] /(n,vs) suggestion/hint/implication/(P)/
示差 [しさ] /(adj-f) differential/
示寂 [じじゃく] /(n,vs) (Buddh) death of a high-ranking priest/
示準化石 [じじゅんかせき] /(n) index fossil (fossil which suggests a date of the formation of a rock stratum)/key fossil/leading fossil/
示性値 [しせいち] /(n) characteristic value/physical or chemical properties/figure of merit/
示相化石 [しそうかせき] /(n) facies fossil/
示達 [したつ] /(n,vs) instructions/directions/
示達 [じたつ] /(n,vs) instructions/directions/
示談 [じだん] /(n,vs) settlement out of court/(P)/
示談金 [じだんきん] /(n) settlement money/compensation to settle a case out of court/
示談交渉 [じだんこうしょう] /(n) settlement negotiation (insurance)/
示度 [しど] /(n) indication/(thermometer) reading/
示導動機 [しどうどうき] /(n) leitmotif/leitmotiv/leading motive/
示偏 [しめすへん] /(n) kanji "show" radical at left/
示力図 [じりょくず] /(n) force diagram/
而して [しかして] /(conj) (uk) and/and then/thus/and now/
而して [そして] /(conj) (uk) and/and then/thus/and now/
而も [しかも] /(oK) (conj) (uk) moreover/furthermore/nevertheless/and yet/
而るを [しかるを] /(conj) even so/though that may be/
而後 [じご] /(n-adv,n-t) after that/
而今 [じこん] /(adv,n) from now on/hereafter/
而来 [じらい] /(adv) since then/after that/
而立 [じりつ] /(n) age 30/
耳 [みみ] /(n) (1) ear/(2) hearing/(3) edge/crust/(4) selvedge (non-fray machined edge of fabrics)/selvage/(P)/
耳あか [みみあか] /(n,adj-no) earwax/cerumen/
耳あて [みみあて] /(n) earmuffs/
耳かす [みみかす] /(n) earwax/cerumen/
耳がとおい [みみがとおい] /(exp,adj-i) poor hearing/
耳が遠い [みみがとおい] /(exp,adj-i) poor hearing/
耳が早い [みみがはやい] /(exp) being quick-eared/having sharp ears/
耳が速い [みみがはやい] /(exp) being quick-eared/having sharp ears/
耳が痛い [みみがいたい] /(exp,adj-i) (e.g. of a reprimand) being painfully-true/striking home/
耳が肥えている [みみがこえている] /(exp,v1) to have an ear for music/
耳が肥ている [みみがこえている] /(exp,v1) to have an ear for music/
耳が利く [みみがきく] /(exp,v5k) to have a sharp ear/
耳くそ [みみくそ] /(n) earwax/cerumen/
耳そろえて [みみそろえて] /(exp) (col) all at once (usu. of payment)/at one go/
耳たぶ [みみたぶ] /(n) earlobe/
耳とう [じとう] /(n) (arch) earplug (traditional jewellery worn in the earlobe, popular in Han-dynasty China)/
耳にする [みみにする] /(exp,vs-i) to hear/to hear by chance/to hear by accident/to catch (the sound)/
耳にたこができる [みみにたこができる] /(exp,v1) to be told or made to hear something so often that you (metaphorically) get calluses on your ears/
耳にはいる [みみにはいる] /(exp,v5r) to hear of/
耳に入る [みみにはいる] /(exp,v5r) to hear of/
耳に胼胝ができる [みみにたこができる] /(exp,v1) to be told or made to hear something so often that you (metaphorically) get calluses on your ears/
耳のとおい [みみのとおい] /(exp,adj-i) hard of hearing/
耳の遠い [みみのとおい] /(exp,adj-i) hard of hearing/
耳の折れた本 [みみのおれたほん] /(n) dog-eared book/
耳の早い [みみのはやい] /(adj-i) quick-eared/
耳の痛い真実 [みみのいたいしんじつ] /(exp) home truth/truth that is painful to accept/
耳の日 [みみのひ] /(n) (col) March 3rd/Ear Day/
耳の不自由 [みみのふじゆう] /(n,adj-na) deafness/the deaf/
耳をすます [みみをすます] /(exp,v5s) to listen carefully/to strain one's ears/
耳をそろえて [みみをそろえて] /(exp) (to pay off) in full/
耳を疑う [みみをうたがう] /(exp,v5u) to not believe one's ears/
耳を傾ける [みみをかたむける] /(exp,v1) to lend an ear/to hearken/to give an ear to/to listen carefully/
耳を塞ぐ [みみをふさぐ] /(exp,v5g) to stop (plug) one's ears/
耳を澄ます [みみをすます] /(exp,v5s) to listen carefully/to strain one's ears/
耳を揃えて [みみをそろえて] /(exp) (to pay off) in full/
耳を貸す [みみをかす] /(exp,v5s) to lend an ear to/to listen to/
耳ピ [みみピ] /(n) (abbr) (sl) ear piercing/earring/
耳ピアス [みみピアス] /(n) ear piercing/earring/
耳隠し [みみかくし] /(n) hairdo covering the ears/
耳炎 [じえん] /(n) otitis/inflammation of the ear/
耳遠い [みみどおい] /(adj-i) (1) hard of hearing/(2) unfamiliar/
耳下腺 [じかせん] /(n) parotid gland/
耳下腺炎 [じかせんえん] /(n) mumps/
耳介 [じかい] /(n) (1) auricle/(adj-no) (2) auricular/
耳介リンパ節 [じかいリンパせつ] /(n) auricular lymph node/
耳貝 [みみがい] /(n) (uk) ass's ear abalone (Haliotis asinina)/donkey's ear abalone/
耳殻 [じかく] /(n) external ear/auricle/
耳学問 [みみがくもん] /(n) pick-up knowledge/second-hand knowledge/hearsay/
耳慣れる [みみなれる] /(v1,vi) to be something familiar/
耳環 [みみわ] /(n,adj-no) earring (non-pierced)/helix/
耳管 [じかん] /(n,adj-no) Eustachian tube/
耳寄り [みみより] /(adj-na,n) welcome news/(P)/
耳許 [みみもと] /(n) close to the ear/
耳元 [みみもと] /(n) close to the ear/(P)/
耳元で [みみもとで] /(exp) close to one's ears/
耳語 [じご] /(n,vs) whispering/
耳垢 [じこう] /(n,adj-no) earwax/cerumen/
耳垢 [みみあか] /(n,adj-no) earwax/cerumen/
耳孔 [じこう] /(n) earhole/
耳腔 [じこう] /(n) inside the ear/
耳擦り [みみこすり] /(n,vs) whispering/
耳疾 [じしつ] /(n) infections or diseases of the ear/
耳珠 [じじゅ] /(n) tragus (small cartilaginous flap in front of the external opening of the ear)/tragi/antilobium/
耳順 [じじゅん] /(n) age 60/
耳小骨 [じしょうこつ] /(n) auditory ossicles/
耳障り [みみざわり] /(adj-na,n) hurting one's ears/(P)/
耳飾り [みみかざり] /(n) earrings/
耳触り [みみざわり] /(n) the feeling one gets from listening to something/
耳新しい [みみあたらしい] /(adj-i) novel/new/unfamiliar/hear for the first time/
耳垂れ [みみだれ] /(n) ear discharge/
耳石 [じせき] /(n) otolith (part of inner ear)/statolith/statoconium/
耳栓 [じせん] /(n) (arch) earplug (traditional jewellery worn in the earlobe, popular in Jomon-period Japan)/
耳栓 [みみせん] /(n) earplug (for protection against noise or water)/
耳掃除 [みみそうじ] /(n) ear cleaning/cleaning one's ears/
耳掻き [みみかき] /(n,vs) (1) earpick/(2) ear cleaning/
耳掻草 [みみかきぐさ] /(n) (uk) Utricularia bifida (species of bladderwort)/
耳聡い [みみざとい] /(adj-i) sharp-eared/have sharp ears/picks things up fast/
耳揃えて [みみそろえて] /(exp) (col) all at once (usu. of payment)/at one go/
耳打 [みみうち] /(io) (n,vs) whispering into a person's ear/
耳打ち [みみうち] /(n,vs) whispering into a person's ear/
耳茸 [じじょう] /(n) ear polyp/aural polyp/
耳茸 [みみたけ] /(n) ear polyp/aural polyp/
耳釣り [みみつり] /(n) "ear-hanging" scallop spat, i.e. piercing the resilium to string them/
耳底 [じてい] /(n) ears/
耳当 [じとう] /(n) (arch) earplug (traditional jewellery worn in the earlobe, popular in Han-dynasty China)/
耳当て [みみあて] /(n) earmuffs/
耳馴れる [みみなれる] /(v1,vi) to be something familiar/
耳年増 [みみどしま] /(n) young woman with a lot of superficial knowledge about sex, etc./
耳嚢 [じのう] /(n) otocyst/
耳鼻 [じび] /(n) nose and ears/
耳鼻咽喉 [じびいんこう] /(n) ear/nose/and throat/
耳鼻咽喉科 [じびいんこうか] /(n) otorhinolaryngology/ear, nose and throat/
耳鼻咽喉専門医 [じびいんこうせんもんい] /(n) ear, nose and throat specialist/
耳鼻科 [じびか] /(n) otolaryngology/concerning the ear, nose, and throat/(P)/
耳鼻科学 [じびかがく] /(n) otolaryngology/otorhinology/
耳覆い [みみおおい] /(n) earflaps/earmuffs/
耳糞 [みみくそ] /(n) earwax/cerumen/
耳偏 [みみへん] /(n) kanji "ear" radical at left/
耳鳴り [みみなり] /(n) buzzing in the ears/tinnitus/
耳毛 [じもう] /(n) ear hair/hairs of the tragus/
耳毛 [みみげ] /(n) ear hair/hairs of the tragus/
耳目 [じもく] /(n) (1) eye and ear/(2) one's attention/one's interest/(P)/
耳落 [みみおち] /(n,vs) removing edges/cutting edges/
耳輪 [みみわ] /(n,adj-no) earring (non-pierced)/helix/
耳漏 [じろう] /(n) earwax/ear discharge/
耳屎 [みみくそ] /(n) earwax/cerumen/
耳朶 [じだ] /(n) earlobe/
耳朶 [みみたぶ] /(n) earlobe/
耳滓 [みみかす] /(n) earwax/cerumen/
耳絎 [みみぐけ] /(n) blindstitched machined fabric edge (selvedge) forming a fold, pleat, edge, etc./
自 [ころ] /(ok) (pref) (1) self-/
自 [じ] /(pref) (1) self-/(2) from .../
自々公３党 [じじこうさんとう] /(n) (abbr) three-party coalition: Jimintou, Jiyuutou and Koumeitou/
自ずから [おのずから] /(adv) naturally/as a matter of course/(P)/
自ずから明らか [おのずからあきらか] /(adj-na) self-evident/
自ずと [おのずと] /(adv) naturally/
自と [おのずと] /(adv) naturally/
自ら [おのずから] /(adv) naturally/as a matter of course/
自ら [みずから] /(n-adv,n) for one's self/personally/(P)/
自らの手で [みずからのてで] /(exp) with one's own hands/
自ら進んで [みずからすすんで] /(exp,adv) on one's own initiative/off your own bat/
自ホスト [じホスト] /(n,adj-no) (comp) self-hosting/
自愛 [じあい] /(n,vs) (1) taking care of oneself (esp. used as an epistolary imperative)/(2) self-love/
自意識 [じいしき] /(n) self-consciousness/
自慰 [じい] /(n,vs,adj-no) (sens) masturbation/self consolation/
自慰行為 [じいこうい] /(n) (act of) masturbation/pleasuring oneself/
自営 [じえい] /(n,vs,adj-no) independent/self-employed/self-supporting/operating own business/(P)/
自営業 [じえいぎょう] /(n) independent business/(P)/
自営業者 [じえいぎょうしゃ] /(n) self-employed person/
自衛 [じえい] /(n,vs,adj-no) self-defense/self-defence/(P)/
自衛官 [じえいかん] /(n) (Japanese) Self Defense Force member (Defence)/(P)/
自衛権 [じえいけん] /(n) right of self defense/right of self defence/
自衛手段 [じえいしゅだん] /(n,vs) measures to defend oneself (for self-defense) (defence)/
自衛消防隊 [じえいしょうぼうたい] /(n) self-defence fire brigade/fire brigade associated with building, company, etc./
自衛隊 [じえいたい] /(n) (1) self-defence force/self-defense force/(2) Japan Self-Defence Force/JSDF/(P)/
自衛隊員 [じえいたいいん] /(n) Self-Defense Forces personnel/
自衛隊派遣 [じえいたいはけん] /(n) Self-Defense Force mission/Self-Defense Force dispatch/
自衛隊法 [じえいたいほう] /(n) Self-Defense Forces Law/SDF Law/
自家 [じか] /(adj-f) own/personal/autologous/(P)/
自家移植 [じかいしょく] /(n,vs) autograft/
自家血清 [じかけっせい] /(n) autologous serum/
自家受精 [じかじゅせい] /(n) self-fertilization/self-fertilisation/
自家受粉 [じかじゅふん] /(n) self-pollination/
自家製 [じかせい] /(n) home-made/
自家製ソフトウェア [じかせいソフトウェア] /(n) (comp) home-grown software/
自家中毒 [じかちゅうどく] /(n,adj-no) autotoxemia/
自家中毒症 [じかちゅうどくしょう] /(n) autointoxication/
自家撞着 [じかどうちゃく] /(n,vs) self-contradiction/
自家発電 [じかはつでん] /(n) (1) private power generation/(2) (col) masturbation/
自家本位 [じかほんい] /(n) self-centeredness/selfishness/egoism/egotism/egocentricity/
自家薬籠 [じかやくろう] /(n) (something that is) available for use at any time/(someone who is) at one's beck and call/(something over which) one has complete mastery/
自家薬籠中の物 [じかやくろうちゅうのもの] /(n) complete mastery of or over/at one's beck and call/
自家用 [じかよう] /(n) for private or home use/(P)/
自家用車 [じかようしゃ] /(n) private automobile/
自火 [じか] /(n) a fire raging in one's own home/
自我 [じが] /(n) self/the ego/(P)/
自我意識 [じがいしき] /(n) self-consciousness/
自我実現 [じがじつげん] /(n) self-realization/self-realisation/
自画 [じが] /(n) picture painted by oneself/self-portrait/
自画自賛 [じがじさん] /(n,vs,adj-no) singing one's own praises/praising one's own wares/
自画自讚 [じがじさん] /(n,vs,adj-no) singing one's own praises/praising one's own wares/
自画像 [じがぞう] /(n) self portrait/(P)/
自壊 [じかい] /(n,vs) (1) disintegration/(2) self-destruction/
自壊作用 [じかいさよう] /(n) (the act of) disintegration/
自戒 [じかい] /(n,vs) self-admonition/
自害 [じがい] /(n,vs) suicide/
自覚 [じかく] /(n,vs) self-consciousness/self-awareness/(P)/
自覚症状 [じかくしょうじょう] /(n) subjective symptoms/
自学自習 [じがくじしゅう] /(n,vs) teaching oneself/
自活 [じかつ] /(n,vs) self-support/(P)/
自活の道 [じかつのみち] /(n) independent living/
自棄 [じき] /(n,vs) despair/desperation/abandonment/
自棄 [やけ] /(n,vs) despair/desperation/abandonment/(P)/
自棄っぱち [やけっぱち] /(n) (1) (uk) desperation/(adj-na,adj-no) (2) desperate/
自棄っ腹 [やけっぱら] /(n,vs) desperation/despair/
自棄になる [やけになる] /(uK) (exp,v5r) to become desperate/to give in to despair/
自棄のやん八 [やけのやんぱち] /(n) (sense of) desperation/
自棄を起こす [やけをおこす] /(exp,v5s) to become desperate/to give way to despair/
自棄飲み [やけのみ] /(n,vs) drowning one's cares in drink/
自棄気味 [やけぎみ] /(n) partially out of despair/partly in desperation/somewhat out of frustration/
自棄酒 [やけざけ] /(n) drowning one's cares in drink/drinking in desperation/
自棄食い [やけぐい] /(n,vs) binge eating/stress eating/
自棄腹 [やけばら] /(n,vs) desperation/despair/
自棄糞 [やけくそ] /(adj-na,n) desperation/
自機 [じき] /(n) player character or vehicle (in video games)/
自記 [じき] /(n,vs,adj-no) writing oneself/self-recording/
自記温度計 [じきおんどけい] /(n) self-registering thermometer/
自記湿度計 [じきしつどけい] /(n) self-registering hygrometer/
自虐 [じぎゃく] /(n) masochism/inflicting damage to oneself/
自虐的 [じぎゃくてき] /(adj-na) self-torturing/masochistic/
自給 [じきゅう] /(n,vs,adj-no) self-support/(P)/
自給自足 [じきゅうじそく] /(n,vs) self-sufficiency/
自給率 [じきゅうりつ] /(n) (the degree of) self-sufficiency (e.g. in oil)/
自供 [じきょう] /(n,vs) confession/(P)/
自業自得 [じごうじとく] /(exp,adj-na,n,adj-no) paying for one's mistakes/getting one's just deserts/suffering the consequences (of one's own actions)/reap what you sow/
自玉 [じぎょく] /(n) one's own king/
自軍 [じぐん] /(n) one's own army or team/
自警 [じけい] /(n,vs) giving warning oneself/
自警団 [じけいだん] /(n) vigilance committee/vigilante corps/
自警団員 [じけいだんいん] /(n) a vigilante/
自決 [じけつ] /(n,vs) (1) self-determination/(2) suicide/(P)/
自決権 [じけつけん] /(n) right to self-determination/
自己 [じこ] /(n,adj-no) self/oneself/(P)/
自己チュー [じこチュー] /(n) (abbr) (sl) selfishness/egotism/egoism/egocentricity/
自己愛 [じこあい] /(n) narcissism/
自己愛性人格障害 [じこあいせいじんかくしょうがい] /(n) narcissistic personality disorder/
自己暗示 [じこあんじ] /(n) self suggestion/autosuggestion/
自己意識 [じこいしき] /(n) self-consciousness/
自己移植 [じこいしょく] /(n,vs) autograft/
自己演出 [じこえんしゅつ] /(n,vs) an author directing (producing) his/her own play (film)/staging oneself for effect/presenting oneself in a favorable light/
自己解凍 [じこかいとう] /(n,adj-no) (comp) self extract/
自己解凍ファイル [じこかいとうファイル] /(n) (comp) self extract file/
自己株式 [じこかぶしき] /(n) own shares/treasury stock/
自己管理 [じこかんり] /(n,vs) taking care of something by oneself/self-management/(P)/
自己規制 [じこきせい] /(n) self regulation/
自己規定項目 [じこきていこうもく] /(n) (comp) self defining term/
自己欺瞞 [じこぎまん] /(n,adj-no) self-deception/
自己犠牲 [じこぎせい] /(n,adj-no) self-sacrifice/self-renunciation/
自己共役 [じこきょうやく] /(n,adj-na) (math) self adjoint/
自己金融 [じこきんゆう] /(n,adj-no) self-financing/
自己啓発 [じこけいはつ] /(n,vs,adj-no) self-development/self-enlightenment/
自己決定 [じこけってい] /(n,adj-no) self-determination/
自己決定権 [じこけっていけん] /(n) right of self-determination/
自己結合 [じこけつごう] /(n) (comp) self-association/
自己血輸血 [じこけつゆけつ] /(n) autotransfusion (infusion of one's own blood)/
自己嫌悪 [じこけんお] /(n,adj-no) self-hatred/self-abhorrence/self-loathing/
自己検閲 [じこけんえつ] /(n) self-censorship/
自己検査 [じこけんさ] /(n) self-checking/self-diagnosis/
自己検査符号 [じこけんさふごう] /(n) (comp) error-detecting code/self-checking code/
自己研鑽 [じこけんさん] /(n) self-improvement/
自己顕示 [じこけんじ] /(n) making oneself conspicuous/pressing one's own cause/
自己顕示欲 [じこけんじよく] /(n) person who craves the limelight/
自己言及 [じこげんきゅう] /(n) self-reference/
自己効力感 [じここうりょくかん] /(n) self-efficacy/
自己採点 [じこさいてん] /(n,vs) marking one's own test/
自己資源 [じこしげん] /(n) (comp) local resource/
自己資本 [じこしほん] /(n) net worth/owned capital/(P)/
自己資本比率 [じこしほんひりつ] /(n) capital adequacy ratio/capital-to-asset ratio/
自己実現 [じこじつげん] /(n,vs) self-actualization/self-fulfillment/self-realization/
自己主義 [じこしゅぎ] /(n) egoism/
自己主張 [じこしゅちょう] /(n) self-assertion/
自己終端判別 [じこしゅうたんはんべつ] /(n) (comp) self-delimiting/
自己臭症 [じこしゅうしょう] /(n) body odour problem (odor)/bromidrosis/bromhidrosis/
自己集合 [じこしゅうごう] /(n) self-assembly (in chemistry)/
自己紹介 [じこしょうかい] /(n,vs) self-introduction/(P)/
自己申告 [じこしんこく] /(n) personal statement/verbal or informal, unsubstantiated assertion/
自己診断 [じこしんだん] /(n) (comp) self-diagnosis/
自己診断システム [じこしんだんシステム] /(n) self-checking system/self-diagnosis system/
自己責任 [じこせきにん] /(n) self-responsibility/on one's own responsibility/at one's own risk/
自己宣伝 [じこせんでん] /(n) self publicity/advertising oneself/
自己疎外 [じこそがい] /(n) self-alienation/
自己双対 [じこそうつい] /(n) (math) self dual/
自己相関解析 [じこそうかんかいせき] /(n) autocorrelation/
自己相似図形 [じこそうじずけい] /(n) (comp) fractal/
自己中 [じこちゅう] /(n) (abbr) (sl) selfishness/egotism/egoism/egocentricity/
自己中心 [じこちゅうしん] /(n,adj-no) selfishness/egotism/egoism/egocentricity/
自己中心性 [じこちゅうしんせい] /(n) egocentrism/
自己中心的 [じこちゅうしんてき] /(adj-na) egoistic/self-centered/selfish/
自己展開ファイル [じこてんかいファイル] /(n) (comp) self-expanding file/
自己陶酔 [じことうすい] /(n,vs) narcissism/self-absorption/self-intoxication/
自己撞着 [じこどうちゃく] /(n,vs) self-contradiction/self-inconsistency/
自己抜糸 [じこばっし] /(n,vs) self-removal of stitches (esp. of pets, animals)/self-extraction of sutures/
自己反省 [じこはんせい] /(n,adj-no) (1) self-questioning/(vs) (2) to self-question/to rethink/to reflect on oneself/
自己批判 [じこひはん] /(n,vs,adj-no) self-criticism/
自己肥大 [じこひだい] /(n) self-aggrandizement/self-glorification/something becoming large by feeding upon itself/
自己表現 [じこひょうげん] /(n) self-expression/
自己負担 [じこふたん] /(n,vs,adj-no) paying one's own expenses/
自己複製 [じこふくせい] /(n) self-duplicating/
自己弁護 [じこべんご] /(n,vs) self-justification/excuse/
自己保全 [じこほぜん] /(n) self-protection/self-preservation/
自己保存 [じこほぞん] /(n,adj-no) self-preservation/
自己防衛 [じこぼうえい] /(n) self-defense/
自己本位 [じこほんい] /(n,adj-no) self-centeredness/self-centredness/selfishness/egotism/egoism/
自己満 [じこまん] /(n) (abbr) (sl) self-satisfaction/(self-)complacency/
自己満悦 [じこまんえつ] /(n,vs,adj-no) self-congratulation/
自己満足 [じこまんぞく] /(n,vs,adj-no) self-satisfaction/(self-)complacency/
自己矛盾 [じこむじゅん] /(n,vs,adj-no) self-contradiction/paradox/antinomy/
自己免疫 [じこめんえき] /(n,adj-no) autoimmunity/
自己免疫疾患 [じこめんえきしっかん] /(n) autoimmune disorder/
自己免疫不全 [じこめんえきふぜん] /(n) autoimmune disorder/
自己目 [じこもく] /(n) aspiration/self aim/personal goal/
自己目的化 [じこもくてきか] /(n,vs) becoming its own goal/
自己抑制 [じこよくせい] /(n,vs) self-restraint/self-control/self-repression/abstinence/self-inhibition/autogenic inhibition/autogenous suppression/
自己流 [じこりゅう] /(n) one's own style/self-taught manner/
自己憐憫 [じこれんびん] /(n) self-pity/
自己韜晦 [じことうかい] /(n,vs) concealing one's talents, position, status, intentions, etc./
自公 [じこう] /(n) (abbr) Liberal Democratic Party and Komeito/
自公民 [じこうみん] /(n) (abbr) Liberal Democratic Party, Komeito and Democratic Socialist Party/
自工 [じこう] /(n) automobile industry/
自国 [じこく] /(n,adj-no) one's own country/(P)/
自国語 [じこくご] /(n) one's native language/
自国通貨建て [じこくつうかだて] /(n) home currency rate/denominated in local currency/
自国民 [じこくみん] /(n) citizens of one's own country/fellow countrymen/compatriots/
自惚 [うぬぼれ] /(io) (n,adj-no) (uk) pretension/conceit/hubris/
自惚れ [うぬぼれ] /(n,adj-no) (uk) pretension/conceit/hubris/(P)/
自惚れる [うぬぼれる] /(v1,vi) to be conceited/(P)/
自惚れ鏡 [うぬぼれかがみ] /(n) small western mirror with mercury added to the glass (Edo period)/
自惚鏡 [うぬぼれかがみ] /(io) (n) small western mirror with mercury added to the glass (Edo period)/
自今 [じこん] /(adv,n) from now on/hereafter/
自今以後 [じこんいご] /(n-t,n-adv) (arch) henceforth/henceforward/hereafter/
自在 [じざい] /(adj-na,n,adj-no) freely/at will/(P)/
自在画 [じざいが] /(n) a freehand drawing/
自在天 [じざいてん] /(n) (Buddh) (abbr) Mahesvara (Shiva in the Buddhist pantheon)/
自在鉤 [じざいかぎ] /(n) a pot-hook/
自作 [じさく] /(n,vs,adj-no) one's own work/(P)/
自作自演 [じさくじえん] /(n,vs) performing (acting) a part in one's own play/playacting/a put-up job/a charade/
自作農 [じさくのう] /(n) landed farmer/owner farmer/
自殺 [じさつ] /(n,vs) suicide/(P)/
自殺を図る [じさつをはかる] /(exp,v5r) to attempt suicide/
自殺協定 [じさつきょうてい] /(n) suicide pact/
自殺行為 [じさつこうい] /(n) suicidal act/self-destroying action/suicidal action/
自殺者 [じさつしゃ] /(n) person who commits suicide/
自殺的 [じさつてき] /(adj-na) suicidal/
自殺未遂 [じさつみすい] /(n) attempted suicide/
自殺幇助 [じさつほうじょ] /(n) (the crime of) aiding and abetting a suicide/
自讃 [じさん] /(n,vs) self-praise/praising oneself/
自賛 [じさん] /(n,vs) self-praise/praising oneself/
自治 [じち] /(n) self-government/autonomy/(P)/
自治会 [じちかい] /(n) neighborhood council/neighbourhood council/student council/
自治区 [じちく] /(n,adj-no) territory/autonomous region/
自治権 [じちけん] /(n) autonomy/right of self-government/(P)/
自治行政 [じちぎょうせい] /(n) self-government/
自治省 [じちしょう] /(n) Ministry of Home Affairs/(P)/
自治政府 [じちせいふ] /(n) self-government/autonomous government/devolved government (e.g. in the UK)/
自治体 [じちたい] /(n) self-governing body/municipality/autonomous entity/(P)/
自治体国際化協会 [じちたいこくさいかきょうかい] /(n) Council of Local Authorities for International Relations/CLAIR/
自治大臣 [じちだいじん] /(n) Minister of Home Affairs/
自治都市 [じちとし] /(n) commune (of medieval Europe)/
自治領 [じちりょう] /(n) self-governing dominion/
自自公３党 [じじこうさんとう] /(n) (abbr) three-party coalition: Jimintou, Jiyuutou and Koumeitou/
自自公連立 [じじこうれんりつ] /(n) (abbr) three-party coalition: Jimintou, Jiyuutou and Koumeitou/
自失 [じしつ] /(n,vs) stupefaction/
自室 [じしつ] /(n) one's own room/(P)/
自社 [じしゃ] /(n) (1) one's company/company one works for/(adj-f) (2) in-house/belonging to the company/(P)/
自社株購入権 [じしゃかぶこうにゅうけん] /(n) stock option/
自社株買 [じしゃかぶがい] /(n) stock buy-back/
自社株買い [じしゃかぶがい] /(n) stock buy-back/
自社製品 [じしゃせいひん] /(n) in-house manufactured goods/
自若 [じじゃく] /(adj-na,adj-t) self-possessed/composed/
自主 [じしゅ] /(n,vs) independence/autonomy/(P)/
自主トレ [じしゅトレ] /(n) (abbr) independent training (e.g. of athletes working without a coach)/
自主トレーニング [じしゅトレーニング] /(n) (abbr) independent training (e.g. of athletes working without a coach)/
自主管理制度 [じしゅかんりせいど] /(n) system of self-management/honour system/
自主規制 [じしゅきせい] /(n) voluntary restraints/
自主権 [じしゅけん] /(n) autonomy/
自主指針 [じしゅししん] /(n) independent guideline/
自主性 [じしゅせい] /(n) independence/
自主退職 [じしゅたいしょく] /(n) voluntary retirement/
自主的 [じしゅてき] /(adj-na) independent/autonomous/voluntary/of one's own initiative/unilateral/(P)/
自主独往 [じしゅどくおう] /(n) independent way of life/
自主流通米 [じしゅりゅうつうまい] /(n) rice not subject to government controls/
自主練習 [じしゅうれんしゅう] /(n) voluntary training/voluntary practise/free practise/
自首 [じしゅ] /(n,vs) surrender/give oneself up/(P)/
自宗 [じしゅう] /(n) one's religious sect/
自修 [じしゅう] /(n,vs) self study/teaching oneself/
自習 [じしゅう] /(n,vs,adj-no) self-study/(P)/
自習時間 [じしゅうじかん] /(n) study time/
自習室 [じしゅうしつ] /(n) (private) study room/
自重 [じじゅう] /(n) weight of an (unloaded) vehicle/
自重 [じちょう] /(n,vs) (1) self-respect/(2) prudence/not acting rashly/restraining oneself/(3) taking care of oneself/being careful with one's health/
自重自愛 [じちょうじあい] /(n,vs) taking care of oneself/looking after oneself/
自重自戒 [じちょうじかい] /(n,vs) being prudent and cautious/caution oneself against/
自粛 [じしゅく] /(n,vs) (1) self-control/self-discipline/self-restraint/(2) Japanese custom of apology followed by reclusion when caught doing something/(P)/
自署 [じしょ] /(n,vs) autograph/signature/
自書 [じしょ] /(n,vs) one's own writing/
自助 [じじょ] /(n,adj-no) self-help/(P)/
自助努力 [じじょどりょく] /(n,vs) self-help efforts/self-supporting endeavor/
自叙 [じじょ] /(n,vs) autobiography/
自叙伝 [じじょでん] /(n) autobiography/(P)/
自序 [じじょ] /(n) authors preface/
自傷 [じしょう] /(n) self-mutilation/self-injury/
自傷行為 [じしょうこうい] /(n) act of self-harm/self-injurious behavior/self-injurious behaviour/
自傷癖 [じしょうくせ] /(n) (practice of) self-injury/(habit of) self-harm/
自小作 [じこさく] /(n) landed and tenant farming/landed farming with some tenant farming on the side/
自省 [じせい] /(n,vs) self-examination/reflection/(P)/
自称 [じしょう] /(n,vs,adj-no) self-styled/would-be/calling oneself/(P)/
自乗 [じじょう] /(n,vs) squaring/multiplying (a number) by itself/second power/
自乗根 [じじょうこん] /(n) square root/
自浄 [じじょう] /(n,vs) self-purification/self-cleansing/(P)/
自浄作用 [じじょうさよう] /(n) autopurificatory activity (in the natural world)/
自浄能力 [じじょうのうりょく] /(n) self-cleansing power/being capable of purifying oneself/
自色 [じしょく] /(n) characteristic colour of a pure mineral (color)/
自信 [じしん] /(n,vs) self-confidence/(P)/
自信なし [じしんなし] /(exp) (I am) uncertain/unsure/
自信家 [じしんか] /(n) person who has great confidence (faith) in himself/
自信過剰 [じしんかじょう] /(n,adj-na,adj-no) overconfident/presumptuous/
自信喪失 [じしんそうしつ] /(n,vs) loss of (self-)confidence/inferiority complex/
自信満々 [じしんまんまん] /(uK) (adj-na,adj-no,adj-t,adv-to) full of confidence/brimming with (self-)confidence/having great faith in oneself/
自信満満 [じしんまんまん] /(uK) (adj-na,adj-no,adj-t,adv-to) full of confidence/brimming with (self-)confidence/having great faith in oneself/
自身 [じしん] /(n) by oneself/personally/(P)/
自身番 [じしんばん] /(n) (Edo-period) guardhouses within the city/
自刃 [じじん] /(n,vs) suicide by the sword/
自尽 [じじん] /(n,vs) suicide/
自陣 [じじん] /(n) one's own ground/one's own position/on'e own area of the field (soccer, rugby, etc.)/
自炊 [じすい] /(n,vs,adj-no) (1) cooking for oneself/(2) scanning a book or manga to create an ebook/(P)/
自制 [じせい] /(n,vs,adj-no) self control/self restraint/(P)/
自制心 [じせいしん] /(n) self-control/self-restraint/
自生 [じせい] /(n,vs,adj-no) growing wild (naturally)/native/
自製 [じせい] /(n,vs,adj-no) homemade/
自席 [じせき] /(n) one's seat/one's desk/
自席のパソコン [じせきのパソコン] /(n) (comp) (one's own) desktop computer/
自責 [じせき] /(n,vs) self-condemnation/self-reproach/(P)/
自責の念 [じせきのねん] /(exp) guilty conscience/feelings of remorse/Agenbite of Inwit (book name)/
自責点 [じせきてん] /(n) (in baseball) an earned run/
自切 [じせつ] /(n) autotomy/self amputation/act of cutting off a part of one's own body in order to escape a predator/
自説 [じせつ] /(n) one's personal opinion/
自薦 [じせん] /(n,vs) self-recommendation/(P)/
自選 [じせん] /(n,vs,adj-no) (author) selection/
自前 [じまえ] /(n,adj-no) (1) taking care of one's responsibilities by oneself/one's own efforts/one's own expense/(2) going into business for oneself (selling one's own products)/entrepreneur of such a business/(P)/
自前主義 [じまえしゅぎ] /(n) (principle of) self-sufficiency/
自然 [しぜん] /(adj-na,n) (1) nature/spontaneity/(adv,adv-to) (2) naturally/spontaneously/(P)/
自然な性 [しぜんなせい] /(n) (ling) natural gender/
自然に [しぜんに] /(adv) naturally/smoothly/spontaneously/(P)/
自然に備わる人格 [しぜんにそなわるじんかく] /(n) one's natural dignity/
自然の懐 [しぜんのふところ] /(n) bosom of Nature/
自然の勢い [しぜんのいきおい] /(n) force of circumstances/
自然エネルギー [しぜんエネルギー] /(n) natural energy (usu. renewable energy)/
自然塩 [しぜんえん] /(n) natural salt/
自然科学 [しぜんかがく] /(n,adj-no) natural science/(P)/
自然科学者 [しぜんかがくしゃ] /(n) natural scientist/
自然界 [しぜんかい] /(n) nature/the natural world/realm of nature/(P)/
自然学 [しぜんがく] /(n) physics (study of natural science in ancient Greek philosophy)/
自然環境 [しぜんかんきょう] /(n) natural (physical) environment/
自然環境保全地域 [しぜんかんきょうほぜんちいき] /(n) nature conservation area/
自然環境保全法 [しぜんかんきょうほぜんほう] /(n) (Japanese) Natural Conservation Law (1972)/
自然観 [しぜんかん] /(n) perspective on nature/
自然休会 [しぜんきゅうかい] /(n) (in the Diet) a spontaneous recess/
自然権 [しぜんけん] /(n) natural right/right under natural law/
自然現象 [しぜんげんしょう] /(n,adj-no) natural phenomenon (phenomena)/
自然言語 [しぜんげんご] /(n,adj-no) (ling) natural language/
自然言語処理 [しぜんげんごしょり] /(n) (comp) natural language processing/NLP/
自然公園 [しぜんこうえん] /(n) nature park/natural park/(P)/
自然災害 [しぜんさいがい] /(n) natural disaster/
自然史 [しぜんし] /(n) natural history/
自然史博物館 [しぜんしはくぶつかん] /(n) natural history museum/
自然死 [しぜんし] /(n) (dying of) natural causes/
自然資源 [しぜんしげん] /(n) natural resources/
自然資本主義 [しぜんしほんしゅぎ] /(n) natural capitalism/
自然治癒 [しぜんちゆ] /(n) self-healing/spontaneous recovery/
自然主義 [しぜんしゅぎ] /(n,adj-no) naturalism/
自然主義者 [しぜんしゅぎしゃ] /(n) naturalist/
自然主義的誤謬 [しぜんしゅぎてきごびゅう] /(n) naturalistic fallacy/
自然宗教 [しぜんしゅうきょう] /(n) (1) primitive religion/(2) natural religion/
自然出産 [しぜんしゅっさん] /(n) natural childbirth/
自然薯 [じねんじょ] /(n) Japanese yam (Dioscorea japonica)/
自然食 [しぜんしょく] /(n) natural food/health food/
自然食品 [しぜんしょくひん] /(n) natural foods/organic food/
自然神学 [しぜんしんがく] /(n) natural theology/
自然神教 [しぜんしんきょう] /(n) deism/
自然人 [しぜんじん] /(n) natural person (e.g. one unspoilt by civilization, civilisation)/
自然水銀 [しぜんすいぎん] /(n) native mercury (natural mercury found associated with cinnabar)/
自然崇拝 [しぜんすうはい] /(n) nature worship/
自然数 [しぜんすう] /(n) (math) natural number/nonnegative integer/
自然生 [じねんじょ] /(n) Japanese yam (Dioscorea japonica)/
自然生 [じねんじょう] /(n) Japanese yam (Dioscorea japonica)/
自然選択 [しぜんせんたく] /(n) natural selection/
自然増 [しぜんぞう] /(n) natural increase/
自然増収 [しぜんぞうしゅう] /(n) natural or automatic increase in revenue/
自然体 [しぜんたい] /(n) (1) natural posture or stance (esp. in judo)/(2) relaxed, open attitude/
自然対数 [しぜんたいすう] /(n) natural logarithm/logarithm/
自然地理学 [しぜんちりがく] /(n) physical geography/
自然的短音階 [しぜんてきたんおんかい] /(n) natural minor scale/
自然哲学 [しぜんてつがく] /(n) natural philosophy/
自然淘汰 [しぜんとうた] /(n,vs) natural selection/
自然独占 [しぜんどくせん] /(n) natural monopoly/
自然農法 [しぜんのうほう] /(n) "Do-nothing" farming/nature farming/natural farming/Fukuoka farming/the Fukuoka method/
自然破壊 [しぜんはかい] /(n) destruction of nature/
自然発火 [しぜんはっか] /(n) spontaneous combustion/
自然発生 [しぜんはっせい] /(n,adj-no) (1) spontaneous generation/abiogenesis (biology)/(2) natural (spontaneous) occurrence/
自然美 [しぜんび] /(n) natural beauty/
自然描写 [しぜんびょうしゃ] /(n) description of nature/
自然分娩 [しぜんぶんべん] /(n) natural childbirth/
自然分離 [しぜんぶんり] /(n) avulsion (e.g. removal of land by the action of water)/
自然分類 [しぜんぶんるい] /(n) natural classification/
自然弁証法 [しぜんべんしょうほう] /(n) dialectics of nature/
自然保護 [しぜんほご] /(n) nature conservation/
自然保護区 [しぜんほごく] /(n) nature reserve/
自然放電 [しぜんほうでん] /(n) self-discharge (of a battery)/
自然法 [しぜんほう] /(n) natural law/
自然法則 [しぜんほうそく] /(n) law of nature/natural law/
自然免疫 [しぜんめんえき] /(n) natural immunity/
自然木 [しぜんぼく] /(n) naturally growing tree/tree that does not grow in a tree plantation/
自然律 [しぜんりつ] /(n) natural law/
自然力 [しぜんりょく] /(n) force(s) of nature/
自然林 [しぜんりん] /(n) virgin forest/
自然類 [しぜんるい] /(n) natural class/
自走 [じそう] /(n,vs,adj-no) self-propulsion/
自走式 [じそうしき] /(adj-no) self-propelled (type)/
自走砲 [じそうほう] /(n) self-propelled artillery/
自足 [じそく] /(n,vs) self-sufficiency/self-satisfaction/
自存 [じそん] /(n,vs,adj-no) existing of or by itself/self-existence/
自尊 [じそん] /(n) self-respect/esteem/(P)/
自尊心 [じそんしん] /(n) self-respect/conceit/
自他 [じた] /(n) (1) oneself and others/(2) transitive and intransitive/(P)/
自他共に許す [じたともにゆるす] /(exp,v5s) to be generally accepted/to be acknowledged by oneself and others/
自堕落 [じだらく] /(adj-na,n) depravity/self-indulgence/
自体 [じたい] /(adv,n) itself/(P)/
自宅 [じたく] /(n) one's home/(P)/
自宅飲み [じたくのみ] /(n) (sl) drinking at home (as opposed to going out)/
自宅謹慎 [じたくきんしん] /(n) house arrest/
自宅待機 [じたくたいき] /(n) (1) standing by at home (e.g. to prevent the spread of illness)/(2) being on furlough/being temporarily laid off/
自宅軟禁 [じたくなんきん] /(n) house arrest/
自宅裏 [じたくうら] /(n) behind one's home/one's backyard/
自知 [じち] /(n) self-knowledge/knowing oneself/
自注 [じちゅう] /(n) self-annotation of one's writings/
自註 [じちゅう] /(n) self-annotation of one's writings/
自著 [じちょ] /(n) one's own literary work/
自沈 [じちん] /(n,vs) scuttling one's own boat/
自邸 [じてい] /(n) one's residence/
自適 [じてき] /(n,vs) living free from worldly care/easy and comfortable living/
自転 [じてん] /(n,vs) rotation (usu. on an axis)/turning/spin/
自転軸 [じてんじく] /(n) rotating shaft/axle/
自転車 [じてんしゃ] /(n) bicycle/(P)/
自転車 [じでんしゃ] /(ik) (n) bicycle/
自転車を漕ぐ [じてんしゃをこぐ] /(exp,v5g) to pedal a bike/
自転車ツーキニスト [じてんしゃツーキニスト] /(n) bike-commuter/
自転車トレール [じてんしゃトレール] /(n) bike trail/bicycle trail/
自転車屋 [じてんしゃや] /(n) bicycle shop/bicycle dealer/
自転車操業 [じてんしゃそうぎょう] /(n) barely keeping a business going (analogy that a bicycle falls over when its wheels cease rotating)/
自転車置き場 [じてんしゃおきば] /(n) place for storing bicycles/
自転車置場 [じてんしゃおきば] /(n) place for storing bicycles/
自転車旅行 [じてんしゃりょこう] /(n) bicycle trip/cycling tour/
自転周期 [じてんしゅうき] /(n) rotation period/
自伝 [じでん] /(n) autobiography/(P)/
自党 [じとう] /(n) the political party to which one belongs/
自働 [じどう] /(iK) (adj-no,n) (1) automatic/self-motion/(2) (ling) (abbr) intransitive verb/
自働化 [じどうか] /(iK) (n,vs) automation/
自動 [じどう] /(adj-no,n) (1) automatic/self-motion/(2) (ling) (abbr) intransitive verb/(P)/
自動コンフィギュレーション [じどうコンフィギュレーション] /(n) (comp) automatic configuration/
自動コンフィグレーション [じどうコンフィグレーション] /(n) (comp) automatic configuration/
自動システム保護 [じどうシステムほご] /(n) (comp) automatic system protection/
自動データ収集 [じどうデータしゅうしゅう] /(n) (comp) Automatic Data Acquisition/ADA/
自動データ処理 [じどうデータしょり] /(n) automatic data processing/ADP/
自動ピアノ [じどうピアノ] /(n) player piano (i.e. a Pianola)/
自動プログラムツール [じどうプログラムツール] /(n) (comp) APT/Automatically Programmed Tools/
自動ボリューム認識 [じどうボリュームにんしき] /(n) (comp) AVR/Automatic Volume Recognition/
自動ボリューム認識機能 [じどうボリュームにんしききのう] /(n) (comp) AVR/Automatic Volume Recognition/
自動ポスト [じどうポスト] /(n,vs) (comp) autopost/
自動ロード [じどうロード] /(n) auto-load/
自動安定装置 [じどうあんていそうち] /(n) built-in stabilizer/
自動運転 [じどううんてん] /(n) automatic operation (machine)/automatic driving (vehicle)/
自動応答 [じどうおうとう] /(n) (comp) auto-answer/automatic answering/
自動化 [じどうか] /(n,vs) automation/(P)/
自動化量産 [じどうかりょうさん] /(n) automated mass-production/
自動解凍 [じどうかいとう] /(adj-no) (comp) self-extracting (computer file)/
自動回送 [じどうかいそう] /(n) (comp) auto-forward/
自動回送表示 [じどうかいそうひょうじ] /(n) (comp) auto-forwarded indication/
自動改札 [じどうかいさつ] /(n) automatic turnstile (ticket gate)/
自動改札機 [じどうかいさつき] /(n) automatic turnstile (ticket gate)/
自動楽器 [じどうがっき] /(n) self-playing musical instrument (e.g. music box, player piano)/
自動割付けデータ実体 [じどうわりつけデータじったい] /(n) (comp) automatic data object/
自動巻き [じどうまき] /(n) self-winding watch/
自動機能 [じどうきのう] /(n) (comp) automatic function/
自動記憶割振り [じどうきおくわりふり] /(n) (comp) automatic storage allocation/
自動記録器 [じどうきろくき] /(n) (comp) logger/
自動給餌器 [じどうきゅうじき] /(n) automatic pet feeder/
自動金銭出入機 [じどうきんせんしゅつにゅうき] /(n) automatic teller machine/ATM/
自動警報 [じどうけいほう] /(n) (comp) auto-alert/
自動券売機 [じどうけんばいき] /(n) automatic ticket machine/
自動呼び出し [じどうよびだし] /(n) (comp) auto-call/automatic calling (e.g. in data network)/
自動呼び出し装置 [じどうよびだしそうち] /(n) (comp) automatic calling unit/ACU/
自動呼出し [じどうよびだし] /(n) (comp) automatic calling (e.g. in data network)/
自動呼出し装置 [じどうよびだしそうち] /(n) (comp) automatic calling unit/ACU/
自動航空管制 [じどうこうくうかんせい] /(n) (comp) AATC/Automatic Air Traffic Control/
自動再計算 [じどうさいけいさん] /(n) (comp) auto recalculation/
自動再送信要求 [じどうさいそうしんようきゅう] /(n) (comp) Automatic Request for Repetition/ARQ/
自動再送要求 [じどうさいそうようきゅう] /(n) (comp) ARQ/Automatic Repeat reQuest/
自動再表示 [じどうさいひょうじ] /(n) (comp) implicit regeneration/
自動削除 [じどうさくじょ] /(n) (comp) automatic deletion/
自動索引作業 [じどうさくいんさぎょう] /(n) (comp) automatic indexing/
自動詞 [じどうし] /(n) (ling) intransitive verb (no direct obj)/
自動資料作成支援システム [じどうしりょうさくせいしえんシステム] /(n) (comp) ADCAS/Auto Documentation Aid System/
自動式 [じどうしき] /(adj-no,n) automatic (e.g. door, gun, etc.)/
自動式構内交換機 [じどうしきこうないこうかんき] /(n) (comp) private automatic branch exchange/private branch exchange/PABX/PBX/
自動実行 [じどうじっこう] /(adj-no) (comp) self-executing (computer file)/
自動車 [じどうしゃ] /(n) automobile/(P)/
自動車運搬船 [じどうしゃうんぱんせん] /(n) car carrier ship/
自動車化 [じどうしゃか] /(n,vs) motorized/motorised/
自動車学校 [じどうしゃがっこう] /(n) driving school/
自動車教習所 [じどうしゃきょうしゅうじょ] /(n) driving school/
自動車業界 [じどうしゃぎょうかい] /(n) automotive industry/motor vehicle industry/
自動車検査証 [じどうしゃけんさしょう] /(n) automobile inspection certificate/
自動車産業 [じどうしゃさんぎょう] /(n) automotive industry/
自動車事故 [じどうしゃじこ] /(n) motor(ing) (an auto) accident/car crash (smash)/
自動車重量税 [じどうしゃじゅうりょうぜい] /(n) automobile weight tax/
自動車整備士 [じどうしゃせいびし] /(n) automobile mechanic/
自動車税 [じどうしゃぜい] /(n) automobile tax/vehicle tax/
自動車損害賠償責任保険 [じどうしゃそんがいばいしょうせきにんほけん] /(n) mandatory vehicle liability insurance/
自動車泥 [じどうしゃどろ] /(n) car thief/
自動車電話 [じどうしゃでんわ] /(n) car telephone/
自動車道 [じどうしゃどう] /(n) expressway/motorway/
自動車保険 [じどうしゃほけん] /(n) automobile insurance/
自動車保険料 [じどうしゃほけんりょう] /(n) car insurance premium/
自動周波数制御 [じどうしゅうはすうせいぎょ] /(n) (comp) AFC/Automatic Frequency Control/
自動小銃 [じどうしょうじゅう] /(n) automatic rifle/weapon/
自動抄録作業 [じどうしょうろくさぎょう] /(n) (comp) automatic abstracting/
自動織機 [じどうしょっき] /(n) automatic loom/
自動振り分け機能 [じどうふりわけきのう] /(n) (comp) auto filing/
自動人形 [じどうにんぎょう] /(n) automaton/automata/
自動制御 [じどうせいぎょ] /(n,adj-no) automatic control/
自動制御装置 [じどうせいぎょそうち] /(n) (comp) automatic controller/servo/
自動生成 [じどうせいせい] /(n) (comp) automatic creation/
自動精算機 [じどうせいさんき] /(n) automatic fare adjustment machine/
自動切り替え [じどうきりかえ] /(n) (comp) automatic switchover/automatic cutover/
自動設定繰返し演算 [じどうせっていくりかえしえんざん] /(n) (comp) iterative operation/automatic sequential operation/
自動選択 [じどうせんたく] /(n) (comp) automatic selection/
自動操縦装置 [じどうそうじゅうそうち] /(n) autopilot/
自動体外式除細動器 [じどうたいがいしきじょさいどうき] /(n) automated external defibrillator/AED/
自動着信 [じどうちゃくしん] /(n) auto answer (modem)/
自動抽出 [じどうちゅうしゅつ] /(adj-no) (comp) self-extracting (computer file)/
自動調心ころ軸受 [じどうちょうしんころじくうけ] /(n) spherical roller bearing/
自動調心ころ軸受け [じどうちょうしんころじくうけ] /(n) spherical roller bearing/
自動定数機能 [じどうていすうきのう] /(n) (comp) automatic constant function/
自動的 [じどうてき] /(adj-na) automatic/(P)/
自動電圧切替 [じどうでんあつきりかえ] /(n) (comp) automatic line switching/ALS/
自動電話 [じどうでんわ] /(n) (arch) public telephone/payphone/pay phone/
自動動作 [じどうどうさ] /(n) (comp) auto-action/
自動動作種別 [じどうどうさしゅべつ] /(n) (comp) auto-action-type/
自動発効 [じどうはっこう] /(adj-no) (comp) self-executing (computer file)/
自動発着信装置 [じどうはっちゃくしんそうち] /(n) (comp) automatic calling and automatic answering unit/
自動販売器 [じどうはんばいき] /(n) vending machine/
自動販売機 [じどうはんばいき] /(n) vending machine/(P)/
自動扉 [じどうとびら] /(n) automatic door/
自動変更 [じどうへんこう] /(n) (comp) automatic conversion/
自動変速機 [じどうへんそくき] /(n) automatic transmission/
自動保存 [じどうほぞん] /(n) (comp) automatic saving/
自動方向探知機 [じどうほうこうたんちき] /(n) automatic direction finder/ADF/
自動膨張式 [じどうぼうちょうしき] /(n) self-inflating/
自動翻訳 [じどうほんやく] /(n) (comp) automatic, machine translation/
自動翻訳機 [じどうほんやくき] /(n) automatic translation machine/
自動優先順位グループ [じどうゆうせんじゅんいグループ] /(n) (comp) APG/Automatic Priority Group/
自動預金支払機 [じどうよきんしはらいき] /(n) (comp) Automated Teller Machine/ATM/
自動利得制御 [じどうりとくせいぎょ] /(n) (comp) AGC/automatic gain control/
自動列車制御装置 [じどうれっしゃせいぎょそうち] /(n) automatic train control/ATC/
自動列車停止装置 [じどうれっしゃていしそうち] /(n) automatic train stop/ATS/
自動連結機 [じどうれんけつき] /(n) automatic coupler/
自同律 [じどうりつ] /(n) law of identity (logic)/
自得 [じとく] /(n,vs) self-acquisition/self-satisfaction/being paid back for one's deeds/
自涜 [じとく] /(n) masturbation/
自縄自縛 [じじょうじばく] /(n) being caught in one's own trap/
自縄自縛に陥る [じじょうじばくにおちいる] /(exp,v5r) to be caught in one's own trap/
自任 [じにん] /(n,vs) self-appointment/pretension/(P)/
自認 [じにん] /(n,vs,adj-no) admission/(self-)acknowledgment/(self-)acknowledgement/
自派 [じは] /(n) one's own faction (of a party)/
自賠責保険 [じばいせきほけん] /(n) (abbr) mandatory vehicle liability insurance/
自賠法 [じばいほう] /(n) Automobile Accident Compensation Act/
自白 [じはく] /(n,vs) confession/acknowledgement/acknowledgment/(P)/
自白剤 [じはくざい] /(n) truth serum/truth drug/
自爆 [じばく] /(n,vs,adj-no) suicide bombing (e.g. crashing one's plane into a target)/self-destruction/blowing oneself up/
自爆テロ [じばくテロ] /(n) (terrorist) suicide bombing/
自爆攻撃 [じばくこうげき] /(n) suicide bomb attack/
自爆霊 [じばくれい] /(iK) (n) ghost bound to a specific physical location (usu. where death occurred)/
自縛 [じばく] /(n,vs) being circumscribed by one's own words and actions/
自縛霊 [じばくれい] /(iK) (n) ghost bound to a specific physical location (usu. where death occurred)/
自発 [じはつ] /(n) spontaneous/(P)/
自発性 [じはつせい] /(n) self-motivation/spontaneity/spontaneousness/
自発的 [じはつてき] /(adj-na) spontaneous/voluntary/(P)/
自発的失業 [じはつてきしつぎょう] /(n) voluntary unemployment/
自発的判断による不整合見込み状態 [じはつてきはんだんによるふせいごうみこみじょうたい] /(n) (comp) heuristic-hazard/
自発的判断による不整合判明状態 [じはつてきはんだんによるふせいごうはんめいじょうたい] /(n) (comp) heuristic-mix/
自発的判断ログ記録 [じはつてきはんだんログきろく] /(n) (comp) log-heuristic record/
自販 [じはん] /(n) (abbr) automobile sales/(P)/
自販機 [じはんき] /(n) vending machine/
自費 [じひ] /(n) one's own expense/out-of-pocket expense/(P)/
自費出版 [じひしゅっぱん] /(n,vs,adj-no) self-publishing/publishing at one's own expense/
自筆 [じひつ] /(n,adj-no) one's own handwriting/(P)/
自負 [じふ] /(n,vs) conceit/bragging about one's own ability/(P)/
自負心 [じふしん] /(n) pride/self-confidence/
自腹 [じばら] /(n) paying one's own way/
自腹をきる [じばらをきる] /(exp,v5r) to pay for with your own money/
自腹を切る [じばらをきる] /(exp,v5r) to pay for with your own money/
自分 [じぶん] /(pn,adj-no) (1) myself/yourself/oneself/himself/herself/(2) I/me/(P)/
自分かって [じぶんかって] /(adj-na,n) (very) selfish/self-centered/self-centred/without consulting anybody (else)/
自分でも [じぶんでも] /(exp) (1) I, myself/one-self/by one-self/(2) even I/even one/
自分で決める [じぶんできめる] /(v1) to decide by oneself/
自分なり [じぶんなり] /(exp) one's own special way/
自分のために [じぶんのために] /(adv) for oneself/for one's own sake/
自分の為に [じぶんのために] /(adv) for oneself/for one's own sake/
自分の首を絞める [じぶんのくびをしめる] /(exp,v1) to ask for trouble/to dig your own grave/to cut your own throat/
自分の道を拓く [じぶんのみちをひらく] /(exp,v5k) to hew one's way out/
自分の分 [じぶんのぶん] /(n) one's share (own)/
自分の力 [じぶんのちから] /(n) one's own strength or effort/(by) oneself/
自分らしさ [じぶんらしさ] /(n) individuality/personality/sense of oneself/
自分自身 [じぶんじしん] /(n,adj-no) oneself/myself/(P)/
自分勝手 [じぶんかって] /(adj-na,n) (very) selfish/self-centered/self-centred/without consulting anybody (else)/
自分勝手 [じぶんがって] /(adj-na,n) (very) selfish/self-centered/self-centred/without consulting anybody (else)/
自分中心 [じぶんちゅうしん] /(adj-no) self-centered/stuck on oneself/
自分本位 [じぶんほんい] /(n,adj-no) self-centeredness/selfishness/egotism/egocentricity/
自閉症 [じへいしょう] /(n) (1) (sens) autism/(adj-no) (2) autistic/(P)/
自閉症児 [じへいしょうじ] /(n) (sens) autistic child/
自弁 [じべん] /(n,vs) paying one's own expenses/
自暴 [じぼう] /(n) despair/desperation/abandonment/
自暴自棄 [じぼうじき] /(adj-na,n,adj-no) desperation/despair/self-abandonment/
自慢 [じまん] /(n,vs,adj-no) pride/boast/(P)/
自慢じゃないが [じまんじゃないが] /(exp) I don't want to boast but/
自慢たらしい [じまんたらしい] /(adj-i) boastful/
自慢話 [じまんばなし] /(n) boastful speech/bragging/
自民 [じみん] /(n) (abbr) Liberal Democratic Party/LDP/(P)/
自民族中心主義 [じみんぞくちゅうしんしゅぎ] /(n) ethnocentrism/
自民党 [じみんとう] /(n) (abbr) Liberal Democratic Party/LDP/(P)/
自民党則 [じみんとうそく] /(n) rules of the Liberal Democratic Party/
自明 [じめい] /(adj-na,n,adj-no) obvious/self-evident/trivial/axiomatic/self-explanatory/(P)/
自明の理 [じめいのり] /(n) self-evident truth/truism/axiom/
自明解 [じめいかい] /(n) (math) trivial solution/
自鳴琴 [じめいきん] /(n) musical box/music box/
自滅 [じめつ] /(n,vs,adj-no) ruining oneself/destroying oneself/(P)/
自問 [じもん] /(n,vs) asking oneself/(P)/
自問自答 [じもんじとう] /(n,vs) answering one's own question/wondering to oneself/soliloquizing/soliloquising/
自由 [じゆう] /(exp,adj-na,n) freedom/liberty/as it pleases you/(P)/
自由なる論きゃく [じゆうなるろんきゃく] /(n) freelance journalist/
自由に [じゆうに] /(adv) freely/
自由の育くまれた所 [じゆうのはぐくまれたところ] /(n) cradle of liberty/
自由の女神 [じゆうのめがみ] /(n) Statue of Liberty/
自由の女神像 [じゆうのめがみぞう] /(n) Statue of Liberty/
自由の身 [じゆうのみ] /(n) freedom/free man/free woman/
自由意志 [じゆういし] /(n) free will/
自由意志論 [じゆういしろん] /(n) (philosophical) libertarianism/
自由営業 [じゆうえいぎょう] /(n) unrestricted operations/
自由化 [じゆうか] /(n,vs) liberalization/liberalisation/freeing/(P)/
自由画 [じゆうが] /(n) free drawing/
自由気まま [じゆうきまま] /(n,adj-na) free/unfettered/according to one's own whims/doing as one likes/
自由気儘 [じゆうきまま] /(n,adj-na) free/unfettered/according to one's own whims/doing as one likes/
自由競争 [じゆうきょうそう] /(n) free competition/
自由業 [じゆうぎょう] /(n) self-employed profession (e.g. actor, artist)/liberal profession/
自由曲線 [じゆうきょくせん] /(n) (comp) freeform curve/
自由刑 [じゆうけい] /(n) punishment by imprisonment or curtailment of liberties/
自由型 [じゆうがた] /(n) freestyle (e.g. swimming event)/
自由契約選手 [じゆうけいやくせんしゅ] /(n) free agent/
自由形 [じゆうがた] /(n) freestyle (e.g. swimming event)/(P)/
自由形式 [じゆうけいしき] /(n) (comp) free format/
自由経済 [じゆうけいざい] /(n) free economy/(P)/
自由結婚 [じゆうけっこん] /(n) freedom to choose one's marriage partner, parental wishes notwithstanding/
自由権 [じゆうけん] /(n) civil liberties/
自由研究 [じゆうけんきゅう] /(n) research project (e.g. at school)/independent research/
自由港 [じゆうこう] /(n) a free port/
自由裁量 [じゆうさいりょう] /(n,adj-no) latitude/(at one's) discretion/discretionary powers/a free hand/
自由裁量権 [じゆうさいりょうけん] /(n) discretionary power/
自由財 [じゆうざい] /(n) free goods/
自由三昧 [じゆうざんまい] /(n,adj-na) free/unfettered/according to one's own whims/doing as one likes/
自由市場 [じゆうしじょう] /(n,adj-no) free market/
自由市場経済 [じゆうしじょうけいざい] /(n) free-market economy/
自由詩 [じゆうし] /(n) free verse/
自由時間 [じゆうじかん] /(n) free time/time at leisure/
自由自在 [じゆうじざい] /(adj-na) free/unrestricted/(with) complete mastery/completely in control/
自由主義 [じゆうしゅぎ] /(n,adj-no) liberalism/(P)/
自由主義経済 [じゆうしゅぎけいざい] /(n) free economy/
自由主義国家 [じゆうしゅぎこっか] /(n) a free nation/
自由主義者 [じゆうしゅぎしゃ] /(n) liberal/liberalist/
自由主義神学 [じゆうしゅぎしんがく] /(n) liberal theology/
自由勝手 [じゆうかって] /(n,adj-na) free/unfettered/according to one's own whims/doing as one likes/
自由人 [じゆうじん] /(n) free person/free spirit/son of freedom/
自由世界 [じゆうせかい] /(n) Free World/
自由席 [じゆうせき] /(n) unreserved seat/
自由戦士 [じゆうせんし] /(n) freedom fighter/
自由電子 [じゆうでんし] /(n) free electron/
自由都市 [じゆうとし] /(n) (1) free city (of Germany)/(2) commune (of medieval Europe)/
自由度 [じゆうど] /(n) degree of freedom/
自由党 [じゆうとう] /(n) Liberal Party/
自由放題 [じゆうほうだい] /(n) as freely as one pleases/at will/to one' heart's content/
自由放任 [じゆうほうにん] /(n,adj-no) laissez-faire/non-intervention/
自由貿易 [じゆうぼうえき] /(n,adj-no) free trade/
自由貿易協定 [じゆうぼうえききょうてい] /(n) Free Trade Agreement/FTA/
自由貿易帯域 [じゆうぼうえきたいいき] /(n) free trade zone/free trade area/
自由貿易地域 [じゆうぼうえきちいき] /(n) free trade zone/free trade area/
自由奔放 [じゆうほんぽう] /(n,adj-na) free and uncontrolled/behaving with abandon/freewheeling/
自由民 [じゆうみん] /(n) free people/free men/
自由民権論 [じゆうみんけんろん] /(n) (early Meiji era) democratic rights ideology/
自由民主党 [じゆうみんしゅとう] /(n) (1) Liberal Democratic Party/LDP/(2) Free Democratic Party (Germany)/FDP/
自由問題 [じゆうもんだい] /(n) (in competitive sports) a free exercise/
自由訳 [じゆうやく] /(n,vs) free translation/liberal translation/
自由連合 [じゆうれんごう] /(n) Jiyuu Rengou/Liberal League (Japanese political party)/
自由連想 [じゆうれんそう] /(n) free association (in psychology)/
自由労働者 [じゆうろうどうしゃ] /(n) casual laborer (labourer)/day laborer (labourer)/
自由豁達 [じゆうかったつ] /(n,adj-na) free and easy/open and natural/not fastidious/
自由闊達 [じゆうかったつ] /(n,adj-na) free and easy/open and natural/not fastidious/
自由濶達 [じゆうかったつ] /(n,adj-na) free and easy/open and natural/not fastidious/
自余 [じよ] /(n) the others/the remainder/
自用 [じよう] /(n,vs) for personal or private use/opinionated/
自利 [じり] /(n) benefitting oneself/benefiting oneself/
自律 [じりつ] /(n,adj-no) autonomy/(P)/
自律コンピューティング [じりつコンピューティング] /(n) (comp) autonomic computing/
自律メッセージ [じりつメッセージ] /(n) (comp) autonomous message/
自律神経 [じりつしんけい] /(n,adj-no) autonomic nerves/(P)/
自律神経失調症 [じりつしんけいしっちょうしょう] /(n) autonomic ataxia/
自律動作 [じりつどうさ] /(n) (comp) autonomous action/
自立 [じりつ] /(n,vs,adj-no) independence/self-reliance/(P)/
自立型 [じりつがた] /(n) (comp) stand-alone/
自立語 [じりつご] /(n) independent (freestanding) word/substantive/
自立心 [じりつしん] /(n) spirit of self-reliance/feeling of independence/
自力 [じりき] /(n,adj-no) by oneself/self-made/(P)/
自力更正 [じりきこうせい] /(n,vs) working out one's salvation by own efforts/rehabilitating oneself by one's own efforts/rectifying one's ways of life without replying on others' help/
自力本願 [じりきほんがん] /(n,adj-no) salvation by one's own efforts/self-reliance/
自儘 [じまま] /(n) selfish(ness)/
自刎 [じふん] /(n,vs) committing suicide by slitting one's throat/
自剄 [じけい] /(n,vs) (obsc) committing suicide by slitting one's throat/
自嘲 [じちょう] /(n,vs) self derision/
蒔かぬ種は生えぬ [まかぬたねははえぬ] /(exp) (id) Nothing comes of nothing/
蒔きつける [まきつける] /(v1,vt) to sow (seeds)/
蒔き付け [まきつけ] /(n) sowing (seeds)/
蒔き付ける [まきつける] /(v1,vt) to sow (seeds)/
蒔く [まく] /(v5k,vt) (1) to sow/to plant/to seed/(2) to sprinkle (gold or silver powder on lacquerware)/(P)/
蒔絵 [まきえ] /(n) gold or silver lacquer/lacquer decoration sprinkled with metal powder/
辞 [ことば] /(n) (1) language/dialect/(2) word/words/phrase/term/expression/remark/(3) speech/(manner of) speaking/
辞 [じ] /(n) (1) address (e.g. opening or closing remarks)/speech/words/(2) ci (Chinese literary form)/(3) ancillary word/
辞さない [じさない] /(exp) willing to do/prepared/
辞す [じす] /(v5s) (1) to excuse oneself/to take one's leave/(2) to quit/to resign/to retire/to leave post/(3) to decline/to turn down/(4) unhesitatingly/(P)/
辞する [じする] /(vs-s) (1) to excuse oneself/to take one's leave/(2) to resign (post)/to quit/to retire/(3) to decline/to turn down/(4) unhesitatingly/
辞める [やめる] /(v1,vt) to resign/to retire/to quit/to leave (one's job, etc.)/(P)/
辞意 [じい] /(n) intention to resign/(P)/
辞儀 [じぎ] /(n,vs) (1) (bowing and) greeting/(2) (arch) declining/refusing/
辞宜 [じぎ] /(n,vs) (1) (bowing and) greeting/(2) (arch) declining/refusing/
辞去 [じきょ] /(n,vs) leaving/quitting/retiring/
辞書 [じしょ] /(n) (1) dictionary/lexicon/(2) (arch) letter of resignation/(P)/
辞書に拠れば [じしょによれば] /(exp) based on (according to) the dictionary/
辞書を引く [じしょをひく] /(exp,v5k) to consult a dictionary/
辞書学 [じしょがく] /(n) lexicology/
辞書形 [じしょけい] /(n) (ling) dictionary form/
辞書攻撃 [じしょこうげき] /(n) (comp) dictionary attack/
辞書部門 [じしょぶもん] /(n) lexicon/
辞書編集 [じしょへんしゅう] /(n) lexicography/
辞書類 [じしょるい] /(n) dictionaries (and similar books)/
辞譲 [じじょう] /(n,vs) deferring to another/
辞職 [じしょく] /(n,vs) resignation/(P)/
辞職を迫る [じしょくをせまる] /(exp,v5r) to urge someone to resign/to insist upon someone's resignation/
辞職願 [じしょくねがい] /(n) (written) resignation/
辞職願い [じしょくねがい] /(n) letter of resignation/
辞色 [じしょく] /(n) one's speech and appearance/
辞世 [じせい] /(n) (1) passing away/death/(2) death poem (poem written during one's final moments)/
辞退 [じたい] /(n,vs,adj-no) declining/refusal/nonacceptance/turning down/withdrawal (e.g. candidacy)/pulling out (e.g. race)/excusing oneself/(P)/
辞典 [ことばてん] /(n) dictionary/
辞典 [じてん] /(n) dictionary/(P)/
辞任 [じにん] /(vs) (1) to resign/(n) (2) resignation/(P)/
辞表 [じひょう] /(n) letter of resignation/(P)/
辞柄 [じへい] /(n) pretext/excuse/
辞林 [じりん] /(n) dictionary/
辞令 [じれい] /(n) notice of personnel change (appointment, dismissal, etc.)/(P)/
辞彙 [じい] /(n) dictionary/
汐 [うしお] /(n) (1) tide/current/(2) salt water/(3) opportunity/
汐 [しお] /(n) (1) tide/current/(2) salt water/(3) opportunity/
汐干狩 [しおひがり] /(io) (n) shell gathering (at low tide)/clamming/
汐干狩り [しおひがり] /(n) shell gathering (at low tide)/clamming/
汐汲み [しおくみ] /(n,vs) person who draws water from the sea/drawing water from the sea/
汐合い [しおあい] /(n) opportunity/chance/
鹿 [か] /(ok) (n) deer (esp. the sika deer, Cervus nippon)/
鹿 [かせぎ] /(ok) (n) deer (esp. the sika deer, Cervus nippon)/
鹿 [かのしし] /(n) (1) deer meat/(2) (arch) deer/
鹿 [しか] /(n) deer (esp. the sika deer, Cervus nippon)/(P)/
鹿 [しかにく] /(n) (1) deer meat/
鹿 [しし] /(n) (1) (arch) beast (esp. one used for its meat, such as a boar or a deer)/(2) (abbr) hunting (of animals such as boar, deer, etc.)/
鹿 [ろく] /(ok) (n) deer (esp. the sika deer, Cervus nippon)/
鹿せんべい [しかせんべい] /(n) rice crackers for feeding the deer (in Nara)/
鹿の角 [しかのつの] /(n) antler/
鹿の角切り [しかのつのきり] /(n) Deer-Antler-Cutting Ceremony (held in Nara between late October and early November)/
鹿の子 [かのこ] /(n) (1) (abbr) cloth dyed in a dappled pattern/(2) (abbr) pattern of white spots/dapples/(3) (abbr) mochi containing red bean paste/(4) (arch) fawn/
鹿の子絞 [かのこしぼり] /(n) cloth dyed in a dapple pattern/
鹿の子絞り [かのこしぼり] /(n) cloth dyed in a dapple pattern/
鹿の子斑 [かのこまだら] /(n) pattern of white spots/dapples/
鹿の子餅 [かのこもち] /(n) mochi containing red bean paste/
鹿を追う者は山を見ず [しかをおうものはやまをみず] /(exp) (id) You cannot see the wood for trees/
鹿威し [ししおどし] /(n) water-filled bamboo tube which clacks against a stone when emptied/device for scaring birds from gardens/
鹿火屋 [かひや] /(n) (arch) hut where a fire was kept to keep deer, wild boars, etc. away from fields/hut where a mosquito-repelling fire was kept/
鹿火屋 [かびや] /(n) (arch) hut where a fire was kept to keep deer, wild boars, etc. away from fields/hut where a mosquito-repelling fire was kept/
鹿垣 [しかぎ] /(n) type of hedge to keep out wild boars and deer/
鹿垣 [ししがき] /(n) type of hedge to keep out wild boars and deer/
鹿革 [しかがわ] /(n,adj-no) deerskin/
鹿驚 [あんざんし] /(n) (1) (uk) scarecrow/(2) figurehead/
鹿驚 [かかし] /(n) (1) (uk) scarecrow/(2) figurehead/
鹿驚 [かがし] /(n) (1) (uk) scarecrow/(2) figurehead/
鹿砦 [ろくさい] /(n) (obsc) abatis/
鹿子 [かこ] /(n) (arch) deer/fawn/
鹿子 [かご] /(n) (arch) deer/fawn/
鹿子の木 [かごのき] /(n) (uk) Litsea coreana (species of tree in the laurel family)/
鹿子絞り [かのこしぼり] /(io) (n) cloth dyed in a dapple pattern/
鹿児島県 [かごしまけん] /(n) Kagoshima prefecture (Kyuushuu)/
鹿狩 [ししがり] /(n) hunting (of animals such as boar, deer, etc.)/
鹿狩り [ししがり] /(n) hunting (of animals such as boar, deer, etc.)/
鹿煎餅 [しかせんべい] /(n) rice crackers for feeding the deer (in Nara)/
鹿追 [しかおい] /(n) hinged bamboo water cup or trough, which makes a percussive sound periodically as it tips over/
鹿爪らしい [しかつめらしい] /(adj-i) formal/solemn/
鹿島立ち [かしまだち] /(n,vs) to set upon a journey/to start travelling/to set off on a trip/
鹿肉 [かのしし] /(n) (1) deer meat/(2) (arch) deer/
鹿肉 [しかにく] /(n) (1) deer meat/
鹿肉 [しかにく] /(n) venison/deer meat/
鹿皮 [しかがわ] /(n,adj-no) deerskin/
鹿尾菜 [ひじき] /(n) hijiki (dark edible seaweed usu. sold in dried black strips; Hizikia fusiformis)/
鹿毛 [かげ] /(n) (1) fawn colour/(2) fawn-colored horse/
鹿野苑 [ろくやおん] /(n) Magadaava (where Buddha delivered his first sermon)/The Deer Park/
式 [しき] /(n,n-suf) (1) equation/formula/expression/(2) ceremony/(3) style/(4) (arch) enforcement regulations (of the ritsuryo)/(P)/
式を挙げる [しきをあげる] /(exp,v1) to hold a ceremony/
式を立てる [しきをたてる] /(exp,v1) to formularize (a theory)/to formularise/
式楽 [しきがく] /(n) ceremonial music/
式構え [しきがまえ] /(n) kanji "ceremony" radical (radical 56)/
式叉摩那 [しきしゃまな] /(n) probationary nun (undergoing a two-year probationary period before receiving ordainment) (san: siksamana)/
式次 [しきじ] /(n) program of a ceremony/programme of a ceremony/
式次第 [しきしだい] /(n) program of a ceremony (programme)/
式辞 [しきじ] /(n) ceremonial address/(P)/
式場 [しきじょう] /(n) ceremonial hall/place of ceremony (e.g. marriage)/(P)/
式神 [しきがみ] /(n) form of magic or divination (e.g. animating objects to act as the sorcerer's agent)/
式台 [しきだい] /(n) step in a Japanese entranceway/
式典 [しきてん] /(n) ceremony/rites/(P)/
式日 [しきじつ] /(n) day of a ceremony or event/
式年 [しきねん] /(n) year in which an imperial memorial ceremony is held (the 3rd, 5th, 10th 20th, 50th & 100th years after death and every 100 years thereafter)/
式年祭 [しきねんさい] /(n) imperial memorial ceremony (held on the anniversary of the emperor's or empress's death, on fixed years)/
式年遷宮 [しきねんせんぐう] /(n) construction of a new shrine and transfer of the enshrined object from the old to the new, occurring at a regular, preordained time/
式年遷宮祭 [しきねんせんぐうさい] /(n) fixed-interval transfer ceremony (wherein a shrine's sacred object is transferred to a newly constructed main hall)/
式微 [しきび] /(n) a decline/
式部 [しきぶ] /(n) (Meiji era) official responsible for court ceremonies/(P)/
式部官 [しきぶかん] /(n) official responsible for court ceremonies/
式部省 [しきぶしょう] /(n) (Nara and Heian era) ministry of ceremonies/
式部職 [しきぶしょく] /(n) Board of Ceremonies (part of the Imperial Household Agency)/
式服 [しきふく] /(n) ceremonial dress/
式法 [しきほう] /(n) ceremony/manners/
式目 [しきもく] /(n) (feudal era) law code/
識 [しき] /(n) (1) (Buddh) acquaintanceship/(2) vijnana (consciousness)/(3) (after a signature) written by.../
識す [しるす] /(v5s) (1) to write down/to note/(2) to remember/
識る [しる] /(v5r,vt) to know/to understand/to be acquainted with/to feel/
識見 [しきけん] /(n) views/opinion/discernment/pride/self-respect/insight/
識見 [しっけん] /(n) views/opinion/discernment/pride/self-respect/insight/
識語 [しきご] /(n) preface/editors note/postscript/
識字 [しきじ] /(n) literacy/
識字率 [しきじりつ] /(n) literacy rate/
識者 [しきしゃ] /(n) well-informed person/thinking person/intelligent person/(P)/
識者評論 [しきしゃひょうろん] /(exp) a word from the wise/
識神 [しきがみ] /(n) form of magic or divination (e.g. animating objects to act as the sorcerer's agent)/
識別 [しきべつ] /(n,vs) discrimination/discernment/identification/(P)/
識別子 [しきべつし] /(n) identifier/
識別子オクテット [しきべつしオクテット] /(n) (comp) identifier octets/
識別子参照値 [しきべつしさんしょうち] /(n) (comp) identifier reference value/
識別子参照並び [しきべつしさんしょうならび] /(n) (comp) identifier reference list/
識別子値 [しきべつしち] /(n) (comp) identifier value/
識別情報にもとづく安全保護方針 [しきべつじょうほうにもとづくあんぜんほごほうしん] /(n) (comp) identity-based security policy/
識別番号 [しきべつばんごう] /(n) (comp) identification number/
識別名 [しきべつめい] /(n) (1) (comp) identifier/(2) (comp) distinguished name/DN/
識別力 [しきべつりょく] /(n) ability to discriminate or discern/(powers of) discrimination or discernment/
識閾 [しきいき] /(n) threshold of consciousness/
鴫 [しぎ] /(n) (uk) sandpiper (any bird of family Scolopacidae, inc. the curlews, godwits, phalaropes, redshanks, ruff, snipes, turnstones, and woodcocks)/
竺学 [じくがく] /(n) Indian studies/Buddhist studies/
軸 [じく] /(n,n-suf) axis/stem/shaft/axle/(P)/
軸をかける [じくをかける] /(exp,v1) to hang a scroll picture/
軸を掛ける [じくをかける] /(exp,v1) to hang a scroll picture/
軸距 [じくきょ] /(n) wheelbase/
軸差応力 [じくさおうりょく] /(n) deviator stress/
軸索 [じくさく] /(n,adj-no) axis cylinder/axon/
軸受け [じくうけ] /(n) bearing (e.g. wheel)/
軸線 [じくせん] /(n) shaft line/axis/
軸装 [じくそう] /(n) mounting for a scroll/
軸足 [じくあし] /(n) pivot leg/
軸端 [じくたん] /(n,adj-na) shaft end/axial end/end of the shaft/
軸椎 [じくつい] /(n) axis (vertebra)/
軸吊 [じくづり] /(io) (n) pivot hinge/
軸吊り [じくづり] /(n) pivot hinge/
軸箱 [じくばこ] /(n) axle box/
軸物 [じくもの] /(n) scroll (picture)/
軸木 [じくぎ] /(n) matchwood/splint/scroll roller/
宍 [しし] /(n) (1) flesh/(2) meat/
雫 [しずく] /(n,vs) drop (of water)/drip/
七 [しち] /(num) (1) seven/(pref) (2) hepta-/(P)/
七 [な] /(num) (1) seven/(pref) (2) hepta-/
七 [なな] /(num) (1) seven/(pref) (2) hepta-/
七々日 [しちしちにち] /(n) 49th day after death/
七々日 [なななぬか] /(n) 49th day after death/
七々日 [なななのか] /(n) 49th day after death/
七か年 [ななかねん] /(adj-pn) septennial/
七つ [ななつ] /(num) seven/(P)/
七つの海 [ななつのうみ] /(n) the seven seas/
七つの罪源 [ななつのざいげん] /(n) the Seven Deadly Sins/
七つの星 [ななつのほし] /(n) (1) big dipper/(2) Sun, Moon, Mercury, Venus, Mars, Jupiter & Saturn/
七つの大罪 [ななつのだいざい] /(exp) the Seven Deadly Sins/
七つ屋 [ななつや] /(n) (col) (arch) pawnshop/
七つ時 [ななつどき] /(n) (arch) (approx.) 4 o'clock (am or pm)/
七つ星 [ななつぼし] /(n) (1) the big dipper/(2) family crest representing the seven luminaries (with one central circle surrounded by six other circles)/(3) Japanese pilchard/Japanese sardine (Sardinops melanostictus)/
七カ年 [ななかねん] /(adj-pn) septennial/
七ヵ年 [ななかねん] /(adj-pn) septennial/
七ヶ年 [ななかねん] /(adj-pn) septennial/
七屋 [ななつや] /(n) (col) (arch) pawnshop/
七化け [ななばけ] /(n) the seven common disguises of ninja/
七箇年 [ななかねん] /(adj-pn) septennial/
七回忌 [しちかいき] /(n) seventh anniversary of a death/
七角形 [しちかっけい] /(n) heptagon/
七竃 [ななかまど] /(n) (uk) Japanese rowan (species of mountain ash, Sorbus commixta)/
七観音 [しちかんのん] /(n) (1) the seven forms of Avalokitesvara/(2) the seven Avalokitesvaras of Kyoto/
七曲がり [ななまがり] /(n) tortuous or spiral (path)/
七月 [しちがつ] /(n-adv) July/(P)/
七月革命 [しちがつかくめい] /(n) July Revolution (France, 1830)/
七賢 [しちけん] /(n) (1) the Seven Wise Men (of Confucius's Analects)/(2) Seven Sages of the Bamboo Grove/
七賢人 [しちけんじん] /(n) the Seven Wise Men (of Greece)/the Seven Sages of Greece/
七弦琴 [しちげんきん] /(n) (col) qin (7-stringed Chinese zither)/guqin/seven-stringed koto/
七絃琴 [しちげんきん] /(n) (col) qin (7-stringed Chinese zither)/guqin/seven-stringed koto/
七言絶句 [しちごんぜっく] /(n) poem of four lines, each of seven (Chinese) characters/
七言律詩 [しちごんりっし] /(n) poem of eight lines, each of seven (Chinese) characters/
七五三 [しちごさん] /(n) (1) festival (shrine visit) by children aged 7, 5 and 3/(2) lucky numbers 7, 5 and 3/(P)/
七五三 [しめ] /(iK) (n) (1) (Shinto) rope used to cordon off consecrated areas or as a talisman against evil/(2) (arch) cordoned off/
七五三飾 [しめかざり] /(n) decorating shrines and gates with shimenawa ropes for the New Year/
七五三縄 [しめなわ] /(n) (Shinto) rope used to cordon off consecrated areas or as a talisman against evil/
七五調 [しちごちょう] /(n) seven-and-five-syllable meter/
七光 [ななひかり] /(n) benefiting from the influence of a master or parent/
七光り [ななひかり] /(n) benefiting from the influence of a master or parent/
七公三民 [しちこうさんみん] /(n) land-tax rate during the Edo period, in which the government took 70 percent of the year's crop and the farmers kept 30 percent/
七三 [しちさん] /(n) 7 or 3 ratio/hair parted on one side/
七三分け [しちさんわけ] /(n) side parting/hair parted to one side/
七七日 [しちしちにち] /(n) 49th day after death/(P)/
七七日 [なななぬか] /(n) 49th day after death/
七七日 [なななのか] /(n) 49th day after death/
七種 [ななくさ] /(n) (1) the seven spring flowers/the seven fall flowers/the seven autumn flowers/(2) (abbr) the seventh of January/Festival of Seven Herbs/
七種がゆ [ななくさがゆ] /(n) rice gruel containing the seven plants of spring/
七種の節句 [ななくさのせっく] /(n) Feast of the Seven Herbs of Health (7th of January)/one of the 5 seasonal festivals/
七種粥 [ななくさがゆ] /(n) rice gruel containing the seven plants of spring/
七種競技 [ななしゅきょうぎ] /(n) heptathlon/
七衆 [しちしゅ] /(n) seven orders of Buddhist disciples (monks, nuns, probationary nuns, male novices, female novices, male lay devotees, female lay devotees)/
七週の祭 [ななまわりのいわい] /(n) the Feast of Weeks/Pentecost/
七週の祭り [ななしゅうのまつり] /(n) the Feast of Weeks/Pentecost/
七十 [しちじゅう] /(n) seventy/(P)/
七十 [ななじゅう] /(n) seventy/
七十 [ななそ] /(n) seventy/
七十古希 [しちじゅうこき] /(exp) Men seldom live to be seventy (Du Fu (c.712-c.770))/Few people live to be seventy/
七十人訳聖書 [しちじゅうにんやくせいしょ] /(n) Septuagint/
七十人訳聖書 [ななじゅうにんやくせいしょ] /(n) Septuagint/
七十二候 [しちじゅうにこう] /(n) the 72 'climates' of the year based on the 24 solar seasons further divided into three/
七十路 [ななそじ] /(n) age seventy/one's seventies/
七重 [ななえ] /(n,adj-no) sevenfold/seven-ply/
七色 [しちしょく] /(n) the seven prismatic colors (colours)/
七色 [なないろ] /(n) the seven prismatic colors (colours)/
七色唐辛子 [なないろとうがらし] /(n) blend of seven spices (cayenne, sesame, Japanese pepper, citrus peel, etc.)/
七星 [しちせい] /(n) Big Dipper/Ursa Major/
七星天道虫 [ななほしてんとう] /(n) (uk) seven-spot ladybird/seven-spotted ladybug (Coccinella septempunctata)/
七星瓢虫 [ななほしてんとう] /(n) (uk) seven-spot ladybird/seven-spotted ladybug (Coccinella septempunctata)/
七生 [しちしょう] /(n-adv,n-t) seven lives/
七生報国 [しちしょうほうこく] /(n) unfailing devotion to one's country/
七赤 [しちせき] /(n) seventh of nine traditional astrological signs (corresponding to Venus and west)/
七節 [ななふし] /(n) (uk) walking stick (any insect of order Phasmatodea)/walkingstick/stick insect/leaf insect/
七草 [ななくさ] /(n) (1) the seven spring flowers/the seven fall flowers/the seven autumn flowers/(2) (abbr) the seventh of January/Festival of Seven Herbs/
七草の節句 [ななくさのせっく] /(n) Feast of the Seven Herbs of Health (7th of January)/one of the 5 seasonal festivals/
七草粥 [ななくさがゆ] /(n) rice gruel containing the seven plants of spring/
七大私学 [しちだいしがく] /(n) seven boarding schools established in Kyoto by noble families during the early Heian period/
七大寺 [しちだいじ] /(n) (obsc) the seven great temples of Nara (Daian-ji, Gango-ji, Horyu-ji, Kofuku-ji, Saidai-ji, Todai-ji, Yakushi-ji)/
七珍万宝 [しっちんまんぽう] /(n) the seven treasures and many other precious things/all the treasures in the world/
七転び八起き [ななころびやおき] /(n) the vicissitudes of life/ups and downs in life/always rising after a fall or repeated failures/
七転八起 [しちてんはっき] /(n) the vicissitudes of life/ups and downs in life/always rising after a fall or repeated failures/
七転八起 [ななころびやおき] /(n) the vicissitudes of life/ups and downs in life/always rising after a fall or repeated failures/
七転八倒 [しちてんばっとう] /(n,vs) tossing oneself about in great pain/writhing in agony/
七転八倒 [しってんばっとう] /(n,vs) tossing oneself about in great pain/writhing in agony/
七顛八起 [しちてんはっき] /(n) the vicissitudes of life/ups and downs in life/always rising after a fall or repeated failures/
七顛八倒 [しちてんばっとう] /(n,vs) tossing oneself about in great pain/writhing in agony/
七顛八倒 [しってんばっとう] /(n,vs) tossing oneself about in great pain/writhing in agony/
七殿 [しちでん] /(n) seven residential pavilions for court ladies (in the inner Heian Palace)/
七堂伽藍 [しちどうがらん] /(n) complete seven-structured temple compound/
七道 [しちどう] /(n) the seven districts of ancient Japan/
七難 [しちなん] /(n) (1) (Buddh) the Seven Misfortunes/(2) great number of faults or defects/
七難八苦 [しちなんはっく] /(n) (1) (Buddh) the Seven Misfortunes and Eight Pains/(2) a series of disasters/
七日 [なぬか] /(n-adv) (1) the seventh day of the month/(2) seven days/
七日 [なのか] /(n-adv) (1) the seventh day of the month/(2) seven days/(P)/
七日鮫 [なぬかざめ] /(n) (uk) blotchy swell shark (species of cat shark, Cephaloscyllium umbratile)/
七年忌 [しちねんき] /(n) seventh anniversary of a death/
七年戦争 [しちねんせんそう] /(n) Seven Years' War (1756-1763)/
七半 [ななはん] /(n) (sl) 750cc motorcycle/
七百 [しちひゃく] /(n) 700/
七百 [ななひゃく] /(n) 700/
七不思議 [ななふしぎ] /(n) seven wonders (of a particular area)/
七福神 [しちふくじん] /(n) Seven Deities of Good Luck/(P)/
七仏 [しちぶつ] /(n) (abbr) the seven previous incarnations of Buddha/
七仏通戒偈 [しちぶつつうかいげ] /(n) (Buddh) Verse of the Shared Morality of the Seven Buddhas/
七分 [しちぶん] /(n) type of baggy tobi trousers with the baggy part taking up seven-tenths of the full length of the trouser leg/
七分三分 [しちぶさんぶ] /(n) seven to three (chances)/
七分丈 [しちぶたけ] /(adj-no) three-quarter length (usu. clothing)/
七分丈 [しちぶだけ] /(adj-no) three-quarter length (usu. clothing)/
七分袖 [しちぶそで] /(n) three-quarter sleeves/
七分搗き [しちぶづき] /(n) seventy percent polished rice/
七並べ [しちならべ] /(n) fan-tan (card game)/sevens/parliament/
七変化 [しちへんげ] /(n) (1) (uk) lantana (plant, flower)/(2) kabuki dance in which the dancer quickly changes his clothes seven times/
七辺形 [しちへんけい] /(n) heptagon/septagon/
七宝 [しっぽう] /(n) (1) (Buddh) the 7 treasures (gold, silver, pearls, agate, crystal, coral, lapis lazuli)/(n,adj-no) (2) cloisonne/
七宝焼 [しっぽうやき] /(n) cloisonne ware/
七宝焼き [しっぽうやき] /(n) cloisonne ware/
七方出 [しっぽうで] /(n) (MA) seven disguises of the ninja/
七本 [ななほん] /(n) seven (long cylindrical things)/
七味 [しちみ] /(n) (1) seven delicious flavors (flavours)/(2) (abbr) blend of seven spices (cayenne, sesame, Japanese pepper, citrus peel, etc.)/shichimi/
七味唐辛子 [しちみとうがらし] /(n) blend of seven spices (cayenne, sesame, Japanese pepper, citrus peel, etc.)/
七面体 [しちめんたい] /(n) heptahedron/
七面鳥 [しちめんちょう] /(n) turkey/
七面倒 [しちめんどう] /(adj-na,n) great trouble/difficulty/
七夜 [しちや] /(n) celebration of a child's seventh day/
七夜月 [ななよづき] /(n) (obsc) seventh lunar month/
七夕 [しちせき] /(n) Festival of the Weaver (July 7th)/Star Festival (one of the five annual festivals)/
七夕 [たなばた] /(n) Festival of the Weaver (July 7th)/Star Festival (one of the five annual festivals)/(P)/
七曜 [しちよう] /(n) (1) the seven luminaries (sun, moon, Mercury, Venus, Mars, Jupiter and Saturn)/(2) the seven days of the week/
七曜星 [しちようせい] /(n) (1) the Big Dipper/the Plough/the Plow/(2) the seven luminaries (sun, moon, Mercury, Venus, Mars, Jupiter and Saturn)/
七曜表 [しちようひょう] /(n) calendar/
七厘 [しちりん] /(n) earthen charcoal brazier (for cooking)/
七輪 [しちりん] /(n) earthen charcoal brazier (for cooking)/
七竈 [ななかまど] /(n) (uk) Japanese rowan (species of mountain ash, Sorbus commixta)/
叱 [しかり] /(n) scolding/
叱 [しっ] /(int) (1) (uk) shh! (used to silence someone)/sh!/(2) shoo! (used to drive off an approaching animal, etc.)/
叱られる [しかられる] /(v1) to be scolded/to be reproved/
叱り [しかり] /(n) scolding/
叱りつける [しかりつける] /(v1,vt) to rebuke/to scold harshly/
叱り飛ばす [しかりとばす] /(v5s,vt) to rebuke strongly/to tell off/
叱り付ける [しかりつける] /(v1,vt) to rebuke/to scold harshly/
叱る [しかる] /(v5r,vt) (uk) to scold/(P)/
叱言 [こごと] /(iK) (n) scolding/fault-finding/
叱正 [しっせい] /(n) point out errors/correction (of errors)/
叱責 [しっせき] /(n,vs,adj-no) reprimand/rebuke/
叱咤 [しった] /(oK) (n,vs) scolding/rebuke/reprimand/
叱咤激励 [しったげきれい] /(n,vs) giving a loud pep talk/encouraging (somebody) strongly in a loud voice/
執り行う [とりおこなう] /(v5u,vt) to hold a ceremony/
執り成す [とりなす] /(v5s,vt) to mediate/to intervene/to smooth/
執る [とる] /(v5r,vt) to take (trouble)/to attend (to business)/to command (army)/(P)/
執金鋼 [しっこんごう] /(n) Diamond Holder (name of a Buddhist celestial being)/
執金剛神 [しっこんごうじん] /(n) (Buddh) Vajradhara (vajra-wielding gods)/
執金剛神 [しゅうこんごうじん] /(n) (Buddh) Vajradhara (vajra-wielding gods)/
執金剛神 [しゅこんごうじん] /(n) (Buddh) Vajradhara (vajra-wielding gods)/
執権 [しっけん] /(n) regent to the shogunate/
執行 [しぎょう] /(n) (1) (Buddh) pursuit of knowledge/studying/learning/training/ascetic practice (practise)/discipline/
執行 [しっこう] /(n,vs,adj-f) (1) enforcement/performance/execution/exercise/service/(n) (2) (Buddh) pursuit of knowledge/studying/learning/training/ascetic practice (practise)/discipline/(P)/
執行 [しゅうぎょう] /(n) (1) (Buddh) pursuit of knowledge/studying/learning/training/ascetic practice (practise)/discipline/
執行 [しゅぎょう] /(n,vs,adj-f) (1) enforcement/performance/execution/exercise/service/(n) (2) (Buddh) pursuit of knowledge/studying/learning/training/ascetic practice (practise)/discipline/
執行委員 [しっこういいん] /(n) executive committee/(P)/
執行機関 [しっこうきかん] /(n) executive committee or organ/
執行部 [しっこうぶ] /(n) executive/executives/(P)/
執行役員 [しっこうやくいん] /(n) operating officer/company executive/
執行猶予 [しっこうゆうよ] /(n,adj-no) stay of execution/suspended sentence/(P)/
執行吏 [しっこうり] /(n) bailiff/
執事 [しつじ] /(n,adj-no) (1) steward/butler/(2) court official/(3) deacon (Anglican, Lutheran, etc.)/
執心 [しゅうしん] /(n,vs) devotion/attachment/infatuation/
執成し [とりなし] /(n) mediation/intercession/smoothing over/
執成す [とりなす] /(v5s,vt) to mediate/to intervene/to smooth/
執政 [しっせい] /(n,adj-no) administration/government/administrator/governor/
執政官 [しっせいかん] /(n) consul/
執達吏 [しったつり] /(n) bailiff/
執着 [しゅうじゃく] /(n,vs) attachment/adhesion/tenacity/
執着 [しゅうちゃく] /(n,vs) attachment/adhesion/tenacity/(P)/
執着心 [しゅうちゃくしん] /(n) attachment (to)/tenacity of purpose/
執著 [しゅうじゃく] /(n,vs) attachment/adhesion/tenacity/
執著 [しゅうちゃく] /(n,vs) attachment/adhesion/tenacity/
執刀 [しっとう] /(n,vs) performing a surgical operation/
執念 [しゅうねん] /(n) tenacity/implacability/(P)/
執念い [しゅうねい] /(adj-i) stubborn/persistent/
執念深い [しゅうねんぶかい] /(adj-i) vindictive/tenacious/persistent/spiteful/vengeful/
執筆 [しっぴつ] /(n,vs) writing (e.g. as a profession)/(P)/
執筆者 [しっぴつしゃ] /(n) author/
執務 [しつむ] /(n,vs) performance of one's official duties/(P)/
執務室 [しつむしつ] /(n) office (e.g. the Oval Office)/
執務心得 [しつむこころえ] /(n) guide to office routine/guide to the performance of official duties/
執務中 [しつむちゅう] /(n) at work/
執拗 [しつよう] /(adj-na) persistent/obstinate/tenacious/relentless/insistent/importunate/persevering/stubborn/
失う [うしなう] /(v5u,vt) to lose/to part with/(P)/
失くす [なくす] /(iK) (v5s,vt) (1) to lose something/(2) to get rid of/
失する [しっする] /(vs-s) to lose/to miss/to forget/to be excessive/
失せる [うせる] /(v1,vi) to disappear/to vanish/
失せろ [うせろ] /(n) beat it!/get out of my sight!/
失せ去る [うせさる] /(v5r) to disappear/to be gone/
失せ物 [うせもの] /(n) lost article/
失意 [しつい] /(n,adj-no) disappointment/despair/adversity/(P)/
失意泰然 [しついたいぜん] /(adj-t,adv-to) (arch) keeping calm and collected at times of disappoinment/maintaining a serene state of mind in adversity/
失火 [しっか] /(n,vs) accidental fire/
失格 [しっかく] /(n,vs) disqualification/elimination/incapacity (legal)/(P)/
失格者 [しっかくしゃ] /(n) disqualified person/
失楽園 [しつらくえん] /(n) Paradise Lost (poem by Milton)/
失活 [しっかつ] /(n) (chem) deactivation/
失陥 [しっかん] /(n,vs) surrender/fall/
失脚 [しっきゃく] /(n,vs) losing one's standing/being overthrown/falling/(P)/
失業 [しつぎょう] /(n,vs,adj-no) unemployment/(P)/
失業給付 [しつぎょうきゅうふ] /(n) unemployment benefit/
失業者 [しつぎょうしゃ] /(n) unemployed person/
失業手当 [しつぎょうてあて] /(exp) unemployment allowance/
失業手当て [しつぎょうてあて] /(exp) unemployment allowance/
失業対策 [しつぎょうたいさく] /(n) relief work for the unemployed/
失業保険 [しつぎょうほけん] /(n) unemployment insurance/
失業率 [しつぎょうりつ] /(n) unemployment rate/
失業労働者 [しつぎょうろうどうしゃ] /(n) unemployed labor/unemployed labour/
失禁 [しっきん] /(n,vs,adj-no) incontinence/
失敬 [しっけい] /(adj-na,int,n,vs) rudeness/saying good-bye/acting impolitely/stealing/impoliteness/disrespect/impertinence/(P)/
失敬千万 [しっけいせんばん] /(adj-na) extremely rude (impertinent, impolite)/
失血 [しっけつ] /(n,vs) loss of blood/
失権 [しっけん] /(n,vs) loss of rights/disenfranchisement/
失見当 [しつけんとう] /(n) disorientation/
失言 [しつげん] /(n,vs) using improper words/verbal slip/
失語 [しつご] /(n,vs) forgetting the words/inability to pronounce a word correctly/
失語症 [しつごしょう] /(n) aphasia (loss of speech)/
失効 [しっこう] /(n,vs) lapse/abatement/invalidation/
失効日 [しっこうび] /(n) expiry date/date of expiry/
失効日時表示 [しっこうにちじひょうじ] /(n) (comp) expiry date indication/
失考 [しっこう] /(n) misunderstanding/
失行 [しっこう] /(n) (1) (ethical) mistake/(2) apraxia (inability to purposely perform some actions)/
失策 [しっさく] /(n,vs) blunder/slip/error/(P)/
失錯 [しっさく] /(n,vs) blunder/slip/error/
失笑 [しっしょう] /(n,vs) laughter at an inappropriate time/sarcastic laughter/snigger/
失職 [しっしょく] /(n,vs) unemployment/
失職者 [しっしょくしゃ] /(n) unemployed person/
失心 [しっしん] /(n,vs,adj-no) faint/trance/swoon/stupefaction/
失神 [しっしん] /(n,vs,adj-no) faint/trance/swoon/stupefaction/(P)/
失政 [しっせい] /(n) misgovernment/
失声症 [しっせいしょう] /(n) aphonia (loss of speech, due to damage to the larynx, etc.)/
失跡 [しっせき] /(n,vs) absconding/disappearance/(P)/
失速 [しっそく] /(n,vs) stall (in flying)/(P)/
失体 [しったい] /(n) mismanagement/fault/error/failure/disgrace/discredit/
失対 [しったい] /(n) measure against unemployment/
失態 [しったい] /(n) mismanagement/fault/error/failure/disgrace/discredit/(P)/
失地 [しっち] /(n) lost territory/
失地回復 [しっちかいふく] /(n) the recovery of lost territory/recovering (regaining) lost ground (one' former position)/fence-mending/
失着 [しっちゃく] /(n) mistake/negligence/
失調 [しっちょう] /(n) lack of harmony/
失墜 [しっつい] /(n,vs) abasement/fall/forfeiture/sinking (in people's estimation)/(P)/
失点 [しってん] /(n) run charged to the pitcher/(P)/
失投 [しっとう] /(n,vs) careless pitch (baseball)/
失当 [しっとう] /(adj-na,n) injustice/impropriety/unreasonableness/
失透 [しっとう] /(n,vs) devitrification/
失読症 [しつどくしょう] /(n) dyslexia/
失認症 [しつにんしょう] /(n) agnosia (loss of ability to recognize objects, persons, sounds, shapes, or smells)/
失念 [しつねん] /(n,vs) forgetting/lapse of memory/oblivion/
失敗 [しっぱい] /(n,adj-no,vs) failure/mistake/blunder/(P)/
失敗の恐れ [しっぱいのおそれ] /(n) risk of failure/
失敗の虞 [しっぱいのおそれ] /(n) risk of failure/
失敗は成功のもと [しっぱいはせいこうのもと] /(exp) (col) failure teaches success/
失敗は成功の基 [しっぱいはせいこうのもと] /(exp) (id) Failure is a stepping-stone to success/
失敗は成功の元 [しっぱいはせいこうのもと] /(exp) (col) failure teaches success/
失敗作 [しっぱいさく] /(n) failed creative work/flop/dud/bomb/
失敗者 [しっぱいしゃ] /(n) loser/failure/
失敗談 [しっぱいだん] /(n) failure story/horror story/(P)/
失敗判定 [しっぱいはんてい] /(n) (comp) fail verdict/
失敗率 [しっぱいりつ] /(n) rate of failure/
失費 [しっぴ] /(n) expenses/
失保 [しつほ] /(n) unemployment insurance/
失望 [しつぼう] /(n,vs) disappointment/despair/(P)/
失望するどころか [しつぼうするどころか] /(exp) far from being disappointed/
失望する所か [しつぼうするどころか] /(exp) far from being disappointed/
失望落胆 [しつぼうらくたん] /(n,vs) being disappointed and disheartened/
失名 [しつめい] /(n) name unknown/
失名氏 [しつめいし] /(n) unknown person/
失命 [しつめい] /(n,vs) losing one's life/dying/
失明 [しつめい] /(n,vs) loss of eyesight/(P)/
失明者 [しつめいしゃ] /(n) blind person/
失礼 [しつれい] /(n,vs,adj-na) (1) discourtesy/impoliteness/(exp) (2) Excuse me/Goodbye/(vs) (3) to leave/(4) to be rude/(P)/
失礼しました [しつれいしました] /(n) excuse me/I'm sorry/
失礼します [しつれいします] /(n) excuse me/
失礼至極 [しつれいしごく] /(adj-na) extremely rude (impertinent, impolite)/
失礼千万 [しつれいせんばん] /(adj-na) extremely rude (impertinent, impolite)/
失恋 [しつれん] /(n,vs) disappointed love/broken heart/unrequited love/being lovelorn/(P)/
失踪 [しっそう] /(n,vs) absconding/disappearance/
失踪宣告 [しっそうせんこく] /(n) court decision declaring a missing person legally dead/
嫉む [そねむ] /(v5m,vt) (uk) to be jealous of/to envy/to begrudge/
嫉む [そねむ] /(v5m,vt) to be jealous/to be envious/
嫉む [ねたむ] /(v5m,vt) (uk) to be jealous of/to envy/to begrudge/
嫉視 [しっし] /(n) (1) jealousy/(vs) (2) to be jealous/
嫉視反目 [しっしはんもく] /(n,vs) jealousy and enmity/being jealous of and at odds with (each other)/
嫉妬 [しっと] /(n,vs) jealousy/envy/(P)/
嫉妬の炎 [しっとのほのお] /(n) flames of jealousy/
嫉妬心 [しっとしん] /(n) feeling of envy/jealous feeling/
嫉妬深い [しっとぶかい] /(adj-i) (deeply) jealous/
室 [しつ] /(n,n-suf) (1) room/(2) (obsc) wife (of someone of high rank)/(3) (obsc) scabbard/(4) Chinese "Encampment" constellation (one of the 28 mansions)/(P)/
室 [むろ] /(n) greenhouse/icehouse/cellar/
室を出る [しつをでる] /(exp,v1) to leave the room/
室鯵 [むろあじ] /(n) (1) (uk) brownstriped mackerel scad (Decapterus muroadsi)/(2) mackerel scad (any fish of genus Decapterus)/
室温 [しつおん] /(n,adj-no) room temperature/
室外 [しつがい] /(n) outdoors/outside a room/outside the room/
室咲き [むろざき] /(n) hothouse flower cultivation/
室宿 [はついぼし] /(n) Chinese "Encampment" constellation (one of the 28 mansions)/
室積 [むろつみ] /(n) (arch) inn/
室積み [むろつみ] /(n) (arch) inn/
室町 [むろまち] /(n) Muromachi (era 1392-1573, or 1333-1573, or 1336-1573)/(P)/
室町時代 [むろまちじだい] /(n) Muromachi period (1333-1573 CE)/
室町幕府 [むろまちばくふ] /(n) Muromachi shogunate (1336-1573 CE)/
室長 [しつちょう] /(n) room monitor/(P)/
室内 [しつない] /(n,adj-no) indoor/inside the room/(P)/
室内プール [しつないプール] /(n) indoor pool/
室内楽 [しつないがく] /(n) chamber music/(P)/
室内管弦楽団 [しつないかんげんがくだん] /(n) chamber orchestra/
室内協奏曲 [しつないきょうそうきょく] /(n) chamber concerto/
室内実験 [しつないじっけん] /(n) (comp) lab test/in-house test/
室内装飾 [しつないそうしょく] /(n) interior decorating/
室内遊戯 [しつないゆうぎ] /(n) indoor games/
室内履き [しつないばき] /(n) slippers/
室料 [しつりょう] /(n) room rent/room rate (hotel, etc.)/
室鰺 [むろあじ] /(n) (1) (uk) brownstriped mackerel scad (Decapterus muroadsi)/(2) mackerel scad (any fish of genus Decapterus)/
悉 [ことごと] /(n) everything/
悉く [ことごとく] /(adv) (uk) altogether/entirely/(P)/
悉に [つぶさに] /(adv) in detail/with great care/completely/again and again/
悉皆 [しっかい] /(adv) all/
悉曇 [しったん] /(n) Siddham character (used for writing Sanskrit) (san:)/
悉曇学 [しったんがく] /(n) Siddham studies/
悉無律 [しつむりつ] /(n) all-or-none law/all-or-none-principle/
湿し水 [しめしみず] /(n) dampening solution/dampening agent/
湿す [しめす] /(v5s,vt) to wet/to moisten/to dampen/
湿った [しめった] /(adj-f) moist/damp/wet/
湿っぽい [しめっぽい] /(adj-i) damp/gloomy/(P)/
湿らす [しめらす] /(v5s,vt) to dampen/to moisten/
湿らせる [しめらせる] /(v1,vt) to dampen/to moisten/
湿り [しめり] /(n) dampness/humidity/moisture/
湿り気 [しめりけ] /(n) moisture/
湿る [しめる] /(v5r,vi) to be wet/to become wet/to be damp/(P)/
湿気 [しっき] /(n) moisture/humidity/dampness/
湿気 [しっけ] /(n) moisture/humidity/dampness/(P)/
湿気る [しける] /(v5r,v1,vi) to be damp/to be moist/
湿気る [しっける] /(v5r,v1,vi) to be damp/to be moist/
湿原 [しつげん] /(n) marshy grassland/wetlands/(P)/
湿式 [しっしき] /(n,adj-no) wet (process)/
湿潤 [しつじゅん] /(adj-na,n,adj-no) dampness/
湿疹 [しっしん] /(n) eczema/rash/(P)/
湿性 [しっせい] /(n) wet (pleurisy)/
湿生植物 [しっせいしょくぶつ] /(n) hydrophyte/
湿雪 [しっせつ] /(n) (obsc) wet snow/
湿舌 [しつぜつ] /(n) wet (moist) tongue/
湿地 [しっち] /(n,adj-no) wetland/wetlands/(P)/
湿地 [しめじ] /(n) (1) (uk) Lyophyllum shimeji (species of edible mushroom)/(2) euagaric fungus (in grocery stores, usu. refers to cultivated field mushrooms, etc.)/
湿田 [しつでん] /(n) a paddy moist all year due to improper irrigation/
湿電池 [しつでんち] /(n) wet cell battery/
湿度 [しつど] /(n) level of humidity/(P)/
湿度計 [しつどけい] /(n) hygrometer/hygrograph/
湿板 [しつばん] /(n) wet plate (photography)/
湿布 [しっぷ] /(n,vs) fomentation/compress/
漆 [うるし] /(n) (1) lacquer/varnish/japan/(2) (uk) lacquer tree (Toxicodendron vernicifluum)/(P)/
漆 [しち] /(num) seven (used in legal documents)/
漆 [なな] /(num) seven (used in legal documents)/
漆かぶれ [うるしかぶれ] /(n) lacquer poisoning/
漆屋 [うるしや] /(n) lacquer shop/lacquerer/
漆絵 [うるしえ] /(n) a lacquer painting/
漆器 [しっき] /(n) lacquer ware/(P)/
漆喰 [しっくい] /(gikun) (n) mortar/plaster/stucco/
漆工 [しっこう] /(n) japanning/lacquer work/
漆黒 [しっこく] /(n,adj-no) jet black/(P)/
漆樹 [うるし] /(n) (1) lacquer/varnish/japan/(2) (uk) lacquer tree (Toxicodendron vernicifluum)/
漆食 [しっくい] /(gikun) (n) mortar/plaster/stucco/
漆塗り [うるしぬり] /(n) lacquering/lacquer ware/(P)/
漆負け [うるしまけ] /(n,vs) lacquer poisoning/
疾い [はやい] /(oK) (adj-i) (1) fast/quick/hasty/brisk/(2) early (in the day, etc.)/premature/(3) (too) soon/not yet/(too) early/(4) easy/simple/quick/
疾う [とう] /(adv) (1) quickly/swiftly/(n,adj-no) (2) a long time ago/
疾うに [とうに] /(adv) (uk) long ago/a long time ago/already/
疾うの昔 [とうのむかし] /(exp,n-t) a long time ago/
疾く [とく] /(adv) (1) quickly/swiftly/(2) already/before/(n,adj-no) (3) long time ago/
疾くの昔 [とくのむかし] /(exp,n-t) (obsc) a long time ago/
疾く疾く [とくとく] /(adv) (arch) quickly/swiftly/
疾っく [とっく] /(n-t,adj-no) (1) a long time ago/(adv) (2) quickly/swiftly/
疾っくに [とっくに] /(adv) (uk) long ago/already/a long time ago/(P)/
疾っくの昔 [とっくのむかし] /(exp,n-t) a long time ago/
疾患 [しっかん] /(n,adj-no) disease/ailment/(P)/
疾強風 [しっきょうふう] /(n) fresh gale/
疾苦 [しっく] /(n,vs) affliction/suffering/
疾駆 [しっく] /(n,vs) riding fast/driving a horse fast/
疾呼 [しっこ] /(n,vs) shout/
疾視 [しっし] /(n) spiteful gaze/
疾走 [しっそう] /(n,vs) sprint/dash/scampering/(P)/
疾病 [しっぺい] /(n) illness/disease/(P)/
疾病対策センター [しっぺいたいさくセンター] /(n) Centers for Disease Control and Prevention/CDC/
疾病保険 [しっぺいほけん] /(n) sickness insurance/
疾風 [しっぷう] /(n) gale/strong wind/swift wind/fresh breeze (Beaufort scale)/(P)/
疾風 [しっぷう] /(n) squall/gale/hurricane/(P)/
疾風 [はやて] /(n) gale/strong wind/swift wind/fresh breeze (Beaufort scale)/
疾風 [はやて] /(n) squall/gale/hurricane/
疾風迅雷 [しっぷうじんらい] /(n) with lightning speed/
疾風怒濤 [しっぷうどとう] /(n) Sturm und Drang (ger:)/storm and stress/
疾雷 [しつらい] /(n) sudden and violent thunder/
質 [しつ] /(n,n-suf) quality/(P)/
質 [たち] /(n) quality/nature (of person)/
質がいい [たちがいい] /(exp,adj-i) (uk) good (quality)/
質がよい [たちがよい] /(exp,adj-i) (uk) good (quality)/
質が悪い [たちがわるい] /(exp,adj-i) nasty/vicious/wicked/poor (quality)/
質が良い [たちがいい] /(exp,adj-i) (uk) good (quality)/
質が良い [たちがよい] /(exp,adj-i) (uk) good (quality)/
質す [ただす] /(v5s,vt) (uk) to enquire of someone about something (inquire)/to question/
質に入れる [しちにいれる] /(v1) to pawn/to pledge/
質のいい [たちのいい] /(exp) good (quality)/
質の悪い [たちのわるい] /(adj-i) nasty/poor (quality)/
質の良い [たちのよい] /(exp) good (quality)/
質悪い [たちわるい] /(exp,adj-i) in bad taste/problematic/of poor character/
質屋 [しちや] /(n) pawnshop/(P)/
質感 [しっかん] /(n) feel of a material/
質感 [しつかん] /(n) feel of a material/
質疑 [しつぎ] /(n,vs) (1) question/(2) interpellation/(P)/
質疑応答 [しつぎおうとう] /(n) question and answer session/
質欠陥の責任 [しつけっかんのせきにん] /(n) quality and defects liability/
質券 [しちけん] /(n) pawn ticket/
質権 [しちけん] /(n) the right of pledge/
質権者 [しちけんしゃ] /(n) person who receives a pledge/pledgee/pawnee/
質札 [しちふだ] /(n) pawn ticket/
質実 [しつじつ] /(adj-na,n) simplicity/plainness/
質実剛健 [しつじつごうけん] /(n,adj-na) unaffected and sincere, with fortitude and vigor (vigour)/
質種 [しちぐさ] /(n) article for pawning/
質種 [しちだね] /(n) article for pawning/
質素 [しっそ] /(adj-na,n) simplicity/modesty/frugality/(P)/
質素倹約 [しっそけんやく] /(n,vs) (practice) simplicity and frugality/scrimping and saving/
質草 [しちぐさ] /(n) article for pawning/
質草を流す [しちぐさをながす] /(exp,v5s) to forfeit a pawned article/
質的 [しつてき] /(adj-na,n) qualitative/(P)/
質店 [しちてん] /(n) pawnshop/
質店 [しちみせ] /(n) pawnshop/
質点 [しつてん] /(n) particle/material point/
質点系 [しつてんけい] /(n) system of particles/
質入れ [しちいれ] /(n,vs) pawning/
質物 [しちもつ] /(n) pawn/pledge (given as security)/
質物 [しちもの] /(n) pawn/pledge (given as security)/
質舗 [しちほ] /(n) pawnshop/
質朴 [しつぼく] /(adj-na,n) simplicity/
質問 [しつもん] /(n,vs,adj-no) question/inquiry/enquiry/(P)/
質問ぜめ [しつもんぜめ] /(n) barrage of questions/
質問に答える [しつもんにこたえる] /(exp,v1) to answer a question/
質問をする [しつもんをする] /(exp,vs-i) to ask a question/to ask questions/(P)/
質問攻め [しつもんぜめ] /(n) barrage of questions/
質問時間 [しつもんじかん] /(n) question time (e.g. in parliament, diet, etc.)/question period/time allowed for questions/
質問者 [しつもんしゃ] /(n) interrogator/
質問書 [しつもんしょ] /(n) written inquiry/written enquiry/
質問状 [しつもんじょう] /(n) written question/questionnaire/
質問用紙 [しつもんようし] /(n) questionnaire/
質流れ [しちながれ] /(n) unredeemed pawned item/
質流れの時計 [しちながれのとけい] /(n) unredeemed (pawned) watch/
質料 [しつりょう] /(n,adj-no) matter (in Aristotelian philosophy)/
質料因 [しつりょういん] /(n) material cause/
質量 [しつりょう] /(n) mass/(P)/
質量スペクトル [しつりょうスペクトル] /(n) mass spectrum/
質量欠損 [しつりょうけっそん] /(n) mass defect (physics)/
質量作用の法則 [しつりょうさようのほうそく] /(n) law of mass action/
質量数 [しつりょうすう] /(n) mass number/
質量中心 [しつりょうちゅうしん] /(n) center of mass (centre)/
質量分析器 [しつりょうぶんせきき] /(n) mass spectrograph/
質量保存の法則 [しつりょうほぞんのほうそく] /(n) law of conservation of mass/
質樸 [しつぼく] /(adj-na,n) simplicity/unsophisticated/
実 [さね] /(n) (1) (obsc) pit (of a fruit)/stone/(2) core/(3) tongue (piece of wood used to connect two boards)/(4) clitoris/
実 [じち] /(n,adj-no) (1) truth/reality/
実 [じつ] /(n,adj-no) (1) truth/reality/(2) sincerity/honesty/fidelity/(3) content/substance/(4) (good) result/(P)/
実 [そうじみ] /(n) (1) (arch) the real person/said person/
実 [ただみ] /(n) (1) (arch) the real person/said person/
実 [まこと] /(adv,n) (1) truth/reality/(2) sincerity/honesty/integrity/fidelity/(3) (arch) that's right (used when recalling forgotten information, suddenly changing the subject, etc.)/
実 [み] /(n) (1) fruit/nut/(2) seed/(3) (in broth) pieces of meat, vegetable, etc./(4) content/substance/(P)/
実 [むざね] /(n) (1) (arch) the real person/said person/(2) real thing/genuine article/
実１０進小数点 [じつじっしんしょうすうてん] /(n) (comp) actual decimal point/
実がなる [みがなる] /(exp) to bear fruit/to produce a crop/
実しやか [まことしやか] /(adj-na) (uk) plausible (e.g. of a rumour)/believable (e.g. of a story)/specious (e.g. of an argument)/credible (e.g. of a lie)/looking very like the truth/
実しやかに [まことしやかに] /(adv) as if it were true/with seeming truth/plausibly/
実に [げに] /(adv) indeed/really/absolutely/truly/actually/very/quite/
実に [じつに] /(adv) indeed/really/absolutely/truly/actually/very/quite/(P)/
実に [まことに] /(adv) indeed/really/absolutely/truly/actually/very/quite/(P)/
実の [じつの] /(adj-pn) true/real/
実のある [じつのある] /(exp) faithful/sincere/
実のある [みのある] /(adj-f) solid/substantial/substantive/
実のところ [じつのところ] /(exp,adv) as a matter of fact/to tell the truth/
実のない [みのない] /(exp,adj-i) insubstantial/pointless/
実の心 [まことのこころ] /(n) one's real intention/
実の無い [みのない] /(exp,adj-i) insubstantial/pointless/
実の有る [じつのある] /(exp) faithful/sincere/
実の有る [みのある] /(adj-f) solid/substantial/substantive/
実は [じつは] /(exp,adv) as a matter of fact/by the way/to tell you the truth/to be honest/frankly/(P)/
実もない [みもない] /(exp,adj-i) empty/meaningless/worthless/
実らしい [じちらしい] /(adj-i) honest (appearance)/sincere (impression)/
実らなかった努力 [みのらなかったどりょく] /(n) fruitless (resultless) efforts/
実り [みのり] /(n,adj-no) (1) ripening (of a crop)/(2) crop/harvest/(P)/
実りある [みのりある] /(adj-f) rewarding/fruitful/fertile/productive/bountiful/
実り多い [みのりおおい] /(adj-i) fruitful/successful/
実る [みのる] /(v5r,vi) to bear fruit/to ripen/(P)/
実をいうと [じつをいうと] /(exp,adv) as a matter of fact/to tell the truth/
実を結ぶ [みをむすぶ] /(exp,v5b) to bear fruit/
実を言うと [じつをいうと] /(exp,adv) as a matter of fact/to tell the truth/
実を言うと [じつをゆうと] /(exp,adv) as a matter of fact/to tell the truth/
実を言えば [じつをいえば] /(adv) as a matter of fact/to tell the truth/
実アドレス [じつアドレス] /(n) (comp) real address/actual address/
実アドレス領域 [じつアドレスりょういき] /(n) (comp) real address area/
実グループＩＤ [じつグループアイディー] /(n) (comp) real group ID/
実システム [じつシステム] /(n) (comp) real system/
実システム環境 [じつシステムかんきょう] /(n) (comp) real system environment/
実データ [じつデータ] /(n) (comp) live data/actual data/
実パラメータ [じつパラメータ] /(n) (comp) actual parameter/
実パラメタ [じつパラメタ] /(n) (comp) actual parameter/actual argument/
実ファイル [じつファイル] /(n) (comp) real file/
実ファイルストア [じつファイルすとあ] /(n) (comp) real filestore/
実意 [じつい] /(n) sincerity/real intentions/
実印 [じついん] /(n) officially registered seal/
実員 [じついん] /(n) actual number of people/
実引き数 [じつひきすう] /(n) (comp) actual parameter/actual argument/
実引数 [じつひきすう] /(n) (comp) actual parameter/actual argument/
実益 [じつえき] /(n) actual profit/practical use/benefit/
実演 [じつえん] /(n,vs,adj-no) stage show/performance/(P)/
実家 [じっか] /(n) (one's parents') home/(P)/
実科 [じっか] /(n) practical course/
実稼働状態 [じつかどうじょうたい] /(n) actual working conditions/field conditions/
実開放型システム [じつかいほうがたシステム] /(n) (comp) real open system/
実害 [じつがい] /(n) real harm/
実学 [じつがく] /(n) practical science/
実株 [じつかぶ] /(n) shares actually traded/
実感 [じっかん] /(n) (1) real feeling/actual feeling/(vs) (2) to actually feel/to have a real feeling (that ...)/to experience personally/(P)/
実関数 [じつかんすう] /(n) real variable function/
実機 [じっき] /(n) real machine (as opposed to model or simulation)/existing equipment/
実記 [じっき] /(n) true account/
実記憶 [じつきおく] /(n) (comp) real storage/
実記憶装置 [じつきおくそうち] /(n) (comp) real storage/
実技 [じつぎ] /(n) practical skill/(P)/
実況 [じっきょう] /(n,adj-no) real condition/(P)/
実況見分 [じっきょうけんぶん] /(n) on-the-spot investigation/
実況放送 [じっきょうほうそう] /(n) on-the-spot or live broadcast/
実業 [じつぎょう] /(n) industry/business/(P)/
実業家 [じつぎょうか] /(n) industrialist/businessman/(P)/
実業界 [じつぎょうかい] /(n) business world/business circles/
実業学校 [じつぎょうがっこう] /(n) vocational school/
実業団 [じつぎょうだん] /(adj-f) (1) (abbr) corporate (e.g. sports team)/(n) (2) business organization/business corporation/
実業団体 [じつぎょうだんたい] /(n) business organization/business corporation/businessmen's body/
実空間 [じつくうかん] /(n,adj-no) position space (quantum mechanics)/real space/
実栗 [みくり] /(n) (uk) branched bur-reed (Sparganium erectum)/
実刑 [じっけい] /(n) (1) jail sentence/gaol sentence/(2) imprisonment without a stay of execution/(P)/
実兄 [じっけい] /(n) one's own elder brother/(P)/
実景 [じっけい] /(n) actual view/
実経験 [じつけいけん] /(n,vs) practical experience/actual experience/
実検 [じっけん] /(n,vs) checking/inspecting/
実権 [じっけん] /(n) real power/(P)/
実見 [じっけん] /(n,vs) seeing with one's own eyes/witnessing/
実験 [じっけん] /(n,vs) experiment/(P)/
実験システム [じっけんシステム] /(n) (comp) trial system/test system/prototype/
実験科学 [じっけんかがく] /(n) empirical science/
実験期間 [じっけんきかん] /(n) (comp) test period/experimental period/
実験群 [じっけんぐん] /(n) experimental group/
実験結果 [じっけんけっか] /(n) experimental results/
実験現象学 [じっけんげんしょうがく] /(n) experimental phenomenology/
実験材料 [じっけんざいりょう] /(n) material for experiments/experimental material/
実験式 [じっけんしき] /(n) empirical formula/
実験室 [じっけんしつ] /(n) laboratory/(P)/
実験者 [じっけんしゃ] /(n) experimenter/researcher/
実験所 [じっけんしょ] /(n) laboratory/testing station/research facility/
実験小説 [じっけんしょうせつ] /(n) experimental novel/
実験場 [じっけんじょう] /(n) proving ground/test site/
実験心理学 [じっけんしんりがく] /(n) experimental psychology/
実験装置 [じっけんそうち] /(n) experimental device/experimental equipment/
実験台 [じっけんだい] /(n) laboratory testing bench/laboratory material/subject of an experiment/
実験段階 [じっけんだんかい] /(n,adj-no) experimental stage/experimental phase/
実験値 [じっけんち] /(n) test results/
実験的 [じっけんてき] /(adj-na) experimental/
実験的研究 [じっけんてきけんきゅう] /(n) experimental study/
実験動物 [じっけんどうぶつ] /(n) experimental animal/
実験発生学 [じっけんはっせいがく] /(n) experimental embryology/
実験網 [じっけんもう] /(n) (comp) test network/
実現 [じつげん] /(n,vs) implementation (e.g. of a system)/materialization/materialisation/realization/realisation/(P)/
実現された [じつげんされた] /(exp) (something) implemented/(something) realized/
実現された辺 [じつげんされたへん] /(n) (comp) realized edge/
実現可能性 [じつげんかのうせい] /(n,adj-no) feasibility/
実現可能性検討 [じつげんかのうせいけんとう] /(n) (comp) feasibility study/
実現可能性調査 [じつげんかのうせいちょうさ] /(n) (comp) feasibility study/
実現性 [じつげんせい] /(n) practicability/feasibility/operability/expected implementation/
実現必す要項 [じつげんひっすようこう] /(n) (comp) implementation mandatory/
実現方法 [じつげんほうほう] /(n) (comp) implementation method/
実効 [じっこう] /(n) practical effect/efficacy/efficiency/(P)/
実効アドレッシングモード [じっこうアドレッシングモード] /(n) (comp) effective addressing mode/
実効グループＩＤ [じっこうグループアイディー] /(n) (comp) effective group ID/
実効スループット [じっこうスループット] /(n) (comp) effective throughput/
実効税率 [じっこうぜいりつ] /(n) effective tax rate/
実効値 [じっこうち] /(n) (comp) root mean squared value/
実効長 [じっこうちょう] /(n) (comp) effective length/
実効転送速度 [じっこうてんそうそくど] /(n) (comp) effective transfer rate/
実効命令 [じっこうめいれい] /(n) (comp) actual instruction/
実効利用者ＩＤ [じっこうりようしゃアイディー] /(n) (comp) effective user ID/
実効輻射電力 [じっこうふくしゃでんりょく] /(n) (comp) ERP/effective radiated power/
実行 [じっこう] /(n,vs) practice/practise/performance/execution (e.g. program) (programme)/realization/realisation/implementation/(P)/
実行に移す [じっこうにうつす] /(exp,v5s) to put into effect/to put into practice/
実行に移る [じっこうにうつる] /(v5r) to put into action/
実行サイクル [じっこうサイクル] /(n) (comp) execute cycle/
実行ファイル [じっこうファイル] /(n) (comp) executable file/
実行プロファイル [じっこうぷろファイル] /(n) (comp) execution profile/
実行レベル [じっこうレベル] /(n) (comp) run level/
実行委員 [じっこういいん] /(n) action committee/executive committee/
実行委員会 [じっこういいんかい] /(n) executive committee/
実行可能 [じっこうかのう] /(n,adj-na) executable (e.g. executable file)/capable of putting into practice/
実行可能プログラム [じっこうかのうプログラム] /(n) (comp) executable program/
実行可能モジュール [じっこうかのうモジュール] /(n) (comp) executable module/
実行可能試験項目 [じっこうかのうしけんこうもく] /(n) (comp) executable test case/
実行可能試験項目群 [じっこうかのうしけんこうもくぐん] /(n) (comp) executable test suite/
実行環境 [じっこうかんきょう] /(n) (comp) execution environment/
実行関税率表 [じっこうかんぜいりつひょう] /(n) customs tariff schedules of Japan/
実行機能 [じっこうきのう] /(n) executive functioning/function execution/
実行許可 [じっこうきょか] /(n) (comp) execute permission/
実行教 [じっこうきょう] /(n) Jikko-kyo (sect of Shinto)/
実行形式 [じっこうけいしき] /(n) (comp) executable form/
実行形式ライブラリ [じっこうけいしきライブラリ] /(n) (comp) (obsc) execution image library/
実行権 [じっこうけん] /(n) right to execute (file)/
実行構文 [じっこうこうぶん] /(n) (comp) executable construct/
実行時 [じっこうじ] /(n) (comp) execution-time/run time/object time/
実行時エラー [じっこうじエラー] /(n) (comp) run-time error/
実行時間 [じっこうじかん] /(n) (comp) execution time/run time/
実行者 [じっこうしゃ] /(n) performer/
実行順序 [じっこうじゅんじょ] /(n) (comp) execution order/execution sequence/
実行制御ファイル [じっこうせいぎょファイル] /(n) (comp) run control file (*rc)/
実行側ＣＭＩＳＥサービス利用者 [じっこうがわシーエムアイエスイーサービスりようしゃ] /(n) (comp) performing CMISE-service-user/
実行側応用エンティティ [じっこうがわおうようエンティティ] /(n) (comp) performing-application-entity/
実行速度 [じっこうそくど] /(n) (comp) execution speed/
実行単位 [じっこうたんい] /(n) (comp) run unit/
実行中 [じっこうちゅう] /(n) internal execution/during execution/runtime/
実行犯 [じっこうはん] /(n) perpetrator/
実行不成功 [じっこうふせいこう] /(n) (comp) unsuccessful execution/
実行不能文 [じっこうふのうぶん] /(n) (comp) nonexecutable statement/
実行文 [じっこうぶん] /(n) (comp) executable statement/
実行優先順位 [じっこうゆうせんじゅんい] /(n) (comp) dispatching priority/
実行用プログラム [じっこうようプログラム] /(n) (comp) object program/
実行用計算機 [じっこうようけいさんき] /(n) (comp) object-computer/
実行用計算機記述項 [じっこうようけいさんききじゅつこう] /(n) (comp) object computer entry/
実行力 [じっこうりょく] /(n) ability to get things done/
実際 [じっさい] /(adj-no,adv,n) (1) practicality/practical/(2) reality/actuality/actual conditions/(3) (Buddh) bhutakoti (limit of reality)/(P)/
実際に [じっさいに] /(adv) (1) virtually/practically/in practice/in practise/(2) currently/presently/
実際にある [じっさいにある] /(exp,adj-f) real/actual/de facto/in fact/
実際に有る [じっさいにある] /(exp,adj-f) real/actual/de facto/in fact/
実際の小数点 [じっさいのしょうすうてん] /(n) (comp) actual decimal point/
実際家 [じっさいか] /(n) practical individual/
実際性 [じっさいせい] /(n) practicality/
実際的 [じっさいてき] /(adj-na) practical/realistic/pragmatic/
実際面で [じっさいめんで] /(exp) in practical terms/
実際問題 [じっさいもんだい] /(n) practical question (problem)/
実在 [じつざい] /(n,vs) reality/existence/(P)/
実在論 [じつざいろん] /(n) (1) realism (as opposed to idealism)/(2) realism (as opposed to nominalism)/
実桜 [みざくら] /(n) cherry tree with edible fruit (esp. sweet cherry or Nanking cherry)/cherry (fruit)/
実姉 [じっし] /(n) one's elder sister/
実子 [じっし] /(n) one's own child/(P)/
実施 [じっし] /(n,vs) enforcement/implementation/putting into practice (practise)/carrying out/operation/working (e.g. working parameters)/enactment/(P)/
実施形態 [じっしけいたい] /(n) embodiment/
実施項目 [じっしこうもく] /(n) (comp) working item/
実施状況 [じっしじょうきょう] /(n) status of implementation/state of achievement/
実施設計 [じっしせっけい] /(n) detail design/detailed design/final design/
実施中 [じっしちゅう] /(n) being carried out/being put into practice/
実施例 [じっしれい] /(n) example of execution (e.g. in patents)/practical example/working example/embodiment/
実視等級 [じっしとうきゅう] /(n) apparent magnitude/
実試験手段 [じつしけんしゅだん] /(n) (comp) real tester/
実時間 [じつじかん] /(n) real time/
実時間演算 [じつじかんえんざん] /(n) (comp) real-time operation (e.g. in analog computing)/
実時間処理 [じつじかんしょり] /(n) real-time operation/
実質 [じっしつ] /(n,adj-no) substance/essence/(P)/
実質ＧＤＰ [じっしつジーディーピー] /(n) real GDP/
実質経済成長率 [じっしつけいざいせいちょうりつ] /(n) real economic growth rate/
実質国内総生産 [じっしつこくないそうせいさん] /(n) real gross domestic product/real GDP/
実質国民所得 [じっしつこくみんしょとく] /(n) real national income/
実質国民総生産 [じっしつこくみんそうせいさん] /(n) gross real national product/real GNP/RGNP/
実質所得 [じっしつしょとく] /(n) real income/
実質賃金 [じっしつちんぎん] /(n) real wages/
実質的 [じっしつてき] /(adj-na) substantial/(P)/
実質利子率 [じっしつりしりつ] /(n) real rate of interest/
実写 [じっしゃ] /(n,vs) on-the-spot filming or photography/
実写映画 [じっしゃえいが] /(n) live action film/
実射 [じっしゃ] /(n,vs) firing live shells/
実社会 [じっしゃかい] /(n) real world/society/
実車 [じっしゃ] /(n) (1) occupied taxi/(2) full-scale car (vs model)/
実手 [じって] /(iK) (n) (arch) short truncheon with a hook made of metal or wood (used by policeman and private thief-takers in Edo Japan)/
実手 [じゅって] /(iK) (n) (arch) short truncheon with a hook made of metal or wood (used by policeman and private thief-takers in Edo Japan)/
実受信者 [じつじゅしんしゃ] /(n) (comp) actual recipient/
実需 [じつじゅ] /(n) actual demand/user demand/
実収 [じっしゅう] /(n) net income or profits or pay/
実習 [じっしゅう] /(n,vs,adj-no) practice/practise/training (esp. practical and hands-on)/drill/(P)/
実習生 [じっしゅうせい] /(n) trainee/intern/
実十進小数点 [じつじっしんしょうすうてん] /(n) (comp) actual decimal point/
実小数点 [じつしょうすうてん] /(n) (comp) actual decimal point/
実証 [じっしょう] /(n,vs,adj-no) actual proof/(P)/
実証研究 [じっしょうけんきゅう] /(n) experimental study/
実証主義 [じっしょうしゅぎ] /(n) positivism/
実証主義者 [じっしょうしゅぎしゃ] /(n) positivist/
実証的 [じっしょうてき] /(adj-na) empirical/positive/
実証的経済学 [じっしょうてきけいざいがく] /(n) positive economics/
実証哲学 [じっしょうてつがく] /(n) positivism/
実証論 [じっしょうろん] /(n) positivism/
実情 [じつじょう] /(n) real condition/actual circumstances/actual state of affairs/(P)/
実情調査委員会 [じつじょうちょうさいいんかい] /(n) fact-finding committee/
実状 [じつじょう] /(n) real condition/actual circumstances/actual state of affairs/
実親 [じつおや] /(n) true parent(s) (as opposed to foster parents, etc.)/
実数 [じっすう] /(n,adj-no) real number/(P)/
実数体 [じっすうたい] /(n) real number field/
実数値入力装置 [じっすうちにゅうりょくそうち] /(n) (comp) valuator device/
実世界 [じっせかい] /(n) real world/outside world (e.g. the world outside of school)/
実勢 [じっせい] /(n,adj-no) actual/real/true/(P)/
実勢価格 [じっせいかかく] /(n) market price/
実生 [みしょう] /(n,adj-no) seedling/plant raised from the seed/
実生活 [じっせいかつ] /(n) real or actual life/
実績 [じっせき] /(n) achievements/actual results/(P)/
実績データ [じっせきデータ] /(n) (comp) results (data)/
実説 [じっせつ] /(n) true story/
実戦 [じっせん] /(n) combat/actual fighting/(P)/
実線 [じっせん] /(n,adj-no) solid line/
実践 [じっせん] /(n,vs,adj-no) practice/practise/put into practice/put into practise/(P)/
実践者 [じっせんしゃ] /(n) practitioner/
実践的 [じっせんてき] /(adj-na) practical/
実践哲学 [じっせんてつがく] /(n) practical philosophy/
実践道徳 [じっせんどうとく] /(n) practical ethics (morality)/
実践理性 [じっせんりせい] /(n) practical reason or ethics/
実践理性の要請 [じっせんりせいのようせい] /(n) postulates of practical reason/
実践理性批判 [じっせんりせいひはん] /(n) Critique of Practical Reason (Kant)/
実践倫理 [じっせんりんり] /(n) practical ethics (morality)/
実践躬行 [じっせんきゅうこう] /(n,vs) acting up to one's principles/
実相 [じっそう] /(n) reality/real state of affairs/(P)/
実装 [じっそう] /(n,vs) package/implementation/mounting/insertion (of equipment)/
実装者定義 [じっそうしゃていぎ] /(n) (comp) implementation defined/
実装上の事項 [じつそうじょうのじこう] /(n) (comp) local matter/
実装標準 [じっそうひょうじゅん] /(n) (comp) implementation standard/
実装密度 [じっそうみつど] /(n) (comp) population (density)/
実像 [じつぞう] /(n) real image/one's real life/(P)/
実測 [じっそく] /(n,vs) survey/actual measurements/
実測図 [じっそくず] /(n) measured map/surveyed map/
実存 [じつぞん] /(n,vs,adj-no) existence/
実存主義 [じつぞんしゅぎ] /(n,adj-no) existentialism/
実存主義者 [じつぞんしゅぎしゃ] /(n) existentialist/
実存的 [じつぞんてき] /(adj-na) (obsc) existential/
実存哲学 [じつぞんてつがく] /(n) existential philosophy/
実体 [じったい] /(n,adj-no) substance/entity/object/(P)/
実体化 [じったいか] /(n,vs) (1) substantiation/materialization/materialisation/(2) (comp) (specific to object language classes) instantiation/
実体管理系 [じったいかんりけい] /(n) (comp) entity manager/
実体記述子 [じったいきじゅつし] /(n) (comp) entity descriptor/
実体鏡 [じったいきょう] /(n) stereoscope/
実体経済 [じったいけいざい] /(n) actual business/actual economy/real economy/
実体験 [じったいけん] /(n) real experience/actual observations/
実体構造 [じったいこうぞう] /(n) (comp) entity structure/
実体参照 [じったいさんしょう] /(n) (comp) entity reference/
実体終了信号 [じったいしゅうりょうしんごう] /(n) (comp) entity end (signal)/
実体集合 [じったいしゅうごう] /(n) (comp) entity set/
実体宣言 [じったいせんげん] /(n) (comp) entity declaration/
実体文 [じったいぶん] /(n) (comp) entity text/
実体法 [じったいほう] /(n) substantive law/
実体木 [じったいぼく] /(n) (comp) entity tree/
実体論 [じったいろん] /(n) substantialism/
実態 [じったい] /(n) true state/actual condition/reality/(P)/
実態調査 [じったいちょうさ] /(n) factual investigation/(P)/
実弾 [じつだん] /(n) live bullets/live ammunition/ball cartridge/money/(P)/
実弾射撃 [じつだんしゃげき] /(n) firing practice with live ammunition/
実地 [じっち] /(n,adj-no) (1) practice/practise/(2) the actual site/(P)/
実地検証 [じっちけんしょう] /(n) on-the-spot investigation/
実地試験 [じっちしけん] /(n) practical test/
実地調査 [じっちちょうさ] /(n) site survey/field study/
実直 [じっちょく] /(adj-na,n) honest/steady/
実定国際法 [じっていこくさいほう] /(n) positive international law/
実定法 [じっていほう] /(n) positive law (i.e. law made by humans, cf natural law)/
実弟 [じってい] /(n) one's (biological) younger brother/(P)/
実働 [じつどう] /(n,vs) actual work/
実働時間 [じつどうじかん] /(n) actual work hours/
実働車 [じつどうしゃ] /(iK) (n) vehicle (car, motorcycle, etc.) with an engine that runs/
実動 [じつどう] /(n,vs,adj-f) operating (e.g. of trains, cars)/running/working/
実動車 [じつどうしゃ] /(n) vehicle (car, motorcycle, etc.) with an engine that runs/
実入 [みいり] /(n) (1) crop/harvest/ripeness/(2) income/profits/(3) loaded (e.g. intermodal containers in the transport industry)/
実入り [みいり] /(n) (1) crop/harvest/ripeness/(2) income/profits/(3) loaded (e.g. intermodal containers in the transport industry)/
実年 [じつねん] /(n) (1) one's actual age/(2) one's fifties and sixties (now officially refered to as chukonen)/
実年齢 [じつねんれい] /(n) actual age/true age/
実念論 [じつねんろん] /(n) realism (as opposed to nominalism)/
実梅 [みうめ] /(n) Japanese apricot/ume/
実蝿 [みばえ] /(n) (uk) fruit fly (any insect of family Tephritidae)/
実否 [じっぴ] /(n) whether true or false/
実費 [じっぴ] /(n) actual expense/cost price/(P)/
実父 [じっぷ] /(n) real (own) father/
実物 [じつぶつ] /(n,adj-no) real thing/original/actual/(P)/
実物 [みもの] /(n) ornamental plant used primarily for the visual effect of its fruit/
実物取引 [じつぶつとりひき] /(n) cash transaction/
実物大 [じつぶつだい] /(n,adj-no) actual size/
実物大模型 [じつぶつだいもけい] /(n) full-size model/mock-up/
実物描写 [じつぶつびょうしゃ] /(n) model drawing/
実母 [じつぼ] /(n) real (own) mother/
実包 [じっぽう] /(n) ball cartridge/
実妹 [じつまい] /(n) one's younger sister/
実務 [じつむ] /(n) practical business/practical work experience/practicum/practice/(P)/
実務家 [じつむか] /(n) person with a head for business/
実名 [じつめい] /(n) real name/(P)/
実名詞 [じつめいし] /(n) (ling) noun substantive/
実網 [じつあみ] /(n) actual net (fishing)/
実網 [じつもう] /(n) physical (telephone) network/
実用 [じつよう] /(n) practical use/utility/(P)/
実用化 [じつようか] /(n,vs) making practical or useful/implementation/
実用向き [じつようむき] /(adj-no) practical use/utility/
実用主義 [じつようしゅぎ] /(n,adj-no) pragmatism/
実用主義者 [じつようしゅぎしゃ] /(n) pragmatist/
実用新案 [じつようしんあん] /(n) practical model/utility model/new design for practical use/
実用新案登録 [じつようしんあんとうろく] /(n) utility model registration/
実用的 [じつようてき] /(adj-na) practical/(P)/
実用品 [じつようひん] /(n) daily or domestic articles/
実用本位 [じつようほんい] /(n,adj-no) pragmatism/functionalism/practicality/being intended for practical purposes/
実利 [じつり] /(n) use/utility/profit/gain/(P)/
実利主義 [じつりしゅぎ] /(n,adj-no) utilitarianism/
実利主義者 [じつりしゅぎしゃ] /(n) utilitarian/
実利用者ＩＤ [じつりようしゃアイディー] /(n) (comp) real user ID/
実理 [じつり] /(n) practical theory or principle/
実力 [じつりょく] /(n) (1) (real) ability/true strength/merit/efficiency/competency/(2) arms/force/(P)/
実力テスト [じつりょくテスト] /(n) proficiency test/
実力行為 [じつりょくこうい] /(n) using force/
実力行使 [じつりょくこうし] /(n) use of force/(P)/
実力試験 [じつりょくしけん] /(n) proficiency test/
実力次第 [じつりょくしだい] /(n) according to (depending on) one's ability/if one is good (competent, talented) enough/
実力者 [じつりょくしゃ] /(n) influential person/powerful person/big wheel/big gun/power behind the throne/
実力伯仲 [じつりょくはくちゅう] /(n) (the two persons' sides) being evenly matched in ability/
実力本位 [じつりょくほんい] /(n,adj-no) the precedence of merit/performance orientation/ability- (merit-) based (promotion, pay scale, etc.)/
実例 [じつれい] /(n) example/illustration/precedent/(P)/
実録 [じつろく] /(n) authentic account/
実録物 [じつろくもの] /(n) true account/
実話 [じつわ] /(n,adj-no) true story/(P)/
実蠅 [みばえ] /(n) (uk) fruit fly (any insect of family Tephritidae)/
蔀 [しとみ] /(n) latticed shutters (in traditional Japanese and Chinese architecture)/
蔀戸 [しとみど] /(n) latticed shutters (in traditional Japanese and Chinese architecture)/
篠 [ささ] /(n) bamboo grass/
篠 [しぬ] /(n) (1) thin-culmed dwarf bamboo (growing in clusters)/
篠 [しの] /(n) (1) thin-culmed dwarf bamboo (growing in clusters)/(2) (abbr) Japanese transverse bamboo flute (high-pitched; usu. with seven holes)/(3) sliver (strand of loose fibers)/
篠 [すず] /(n) (1) (arch) Sasamorpha borealis (species of bamboo grass unique to Japan)/(2) shoots of this plant/
篠を突く [しのをつく] /(exp,v5k) to pour (of rain)/to pound down/
篠懸の木 [すずかけのき] /(n) plane tree (esp. the Oriental plane, Platanus orientalis)/
篠笹 [しのざさ] /(n) bamboo grass/bamboo/
篠竹 [ささたけ] /(n) small bamboo/
篠竹 [しのだけ] /(n) bamboo grass/bamboo/
篠竹 [すずたけ] /(n) (uk) Sasamorpha borealis (species of bamboo grass unique to Japan)/
篠笛 [しのぶえ] /(n) Japanese transverse bamboo flute (high-pitched; usu. with seven holes)/
篠突く [しのつく] /(v5k) to pour (of rain)/to pound down/
篠突く雨 [しのつくあめ] /(n) intense rain/
偲ばれる [しのばれる] /(v1,vi) to be brought to mind/to come to mind/
偲ぶ [しのぶ] /(v5b,vt) to recollect/to remember/
偲ぶ音楽 [しのぶおんがく] /(n) memorial concert/memorial music (performance)/
柴 [しば] /(n) brushwood/firewood/(P)/
柴垣 [しばがき] /(n) brushwood fence/
柴刈り [しばかり] /(n) firewood gathering/
柴犬 [しばいぬ] /(n) Shiba (Japanese breed of small dog, native of Shikoku)/brushwood dog/
柴犬 [しばけん] /(n) Shiba (Japanese breed of small dog, native of Shikoku)/brushwood dog/
柴折戸 [しおりど] /(n) garden gate made of branches and twigs/wicket gate/
柴漬 [しばづけ] /(n) salted chopped pickled vegetables/
柴漬け [しばづけ] /(n) salted chopped pickled vegetables/
芝 [しば] /(n) lawn/sod/turf/(P)/
芝えび [しばえび] /(n) shiba shrimp (prawn, Metapenaeus joyneri)/
芝エビ [しばエビ] /(n) shiba shrimp (prawn, Metapenaeus joyneri)/
芝海老 [しばえび] /(n) shiba shrimp (prawn, Metapenaeus joyneri)/
芝刈 [しばかり] /(n) lawn mowing/
芝刈り [しばかり] /(n) lawn mowing/
芝刈り機 [しばかりき] /(n) lawnmower/
芝刈機 [しばかりき] /(n) lawnmower/
芝居 [しばい] /(n) play/drama/(P)/
芝居がかった [しばいがかった] /(exp) affected/theatrical/pompous/
芝居の筋 [しばいのすじ] /(n) plot of a play/
芝居を打つ [しばいをうつ] /(exp,v5t) (1) to play a trick/to put up a false show/to deceive someone/(2) to put on a play/to present a play/to give a play/
芝居掛かった [しばいがかった] /(exp) affected/theatrical/pompous/
芝居気 [しばいぎ] /(n) theatrical/
芝居気 [しばいげ] /(n) theatrical/
芝居好き [しばいずき] /(n) theatergoer/someone who likes plays/
芝居者 [しばいもの] /(n) actor/actress/someone who works at a theater/
芝居小屋 [しばいごや] /(n) playhouse/theatre/theater/(P)/
芝桜 [しばざくら] /(n) (uk) moss phlox (Phlox subulata)/moss pink/
芝生 [しばふ] /(n,adj-no) lawn/(P)/
芝草 [しばくさ] /(n) lawn/sod/turf/(P)/
芝地 [しばち] /(n) grass plot/
芝麻醤 [チーマージャン] /(n) Chinese sesame paste (chi: zhi ma jiang)/
屡 [しばしば] /(adv) (uk) often/again and again/frequently/
屡々 [しばしば] /(adv) (uk) often/again and again/frequently/(P)/
屡屡 [しばしば] /(adv) (uk) often/again and again/frequently/
屡叩く [しばたたく] /(v5k,vt) (1) to twinkle (e.g. stars)/to flicker/to waver/(2) to blink (one's eyes)/to wink/
蕊 [ずい] /(n) (1) pistil (of a flower)/(2) stamen/
縞 [しま] /(n) stripe/bar/streak/(P)/
縞スカンク [しまスカンク] /(n) (uk) striped skunk (Mephitis mephitis)/
縞ワラビー [しまワラビー] /(n) (uk) toolache wallaby (Macropus greyi) (extinct)/
縞河豚 [しまふぐ] /(n) (uk) yellowfin puffer (Takifugu xanthopterus)/
縞牛の舌 [しまうしのした] /(n) (uk) zebra sole (Zebrias zebrinus)/
縞牛舌 [しまうしのした] /(n) (uk) zebra sole (Zebrias zebrinus)/
縞栗鼠 [しまりす] /(n) (uk) chipmunk (esp. the Siberian chipmunk, Tamias sibiricus)/
縞蛇 [しまへび] /(n) pale-yellow snake (non-poisonous)/
縞織物 [しまおりもの] /(n) woven in stripes/
縞泥鰌 [しまどじょう] /(n) (uk) Japanese striped loach (Cobitis biwae)/
縞馬 [しまうま] /(n,adj-no) (uk) zebra/
縞蝿 [しまばえ] /(n) (1) (uk) lauxaniid fly (any fly of family Lauxaniidae)/(2) flesh fly (any fly of family Sarcophagidae)/
縞剥 [しまはぎ] /(n) (uk) convict surgeonfish (Acanthurus triostegus, species of the Indo-Pacific)/convict tang/manini/
縞浮鮴 [しまうきごり] /(n) (uk) Gymnogobius opperiens (var. of goby)/
縞物 [しまもの] /(n) striped cloth/
縞柄 [しまがら] /(n) striped pattern/
縞味 [しまあじ] /(n) (uk) garganey (Anas querquedula)/
縞味 [シマアジ] /(n) (uk) garganey (Anas querquedula)/
縞模様 [しまもよう] /(n,adj-no) striped pattern/
縞瑪瑙 [しまめのう] /(n) onyx/
縞秧鶏 [しまくいな] /(n) Swinhoe's yellow rail (Porzana exquisita)/
縞蚯蚓 [しまみみず] /(n) brandling (species of earthworm, Eisenia fetida)/
縞蠅 [しまばえ] /(n) (1) (uk) lauxaniid fly (any fly of family Lauxaniidae)/(2) flesh fly (any fly of family Sarcophagidae)/
縞鰺 [しまあじ] /(n) (uk) striped jack (Pseudocaranx dentex)/white trevally/
舎 [しゃ] /(n-suf) (1) hut/house/(n) (2) (arch) (in the ancient Chinese army) one day's march (approx. 12.2 km)/(P)/
舎営 [しゃえい] /(n,vs) billeting/quarters/
舎監 [しゃかん] /(n) dormitory dean/
舎兄 [しゃけい] /(n) my elder brother/
舎人 [しゃじん] /(n) (1) servant/valet/footman/(2) (arch) someone who works in close quarters with the emperor or imperial family/(3) (arch) low-ranking official who works for the imperial family or nobility (under the Rituryo system)/(4) (arch) ox-tender for oxcarts/horse boy/(5) honorary junior official of the Imperial Household Department's Board of Ceremonies involved in miscellaneous duties related to ceremonies/
舎人 [とねり] /(gikun) (n) (1) servant/valet/footman/(2) (arch) someone who works in close quarters with the emperor or imperial family/(3) (arch) low-ranking official who works for the imperial family or nobility (under the Rituryo system)/(4) (arch) ox-tender for oxcarts/horse boy/(5) honorary junior official of the Imperial Household Department's Board of Ceremonies involved in miscellaneous duties related to ceremonies/
舎宅 [しゃたく] /(n) residence/
舎弟 [しゃてい] /(n) (1) my younger brother/(2) underling (e.g. in yakuza)/
舎費 [しゃひ] /(n) dormitory maintenance fee/
舎密学 [せいみがく] /(n) chemistry (old term)/
舎利 [さり] /(n) (1) (Buddh) bones left after cremation (esp. those of a Buddha or Boddhisatva)/
舎利 [しゃり] /(n) (1) (Buddh) bones left after cremation (esp. those of a Buddha or Boddhisatva)/(2) grain of rice/cooked rice/
舎利塩 [しゃりえん] /(n) Epsom salts/magnesium sulfate/
舎利塔 [しゃりとう] /(n) (Buddh) reliquary/
舎利別 [しゃりべつ] /(n) syrup/
写し [うつし] /(n) copy/duplicate/facsimile/transcript/(P)/
写し絵 [うつしえ] /(n) magic-lantern picture/child's copying pictures/shadowgraph/
写し出す [うつしだす] /(v5s,vt) to reflect/to reveal/to show/
写す [うつす] /(v5s,vt) (1) to transcribe/to duplicate/to reproduce/to imitate/to trace/(2) to describe/(3) to film/to picture/to photograph/(P)/
写り [うつり] /(n) print/impression/
写り込み [うつりこみ] /(n) ghost image/unexpected appearance of something unwanted in a photograph, etc./
写る [うつる] /(v5r,vi) to be photographed/to be projected/(P)/
写メ [しゃメ] /(n,vs) (abbr) email from mobile phones with attached photos/
写メール [しゃメール] /(n) (1) email from mobile phones, containing pictures, etc./(2) brandname for photo-email service from SoftBank Mobile/
写メる [しゃメる] /(v1) (sl) to email an image or photograph/
写経 [しゃきょう] /(n,vs) hand-copied sutras/copying of a sutra/
写字 [しゃじ] /(n) copying/transcription/
写実 [しゃじつ] /(n,vs) realism/real picture/
写実主義 [しゃじつしゅぎ] /(n,adj-no) realism/literalism/
写実主義者 [しゃじつしゅぎしゃ] /(n) realist/
写実的 [しゃじつてき] /(adj-na) realistic/graphic/true to life/
写象 [しゃしょう] /(n) image/
写植 [しゃしょく] /(n) phototypesetting/
写植機 [しゃしょっき] /(n) photo-typesetter/
写真 [しゃしん] /(n) (1) photograph/photo/(2) movie/(P)/
写真うつり [しゃしんうつり] /(n) photogenicity/
写真をとる [しゃしんをとる] /(exp,v5r) to take a picture/
写真を撮る [しゃしんをとる] /(exp,v5r) to take a picture/
写真を写す [しゃしんをうつす] /(exp,v5s) to photograph/to take a picture/
写真レンズ [しゃしんレンズ] /(n) photographic lens/
写真屋 [しゃしんや] /(n) (1) photo studio/photographer/(2) camera shop/photography supplies shop/(3) photo processing shop/photo finishing shop/
写真家 [しゃしんか] /(n) photographer/
写真画 [しゃしんが] /(n) digitally altered photograph (e.g. made to look like an oil painting)/
写真館 [しゃしんかん] /(n) photo studio/
写真顔 [しゃしんがお] /(n) one's looks in a photo/
写真器 [しゃしんき] /(n) camera/
写真機 [しゃしんき] /(n) camera/
写真機店 [しゃしんきてん] /(n) camera shop/
写真記者 [しゃしんきしゃ] /(n) photojournalist/
写真結婚 [しゃしんけっこん] /(n) picture marriage/
写真嫌い [しゃしんぎらい] /(n) camera shy/
写真師 [しゃしんし] /(n) photographer/
写真写り [しゃしんうつり] /(n) photogenicity/
写真週刊誌 [しゃしんしゅうかんし] /(n) weekly pictorial magazine/
写真集 [しゃしんしゅう] /(n) collection of photographs/photoalbum/(P)/
写真術 [しゃしんじゅつ] /(n) photography/
写真植字 [しゃしんしょくじ] /(n,adj-no) photosetting (in printing)/phototypesetting/
写真図書館 [しゃしんとしょかん] /(n) (comp) photographic library/
写真製版 [しゃしんせいはん] /(n,vs) photoengraving/photomechanical process/photochemical engraving/
写真石版 [しゃしんせきばん] /(n) photolithography/
写真測量 [しゃしんそくりょう] /(n) photographic surveying/
写真帳 [しゃしんちょう] /(n) photograph album/
写真天頂筒 [しゃしんてんちょうとう] /(n) photographic zenith tube/
写真電送 [しゃしんでんそう] /(n) facsimile transmission/phototelegraphy/
写真投影法 [しゃしんとうえいほう] /(n,vs) (obsc) photo projective method (esp. in psych.)/
写真等級 [しゃしんとうきゅう] /(n) photographic magnitude/
写真凸版 [しゃしんとっぱん] /(n) phototype/
写真濃度 [しゃしんのうど] /(n) photographic density/
写真廃液 [しゃしんはいえき] /(n) photographic processing waste water/photographic effluent/photo-processing waste/
写真判定 [しゃしんはんてい] /(n,vs) deciding the winner from a photo/
写真判定決勝 [しゃしんはんていけっしょう] /(n) photo finish/
写真版 [しゃしんばん] /(n) photostat/photographic plate/photogravure/
写真班 [しゃしんはん] /(n) (newspaper) cameramen/
写真複写機 [しゃしんふくしゃき] /(n) photocopying machine/photocopier/
写真望遠鏡 [しゃしんぼうえんきょう] /(n) photographic telescope/
写真立て [しゃしんたて] /(n) picture frame (with stand)/framed pictures/
写生 [しゃせい] /(n,vs) sketching/drawing from nature/portrayal/description/(P)/
写生画 [しゃせいが] /(n) picture drawn from life/
写生帖 [しゃせいちょう] /(n) sketchbook/
写生帳 [しゃせいちょう] /(n) sketchbook/
写生文 [しゃせいぶん] /(n) word picture/
写像 [しゃぞう] /(n,vs) image/map/mapping/
写譜 [しゃふ] /(n,vs) copying a musical score/
写本 [しゃほん] /(n) manuscript/written copy/codex/
射 [しゃ] /(n) (1) archery/(2) mapping/(3) (math) map/morphism/arrow/
射かける [いかける] /(v1,vt) to shoot or fire off an arrow/
射し込む [さしこむ] /(v5m,vi) to shine in (light)/to illuminate/
射す [さす] /(v5s) to shine/(P)/
射つ [うつ] /(iK) (v5t) (1) to shoot (at)/(2) to attack/to defeat/to destroy/to avenge/
射る [いる] /(v1,vt) to shoot/(P)/
射影 [しゃえい] /(n,vs,adj-no) (math) projection/
射角 [しゃかく] /(n) angle of fire/
射掛ける [いかける] /(v1,vt) to shoot or fire off an arrow/
射干玉 [ぬばたま] /(n,adj-no) pitch-black/darkness/
射干玉鳥 [ぬばたまどり] /(n) (obsc) lesser cuckoo (Cuculus poliocephalus)/
射貫く [いぬく] /(v5k) to shoot through something (wall, body, etc.)/
射儀 [しゃぎ] /(n) archery ceremony/ceremony related to archery/
射芸 [しゃげい] /(n) archery/
射撃 [しゃげき] /(n,vs) firing/shooting/fire/gunshot/marksmanship/(P)/
射撃の優先順位 [しゃげきのゆうせんじゅんい] /(n) priority of fires/
射撃禁止地域 [しゃげききんしちいき] /(n) no fire area/
射撃孔 [しゃげきこう] /(n) arrow slit/arrow-loop/gun loop/gun port/
射撃場 [しゃげきじょう] /(n) rifle or shooting range/
射倖 [しゃこう] /(n) speculation/
射倖心 [しゃこうしん] /(n) speculative spirit/
射幸 [しゃこう] /(n) speculation/
射幸心 [しゃこうしん] /(n) speculative spirit/
射込み [いこみ] /(n) stuffing/filling/packing/padding/
射殺 [しゃさつ] /(n,vs) shooting to death/(P)/
射殺す [いころす] /(v5s) to shoot a person to death/
射止める [いとめる] /(v1,vt) to shoot dead/to make something one's own/(P)/
射手 [いて] /(n) archer/shooter/bowman/
射手 [しゃしゅ] /(n) archer/shooter/bowman/
射手座 [いてざ] /(n) Sagittarius/the Archer (constellation)/
射出 [しゃしゅつ] /(n,vs) shooting/emitting/injecting/injection/
射術 [しゃじゅつ] /(n) archery/
射場 [しゃじょう] /(n) rifle or shooting range/archery range or ground/
射精 [しゃせい] /(n,vs,adj-no) ejaculation/
射創 [しゃそう] /(n) (obsc) bullet wound/gunshot wound/
射損なう [いそこなう] /(v5u) to shoot and miss/
射通す [いとおす] /(v5s,vt) to pierce/to penetrate/
射程 [しゃてい] /(n) range (e.g. of a rifle, missile, etc.)/(P)/
射的 [しゃてき] /(n) target practice/target practise/
射的場 [しゃてきじょう] /(n) rifle range/
射爆場 [しゃばくじょう] /(n) place for an aeroplane to take target practice (airplane, practise)/
射抜く [いぬく] /(v5k) to shoot through something (wall, body, etc.)/
射返す [いかえす] /(v5s,vt) to return fire/to shoot back/
射法 [しゃほう] /(n) archery/
射落とす [いおとす] /(v5s) to shoot down/to win/to gain/
射利 [しゃり] /(n) love of easy money/
射利心 [しゃりしん] /(n) mercenary spirit/mind oriented to money-making/
射竦める [いすくめる] /(v1,vt) to pin the enemy down/to glare another down (and render impotent)/
射籠手 [いごて] /(n) (obsc) archer's bracer/archer's armguard/
射藝 [しゃげい] /(n) archery/
捨てたものではない [すてたものではない] /(exp) not without its worth/not to be undervalued/
捨てて置く [すてておく] /(v5k) to leave something as it is/
捨てる [すてる] /(v1,vt) to throw away/to cast aside/to abandon/to resign/to break up with (someone)/(P)/
捨てる神在れば拾う神在り [すてるかみあればひろうかみあり] /(exp) (id) When one door is shut, another is open/The world is as kind as it is cruel/
捨てゼリフ [すてゼリフ] /(n) sharp parting remark/parting threat/
捨てポジ [すてポジ] /(n) photographic prints that you don't keep/
捨て印 [すていん] /(n) marginal seal (special seal affixed into the margins of an official document to indicate that any later revisions to the document are valid)/
捨て仮名 [すてがな] /(n) (1) small okurigana used with kanbun/(2) small kana used for diphthongs (ya, yo, yu, i, etc.)/
捨て去る [すてさる] /(v5r,vt) to abandon (ship)/
捨て金 [すてがね] /(n) wasted money/
捨て駒 [すてごま] /(n) sacrificial pawn/sacrificed piece (in shogi)/
捨て犬 [すていぬ] /(n) stray dog/
捨て子 [すてご] /(n) abandoned child/foundling/(P)/
捨て所 [すてどころ] /(n) dumping spot/place to kill oneself/
捨て場 [すてば] /(n) dumping ground/dump/
捨て身 [すてみ] /(n) at the risk of one's life/
捨て身技 [すてみわざ] /(n) (MA) sutemi-waza (judo sacrifice throw)/
捨て石 [すていし] /(n) (1) ornamental garden stone (seemingly placed randomly to give the garden a more natural appearance)/(2) sacrificed stone (in the game of go)/
捨て台詞 [すてぜりふ] /(n) sharp parting remark/parting threat/
捨て値 [すてね] /(n) priced dirt cheap/
捨て置く [すておく] /(v5k,vt) to leave as is/to ignore/
捨て猫 [すてねこ] /(n) abandoned (stray) cat/
捨て売り [すてうり] /(n,vs) sacrifice sale/selling for a song/dumping/
捨て鉢 [すてばち] /(adj-na,n) desperation/
捨印 [すていん] /(n) marginal seal (special seal affixed into the margins of an official document to indicate that any later revisions to the document are valid)/
捨仮名 [すてがな] /(n) (1) small okurigana used with kanbun/(2) small kana used for diphthongs (ya, yo, yu, i, etc.)/
捨駒 [すてごま] /(n) sacrificial pawn/sacrificed piece (in shogi)/
捨子 [すてご] /(n) abandoned child/foundling/
捨象 [しゃしょう] /(n,vs) abstraction/
捨場 [すてば] /(n) dumping ground/dump/
捨身 [しゃしん] /(n) (Buddh) renouncing the flesh or the world/becoming a priest/risking one's life for others/
捨身 [すてみ] /(n) at the risk of one's life/
捨身技 [すてみわざ] /(n) (MA) sutemi-waza (judo sacrifice throw)/
捨石 [すていし] /(n) (1) ornamental garden stone (seemingly placed randomly to give the garden a more natural appearance)/(2) sacrificed stone (in the game of go)/
捨猫 [すてねこ] /(io) (n) abandoned (stray) cat/
捨売り [すてうり] /(n,vs) sacrifice sale/selling for a song/dumping/
捨鉢 [すてばち] /(adj-na,n) desperation/
捨離 [しゃり] /(n) (Buddh) abandoning all worldly desires/
赦し [ゆるし] /(n) pardon/forgiveness/exemption/permission/
赦す [ゆるす] /(v5s,vt) (1) to permit/to allow/to approve/(2) to exempt (from fine)/to excuse (from)/to pardon/to forgive/to release/to let off/(3) to confide in/(4) to give up/to yield/
赦免 [しゃめん] /(n,vs) remission/(P)/
赦免状 [しゃめんじょう] /(n) letter of pardon/pardon/
斜 [しゃ] /(adj-no,n) diagonal/
斜 [ななめ] /(io) (adj-no,adj-na,n) (1) slanting/tilted/sloping/diagonal/oblique/(2) unusual/slanted (view of the world)/bad (mood)/
斜 [なのめ] /(io) (ok) (adj-no,adj-na,n) (1) slanting/tilted/sloping/diagonal/oblique/(2) unusual/slanted (view of the world)/bad (mood)/
斜 [はす] /(adj-no,n) diagonal/
斜に構える [しゃにかまえる] /(exp,v1) (1) to couch (a sword)/(2) to look at cynically or ironically/(3) (arch) to stand ready (to do)/to adopt a formal attitude/
斜に構える [ななめにかまえる] /(ik) (exp,v1) (1) to couch (a sword)/(2) to look at cynically or ironically/(3) (arch) to stand ready (to do)/to adopt a formal attitude/
斜に構える [はすにかまえる] /(exp,v1) (1) to couch (a sword)/(2) to look at cynically or ironically/(3) (arch) to stand ready (to do)/to adopt a formal attitude/
斜め [ななめ] /(adj-no,adj-na,n) (1) slanting/tilted/sloping/diagonal/oblique/(2) unusual/slanted (view of the world)/bad (mood)/(P)/
斜め [なのめ] /(ok) (adj-no,adj-na,n) (1) slanting/tilted/sloping/diagonal/oblique/(2) unusual/slanted (view of the world)/bad (mood)/
斜めならず [ななめならず] /(exp) unusually/extraordinarily/uncommonly/
斜めならず [なのめならず] /(ok) (exp) unusually/extraordinarily/uncommonly/
斜めに [ななめに] /(adv) diagonally/obliquely/slantingly/slantwise/
斜め応力 [ななめおうりょく] /(n) oblique stress/
斜め読み [ななめよみ] /(n,vs) (1) skim reading/(2) diagonal reading (e.g. as a simple code)/
斜め入射 [ななめにゅうしゃ] /(n) oblique incidence/
斜影 [しゃえい] /(n) slanted or oblique shadow/
斜横足 [ななめよこあし] /(n) leg-yield (horse gait)/
斜格 [しゃかく] /(n) (ling) oblique case/
斜格性 [しゃかくせい] /(n) obliqueness/
斜格性の階層 [しゃかくせいのかいそう] /(n) obliqueness hierarchy/
斜格性統御 [しゃかくせいとうぎょ] /(n) obliqueness command/
斜角 [しゃかく] /(n,adj-no) bevel/
斜角柱 [しゃかくちゅう] /(n) oblique prism/
斜滑降 [しゃかっこう] /(n) traversing (in skiing)/
斜眼 [しゃがん] /(n) sidelong glance/squint/
斜頚 [しゃけい] /(n,adj-no) torticollis/wryneck/stiff neck/
斜交 [はすかい] /(n) aslant/oblique/diagonal/
斜交い [はすかい] /(n) aslant/oblique/diagonal/
斜光 [しゃこう] /(n) slanting rays of light/
斜向い [はすむかい] /(adj-no,n) catercorner/diagonally opposite/
斜向かい [はすむかい] /(adj-no,n) catercorner/diagonally opposite/
斜坑 [しゃこう] /(n) inclined shaft/
斜視 [しゃし] /(n,vs,adj-no) squint/strabismus/
斜歯歯車 [はすばはぐるま] /(n) helical gear/
斜字 [しゃじ] /(n) italic/
斜線 [しゃせん] /(n) oblique line/forward slash/
斜体 [しゃたい] /(n,adj-no) italic (font style)/(P)/
斜張橋 [しゃちょうきょう] /(n) cable-stayed bridge/
斜長石 [しゃちょうせき] /(n) plagioclase feldspar/
斜塔 [しゃとう] /(n) leaning tower/
斜投影 [しゃとうえい] /(n) oblique projection/
斜辺 [しゃへん] /(n) oblique line/hypotenuse/
斜方形 [しゃほうけい] /(n) rhombus/rhomb/diamond (geometrical shape)/
斜面 [しゃめん] /(n) slope/slanting surface/bevel/(P)/
斜面対策工 [しゃめんたいさくこう] /(n) slope stabilization/
斜陽 [しゃよう] /(n,adj-no) setting sun/declining/(P)/
斜陽産業 [しゃようさんぎょう] /(n) sunset industry/declining industry/
斜陽族 [しゃようぞく] /(n) declining or impoverished aristocracy/
斜頸 [しゃけい] /(n,adj-no) torticollis/wryneck/stiff neck/
煮えたぎる [にえたぎる] /(v5r,vi) to boil/to be boiling hot/to be on a rolling boil/
煮える [にえる] /(v1,vi) to boil/to cook/to be cooked/(P)/
煮え繰り返る [にえくりかえる] /(v5r,vi) to boil/to seethe/
煮え切らない [にえきらない] /(exp,adj-i) half-cooked/vague/halfhearted/indecisive/
煮え湯 [にえゆ] /(n) boiling water/
煮え湯を飲まされる [にえゆをのまされる] /(exp,v1) to be betrayed/
煮え返る [にえかえる] /(v5r,vi) to seethe/to ferment/to boil over/
煮え立つ [にえたつ] /(v5t,vi) to boil/to come to a boil/
煮え滾る [にえたぎる] /(v5r,vi) to boil/to be boiling hot/to be on a rolling boil/
煮こごり [にこごり] /(n) jellied fish or meat broth/
煮しめ [にしめ] /(n) vegetables such as taros, carrots, konnyaku, etc. cooked almost to dryness in soy sauce and water/
煮しめる [にしめる] /(v1,vt) to boil down/
煮つめる [につめる] /(v1,vt) to boil down/to concentrate/
煮ばな [にばな] /(n) (obsc) freshly brewed, aromatic tea/
煮びたし [にびたし] /(n) stewed food/fish grilled unseasoned and then simmered slowly in soy broth/
煮やす [にやす] /(v5s) to cook inside/(P)/
煮る [にる] /(v1,vt) to boil/to simmer/to stew/to seethe/(P)/
煮花 [にばな] /(n) (obsc) freshly brewed, aromatic tea/
煮干 [にぼし] /(n) (small crunchy) dried sardines/
煮干し [にぼし] /(n) (small crunchy) dried sardines/
煮詰まる [につまる] /(v5r) to be boiled down/
煮詰める [につめる] /(v1,vt) to boil down/to concentrate/(P)/
煮魚 [にざかな] /(n) boiled fish/
煮凝り [にこごり] /(n) jellied fish or meat broth/
煮御水 [におもい] /(n) (arch) boiled drinking water/
煮合 [にあい] /(n) (obsc) stew made from multiple ingredients/
煮込み [にこみ] /(n) stew/hodgepodge/
煮込む [にこむ] /(v5m,vi) to cook together/to boil well/(P)/
煮頃鮒 [にごろぶな] /(n) (uk) Carassius auratus grandoculis (subspecies of goldfish)/
煮汁 [にじる] /(n) broth/
煮出し汁 [にだしじる] /(n) (soup) stock/broth/
煮出す [にだす] /(v5s,vt) to boil down/to extract/
煮出汁 [にだしじる] /(io) (n) (soup) stock/broth/
煮上がる [にあがる] /(v5r,vi) to boil up/to be thoroughly cooked/
煮浸し [にびたし] /(n) stewed food/fish grilled unseasoned and then simmered slowly in soy broth/
煮炊き [にたき] /(n,vs) cooking/
煮染め [にしめ] /(n) vegetables such as taros, carrots, konnyaku, etc. cooked almost to dryness in soy sauce and water/
煮染める [にしめる] /(v1,vt) to boil down/
煮端 [にばな] /(n) (obsc) freshly brewed, aromatic tea/
煮凍り [にこごり] /(n) jellied fish or meat broth/
煮豆 [にまめ] /(n) cooked beans/
煮売り屋 [にうりや] /(n) store selling boiled vegetables, fish, and beans/
煮付け [につけ] /(n) vegetables or fish boiled in soy sauce/
煮付ける [につける] /(v1,vt) to cook hard/
煮沸 [しゃふつ] /(n,vs) boiling up/
煮沸器 [しゃふつき] /(n) scalder/
煮沸消毒 [しゃふつしょうどく] /(n) sterilization by boiling/sterilisation by boiling/
煮物 [にもの] /(n) (ksb:) food cooked by boiling or stewing/(P)/
煮返す [にかえす] /(v5s,vt) to warm over/
煮崩れ [にくずれ] /(n,vs) falling apart while cooking/
煮方 [にかた] /(n) way of cooking/a cook/
煮麺 [にゅうめん] /(n) soup of soumen noodles and various ingredients in a soy sauce broth/
煮立つ [にたつ] /(v5t,vi) to boil or simmer/
煮立てる [にたてる] /(v1,vt) to boil or simmer/
煮零れる [にこぼれる] /(v1,vi) to boil over/
社 [しゃ] /(n,n-suf) (1) (abbr) company/association/society/(2) regional Chinese god of the earth (or a village built in its honour)/(ctr,suf) (3) counter for companies, shrines, etc./
社 [やしろ] /(n) shrine (usually Shinto)/
社の方針 [しゃのほうしん] /(n) company policy/
社印 [しゃいん] /(n) official seal of a company/
社員 [しゃいん] /(n) (1) company employee/(2) company stockholders (esp. in legal contexts)/members of a corporation/(P)/
社員教育 [しゃいんきょういく] /(n) employee training/employee education/
社員食堂 [しゃいんしょくどう] /(n) staff canteen/
社員同士 [しゃいんどうし] /(n) one's fellow workers/fellow employees/
社員旅行 [しゃいんりょこう] /(n) company outing/company retreat/
社員寮 [しゃいんりょう] /(n) company dormitory/
社運 [しゃうん] /(n) company fortunes/
社屋 [しゃおく] /(n) company office building/(P)/
社家 [しゃけ] /(n) family of Shinto priests serving a shrine on a hereditary basis/
社歌 [しゃか] /(n) company song/
社会 [しゃかい] /(n) society/public/(P)/
社会の窓 [しゃかいのまど] /(n) trouser zipper (mainly for males) (lit: society window)/fly/
社会ダーウィニズム [しゃかいダーウィニズム] /(n) social Darwinism/
社会悪 [しゃかいあく] /(n) social ills/
社会意識 [しゃかいいしき] /(n) social consciousness/
社会医学 [しゃかいいがく] /(n) social medicine/
社会運動 [しゃかいうんどう] /(n) social movement/(P)/
社会化 [しゃかいか] /(n,vs) socialization/socialisation/
社会科 [しゃかいか] /(n) social studies/(P)/
社会科学 [しゃかいかがく] /(n) social science/(P)/
社会学 [しゃかいがく] /(n) sociology/(P)/
社会学者 [しゃかいがくしゃ] /(n) sociologist/
社会活動 [しゃかいかつどう] /(n) social activity/
社会基金 [しゃかいききん] /(n) social fund/
社会起業家 [しゃかいきぎょか] /(n) social entrepreneur/
社会技能 [しゃかいぎのう] /(n) social skills/
社会恐怖症 [しゃかいきょうふしょう] /(n) social phobias/
社会教育 [しゃかいきょういく] /(n) social education/(P)/
社会契約 [しゃかいけいやく] /(n) social contract/social compact/FIS xref/
社会契約説 [しゃかいけいやくせつ] /(n) social contract theory (e.g. Rousseau's)/
社会契約論 [しゃかいけいやくろん] /(n) social contract theory (e.g. Rousseau's)/
社会形態 [しゃかいけいたい] /(n) social form/
社会経済 [しゃかいけいざい] /(n,adj-no) socio-economics/social economy/
社会権 [しゃかいけん] /(n) social right (legal)/economic right/
社会現象 [しゃかいげんしょう] /(n) social phenomenon/
社会言語学 [しゃかいげんごがく] /(n,adj-no) sociolinguistics/
社会構築主義 [しゃかいこうちくしゅぎ] /(n) social constructionism/social constructivism/
社会貢献 [しゃかいこうけん] /(n) contribution to society/
社会資本 [しゃかいしほん] /(n) social capital/SOC/(P)/
社会事業 [しゃかいじぎょう] /(n) social work/(P)/
社会自由主義 [しゃかいじゆうしゅぎ] /(n) social liberalism/
社会主義 [しゃかいしゅぎ] /(n,adj-no) socialism/(P)/
社会主義リアリズム [しゃかいしゅぎリアリズム] /(n) socialist realism/
社会主義者 [しゃかいしゅぎしゃ] /(n) socialist (person)/
社会諸科学 [しゃかいしょかがく] /(n) social sciences/
社会情勢 [しゃかいしょせい] /(n) social conditions/social situation/state of society/social landscape/social climate/
社会心理学 [しゃかいしんりがく] /(n) social psychology/
社会進化 [しゃかいしんか] /(n,vs) social evolution/
社会進化論 [しゃかいしんかろん] /(n) social Darwinism/
社会進出 [しゃかいしんしゅつ] /(n) social progress/getting ahead in society/moving up in the world/
社会人 [しゃかいじん] /(n) working adult/full-fledged member of society/(P)/
社会人野球 [しゃかいじんやきゅう] /(n) baseball tournament between non-professional teams sponsored by corporations/
社会人類学 [しゃかいじんるいがく] /(n) social anthropology/
社会人枠 [しゃかいじんわく] /(n) special consideration for non-traditional (older) students/
社会制度 [しゃかいせいど] /(n) social system/
社会性 [しゃかいせい] /(n) sociality/(P)/
社会性昆虫 [しゃかいせいこんちゅう] /(n) social insect/
社会政策 [しゃかいせいさく] /(n) social policy/
社会生活 [しゃかいせいかつ] /(n) social life/
社会生物学 [しゃかいせいぶつがく] /(n) sociobiology/
社会層 [しゃかいそう] /(n) stratum of society/
社会大衆党 [しゃかいたいしゅうとう] /(n) Socialist Masses Party (pre-war political party; established in 1932, eliminated by the government in 1940)/
社会秩序 [しゃかいちつじょ] /(n,vs) (maintain, observe) social (public) order/
社会通念 [しゃかいつうねん] /(n) idea commonly (generally) accepted in the world/
社会的 [しゃかいてき] /(adj-na) social/(P)/
社会的間接資本 [しゃかいてきかんせつしほん] /(n) social overhead capital/
社会的企業 [しゃかいてききぎょう] /(n) social business/social enterprise/
社会適応 [しゃかいてきおう] /(n) social adjustment/
社会党 [しゃかいとう] /(n) Socialist Party/(P)/
社会淘汰 [しゃかいとうた] /(n) social selection/
社会統合 [しゃかいとうごう] /(n) social integration/
社会鍋 [しゃかいなべ] /(n) charity pot/
社会不安障害 [しゃかいふあんしょうがい] /(n) social-anxiety disorder/
社会部 [しゃかいぶ] /(n) local news section/the city desk/
社会部記者 [しゃかいぶきしゃ] /(n) local-news reporter/police reporter/city news reporter/
社会復帰 [しゃかいふっき] /(n,vs) rehabilitation (in society)/(P)/
社会福祉 [しゃかいふくし] /(n) social welfare/(P)/
社会福祉施設 [しゃかいふくししせつ] /(n) social welfare facility/
社会福祉事業 [しゃかいふくしじぎょう] /(n) social work/social welfare service/
社会福祉法人 [しゃかいふくしほうじん] /(n) social welfare service corporation/
社会分化 [しゃかいぶんか] /(n,vs) social differentiation/
社会保険 [しゃかいほけん] /(n) social insurance/(P)/
社会保険事務所 [しゃかいほけんじむしょ] /(n) social insurance office/
社会保険庁 [しゃかいほけんちょう] /(n) Social Insurance Agency/(P)/
社会保険労務士 [しゃかいほけんろうむし] /(n) licensed social insurance consultant/social insurance worker/
社会保障 [しゃかいほしょう] /(n,adj-no) social security/(P)/
社会保障制度 [しゃかいほしょうせいど] /(n) social security system/
社会保障費 [しゃかいほしょうひ] /(n) cost of social security/social welfare spending/
社会奉仕 [しゃかいほうし] /(n) voluntary social service/
社会奉仕家 [しゃかいほうしか] /(n) social worker/
社会民主々義 [しゃかいみんしゅしゅぎ] /(n) social democracy/
社会民主主義 [しゃかいみんしゅしゅぎ] /(n) social democracy/
社会民主党 [しゃかいみんしゅとう] /(n) Social Democratic Party/
社会面 [しゃかいめん] /(n) society or local news page/(P)/
社会問題 [しゃかいもんだい] /(n) social problem/(P)/
社会倫理 [しゃかいりんり] /(n) social ethics/
社外 [しゃがい] /(n,adj-no) outside the company/(P)/
社外発信 [しゃがいはっしん] /(n) external (to a company) communications/
社外秘 [しゃがいひ] /(n) company secret/
社格 [しゃかく] /(n) (1) (obs) shrine ranking (abolished in 1946)/(2) company ranking/
社共 [しゃきょう] /(n) Social and Communist Parties/
社業 [しゃぎょう] /(n) company's business/
社訓 [しゃくん] /(n) guiding precepts of a company/company credo/corporate philosophy/
社交 [しゃこう] /(n,adj-no) social life/social intercourse/(P)/
社交クラブ [しゃこうクラブ] /(n) social club/
社交ダンス [しゃこうダンス] /(n) social dance/ballroom dancing/
社交家 [しゃこうか] /(n) sociable person/
社交界 [しゃこうかい] /(n) high society/
社交界の花 [しゃこうかいのはな] /(exp) belle of society/queen of high society/
社交辞令 [しゃこうじれい] /(exp,adj-no) polite or diplomatic way of putting things/honeyed words/lip service/
社交上手 [しゃこうじょうず] /(n,adj-na) social ease (facility, skills)/being a good mixer/
社交場 [しゃこうじょう] /(n) social meeting place/watering hole/
社交性 [しゃこうせい] /(n) sociability/
社交的 [しゃこうてき] /(adj-na) sociable/(P)/
社交服 [しゃこうふく] /(n) party clothes/evening clothes/
社公連合 [しゃこうれんごう] /(n) coalition of the Socialist Party and the Komeito/
社告 [しゃこく] /(n) (company) announcement/(P)/
社債 [しゃさい] /(n) corporate bond/corporate debenture/(P)/
社債権者 [しゃさいけんしゃ] /(n) bondholder/
社債償還 [しゃさいしょうかん] /(n) bond redemption/debenture redemption/
社史 [しゃし] /(n) history of a company/
社寺 [しゃじ] /(n) shrines and temples/
社主 [しゃしゅ] /(n) company head or owner/
社章 [しゃしょう] /(n) company badge/
社是 [しゃぜ] /(n) company policy/
社製 [しゃせい] /(adj-na) company manufactured/
社説 [しゃせつ] /(n) editorial/leading article/(P)/
社説面 [しゃせつめん] /(n) editorial page/
社線 [しゃせん] /(n) private railway or bus line/
社僧 [しゃそう] /(n) priest attached to a shrine/
社葬 [しゃそう] /(n) company funeral/(P)/
社則 [しゃそく] /(n) company regulations/
社大 [しゃだい] /(n) (abbr) Socialist Masses Party/
社大党 [しゃだいとう] /(n) (abbr) Socialist Masses Party/
社宅 [しゃたく] /(n) company owned house/(P)/
社団 [しゃだん] /(n) corporation/association/
社団法人 [しゃだんほうじん] /(n) corporation/(P)/
社団法人情報サービス産業協会 [しゃだんほうじんじょうほうサービスさんぎょうきょうかい] /(n) (comp) JISA/Japan Information Service Industry Association/
社地 [しゃち] /(n) grounds of a shrine/
社畜 [しゃちく] /(n) corporate slave/
社中 [しゃちゅう] /(n) in a company/troupe/
社長 [しゃちょう] /(n) company president/manager/director/(P)/
社長室 [しゃちょうしつ] /(n) president's office/
社長命令 [しゃちょうめいれい] /(n) presidential order/
社殿 [しゃでん] /(n) (main building of a) Shinto shrine/
社頭 [しゃとう] /(n) front of (the main building of) a shrine/
社内 [しゃない] /(n,adj-no) within a company/in-house/(P)/
社内外 [しゃないがい] /(exp) inside and outside the company/
社内結婚 [しゃないけっこん] /(n) marriage between coworkers/
社内情報 [しゃないじょうほう] /(n) company-internal information/
社内不倫 [しゃないふりん] /(n) adulterous love affair with someone at work/
社内弁護士 [しゃないべんごし] /(n) in-house lawyer/
社内報 [しゃないほう] /(n) company newsletter/
社日 [しゃじつ] /(n) "tsuchinoe" day that falls closest to the vernal or autumnal equinox (a day of religious significance for harvests)/
社日 [しゃにち] /(n) "tsuchinoe" day that falls closest to the vernal or autumnal equinox (a day of religious significance for harvests)/
社費 [しゃひ] /(n) company expenses/at company expense/
社賓 [しゃひん] /(n) company guest/
社風 [しゃふう] /(n) corporate culture/company climate or spirit/the way a company does things/
社民 [しゃみん] /(n) (abbr) Social Democratic Party/
社民党 [しゃみんとう] /(n) (abbr) Social Democratic Party/(P)/
社務 [しゃむ] /(n) company business/clerical work at a shrine/
社務所 [しゃむしょ] /(n) shrine office/
社名 [しゃめい] /(n) name of company/(P)/
社命 [しゃめい] /(n) company orders/
社友 [しゃゆう] /(n) colleague/company friend/
社用 [しゃよう] /(n) company business/
社用車 [しゃようしゃ] /(n) company car/
社用族 [しゃようぞく] /(n) expense-account spenders/
社歴 [しゃれき] /(n) history of a company/
社稷 [しゃしょく] /(n) the State (tutelary deity and god of grain)/
紗 [しゃ] /(n) (silk) gauze/
紗の様 [しゃのよう] /(adj-na) gauzy/
者 [しゃ] /(n,suf) someone of that nature/someone doing that work/
者 [もの] /(n) person (rarely used w.o. a qualifier)/(P)/
者 [もん] /(n) person (rarely used w.o. a qualifier)/
者共 [ものども] /(pn) (derog) you/
謝々 [シエシエ] /(int) thank you (chi: xiexie)/
謝す [しゃす] /(v5s) (1) to thank/(2) to apologize/to apologise/(3) to say farewell/to retreat/to retire/(4) to refuse/(5) to pay back/to settle old scores/
謝する [しゃする] /(vs-s) (1) to thank/(2) to apologize/to apologise/(3) to say farewell/to retreat/to retire/(4) to refuse/(5) to pay back/to settle old scores/
謝り [あやまり] /(n) excuse/apology/
謝る [あやまる] /(v5r) to apologize/to apologise/(P)/
謝意 [しゃい] /(n) gratitude/thanks/(P)/
謝恩 [しゃおん] /(n,vs) (expression of) gratitude/
謝恩会 [しゃおんかい] /(n) thank-you party/
謝金 [しゃきん] /(n) reward/monetary expression of thanks/
謝罪 [しゃざい] /(n,vs) apology/(P)/
謝罪広告 [しゃざいこうこく] /(n) published apology/
謝辞 [しゃじ] /(n) thanks/apology/
謝謝 [シエシエ] /(int) thank you (chi: xiexie)/
謝状 [しゃじょう] /(n) thank-you letter/letter of apology/
謝絶 [しゃぜつ] /(n,vs) refusal/
謝肉祭 [しゃにくさい] /(n) the carnival/
謝礼 [しゃれい] /(n,vs) reward/honorarium/remuneration/(P)/
車 [くるま] /(n) (1) car/automobile/vehicle/(2) wheel/(P)/
車々間通信 [しゃしゃかんつうしん] /(n) (comp) IVC/intervehicle communication/
車いす [くるまいす] /(n) wheelchair/folding push-chair/
車に撥ねられる [くるまにはねられる] /(exp,v1) to be struck by a car/
車の流れ [くるまのながれ] /(n) flow of cars/
車の両輪 [くるまのりょうりん] /(exp) two halves of the whole/two wheels on which everything rolls/
車を転がす [くるまをころがす] /(exp,v5s) (col) to drive a car/
車を留める [くるまをとめる] /(exp,v1) to park a car/
車椅子 [くるまいす] /(n) wheelchair/folding push-chair/(P)/
車井戸 [くるまいど] /(n) a well equipped with a pulley for drawing water/
車屋 [くるまや] /(n) rickshawman/rickshaw station/cartwright/
車蝦 [くるまえび] /(n) kuruma prawn (Marsupenaeus japonicus)/kuruma shrimp/Japanese tiger prawn/
車海老 [くるまえび] /(n) kuruma prawn (Marsupenaeus japonicus)/kuruma shrimp/Japanese tiger prawn/
車外 [しゃがい] /(n) outside a car/
車轄 [しゃかつ] /(n) linchpin/
車冠オウム [くるまさオウム] /(n) (uk) Major Mitchell's cockatoo (Cacatua leadbeateri)/Leadbeater's cockatoo/
車冠鸚鵡 [くるまさかおうむ] /(n) (uk) Major Mitchell's cockatoo (Cacatua leadbeateri)/Leadbeater's cockatoo/
車間距離 [しゃかんきょり] /(n) distance between two trains or vehicles/
車寄 [くるまよせ] /(io) (n) carriage porch/entranceway/
車寄せ [くるまよせ] /(n) carriage porch/entranceway/
車券 [しゃけん] /(n) bike-race (betting) ticket/
車検 [しゃけん] /(n) vehicle inspection/(P)/
車検証 [しゃけんしょう] /(n) automobile inspection certificate/vehicle inspection sticker/
車庫 [しゃこ] /(n) garage/car shed/carport/(P)/
車庫入れ [しゃこいれ] /(n,vs) parking in a garage/
車高 [しゃこう] /(n) vehicle height/
車高短 [しゃこうたん] /(n) car with the body lowered/lowrider/
車座 [くるまざ] /(n) sitting in a circle/
車載 [しゃさい] /(n,adj-no) in-vehicle/on-board/
車載器 [しゃさいき] /(n) on-board device (e.g. in prepaid road toll system)/
車止め [くるまどめ] /(n) (railway) buffer stop/bumper/bumping post/
車軸 [しゃじく] /(n) axle/(P)/
車軸を流す [しゃじくをながす] /(exp) (id) It's pouring/
車室 [しゃしつ] /(n) compartment (of a train)/interior (of a car)/
車種 [しゃしゅ] /(n) car make/car model/(P)/
車宿り [くるまやどり] /(n) (1) building where one keeps oxcarts and other conveyances inside a private estate/(2) resting area for one's oxcart, wagon, etc./
車掌 [しゃしょう] /(n) (train) conductor/(P)/
車掌区 [しゃしょうく] /(n) conductors' station (office)/
車掌室 [しゃしょうしつ] /(n) conductor's compartment/
車上 [しゃじょう] /(n) on or aboard a train or vehicle/
車上荒し [しゃじょうあらし] /(n,vs) stealing from vehicles/
車上荒らし [しゃじょうあらし] /(n,vs) stealing from vehicles/
車酔い [くるまよい] /(n) car sickness/
車線 [しゃせん] /(n) traffic lane/road lane/(P)/
車前 [おおばこ] /(n) (uk) plantain (esp. Asian plantain, Plantago asiatica)/
車前 [おばこ] /(n) (uk) plantain (esp. Asian plantain, Plantago asiatica)/
車前 [おんばこ] /(n) (uk) plantain (esp. Asian plantain, Plantago asiatica)/
車前科 [おおばこか] /(n) Plantaginaceae (the plantain family)/
車前子 [しゃぜんし] /(n) plantain seed/
車前草 [おおばこ] /(n) (uk) plantain (esp. Asian plantain, Plantago asiatica)/
車前草 [おばこ] /(n) (uk) plantain (esp. Asian plantain, Plantago asiatica)/
車前草 [おんばこ] /(n) (uk) plantain (esp. Asian plantain, Plantago asiatica)/
車前草 [しゃぜんそう] /(n) (uk) plantain (esp. Asian plantain, Plantago asiatica)/
車窓 [しゃそう] /(n) car window/(P)/
車速 [しゃそく] /(n) vehicle speed/speed/
車体 [しゃたい] /(n) body (of car)/frame/(P)/
車代 [くるまだい] /(n) carfare/cartage fee/honorarium/
車台 [しゃだい] /(n) chassis/car body/
車大工 [くるまだいく] /(n) cartwright/
車知 [しゃち] /(n) wooden dowel/draw pin/key/cotter/
車地 [しゃち] /(n) capstan/windlass/
車中 [しゃちゅう] /(n-adv,n-t) in a train or vehicle/(P)/
車中談 [しゃちゅうだん] /(n) informal talk given (as by a politician, etc.) aboard a train/
車中泊 [しゃちゅうはく] /(n,vs) sleeping in a vehicle, train, etc./
車賃 [くるまちん] /(n) carfare/cartage fee/
車泥棒 [くるまどろぼう] /(n) auto theft/car thief/
車糖 [くるまとう] /(n) var. of refined sugar/
車道 [しゃどう] /(n) roadway/(P)/
車内 [しゃない] /(n,adj-no) inside a carriage/(P)/
車内改札 [しゃないかいさつ] /(n) inspection of tickets in the car (carriage)/
車内灯 [しゃないとう] /(n) interior light/
車馬 [しゃば] /(n) horses and vehicles/
車馬賃 [しゃばちん] /(n) carfare/fare/transportation expenses/
車夫 [しゃふ] /(n) rickshaw man/
車風 [しゃふう] /(n) winter street dust/
車偏 [くるまへん] /(n) kanji "vehicle" radical at left/
車名 [しゃめい] /(n) marque/car name/
車用品 [くるまようひん] /(n) car parts/
車葉衝羽根草 [くるまばつくばねそう] /(n) (uk) Paris verticillata (flowering plant closely related to herb Paris)/
車葉草 [くるまばそう] /(n) (uk) sweet woodruff (Asperula odorata)/
車両 [しゃりょう] /(n) rolling stock/railroad cars/vehicles/(P)/
車両化 [しゃりょうか] /(n,vs) motorization/motorisation/
車両会社 [しゃりょうがいしゃ] /(n) rolling stock (manufacturing) company/
車両基地 [しゃりょうきち] /(n) railyard/
車両縦隊 [しゃりょうじゅうたい] /(n) convoy/
車力 [しゃりき] /(n) cartman/
車輪 [しゃりん] /(n) (car) wheel/(P)/
車輪石 [しゃりんせき] /(n) circular stone or jasper ornament from the Kofun era/
車輛 [しゃりょう] /(oK) (n) rolling stock/railroad cars/vehicles/
車輌 [しゃりょう] /(oK) (n) rolling stock/railroad cars/vehicles/
遮へい [しゃへい] /(n,vs) screen/shielding/reverse clipping/
遮る [さえぎる] /(v5r,vt) to interrupt/to intercept/to obstruct/(P)/
遮炎性 [しゃえんせい] /(n) flame shielding performance/flame interruption performance/flame screening performance/
遮音 [しゃおん] /(n,adj-no,vs) soundproofing/sound insulation/
遮光 [しゃこう] /(n,vs) shade/darken/
遮光カーテン [しゃこうカーテン] /(n) lined curtain/opaque curtain/
遮光器土偶 [しゃこうきどぐう] /(n) "spaceman" clay figurine from about 500 AD/
遮断 [しゃだん] /(n,vs) isolation/cut off/blockade/quarantine/interception/deprivation/(P)/
遮断器 [しゃだんき] /(n) circuit breaker/
遮断機 [しゃだんき] /(n) railway crossing gate/(P)/
遮断壁 [しゃだんぺき] /(n) bulkhead/barrier/
遮那 [しゃな] /(n) Mahavairocana (name of a Bodhisattva)/
遮二無二 [しゃにむに] /(adv) desperately/recklessly/rush headlong/
遮蔽 [しゃへい] /(n,vs) screen/shielding/reverse clipping/
遮蔽物 [しゃへいぶつ] /(n) shelter/cover/
蛇 [くちなわ] /(n) (1) snake/(2) serpent/large snake/
蛇 [じゃ] /(n) (1) snake/(2) serpent/large snake/
蛇 [へび] /(n) (1) snake/(2) serpent/large snake/(P)/
蛇 [へみ] /(ok) (n) (1) snake/(2) serpent/large snake/
蛇いちご [くちなわいちご] /(n) false strawberry (Duchesnea chrysantha)/mock strawberry/
蛇いちご [へびいちご] /(n) false strawberry (Duchesnea chrysantha)/mock strawberry/
蛇の道は蛇 [じゃのみちはへび] /(exp) (id) Set a thief to catch a thief/
蛇の目 [じゃのめ] /(n) (umbrella with) bull's-eye (pattern)/(P)/
蛇の目の砂 [じゃのめのすな] /(n) sand circle around the sumo ring/
蛇の目傘 [じゃのめがさ] /(n) paper umbrella (with a bull's-eye design)/
蛇の目蝶 [じゃのめちょう] /(n) (uk) satyrid (any butterfly of subfamily Satyrinae, esp. the dryad, Minois dryas)/grayling/
蛇の様 [へびのよう] /(adj-na) snakelike/snaky/serpentine/
蛇の鬚 [じゃのひげ] /(n) (uk) dwarf mondo grass (Ophiopogon japonicus)/
蛇革 [へびがわ] /(n,adj-no) snakeskin/
蛇管 [じゃかん] /(n) coil/hose/
蛇管 [だかん] /(n) coil/hose/
蛇銀宝 [へびぎんぽ] /(n) (uk) Enneapterygius etheostomus (species of threefin blenny)/
蛇遣い [へびつかい] /(n) snake charmer/
蛇遣い座 [へびつかいざ] /(n) (constellation) Serpent Bearer/Ophiuchus/
蛇口 [じゃぐち] /(n) faucet/tap/(P)/
蛇行 [だこう] /(n,vs) meandering/crawling/(P)/
蛇行運転 [だこううんてん] /(n) erratic driving/driving in a zigzag/
蛇座 [へびざ] /(n) (constellation) Serpent/
蛇使い [へびつかい] /(n) snake charmer/
蛇心仏口 [じゃしんぶっこう] /(n) being cunning and spiteful, yet honey-tongued with feigned kindness/
蛇責め [へびぜめ] /(n) torture in which the victim is bound and placed in a tub of snakes/
蛇足 [だそく] /(n,adj-no) redundancy/superfluity/useless addition/
蛇体 [じゃたい] /(n) body of a snake/serpentine/
蛇毒 [じゃどく] /(n) snake venom/snake toxin/
蛇毒 [へびどく] /(n) snake venom/snake toxin/
蛇皮線 [じゃびせん] /(n) (col) sanshin (Okinawan traditional three-stringed instrument; precursor to the shamisen)/
蛇腹 [じゃばら] /(n) (camera) bellows/ceiling molding/ceiling moulding/design of parallel lines/cornice/
蛇目蝶 [じゃのめちょう] /(n) (uk) satyrid (any butterfly of subfamily Satyrinae, esp. the dryad, Minois dryas)/grayling/
蛇紋石 [じゃもんせき] /(n) serpentine/
蛇籠 [じゃかご] /(n) gabion/
蛇舅母 [かなへび] /(n) (uk) lacertid (any lizard of family Lacertidae, esp. the Japanese grass lizard, Takydromus tachydromoides)/
蛇苺 [くちなわいちご] /(n) false strawberry (Duchesnea chrysantha)/mock strawberry/
蛇苺 [へびいちご] /(n) false strawberry (Duchesnea chrysantha)/mock strawberry/
蛇蜻蛉 [へびとんぼ] /(n) (uk) dobsonfly (esp. species Protohermes grandis)/
蛇蝎 [だかつ] /(n) (1) serpent (snake) and scorpion/(2) detestation/
蛇蠍 [だかつ] /(n) (1) serpent (snake) and scorpion/(2) detestation/
邪 [よこしま] /(adj-na) wicked/evil/(P)/
邪ま [よこしま] /(io) (adj-na) wicked/evil/
邪まな心 [よこしまなこころ] /(n) evil heart/
邪悪 [じゃあく] /(adj-na,n) wicked/evil/
邪淫 [じゃいん] /(n) lewdness/
邪気 [じゃき] /(n) noxious gas/maliciousness/
邪鬼 [じゃき] /(n) devil/imp/evil spirit/
邪教 [じゃきょう] /(n) heresy/heathenism/paganism/
邪曲 [じゃきょく] /(adj-na,n) wickedness/
邪見 [じゃけん] /(n) evil point of view/
邪険 [じゃけん] /(adj-na,n) hard hearted/cruel/unkind/
邪視 [じゃし] /(n) evil eye/
邪宗 [じゃしゅう] /(n) heresy/foreign religion/
邪術 [じゃじゅつ] /(n) (1) evil ways/(2) sorcery/
邪心 [じゃしん] /(n) wicked heart/evil design/
邪神 [じゃしん] /(n) an evil god/
邪推 [じゃすい] /(n,vs) distrust/unjust suspicion/
邪推深い [じゃすいぶかい] /(adj-i) unjustly suspicious (about many things)/
邪正一如 [じゃしょういちにょ] /(exp) Wrong and right are but two faces of the same coin/
邪説 [じゃせつ] /(n) heretical doctrine/
邪知 [じゃち] /(n) knowledge applied to evil purposes/
邪智 [じゃち] /(n) knowledge applied to evil purposes/
邪道 [じゃどう] /(n) evil course/heresy/(P)/
邪念 [じゃねん] /(n) wicked thought/wicked mind/
邪馬台国 [やばたいこく] /(n) (arch) Yamataikoku/(Japanese history) a country that existed within Japan. Ruled by Queen Himiko in the third century AD/
邪馬台国 [やまたいこく] /(n) (arch) Yamataikoku/(Japanese history) a country that existed within Japan. Ruled by Queen Himiko in the third century AD/
邪飛 [じゃひ] /(n) foul fly/
邪法 [じゃほう] /(n) heretical teachings/the black arts/
邪魔 [じゃま] /(adj-na,n,vs) hindrance/intrusion/(P)/
邪魔っ気 [じゃまっけ] /(n) nuisance/obstructive (person)/troublesome (person)/
邪魔ッ気 [じゃまッけ] /(n) nuisance/obstructive (person)/troublesome (person)/
邪魔者 [じゃまもの] /(n) someone who is a nuisance or a burden/
邪魔臭い [じゃまくさい] /(exp,adj-i) troublesome/pain in the butt/
邪魔物 [じゃまもの] /(n) obstacle/hindrance/
邪魔立て [じゃまだて] /(n,vs) a hindrance/
邪欲 [じゃよく] /(n) evil desire/
邪恋 [じゃれん] /(n) illicit love/
邪慳 [じゃけん] /(adj-na,n) cruelty/hard-heartedness/
借り [かり] /(n) borrowing/debt/loan/(P)/
借りっ放し [かりっぱなし] /(n) borrowing without returning/
借りてきた猫 [かりてきたねこ] /(exp) being quiet and meek (in contrast to normal behaviour) (c.f. meek as a lamb)/lit: a borrowed cat/
借りる [かりる] /(v1,vt) (1) to borrow/to have a loan/(2) to rent/to hire/(P)/
借りパク [かりパク] /(n,vs) (col) borrowing without returning/
借り衣裳 [かりいしょう] /(iK) (n) borrowed clothes/
借り衣装 [かりいしょう] /(n) borrowed clothes/
借り越し [かりこし] /(n) outstanding debt/overdraft/overdraught/
借り越し金 [かりこしきん] /(n) overdraft/overdraught/outstanding debt/
借り越す [かりこす] /(v5s) to overdraw/
借り家 [かりいえ] /(n,vs) house for rent/rented house/renting a house/
借り家 [かりや] /(n,vs) house for rent/rented house/renting a house/
借り火 [かりび] /(n) borrowing fire/borrowed fire/
借り換え [かりかえ] /(n) conversion/refunding/renewal/
借り換える [かりかえる] /(v1,vt) to convert (a loan)/
借り間 [かりま] /(n) rented room/
借り込む [かりこむ] /(v5m) to borrow/
借り字 [かりじ] /(n) characters borrowed (to represent the meaning)/
借り主 [かりぬし] /(n) (1) borrower/debtor/(2) tenant/lessee/renter/
借り取り [かりどり] /(n) borrowing without returning/
借り手 [かりて] /(n) borrower/debtor/tenant/
借り受ける [かりうける] /(v1,vt) to borrow/to have a loan/to hire/to rent/to buy on credit/
借り受け金 [かりうけきん] /(n) borrowed money/
借り受け人 [かりうけにん] /(n) borrower/debtor/tenant/
借り集める [かりあつめる] /(v1) to borrow money/to call for loans/
借り住い [かりずまい] /(n) living in rented quarters/
借り出す [かりだす] /(v5s,vt) to borrow/to take out/
借り上げる [かりあげる] /(v1,vt) to hire/to lease/to requisition/to charter/
借り数 [かりすう] /(n) (comp) borrow digit/
借り切り [かりきり] /(n) reserved (car)/
借り切る [かりきる] /(v5r,vt) to reserve/
借り貸し [かりかし] /(n) loan/lending and borrowing/
借り宅 [かりたく] /(n) rented house/
借り地 [かりち] /(n) leased land/
借り着 [かりぎ] /(n) borrowed clothes/
借り賃 [かりちん] /(n) rent/hire/
借り店 [かりだな] /(n) rented shop/
借り倒す [かりたおす] /(v5s,vt) to evade payment/
借り逃げ [かりにげ] /(n) running away from a debt/
借り入れ [かりいれ] /(n) debt/(P)/
借り入れる [かりいれる] /(v1,vt) to borrow/to rent/to lease/to charter/
借り入れ金 [かりいれきん] /(io) (n) loan/loan payable/debt/
借り払い [かりばらい] /(n,vs) loan repayment/
借り物 [かりもの] /(n) borrowed thing/
借り方 [かりかた] /(n) debtor/debit/way of borrowing/
借り名 [かりな] /(n) borrowed name/
借る [かる] /(v5r,vt) (1) (ksb:) to borrow/to have a loan/(2) to rent/to hire/
借屋 [しゃくや] /(n,vs) house for rent/rented house/renting a house/
借屋住居 [しゃくやずまい] /(n) living in rented quarters/
借音 [しゃくおん] /(n) using the Chinese-reading of kanji to represent native Japanese words (irrespective of the kanji's actual meaning)/
借家 [かりいえ] /(n,vs) house for rent/rented house/renting a house/
借家 [かりや] /(n,vs) house for rent/rented house/renting a house/
借家 [しゃくや] /(n,vs) house for rent/rented house/renting a house/(P)/
借家 [しゃっか] /(n,vs) house for rent/rented house/renting a house/
借家人 [しゃくやにん] /(n) tenant/renter/
借家人 [しゃっかにん] /(n) tenant/renter/
借家争議 [しゃっかそうぎ] /(n) tenancy troubles/
借株 [かりかぶ] /(n) rented sumo coaching stock/
借款 [しゃっかん] /(n) (international) loan/(P)/
借間 [しゃくま] /(n,vs) rented room/
借金 [しゃっきん] /(n,vs) debt/loan/liabilities/(P)/
借金がかさむ [しゃっきんがかさむ] /(exp,v5m) to get deeper in debt/to pile up debts/
借金が嵩む [しゃっきんがかさむ] /(exp,v5m) to get deeper in debt/to pile up debts/
借金で苦しむ [しゃっきんでくるしむ] /(v5m) to be distressed with debts/
借金で首が回らない [しゃっきんでくびがまわらない] /(exp) deep in debt/
借金の形 [しゃっきんのかた] /(n) security for a loan/
借金を踏み倒す [しゃっきんをふみたおす] /(exp,v5s) to default on one's debt/
借金取り [しゃっきんとり] /(n) bill collection/bill collector/dun/
借訓 [しゃっくん] /(n) using the Japanese-reading of kanji to represent native Japanese words (irrespective of the kanji's actual meaning)/
借景 [しゃっけい] /(n) borrowed scenery (incorporation of a landscape element outside a garden in its design)/
借財 [しゃくざい] /(n,vs) loan/debt/liability/
借字 [かりじ] /(n) kanji used for sound equivalence/
借字 [しゃくじ] /(n) kanji used for sound equivalence/
借主 [かりぬし] /(n) (1) borrower/debtor/(2) tenant/lessee/renter/
借手 [かりて] /(n) borrower/debtor/tenant/
借集める [かりあつめる] /(v1) to borrow money/to call for loans/
借上げる [かりあげる] /(v1,vt) to hire/to lease/to requisition/to charter/
借人 [かりにん] /(n) borrower/
借銭 [しゃくせん] /(n) debt/
借貸 [しゃくたい] /(n) loan/lending and borrowing/
借地 [しゃくち] /(n,vs) leased land/(P)/
借地権 [しゃくちけん] /(n) lease/leasehold/
借地料 [しゃくちりょう] /(n) land rent/
借入 [しゃくにゅう] /(n,vs) borrowing/
借入金 [かりいれきん] /(n) loan/loan payable/debt/(P)/
借入費用 [しゃくにゅうひよう] /(n,vs) borrowing costs/
借払い [かりばらい] /(n,vs) loan repayment/
借物 [かりもの] /(n) borrowed thing/
借問 [しゃくもん] /(n,vs) inquiring/enquiring/
借問 [しゃもん] /(n,vs) inquiring/enquiring/
借用 [しゃくよう] /(n,vs) borrowing/loan/
借用語 [しゃくようご] /(n) borrowed word/loanword/loan word/
借用者 [しゃくようしゃ] /(n) borrower/
借用書 [しゃくようしょ] /(n) IOU/
借用証書 [しゃくようしょうしょ] /(n) promissory note/
借覧 [しゃくらん] /(n,vs) borrowing and reading/
借料 [しゃくりょう] /(n) rent money/
勺 [しゃく] /(n) (1) 18 ml (one-tenth of a go)/(2) 0.033 meters square (one-hundredth of a tsubo)/(3) dip/ladle/
勺 [せき] /(n) (1) 18 ml (one-tenth of a go)/(2) 0.033 meters square (one-hundredth of a tsubo)/(3) dip/ladle/
尺 [あた] /(n,n-suf,ctr) (arch) distance between outstretched thumb and middle finger (approx. 18 cm)/
尺 [しゃく] /(n) (1) shaku (unit of distance approximately equal to 30.3 cm)/(2) rule/measure/scale/(3) length/(P)/
尺が伸びる [しゃくがのびる] /(exp,v1) extending in length (parts of television programs)/
尺けん [せっけん] /(n) (1) small amount of silk (i.e. only one foot of cloth)/(2) unimportant painting/trivial work of art/
尺を取る [しゃくをとる] /(exp,v5r) to measure (the length)/
尺を当てる [しゃくをあてる] /(exp,v1) to measure with a rule/
尺蛾 [しゃくが] /(n) (uk) geometer moth/geometrid/
尺貫法 [しゃっかんほう] /(n) old Japanese system of weights and measures/
尺骨 [しゃっこつ] /(n,adj-no) the ulna/
尺取 [しゃくとり] /(n) measuring worm/inchworm/looper (caterpillar)/
尺取り虫 [しゃくとりむし] /(n) inchworm/measuring worm/looper (caterpillar)/
尺取虫 [しゃくとりむし] /(n) inchworm/measuring worm/looper (caterpillar)/
尺寸 [しゃくすん] /(n) (something) tiny/trifle/
尺寸 [せきすん] /(n) (something) tiny/trifle/
尺地 [しゃくち] /(n) small plot of land/
尺度 [しゃくど] /(n) linear measure/scale/(P)/
尺拍子 [さくほうし] /(n) clapper (two long pieces of wood that are clapped together; used in gagaku, etc.)/
尺拍子 [しゃくびょうし] /(n) clapper (two long pieces of wood that are clapped together; used in gagaku, etc.)/
尺八 [しゃくはち] /(n) (1) shakuhachi/end-blown fippleless bamboo flute/(2) (X) (vulg) blow job/oral sex (penis in mouth)/fellatio/(P)/
尺牘 [しゃくどく] /(n) letter/epistle/
尺牘 [せきとく] /(n) letter/epistle/
尺鷸 [しゃくしぎ] /(n) (uk) (obsc) curlew (any bird of genus Numenius)/
杓 [しゃく] /(n) ladle/dipper/
杓る [しゃくる] /(v5r,vt) (1) (uk) to dig out/to gouge out/to hollow out/(2) to scoop/to ladle/to bail/(3) to jerk (one's chin)/
杓れる [しゃくれる] /(v1) (1) (uk) to be concaved/to have a concave shape/(2) to be crooked (chin)/
杓子 [しゃくし] /(n) bamboo ladle/
杓子果報 [しゃくしかほう] /(n,adj-na) coming by ample servings of delicious food/being blessed with good fortune/
杓子定規 [しゃくしじょうぎ] /(adj-na,n) a hard-and-fast rule/stick fast to rules/a stickler (for rules)/hidebound system/inflexible/
杓鴫 [しゃくしぎ] /(n) (uk) (obsc) curlew (any bird of genus Numenius)/
杓文字 [しゃもじ] /(n) wooden spoon/ladle/rice scoop/
灼か [あらたか] /(adj-na) (arch) clearly miraculous/remarkably miraculous/
灼く [やく] /(v5k,vt) (1) to bake/to grill/(2) to develop (photos)/(v5k,vi) (3) to suntan/(4) to burn (in flames, down, CD, DVD, etc.)/to scorch/
灼ける [やける] /(v1,vi) (1) to be jealous/to be envious/
灼た [あらた] /(adj-na) (1) (arch) clear/vivid/brilliant/(2) prominent/obvious/evident/
灼たか [あらたか] /(adj-na) (arch) clearly miraculous/remarkably miraculous/
灼然 [いやちこ] /(gikun) (adj-na) (1) (arch) clear (miracle, sign from the Gods) manifest/(2) (arch) plain as day/obvious/clear/
灼然 [しゃくぜん] /(adj-t,adv-to) (1) (arch) shining/radiant/(2) (arch) evident/clear/
灼熱 [しゃくねつ] /(n,adj-no) red hot/scorching heat/incandescence/
爵 [さく] /(ok) (n) (1) jue (ancient 3-legged Chinese wine pitcher, usu. made of bronze)/(2) peerage (hereditary title bestowed by the emperor)/
爵 [しゃく] /(n) (1) jue (ancient 3-legged Chinese wine pitcher, usu. made of bronze)/(2) peerage (hereditary title bestowed by the emperor)/
爵位 [しゃくい] /(n) peerage/court rank/
酌 [しゃく] /(n) pouring alcohol/person pouring alcohol/
酌み交わす [くみかわす] /(v5s) to drink together/
酌む [くむ] /(v5m,vt) to serve sake/
酌婦 [しゃくふ] /(n) barmaid/waitress/
酌量 [しゃくりょう] /(n,vs) consideration/pardon/
釈迦 [しゃか] /(n) the Buddha (Siddhartha Gautama, 563 BCE-483 BCE) (san: Sakya)/Shakyamuni/Sakyamuni/(P)/
釈迦に説法 [しゃかにせっぽう] /(exp) teaching your grandmother to suck eggs/teaching something to someone who knows more than you/lecturing to the Buddha/
釈迦三尊 [しゃかさんぞん] /(n) (obsc) image of Gautama Buddha flanked by two attendants/
釈迦頭 [しゃかとう] /(n) sugar apple/sweetsop (fruit)/
釈迦如来 [しゃかにょらい] /(n) (Buddh) Sakyamuni (sage of the Sakyas)/
釈迦牟尼 [しゃかむに] /(n) (Buddh) Sakyamuni (sage of the Sakyas)/
釈義 [しゃくぎ] /(n) exegesis/explanation of a text/commentary on a text/
釈義学 [しゃくぎがく] /(n) (1) exegesis/explanation of a text/commentary on a text/(2) study of biblical interpretation/
釈空海 [しゃくくうかい] /(n) Kukai (name of a Buddhist priest)/
釈然 [しゃくぜん] /(adj-t,adv-to) fully satisfied/well satisfied (e.g. with an explanation or apology)/to have one's heart completely cleared of doubt or grudge/
釈然 [せきぜん] /(adj-t,adv-to) fully satisfied/well satisfied (e.g. with an explanation or apology)/to have one's heart completely cleared of doubt or grudge/
釈然とする [しゃくぜんとする] /(exp,vs-i) to be fully satisfied with (e.g. an explanation or apology)/
釈尊 [しゃくそん] /(n) Sakyamuni (sage of the Sakyas)/
釈典 [しゃくてん] /(n) Buddhist sutras/Buddhist literature/
釈放 [しゃくほう] /(n,vs) release/liberation/acquittal/(P)/
釈明 [しゃくめい] /(n,vs) explanation/vindication/(P)/
錫 [すず] /(n) (uk) tin/(P)/
錫ペスト [すずペスト] /(n) tin pest/
錫婚式 [すずこんしき] /(n) tin wedding (anniversary)/
錫杖 [しゃくじょう] /(n) bishop's staff/khakkhara/
錫杖草 [しゃくじょうそう] /(n) (uk) yellow bird's-nest (Monotropa hypopitys)/pinesap/false beechdrops/
錫製品 [すずせいひん] /(n) tinware/
錫石 [すずいし] /(n) cassiterite/
若 [もころ] /(ok) (n-adv) like/similar to/same as/
若 [わか] /(n) (1) youth/(2) child (esp. of the young son of someone of high social standing)/(n-pref,n-suf) (3) young/new/
若々しい [わかわかしい] /(adj-i) youthful/young/(P)/
若い [わかい] /(adj-i) young/(P)/
若いころ [わかいころ] /(n) one's youth/early life/one's early days/one's early years/(P)/
若いもの [わかいもの] /(n) young person/
若いツバメ [わかいツバメ] /(n) young lover of an older woman/
若い燕 [わかいつばめ] /(n) young lover of an older woman/
若い頃 [わかいころ] /(n) one's youth/early life/one's early days/one's early years/(P)/
若い時の苦労は買うてもせよ [わかいときのくろうはこうてもせよ] /(exp) spare no effort while you are young/heavy work in youth is quiet rest in old age/
若い者 [わかいもの] /(n) young person/
若い者頭 [わかいものがしら] /(n) functionary charged with training and organising young sumo wrestlers/
若い内 [わかいうち] /(n) while young/
若かず [しかず] /(exp) (1) being inferior to/being no match for/(2) being best/
若き [わかき] /(n) (1) young person/youth/(adj-f) (2) young/
若きリーダー [わかきリーダー] /(n) young leader/
若き日 [わかきひ] /(n,adj-no) younger days/youth/
若く [しく] /(v5k,vi) (1) (arch) to match/to equal/(2) to catch up with/to overtake/
若くして [わかくして] /(exp) to do something young (e.g. die)/
若く見える [わかくみえる] /(v1) to look (seem) young/
若さ [わかさ] /(n) youth/(P)/
若さま [わかさま] /(n) (hon) young master (respectful way of referring to the son of a high-ranking person)/
若し [ごとし] /(n,suf) (uk) like/as if/the same as/
若し [もし] /(adv) (uk) if/in case/supposing/(P)/
若しか [もしか] /(adv) (uk) if/in case/
若しかしたら [もしかしたら] /(exp,adv) (uk) perhaps/maybe/perchance/by some chance/by any chance/(P)/
若しかして [もしかして] /(exp,adv) (uk) perhaps/possibly/
若しかすると [もしかすると] /(exp,adv) (uk) perhaps/maybe/by some chance/(P)/
若しくは [もしくは] /(conj,exp) (uk) or/otherwise/(P)/
若しも [もしも] /(adv) if/(P)/
若しものこと [もしものこと] /(exp) emergency/accident/rare possibility/unexpected occurrence/
若しや [もしや] /(adv) (uk) perhaps/possibly/by some chance/by some possibility/
若やか [わかやか] /(adj-na) youthful/
若やぐ [わかやぐ] /(v5g,vi) to act young/to look young/
若鮎 [わかあゆ] /(n) young (healthy & energetic) sweetfish/
若鮎 [わかゆ] /(ok) (n) young (healthy & energetic) sweetfish/
若隠居 [わかいんきょ] /(n,vs) early retirement/
若奥さま [わかおくさま] /(n) young wife/young married woman/
若奥様 [わかおくさま] /(n) young wife/young married woman/
若芽 [わかめ] /(n,adj-no) sprouts/new shoots/buds/
若冠 [じゃっかん] /(iK) (n) (1) aged 20/(2) youthfulness/
若干 [じゃっかん] /(n,adj-no) (1) some/few/a number of/a little (bit)/(n-adv) (2) somewhat/to a certain extent/(P)/
若気 [にゃけ] /(n) (1) male homosexual's partner/(2) buttocks/anus/
若気 [にやけ] /(n) (1) male homosexual's partner/(2) buttocks/anus/
若気 [わかげ] /(n) youthful impetuosity/youthful vitality/
若気の至り [わかげのいたり] /(exp) youthful indiscretion/
若気る [にやける] /(v1,vi) (1) to be effeminate/to be a fop/(2) to break into a smile/to grin/
若宮 [わかみや] /(n) (1) young imperial prince/(2) child of the imperial family/(3) shrine dedicated to a child of the god of the main shrine/(4) newly built shrine (to which a divided tutelary deity has just been transferred)/
若桐 [わかぎり] /(n) young Paulownia tree/
若君 [わかぎみ] /(n) young lord or prince/
若鶏 [わかどり] /(n) chick/chicken/
若向き [わかむき] /(n) intended for the young/
若菜 [わかな] /(n) young greens or herbs/
若鷺 [わかさぎ] /(n) Japanese pond smelt (Hypomesus nipponensis)/
若作り [わかづくり] /(n,adj-no,adj-na) dressing oneself up to look young/altering one's appearance to look young/dressing younger than one's age/
若子 [みずこ] /(n) (1) aborted, stillborn or miscarried foetus (fetus)/(2) (arch) newborn baby/
若子 [みずご] /(n) (1) aborted, stillborn or miscarried foetus (fetus)/(2) (arch) newborn baby/
若枝 [わかえだ] /(n) young branch/sprig/
若死に [わかじに] /(n,vs) premature death/
若紫 [わかむらさき] /(n) light purple/mauve/
若侍 [わかざむらい] /(n) young samurai/
若者 [わかもの] /(n,adj-no) young man/youth/lad/(P)/
若者好き [わかものずき] /(n,adj-na,adj-no) (1) being fond of young people/(2) being popular with young people/
若者頭 [わかいものがしら] /(n) (sumo) trainer or coach of rikishi of makuuchi class and lower/
若者頭 [わかものがしら] /(n) (sumo) trainer or coach of rikishi of makuuchi class and lower/
若若しい [わかわかしい] /(adj-i) youthful/young/
若手 [わかて] /(n,adj-no) young person/(P)/
若手科学者賞 [わかてかがくしゃしょう] /(n) The Young Scientists' Prize/
若衆 [わかしゅ] /(n) (1) young man (in the Edo period, esp. one with forelocks who has not yet had his coming-of-age ceremony)/(2) young male prostitute/young kabuki actor (who may also act as a homosexual prostitute)/(3) younger partner in a homosexual relationship/
若衆 [わかしゅう] /(n) (1) young man (in the Edo period, esp. one with forelocks who has not yet had his coming-of-age ceremony)/(2) young male prostitute/young kabuki actor (who may also act as a homosexual prostitute)/(3) younger partner in a homosexual relationship/
若衆道 [わかしゅどう] /(n) (arch) male homosexuality/pederasty/
若女将 [わかおかみ] /(n) proprietress-to-be of a Japanese inn or restaurant/
若松 [わかまつ] /(n) young pine/New Year's symbolic pine decoration/(P)/
若人 [わこうど] /(n) young person/young man/(P)/
若水 [わかみず] /(n) first water drawn from a well on New Year's Day/
若盛り [わかざかり] /(n) prime of youth/
若僧 [わかぞう] /(n) youngster/neophyte/
若草 [わかくさ] /(n) green grass/young (fresh) grass/
若草色 [わかくさいろ] /(n) bright green/chartreuse green/
若造 [わかぞう] /(n) greenhorn/youngster/
若大将 [わかだいしょう] /(n) young leader or master/
若旦那 [わかだんな] /(n) (hon) young master/young gentleman/
若竹亭 [わかたけてい] /(n) the Wakatake Variety Theater/
若虫 [わかむし] /(n,adj-no) nymph (immature form of an insect)/
若潮 [わかしお] /(n) transitional tide between spring and neap tides/
若鳥 [わかどり] /(n) chick/chicken/
若鳥丼 [わかどりどん] /(n) young chicken on rice/
若殿 [わかとの] /(n) young lord/
若殿原 [わかとのばら] /(n) young monarch or samurai/
若党 [わかとう] /(n) foot-man/foot soldier/
若湯 [わかゆ] /(n) first hot bath on New Year's Day/
若頭 [わかがしら] /(n) leader of a crime syndicate's henchmen/young leading subordinate in yakuza group/
若道 [じゃくどう] /(n) (arch) (abbr) homosexuality/pederasty/
若道 [にゃくどう] /(n) (arch) (abbr) homosexuality/pederasty/
若禿げ [わかはげ] /(n) premature baldness/
若年 [じゃくねん] /(n,adj-no) youth/(P)/
若年寄 [わかどしより] /(n) (1) young person acting like an old person/(2) officials who helped the council of elders during the Edo period/
若年寄り [わかどしより] /(n) (1) young person acting like an old person/(2) officials who helped the council of elders during the Edo period/
若年型 [じゃくねんがた] /(adj-na) juvenile/
若年型糖尿病 [じゃくねんがたとうにょうびょう] /(n) juvenile onset diabetes/
若年者 [じゃくねんしゃ] /(n) youngster/young and immature person/
若年者 [じゃくねんもの] /(n) youngster/young and immature person/
若年層 [じゃくねんそう] /(n) the young/
若輩 [じゃくはい] /(n) young person/inexperienced person/novice/
若輩者 [じゃくはいしゃ] /(n) fledgling/junior member/young person/inexperienced person/novice/
若輩者 [じゃくはいもの] /(n) fledgling/junior member/young person/inexperienced person/novice/
若白髪 [わかしらが] /(n) prematurely gray hair/prematurely grey hair/
若番 [わかばん] /(n) (abbr) lower number/lower numbers/
若夫婦 [わかふうふ] /(n) young couple/
若布 [わかめ] /(n) (uk) wakame (species of edible brown seaweed, Undaria pinnatifida)/(P)/
若武者 [わかむしゃ] /(n) young warrior/
若返り [わかがえり] /(n,vs) rejuvenation/restoration of youth/(P)/
若返る [わかがえる] /(v5r,vi) to be rejuvenated/to feel young again/
若木 [わかぎ] /(n) young tree/sapling/
若様 [わかさま] /(n) (hon) young master (respectful way of referring to the son of a high-ranking person)/
若葉 [わかば] /(n) new leaves/fresh verdure/(P)/
若葉マーク [わかばマーク] /(n) sticker for new car drivers/
若緑 [わかみどり] /(n) fresh green/color of young pine/colour of young pine/
若榴 [ざくろ] /(n) pomegranate/Punica granatum/
寂 [さび] /(n) (1) patina/antique look/(2) elegant simplicity/(3) well-trained voice/(P)/
寂 [じゃく] /(n) (1) (entering into) nirvana/(n-suf) (2) used after a date to indicate the death of a monk at that time/(adj-t,adv-to) (3) silent/tranquil/
寂々 [さびさび] /(adj-t,adv-to) sad/lonesome/desolate/
寂々 [じゃくじゃく] /(adj-t,adv-to) sad/lonesome/desolate/
寂々 [せきせき] /(adj-t,adv-to) sad/lonesome/desolate/
寂しい [さびしい] /(adj-i) lonely/lonesome/solitary/desolate/(P)/
寂しい [さみしい] /(adj-i) lonely/lonesome/solitary/desolate/
寂しがり屋 [さびしがりや] /(n) lonely person/someone who easily succumbs to loneliness/
寂しがる [さびしがる] /(v5r) to miss someone/to miss something/to feel lonely/
寂しさ [さびしさ] /(n) (feeling of) loneliness/desolation/
寂しんぼう [さびしんぼう] /(n) (uk) lonely person/someone who easily succumbs to loneliness/
寂しん坊 [さびしんぼう] /(n) (uk) lonely person/someone who easily succumbs to loneliness/
寂とした [じゃくとした] /(adj-f) still/hushed/
寂とした [せきとした] /(adj-f) still/hushed/
寂りょう [せきりょう] /(n,adj-t,adv-to) loneliness/desolateness/
寂れた季節 [さびれたきせつ] /(n) dead season/
寂れる [さびれる] /(v1,vi) (1) to decline (in prosperity)/to become deserted/to become desolate/(2) to taper off (of a sound)/
寂光 [じゃくこう] /(n) (1) (Buddh) light of wisdom (when nearing nirvana)/silent illumination/(2) (Buddh) paradise/nirvana/
寂光 [じゃっこう] /(n) (1) (Buddh) light of wisdom (when nearing nirvana)/silent illumination/(2) (Buddh) paradise/nirvana/
寂光浄土 [じゃっこうじょうど] /(n) (Buddh) paradise/
寂寂 [さびさび] /(adj-t,adv-to) sad/lonesome/desolate/
寂寂 [じゃくじゃく] /(adj-t,adv-to) sad/lonesome/desolate/
寂寂 [せきせき] /(adj-t,adv-to) sad/lonesome/desolate/
寂静 [じゃくじょう] /(n,adj-na) (1) calmness/stillness/tranquility/(n) (2) (Buddh) calmness of the heart/enlightenment/
寂静 [せきせい] /(n,adj-na) (1) calmness/stillness/tranquility/
寂然 [じゃくねん] /(n,adj-t,adv-to) (1) lonely/desolate/(2) forlornness/desolation/
寂然 [せきぜん] /(n,adj-t,adv-to) (1) lonely/desolate/(P)/
寂莫 [じゃくまく] /(iK) (n) (1) loneliness/desolation/(adj-t,adv-to,adj-no) (2) lonely/lonesome/dreary/desolate/deserted/(3) harsh (words)/cutting (criticism)/(vs) (4) to separate in thought/to consider as independent/
寂莫 [せきばく] /(iK) (n) (1) loneliness/desolation/(adj-t,adv-to,adj-no) (2) lonely/lonesome/dreary/desolate/deserted/(3) harsh (words)/cutting (criticism)/(vs) (4) to separate in thought/to consider as independent/
寂滅 [じゃくめつ] /(n,vs) (1) (Buddh) nirvana/(2) death/
寂滅為楽 [じゃくめついらく] /(exp) Freedom from one's desires (Entry into Nirvana) is true bliss/
寂寞 [じゃくまく] /(n) (1) loneliness/desolation/(adj-t,adv-to,adj-no) (2) lonely/lonesome/dreary/desolate/deserted/(3) harsh (words)/cutting (criticism)/(vs) (4) to separate in thought/to consider as independent/
寂寞 [せきばく] /(n) (1) loneliness/desolation/(adj-t,adv-to,adj-no) (2) lonely/lonesome/dreary/desolate/deserted/(3) harsh (words)/cutting (criticism)/(vs) (4) to separate in thought/to consider as independent/
寂寥 [せきりょう] /(n,adj-t,adv-to) loneliness/desolateness/
寂靜 [じゃくじょう] /(oK) (n,adj-na) (1) calmness/stillness/tranquility/(n) (2) (Buddh) calmness of the heart/enlightenment/
寂靜 [せきせい] /(oK) (n,adj-na) (1) calmness/stillness/tranquility/
弱 [じゃく] /(n,n-suf) (1) weakness/the weak/(n-suf) (2) little less than/fewer than/under/(P)/
弱々しい [よわよわしい] /(adj-i) frail/slender/feminine/
弱い [よわい] /(adj-i) weak/frail/delicate/tender/unskilled/weak (wine)/(P)/
弱い経済 [よわいけいざい] /(n) weak economy/
弱い者 [よわいもの] /(n) weak person/the weak/
弱い相互作用 [よわいそうごさよう] /(n) weak interaction (physics)/
弱き者 [よわきもの] /(n) weak person/the weak/
弱き者よ汝の名は女也 [よわきものよなんじのなはおんななり] /(exp) (id) Frailty, thy name is woman/
弱くする [よわくする] /(exp,vs-i) to turn down (heat, sound, etc.)/
弱さ [よわさ] /(n) weakness/
弱っちい [よわっちい] /(adj-i) (derog) (col) weak/feeble/
弱まり [よわまり] /(n) abatement/weakening/
弱まる [よわまる] /(v5r,vi) to abate/to weaken/to be emaciated/to be dejected/to be perplexed/(P)/
弱み [よわみ] /(n) weakness/(P)/
弱みに付け込む [よわみにつけこむ] /(exp,v5m) to take advantage of (someone's) weakness/
弱める [よわめる] /(v1,vt) to weaken/(P)/
弱り果てる [よわりはてる] /(v1,vi) to be exhausted/to be at a loss/to be worn out/to be helpless/
弱り込む [よわりこむ] /(v5m) to weaken/to be at wits' end/
弱り衰える [よわりおとろえる] /(v1) to languish/
弱り切る [よわりきる] /(v5r,vi) to faint/to be exhausted/
弱り目 [よわりめ] /(n) time of weakness/
弱り目に祟り目 [よわりめにたたりめ] /(exp) misfortunes never come singly/
弱る [よわる] /(v5r,vi) to weaken/to be troubled/to be downcast/to be emaciated/to be dejected/to be perplexed/to impair/(P)/
弱雨 [じゃくう] /(n) weak rain/
弱雨 [よわあめ] /(n) weak rain/
弱塩基 [じゃくえんき] /(n) (chem) weak base/
弱塩酸 [じゃくえんさん] /(n) weak acid/
弱音 [じゃくおん] /(n) soft sound/
弱音 [よわね] /(n) complaints/(P)/
弱音をはく [よわねをはく] /(exp,v5k) to whine/to make complaints/to capitulate/to say die/to cry uncle/
弱音を吐く [よわねをはく] /(exp,v5k) to whine/to make complaints/to capitulate/to say die/to cry uncle/
弱音器 [じゃくおんき] /(n) damper/mute (on musical instruments)/
弱化 [じゃっか] /(n,vs) weakening/
弱火 [よわび] /(n) simmering/low fire/gentle heating/
弱冠 [じゃっかん] /(n) (1) aged 20/(2) youthfulness/(P)/
弱含み [よわふくみ] /(n) bearish (stock market)/
弱気 [よわき] /(adj-na,n,adj-no) timid/faint-hearted/bearish sentiment/(P)/
弱気市場 [よわきいちば] /(n) bear market/
弱気相場 [よわきそうば] /(n) weak (bear(ish)) market/
弱起 [じゃっき] /(n) anacrusis/
弱結合 [じゃくけつごう] /(n) weak coupling (physics)/
弱行 [じゃっこう] /(n) weakness in execution/
弱国 [じゃっこく] /(n) weak country/
弱腰 [よわごし] /(adj-na,n,adj-no) weak attitude/(P)/
弱腰外交 [よわごしがいこう] /(n) weak foreign policy/weak-kneed diplomacy/
弱材料 [よわざいりょう] /(n) bearish factor/
弱酸 [じゃくさん] /(n) weak acid/
弱酸性 [じゃくさんせい] /(n) slight acidity/
弱志 [じゃくし] /(n) weak will/
弱視 [じゃくし] /(n,adj-no) amblyopia/weak sight/
弱者 [じゃくしゃ] /(n) weak person/the weak/(P)/
弱弱しい [よわよわしい] /(adj-i) frail/slender/feminine/
弱小 [じゃくしょう] /(adj-na,n) puniness/youth/
弱小国 [じゃくしょうこく] /(n) minor power/
弱少 [じゃくしょう] /(adj-na,n) puniness/youth/
弱震 [じゃくしん] /(n) mild earthquake/
弱卒 [じゃくそつ] /(n) cowardly soldier/
弱体 [じゃくたい] /(adj-na,n) weak (organization, organisation)/(P)/
弱体化 [じゃくたいか] /(n,vs) weakening/
弱竹 [なゆたけ] /(n) (1) (uk) (obsc) Simon bamboo (Pleioblastus simonii)/(2) any thin, but flexible bamboo/
弱竹 [なよたけ] /(n) (1) (uk) (obsc) Simon bamboo (Pleioblastus simonii)/(2) any thin, but flexible bamboo/
弱虫 [よわむし] /(n,adj-na,adj-no) coward/weakling/(P)/
弱弟 [じゃくてい] /(n) young brother/
弱敵 [じゃくてき] /(n) weak enemy/
弱点 [じゃくてん] /(n) weak point/weakness/(P)/
弱電 [じゃくでん] /(n) weak electric current/
弱電器 [じゃくでんき] /(n) light electrical appliance/
弱電線 [じゃくでんせん] /(n) weak electrical current line (e.g. intercom)/
弱毒 [じゃくどく] /(n) weak poison/
弱毒ワクチン [じゃくどくワクチン] /(n) attenuated vaccine/
弱肉強食 [じゃくにくきょうしょく] /(n) The survival of the fittest/the law of the jungle/
弱年 [じゃくねん] /(n,adj-no) youth/
弱年者 [じゃくねんしゃ] /(n) youngster/young and immature person/
弱年者 [じゃくねんもの] /(n) youngster/young and immature person/
弱輩 [じゃくはい] /(n) young person/inexperienced person/novice/
弱拍 [じゃくはく] /(n) unaccented beat/
弱変化動詞 [じゃくへんかどうし] /(n) weak verb/
弱保合い [よわもちあい] /(adj-i) (stock market) barely holding steady/
弱味 [よわみ] /(n) weakness/
弱味噌 [よわみそ] /(n) weakling/coward/
弱齢 [じゃくれい] /(n) youth/
惹かれる [ひかれる] /(v1) to be charmed by/to be attracted (to)/
惹きつける [ひきつける] /(v1) (1) to fascinate/to attract/to charm/to pull up (at a gate)/
惹き付ける [ひきつける] /(v1) (1) to fascinate/to attract/to charm/to pull up (at a gate)/
惹く [ひく] /(v5k) to attract/to captivate/
惹起 [じゃっき] /(n,vs) bringing about/cause/provocation/
惹句 [じゃっく] /(n) phrase or catch-phrase (sometimes as warning)/
主 [あるじ] /(n) (1) (abbr) head (of a household)/proprietor (of a store)/proprietress/landlord/landlady/master (of a servant)/(2) (arch) entertaining someone as one's guest/
主 [おも] /(adj-na,n) (1) chief/main/principal/important/(2) (abbr) main secondary or supporting role (in kyogen)/(P)/
主 [しゅ] /(n,adj-no) (1) (one's) master/(2) Lord (Christian ref. to Jesus or God)/(3) the main thing/the majority/the primary concern/(P)/
主 [しゅう] /(ok) (n,adj-no) (1) (one's) master/
主 [しゅじん] /(n,adj-no) (1) head (of a household)/proprietor (of a store)/proprietress/landlord/landlady/(2) one's husband/(3) (one's) employer/(one's) master/(4) host/hostess/(P)/
主 [す] /(suf) (arch) (hon) honorific (or familiar) suffix used after a name/
主 [にし] /(pn) (arch) (fam) you/
主 [ぬし] /(n) (1) head (of a household, etc.)/leader/master/(2) owner/proprietor/proprietress/(3) subject (of a rumour, etc.)/doer (of a deed)/(4) guardian spirit (e.g. long-resident beast, usu. with mystical powers)/long-time resident (or employee, etc.)/(5) husband/(pn) (6) (fam) you/(P)/
主 [のし] /(pn) (arch) (fam) you/
主あど [おもあど] /(n) main secondary or supporting role (in kyogen)/
主たる [しゅたる] /(adj-pn) main/principal/major/(P)/
主として [しゅとして] /(adv) mainly/(P)/
主な [おもな] /(adj-pn) chief/main/principal/important/
主なる [おもなる] /(adj-f) main/principal/important/
主に [おもに] /(adv) mainly/primarily/(P)/
主の祈り [しゅのいのり] /(n) the Lord's Prayer/
主の御名 [しゅのみな] /(n) the Lord's name (esp. in Christianity)/
主の日 [しゅのひ] /(n) the Sabbath/the Lord's Day/
主の箱 [しゅのはこ] /(n) Ark of the Lord/
主の晩餐 [しゅのばんさん] /(n) the Lord's Supper/
主を取る [しゅうをとる] /(exp,v5r) (arch) to find a new master/
主を取る [しゅをとる] /(exp,v5r) (arch) to find a new master/
主イデアル [おもイデアル] /(n) principal ideal/
主エントリ [しゅエントリ] /(n) (comp) main-entry/
主キー [しゅキー] /(n) (comp) master key/
主クロック [しゅクロック] /(n) (comp) master clock/
主プログラム [しゅプログラム] /(n) (comp) main program/
主ページ [しゅページ] /(n) homepage/main page (of a website)/
主メモリ [しゅメモリ] /(n) (comp) main storage/main memory/
主レコードキー [しゅレコードキー] /(n) (comp) prime record key/
主位 [しゅい] /(n,adj-no) first place/head position/leading position/
主意 [しゅい] /(n) main meaning/opinion/idea/aim/motive/gist/meaning/
主意主義 [しゅいしゅぎ] /(n) voluntarism/
主意主義者 [しゅいしゅぎしゃ] /(n) voluntarist/
主因 [しゅいん] /(n) primary cause/main factor/(P)/
主演 [しゅえん] /(n,vs,adj-no) starring/playing the leading part/(P)/
主演作 [しゅえんさく] /(n) movie in which ... has the starring role/
主演作品 [しゅえんさくひん] /(n) movie in which ... has the starring role/
主演者 [しゅえんしゃ] /(n) star/leading actor/
主応力 [しゅおうりょく] /(n) principal stress/
主屋 [おもや] /(n) (1) main building (of a manor)/(2) central room (of a house)/
主恩 [しゅおん] /(n) the favor (favour) of one's master/
主音 [しゅおん] /(n) tonic/keynote/
主家 [おもや] /(n) (1) main building (of a manor)/(2) central room (of a house)/
主家 [しゅか] /(n) employer's house/master's house/
主家 [しゅけ] /(n) employer's house/master's house/
主我 [しゅが] /(n) ego/self/
主我主義 [しゅがしゅぎ] /(n) egoism/love of self/
主我主義者 [しゅがしゅぎしゃ] /(n) egoist/
主格 [しゅかく] /(n,adj-no) (ling) nominative case/
主格補語 [しゅかくほご] /(n) (ling) subject complement/
主官庁管理領域 [しゅかんちょうかんりりょういき] /(n) (comp) ADMD/ADministrative Management Domain/
主幹 [しゅかん] /(n) (1) chief editor/managing editor/(2) manager/person in charge/(P)/
主幹研究員 [しゅかんけんきゅういん] /(n) Senior chief engineer/
主管 [しゅかん] /(n,vs) supervision/management/supervisor/manager/(P)/
主管機関 [しゅかんきかん] /(n) administration/
主管機関ディレクトリ管理領域 [しゅかんきかんディレクトリかんりりょういき] /(n) (comp) Administration Directory Management Domain/ADDMD/
主管機関管理領域 [しゅかんきかんかんりりょういき] /(n) (comp) Administration Management Domain/ADMD/
主管機関領域名 [しゅかんきかんりょういきめい] /(n) (comp) administration domain name/
主観 [しゅかん] /(n) (1) subjectivity/subject/ego/(2) one's personal opinion/one's own idea/(P)/
主観主義 [しゅかんしゅぎ] /(n) subjectivism/
主観主義者 [しゅかんしゅぎしゃ] /(n) subjectivist/
主観性 [しゅかんせい] /(n) subjectivity/
主観的 [しゅかんてき] /(adj-na) subjective/(P)/
主観的観念論 [しゅかんてきかんねんろん] /(n) subjective idealism/
主観論 [しゅかんろん] /(n) subjectivism/
主眼 [しゅがん] /(n) main point/(P)/
主眼をおく [しゅがんをおく] /(exp,v5k) to think of as the main point/
主眼を置く [しゅがんをおく] /(exp,v5k) to think of as the main point/
主眼点 [しゅがんてん] /(n) main point/
主記憶 [しゅきおく] /(n) main memory/main storage/
主記憶装置 [しゅきおくそうち] /(n) (comp) main storage/
主義 [しゅぎ] /(n) doctrine/rule/principle/(P)/
主義者 [しゅぎしゃ] /(n) advocate (of a theory or principle)/man of principle/ideologist/(P)/
主義主張 [しゅぎしゅちょう] /(n) one's principles and position/
主客 [しゅかく] /(n) host and guest/principal and auxiliary/
主客 [しゅきゃく] /(n) host and guest/principal and auxiliary/
主客転倒 [しゅかくてんとう] /(n,vs) reversing the order of (relative) importance (of)/putting the cart before the horse/the tables being turned/mistaking the insignificant for the essential/mistaking the means for the end/
主客転倒 [しゅきゃくてんとう] /(n,vs) reversing the order of (relative) importance (of)/putting the cart before the horse/the tables being turned/mistaking the insignificant for the essential/
主客顛倒 [しゅかくてんとう] /(n,vs) reversing the order of (relative) importance (of)/putting the cart before the horse/the tables being turned/mistaking the insignificant for the essential/mistaking the means for the end/
主客顛倒 [しゅきゃくてんとう] /(n,vs) reversing the order of (relative) importance (of)/putting the cart before the horse/the tables being turned/mistaking the insignificant for the essential/
主教 [しゅきょう] /(n) (1) bishop (Orthodox, Anglican, etc.)/prelate/primate/(adj-no) (2) episcopal/
主教冠 [しゅきょうかん] /(n) miter/
主教室 [しゅきょうしつ] /(n) home room (in a school)/
主鏡 [しゅきょう] /(n) primary mirror (of a telescope)/main mirror/
主局 [しゅきょく] /(n) (comp) master station/
主筋 [しゅうすじ] /(n) people close to the head man/
主筋 [しゅきん] /(n) main reinforcement (in a reinforced-concrete structure)/
主筋 [しゅすじ] /(n) people close to the head man/
主君 [しゅくん] /(n) lord/master/
主刑 [しゅけい] /(n) principal penalty/
主系列星 [しゅけいれつせい] /(n) main sequence star/main sequence stars/
主計 [しゅけい] /(n) paymaster/accountant/(P)/
主計局 [しゅけいきょく] /(n) budget bureau/(P)/
主桁 [しゅげた] /(n) main girder/
主権 [しゅけん] /(n) sovereignty/supremacy/dominion/(P)/
主権回復 [しゅけんかいふく] /(n) restoration of sovereignty/
主権国 [しゅけんこく] /(n) sovereign nation/
主権国家 [しゅけんこっか] /(n) soverign nation/
主権在民 [しゅけんざいみん] /(n) the sovereignty of the people/
主権者 [しゅけんしゃ] /(n) sovereign/ruler/
主権侵犯 [しゅけんしんぱん] /(n) infringement of sovereignty/
主原因 [しゅげんいん] /(n) principal cause/
主原料 [しゅげんりょう] /(exp) principal raw material/main raw material/
主語 [しゅご] /(n,adj-no) (ling) subject/(P)/
主語助動詞倒置 [しゅごじょどうしとうち] /(n) (ling) subject-auxiliary inversion/
主公 [しゅこう] /(n) (1) (arch) master/(2) (arch) main character/protagonist/
主控え [しゅびかえ] /(n) mainstay/
主攻 [しゅこう] /(n) main attack/
主刻時機構 [しゅこくじきこう] /(n) (comp) master clock/
主根 [おもね] /(n) main root/taproot/
主根 [しゅこん] /(n) main root/taproot/
主査 [しゅさ] /(n,vs) chief examiner or investigator/(P)/
主催 [しゅさい] /(n,vs) organization/organisation/sponsorship/(P)/
主催国 [しゅさいこく] /(n) sponsoring nation/
主催者 [しゅさいしゃ] /(n) sponsor/promoter/impresario/organizer/organiser/
主宰 [しゅさい] /(n,vs) supervision/chairmanship/(P)/
主宰者 [しゅさいしゃ] /(n) president/chairman/
主菜 [しゅさい] /(n) main dish (in a meal)/principal dish/
主材 [しゅざい] /(n) main ingredients/chief materials/
主殺し [しゅころし] /(n) murder of one's master/
主傘 [しゅさん] /(n) main parachute/
主産地 [しゅさんち] /(n) chief producing center/chief producing centre/
主産物 [しゅさんぶつ] /(n) main product/
主思い [しゅうおもい] /(n) worrying about one's master's affairs/one who so worries/
主旨 [しゅし] /(n,adj-no) opinion/idea/gist/meaning/motive/
主事 [しゅじ] /(n) manager/director/superintendent/overseer/
主持 [しゅうもち] /(n) serving a master/employee/
主持 [しゅもち] /(n) serving a master/employee/
主持ち [しゅうもち] /(n) serving a master/employee/
主持ち [しゅもち] /(n) serving a master/employee/
主治医 [しゅじい] /(n) attending physician/physician in charge/(one's) family doctor/(P)/
主治効能 [しゅじこうのう] /(n) chief virtue (of a medicine)/
主辞 [しゅじ] /(n) (ling) subject/topic/
主辞駆動句構造文法 [しゅじくどうくこうぞうぶんぽう] /(n) (ling) head-driven phrase structure grammar/HPSG/
主辞素性規約 [しゅじそせいきやく] /(n) head feature convention/HFC/
主辞素性原理 [しゅじそせいげんり] /(n) head feature principle/HFP/
主軸 [しゅじく] /(n) main shaft/(P)/
主取 [しゅうどり] /(n,vs) entering the service of a daimyo/
主取り [しゅうどり] /(n,vs) entering the service of a daimyo/
主従 [しゅうじゅう] /(n) master and servant/lord and retainer/employer and employee/
主従 [しゅじゅう] /(n) master and servant/lord and retainer/employer and employee/
主従関係 [しゅじゅうかんけい] /(n) the relation of master to servant/
主述 [しゅじゅつ] /(n) subject and predicate/
主唱 [しゅしょう] /(n,vs) advocacy/promotion/
主将 [しゅしょう] /(n) commander-in-chief/(team) captain/(P)/
主上 [しゅしょう] /(ok) (n) (hon) emperor/
主上 [しゅじょう] /(n) (hon) emperor/
主情主義 [しゅじょうしゅぎ] /(n) emotionalism/
主情主義者 [しゅじょうしゅぎしゃ] /(n) an emotionalist/
主情的 [しゅじょうてき] /(adj-na) emotional/
主情論 [しゅじょうろん] /(n) emotionalism/
主色 [しゅしょく] /(n) predominant color/predominant colour/
主食 [しゅしょく] /(n) staple food/(P)/
主食物 [しゅしょくぶつ] /(n) staple food/main article of diet/
主信号 [しゅしんごう] /(n) main signal/traffic signal/
主審 [しゅしん] /(n) chief umpire/(P)/
主神 [しゅしん] /(n) chief god/
主人 [あるじ] /(n) (1) (abbr) head (of a household)/proprietor (of a store)/proprietress/landlord/landlady/master (of a servant)/(2) (arch) entertaining someone as one's guest/
主人 [しゅじん] /(n,adj-no) (1) head (of a household)/proprietor (of a store)/proprietress/landlord/landlady/(2) one's husband/(3) (one's) employer/(one's) master/(4) host/hostess/(P)/
主人に仕える [しゅじんにつかえる] /(exp,v1) to serve a master/to serve one's employer faithfully/
主人顔 [しゅじんがお] /(n) propriety air/
主人公 [しゅじんこう] /(n) (1) protagonist/main character/hero(ine) (of a story)/(2) head of household/(P)/
主人持ち [しゅじんもち] /(n) samurai attached to a daimyo/
主人役 [しゅじんやく] /(n) host/toastmaster/
主陣地 [しゅじんち] /(n) main battle area/
主制御機構 [しゅせいぎょきこう] /(n) (comp) main control unit/
主制御装置 [しゅせいぎょそうち] /(n) (comp) main control unit/
主成分 [しゅせいぶん] /(n) main ingredient/
主成分分析 [しゅせいぶんぶんせき] /(n) (comp) principal component analysis/
主製品 [しゅせいひん] /(n) main products/
主税局 [しゅぜいきょく] /(n) (Japanese) Tax Bureau/(P)/
主席 [しゅせき] /(n,adj-no) (1) head/chief/(n) (2) chairman/governor/president/(3) top seat/first desk (in orchestra)/(P)/
主席外交官 [しゅせきがいこうかん] /(n) doyen of the diplomatic corps/
主席研究員 [しゅせきけんきゅういん] /(n) Executive chief engineer/
主席全権 [しゅせきぜんけん] /(n) chief delegate/
主席判事 [しゅせきはんじ] /(n) chief judge/
主席法官 [しゅせきほうかん] /(n) chief justice of the Court of Final Appeal of Hong Kong/
主節 [しゅせつ] /(n) (ling) principal clause/
主戦 [しゅせん] /(n) advocacy of war/(P)/
主戦投手 [しゅせんとうしゅ] /(n) top pitcher/
主戦闘戦車 [しゅせんとうせんしゃ] /(n) main battle tank/
主戦論 [しゅせんろん] /(n) war advocacy/jingoism/bellicose argument/
主訴 [しゅそ] /(n) main complaint/
主体 [しゅたい] /(n) (1) main constituent/core/nucleus/(2) subject (philosophical)/protagonist/(P)/
主体性 [しゅたいせい] /(n) independence/individuality/
主体的 [しゅたいてき] /(adj-na) independent/responsible/active/proactive/(P)/
主題 [しゅだい] /(n) (ling) subject/theme/motif/(P)/
主題歌 [しゅだいか] /(n) theme song/
主題表示 [しゅだいひょうじ] /(n) (comp) subject indication/
主題別シソーラス [しゅだいべつシソーラス] /(n) (comp) thematical thesaurus/
主知主義 [しゅちしゅぎ] /(n) intellectualism/
主知主義者 [しゅちしゅぎしゃ] /(n) an intellectual/
主知的 [しゅちてき] /(adj-na) intellectual/
主柱 [しゅちゅう] /(n) (1) central pillar/(2) principal post/backbone of a society or community/
主著 [しゅちょ] /(n) one's main (chief) (literary) work/
主張 [しゅちょう] /(n,vs) claim/request/insistence/assertion/advocacy/emphasis/contention/opinion/tenet/(P)/
主張者 [しゅちょうしゃ] /(n) advocate/
主潮 [しゅちょう] /(n) main current/
主調 [しゅちょう] /(n) keynote/main melody/
主長 [しゅちょう] /(n) head/chief/
主典 [さかん] /(n) (1) (arch) secretary (lowest of the four administrative ranks of the ritsuryo period)/
主典 [しゅてん] /(n) (1) (arch) secretary (lowest of the four administrative ranks of the ritsuryo period)/(2) (obs) shrine official (ranking below a negi)/
主典 [そうかん] /(ok) (n) (1) (arch) secretary (lowest of the four administrative ranks of the ritsuryo period)/
主殿 [しゅでん] /(n) main building (of a villa, palace, etc.)/
主殿造 [しゅでんづくり] /(n) early phase of the shoin-zukuri residential architecture style/
主殿造り [しゅでんづくり] /(n) early phase of the shoin-zukuri residential architecture style/
主祷文 [しゅとうぶん] /(n) The Lord's Prayer/
主働土圧係数 [しゅどうどあつけいすう] /(n) coefficient of active earth pressure/
主動 [しゅどう] /(n) leadership/
主動的 [しゅどうてき] /(adj-na) autonomous/
主導 [しゅどう] /(n,vs) main leadership/(P)/
主導権 [しゅどうけん] /(n) hegemony/leadership/initiative/(P)/
主導権を握る [しゅどうけんをにぎる] /(exp,v5r) to seize the initiative/
主導者 [しゅどうしゃ] /(n) bellwether/
主虹 [しゅにじ] /(n) primary rainbow/
主日 [しゅじつ] /(n) the Sabbath/the Lord's Day/
主任 [しゅにん] /(n) person in charge/responsible official/senior staff/(P)/
主任教授 [しゅにんきょうじゅ] /(n) chairperson (head) (of the department of psychology)/
主任者 [しゅにんしゃ] /(n) person in charge/manager/chief/head/
主任制 [しゅにんせい] /(n) a system under which schoolteachers are assigned additional administrative duties/
主脳 [しゅのう] /(iK) (n,adj-no) head/brains/leading spirit/
主脳会議 [しゅのうかいぎ] /(iK) (n) summit meeting/top-level conference/
主脳会談 [しゅのうかいだん] /(iK) (n) leadership conference/summit meeting/top-level conference/
主脳者 [しゅのうしゃ] /(iK) (n) head/leading spirit/
主脳部 [しゅのうぶ] /(iK) (n) executives/top management/governing body/
主馬 [しゅめ] /(n) equerry/
主配線盤 [しゅはいせんばん] /(n) (comp) MDF/Main Division Frame/
主帆 [しゅはん] /(n) main sail/
主犯 [しゅはん] /(n) principal offence/principal offense/principal offender/(P)/
主犯者 [しゅはんしゃ] /(n) principal offender/
主班 [しゅはん] /(n) head position/
主筆 [しゅひつ] /(n) editor-in-chief/(P)/
主賓 [しゅひん] /(n) main guest/guest of honor/guest of honour/
主夫 [しゅふ] /(n) house-husband/
主婦 [しゅふ] /(n) housewife/mistress (of the house)/homemaker/(P)/
主部 [しゅぶ] /(n) (ling) main part/complete subject/grammatical subject/
主物 [しゅぶつ] /(n) the main thing/
主文 [しゅぶん] /(n) (ling) the text/the main clause/the main part of a document/
主頁 [しゅけつ] /(n) homepage/main page (of a website)/
主頁 [しゅよう] /(n) homepage/main page (of a website)/
主頁 [しゅページ] /(n) homepage/main page (of a website)/
主峰 [しゅほう] /(n) the highest peak/
主法 [しゅほう] /(n) main laws/
主砲 [しゅほう] /(n) main battery/main armament/(P)/
主謀 [しゅぼう] /(n) chief/leader/
主謀者 [しゅぼうしゃ] /(n) leader/
主脈 [しゅみゃく] /(n) (1) main mountain range/(2) midrib/costa/
主務 [しゅむ] /(n) competent (authorities)/
主務大臣 [しゅむだいじん] /(n) the cabinet minister in charge/
主命 [しゅめい] /(n) ruler's orders/master's orders/
主目的 [しゅもくてき] /(n,adj-na) main purpose/primary objective/
主役 [しゅやく] /(n,adj-no) leading part/leading actor (actress)/(P)/
主役から降ろす [しゅやくからおろす] /(exp,v5s) to relieve someone of the leading role/
主薬 [しゅやく] /(n) principal agent (in a medicine)/
主用 [しゅよう] /(n) the master's business/necessary business/
主要 [しゅよう] /(adj-na,n) chief/main/principal/major/(P)/
主要因 [しゅよういん] /(n) primary factor/main cause/
主要駅 [しゅようえき] /(n) principal stations/
主要業務 [しゅようぎょうむ] /(n) primary business/primary function/primary focus/
主要工業 [しゅようこうぎょう] /(n) key industries/
主要国 [しゅようこく] /(n) principal countries/
主要国首脳会議 [しゅようこくしゅのうかいぎ] /(n) Group of Eight/G8/
主要諸元 [しゅようしょげん] /(n) salient points/
主要人物 [しゅようじんぶつ] /(n) key people/
主要点 [しゅようてん] /(n) main point/keynote/
主要都市 [しゅようとし] /(n,adj-no) major city/
主要納入先 [しゅようのうにゅうさき] /(n) key customers/key customer/major clients/major client/
主要部 [しゅようぶ] /(n) head/
主要部終端型 [しゅようぶしゅうたんがた] /(n) head-final/
主要部先導型 [しゅようぶせんどうがた] /(n) head-initial/
主要部品 [しゅようぶひん] /(n) main parts/main components/
主要物価 [しゅようぶっか] /(n) prices of staple commodities/
主翼 [しゅよく] /(n) main wings (of an aeroplane, airplane)/
主立った [おもだった] /(adj-f) chief/leading/important/prominent/
主立つ [おもだつ] /(v5t,vi) to be main/to be principal/to be important/to be conspicuous/to be prominent/
主流 [しゅりゅう] /(n,adj-no) (1) mainline/mainstream/(2) main current (stream)/(P)/
主流派 [しゅりゅうは] /(n) main faction/
主領 [しゅりょう] /(n) head/chief/boss/leader/
主力 [しゅりょく] /(n,adj-no) main force/chief object/mainline/(P)/
主力株 [しゅりょくかぶ] /(n) leading shares/
主力艦 [しゅりょくかん] /(n) capital ship/
主力艦隊 [しゅりょくかんたい] /(n) main fleet/
主力商品 [しゅりょくしょうひん] /(n) (comp) leading product/flagship product/top product/
主力部隊 [しゅりょくぶたい] /(n) main force/main troops/
取っかえ引っかえ [とっかえひっかえ] /(adv,n) alternately/
取っかかり [とっかかり] /(n) beginning/clue/
取っちめる [とっちめる] /(exp,v1) to take to task/to take it out on/
取っておく [とっておく] /(v5k) to set aside/to keep in reserve/to hold on to/
取ってくる [とってくる] /(vk) to fetch/to go and get/
取ってつけたよう [とってつけたよう] /(exp) unnatural/out of place/forced or faked (e.g. expression)/
取って参る [とってまいる] /(v5r) (hum) to fetch (something)/
取って代わる [とってかわる] /(v5r) to supplant/to supersede/
取って置き [とっておき] /(n) valued/the best/object set aside or held in reserve/
取って置く [とっておく] /(v5k) to set aside/to keep in reserve/to hold on to/
取って付けたよう [とってつけたよう] /(exp) unnatural/out of place/forced or faked (e.g. expression)/
取って付けた様 [とってつけたよう] /(exp) unnatural/out of place/forced or faked (e.g. expression)/
取って返す [とってかえす] /(v5s,vi) to return/
取って来る [とってくる] /(vk) to fetch/to go and get/
取っ掛り [とっかかり] /(n) beginning/clue/
取っ手 [とって] /(n) handle/grip/knob/(P)/
取っ組み合い [とっくみあい] /(n) grapple/scuffle/
取っ組む [とっくむ] /(v5m,vi) to tackle/to wrestle with/to engage in a bout/to come to grips with/to make effort/to strive for/to deal with/
取っ組合う [とっくみあう] /(v5u,vi) to come to grips with/to fight/
取っ付く [とっつく] /(v5k,vi) to cling to/to grapple with/to possess/to stick to/
取っ払う [とっぱらう] /(v5u) to clear away/to remove/to demolish/
取っ捕まえる [とっつかまえる] /(v1,vt) to catch/
取っ捕まる [とっつかまる] /(v5r,vi) to be caught/
取らぬ狸の皮算用 [とらぬたぬきのかわざんよう] /(exp) don't count your chickens before they're hatched/(lit: don't assume you can grab a tanuki)/
取り [とり] /(n) (1) key performer/last performer of the day/(2) active partner (e.g. in judo demonstration)/
取りあえず [とりあえず] /(adv,n) (uk) at once/first of all/for the time being/for now/(P)/
取りあげる [とりあげる] /(v1,vt) (1) to take up/to pick up/(2) to accept/to adopt/to listen to/(3) to disqualify/to confiscate/to deprive/(4) to adopt (child)/
取りあわせる [とりあわせる] /(v1) to put together/to assemble/
取りいる [とりいる] /(v5r) to make up to/
取りいれる [とりいれる] /(v1,vt) (1) to harvest/to reap/(2) to take in/to gather in/(3) to adopt/
取りえ [とりえ] /(n) worth/redeeming feature/merit/gain/profit/
取りかえる [とりかえる] /(v1,vt) to exchange/to replace/
取りかかる [とりかかる] /(v5r,vi) to begin/to set about/to start/
取りかこむ [とりかこむ] /(v5m,vt) to surround/to crowd around/
取りこぼす [とりこぼす] /(v5s,vi) (1) (comp) to lose an easy game/to suffer an unexpected defeat/(2) to lose information (computers)/
取りこむ [とりこむ] /(v5m) to take in/to capture (e.g. image)/to introduce/to be busy/to adopt (e.g. behavior)/
取りさる [とりさる] /(v5r,vt) to remove/to eliminate/
取りざた [とりざた] /(n,vs) current rumour/current rumor/gossip/(idle) talk/
取りたてる [とりたてる] /(v1,vt) (1) to collect (debts)/to dun/to exact/to extort/(2) to appoint/to promote/to give patronage/(3) to emphasize/to focus on/to call attention to/
取りだす [とりだす] /(v5s,vt) (1) to take out/to produce/to pick out/(2) to fetch/to retrieve/
取りつかれる [とりつかれる] /(v1) to become obsessed with/to be possessed (by spirits, etc.)/to be obsessive compulsive (OCD)/
取りつく [とりつく] /(v5k,vi) to cling to/to grapple with/to possess/to stick to/
取りつける [とりつける] /(v1,vt) (1) to furnish/to install/(2) to get someone's agreement/(3) to patronize/to buy usually from the same store/
取りとめる [とりとめる] /(v1,vt) to stop/to put a stop to/to check/
取りなおす [とりなおす] /(v5s,vt) (1) to re-grip/to re-wrestle (sumo)/(2) to regroup (after some adverse event)/
取りにくい [とりにくい] /(adj-i) difficult (to obtain, receive permission, access, etc.)/tough (to do, etc.)/
取りまく [とりまく] /(v5k,vt) to surround/to circle/to enclose/
取りまとめる [とりまとめる] /(v1,vt) (1) to collect/to gather/to compile/to assemble/(2) to arrange/to settle/(P)/
取りも直さず [とりもなおさず] /(exp,adv) namely/that is/which is to say/
取りやめ [とりやめ] /(n) cancellation/suspension/
取りやめる [とりやめる] /(v1,vt) to cancel/to call off/
取りわけ [とりわけ] /(adv,n) (1) (uk) especially/above all/(2) inter alia/among others/
取り扱 [とりあつかい] /(n) treatment/service/handling/management/(P)/
取り扱い [とりあつかい] /(n) treatment/service/handling/management/(P)/
取り扱い所 [とりあつかいじょ] /(n) agency/office/
取り扱い説明書 [とりあつかいせつめいしょ] /(n) user's manual/handling instructions/
取り扱い注意 [とりあつかいちゅうい] /(n) handling warning/
取り扱い表示 [とりあつかいひょうじ] /(n) care instructions/
取り扱い方 [とりあつかいかた] /(n) way of handling/
取り扱う [とりあつかう] /(v5u,vt) to treat/to handle/to deal in/(P)/
取り囲む [とりかこむ] /(v5m,vt) to surround/to crowd around/(P)/
取り違える [とりちがえる] /(v1,vt) to take by mistake/
取り引き [とりひき] /(n,vs) transactions/dealings/business/
取り引き先 [とりひきさき] /(n) customer/client/
取り運ぶ [とりはこぶ] /(v5b,vt) to proceed smoothly/
取り越し苦労 [とりこしぐろう] /(n) overanxiety/needless worry/
取り押える [とりおさえる] /(v1,vt) (1) to seize/to capture/to arrest/(2) to hold down/to subdue/
取り押さえる [とりおさえる] /(v1,vt) (1) to seize/to capture/to arrest/(2) to hold down/to subdue/
取り下げ [とりさげ] /(n) withdrawal/(P)/
取り下げる [とりさげる] /(v1,vt) to withdraw/to abandon (e.g. a lawsuit)/
取り下ろす [とりおろす] /(v5s,vt) to take down/to bring down/to lower/
取り回し [とりまわし] /(n) sumo wrestler's belt used in a bout/
取り回す [とりまわす] /(v5s,vt) to rotate in one's hands/to treat/to manage/to dispose of/
取り壊し [とりこわし] /(n) demolition/pulling down/destruction/dismantling/(P)/
取り壊す [とりこわす] /(v5s,vt) to demolish/to tear or pull down/
取り廻し [とりまわし] /(n) sumo wrestler's belt used in a bout/
取り外し [とりはずし] /(n) removal/dismantling/detaching/
取り外しのできる [とりはずしのできる] /(exp,v1) moveable/removeable/demountable/
取り外し可能 [とりはずしかのう] /(adj-na) (comp) demountable/dismountable/
取り外し可能記憶装置 [とりはずしかのうきおくそうち] /(n) (comp) removable storage/
取り外す [とりはずす] /(v5s,vt) to dismantle/to demount/to take something away/to detach/(P)/
取り掛かる [とりかかる] /(v5r,vi) to begin/to set about/to start/(P)/
取り掛る [とりかかる] /(v5r,vi) to begin/to set about/to start/
取り巻き [とりまき] /(n) followers/hangers-on/
取り巻き連 [とりまきれん] /(n) (abbr) one's followers or hangers-on/
取り巻き連中 [とりまきれんちゅう] /(n) colleagues/cronies/merry men/
取り巻く [とりまく] /(v5k,vt) to surround/to circle/to enclose/(P)/
取り換える [とりかえる] /(v1,vt) to exchange/to replace/
取り敢えず [とりあえず] /(adv,n) (uk) at once/first of all/for the time being/for now/(P)/
取り寄せる [とりよせる] /(v1,vt) to order/to send away for/(P)/
取り急ぎ [とりいそぎ] /(adv) in haste/
取り急ぐ [とりいそぐ] /(v5g,vi) to hurry/to hasten/
取り去る [とりさる] /(v5r,vt) to remove/to eliminate/
取り極め [とりきめ] /(n) decision/agreement/
取り極める [とりきめる] /(v1,vt) to agree/to decide upon/to enter into (a contract)/
取り計らい [とりはからい] /(n) arrangement/(P)/
取り計らう [とりはからう] /(v5u,vt) to manage/to settle/to dispose of/to deal with/to arrange/
取り決め [とりきめ] /(n) decision/agreement/(P)/
取り決める [とりきめる] /(v1,vt) to agree/to decide upon/to enter into (a contract)/(P)/
取り結ぶ [とりむすぶ] /(v5b,vt) (1) to make (a promise)/to conclude (a contract)/(2) to act as a go-between/to act as mediator/(3) to curry favour with/
取り交わす [とりかわす] /(v5s) to exchange/to interchange/
取り口 [とりくち] /(n) sumo techniques/(P)/
取り広げる [とりひろげる] /(v1,vt) to enlarge/to widen/to spread out/
取り合い [とりあい] /(n) scramble/struggle/
取り合う [とりあう] /(v5u,vi) (1) to take each other's hands/to clasp (hands)/(2) to compete/to scramble for/(3) to pay attention (to someone)/to respond/
取り合わせ [とりあわせ] /(n) an assortment/combination/
取り合わせる [とりあわせる] /(v1) to put together/to assemble/
取り込み [とりこみ] /(n) (1) taking in/capturing/(2) confusion/bustle/(P)/
取り込み詐欺 [とりこみさぎ] /(n) confidence trick/
取り込み事 [とりこみごと] /(n) confusion/bustle/
取り込み中 [とりこみちゅう] /(n) in the middle of something/busy/
取り込む [とりこむ] /(v5m) to take in/to capture (e.g. image)/to introduce/to be busy/to adopt (e.g. behavior)/(P)/
取り混ぜる [とりまぜる] /(v1,vt) to mix/to put together/
取り沙汰 [とりざた] /(n,vs) current rumour/current rumor/gossip/(idle) talk/
取り札 [とりふだ] /(n) card(s) to be picked up/
取り殺す [とりころす] /(v5s,vt) to haunt to death/to possess and kill/
取り捌く [とりさばく] /(v5k,vt) to settle (a matter)/
取り皿 [とりざら] /(n) single individual's small dish on which food taken from shared serving dishes is placed/
取り散らす [とりちらす] /(v5s,vt) to scatter about/
取り残し [とりのこし] /(n) leaving behind/
取り残す [とりのこす] /(v5s,vt) to leave behind/(P)/
取り仕切る [とりしきる] /(v5r,vt) to operate a business/to run a business/to manage all by oneself/
取り止め [とりやめ] /(n) cancellation/suspension/
取り止めのない [とりとめのない] /(adj-i) incoherent/wandering/vague/rambling/whimsical/
取り止めの無い [とりとめのない] /(adj-i) incoherent/wandering/vague/rambling/whimsical/
取り止める [とりやめる] /(v1,vt) to cancel/to call off/
取り持ち [とりもち] /(n) (1) mediation/intermediation/procuration/go-between/facilitating a rendezvous between lovers/(2) entertainment/treatment/reception/
取り持つ [とりもつ] /(v5t,vt) to mediate/to entertain/to serve/
取り次ぎ [とりつぎ] /(n) agency/commission/
取り次ぐ [とりつぐ] /(v5g,vt) to act as an agent for/to announce (someone)/to convey (a message)/(P)/
取り捨てる [とりすてる] /(v1,vt) to throw away/
取り取り [とりどり] /(adj-na,n) various/
取り手 [とりて] /(n) (1) recipient/receiver/acceptor/taker/(2) (MA) skilled practitioner (of judo, sumo, etc.)/(3) person who picks up the cards (in karuta games)/
取り集める [とりあつめる] /(v1,vt) to gather/to collect/
取り出しボタン [とりだしボタン] /(n) (comp) load/eject button/
取り出し制限 [とりだしせいげん] /(n) (comp) fetch-restrictions/
取り出し抽象操作 [とりだしちゅうしょうそうさ] /(n) (comp) fetch abstract-operation/
取り出す [とりだす] /(v5s,vt) (1) to take out/to produce/to pick out/(2) to fetch/to retrieve/(P)/
取り所 [とりどころ] /(n) merit/worth/
取り除く [とりのぞく] /(v5k,vt) to remove/to deinstall/to take away/to set apart/(P)/
取り消し [とりけし] /(n) cancellation/withdrawal/abolition/revocation/cancel/CAN/(P)/
取り消す [とりけす] /(v5s,vt) to cancel/to withdraw/to retract/to take back (words, etc.)/to revoke/(P)/
取り上げる [とりあげる] /(v1,vt) (1) to take up/to pick up/(2) to accept/to adopt/to listen to/(3) to disqualify/to confiscate/to deprive/(4) to adopt (child)/(P)/
取り尽くす [とりつくす] /(v5s) to deplete/to take all/
取り澄ます [とりすます] /(v5s,vi) to look unconcerned/to assume a composed look/
取り成し [とりなし] /(n) mediation/intercession/smoothing over/
取り成す [とりなす] /(v5s,vt) to mediate/to intervene/to smooth/
取り切る [とりきる] /(v5r) (1) to take completely/to deplete/(2) to block off/to isolate/
取り説 [とりせつ] /(n) (abbr) users' manual/
取り前 [とりまえ] /(n) share/portion/
取り繕う [とりつくろう] /(v5u,vt) to temporize/to temporise/to smooth over/
取り組み [とりくみ] /(n) (1) bout (in sports, etc.)/match/(2) effort/initiative/dealing with/grappling with/wrestling with/(P)/
取り組む [とりくむ] /(v5m,vi) to tackle/to wrestle with/to engage in a bout/to come to grips with/to make effort/to strive for/to deal with/(P)/
取り揃える [とりそろえる] /(v1,vt) to assemble of goods (into a set)/to gather/to put together/
取り損なう [とりそこなう] /(v5u,vt) to miss/to fail to capitalize/to fail to capitalise/
取り舵 [とりかじ] /(n) port (side of a ship)/
取り舵を取る [とりかじをとる] /(exp,v5r) to steer to port/
取り替え [とりかえ] /(n) swap/exchange/
取り替えっこ [とりかえっこ] /(n,vs) swapsies/mutual exchange/
取り替える [とりかえる] /(v1,vt) to exchange/to replace/(P)/
取り代 [とりしろ] /(n) portion/one's share/
取り置き [とりおき] /(n,vs) reserving/storing/setting aside/laying away/
取り調べ [とりしらべ] /(n) investigation (e.g. by police or prosecutors)/examination/inquiry/enquiry/(P)/
取り調べる [とりしらべる] /(v1,vt) to investigate/to examine/
取り直し [とりなおし] /(n) rematch (e.g. in sumo when the match is too close to decide)/
取り直す [とりなおす] /(v5s,vt) (1) to re-grip/to re-wrestle (sumo)/(2) to regroup (after some adverse event)/
取り鎮める [とりしずめる] /(v1,vt) to quell/to quiet/
取り締まり [とりしまり] /(n) control/management/supervision/(P)/
取り締まる [とりしまる] /(v5r,vt) to manage/to control/to supervise/to crack down on/(P)/
取り締り [とりしまり] /(n) control/management/supervision/(P)/
取り的 [とりてき] /(n) low-ranking unsalaried sumo wrestler (ranked below juryo)/
取り纏める [とりまとめる] /(v1,vt) (1) to collect/to gather/to compile/to assemble/(2) to arrange/to settle/
取り逃がす [とりにがす] /(v5s,vt) to miss (capturing)/to fail to catch/to let slip/
取り逃す [とりにがす] /(v5s,vt) to miss (capturing)/to fail to catch/to let slip/
取り得 [とりえ] /(iK) (n) worth/redeeming feature/merit/gain/profit/
取り得 [とりどく] /(n) gain/profit/
取り鍋 [とりなべ] /(n) pouring ladle/
取り難い [とりにくい] /(adj-i) difficult (to obtain, receive permission, access, etc.)/tough (to do, etc.)/
取り入る [とりいる] /(v5r) to make up to/
取り入れ [とりいれ] /(n) taking in/harvesting/
取り入れる [とりいれる] /(v1,vt) (1) to harvest/to reap/(2) to take in/to gather in/(3) to adopt/(P)/
取り入れ口 [とりいれぐち] /(n) an intake/
取り箸 [とりばし] /(n) chopsticks used to move food from a serving dish to one's own dish/
取り付かれる [とりつかれる] /(v1) to become obsessed with/to be possessed (by spirits, etc.)/to be obsessive compulsive (OCD)/
取り付く [とりつく] /(v5k,vi) to cling to/to grapple with/to possess/to stick to/
取り付け [とりつけ] /(n) (1) installation/mounting/furnishing/fitting/(2) run (on a bank)/bank run/
取り付ける [とりつける] /(v1,vt) (1) to furnish/to install/(2) to get someone's agreement/(3) to patronize/to buy usually from the same store/
取り付け工事 [とりつけこうじ] /(n) installation/
取り付け騒ぎ [とりつけさわぎ] /(exp) a run on a bank/
取り払い [とりはらい] /(n) removing/clearing (away)/demolishing/
取り払う [とりはらう] /(v5u,vt) to clear away/to remove/to demolish/
取り分 [とりぶん] /(n) one's share or portion/
取り分 [とりわけ] /(adv,n) (1) (uk) especially/above all/(2) inter alia/among others/
取り分け [とりわけ] /(adv,n) (1) (uk) especially/above all/(2) inter alia/among others/(P)/
取り分けて [とりわけて] /(exp) above all/especially/
取り分ける [とりわける] /(v1,vt) to distribute/to apportion/to divide/
取り粉 [とりこ] /(n) rice powder/
取り紛れる [とりまぎれる] /(v1,vi) to be in confusion/to be busy/
取り柄 [とりえ] /(n) worth/redeeming feature/merit/gain/profit/(P)/
取り片付ける [とりかたづける] /(v1,vt) to clean up/to clear away/to put in order/
取り返し [とりかえし] /(n) recovery/
取り返しがつかない [とりかえしがつかない] /(exp) cannot be undone/can't be recovered from/
取り返しのつかない [とりかえしのつかない] /(exp,adj-i) cannot be undone/can't be recovered from/
取り返す [とりかえす] /(v5s,vt) to regain/to recover/to get back/(P)/
取り崩す [とりくずす] /(v5s,vt) to demolish/to take away until nothing remains/
取り放題 [とりほうだい] /(n) as much as one can take or carry away/
取り方 [とりかた] /(n) way of taking/
取り木 [とりき] /(n) layering (in the gardening sense)/
取り戻す [とりもどす] /(v5s,vt) to take back/to regain/to get back/to recover/(P)/
取り抑える [とりおさえる] /(v1,vt) (1) to seize/to capture/to arrest/(2) to hold down/to subdue/
取り落とす [とりおとす] /(v5s) to drop/to let fall/to omit/
取り乱す [とりみだす] /(v5s,vi) to scatter about/to be distracted/
取り離す [とりはなす] /(v5s,vt) to release/to let go (of)/
取り立て [とりたて] /(n) (1) collection (of a debt)/(2) patronage/promotion/(adj-no) (3) fresh (e.g. freshly picked)/(P)/
取り立てて [とりたてて] /(exp) in particular/worth mentioning/
取り立てる [とりたてる] /(v1,vt) (1) to collect (debts)/to dun/to exact/to extort/(2) to appoint/to promote/to give patronage/(3) to emphasize/to focus on/to call attention to/
取り立て金 [とりたてきん] /(n) money collected/
取り溜め [とりだめ] /(n,vs) video taping (and storing)/
取り留めのない [とりとめのない] /(adj-i) incoherent/wandering/vague/rambling/whimsical/
取り留めの無い [とりとめのない] /(adj-i) incoherent/wandering/vague/rambling/whimsical/
取り留める [とりとめる] /(v1,vt) to stop/to put a stop to/to check/
取り零す [とりこぼす] /(v5s,vi) (1) (comp) to lose an easy game/to suffer an unexpected defeat/(2) to lose information (computers)/
取り毀す [とりこわす] /(v5s,vt) to demolish/to tear or pull down/
取り憑かれる [とりつかれる] /(v1) to become obsessed with/to be possessed (by spirits, etc.)/to be obsessive compulsive (OCD)/
取り憑く [とりつく] /(v5k,vi) to cling to/to grapple with/to possess/to stick to/
取り拉ぐ [とりひしぐ] /(v5g,vt) to crush/
取り籠める [とりこめる] /(v1) to shut in/to confine/to surround/
取り縋る [とりすがる] /(v5r,vi) to cling to/
取る [とる] /(v5r,vt) (1) to take/to pick up/to harvest/to earn/to choose/(2) to steal/(3) to eat/to have (a meal)/(4) to remove (one's glasses, etc.)/(5) to compete (in sumo, cards, etc.)/to play/(P)/
取るに足らない [とるにたらない] /(exp) worthless/valueless/
取るに足りない [とるにたりない] /(exp,adj-i) of little importance/trivial/worthless/valueless/
取るものも取りあえず [とるものもとりあえず] /(exp,adv) without a moment's delay/leaving everything else unattended to/
取る物も取り敢えず [とるものもとりあえず] /(exp,adv) without a moment's delay/leaving everything else unattended to/
取れたて [とれたて] /(n,n-adv) just-harvested/something freshly harvested or gathered (usually produce)/
取れる [とれる] /(v1,vi,vt) (1) to come off/to be removed/(2) (of pain, a fever, etc.) to disappear/(3) to be caught/to be harvested/(4) to be interpreted (as)/to be taken as/(5) (of balance, etc.) to be attained/(6) to be obtainable/(P)/
取れ立て [とれたて] /(n,n-adv) just-harvested/something freshly harvested or gathered (usually produce)/
取扱 [とりあつかい] /(n) treatment/service/handling/management/(P)/
取扱い [とりあつかい] /(n) treatment/service/handling/management/(P)/
取扱い所 [とりあつかいじょ] /(n) agency/office/
取扱い方 [とりあつかいかた] /(n) way of handling/
取扱う [とりあつかう] /(io) (v5u,vt) to treat/to handle/to deal in/
取扱者 [とりあつかいしゃ] /(n) operator/handler/
取扱書 [とりあつかいしょ] /(n) (abbr) user's manual/handling instructions/
取扱人 [とりあつかいにん] /(n) agent/person in charge/
取扱説明書 [とりあつかいせつめいしょ] /(n) user's manual/handling instructions/
取扱注意 [とりあつかいちゅうい] /(n) handling warning/(P)/
取扱表示 [とりあつかいひょうじ] /(n) care instructions/
取扱方 [とりあつかいかた] /(n) way of handling/
取囲む [とりかこむ] /(v5m,vt) to surround/to crowd around/
取違える [とりちがえる] /(v1,vt) to take by mistake/
取引 [とりひき] /(n,vs) transactions/dealings/business/(P)/
取引き [とりひき] /(n,vs) transactions/dealings/business/
取引高 [とりひきだか] /(n) volume of business/turnover/
取引所 [とりひきじょ] /(n) (a stock) exchange/
取引条件 [とりひきじょうけん] /(n) terms and conditions (e.g. of a purchase or trade)/
取引先 [とりひきさき] /(n) customer/client/
取引日 [とりひきひ] /(n) trading day/
取運ぶ [とりはこぶ] /(v5b,vt) to proceed smoothly/
取越し苦労 [とりこしぐろう] /(n) overanxiety/needless worry/
取越苦労 [とりこしぐろう] /(n) overanxiety/needless worry/
取押える [とりおさえる] /(v1,vt) (1) to seize/to capture/to arrest/(2) to hold down/to subdue/
取下げ [とりさげ] /(n) withdrawal/
取下げる [とりさげる] /(v1,vt) to withdraw/to abandon (e.g. a lawsuit)/
取下ろす [とりおろす] /(v5s,vt) to take down/to bring down/to lower/
取回し [とりまわし] /(n) sumo wrestler's belt used in a bout/
取回す [とりまわす] /(v5s,vt) to rotate in one's hands/to treat/to manage/to dispose of/
取壊し [とりこわし] /(n) demolition/pulling down/destruction/dismantling/
取壊す [とりこわす] /(v5s,vt) to demolish/to tear or pull down/
取廻し [とりまわし] /(n) sumo wrestler's belt used in a bout/
取外し [とりはずし] /(n) removal/dismantling/detaching/
取外す [とりはずす] /(v5s,vt) to dismantle/to demount/to take something away/to detach/
取掛る [とりかかる] /(v5r,vi) to begin/to set about/to start/
取巻き [とりまき] /(n) followers/hangers-on/
取巻き連 [とりまきれん] /(n) (abbr) one's followers or hangers-on/
取巻く [とりまく] /(v5k,vt) to surround/to circle/to enclose/
取巻連 [とりまきれん] /(n) (abbr) one's followers or hangers-on/
取換える [とりかえる] /(v1,vt) to exchange/to replace/
取換る [とりかえる] /(io) (v1,vt) to exchange/to replace/
取敢えず [とりあえず] /(adv,n) (uk) at once/first of all/for the time being/for now/
取寄せる [とりよせる] /(v1,vt) to order/to send away for/
取急ぎ [とりいそぎ] /(adv) in haste/
取急ぐ [とりいそぐ] /(v5g,vi) to hurry/to hasten/
取去る [とりさる] /(v5r,vt) to remove/to eliminate/
取極め [とりきめ] /(n) decision/agreement/
取極める [とりきめる] /(v1,vt) to agree/to decide upon/to enter into (a contract)/
取計らい [とりはからい] /(n) arrangement/
取計らう [とりはからう] /(v5u,vt) to manage/to settle/to dispose of/to deal with/to arrange/
取決 [とりきめ] /(n) decision/agreement/
取決め [とりきめ] /(n) decision/agreement/(P)/
取決める [とりきめる] /(v1,vt) to agree/to decide upon/to enter into (a contract)/
取結ぶ [とりむすぶ] /(v5b,vt) (1) to make (a promise)/to conclude (a contract)/(2) to act as a go-between/to act as mediator/(3) to curry favour with/
取交わす [とりかわす] /(v5s) to exchange/to interchange/
取口 [とりくち] /(n) sumo techniques/
取広げる [とりひろげる] /(v1,vt) to enlarge/to widen/to spread out/
取合い [とりあい] /(n) scramble/struggle/
取合う [とりあう] /(v5u,vi) (1) to take each other's hands/to clasp (hands)/(2) to compete/to scramble for/(3) to pay attention (to someone)/to respond/
取合わせ [とりあわせ] /(n) an assortment/combination/
取合わせる [とりあわせる] /(v1) to put together/to assemble/
取込み [とりこみ] /(n) (1) taking in/capturing/(2) confusion/bustle/
取込み詐欺 [とりこみさぎ] /(n) confidence trick/
取込み中 [とりこみちゅう] /(n) in the middle of something/busy/
取込む [とりこむ] /(v5m) to take in/to capture (e.g. image)/to introduce/to be busy/to adopt (e.g. behavior)/
取込詐欺 [とりこみさぎ] /(n) confidence trick/
取込中 [とりこみちゅう] /(n) in the middle of something/busy/
取混ぜる [とりまぜる] /(v1,vt) to mix/to put together/
取沙汰 [とりざた] /(n,vs) current rumour/current rumor/gossip/(idle) talk/
取材 [しゅざい] /(n,vs) collecting data (e.g. for a newspaper article)/covering an event/(P)/
取材班 [しゅざいはん] /(n) data collecting party/
取札 [とりふだ] /(n) card(s) to be picked up/
取殺す [とりころす] /(v5s,vt) to haunt to death/to possess and kill/
取捌く [とりさばく] /(v5k,vt) to settle (a matter)/
取皿 [とりざら] /(n) single individual's small dish on which food taken from shared serving dishes is placed/
取散らす [とりちらす] /(v5s,vt) to scatter about/
取残し [とりのこし] /(n) leaving behind/
取残す [とりのこす] /(v5s,vt) to leave behind/
取仕切る [とりしきる] /(v5r,vt) to operate a business/to run a business/to manage all by oneself/
取止め [とりやめ] /(n) cancellation/suspension/
取止める [とりやめる] /(v1,vt) to cancel/to call off/
取持ち [とりもち] /(n) (1) mediation/intermediation/procuration/go-between/facilitating a rendezvous between lovers/(2) entertainment/treatment/reception/
取持つ [とりもつ] /(v5t,vt) to mediate/to entertain/to serve/
取次 [とりつぎ] /(n) agency/commission/(P)/
取次ぎ [とりつぎ] /(n) agency/commission/
取次ぐ [とりつぐ] /(v5g,vt) to act as an agent for/to announce (someone)/to convey (a message)/
取次店 [とりつぎてん] /(n) agency/distributor/
取捨 [しゅしゃ] /(n,vs) choice/option/rejection or adoption/(P)/
取捨てる [とりすてる] /(v1,vt) to throw away/
取捨選択 [しゅしゃせんたく] /(n,vs,adj-no) selection/making a choice/sifting/decision to adopt or reject/
取捨分別 [しゅしゃふんべつ] /(n,vs) make a choice among many/select the good (desirable, necessary, relevant) and discard the rest/decision to adopt or reject/
取取り [とりどり] /(adj-na,n) various/
取手 [とって] /(n) handle/grip/knob/
取手 [とりて] /(n) (1) recipient/receiver/acceptor/taker/(2) (MA) skilled practitioner (of judo, sumo, etc.)/(3) person who picks up the cards (in karuta games)/
取集める [とりあつめる] /(v1,vt) to gather/to collect/
取出す [とりだす] /(v5s,vt) (1) to take out/to produce/to pick out/(2) to fetch/to retrieve/
取所 [とりどころ] /(n) merit/worth/
取除く [とりのぞく] /(v5k,vt) to remove/to deinstall/to take away/to set apart/
取消 [とりけし] /(n) cancellation/withdrawal/abolition/revocation/cancel/CAN/
取消し [とりけし] /(n) cancellation/withdrawal/abolition/revocation/cancel/CAN/(P)/
取消す [とりけす] /(v5s,vt) to cancel/to withdraw/to retract/to take back (words, etc.)/to revoke/
取上げる [とりあげる] /(v1,vt) (1) to take up/to pick up/(2) to accept/to adopt/to listen to/(3) to disqualify/to confiscate/to deprive/(4) to adopt (child)/(P)/
取尽くす [とりつくす] /(v5s) to deplete/to take all/
取水 [しゅすい] /(n,vs) drawing water from river or lake/(P)/
取水口 [しゅすいこう] /(n) intake port/water intake/sluice gate/
取澄ます [とりすます] /(v5s,vi) to look unconcerned/to assume a composed look/
取成す [とりなす] /(v5s,vt) to mediate/to intervene/to smooth/
取切る [とりきる] /(v5r) (1) to take completely/to deplete/(2) to block off/to isolate/
取説 [とりせつ] /(n) (abbr) users' manual/
取前 [とりまえ] /(n) share/portion/
取繕う [とりつくろう] /(v5u,vt) to temporize/to temporise/to smooth over/
取組 [とりくみ] /(n) (1) bout (in sports, etc.)/match/(2) effort/initiative/dealing with/grappling with/wrestling with/
取組み [とりくみ] /(n) (1) bout (in sports, etc.)/match/(2) effort/initiative/dealing with/grappling with/wrestling with/
取組む [とっくむ] /(v5m,vi) to tackle/to wrestle with/to engage in a bout/to come to grips with/to make effort/to strive for/to deal with/
取組む [とりくむ] /(v5m,vi) to tackle/to wrestle with/to engage in a bout/to come to grips with/to make effort/to strive for/to deal with/
取揃える [とりそろえる] /(v1,vt) to assemble of goods (into a set)/to gather/to put together/
取損なう [とりそこなう] /(v5u,vt) to miss/to fail to capitalize/to fail to capitalise/
取舵 [とりかじ] /(n) port (side of a ship)/
取舵を取る [とりかじをとる] /(exp,v5r) to steer to port/
取替 [とりかえ] /(n) swap/exchange/
取替える [とりかえる] /(v1,vt) to exchange/to replace/
取代 [とりしろ] /(n) portion/one's share/
取調 [とりしらべ] /(n) investigation (e.g. by police or prosecutors)/examination/inquiry/enquiry/
取調べ [とりしらべ] /(n) investigation (e.g. by police or prosecutors)/examination/inquiry/enquiry/(P)/
取調べる [とりしらべる] /(v1,vt) to investigate/to examine/
取調べ室 [とりしらべしつ] /(n) interrogation room/interview room/sweatbox/
取調室 [とりしらべしつ] /(n) interrogation room/interview room/sweatbox/
取直し [とりなおし] /(n) rematch (e.g. in sumo when the match is too close to decide)/
取直す [とりなおす] /(v5s,vt) (1) to re-grip/to re-wrestle (sumo)/(2) to regroup (after some adverse event)/
取鎮める [とりしずめる] /(v1,vt) to quell/to quiet/
取締 [とりしまり] /(n) control/management/supervision/
取締まり [とりしまり] /(n) control/management/supervision/(P)/
取締まる [とりしまる] /(v5r,vt) to manage/to control/to supervise/to crack down on/
取締り [とりしまり] /(n) control/management/supervision/(P)/
取締法 [とりしまりほう] /(n) control law/(P)/
取締役 [とりしまりやく] /(n) company director/board member/(P)/
取締役会 [とりしまりやくかい] /(n) (1) board of directors/(2) board of directors' meeting/(P)/
取締役会長 [とりしまりやくかいちょう] /(n) chairman of board of directors/
取締役社長 [とりしまりやくしゃちょう] /(n) managing director/president of a company (US)/
取締役副社長 [とりしまりやくふくしゃちょう] /(n) executive vice-president/
取的 [とりてき] /(n) low-ranking unsalaried sumo wrestler (ranked below juryo)/
取纏める [とりまとめる] /(v1,vt) (1) to collect/to gather/to compile/to assemble/(2) to arrange/to settle/
取逃す [とりにがす] /(v5s,vt) to miss (capturing)/to fail to catch/to let slip/
取得 [しゅとく] /(n,vs) acquisition/(P)/
取得 [とりえ] /(iK) (n) worth/redeeming feature/merit/gain/profit/
取得原価 [しゅとくげんか] /(n) cost of acquisition/acquisition cost/
取得者 [しゅとくしゃ] /(n) acquirer/
取入る [とりいる] /(v5r) to make up to/
取入れ [とりいれ] /(n) taking in/harvesting/
取入れる [とりいれる] /(v1,vt) (1) to harvest/to reap/(2) to take in/to gather in/(3) to adopt/
取入れ口 [とりいれぐち] /(n) an intake/
取入口 [とりいれぐち] /(n) an intake/
取瓶 [とりべ] /(n) pouring ladle (in ironworks)/
取付 [とりつけ] /(n) (1) installation/mounting/furnishing/fitting/(2) run (on a bank)/bank run/
取付かれる [とりつかれる] /(v1) to become obsessed with/to be possessed (by spirits, etc.)/to be obsessive compulsive (OCD)/
取付く [とっつく] /(v5k,vi) to cling to/to grapple with/to possess/to stick to/
取付く [とりつく] /(v5k,vi) to cling to/to grapple with/to possess/to stick to/
取付け [とりつけ] /(n) (1) installation/mounting/furnishing/fitting/(2) run (on a bank)/bank run/
取付ける [とりつける] /(v1,vt) (1) to furnish/to install/(2) to get someone's agreement/(3) to patronize/to buy usually from the same store/
取付け工事 [とりつけこうじ] /(n) installation/
取付工事 [とりつけこうじ] /(n) installation/
取払い [とりはらい] /(n) removing/clearing (away)/demolishing/
取払う [とりはらう] /(v5u,vt) to clear away/to remove/to demolish/
取分 [とりぶん] /(n) one's share or portion/
取分 [とりわけ] /(adv,n) (1) (uk) especially/above all/(2) inter alia/among others/
取分けて [とりわけて] /(exp) above all/especially/
取分ける [とりわける] /(v1,vt) to distribute/to apportion/to divide/
取粉 [とりこ] /(n) rice powder/
取紛れる [とりまぎれる] /(v1,vi) to be in confusion/to be busy/
取柄 [とりえ] /(n) worth/redeeming feature/merit/gain/profit/
取片付ける [とりかたづける] /(v1,vt) to clean up/to clear away/to put in order/
取返し [とりかえし] /(n) recovery/
取返しがつかない [とりかえしがつかない] /(exp) cannot be undone/can't be recovered from/
取返しのつかない [とりかえしのつかない] /(exp,adj-i) cannot be undone/can't be recovered from/
取返す [とりかえす] /(v5s,vt) to regain/to recover/to get back/
取崩す [とりくずす] /(v5s,vt) to demolish/to take away until nothing remains/
取放題 [とりほうだい] /(n) as much as one can take or carry away/
取方 [とりかた] /(n) way of taking/
取木 [とりき] /(n) layering (in the gardening sense)/
取戻す [とりもどす] /(v5s,vt) to take back/to regain/to get back/to recover/
取抑える [とりおさえる] /(v1,vt) (1) to seize/to capture/to arrest/(2) to hold down/to subdue/
取落とす [とりおとす] /(v5s) to drop/to let fall/to omit/
取乱す [とりみだす] /(v5s,vi) to scatter about/to be distracted/
取離す [とりはなす] /(v5s,vt) to release/to let go (of)/
取立て [とりたて] /(n) (1) collection (of a debt)/(2) patronage/promotion/(adj-no) (3) fresh (e.g. freshly picked)/
取立てて [とりたてて] /(exp) in particular/worth mentioning/
取立てる [とりたてる] /(v1,vt) (1) to collect (debts)/to dun/to exact/to extort/(2) to appoint/to promote/to give patronage/(3) to emphasize/to focus on/to call attention to/
取立て金 [とりたてきん] /(n) money collected/
取立金 [とりたてきん] /(n) money collected/
取留める [とりとめる] /(v1,vt) to stop/to put a stop to/to check/
取零す [とりこぼす] /(v5s,vi) (1) (comp) to lose an easy game/to suffer an unexpected defeat/(2) to lose information (computers)/
取毀す [とりこわす] /(v5s,vt) to demolish/to tear or pull down/
取拉ぐ [とりひしぐ] /(v5g,vt) to crush/
取籠める [とりこめる] /(v1) to shut in/to confine/to surround/
取縋る [とりすがる] /(v5r,vi) to cling to/
守 [かみ] /(n) director (of the provincial governors under the ritsuryo system)/
守 [まもり] /(io) (n) (1) protection/defense/defence/(2) providence/(3) (abbr) amulet/charm/talisman/
守 [もり] /(n) (1) babysitting/babysitter/(2) protecting/keeping/keeper/
守り [まもり] /(n) (1) protection/defense/defence/(2) providence/(3) (abbr) amulet/charm/talisman/(P)/
守り [もり] /(n) (1) babysitting/babysitter/(2) protecting/keeping/keeper/(P)/
守り札 [まもりふだ] /(n) paper charm or talisman/
守り神 [まもりがみ] /(n) guardian deity/
守り人 [まもりびと] /(n) (arch) guard/watchman/
守り切る [まもりきる] /(v5r) to hold on to something (e.g. secret, lead in a race, etc.)/
守り袋 [まもりぶくろ] /(n) small pouch containing a paper charm or talisman/
守り刀 [まもりがたな] /(n) sword for self-defense/sword for self-defence/
守り抜く [まもりぬく] /(v5k,vt) to hold fast/to protect to the end/
守り本尊 [まもりほんぞん] /(n) guardian deity/
守り立てる [もりたてる] /(v1,vt) to bring up/to support/to rally/
守る [まもる] /(v5r,vt) (1) to protect/to guard/to defend/(2) to keep (i.e. a promise)/to abide (by the rules)/to observe/to obey/to follow/(P)/
守衛 [しゅえい] /(n) security guard/doorkeeper/(P)/
守衛所 [しゅえいじょ] /(n) guard station/guard house/guard post/
守株 [しゅしゅ] /(n,vs) lack of innovation/stupidity/
守宮 [しゅく] /(n,adj-no) outcasts (those from Kamakura period to the Edo period, common around the Kyoto region)/
守宮 [やもり] /(n) (uk) gecko/house lizard/
守旧 [しゅきゅう] /(n) conservatism/
守護 [しゅご] /(n,vs,adj-no) (1) protection/safeguard/(n) (2) shugo (Kamakura or Muromachi period military governor)/
守護 [すご] /(ok) (n,vs,adj-no) (1) protection/safeguard/(n) (2) shugo (Kamakura or Muromachi period military governor)/
守護神 [しゅごしん] /(n) guardian deity/
守護神 [しゅごじん] /(n) guardian deity/
守護人 [しゅごにん] /(n) (arch) guard/protector/
守護聖人 [しゅごせいじん] /(n) patron saint/
守護天使 [しゅごてんし] /(n) guardian angel/
守護竜 [しゅごりゅう] /(n) guardian dragon/
守護龍 [しゅごりゅう] /(n) guardian dragon/
守護霊 [しゅごれい] /(n) guardian spirit/
守公 [しゅく] /(n,adj-no) outcasts (those from Kamakura period to the Edo period, common around the Kyoto region)/
守勢 [しゅせい] /(n,adj-no) (being on the) defensive/(P)/
守成 [しゅせい] /(n,vs) building up and maintaining/
守戦 [しゅせん] /(n) war of defense/war of defence/defensive fight/defensive warfare/
守銭奴 [しゅせんど] /(n) miser/niggard/
守破離 [しゅはり] /(n) (MA) Shuhari/three stages of learning mastery: the fundamentals, breaking with tradition, parting with traditional wisdom/
守秘義務 [しゅひぎむ] /(n) duty of confidentiality (concerning private matters learned through one's business)/
守秘義務違反 [しゅひぎむいはん] /(n) abuse of confidentiality/
守備 [しゅび] /(n,vs,adj-no) defense/defence/(P)/
守備固め [しゅびがため] /(n) making replacements for defensive purposes in the late inning of a game (baseball)/
守備隊 [しゅびたい] /(n) garrison/
守備兵 [しゅびへい] /(n) guards/
守備率 [しゅびりつ] /(n) one's fielding average/
守兵 [しゅへい] /(n) guards/
守役 [もりやく] /(n) nurse/nanny/guardian/
手 [て] /(n) (1) hand/arm/(2) (col) forepaw/foreleg/(3) handle/(4) hand/worker/help/(5) trouble/care/effort/(6) means/way/trick/move/technique/workmanship/(7) hand/handwriting/(8) kind/type/sort/(9) one's hands/one's possession/(10) ability to cope/(11) hand (of cards)/(12) direction/(P)/
手あぶり [てあぶり] /(n) small brazier/hand-warmer/
手いっぱい [ていっぱい] /(adj-na,n) having one's hands full/not having any room to do more/at the limit/
手おち [ておち] /(n) oversight/omission/
手おの [ておの] /(n) adze/
手かご [てかご] /(n) handbasket/
手があく [てがあく] /(exp) to be free/to be available/
手がかかる [てがかかる] /(exp,v5r) to take a lot of dealing with/to be a handlful/
手がかり [てがかり] /(n) (1) clue/key/trail/scent/track/contact/(2) handhold/on hand/
手がける [てがける] /(v1) to make/to do/to produce/to work on/(P)/
手がすく [てがすく] /(exp) to be free/to be available/
手がすべる [てがすべる] /(exp,v5r) to have one's hands slip (and drop something)/
手が掛かる [てがかかる] /(exp,v5r) to take a lot of dealing with/to be a handlful/
手が滑る [てがすべる] /(exp,v5r) to have one's hands slip (and drop something)/
手が空く [てがあく] /(exp) to be free/to be available/
手が空く [てがすく] /(exp) to be free/to be available/
手が後ろに回る [てがうしろにまわる] /(exp,v5r) to have one's hands tied behind one/to be arrested/
手が込む [てがこむ] /(exp,v5m) to be intricate/to be elaborate/to be complicated/to be complex/
手が混む [てがこむ] /(exp,v5m) to be intricate/to be elaborate/to be complicated/to be complex/
手が塞がる [てがふさがる] /(exp,v5r) to be busy/to be tied up doing something/
手が出ない [てがでない] /(exp,adj-i) out of one's reach/beyond one's grasp/
手が出る [てがでる] /(exp,v1) (1) to jab/to swing at a bad ball (baseball)/(2) to reach for (a snack, etc.)/
手が上がる [てがあがる] /(exp,v5r) to improve one's skill (esp. at calligraphy or drinking larger amounts of alcohol)/
手が切れる [てがきれる] /(exp,v1) to break off with (e.g. one's lover)/
手が早い [てがはやい] /(exp) (1) to be a quick worker/(2) to be fast in forming relationships with women/(3) to be quick to resort to violence/
手が足りない [てがたりない] /(exp,adj-i) short of hands/
手が届く [てがとどく] /(exp,v5k) to be able to reach/to be within one's reach/
手が利く [てがきく] /(exp,v5k) to be able/to be competent/
手が離せない [てがはなせない] /(exp) having to continue doing the work at hand/right in the middle of something/
手ぎわ [てぎわ] /(n) performance/skill/tact/
手ぐすねひく [てぐすねひく] /(exp,v5k) to be ready and waiting for/to be on the alert for/
手ぐすね引く [てぐすねひく] /(exp,v5k) to be ready and waiting for/to be on the alert for/
手こき [てこき] /(n) (X) hand job/
手こずる [てこずる] /(v5r) (uk) to have much trouble/to have a hard time/to not know how to handle/
手ごたえ [てごたえ] /(n,vs) response/resistance/reaction/feedback/
手ごろ [てごろ] /(adj-na,n) moderate/handy/convenient/reasonable/(P)/
手ごわい [てごわい] /(adj-i) difficult/tough/stubborn/redoubtable/(P)/
手さぐり [てさぐり] /(n,vs) fumbling/groping/
手ざわり [てざわり] /(n) feel/touch/
手すき [てすき] /(n,adj-no) (1) not busy/unengaged/being free/(2) leisure/
手すり [てすり] /(n) handrail/railing/(P)/
手ずから [てずから] /(n) in person/personally/(do) oneself/
手ずれる [てずれる] /(v1) (1) to have become worn/(2) to be used to the ways of the world/
手だて [てだて] /(n) means/method/
手っ甲 [てっこう] /(n) covering for the back of the hand and wrist/
手っ取り早い [てっとりばやい] /(adj-i) quick (and easy)/finishing up in a hurry/
手っ取り早く [てっとりばやく] /(adv) with dispatch/with despatch/expeditiously/
手っ取り早く言えば [てっとりばやくいえば] /(exp) in a word/to put it briefly/to make a long story short/
手つかず [てつかず] /(adj-no,adj-na,n) untouched/unused/intact/
手つき [てつき] /(n) manner of using one's hands/
手づくり [てづくり] /(n,adj-no) handmade/homegrown/hand-crafted/homemade/
手づよい [てづよい] /(adj-i) strong/resolute/firm/strict/
手なずける [てなずける] /(v1,vt) to tame/to win over/
手にする [てにする] /(exp,vs-i) (1) to hold (in one's hand)/to take (into one's hand)/(2) to own/to obtain/
手につかない [てにつかない] /(exp) to not be able to concentrate on (due to distractions, etc.)/
手にはいる [てにはいる] /(exp,v5r) to obtain/to come into possession of/to get hold of/to get one's hands on/
手に汗を握る [てにあせをにぎる] /(exp,v5r) to sit on the edge of one's seat/to be in breathless suspense/
手に取る [てにとる] /(exp,v5r) to take in one's hand/to pick up/
手に乗る [てにのる] /(exp,v5r) to be fooled by something/to be taken in/
手に着かない [てにつかない] /(exp) to not be able to concentrate on (due to distractions, etc.)/
手に入る [てにはいる] /(exp,v5r) to obtain/to come into possession of/to get hold of/to get one's hands on/(P)/
手に入れる [てにいれる] /(exp,v1,vt) to obtain/to procure/(P)/
手に付かない [てにつかない] /(exp) to not be able to concentrate on (due to distractions, etc.)/
手に負えない [てにおえない] /(exp,adj-i) spoiled/unmanageable/uncontrollable/incorrigible/obstreperous/
手に余る [てにあまる] /(exp,v5r) to be beyond one's capacities/to be beyond one's powers/to be beyond one's control/to be unmanageable/
手に落ちる [てにおちる] /(exp,v1) to fall into (someone's) hands/to fall under someone's control/to become someone's property (e.g. of an object)/
手ぬぐい [てぬぐい] /(n) (hand) towel/
手のかかる [てのかかる] /(exp,adj-f) troublesome/difficult (e.g. customer, guest, child)/laborious (e.g. task, dinner)/
手のひら [てのひら] /(n) the palm (of one's hand)/(P)/
手のひらを返す [てのひらをかえす] /(exp,v5s) (1) to change one's attitude quickly/(2) to flip over one's hand/
手の掛かる [てのかかる] /(exp,adj-f) troublesome/difficult (e.g. customer, guest, child)/laborious (e.g. task, dinner)/
手の甲 [てのこう] /(n) back of the hand/
手の込んだ [てのこんだ] /(adj-f) intricate/elaborate/complicated/complex/
手の混んだ [てのこんだ] /(adj-f) intricate/elaborate/complicated/complex/
手の指 [てのゆび] /(n) finger/
手の施しようがない [てのほどこしようがない] /(exp) beyond help/there's nothing that can be done/
手の者 [てのもの] /(n) one's subordinate/
手の早い [てのはやい] /(adj-i) (1) fast working/(2) fast in forming relationships with women/(3) quick to resort to violence/
手の届かないところ [てのとどかないところ] /(exp) (a place) out of one's reach/
手の届くところ [てのとどくところ] /(n) (a place) within one's reach/
手の届く所 [てのとどくところ] /(n) (a place) within one's reach/
手の内 [てのうち] /(n) palm/skill/scope of one's power/one's intention/
手の内を見せる [てのうちをみせる] /(exp,v1) to reveal one's true intentions/to show one's cards/
手の物 [てのもの] /(n) one's speciality/one's forte/one's own thing/
手の平 [てのひら] /(n) the palm (of one's hand)/
手の平を返す [てのひらをかえす] /(exp,v5s) (1) to change one's attitude quickly/(2) to flip over one's hand/
手はず [てはず] /(n) arrangement/plan/programme/program/
手ばやい [てばやい] /(adj-i) nimble/quick/agile/
手びねり [てびねり] /(n) forming by hand (instead of using a potter's wheel, etc.)/handwork/
手ぶくろ [てぶくろ] /(n) glove/mitten/mitt/
手ぶら [てぶら] /(n) empty-handed/
手ぶれ [てぶれ] /(n) camera shake/
手まさぐり [てまさぐり] /(n,vs) (1) playing with something with one's fingers/(2) searching with one's fingers (e.g. in the dark)/
手まね [てまね] /(n,vs) gesture/sign/hand signal/
手まねき [てまねき] /(n,vs) beckoning/
手まめ [てまめ] /(adj-na,n) (uk) diligent/industrious/skillful/dextrous/
手もと [てもと] /(n) (1) (money) on hand or at home/one's purse (handbag)/(2) usual skill/
手もなく [てもなく] /(adv) easily/
手も足も出ない [てもあしもでない] /(exp) cannot do a thing/feeling handcuffed/being at the end of one's tether/being at one's wit's end/
手も無く [てもなく] /(adv) easily/
手をあげる [てをあげる] /(exp,v1) (1) to raise one's hand or hands/(2) to surrender/(3) to raise a hand to someone (as a threat to strike)/(4) to improve/
手をくだす [てをくだす] /(exp,v5s) (1) to do oneself/to do by oneself/(2) to start work (on)/to commence/
手をこまねく [てをこまねく] /(exp,v5k) to fold one's arms/to stand and watch (without interfering)/
手をつく [てをつく] /(exp,v5k) to place both hands on the ground (to express respect, apology or to present a request)/
手をつける [てをつける] /(exp,v1) (1) to (start) work on/(2) to embezzle/to use (money obtained in illegal fashion)/
手をつなぐ [てをつなぐ] /(exp,v5g) to join hands (with)/
手をひく [てをひく] /(exp,v5k) (1) to withdraw from (a deal)/to wash one's hands of/(2) to lead by the hand/
手をまわす [てをまわす] /(exp,v5s) to make the necessary preparations in secret/
手を引く [てをひく] /(exp,v5k) (1) to withdraw from (a deal)/to wash one's hands of/(2) to lead by the hand/
手を延べる [てをのべる] /(exp,v1) to extend one's arm/to reach out/to offer one's hand/
手を汚す [てをよごす] /(exp,v5s) to dirty one's hands/
手を下す [てをくだす] /(exp,v5s) (1) to do oneself/to do by oneself/(2) to start work (on)/to commence/
手を加える [てをくわえる] /(exp,v1) (1) to perform some process/to apply some treatment/(2) to revise/to correct/
手を回す [てをまわす] /(exp,v5s) to make the necessary preparations in secret/
手を掛ける [てをかける] /(exp,v1) (1) to lay hands on/to touch/(2) to care for/to look after/(3) to make off with/to steal/
手を挙げる [てをあげる] /(exp,v1) (1) to raise one's hand or hands/(2) to surrender/(3) to raise a hand to someone (as a threat to strike)/(4) to improve/
手を空かす [てをすかす] /(exp,v5s) to make oneself available/
手を携えて [てをたずさえて] /(exp) hand in hand/
手を繋ぐ [てをつなぐ] /(exp,v5g) to join hands (with)/
手を結ぶ [てをむすぶ] /(exp,v5b) to join hands/
手を差し伸べる [てをさしのべる] /(exp,v1) to lend a hand/to give a hand/to help/to extend a helping hand/
手を取る [てをとる] /(exp,v5r) to take someone's hand/
手を出す [てをだす] /(exp,v5s) (1) to turn one's hand to/to reach out one's hand/(2) to get involved in/to make a move on/(3) to start a fight/to make a move in violence/
手を焼く [てをやく] /(exp,v5k) not know what to do with/to be at a loss with/to have difficulty with/to be put out/
手を象った字 [てをかたどったじ] /(exp) character representing a hand/
手を上げる [てをあげる] /(exp,v1) (1) to raise one's hand or hands/(2) to surrender/(3) to raise a hand to someone (as a threat to strike)/(4) to improve/
手を振る [てをふる] /(exp,v5r) to wave one's hand/
手を尽くす [てをつくす] /(exp,v5s) to try all possible means/
手を切る [てをきる] /(exp,v5r) to cut off (a relationship)/
手を染める [てをそめる] /(exp,v1) to have a hand (in)/
手を組む [てをくむ] /(exp,v5m) to join hands together/to join forces/
手を束ねて [てをつかねて] /(exp) doing nothing/folding one's arms/
手を打つ [てをうつ] /(exp,v5t) (1) to take measures (in face of events being anticipated)/(2) to come to an agreement (in bargaining, etc.)/to strike a bargain/(3) to clap one's hands together/
手を替え品を替え [てをかえしなをかえ] /(exp) by hook or by crook/by all possible means/
手を貸しましょうか [てをかしましょうか] /(exp) (col) Can I lend a hand?/
手を貸す [てをかす] /(exp,v5s) to lend a hand/
手を叩く [てをたたく] /(exp,v5k) to clap/
手を着ける [てをつける] /(exp,v1) to set one's hand to/to start/
手を透かす [てをすかす] /(exp,v5s) to make oneself available/
手を突く [てをつく] /(exp,v5k) to place both hands on the ground (to express respect, apology or to present a request)/
手を抜く [てをぬく] /(exp,v5k) to ease up (on an opponent)/to cut corners/to be shoddy/
手を煩わす [てをわずらわす] /(exp,v5s) to cause a person trouble/
手を煩わせる [てをわずらわせる] /(exp,v1) to cause a person trouble/
手を付ける [てをつける] /(exp,v1) (1) to (start) work on/(2) to embezzle/to use (money obtained in illegal fashion)/
手を変える [てをかえる] /(exp,v1) to resort to other means/
手を変え品を変え [てをかえしなをかえ] /(exp) by hook or by crook/by all possible means/
手を離れる [てをはなれる] /(exp,v1) (1) to become independent/(2) to leave one's hands/to leave one's possession/
手を拱く [てをこまぬく] /(exp,v5k) to fold one's arms/to stand and watch (without interfering)/
手を拱く [てをこまねく] /(exp,v5k) to fold one's arms/to stand and watch (without interfering)/
手ん棒 [てんぼう] /(n) (obsc) (sens) person missing at least one hand/
手コキ [てコキ] /(n) (X) hand job/
手ブラ [てブラ] /(adj-f) bra-less (usu. using only one's hands to cover breasts)/
手マン [てマン] /(n) (sl) (vulg) finger-banging (manual stimulation of female genital organs)/
手暗がり [てくらがり] /(n) shadow cast by a person's hand/
手慰み [てなぐさみ] /(n) fingering an object (in killing time)/amusing oneself/gambling/
手萎 [てなえ] /(n) (arch) arm disability/someone with disabled arms/
手違い [てちがい] /(n) mistake/blunder/
手一杯 [ていっぱい] /(adj-na,n) having one's hands full/not having any room to do more/at the limit/
手引 [てびき] /(n,vs) guidance/guide/introduction/guideline/(P)/
手引き [てびき] /(n,vs) guidance/guide/introduction/guideline/(P)/
手引き書 [てびきしょ] /(n) handbook/manual/guide/primer/
手引書 [てびきしょ] /(n) handbook/manual/guide/primer/(P)/
手淫 [しゅいん] /(n,vs) masturbation/onanism/
手羽 [てば] /(n) chicken wing/
手羽先 [てばさき] /(n) (tip section of) chicken wing/
手塩 [てしお] /(n) table salt/small plate/
手塩にかける [てしおにかける] /(exp,v1) to bring up under one's personal care/
手塩に掛ける [てしおにかける] /(exp,v1) to bring up under one's personal care/
手塩皿 [てしおざら] /(n) small plate/
手応え [てごたえ] /(n,vs) response/resistance/reaction/feedback/(P)/
手押し [ておし] /(n) pushing by hand/hand gilding/
手押し車 [ておしぐるま] /(n) handcart/wheelbarrow/
手桶 [ておけ] /(n) pail/bucket/
手下 [てした] /(n) subordinate/underling/
手加減 [てかげん] /(n,vs) going easy on someone/take situational peculiarities into consideration/rough estimate/making an allowance for/
手荷物 [てにもつ] /(n) hand luggage/hand baggage/(P)/
手荷物一時預かり所 [てにもついちじあずかりしょ] /(n) short-term hand-luggage storage/
手荷物検査 [てにもつけんさ] /(n) hand baggage search/
手解き [てほどき] /(n,vs) (1) initiation/induction/introduction/(2) learning the basics/
手回し [てまわし] /(n) preparations/arrangements/
手回しオルガン [てまわしオルガン] /(n) barrel organ/hand organ/hurdy-gurdy/
手回り [てまわり] /(n) at hand/personal effects or belongings/
手回り品 [てまわりひん] /(n) personal effects or belongings/
手懐ける [てなずける] /(v1,vt) to tame/to win over/
手掛かり [てがかり] /(n) (1) clue/key/trail/scent/track/contact/(2) handhold/on hand/(P)/
手掛け [てかけ] /(n) handhold on an object which facilitates carrying/
手掛ける [てがける] /(v1,vt) to handle/to manage/to work with/to rear/to look after/to have experience with/
手掛り [てがかり] /(n) (1) clue/key/trail/scent/track/contact/(2) handhold/on hand/
手活け [ていけ] /(exp) (1) doing one's own flower arranging/(2) marrying or making a mistress of a geisha/
手巻き [てまき] /(n) (1) (food) winding or rolling by hand/(2) hand-rolled sushi, usually cone-shaped/
手巻き寿司 [てまきずし] /(n) (food) sushi wrapped in nori/
手巻き鮨 [てまきずし] /(n) (food) sushi wrapped in nori/
手巻寿司 [てまきずし] /(n) (food) sushi wrapped in nori/
手巻鮨 [てまきずし] /(n) (food) sushi wrapped in nori/
手慣らし [てならし] /(n) practice/practise/exercise/training/
手慣れる [てなれる] /(v1,vi) to get used (to)/to get familiar with/to get skillful with/
手管 [てくだ] /(n) wiles/
手簡 [しゅかん] /(n) letter/
手緩い [てぬるい] /(adj-i) lax/lenient/slow/
手翰 [しゅかん] /(n) letter/
手鑑 [てかがみ] /(n) (1) collection of handwriting (usu. old)/(2) model/example/
手間 [てま] /(n) time/labour/labor/(P)/
手間どる [てまどる] /(v5r,vi) to meet unexpected difficulties/to take time/to be delayed/
手間ひま [てまひま] /(n) time and effort/trouble/
手間をかける [てまをかける] /(exp,v1) to take up someone's time/to make work for someone/
手間を掛ける [てまをかける] /(exp,v1) to take up someone's time/to make work for someone/
手間を取る [てまをとる] /(exp,v5r) to be detained/to take time/
手間暇 [てまひま] /(n) time and effort/trouble/
手間隙 [てまひま] /(n) time and effort/trouble/
手間仕事 [てましごと] /(n) tedious job/troublesome job/time-consuming job/piecework/
手間取る [てまどる] /(v5r,vi) to meet unexpected difficulties/to take time/to be delayed/
手間賃 [てまちん] /(n) wages (charge) for labor (labour)/pay/
手奇麗 [てぎれい] /(adj-na) neatly or cleverly made/
手旗 [てばた] /(n) semaphore (hand) flag/
手旗信号 [てばたしんごう] /(n) flag signaling/semaphore/
手機 [てばた] /(n) handloom/
手記 [しゅき] /(n,vs) note/memorandum/(P)/
手技 [しゅぎ] /(n) craft/
手技療法 [しゅぎりょうほう] /(n) manual therapy/
手鞠 [てまり] /(n) traditional Japanese handball game/
手詰まり [てづまり] /(n) stalemate/
手詰め [てづめ] /(n) pressing/urging/
手詰り [てづまり] /(n) stalemate/
手脚 [しゅきゃく] /(n) hands and feet/
手許 [てもと] /(n) (1) (money) on hand or at home/one's purse (handbag)/(2) usual skill/
手許現金 [てもとげんきん] /(exp) cash on hand/
手強い [てごわい] /(adj-i) difficult/tough/stubborn/redoubtable/
手強い [てづよい] /(adj-i) strong/resolute/firm/strict/
手狭 [てぜま] /(adj-na,n) narrow/small/cramped/
手鏡 [てかがみ] /(n) hand-mirror/
手業 [てわざ] /(n) work using the hands/
手玉 [てだま] /(n) beanbags/jackstones/cueball/
手玉に [てだまに] /(adv) (leading) someone by the nose/
手玉に取る [てだまにとる] /(exp,v5r) to lead someone around by the nose/
手巾 [しゅきん] /(n) (1) (hand) towel/(2) handkerchief/
手筋 [てすじ] /(n) lines of the palm/aptitude/handwriting/apt move (in a go or shogi game)/standard method/
手近 [てじか] /(ik) (adj-na) near/handy/within reach/familiar/
手近 [てぢか] /(adj-na) near/handy/within reach/familiar/
手近か [てじか] /(ik) (adj-na) near/handy/within reach/familiar/
手近か [てぢか] /(adj-na) near/handy/within reach/familiar/
手金 [てきん] /(n) deposit/
手駒 [てごま] /(n) (game pieces, soldiers, etc.) under one's control/
手空き [てあき] /(n,adj-no) (1) not busy/unengaged/being free/(2) leisure/
手空き [てすき] /(n,adj-no) (1) not busy/unengaged/being free/(2) leisure/
手繰り [たぐり] /(n) (1) reeling in (thread, etc.)/(2) transport by passing from hand-to-hand/
手繰り [てぐり] /(n) (1) reeling in (thread, etc.)/(2) transport by passing from hand-to-hand/
手繰り込む [たぐりこむ] /(v5m,vt) to reel in/
手繰る [たぐる] /(v5r,vt) to pull in (rope)/
手型千鳥 [てがたちどり] /(n) (uk) fragrant orchid (Gymnadenia conopsea)/
手形 [てがた] /(n) (1) draft/draught/promissory note/(2) signed hand-print (sumo)/(P)/
手形割引 [てがたわりびき] /(n) discounting of a bill/
手形交換所 [てがたこうかんじょ] /(n) clearing house/
手形千鳥 [てがたちどり] /(n) (uk) fragrant orchid (Gymnadenia conopsea)/
手軽 [てがる] /(adj-na,n) easy/simple/informal/offhand/cheap/(P)/
手頚 [てくび] /(oK) (n) wrist/
手芸 [しゅげい] /(n) handicrafts/
手芸品 [しゅげいひん] /(n) handicrafts/hand-crafted goods/
手隙 [てすき] /(n,adj-no) (1) not busy/unengaged/being free/(2) leisure/
手堅い [てがたい] /(adj-i) steady/firm/solid/secure/(P)/
手懸かり [てがかり] /(n) (1) clue/key/trail/scent/track/contact/(2) handhold/on hand/
手懸け [てかけ] /(n) handhold on an object which facilitates carrying/
手懸り [てがかり] /(n) (1) clue/key/trail/scent/track/contact/(2) handhold/on hand/
手元 [てもと] /(n) (1) (money) on hand or at home/one's purse (handbag)/(2) usual skill/(P)/
手元が狂う [てもとがくるう] /(exp,v5u) to become clumsy/to miss one's aim/
手元現金 [てもとげんきん] /(exp) cash on hand/
手厳しい [てきびしい] /(adj-i) severe/harsh/
手古摺る [てこずる] /(v5r) (uk) to have much trouble/to have a hard time/to not know how to handle/
手後れ [ておくれ] /(adj-na,n) (1) being (too) late/(2) belated treatment/
手交 [しゅこう] /(n,vs) handing over/delivery/
手厚い [てあつい] /(adj-i) courteous/cordial/warm/
手口 [てぐち] /(n) modus operandi/criminal technique/trick/(P)/
手向かい [てむかい] /(n) resistance/
手向かう [てむかう] /(v5u,vi) to resist/
手向け [たむけ] /(n) (1) offering to a deity or somebody's spirit/(2) tribute to a person who is about to depart/
手向ける [たむける] /(v1,vt) (1) to offer something to a deity or somebody's spirit/(2) to pay a tribute to a person who is about to depart/
手垢 [てあか] /(n) finger marks/dirty marks/
手工 [しゅこう] /(n) handicrafts/
手工業 [しゅこうぎょう] /(n) handicraft industry/
手工芸 [しゅこうげい] /(n) handicrafts/
手広い [てびろい] /(adj-i) spacious/roomy/
手広く [てびろく] /(adv) widely/extensively/on an extensive scale/
手控え [てびかえ] /(n) (1) note/memorandum/(2) holding oneself back/(P)/
手控える [てびかえる] /(v1,vt) (1) to hang (hold) back/to hold off/to refrain/to reduce or cut back on/(2) to jot down a note/
手甲 [てこう] /(n) covering for the back of the hand and wrist/
手甲 [てっこう] /(n) covering for the back of the hand and wrist/
手綱 [たづな] /(n,adj-no) bridle/reins/(P)/
手綱さばき [たづなさばき] /(n) (one's) handling of the reins/how well one controls things/
手綱を緩める [たづなをゆるめる] /(exp,v1) to slack the reins/
手綱捌き [たづなさばき] /(n) (one's) handling of the reins/how well one controls things/
手荒 [てあら] /(adj-na,n) violent/rough/
手荒い [てあらい] /(adj-i) violent/rough/
手合 [てあい] /(n) (1) that kind (may be used as a disparaging term for another person)/(2) competition/match/
手合い [てあい] /(n) (1) that kind (may be used as a disparaging term for another person)/(2) competition/match/
手合わせ [てあわせ] /(n) game/contest/bout/
手酷い [てひどい] /(adj-i) severe/harsh/
手漉 [てすき] /(io) (n) handmade paper/
手漉き [てすき] /(n) handmade paper/
手骨 [しゅこつ] /(n) bones of the hand/
手込め [てごめ] /(n) rape/
手頃 [てごろ] /(adj-na,n) moderate/handy/convenient/reasonable/
手根管症候群 [しゅこんかんしょうこうぐん] /(n) carpal tunnel syndrome/
手根骨 [しゅこんこつ] /(n) carpal (any of the bones of the carpus in the wrist)/
手差し [てさし] /(n) inserted by hand/
手妻 [てづま] /(n) sleight of hand/
手妻人形 [てづまにんぎょう] /(n) var. of puppet popular in the Edo period/
手細工 [てざいく] /(n) handiwork/handicraft/homemade/
手際 [てぎわ] /(n) performance/skill/tact/(P)/
手際よく [てぎわよく] /(adv) efficiently/skillfully/cleverly/
手際良く [てぎわよく] /(adv) efficiently/skillfully/cleverly/(P)/
手作り [てづくり] /(n,adj-no) handmade/homegrown/hand-crafted/homemade/(P)/
手作業 [てさぎょう] /(n) manual labor/manual labour/manual procedures/
手刷り [てずり] /(n) printing by hand/
手擦れ [てずれ] /(n,vs) becoming worn or soiled with handling/being old-fashioned/
手擦れる [てずれる] /(v1) (1) to have become worn/(2) to be used to the ways of the world/
手札 [てふだ] /(n) (card playing) hand/visiting (name) card/
手札型 [てふだがた] /(n) wallet-sized (photo)/
手捌き [てさばき] /(n) handling/manipulation/
手仕事 [てしごと] /(n) handwork/manual labor/manual labour/working with one's hands/
手仕舞い [てじまい] /(n) clearing or evening of accounts/
手始め [てはじめ] /(n) outset/start/beginning/(P)/
手子摺る [てこずる] /(v5r) (uk) to have much trouble/to have a hard time/to not know how to handle/
手指 [しゅし] /(n) finger/
手紙 [てがみ] /(n,adj-no) letter/(P)/
手紙を宛てる [てがみをあてる] /(exp,v1) to address (direct) a letter to a person/
手紙を出す [てがみをだす] /(exp,v5s) to mail a letter/
手紙を添える [てがみをそえる] /(exp,v1) to attach a letter/to include a letter/
手紙爆弾 [てがみばくだん] /(n) letter bomb/
手紙文 [てがみぶん] /(n) epistolary style/epistolary phrase/
手飼い [てがい] /(n) raising or keeping an animal by oneself/
手持 [てもち] /(n) holdings/goods on hand/
手持ち [てもち] /(n) holdings/goods on hand/(P)/
手持ちぶさた [てもちぶさた] /(adj-na,n) being bored/being at a loose end/
手持ち現金 [てもちげんきん] /(n) ready cash/cash on hand/
手持ち品 [てもちひん] /(n) goods in stock or on hand or in one's possession/
手持ち無沙汰 [てもちぶさた] /(adj-na,n) being bored/being at a loose end/
手持無沙汰 [てもちぶさた] /(adj-na,n) being bored/being at a loose end/
手写 [しゅしゃ] /(n,vs) copying by hand/
手車 [てぐるま] /(n) handcart/wheelbarrow/
手酌 [てじゃく] /(n) helping oneself to a drink/pouring one's own drink/
手酌酒 [てじゃくさけ] /(n) pouring one's own drinks/drinking alone/
手弱女 [たおやめ] /(ateji) (n) graceful young woman/sylph/
手弱女 [たわやめ] /(ateji) (n) graceful young woman/sylph/
手取り [てとり] /(n) talented sumo wrestler/good at manipulating (others)/(P)/
手取り [てどり] /(n) after tax income/net income/
手取り金 [てどりきん] /(n) net proceeds (e.g. after an offering of securities)/
手取り足取り [てとりあしとり] /(adv) attentively/with great attention to detail (e.g. when teaching)/
手取金 [てどりきん] /(n) net proceeds (e.g. after an offering of securities)/
手首 [てくび] /(n) wrist/(P)/
手習 [てならい] /(io) (n,vs) (1) practice writing with a brush/(2) study/learning/
手習い [てならい] /(n,vs) (1) practice writing with a brush/(2) study/learning/
手出し [てだし] /(n,vs) meddling/interfering/
手術 [しゅじゅつ] /(n,vs,adj-no) (surgical) operation/procedure/(P)/
手術を受ける [しゅじゅつをうける] /(exp,v1) to undergo surgery/to have an operation/
手術衣 [しゅじゅつい] /(n) surgical gown/
手術器具 [しゅじゅつきぐ] /(n) surgical instrument/
手術痕 [しゅじゅつこん] /(n) operation scar/scar from an operation/
手術室 [しゅじつしつ] /(n) operating room/
手術室 [しゅじゅつしつ] /(n) operating room/
手術跡 [しゅじゅつあと] /(n) operation scar/scar from an operation/
手術代 [しゅじゅつだい] /(n) surgery costs (fees)/
手術台 [しゅじゅつだい] /(n) operating table/
手術着 [しゅじゅつぎ] /(n) operating gown/surgical suit/
手順 [てじゅん] /(n) process/procedure/sequence/protocol/instruction/(P)/
手順終了 [てじゅんしゅうりょう] /(n) (comp) end of procedure/
手順書 [てじゅんしょ] /(n) (comp) process document/
手順名 [てじゅんめい] /(n) (comp) routine-name/
手初めに [てはじめに] /(adv) at first/at the outset/beginning/
手書 [しゅしょ] /(n,vs) writing by oneself/one's own handwriting/
手書 [てかき] /(n) skilled penman/
手書 [てがき] /(n) (1) handwriting/(adj-no) (2) handwritten/
手書き [てかき] /(n) skilled penman/
手書き [てがき] /(n) (1) handwriting/(adj-no) (2) handwritten/(P)/
手書き認識 [てがきにんしき] /(n) (comp) handwriting recognition/
手書き文字 [てがきもじ] /(n) (comp) handwritten letter/handwritten character/
手書き文字認識 [てがきもじにんしき] /(n) (comp) handwriting recognition/
手助け [てだすけ] /(n,vs) a help/(P)/
手傷 [てきず] /(n) wound suffered in a fight/
手抄 [しゅしょう] /(n,vs) excerption/manual copying/excerpt/
手招き [てまねき] /(n,vs) beckoning/(P)/
手招く [てまねく] /(v5k) to beckon/
手掌 [しゅしょう] /(adj-na,n,adj-no) palmar/palm/
手焼き [てやき] /(n) home-baked/homemade/
手上げ [てあげ] /(n) all over/given in/given up hope/bring to knees/
手杖 [しゅじょう] /(n) staff (esp. one used by a monk, i.e. as a walking stick during a pilgrimage)/
手杖 [ちゅうじょう] /(n) staff (esp. one used by a monk, i.e. as a walking stick during a pilgrimage)/
手錠 [てじょう] /(n) handcuffs/manacles/(P)/
手拭 [てふき] /(n) (hand) towel/
手拭い [てぬぐい] /(n) (hand) towel/(P)/
手拭き [てふき] /(n) (hand) towel/
手植え [てうえ] /(n) planting personally/
手燭 [しゅしょく] /(n) portable candlestick/
手燭 [てしょく] /(n) portable candlestick/
手織 [ており] /(n) handwoven/handspun/weaving by hand/
手織り [ており] /(n) handwoven/handspun/weaving by hand/
手織り機 [ておりばた] /(n) manually powered loom/hand loom/
手織機 [ておりばた] /(n) manually powered loom/hand loom/
手職 [てしょく] /(n) handicraft/
手職 [てじょく] /(n) handicraft/
手触り [てざわり] /(n) feel/touch/
手信語 [てしんご] /(n) hand signals/flag signals/
手心 [てごころ] /(n) discretion/consideration/allowance/
手心を加える [てごころをくわえる] /(exp,v1) to take into consideration/to use one's discretion/
手振り [てぶり] /(n) movements or gestures of hands or arms/(P)/
手振れ [てぶれ] /(n) camera shake/
手真似 [てまね] /(n,vs) gesture/sign/hand signal/
手水 [ちょうず] /(n) water for washing or moistening one's hands/
手水 [てみず] /(n) water for washing or moistening one's hands/
手水舎 [てみずや] /(n) place for ritual cleansing of hands and mouth with water when visiting shrines/
手水鉢 [ちょうずばち] /(n) stoup or font for ritual cleansing of hands and mouth with water when visiting a shrine or temple/
手数 [てかず] /(n) (1) trouble/bother/(2) number of moves (in go, shogi, etc.)/(3) number of punches (in boxing)/
手数 [てすう] /(n) (1) trouble/bother/(P)/
手数をかける [てすうをかける] /(exp,v1) to be a burden/to make trouble for someone/
手数を掛ける [てすうをかける] /(exp,v1) to be a burden/to make trouble for someone/
手数入り [でずいり] /(n) display of a sumo champion in the ring/
手数料 [てすうりょう] /(n) handling charge/commission/(P)/
手摺 [てすり] /(n) handrail/railing/
手摺り [てすり] /(n) handrail/railing/(P)/
手勢 [てぜい] /(n) one's troops/
手生け [ていけ] /(exp) (1) doing one's own flower arranging/(2) marrying or making a mistress of a geisha/
手盛り [てもり] /(n) helping oneself to (food or other objects)/arranging things to suit oneself/
手製 [てせい] /(n,adj-no) handmade/(P)/
手跡 [しゅせき] /(n) handwriting/
手蹟 [しゅせき] /(n) holograph/calligraphic specimen/handwriting/
手切れ [てぎれ] /(n) severing of connections or relations/
手切れ金 [てぎれきん] /(n) consolation money/compensation for breaking off relations (e.g. with a mistress)/settlement/
手折る [たおる] /(v5r,vt) (1) to break by hand (e.g. a flower)/to break off (a twig)/to pluck (a flower, a bud)/(2) to make a young woman one's own thing/
手先 [てさき] /(n) (1) fingers/(2) underling/stooge/subordinate/pawn/
手洗 [てあらい] /(n) (1) washing one's hands/water (or basin, etc.) for washing one's hands/(2) restroom/lavatory/toilet/(3) hand-washing (laundry, etc.)/
手洗い [てあらい] /(n) (1) washing one's hands/water (or basin, etc.) for washing one's hands/(2) restroom/lavatory/toilet/(3) hand-washing (laundry, etc.)/(P)/
手洗い鉢 [てあらいばち] /(n) washbasin/
手前 [てまえ] /(n) (1) before/this side/(2) one's standpoint/one's appearance/(pn,adj-no) (3) we/(4) you/(P)/
手前 [てめえ] /(pn,adj-no) (1) (uk) (vulg) (male) you (used by young males)/(2) oneself/
手前ども [てまえども] /(n) (hum) we (esp. used by merchants, etc.)/my store/my shop/
手前の方 [てまえのほう] /(exp) this side/in the forefront/
手前共 [てまえども] /(n) (hum) we (esp. used by merchants, etc.)/my store/my shop/
手前勝手 [てまえがって] /(adj-na,n) self-centered/self-centred/selfish/
手前定規 [てまえじょうぎ] /(n) self-serving logic/
手前味噌 [てまえみそ] /(n) self-flattery/sing one's own praises/
手操作 [てそうさ] /(n) manual process/manual operation/manual procedure/
手早い [てばやい] /(adj-i) nimble/quick/agile/(P)/
手相 [てそう] /(n,vs) palm reading/
手相見 [てそうみ] /(n) palm reader/
手造り [てづくり] /(n,adj-no) handmade/homegrown/hand-crafted/homemade/(P)/
手足 [てあし] /(n) one's hands and feet/limbs/(P)/
手足れ [てだれ] /(n,vs) skill/dexterity/master hand/
手足を伸ばす [てあしをのばす] /(exp,v5s) to stretch out/
手足口病 [てあしくちびょう] /(n) hand, foot and mouth disease/HFMD/
手続 [てつづき] /(n,vs) procedure/(legal) process/formalities/(P)/
手続き [てつづき] /(n,vs) procedure/(legal) process/formalities/(P)/
手続きの入口 [てつづきのいりぐち] /(n) (comp) entry of a procedure/
手続きを経る [てつづきをへる] /(exp,v1) to go through formalities/
手続き型言語 [てつづきがたげんご] /(n) (comp) procedural language/
手続き形言語 [てつづきがたげんご] /(n) (comp) procedural language/
手続き呼び出し [てつづきよびだし] /(n) (comp) procedure call/
手続き呼出 [てつづきよびだし] /(n) (comp) procedure call/
手続き向き言語 [てつづきむきげんご] /(n) (comp) procedural language/
手続き集合 [てつづきしゅうごう] /(n) (comp) procedure set/
手続き上 [てつづきじょう] /(adj-no) procedural/
手続き宣言 [てつづきせんげん] /(n) (comp) procedure declaration/
手続き的 [てつづきてき] /(adj-na) procedural/
手続き部の終わり [てつづきぶのおわり] /(n) (comp) end of procedure division/
手続き分岐文 [てつづきぶんきぶん] /(n) (comp) procedure branching statement/
手続き法 [てつづきほう] /(n) procedural law/
手続き名 [てつづきめい] /(n) (comp) procedure-name/
手続引用仕様 [てつづきいんようしよう] /(n) (comp) procedure interface/
手続法 [てつづきほう] /(n) procedural law/
手打ち [てうち] /(n) (1) making noodles by hand/(2) striking a deal/coming to an agreement/reconciliation/(3) killing with bare hands/
手打ち式 [てうちしき] /(n) hand-clapping ceremony (of reconciliation)/
手袋 [てぶくろ] /(n) glove/mitten/mitt/(P)/
手袋を投げる [てぶくろをなげる] /(exp,v1) to throw down the gauntlet/
手代 [てだい] /(n) sales clerk/
手沢 [しゅたく] /(n) worn or soiled with handling/
手沢本 [しゅたくぼん] /(n) favorite book (worn with much handling)/favourite book/
手探り [てさぐり] /(n,vs) fumbling/groping/(P)/
手短 [てみじか] /(adj-na) short/brief/
手短い [てみじかい] /(adj-i) short/brief/
手短に言うと [てみじかにいうと] /(exp) in brief/to put it succinctly/
手短に言えば [てみじかにいえば] /(exp) briefly/in short/in a nutshell/in summary/to put it briefly/
手段 [しゅだん] /(n) means/way/measure/(P)/
手段を講じる [しゅだんをこうじる] /(exp,v1) to take steps (measures)/
手段を尽くす [しゅだんをつくす] /(exp,v5s) to try everything/to leave no stone unturned/
手段を選ばずに [しゅだんをえらばずに] /(exp) by any means, fair or foul/
手談 [しゅだん] /(n) another name for the game of Go or Igo/
手遅れ [ておくれ] /(adj-na,n) (1) being (too) late/(2) belated treatment/(P)/
手中 [しゅちゅう] /(n) in one's hands/in one's control/(P)/
手中におさめる [しゅちゅうにおさめる] /(exp,v1) to make one's own/to take possession of/
手中にする [しゅちゅうにする] /(exp,vs-i) to be in one's hands/
手中に収める [しゅちゅうにおさめる] /(exp,v1) to make one's own/to take possession of/
手中に納める [しゅちゅうにおさめる] /(exp,v1) to make one's own/to take possession of/
手忠実 [てまめ] /(adj-na,n) (uk) diligent/industrious/skillful/dextrous/
手帖 [てちょう] /(n) (1) notebook/memo pad/(2) (abbr) certificate/(3) (abbr) identification card/
手帳 [てちょう] /(n) (1) notebook/memo pad/(2) (abbr) certificate/(3) (abbr) identification card/(P)/
手張り [てばり] /(n) gluing by hand/gambling without money (on the understanding that losses shall be covered later)/
手長 [てなが] /(n) long-armed/kleptomania(c)/
手長エビ [てながエビ] /(n) freshwater prawn (any species in the genus Macrobrachium)/
手長猿 [てながざる] /(n) (uk) gibbon (any small, long-armed ape of family Hylobatidae)/
手長蝦 [てながえび] /(n) freshwater prawn (any species in the genus Macrobrachium)/
手長海老 [てながえび] /(n) freshwater prawn (any species in the genus Macrobrachium)/
手長水天狗 [てながみずてんぐ] /(n) (uk) Bombay duck (Harpadon nehereus)/bummalo/
手長蛸 [てながだこ] /(n) (uk) long-armed octopus (Octopus minor)/
手直し [てなおし] /(n,vs) adjustment/tweaking/improvement/modification/tinkering/minor alteration/correction/(P)/
手痛い [ていたい] /(adj-i) severe/hard/(P)/
手塚治虫文化賞 [てづかおさむぶんかしょう] /(n) Tezuka Osamu Cultural Prize/
手掴み [てづかみ] /(n) (literal sense of) seizing/grasping/
手釣 [てづり] /(n) handline fishing (angling)/handlining/
手釣り [てづり] /(n) handline fishing/
手提げ [てさげ] /(n) handbag/purse/(P)/
手提げかご [てさげかご] /(n) handbasket/
手提げ鞄 [てさげかばん] /(n) briefcase/attache case/
手提げ金庫 [てさげきんこ] /(n) (portable) safe or cash box/
手提げ袋 [てさげぶくろ] /(n) handbag/shopping bag/
手提げ籠 [てさげかご] /(n) handbasket/
手提籠 [てさげかご] /(io) (n) handbasket/
手纏 [たまき] /(n) (1) (arch) bracelet (made of stringed jewels or bells and worn at the elbow)/(2) bracer (for the elbow of an archer)/
手伝い [てつだい] /(n) (1) helper/assistant/(2) help/(P)/
手伝い手 [てつだいて] /(n) helper/assistant/
手伝う [てつだう] /(v5u,vt) to help/to assist/to take part in/(P)/
手伝って着せる [てつだってきせる] /(v1) to help (a person) dress/
手渡し [てわたし] /(n,vs) personal delivery/
手渡す [てわたす] /(v5s,vt) to hand over/to surrender/(P)/
手土産 [てみやげ] /(n) present (brought by a visitor)/
手刀 [しゅとう] /(n) hand used like a sword in striking/
手刀 [てがたな] /(n) hand used like a sword in striking/
手刀を切る [てがたなをきる] /(exp,v5r) to make ceremonial hand movement when receiving the monetary award (sumo)/
手投げ弾 [てなげだん] /(n) hand grenade/
手投弾 [てなげだん] /(n) hand grenade/
手当 [てあて] /(n,vs) (1) allowance/compensation/(2) treatment/medical care/(P)/
手当たり次第 [てあたりしだい] /(adv) using anything one can lay one's hands on/haphazardly/on the rebound/at random/indiscriminately/(P)/
手当て [てあて] /(n,vs) (1) allowance/compensation/(2) treatment/medical care/(P)/
手答え [てごたえ] /(n,vs) response/resistance/reaction/feedback/
手討ち [てうち] /(n) capital punishment given personally by a feudal lord after a disrespectful act/
手透き [てすき] /(n,adj-no) (1) not busy/unengaged/being free/(2) leisure/
手動 [しゅどう] /(n,adj-no) manual (operation)/(P)/
手動による [しゅどうによる] /(exp,adj-f) manually powered/manual/
手動応答 [しゅどうおうとう] /(n) (comp) manual answering/
手動機能 [しゅどうきのう] /(n) (comp) manual function/
手動呼出し [しゅどうよびだし] /(n) (comp) manual calling (e.g. in data network)/
手内職 [てないしょく] /(n) manual piecework done at home/
手鍋 [てなべ] /(n) pan/
手鍋提げても [てなべさげても] /(n) even if it means living in dire poverty/by all means/
手馴らし [てならし] /(n) practice/practise/exercise/training/
手馴れる [てなれる] /(v1,vi) to get used (to)/to get familiar with/to get skillful with/
手入らず [ていらず] /(n) requiring little trouble/untouched/
手入れ [ていれ] /(n,vs) (1) repairs/maintenance/tending/trimming/grooming/(2) crackdown/(police) raid/(P)/
手捻り [てびねり] /(n) forming by hand (instead of using a potter's wheel, etc.)/handwork/
手配 [てはい] /(n,vs) arrangement/search (by police)/(P)/
手配り [てくばり] /(n,vs) arrangements/preparations/
手配師 [てはいし] /(n) (disreputable) recruiter of day laborers (labourers)/
手配書 [てはいしょ] /(n) wanted poster/wanted person bulletin/search instructions/
手拍子 [てびょうし] /(n) beating time/carelessly/
手薄 [てうす] /(adj-na,n) short of hands/insufficient/(P)/
手箱 [てばこ] /(n) (small) box to keep valuables, etc./
手筈 [てはず] /(n) arrangement/plan/programme/program/
手八丁 [てはっちょう] /(n,adj-na) eloquence/cleverness in speaking/
手八丁口八丁 [てはっちょうくちはっちょう] /(n) eloquent and skilled (worker)/
手抜かり [てぬかり] /(n) oversight/omission/mistake/
手抜き [てぬき] /(n,vs) (1) omitting crucial steps/cutting corners/skimping/(2) intentional negligence/(P)/
手番 [てつがい] /(n) plan/arrangements/
手鼻 [てばな] /(n) blowing one's nose with one's fingers/
手描 [てがき] /(n) (1) handwriting/(adj-no) (2) handwritten/
手描き [てがき] /(n) (1) handwriting/(adj-no) (2) handwritten/
手品 [てじな] /(n) sleight of hand/conjuring trick/magic/juggling/(P)/
手品師 [てじなし] /(n) magician/juggler/
手不足 [てぶそく] /(adj-na,n) shorthanded/understaffed/
手付かず [てつかず] /(adj-no,adj-na,n) untouched/unused/intact/
手付き [てつき] /(n) manner of using one's hands/
手付け [てつけ] /(n) deposit/earnest money/
手付けを打つ [てつけをうつ] /(exp,v5t) to advance money (on a contract)/
手付け金 [てつけきん] /(n) deposit/earnest money/
手付金 [てつけきん] /(n) deposit/earnest money/
手斧 [ちょうな] /(n) adze/
手斧 [ておの] /(n) adze/
手負い [ておい] /(n) wounded/
手風琴 [てふうきん] /(n) accordion/harmonica/
手分け [てわけ] /(n,vs) division of labour/division of labor/(P)/
手文庫 [てぶんこ] /(n) box for holding papers or stationery/
手兵 [しゅへい] /(n) one's troops/
手柄 [てがら] /(n) achievement/feat/meritorious deed/distinguished service/(P)/
手柄を立てる [てがらをたてる] /(exp,v1) to do a meritorious deed/
手柄顔 [てがらがお] /(n) look of triumph/
手柄話 [てがらばなし] /(n) boastful story/big talk/
手並 [てなみ] /(n) skill/
手並み [てなみ] /(n) skill/
手癖 [てくせ] /(n) sticky-fingered/compulsive thievery/
手偏 [てへん] /(n) kanji "hand" radical at left/
手編み [てあみ] /(n,adj-no) hand knitting/
手弁当 [てべんとう] /(n) bringing one's own lunch/without pay/
手捕り [てどり] /(n) catch in one's hands/seizure/
手放し [てばなし] /(n) without holding on/without using the hands/letting go one's hold/lack of reserve or restraint/openly/(P)/
手放す [てばなす] /(v5s,vt) to release/to relinquish/to sell/to part with/to send away/
手法 [しゅほう] /(n) technique/(P)/
手縫い [てぬい] /(n,adj-no) hand-tailored/hand-sewn/
手棒 [てぼう] /(n) (obsc) (sens) person missing at least one hand/
手棒 [てんぼう] /(n) (obsc) (sens) person missing at least one hand/
手本 [てほん] /(n) (1) copybook/(2) model/pattern/(P)/
手本紙 [てほんがみ] /(n) (arch) paper used for copybooks/
手本帖 [てほんちょう] /(n) book of calligraphy samples/copybook/portfolio/
手摩れる [てずれる] /(v1) (1) to have become worn/(2) to be used to the ways of the world/
手枕 [てまくら] /(n) using one's arm for a pillow/
手蔓 [てづる] /(n) connections/contacts/influence/
手蔓藻蔓 [てづるもづる] /(n) (uk) basket star (any brittlestar of family Euryalina)/basket fish/
手蔓縺 [てづるもづる] /(n) (uk) basket star (any brittlestar of family Euryalina)/basket fish/
手明き [てあき] /(n,adj-no) (1) not busy/unengaged/being free/(2) leisure/
手戻り [てもどり] /(vs) rework/return/send back/refactor/
手役 [てやく] /(n) hand of cards which scores as it is/
手薬煉引く [てぐすねひく] /(exp,v5k) to be ready and waiting for/to be on the alert for/
手薬練引く [てぐすねひく] /(exp,v5k) to be ready and waiting for/to be on the alert for/
手遊び [てあそび] /(n) plaything/play/playing/gambling/(for children) hand games (usu. in conjnction with songs)/
手遊び [てすさび] /(n) diversion/
手踊り [ておどり] /(n) "dancing" with hands and arms from a seated position/dancing empty-handed/
手落ち [ておち] /(n) oversight/omission/(P)/
手利き [てきき] /(n) skill/mastery/
手裏剣 [しゅりけん] /(n) shuriken/small throwing blade/small edged weapon often used for throwing/throwing star/
手離れ [てばなれ] /(n,vs) (child) no longer requiring constant monitoring/completing a job/
手立て [てだて] /(n) means/method/(P)/
手料理 [てりょうり] /(n,vs) home cooking/
手礼 [しゅれい] /(n) motion of hand indicating gratitude (sumo)/
手練 [しゅれん] /(n,vs) skill/dexterity/master hand/
手練 [てだれ] /(n,vs) skill/dexterity/master hand/
手練 [てれん] /(n) means of deceiving another/
手練の早技 [しゅれんのはやわざ] /(exp) dexterous feat/speed and precision of a trained hand/
手練の早業 [しゅれんのはやわざ] /(exp) dexterous feat/speed and precision of a trained hand/
手練手管 [てれんてくだ] /(n) wiles/art of coaxing/
手弄り [てまさぐり] /(n,vs) (1) playing with something with one's fingers/(2) searching with one's fingers (e.g. in the dark)/
手篭 [てかご] /(n) handbasket/
手篭 [てごめ] /(n) rape/
手話 [しゅわ] /(n) sign language/(P)/
手話通訳 [しゅわつうやく] /(n) sign-language interpret/
手話法 [しゅわほう] /(n) sign language/
手腕 [しゅわん] /(n) ability/(P)/
手腕か [しゅわんか] /(n) able individual/man of ability/
手腕家 [しゅわんか] /(n) able individual/man of ability/
手枷 [てかせ] /(n) handcuffs/
手枷足枷 [てかせあしかせ] /(n) manacles/shackles/fetters/
手榴弾 [しゅりゅうだん] /(n) (hand)grenade/
手榴弾 [てりゅうだん] /(n) (hand)grenade/
手毬 [てまり] /(n) traditional Japanese handball game/
手毬花 [てまりばな] /(n) (obsc) temaribana/Japanese snowball (Viburnum plicatum)/
手焙り [てあぶり] /(n) small brazier/hand-warmer/
手箒 [てぼうき] /(n) whisk broom/
手籠 [てかご] /(n) handbasket/
手籠 [てごめ] /(n) rape/
手籠め [てごめ] /(n) rape/
手綺麗 [てぎれい] /(adj-na) neatly or cleverly made/
手繦 [たすき] /(n) (1) cord used to tuck up the sleeves of a kimono/(2) wrapper on books, CDs, etc./(3) sash (e.g. worn across chest)/
手鉤 [てかぎ] /(n) short gaff/hand gaff/hook on a wooden handle/
手頸 [てくび] /(oK) (n) wrist/
朱 [あか] /(n) (1) red/crimson/scarlet/(2) red-containing colour (e.g. brown, pink, orange)/(3) (col) Red (i.e. communist)/(4) (abbr) red light/(5) (abbr) red ink (i.e. in finance or proof-reading)/(in) the red/(adj-no,n-pref) (6) complete/total/perfect/obvious/
朱 [あけ] /(n) (1) scarlet/red/(2) blood/(P)/
朱 [しゅ] /(n) (1) cinnabar/vermillion/red/slightly-orange red/(2) red pigment (and ink made from same)/(3) red text (as used to correct documents)/
朱い [あかい] /(oK) (adj-i) (1) red/(2) Red (i.e. communist)/
朱で描く [あかでえがく] /(exp,v5k) to miniate/to paint red/
朱に交われば赤くなる [しゅにまじわればあかくなる] /(exp) (id) he who touches pitch shall be defiled therewith/one rotten apple spoils the barrel/
朱に染まる [あけにそまる] /(exp,v5r) to welter in blood/to be covered in blood/
朱をそそぐ [しゅをそそぐ] /(exp,v5g) to flush bright red (e.g. of someone's face)/
朱を注ぐ [しゅをそそぐ] /(exp,v5g) to flush bright red (e.g. of someone's face)/
朱を入れる [しゅをいれる] /(exp,v1) to retouch/to correct/
朱印 [しゅいん] /(n) red seal/(P)/
朱印状 [しゅいんじょう] /(n) license with a red seal (licence)/shogunate license to trade (licence)/
朱印船 [しゅいんせん] /(n) shogunate-licensed trading ship/
朱顔 [しゅがん] /(n) flushed face/
朱記 [しゅき] /(n) written in red ink/
朱鷺 [しゅろ] /(n) (uk) Japanese crested ibis (Nipponia nippon)/crested ibis/
朱鷺 [とき] /(n) (uk) Japanese crested ibis (Nipponia nippon)/crested ibis/
朱子学 [しゅしがく] /(n) neo-Confucianism (based on the teachings of Zhu Xi and his followers)/
朱儒 [しゅじゅ] /(n,adj-no) dwarf/
朱書 [しゅしょ] /(n,vs) writing in red/
朱書き [しゅがき] /(n) writing in red/
朱鞘 [しゅざや] /(n) red-lacquered sword sheath/
朱色 [しゅいろ] /(n,adj-no) vermilion/scarlet/
朱唇 [しゅしん] /(n) red lips/
朱唇皓歯 [しゅしんこうし] /(exp) red lips and pearly white teeth (said of beautiful women)/
朱雀 [しゅじゃく] /(n) (1) Vermilion Bird (god said to rule over the southern heavens)/(2) seven mansions (Chinese constellations) of the southern heavens/
朱雀 [すざく] /(n) (1) Vermilion Bird (god said to rule over the southern heavens)/(2) seven mansions (Chinese constellations) of the southern heavens/
朱雀 [すじゃく] /(n) (1) Vermilion Bird (god said to rule over the southern heavens)/(2) seven mansions (Chinese constellations) of the southern heavens/
朱鳥 [あかみとり] /(n) (obsc) Shuchou era (686.7.20-686.12.?)/Suchou era/Akamitori era/
朱鳥 [しゅちょう] /(n) (obsc) Shuchou era (686.7.20-686.12.?)/Suchou era/Akamitori era/
朱鳥 [すちょう] /(n) (obsc) Shuchou era (686.7.20-686.12.?)/Suchou era/Akamitori era/
朱珍 [しちん] /(n) satin with raised figures (por: setim, dut: satijn)/
朱珍 [しゅちん] /(n) satin with raised figures (por: setim, dut: satijn)/
朱泥 [しゅでい] /(n) unglazed reddish brown pottery (originally from China)/
朱点 [しゅてん] /(n) red mark/
朱塗 [しゅぬり] /(n,adj-no,vs) painting something vermillion/lacquering something vermillion/vermillion-lacquered object/
朱塗り [しゅぬり] /(n,adj-no,vs) painting something vermillion/lacquering something vermillion/vermillion-lacquered object/
朱肉 [しゅにく] /(n) red ink pad/
朱筆 [しゅひつ] /(n) red-ink brush/
朱筆を入れる [しゅひつをいれる] /(exp,v1) (obsc) to make corrections/
朱文金 [しゅぶんきん] /(n) Japanese shubunkin goldfish variety/
朱墨 [しゅずみ] /(n) red-ink stick/red and black/
朱墨 [しゅぼく] /(n) red-ink stick/red and black/
朱盆 [しゅぼん] /(n) (obsc) vermilion tray/
朱門 [しゅもん] /(n) red-lacquered gate/
朱嘴鸛 [しゅばしこう] /(n) (uk) white stork (Ciconia ciconia)/
朱欒 [ざぼん] /(n) shaddock (por: zamboa)/pomelo/Citrus maximus/Citrus grandis/Citrus decumana/
殊 [け] /(adj-na) (1) unusual/extraordinary/
殊 [こと] /(n,adj-na,n-pref) (1) (arch) difference (from one another)/different thing/other/(adj-na) (2) unusual/extraordinary/
殊な [けな] /(adj-pn) (arch) exceptional/praiseworthy/laudable/
殊に [ことに] /(adv) (1) especially/particularly/unusually/above all/(2) (arch) additionally/(P)/
殊の外 [ことのほか] /(adv) exceedingly/unusually/exceptionally/
殊の他 [ことのほか] /(adv) exceedingly/unusually/exceptionally/
殊遇 [しゅぐう] /(n) special favour/special favor/
殊勲 [しゅくん] /(n) meritorious deeds/(P)/
殊勲賞 [しゅくんしょう] /(n) (sumo) Outstanding Performance Award/
殊功 [しゅこう] /(n) distinguished service/distinguished services/
殊更 [ことさら] /(adv) intentionally/deliberately/especially/
殊勝 [しゅしょう] /(adj-na,n) admirable/laudable/(P)/
狩 [かり] /(n) hunting/
狩り [かり] /(n) hunting/(P)/
狩りに行く [かりにいく] /(exp,v5k-s) to go hunting/
狩りバチ [かりバチ] /(n) hunter wasp (i.e. potter wasp, sand wasp, etc.)/
狩り込み [かりこみ] /(n) roundup/
狩り子 [かりこ] /(n) beater (on a hunt)/
狩り集める [かりあつめる] /(v1,vt) to round up/to gather/to muster/to mobilize/to mobilise/
狩り出す [かりだす] /(v5s,vt) (1) to hunt out/to flush out/to round up/(2) to impress/to recruit/
狩り小屋 [かりごや] /(n) hunting lodge/
狩り場 [かりば] /(n) hunting ground/hunting preserve/
狩り蜂 [かりばち] /(n) hunter wasp (i.e. potter wasp, sand wasp, etc.)/
狩り立てる [かりたてる] /(v1,vt) (1) to flush out (game, etc.)/to drive (animals)/to beat/to hunt down/
狩る [かる] /(v5r,vt) to hunt (e.g. animals)/to go looking for (e.g. flowers, etc.)/to gather (e.g. mushrooms)/to pick (e.g. fruit)/
狩衣 [かりぎぬ] /(n) (1) (arch) kariginu (informal clothes worn by the nobility from the Heian period onwards)/(2) (during the Edo period) patterned kariginu/
狩衣 [かりごろも] /(n) (1) (arch) kariginu (informal clothes worn by the nobility from the Heian period onwards)/(2) (during the Edo period) patterned kariginu/
狩競 [かりくら] /(n) (1) hunting ground/(2) hunting contest/
狩座 [かりくら] /(n) (1) hunting ground/(2) hunting contest/
狩子 [かりこ] /(n) beater (on a hunt)/
狩集める [かりあつめる] /(v1,vt) to round up/to gather/to muster/to mobilize/to mobilise/
狩出す [かりだす] /(v5s,vt) (1) to hunt out/to flush out/to round up/(2) to impress/to recruit/
狩場 [かりば] /(n) hunting ground/hunting preserve/
狩人 [かりうど] /(n) hunter/
狩人 [かりびと] /(n) hunter/
狩人 [かりゅうど] /(n) hunter/(P)/
狩人蜂 [かりうどばち] /(n) hunter wasp (i.e. potter wasp, sand wasp, etc.)/
狩人蜂 [かりゅうどばち] /(n) hunter wasp (i.e. potter wasp, sand wasp, etc.)/
狩倉 [かりくら] /(n) (1) hunting ground/(2) hunting contest/
狩蜂 [かりばち] /(n) hunter wasp (i.e. potter wasp, sand wasp, etc.)/
狩猟 [しゅりょう] /(n,vs,adj-no) hunting/(P)/
狩猟期 [しゅりょうき] /(n) hunting season/
狩猟採集民 [しゅりょうさいしゅうみん] /(n) hunters and gatherers/
狩猟隊 [しゅりょうたい] /(n) safari/troop of hunters/
狩猟動物 [しゅりょうどうぶつ] /(n) game animal/
狩猟免許 [しゅりょうめんきょ] /(n) hunting license/hunting licence/
狩猟旅行 [しゅりょうりょこう] /(n) safari/
珠 [たま] /(n) (1) ball/sphere/globe/orb/(2) bead (of sweat, dew, etc.)/drop/droplet/(3) ball (in sports)/(4) pile (of noodles, etc.)/(5) bullet/(6) bulb (i.e. a light bulb)/(7) lens (of glasses, etc.)/(8) bead (of an abacus)/(9) (sl) (abbr) ball (i.e. a testicle)/(10) egg/(11) gem/jewel (esp. spherical; sometimes used figuratively)/pearl/(12) female entertainer (e.g. a geisha)/(13) (derog) person (when commenting on their nature)/character/(14) item, funds or person used as part of a plot/(n-suf) (15) coin/(16) precious/beautiful/excellent/
珠貝 [たまがい] /(n) (1) (uk) moon snail (Naticidae spp.)/moon shell/(2) (uk) Marten's pearl oyster (Pinctada fucata martensii)/Akoya pearl oyster/
珠玉 [しゅぎょく] /(n) gem/jewel/(P)/
珠鶏 [ほろほろちょう] /(n) guinea fowl/
珠算 [しゅざん] /(n) calculation with abacus/(P)/
珠算 [たまざん] /(n) calculation with abacus/
珠心 [しゅしん] /(n) nucellus/
珠数 [ずず] /(n) (Buddh) rosary/
珠暖簾 [たまのれん] /(n) curtain made of strung beads/
種 [しゅ] /(n,n-suf) (1) kind/variety/(2) (biological) species/(3) (abbr) (logical) species/
種 [たね] /(n) (1) seed/pip/kind/variety/quality/tone/(2) material/matter/subject/theme/(news) copy/leaven (bread)/(3) cause/source/trick/secret/inside story/(P)/
種々 [くさぐさ] /(adj-na,adj-no,adv,n) variety/
種々 [しゅじゅ] /(adj-na,adj-no,adv,n) variety/(P)/
種々雑多 [しゅじゅざった] /(adj-na,n,adj-no) all sorts or kinds of/motley/
種々相 [しゅじゅそう] /(n) various phases/
種々様々 [しゅじゅさまざま] /(n) a great variety of/all sorts or kinds of/multifarious/
種なし [たねなし] /(n,adj-no) (1) seedlessness/seedless fruit/(2) lacking the material needed to do something/
種なしスイカ [たねなしスイカ] /(n) seedless watermelon/
種なし西瓜 [たねなしすいか] /(n) seedless watermelon/
種の起原 [しゅのきげん] /(n) Origin of Species/
種の用語 [しゅのようご] /(n) (comp) specific term/
種ばさみ [たねばさみ] /(n) attaching (of seaweed or seed oysters) to nets for the purpose of cultivation/
種まき [たねまき] /(n,vs) sowing seeds/planting seeds/scattering seeds/
種をまく [たねをまく] /(exp,v5k) to sow seeds/
種を撒く [たねをまく] /(exp,v5k) to sow seeds/
種を蒔く [たねをまく] /(exp,v5k) to sow seeds/
種を宿す [たねをやどす] /(exp,v5s) to be the mother of someone's child/
種を播く [たねをまく] /(exp,v5k) to sow seeds/
種違い [たねちがい] /(n) half-brother/half-sister/
種芋 [たねいも] /(n) seed potato/
種牡馬 [しゅぼば] /(n) stallion (e.g. in horse breeding)/
種下ろし [たねおろし] /(n,vs) sowing/
種火 [たねび] /(n) spark/ember/pilot light/
種概念 [しゅがいねん] /(n) logic species/
種牛 [たねうし] /(n) (breeding) bull/
種菌 [しゅきん] /(n) mother (fungal colony used to start fermentation)/starter culture/seed fungus/
種菌 [たねきん] /(n) mother (fungal colony used to start fermentation)/starter culture/seed fungus/
種芸 [しゅげい] /(n,vs) arboriculture/tree growing/
種差 [しゅさ] /(n) specific difference/difference between species (i.e. logical species, biological species, etc.)/
種子 [しゅし] /(n,adj-no) seed/pit/(P)/
種子骨 [しゅしこつ] /(n) sesamoid bone/
種子植物 [しゅししょくぶつ] /(n) spermatophyte/
種子島 [たねがしま] /(n) (arch) matchlock/arquebus/harquebus/
種紙 [たねがみ] /(n) silkworm egg card/
種蒔 [たねまき] /(n,vs) sowing seeds/planting seeds/scattering seeds/
種蒔き [たねまき] /(n,vs) sowing seeds/planting seeds/scattering seeds/
種取り [たねとり] /(n) seed-raising/breeding/gathering news/
種種 [くさぐさ] /(adj-na,adj-no,adv,n) variety/
種種 [しゅじゅ] /(adj-na,adj-no,adv,n) variety/
種種雑多 [しゅじゅざった] /(adj-na,n,adj-no) all sorts or kinds of/motley/
種種相 [しゅじゅそう] /(n) various phases/
種種様様 [しゅじゅさまざま] /(n) a great variety of/all sorts or kinds of/multifarious/
種姓 [すじょう] /(n) birth/lineage/parentage/origin/identity/background/history/
種切れ [たねぎれ] /(n,vs) run out of/
種切れになる [たねぎれになる] /(exp) to be out of resources/to run out of stock/
種族 [しゅぞく] /(n) race/tribe/family/species/
種畜 [しゅちく] /(n) breeding stock/
種漬け花 [たねつけばな] /(n) (uk) woodland bittercress (Cardamine flexuosa)/wavy bittercress/
種漬花 [たねつけばな] /(n) (uk) woodland bittercress (Cardamine flexuosa)/wavy bittercress/
種痘 [しゅとう] /(n,vs,adj-no) (smallpox) vaccination/inoculation/(P)/
種馬 [たねうま] /(n) studhorse/stallion/breeding horse/
種板 [たねいた] /(n) (photographic) negative/
種皮 [しゅひ] /(n) seed coat/testa/
種苗 [しゅびょう] /(n) seeds and seedlings/eggs and hatchlings/(fish) eggs and fry/
種付け [たねつけ] /(n,vs) mating/
種付花 [たねつけばな] /(n) (uk) woodland bittercress (Cardamine flexuosa)/wavy bittercress/
種物 [たねもの] /(n) seed/type of noodle dish/shaved ice with fruit syrup/
種別 [しゅべつ] /(n,vs) classification/assortment/(P)/
種別型パラメタ [しゅべつがたパラメタ] /(n) (comp) kind type parameter/
種変わり [たねがわり] /(n) half-brother or sister/different strain/hybrid/
種本 [たねほん] /(n) source book/
種無し [たねなし] /(n,adj-no) (1) seedlessness/seedless fruit/(2) lacking the material needed to do something/
種無しスイカ [たねなしスイカ] /(n) seedless watermelon/
種無し果実 [たねなしかじつ] /(n) seedless fruit/
種無し西瓜 [たねなしすいか] /(n) seedless watermelon/
種名 [しゅめい] /(n) name of a species/
種明かし [たねあかし] /(n,vs) disclosing the secret of a trick/
種目 [しゅもく] /(n) event/item of business/(P)/
種籾 [たねもみ] /(n) seed rice/
種油 [たねあぶら] /(n) rapeseed oil/
種類 [しゅるい] /(n) (1) variety/kind/type/category/(ctr) (2) counter for different sorts of things/(P)/
種類豊富 [しゅるいほうふ] /(n,adj-na) rich in variety/diverse/wide-ranging/multifarious/(P)/
腫 [しゅ] /(n-suf) tumor/tumour/
腫らす [はらす] /(v5s,vt) to cause to swell/to inflame/
腫れ [はれ] /(n) swelling/
腫れる [はれる] /(v1,vi) to swell (from inflammation)/to become swollen/(P)/
腫れ上がる [はれあがる] /(v5r,vi) to swell up/
腫れ物 [はれもの] /(n) tumor/tumour/swelling/
腫れ物に触るように [はれものにさわるように] /(exp) with great caution/gingerly/
腫上がる [はれあがる] /(v5r,vi) to swell up/
腫大 [しゅだい] /(adj-na,n) swelling/
腫脹 [しゅちょう] /(n,vs,adj-no) swelling/
腫物 [しゅもつ] /(n) tumor/tumour/swelling/
腫瘍 [しゅよう] /(n) neoplasm/tumor/tumour/
腫瘍壊死因子 [しゅようえしいんし] /(n) tumor necrosis factor (e.g. cachexin)/tumour necrosis factor/TNF/
腫瘍学 [しゅようがく] /(n) oncology/
腫瘍摘出手術 [しゅようてきしゅつしゅじゅつ] /(n) lumpectomy/
腫瘤 [しゅりゅう] /(n) lump/mass/tumor (tumour)/
趣 [おもむき] /(n) (1) meaning/tenor/gist/(2) effect/influence/(3) appearance/aspect/(4) taste/(5) grace/charm/refinement/(P)/
趣が添う [おもむきがそう] /(exp,v5u) to add color to/to add colour to/
趣き [おもむき] /(io) (n) (1) meaning/tenor/gist/(2) effect/influence/(3) appearance/aspect/(4) taste/(5) grace/charm/refinement/(P)/
趣く [おもむく] /(v5k,vi) (1) to go in the direction of/to proceed toward/to proceed according to/to repair to/(2) to become/to face (facts, circumstances, etc.)/to abide by/to agree to/to consent to/to obey/
趣のある [おもむきのある] /(exp) zestful/tasteful/elegant/
趣の有る [おもむきのある] /(exp) zestful/tasteful/elegant/
趣意 [しゅい] /(n) main meaning/opinion/idea/aim/motive/gist/meaning/
趣意書 [しゅいしょ] /(n) prospectus/
趣向 [しゅこう] /(n) plan/idea/(P)/
趣向を凝らす [しゅこうをこらす] /(exp,v5s) to elaborate a plan/to think up something clever for variety's sake/
趣好 [しゅこう] /(n) partiality/
趣旨 [しゅし] /(n) (1) object/intent/aim/(2) meaning/point (e.g. of a statement)/(P)/
趣味 [しゅみ] /(n) (1) hobby/pastime/(2) tastes/preference/liking/(P)/
趣味家 [しゅみか] /(n) connoisseur/devotee/
酒 [き] /(ok) (n) alcohol/sake/
酒 [くし] /(ok) (n) alcohol/sake/
酒 [さけ] /(n) alcohol/sake/(P)/
酒 [ささ] /(n) alcohol/sake/
酒かす [さけかす] /(n) sake lees/
酒さ [しゅさ] /(n) rosacea/
酒の気 [さけのけ] /(exp,n) looking tipsy/seeming drunk/
酒の上で [さけのうえで] /(exp) under the influence of alcohol/
酒の澱 [さけのおり] /(n) lees/sediment of wine/
酒は百薬の長 [さけはひゃくやくのちょう] /(exp) (id) Good wine makes good blood/
酒やけ [さけやけ] /(n) feeling of a throat burned by alcohol/effect of alcohol on the voice/
酒を過ごす [さけをすごす] /(exp,v5s) to drink too much (alcohol)/
酒を勧める [さけをすすめる] /(exp,v1) to press alcohol on someone/to urge somebody to drink/to offer alcohol to someone/
酒を酌み交わす [さけをくみかわす] /(exp,v5s) to help one another to sake/to drink together/
酒を醸す [さけをかもす] /(exp,v5s) to brew sake/
酒を慎む [さけをつつしむ] /(exp,v5m) to abstain from drinking/
酒を絶やす [さけをたやす] /(exp,v5s) to run out of sake/to be out of sake/to run out of alcohol/
酒飲み [さけのみ] /(n) (heavy) drinker/drunkard/tippler/boozer/
酒宴 [しゅえん] /(n) drinking bout/banquet/
酒屋 [さかや] /(n) (1) liquor store/wine shop/bottle shop/(2) sake dealer/liquor-store owner/brewer/(P)/
酒家 [しゅか] /(n) wine shop/liquor store/pub/heavy drinker/
酒器 [しゅき] /(n) drinking vessel/
酒旗 [さかばた] /(n) flag raised as a sign for an izakaya/
酒機嫌 [さかきげん] /(n) (arch) one's mood when drinking alcohol/
酒機嫌 [さけきげん] /(n) (arch) one's mood when drinking alcohol/
酒機嫌 [ささきげん] /(n) (arch) one's mood when drinking alcohol/
酒気 [しゅき] /(n) liquor smell/tipsiness/
酒気を帯びる [しゅきをおびる] /(exp,v1) to tie one on/to get drunk/
酒気帯び運転 [しゅきおびうんてん] /(n) driving under some influence of alcohol/
酒客 [しゅかく] /(n) drinker/
酒興 [しゅきょう] /(n) merrymaking/
酒好き [さけずき] /(adj-na,n) drinker/
酒豪 [しゅごう] /(n) heavy drinker/
酒肴 [さけさかな] /(n) food and drink/
酒肴 [しゅこう] /(n) food and drink/
酒手 [さかて] /(n) (1) drinking money/(2) tip/gratuity/
酒臭い [さけくさい] /(adj-i) reek of liquor/
酒処 [さけどころ] /(n) sake/drinking place/
酒匠 [さかしょう] /(n) master of sake/sake sommelier/
酒焼け [さかやけ] /(n,vs) drink-reddened face/
酒焼け [さけやけ] /(n) feeling of a throat burned by alcohol/effect of alcohol on the voice/
酒場 [さかば] /(n) bar/bar-room/(P)/
酒蒸 [さかむし] /(n) seafood seasoned with salt and sake then steamed/
酒蒸し [さかむし] /(n) seafood seasoned with salt and sake then steamed/
酒色 [しゅしょく] /(n) wine and women/sensual pleasures/dissipation/
酒浸し [さかびたし] /(adj-no) (1) liquor-soaked/(n) (2) continuous drinking/daily drinking/binge drinking/
酒浸し [さけびたし] /(adj-no) (1) liquor-soaked/(n) (2) continuous drinking/daily drinking/binge drinking/
酒浸り [さかびたり] /(adj-no) (1) liquor-soaked/(n) (2) continuous drinking/daily drinking/binge drinking/
酒浸り [さけびたり] /(adj-no) (1) liquor-soaked/(n) (2) continuous drinking/daily drinking/binge drinking/
酒盛 [さかもり] /(n) drinking bout/merrymaking/
酒盛り [さかもり] /(n) drinking bout/merrymaking/
酒精 [しゅせい] /(n) (ethyl) alcohol/spirits of wine/
酒税 [しゅぜい] /(n) liquor tax/(P)/
酒席 [しゅせき] /(n) drinking party/
酒石 [しゅせき] /(n,adj-no) tartar (as formed during the fermentation of wine, etc.)/
酒石英 [しゅせきえい] /(n) cream of tartar/potassium hydrogen tartrate/
酒石酸 [しゅせきさん] /(n) tartaric acid/
酒石酸塩 [しゅせきさんえん] /(n) tartrate/
酒仙 [しゅせん] /(n) heavy drinker/
酒倉 [さかぐら] /(n) (1) sake brewery/(2) wine cellar/(3) bar/bar-room/
酒槽 [さかぶね] /(n) sake cask/sake tun/
酒槽 [しゅそう] /(n) sake cask/sake tun/
酒糟 [さけかす] /(n) sake lees/
酒蔵 [さかぐら] /(n) (1) sake brewery/(2) wine cellar/(3) bar/bar-room/
酒造 [しゅぞう] /(n) sake brewing/(P)/
酒造り [さけずくり] /(n) sake brewing/
酒造家 [しゅぞうか] /(n) brewer/distiller/vintner/
酒造業 [しゅぞうぎょう] /(n) brewing/distilling/wine-making/
酒造場 [しゅぞうじょう] /(n) brewery/distillery/winery/
酒太り [さけぶとり] /(n) beer belly/
酒代 [さかだい] /(n) (1) alcohol expenses/(2) tip/
酒樽 [さかだる] /(n) wine cask or barrel/
酒断ち [さかだち] /(n,vs) swearing off liquor/
酒池肉林 [しゅちにくりん] /(n) sumptuous feast/debauch/
酒虫 [さかむし] /(n) mythical spirit residing in a person's body that generates a desire to drink (also said to turn water into alcohol)/
酒虫 [さけむし] /(n) mythical spirit residing in a person's body that generates a desire to drink (also said to turn water into alcohol)/
酒虫 [しゅちゅう] /(n) mythical spirit residing in a person's body that generates a desire to drink (also said to turn water into alcohol)/
酒壷 [さかつぼ] /(n) sake jar/jar containing alcohol/
酒壷 [しゅこ] /(n) sake jar/jar containing alcohol/
酒店 [さかだな] /(n) alcohol-selling shop/(P)/
酒店 [さかみせ] /(n) alcohol-selling shop/
酒店 [さけてん] /(n) alcohol-selling shop/
酒店 [しゅてん] /(n) alcohol-selling shop/
酒殿 [さかどの] /(n) (arch) sake brewery/
酒徒 [しゅと] /(n) drinker/drinking companions/
酒盗 [しゅとう] /(n) dish of pickled skipjack tuna entrails sometimes mixed with sake, honey, mirin and onions (specialty of Kochi Prefecture)/
酒毒 [しゅどく] /(n) alcoholic poisoning/
酒呑 [さけのみ] /(n) (heavy) drinker/drunkard/tippler/boozer/
酒呑み [さけのみ] /(n) (heavy) drinker/drunkard/tippler/boozer/
酒呑童子 [しゅてんどうじ] /(n) Oni (demon), said to be one of the most wicked and powerful monster in Japanese mythology/
酒肉 [しゅうにく] /(n) alcohol and meat/food and drink./
酒杯 [しゅはい] /(n) sake cup/wine cup/
酒盃 [さかずき] /(iK) (n) sake cup/cup for alcoholic beverages/
酒盃 [しゅはい] /(oK) (n) sake cup/wine cup/
酒粕 [さけかす] /(n) sake lees/
酒販 [しゅはん] /(n) liquor trade/
酒癖 [さけくせ] /(n) drinking habits/drunken behavior/drunken behaviour/
酒癖 [さけぐせ] /(n) drinking habits/drunken behavior/drunken behaviour/
酒癖 [しゅへき] /(n) drinking habits/drunken behavior/drunken behaviour/
酒癖が悪い [さけぐせがわるい] /(exp) being a bad drunk/
酒癖の悪い [さけぐせのわるい] /(adj-i) being a bad drunk/
酒保 [しゅほ] /(n) canteen/post exchange/PX/
酒母 [しゅぼ] /(n) yeast mash/yeast starter/
酒名 [しゅめい] /(n) sake brand/
酒乱 [しゅらん] /(n) drunken frenzy/fighting drunk/
酒量 [しゅりょう] /(n) amount of drink/one's drinking capacity/
酒類 [しゅるい] /(n) alcoholic drinks/liquor/(P)/
酒楼 [しゅろう] /(n) restaurant/
酒壺 [さかつぼ] /(n) sake jar/jar containing alcohol/
酒壺 [しゅこ] /(n) sake jar/jar containing alcohol/
酒甕 [さかがめ] /(n) (arch) sake jug/
酒甕 [さけがめ] /(n) (arch) sake jug/
酒饌 [しゅせん] /(n) food and (alcoholic) drink/
首 [おうと] /(n) (arch) Obito (hereditary title, often given to powerful regional families)/
首 [おひと] /(n) (arch) Obito (hereditary title, often given to powerful regional families)/
首 [おびと] /(n) (arch) Obito (hereditary title, often given to powerful regional families)/
首 [かしら] /(n) (1) head/(2) top/(3) hair (on one's head)/(4) top structural component of a kanji/
首 [くび] /(n) (1) neck/(2) head/(3) unemployed person/(P)/
首 [こうべ] /(n) (1) head/
首 [しゅ] /(ctr) counter for songs and poems/
首 [つかさ] /(n) (1) (arch) office/official/(2) chief/head/
首が絞まる [くびがしまる] /(exp,v5r) to have one's neck wrung/
首が飛ぶ [くびがとぶ] /(exp,v5b) to be sacked/to be dismissed/
首くくり [くびくくり] /(n) hanging oneself/
首すじ [くびすじ] /(n) nape of the neck/back of the neck/scruff of the neck/
首ったけ [くびったけ] /(adj-na,n) deeply in love with/madly in love with/heads over heels in love with/to be crazy about/
首っ引き [くびっぴき] /(n) making constant reference to/
首っ玉 [くびったま] /(n) the neck/
首っ丈 [くびったけ] /(adj-na,n) deeply in love with/madly in love with/heads over heels in love with/to be crazy about/
首つり [くびつり] /(n,vs) hanging (by the neck)/
首にする [くびにする] /(exp,vs-i) to fire from a job/
首になる [くびになる] /(exp,v5r) (1) to be sacked/to be fired/to be dismissed/(2) to be beheaded/
首まき [くびまき] /(n) comforter/muffler/neckerchief/scarf/neckwear/
首をかしげる [くびをかしげる] /(exp,v1) to incline one's head to the side (in doubt)/to tilt one's head to the side (in confusion)/to be puzzled/
首をくくる [くびをくくる] /(exp,v5r) to hang oneself/to strangle oneself/
首をひねる [くびをひねる] /(exp,v5r) to cock one's head in puzzlement/to tilt one's head in contemplation/to wrack one's brain/to think hard/
首を横に振る [くびをよこにふる] /(exp,v5r) to shake one's head/
首を括る [くびをくくる] /(exp,v5r) to hang oneself/to strangle oneself/
首を傾ける [くびをかたむける] /(exp,v1) to incline one's head/
首を傾げる [くびをかしげる] /(exp,v1) to incline one's head to the side (in doubt)/to tilt one's head to the side (in confusion)/to be puzzled/
首を絞める [くびをしめる] /(exp,v1) to wring the neck/to strangle/
首を縦に振る [くびをたてにふる] /(exp,v5r) to nod one's head/to nod yes/to agree/
首を縮める [くびをちぢめる] /(exp,v1) to duck one's head/
首を振る [くびをふる] /(exp,v5r) to shake one's head/
首を垂れる [こうべをたれる] /(exp,v1) (1) to hang one's head/(2) to bow down/
首を切る [くびをきる] /(exp,v5r) (1) to fire from a job/to dismiss/to discharge/(2) to behead/
首を揃える [くびをそろえる] /(exp,v1) (obsc) to get together/
首を長くして [くびをながくして] /(exp) looking forward/expectantly/eagerly/
首を突っ込む [くびをつっこむ] /(exp,v5m) (1) to poke one's nose into another's affairs/to have a hand in/to take a (deep) interest in/(2) to poke one's head (into a room)/
首を捻る [くびをひねる] /(exp,v5r) to cock one's head in puzzlement/to tilt one's head in contemplation/to wrack one's brain/to think hard/
首位 [しゅい] /(n,adj-no) first place/head position/leading position/(P)/
首位攻防戦 [しゅいこうぼうせん] /(n) game or series of games between the first and second place teams (baseball)/
首位打者 [しゅいだしゃ] /(n) the leading hitter/
首回り [くびまわり] /(n) around the neck/neck size (measurement)/
首魁 [しゅかい] /(n) forerunner/ringleader/
首巻 [くびまき] /(n) comforter/muffler/neckerchief/scarf/neckwear/
首巻 [しゅかん] /(n) first volume (of book)/
首巻き [くびまき] /(n) comforter/muffler/neckerchief/scarf/neckwear/
首記 [しゅき] /(n) abovementioned item/description at beginning of (this) text or document/
首級 [しゅきゅう] /(n) decapitated head of an enemy/
首筋 [くびすじ] /(n) nape of the neck/back of the neck/scruff of the neck/
首筋を違える [くびすじをちがえる] /(exp,v1) to wrench one's neck/
首懸 [こうがけ] /(n) (arch) leather strap put across a horse's neck/
首肯 [しゅこう] /(n,vs) assent/consent/
首肯く [うなずく] /(v5k,vi) (uk) to nod/to bow one's head in assent/
首根っこ [くびねっこ] /(n) the scruff or nape of the neck/
首座 [しゅざ] /(n) seat of honor/seat of honour/head of the table/head/
首斬り [くびきり] /(n) (1) (sens) decapitation/beheading/(2) firings/dismissals/layoffs/downsizing/(3) small samurai sword used for decapitation/
首斬る [くびきる] /(v5r) (1) to behead/to decapitate/(2) to fire/to dismiss/
首紙 [くびかみ] /(n) neckband/round upright collar (on some traditional Japanese clothing)/
首実検 [くびじっけん] /(n,vs) (1) identifying a severed head/(2) checking a person's identity/
首実験 [くびじっけん] /(iK) (n,vs) (1) identifying a severed head/(2) checking a person's identity/
首狩り [くびかり] /(n) headhunting/
首狩り [くびがり] /(n) headhunting/
首唱 [しゅしょう] /(n,vs) advocacy/promotion/(P)/
首唱者 [しゅしょうしゃ] /(n) an advocate/
首将 [しゅしょう] /(n) commander-in-chief/
首章 [しゅしょう] /(n) beginning of a book/
首上 [くびかみ] /(n) neckband/round upright collar (on some traditional Japanese clothing)/
首飾り [くびかざり] /(n) necklace/choker/(P)/
首席 [しゅせき] /(n,adj-no) (1) head/chief/(2) top student/head of the class/(3) top seat/first desk (in orchestra)/(P)/
首石 [おやいし] /(adj-no) important stone in a construction/
首切り [くびきり] /(n) (1) (sens) decapitation/beheading/(2) firings/dismissals/layoffs/downsizing/(3) small samurai sword used for decapitation/
首切り台 [くびきりだい] /(n) executioner's block/
首切る [くびきる] /(v5r) (1) to behead/to decapitate/(2) to fire/to dismiss/
首鼠両端 [しゅそりょうたん] /(n) being unable to make up one's mind/sitting on the fence/
首相 [しゅしょう] /(n) Prime Minister/Chancellor (Germany, Austria, etc.)/Premier/(P)/
首相官邸 [しゅしょうかんてい] /(n) prime minister's official residence/
首相兼外相 [しゅしょうけんがいしょう] /(n) Prime Minister also serving as Foreign Minister/
首相公選制 [しゅしょうこうせんせい] /(n) system allowing for election of the prime minister by popular vote/
首相指名 [しゅしょうしめい] /(n) nomination to become prime minister/
首相指名選挙 [しゅしょうしめいせんきょ] /(exp,n) vote by the Diet to appoint the prime minister/
首足 [しゅそく] /(n) head and legs/the body/
首陀羅 [シュードラ] /(n) (uk) Shudra/Sudra (member of India's worker caste)/
首陀羅 [シュダラ] /(n) (uk) Shudra/Sudra (member of India's worker caste)/
首陀羅 [スードラ] /(n) (uk) Shudra/Sudra (member of India's worker caste)/
首陀羅 [スダラ] /(n) (uk) Shudra/Sudra (member of India's worker caste)/
首題 [しゅだい] /(n) the opening phrase of a letter or notice/
首長 [しゅちょう] /(n) head (of organization, organisation)/chief/(P)/
首長国 [しゅちょうこく] /(n) emirate/sheikdom/
首長竜 [くびながりゅう] /(n) plesiosaur/
首吊り [くびつり] /(n,vs) hanging (by the neck)/
首吊り自殺 [くびづりじさつ] /(n) suicide by hanging/
首途 [かどで] /(n,vs) (1) leaving one's own house (e.g. when going to war)/departure/setting out/(2) starting a new life/starting life anew/
首途 [しゅと] /(n,vs) (1) leaving one's own house (e.g. when going to war)/departure/setting out/(2) starting a new life/starting life anew/
首都 [しゅと] /(n,adj-no) capital city/metropolis/(P)/
首都圏 [しゅとけん] /(n) the capital city (often Tokyo) area (typically within 50 km of city's centre) (center)/(P)/
首投げ [くびなげ] /(n) kubinage/neck (head) throw/
首捻り [くびひねり] /(n) head-twisting throw (sumo)/
首脳 [しゅのう] /(n,adj-no) head/brains/leading spirit/(P)/
首脳会議 [しゅのうかいぎ] /(n) summit meeting/top-level conference/
首脳会合 [しゅのうかいごう] /(n) summit meeting/meeting of leaders/
首脳会談 [しゅのうかいだん] /(n) leadership conference/summit meeting/top-level conference/
首脳者 [しゅのうしゃ] /(n) head/leading spirit/
首脳部 [しゅのうぶ] /(n) executives/top management/governing body/(P)/
首班 [しゅはん] /(n) head/leader/Prime Minister/(P)/
首尾 [しゅび] /(n,vs) issue/course of events/beginning and end/(P)/
首尾よく [しゅびよく] /(adv) successfully/with success/
首尾一貫 [しゅびいっかん] /(n,vs) consistent/unchanging from beginning to end/
首尾一貫した [しゅびいっかんした] /(adj-f) consistent/
首尾貫徹 [しゅびかんてつ] /(n,vs) (logical) consistency/coherence/unchanging from beginning to end/
首尾良く [しゅびよく] /(adv) successfully/with success/
首府 [しゅふ] /(n) capital/metropolis/
首謀 [しゅぼう] /(n) planning/plotting/ringleader/(P)/
首謀者 [しゅぼうしゃ] /(n) ringleader/
首里王府 [しゅりおうふ] /(n) administration of the Ryukyu Kingdom (lit.: royal government)/
首領 [しゅりょう] /(n) head/chief/boss/leader/(P)/
首輪 [くびわ] /(n) necklace/choker/
首輪ペッカリー [くびわペッカリー] /(n) (uk) collared peccary (Tayassu tajacu)/
首枷 [くびかせ] /(n) pillory/burden/
首楞厳経 [しゅりょうごんきょう] /(n) Suramgama Sutra/
首楞厳経 [しゅりょうごんぎょう] /(n) Suramgama Sutra/
首縊り [くびくくり] /(n) hanging oneself/
首腦會合 [しゅのうかいごう] /(oK) (n) summit meeting/meeting of leaders/
儒 [じゅ] /(n) Confucianism/Confucianist/Chinese scholar/
儒家 [じゅか] /(n) Confucianist/
儒家神道 [じゅかしんとう] /(n) Confucian Shinto/
儒学 [じゅがく] /(n) Confucianism/(P)/
儒学界 [じゅがっかい] /(n) Confucian circles/
儒学者 [じゅがくしゃ] /(n) Confucian scholar/
儒官 [じゅかん] /(n) official Confucian teacher/
儒教 [じゅきょう] /(n,adj-no) Confucianism/(P)/
儒教主義 [じゅきょうしゅぎ] /(n) Confucianism/
儒教的 [じゅきょうてき] /(adj-na) Confucian/
儒艮 [じゅごん] /(n) (uk) dugong/sea pig/
儒者 [じゅしゃ] /(n) Confucianist/
儒生 [じゅせい] /(n) Confucian scholar/
儒道 [じゅどう] /(n) Confucianism/
儒仏 [じゅぶつ] /(n) Confucianism and Buddhism/
儒良 [じゅごん] /(iK) (n) (uk) dugong/sea pig/
受 [じゅ] /(n) (Buddh) vedana (sensation)/
受かる [うかる] /(v5r,vi) to pass (examination)/(P)/
受け [うけ] /(n) (1) popularity/favour/favor/reception/(2) defense/defence/reputation/(3) agreement/(4) receiver of technique (e.g. in martial arts)/(5) (uk) (col) submissive partner of a homosexual relationship/(P)/
受けいれる [うけいれる] /(v1,vt) to accept/to receive/to agree/
受けがいい [うけがいい] /(adj-i) popular (with)/
受けがよい [うけがよい] /(adj-i) popular (with)/
受けが悪い [うけがわるい] /(exp,adj-i) unpopular (with)/in the bad books/
受けが良い [うけがいい] /(adj-i) popular (with)/
受けが良い [うけがよい] /(adj-i) popular (with)/
受けつぐ [うけつぐ] /(v5g,vt) to inherit/to succeed/to take over/
受けつける [うけつける] /(v1,vt) to be accepted/to receive (an application)/
受けつづける [うけつづける] /(v1,vt) to continue to receive/
受けて立つ [うけてたつ] /(v5t) to accept somebody's challenge/to take up the gauntlet/
受けとめる [うけとめる] /(v1,vt) to catch/to stop the blow/to react to/to take/
受けとる [うけとる] /(v5r,vt) (1) to receive/to get/to accept/(2) to take/to interpret/to understand/
受けに入る [うけにいる] /(iK) (exp,v1) to have good luck/
受けに入る [うけにはいる] /(iK) (ik) (exp,v1) to have good luck/
受けねらい [うけねらい] /(n) attention-grabbing/popularity-grabbing/aiming for laughs/hit-driven/
受けのいい [うけのいい] /(adj-i) popular/
受けのよい [うけのよい] /(adj-i) popular/
受けの良い [うけのいい] /(adj-i) popular/
受けの良い [うけのよい] /(adj-i) popular/
受ける [うける] /(v1,vt) (1) to receive/to get/(2) to catch (e.g. a ball)/(3) to be struck by (wind, waves, sunlight, etc.)/(4) to sustain (damage)/to incur (a loss)/to suffer (an injury)/to feel (influence)/(5) to undergo (e.g. surgery)/to take (a test)/to accept (a challenge)/(6) to be given (e.g. life, talent)/(7) to follow/to succeed/to be descended from/(8) to face (south, etc.)/(9) (ling) to be modified by/(10) to obtain (a pawned item, etc.) by paying a fee/(v1,vi) (11) to be well-received/to become popular/to go down well/(P)/
受け継ぐ [うけつぐ] /(v5g,vt) to inherit/to succeed/to take over/(P)/
受け口 [うけくち] /(n) (1) mouth with a protruding lower lip and jaw/
受け口 [うけぐち] /(n) (1) mouth with a protruding lower lip and jaw/(2) socket/receiving window/slot/
受け合う [うけあう] /(v5u,vt) to take on a task and guarantee success/
受け腰 [うけごし] /(n) stance adopted when prepared to catch an object/
受け皿 [うけざら] /(n) (1) saucer/(2) receptacle for things/receiving something (e.g. funds)/(P)/
受け止める [うけとめる] /(v1,vt) to catch/to stop the blow/to react to/to take/(P)/
受け賜る [うけたまわる] /(iK) (v5r,vt) (1) (hum) to hear/to be told/to know/(2) to receive (order)/to undertake/to comply/to take (a reservation, etc.)/
受け持ち [うけもち] /(n) charge (of something)/matter in one's charge/(P)/
受け持つ [うけもつ] /(v5t,vt) to take (be in) charge of/(P)/
受け取 [うけとり] /(n) receipt/(P)/
受け取り [うけとり] /(n) receipt/(P)/
受け取る [うけとる] /(v5r,vt) (1) to receive/to get/to accept/(2) to take/to interpret/to understand/(P)/
受け手 [うけて] /(n) (referring to a person) receiver/receiving side/viewer/listener/
受け出す [うけだす] /(v5s,vt) (1) to redeem/to take out of pawn/(2) to buy a geisha or prostitute out of bondage (by paying off her debt to her employer)/
受け身 [うけみ] /(n,adj-no,adj-na) (1) the defensive/(2) passive attitude/passivity/passiveness/(3) (ling) the passive/passive voice/(4) (MA) ukemi (the art of falling safely)/(P)/
受け狙い [うけねらい] /(n) attention-grabbing/popularity-grabbing/aiming for laughs/hit-driven/
受け側ドライブ [うけがわドライブ] /(n) (comp) destination drive/
受け続ける [うけつづける] /(v1,vt) to continue to receive/
受け太刀 [うけだち] /(n) being on the defensive/
受け渡し [うけわたし] /(n) delivery/(P)/
受け渡す [うけわたす] /(v5s) to deliver/to hand over/to transfer/
受け答え [うけこたえ] /(n,vs) reply/response/answer/
受け入れ [うけいれ] /(n) receiving/acceptance/(P)/
受け入れる [うけいれる] /(v1,vt) to accept/to receive/to agree/(P)/
受け入れ機能 [うけいれきのう] /(n) (comp) acceptance function/
受け入れ検査 [うけいれけんさ] /(n) (comp) acceptance test/
受け売り [うけうり] /(n,vs) (1) retailing/(2) second-hand opinion or knowledge/telling at second hand/second-hand telling/
受け箱 [うけばこ] /(n) box set at a gate of a home or near the front door, used for receiving deliveries of newspapers, mail, milk, etc./
受け付 [うけつけ] /(n) (1) reception (desk)/information desk/(n,vs) (2) receipt/acceptance/
受け付け [うけつけ] /(n) (1) reception (desk)/information desk/(n,vs) (2) receipt/acceptance/(P)/
受け付ける [うけつける] /(v1,vt) to be accepted/to receive (an application)/(P)/
受け付け係 [うけつけがかり] /(n) receptionist/clerk/
受け付け中 [うけつけちゅう] /(adv) currently accepting (applications, etc.)/
受け払い [うけはらい] /(n) receipts and payments/
受け戻し [うけもどし] /(n) redemption/
受け戻す [うけもどす] /(v5s) to ransom/to take up/
受け容れる [うけいれる] /(v1,vt) to accept/to receive/to agree/
受け流す [うけながす] /(v5s,vt) to ward off/to elude/to turn aside (a joke)/
受け壺 [うけつぼ] /(n) part of a lock that receives the latch/keeper/strike/
受益 [じゅえき] /(n) benefitting by/benefiting by/(P)/
受益権 [じゅえきけん] /(n) beneficiary right/
受益者 [じゅえきしゃ] /(n) beneficiary/
受益証券 [じゅえきしょうけん] /(n) beneficiary certificate/
受花 [うけばな] /(n) (obsc) ukebana (lotus-shaped support of a seat, pedestal or pagoda finial)/
受戒 [じゅかい] /(n,vs) (Buddh) vowing to follow the precepts/
受記 [じゅき] /(n) (Buddh) vyakarana (assurance of future enlightenment)/
受給 [じゅきゅう] /(n,vs) receiving payments (pension, ration)/(P)/
受給者 [じゅきゅうしゃ] /(n) recipient of payments/pensioner/
受刑 [じゅけい] /(n,vs) punishment/(P)/
受刑者 [じゅけいしゃ] /(n) prisoner/convict/
受検 [じゅけん] /(n,vs) being subjected to investigation/
受験 [じゅけん] /(n,vs) taking an examination/(P)/
受験科目 [じゅけんかもく] /(n) subjects of the examination/
受験参考書 [じゅけんさんこうしょ] /(n) crambook/
受験資格 [じゅけんしかく] /(n) qualifications of candidacy for an examination/
受験者 [じゅけんしゃ] /(n) examinee/
受験生 [じゅけんせい] /(n) student preparing for or taking examinations/
受験戦争 [じゅけんせんそう] /(n) fiercely competitive entrance examinations/
受験地獄 [じゅけんじごく] /(n) competitive university entrance examinations (lit: examination hell)/
受験番号 [じゅけんばんごう] /(n) examinee's (seat) number/
受験票 [じゅけんひょう] /(n) admission ticket for an examination/
受験勉強 [じゅけんべんきょう] /(n) studying for a test/
受験料 [じゅけんりょう] /(n) examination fees/
受口 [うけくち] /(n) (1) mouth with a protruding lower lip and jaw/
受口 [うけぐち] /(n) (1) mouth with a protruding lower lip and jaw/(2) socket/receiving window/slot/
受口石斑魚 [うけくちうぐい] /(n) (uk) Tribolodon nakamurai (species of cyprinid)/
受膏者 [じゅこうしゃ] /(n) (obsc) anointed one/
受講 [じゅこう] /(n,vs) taking (attending) lectures/(P)/
受講者 [じゅこうしゃ] /(n) member (of a class)/trainee/a participant/
受講生 [じゅこうせい] /(n) students attending lectures/
受持 [うけもち] /(io) (n) charge (of something)/matter in one's charge/
受持 [じゅじ] /(n) remembering (and honoring) the teachings of Buddha/
受持ち [うけもち] /(n) charge (of something)/matter in one's charge/
受取 [うけとり] /(n) receipt/(P)/
受取り [うけとり] /(n) receipt/(P)/
受取る [うけとる] /(v5r,vt) (1) to receive/to get/to accept/(2) to take/to interpret/to understand/
受取勘定 [うけとりかんじょう] /(n) accounts receivable/
受取手形 [うけとりてがた] /(n) notes receivable (in trade)/bills receivable/
受取書 [うけとりしょ] /(n) (abbr) receipt (document)/
受取証書 [うけとりしょうしょ] /(n) receipt (document)/
受取人 [うけとりにん] /(n) recipient/(P)/
受取通知 [うけとりつうち] /(n) advice of receipt (postal term)/AR/notice of receipt/
受宿 [うけやど] /(iK) (n) (arch) agency that dispatches lodged servants/
受章 [じゅしょう] /(n,vs) reception of a decoration or order/(P)/
受賞 [じゅしょう] /(n,vs) winning (a prize)/(P)/
受賞式 [じゅしょうしき] /(iK) (n) award ceremony/
受賞者 [じゅしょうしゃ] /(n,adj-no) prize-winner/
受嘱 [じゅしょく] /(n,vs) being entrusted with/being delegated with/
受信 [じゅしん] /(n,vs,adj-no) reception (e.g. radio)/receipt/(P)/
受信アンテナ [じゅしんアンテナ] /(n) (comp) receiver antenna/
受信エラー [じゅしんエラー] /(n) receive error/
受信トレー [じゅしんトレー] /(n) email inbox/
受信トレイ [じゅしんトレイ] /(n) email inbox/
受信バッファ [じゅしんバッファ] /(n) (comp) receive buffer/
受信音 [じゅしんおん] /(n) ringtone (of mobile phones, portable phones, cellphones, etc.)/
受信回路 [じゅしんかいろ] /(n) receiving circuit/
受信器 [じゅしんき] /(n) (television, radio, etc.) receiver/
受信機 [じゅしんき] /(n) (television, radio, etc.) receiver/(P)/
受信者 [じゅしんしゃ] /(n) recipient/
受信者指定あて先変更 [じゅしんしゃしていあてさきへんこう] /(n) (comp) redirection of incoming messages/
受信状態 [じゅしんじょうたい] /(n) (quality of) signal reception/
受信人 [じゅしんにん] /(n) addressee/
受信専用 [じゅしんせんよう] /(n,adj-no) (comp) receive only/RO/
受信相手 [じゅしんあいて] /(n) (comp) recipient (of email, e.g.)/
受信装置 [じゅしんそうち] /(n) receiver/receiving set/receiving apparatus (equipment)/
受信側 [じゅしんがわ] /(n) receiver/receiving entity/
受信側ＳＰＭ [じゅしんがわエスピーエム] /(n) (comp) receiving SPM/
受信側ＳＳ利用者 [じゅしんがわエスエスりようしゃ] /(n) (comp) receiving SS user/
受信側ＴＳ利用者 [じゅしんがわティーエスりようしゃ] /(n) (comp) receiving TS user/
受信側エンティティ [じゅしんがわエンティティ] /(n) (comp) receiving entity/receiver/
受信側トランスポートエンティティ [じゅしんがわトランスポートエンティティ] /(n) (comp) receiving transport entity/
受信通知 [じゅしんつうち] /(n) (comp) acknowledgment/
受信通知要求表示 [じゅしんつうちようきゅうひょうじ] /(n) (comp) receipt notification request indication/
受信箱 [じゅしんばこ] /(n) in-box (e.g. for received e-mail)/inbox/in-tray/
受信不能通知要求表示 [じゅしんふのうつうちようきゅうひょうじ] /(n) (comp) non-receipt notification request indication/
受信料 [じゅしんりょう] /(n) (radio, TV) license fee/licence fee/
受診 [じゅしん] /(n,vs) having a medical exam/seeing a doctor/(P)/
受診暦 [じゅしんれき] /(n) medical examination history/
受身 [うけみ] /(n,adj-no,adj-na) (1) the defensive/(2) passive attitude/passivity/passiveness/(3) (ling) the passive/passive voice/(4) (MA) ukemi (the art of falling safely)/(P)/
受身形 [うけみけい] /(n) (ling) passive voice/passive form/
受身文 [うけみぶん] /(n) passive sentence/
受水槽 [じゅすいそう] /(n) water tank/
受精 [じゅせい] /(n,vs) fertilization/fertilisation/impregnation/pollination/(P)/
受精卵 [じゅせいらん] /(n) fertilized eggs/fertilised eggs/(P)/
受洗 [じゅせん] /(n,vs) being baptized/undergoing baptism/
受像 [じゅぞう] /(n,vs) (television) reception/(P)/
受像機 [じゅぞうき] /(n) television set/
受贈 [じゅぞう] /(n,vs) receiving a present/
受胎 [じゅたい] /(n,vs) conception/fertilization/fertilisation/(P)/
受胎告知 [じゅたいこくち] /(n) the Annunciation/
受胎調節 [じゅたいちょうせつ] /(n,adj-no) birth control/
受託 [じゅたく] /(n,vs) being entrusted with/taking charge of/(P)/
受託会社 [じゅたくがいしゃ] /(n) trustee company/
受託開発 [じゅたくかいはつ] /(n) (1) entrusted development/(2) original equipment manufacturer/OEM/
受託者 [じゅたくしゃ] /(n) trustee/assignee/consignee/
受託収賄罪 [じゅたくしゅうわいざい] /(n) (the crime of) bribery/
受託販売 [じゅたくはんばい] /(n) consignment sale/
受諾 [じゅだく] /(n,vs) acceptance/(P)/
受諾側 [じゅだくがわ] /(n) (comp) acceptor/accepting SS user/
受諾側アソシエーション制御プロトコル機械 [じゅだくがわアソシエーションせいぎょプロトコルきかい] /(n) (comp) accepting Association Control Protocol Machine/
受諾側セションサービス利用者 [じゅだくがわせしょんサービスりようしゃ] /(n) (comp) acceptor/accepting SS user/
受諾側遠隔操作プロトコル機械 [じゅだくがわえんかくそうさプロトコルきかい] /(n) (comp) accepting-remote-operation-protocol-machine/
受注 [じゅちゅう] /(n,vs) accepting orders/(P)/
受注額 [じゅちゅうがく] /(n) order volume/orders received/
受注者 [じゅちゅうしゃ] /(n) seller/vendor/party receiving or accepting an order/
受注生産 [じゅちゅうせいさん] /(n,adj-no) build-to-order manufacturing/BTO/
受註 [じゅちゅう] /(n,vs) receiving an order/
受電 [じゅでん] /(n,vs) (1) receiving a telegram/(2) receiving electricity/
受渡し [うけわたし] /(n) delivery/
受渡し検査 [うけわたしけんさ] /(n) (comp) delivery test/
受渡し試験 [うけわたししけん] /(n) (comp) delivery test/
受渡す [うけわたす] /(v5s) to deliver/to hand over/to transfer/
受働土圧係数 [じゅどうどあつけいすう] /(n) coefficient of passive earth pressure/
受動 [じゅどう] /(n,adj-no) passive/(P)/
受動喫煙 [じゅどうきつえん] /(n) passive smoking (i.e. second-hand smoking)/
受動局 [じゅどうきょく] /(n) (comp) passive station/
受動性 [じゅどうせい] /(n,adj-no) passivity/
受動素子 [じゅどうそし] /(n) passive element/passive component/
受動態 [じゅどうたい] /(n) (ling) passive voice/
受動的 [じゅどうてき] /(adj-na) passive/(P)/
受動的脅威 [じゅどうてききょうい] /(n) passive threat/
受動文 [じゅどうぶん] /(n) passive sentence/
受動免疫 [じゅどうめんえき] /(n) passive immunity/
受動輸送 [じゅどうゆそう] /(n) passive transport/
受難 [じゅなん] /(n,vs) suffering/agony/passion/(P)/
受難曲 [じゅなんきょく] /(n) Passion music/
受難劇 [じゅなんげき] /(n) Passion Play/
受難週 [じゅなんしゅう] /(n) Passion Week/
受難節 [じゅなんせつ] /(n) Lent/
受肉 [じゅにく] /(n) (Christ's) incarnation/
受入 [うけいれ] /(n) accept/acceptance/accessioning/
受入れ [うけいれ] /(n) accept/acceptance/accessioning/
受入れる [うけいれる] /(v1,vt) to accept/to receive/to agree/
受入れ試験 [うけいれしけん] /(n) (comp) acceptance test/
受任 [じゅにん] /(n,vs) being appointed/bearing entrusted responsibilities/
受納 [じゅのう] /(n,vs) acceptance/receiving/
受売り [うけうり] /(n,vs) (1) retailing/(2) second-hand opinion or knowledge/telling at second hand/second-hand telling/
受発注 [じゅはっちゅう] /(n) receiving orders (for goods, etc.)/
受付 [うけつけ] /(n) (1) reception (desk)/information desk/(n,vs) (2) receipt/acceptance/(P)/
受付け [うけつけ] /(n) (1) reception (desk)/information desk/(n,vs) (2) receipt/acceptance/
受付ける [うけつける] /(v1,vt) to be accepted/to receive (an application)/
受付け中 [うけつけちゅう] /(adv) currently accepting (applications, etc.)/
受付係 [うけつけがかり] /(n) receptionist/clerk/
受付嬢 [うけつけじょう] /(n) receptionist/reception woman/
受付中 [うけつけちゅう] /(adv) currently accepting (applications, etc.)/(P)/
受払い [うけはらい] /(n) receipts and payments/
受払い金 [うけはらいきん] /(n) receipts and payments/income and expenditure/
受粉 [じゅふん] /(n,vs) pollinization/pollinisation/fertilization/fertilisation/
受容 [じゅよう] /(n,vs) reception/(P)/
受容れる [うけいれる] /(v1,vt) to accept/to receive/to agree/
受容器 [じゅようき] /(n) receptor/acceptor/
受容者 [じゅようしゃ] /(n) recipient/
受理 [じゅり] /(n,vs) acceptance/(P)/
受領 [じゅりょう] /(n,vs) receipt (of letter)/acknowledgement/acceptance/(P)/
受領 [ずりょう] /(n) provincial governor (from the middle of the Heian period)/
受領 [ずろう] /(n) provincial governor (from the middle of the Heian period)/
受領システム [じゅりょうシステム] /(n) (comp) receiving system/
受領者 [じゅりょうしゃ] /(n) recipient/
受領書 [じゅりょうしょ] /(n) receipt/
受領証 [じゅりょうしょう] /(n) receipt/
受話器 [じゅわき] /(n) (telephone) receiver/(P)/
受壺 [うけつぼ] /(n) part of a lock that receives the latch/keeper/strike/
受蘊 [じゅうん] /(n) perception/
呪 [かしり] /(n) (arch) spell/curse/
呪 [じゅ] /(n) (1) spell/curse/(2) (Buddh) dharani/mantra/
呪い [のろい] /(n) curse/spell/malediction/(P)/
呪い [まじない] /(n) charm/incantation/spell/magic formula/
呪う [のろう] /(v5u,vt) to curse/to put a curse on/to detest intensely/(P)/
呪う [まじなう] /(v5u) (1) (arch) to pray that one avoids disaster or illness/to pray/(2) to pray for the death or misfortune of another/to curse/(3) to treat illness with prayer/
呪り [かしり] /(n) (arch) spell/curse/
呪わしい [のろわしい] /(adj-i) hateful/accursed/
呪怨 [じゅおん] /(n) Ju-on/The Grudge (Japanese horror movie)/
呪禁 [じゅごん] /(n) (arch) vanquishing monsters, spirits, etc. with charms/
呪言 [じゅげん] /(n) spell/curse/incantation/
呪言 [じゅごん] /(n) spell/curse/incantation/
呪術 [じゅじゅつ] /(n) magic/sorcery/incantation/
呪術医 [じゅじゅつい] /(n) medicine man/witch doctor (doctor specialized in treating illnesses caused by magic)/
呪術師 [じゅじゅつし] /(n) witch doctor/shaman/
呪術思考 [じゅじゅつしこう] /(n) magical thinking/
呪縛 [じゅばく] /(n,vs) curse/spell/
呪符 [じゅふ] /(n) amulet/charm/
呪物 [じゅぶつ] /(n) fetish/
呪物崇拝 [じゅぶつすうはい] /(n) fetishism/
呪文 [じゅもん] /(n) spell/charm/incantation/magic word/
呪法 [じゅほう] /(n) (1) (Buddh) esoteric Buddhist ritual where incantations are chanted/(2) magic/
呪力 [じゅりょく] /(n) magical power/mystical force/
呪咀 [じゅそ] /(n,vs) curse/malediction/hex/
呪詛 [じゅそ] /(n,vs) curse/malediction/hex/
寿 [ことぶき] /(n) congratulations!/long life!/(P)/
寿く [ことぶく] /(v5k,vt) to congratulate/to wish one well/
寿ぐ [ことほぐ] /(v5g,vt) to congratulate/to wish one well/
寿永 [じゅえい] /(n) Juei era (1182.5.27-1184.4.16)/
寿賀 [じゅが] /(n) long-life celebrations, particularly the 61st, 77th and 88th birthdays/
寿甘 [すあま] /(n) (uk) sweet mochi cake/
寿喜焼 [すきやき] /(n) (food) thin slices of beef, cooked with various vegetables in a table-top cast-iron pan/sukiyaki/
寿教室 [ことぶききょうしつ] /(n) culture courses for the aged/
寿司 [すし] /(ateji) (n) (food) sushi/anything made with vinegared rice (may also contain vegetables, spices, fish, or other delicacies)/(P)/
寿司の具 [すしのぐ] /(n) (food) ingredients for sushi/
寿司を握る [すしをにぎる] /(exp,v5r) (food) to make hand-rolled sushi/
寿司一折り [すしひとおり] /(n) (food) a box of sushi/
寿司屋 [すしや] /(n) sushi shop/sushi restaurant/
寿司詰め [すしづめ] /(n) (food) jam-packed/packed in like sushi (like sardines)/
寿司飯 [すしめし] /(n) (food) rice seasoned with vinegar, sugar and salt, used for preparing sushi/
寿星桃 [じゅせいとう] /(n) (uk) Prunus persica var. densa (Chinese variety of peach)/
寿像 [じゅぞう] /(n) statue (of a living person)/
寿退社 [ことぶきたいしゃ] /(n) resignation from a company on marriage/
寿盃 [じゅはい] /(n) toasting/drinking to someone's health/
寿福 [じゅふく] /(n) long life and happiness/
寿命 [じゅみょう] /(n) life span/(P)/
寿命を延ばす [じゅみょうをのばす] /(exp,v5s) to prolong one's life/
寿命を縮める [じゅみょうをちぢめる] /(exp,v1) to shorten one's life/
寿齢 [じゅれい] /(n) long life/age/life/
寿老人 [じゅろうじん] /(n) god of longevity/
授かりもの [さずかりもの] /(n) boon/windfall/blessing/
授かり物 [さずかりもの] /(n) boon/windfall/blessing/
授かる [さずかる] /(v5r,vt) (1) to be awarded (e.g. a prize)/to be given an award/to receive (e.g. a title)/(2) to be gifted or endowed (e.g. with a talent)/(3) to be blessed (e.g. with a child)/(4) to be initiated (e.g. into a secret)/(P)/
授ける [さずける] /(v1,vt) to grant/to award/to teach/(P)/
授戒 [じゅかい] /(n,vs) (Buddh) handing down the precepts/
授記 [じゅき] /(n) (Buddh) vyakarana (assurance of future enlightenment)/
授業 [じゅぎょう] /(n,vs) lesson/class work/teaching/instruction/(P)/
授業を受ける [じゅぎょうをうける] /(exp,v1) to take a class/
授業計画 [じゅぎょうけいかく] /(n) syllabus/
授業参観 [じゅぎょうさんかん] /(n) parents' day (day when parents observe their children in school)/(P)/
授業時間 [じゅぎょうじかん] /(n) school hours/hours of teaching (instruction)/
授業中 [じゅぎょうちゅう] /(n) while in class/
授業料 [じゅぎょうりょう] /(n) tuition fee/course fee/(P)/
授権 [じゅけん] /(n,vs) authorization/authorisation/
授産 [じゅさん] /(n) sheltered work programs/sheltered work programmes/providing with work/giving employment/
授産所 [じゅさんじょ] /(n) work or vocational center (centre)/
授爵 [じゅしゃく] /(n,vs) elevation to peerage/
授受 [じゅじゅ] /(n,vs) give and receive/(P)/
授受特性 [じゅじゅとくせい] /(n) (comp) intent/
授章 [じゅしょう] /(n,vs) bestowing a decoration or order/
授賞 [じゅしょう] /(n,vs) awarding a prize/(P)/
授賞式 [じゅしょうしき] /(n) award ceremony/(P)/
授精 [じゅせい] /(n,vs) fertilization/fertilisation/impregnation/pollination/
授乳 [じゅにゅう] /(n,vs,adj-no) breast-feeding/suckling/nursing/
授乳期 [じゅにゅうき] /(n) lactation period/
授与 [じゅよ] /(n,vs) award/conferment/(P)/
授与式 [じゅよしき] /(n) awarding ceremony/
樹 [き] /(n) tree/wood/timber/
樹々 [きぎ] /(n) every tree/many trees/all kinds of trees/
樹医 [じゅい] /(n) tree surgeon (esp. for famous or old trees)/
樹蔭 [こかげ] /(n) shade of tree/bower/
樹蔭 [じゅいん] /(n) shade of tree/bower/
樹陰 [こかげ] /(n) shade of tree/bower/
樹陰 [じゅいん] /(n) shade of tree/bower/
樹雨 [きさめ] /(n) precipitation resulting from thick fog condensing on leaves in a forest/
樹影 [じゅえい] /(n) shadow of a tree/
樹液 [じゅえき] /(n) sap/
樹下 [じゅか] /(n) beneath the trees/
樹下 [じゅげ] /(n) beneath the trees/
樹海 [じゅかい] /(n) sea of trees/broad expanse of dense woodland/abundant leafage/
樹冠 [じゅかん] /(n) tree canopy/tree crown/
樹幹 [じゅかん] /(n) trunk/shaft/
樹形 [じゅけい] /(n) tree form/tree shape/shape of a tree/
樹芸 [じゅげい] /(n,vs) arboriculture/tree growing/
樹枝状 [じゅしじょう] /(adj-no) arborescent/
樹脂 [じゅし] /(n,adj-no) resin/rosin/(P)/
樹脂加工 [じゅしかこう] /(n) resin treatment/
樹樹 [きぎ] /(n) every tree/many trees/all kinds of trees/
樹梢 [じゅしょう] /(n) treetop/
樹上 [じゅじょう] /(n) up in a tree/
樹状細胞 [じゅじょうさいぼう] /(n) dendritic cell/
樹状突起 [じゅじょうとっき] /(n,adj-no) dendrite/dendron/
樹皮 [じゅひ] /(n) (tree) bark/(P)/
樹氷 [じゅひょう] /(n) frost covered trees/
樹蜂 [きばち] /(n) wood wasp/
樹木 [じゅもく] /(n,adj-no) trees and shrubs/arbour/arbor/(P)/
樹木医 [じゅもくい] /(n) tree surgeon/arborist/
樹木崇拝 [じゅもくすうはい] /(n) dendrolatry (worship of trees)/
樹葉 [じゅよう] /(n) tree leaf/
樹立 [じゅりつ] /(n,vs) establish/create/(P)/
樹林 [じゅりん] /(n) forest/
樹齢 [じゅれい] /(n) age of a tree/(P)/
樹懶 [なまけもの] /(n) (uk) sloth (Sth. Am. tree-dwelling mammal)/
樹杪 [じゅしょう] /(n) treetop/
綬 [じゅ] /(n) ribbon/cordon/
綬章 [じゅしょう] /(n) ribbon/cordon/
需給 [じゅきゅう] /(n,adj-no) supply and demand/(P)/
需品 [じゅひん] /(n) supplies/quartermaster (mil)/
需用 [じゅよう] /(n) consumption/use/
需用家 [じゅようか] /(n) consumer/customer/
需用費 [じゅようひ] /(n) consumables (when calculating expenses)/
需要 [じゅよう] /(n) demand/request/(P)/
需要の所得弾力性 [じゅようのしょとくだんりょくせい] /(n) income elasticity of demand/
需要の弾力性 [じゅようのだんりょくせい] /(n) elasticity of demand/
需要を賄う [じゅようをまかなう] /(exp,v5u) to meet the demand/
需要拡大 [じゅようかくだい] /(n) increase in (expansion of) demand/
需要供給 [じゅようきょうきゅう] /(n) supply and demand/
需要供給の法則 [じゅようきょうきゅうのほうそく] /(n) law of supply and demand/
需要減少 [じゅようげんしょう] /(n) reduced demand/decline in demand/
需要者 [じゅようしゃ] /(n) consumer/
需要増加 [じゅようぞうか] /(n) (comp) increased demand/increasing demand/
囚われ [とらわれ] /(n) imprisonment/captive/
囚われた考え [とらわれたかんがえ] /(n) prejudiced opinion/conventional ideas/
囚われる [とらわれる] /(v1,vi) to be captured/to be apprehended/to be seized with/
囚を解く [しゅうをとく] /(exp,v5k) to be relieved from captivity/
囚衣 [しゅうい] /(n) prison uniform/
囚獄 [ひとや] /(n) jail/gaol/prison/
囚人 [しゅうじん] /(n) prisoner/(P)/
囚人 [めしうど] /(n) prisoner/
囚人 [めしゅうど] /(n) prisoner/
囚人のジレンマ [しゅうじんのジレンマ] /(n) prisoner's dilemma/prisoners' dilemma/
囚人服 [しゅうじんふく] /(n) prison uniform/
囚人労働 [しゅうじんろうどう] /(n) prison labor/prison labour/forced labor/forced labour/
囚徒 [しゅうと] /(n) prisoner/convict/
囚役 [しゅうえき] /(n) prison labor/prison labour/
収まり [おさまり] /(n) conclusion/end/settlement/(P)/
収まりがつかない [おさまりがつかない] /(exp) getting nowhere/becoming uncontrollable/getting out of hand/remaining unsatisfied/
収まる [おさまる] /(v5r,vi) (1) to be in one's place/to be installed/to settle into/(2) to be delivered/to be obtained/to be paid/(3) to be settled/to be sorted out/(4) to lessen (e.g. of storms, pain)/to calm down/(5) to be fit tightly into (e.g. a frame)/to be sheathed (in a scabbard)/(P)/
収める [おさめる] /(v1,vt) (1) to dedicate/to make an offering/to pay (fees)/(2) to supply/(3) to store/(4) to finish/to bring to a close/(5) to restore (something to its place)/(6) to achieve (e.g. a result)/(P)/
収れん [しゅうれん] /(n,vs) (1) astringency/(2) extraction (of taxes)/(3) convergence/contraction/
収益 [しゅうえき] /(n) earnings/proceeds/returns/revenue/(P)/
収益基盤 [しゅうえききばん] /(n) revenue base/
収益金 [しゅうえききん] /(n) proceeds/earnings/
収益性 [しゅうえきせい] /(n) profitability/
収益成長率 [しゅうえきせいちょうりつ] /(n) revenue growth rate/
収益報告 [しゅうえきほうこく] /(n) earnings report/
収益率 [しゅうえきりつ] /(n) earning rate/
収獲 [しゅうかく] /(n) (good) result/game/
収穫 [しゅうかく] /(n,vs) harvest/crop/ingathering/(P)/
収穫感謝祭 [しゅうかくかんしゃさい] /(n) Thanksgiving Day/harvest festival/
収穫期 [しゅうかくき] /(n) harvest time/
収穫高 [しゅうかくだか] /(n) crop/income/
収穫祭 [しゅうかくさい] /(n) harvest festival/
収穫時 [しゅうかくじ] /(n) time of harvest/
収穫逓減の法則 [しゅうかくていげんのほうそく] /(n) law of diminishing returns/law of diminishing marginal returns/
収穫物 [しゅうかくぶつ] /(n) the harvest/the yield/
収穫予想 [しゅうかくよそう] /(n) crop estimate/
収監 [しゅうかん] /(n,vs) imprisonment/
収監状 [しゅうかんじょう] /(n) commitment warrant/
収監力 [しゅうかんりょく] /(n) cell capacity/
収去 [しゅうきょ] /(n,vs) removal/
収金 [しゅうきん] /(n) collecting/collections/
収骨 [しゅうこつ] /(n) (1) collecting bones and remains (e.g. on a battlefield)/(2) putting cremated remains in an urn/
収差 [しゅうさ] /(n) aberration/
収載 [しゅうさい] /(n,vs) listing/
収支 [しゅうし] /(n) income and expenditure/(P)/
収支決算 [しゅうしけっさん] /(n) settling a balance/
収支報告 [しゅうしほうこく] /(n) earnings call/
収受 [しゅうじゅ] /(n,vs) reception/receiving/
収拾 [しゅうしゅう] /(n,vs) control/settling/coping/(P)/
収輯 [しゅうしゅう] /(n,vs) gathering up/collection/accumulation/
収集 [しゅうしゅう] /(n,vs) gathering up/collection/accumulation/(P)/
収集家 [しゅうしゅうか] /(n) collector/
収集品 [しゅうしゅうひん] /(n) collectibles/
収集魔 [しゅうしゅうま] /(n) collecting maniac/
収縮 [しゅうしゅく] /(n,vs) deflation/contraction/shrinking/constriction/(P)/
収縮期 [しゅうしゅくき] /(n) systole/
収縮期血圧 [しゅうしゅくきけつあつ] /(n) systolic blood pressure/
収縮胞 [しゅうしゅくほう] /(n) contractile vacuole/
収税 [しゅうぜい] /(n,vs) tax collection/taxation/
収税官 [しゅうぜいかん] /(n) revenue officer/
収税所 [しゅうぜいしょ] /(n) tax-collection office/
収税人 [しゅうぜいにん] /(n) tax collector/
収税吏 [しゅうぜいり] /(n) tax collector/
収蔵 [しゅうぞう] /(n,vs) garnering/collection/
収蔵庫 [しゅうぞうこ] /(n) storage room/
収蔵品 [しゅうぞうひん] /(n) collected item/artifact (in museum, etc.)/
収束 [しゅうそく] /(n,vs,adj-no) (1) convergence/tie up/(2) reaching resolution/firming up (plans, etc.)/coming together/(3) returning to normal/
収束級数 [しゅうそくきゅうすう] /(n) (math) convergent series/
収奪 [しゅうだつ] /(n,vs) plundering/exploitation/
収着 [しゅうちゃく] /(n) sorption (in physical chemistry)/
収得 [しゅうとく] /(n,vs) reception/receiving/
収入 [しゅうにゅう] /(n) income/receipts/revenue/(P)/
収入印紙 [しゅうにゅういんし] /(n) revenue stamp/
収入関税 [しゅうにゅうかんぜい] /(n) revenue tariff/
収入機会 [しゅうにゅうきかい] /(n) revenue opportunity/
収入金額 [しゅうにゅうきんがく] /(n) total receipts/income amount/
収入源 [しゅうにゅうげん] /(n) source of income/
収入役 [しゅうにゅうやく] /(n) government treasurer/
収納 [しゅうのう] /(n,vs) crop/harvest/receipts/putting or stowing away/(P)/
収納家具 [しゅうのうかぐ] /(n) closet/cabinet/
収納額 [しゅうのうがく] /(n) amount received/
収納係り [しゅうのうかかり] /(n) receiving teller/
収納庫 [しゅうのうこ] /(n) closet/(storage) shed/
収納室 [しゅうのうしつ] /(n) storage room/closet/
収納代行 [しゅうのうだいこう] /(n) receiving agent/
収納代行サービス [しゅうのうだいこうサービス] /(n) receiving agent services/over the counter payment accepted through convenience stores/
収没 [しゅうぼつ] /(n) confiscation of possessions/
収繭 [しゅうけん] /(n) cocoon crop/
収容 [しゅうよう] /(n,vs) (1) accommodation/reception/housing/(2) seating/(3) custody/(4) admission/(5) entering (in a dictionary)/(P)/
収容患者 [しゅうようかんじゃ] /(n) in-patients/
収容施設 [しゅうようしせつ] /(n) reception center (e.g. for refugees) (centre)/
収容者 [しゅうようしゃ] /(n) inmates/
収容所 [しゅうようじょ] /(n) internment camp/detention facility/POW camp/refugee camp/(P)/
収容所群島 [しゅうようじょぐんとう] /(n) Gulag Archipelago (Aleksandr Solzhenitsyn)/
収容設備 [しゅうようせつび] /(n) accommodations/
収容能力 [しゅうようのうりょく] /(n) capacity/accommodation/
収容力 [しゅうようりょく] /(n) capacity/accommodation/
収用 [しゅうよう] /(n,vs) expropriation/seizure/(P)/
収覧 [しゅうらん] /(n,vs) grasping/winning over/
収率 [しゅうりつ] /(n) yield/
収量 [しゅうりょう] /(n) yield/size of harvest/(P)/
収録 [しゅうろく] /(n,vs) (1) compilation/editing/(2) recording/(P)/
収賄 [しゅうわい] /(n,vs) accepting bribes/corruption/graft/(P)/
収賄罪 [しゅうわいざい] /(n) (the crime of) bribery/
収攬 [しゅうらん] /(n,vs) grasping/winning over/
収斂 [しゅうれん] /(n,vs) (1) astringency/(2) extraction (of taxes)/(3) convergence/contraction/
収斂剤 [しゅうれんざい] /(n) an astringent/
収斂進化 [しゅうれんしんか] /(n) convergent evolution/
周 [しゅう] /(n) (1) Zhou (dynasty of China)/Chou/(2) (geometric) perimeter/(n-suf,ctr) (3) counter for laps or circuits/
周く [あまねく] /(adv) widely/generally/universally/far and wide/
周り [まわり] /(n,n-suf) (1) circumference/perimeter/edge/(2) surroundings/locality/neighborhood/(P)/
周りの人 [まわりのひと] /(n) surrounding people/
周囲 [しゅうい] /(n,adj-no) (1) surroundings/environs/(2) circumference/(P)/
周囲温度 [しゅういおんど] /(n) ambient temperature/
周囲長 [しゅういちょう] /(n) perimeter/
周易 [しゅうえき] /(n) divination (based on the Book of Changes)/
周縁 [しゅうえん] /(n,adj-no) fringe/rim/
周回 [しゅうかい] /(n,vs) (1) going around/(2) circumference/girth/surroundings/
周回遅れ [しゅうかいおくれ] /(n) (1) being a lap behind (e.g. motor sports)/(2) someone who is very behind the times/
周忌 [しゅうき] /(n) death anniversary/
周期 [しゅうき] /(n) cycle/period/(P)/
周期冗長検査 [しゅうきじょうちょうけんさ] /(n) (comp) CRC/Cyclic Redundancy Check/
周期性 [しゅうきせい] /(n) cyclic/periodic/
周期的 [しゅうきてき] /(adj-na) periodic/cyclic/
周期的に [しゅうきてきに] /(n) cyclically/periodically/
周期表 [しゅうきひょう] /(n) periodic table/
周期律 [しゅうきりつ] /(n) periodic law/
周極星 [しゅうきょくせい] /(n) circumpolar star/
周航 [しゅうこう] /(n,vs) circumnavigation/circle tour by ship/
周産期 [しゅうさんき] /(n,adj-no) (similar to) perinatal/period from around the 28th week of pregnancy to a week after the baby is born/
周産期医療 [しゅうさんきいりょう] /(n) perinatal care/
周産期学 [しゅうさんきがく] /(n) perinatology/
周尺 [しゅうしゃく] /(n) (arch) Zhou shaku (approx. 20 cm)/
周章 [しゅうしょう] /(n,vs) agitation/frustration/
周章てる [あわてる] /(v1,vi) (1) to become confused (disconcerted, disorganized, disorganised)/to be flustered/to panic/(2) to be in a hurry/to rush/
周章狼狽 [しゅうしょうろうばい] /(n,vs) consternation/fall into a panic/fluster oneself/dismay/discomfiture/
周旋 [しゅうせん] /(n,vs) (1) good offices/recommendation/mediation/(2) (Tokugawa-era) employment office/
周旋屋 [しゅうせんや] /(n) broker/employment agency/
周旋業 [しゅうせんぎょう] /(n) brokerage/commission agency/
周旋業者 [しゅうせんぎょうしゃ] /(n) broker/middleman/employment agency/
周旋人 [しゅうせんにん] /(n) agent/middleman/
周旋料 [しゅうせんりょう] /(n) brokerage/commission/
周知 [しゅうち] /(n,vs) common knowledge/(something) well-known/(P)/
周知徹底 [しゅうちてってい] /(n) (something) known to all/
周天 [しゅうてん] /(n) (1) the full scope of the heavens/360 degrees/one full revolution of the earth/(2) twelve years/one full cycle of the Chinese calendar/
周転円 [しゅうてんえん] /(n) epicycle/
周到 [しゅうとう] /(adj-na,n) scrupulous/meticulous/careful/(P)/
周到綿密 [しゅうとうめんみつ] /(n,adj-na) extremely complete (thorough, careful) and detailed/
周年 [しゅうねん] /(n) whole year/anniversary/(P)/
周波 [しゅうは] /(n) cycle/wave/frequency/
周波計 [しゅうはけい] /(n) frequency meter/wavemeter/
周波数 [しゅうはすう] /(n) frequency (esp. of waveforms)/(P)/
周波数スペクトル [しゅうはすうスペクトル] /(n) (comp) frequency spectrum/
周波数ホッピング [しゅうはすうホッピング] /(n) (comp) frequency hopping/
周波数管理 [しゅうはすうかんり] /(n) (comp) spectrum management/frequency management/
周波数選択性フェージング [しゅうはすうせんたくせいフェージング] /(n) (comp) frequency selective fading/
周波数多重 [しゅうはすうたじゅう] /(n) (comp) FDD/frequency division duplex/
周波数逓倍器 [しゅうはすうていばいき] /(n) frequency multiplier/
周波数分割マルチプレクサ [しゅうはすうぶんわりマルチプレクサ] /(n) (comp) Frequency-Division Multiplexer/FDM/
周波数分割多元接続 [しゅうはすうぶんわりたげんせつぞく] /(n) (comp) Frequency Division Multiple Access/FDMA/
周波数分割多重 [しゅうはすうぶんかつたじゅう] /(n) (comp) FDM/Frequency Division Multiplexing/
周波数偏移 [しゅうはすうへんい] /(n) frequency shift/
周波数変位方式 [しゅうはすうへんいほうしき] /(n) (comp) frequency shift keying/
周波数変換装置 [しゅうはすうへんかんそうち] /(n) frequency converter/
周波数変調 [しゅうはすうへんちょう] /(n) frequency modulation/FM/
周波数変調記録 [しゅうはすうへんちょうきろく] /(n) (comp) frequency modulation recording/FM recording/
周波数変調方式 [しゅうはすうへんちょうほうしき] /(n) (comp) Frequency Modulation/
周波数利用効率 [しゅうはすうりようこうりつ] /(n) (comp) spectral effciency/
周波帯 [しゅうはたい] /(n) frequency band/
周波変調 [しゅうはへんちょう] /(n) frequency modulation/FM/
周壁 [しゅうへき] /(n) peripheral wall/surrounding wall/
周辺 [しゅうへん] /(n) (1) circumference/outskirts/environs/around/in the area of/in the vicinity of/(2) (comp) (computer) peripheral/(P)/
周辺ノード [しゅうへんノード] /(n) (comp) endpoint node/peripheral node/
周辺化 [しゅうへんか] /(n,vs) marginalization/
周辺確率 [しゅうへんかくりつ] /(n) marginal probability/
周辺機器 [しゅうへんきき] /(n,adj-no) peripherals/peripheral equipment/
周辺国 [しゅうへんこく] /(n) neighboring or surrounding country/neighbouring or surrounding country/
周辺諸国 [しゅうへんしょこく] /(n) surrounding countries/neighboring countries/neighbouring countries/
周辺節点 [しゅうへんせってん] /(n) (comp) endpoint node/peripheral node/
周辺装置 [しゅうへんそうち] /(n) (comp) peripheral equipment/peripheral device/
周密 [しゅうみつ] /(adj-na,n) scrupulous/careful/meticulous/
周面 [しゅうめん] /(n) (obsc) surface of a cylinder/skin of a cylinder/
周面摩擦 [しゅうめんまさつ] /(n) skin friction/
周遊 [しゅうゆう] /(n,vs,adj-no) excursion ticket/tour/round trip/(P)/
周遊券 [しゅうゆうけん] /(n) excursion ticket/
周覧 [しゅうらん] /(n,vs) looking all around/
周流 [しゅうりゅう] /(n,vs) flowing around/
宗 [しゅう] /(n) sect/(P)/
宗 [むね] /(n) (1) center (centre)/pillar/principle/
宗家 [そうか] /(n) head of family/originator/
宗家 [そうけ] /(n) head of family/originator/(P)/
宗規 [しゅうき] /(n) religious regulations/
宗義 [しゅうぎ] /(n) denominational doctrine/doctrine of a sect/
宗教 [しゅうきょう] /(n) religion/(P)/
宗教々育 [しゅうきょうきょういく] /(n) religious education/
宗教右派 [しゅうきょううは] /(n) (the) religious right/
宗教音楽 [しゅうきょうおんがく] /(n) religious music/
宗教家 [しゅうきょうか] /(n) religionist/
宗教画 [しゅうきょうが] /(n) religious painting or picture/
宗教改革 [しゅうきょうかいかく] /(n,adj-no) the Reformation/
宗教学 [しゅうきょうがく] /(n) the study or science of religion/religious studies/
宗教勧誘員 [しゅうきょうかんゆういん] /(n) door-to-door solicitor/door-to-door preacher/
宗教騎士団 [しゅうきょうきしだん] /(n) military order/
宗教教育 [しゅうきょうきょういく] /(n) religious education/
宗教劇 [しゅうきょうげき] /(n) religious drama/miracle play/
宗教差別 [しゅうきょうさべつ] /(n) religious discrimination/
宗教裁判 [しゅうきょうさいばん] /(n) the Inquisition/
宗教史 [しゅうきょうし] /(n) religious history/history of religion/
宗教色 [しゅうきょうしょく] /(n) religious atmosphere/
宗教心 [しゅうきょうしん] /(n) piety/
宗教戦争 [しゅうきょうせんそう] /(n) religious war/
宗教対立 [しゅうきょうたいりつ] /(n) religious opposition/religious conflict/religious antagonism/
宗教団体 [しゅうきょうだんたい] /(n) religious group/
宗教的独立性 [しゅうきょうてきどくりつせい] /(n) religious independence/
宗教哲学 [しゅうきょうてつがく] /(n) philosophy of religion/
宗教熱 [しゅうきょうねつ] /(n) religious fervour/religious enthusiasm/
宗教法 [しゅうきょうほう] /(n) religious law/
宗教法人 [しゅうきょうほうじん] /(n) religious organization/religious organisation/
宗教問題 [しゅうきょうもんだい] /(n) religious issue/religious problem/religious question/
宗旨 [しゅうし] /(n) tenets (doctrines) of a religious sect/(religious) sect/
宗主 [そうしゅ] /(n) suzerain/
宗主権 [そうしゅけん] /(n) suzerainty/
宗主国 [そうしゅこく] /(n) suzerain state/state that controls another in international affairs, but allows it domestic sovereignty/
宗匠 [そうしょう] /(n) master/teacher/
宗祖 [しゅうそ] /(n) sect founder/(P)/
宗族 [そうぞく] /(n) one's family or clan/
宗太鰹属 [そうだがつおぞく] /(n) Auxis (genus of tuna)/
宗徒 [しゅうと] /(n) believer/follower/
宗派 [しゅうは] /(n,adj-no) sect/denomination/(P)/
宗伯 [そうはく] /(n) Minister of Rites (Zhou-dynasty China)/
宗廟 [そうびょう] /(n) ancestral shrine (temple)/mausoleum (of one's ancestors)/Imperial mausoleum/
宗法 [そうほう] /(n) (historical) regulations governing Chinese religious observances and social order/
宗務 [しゅうむ] /(n) religious matters/
宗門 [しゅうもん] /(n) doctrine/creed/sect/(P)/
宗門改 [しゅうもんあらため] /(n) Japanese religious census used to repress Christians (Edo period)/
宗門改め [しゅうもんあらため] /(n) Japanese religious census used to repress Christians (Edo period)/
就いて [ついて] /(exp) (uk) about/concerning/as to/regarding/(P)/
就いては [ついては] /(conj) in line with this/therefore/consequently/so/such being the case/in that regard/in this connection/
就き [つき] /(exp) concerning/per/on account of/
就きましては [つきましては] /(conj) (pol) (uk) in line with this/therefore/
就く [つく] /(v5k) (1) to ascend (the throne)/to accede/(2) to take (seat, position, course, etc.)/to assume/(3) to start (on a journey)/to commence/to depart/(4) to study (under teacher)/to be an apprentice/(P)/
就ける [つける] /(v1,vt) (1) to install (a king, emperor, etc.)/(2) to appoint (to a post)/(3) to assign (to study under)/
就学 [しゅうがく] /(n,vs) entering school/school attendance/(P)/
就学義務 [しゅうがくぎむ] /(n) compulsory school attendance/
就学許可証 [しゅうがくきょかしょう] /(n) study permit/
就学児童 [しゅうがくじどう] /(n) school child/
就学生 [じゅうがくせい] /(n) pre-college students/pre-university students/
就学年齢 [しゅうがくねんれい] /(n) school age/
就学率 [しゅうがくりつ] /(n) percentage of school attendance/
就活 [しゅうかつ] /(n) (abbr) job hunting/job searching/(P)/
就業 [しゅうぎょう] /(n,vs) employment/starting work/(P)/
就業機会 [しゅうぎょうきかい] /(n) job opportunity/
就業規則 [しゅうぎょうきそく] /(n) work regulations/
就業時間 [しゅうぎょうじかん] /(n) work hours/
就業時間中 [しゅうぎょうじかんちゅう] /(n) during working hours/
就業者 [しゅうぎょうしゃ] /(n) employed person/
就業人口 [しゅうぎょうじんこう] /(n) work force/
就業地 [しゅうぎょうち] /(n) place of work/
就業日数 [しゅうぎょうにっすう] /(n) days worked/
就業率 [しゅうぎょうりつ] /(n) percentage of employment/
就航 [しゅうこう] /(n,vs) going into commission (e.g. ships)/(P)/
就床 [しゅうしょう] /(n,vs) bedridden/
就職 [しゅうしょく] /(n,vs) finding employment/inauguration/(P)/
就職斡旋 [しゅうしょくあっせん] /(n) placement/
就職運動 [しゅうしょくうんどう] /(n) job hunting/job searching/
就職活動 [しゅうしょくかつどう] /(n) job hunting/job searching/
就職口 [しゅうしょくぐち] /(n) position/opening/employment/
就職広告 [しゅうしょくこうこく] /(n) employment advertisement/
就職指導 [しゅうしょくしどう] /(n) career counseling (counselling)/
就職時 [しゅうしょくじ] /(n) time of employment/
就職者 [しゅうしょくしゃ] /(n) employed person/
就職情報誌 [しゅうしょくじょうほうし] /(n) job-placement journal (magazine)/
就職先 [しゅうしょくさき] /(n) place of employment/
就職難 [しゅうしょくなん] /(n) scarcity of employment/
就職率 [しゅうしょくりつ] /(n) employment rate/
就職浪人 [しゅうしょくろうにん] /(n) jobless university graduate/
就寝 [しゅうしん] /(n,vs) going to bed/retiring/(P)/
就寝時のお伽話 [しゅうしんじのおとぎばなし] /(n) bedtime story/
就寝前 [しゅうしんぜん] /(n) before retiring/
就中 [なかんずく] /(n) especially/above all/particularly/among other things/
就中 [なかんづく] /(ok) (n) especially/above all/particularly/among other things/
就任 [しゅうにん] /(n,vs,adj-no) inauguration/assumption of office/(P)/
就任演説 [しゅうにんえんぜつ] /(n) inaugural speech/
就任式 [しゅうにんしき] /(n) inauguration ceremony/installation/
就縛 [しゅうばく] /(n,vs) being put in bonds/coming under arrest/
就眠 [しゅうみん] /(n,vs) retiring/going to sleep/
就役 [しゅうえき] /(n,vs) placed in commission/entering servitude/
就労 [しゅうろう] /(n,vs) starting work/being employed/being hired/(P)/
就労ビザ [しゅうろうビザ] /(n) work visa/working visa/
州 [しゅう] /(n) (1) state/province/county (UK)/department (of ancient China)/(2) continent/(suf) (3) (arch) (after someone's name) dear/(P)/
州 [す] /(n) sandbank/sandbar/
州々 [しゅうしゅう] /(n) every state/every province/
州の花 [しゅうのはな] /(n) state flower/
州外 [しゅうがい] /(adj-no) out-of-state/
州間高速道路 [しゅうかんこうそくどうろ] /(n) interstate highway/
州議 [しゅうぎ] /(n) (abbr) state legislature/state or provincial parliament/
州議会 [しゅうぎかい] /(n) state legislature/state or provincial parliament/
州議会選挙 [しゅうぎかいせんきょ] /(n) state or provincial election/
州議選 [しゅうぎせん] /(n) (abbr) state or provincial election/
州境 [しゅうきょう] /(n) state boundary/provincial boundary/
州警察 [しゅうけいさつ] /(n) state police/provincial police/
州権論 [しゅうけんろん] /(n) (obsc) states' rights theory/
州際通商委員会 [しゅうさいつうしょういいんかい] /(n) Interstate Commerce Commission/
州崎 [すさき] /(n) sandspit/
州州 [しゅうしゅう] /(n) every state/every province/
州政府 [しゅうせいふ] /(n) state government/(P)/
州俗 [しゅうぞく] /(n) local customs/
州長官 [しゅうちょうかん] /(n) sheriff/
州都 [しゅうと] /(n) capital (city) of a state/(P)/
州内 [しゅうない] /(adj-no) intrastate/
州浜草 [すはまそう] /(n) (uk) hepatica (Hepatica nobilis var. japonica f. variegata)/liverleaf/
州法 [しゅうほう] /(n) state law/state statute/
州立大学 [しゅうりつだいがく] /(n) state-run college/state university/
修まる [おさまる] /(v5r,vi) to govern oneself/to conduct oneself well/
修める [おさめる] /(v1,vt) (1) to study/to complete (a course)/to cultivate/to master/(2) to order (one's life)/(3) to repair (a fault one has committed)/(P)/
修院 [しゅういん] /(n) friary/
修院長 [しゅういんちょう] /(n) prelate/prior/abbot/
修営 [しゅうえい] /(n,vs) building work/
修改 [しゅうかい] /(n,vs) personal reformation/
修学 [しゅうがく] /(n,vs) learning/
修学旅行 [しゅうがくりょこう] /(n) excursion/field trip/(P)/
修業 [しゅうぎょう] /(n,vs) pursuit of knowledge/studying/learning/training/ascetic practice/discipline/(P)/
修業 [しゅぎょう] /(n,vs) pursuit of knowledge/studying/learning/training/ascetic practice/discipline/(P)/
修業年限 [しゅうぎょうねんげん] /(n) length of the course of study/
修験者 [しゅげんじゃ] /(n) mountaineering ascetic/
修験道 [しゅげんどう] /(n) Shugendou/Japanese mountain asceticism-shamanism incorporating Shinto and Buddhist concepts/
修交 [しゅうこう] /(n,vs) amity/friendship/
修好 [しゅうこう] /(n,vs) amity/friendship/
修好条約 [しゅうこうじょうやく] /(n) amity treaty/
修行 [しゅうぎょう] /(n,vs) pursuit of knowledge/studying/learning/training/ascetic practice/discipline/(P)/
修行 [しゅぎょう] /(n,vs) pursuit of knowledge/studying/learning/training/ascetic practice/discipline/(P)/
修行者 [しゅぎょうしゃ] /(n) (Buddh) practitioner of austerities/
修行僧 [しゅうぎょうそう] /(n) ascetic monk/trainee monk/
修史 [しゅうし] /(n) compilation of a history/
修士 [しゅうし] /(n) Masters degree program (programme)/(P)/
修士課程 [しゅうしかてい] /(n) master's course/(P)/
修士号 [しゅうしごう] /(n) master's degree/
修士論文 [しゅうしろんぶん] /(n) master's thesis/
修辞 [しゅうじ] /(n) figure of speech/rhetorical flourish/
修辞学 [しゅうじがく] /(n) rhetoric/
修辞技法 [しゅうじぎほう] /(n) figure of speech/
修辞疑問 [しゅうじぎもん] /(n) (ling) rhetorical question/
修辞法 [しゅうじほう] /(n) rhetoric/
修熟 [しゅうじゅく] /(n) developing skill/
修飾 [しゅうしょく] /(n,vs) (1) ornamentation/embellishment/decoration/adornment/polish up (writing)/(2) (ling) modification/qualification/
修飾されたデータ名 [しゅうしょくされたデータめい] /(n) (comp) qualified data-name/
修飾キー [しゅうしょくキー] /(n) (comp) attribute key/
修飾語 [しゅうしょくご] /(n) (ling) modifier/
修飾語句 [しゅうしょくごく] /(n) (ling) modifier/qualifier/
修飾子 [しゅうしょくし] /(n) modifier/qualifier/
修身 [しゅうしん] /(n) morals/ethics/moral training/
修整 [しゅうせい] /(n,vs) adjustment/retouching (in photography)/
修整版 [しゅうせいはん] /(n) revised version/
修正 [しゅうせい] /(n,vs) amendment/correction/revision/modification/alteration/retouching/update/fix/(P)/
修正テープ [しゅうせいテープ] /(n) correction tape/
修正プログラム [しゅうせいプログラム] /(n) (comp) (software) patch/updater (to correct a program flaw)/
修正モード [しゅうせいモード] /(n) (comp) modification mode/
修正案 [しゅうせいあん] /(n) proposed amendment/
修正液 [しゅうせいえき] /(n) correction fluid/correcting fluid/white out/Wite-out/Liquid Paper/Tipp-Ex/
修正資本主義 [しゅうせいしほんしゅぎ] /(n) modified capitalism/
修正時間 [しゅうせいじかん] /(n) (comp) modification time (of a file, e.g.)/
修正者 [しゅうせいしゃ] /(n) amender/
修正主義 [しゅうせいしゅぎ] /(n,adj-no) revisionism/
修正申告 [しゅうせいしんこく] /(n,vs) (filing) revised (income tax) return/
修正版 [しゅうせいばん] /(n) (comp) revised version/
修正予算 [しゅうせいよさん] /(n) revised budget/
修正論 [しゅうせいろん] /(n) revisionism/
修撰 [しゅうせん] /(n) editing/compiling/
修善 [しゅうぜん] /(n,vs) accumulating good deeds/doing good/
修善 [しゅぜん] /(n,vs) accumulating good deeds/doing good/
修繕 [しゅうぜん] /(n,vs) repair/mending/(P)/
修繕工 [しゅうぜんこう] /(n) repair man/
修繕工場 [しゅうぜんこうじょう] /(n) repair shop/
修繕中 [しゅうぜんちゅう] /(n) in the process of being repaired/during repairs/
修繕費 [しゅうぜんひ] /(n) repair expense/
修造 [しゅうぞう] /(n,vs) repairing/
修造 [しゅぞう] /(n,vs) repairing/
修築 [しゅうちく] /(n,vs) repair/renovation/restoration/
修訂 [しゅうてい] /(n,vs) correction/revision/
修道 [しゅうどう] /(n) learning/studying the fine arts/(P)/
修道院 [しゅうどういん] /(n) monastery/convent/cloister/abbey/(P)/
修道院長 [しゅうどういんちょう] /(n) abbot/
修道会 [しゅうどうかい] /(n) (Catholic) order/
修道士 [しゅうどうし] /(n) monk/friar/
修道者 [しゅうどうしゃ] /(n) monk/member of religious order/
修道者 [しゅどうしゃ] /(n) monk/member of religious order/
修道女 [しゅうどうじょ] /(n) (Catholic) nun/
修道制度 [しゅうどうせいど] /(n) monasticism/
修道生活 [しゅうどうせいかつ] /(n,adj-no) monasticism/monastic life/
修道誓願 [しゅうどうせいがん] /(n) vows of religious orders/
修道僧 [しゅうどうそう] /(n) monk/friar/
修道尼 [しゅうどうに] /(n) nun/
修道服 [しゅうどうふく] /(n) habit (garment worn by nuns, monks, friars, etc.)/
修得 [しゅうとく] /(n,vs) learning/acquisition/
修復 [しゅうふく] /(n,vs,adj-no) repair/mending/(P)/
修補 [しゅうほ] /(n,vs) repairing/
修法 [しゅほう] /(n) (Buddh) prayer and austerities/
修法 [すほう] /(ok) (n) (Buddh) prayer and austerities/
修法 [ずほう] /(ok) (n) (Buddh) prayer and austerities/
修養 [しゅうよう] /(n,vs) self-improvement/(mental) training/self-discipline/cultivation/
修羅 [しゅら] /(n) fighting/scene of carnage/
修羅の巷 [しゅらのちまた] /(n) scene of carnage/
修羅場 [しゅらじょう] /(ok) (n) (1) fighting scene/scene of carnage (bloodshed)/(2) location of the fight between Asura and Sakra devanam Indra/
修羅場 [しゅらば] /(n) (1) fighting scene/scene of carnage (bloodshed)/
修羅場る [しゅらばる] /(v5r) (sl) to (have a situation) descend to mayhem/
修羅道 [しゅらどう] /(n) (1) (Buddh) (abbr) Asura realm/(2) scene of carnage/
修理 [しゅうり] /(n,vs,adj-no) repairing/mending/servicing/(P)/
修理 [しゅり] /(n,vs,adj-no) repairing/mending/servicing/
修理 [すり] /(n,vs,adj-no) repairing/mending/servicing/
修理屋 [しゅうりや] /(n) repair workshop/garage/
修理工 [しゅうりこう] /(n) repair man/
修理工場 [しゅうりこうじょう] /(n) repair shop/
修理代 [しゅうりだい] /(n) cost of repairs/
修理中 [しゅうりちゅう] /(n) being repaired/
修理店 [しゅうりてん] /(n) repair shop/
修了 [しゅうりょう] /(n,vs) completion (of a course)/(P)/
修了証 [しゅうりょうしょう] /(n) evidence of course completion (e.g. diploma)/
修了証書 [しゅうりょうしょうしょ] /(n) diploma/
修煉 [しゅうれん] /(n,vs) culture/training/drill/practice/practise/
修練 [しゅうれん] /(n,vs) culture/training/drill/practice/practise/(P)/
修練者 [しゅうれんしゃ] /(n) (Catholic) neophyte/
修錬 [しゅうれん] /(n,vs) culture/training/drill/practice/practise/
修論 [しゅうろん] /(n) (abbr) masters thesis/
修祓 [しゅうばつ] /(n) purification rite (esp. one held prior to a Shinto event)/
修祓 [しゅうふつ] /(n) purification rite (esp. one held prior to a Shinto event)/
修祓 [しゅばつ] /(n) purification rite (esp. one held prior to a Shinto event)/
愁い [うれい] /(n) sad/unhappy/gloomy/
愁い顔 [うれいがお] /(n) sad face/sorrowful face/anxious look/sad countenance/
愁うべき [うれうべき] /(exp) deplorable/alarming/grievous/lamentable/
愁え [うれえ] /(n) (1) lamentation/(2) grief/anguish/(3) anxiety/(4) illness/(5) mourning/
愁える [うれえる] /(v1,vt) to grieve/to lament/to be anxious/to be distressed/
愁傷 [しゅうしょう] /(n,vs) grief/sorrow/
愁色 [しゅうしょく] /(n) worried look/
愁然 [しゅうぜん] /(n,adj-t,adv-to) sorrowfully/
愁訴 [しゅうそ] /(n,vs) complaint/
愁嘆 [しゅうたん] /(n,vs) lamentation/
愁嘆場 [しゅうたんば] /(n) pathetic scene/
愁歎 [しゅうたん] /(n,vs) lamentation/
愁眉 [しゅうび] /(n) worried look/melancholy air/
愁眉を開く [しゅうびをひらく] /(exp,v5k) to feel relieved/
拾 [じゅう] /(num) ten (used in legal documents)/
拾いもの [ひろいもの] /(n) (1) a find/(2) windfall/bargain/
拾い屋 [ひろいや] /(n) rag-picker/
拾い主 [ひろいぬし] /(n) the finder/
拾い集める [ひろいあつめる] /(v1) to gather/
拾い出す [ひろいだす] /(v5s,vt) to single out/to select/
拾い上げる [ひろいあげる] /(v1) to pick up/to pick out/
拾い食い [ひろいぐい] /(n,vs) scavenging for food/
拾い読み [ひろいよみ] /(n,vs) reading here and there/browsing/skimming through/
拾い物 [ひろいもの] /(n) (1) a find/(2) windfall/bargain/(P)/
拾い歩き [ひろいあるき] /(n,vs) (a) wander/amble/
拾い目 [ひろいめ] /(n,vs) picking up stitches (knitting)/
拾う [ひろう] /(v5u,vt) to pick up/to find/to gather/(P)/
拾遺 [しゅうい] /(n) gleaning/gleanings/
拾集 [しゅうしゅう] /(n,vs) gathering up/collection/accumulation/
拾得 [しゅうとく] /(n,vs) picking up/finding/(P)/
拾得者 [しゅうとくしゃ] /(n) a finder/
拾得物 [しゅうとくぶつ] /(n) found article/
拾万円 [じゅうまんえん] /(n) 100,000 Yen/
洲 [しゅう] /(n) (1) state/province/county (UK)/department (of ancient China)/(2) continent/(suf) (3) (arch) (after someone's name) dear/
洲 [す] /(n) sandbank/sandbar/
洲 [ひし] /(n) (arch) mid-ocean sandbank/
洲 [ひじ] /(n) (arch) mid-ocean sandbank/
秀 [しゅう] /(n) preeminence/superlativeness/
秀つ枝 [ほつえ] /(n) upper branches of a tree/
秀でる [ひいでる] /(v1,vi) to excel/to surpass/(P)/
秀逸 [しゅういつ] /(adj-na,n) excellence/(P)/
秀歌 [しゅうか] /(n) splendid tanka or waka/
秀吟 [しゅうぎん] /(n) splendid poem/
秀句 [しゅうく] /(n) splendid haiku/well-turned phrase/
秀才 [しゅうさい] /(n) prodigy/(P)/
秀作 [しゅうさく] /(n) splendid (excellent) work/(P)/
秀抜 [しゅうばつ] /(adj-na,n) outstanding/superb/
秀麗 [しゅうれい] /(adj-na,n) graceful/beautiful/
秋 [あき] /(n-t) autumn/fall/(P)/
秋の鹿は笛に寄る [あきのしかはふえによる] /(exp) (obsc) people may bring about their demise for love (like a deer coming forth when it hears a hunter's whistle in mating season)/it is easy to have one's weak points taken advantage of/
秋の七草 [あきのななくさ] /(n) seven autumnal flowers (bush clover, Chinese silvergrass, kudzu, fringed pink, golden lace, thoroughwort, and balloon flower)/
秋の色 [あきのいろ] /(n) autumnal tints/fall tints/
秋の扇 [あきのおうぎ] /(exp) woman who has lost a man's affection or interest (as does a fan when summer turns to autumn)/
秋の日は釣瓶落とし [あきのひはつるべおとし] /(exp) the autumn sun sets as quickly as a bucket dropping into a well/
秋の暮れ [あきのくれ] /(n) (1) (obsc) autumn dusk/(2) the end of autumn/
秋の野芥子 [あきののげし] /(n) Indian lettuce (Lactuca indica)/
秋めく [あきめく] /(v5k,vi) to become autumnal/
秋茜 [あきあかね] /(n) (uk) var. of red dragonfly (Sympetrum frequens)/
秋袷 [あきあわせ] /(n) autumn lined kimono/
秋意 [しゅうい] /(n) signs of autumn/appearance of autumn/
秋雨 [あきさめ] /(n) autumn rain/fall rain/
秋雨 [しゅうう] /(n) autumn rain/fall rain/
秋雨前線 [あきさめぜんせん] /(n) autumn rain front/fall rain front/
秋茄子 [あきなす] /(n) autumn eggplant/eggplant picked eaten in the autumn/
秋茄子は嫁に食わすな [あきなすはよめにくわすな] /(exp) (id) don't feed autumn eggplant to your wife (because they're too delicious, because they'll give her the chills, or because their lack of seeds will reduce her fertility)/
秋海棠 [しゅうかいどう] /(n) (uk) hardy begonia (Begonia grandis)/
秋官 [しゅうかん] /(n) Ministry of Justice (Zhou-dynasty China)/
秋期 [しゅうき] /(n) autumn/fall/
秋気 [しゅうき] /(n) autumn air/fall air/
秋季 [しゅうき] /(n) fall/autumn/(P)/
秋季皇霊祭 [しゅうきこうれいさい] /(n) imperial ceremony of ancestor worship formerly held on the autumnal equinox/
秋興 [しゅうきょう] /(n) the pleasantness of autumn/
秋空 [あきぞら] /(n) autumn sky/clear blue autumnal sky/
秋口 [あきぐち] /(n) beginning of autumn/beginning of fall/(P)/
秋更けて [あきふけて] /(exp) late in autumn/late in fall/
秋耕 [しゅうこう] /(n,vs) plowing right after the autumn harvest/
秋沙 [あいさ] /(n) (uk) merganser (any duck of genus Mergus)/
秋沙 [あきさ] /(ok) (n) (uk) merganser (any duck of genus Mergus)/
秋祭り [あきまつり] /(n) autumn festival/fall festival/
秋作 [あきさく] /(n) autumn crops/fall crops/
秋桜 [あきざくら] /(n) cosmos (flower)/
秋蚕 [あきご] /(n) autumn silkworms/fall silkworms/
秋蚕 [しゅうさん] /(n) autumn silkworms/fall silkworms/
秋思 [しゅうし] /(n) lonely feeling of fall/autumnal melancholy/fall melancholy/
秋蒔き [あきまき] /(n) autumn sowing/fall sowing/
秋暑 [しゅうしょ] /(n) (obsc) lingering heat (in autumn)/
秋場所 [あきばしょ] /(n) autumn (fall) (September) sumo tournament, held in Tokyo/
秋色 [しゅうしょく] /(n) autumn scenery/fall scenery/
秋深し [あきふかし] /(n) deep autumn (when the autumn has reached its climax)/
秋水 [しゅうすい] /(n) clear autumn water/clear fall water/
秋晴 [あきばれ] /(n) clear autumnal weather/
秋晴れ [あきばれ] /(n) clear autumnal weather/(P)/
秋声 [しゅうせい] /(n) sound of the autumn wind/sound of the fall wind/
秋扇 [あきおうぎ] /(n) fan in autumn (esp. one that is no longer used)/outdated item that has fallen into disuse/woman who has lost a man's affection or interest/
秋扇 [しゅうせん] /(n) fan in autumn (esp. one that is no longer used)/outdated item that has fallen into disuse/woman who has lost a man's affection or interest/
秋草 [あきくさ] /(n) plants which flower in autumn (fall)/
秋霜 [しゅうそう] /(n) autumn frost/fall frost/
秋霜烈日 [しゅうそうれつじつ] /(n) harshness/severity/
秋津島 [あきつしま] /(n) (ancient) Japan/
秋田貝 [あきたがい] /(n) Japanese scallop (Patinopecten yessoensis)/
秋田竿燈まつり [あきたかんとうまつり] /(n) Kanto Festival (Akita)/
秋田犬 [あきたいぬ] /(n) Akita (breed of dog)/
秋田犬 [あきたけん] /(n) Akita (breed of dog)/
秋田県 [あきたけん] /(n) Akita prefecture (Touhoku area)/
秋田蘭画 [あきたらんが] /(n) short-lived school of Dutch-style painting that originated in the Akita feudal domain during the middle of the Edo period/
秋刀魚 [さんま] /(gikun) (n) (uk) Pacific saury (Cololabis saira)/mackerel pike/
秋唐松 [あきからまつ] /(n) (uk) Thalictrum minus var. hypoleucum (variety of lesser meadow rue)/
秋日 [しゅうじつ] /(n) (1) autumn day/fall day/(2) autumn/fall/
秋日和 [あきびより] /(n) clear autumn day/clear fall day/
秋波 [しゅうは] /(n) amorous glance/wink/
秋波を送る [しゅうはをおくる] /(exp,v5r) casting an amorous glance at a man (for a woman)/making eyes at/making advances/
秋風 [あきかぜ] /(n) autumn breeze/fall breeze/(P)/
秋風 [しゅうふう] /(n) autumn breeze/fall breeze/
秋風の月 [あきかぜのつき] /(n) (obsc) eighth lunar month/
秋風月 [あきかぜづき] /(n) (obsc) eighth lunar month/
秋風落莫 [しゅうふうらくばく] /(n) forlorn and helpless/lonely and desolate/
秋分 [しゅうぶん] /(n) autumnal equinox/autumn equinox/fall equinox/(P)/
秋分の日 [しゅうぶんのひ] /(n) autumn equinox holiday (Sep 23 or 24)/fall equinox holiday/autumnal equinox/
秋分点 [しゅうぶんてん] /(n) autumn equinoctal point/
秋味 [あきあじ] /(n) (1) salmon (esp. salmon swimming upstream in the autumn)/(2) salted salmon/
秋明菊 [しゅうめいぎく] /(n) (uk) Japanese anemone/Anemone hupehensis var. japonica/
秋葉系 [あきばけい] /(n,adj-no) (sl) Akihabara style/nerdy/
秋落ち [あきおち] /(n) poor (autumn, fall) harvest/depressed crop prices/
秋立つ日 [あきたつひ] /(n) first day (beginning) of autumn/first day of fall/
秋涼 [しゅうりょう] /(n) (1) coolness of autumn/cool autumn wind/(2) eighth lunar month/
秋涼し [あきすずし] /(adj-f) (arch) pleasantly cool (as in the arrival of autumn)/
秋冷 [しゅうれい] /(n) cool autumn weather/cool fall weather/
秋簾 [あきすだれ] /(n) (obsc) bamboo screen still in place in autumn/
秋楡 [あきにれ] /(n) (uk) Chinese elm (Ulmus parvifolia)/
秋茱萸 [あきぐみ] /(n) autumn olive (Elaeagnus umbellata)/Japanese silverberry/oleaster/
秋霖 [しゅうりん] /(n) autumn rain/fall rain/
秋霖前線 [しゅうりんぜんせん] /(n) (obsc) autumn rain front/fall rain front/
終 [おわり] /(io) (n) the end/
終い [しまい] /(n) (1) end/close/finish/termination/
終い [じまい] /(suf) (1) (uk) ending/quitting/closing/(2) (uk) indicates disappointment for not having done what one wanted or intended to do/
終う [しまう] /(v5u,vt) (uk) to finish/to close/to do something completely/to put away/to put an end to/
終える [おえる] /(v1,vt) (1) to finish/(2) to graduate/(P)/
終えん [しゅうえん] /(n) demise/
終ぞ [ついぞ] /(adv) (uk) never/not at all/
終に [ついに] /(adv) (1) (uk) finally/at last/(2) (with neg) in the end/
終のすみか [ついのすみか] /(n) one's final abode/
終の住み処 [ついのすみか] /(n) one's final abode/
終の住処 [ついのすみか] /(n) one's final abode/
終の棲家 [ついのすみか] /(n) one's final abode/
終の栖 [ついのすみか] /(n) one's final abode/
終り [おわり] /(n) the end/
終り値 [おわりね] /(n) closing price (stock exchange, etc.)/
終る [おわる] /(v5r,vi) to finish/to end/to close/
終わり [おわり] /(n) the end/(P)/
終わりまで [おわりまで] /(exp) to the end/
終わりを告げる [おわりをつげる] /(exp,v1) to mark the end/to spell the end/
終わり頃 [おわりごろ] /(n) toward the end/
終わり値 [おわりね] /(n) closing price (stock exchange, etc.)/
終わり良ければ総て良し [おわりよければすべてよし] /(exp) (id) All is well that ends well/
終わる [おわる] /(v5r,vi) to finish/to end/to close/(P)/
終バス [しゅうバス] /(n) last bus/
終映 [しゅうえい] /(n,vs) ending time of a movie/
終演 [しゅうえん] /(n,vs) end of a performance/
終刊 [しゅうかん] /(n,vs) cessation of publication/
終刊号 [しゅうかんごう] /(n) final issue/last issue of a publication/
終期 [しゅうき] /(n) ending/closing/
終業 [しゅうぎょう] /(n,vs) end of work/end of school/
終業時間 [しゅうぎょうじかん] /(n) closing hour/
終業式 [しゅうぎょうしき] /(n) closing ceremony/
終局 [しゅうきょく] /(n,adj-no) end/close/conclusion/denouement/finale/end of a game of go/(P)/
終曲 [しゅうきょく] /(n) finale/
終極 [しゅうきょく] /(n,adj-no) ultimate/final/
終劇 [しゅうげき] /(n,vs) end of a play/
終決 [しゅうけつ] /(n) ending/conclusion/
終結 [しゅうけつ] /(n,vs,adj-no) end/close/(P)/
終始 [しゅうし] /(n,vs) (1) beginning and end/from beginning to end/doing a thing from beginning to end/(adv) (2) consistently/the whole time/(P)/
終始一貫 [しゅうしいっかん] /(adv) consistency/unchanging from beginning to end/
終止 [しゅうし] /(n,vs) termination/cessation/stop/
終止形 [しゅうしけい] /(n) (ling) predicative form/
終止符 [しゅうしふ] /(n) (1) full stop/period/(2) end/(P)/
終止符を打つ [しゅうしふをうつ] /(exp,v5t) put an end (to)/close the books (on)/
終車 [しゅうしゃ] /(n) the last train or bus (of a day)/
終助詞 [しゅうじょし] /(n) sentence-ending particle (yo, ne, kashi, etc.)/
終宵 [しゅうしょう] /(n) all-night long/
終審 [しゅうしん] /(n) final trial/
終身 [しゅうしん] /(n,adj-no) the whole life/(P)/
終身会員 [しゅうしんかいいん] /(n) life member/
終身官 [しゅうしんかん] /(n) official holding a lifetime appointment/
終身刑 [しゅうしんけい] /(n) life imprisonment/life sentence/
終身雇用 [しゅうしんこよう] /(n) lifetime employment/permanent employment/
終身雇用制 [しゅうしんこようせい] /(n) (Japanese) system of lifetime employment/
終身雇用制度 [しゅうしんこようせいど] /(n) (Japanese) system of lifetime employment/
終身年金 [しゅうしんねんきん] /(n) life pension/annuity/
終身保険 [しゅうしんほけん] /(n) whole life insurance/
終世 [しゅうせい] /(n-adv,n-t) lifelong/
終生 [しゅうせい] /(n-adv,n-t) all one's life/lifelong/
終戦 [しゅうせん] /(n) end of war/cessation of hostilities/(P)/
終戦記念日 [しゅうせんきねんび] /(n) anniversary of the end of a war/
終戦後 [しゅうせんご] /(adj-no) postwar/
終戦直後 [しゅうせんちょくご] /(exp) early post war period/immediately after the war/
終息 [しゅうそく] /(n,vi,vs) having ended/being resolved/(P)/
終端 [しゅうたん] /(n) terminus/terminal/end edge/
終端せず [しゅうたんせず] /(n) (comp) non-terminating/non-terminated/
終端バイト [しゅうたんバイト] /(n) (comp) final byte/
終端間 [しゅうたんかん] /(n) (comp) end-to-end/
終端間暗号化 [しゅうたんかんあんごうか] /(n) (comp) end-to-end encipherment/
終端抵抗 [しゅうたんていこう] /(n) (comp) terminator/
終端部 [しゅうたんぶ] /(n) (comp) trailer/
終端文字 [しゅうたんもじ] /(n) (comp) final character/
終値 [おわりね] /(n) closing price (stock exchange, etc.)/(P)/
終着 [しゅうちゃく] /(n) making one's final stop (e.g. of a bus, train, etc.)/reaching the end of the line/
終着駅 [しゅうちゃくえき] /(n) terminal station/(P)/
終着局 [しゅうちゃくきょく] /(n) (comp) end office/terminating office/
終着点 [しゅうちゃくてん] /(n) final destination/last stop/end/conclusion/goal/
終点 [しゅうてん] /(n) terminus/last stop (e.g. train)/(P)/
終電 [しゅうでん] /(n) last train/(P)/
終電車 [しゅうでんしゃ] /(n) last train/
終日 [しゅうじつ] /(n-adv,n-t) all day/for a whole day/(P)/
終日 [ひねもす] /(n-adv,n-t) all day/for a whole day/
終日 [ひめもす] /(n-adv,n-t) all day/for a whole day/
終日 [ひもすがら] /(n-adv,n-t) all day/for a whole day/
終脳 [しゅうのう] /(n) telencephalon/
終発 [しゅうはつ] /(n) last departure (of a train, bus, etc.)/last train/last bus/
終盤 [しゅうばん] /(n) endgame/final stage/(P)/
終盤戦 [しゅうばんせん] /(n) end of campaign/
終筆 [しゅうひつ] /(n) end of a brush-stroke/
終幕 [しゅうまく] /(n) end/close/
終末 [しゅうまつ] /(n,adj-no) an end/a close/(P)/
終末医療 [しゅうまついりょう] /(n) terminal care/
終末論 [しゅうまつろん] /(n) eschatology/
終夜 [しゅうや] /(n-adv,n-t) all night/
終夜 [よもすがら] /(adv) all night/
終夜運転 [しゅうやうんてん] /(n) all-night service/
終夜営業 [しゅうやえいぎょう] /(n,adj-no) (a business) open all night/
終夜灯 [しゅうやとう] /(n) night light/
終了 [しゅうりょう] /(n,vs) end/close/termination/(P)/
終了コード [しゅうりょうコード] /(n) (comp) exit code/
終了ステータス [しゅうりょうステータス] /(n) (comp) exit status/
終了タグ [しゅうりょうタグ] /(n) (comp) end tag/closing tag/
終了記号 [しゅうりょうきごう] /(n) (comp) message indicator/
終了後 [しゅうりょうご] /(n-adv,n-t) after the end (of something)/post-/(P)/
終了条件 [しゅうりょうじょうけん] /(n) (comp) at end condition/
終了日 [しゅうりょうび] /(n) end date/
終列車 [しゅうれっしゃ] /(n) last train (of the day)/
終焉 [しゅうえん] /(n) demise/(P)/
終熄 [しゅうそく] /(n,vi,vs) having ended/being resolved/
繍線菊 [しもつけ] /(n) (uk) (abbr) Japanese spirea (Spiraea Japonica)/
習々 [しゅうしゅう] /(n) (on-mim) gentle breeze/
習い [ならい] /(n) as is habit/the way life normally is/
習い事 [ならいごと] /(n) accomplishment/lesson/practice/practise/
習い性と成る [ならいせいとなる] /(exp) (id) Habit is a second nature/
習う [ならう] /(v5u,vt) to learn/(P)/
習うより慣れよ [ならうよりなれよ] /(exp) practice makes perfect (implying that it is better to learn from personal experience than from an instructor)/
習わし [ならわし] /(n,adj-no) customary practice/customary practise/habit/traditional event/
習わす [ならわす] /(v5s,vt) to make (someone) learn/
習慣 [しゅうかん] /(n,adj-no) custom/habit/manners/(P)/
習慣づける [しゅうかんづける] /(v1) to make a habit of/to make it a practice to/
習慣性薬物 [しゅうかんせいやくぶつ] /(n) addictive drug/
習慣付ける [しゅうかんづける] /(v1) to make a habit of/to make it a practice to/
習合 [しゅうごう] /(n,vs) syncretism/
習合神道 [しゅうごうしんとう] /(n) syncretized Shinto/amalgamated Shinto/
習作 [しゅうさく] /(n) (a) study (e.g. in music, art, sculpture, etc.)/etude/practice piece/
習字 [しゅうじ] /(n) penmanship/(P)/
習習 [しゅうしゅう] /(n) (on-mim) gentle breeze/
習熟 [しゅうじゅく] /(n,vs) skilled/expert/mastery/
習熟度 [しゅうじゅくど] /(n) proficiency level/degree of skill/learning level/
習性 [しゅうせい] /(n) trait/(P)/
習俗 [しゅうぞく] /(n) manners and customs/folkways/usage/
習得 [しゅうとく] /(n,vs) learning/acquisition/(P)/
習得観念 [しゅうとくかんねん] /(n) (obsc) acquired idea (as opposed to innate)/acquired ideas/
習癖 [しゅうへき] /(n) (bad) habit/
習練 [しゅうれん] /(n,vs) practice/practise/training/discipline/
臭 [しゅう] /(suf) (1) -smell/stinking of/(2) smacking of/hinting of/
臭い [くさい] /(adj-i) (1) stinking/smelly/(2) suspicious/fishy/(3) clumsy/(P)/
臭い [におい] /(n) (1) odour/odor/scent/smell/stench/(2) aura/whiff/smacks of .../sense/flavour/flavor/
臭いものにふた [くさいものにふた] /(exp) looking the other way/hushing up a problem/solving a problem by ignoring it/
臭い消し [においけし] /(n) deodorant/
臭い奴 [くさいやつ] /(n) dubious fellow/
臭い物にふた [くさいものにふた] /(exp) looking the other way/hushing up a problem/solving a problem by ignoring it/
臭い物に蓋 [くさいものにふた] /(exp) looking the other way/hushing up a problem/solving a problem by ignoring it/
臭う [におう] /(v5u,vi) (1) to be fragrant/to smell (good)/(2) to stink/to smell (bad)/(3) to glow/to be bright/(P)/
臭み [くさみ] /(n) (1) bad smell/(2) affectation/fulsomeness/
臭化 [しゅうか] /(n,vs) bromination/
臭化カリウム [しゅうかカリウム] /(n) potassium bromide (KBr)/
臭化メチル [しゅうかメチル] /(n) methyl bromide/
臭化水素 [しゅうかすいそ] /(n) hydrogen bromide (HBr)/
臭覚 [しゅうかく] /(n) the sense of smell/
臭気 [しゅうき] /(n) bad smell/stink/(P)/
臭気芬々 [しゅうきふんぷん] /(n,adj-t,adv-to) giving off a foul odor/the air being heavy with an offensive smell/
臭気芬芬 [しゅうきふんぷん] /(n,adj-t,adv-to) giving off a foul odor/the air being heavy with an offensive smell/
臭亀 [くさがめ] /(n) (1) (uk) Chinese pond turtle (Chinemys reevesii)/Reeves' turtle/(2) stink bug/shield bug/
臭橘 [しゅうきつ] /(n) trifoliate orange (Poncirus trifoliata)/hardy orange/
臭細胞 [しゅうさいぼう] /(n) olfactory cell/
臭腺 [しゅうせん] /(n) scent gland/
臭素 [しゅうそ] /(n,adj-no) bromine (Br)/
臭素紙 [しゅうそし] /(n) (obsc) bromide paper/
臭鼠 [においねずみ] /(n) (uk) muskrat (Ondatra zibethicus)/
臭豆腐 [しゅうどうふ] /(n) fermented tofu/stinky tofu/smelly tofu/
臭豆腐 [ちょうどうふ] /(n) fermented tofu/stinky tofu/smelly tofu/
臭味 [くさみ] /(n) (1) bad smell/(2) affectation/fulsomeness/
臭味 [しゅうみ] /(n) bad smell/stink/
臭木 [くさぎ] /(n) (uk) harlequin glorybower (species of flowering plant, Clerodendrum trichotomum)/
臭橙 [かぼす] /(n) (uk) kabosu (type of citrus fruit) (Citrus sphaerocarpa)/
舟 [ふね] /(n) (1) ship/boat/watercraft/vessel/steamship/(2) tank/tub/vat/trough/(n-suf,ctr) (3) counter for boat-shaped containers (e.g. of sashimi)/
舟をこぐ [ふねをこぐ] /(exp,v5g) (1) to row a boat/(2) to nod off/to doze off/
舟を出す [ふねをだす] /(exp,v5s) to take out a boat/to put out a boat/
舟を漕ぐ [ふねをこぐ] /(exp,v5g) (1) to row a boat/(2) to nod off/to doze off/
舟唄 [ふなうた] /(n) sailor's song/boat song/shanty/
舟運 [しゅううん] /(n) transportation by water (i.e. by ship)/
舟歌 [ふなうた] /(n) sailor's song/boat song/shanty/
舟貝 [ふねがい] /(n) (uk) Arca avellana (species of ark shell)/
舟脚 [ふなあし] /(n) (1) speed of a boat/(2) draft/draught/
舟橋 [ふなはし] /(n) pontoon/
舟形 [ふながた] /(n,adj-no) navicular/boat-shaped/
舟券 [しゅうけん] /(n) boat race betting ticket/
舟券 [ふなけん] /(n) boat race betting ticket/
舟航 [しゅうこう] /(n,vs) boating/sailing/
舟行 [しゅうこう] /(n,vs) boating/sailing/navigation/
舟場 [ふなば] /(n) (arch) wharf/quay/dock/
舟状 [しゅうじょう] /(n,adj-no) boat-shaped/scaphoid/
舟状骨 [しゅうじょうこつ] /(n) navicular bone (largest wrist bone on the thumb side)/scaphoid (bone)/
舟人 [ふなびと] /(n) sailor/boatman/passenger/
舟盛り [ふなもり] /(n) boat-wrap sushi/
舟足 [ふなあし] /(n) (1) speed of a boat/(2) draft/draught/
舟大工 [ふなだいく] /(n) shipwright/boatbuilder/
舟棚 [ふなだな] /(n) (obsc) planking (on a wooden ship)/
舟着き場 [ふなつきば] /(n) harbour/harbor/landing place/wharf/anchorage/
舟着場 [ふなつきば] /(n) harbour/harbor/landing place/wharf/anchorage/
舟艇 [しゅうてい] /(n) boat/watercraft/(P)/
舟嚢炎 [とうのうえん] /(n) navicular disease/navicular syndrome/
舟偏 [ふねへん] /(n) kanji "boat" radical at left/
舟遊び [ふなあそび] /(n) boating/sailing/
蒐荷 [しゅうか] /(n,vs) collection of cargo/cargo booking/
蒐集 [しゅうしゅう] /(n,vs) gathering up/collection/accumulation/
衆 [しゅ] /(n,n-suf) masses/great number/the people/
衆 [しゅう] /(n,n-suf) masses/great number/the people/(P)/
衆意 [しゅうい] /(n) public opinion/
衆院 [しゅういん] /(n) lower house of the Diet/(P)/
衆院議員 [しゅういんぎいん] /(n) member of the lower house/member of the House of Representatives/
衆院選 [しゅういんせん] /(n) House of Representatives election/lower house election/
衆院予算委 [しゅういんよさんい] /(n) (abbr) Budget Committee of the lower house of the Diet (one half of the yosaniinkai)/
衆院予算委員会 [しゅういんよさんいいんかい] /(n) Budget Committee of the lower house of the Diet (one half of the yosaniinkai)/
衆寡 [しゅうか] /(n) the many and the few/
衆議 [しゅうぎ] /(n) mass meeting/
衆議一決 [しゅうぎいっけつ] /(n) deciding unanimously or by consensus/
衆議員議長 [しゅうぎいんぎちょう] /(n) speaker of the Lower House/
衆議院 [しゅうぎいん] /(n) lower house/House of Representatives/(P)/
衆議院運営委員会 [しゅうぎいんうんえいいいんかい] /(n) House of Representatives Steering Committee/
衆議院解散 [しゅうぎいんかいさん] /(n) dissolution of the lower house of parliament/
衆議院議員 [しゅうぎいんぎいん] /(n) member of the Lower House/
衆愚 [しゅうぐ] /(n) the vulgar masses/
衆愚政治 [しゅうぐせいじ] /(n) mobocracy/mob rule/ochlocracy/
衆愚政治 [しゅぐせいじ] /(n) mobocracy/mob rule/ochlocracy/
衆参各院 [しゅうさんかくいん] /(exp) (in) each of the houses of the Japanese parliament/
衆参両院 [しゅうさんりょういん] /(n) both houses of Parliament (Diet)/
衆庶 [しゅうしょ] /(n) the masses/common people/
衆人 [しゅうじん] /(n) the people/the public/
衆人環視 [しゅうじんかんし] /(exp) (in) the presence of the whole company/with all eyes filed upon (one)/
衆生 [しゅじょう] /(n) living things/the people/
衆生済度 [しゅじょうさいど] /(n) enlightenment of the masses/leading the masses on the path of enlightenment (Buddhism)/
衆説 [しゅうせつ] /(n) various theories/
衆多 [しゅうた] /(n) multitude/great numbers/
衆知 [しゅうち] /(n) the wisdom of the many/
衆智 [しゅうち] /(n) the wisdom of the many/
衆徒 [しゅうと] /(n) many priests/(Heian era) monk-soldiers/
衆徒 [しゅと] /(n) (1) (Buddh) many priests/(2) (Heian era) monk-soldiers/
衆道 [しゅうどう] /(n) male homosexuality/pederasty/
衆道 [しゅどう] /(n) male homosexuality/pederasty/
衆評 [しゅうひょう] /(n) public opinion/
衆望 [しゅうぼう] /(n) public confidence/popular support/
衆目 [しゅうもく] /(n) all eyes/public attention/
衆目一致 [しゅうもくいっち] /(exp) The consensus of opinion is that .../It is widely agreed (admitted) that .../
衆論 [しゅうろん] /(n) public opinion/
襲 [かさね] /(n) (1) layers of clothing worn under one's overcoat/(2) (abbr) combination of colors created by layering of garments (colours)/
襲い掛かる [おそいかかる] /(v5r,vi) to rush on/to attack/to swoop down on/
襲い攻める [おそいせめる] /(v1) to array against/
襲う [おそう] /(v5u,vt) (1) to attack/to assail/to make an assault/to strike/to hunt down/(2) to succeed (someone in a post, role, etc.)/(3) to make a sudden visit/(P)/
襲ぐ [つぐ] /(v5g,vt) to succeed (someone in a business or inheritance)/
襲の色目 [かさねのいろめ] /(n) combination of colors created by layering of garments (colours)/
襲衣 [しゅうい] /(n,vs) wearing one garment over another/
襲撃 [しゅうげき] /(n,vs) attack/charge/raid/(P)/
襲爵 [しゅうしゃく] /(n,vs) succession to the peerage/
襲歩 [しゅうほ] /(n) gallop (horse gait)/
襲芳舎 [しほうしゃ] /(n) court ladies' residence (in the inner Heian Palace)/
襲芳舎 [しゅうほうしゃ] /(n) court ladies' residence (in the inner Heian Palace)/
襲名 [しゅうめい] /(n,vs) succession to another's professional name/(P)/
襲名披露 [しゅうめいひろう] /(n,vs) announcing the succession to another's stage name/
襲用 [しゅうよう] /(n,vs) adoption/following/
襲来 [しゅうらい] /(n,vs) invasion/raid/attack/visitation (of a calamity)/
襲雷 [しゅうらい] /(n) lightning strike/lightning bolt/
讐 [あだ] /(n) (1) foe/enemy/rival/(2) resentment/enmity/grudge/(3) harm/injury/
蹴っ飛ばす [けっとばす] /(v5s,vt) to kick hard/
蹴とばす [けとばす] /(v5s,vt) to kick away/to kick off/to kick (someone)/to refuse/to reject/
蹴り [けり] /(n) kick/
蹴りあげる [けりあげる] /(v1) to kick up/to fling up/
蹴りつける [けりつける] /(v1) to kick (at someone, something)/
蹴り込む [けりこむ] /(v5m) to kick in/
蹴り殺す [けりころす] /(v5s) to kick to death/
蹴り出す [けりだす] /(v5s) to kick out (e.g. someone from a house)/
蹴り上げる [けりあげる] /(v1) to kick up/to fling up/
蹴り入れる [けりいれる] /(v1) to kick (into something, e.g. a goal)/
蹴り付ける [けりつける] /(v1) to kick (at someone, something)/
蹴る [ける] /(v5r,vt) (1) to kick/(2) to refuse/to reject/(P)/
蹴鞠 [けまり] /(n) kemari/type of football played by courtiers in ancient Japan/
蹴球 [しゅうきゅう] /(n) football/soccer/
蹴合い [けあい] /(n) kicking each other/cockfighting/
蹴込み [けこみ] /(n) riser/footboard/
蹴込む [けこむ] /(v5m,vt) to kick in(to)/to sustain a loss/
蹴散らす [けちらす] /(v5s,vt) to kick about/
蹴子 [しゅうし] /(n) ejector (rifle, pistol)/
蹴子痕 [しゅうしこん] /(n) ejector mark (on a cartridge)/
蹴子覆 [しゅうしふく] /(n) ejector housing (rifle, pistol)/
蹴手繰り [けたぐり] /(n) pulling inside ankle sweep (sumo)/
蹴出す [けだす] /(v5s,vt) to kick out/to cut back (on spending)/
蹴上 [けあげ] /(n) riser (in a building)/rise/
蹴上がり [けあがり] /(n) a kick/mounting a bar with a kick/
蹴上げ [けあげ] /(n) riser (in a building)/rise/
蹴上げる [けあげる] /(v1,vt) to kick up/
蹴爪 [けづめ] /(n) fetlock (horse, etc.)/spur (chicken, etc.)/cockspur/dewclaw (dog, etc.)/
蹴倒す [けたおす] /(v5s,vt) to kick over/to kick down/
蹴破る [けやぶる] /(v5r,vt) to kick in or open/to smash through/
蹴飛ばす [けとばす] /(v5s,vt) to kick away/to kick off/to kick (someone)/to refuse/to reject/
蹴返し [けかえし] /(n) minor inner footsweep (sumo)/
蹴返す [けかえす] /(v5s,vt) to kick back/
蹴落す [けおとす] /(v5s,vt) to kick down/to defeat/
蹴落とす [けおとす] /(v5s,vt) to kick down/to defeat/
蹴立てる [けたてる] /(v1,vt) to kick up/
蹴躓く [けつまずく] /(v5k) (1) (uk) to trip over something/to stumble/(2) to fail/
輯録 [しゅうろく] /(oK) (n,vs) (1) compilation/editing/(2) recording/
週 [しゅう] /(n,n-suf) week/(P)/
週あけ [しゅうあけ] /(n) beginning of the week/new week opening/Monday/
週案 [しゅうあん] /(n) weekly ideas/weekly thoughts/ideas brought forth at the conclusion of a week/
週一回 [しゅういっかい] /(exp) once per week/
週一日 [しゅういちにち] /(exp) one day a week/
週刊 [しゅうかん] /(n) published weekly/(P)/
週刊雑誌 [しゅうかんざっし] /(n) weekly magazine/
週刊紙 [しゅうかんし] /(n) weekly newspaper/
週刊誌 [しゅうかんし] /(n) weekly publication/(P)/
週間 [しゅうかん] /(n) week/weekly/(P)/
週間天気予報 [しゅうかんてんきよほう] /(n) weather forecast for coming week/
週期 [しゅうき] /(n) cycle/period/
週休 [しゅうきゅう] /(n) weekly holiday/(P)/
週休二日制 [しゅうきゅうふつかせい] /(n) five-day workweek system/
週給 [しゅうきゅう] /(n) weekly pay/
週五日 [しゅういつか] /(exp) five days a week/
週三回 [しゅうさんかい] /(exp) three times a week/
週三日 [しゅうみっか] /(exp) three days a week/
週四日 [しゅうよっか] /(exp) four days a week/
週次 [しゅうじ] /(adj-f) weekly/
週七日 [しゅうなのか] /(exp) seven days a week/
週内 [しゅうない] /(n) by the end of this week/within the week/(P)/
週二日 [しゅうふつか] /(exp) two days a week/
週日 [しゅうじつ] /(n) weekday/
週番 [しゅうばん] /(n) weekly duty/
週報 [しゅうほう] /(n) weekly report/weekly bulletin/
週末 [しゅうまつ] /(n-adv,n) weekend/(P)/
週明け [しゅうあけ] /(n) beginning of the week/new week opening/Monday/(P)/
週令 [しゅうれい] /(n,suf) week-old/
週六日 [しゅうむいか] /(exp) six days a week/
週齡 [しゅうれい] /(n,suf) week-old/
酋長 [しゅうちょう] /(n) chieftain/
酬い [むくい] /(n) reward/recompense/return/punishment/retribution/
酬いる [むくいる] /(v1,vt) to reward/to recompense/to repay/
酬う [むくう] /(v5u,vt) to reward/to recompense/to repay/
集 [しゅう] /(n-suf) collection/compilation/(P)/
集い [つどい] /(n) meeting/get-together (e.g. among friends)/(P)/
集う [つどう] /(v5u) to meet/to assemble/to congregate/(P)/
集じん機 [しゅうじんき] /(n) dust collector/
集まり [あつまり] /(n) gathering/meeting/assembly/collection/(P)/
集まる [あつまる] /(v5r,vi) to gather/to collect/to assemble/(P)/
集め [あつめ] /(n,suf) collecting/assembling/
集める [あつめる] /(v1,vt) to collect/to assemble/to gather/(P)/
集め始める [あつめはじめる] /(v1) to begin to catch (attention, etc.)/to begin to collect/
集り [あつまり] /(io) (n) gathering/meeting/assembly/collection/
集る [あつまる] /(io) (v5r,vi) to gather/to collect/to assemble/
集る [たかる] /(v5r,vi) (1) (uk) to gather/to crowd round/to swarm/to flock/(2) to extort from/to sponge off/(P)/
集印 [しゅういん] /(n) visiting temples, shrines or tourist spots to collect commemorative seal stamps/
集音機 [しゅうおんき] /(n) parabolic reflector/
集荷 [しゅうか] /(n,vs) collection of cargo/cargo booking/(P)/
集貨 [しゅうか] /(n,vs) collection of freight/
集会 [しゅうかい] /(n,vs) meeting/assembly/gathering/congregation/convention/rally/(P)/
集会の自由 [しゅうかいのじゆう] /(exp,n) freedom of assembly/
集会所 [しゅうかいじょ] /(n) meeting place/assembly hall/
集塊 [しゅうかい] /(n) agglomerate (e.g. of cells, molecules, etc.)/aggregation/mass/cluster/
集学的治療 [しゅうがくてきちりょう] /(n) multidisciplinary therapy/
集客 [しゅうきゃく] /(n,vs) attracting customers/
集客交流 [しゅうきゃくこうりゅう] /(n) hospitality (industry)/
集客力 [しゅうきゃくりょく] /(n) ability to attract customers/
集魚灯 [しゅうぎょとう] /(n) fish-luring lights/
集金 [しゅうきん] /(n,vs) money collection/(P)/
集金人 [しゅうきんにん] /(n) bill collector/
集群 [しゅうぐん] /(n,vs) gather a group together/
集計 [しゅうけい] /(n,vs) totalization/totalisation/aggregation/tally (e.g. votes)/(P)/
集計結果 [しゅうけいけっか] /(n) (comp) aggregate results/total results/
集結 [しゅうけつ] /(n,vs) massing (of troops)/gathering/
集権 [しゅうけん] /(n) centralization (e.g. power)/centralisation/
集権排除 [しゅうけんはいじょ] /(n) decentralization/decentralisation/
集光 [しゅうこう] /(n,vs) condense/
集光器 [しゅうこうき] /(n) condenser/
集合 [しゅうごう] /(n,vs,adj-no) (1) gathering/assembly/meeting/(2) (math) set/(P)/
集合フェロモン [しゅうごうフェロモン] /(n) aggregation pheromone/
集合記述 [しゅうごうきじゅつ] /(n) set description/
集合型 [しゅうごうがた] /(n) (comp) set type/
集合財 [しゅうごうざい] /(n) collective goods (i.e, goods or services such as parks, highways, etc. which could be supplied privately, but are usually provided by the government)/
集合時間 [しゅうごうじかん] /(n) time appointed for meeting (assembling)/time one is supposed to meet/
集合自殺 [しゅうごうじさつ] /(n,vs) (obsc) group suicide/mass suicide/arranged suicide of two or more people/
集合住宅 [しゅうごうじゅうたく] /(n) apartment building/housing complex/
集合場所 [しゅうごうばしょ] /(n) meeting place/rendezvous (point)/roll-call (assembly) point/appointed (designated) place/
集合体 [しゅうごうたい] /(n) assembly/aggregation/
集合値属性 [しゅうごうちぞくせい] /(n) (comp) set-valued attribute/
集合知 [しゅうごうち] /(n) wisdom of crowds/
集合的 [しゅうごうてき] /(adj-na) collective/
集合的無意識 [しゅうごうてきむいしき] /(n) collective unconscious/
集合犯 [しゅうごうはん] /(n) (1) single crime that naturally consists of a number of incidences and is charged as only one count (i.e. habitual gambling)/(2) crime whose goal requires a large number of people acting together (i.e. insurrection)/
集合名詞 [しゅうごうめいし] /(n) (ling) collective noun/
集合論 [しゅうごうろん] /(n) (math) set theory/
集札 [しゅうさつ] /(n,vs) ticket collection/
集札係 [しゅうさつがかり] /(n) ticket collector/
集散 [しゅうさん] /(n,vs) collection (gathering) and distribution/(P)/
集散花序 [しゅうさんかじょ] /(n,adj-no) cymose inflorescence (any determinate simple inflorescence)/cyme/
集散主義 [しゅうさんしゅぎ] /(iK) (n) collectivism/
集散地 [しゅうさんち] /(n) distribution or trading center/distribution or trading centre/
集産主義 [しゅうさんしゅぎ] /(n) collectivism/
集輯 [しゅうしゅう] /(n,vs) gathered together and compiled/
集信装置 [しゅうしんそうち] /(n) (comp) concentrator/
集塵 [しゅうじん] /(n) collecting dust/
集塵機 [しゅうじんき] /(n) dust collector/
集塵袋 [しゅうじんぶくろ] /(n) vacuum cleaner bag/
集成 [しゅうせい] /(n,vs) aggregation/
集成体型 [しゅうせいたいけい] /(n) (comp) aggregate/
集積 [しゅうせき] /(n,vs) accumulation/(P)/
集積化 [しゅうせきか] /(n,vs) integration, e.g. of electronic components into integrated circuits/
集積回路 [しゅうせきかいろ] /(n) integrated-circuit/
集積回路メモリ [しゅうせきかいろメモリ] /(n) (comp) integrated circuit memory/IC memory/
集積回路メモリー [しゅうせきかいろメモリー] /(n) (comp) integrated circuit memory/
集積回路記憶装置 [しゅうせきかいろきおくそうち] /(n) (comp) integrated circuit memory/IC memory/
集積点 [しゅうせきてん] /(n) (math) accumulation point/limit point/
集線装置 [しゅうせんそうち] /(n) (comp) line concentrator/line multiplexer/
集束 [しゅうそく] /(n,vs) focusing/
集村 [しゅうそん] /(n) agglomerated rural settlement/
集大成 [しゅうたいせい] /(n,vs) compilation/(P)/
集団 [しゅうだん] /(n) group/mass/(P)/
集団ヒステリー [しゅうだんヒステリー] /(n) mass hysteria/
集団安全保障 [しゅうだんあんぜんほしょう] /(n) collective security/
集団意識 [しゅうだんいしき] /(n) group consciousness/
集団遺伝学 [しゅうだんいでんがく] /(n) population genetics/
集団感染 [しゅうだんかんせん] /(n) mass infection/
集団結婚 [しゅうだんけっこん] /(n) group wedding/
集団検診 [しゅうだんけんしん] /(n) group medical examination/
集団行動 [しゅうだんこうどう] /(n) group (collective) action/collective behavior/collective behaviour/
集団項目 [しゅうだんこうもく] /(n) (comp) group item/
集団思考 [しゅうだんしこう] /(n) groupthink/
集団自殺 [しゅうだんじさつ] /(n,vs) group suicide/mass suicide/arranged suicide of two or more people/
集団主義 [しゅうだんしゅぎ] /(n) collectivism (giving priority to a group rather than any individual member)/
集団就職 [しゅうだんしゅうしょく] /(n) group employment/
集団心理 [しゅうだんしんり] /(n) mass psychology/
集団生活 [しゅうだんせいかつ] /(n) living in a group/communal living (life)/
集団全体 [しゅうだんぜんたい] /(n) (whole) group/
集団訴訟 [しゅうだんそしょう] /(n) class-action (lawsuit)/
集団的自衛権 [しゅうだんてきじえいけん] /(n) right to collective defense/right to collective defence/
集団的防衛 [しゅうだんてきぼうえい] /(n) collective defense/
集団登校 [しゅうだんとうこう] /(n,vs) going to school in groups/
集団農場 [しゅうだんのうじょう] /(n) collective farm/
集団発生 [しゅうだんはっせい] /(n) mass outbreak (of a disease)/
集団犯 [しゅうだんはん] /(n) crime whose goal requires a large number of people acting together (i.e. insurrection)/
集団犯罪 [しゅうだんはんざい] /(n) collective guilt/
集団力学 [しゅうだんりきがく] /(n) group dynamics/
集中 [しゅうちゅう] /(n,vs,adj-no) concentration/convergence/centralization/integration/gathering together/(P)/
集中データ処理 [しゅうちゅうデータしょり] /(n) (comp) centralized data processing/
集中データ処理システム [しゅうちゅうデータしょりシステム] /(n) (comp) centralized data processing system/
集中化 [しゅうちゅうか] /(n,vs) (comp) centralization/
集中管理 [しゅうちゅうかんり] /(n) (comp) centralized management/
集中局 [しゅうちゅうきょく] /(n) (comp) Toll Center/
集中局区域 [しゅうちゅうきょくくいき] /(n) (comp) Toll Area/
集中型 [しゅうちゅうがた] /(n) centralized model/
集中型Ｎ多端点コネクション [しゅうちゅうがたエンたたんてんコネクション] /(n) (comp) centralized (N)-multi-endpoint-connection/
集中攻撃 [しゅうちゅうこうげき] /(n,vs) (making, launching) concentrated attack (on, against)/
集中講義 [しゅうちゅうこうぎ] /(n) closely-packed series of lectures/intensive course/
集中豪雨 [しゅうちゅうごうう] /(n) local downpour/severe rain fall/(P)/
集中治療室 [しゅうちゅうちりょうしつ] /(n) intensive care unit/ICU/
集中処理 [しゅうちゅうしょり] /(n) (comp) centralized (data) processing/
集中神経系 [しゅうちゅうしんけいけい] /(n) concentrated nervous system/
集中制御 [しゅうちゅうせいぎょ] /(n) (comp) centralized control/
集中線 [しゅうちゅうせん] /(n) saturated linework/concentrated linework/
集中的 [しゅうちゅうてき] /(adj-na) intensive/concentrated/focused/
集中日 [しゅうちゅうび] /(n) day on which many companies hold shareholders meetings (to limit disruption by would-be blackmailers)/
集中砲火 [しゅうちゅうほうか] /(n) concentrated fire/
集中力 [しゅうちゅうりょく] /(n) (powers of) concentration/ability to concentrate/
集注 [しっちゅう] /(n,vs) variorum/
集注 [しゅうちゅう] /(n,vs) variorum/
集註 [しっちゅう] /(n) variorum/
集註 [しゅうちゅう] /(n) variorum/
集配 [しゅうはい] /(n,vs) collection and delivery/
集配信装置 [しゅうはいしんそうち] /(n) (comp) concentrator/
集配人 [しゅうはいじん] /(n) postman/mailman/mail carrier/
集配人 [しゅうはいにん] /(n) postman/mailman/mail carrier/
集票 [しゅうひょう] /(n,vs) gathering votes/(P)/
集約 [しゅうやく] /(n,vs) (1) intensive/(2) collect(ed)/summarize(d)/summarise(d)/(P)/
集約的 [しゅうやくてき] /(adj-na) intensive/
集約農業 [しゅうやくのうぎょう] /(n) intensive farming/
集落 [しゅうらく] /(n) village/community/settlement/town/colony (animals, etc.)/(P)/
集録 [しゅうろく] /(n,vs) (1) compilation/editing/(2) recording/
醜 [しゅう] /(n) ugliness/
醜い [みにくい] /(adj-i) (1) ugly/unattractive/(2) unsightly/unseemly/(P)/
醜い争い [みにくいあらそい] /(n) scandalous dispute/
醜と美 [しゅうとび] /(exp) ugliness and beauty/
醜の御楯 [しこのみたて] /(exp) the humble shield of our Sovereign Lord/
醜悪 [しゅうあく] /(adj-na,n) ugliness/meanness/offensiveness/(P)/
醜怪 [しゅうかい] /(adj-na) monstrous/hideous/ugly/bizarre/
醜業 [しゅうぎょう] /(n) prostitution/
醜業婦 [しゅうぎょうふ] /(n) prostitute/
醜語 [しゅうご] /(n) (1) swear word/dirty word/(2) coprolalia/
醜語症 [しゅうごしょう] /(n) coprolalia/uncontrollable use of obscene language/
醜行 [しゅうこう] /(n) disgraceful (scandalous) conduct/shameful behavior/shameful behaviour/
醜女 [しこめ] /(n,adj-na,adj-no) (1) homely woman/plain-looking woman/(2) female demon/
醜女 [しゅうじょ] /(n,adj-na,adj-no) (1) homely woman/plain-looking woman/(P)/
醜女 [ぶおんな] /(n,adj-na,adj-no) (1) homely woman/plain-looking woman/
醜女 [ぶす] /(n,adj-na,adj-no) (1) homely woman/plain-looking woman/
醜状 [しゅうじょう] /(n) disgraceful state of affairs/
醜態 [しゅうたい] /(n) shameful sight/disgraceful behavior/disgraceful behaviour/(P)/
醜男 [じこお] /(n) (1) (derog) ugly man/(2) strong, brawny man/
醜男 [ぶおとこ] /(n) (1) (derog) ugly man/
醜聞 [しゅうぶん] /(n) scandal/(P)/
醜貌 [しゅうぼう] /(n) hideous face/
醜名 [しこな] /(n) (uk) sumo wrestler's stage name/
醜名 [しゅうめい] /(n) scandal/
醜類 [しゅうるい] /(n) evil-doers/
什 [じゅう] /(n) (1) 10/ten/(2) (arch) book containing a collection of poems/
什一 [じゅういち] /(n) tithe/
什一献金 [じゅういちけんきん] /(n) tithes/
什器 [じゅうき] /(n) utensil/appliance/furniture/
什物 [じゅうもつ] /(n) furniture/fixtures/utensil/treasure/
什宝 [じゅうほう] /(n) treasured article/
住 [じゅう] /(n) dwelling/living/(P)/
住い [すまい] /(n,vs) dwelling/house/residence/address/
住す [じゅうす] /(v5s,vi) to live/to reside/to inhabit/
住する [じゅうする] /(vs-s,vi) to live/to reside/to inhabit/
住まい [すまい] /(n,vs) dwelling/house/residence/address/(P)/
住まう [すまう] /(v5u,vi) to live/to reside/to inhabit/(P)/
住みか [すみか] /(n) dwelling/house/residence/den/habitat/
住みつく [すみつく] /(v5k,vi) to settle (in a place)/to settle down/
住み家 [すみか] /(n) dwelling/house/residence/den/habitat/
住み慣れる [すみなれる] /(v1) to get used to living in/
住み荒らす [すみあらす] /(v5s,vt) to leave a house in bad shape/
住み込み [すみこみ] /(n,adj-no) live-in/
住み込む [すみこむ] /(v5m,vi) to be a live-in employee/to live in/to live with/
住み処 [すみか] /(n) dwelling/house/residence/den/habitat/
住み所 [すみどころ] /(n) residence/address/domicile/
住み心地 [すみごこち] /(n) comfort (in living place)/(P)/
住み心地の良い [すみごこちのよい] /(n) comfortable to live in/
住み替える [すみかえる] /(v1,vt) to change one's residence/
住み着く [すみつく] /(v5k,vi) to settle (in a place)/to settle down/
住み馴れる [すみなれる] /(v1) to get used to living in/
住み難い [すみにくい] /(n) inconvenient (residence)/unpleasant (surroundings)/
住み分け [すみわけ] /(n) (1) habitat isolation (biology)/(n,vs) (2) compartmentalization/segregation/isolation/
住む [すむ] /(v5m,vi) to live (of humans)/to reside/to inhabit/to dwell/to abide/(P)/
住めば都 [すめばみやこ] /(exp) you can get used to living anywhere/
住家 [じゅうか] /(n) dwelling/house/residence/den/habitat/
住家 [すみか] /(n) dwelling/house/residence/den/habitat/
住環境 [じゅうかんきょう] /(n) living environment/habitat/
住基カード [じゅうきカード] /(n) (abbr) basic resident register card/citizen identification card/Juki card/
住基ネット [じゅうきネット] /(n) (abbr) basic resident register network system/national online citizen ID number system/Juki Net/
住居 [じゅうきょ] /(n,vs) dwelling/house/residence/address/(P)/
住居 [すまい] /(n,vs) dwelling/house/residence/address/(P)/
住居手当 [じゅうきょてあて] /(n) rent allowance/
住居侵入罪 [じゅうきょしんにゅうざい] /(n) breaking and entering/
住居跡 [じゅうきょあと] /(n) dwelling (habitation) site/site of a (prehistoric) settlement/
住居表示 [じゅうきょひょうじ] /(n) (comp) displayed address/
住居表示番号 [じゅうきょひょうじばんごう] /(n) (comp) displayed address number/
住空間 [じゅうくうかん] /(n) living space/
住血吸虫 [じゅうけつきゅうちゅう] /(n) blood fluke (any fluke of family Schistosomatidae)/schistosome/
住劫 [じゅうこう] /(n) (Buddh) the kalpa of existence (the second aeon of the universe)/
住持 [じゅうじ] /(n,vs) chief priest of temple/
住処 [すみか] /(n) dwelling/house/residence/den/habitat/
住所 [じゅうしょ] /(n) address (e.g. of house)/residence/domicile/(P)/
住所氏名 [じゅうしょしめい] /(n) one's name and address/
住所録 [じゅうしょろく] /(n) address book/list of addresses/mailing list/
住所録代わり [じゅうしょろくがわり] /(n) substitute for an address book/
住職 [じゅうしょく] /(n,vs) chief priest (of a Buddhist temple)/(P)/
住人 [じゅうにん] /(n) dweller/inhabitant/resident/(P)/
住人の呼称 [じゅうにんのこしょう] /(n) demonym/name used to refer to the residents of a country, region, etc./
住生活 [じゅうせいかつ] /(n) manner of housing/
住専 [じゅうせん] /(n) housing-loan corporation/(P)/
住僧 [じゅうそう] /(n) chief priest (of a Buddhist temple)/
住宅 [じゅうたく] /(n) residence/housing/residential building/(P)/
住宅バブル崩壊 [じゅうたくバブルほうかい] /(n) collapse of the housing bubble/
住宅ローン [じゅうたくローン] /(n) housing loan/mortgage/
住宅ローン担保証券 [じゅうたくローンたんぽしょうけん] /(n) residential mortgage-backed security/
住宅街 [じゅうたくがい] /(n) residential area/(P)/
住宅金融公庫 [じゅうたくきんゆうこうこ] /(n) Government Housing Loan Corporation/(P)/
住宅金融支援機構 [じゅうたくきんゆうしえんきこう] /(n) Japan Housing Finance Agency/
住宅産業 [じゅうたくさんぎょう] /(n) the housing industry/
住宅手当 [じゅうたくてあて] /(n) housing allowance/
住宅地 [じゅうたくち] /(n) housing district/residential district/(P)/
住宅地区 [じゅうたくちく] /(n) residential district/
住宅地帯 [じゅうたくちたい] /(n) housing belt development/
住宅難 [じゅうたくなん] /(n) housing shortage/
住宅費 [じゅうたくひ] /(n) housing costs (expenses)/
住宅扶助 [じゅうたくふじょ] /(n) housing assistance/
住宅問題 [じゅうたくもんだい] /(n) housing problem/
住宅用 [じたくよう] /(n) (comp) home, residential use/
住着く [すみつく] /(v5k,vi) to settle (in a place)/to settle down/
住民 [じゅうみん] /(n) citizens/inhabitants/residents/population/(P)/
住民運動 [じゅうみんうんどう] /(n) neighborhood (protest) movement/neighbourhood (protest) movement/
住民監査請求 [じゅうみんかんさせいきゅう] /(n) resident audit request to local government authority/
住民基本台帳 [じゅうみんきほんだいちょう] /(n) basic resident register/
住民基本台帳カード [じゅうみんきほんだいちょうカード] /(n) basic resident register card/citizen identification card/Juki card/
住民基本台帳ネットワークシステム [じゅうみんきほんだいちょうネットワークシステム] /(n) basic resident register network system/
住民税 [じゅうみんぜい] /(n) municipal tax/(P)/
住民登録 [じゅうみんとうろく] /(n) resident registration/
住民投票 [じゅうみんとうひょう] /(n) local referendum/poll of residents/
住民納税者 [じゅうみんのうぜいしゃ] /(n) resident taxpayer/
住民票 [じゅうみんひょう] /(n) certificate of residence/(P)/
住友 [すみとも] /(n) Sumitomo (company)/(P)/
住友銀行 [すみともぎんこう] /(n) Sumitomo Bank/(P)/
住友財閥 [すみともざいばつ] /(n) Sumitomo Zaibatsu/
充たす [みたす] /(v5s,vt) (1) to satisfy/to fulfill/to appease/(2) to fill (e.g. a cup)/to pack/(3) to reach (a certain number)/
充ちる [みちる] /(v1,vi) (1) to be full/(2) to wax (e.g. moon)/(3) to rise (e.g. tide)/(4) to mature/to expire/
充つ [みつ] /(v5t,vi) (1) to be full/(2) to wax (e.g. moon)/(3) to rise (e.g. tide)/(4) to mature/to expire/
充てがう [あてがう] /(v5u,vt) (1) to allot/to allocate/(2) to supply with/to furnish/(3) to fit to/to fasten to/to apply to/
充てる [あてる] /(v1,vt) to assign/to set aside/(P)/
充溢 [じゅういつ] /(n,vs) overflow/abundance/exuberance/
充員 [じゅういん] /(n,vs) reserves/recruits/draftees/draughtees/
充盈 [じゅうえい] /(n,vs) filling (something up)/
充血 [じゅうけつ] /(n,vs) congestion (with blood)/
充血した [じゅうけつした] /(adj-f) congested/bloodshot/inflamed/
充血した目 [じゅうけつしため] /(n) inflamed eyes/
充塞 [じゅうそく] /(n,vs) plug/full up/being filled/stopped up/
充実 [じゅうじつ] /(n,vs) (1) fullness/completion/perfection/substantiality/enrichment/(2) replenishment/repletion/(P)/
充実した [じゅうじつした] /(adj-f) full/complete/replete with/substantial (meal)/solid (reading)/productive (day)/
充実感 [じゅうじつかん] /(n) sense of fulfillment/sense of completeness/sense of accomplishment/
充足 [じゅうそく] /(n,vs) sufficiency/(P)/
充足字句 [じゅうそくじく] /(n) (comp) satisfied token/
充足理由の原理 [じゅうそくりゆうのげんり] /(n) principle of sufficient reason (logic)/
充填 [じゅうてん] /(n,vs) fill (up)/plug/replenish/filling (in tooth)/loading (gun with ammunition, camera with film)/
充填剤 [じゅうてんざい] /(n) filler (for making plastic, rubber, etc.)/
充填文字 [じゅうてんもじ] /(n) (comp) fill character/
充電 [じゅうでん] /(n,vs) (1) charging (electrically)/(2) electrification/(P)/
充電器 [じゅうでんき] /(n) (battery) charger/
充電期間 [じゅうでんきかん] /(n) period of time in which to recharge one's batteries/
充電池 [じゅうでんち] /(n) rechargable battery/
充当 [じゅうとう] /(n,vs) allocation/appropriation/(P)/
充当金 [じゅうとうきん] /(n) appropriation/
充備 [じゅうび] /(n,vs) completion/perfection/
充分 [じゅうぶん] /(adj-na) (1) plenty/enough/sufficient/satisfactory/adequate/(adv) (2) perfectly/thoroughly/fully/in full/
充満 [じゅうまん] /(n,vs,adj-no) being filled with/teeming with/pregnant with/(P)/
充満ている [みちみちている] /(v1) to be filled with/to be pregnant with/to teem with/
充用 [じゅうよう] /(n,vs) appropriation to/earmarking for/
十 [じゅう] /(num) 10/ten/(P)/
十 [と] /(num) 10/ten/
十 [とお] /(num) 10/ten/(P)/
十か年 [じゅうかねん] /(adj-pn) decennial/
十カ年 [じゅうかねん] /(adj-pn) decennial/
十ヵ年 [じゅうかねん] /(adj-pn) decennial/
十ヶ年 [じゅうかねん] /(adj-pn) decennial/
十悪 [じゅうあく] /(n) (1) the ten abominations (the ten most grievous offenses under traditional Chinese law)/(2) (Buddh) the ten evil deeds/
十一 [じゅういち] /(n) (1) 11/eleven/(2) (uk) Hodgson's hawk-cuckoo (Cuculus fugax)/(P)/
十一 [といち] /(n) (uk) type of illegal loan charging 10% interest every 10 days/
十一月 [じゅういちがつ] /(n-adv) November/(P)/
十一月革命 [じゅういちがつかくめい] /(n) (1) October Revolution (Russia, 1917)/(2) German Revolution (1918-1919)/
十一献金 [じゅういちけんきん] /(iK) (n) tithes/
十一面観音 [じゅういちめんかんのん] /(n) eleven-faced Goddess of Mercy/
十一面観世音 [じゅういちめんかんぜおん] /(n) Ekadasamukha (eleven-faced Avalokitesvara)/
十雨 [じゅうう] /(n) refreshing rain once in ten days/
十円玉 [じゅうえんだま] /(n) 10 yen coin/
十王 [じゅうおう] /(n) (Buddh) ten rulers of the afterlife (who judge the dead and determine their placement in their next life)/
十億 [じゅうおく] /(n) 1,000,000,000/billion (American)/(obs) milliard (British)/(P)/
十箇年 [じゅうかねん] /(adj-pn) decennial/
十回 [じっかい] /(n) ten times/
十回 [じゅっかい] /(n) ten times/
十戒 [じっかい] /(n) (1) (Buddh) the 10 precepts/(2) Ten Commandments/Decalogue/Decalog/
十界 [じっかい] /(n) (Buddh) ten spiritual realms/
十干 [じっかん] /(n) the 10 calendar signs/
十九 [じゅうきゅう] /(n) 19/nineteen/(P)/
十月 [じゅうがつ] /(n-adv) October/(P)/
十月革命 [じゅうがつかくめい] /(n) October Revolution/
十月十日 [とつきとおか] /(n) (1) babies born on October 10, supposedly conceived on New Year's Day/(2) normal gestation time (i.e. 9 months)/
十個一組 [じっこいちくみ] /(n) (comp) decade/
十五 [じゅうご] /(n) 15/fifteen/(P)/
十五日 [じゅうごにち] /(n) the 15h day of the month/
十五年戦争 [じゅうごねんせんそう] /(n) Fifteen Years' War (starting with the Manchurian Incident in 1931 and ending with the Japanese surrender in 1945)/
十五夜 [じゅうごや] /(n) night of the full moon/the night of the 15th day of the 8th lunar month/
十号 [じゅうごう] /(n) ten epithets (of Buddha)/
十三 [じゅうさん] /(n) 13/thirteen/(P)/
十三仏 [じゅうさんぶつ] /(n) (Buddh) the thirteen buddhas, bodhisattvas and wisdom kings/
十三夜 [じゅうさんや] /(n) 13th day (of the moon)/the night of the 13th day of 9th lunar month/
十四 [じゅうし] /(n) 14/fourteen/(P)/
十四 [じゅうよん] /(n) 14/fourteen/
十四日 [じゅうよっか] /(n) fourteenth day of the month/
十姉妹 [じゅうしまつ] /(n) (uk) Bengalese finch/society finch (Lonchura striata var. domestica)/
十指 [じっし] /(n) the ten fingers/
十指 [じゅっし] /(n) the ten fingers/
十死一生 [じっしいっしょう] /(n) (1) narrow escape from the jaws of death/(2) there being barely a chance of escaping death/
十字 [じゅうじ] /(adj-no,n) cross/crossed/cruciform/(P)/
十字に [じゅうじに] /(adv) crosswise/
十字を切る [じゅうじをきる] /(exp,v5r) to make the sign of the cross/to bless oneself/to cross oneself/
十字キー [じゅうじキー] /(n) cross-key (directional keypad on video game controller)/
十字架 [じゅうじか] /(n) cross/the Cross (of Christ)/(P)/
十字架状 [じゅうじかじょう] /(adj-na) cruciform/
十字架像 [じゅうじかぞう] /(n) crucifix/
十字火 [じゅうじか] /(n) crossfire/
十字街 [じゅうじがい] /(n) crossroads/street crossing/
十字軍 [じゅうじぐん] /(n) Crusades/Crusaders/
十字軍騎士 [じゅうじぐんきし] /(n) the Crusaders/
十字形 [じゅうじけい] /(adj-na) cross/cruciform/
十字座 [じゅうじざ] /(n) (obsc) Southern Cross/
十字線 [じゅうじせん] /(n) crosshairs/
十字砲火 [じゅうじほうか] /(n) cross fire/
十字路 [じゅうじろ] /(n) crossroads/(P)/
十七 [じゅうしち] /(n) 17/seventeen/(P)/
十七 [じゅうなな] /(n) 17/seventeen/
十七条憲法 [じゅうしちじょうけんぽう] /(n) The Seventeen-Article Constitution/
十七殿 [じゅうしちでん] /(n) seventeen main pavilions of the imperial palace/
十手 [じって] /(n) (arch) short truncheon with a hook made of metal or wood (used by policeman and private thief-takers in Edo Japan)/
十手 [じゅって] /(n) (arch) short truncheon with a hook made of metal or wood (used by policeman and private thief-takers in Edo Japan)/
十種競技 [じっしゅきょうぎ] /(n) decathlon/
十重 [とえ] /(n,adj-no) tenfold/
十重二十重 [とえはたえ] /(n) multitude/
十進 [じっしん] /(adj-na,adj-no) decimal/denary/deciam/
十進 [じゅっしん] /(adj-na,adj-no) decimal/denary/deciam/
十進演算 [じっしんえんざん] /(n) (comp) decimal arithmetic/
十進演算子 [じっしんえんざんし] /(n) (comp) decimal operator/
十進基数 [じっしんきすう] /(n) (comp) decimal radix/
十進小数 [じっしんしょうすう] /(n) (comp) decimal fraction/
十進小数点 [じっしんしょうすうてん] /(n) (comp) decimal point/
十進数 [じっしんすう] /(n) (comp) decimal/decimal digit/decimal number/
十進制 [じっしんせい] /(n) decimal system/
十進二進変換 [じっしんにしんへんかん] /(n) (comp) decimal to binary conversion/
十進表記法 [じっしんひょうきほう] /(n) (comp) decimal notation/
十進分類体系 [じっしんぶんるいたいけい] /(n) (comp) decimal classification system/
十進分類法 [じっしんぶんるいほう] /(n) decimal classification/Dewey (decimal) classification/
十進法 [じっしんほう] /(n) decimal system/
十人十色 [じゅうにんといろ] /(n) (col) Several men, several minds/everyone has his own ideas and tastes/everyone has his own interests and ideas/different strokes for different folks/
十人並 [じゅうにんなみ] /(adj-na,n) being average (capacity, looks) (as good as anyone)/mediocrity/
十人並み [じゅうにんなみ] /(adj-na,n) being average (capacity, looks) (as good as anyone)/mediocrity/
十人力 [じゅうにんりき] /(n) the strength of ten/
十数 [じゅうすう] /(pref) ten-odd/
十寸鏡 [ますかがみ] /(exp) (arch) perfectly clear mirror/
十善 [じゅうぜん] /(n) (1) (Buddh) the ten good acts/(2) the emperor/
十善の君 [じゅうぜんのきみ] /(n) (arch) the emperor/
十全 [じゅうぜん] /(adj-na,n) perfection/consummation/absolute safety/
十代 [じゅうだい] /(n,adj-no) (1) the teens (10-19)/teenage/(n) (2) the tenth generation/(P)/
十台 [じゅうだい] /(n,adj-no) (1) the teens (10-19)/teenage/
十大弟子 [じゅうだいでし] /(n) (Buddh) the ten great disciples (of Buddha)/
十地 [じゅうじ] /(n) (Buddh) dasabhumi (forty-first to fiftieth stages in the development of a bodhisattva)/
十中八九 [じっちゅうはっく] /(n-adv,n) 8 or 9 cases out of ten/in all probability/
十中八九 [じゅっちゅうはっく] /(n-adv,n) 8 or 9 cases out of ten/in all probability/
十哲 [じってつ] /(n) ten great disciples (e.g. of Basho, Confucius, etc.)/
十哲 [じゅってつ] /(ik) (n) ten great disciples (e.g. of Basho, Confucius, etc.)/
十徳ナイフ [じっとくナイフ] /(n) multipurpose knife/Swiss Army knife/
十徳ナイフ [じゅっとくナイフ] /(n) multipurpose knife/Swiss Army knife/
十二 [じゅうに] /(n) 12/twelve/(P)/
十二因縁 [じゅうにいんねん] /(n) (Buddh) the twelve nidanas (continuum of twelve phases that lead to suffering)/
十二宮 [じゅうにきゅう] /(n) constellations of the zodiac/
十二経 [じゅうにけい] /(n) twelve meridians (in acupuncture, etc.)/
十二月 [じゅうにがつ] /(n-adv) December/(P)/
十二使徒 [じゅうにしと] /(n) Twelve Apostles/
十二指腸 [じゅうにしちょう] /(n,adj-no) duodenum/
十二指腸虫 [じゅうにしちょうちゅう] /(n) hookworm/
十二指腸潰瘍 [じゅうにしちょうかいよう] /(n) duodenal ulcer/
十二支 [じゅうにし] /(n) the 12 signs of the Chinese zodiac/
十二時 [じゅうにじ] /(n) twelve o'clock/noon/midnight/
十二神将 [じゅうにじんしょう] /(n) (Buddh) the twelve divine generals (of Bhaisajyaguru)/
十二折り [じゅうにおり] /(n) duodecimo (folding)/
十二単 [じゅうにひとえ] /(n) (1) twelve-layered ceremonial kimono (worn by a court lady)/(2) ajuga (Ajuga nipponensis)/bugle/
十二直 [じゅうにちょく] /(n) twelve words used to mark the old calendar as indicators of lucky and unlucky activites/
十二分 [じゅうにぶん] /(adj-na,n) more than enough/(P)/
十二門 [じゅうにもん] /(n) the twelve gates of Heian's greater palace/
十二律 [じゅうにりつ] /(n) ancient Chinese chromatic scale (primarily used in Japan for gagaku, etc.)/
十日 [とおか] /(n) (1) the tenth day of the month/(2) ten days/(P)/
十日の菊 [とおかのきく] /(exp) something that comes too late and is useless/like a chrysanthemum prepared for the ninth day of the ninth month of the lunar calendar for the Chrysanthemum festival but that blooms only on the tenth/
十日夜 [とおかや] /(n) Harvest festival held on the night of the tenth day of the tenth month (to send the rice paddy gods back to the mountains after harvest)/
十日夜 [とおかんや] /(n) Harvest festival held on the night of the tenth day of the tenth month (to send the rice paddy gods back to the mountains after harvest)/
十如是 [じゅうにょぜ] /(n) (Buddh) ten thusnesses (in Tendai)/
十年 [じゅうねん] /(n) ten years/decade/
十年一昔 [じゅうねんひとむかし] /(n) expression suggesting that the pace of change makes ten years back seem like ancient history/
十年一日 [じゅうねんいちじつ] /(n) without intermission for ten (long) years/with constancy of purpose for ten (long) years/in the same old rut for years on end/
十年一日 [じゅうねんいちにち] /(n) without intermission for ten (long) years/with constancy of purpose for ten (long) years/in the same old rut for years on end/
十能 [じゅうのう] /(n) fire shovel/fire pan/
十把一絡 [じっぱひとからげ] /(n,adj-no) lumping together all sorts of things/making sweeping generalizations/dealing with various things under one head/
十把一絡 [じゅっぱひとからげ] /(n,adj-no) lumping together all sorts of things/making sweeping generalizations/dealing with various things under one head/
十把一絡げ [じっぱひとからげ] /(n,adj-no) lumping together all sorts of things/making sweeping generalizations/dealing with various things under one head/
十把一絡げ [じゅっぱひとからげ] /(n,adj-no) lumping together all sorts of things/making sweeping generalizations/dealing with various things under one head/
十倍 [じゅうばい] /(n) ten times/tenfold/
十八 [じゅうはち] /(n) 18/eighteen/(P)/
十八禁 [じゅうはちきん] /(n) 18 certificate/R-18/restricted to those 18 years or older/
十八金 [じゅうはちきん] /(n) 18-carat gold/
十八檀林 [じゅうはちだんりん] /(n) eighteen centers of Buddhist learning (of the Pure Land sect in the Kanto region)/
十八番 [おはこ] /(n) (1) one's favourite stunt (favorite)/one's specialty/
十八番 [じゅうはちばん] /(n) (1) No. 18/eighteenth/(2) (abbr) repertoire of 18 kabuki plays/(3) one's favourite stunt (favorite)/one's specialty/(P)/
十八羅漢 [じゅうはちらかん] /(n) (Buddh) the eighteen arhats/
十部門分類法 [じゅうぶもんぶんるいほう] /(n) Dewey Decimal System/
十分 [じっぷん] /(n) 10 minutes/
十分 [じゅうぶん] /(adj-na) (1) plenty/enough/sufficient/satisfactory/adequate/(n,vs) (2) division into ten/(adv) (3) perfectly/thoroughly/fully/in full/(P)/
十分 [じゅっぷん] /(n) 10 minutes/
十分の一 [じゅうぶんのいち] /(n) tenth/tithe/
十分の一税 [じゅうぶんのいちぜい] /(n) tithe/
十分条件 [じゅうぶんじょうけん] /(n) sufficient condition/
十分置きに運転 [じゅっぷんおきにうんてん] /(n,vs) operating on a ten-minute schedule/
十文字 [じゅうもんじ] /(n,adj-no) a cross/cruciform/
十文字に [じゅうもんじに] /(adv) crosswise/
十辺形 [じゅうへんけい] /(n,adj-no) decagon/
十方 [じっぽう] /(n) (1) the ten directions (north, northeast, east, southeast, south, southwest, west, northwest, up & down)/(2) all directions/everywhere/
十方世界 [じっぽうせかい] /(n) (Buddh) worlds of the ten directions/
十本 [じっぽん] /(n) ten (long cylindrical things)/
十本 [じゅっぽん] /(n) ten (long cylindrical things)/
十枚目 [じゅうまいめ] /(n) second highest sumo division/
十万 [じゅうまん] /(n) 100,000/hundred thousand/(P)/
十万億土 [じゅうまんおくど] /(n) eternity/paradise/
十目 [じゅうもく] /(n) all eyes/
十夜 [じゅうや] /(n) (Buddh) ten-night memorial service (6th to 15th days of the 10th month in the lunar calendar)/
十夜粥 [じゅうやがゆ] /(n) (Buddh) rice gruel served in temples for ten-night memorial services/
十薬 [じゅうやく] /(n) (uk) chameleon plant (Houttuynia cordata)/
十薬 [どくだみ] /(n) (uk) chameleon plant (Houttuynia cordata)/
十両 [じゅうりょう] /(n) second highest sumo division/wrestlers of the second highest sumo division/(P)/
十両格 [じゅうりょうかく] /(n) referee officiating the second highest sumo division/
十両筆頭 [じゅうりょうひっとう] /(n) two highest ranked wrestlers in juryo division (sumo)/
十露盤 [そろばん] /(n) abacus/
十六 [じゅうろく] /(n) 16/sixteen/(P)/
十六音符 [じゅうろくおんぷ] /(n) 16th note/
十六進法 [じゅうろくしんほう] /(n) (comp) hexadecimal/hexadecimal notation/
十六夜 [いざよい] /(n) sixteen-day-old moon/
十六羅漢 [じゅうろくらかん] /(n) (Buddh) the sixteen arhats/
十腕類 [じゅうわんるい] /(n) decapods/
十刹 [じっさつ] /(oK) (n) (obsc) ten important Rinzai temples, second in significance to the Kyoto Gozan/
十刹 [じっせつ] /(oK) (n) (obsc) ten important Rinzai temples, second in significance to the Kyoto Gozan/
十誡 [じっかい] /(n) (1) Ten Commandments/Decalogue/Decalog/
従 [じゅ] /(n,n-pref) (arch) lesser (of equal court ranks)/lower/junior/
従 [じゅう] /(n,adj-no) subordinate/secondary/junior/incidental/
従 [ひろい] /(pref) (arch) lesser (of equal court ranks)/lower/junior/
従 [ひろき] /(pref) (arch) lesser (of equal court ranks)/lower/junior/
従い [したがい] /(exp) in accordance with/subordinate to/
従う [したがう] /(v5u,vi) to abide (by the rules)/to obey/to follow/to accompany/(P)/
従える [したがえる] /(v1,vt) (1) to be accompanied by/(2) to subdue/(P)/
従たる [じゅうたる] /(adj-f) subordinate/secondary/junior/incidental/accessory/
従って [したがって] /(conj) (uk) therefore/consequently/accordingly/(P)/
従位接続詞 [じゅういせつぞくし] /(n) (ling) subordinating conjunction/
従因 [じゅういん] /(n) secondary cause/
従価税 [じゅうかぜい] /(n) ad valorem duty/
従業 [じゅうぎょう] /(n,vs) employment/
従業員 [じゅうぎょういん] /(n) employee/worker/(P)/
従業者 [じゅうぎょうしゃ] /(n) worker/employee/person being employed/
従局 [じゅうきょく] /(n) (comp) slave station/
従軍 [じゅうぐん] /(n,vs) campaign/(P)/
従軍慰安婦 [じゅうぐんいあんふ] /(n) comfort women/enslaved prostitute/
従軍記者 [じゅうぐんきしゃ] /(n) war correspondent/
従兄 [いとこ] /(n) (uk) male cousin/
従兄 [じゅうけい] /(n) (uk) male cousin/
従兄弟 [いとこ] /(n) (uk) male cousin/(P)/
従兄弟 [じゅうけいてい] /(n) (uk) male cousin/
従兄弟違い [いとこちがい] /(n) parent's cousin/first-cousin once removed/
従三位 [じゅさんみ] /(n) second grade of the third rank of honor (honour)/
従姉 [いとこ] /(n) (uk) cousin (female)/
従姉 [じゅうし] /(n) (uk) cousin (female)/
従姉妹 [いとこ] /(n) (uk) cousin (female)/
従姉妹 [じゅうしまい] /(n) (uk) cousin (female)/
従事 [じゅうじ] /(n,vs) engaging/pursuing/following (e.g. profession or occupation)/(P)/
従事者 [じゅうじしゃ] /(n) someone engaged in a certain pursuit/practitioner/worker/employee/
従者 [じゅうしゃ] /(n) follower/attendant/valet/servant/
従順 [じゅうじゅん] /(adj-na,n) obedient/gentle/meek/submissive/docile/
従節 [じゅうせつ] /(n) subordinate clause/
従前 [じゅうぜん] /(n,adj-no) previous/former/
従属 [じゅうぞく] /(n,vs,adj-no) subordination/dependency/(P)/
従属コンパイル [じゅうぞくコンパイル] /(n) (comp) dependent compilation/separate compilation/
従属リスト [じゅうぞくリスト] /(n) (comp) dependence list/
従属局 [じゅうぞくきょく] /(n) (comp) tributary station/
従属国 [じゅうぞくこく] /(n) dependency/
従属節 [じゅうぞくせつ] /(n) (ling) subordinate clause/
従属変数 [じゅうぞくへんすう] /(n) dependent variable/
従卒 [じゅうそつ] /(n) (military) orderly/underling/
従弟 [いとこ] /(n) (uk) cousin (male)/
従弟 [じゅうてい] /(n) (uk) cousin (male)/
従的 [じゅうてき] /(adj-na) subordinate/secondary/
従犯 [じゅうはん] /(n,adj-no) accomplice/complicity/
従物 [じゅうぶつ] /(n) accessory (thing)/appurtenance/
従僕 [じゅうぼく] /(n) attendant male servant/
従妹 [いとこ] /(n) (uk) cousin (female)/
従妹 [じゅうまい] /(n) (uk) cousin (female)/
従容 [しょうよう] /(adj-t,adv-to) calm/composed/tranquil/
従容自若 [しょうようじじゃく] /(uK) (adj-t,adv-to) (arch) having presence of mind/imperturbable/calm and self-possessed/with serenity/
従来 [じゅうらい] /(n-adv,n-t,adj-no) up to now/so far/traditional/existing (e.g. equipment)/(P)/
従来技術 [じゅうらいぎじゅつ] /(n) existing technology/conventional technology/prior art/
従来型 [じゅうらいがた] /(n) existing (type, form)/
従来型銅線 [じゅうらいがたどうせん] /(n) (comp) existing copper line/
従来農法 [じゅうらいのうほう] /(n) traditional farming/
従量 [じゅうりょう] /(n) incurred amount/usage volume/metered rate or amount/
従量税 [じゅうりょうぜい] /(n) (taxation) a specific duty/
戎 [えびす] /(n) (1) (arch) peoples formerly of northern Japan with distinct language and culture (i.e. the Ainu)/(2) provincial (i.e. a person who lives far from the city)/(3) brutish, unsophisticated warrior (esp. used by Kyoto samurai to refer to samurai from eastern Japan)/(4) (derog) foreigner/barbarian/
戎 [えびす] /(n) Ebisu (god of fishing and commerce)/
戎葵 [じゅうき] /(n) (arch) hollyhock/
戎克 [ジャンク] /(n) (uk) junk (Chinese ship)/
柔 [やわ] /(adj-na) poorly-built/weak/insubstantial/
柔い [やっこい] /(adj-i) (1) soft/
柔い [やわい] /(adj-i) (1) soft/(2) weak/
柔かい [やわらかい] /(io) (adj-i) soft/tender/limp/
柔よく剛を制す [じゅうよくごうをせいす] /(exp) (id) soft and fair goes far/willows are weak, yet they bind other wood/
柔らか [やわらか] /(adj-na,n) soft/tender/limp/subdued (colour or light) (color)/gentle/meek/(P)/
柔らかい [やわらかい] /(adj-i) soft/tender/limp/(P)/
柔らかい文章 [やわらかいぶんしょう] /(n) informal style/
柔らかい毛布 [やわらかいもうふ] /(n) soft blanket/
柔らかな光 [やわらかなひかり] /(n) soft light/
柔らかな風 [やわらかなかぜ] /(n) gentle breeze/
柔らかみ [やわらかみ] /(n) (touch of) softness/
柔剣棒 [じゅうけんぼう] /(exp) (MA) juukenbou/"body, sword and staff" techniques in martial arts/
柔細胞 [じゅうさいぼう] /(n) parenchymal cell/
柔弱 [にゅうじゃく] /(adj-na,n) weakness/effeminacy/enervation/
柔術 [じゅうじゅつ] /(n) jujitsu (classical Japanese martial art, usually referring to fighting without a weapon)/jiujitsu/jujutsu/
柔順 [じゅうじゅん] /(adj-na,n) obedient/gentle/meek/submissive/docile/
柔組織 [じゅうそしき] /(n) parenchyma/
柔道 [じゅうどう] /(n) judo/(P)/
柔道家 [じゅうどうか] /(n) judo practitioner/
柔道場 [じゅうどうじょう] /(n) judo hall/
柔道征服師 [じゅうどうせいふくし] /(iK) (n) judo therapist/
柔道整復 [じゅうどうせいふく] /(n) judo therapy/traditional non-surgical osteopathic tissue and bone manipulation therapy/
柔道整復師 [じゅうどうせいふくし] /(n) judo therapist/
柔道整復術 [じゅうどうせいふくじゅつ] /(n) judo therapy/
柔道着 [じゅうどうぎ] /(n) (MA) judo gi/judo uniform/
柔軟 [じゅうなん] /(adj-na,n) flexible/lithe/soft/pliable/(P)/
柔軟剤 [じゅうなんざい] /(n) fabric softener/fabric conditioner/
柔軟材 [じゅうなんざい] /(n) fabric softener/fabric conditioner/
柔軟仕上げ剤 [じゅうなんしあげざい] /(n) fabric softener/
柔軟思考 [じゅうなんしこう] /(n) a flexible way of thinking/
柔軟性 [じゅうなんせい] /(n) compatibility/pliability/softness/elasticity/
柔軟体操 [じゅうなんたいそう] /(n,adj-no) calisthenics/
柔軟路線 [じゅうなんろせん] /(n) (taking) a flexible approach (to)/
柔能く剛を制す [じゅうよくごうをせいす] /(exp) (id) soft and fair goes far/willows are weak, yet they bind other wood/
柔肌 [やわはだ] /(n) soft fair skin/
柔毛 [じゅうもう] /(n) (1) soft hair/(2) villus (intestinal)/
柔和 [にゅうわ] /(adj-na,n) gentleness/mildness/meekness/(P)/
柔婉 [じゅうえん] /(adj-na) simple/plain/honest/unaffected/frank/unpretentious/
汁 [しる] /(n) (1) juice/sap/(2) soup/broth/(P)/
汁 [つゆ] /(n) (1) juice/sap/(2) soup/broth/(3) (dipping) sauce/
汁液 [じゅうえき] /(n) juice/
汁気 [しるけ] /(n) juice/
汁吸啄木鳥 [しるすいきつつき] /(n) (uk) yellow-bellied sapsucker (Sphyrapicus varius)/
汁物 [しるもの] /(n) soup/
汁粉 [しるこ] /(n) sweet red-bean soup/
汁粉屋 [しるこや] /(n) sweet red-bean soup shop/shiruko shop/
汁椀 [しるわん] /(n) soup bowl/
渋 [しぶ] /(n) astringent (puckery) juice (of unripe persimmons)/
渋々 [しぶしぶ] /(adv,adv-to) reluctantly/unwillingly/
渋い [しぶい] /(adj-i) (1) tasteful (clothing)/cool/an aura of refined masculinity/(2) astringent/sullen/bitter (taste)/raspy (voice)/(3) grim/quiet/(4) sober/stingy/(P)/
渋いワイン [しぶいワイン] /(n) rough wine/cheap wine/
渋い顔をする [しぶいかおをする] /(exp,vs-i) to frown (on)/to be grim-faced/to look sullen/
渋い酒 [しぶいさけ] /(n) rough wine/cheap wine/
渋い着物 [しぶいきもの] /(n) tasteful dress/
渋り腹 [しぶりばら] /(n) bowel pains/painful loose bowels/
渋る [しぶる] /(v5r) to hesitate/to be reluctant/to have loose painful bowel movement/(P)/
渋柿 [しぶがき] /(n) astringent persimmon/
渋紙 [しぶがみ] /(n) paper treated with astringent persimmon juice/
渋渋 [しぶしぶ] /(adv,adv-to) reluctantly/unwillingly/
渋色 [しぶいろ] /(n) tan (color, colour)/
渋草 [しぶくさ] /(n) (arch) Japanese dock (a plant) (Rumex japonicus)/
渋滞 [じゅうたい] /(n,vs) congestion (e.g. traffic)/delay/stagnation/(P)/
渋団扇 [しぶうちわ] /(n) fan varnished with persimmon juice/
渋茶 [しぶちゃ] /(n) strong or bitter (green) tea/
渋抜き [しぶぬき] /(n,vs) removing the astringent taste (from persimmons)/
渋皮 [しぶかわ] /(n) inner, astringent skin (of a chestnut)/
渋皮がむける [しぶかわがむける] /(v1,vi) (a woman) to lose her roughness and become urbane and good-looking/to become experienced in worldly affairs/
渋皮が剥ける [しぶかわがむける] /(v1,vi) (a woman) to lose her roughness and become urbane and good-looking/to become experienced in worldly affairs/
渋皮のむけた女 [しぶかわのむけたおんな] /(n) urbane and good-looking woman/
渋皮の剥けた女 [しぶかわのむけたおんな] /(n) urbane and good-looking woman/
渋味 [しぶみ] /(n) good taste/astringency/refinement/
渋面 [しぶつら] /(n,adj-no) grimace/sullen face/
渋面 [しぶづら] /(n,adj-no) grimace/sullen face/
渋面 [じゅうめん] /(n,adj-no) grimace/sullen face/(P)/
獣 [けだもの] /(n) beast/brute/(P)/
獣 [けもの] /(n) beast/brute/(P)/
獣 [しし] /(n) (1) (arch) beast (esp. one used for its meat, such as a boar or a deer)/(2) (abbr) hunting (of animals such as boar, deer, etc.)/
獣 [じゅう] /(n) beast/brute/
獣の数字 [けもののすうじ] /(n) Number of the Beast (i.e. 666)/
獣医 [じゅうい] /(n,adj-no) veterinarian/(P)/
獣医学 [じゅういがく] /(n) veterinary medicine/
獣医師 [じゅういし] /(n) veterinarian/
獣姦 [じゅうかん] /(n) bestiality/sodomy/
獣脚類 [じゅうきゃくるい] /(n) theropods/
獣弓類 [じゅうきゅうるい] /(n) therapsids/
獣行 [じゅうこう] /(n) brutal or bestial act/
獣骨 [じゅうこつ] /(n) animal bones/
獣脂 [じゅうし] /(n) tallow/
獣狩 [ししがり] /(n) hunting (of animals such as boar, deer, etc.)/
獣狩り [ししがり] /(n) hunting (of animals such as boar, deer, etc.)/
獣心 [じゅうしん] /(n) brutal heart/
獣人 [けものびと] /(n) (fictional) fusion of human and animal/therianthrope/furry/human beast/
獣人 [じゅうじん] /(n) (fictional) fusion of human and animal/therianthrope/furry/human beast/
獣性 [じゅうせい] /(n) brutality/animal nature/
獣帯 [じゅうたい] /(n) zodiac/
獣炭 [じゅうたん] /(n) animal charcoal/carbo animalis/
獣道 [けものみち] /(n) animal trail/
獣肉 [じゅうにく] /(n) animal flesh/
獣皮 [じゅうひ] /(n) hide/pelt/animal skin/
獣偏 [けものへん] /(n) kanji "dog" or "animal" radical at left/
獣毛 [じゅうもう] /(n) animal hair/
獣慾 [じゅうよく] /(n) animal or carnal desires/lust/
獣欲 [じゅうよく] /(n) animal or carnal desires/lust/
獣類 [じゅうるい] /(n,adj-no) beasts/mammals/
縦 [たて] /(n) (1) the vertical/height/(2) front-to-back/length/(P)/
縦 [ほしいまま] /(adj-na) (uk) selfish/self-indulgent/arbitrary/
縦 [よし] /(adv) (uk) even if/
縦え [たとえ] /(adv) even if/if/though/although/
縦し [よし] /(adv) (uk) even if/
縦しや [よしや] /(adv) (uk) supposing that/even if/
縦しんば [よしんば] /(adv) (uk) even if/even though/if/
縦ずれ断層 [たてずれだんそう] /(n) dip-slip fault/
縦の物を横にもしない [たてのものをよこにもしない] /(exp) too lazy to do anything/
縦ひき [たてひき] /(n) (abbr) ripsaw/
縦ひき鋸 [たてひきのこ] /(n) ripsaw/
縦びき [たてびき] /(n) (abbr) ripsaw/
縦びきのこ [たてびきのこ] /(n) ripsaw/
縦んば [よしんば] /(adv) (uk) even if/even though/if/
縦ロール [たてロール] /(n) ringlets/ringlet curls/sausage curls/
縦横 [じゅうおう] /(n,adj-no) length and width/every direction/warp and woof/right and left/vertically and horizontally/length and breadth/(P)/
縦横 [たてよこ] /(n,adj-no) length and width/every direction/warp and woof/right and left/vertically and horizontally/length and breadth/(P)/
縦横自在 [じゅうおうじざい] /(n,adj-na) freely/right and left/active without any restraint/with unrestricted energy in all directions/
縦横比 [じゅうおうひ] /(n) aspect ratio/
縦横比 [たてよこひ] /(n) aspect ratio/
縦横無尽 [じゅうおうむじん] /(adj-na,n) freely/right and left/as one pleases/
縦横無礙 [じゅうおうむげ] /(n,adj-na,adj-no) being as free as the air/active without any restraint/
縦格子 [たてごうし] /(n) vertical bars/vertical lattice/
縦隔 [じゅうかく] /(n,adj-no) mediastinum/
縦割り [たてわり] /(n) dividing vertically/vertical split/top-to-bottom sectioning/division into sections/splitting lengthwise/
縦割り行政 [たてわりぎょうせい] /(n) vertically segmented administrative system/overcompartmentalized bureaucracy/system in which interministerial rivalry diminishes overall efficiency/(bureaucratic) sectionalism/interministerial rivalry/bureaucratic fiefdoms/
縦割行政 [たてわりぎょうせい] /(n) vertically segmented administrative system/overcompartmentalized bureaucracy/system in which interministerial rivalry diminishes overall efficiency/(bureaucratic) sectionalism/interministerial rivalry/bureaucratic fiefdoms/
縦貫 [じゅうかん] /(n,vs) running through/traversal/
縦型 [たてがた] /(adj-f) vertical/portrait style/longitudinal/
縦穴 [たてあな] /(n) pit/shaft/
縦結び [たてむすび] /(n) vertical or granny knot/
縦坑 [たてこう] /(n) shaft (e.g. in a mine)/pit/
縦座標 [たてざひょう] /(n) ordinate/
縦糸 [たていと] /(n) (weaving) warp/
縦視野移動 [たてしやいどう] /(n) (comp) rolling/
縦軸 [じゅうじく] /(n) (1) vertical axis/vertical line/(2) vertical shaft/spindle/
縦軸 [たてじく] /(n) (1) vertical axis/vertical line/(2) vertical shaft/spindle/
縦縞 [たてじま] /(n) vertical stripes/striped fabric/
縦社会 [たてしゃかい] /(n) vertically structured society/
縦書 [たてがき] /(n) vertical writing/(P)/
縦書き [たてがき] /(n) vertical writing/(P)/
縦陣 [じゅうじん] /(n) (military) column/
縦旋盤 [たてせんばん] /(n) vertical turning lathe/VTL/
縦線 [じゅうせん] /(n) (1) vertical line/(2) bar line (e.g. in music)/
縦線 [たてせん] /(n) (1) vertical line/(2) bar line (e.g. in music)/
縦組み [たてぐみ] /(n) vertical typesetting/
縦走 [じゅうそう] /(n,vs) traverse/walk along the ridge/
縦続 [じゅうぞく] /(n) concatenation/cascade (connection)/
縦続接続 [じゅうぞくせつぞく] /(n) cascade (connection) (electronics)/
縦隊 [じゅうたい] /(n) (military) column/
縦断 [じゅうだん] /(n,vs) flying through/cutting across/longitudinal slice/(P)/
縦断的 [じゅうだんてき] /(adj-na) longitudinal/
縦断的データ [じゅうだんてきデータ] /(n) longitudinal data/
縦断的研究 [じゅうだんてきけんきゅう] /(n) longitudinal study/
縦長 [たてなが] /(adj-na,n,adj-no) oblong/vertical writing style (e.g. on envelopes)/portrait orientation/
縦笛 [たてぶえ] /(n) end-blown flute (esp. the recorder)/
縦読み [たてよみ] /(n,vs) reading vertically down horizontal text (e.g. as a simple code)/
縦波 [たてなみ] /(n) longitudinal wave/
縦挽き [たてひき] /(n) (abbr) ripsaw/
縦挽き [たてびき] /(n) (abbr) ripsaw/
縦挽き鋸 [たてひきのこ] /(n) ripsaw/
縦挽き鋸 [たてびきのこ] /(n) ripsaw/
縦樋 [たてどい] /(n) downpipe/drainspout/water pipe/
縦棒 [たてぼう] /(n) vertical line/vertical bar/upright/note stem (music)/
縦揺れ [たてゆれ] /(n,vs) (with respect to an earthquake) vertical shake/pitching/
縦覧 [じゅうらん] /(n,vs) inspection/
縦令 [たとい] /(adv) even if/if/though/although/
縦令 [たとえ] /(adv) even if/if/though/although/
縦列 [じゅうれつ] /(n,adj-no) column/file/
縦列駐車 [じゅうれつちゅうしゃ] /(n,vs) parallel parking/
重 [え] /(suf) -fold/-ply/
重 [おも] /(adj-na,n) (1) chief/main/principal/important/(2) (abbr) main secondary or supporting role (in kyogen)/
重 [じゅう] /(pref) greater degree/heavy/serious/
重々 [じゅうじゅう] /(adj-no,adv,n) repeated/manifold/
重々しい [おもおもしい] /(adj-i) serious/grave/dignified/solemn/
重々に [じゅうじゅうに] /(adv) extremely/
重々にも [じゅうじゅうにも] /(exp) repeatedly/
重あど [おもあど] /(n) main secondary or supporting role (in kyogen)/
重い [おもい] /(adj-i) (1) heavy/massive/(2) serious/important/severe/oppressed/(P)/
重い故障 [おもいこしょう] /(n) (comp) hard failure/
重い罪 [おもいつみ] /(n) serious (grave) crime/
重い任務 [おもいにんむ] /(n) important task/
重き [おもき] /(n) importance/emphasis/stress/(P)/
重く用いる [おもくもちいる] /(exp,v1) to give an important position/
重さ [おもさ] /(n) weight/(P)/
重し [おもし] /(n) (1) (abbr) stone weight (as used on pickle-tub covers)/(2) weight (as used in balances)/(P)/
重しをする [おもしをする] /(exp,vs-i) to place a weight upon (e.g. when making pickles)/to press (down)/
重し石 [おもしいし] /(n) stone weights on pickle-tub covers/
重たい [おもたい] /(adj-i) heavy/massive/serious/important/severe/oppressed/(P)/
重たげ [おもたげ] /(adj-na) heavy/
重なり [かさなり] /(n) overlapping/piling/stacking/
重なり合う [かさなりあう] /(v5u) to lie on top of each other/to overlap/to pile up/
重なる [おもなる] /(oK) (adj-f) main/principal/important/
重なる [かさなる] /(v5r,vi) to be piled up/lie on top of one another/overlap each other/(P)/
重ね [かさね] /(n) (1) pile/heap/layers (e.g. of clothing)/set (e.g. of boxes)/course (e.g. of stones)/(ctr) (2) counter for things that are stacked, piled up (or layered, etc.) (after a word from the "hito-futa-mi" counting system)/
重ねかける [かさねかける] /(v1) to lap/to overlap/
重ねて [かさねて] /(adv) once more/repeatedly/
重ねる [かさねる] /(v1,vt) to pile up/to put something on another/to heap up/to add/to repeat/(P)/
重ね印刷 [かさねいんさつ] /(n,vs) (comp) overprint/
重ね掛ける [かさねかける] /(v1) to lap/to overlap/
重ね言葉 [かさねことば] /(n) redundancy/succession of words of similar meaning/
重ね合せの原理 [かさねあわせのげんり] /(n) principle of superposition/superposition principle/
重ね合わせ [かさねあわせ] /(n) superposition (physics)/(P)/
重ね合わせの原理 [かさねあわせのげんり] /(n) principle of superposition/superposition principle/
重ね合わせる [かさねあわせる] /(v1) to overlap/
重ね詞 [かさねことば] /(n) repeated word or phrase/
重ね重ね [かさねがさね] /(adv) frequently/sincerely/exceedingly/
重ね書き [かさねがき] /(n,vs) overwrite/
重ね打ち [かさねうち] /(n) (comp) overstrike/
重ね着 [かさねぎ] /(n,vs) wearing one garment over another/
重ね餅 [かさねもち] /(n) (1) small mochi placed on top of a big mochi/(2) two things heaped together/
重み [おもみ] /(n) importance/weight/dignity/emphasis/(P)/
重め [おもめ] /(adj-na,n) slightly heavy/a little heavy/
重り [おもり] /(n) (1) weight/(2) sinker (fishing)/
重る [おもる] /(v5r,vi) to get heavy/to grow serious/(P)/
重んじる [おもんじる] /(v1,vt) to respect/to honor/to honour/to esteem/to prize/(P)/
重んずる [おもんずる] /(vz,vt) to honor/to honour/to respect/to esteem/to prize/(P)/
重クロム酸 [じゅうクロムさん] /(n) bichromic acid/dichromic acid/
重クロム酸カリウム [じゅうクロムさんカリウム] /(n) potassium dichromate (K2Cr2O7)/
重クロム酸ナトリウム [じゅうクロムさんナトリウム] /(n) sodium dichromate (Na2Cr2O7)/
重愛 [じゅうあい] /(n) endearment/
重圧 [じゅうあつ] /(n) strong pressure/heavy pressure/(P)/
重圧感 [じゅうあつかん] /(n) feeling of oppression/
重囲 [じゅうい] /(n) close siege/
重囲 [ちょうい] /(n) close siege/
重嬰記号 [じゅうえいきごう] /(n) double sharp (music)/
重液 [じゅうえき] /(n) heavy liquids/
重液分離 [じゅうえきぶんり] /(n) heavy media (liquid) separation/
重縁 [じゅうえん] /(n) double marriage (in the same family)/intermarriage/
重恩 [じゅうおん] /(n) heavy obligation/
重恩 [ちょうおん] /(n) special blessing/
重加算税 [じゅうかさんぜい] /(n) heavy additional tax(ation)/(P)/
重科 [じゅうか] /(n) serious crime/heavy punishment/
重火器 [じゅうかき] /(n) heavy weapons/
重荷 [おもに] /(n) load/heavy burden/encumbrance/heavy freight/heavy responsibility/(P)/
重荷 [じゅうか] /(n) load/heavy burden/encumbrance/heavy freight/heavy responsibility/
重過ぎる [おもすぎる] /(v1) to be too heavy/
重回帰 [じゅうかいき] /(n) (comp) multiple regression/
重灰 [じゅうかい] /(n) dense ash/
重患 [じゅうかん] /(n) serious illness/
重感染 [じゅうかんせん] /(n) coinfection/
重器 [じゅうき] /(n) treasure/invaluable person/
重機 [じゅうき] /(n) heavy machinery/heavy equipment/
重機関銃 [じゅうきかんじゅう] /(n) heavy machine gun/
重軌条 [じゅうきじょう] /(n) heavy rail/
重騎兵 [じゅうきへい] /(n) heavy cavalry/
重詰 [じゅうづめ] /(n) food packed in nest of lacquered boxes/
重詰め [じゅうづめ] /(n) food packed in nest of lacquered boxes/
重禁錮 [じゅうきんこ] /(n) imprisonment with hard labor (hard labour)/
重謹慎 [じゅうきんしん] /(n) close confinement (in one's barracks)/
重金主義 [じゅうきんしゅぎ] /(n) bullionism/
重金属 [じゅうきんぞく] /(n) heavy metals/
重苦 [じゅうく] /(n) intense suffering/
重苦しい [おもくるしい] /(adj-i) heavy/gloomy/awkward/cumbrous/oppressive/leaden/(P)/
重刑 [じゅうけい] /(n) heavy sentence/
重軽傷 [じゅうけいしょう] /(n) major or minor injuries/
重言 [じゅうごん] /(n) succession of words of similar meaning/
重厚 [じゅうこう] /(adj-na,n) thickness/composure and dignity/(P)/
重厚 [ちょうこう] /(adj-na,n) thickness/composure and dignity/
重厚長大 [じゅうこうちょうだい] /(n,adj-na) heavy, thick, long, and big (products)/massive and heavy (products)/heavy (manufacturing)/
重厚長大産業 [じゅうこうちょうだいさんぎょう] /(n) smokestack industry/
重工 [じゅうこう] /(n) heavy industry/
重工業 [じゅうこうぎょう] /(n) heavy industry/(P)/
重合 [じゅうごう] /(n,vs) polymerization/polymerisation/
重合体 [じゅうごうたい] /(n) polymer/
重刻 [じゅうこく] /(n,vs) reprinting/
重婚 [じゅうこん] /(n,vs,adj-no) bigamy/
重婚者 [じゅうこんしゃ] /(n) bigamist/
重罪 [じゅうざい] /(n,adj-no) felony/serious crime/
重殺 [じゅうさつ] /(n) double play/
重酸素 [じゅうさんそ] /(n) heavy oxygen/
重視 [じゅうし] /(n,vs) importance/stress/serious consideration/(P)/
重視型 [じゅうしがた] /(adj-no) oriented/
重手 [おもで] /(n) serious wound or injury/
重手代 [おもてだい] /(n) head steward (of an estate)/
重重 [じゅうじゅう] /(adj-no,adv,n) repeated/manifold/
重重しい [おもおもしい] /(adj-i) serious/grave/dignified/solemn/
重重に [じゅうじゅうに] /(adv) extremely/
重重にも [じゅうじゅうにも] /(exp) repeatedly/
重出 [じゅうしゅつ] /(n,vs) citing again/
重傷 [おもで] /(n) serious wound or injury/
重傷 [じゅうしょう] /(n) serious wound or injury/(P)/
重傷者 [じゅうしょうしゃ] /(n) severely wounded person/
重商主義 [じゅうしょうしゅぎ] /(n) mercantilism/
重商主義者 [じゅうしょうしゅぎしゃ] /(n) mercantilist/
重商政策 [じゅうしょうせいさく] /(n) mercantilist policy/
重唱 [じゅうしょう] /(n,vs) singing in parts/
重晶石 [じゅうしょうせき] /(n) barite/baryte/barytes/
重症 [じゅうしょう] /(n,adj-no) serious illness/(P)/
重症急性呼吸器症候群 [じゅうしょうきゅうせいこきゅうきしょうこうぐん] /(n) severe acute respiratory syndrome/SARS/
重症筋無力症 [じゅうしょうきんむりょくしょう] /(n) myasthenia gravis/
重症者 [じゅうしょうしゃ] /(n) the seriously ill/
重症度 [じゅうしょうど] /(n) severity (of an illness)/
重症例 [じゅうしょうれい] /(n) serious cases (of illness)/
重賞 [じゅうしょう] /(n) (1) large prize (e.g. in horse racing)/(2) generous reward/
重賞 [ちょうしょう] /(n) (1) large prize (e.g. in horse racing)/(2) generous reward/
重賞レース [じゅうしょうレース] /(n) graded race (in horse-racing)/high-stakes race/
重畳 [ちょうじょう] /(adj-t,adv-to) (1) placed one upon another/piled up/(2) excellent/splendid/
重畳至極 [ちょうじょうしごく] /(n,adj-na) very pleasant/extremely delightful/exquisite/superb/
重職 [じゅうしょく] /(n) responsible position/
重心 [じゅうしん] /(n) (1) centre of gravity (center)/(2) centroid/barycenter/(3) (one's) balance/(P)/
重心を取る [じゅうしんをとる] /(exp,v5r) to balance (oneself)/
重臣 [じゅうしん] /(n) chief vassal/senior statesman/
重水 [じゅうすい] /(n) heavy water/
重水素 [じゅうすいそ] /(n) deuterium/heavy hydrogen/
重水炉 [じゅうすいろ] /(n) heavy-water reactor/
重星 [じゅうせい] /(n) multiple star/
重税 [じゅうぜい] /(n,adj-no) heavy taxation/
重石 [おもし] /(n) (1) (abbr) stone weight (as used on pickle-tub covers)/(2) weight (as used in balances)/
重積 [じゅうせき] /(n,vs) piling up/
重責 [じゅうせき] /(n) heavy responsibility/(P)/
重説 [じゅうせつ] /(n,vs) reexplanation/
重戦車 [じゅうせんしゃ] /(n) heavy tank/
重奏 [じゅうそう] /(n,vs) instrumental ensemble/
重層 [じゅうそう] /(n,adj-no) multistoried/multilayered/(P)/
重層信仰 [じゅうそうしんこう] /(n) syncretism/
重層的 [じゅうそうてき] /(adj-na) stratified/multilayered/
重曹 [じゅうそう] /(n) baking soda/sodium bicarbonate/
重相関係数 [じゅうそうかんけいすう] /(n) multiple correlation coefficient/
重体 [じゅうたい] /(adj-na,adj-no,n) seriously ill/serious condition/critical state/(P)/
重態 [じゅうたい] /(adj-na,adj-no,n) seriously ill/serious condition/critical state/(P)/
重代 [じゅうだい] /(n) successive generations/
重大 [じゅうだい] /(adj-na,n) serious/important/significant/grave/weighty/(P)/
重大化 [じゅうだいか] /(n,vs) aggravation/
重大視 [じゅうだいし] /(n,vs) taking (something) seriously/
重大性 [じゅうだいせい] /(n) importance/seriousness/
重大犯罪 [じゅうだいはんざい] /(n) serious crime/felony/
重大問題 [じゅうだいもんだい] /(n) serious (vital) question/a grave issue/a matter of grave concern/
重炭酸ソーダ [じゅうたんさんソーダ] /(n) baking soda/sodium bicarbonate/
重炭酸塩 [じゅうたんさんえん] /(n) bicarbonate/
重炭酸曹達 [じゅうたんさんそうだ] /(n) sodium bicarbonate/baking soda/
重聴 [じゅうちょう] /(n) hard of hearing/
重鎮 [じゅうちん] /(n) leader/authority/mainstay/(P)/
重点 [じゅうてん] /(n) important point/lay stress on/colon/emphasis/(P)/
重点主義 [じゅうてんしゅぎ] /(n) priority system/
重点的 [じゅうてんてき] /(adj-na) preponderant/predominant/focused/(P)/
重電 [じゅうでん] /(adj-f) (1) heavy electric/(n) (2) (abbr) heavy electric machinery/
重電機 [じゅうでんき] /(n) heavy electric equipment/
重電機器 [じゅうでんきき] /(n) heavy electrical machinery/
重電気 [じゅうでんき] /(n) heavy electric (power)/
重度 [じゅうど] /(n,adj-no) heavy/severe/(P)/
重盗 [じゅうとう] /(n) double steal/
重湯 [おもゆ] /(n) thin rice gruel/rice water/
重篤 [じゅうとく] /(adj-na,n) serious (illness)/
重噸 [じゅうとん] /(n) long ton/
重任 [じゅうにん] /(n,vs) heavy responsibility/important post/reelection/reappointment/
重農主義 [じゅうのうしゅぎ] /(n) physiocracy/
重農主義者 [じゅうのうしゅぎしゃ] /(n) physiocrat/
重馬場 [おもばば] /(n) muddy track (in horse racing)/dead track/
重爆 [じゅうばく] /(n) heavy bomber/
重爆撃機 [じゅうばくげきき] /(n) a heavy bomber/
重箱 [じゅうばこ] /(n) multi-tiered food box/stacked boxes/(P)/
重箱の隅をつつく [じゅうばこのすみをつつく] /(exp,v5k) (id) to nitpick/to complain about trifles/
重箱の隅をほじくる [じゅうばこのすみをほじくる] /(exp,v5r) (id) to nitpick/to complain about trifles/
重箱の隅をようじでほじくる [じゅうばこのすみをようじでほじくる] /(exp,v5r) to nitpick/to complain about trifles/
重箱読 [じゅうばこよみ] /(n) mixed on-kun reading/
重箱読み [じゅうばこよみ] /(n) mixed on-kun reading/
重罰 [じゅうばつ] /(n) heavy punishment/
重版 [じゅうはん] /(n,vs) second edition/additional printing/literary piracy/
重犯 [じゅうはん] /(n,vs) (1) felony/major offence/(2) felon/old offender/
重犯 [じゅうぼん] /(n,vs) (1) felony/major offence/(2) felon/old offender/
重犯 [ちょうはん] /(n,vs) (1) felony/major offence/(2) felon/old offender/
重犯罪 [じゅうはんざい] /(n) felony/serious crime/
重病 [じゅうびょう] /(n,adj-no) serious illness/(P)/
重病人 [じゅうびょうにん] /(n) seriously sick person/
重複 [じゅうふく] /(n,vs,adj-no) duplication/repetition/overlapping/redundancy/restoration/(P)/
重複 [ちょうふく] /(n,vs,adj-no) duplication/repetition/overlapping/redundancy/restoration/(P)/
重複遺伝子 [じゅうふくいでんし] /(n) duplicated gene/
重複感染 [ちょうふくかんせん] /(n) superinfection/
重複部分配列 [じゅうふくぶぶんはいれつ] /(n) (comp) many-one array section/
重複保険 [じゅうふくほけん] /(n) double insurance/
重複母音 [じゅうふくぼいん] /(n) geminate vowel/
重複名解決フラグ [じゅうふくめいかいけつフラグ] /(n) (comp) conflict resolution flag/
重複立候補 [じゅうふくりっこうほ] /(n) simultaneously running for a seat in a single-member constituency and a seat in a proportionally representated constituency/
重文 [じゅうぶん] /(n,adj-no) (1) (abbr) compound sentence/(2) important national treasure/
重変 [じゅうへん] /(n) double flat (music)/
重変記号 [じゅうへんきごう] /(n) double flat (music)/
重母音 [じゅうぼいん] /(n) diphthong/
重宝 [じゅうほう] /(adj-na,n,vs) priceless treasure/convenience/usefulness/
重宝 [ちょうほう] /(adj-na,n,vs) priceless treasure/convenience/usefulness/(P)/
重宝がる [ちょうほうがる] /(v5r) to find useful/to think highly of/
重砲 [じゅうほう] /(n) heavy artillery/
重味 [おもみ] /(n) importance/weight/dignity/emphasis/
重目 [おもめ] /(adj-na,n) slightly heavy/a little heavy/
重役 [おもやく] /(n) director/high executive/(person with) heavy responsibilities/
重役 [じゅうやく] /(n) director/high executive/(person with) heavy responsibilities/(P)/
重役会 [じゅうやっかい] /(n) board of directors/
重役会議 [じゅうやくかいぎ] /(n) executive meeting/meeting of the board of directors/
重役出勤 [じゅうやくしゅっきん] /(n,vs) flexible working hours of the higher-ups/(humorously or sarcastically) go (come) to work late as if one were an executive/
重訳 [じゅうやく] /(n,vs) retranslation/
重油 [じゅうゆ] /(n) heavy oil/fuel oil/(P)/
重用 [じゅうよう] /(n,vs) appointing to a responsible post/
重用 [ちょうよう] /(n,vs) appointing to a responsible post/
重要 [じゅうよう] /(adj-na,n) important/momentous/essential/principal/major/(P)/
重要なＳＧＭＬ文字 [じゅうようなエスジーエムエルもじ] /(n) (comp) significant SGML character/
重要案件 [じゅうようあんけん] /(n) important matter (for discussion (deliberations))/
重要参考人 [じゅうようさんこうにん] /(n) material witness/suspect/
重要産業 [じゅうようさんぎょう] /(n) key industry/
重要視 [じゅうようし] /(n,vs) regarding highly/attaching importance to/
重要事項 [じゅうようじこう] /(n) important matter/matters of weight/
重要書類 [じゅうようしょるい] /(n) important documents/important papers/
重要人物 [じゅうようじんぶつ] /(n) important person/strategic person/key figure/
重要性 [じゅうようせい] /(n) importance/gravity/
重要度 [じゅうようど] /(n) (comp) priority (e.g. traffic)/
重要度表示 [じゅうようどひょうじ] /(n) (comp) importance indication/
重要文化財 [じゅうようぶんかざい] /(n) important cultural property/(P)/
重要無形文化財 [じゅうようむけいぶんかざい] /(n) important intangible cultural asset/
重要無形民俗文化財 [じゅうようむけいみんぞくぶんかざい] /(n) important intangible folk culture asset/
重陽 [ちょうよう] /(n) Chrysanthemum Festival (the 9th day of the 9th lunar month) (one of the five annual festivals)/
重陽子 [じゅうようし] /(n) deuteron/
重利 [じゅうり] /(n) compound interest/
重立った [おもだった] /(adj-f) chief/leading/important/prominent/
重立つ [おもだつ] /(v5t,vi) to be main/to be principal/to be important/to be conspicuous/to be prominent/
重粒子 [じゅうりゅうし] /(n) baryon/
重量 [じゅうりょう] /(n,adj-no) (1) weight/(2) heavyweight boxer/(P)/
重量エネルギー密度 [じゅうりょうエネルギーみつど] /(n) specific energy (Wh/kg)/
重量トン [じゅうりょうトン] /(n) deadweight ton/deadweight tonnage/
重量ポンド [じゅうりょうポンド] /(n) pound-force/
重量感 [じゅうりょうかん] /(n) thick and heavy/
重量感覚 [じゅうりょうかんかく] /(n) sense of weight/
重量級 [じゅうりょうきゅう] /(n) heavyweight class/
重量挙げ [じゅうりょうあげ] /(n) weight lifting/
重量拳闘選手 [じゅうりょうけんとうせんしゅ] /(n) heavy weight boxer/
重量上げ [じゅうりょうあげ] /(iK) (n) weight lifting/
重量制限 [じゅうりょうせいげん] /(n) weight restriction/weight limit/
重量選手 [じゅうりょうせんしゅ] /(n) heavyweight player/
重量噸 [じゅうりょうとん] /(n) dead-weight tonnage/
重量噸数 [じゅうりょうとんすう] /(n) dead-weight tonnage/
重量分析 [じゅうりょうぶんせき] /(n) gravimetric analysis/
重量法 [じゅうりょうほう] /(n) (chem) gravimetric method/
重力 [じゅうりょく] /(n) gravity/(P)/
重力ダム [じゅうりょくダム] /(n) gravity dam/
重力レンズ [じゅうりょくレンズ] /(n) gravitational lens/
重力加速度 [じゅうりょくかそくど] /(n) gravitational acceleration/acceleration of gravity/
重力計 [じゅうりょくけい] /(n) gravimeter/
重力子 [じゅうりょくし] /(n) graviton (hypothetical gravity particle)/
重力質量 [じゅうりょくしつりょう] /(n) gravitational mass/
重力場 [じゅうりょくば] /(n) gravitational field/
重力相互作用 [じゅうりょくそうごさよう] /(n) gravitational interaction/
重力波 [じゅうりょくは] /(n) gravitational wave/gravity wave/
重力崩壊 [じゅうりょくほうかい] /(n) gravitational collapse/
重労働 [じゅうろうどう] /(n) heavy labor/heavy labour/hard labor (in prison)/hard labour/
重祚 [じゅうそ] /(n,vs) second accession to the throne/
重祚 [ちょうそ] /(n,vs) second accession to the throne/
銃 [じゅう] /(n) gun/rifle/small arms/(P)/
銃の筒 [じゅうのつつ] /(n) barrel of a gun/
銃を構えて [じゅうをかまえて] /(exp) ready with a rifle leveled/
銃架 [じゅうか] /(n) arms rack/rifle stand/
銃火 [じゅうか] /(n) gunfire/
銃丸 [じゅうがん] /(n) bullet/
銃眼 [じゅうがん] /(n) loophole/eyelet/
銃器 [じゅうき] /(n) small arms/(P)/
銃規制 [じゅうきせい] /(n) gun control/
銃規制法 [じゅうきせいほう] /(n) gun control law/
銃刑 [じゅうけい] /(n) execute by shooting to death (by firing squad)/
銃撃 [じゅうげき] /(n,vs) shooting/gunning (down)/(P)/
銃撃戦 [じゅうげきせん] /(n) firefight/gun battle/shoot-out/
銃剣 [じゅうけん] /(n) bayonet/
銃剣術 [じゅうけんじゅつ] /(n) bayonet drill/
銃剣道 [じゅうけんどう] /(n) form of modern martial art using the bayonet/
銃後 [じゅうご] /(n) the homefront/
銃口 [じゅうこう] /(n) gun point/muzzle/
銃座 [じゅうざ] /(n) emplacement/
銃殺 [じゅうさつ] /(n,vs) death by shooting/(P)/
銃傷 [じゅうしょう] /(n) gunshot wound/
銃床 [じゅうしょう] /(n) gunstock/
銃身 [じゅうしん] /(n) gun barrel/
銃声 [じゅうせい] /(n) gunshot/(gun) report/(P)/
銃創 [じゅうそう] /(n) gunshot wound/
銃弾 [じゅうだん] /(n) bullet (from a rifle)/(P)/
銃弾跡 [じゅうだんせき] /(n) bullet hole/
銃刀法 [じゅうとうほう] /(n) (abbr) Swords and Firearms Control Law (1958)/
銃砲 [じゅうほう] /(n) guns/firearms/
銃砲刀剣類所持等取締法 [じゅうほうとうけんるいしょじとうとりしまりほう] /(n) Swords and Firearms Control Law (1958)/
銃猟 [じゅうりょう] /(n) shooting/hunting/
銃連射 [じゅうれんしゃ] /(n) rapid (weapons) fire/hail of bullets/
叔世 [しゅくせい] /(n) age of decline (said of a nation)/
叔父 [おじ] /(n,adj-no) (hum) uncle (younger than one's parent)/(P)/
叔父 [しゅくふ] /(n,adj-no) (hum) uncle (younger than one's parent)/
叔父さん [おじさん] /(n) (1) (hon) (fam) uncle/(2) (fam) old man/mister (vocative)/(3) (uk) manybar goatfish (Parupeneus multifasciatus)/
叔父貴 [おじき] /(n) (hon) uncle (younger than one's parent)/
叔母 [おば] /(n) aunt (younger than one's parent)/(P)/
叔母 [しゅくぼ] /(n) aunt (younger than one's parent)/
叔母さん [おばさん] /(n) (hon) (fam) aunt/
夙 [しゅく] /(n,adj-no) outcasts (those from Kamakura period to the Edo period, common around the Kyoto region)/
夙 [まだき] /(adv) (uk) a very short while ago/very early (e.g. in the morning)/
夙に [つとに] /(adv) bright and early/early in life/long ago/for a long time/
夙志 [しゅくし] /(n) long-cherished desire/
夙成 [しゅくせい] /(n) precocity/
夙夜 [しゅくや] /(n-t) from morning till night/day and night/always/
宿 [しゅく] /(n,adj-no) outcasts (those from Kamakura period to the Edo period, common around the Kyoto region)/
宿 [やど] /(n) inn/lodging/(P)/
宿す [やどす] /(v5s,vt) (1) to keep (guest)/(2) to conceive/(3) to carry (virus)/(4) to entrust/(P)/
宿り [やどり] /(n,vs) lodging abode/shelter/
宿り木 [やどりぎ] /(n) (1) mistletoe (esp. European mistletoe, Viscum album)/(2) parasitic plant/
宿る [やどる] /(v5r,vi) (1) to lodge/to dwell/(2) to be pregnant/(P)/
宿悪 [しゅくあく] /(n) (Buddh) old evils/evils committed in a previous existence/
宿意 [しゅくい] /(n) longstanding opinion/old grudge/
宿引き [やどひき] /(n) hotel or lodging house tout/
宿運 [しゅくうん] /(n) fate/destiny/
宿営 [しゅくえい] /(n,vs) billeting/camp/
宿営地 [しゅくえいち] /(n) cantonment/encampment/etape/
宿駅 [しゅくえき] /(n) post town/relay station/stage/(P)/
宿怨 [しゅくえん] /(n) old grudge/old score/
宿縁 [しゅくえん] /(n) destiny/fate/karma/
宿屋 [やどや] /(n) inn/(P)/
宿下がり [やどさがり] /(n) (short-term) leave allowed a servant/
宿学 [しゅくがく] /(n) renowned scholar/
宿願 [しゅくがん] /(n) longstanding desire/
宿業 [しゅくごう] /(n) (Buddh) karma/
宿恨 [しゅくこん] /(n) old grudge/old score/
宿恨 [しゅっこん] /(n) old grudge/old score/
宿根 [しゅっこん] /(n) (Buddh) fate predetermined from a prior existence/
宿根草 [しゅっこんそう] /(n) perennial plant/
宿志 [しゅくし] /(n) longstanding desire/
宿舎 [しゅくしゃ] /(n) lodging house/(P)/
宿借 [やどかり] /(io) (n) (1) hermit crab/(2) renting a house/(3) tenant/
宿借り [やどかり] /(n) (1) hermit crab/(2) renting a house/(3) tenant/
宿主 [しゅくしゅ] /(n) (1) (parasitic) host/(2) landlord/innkeeper/
宿主 [やどぬし] /(n) (1) (parasitic) host/(2) landlord/innkeeper/
宿所 [しゅくしょ] /(n) address/lodgings/accommodation/
宿将 [しゅくしょう] /(n) veteran general/
宿場 [しゅくば] /(n) (arch) relay station/post town/stage/
宿酔 [しゅくすい] /(n) hangover/
宿世 [しゅくせ] /(n) (Buddh) one's previous existence/
宿世 [すくせ] /(n) (Buddh) one's previous existence/
宿星 [しゅくせい] /(n) star of fate/a zodiac/
宿雪 [しゅくせつ] /(n) lingering snow/
宿銭 [やどせん] /(n) hotel charges/
宿替え [やどがえ] /(n,vs) change of lodgings/
宿代 [やどだい] /(n) hotel charges (for lodging, not meals, etc.)/
宿題 [しゅくだい] /(n) homework/(P)/
宿帳 [やどちょう] /(n) hotel register/
宿直 [しゅくちょく] /(n,vs) night watch/night guard/night shift/
宿直室 [しゅくちょくしつ] /(n) night duty room/
宿賃 [やどちん] /(n) hotel charges/
宿敵 [しゅくてき] /(n) old enemy/longtime enemy/arch-enemy/traditional rival/longstanding foe/(P)/
宿禰 [すくね] /(n) (1) (arch) (hon) Lord (title of respect for nobility, etc.)/(2) Sukune (third highest of the eight hereditary titles)/
宿泊 [しゅくはく] /(n,vs) lodging/(P)/
宿泊客 [しゅくはくきゃく] /(n) guest (esp. hotel)/
宿泊者 [しゅくはくしゃ] /(n) guest (esp. hotel)/lodger/
宿泊所 [しゅくはくじょ] /(n) lodgings/quarters/
宿泊人 [しゅくはくにん] /(n) lodger/boarder/paying guest/
宿泊数 [しゅくはくすう] /(n) number of nights staying in accommodation/
宿泊設備 [しゅくはくせつび] /(n) accommodation/
宿泊先 [しゅくはくさき] /(n) lodging host/lodging place/
宿泊費 [しゅくはくひ] /(n) hotel charge/lodging expense/
宿泊料 [しゅくはくりょう] /(n) hotel charges/
宿泊料金 [しゅくはくりょうきん] /(n) accommodation charge/lodging charges/lodging fees/
宿弊 [しゅくへい] /(n) longstanding abuse/deep-rooted evil/
宿便 [しゅくべん] /(n) feces contained long in the intestines/fecal stasis/coprostasis/
宿坊 [しゅくぼう] /(n) visitor's or pilgrims' lodgings in a temple/priest's quarters/
宿望 [しゅくぼう] /(n) long-cherished desire/
宿望 [しゅくもう] /(n) long-cherished desire/
宿無し [やどなし] /(n) homeless person/vagabond/tramp/
宿命 [しゅくめい] /(n) fate/destiny/predestination/(P)/
宿命的 [しゅくめいてき] /(adj-na) fateful/predestined/
宿命論 [しゅくめいろん] /(n) fatalism/
宿命論者 [しゅくめいろんじゃ] /(n) fatalist/
宿木 [やどりぎ] /(n) (1) mistletoe (esp. European mistletoe, Viscum album)/(2) parasitic plant/
宿木鶇 [やどりぎつぐみ] /(n) (uk) mistle thrush (Turdus viscivorus)/missel thrush/stormcock/
宿曜 [しゅくよう] /(n) form of astrology based on the Xiuyaojing/
宿曜 [すくよう] /(n) form of astrology based on the Xiuyaojing/
宿曜経 [しゅくようきょう] /(n) Xiuyaojing (Indian astrological text written by Amoghavajra)/
宿曜経 [すくようきょう] /(n) Xiuyaojing (Indian astrological text written by Amoghavajra)/
宿曜経 [すくようぎょう] /(n) Xiuyaojing (Indian astrological text written by Amoghavajra)/
宿曜道 [すくようどう] /(n) form of astrology based on the Xiuyaojing (brought to Japan in the Heian period)/
宿料 [しゅくりょう] /(n) hotel charges/
宿老 [しゅくろう] /(n) old men/elders/seniors/veterans/
宿六 [やどろく] /(n) husband/
宿痾 [しゅくあ] /(n) chronic disease/
淑やか [しとやか] /(adj-na,n) graceful/(P)/
淑景舎 [しげいさ] /(n) court ladies' residence (in the inner Heian Palace)/
淑景舎 [しげいしゃ] /(n) court ladies' residence (in the inner Heian Palace)/
淑女 [しゅくじょ] /(n) lady/(P)/
淑女風 [しゅくじょふう] /(adj-no) ladylike/in the manner of a lady/
淑徳 [しゅくとく] /(n) womanly virtues/(P)/
祝 [いわい] /(n) congratulation/congratulations/celebration/festival/congratulatory gift/
祝 [はふり] /(n) (1) (pol) (obsc) generic title for a member of the Shinto priesthood/(2) Shinto priest of lower rank than kannushi and negi/
祝い [いわい] /(n) congratulation/congratulations/celebration/festival/congratulatory gift/(P)/
祝い唄 [いわいうた] /(n) (1) festive poem or song/(2) congratulatory form (of waka)/
祝い歌 [いわいうた] /(n) (1) festive poem or song/(2) congratulatory form (of waka)/
祝い事 [いわいごと] /(n) celebration/auspicious occasion/
祝い酒 [いわいざけ] /(n) celebratory spirits (alcohol)/
祝い着 [いわいぎ] /(n) festive dress/
祝い箸 [いわいばし] /(n) festive chopsticks/thick round chopsticks used on festive occasions/
祝い物 [いわいもの] /(n) congratulatory gift/
祝う [いわう] /(v5u,vt) to congratulate/to celebrate/to observe (a festival)/(P)/
祝す [しゅくす] /(v5s,vt) to congratulate/to celebrate/
祝する [しゅくする] /(vs-s) to congratulate/to celebrate/
祝とう [しゅくとう] /(n) benediction/blessing/
祝意 [しゅくい] /(n) congratulations/
祝唄 [いわいうた] /(n) (1) festive poem or song/(2) congratulatory form (of waka)/
祝宴 [しゅくえん] /(n) celebratory banquet/feast/
祝歌 [いわいうた] /(n) (1) festive poem or song/(2) congratulatory form (of waka)/
祝賀 [しゅくが] /(n,vs,adj-no) celebration/congratulations/(P)/
祝賀会 [しゅくがかい] /(n) celebration/
祝儀 [しゅうぎ] /(n) congratulations/celebration/congratulatory gift/tip/(P)/
祝儀袋 [しゅうぎぶくろ] /(n) special envelope for monetary gifts/
祝言 [しゅうげん] /(n) wedding celebration/
祝祭 [しゅくさい] /(n,adj-no) festivals/feasts/
祝祭日 [しゅくさいじつ] /(n) national holiday/
祝詞 [しゅくし] /(n) (1) Shinto ritual prayer/(2) congratulatory address/
祝詞 [のっと] /(n) (1) Shinto ritual prayer/
祝詞 [のと] /(n) (1) Shinto ritual prayer/
祝詞 [のりと] /(n) (1) Shinto ritual prayer/
祝事 [いわいごと] /(n) celebration/auspicious occasion/
祝事 [はぎごと] /(ok) (n) celebration/auspicious occasion/
祝辞 [しゅくじ] /(n) congratulatory address/(P)/
祝女 [のろ] /(n) hereditary caste of female mediums in Okinawa/
祝勝 [しゅくしょう] /(n,adj-no) victory celebration/
祝典 [しゅくてん] /(n) celebration/
祝電 [しゅくでん] /(n) congratulatory telegram/(P)/
祝祷 [しゅくとう] /(n) benediction/blessing/
祝日 [しゅくじつ] /(n,adj-no) national holiday/(P)/
祝杯 [しゅくはい] /(n) toast/congratulatory cup/(P)/
祝箸 [いわいばし] /(n) festive chopsticks/thick round chopsticks used on festive occasions/
祝福 [しゅくふく] /(n,vs,adj-no) blessing/(P)/
祝砲 [しゅくほう] /(n) salute of guns/
祝融 [しゅくゆう] /(n) (1) ancient Chinese god of fire (or spring)/(2) (disastrous) fire/
縮 [しゅく] /(n) (1) wearing armour (armor)/(suf,ctr) (2) counter for suits of armour/
縮かむ [ちぢかむ] /(v5m,vi) (1) to be benumbed (e.g. with cold)/(2) to shrink/to contract/to diminish (in size)/
縮こまる [ちぢこまる] /(v5r,vi) to curl oneself up/to squeeze oneself in/to be huddled/
縮まる [ちぢまる] /(v5r,vi) to shorten/to narrow/to close/(P)/
縮み [ちぢみ] /(n) (1) shrinkage/(n,adj-no) (2) cotton crepe/(P)/
縮みあがる [ちぢみあがる] /(v5r,vi) to cringe/to wince/to flinch/
縮み上がる [ちぢみあがる] /(v5r,vi) to cringe/to wince/to flinch/
縮み織り [ちぢみおり] /(n) cotton crepe/preshrunk cloth/
縮む [ちじむ] /(v5m,vi) to shrink/to contract/to diminish (in size)/
縮む [ちぢむ] /(v5m,vi) to shrink/to contract/to diminish (in size)/(P)/
縮める [ちぢめる] /(v1,vt) to shorten/to reduce/to boil down/to shrink/(P)/
縮らす [ちぢらす] /(v5s,vt) to curl/to crimp/
縮れる [ちぢれる] /(v1,vi) to be wavy/to be curled/(P)/
縮れ毛 [ちぢれげ] /(n) curly hair/kinky hair/frizzy hair/
縮減 [しゅくげん] /(n,vs) reduction/diminishment/contraction/
縮刷 [しゅくさつ] /(n,vs) pocket edition/small-type edition/
縮刷版 [しゅくさつばん] /(n) small edition/pocket edition/
縮写 [しゅくしゃ] /(n,vs) reduced copy/reproduction in miniature/
縮尺 [しゅくしゃく] /(n,vs) reduced scale/scaling/(P)/
縮小 [しゅくしょう] /(n,vs,adj-no) reduction/curtailment/(P)/
縮小命令セットコンピュータ [しゅくしょうめいれいセットコンピュータ] /(n) (comp) Reduced Instruction Set Computer (or Computing)/RISC/
縮図 [しゅくず] /(n) (1) reduced drawing/miniature copy/(2) microcosm/microcosmos/(P)/
縮退 [しゅくたい] /(n) (comp) degeneracy/
縮瞳 [しゅくどう] /(n) miosis/myosis/(excessive) constriction of the pupil/
縮閉線 [しゅくへいせん] /(n) (math) (obsc) evolute/
縮緬 [ちりめん] /(n) (silk) crepe/
縮緬雑魚 [ちりめんざこ] /(n) (uk) dried young sardines/
縮緬雑魚 [ちりめんじゃこ] /(n) (uk) dried young sardines/
縮緬紙 [ちりめんがみ] /(oK) (n) crepe paper/
縮緬紙 [ちりめんし] /(oK) (n) crepe paper/
縮緬皺 [ちりめんじわ] /(oK) (n) (uk) fine wrinkles/
縮毛矯正 [しゅくもうきょうせい] /(n,vs) hair straightening/
縮約 [しゅくやく] /(n,vs) (math) contraction/
縮絨 [しゅくじゅう] /(n,vs) fulling (cloth)/milling/
縮絨工 [しゅくじゅうこう] /(n) fuller (of cloth)/
粛々 [しゅくしゅく] /(n,adj-t,adv-to) silent/solemn/quiet/
粛として [しゅくとして] /(exp) quietly/softly/solemnly/
粛学 [しゅくがく] /(n) school purge/
粛軍 [しゅくぐん] /(n) army purge/
粛啓 [しゅくけい] /(int) (arch) (hon) Dear (name)/
粛殺 [しゅくさつ] /(n,vs) withering/blight/
粛粛 [しゅくしゅく] /(n,adj-t,adv-to) silent/solemn/quiet/
粛正 [しゅくせい] /(n) regulation/enforcement/
粛清 [しゅくせい] /(n,vs) (political) purge/(P)/
粛然 [しゅくぜん] /(adj-t) (1) silent/quiet/solemn/(adv-to) (2) softly/quietly/solemnly/
粛党 [しゅくとう] /(n,vs) cleaning up (political party)/
粛白 [しゅくはく] /(int) (hon) (arch) humble greeting at the beginning of a letter/
塾 [じゅく] /(n) coaching school/cramming school/juku/(P)/
塾生 [じゅくせい] /(n) private-school student/(P)/
塾長 [じゅくちょう] /(n) principal of a private school/(P)/
塾通い [じゅくがよい] /(n) attending cram school/
熟 [つくつく] /(adj-na,adv) (uk) (on-mim) completely/really/thoroughly/deeply/severely/intently/
熟 [つくづく] /(adj-na,adv) (uk) (on-mim) completely/really/thoroughly/deeply/severely/intently/(P)/
熟々 [つくつく] /(adj-na,adv) (uk) (on-mim) completely/really/thoroughly/deeply/severely/intently/
熟々 [つくづく] /(adj-na,adv) (uk) (on-mim) completely/really/thoroughly/deeply/severely/intently/
熟々 [つらつら] /(adv) (uk) carefully/attentively/profoundly/deeply/at length/
熟し [こなし] /(n) carriage (e.g. of one's body)/
熟す [こなす] /(v5s,vt) (uk) to break to pieces/to digest/to handle easily/(P)/
熟す [じゅくす] /(v5s,vt) to ripen/to mature/to be in common use/to come to sound natural/
熟する [じゅくする] /(vs-s) to ripen/to mature/to be in common use/to come to sound natural/
熟む [うむ] /(v5m,vi) to ripen/
熟れ [うれ] /(n) maturity/ripeness/
熟れ [こなれ] /(n) digestion/digestibility/
熟れた果実 [うれたかじつ] /(n) mellow (ripe) fruit/
熟れる [うれる] /(v1,vi) to ripen/to mellow/to mature/
熟れる [こなれる] /(v1,vi) (1) to be digested/(2) to be proficient/to be smooth/(3) to be mellowed/
熟れ過ぎ [うれすぎ] /(n) overripeness/
熟れ寿司 [なれずし] /(n) (uk) old-style fermented sushi (pickled in brine rather than vinegar)/
熟れ鮨 [なれずし] /(n) (uk) old-style fermented sushi (pickled in brine rather than vinegar)/
熟柿 [じゅくし] /(n) ripe persimmon/
熟柿主義 [じゅくししゅぎ] /(n) laying low, awaiting one's chance/
熟柿臭い [じゅくしくさい] /(adj-i) smelling of (stale) liquor/
熟議 [じゅくぎ] /(n,vs) careful deliberation/
熟語 [じゅくご] /(n) (1) (ling) kanji compound/(2) idiom/idiomatic phrase/(P)/
熟考 [じゅっこう] /(n,vs) careful consideration/deliberation/thinking over carefully/
熟思 [じゅくし] /(n,vs) deliberation/consideration/
熟思黙想 [じゅくしもくそう] /(n,vs) considering (a matter) carefully and silently/being lost in silent contemplation/
熟視 [じゅくし] /(n,vs) staring at/scrutinizing/scrutinising/
熟字 [じゅくじ] /(n) kanji compound/
熟字訓 [じゅくじくん] /(n) special kanji readings/
熟寿司 [なれずし] /(n) (uk) old-style fermented sushi (pickled in brine rather than vinegar)/
熟熟 [つくつく] /(adj-na,adv) (uk) (on-mim) completely/really/thoroughly/deeply/severely/intently/
熟熟 [つくづく] /(adj-na,adv) (uk) (on-mim) completely/really/thoroughly/deeply/severely/intently/
熟女 [じゅくじょ] /(n) attractive mature lady/
熟食 [じゅくしょく] /(n) (obsc) well-cooked food/well-boiled food/
熟睡 [じゅくすい] /(n,vs) sound sleep/(P)/
熟成 [じゅくせい] /(n,vs) mature/ripen/cure/ferment/
熟達 [じゅくたつ] /(n,vs) mastery/
熟談 [じゅくだん] /(n,vs) careful consultation/
熟知 [じゅくち] /(n,vs) being familiar with/having a thorough knowledge of/being well-informed about/(P)/
熟読 [じゅくどく] /(n,vs) perusal/careful reading/
熟読玩味 [じゅくどくがんみ] /(n,vs) reading carefully with appreciation/giving (something) a careful perusal/
熟年 [じゅくねん] /(n,adj-no) mature in age and wisdom/middle-aged/
熟年夫婦 [じゅくねんふうふ] /(n) middle-aged couple/middle-aged husband & wife/
熟年離婚 [じゅくねんりこん] /(n) (col) divorce of a couple who have been married for a long time (often brought on by retirement of the husband)/
熟眠 [じゅくみん] /(n,vs) sound sleep/
熟覧 [じゅくらん] /(n,vs) careful inspection/scrutiny/
熟慮 [じゅくりょ] /(n) (1) deliberation/(thoughtful) consideration/(vs) (2) to consider a matter carefully/
熟慮断行 [じゅくりょだんこう] /(n,vs) being deliberate in council, and decisive in action/
熟練 [じゅくれん] /(n,vs,adj-no) skill/dexterity/proficiency/(P)/
熟練した [じゅくれんした] /(adj-f) experienced/skilled/proficient/
熟練工 [じゅくれんこう] /(n) skilled workman/master mechanic/
熟練者 [じゅくれんしゃ] /(n) expert (in, at)/skilled hand/man of experience/
熟鮨 [なれずし] /(n) (uk) old-style fermented sushi (pickled in brine rather than vinegar)/
出 [しゅつ] /(n) (1) coming out/emerging/(2) being born into (a certain family)/being a native of (a particular place)/
出 [で] /(n,n-suf) (1) coming out/going out/outflow/efflux/rising (of the sun or moon)/(2) attending (work)/appearing (on stage)/one's turn to go on/(3) start/beginning/(4) origins/background/person (or item) originating from .../graduate of .../native of .../member of ... (lineage)/(5) architectural member that projects outward/(6) highest point of the stern of a ship/(7) (uk) amount (comprising something)/amount of time or effort required to do something/(P)/
出々し [でだし] /(n) start/beginning/
出かける [でかける] /(v1,vi) to depart/to go out (e.g. on an excursion or outing)/to set out/to start/to be going out/
出かす [でかす] /(v5s,vt) to do/to commit/to accomplish/to achieve/
出かせぎ [でかせぎ] /(n,vs) working away from home/
出かわり [でかわり] /(n) periodical relief or replacement of workers/
出くわす [でくわす] /(v5s) to happen to meet/to come across/
出し [だし] /(n) (1) (uk) dashi (Japanese soup stock made from fish and kelp)/(2) pretext/excuse/pretense (pretence)/dupe/front man/(P)/
出しっ放す [だしっぱなす] /(v5s) to leave on/to leave running/to leave lying around/to leave (a faucet) open/
出してくれる [だしてくれる] /(exp,v1) to take out/to put out/to help leave/
出しにする [だしにする] /(exp,vt,vs-i) to use as a pretext/to use as an excuse for doing something/
出しに使う [だしにつかう] /(exp,v5u) to use as a pretext/to use as an excuse for doing something/
出しゃばり [でしゃばり] /(n,adj-na,adj-no) being intrusive/intrusive person/
出しゃばる [でしゃばる] /(v5r,vi) to intrude/to butt in/
出し違う [だしちがう] /(v5u) to miss sending/to miss delivering/
出し過ぎる [だしすぎる] /(v1) to overdo something (speed, exertion, etc.)/
出し殻 [だしがら] /(n) grounds (of tea and coffee)/
出し巻き卵 [だしまきたまご] /(n) Japanese omelette/
出し合う [だしあう] /(v5u,vt) to contribute jointly/
出し手 [だして] /(n) one who furnishes the money/
出し汁 [だしじる] /(n) broth/stock/sauce/
出し渋る [だししぶる] /(v5r,vt) to grudge/to be stingy/to be unwilling to pay/
出し惜しみ [だしおしみ] /(n,vs) unwilling/
出し惜しむ [だしおしむ] /(v5m,vt) to grudge/to be stingy/to be unwilling to pay/
出し切る [だしきる] /(v5r,vt) to use up/to do one's best/
出し前 [だしまえ] /(n) one's share (in the expenses)/
出し遅れ [だしおくれ] /(n) belated/
出し投げ [だしなげ] /(n) sumo winning techniques where the opponent is thrown without close bodily contact/
出し入れ [だしいれ] /(n,vs) deposit and withdraw/taking in and out/
出し入れ可能媒体 [だしいれかのうばいたい] /(n) (comp) removable media/
出し抜く [だしぬく] /(v5k,vt) to forestall/to anticipate/to jump the gun on/to outwit/to circumvent/to steal a march on/
出し抜け [だしぬけ] /(adj-na,n) all of a sudden/unexpected/
出し抜けに [だしぬけに] /(adv) suddenly/without notice/unexpectedly/
出し物 [だしもの] /(n) program (e.g. theatre, theater)/programme/performance/
出し分 [だしぶん] /(n) one's share (in the expenses)/
出し放す [だしはなす] /(v5s) to leave on/to leave running/to leave lying around/to leave (a faucet) open/
出し放題 [だしほうだい] /(n) free flow of water/
出す [だす] /(v5s,vt) (1) to take out/to get out/(2) to put out/to reveal/to show/(3) to submit (e.g. thesis)/to turn in/(4) to publish/to make public/(5) to send (e.g. letter)/(6) to produce (a sound)/to start (fire)/(7) to serve (food)/(suf) (8) to begin/(P)/
出すことは舌を出すも嫌い [だすことはしたをだすもきらい] /(exp) (obsc) exceptionally stingy/
出す事は舌を出すも嫌い [だすことはしたをだすもきらい] /(exp) (obsc) exceptionally stingy/
出ずっぱり [でずっぱり] /(n) being on stage without respite/going out or being in attendance continuously/
出ずっ張り [でずっぱり] /(n) being on stage without respite/going out or being in attendance continuously/
出そろう [でそろう] /(v5u,vi) to appear all together/to be all present/
出た所勝負 [でたとこしょうぶ] /(n) leaving a matter to chance/
出だし [でだし] /(n) start/beginning/
出っ歯 [でっぱ] /(n) protruding tooth/overbite/
出っ尻 [でっちり] /(n) protruding buttocks/big butt/
出っ端 [でっぱな] /(n) (1) outset/moment of departure/beginning of work/starting out/
出っ張り [でっぱり] /(n) tumor/tumour/protrusion/
出っ張る [でっぱる] /(v5r,vi) to project/to stand out/to jut out/to protrude/
出っ鼻 [でっぱな] /(n) (1) outset/moment of departure/beginning of work/starting out/
出ていく [でていく] /(v5k-s) to go out and away/to leave/
出てくる [でてくる] /(vk) to come out/to appear/to turn up/to emerge/
出てゆく [でてゆく] /(v5k-s) to go out and away/to leave/
出て行く [でていく] /(v5k-s) to go out and away/to leave/
出て行く [でてゆく] /(v5k-s) to go out and away/to leave/
出て来る [でてくる] /(vk) to come out/to appear/to turn up/to emerge/
出でる [いでる] /(v1) (hon) to go/to come/
出で湯 [いでゆ] /(n) hot spring/
出で立ち [いでたち] /(n) dress/outfit/
出で立つ [いでたつ] /(v5t,vi) to start/to leave/
出どころ [でどころ] /(n,vs) (1) release (discharge) from prison/exit/point of departure/time to take action/
出なおす [でなおす] /(v5s,vi) to come again/to call again/to make a fresh start/
出にくい [でにくい] /(adj-i) can't occur easily/difficult to happen/
出はじめる [ではじめる] /(v1) to begin to appear/to begin to come in/
出べそ [でべそ] /(n) (uk) protruding navel/outie/
出やすい [でやすい] /(adj-i) tending to break out or project easily/
出る [でる] /(v1,vi) (1) to go out/to exit/to leave/(2) to appear/to come forth/to be published/(3) to answer (the phone or door)/(P)/
出る杭は打たれる [でるくいはうたれる] /(exp,v1) the nail that sticks out gets hammered in/the best policy is to keep your head down/
出る所に出る [でるところにでる] /(exp,v1) to go wherever one has to go (to get a matter settled, e.g, the court)/
出る前 [でるまえ] /(n) before going out/
出る釘は打たれる [でるくぎはうたれる] /(exp,v1) the nail which sticks out gets hammered down (used to encourage conformity)/
出る幕ではない [でるまくではない] /(exp) it is none of one's business/it is not one's place to say (do) something/
出エジプト記 [しゅつエジプトき] /(n) Book of Exodus (Bible)/
出トラヒック [しゅつトラヒック] /(n) (comp) outgoing traffic/
出バン [でバン] /(n,vs) unloading a truck or van (from de-van)/
出逢う [であう] /(v5u,vi) (1) to meet (by chance)/to come across/to run across/to encounter/to happen upon/
出違う [でちがう] /(v5u,vi) to miss a visitor/
出雲系神話 [いずもけいしんわ] /(n) Izumo mythology/
出雲大社 [いずもたいしゃ] /(n) Izumo Temple (Shimane)/
出雲大社教 [いずもおおやしろきょう] /(n) Izumo Oyashiro-kyo (sect of Shinto)/Izumo Taisha-kyo/
出雲大社教 [いずもたいしゃきょう] /(n) Izumo Oyashiro-kyo (sect of Shinto)/Izumo Taisha-kyo/
出雲弁 [いずもべん] /(n) Izumo dialect, spoken mostly in eastern Shimane prefecture/
出演 [しゅつえん] /(n) (1) performance/stage appearance/(vs) (2) to act (in a play)/(P)/
出演者 [しゅつえんしゃ] /(n) performer/entertainer/actor/
出演料 [しゅつえんりょう] /(n) performance (actor's, singer's) fee/
出家 [しゅっけ] /(n,vs) (Buddh) entering the priesthood/cenobite (coenobite)/priest/monk/nun/
出家 [すけ] /(ok) (n,vs) (Buddh) entering the priesthood/cenobite (coenobite)/priest/monk/nun/
出家遁世 [しゅっけとんせい] /(n) monastic seclusion/
出火 [しゅっか] /(n,vs) outbreak of fire/(P)/
出稼ぎ [でかせぎ] /(n,vs) working away from home/(P)/
出稼ぎ労働者 [でかせぎろうどうしゃ] /(n) migrant worker/economic nomad/
出花 [でばな] /(n) first brew of tea/
出荷 [しゅっか] /(n,vs) shipping/outgoing freight/forwarding/(P)/
出荷料 [しゅっかりょう] /(n) shipping charges/
出過ぎる [ですぎる] /(v1,vi) to project or protrude too much/to be too forward/to obtrude/
出芽 [しゅつが] /(n,vs) germination/sprouting/
出駕 [しゅつが] /(n,vs) departure (of a noble)/
出会 [しゅっかい] /(n,vs) encounter/
出会い [であい] /(n) meeting/rendezvous/encounter/(P)/
出会い系 [であいけい] /(n) (abbr) online dating website/
出会い系サイト [であいけいサイト] /(n) online dating Web site/
出会い頭 [であいがしら] /(n-adv,n-t) in passing another/the moment two persons or objects meet/
出会う [であう] /(v5u,vi) (1) to meet (by chance)/to come across/to run across/to encounter/to happen upon/(2) to meet (e.g. of rivers, highways, etc.)/(3) to emerge and engage (an enemy)/(P)/
出回り [でまわり] /(n) supply (of a commodity)/
出回る [でまわる] /(v5r,vi) to appear on the market/to be moving/
出回線 [しゅつかいせん] /(n) (comp) output line/
出外れ [ではずれ] /(n) end/extremity (of a village)/
出外れる [ではずれる] /(v1,vi) to be or lie just outside of/
出格 [しゅっかく] /(n) (ling) elative/
出格子 [でごうし] /(n) projecting lattice/latticed bay window/
出殻 [でがら] /(n) grounds (of tea and coffee)/
出角 [ですみ] /(n) external corner angle of two walls, planes, etc./
出角 [でずみ] /(n) external corner angle of two walls, planes, etc./
出額 [でびたい] /(n) beetle brows/projecting forehead/
出掛 [でがけ] /(n) about to start out/
出掛け [でがけ] /(n) about to start out/
出掛ける [でかける] /(v1,vi) to depart/to go out (e.g. on an excursion or outing)/to set out/to start/to be going out/(P)/
出棺 [しゅっかん] /(n,vs) carrying out a coffin/funeral procession/
出監 [しゅっかん] /(n,vs) leaving prison/
出願 [しゅつがん] /(n,vs) application/(P)/
出願時 [しゅつがんじ] /(n) (at the) time of application/
出願者 [しゅつがんしゃ] /(n) applicant/
出願書類 [しゅつがんしょるい] /(n) file wrapper (patents)/
出願人 [しゅつがんにん] /(n) applicant/
出居 [いでい] /(n) (1) (arch) sitting outdoors/(2) room that served both as a reception room and as a living room in a Heian-period mansion/(3) temporary sitting place installed in the garden at the imperial court, used on the occasion of archery or sumo ceremonies/
出居 [でい] /(n) (1) (arch) sitting outdoors/(2) room that served both as a reception room and as a living room in a Heian-period mansion/(3) temporary sitting place installed in the garden at the imperial court, used on the occasion of archery or sumo ceremonies/
出渠 [しゅっきょ] /(n) leaving the (repair) dock/
出漁 [しゅつぎょ] /(n,vs) going fishing/
出漁 [しゅつりょう] /(n,vs) going fishing/
出漁期 [しゅつぎょき] /(n) fishing season/
出漁区域 [しゅつぎょくいき] /(n) fishing area/
出漁権 [しゅつぎょけん] /(n) fishing rights/
出京 [しゅっきょう] /(n,vs) proceeding to a capital/
出郷 [しゅっきょう] /(n,vs) leaving one's home town/priest going out to teach/
出業者 [でぎょうしゃ] /(n) (abbr) exporter/
出勤 [しゅっきん] /(n,vs) going to work/at work/(P)/
出勤時間 [しゅっきんじかん] /(n) (1) time for reporting to work/(2) time one leaves home to go to work/(3) working hours/number of hours worked/
出勤者 [しゅっきんしゃ] /(n) workers on the job/
出勤日 [しゅっきんび] /(n) employee's work day/
出勤簿 [しゅっきんぼ] /(n) employee's attendance record/
出金 [しゅっきん] /(n,vs) withdrawal (of money)/payment/contribution/investment/financing/(P)/
出金額 [しゅっきんがく] /(n) amount invested or contributed/
出金者 [しゅっきんしゃ] /(n) contributor/investor/financier/
出隅 [ですみ] /(n) external corner angle of two walls, planes, etc./
出隅 [でずみ] /(n) external corner angle of two walls, planes, etc./
出群 [しゅつぐん] /(n) excellence/pre-eminence/
出軍 [しゅつぐん] /(n) expedition/
出稽古 [でげいこ] /(n) (1) giving lessons at pupils' homes/(2) going to train in sumo stable other than your own/
出迎え [でむかえ] /(n) meeting/reception/(P)/
出迎える [でむかえる] /(v1,vt) to meet/to greet/(P)/
出撃 [しゅつげき] /(n,vs) sortie/sally/(P)/
出欠 [しゅっけつ] /(n) presence or absence/attendance (e.g. when taking a rollcall)/(P)/
出欠を取る [しゅっけつをとる] /(exp,v5r) to take a roll call/
出血 [しゅっけつ] /(n,vs) bleeding/haemorrhage/hemorrhage/(P)/
出血過多 [しゅっけつかた] /(n) excessive bleeding/
出血死 [しゅっけつし] /(n) bleeding to death/
出血症 [しゅっけつしょう] /(n) bleeder's affliction/
出血性の人 [しゅっけつせいのひと] /(n) bleeder/haemophiliac/hemophiliac/
出血熱 [しゅっけつねつ] /(n) hemorrhagic fever/
出血斑 [しゅっけつはん] /(n) bloody spots/
出嫌い [でぎらい] /(n) stay-at-home/
出現 [しゅつげん] /(n,vs) appearance/arrival/make one's appearance/(P)/
出現回数 [しゅつげんかいすう] /(n) (comp) number of occurances/
出現頻度 [しゅつげんひんど] /(n) (comp) frequency (of appearance)/
出庫 [しゅっこ] /(n,vs) delivery from a storehouse/leaving the car barn/
出御 [しゅつぎょ] /(n,vs) (hon) emperor's arrival (at his office, etc.)/
出口 [でぐち] /(n) exit/gateway/way out/outlet/leak/vent/(P)/
出口調査 [でぐちちょうさ] /(n) exit poll/
出口点 [でぐちてん] /(n) (comp) exit point/
出向 [しゅっこう] /(n,vs) being transferred/secondment/proceeding/leaving for/(P)/
出向く [でむく] /(v5k,vi) to go to/to proceed to/to leave for/(P)/
出好き [でずき] /(adj-na,n) gadabout/
出校 [しゅっこう] /(n,vs) going to or leaving school/
出港 [しゅっこう] /(n,vs) departure/clearance (of a ship)/(P)/
出港船 [しゅっこうせん] /(n) outgoing vessel/
出港停止 [しゅっこうていし] /(n) embargo/
出航 [しゅっこう] /(n,vs) departure/sailing/shipping out/putting out to sea/takeoff/leaving port/
出講 [しゅっこう] /(n,vs) giving lectures/
出合い [であい] /(n) encounter/(P)/
出合い宿 [であいやど] /(n) (arch) inn used for clandestine encounters between lovers/
出合い頭 [であいがしら] /(n-adv,n-t) in passing another/the moment two persons or objects meet/
出合い頭に [であいがしらに] /(adv) as one passes/as one happens to meet/
出合う [であう] /(v5u,vi) (1) to meet (by chance)/to come across/to run across/to encounter/to happen upon/(2) to meet (e.g. of rivers, highways, etc.)/(3) to emerge and engage (an enemy)/(P)/
出合宿 [であいやど] /(n) (arch) inn used for clandestine encounters between lovers/
出合頭 [であいがしら] /(io) (n-adv,n-t) in passing another/the moment two persons or objects meet/
出国 [しゅっこく] /(n,vs) departure from a country/(P)/
出国 [しゅつごく] /(ik) (n,vs) departure from a country/
出国カード [しゅっこくカード] /(n) departure card/embarkation card/emigration card/
出国査証 [しゅっこくさしょう] /(n) departure permit/exit visa/
出国手続き [しゅっこくてつづき] /(n) departure (sailing) formalities/
出獄 [しゅつごく] /(n,vs) release (from prison)/(P)/
出際 [でぎわ] /(n) the time of setting out/
出札 [しゅっさつ] /(n,vs) issuing tickets/
出札掛 [しゅっさつがかり] /(n) ticket agent/
出札係 [しゅっさつがかり] /(n) ticket agent/
出札口 [しゅっさつぐち] /(n) ticket window/
出札所 [しゅっさつじょ] /(n) ticket office/
出産 [しゅっさん] /(n,vs,adj-no) (child)birth/delivery/production (of goods)/(P)/
出産休暇 [しゅっさんきゅうか] /(n) (1) maternity leave/(2) paternity leave/
出産手当 [しゅっさんてあて] /(n) maternity allowance/childbirth allowance/
出産手当て [しゅっさんてあて] /(n) maternity allowance/childbirth allowance/
出産祝い [しゅっさんいわい] /(n) celebration of a birth (usu. approx. one month after birth)/
出産数 [しゅっさんすう] /(n) number of births (including stillbirths)/
出産予定日 [しゅっさんよていび] /(n) expected date of confinement/expected delivery date (of a baby)/
出産率 [しゅっさんりつ] /(n) birthrate/
出仕 [しゅっし] /(n,vs) attendance/serving/
出仕事 [でしごと] /(n) outside work/
出始め [ではじめ] /(n) first appearance (of the season)/
出始める [ではじめる] /(v1) to begin to appear/to begin to come in/
出師 [すいし] /(n) dispatch of troops/despatch of troops/expedition/
出糸管 [しゅっしかん] /(n) (obsc) spinnerule (small spinning tube on a spinneret)/
出糸突起 [しゅっしとっき] /(n) spinneret (of a spider)/
出資 [しゅっし] /(n,vs) investment/contribution/financing/(P)/
出資額 [しゅっしがく] /(n) amount of investment/
出資金 [しゅっしきん] /(n) capital/
出資者 [しゅっししゃ] /(n) investor/financier/
出歯 [でば] /(n) protruding tooth/overbite/
出歯かめ [でばかめ] /(n) voyeur/Peeping Tom/
出歯る [でばる] /(v5r,vi) (obsc) to behave perversely/to (sexually) assault a woman/
出歯亀 [でばかめ] /(n) voyeur/Peeping Tom/
出歯亀 [でばがめ] /(n) voyeur/Peeping Tom/
出歯雀鯛 [でばすずめだい] /(n) (uk) blue green damselfish (Chromis viridis, a damselfish from the Indo-Pacific)/blue-green chromis/
出歯鼠 [でばねずみ] /(n) (uk) African mole rat (any rodent of family Bathyergidae)/
出時 [でどき] /(n,vs) time of departure/
出自 [しゅつじ] /(n) (1) birthplace/(2) descent/blood-lines/origins/(3) one's outward self/
出射 [しゅっしゃ] /(n,vs) output/exit (act of exiting)/extraction/launch/
出社 [しゅっしゃ] /(n,vs) going to work (e.g. in the morning)/coming to work/
出社拒否症 [しゅっしゃきょひしょう] /(n) physical reaction caused by a phobia about going to work/
出汁 [だし] /(n) (1) (uk) dashi (Japanese soup stock made from fish and kelp)/
出渋る [でしぶる] /(v5r,vt) to be unwilling to go out/
出出し [でだし] /(n) start/beginning/
出処 [しゅっしょ] /(n,vs) (1) birthplace/origin/source/authority/
出処 [でどこ] /(n,vs) (1) release (discharge) from prison/exit/point of departure/time to take action/
出処 [でどころ] /(n,vs) (1) release (discharge) from prison/exit/point of departure/time to take action/
出処進退 [しゅっしょしんたい] /(n) advancing and retreating/appearance and disappearance/one's daily activities/one's course of action/one's attitude/
出初め [でぞめ] /(n,vs) debut/
出初め式 [でぞめしき] /(n) New Year firefighters' event/
出所 [しゅっしょ] /(n,vs) (1) birthplace/origin/source/authority/(P)/
出所 [でどこ] /(n,vs) (1) release (discharge) from prison/exit/point of departure/time to take action/
出所 [でどころ] /(n,vs) (1) release (discharge) from prison/exit/point of departure/time to take action/
出所進退 [しゅっしょしんたい] /(n) advancing and retreating/appearance and disappearance/one's daily activities/one's course of action/one's attitude/
出女 [でおんな] /(n) unlicensed prostitute (Edo period)/
出商い [であきない] /(n) peddling/
出城 [でじろ] /(n) branch castle/
出場 [しゅつじょう] /(n,vs) (stage) appearance/participation/performance/(P)/
出場 [でば] /(n) one's turn/place of projection/production center/production centre/
出場者 [しゅつじょうしゃ] /(n) participants/participating athletes/
出色 [しゅっしょく] /(adj-na,n) prominence/excellence/
出身 [しゅっしん] /(n,adj-no) (1) person's origin (town, city, country, etc.)/(2) institution from which one graduated/(3) director in charge of employee relations/(P)/
出身校 [しゅっしんこう] /(n) one's old school or university/alma mater/the school or university one attended/
出身者 [しゅっしんしゃ] /(n) (1) alumnus (alumnae)/graduate/old boy (girl)/(2) former member of an organization/(3) former inhabitant (country, region, etc.)/(P)/
出身地 [しゅっしんち] /(n) birthplace/native place/
出刃 [でば] /(n) knife/pointed carver/
出刃包丁 [でばぼうちょう] /(n) knife/pointed carver/
出刃庖丁 [でばぼうちょう] /(n) knife/pointed carver/
出尽くす [でつくす] /(v5s) to be all out/to exhaust/
出尽す [でつくす] /(v5s) to be all out/to exhaust/
出陣 [しゅつじん] /(n,vs) departure for the front/(P)/
出図 [しゅつず] /(n,vs) drawing release/release of a drawing/
出水 [しゅっすい] /(n,vs) flood/freshet/inundation/
出水 [でみず] /(n,vs) flood/freshet/inundation/
出世 [しゅっせ] /(n,vs) promotion/successful career/eminence/(P)/
出世コース [しゅっせコース] /(n) career track/promotional track/fast track/upward mobility/
出世街道 [しゅっせかいどう] /(n,adj-no) highway to success/
出世間 [しゅっせけん] /(n) monastic life/
出世間的 [しゅっせけんてき] /(adj-na) unworldly/religious/
出世魚 [しゅっせうお] /(n) fish that are called by different names as they grow larger/
出世作 [しゅっせさく] /(n) work of art or literature that brings fame/
出世第一主義 [しゅっせだいいちしゅぎ] /(n) careerism/
出世頭 [しゅっせがしら] /(n) most successful (of one's relatives, classmates, etc.)/
出世物語 [しゅっせものがたり] /(n) success story/
出征 [しゅっせい] /(n,vs) departure (for the front)/(P)/
出征家族 [しゅっせいかぞく] /(n) family of a soldier at the front/
出征軍 [しゅっせいぐん] /(n) army in the field/
出征軍人 [しゅっせいぐんじん] /(n) soldier at the front/
出生 [しゅっしょう] /(n,vs,adj-no) birth/(P)/
出生 [しゅっせい] /(n,vs,adj-no) birth/(P)/
出生過剰 [しゅっしょうかじょう] /(n) excessive birth (rate)/
出生過剰 [しゅっせいかじょう] /(n) excessive birth (rate)/
出生証明書 [しゅっしょうしょうめいしょ] /(n) birth certificate/
出生証明書 [しゅっせいしょうめいしょ] /(n) birth certificate/
出生数 [しゅっしょうすう] /(n) number of births/number of babies born/
出生数 [しゅっせいすう] /(n) number of births/number of babies born/
出生地 [しゅっしょうち] /(n) birthplace/
出生地 [しゅっせいち] /(n) birthplace/
出生届 [しゅっしょうとどけ] /(n) birth registration/
出生届 [しゅっせいとどけ] /(n) birth registration/
出生届け [しゅっしょうとどけ] /(n) birth registration/
出生届け [しゅっせいとどけ] /(n) birth registration/
出生年月日 [しゅっしょうねんがっぴ] /(n) date of birth/
出生年月日 [しゅっせいねんがっぴ] /(n) date of birth/
出生率 [しゅっしょうりつ] /(n) birth rate/
出生率 [しゅっせいりつ] /(n) birth rate/
出盛り [でさかり] /(n) best time for (corn, etc.)/season (for fruit, etc.)/
出盛り [でざかり] /(n) best time for (corn, etc.)/season (for fruit, etc.)/
出盛る [でさかる] /(v5r,vi) to appear in profusion/
出精 [しゅっせい] /(n,vs) diligence/industry/
出席 [しゅっせき] /(n) (1) attendance/presence/appearance/(vs) (2) to attend/to be present/to appear/(P)/
出席扱い [しゅっせきあつかい] /(n) regard as equivalent to attendance/
出席者 [しゅっせきしゃ] /(n) those present/attendance/(P)/
出席日数 [しゅっせきにっすう] /(n) number of days (times) one has attended/
出席部長 [しゅっせきぶちょう] /(n) assistant section or department manager/
出席簿 [しゅっせきぼ] /(n) attendance record/
出席率 [しゅっせきりつ] /(n) percentage of attendance/
出切る [できる] /(v5r,vt) to be out of/to have no more at hand/
出先 [でさき] /(n) one's destination/
出先機関 [でさききかん] /(n) branch office/
出船 [いでぶね] /(n) weighing anchor/setting sail/outgoing ship/
出船 [でふね] /(n) weighing anchor/setting sail/outgoing ship/
出前 [でまえ] /(n,vs) catering/meal delivery service/(P)/
出前講師 [でまえこうし] /(n) lecturer on demand/guest speaker on demand/
出前持ち [でまえもち] /(n) boy who delivers cooked food/
出訴 [しゅっそ] /(n,vs) access to courts/bringing an action/
出訴期限法 [しゅっそきげんほう] /(n) statute of limitations/
出窓 [でまど] /(n) bay window/
出走 [しゅっそう] /(n,vs) entry in a race/(P)/
出走馬 [しゅっそうば] /(n) horse entered in a race/
出遭う [であう] /(v5u,vi) (1) to meet (by chance)/to come across/to run across/to encounter/to happen upon/
出側 [しゅつがわ] /(n,adj-no) (comp) sending side/
出足 [であし] /(n) (1) start/turnout/(2) constant forward movement (sumo)/(P)/
出揃う [でそろう] /(v5u,vi) to appear all together/to be all present/
出損なう [でそこなう] /(v5u) to fail to go/to fail to come/
出待ち [でまち] /(n) (sl) waiting (e.g. at the stage door) for performers or celebrities to exit/
出替わり [でがわり] /(n) periodical relief or replacement of workers/
出替わる [でかわる] /(v5r,vi) to take someone's place/
出題 [しゅつだい] /(n,vs) proposing a question/(P)/
出鱈目 [でたらめ] /(ateji) (adj-na,n) (1) (uk) irresponsible utterance/nonsense/bullshit/codswallop/(2) random/haphazard/unsystematic/(P)/
出炭 [しゅったん] /(n,vs) coal production/
出端 [でっぱな] /(n) (1) outset/moment of departure/beginning of work/starting out/
出端 [では] /(n) (1) chance of going out/opportunity (to succeed)/(2) musical accompaniment for an actor going on stage/
出端 [ではな] /(n) (1) outset/moment of departure/beginning of work/starting out/
出端 [でばな] /(n) (1) outset/moment of departure/beginning of work/starting out/
出遅れる [でおくれる] /(v1,vi) to get a late start/(P)/
出張 [しゅっちょう] /(n,vs) official tour/business trip/(P)/
出張り [でばり] /(n) projection/ledge/
出張る [でばる] /(v5r,vi) to project/to stand out/to jut out/to protrude/
出張員 [しゅっちょういん] /(n) agent/representative/dispatched official/despatched official/
出張授業 [しゅっちょうじゅぎょう] /(n) school visit/
出張所 [しゅっちょうじょ] /(n) branch office/agency/sub-branch/(P)/
出張店 [しゅっちょうてん] /(n) branch store/
出張費 [しゅっちょうひ] /(n) (abbr) travel expenses/
出張旅費 [しゅっちょうりょひ] /(n) travel expenses/travel(ing) allowance/
出潮 [でしお] /(n) high tide/
出超 [しゅっちょう] /(n) excess of exports/favorable balance of trade/favourable balance of trade/
出直し [でなおし] /(n,vs) adjustment/touch up/(P)/
出直す [でなおす] /(v5s,vi) to come again/to call again/to make a fresh start/
出直る [でなおる] /(v5r) to set out again/
出陳 [しゅっちん] /(n,vs) submitting (something) to an exhibition/
出定 [しゅつじょう] /(n,vs) (Buddh) leaving a state of intense concentration/
出廷 [しゅってい] /(n,vs) appearance in court/(P)/
出廷日 [しゅっていび] /(n) court day/
出典 [しゅってん] /(n) source (e.g. quotation)/authority/(P)/
出展 [しゅってん] /(n,vs) exhibit/display/(P)/
出展作品 [しゅってんさくひん] /(n) works (art, etc.) on display/
出展者 [しゅってんしゃ] /(n) exhibitors (at a trade show, etc.)/
出店 [しゅってん] /(vs) (1) to set up a food stall or booth (bazaar, festival)/(2) to open a branch office/
出店 [でみせ] /(n,vs) (1) food stand/food stall/(2) branch store/(P)/
出度 [しゅつど] /(n) frequency/
出土 [しゅつど] /(n,vs) archeological excavation (archaeological)/(P)/
出土地 [しゅつどち] /(n) archeological site (archaeological)/
出土品 [しゅつどひん] /(n) artifacts/
出湯 [いでゆ] /(n) hot spring/
出頭 [しゅっとう] /(n,vs) (1) appearance/presence/attendance/(2) surrender (e.g. to the police)/turning oneself in (e.g. to the police)/(P)/
出頭命令 [しゅっとうめいれい] /(n,vs) (issuing) order requiring somebody to report personally (to a police station)/subpoena/
出動 [しゅつどう] /(n,vs) sailing/marching/going out/dispatch/(P)/
出動命令 [しゅつどうめいれい] /(n) marching orders/sailing orders/
出突っ張り [でずっぱり] /(n) being on stage without respite/going out or being in attendance continuously/
出突っ張り [でづっぱり] /(n) being on stage without respite/going out or being in attendance continuously/
出入 [しゅつにゅう] /(n,vs) in and out/income and expenses/free associations/run of the house/(P)/
出入り [でいり] /(n,vs) in and out/coming and going/free association/income and expenditure/debits and credit/(P)/
出入り [ではいり] /(n,vs) in and out/coming and going/free association/income and expenditure/debits and credit/
出入りの商人 [でいりのしょうにん] /(n) one's regular tradesman/
出入り禁止 [でいりきんし] /(n) banishment/being forbidden to enter/
出入り口 [でいりぐち] /(n) exit and entrance/(P)/
出入口 [でいりぐち] /(n) exit and entrance/(P)/
出入国 [しゅつにゅうこく] /(n) emigration and immigration/
出入国管理 [しゅつにゅうこくかんり] /(n) immigration control/
出入国管理及び難民認定法 [しゅつにゅうこくかんりおよびなんみんにんていほう] /(n) Immigration Control and Refugee Recognition Act/
出任せ [でまかせ] /(adj-na,n) random speech/
出納 [すいとう] /(n,vs) receipts and expenditure (disbursements)/(P)/
出納係 [すいとうがかり] /(n) cashier/treasurer/teller/
出納係り [すいとうがかり] /(n) cashier/treasurer/teller/
出納責任者 [すいとうせきにんしゃ] /(n) person appointed by an electoral nominee to be in charge of their campaign-fund accounting/
出納帳 [すいとうちょう] /(n) receipt journal/
出納簿 [すいとうぼ] /(n) cashbook/
出馬 [しゅつば] /(n,vs) (1) going on horseback/(2) going in person/(3) running for election/(P)/
出這入り [ではいり] /(n,vs) in and out/coming and going/free association/income and expenditure/debits and credit/
出発 [しゅっぱつ] /(n,vs) departure/(P)/
出発時間 [しゅっぱつじかん] /(n) starting (departure) time/
出発時刻 [しゅっぱつじこく] /(n) departure time/flight time/
出発点 [しゅっぱつてん] /(n) starting point/point of departure/
出発当日 [しゅっぱつとうじつ] /(n) day of departure/
出発日 [しゅっぱつび] /(n) day of departure/
出発予定時刻 [しゅっぱつよていじこく] /(n) estimated time of departure/ETD/
出帆 [しゅっぱん] /(n,vs,adj-no) sailing/departure/
出版 [しゅっぱん] /(n,vs) publication/(P)/
出版の自由 [しゅっぱんのじゆう] /(n) freedom of the press/
出版屋 [しゅっぱんや] /(n) publishing house/
出版界 [しゅっぱんかい] /(n) the publishing world/
出版記念パーティー [しゅっぱんきねんパーティー] /(n) (book) launch party/
出版許可 [しゅっぱんきょか] /(n) permission to publish/
出版業 [しゅっぱんぎょう] /(n) publishing business/
出版業者 [しゅっぱんぎょうしゃ] /(n) publisher/
出版権 [しゅっぱんけん] /(n) publishing rights/right to publish/
出版元 [しゅっぱんもと] /(n) publisher/
出版社 [しゅっぱんしゃ] /(n) publisher/(P)/
出版者 [しゅっぱんしゃ] /(n) publisher/
出版地 [しゅっぱんち] /(n) place of publication/
出版地不明 [しゅっぱんちふめい] /(n) without a place of publication/sine loco/s.l./
出版費 [しゅっぱんひ] /(n) publishing costs/
出版部 [しゅっぱんぶ] /(n) publishing department/
出版部数 [しゅっぱんぶすう] /(n) circulation/number printed/
出版物 [しゅっぱんぶつ] /(n) publication/(P)/
出版法 [しゅっぱんほう] /(n) press law/publication law/
出版目録 [しゅっぱんもくろく] /(n) catalog of publications/catalogue of publications/
出番 [でばん] /(n) one's turn/(P)/
出費 [しゅっぴ] /(n,vs) expenses/disbursements/(P)/
出鼻 [でっぱな] /(n) (1) projecting part (of a headland, etc.)/(2) outset/moment of departure/beginning of work/starting out/
出鼻 [ではな] /(n) (1) projecting part (of a headland, etc.)/(2) outset/moment of departure/beginning of work/starting out/
出鼻 [でばな] /(n) (1) projecting part (of a headland, etc.)/(2) outset/moment of departure/beginning of work/starting out/
出品 [しゅっぴん] /(n,vs) exhibit/display/(P)/
出品国 [しゅっぴんこく] /(n) exhibiting country/
出品者 [しゅっぴんしゃ] /(n) exhibitor/
出品人 [しゅっぴんにん] /(n) exhibitor/
出品物 [しゅっぴんぶつ] /(n) exhibit/
出不精 [でぶしょう] /(adj-na,n) stay at home/homekeeping/
出府 [しゅっぷ] /(n,vs) going to the capital/working in a government office/
出払い [ではらい] /(n) being out of/
出払う [ではらう] /(v5u,vi) to be all out/
出物 [でもの] /(n) rash/boil/secondhand article/
出物腫れ物所嫌わず [でものはれものところきらわず] /(exp) (id) Necessity knows no law/
出兵 [しゅっぺい] /(n,vs) dispatch of troops/despatch of troops/expedition/
出歩く [であるく] /(v5k,vi) to go out/to take a stroll/to go about/
出穂 [しゅっすい] /(n) appearance of ears of grain/
出穂期 [しゅっすいき] /(n) sprouting season (of ears of grain)/
出放題 [でほうだい] /(adj-na,n) free flow (of water)/random talk/nonsense/
出方 [でかた] /(n) (1) attitude/move/(2) theater usher/theatre usher/(P)/
出没 [しゅつぼつ] /(n,vs) appearing frequently/infesting/appearance and disappearance/(P)/
出没自在 [しゅつぼつじざい] /(n,adj-na) appearing and disappearing at will/elusive/phantom-like/
出奔 [しゅっぽん] /(n,vs) flight/elopement/running away/absconding/
出奔者 [しゅっぽんしゃ] /(n) absconder/
出無精 [でぶしょう] /(adj-na,n) stay at home/homekeeping/
出木年 [できどし] /(n) fruitful year/
出目 [でめ] /(n,adj-no) (1) protruding eyes/(2) number of pips visible after a throw of the dice/
出目金 [でめきん] /(n) pop-eyed goldfish/
出戻り [でもどり] /(n) (1) (sens) (of a woman) divorcing and moving back in with her parents/(2) (of an employee) leaving a position only to return to it later/(3) (of a ship) leaving from and returning to the same port/
出門 [しゅつもん] /(n,vs) going out/
出様 [でよう] /(n) attitude/move/measures (to take)/
出養生 [でようじょう] /(n,vs) travelling somewhere to improve one's health/travelling somewhere to recuperate/
出来 [しゅったい] /(n,vs) occurrence/happening/taking place/(P)/
出来 [でき] /(n) (1) workmanship/craftsmanship/execution/finish/(2) grades/results/score/record/(3) quality (e.g. of a crop)/(4) dealings/transactions/
出来が悪い [できがわるい] /(exp,adj-i) (1) (having) bad marks or results (e.g. in school)/(2) of poor quality or workmanship/
出来す [でかす] /(v5s,vt) to do/to commit/to accomplish/to achieve/
出来ちゃった結婚 [できちゃったけっこん] /(n) marriage due to unintended pregnancy/shotgun wedding/
出来ちゃった婚 [できちゃったこん] /(n) marriage due to unintended pregnancy/shotgun wedding/
出来っこない [できっこない] /(exp) (uk) can never be able to/
出来ない相談 [できないそうだん] /(n) impossible proposition/unreasonable proposal/tall order/
出来ばえ [できばえ] /(n) (1) result/effect/performance/success/(2) workmanship/execution/shape and quality of (an article)/finishing touches/
出来る [できる] /(v1,vi) (1) (uk) to be able (in a position) to do/to be up to the task/(2) to be ready/to be completed/(3) to be made/to be built/(4) to be good at/to be permitted (to do)/(5) to become intimate/to take up (with somebody)/(6) to grow/to be raised/(P)/
出来るだけ [できるだけ] /(exp) (uk) as much as one can/as much as possible/if at all possible/(P)/
出来るだけ早く [できるだけはやく] /(exp) as soon as possible/
出来るようになる [できるようになる] /(exp) (uk) (something) has become possible/(something) is now possible/
出来る限り [できるかぎり] /(n) as ... as one can/
出来る限り早い [できるかぎりはやい] /(adj-i) as soon as possible/at the earliest time/
出来る限り早期 [できるかぎりそうき] /(n) as soon as possible/ASAP/
出来映え [できばえ] /(n) (1) result/effect/performance/success/(2) workmanship/execution/shape and quality of (an article)/finishing touches/
出来栄え [できばえ] /(n) (1) result/effect/performance/success/(2) workmanship/execution/shape and quality of (an article)/finishing touches/
出来過ぎ [できすぎ] /(adj-na,adj-no) too good (in performance, workmanship, etc.)/
出来過ぎる [できすぎる] /(v1,vi) to be too much/to be too good to be true/
出来具合 [できぐあい] /(n) result/effect/performance/success/
出来高 [できだか] /(n,adj-f) yield/crop/production/volume/piecework/(P)/
出来高仕事 [できだかしごと] /(n) piecework/
出来高払い [できだかばらい] /(n) piecework payment/
出来合い [できあい] /(n) ready-made/common-law (wife)/
出来合う [できあう] /(v5u,vi) to be ready-made/to become intimate with/
出来婚 [できこん] /(n,vs) (abbr) shotgun marriage/
出来事 [できごと] /(n) incident/affair/happening/event/(P)/
出来次第 [できしだい] /(n-t) as soon as completed/
出来秋 [できあき] /(n) autumn at harvest time/fall at harvest time/
出来上がり [できあがり] /(n) finish/completion/ready/made for/cut out/(P)/
出来上がる [できあがる] /(v5r,vi) (1) to be completed/to be finished/to be ready (e.g. to serve or eat)/(2) to be very drunk/(P)/
出来上る [できあがる] /(v5r,vi) (1) to be completed/to be finished/to be ready (e.g. to serve or eat)/(2) to be very drunk/
出来心 [できごころ] /(n) sudden impulse/passing fancy/
出来星 [できぼし] /(n) upstart/mushroom millionaire/
出来損い [できそこない] /(n) failure/dead loss/washout/badly done/good-for-nothing/
出来損ない [できそこない] /(n) failure/dead loss/washout/badly done/good-for-nothing/
出来損なう [できそこなう] /(v5u) (obsc) to be badly made/to fail/
出来値 [できね] /(n) selling price/
出来得る限り [できうるかぎり] /(exp) as (much) as possible/as (far) as possible/
出来不出来 [できふでき] /(n) uneven results/
出来物 [できぶつ] /(n) able man/fine man/
出来物 [できもの] /(n) tumour/tumor/growth/boil/ulcer/abscess/rash/pimple/
出来物 [でけもの] /(n) tumour/tumor/growth/boil/ulcer/abscess/rash/pimple/
出来立て [できたて] /(n) fresh/just made/
出藍 [しゅつらん] /(n) pupil excelling his master/
出藍の誉れ [しゅつらんのほまれ] /(exp,n) surpassing one's master/
出立 [しゅったつ] /(n,vs) departure/
出立て [でたて] /(exp) right after coming out/
出猟 [しゅつりょう] /(n,vs) going hunting/
出力 [しゅつりょく] /(n,vs) output (e.g. of dynamo)/(P)/
出力サブシステム [しゅつりょくさぶシステム] /(n) (comp) output subsystem/
出力チャンネル [しゅつりょくチャンネル] /(n) (comp) output channel/
出力データ [しゅつりょくデータ] /(n) (comp) output (data)/
出力デバイス [しゅつりょくデバイス] /(n) (comp) output device/
出力ファイル [しゅつりょくファイル] /(n) (comp) output file/
出力フォーマット [しゅつりょくフォーマット] /(n) (comp) output format/
出力ポート [しゅつりょくポート] /(n) (comp) output port/
出力モード [しゅつりょくモード] /(n) (comp) output mode/
出力レコード [しゅつりょくレコード] /(n) (comp) output record/
出力荷重比 [しゅつりょくかじゅうひ] /(n) specific power (W/kg)/
出力基本要素 [しゅつりょくきほんようそ] /(n) (comp) display element/graphic primitive/output primitive/
出力基本要素の表示様相 [しゅつりょくきほんようそのひょうじようそう] /(n) (comp) aspects of output primitives/
出力機構 [しゅつりょくきこう] /(n) (comp) output unit/output device/
出力手続き [しゅつりょくてつづき] /(n) (comp) output procedure/
出力処理 [しゅつりょくしょり] /(n) (comp) output process/
出力先変更 [しゅつりょくさきへんこう] /(n) (comp) output (re)direction/
出力線 [しゅつりょくせん] /(n) output-line/
出力装置 [しゅつりょくそうち] /(n) output unit/output device/
出力待ち行列 [しゅつりょくまちぎょうれつ] /(n) (comp) output queue/
出力端子 [しゅつりょくたんし] /(n) output terminal/
出塁 [しゅつるい] /(n,vs) on base (baseball)/(P)/
出塁率 [しゅつるいりつ] /(n) on-base percentage (baseball)/
出來る [できる] /(oK) (v1,vi) (1) (uk) to be able (in a position) to do/to be up to the task/(2) to be ready/to be completed/(3) to be made/to be built/(4) to be good at/to be permitted (to do)/(5) to become intimate/to take up (with somebody)/(6) to grow/to be raised/
出埃及記 [しゅつエジプトき] /(n) Book of Exodus (Bible)/
出廬 [しゅつろ] /(n,vs) coming out of retirement/
出捐 [しゅつえん] /(n,vs) contribution/subscription/
出涸らし [でがらし] /(n) washed out/insipid/
出臍 [でべそ] /(n) (uk) protruding navel/outie/
術 [じゅつ] /(n,n-suf) art/means/technique/(P)/
術 [すべ] /(n) (uk) way/method/means/
術を使う [じゅつをつかう] /(exp,v5u) to practice magic/to practise magic/
術を授ける [じゅつをさずける] /(exp,v1) to teach tricks to/
術計 [じゅっけい] /(n) strategem/trick/
術後 [じゅつご] /(adj-no,n-adv,n-t) postoperative/(P)/
術語 [じゅつご] /(n,adj-no) technical term/terminology/nomenclature/(P)/
術策 [じゅっさく] /(n) artifice/intrigue/
術師 [じゅつし] /(n) technique user/magician/
術者 [じゅつしゃ] /(n) practitioner (in medicine, art, etc.)/
術数 [じゅっすう] /(n) strategem/
術前 [じゅつぜん] /(adj-no) preoperative (preparation, diagnosis, etc.)/
術中 [じゅっちゅう] /(n) a trick/
述べる [のべる] /(v1,vt) to state/to express/to mention/(P)/
述べ合う [のべあう] /(v5u,vt) to compare (e.g notes)/to exchange (e.g. views, opinions)/
述べ立てる [のべたてる] /(v1) to relate at great length/to dwell eloquently (on)/
述懐 [じゅっかい] /(n,vs) recollection/(P)/
述語 [じゅつご] /(n) (ling) predicate/
述語形容詞 [じゅつごけいようし] /(n) (ling) predicate adjective/
述語動詞 [じゅつごどうし] /(n) (ling) predicate verb/predicator/
述語名詞 [じゅつごめいし] /(n) (ling) predicate noun/predicate nominative/
述語論理 [じゅつごろんり] /(n) predicate logic/predicate calculus/
述作 [じゅっさく] /(n,vs) writing a book/literary work/
述部 [じゅつぶ] /(n) (ling) predicate/
俊 [しゅん] /(n) excellence/genius/(P)/
俊 [じゅん] /(n) excellence/genius/
俊偉 [しゅんい] /(n) large and excellent/
俊逸 [しゅんいつ] /(n) excellence/genius/
俊英 [しゅんえい] /(n) excellence/genius/(P)/
俊傑 [しゅんけつ] /(n) hero/genius/
俊賢 [しゅんけん] /(n) excellent wisdom/
俊豪 [しゅんごう] /(n) talent/man of outstanding learning and virtue/
俊才 [しゅんさい] /(n) prodigy/talented person/person of exceptional talent/genius/
俊士 [しゅんし] /(n) genius/
俊秀 [しゅんしゅう] /(adj-na,n) genius/prodigy/talented person/
俊足 [しゅんそく] /(n,adj-no) (1) swift horse/fleet steed/fast runner/(2) talented person/brilliant person/(P)/
俊童 [しゅんどう] /(n) precocious child/
俊徳 [しゅんとく] /(n) great virtue/
俊馬 [しゅんば] /(iK) (n) swift horse/
俊馬 [しゅんめ] /(iK) (n) swift horse/
俊抜 [しゅんばつ] /(n) uncommon/above average/
俊彦 [しゅんげん] /(n) (obsc) gifted (accomplished) man/(P)/
俊敏 [しゅんびん] /(adj-na,n) keen/quick-witted/
峻下剤 [しゅんげざい] /(n) drastic aperient/
峻拒 [しゅんきょ] /(n,vs) refusing flatly/rejecting sternly/
峻険 [しゅんけん] /(adj-na,n) steep/precipitous/
峻厳 [しゅんげん] /(adj-na,n) strict/stern/rigorous/severe/
峻刻 [しゅんこく] /(n) severe (personality)/unaffected by love/
峻酷 [しゅんこく] /(n) severe (personality)/unaffected by love/
峻別 [しゅんべつ] /(n,vs) rigorous distinction/
峻峰 [しゅんぽう] /(n) steep peak/steep ridge/high rugged mountain/
峻嶺 [しゅんれい] /(n) steep peak/steep ridge/high rugged mountain/
峻烈 [しゅんれつ] /(adj-na,n) severity/harshness/
峻峭 [しゅんしょう] /(adj-na) (1) tall and steep/(2) severe and dignified/severe and cruel/
峻嶮 [しゅんけん] /(adj-na,n) steep/precipitous/
春 [はる] /(n-adv,n-t) (1) spring/springtime/(2) New Year/(3) prime (of one's life, etc.)/(4) adolescence/puberty/(5) sexuality/(P)/
春たけなわ [はるたけなわ] /(n) spring is in full swing/
春の雲 [はるのくも] /(exp,n) cloud floating in a spring sky/
春の月 [はるのつき] /(n) spring moon/misty moon/
春の七草 [はるのななくさ] /(exp) seven vernal flowers (Java water dropwort, shepherd's purse, Jersey cudweed, common chickweed, Japanese nipplewort, turnip, and daikon)/
春の宵 [はるのよい] /(exp) spring evening/
春の色 [はるのいろ] /(n) spring scene/
春の星 [はるのほし] /(n) star in the sky on a spring night/
春の日 [はるのひ] /(exp) (1) day of spring/(2) spring sun/
春の暮 [はるのくれ] /(exp) (1) spring evening/(2) end of spring/
春の湊 [はるのみなと] /(exp) (arch) end of spring/
春の目覚め [はるのめざめ] /(exp) puberty/
春の夜 [はるのよ] /(n) short spring night/
春の夕 [はるのゆう] /(exp) spring evening/
春の夕べ [はるのゆうべ] /(exp) spring evening/
春めく [はるめく] /(v5k,vi) to become spring-like/to show signs of spring/
春をひさぐ [はるをひさぐ] /(exp,v5g) to engage in prostitution/
春を売る [はるをうる] /(exp,v5r) to become a prostitute/
春を販ぐ [はるをひさぐ] /(exp,v5g) to engage in prostitution/
春を鬻ぐ [はるをひさぐ] /(exp,v5g) to engage in prostitution/
春衣 [しゅんい] /(n) spring clothing/New Year clothing/
春一番 [はるいちばん] /(n) first storm of spring/
春陰 [しゅんいん] /(n) cloudy spring weather/
春雨 [しゅんう] /(n) (1) gentle spring rain/
春雨 [はるさめ] /(n) (1) gentle spring rain/(2) thin noodles made from bean starch (or potato starch)/
春夏の交 [しゅんかのこう] /(n) change from spring to summer/
春夏秋冬 [しゅんかしゅうとう] /(n-adv,n-t) spring, summer, autumn (fall) and winter/the four seasons/(P)/
春歌 [しゅんか] /(n) bawdy (lewd) song/
春花 [しゅんか] /(n) spring flowers/
春花秋月 [しゅんかしゅうげつ] /(n) spring flowers and the autumn moon/beauty of nature as it changes from season to season/
春霞 [はるがすみ] /(n) springtime haze/
春画 [しゅんが] /(n) shunga (erotic or pornographic woodblock prints)/
春寒 [しゅんかん] /(n) cold weather in early spring/
春巻き [はるまき] /(n) spring roll/
春官 [しゅんかん] /(n) Ministry of Rites (Zhou-dynasty China)/
春機 [しゅんき] /(n) sexual desire/
春機発動期 [しゅんきはつどうき] /(n) puberty/
春季 [しゅんき] /(n) spring/(P)/
春季キャンプ [しゅんきキャンプ] /(n) (baseball) spring training camp/
春季皇霊祭 [しゅんきこうれいさい] /(n) imperial ceremony of ancestor worship formerly held on the vernal equinox/
春菊 [しゅんぎく] /(n) edible chrysanthemum (Chrysanthemum coronarium)/
春休 [はるやすみ] /(io) (n) spring break/spring vacation/
春休み [はるやすみ] /(n) spring break/spring vacation/(P)/
春興殿 [しゅんきょうでん] /(n) pavilion for weapons storage (in Heian Palace)/
春興殿 [しゅんこうでん] /(n) pavilion for weapons storage (in Heian Palace)/
春暁 [しゅんぎょう] /(n) spring dawn/dawn of a spring day/
春慶塗 [しゅんけいぬり] /(n) Shunkei lacquerware/lacquerware created using transparent lacquer on yellow- or red-stained wood, allowing the natural wood grain to be seen/
春慶塗り [しゅんけいぬり] /(n) Shunkei lacquerware/lacquerware created using transparent lacquer on yellow- or red-stained wood, allowing the natural wood grain to be seen/
春虎の尾 [はるとらのお] /(n) Polygonum tenuicaule (species of knotweed)/
春虎尾 [はるとらのお] /(n) Polygonum tenuicaule (species of knotweed)/
春光 [しゅんこう] /(n) spring sunlight/scenery of spring/
春耕 [しゅんこう] /(n) spring plowing/
春荒れ [はるあれ] /(n) spring storm/
春郊 [しゅんこう] /(n) suburbs in springtime/fields in springtime/
春祭り [はるまつり] /(n) spring festival/
春山 [しゅんざん] /(n) mountain in early spring/mountain that has the appearance of spring/
春山 [はるやま] /(n) mountain in early spring/mountain that has the appearance of spring/
春蚕 [はるご] /(n) spring breed of silkworm/
春蒔き [はるまき] /(n) sowing in spring/
春疾風 [はるはやて] /(n) strong spring storm/
春社 [しゅんしゃ] /(n) spring "tsuchinoe" day that falls closest to the vernal equinox (a day of religious significance for harvests)/
春車菊 [ハルシャぎく] /(n) (uk) plains coreopsis (Coreopsis tinctoria)/
春愁 [しゅんしゅう] /(n) spring depression/
春秋 [しゅんじゅう] /(n) (1) spring and autumn/spring and fall/months and years/(2) the Chronicles of Lu or the Spring and Autumn Annals - one of the Five Classics/(P)/
春秋 [はるあき] /(n) (1) spring and autumn/spring and fall/months and years/
春秋に富む [しゅんじゅうにとむ] /(exp,v5m) to be young/to be young and have a promising future/
春秋の筆法 [しゅんじゅうのひっぽう] /(n) critical argument laden with value judgment, where an indirect cause, often trivial, is made to appear as leading to the effect/
春秋時代 [しゅんじゅうじだい] /(n) Spring and Autumn period (of Chinese history, approx. 770-403 BCE)/
春秋戦国 [しゅんじゅうせんごく] /(n) the Spring and Autumn period and the Warring States period (Chinese history)/
春暑し [はるあつし] /(exp) summer-like (e.g. of weather in late spring)/
春宵 [しゅんしょう] /(n) spring evening/
春宵一刻 [しゅんしょういっこく] /(exp) a moment of time in a spring evening (is worth a thousand pieces of gold)/
春場所 [はるばしょ] /(n) spring (March) sumo tournament, held in Osaka/(P)/
春情 [しゅんじょう] /(n) (1) scenery of spring/(2) (arch) lust/sexual passion/
春色 [しゅんしょく] /(n) spring scenery/
春深し [はるふかし] /(n) peak of spring/height of spring/
春塵 [しゅんじん] /(n) spring dust/frost and snow that's blown like dust in the air by the spring wind/
春水 [しゅんすい] /(n) spring water (from melting snow)/
春惜しむ [はるおしむ] /(exp,v5m) to lament the end of spring/
春節 [しゅんせつ] /(n) Lunar New Year/Chinese New Year/Spring Festival/
春雪 [しゅんせつ] /(n) spring snow/
春先 [はるさき] /(n-adv,n-t) beginning of spring/(P)/
春浅し [はるあさし] /(exp) early, superficial indications of spring (haiku term)/
春早手 [はるはやて] /(n) strong spring storm/
春待ち月 [はるまちづき] /(n) twelfth lunar month/
春待月 [はるまちづき] /(n) twelfth lunar month/
春暖 [しゅんだん] /(n) warm spring weather/spring warmth/
春着 [はるぎ] /(n) springwear/New Year's clothes/
春昼 [しゅんちゅう] /(n) (arch) spring day (which seems long and quiet)/
春潮 [しゅんちょう] /(n) pleasant tides of spring/
春泥 [しゅんでい] /(n) spring sludge/spring mud (caused by the melting of the snow)/(muddy) slush/
春田 [はるた] /(n) empty rice field (between the harvest and spring)/
春田打ち [はるたうち] /(n) New Year event to pray for a rich rice harvest/
春闘 [しゅんとう] /(n) spring offensive (Japanese unions)/(P)/
春日 [しゅんじつ] /(n) spring day/spring sunlight/
春日 [はるひ] /(n) spring day/spring sunlight/
春日 [はるび] /(n) spring day/spring sunlight/
春日祭 [かすがまつり] /(n) Kasuga Festival (held at Kasuga Taisha Shrine in Nara on March 13)/
春日遅々 [しゅんじつちち] /(n) spring day being long and balmy/serene spring day/
春日遅遅 [しゅんじつちち] /(n) spring day being long and balmy/serene spring day/
春日明神 [かすがみょうじん] /(n) Kasuga Myoujin (the deity of Kasuga Shrine)/
春日和 [はるびより] /(n) sky pattern on a calm and clear day of spring/
春婦 [しゅんぷ] /(n) (obsc) prostitute/
春風 [しゅんぷう] /(n) spring breeze/
春風 [はるかぜ] /(n) spring breeze/
春風駘蕩 [しゅんぷうたいとう] /(uK) (adj-no,adj-t,adv-to) (arch) warm and genial spring weather/genial and balmy/
春服 [しゅんぷく] /(n) spring clothing/New Year clothing/
春分 [しゅんぶん] /(n) vernal equinox/spring equinox/(P)/
春分の日 [しゅんぶんのひ] /(n) Vernal Equinox Holiday (Mar 20 or 21)/
春分点 [しゅんぶんてん] /(n) the vernal equinox (the equinoctal point)/
春坊 [はるぼう] /(n) nickname for such names as Haruo or Haruko/
春本 [しゅんぽん] /(n) pornographic book/
春繭 [はるまゆ] /(n) spring cocoon crop/
春眠 [しゅんみん] /(n) deep sleep/sleep soundly/
春眠暁を覚えず [しゅんみんあかつきをおぼえず] /(exp) (col) In spring one sleeps a sleep that knows no dawn/
春陽 [しゅんよう] /(n) spring sunshine/springtime/
春雷 [しゅんらい] /(n) spring thunder/
春嵐 [しゅんらん] /(n) spring storm/
春蘭 [しゅんらん] /(n) (uk) noble orchid (Cymbidium goeringii)/
春竜胆 [はるりんどう] /(n) (uk) Gentiana thunbergii (species of gentian)/
春楡 [はるにれ] /(n) (uk) Japanese elm (Ulmus davidiana var. japonica)/
春霖 [しゅんりん] /(n) (obsc) spring rain/
瞬き [またたき] /(n,vs) wink/twinkling (of stars)/flicker (of light)/blink (of light)/
瞬き [まばたき] /(n,vs) wink/twinkling (of stars)/flicker (of light)/blink (of light)/
瞬く [しばたく] /(v5k,vt) (1) to twinkle (e.g. stars)/to flicker/to waver/(2) to blink (one's eyes)/to wink/
瞬く [しばたたく] /(v5k,vt) (1) to twinkle (e.g. stars)/to flicker/to waver/(2) to blink (one's eyes)/to wink/
瞬く [またたく] /(v5k,vt) (1) to twinkle (e.g. stars)/to flicker/to waver/(2) to blink (one's eyes)/to wink/(P)/
瞬く [まばたく] /(v5k,vt) (1) to twinkle (e.g. stars)/to flicker/to waver/(2) to blink (one's eyes)/to wink/
瞬く [めたたく] /(v5k,vt) (1) to twinkle (e.g. stars)/to flicker/to waver/(2) to blink (one's eyes)/to wink/
瞬く [めばたく] /(v5k,vt) (1) to twinkle (e.g. stars)/to flicker/to waver/(2) to blink (one's eyes)/to wink/
瞬く間に [またたくまに] /(adv) in the twinkling of an eye/in a flash/
瞬ぐ [まじろぐ] /(v5g,vi) to wink/to blink/to twinkle/to flicker/
瞬間 [しゅんかん] /(n-adv,n-t) moment/second/instant/(P)/
瞬間移動 [しゅんかんいどう] /(n,vs) teleportation/
瞬間接着剤 [しゅんかんせっちゃくざい] /(n) (tube of) instant glue/
瞬間電断 [しゅんかんでんだん] /(n) power flicker/
瞬間湯沸し器 [しゅんかんゆわかしき] /(n) instant water heater/on-demand water heater/
瞬刻 [しゅんこく] /(n) moment/instant/
瞬殺 [しゅんさつ] /(n,vs) instant killing/
瞬時 [しゅんじ] /(n-adv,n-t) moment/instant/(P)/
瞬時獲得モデル [しゅんじかくとくモデル] /(n) instantaneous acquisition model/
瞬断 [しゅんだん] /(n) (abbr) power flicker/
瞬発 [しゅんぱつ] /(adj-f) instantaneous/
瞬発力 [しゅんぱつりょく] /(n) high power/high power output/explosiveness/explosive power/instantaneous force/
瞬目反射 [しゅんもくはんしゃ] /(n) blink reflex/wink reflex/
竣功 [しゅんこう] /(n,vs) completion (e.g. of construction)/
竣功式 [しゅんこうしき] /(n) ceremony to mark completion/
竣工 [しゅんこう] /(n,vs) completion (e.g. of construction)/
竣工式 [しゅんこうしき] /(n) ceremony to mark completion/
竣成 [しゅんせい] /(n,vs) completion/
駿河問い [するがどい] /(n) Japanese bondage torture (hands and feet are behind the victim's back, and they are hanged from the ceiling with a rock on their back)/
駿才 [しゅんさい] /(n) prodigy/talented person/person of exceptional talent/genius/
駿足 [しゅんそく] /(n,adj-no) (1) swift horse/fleet steed/fast runner/(2) talented person/brilliant person/
駿馬 [しゅんば] /(n) swift horse/
駿馬 [しゅんめ] /(n) swift horse/
准 [じゅん] /(n,n-pref) quasi-/semi-/associate/(P)/
准える [なずらえる] /(v1,vt) to pattern after/to liken to/to imitate/
准える [なぞらえる] /(v1,vt) to pattern after/to liken to/to imitate/
准尉 [じゅんい] /(n) warrant officer/
准看 [じゅんかん] /(n) practical nurse/
准看護婦 [じゅんかんごふ] /(n) practical nurse/
准許 [じゅんきょ] /(n) approval/sanction/
准教員 [じゅんきょういん] /(n) assistant teacher/junior teacher/
准教授 [じゅんきょうじゅ] /(n) associate professor/
准士官 [じゅんしかん] /(n) warrant-officer/
准州 [じゅんしゅう] /(n) territory/
准将 [じゅんしょう] /(n) commodore/brigadier general/
准提観音 [じゅんでいかんのん] /(n) (Buddh) Cundi (manifestation of Avalokitesvara)/
准胝観音 [じゅんでいかんのん] /(n) (Buddh) Cundi (manifestation of Avalokitesvara)/
循環 [じゅんかん] /(n,vs,adj-no) circulation/rotation/cycle/(P)/
循環けた上げ [じゅんかんけたあげ] /(n) (comp) end-around carry/
循環けた送り [じゅんかんけたおくり] /(n) (comp) end-around shift/cyclic shift/
循環器 [じゅんかんき] /(n) circulatory organ/(P)/
循環器科 [じゅんかんきか] /(n) cardiology/
循環型社会 [じゅんかんがたしゃかい] /(n) (material) recycling society/recycling-oriented society/
循環型社会形成推進基本法 [じゅんかんがたしゃかいけいせいすいしんきほんほう] /(n) Act for Establishing a Recycling-Oriented Society/
循環系 [じゅんかんけい] /(n) circulatory system (blood, lymph, etc.)/
循環系統 [じゅんかんけいとう] /(n) circulatory system (blood, lymph, etc.)/
循環借り [じゅんかんかり] /(n) (comp) end-around borrow/
循環取引 [じゅんかんとりひき] /(n) round-trip transaction/round-tripping/
循環小数 [じゅんかんしょうすう] /(n) recurring decimal/
循環性 [じゅんかんせい] /(n) cyclicity/
循環線 [じゅんかんせん] /(n) loop line/belt line/
循環定義 [じゅんかんていぎ] /(n) circular definition/
循環風呂 [じゅんかんぶろ] /(n) hot springs bath with simulated natural water supply and drainage/closed-loop hot springs bath/
循環論法 [じゅんかんろんぽう] /(n) circular reasoning/
循行 [じゅんこう] /(n,vs) (1) patrolling/(2) acting in accordance with one's orders/(3) direct motion (astronomy)/prograde motion/
循良 [じゅんりょう] /(adj-na,n) good and obedient/gentle/meek/
旬 [しゅん] /(n,adj-no) season (e.g. fruit, fish)/
旬 [じゅん] /(n) ten-day period/(P)/
旬の魚 [しゅんのさかな] /(n) fish in season/
旬外れ [じゅんはずれ] /(n) off-season/
旬刊 [じゅんかん] /(n,adj-no) published every ten days/
旬間 [じゅんかん] /(n) period of ten days/
旬月 [じゅんげつ] /(n) month and ten days/ten months/short time/
旬日 [じゅんじつ] /(n) ten-day period/
旬報 [じゅんぽう] /(n) ten-day report/
旬余 [じゅんよ] /(n) over ten days/
楯 [たて] /(n) shield/buckler/escutcheon/pretext/
楯つく [たてつく] /(v5k,vi) to oppose/to resist/to defy/
楯状火山 [たてじょうかざん] /(n) shield volcano/
楯突く [たてつく] /(v5k,vi) to oppose/to resist/to defy/(P)/
楯鱗 [じゅんりん] /(n) placoid scale/
楯籠り [たてこもり] /(n) (1) shutting oneself in (one's room, etc.)/(2) barricading oneself in (a fort, etc.) while being besieged/
楯籠る [たてこもる] /(v5r,vi) to barricade oneself in/to hold (a fort, etc.)/to shut oneself up/to be besieged/to dig in/
殉じる [じゅんじる] /(v1,vi) to sacrifice oneself/
殉教 [じゅんきょう] /(n,vs) martyrdom/
殉教者 [じゅんきょうしゃ] /(n) martyr/
殉国 [じゅんこく] /(n) dying for one's country/
殉死 [じゅんし] /(n,vs) dying a martyr/following someone in suicide/
殉職 [じゅんしょく] /(n,vs) dying at one's post/being killed in the line of duty/(P)/
殉職者 [じゅんしょくしゃ] /(n) person who has died at his post (in the performance of his duties)/
殉難 [じゅんなん] /(n,vs) martyrdom/(P)/
殉難者 [じゅんなんしゃ] /(n) victim/martyr/
淳風美俗 [じゅんぷうびぞく] /(n) good morals and manners/genial manners and laudable customs/pristine way of life/
淳朴 [じゅんぼく] /(adj-na,n) rustic simplicity/homeliness/unsophisticated/naive/honest/simple/
淳良 [じゅんりょう] /(adj-na,n) simple and kind/innocent/
準 [じゅん] /(n,pref) level/apply correspondingly/correspond to/being proportionate to/conforming to/semi/quasi/associate/standard/rule/aim/
準々決勝 [じゅんじゅんけっしょう] /(n) quarterfinal/
準々決勝戦 [じゅんじゅんけっしょうせん] /(n) quarterfinal game of a tournament/
準える [なずらえる] /(v1,vt) to pattern after/to liken to/to imitate/
準える [なぞらえる] /(v1,vt) to pattern after/to liken to/to imitate/(P)/
準え歌 [なずらえうた] /(n) allusive form (of waka)/
準じる [じゅんじる] /(v1,vi) to follow/to conform/to apply to/(P)/
準ずる [じゅんずる] /(vz,vi) to apply correspondingly/to correspond to/to be proportionate to/to conform to/(P)/
準ミリ波 [じゅんミリは] /(n) near millimeter wave/submillimeter wave/
準医療活動従事者 [じゅんいりょうかつどうじゅうじしゃ] /(n) paramedic/
準会員 [じゅんかいいん] /(n) associate member/
準急 [じゅんきゅう] /(n) semi-express train (slower than an express)/local express train/(P)/
準拠 [じゅんきょ] /(n,vs) basis/based on/conformance/conformity/authority (of)/standard/reference/(P)/
準拠セル [じゅんきょセル] /(n) (comp) conforming cell/
準教員 [じゅんきょういん] /(n) assistant teacher/junior teacher/
準禁治産 [じゅんきんちさん] /(n) quasi-incompetence/
準禁治産者 [じゅんきんちさんしゃ] /(n) a quasi-incompetent (individual)/
準決勝 [じゅんけっしょう] /(n) semifinal (in sports)/(P)/
準決勝戦 [じゅんけっしょうせん] /(n) semifinal game of a tournament/
準結晶 [じゅんけっしょう] /(n,adj-no) quasicrystal/paracrystal/
準恒星状天体 [じゅんこうせいじょうてんたい] /(n) quasar/quasi-stellar object/QSO/
準構成員 [じゅんこうせいいん] /(n) associate member (esp. of a crime syndicate)/
準市内通話 [じゅんしないつうわ] /(n) (comp) message area call/
準社員 [じゅんしゃいん] /(n) associate member/junior employee/
準尺 [じゅんしゃく] /(n) surveyor's leveling pole (levelling)/
準州 [じゅんしゅう] /(n) territory/demicanton/
準準決勝 [じゅんじゅんけっしょう] /(n) quarterfinal/
準準決勝戦 [じゅんじゅんけっしょうせん] /(n) quarterfinal game of a tournament/
準新作 [じゅんしんさく] /(n) recent release (usu. video) (not absolutely new)/
準星 [じゅんせい] /(n) (abbr) (obs) quasar/QSO/
準正 [じゅんせい] /(n) legitimation (of a child born outside a marriage)/
準則 [じゅんそく] /(n) regulations/standard/
準体言 [じゅんたいげん] /(n) (ling) secondary substantive (inflectable word or phrase that acts as an uninflectable within a sentence)/
準体助詞 [じゅんたいじょし] /(n) particle that attaches to a phrase and acts on the whole phrase/
準大手 [じゅんおおて] /(n) second level (company, etc.)/
準同型 [じゅんどうけい] /(n) (math) homomorphism/
準内字 [じゅんないじ] /(n) (comp) quasi-internal character/
準縄 [じゅんじょう] /(n) a level and inked string/norm/rule/standard/
準年寄 [じゅんとしより] /(n) temporary sumo coaching status for retired wrestler/
準年寄り [じゅんとしより] /(n) temporary sumo coaching status for retired wrestler/
準否定 [じゅんひてい] /(n) (ling) (obsc) quasi-negation (e.g. use of words like 'hardly', 'seldom', 'barely')/weak negation/
準備 [じゅんび] /(n,vs) preparation/setup/arrangements/provision/reserve/(P)/
準備の日 [じゅんびのひ] /(n) preparation day/
準備委員会 [じゅんびいいんかい] /(n) preparatory committee/
準備運動 [じゅんびうんどう] /(n,vs) warming (limbering) up/warming-up exercises/
準備完了ログ記録 [じゅんびかんりょうログきろく] /(n) (comp) log-ready record/
準備管制 [じゅんびかんせい] /(n) preliminary control of lights/
準備期間 [じゅんびきかん] /(n) preparatory phase/preparatory period/
準備金 [じゅんびきん] /(n) reserve fund/
準備銀行 [じゅんびぎんこう] /(n) reserve bank/
準備資金 [じゅんびしきん] /(n) reserve funds/
準備室 [じゅんびしつ] /(n) preparation room/
準備書面 [じゅんびしょめん] /(n) preparatory document/legal brief/
準備状況 [じゅんびじょうきょう] /(n) preliminary conditions/initial conditions/
準備体操 [じゅんびたいそう] /(n) warm-up exercises/
準備中 [じゅんびちゅう] /(n) in preparation/(shop) not yet open for business/
準備不足 [じゅんびぶそく] /(n,adj-no) ill-preparedness/insufficient preparation/lack of preparation/
準備万端 [じゅんびばんたん] /(n,adj-no) every preparation (arrangement)/all sorts of preparations/
準備命令 [じゅんびめいれい] /(n) warning order/
準優勝 [じゅんゆうしょう] /(n) runner-up for the tournament title (sumo)/
準用 [じゅんよう] /(vs) to apply (the law) with necessary modifications/to apply mutatis mutandis/to apply correspondingly/
準連接的 [じゅんれんせつてき] /(adj-na) (math) quasi-coherent/
準惑星 [じゅんわくせい] /(n) dwarf planet (e.g. Ceres, Eris and Pluto)/
潤い [うるおい] /(n) (1) moisture/damp/wetness/(2) richness/warmth/gain/profit/(3) financial leeway/(P)/
潤う [うるおう] /(v5u,vi) (1) to be moist/to be damp/to get wet/to be watered/(2) to profit by/to receive benefits/to receive favors (favours)/(3) to become rich/to become at ease financially/(P)/
潤かす [ふやかす] /(v5s,vt) (uk) to soak/to steep/to macerate/
潤ける [ふやける] /(v1,vi) (uk) to become sodden/to swell up/
潤す [うるおす] /(v5s,vt) to moisten/to wet/to profit/to enrich/to benefit/(P)/
潤びる [ほとびる] /(v1,vi) to be rehydrated/to be reconstituted/to swell from absorbed moisture/
潤み [うるみ] /(n) blur/moisture/opacity/
潤む [うるむ] /(v5m,vi) to be clouded/to be dimmed/to be bleared/to be wet/to get muddy/(P)/
潤んだ目 [うるんだめ] /(n) dim eyes/eyes moist with tears/
潤滑 [じゅんかつ] /(adj-na,n) smoothness/lubrication/
潤滑ゼリー [じゅんかつゼリー] /(n) lubricating jelly/
潤滑剤 [じゅんかつざい] /(n) lubricant/
潤滑油 [じゅんかつゆ] /(n) lubricating oil/(P)/
潤飾 [じゅんしょく] /(n,vs) rhetorical flourishes/
潤色 [じゅんしょく] /(n,vs) rhetorical flourishes/(P)/
潤沢 [じゅんたく] /(adj-na,n) luster/lustre/favor/favour/abundance/plenty/
潤筆料 [じゅんぴつりょう] /(n) fee for writing or painting/
潤目 [うるめ] /(n) (uk) (abbr) round herring (Etrumeus teres)/
潤目鰯 [うるめいわし] /(n) (uk) round herring (Etrumeus teres)/
盾 [たて] /(n) shield/buckler/escutcheon/pretext/(P)/
盾の両面を見よ [たてのりょうめんをみよ] /(exp) (id) Look at both sides of the thing/
盾座 [たてざ] /(n) (constellation) Scutum/the Shield/
盾突く [たてつく] /(v5k,vi) to oppose/to resist/to defy/
純 [じゅん] /(adj-na,n) pure/innocent/chaste/(P)/
純な少女 [じゅんなしょうじょ] /(n) virgin/maiden pure in heart/
純トン数 [じゅんトンすう] /(n) net tonnage/
純愛 [じゅんあい] /(n) pure love/
純愛路線 [じゅんあいろせん] /(n) (going) the pure love stories route (in movie making)/
純一 [じゅんいつ] /(adj-na,n) purity/homogeneity/unadorned/
純一無雑 [じゅんいちむざつ] /(n,adj-na,adj-no) pure and unadulterated/pure in heart/simplehearted/
純益 [じゅんえき] /(n) clear profit/net income/net profit/(P)/
純化 [じゅんか] /(n,vs) purification/
純額 [じゅんがく] /(n) net amount/net price/
純金 [じゅんきん] /(n) pure gold/solid gold/fine gold/(P)/
純銀 [じゅんぎん] /(n) pure silver/
純系 [じゅんけい] /(n,adj-no) pure bloodline/
純潔 [じゅんけつ] /(adj-na,n,adj-no) purity/chastity/
純潔教育 [じゅんけつきょういく] /(n) education in sexual morality/
純血 [じゅんけつ] /(n,adj-no) pure-bred (usu. animal)/pure-blooded/thoroughbred/
純絹 [じゅんけん] /(n) pure silk/
純減 [じゅんげん] /(n,vs) net reduction/net decrease/
純資産価値 [じゅんしさんかち] /(n) net asset value/
純資産倍率 [じゅんしさんばいりつ] /(n) price book-value ratio/
純種 [じゅんしゅ] /(n,adj-no) purebred/thoroughbred/
純収入 [じゅんしゅうにゅう] /(n) net revenue/
純情 [じゅんじょう] /(adj-na,n) pure heart/naivete/self-sacrificing devotion/(P)/
純情可憐 [じゅんじょうかれん] /(n) pure of heart and beautiful/
純真 [じゅんしん] /(adj-na,n) purity/sincerity/
純真一途 [じゅんしんいちず] /(n,adj-na) pure and innocent through and through/
純真可憐 [じゅんしんかれん] /(n,adj-na) pure of heart and beautiful/innocent and beautiful/
純真無垢 [じゅんしんむく] /(n,adj-na) pure/purity/
純水 [じゅんすい] /(n) pure water/
純粋 [じゅんすい] /(adj-na,adj-no) pure/true/genuine/unmixed/(P)/
純粋想起 [じゅんすいそうき] /(n) unaided recall/
純粋培養 [じゅんすいばいよう] /(n,vs) clean (pure) culture/
純粋無垢 [じゅんすいむく] /(n,adj-na) pure and innocent/immaculate/
純粋理性 [じゅんすいりせい] /(n) (Kantian) pure reason/
純粋理性批判 [じゅんすいりせいひはん] /(n) Critique of Pure Reason (Kritik der reinen Vernunft) (Kant)/
純正 [じゅんせい] /(adj-na,adj-no) genuine/pure/perfect/
純正科学 [じゅんせいかがく] /(n) pure science/
純正数学 [じゅんせいすうがく] /(n) (math) pure mathematics/
純正調 [じゅんせいちょう] /(n) just intonation/
純正品 [じゅんせいひん] /(n) (comp) genuine products/
純正律 [じゅんせいりつ] /(n) just temperament/pure temperament/
純生産量 [じゅんせいさんりょう] /(n) net product/net production/
純然 [じゅんぜん] /(adj-t,adv-to) absolute/complete/utter/pure/sheer/
純増 [じゅんぞう] /(n) net increase/
純度 [じゅんど] /(n) purity (of a substance)/(P)/
純日本式 [じゅんにほんしき] /(n) purely Japanese style/
純日本風 [じゅんにほんふう] /(n,adj-no) classical Japanese style/
純白 [じゅんぱく] /(adj-na,n,adj-no) pure or snow white/
純分 [じゅんぶん] /(n) fineness or purity (of gold)/
純文学 [じゅんぶんがく] /(n) pure literature/belles-lettres/(P)/
純米 [じゅんまい] /(n) (abbr) sake made without added alcohol or sugar/
純米吟醸酒 [じゅんまいぎんじょうしゅ] /(n) ginjo sake with no added alcohol/
純米酒 [じゅんまいしゅ] /(n) sake made without added alcohol or sugar/
純朴 [じゅんぼく] /(adj-na,n) rustic simplicity/homeliness/unsophisticated/naive/honest/simple/
純綿 [じゅんめん] /(n) pure cotton/all-cotton/
純毛 [じゅんもう] /(n) all-wool/
純利 [じゅんり] /(n) net profit/
純利益 [じゅんりえき] /(n) net income/net profit/
純理 [じゅんり] /(n) pure reason/pure logic/
純良 [じゅんりょう] /(adj-na,n) purity/pure (and good)/genuine/
純良品 [じゅんりょうひん] /(n) genuine article/
純量 [じゅんりょう] /(n) net weight/
巡らす [めぐらす] /(v5s,vt) to enclose (with)/to surround (with)/to encircle/to think over/to work out/
巡り [めぐり] /(n) (1) circumference/girth/(2) tour/pilgrimage/(3) circulation (e.g. of blood)/
巡り逢う [めぐりあう] /(oK) (v5u) to meet fortuitously (e.g. running into an old friend)/to meet by chance/to happen across/
巡り会う [めぐりあう] /(v5u) to meet fortuitously (e.g. running into an old friend)/to meet by chance/to happen across/(P)/
巡り合い [めぐりあい] /(n) chance meeting/
巡り合う [めぐりあう] /(v5u) to meet fortuitously (e.g. running into an old friend)/to meet by chance/to happen across/
巡り合わせ [めぐりあわせ] /(n) fate/chance/
巡り巡って [めぐりめぐって] /(adv) (after) bouncing around from one place to the next/
巡り歩く [めぐりあるく] /(v5k) to walk around/to travel around/
巡る [めぐる] /(v5r,vi) (1) to go around/(2) to return/(3) to surround/(4) to concern (usu. of disputes)/(P)/
巡演 [じゅんえん] /(n,vs) performance tour/
巡回 [じゅんかい] /(n,vs,adj-no) going around/patrol/round/tour/(P)/
巡回セールスマンの問題 [じゅんかいセールスマンのもんだい] /(n) (comp) travelling salesman problem/TSP/
巡回ポーリング [じゅんかいポーリング] /(n) (comp) wraparound polling/
巡回ロボット [じゅんかいロボット] /(n) crawler (e.g. a web crawler or robot)/
巡回群 [じゅんかいぐん] /(n) (math) cyclic group/
巡回裁判所 [じゅんかいさいばんしょ] /(n) circuit court/
巡回冗長検査 [じゅんかいじょうちょうけんさ] /(n) (comp) cyclic redundancy check/CRC/
巡回診療所 [じゅんかいしんりょうじょ] /(n) traveling clinic/travelling clinic/
巡回図書館 [じゅんかいとしょかん] /(n) bookmobile/
巡回僧 [じゅんかいそう] /(n) travelling monk (RPG term)/
巡業 [じゅんぎょう] /(n,vs) provincial tour/(P)/
巡警 [じゅんけい] /(n,vs) patrolling/
巡検 [じゅんけん] /(n,vs) inspection tour/
巡見使 [じゅんけんし] /(n) traveling inspectors sent by the Shogun in the Edo period/
巡幸 [じゅんこう] /(n,vs) Imperial tour/royal progress/
巡航 [じゅんこう] /(n,vs) cruise/cruising/(P)/
巡航ミサイル [じゅんこうミサイル] /(n) cruise missile/
巡航客船 [じゅんこうきゃくせん] /(n) cruise ship/
巡航船 [じゅんこうせん] /(n) cruiser/
巡航速度 [じゅんこうそくど] /(n,adj-no) cruising speed/
巡行 [じゅんこう] /(n,vs) patrol/
巡査 [じゅんさ] /(n) police/policeman/(P)/
巡査長 [じゅんさちょう] /(n) head patrol officer/
巡査派出所 [じゅんさはしゅつじょ] /(n) (obs) police box/
巡査部長 [じゅんさぶちょう] /(n) police sergeant/
巡察 [じゅんさつ] /(n,vs) (making) a round of inspection/patrolling/
巡視 [じゅんし] /(n,vs,adj-no) inspection tour/(P)/
巡視船 [じゅんしせん] /(n) patrol boat/
巡視艇 [じゅんしてい] /(n) patrol boat/
巡錫 [じゅんしゃく] /(n,vs) preaching tour/
巡狩 [じゅんしゅ] /(n,vs) Imperial visit/
巡拝 [じゅんぱい] /(n,vs) circuit pilgrimage/
巡遊 [じゅんゆう] /(n,vs) a tour/
巡洋艦 [じゅんようかん] /(n) cruiser/
巡覧 [じゅんらん] /(n,vs) a tour/
巡礼 [じゅんれい] /(n,vs) pilgrimage/pilgrim/(P)/
巡礼者 [じゅんれいしゃ] /(n) pilgrim/
巡歴 [じゅんれき] /(n,vs) itinerancy/tour/trip/
巡邏 [じゅんら] /(n,vs) patrolling/making one's rounds/
遵行 [じゅんこう] /(n,vs) obedience/
遵守 [じゅんしゅ] /(n,vs) compliance/adherence (to a set of rules)/(religious) observance/
遵奉 [じゅんぽう] /(n,vs) obeying/observing/following/
遵奉者 [じゅんぽうしゃ] /(n) conformist/
遵法 [じゅんぽう] /(adj-na,n,adj-no) law-abiding/
遵法者 [じゅんぽうしゃ] /(n) law-abiding citizen/
醇化 [じゅんか] /(n,vs) (1) persuading by heavy-handed methods/(2) (in aesthetics) refinement/purification/elimination of non-essential elements/
醇乎 [じゅんこ] /(adj-t,adv-to) pure/sheer/
醇正 [じゅんせい] /(adj-na,adj-no) genuine/pure/perfect/
醇風美俗 [じゅんぷうびぞく] /(n) good morals and manners/genial manners and laudable customs/pristine way of life/
醇朴 [じゅんぼく] /(adj-na,n) rustic simplicity/homeliness/unsophisticated/naive/honest/simple/
順 [じゅん] /(adj-na,n,n-suf) order/turn/(P)/
順々 [じゅんじゅん] /(adv,n) in order/in turn/
順々に [じゅんじゅんに] /(adv) in order/in turn/(P)/
順う [したがう] /(v5u,vi) to abide (by the rules)/to obey/to follow/to accompany/
順に [じゅんに] /(adv) in order/in turn/one by one/(P)/
順にいう [じゅんにいう] /(exp,v5u) to state in order/to sequence/
順を追って [じゅんをおって] /(exp,adv) in order/from start to end/
順ファイル [じゅんファイル] /(n) (comp) sequential file/
順位 [じゅんい] /(n) order/rank/position (e.g. in a race)/precedence/(P)/
順位表 [じゅんいひょう] /(n) ranking table (e.g. sports league)/
順延 [じゅんえん] /(n,vs) moved to a later date/
順縁 [じゅんえん] /(n) (1) (Buddh) favorable condition (for entering the priesthood)/(2) dying in order (from oldest to youngest)/
順応 [じゅんのう] /(n,vs) adaptation/sympathy/(P)/
順応性 [じゅんのうせい] /(n) adaptability/
順応力 [じゅんのうりょく] /(n) adaptability/capacity for adaptation/
順化 [じゅんか] /(n,vs) acclimate/
順逆 [じゅんぎゃく] /(n) right and wrong/loyalty and treason/obedience and disobedience/
順境 [じゅんきょう] /(n) favorable circumstances/favourable circumstances/
順繰り [じゅんぐり] /(n) in turn/order/
順呼出し [じゅんよびだし] /(n) (comp) sequential access/
順光 [じゅんこう] /(n) direct light, in photography/
順向 [じゅんこう] /(adj-no,adj-f) proactive/
順向性 [じゅんこうせい] /(adj-no) proactive/
順向抑制 [じゅんこうよくせい] /(n) proactive inhibition/
順行 [じゅんぎょう] /(ok) (n,vs) (1) going in order/proceeding in order/moving forward in order/(2) direct motion (astronomy)/prograde motion/(3) (arch) carrying out something without disobeying one's orders/
順行 [じゅんこう] /(n,vs) (1) going in order/proceeding in order/moving forward in order/(2) direct motion (astronomy)/prograde motion/(3) (arch) carrying out something without disobeying one's orders/
順次 [じゅんじ] /(adv) in order/sequential/seriatim/(P)/
順次アクセス [じゅんじアクセス] /(n) (comp) sequential access/serial access/
順次走査 [じゅんじそうさ] /(n) (comp) sequential scanning/
順守 [じゅんしゅ] /(n,vs) compliance/adherence (to a set of rules)/(religious) observance/(P)/
順順 [じゅんじゅん] /(adv,n) in order/in turn/
順順に [じゅんじゅんに] /(adv) in order/in turn/
順序 [じゅんじょ] /(n) order/sequence/procedure/(P)/
順序だてる [じゅんじょだてる] /(v1,vt) to put into order/to arrange (one's thoughts)/
順序回路 [じゅんじょかいろ] /(n) (comp) sequential circuit/
順序数 [じゅんじょすう] /(n) ordinal number/
順序制御 [じゅんじょせいぎょ] /(n) (comp) sequencing/
順序性 [じゅんじょせい] /(n) (comp) ordering/alignment/
順序探索 [じゅんじょたんさく] /(n) (comp) linear search/
順序通り [じゅんじょどおり] /(n) in (the proper) order/in (the correct) sequence/
順序番号 [じゅんじょばんごう] /(n) (comp) sequence-number/
順序不同 [じゅんじょふどう] /(n) unordered/random order/
順序付ける [じゅんじょづける] /(exp,v1) (comp) to order/to place in order/
順序木 [じゅんじょぎ] /(n) (comp) ordered tree/
順序立てる [じゅんじょだてる] /(v1,vt) to put into order/to arrange (one's thoughts)/
順序列型 [じゅんじょれつがた] /(n) (comp) sequence type/
順接 [じゅんせつ] /(n,vs) resultative (refers to a conjunction where what follows is a result of the preceding)/
順送り [じゅんおくり] /(n) sending or passing along/
順調 [じゅんちょう] /(adj-na,n) favourable/favorable/doing well/OK/all right/(P)/
順当 [じゅんとう] /(adj-na,n) proper/right/reasonable/(P)/
順読み [じゅんよみ] /(n) (comp) forward reading/
順番 [じゅんばん] /(n) turn (in line)/order of things/sequential order/(P)/
順番検査 [じゅんばんけんさ] /(n) (comp) sequence check/
順番待ち [じゅんばんまち] /(exp) waiting one's turn/
順番付ける [じゅんばんづける] /(exp,v1) (comp) to sequence/
順番列 [じゅんばんれつ] /(n) (comp) sequence/
順不同 [じゅんふどう] /(exp) (listed in) no particular order/arbitrary order/random order/
順風 [じゅんぶう] /(n) favourable wind/favorable wind/
順風 [じゅんぷう] /(n) favourable wind/favorable wind/
順風満帆 [じゅんぷうまんぱん] /(n) smooth sailing/
順風満帆 [じゅんぷうまんぽ] /(ik) (n) smooth sailing/
順編成 [じゅんへんせい] /(n) (comp) sequential organization/
順編成ファイル [じゅんへんせいファイル] /(n) (comp) sequential file/
順編成法 [じゅんへんせいほう] /(n) (comp) BSAM/Basic Sequential Access Method/
順奉 [じゅんぽう] /(n,vs) obeying/observing/following/
順方向ＬＡＮチャネル [じゅんほうこうランチャネル] /(n) (comp) forward LAN channel/
順方向通信路 [じゅんほうこうつうしんろ] /(n) (comp) forward channel/
順方向電圧 [じゅんほうこうでんあつ] /(n) forward voltage (e.g. of a semiconductor)/
順方向電圧降下 [じゅんほうこうでんあつこうか] /(n) forward voltage drop (e.g. in a semiconductor)/
順方向読取り [じゅんほうこうよみとり] /(n) (comp) forward reading/
順法 [じゅんぽう] /(n) law observance/obeying the law/
順法闘争 [じゅんぽうとうそう] /(n,adj-no) labor slowdown/labour slowdown/
順良 [じゅんりょう] /(adj-na,n) good and obedient/gentle/meek/
順礼 [じゅんれい] /(n,vs) pilgrimage/pilgrim/
順列 [じゅんれつ] /(n) permutation/
順路 [じゅんろ] /(n) (regular) route/(P)/
処 [ところ] /(n,suf) (1) place/spot/scene/site/(2) address/(3) district/area/locality/(4) one's house/(5) point/(6) part/(7) space/room/(8) (uk) whereupon/as a result/(9) (after present form of a verb) about to/on the verge of/
処々 [しょしょ] /(n-adv,n-t) here and there/some parts (of something)/several places/
処々方々 [しょしょほうぼう] /(n) everywhere/
処か [どころか] /(suf) (1) (uk) far from/anything but/not at all/(2) let alone/to say nothing of/not to speak of/much less/
処し方 [しょしかた] /(exp) way of dealing with/way of handling/
処す [しょす] /(v5s) (1) to manage/to deal with/to cope with/(2) to sentence/to condemn/to punish/
処する [しょする] /(vs-s) (1) to manage/to deal with/to cope with/(2) to sentence/to condemn/to punish/
処ではない [どころではない] /(suf) (uk) (strongly emphatic) too preoccupied or busy to even think of .../.. is out of the question/this is not an occasion for/
処遇 [しょぐう] /(n,vs) treatment/dealing with/(P)/
処刑 [しょけい] /(n,vs) execution/(P)/
処刑場 [しょけいじょう] /(n) place of execution/execution site/
処刑台 [しょけいだい] /(n) scaffold/gallows/
処決 [しょけつ] /(n,vs) settlement/decision/
処士横議 [しょしおうぎ] /(n) wayward (irresponsible) criticisms of political matters by private citizens/
処処 [しょしょ] /(n-adv,n-t) here and there/some parts (of something)/several places/
処処方方 [しょしょほうぼう] /(n) everywhere/
処暑 [しょしょ] /(n) "limit of heat" solar term (approx. Aug. 23, when the weather is said to start cooling down)/
処女 [しょじょ] /(n,adj-no) virgin/maiden/(P)/
処女懐胎 [しょじょかいたい] /(n) virgin birth (esp. the Virgin Birth of Jesus)/
処女宮 [しょじょきゅう] /(n) Virgo (6th zodiacal sign)/the Virgin/
処女航海 [しょじょこうかい] /(n) maiden voyage/
処女降誕 [しょじょこうたん] /(n) virgin birth (esp. the Virgin Birth of Jesus)/
処女作 [しょじょさく] /(n) one's maiden work/
処女受胎 [しょじょじゅたい] /(n) virgin birth (esp. the Virgin Birth of Jesus)/
処女性 [しょじょせい] /(n) virginity/maidenhood/maidenhead/
処女喪失 [しょじょそうしつ] /(n) (sens) loss of virginity (in women)/loss of maidenhead/
処女地 [しょじょち] /(n) virgin soil/
処女峰 [しょじょほう] /(n) an untrodden peak/
処女膜 [しょじょまく] /(n) (1) hymen/(adj-no) (2) hymenal (medical, biol.)/(pref) (3) hymeno- (medical, biol.)/
処女林 [しょじょりん] /(n) virgin forest/
処世 [しょせい] /(n) conduct/
処世訓 [しょせいくん] /(n) precepts/
処世術 [しょせいじゅつ] /(n) worldly wisdom/secret of success in life/
処世上手 [しょせいじょうず] /(n,adj-na) knowing how to get on in the world/knowing the secret of success in life/
処世達者 [しょせいたっしゃ] /(n,adj-na) knowing how to get on in the world/knowing the secret of success in life/
処生訓 [しょせいくん] /(n) guiding motto for one's life/
処断 [しょだん] /(n,vs) judgement/judgment/
処置 [しょち] /(n,vs) treatment/measure/step/(P)/
処罰 [しょばつ] /(n,vs) punishment/(P)/
処分 [しょぶん] /(n,vs) disposal/dealing/punishment/(P)/
処分市 [しょぶんいち] /(n) disposal sale/surplus good sale/
処方 [しょほう] /(n,vs) prescription/
処方せん [しょほうせん] /(n) prescription (medical)/
処方薬 [しょほうやく] /(n) prescription drug/
処方箋 [しょほうせん] /(n) prescription (medical)/
処理 [しょり] /(n,vs) processing/dealing with/treatment/disposition/disposal/(P)/
処理システム [しょりシステム] /(n) (comp) processing system/
処理可能形式 [しょりかのうけいしき] /(n) (comp) (obsc) processable form/
処理過程 [しょりかてい] /(n) process/
処理機構 [しょりきこう] /(n) (comp) processor/
処理系 [しょりけい] /(n) (comp) implementation/processor/
処理系依存 [しょりけいいぞん] /(n) (comp) implementation-dependent/
処理系限界 [しょりけいげんかい] /(n) (comp) implementation limit/
処理系定義 [しょりけいていぎ] /(n) (comp) implementation-defined/
処理系定義の動作 [しょりけいていぎのどうさ] /(n) (comp) implementation- defined behavior/
処理済み [しょりずみ] /(n) (comp) processed/
処理指令 [しょりしれい] /(n) (comp) processing instruction/
処理指令実体 [しょりしれいじったい] /(n) (comp) processing instruction entity/
処理場 [しょりじょう] /(n) processing plant/treatment plant/
処理装置 [しょりそうち] /(n) (comp) processing unit/processor/
処理速度 [しょりそくど] /(n) (comp) processing speed/
処理対象 [しょりたいしょう] /(n) (comp) processing object/
処理内容 [しょりないよう] /(n) (comp) processing details/
処理能力 [しょりのうりょく] /(n) (comp) throughput/
処理部 [しょりぶ] /(n) processor/handler/
処理利得 [しょりりとく] /(n) (comp) processing gain/
初 [うぶ] /(adj-na,n,adj-no) (1) innocent/naive/unsophisticated/inexperienced/green/wet behind the ears/(n-pref) (2) birth-/
初 [はつ] /(n,adj-no,n-suf) first/new/(P)/
初々しい [ういういしい] /(adj-i) innocent/artless/unsophisticated/
初っ切り [しょっきり] /(n) comic sumo performance/
初っ端 [しょっぱな] /(n-t) the very beginning/
初に [はつに] /(n) for the first time/
初の成功 [はつのせいこう] /(n) the first success/
初め [はじめ] /(n-adv,n-t) beginning/start/origin/(P)/
初めて [はじめて] /(adv,n) (1) for the first time/(2) only after ... is it .../only when ... do you .../(P)/
初めとする [はじめとする] /(exp) comencing with/including/
初めに [はじめに] /(exp) to begin with (used as an introduction)/first of all/in the beginning/
初めは [はじめは] /(exp) at first/in the beginning/originally/
初めまして [はじめまして] /(exp) (uk) How do you do?/I am glad to meet you/
初める [そめる] /(aux-v,v1) to begin to/(P)/
初袷 [はつあわせ] /(n) the first time in the year that one wears an awase kimono/
初一念 [しょいちねん] /(n) original intention/
初烏 [はつがらす] /(n) crow cawing on New Year's Day/
初演 [しょえん] /(n,vs) first performance/(P)/
初鴬 [はつうぐいす] /(n) first Japanese bush warbler to chirp this year (i.e. spring)/
初音 [はつね] /(n) first warbling heard in a New Year/
初夏 [しょか] /(n) (1) early summer/(2) (obs) fourth month of the lunar calendar/(P)/
初夏 [はつなつ] /(n) (1) early summer/
初花 [はつはな] /(n) first flower of the season or year/first flowering on a plant/first menstruation/
初荷 [はつに] /(n) first cargo of the year/
初会 [しょかい] /(n,adj-no) meeting for the first time/first meeting/
初会合 [はつかいごう] /(n) first meeting/
初回 [しょかい] /(n) (1) first time/first innings/initial attempt/(adj-no) (2) first/initial/(P)/
初回仕様限定盤 [しょかいしようげんていばん] /(n) first-run limited edition technical recording/
初回生産限定盤 [しょかいせいさんげんていばん] /(n) first-run limited edition production recording/
初学者 [しょがくしゃ] /(n) beginner/beginning student/
初鰹 [はつがつお] /(n) the first bonito of the season/
初釜 [はつがま] /(n) first tea ceremony of New Year/
初冠 [ういかぶり] /(n,vs) (1) (arch) crowning a boy for the first time at a coming-of-age ceremony/
初冠 [ういかむり] /(n,vs) (1) (arch) crowning a boy for the first time at a coming-of-age ceremony/
初冠 [ういかんむり] /(n,vs) (1) (arch) crowning a boy for the first time at a coming-of-age ceremony/(n) (2) Noh cap with a rolled or drooping tail (indicative of nobility)/
初冠 [ういこうぶり] /(n,vs) (1) (arch) crowning a boy for the first time at a coming-of-age ceremony/
初冠 [しょかん] /(n,vs) (1) (arch) crowning a boy for the first time at a coming-of-age ceremony/
初冠雪 [はつかんせつ] /(n) first snow to settle on a mountain/
初顔合わせ [はつかおあわせ] /(n) first meeting/first contest between/
初期 [しょき] /(n,adj-no) (1) early (days)/initial stage/(2) (comp) initial/(P)/
初期のころ [しょきのころ] /(exp,adj-no) the earliest/
初期の結核 [しょきのけっかく] /(n) incipient tuberculosis/initial-stage tuberculosis/
初期の頃 [しょきのころ] /(exp,adj-no) the earliest/
初期エンドソーム [しょきエンドソーム] /(n) early endosome/
初期デフォルト [しょきデフォルト] /(n) (comp) initial default/
初期化 [しょきか] /(n,vs) (1) initialization/initialisation/(2) formatting/resetting/
初期化コード [しょきかコード] /(n) (comp) initialization code/
初期化プログラム [しょきかプログラム] /(n) (comp) initial program/
初期化子 [しょきかし] /(n) (comp) initializer/
初期化部 [しょきかぶ] /(n) (comp) initialization section/
初期画面 [しょきがめん] /(n) (comp) opening screen/
初期刊本 [しょきかんぼん] /(n) (comp) incunabulum/
初期故障 [しょきこしょう] /(n) (comp) initial failure/
初期症状 [しょきしょうじょう] /(n) initial symptom/
初期条件モード [しょきじょうけんモード] /(n) (comp) initial condition mode/reset mode/
初期状態 [しょきじょうたい] /(n) (comp) initial state/
初期設定 [しょきせってい] /(n,vs) initialization/initialisation/
初期選択項目 [しょきせんたくこうもく] /(n) initial choice/
初期段階 [しょきだんかい] /(n,adj-no) initial stage/
初期値 [しょきち] /(n) initial value/initializing value/IV/
初期値設定プログラム単位 [しょきちせっていプログラムたんい] /(n) (comp) block data program unit/
初期点 [しょきてん] /(n) (comp) initial point/
初期投資 [しょきとうし] /(n) initial investment/
初期投資コスト [しょきとうしコスト] /(n) initial investment cost/
初期不良 [しょきふりょう] /(n) (comp) early failure/
初期連結集合 [しょきれんけつしゅうごう] /(n) (comp) initial link set/
初宮参り [はつみやまいり] /(n) first visit of a child to the shrine of its tutelary deity (usu. when the child is about 30 days old)/
初球 [しょきゅう] /(n) pitcher's first pitch (to batter)/(P)/
初級 [しょきゅう] /(n,adj-no) elementary level/(P)/
初漁 [はつりょう] /(n) (obsc) first fish of the year/
初空 [はつそら] /(n) sky on New Year's morning/
初空 [はつぞら] /(n) sky on New Year's morning/
初景色 [はつげしき] /(n) scenery seen on the morning of the first day of the year/
初経 [しょけい] /(n) first menstruation/
初詣 [はつもうで] /(n,vs) first shrine visit of New Year/
初詣で [はつもうで] /(n,vs) first shrine visit of New Year/(P)/
初鶏 [はつとり] /(n) first cockcrowing of the year/
初鶏 [はとり] /(n) first cockcrowing of the year/
初月 [しょげつ] /(n) (1) first lunar month/(2) first month/(3) first moon of the month/new moon/
初見 [しょけん] /(n) seeing for the first time/first sight/
初午 [はつうま] /(exp) first "horse day" in any lunar month, but esp. the second lunar month/traditional day for worship at "fox deity" shrines/
初口 [しょくち] /(n) beginning/
初更 [しょこう] /(n) first watch of the night (approx. 7 pm to 9 pm)/
初校 [しょこう] /(n) first (proofs)/
初航海 [はつこうかい] /(n) maiden voyage/
初号 [しょごう] /(n) (1) first number (e.g. issue of a magazine)/(2) No. 1 type/
初号試写 [しょごうししゃ] /(n) first screening/preview of movie/
初婚 [しょこん] /(n) first marriage/
初座 [しょざ] /(n) first half of a tea ceremony (in which the charcoal is set and light food served)/
初朔日 [はつついたち] /(n) first day of the second month/
初刷 [しょさつ] /(n) first print (run)/
初刷 [しょずり] /(n) first print (run)/
初刷 [はつずり] /(n) first print (run)/
初刷り [しょずり] /(n) first print (run)/
初刷り [はつずり] /(n) first print (run)/
初産 [ういざん] /(adj-na,n,adj-no) first childbirth/
初産 [しょさん] /(adj-na,n,adj-no) first childbirth/
初産 [しょざん] /(adj-na,n,adj-no) first childbirth/
初産 [はつざん] /(adj-na,n,adj-no) first childbirth/
初産婦 [しょさんぷ] /(n) primipara/
初姿 [はつすがた] /(n) first wearing (of kimono) in the New Year/
初子 [ういご] /(n) first child/
初子 [はつご] /(n) first child/
初子 [はつね] /(n) (1) first day of the rat of the New Year/(2) first day of the rat of the month (esp. of the 11th month)/
初市 [はついち] /(n) first market of the year/
初志 [しょし] /(n) original intention/
初志貫徹 [しょしかんてつ] /(n) carrying out one's original intention/
初事 [ういごと] /(n) first thing/doing something for the first time/
初時雨 [はつしぐれ] /(n) (arch) the first rain to fall between the late autumn and the early winter/
初耳 [はつみみ] /(n) something heard for the first time (lit: first ear)/
初七日 [しょなぬか] /(n) (Buddh) memorial service held on the seventh day following a person's death/
初七日 [しょなのか] /(n) (Buddh) memorial service held on the seventh day following a person's death/
初若菜 [はつわかな] /(n) (obsc) first young greens of the year/
初手 [しょて] /(n) beginning/start/
初秋 [しょしゅう] /(n) (1) early autumn (fall)/(2) (obs) seventh month of the lunar calendar/
初秋 [はつあき] /(n) (1) early autumn (fall)/
初出 [しょしゅつ] /(n,vs) first appearance/(P)/
初出場 [はつしゅつじょう] /(n,vs) debut/
初春 [しょしゅん] /(n) (1) beginning of spring/(2) first month of the lunar calendar/New Year/
初春 [はつはる] /(n) (1) beginning of spring/(2) first month of the lunar calendar/New Year/
初旬 [しょじゅん] /(n-adv,n) first 10 days of the month/(P)/
初初しい [ういういしい] /(adj-i) innocent/artless/unsophisticated/
初商い [はつあきない] /(n) first sale of the year/first trade of the year/
初松魚 [はつがつお] /(n) the first bonito of the season/
初乗り [はつのり] /(n) first ride/
初乗り料金 [はつのりりょうきん] /(n) base fare for a bus or train or taxi/
初場所 [はつばしょ] /(n) New Year's (January) sumo tournament, held in Tokyo/(P)/
初審 [しょしん] /(n) first trial/
初心 [うぶ] /(adj-na,n,adj-no) (1) innocent/naive/unsophisticated/inexperienced/green/wet behind the ears/(n-pref) (2) birth-/
初心 [しょしん] /(adj-na,n) original intention/initial resolution/(P)/
初心運転者標識 [しょしんうんてんしゃひょうしき] /(n) sticker for new car drivers (green and yellow)/
初心者 [しょしんしゃ] /(n) beginner/(P)/
初心者マーク [しょしんしゃまーく] /(n) sticker for new car drivers (green and yellow)/
初心忘る可からず [しょしんわするべからず] /(exp) (id) Don't forget your first resolution/
初診 [しょしん] /(n) initial medical examination/
初診料 [しょしんりょう] /(n) fee for an initial medical examination/
初陣 [ういじん] /(n) first campaign/one's first battle/(P)/
初生 [しょせい] /(n,adj-no) firstborn/first-produced/newborn/
初生り [はつなり] /(n) first fruits/
初生児 [しょせいじ] /(n) newborn baby/
初声 [はつこえ] /(n) (obsc) first sound of the year for an animal/first sound of the season/
初節供 [はつぜっく] /(n) baby's first annual festival/
初節句 [はつぜっく] /(n) baby's first annual festival/
初雪 [はつゆき] /(n) first snow (of season)/(P)/
初戦 [しょせん] /(n) first match (in a series)/(P)/
初祖 [しょそ] /(n) (obsc) the first generation of a family/school (of thought) or religious sect/
初霜 [はつしも] /(n) first frost of the year/
初霜月 [はつしもづき] /(n) tenth lunar month/
初速 [しょそく] /(n) (physics) initial velocity/
初孫 [ういまご] /(n) first grandchild/
初孫 [はつまご] /(n) first grandchild/
初体験 [しょたいけん] /(n) (1) first experience (of any activity)/(2) first sexual experience/
初体験 [はつたいけん] /(n) (1) first experience (of any activity)/(2) first sexual experience/
初対面 [しょたいめん] /(n) first meeting/first interview with/(P)/
初代 [しょだい] /(n,adj-no) first generation/founder/(P)/
初誕生 [はつたんじょう] /(n) first birthday/
初段 [しょだん] /(n) lowest grade/first grade/
初値 [はつね] /(n) (1) first quotation for a stock at the first exchange meeting of the New Year/(2) initial share price during a public offering/
初挑戦 [はつちょうせん] /(n) first challenge/first try/(P)/
初潮 [しょちょう] /(n) first menstruation/
初度 [しょど] /(adj-f) first-time/initial/
初度適用 [しょどてきよう] /(n) first-time adoption/initial application (e.g. of a new technology)/
初土俵 [はつどひょう] /(n) first tournament for a sumo wrestler/
初冬 [しょとう] /(n-adv,n) (1) early winter/(2) (obs) tenth month of the lunar calendar/
初冬 [はつふゆ] /(n-adv,n) (1) early winter/(2) (obs) tenth month of the lunar calendar/
初投稿 [はつとうこう] /(n) first (written) contribution/
初東風 [はつこち] /(n) first eastern wind of the year/first eastern wind of the spring/
初湯 [はつゆ] /(n) first bath of the New Year/
初当選 [はつとうせん] /(n,vs) winning one's first election/being elected for the first time/
初等 [しょとう] /(n) elementary/primary/
初等科 [しょとうか] /(n) elementary course/
初等教育 [しょとうきょういく] /(n) elementary education/
初等数学 [しょとうすうがく] /(n) elementary mathematics/
初頭 [しょとう] /(n-adv,n-t) beginning (of a century, etc.)/(P)/
初動捜査 [しょどうそうさ] /(n) initial investigation (by police)/
初凪 [はつなぎ] /(n) first lull of the year/lull on New Year's Day/
初日 [しょにち] /(n-adv,n-t) first or opening day/(P)/
初日 [はつひ] /(n) New Year's Day sunrise/
初日が出る [しょにちがでる] /(exp,v1) to achieve one's first victory after a string of losses (in sumo)/
初日の出 [はつひので] /(exp) first sunrise (of New Year)/
初日を出す [しょにちをだす] /(exp,v5s) to achieve one's first victory after a string of losses (in sumo)/
初乳 [しょにゅう] /(n,adj-no) colostrum/foremilk/first milk a mother breastfeeds with/
初任給 [しょにんきゅう] /(n) initial salary/(P)/
初年 [しょねん] /(n-adv,n-t) first year/early years (of a reign or era)/(P)/
初年度 [しょねんど] /(n) first year/initial (year)/
初年兵 [しょねんへい] /(n) new or raw recruit/
初買い [はつがい] /(n) going shopping on January 2nd/
初売り [はつうり] /(n) first business conducted by retailers in the New Year/(P)/
初発 [しょはつ] /(n,vs) start/first departure/
初鳩 [はつばと] /(n) pigeon seen on the morning of the New Year (e.g. as one is going to the shrine or temple for the New Year prayers)/
初版 [しょはん] /(n) first edition/(P)/
初犯 [しょはん] /(n) first offender/
初犯者 [しょはんしゃ] /(n) first offender/
初飛行 [はつひこう] /(n) maiden flight (e.g. of an aircraft)/
初氷 [はつごおり] /(n) first ice of winter/
初富士 [はつふじ] /(n) gazing at Mount Fuji on New Year's day/
初舞台 [はつぶたい] /(n) debut/initial stage appearance/(P)/
初風 [はつかぜ] /(n) (arch) first wind of the season (esp. the first wind of autumn)/
初風呂 [はつぶろ] /(n) first bath of the New Year/
初物 [はつもの] /(n) first produce of the season/
初篇 [しょへん] /(n) volume one/first volume/
初編 [しょへん] /(n) volume one/first volume/
初歩 [しょほ] /(n,adj-no) basics/rudiments/elements/ABCs of .../(P)/
初歩的 [しょほてき] /(adj-na) elementary/basic/rudimentary/
初穂 [はつお] /(n) (1) first ears of rice or crops or harvest of the season/(2) offering (to the gods)/
初穂 [はつほ] /(n) (1) first ears of rice or crops or harvest of the season/(2) offering (to the gods)/
初盆 [はつぼん] /(n) first obon following the death of a family member/
初巳 [はつみ] /(n) first Serpent day of the year/
初夢 [はつゆめ] /(n) year's first dream/(P)/
初夜 [しょや] /(n) first night/first watch of the night/bridal night/
初役 [はつやく] /(n) first role/
初優勝 [はつゆうしょう] /(n) first championship win (esp. sumo)/
初葉 [しょよう] /(n) beginning of an epoch/initial period/
初恋 [はつこい] /(n) first love/puppy love/(P)/
初老 [しょろう] /(n,adj-no) past middle-aged/aging/ageing/elderly/age 40/(P)/
初穗 [はつお] /(n) (1) first ears of rice or crops or harvest of the season/(2) offering (to the gods)/
初穗 [はつほ] /(n) (1) first ears of rice or crops or harvest of the season/(2) offering (to the gods)/
初鴉 [はつがらす] /(n) crow cawing on New Year's Day/
初鶯 [はつうぐいす] /(oK) (n) first Japanese bush warbler to chirp this year (i.e. spring)/
所 [しょ] /(suf,ctr) counter for places/
所 [とこ] /(n,suf) (1) place/spot/scene/site/(2) address/(3) district/area/locality/(4) one's house/(5) point/(6) part/(7) space/room/(8) (uk) whereupon/as a result/(9) (after present form of a verb) about to/on the verge of/
所 [ところ] /(n,suf) (1) place/spot/scene/site/(2) address/(3) district/area/locality/(4) one's house/(5) point/(6) part/(7) space/room/(8) (uk) whereupon/as a result/(9) (after present form of a verb) about to/on the verge of/(P)/
所々 [しょしょ] /(n-adv,n-t) here and there/some parts (of something)/several places/
所々 [ところどころ] /(n-adv,n-t) here and there/some parts (of something)/several places/(P)/
所々方々 [しょしょほうぼう] /(n) everywhere/
所か [どころか] /(suf) (1) (uk) far from/anything but/not at all/(2) let alone/to say nothing of/not to speak of/much less/
所が [ところが] /(conj) (uk) even so/however/still/whereupon/even though/nevertheless/on the contrary/as a matter of fact/despite/(P)/
所せし [ところせし] /(adv-to) crowded/overflowing/cramped/
所せまし [ところせまし] /(adv-to) crowded/overflowing/cramped/
所で [ところで] /(conj) (1) (uk) by the way/incidentally/(2) even if/no matter (who, what, when, where, why, how)/(P)/
所では [ところでは] /(n) so far as/
所ではない [どころではない] /(suf) (uk) (strongly emphatic) too preoccupied or busy to even think of .../.. is out of the question/this is not an occasion for/
所の事情 [しょのじじょう] /(n) circumstances of the office/
所へ [ところへ] /(exp) (uk) thereupon/shortly thereafter/
所もある [ところもある] /(exp) (uk) some/sometimes/something (about)/
所を替える [ところをかえる] /(exp,v1) to change sides/to change places/
所以 [ゆえん] /(n) reason/way of doing/cause/grounds/
所為 [しょい] /(n) (obsc) act/deed/one's doing/
所為 [せい] /(n) (uk) cause/reason/fault/(P)/
所為か [せいか] /(exp) (uk) it may be because/
所為にする [せいにする] /(exp,vs-i) (uk) to lay the blame on/to put the fault on/
所謂 [いわゆる] /(adj-pn) (uk) what is called/as it is called/the so-called/so to speak/(P)/
所員 [しょいん] /(n) staff member/station employee/official/
所懐 [しょかい] /(n) one's opinion/
所格 [しょかく] /(n,adj-no) (ling) adessive (case)/
所轄 [しょかつ] /(n,vs,adj-no) jurisdiction/(P)/
所感 [しょかん] /(n) impression/feeling/
所管 [しょかん] /(n,vs) jurisdiction/(P)/
所願 [しょがん] /(n) wish/desire/
所期 [しょき] /(n,adj-no,vs) expected/anticipated/hoped for/expectation/
所記 [しょき] /(n,adj-no) (ling) signified/
所議 [しょぎ] /(n) meeting/
所狭い [ところせまい] /(adj-i) crowded/overflowing/cramped/
所狭し [ところせし] /(adv-to) crowded/overflowing/cramped/
所狭し [ところせまし] /(adv-to) crowded/overflowing/cramped/
所業 [しょぎょう] /(n) deed/act/
所嫌わず [ところきらわず] /(exp,adv) anywhere/everywhere/indiscriminate(ly)/no matter where/
所見 [しょけん] /(n) view/opinion/finding/findings/(P)/
所構わず [ところかまわず] /(exp,adv) irrespective of the occasion/indiscriminately/
所行 [しょぎょう] /(n) deed/act/
所載 [しょさい] /(n) printed/published/noted or mentioned (in a publication)/
所在 [しょざい] /(n,vs) whereabouts/(P)/
所在ない [しょざいない] /(adj-i) bored/having nothing to do/idle/
所在なげ [しょざいなげ] /(adj-na) idle/bored/
所在地 [しょざいち] /(n) location/(P)/
所在無い [しょざいない] /(adj-i) bored/having nothing to do/idle/
所在無げ [しょざいなげ] /(adj-na) idle/bored/
所作 [しょさ] /(n) conduct/gesture/
所作事 [しょさごと] /(n) dance (in kabuki)/dance play/
所産 [しょさん] /(n) result/fruit (of)/product (of)/
所思 [しょし] /(n) thoughts/opinions/
所持 [しょじ] /(n,vs) possession/owning/(P)/
所持金 [しょじきん] /(n) money in one's possession/
所持者 [しょじしゃ] /(n) possessor/
所持品 [しょじひん] /(n) things at hand/personal belongings/
所収 [しょしゅう] /(n) included or carried (in a publication)/
所出 [しょしゅつ] /(n) one's birthplace/source/
所所 [しょしょ] /(n-adv,n-t) here and there/some parts (of something)/several places/
所所 [ところどころ] /(n-adv,n-t) here and there/some parts (of something)/several places/
所所方方 [しょしょほうぼう] /(n) everywhere/
所書き [ところがき] /(n) address/
所掌 [しょしょう] /(n,vs) under one's jurisdiction/having jurisdiction/
所信 [しょしん] /(n) belief/conviction/opinion/(P)/
所生 [しょしょう] /(n) (1) (arch) birth parents/birthplace/(2) child/creation/
所生 [しょせい] /(n) (1) (arch) birth parents/birthplace/(2) child/creation/
所説 [しょせつ] /(n) explanation/matter under discussion/contents/one's opinion/
所詮 [しょせん] /(adv) after all/
所相 [しょそう] /(n) (ling) the passive/passive voice/
所蔵 [しょぞう] /(n,vs) (in one's) possession/(P)/
所属 [しょぞく] /(n,vs,adj-no) attached to/belong to/member/(P)/
所属先 [しょぞくさき] /(n) company name (used in forms, where it refers to place of employment)/
所属長 [しょぞくちょう] /(n) superior/supervisor/
所属不明 [しょぞくふめい] /(n) of unknown affiliation/
所存 [しょぞん] /(n) opinion/intention/thought/
所帯 [しょたい] /(n) household/home/family/housekeeping/
所帯じみる [しょたいじみる] /(v1,vi) to be worn out (from domestic life)/
所帯やつれ [しょたいやつれ] /(n) worn haggard by household cares/
所帯を持つ [しょたいをもつ] /(exp,v5t) to keep a house/to run a household/
所帯持ち [しょたいもち] /(n) married man or woman/housekeeping/
所帯主 [しょたいぬし] /(n) head of household/
所帯染みる [しょたいじみる] /(v1,vi) to be worn out (from domestic life)/
所帯道具 [しょたいどうぐ] /(n) household goods/
所長 [しょちょう] /(n) chief/head (of an office, of a laboratory)/(P)/
所定 [しょてい] /(adj-no) fixed/prescribed/certain/given/(P)/
所定期間保存 [しょていきかんほぞん] /(n) (comp) archiving/
所定期間保存ファイル [しょていきかんほぞんファイル] /(n) (comp) archive file/
所定期間保存対象ファイル [しょていきかんほぞんたいしょうファイル] /(n) (comp) archived file/
所定労働時間 [しょていろうどうじかん] /(n) fixed working hours/prescribed working hours/
所得 [しょとく] /(n) income/earnings/(P)/
所得格差 [しょとくかくさ] /(n) income divide/
所得顔 [ところえがお] /(adj-na,n) look of triumph/
所得効果 [しょとくこうか] /(n) income effect/
所得控除 [しょとくこうじょ] /(n) income exemptions and deductions/
所得者 [しょとくしゃ] /(n) income earner/
所得証明書 [しょとくしょうめいしょ] /(n) income certificate/certificate of earnings/
所得水準 [しょとくすいじゅん] /(n) income level/
所得政策 [しょとくせいさく] /(n) incomes policy/
所得税 [しょとくぜい] /(n) income tax/(P)/
所得税法 [しょとくぜいほう] /(n) Income Tax Law/
所得不平等度係数 [しょとくふびょうどうどけいすう] /(n) Gini coefficient/Gini's coefficient/
所得分配 [しょとくぶんぱい] /(n) income distribution/
所内 [しょない] /(n,adj-no) inside/interior/
所番地 [ところばんち] /(n) address/
所払い [ところばらい] /(n) (historical) banishment from one's residence as a form of judicial punishment/
所柄 [ところがら] /(n) character of a particular place/
所変われば品変わる [ところかわればしなかわる] /(exp) (id) So many countries, so many customs/
所望 [しょもう] /(n,vs,adj-no) desire/request/wish/
所有 [しょゆう] /(n,vs) one's possessions/ownership/(P)/
所有格 [しょゆうかく] /(n) (ling) possessive case/
所有権 [しょゆうけん] /(n) ownership/dominion/(P)/
所有財産 [しょゆうざいさん] /(n) holdings/property/
所有者 [しょゆうしゃ] /(n) owner/
所有者識別子 [しょゆうしゃしきべつし] /(n) (comp) owner identifier/
所有地 [しょゆうち] /(n) demesne/belonging/
所有物 [しょゆうぶつ] /(n) property/possession/
所与 [しょよ] /(n,adj-no) fact/given thing/the given .../
所用 [しょよう] /(n,vs) engagement/business/
所要 [しょよう] /(n,adj-no) required/needed/necessary/(P)/
所要時間 [しょようじかん] /(n) the time required/
所要時間を計る [しょようじかんをはかる] /(exp,v5r) to calculate the time required/
所領 [しょりょう] /(n) territory/
所労 [しょろう] /(n) illness/fatigue/
所論 [しょろん] /(n) one's opinion/
暑い [あつい] /(adj-i) hot (weather, etc.)/warm/(P)/
暑い盛り [あついさかり] /(n) heat of the day/hottest part of the day/
暑がり [あつがり] /(n) (person) sensitive to heat/
暑がる [あつがる] /(v5r,vi) to complain of the heat/to feel the heat/
暑さ [あつさ] /(n) heat (of the weather)/hotness/(P)/
暑さ寒さも彼岸まで [あつささむさもひがんまで] /(exp) (id) No heat or cold lasts over the equinox/
暑さ寒さも彼岸迄 [あつささむさもひがんまで] /(exp) (id) No heat or cold lasts over the equinox/
暑さ中り [あつさあたり] /(n) (obsc) suffering from the heat/heatstroke/heat prostration/
暑さ凌ぎ [あつさしのぎ] /(n) relief from the heat/
暑を避ける [しょをさける] /(exp,v1) (obsc) to summer/to go away for the summer/
暑夏 [しょか] /(n) hot summer/
暑気 [しょき] /(n) hot weather/sunstroke/heat stroke/
暑気あたり [しょきあたり] /(n) suffering from the heat/heatstroke/heat prostration/
暑気中り [しょきあたり] /(n) suffering from the heat/heatstroke/heat prostration/
暑気払い [しょきばらい] /(n) avoiding the summer heat/beating the summer heat/
暑苦しい [あつくるしい] /(adj-i) sultry/sweltering/
暑中 [しょちゅう] /(n) mid-summer/(P)/
暑中お見舞 [しょちゅうおみまい] /(n) summer greeting card/inquiry after someone's health in the hot season/
暑中お見舞い [しょちゅうおみまい] /(n) summer greeting card/inquiry after someone's health in the hot season/
暑中お見舞い申し上げます [しょちゅうおみまいもうしあげます] /(exp) (hum) midsummer greetings/to inquiry after someone's health in the hot season/
暑中休暇 [しょちゅうきゅうか] /(n) summer vacation/
暑中見舞 [しょちゅうみまい] /(n) summer greeting card/inquiry after someone's health in the hot season/(P)/
暑中見舞い [しょちゅうみまい] /(n) summer greeting card/inquiry after someone's health in the hot season/(P)/
暑中伺い [しょちゅううかがい] /(n) mid-summer menu/
暑熱 [しょねつ] /(n) heat of summer/
曙 [あけぼの] /(n) dawn/daybreak/beginning/(P)/
曙貴 [あけたか] /(n) (sumo) era during mid-1990s dominated by grand champions Akebono and Takanohana II/
曙貴時代 [あけたかじだい] /(n) (sumo) era during mid-1990s dominated by grand champions Akebono and Takanohana II/
曙光 [しょこう] /(n) dawn/prospects/
曙草 [あけぼのそう] /(n) (uk) Swertia bimaculata (species of felwort)/
曙蝶々魚 [あけぼのちょうちょううお] /(n) (uk) blackback butterflyfish (Chaetodon melannotus, species found in the Indo-Pacific)/
曙蝶蝶魚 [あけぼのちょうちょううお] /(n) (uk) blackback butterflyfish (Chaetodon melannotus, species found in the Indo-Pacific)/
渚 [なぎさ] /(n) water's edge/beach/shore/(P)/
渚伝い [なぎさづたい] /(n) along the shore/
渚畔 [しょはん] /(n) (arch) shore/waterside/
庶幾 [しょき] /(n,vs) desire/hope/
庶幾う [こいねがう] /(v5u,vt) to beg/to request/to beseech/to implore/to entreat/
庶幾わくは [こいねがわくは] /(exp,adv) I pray in earnest that/I beg that/I yearn that/
庶子 [しょし] /(n) illegitimate child/
庶事 [しょじ] /(n) various matters/everything/
庶出 [しょしゅつ] /(n,adj-no) illegitimate birth/
庶政 [しょせい] /(n) political affairs/all phases of government/
庶妹 [ままいも] /(n) (arch) step-sister (younger)/stepsister/
庶民 [しょみん] /(n,adj-no) masses/common people/(P)/
庶民感覚 [しょみんかんかく] /(n) sensibilities (feelings, way of thinking) of the common people/popular sentiment/
庶民金融 [しょみんきんゆう] /(n) loans for low-income people/
庶民劇 [しょみんげき] /(n) drama of ordinary people/
庶民性 [しょみんせい] /(n) commonness/the common touch/
庶民的 [しょみんてき] /(adj-na) popular/folk/plebian/working class/(P)/
庶務 [しょむ] /(n) general affairs/(P)/
庶務課 [しょむか] /(n) general affairs section/
庶流 [しょりゅう] /(n) illegitimate family lineage/
緒 [いとぐち] /(n) thread end/beginning/clue/
緒 [お] /(n) cord/strap/thong/(P)/
緒につく [しょにつく] /(exp,v5k) to be started/to get underway/
緒に就く [しょにつく] /(exp,v5k) to be started/to get underway/
緒を開く [いとぐちをひらく] /(exp,v5k) to find a clue/to make a beginning/
緒言 [しょげん] /(n) foreword/preface/
緒言 [ちょげん] /(n) foreword/preface/
緒作 [しょさく] /(n) various works/
緒戦 [しょせん] /(n) beginning of hostilities/beginning of competition/(P)/
緒戦 [ちょせん] /(n) beginning of hostilities/beginning of competition/
緒締め [おじめ] /(n) string-fastener/drawstring on pouch or purse (handbag)/
緒論 [しょろん] /(n) introduction/preface/
緒論 [ちょろん] /(n) introduction/preface/
署 [しょ] /(n) (abbr) station (esp. a police station)/office (i.e. tax office)/
署員 [しょいん] /(n) staff member/station employee/official/(P)/
署長 [しょちょう] /(n) chief (of police)/head (of office)/(P)/
署名 [しょめい] /(n,vs) signature/(P)/
署名運動 [しょめいうんどう] /(n) signature-collecting campaign/
署名鑑 [しょめいかん] /(n) signature specimen/
署名国 [しょめいこく] /(n) signatory nation/
署名式 [しょめいしき] /(n) signing ceremony (for a law, treaty, etc.)/
署名捺印 [しょめいなついん] /(n) sign and seal/
書 [しょ] /(n,n-suf) (1) document/book/(n) (2) penmanship/handwriting/calligraphy (esp. Chinese)/
書いとく [かいとく] /(exp,v5k) (col) to write down/
書きあげる [かきあげる] /(v1,vt) to write out or down/to finish writing/
書きうつす [かきうつす] /(v5s,vt) to transcribe/
書きおくる [かきおくる] /(v5r,vt) to write (to someone)/
書きかえる [かきかえる] /(v1,vt) to rewrite/to overwrite/to renew/to transfer/
書きかけ [かきかけ] /(adj-no) unfinished/
書きこむ [かきこむ] /(v5m,vt) (1) to fill in (field, entry, etc.)/to fill out (form)/(2) to post a message (e.g. on a bulletin-board)/(3) to store/
書きつける [かきつける] /(v1,vt) to write down/
書きとめる [かきとめる] /(v1,vt) to write down/to leave a note behind/to record/to chronicle/
書きなおす [かきなおす] /(v5s,vt) to write out/to make a fair copy/to rewrite/
書きなぐる [かきなぐる] /(v5r,vt) to scribble (write quickly)/to dash off/
書きにくい [かきにくい] /(adj-i) difficult to write or draw/does not write well (pen, brush, etc.)/
書きまちがい [かきまちがい] /(n) slip of the pen/mistake in writing/misspelling/lapsus calami/
書き違える [かきちがえる] /(v1) to miswrite/
書き延ばす [かきのばす] /(v5s) to make text longer by additional writing/
書き殴る [かきなぐる] /(v5r,vt) to scribble (write quickly)/to dash off/
書き下し文 [かきくだしぶん] /(n) transcription of Chinese classics into Japanese/
書き下す [かきくだす] /(v5s,vt) to write down/
書き下ろし [かきおろし] /(n) writing something on commission/newly written text/
書き下ろす [かきおろす] /(v5s,vt) to write a play, book, filmscript, etc./
書き加える [かきくわえる] /(v1,vt) to add (e.g. a postscript)/
書き改める [かきあらためる] /(v1,vt) to rewrite/to adapt (e.g. a novel)/
書き掛け [かきかけ] /(adj-no) unfinished/
書き割 [かきわり] /(n) portable painting used as part of the backdrop (in kabuki, etc.)/
書き割り [かきわり] /(n) portable painting used as part of the backdrop (in kabuki, etc.)/
書き換え [かきかえ] /(n) (1) rewriting (book)/(2) renewal/(3) transfer of ownership/
書き換える [かきかえる] /(v1,vt) to rewrite/to overwrite/to renew/to transfer/(P)/
書き換え可能 [かきかえかのう] /(n) (comp) rewritable (e.g. magneto-optical CD)/
書き間違い [かきまちがい] /(n) slip of the pen/mistake in writing/misspelling/lapsus calami/
書き間違える [かきまちがえる] /(v1) to write incorrectly (e.g. character)/to make a mistake in writing/
書き記す [かきしるす] /(v5s,vt) to write down/to record/to register/
書き起こし [かきおこし] /(n) opening words or sentence/
書き起こす [かきおこす] /(v5s) to begin (start) writing/
書き起す [かきおこす] /(v5s) to begin (book, letter, etc.) with/
書き捲くる [かきまくる] /(v5r,vt) to dash off/to write freely/
書き捲る [かきまくる] /(v5r,vt) to dash off/to write freely/
書き言葉 [かきことば] /(n) (ling) written word/written language/(P)/
書き誤る [かきあやまる] /(v5r,vt) to miswrite/
書き候 [かきそうろう] /(exp) (have the honor, honour) to write/
書き込み [かきこみ] /(n,vs) (1) writing/(2) entry (e.g. to a form)/(3) posting (e.g. to a blog)/(P)/
書き込み可能 [かきこみかのう] /(adj-na) (comp) writable (e.g. a writable CD-ROM)/
書き込み許可 [かきこみきょか] /(n) (comp) write permission/
書き込み禁止 [かきこみきんし] /(n,adj-no) (comp) read-only/
書き込み保護スイッチ [かきこみほごスイッチ] /(n) (comp) write protection switch/
書き込む [かきこむ] /(v5m,vt) (1) to fill in (field, entry, etc.)/to fill out (form)/(2) to post a message (e.g. on a bulletin-board)/(3) to store/(P)/
書き散らし [かきちらし] /(n) scribblings/scrawlings/
書き散らす [かきちらす] /(v5s,vt) to scribble/to scrawl/
書き残す [かきのこす] /(v5s,vt) to leave a note or document behind/to leave half-written/to leave out/
書き始める [かきはじめる] /(v1) (1) to begin to write/to begin writing/(2) to begin to draw/to begin drawing/to begin painting/
書き止める [かきとめる] /(v1,vt) to write down/to leave a note behind/to record/to chronicle/
書き写す [かきうつす] /(v5s,vt) to transcribe/
書き捨てる [かきすてる] /(v1,vt) to write and throw away/to write carelessly/to begin writing then stop part-way through/
書き取り [かきとり] /(n) (1) writing down from other written material/writing kanji text from hiragana/(2) transcription (of spoken material)/(P)/
書き取る [かきとる] /(v5r,vt) to write down/to take dictation/to take notes/(P)/
書き手 [かきて] /(n) writer/calligrapher/
書き終る [かきおわる] /(v5r) to finish writing/
書き集める [かきあつめる] /(v1,vt) to collect (writings)/
書き出し [かきだし] /(n) (1) beginning/opening sentence or paragraph/(2) written claim/
書き出す [かきだす] /(v5s,vt) to begin to write/to write out/to export (file)/to extract/
書き順 [かきじゅん] /(n) stroke order/
書き初め [かきぞめ] /(n) first calligraphy of the year/(P)/
書き上げる [かきあげる] /(v1,vt) to write out or down/to finish writing/(P)/
書き伸ばす [かきのばす] /(v5s) to make text longer by additional writing/
書き振り [かきぶり] /(n) style or manner of writing/
書き尽くす [かきつくす] /(v5s) to write down or convey in full/
書き尽す [かきつくす] /(v5s) to write down or convey in full/
書き送る [かきおくる] /(v5r,vt) to write (to someone)/
書き足す [かきたす] /(v5s,vt) to add to/to insert/
書き続ける [かきつづける] /(v1,vt) to continue writing/
書き損ない [かきそこない] /(n) slip of the pen/miswriting/mistake in writing/
書き損なう [かきそこなう] /(v5u) to miswrite/
書き替え [かきかえ] /(n) (1) rewriting (book)/(2) renewal/(3) transfer of ownership/
書き替える [かきかえる] /(v1,vt) to rewrite/to overwrite/to renew/to transfer/
書き置き [かきおき] /(n) note (letter) left behind/will/
書き著す [かきあらわす] /(v5s) to publish (a book)/
書き直し [かきなおし] /(n) rewriting/rewrite/fair copy/
書き直す [かきなおす] /(v5s,vt) to write out/to make a fair copy/to rewrite/(P)/
書き綴る [かきつづる] /(v5r) to put into written form/to communicate or express by writing/
書き添える [かきそえる] /(v1,vt) to add/to write a postscript/
書き伝える [かきつたえる] /(v1,vt) to record for transmission to posterity/
書き難い [かきにくい] /(adj-i) difficult to write or draw/does not write well (pen, brush, etc.)/
書き入れ [かきいれ] /(n) entry/(marginal) notes/
書き入れる [かきいれる] /(v1,vt) to write in/
書き入れ時 [かきいれどき] /(n) (1) busy business period/(2) time of greatest profits/
書き抜き [かきぬき] /(n) extract/excerpt/
書き抜く [かきぬく] /(v5k,vt) to extract (e.g. a passage from a book)/to make an excerpt/
書き判 [かきはん] /(n) signature or written seal at the end of a document/
書き飛ばす [かきとばす] /(v5s,vt) to write (dash) off/
書き表す [かきあらわす] /(v5s,vt) (1) to write out/to express/to describe/(2) to publish/
書き表わす [かきあらわす] /(v5s,vt) (1) to write out/to express/to describe/(2) to publish/
書き付ける [かきつける] /(v1,vt) to write down/
書き物 [かきもの] /(n) writing/document/
書き物机 [かきものづくえ] /(n) writing desk/
書き分ける [かきわける] /(v1,vt) (1) to distinguish in writing/to use different writing styles/(2) to draw (identifiably)/
書き並べる [かきならべる] /(v1,vt) to line up points in a speech/
書き変え [かきかえ] /(n) (1) rewriting (book)/(2) renewal/(3) transfer of ownership/
書き方 [かきかた] /(n) (1) way of writing/manner of writing/(2) penmanship (esp. used in old textbooks)/calligraphy/(3) format (e.g. of a report)/(4) stroke order of a character/(P)/
書き味 [かきあじ] /(n) the feel or performance of a pen/
書き役 [かきやく] /(n) clerk/secretary/scribe/copyist/
書き落す [かきおとす] /(v5s,vt) to leave out/to forget to write/
書き落とす [かきおとす] /(v5s) to forget to write something/to leave something out/to omit something/
書き立てる [かきたてる] /(v1,vt) to write (a person) up (in a positive or negative light)/to write something up so that it stands out/to write up in an exaggerated fashion/to detail/to list/
書き流す [かきながす] /(v5s,vt) to write off/
書き留め [かきとめ] /(io) (n,vs,adj-no) (1) (abbr) registered mail/(2) registration (e.g. of mail)/writing down/putting on record/recording/making a note of/
書き留める [かきとどめる] /(v1,vt) to write down/to leave a note behind/to record/to chronicle/
書き留める [かきとめる] /(v1,vt) to write down/to leave a note behind/to record/to chronicle/
書き連ねる [かきつらねる] /(v1,vt) to make a list/to enumerate/
書き漏らす [かきもらす] /(v5s,vt) to leave out/to forget to write/
書く [かく] /(v5k,vt) (1) to write/(2) to draw/(P)/
書の旨い人 [しょのうまいひと] /(n) excellent calligrapher/
書院 [しょいん] /(n) drawing room/study/publishing house/writing alcove/(P)/
書院造 [しょいんづくり] /(n) traditional style of Japanese residential architecture/
書院造り [しょいんづくり] /(n) traditional style of Japanese residential architecture/
書家 [しょか] /(n) calligrapher/individual with good penmanship/(P)/
書架 [しょか] /(n) bookshelf/bookcase/(P)/
書画 [しょが] /(n) paintings and writings (of calligraphy)/
書画骨董 [しょがこっとう] /(n) curios and objets d'art/
書割 [かきわり] /(n) portable painting used as part of the backdrop (in kabuki, etc.)/
書換え [かきかえ] /(n) (1) rewriting (book)/(2) renewal/(3) transfer of ownership/
書換える [かきかえる] /(v1,vt) to rewrite/to overwrite/to renew/to transfer/
書簡 [しょかん] /(n) letter/note/epistle/correspondence/(P)/
書簡集 [しょかんしゅう] /(n) collection of letters/collected letters/
書簡体小説 [しょかんたいしょうせつ] /(n) novel written in epistolary style/
書簡箱 [しょかんばこ] /(n) (comp) electronic mailbox/
書簡文 [しょかんぶん] /(n) epistolary style/
書簡箋 [しょかんせん] /(n) letter paper/
書翰 [しょかん] /(n) letter/note/epistle/correspondence/
書翰箋 [しょかんせん] /(n) letter paper/
書間違い [かきまちがい] /(n) slip of the pen/mistake in writing/misspelling/lapsus calami/
書間違える [かきまちがえる] /(v1) to write incorrectly (e.g. character)/to make a mistake in writing/
書記 [しょき] /(n,vs,adj-no) clerk/secretary/(P)/
書記官 [しょきかん] /(n) secretary/(P)/
書記局 [しょききょく] /(n) secretariat/(P)/
書記言語 [しょきげんご] /(n) written language/literary language/
書記素 [しょきそ] /(n) (ling) grapheme/morpheme/
書記体系 [しょきたいけい] /(n) writing system/
書記長 [しょきちょう] /(n) secretary general/chief secretary/
書記補 [しょきほ] /(n) assistant clerk/
書経 [しょきょう] /(n) the Shujing (Shu Ching) or the Book of History - one of the Five Classics/
書見 [しょけん] /(n,vs) reading/
書見台 [しょけんだい] /(n) bookrest/
書庫 [しょこ] /(n) archive (file)/library/book storage/
書込み [かきこみ] /(n,vs) (1) writing/(2) entry (e.g. to a form)/(3) posting (e.g. to a blog)/
書込みサイクル時間 [かきこみサイクルじかん] /(n) (comp) write cycle time/
書込みヘッド [かきこみヘッド] /(n) (comp) write head/
書込み許可リング [かきこみきょかリング] /(n) (comp) write-enable ring/write ring/file-protection ring/file protect ring/safety ring/
書込み保護ラベル [かきこみほごラベル] /(n) (comp) write protection label/
書斎 [しょさい] /(n) study/library/den/home office/reading room/(P)/
書斎にこもる [しょさいにこもる] /(exp,v5r) to shut oneself up in one's study/
書斎に籠もる [しょさいにこもる] /(exp,v5r) to shut oneself up in one's study/
書斎に籠る [しょさいにこもる] /(exp,v5r) to shut oneself up in one's study/
書冊 [しょさつ] /(n) book/
書札 [しょさつ] /(n) letter/note/document/
書散らし [かきちらし] /(n) scribblings/scrawlings/
書散らす [かきちらす] /(v5s,vt) to scribble/to scrawl/
書誌 [しょし] /(n,adj-no) bibliography/
書誌学 [しょしがく] /(n) (1) bibliography (i.e. the study of books)/(2) bibliology (i.e. the study of books, booklore and bibliography)/(P)/
書誌作成技術 [しょしさくせいぎじゅつ] /(n) (technique of) bibliography/
書誌参照 [しょしさんしょう] /(n) bibliographic reference/
書誌標示 [しょしひょうじ] /(n) bibliographic identification/biblid/
書誌要素 [しょしようそ] /(n) bibliographic element/
書字 [しょじ] /(adj-no) written form/
書式 [しょしき] /(n) blank form/format/
書式オーバレイ [しょしきオーバレイ] /(n) (comp) form overlay/
書式ファイル [しょしきファイル] /(n) (comp) format file/
書式フラッシュ [しょしきフラッシュ] /(n) (comp) form flash/
書式換え [しょしきかえ] /(n) (comp) reformatting/
書式機能 [しょしききのう] /(n) (comp) formator function/
書式検査 [しょしきけんさ] /(n) (comp) format check/
書式制御文字 [しょしきせいぎょもじ] /(n) (comp) format effector/layout character/
書式送り [しょしきおくり] /(n) (comp) form feed/FF/
書式付き形式 [しょしきつきけいしき] /(n) (comp) formatted form/
書式付き処理可能形式 [しょしきつきしょりかのうけいしき] /(n) (comp) (obsc) formatted processable form/
書式付け [しょしきつけ] /(n) (comp) formatting/
書写 [しょしゃ] /(n,vs) transcription/copying/handwriting/
書写す [かきうつす] /(v5s,vt) to transcribe/
書取 [かきとり] /(n) (1) writing down from other written material/writing kanji text from hiragana/(2) transcription (of spoken material)/(P)/
書出し [かきだし] /(n) opening sentence/opening paragraph/initial passage/
書初 [かきぞめ] /(n) first calligraphy of the year/
書初め [かきぞめ] /(n) first calligraphy of the year/
書証 [しょしょう] /(n) documentary evidence/
書状 [しょじょう] /(n) letter/note/
書信 [しょしん] /(n) letter/
書生 [しょせい] /(n) (1) student who performs housework in exchange for meals and-or lodging/(2) houseboy/
書生論 [しょせいろん] /(n) impractical argument/
書聖 [しょせい] /(n) famous or accomplished calligrapher/
書籍 [しょせき] /(n) book/publication/(P)/
書籍館 [しょじゃくかん] /(n) (obs) library/
書籍館 [しょせきかん] /(n) (obs) library/
書籍商 [しょせきしょう] /(n) bookstore/bookshop/
書跡 [しょせき] /(n) writing/penmanship/
書蹟 [しょせき] /(oK) (n) writing/penmanship/
書送る [かきおくる] /(v5r,vt) to write (to someone)/
書損ない [かきそこない] /(n) slip of the pen/miswriting/mistake in writing/
書体 [しょたい] /(n) calligraphic style/calligraphic styles/typeface/(P)/
書替え [かきかえ] /(n) (1) rewriting (book)/(2) renewal/(3) transfer of ownership/
書棚 [しょだな] /(n) bookshelf/
書痴 [しょち] /(n) (derog) book nut/bibliomaniac/bookworm/
書中 [しょちゅう] /(n) contained in a letter/
書店 [しょてん] /(n) bookshop/bookstore/(P)/
書添える [かきそえる] /(v1,vt) to add/to write a postscript/
書道 [しょどう] /(n,adj-no) calligraphy/(P)/
書道家 [しょどうか] /(n) calligrapher/
書道字典 [しょどうじてん] /(n) calligraphy dictionary/
書入れ時 [かきいれどき] /(n) (1) busy business period/(2) time of greatest profits/
書肺 [しょはい] /(n) book lung (arachnid respiratory organ)/
書函 [しょかん] /(n) (1) letterbox/(2) book chest/
書箱 [しょそう] /(n) (obsc) bookcase/
書抜き [かきぬき] /(n) extract/excerpt/
書抜く [かきぬく] /(v5k,vt) to extract (e.g. a passage from a book)/to make an excerpt/
書皮 [しょひ] /(n) book cover/outer wrapper for a book (put on by a bookseller before being handed to a customer)/
書評 [しょひょう] /(n,vs) book review/(P)/
書評見本 [しょひょうみほん] /(n) (comp) press copy/review copy/
書評欄 [しょひょうらん] /(n) book review column/
書付 [かきつけ] /(n) paper/note/document/bill/
書風 [しょふう] /(n) style of handwriting or calligraphy/
書物 [しょもつ] /(n) books/(P)/
書法 [しょほう] /(n,adj-no) penmanship/calligraphy/
書房 [しょぼう] /(n) library/bookstore/bookshop/(P)/
書名 [しょめい] /(n) book title/(P)/
書面 [しょめん] /(n) document/letter/(P)/
書面審理 [しょめんしんり] /(n) documentary examination/
書目 [しょもく] /(n) catalogue of books/catalog of books/
書役 [かきやく] /(n) clerk/secretary/scribe/copyist/
書留 [かきとめ] /(n,vs,adj-no) (1) (abbr) registered mail/(2) registration (e.g. of mail)/writing down/putting on record/recording/making a note of/(P)/
書留め [かきとめ] /(io) (n,vs,adj-no) (1) (abbr) registered mail/(2) registration (e.g. of mail)/writing down/putting on record/recording/making a note of/
書留小包 [かきとめこづつみ] /(n) registered parcel/
書留郵便 [かきとめゆうびん] /(n) registered mail/PD PR/
書留料 [かきとめりょう] /(n) registration fee/
書林 [しょりん] /(n) vast stock of books/bookstore/bookshop/
書類 [しょるい] /(n) documents/official papers/(P)/
書類を見る [しょるいをみる] /(exp,v1) to examine papers/
書類ホルダー [しょるいホルダー] /(n) document holder/
書類仕事 [しょるいしごと] /(n) paperwork/
書類事務 [しょるいじむ] /(n) paperwork/
書類送検 [しょるいそうけん] /(n,vs) sending documents to a prosecutor/filing charges/
書連ねる [かきつらねる] /(v1,vt) to make a list/to enumerate/
書痙 [しょけい] /(n) writer's cramp/
書肆 [しょし] /(n) bookstore/bookshop/
薯 [いも] /(n) (1) tuber/taro/potato/(2) (derog) yokel/bumpkin/
薯蕷 [しょよ] /(n) (uk) Japanese yam (Dioscorea japonica)/
薯蕷 [じょよ] /(n) (uk) Japanese yam (Dioscorea japonica)/
薯蕷 [とろろ] /(n) grated yam/
薯蕷 [やまのいも] /(n) (uk) Japanese yam (Dioscorea japonica)/
藷 [いも] /(n) (1) tuber/taro/potato/(2) (derog) yokel/bumpkin/
藷蕷 [しょよ] /(n) (uk) Japanese yam (Dioscorea japonica)/
藷蕷 [じょよ] /(n) (uk) Japanese yam (Dioscorea japonica)/
諸 [しょ] /(pref) various/many/several/(P)/
諸々 [もろもろ] /(n) all kinds of/various/
諸に [もろに] /(adv) (uk) completely/all the way/altogether/bodily/
諸悪 [しょあく] /(n) every (kind of) evil or crime/
諸家 [しょか] /(n) various families/various schools of thought/
諸外国 [しょがいこく] /(n) foreign countries/
諸学 [しょがく] /(n) various studies/
諸掛かり [しょがかり] /(n) expenses/
諸器械 [しょきかい] /(n) various appliances/
諸共 [もろとも] /(n-adv,n-t) (all) together/
諸君 [しょくん] /(n) Gentlemen!/Ladies!/(P)/
諸兄 [しょけい] /(n) dear friends/(all of) you or those men/
諸経費 [しょけいひ] /(n) sundry expenses/
諸芸 [しょげい] /(n) (artistic) accomplishments/
諸賢 [しょけん] /(n) (all of) you or them/various wise individuals/gentlemen/
諸元 [しょげん] /(n) various factors or elements/
諸元表 [じょげんぴょう] /(n) specification table/specification sheet/
諸侯 [しょこう] /(n) princes/lords/
諸口 [しょくち] /(n) sundries/miscellaneous (objects)/
諸行 [しょぎょう] /(n) (1) (Buddh) all worldly phenomena/meritorious acts leading to enlightenment/(2) (Jodo school) all practices other than recitation of the nembutsu prayer (practises)/
諸行無常 [しょぎょうむじょう] /(n) the impermanence of worldly things/All worldly things are transitory/
諸国 [しょこく] /(n) various countries (often used as suffix)/(P)/
諸国漫遊 [しょこくまんゆう] /(n,vs) tour round the country (Japan) (visiting from province to province)/
諸差し [もろざし] /(iK) (n) deep double underarm grip which prevents the opponent from grabbing the belt (sumo)/
諸姉 [しょし] /(n) you (feminine plural)/you ladies/
諸子 [しょし] /(n) (1) gentlemen/you/(all of) you or them/(2) Hundred Schools of Thought/
諸子 [もろこ] /(n) (1) (uk) gudgeon (any fish of genus Gnathopogon or related genera)/(2) willow gudgeon (Gnathopogon caerulescens)/(3) longtooth grouper (species of fish, Epinephelus bruneus)/
諸子百家 [しょしひゃっか] /(n) Hundred Schools of Thought/general term for the large number of scholars and controversialists, and their respective schools, that flourished during China's Spring and Autumn period and Warring States period/
諸氏 [しょし] /(n) (all of) you or them/
諸事 [しょじ] /(n) various matters/everything/
諸事万端 [しょじばんたん] /(n) everything/all things/
諸式 [しょしき] /(n) various goods/prices/
諸車通行止 [しょしゃつうこうどめ] /(n) Closed to Traffic/No Thoroughfare/
諸手 [もろて] /(n,adj-no) (1) (with) both hands/(2) approvingly/
諸手を挙げて [もろてをあげて] /(exp,adv) unconditionally (approving)/wholeheartedly/
諸種 [しょしゅ] /(n) various kinds/
諸処 [しょしょ] /(n-adv) here and there/everywhere/
諸所 [しょしょ] /(n-adv) here and there/everywhere/
諸諸 [もろもろ] /(n) all kinds of/various/
諸症状 [しょしょうじょう] /(n) (various) symptoms/
諸条件 [しょじょうけん] /(n) terms and conditions/
諸神 [しょしん] /(n) (a multitude of) gods/
諸神 [もろがみ] /(n) (a multitude of) gods/
諸人 [もろびと] /(n) many people/everyone/
諸刃 [もろは] /(adj-no) (1) double-edged/
諸刃の剣 [もろはのつるぎ] /(n) two-edged sword/
諸政 [しょせい] /(n) political affairs/all phases of government/
諸聖人の祝日 [しょせいじんのしゅくじつ] /(n) All Saints Day/
諸説 [しょせつ] /(n) (1) various opinions/various theories/(2) various rumors (rumours)/
諸説紛々 [しょせつふんぷん] /(adj-no,adj-t,adv-to) divergent opinions abound/opinion is divided/there are many rumors afloat/
諸説紛紛 [しょせつふんぷん] /(adj-no,adj-t,adv-to) divergent opinions abound/opinion is divided/there are many rumors afloat/
諸相 [しょそう] /(n) various aspects or phases/
諸尊 [しょそん] /(n) (Buddh) various buddhas, bodhisattvas, deities, etc./
諸天 [しょてん] /(n) (Buddh) various deities/the gods/
諸島 [しょとう] /(n) archipelago/group of islands/
諸道 [しょどう] /(n) (artistic) accomplishments/
諸派 [しょは] /(n) various parties or factions/minor parties/
諸肌 [もろはだ] /(n) both bare shoulders/stripped to the waist/
諸肌を脱ぐ [もろはだをぬぐ] /(exp,v5g) (1) to strip to one's waist/(2) to go at with might and main/
諸肌脱ぎ [もろはだぬぎ] /(n) stripping to one's waist/being bare from the waist up/
諸般 [しょはん] /(n) various/several/
諸蕃 [しょばん] /(n) (1) (derog) foreign lands/(2) clans supposedly descended from foreign lineage (i.e. Chinese or Korean)/
諸彦 [しょげん] /(n) (obsc) many accomplished persons/
諸膝 [もろひざ] /(n) both knees/
諸膚 [もろはだ] /(n) both bare shoulders/stripped to the waist/
諸仏 [しょぶつ] /(n) various buddhas/
諸方 [しょほう] /(n) every direction/
諸法 [しょほう] /(n) (Buddh) all existing things (formed and formless)/
諸味 [もろみ] /(n) (1) main fermenting mash (in production of sake or soy sauce)/unrefined sake or soy sourc/(adj-f) (2) unrefined/rough/
諸問題 [しょもんだい] /(n) many problems/various problems/
諸役御免 [しょやくごめん] /(n) being excused from various levies and taxes during the age of militarist government/
諸訳 [しょわけ] /(n) details/intricacies/
諸力 [しょりょく] /(n) forces/
助 [じょ] /(pref) help/rescue/assistant/
助 [すけ] /(n) assistance/
助かる [たすかる] /(v5r,vi) to be saved/to be rescued/to survive/to be helpful/(P)/
助く [たすく] /(v5k,vt) to help/to save/to rescue/
助け [たすけ] /(n) assistance/(P)/
助けて [たすけて] /(int) help!/
助ける [たすける] /(v1,vt) to help/to save/to rescue/to give relief to/to spare (life)/to reinforce/to promote/to abet/(P)/
助け起こす [たすけおこす] /(v5s) to help up/
助け合い [たすけあい] /(n) cooperation/mutual aid (help)/(P)/
助け合う [たすけあう] /(v5u,vi) to help each other/to cooperate/(P)/
助け守る [たすけまもる] /(v5r) to protect/to preserve/to keep/
助け手 [たすけて] /(n) helper/helpmeet/
助け舟 [たすけぶね] /(n) lifeboat/friend in need/timely help/
助け出す [たすけだす] /(v5s) to help out of (trouble)/to extricate/
助け上げる [たすけあげる] /(v1) to help up/to pick up/to bring safely to land/
助け船 [たすけぶね] /(n) lifeboat/friend in need/timely help/
助け平 [すけべ] /(adj-na,n) lewdness/lewd person/lecher/
助け平 [すけべい] /(adj-na,n) lewdness/lewd person/lecher/
助け平 [すけべえ] /(adj-na,n) lewdness/lewd person/lecher/
助っ人 [すけっと] /(n) (col) helper/supporter/second/backer/(P)/
助演 [じょえん] /(n,vs,adj-no) co-star/(P)/
助演者 [じょえんしゃ] /(n) co-star/
助監督 [じょかんとく] /(n) assistant director (in taking professional movies)/
助教 [じょきょう] /(n) assistant teacher/
助教授 [じょきょうじゅ] /(n) assistant professor/(P)/
助教諭 [じょきょうゆ] /(n) assistant or associate professor/
助業 [じょごう] /(n) (Buddh) auxiliary actions (in Jodo: recitation, observation, worship, praise & offering)/
助言 [じょげん] /(n,vs,adj-no) advice/suggestion/(P)/
助言 [じょごん] /(n,vs,adj-no) advice/suggestion/
助言を仰ぐ [じょげんをあおぐ] /(exp,v5g) to ask for advice/
助言者 [じょげんしゃ] /(n) adviser/advisor/counsellor/counselor/
助言者 [じょごんしゃ] /(n) adviser/advisor/counsellor/counselor/
助攻 [じょこう] /(n) supporting attack/
助酵素 [じょこうそ] /(n) coenzyme/
助祭 [じょさい] /(n,adj-no) deacon (Catholic)/
助産 [じょさん] /(n) midwifery/
助産院 [じょさんいん] /(n) maternity hospital/
助産師 [じょさんし] /(n) midwife/
助産所 [じょさんじょ] /(n) maternity home/
助産婦 [じょさんぷ] /(n) midwife/(P)/
助詞 [じょし] /(n) (ling) particle/postposition/(P)/
助辞 [じょじ] /(n) (ling) particle/auxiliary word/
助手 [じょしゅ] /(n) helper/helpmeet/assistant/tutor/(P)/
助手 [すけて] /(n) helper/helpmeet/assistant/tutor/
助手席 [じょしゅせき] /(n) passenger seat/assistant driver's seat/
助宗鱈 [すけそうだら] /(n) (uk) walleye pollack/Alaska pollack (Theragra chalcogramma)/
助数詞 [じょすうし] /(n) (ling) counters for various categories/counter suffix/
助勢 [じょせい] /(n,vs) encouragement/backing/reinforcements/
助勢 [すけぜい] /(n,vs) encouragement/backing/reinforcements/
助成 [じょせい] /(n,vs) assisting/assistance/fostering/aiding/(P)/
助成金 [じょせいきん] /(n) subsidy/grant-in-aid/
助惣鱈 [すけそうだら] /(n) (uk) walleye pollack/Alaska pollack (Theragra chalcogramma)/
助走 [じょそう] /(n,vs) approach run (long jump)/
助太刀 [すけだち] /(n,vs) assistance (in a fight)/seconds (in a fight)/
助長 [じょちょう] /(n,vs) promotion/fostering/
助動詞 [じょどうし] /(n) (ling) auxiliary verb/
助番 [すけばん] /(n) leader of a female gang/leader of a group of delinquent girls/
助平 [すけべ] /(adj-na,n) lewdness/lewd person/lecher/
助平 [すけべい] /(adj-na,n) lewdness/lewd person/lecher/
助平 [すけべえ] /(adj-na,n) lewdness/lewd person/lecher/
助平根性 [すけべいこんじょう] /(n) lechery/lewdness/greed/
助命 [じょめい] /(n) sparing a life/clemency/reconsidering a dismissal/
助役 [じょやく] /(n) assistant official/(P)/
助力 [じょりょく] /(n,vs) assistance/support/(P)/
助六 [すけろく] /(n) "inari" and "maki" (roll) style sushi/
叙す [じょす] /(v5s,vt) (1) to relate/to narrate/to describe/(2) to confer (a rank)/
叙する [じょする] /(vs-s,vt) (1) to relate/to narrate/to describe/(2) to confer (a rank)/
叙位 [じょい] /(n) investiture/
叙位叙勲 [じょいじょくん] /(n) conferment of Court ranks and decorations/
叙勲 [じょくん] /(n) conferring of decorations/(P)/
叙景 [じょけい] /(n) scenery/description/
叙賜 [じょし] /(n,vs) distributing ranks, rewards and pensions/
叙事 [じょじ] /(n) narration/description/
叙事詩 [じょじし] /(n) descriptive poetry/epic poem/(P)/
叙事的 [じょじてき] /(n) epic (e.g. poem)/descriptive/narrative/
叙事文 [じょじぶん] /(n) narration/description/
叙爵 [じょしゃく] /(n) conferring a peerage/
叙述 [じょじゅつ] /(n,vs,adj-no) description/(P)/
叙述形容詞 [じょじゅつけいようし] /(n) (ling) predicate adjective/predicative adjective/
叙述名詞 [じょじゅつめいし] /(n) (ling) predicate noun/
叙述名詞形 [じょじゅつめいしけい] /(n) (ling) predicate nominal/
叙述用法 [じょじゅつようほう] /(n) (ling) predicative (use)/descriptive (use)/
叙情 [じょじょう] /(n,adj-no) lyricism/description or expression of one's feelings/(P)/
叙情詩 [じょじょうし] /(n) lyric poetry/lyric poem/ode/
叙説 [じょせつ] /(n,vs) explanation/interpretation/
叙任 [じょにん] /(n,vs) investiture/
叙文 [じょぶん] /(n) preface/introduction/
叙法 [じょほう] /(adj-no) modal/
叙法性 [じょほうせい] /(n) modality/
女 [おんな] /(n) woman/(P)/
女 [じょ] /(n,n-suf) (1) woman/girl/daughter/(2) Chinese "Girl" constellation (one of the 28 mansions)/
女々しい [めめしい] /(adj-i) effeminate/
女ことば [おんなことば] /(n) women's language/word used by women/
女だてらに [おんなだてらに] /(adv) unlike a woman/unwomanly/woman that she is/
女っぽい [おんなっぽい] /(adj-i) womanly/feminine/womanish/effeminate/
女っ気 [おんなっけ] /(n) female presence/
女っ振り [おんなっぷり] /(n) woman's looks or charm/
女づれ [おんなづれ] /(n) accompanied by a woman/accompanied by women/
女と戯れる [おんなとたわむれる] /(exp,v1) to flirt with a woman/
女どうし [おんなどうし] /(exp) female bonding/bosom buddies/between women/
女に狂う [おんなにくるう] /(exp,v5u) to run mad after a girl/
女に不自由 [おんなにふじゆう] /(n) a guy who never gets the women/nerd/
女のコ [おんなのコ] /(n) girl/(P)/
女の一念岩をも通す [おんなのいちねんいわをもとおす] /(exp) (id) Women will have their wills/
女の姿になる [おんなのすがたになる] /(exp,v5r) to disguise oneself as a woman/
女の子 [おんなのこ] /(n) girl/(P)/
女の子奴 [めのこやつこ] /(n) (1) (arch) female slave/
女の児 [おんなのこ] /(n) girl/
女の手 [おんなのて] /(exp,n) (1) feminine handwriting/(2) woman's hand/
女の人 [おんなのひと] /(n) woman/
女の性 [おんなのさが] /(n) the ways of women/
女の童 [めのわらべ] /(n) (arch) girl/
女の童 [めのわらわ] /(n) (arch) girl/
女の髪の毛には大象もつながる [おんなのかみのけにはたいぞうもつながる] /(exp) (id) No man can resist the lure of a woman/
女の髪の毛には大象も繋がる [おんなのかみのけにはたいぞうもつながる] /(exp) (id) No man can resist the lure of a woman/
女の味を知る [おんなのあじをしる] /(exp,v5r) to have carnal knowledge (of a woman)/
女は弱し然れど母は強し [おんなはよわしされどはははつよし] /(exp) (id) A mother is stronger than any other creature/
女ひでり [おんなひでり] /(n) woman shortage/
女やもめ [おんなやもめ] /(n) widow/
女らしい [おんならしい] /(adj-i) womanly/ladylike/feminine/(P)/
女を犯す [おんなをおかす] /(exp,v5s) to rape a woman/to rape a girl/
女医 [じょい] /(n) woman doctor/(P)/
女一般 [おんないっぱん] /(n) (col) women in general/
女院 [にょいん] /(n) (hon) woman bestowed with the title "in" (usu. the empress, imperial princesses, etc.)/
女院 [にょういん] /(n) (hon) woman bestowed with the title "in" (usu. the empress, imperial princesses, etc.)/
女陰 [じょいん] /(n) female genitals/vagina/
女運 [おんなうん] /(n) luck with women/
女王 [じょおう] /(n,adj-no) queen/(P)/
女王らしい [じょおうらしい] /(adj-i) queen-like/
女王蟻 [じょおうあり] /(n) queen ant/
女王陛下 [じょおうへいか] /(exp) Her Majesty the Queen/
女王蜂 [じょおうばち] /(n) queen bee/
女寡 [おんなやもめ] /(n) widow/
女寡婦 [おんなやもめ] /(n) widow/
女歌舞伎 [おんなかぶき] /(n) girls' kabuki/
女学院 [じょがくいん] /(n) girls college (used esp. in the names of Christian schools)/
女学校 [じょがっこう] /(n) girl's school/(P)/
女学生 [じょがくせい] /(n) schoolgirl/
女楽 [おんながく] /(n) (1) music performed by women/
女楽 [じょがく] /(n) (1) music performed by women/(2) women who performed court Bugaku music and dance/
女官 [じょかん] /(n) court lady/
女官 [にょうかん] /(n) court lady/
女官 [にょかん] /(n) court lady/
女顔 [おんながお] /(n) feminine features/having a girl's face (for a man)/girly face/
女気 [おんなぎ] /(n) (arch) feminine spirit/graceful and kind nature/
女気 [おんなけ] /(n) female presence/
女気 [おんなっけ] /(n) female presence/
女給 [じょきゅう] /(n) waitress/hostess/
女教皇 [おんなきょうこう] /(n) High Priestess (Tarot card)/Popess/
女教皇 [じょきょうこう] /(n) High Priestess (Tarot card)/Popess/
女教師 [おんなきょうし] /(n) female teacher/
女教師 [じょきょうし] /(n) female teacher/
女狂い [おんなぐるい] /(n) girl crazy/
女君 [めぎみ] /(n) (1) someone else's daughter/(2) (hon) one's wife/
女形 [おやま] /(gikun) (n) male actor in female Kabuki roles/(P)/
女形 [おんながた] /(n) male actor in female Kabuki roles/
女系 [じょけい] /(n) female line/matrilinear/
女系 [にょけい] /(n) female line/matrilinear/
女系天皇 [じょけいてんのう] /(n) matrilineal emperor of Japan/emperor (either male or female) whose mother is (was) a member of the Imperial family but whose father is (was) not/
女芸者 [おんなげいしゃ] /(n) female entertainer/geisha/
女傑 [じょけつ] /(n) brave woman/heroine/lady of character/Amazon/
女嫌い [おんなぎらい] /(n) misogyny/
女権 [じょけん] /(n) women's rights/
女権運動 [じょけんうんどう] /(n) women's rights movement/
女権拡張 [じょけんかくちょう] /(n) extension of women's rights/
女権拡張論者 [じょけんかくちょうろんしゃ] /(n) feminist/
女権論者 [じょけんろんしゃ] /(n) a feminist/
女言葉 [おんなことば] /(n) women's language/word used by women/
女袴 [おんなばかま] /(n) (arch) hakama for women (esp. hakama worn by female students and teachers in the Meiji period)/
女御 [にょうご] /(n) court lady/
女御 [にょご] /(n) court lady/
女御子 [おんなみこ] /(n) (arch) imperial princess/royal princess/
女護が島 [にょごがしま] /(n) isle of women/women-only location/
女好き [おんなずき] /(n) fondness for women/woman admirer/lustful man/spoony/
女工 [じょこう] /(n) (sens) female factory worker/
女工哀史 [じょこうあいし] /(n) sad (tragic, pathetic) story (history) of factory girls in pre-WWII Japan/
女皇 [じょこう] /(n) empress/queen/
女祭司 [おんなさいし] /(n) priestess/
女祭司 [じょさいし] /(n) priestess/
女坂 [おんなざか] /(n) the easier of two slopes/
女殺し [おんなごろし] /(n) (1) lady-killer (i.e. a man who is popular with women)/knocking a woman dead (with sex appeal)/(2) murderer of women/(3) murder of women/
女三人寄れば姦し [おんなさんにんよればかしまし] /(exp) (id) (obsc) Three women make a market/
女三人寄れば姦しい [おんなさんにんよればかしましい] /(exp) wherever women gather it is noisy/
女司祭 [おんなしさい] /(n) priestess/
女史 [じょし] /(n) (1) Ms (nuance of status)/Miss/Madame/(adj-f) (2) highbrow (woman)/cerebral/(P)/
女子 [おなご] /(n,adj-no) woman/girl/
女子 [おみなご] /(ok) (n,adj-no) woman/girl/
女子 [じょし] /(n,adj-no) woman/girl/(P)/
女子 [めこ] /(n) (1) (uk) (arch) (sl) vagina/(2) (uk) girl/
女子アナ [じょしアナ] /(n) (abbr) female TV announcer/
女子飲み [じょしのみ] /(n) girls-only drinking party/
女子会 [じょしかい] /(n) girls-only gathering/
女子学生 [じょしがくせい] /(n) female student/
女子割礼 [じょしかつれい] /(n) female genital cutting/female genital mutilation/female circumcision/
女子供 [おんなこども] /(n) women and children/
女子校 [じょしこう] /(n) girls' school/
女子高 [じょしこう] /(n) girls' high school/
女子高校 [じょしこうこう] /(n) girls' high school/
女子高生 [じょしこうせい] /(n) female high-school student/
女子高等学校 [じょしこうとうがっこう] /(n) girls' high school/
女子専用 [じょしせんよう] /(adj-no) for the use of women only/
女子大 [じょしだい] /(n) (abbr) women's college/women's university/(P)/
女子大学 [じょしだいがく] /(n) women's college/
女子大生 [じょしだいせい] /(n) female college student/
女子短期大学 [じょしたんきだいがく] /(n) women's junior college/
女子短大 [じょしたんだい] /(n) women's junior college/
女子竹 [おなごだけ] /(n) (uk) (obsc) Simon bamboo (Pleioblastus simonii)/
女子挺身隊 [じょしていしんたい] /(n) women's volunteer corps (groups of young female workers organized on Japanese territory during WWII, sometimes mistakenly associated with comfort women)/
女子部 [じょしぶ] /(n) girls' or women's division or section/
女子用 [じょしよう] /(n,adj-no) for women/
女子寮 [じょしりょう] /(n) women's dormitory/
女児 [じょじ] /(n) baby girl/primary schoolgirl/(P)/
女持 [おんなもち] /(io) (n) for women/women's article/
女持ち [おんなもち] /(n) for women/women's article/
女自身 [おんなじしん] /(n) herself/
女主 [おんなあるじ] /(n) female owner/proprietress/landlady/
女主人 [おんなしゅじん] /(n) mistress (of the house)/hostess/landlady/proprietress/
女手 [おんなで] /(n) (1) female labor/female labour/(2) hiragana/womans handwriting/(3) woman in a family/
女囚 [じょしゅう] /(n) female prisoner/
女宿 [うるきぼし] /(n) Chinese "Girl" constellation (one of the 28 mansions)/
女所帯 [おんなじょたい] /(n) female household/household consisting wholly of women/
女女しい [めめしい] /(adj-i) effeminate/
女将 [おかみ] /(n) mistress/landlady/hostess/proprietress/
女将 [じょしょう] /(n) mistress/landlady/hostess/proprietress/
女丈夫 [じょじょうふ] /(n) brave woman/
女丈夫 [じょじょうぶ] /(n) brave woman/
女色 [じょしき] /(n) woman's beauty or charms/love affair with a woman/lust for women/
女色 [じょしょく] /(n) woman's beauty or charms/love affair with a woman/lust for women/
女色 [にょしょく] /(n) woman's beauty or charms/love affair with a woman/lust for women/
女心 [おんなごころ] /(n) woman's heart/female instincts or psychology/
女心と秋の空 [おんなごころとあきのそら] /(exp) a woman's heart and autumn weather (are both fickle)/
女振り [おんなぶり] /(n) woman-like/feminine/
女神 [じょしん] /(n) goddess/
女神 [めがみ] /(n) goddess/(P)/
女神子 [おんなみこ] /(n) medium/sorceress/
女親 [おんなおや] /(n) female parent/
女人 [にょにん] /(n) women/
女人禁制 [にょにんきんせい] /(exp) prohibited to women (usu. for religious reasons)/no women admitted/
女人禁制 [にょにんきんぜい] /(exp) prohibited to women (usu. for religious reasons)/no women admitted/
女人結界 [にょにんけっかい] /(n) prohibition against women entering a sacred area/
女垂らし [おんなたらし] /(n) guy who knows how to play the ladies/skillful playboy/lady-killer/philanderer/Don Juan/
女雛 [めびな] /(n) Empress doll (in display with Emperor doll)/
女世帯 [おんなじょたい] /(n) female household/household consisting wholly of women/
女性 [じょせい] /(n,adj-no) (1) woman/female/(2) (ling) feminine gender/(P)/
女性の解放 [じょせいのかいほう] /(exp) (1) women's liberation/(2) The Subjection of Women (book by JS Mill)/
女性ホルモン [じょせいホルモン] /(n) female hormone/
女性一般 [じょせいいっぱん] /(n) women in general/
女性運動 [じょせいうんどう] /(n) women's movement/
女性運動家 [じょせいうんどうか] /(n) women's movement activist/feminist activist/
女性化 [じょせいか] /(n,vs) feminization/feminisation/
女性解放運動 [じょせいかいほううんどう] /(n) women's liberation movement/
女性解放運動家 [じょせいかいほううんどうか] /(n) women's liberationist/
女性解放論 [じょせいかいほうろん] /(n) feminism/
女性学 [じょせいがく] /(n) women's studies/
女性観 [じょせいかん] /(n) one's view (opinion) of women/
女性器 [じょせいき] /(n) female genitalia/
女性器切除 [じょせいきせつじょ] /(n) female genital cutting/female genital mutilation/female circumcision/
女性恐怖症 [じょせいきょうふしょう] /(n) gynophobia/
女性軍 [じょせいぐん] /(n) womens team/
女性警察官 [じょせいけいさつかん] /(n) policewoman/
女性嫌悪 [じょせいけんお] /(n) misogyny/
女性語 [じょせいご] /(n) women's language/
女性候補 [じょせいこうほ] /(n) female candidate/
女性差別 [じょせいさべつ] /(n) discrimination against women/sexism/
女性祭司 [じょせいさいし] /(n) (obsc) priestess/
女性参政権 [じょせいさんせいけん] /(n) women's suffrage/
女性上位 [じょせいじょうい] /(n,adj-no) female dominance/female supremacy/
女性性器切除 [じょせいせいきせつじょ] /(n) female genital cutting/female genital mutilation/female circumcision/
女性専用車両 [じょせいせんようしゃりょう] /(n) women-only carriage (e.g. on a train)/
女性像 [じょせいぞう] /(n) female image/
女性団体 [じょせいだんたい] /(n) women's organization/women's group/women's movement/
女性的 [じょせいてき] /(adj-na) feminine/effeminate/(P)/
女性天皇 [じょせいてんのう] /(n) female emperor of Japan (historical or postulated)/
女性徒 [じょせいと] /(iK) (n) girl student/schoolgirl/
女性同性愛者 [じょせいどうせいあいしゃ] /(n) lesbian/
女性美 [じょせいび] /(n) feminine beauty/
女性不信 [じょせいふしん] /(n) distrust of women/
女性蔑視 [じょせいべっし] /(n) discrimination against women/female discrimination/
女性遍歴 [じょせいへんれき] /(n) one's history of love affairs with women/
女性名詞 [じょせいめいし] /(n) (ling) feminine noun/
女性優位論者 [じょせいゆういろんしゃ] /(n,adj-no) female chauvunist/
女性用 [じょせいよう] /(n) for use by women/
女生 [じょせい] /(n) schoolgirl/
女生徒 [じょせいと] /(n) girl student/schoolgirl/
女盛り [おんなざかり] /(n) peak of womanhood/
女声 [じょせい] /(n) female voice/
女声合唱 [じょせいがっしょう] /(n) female chorus/
女相撲 [おんなずもう] /(n) female sumo wrestling/female sumo wrestler/
女装 [じょそう] /(n,vs) female clothing/wearing female clothing/
女尊 [じょそん] /(n) respect for women/
女尊男卑 [じょそんだんぴ] /(n) placing women above men/
女体 [じょたい] /(n) woman's body/
女体 [にょたい] /(n) woman's body/
女体盛り [にょたいもり] /(n) practice of eating sushi or sashimi off an unclad woman's body/
女帯 [おんなおび] /(n) women's kimono sash/
女滝 [めだき] /(n) the smaller waterfall (of the two)/
女達 [おんなたち] /(n) women/womenfolks/
女男性寮 [めおせいりょう] /(n) co-ed dormitory/mixed student accommodation/
女地主 [おんなじぬし] /(n) landlady/
女竹 [めだけ] /(n) (uk) Simon bamboo (Pleioblastus simonii)/
女中 [じょちゅう] /(n) (obs) (sens) maid/female servant/(P)/
女中奉公 [じょちゅうぼうこう] /(n) (obs) domestic service/working as a housemaid/domestic help/domestic helper/
女帝 [じょてい] /(n) empress/
女店員 [じょてんいん] /(n) saleswoman/shopgirl/
女湯 [おんなゆ] /(n) women's bath/
女同士 [おんなどうし] /(exp) female bonding/bosom buddies/between women/
女道楽 [おんなどうらく] /(n) womanizing/debauchery/philandering/
女難 [じょなん] /(n) trouble with women/
女難の相 [じょなんのそう] /(n) a 'seeming' of ill fortune concerning women/
女日芝 [めひしば] /(n) (uk) southern crabgrass (Digitaria ciliaris)/
女波 [めなみ] /(n) the smaller waves/
女髪結 [おんなかみゆい] /(n) female hairdresser/coiffeuse/
女髪結い [おんなかみゆい] /(n) female hairdresser/coiffeuse/
女犯 [にょぼん] /(n) sin of having sexual relations with a woman (for a Buddhist priest)/
女部屋 [おんなべや] /(n) (1) room for female servants/(2) room where there are women/(3) jail for women/
女腹 [おんなばら] /(n) woman who has produced only daughters/
女物 [おんなもの] /(n) women's goods/
女文字 [おんなもじ] /(n) woman's handwriting/hiragana/
女癖 [おんなぐせ] /(n) philandering/
女偏 [おんなへん] /(n) kanji "woman" radical at left/
女便所 [おんなべんじょ] /(n) women's toilet/
女弁士 [おんなべんし] /(n) female narrator in a silent movie theatre/
女方 [おんながた] /(n) male actor in female Kabuki roles/
女房 [にょうぼう] /(n) (1) wife/(2) court lady/female court attache/woman who served at the imperial palace/(P)/
女房と畳は新しいほうがいい [にょうぼうとたたみはあたらしいほうがいい] /(exp) wives and tatami are best when they're new/
女房と畳は新しい方がいい [にょうぼうとたたみはあたらしいほうがいい] /(exp) wives and tatami are best when they're new/
女房と畳は新しい方がよい [にょうぼうとたたみはあたらしいほうがよい] /(exp) wives and tatami are best when they're new/
女房と畳は新しい方が良い [にょうぼうとたたみはあたらしいほうがいい] /(exp) wives and tatami are best when they're new/
女房と畳は新しい方が良い [にょうぼうとたたみはあたらしいほうがよい] /(exp) wives and tatami are best when they're new/
女房孝行 [にょうぼうこうこう] /(n,adj-no) being devoted to one's wife/uxorious/
女房詞 [にょうぼうことば] /(n) secret language of court ladies/
女房持ち [にょうぼうもち] /(n) married man/
女房装束 [にょうぼうしょうぞく] /(n) (arch) costume for women serving in the inner palace (Heian period)/
女房天下 [にょうぼうてんか] /(n) husband being henpecked/house where the wife is the boss/petticoat government/
女房役 [にょうぼうやく] /(n) assistant/right-hand man/
女婿 [じょせい] /(n) one's son-in-law/
女冥利 [おんなみょうり] /(n) joy of being born a woman/
女優 [じょゆう] /(n,adj-no) actress/(P)/
女友達 [おんなともだち] /(n) girlfriend/woman (lady) friend/
女遊び [おんなあそび] /(n) womanizing/
女流 [じょりゅう] /(n) woman writer/(P)/
女流作家 [じょりゅうさっか] /(n) woman writer/lady writer/authoress/
女流文学者 [じょりゅうぶんがくしゃ] /(n) lady of letters/
女連れ [おんなづれ] /(n) accompanied by a woman/accompanied by women/
女牢 [おんなろう] /(n) jail for women (Edo period)/
女郎 [じょろう] /(n) prostitute/entertainment woman/
女郎屋 [じょろうや] /(n) brothel/
女郎花 [おみなえし] /(n) (uk) golden lace (Patrinia scabiosifolia)/scabious patrinia/yellow patrinia/
女郎花月 [おみなえしづき] /(n) (obsc) seventh lunar month/
女郎蜘蛛 [じょろうぐも] /(n) (1) (uk) Nephila clavata (an Oriental species of golden orb-weaving spider)/(2) Argiope amoena (an Oriental species of orb-weaving spider)/(3) wasp spider (Argiope bruennichi)/
女郎買 [じょろうかい] /(n) buying the services of a prostitute/whoring/
女郎買 [じょろかい] /(n) buying the services of a prostitute/whoring/
女郎買い [じょろうかい] /(n) buying the services of a prostitute/whoring/
女郎買い [じょろかい] /(n) buying the services of a prostitute/whoring/
女墻 [ひめがき] /(n) low fence/
女巫 [おんなみこ] /(n) medium/sorceress/
女旱 [おんなひでり] /(n) woman shortage/
女旱り [おんなひでり] /(n) woman shortage/
女衒 [ぜげん] /(n) (arch) someone who makes their living selling women into prostitution/pimp/procurer/
女誑し [おんなたらし] /(n) guy who knows how to play the ladies/skillful playboy/lady-killer/philanderer/Don Juan/
女辯士 [おんなべんし] /(n) female narrator in a silent movie theatre/
女鯒 [めごち] /(n) (uk) big-eyed flathead (Suggrundus meerdervoortii)/
序 [じょ] /(n) (1) order/ordering/(2) beginning/start/(3) foreword/preface/introduction/(4) (in gagaku or noh) opening of a song/
序 [ついで] /(n) (uk) opportunity/occasion/(P)/
序で [ついで] /(n) (uk) opportunity/occasion/(P)/
序でが有る [ついでがある] /(exp) to have occasion to do/
序でながら [ついでながら] /(n) (uk) incidentally/taking the opportunity/while (you) are at it/on the occasion/
序でに [ついでに] /(adv) (uk) incidentally/taking the opportunity/while (you) are at it/on the occasion/(P)/
序ながら [ついでながら] /(n) (uk) incidentally/taking the opportunity/while (you) are at it/on the occasion/
序に [ついでに] /(adv) (uk) incidentally/taking the opportunity/while (you) are at it/on the occasion/
序の口 [じょのくち] /(exp,n) (1) this is only the beginning (the real work having yet to begin)/(2) lowest division in sumo/
序の口格 [じょのくちかく] /(n) referee officiating the lowest sumo division/
序開き [じょびらき] /(n,vs) beginnings/origins/
序曲 [じょきょく] /(n) overture/prelude/(P)/
序言 [じょげん] /(n,adj-no) foreword/preface/introduction/
序詞 [じょことば] /(n) (1) prefatory modifying statement (of a waka, etc.)/
序詞 [じょし] /(n) (1) foreword/preface/introduction/(2) prefatory modifying statement (of a waka, etc.)/
序歯 [じょし] /(n) (arch) arranging seats by seniority/
序次 [じょじ] /(n) order/sequence/
序章 [じょしょう] /(n) prologue/preface/
序数 [じょすう] /(n,adj-no) an ordinal number/
序説 [じょせつ] /(n) introduction/(P)/
序奏 [じょそう] /(n) (musical) introduction/
序二段 [じょにだん] /(n) jonidan (second lowest) division/
序二段格 [じょにだんかく] /(n) referee officiating the second lowest sumo division/
序破急 [じょはきゅう] /(n) artistic modulations in traditional Japanese performances/opening, middle and climax (end)/
序盤 [じょばん] /(n) the opening(s) (e.g. in a game of go or chess)/(P)/
序盤戦 [じょばんせん] /(n) early stages (of a game)/opening phase/
序文 [じょぶん] /(n,adj-no) preface/foreword/introduction/(P)/
序幕 [じょまく] /(n,adj-no) curtain-raiser/prologue/(P)/
序列 [じょれつ] /(n,vs) rank/ranking order/hierarchy/(P)/
序論 [じょろん] /(n) introduction/preface/
徐々 [じょじょ] /(adv,adv-to,adj-no) (1) gradually/steadily/quietly/slowly/little by little/(adv) (2) soon/(P)/
徐に [おもむろに] /(adv) slowly/gently/
徐ろに [おもむろに] /(adv) slowly/gently/
徐行 [じょこう] /(n,vs) going slowly/(P)/
徐行戦術 [じょこうせんじゅつ] /(n) go-slow tactics (of Japanese railway workers)/
徐徐 [じょじょ] /(adv,adv-to,adj-no) (1) gradually/steadily/quietly/slowly/little by little/(adv) (2) soon/
徐歩 [じょほ] /(n,vs) walking slowly/
徐脈 [じょみゃく] /(n,adj-no) bradycardia/
恕する [じょする] /(vs-s) to forgive/to pardon/to excuse/
鋤 [すき] /(n) (1) spade/(2) plough/plow/
鋤き起こす [すきおこす] /(v5s,vt) to turn over soil/to dig or plow up (plough)/
鋤き起す [すきおこす] /(v5s,vt) to turn over soil/to dig or plow up (plough)/
鋤き返す [すきかえす] /(v5s,vt) to plow (up)/to plough (up)/
鋤く [すく] /(v5k,vt) to plough/to plow/to hoe/to till/
鋤起こす [すきおこす] /(io) (v5s,vt) to turn over soil/to dig or plow up (plough)/
鋤起す [すきおこす] /(io) (v5s,vt) to turn over soil/to dig or plow up (plough)/
鋤鍬 [すきくわ] /(n) farming implement/
鋤鍬 [すきとくわ] /(n) farming implement/
鋤骨 [じょこつ] /(n,adj-no) vomer (a bone of the skull)/
鋤焼 [すきやき] /(n) (food) thin slices of beef, cooked with various vegetables in a table-top cast-iron pan/sukiyaki/
鋤焼き [すきやき] /(n) (food) thin slices of beef, cooked with various vegetables in a table-top cast-iron pan/sukiyaki/
鋤足蛙 [すきあしがえる] /(n) (uk) spadefoot toad (Pelobatidae spp.)/
鋤鼻器 [じょびき] /(n) vomeronasal organ/
鋤返す [すきかえす] /(io) (v5s,vt) to plow (up)/to plough (up)/
鋤簾 [じょれん] /(n) (long-handled) bamboo winnow used to sift earth or sand/
除々 [じょじょ] /(iK) (adv,adv-to,adj-no) (1) gradually/steadily/quietly/slowly/little by little/(adv) (2) soon/
除いて [のぞいて] /(exp) except/save/(P)/
除く [のぞく] /(v5k,vt) to remove/to exclude/to except/(P)/
除け [よけ] /(n-suf) (uk) protection/
除ける [のける] /(v1,vt) to remove/to take away/to dislodge/to put something out of the way/
除ける [よける] /(v1,vt) (1) to avoid (physical contact with)/(v1) (2) to ward off/to avert/
除け者 [のけもの] /(n) outcast/odd man out/pariah/
除け者にする [のけものにする] /(exp,vs-i) to shun somebody/to send a person to Coventry/to ignore someone/
除する [じょする] /(vs-s) (1) to divide (by)/(2) to remove/to exclude/
除外 [じょがい] /(n,vs) exception/exclusion/(P)/
除外例 [じょがいれい] /(n) exception/
除核 [じょかく] /(n,vs) enucleate/
除感作 [じょかんさ] /(n) (obsc) (immunological) desensitization/
除却 [じょきゃく] /(n,vs) exclusion/elimination/
除去 [じょきょ] /(n,vs) removal/getting rid of/(P)/
除菌 [じょきん] /(n,vs) bacteria elimination/(P)/
除光液 [じょこうえき] /(n) nail polish remover/
除号 [じょごう] /(n) mathematical division sign/
除細動 [じょさいどう] /(n) defibrillation/
除細動器 [じょさいどうき] /(n) defibrillator/
除細動機 [じょさいどうき] /(iK) (n) defibrillator/
除算 [じょざん] /(n,vs) division (arith)/
除算演算子 [じょざんえんざんし] /(n) (comp) division operator/
除湿 [じょしつ] /(n,vs) dehumidification/
除湿器 [じょしつき] /(n) a dehumidifier/
除湿機 [じょしつき] /(n) dehumidifier/dehumidification machine/
除除 [じょじょ] /(iK) (adv,adv-to,adj-no) (1) gradually/steadily/quietly/slowly/little by little/(adv) (2) soon/
除塵 [じょじん] /(n) dust removal/dust supression/
除塵機 [じょじんき] /(n) dust collector/dust extractor/
除水 [じょすい] /(n) removing water/draining/bailing/
除数 [じょすう] /(n) divisor/
除斥 [じょせき] /(n,vs) (legal) exclusion/
除斥期間 [じょせききかん] /(n) (time limit imposed by the) statute of limitations/
除籍 [じょせき] /(n,vs) (1) removing a name/(2) expelling (e.g. from school)/decommissioning/(P)/
除雪 [じょせつ] /(n,vs) snow removal/
除雪機 [じょせつき] /(n) snowblower/
除雪作業 [じょせつさぎょう] /(n) snow removal operation/
除雪車 [じょせつしゃ] /(n) snow-plow/snow-plough/
除染 [じょせん] /(n,vs) decontamination (e.g. from chemical or radioactive contamination)/
除草 [じょそう] /(n,vs) weeding/(P)/
除草器 [じょそうき] /(n) weeder/
除草剤 [じょそうざい] /(n) herbicide/
除草剤耐性 [じょそうざいたいせい] /(n,n-pref) herbicide resistance/herbicide resistant/
除霜 [じょそう] /(n,vs) defrosting/
除隊 [じょたい] /(n,vs) military discharge/
除虫菊 [じょちゅうぎく] /(n) pyrethrum/
除電針 [じょでんばり] /(n) static charge eliminator/
除脳 [じょのう] /(n,vs) decerebration/
除服 [じょふく] /(n,vs) coming out of mourning/
除法 [じょほう] /(n,adj-no) division/
除幕 [じょまく] /(n,vs) unveiling (ceremony)/
除幕式 [じょまくしき] /(n) unveiling ceremony/
除名 [じょめい] /(n,vs) expulsion/excommunication/(P)/
除目 [じもく] /(n) ceremony for appointing officials other than ministers (from the Heian period)/
除夜 [じょや] /(n) New Year's Eve/
除夜の鐘 [じょやのかね] /(n) temple bell rung 108 times on New Year's Eve/
除霊 [じょれい] /(n) exorcism/
傷 [きず] /(n) (1) wound/injury/cut/gash/bruise/scratch/scrape/scar/(2) chip/crack/scratch/nick/(3) flaw/defect/weakness/weak point/(4) stain (on one's reputation)/disgrace/dishonor/dishonour/(5) (emotional) hurt/hurt feelings/(P)/
傷々しい [いたいたしい] /(adj-i) pitiful/pathetic/
傷つきにくい [きずつきにくい] /(adj-i) scratch-resistant/
傷つきやすい [きずつきやすい] /(adj-i) fragile/brittle/delicate/sensitive/
傷つき安い [きずつきやすい] /(adj-i) fragile/brittle/delicate/sensitive/
傷つき難い [きずつきにくい] /(adj-i) scratch-resistant/
傷つく [きずつく] /(v5k) (1) to be wounded/to get injured/(2) to get hurt feelings/(3) to chip/to scratch/to damage/(P)/
傷つける [きずつける] /(v1,vt) (1) to wound/to injure/(2) to hurt someone's feelings (pride, etc.)/(3) to damage/to chip/to scratch/
傷ましい [いたましい] /(adj-i) pitiful/heartbreaking/tragical/
傷み [いたみ] /(n) grief/distress/damage/bruise/
傷む [いたむ] /(v5m,vi) to be damaged/to go bad/(P)/
傷める [いためる] /(v1,vt) to damage/to impair/to spoil/(P)/
傷もの [きずもの] /(n,adj-no) (1) defective article/damaged goods/(2) deflowered girl/unvirtuous girl/
傷を負う [きずをおう] /(exp,v5u) to be injured/to sustain a wound/
傷を縫う [きずをぬう] /(exp,v5u) to stitch up a wound/
傷んだトマト [いたんだトマト] /(n) rotten tomatoes/
傷んだ家 [いたんだいえ] /(n) damaged house/
傷音 [きずおん] /(n) flaw noise/
傷害 [しょうがい] /(n,vs,adj-no) (1) wound/injury/accident/casualty/(2) assault/(P)/
傷害罪 [しょうがいざい] /(n) (crime of) inflicting bodily injury/
傷害事件 [しょうがいじけん] /(n) incident resulting in injury/
傷害致死 [しょうがいちし] /(n) manslaughter/bodily injury resulting in death/
傷害保険 [しょうがいほけん] /(n) accident insurance/
傷口 [きずぐち] /(n) wound/(P)/
傷口を縫う [きずぐちをぬう] /(exp,v5u) to suture a wound/to sew up a wound/
傷痕 [きずあと] /(n) scar/cicatrix/
傷痕 [しょうこん] /(n) scar/cicatrix/
傷者 [しょうしゃ] /(n) wounded person/casualty/injured person/(P)/
傷傷しい [いたいたしい] /(adj-i) pitiful/pathetic/
傷心 [しょうしん] /(n,adj-no) heartbreak/grief/
傷跡 [きずあと] /(n) scar/cicatrix/(P)/
傷創 [しょうそう] /(n) wound/injury/
傷嘆 [しょうたん] /(n) crying in pain/
傷歎 [しょうたん] /(n) crying in pain/
傷病 [しょうびょう] /(n) injuries and sickness/
傷病手当 [しょうびょうてあて] /(n) accident and sickness benefits/disability allowance/
傷病兵 [しょうびょうへい] /(n) sick and wounded soldiers/
傷病捕虜 [しょうびょうほりょ] /(n) sick and wounded prisoners/
傷付きにくい [きずつきにくい] /(adj-i) scratch-resistant/
傷付きやすい [きずつきやすい] /(adj-i) fragile/brittle/delicate/sensitive/
傷付き安い [きずつきやすい] /(adj-i) fragile/brittle/delicate/sensitive/
傷付き難い [きずつきにくい] /(adj-i) scratch-resistant/
傷付く [きずつく] /(v5k) (1) to be wounded/to get injured/(2) to get hurt feelings/(3) to chip/to scratch/to damage/
傷付ける [きずつける] /(v1,vt) (1) to wound/to injure/(2) to hurt someone's feelings (pride, etc.)/(3) to damage/to chip/to scratch/(P)/
傷物 [きずもの] /(n,adj-no) (1) defective article/damaged goods/(2) deflowered girl/unvirtuous girl/
傷兵 [しょうへい] /(n) wounded soldier/
傷薬 [きずぐすり] /(n) salve/ointment/potion/
傷咎め [きずとがめ] /(n) inflamed wound/
傷悴 [しょうすい] /(n) great grief/
傷忰 [しょうすい] /(n) great grief/
傷痍 [しょうい] /(n) wound/injury/
傷痍軍人 [しょういぐんじん] /(n) wounded soldier/disabled veteran/
償い [つぐない] /(n) recompense/indemnity/atonement/(P)/
償う [つぐなう] /(v5u,vt) to make up for/to recompense/to redeem (one's faults)/to compensate for/to indemnify/to atone for/(P)/
償還 [しょうかん] /(n,vs) repayment/redemption/amortization/amortisation/(P)/
償還義務者 [しょうかんぎむしゃ] /(n) guarantor (of a payment)/
償却 [しょうきゃく] /(n,vs,adj-no) (1) repayment/redemption/(2) depreciation/(3) amortization/amortisation/(P)/
償金 [しょうきん] /(n) reparation/redemption/
償金を懸ける [しょうきんをかける] /(iK) (exp,v1) to offer a prize/
勝 [しょう] /(n) (1) win/victory/(2) beautiful scenery/scenic spot/(suf,ctr) (3) counter for wins/
勝たれぬ [かたれぬ] /(adj-f) unable to win/
勝ち [かち] /(n) win/victory/(P)/
勝ち [がち] /(suf) (uk) apt to do/liable to do/tend to do (used to describe a negative tendency)/
勝ちっ放し [かちっぱなし] /(n) winning straight victories/making a clean score/
勝ちっ放す [かちっぱなす] /(v5s) to win consecutive/to have a long winning streak/
勝ちとる [かちとる] /(v5r,vt) to exert oneself and win/to gain (victory)/
勝ち越し [かちこし] /(n) more wins than losses (sport)/(P)/
勝ち越す [かちこす] /(v5s,vi) to have more wins than losses/to lead (someone) by (three) matches/(P)/
勝ち気 [かちき] /(adj-na,n) determined or unyielding spirit/
勝ち栗 [かちぐり] /(n) dried chestnut/
勝ち誇る [かちほこる] /(v5r,vi) to triumph/to be elated with success/
勝ち残り [かちのこり] /(n) winning sumo wrestler who remains ringside in case his involvement is needed in pre-bout rituals/
勝ち残る [かちのこる] /(v5r,vi) to win and advance to the next round/
勝ち取る [かちとる] /(v5r,vt) to exert oneself and win/to gain (victory)/
勝ち上がる [かちあがる] /(v5r) to win through (e.g. to finals)/to advance/
勝ち進む [かちすすむ] /(v5m,vi) to win and advance to the next round/
勝ち星 [かちぼし] /(n) (mark indicating) a win/(P)/
勝ち戦 [かちいくさ] /(n) victory/
勝ち組 [かちぐみ] /(n) winners (those who have succeeded socially, economically, etc.)/
勝ち組み [かちぐみ] /(n) winners (those who have succeeded socially, economically, etc.)/
勝ち通す [かちとおす] /(v5s) to win straight victories/
勝ち投手 [かちとうしゅ] /(n) winning pitcher/
勝ち逃げ [かちにげ] /(n) quitting while one is ahead/
勝ち得 [かちどく] /(n) win of a low-ranked sumo wrestler in the extra eighth bout in the tournament/
勝ち得る [かちえる] /(v1,vt) to achieve/to win/to gain/to attain/
勝ち馬 [かちうま] /(n) winning horse/winner/
勝ち抜き戦 [かちぬきせん] /(n) tournament/knockout competition/
勝ち抜く [かちぬく] /(v5k,vi) to win through/
勝ち負け [かちまけ] /(n) victory or defeat/(P)/
勝ち放す [かちはなす] /(v5s,vi) to win continuously/
勝ち味 [かちみ] /(n) sign of victory/
勝ち名乗り [かちなのり] /(n) (in sumo) being declared the winner of a bout/
勝ち目 [かちめ] /(n) chance (of success)/odds/
勝ち目はない [かちめはない] /(exp) to have no chance (of succeeding)/
勝ち目は無い [かちめはない] /(exp) to have no chance (of succeeding)/
勝ち鬨 [かちどき] /(n) shout or cry of victory/
勝って兜の緒を締めよ [かってかぶとのおをしめよ] /(exp) (obs) You must keep up your guard even after a victory/
勝つ [かつ] /(v5t,vi) to win/to gain victory/(P)/
勝てば官軍負ければ賊軍 [かてばかんぐんまければぞくぐん] /(exp) (id) Losers are always in the wrong/
勝る [まさる] /(v5r,vi) (1) to excel/to surpass/to exceed/to have an edge/to be superior/to outrival/(2) to outweigh/to preponderate/(P)/
勝れた業績 [すぐれたぎょうせき] /(n) outstanding achievement/
勝れる [すぐれる] /(v1,vi) to surpass/to outstrip/to excel/
勝れ物 [すぐれもの] /(n) exceptional item/extraordinary product/
勝因 [しょういん] /(n) cause of victory/(P)/
勝概 [しょうがい] /(n) beautiful scenery/splendid landscape/magnificent view/
勝楽 [しょうらく] /(n) Cakrasamvara/Samvara/Supreme Bliss (tantric Buddhist deity)/
勝機 [しょうき] /(n) chance of winning/way to prevail/
勝気 [かちき] /(adj-na,n) determined or unyielding spirit/
勝栗 [かちぐり] /(n) dried chestnut/
勝景 [しょうけい] /(n) scenic view/
勝継 [かちつぎ] /(n) (obsc) winning game after game/
勝差 [しょうさ] /(n) difference in wins (in number of games won)/
勝山 [かつやま] /(n) woman's hairstyle (Edo period) (made popular by a Yoshiwara prostitute called Katsuyama)/
勝算 [しょうさん] /(n) prospects of victory/chances of success/
勝者 [しょうしゃ] /(n) winner/victor/(P)/
勝手 [かって] /(adj-na,n) (1) one's own convenience/one's way/(2) convenience or ease of use/knowledge of how to use/(3) circumstances/situation (e.g. financial)/environment/(4) kitchen/(5) arbitrary/(P)/
勝手ながら [かってながら] /(exp,pref) (1) to allow oneself to .../to take the liberty of .../(exp) (2) it is presumed that/(I, we) presume that/(3) on one's own accord/by one's arbitrary decision/
勝手に [かってに] /(adv) arbitrarily/of its own accord/involuntarily/wilfully/willfully/as one pleases/
勝手にしろ [かってにしろ] /(exp) Have it your way/To hell with you!/Get rooted!/Bugger you!/
勝手気まま [かってきまま] /(n,adj-na) self-willed/(doing or saying things) to suit one's own convenience/oblivious to the convenience of others/(P)/
勝手気儘 [かってきまま] /(n,adj-na) self-willed/(doing or saying things) to suit one's own convenience/oblivious to the convenience of others/
勝手元 [かってもと] /(n) in and about a kitchen/family circumstances/
勝手口 [かってぐち] /(n) kitchen door/back door/
勝手向き [かってむき] /(n) in and about a kitchen/family circumstances/
勝手次第 [かってしだい] /(adj-na,n) acting according to one's inclinations/
勝手放題 [かってほうだい] /(n,adj-na,adj-no) at one's sweet will/doing whatever one pleases/however one pleases/
勝勢 [しょうせい] /(n) (favorable) odds/
勝絶 [しょうせつ] /(n) (1) (arch) (in Japan) 4th note of the ancient chromatic scale (approx. F)/(n,vs) (2) excellence (of scenery, etc.)/
勝絶 [しょうぜつ] /(n) (1) (arch) (in Japan) 4th note of the ancient chromatic scale (approx. F)/(n,vs) (2) excellence (of scenery, etc.)/
勝訴 [しょうそ] /(n,vs) winning a lawsuit/(P)/
勝地 [しょうち] /(n) beauty spot/scenic spot/
勝着 [しょうちゃく] /(n) winning move (in a go game)/
勝投手 [かちとうしゅ] /(n) winning pitcher/
勝得る [かちえる] /(v1,vt) to achieve/to win/to gain/to attain/
勝馬 [かちうま] /(n) winning horse/winner/
勝敗 [しょうはい] /(n) victory or defeat/issue (of battle)/outcome/(P)/
勝敗の鍵を握る [しょうはいのかぎをにぎる] /(exp,v5r) to have the game in one's hands/to hold the key to victory/
勝敗の数 [しょうはいのすう] /(n) issue of the battle/
勝負 [しょうぶ] /(n,vs) victory or defeat/match/contest/game/bout/(P)/
勝負は時の運 [しょうぶはときのうん] /(exp) victory depends on the luck of the day (i.e. it isn't always the strongest who wins)/
勝負パンツ [しょうぶパンツ] /(n) (sl) "lucky" underwear (esp. panties), set aside for special dates/
勝負下着 [しょうぶしたぎ] /(n) (sl) "lucky" underwear (esp. panties), set aside for special dates/
勝負師 [しょうぶし] /(n) gambler/
勝負事 [しょうぶごと] /(n) gambling/competition/game (of chance)/
勝負審判 [しょうぶしんぱん] /(n) ringside sumo judge/
勝負審判交替 [しょうぶしんぱんこうたい] /(n) change of sumo judges/
勝負俵 [しょうぶだわら] /(n) bales forming the edge of the sumo ring/
勝負服 [しょうぶふく] /(n) (1) jockey's racing uniform/(2) (sl) one's best clothes (esp. for women), normally put aside for important meetings, dates, etc./
勝報 [しょうほう] /(n) news of a victory/
勝利 [しょうり] /(n,vs) victory/triumph/conquest/success/win/(P)/
勝利を収める [しょうりをおさめる] /(exp,v1) to gain a victory/to win/
勝利者 [しょうりしゃ] /(n) winner/victor/conqueror/
勝利投手 [しょうりとうしゅ] /(n) winning pitcher/
勝利又勝利 [しょうりまたしょうり] /(n) victory after victory/
勝率 [しょうりつ] /(n) winning percentage/(P)/
匠 [しょう] /(n,adj-na) (1) workman/artisan/mechanic/carpenter/(2) craft/skill/(3) means/idea/
匠 [たくみ] /(n,adj-na) (1) workman/artisan/mechanic/carpenter/(2) craft/skill/(3) means/idea/(P)/
匠気 [しょうき] /(n) affectation/desire to be impressive/
升 [しょう] /(n) sho (unit of volume, approx. 1.8 litres)/
升 [ます] /(n) (1) measuring container/measure/(2) box (seating at a theatre, etc.)/(3) square on a grid/cell of a grid/(P)/
升割 [ますわり] /(n) (uk) break and run out in billiards (9 ball, 8 ball, etc.)./
升形 [ますがた] /(n) (1) square (shape)/(2) (in a castle) rectangular space between the inner and outer gates (where troops can gather)/
升酒 [ますざけ] /(n) alcohol (esp. sake) served in a small wooden box/alcohol (esp. sake) sold in a small wooden box/
升席 [ますせき] /(n) tatami "box seat" for four people at sumo, kabuki, etc./
升遷 [しょうせん] /(n) rising up/
升組 [ますぐみ] /(n) square framing (in a house, temple, screen, etc.)/
升組み [ますぐみ] /(n) square framing (in a house, temple, screen, etc.)/
升売り [ますうり] /(n) selling something by the boxful (in a wooden masu box)/
升目 [ますめ] /(n) (1) measure/(2) square (e.g. of graph paper or Japanese manuscript paper)/(3) box (e.g. on a form)/
召される [めされる] /(v1,vt) (1) (hon) to do/(2) to eat/to drink/(3) to put on/to wear/(4) to buy/(5) to ride/(6) to catch (a cold)/to take (a bath)/to tickle (one's fancy)/to put on (years)/to commit (seppuku)/(suf,v1) (7) (arch) (hon) honorific suffix used after the -masu stem of a verb/
召し [めし] /(n) summons/call/
召し換え [めしかえ] /(n) change of clothes/
召し寄せる [めしよせる] /(v1,vt) to call (someone) to you/to call together/to call to come/
召し使い [めしつかい] /(n) servant/menial/
召し使う [めしつかう] /(v5u,vt) to employ/to hire (a servant)/
召し取る [めしとる] /(v5r,vt) (1) to arrest/to apprehend/(2) (arch) to call/to summon/
召し集める [めしあつめる] /(v1) to call together/
召し出す [めしだす] /(v5s,vt) to call out/to summon/
召し上がり物 [めしあがりもの] /(n) food/
召し上がる [めしあがる] /(v5r,vt) (hon) to eat/(P)/
召し上げる [めしあげる] /(v1,vt) (1) to forfeit/to confiscate/(2) to call out/to summon/
召し上る [めしあがる] /(v5r,vt) (hon) to eat/
召し替え [めしかえ] /(n) change of clothes/
召し入れる [めしいれる] /(v1,vt) to call in/
召し物 [めしもの] /(n) (pol) clothing/
召し捕る [めしとる] /(v5r,vt) (1) to arrest/to apprehend/
召し抱え [めしかかえ] /(n) mercenary troops/
召し抱える [めしかかえる] /(v1,vt) to employ/to engage/
召し連れる [めしつれる] /(v1,vt) to bring along/to accompany/
召す [めす] /(v5s,vt) (1) (hon) to call/to invite/to send for/to summon/(2) to eat/to drink/(3) to put on/to wear/(4) to ride/(5) to catch (a cold)/to take (a bath)/to tickle (one's fancy)/to put on (years)/to commit (seppuku)/(6) to do/(7) (arch) honorific suffix used after the -masu stem of a verb/(P)/
召ずる [しょうずる] /(vz,vt) to summon/to invite/to call/to have as one's guest/
召喚 [しょうかん] /(n,vs,adj-no) summons/(P)/
召喚状 [しょうかんじょう] /(n) call/summons/subpoena/
召喚令状 [しょうかんれいじょう] /(n) summons for directions (legal UK)/
召還 [しょうかん] /(n,vs) recall/calling someone back/summons (home)/
召使 [めしつかい] /(n) servant/menial/
召使い [めしつかい] /(n) servant/menial/
召使う [めしつかう] /(v5u,vt) to employ/to hire (a servant)/
召取る [めしとる] /(v5r,vt) (1) to arrest/to apprehend/(2) (arch) to call/to summon/
召集 [しょうしゅう] /(n,vs) convening/calling together (e.g. parliament)/(P)/
召集者 [しょうしゅうしゃ] /(n) convenor/
召集令 [しょうしゅうれい] /(n) mustering-out order/callup/
召集令状 [しょうしゅうれいじょう] /(n) draft papers/callup notice/
召上がる [めしあがる] /(v5r,vt) (hon) to eat/
召上げる [めしあげる] /(v1,vt) (1) to forfeit/to confiscate/(2) to call out/to summon/
召状 [しょうじょう] /(n) letter of invitation/
召人 [めしうど] /(n) prisoner/
召人 [めしゅうど] /(n) prisoner/
召請 [しょうせい] /(n,vs) calling together/invitation/
召致 [しょうち] /(n,vs) calling together/
召天 [しょうてん] /(n,vs) death (of a Christian)/
召捕る [めしとる] /(v5r,vt) (1) to arrest/to apprehend/
召募 [しょうぼ] /(n,vs) levy/enlistment/
召命 [しょうめい] /(n) call/divine call/
哨戒 [しょうかい] /(n,vs) patrolling (esp. using ships or aircraft)/
哨戒艦艇 [しょうかいかんてい] /(n) military patrol boat/
哨戒機 [しょうかいき] /(n) patrol plane/
哨戒艇 [しょうかいてい] /(n) patrol boat/
哨舎 [しょうしゃ] /(n) sentry box/
哨兵 [しょうへい] /(n) sentry/
哨吶 [さない] /(n) suona (Chinese shawm)/
哨吶 [チャルメラ] /(n) shawm-like instrument played by street vendors (sometimes called a flute) (por: charamela)/
哨吶 [チャルメル] /(n) shawm-like instrument played by street vendors (sometimes called a flute) (por: charamela)/
哨吶草 [チャルメルそう] /(n) Mitella stylosa (species of miterwort)/
商 [しょう] /(n,n-suf) (1) (math) quotient/(2) dealing/dealer/store/(3) second degree (of the Japanese & Chinese pentatonic scale)/(4) Shang (dynasty of China)/(P)/
商い [あきない] /(n) trade/business/trading/dealing/(P)/
商いは牛のよだれ [あきないはうしのよだれ] /(exp) (obsc) one should not rush to make a profit/business is best run when sales flow like a cow's drool: long and thin/
商いは牛の涎 [あきないはうしのよだれ] /(exp) (obsc) one should not rush to make a profit/business is best run when sales flow like a cow's drool: long and thin/
商う [あきなう] /(v5u,vt) (1) to sell/(2) to handle/to trade in/
商域 [しょういき] /(n) market/business field/
商運 [しょううん] /(n) fortunes of business/
商家 [しょうか] /(n) mercantile house/store/merchant/
商科 [しょうか] /(n) commerce (field of study)/department of commerce (at a university)/
商科大学 [しょうかだいがく] /(n) commercial college/
商会 [しょうかい] /(n) firm/company/(P)/
商学 [しょうがく] /(n) commercial science/(P)/
商学士 [しょうがくし] /(n) Bachelor of Commercial Science/
商学博士 [しょうがくはくし] /(n) Doctor of Commercial Science/
商学部 [しょうがくぶ] /(n) business school (in a university)/faculty of commerce/
商慣習 [しょうかんしゅう] /(n) commercial practice/commercial practise/
商慣習法 [しょうかんしゅうほう] /(n) commercial customary law/commercial custom law/
商環 [しょうかん] /(n) (math) quotient ring/
商館 [しょうかん] /(n) firm/trading company/
商機 [しょうき] /(n) business opportunity/
商議 [しょうぎ] /(n,vs) conference/consultation/
商議員 [しょうぎいん] /(n) counselor/counsellor/trustee/
商況 [しょうきょう] /(n) business conditions/
商業 [しょうぎょう] /(n,adj-no) commerce/trade/business/(P)/
商業ビル [しょうぎょうビル] /(n) commercial building/
商業ベース [しょうぎょうベース] /(n) commercial basis/
商業化 [しょうぎょうか] /(n,vs) commercialization/commercialisation/
商業界 [しょうぎょうかい] /(n) commercial world/
商業街 [しょうぎょうがい] /(n) shopping street/
商業学 [しょうぎょうがく] /(n) commercial science/
商業学校 [しょうぎょうがっこう] /(n) commercial school/
商業銀行 [しょうぎょうぎんこう] /(n) commercial bank/
商業港 [しょうぎょうこう] /(n) commercial port/
商業高等学校 [しょうぎょうこうとうがっこう] /(n) commercial high school/
商業国 [しょうぎょうこく] /(n) mercantile nation/
商業算術 [しょうぎょうさんじゅつ] /(n) commercial arithmetic/
商業史 [しょうぎょうし] /(n) history of commerce/
商業資本 [しょうぎょうしほん] /(n) trading capital/
商業主義 [しょうぎょうしゅぎ] /(n) commercialism/
商業手形 [しょうぎょうてがた] /(n) commercial bill/commercial paper/CP/
商業信用状 [しょうぎょうしんようじょう] /(n) commercial letter of credit/
商業数学 [しょうぎょうすうがく] /(n) (math) commercial mathematics/
商業生産 [しょうぎょうせいさん] /(n) commercial production/
商業組合 [しょうぎょうくみあい] /(n) guild/trade association/
商業地 [しょうぎょうち] /(n) business district/
商業地区 [しょうぎょうちく] /(n,adj-no) commercial district/
商業登記 [しょうぎょうとうき] /(n) commercial registration/
商業都市 [しょうぎょうとし] /(n) commercial city/
商業道徳 [しょうぎょうどうとく] /(n) business morality/
商業美術 [しょうぎょうびじゅつ] /(n) commercial art/
商業文 [しょうぎょうぶん] /(n) commercial correspondence/
商業放送 [しょうぎょうほうそう] /(n) commercial broadcast/
商業目的 [しょうぎょうもくてき] /(adj-na) (for) commercial purpose/business goal/
商経 [しょうけい] /(n) commerce and economics/
商圏 [しょうけん] /(n) business region/
商権 [しょうけん] /(n) commercial supremacy/commercial rights/
商工 [しょうこう] /(n) commerce and industry/(P)/
商工会議所 [しょうこうかいぎしょ] /(n) Chamber of Commerce and Industry/(P)/
商工業 [しょうこうぎょう] /(n) commerce and industry/
商工業者 [しょうこうぎょうしゃ] /(n) commercial and industrial men/
商港 [しょうこう] /(n) commercial port/
商行為 [しょうこうい] /(n) commercial transaction/
商号 [しょうごう] /(n) firm name/trade name/
商魂 [しょうこん] /(n) commercial spirit/(P)/
商才 [しょうさい] /(n) business ability/
商材 [しょうざい] /(n) (abbr) product/commodity/merchandise/
商策 [しょうさく] /(n) business policy/
商事 [しょうじ] /(n) commercial affairs/(P)/
商事会社 [しょうじがいしゃ] /(n) commercial company/
商社 [しょうしゃ] /(n) trading company/firm/(P)/
商取引 [しょうとりひき] /(n) business transaction/
商状 [しょうじょう] /(n) market conditions/
商人 [あきうど] /(n,adj-no) trader/shopkeeper/merchant/
商人 [あきびと] /(n,adj-no) trader/shopkeeper/merchant/
商人 [あきゅうど] /(n,adj-no) trader/shopkeeper/merchant/
商人 [あきんど] /(n,adj-no) trader/shopkeeper/merchant/
商人 [しょうにん] /(n,adj-no) trader/shopkeeper/merchant/(P)/
商人街 [しょうにんまち] /(n) business street/
商人気質 [あきんどかたぎ] /(n) mercantile mind-set/mercenary spirit/being intent on making a profit/
商人気質 [しょうにんかたぎ] /(n) mercantile mind-set/mercenary spirit/being intent on making a profit/
商人根性 [しょうにんこんじょう] /(n) mercenary spirit/commercial motives/a nose for profit/moneygrubbing disposition/
商戦 [しょうせん] /(n) sales war/(P)/
商船 [しょうせん] /(n) merchant ship/
商船学校 [しょうせんがっこう] /(n) merchant-marine school/
商船旗 [しょうせんき] /(n) merchant flag/
商船隊 [しょうせんたい] /(n) merchant fleet/
商船大学 [しょうせんだいがく] /(n) mercantile marine college/
商大 [しょうだい] /(n) commercial college/
商談 [しょうだん] /(n,vs) business discussion/negotiation/(P)/
商談成立 [しょうだんせいりつ] /(n) conclusion (completion) of negotiations/
商店 [しょうてん] /(n) shop/small store/business/firm/(P)/
商店街 [しょうてんがい] /(n) shopping district/shopping street/downtown/
商店主 [しょうてんしゅ] /(n) storekeeper/proprietor of a shop/
商売 [しょうばい] /(n,vs) trade/business/commerce/transaction/occupation/(P)/
商売がたき [しょうばいがたき] /(n) business rival/professional jealousy/
商売の株 [しょうばいのかぶ] /(n) goodwill of a business/
商売往来 [しょうばいおうらい] /(n) business handbook (with glossary) of Edo period/
商売気 [しょうばいぎ] /(n) commercial spirit/profit motive/
商売気質 [しょうばいかたぎ] /(n) mercenary spirit/
商売仇 [しょうばいがたき] /(n) business rival/professional jealousy/
商売筋 [しょうばいすじ] /(n) business connections/
商売女 [しょうばいおんな] /(n) (1) woman working in the nightlife business (bar or nightclub hostess, geisha, etc.)/(2) woman who works in an adult entertainment business/(3) woman from the red-light district/demimondaine/prostitute/
商売上手 [しょうばいじょうず] /(n,adj-na) good at business/having a good head for business/businesslike/
商売人 [しょうばいにん] /(n) (1) merchant/trader/(2) expert (professional) in a given trade or profession/shrewd businessman/expert/(3) woman working in the nightlife business (bar or nightclub hostess, geisha, etc.)/demimondaine/
商売替え [しょうばいがえ] /(n) change of occupation/
商売敵 [しょうばいがたき] /(n) business rival/professional jealousy/
商売道具 [しょうばいどうぐ] /(n) stock-in-trade/
商売繁盛 [しょうばいはんじょう] /(n,vs) thriving (prosperous) business/rush of business/
商売柄 [しょうばいがら] /(n-t) nature of one's business/business instinct/
商標 [しょうひょう] /(n) trademark/(P)/
商標権 [しょうひょうけん] /(n) trademark signs/
商標保護 [しょうひょうほご] /(n) trademark protection/
商標名 [しょうひょうめい] /(n) (comp) brand name/
商品 [しょうひん] /(n) commodity/article of commerce/goods/stock/merchandise/(P)/
商品回転率 [しょうひんかいてんりつ] /(n) stock turnover/
商品学 [しょうひんがく] /(n) (study of) merchandising/
商品券 [しょうひんけん] /(n) gift certificate/(P)/
商品在高 [しょうひんざいだか] /(n) amount of inventory/
商品性 [しょうひんせい] /(n) marketability/saleability/
商品切手 [しょうひんきって] /(n) merchandise certificate/
商品先物取引 [しょうひんさきものとりひき] /(n) commodity futures/
商品番号 [しょうひんばんごう] /(n) item number/product ID number/reference number/
商品名 [しょうひんめい] /(n) trade (brand) name/
商品目録 [しょうひんもくろく] /(n) inventory/catalog/catalogue/
商品力 [しょうひんりょく] /(n) product appeal/
商舗 [しょうほ] /(n) shop/store/
商法 [しょうほう] /(n) trade/business/commerce/commercial law/(P)/
商務 [しょうむ] /(n) commercial affairs/(P)/
商務官 [しょうむかん] /(n) commercial attache/
商務省 [しょうむしょう] /(n) Department of Commerce/
商用 [しょうよう] /(n,adj-no) on business/for business/business purpose/(P)/
商用化 [しょうようか] /(n,vs) commercialization/commercialisation/
商用語 [しょうようご] /(n) commercial term/
商用電源式計算器 [しょうようでんげんしきけいさんき] /(n) (comp) mains-powered calculator/
商用版 [しょうようはん] /(n,vs) (comp) commercial version (vs. shareware, etc.)/
商用文 [しょうようぶん] /(n) business correspondence/
商用利用 [しょうようりよう] /(n) commercial use/
商利 [しょうり] /(n) commercial profit/
商略 [しょうりゃく] /(n,vs) business policy/
商流 [しょうりゅう] /(n) sales channels/(product) distribution channels/
商量 [しょうりょう] /(n,vs) consideration/deliberation/discussion/
商連 [しょうれん] /(n,n-suf) (abbr) commerce and industry association/
唱い方 [とないかた] /(n) method of chanting/
唱える [となえる] /(v1,vt) (1) to recite/to chant/(2) to cry/to yell/to shout/(3) to advocate/to advance/to preach/to insist/(P)/
唱する [しょうする] /(iK) (vs-s) to recite/to chant/to read aloud/
唱歌 [しょうか] /(n,vs) singing/songs/(P)/
唱歌集 [しょうかしゅう] /(n) songbook/collection of songs/
唱導 [しょうどう] /(n,vs) leading/converting someone to Buddhism/advocacy/
唱道 [しょうどう] /(n,vs) advocacy/
唱名 [しょうみょう] /(n,vs) intoning or chanting the name of the Buddha/
唱和 [しょうわ] /(n,vs) saying (cheering) in chorus/
嘗 [なめ] /(n) (1) lick/(2) (arch) tasting medicine to see if it contains poison/medicine-taster/
嘗て [かつて] /(adv,adj-no) (1) (uk) once/before/formerly/ever/former/ex-/(2) never (with negative verb)/(P)/
嘗め [なめ] /(n) (1) lick/(2) (arch) tasting medicine to see if it contains poison/medicine-taster/
嘗める [なめる] /(v1,vt) (1) (uk) to lick/(2) to taste/(3) to experience (esp. a hardship)/(4) to make fun of/to make light of/to put down/to treat with contempt/
奨め [すすめ] /(n,vs) recommendation/advice/suggestion/encouragement/
奨める [すすめる] /(v1,vt) to recommend/to advise/to encourage/to offer (wine)/
奨学 [しょうがく] /(n) encouragement to study/(P)/
奨学金 [しょうがくきん] /(n) (1) scholarship/stipend/bursary/(2) student loan/(P)/
奨学資金 [しょうがくしきん] /(n) scholarship fund/
奨学生 [しょうがくせい] /(n) scholarship student/
奨励 [しょうれい] /(n,vs) encouragement/promotion/message/address/inducement/incitement/stimulation/(P)/
奨励金 [しょうれいきん] /(n) subsidy/
奨励賞 [しょうれいしょう] /(n) encouragement award/honorable mention (award)/honourable mention/
妾 [おんなめ] /(ok) (n) mistress/kept woman/concubine/
妾 [そばめ] /(n) mistress/kept woman/concubine/
妾 [めかけ] /(n) mistress/kept woman/concubine/
妾 [わらわ] /(pn,adj-no) (arch) (hum) (fem) I/
妾出 [しょうしゅつ] /(n) illegitimate (e.g. born to a mistress)/
妾宅 [しょうたく] /(n) house in which a mistress is kept/
妾腹 [しょうふく] /(n) illegitimate (e.g. born to a mistress)/
妾腹 [めかけばら] /(n) illegitimate (e.g. born to a mistress)/
妾奉公 [めかけぼうこう] /(n,vs) serving as a concubine/
娼家 [しょうか] /(n) brothel/
娼館 [しょうかん] /(n) brothel/
娼妓 [しょうぎ] /(n) prostitute/harlot/
娼婦 [しょうふ] /(n) prostitute/harlot/(P)/
娼楼 [しょうろう] /(n) (arch) brothel/
宵 [よい] /(n-adv,n-t) evening/early night hours/(P)/
宵っぱり [よいっぱり] /(n) (1) night owl/nighthawk/late bird/(vs) (2) to stay up late/to keep late hours/
宵っ張り [よいっぱり] /(n) (1) night owl/nighthawk/late bird/(vs) (2) to stay up late/to keep late hours/
宵の口 [よいのくち] /(n-adv) nightfall/early evening/
宵の明星 [よいのみょうじょう] /(n) evening star/Venus/
宵闇 [よいやみ] /(n) dusk/twilight/
宵越し [よいごし] /(n) (kept) overnight/
宵宮 [よみや] /(n) eve of a festival vigil/
宵月 [よいづき] /(n) evening moon/moon that can only be seen in the early hours of the night (esp. from the 2nd to the 7th of the eight month)/
宵祭 [よいまつり] /(n) small festival held the night before a full festival/
宵祭り [よいまつり] /(n) small festival held the night before a full festival/
宵山 [よいやま] /(n) small festival on the eve of the main festival (esp. of the Gion festival)/
宵寝 [よいね] /(n,vs) going to bed early/
宵積み [よいづみ] /(n) goods loaded in the afternoon for delivery the following morning/
宵待草 [よいまちぐさ] /(n) evening primrose/
将 [しょう] /(n) commander/general/leader/(P)/
将に [まさに] /(adv) (1) (uk) exactly/surely/certainly/(2) just (about to)/on the verge (of doing or happening)/(3) duly/naturally/
将を射んと欲すれば先ず馬を射よ [しょうをいんとほっすればまずうまをいよ] /(exp) (id) He that would the daughter win, must with the mother first begin/
将官 [しょうかん] /(n) general/admiral/
将棋 [しょうぎ] /(n) shogi/Japanese chess/xianqi/(P)/
将棋の駒 [しょうぎのこま] /(n) chessmen/shogi pieces/
将棋の盤 [しょうぎのばん] /(n) Japanese chessboard/shogi board/
将棋指し [しょうぎさし] /(n) shogi player/
将棋倒し [しょうぎだおし] /(n) falling one after another/(P)/
将棋倒れ [しょうぎだおれ] /(n) falling one after another/
将棋盤 [しょうぎばん] /(n) shogi board/
将軍 [しょうぐん] /(n) general/shogun/(P)/
将軍の概が有る [しょうぐんのがいがある] /(exp) to look like a commander/
将軍家 [しょうぐんけ] /(n) family positioned to accede to the shogunate/
将軍職 [しょうぐんしょく] /(n) the shogunate/
将校 [しょうこう] /(n) commissioned officer/(P)/
将士 [しょうし] /(n) officers and men/
将帥 [しょうすい] /(n) commander/
将星 [しょうせい] /(n) commander/
将卒 [しょうそつ] /(n) officers and men/
将中に将たる [しょうちゅうにしょうたる] /(exp) to be a leader among leaders/
将兵 [しょうへい] /(n) officers and men/(P)/
将補 [しょうほ] /(n) major general (JSDF)/
将又 [はたまた] /(conj) (uk) and/or/
将来 [しょうらい] /(n-adv,n-t) future (usually near)/prospects/(P)/
将来性 [しょうらいせい] /(n) future prospects/promise/(P)/
将来像 [しょうらいぞう] /(n) vision of the future/(P)/
将来展望 [しょうらいてんぼう] /(n) future outlook/outlook for the future/
将来有望 [しょうらいゆうぼう] /(adj-na) of great promise/with a promising future/
小 [お] /(pref) (1) small/narrow/(2) familiar prefix/(3) slightly/a bit/
小 [ぐゎー] /(suf) (rkb:) small/little/dear (figurative sense)/
小 [こ] /(pref) (1) small/little/slight/(2) slightly less than/just about/(3) somewhat/somehow/(4) minor (sometimes derogatory)/petty/
小 [ささ] /(pref) small/little/
小 [さざ] /(pref) small/little/
小 [しょう] /(n,n-pref) (1) smallness/small item/(2) short month (i.e. having fewer than 31 days)/(3) (abbr) elementary school/(4) younger or inferior (of two items or people with the same name)/(5) (arch) unit of field area (approx. 400 sq m)/
小い [ちっこい] /(adj-i) very small (slightly pejorative)/
小うるさい [こうるさい] /(adj-i) particular/hard to please/fussy/
小ぎれい [こぎれい] /(adj-na) neat/trim/tidy/pretty/
小さい [ちいさい] /(adj-i) small/little/tiny/(P)/
小さいころ [ちいさいころ] /(exp) as a child/when one was a child/
小さい頃 [ちいさいころ] /(exp) as a child/when one was a child/
小さじ [こさじ] /(n) teaspoon/(P)/
小さっぱりした [こさっぱりした] /(adj-f) neat/tidy/trim/
小さな [ちいさな] /(adj-pn) small/little/tiny/
小さめ [ちいさめ] /(adj-no) smallish/on the small side/
小さ童 [ちいさわらわ] /(n) (arch) small child (esp. a servant child in the Heian-period imperial palace)/
小さ目 [ちいさめ] /(adj-no) smallish/on the small side/
小じんまり [こじんまり] /(adv,adv-to,vs) (uk) snugly/neatly/compactly/cosily/
小せがれ [こせがれ] /(n) (1) (hum) one's son/(2) you little bastard/you little brat/
小ぜり合い [こぜりあい] /(n) skirmish/brief argument/exchange of words/quarrel/
小ちゃい [ちいちゃい] /(adj-i) small (babytalk form)/
小ぢんまり [こぢんまり] /(adv,adv-to,vs) (uk) snugly/neatly/compactly/cosily/
小っちゃ [ちっちゃ] /(adj-na) (uk) tiny/little/wee/
小っちゃい [ちっちゃい] /(adj-i) (uk) tiny/little/wee/
小っ恥ずかしい [こっぱずかしい] /(adj-i) feeling a little (i.e. very) embarrassed/(a little) shameful/
小なり [しょうなり] /(n) (comp) less-than mark (<)/left angle bracket/
小の月 [しょうのつき] /(n) short month (i.e. having fewer than 31 days)/
小の虫を殺して大の虫を助ける [しょうのむしをころしてだいのむしをたすける] /(exp) (id) to sacrifice something small in order to save something great/to lose a leg to save one's life/to kill a small bug and help a large one/
小の虫を殺して大の虫を生かす [しょうのむしをころしてだいのむしをいかす] /(exp) (id) to sacrifice something small in order to save something great/to lose a leg to save one's life/to kill a small bug and save a large one/
小ばかにする [こばかにする] /(exp,vi) (1) to scoff/(vt) (2) to downplay/to treat someone disparagingly/to treat someone with contempt/
小ぶり [こぶり] /(adj-na,n) small size/smallish/undersized/
小まめ [こまめ] /(adj-na) (1) (uk) taking care/working well/(2) frequent/
小わき [こわき] /(n) under one's arm/(in) the armpit/
小アジア [しょうアジア] /(n) Asia Minor/
小エビ [こエビ] /(n) (1) shrimp (infraorder Caridea)/(2) small shrimp, prawn or lobster/
小ジョッキ [しょうジョッキ] /(n) small beer mug/
小ソクラテス学派 [しょうソクラテスがくは] /(n) minor Socratic schools (of philosophy)/
小テスト [しょうテスト] /(n) quiz/small test/
小ブルジョア [しょうブルジョア] /(n) petit bourgeois/petty bourgeois/
小マゼラン雲 [しょうマゼランうん] /(n) Lesser Magellanic Cloud/Small Magellanic Cloud/
小悪魔 [こあくま] /(n,adj-na) (col) rogue/devil/imp/
小葦切 [こよしきり] /(n) (uk) black-browed reed warbler (Acrocephalus bistrigiceps)/
小暗い [おぐらい] /(adj-i) dusky/dim/shady/
小暗い [こぐらい] /(adj-i) dusky/dim/shady/
小暗がり [こくらがり] /(n) dimness/dimly lit place/
小委 [しょうい] /(n) subcommittee/
小委員会 [しょういいんかい] /(n) subcommittee/
小意気 [こいき] /(adj-na,n) smart/stylish/
小為替 [こがわせ] /(n) money order/postal order/
小異 [しょうい] /(n) minor differences/
小衣蛾 [こいが] /(n) (uk) common clothes moth (Tineola biselliella)/
小一 [しょういち] /(n) first-year student of an elementary school/
小一時間 [こいちじかん] /(n) nearly one hour/
小鰯鯨 [こいわしくじら] /(n) (uk) (obsc) minke whale/piked whale (Balaenoptera acutorostrata)/
小引 [しょういん] /(n) short preface/brief foreword/
小陰唇 [しょういんしん] /(n) labia minora/
小宇宙 [しょううちゅう] /(n) microcosmos/microcosm/
小羽鵜 [こばねう] /(n) short-winged cormorant/
小雨 [こあめ] /(n) light rain/drizzle/
小雨 [こさめ] /(n) light rain/drizzle/(P)/
小雨 [しょうう] /(n) light rain/drizzle/
小雨決行 [しょううけっこう] /(exp,n) canceled only in case of heavy rain/
小臼歯 [しょうきゅうし] /(n) premolar (tooth)/
小唄 [こうた] /(n) ballad/
小液胞 [しょうえきほう] /(n) vesicle/
小宴 [しょうえん] /(n) small (dinner) party/
小猿 [こざる] /(n) small monkey/infant monkey/
小汚い [こぎたない] /(adj-i) dirty/sloppy/
小屋 [こや] /(n) hut/cabin/shed/(animal) pen/(P)/
小屋掛 [こやがけ] /(n,vs) (1) pitching a tent/putting up a shack or tent (e.g. a circus tent)/(n) (2) (theater, circus, etc.) tent or shack/
小屋掛け [こやがけ] /(n,vs) (1) pitching a tent/putting up a shack or tent (e.g. a circus tent)/(n) (2) (theater, circus, etc.) tent or shack/
小桶 [こおけ] /(n) small bucket/
小家 [こいえ] /(n) small and simple home/
小家 [しょうか] /(n) small and simple home/
小家族化 [しょうかぞくか] /(n,vs) shrinking family (size)/
小歌 [こうた] /(n) (from the Heian era onward) type of popular song, as opposed to courtly oouta/
小火 [しょうか] /(n) small fire/
小火 [ぼや] /(gikun) (n) small fire/(P)/
小火器 [しょうかき] /(n) small arms/
小茄子 [こなすび] /(n) (1) small eggplant/(2) (uk) Japanese yellow loosestrife (Lysimachia japonica)/
小荷物 [こにもつ] /(n) parcel/package/
小荷物扱い [こにもつあつかい] /(n) parcel consignment/
小蝦 [こえび] /(n) (1) shrimp (infraorder Caridea)/(2) small shrimp, prawn or lobster/
小過 [しょうか] /(n) slight mistake/
小我 [しょうが] /(n) the self/the ego/
小賀玉の木 [おがたまのき] /(n) (uk) Michelia compressa (species of Japanese tree similar to champak)/
小賀玉木 [おがたまのき] /(n) (uk) Michelia compressa (species of Japanese tree similar to champak)/
小雅 [しょうが] /(n) minor festal song (subgenre of the Shi Jing)/
小会派 [しょうかいは] /(n) minor political party/
小回り [こまわり] /(n) a tight turn/
小海老 [こえび] /(n) (1) shrimp (infraorder Caridea)/(2) small shrimp, prawn or lobster/
小芥子 [こけし] /(ateji) (n) (uk) limbless wooden doll/kokeshi doll/
小開ひ [しょうかいひ] /(n) (obsc) opening a door for a moment (esp. on the train, when someone's foot is stuck, etc.)/
小開扉 [しょうかいひ] /(n) (obsc) opening a door for a moment (esp. on the train, when someone's foot is stuck, etc.)/
小貝 [こがい] /(n) (1) small shell/small shellfish/(2) kanji "shell" radical at left/
小学 [しょうがく] /(n) (abbr) elementary school/primary school/grade school/(P)/
小学校 [しょうがっこう] /(n) primary school/elementary school/grade school/(P)/
小学生 [しょうがくせい] /(n) elementary school student/primary school student/grade school student/(P)/
小額 [しょうがく] /(n,adj-no) small sum (e.g. of money)/small denomination/
小笠原猿子 [おがさわらましこ] /(n) (uk) Bonin grosbeak (Chaunoproctus ferreorostris, extinct)/
小笠原流 [おがさわらりゅう] /(n) (1) (col) Ogasawara-ryu (school of etiquette)/(2) punctilious etiquette/(3) Ogasawara-ryu (school of archery, inc. horseback archery)/(4) Ogasawara-ryu (school of military strategy)/
小笠和大蝙蝠 [おがさわおおこうもり] /(n) (uk) Bonin flying fox (Pteropus pselaphon)/
小括 [しょうかつ] /(n) summary (e.g. in a thesis)/summation/
小括弧 [しょうかっこ] /(n) parentheses/parenthesis/
小蒲 [こがま] /(n) Typha orientalis/
小鴨 [こがも] /(n) (uk) green-winged teal (species of duck, Anas crecca)/
小冠者 [こかんじゃ] /(n) (arch) young man (who has recently undergone his manhood ceremony)/
小寒 [しょうかん] /(n) "minor cold" solar term (approx. Jan. 6)/
小官 [しょうかん] /(n) petty official/
小間 [こま] /(n) (obsc) small room/
小間結び [こまむすび] /(n) reef knot/flat knot/square knot/
小間使 [こまづかい] /(n) maid/
小間使い [こまづかい] /(n) maid/
小間板 [こまいた] /(n) cutting guide board for noodles/
小間物 [こまもの] /(n) sundries/
小間物屋 [こまものや] /(n) haberdashery/sundries store/
小閑 [しょうかん] /(n) short interval of leisure/short break or breather/lull/
小企業 [しょうきぎょう] /(n) small business/small company/
小器 [しょうき] /(n) small container/person of small capacities/
小奇麗 [こぎれい] /(adj-na) neat/trim/tidy/pretty/
小気味 [こきみ] /(n) sentiment/feeling/
小気味よい [こきみよい] /(adj-i) delightful/satisfying/gratifying/clever/neat/gloating/
小気味よげに [こきみよげに] /(exp) in a gloating manner/
小規模 [しょうきぼ] /(adj-na,n) small scale/(P)/
小規模ビジネス [しょうきぼビジネス] /(n) small business/
小規模金融 [しょうきぼきんゆう] /(n) microfinance/
小鬼 [こおに] /(n) imp/elf/pixie/goblin/devilkin/
小菊 [こぎく] /(n) (1) small chrysanthemum/(2) (obsc) small low grade piece of japanese paper used as a kettle rest or as a tissue/(3) (obsc) paper handed as a means of congratulations in a red light district/
小吉 [しょうきち] /(n) slightly good luck (as a fortune telling result)/
小休止 [しょうきゅうし] /(n,vs) a break or breather/
小牛 [こうし] /(n,adj-no) calf/(P)/
小魚 [こざかな] /(n) small fish/fry/
小京都 [しょうきょうと] /(n) little Kyoto/nick-name for towns that resemble Kyoto/
小供 [こども] /(iK) (n) child/children/
小競り合い [こぜりあい] /(n) skirmish/brief argument/exchange of words/quarrel/
小競合い [こぜりあい] /(n) skirmish/brief argument/exchange of words/quarrel/
小業 [こわざ] /(n) finer points (e.g. in judo)/little tricks/
小曲 [しょうきょく] /(n,adj-no) short piece of music/
小琴 [おごと] /(n) (arch) koto (usu. small)/
小金 [こがね] /(n) small sum of money/
小熊 [こぐま] /(n) small bear/bear cub/
小熊のプーさん [こぐまのプーさん] /(n) Winnie the Pooh/
小熊座 [こぐまざ] /(n) (constellation) Ursa Minor/
小型 [こがた] /(adj-na,n,adj-no) small size/tiny/(P)/
小型化 [こがたか] /(n,vs) miniaturization/miniaturisation/downsizing/
小型化技術 [こがたかぎじゅつ] /(n) (comp) miniaturization technology/
小型球形ウイルス [こがたきゅうけいウイルス] /(n) small round structured virus/SRSV/
小型犬 [こがたけん] /(n) small-breed dog/toy dog/
小型自動車 [こがたじどうしゃ] /(n) compact car/
小型車 [こがたしゃ] /(n) small car/compact car/
小型乗用車 [こがたじょうようしゃ] /(n) small (compact) car/minicar/
小型新聞 [こがたしんぶん] /(n) tabloid/
小型赤家蚊 [こがたあかいえか] /(n) Culex tritaeniorhynchus/
小型二輪 [こがたにりん] /(n) motorcycle, greater than or equal to 250cc/
小型武器 [こがたぶき] /(n) small arms/light weapons/
小形 [こがた] /(adj-na,n,adj-no) small size/tiny/
小形雀蜂 [こがたすずめばち] /(n) (uk) yellow-vented hornet (Vespa analis)/
小径 [しょうけい] /(n) (1) path/lane/(adj-f) (2) small diameter/
小憩 [しょうけい] /(n,vs) a short break or breather/brief recess/
小景 [しょうけい] /(n) (a bit of) fine scenery/
小計 [しょうけい] /(n,vs) subtotal/
小計機能 [しょうけいきのう] /(n) (comp) subtotal function/
小結 [こむすび] /(n) sumo wrestler of the fourth highest rank/(P)/
小結び [こむすび] /(io) (n) sumo wrestler of the fourth highest rank/
小喧しい [こやかましい] /(adj-i) nagging/fault-finding/
小犬 [こいぬ] /(n) puppy/
小犬座 [こいぬざ] /(n) (constellation) Canis Minor/
小見出し [こみだし] /(n) subheading/subtitle/
小見世 [こみせ] /(n) (1) little shop/small shop/small store/(2) low class whorehouse in Fujiwara (Edo period)/low class brothel/(3) passage formed under the eaves of houses after heavy snowfalls (Tohoku region)/
小賢しい [こざかしい] /(adj-i) clever/shrewd/crafty/cunning/pretentious/impertinent/insolent/
小遣 [こずかい] /(io) (ik) (n) (abbr) pocket money/spending money/pin money/allowance/
小遣 [こづかい] /(io) (n) (abbr) pocket money/spending money/pin money/allowance/
小遣い [こずかい] /(ik) (n) (abbr) pocket money/spending money/pin money/allowance/
小遣い [こづかい] /(n) (abbr) pocket money/spending money/pin money/allowance/(P)/
小遣い銭 [こづかいせん] /(n) pocket money/spending money/pin money/allowance/
小遣い銭 [こづかいぜに] /(ok) (n) pocket money/spending money/pin money/allowance/
小遣い帳 [こづかいちょう] /(n) cash book/
小遣銭 [こづかいせん] /(io) (n) pocket money/spending money/pin money/allowance/
小遣銭 [こづかいぜに] /(io) (ok) (n) pocket money/spending money/pin money/allowance/
小遣帳 [こづかいちょう] /(io) (n) cash book/
小言 [こごと] /(n) scolding/fault-finding/(P)/
小姑 [こじゅうと] /(n) sister-in-law/
小姑 [こじゅうとめ] /(n) sister-in-law/
小股 [こまた] /(n) (1) short steps/mincing stride/(2) crotch/groin/thigh/
小股が切れ上がる [こまたがきれあがる] /(exp,v5r) (of a woman) to be slender and smartly shaped/
小股の切れ上がったいい女 [こまたのきれあがったいいおんな] /(n) slender and smartly shaped woman/
小股掬い [こまたすくい] /(n) over-thigh scooping body drop (sumo)/
小虎 [こどら] /(n) small tiger/drinker/
小鼓 [こつづみ] /(n) small hand drum/
小鼓 [しょうこ] /(n) small hand drum/
小口 [こぐち] /(adj-na,n) small amount/(cut) end/edge/beginning/clue/section/(P)/
小口バス [こくちバス] /(n) (uk) smallmouth bass (Micropterus dolomieu)/
小口扱い [こぐちあつかい] /(n) small lot consignment/
小口径 [しょうこうけい] /(n,adj-no) small calibre/small caliber/
小口現金 [こぐちげんきん] /(n) petty cash/
小康 [しょうこう] /(n) lull/(P)/
小康状態 [しょうこうじょうたい] /(n) state of reduced activity/lull/
小糠 [こぬか] /(n) rice bran/
小糠雨 [こぬかあめ] /(n) light or fine rain/drizzle/
小糠草 [こぬかぐさ] /(n) (uk) redtop (species of bent grass, Agrostis gigantea)/
小降り [こぶり] /(n) light rain/drizzle/
小高い [こだかい] /(adj-i) slightly elevated/
小刻み [こきざみ] /(adj-na,n) mincing/bit by bit/(P)/
小国 [しょうこく] /(n) small country/(P)/
小国寡民 [しょうこくかみん] /(n) small country with a small population (The Chinese philosopher Lao-tze's ideal of a state)/
小腰 [こごし] /(n) waist/
小腰をかがめる [こごしをかがめる] /(exp,v1) to bow slightly/to make a slight bow/
小腰を屈める [こごしをかがめる] /(exp,v1) to bow slightly/to make a slight bow/
小骨 [こぼね] /(n,adj-no) small bones/
小差 [しょうさ] /(n) slight difference/(P)/
小座敷 [こざしき] /(n) (1) small tatami room/(2) extension of the main room of a home (in traditional palatial-style architecture)/(3) room smaller than four and a half tatami (in tea ceremony)/
小才 [こさい] /(n) cleverness/
小才 [しょうさい] /(n) cleverness/
小斎 [しょうさい] /(n) abstinence (in Catholicism)/
小細工 [こざいく] /(n) tricks/artfulness/
小細工をする [こざいくをする] /(exp,vs-i) to play petty tricks/
小鷺 [こさぎ] /(n) (uk) little egret (Egretta garzetta)/
小作 [こさく] /(n) tenant farming/
小作り [こづくり] /(adj-na,n) small build/small size/
小作権 [こさくけん] /(n) tenant rights/
小作人 [こさくにん] /(n) tenant farmer/
小作農 [こさくのう] /(n) tenant farming/
小作米 [こさくまい] /(n) rice paid as rent/
小作料 [こさくりょう] /(n) rent paid by a tenant farmer/
小策 [しょうさく] /(n) petty trick or ruse/
小匙 [こさじ] /(n) teaspoon/
小冊 [しょうさつ] /(n) pamphlet/booklet/
小冊子 [しょうさっし] /(n) booklet/pamphlet/(P)/
小皿 [こざら] /(n) small dish/(P)/
小山 [こやま] /(n) hill/knoll/(P)/
小山羊 [こやぎ] /(n) kid/young goat/
小使 [こづかい] /(n) (sens) janitor/caretaker/custodian/(slighting reference to a) handyman/
小使い [こづかい] /(n) (sens) janitor/caretaker/custodian/(slighting reference to a) handyman/
小史 [しょうし] /(n) short or concise history/
小子 [しょうし] /(pn) little child/
小市民 [しょうしみん] /(n) petty bourgeois/lower middle class/
小指 [こゆび] /(n) (1) little finger/pinky/(2) little toe/(P)/
小枝 [こえだ] /(n,adj-no) twig/spray/(P)/
小止み [おやみ] /(n) lull (e.g. in the rain)/break/
小止み [こやみ] /(n) lull (e.g. in the rain)/break/
小歯朶 [こしだ] /(n) (uk) old world forked fern/Dicranopteris linearis/
小事 [しょうじ] /(n) trifling matter/trifle/
小事は大事 [しょうじはだいじ] /(exp) (id) A small leak can sink a great ship/
小事件 [しょうじけん] /(n) minor incident/sideshow/
小児 [しょうに] /(n,adj-no) young child/infant/(P)/
小児愛者 [しょうにあいしゃ] /(n) paedophile/pedophile/
小児科 [しょうにか] /(n) pediatrics/(P)/
小児科医 [しょうにかい] /(n) paediatrician/pediatrician/
小児性愛 [しょうにせいあい] /(n,adj-no) paedophilia/pedophilia/pederosis/
小児性愛者 [しょうにせいあいしゃ] /(n) paedophile/pedophile/
小児病 [しょうにびょう] /(n) childhood diseases/(P)/
小児病院 [しょうにびょういん] /(n) children's hospital/pediatric hospital/
小児麻酔 [しょうにますい] /(n) pediatric anesthesia/
小児麻痺 [しょうにまひ] /(n) poliomyelitis/polio/infantile paralysis/
小児喘息 [しょうにぜんそく] /(n) infantile asthma/
小字 [こあざ] /(n) small administrative unit (of a village)/
小耳 [こみみ] /(n) (col) overhear/happened to hear that/
小耳にはさむ [こみみにはさむ] /(exp,v5m) to happen to hear/to overhear/
小耳に挟む [こみみにはさむ] /(exp,v5m) to happen to hear/to overhear/
小耳木兎 [こみみずく] /(n) short-eared owl (Asio flammeus)/
小室 [こむろ] /(n,adj-no) areole/
小社 [しょうしゃ] /(n) (1) (hum) our company (lit: small company)/my company/(2) small shrine/
小者 [こもの] /(n) (1) young person/(2) servant/errand boy in a samurai family/(3) person of lowly status/
小車 [おぐるま] /(n) (1) (arch) Inula japonica/(2) (arch) small cart/small carriage/
小車 [こぐるま] /(n) (1) (arch) small cart/small carriage/(2) wheeled palanquin (with a castle-shaped box)/
小尺 [しょうしゃく] /(n) (arch) small shaku (approx. 29.6 cm)/
小主観 [しょうしゅかん] /(n) small ego/
小取り回し [ことりまわし] /(n) lively or quick witted person/
小取り回し [こどりまわし] /(n) lively or quick witted person/
小取回 [ことりまわし] /(n) lively or quick witted person/
小取回 [こどりまわし] /(n) lively or quick witted person/
小取回し [ことりまわし] /(n) lively or quick witted person/
小取回し [こどりまわし] /(n) lively or quick witted person/
小手 [こて] /(n) forearm/
小手 [こて] /(n) gauntlet (used in Kendo)/bracer/fencing glove/
小手術 [しょうしゅじゅつ] /(n) minor surgery/minor operation/
小手先 [こてさき] /(n) (superficial) cleverness/(P)/
小手調べ [こてしらべ] /(n) preliminary test or trial/tryout/
小手投げ [こてなげ] /(n) armlock throw (sumo)/forearm throw/
小手捻り [こてひねり] /(n) arm-locking twist down (sumo)/
小手返し [こてがえし] /(n) (MA) Aikido technique, wherein the opponent is brought down by twisting his or her arm away from the body/
小手毬 [こでまり] /(n) Reeves spirea (Spiraea cantoniensis)/
小首 [こくび] /(n) head/
小首をかしげる [こくびをかしげる] /(exp,v1) to bend one's head slightly to one side/to look slightly doubtful/
小首を傾げる [こくびをかしげる] /(exp,v1) to bend one's head slightly to one side/to look slightly doubtful/
小綬鶏 [こじゅけい] /(n) (uk) Chinese bamboo partridge (Bambusicola thoracicus)/
小舟 [こぶね] /(n) boat/small craft/(P)/
小銃 [しょうじゅう] /(n) rifle/small arms/(P)/
小出し [こだし] /(n) (apportioning) in small amounts/
小春 [こはる] /(n) early autumn/early fall/Indian summer/
小春びより [こはるびより] /(n) Indian summer/mild autumn weather/mild fall weather/
小春日和 [こはるびより] /(n) Indian summer/mild autumn weather/mild fall weather/
小循環 [しょうじゅんかん] /(n) pulmonary circulation/
小楯 [こだて] /(n) small shield/screen/
小暑 [しょうしょ] /(n) "minor heat" solar term (approx. July 7)/
小書 [こがき] /(n,vs) small script/
小書き [こがき] /(n,vs) small script/
小女 [こおんな] /(n) (1) (arch) small woman/(2) (arch) young woman/(3) (arch) (sens) young maid/
小女子 [こうなご] /(n) young lancefish/young sand lance/
小商い [こあきない] /(n) a small business/
小商人 [こあきんど] /(n) small businessman/petty trader/
小松 [こまつ] /(n) small pine/young pine/
小松引き [こまつひき] /(n) collecting herbs and pulling out young pine trees by the roots (annual event held on the first day of the rat of the New Year)/
小松菜 [こまつな] /(n) type of rape, potherb mustard, kyouna, mizuna (Brassica juncea var. japonica)/
小象 [こぞう] /(n) young (baby) elephant/
小上がり [こあがり] /(n) raised tatami-floored seating area (usu. in a Japanese restaurant)/small separate dining room/
小上り [こあがり] /(n) raised tatami-floored seating area (usu. in a Japanese restaurant)/small separate dining room/
小乗 [しょうじょう] /(n) Hinayana (the Lesser Vehicle)/
小乗的 [しょうじょうてき] /(adj-na) narrow-minded/
小乗仏教 [しょうじょうぶっきょう] /(n) (1) Hinayana Buddhism/(2) (sens) Theravada Buddhism/
小職 [こじょく] /(n) (1) (arch) girl-in-training (e.g. a geisha-in-training or a girl who performs miscellaneous tasks in a brothel)/(2) (arch) (derog) brat/scamp/rascal/jackanapes/(3) (arch) disciple/apprentice/
小職 [しょうしょく] /(n) (1) lowly government servant/humble government servant/(pn) (2) (hum) I/me/
小食 [しょうしょく] /(n) one who generally eats little/
小尻 [こじり] /(n) (1) (ornamental) tip of a scabbard/
小信天翁 [こあほうどり] /(n) (uk) Laysan albatross (Diomedea immutabilis)/
小心 [しょうしん] /(adj-na,n) timid/cowardly/
小心姑息 [しょうしんこそく] /(n,adj-na) timid and evasive (person)/timid and makeshift (approach, measure, etc.)/
小心者 [しょうしんもの] /(n) timid person/coward/
小心翼々 [しょうしんよくよく] /(adj-na,adj-no,adj-t,adv-to) very timid/very nervous/faint-hearted/
小心翼翼 [しょうしんよくよく] /(adj-na,adj-no,adj-t,adv-to) very timid/very nervous/faint-hearted/
小振り [こぶり] /(adj-na,n) small size/smallish/undersized/
小新聞 [こしんぶん] /(n) (1) type of newspaper from the Meiji era/(2) minor journal/local newspaper/
小真弓 [こまゆみ] /(n) spindle tree/euonymus alatus f. ciliatodentatus/
小身 [しょうしん] /(n) humble position/
小身者 [しょうしんもの] /(n) person with a humble salary/person of a low condition/
小身微禄 [しょうしんびろく] /(n,adj-no) (in) a humble position with a small stipend/
小人 [こども] /(gikun) (n) (1) child/small person/
小人 [こびと] /(n) (1) child/small person/(2) dwarf/
小人 [しょうじん] /(n) (1) child/small person/(2) narrow-minded person/mean person/
小人 [しょうにん] /(n) (1) child/small person/(P)/
小人ペンギン [こびとペンギン] /(n) (uk) little penguin (Eudyptula minor)/fairy penguin/
小人河馬 [こびとかば] /(n) (uk) pygmy hippopotamus (Choeropsis liberiensis)/
小人閑居 [しょうじんかんきょ] /(exp) a small-minded person being idle (tends to do evil)/
小人閑居して不善をなす [しょうじんかんきょしてふぜんをなす] /(exp) (id) An idle brain is the devil's shop/
小人閑居して不善を為す [しょうじんかんきょしてふぜんをなす] /(exp) (id) An idle brain is the devil's shop/
小人症 [こびとしょう] /(n) dwarfism/
小人数 [こにんず] /(n) small number of people/
小人数 [こにんずう] /(n) small number of people/
小水 [しょうすい] /(n,vs) urine/urination/small quantity of water/
小粋 [こいき] /(adj-na,n) smart/stylish/
小数 [しょうすう] /(n,adj-no) fraction (part of)/decimal fraction/(P)/
小数点 [しょうすうてん] /(n) decimal point/radix point/(P)/
小数点以下の桁数 [しょうすうてんいかのけたすう] /(n) (comp) number of decimal places/
小数点記号 [しょうすうてんきごう] /(n) (comp) decimal marker/
小杉 [こすぎ] /(n) (1) (abbr) (arch) small cedar/(2) thin Japanese paper (used as tissue during the Edo period)/
小杉原 [こすぎはら] /(n) (arch) thin Japanese paper (used as tissue during the Edo period)/
小杉原 [こすぎわら] /(n) (arch) thin Japanese paper (used as tissue during the Edo period)/
小雀 [こがら] /(n) (uk) willow tit (Parus montanus)/
小勢 [こぜい] /(n) a small force/
小姓 [こしょう] /(n) (noble's) page/
小成 [しょうせい] /(n) a minor success/
小成に安んじる風 [しょうせいにやすんじるふう] /(n) tendency to be content with small successes/
小政党 [しょうせいとう] /(n) small political party/
小正月 [こしょうがつ] /(n) the 14th-16th days of the lunar New Year/
小生 [しょうせい] /(pn,adj-no) (male) I/"my humble self"/ego/
小生意気 [こなまいき] /(adj-na,n) impudence/cheekiness/
小声 [こごえ] /(n,adj-no) low voice/whisper/(P)/
小石 [こいし] /(n) pebble/(P)/
小切り子 [こきりこ] /(n) clave-like folk instrument/two bamboo pieces beaten together/
小切れ [こぎれ] /(n) small piece (e.g. of cloth)/
小切子 [こきりこ] /(n) clave-like folk instrument/two bamboo pieces beaten together/
小切手 [こぎって] /(n) cheque/check/(P)/
小切手外交 [こぎってがいこう] /(n) checkbook diplomacy/chequebook diplomacy/
小節 [こぶし] /(n) (1) undulating melodic ornamentation or embellishment, esp. in folk and popular songs/(2) unit of timber measurement/
小節 [しょうせつ] /(n) (musical) bar/measure/
小説 [しょうせつ] /(n,adj-no) novel/(short) story/(P)/
小説を書く [しょうせつをかく] /(exp,v5k) to write a novel/
小説家 [しょうせつか] /(n) novelist/fiction writer/(P)/
小雪 [こゆき] /(n) light snow/
小雪 [しょうせつ] /(n) "minor snow" solar term (approx. Nov. 22)/
小千鳥 [こちどり] /(n) (uk) little ringed plover (Charadrius dubius)/
小川 [おがわ] /(n) streamlet/brook/(P)/
小泉チルドレン [こいずみチルドレン] /(n) (col) any of the 83 new LDP members of parliament elected in the Sept. 2005 general election/
小船 [こぶね] /(n) boat/small craft/
小選挙区 [しょうせんきょく] /(n) small electoral district/single-member constituency/(P)/
小選挙区制 [しょうせんきょくせい] /(n) single-seat constituency system/
小選挙区比例代表並立制 [しょうせんきょくひれいだいひょうへいりつせい] /(n) electoral system comprised of single-seat constituencies and proportionally represented multiple-seat constituencies/
小銭 [こぜに] /(n) coins/small change/(P)/
小銭入れ [こぜにいれ] /(n) change purse/
小前提 [しょうぜんてい] /(n) minor premise/
小善 [しょうぜん] /(n) a small kindness/minor good deed/
小僧 [こぞう] /(n) (1) youngster/(2) young Buddhist priest/(P)/
小倉アイス [おぐらアイス] /(n) ice cream mixed with adzuki bean paste/
小倉織 [こくらおり] /(n) warp rib weave cotton fabric (from Kokura)/
小倉百人一首 [おぐらひゃくにんいっしゅ] /(n) Ogura Anthology of One Hundred Tanka by One Hundred Poets/
小倉餡 [おぐらあん] /(n) sweet adzuki bean paste made of a mixture of mashed and whole beans/
小窓 [こまど] /(n) small window/fenestella/scuttle (type of hatch on a ship)/
小草生月 [おぐさおいづき] /(n) second lunar month/
小走り [こばしり] /(n,adv,vs) (1) trot/half run/jog/(2) girl in charge of menial tasks in a samurai family/
小憎らしい [こにくらしい] /(adj-i) (1) provoking/rather annoying/(2) (speaking ironically) darling/
小足 [こあし] /(n) mincing steps/
小袖 [こそで] /(n) short sleeves/quilted silk garment/
小太り [こぶとり] /(adj-na,n) plump/
小太鼓 [こだいこ] /(n) small drum/
小太刀 [こだち] /(n) short sword/small sword/
小袋 [こぶくろ] /(n) small bag/
小袋と小娘 [こぶくろとこむすめ] /(exp) (1) small bag and young woman/(2) like a small bag seems to be able to contain few items yet can be stuffed with many, a young woman seems inexpensive to bring up yet can end up costing a lot/(3) a young woman and a small bag are both fragile and great care must be taken with both of them/
小隊 [しょうたい] /(n) platoon/
小鷹 [こたか] /(n) (1) (abbr) small hawk or falcon (used for hunting)/(2) falconry (using small hawks or falcons)/
小鷹狩 [こたかがり] /(n) falconry (using small hawks or falcons)/
小鷹狩り [こたかがり] /(n) falconry (using small hawks or falcons)/
小滝 [おたき] /(n) cascade/
小啄木 [こげら] /(n) (uk) pygmy woodpecker (Dendrocopos kizuki)/
小啄木鳥 [こげら] /(n) (uk) pygmy woodpecker (Dendrocopos kizuki)/
小谷渡 [こたにわたり] /(n) (uk) hart's-tongue fern (Asplenium scolopendrium)/
小谷渡り [こたにわたり] /(n) (uk) hart's-tongue fern (Asplenium scolopendrium)/
小胆 [しょうたん] /(adj-na,n) timidity/
小檀 [こまゆみ] /(n) spindle tree/euonymus alatus f. ciliatodentatus/
小男 [こおとこ] /(n) small man/
小知 [しょうち] /(n) superficial knowledge/
小地震 [しょうじしん] /(n) minor earthquake/
小恥ずかしい [こはずかしい] /(adj-i) feeling a little (i.e. very) embarrassed/(a little) shameful/
小智 [しょうち] /(n) shallow wisdom/
小竹 [ささ] /(n) bamboo grass/
小中学校 [しょうちゅうがっこう] /(n) elementary and middle schools/
小中学生 [しょうちゅうがくせい] /(n) elementary and middle school pupils/(P)/
小忠実 [こまめ] /(adj-na) (1) (uk) taking care/working well/(2) frequent/
小昼 [こひる] /(n) just before noon/late-morning snack/
小虫 [こむし] /(n) (1) small insect/midge/(2) vermicule/
小虫 [しょうちゅう] /(n) (1) small insect/midge/(2) vermicule/
小潮 [こしお] /(n,adj-no) neap tide/
小町 [こまち] /(n) a belle/town beauty/
小腸 [しょうちょう] /(n) small intestine/
小長元坊 [こちょうげんぼう] /(n) (uk) merlin (species of falcon, Falco columbarius)/pigeon hawk/
小鳥 [ことり] /(n) (1) small bird/songbird/(2) (chn) birdie/dickeybird/dickybird/(P)/
小槌 [こづち] /(n) (small) mallet/gavel/
小爪 [こづめ] /(n) half-moon (of a fingernail)/
小爪川獺 [こつめかわうそ] /(n) (uk) Asian small-clawed otter (Aonyx cinerea)/
小庭 [こにわ] /(n) small garden/small place/
小庭 [しょうてい] /(n) small garden/small place/
小弟 [しょうてい] /(pn,adj-no) my foolish brother/
小締まり [こじまり] /(n) firmer tendency/
小敵 [しょうてき] /(n) weak opponent/weak enemy/
小天地 [しょうてんち] /(n) a small world/
小店 [こみせ] /(n) (1) little shop/small shop/small store/(2) low class whorehouse in Fujiwara (Edo period)/low class brothel/(3) passage formed under the eaves of houses after heavy snowfalls (Tohoku region)/
小店 [しょうてん] /(n) (1) little shop/small shop/small store/(2) (hum) my shop/
小伝 [しょうでん] /(n) biographical sketch/
小田 [おだ] /(n) (arch) rice field (usu. small)/
小田原提灯 [おだわらぢょうちん] /(n) (collapsible) cylindrical paper lantern/
小田原評定 [おだわらひょうじょう] /(n) fruitless or inconclusive discussion/
小電力 [しょうでんりょく] /(adj-no) low-power (electric)/
小党 [しょうとう] /(n) small political party/
小刀 [こがたな] /(n) small knife/short sword/(P)/
小刀 [しょうとう] /(n) small knife/short sword/
小刀細工 [こがたなざいく] /(n) (1) carving with a knife/(2) cheap trick/simple trickery/petty strategem/
小島 [こじま] /(n) small island/islet/(P)/
小東京 [しょうとうきょう] /(n) epitome of Tokyo/miniature Tokyo/
小盗人 [こぬすびと] /(n) sneak thief/
小豆 [あずき] /(gikun) (n) adzuki beans/(P)/
小豆粥 [あずきがゆ] /(n) rice gruel with adzuki beans/
小豆象虫 [あずきぞうむし] /(n) (uk) adzuki bean weevil (Callosobruchus chinensis)/
小豆色 [あずきいろ] /(n) reddish-brown/
小豆飯 [あずきめし] /(n) rice boiled with adzuki beans/
小豆鱒 [あずきます] /(n) rock cod/black-saddled grouper/
小頭 [こがしら] /(n,adj-no) head of an organizational section/head of an organisational section/
小頭症 [しょうとうしょう] /(n,adj-no) microcephaly/
小動き [こうごき] /(n) minor fluctuations (e.g. in a market)/small movements/
小動物 [しょうどうぶつ] /(n) small animals/
小童 [こじょく] /(n) (1) (arch) girl-in-training (e.g. a geisha-in-training or a girl who performs miscellaneous tasks in a brothel)/(2) (arch) (derog) brat/scamp/rascal/jackanapes/(3) (arch) disciple/apprentice/
小童 [こわっぱ] /(n) (uk) (derog) boy/child/youth/brat/
小童 [こわらべ] /(ok) (n) (uk) (derog) boy/child/youth/brat/
小童 [こわらわ] /(ok) (n) (uk) (derog) boy/child/youth/brat/
小童 [しょうどう] /(n) (arch) young person/young servant/
小童 [ちいさわらわ] /(n) (arch) small child (esp. a servant child in the Heian-period imperial palace)/
小道 [こみち] /(n) path/lane/
小道具 [こどうぐ] /(n) props/(stage) properties/gadgets/(P)/
小突き回す [こづきまわす] /(v5s) to push somebody around/to shove someone about/to handle roughly/
小突く [こづく] /(v5k,vt) to poke/to push/
小鍋 [こなべ] /(n) small saucepan/small pot/
小楢 [こなら] /(n) konara oak/quercus serrata/
小難 [しょうなん] /(n) small misfortune/
小難しい [こむずかしい] /(adj-i) troublesome/fastidious/tortuous/
小韮 [こみら] /(n) (arch) Chinese chive/garlic chive (Allium tuberosum)/
小猫 [こねこ] /(n) kitten/
小嚢 [しょうのう] /(n) follicle/saccule/vesicle/little sac/
小脳 [しょうのう] /(n,adj-no) cerebellum/
小農 [しょうのう] /(n) small farmer/
小巴旦 [こばたん] /(n) (uk) yellow-crested cockatoo (Cacatua sulphurea)/
小波 [さざなみ] /(n) (uk) ripple (on water)/wavelets/
小破 [しょうは] /(n,vs) slight damage/
小馬 [こうま] /(n) (1) small horse/pony/(2) foal/colt/filly/
小馬座 [こうまざ] /(n) (constellation) Colt/
小馬鹿 [こばか] /(n) a fool/
小馬鹿にする [こばかにする] /(exp,vi) (1) to scoff/(vt) (2) to downplay/to treat someone disparagingly/to treat someone with contempt/
小買い [こがい] /(n,vs) buying in small quantity/
小売 [こうり] /(n,vs) retail/(P)/
小売り [こうり] /(n,vs) retail/(P)/
小売りに卸す [こうりにおろす] /(exp,v5s) to sell wholesale to a retailer/
小売り市場 [こうりいちば] /(n) retail market/
小売り店 [こうりてん] /(n) retail store/retail shop/(P)/
小売価格 [こうりかかく] /(n) retail price/(P)/
小売商 [こうりしょう] /(n) a or the retail trade/
小売値 [こうりね] /(n) retail price/
小売値段 [こうりねだん] /(n) retail price/
小売店 [こうりてん] /(n) retail store/retail shop/(P)/
小売物価指数 [こうりぶっかしすう] /(n) retail price index/
小蝿 [こばえ] /(n) (col) small household fly (i.e. a fruit fly)/
小麦 [こむぎ] /(n) wheat/(P)/
小麦色 [こむぎいろ] /(n) light (cocoa) brown/
小麦粉 [こむぎこ] /(n) wheat flour/(P)/
小箱 [こばこ] /(n) casket/small box/
小鉢 [こばち] /(n) small bowl/
小発作 [しょうほっさ] /(n) petit mal (seizure)/
小判 [こばん] /(n) (1) koban/small former Japanese oval gold coin/(n,adj-no) (2) oval/(n) (3) small size (of paper)/
小判型 [こばんがた] /(n) an ellipse or oval/
小判形 [こばんがた] /(n,adj-no) oval/elliptical/oblong/
小判鮫 [こばんざめ] /(n) (1) (uk) remora/suckerfish/sharksucker (any fish of family Echeneidae)/(2) live sharksucker (Echeneis naucrates)/
小半時 [こはんとき] /(n) (arch) approximatively thirty minutes/
小半日 [こはんにち] /(n-adv,n-t) approximately half a day/
小肥り [こぶとり] /(adj-na,n) plump/
小鼻 [こばな] /(n) nostrils/wings of the nose/
小膝 [こひざ] /(n) knee/
小菱形骨 [しょうりょうけいこつ] /(n) trapezoid bone/
小紐 [こひも] /(n) small strap tied at the waist of a hanpi/
小百合 [さゆり] /(n) lily/
小百姓 [こびゃくしょう] /(n) peasant/small farmer/
小鰭 [こはだ] /(n) (uk) mid-sized konoshiro gizzard shad (i.e. about 15 cm in size)/
小鰭巨頭 [こびれごんどう] /(n) (uk) short-finned pilot whale (Globicephala macrorhyncus)/
小品 [しょうひん] /(n) something very small/essay/literary sketch/(P)/
小品集 [しょうひんしゅう] /(n) collection of literary sketches/sketch book/
小瓶 [こびん] /(n) small bottle/
小父 [おじ] /(n) (used with suffix -san or -sama) endearing term for unrelated older man/(with suffix -san) term used by a child to address unrelated adult male/
小父さん [おじさん] /(n) (1) (hon) (fam) uncle/(2) (fam) old man/mister (vocative)/(3) (uk) manybar goatfish (Parupeneus multifasciatus)/
小部 [しょうぶ] /(n) (of a book, etc.) short/
小部屋 [こべや] /(n) small room/closet/
小部分 [しょうぶぶん] /(n) small part (of the whole)/
小幅 [こはば] /(n,adj-na) single-breadth cloth, approx. 36 cm wide/(P)/
小腹 [こばら] /(n) belly/abdomen/
小腹が立つ [こばらがたつ] /(exp,v5t) to be slightly offended/to be somewhat irritated/
小物 [こもの] /(n) accessories/small articles/(P)/
小物入れ [こものいれ] /(n) accessory case/
小分け [こわけ] /(n,vs) subdivision/
小文字 [こもじ] /(n) lower case letters/(P)/
小文字名前開始文字 [こもじなまえかいしもじ] /(n) (comp) lower-case name start characters/
小文字名前文字 [こもじなまえもじ] /(n) (comp) lower-case name characters/
小文節 [しょうぶんせつ] /(n) small paragraph (WNN)/
小兵 [こひょう] /(n) small build or stature/
小幣 [こぬさ] /(n) (1) (arch) small purification wand/(2) thinly cut hemp or paper mixed with rice (scattered as an offering to the gods)/
小平次元 [こだいらじげん] /(n) (math) Kodaira dimension/
小柄 [こがら] /(adj-na,n,adj-no) short (build)/
小柄 [こづか] /(n) knife attached to the sheath of a sword/(P)/
小柄 [しょうへい] /(n) sterigma/
小米 [こごめ] /(n) crushed rice/tiny pieces of rice/
小変 [しょうへん] /(n) slight change/
小片 [しょうへん] /(n) crumbling/speck/
小編 [しょうへん] /(n) conte/(very) short story or article/
小返り [こがえり] /(n) inclined plane/
小便 [しょうべん] /(n,vs,adj-no) (col) urine/piss/pee/(P)/
小便 [しょんべん] /(n,vs,adj-no) (col) urine/piss/pee/
小便をする [しょうべんをする] /(exp,vs-i) to pee/to piss/
小便をする [しょんべんをする] /(exp,vs-i) to pee/to piss/
小便を漏らす [しょうべんをもらす] /(exp,v5s) to wet one's pants/to wet oneself/
小便器 [しょうべんき] /(n) urinal/
小便所 [しょうべんじょ] /(n) urinal/
小便小僧 [しょうべんこぞう] /(n) Mannekin Pis (cupid-like statue urinating into a fountain)/petite Julien/
小母 [おば] /(n) (uk) (used with suffix -san or -sama) endearing term for unrelated older woman/(with suffix -san) term used by a child to address unrelated adult female/
小母さん [おばさん] /(n) (fam) old lady/ma'am (vocative)/
小包 [こづつみ] /(n) parcel/package/(P)/
小包み [こづつみ] /(io) (n) parcel/package/(P)/
小包郵便物 [こづつみゆうびんぶつ] /(n) parcel (to be sent by post)/
小峰楓 [こみねかえで] /(n) garden maple/komine maple/acer micranthum/
小法廷 [しょうほうてい] /(n) petty bench of the supreme court/small claims court/
小胞 [しょうほう] /(n,adj-no) vesicle/
小胞子 [しょうほうし] /(n) microspore/
小胞子嚢 [しょうほうしのう] /(n) microsporangium/
小胞体 [しょうほうたい] /(n) endoplasmic reticulum/
小坊主 [こぼうず] /(n) young priest/scamp/
小望月 [こもちづき] /(n) night before the full moon/14th day of the lunar calendar/
小堀流 [こぼりりゅう] /(n) (MA) kobori/swimming while wearing armor/
小麻 [こぬさ] /(n) (1) (arch) small purification wand/(2) thinly cut hemp or paper mixed with rice (scattered as an offering to the gods)/
小妹 [しょうまい] /(pn) little sister/younger sister/
小鱒 [こます] /(n) baby trout/troutling/
小満 [しょうまん] /(n) "grain full" solar term (approx. May 21)/
小椋鳥 [こむくどり] /(n) red-cheeked myna (Sturnus phillippensis)/violet-backed starling/
小娘 [こむすめ] /(n) young girl/lass/adolescent female/
小名 [しょうみょう] /(n) minor feudal lord/
小面 [しょうめん] /(n) facet/
小面データ [しょうめんデータ] /(n) (comp) facet data/
小面除去 [しょうめんじょきょ] /(n) (comp) facet culling/
小面憎い [こづらにくい] /(n) cheeky/saucy/pert/
小面法線 [しょうめんほうせん] /(n) (comp) facet normal/
小網座 [こあみざ] /(n) constellation Reticulum/
小目 [こもく] /(n) komoku/cross next to the star (on a go game board)/
小戻す [こもどす] /(v5s) to rally a little (e.g. market)/
小戻り [こもどり] /(n) recovering slightly/making a small rally/
小紋 [こもん] /(n) fine pattern/
小夜 [さよ] /(n) evening/
小夜曲 [さよきょく] /(n) serenade/
小夜曲 [しょうやきょく] /(ok) (n) serenade/
小夜時雨 [さよしぐれ] /(n) light shower on a night in late autumn and early winter/
小夜鳴き鳥 [さよなきどり] /(n) (uk) nightingale (Luscinia megarhynchos)/
小夜嵐 [さよあらし] /(n) strong nighttime wind/
小野 [おの] /(n) (arch) plain/field/
小役人 [こやくにん] /(n) petty official/
小躍り [こおどり] /(n,vs) dancing or jumping for joy/
小勇 [しょうゆう] /(n) brute courage/
小用 [こよう] /(n) (1) trifling matter/(2) urination/urine/
小用 [しょうよう] /(n) (1) trifling matter/(2) urination/urine/
小羊 [こひつじ] /(n) lamb/(P)/
小羊歯 [こしだ] /(n) (uk) old world forked fern/Dicranopteris linearis/
小葉擬宝珠 [こばぎぼうし] /(n) koba (small leaves) plantation lily/
小葉団扇楓 [こはうちわかえで] /(n) Siebold maple/acer sieboldianum/
小踊り [こおどり] /(n,vs) dancing or jumping for joy/
小欲 [しょうよく] /(n) only slightly covetous/
小翼羽 [しょうよくう] /(n) alula/bastard wing/
小利 [しょうり] /(n) small profit/
小利口 [こりこう] /(adj-na,n) clever/smart/
小吏 [しょうり] /(n) petty official/
小粒 [こつぶ] /(adj-na,n,adj-no) small grain/small stature or ability/
小料理 [こりょうり] /(n) Japanese casual dish/
小料理屋 [こりょうりや] /(n) small restaurant/eating house/
小量 [しょうりょう] /(adj-na,n-adv,n) small dose/small quantity/narrowmindedness/(P)/
小瑠璃 [こるり] /(n) (uk) Siberian blue robin (Luscinia cyane)/
小路 [こうじ] /(n) lane/alley/
小路 [こみち] /(n) path/lane/
小路 [しょうじ] /(n) lane/alley/
小禄 [しょうろく] /(n) small stipend/
小論 [しょうろん] /(n) short article/one's own article/
小論文 [しょうろんぶん] /(n) short essay/pamphlet/tract/
小話 [こばなし] /(n) (1) anecdote/(2) brief (comic) story/
小話 [しょうわ] /(n) (1) anecdote/(2) brief (comic) story/
小脇 [こわき] /(n) under one's arm/(in) the armpit/
小惑星 [しょうわくせい] /(n) asteroid/(P)/
小惑星帯 [しょうわくせいたい] /(n) asteroid belt/
小倅 [こせがれ] /(n) (1) (hum) one's son/(2) you little bastard/you little brat/
小匣 [こばこ] /(n) casket/small box/
小咄 [こばなし] /(n) (1) anecdote/(2) brief (comic) story/
小婢 [しょうひ] /(n) (arch) young female servant/
小弯 [しょうわん] /(n) lesser curvature of stomach/curvatura ventriculi minor/
小蘗 [めぎ] /(n) (uk) Japanese barberry (Berberis thunbergii)/
小癪 [こしゃく] /(adj-na,n) impudent/
小皺 [こじわ] /(n,adj-no) fine wrinkles/crow's feet/
小筥 [こばこ] /(n) casket/small box/
小篆 [しょうてん] /(n) small seal script (arising during China's Warring States period)/
小籠包 [しょうろうぽう] /(n) variety of Chinese dumplings/
小籠包 [しょうろんぽう] /(n) variety of Chinese dumplings/
小籠包 [ちょうろんぽう] /(n) variety of Chinese dumplings/
小綺麗 [こぎれい] /(adj-na) neat/trim/tidy/pretty/
小舅 [こじゅうと] /(n) brother-in-law/
小蜈蚣 [こむかで] /(n) (uk) symphylan (any centipede-like arthropod of class Symphyla)/
小蠅 [こばえ] /(n) (col) small household fly (i.e. a fruit fly)/
小褄取 [こづまとり] /(n) rear toe pick (sumo)/
小褄取 [こづまどり] /(n) rear toe pick (sumo)/
小褄取り [こづまとり] /(n) rear toe pick (sumo)/
小褄取り [こづまどり] /(n) rear toe pick (sumo)/
小逕 [しょうけい] /(n) lane/
小鬢 [こびん] /(n) lock of hair (on the side of the head)/
小鰺刺 [こあじさし] /(n) little tern (the official bird of Chiba)/sterna albifrons/
少 [しょう] /(pref) small/little/few/
少々 [しょうしょう] /(exp,n-adv,n) just a minute/small quantity/(P)/
少々足りない [しょうしょうたりない] /(adj-i) somewhat lacking/somewhat weak in the head/
少い [すくない] /(io) (adj-i) few/a little/scarce/insufficient/seldom/
少くとも [すくなくとも] /(io) (adv) at least/
少し [すこし] /(adv,n) (1) small quantity/little/few/something/(2) little while/(3) short distance/(P)/
少しずつ [すこしずつ] /(adv) little by little/
少しずつ違う [すこしずつちがう] /(exp,v5u) to differ a little (esp. of two or several versions)/
少しづつ [すこしづつ] /(exp) little by little/a little for each/gradually/
少しの損で済む [すこしのそんですむ] /(v5m) to get off with a little loss/
少しも [すこしも] /(exp,adv) anything of/not one bit (with negative sentence)/(P)/
少しも気にならない [すこしもきにならない] /(exp,adj-i) not be concerned at all/not mind at all/not care a bit/
少し宛 [すこしづつ] /(exp) little by little/a little for each/gradually/
少と [ちっと] /(adv) (1) (uk) a little bit/(2) a little while/
少と [ちと] /(adv) (1) (uk) a little bit/(2) a little while/
少ない [すくない] /(adj-i) few/a little/scarce/insufficient/seldom/(P)/
少ない時間 [すくないじかん] /(n) limited time/
少なからず [すくなからず] /(adv) considerably/not a little/in no small numbers/(P)/
少なからぬ [すくなからぬ] /(exp) not a little (few)/
少なくとも [すくなくとも] /(adv) at least/(P)/
少なくも [すくなくも] /(adv) at least/
少なげ [すくなげ] /(exp) scarcity/
少なすぎる [すくなすぎる] /(v1) to be lacking in options/to be too few/
少なめ [すくなめ] /(adj-no) somewhat below/slightly below/
少な過ぎる [すくなすぎる] /(v1) to be lacking in options/to be too few/
少な目 [すくなめ] /(adj-no) somewhat below/slightly below/
少尉 [しょうい] /(n) second lieutenant/sublieutenant/ensign/(P)/
少慰 [しょうい] /(n) ensign (navy)/second lieutenant (marine and army)/
少雨 [しょうう] /(n) small amount of rainfall/(a) light rainfall/
少雨決行 [しょううけっこう] /(iK) (exp,n) canceled only in case of heavy rain/
少恩 [しょうおん] /(n) small favors/small favours/
少額 [しょうがく] /(n,adj-no) small sum (e.g. of money)/small denomination/(P)/
少監 [しょうげん] /(n) (arch) inspector (of the Dazaifu)/
少閑 [しょうかん] /(n) short interval of leisure/short break or breather/lull/
少関 [しょうかん] /(n) short interval of leisure/short break or breather/lull/
少許 [しょうきょ] /(n) a little/a few/a bit/a touch/a smidge/
少憩 [しょうけい] /(n,vs) short rest/recess/
少国民 [しょうこくみん] /(n) the rising generation/children/
少佐 [しょうさ] /(n) major/lieutenant commander/wing commander/(P)/
少子 [しょうし] /(n) low birth rate/
少子化 [しょうしか] /(n,vs) declining birth rates/decrease in the number of children/
少資本 [しょうしほん] /(n) small capital/
少時 [しょうじ] /(n-adv,n-t) one's early days/little while/
少者 [しょうしゃ] /(n) young person/
少女 [おとめ] /(n) young lady/little girl/virgin/maiden/daughter/
少女 [しょうじょ] /(n) young lady/little girl/virgin/maiden/daughter/(P)/
少女子 [おとめご] /(n) (arch) young lady/little girl/
少女小説 [しょうじょしょうせつ] /(n) story for young girls/
少将 [しょうしょう] /(n,adj-no) major general/rear admiral/air commodore/(P)/
少少 [しょうしょう] /(exp,n-adv,n) just a minute/small quantity/
少少足りない [しょうしょうたりない] /(adj-i) somewhat lacking/somewhat weak in the head/
少食 [しょうしょく] /(n) light eating/spare diet/
少食家 [しょうしょくか] /(n) light eater/
少人数 [しょうにんず] /(n,adj-no) small number of people/
少人数 [しょうにんずう] /(n,adj-no) small number of people/
少数 [しょうすう] /(n,adj-no) minority/few/(P)/
少数意見 [しょうすういけん] /(n) minority opinion/(P)/
少数者 [しょうすうしゃ] /(n) the minority/
少数精鋭 [しょうすうせいえい] /(n) elect (select) few/
少数多体系 [しょうすうたたいけい] /(n) few-body (physics)/
少数点 [しょうすうてん] /(iK) (n) decimal point/radix point/
少数党 [しょうすうとう] /(n) minority party/
少数派 [しょうすうは] /(n) minority group (party)/minority/
少数民族 [しょうすうみんぞく] /(n,adj-no) minority peoples/
少壮 [しょうそう] /(adj-na,n) youth/
少壮気鋭 [しょうそうきえい] /(n,adj-no) young and energetic/up-and-coming/
少壮血気 [しょうそうけっき] /(n,adj-no) young and hot-blooded (impetuous)/
少壮士官 [しょうそうしかん] /(n) youth officer/
少壮有為 [しょうそうゆうい] /(adj-no) energetic/
少弟 [しょうてい] /(pn,adj-no) young brother/
少敵 [しょうてき] /(n) weak opponent/weak enemy/
少糖類 [しょうとうるい] /(n) oligosaccharide (sugar polymer containg several but not many component simple sugars)/
少童 [しょうどう] /(n) (arch) young person/young servant/
少年 [しょうねん] /(n) boys/juveniles/(P)/
少年よ大志を抱け [しょうねんよたいしをいだけ] /(exp) (id) Boys, be ambitious/
少年愛嗜好 [しょうねんあいしこう] /(n) pedophilia/
少年院 [しょうねんいん] /(n) reform school/
少年会 [しょうねんかい] /(n) junior society/
少年感化院 [しょうねんかんかいん] /(n) reform school/
少年鑑別所 [しょうねんかんべつしょ] /(n) juvenile detention centre/juvenile detention center/juvenile detention home/
少年少女 [しょうねんしょうじょ] /(n,adj-no) boys and girls/
少年審判所 [しょうねんしんぱんしょ] /(n) juvenile court/
少年審判所 [しょうねんしんぱんじょ] /(n) juvenile court/
少年団 [しょうねんだん] /(n) Boy Scouts/
少年犯罪 [しょうねんはんざい] /(n) juvenile crime/juvenile delinquency/
少年文学 [しょうねんぶんがく] /(n) juvenile literature/
少年法 [しょうねんほう] /(n) juvenile law/
少年労働 [しょうねんろうどう] /(n) child labor/child labour/
少年老いやすく学成りがたし [しょうねんおいやすくがくなりがたし] /(exp) (arch) Youthful years pass quickly before one accomplishes much learning/
少年老い易く学成り難し [しょうねんおいやすくがくなりがたし] /(exp) (arch) Youthful years pass quickly before one accomplishes much learning/
少妹 [しょうまい] /(pn) little sister/younger sister/
少欲 [しょうよく] /(n) a little covetousness/
少量 [しょうりょう] /(adj-na,n-adv,n) small dose/small quantity/narrowmindedness/(P)/
少林拳 [しょうりんけん] /(n) Shaolin kung fu/
少林寺拳法 [しょうりんじけんぽう] /(n) Shorinji Kempo (modern Japanese martial art based on Shaolin kung fu)/
少林寺流 [しょうりんじりゅう] /(n) (MA) Shorin-ryu/Okinawa school of karate/
少林流 [しょうりんりゅう] /(n) (MA) (Shorin-ryu) Okinawa school of karate/
少婢 [しょうひ] /(n) (arch) young female servant/
尚 [なお] /(adv,conj) (uk) furthermore/still/yet/more/still more/in addition/greater/further/(P)/
尚々 [なおなお] /(adv) all the more/
尚さら [なおさら] /(adv) all the more/still less/
尚の事 [なおのこと] /(exp,adv) all the more/still more/
尚以て [なおもって] /(adv) all the more/
尚且つ [なおかつ] /(adv) (uk) besides/and yet/(P)/
尚古 [しょうこ] /(n) respect for olden days/
尚更 [なおさら] /(adv) all the more/still less/(P)/
尚書き [なおがき] /(n) proviso/
尚書省 [しょうしょしょう] /(n) Department of State Affairs (Tang-dynasty China)/
尚尚 [なおなお] /(adv) all the more/
尚早 [しょうそう] /(adj-na,n,adj-no) prematurity/
尚武 [しょうぶ] /(n) militarism/warlike spirit/
尚又 [なおまた] /(adv) further/besides/moreover/
庄 [しょう] /(n,n-suf) manor/
庄 [そう] /(n,n-suf) manor/
庄園 [しょうえん] /(n) manor/demesne/
庄屋 [しょうや] /(n) (ksb:) village headman/
床 [しょう] /(ctr) counter for beds/
床 [とこ] /(n) (1) bed/bedding/(2) sickbed/(3) (abbr) alcove/(4) riverbed/(5) seedbed/(6) straw "core" of a tatami mat/(7) floor/(P)/
床 [ゆか] /(n) (1) floor/(2) stage (for the narrator and the shamisen player)/(3) dining platform built across a river/(P)/
床しい [ゆかしい] /(adj-i) (1) admirable/charming/refined/(2) nostalgic/(3) (uk) curious/eager to know (or see, experience, etc.)/
床ずれ [とこずれ] /(n,vs) bedsores/
床にタイルを張る [ゆかにタイルをはる] /(exp,v5r) to tile a floor/
床にタイルを貼る [ゆかにタイルをはる] /(exp,v5r) to tile a floor/
床に就く [とこにつく] /(exp,v5k) to go to bed/to be sick in bed/to be laid up/
床の間 [とこのま] /(n) tokonoma (alcove where art or flowers are displayed)/(P)/
床をあげる [とこをあげる] /(exp,v1) (1) to put away one's bedding/(2) to recover from an illness (and put away one's sickbed)/
床を取る [とこをとる] /(exp,v5r) (obsc) to lay out one's bedding/
床を上げる [とこをあげる] /(exp,v1) (1) to put away one's bedding/(2) to recover from an illness (and put away one's sickbed)/
床を伸べる [とこをのべる] /(exp,v1) to spread (make) a bed/
床を払う [とこをはらう] /(exp,v5u) (obsc) to recover from an illness (and put away one's sickbed)/
床タイル [ゆかタイル] /(n) floor tile/
床運動 [ゆかうんどう] /(n) floor exercises/
床屋 [とこや] /(n) barbershop/barber/(P)/
床屋談義 [とこやだんぎ] /(n) barbershop talk/
床下 [ゆかした] /(n) under the floor/(P)/
床机 [しょうぎ] /(n) camp stool/folding stool/
床材 [ゆかざい] /(n) flooring (material)/
床擦れ [とこずれ] /(n,vs) bedsores/
床山 [とこやま] /(n) (actors' or sumo wrestlers') hairdresser/
床上 [ゆかうえ] /(n) on a floor/above floor level/
床上げ [とこあげ] /(n,vs) recovery from an illness/
床上浸水 [ゆかうえしんすい] /(n) inundation above floor level/
床飾り [とこかざり] /(n) art object for a tokonoma/
床掃除 [ゆかそうじ] /(n,vs) cleaning floors/
床暖房 [ゆかだんぼう] /(n) floor heating/
床柱 [とこばしら] /(n) alcove post/
床店 [とこみせ] /(n) booth or stall in front of a home/
床入り [とこいり] /(n,vs) consummation of a marriage/
床板 [しょうばん] /(n) floorboard/floorboards/
床板 [とこいた] /(n) alcove slab/wooden board placed in a tokonoma/baseboard/base plate/
床板 [ゆかいた] /(n) floorboard/floorboards/
床板珊瑚 [しょうばんさんご] /(n) tabulate coral (extinct coral of the order Tabulata)/
床板珊瑚類 [しょうばんさんごるい] /(n) tabulate corals (extinct corals of the order Tabulata)/
床敷 [とこしき] /(n) animal bedding/sand thrown on ship decks/any kind of floor covering/
床伏 [とこぶし] /(n) (uk) Sulculus diversicolor supertexta (species of abalone or ear shell)/
床払い [とこばらい] /(n,vs) recovery from an illness/
床面積 [ゆかめんせき] /(n) floor space/
床離れ [とこばなれ] /(n,vs) getting up/getting out of bed/recovery from an illness/
床脇 [とこわき] /(n) section of a room next to the alcove (where shelves are often placed)/
床几 [しょうぎ] /(n) camp stool/folding stool/
床榻 [しょうとう] /(n) bed/seat/bench/
床虱 [とこじらみ] /(n) bedbug/
彰義隊 [しょうぎたい] /(n) Shogitai (group of former Tokugawa retainers opposed to the Meiji government who fought in the battle of Ueno)/
彰徳 [しょうとく] /(n,vs) (obsc) public praise/making another's virtues well-known/
彰明 [しょうめい] /(n,vs) manifest/exhibiting clearly/
承 [しょう] /(n) (abbr) second line of a four-line Chinese poem/
承け [うけ] /(n) (1) popularity/favour/favor/reception/(2) defense/defence/reputation/(3) agreement/(4) receiver of technique (e.g. in martial arts)/(5) (uk) (col) submissive partner of a homosexual relationship/
承ける [うける] /(v1,vt) (1) to receive/to get/(2) to catch (e.g. a ball)/(3) to be struck by (wind, waves, sunlight, etc.)/(4) to sustain (damage)/to incur (a loss)/to suffer (an injury)/to feel (influence)/(5) to undergo (e.g. surgery)/to take (a test)/to accept (a challenge)/(6) to be given (e.g. life, talent)/(7) to follow/to succeed/to be descended from/(8) to face (south, etc.)/(9) (ling) to be modified by/(10) to obtain (a pawned item, etc.) by paying a fee/(v1,vi) (11) to be well-received/to become popular/to go down well/
承る [うけたまわる] /(v5r,vt) (1) (hum) to hear/to be told/to know/(2) to receive (order)/to undertake/to comply/to take (a reservation, etc.)/(P)/
承安 [しょうあん] /(n) Shouan era (1171.4.21-1175.7.28)/
承安 [じょうあん] /(n) (obsc) Jouan era, Shouan era (1171.4.21-1175.7.28)/
承允 [しょういん] /(n,vs) consent/acceptance/agreement/
承引 [しょういん] /(n,vs) consent/acceptance/agreement/
承応 [しょうおう] /(n) (obsc) Shouou era, Jouou era (1652.9.18-1655.4.13)/
承応 [じょうおう] /(n) Jouou era (1652.9.18-1655.4.13)/
承久 [しょうきゅう] /(n) (obsc) Shoukyuu era, Joukyuu era (1219.4.12-1222.4.13)/
承久 [じょうきゅう] /(n) Joukyuu era (1219.4.12-1222.4.13)/
承久の変 [じょうきゅうのへん] /(n) Jokyu uprising/
承句 [しょうく] /(n) (1) development of a text/(2) the second line in a four-line Chinese poem/
承継 [しょうけい] /(n,vs) succession/accession/inheritance/
承元 [しょうげん] /(n) (obsc) Shougen era, Jougen era (1207.10.25-1211.3.9)/
承元 [じょうげん] /(n) Jougen era (1207.10.25-1211.3.9)/
承口 [うけくち] /(n) (1) mouth with a protruding lower lip and jaw/
承口 [うけぐち] /(n) (1) mouth with a protruding lower lip and jaw/(2) socket/receiving window/slot/
承香殿 [しょうきょうでん] /(n) banquet and concert pavilion (of the inner Heian Palace)/
承香殿 [そきょうでん] /(n) banquet and concert pavilion (of the inner Heian Palace)/
承前 [しょうぜん] /(n) continued (from)/
承諾 [しょうだく] /(n,vs,adj-no) consent/acquiescence/agreement/(P)/
承諾書 [しょうだくしょ] /(n) letter of acceptance/letter of consent/
承諾年齢 [しょうだくねんれい] /(n) age of consent/
承知 [しょうち] /(n,vs) (1) acknowledgment/acknowledgement/awareness/(2) consent/acceptance/assent/admitting/compliance/agreement/(P)/
承知の助 [しょうちのすけ] /(exp) (col) OK/Sure/Yessir!/Okeydokey!/Understood/
承知の上で [しょうちのうえで] /(exp) intentionally/on purpose/deliberately/taking something into account/
承知の幕 [しょうちのまく] /(n) agreement/
承知尽く [しょうちずく] /(n) acting on mutual agreement/
承知尽く [しょうちづく] /(n) acting on mutual agreement/
承知之助 [しょうちのすけ] /(exp) (col) OK/Sure/Yessir!/Okeydokey!/Understood/
承徳 [しょうとく] /(n) (obsc) Shoutoku era, Joutoku era (1097.11.21-1099.8.28)/
承徳 [じょうとく] /(n) Joutoku era (1097.11.21-1099.8.28)/
承認 [しょうにん] /(n,vs) recognition/acknowledgement/acknowledgment/approval/consent/agreement/(P)/
承認印 [しょうにんいん] /(n) seal of approval/
承認者 [しょうにんしゃ] /(n) (comp) approver/authorizer/
承認者表示 [しょうにんしゃひょうじ] /(n) (comp) authorizing users indication/
承認証 [しょうにんしょう] /(n) seal of approval/
承認証明書 [しょうにんしょうめいしょ] /(n) certificate of approval/
承認状 [しょうにんじょう] /(n) certificate of approval/
承認図 [しょうにんず] /(n) approved plan or drawing/
承認履歴 [しょうにんりれき] /(n) (comp) approval log/
承伏 [しょうふく] /(n,vs) compliance/consent/submission/
承服 [しょうふく] /(n,vs) compliance/consent/submission/(P)/
承平 [しょうへい] /(n) (obsc) Shouhei era, Jouhei era (931.4.26-938.5.22)/
承平 [じょうへい] /(n) Jouhei era (931.4.26-938.5.22)/
承保 [しょうほ] /(n) (obsc) Jouhou era (1074.8.23-1077.11.17)/Shouho era/Shouhou era/
承保 [しょうほう] /(n) (obsc) Jouhou era (1074.8.23-1077.11.17)/Shouho era/Shouhou era/
承保 [じょうほう] /(n) (obsc) Jouhou era (1074.8.23-1077.11.17)/Shouho era/Shouhou era/
承暦 [しょうりゃく] /(n) (obsc) Shouryaku era, Jouryaku era (1077.11.17-1081.2.10)/
承暦 [じょうりゃく] /(n) Jouryaku era (1077.11.17-1081.2.10)/
承和 [しょうわ] /(n) Jouwa era (834.1.3-848.6.13)/Shouwa era/
承和 [じょうわ] /(n) Jouwa era (834.1.3-848.6.13)/Shouwa era/
抄 [しょう] /(n) (1) (obs) excerpt/extract/(2) annotation/(3) shou (unit of volume, approx. 1.8 ml)/
抄き返す [すきかえす] /(v5s,vt) to remake (paper)/
抄く [すく] /(v5k) to make something (i.e. paper) from wet, pulpy material by spreading it thin and drying it/
抄紙 [しょうし] /(n) paper making/
抄出 [しょうしゅつ] /(n,vs) taking excerpts/extraction/
抄物 [しょうもつ] /(n) (1) Muromachi-period texts or annotations of texts used in Zen lectures/(2) extracting from or excerpting (a classic)/
抄物 [しょうもの] /(n) (1) Muromachi-period texts or annotations of texts used in Zen lectures/(2) extracting from or excerpting (a classic)/
抄本 [しょうほん] /(n) excerpt/abridgment/book of selections/(P)/
抄訳 [しょうやく] /(n,vs) abridged translation/
抄録 [しょうろく] /(n,vs) quotation/abstract/selection/summary/(P)/
抄録 [すぐき] /(n) regional pickle of Kyoto made from turnip-like vegetable/
抄録ページ [しょうろくページ] /(n) (comp) abstract page/
招かれざる客 [まねかれざるきゃく] /(n) uninvited guest/
招き [まねき] /(n) invitation/(P)/
招き入れる [まねきいれる] /(v1) to invite in/to show someone in/
招き猫 [まねきねこ] /(n) beckoning cat/figure of a cat with one paw raised (usu. white porcelain)/
招く [まねく] /(v5k,vt) to invite/(P)/
招じる [しょうじる] /(v1,vt) to summon/to invite/to call/to have as one's guest/
招じ入れる [しょうじいれる] /(v1,vt) to invite or usher in/
招ずる [しょうずる] /(vz,vt) to summon/to invite/to call/to have as one's guest/
招へい [しょうへい] /(n) (1) invitation/call/(vs) (2) to invite/
招へい理由書 [しょうへいりゆうしょ] /(n) invitation letter (e.g. document in support of a visa to enter Japan)/
招宴 [しょうえん] /(n,vs) banquet/invitation to a party/party/
招魂 [しょうこん] /(n) invocation of the dead/
招集 [しょうしゅう] /(n,vs,adj-no) calling or convening (a meeting, assembly, congress)/(P)/
招請 [しょうせい] /(n,vs) calling together/invitation/(P)/
招請国 [しょうせいこく] /(n) host nation/
招待 [しょうたい] /(n,vs,adj-no) invitation/(P)/
招待 [しょうだい] /(ok) (n,vs,adj-no) invitation/
招待にあずかる [しょうたいにあずかる] /(exp,v5r) (obsc) to receive an invitation/
招待に与る [しょうたいにあずかる] /(exp,v5r) (obsc) to receive an invitation/
招待に漏れる [しょうたいにもれる] /(exp,v1) to be left out of an invitation/
招待演説者 [しょうたいえんせつしゃ] /(n) guest speaker/
招待客 [しょうたいきゃく] /(n) invitee/
招待券 [しょうたいけん] /(n) complimentary ticket/invitation card/invitation ticket/
招待講演 [しょうたいこうえん] /(n) invited lecture/
招待講演者 [しょうたいこうえんしゃ] /(n) invited speaker/guest speaker at/
招待状 [しょうたいじょう] /(n) written invitation/
招待席 [しょうたいせき] /(n) seats reserved for guests/
招待日 [しょうたいび] /(n) day or date of an invitation/
招致 [しょうち] /(n,vs) invitation/(P)/
招致委員会 [しょうちいいんかい] /(n) bid committee/
招福 [しょうふく] /(n) good luck charm/something that encourages or invites good luck/
招木 [まねき] /(n) part of a loom/
招来 [しょうらい] /(n,vs) invitation/bringing about/giving rise to/causing/
招聘 [しょうへい] /(n) (1) invitation/call/(vs) (2) to invite/
招聘理由書 [しょうへいりゆうしょ] /(n) invitation letter (e.g. document in support of a visa to enter Japan)/
掌 [たなごころ] /(n) the palm (of one's hand)/
掌 [てのひら] /(n) the palm (of one's hand)/(P)/
掌る [つかさどる] /(v5r,vt) to rule/to govern/to administer/
掌を指す [しょうをさす] /(exp,v5s) (id) to be obvious/to be obviously correct/to point to one's palm/
掌を指す [たなごころをさす] /(exp,v5s) (id) to be obvious/to be obviously correct/to point to one's palm/
掌を返す [たなごころをかえす] /(exp,v5s) (1) to change one's attitude quickly/(2) to flip over one's hand/
掌を返す [てのひらをかえす] /(exp,v5s) (1) to change one's attitude quickly/(2) to flip over one's hand/
掌握 [しょうあく] /(n,vs) grasping/seizing/holding/(P)/
掌客 [しょうきゃく] /(n) (arch) court official in charge of entertaining important guests/
掌骨 [しょうこつ] /(n,adj-no) (obsc) bones of the palm (esp. the metacarpals, but sometimes also including the carpals)/
掌中 [しょうちゅう] /(n) in the hand/(something) easily manipulated/(P)/
掌中の玉 [しょうちゅうのたま] /(n) apple of one's eye/
掌中本 [しょうちゅうぼん] /(n) pocket edition/
掌程 [しょうてい] /(oK) (n) law/rule/ordinance/charter/
掌篇 [しょうへん] /(n) short short story/
掌篇小説 [しょうへんしょうせつ] /(n) short short story/
掌編 [しょうへん] /(n) conte/(very) short story or article/
掌紋 [しょうもん] /(n) palm print/
掌理 [しょうり] /(n,vs) rule of law/administration of justice/
捷い [はしこい] /(adj-i) (1) (uk) smart/clever/(2) agile/nimble/quick/
捷い [はしっこい] /(adj-i) (1) (uk) smart/clever/(2) agile/nimble/quick/
捷い [はやい] /(oK) (adj-i) (1) fast/quick/hasty/brisk/(2) early (in the day, etc.)/premature/(3) (too) soon/not yet/(too) early/(4) easy/simple/quick/
捷径 [しょうけい] /(n) shortcut/expedient/
捷報 [しょうほう] /(n) news of a victory/
捷利 [しょうり] /(n,vs) victory/triumph/conquest/success/win/
昇り [のぼり] /(n) (1) ascent/climbing/ascending (path)/climb/(n,adj-no) (2) northward (towards Tokyo)/
昇り降り [のぼりふり] /(n) rising and falling/going up and down/
昇り藤 [のぼりふじ] /(n) lupine/
昇る [のぼる] /(v5r,vi) (1) to ascend/to go up/to climb/(2) to ascend (as a natural process, e.g. the sun)/to rise/(3) to go to (the capital)/(4) to be promoted/(5) to add up to/(6) to advance (in price)/(7) to swim up (a river)/to sail up/(8) to come up (on the agenda)/(P)/
昇圧機 [しょうあつき] /(n) booster (e.g. of current)/
昇華 [しょうか] /(n,vs) sublimation/
昇華型プリンタ [しょうかがたプリンタ] /(n) (comp) dye sublimation printer/
昇華型熱転写方式 [しょうかがたねつてんしゃほうしき] /(n) (comp) thermal wax transfer/
昇華熱 [しょうかねつ] /(n) heat of sublimation/
昇格 [しょうかく] /(n,vs,adj-no) raising of status/(P)/
昇級 [しょうきゅう] /(n,vs) promotion/advancement/(P)/
昇給 [しょうきゅう] /(n,vs) salary raise/(P)/
昇降 [しょうこう] /(n,vs) ascending and descending/going up and down/
昇降機 [しょうこうき] /(n) (obs) elevator/
昇降口 [しょうこうぐち] /(n) entrance/hatch(way)/
昇降舵 [しょうこうだ] /(n) elevator (aviation)/
昇順 [しょうじゅん] /(adj-na,n) ascending-order/
昇順キー [しょうじゅんキー] /(n) (comp) ascending key/
昇順整列 [しょうじゅんせいれつ] /(n) (comp) sort (in ascending order)/
昇叙 [しょうじょ] /(n,vs) promotion/advancement/
昇進 [しょうしん] /(n,vs,adj-no) promotion/(P)/
昇段 [しょうだん] /(n,vs) promotion/
昇天 [しょうてん] /(n,vs) death/the Ascension/
昇殿 [しょうでん] /(n,vs) entry into the sanctum of a shrine or temple/access to the imperial court/
昇藤 [のぼりふじ] /(n) lupine/
昇任 [しょうにん] /(n,vs) promotion/
昇流魚 [しょうりゅうぎょ] /(n) (obsc) anadromous fish (fish that migrates upstream, e.g. salmon)/
昇汞 [しょうこう] /(n) corrosive sublimate/
昇汞水 [しょうこうすい] /(n) solution of corrosive sublimate/
昌泰 [しょうたい] /(n) Shoutai era (898.4.26-901.7.15)/
昌平 [しょうへい] /(n) peace/tranquility/tranquillity/
昭々 [しょうしょう] /(adj-t,adv-to) (obsc) clear/bright/plain/obvious/
昭栄 [しょうえい] /(n) Shoei (motorcycle helmet manufacturing company)/Shouei/
昭昭 [しょうしょう] /(adj-t,adv-to) (obsc) clear/bright/plain/obvious/
昭然 [しょうぜん] /(adj-t,adv-to) manifest/clear/evident/obvious/
昭代 [しょうだい] /(n) glorious reign/enlightened era/
昭陽舎 [しょうようしゃ] /(n) court ladies' residence (in the inner Heian Palace)/
昭和 [しょうわ] /(n) Showa era (1926.12.25-1989.1.7)/(P)/
昭和の日 [しょうわのひ] /(n) Showa Day (national holiday; April 29)/
昭和一桁 [しょうわひとけた] /(n) (member of the generation born in) the first nine years of the Showa period (from 1926 to 1934)/
昭和恐慌 [しょうわきょうこう] /(n) Showa Depression (Japanese part of the Great Depression)/
昭和元禄 [しょうわげんろく] /(n) the flourishing mid-Showa period (1960s and early 1970s) of peace, rapid economic growth, and life of ease/
昭和史 [しょうわし] /(n) history of the Showa period (1926.12.25-1989.1.7)/
昭和時代 [しょうわじだい] /(n) Showa period (1926-1989 CE)/
昭和年間 [しょうわねんかん] /(n) Showa era/
晶化 [しょうか] /(n,vs) crystallization/crystallisation/
晶光 [しょうこう] /(n) brilliant light/
晶子 [しょうし] /(n) crystallite/
晶析 [しょうせき] /(n,vs) crystallization/crystallisation/
晶洞 [しょうどう] /(n) druse (globular calcium oxalate crystals, often lining a rock cavity)/
松 [まつ] /(n) (1) pine tree/(2) highest (of a three-tier ranking system)/(P)/
松かさ [まつかさ] /(n) pinecone/pine cone/
松のみ [まつのみ] /(n) pine nut/
松の材線虫 [まつのざいせんちゅう] /(n) (uk) pinewood nematode (Bursaphelenchus xylophilus)/
松の実 [まつのみ] /(n) pine nut/
松の梢 [まつのこずえ] /(n) top of a pine tree/
松の内 [まつのうち] /(n) New Year's Week (festivities)/
松の木 [まつのき] /(n) pine tree/
松の緑 [まつのみどり] /(n) pine sprout/pine bud/
松ぼっくり [まつぼっくり] /(n) pinecone/pine cone/
松韻 [しょういん] /(n) (music of) wind through pine trees/
松煙 [しょうえん] /(n) soot of burnt pine/ink stick (made from burnt pine)/
松屋 [まつや] /(n) Matsuya (department store)/(P)/
松下電器 [まつしたでんき] /(n) Matsushita Electric Industrial/
松下電器産業 [まつしたでんきさんぎょう] /(n) Matsushita Electric Industrial/
松下電工 [まつしたでんこう] /(n) Matsushita Electric Works/(P)/
松果腺 [しょうかせん] /(n) pineal gland/
松果体 [しょうかたい] /(n) pineal/pineal body/pineal gland/
松花堂弁当 [しょうかどうべんとう] /(n) square or rectangular bento box containing cross-shaped separators/
松過ぎ [まつすぎ] /(n) after New Year's Week/
松塊 [まつほど] /(n) (uk) (arch) Poria cocos (species of basidiomycete used in Chinese medicine)/
松笠 [まつかさ] /(n) pinecone/pine cone/
松魚 [かつお] /(n) skipjack tuna/bonito (Katsuwonus pelamis)/
松魚 [しょうぎょ] /(n) skipjack tuna/bonito (Katsuwonus pelamis)/
松原 [まつばら] /(n) pine grove/(P)/
松根油 [しょうこんゆ] /(n) pine oil/
松材線虫 [まつのざいせんちゅう] /(n) (uk) pinewood nematode (Bursaphelenchus xylophilus)/
松阪牛 [まつさかうし] /(n) Matsusaka beef/
松脂 [まつやに] /(n) turpentine/
松樹 [しょうじゅ] /(n) (obsc) pine tree/
松飾 [まつかざり] /(n) New Year's pine decoration/
松飾り [まつかざり] /(n) New Year's pine decorations/
松食虫 [まつくいむし] /(n) general term for insects harmful to pine trees/
松雪草 [まつゆきそう] /(n) (uk) snowdrop (Galanthus nivalis)/snow-flower/
松蝉 [まつぜみ] /(n) cicada abundant in late spring/
松前漬け [まつまえずけ] /(n) Matsumae pickles/
松藻 [まつも] /(n) (1) (uk) common hornwort (Ceratophyllum demersum)/(2) Analipus japonicus (species of brown alga)/
松藻虫 [まつもむし] /(n) (uk) Notonecta triguttata (species of backswimmer)/
松茸 [まつたけ] /(n) matsutake mushroom/
松茸御飯 [まつたけごはん] /(n) rice cooked with matsutake/
松茸狩り [まつたけがり] /(n) mushroom gathering/
松竹梅 [しょうちくばい] /(n) (1) pine, bamboo and plum (together an auspicious grouping)/(2) high, middle, and low ranking/
松虫 [まつむし] /(n) pine cricket/
松涛 [しょうとう] /(n) sound of wind rustling in the pine needles (like waves)/
松煤 [しょうばい] /(n) soot of burnt pine/
松柏 [しょうはく] /(n) (1) evergreen tree/conifer/coniferous tree/(2) pine and cypress/(3) duty/constancy/faithfulness/
松柏 [まつかえ] /(n) (1) evergreen tree/conifer/coniferous tree/(2) pine and cypress/(3) duty/constancy/faithfulness/
松楓 [しょうふう] /(n) maple/
松風 [しょうふう] /(n) (sound of) the wind through pine trees/
松風 [まつかぜ] /(n) (sound of) the wind through pine trees/
松風月 [まつかぜつき] /(n) sixth lunar month/
松明 [しょうめい] /(n) (pine) torch/flambeau/torchlight/
松明 [たいまつ] /(n) (pine) torch/flambeau/torchlight/
松木鶸 [まつのきひわ] /(n) (uk) pine siskin (Carduelis pinus)/
松目 [まつもく] /(n) Pinales (order of plants)/
松葉 [まつば] /(n) pine needle/(P)/
松葉づえ [まつばづえ] /(n) crutch(es)/
松葉ガニ [まつばガニ] /(n) (1) snow crab (Chionoecetes opilio)/queen crab/(2) champagne crab (Hypothalassia armata)/
松葉牡丹 [まつばぼたん] /(n) (uk) moss-rose purslane (Portulaca grandiflora)/
松葉蟹 [まつばがに] /(n) (1) snow crab (Chionoecetes opilio)/queen crab/(2) champagne crab (Hypothalassia armata)/
松葉菊 [まつばぎく] /(n) (uk) trailing ice plant (Lampranthus spectabilis)/
松葉杖 [まつばづえ] /(n) crutch(es)/
松葉蘭 [まつばらん] /(n) (uk) whisk fern (Psilotum nudum)/
松林 [まつばやし] /(n) pine forest/(P)/
松露 [しょうろ] /(n) Rhizopogon rubescens (species of edible mushroom)/
松毬 [まつかさ] /(n) pinecone/pine cone/
松毬 [まつふぐり] /(n) pinecone/pine cone/
松毬 [まつぼくり] /(n) pinecone/pine cone/
松毬 [まつぼっくり] /(n) pinecone/pine cone/
松毬 [まつぽっくり] /(n) pinecone/pine cone/
松毬魚 [まつかさうお] /(n) (uk) Japanese pinecone fish (Monocentris japonica)/
松濤 [しょうとう] /(n) (the sound of) the wind through pine trees/
松濤館流 [しょうとうかんりゅう] /(oK) (n) (MA) Shotokan (style of karate)/
松籟 [しょうらい] /(n) (the sound of) the wind through pine trees/
梢 [こずえ] /(n) treetop/tip of a branch/
梢子 [しょうし] /(n) boatman/
樟 [くす] /(n) (uk) camphor tree (Cinnamomum camphora)/camphorwood/camphor laurel/
樟 [くすのき] /(n) (uk) camphor tree (Cinnamomum camphora)/camphorwood/camphor laurel/
樟科 [くすのきか] /(n) Lauraceae (laurel family of plants)/
樟脳 [しょうのう] /(n,adj-no) camphor/
樟脳チンキ [しょうのうチンキ] /(n) tincture of camphor/
樟脳丁幾 [しょうのうチンキ] /(n) tincture of camphor/
樵 [きこり] /(n) woodcutter/lumberjack/logger/
樵夫 [きこり] /(n) woodcutter/lumberjack/logger/
樵夫 [しょうふ] /(n) woodcutter/lumberjack/logger/
沼 [ぬま] /(n,n-suf) swamp/bog/pond/lake/(P)/
沼気 [しょうき] /(n) marsh gas/methane/
沼湖 [しょうこ] /(n) marshes and lakes/
沼虎の尾 [ぬまとらのお] /(n) (uk) Lysimachia fortunei (species of loosestrife)/
沼杉 [ぬますぎ] /(n) bald Cypress (Taxodium distichum)/
沼沢 [しょうたく] /(n) marsh/swamp/(P)/
沼沢植物 [しょうたくしょくぶつ] /(n) helophyte/marsh plant/
沼沢地 [しょうたくち] /(n) wetland/marshland/
沼地 [しょうち] /(n,adj-no) marshland/wetland/swampland/
沼地 [ぬまち] /(n,adj-no) marshland/wetland/swampland/(P)/
沼田 [ぬまた] /(n) marshy rice field or paddy/(P)/
沼田 [ぬまだ] /(n) marshy rice field or paddy/
沼田鰻 [ぬたうなぎ] /(n) (uk) inshore hagfish (Eptatretus burgeri, species found from Japan to Taiwan)/
沼縄 [ぬなわ] /(n) water shield (Brasenia schreberi)/
沼萩 [ぬまはぎ] /(n) (obsc) Lysimachia fortunei (species of loosestrife)/
消えうせる [きえうせる] /(v1,vi) (X) (vulg) to disappear/to get out of sight/to die/(in imperative) to fuck off/
消えた火 [きえたひ] /(n) dead fire/
消える [きえる] /(v1,vi) to go out/to vanish/to disappear/(P)/
消え果てる [きえはてる] /(v1,vi) to vanish completely/
消え去る [きえさる] /(v5r) to disappear/to vanish/
消え残る [きえのこる] /(v5r,vi) to remain unextinguished/to survive/
消え失せる [きえうせる] /(v1,vi) (X) (vulg) to disappear/to get out of sight/to die/(in imperative) to fuck off/
消え消え [きえぎえ] /(adj-na,adv,n) on the point of vanishing/
消え入る [きえいる] /(v5r,vi) to vanish/
消しとぶ [けしとぶ] /(v5b,vi) to scatter away/to vanish/
消しゴム [けしゴム] /(n) eraser/India rubber/(P)/
消し印 [けしいん] /(n) postmark/(postal) cancellation mark/
消し去る [けしさる] /(v5r,vt) to get rid of/to erase/
消し止める [けしとめる] /(v1,vt) to put out/to extinguish/
消し炭 [けしずみ] /(n) cinders/
消し飛ばす [けしとばす] /(v5s,vt) to scatter away/to blast away/to blow away (via explosion)/
消し飛ぶ [けしとぶ] /(v5b,vi) to scatter away/to vanish/
消し壺 [けしつぼ] /(n) (jar used as a) charcoal extinguisher/
消す [けす] /(v5s,vt) (1) to erase/to delete/to cross out/(2) to turn off power/(3) to extinguish/to put out/(4) (sl) to bump off/(P)/
消する [しょうする] /(vs-s,vi) (1) to disappear/(vs-s,vt) (2) to cause to disappear/to get rid of/(3) (of time) to pass/to while away/
消ずる [しょうずる] /(vz,vi) (1) (obsc) to disappear/(vz,vt) (2) to cause to disappear/to get rid of/(vz,vi) (3) (of time) to pass/to while away/
消印 [けしいん] /(n) postmark/(postal) cancellation mark/(P)/
消炎剤 [しょうえんざい] /(n) anti-inflammitory agent/antiphlogistic/
消音 [しょうおん] /(n,vs,adj-no) silencing (a machine)/
消音器 [しょうおんき] /(n) (car) muffler/(piano) damper pedal/(gun) silencer/
消音装置 [しょうおんそうち] /(n) (gun) silencer/
消化 [しょうか] /(n,vs,adj-no) (1) digestion/(2) thorough understanding/(3) selling accumulated (excess) products/dealing with a large amount of work/(4) losing one's form and turning into something else/(P)/
消化液 [しょうかえき] /(n) digestive fluids/
消化管 [しょうかかん] /(n) alimentary canal/
消化管間質腫瘍 [しょうかかんかんしつしゅよう] /(n) gastrointestinal stromal tumor (tumour)/GIST/
消化器 [しょうかき] /(n) digestive organs/(P)/
消化系 [しょうかけい] /(n) digestive system/
消化酵素 [しょうかこうそ] /(n) digestive enzyme/
消化剤 [しょうかざい] /(n) digestive/
消化試合 [しょうかしあい] /(n) throwaway match (i.e. one played after a tournament has already been decided)/dead rubber/
消化性潰瘍 [しょうかせいかいよう] /(n) peptic ulcer/
消化腺 [しょうかせん] /(n) digestive gland/
消化不良 [しょうかふりょう] /(n,adj-no) indigestion/dyspepsia/
消化力 [しょうかりょく] /(n) digestive capacity/digestive power/digestive strengh/
消夏 [しょうか] /(n) summering/
消火 [しょうか] /(n,vs) fire fighting/extinguishing a fire/(P)/
消火活動 [しょうかかつどう] /(n) fire fighting/
消火器 [しょうかき] /(n) fire extinguisher/(P)/
消火栓 [しょうかせん] /(n) fire hydrant/
消閑 [しょうかん] /(n,vs) killing time/
消却 [しょうきゃく] /(n,vs) erasure/paying back debt/effacement/
消去 [しょうきょ] /(n,vs) elimination/erasure/dying out/clearing/purge/melting away/
消去ヘッド [しょうきょヘッド] /(n) (comp) erase head/
消去可能記憶装置 [しょうきょかのうきおくそうち] /(n) (comp) erasable storage/
消去及びプログラム可能読取り専用記憶装置 [しょうきょおよびプログラムかのうよみとりせんようきおくそうち] /(n) (comp) erasable programmable read-only memory/EPROM/
消去法 [しょうきょほう] /(n) (math) (process of) elimination/
消極 [しょうきょく] /(n) negative/conservative/(P)/
消極性 [しょうきょくせい] /(n) passivity/
消極的 [しょうきょくてき] /(adj-na) negative/half-hearted/passive/unmotivated/pessimistic/(P)/
消極的自由 [しょうきょくてきじゆう] /(n) negative liberty/liberty (as opposed to freedom)/
消光 [しょうこう] /(n,vs) passing one's time/
消光比 [しょうこうひ] /(n) (comp) extinction ratio/
消災呪 [しょうさいじゅ] /(n) (Buddh) disaster-preventing incantation/disaster-preventing dharani/
消散 [しょうさん] /(n,vs,adj-no) evaporation/dispersion/dissipation/
消磁 [しょうじ] /(n) demagnetization/demagnetisation/degaussing/
消磁器 [しょうじき] /(n) (comp) degausser/
消磁装置 [しょうじそうち] /(n) (comp) degausser/
消失 [しょうしつ] /(n,vs) die out/disappear/vanish/
消失 [そうしつ] /(n,vs) die out/disappear/vanish/
消失点 [しょうしつてん] /(n) vanishing point/
消臭 [しょうしゅう] /(n) deodorization/
消臭剤 [しょうしゅうざい] /(n) deodorant/
消石灰 [しょうせっかい] /(n) slaked lime/
消雪 [しょうせつ] /(n,vs) snow melting (usu. a system or device)/snow removal/
消雪パイプ [しょうせつパイプ] /(n) pipe buried under a road with nozzles that spray liquid to melt snow/
消然 [しょうぜん] /(adj-t,adv-to) dejected/dispirited/crestfallen/discouraged/
消息 [しょうそく] /(n) (1) news (from somebody)/letter/contact/(2) (somebody's) whereabouts/(somebody's) movements/(P)/
消息 [しょうそこ] /(ok) (n) (1) news (from somebody)/letter/contact/(2) (somebody's) whereabouts/(somebody's) movements/
消息筋 [しょうそくすじ] /(n) informed circles/(P)/
消息子 [しょうそくし] /(n) probe/
消息通 [しょうそくつう] /(n) well-informed person/insider/
消息不明 [しょうそくふめい] /(n) untraceable/long lost/one's whereabouts being unknown/
消息文 [しょうそくぶん] /(n) personal letter/
消長 [しょうちょう] /(n,vs) prosperity and decay/prosperity and decline/rise and fall/ups and downs/ebb and flow/waxing and waning/
消長盛衰 [しょうちょうせいすい] /(n) prosperity and decay/rise and fall/ebb and flow/vicissitudes (of fortune)/
消沈 [しょうちん] /(n,vs,adj-no) depression/low spirits/dejection/
消灯 [しょうとう] /(n,vs) putting out (switching off) the light/extinction/(P)/
消灯ラッパ [しょうとうラッパ] /(n) lights-out trumpet or bugle call/taps/last post/
消灯令 [しょうとうれい] /(n) curfew/
消燈 [しょうとう] /(oK) (n,vs) putting out (switching off) the light/extinction/
消毒 [しょうどく] /(n,vs) disinfection/sterilization/sterilisation/(P)/
消毒液 [しょうどくえき] /(n) antiseptic solution/
消毒器 [しょうどくき] /(n) sterilizer/steriliser/
消毒剤 [しょうどくざい] /(n) antiseptic/disinfectant/
消毒薬 [しょうどくやく] /(n) disinfectant/
消毒用アルコール [しょうどくようアルコール] /(n) rubbing alcohol/alcohol for sterilization/
消波ブロック [しょうはブロック] /(n) (obsc) breakwater designed to dissipate waves, made out of tetrapods/
消費 [しょうひ] /(n,vs,adj-no) consumption/expenditure/(P)/
消費パターン [しょうひパターン] /(n) consumption pattern/
消費革命 [しょうひかくめい] /(n) consumer or consumption revolution/
消費関数 [しょうひかんすう] /(n) consumption function/
消費期限 [しょうひきげん] /(n) consume by/best before/
消費財 [しょうひざい] /(n) consumer goods/(P)/
消費社会 [しょうひしゃかい] /(n) consumer society/
消費者 [しょうひしゃ] /(n) consumer/(P)/
消費者運動 [しょうひしゃうんどう] /(n) consumer movement/
消費者価格 [しょうひしゃかかく] /(n) consumer's price/
消費者関係 [しょうひしゃかんけい] /(n) consumer relations/
消費者金融 [しょうひしゃきんゆう] /(n) consumer credit (finance, loan)/
消費者市場 [しょうひしゃいちば] /(n) consumer market/
消費者志向 [しょうひしゃしこう] /(n) consumer-orientation/
消費者支出 [しょうひしゃししゅつ] /(n) consumer spending/
消費者主権 [しょうひしゃしゅけん] /(n) consumer sovereignty/
消費者受容 [しょうひしゃじゅよう] /(n) consumer acceptance/
消費者需要 [しょうひしゃじゅよう] /(n) consumer demand/
消費者信用 [しょうひしゃしんよう] /(n) consumer credit/
消費者信用保護法 [しょうひしゃしんようほごほう] /(n) consumer credit protection act/
消費者心情 [しょうひしゃしんじょう] /(n) consumer sentiment/
消費者相談 [しょうひしゃそうだん] /(n) consumer advice/consumer consultation/
消費者側 [しょうひしゃがわ] /(n) consumers side/
消費者団体 [しょうひしゃだんたい] /(n) consumer group/
消費者物価 [しょうひしゃぶっか] /(n) consumer prices/
消費者物価指数 [しょうひしゃぶっかしすう] /(n) consumer price index/CPI/
消費者文化 [しょうひしゃぶんか] /(n) consumer culture/
消費者保護 [しょうひしゃほご] /(n) consumer protection/
消費者保護法 [しょうひしゃほごほう] /(n) consumer-protection law/
消費者余剰 [しょうひしゃよじょう] /(n) consumer surplus/
消費主義 [しょうひしゅぎ] /(n) consumerism/
消費性向 [しょうひせいこう] /(n) consumption propensity/
消費生活 [しょうひせいかつ] /(n) one's life as a consumer/
消費生活協同組合 [しょうひせいかつきょうどうくみあい] /(n) consumers' cooperative society/consumers' cooperative association/
消費税 [しょうひぜい] /(n) consumption tax (incl. sales tax, VAT, excise duty, etc.)/(P)/
消費税率 [しょうひぜいりつ] /(n) consumption tax rate/sales tax rate/VAT rate/
消費側非同期手続き [しょうひがわひどうきてつづき] /(n) (comp) consumer/
消費電力 [しょうひでんりょく] /(n) electricity consumption/
消費都市 [しょうひとし] /(n) consumer city/
消費文化 [しょうひぶんか] /(n) consumer culture/
消費量 [しょうひりょう] /(n) amount of consumption/
消防 [しょうぼう] /(n) fire fighting/fire department/(P)/
消防カバー [しょうぼうカバー] /(n) fire blanket/
消防ポンプ [しょうぼうポンプ] /(n) fire pump/
消防士 [しょうぼうし] /(n) fireman/firefighter/
消防車 [しょうぼうしゃ] /(n) fire-engine/(P)/
消防車両 [しょうぼうしゃりょう] /(n) fire-engine/
消防署 [しょうぼうしょ] /(n) fire station/(P)/
消防署長 [しょうぼうしょちょう] /(n) fire captain/fire marshal/
消防船 [しょうぼうせん] /(n) fire boat/fireboat/
消防隊 [しょうぼうたい] /(n) fire brigade/fire company/
消防団 [しょうぼうだん] /(n) fire brigade or company/
消防庁 [しょうぼうちょう] /(n) Fire and Disaster Management Agency (formerly: Fire Defense Agency) (Defence)/(P)/
消防艇 [しょうぼうてい] /(n) fireboat/
消防夫 [しょうぼうふ] /(n) (obs) fireman/
消防法 [しょうぼうほう] /(n) Fire Services Act/fire laws/
消磨 [しょうま] /(n,vs) abrasion/wearing out/
消滅 [しょうめつ] /(n,vs) (1) lapse/annihilation (physics)/(2) extinguishment/termination (e.g. of legal representation)/(3) (math) vanishing/(P)/
消滅時効 [しょうめつじこう] /(n) (legal) extinctive prescription/negative prescription/prescription/statute of limitations/
消耗 [しょうこう] /(n,vs) exhaustion/consumption/waste/dissipation/
消耗 [しょうもう] /(n,vs) exhaustion/consumption/waste/dissipation/(P)/
消耗戦 [しょうもうせん] /(n) war of attrition/
消耗的 [しょうこうてき] /(adj-na) exhaustive/
消耗品 [しょうもうひん] /(n) consumable goods/
消耗品費 [しょうもうひんひ] /(n) office supplies/
渉る [わたる] /(v5r,vi) (1) to cross over/to go across/(2) to extend/to cover/to range/to span/
渉外 [しょうがい] /(n) public relations/client liaison/client relations/(P)/
渉外係 [しょうがいがかり] /(n) liaison officer/public relations man/
渉外部 [しょうがいぶ] /(n) liaison department/public relations department/
渉禽類 [しょうきんるい] /(n) wading birds/
渉猟 [しょうりょう] /(n,vs) ranging over or scouting out a territory/searching far and wide (for)/reading extensively/
焼 [やき] /(n) (1) cooking, esp. frying or stir-frying/heating/(2) tempering/(n-suf) (3) -ware/
焼き [やき] /(n) (1) cooking, esp. frying or stir-frying/heating/(2) tempering/(n-suf) (3) -ware/
焼きいも [やきいも] /(n) roasted sweet potato/baked sweet potato/
焼きが回る [やきがまわる] /(v5r) to become decrepit/to be in one's dotage/to become dull/to lose one's astuteness/to lose one's touch/to become senile/to lose one's edge/to go downhill/
焼きごて [やきごて] /(n) (1) soldering iron/hot iron/(2) brand/mark/stigma/
焼きそば [やきそば] /(n) fried soba/(P)/
焼きたて [やきたて] /(adj-no) fresh made/freshly baked/freshly roasted/
焼きつく [やきつく] /(v5k) to scorch/
焼きつける [やきつける] /(v1,vt) to bake/to plate/to print/to burn or bake into/to burn into one's memory/
焼きなおす [やきなおす] /(v5s,vt) to grill again/to rehash/
焼きなまし [やきなまし] /(n) annealing/
焼きの足りない [やきのたりない] /(adj-i) underfired/
焼きもち [やきもち] /(n) (1) jealousy/(2) roasted rice cake/(P)/
焼きもの [やきもの] /(n) (1) earthenware/pottery/porcelain/china/(2) flame-broiled food (esp. fish)/(3) tempered blade/
焼きを入れる [やきをいれる] /(exp,v1) to temper/to harden/to torture/to discipline/
焼き芋 [やきいも] /(n) roasted sweet potato/baked sweet potato/(P)/
焼き印 [やきいん] /(n) brand (burnt-in mark of identification)/branding iron/
焼き印を押す [やきいんをおす] /(exp,v5s) to brand (cattle, etc.)/
焼き塩 [やきしお] /(n) baked or table salt/
焼き菓子 [やきがし] /(n) baked sweets/
焼き海苔 [やきのり] /(n) baked seaweed/toasted seaweed/
焼き絵 [やきえ] /(n) pyrograph/
焼き魚 [やきざかな] /(n) grilled fish/
焼き玉機関 [やきだまきかん] /(n) hot-bulb or semi-diesel engine/
焼き金 [やきがね] /(n) branding iron/
焼き串 [やきぐし] /(n) a skewer or spit/
焼き栗 [やきぐり] /(n) roasted chestnuts/
焼き殺す [やきころす] /(v5s) to kill by burning to death/
焼き捨てる [やきすてる] /(v1,vt) to burn up/
焼き上げる [やきあげる] /(v1,vt) to burn/to roast/to grill/to bake/
焼き場 [やきば] /(n) (1) crematory/(2) place where things are burned/
焼き刃 [やきば] /(n) tempered blade/
焼き尽くす [やきつくす] /(v5s) to thoroughly burn/to burn to nothing/
焼き尽す [やきつくす] /(v5s) to thoroughly burn/to burn to nothing/
焼き切る [やききる] /(v5r,vt) to burn off/
焼き接ぎ [やきつぎ] /(n) assimilating broken ceramics via baking/
焼き増し [やきまし] /(n) photo reprint/
焼き打ち [やきうち] /(n) set afire/setting on fire/
焼き鳥 [やきとり] /(n) yakitori (chicken pieces grilled on a skewer)/(P)/
焼き直し [やきなおし] /(n) adaptation (from)/rebaking/
焼き直す [やきなおす] /(v5s,vt) to grill again/to rehash/
焼き討ち [やきうち] /(n) set afire/setting on fire/
焼き豆腐 [やきどうふ] /(n) grilled tofu/
焼き豚 [やきぶた] /(n) roast pork/
焼き鈍し [やきなまし] /(n) annealing/
焼き肉 [やきにく] /(n) yakiniku (Japanese dish of fried meat)/Korean barbecue/(P)/
焼き入れ [やきいれ] /(n) hardening/tempering/
焼き畑 [やきはた] /(n) burnt fields/
焼き畑 [やきばた] /(n) burnt fields/
焼き飯 [やきめし] /(n) fried rice/
焼き筆 [やきふで] /(n) sketching pencil/
焼き付く [やきつく] /(v5k) to scorch/
焼き付け [やきつけ] /(n) (1) printing (e.g. photos)/(2) glazing/enamelling/baking/
焼き付ける [やきつける] /(v1,vt) to bake/to plate/to print/to burn or bake into/to burn into one's memory/
焼き払う [やきはらう] /(v5u,vt) to clear away by burning/to reduce to ashes/
焼き物 [やきもの] /(n) (1) earthenware/pottery/porcelain/china/(2) flame-broiled food (esp. fish)/(3) tempered blade/
焼き米 [やきごめ] /(n) roasted or parched rice/
焼き網 [やきあみ] /(n) gridiron/griddle/
焼き餅 [やきもち] /(n) (1) jealousy/(2) roasted rice cake/
焼き餅やき [やきもちやき] /(n) jealous person/
焼き餅焼き [やきもちやき] /(n) jealous person/
焼き戻し [やきもどし] /(n) tempering/annealing/
焼き窯 [やきがま] /(n) oven/kiln/
焼き立て [やきたて] /(adj-no) fresh made/freshly baked/freshly roasted/
焼き立ての魚 [やきたてのさかな] /(n) fish hot from the oven/
焼き鏝 [やきごて] /(n) (1) soldering iron/hot iron/(2) brand/mark/stigma/
焼き餠 [やきもち] /(n) (1) jealousy/(2) roasted rice cake/
焼く [やく] /(v5k,vt) (1) to bake/to grill/(2) to develop (photos)/(v5k,vi) (3) to suntan/(4) to burn (in flames, down, CD, DVD, etc.)/to scorch/(5) to be jealous/to be envious/(P)/
焼け [やけ] /(n,vs) despair/desperation/abandonment/
焼けただれる [やけただれる] /(v1) to be hideously burned/
焼けつく [やけつく] /(v5k,vi) to burn/
焼ける [やける] /(v1,vi) (1) to burn/to be roasted/to be heated/to be sunburnt/to fade (in the sun)/to glow red (i.e. of the sky at sunset)/(2) to be jealous/to be envious/(P)/
焼けを起こす [やけをおこす] /(exp,v5s) to become desperate/to give way to despair/
焼け火ばし [やけひばし] /(n) burning-hot tongs/red-hot tongs/
焼け火箸 [やけひばし] /(n) burning-hot tongs/red-hot tongs/
焼け穴 [やけあな] /(n) a burn hole/
焼け山 [やけやま] /(n) burnt mountain/dormant volcano/
焼け残る [やけのこる] /(v5r,vi) to escape being burned/
焼け死ぬ [やけしぬ] /(v5n,vi) (sens) to be burnt to death/
焼け失せる [やけうせる] /(v1,vi) to burn up completely/
焼け酒 [やけざけ] /(n) drowning one's cares in drink/drinking in desperation/
焼け出される [やけだされる] /(v1,vi) to be burned out (of one's home)/
焼け焦げ [やけこげ] /(n) burn hole/scorch/
焼け石 [やけいし] /(n) hot or heated stone/
焼け石に水 [やけいしにみず] /(exp) something bound to fail due to inadequate effort, assistance, etc. (lit: like trying to cool a hot stone with a couple of drops of water)/
焼け跡 [やけあと] /(n) ruins of a fire/fire-devastated area/(P)/
焼け太り [やけぶとり] /(n,vs) prospering after a fire/
焼け付く [やけつく] /(v5k,vi) to burn/
焼け腹 [やけばら] /(n,vs) desperation/despair/
焼け棒杭 [やけぼくい] /(n) charred stake/
焼け棒杭に火が付く [やけぼっくいにひがつく] /(exp) (id) Wood half-burned is easily kindled/
焼け木杭 [やけぼくい] /(n) charred stake/
焼け野 [やけの] /(n) burnt field/
焼け野の雉夜の鶴 [やけののきぎすよるのつる] /(exp) (obsc) parents may risk life and limb for their children (like a pheasant when the plains are burning or a crane on a cold night)/
焼け野の鴉 [やけののからす] /(exp) (id) blacker than black/
焼け野原 [やけのはら] /(n) burnt field/burnt area/
焼け落ちる [やけおちる] /(v1,vi) to be burned down/
焼け爛れる [やけただれる] /(v1) to be hideously burned/
焼そば [やきそば] /(n) fried soba/(P)/
焼っ腹 [やけっぱら] /(n,vs) desperation/despair/
焼べる [くべる] /(v1,vt) (uk) to throw on the fire/to burn/
焼もち [やきもち] /(n) (1) jealousy/(2) roasted rice cake/(P)/
焼もちを焼く [やきもちをやく] /(exp,v5k) to be jealous/
焼夷弾 [しょういだん] /(n) fire bomb/incendiary bomb/
焼芋 [やきいも] /(n) roasted sweet potato/baked sweet potato/(P)/
焼飲み [やけのみ] /(n,vs) drowning one's cares in drink/
焼火ばし [やけひばし] /(io) (n) burning-hot tongs/red-hot tongs/
焼火箸 [やけひばし] /(io) (n) burning-hot tongs/red-hot tongs/
焼菓子 [やきがし] /(n) baked sweets/
焼海苔 [やきのり] /(n) baked seaweed/toasted seaweed/
焼却 [しょうきゃく] /(n,vs) incineration/destroy by fire/(P)/
焼却炉 [しょうきゃくろ] /(n) incinerator/
焼結 [しょうけつ] /(n) sintering/
焼香 [しょうこう] /(n,vs) burning (offer) incense/
焼香台 [しょうこうだい] /(n) altar, stand or table for burning incense/
焼死 [しょうし] /(n,vs) death by fire/(P)/
焼死体 [しょうしたい] /(n) burnt corpse/
焼失 [しょうしつ] /(n,vs) being destroyed by fire/
焼失を免れる [しょうしつをまぬかれる] /(exp,v1) to be saved from the fire/
焼灼 [しょうしゃく] /(n,vs,adj-no) cautery/cauterization/
焼酒 [やけざけ] /(n) drowning one's cares in drink/drinking in desperation/
焼藷 [やきいも] /(n) roasted sweet potato/baked sweet potato/
焼場 [やきば] /(n) (1) crematory/(2) place where things are burned/
焼身 [しょうしん] /(n,vs) burning oneself (to death)/self-immolation/
焼身自殺 [しょうしんじさつ] /(n) burning oneself to death/suicide by fire/
焼成 [しょうせい] /(n,vs) firing (pottery)/
焼跡 [やけあと] /(io) (n) ruins of a fire/fire-devastated area/
焼増し [やきまし] /(n) photo reprint/
焼損 [しょうそん] /(n,vs) burnout/loss of combustion/
焼打ち [やきうち] /(n) set afire/setting on fire/
焼酎 [しょうちゅう] /(n) shochu (Japanese liquor similar to vodka)/(P)/
焼酎ハイボール [しょうちゅうハイボール] /(n) shochu high-ball/
焼鳥 [やきとり] /(n) yakitori (chicken pieces grilled on a skewer)/(P)/
焼討ち [やきうち] /(n) set afire/setting on fire/
焼鈍し [やきなまし] /(n) annealing/
焼肉 [やきにく] /(n) yakiniku (Japanese dish of fried meat)/Korean barbecue/(P)/
焼肉定食 [やきにくていしょく] /(n) set meal with grilled meat/
焼入れ [やきいれ] /(n) hardening/tempering/
焼売 [しゅうまい] /(n) steamed meat dumpling (Chinese-style) (chi: shao-mai)/
焼付く [やきつく] /(v5k) to scorch/
焼付け [やきつけ] /(n) (1) printing (e.g. photos)/(2) glazing/enamelling/baking/
焼付ける [やきつける] /(v1,vt) to bake/to plate/to print/to burn or bake into/to burn into one's memory/
焼腹 [やけばら] /(n,vs) desperation/despair/
焼物 [やきもの] /(n) (1) earthenware/pottery/porcelain/china/(2) flame-broiled food (esp. fish)/(3) tempered blade/
焼糞 [やけくそ] /(adj-na,n) desperation/
焼餅 [やきもち] /(n) (1) jealousy/(2) roasted rice cake/
焼餅を焼く [やきもちをやく] /(exp,v5k) to be jealous/
焼毀 [しょうき] /(n,vs) (obsc) completely destroying by fire/
焼鏝 [やきごて] /(n) (1) soldering iron/hot iron/(2) brand/mark/stigma/
焦がし [こがし] /(n) flour made from parched rice or barley (can be mixed in hot water and drunk)/
焦がす [こがす] /(v5s,vt) to burn/to scorch/to singe/to char/(P)/
焦がれる [こがれる] /(v1) to yearn for/to be in love with/
焦がれ死に [こがれじに] /(n,vs) (sens) pining away/dying from love/
焦げつく [こげつく] /(v5k,vi) (1) to get burned and stuck on (e.g. rice in a pan)/(2) to become uncollectable (e.g. debt or loan)/to become irrecoverable/(n) (3) to remain unchanged (e.g. stock market)/
焦げる [こげる] /(v1,vi) to burn/to be burned/(P)/
焦げ臭い [こげくさい] /(adj-i) smelling (or tasting) burnt/
焦げ茶 [こげちゃ] /(n) black tea/
焦げ茶色 [こげちゃいろ] /(n) dark brown/olive brown/
焦げ付き [こげつき] /(n) a bad debt/
焦げ付き融資 [こげつきゆうし] /(n) uncollectible loan/
焦げ付く [こげつく] /(v5k,vi) (1) to get burned and stuck on (e.g. rice in a pan)/(2) to become uncollectable (e.g. debt or loan)/to become irrecoverable/(n) (3) to remain unchanged (e.g. stock market)/
焦げ目 [こげめ] /(n) burn mark/grilled surface (e.g. on a steak)/
焦らす [じらす] /(v5s,vt) (uk) to irritate/
焦らす女 [じらすおんな] /(n) cock-teaser (woman who pretends to be "easy")/
焦らずに [あせらずに] /(exp) stay calm/don't be rushed/don't be flustered/
焦り [あせり] /(n) impatience/(P)/
焦る [あせる] /(v5r,vi) to be in a hurry/to be impatient/(P)/
焦れったい [じれったい] /(adj-i) (uk) vexing/irritating/impatient/
焦れる [じれる] /(v1,vi) to get impatient/to become irritated/to fret/to chafe/
焦臭い [きなくさい] /(adj-i) (1) burning or scorched smell/(2) imminent military action/(3) suspicious/
焦心 [しょうしん] /(n,vs) impatience/anxiety/
焦心苦慮 [しょうしんくりょ] /(n,vs) worrying oneself (about)/being anxious (about)/fidgeting (about)/
焦性硫酸 [しょうせいりゅうさん] /(n) pyrosulphuric acid/pyrosulfuric acid/
焦燥 [しょうそう] /(n,vs) impatience/uneasiness/irritation/(P)/
焦点 [しょうてん] /(n,adj-no) focus (e.g. photographic)/focal point/(P)/
焦点距離 [しょうてんきょり] /(n) focal length (distance)/
焦点深度 [しょうてんしんど] /(n) depth of focus/
焦電気 [しょうでんき] /(n) pyroelectricity/
焦土 [しょうど] /(n) scorched earth/
焦土戦術 [しょうどせんじゅつ] /(n) scorched-earth strategy (tactics)/
焦熱 [しょうねつ] /(n) scorching heat/
焦熱地獄 [しょうねつじごく] /(n) burning hell/inferno/
焦眉 [しょうび] /(n) emergency/urgency/imminence/
焦眉の急 [しょうびのきゅう] /(n) urgent need/
焦慮 [しょうりょ] /(n,vs) impatience/worry/
焦躁 [しょうそう] /(n,vs) fretfulness/impatience/
照々坊主 [てるてるぼうず] /(n) paper doll to which children pray for fine weather/
照らし合わせる [てらしあわせる] /(v1) to check/to compare/
照らす [てらす] /(v5s,vt) to shine on/to illuminate/(P)/
照り [てり] /(n) sunshine/dry weather/luster/lustre/
照りかえし [てりかえし] /(n) reflection/reflected light/reflected heat/glare/
照りつける [てりつける] /(v1,vi) to blaze down on/to beat down on/to shine down upon/
照り雨 [てりあめ] /(n) sunshower/
照り映える [てりはえる] /(v1,vi) to shine/to glow/
照り輝く [てりかがやく] /(v5k,vi) to shine brilliantly/
照り合う [てりあう] /(v5u) to shed light on each other/
照り込む [てりこむ] /(v5m,vi) to shine into or upon/
照り焼き [てりやき] /(n) teriyaki (meat or fish marinated in sweet soy sauce and broiled)/
照り上がる [てりあがる] /(v5r,vi) to become bright with sunlight following a shower/
照り渡る [てりわたる] /(v5r) to shine over/
照り付ける [てりつける] /(v1,vi) to blaze down on/to beat down on/to shine down upon/
照り返し [てりかえし] /(n) reflection/reflected light/reflected heat/glare/
照り返す [てりかえす] /(v5s,vi) to reflect/to throw back light/
照り葉 [てりは] /(n) beautiful shiny autumn leaves/
照る [てる] /(v5r,vi) to shine/(P)/
照る照る坊主 [てるてるぼうず] /(n) paper doll to which children pray for fine weather/
照れくさい [てれくさい] /(adj-i) embarrassing/awkward/
照れる [てれる] /(v1,vi) to be shy/to feel awkward/(P)/
照れ隠し [てれかくし] /(n) hiding one's embarrassment/
照れ屋 [てれや] /(n) shy/a very shy person/
照れ臭い [てれくさい] /(adj-i) embarrassing/awkward/
照れ笑い [てれわらい] /(n) embarrassed grin/
照れ性 [てれしょう] /(adj-na,n) bashful/shy/
照影 [しょうえい] /(n) portrait/
照映 [しょうえい] /(n,vs) portrait/
照応 [しょうおう] /(n,vs) correspondence/being in accordance with/anaphora/
照会 [しょうかい] /(n,vs,adj-no) inquiry/enquiry/query/reference/(P)/
照会言語 [しょうかいげんご] /(n) (comp) query language/
照会状 [しょうかいじょう] /(n) reference letter/letter of inquiry/letter of enquiry/
照会先 [しょうかいさき] /(n) reference/
照会用端末 [しょうかいようたんまつ] /(n) (comp) inquiry station/
照合 [しょうごう] /(n,vs) collation/comparison/
照合の上 [しょうごうのうえ] /(n) after checking up/
照合機 [しょうごうき] /(n) (comp) collator/
照合写真 [しょうごうしゃしん] /(n) portal film (e.g. in radiotherapy)/
照合順序 [しょうごうじゅんじょ] /(n) (comp) collating sequence/
照合順番 [しょうごうじゅんばん] /(n) (comp) collating sequence/
照合操作 [しょうごうそうさ] /(n) (comp) collation operation/
照査 [しょうさ] /(n,vs) checking against (up)/examining by reference/verification/
照射 [しょうしゃ] /(n,vs) exposure/(P)/
照射 [ともし] /(n) (1) baiting deer with a lighted torch/
照射処理 [しょうしゃしょり] /(n) lighting/
照射線量 [しょうしゃせんりょう] /(n) exposure dose/
照射方向 [しょうしゃほうこう] /(n) (comp) light source direction/
照射法 [しょうしゃほう] /(n) irradiation/
照射野 [しょうしゃや] /(n) irradiation field (of X-rays)/
照尺 [しょうしゃく] /(n) sight (of a firearm)/
照準 [しょうじゅん] /(n) sight (e.g. of a gun)/aim/alignment/(P)/
照準を合わせる [しょうじゅんをあわせる] /(exp,v1) to set one's sights on/to take aim (at)/to have one's mind on/
照準器 [しょうじゅんき] /(n) sighting device/sights/
照準記号 [しょうじゅんきごう] /(n) (comp) aiming symbol/aiming circle/aiming field/
照焼 [てりやき] /(io) (n) teriyaki (meat or fish marinated in sweet soy sauce and broiled)/
照焼き [てりやき] /(io) (n) teriyaki (meat or fish marinated in sweet soy sauce and broiled)/
照照坊主 [てるてるぼうず] /(n) paper doll to which children pray for fine weather/
照星 [しょうせい] /(n) bead or front sight of a firearm/
照度 [しょうど] /(n) (intensity of) illumination/illuminance/
照度計 [しょうどけい] /(n) illuminometer/
照付ける [てりつける] /(v1,vi) to blaze down on/to beat down on/to shine down upon/
照明 [しょうめい] /(n,vs,adj-no) illumination/lighting/(P)/
照明器 [しょうめいき] /(n) lighting equipment/
照明器具 [しょうめいきぐ] /(n) lighting equipment/
照明弾 [しょうめいだん] /(n) a flare/
照明灯 [しょうめいとう] /(n) light used for brightly lighting up a plaza, building, etc./
照葉 [てりは] /(n) beautiful shiny autumn leaves/
照葉狂言 [てりはきょうげん] /(n) type of theater which combines elements of noh, kyogen, and kabuki with dances and popular songs (theatre)/
照葉樹林 [しょうようじゅりん] /(n) evergreen (glossy-leaved) forest/
照覧 [しょうらん] /(n,vs) seeing clearly/
照臨 [しょうりん] /(n,vs) looking down (from the heavens)/visit of a high-ranking person/
症 [しょう] /(adj-na,n-suf) illness/(P)/
症候 [しょうこう] /(n,adj-no) symptoms/(P)/
症候群 [しょうこうぐん] /(n) syndrome/(P)/
症状 [しょうじょう] /(n,adj-no) symptoms/condition/(P)/
症例 [しょうれい] /(n) (medical) case/(P)/
省 [しょう] /(n,n-suf) (1) ministry/department/(2) province (of China)/(n-pref) (3) saving/conserving/
省あって国なし [しょうあってくになし] /(exp) each ministry thinks only of its own good, but not of the good of the country (lit: when there are ministries, there is no country)/
省く [はぶく] /(v5k,vt) to omit/to eliminate/to curtail/to economize/to economise/(P)/
省みる [かえりみる] /(v1,vt) (1) to look back (e.g. over shoulder or at the past)/to turn around/to review/(2) to reflect/to reconsider/(3) to consider (usu. used in negative)/to concern oneself about/(P)/
省エネ [しょうエネ] /(n) (abbr) energy conservation/economical use of energy/
省エネタップ [しょうエネタップ] /(n) energy-saving power strip (power board)/
省エネルギー [しょうエネルギー] /(n,adj-no) energy conservation/economical use of energy/energy-saving/(P)/
省スペース [しょうスペース] /(adj-no) space-saving/
省営 [しょうえい] /(n) operated by the government/
省察 [せいさつ] /(n,vs) reflection/consideration/
省資源 [しょうしげん] /(n) saving resources/
省字 [しょうじ] /(n,vs) simplification of a kanji/
省字 [せいじ] /(n,vs) simplification of a kanji/
省線 [しょうせん] /(n) government railway line/
省庁 [しょうちょう] /(n) ministries and government offices/the authorities/(P)/
省電力 [しょうでんりょく] /(n,adj-no) conservation of electric power/
省電力機能 [しょうでんりょくきのう] /(n) (comp) power saver (feature)/
省内 [しょうない] /(n) in the ministry/in the department/
省筆 [しょうひつ] /(n,vs) abbreviation/simplified form of a character/cutting out some strokes in a character/omitting some passages/
省筆 [せいひつ] /(n,vs) abbreviation/simplified form of a character/cutting out some strokes in a character/omitting some passages/
省略 [しょうりゃく] /(n,vs) omission/abbreviation/abridgment/abridgement/(P)/
省略タグ最小化引数 [しょうりゃくタグさいしょうかひきすう] /(n) (comp) omitted tag minimization parameter/
省略記号 [しょうりゃくきごう] /(n) ellipsis/
省略形 [しょうりゃくけい] /(n) abbreviation/abbreviated style/
省略時 [しょうりゃくじ] /(n) default/
省略時コンテキスト [しょうりゃくじコンテキスト] /(n) (comp) default context/
省略時実体 [しょうりゃくじじったい] /(n) (comp) default entity/
省略時値 [しょうりゃくじち] /(n) (comp) default value/
省略不可能 [しょうりゃくふかのう] /(n) (comp) mandatory/cannot be omitted/
省略符号 [しょうりゃくふごう] /(n) ellipsis points (e.g. ....)/suspension points/apostrophe/
省力 [しょうりょく] /(n,adj-no) labor saving/labour saving/(P)/
省力化 [しょうりょくか] /(n,vs) labor saving/labour saving/
省令 [しょうれい] /(n) ministerial ordinance/(P)/
硝安 [しょうあん] /(n) (abbr) ammonium nitrate/
硝煙 [しょうえん] /(n) gunpowder smoke/(P)/
硝煙弾雨 [しょうえんだんう] /(n) smoke of powder and hail of bullets/(in) the thick of the raging battle/
硝化 [しょうか] /(n,vs) nitrification/
硝化細菌 [しょうかさいきん] /(n) nitrifying bacteria/
硝酸 [しょうさん] /(n,adj-no) nitric acid/(P)/
硝酸アンモニウム [しょうさんアンモニウム] /(n) ammonium nitrate/
硝酸セルロース [しょうさんセルロース] /(n) (obsc) cellulose nitrate/
硝酸ナトリウム [しょうさんナトリウム] /(n) sodium nitrate (NaNO3)/
硝酸塩 [しょうさんえん] /(n) nitrate/
硝酸銀 [しょうさんぎん] /(n) (abbr) silver nitrate/AgNO3/
硝酸系 [しょうさんけい] /(n) nitric acid series/
硝酸繊維素 [しょうさんせんいそ] /(n) (obsc) cellulose nitrate/
硝子 [がらす] /(n) (uk) glass (dut: glas)/pane/
硝子屋 [ガラスや] /(n) glass seller/
硝子球 [がらすだま] /(n) glass sphere/glass bead/glass marble/
硝子玉 [がらすだま] /(n) glass sphere/glass bead/glass marble/
硝子戸 [ガラスど] /(n) glass door/
硝子細工 [がらすざいく] /(n) glasswork/
硝子体 [がらすたい] /(n) vitreous body (of the eye)/
硝子体 [しょうしたい] /(n) vitreous body (of the eye)/
硝子壺 [ガラスつぼ] /(n) glass jar/
硝石 [しょうせき] /(n,adj-no) saltpeter/
硝薬 [しょうやく] /(n) gunpowder/
祥月 [しょうつき] /(n) month of a person's death/
祥月命日 [しょうつきめいにち] /(n) anniversary of a person's death/
称 [しょう] /(n) (1) name/(2) reputation/
称える [たたえる] /(v1,vt) to extol/to give praise/
称える [となえる] /(v1,vt) to assume the name of/
称す [しょうす] /(v5s,vt) (1) to take the name of/to call oneself/(2) to pretend/to feign/to purport/
称する [しょうする] /(vs-s,vt) (1) to take the name of/to call oneself/(2) to pretend/to feign/to purport/(P)/
称呼 [しょうこ] /(n,vs) appellation/designation/
称号 [しょうごう] /(n) title/name/degree/(P)/
称賛 [しょうさん] /(n,vs,adj-no) praise/admiration/commendation/approbation/(P)/
称嘆 [しょうたん] /(n,vs) laudation/acclaim/
称歎 [しょうたん] /(n,vs) laudation/acclaim/
称美 [しょうび] /(n,vs) praise/
称名 [しょうみょう] /(n,vs) intoning or chanting the name of the Buddha/
称揚 [しょうよう] /(n,vs) praise/admiration/exalting/extolling/
称量 [しょうりょう] /(n,vs) (1) measuring weight/weighing/
称量 [ひょうりょう] /(n,vs) (1) measuring weight/weighing/(2) maximum weight (on a scales)/
称讚 [しょうさん] /(n,vs,adj-no) praise/admiration/commendation/approbation/
章 [しょう] /(n) (1) chapter/section/(2) medal/(P)/
章を改める [しょうをあらためる] /(exp,v1) to begin a new chapter/
章魚 [たこ] /(n) octopus/
章句 [しょうく] /(n) chapter and verse/paragraph/passage/
章節 [しょうせつ] /(n) chapters and sections/chapter and verse/
章程 [しょうてい] /(n) law/rule/ordinance/charter/
笑い [わらい] /(n) (1) laugh/laughter/(2) smile/(3) sneer/(P)/
笑いかける [わらいかける] /(v1) to smile (at)/to grin (at)/
笑いこける [わらいこける] /(v1,vi) to laugh heartily/
笑いごと [わらいごと] /(n) laughing matter/
笑いの渦 [わらいのうず] /(n) clamor of laughter/
笑い鴎 [わらいかもめ] /(n) laughing gull (larus atricilla)/
笑い絵 [わらいえ] /(n) comic or pornographic picture/
笑い掛ける [わらいかける] /(v1) to smile (at)/to grin (at)/
笑い顔 [わらいがお] /(n) smiling face/
笑い死に [わらいじに] /(n) death by laughter/
笑い事 [わらいごと] /(n) laughing matter/
笑い者 [わらいもの] /(n) laughingstock/butt of ridicule/
笑い種 [わらいぐさ] /(n) laughingstock/byword/
笑い出す [わらいだす] /(v5s) to burst into laughter/
笑い上戸 [わらいじょうご] /(n) merry drinker/
笑い声 [わらいごえ] /(n) laughter/(P)/
笑い川蝉 [わらいかわせみ] /(n) (uk) laughing kookaburra (Dacelo novaeguineae)/
笑い草 [わらいぐさ] /(n) laughingstock/byword/
笑い茸 [わらいたけ] /(n) (uk) Panaeolus papilionaceus (species of poisonous mushroom)/
笑い茸 [わらいだけ] /(n) (uk) Panaeolus papilionaceus (species of poisonous mushroom)/
笑い転ける [わらいこける] /(v1,vi) to laugh heartily/
笑い転げる [わらいころげる] /(v1,vi) to roll about with laughter/to be convulsed with laughter/
笑い倒ける [わらいこける] /(v1,vi) to laugh heartily/
笑い飛ばす [わらいとばす] /(v5s,vt) to laugh at/
笑い物 [わらいもの] /(n) laughingstock/butt of ridicule/
笑い本 [わらいぼん] /(n) (arch) pornographic book/
笑い話 [わらいばなし] /(n) funny story/
笑い翡翠 [わらいかわせみ] /(n) (uk) laughing kookaburra (Dacelo novaeguineae)/
笑い蕈 [わらいたけ] /(n) (uk) Panaeolus papilionaceus (species of poisonous mushroom)/
笑い蕈 [わらいだけ] /(n) (uk) Panaeolus papilionaceus (species of poisonous mushroom)/
笑う [わらう] /(v5u,vi) (1) to laugh/(2) to smile/(3) to sneer/to ridicule/(P)/
笑う門には福来る [わらうかどにはふくきたる] /(exp) (id) good fortune and happiness will come to the home of those who smile/
笑える [わらえる] /(v1) to be made to laugh/
笑み [えみ] /(n) smile/(P)/
笑みをたたえる [えみをたたえる] /(exp,v1) to be all smiles/
笑みを湛える [えみをたたえる] /(exp,v1) to be all smiles/
笑み割れる [えみわれる] /(v1,vi) to crack/
笑む [えむ] /(v5m,vi) to smile/
笑われ者 [わらわれもの] /(n) laughingstock/
笑顔 [えがお] /(n,vs) smiling face/smile/(P)/
笑顔千両 [えがおせんりょう] /(n) beautiful smile/there being a great charm about one's smile/
笑気 [しょうき] /(n) nitrous oxide (N2O)/laughing gas/
笑窪 [えくぼ] /(n) (uk) dimple/
笑劇 [しょうげき] /(n,adj-no) (theatrical) farce/
笑殺 [しょうさつ] /(n,vs) laughing off/dismissing with a laugh/
笑止 [しょうし] /(adj-na,n) laughable/ridiculous/pitiful/contemptible/absurdity/
笑止千万 [しょうしせんばん] /(adj-na,n) highly ridiculous/quite absurd/
笑声 [しょうせい] /(n) laugh/laughter/
笑茸 [わらいたけ] /(n) (uk) Panaeolus papilionaceus (species of poisonous mushroom)/
笑茸 [わらいだけ] /(n) (uk) Panaeolus papilionaceus (species of poisonous mushroom)/
笑談 [しょうだん] /(n,vs) (1) pleasant chat/talking amiably/laughing over/(2) funny story/jest/joke/
笑納 [しょうのう] /(n,vs) (hum) please accept (this)/used to refer to another's acceptance of one's present/
笑覧 [しょうらん] /(n,vs) (hum) your inspection/
笑話 [しょうわ] /(n) amusing story/
笑翡翠 [わらいかわせみ] /(n) (uk) laughing kookaburra (Dacelo novaeguineae)/
粧う [よそう] /(v5u) (uk) to serve/to dish up/to prepare/
粧う [よそおう] /(v5u,vt) (1) to dress/(2) to pretend/to feign/
粧し込む [めかしこむ] /(v5m,vi) to dress oneself up/to deck oneself out/
粧す [めかす] /(v5s) (1) (uk) to adorn oneself/to dress oneself up/(aux-v) (2) to give an air of/to make oneself seem like/
紹介 [しょうかい] /(n,vs,adj-no) introduction/referral/(P)/
紹介者 [しょうかいしゃ] /(n) person who introduces someone/introducer/(P)/
紹介状 [しょうかいじょう] /(n) letter of introduction/
紹介文 [しょうかいぶん] /(n) introductory essay/(P)/
紹興酒 [しょうこうしゅ] /(n) shaoxingjiu (Chinese alcohol made from rice or glutinous millet) (chi:)/
肖り者 [あやかりもの] /(n) lucky person/
肖る [あやかる] /(oK) (v5r,vi) (1) to share good luck/(2) to be named after/
肖像 [しょうぞう] /(n,adj-no) portrait/(P)/
肖像画 [しょうぞうが] /(n) portrait/
肖像権 [しょうぞうけん] /(n) rights to usage of one's likeness/
菖蒲 [あやめ] /(n) (1) iris (flower)/(2) Siberian iris (Iris sanguinea)/(3) (arch) sweet flag (Acorus calamus)/calamus/
菖蒲 [しょうぶ] /(n) (1) sweet flag (Acorus calamus)/calamus/(2) (col) Japanese iris (Iris ensata var. ensata)/
菖蒲 [そうぶ] /(ok) (n) (1) sweet flag (Acorus calamus)/calamus/(2) (col) Japanese iris (Iris ensata var. ensata)/
菖蒲湯 [しょうぶゆ] /(n) bathwater with iris petals/
蕉風 [しょうふう] /(n) correct style in a haiku (like Basho's)/
衝 [しょう] /(n) (1) important point (e.g. on a route)/(2) important role (responsibility, etc.)/(3) (astronomical) opposition/
衝き当る [つきあたる] /(v5r) to run into/to collide with/
衝く [つく] /(v5k,vt) (1) to prick/to stab/(2) to poke/to prod/to push/to thrust/to nudge/to hit/to strike/(3) to use (a cane)/to prop oneself up with/to press against (the floor, etc.)/(4) to attack/(5) to brave (the rain, etc.)/
衝羽根 [つくばね] /(n) (uk) Buckleya lanceolata (species of parasitic deciduous shrub)/
衝羽根樫 [つくばねがし] /(n) (uk) Quercus sessilifolia (species of oak)/
衝羽根空木 [つくばねうつぎ] /(n) (uk) twin-flowering abelia (Abelia spathulata)/
衝羽根草 [つくばねそう] /(n) (uk) Paris tetraphylla (flowering plant closely related to herb Paris)/
衝羽根朝顔 [つくばねあさがお] /(n) (uk) petunia/
衝撃 [しょうげき] /(n,vs) shock/crash/impact/ballistic/(P)/
衝撃タービン [しょうげきタービン] /(n) (obsc) impulse turbine/
衝撃関数 [しょうげきかんすう] /(n) impulse function/
衝撃式印字装置 [しょうげきしきいんじそうち] /(n) (comp) (obsc) impact printer/
衝撃波 [しょうげきは] /(n) shock wave/
衝撃療法 [しょうげきりょうほう] /(n) (obsc) shock therapy/shock treatment/
衝上断層 [しょうじょうだんそう] /(n) thrust fault/
衝心 [しょうしん] /(n,vs) (beriberi-caused) heart failure/
衝天 [しょうてん] /(n) (being in) high spirits/
衝動 [しょうどう] /(n,vs) impulse/impetus/urge/(P)/
衝動タービン [しょうどうタービン] /(n) impulse turbine/
衝動行為 [しょうどうこうい] /(n) shock action/
衝動的 [しょうどうてき] /(adj-na) impulsive/
衝動買い [しょうどうがい] /(n,vs) impulsive buying/
衝突 [しょうとつ] /(n,vs) collision/conflict/(P)/
衝突器 [しょうとつき] /(n) collider/
衝突型加速器 [しょうとつがたかそくき] /(n) colliding-beam accelerator/(particle) collider accelerator/
衝突検出 [しょうとつけんしゅつ] /(n) (comp) collision detection/CD/
衝突痕 [しょうとつこん] /(n) impact mark/
衝立 [ついたて] /(n) (abbr) partitioning screen/
衝立て [ついたて] /(io) (n) (abbr) partitioning screen/
衝立障子 [ついたてしょうじ] /(n) partitioning screen/
衝立障子 [ついたてそうじ] /(n) partitioning screen/
裳 [も] /(n) ancient skirt/
裳階 [しょうかい] /(n) pent roof (below the true roof of a pagoda, etc.)/
裳階 [もこし] /(n) pent roof (below the true roof of a pagoda, etc.)/
裳裾 [もすそ] /(n) cuff (of pants)/hem (of skirt)/train (of dress)/foot (of mountain)/
裳層 [しょうかい] /(n) pent roof (below the true roof of a pagoda, etc.)/
裳層 [もこし] /(n) pent roof (below the true roof of a pagoda, etc.)/
裳着 [もぎ] /(n) Heian period coming-of-age ceremony for girls/
訟務 [しょうむ] /(n,adj-no) litigation/
訟務部 [しょうむぶ] /(n) Litigation Department (of the Ministry of Justice)/
証 [あかし] /(n) (1) proof/evidence/testimony/(vs) (2) to testify (usu. Christian religious context)/(P)/
証す [あかす] /(v5s) to prove/to verify/
証す [しょうす] /(v5s,vt) (1) to prove/to verify/(2) to guarantee/to promise/
証する [しょうする] /(vs-s,vt) (1) to prove/to verify/(2) to guarantee/to promise/
証として [しょうとして] /(exp) in sign of/in proof of/
証印 [しょういん] /(n,vs) a seal affixed to a document/
証拠 [しょうこ] /(n) evidence/proof/(P)/
証拠をつかむ [しょうこをつかむ] /(exp,v5m) to obtain evidence/
証拠を押さえる [しょうこをおさえる] /(exp,v1) to seize (secure) evidence/
証拠を掴む [しょうこをつかむ] /(exp,v5m) to obtain evidence/
証拠隠滅 [しょうこいんめつ] /(n) destruction of evidence/
証拠金 [しょうこきん] /(n) (1) deposit (e.g. on the purchase of a house)/earnest money/guarantee money/(2) margin (payment)/warrant money/cover/
証拠品 [しょうこひん] /(n) evidence/
証拠物件 [しょうこぶっけん] /(n) evidence/an exhibit/
証拠立てる [しょうこだてる] /(v1,vt) to prove/to substantiate/
証券 [しょうけん] /(n) securities/bonds/certificates/(P)/
証券化 [しょうけんか] /(n) securitization/securitisation/
証券会社 [しょうけんがいしゃ] /(n) securities company/
証券業界 [しょうけんぎょうかい] /(n) securities industry/
証券詐欺 [しょうけんさぎ] /(n) securities fraud/
証券市場 [しょうけんしじょう] /(n) securities market/
証券取引委員会 [しょうけんとりひきいいんかい] /(n) Securities and Exchange Commission/SEC/
証券取引所 [しょうけんとりひきじょ] /(n) securities exchange/stock exchange/bourse/
証券取引法 [しょうけんとりひきほう] /(n) Securities and Exchange Act/
証券発行 [しょうけんはっこう] /(n) securities issue/
証言 [しょうげん] /(n,vs) evidence/testimony/(P)/
証言録取 [しょうげんろくしゅ] /(n) deposition/record of testimony/
証左 [しょうさ] /(n) evidence/proof/witness/
証紙 [しょうし] /(n) (inspection or certification) stamp/
証取り法 [しょうとりほう] /(n) (abbr) Securities and Exchange Act/
証取法 [しょうとりほう] /(n) (abbr) Securities and Exchange Act/
証書 [しょうしょ] /(n) bond/deed/certificate/(P)/
証人 [しょうにん] /(n) witness/(P)/
証人喚問 [しょうにんかんもん] /(n) summoning witness/
証人席 [しょうにんせき] /(n) witness stand or box/
証人台 [しょうにんだい] /(n) witness stand or box/
証人保護プログラム [しょうにんほごプログラム] /(n) witness protection program/witness protection programme/
証跡 [しょうせき] /(n) proof/evidence/trace/
証票 [しょうひょう] /(n) certificate/voucher/chit/
証文 [しょうもん] /(n) bond/deed/contract/
証文の出し後れ [しょうもんのだしおくれ] /(exp) (id) It is too late to make an apology/
証明 [しょうめい] /(n,vs,adj-no) proof/verification/(P)/
証明した写し [しょうめいしたうつし] /(n) certified true copy (of documents)/
証明機関 [しょうめいきかん] /(n) (comp) certification authority/
証明権限者 [しょうめいけんげんしゃ] /(n) certifying authority/
証明済み [しょうめいずみ] /(n) already proved/
証明写真 [しょうめいしゃしん] /(n) photograph for passports, ID cards, etc. (usu. 4x3cm)/
証明書 [しょうめいしょ] /(n) certificate (usually of proof of something)/credentials/(P)/
証明証 [しょうめいしょう] /(n) (comp) user certificate/certificate/
証明証経路 [しょうめいしょうけいろ] /(n) (comp) certification path/
証明証通し番号 [しょうめいしょうとおしばんごう] /(n) (comp) certificate serial number/
証明謄本 [しょうめいとうほん] /(n) attested copy/
証憑 [しょうひょう] /(n) documented evidence (contract, voucher, etc.)/
詔 [みことのり] /(n) imperial decree/imperial edict/(P)/
詔書 [しょうしょ] /(n) imperial edict/decree/(P)/
詔勅 [しょうちょく] /(n) imperial edict/decree/
詔命 [しょうめい] /(n,vs) imperial command/
詔令 [しょうれい] /(n) imperial edict/
詳しい [くわしい] /(adj-i) (1) detailed/full/accurate/(2) knowing very well/well-acquainted/well-informed/(P)/
詳しい話 [くわしいはなし] /(n) detailed account/
詳しく [くわしく] /(adv) in detail/fully/minutely/at length/
詳しく述べる [くわしくのべる] /(v1) to expound/
詳らか [つまびらか] /(adj-na) detailed/
詳らかでない [つまびらかでない] /(adj-i) unknown/
詳解 [しょうかい] /(n,vs) detailed explanation/
詳記 [しょうき] /(n,vs) minute description/
詳言 [しょうげん] /(n,vs) detailed explanation/
詳査 [しょうさ] /(n,vs) to examine in full detail/
詳細 [しょうさい] /(adj-na,n) detail/particulars/(P)/
詳細課金データ [しょうさいかきんデータ] /(n) (comp) detailed billing data/
詳細情報 [しょうさいじょうほう] /(n) detailed information/
詳細設計 [しょうさいせっけい] /(n) (comp) detailed design/
詳細説明 [しょうさいせつめい] /(n) (comp) detailed explanation/
詳察 [しょうさつ] /(n,vs) careful observation/
詳述 [しょうじゅつ] /(n,vs) detailed explanation/(P)/
詳説 [しょうせつ] /(n,vs) detailed explanation/
詳註 [しょうちゅう] /(n) copious notes/
詳伝 [しょうでん] /(n) detailed biography/
詳報 [しょうほう] /(n,vs) full report/particulars/(P)/
詳密 [しょうみつ] /(adj-na,n) minute/detailed/elaborate/
詳録 [しょうろく] /(n,vs) detailed record/
詳論 [しょうろん] /(n,vs) explanation in detail/full discussion/
象 [しょう] /(n) phenomenon/(P)/
象 [ぞう] /(n) elephant/(P)/
象さん [ぞうさん] /(n) elephant/
象の鼻 [ぞうのはな] /(n) trunk of an elephant/
象る [かたどる] /(v5r,vi) (1) to model on/to make in the shape of/to represent/to pattern after/to imitate/(2) to symbolise/
象牙 [ぞうげ] /(n) ivory/(P)/
象牙の塔 [ぞうげのとう] /(n) ivory tower/
象牙海岸 [ぞうげかいがん] /(n) (Republic of) Ivory Coast/Cote d'Ivoire/
象牙細工 [ぞうげざいく] /(n) ivory carving/
象牙質 [ぞうげしつ] /(n) dentin/dentine/
象牙取引 [ぞうげとりひき] /(n) ivory trade/
象牙色 [ぞうげいろ] /(n) ivory-white/
象牙椰子 [ぞうげやし] /(n) (uk) ivory palm (Phytelephas macrocarpa)/
象海豹 [ぞうあざらし] /(n) (uk) elephant seal/
象眼 [ぞうがん] /(n,vs) inlay (work)/inlaying/
象棋 [しょうぎ] /(n) shogi/Japanese chess/xianqi/
象棋 [シャンチー] /(n) xiangqi (chi:)/Chinese chess/
象亀 [ぞうがめ] /(n) (uk) giant tortoise/
象戯 [しょうぎ] /(n) shogi/Japanese chess/xianqi/
象形 [しょうけい] /(n,adj-no) hieroglyphics/type of character representing pictures/
象形文字 [しょうけいもじ] /(n,adj-no) hieroglyph/hieroglyphic character/
象限 [しょうげん] /(n) quadrant/
象限儀 [しょうげんぎ] /(n) quadrant (instrument)/
象使い [ぞうつかい] /(n) elephant trainer/
象虫 [ぞうむし] /(n) weevil/snout beetle/
象徴 [しょうちょう] /(n,vs,adj-no) symbol/(P)/
象徴詩 [しょうちょうし] /(n) symbolist poetry/
象徴主義 [しょうちょうしゅぎ] /(n,adj-no) symbolism (19th-century artistic movement)/
象徴的 [しょうちょうてき] /(adj-na) symbolic/(P)/
象徴天皇制 [しょうちょうてんのうせい] /(n) symbolic emperor system/
象徴派 [しょうちょうは] /(n) the symbolist school/
象皮病 [ぞうひびょう] /(n) elephantiasis/
象貌 [しょうぼう] /(n) (obsc) appearance/figure/
象嵌 [ぞうがん] /(n,vs) inlay (work)/inlaying/
賞 [しょう] /(n,n-suf) prize/award/(P)/
賞をとる [しょうをとる] /(exp,v5r) to win the prize/to win the ring/
賞を取る [しょうをとる] /(exp,v5r) to win the prize/to win the ring/
賞を受ける [しょうをうける] /(exp,v1) to receive a prize/
賞玩 [しょうがん] /(n,vs) appreciation/admiration/enjoyment/
賞翫 [しょうがん] /(n,vs) appreciation/admiration/enjoyment/
賞金 [しょうきん] /(n) prize/monetary award/(P)/
賞金を懸ける [しょうきんをかける] /(exp,v1) to offer a prize/
賞金王 [しょうきんおう] /(n) earned prize money king/
賞金稼ぎ [しょうきんかせぎ] /(n,vs) (1) pothunting/bounty hunting/(2) pothunter/bounty hunter/
賞讃 [しょうさん] /(n,vs,adj-no) praise/admiration/commendation/approbation/
賞賛 [しょうさん] /(n,vs,adj-no) praise/admiration/commendation/approbation/
賞賛して措かない [しょうさんしておかない] /(adj-i) applaud highly/extol/
賞詞 [しょうし] /(n) (words of) praise/eulogy/
賞状 [しょうじょう] /(n) honorable certificate/honourable certificate/(P)/
賞嘆 [しょうたん] /(n,vs) laudation/acclaim/
賞歎 [しょうたん] /(n,vs) laudation/acclaim/
賞杯 [しょうはい] /(n) trophy/prize cup/
賞牌 [しょうはい] /(n) medal/(P)/
賞罰 [しょうばつ] /(n) rewards and punishments/(P)/
賞美 [しょうび] /(n,vs) admiration/praise/prizing/appreciation/
賞品 [しょうひん] /(n) prize/trophy/(P)/
賞味 [しょうみ] /(n,vs) relish/gusto/appreciation/
賞味期間 [しょうみきかん] /(n) best-before period (e.g. foodstuffs)/
賞味期限 [しょうみきげん] /(n) best if eaten by this date/
賞与 [しょうよ] /(n) reward/prize/bonus/(P)/
賞与金 [しょうよきん] /(n) incentive/bonus/premium/
賞揚 [しょうよう] /(n,vs) admiration/
賞讚 [しょうさん] /(n,vs,adj-no) praise/admiration/commendation/approbation/
醤 [ひしお] /(n) (1) paste similar to miso made from koji mold and salt water/(2) watery mash left over from making soy sauce/
醤蝦 [あみ] /(n) (food) opossum shrimp/
醤油 [しょうゆ] /(n) soy sauce/shoyu/(P)/
醤油顔 [しょうゆがお] /(n) someone with a slender chin/
醤油皿 [しょうゆざら] /(n) soy sauce dish/
鉦 [かね] /(n) gong/handbell/
鉦 [しょう] /(n) gong/handbell/
鉦鼓 [しょうこ] /(n) small gong (used in gagaku)/
鉦鼓 [しょうご] /(n) small gong (used in gagaku)/
鍾き [しょうき] /(n) (1) Shoki the plague-queller/Zhong Kui (traditional Chinese deity said to prevent plagues and ward off evil beings)/vanquisher of ghosts and evil beings, and reputedly able to command 80,000 demons/(2) WWII fighter aircraft/
鍾乳石 [しょうにゅうせき] /(n) stalactite/
鍾乳洞 [しょうにゅうどう] /(n) limestone cave (cavern, grotto)/(P)/
鍾馗 [しょうき] /(n) (1) Shoki the plague-queller/Zhong Kui (traditional Chinese deity said to prevent plagues and ward off evil beings)/vanquisher of ghosts and evil beings, and reputedly able to command 80,000 demons/(2) WWII fighter aircraft/
鐘 [かね] /(n) bell (often a large hanging bell)/chime/(P)/
鐘の音 [かねのね] /(n) chimes/toll of a bell/
鐘を突く [かねをつく] /(exp,v5k) to strike a bell/
鐘状火山 [しょうじょうかざん] /(n) lava dome/
鐘声 [しょうせい] /(n) sound of a bell/
鐘鼎文 [しょうていぶん] /(n) bronze-vessel and bell inscriptions/
鐘撞 [かねつき] /(n) ringing of a bell/bell ringer/
鐘撞堂 [かねつきどう] /(n) belfry/bell tower/
鐘乳石 [しょうにゅうせき] /(n) stalactite/
鐘乳洞 [しょうにゅうどう] /(n) limestone cave (cavern, grotto)/
鐘楼 [しゅろう] /(n) belfry/bell tower/
鐘楼 [しょうろう] /(n) belfry/bell tower/(P)/
障がい [しょうがい] /(n,vs) (1) obstacle/impediment/hindrance/difficulty/barrier/(2) handicap/impairment/disability/disorder/malfunction/
障の神 [さいのかみ] /(n) traveler's guardian deity (traveller)/
障の神 [さえのかみ] /(n) traveler's guardian deity (traveller)/
障む [つつむ] /(v5m) (arch) to become sick/to be struck by a disaster/to hinder/to be hindered/to run into problems/to have an accident/
障り [さわり] /(n) hindrance/obstacle/harm/bad effect/sickness/
障る [さわる] /(v5r,vi) to hinder/to interfere with/to affect/to do one harm/to be harmful to/(P)/
障害 [しょうがい] /(n,vs) (1) obstacle/impediment/hindrance/difficulty/barrier/(2) handicap/impairment/disability/disorder/malfunction/(P)/
障害しきい値 [しょうがいしきいち] /(n) (comp) fault threshold/
障害セクタ [しょうがいセクタ] /(n) (comp) faulty sector/
障害迂回 [しょうがいうかい] /(n) fail-over/fault bypass/
障害迂回ブロック [しょうがいうかいブロック] /(n) fault bypass block/
障害回復 [しょうがいかいふく] /(n) (comp) fault recovery/
障害児 [しょうがいじ] /(n) handicapped child/handicapped children/
障害者 [しょうがいしゃ] /(n) (physically) handicapped person/disabled person/(P)/
障害者教育 [しょうがいしゃきょういく] /(n) special education/education of the handicapped/
障害者職業能力開発校 [しょうがいしゃしょくぎょうのうりょくかいはつこう] /(n) business skill development school for handicapped people/
障害地点 [しょうがいちてん] /(n) (comp) blocking point/point of blockage/
障害追跡 [しょうがいついせき] /(n) (comp) fault trace/
障害年金 [しょうがいねんきん] /(n) disability pension/invalid pension/
障害復旧 [しょうがいふっきゅう] /(n) (comp) fault clearing/fault restoration/
障害物 [しょうがいぶつ] /(n) obstacle/
障害物競走 [しょうがいぶつきょうそう] /(n) obstacle race/
障害率しきい値 [しょうがいりつしきいち] /(n) (comp) fault-rate threshold/
障碍 [しょうがい] /(n,vs) (1) obstacle/impediment/hindrance/difficulty/barrier/(2) handicap/impairment/disability/disorder/malfunction/
障碍 [しょうげ] /(n,vs) (1) obstacle/impediment/hindrance/difficulty/barrier/
障碍者 [しょうがいしゃ] /(n) (physically) handicapped person/disabled person/
障子 [しょうじ] /(n) shoji (paper sliding door)/(P)/
障子に目あり [しょうじにめあり] /(exp) walls have ears (lit: shoji have eyes)/
障子の腰 [しょうじのこし] /(n) lower part of a shoji (paper sliding-door)/
障子の桟 [しょうじのさん] /(n) frame of a shoji (paper sliding-door)/
障子紙 [しょうじがみ] /(n) shoji paper/
障子貼る [しょうじはる] /(exp,v5r) to replace shoji/cleaning and repapering shoji in preparation for winter/
障泥 [あおり] /(n) saddle flap/
障泥 [しょうでい] /(n) saddle flap/
障泥烏賊 [あおりいか] /(n) bigfin reef squid/oval squid (Sepioteuthis lessoniana)/
障蔽 [しょうへい] /(n) partitions in a Japanese house (e.g. screens, sliding doors, etc.)/
障壁 [しょうへき] /(n) enclosing wall/barrier/(P)/
障壁画 [しょうへきが] /(n) pictures on (room) partitions/
障屏 [しょうへい] /(n) partitions in a Japanese house (e.g. screens, sliding doors, etc.)/
障礙 [しょうがい] /(n,vs) (1) obstacle/impediment/hindrance/difficulty/barrier/(2) handicap/impairment/disability/disorder/malfunction/
障礙 [しょうげ] /(n,vs) (1) obstacle/impediment/hindrance/difficulty/barrier/
障礙者 [しょうがいしゃ] /(n) (physically) handicapped person/disabled person/
鞘 [さや] /(n) scabbard/
鞘を払う [さやをはらう] /(exp,v5u) to draw a sword/
鞘取り [さやとり] /(n) brokerage/
鞘尻 [さやじり] /(n) tip of a scabbard/
鞘走る [さやばしる] /(v5r) (arch) to slip out of one's scabbard (of swords)/
鞘長 [さやなが] /(n) (uk) spear squid (Loligo bleekeri)/
鞘当て [さやあて] /(n) rivalry (in love, touching of sheaths)/
鞘味泥 [さやみどろ] /(n) (uk) oedogonium (any of a genus of filamentous green algae)/
鞘翅類 [しょうしるい] /(n) (obs) coleopterans/beetles/
上 [うえ] /(n,adj-no,n-adv,n-suf) (1) above/up/over/(2) top/summit/(3) surface/on/(4) before/previous/(5) superiority/one's superior (i.e. one's elder)/(6) on top of that/besides/what's more/(7) upon (further inspection, etc.)/based on (and occurring after)/(8) matters concerning.../as concerns .../(9) since (i.e. "for that reason")/(n-suf) (10) (hon) suffix indicating higher social standing/(11) (arch) place of one's superior (i.e. the throne)/(12) (arch) emperor/sovereign/shogun/daimyo/(13) (arch) noblewoman (esp. the wife of a nobleman)/(P)/
上 [うわ] /(n,pref) upper/upward/outer/surface/top/
上 [かみ] /(n) (1) upper reaches (of a river)/upper stream/(2) top/upper part/upper half (of the body)/(3) long ago/(4) beginning/first/(5) (hon) person of high rank (e.g. the emperor)/(6) government/imperial court/(7) imperial capital (i.e. Kyoto)/capital region (i.e. Kansai)/region (or direction of) the imperial palace/(8) head (of a table)/(9) (hon) wife/mistress (of a restaurant)/(P)/
上 [じょう] /(n-suf) (1) from the standpoint of/as a matter of (e.g. fact)/in the field of/being of the type of/(2) aboard (a ship or vehicle)/on top of/on/above/(n) (3) first volume (e.g. book)/(n,pref) (4) superior quality/best/top/high class/(5) going up/(6) governmental/imperial/(7) presenting/showing/(pref) (8) ana- (medical, biol.)/(P)/
上々 [じょうじょう] /(adj-na,n,adj-no) the best/great/superb/(P)/
上からの命令 [うえからのめいれい] /(n) order from above/
上がったり [あがったり] /(exp) doomed/in a bad state/poor (e.g. business)/(P)/
上がり [あがり] /(n,suf) (1) ascent/rise/slope/(2) freshly-drawn green tea (esp. in sushi shops)/(3) advance income/crop yield/(4) death/spinning/completion/stop/finish/(5) after (rain)/ex (official, etc.)/(6) (end) results (e.g. of crafts like painting, pottery, etc.)/how something comes out/(P)/
上がり下がり [あがりさがり] /(n,vs) rise and fall/fluctuation/
上がり下り [あがりおり] /(n,vs) going up and down/ascent and descent/
上がり花 [あがりばな] /(n) freshly-drawn green tea (esp. in sushi shops)/
上がり口 [あがりくち] /(n) entrance/
上がり口 [あがりぐち] /(n) entrance/
上がり降り [あがりおり] /(n,vs) going up and down/ascent and descent/
上がり高 [あがりだか] /(n) revenue/income/receipts/yield/
上がり込む [あがりこむ] /(v5m,vi) to enter/to step in/
上がり座敷 [あがりざしき] /(n) elevated podium in Japanese-style house/
上がり症 [あがりしょう] /(n) stage fright/social anxiety disorder/social phobia/
上がり場 [あがりば] /(n) landing/landing place/
上がり性 [あがりしょう] /(n) stage fright/social anxiety disorder/social phobia/
上がり端 [あがりはな] /(n) (1) entrance (i.e. of a Japanese house)/(2) start of a rise (e.g. in prices)/
上がり端 [あがりばな] /(n) (1) entrance (i.e. of a Japanese house)/(2) start of a rise (e.g. in prices)/
上がり段 [あがりだん] /(n) staircase/doorsteps/
上がり湯 [あがりゆ] /(n) clean hot bath water for rinsing/
上がり物 [あがりもの] /(n) food offering/yield/waste/
上がり目 [あがりめ] /(n) (1) eyes slanted upward/(2) rising tendency/
上がり框 [あがりかまち] /(n) piece of wood at front edge of entranceway floor/agarikamachi/
上がり框 [あがりがまち] /(n) piece of wood at front edge of entranceway floor/agarikamachi/
上がる [あがる] /(v5r,vi) (1) to rise/to go up/to come up/to ascend/to be raised/(2) to enter (esp. from outdoors)/to come in/to go in/(3) to enter (a school)/to advance to the next grade/(4) to get out (of water)/to come ashore/(5) to increase/(6) to improve/to make progress/(7) to be promoted/to advance/(8) to be made (of profit, etc.)/(9) to occur (esp. of a favourable result)/(10) to be adequate (to cover expenses, etc.)/(11) to be finished/to be done/to be over/(12) (of rain) to stop/to lift/(13) to stop (working properly)/to cut out/to give out/to die/(14) to win (in a card game, etc.)/(15) to be spoken loudly/(16) to get stage fright/(17) to be offered (to the gods, etc.)/(18) (hum) to go/to visit/(19) (hon) to eat/to drink/(20) to be listed (as a candidate)/(21) to serve (in one's master's home)/(22) (in Kyoto) to go north/(suf,v5r) (23) (after the -masu stem of a verb) indicates completion/(P)/
上げ [あげ] /(n,n-suf) rise in price/making a tuck/(P)/
上げたり下げたり [あげたりさげたり] /(n) raising and lowering/praising and blaming/
上げる [あげる] /(v1,vt) (1) to raise/to elevate/(2) to do up (one's hair)/(3) to fly (a kite, etc.)/to launch (fireworks, etc.)/to surface (a submarine, etc.)/(4) to land (a boat)/(5) to show someone (into a room)/(6) to send someone (away)/(7) to enrol (one's child in school) (enroll)/(8) to increase (price, quality, status, etc.)/(9) to make (a loud sound)/to raise (one's voice)/(10) to earn (something desirable)/(11) to praise/(12) to give (an example, etc.)/to cite/(13) to summon up (all of one's energy, etc.)/(14) (pol) to give/(15) to offer up (incense, a prayer, etc.) to the gods (or Buddha, etc.)/(16) to bear (a child)/(17) to conduct (a ceremony, esp. a wedding)/(v1,vi) (18) (of the tide) to come in/(v1,vi,vt) (19) to vomit/(aux-v) (20) (uk) (pol) (after the -te form of a verb) to do for (the sake of someone else)/(21) (after the -masu stem of a verb) to complete/(22) (hum) used after the -masu stem of a humble verb to increase the level of humility/(P)/
上げ下げ [あげさげ] /(n,vs) raising and lowering/praising and blaming/modulation/
上げ下ろし [あげおろし] /(n) raising and lowering/loading and unloading/
上げ蓋 [あげぶた] /(n) trap door/removable floor boards/
上げ弓 [あげゆみ] /(n) up-bow (technique used when playing a string instrument)/
上げ頚 [あげくび] /(n) neckband/round upright collar (on some traditional Japanese clothing)/
上げ床 [あげどこ] /(n) raised seedbed/
上げ床 [あげゆか] /(n) raised floor/
上げ畳 [あげだたみ] /(n) a tatami finished on both sides/
上げ膳 [あげぜん] /(n) placing a meal in front of one/
上げ膳据え膳 [あげぜんすえぜん] /(exp) taking care of everything/no need to do anything/
上げ相場 [あげそうば] /(n) bullish market/bull market/
上げ足 [あげあし] /(n) (1) finding fault/(2) upturn (in the market)/
上げ潮 [あげしお] /(n) incoming tide/
上げ底 [あげそこ] /(n) (1) false bottom/fake bottom/raised bottom/platform (shoes)/kick (of a bottle)/(2) exaggeration/overstatement/
上げ底 [あげぞこ] /(n) (1) false bottom/fake bottom/raised bottom/platform (shoes)/kick (of a bottle)/(2) exaggeration/overstatement/
上げ板 [あげいた] /(n) movable floor boards/trap door/
上げ俵 [あげだわら] /(n) 4 corner bales on the outer rim of the sumo ring/
上げ離す [あげはなす] /(v5s) to cut off (the head)/
上げ頸 [あげくび] /(n) neckband/round upright collar (on some traditional Japanese clothing)/
上さん [かみさん] /(n) (1) (uk) (one's) wife/(2) (someone's) wife/(3) landlady/
上す [のぼす] /(v5s) (kyb:) to raise/to record/to bring up (a matter)/to serve (food)/to send some one out/
上ずる [うわずる] /(v5r,vi) to be excited/to get excited/to sound shallow/to sound hollow (a voice)/to ring false (a voice)/to sound shrill and nervous (a voice)/to be high-pitched and unstrung (a voice)/
上せる [のぼせる] /(v1,vt) (kyb:) to raise/to record/to bring up (a matter)/to serve (food)/to send some on out/(P)/
上っ側 [うわっかわ] /(n) upper side/surface/
上っ張り [うわっぱり] /(n) overalls/wrapper/duster/smock/
上っ調子 [うわっちょうし] /(adj-na,n) flippant/frivolous/shallow/(P)/
上っ面 [うわっつら] /(n) surface/appearances/
上つき [うわつき] /(n) superscript/
上つ方 [うえつがた] /(n) nobles/the upper class/
上で [うえで] /(exp) upon/after/
上では [うえでは] /(exp) from the viewpoint of/according to/
上と下 [うえとした] /(exp) above and below/
上には上が有る [うえにはうえがある] /(exp) (id) Greatness is comparative/
上の級に進む [うえのきゅうにすすむ] /(exp,v5m) to move up to a higher grade/
上の句 [かみのく] /(n) the first part of a poem or verse/
上の空 [うわのそら] /(adj-na,n) inattention/absent-mindedness/
上の子 [うえのこ] /(n) the older child/
上の地位 [うえのちい] /(n) higher position/
上は [うえは] /(conj) now that/since/
上へ上へ [うえへうえへ] /(adj-no,adv-to) higher and higher/
上べ [うわべ] /(n) seeming/exterior/surface/outside/outward appearance/
上り [のぼり] /(n) (1) ascent/climbing/ascending (path)/climb/(2) up-train (e.g. going to Tokyo)/(n,adj-no) (3) northward (towards Tokyo)/(P)/
上りつめる [のぼりつめる] /(v1,vi) (1) to go to the top/to climb to the top/to ascend to the top/to reach the summit (e.g. of a mountain)/(2) to be engrossed in/to be very enthusiastic about/to be infatuated with/
上りリンク [のぼりリンク] /(n) (comp) forward link/
上り下り [のぼりおり] /(n,vs) rising and falling/going up and down/
上り下り [のぼりくだり] /(n,vs) rising and falling/going up and down/(P)/
上り詰める [のぼりつめる] /(v1,vi) (1) to go to the top/to climb to the top/to ascend to the top/to reach the summit (e.g. of a mountain)/(2) to be engrossed in/to be very enthusiastic about/to be infatuated with/
上り勾配 [のぼりこうばい] /(n) uphill grade/upgrade/
上り口 [のぼりぐち] /(n) starting point for an ascent (mountain, stairs, etc.)/
上り坂 [のぼりざか] /(n) ascent/upgrade/(P)/
上り線 [のぼりせん] /(n) up line/in-bound line/
上り端 [あがりはな] /(io) (n) (1) entrance (i.e. of a Japanese house)/(2) start of a rise (e.g. in prices)/
上り端 [あがりばな] /(io) (n) (1) entrance (i.e. of a Japanese house)/(2) start of a rise (e.g. in prices)/
上り段 [のぼりだん] /(n) (obsc) doorstep/
上り調子 [のぼりちょうし] /(n) rise/improvement/uptrend/
上り調子 [のぼりぢょうし] /(n) rise/improvement/uptrend/
上り藤 [のぼりふじ] /(iK) (n) lupine/
上り道 [のぼりみち] /(n) uphill road/
上り列車 [のぼりれっしゃ] /(n) up train/trains going toward the capital/
上る [あがる] /(io) (v5r,vi) (1) to rise/to go up/to come up/to ascend/to be raised/(2) to enter (esp. from outdoors)/to come in/to go in/(3) to enter (a school)/to advance to the next grade/(4) to get out (of water)/to come ashore/(5) to increase/(6) to improve/to make progress/(7) to be promoted/to advance/(8) to be made (of profit, etc.)/(9) to occur (esp. of a favourable result)/(10) to be adequate (to cover expenses, etc.)/(11) to be finished/to be done/to be over/(12) (of rain) to stop/to lift/(13) to stop (working properly)/to cut out/to give out/to die/(14) to win (in a card game, etc.)/(15) to be spoken loudly/(16) to get stage fright/(17) to be offered (to the gods, etc.)/(18) (hum) to go/to visit/(19) (hon) to eat/to drink/(20) to be listed (as a candidate)/(21) to serve (in one's master's home)/(22) (in Kyoto) to go north/(suf,v5r) (23) (after the -masu stem of a verb) indicates completion/
上る [のぼる] /(v5r,vi) (1) to ascend/to go up/to climb/(2) to ascend (as a natural process, e.g. the sun)/to rise/(3) to go to (the capital)/(4) to be promoted/(5) to add up to/(6) to advance (in price)/(7) to swim up (a river)/to sail up/(8) to come up (on the agenda)/(P)/
上を下への大騒ぎ [うえをしたへのおおさわぎ] /(exp) to be in a state of confusion/
上を向く [うえをむく] /(exp,v5k) to look upward/
上を行く [うえをいく] /(exp,v5k-s) to be ahead of/
上梓 [じょうし] /(n,vs) publication/wood-block printing/
上位 [じょうい] /(n) (1) superior (rank not class)/(2) (comp) higher order (e.g. byte)/(3) (comp) host computer (of connected device)/(P)/
上位グループ [じょういグループ] /(n) (comp) ancestor/
上位ダイアログ [じょういダイアログ] /(n) (comp) superior dialogue/
上位概念 [じょういがいねん] /(n) high level concept/superordinate concept/broader term/
上位機種 [じょういきしゅ] /(n) (comp) high-end equipment/
上位五番 [じょういごばん] /(n) last five matches of makushita division wrestlers (sumo)/
上位互換 [じょういごかん] /(n) (comp) upwardly compatible/
上位互換性 [じょういごかんせい] /(n,adj-no) backward compatibility/downward compatibility/
上位語 [じょういご] /(n) (comp) broader term/
上位構造 [じょういこうぞう] /(n) higher structure/
上位参照 [じょういさんしょう] /(n) (comp) superior reference/
上位四校 [じょういしこう] /(n) schools of the upper quartile/highly ranked schools/
上位試験手段 [じょういしけんしゅだん] /(n) (comp) upper tester/
上位省略表記 [じょういしょうりゃくひょうき] /(n) (comp) truncated representation/
上位層 [じょういそう] /(n) (comp) upper level/upper layer/
上位文化 [じょういぶんか] /(n) high culture/
上意 [じょうい] /(n) will or decree (esp. of shogun)/emperor's wishes/
上意下達 [じょういかたつ] /(n,vs,adj-no) conveying the will of the governing to the governed/
上意討 [じょういうち] /(io) (n) (arch) execution (on the command of a feudal lord)/
上意討ち [じょういうち] /(n) (arch) execution (on the command of a feudal lord)/
上衣 [うわぎ] /(n,adj-no) coat/tunic/jacket/outer garment/
上衣 [じょうい] /(n,adj-no) coat/tunic/jacket/outer garment/
上一段 [かみいちだん] /(n) (abbr) conjugation (inflection, declension) of ichidan verbs ending in "iru"/
上一段活用 [かみいちだんかつよう] /(n) conjugation (inflection, declension) of ichidan verbs ending in "iru"/
上院 [じょういん] /(n,adj-no) Upper House/Senate/Lords/(P)/
上院議員 [じょういんぎいん] /(n,adj-no) senator/member of the upper house/
上院議会 [じょういんぎかい] /(n) Senate/
上右 [うえみぎ] /(n) upper right (corner)/
上臼 [うわうす] /(n) upper millstone/
上映 [じょうえい] /(n) (1) screening (a movie)/showing/(vs) (2) to screen a movie/(P)/
上映時間 [じょうえいじかん] /(n) running time (e.g. of movie)/
上越 [じょうえつ] /(n) area on Japan Sea side of Japan, including Niigata/(P)/
上越本線 [じょうえつほんせん] /(n) Joetsu Main Line/
上円下方墳 [じょうえんかほうふん] /(n) burial mound with square flat base and round top/
上演 [じょうえん] /(n,vs) performance (e.g. music, theatre, opera)/staging/(P)/
上屋 [うわや] /(n) shed/shelter/terminal (e.g. cargo, airport, etc.)/
上屋敷 [かみやしき] /(n) daimyo's main Tokyo mansion/
上音 [じょうおん] /(n) overtone/
上下 [うえした] /(n) (1) top and bottom/up and down/high and low/above and below/upper and lower ends/(adj-no,n) (2) upside-down/(P)/
上下 [かみしも] /(n) (1) samurai costume/old ceremonial costume/(2) top and bottom/up and down/high and low/above and below/upper and lower ends/
上下 [しょうか] /(n,vs) (1) top and bottom/up and down/high and low/above and below/upper and lower ends/(n) (2) upper and lower classes/ruler and ruled/the government and the people/
上下 [じょうか] /(n,vs) (1) top and bottom/up and down/high and low/above and below/upper and lower ends/
上下 [じょうげ] /(n) (1) top and bottom/high and low/above and below/upper and lower ends/up and down/(n,vs) (2) going up and down/rising and falling/fluctuating/(3) going and coming back/(n) (4) upper and lower classes/ruler and ruled/the government and the people/(5) first and second volumes/(P)/
上下さかさま [じょうげさかさま] /(n,adj-na) upside down/
上下になる [うえしたになる] /(exp,v5r) to be upside-down/
上下関係 [じょうげかんけい] /(n) pecking order/hierarchical relationship/vertical relationship/hyponymy/
上下逆様 [じょうげさかさま] /(n,adj-na) upside down/
上下限 [じょうげげん] /(n) (comp) bounds/
上下左右 [じょうげさゆう] /(n) up and down (top and bottom), left and right/
上下水道 [じょうげすいどう] /(n) water and sewer services/
上下線 [じょうげせん] /(n) both (railway) tracks/(both) up and down tracks (lines)/
上下動 [じょうげどう] /(n) vertical motion (in earthquakes)/
上下列 [じょうげれつ] /(n) (comp) chain/
上家 [うわや] /(n) storage shed (shelter)/temporary covering of a building being built/
上科 [じょうか] /(n) (biological) superfamily/
上荷 [うわに] /(n) top cargo/top of the load/
上荷船 [うわにぶね] /(n) small boat used for unloading goods from a large anchored boat (Edo period)/lighter/
上菓子 [じょうがし] /(n) quality cakes/
上回る [うわまわる] /(v5r,vt) to exceed/(P)/
上廻る [うわまわる] /(v5r,vt) to exceed/
上海 [しゃんはい] /(n) Shanghai (China)/
上海蟹 [しゃんはいがに] /(n) Chinese mitten crab/
上海語 [しゃんはいご] /(n) Shanghainese/Shanghaiese (sp.)/
上海事変 [しゃんはいじへん] /(n) (1) Shanghai Incident/January 28 Incident (1932)/(2) Battle of Shanghai (1937)/
上海料理 [シャンハイりょうり] /(n) Shanghai cuisine/
上界 [じょうかい] /(n) (1) upper world/heaven/superkingdom/(2) (math) upper bound/
上絵 [うわえ] /(n) printed figures (on cloth or pottery)/
上顎 [うわあご] /(n) upper jaw/palate/
上顎 [じょうがく] /(n) upper jaw/palate/
上顎骨 [じょうがくこつ] /(n) maxilla/upper jawbone/
上掛け水車 [うわがけすいしゃ] /(n) overshot water wheel/
上滑べり [うわすべり] /(adj-na,n) superficial/careless/inattentive/
上滑り [うわすべり] /(adj-na,n) superficial/careless/inattentive/
上噛合わせ [うわかみあわせ] /(n) overbite/
上巻 [じょうかん] /(n) first volume (in set)/volume one/book one/
上官 [じょうかん] /(n) superior officer/
上期 [かみき] /(n-adv,n) first half of the year/(P)/
上機嫌 [じょうきげん] /(adj-na,n) good humour (humor)/good mood/(P)/
上気 [じょうき] /(n,vs) dizziness/rush of blood to the head/
上気道 [じょうきどう] /(n) upper respiratory tract/upper airway/
上記 [じょうき] /(n,adj-no) above-mentioned/above-named/above/(P)/
上記のことから [じょうきのことから] /(exp) given the above/
上議 [じょうぎ] /(n,vs) placing on the agenda/
上客 [じょうきゃく] /(n) guest of honor/guest of hounor/good customer/
上宮 [じょうぐう] /(n) building of a Shinto shrine complex built upon the highest ground/
上汲む [うわぐむ] /(v5m) to draw off the top liquid/
上級 [じょうきゅう] /(n) advanced level/high grade/senior/(P)/
上級管理職 [じょうきゅうかんりしょく] /(n) upper management/
上級裁判所 [じょうきゅうさいばんしょ] /(n) superior court/
上級財 [じょうきゅうざい] /(n) superior goods/
上級准尉 [じょうきゅうじゅんい] /(n) chief warrant officer/
上級生 [じょうきゅうせい] /(n) upper classman/
上級曹長 [じょうきゅうそうちょう] /(n) sergeant major/
上級副社長 [じょうきゅうふくしゃちょう] /(n) senior vice president/
上京 [じょうきょう] /(n,vs) proceeding to the capital (Tokyo)/(P)/
上京中 [じょうきょうちゅう] /(exp) while on a trip to the capital/
上玉 [じょうだま] /(n) fine jewel/best article/pretty woman/
上句 [じょうく] /(n) the first part of a poem or verse/
上駒 [かみこま] /(n) nut (on the head of a shamisen, supporting the second and third strings)/
上駒 [かみごま] /(n) nut (on the head of a shamisen, supporting the second and third strings)/
上空 [じょうくう] /(n) sky/the skies/high-altitude sky/upper air/(P)/
上靴 [うわぐつ] /(n) overshoes/rubbers/galoshes/
上掲 [じょうけい] /(adj-na,n) the above-mentioned/
上景気 [じょうけいき] /(n) boom/prosperity/
上計 [じょうけい] /(n) best policy/
上頚 [あげくび] /(n) neckband/round upright collar (on some traditional Japanese clothing)/
上弦 [じょうげん] /(n) 1st quarter of moon/crescent moon/
上弦の月 [じょうげんのつき] /(n) waxing moon/
上限 [じょうげん] /(n,adj-no) (math) upper limit/maximum/(P)/
上限実行優先順位 [じょうげんじっこうゆうせんじゅんい] /(n) (comp) limit dispatching priority/
上限値 [じょうげんち] /(n) (comp) upper bound/upper value/
上古 [じょうこ] /(n) ancient times/
上古以来 [じょうこいらい] /(n-t) from (since) ancient times/from time immemorial/
上古史 [じょうこし] /(n) ancient history/
上戸 [じょうご] /(n) heavy drinker/drinker's habits/
上枯れる [うわがれる] /(v1) to die at the top/
上御一人 [かみごいちにん] /(n) the emperor/
上向 [じょうこう] /(n) upturn/
上向き [うえむき] /(n,adj-no) pointing up/pointing upward/upturn/uptrend/upward tendency/
上向き [うわむき] /(n,adj-no) pointing up/pointing upward/upturn/uptrend/upward tendency/(P)/
上向きの互換性 [じょうむきのごかんせい] /(n) upward compatibility/
上向く [うえむく] /(v5k,vi) (1) to point upward/to look upward/(2) to improve/
上向く [うわむく] /(v5k,vi) (1) to point upward/to look upward/(2) to improve/
上向線 [じょうこうせん] /(n) upswing/
上溝桜 [うわみずざくら] /(n) (uk) Japanese bird cherry (Prunus grayana)/Gray's bird cherry/Gray's chokecherry/
上溝桜 [うわみぞざくら] /(n) (uk) Japanese bird cherry (Prunus grayana)/Gray's bird cherry/Gray's chokecherry/
上甲板 [じょうかんぱん] /(n) upper deck/
上皇 [じょうこう] /(n) retired emperor/
上航 [じょうこう] /(n) going upstream/
上行結腸 [じょうこうけっちょう] /(n) ascending colon/
上合 [じょうごう] /(n) (obsc) superior conjunction/
上刻 [じょうこく] /(n) first third of a two-hour period/
上告 [じょうこく] /(n,vs,adj-no) jokoku appeal (final appeal to a higher court)/(P)/
上告審 [じょうこくしん] /(n) appeal hearing/
上左 [うえひだり] /(n) upper left (corner)/
上座 [かみざ] /(n,vs,adj-no) chief seat/seat of honor/seat of honour/
上座 [じょうざ] /(n,vs,adj-no) chief seat/seat of honor/seat of honour/
上座に据える [かみざにすえる] /(exp,v1) to give (a guest) the seat of honor (honour)/
上座部 [じょうざぶ] /(n) Sthaviravada (early Buddhist movement)/
上座部仏教 [じょうざぶぶっきょう] /(n) Theravada Buddhism/
上裁 [じょうさい] /(n) imperial decision/
上載圧 [じょうさいあつ] /(n) overburden stress/
上作 [じょうさく] /(n) good crop/masterpiece/
上策 [じょうさく] /(n) excellent plan/best policy/
上擦る [うわずる] /(v5r,vi) to be excited/to get excited/to sound shallow/to sound hollow (a voice)/to ring false (a voice)/to sound shrill and nervous (a voice)/to be high-pitched and unstrung (a voice)/
上使 [じょうし] /(n) shogun's envoy/emissary/
上司 [じょうし] /(n) superior authorities/boss/(P)/
上市 [じょうし] /(adj-f,vs) going on the market/placing on the market/
上旨 [じょうし] /(n) the emperor's thoughts/
上枝 [うわえ] /(n) upper branches of a tree/
上枝 [うわえだ] /(n) upper branches of a tree/
上枝 [ほつえ] /(n) upper branches of a tree/
上紙 [うわがみ] /(n) paper cover/wrapper/wrapping paper/
上肢 [じょうし] /(n) upper limbs/arms/
上肢帯 [じょうしたい] /(n) pectoral girdle/
上歯 [うわば] /(n) upper teeth/
上質 [じょうしつ] /(adj-na,n,adj-no) fine quality/
上手 [うわて] /(adj-na,n) (1) upper part/(adj-na,n) (2) skillful (only in comparisons)/dexterity (only in comparisons)/(n) (3) over-arm grip on opponent's belt (sumo)/
上手 [かみて] /(adj-na,n) (1) upper part/(n) (2) upper stream/upper course of a river/(3) right side of the stage (audience's or camera's POV)/stage left (actor's POV)/
上手 [じょうしゅ] /(adj-na,n) (1) skill/skillful/dexterity/(n) (2) flattery/
上手 [じょうず] /(adj-na,n) (1) skill/skillful/dexterity/(n) (2) flattery/(P)/
上手 [じょうて] /(adj-na,n) (1) skill/skillful/dexterity/(n) (2) flattery/
上手い [うまい] /(adj-i) (1) skillful/clever/expert/wise/successful/(2) delicious/appetizing/appetising/(3) fortunate/splendid/promising/(P)/
上手く [うまく] /(adv) (1) skilfully/skillfully/well/aptly/cleverly/(2) successfully/smoothly/(3) deliciously/
上手くいかない [うまくいかない] /(exp,adj-i) unsuccessful/going badly/
上手くいく [うまくいく] /(v5k-s) to go smoothly/to turn out well/to do the trick/to have peaceful relations/(P)/
上手く行かない [うまくいかない] /(exp,adj-i) unsuccessful/going badly/
上手く行く [うまくいく] /(v5k-s) to go smoothly/to turn out well/to do the trick/to have peaceful relations/
上手に扱う [じょうずにあつかう] /(exp,v5u) to handle skillfully/
上手に選ぶ [じょうずにえらぶ] /(exp,v5b) to make a good choice/
上手の手から水が漏れる [じょうずのてからみずがもれる] /(exp) (id) Even Homer sometimes nods/
上手下手 [じょうずへた] /(n) differences in skill/
上手者 [じょうずもの] /(n) flatterer/
上手出し投げ [うわてだしなげ] /(n) pulling overarm throw (sumo)/
上手投げ [うわてなげ] /(n) (baseball) an overhand throw/(sumo) a throw using the outside of the arm/(P)/
上手捻り [うわてひねり] /(n) twisting overarm throw (sumo)/
上酒 [じょうしゅ] /(n) high-class sake/
上首尾 [じょうしゅび] /(adj-na,n) success/happy result/
上寿 [じょうじゅ] /(n) 100th birthday/
上宿 [じょうやど] /(n) first-class inn/
上出来 [じょうでき] /(adj-na,n) good performance/
上述 [じょうじゅつ] /(adj-no) above-mentioned/foregoing/forgoing/
上旬 [じょうじゅん] /(n-adv,n-t) first 10 days of month/(P)/
上書 [じょうしょ] /(n,vs) memorial to the throne/
上書き [うわがき] /(n,vs) (1) (comp) address/inscription/superscription/(2) overwriting (e.g. data, file)/
上書きモード [うわがきモード] /(n) (comp) overwrite mode/
上女中 [かみじょちゅう] /(n) head servant/
上床 [あげどこ] /(n) raised seedbed/
上昇 [じょうしょう] /(n,vs,adj-no) rising/ascending/climbing/(P)/
上昇気流 [じょうしょうきりゅう] /(n) (1) ascending air current/updraft/(2) upward trend/rise in popularity, influence, etc./
上昇傾向 [じょうしょうけいこう] /(n,adj-no) upward tendency/rising trend/
上昇限度 [じょうしょうげんど] /(n) ceiling (in aviation)/
上昇志向 [じょうしょうしこう] /(n,adj-no) desire for improvement (in social standing, etc.)/
上昇線 [じょうしょうせん] /(n) rising curve/
上昇調 [じょうしょうちょう] /(n) rising intonation/rising tone/
上昇率 [じょうしょうりつ] /(n) rate of increase (e.g. prices)/rate of climb (e.g. aircraft)/
上焦 [じょうしょう] /(n) upper jiao (in traditional Chinese medicine)/upper burner/
上上 [じょうじょう] /(adj-na,n,adj-no) the best/great/superb/
上乗 [じょうじょう] /(adj-na,n,adj-no) the best/great/superb/
上乗せ [うわのせ] /(n,vs) extra/(P)/
上乗り [うわのり] /(n,vs) supercargo/
上場 [じょうじょう] /(n,vs) listing a stock/(P)/
上場会社 [じょうじょうがいしゃ] /(n) listed company (on a stock exchange)/
上場株 [じょうじょうかぶ] /(n) listed stock/
上場企業 [じょうじょうきぎょう] /(n) listed company (on a stock exchange)/
上場廃止 [じょうじょうはいし] /(n) delisting/
上場銘柄 [じょうじょうめいがら] /(n) listed issue/listed brand/
上伸 [じょうしん] /(n,vs) rise in market prices/
上唇 [うわくちびる] /(n) upper lip/
上唇 [じょうしん] /(n) upper lip/(P)/
上新粉 [じょうしんこ] /(n) top-grade rice flour made from non-glutinous rice/
上申 [じょうしん] /(n,vs) report to a superior/(P)/
上申書 [じょうしんしょ] /(n) written report/
上進 [じょうしん] /(n,vs) progress/advance/
上人 [しょうにん] /(n) holy priest/saint/
上図 [じょうず] /(n) the upper illustration/
上水 [じょうすい] /(n) water supply/tap water/
上水道 [じょうすいどう] /(n) waterworks/
上澄 [うわずみ] /(io) (n) the clear top of a liquid/the clear layer in a fluid, atop the sediment/
上澄み [うわずみ] /(n) the clear top of a liquid/the clear layer in a fluid, atop the sediment/
上世 [かみつよ] /(n) antiquity/ancient times/
上世 [じょうせい] /(n) antiquity/ancient times/
上盛り [うわもり] /(n) adding to the top/what's placed on the top/
上声 [じょうしょう] /(n) (1) rising tone (in Chinese)/(2) (of a Japanese accent) having a high, flat tone/
上製 [じょうせい] /(n,adj-no) superior make/luxury binding/
上製本 [じょうせいほん] /(n) best binding/deluxe edition/
上製本 [じょうせいぼん] /(n) best binding/deluxe edition/
上席 [じょうせき] /(n,adj-no) seniority/precedence/upper seat/
上石 [うわいし] /(n) upper millstone/
上積み [うわづみ] /(n) (1) deck cargo/upper layer of goods/(adj-f) (2) extra/(vs) (3) to pile on top of/(P)/
上線 [じょうせん] /(n) tilde/over-line/
上船 [じょうせん] /(n,vs) embarking/embarkation/boarding/
上前 [うわまえ] /(n) (1) part of the fabric that is wrapped farthest from the skin when wearing a garment that is wrapped in front of one (such as a kimono)/(2) percentage/commission/
上前をはねる [うわまえをはねる] /(exp,v1) (col) to take a commission/to take a cut/to take a piece of the action/to take a kickback/
上前を撥ねる [うわまえをはねる] /(oK) (exp,v1) (col) to take a commission/to take a cut/to take a piece of the action/to take a kickback/
上疏 [じょうそ] /(n,vs) reporting to the emperor/
上訴 [じょうそ] /(n,vs,adj-no) appeal (in court)/
上奏 [じょうそう] /(n,vs) report to the throne/
上奏文 [じょうそうぶん] /(n) report to the throne/
上層 [じょうそう] /(n) upper stratum (classes, stories, storeys)/(P)/
上層雲 [じょうそううん] /(n) upper clouds/
上層階 [じょうそうかい] /(n) upper floor (of a building)/
上層階級 [じょうそうかいきゅう] /(n) upper classes/high society/
上層気流 [じょうそうきりゅう] /(n) upper air currents/
上層建築 [じょうそうけんちく] /(n) superstructure/upper stories/
上層水 [じょうそうすい] /(n) surface water (depth: 0-200 meters)/
上層土 [じょうそうど] /(n) topsoil/
上層風 [じょうそうふう] /(n) winds aloft/
上草履 [うわぞうり] /(n) indoor sandals/slippers/
上側 [うわかわ] /(n,adj-no) upper side/surface/
上側 [うわがわ] /(n,adj-no) upper side/surface/
上側 [うわっかわ] /(n,adj-no) upper side/surface/
上足 [あげあし] /(n) (1) finding fault/(2) upturn (in the market)/
上足 [じょうそく] /(n) high retainer/
上体 [じょうたい] /(n) upper body/(P)/
上帯 [うわおび] /(n) outer sash/
上腿 [じょうたい] /(n) thigh/
上腿 [じょうたい] /(n) upper body/
上代 [うわだい] /(n,adj-no) (1) ancient times/(2) (nominal) retail price/
上代 [じょうだい] /(n,adj-no) (1) ancient times/(2) (nominal) retail price/
上大静脈 [じょうだいじょうみゃく] /(n) superior vena cava/
上達 [じょうたつ] /(n,vs) (1) improvement/advance/progress/(2) communication of opinions of the general populace to those of high rank/(P)/
上達部 [かんだちめ] /(n) Imperial Court/court noble/the nobility/
上端 [じょうたん] /(n) upper end/top/tip/top edge/
上端部の余白 [じょうたんぶのよはく] /(n) (comp) top margin/
上段 [じょうだん] /(n) dais/raised part of floor/place of honor/place of honour/upper tier (row, step, grade, column of print, berth)/
上値 [うわね] /(n) higher price/price rise/
上智 [じょうち] /(n) supreme wisdom/
上着 [うわぎ] /(n,adj-no) coat/tunic/jacket/outer garment/(P)/
上中下 [じょうちゅうげ] /(n) excellent-good-poor/first-second-third (class)/
上張り [うわばり] /(n) face/coat/veneer/
上腸間膜動脈閉鎖症 [じょうちょうかんまくどうみゃくへいさしょう] /(n) superior mesenteric artery syndrome/
上調子 [うわちょうし] /(adj-na,n) high pitch/higher tone/
上長 [じょうちょう] /(n) one's superior/a senior/an elder/
上通 [じょうつう] /(n,vs) conveying the views of the subordinates to the rulers/
上帝 [じょうてい] /(n) Shangti/God/Lord/Creator/the Supreme Being/
上底 [あげそこ] /(n) (1) false bottom/fake bottom/raised bottom/platform (shoes)/kick (of a bottle)/(2) exaggeration/overstatement/
上底 [あげぞこ] /(n) (1) false bottom/fake bottom/raised bottom/platform (shoes)/kick (of a bottle)/(2) exaggeration/overstatement/
上提 [じょうてい] /(n,vs) introducing (a bill)/presentation/departure on a journey/
上程 [じょうてい] /(n,vs) introducing (a bill)/presentation/departure on a journey/
上天 [じょうてん] /(n) heaven/God/Providence/the Supreme Being/the Absolute/
上天気 [じょうてんき] /(n) fair weather/
上貼り [うわばり] /(n) finishing coat of paper/
上田 [じょうでん] /(n) high rice field/very fertile rice field/(P)/
上塗 [うわぬり] /(n,vs) (final) coat (of paint, plaster, glazing, etc.)/finish/
上塗り [うわぬり] /(n,vs) (final) coat (of paint, plaster, glazing, etc.)/finish/
上冬 [じょうとう] /(n) (obs) (obsc) tenth month of the lunar calendar/
上棟 [じょうとう] /(n) raising the ridgepole/
上棟祭 [じょうとうさい] /(n) ridgepole-raising ceremony/
上棟式 [じょうとうしき] /(n) ridgepole-raising ceremony/
上湯 [シャンタン] /(n) top-grade Chinese soup stock (chi: shang tang)/
上等 [じょうとう] /(adj-na,adj-no,n) (1) superiority/first-class/very good/(2) (that's) just fine!/bring it on!/(P)/
上等品 [じょうとうひん] /(n) first-class article/
上等兵 [じょうとうへい] /(n) private first-class (army)/airman first class (air force)/lance corporal (US Marines; Commonwealth military)/seaman (navy)/
上等兵曹 [じょうとうへいそう] /(n) chief petty officer/
上騰 [じょうとう] /(n,vs) advance/rise/jump/
上働き [うわばたらき] /(n) housemaid/
上得意 [じょうとくい] /(n) good customer/
上二段活用 [かみにだんかつよう] /(n) conjugation (inflection, declension) of nidan verbs (resulting in a stem of either "i" or "u" for every conjugation)/
上忍 [じょうにん] /(n) Ninja clan master/highest-ranking ninja/
上納 [じょうのう] /(n,vs) payment to the government/
上納金 [じょうのうきん] /(n) money paid to the government/
上納米 [じょうのうまい] /(n) rice-tax delivery/
上馬 [じょうば] /(n) excellent horse/
上背 [うわぜい] /(n) stature/height/
上白 [じょうはく] /(n) first-class rice/
上白糖 [じょうはくとう] /(n) caster sugar/
上箱 [うわばこ] /(n) outer box/outer casing/
上半 [じょうはん] /(n) first half/upper half/
上半期 [かみはんき] /(n) the first half-year/first half of the year/(P)/
上半身 [じょうはんしん] /(n) upper half of body/bust/(P)/
上半身裸 [じょうはんしんはだか] /(n,adj-no) (top) half naked/naked above the waist/
上番 [じょうばん] /(n,vs) being on duty/
上盤 [うわばん] /(n) hanging wall/
上皮 [うわかわ] /(n,adj-no) outer skin/cuticle/epidermis/epithelium/rind/skin/
上皮 [じょうひ] /(n,adj-no) outer skin/cuticle/epidermis/epithelium/rind/skin/
上皮細胞 [じょうひさいぼう] /(n) epithelial cell/
上皮細胞成長因子 [じょうひさいぼうせいちょういんし] /(n) epidermal growth factor/EGF/
上紐 [うわひも] /(n) outside string (on a package)/
上表 [じょうひょう] /(n,vs) memorial to the emperor/
上表紙 [うわびょうし] /(n) cover/front cover/wrapper/jacket/
上品 [じょうひん] /(adj-na,n) elegant/refined/polished/(P)/
上品 [じょうぼん] /(n) Buddhism's highest paradise/
上品ぶる [じょうひんぶる] /(v5r) to give oneself airs/to be prudish/
上品振る [じょうひんぶる] /(v5r) to give oneself airs/to be prudish/
上不見桜 [うわみずざくら] /(n) (uk) Japanese bird cherry (Prunus grayana)/Gray's bird cherry/Gray's chokecherry/
上付き添え字 [うえつきそえじ] /(n) (comp) superscript/
上付き添字 [うえつきそえじ] /(n) (comp) superscript/
上付き文字 [うわつきもじ] /(n) (comp) superscript/
上付く [うわつく] /(iK) (v5k) to be fickle/to be restless/to be flippant/
上布 [じょうふ] /(n) high-quality plain-woven hemp cloth/
上敷き [うわしき] /(n) bordered matting/
上敷き [うわじき] /(n) bordered matting/
上部 [じょうぶ] /(n,adj-no) top part/surface/(P)/
上部構造 [じょうぶこうぞう] /(n) superstructure/
上部字幕 [じょうぶじまく] /(n) surtitle/supertitle/
上服 [うわふく] /(n) outer garment/
上覆 [うわおおい] /(n) cover/covering/
上物 [じょうもの] /(n) quality goods/
上分別 [じょうふんべつ] /(n) good idea/wise policy/
上文 [じょうぶん] /(n) the foregoing/the forgoing/
上聞 [じょうぶん] /(n) an imperial hearing/
上米 [うわまい] /(n) (1) commission/(2) excise tax/
上米 [じょうまい] /(n) first-class rice/
上辺 [うわべ] /(n) seeming/exterior/surface/outside/outward appearance/
上辺 [じょうへん] /(n) the upper side/
上包み [うわづつみ] /(n) cover/wrapper/envelope/
上方 [かみがた] /(n,adj-no) Kyoto and vicinity/(P)/
上方 [じょうほう] /(n) upper region or part/
上方語 [かみがたご] /(n) Edo-period Kansai dialect/
上方才六 [かみがたざいろく] /(n) (arch) Edo term used to debase people from Kansai/
上方修正 [じょうほうしゅうせい] /(n,vs) upward adjustment/upward revision/
上方贅六 [かみがたぜいろく] /(n) people of the Kyoto area/
上巳 [じょうし] /(n) March 3rd of the lunar calendar (one of the five annual festivals)/dolls festival/peach festival/
上巳 [じょうみ] /(n) March 3rd of the lunar calendar (one of the five annual festivals)/dolls festival/peach festival/
上無 [かみむ] /(n) (in Japan) 12th note of the ancient chromatic scale (approx. C sharp)/
上面 [うわつら] /(n) surface/appearances/top/exterior/
上面 [じょうめん] /(n) surface/appearances/top/exterior/
上目 [うわめ] /(n) upward glance/upturned eyes/
上目 [じょうもく] /(n) (biological) superorder/
上目づかい [うわめづかい] /(n) upturned eyes/
上目遣い [うわめづかい] /(n) upturned eyes/
上目使い [うわめづかい] /(n) upturned eyes/
上野 [うえの] /(n) section of Tokyo/(P)/
上野戦争 [うえのせんそう] /(n) Battle of Ueno (battle of the Boshin war, 1868)/
上役 [うわやく] /(n) superior/senior/
上薬 [うわぐすり] /(n) glaze/overglaze/enamel/
上諭 [じょうゆ] /(n) imperial edict/
上様 [うえさま] /(n) (1) emperor/shogun/(2) honored person (honoured)/
上様 [うえざま] /(n) (1) emperor/shogun/(2) honored person (honoured)/
上様 [かみさま] /(n) (1) emperor/shogun/(2) honored person (honoured)/(3) (pol) (another person's) wife/
上翼 [じょうよく] /(n) upper wing of a plane/
上洛 [じょうらく] /(n,vs) proceeding to the capital/
上欄 [じょうらん] /(n) top or preceding horizontal column/
上覧 [じょうらん] /(n,vs) imperial inspection/
上覧相撲 [じょうらんずもう] /(n) sumo match held in front of the Emperor/
上履 [うわばき] /(n) hallway slippers/indoor shoes/
上履き [うわばき] /(n) hallway slippers/indoor shoes/
上陸 [じょうりく] /(n,vs) landing/disembarkation/(P)/
上陸許可 [じょうりくきょか] /(n) entry permission (to Japan)/lit: landing permission/
上陸作戦 [じょうりくさくせん] /(n) landing operations/
上陸用舟艇 [じょうりくようしゅうてい] /(n) landing craft/
上略 [じょうりゃく] /(n,vs) first paragraphs omitted/
上流 [じょうりゅう] /(n,adj-no) upper stream/upper classes/(P)/
上流階級 [じょうりゅうかいきゅう] /(n,adj-no) upper echelons of society/the rich and powerful/the elite/
上流社会 [じょうりゅうしゃかい] /(n,adj-no) upper classes/
上例 [じょうれい] /(n) above example/
上腕 [じょうわん] /(n,adj-no) upper arm/
上腕筋 [じょうわんきん] /(n) brachial muscle/
上腕骨 [じょうわんこつ] /(n) humerus (upper bone in arm)/
上腕三頭筋 [じょうわんさんとうきん] /(n) triceps brachii muscle/
上腕二頭筋 [じょうわんにとうきん] /(n) biceps brachii muscle/
上框 [あがりかまち] /(io) (n) piece of wood at front edge of entranceway floor/agarikamachi/
上框 [あがりがまち] /(io) (n) piece of wood at front edge of entranceway floor/agarikamachi/
上瞼 [うわまぶた] /(n) upper eyelid/
上筵 [うわむしろ] /(n) thin padded mat laid on the tatami/
上翳 [うわひ] /(n) (obsc) degenerative eye disorder caused by cloudiness in front of the pupil/
上膊 [じょうはく] /(n) upper arm/
上臈 [じょうろう] /(n) court lady/noblewoman/
上蓆 [うわむしろ] /(n) thin padded mat laid on the tatami/
上蔟 [じょうぞく] /(n,vs) spinning of cocoons/the silkworm's last sleep/
上釉 [うわぐすり] /(n) glaze/overglaze/enamel/
上頸 [あげくび] /(n) neckband/round upright collar (on some traditional Japanese clothing)/
上鶲 [じょうびたき] /(n) Daurian redstart (said by Japanese to be stupid because it is unafraid of people and so easy to catch)/
丈 [じょう] /(n) (1) 3.03 m (ten shaku)/(2) length/height/
丈 [たけ] /(n) height/stature/length/measure/all (one has)/(P)/
丈 [だけ] /(prt) (uk) only/just/as/(P)/
丈に [だけに] /(exp) (uk) .. being the case/(precisely) because .../as might be expected (from ..)/
丈長 [たけなが] /(adj-na,n) tall/
丈比べ [たけくらべ] /(n,vs) comparison of statures/
丈夫 [じょうふ] /(n,adj-na) hero/manly person/warrior/
丈夫 [じょうぶ] /(adj-na) healthy/robust/strong/solid/durable/(P)/
丈夫 [ますらお] /(n,adj-na) hero/manly person/warrior/
丈余 [じょうよ] /(n) over ten feet/
丞相 [じょうしょう] /(n) prime minister (in ancient China)/
乗 [じょう] /(suf) (1) (nth) power/(ctr) (2) counter for vehicles/(n) (3) multiplication/(4) (Buddh) Buddha's teachings/
乗じる [じょうじる] /(v1) (1) to take advantage of/to follow blindly/(2) (math) to multiply/(P)/
乗す [のす] /(v5s,vt) to place on (something)/to take on board/to give a ride to/
乗ずる [じょうずる] /(vz) (1) to take advantage of/to follow blindly/(2) (math) to multiply/(P)/
乗せる [のせる] /(v1,vt) (1) to place on (something)/(2) to give (someone) a ride/to give a lift/to pick up/to help on board/(3) to load (luggage)/to carry/to take on board/(4) to send out (on the airwaves, etc.)/(5) to deceive/to take for a ride/(6) to (sing) along with (musical accompaniment)/(7) to let (someone) take part/(8) to excite (someone)/(P)/
乗せ込む [のせこむ] /(v5m) (1) to load/to load up (onto, into)/(2) (comp) to upload/
乗っかる [のっかる] /(v5r,vi) to get on/
乗っける [のっける] /(v1,vt) to place (something) on (something)/
乗っ取り [のっとり] /(n) capture/takeover/hijack/skyjacking/(P)/
乗っ取り策 [のっとりさく] /(n) plot against (someone)/
乗っ取り事件 [のっとりじけん] /(n) hijacking/
乗っ取り犯人 [のっとりはんにん] /(n) hijacker/
乗っ取る [のっとる] /(v5r,vt) to capture/to hijack/to commandeer/to occupy/to usurp/(P)/
乗っ切る [のっきる] /(v5r,vi) (arch) to overcome/to get through/
乗り [のり] /(n,n-suf) (1) riding/ride/(2) spread (of paints)/(3) (two)-seater/(4) (uk) mood (as in to pick up on and join in with someone's mood)/(P)/
乗りうつる [のりうつる] /(v5r,vi) to change (cars or horses)/to transfer/to possess/to inspire/
乗りかえる [のりかえる] /(v1,vt) (1) to transfer (trains)/to change (bus, train)/(2) to change one's mind/to move on to (e.g. a new love interest)/to change methods/to change one's way of thinking/
乗りかかる [のりかかる] /(v5r) to be about to board/to be riding on/to get on top of/to lean over/to set about/to collide with/
乗りかける [のりかける] /(v1,vt) to be about to board/to be riding on/to get on top of/to lean over/to set about/to collide with/
乗りがいい [のりがいい] /(exp) (1) spreading well/(2) easily be influenced into joining some mood/(3) easy to get into/
乗りが良い [のりがいい] /(exp) (1) spreading well/(2) easily be influenced into joining some mood/(3) easy to get into/
乗りこえる [のりこえる] /(v1,vi) (1) to climb over/to get over/to ride across/(2) to surmount/to overcome/(3) to surpass/to overtake/
乗りこなす [のりこなす] /(v5s) to manage (a horse)/
乗りそこねる [のりそこねる] /(v1) to miss getting on (e.g. a plane)/
乗りつける [のりつける] /(v1,vi) (1) to ride up to/to drive up to/(2) to get used to riding/to get used to driving/
乗りまわす [のりまわす] /(v5s,vt) to drive (a car) around/to ride (a bicycle) around/
乗り悪い [のりにくい] /(n) hard to ride/
乗り移す [のりうつす] /(v5s) to transfer (a stowaway)/
乗り移る [のりうつる] /(v5r,vi) to change (cars or horses)/to transfer/to possess/to inspire/
乗り越える [のりこえる] /(v1,vi) (1) to climb over/to get over/to ride across/(2) to surmount/to overcome/(3) to surpass/to overtake/(P)/
乗り越し [のりこし] /(n) riding past (one's station)/(P)/
乗り越し料金 [のりこしりょうきん] /(n) excess fare (for going too far)/
乗り越す [のりこす] /(v5s,vt) to ride past/to pass/to outdistance/(P)/
乗り過ごす [のりすごす] /(v5s) to ride past/to miss one's stop (train, bus, etc.)/
乗り過す [のりすごす] /(io) (v5s) to ride past/to miss one's stop (train, bus, etc.)/
乗り回す [のりまわす] /(v5s,vt) to drive (a car) around/to ride (a bicycle) around/(P)/
乗り回る [のりまわる] /(v5r,vi) to ride around/
乗り掛かる [のりかかる] /(v5r) to be about to board/to be riding on/to get on top of/to lean over/to set about/to collide with/
乗り掛ける [のりかける] /(v1,vt) to be about to board/to be riding on/to get on top of/to lean over/to set about/to collide with/
乗り掛る [のりかかる] /(v5r) to be about to board/to be riding on/to get on top of/to lean over/to set about/to collide with/
乗り換え [のりかえ] /(n) transfer (trains, buses, etc.)/connection/connexion/(P)/
乗り換える [のりかえる] /(v1,vt) (1) to transfer (trains)/to change (bus, train)/(2) to change one's mind/to move on to (e.g. a new love interest)/to change methods/to change one's way of thinking/(P)/
乗り換え駅 [のりかええき] /(io) (n) transfer station/transfer point/
乗り換え場 [のりかえば] /(n) platform for transfer/
乗り間違える [のりまちがえる] /(v1,vt) to get on the wrong vehicle (bus, train, etc.)/
乗り気 [のりき] /(adj-na,n) interest/eagerness/(P)/
乗り継ぎ [のりつぎ] /(adj-f) transit (passenger)/connecting (flight)/
乗り継ぎ便 [のりつぎびん] /(n) connecting flight/
乗り継ぐ [のりつぐ] /(v5g,vt) to change/
乗り降り [のりおり] /(n,vs) getting on and off/(P)/
乗り合い [のりあい] /(n,adj-no) (1) riding together/fellow passenger/(2) joint partnership/
乗り合い船 [のりあいせん] /(n) (1) ferryboat/ferry/passenger boat/(2) shared fishing boat/
乗り合い船 [のりあいぶね] /(n) (1) ferryboat/ferry/passenger boat/(2) shared fishing boat/
乗り合い馬車 [のりあいばしゃ] /(n) stagecoach/
乗り合わす [のりあわす] /(v5s,vi) to happen to ride together/to share a vehicle/
乗り合わせる [のりあわせる] /(v1) to happen to ride together/to share a vehicle/to (operate a) carpool/
乗り込む [のりこむ] /(v5m,vi) (1) to board/to embark on/to get into (a car)/to ship (passengers)/to man (a ship)/to help (someone) into/(2) to march into/to enter/(P)/
乗り捨てる [のりすてる] /(v1,vt) to get off/to abandon (a ship or vehicle)/
乗り捨て料金 [のりすてりょうきん] /(n) one-way car rental fee/
乗り取る [のりとる] /(v5r,vt) to capture/to occupy/to usurp/
乗り手 [のりて] /(n) passenger/rider/good rider/
乗り出す [のりいだす] /(v5s,vt) (1) to set out/to set sail/(2) to embark on (a new venture)/to set out (to achieve something)/(3) to begin to ride/(4) to lean forward/
乗り出す [のりだす] /(v5s,vt) (1) to set out/to set sail/(2) to embark on (a new venture)/to set out (to achieve something)/(3) to begin to ride/(4) to lean forward/(P)/
乗り上げる [のりあげる] /(v1,vt) to run aground/to be stranded/
乗り場 [のりば] /(n) place for boarding vehicles/(P)/
乗り心地 [のりごこち] /(n) one's feeling while riding/
乗り進める [のりすすめる] /(v1) to ride forth/
乗り切る [のりきる] /(v5r,vi) to weather/to get over/to tide over/to overcome/to get through/to ride across/to sail across/
乗り組む [のりくむ] /(v5m,vi) to get on aboard/to join a ship/
乗り続ける [のりつづける] /(v1) to continue riding/
乗り損なう [のりそこなう] /(v5u) to miss (a train)/
乗り損ねる [のりそこねる] /(v1) to miss getting on (e.g. a plane)/
乗り替え [のりかえ] /(n) transfer (trains, buses, etc.)/connection/connexion/
乗り替える [のりかえる] /(v1,vt) (1) to transfer (trains)/to change (bus, train)/(2) to change one's mind/to move on to (e.g. a new love interest)/to change methods/to change one's way of thinking/
乗り遅れる [のりおくれる] /(v1,vi) to miss (train, bus, etc.)/(P)/
乗り通る [のりとおる] /(v5r) to ride through/to ride along/
乗り潰す [のりつぶす] /(v5s) to ride (a horse) to death/
乗り逃げ [のりにげ] /(n) stealing a ride/stolen ride/
乗り馴らす [のりならす] /(v5s,vt) to break in (a horse)/
乗り入る [のりいる] /(v5r) to ride into (a place)/to drive into (a place)/
乗り入れ [のりいれ] /(n) driving into/
乗り入れる [のりいれる] /(v1,vt) to ride into (a place)/to drive into (a place)/extend (a line into a city)/
乗り馬 [のりうま] /(n) riding horse/saddle horse/
乗り飛ばす [のりとばす] /(v5s) to tear along (a road)/
乗り付け [のりつけ] /(n) one's regular taxi/
乗り付ける [のりつける] /(v1,vi) (1) to ride up to/to drive up to/(2) to get used to riding/to get used to driving/
乗り物 [のりもの] /(n) vehicle/(P)/
乗り物酔い [のりものよい] /(n) motion sickness/
乗り戻す [のりもどす] /(v5s) to ride (a horse) back/to drive (a car) back/
乗り良い [のりよい] /(n) easy to ride/riding well/
乗る [のる] /(v5r,vi) (1) to get on/to ride in/to board/to mount/to get up on/(2) to spread (paints)/to be taken in/(3) to share in/to join/to feel like doing/to be mentioned in/to be in harmony with/(P)/
乗るか反るか [のるかそるか] /(exp,adv,adj-no) (uk) win or lose/sink or swim/make or break/
乗移る [のりうつる] /(v5r,vi) to change (cars or horses)/to transfer/to possess/to inspire/
乗員 [じょういん] /(n) crew/(P)/
乗越える [のりこえる] /(v1,vi) (1) to climb over/to get over/to ride across/(2) to surmount/to overcome/(3) to surpass/to overtake/
乗越し [のりこし] /(n) riding past (one's station)/(P)/
乗越す [のりこす] /(v5s,vt) to ride past/to pass/to outdistance/(P)/
乗駕 [じょうが] /(n) mounting (during animal copulation)/
乗回す [のりまわす] /(v5s,vt) to drive (a car) around/to ride (a bicycle) around/(P)/
乗換 [のりかえ] /(n) transfer (trains, buses, etc.)/connection/connexion/
乗換え [のりかえ] /(n) transfer (trains, buses, etc.)/connection/connexion/(P)/
乗換駅 [のりかええき] /(n) transfer station/transfer point/
乗換券 [のりかえけん] /(n) ticket for transfer/
乗艦 [じょうかん] /(n,vs) joining one's warship/
乗気 [のりき] /(adj-na,n) interest/eagerness/(P)/
乗客 [じょうかく] /(n) passenger/
乗客 [じょうきゃく] /(n) passenger/(P)/
乗客を降ろす [じょうきゃくをおろす] /(exp,v5s) to discharge passengers/
乗客を乗せる [じょうきゃくをのせる] /(exp,v1) to take passengers on board/
乗客中の一人 [じょうきゃくちゅうのひとり] /(n) one of the passengers/
乗降 [じょうこう] /(n,vs) getting on and off/embarking and disembarking/(P)/
乗降客 [じょうこうきゃく] /(n) passengers getting on and off (a train)/
乗降車優先 [じょうこうしゃゆうせん] /(n) priority to pedestrians/
乗降場 [じょうこうじょう] /(n) (station) platform/
乗号 [じょうごう] /(n) sign of multiplication/
乗合 [のりあい] /(n,adj-no) (1) riding together/fellow passenger/(2) joint partnership/
乗合い船 [のりあいせん] /(n) (1) ferryboat/ferry/passenger boat/(2) shared fishing boat/
乗合い船 [のりあいぶね] /(n) (1) ferryboat/ferry/passenger boat/(2) shared fishing boat/
乗合い馬車 [のりあいばしゃ] /(n) stagecoach/
乗合自動車 [のりあいじどうしゃ] /(n) bus/
乗合船 [のりあいせん] /(n) (1) ferryboat/ferry/passenger boat/(2) shared fishing boat/
乗合船 [のりあいぶね] /(n) (1) ferryboat/ferry/passenger boat/(2) shared fishing boat/
乗合馬車 [のりあいばしゃ] /(n) stagecoach/
乗根 [じょうこん] /(suf) (nth) root/
乗算 [じょうざん] /(n,vs) multiplication/
乗算器 [じょうざんき] /(n) multiplier (written)/
乗捨料金 [のりすてりょうきん] /(n) one-way car rental fee/
乗車 [じょうしゃ] /(n,vs) taking a train, bus, etc./entraining/(P)/
乗車駅 [じょうしゃえき] /(n) entraining point/
乗車拒否 [じょうしゃきょひ] /(n) refusing to allow a passenger on board a train or into a bus or taxi/
乗車券 [じょうしゃけん] /(n) passenger ticket/(P)/
乗車口 [じょうしゃぐち] /(n) entrance to station/
乗車賃 [じょうしゃちん] /(n) railway fare/
乗手 [のりて] /(n) passenger/rider/good rider/
乗出す [のりいだす] /(v5s,vt) (1) to set out/to set sail/(2) to embark on (a new venture)/to set out (to achieve something)/(3) to begin to ride/(4) to lean forward/
乗出す [のりだす] /(v5s,vt) (1) to set out/to set sail/(2) to embark on (a new venture)/to set out (to achieve something)/(3) to begin to ride/(4) to lean forward/
乗除 [じょうじょ] /(n,vs) multiplication and division/
乗場 [のりば] /(n) place for boarding vehicles/(P)/
乗心地 [のりごこち] /(n) one's feeling while riding/
乗数 [じょうすう] /(n) multiplier/multiplier factor/
乗数効果 [じょうすうこうか] /(n) multiplier effect (econ.)/
乗積 [じょうせき] /(n) (math) product/
乗船 [じょうせん] /(n,vs) embarking/embarkation/boarding/
乗船券 [じょうせんけん] /(n) boat ticket/passage ticket/
乗組 [のりくみ] /(n) crew/
乗組員 [のりくみいん] /(n) crew/(P)/
乗替え [のりかえ] /(n) transfer (trains, buses, etc.)/connection/connexion/
乗逃げ [のりにげ] /(n) stealing a ride/stolen ride/
乗入れ [のりいれ] /(n) driving into/
乗馬 [じょうば] /(n,vs,adj-no) (1) horse riding/(n) (2) riding horse/saddle horse/(P)/
乗馬ズボン [じょうばズボン] /(n) jodphurs/
乗馬靴 [じょうばぐつ] /(n) riding boots/
乗馬隊 [じょうばたい] /(n) mounted corps/cavalcade/
乗馬服 [じょうばふく] /(n) riding habit/
乗物 [のりもの] /(n) vehicle/(P)/
乗物酔い [のりものよい] /(n) motion sickness/
乗法 [じょうほう] /(n,adj-no) multiplication/
乗法標準形 [じょうほうひょうじゅんけい] /(n) (math) conjunctive normal form/CNF/
乗務 [じょうむ] /(n,vs) doing transport-related work/
乗務員 [じょうむいん] /(n) crew member/crewman/(P)/
乗用自動車 [じょうようじどうしゃ] /(n) passenger auto/
乗用車 [じょうようしゃ] /(n) passenger vehicle/automobile/(P)/
乗冪 [じょうべき] /(n) (math) power/
乗羃 [じょうべき] /(n) (math) power/
冗 [じょう] /(n) uselessness/
冗員 [じょういん] /(n) (col) supernumerary/superfluous/useless workers/
冗官 [じょうかん] /(n) supernumerary official/
冗句 [じょうく] /(n) redundant phrase/
冗言 [じょうげん] /(n,adj-no) chatter/useless words/
冗語 [じょうご] /(n) redundancy/
冗舌 [じょうぜつ] /(adj-na,n) garrulity/loquacity/talkativeness/
冗多 [じょうた] /(adj-na,n) superabundance/
冗談 [じょうだん] /(n,adj-no) jest/joke/funny story/(P)/
冗談が過ぎる [じょうだんがすぎる] /(exp,v1) to carry a joke too far/
冗談じゃない [じょうだんじゃない] /(exp) (1) It's no joke/(2) Gimme a break!/Sod that!/
冗談に紛らす [じょうだんにまぎらす] /(exp,v5s) (obsc) to pass (something) off as a joke/
冗談めかして [じょうだんめかして] /(exp) jokingly/in the form of a joke/
冗談気味 [じょうだんぎみ] /(n) being somewhat (half) joking/half seriously/half in jest/in a jocular vein/
冗談口 [じょうだんぐち] /(n) joke/
冗談事 [じょうだんごと] /(n) joking matter/
冗談抜き [じょうだんぬき] /(n) seriously/joking aside/
冗談半分 [じょうだんはんぶん] /(n) being somewhat (half) joking/half seriously/half in jest/in a jocular vein/
冗長 [じょうちょう] /(adj-na,n) (1) tedious/verbose/prolix/(2) redundancy/
冗長化 [じょうちょうか] /(n) (comp) duplication/to make redundant/
冗長系 [じょうちょうけい] /(n) redundant system (string, line)/
冗長検査 [じょうちょうけんさ] /(n) (comp) redundancy check/
冗長構成 [じょうちょうこうせい] /(n) (comp) redundant configuration/
冗長出力 [じょうちょうしゅつりょく] /(n) (comp) verbose output/
冗長性 [じょうちょうせい] /(n) redundancy/
冗長電源 [じょうちょうでんげん] /(n) (comp) redundant power supply/
冗長度 [じょうちょうど] /(n) redundancy/relative redundancy (in information theory)/
冗長符号 [じょうちょうふごう] /(n) (comp) redundancy code/
冗長量 [じょうちょうりょう] /(n) (comp) redundancy (in information theory)/
冗費 [じょうひ] /(n) unnecessary expense/
冗筆 [じょうひつ] /(n) worthless painting and writing/
冗物 [じょうぶつ] /(n) redundancy/superfluity/
冗文 [じょうぶん] /(n) redundancy/
冗漫 [じょうまん] /(adj-na,n) verbosity/
冗用 [じょうよう] /(n) unnecessary work/unnecessary expense/
剰 [あまっさえ] /(io) (adv) besides (usu. negative nuance)/moreover/in addition/
剰 [あまつさえ] /(io) (adv) besides (usu. negative nuance)/moreover/in addition/
剰え [あまっさえ] /(adv) besides (usu. negative nuance)/moreover/in addition/
剰え [あまつさえ] /(adv) besides (usu. negative nuance)/moreover/in addition/
剰す [あます] /(v5s,vt) to save/to leave over/to spare/
剰員 [じょういん] /(n) surplus people/
剰語 [じょうご] /(n) redundancy/
剰銭 [じょうせん] /(n) remaining money/change/
剰費 [じょうひ] /(n) unnecessary expenses/
剰余 [じょうよ] /(n) surplus/balance/remainder/
剰余価値 [じょうよかち] /(n) surplus value/
剰余金 [じょうよきん] /(n) surplus/balance/(P)/
剰余検査 [じょうよけんさ] /(n) (comp) modulo N check/residue check/
城 [き] /(n) fortress (surrounded by a wall, moat, etc.)/
城 [しろ] /(n) castle/(P)/
城 [じょう] /(suf) castle (in place names)/
城を陥れる [しろをおとしいれる] /(exp,v1) to take a castle/to capture a castle/
城を取る [しろをとる] /(exp,v5r) to take a castle/
城を襲う [しろをおそう] /(exp,v5u) to raid a fort/
城下 [じょうか] /(n) land near the castle/
城下町 [じょうかまち] /(n) castle town/town around castle/(P)/
城外 [じょうがい] /(n,vs) outside a castle/
城廓 [じょうかく] /(n) fortress/castle/citadel/enclosure/castle walls/
城郭 [じょうかく] /(n) fortress/castle/citadel/enclosure/castle walls/(P)/
城郭都市 [じょうかくとし] /(n) fortified city/walled city/
城塞 [じょうさい] /(n) fortress/stronghold/citadel/
城砦 [じょうさい] /(n) fortress/
城市 [じょうし] /(n) castle town/fortified town/
城主 [じょうしゅ] /(n) lord of a castle/(P)/
城跡 [しろあと] /(n) castle site/ruins of a castle/
城跡 [じょうせき] /(n) castle site/ruins of a castle/
城蹟 [じょうせき] /(n) castle site/ruins of a castle/
城代 [じょうだい] /(n) chamberlain/castle keeper/
城池 [じょうち] /(n) castle moat/
城内 [じょうない] /(n-adv,n-t) inside a castle/(P)/
城府 [じょうふ] /(n) town/town walls/
城兵 [じょうへい] /(n) castle garrison/
城壁 [じょうへき] /(n,adj-no) rampart/castle walls/
城門 [じょうもん] /(n) castle gate/
城塁 [じょうるい] /(n) fortress/
城楼 [じょうろう] /(n) watchtower of a castle/
城址 [しろあと] /(n) castle site/ruins of a castle/
城址 [じょうし] /(n) castle site/ruins of a castle/
城隍 [じょうこう] /(n) (1) (obsc) castle and moat/castle's moat/(2) City God (Taoist guardian god of a city)/
場 [ば] /(n) (1) place/(2) occasion/situation/(3) field (physics)/(P)/
場つなぎ [ばつなぎ] /(n) filling in (e.g. between speakers at a meeting, acts at a show)/material used to fill in (between speeches at a meeting, etc.)/anecdote/
場の古典論 [ばのこてんろん] /(n) classical field theory/
場の理論 [ばのりろん] /(n) field theory/
場の量子論 [ばのりょうしろん] /(n) quantum field theory/
場を取る [ばをとる] /(exp,v5r) to occupy much space/
場を離れる [ばをはなれる] /(exp,v1) to leave (a scene)/to step away/
場違い [ばちがい] /(exp,adj-na,n) out-of-place/inappropriate/sticking out like a sore thumb/(P)/
場外 [じょうがい] /(n) outside the hall or stadium/off the premises/(P)/
場外株 [じょうがいかぶ] /(n) unlisted stocks/
場外市場 [ばがいしじょう] /(n) over-the-counter market/OTC market/
場外取引 [じょうがいとりひき] /(n) over-the-counter trading/OTC trading/off-floor trading/
場外取引 [ばがいとりひき] /(n) over-the-counter trading/OTC trading/off-floor trading/
場外馬券 [じょうがいばけん] /(n) off-track betting/
場慣れ [ばなれ] /(n,vs) experience/being accustomed (to something)/poise in a critical situation/
場繋ぎ [ばつなぎ] /(n) filling in (e.g. between speakers at a meeting, acts at a show)/material used to fill in (between speeches at a meeting, etc.)/anecdote/
場合 [ばあい] /(n-adv,n) case/situation/(P)/
場合によって [ばあいによって] /(exp) depending on the situation/should time and circumstances permit/
場合による [ばあいによる] /(exp,v5r) to depend (on the situation)/to be handled case by case/
場合に応じて [ばあいにおうじて] /(exp) in accordance with the situation/
場合を除き [ばあいをのぞき] /(exp) excluding the case when/when not/
場所 [ばしょ] /(n) (1) place/location/spot/position/(2) room/space/(3) basho (sumo wrestling tournament)/(P)/
場所もあろうに [ばしょもあろうに] /(exp) of all places/
場所を取る [ばしょをとる] /(exp,v5r) to take up space/to occupy space/
場所塞ぎ [ばしょふさぎ] /(n) obstruction/
場所手当 [ばしょてあて] /(n) allowance for non-salaried sumo wrestlers during tournaments/
場所入 [ばしょいり] /(n,vs) arrival of the sumo wrestlers to the tournament venue/
場所布団 [ばしょぶとん] /(n) waiting wrestler's sitting cushion (sumo)/
場所柄 [ばしょがら] /(n-t) character of a place/
場所柄弁えず [ばしょがらわきまえず] /(exp) not in keeping with the occasion/
場数 [ばかず] /(n) experiences/
場代 [ばだい] /(n) rent/cover charge/
場当たり [ばあたり] /(n) playing to the gallery/haphazard/
場内 [じょうない] /(n) on the grounds/(P)/
場内放送 [じょうないほうそう] /(n) (announcement over) the public address system (e.g. in stadium)/
場馴れ [ばなれ] /(n,vs) experience/being accustomed (to something)/poise in a critical situation/
場末 [ばすえ] /(n,adj-no) outskirts (e.g. of a shopping district)/rundown district/
場味 [ばあじ] /(n) market sentiment/
場面 [ばめん] /(n,adj-no) scene/setting (e.g. of novel)/(P)/
場面場面 [ばめんばめん] /(exp) (in) various settings/act to act/place to place/
場立ち [ばたち] /(n) floor broker (stock exchange)/floor trader/boardman/
嬢 [じょう] /(n) (1) unmarried woman/(n-suf) (2) (after a name) Miss/(3) (after a line of work) -ess/-ette/(P)/
嬢さん [じょうさん] /(n,n-suf) (1) (hon) daughter (may be used a honorific after name)/(2) young lady (esp. of respectable upbringing) (may be used a honorific after name)/
嬢さん [とうさん] /(n) (hon) daughter (of a good family)/
嬢核 [じょうかく] /(n) daughter nucleus/
嬢細胞 [じょうさいぼう] /(n) daughter cell/
嬢細胞 [むすめさいぼう] /(n) daughter cell/
嬢子 [じょうし] /(n) (1) (arch) girl/young (unmarried) woman/(2) (grown) woman/lady/(3) (someone else's) wife/
嬢子 [むすめご] /(n) (1) (arch) girl/young (unmarried) woman/
常 [ただ] /(adj-no) (1) (uk) ordinary/common/usual/(2) free of charge/(3) unaffected/as is/safe/(adv) (4) only/merely/just/simply/(5) but/however/nevertheless/
常 [つね] /(n,adj-no) usual state of things/
常 [とこ] /(adv) ever/endless/(P)/
常 [とわ] /(adj-na,n,adj-no) (1) eternity/perpetuity/immortality/
常々 [つねづね] /(adv,n) always/usually/
常しえ [とこしえ] /(adj-na,n) eternity/
常しなえ [とこしなえ] /(adj-na) eternity/
常とう [じょうとう] /(n) conventionality/triteness/
常とう手段 [じょうとうしゅだん] /(n) one's habitual practice (practise)/usual measure/
常ならず [つねならず] /(adv) unusually/uncharacteristically/
常に [つねに] /(adv) always/constantly/(P)/
常闇 [とこやみ] /(n) everlasting darkness/
常飲 [じょういん] /(n,vs) regular drinking/habitual drinking/
常温 [じょうおん] /(n) normal or average or fixed temperature/
常温核融合 [じょうおんかくゆうごう] /(n) cold fusion/
常夏 [とこなつ] /(n) everlasting summer/
常夏の国 [とこなつのくに] /(n) land of everlasting summer/
常夏月 [とこなつづき] /(n) sixth lunar month/
常会 [じょうかい] /(n) (1) regular meeting/(2) ordinary Diet session/
常滑焼 [とこなめやき] /(n) Tokoname ware/
常滑焼き [とこなめやき] /(n) Tokoname ware/
常軌 [じょうき] /(n) proper course/beaten track/(P)/
常軌を逸した [じょうきをいっした] /(adj-f) aberrant/
常客 [じょうきゃく] /(n) regular customer/patron/
常勤 [じょうきん] /(n,vs) full-time employment/(P)/
常勤講師 [じょうきんこうし] /(n) (full-time) lecturer/
常雇い [じょうやとい] /(n) regular employee/
常御所 [つねのごしょ] /(n) (1) room or pavilion of residence for the master of the house (Heian period palatial-style architecture)/(2) room where the emperor usually lives in the imperial palace/
常光線 [じょうこうせん] /(n) ordinary ray/
常衡 [じょうこう] /(n) avoirdupois system/
常衡オンス [じょうこうオンス] /(n) avoirdupois ounce/
常香盤 [じょうこうばん] /(n) incense clock (marks time with a smouldering train of incense)/
常事 [じょうじ] /(n) normal affair/
常時 [じょうじ] /(n-adv,n-t) usually/ordinarily/(P)/
常時接続 [じょうじせつぞく] /(n,adj-no) always-on connection/
常磁性 [じょうじせい] /(n) paramagnetism/
常磁性体 [じょうじせいたい] /(n) paramagnetic substance/paramagnet/
常識 [じょうしき] /(n) common sense/good sense/common knowledge/general knowledge/common practice/accepted practice/social etiquette/(P)/
常識に欠ける [じょうしきにかける] /(exp,v1) to lack in common sense/
常識はずれ [じょうしきはずれ] /(adj-no,adj-na,n) unconventional/eccentric/offbeat/aberrant/outlandish/crazy/
常識を覆す [じょうしきをくつがえす] /(exp,v5s) to defy conventional wisdom/
常識テスト [じょうしきテスト] /(n) test of general knowledge/
常識家 [じょうしきか] /(n) sensible person/
常識外れ [じょうしきはずれ] /(adj-no,adj-na,n) unconventional/eccentric/offbeat/aberrant/outlandish/crazy/
常識学派 [じょうしきがくは] /(n) (Scottish) School of Common Sense/
常識人 [じょうしきじん] /(n) straightforward (plain) common-sense man/
常識的 [じょうしきてき] /(adj-na) ordinary/sensible/commonplace/(P)/
常識哲学 [じょうしきてつがく] /(n) philosophy of common sense/
常寂光土 [じょうじゃっこうど] /(n) (Buddh) land of eternally tranquil light (highest realm in Tendai Buddhism)/
常習 [じょうしゅう] /(n,vs,adj-no) custom/common practice/common practise/habit/(P)/
常習者 [じょうしゅうしゃ] /(n) habitual offender/
常習的 [じょうしゅうてき] /(adj-na) habitual/
常習犯 [じょうしゅうはん] /(n) (1) habitual criminal/recidivist/(2) recidivism/habitual criminal activity/
常住 [じょうじゅう] /(adv,n) permanent residence/usually/
常住坐臥 [じょうじゅうざが] /(n-adv) at all times/day in, day out/constantly/always/
常住不断 [じょうじゅうふだん] /(n,adj-no) ceaseless/constant/uninterrupted/
常住不滅 [じょうじゅうふめつ] /(n,adj-no) everlasting/forever unchanging/undying/
常宿 [じょうやど] /(n) one's regular inn or hotel/
常春 [とこはる] /(n) everlasting spring/
常勝 [じょうしょう] /(n) invincible/
常常 [つねづね] /(adv,n) always/usually/
常食 [じょうしょく] /(n,vs) daily food/regular diet/staple food/
常人 [じょうじん] /(n) ordinary man or person/
常数 [じょうすう] /(n) (math) constant/
常世 [とこよ] /(n) (1) eternalness/forever unchanging/(2) (abbr) distant land over the sea/world of the dead/
常世の国 [とこよのくに] /(n) distant country/heaven/hades/
常設 [じょうせつ] /(n,vs,adj-no) standing (a thing, in a place)/permanent/(P)/
常設館 [じょうせつかん] /(n) movie theater (theatre) (dated term)/cinema/
常節 [とこぶし] /(n) (uk) Sulculus diversicolor supertexta (species of abalone or ear shell)/
常染色体 [じょうせんしょくたい] /(n,adj-no) autosome (non-sex chromosome)/
常体 [じょうたい] /(n) (ling) direct style/
常態 [じょうたい] /(n) normal state (condition)/
常態化 [じょうたいか] /(n) normalization (of a social problem, of a situation, etc.)/
常談 [じょうだん] /(n) (1) normal conversation/(2) (arch) joke/
常置 [じょうち] /(n,adj-no) permanent/standing/
常置委員会 [じょうちいいんかい] /(n) standing committee/
常駐 [じょうちゅう] /(n,vs,adj-no) staying permanently/being stationed/resident/(P)/
常駐型プログラム [じょうちゅうがたプログラム] /(n) (comp) terminate and stay resident program/
常駐終了プログラム [じょうちゅうしゅうりょうプログラム] /(n) (comp) terminate and stay resident program/
常駐終了型プログラム [じょうちゅうしゅうりょうけいプログラム] /(n) (comp) terminate-and-stay-resident program/TSR program/
常駐制御プログラム [じょうちゅうせいぎょプログラム] /(n) (comp) nucleus/resident control program/
常電導磁気浮上式鉄道 [じょうでんどうじきふじょうしきてつどう] /(n) non-superconducting maglev train/
常套 [じょうとう] /(n) conventionality/triteness/
常套句 [じょうとうく] /(n) (1) cliche/(2) frequently used musical (guitar) phrase/
常套語 [じょうとうご] /(n) hackneyed expression/
常套手段 [じょうとうしゅだん] /(n) one's habitual practice (practise)/usual measure/
常套表現 [じょうとうひょうげん] /(n) conventional (stock) phrase/hackneyed expression/platitude/cliche/
常道 [じょうどう] /(n) normal or proper practice (practise)/
常得意 [じょうとくい] /(n) regular customer/patron/
常日頃 [つねひごろ] /(n-t) always/usually/
常任 [じょうにん] /(n,vs,adj-no) standing/regular/permanent/(P)/
常任委員 [じょうにんいいん] /(n) standing committee/
常任委員会 [じょうにんいいんかい] /(n) standing committee/(P)/
常任指揮者 [じょうにんしきしゃ] /(n) regular (permanent) conductor/
常任理事国 [じょうにんりじこく] /(n) standing member-nation of the UN Security Council/
常寧殿 [じょうねいでん] /(n) ladies' pavilion (of the inner Heian Palace)/
常寧殿 [そうねいでん] /(n) ladies' pavilion (of the inner Heian Palace)/
常盤桜 [ときわざくら] /(n) round leaved primula (Primula obconica)/primrose/poison primrose/
常磐御柳 [ときわぎょりゅう] /(n) (uk) (obsc) beefwood (Casuarina equisetifolia)/
常磐津 [ときわず] /(n) (abbr) style of joruri narrative used for kabuki dances/
常磐津節 [ときわずぶし] /(n) style of joruri narrative used for kabuki dances/
常磐木 [ときわぎ] /(n) evergreen tree/
常備 [じょうび] /(n,vs,adj-no) standing/reserve/
常備金 [じょうびきん] /(n) reserve fund/
常備軍 [じょうびぐん] /(n) standing army/
常備薬 [じょうびやく] /(n) household medicine/
常不軽 [じょうふきょう] /(n) Sadaparibhuta (bodhisattva)/
常不軽 [ぞうふきょう] /(n) Sadaparibhuta (bodhisattva)/
常分数 [じょうぶんすう] /(n) proper fraction/
常平倉 [じょうへいそう] /(n) (historical) granary/
常歩 [じょうほ] /(n) walk (horse gait)/
常歩 [なみあし] /(gikun) (n) walk (horse gait)/
常法 [じょうほう] /(n) usual method/usual technique/
常民 [じょうみん] /(n) (common) people/
常務 [じょうむ] /(n) (1) (abbr) managing director/executive director/(2) routine business/regular business/(P)/
常務取締役 [じょうむとりしまりやく] /(n) managing director/
常夜灯 [じょうやとう] /(n) a night-light/
常用 [じょうよう] /(n,vs,adj-no) habitual use/daily use/(P)/
常用外 [じょうようがい] /(exp) (kanji) not in the Jouyou set/
常用漢字 [じょうようかんじ] /(n) kanji for common use (list of 2,136 kanji established in 2010, formerly a list of 1,945 established in 1981)/(P)/
常用者 [じょうようしゃ] /(n) constant user/addict/
常用手段 [じょうようしゅだん] /(n) one's usual practice/one's old trick/one's usual modus operandi/the same old tactic/
常用対数 [じょうようたいすう] /(n) logarithm (base 10)/common logarithm/
常用癖 [じょうようへき] /(n) addiction/
常陸梅 [ひたちうめ] /(n) (sumo) era during early 1900s dominated by the grand champions Hitachiyama and Umegatani II/
常陸梅時代 [ひたちうめじだい] /(n) (sumo) era during early 1900s dominated by the grand champions Hitachiyama and Umegatani II/
常緑 [じょうりょく] /(n,adj-no) evergreen/
常緑高木 [じょうりょくこうぼく] /(n) tall, evergreen tree/
常緑樹 [じょうりょくじゅ] /(n) evergreen tree/
常例 [じょうれい] /(n) usual practice/usual practise/custom/common usage/
常連 [じょうれん] /(n,adj-no) (1) regular customer/regular patron/frequenter/(2) constant companion/(P)/
常連客 [じょうれんきゃく] /(n) regular customer/
情 [じょう] /(n) (1) feelings/emotion/sentiment/(2) compassion/sympathy/(3) passion/affection/love/(4) the way things really are/the actual situation/(P)/
情が強い [じょうがこわい] /(exp) (obsc) stubborn/hardheaded/
情が薄い [じょうがうすい] /(exp,adj-i) coldhearted/hardhearted/
情け [なさけ] /(n) (1) pity/sympathy/compassion/(2) affection/(P)/
情けが仇 [なさけがあだ] /(exp) (id) Pardon makes offenders/
情けない [なさけない] /(adj-i) miserable/pitiable/shameful/deplorable/(P)/
情けは人のためならず [なさけはひとのためならず] /(n) (id) the good you do for others is good you do yourself/lit: compassion is not for other people's benefit/
情けは人の為ならず [なさけはひとのためならず] /(n) (id) the good you do for others is good you do yourself/lit: compassion is not for other people's benefit/
情けを交わす [なさけをかわす] /(exp,v5s) to have sexual intercourse/
情けを知る [なさけをしる] /(exp,v5r) (1) to fall in love (for the first time)/to know love/(2) to be compassionate/
情け深い [なさけぶかい] /(adj-i) tender-hearted/compassionate/(P)/
情け知らず [なさけしらず] /(n) coldhearted/pitiless/merciless/heartless/
情け無い [なさけない] /(adj-i) miserable/pitiable/shameful/deplorable/
情け容赦 [なさけようしゃ] /(n) mercy/
情ない [なさけない] /(adj-i) miserable/pitiable/shameful/deplorable/
情ない [なっさけない] /(adj-i) miserable/pitiable/shameful/deplorable/
情にもろい [じょうにもろい] /(exp,adj-i) soft-hearted/susceptible/sentimental/tender-hearted/
情に脆い [じょうにもろい] /(exp,adj-i) soft-hearted/susceptible/sentimental/tender-hearted/
情の深い人 [じょうのふかいひと] /(n) kindhearted person/
情の籠もった [じょうのこもった] /(adj-f) warmhearted/sympathetic/
情を張る [じょうをはる] /(exp,v5r) to be obstinate/
情愛 [じょうあい] /(n) affection/love/
情意 [じょうい] /(n) feeling/emotion/will/
情意投合 [じょういとうごう] /(n,vs) (coincidence of) mutual sentiment/sharing the same sentiment with somebody/finding oneself on the same wavelength as somebody/seeing eye to eye/
情炎 [じょうえん] /(n) burning passion/flaming desires/
情焔 [じょうえん] /(n) burning passion/flaming desires/
情歌 [じょうか] /(n) love song/
情火 [じょうか] /(n) passion (of love)/
情感 [じょうかん] /(n) feeling/sensitivity/emotion/(P)/
情機 [じょうき] /(n) (abbr) information systems/
情宜 [じょうぎ] /(n) friendly feelings/fellowship/
情義 [じょうぎ] /(n) justice and humanity/
情誼 [じょうぎ] /(n) friendly feelings/fellowship/
情況 [じょうきょう] /(n,adj-no) state of affairs (around you)/situation/circumstances/
情況証拠 [じょうきょうしょうこ] /(n) circumstantial evidence/
情景 [じょうけい] /(n) spectacle/sight/scene/(P)/
情交 [じょうこう] /(n,vs) intimacy/sexual intercourse/
情史 [じょうし] /(n) Ming Dynasty love story/
情死 [じょうし] /(n,vs) double love suicide/
情事 [じょうじ] /(n) love affair/liaison/
情実 [じょうじつ] /(n) real situations/personal consideration/private circumstances/favoritism/favouritism/
情実人事 [じょうじつじんじ] /(n) personnel changes through favoritism/
情趣 [じょうしゅ] /(n) mood/sentiment/artistic effect/
情緒 [じょうしょ] /(n,adj-no) (1) emotion/feeling/(2) spirit/(P)/
情緒 [じょうちょ] /(n,adj-no) (1) emotion/feeling/(2) spirit/(P)/
情緒てんめん [じょうしょてんめん] /(n,adj-na,adj-no,adj-t,adv-to) (arch) tender sentiments/being overcome with emotions/having a tender feeling (for a person)/
情緒てんめん [じょうちょてんめん] /(n,adj-na,adj-no,adj-t,adv-to) (arch) tender sentiments/being overcome with emotions/having a tender feeling (for a person)/
情緒障害 [じょうしょしょうがい] /(n,vs) (suffering) an emotional disturbance/
情緒障害 [じょうちょしょうがい] /(n,vs) (suffering) an emotional disturbance/
情緒障害児 [じょうしょしょうがいじ] /(n) emotionally disturbed child/
情緒障害児 [じょうちょしょうがいじ] /(n) emotionally disturbed child/
情緒不安定 [じょうちょふあんてい] /(n) emotional instability/
情緒纒綿 [じょうしょてんめん] /(n,adj-na,adj-no,adj-t,adv-to) (arch) tender sentiments/being overcome with emotions/having a tender feeling (for a person)/
情緒纒綿 [じょうちょてんめん] /(n,adj-na,adj-no,adj-t,adv-to) (arch) tender sentiments/being overcome with emotions/having a tender feeling (for a person)/
情状 [じょうじょう] /(n) circumstances/
情状酌量 [じょうじょうしゃくりょう] /(n,vs) taking the extenuating circumstances into consideration/
情深い [なさけぶかい] /(adj-i) tender-hearted/compassionate/
情人 [じょうじん] /(n) lover/sweetheart/mistress/
情人 [じょうにん] /(n) lover/sweetheart/mistress/
情勢 [じょうせい] /(n) state of things/state of affairs/condition/situation/circumstances/(P)/
情操 [じょうそう] /(n) sensibility (artistic, moral)/(good) taste/sentiment/
情操教育 [じょうそうきょういく] /(n) cultivation of aesthetic sensibility/education in good taste/
情態 [じょうたい] /(n) current status/condition/situation/circumstances/state/
情知らず [なさけしらず] /(n) coldhearted/pitiless/merciless/heartless/
情痴 [じょうち] /(n) being struck mad by love/blind love/
情調 [じょうちょう] /(n) atmosphere/mood/sentiment/
情動 [じょうどう] /(n,adj-no) emotion/affect/
情熱 [じょうねつ] /(adj-na,n) passion/enthusiasm/zeal/(P)/
情念 [じょうねん] /(n) sentiments/passions/
情夫 [いろ] /(ik) (n) lover (male)/
情夫 [じょうふ] /(n) lover (male)/
情婦 [じょうふ] /(n) mistress/lover/prostitute/
情報 [じょうほう] /(n) (1) news/gossip/(military) intelligence/(2) information (data contained in characters, signals, code, etc.)/(P)/
情報の測度 [じょうほうのそくど] /(n) (comp) measure of information/
情報を収めた本 [じょうほうをおさめたほん] /(exp) book containing the information/
情報インフラ [じょうほうインフラ] /(n) (comp) information infrastructure/
情報オブジェクト [じょうほうオブジェクト] /(n) (comp) information object/
情報システム [じょうほうシステム] /(n) (comp) information system/
情報システム学 [じょうほうシステムがく] /(n) (study of) information systems/
情報スーパーハイウェイ [じょうほうスーパーハイウェイ] /(n) (comp) information superhighway/
情報スーパーハイウエー [じょうほうスーパーハイウエー] /(n) (comp) information superhighway/
情報セキュリティ [じょうほうセキュリティ] /(n) information security/
情報センタ [じょうほうセンタ] /(n) (comp) information centre/documentation centre/
情報ソース [じょうほうソース] /(n) (comp) information source/
情報チャネル [じょうほうチャネル] /(n) (comp) bearer channel (in ISDN)/communication channel/
情報テクノロジー [じょうほうテクノロジー] /(n) information technology/IT/
情報トラック [じょうほうトラック] /(n) (comp) information track/
情報ハイウェー [じょうほうハイウェー] /(n) (comp) information highway/
情報ハイウェイ [じょうほうハイウェイ] /(n) (comp) information (super)highway/
情報フロー [じょうほうフロー] /(n) (comp) information flow/
情報ブロック [じょうほうブロック] /(n) (comp) information block/
情報ベース [じょうほうベース] /(n) (comp) information-base/
情報ベース種別 [じょうほうベースしゅべつ] /(n) (comp) information-base-type/
情報リテラシ [じょうほうリテラシ] /(n) (comp) information literacy/
情報隠蔽 [じょうほういんぺい] /(n) (comp) information hiding/
情報化 [じょうほうか] /(n,vs) (comp) computerization/computerisation/
情報化社会 [じょうほうかしゃかい] /(n) information society/(P)/
情報可視化 [じょうほうかしか] /(n,vs) information visualization/information visualisation/
情報科学 [じょうほうかがく] /(n) (comp) information science/computer science/
情報開示 [じょうほうかいじ] /(n) information discovery/disclosure of information/
情報格差 [じょうほうかくさ] /(n) information gap/
情報革命 [じょうほうかくめい] /(n) (comp) information revolution/
情報学 [じょうほうがく] /(n) informatics/
情報学部 [じょうほうがくぶ] /(n) faculty of informatics/
情報管理 [じょうほうかんり] /(n) (comp) information management/
情報館 [じょうほうかん] /(n) information centre (center)/
情報基盤 [じょうほうきばん] /(n) (comp) information base/
情報機器 [じょうほうきき] /(n) information systems/
情報技術 [じょうほうぎじゅつ] /(n) (comp) information technology/IT/
情報共有 [じょうほうきょうゆう] /(n) information sharing/
情報群 [じょうほうぐん] /(n) (comp) information group/
情報検索 [じょうほうけんさく] /(n) (comp) information retrieval/
情報検索代行業者 [じょうほうけんさくだいこうぎょうしゃ] /(n) (comp) information broker/
情報源 [じょうほうげん] /(n) (1) source of information/intelligence source/(2) (comp) message source/
情報交換 [じょうほうこうかん] /(n) (comp) information exchange/
情報交換用アメリカ標準コード [じょうほうこうかんようアメリカひょうじゅんコード] /(n) (comp) American Standard Code for Information Exchange/ASCII/
情報公開条例 [じょうほうこうかいじょうれい] /(n) information-disclosure ordinance/
情報公開法 [じょうほうこうかいほう] /(n) Freedom of Information Act (USA)/FOI/
情報工学 [じょうほうこうがく] /(n) (comp) computer science/information engineering/
情報鎖国 [じょうほうさこく] /(n) country closed to information from the outside world/
情報産業 [じょうほうさんぎょう] /(n) information industry/(P)/
情報誌 [じょうほうし] /(n) information magazine/
情報資源 [じょうほうしげん] /(n) (comp) information resource/
情報資源管理 [じょうほうしげんかんり] /(n) (comp) IRM/Information Resource Management/
情報資源辞書システム [じょうほうしげんじしょシステム] /(n) (comp) IRDS/Information Resource Dictionary System/
情報主要素 [じょうほうしゅようそ] /(n) essential elements of information/
情報収集 [じょうほうしゅうしゅう] /(n) intelligence gathering/
情報収集衛星 [じょうほうしゅうしゅうえいせい] /(n) information-gathering satellite/
情報処理 [じょうほうしょり] /(n) (comp) data processing/(P)/
情報処理技術者 [じょうほうしょりぎじゅつしゃ] /(n) information processing engineer/
情報処理技術者試験 [じょうほうしょりぎじゅつしゃしけん] /(n) (comp) National Examination for Information Processing Technicians/NEIPT/
情報処理心理学 [じょうほうしょりしんりがく] /(n) information processing psychology/
情報処理振興事業協会 [じょうほうしょりしんこうじぎょうきょうかい] /(n) (comp) Information-technology Promotion Agency, Japan/IPA/
情報処理装置 [じょうほうしょりそうち] /(n) information processing equipment/information technology equipment/
情報損失を伴う変換の禁止 [じょうほうそんしつをともなうへんかんのきんし] /(n) (comp) conversion prohibition in case of loss of information/
情報通 [じょうほうつう] /(n) well-informed person/
情報通信 [じょうほうつうしん] /(n,adj-no) telecommunications/
情報通信費 [じょうほうつうしんひ] /(n) telecommunications fees/telecommunications expenses/
情報提供 [じょうほうていきょう] /(n) provision of information/
情報提供者 [じょうほうていきょうしゃ] /(n) (comp) Information Provider/
情報転送 [じょうほうてんそう] /(n) (comp) information transmission/
情報伝達 [じょうほうでんたつ] /(n) (comp) information transfer/information transmission/
情報発信 [じょうほうはっしん] /(n) (comp) information transmission/
情報部 [じょうほうぶ] /(n) information bureau/intelligence department/(P)/
情報分析 [じょうほうぶんせき] /(n) (comp) information analysis/
情報分析センタ [じょうほうぶんせきセンタ] /(n) (comp) information analysis centre/
情報網 [じょうほうもう] /(n) intelligence or information network/
情報要素 [じょうほうようそ] /(n) (comp) information element/
情報理論 [じょうほうりろん] /(n) information theory/
情報量 [じょうほうりょう] /(n) information content/information volume/
情報量が多い [じょうほうりょうがおおい] /(exp,adj-i) having high information content/informative/
情報量の多い [じょうほうりょうのおおい] /(adj-i) informative/
情報倫理 [じょうほうりんり] /(n) information ethics/
情報漏れ [じょうほうもれ] /(n) information leak/intelligence leak/
情味 [じょうみ] /(n) charm/attractiveness/humanity/
情無い [なさけない] /(adj-i) miserable/pitiable/shameful/deplorable/
情無い [なっさけない] /(adj-i) miserable/pitiable/shameful/deplorable/
情慾 [じょうよく] /(n,adj-no) passions/sexual desire/lust/
情欲 [じょうよく] /(n,adj-no) passions/sexual desire/lust/
情理 [じょうり] /(n) emotion and reason/logic and emotion/justice and compassion (criminal justice context)/
情話 [じょうわ] /(n) conversing from the heart/love story/
擾乱 [じょうらん] /(n,vs) disturbance/
条 [くだり] /(n) passage/paragraph/
条 [じょう] /(n) (1) article (in document)/provision/(2) stripe/streak/line/
条海豚 [すじいるか] /(n) (uk) striped dolphin (Stenella coeruleoalba)/
条款 [じょうかん] /(n) stipulation/article/clause/provision/
条規 [じょうき] /(n) stipulation/
条件 [じょうけん] /(n) condition/conditions/term/terms/requirement/requirements/(P)/
条件が揃う [じょうけんがそろう] /(exp,v5u) to satisfy the requirements/
条件づけ [じょうけんづけ] /(n) conditioning/
条件を充たす [じょうけんをみたす] /(exp,v5s) to meet the requirements/to satisfy the conditions/
条件を呑む [じょうけんをのむ] /(exp,v5m) to accept the conditions/
条件を満たす [じょうけんをみたす] /(exp,v5s) to meet the requirements/to satisfy the conditions/
条件コード [じょうけんコード] /(n) (comp) condition code/
条件記述部 [じょうけんきじゅつぶ] /(n) (comp) condition stub/
条件検索 [じょうけんけんさく] /(n) (comp) conditional search/filtering/
条件構成体 [じょうけんこうせいたい] /(n) (comp) conditional construct/
条件指定 [じょうけんしてい] /(n) (comp) condition entry/conditional phrase/
条件式 [じょうけんしき] /(n) (comp) conditional expression/
条件闘争 [じょうけんとうそう] /(n) negotiation of conditions/
条件反射 [じょうけんはんしゃ] /(n) conditioned reflex/
条件付き [じょうけんつき] /(exp,adj-f) conditionally/with conditions attached/(P)/
条件付きエントロピー [じょうけんつきエントロピー] /(n) (comp) conditional entropy/mean conditional information content/average conditional information content/
条件付きコンパイル [じょうけんつきコンパイル] /(n) (comp) conditional compilation/
条件付きジャンプ [じょうけんつきジャンプ] /(n) (comp) conditional jump/
条件付きブランチ [じょうけんつきブランチ] /(n) (comp) (obsc) conditional branch/
条件付き構成要素 [じょうけんつきこうせいようそ] /(n) (comp) conditional (C) component/
条件付き最適化 [じょうけんつきさいてきか] /(n) (comp) constrained optimization/
条件付き採録 [じょうけんつきさいろく] /(n) conditional acceptance/
条件付き情報量 [じょうけんつきじょうほうりょう] /(n) (comp) conditional information content/
条件付き飛び越し [じょうけんつきとびこし] /(n) (comp) conditional jump/
条件付き飛越し命令 [じょうけんつきとびこしめいれい] /(n) (comp) conditional jump instruction/
条件付き表現式 [じょうけんつきひょうげんしき] /(n) conditional expression (programming, programing)/
条件付き分岐 [じょうけんつきぶんき] /(n) (comp) conditional branch/
条件付き平均情報量 [じょうけんつきへいきんじょうほうりょう] /(n) (comp) conditional entropy/mean conditional information content/average conditional information content/
条件付け [じょうけんづけ] /(n) conditioning/
条件付エントロピー [じょうけんつきエントロピー] /(n) (comp) conditional entropy/mean conditional information content/average conditional information content/
条件付コンパイル [じょうけんつきコンパイル] /(n) (comp) conditional compilation/
条件付ジャンプ [じょうけんつきジャンプ] /(n) (comp) conditional jump/
条件付採録 [じょうけんつきさいろく] /(n) conditional acceptance/
条件分岐 [じょうけんぶんき] /(n) (comp) conditional branch/
条件分岐命令 [じょうけんぶんきめいれい] /(n) (comp) conditional branch instruction/
条件文 [じょうけんぶん] /(n) (comp) conditional statement/
条件変数 [じょうけんへんすう] /(n) conditional variable/
条件法 [じょうけんほう] /(n) (ling) conditional mood/
条件名 [じょうけんめい] /(n) (comp) condition-name/
条件名条件 [じょうけんめいじょうけん] /(n) (comp) condition-name condition/
条件命令 [じょうけんめいれい] /(n) (comp) conditional statement/
条項 [じょうこう] /(n) clause/article/stipulations/(P)/
条黒白蝶 [すじぐろしろちょう] /(n) (uk) Pieris melete (species of cabbage white butterfly)/
条痕 [じょうこん] /(n) linear mark/abrasion/scratch/streak/
条線 [じょうせん] /(n) striation/streak line/
条虫 [じょうちゅう] /(n,adj-no) cestode/tapeworm/
条虫類 [じょうちゅうるい] /(n) cestodes/tapeworms/
条鰭綱 [じょうきこう] /(n) Actinopterygii (class of the ray-finned fishes comprising nearly 95% of the 25,000 species of fish)/
条幅 [じょうふく] /(n) type of hanging scroll (made from paper of approx. 130cm x 30cm in size)/
条文 [じょうぶん] /(n) text/provisions (act, treaty)/(P)/
条片 [じょうへん] /(n) strip/
条目 [じょうもく] /(n) article/clause/stipulation/
条約 [じょうやく] /(n) treaty/pact/(P)/
条約の締結 [じょうやくのていけつ] /(n) conclusion of treaty/
条約加盟国 [じょうやくかめいこく] /(n) signatory countries/members of a treaty/
条約国 [じょうやくこく] /(n) a treaty power/
条理 [じょうり] /(n) reason/(P)/
条里制 [じょうりせい] /(n) system of land subdivision in ancient Japan/
条令 [じょうれい] /(n) regulation/ordinance/
条例 [じょうれい] /(n) regulations/rules/laws/acts/ordinance/(P)/
杖 [じょう] /(n) (arch) severe caning (60-100 times)/
杖 [つえ] /(n) cane/walking stick/staff/(P)/
杖とも柱とも頼む [つえともはしらともたのむ] /(exp,v5m) to count on someone as the only support/
杖を携える [つえをたずさえる] /(exp,v1) to carry a cane/
杖鼓 [じょうこ] /(n) janggu (Korean hourglass drum)/janggo/changgo/
杖鼓 [チャング] /(n) janggu (Korean hourglass drum)/janggo/changgo/
杖鼓 [チャンゴ] /(n) janggu (Korean hourglass drum)/janggo/changgo/
杖術 [じょうじゅつ] /(n) form of martial art using a cane staff/
杖状 [つえじょう] /(adj-no,n) staff-shaped/
杖柱 [つえはしら] /(n) person upon whom one relies/
杖道 [じょうどう] /(n) form of martial art using a cane staff/
浄い [きよい] /(adj-i) clear/pure/noble/
浄め [きよめ] /(n) purification/
浄める [きよめる] /(v1,vt) to purify/to cleanse/to exorcise/
浄衣 [じょうえ] /(n) white robe or costume/
浄域 [じょういき] /(n) sacred ground/
浄化 [じょうか] /(n,vs,adj-no) purification/cleanup/(P)/
浄化槽 [じょうかそう] /(n) septic tank/tank for purifying water/(P)/
浄化装置 [じょうかそうち] /(n) purifier/
浄火 [じょうか] /(n) sacred fire/
浄界 [じょうかい] /(n) sacred ground/the Pure Land/
浄御原令 [きよみはらりょう] /(n) (abbr) Asuka Kiyomihara Code (689 CE)/
浄罪 [じょうざい] /(n,adj-no) cleansing of sins/
浄財 [じょうざい] /(n) monetary offering/donation/
浄写 [じょうしゃ] /(n,vs) clean or fair copy/
浄書 [じょうしょ] /(n,vs) clean copy/
浄水 [じょうすい] /(n) clean water/(P)/
浄水器 [じょうすいき] /(n) water filter/water purification system/
浄水場 [じょうすいじょう] /(n) water purification (filtering) plant/
浄水地 [じょうすいち] /(n) (clean-water) reservoir/
浄土 [じょうど] /(n) (1) (Buddh) Pure Land (esp. the Western Pure Land paradise of Amitabha)/(2) (abbr) Pure Land Buddhism/(P)/
浄土教 [じょうどきょう] /(n) Pure Land teachings/
浄土三部経 [じょうどさんぶきょう] /(n) three major sutras of Pure Land Buddhism/
浄土宗 [じょうどしゅう] /(n) Pure Land sect (of Buddhism)/Jodo (sect)/
浄土真宗 [じょうどしんしゅう] /(n) Jodo Shinshu (offshoot of the Jodo sect)/(P)/
浄瑠璃 [じょうるり] /(n) type of dramatic recitation accompanied by a shamisen (associated with the Japanese puppet theater)/
浄瑠璃語 [じょうるりかたり] /(io) (n) joruri reciter/
浄瑠璃語り [じょうるりかたり] /(n) joruri reciter/
浄霊 [じょうれい] /(n) exorcism/
状 [じょう] /(n,n-suf) (1) shape/state/(2) letter/correspondence/(P)/
状況 [じょうきょう] /(n,adj-no) state of affairs (around you)/situation/circumstances/(P)/
状況によって [じょうきょうによって] /(exp) depending on the situation/depending on circumstances/
状況による [じょうきょうによる] /(exp,v5r) depending on the situation/depending on the circumstances/
状況に依る [じょうきょうによる] /(exp,v5r) depending on the situation/depending on the circumstances/
状況意味論 [じょうきょういみろん] /(n) (ling) situation semantics/
状況証拠 [じょうきょうしょうこ] /(n) circumstantial evidence/
状況把握 [じょうきょうはあく] /(n) one's grasp of the situation/knowing how matters stand/
状況判断 [じょうきょうはんだん] /(n) one's assessment of the situation/
状況報告 [じょうきょうほうこく] /(n) situation report/(P)/
状況倫理 [じょうきょうりんり] /(n) situation ethics/situational ethics/
状差し [じょうさし] /(n) letter rack/
状勢 [じょうせい] /(n) state of things/state of affairs/condition/situation/circumstances/
状態 [じょうたい] /(n) current status/condition/situation/circumstances/state/(P)/
状態マシン [じょうたいマシン] /(n) (comp) state machine/
状態空間 [じょうたいくうかん] /(n) (comp) state space/
状態見出し語 [じょうたいみだしご] /(n) (comp) status keyword/
状態情報 [じょうたいじょうほう] /(n) (comp) state information/
状態遷移 [じょうたいせんい] /(n) (comp) state change/state transition/
状態遷移図 [じょうたいせんいず] /(n) (comp) state change diagram/
状態動詞 [じょうたいどうし] /(n) (ling) stative verb/state verb/non-progressive verb/
状態変化 [じょうたいへんか] /(n) (1) (physics) phase change/(2) (comp) state change/(3) (col) transformation of characters - includes flattening, petrification, chocolization, etc./
状態変数 [じょうたいへんすう] /(n) (comp) state space/
状袋 [じょうぶくろ] /(n) envelope/
畳 [じょう] /(ctr) (1) counter for tatami mats/(2) measure of room size (in mat units)/(P)/
畳 [たたみ] /(n) tatami mat/Japanese straw floor coverings/(P)/
畳 [たとう] /(n) (abbr) folding paper-case/kimono wrapping paper/
畳の上で死ぬ [たたみのうえでしぬ] /(exp,v5n) (sens) to die a natural death/to die in one's own bed/
畳の上の水練 [たたみのうえのすいれん] /(exp) practising swimming on land/dry swimming exercise/
畳まる [たたまる] /(v5r,vi) to be folded (up)/
畳みかける [たたみかける] /(v1,vt) (uk) to press for an answer/to shower questions on someone/
畳み椅子 [たたみいす] /(n) folding (collapsible) chair/
畳み掛ける [たたみかける] /(v1,vt) (uk) to press for an answer/to shower questions on someone/
畳み込み [たたみこみ] /(n) (comp) convolution/
畳み込み定理 [たたみこみていり] /(n) (comp) convolution theorem/
畳み込み符号 [たたみこみふごう] /(n) (comp) convolutional code/
畳み込む [たたみこむ] /(v5m,vt) to fold in/to bear deep in mind/to follow up/
畳み尺 [たたみじゃく] /(n) (obsc) folding ruler/collapsible ruler/
畳み尺 [たたみものさし] /(n) (obsc) folding ruler/collapsible ruler/
畳み地図 [たたみちず] /(n) folding map/
畳み物差 [たたみものさし] /(n) (obsc) folding ruler/collapsible ruler/
畳み物差し [たたみものさし] /(n) (obsc) folding ruler/collapsible ruler/
畳む [たたむ] /(v5m,vt) (1) to fold (clothes)/(2) to close (a shop)/(3) to vacate/(P)/
畳鰯 [たたみいわし] /(n) sheet of dried sardines/
畳韻 [じょういん] /(n) repeated (recurring) rhymes (in Chinese poetry)/
畳縁 [たたみべり] /(n) the edge (overlapping) part of a tatami mat/
畳屋 [たたみや] /(n) matmaker/mat dealer/
畳語 [じょうご] /(n) (ling) syllable repetition (indicating plurals)/
畳紙 [たとうがみ] /(n) folding paper-case/kimono wrapping paper/
畳字 [じょうじ] /(n) repetition of the previous character/
畳尺 [たたみじゃく] /(n) (obsc) folding ruler/collapsible ruler/
畳尺 [たたみものさし] /(n) (obsc) folding ruler/collapsible ruler/
畳床 [たたみとこ] /(n) (1) inner part of a tatami mat/(2) tokonoma with tatami flooring/
畳床 [たたみどこ] /(n) (1) inner part of a tatami mat/(2) tokonoma with tatami flooring/
畳職 [たたみしょく] /(n) tatami maker/
畳針 [たたみばり] /(n) tatami needle/
畳水練 [たたみすいれん] /(n) book learning (useless as practicing swimming on tatami)/
畳数 [じょうすう] /(n) number of tatami (mats)/
畳成語 [じょうせいご] /(n) reiterative/
畳替え [たたみがえ] /(n) renewing mats/refacing mats/
畳表 [たたみおもて] /(n) facing of a tatami mat/
畳敷 [たたみじき] /(adj-no) tatami-matted/
畳敷き [たたみじき] /(adj-no) tatami-matted/
畳敷きの部屋 [たたみじきのへや] /(n) straw-matted room/
畳物 [たたみもの] /(n) (obsc) map (or diagram, etc.) folded with a cover on each side/
穣 [じょう] /(n) 10^28/
蒸かす [ふかす] /(v5s,vt) to steam/(P)/
蒸ける [ふける] /(v1,vi) to become ready to eat (as a result of steaming)/
蒸し [むし] /(n,n-suf) steaming/(P)/
蒸しパン [むしパン] /(n) steamed bun/steamed bread/(P)/
蒸し菓子 [むしがし] /(n) steamed cake/
蒸し器 [むしき] /(n) steamer/
蒸し暑い [むしあつい] /(adj-i) humid/sultry/(P)/
蒸し焼 [むしやき] /(n) baking foods in a covered pan/foods baked in a covered pan/
蒸し焼き [むしやき] /(n) baking foods in a covered pan/foods baked in a covered pan/
蒸し蒸し [むしむし] /(adv,n,vs) (uk) hot and humid/
蒸し鳥 [むしとり] /(n) steamed chicken/
蒸し鍋 [むしなべ] /(n) steamer/casserole dish/
蒸し風呂 [むしぶろ] /(n) steam bath/
蒸し物 [むしもの] /(n) food cooked by steaming/
蒸し返す [むしかえす] /(v5s,vt) to reheat/to steam over/to bring up again/to take up again a problem that has been dealt with/(P)/
蒸し餅 [むしもち] /(n) steamed mochi/
蒸す [むす] /(v5s,vt) to steam/to poultice/to be sultry/(P)/
蒸らす [むらす] /(v5s,vt) to cook by steam/
蒸れる [むれる] /(v1,vi) to be stuffy/to moulder/to molder/
蒸パン [むしパン] /(n) steamed bun/steamed bread/
蒸器 [むしき] /(n) steamer/
蒸気 [じょうき] /(n) (1) steam/vapour/vapor/(2) (abbr) steamship/steamboat/steamer/(P)/
蒸気タービン [じょうきタービン] /(n) steam turbine/
蒸気圧 [じょうきあつ] /(n) steam pressure/
蒸気機関 [じょうききかん] /(n) steam engine/
蒸気機関車 [じょうききかんしゃ] /(n) steam locomotive/
蒸気船 [じょうきせん] /(n) steamship/steamboat/steamer/
蒸汽 [じょうき] /(n) (1) steam/vapour/vapor/(2) (abbr) steamship/steamboat/steamer/
蒸汽船 [じょうきせん] /(n) steamship/steamboat/steamer/
蒸散 [じょうさん] /(n,vs) (botanical) transpiration/
蒸暑い [むしあつい] /(adj-i) humid/sultry/
蒸焼 [むしやき] /(n) baking foods in a covered pan/foods baked in a covered pan/
蒸焼き [むしやき] /(n) baking foods in a covered pan/foods baked in a covered pan/
蒸着 [じょうちゃく] /(n,vs) (1) deposition (e.g. vacuum deposition)/(2) vaporization/evaporation/
蒸発 [じょうはつ] /(n,vs,adj-no) (1) evaporation/(2) disappearance (of people intentionally concealing their whereabouts)/unexplained disappearance/(P)/
蒸発岩 [じょうはつがん] /(n) evaporite/
蒸発計 [じょうはつけい] /(n) evaporimeter/
蒸発皿 [じょうはつざら] /(n) evaporating dish/
蒸発熱 [じょうはつねつ] /(n) evaporation heat/
蒸風呂 [むしぶろ] /(n) steam bath/
蒸物 [むしもの] /(n) food cooked by steaming/
蒸民 [じょうみん] /(n) the masses/the people/
蒸餅 [じょうべい] /(n) steamed mochi/manju/bread/
蒸溜 [じょうりゅう] /(n,vs,adj-no) distillation/
蒸留 [じょうりゅう] /(n,vs,adj-no) distillation/
蒸留器 [じょうりゅうき] /(n) still/
蒸留酒 [じょうりゅうしゅ] /(n) distilled liquor/
蒸留水 [じょうりゅうすい] /(n) distilled water/
蒸篭 [せいろ] /(n) (uk) basket used for steaming food/wooden frame holder with reed base used to steam food over a pot/
蒸篭 [せいろう] /(n) (uk) basket used for steaming food/wooden frame holder with reed base used to steam food over a pot/
蒸籠 [せいろ] /(n) (uk) basket used for steaming food/wooden frame holder with reed base used to steam food over a pot/
蒸籠 [せいろう] /(n) (uk) basket used for steaming food/wooden frame holder with reed base used to steam food over a pot/
蒸餾 [じょうりゅう] /(n,vs,adj-no) distillation/
譲り合い [ゆずりあい] /(n) compromises/
譲り合う [ゆずりあう] /(v5u,vt) to give and take/to make mutual concessions/to compromise/
譲り受ける [ゆずりうける] /(v1,vt) to inherit/to receive/to take over by transfer/
譲り受け人 [ゆずりうけにん] /(n) assignee/grantee/transferee/
譲り状 [ゆずりじょう] /(n) deed of transfer/
譲り渡す [ゆずりわたす] /(v5s,vt) to hand over/to turn over/to cede/(P)/
譲る [ゆずる] /(v5r,vt) (1) to turn over/to assign/to hand over/to transmit/to convey/to sell/to dispose of/(2) to yield/to surrender/to concede/(P)/
譲位 [じょうい] /(n,vs) abdication/
譲許の保障 [じょうきょのほしょう] /(n) security of (tariff) concessions/
譲許表 [じょうきょひょう] /(n) schedule of (tariff) concessions/
譲合 [ゆずりあい] /(io) (n) compromises/
譲受人 [じょうじゅにん] /(n) assignee/grantee/transferee/
譲受人 [ゆずりうけにん] /(n) assignee/grantee/transferee/
譲渡 [じょうと] /(n,vs) transfer/assignment/conveyance/(P)/
譲渡可能定期預金証書 [じょうとかのうていきよきんしょうしょ] /(n) negotiable certificate of deposit/
譲渡所得 [じょうとしょとく] /(n) capital gains/
譲渡人 [じょうとにん] /(n) transferor/assignor/
譲渡人 [ゆずりわたしにん] /(n) transferor/assignor/
譲渡性預金 [じょうとせいよきん] /(n) negotiable deposit/
譲渡担保 [じょうとたんぽ] /(n) mortgage/
譲歩 [じょうほ] /(n,vs,adj-no) concession/conciliation/compromise/(P)/
譲与 [じょうよ] /(n,vs,adj-no) transfer/
譲葉 [ゆずりは] /(ateji) (n) (obsc) (uk) false daphne (Daphniphyllum macropodum)/Yuzuriha/
醸し出す [かもしだす] /(v5s,vt) to engender/to bring about/
醸す [かもす] /(v5s,vt) to brew/to cause/to give rise to/to distill/
醸成 [じょうせい] /(n,vs) brew/foment/breed/(P)/
醸造 [じょうぞう] /(n,vs) brewing/distillation/(P)/
醸造家 [じょうぞうか] /(n) brewer/
醸造学 [じょうぞうがく] /(n) zymurgy/
醸造業 [じょうぞうぎょう] /(n) brewing industry/
醸造酒 [じょうぞうしゅ] /(n) brewage/liquor/
醸造所 [じょうぞうしょ] /(n) brewery/distillery/
醸造所 [じょうぞうじょ] /(n) brewery/distillery/
醸造酢 [じょうぞうす] /(n) brewed vinegar/
醸母 [じょうぼ] /(n) leaven/yeast/
錠 [じょう] /(n) (1) lock/padlock/(n,n-suf,ctr) (2) tablet/lozenge/pill/(P)/
錠をかける [じょうをかける] /(exp,v1) to fasten a lock/
錠を下ろす [じょうをおろす] /(exp,v5s) to lock/to fasten a lock/
錠を掛ける [じょうをかける] /(exp,v1) to fasten a lock/
錠剤 [じょうざい] /(n) pill/lozenge/tablet/(P)/
錠前 [じょうまえ] /(n) lock/
錠前屋 [じょうまえや] /(n) locksmith/
錠前破り [じょうまえやぶり] /(n) breaking a lock/picking a lock/
嘱する [しょくする] /(vs-s,vt) (1) to entrust/(2) to send (a message, etc.)/
嘱する [ぞくする] /(ok) (vs-s,vt) (1) to entrust/
嘱託 [しょくたく] /(n,vs) (1) commission/charge (person with)/entrusting with/(2) part-time (employee)/(P)/
嘱託医 [しょくたくい] /(n) commissioned doctor/
嘱託殺人 [しょくたくさつじん] /(n) contract murder/
嘱望 [しょくぼう] /(n,vs) (having great) expectation/pinning one's hopes on/(P)/
嘱目 [しょくもく] /(n,vs) paying attention to/catching one's eye/
埴生 [はにゅう] /(n) clay soil/
埴猪口 [へなちょこ] /(n) (uk) (derog) novice/greenhorn/
埴破 [はんなり] /(n) (arch) type of court music/
埴輪 [はにわ] /(n) haniwa (unglazed earthen objects fashioned in ancient Japan)/
埴瓮 [はにべ] /(n) (arch) vessel made of clay/
飾り [かざり] /(n,n-suf) decoration/(P)/
飾りつける [かざりつける] /(v1,vt) to decorate/to display/
飾り鞍 [かざりぐら] /(n) decorative saddle/
飾り気 [かざりけ] /(n) affectation/showing off/(P)/
飾り気のない [かざりけのない] /(adj-i) plain/unaffected/
飾り気の無い [かざりけのない] /(adj-i) plain/unaffected/
飾り皿 [かざりざら] /(n) ornamental plate/
飾り車 [かざりぐるま] /(n) type of carriage beautifully decorated with gold, silver, gems, etc., for use by Heian era nobles at festivals and like activities/
飾り職 [かざりしょく] /(n) maker of metallic ornaments/
飾り石 [かざりいし] /(n) semi-precious stone/ornate stone/embellished stone/
飾り窓 [かざりまど] /(n) show window/display window/
飾り棚 [かざりだな] /(n) display shelf or case/
飾り付け [かざりつけ] /(n) decoration/arrangement/(P)/
飾り付ける [かざりつける] /(v1,vt) to decorate/to display/
飾り物 [かざりもの] /(n) ornament/decoration/figurehead/
飾り立てる [かざりたてる] /(v1,vt) to decorate gaudily/to deck out/
飾り枠 [かざりわく] /(n) decorated frame/decorative surrounds/
飾る [かざる] /(v5r,vt) to decorate/to ornament/to adorn/(P)/
飾緒 [しょくしょ] /(n) aiguillette (ornamental braided cord)/
飾緒 [しょくちょ] /(n) aiguillette (ornamental braided cord)/
飾窓 [かざりまど] /(io) (n) show window/display window/
飾付 [かざりつけ] /(io) (n) decoration/arrangement/
拭い去る [ぬぐいさる] /(v5r) to rub out/to clean off/to clear away/to efface/to erase/
拭い取る [ぬぐいとる] /(v5r,vt) to wipe off/to wipe out/to expunge/
拭う [ぬぐう] /(v5u,vt) to wipe/(P)/
拭き込む [ふきこむ] /(v5m,vt) to wipe thoroughly/to polish/
拭き取る [ふきとる] /(v5r,vt) to wipe off/to wipe up/
拭き消す [ふきけす] /(v5s) to wipe out/to erase/
拭き掃除 [ふきそうじ] /(n,vs) cleaning/scrubbing/
拭く [ふく] /(v5k,vt) to wipe/to dry/(P)/
拭布 [ふきの] /(n) (arch) dish towel/tea towel/
拭布 [ふきのの] /(n) (arch) dish towel/tea towel/
植えつける [うえつける] /(v1,vt) to plant/
植える [うえる] /(v1,vt) to plant/to grow/(P)/
植え込み [うえこみ] /(n) thick growth of plants/plantation/shrubbery/thicket/
植え込む [うえこむ] /(v5m,vt) to plant/to insert/
植え替え [うえかえ] /(n) transplanting/transplantation/
植え替える [うえかえる] /(v1) to transplant/to reset/
植え付け [うえつけ] /(n) planting/
植え付ける [うえつける] /(v1,vt) to plant/
植え木 [うえき] /(io) (n) garden shrubs/trees/potted plant/
植わる [うわる] /(v5r,vi) to be planted/
植込 [うえこみ] /(io) (n) thick growth of plants/plantation/shrubbery/thicket/
植込み [うえこみ] /(n) thick growth of plants/plantation/shrubbery/thicket/
植込む [うえこむ] /(v5m,vt) to plant/to insert/
植栽 [しょくさい] /(n,vs) raising trees and plants/
植字 [しょくじ] /(n,vs) typesetting/
植字機 [しょくじき] /(n) typesetting machine/
植樹 [しょくじゅ] /(n,vs) tree-planting/(P)/
植樹祭 [しょくじゅさい] /(n) tree-planting ceremony/Arbor Day/
植樹事業 [しょくじゅじぎょう] /(n) tree-planting program/tree-planting programme/
植生 [しょくせい] /(n) vegetation/
植生図 [しょくせいず] /(n) vegetation map/
植生帯 [しょくせいたい] /(n) vegetation zone/
植皮 [しょくひ] /(n,vs) skin grafting/
植付 [うえつけ] /(n) planting/
植付ける [うえつける] /(v1,vt) to plant/
植物 [しょくぶつ] /(n) plant/vegetation/(P)/
植物ウイルス [しょくぶつウイルス] /(n) plant virus/
植物プランクトン [しょくぶつプランクトン] /(n) phytoplankton/
植物ホルモン [しょくぶつホルモン] /(n) plant hormone/phytohormone/
植物園 [しょくぶつえん] /(n) botanical garden/(P)/
植物界 [しょくぶつかい] /(n) the plant kingdom/Plantae/
植物学 [しょくぶつがく] /(n) botany/
植物学者 [しょくぶつがくしゃ] /(n) botanist/
植物館 [しょくぶつかん] /(n) greenhouse/
植物極 [しょくぶつきょく] /(n) vegetal pole/
植物区系 [しょくぶつくけい] /(n) phytogeographical region/floristic kingdom/
植物酵素 [しょくぶつこうそ] /(n) plant enzyme/vegetable enzyme/
植物採集 [しょくぶつさいしゅう] /(n) plant collecting/
植物細胞 [しょくぶつさいぼう] /(n) plant cell/
植物誌 [しょくぶつし] /(n) flora/
植物質 [しょくぶつしつ] /(n) vegetable matter/
植物種属 [しょくぶつしゅぞく] /(n) botanical genus/
植物状態 [しょくぶつじょうたい] /(n,adj-no) vegetative state/
植物人間 [しょくぶつにんげん] /(n) (sens) human vegetable (i.e. someone in a vegetative state)/
植物性 [しょくぶつせい] /(n,adj-no) botanical/vegetable/vegetal/vegetative/
植物性脂肪 [しょくぶつせいしぼう] /(n) vegetable fat/
植物性繊維 [しょくぶつせいせんい] /(n) vegetable fiber/vegetable fibre/
植物性蛋白 [しょくぶつせいたんぱく] /(n) vegetable protein/
植物生態学 [しょくぶつせいたいがく] /(n) plant ecology/
植物生理学 [しょくぶつせいりがく] /(n) plant physiology/physiological botany/
植物繊維 [しょくぶつせんい] /(n) vegetable fibre (fiber)/
植物相 [しょくぶつそう] /(n) flora (e.g. of a region)/
植物地理学 [しょくぶつちりがく] /(n) phytogeography/geobotany/
植物油 [しょくぶつゆ] /(n) vegetable oil/
植民 [しょくみん] /(n,vs,adj-no) colonization/colonisation/
植民政策 [しょくみんせいさく] /(n) colonization policy/
植民地 [しょくみんち] /(n) (1) colony/(adj-no) (2) colonial/(P)/
植民地化 [しょくみんちか] /(n,vs) colonization/colonisation/
植民地支配 [しょくみんちしはい] /(n) colonial rule/
植民地時代 [しょくみんちじだい] /(n) colonial period/
植民地主義 [しょくみんちしゅぎ] /(n) colonialism/
植民地政策 [しょくみんちせいさく] /(n) colonial policy/
植民地統治 [しょくみんちとうち] /(n) colonial rule/
植毛 [しょくもう] /(n,vs) hair transplantation/
植毛手術 [しょくもうしゅじゅつ] /(n) hair replacement surgery/hair transplantation surgery/
植毛術 [しょくもうじゅつ] /(n) (abbr) hair replacement surgery/hair transplantation surgery/
植木 [うえき] /(n) garden shrubs/trees/potted plant/(P)/
植木屋 [うえきや] /(n) gardener/
植木鉢 [うえきばち] /(n) flowerpot/(P)/
植林 [しょくりん] /(n,vs) afforestation/(P)/
植林事業 [しょくりんじぎょう] /(n) tree-planting program/tree-planting programme/
殖える [ふえる] /(v1,vi) to increase/to multiply/(P)/
殖やす [ふやす] /(v5s,vt) to increase/to add to/to augment/(P)/
殖財 [しょくざい] /(n) moneymaking/
殖産 [しょくさん] /(n) production increase/enhancement of one's fortune/
殖民 [しょくみん] /(n,vs,adj-no) colonization/colonisation/
殖民地 [しょくみんち] /(n) (1) colony/(adj-no) (2) colonial/
燭 [しょく] /(n) (1) light/lamp/(n,n-suf) (2) obsolete unit of luminous intensity (approx. 1.0067 candela)/
燭 [ともしび] /(n) light/lamp/torch/
燭魚 [はたはた] /(n) (uk) sailfin sandfish (Arctoscopus japonicus)/
燭光 [しょっこう] /(n) candlepower/
燭台 [しょくだい] /(n) candlestick/candlestand/
織 [おり] /(n) weave/weaving/woven item/
織り [おり] /(n) weave/weaving/woven item/(P)/
織りあげる [おりあげる] /(v1,vt) to weave up into fabric/
織りなす [おりなす] /(v5s,vt) to interweave/
織り元 [おりもと] /(n) textile manufacturer/
織り交ぜる [おりまぜる] /(v1) to weave together/to interweave/to intermingle/
織り込み [おりこみ] /(n,adj-f) weaving into/incorporation/factoring in/
織り込み済み [おりこみずみ] /(exp) taking something into consideration/making allowances/discounting/
織り込む [おりこむ] /(v5m,vt) to weave into/to interweave/to be incorporated in/to be factored in/
織り子 [おりこ] /(n) weaver/
織り糸 [おりいと] /(n) strand/
織り出す [おりだす] /(v5s,vt) to weave a pattern/to begin to weave/
織り上げる [おりあげる] /(v1,vt) to weave up into fabric/
織り色 [おりいろ] /(n) color of woven fabric/colour of woven fabric/
織り成す [おりなす] /(v5s,vt) to interweave/
織り地 [おりじ] /(n,adj-no) (1) texture/(2) fabric/
織り姫 [おりひめ] /(n) (1) woman textile worker/(2) Vega (constellation)/
織り模様 [おりもよう] /(n) woven pattern or design/
織り目 [おりめ] /(n) texture/space between threads (i.e. in cloth)/
織る [おる] /(v5r,vt) to weave/(P)/
織機 [しょっき] /(n) loom/weaving machine/(P)/
織元 [おりもと] /(n) textile manufacturer/
織工 [しょっこう] /(n) weaver/
織込み [おりこみ] /(n,adj-f) weaving into/incorporation/factoring in/
織女 [しょくじょ] /(n) female weaver/Vega/
織女 [たなばた] /(iK) (n) Festival of the Weaver (July 7th)/Star Festival (one of the five annual festivals)/
織女星 [しょくじょせい] /(n) Vega (constellation)/
織地 [おりじ] /(n,adj-no) (1) texture/(2) fabric/
織姫 [おりひめ] /(n) (1) woman textile worker/(2) Vega (constellation)/
織布 [しょくふ] /(n) woven fabric/
織物 [おりもの] /(n) textile/fabric/(P)/
織物の耳 [おりもののみみ] /(n) selvedge (non-fray machined edge of fabrics)/selvage/
織物業 [おりものぎょう] /(n) textile manufacturing/
織物商 [おりものしょう] /(n) draper/
織豊時代 [しょくほうじだい] /(n) Shokuho period (i.e. the Azuchi-Momoyama period, approx. 1568-1600 CE)/
織目 [おりめ] /(n) texture/space between threads (i.e. in cloth)/
職 [しき] /(n) agency (government department between a ministry and a bureau under the ritsuryo system)/
職 [しょく] /(n,n-suf) employment/(P)/
職に就く [しょくにつく] /(exp,v5k) to take up employment/
職を退く [しょくをしりぞく] /(exp,v5k) to resign from one's post/
職を探す [しょくをさがす] /(exp,v5s) to hunt for a job/to seek employment/
職安 [しょくあん] /(n) (abbr) public employment security office/
職位 [しょくい] /(n) employment position or rank/
職域 [しょくいき] /(n) range of one's work (occupation)/
職印 [しょくいん] /(n) official seal/
職員 [しょくいん] /(n,adj-no) staff member/personnel/(P)/
職員会議 [しょくいんかいぎ] /(n) staff meeting/
職員室 [しょくいんしつ] /(n) staff room/
職員録 [しょくいんろく] /(n) list of personnel/
職階 [しょっかい] /(n) job ranking/
職階制 [しょっかいせい] /(n) job ranking system/
職業 [しょくぎょう] /(n,adj-no) occupation/business/(P)/
職業安定所 [しょくぎょうあんていじょ] /(n) public employment security office/job centre/employment bureau/employment exchange/personnel agency/
職業意識 [しょくぎょういしき] /(n) professional sense/
職業教育 [しょくぎょうきょういく] /(n) professional education/vocational training/
職業訓練 [しょくぎょうくんれん] /(n) job (work) training (for the unskilled)/
職業軍人 [しょくぎょうぐんじん] /(n) career soldier/
職業集団 [しょくぎょうしゅうだん] /(n) occupational group/professional group/occupational cohort/
職業的 [しょくぎょうてき] /(adj-na) professional/
職業能力開発学校 [しょくぎょうのうりょくかいはつがっこう] /(n) business development skills school/
職業病 [しょくぎょうびょう] /(n) occupational disease/
職業婦人 [しょくぎょうふじん] /(n) career woman/
職業柄 [しょくぎょうがら] /(n-adv) due to the nature of one's job/because of one's line of work/
職業別電話帳 [しょくぎょうべつでんわちょう] /(n) classified telephone directory/
職権 [しょっけん] /(n) authority/commission/(P)/
職権乱用 [しょっけんらんよう] /(n) abuse of (one's) authority/
職工 [しょっこう] /(n) (sens) (factory) worker/
職質 [しょくしつ] /(n) (abbr) questioning (e.g. by police)/
職種 [しょくしゅ] /(n) type of occupation/occupational category/(P)/
職住 [しょくじゅう] /(n) workplace and residence/
職住一体 [しょくじゅういったい] /(n) having one's workplace at home/living and working at the same location (independent farmers, home workers, storekeepers, etc.)/
職住近接 [しょくじゅうきんせつ] /(n) having one's workplace near one's home/
職掌 [しょくしょう] /(n) official duties/office/function/
職場 [しょくば] /(n) one's post/place of work/workplace/(P)/
職場を離れる [しょくばをはなれる] /(exp,v1) to leave one's post/to walk out on one's job/
職場環境 [しょくばかんきょう] /(n) one's work environment/
職場結婚 [しょくばけっこん] /(n) marriage between co-workers/
職場闘争 [しょくばとうそう] /(n) labor unrest/labour unrest/
職神 [しきがみ] /(n) form of magic or divination (e.g. animating objects to act as the sorcerer's agent)/
職人 [しょくにん] /(n,adj-no) worker/mechanic/artisan/craftsman/(P)/
職人気質 [しょくにんかたぎ] /(n) spirit of a true artisan/(a craftsman's) pride in one's work/
職人気質 [しょくにんきしつ] /(n) spirit of a true artisan/(a craftsman's) pride in one's work/
職人根性 [しょくにんこんじょう] /(n) spirit of true craftsman/(craftsman's) pride in his work/
職人体の男 [しょくにんていのおとこ] /(n) man dressed like an artisan/man of workmanlike appearance/
職制 [しょくせい] /(n) office organization/office organisation/managerial post/
職責 [しょくせき] /(n) one's duty/responsibilities pertaining to one's work/
職責手当 [しょくせきてあて] /(n) salary supplement, usu. paid for higher ranking employees/
職組 [しょくそ] /(n) employees' union/
職層 [しょくそう] /(n) management level/job level/
職探し [しょくさがし] /(n) job hunting/job searching/
職長 [しょくちょう] /(n) foreman/
職能 [しょくのう] /(n) function/work ability/(P)/
職能給 [しょくのうきゅう] /(n) salary based on work evaluation/
職能代表制 [しょくのうだいひょうせい] /(n) vocational representation system/
職分 [しょくぶん] /(n) one's duty/vocation/
職別 [しきべつ] /(iK) (n,vs) discrimination/discernment/identification/
職務 [しょくむ] /(n) professional duties/(P)/
職務給 [しょくむきゅう] /(n) wages based on job evaluation/
職務経験 [しょくむけいけん] /(n) work experience/
職務経歴書 [しょくむけいれきしょ] /(n) resume showing career and job history/
職務質問 [しょくむしつもん] /(n,vs) police questioning/
職務手当 [しょくむてあて] /(n) salary supplement, usu. paid for mid-ranking employees/
職務上 [しょくむじょう] /(exp) in the course of one's duties/
職務尋問 [しょくむじんもん] /(n,vs) ex-officio questioning/police questioning (of a suspicious person)/a police checkup/
職務怠慢 [しょくむたいまん] /(n,adj-no) neglect (dereliction) of duty/negligence/
職名 [しょくめい] /(n) official title/name of one's job/
職歴 [しょくれき] /(n) work experience/work history/(P)/
色 [いろ] /(n) (1) colour/color/(2) complexion/(3) appearance/look/(4) love/lust/sensuality/love affair/lover/(5) kind/type/variety/(P)/
色 [しき] /(n) (1) (Buddh) rupa (form)/(2) visible objects (i.e. color and form)/
色 [しょく] /(ctr) counter for colours/
色々 [いろいろ] /(n,adj-na,adj-no,adv,adv-to) (1) various/(2) (arch) various colors (colours)/(P)/
色々あって [いろいろあって] /(exp) (uk) what with this and that/for a number of reasons/(P)/
色あせる [いろあせる] /(v1,vi) to fade/to grow stale/to grow dull in color (colour)/
色ずれ [いろずれ] /(n) color drift/color shift/color registration error/
色ち [いろち] /(n,adj-no) (abbr) (sl) being of a different color/
色ち買い [いろちがい] /(n,vs) (sl) buying the same item multiple times, each one being a different color (colour)/
色っぽい [いろっぽい] /(adj-i) amorous/sexy/voluptuous/erotic/
色つや [いろつや] /(n) colour and lustre/color and luster/complexion/colour/color/
色づく [いろづく] /(v5k,vi) (1) to change color/to change colour/(2) to turn crimson (e.g. in autumn)/to begin to redden/(3) to ripen/to grow ripe/
色とび [いろとび] /(n) washed-out colour (in photography) (color)/
色とりどり [いろとりどり] /(adj-no) (1) multicolored/multicoloured/varicolored/varicoloured/(2) variety/miscellany/
色どり [いろどり] /(n,vs) coloring/colouring/coloration/colouration/assortment/color scheme/colour scheme/makeup/
色は順 [いろはじゅん] /(n) Traditional ordering of Japanese syllabary based on a Buddhist poem/
色めき立つ [いろめきたつ] /(v5t,vi) to become excited/
色めく [いろめく] /(v5k,vi) to colour/to color/to be tinged/to brighten/to grow lively/to become excited/to be stirred/
色をつける [いろをつける] /(exp,v1) to shade an account/to add something extra/
色を失う [いろをうしなう] /(exp,v5u) to turn pale/to lose color/to lose colour/
色を塗る [いろをぬる] /(exp,v5r) to daub/to paint/
色を付ける [いろをつける] /(exp,v1) to shade an account/to add something extra/
色んな [いろんな] /(adj-f) (uk) various/(P)/
色ガラス [いろガラス] /(n) coloured glass/colored glass/
色ズレ [いろズレ] /(n) color drift/color shift/color registration error/
色チ [いろチ] /(n,adj-no) (abbr) (sl) being of a different color/
色チ買い [いろちがい] /(n,vs) (sl) buying the same item multiple times, each one being a different color (colour)/
色テーブル [いろテーブル] /(n) (comp) colour table/
色モデル [いろモデル] /(n) (comp) colour model/
色悪 [いろあく] /(n) handsome villain/
色違い [いろちがい] /(n) differently colored/differently coloured/
色艶 [いろつや] /(n) colour and lustre/color and luster/complexion/colour/color/
色鉛筆 [いろえんぴつ] /(n) color pencil/colour pencil/
色温度 [いろおんど] /(n) (comp) color temperature/
色絵 [いろえ] /(n) (1) painting/colored artwork/coloured artwork/(2) overglaze enamels (on pottery)/
色街 [いろまち] /(n) red-light district/
色覚 [しきかく] /(n) sense of color/sense of colour/
色覚障害 [しきかくしょうがい] /(n) color-blindness/colour-blindness/
色感 [しきかん] /(n) sense of color/sense of colour/
色眼鏡 [いろめがね] /(n) rose-colored glasses/rose-coloured glasses/
色眼鏡で見る [いろめがねでみる] /(v1) to look at things from a biased viewpoint (biassed)/
色気 [いろけ] /(n) (1) colouring/coloring/shade of colour/shade of color/(2) interest in the opposite sex/sex appeal/sensuality/seductiveness/glamor/glamour/sexual passion/(3) romance/poetry/charm/(4) desire/interest/inclination/ambition/(P)/
色気より食い気 [いろけよりくいけ] /(exp) Fair words fill not the belly/Food before romance/
色気より食気 [いろけよりくいけ] /(exp) Fair words fill not the belly/Food before romance/
色気違い [いろきちがい] /(n) (1) (sens) erotomania/sexual obsession/(2) sexual maniac/
色狂 [いろきちがい] /(n) (1) (sens) erotomania/sexual obsession/(2) sexual maniac/
色狂い [いろきちがい] /(n) (1) (sens) erotomania/sexual obsession/(2) sexual maniac/
色狂い [いろぐるい] /(n) (1) (sens) erotomania/sexual obsession/(2) sexual maniac/
色玉 [いろだま] /(n) (1) colored bead (coloured)/colored ball/(2) (obsc) pomegranate/
色空間 [いろくうかん] /(n) (comp) colour space/
色見本 [いろみほん] /(n) color sample (for paint, etc.) (colour)/color chart (for choosing web colors, etc.) (colour)/
色好い [いろよい] /(adj-pn) favorable/favourable/friendly/encouraging/
色好み [いろごのみ] /(n) sensuality/lechery/
色校 [いろこう] /(n) (abbr) checking the colors on a colored proof (colour)/
色校正 [いろこうせい] /(n) checking the colors on a colored proof (colour)/
色香 [いろか] /(n) colour and scent/color and scent/loveliness/charm/
色合 [いろあい] /(n) hue/tinge/tint/
色合 [いろあわい] /(ok) (n) hue/tinge/tint/
色合い [いろあい] /(n) hue/tinge/tint/(P)/
色合い [いろあわい] /(ok) (n) hue/tinge/tint/
色黒 [いろぐろ] /(adj-na,n) swarthy/dark-skinned/
色差 [しきさ] /(n) colour component (of video signal, etc.)/colour difference/
色座標系 [いろざひょうけい] /(n) (comp) colour system/
色再現 [いろさいげん] /(n) color reproduction/
色彩 [しきさい] /(n) colour/color/hue/tints/(P)/
色彩感覚 [しきさいかんかく] /(n) sense of color/sense of colour/
色彩調節 [しきさいちょうせつ] /(n) color control/colour control/
色彩豊か [しきさいゆたか] /(adj-na) colourful/
色刷 [いろずり] /(n) colour printing/color printing/
色刷り [いろずり] /(n) colour printing/color printing/
色仕掛け [いろじかけ] /(n) use of seductive techniques to attain one's ends (usu. of women)/
色使い [いろづかい] /(n) color usage/
色子 [いろこ] /(n) kabuki actor who is also a male prostitute/
色指数 [いろしすう] /(n) colour index/
色指定 [いろしてい] /(n) colour coordination/
色指標 [いろしひょう] /(n) (comp) color index/
色止め [いろどめ] /(n) color fixing/colour fixing/
色糸 [いろいと] /(n) colored thread/coloured thread/
色紙 [いろがみ] /(n) coloured paper/colored paper/
色紙 [しきし] /(n) square fancy cardboard, used for autographs, poetry, etc./(P)/
色事 [いろごと] /(n) love affair/sensual pleasures/
色事は思案の外 [いろごとはしあんのほか] /(exp) (id) love and reason do not go together/
色事師 [いろごとし] /(n) lady-killer/
色写像 [いろしゃぞう] /(n) (comp) colour mapping/
色弱 [しきじゃく] /(n) slight color-blindness/slight colour-blindness/
色取り [いろどり] /(n,vs) coloring/colouring/coloration/colouration/assortment/color scheme/colour scheme/makeup/
色取り取り [いろとりどり] /(adj-no) (1) multicolored/multicoloured/varicolored/varicoloured/(2) variety/miscellany/
色取る [いろどる] /(v5r,vt) to colour/to color/to paint/to make up/
色収差 [いろしゅうさ] /(n) chromatic aberration/
色女 [いろおんな] /(n) (1) good-looking woman/(2) concubine/
色消し [いろけし] /(adj-na,n) achromatism/
色焼け [いろやけ] /(n,vs) suntanned/
色硝子 [いろガラス] /(n) coloured glass/colored glass/
色情 [しきじょう] /(n) sexual passion/lust/
色情狂 [しきじょうきょう] /(n) sex mania/
色色 [いろいろ] /(n,adj-na,adj-no,adv,adv-to) (1) various/(2) (arch) various colors (colours)/
色神 [しきしん] /(n) sense of color/sense of colour/
色身 [しきしん] /(n) (Buddh) rupakaya (the physical body, esp. of a buddha)/
色図鑑 [いろずかん] /(n) reference book with colour illustrations (color)/
色数 [いろかず] /(n) number of colors/
色摺 [いろずり] /(n) colour printing/color printing/
色摺り [いろずり] /(n) colour printing/color printing/
色盛り [いろざかり] /(n) woman's most sexually attractive age/
色染め [いろぞめ] /(n) dyeing/
色選択モード [いろせんたくモード] /(n) (comp) colour selection mode/
色鮮か [いろあざやか] /(io) (adj-na) vivid/brightly colored/brilliant/radiant/
色鮮やか [いろあざやか] /(adj-na) vivid/brightly colored/brilliant/radiant/
色素 [しきそ] /(n,adj-no) pigment/coloring/colouring/(P)/
色素細胞 [しきそさいぼう] /(n) pigment cell/
色素体 [しきそたい] /(n) chromatophore/
色素胞 [しきそほう] /(n) chromatophore/
色相 [しきそう] /(n) hue/color phase/colour phase/
色即是空 [しきそくぜくう] /(n) (Buddh) form is emptiness/matter is void/all is vanity/
色打掛 [いろうちかけ] /(n) colorful wedding kimono/
色沢 [しきたく] /(n) (obsc) luster and color/lustre and colour/
色男 [いろおとこ] /(n) lover/lady-killer/sexy guy/
色値 [しきち] /(n) (comp) colour value/
色茶屋 [いろぢゃや] /(n) (arch) erotic tea house (employing prostitutes)/
色町 [いろまち] /(n) red-light district/
色聴 [しきちょう] /(n) "colored hearing" synesthesia/
色調 [しきちょう] /(n) color tone/colour tone/(P)/
色直し [いろなおし] /(n,vs) redyeing (costume)/
色定義スプライン [いろていぎスプライン] /(n) (comp) colour spline/
色定義表 [いろていぎひょう] /(n) (comp) colour table/
色度信号 [しきどしんごう] /(n) (comp) chrominance signal/
色道 [しきどう] /(n) sexual passion/
色濃い [いろこい] /(adj-i) marked/pronounced/strongly tending to/
色白 [いろじろ] /(adj-na,n,adj-no) fair-skinned/light-complexioned/
色抜き [いろぬき] /(n,vs) decolorization/decolourization/decolorisation/decolourisation/
色斑 [いろむら] /(n) color spotting/color irregularity/color spots/
色飛び [いろとび] /(n) washed-out colour (in photography) (color)/
色付き折れ線集合 [いろつきおれせんしゅうごう] /(n) (comp) polyline set with colour/
色付く [いろづく] /(v5k,vi) (1) to change color/to change colour/(2) to turn crimson (e.g. in autumn)/to begin to redden/(3) to ripen/to grow ripe/
色付け [いろづけ] /(n,vs) coloring/colouring/adding color/adding colour/
色物 [いろもの] /(n) colored clothing or fabrics/coloured clothing or fabrics/
色分け [いろわけ] /(n,vs) classification/color coding/colour coding/color keying/colour keying/differentiation using different colors (colours)/
色分解 [いろぶんかい] /(n) (comp) color separation/
色文 [いろぶみ] /(n) love-letter/
色柄 [いろがら] /(n) colored pattern/coloured pattern/
色変わり [いろがわり] /(n) different color/different colour/
色補正 [いろほせい] /(n) (comp) color correction/
色魔 [しきま] /(n) masher/horny/
色無地 [いろむじ] /(n) undecorated fabric of any color but black/kimono made of such fabric/
色模様 [いろもよう] /(n) colored pattern/coloured pattern/love scene/
色盲 [しきもう] /(n,adj-no) color-blindness/colour-blindness/
色目 [いろめ] /(n) (1) amorous glance/leer/ogle/(2) shade (of color)/tint/hue/(3) ingratiation/sycophancy/toadying/
色目をつかう [いろめをつかう] /(exp,v5u) (1) to make eyes at/to leer/to ogle/(2) to ingratiate oneself/to toady/to flatter/
色目を使う [いろめをつかう] /(exp,v5u) (1) to make eyes at/to leer/to ogle/(2) to ingratiate oneself/to toady/to flatter/
色揚げ [いろあげ] /(n,vs) redyeing/
色慾 [しきよく] /(n) lust/sexual appetite/
色欲 [しきよく] /(n) lust/sexual appetite/
色落ち [いろおち] /(n,vs) colour loss (color)/
色里 [いろざと] /(n) red-light district/
色流れ [いろながれ] /(n) dye bleeding (in fabric dyeing)/
色良い [いろよい] /(adj-pn) favorable/favourable/friendly/encouraging/
色恋 [いろこい] /(n,adj-no) sensual love/love affair/
色恋沙汰 [いろこいざた] /(n) love affair/
色褪せる [いろあせる] /(v1,vi) to fade/to grow stale/to grow dull in color (colour)/
色褪める [いろざめる] /(v1) to fade in color/to fade in colour/
触らぬ神に祟り無し [さわらぬかみにたたりなし] /(exp) (id) Let sleeping dogs lie/
触り [さわり] /(n) (1) feel/touch/(2) impression (of a person)/(3) most impressive passage/punch line/
触り金 [さわりがね] /(n) (obsc) nut (on the head of a shamisen, supporting the second and third strings)/
触り合う [ふりあう] /(v5u,vi) to touch each other/
触る [さわる] /(v5r,vi) to touch/to feel/(P)/
触れ [ふれ] /(n) (1) proclamation/official notice/(2) touch/contact/
触れる [ふれる] /(v1,vi) (1) to touch/to feel/(2) to experience/to come in contact with/to be emotionally moved (by)/to perceive/(3) to touch on a subject/to allude to/(4) to be in conflict (with)/to violate (law, copyright, etc.)/(5) to proclaim/(P)/
触れ回る [ふれまわる] /(v5r,vi) to cry about/to broadcast/
触れ合い [ふれあい] /(n) contact/connectedness/(P)/
触れ合い動物園 [ふれあいどうぶつえん] /(n) petting zoo/
触れ合う [ふれあう] /(v5u) to come into contact with/to touch (each other)/to have a brush with/(P)/
触れ込み [ふれこみ] /(n) (exaggerated) professing to be/passing oneself off as/
触れ込む [ふれこむ] /(v5m,vt) to announce/to pretend to be/to pass off for/to pose as/to herald/
触れ太鼓 [ふれだいこ] /(n) message beat of a drum (such as at the opening of a sumo tournament)/
触覚 [しょっかく] /(n) (1) sense of touch/(adj-no) (2) tactile/tactual/(P)/
触覚器 [しょっかくき] /(n) tactile organ/touch organ/
触覚器官 [しょっかくきかん] /(n) tactile organ/
触角 [しょっかく] /(n) feeler/antenna/
触官 [しょっかん] /(n) tactile organ/touch organ/
触感 [しょっかん] /(n) sense of touch/sense of being touched/tactile sense/
触合い [ふれあい] /(n) contact/connectedness/
触合う [ふりあう] /(v5u,vi) to touch each other/
触肢 [しょくし] /(n) pedipalp/
触手 [しょくしゅ] /(n) feeler/tentacle/
触手冠 [しょくしゅかん] /(n) lophophore/
触手冠動物 [しょくしゅかんどうぶつ] /(n) (obsc) lophophorate (a tube worm, moss animal or lampshell)/
触手責め [しょくしゅぜめ] /(n) (vulg) tentacle rape/
触手動物 [しょくしゅどうぶつ] /(n) tentaculate (a tube worm, moss animal or lampshell)/
触診 [しょくしん] /(n,vs) palpation/
触知覚 [しょくちかく] /(n) haptic perception/sensation of touch/tactual perception/tactile perception/
触知覚 [しょっちかく] /(n) haptic perception/sensation of touch/tactual perception/tactile perception/
触媒 [しょくばい] /(n,adj-no) catalyst/(P)/
触媒作用 [しょくばいさよう] /(n) catalytic action/
触発 [しょくはつ] /(n,vs) touching off something/provocation/(P)/
触法少年 [しょくほうしょうねん] /(n) juvenile delinquent under the age of fourteen/minor in trouble with the law/
触鬚 [しょくしゅ] /(n) barbel/barb/palp/palpus/
食 [しょく] /(n) (1) meal/(one's) diet/food/foodstuff/foodstuffs/(2) eclipse (solar, lunar, etc.)/(P)/
食あたり [しょくあたり] /(n) food poisoning/
食い [くい] /(n) (1) eating/(2) bite (in fishing)/
食いかけ [くいかけ] /(adj-no) half-eaten/
食いしん坊 [くいしんぼう] /(n,adj-na,adj-no) glutton/gourmand/
食いちがう [くいちがう] /(v5u,vi) to cross each other/to run counter to/to differ/to clash/to go awry/
食いちぎる [くいちぎる] /(v5r,vt) to bite off/
食いっぱぐれ [くいっぱぐれ] /(n) missing a meal/
食いっぱぐれる [くいっぱぐれる] /(v1,vi) (1) to miss a meal/(2) to lose the means to make one's livelihood/
食いっ逸れ [くいっぱぐれ] /(n) missing a meal/
食いっ逸れる [くいっぱぐれる] /(v1,vi) (1) to miss a meal/(2) to lose the means to make one's livelihood/
食いつく [くいつく] /(v5k,vi) (1) to bite at/to snap at/to nibble/(2) to get one's teeth into (metaphorically)/to get to grips with/to really get into/
食いつなぐ [くいつなぐ] /(v5g,vi) (1) to ration out and survive on (some food)/(2) to eke out a living/
食いつぶす [くいつぶす] /(v5s,vt) to eat oneself out of house and home/to eat up completely/
食いとめる [くいとめる] /(v1,vt) to check/to hold back/
食いはぐれる [くいはぐれる] /(v1,vi) (1) to miss a meal/(2) to lose the means to make one's livelihood/
食い意地 [くいいじ] /(n) gluttony/
食い違い [くいちがい] /(n) discrepancy/different or conflicting opinions/(P)/
食い違う [くいちがう] /(v5u,vi) to cross each other/to run counter to/to differ/to clash/to go awry/(P)/
食い逸れ [くいはぐれ] /(n) missing a meal/losing means to make one's livelihood/
食い逸れる [くいっぱぐれる] /(v1,vi) (1) to miss a meal/(2) to lose the means to make one's livelihood/
食い逸れる [くいはぐれる] /(v1,vi) (1) to miss a meal/(2) to lose the means to make one's livelihood/
食い延ばす [くいのばす] /(v5s) to keep alive on/to stretch food to make ends meet/
食い下がる [くいさがる] /(v5r,vi) to hang on to/to doff/(P)/
食い過ぎ [くいすぎ] /(n) overeating/
食い過ぎる [くいすぎる] /(v1,vi) to eat too much/to overeat/
食い掛け [くいかけ] /(adj-no) half-eaten/
食い気 [くいけ] /(n) appetite/
食い詰める [くいつめる] /(v1,vt) to go broke/
食い繋ぐ [くいつなぐ] /(v5g,vi) (1) to ration out and survive on (some food)/(2) to eke out a living/
食い荒す [くいあらす] /(v5s,vt) (1) to devour/to wolf down/(2) to eat some of everything/(3) to work at various things/
食い荒らす [くいあらす] /(v5s,vt) (1) to devour/to wolf down/(2) to eat some of everything/(3) to work at various things/
食い合い [くいあい] /(n) (1) biting one another/(2) long and short market interests/
食い合う [くいあう] /(v5u,vi) (1) to bite each other/(2) to fit together/(v5u,vt) (3) to mutually encroach/(4) to eat together/
食い合せ [くいあわせ] /(n) (1) combination (e.g. of foodstuffs)/(2) dovetailing/fitting together/
食い合わす [くいあわす] /(v5s) to clench/
食い合わせ [くいあわせ] /(n) (1) combination (e.g. of foodstuffs)/(2) dovetailing/fitting together/
食い込み [くいこみ] /(n) (vulg) wedgie (to a girl) i.e. pulling up the underwear from the back, driving it into the vulva/
食い込む [くいこむ] /(v5m,vi) (1) to eat into/to encroach/to erode/(2) (vulg) to be wedged (a girl), i.e. underwear pulled from the back, driving it between the buttocks/(P)/
食い殺す [くいころす] /(v5s,vt) to devour/to bite to death/
食い散らす [くいちらす] /(v5s,vt) (1) to eat untidily/to eat a bit of everything/(2) to dabble/to do a bit of this and a bit of that/
食い残し [くいのこし] /(n) leftovers/leftover food/
食い残す [くいのこす] /(v5s) to leave food half-eaten/
食い止める [くいとめる] /(v1,vt) to check/to hold back/(P)/
食い初め [くいぞめ] /(n) weaning ceremony/
食い上げ [くいあげ] /(n) (1) losing the means of livelihood/(2) (arch) a samurai's annual rice stipend being suspended/(3) (in fishing) the fish swimming upward after biting the fishhook/
食い伸ばす [くいのばす] /(v5s) to keep alive on/to stretch food to make ends meet/
食い尽くす [くいつくす] /(v5s) to consume/
食い積み [くいつみ] /(n) (1) New Year food for entertaining a guest served in multilayered lacquered boxes/(2) (arch) Kansai New Year decoration (made from food) (Edo name)/
食い切る [くいきる] /(v5r,vt) (1) to bite through/(2) to eat up/to consume entirely/
食い千切る [くいちぎる] /(v5r,vt) to bite off/
食い足りない [くいたりない] /(adj-i) (1) not eating enough/(2) unsatisfied/dissatisfied with/leaving something to be desired/
食い代 [くいしろ] /(n) food expenses/
食い潰す [くいつぶす] /(v5s,vt) to eat oneself out of house and home/to eat up completely/
食い摘み [くいつみ] /(n) (1) New Year food for entertaining a guest served in multilayered lacquered boxes/(2) (arch) Kansai New Year decoration (made from food) (Edo name)/
食い倒す [くいたおす] /(v5s,vt) to bilk/to eat up one's fortune/
食い倒れ [くいだおれ] /(n) bringing ruin upon oneself by extravagance in food/
食い逃げ [くいにげ] /(n,vs) running away without paying for food/bilk/
食い道楽 [くいどうらく] /(n,adj-no) gourmand/epicure/
食い入る [くいいる] /(v5r,vi) to eat into/
食い縛る [くいしばる] /(v5r,vt) to set one's teeth/to clench one's teeth/to grit one's teeth/
食い付き [くいつき] /(n) bite (in fishing)/
食い付く [くいつく] /(v5k,vi) (1) to bite at/to snap at/to nibble/(2) to get one's teeth into (metaphorically)/to get to grips with/to really get into/
食い扶持 [くいぶち] /(n) cost of one's food/
食い物 [くいもの] /(n) food/prey/victim/
食い放題 [くいほうだい] /(n) all-you-can-eat/
食い戻し [くいもどし] /(n) rumination/cud/
食い溜め [くいだめ] /(n,vs) stuff oneself with food/
食い齧る [くいかじる] /(v5r,vt) (1) to nibble at/(2) to have a smattering of knowledge/
食う [くう] /(v5u,vt) (1) (male) (vulg) to eat/(2) to live/to make a living/to survive/(3) to bite/to sting (as insects do)/(4) to tease/to torment/to taunt/to make light of/to make fun of/(5) to encroach on/to eat into/to consume/(6) to defeat a superior/to threaten a position/(7) to consume time and-or resources/(8) (col) to receive something (usu. an unfavourable event)/(9) (male) (vulg) to have sexual relations with a woman, esp. for the first time/(P)/
食うや食わずの [くうやくわずの] /(exp) (living) from hand to mouth/living on the fringe of subsistance/
食えない [くえない] /(exp,adj-i) shrewd/smart (and wide-awake)/cunning/crafty/
食が細い [しょくがほそい] /(exp) eating only a little/having a small appetite/
食が細る [しょくがほそる] /(exp,v5r) to lose one's appetite/
食が進む [しょくがすすむ] /(exp,v5m) to have a good appetite/
食す [しょくす] /(v5s,vt) to eat/
食する [しょくする] /(vs-s,vt) to eat/
食ってかかる [くってかかる] /(v5r) to flare up at/
食って掛かる [くってかかる] /(v5r) to flare up at/
食の細い [しょくのほそい] /(adj-i) sparsely eating/having a small appetite/
食べかけ [たべかけ] /(adj-no) half-eaten/
食べかける [たべかける] /(v1) to start eating/
食べごろ [たべごろ] /(n,adj-no) good for eating/ripe enough for eating/in season/
食べず嫌い [たべずぎらい] /(adj-na,n) disliking without even tasting/
食べつける [たべつける] /(v1,vt) to be used to eating/
食べはじめる [たべはじめる] /(v1) to start eating/
食べる [たべる] /(v1,vt) (1) to eat/(2) to live on (e.g. a salary)/to live off/to subsist on/(P)/
食べ汚す [たべよごす] /(v5s,vt) to eat messily/
食べ過ぎ [たべすぎ] /(n) overeating/
食べ過ぎる [たべすぎる] /(v1,vt) to overeat/(P)/
食べ掛け [たべかけ] /(adj-no) half-eaten/
食べ掛ける [たべかける] /(v1) to start eating/
食べ合わせ [たべあわせ] /(n) combination (e.g. of foodstuffs)/
食べ頃 [たべごろ] /(n,adj-no) good for eating/ripe enough for eating/in season/
食べ散らす [たべちらす] /(v5s) to eat a bit of everything/
食べ残し [たべのこし] /(n) leftover food (esp. on one's plate at the end of a meal)/
食べ残す [たべのこす] /(v5s,vt) to leave a dish half-eaten/
食べ始める [たべはじめる] /(v1) to start eating/
食べ尽くす [たべつくす] /(v5s) to eat up/
食べ盛り [たべざかり] /(n) growing child's hearty appetite/
食べ切れない [たべきれない] /(exp) more than one can eat/
食べ難い [たべにくい] /(n) difficult to eat/
食べ付ける [たべつける] /(v1,vt) to be used to eating/
食べ物 [たべもの] /(n) food/(P)/
食べ物屋 [たべものや] /(n) eating place/
食べ歩き [たべあるき] /(n,vs) trying the food at various restaurants/
食べ歩く [たべあるく] /(v5k,vi) (col) to try out the food at various restaurants (lit: to eat and walk)/
食べ放題 [たべほうだい] /(exp,adj-no) all-you-can-eat/smorgasbord/
食べ方 [たべかた] /(n) way of eating/how to eat/
食べ滓 [たべかす] /(n) leavings of a meal/
食み [はみ] /(n) eating (fodder, grass, etc.)/
食み出し [はみだし] /(n) jutting out (of bounds)/being crowded out/
食み出す [はみだす] /(v5s,vi) (1) to be forced out/to be crowded out/(2) to jut out (of bounds)/(P)/
食み出る [はみでる] /(v1,vi) (1) to jut out (of bounds)/(2) to be crowded out/to be forced out/(P)/
食み乳 [はみちち] /(n) (sl) exposed breasts/
食む [はむ] /(v5m) (1) (uk) (arch) to eat (fodder, grass, etc.)/(2) to receive (a salary)/(3) to receive a stipend from one's lord/
食もたれ [しょくもたれ] /(n,vs) sitting heavy in one's stomach/remaining undigested/
食らい込む [くらいこむ] /(v5m,vi) to be sent up/to be imprisoned/to be jailed/to be gaoled/
食らい付く [くらいつく] /(v5k,vi) (1) to bite at/to snap at/to nibble/(2) to get one's teeth into (metaphorically)/to get to grips with/to really get into/
食らう [くらう] /(v5u,vt) (1) (vulg) to eat/to drink/(2) to receive (e.g. a blow)/(P)/
食らわす [くらわす] /(v5s) to make someone eat/to deal (a blow)/to play (a trick)/
食らわせる [くらわせる] /(v1,vt) (1) to make someone eat/(2) to deal (a blow)/to play (a trick)/
食わす [くわす] /(v5s) (1) to feed/(2) to provide/(3) to inflict/(4) to cheat/
食わずぎらい [くわずぎらい] /(exp) disliking a certain food without having tried it/disliking something without having tried it/prejudiced against/aversion without even trying/
食わず嫌い [くわずぎらい] /(exp) disliking a certain food without having tried it/disliking something without having tried it/prejudiced against/aversion without even trying/
食わせる [くわせる] /(v1,vt) (1) to feed/(2) to provide/(3) to inflict/(4) to cheat/
食わせ者 [くわせもの] /(n) (1) impostor/cheat/hypocrite/
食わせ物 [くわせもの] /(n) (1) fake/sham/counterfeit/(2) impostor/cheat/hypocrite/
食を断つ [しょくをたつ] /(exp,v5t) to fast/
食パン [しょくパン] /(n) plain bread/white bread/(P)/
食安 [しょくあん] /(n) (abbr) food safety/
食違い [くいちがい] /(n) discrepancy/different or conflicting opinions/(P)/
食違う [くいちがう] /(v5u,vi) to cross each other/to run counter to/to differ/to clash/to go awry/(P)/
食育 [しょくいく] /(n) education about having a good diet/
食餌 [しょくじ] /(n,adj-no) dietary cure/
食餌制限 [しょくじせいげん] /(n) dietary restriction/
食餌療法 [しょくじりょうほう] /(n,adj-no) medical diet/dietary cure/
食塩 [しょくえん] /(n,adj-no) table salt/(P)/
食塩水 [しょくえんすい] /(n) saline solution/
食下がる [くいさがる] /(v5r,vi) to hang on to/to doff/
食火鶏 [ひくいどり] /(n) (uk) cassowary (Casuarius spp.)/
食感 [しょっかん] /(n) food texture/
食管法 [しょっかんほう] /(n) law governing food quality/(P)/
食間 [しょっかん] /(n) between meals/
食玩 [しょくがん] /(n) (abbr) small toy sold with food/premium/
食器 [しょっき] /(n) tableware/(P)/
食器一揃い [しょっきひとそろい] /(n) a table service/
食器洗い機 [しょっきあらいき] /(n) dishwasher/dishwashing machine/
食器棚 [しょっきだな] /(n) cupboard/sideboard/
食器類 [しょっきるい] /(n) dinnerware/cutlery/
食蟻獣 [ありくい] /(n) (uk) anteater/
食客 [しょっかく] /(n) (1) house guest/(2) (euph.) free-loader/
食客 [しょっきゃく] /(n) (1) house guest/(2) (euph.) free-loader/
食休み [しょくやすみ] /(n,vs) rest after a meal/
食菌 [しょくきん] /(n) (abbr) (sl) edible mushroom/
食券 [しょっけん] /(n) meal ticket/
食言 [しょくげん] /(n,vs) eat one's words/break one's promises/
食後 [しょくご] /(n-adv,n-t) after a meal/(P)/
食紅 [しょくべに] /(n) red food coloring/red food colouring/
食合い [くいあい] /(n) (1) biting one another/(2) long and short market interests/
食合う [くいあう] /(v5u,vi) (1) to bite each other/(2) to fit together/(v5u,vt) (3) to mutually encroach/(4) to eat together/
食合せ [くいあわせ] /(n) (1) combination (e.g. of foodstuffs)/(2) dovetailing/fitting together/
食刻 [しょっこく] /(n,vs) etching/engraving/
食込む [くいこむ] /(v5m,vi) (1) to eat into/to encroach/to erode/(2) (vulg) to be wedged (a girl), i.e. underwear pulled from the back, driving it between the buttocks/
食細胞 [しょくさいぼう] /(n) phagocyte/
食材 [しょくざい] /(n) (1) ingredient/(2) foodstuff/
食作用 [しょくさよう] /(n) phagocytosis/
食指 [しょくし] /(n) forefinger/index finger/
食指が動く [しょくしがうごく] /(exp,v5k) have an itch to/to have a craving for/to have an urge to/to have a desire for/to be eager to/to want to/
食止める [くいとめる] /(v1,vt) to check/to hold back/(P)/
食事 [しょくじ] /(n) (1) meal/(vs) (2) to eat/(P)/
食事の際に [しょくじのさいに] /(adv) when eating/
食事時 [しょくじどき] /(n) mealtime/
食事制限 [しょくじせいげん] /(n) dietary restriction/
食事代 [しょくじだい] /(n) cost of a meal (or meals)/
食事付き [しょくじつき] /(n) with meals/
食事療法 [しょくじりょうほう] /(n,adj-no) medical diet/dietary cure/
食習慣 [しょくしゅうかん] /(n) eating habits/
食出 [はみだし] /(io) (n) jutting out (of bounds)/being crowded out/
食初め [くいぞめ] /(n) weaning ceremony/
食傷 [しょくしょう] /(n,vs) being fed up/
食傷気味 [しょくしょうぎみ] /(n,adj-na) being sick and tired (of)/being fed up (with)/having one's fill (of)/
食人 [しょくじん] /(n) cannibalism/
食人種 [しょくじんしゅ] /(n) cannibals/
食尽 [しょくじん] /(n) maximum eclipse/maximum obscuration/
食性 [しょくせい] /(n) feeding habit (e.g. of an animal)/feeding habitat/
食生活 [しょくせいかつ] /(n) eating habits/(P)/
食積 [くいつみ] /(n) (1) New Year food for entertaining a guest served in multilayered lacquered boxes/(2) (arch) Kansai New Year decoration (made from food) (Edo name)/
食積み [くいつみ] /(n) (1) New Year food for entertaining a guest served in multilayered lacquered boxes/(2) (arch) Kansai New Year decoration (made from food) (Edo name)/
食切る [くいきる] /(v5r,vt) (1) to bite through/(2) to eat up/to consume entirely/
食千切る [くいちぎる] /(v5r,vt) to bite off/
食洗機 [しょくせんき] /(n) dishwashing machine/
食前 [しょくぜん] /(n-adv,n-t) before meals/
食前酒 [しょくぜんしゅ] /(n) aperitif/
食膳 [しょくぜん] /(n) dining table/a dish (type of food)/
食草 [しょくそう] /(n) edible grass (for insects)/larval food plant/
食卓 [しょくたく] /(n,adj-no) dining table/(P)/
食卓塩 [しょくたくえん] /(n) table salt/
食中り [しょくあたり] /(n) food poisoning/
食中毒 [しょくちゅうどく] /(n) food poisoning/(P)/
食中毒菌 [しょくちゅうどくきん] /(n) bacteria capable of causing food poisoning/
食虫 [しょくちゅう] /(n,adj-no) insectivore/
食虫虻 [むしひきあぶ] /(n) (uk) robber fly (any fly of family Asilidae)/
食虫植物 [しょくちゅうしょくぶつ] /(n,adj-no) insectivorous plants/carnivorous plants/
食虫性 [しょくちゅうせい] /(adj-no) insectivorous/entomophagous/
食通 [しょくつう] /(n) gourmet/
食摘み [くいつみ] /(n) (1) New Year food for entertaining a guest served in multilayered lacquered boxes/(2) (arch) Kansai New Year decoration (made from food) (Edo name)/
食堂 [しょくどう] /(n) (1) dining room/dining hall/cafeteria/messroom/(2) restaurant/eatery/snack bar/diner/(P)/
食堂 [じきどう] /(n) (Buddh) dining hall (at a temple)/
食堂車 [しょくどうしゃ] /(n) dining car/
食道 [しょくどう] /(n,adj-no) esophagus/gullet/esophageal/(P)/
食道がん [しょくどうがん] /(n) esophageal cancer/
食道炎 [しょくどうえん] /(n) esophagitis/
食道楽 [くいどうらく] /(n,adj-no) gourmand/epicure/
食道楽 [しょくどうらく] /(n,adj-no) gourmand/epicure/
食道癌 [しょくどうがん] /(n) esophageal cancer/
食道鏡 [しょくどうきょう] /(n) esophagoscope/
食肉 [しょくにく] /(n) meat (for consumption)/(P)/
食肉解体 [しょくにくかいたい] /(n) butchery/
食肉植物 [しょくにくしょくぶつ] /(n) carnivorous plants/
食肉目 [しょくにくもく] /(n) Carnivora/
食肉類 [しょくにくるい] /(n) carnivores (i.e. animals of the order Carnivora)/
食縛る [くいしばる] /(v5r,vt) to set one's teeth/to clench one's teeth/to grit one's teeth/
食費 [しょくひ] /(n) food expense/(P)/
食費を取る [しょくひをとる] /(exp,v5r) to charge for one's meal/
食品 [しょくひん] /(n) commodity/foodstuff/(P)/
食品メーカー [しょくひんメーカー] /(n) food company/
食品衛生 [しょくひんえいせい] /(n) food hygiene/
食品衛生法 [しょくひんえいせいほう] /(n) food hygiene law/
食品加工業 [しょくひんかこうぎょう] /(n) food industry/
食品会社 [しょくひんがいしゃ] /(n) food company/
食品玩具 [しょくひんがんぐ] /(n) small toy sold with food/premium/
食品群 [しょくひんぐん] /(n) food group/
食品工業 [しょくひんこうぎょう] /(n) food industry/
食品成分表 [しょくひんせいぶんひょう] /(n) (abbr) standard tables of food composition in Japan/
食品店 [しょくひんてん] /(n) grocery store/
食品添加物 [しょくひんてんかぶつ] /(n) food additive/(P)/
食品標準成分表 [しょくひんひょうじゅんせいぶんひょう] /(n) standard tables of food composition/
食付き [くいつき] /(n) bite (in fishing)/
食付く [くいつく] /(v5k,vi) (1) to bite at/to snap at/to nibble/(2) to get one's teeth into (metaphorically)/to get to grips with/to really get into/
食物 [しょくもつ] /(n,adj-no) food/foodstuff/(P)/
食物アレルギー [しょくもつアレルギー] /(n) food allergy/
食物繊維 [しょくもつせんい] /(n) dietary fiber/dietary fibre/
食物油 [しょくぶつゆ] /(iK) (n) vegetable oil/
食物連鎖 [しょくもつれんさ] /(n) food chain/
食分 [しょくぶん] /(n) phase of an eclipse/
食文化 [しょくぶんか] /(n) food culture/dietary culture/cuisine/
食偏 [しょくへん] /(n) kanji "food" radical at left/
食編 [しょくへん] /(n) food radical (in kanji)/
食胞 [しょくほう] /(n) phagosome/
食味 [しょくみ] /(n) taste/flavour/flavor/
食用 [しょくよう] /(n,adj-no) for use as food/edible/(P)/
食用花 [しょくようか] /(n) edible flower/
食用菊 [しょくようぎく] /(n) edible chrysanthemum/
食用油 [しょくようあぶら] /(n) cooking oil/
食慾 [しょくよく] /(n,adj-no) appetite (for food)/
食欲 [しょくよく] /(n,adj-no) appetite (for food)/(P)/
食欲減退 [しょくよくげんたい] /(n) decrease in appetite/loss of appetite/
食欲不振 [しょくよくふしん] /(n,adj-no) loss of appetite/anorexia/
食欲不振症 [しょくよくふしんしょう] /(n) anorexia/
食料 [しょくりょう] /(n) food/(P)/
食料安全 [しょくりょうあんぜん] /(n) food safety/
食料雑貨店 [しょくりょうざっかてん] /(n) grocery/grocer's shop/
食料貯蔵室 [しょくりょうちょぞうしつ] /(n) larder/pantry/stillroom/buttery/
食料費 [しょくりょうひ] /(n) food expenses/food prices/
食料品 [しょくりょうひん] /(n) foodstuff/groceries/(P)/
食料品商 [しょくりょうひんしょう] /(n) grocery store/
食料品店 [しょくりょうひんてん] /(n) grocer/grocery store/
食糧 [しょくりょう] /(n) provisions/rations/food supply/(P)/
食糧援助 [しょくりょうえんじょ] /(n) food assistance/
食糧管理制度 [しょくりょうかんりせいど] /(n) food control system/
食糧管理法 [しょくりょうかんりほう] /(n) Staple Food Control Act/
食糧事情 [しょくりょうじじょう] /(n) food situation/
食糧庁 [しょくりょうちょう] /(n) food agency/(P)/
食糧配給 [しょくりょうはいきゅう] /(n) food distribution/
食糧不足 [しょくりょうふそく] /(n) food shortage/
食糧不足 [しょくりょうぶそく] /(n) food shortage/
食連星 [しょくれんせい] /(n) eclipsing variable/
食靠れ [しょくもたれ] /(n,vs) sitting heavy in one's stomach/remaining undigested/
食饌 [しょくせん] /(n) food served on a table (esp. food served on a small Japanese table)/
蝕 [しょく] /(n) (1) eclipse (solar, lunar, etc.)/
蝕む [むしばむ] /(v5m,vi) to eat into (e.g. by worms)/to spoil/to ruin/to undermine/(P)/
蝕甚 [しょくじん] /(n) maximum eclipse/maximum obscuration/
蝕分 [しょくぶん] /(n) phase of an eclipse/
辱 [じょく] /(ok) (n) shame/embarrassment/
辱 [はじ] /(n) shame/embarrassment/
辱い [かたじけない] /(adj-i) grateful/indebted/
辱しめ [はずかしめ] /(io) (n) (1) shame/disgrace/(2) raping/rape/
辱め [はずかしめ] /(n) (1) shame/disgrace/(2) raping/rape/
辱める [はずかしめる] /(v1,vt) (1) to put to shame/to humiliate/to disgrace/to insult/(2) to rape/
辱知 [じょくち] /(adj-na,n) acquaintance/
尻 [けつ] /(n) (1) (col) ass/arse/buttocks/(2) (col) rear/end/
尻 [しり] /(n) (1) buttocks/behind/rump/bottom/(2) undersurface/bottom/(3) last place/end/(4) consequence/(P)/
尻からげ [しりからげ] /(adv) tucking up the hem of one's garments/
尻がこそばゆい [しりがこそばゆい] /(exp,adj-i) feeling restless/feeling uncomfortable/
尻がる [しりがる] /(adj-na,n,adj-no) agility/fickleness/frivolous/of loose morals/
尻が軽い [しりがかるい] /(exp,adj-i) (1) fast/brisk/(2) careless/thoughtless/impudent/rash/(3) (of a woman) wanton/promiscuous/
尻が重い [しりがおもい] /(exp) (1) to be reluctant to get up off one's backside/to be lazy/(2) to be clumsy/
尻が長い [しりがながい] /(exp) being a guest for too long (e.g. of a neighbor)/
尻たたき [しりたたき] /(n,vs) (1) spanking/(n) (2) (arch) ritual spanking of a new bride to encourage fertility/
尻っぺた [しりっぺた] /(n) backside/
尻っぽ [しりっぽ] /(n) tail/
尻っ端折 [しりっぱしょり] /(io) (n,vs) tucking up the hem of one's garments/
尻っ端折り [しりっぱしょり] /(n,vs) tucking up the hem of one's garments/
尻に敷く [しりにしく] /(exp,v5k) to dominate (usu. one's husband)/
尻ぬぐい [しりぬぐい] /(n,vs) cleaning up or covering for another (lit: wiping another's buttocks)/bearing the consequences of someone else's error/paying a debt for someone/
尻の軽い女 [しりのかるいおんな] /(n) wanton girl/
尻の穴が小さい [けつのあながちいさい] /(exp,adj-f) (id) small-minded/petty/cowardly/chicken-hearted/
尻の穴が小さい [ケツのあながちいさい] /(exp,adj-f) (id) small-minded/petty/cowardly/chicken-hearted/
尻の毛まで抜かれる [けつのけまでぬかれる] /(exp,v1) (id) to get ripped off for every last penny/
尻の毛まで抜かれる [しりのけまでぬかれる] /(exp,v1) (id) to get ripped off for every last penny/
尻ぺた [しりっぺた] /(n) backside/
尻ぺんぺん [しりぺんぺん] /(n,vs) (col) spanking the bottom/spanking/
尻もどき [けつもどき] /(n) (obsc) (uk) male homosexual (pejorative) (lit: pseudo-ass)/faggot/
尻をあげる [しりをあげる] /(exp,v1) (1) to stand up/(2) to leave/
尻をまくる [けつをまくる] /(exp,v5r) to abandon a humble attitude and get on one's high horse/suddenly to assume an antagonistic attitude/
尻をまくる [しりをまくる] /(exp,v5r) to abandon a humble attitude and get on one's high horse/suddenly to assume an antagonistic attitude/
尻を捲る [けつをまくる] /(exp,v5r) to abandon a humble attitude and get on one's high horse/suddenly to assume an antagonistic attitude/
尻を捲る [しりをまくる] /(exp,v5r) to abandon a humble attitude and get on one's high horse/suddenly to assume an antagonistic attitude/
尻を持ち込む [しりをもちこむ] /(exp,v5m) to bring a complaint to a person (who is responsible for the problem)/
尻を上げる [しりをあげる] /(exp,v1) (1) to stand up/(2) to leave/
尻を据える [しりをすえる] /(exp,v1) to sit down/
尻を叩く [しりをたたく] /(exp,v5k) to encourage to do (lit: to beat someone's buttocks)/to urge a person on/to demand action/
尻隠し [しりかくし] /(n) (1) hiding one's mistakes (or wrongdoings, etc.)/(2) back pocket/
尻押し [しりおし] /(n,vs) pushing from behind/backing/supporting/instigation/instigator/
尻下がり [しりさがり] /(n) (1) falling intonation/(2) downward trend/
尻擬き [けつもどき] /(n) (obsc) (uk) male homosexual (pejorative) (lit: pseudo-ass)/faggot/
尻繋 [しりがい] /(n) crupper/
尻軽 [しりがる] /(adj-na,n,adj-no) agility/fickleness/frivolous/of loose morals/
尻軽な女 [しりがるなおんな] /(n) wanton girl/
尻軽女 [しりがるおんな] /(n) promiscuous woman/
尻込み [しりごみ] /(n,vs) recoil/hesitation/flinching/shrinking back/
尻座 [こうざ] /(n) (arch) crouching/
尻窄まり [しりすぼまり] /(adj-na,n) attenuation/fizzling out/
尻窄み [しりすぼみ] /(n) weak ending/tapering/anticlimax/tame ending/
尻窄み [しりつぼみ] /(n) weak ending/tapering/anticlimax/tame ending/
尻子玉 [しりこだま] /(n) mythical ball inside the anus that is sought after by kappa/
尻取 [しりとり] /(n) Japanese word-chain game/cap verses/
尻取り [しりとり] /(n) Japanese word-chain game/cap verses/
尻重 [しりおも] /(adj-na,n) slow/
尻焼烏賊 [しりやけいか] /(n) (uk) Japanese spineless cuttlefish (Sepiella japonica)/
尻上がり [しりあがり] /(n) rising (intonation, market)/
尻拭い [しりぬぐい] /(n,vs) cleaning up or covering for another (lit: wiping another's buttocks)/bearing the consequences of someone else's error/paying a debt for someone/
尻切れ [しりきれ] /(n) object cut off at the end (lit: buttocks cut off)/sudden, abrupt ending/
尻切れ蜻蛉 [しりきれとんぼ] /(n) leaving unfinished/unfinished ending/
尻叩き [しりたたき] /(n,vs) (1) spanking/(n) (2) (arch) ritual spanking of a new bride to encourage fertility/
尻端折 [しりはしおり] /(io) (n,vs) tucking up the hem of one's garments/
尻端折 [しりはしょり] /(io) (n,vs) tucking up the hem of one's garments/
尻端折 [しりばしょり] /(io) (n,vs) tucking up the hem of one's garments/
尻端折り [しりはしおり] /(n,vs) tucking up the hem of one's garments/
尻端折り [しりはしょり] /(n,vs) tucking up the hem of one's garments/
尻端折り [しりばしょり] /(n,vs) tucking up the hem of one's garments/
尻当て [しりあて] /(n) lining of pants seat/
尻馬 [しりうま] /(n) (1) buttocks of a horse being ridden or followed/(2) blind imitation/
尻馬に乗る [しりうまにのる] /(exp,v5r) (1) to follow suit/to imitate or follow someone blindly/(2) to ride on someone's back/to ride someone's coattails/to take advantage, e.g. of another's popularity/
尻抜け [しりぬけ] /(n) forgetfulness/leaving things unfinished/
尻尾 [しっぽ] /(n) (uk) tail (animal)/(P)/
尻尾 [しりお] /(ok) (n) (uk) tail (animal)/
尻尾を巻く [しっぽをまく] /(exp,v5k) (1) (a person) to admit defeat/to turn tail (and run)/(2) (a dog) to tuck one's tail between one's legs/
尻尾を出す [しっぽをだす] /(exp,v5s) to show one's true colors/to expose one's faults/to give oneself away/
尻癖 [しりくせ] /(n) incontinence/promiscuity/
尻目 [しりめ] /(n) backward glance/sidelong glance/
尻目にかける [しりめにかける] /(exp,v1) (1) to look askance (at)/to look contemptuously/to look down on/(2) (arch) to cast an amorous glance at/
尻目に懸ける [しりめにかける] /(exp,v1) (1) to look askance (at)/to look contemptuously/to look down on/(2) (arch) to cast an amorous glance at/
尻餅 [しりもち] /(n) falling on one's backside (behind, bottom)/
尻餅をつく [しりもちをつく] /(exp,v5k) to fall on one's backside/
尻餅を着く [しりもちをつく] /(exp,v5k) to fall on one's backside/
尻餅を付く [しりもちをつく] /(exp,v5k) to fall on one's backside/
尻輪 [しりわ] /(n) (1) cantle/
尻棘大蜥蜴 [しりとげおおとかげ] /(n) (uk) black-headed monitor (Varanus tristis, small species of carnivorous monitor lizard native to Australia)/freckled monitor/
尻紮げ [しりからげ] /(adv) tucking up the hem of one's garments/
尻餠 [しりもち] /(n) falling on one's backside (behind, bottom)/
伸し [のし] /(n) (1) stretching/(2) sidestroke (in swimming)/(P)/
伸し掛かる [のしかかる] /(v5r,vi) (1) (uk) to lean on/to weigh on/(2) to bend over/to lean forward/
伸し掛る [のしかかる] /(v5r,vi) (1) (uk) to lean on/to weigh on/(2) to bend over/to lean forward/
伸し上がる [のしあがる] /(v5r,vi) to stand on tiptoe/to rise in the world/to become arrogant/
伸し上げる [のしあげる] /(v1,vt) to promote/to make richer/
伸し歩く [のしあるく] /(v5k,vi) to swagger/
伸し餅 [のしもち] /(n) flattened rice cakes/
伸す [のす] /(v5s) to stretch/to spread/to smooth out/to roll out/to iron/to extend/to gain influence/to knock out/
伸ばす [のばす] /(v5s,vt) (1) to grow long (beard, hair, etc.)/(2) to lengthen/to extend/to stretch/(3) to reach out/to hold out/(4) to straighten/to smooth out/(5) to spread evenly (dough, cream, etc.)/(6) to dilute/to thin out/(7) to postpone/(8) to prolong/(9) to strengthen/to develop/to expand/(P)/
伸び [のび] /(n,vs) (1) growth/development/(2) stretching (e.g. body when waking up)/(3) spread/elongation/extension/carry (e.g. of sound)/sustain/(P)/
伸びやか [のびやか] /(adj-na,n) comfortable/carefree/(P)/
伸びる [のびる] /(v1,vi) (1) to stretch/to extend/to lengthen/to spread/(2) to make progress/to grow (beard, body height)/(3) to grow stale (soba)/(4) to be straightened/to be flattened/to be smoothed/(5) to be exhausted/(P)/
伸び広がる [のびひろがる] /(v5r) to stretch out/
伸び縮み [のびちぢみ] /(n,vs) expansion and contraction/elasticity/flexibility/
伸び上がる [のびあがる] /(v5r,vi) to stretch/to reach to/to stand on tiptoe/
伸び伸び [のびのび] /(adv,adv-to,vs) (uk) feeling at ease/carefree/(P)/
伸び盛り [のびざかり] /(n) growth period/
伸び悩む [のびなやむ] /(v5m,vi) to be sluggish (business)/(P)/
伸び率 [のびりつ] /(n) growth rate/coefficient of extension/(P)/
伸べる [のべる] /(v1,vt) (1) to lay out (a futon)/to make (bed)/to spread out/to stretch/to widen/(2) to postpone/to extend/
伸べ広げる [のべひろげる] /(v1,vt) to stretch out/
伸るか反るか [のるかそるか] /(exp,adv,adj-no) (uk) win or lose/sink or swim/make or break/
伸開線 [しんかいせん] /(n) (math) (obsc) involute/
伸筋 [しんきん] /(n) protractor muscle/
伸縮 [しんしゅく] /(n,vs) expansion and contraction/elasticity/flexibility/(P)/
伸縮自在 [しんしくじざい] /(adj-na,adj-no) elastic/flexible/telescoping/expandable/retractable/extensible/
伸縮自在 [しんしゅくじざい] /(adj-na,adj-no) elastic/flexible/telescoping/expandable/retractable/extensible/
伸縮性 [しんしゅくせい] /(n) elasticity/
伸縮税率 [しんしゅくぜいりつ] /(n) flexible tariff/
伸縮法 [しんしゅくほう] /(n) sliding scale/
伸張 [しんちょう] /(n,vs,adj-no) expansion/extension/elongation/stretching/uncompression/
伸暢 [しんちょう] /(n,vs,adj-no) expansion/extension/elongation/stretching/uncompression/
伸長 [しんちょう] /(n,vs,adj-no) expansion/extension/elongation/stretching/uncompression/
伸展 [しんてん] /(n,vs) expansion/extension/
伸度 [しんど] /(n) elasticity/
伸餅 [のしもち] /(n) flattened rice cakes/
信 [しん] /(adv,n) (1) honesty/fidelity/(2) trust/reliance/(3) (religious) faith/(ctr) (4) counter for received messages/(P)/
信じようと信じまいと [しんじようとしんじまいと] /(exp) believe it or not/
信じる [しんじる] /(v1,vt) to believe/to believe in/to place trust in/to confide in/to have faith in/(P)/
信じるにいたる [しんじるにいたる] /(exp,v5r) to come to believe/
信じるに至る [しんじるにいたる] /(exp,v5r) to come to believe/
信じ込ます [しんじこます] /(v5s) to lead to believe/
信じ込む [しんじこむ] /(v5m) to believe implicitly/to believe firmly/
信ずる [しんずる] /(vz,vt) to believe/to believe in/to place trust in/to confide in/to have faith in/(P)/
信ぴょう性 [しんぴょうせい] /(n) authenticity/credibility/
信を置く [しんをおく] /(exp,v5k) to put one's trust in/
信を問う [しんをとう] /(exp,v5u) to make an appeal to the confidence of/
信愛 [しんあい] /(adj-na,n,vs) love and believe in/intimacy/
信越 [しんえつ] /(n) region on Japan Sea side of Japan west of Tokyo/Nagano and Niigata/
信越本線 [しんえつほんせん] /(n) Shinetsu Main Line (Gunma-Nagano-Niigata Railway)/
信楽焼 [しがらきやき] /(n) Shigaraki ware/
信楽焼き [しがらきやき] /(n) Shigaraki ware/
信管 [しんかん] /(n) fuse/
信疑 [しんぎ] /(n) belief or doubt/truth or error/authenticity/
信義 [しんぎ] /(n) faith/fidelity/loyalty/(P)/
信教 [しんきょう] /(n) religious belief/faith/
信教の自由 [しんきょうのじゆう] /(n) religious liberty/
信仰 [しんこう] /(n,vs) (religious) faith/belief/creed/(P)/
信仰箇条 [しんこうかじょう] /(n) articles of faith/
信仰告白 [しんこうこくはく] /(n) profession of faith/
信仰者 [しんこうしゃ] /(n) believer/devotee/follower/adherent/convert/disciple/admirer/
信仰心 [しんこうしん] /(n) (religious) piety/
信仰深い [しんこうぶかい] /(n) devout/
信仰生活 [しんこうせいかつ] /(n) life of faith/religious life/
信仰的 [しんこうてき] /(adj-na) religious/spiritual/
信金 [しんきん] /(n) credit union (guild)/(P)/
信経 [しんきょう] /(n) creed/
信玄袋 [しんげんぶくろ] /(n) cloth bag/
信号 [しんごう] /(n,vs) traffic lights/signal/semaphore/(P)/
信号チャネル [しんごうチャネル] /(n) (comp) signalling channel/
信号プロトコル [しんごうプロトコル] /(n) (comp) signalling protocol/
信号ラベル [しんごうラベル] /(n) (comp) signal label/
信号リンク [しんごうリンク] /(n) (comp) signalling link/
信号リンクタイマー [しんごうリンクタイマー] /(n) (comp) signalling link timer/
信号旗 [しんごうき] /(n) signal flag/
信号機 [しんごうき] /(n) (1) traffic light/(2) signalling mechanism/semaphore (apparatus)/(P)/
信号強度 [しんごうきょうど] /(n) signal strength/signal intensity/SS/
信号局 [しんごうきょく] /(n) (comp) signalling office/
信号局コード [しんごうきょくコード] /(n) (comp) signalling office code/
信号検出 [しんごうけんしゅつ] /(n) (comp) signal detection/
信号再生 [しんごうさいせい] /(n) (comp) signal regeneration/
信号雑音比 [しんごうざつおんひ] /(n) (comp) signal-to-noise ratio/
信号手 [しんごうしゅ] /(n) flag man/
信号手順 [しんごうてじゅん] /(n) (comp) signalling protocol/
信号処理 [しんごうしょり] /(n) (comp) signal processing/
信号所 [しんごうしょ] /(n) signal station/
信号所 [しんごうじょ] /(n) signal station/
信号成形 [しんごうせいけい] /(n) (comp) signal transformation/signal shaping/
信号対ノイズ比 [しんごうたいノイズひ] /(n) (comp) signal-to-noise ratio/
信号対雑音比 [しんごうたいざつおんひ] /(n) (comp) SNR/signal to noise ratio/
信号待ち [しんごうまち] /(n) waiting for a traffic light/
信号電波 [しんごうでんぱ] /(n) beam (signal)/
信号塔 [しんごうとう] /(n) signal tower/
信号灯 [しんごうとう] /(n) (1) signal light/(2) semaphore/
信号発生器 [しんごうはっせいき] /(n) signal generator/
信号変換 [しんごうへんかん] /(n) (comp) signal transformation/signal shaping/
信号無視 [しんごうむし] /(n) one who runs a red light or stop sign/
信号網 [しんごうもう] /(n) (comp) signalling network/
信号劣化 [しんごうれっか] /(n) (comp) signal degradation/
信士 [しんし] /(n) (1) (Buddh) male lay devotee/(2) title affixed to man's posthumous Buddhist name/(3) (arch) believer/
信士 [しんじ] /(n) (1) (Buddh) male lay devotee/(2) title affixed to man's posthumous Buddhist name/
信施 [しんせ] /(n) (Buddh) almsgiving because of faith/
信施 [しんぜ] /(n) (Buddh) almsgiving because of faith/
信実 [しんじつ] /(adj-na,n) sincerity/honesty/truth/faithfulness/
信者 [しんじゃ] /(n) believer/adherent/devotee/(P)/
信受 [しんじゅ] /(n,vs) belief/acceptance (of truths)/
信書 [しんしょ] /(n) letter/personal correspondence/
信女 [しんにょ] /(n) (1) (Buddh) female lay devotee/(2) title affixed to woman's posthumous Buddhist name/
信証 [しんしょう] /(n) evidence/
信賞必罰 [しんしょうひつばつ] /(n) sure punishment or reward/
信条 [しんじょう] /(n,adj-no) creed/belief/article of faith/(P)/
信心 [しんじん] /(n,vs,adj-no) faith/belief/devotion/godliness/
信心家 [しんじんか] /(n) pious man/religionist/
信心深い [しんじんぶかい] /(adj-i) deeply religious/devout/godly/faithful/
信託 [しんたく] /(n,vs,adj-no) trust/entrusting/(P)/
信託会社 [しんたくがいしゃ] /(n) trust company/
信託基金 [しんたくききん] /(n) trust fund/
信託業 [しんたくぎょう] /(n) trust business/
信託銀行 [しんたくぎんこう] /(n) trust bank/
信託契約 [しんたくけいやく] /(n) trust agreement/
信託資金 [しんたくしきん] /(n) trust fund/
信託投資 [しんたくとうし] /(n) trust investment/
信託統治 [しんたくとうち] /(n) trusteeship/
信託統治理事会 [しんたくとうちりじかい] /(n) Trusteeship Council/
信託報酬 [しんたくほうしゅう] /(n) trust fee/
信天翁 [あほうどり] /(n) (uk) albatross (esp. the short-tailed albatross, Phoebastria albatrus)/
信天翁 [しんてんおう] /(n) (uk) albatross (esp. the short-tailed albatross, Phoebastria albatrus)/
信徒 [しんと] /(n) layman/believer/adherent/follower/laity/(P)/
信徒伝動 [しんとでんどう] /(n) lay evangelism/
信徒伝動者 [しんとでんどうしゃ] /(n) lay missionary/
信任 [しんにん] /(n,vs) trust/confidence/credence/(P)/
信任状 [しんにんじょう] /(n) credentials/
信任投票 [しんにんとうひょう] /(n) vote of confidence/
信任統治制度 [しんにんとうちせいど] /(n) trusteeship system/
信任票 [しんにんひょう] /(n) vote of confidence/
信認 [しんにん] /(n,vs) acknowledge/acceptance/admission/
信念 [しんねん] /(n,vs,adj-no) belief/faith/conviction/(P)/
信濃金梅 [しなのきんばい] /(n) (uk) Trollius riederianus var. japonicus (Japanese variety of the Kamchatka globeflower, Trollius riederianus)/
信販 [しんぱん] /(n) sales on credit/
信販会社 [しんぱんがいしゃ] /(n) credit company/(P)/
信夫摺 [しのぶずり] /(n) (arch) clothing patterned using the fern Davallia mariesii/
信夫摺り [しのぶずり] /(n) (arch) clothing patterned using the fern Davallia mariesii/
信伏 [しんぷく] /(n,vs) being convinced/
信服 [しんぷく] /(n,vs) being convinced/
信腹 [しんぷく] /(n,vs) being convinced/
信奉 [しんぽう] /(n,vs) belief/faith/adherence/espousal/(P)/
信奉者 [しんぽうしゃ] /(n) adherent/devotee/believer/
信望 [しんぼう] /(n) confidence/popularity/
信約 [しんやく] /(n) vow/promise/
信用 [しんよう] /(n,vs) confidence/dependence/credit/faith/reliance/belief/credence/(P)/
信用がガタ落ちだ [しんようがガタおちだ] /(n) a sudden fall in public estimation (e.g. into the gutter)/
信用が増す [しんようがます] /(exp,v5s) to gain more confidence/
信用危機 [しんようきき] /(n) credit crunch/
信用協同組合 [しんようきょうどうくみあい] /(n) cooperative credit association/
信用金庫 [しんようきんこ] /(n) credit union/(P)/
信用経済 [しんようけいざい] /(n) credit economy/
信用詐欺 [しんようさぎ] /(n) confidence game/
信用残 [しんようざん] /(n) balance of margin transaction/balance (of a stock) bought on margin/
信用借り [しんようがり] /(n) debt of honor/debt of honour/
信用取引 [しんようとりひき] /(n) credit transaction/
信用取引先 [しんようとりひきさき] /(n) charge customer/
信用状 [しんようじょう] /(n) letter of credit/
信用状態 [しんようじょうたい] /(n) credit standing/
信用組合 [しんようくみあい] /(n) credit association/(P)/
信用貸し [しんようがし] /(n) loans without collateral/
信用調査 [しんようちょうさ] /(n) credit check/
信用調査会社 [しんようちょうさがいしゃ] /(n) credit research company/
信用度 [しんようど] /(n) level of confidence/
信用買い [しんようかい] /(n) margin buying/
信用販売 [しんようはんばい] /(n) sales on credit/
信用保険 [しんようほけん] /(n) credit insurance/
信用銘柄 [しんようめいがら] /(n) marginable stocks/
信頼 [しんらい] /(n,vs) reliance/trust/faith/confidence/(P)/
信頼できるホスト [しんらいできるホスト] /(n) (comp) trusted host/
信頼できる機能 [しんらいできるきのう] /(n) (comp) trusted functionality/
信頼のおける [しんらいのおける] /(exp,adj-f,v1) reliable/authentic/
信頼の於ける [しんらいのおける] /(exp,adj-f,v1) reliable/authentic/
信頼回復 [しんらいかいふく] /(n) recovering of trust/winning back of trust/
信頼感 [しんらいかん] /(n) trust/
信頼関係 [しんらいかんけい] /(n) relationship of mutual trust/fiduciary relation/
信頼区間 [しんらいくかん] /(n) (math) confidence interval/
信頼係数 [しんらいけいすう] /(n) (comp) confidence coefficient/
信頼限界 [しんらいげんかい] /(n) (comp) confidence limit/
信頼醸成 [しんらいじょうせい] /(n) trust building/confidence building/
信頼醸成措置 [しんらいじょうせいそち] /(n) confidence-building measures/CBM/
信頼性 [しんらいせい] /(n) credibility/authenticity/confidence/reliability/(P)/
信頼度 [しんらいど] /(n) dependability/credibility/coefficient of confidence/
信憑 [しんぴょう] /(n,vs) trust/credit/credence/
信憑性 [しんぴょうせい] /(n) authenticity/credibility/
侵す [おかす] /(v5s,vt) to invade/to raid/to trespass/to violate/to intrude on/(P)/
侵害 [しんがい] /(n,vs) infringement/violation/trespass/impairment/(P)/
侵害刺激 [しんがいしげき] /(n) noxious stimulus/NS/noxious stimuli/nociceptive stimulus/
侵害者 [しんがいしゃ] /(n) invader/trespasser/
侵撃 [しんげき] /(n,vs) invading and attacking/
侵攻 [しんこう] /(n,vs) invasion/(P)/
侵襲 [しんしゅう] /(n,vs) invasion/infestation/
侵襲的 [しんしゅうてき] /(adj-na) invasive/
侵食 [しんしょく] /(n,vs) encroachment/erosion/corrosion/(P)/
侵蝕 [しんしょく] /(n,vs) encroachment/erosion/corrosion/
侵奪 [しんだつ] /(n,vs) usurpation/
侵入 [しんにゅう] /(n,vs,adj-no) penetration/invasion/raid/aggression/trespass/(P)/
侵入テスト [しんにゅうテスト] /(n) (comp) penetration test/
侵入軍 [しんにゅうぐん] /(n) invading army/
侵入検知システム [しんにゅうけんちシステム] /(n) (comp) Intrusion Detection System/
侵入者 [しんにゅうしゃ] /(n) intruder/invader/trespasser/raider/
侵犯 [しんぱん] /(n,vs) violation/invasion/infringement/(P)/
侵掠 [しんりゃく] /(n,vs) aggression/invasion/raid/
侵略 [しんりゃく] /(n,vs) aggression/invasion/raid/(P)/
侵略軍 [しんりゃくぐん] /(n) invading army/
侵略行為 [しんりゃくこうい] /(n) act of aggression/
侵略国 [しんりゃくこく] /(n) aggressor nation/
侵略者 [しんりゃくしゃ] /(n) aggressor/invader/
侵略戦争 [しんりゃくせんそう] /(n) aggressive war/
侵略的 [しんりゃくてき] /(adj-na) aggressive/
侵冦 [しんこう] /(n,vs) invasion/
唇 [くちびる] /(n) lips/(P)/
唇音 [しんおん] /(n) labial sound/
唇歯輔車 [しんしほしゃ] /(n) mutual dependence/
唇腺 [しんせん] /(n) labial gland/
寝 [い] /(ok) (n) sleep/
寝 [しん] /(n) sleep/
寝 [ね] /(n) sleep/(P)/
寝かしつける [ねかしつける] /(v1,vt) to lull (a child) to sleep/to put a person to sleep/
寝かし付ける [ねかしつける] /(v1,vt) to lull (a child) to sleep/to put a person to sleep/
寝かす [ねかす] /(v5s) to put to sleep/to lay (something) on its side/(P)/
寝かせる [ねかせる] /(v1,vt) to put to bed/to lay down/to ferment/(P)/
寝がえり [ねがえり] /(n,vs) (1) turning over while sleeping in bed/(2) betrayal/double-crossing/
寝ぐせ [ねぐせ] /(n) (1) bed hair/hair disarranged during sleep/(2) habit of moving around in one's sleep/sleeping habit/
寝ころぶ [ねころぶ] /(v5b,vi) (uk) to lie down/to throw oneself down/
寝ござ [ねござ] /(n) rush mat for sleeping/sleeping mat/
寝ずの番 [ねずのばん] /(n) night watch/night watchman/
寝そべる [ねそべる] /(v5r,vi) to sprawl/to lie sprawled/
寝たきり [ねたきり] /(adj-no) bedridden/confined to bed/
寝たきり老人 [ねたきりろうじん] /(n) (sens) bedridden senior citizen/
寝たばこ [ねたばこ] /(n) smoking in bed/
寝た子 [ねたこ] /(n) sleeping child/
寝た子を起こす [ねたこをおこす] /(exp,v5s) to disturb the water/to wake a sleeping dog/to wake a sleeping child/
寝っ屁 [ねっぺ] /(n,vs) farting while asleep/
寝つき [ねつき] /(n) quality (ease, difficulty) of one's sleep/
寝つきがいい [ねつきがいい] /(exp) to find it easy to fall asleep/to sleep well/
寝つきが悪い [ねつきがわるい] /(exp) to have difficulty falling asleep/
寝つく [ねつく] /(v5k,vi) (1) to go to bed/to go to sleep/to fall asleep/(2) to be laid up (with a cold)/to be ill in bed/
寝ている資本 [ねているしほん] /(n) dead capital/
寝ても覚めても [ねてもさめても] /(exp) waking or sleeping/
寝どこ [ねどこ] /(n) bed/berth/crib/cot/kip/
寝なおす [ねなおす] /(v5s) to go back to bed/
寝に就く [しんにつく] /(exp,v5k) to go to bed/
寝ぼける [ねぼける] /(v1,vi) to be half asleep/to be still only half awake/(P)/
寝る [ねる] /(v1,vi) (1) to lie down/(2) to go to bed/to lie in bed/(3) to sleep (lying down)/(4) to sleep (with someone, i.e. have intercourse)/(5) to lie idle/(P)/
寝る子は育つ [ねるこはそだつ] /(exp) (id) Sleep brings up a child well/
寝る時間 [ねるじかん] /(n) bedtime/
寝る程楽は無かりけり [ねるほどらくはなかりけり] /(exp) (id) There is nothing better than sleeping/
寝れる [ねれる] /(v1,vi) to be able to sleep/
寝グセ [ねグセ] /(n) (1) bed hair/hair disarranged during sleep/(2) habit of moving around in one's sleep/sleeping habit/
寝ゲロ [ねゲロ] /(n,vs) vomitting while asleep/sleep-puking/
寝タバコ [ねタバコ] /(n) smoking in bed/
寝ナラ [ねナラ] /(n,vs) farting while asleep/
寝椅子 [ねいす] /(n) sofa/couch/lounge chair/
寝衣 [しんい] /(n) nightclothes/
寝衣 [ねまき] /(n) sleep-wear/nightclothes/pyjamas/pajamas/nightgown/nightdress/
寝違える [ねちがえる] /(v1,vi) to sleep in an awkward position and wake with a crick in one's neck/
寝煙草 [ねたばこ] /(n) smoking in bed/
寝汚い [いぎたない] /(adj-i) (1) sound asleep/fast asleep/(2) untidy/slovenly/
寝押し [ねおし] /(n,vs) pressing clothes by placing them under the bedding while one sleeps/
寝屋 [ねや] /(n) (1) sleeping quarters/bedroom (mainly refers to one used by a married couple)/(2) inner room/inner sanctum/
寝化粧 [ねげしょう] /(n) removal of make-up before going to sleep/
寝過ぎる [ねすぎる] /(v1,vi) to oversleep/
寝過ごす [ねすごす] /(v5s) to oversleep/(P)/
寝覚め [ねざめ] /(n) awaken/
寝覚めが悪い [ねざめがわるい] /(exp) to have an uneasy conscience/
寝覚めの悪い [ねざめのわるい] /(adj-i) of uneasy conscience/
寝覚める [ねざめる] /(v1) to wake up/
寝覚め月 [ねざめづき] /(n) ninth lunar month/
寝覚月 [ねざめづき] /(io) (n) ninth lunar month/
寝掛け [ねがけ] /(n) half-asleep/
寝巻 [ねまき] /(n) sleep-wear/nightclothes/pyjamas/pajamas/nightgown/nightdress/(P)/
寝巻き [ねまき] /(n) sleep-wear/nightclothes/pyjamas/pajamas/nightgown/nightdress/(P)/
寝棺 [ねかん] /(n) coffin/casket/
寝汗 [ねあせ] /(n) perspiration given off during sleep/sweating while sleeping/
寝間 [ねま] /(n) bedroom/
寝間着 [ねまき] /(n) sleep-wear/nightclothes/pyjamas/pajamas/nightgown/nightdress/(P)/
寝顔 [ねがお] /(n) sleeping face/(P)/
寝起き [ねおき] /(n,vs) (1) lying down and getting up/(2) waking/(3) living (with)/staying (with)/
寝技 [ねわざ] /(n) (1) (in wrestling or judo) pinning technique/(2) underhanded dealings/
寝業 [ねわざ] /(n) (1) (in wrestling or judo) pinning technique/(2) underhanded dealings/
寝業師 [ねわざし] /(n) underhanded or Machiavelli-like person/
寝苦しい [ねぐるしい] /(adj-i) unable to sleep well/(P)/
寝具 [しんぐ] /(n) bedding/(P)/
寝具類 [しんぐるい] /(n) bedding/
寝言 [ねごと] /(n,adj-no) (1) sleep-talking/(2) nonsense/gibberish/(P)/
寝言は寝てから言え [ねごとはねてからいえ] /(exp) don't talk nonsense/lit: sleep talk after you go to sleep/
寝言を言う [ねごとをいう] /(exp,v5u) to talk in one's sleep/
寝惚け [ねぼけ] /(n) half asleep/
寝惚ける [ねぼける] /(v1,vi) to be half asleep/to be still only half awake/
寝惚け眼 [ねぼけまなこ] /(n) sleepy eyes/drowsy look/
寝込み [ねこみ] /(n) asleep (in bed)/sick in bed/
寝込み [ねごみ] /(n) asleep (in bed)/sick in bed/
寝込む [ねこむ] /(v5m,vi) to stay in bed/to sleep/to be laid up for a long time/
寝際 [ねぎわ] /(n) on the verge of sleep/just after falling asleep/
寝姿 [ねすがた] /(n) one's figure during sleep/
寝耳 [ねみみ] /(n) something heard while sleeping/
寝耳に水 [ねみみにみず] /(exp) bolt from the blue/great surprise/
寝室 [しんしつ] /(n) bedroom/(P)/
寝取る [ねとる] /(v5r,vt) to steal another's wife (husband, lover)/
寝酒 [ねざけ] /(n) nightcap/a drink before sleeping/
寝首 [ねくび] /(n) head of a sleeping person/
寝首をかく [ねくびをかく] /(exp,v5k) (1) to cut off the head of a sleeping person/to assassinate someone while he sleeps/(2) to catch someone off his guard by setting traps/
寝首を掻く [ねくびをかく] /(exp,v5k) (1) to cut off the head of a sleeping person/to assassinate someone while he sleeps/(2) to catch someone off his guard by setting traps/
寝所 [しんじょ] /(n) bedroom/
寝所 [ねど] /(n) bedroom/
寝所 [ねどこ] /(n) bedroom/
寝所 [ねどころ] /(n) bedroom/
寝小便 [ねしょうべん] /(n) bed-wetting/
寝床 [ねどこ] /(n) bed/berth/crib/cot/kip/(P)/
寝場所 [ねばしょ] /(n) place to sleep/
寝食 [しんしょく] /(n,vs) bed and food/eating and sleeping/
寝食い [ねぐい] /(n) living in idleness/
寝心地 [ねごこち] /(n) sleeping comfort or snugness/
寝刃 [ねたば] /(n) dull blade(d instrument)/
寝刃を合わす [ねたばをあわす] /(exp,v5s) (1) to hone one's blade/to sharpen a sword/(2) to scheme/to plot/
寝正月 [ねしょうがつ] /(n) staying at home during the New Year's holiday/
寝醒める [ねざめる] /(oK) (v1) to wake up/
寝静まる [ねしずまる] /(v5r,vi) to fall asleep/
寝相 [ねぞう] /(n) one's sleeping posture/(P)/
寝相がいい [ねぞうがいい] /(exp) to sleep without turning over/
寝相が悪い [ねぞうがわるい] /(exp,adj-i) tossing and turning while asleep/
寝相が好い [ねぞうがいい] /(exp) to sleep without turning over/
寝装品 [しんそうひん] /(n) bed and bedding/
寝息 [ねいき] /(n) sleeper's breathing/(P)/
寝損う [ねそこなう] /(io) (v5u) to miss a chance to sleep/to be wakeful/
寝損なう [ねそこなう] /(v5u) to miss a chance to sleep/to be wakeful/
寝袋 [ねぶくろ] /(n) sleeping bag/
寝台 [しんだい] /(n) bed/couch/(P)/
寝台 [ねだい] /(n) bed/couch/
寝台券 [しんだいけん] /(n) ticket (sleeping car)/
寝台車 [しんだいしゃ] /(n) sleeping car/sleeper/
寝台虫 [しんだいむし] /(n) bedbug/
寝台料金 [しんだいりょうきん] /(n) berth charge/
寝台列車 [しんだいれっしゃ] /(n) sleeper train/
寝直す [ねなおす] /(v5s) to go back to bed/
寝転がる [ねころがる] /(v5r,vi) to lie down/to throw oneself down/
寝転ぶ [ねころぶ] /(v5b,vi) (uk) to lie down/to throw oneself down/(P)/
寝殿 [しんでん] /(n) (1) main building in a Heian palace/(2) (historical) main residence of an emperor/
寝殿造 [しんでんづくり] /(n) manner of Heian era palatial architecture/
寝殿造り [しんでんづくり] /(n) manner of Heian era palatial architecture/
寝道具 [ねどうぐ] /(n) bedding/
寝入り端 [ねいりばな] /(n) first stage of sleep/
寝入る [ねいる] /(v5r,vi) to fall asleep/
寝泊まり [ねとまり] /(n,vs) staying at/lodging at/(P)/
寝泊り [ねとまり] /(n,vs) staying at/lodging at/
寝不足 [ねぶそく] /(adj-na,n) lack of sleep/
寝付がいい [ねつきがいい] /(exp) to find it easy to fall asleep/to sleep well/
寝付が悪い [ねつきがわるい] /(exp) to have difficulty falling asleep/
寝付き [ねつき] /(n) quality (ease, difficulty) of one's sleep/
寝付きがいい [ねつきがいい] /(exp) to find it easy to fall asleep/to sleep well/
寝付きが悪い [ねつきがわるい] /(exp) to have difficulty falling asleep/
寝付く [ねつく] /(v5k,vi) (1) to go to bed/to go to sleep/to fall asleep/(2) to be laid up (with a cold)/to be ill in bed/(P)/
寝付けす [ねつけす] /(v5s) to put (someone) to bed/
寝物語 [ねものがたり] /(n) pillow talk/conversation in bed/
寝癖 [ねぐせ] /(n) (1) bed hair/hair disarranged during sleep/(2) habit of moving around in one's sleep/sleeping habit/
寝返り [ねがえり] /(n,vs) (1) turning over while sleeping in bed/(2) betrayal/double-crossing/(P)/
寝返りを打つ [ねがえりをうつ] /(exp,v5t) to turn over in one's sleep/
寝返る [ねがえる] /(v5r,vi) to change sides/to double-cross/to betray/(P)/
寝坊 [ねぼう] /(n,vs) (1) sleeping in late/oversleeping/(n) (2) late riser/sleepyhead/(P)/
寝坊助 [ねぼすけ] /(n) person who oversleeps/
寝忘れる [ねわすれる] /(v1,vi) to oversleep/
寝様 [ねざま] /(n) sleeping posture/
寝乱れ髪 [ねみだれがみ] /(n) hair messed up in sleep/
寝淋しい [ねさびしい] /(exp) missing a sleeping companion/
寝冷え [ねびえ] /(n,vs) get chilled while asleep/(P)/
寝藁 [ねわら] /(n) (stable) litter/
寝穢い [いぎたない] /(adj-i) (1) sound asleep/fast asleep/(2) untidy/slovenly/
寝茣蓙 [ねござ] /(n) rush mat for sleeping/sleeping mat/
寝蓙 [ねござ] /(n) rush mat for sleeping/sleeping mat/
審らか [つまびらか] /(adj-na) detailed/
審議 [しんぎ] /(n,adj-no,vs) deliberation/(P)/
審議会 [しんぎかい] /(n) commission of inquiry (enquiry)/
審議官 [しんぎかん] /(n) Assistant Vice-Minister/Deputy Director-General/
審議入り [しんぎいり] /(n) initiation of debate (e.g. in parliament)/
審議未了 [しんぎみりょう] /(n) unresolved/shelved/
審級 [しんきゅう] /(n) instance (e.g. first instance, second instance, etc. in a legal proceeding)/
審決 [しんけつ] /(n) trial decision/decision by a court/judgment from a trial/
審査 [しんさ] /(n,vs) judging/inspection/examination/investigation/(P)/
審査員 [しんさいん] /(n) examiner/judge/
審査官 [しんさかん] /(n) examiner (e.g. patent examiner)/
審神者 [さにわ] /(ik) (n) (arch) (obsc) person who judges which god or spirit has taken possession of a miko (Shinto)/
審判 [しんばん] /(n,vs) refereeing/trial/judgement/judgment/umpire/referee/
審判 [しんぱん] /(n,vs) refereeing/trial/judgement/judgment/umpire/referee/(P)/
審判の日 [しんぱんのひ] /(n) Judgment Day (as described in Christian tradition)/
審判委員 [しんぱんいいん] /(n) five ringside judges (sumo)/
審判員 [しんばんいん] /(n) referee/umpire/
審判員 [しんぱんいん] /(n) referee/umpire/
審判官 [しんぱんかん] /(n) administrative law judge/appeal examiner (e.g. in patents)/
審判長 [しんぱんちょう] /(n) head judge (sumo)/
審判部長 [しんぱんぶちょう] /(n) head judge (sumo)/
審判役 [しんぱんやく] /(n) umpire/referee/
審判離婚 [しんばんりこん] /(n) divorce by (Family Court) arbitration/
審美 [しんび] /(n) aesthetic appreciation/
審美学 [しんびがく] /(n) aesthetics/
審美眼 [しんびがん] /(n) aesthetic sense/
審美主義 [しんびしゅぎ] /(n) aestheticism/
審美的 [しんびてき] /(adj-na) aesthetic/
審問 [しんもん] /(n,vs) interrogation/hearing/trial/(P)/
審理 [しんり] /(n,vs) trial/(P)/
心 [こころ] /(n) (1) mind/heart/spirit/(2) the meaning of a phrase (riddle, etc.)/(P)/
心 [しん] /(n) (1) heart/mind/(n,suf) (2) spirit/vitality/inner strength/(3) Chinese "Heart" constellation (one of the 28 mansions)/(4) (arch) friend/(P)/
心から [こころから] /(adv) from the bottom of one's heart/heart and soul/by nature/(P)/
心から [しんから] /(adv) from the bottom of one's heart/heart and soul/by nature/(P)/
心がおどる [こころがおどる] /(exp,v5r) to be thrilled/to be excited/
心がけ [こころがけ] /(n) intention/attention/dedication/care/prudence/readiness/mental attitude/(P)/
心がける [こころがける] /(v1,vt) to keep in mind/to bear in mind/to try/to aim to do/to endeavor/to endeavour/(P)/
心がこもる [こころがこもる] /(exp,v5r) to be thoughtful (of a gift, etc.)/to be from the heart/to be made with loving care/
心がひかれる [こころがひかれる] /(exp,v1) to feel the call of .../to have one's heart-strings pulled/
心が引かれる [こころがひかれる] /(exp,v1) to feel the call of .../to have one's heart-strings pulled/
心が広い [こころがひろい] /(exp,adj-i) generous/broad-minded/big-hearted/
心が込められた [こころがこめられた] /(exp) wholehearted/
心が清まる [こころがきよまる] /(exp,v5r) to feel purified/
心が弾む [こころがはずむ] /(exp,v5m) to be excited/to be elated/
心が通う [こころがかよう] /(exp,v5u) to understand each other well/to call forth a response in another's heart/to relate to/
心が通じる [こころがつうじる] /(exp,v1) to relate to/to have one's feelings understood/
心が動く [こころがうごく] /(exp,v5k) to take a fancy to something/to be moved/to feel inclined to/
心が疲れる [しんがつかれる] /(exp,v1) to be mentally fatigued/to tired to the bone/
心が躍る [こころがおどる] /(exp,v5r) to be thrilled/to be excited/
心が乱れる [こころがみだれる] /(exp,v1) to lose one's composure/
心が和む [こころがなごむ] /(exp,v5m) to feel relaxed/
心が籠もる [こころがこもる] /(exp,v5r) to be thoughtful (of a gift, etc.)/to be from the heart/to be made with loving care/
心ここにあらず [こころここにあらず] /(exp) there in body, but not in spirit/distracted/in one ear and out the other/
心して [こころして] /(exp) carefully/with caution/
心す [こころす] /(v5s,vi) to take care/to mind/to be attentive/
心する [こころする] /(vs-s,vi) to take care/to mind/to be attentive/
心づかい [こころづかい] /(n) solicitude/sympathy/anxiety/regard for/consideration (for others)/watchfulness/care/
心づく [こころづく] /(v5k,vi) to perceive/to notice/
心づくし [こころづくし] /(n) kindness/consideration/
心ない [こころない] /(adj-i) thoughtless/inconsiderate/tasteless/cruel/
心なし [こころなし] /(adj-f) lacking in prudence or judgement/
心なし [こころなし] /(exp) somehow/somewhat/seemingly/
心なし研削 [しんなしけんさく] /(n) centerless grinding/centreless grinding/
心ならずも [こころならずも] /(adv) unwillingly/reluctantly/against one's will/
心にかなう [こころにかなう] /(exp,v5u) to be pleased with/to suit/
心にもない [こころにもない] /(exp) (something) one does not really mean/insincere/
心にも無い [こころにもない] /(exp) (something) one does not really mean/insincere/
心に掛かる [こころにかかる] /(exp,v5r) to weigh on one's mind/to trouble one/
心に叶う [こころにかなう] /(exp,v5u) to be pleased with/to suit/
心に刻む [こころにきざむ] /(exp,v5m) to etch into one's mind/to remember well/
心に染む [こころにそむ] /(exp,v5m) to be pleased with/to suit/
心に適なう [こころにかなう] /(exp,v5u) to be pleased with/to suit/
心に秘める [こころにひめる] /(exp,v1) to keep to oneself/to keep secret/
心に描く [こころにえがく] /(exp,v5k) to imagine/to envisage/
心に浮かぶ [こころにうかぶ] /(exp,v5b) to cross one's mind/to spring to mind/to occur to one/
心に留める [こころにとめる] /(exp,v1) to bear in mind/to keep remembering/
心のぶつかり合い [こころのぶつかりあい] /(exp) clash of minds (between friends)/discord/emotional conflict/
心の奥 [こころのおく] /(n) inner heart/
心の奥底 [こころのおくそこ] /(exp) innermost depths of one's heart/
心の狭い [こころのせまい] /(adv,adj-i) narrow-minded/shallow/
心の琴線 [こころのきんせん] /(n) heartstrings/innermost soul/
心の交流 [こころのこうりゅう] /(n) spiritual exchange/reciprocal flow of feeling/
心の広い [こころのひろい] /(exp) generous/broad-minded/big-hearted/
心の支え [こころのささえ] /(n) moral support/emotional support/spiritual support/
心の準備 [こころのじゅんび] /(n) mental preparedness/being braced for/being steeled for/
心の傷 [こころのきず] /(n) emotional scars/mental trauma/
心の中 [こころのうち] /(exp,n) one's mind/
心の底 [こころのそこ] /(exp,n) bottom of one's heart/
心の哲学 [こころのてつがく] /(n) philosophy of mind/
心の平ら [こころのたいら] /(adj-na) even-tempered/
心の優しい人 [こころのやさしいひと] /(exp) kind man/kind-hearted man/
心の友 [こころのとも] /(n) one's bosom friend/kindred-spirit/
心の糧 [こころのかて] /(n) food for thought/
心は良い男 [しんはよいおとこ] /(n) a good man at heart/
心ばかり [こころばかり] /(n) token/a trifle/
心もとない [こころもとない] /(adj-i) uneasy/unsure/unreliable/
心ゆくばかり [こころゆくばかり] /(adv) to one's heart's content/
心ゆくまで [こころゆくまで] /(adv) to one's heart's content/
心より [こころより] /(adv) heartfelt/
心をこめて [こころをこめて] /(exp) wholeheartedly/(P)/
心をこめる [こころをこめる] /(exp,v1) to do wholeheartedly/to put one's heart into something/
心を寄せる [こころをよせる] /(exp,v1) to take to/to let one's heart go out to/
心を鬼にする [こころをおににする] /(exp,vs-i) to harden one's heart/
心を許す [こころをゆるす] /(exp,v5s) to trust/to relax one's guard (around)/
心を許せる人 [こころをゆるせるひと] /(exp) one's trusted friend/confidant/
心を向ける [こころをむける] /(exp,v1) to turn one's thoughts to/to pay attention to/to give heed to/
心を込めて [こころをこめて] /(exp) wholeheartedly/(P)/
心を込める [こころをこめる] /(exp,v1) to do wholeheartedly/to put one's heart into something/
心を砕く [こころをくだく] /(exp,v5k) to rack one's brains/to wrack one's brains/
心を捉える [こころをとらえる] /(exp,v1) to impress/to charm/
心を打つ [こころをうつ] /(exp,v5t) to touch (a person's) heart/to impress (a person)/
心を奪う [こころをうばう] /(exp,v5u,vi) to be thoroughly attracted by/to be completely fascinated by/
心を奪われる [こころをうばわれる] /(exp,v1) to be captivated by .../to be fascinated with .../
心を痛める [こころをいためる] /(exp,v1) to be grieved at heart/
心を通わせる [こころをかよわせる] /(exp,v1) to establish an emotional bond with/to reach out to/to relate to/
心を動かされる [こころをうごかされる] /(exp,v1) to be moved by/to be touched by/
心を動かす [こころをうごかす] /(exp,v5s) to impress/to move one's heart/to touch (a person's heart)/
心を入れる [こころをいれる] /(exp,v1) to put one's heart into/to devote oneself to/
心を入れ替える [こころをいれかえる] /(exp,v1) to turn over a new leaf/to mend one's ways/to reform/
心を配る [こころをくばる] /(exp,v5r) to give attention/
心を煩わす [こころをわずらわす] /(exp,v5s) to worry oneself over/
心を疲らす [こころをつからす] /(exp,v5s) to fatigue one's mind/
心を用いる [こころをもちいる] /(exp,v1) to be attentive to/to pay attention to/
心を籠めて [こころをこめて] /(exp) wholeheartedly/with all one's heart/
心安い [こころやすい] /(adj-i) intimate/carefree/familiar/friendly/
心安立て [こころやすだて] /(n) frankness/
心意 [しんい] /(n) mind/
心意気 [こころいき] /(n) spirit/disposition/(P)/
心易い [こころやすい] /(iK) (adj-i) intimate/carefree/familiar/friendly/
心移り [こころうつり] /(n) change of heart/fickleness/
心因 [しんいん] /(n) psychogenesis/
心因性反応 [しんいんせいはんのう] /(n) psychogenic reaction/
心因反応 [しんいんはんのう] /(n) psychogenic reaction/
心猿 [しんえん] /(n) passion/passions/
心猿意馬 [しんえんいば] /(n) (being unable to control) one's worldly desires and passions/
心温まる [こころあたたまる] /(v5r,vi) to be heart-warming/
心音 [しんおん] /(n) (sound of one's) heartbeat/
心外 [しんがい] /(adj-na) (1) regrettable/vexing/upsetting/(2) unthinkable/wholly unexpected/(P)/
心外千万 [しんがいせんばん] /(n,adj-na) being totally upset (by)/being completely nonplused (by)/being mortified (at)/feeling aggrieved (at)/finding (it) highly regrettable/
心覚え [こころおぼえ] /(n) memory/
心覚えに [こころおぼえに] /(adv) as a reminder/
心学 [しんがく] /(n) Edo-period popularized blend of Buddhist, Shinto and Confucian ethical teachings (popularised)/
心掛け [こころがけ] /(n) intention/attention/dedication/care/prudence/readiness/mental attitude/(P)/
心掛ける [こころがける] /(v1,vt) to keep in mind/to bear in mind/to try/to aim to do/to endeavor/to endeavour/(P)/
心肝 [しんかん] /(n,adj-no) heart/
心眼 [しんがん] /(n) the mind's eye/
心願 [しんがん] /(n) prayer/heartfelt wish/
心願成就 [しんがんじょうじゅ] /(n) earnest prayers being answered/realization of one's earnest wishes/
心機 [しんき] /(n) one's mental state or attitude/
心機一転 [しんきいってん] /(n,vs) changing one's attitude/turning over a new leaf/getting a fresh start/
心気 [しんき] /(n,adj-na) (1) mentality/mood/sentiment/feelings/(2) fretfulness/tedium/
心気くさい [しんきくさい] /(adj-i) irritating (e.g. tone of voice)/fretful/boring (e.g. work)/depressing/dark (e.g. story)/
心気一転 [しんきいってん] /(iK) (n,vs) changing one's attitude/turning over a new leaf/getting a fresh start/
心気臭い [しんきくさい] /(adj-i) irritating (e.g. tone of voice)/fretful/boring (e.g. work)/depressing/dark (e.g. story)/
心気症 [しんきしょう] /(n) hypochondria/
心技 [しんぎ] /(n) spirit and technique/
心技体 [しんぎたい] /(n) three qualities of a sumo wrestler: heart, technique, physique/
心休め [こころやすめ] /(n) consolation/
心許ない [こころもとない] /(adj-i) uneasy/unsure/unreliable/
心許り [こころばかり] /(n) token/a trifle/
心境 [しんきょう] /(n) mental state/(P)/
心強い [こころづよい] /(adj-i) heartening/reassuring/(P)/
心筋 [しんきん] /(n,adj-no) heart muscle/myocardium/(P)/
心筋梗塞 [しんきんこうそく] /(n) heart attack/myocardial infarction/
心筋症 [しんきんしょう] /(n) cardiomyopathy/
心苦しい [こころぐるしい] /(adj-i) painful/being sorry/feeling sorry/
心血 [しんけつ] /(n) heart's blood/
心血管 [しんけっかん] /(adj-f) cardiovascular/
心血管系 [しんけっかんけい] /(n) cardiovascular system/
心血管疾患 [しんけっかんしっかん] /(n) cardiovascular disease/
心懸け [こころがけ] /(n) intention/attention/dedication/care/prudence/readiness/mental attitude/
心懸ける [こころがける] /(v1,vt) to keep in mind/to bear in mind/to try/to aim to do/to endeavor/to endeavour/
心遣い [こころづかい] /(n) solicitude/sympathy/anxiety/regard for/consideration (for others)/watchfulness/care/(P)/
心遣り [こころやり] /(n) thoughtfulness/diversion/recreation/
心後れ [こころおくれ] /(n,vs) diffidence/timidity/
心構え [こころがまえ] /(n) preparedness/readiness/(P)/
心行く [こころゆく] /(v5k-s,vi) to be completely satisfied or contented/
心行く迄 [こころゆくまで] /(adv) to one's heart's content/
心根 [こころね] /(n) feelings/nature/disposition/
心魂 [しんこん] /(n) heart and soul/one's soul (heart)/
心細い [こころぼそい] /(adj-i) helpless/forlorn/hopeless/unpromising/lonely/discouraging/disheartening/(P)/
心材 [しんざい] /(n) heartwood/
心算 [しんさん] /(n) intention/
心算 [しんざん] /(n) intention/
心残り [こころのこり] /(adj-na,n) regret/reluctance/
心事 [しんじ] /(n) mind/
心持 [こころもち] /(adv,n) feeling/mood/somewhat/slightly/
心持ち [こころもち] /(adv,n) feeling/mood/somewhat/slightly/
心耳 [しんじ] /(n) (1) listening attentively/(2) auricle (of the atrium)/
心耳 [しんに] /(n) (1) listening attentively/
心室 [しんしつ] /(n,adj-no) ventricle/
心室細動 [しんしつさいどう] /(n) ventricular fibrillation/
心疾患 [しんしっかん] /(n) heart disease/
心寂しい [うらさびしい] /(adj-i) lonesome/lonely/forlorn/
心寂しい [こころさびしい] /(adj-i) lonely/lonesome/
心弱い [こころよわい] /(adj-i) tenderhearted/faint of heart/
心惹かれる [こころひかれる] /(v1) to feel attracted by/to be fascinated by/
心宿 [なかごぼし] /(n) Chinese "Heart" constellation (one of the 28 mansions)/
心祝い [こころいわい] /(n) (informal) celebration/
心緒 [しんしょ] /(n) emotion/mind/
心緒 [しんちょ] /(n) emotion/mind/
心証 [しんしょう] /(n) impression/
心象 [しんしょう] /(n) impression/
心象風景 [しんしょうふうけい] /(n) imagined landscape/scenery in one's mind's eye/
心丈夫 [こころじょうぶ] /(adj-na,n) secure/reassuring/
心情 [しんじょう] /(n) sentiment/emotions/one's feelings/one's heart/(P)/
心情的 [しんじょうてき] /(adj-na) sentimental/on an emotional level/in one's heart/
心情吐露 [しんじょうとろ] /(n) expression of one's feelings/pouring out one's heart/
心情倫理 [しんじょうりんり] /(n) ethics of conviction/
心情論 [しんじょうろん] /(n) emotionalism/sentimentality/
心神 [しんしん] /(n) mind/
心神喪失 [しんしんそうしつ] /(n,adj-no) of unsound mind/
心神耗弱 [しんしんこうじゃく] /(n) mental retardation/unsound mind/
心神耗弱 [しんしんもうじゃく] /(n) mental retardation/unsound mind/(P)/
心神耗弱者 [しんしんこうじゃくしゃ] /(n) mentally retarded person/feebleminded person/
心神耗弱者 [しんしんもうじゃくしゃ] /(n) mentally retarded person/feebleminded person/
心身 [しんしん] /(n,adj-no) mind and body/(P)/
心身 [しんじん] /(ok) (n,adj-no) mind and body/
心身医学 [しんしんいがく] /(n) psychosomatic medicine/
心身一体 [しんしんいったい] /(n) (medical) holism/
心身一如 [しんしんいちにょ] /(n) body and mind as one/mind-body unity/
心身症 [しんしんしょう] /(n) psychosomatic illness/
心身障害 [しんしんしょうがい] /(n) mental and physical disorder/
心身障害児 [しんしんしょうがいじ] /(n) disabled child/physically handicapped child/
心身障害者 [しんしんしょうがいしゃ] /(n) disabled person/physically handicapped person/
心身創痍 [しんしんそうい] /(n) being wounded in mind and body/
心身爽快 [しんしんそうかい] /(n) feeling refreshed in mind and body/
心身二元論 [しんしんにげんろん] /(n) mind-body dualism/
心尽くし [こころずくし] /(ik) (n) kindness/consideration/
心尽くし [こころづくし] /(n) kindness/consideration/
心尽し [こころずくし] /(ik) (n) kindness/consideration/
心尽し [こころづくし] /(n) kindness/consideration/
心酔 [しんすい] /(n,vs) adoration/(P)/
心髄 [しんずい] /(n,adj-no) true meaning/mystery/essence/quintessence/soul/core/kernel/life blood/
心性 [しんせい] /(n) mind/disposition/nature/
心成し [こころなし] /(exp) somehow/somewhat/seemingly/
心静か [こころしずか] /(adj-na) calm/serene/tranquil/peaceful/
心積もり [こころづもり] /(n) preparation/anticipation/
心組み [こころぐみ] /(n) preparation/anticipation/
心像 [しんぞう] /(n,adj-no) mental image/
心憎い [こころにくい] /(adj-i) refined/admirable/superb/
心臓 [しんぞう] /(n) heart/(P)/
心臓の鼓動 [しんぞうのこどう] /(n) heartbeat/
心臓まひ [しんぞうまひ] /(n,adj-no) cardioplegia/heart attack/
心臓マッサージ [しんぞうマッサージ] /(n) cardiac massage/heart massage/
心臓移植 [しんぞういしょく] /(n) heart transplant/
心臓移植手術 [しんぞういしょくしゅじゅつ] /(n) heart transplant operation/
心臓外科 [しんぞうげか] /(n) heart surgery/
心臓形 [しんぞうけい] /(n) (1) (math) cardioid/(adj-no) (2) cordate/heart-shaped/
心臓死 [しんぞうし] /(n) cardiac death/
心臓神経症 [しんぞうしんけいしょう] /(n) cardiac neurosis/
心臓発作 [しんぞうほっさ] /(n) (1) heart attack/(vs) (2) to have a heart attack/
心臓肥大 [しんぞうひだい] /(n) enlargement of the heart/
心臓病 [しんぞうびょう] /(n) heart trouble/heart disease/(P)/
心臓病学 [しんぞうびょうがく] /(n) cardiology/
心臓部 [しんぞうぶ] /(n) central part/
心臓弁 [しんぞうべん] /(n) heart valve/cardiac valve/
心臓弁膜症 [しんぞうべんまくしょう] /(n) valvular disease of the heart/
心臓麻痺 [しんぞうまひ] /(n,adj-no) cardioplegia/heart attack/
心太 [ところてん] /(n) (1) (food) gelidium jelly strips (made from agar-agar)/(2) (uk) (vulg) prostate orgasm/
心打 [しんうち] /(n) star performer/headliner/
心打たれる [こころうたれる] /(v1) to be (deeply) touched by/to be struck by/
心打ち [しんうち] /(n) star performer/headliner/
心待ち [こころまち] /(n,vs) anticipation/expectation/(P)/
心待ちにする [こころまちにする] /(exp,vs-i) to look forward to/
心胆 [しんたん] /(n) heart/
心胆を寒からしめる [しんたんをさむからしめる] /(exp,v1) (id) to make a person's blood run cold/
心暖まる [こころあたたまる] /(v5r,vi) to be heart-warming/
心地 [ここち] /(n) (1) feeling/sensation/mood/(suf) (2) sensation of doing (usu. after -masu stem of verb)/(P)/
心地 [しんじ] /(n) padding/lining/foundation/
心地よい [ここちよい] /(adj-i) comfortable/pleasant/
心地好い [ここちよい] /(adj-i) comfortable/pleasant/
心地良い [ここちよい] /(adj-i) comfortable/pleasant/
心恥かしい [うらはずかしい] /(adj-i) slightly ashamed/rather shy/
心置きなく [こころおきなく] /(adv) freely/frankly/without reserve/
心置き無く [こころおきなく] /(adv) freely/frankly/without reserve/
心中 [しんじゅう] /(n,vs) double suicide/lovers suicide/(P)/
心中 [しんちゅう] /(n) in one's heart/true motives/mind/(P)/
心柱 [しんばしら] /(n) (1) (obsc) central pillar of a pagoda/(2) leader of the Tenri religion/
心張り棒 [しんばりぼう] /(n) a bar/
心痛 [しんつう] /(n,vs,adj-no) worry/mental agony/heartache/
心停止 [しんていし] /(n) cardiac arrest/
心底 [しんそこ] /(adv,n) one's innermost depths/completely (from the bottom of one's heart)/
心底 [しんてい] /(adv,n) one's innermost depths/completely (from the bottom of one's heart)/
心的 [しんてき] /(adj-na,n) mental/psychological/physical/
心的外傷 [しんてきがいしょう] /(n) emotional trauma/
心的外傷後ストレス障害 [しんてきがいしょうごストレスしょうがい] /(n) post-traumatic stress disorder/PTSD/
心的状態 [しんてきじょうたい] /(n) one's mental state/
心的表示 [しんてきひょうじ] /(n) mental representation/
心天 [ところてん] /(n) (1) (food) gelidium jelly strips (made from agar-agar)/(2) (uk) (vulg) prostate orgasm/
心添え [こころぞえ] /(n) advice/suggestion/
心電計 [しんでんけい] /(n) electrocardiograph/ECG/EKG/
心電図 [しんでんず] /(n) electro-cardiogram/ECG/EKG/
心土 [しんど] /(n) subsoil/
心当たり [こころあたり] /(n) having some knowledge of/happening to know/(P)/
心当たりがある [こころあたりがある] /(exp,v5r-i) to have an idea/to have a clue/
心当たりがない [こころあたりがない] /(exp) having no idea/having no clue/
心当たりが無い [こころあたりがない] /(exp) having no idea/having no clue/
心当たりが有る [こころあたりがある] /(exp,v5r-i) to have an idea/to have a clue/
心当たりのない [こころあたりのない] /(adj-i) completely unknown/unexpected/having no clue about/
心当て [こころあて] /(n) a guess/anticipation/
心当り [こころあたり] /(n) having some knowledge of/happening to know/
心頭 [しんとう] /(n) heart/mind/
心頭滅却 [しんとうめっきゃく] /(n,adj-no) clearing one's mind of all mundane thoughts/
心得 [こころえ] /(n) knowledge/information/(P)/
心得る [こころえる] /(v1,vt) (1) to know/to understand/to be aware of/to regard as/to take for/(2) to consent/to agree/(P)/
心得違い [こころえちがい] /(n) imprudence/misbehavior/misbehaviour/misunderstanding/
心得顔 [こころえがお] /(adj-na,n) knowing look/
心得難い [こころえがたい] /(adj-i) hard to understand or accept/
心内膜炎 [しんないまくえん] /(n,adj-no) endocarditis/
心任せ [こころまかせ] /(n) as one pleases/
心嚢 [しんのう] /(n,adj-no) pericardium/
心肺機能 [しんぱいきのう] /(n) cardio-pulmonary function/
心肺蘇生法 [しんぱいそせいほう] /(n) cardiopulmonary resuscitation/CPR/
心肺停止 [しんぱいていし] /(n) cardiopulmonary arrest/
心肺停止状態 [しんぱいていしじょうたい] /(n) (in a) state of cardiopulmonary arrest/
心配 [しんぱい] /(adj-na,n,vs) (1) worry/concern/anxiety/(n,vs) (2) care/help/aid/assistance/(P)/
心配ご無用 [しんぱいごむよう] /(exp) Don't worry about it/There is nothing to fear/There is no need for anxiety/Everything is under control/
心配でならない [しんぱいでならない] /(exp) can't help worrying/besides myself with worry/
心配り [こころくばり] /(n,vs) exerting care/attention/consideration/thoughtfulness/
心配をかける [しんぱいをかける] /(exp,v1) to cause someone to worry/
心配を掛ける [しんぱいをかける] /(exp,v1) to cause someone to worry/
心配御無用 [しんぱいごむよう] /(exp) Don't worry about it/There is nothing to fear/There is no need for anxiety/Everything is under control/
心配事 [しんぱいごと] /(n) worries/cares/troubles/
心配性 [しんぱいしょう] /(n) prone to worrying/
心配無用 [しんぱいむよう] /(exp) Don't worry about it/There is nothing to fear/There is no need for anxiety/Everything is under control/
心拍 [しんぱく] /(n,adj-no) heart rate/
心拍計 [しんぱくけい] /(n) heart rate monitor/cardiometer watch/
心拍数 [しんぱくすう] /(n) one's heart rate/pulse rate/
心抜き器 [しんぬきき] /(n) corer/
心悲しい [うらがなしい] /(adj-i) sad/mournful/melancholy/sorrowful/
心皮 [しんぴ] /(n) carpel/
心不全 [しんふぜん] /(n) heart failure/(P)/
心付く [こころづく] /(v5k,vi) to perceive/to notice/
心付け [こころづけ] /(n) gratuity/
心服 [しんぷく] /(n,vs) admiration and devotion/hearty submission/
心腹 [しんぷく] /(n) chest and stomach/one's innermost being/
心柄 [こころがら] /(n) state of mind/
心変わり [こころがわり] /(n) change one's mind/inconstancy/faithlessness/
心忙しい [こころぜわしい] /(adj-i) restless/
心房 [しんぼう] /(n,adj-no) atrium/chamber of the heart/
心房細動 [しんぼうさいどう] /(n) atrial fibrillation/auricular fibrillation/
心棒 [しんぼう] /(n) shaft/axle/
心膜 [しんまく] /(n,adj-no) pericardium/pericardial sac/
心膜炎 [しんまくえん] /(n,adj-no) pericarditis/
心密かに [こころひそかに] /(adv) inwardly/secretly/
心無い [こころない] /(adj-i) thoughtless/inconsiderate/tasteless/cruel/
心無し [こころなし] /(adj-f) lacking in prudence or judgement/
心無し研削 [しんなしけんさく] /(n) centerless grinding/centreless grinding/
心有る [こころある] /(adj-pn) thoughtful/considerate/sensible/
心頼み [こころだのみ] /(n) reliance/dependence/
心理 [しんり] /(n) state of mind/mentality/psychology/(P)/
心理カウンセラー [しんりカウンセラー] /(n) psychology counselor/psychological counselor/
心理音響 [しんりおんきょう] /(adj-na) psychoacoustic/
心理学 [しんりがく] /(n) psychology/(P)/
心理学者 [しんりがくしゃ] /(n) psychologist/
心理学的 [しんりがくてき] /(adj-na) psychological/
心理検査 [しんりけんさ] /(n) psychological examination/mental test/
心理言語学 [しんりげんごがく] /(n) (ling) psycholinguistics/
心理作戦 [しんりさくせん] /(n) psychological tactics/
心理主義 [しんりしゅぎ] /(n) psychologism/
心理小説 [しんりしょうせつ] /(n) psychological novel/
心理状態 [しんりじょうたい] /(n) state of mind/(one's) mental state/
心理戦 [しんりせん] /(n) psychological warfare/
心理戦争 [しんりせんそう] /(n) psychological warfare/
心理的 [しんりてき] /(adj-na) psychological/mental/
心理描写 [しんりびょうしゃ] /(n) psychological description/
心理療法 [しんりりょうほう] /(n) psychotherapy/
心立て [こころだて] /(n) disposition/
心療内科 [しんりょうないか] /(n) psychosomatic medicine/
心淋しい [うらさびしい] /(adj-i) lonesome/lonely/forlorn/
心霊 [しんれい] /(n,adj-no) spirit/
心霊学 [しんれいがく] /(n) study of psychic phenomena/psychics/
心霊現象 [しんれいげんしょう] /(n) psychic phenomenon/
心霊写真 [しんれいしゃしん] /(n) spirit photography/ghost photography/
心霊手術 [しんれいしゅじゅつ] /(n) psychic surgery/
心霊術 [しんれいじゅつ] /(n) spiritualism/spiritualistic ability/ability to cause psychic phenomena/
心労 [しんろう] /(n,vs) anxiety/worry/fear/(P)/
心做し [こころなし] /(exp) somehow/somewhat/seemingly/
心悸昂進 [しんきこうしん] /(n) palpitations (of the heart)/
心悸亢進 [しんきこうしん] /(n) palpitations (of the heart)/
心焉に在らざれば視れども見えず [こころここにあらざればみれどもみえず] /(exp) (id) The eye is blind if the mind is absent/
心焉に在らず [こころここにあらず] /(exp) there in body, but not in spirit/distracted/in one ear and out the other/
慎しみ [つつしみ] /(io) (n) modesty/self-control/discretion/
慎ましい [つつましい] /(adj-i) (uk) modest/reserved/quiet/humble/
慎ましやか [つつましやか] /(adj-na) modest/reserved/
慎み [つつしみ] /(n) modesty/self-control/discretion/
慎み深い [つつしみぶかい] /(adj-i) discreet/modest/cautious/
慎む [つつしむ] /(v5m,vt) (1) to be careful/to be discreet/(2) to do in moderation/to refrain (from overdoing)/to abstain/(3) to be purified/to be chaste/(P)/
慎重 [しんちょう] /(adj-na,n) discretion/prudence/caution/care/(P)/
慎重居士 [しんちょうこじ] /(n) very cautious person/very prudent person/very discreet person/
慎重吟味 [しんちょうぎんみ] /(n) scrutiny/careful (close) examination (investigation)/careful inquiry/careful selection/
慎重論 [しんちょうろん] /(n) cautious theory/conservative theory/
振う [ふるう] /(io) (v5u,vt) (1) to swing/to wield (physically)/to exert/(2) to exercise/to wield (metaphorically)/(3) to flourish/to prosper/to thrive/
振られる [ふられる] /(v1,vi) to be given the cold shoulder/to be jilted/to be rejected/to be dumped/
振り [ふり] /(n,vs) (1) (uk) pretence (pretense)/show/(2) appearance/behaviour/(3) swing/swinging/(4) lacking a reservation or introduction (at a restaurant, etc.)/(5) unsewn part of a hanging sleeve on a traditional Japanese woman's garment/(P)/
振り [ぶり] /(suf) (1) style/manner/(2) after (period of time) again (e.g. meeting again after a year)/(P)/
振りあげる [ふりあげる] /(v1,vt) to raise overhead/
振りかえる [ふりかえる] /(v1,vt) to change (e.g. a bill)/to transfer (e.g. money)/to switch over/to move over/
振りかえる [ふりかえる] /(v5r,vi) to turn head/to look over one's shoulder/to turn around/to look back/
振りかける [ふりかける] /(v1,vt) (uk) to sprinkle over (e.g. salt, pepper, etc. on food)/
振りかざす [ふりかざす] /(v5s,vt) to brandish (sword) over one's head/
振りかぶる [ふりかぶる] /(v5r,vi) to hold aloft (e.g. a sword)/to brandish/
振りがな [ふりがな] /(n) furigana (kana over or beside kanji to indicate pronunciation)/
振りそで [ふりそで] /(n) long-sleeved kimono/
振りまく [ふりまく] /(v5k,vt) to scatter/to sprinkle/to lavish/
振り下ろす [ふりおろす] /(v5s) to swing downward/
振り仮名 [ふりがな] /(n) furigana (kana over or beside kanji to indicate pronunciation)/(P)/
振り解く [ふりほどく] /(v5k,vt) to shake and untangle/
振り回す [ふりまわす] /(v5s,vt) (1) to wield/to brandish/to flourish/to wave (about)/to swing/(2) to display (one's knowledge)/to show off/(3) to abuse (one's power)/(4) to manipulate someone/(P)/
振り掛け [ふりかけ] /(n) (1) dried food sprinkled over rice/(2) fish flour/
振り掛ける [ふりかける] /(v1,vt) (uk) to sprinkle over (e.g. salt, pepper, etc. on food)/
振り漢字 [ふりかんじ] /(n) kanji printed as ruby, usually to explain kana/
振り起こす [ふりおこす] /(v5s,vt) to stir up/to stimulate/
振り起す [ふりおこす] /(v5s,vt) to stir up/to stimulate/
振り仰ぐ [ふりあおぐ] /(v5g,vi) to look up/
振り向く [ふりむく] /(v5k) to turn one's face/to turn around/to look over one's shoulder/(P)/
振り向ける [ふりむける] /(v1,vt) (1) to turn (around)/(2) to appropriate/to set aside for a purpose/
振り絞る [ふりしぼる] /(v5r,vt) (1) to muster (one's strength)/(2) to strain (e.g. one's voice)/
振り合い [ふりあい] /(n) consideration/comparison/usage/custom/
振り合う [ふりあう] /(v5u,vi) to touch each other/
振り込み [ふりこみ] /(n) payment made via bank deposit transfer/(P)/
振り込む [ふりこむ] /(v5m) to make a payment via bank deposit transfer/(P)/
振り込め詐欺 [ふりこめさぎ] /(n) remittance fraud/bank transfer scam/
振り撒く [ふりまく] /(v5k,vt) to scatter/to sprinkle/to lavish/
振り子 [ふりこ] /(n) pendulum/(P)/
振り子時計 [ふりこどけい] /(n) pendulum clock/
振り捨てる [ふりすてる] /(v1,vt) to shake off/to forsake/
振り出 [ふりだし] /(n) (1) shaking out/(2) throw (of dice)/toss/(3) drawing/issuing/draft/draught/(4) starting point/beginning/outset/(5) (abbr) infusion/
振り出し [ふりだし] /(n) (1) shaking out/(2) throw (of dice)/toss/(3) drawing/issuing/draft/draught/(4) starting point/beginning/outset/(5) (abbr) infusion/(P)/
振り出し薬 [ふりだしぐすり] /(n) infusion/
振り出す [ふりだす] /(v5s,vt) to shake and give/to start shaking/to shake out/to write (draw on) a check (cheque)/
振り上げる [ふりあげる] /(v1,vt) to raise overhead/
振り切る [ふりきる] /(v5r,vt) (1) to shake off/to shake free from/(2) to swing completely/(P)/
振り袖 [ふりそで] /(n) long-sleeved kimono/
振り替 [ふりかえ] /(n) transfer (money)/change/
振り替え [ふりかえ] /(n) transfer (money)/change/
振り替える [ふりかえる] /(v1,vt) to change (e.g. a bill)/to transfer (e.g. money)/to switch over/to move over/
振り替え休日 [ふりかえきゅうじつ] /(n) compensatory holiday/observed holiday (weekday holiday when the actual day is on a weekend)/substitute holiday/
振り当てる [ふりあてる] /(v1,vt) to assign/to allot/
振り逃げ [ふりにげ] /(n) reaching first base safely due to opponent's error/
振り被る [ふりかぶる] /(v5r,vi) to hold aloft (e.g. a sword)/to brandish/
振り付け [ふりつけ] /(n) (1) choreography/dance coaching/(2) Japanese dance competition/(P)/
振り付け師 [ふりつけし] /(n) choreographer/
振り幅 [ふりはば] /(n) amplitude (of vibration)/swing of pendulum/
振り払う [ふりはらう] /(v5u,vt) to shake off/
振り分け [ふりわけ] /(n) divide/center/centre/
振り分ける [ふりわける] /(v1,vt) (1) to divide in two/to divide in half/(2) to apportion/to divide among/to portion out/to allot/to assign/
振り分け荷物 [ふりわけにもつ] /(n) pair of bundles slung over a shoulder/
振り分け髪 [ふりわけがみ] /(n) hair parted in the middle/
振り返す [ふりかえす] /(v5s) to relapse/to reassert/to review./
振り返る [ふりかえる] /(v5r,vi) to turn head/to look over one's shoulder/to turn around/to look back/(P)/
振り放す [ふりはなす] /(v5s,vt) to break free of/
振り方 [ふりかた] /(n) how to swing/future plans/
振り落す [ふりおとす] /(v5s,vt) to shake off/to throw off/
振り落とす [ふりおとす] /(v5s,vt) to shake off/to throw off/
振り乱す [ふりみだす] /(v5s,vt) to dishevel (hair)/
振り離す [ふりはなす] /(v5s,vt) to break free of/
振り立てる [ふりたてる] /(v1,vt) to toss (i.e. one's head)/to wave (i.e. a flag)/to stand up energetically/to raise one's voice/
振り翳ざす [ふりかざす] /(v5s,vt) to brandish (sword) over one's head/
振り翳す [ふりかざす] /(v5s,vt) to brandish (sword) over one's head/
振る [ふる] /(v5r,vt) (1) to wave/to shake/to swing/(2) to sprinkle/to throw (dice)/(3) to cast (actor)/to allocate (work)/(4) to turn down (somebody)/to reject/to jilt/to dump/(5) to abandon/to give up/to ruin/(6) to add kana indicating a reading of a word/(7) to slightly change headings/to change directions/(8) to extract by broiling/to prepare an infusion of/to decoct/(9) to carry with great vigor (e.g. a portable shrine)/(10) to bring up the main topic/(11) to replace/to substitute/(12) to set up a joke for somebody else/(P)/
振る [ぶる] /(suf,v5r) (1) assuming the air of .../behaving like .../(v5r) (2) (col) to put on airs/to be self-important/
振るい落す [ふるいおとす] /(v5s) to shake off/
振るい落とす [ふるいおとす] /(v5s) to shake off/
振るう [ふるう] /(v5u,vt) (1) to swing/to wield (physically)/to exert/(2) to exercise/to wield (metaphorically)/(3) to flourish/to prosper/to thrive/
振るった [ふるった] /(exp) different/eccentric/original/striking/extraordinary/
振るまい [ふるまい] /(n) behavior/behaviour/conduct/
振るわない [ふるわない] /(adj-i) in a bad way/dull/
振る舞い [ふるまい] /(n) behavior/behaviour/conduct/(P)/
振る舞う [ふるまう] /(v5u,vt) (1) to behave/to conduct oneself/(2) to entertain/to treat someone (to a drink)/to make tea for someone (tea ceremony)/(P)/
振れる [ふれる] /(v1,vi) (1) to swing/to shake/to wave/(2) to veer/to deflect/to lean towards/
振れ幅 [ふれはば] /(n) amplitude/degree of vibration/range of vibration/degree of instability/
振仮名 [ふりがな] /(n) furigana (kana over or beside kanji to indicate pronunciation)/
振回す [ふりまわす] /(v5s,vt) (1) to wield/to brandish/to flourish/to wave (about)/to swing/(2) to display (one's knowledge)/to show off/(3) to abuse (one's power)/(4) to manipulate someone/
振掛け [ふりかけ] /(n) (1) dried food sprinkled over rice/(2) fish flour/
振起 [しんき] /(n,vs) encouragement/stimulation/
振起こす [ふりおこす] /(v5s,vt) to stir up/to stimulate/
振起す [ふりおこす] /(v5s,vt) to stir up/to stimulate/
振興 [しんこう] /(n,vs) promotion/encouragement/(P)/
振興策 [しんこうさく] /(n) measures for the promotion of/stimulation measure (for the economy)/
振仰ぐ [ふりあおぐ] /(v5g,vi) to look up/
振向く [ふりむく] /(v5k) to turn one's face/to turn around/to look over one's shoulder/
振向ける [ふりむける] /(v1,vt) (1) to turn (around)/(2) to appropriate/to set aside for a purpose/
振合い [ふりあい] /(n) consideration/comparison/usage/custom/
振合う [ふりあう] /(v5u,vi) to touch each other/
振込 [ふりこみ] /(n) payment made via bank deposit transfer/
振込み [ふりこみ] /(io) (n) payment made via bank deposit transfer/
振込む [ふりこむ] /(v5m) to make a payment via bank deposit transfer/
振作 [しんさく] /(n,vs) prosperity/
振子 [しんし] /(n) pendulum/
振子 [ふりこ] /(n) pendulum/
振子時計 [ふりこどけい] /(n) pendulum clock/
振捨てる [ふりすてる] /(v1,vt) to shake off/to forsake/
振粛 [しんしゅく] /(n,vs) strict enforcement/
振出 [ふりだし] /(n) (1) shaking out/(2) throw (of dice)/toss/(3) drawing/issuing/draft/draught/(4) starting point/beginning/outset/(5) (abbr) infusion/
振出し [ふりだし] /(n) (1) shaking out/(2) throw (of dice)/toss/(3) drawing/issuing/draft/draught/(4) starting point/beginning/outset/(5) (abbr) infusion/
振出し薬 [ふりだしぐすり] /(n) infusion/
振出局 [ふりだしきょく] /(n) selling office/
振出人 [ふりだしにん] /(n) remitter/writer of cheque/writer of check/
振出日 [ふりだしび] /(n) issue date (e.g. of a promissory note)/
振切る [ふりきる] /(v5r,vt) (1) to shake off/to shake free from/(2) to swing completely/
振戦 [しんせん] /(n) tremor (muscular)/trembling/shaking/
振戦せん妄 [しんせんせんもう] /(n) delirium tremens/
振戦譫妄 [しんせんせんもう] /(n) delirium tremens/
振袖 [ふりそで] /(n) long-sleeved kimono/
振袖魚 [ふりそでうお] /(n) (uk) polka-dot ribbonfish (Desmodema polystictum)/
振替 [ふりかえ] /(n) transfer (money)/change/(P)/
振替え [ふりかえ] /(n) transfer (money)/change/
振替える [ふりかえる] /(v1,vt) to change (e.g. a bill)/to transfer (e.g. money)/to switch over/to move over/
振替休日 [ふりかえきゅうじつ] /(n) compensatory holiday/observed holiday (weekday holiday when the actual day is on a weekend)/substitute holiday/
振替輸送 [ふりかえゆそう] /(n) transfer (of passengers or freight)/
振旦 [しんたん] /(n) (ancient) China/
振旦 [しんだん] /(ok) (n) (ancient) China/
振当てる [ふりあてる] /(v1,vt) to assign/to allot/
振動 [しんどう] /(n,vs) oscillation/vibration/(P)/
振動計 [しんどうけい] /(n) vibrometer/vibroscope/
振動子 [しんどうし] /(n) oscillator/vibrator/
振動数 [しんどうすう] /(n) frequency/
振動板 [しんどうばん] /(n) trembler/
振付 [ふりつけ] /(n) (1) choreography/dance coaching/(2) Japanese dance competition/
振付け [ふりつけ] /(n) (1) choreography/dance coaching/(2) Japanese dance competition/
振付け師 [ふりつけし] /(n) choreographer/
振付師 [ふりつけし] /(n) choreographer/
振舞 [ふるまい] /(n) behavior/behaviour/conduct/
振舞い [ふるまい] /(n) behavior/behaviour/conduct/
振舞い試験 [ふるまいしけん] /(n) (comp) behaviour tests/
振舞い酒 [ふるまいざけ] /(n) treat of sake/
振舞い水 [ふるまいみず] /(n) water left in buckets on the roadside during the summer for travellers/
振舞う [ふるまう] /(v5u,vt) (1) to behave/to conduct oneself/(2) to entertain/to treat someone (to a drink)/to make tea for someone (tea ceremony)/
振舞水 [ふるまいみず] /(n) water left in buckets on the roadside during the summer for travellers/
振幅 [しんぷく] /(n) amplitude (of vibration)/swing of pendulum/(P)/
振幅 [ふりはば] /(n) amplitude (of vibration)/swing of pendulum/
振幅変調 [しんぷくへんちょう] /(n) amplitude modulation/AM/
振払う [ふりはらう] /(v5u,vt) to shake off/
振分ける [ふりわける] /(v1,vt) (1) to divide in two/to divide in half/(2) to apportion/to divide among/to portion out/to allot/to assign/
振返る [ふりかえる] /(v5r,vi) to turn head/to look over one's shoulder/to turn around/to look back/
振放す [ふりはなす] /(v5s,vt) to break free of/
振離す [ふりはなす] /(v5s,vt) to break free of/
振鈴 [しんれい] /(n) hand bell/ringing of a bell/
振盪 [しんとう] /(n,vs) shock/impact/concussion/
振顫 [しんせん] /(n) tremor (muscular)/trembling/shaking/
新 [あら] /(pref) (1) new/
新 [さら] /(n,adj-no) (1) (arch) new (i.e. brand-new, never used)/(pref) (2) new/
新 [しん] /(n-pref,n,n-suf) (1) new/neo-/(n) (2) (abbr) Gregorian calendar/(3) Xin (dynasty of China)/(P)/
新 [にい] /(pref) (1) new/
新ＪＩＳ漢字コード [しんジェーアイエスかんじコード] /(n) (comp) new JIS kanji character code/
新ＪＩＳ漢字コード [しんジスかんじコード] /(n) (comp) new JIS kanji character code/
新しい [あたらしい] /(adj-i) new/novel/fresh/recent/latest/up-to-date/modern/(P)/
新しいもの [あたらしいもの] /(n) new thing/
新しいもの好き [あたらしいものずき] /(n) neophilia/love of new things/
新しい酒は古い革袋に入れる [あたらしいさけはふるいかわぶくろにいれる] /(exp) (id) (obsc) to put new wine into old wineskins/to put new wine into old bottles/
新しい女 [あたらしいおんな] /(exp) liberated woman/
新しい物 [あたらしいもの] /(n) new thing/
新しい物好き [あたらしいものずき] /(n) neophilia/love of new things/
新しがり屋 [あたらしがりや] /(n) one who loves novelty/one who goes after all the latest fads/
新しがる [あたらしがる] /(v5r,vi) to be fond of new things/to hunt after novelties/
新しく [あたらしく] /(adv) newly/new/anew/
新た [あらた] /(adj-na,n) (1) new/fresh/novel/(adv) (2) newly/freshly/re-/(P)/
新たに起こった国 [あらたにおこったくに] /(n) newly established country/
新らしい [あたらしい] /(io) (adj-i) new/novel/fresh/recent/latest/up-to-date/modern/
新カント学派 [しんカントがくは] /(n) neo-Kantian school/
新ジャガ [しんジャガ] /(n) new potatoes/
新スコラ学 [しんスコラがく] /(n) (obsc) neo-scholasticism/
新スタートレック [しんスタートレック] /(n) Star Trek: The Next Generation/
新チーム [しんチーム] /(n) new team/
新マルサス主義 [しんマルサスしゅぎ] /(n) neo-Malthusianism/
新案 [しんあん] /(n) new idea or design/novelty/
新案特許 [しんあんとっきょ] /(n) patent on a new device/
新陰流 [しんかげりゅう] /(n) (MA) Shinkage-Ryu (style of Japanese fencing)/
新鋭 [しんえい] /(adj-na,n,adj-no) freshly picked/newly produced/(P)/
新円 [しんえん] /(n) new yen (issued in 1946 to fight inflation)/
新横綱 [しんよこづな] /(n) sumo wrestler newly promoted to grand champion/
新仮名遣 [しんかなづかい] /(n) modern kana usage (as laid out by the Japanese government in 1946)/
新仮名遣い [しんかなづかい] /(n) modern kana usage (as laid out by the Japanese government in 1946)/
新嘉坡 [しんがぽーる] /(n) (uk) Singapore/
新貨 [しんか] /(n) (obsc) new currency/
新貨条例 [しんかじょうれい] /(n) The New Currency Act (1871)/
新芽 [しんめ] /(n) sprout/bud/shoot/(P)/
新快速 [しんかいそく] /(n) limited express (train, faster than an express)/
新開 [しんかい] /(n) opening (of uncultivated land)/
新開地 [しんかいち] /(n) newly opened or recently settled land/
新開発 [しんかいはつ] /(n) new development/new discovery/
新概念 [しんがいねん] /(n) new concept/(P)/
新学期 [しんがっき] /(n) new school term/(P)/
新潟 [にいがた] /(n) Niigata (city)/
新潟県 [にいがたけん] /(n) Niigata prefecture (Hokuriku area)/
新株 [しんかぶ] /(n) new stocks or shares/(P)/
新株引受権 [しんかぶひきうけけん] /(n) pre-emptive right (to subscribe for new shares)/
新株予約権 [しんかぶよやくけん] /(n) share warrant/
新株予約権付社債 [しんかぶよやくけんつきしゃさい] /(n) bond with warrant attached/warrant bond/WB/
新刊 [しんかん] /(n) new book/new publication/(P)/
新刊書 [しんかんしょ] /(n) new book/new publication/
新刊書誌 [しんかんしょし] /(n) current bibliography/
新刊紹介 [しんかんしょうかい] /(n) book review/
新巻 [あらまき] /(n) salted salmon/fish wrapped in (bamboo) leaves/
新幹線 [しんかんせん] /(n) bullet train (very high speed)/Shinkansen/(P)/
新患 [しんかん] /(n) new patient/
新歓 [しんかん] /(n-pref) new members (e.g. club)/new students/freshman/
新歓コンパ [しんかんコンパ] /(n) welcome party for new students, club members, etc./
新韓国党 [しんかんこくとう] /(n) New Korea Party/
新館 [しんかん] /(n) annexe/annex/
新顔 [しんがお] /(n) newcomer/new face/(P)/
新奇 [しんき] /(adj-na,n) novel/
新期 [しんき] /(n) new season (e.g. of TV programming)/new term/
新機軸 [しんきじく] /(n) innovation/new departure/milestone/breakthrough/
新機能 [しんきのう] /(n) (comp) new functionality/new feature/
新紀元 [しんきげん] /(n) new era or epoch/
新規 [しんき] /(adj-na,adj-no) (1) new/fresh/(2) new customer/(3) new rules or regulations/(P)/
新規ユーザ [しんきユーザ] /(n) (comp) new user/
新規株式公開 [しんきかぶしきこうかい] /(n) initial public offering/IPO/
新規呼 [しんきこ] /(n) (comp) new call/
新規雇用 [しんきこよう] /(n) new jobs/
新規事業 [しんきじぎょう] /(n) new business/
新規住宅着工件数 [しんきじゅうたくちゃっこうけんすう] /(n) housing starts/
新規投資 [しんきとうし] /(n) new investment/
新規保管 [しんきほかん] /(n) (file) save as/
新記録 [しんきろく] /(n) new record (in sports, etc.)/
新技術 [しんぎじゅつ] /(n) new technology/
新義真言宗 [しんぎしんごんしゅう] /(n) Shingi Shingon ("New Shingon" school of Buddhism)/
新宮 [しんぐう] /(n) newly constructed shrine/
新旧 [しんきゅう] /(n,adj-no) new and old/incoming and outgoing/(P)/
新旧交代 [しんきゅうこうたい] /(n,vs) replacing the old with the new/the old giving way to the new/
新居 [しんきょ] /(n) new home/(P)/
新教 [しんきょう] /(n) Protestantism/
新教徒 [しんきょうと] /(n) a Protestant/
新橋 [しんばし] /(n) Shinbashi (section of Tokyo)/(P)/
新興 [しんこう] /(n,adj-no) rising/developing/emergent/(P)/
新興企業 [しんこうきぎょう] /(n) start-up company/
新興国 [しんこうこく] /(n) an emerging nation/
新興財閥 [しんこうざいばつ] /(n) new Zaibatsu (formed after the Meiji period)/
新興宗教 [しんこうしゅうきょう] /(n) a new religion/
新興住宅地 [しんこうじゅうたくち] /(n) new residential area/new residential development/
新局面 [しんきょくめん] /(n) new phase/new aspect/new stage/
新曲 [しんきょく] /(n) new piece/new song/(P)/
新玉 [あらたま] /(n) unpolished and uncut gem/
新玉の [あらたまの] /(exp,adj-f) (arch) welcome (new year, new spring, etc.)/
新型 [しんがた] /(n,adj-no) new style/new model/(P)/
新型インフルエンザ [しんがたインフルエンザ] /(n) new strains of (pandemic) influenza/
新型転換炉 [しんがたてんかんろ] /(n) advanced thermal converter reactor/
新型肺炎 [しんがたはいえん] /(n) severe acute respiratory syndrome/SARS/
新形 [しんがた] /(n,adj-no) new style/new model/
新形式 [しんけいしき] /(n) new-structure form/
新劇 [しんげき] /(n) new type or school of drama/(P)/
新月 [しんげつ] /(n) a new moon/a crescent moon/
新券 [しんけん] /(n) new banknote/
新建ち [しんだち] /(n) (1) newly rebuilt house/(vs) (2) to build a house anew/
新建材 [しんけんざい] /(n) synthetic building material/
新憲法 [しんけんぽう] /(n) new constitution (in force from 1944)/postwar constitution/
新古 [しんこ] /(n,adj-no) old and new (thing)/old, but unused/
新古典学派 [しんこてんがくは] /(n) neoclassical school (of economics)/
新古典派 [しんこてんは] /(n) neoclassicism/
新語 [しんご] /(n) new word/neologism/word of recent origin/recent word/modern term/(P)/
新語を作る [しんごをつくる] /(exp,v5r) to coin a new word/to neologize/
新口動物 [しんこうどうぶつ] /(n) deuterostome/
新香 [しんこ] /(n) pickled vegetables/pickles/
新香 [しんこう] /(n) pickled vegetables/pickles/
新穀 [しんこく] /(n) new grain/
新婚 [しんこん] /(n,vs,adj-no) newly-wed/(P)/
新婚初夜 [しんこんしょや] /(n) wedding night/
新婚生活 [しんこんせいかつ] /(n) newly-married life/
新婚旅行 [しんこんりょこう] /(n,adj-no) honeymoon/
新左翼 [しんさよく] /(n) the new left (school of thought)/
新妻 [にいづま] /(n) new wife/
新材料 [しんざいりょう] /(n) new material/exotic material/
新作 [しんさく] /(n,vs) new work/new production/(P)/
新札 [しんさつ] /(n,adj-no) new bill/banknote/
新三役 [しんさんやく] /(n) sumo wrestler newly promoted to a san'yaku rank/
新参 [しんざん] /(n,adj-no) newcomer/tyro/
新参者 [しんざんもの] /(n) newcomer/
新市場 [しんいちば] /(n) new market/
新字 [しんじ] /(n) newly created character (esp. kokuji)/
新字体 [しんじたい] /(n) new form of a character/
新時代 [しんじだい] /(n) new period/new age/new epoch/
新自由主義 [しんじゆうしゅぎ] /(n) neoliberalism/
新自由主義者 [しんじゆうしゅぎしゃ] /(n) neoliberal/
新式 [しんしき] /(adj-na,n,adj-no) new form/new formula/(P)/
新車 [しんしゃ] /(n) new car/(P)/
新釈 [しんしゃく] /(n) new interpretation/
新手 [あらて] /(n,adj-no) fresh supply of troops/newcomer/new method/(P)/
新種 [しんしゅ] /(n,adj-no) new species/new variety/
新酒 [しんしゅ] /(n) new brew of sake/
新首相 [しんしゅしょう] /(n) new prime minister/
新樹 [しんじゅ] /(n) tree covered in fresh green leaves/newly green trees of early Summer/
新宗教 [しんしゅうきょう] /(n) new religion/
新修 [しんしゅう] /(n,vs) a new edition/
新十両 [しんじゅうりょう] /(n) sumo wrestler newly promoted to juryo division/
新重商主義 [しんじゅうしょうしゅぎ] /(n) neomercantilism/
新春 [しんしゅん] /(n) New Year (Spring)/(P)/
新所帯 [あらじょたい] /(n) new household/new home/
新所帯 [しんしょたい] /(n) new household/new home/
新所帯 [しんじょたい] /(n) new household/new home/
新書 [しんしょ] /(n) (1) new book/(2) 17 x 11 cm paperbook book/(P)/
新書判 [しんしょばん] /(n) paperback pocket edition (approx. 17x11 cm)/
新序出世披露 [しんじょしゅっせひろう] /(n) presenting of new sumo wrestlers to audience/
新嘗祭 [しんじょうさい] /(n) ceremonial offering by the Emperor of newly-harvested rice to the deities/
新嘗祭 [にいなめさい] /(n) ceremonial offering by the Emperor of newly-harvested rice to the deities/
新植民地主義 [しんしょくみんちしゅぎ] /(n) neo-colonialism/
新進 [しんしん] /(n,adj-no) rising/up-and-coming/(P)/
新進気鋭 [しんしんきえい] /(n,adj-no) young and energetic/up-and-coming/
新進作家 [しんしんさっか] /(n) rising novelist/
新進党 [しんしんとう] /(n) New Frontier Party (defunct Japanese political party)/NFP/
新人 [しんじん] /(n,adj-no) (1) new face/newcomer/(2) modern humans (from Cro-Magnon man onwards)/(P)/
新人王 [しんじんおう] /(n) rookie-of-the-year/
新人歌手 [しんじんかしゅ] /(n) new singer/
新人賞 [しんじんしょう] /(n) Rookie of the Year award/
新人類 [しんじんるい] /(n) new breed of humans (used to refer to the younger generation, who have different ideals and sensibilities)/
新世界 [しんせかい] /(n) a new world/the New World/(P)/
新世界猿 [しんせかいざる] /(n) New World monkey (any monkey of infraorder Platyrrhini)/
新世紀 [しんせいき] /(n) new century/
新世帯 [あらじょたい] /(n) new household/new home/
新世帯 [あらぜたい] /(n) new household/new home/
新世帯 [しんしょたい] /(n) new household/new home/
新世帯 [しんじょたい] /(n) new household/new home/
新世代 [しんせだい] /(n,adj-no) new-generation/
新世代コンピュータ開発機構 [しんせだいコンピュータかいはつきこう] /(n) (comp) ICOT/
新世代コンピュータ技術開発機構 [しんせだいコンピュータぎじゅつかいはつきこう] /(n) (comp) The Institute for New Generation Computer Technology/ICOT/
新制 [しんせい] /(n,adj-no) new system/(P)/
新制高校 [しんせいこうこう] /(n) high school (operated under post-war guidelines)/
新制大学 [しんせいだいがく] /(n) university (operated under post-war guidelines)/
新制中学 [しんせいちゅうがく] /(n) junior high school (operated under post-war guidelines)/
新制度 [しんせいど] /(n) new system/
新成人 [しんせいじん] /(n) new adults (i.e. in Japan, 20-year-olds having their coming-of-age ceremony within that year)/(P)/
新政 [しんせい] /(n) a new government or administration/(P)/
新政府 [しんせいふ] /(n) new government/
新星 [しんせい] /(n) new face (star)/nova/(P)/
新正月 [しんしょうがつ] /(n) January (according to the new calendar)/
新生 [しんせい] /(n,vs,adj-no) rebirth/new birth/nascent/(P)/
新生活 [しんせいかつ] /(n) new life/
新生児 [しんせいじ] /(n) newborn baby/(P)/
新生児メレナ [しんせいじメレナ] /(n) neonatal melena (melaena)/
新生児黄疸 [しんせいじおうだん] /(n) neonatal jaundice/
新生児溶血性疾患 [しんせいじようけつせいしっかん] /(n) hemolytic disease of the newborn (haemolytic)/erythroblastosis fetalis/
新生代 [しんせいだい] /(n) Cenozoic era/
新生物 [しんせいぶつ] /(n) neoplasm/tumor/tumour/
新生面 [しんせいめん] /(n) a new phase or aspect/
新精霊 [あらしょうりょう] /(n) spirit of someone on the first O-Bon after their death/
新精霊 [にいじょうりょう] /(n) spirit of someone on the first O-Bon after their death/
新製品 [しんせいひん] /(n) new product/new line (of products)/
新製品開発 [しんせいひんかいはつ] /(n) new product development/
新西蘭 [にゅうじいらんど] /(n) New Zealand/
新税 [しんぜい] /(n) new tax/
新石器時代 [しんせっきじだい] /(n) new stone age/neolithic/
新設 [しんせつ] /(n,vs,adj-no) newly organized or established (organised)/(P)/
新設校 [しんせつこう] /(n) newly established school/
新説 [しんせつ] /(n) new theory/
新雪 [しんせつ] /(n) new snow/(P)/
新撰 [しんせん] /(n,vs) newly compiled, selected or edited/
新撰組 [しんせんぐみ] /(n) Shinsengumi/shogunate police and military force located in Kyoto and dedicated to suppressing anti-shogunate activities (Edo period)/
新選 [しんせん] /(n,vs) newly compiled, selected or edited/
新選組 [しんせんぐみ] /(n) Shinsengumi/shogunate police and military force located in Kyoto and dedicated to suppressing anti-shogunate activities (Edo period)/
新鮮 [しんせん] /(adj-na) fresh/(P)/
新鮮さ [しんせんさ] /(n) freshness/(P)/
新素材 [しんそざい] /(n) advanced materials/new high-tech materials/
新相撲 [しんすもう] /(n) "new" sumo (for women) conducted on a mat, wearing leotards instead of a mawashi/
新装 [しんそう] /(n,vs) redecoration/remodelling/remodeling/refurbishment/(P)/
新造 [しんぞ] /(n,vs) (1) new/newly made/(n) (2) unmarried woman of about 20/(3) newly-married woman/(4) new prostitute that has not started working/attendant of an older prostitute/
新造 [しんぞう] /(n,vs) (1) new/newly made/(n) (2) unmarried woman of about 20/(3) newly-married woman/(4) new prostitute that has not started working/attendant of an older prostitute/
新造語 [しんぞうご] /(n) neologism/
新造船 [しんぞうせん] /(n) new (newly-built) ship (boat)/
新卒 [しんそつ] /(n,adj-no) new (recent) graduate/(P)/
新卒者 [しんそつしゃ] /(n) new graduate/new graduates/
新体 [しんたい] /(n) new style/(P)/
新体験 [しんたいけん] /(n) new experience/
新体詩 [しんたいし] /(n) new style poetry/new style poem/
新体制 [しんたいせい] /(n) new order/new system/
新体操 [しんたいそう] /(n) rhythmic sports gymnastics/
新大関 [しんおおぜき] /(n) sumo wrestler newly promoted to ozeki rank/
新宅 [しんたく] /(n) a new house/a branch family/
新地 [さらち] /(n) empty lot/vacant plot of land/
新地 [しんち] /(n) newly opened or newly developed territory/
新築 [しんちく] /(n,vs,adj-no) new building/new construction/(P)/
新築祝い [しんちくいわい] /(n) housewarming (party)/
新茶 [しんちゃ] /(n) first tea of the season/
新着 [しんちゃく] /(n,vs) new arrivals/new acquisitions/
新著 [しんちょ] /(n) new book or literary work/
新庁舎 [しんちょうしゃ] /(n) new government office/
新調 [しんちょう] /(n,vs) brand new/
新陳代謝 [しんちんたいしゃ] /(n,vs) renewal/replacement/metabolism/(P)/
新漬 [しんづけ] /(n) freshly pickled vegetables/
新漬け [しんづけ] /(n) freshly pickled vegetables/
新弟子 [しんでし] /(n) newcomers in professional sumo/
新弟子検査 [しんでしけんさ] /(n) medical examination of entrants in professional sumo/
新訂 [しんてい] /(n,vs) new revision/
新訂版 [しんていばん] /(n) new and revised edition/
新伝 [しんでん] /(adj-na) new style/new way/modern/ultra modern/
新田 [あらた] /(n) (1) new rice field/newly developed rice field/(2) wasteland or marshland newly reclaimed as a rice field (Edo period)/
新田 [しんでん] /(n) (1) new rice field/newly developed rice field/(2) wasteland or marshland newly reclaimed as a rice field (Edo period)/(P)/
新登場 [しんとうじょう] /(n) a new product joining a group of other products/
新党 [しんとう] /(n) new (political) party/(P)/
新党さきがけ [しんとうさきがけ] /(n) New Party Sakigake (Japanese political party, 1993-2004)/
新党大地 [しんとうだいち] /(n) New Party Daichi/New Party Big Earth (Japanese political party)/
新党日本 [しんとうにっぽん] /(n) New Party Nippon (Japanese political party)/
新刀 [しんとう] /(n) newly forged sword/sword made after the year 1615/
新湯 [あらゆ] /(n) clean, freshly poured bath/hot water just poured into a bath that no one has entered yet/
新湯 [さらゆ] /(n) clean, freshly poured bath/hot water just poured into a bath that no one has entered yet/
新湯 [しんゆ] /(n) clean, freshly poured bath/hot water just poured into a bath that no one has entered yet/
新当流 [しんとうりゅう] /(n) Shinto-ryu (school of kenjutsu)/
新道 [しんどう] /(n) new road/
新内 [しんない] /(n) (abbr) type of Joruri recitation/
新内閣 [しんないかく] /(n) new Cabinet/
新内節 [しんないぶし] /(n) type of Joruri recitation/
新日鉄 [しんにってつ] /(n) (abbr) Nippon Steel Corporation/
新日本製鉄 [しんにっぽんせいてつ] /(n) Nippon Steel Corporation/
新日本製鉄 [しんにほんせいてつ] /(n) Nippon Steel Corporation/
新日本製鐵 [しんにっぽんせいてつ] /(n) Nippon Steel Corporation/(P)/
新日本製鐵 [しんにほんせいてつ] /(n) Nippon Steel Corporation/
新入 [しんにゅう] /(n) newly arrived/joined/newly-entered/(P)/
新入り [しんいり] /(n) newcomer/initiate/novice/
新入社員 [しんにゅうしゃいん] /(n,adj-no) new employee/freshman employee/new hire/
新入社員教育 [しんにゅうしゃいんきょういく] /(n) training of new employees/
新入生 [しんにゅうせい] /(n) new student/freshman/first-year student/
新入幕 [しんにゅうまく] /(n) sumo wrestler newly promoted to makuuchi division/
新任 [しんにん] /(n,adj-no) inaugural/new/(P)/
新熱帯区 [しんねったいく] /(n) Neotropical (region)/Neotropics/
新年 [しんねん] /(n-adv,n-t) New Year/(P)/
新年おめでとう [しんねんおめでとう] /(exp) Happy New Year/
新年おめでとうございます [しんねんおめでとうございます] /(exp) happy new year/
新年になる [しんねんになる] /(exp,v5r) the new year begins/the new year starts/
新年の寿 [しんねんのことぶき] /(n) New Years greetings/
新年の抱負 [しんねんのほうふ] /(n) New Year's resolution/
新年宴会 [しんねんえんかい] /(n) (1) New Year's banquet (held annually by the emperor on Jan. 5, prior to WWII)/(2) New Year's party/
新年会 [しんねんかい] /(n) New Year's party/
新年号 [しんねんごう] /(n) New Year issue/
新年明けましておめでとうございます [しんねんあけましておめでとうございます] /(exp) Happy New Year/
新年明けましておめでとう御座います [しんねんあけましておめでとうございます] /(exp) Happy New Year/
新派 [しんぱ] /(n) (1) new school (of thought, etc.)/(2) new drama/(P)/
新発見 [しんはっけん] /(n) new discovery/new invention/
新発売 [しんはつばい] /(n) new product or model/(P)/
新発明 [しんはつめい] /(n) new invention (discovery)/
新版 [しんぱん] /(n) brand new/
新盤 [しんばん] /(n) new record/
新皮質 [しんひしつ] /(n) neocortex/neopallium/
新品 [しんぴん] /(n,adj-no) (brand-)new article/(P)/
新品同様 [しんぴんどうよう] /(n,adj-no) as good as new/
新婦 [しんぷ] /(n) bride/(P)/
新譜 [しんぷ] /(n) newly-issued (released) record/
新風 [しんぷう] /(n) new style/(P)/
新仏 [あらぼとけ] /(n) (1) spirit of someone on the first O-Bon after their death/(2) the recently departed (and buried or cremated, etc.)/
新仏 [しんぼとけ] /(n) (1) spirit of someone on the first O-Bon after their death/(2) the recently departed (and buried or cremated, etc.)/
新仏 [にいぼとけ] /(n) (1) spirit of someone on the first O-Bon after their death/(2) the recently departed (and buried or cremated, etc.)/
新粉 [しんこ] /(iK) (n) (1) rice flour/(2) (abbr) rice flour dough/
新聞 [しんぶん] /(n,adj-no) newspaper/(P)/
新聞に載る [しんぶんにのる] /(exp,v5r) to appear in the newspaper/
新聞屋 [しんぶんや] /(n) (1) newspaper stand/newspaper seller/paper carrier/(2) newspaper reporter/
新聞学問 [しんぶんがくもん] /(n) knowledge gained (information acquired) from newspapers/
新聞記事 [しんぶんきじ] /(n) newspaper story (article, account)/(P)/
新聞記者 [しんぶんきしゃ] /(n) newspaper reporter/
新聞業 [しんぶんぎょう] /(n) the newspaper industry/
新聞広告 [しんぶんこうこく] /(n) newspaper advertisement/
新聞紙 [しんぶんし] /(n) newsprint/newspaper/(P)/
新聞辞令 [しんぶんじれい] /(n) Appointment conjecturally reported in a newspaper/announcement of an appointment which is (turns out to be) mere press speculation/
新聞社 [しんぶんしゃ] /(n) newspaper company/(P)/
新聞種 [しんぶんだね] /(n) news source or topic/
新聞受け [しんぶんうけ] /(n) newspaper slot/newspaper box/
新聞配達 [しんぶんはいたつ] /(n) (newspaper) carrier/newspaper (delivery) boy (girl)/new/
新聞売り [しんぶんうり] /(n) newspaper-seller/newsboy/newspaper vendor/
新聞発表 [しんぶんはっぴょう] /(n,vs) (issuing) a press release/
新聞販売店 [しんぶんはんばいてん] /(n) news dealer's shop/newsagent's shop/
新聞舗 [しんぶんほ] /(n) newspaper distributor/
新聞倫理綱領 [しんぶんりんりこうりょう] /(n) Japan's press code (developed in 1946)/
新兵 [しんぺい] /(n) new recruit/conscript/
新平民 [しんへいみん] /(n) (arch) (vulg) "new commoners" (name given to the lowest rank of the Japanese caste system after its abolition)/
新柄 [しんがら] /(n) new pattern/
新米 [しんまい] /(exp,n,adj-no) (1) new rice/(2) novice/beginner/tyro/newcomer/newbie/(P)/
新保守主義 [しんほしゅしゅぎ] /(n) neoconservatism/
新甫 [しんぽ] /(n) new futures on the first trading session of the month/
新報 [しんぽう] /(n) news(paper) (old term)/
新法 [しんぽう] /(n) new method/new law/(P)/
新北区 [しんほっく] /(n) Nearctic (region)/
新盆 [あらぼん] /(n) first Obon following one's death/
新盆 [にいぼん] /(n) first Obon following one's death/
新枕 [にいまくら] /(n) bridal bed/
新味 [しんみ] /(n) novelty/
新面目 [しんめんぼく] /(n) new appearance/new look/new sight/new scene/
新面目 [しんめんもく] /(n) new appearance/new look/new sight/new scene/
新約 [しんやく] /(n) (1) new contract/new agreement/(2) (abbr) New Testament/
新約聖書 [しんやくせいしょ] /(n) New Testament/
新約全書 [しんやくぜんしょ] /(n) New Testament/
新薬 [しんやく] /(n) a new medicine/(P)/
新訳 [しんやく] /(n) (1) new translation/(2) (Buddh) post-Xuanzang Chinese translation (i.e. mid 7th century onward)/
新羅 [しらぎ] /(n) ancient Korean kingdom/
新来 [しんらい] /(n,adj-no) newcomer/
新来者 [しんらいしゃ] /(n) newcomer/
新涼 [しんりょう] /(n) coolness of autumn/first cold air of autumn/
新緑 [しんりょく] /(n,adj-no) fresh verdure/new green leaves/(P)/
新例 [しんれい] /(n) new example (precedent)/
新冷戦 [しんれいせん] /(n) new Cold war/
新暦 [しんれき] /(n) the solar calendar/the Gregorian calendar/
新連邦評価基準 [しんれんぽうひょうかきじゅん] /(n) (comp) FTSC/Federal Trust Criteria/
新郎 [しんろう] /(n) bridegroom/(P)/
新郎新婦 [しんろうしんぷ] /(n) bride and groom/
新論 [しんろん] /(n) new debate/
新藁 [しんわら] /(n) (1) new straw/straw from the current year/(2) rice seedlings boiled and dried and then tied into a woman's hair to chase evil spirits away/
晋 [しん] /(n) Jin (dynasty of China, 265-420 CE)/
晋山 [しんざん] /(n) taking up a new position as chief priest of a Buddhist temple/
晋書 [しんじょ] /(n) History of the Jin Dynasty/
森 [もり] /(n) (1) forest/(2) shrine grove/(P)/
森々 [しんしん] /(adj-na,n) deeply forested/
森の奥 [もりのおく] /(n) deep in the forest/
森の都 [もりのみやこ] /(n) tree-clad town/
森雲雀 [もりひばり] /(n) (uk) woodlark (Lullula arborea)/
森閑 [しんかん] /(adj-na,n) silence/
森閑とした [しんかんとした] /(adj-f) still/quiet/silent as a graveyard/
森厳 [しんげん] /(adj-na,n,adj-no) solemn/
森森 [しんしん] /(adj-na,n) deeply forested/
森青蛙 [もりあおがえる] /(n) (uk) forest green tree frog (Rhacophorus arboreus)/
森羅万象 [しんらばんしょう] /(n) all things in nature/the whole creation/
森林 [しんりん] /(n,adj-no) forest/woods/(P)/
森林火災 [しんりんかさい] /(n) forest fire/
森林学 [しんりんがく] /(n) forestry/
森林公園 [しんりんこうえん] /(n) forest park/
森林再生 [しんりんさいせい] /(n) reforestation/
森林生態学 [しんりんせいたいがく] /(n) forest ecology/
森林帯 [しんりんたい] /(n) forest zone/
森林地 [しんりんち] /(n) woodland/forested area/
森林地帯 [しんりんちたい] /(n) wooded country/wooded (timber) region/woodland/woodlands/
森林鉄道 [しんりんてつどう] /(n) forest railroad/
森林破壊 [しんりんはかい] /(n) deforestation/
森林保護 [しんりんほご] /(n) forest protection/
森林保全 [しんりんほぜん] /(n) forest preservation/forestry preservation/
森林法 [しんりんほう] /(n) the Forest Act/
森林浴 [しんりんよく] /(n) peaceful walk through the woods/being immersed in a forest/forest therapy/
榛 [はぎ] /(n) (arch) Japanese alder (Alnus japonica)/
榛 [はしばみ] /(n) Siberian hazel (Corylus heterophylla var. thunbergii)/
榛 [はり] /(n) (arch) Japanese alder (Alnus japonica)/
榛の木 [はんのき] /(n) (uk) Japanese alder (Alnus japonica)/
浸かる [つかる] /(v5r,vi) (1) to be pickled/to be well seasoned/(2) to be submerged/to be soaked/
浸く [つく] /(v5k,vi) (1) to be immersed/
浸ける [つける] /(v1,vt) (1) to soak/to seep/to dip in/
浸し物 [ひたしもの] /(n) boiled greens flavored with soy (flavoured)/
浸す [ひたす] /(v5s,vt) to soak/to dip/to drench/(P)/
浸みる [しみる] /(v1,vi) (1) to pierce/to penetrate/to soak in/to permeate/(2) to be infected (with vice)/to be steeped (with prejudice)/
浸る [ひたる] /(v5r,vi) to be soaked in/to be flooded/to be immersed in/(P)/
浸剤 [しんざい] /(n) infusion (medicinal)/
浸出 [しんしゅつ] /(n,vs) (chem) infiltration/permeation/exudation/percolation/effusion/extraction/
浸潤 [しんじゅん] /(n,vs) infiltration/permeation/
浸潤性腫瘍 [しんじゅんせいしゅよう] /(n) invasive tumor/invasive tumour/
浸食 [しんしょく] /(n,vs) erosion/corrosion/(P)/
浸蝕 [しんしょく] /(n,vs) erosion/corrosion/
浸水 [しんすい] /(n,vs,adj-no) flood/inundation/(P)/
浸染 [しんせん] /(n,vs) dyeing/
浸漬 [しんし] /(n,vs) dipping/soaking/immersing/
浸漬 [しんせき] /(n,vs) dipping/soaking/immersing/
浸透 [しんとう] /(n,vs) (1) permeation/penetration/soaking/(2) osmosis/(P)/
浸透圧 [しんとうあつ] /(n) osmotic pressure/
浸透印 [しんとういん] /(n) self-inking rubber stamp/
浸透性 [しんとうせい] /(n) osmosis/permeability/
浸透探傷検査 [しんとうたんしょうけんさ] /(n) penetrant inspection/PI/penetrant examination/penetrant test/
浸透度 [しんとうど] /(n) degree of penetration/penetrance/
浸入 [しんにゅう] /(n,vs) permeation of liquid or gas/
浸礼 [しんれい] /(n) baptism by immersion/
深 [ふけ] /(n,n-suf) growing late/latening/
深 [み] /(ateji) (pref) (1) (hon) august/(2) beautiful/
深々 [しんしん] /(adj-t,adv-to) (1) silent (esp. of the passing of the night)/(2) piercing (cold)/
深々 [ふかぶか] /(adv-to) very deeply/
深い [ふかい] /(adj-i) deep/profound/thick/close/(P)/
深い愛情 [ふかいあいじょう] /(n) deep affection/
深い関係 [ふかいかんけい] /(n) close connection/
深い川は静かに流れる [ふかいかわはしずかにながれる] /(exp) (id) still waters run deep/
深い霧 [ふかいきり] /(n) thick (dense) fog/
深ける [ふける] /(v1,vi) to get late/to advance/to wear on/
深さ [ふかさ] /(n) depth/profundity/(P)/
深さ優先探索 [ふかさゆうせんたんさく] /(n) (comp) depth first search (search algorithm in AI)/
深まる [ふかまる] /(v5r,vi) to deepen/to heighten/to intensify/(P)/
深み [ふかみ] /(n) depth/deep place/(P)/
深める [ふかめる] /(v1,vt) to deepen/to heighten/to intensify/(P)/
深意 [しんい] /(n) deep or profound meaning/
深宇宙 [しんうちゅう] /(n) deep space/
深遠 [しんえん] /(adj-na,n) profound/deep/unfathomable/
深奥 [しんおう] /(adj-na,n) esoteric doctrines/mysteries/
深化 [しんか] /(n,vs) deepening/
深海 [しんかい] /(n,adj-no) deep sea/depths of the sea/ocean depths/(P)/
深海漁業 [しんかいぎょぎょう] /(n) deep-sea fishery/
深海魚 [しんかいぎょ] /(n) deep-sea fish/
深間 [ふかま] /(n) depths/intimacy/
深閑 [しんかん] /(n) silent/still/
深沓 [ふかぐつ] /(n) deep boots/
深靴 [ふかぐつ] /(n) deep boots/
深径覚 [しんけいかく] /(n) depth perception/
深呼吸 [しんこきゅう] /(n,vs) deep breath/
深交 [しんこう] /(n) close friendship/
深厚 [しんこう] /(adj-na,n) benevolence/sincere/
深更 [しんこう] /(n) middle of the night/dead of night/midnight/
深紅 [しんく] /(n) deep crimson/
深紅 [しんこう] /(n) deep crimson/
深紅色 [しんこうしょく] /(n) scarlet/deep crimson/
深耕 [しんこう] /(n,vs) deep plowing/deep ploughing/
深刻 [しんこく] /(adj-na,n) serious/(P)/
深刻化 [しんこくか] /(n,vs) becoming more serious or severe (problem)/(P)/
深在性真菌 [しんざいせいしんきん] /(n) cryptosporidium/
深在性真菌症 [しんざいせいしんきんしょう] /(n) cryptosporidiosis/
深皿 [ふかざら] /(n) deep dish (dish with a high rim)/
深山 [しんざん] /(n) mountain recess/deep in the mountains/
深山 [みやま] /(n) mountain recess/deep in the mountains/(P)/
深山烏 [みやまがらす] /(n) (uk) rook (species of crow, Corvus frugilegus)/
深山嫁菜 [みやまよめな] /(n) Miyamayomena savateri/
深山鍬形 [みやまくわがた] /(n) (uk) Miyama stag beetle (Lucanus maculifemoratus)/
深山桜 [みやまざくら] /(n) (1) Miyama cherry (Prunus maximowiczii)/Korean cherry/(2) (arch) mountain cherry tree/
深山川蜻蛉 [みやまがわとんぼ] /(n) (uk) Calopteryx cornelia (species of damselfly)/
深山頬白 [みやまほおじろ] /(n) (uk) yellow-throated bunting (Emberiza elegans)/
深山幽谷 [しんざんゆうこく] /(n) deep mountain valleys/
深山樒 [みやましきみ] /(n) (uk) Japanese skimmia (Skimmia japonica, esp. S. j. var. japonica)/
深山莢迷 [みやまがまずみ] /(n) Wright viburnum/viburnum wrightii/
深山鴉 [みやまがらす] /(n) (uk) rook (species of crow, Corvus frugilegus)/
深紫 [ふかむらさき] /(n,adj-no) deep purple/
深謝 [しんしゃ] /(n,vs) deep appreciation or gratitude/sincere apology/
深手 [ふかで] /(n) severe wound/gash/
深酒 [ふかざけ] /(n,vs) heavy drinking/
深秋 [しんしゅう] /(n) deep autumn (when the autumn has reached its climax)/
深傷 [ふかで] /(n) severe wound/gash/
深情け [ふかなさけ] /(n) deep affection/excessive love/
深深 [しんしん] /(adj-t,adv-to) (1) silent (esp. of the passing of the night)/(2) piercing (cold)/
深深 [ふかぶか] /(adv-to) very deeply/
深甚 [しんじん] /(adj-na,n) profound/careful/mature/
深甚なる [しんじんなる] /(exp) extreme/deep/
深成岩 [しんせいがん] /(n) intrusive igneous rock/plutonic rock/
深切 [しんせつ] /(oK) (adj-na,n) kindness/gentleness/
深雪 [しんせつ] /(n) deep snow/
深雪 [みゆき] /(n) deep snow/
深川めし [ふかがわめし] /(n) fukagawa-meshi/rice cooked with clams/
深川飯 [ふかがわめし] /(n) fukagawa-meshi/rice cooked with clams/
深浅 [しんせん] /(n) depth/shade (of color, colour)/
深浅測量 [しんせんそくりょう] /(n) bathymetry/sounding/
深層 [しんそう] /(n,adj-no) depths/deep level/(P)/
深層心理 [しんそうしんり] /(n) the deep psyche/
深層心理学 [しんそうしんりがく] /(n) depth psychology/
深層水 [しんそうすい] /(n) deep water (depth: 2000-4000 meters)/
深層分類体系 [しんそうぶんるいたいけい] /(n) (comp) close classification system/depth classification system/
深窓 [しんそう] /(n) secluded inner room/
深窓に育つ [しんそうにそだつ] /(exp,v5t) to be brought up with tenderest care in a good family/
深草兎歩 [しんそうとほ] /(n) crouched walk treading on hands for stealth used by ninja/
深長 [しんちょう] /(adj-na,n) profound/
深追い [ふかおい] /(n,vs) chase too far/
深爪 [ふかづめ] /(n,vs) cut a fingernail to the quick/
深度 [しんど] /(n) depth/(P)/
深読み [ふかよみ] /(n,vs) reading too much into (what ... says)/
深入り [ふかいり] /(n,vs) deep into/
深鉢 [ふかばち] /(n) deep (clay) pot/
深発地震 [しんぱつじしん] /(n) deep earthquake/deep-focus earthquake/
深緋 [ふかひ] /(n) deep scarlet/
深部 [しんぶ] /(n) depths/deep part/
深部感覚 [しんぶかんかく] /(n) bathyesthesia/deep sensibility/
深部静脈血栓症 [しんぶじょうみゃくけっせんしょう] /(n) deep vein thrombosis/DVT/
深淵 [しんえん] /(n,adj-no) abyss/ravine/
深淵に臨むが如し [しんえんにのぞむがごとし] /(exp) like looking out on an abyss/like standing on the edge of an abyss/
深編み笠 [ふかあみがさ] /(n) type of conical hat that covers the whole head (used by Komuso monks)/
深謀 [しんぼう] /(n) deliberate/careful/thoughtful/deeply laid plan/
深謀遠慮 [しんぼうえんりょ] /(n) far sight and deep design/
深味 [ふかみ] /(n) depth/deep place/
深夜 [しんや] /(n-adv,n-t) late at night/(P)/
深夜残業 [しんやざんぎょう] /(n) late-night overtime/
深夜族 [しんやぞく] /(n) the night owls/
深夜放送 [しんやほうそう] /(n) late-night (all-night) broadcasting/
深憂 [しんゆう] /(n) deep sadness/great worry/
深履 [ふかぐつ] /(n) deep boots/
深慮 [しんりょ] /(n) deliberate/careful/thoughtful/thoughtfulness/prudence/
深慮遠謀 [しんりょえんぼう] /(n) deep design and forethought/a farsighted and deeply-laid plan/
深緑 [しんりょく] /(n) dark (deep) green/
深緑 [ふかみどり] /(n) dark (deep) green/
深緑色 [ふかみどりいろ] /(n) dark (deep) green/
深林 [しんりん] /(n) deep forest/
深潭 [しんたん] /(n) abyss/
申 [さる] /(n) ninth sign of Chinese zodiac (The Monkey, 3pm-5pm, west-southwest, July)/(P)/
申し [もうし] /(int) (arch) excuse me! (when calling out to someone)/
申しあげる [もうしあげる] /(v1,vt) (1) (hum) to say/to tell/to state/(aux-v) (2) (hon) to do for/
申しつける [もうしつける] /(v1,vt) to order/to instruct/
申しわけ [もうしわけ] /(n) apology/excuse/
申しわけない [もうしわけない] /(exp,adj-i) (1) I'm sorry/(it's) inexcusable/(2) thank you very much (for help, etc.)/
申し越し [もうしこし] /(n) send word/
申し越す [もうしこす] /(v5s,vt) to send word to/to write to/
申し開き [もうしひらき] /(n) (hum) an excuse/a defense/a defence/
申し開らく [もうしひらく] /(v5k) to explain/to justify/
申し兼ねる [もうしかねる] /(exp,v1) I'm sorry to trouble you/Excuse me for making such a request/
申し遣わす [もうしつかわす] /(v5s) to write to/to send word to/to hand over (official business)/
申し合い [もうしあい] /(n) training between rikishi of equal strength/
申し合い稽古 [もうしあいげいこ] /(n) training matches where the winner picks his next opponent/
申し合わせ [もうしあわせ] /(n) arrangement/appointment/(P)/
申し合わせる [もうしあわせる] /(v1) to arrange/to make an appointment/to agree upon/
申し込み [もうしこみ] /(n) application/entry/request/subscription/offer/proposal/overture/challenge/(P)/
申し込み〆切 [もうしこみしめきり] /(n) application deadline/
申し込み順 [もうしこみじゅん] /(n) order of applications/in order of application/
申し込み書 [もうしこみしょ] /(io) (n) application form/written application/
申し込み締切り [もうしこみしめきり] /(n) application deadline/
申し込む [もうしこむ] /(v5m,vt) to apply for/to make an application/to propose (marriage)/to offer (mediation)/to make an overture (of peace)/to challenge/to lodge (objections)/to request (an interview)/to subscribe for/to book/to reserve/(P)/
申し子 [もうしご] /(n) heaven-sent child (in answer to a Shinto or Buddhist prayer)/
申し受ける [もうしうける] /(v1,vt) to accept/to ask for/to charge (a price)/
申し出 [もうしで] /(n) proposal/request/claim/report/notice/(P)/
申し出で [もうしいで] /(n) proposal/request/claim/report/notice/
申し出る [もうしでる] /(v1,vt) to report to/to tell/to suggest/to submit/to request/to make an offer/to come forward with information/(P)/
申し出を断る [もうしでをことわる] /(exp,v5r) to turn down an offer/
申し述べる [もうしのべる] /(v1,vt) to say/to tell (somebody)/to state/
申し上げる [もうしあげる] /(v1,vt) (1) (hum) to say/to tell/to state/(aux-v) (2) (hon) to do for/(P)/
申し申し [もうしもうし] /(int) (arch) excuse me! (when calling out to someone)/
申し送る [もうしおくる] /(v5r,vt) to write to/to send word to/to hand over (official business)/
申し遅れる [もうしおくれる] /(v1) to be slow in saying/
申し添える [もうしそえる] /(v1,vt) to add to what has been said/
申し渡す [もうしわたす] /(v5s,vt) to tell/to announce/to declare/to order/
申し難い [もうしにくい] /(exp) I'm sorry to trouble you/
申し入れ [もうしいれ] /(n) proposal/offer/report/proposition/notice/(P)/
申し入れる [もうしいれる] /(v1,vt) to propose/to suggest/(P)/
申し付ける [もうしつける] /(v1,vt) to order/to instruct/
申し分 [もうしぶん] /(n,vs) objection/shortcomings/
申し分け [もうしわけ] /(n) apology/excuse/
申し分ない [もうしぶんない] /(adj-i) no objection/nothing to criticize/nothing to criticise/
申し分のない [もうしぶんのない] /(exp,adj-i) no objection/nothing to criticize (criticise)/
申し分の無い [もうしぶんのない] /(exp,adj-i) no objection/nothing to criticize (criticise)/
申し分無い [もうしぶんない] /(adj-i) no objection/nothing to criticize/nothing to criticise/(P)/
申し聞かせる [もうしきかせる] /(v1,vt) to tell/to talk to/
申し訳 [もうしわけ] /(n) apology/excuse/(P)/
申し訳ありません [もうしわけありません] /(exp) (1) I'm sorry/(it's) inexcusable/(2) thank you very much (for help, etc.)/(P)/
申し訳ございません [もうしわけございません] /(exp) (1) I'm sorry/(it's) inexcusable/(2) thank you very much (for help, etc.)/
申し訳ない [もうしわけない] /(exp,adj-i) (1) I'm sorry/(it's) inexcusable/(2) thank you very much (for help, etc.)/(P)/
申し訳なさそう [もうしわけなさそう] /(adj-na) apologetic/
申し訳無い [もうしわけない] /(exp,adj-i) (1) I'm sorry/(it's) inexcusable/(2) thank you very much (for help, etc.)/
申し様 [もうしよう] /(n) words/expression/
申し立て [もうしたて] /(n) statement/account (of something)/declaration/allegation/(P)/
申し立てる [もうしたてる] /(v1,vt) to declare/to plead/
申し立て人 [もうしたてにん] /(n) petitioner/complainant/
申す [もうす] /(v5s,vt) (1) (hum) to say/to be called/(2) (hum) to do/(P)/
申楽 [さるがく] /(n) (1) (arch) sarugaku (form of theatre popular in Japan during the 11th to 14th centuries)/(2) noh/
申楽 [さるごう] /(n) (1) (arch) sarugaku (form of theatre popular in Japan during the 11th to 14th centuries)/(2) fooling around/
申合い [もうしあい] /(n) training between rikishi of equal strength/
申合せ [もうしあわせ] /(n) arrangement/appointment/
申告 [しんこく] /(n,vs) report/statement/filing a return/notification/(P)/
申告書 [しんこくしょ] /(n) report/declaration/
申告制 [しんこくせい] /(n) return system/tax payment by self-assessment/declaration system/
申告納税 [しんこくのうぜい] /(n) self-assessed tax payment/
申告箱 [しんこくばこ] /(n) suggestion box/
申告用紙 [しんこくようし] /(n,vs) (filling in) return form/
申込 [もうしこみ] /(n) application/entry/request/subscription/offer/proposal/overture/challenge/(P)/
申込み [もうしこみ] /(n) application/entry/request/subscription/offer/proposal/overture/challenge/(P)/
申込み順 [もうしこみじゅん] /(n) order of applications/in order of application/
申込む [もうしこむ] /(v5m,vt) to apply for/to make an application/to propose (marriage)/to offer (mediation)/to make an overture (of peace)/to challenge/to lodge (objections)/to request (an interview)/to subscribe for/to book/to reserve/
申込者 [もうしこみしゃ] /(n) applicant/
申込書 [もうしこみしょ] /(n) application form/written application/(P)/
申込人 [もうしこみにん] /(n) applicant/
申込締切 [もうしこみしめきり] /(n) application deadline/
申出 [もうしで] /(n) proposal/request/claim/report/notice/
申出で [もうしいで] /(n) proposal/request/claim/report/notice/
申述べる [もうしのべる] /(v1,vt) to say/to tell (somebody)/to state/
申述をする [しんじゅつをする] /(exp,vs-i) to make a statement (before a court)/
申上げる [もうしあげる] /(v1,vt) (1) (hum) to say/to tell/to state/(aux-v) (2) (hon) to do for/
申請 [しんせい] /(n,vs) application/request/petition/(P)/
申請者 [しんせいしゃ] /(n) applicant/
申請書 [しんせいしょ] /(n) written application/
申請人 [しんせいじん] /(n) applicant/
申達 [しんたつ] /(n,vs) notification (from a high to a low official)/
申入 [もうしいれ] /(n) proposal/offer/report/proposition/notice/
申年 [さるどし] /(n) year of the monkey/
申付ける [もうしつける] /(v1,vt) to order/to instruct/
申分け [もうしわけ] /(n) apology/excuse/
申分のない [もうしぶんのない] /(exp,adj-i) no objection/nothing to criticize (criticise)/
申分の無い [もうしぶんのない] /(exp,adj-i) no objection/nothing to criticize (criticise)/
申命記 [しんめいき] /(n) Deuteronomy (book of the Bible)/
申訳 [もうしわけ] /(n) apology/excuse/
申立 [もうしたて] /(n) statement/account (of something)/declaration/allegation/
申立て [もうしたて] /(n) statement/account (of something)/declaration/allegation/
申立人 [もうしたてにん] /(n) petitioner/complainant/
真 [しん] /(adj-na,n,adj-no) (1) truth/reality/genuineness/(2) seriousness/(n) (3) logical TRUE/(4) printed style writing/(5) (abbr) star performer/(P)/
真 [ま] /(n,pref) just/right/due (east)/pure/genuine/true/
真しやか [まことしやか] /(adj-na) (uk) plausible (e.g. of a rumour)/believable (e.g. of a story)/specious (e.g. of an argument)/credible (e.g. of a lie)/looking very like the truth/
真すぐ [ますぐ] /(adj-na,adv,n) (1) straight (ahead)/direct/upright/erect/(2) straightforward/honest/frank/
真すぐ [まっすぐ] /(io) (adj-na,adv,n) (1) straight (ahead)/direct/upright/erect/(2) straightforward/honest/frank/
真だに [まだに] /(n) tick (insect)/
真っすぐ [まっすぐ] /(adj-na,adv,n) (1) straight (ahead)/direct/upright/erect/(2) straightforward/honest/frank/
真っ暗 [まっくら] /(adj-na,n) (1) total darkness/pitch dark/(2) bleak future/poor prospects/(P)/
真っ暗闇 [まっくらやみ] /(adj-no,adj-na,n) pitch dark/total darkness/
真っ逆さま [まっさかさま] /(adv) head first/head over heels/
真っ逆様 [まっさかさま] /(adj-na,n) (uk) head over heels/headlong/
真っ向 [まっこう] /(n) (1) directly opposite/right in front/(2) middle of the forehead/(3) helmet front/(P)/
真っ向から [まっこうから] /(exp) right in front of/head-on/downright/
真っ向勝負 [まっこうしょうぶ] /(n) head-on fight/direct confrontation/head-to-head contest/
真っ向法 [まっこうほう] /(n) makko-ho (set of four exercises for general health)/
真っ黒 [まっくろ] /(adj-na,n) pitch black/(P)/
真っ黒い [まっくろい] /(adj-i) pitch black/deep black/
真っ最中 [まっさいちゅう] /(n-adv,n) midst/middle of/height of/(P)/
真っ心 [まっしん] /(n) dead center/
真っ新 [まっさら] /(adj-na) brand new/
真っ芯 [まっしん] /(n) dead center/
真っ正直 [まっしょうじき] /(adj-na,n) perfectly honest/
真っ正面 [まっしょうめん] /(n) directly opposite/right in front/
真っ盛り [まっさかり] /(n-adv,n) height of/middle of/full bloom/
真っ青 [まっさお] /(adj-na,n) deep blue/ghastly pale/(P)/
真っ赤 [まっか] /(adj-na,n) (1) bright red/deep red/flushed (of face)/(adj-na) (2) downright (e.g. lie)/complete/utter/(P)/
真っ先 [まっさき] /(n) the head/the foremost/beginning/(P)/
真っ只中 [まっただなか] /(n) right in the midst of/right at the height of/
真っ昼間 [まっぴるま] /(n-adv,n-t) broad daylight/
真っ直 [まっすぐ] /(adj-na,adv,n) (1) straight (ahead)/direct/upright/erect/(2) straightforward/honest/frank/
真っ直ぐ [まっすぐ] /(adj-na,adv,n) (1) straight (ahead)/direct/upright/erect/(2) straightforward/honest/frank/(P)/
真っ直中 [まっただなか] /(n) right in the midst of/right at the height of/
真っ当 [まっとう] /(ateji) (adj-na) (1) proper/respectable/decent/honest/
真っ二つ [まっぷたつ] /(n) in two equal parts/(P)/
真っ二つに [まっぷたつに] /(adv) right in half/
真っ白 [まっしろ] /(adj-na,adj-no,n) pure white/(P)/
真っ白い [まっしろい] /(adj-i) pure white/
真っ平 [まったいら] /(adj-na) perfectly level/
真っ平 [まっぴら] /(adv) (not) by any means/(not) for anything/humbly/sincerely/
真っ唯中 [まっただなか] /(n) right in the midst of/right at the height of/
真っ裸 [まっぱだか] /(n) (1) nudity/(adj-na,adj-no) (2) stark naked/
真で書く [しんでかく] /(v5k) to write in the square style/
真に [しんに] /(adv) indeed/really/absolutely/truly/actually/very/quite/
真に [まことに] /(adv) indeed/really/absolutely/truly/actually/very/quite/
真にもって [まことにもって] /(exp,adv) in all sincerity/truthfully/honestly/
真に受ける [まにうける] /(exp,v1) to take seriously/to believe/
真に迫る [しんにせまる] /(exp,v5r) to be true to nature/to be lifelike/
真の [しんの] /(adj-f) true/real/genuine/proper/utter/(P)/
真の闇 [しんのやみ] /(n) pitch-darkness/
真の部分要素 [しんのぶぶんようそ] /(n) (comp) proper subelement/
真の友 [しんのとも] /(n) true friend/
真ん円 [まんまる] /(adj-na,n) perfect circle/
真ん円い [まんまるい] /(adj-i) perfectly round/perfectly circular/
真ん丸 [まんまる] /(adj-na,n) perfect circle/(P)/
真ん丸い [まんまるい] /(adj-i) perfectly round/perfectly circular/
真ん真ん中 [まんまんなか] /(n) dead center/dead centre/right in the middle/
真ん前 [まんまえ] /(adj-no,adv) right in front/just opposite/under the nose/
真ん中 [まんなか] /(n) middle/centre/center/mid-way/(P)/
真ん中っ子 [まんなかっこ] /(n) middle child/
真鯵 [まあじ] /(n) (uk) Japanese jack mackerel/Japanese horse mackerel (Trachurus japonicus)/
真暗 [まっくら] /(adj-na,n) (1) total darkness/pitch dark/(2) bleak future/poor prospects/
真暗闇 [まっくらやみ] /(adj-no,adj-na,n) pitch dark/total darkness/
真意 [しんい] /(n) real intention/true motive/true meaning/(P)/
真意義 [しんいぎ] /(n) true meaning/
真一文字 [まいちもんじ] /(n,adj-no) straight/as the crow flies/
真鰯 [まいわし] /(n) (uk) Japanese pilchard/Japanese sardine (Sardinops melanostictus)/
真因 [しんいん] /(n) true reason/true motive/
真烏賊 [まいか] /(n) (1) Japanese common squid/Pacific flying squid (Todarodes pacificus)/(2) golden cuttlefish (Sepia esculenta)/(3) Japanese spineless cuttlefish (Sepiella japonica)/
真羽太 [まはた] /(n) (uk) sevenband grouper (species of fish, Epinephelus septemfasciatus)/convict grouper/
真影 [しんえい] /(n) portrait/
真円 [しんえん] /(n) perfect circle/
真円真珠 [しんえんしんじゅ] /(n) cultured pearls/
真猿 [まさる] /(n) (arch) monkey (esp. the Japanese macaque, Macaca fuscata)/
真猿類 [しんえんるい] /(n) simian/anthropoid/
真横 [まよこ] /(n) directly horizontal/right beside/
真屋 [まや] /(n) (arch) (house with a) gabled roof/
真牡蠣 [まがき] /(n) (uk) Pacific oyster (Crassostrea gigas)/
真下 [ました] /(n,adj-no) right under/directly below/
真価 [しんか] /(n) true value/real worth/(P)/
真夏 [まなつ] /(n-adv,n-t) midsummer/(P)/
真夏の暑さ [まなつのあつさ] /(n) heat of high summer/
真夏日 [まなつび] /(n) day on which the temperature exceeds 30 degrees Centigrade/
真果 [しんか] /(n) true fruit (i.e. one that forms from the ovary only)/
真河豚 [まふぐ] /(n) (uk) purple puffer (species of pufferfish, Takifugu porphyreus)/
真箇 [しんこ] /(adj-na,n-adv,n-t) real/true/
真海豚 [まいるか] /(n) (uk) short-beaked common dolphin (Delphinus delphis)/
真核細胞 [しんかくさいぼう] /(n) eukaryotic cell/
真核生物 [しんかくせいぶつ] /(n) eukaryote/eucaryote/
真梶木 [まかじき] /(n) (uk) striped marlin (Tetrapturus audax)/
真割引 [しんわりびき] /(n) true discount/
真鴨 [まがも] /(n) (uk) mallard (Anas platyrhynchos)/mallard duck/
真贋 [しんがん] /(n) genuineness or spuriousness/authenticity/the genuine and the spurious/
真贋論争 [しんがんろんそう] /(n) argument as to (about) the authenticity (of...)/
真雁 [まがん] /(n) (uk) greater white-fronted goose (Anser albifrons)/
真顔 [まがお] /(n) serious look/(P)/
真旗魚 [まかじき] /(n) (uk) striped marlin (Tetrapturus audax)/
真偽 [しんぎ] /(n) truth or error/authenticity/(P)/
真偽のほど [しんぎのほど] /(exp) whether it is true or not/
真偽の程 [しんぎのほど] /(exp) whether it is true or not/
真偽を確かめる [しんぎをたしかめる] /(exp,v1) to make sure of the truth/
真偽不明 [しんぎふめい] /(n) dubious/doubtful/of unknown authenticity/
真義 [しんぎ] /(n) true meaning/true significance/
真逆 [まぎゃく] /(adj-na,adj-no) the exact opposite/
真逆 [まさか] /(int) (uk) by no means/never!/well, I never!/you don't say!/(P)/
真逆様に [まさかさまに] /(adv) headlong/head over heels/
真弓 [まゆみ] /(n) (uk) Japanese spindle tree (Euonymus sieboldianus)/
真巨頭 [まごんどう] /(n) (uk) short-finned pilot whale (Globicephala macrorhynchus)/
真魚鰹 [まながつお] /(n) (uk) butterfish (any fish of family Stromateidae, esp. species Pampus punctatissimus)/harvestfish/rudderfish/
真魚箸 [まなばし] /(n) type of long chopsticks used in the preparation of fish/type of long chopsticks used to hold the fish in carving knife ceremony/
真魚板 [まないた] /(n) chopping board/
真菌 [しんきん] /(adj-na,n) fungus/fungi/
真菌症 [しんきんしょう] /(n) cryptosporidiosis/mycosis/mycoses/
真菌毒 [しんきんどく] /(n) mycotoxin/fungal toxin/
真近 [まぢか] /(iK) (adj-na,n-adv,n) proximity/nearness/soon/nearby/
真近い [まぢかい] /(iK) (adj-i) near at hand/
真近点離角 [しんきんてんりかく] /(n) true anomaly (astronomy)/
真空 [しんくう] /(adj-na,n) vacuum/hollow/empty/(P)/
真空管 [しんくうかん] /(n) vacuum tube/
真空蛍光管 [しんくうけいこうかん] /(n) vacuum fluorescent tube/
真空蒸着 [しんくうじょうちゃく] /(n,vs) vacuum deposition/
真空掃除機 [しんくうそうじき] /(n) vacuum cleaner/
真空槽 [しんくうそう] /(n) (comp) vacuum column/
真空帯 [しんくうたい] /(n) air pocket/
真空電球 [しんくうでんきゅう] /(n) vacuum bulb/
真空包装 [しんくうほうそう] /(n,adj-no) vacuum packaging/
真桑瓜 [まくわうり] /(n) melon/Cucumis melo var Makuwa/
真経津の鏡 [まふつのかがみ] /(n) (1) (arch) (obsc) mirror/(2) Mafutsu no Kagami (alternate name for Yata no Kagami, the mirror of the Imperial regalia)/
真穴子 [まあなご] /(n) (uk) common Japanese conger eel (Conger myriaster)/
真剣 [しんけん] /(n,adj-na) (1) seriousness/earnestness/(2) real sword (as opposed to unsharpened or wooden practice weapon) (practise)/(P)/
真剣勝負 [しんけんしょうぶ] /(n,adj-no) fighting with real swords/game played in real earnest/
真険 [しんけん] /(iK) (n,adj-na) (1) seriousness/earnestness/(2) real sword (as opposed to unsharpened or wooden practice weapon) (practise)/
真言 [しんごん] /(n) (1) (Buddh) (obsc) true word/(2) mantra/(3) (abbr) Shingon (Sino-Japanese esoteric Buddhism, originating in the eighth century)/
真言宗 [しんごんしゅう] /(n) Shingon (Sino-Japanese esoteric Buddhism, originating in the eighth century)/
真言神道 [しんごんしんとう] /(n) Shingon Shinto/any branch of Shinto based on Shingon Buddhist teachings/
真個 [しんこ] /(adj-na,n-adv,n-t) real/true/
真菰 [まこも] /(n) (uk) Manchurian wild rice (Zizania latifolia)/
真後ろ [まうしろ] /(n) right behind/
真鯉 [まごい] /(n) black carp/black koi/
真向 [まっこう] /(n) (1) directly opposite/right in front/(2) middle of the forehead/(3) helmet front/
真向い [まむかい] /(io) (n) face to face/facing/straight ahead/just in front of/directly opposite/
真向かい [まむかい] /(n) face to face/facing/straight ahead/just in front of/directly opposite/
真向き [まむき] /(adj-na,n) earnest/singlehanded/face to face/straight ahead/just in front of/
真向法 [まっこうほう] /(n) makko-ho (set of four exercises for general health)/
真孔雀 [まくじゃく] /(n) (uk) green peafowl (Pavo muticus)/
真紅 [しんく] /(n) deep crimson/
真黒 [まっくろ] /(adj-na,n) pitch black/
真骨頂 [しんこっちょう] /(n) showing one's true worth/
真骨類 [しんこつるい] /(n) teleosts/
真昆布 [まこんぶ] /(n) (uk) Japanese kelp (Laminaria japonica)/
真砂 [まさご] /(n) sand/
真最中 [まっさいちゅう] /(n-adv,n) midst/middle of/height of/
真際 [まぎわ] /(n-adv,n-t) on the verge of/just before/on the point of/
真作 [しんさく] /(n) authentic work (as opposed to a fake)/
真鯖 [まさば] /(n) (uk) chub mackerel (Scomber japonicus)/
真四角 [ましかく] /(adj-na,n) square/(P)/
真子鰈 [まこがれい] /(n) (uk) marbled sole (Pleuronectes yokohamae)/
真似 [まね] /(n,vs) mimicry/imitation/behavior/behaviour/pretense/pretence/(P)/
真似し [まねし] /(n) (uk) (col) copy cat/
真似る [まねる] /(v1,vt) to mimic/to imitate/(P)/
真似事 [まねごと] /(n) sham/make-believe/mere form/
真字 [しんじ] /(n) (1) kanji (as opposed to kana)/(2) printed-style writing/
真字 [まな] /(n) (1) kanji (as opposed to kana)/(2) printed-style writing/
真字 [まんな] /(n) (1) kanji (as opposed to kana)/(2) printed-style writing/
真字本 [まなぼん] /(n) book (etc.) written entirely in kanji/
真実 [さな] /(adj-na,adv,n,adj-no) truth/reality/
真実 [さね] /(adj-na,adv,n,adj-no) truth/reality/
真実 [しんじつ] /(adj-na,adv,n,adj-no) truth/reality/(P)/
真実と向き合う [しんじつとむきあう] /(exp,v5u) to face the truth/
真実と向合う [しんじつとむきあう] /(exp,v5u) to face the truth/
真実に迫る [しんじつにせまる] /(exp,v5r) to close in on the truth/
真実を語る [しんじつをかたる] /(exp,v5r) to speak the truth/
真実一路 [しんじついちろ] /(n) path of sincerity/
真実性 [しんじつせい] /(n) fidelity/truth/authenticity/credibility/
真実味 [しんじつみ] /(n) truth (veracity, authenticity) (e.g. of a report)/
真社会性 [しんしゃかいせい] /(n,adj-no) eusociality/
真珠 [しんじゅ] /(n) pearl/(P)/
真珠貝 [しんじゅがい] /(n) pearl oyster (esp. Marten's pearl oyster, Pinctada fucata martensii)/
真珠光 [しんじゅこう] /(n) pearl iridescence/
真珠婚式 [しんじゅこんしき] /(n) pearl wedding (anniversary)/
真珠細工 [しんじゅざいく] /(n) pearl work/
真珠質 [しんじゅしつ] /(n) mother-of-pearl/
真珠取り [しんじゅとり] /(n) pearl fishing/pearl diver/
真珠腫 [しんじゅしゅ] /(n) cholesteatoma/pearl tumor/pearl tumour/
真珠色 [しんじゅいろ] /(n) pearl gray/pearl grey/
真珠層 [しんじゅそう] /(n) mother-of-pearl/
真珠母 [しんじゅぼ] /(n) mother-of-pearl/
真珠養殖 [しんじゅようしょく] /(n) pearl culture/
真珠養殖場 [しんじゅようしょくじょう] /(n) pearl-oyster beds/
真珠湾 [しんじゅわん] /(n) Pearl Harbor/(P)/
真宗 [しんしゅう] /(n) Shin Buddhism/
真宗大谷派 [しんしゅうおおたには] /(n) Otani sect of Shinshu/
真秀等 [まほら] /(n) (uk) great and splendid land (Yamato word)/excellent location/splendid place/
真秀等間 [まほらま] /(ateji) (n) great and splendid land (Yamato word)/excellent location/splendid place/
真秀呂場 [まほろば] /(ateji) (n) (1) (uk) great and splendid land (of Yamato)/(2) spiritual center of the land/one's spiritual home/(3) excellent location/splendid place/
真十鏡 [まそかがみ] /(exp) (arch) perfectly clear mirror/
真獣類 [しんじゅうるい] /(n) eutherians/
真書 [しんしょ] /(n) square style/another name for "kaisho"/
真薯 [しんじょ] /(n) fish cake/
真症 [しんしょう] /(n) genuine case (of a disease)/
真章魚 [まだこ] /(n) (uk) common octopus (Octopus vulgaris)/
真上 [まうえ] /(n,adj-no) just above/right overhead/(P)/
真情 [しんじょう] /(n) true feeling/
真心 [まこころ] /(n) sincerity/devotion/
真心 [まごころ] /(n) sincerity/devotion/(P)/
真新しい [まあたらしい] /(adj-i) brand new/(P)/
真深 [まぶか] /(iK) (adv) wearing low over one's eyes/
真芯 [ましん] /(n) dead center/
真人 [しんじん] /(n) true man/
真人 [まうと] /(n) (1) (arch) Mahito (highest of the eight hereditary titles)/(2) you (referring to someone of lower status)/
真人 [まひと] /(n) (1) (arch) Mahito (highest of the eight hereditary titles)/
真人 [もうと] /(n) (1) (arch) Mahito (highest of the eight hereditary titles)/(2) you (referring to someone of lower status)/
真人間 [まにんげん] /(n) an honest man/a good citizen/
真水 [まみず] /(n,adj-no) (1) fresh water/(2) fiscal spending/government pump priming/
真髄 [しんずい] /(n,adj-no) true meaning/mystery/essence/quintessence/soul/core/kernel/life blood/(P)/
真澄の鏡 [ますみのかがみ] /(exp) (arch) perfectly clear mirror/
真澄の空 [ますみのそら] /(exp) perfectly clear and serene sky/
真澄鏡 [ますかがみ] /(exp) (arch) perfectly clear mirror/
真澄鏡 [まそかがみ] /(exp) (arch) perfectly clear mirror/
真澄鏡 [まそみかがみ] /(exp) (arch) perfectly clear mirror/
真性 [しんせい] /(n) (1) inborn nature/(adj-no) (2) genuine/intrinsic/essential/
真正 [しんせい] /(adj-na,n,adj-no) genuine/authentic/true/pure/
真正細菌 [しんせいさいきん] /(n) bacteria/eubacteria/
真正直 [ましょうじき] /(adj-na,n) perfectly honest/
真正面 [ましょうめん] /(n) directly opposite/right in front/(P)/
真清水 [ましみず] /(n) pure water/clear water/
真盛り [まさかり] /(adj-na) height of/middle of/full bloom/
真西 [まにし] /(n) due west/
真青 [まさお] /(adj-na,n) deep blue/ghastly pale/
真青 [まっさお] /(adj-na,n) deep blue/ghastly pale/
真赤 [まっか] /(io) (adj-na,n) (1) bright red/deep red/flushed (of face)/(adj-na) (2) downright (e.g. lie)/complete/utter/
真跡 [しんせき] /(n) true autograph/
真蹟 [しんせき] /(n) true autograph/
真先 [まっさき] /(n) the very front/
真薦 [まこも] /(n) (uk) Manchurian wild rice (Zizania latifolia)/
真善美 [しんぜんび] /(n) the true, the good, and the beautiful/
真祖 [しんそ] /(n) (1) true ancestor/(2) var. of vampire (in fiction)/
真相 [しんそう] /(n) truth/real situation/(P)/
真相究明 [しんそうきゅうめい] /(n) probe into the truth (of the matter)/dig into the real facts of the case/get at the root of a matter/
真相究明委員会 [しんそうきゅうめいいいんかい] /(n) fact-finding committee/
真相調査 [しんそうちょうさ] /(n) fact-finding/
真打 [しんうち] /(n) star performer/headliner/
真打ち [しんうち] /(n) star performer/headliner/
真鯛 [まだい] /(n) tai (species of red Pacific sea bream, Pagrus major)/
真蛸 [まだこ] /(n) (uk) common octopus (Octopus vulgaris)/
真只中 [まっただなか] /(n) right in the midst of/right at the height of/
真鱈 [まだら] /(n) (uk) Pacific cod (Gadus macrocephalus)/
真丹 [しんたん] /(n) (ancient) China/
真丹 [しんだん] /(ok) (n) (ancient) China/
真旦 [しんたん] /(n) (ancient) China/
真旦 [しんだん] /(ok) (n) (ancient) China/
真竹 [まだけ] /(n) Japanese timber bamboo (Phyllostachys bambsoides)/giant timber bamboo/madake/
真中 [まなか] /(n) middle/centre/center/mid-way/
真中 [まんなか] /(n) middle/centre/center/mid-way/
真昼 [まひる] /(n-adv,n-t) midday/broad daylight/
真昼の夢 [まひるのゆめ] /(exp) daydream/
真昼間 [まっぴるま] /(n-adv,n-t) broad daylight/
真柱 [しんばしら] /(n) (1) (obsc) central pillar of a pagoda/(2) leader of the Tenri religion/
真苧 [まお] /(n) (uk) ramie (Boehmeria nivea var. nipononivea)/
真直 [しんちょく] /(n,adj-na) straightness/
真直 [ますぐ] /(io) (adj-na,adv,n) (1) straight (ahead)/direct/upright/erect/(2) straightforward/honest/frank/
真直 [まなお] /(n,adj-na) straightness/
真直ぐ [ますぐ] /(adj-na,adv,n) (1) straight (ahead)/direct/upright/erect/(2) straightforward/honest/frank/
真直ぐ [まっすぐ] /(io) (adj-na,adv,n) (1) straight (ahead)/direct/upright/erect/(2) straightforward/honest/frank/
真鶴 [まなづる] /(n) (uk) white-naped crane (Grus vipio)/
真諦 [しんたい] /(n) ultimate truth/essence (in Buddhism)/
真諦 [しんてい] /(n) ultimate truth/essence (in Buddhism)/
真田 [さなだ] /(n) plait/braid/
真田虫 [さなだむし] /(n) (uk) tapeworm/
真田紐 [さなだひも] /(n) braid/
真田編み [さなだあみ] /(n) plait/
真冬 [まふゆ] /(n-adv,n-t) midwinter/(P)/
真冬日 [まふゆび] /(n) day on which the temperature fails to reach 0 degrees Centigrade/
真東 [まひがし] /(n) due east/
真当 [まっとう] /(io) (adj-na) (1) proper/respectable/decent/honest/
真南 [まみなみ] /(n) due south/
真二つに [まふたつに] /(adv) right in half/
真如 [しんにょ] /(n) (Buddh) tathata (the ultimate nature of all things)/
真白 [ましろ] /(ok) (adj-na,adj-no,n) pure white/
真白 [まっしろ] /(adj-na,adj-no,n) pure white/
真白い [まっしろい] /(adj-i) pure white/
真麦 [まむぎ] /(n) (arch) wheat/
真帆 [まほ] /(n) full sail/
真犯人 [しんはんにん] /(n) the real criminal/
真否 [しんぴ] /(n) true or false/
真皮 [しんぴ] /(n,adj-no) true (inner) skin/corium/derma/cutis/
真美 [しんび] /(n) true beauty/
真筆 [しんぴつ] /(n) autograph/one's own handwriting/personal note/
真部分集合 [しんぶぶんしゅうごう] /(n) proper subset/
真風 [まじ] /(n) (1) southerly breeze/(2) true wind/
真物 [しんぶつ] /(n) genuine article/
真物 [まもの] /(n) genuine article/
真分数 [しんぶんすう] /(n) proper fraction/
真平 [まっぴら] /(adv) (not) by any means/(not) for anything/humbly/sincerely/
真北 [まきた] /(n) due north/
真麻 [まお] /(n) (uk) ramie (Boehmeria nivea var. nipononivea)/
真味 [しんみ] /(n) true meaning/
真婿 [まんこ] /(ateji) (n,vs) (1) (uk) (X) (col) vagina/(2) screw/
真名 [まな] /(n) (1) kanji (as opposed to kana)/(2) printed-style writing/
真名 [まんな] /(n) (1) kanji (as opposed to kana)/(2) printed-style writing/
真名鶴 [まなづる] /(n) (uk) white-naped crane (Grus vipio)/
真名本 [まなぼん] /(n) book (etc.) written entirely in kanji/
真綿 [まわた] /(n) silk floss/silk wadding/
真綿で首を絞める [まわたでくびをしめる] /(exp,v1) to drag things out/to creep up slowly on the point/to strangle (execute) slowly with a silk cord (instead of quickly with a rope)/
真面 [まとも] /(adj-na,n) (1) (uk) the front/(2) honesty/uprightness/directness/(3) decency/normality/
真面に [まともに] /(adv) (uk) fair and square/flat-out/squarely/
真面目 [しんめんぼく] /(n) one's true character/one's true self/oneself/seriousness/earnestness/
真面目 [しんめんもく] /(n) one's true character/one's true self/oneself/seriousness/earnestness/
真面目 [まじめ] /(ateji) (adj-na,n) diligent/serious/honest/sober/grave/earnest/steady/(P)/
真面目さ [まじめさ] /(n) (uk) earnestness/solemnity/gravity/seriousness/soberness/
真面目腐る [まじめくさる] /(v5r,vi) to become extremely serious (in attitude)/to look solemn/to assume a solemn air/
真木 [まき] /(n) (uk) yew plum pine (Podocarpus macrophyllus)/
真木瓜 [まぼけ] /(n) Choenomeles lagenaria/maboke flowering quince/
真夜中 [まよなか] /(n-adv,n-t) dead of night/midnight/(P)/
真勇 [しんゆう] /(n) true courage/true heroism/
真裸 [まっぱだか] /(n) (1) nudity/(adj-na,adj-no) (2) stark naked/
真理 [しんり] /(n,adj-no) truth/(P)/
真理関数 [しんりかんすう] /(n) truth-function/
真理値 [しんりち] /(n) truth-value/
真理値表 [しんりちひょう] /(n) (comp) truth table/
真率 [しんそつ] /(adj-na,n) honesty/sincerity/frankness/
真隣 [まとなり] /(n,adj-no) immediately adjacent/
真拆 [まさき] /(n) (arch) (obsc) Asiatic jasmine (Trachelospermum asiaticum)/Asian jasmine/
真拆の葛 [まさきのかずら] /(n) (arch) Asiatic jasmine (Trachelospermum asiaticum)/Asian jasmine/
真拆葛 [まさきずら] /(n) (arch) (obsc) Asiatic jasmine (Trachelospermum asiaticum)/Asian jasmine/
真摯 [しんし] /(adj-na,n) sincerity/earnestness/(P)/
真迹 [しんせき] /(n) true autograph/
真鍮 [しんちゅう] /(n) brass/
真鍮鑞 [しんちゅうろう] /(n) type of alloy of copper and zinc (brass) with zinc at about 33-67% used to solder metals like copper and iron/
真鯊 [まはぜ] /(n) (uk) yellowfin goby (Acanthogobius flavimanus)/
真鯒 [まごち] /(n) (uk) flathead (Platycephalus sp.)/
真鰺 [まあじ] /(n) (uk) Japanese jack mackerel/Japanese horse mackerel (Trachurus japonicus)/
真鰈 [まがれい] /(n) brown sole (Pleuronectes herzensteini)/
真鶸 [まひわ] /(n) (uk) Eurasian siskin (species of songbird, Carduelis spinus)/
神 [かみ] /(n) god/deity/divinity/spirit/kami/(P)/
神 [しん] /(n) (1) spirit/psyche/(2) god/deity/divinity/kami/
神 [じん] /(n) (1) spirit/psyche/(2) god/deity/divinity/kami/
神々 [かみがみ] /(n) gods/
神々しい [こうごうしい] /(adj-i) divine/sublime/solemn/
神がかり [かみがかり] /(n,vs) (1) divine possession/(2) eccentric behavior/(n) (3) fanaticism/
神と崇める [かみとあがめる] /(exp,v1) to deify/
神なぎ [かんなぎ] /(iK) (n) medium/diviner/shaman/oracle/
神に仕える [かみにつかえる] /(exp,v1) to serve God/
神に入る [しんにいる] /(exp,v5r) to be divinely skilled/
神の愛 [かみのあい] /(n) divine love/
神の下し給うた物 [かみのくだしたもうたもの] /(n) godsend/heavenly gift/
神の言 [かみのことば] /(exp) (1) Word of God/God's Word/sword of the Spirit/(2) Logos (i.e. the Trinity incarnate in Jesus Christ)/
神の言葉 [かみのことば] /(exp) (1) Word of God/God's Word/sword of the Spirit/(2) Logos (i.e. the Trinity incarnate in Jesus Christ)/
神の使い [かみのつかい] /(exp,n) divine messenger/messenger of a god (esp. an animal messenger)/
神の子 [かみのこ] /(exp) Son of God (i.e. Jesus Christ or a Christian)/
神の死 [かみのし] /(exp) death of God/
神の存在証明 [かみのそんざいしょうめい] /(n) arguments for the existence of God/
神の徳を歌った歌 [かみのとくをうたったうた] /(exp) poem in praise of God/
神の民 [かみのたみ] /(n) People of God/
神の命 [かみのみこと] /(n) (arch) (hon) god/emperor/
神も仏もない [かみもほとけもない] /(exp) There is no God! (used to express despair at the heartlessness of the world)/lit: there is no god or Buddha/
神を畏れる [かみをおそれる] /(exp,v1) to fear God/
神を敬う [かみをうやまう] /(exp,v5u) to revere God/
神を尊ぶ [かみをたっとぶ] /(exp,v5b) to revere God/
神位 [しんい] /(n) divinity/
神威 [しんい] /(n) god's majesty/god's authority/might of Heaven/
神意 [しんい] /(n) divine will/
神域 [しんいき] /(n) Shinto shrine precincts/
神隠し [かみかくし] /(n) mysterious disappearance/being spirited away/
神隠し [かみがくし] /(n) mysterious disappearance/being spirited away/
神韻 [しんいん] /(n) exceptional artistry/
神韻縹渺 [しんいんひょうびょう] /(uK) (adj-t,adv-to) (arch) (a work of art being) sublime/transcendent/
神苑 [しんえん] /(n) shrine gardens/
神化 [しんか] /(n,vs) apotheosis/
神火 [しんか] /(n) sacred flame/
神階 [しんかい] /(n) relative rank accorded the gods of Shintoism/
神格 [しんかく] /(n) divinity/
神格化 [しんかくか] /(n,vs) deification/
神学 [しんがく] /(n,adj-no) theology/(P)/
神学校 [しんがっこう] /(n) theological school/seminary/
神学士 [しんがくし] /(n) Doctor of Divinity/
神学者 [しんがくしゃ] /(n) theologian/
神楽 [かぐら] /(n) ancient Shinto music and dancing/(P)/
神楽歌 [かぐらうた] /(n) kagura song/
神楽月 [かぐらづき] /(n) (obsc) eleventh lunar month/
神楽鮫 [かぐらざめ] /(n) (uk) bluntnose sixgill shark (Hexanchus griseus, species of circumglobal cow shark)/
神楽獅子 [かぐらじし] /(n) kagurajishi camelia/Camellia japonica var./
神楽笛 [かぐらぶえ] /(n) kagura flute (six-holed horizontal flute)/
神楽殿 [かぐらでん] /(n) kagura hall (at a shrine)/
神楽堂 [かぐらどう] /(n) kagura hall (at a shrine)/
神掛けて [かみかけて] /(adv) swear by god/absolutely/
神官 [しんかん] /(n) Shinto priest/(P)/
神器 [しんき] /(n) sacred treasure/the three sacred treasures (sword, jewel, mirror)/
神器 [じんぎ] /(n) sacred treasure/the three sacred treasures (sword, jewel, mirror)/
神機 [しんき] /(n) miraculous deed/unmeasurable resourcefulness/
神機妙算 [しんきみょうさん] /(n) inscrutable stratagem/ingenious scheme/
神気 [しんき] /(n) the elements/spirit/mind/divinity/
神亀 [しんき] /(n) (1) (obsc) mysterious turtle (an omen of good luck)/(2) Jinki era (724.2.4-729.8.5)/Shinki era/
神亀 [じんき] /(n) (1) Jinki era (724.2.4-729.8.5)/Shinki era/
神技 [しんぎ] /(n) divine or supernatural skill/
神祇 [じんぎ] /(n) gods of heaven and earth/
神祇院 [じんぎいん] /(n) (obs) Institute of Divinities (1940-1946)/
神祇官 [かみづかさ] /(ok) (n) (1) (arch) Department of Worship (under the ritsuryo system)/
神祇官 [かんづかさ] /(ok) (n) (1) (arch) Department of Worship (under the ritsuryo system)/
神祇官 [じんぎかん] /(n) (1) (obs) Department of Divinities (1868-1871)/(2) (arch) Department of Worship (under the ritsuryo system)/
神祇省 [じんぎしょう] /(n) (obs) Ministry of Divinities (1871-1872)/
神祇伯 [じんぎはく] /(n) head of the Department of Worship/
神義論 [しんぎろん] /(n) theodicy/
神宮 [じんぐう] /(n) Shinto shrine/(P)/
神宮外苑 [じんぐうがいえん] /(n) outer gardens of Meiji Shrine/
神宮球場 [じんぐうきゅうじょう] /(n) Jingu Stadium/
神宮教 [じんぐうきょう] /(n) (obs) Jingu-kyo (sect of Shinto, dissolved in 1899)/
神宮奉斎会 [じんぐうほうさいかい] /(n) (obs) Ise Shrine Offering Association (secular organization formed from Jingu-kyo in 1899; dissolved in 1946)/
神宮暦 [じんぐうれき] /(n) calendar distributed by the Ise shrine/
神去月 [かみさりづき] /(n) (obsc) tenth lunar month/
神橋 [しんきょう] /(n) sacred bridge/
神興 [みこし] /(iK) (n) (1) portable shrine (carried in festivals)/(2) (hon) palanquin/(3) (uk) buttocks/lower back/waist/hips/
神鏡 [しんきょう] /(n) divine mirror/sacred mirror (one of the three sacred treasures)/
神業 [かみわざ] /(n) (1) divine work/miracle/superhuman feat/(2) art, technique or skill worthy of the gods (esp. sports)/(P)/
神具 [しんぐ] /(n) votive objects for a Shinto home shrine/ritual article/
神具 [じんぐ] /(n) votive objects for a Shinto home shrine/ritual article/
神経 [しんけい] /(n) nerve/sensitivity/(P)/
神経が鋭い [しんけいがするどい] /(exp,adj-i) sensitive/thin-skinned/
神経が細い [しんけいがほそい] /(exp) oversensitive/
神経が細かい [しんけいがこまかい] /(exp) having delicate feeling/being sensitive/
神経にさわる [しんけいにさわる] /(exp,v5r) to hit a nerve/to get on one's nerves/
神経に障る [しんけいにさわる] /(exp,v5r) to hit a nerve/to get on one's nerves/
神経の鋭い [しんけいのするどい] /(exp,adj-i) sensitive/thin-skinned/
神経の細い [しんけいのほそい] /(adj-i) oversensitive/
神経の鈍い [しんけいのにぶい] /(exp) insensitive/thick-skinned/
神経をとがらせる [しんけいをとがらせる] /(exp,v1) to get on one's nerves/
神経を尖らせる [しんけいをとがらせる] /(exp,v1) to get on one's nerves/
神経ガス [しんけいガス] /(n) nerve gas/
神経ブロック [しんけいブロック] /(n) nerve block/
神経ペプチド [しんけいペプチド] /(n) neuropeptide/
神経炎 [しんけいえん] /(n) neuritis/
神経科 [しんけいか] /(n) neurology/
神経科医 [しんけいかい] /(n) neurologist/
神経過敏 [しんけいかびん] /(adj-na,n,adj-no) oversensitive/
神経回路網 [しんけいかいろもう] /(n) biological neural network/
神経外科 [しんけいげか] /(n) neurosurgery/
神経核 [しんけいかく] /(n) neuron/
神経学 [しんけいがく] /(n) neurology/
神経活動 [しんけいかつどう] /(n) nervous activity/activity of a nerve/
神経筋 [しんけいきん] /(adj-no,pref) neuromuscular/
神経系 [しんけいけい] /(n) nervous system/
神経言語プログラミング [しんけいげんごプログラミング] /(n) neurolinguistic programming/NLP/
神経細胞 [しんけいさいぼう] /(n) nerve cell/neuron/
神経質 [しんけいしつ] /(adj-na,n) nervousness/(being) highly strung/sensitiveness/neurotic/(P)/
神経腫 [しんけいしゅ] /(n) neuroma/
神経症 [しんけいしょう] /(n) nervous disorder/neurosis/
神経障害 [しんけいしょうがい] /(n) neurological disorder/
神経衰弱 [しんけいすいじゃく] /(n) (1) neurasthenia/nervous breakdown/(2) concentration (card game involving turning over face-down cards to find identical pairs)/
神経性無食欲症 [しんけいせいむしょくよくしょう] /(n) anorexia nervosa/
神経節 [しんけいせつ] /(adj-na,n) ganglion/ganglia/
神経戦 [しんけいせん] /(n) war of nerves/
神経線維 [しんけいせんい] /(n) nerve fiber/nerve fibre/
神経繊維 [しんけいせんい] /(n) nerve fiber/nerve fibre/
神経組織 [しんけいそしき] /(n) nerve tissue/
神経叢 [しんけいそう] /(n) nerve plexus/
神経中枢 [しんけいちゅうすう] /(n,adj-no) nerve centre/
神経痛 [しんけいつう] /(n) nerve pain/neuralgia/
神経伝達物質 [しんけいでんたつぶっしつ] /(n) neurotransmitter/
神経病 [しんけいびょう] /(n) nervous disorder/nerve disease/
神経膠細胞 [しんけいこうさいぼう] /(n) neuroglial cell/
神詣で [かみもうで] /(n,vs) visiting a shrine/
神迎え [かみむかえ] /(n) rite welcoming back the gods from Izumo Shrine (on the last day of the tenth lunar month)/
神月 [こうづき] /(n) (obs) tenth lunar month/
神剣 [しんけん] /(n) divine sword (one of the three sacred treasures)/
神懸かり [かみがかり] /(n,vs) (1) divine possession/(2) eccentric behavior/(n) (3) fanaticism/
神懸り [かみがかり] /(n,vs) (1) divine possession/(2) eccentric behavior/(n) (3) fanaticism/
神権 [しんけん] /(n) divine right (e.g. of kings)/
神権政治 [しんけんせいじ] /(n) theocracy/
神庫 [じんこ] /(n) (1) (uk) small shrine/(2) depository for sacred objects/(3) generic term for shrine/
神庫 [ほこら] /(n) (1) (uk) small shrine/(2) depository for sacred objects/(3) generic term for shrine/
神戸 [こうべ] /(n) Kobe (port city near Osaka)/
神戸っ子 [こうべっこ] /(n) native of Kobe/
神戸ビーフ [こうべビーフ] /(n) Kobe beef/
神戸育ち [こうべそだち] /(n) raised in Kobe/
神戸肉 [こうべにく] /(n) Kobe beef/
神護景雲 [じんごけいうん] /(n) Jingo-keiun era (767.8.16-770.10.1)/
神降ろし [かみおろし] /(n,vs) (1) invoking a deity during a festival held in that deity's honor/(2) medium's invocation of a deity to take possession of her (to receive his divine message or revelation)/
神国 [しんこく] /(n) land of the gods/Japan/
神座 [しんざ] /(n) place where there is a god or spirit/place containing the sacred object of a shrine/
神在月 [かみありづき] /(n) (obsc) tenth lunar month/
神札 [しんさつ] /(n) type of amulet sold at Shinto shrines/
神参り [かみまいり] /(n,vs) visiting shrines/
神算鬼謀 [しんさんきぼう] /(n) inscrutable stratagem/ingenious scheme/
神使 [しんし] /(n) messenger of a god/divine messenger/
神子 [みこ] /(n) (1) shrine maiden/virgin consecrated to a deity/(2) medium/sorceress/
神事 [かみわざ] /(n) (1) divine work/miracle/superhuman feat/(2) art, technique or skill worthy of the gods (esp. sports)/
神事 [しんじ] /(n) Shinto rituals/
神事相撲 [しんじずもう] /(n) sumo performed as part of Shinto harvest festivities/
神璽 [しんじ] /(n) (1) Imperial regalia (esp. the jewel Yasakani no Magatama)/(2) emperor's seal/
神式 [しんしき] /(n) Shinto rites/Shinto style/
神社 [じんじゃ] /(n) Shinto shrine/(P)/
神社局 [じんじゃきょく] /(n) (obs) Bureau of Shrine Affairs (1900-1940)/
神社神道 [じんじゃしんとう] /(n) Shrine Shinto/
神社仏閣 [じんじゃぶっかく] /(n) (Shinto) shrines and (Buddhist) temples/
神蛇 [しんじゃ] /(n) sacred snake/
神主 [かむぬし] /(n) (sens) Shinto priest/
神主 [かんぬし] /(n) (sens) Shinto priest/(P)/
神主さん [かんぬしさん] /(n) Shinto priest/
神酒 [しんしゅ] /(n) sacred wine or sake/sake offered to the gods/
神酒 [みき] /(n) sacred wine or sake/sake offered to the gods/
神酒 [みわ] /(ok) (n) sacred wine or sake/sake offered to the gods/
神儒仏 [しんじゅぶつ] /(n) Shinto, Confucianism and Buddhism/
神呪 [しんじゅ] /(n) mystic spell/dharani/
神呪 [じんじゅ] /(n) mystic spell/dharani/
神授 [しんじゅ] /(n) divine gift/
神樹 [しんじゅ] /(n) god tree (Ailanthus)/
神州 [しんしゅう] /(n) land of the gods/Japan/China/
神習教 [しんしゅうきょう] /(n) Shinshu-kyo (sect of Shinto)/
神獣 [しんじゅう] /(n) divine beasts/
神獣鏡 [しんじゅうきょう] /(n) ancient mirror decorated with gods and animals/
神出鬼没 [しんしゅつきぼつ] /(n,adj-no) appearing in unexpected places and at unexpected moments/elusive/phantom/
神助 [しんじょ] /(n) assistance from the gods/
神嘗の祭 [かんにえのまつり] /(n) offering of the year's new rice harvest (imperial festival, October 17)/
神嘗祭 [かんなめさい] /(n) offering of the year's new rice harvest (imperial festival, October 17)/
神嘗祭 [かんにえのまつり] /(n) offering of the year's new rice harvest (imperial festival, October 17)/
神嘗祭 [しんじょうさい] /(n) offering of the year's new rice harvest (imperial festival, October 17)/
神将 [しんしょう] /(n) (Buddh) divine generals who protect pilgrims, etc./
神将 [じんしょう] /(n) (Buddh) divine generals who protect pilgrims, etc./
神職 [しんしょく] /(n) Shinto priest(hood)/
神色 [しんしょく] /(n) mind and composure/
神色自若 [しんしょくじじゃく] /(uK) (adj-t,adv-to) (arch) perfect composure/calm and collected/
神信心 [かみしんじん] /(n) belief in god/
神神 [かみがみ] /(n) gods/
神神しい [こうごうしい] /(adj-i) divine/sublime/solemn/
神身 [しんしん] /(n,adj-no) mind and body/
神身 [しんじん] /(ok) (n,adj-no) mind and body/
神人 [しんじん] /(n) gods and men/godlike person/
神髄 [しんずい] /(n,adj-no) true meaning/mystery/essence/quintessence/soul/core/kernel/life blood/(P)/
神世七代 [かみよななよ] /(n) seven generations of (celestial) gods/
神性 [しんせい] /(n) divinity/
神成 [しんせい] /(n) theosis/
神政 [しんせい] /(n,adj-no) theocracy/
神聖 [しんせい] /(adj-na,n) holiness/sacredness/dignity/(P)/
神聖ローマ帝国 [しんせいローマていこく] /(n) Holy Roman Empire/
神聖化 [しんせいか] /(n,vs) sanctification/consecration/
神聖視 [しんせいし] /(n,vs) regarding something as sacred/apotheosis/deification/
神聖戦争 [しんせいせんそう] /(n) Sacred War/
神仙 [しんせん] /(n) (1) immortal mountain wizard (in Taoism)/Taoist immortal/supernatural being/(2) (in Japan) 11th note of the ancient chromatic scale (approx. C)/
神仙思想 [しんせんしそう] /(n) Shenxian thought (ancient Chinese folk belief in the existence of mountain wizards)/
神前 [しんぜん] /(n) before god/before an altar/
神前に誓う [しんぜんにちかう] /(exp,v5u) to pledge before God/
神前結婚 [しんぜんけっこん] /(n) Shinto wedding/
神葬 [しんそう] /(n) Shinto funeral/
神送り [かみおくり] /(n) (1) rite seeing off the gods on their way to Izumo Shrine (held on the last night of the ninth lunar month and first night of the tenth lunar month)/(2) exorcism/
神像 [しんぞう] /(n) idol (i.e. carving or painting of a deity)/
神速 [しんそく] /(adj-na,n) godspeed/swiftness/
神族 [しんぞく] /(n) (m-sl) divine being/inhabitant of heaven/
神体 [しんたい] /(n) an object in which a deity resides/
神代 [かみよ] /(n) ancient time/age of the gods/
神代 [じんだい] /(n) ancient time/age of the gods/
神代七代 [かみよななよ] /(n) seven generations of (celestial) gods/
神代杉 [じんだいすぎ] /(n) lignitized Japanese cedar/lignitised Japanese cedar/
神代文字 [じんだいもじ] /(n) ancient Japanese characters (regarded today as created at a much more recent date)/
神託 [しんたく] /(n,adj-no) oracle/
神棚 [かみだな] /(n) household Shinto shrine/
神勅 [しんちょく] /(n) oracle/
神通力 [じんずうりき] /(n) supernatural power/
神通力 [じんつうりき] /(n) supernatural power/
神鉄 [しんてつ] /(n) (abbr) Kobe Dentetsu (Kobe area railway system)/
神典 [しんてん] /(n) (1) writings about the gods/(2) Shinto scripture (e.g. the Kojiki)/
神伝 [しんでん] /(n,adj-na) teachings conveyed by the gods (Shinto)/
神殿 [しんでん] /(n) temple/sacred place/(P)/
神田 [かみた] /(n) (arch) field affiliated with a shrine (the tax-exempt proceeds of its harvest going to pay for shrine operations)/
神田 [しんでん] /(n) (arch) field affiliated with a shrine (the tax-exempt proceeds of its harvest going to pay for shrine operations)/
神田祭 [かんだまつり] /(n) Kanda Festival (held at Kanda Myoujin Shrine in Tokyo on May 15)/
神灯 [しんとう] /(n) sacred light/
神童 [しんどう] /(n) prodigy/wonder child/(P)/
神道 [しんとう] /(n) Shinto/(P)/
神道 [しんどう] /(n) Shinto/
神道五部書 [しんとうごぶしょ] /(n) five fundamental texts of Ise Shinto/
神道修成派 [しんとうしゅうせいは] /(n) Shinto Shusei-ha (sect of Shinto)/
神道十三派 [しんとうじゅうさんぱ] /(n) the thirteen sects of Sect Shinto (Fuso-kyo, Taisha-kyo, Jikko-kyo, Konko-kyo, Kurozumi-kyo, Misogi-kyo, Ontake-kyo, Shinri-kyo, Shinshu-kyo, Shinto Shusei-ha, Shinto Taikyo, Taisei-kyo, Tenri-kyo)/
神道信者 [しんとうしんじゃ] /(n) followers of Shintoism/
神道大教 [しんとうたいきょう] /(n) Shinto Taikyo (sect of Shinto)/
神道大成教 [しんとうたいせいきょう] /(n) Shinto Taiseikyo (sect of Shinto)/
神徳 [しんとく] /(n) divine virtues/
神奈川県 [かながわけん] /(n) Kanagawa prefecture (Kantou area)/
神凪 [かんなぎ] /(iK) (n) medium/diviner/shaman/oracle/
神薙ぎ [かんなぎ] /(iK) (n) medium/diviner/shaman/oracle/
神馬 [しんめ] /(n) sacred horse/
神馬藻 [なのりそ] /(ok) (n) (uk) Sargassum fulvellum (species of edible brown alga)/
神馬藻 [ほんだわら] /(n) (uk) Sargassum fulvellum (species of edible brown alga)/
神罰 [しんばつ] /(n) divine punishment/
神秘 [しんぴ] /(adj-na,n,adj-no) mystery/(P)/
神秘学 [しんひがく] /(n) occultism (Western)/
神秘主義 [しんぴしゅぎ] /(n,adj-no) mysticism/
神秘性 [しんぴせい] /(n) mystique/
神秘的 [しんぴてき] /(adj-na) mysterious/
神品 [しんぴん] /(n) an inspired work/
神父 [しんぷ] /(n) Catholic priest/abbe/(P)/
神符 [しんぷ] /(n) amulet/a charm/
神武 [じんむ] /(n) legendary founding Emperor of Japan/
神武以来 [じんむいらい] /(adj-no,n-adv,n-t) since the era of the Emperor Jinmu/(first ever) since the dawn of Japan's history/unprecedented/
神武以来 [じんむこのかた] /(adj-no,n-adv,n-t) since the era of the Emperor Jinmu/(first ever) since the dawn of Japan's history/unprecedented/
神武景気 [じんむけいき] /(n) the economic boom of the mid-1950s/
神武天皇祭 [じんむてんのうさい] /(n) Festival of Emperor Jimmu (formerly held annually on April 3rd, the supposed day of his death)/
神風 [かみかぜ] /(n) (1) divine wind (esp. a typhoon thought to have protected Japan from a Mongolian invasion in the 13th century)/(2) kamikaze/(P)/
神風 [かむかぜ] /(n) (1) divine wind (esp. a typhoon thought to have protected Japan from a Mongolian invasion in the 13th century)/
神風 [しんぷう] /(n) (1) divine wind (esp. a typhoon thought to have protected Japan from a Mongolian invasion in the 13th century)/
神風タクシー [かみかぜタクシー] /(n) (col) kamikaze taxi (1960s term for taxis that fail to heed traffic regulations)/
神仏 [かみほとけ] /(n) (1) gods and buddhas/gods and Buddha/
神仏 [しんぶつ] /(n) (1) gods and buddhas/gods and Buddha/(2) Shinto and Buddhism/
神仏隔離 [しんぶつかくり] /(n) (obsc) separation of Buddhism and Shintoism/
神仏混淆 [しんぶつこんこう] /(n) mixture (synthesis) of Buddhism and Shintoism/
神仏習合 [しんぶつしゅうごう] /(n) syncretism of Shinto and Buddhism/
神仏同体説 [しんぶつどうたいせつ] /(n) (obsc) kami-buddha syncretization theory (e.g. manifestation theory)/
神仏分離 [しんぶつぶんり] /(n) separation of Buddhism and Shintoism/
神兵 [しんぺい] /(n) soldier dispatched by a god/soldier under the protection of the gods/
神別 [しんべつ] /(n) clans supposedly descended from the gods/
神変 [しんぺん] /(n) miracle/
神宝 [しんぽう] /(n) sacred treasure/
神妙 [しんびょう] /(ok) (adj-na,n) meek/faithful/quiet/
神妙 [しんみょう] /(adj-na,n) meek/faithful/quiet/(P)/
神無月 [かみなづき] /(n-adv,n) (obs) tenth month of the lunar calendar/
神無月 [かんなづき] /(n-adv,n) (obs) tenth month of the lunar calendar/
神名 [しんめい] /(n) (1) name of a god/(2) name of a shrine/
神名 [じんみょう] /(n) (1) name of a god/(2) name of a shrine/
神明 [しんみょう] /(n) (Buddh) spirits of heaven and earth/
神明 [しんめい] /(n) (1) deity/god/(2) Amaterasu (as an enshrined deity)/
神明裁判 [しんめいさいばん] /(n) trial by ordeal/
神明社 [しんめいしゃ] /(n) (post-Heian) shrine dedicated to Amaterasu/
神明造 [しんめいづくり] /(n) style of shrine architecture based on that of Ise Jingu/
神明造り [しんめいづくり] /(n) style of shrine architecture based on that of Ise Jingu/
神木 [しんぼく] /(n) (1) sacred tree/(2) support pillars of the traditional fire festival bonfires/
神門 [しんもん] /(n) shrine gate/
神門 [じんもん] /(n) shrine gate/
神佑 [しんゆう] /(n) (obsc) heavenly protection/divine help/
神有月 [かみありづき] /(n) (obsc) tenth lunar month/
神祐 [しんゆう] /(n) (obsc) heavenly protection/divine help/
神遊 [かみあそび] /(io) (n,vs) song and dance performed as an offering to the gods/
神遊び [かみあそび] /(n,vs) song and dance performed as an offering to the gods/
神輿 [みこし] /(n) (1) portable shrine (carried in festivals)/(2) (hon) palanquin/(3) (uk) buttocks/lower back/waist/hips/
神様 [かみさま] /(n) God/(P)/
神謡集 [しんようしゅう] /(n) collection of mythology/
神頼み [かみだのみ] /(n) entreaty to a deity/
神理教 [しんりきょう] /(n) Shinri-kyo (sect of Shinto)/
神慮 [しんりょ] /(n) divine will/
神力 [しんりき] /(n) (1) divine power/sacred power/mysterious power/(2) Shinriki (variety of rice)/
神力 [しんりょく] /(n) (1) divine power/sacred power/mysterious power/
神力 [じんりき] /(n) (1) divine power/sacred power/mysterious power/
神霊 [しんれい] /(n,adj-no) divine spirit/
神和ぎ [かんなぎ] /(iK) (n) medium/diviner/shaman/oracle/
神話 [しんわ] /(n,adj-no) myth/legend/(P)/
神話学 [しんわがく] /(n) mythology/
神僊 [しんせん] /(n) (1) immortal mountain wizard (in Taoism)/Taoist immortal/supernatural being/(2) (in Japan) 11th note of the ancient chromatic scale (approx. C)/
神巫 [いちこ] /(n) (1) sorceress/medium/female fortuneteller/
神憑 [かみがかり] /(io) (n,vs) (1) divine possession/(2) eccentric behavior/(n) (3) fanaticism/
神憑り [かみがかり] /(n,vs) (1) divine possession/(2) eccentric behavior/(n) (3) fanaticism/
神漿 [しんしょう] /(n) (1) ambrosia (drink conferring immortality)/(2) drink used as an offering (to the gods)/
神祠 [しんし] /(n) shrine/
神籤 [みくじ] /(n) written oracle/
神籬 [ひぼろき] /(n) (arch) primitive shrine (originally a swath of sacred land surrounded by evergreens; later a decorated sakaki branch on an eight-legged table)/
神籬 [ひぼろぎ] /(n) (arch) primitive shrine (originally a swath of sacred land surrounded by evergreens; later a decorated sakaki branch on an eight-legged table)/
神籬 [ひもろき] /(n) (arch) primitive shrine (originally a swath of sacred land surrounded by evergreens; later a decorated sakaki branch on an eight-legged table)/
神籬 [ひもろぎ] /(n) (arch) primitive shrine (originally a swath of sacred land surrounded by evergreens; later a decorated sakaki branch on an eight-legged table)/
神饌 [しんせん] /(n) food and alcohol offering to the gods/
秦 [しん] /(n) Qin (dynasty of China; 221-206 BCE)/Ch'in/
秦皮 [とねりこ] /(n) ash (tree)/
紳士 [しんし] /(n) gentleman/(P)/
紳士協定 [しんしきょうてい] /(n) gentlemen's agreement/(P)/
紳士靴 [しんしぐつ] /(n) men's shoes/
紳士的 [しんしてき] /(adj-na) gentlemanly/
紳士風 [しんしふう] /(adj-no) gentlemanly/gentlemanlike/in the manner of a gentleman/
紳士服 [しんしふく] /(n) suits for gentlemen/menswear/
紳士用 [しんしよう] /(n) for men/male-/
紳士用装身具商人 [しんしようそうしんぐしょうにん] /(n) haberdasher/
紳士録 [しんしろく] /(n) (who's who) directory/
紳商 [しんしょう] /(n) a wealthy merchant/
臣 [おみ] /(n) (1) (arch) retainer/attendant/(2) Omi (hereditary title; orig. one of the two highest such titles, later demoted to sixth highest of eight)/
臣 [しん] /(n) (1) (arch) retainer/attendant/(2) (hum) I (used by a servant when speaking to his master)/me/
臣 [やつこ] /(n) (1) (arch) slave/(2) retainer/servant/(3) captive/(4) (derog) varlet/(5) (hum) I/me/
臣 [やつこらま] /(n) (1) retainer/servant/
臣下 [しんか] /(n,adj-no) retainer/
臣事 [しんじ] /(n,vs) serving as a retainer/
臣従 [しんじゅう] /(n,vs) vassalage/
臣籍 [しんせき] /(n) status of a subject/
臣籍降下 [しんせきこうか] /(n) (of members of the Imperial family) becoming subjects of the state/
臣節 [しんせつ] /(n) loyalty to one's master/
臣服 [しんぷく] /(n,vs) vassalage/
臣民 [しんみん] /(n) subject/national/
芯 [しん] /(n) (1) wick/marrow/staple (for stapler)/(pencil) lead/stuffing/pith/(2) core/heart/centre/center/(P)/
芯のあるご飯 [しんのあるごはん] /(n) undercooked rice/
芯のあるめし [しんのあるめし] /(n) undercooked rice/
芯のある飯 [しんのあるめし] /(n) undercooked rice/
芯地 [しんじ] /(n) padding/lining/foundation/
薪 [たきぎ] /(n) (1) firewood/kindling/fuel/(2) piece(s) of firewood/
薪 [まき] /(n) (1) firewood/kindling/fuel/(2) piece(s) of firewood/(P)/
薪割 [まきわり] /(n) (1) hatchet/axe/(n,vs) (2) wood-chopping/wood-splitting/
薪割り [まきわり] /(n) (1) hatchet/axe/(n,vs) (2) wood-chopping/wood-splitting/
薪拾い [たきぎひろい] /(n) firewood gathering/
薪水 [しんすい] /(n) fuel and water/cooking/salary/
薪炭 [しんたん] /(n) wood and charcoal/fuel/(P)/
薪能 [たきぎのう] /(n) Noh theater performed at night by a fire/
親 [おや] /(n) (1) parent/parents/(2) dealer (in cards)/(3) founder/(4) (pet) owner/(P)/
親 [しん] /(n) (1) intimacy/closeness/friendliness/(2) close relative/(n-pref) (3) pro- (e.g. pro-American, pro-Japanese, etc.)/
親しい [したしい] /(adj-i) intimate/close (e.g. friend)/(P)/
親しい [ちかしい] /(adj-i) intimate/close/
親しい友達 [したしいともだち] /(n) close (intimate) friend/
親しき中にも礼儀あり [したしきなかにもれいぎあり] /(exp) good manners even between friends/
親しき中にも礼儀有り [したしきなかにもれいぎあり] /(exp) (id) A hedge between keeps friendships/
親しき仲にも礼儀あり [したしきなかにもれいぎあり] /(exp) good manners even between friends/
親しく [したしく] /(adv,n) intimately/personally/in person/
親しみ [したしみ] /(n) intimacy/affection/familiarity/(P)/
親しみやすい [したしみやすい] /(adj-i) friendly/
親しみ易い [したしみやすい] /(adj-i) friendly/
親しむ [したしむ] /(v5m,vi) to be intimate with/to befriend/(P)/
親せき [しんせき] /(n) relative/relation/kin/
親に逆らう [おやにさからう] /(exp,v5u) to disobey one's parents/
親に似ぬ子は鬼子 [おやににぬこはおにご] /(exp) (id) He is unworthy of his father/
親に叛く [おやにそむく] /(exp,v5k) to disobey one's parents/
親に迄見放される [おやにまでみはなされる] /(exp,v1) to be the despair of one's parents/
親のすねをかじる [おやのすねをかじる] /(exp,v5r) to depend on one's parents' (financial) support/
親のすねを囓る [おやのすねをかじる] /(exp,v5r) to depend on one's parents' (financial) support/
親のないプロセスグループ [おやのないプロセスグループ] /(n) (comp) orphaned process group/
親の因果が子に報う [おやのいんががこにむくう] /(exp) (id) The father's sins will be visited upon the children/
親の顔が見たい [おやのかおがみたい] /(exp) expresses shock at misbehaviour of a youngster/what must his parents be like?/lit: I'd like to see his parents' faces/
親の光は七光り [おやのひかりはななひかり] /(exp) (id) Having a famous parent's help/
親の七光 [おやのななひかり] /(exp) capitalizing on the fame of a parent/riding a parent's coat-tails/
親の七光り [おやのななひかり] /(exp) capitalizing on the fame of a parent/riding a parent's coat-tails/
親の情 [おやのじょう] /(n) parental love/
親の心子知らず [おやのこころこしらず] /(exp) there is no love like a father's/no child knows how dear he is to his parents/
親の代 [おやのだい] /(n) one's parents' generation/
親の脛を囓る [おやのすねをかじる] /(exp,v5r) to depend on one's parents' (financial) support/
親の脛を齧る [おやのすねをかじる] /(exp,v5r) to depend on one's parents' (financial) support/
親は無くても子は育つ [おやはなくてもこはそだつ] /(exp) (id) Nature itself is a good mother/
親ばか [おやばか] /(n) (over) fond parents/doting parents/
親を苦しめる [おやをくるしめる] /(exp,v1) to cause one's parents distress/
親アラブ [しんアラブ] /(n) pro-Arab/
親エントリ [おやエントリ] /(n) (comp) parent-entry/
親ディレクトリ [おやディレクトリ] /(n) (comp) parent directory/
親トモ [おやトモ] /(n) (obsc) (sl) keitai-mail friend (someone one keeps in touch with only by typing messages with one's thumb)/
親プログラム [おやプログラム] /(n) (comp) host/
親プロセス [おやプロセス] /(n) (comp) parent process/
親プロセスＩＤ [おやプロセスアイディー] /(n) (comp) parent process ID/
親愛 [しんあい] /(n,adj-na) (1) deep affection/(2) dear (often used as the opening greeting of a letter)/beloved/(P)/
親芋 [おやいも] /(n) mother tuber of a taro/taro corm/parent taro/
親衛 [しんえい] /(n) monarch's guards/(P)/
親衛隊 [しんえいたい] /(n) (1) bodyguards/elite guards/imperial guards/(2) Schutzstaffel/SS/(3) groupies/ardent fans/
親衛兵 [しんえいへい] /(n) a personal guard or bodyguard/
親閲 [しんえつ] /(n,vs) personal inspection/
親欧米路線 [しんおうべいろせん] /(n) alignment with the Western powers of America and Europe/
親王 [しんのう] /(n) prince of royal blood/Imperial prince/
親王家 [しんのうけ] /(n) imperial prince's family/family of a prince of royal blood/
親王妃 [しんのうひ] /(n) Imperial princess/
親画面 [おやがめん] /(n) main screen/
親会社 [おやがいしゃ] /(n) parent company/(P)/
親掛かり [おやがかり] /(n,adj-no) dependent on one's parents/
親株 [おやかぶ] /(n) parent root or stock/pre-split stock or share/
親機 [おやき] /(n) main telephone (esp. when there are extensions)/
親許 [おやもと] /(n) one's parents/one's parents' home/one's home/
親局 [おやきょく] /(n) (comp) (computer) master station/
親玉 [おやだま] /(n) boss/chief/head/
親近 [しんきん] /(n,vs) a relative/familiarity/
親近感 [しんきんかん] /(n) affinity/(P)/
親兄弟 [おやきょうだい] /(n) parents and siblings/one's relatives/
親月 [おやづき] /(n) (obsc) seventh lunar month/
親権 [しんけん] /(n) parental authority/
親権者 [しんけんしゃ] /(n) person exercising parental authority/
親犬 [おやいぬ] /(n) parent dog/
親見たけりゃ子を見ろ [おやみたけりゃこをみろ] /(exp) (id) Like father, like son/
親見出し [おやみだし] /(n) main entry (in dictionary)/
親元 [おやもと] /(n) one's parents/one's parents' home/one's home/
親御 [おやご] /(n) (hon) another's parent/another's parents/
親交 [しんこう] /(n) intimacy/friendship/friendly relations/(P)/
親好 [しんこう] /(n) friendship/good fellowship/
親孝行 [おやこうこう] /(adj-na,n) filial piety/(P)/
親構造体 [おやこうぞうたい] /(n) (comp) parent structure/
親告 [しんこく] /(n,vs) formal complaint made by a victim/
親告罪 [しんこくざい] /(n) type of crime which requires a formal complaint from the victim in order to prosecute/
親骨 [おやぼね] /(n) ribs of a folding fan/
親祭 [しんさい] /(n,vs) rites conducted by the emperor/
親裁 [しんさい] /(n,vs) matter personally decided by the emperor/
親殺し [おやごろし] /(n,vs) parricide/
親子 [おやこ] /(n,adj-no) parent and child/(P)/
親子 [しんし] /(n,adj-no) parent and child/
親子関係 [おやこかんけい] /(n) parent-child relationship/
親子結合 [おやこけつごう] /(n) (comp) host association/
親子月 [おやこづき] /(n) (obsc) twelfth lunar month/
親子電話 [おやこでんわ] /(n) extension phone (and its main line)/
親子丼 [おやこどん] /(n) chicken and egg on rice/parent and child donburi/
親子丼 [おやこどんぶり] /(n) chicken and egg on rice/parent and child donburi/
親思い [おやおもい] /(n) love or affection for one's parents/
親指 [おやゆび] /(n) thumb/(P)/
親指シフト [おやゆびシフト] /(n) (comp) thumb shift/
親指シフトキーボード [おやゆびシフトキーボード] /(n) (comp) thumb shift keyboard/
親字 [おやじ] /(n) first character (of a dictionary entry)/
親時計 [おやどけい] /(n) master clock/control clock/
親順序番号 [おやじゅんじょばんごう] /(n) (comp) parent-sequence-number/
親署 [しんしょ] /(n,vs) signature of an emperor or noble/
親書 [しんしょ] /(n) handwritten or autograph letter/(P)/
親勝り [おやまさり] /(adj-na,n) surpassing one's parents/
親譲り [おやゆずり] /(n) inheritance from a parent/(P)/
親心 [おやごころ] /(n) parental love or affection/
親身 [しんみ] /(n) (1) relation/relative/(adj-na) (2) kind/cordial/
親身になって [しんみになって] /(exp,adv) warmly/cordially/with tender care/
親水 [しんすい] /(adj-no) hydrophilic/hydro-/
親水コロイド [しんすいコロイド] /(n) hydrophilic colloid/
親水基 [しんすいき] /(n) hydrophilic group/
親水空間 [しんすいくうかん] /(n) space or area for water-lovers/
親水性 [しんすいせい] /(n,adj-no) hydrophilicity/
親征 [しんせい] /(n,vs) military expedition led in person by the emperor/
親政 [しんせい] /(n) direct Imperial rule/
親戚 [しんせき] /(n) relative/relation/kin/(P)/
親戚関係 [しんせきかんけい] /(n) relations/members of extended family/
親戚故旧 [しんせきこきゅう] /(n) relatives and old friends/
親戚知己 [しんせきちき] /(n) relatives and acquaintances/
親戚眷属 [しんせきけんぞく] /(n) one's family and relatives/one's kith and kin/
親石 [おやいし] /(adj-no) important stone in a construction/
親切 [しんせつ] /(adj-na,n) kindness/gentleness/(P)/
親切気 [しんせつぎ] /(n) kindheartedness/
親切心 [しんせつしん] /(n) kindness/
親船 [おやぶね] /(n) mother ship/
親善 [しんぜん] /(n) friendship/(P)/
親善試合 [しんぜんじあい] /(n) friendly match (game)/friendly/
親善大使 [しんぜんたいし] /(n) goodwill ambassador/friendship ambassador/
親疎 [しんそ] /(n) degree of intimacy/
親操作 [おやそうさ] /(n) (comp) parent-operation/
親族 [しんぞく] /(n,adj-no) relatives/(P)/
親族関係 [しんぞくかんけい] /(n) kinship/
親代々 [おやだいだい] /(n,adj-no) inheritance/
親代り [おやがわり] /(n) (one acting as a) foster parent/
親代わり [おやがわり] /(n) (one acting as a) foster parent/
親代代 [おやだいだい] /(n,adj-no) inheritance/
親知らず [おやしらず] /(n) wisdom tooth/
親柱 [おやばしら] /(n) main pillar/
親潮 [おやしお] /(n) the Kurile Current/
親鳥 [おやどり] /(n) parent bird/
親展 [しんてん] /(n,adj-no) confidential/
親展書 [しんてんしょ] /(n) confidential letter/
親展書留郵便 [しんてんかきとめゆうびん] /(n) (comp) registered mail to addressee in person/PD PR/
親電 [しんでん] /(n) telegram sent by an emperor or head of state/
親等 [しんとう] /(n) degree of kinship/
親日 [しんにち] /(n,adj-no) pro-Japanese/(P)/
親日家 [しんにちか] /(n) Japanophile/
親日派 [しんにちは] /(n) pro-Japanese group/Japanophiles/
親任 [しんにん] /(n,vs) imperial appointment/
親任官 [しんにんかん] /(n) official appointed by the Emperor/
親任式 [しんにんしき] /(n) investing of an official appointed by the Emperor/
親猫 [おやねこ] /(n) parent cat/
親馬鹿 [おやばか] /(n) (over) fond parents/doting parents/
親拝 [しんぱい] /(n) worship by the emperor at a shrine/
親藩大名 [しんぱんだいみょう] /(n) the daimyo of a feudal domain owned by a Tokugawa family branch/
親筆 [しんぴつ] /(n) the handwriting of a high-ranking person/
親不孝 [おやふこう] /(adj-na,n) lack of filial piety/(P)/
親不知 [おやしらず] /(n) wisdom tooth/
親父 [おやじ] /(gikun) (n) one's father/old man/one's boss/
親父 [しんぷ] /(n) one's father/old man/one's boss/
親風を吹かす [おやかぜをふかす] /(exp,v5s) to exercise parental authority/
親分 [おやぶん] /(n) (sens) boss/kingpin/chief/head (e.g. of a crime syndicate)/(P)/
親分株 [おやぶんかぶ] /(n) position of boss (big-shot)/
親分肌の人 [おやぶんはだのひと] /(n) bossy/
親文字 [おやもじ] /(n) capital letter/first character of a dictionary entry/
親米 [しんべい] /(n) pro-American/
親方 [おやかた] /(n) (1) master/(2) coach in professional sumo/(P)/
親方株 [おやかたかぶ] /(n) sumo coach's name use license (licence)/
親方日の丸 [おやかたひのまる] /(n) attitude that with the state as one's boss, normal fiscal accountability can be dispensed with/dependence on the central government/attitude of those who assume their jobs are safe because they are government employees/
親睦 [しんぼく] /(n,vs) friendship/amity/(P)/
親睦会 [しんぼくかい] /(n) informal social gathering/
親密 [しんみつ] /(adj-na,n) intimacy/friendship/(P)/
親密さ [しんみつさ] /(n) intimacy/
親密感 [しんみつかん] /(n) feeling of affinity/friendship/
親無し [おやなし] /(n) parentless/
親無し子 [おやなしご] /(n) parentless child/orphan/
親娘 [おやこ] /(exp) parent and child/
親木 [おやぎ] /(n) stock (from which a graft is taken)/
親爺 [おやじ] /(gikun) (n) one's father/old man/one's boss/
親友 [しんゆう] /(n) close friend/bosom (old, intimate) friend/buddy/crony/chum/(P)/
親要素 [おやようそ] /(n) (comp) containing element/
親里 [おやざと] /(n) the home of one's parents/
親離れ [おやばなれ] /(n,vs) independence from parents/
親臨 [しんりん] /(n,vs) visit by an emperor or noble/
親類 [しんるい] /(n,adj-no) relation/kin/(P)/
親類縁者 [しんるいえんじゃ] /(n) one's relatives by blood and marriage (in blood and law)/one's kith and kin/
親類書き [しんるいがき] /(n) written record of one's relatives/
親類付き合い [しんるいづきあい] /(n) (the quality of) inter-family association/
親和 [しんわ] /(n,vs) friendship/fellowship/
親和性 [しんわせい] /(n) affinity/
親和力 [しんわりょく] /(n) (chem) affinity/
親炙 [しんしゃ] /(n,vs) coming into close contact and being influenced by/
親睨 [おやにらみ] /(n) (uk) aucha perch (Coreoperca kawamebari)/
診てもらう [みてもらう] /(exp,v5u) (1) to see (a doctor, etc.)/(2) to consult (someone)/
診て貰う [みてもらう] /(exp,v5u) (1) to see (a doctor, etc.)/(2) to consult (someone)/
診る [みる] /(v1,vt) to examine (medically)/(P)/
診察 [しんさつ] /(n,vs) medical examination/(P)/
診察券 [しんさつけん] /(n) patient's registration ticket/
診察室 [しんさつしつ] /(n) examining room/
診察台 [しんさつだい] /(n) examination table (at a doctor's office)/
診察日 [しんさつび] /(n) consultation day/
診察料 [しんさつりょう] /(n) consultation or doctor's fee/
診断 [しんだん] /(n,vs,adj-no) diagnosis/(P)/
診断プログラム [しんだんプログラム] /(n) (comp) diagnostic program/
診断メッセージ [しんだんメッセージ] /(n) (comp) diagnostic message/
診断ユーティリティ [しんだんユーティリティ] /(n) (comp) diagnostics utilities/
診断医 [しんだんい] /(n) diagnostician/
診断学 [しんだんがく] /(n) diagnostics/
診断機能 [しんだんきのう] /(n) (comp) diagnostic function/
診断検査 [しんだんけんさ] /(n) diagnostic examination/diagnostic assay/
診断出力 [しんだんしゅつりょく] /(n) (comp) diagnostic output/
診断書 [しんだんしょ] /(n) medical certificate/
診断法 [しんだんほう] /(n) means of diagnosis/
診断薬 [しんだんやく] /(n) diagnostic drug/diagnostic pharmaceutical/
診療 [しんりょう] /(n,vs) medical examination and treatment/diagnosis/(P)/
診療科 [しんりょうか] /(n) hospital department/department in the field of medical care/
診療看護師 [しんりょうかんごし] /(n) nurse practitioner/
診療支援 [しんりょうしえん] /(n) diagnostic aid (medical)/
診療所 [しんりょうしょ] /(n) (medical) clinic/(P)/
診療所 [しんりょうじょ] /(n) (medical) clinic/
診療費 [しんりょうひ] /(n) medical consultation fee/
診療報酬 [しんりょうほうしゅう] /(n) payment (system) for medical services/
診療放射線技師 [しんりょうほうしゃせんぎし] /(n) medical radiographer/radiological technologist/
身 [み] /(n) (1) body/(2) oneself/(3) one's place/one's position/(4) main part/meat (as opposed to bone, skin, etc.)/wood (as opposed to bark)/blade (as opposed to its handle)/container(as opposed to its lid)/(P)/
身 [むくろ] /(n) (dead) body/corpse/
身から出た錆 [みからでたさび] /(exp) paying for one's mistakes/getting one's just deserts/suffering the consequences (of one's own actions)/reap what you sow/
身が細る [みがほそる] /(exp,v5r) to lose weight/to become thin/
身が持たない [みがもたない] /(exp,adj-i) not to be able to keep one's health/exceeding the limits of one's body/not to be able to maintain one's fortune/
身が入る [みがはいる] /(exp,v5r) to make one's best effort/to be enthused/to put your back into it/
身ぐるみ [みぐるみ] /(n) all one has/all one's possessions/
身ぐるみはがれる [みぐるみはがれる] /(exp,v1) to be stripped of all one has/
身ごなし [みごなし] /(n) one's carriage/one's demeanor/agility/body movements/
身ごもる [みごもる] /(v5r,vi) to become pregnant/
身じたく [みじたく] /(n) (1) dress/outfit/getup/(vs) (2) to dress oneself/to outfit oneself/
身じろぎ [みじろぎ] /(n,vs) stirring/slight movement/
身じろぎもしない [みじろぎもしない] /(adj-i) didn't stir an inch/
身じろぐ [みじろぐ] /(v5g,vi) to stir/to move/
身すぎ世すぎ [みすぎよすぎ] /(n) one's living/one's livelihood/
身だしなみ [みだしなみ] /(n) personal appearance/personal grooming/
身づくろい [みづくろい] /(n,vs) dressing oneself/personal grooming/
身なり [みなり] /(n) personal appearance/(P)/
身にあまる光栄 [みにあまるこうえい] /(exp) undeserved honor (honour)/too great an honour/
身にしみる [みにしみる] /(exp,v1) (1) to sink deeply into one's mind/to come home to/to go to one's heart/(2) to pierce one's body (e.g. of wind, cold, etc.)/
身につく [みにつく] /(exp,v5k) (1) to master (e.g. a skill)/to become accustomed to (e.g. a lifestyle)/to acquire (e.g. a habit)/(2) to retain/
身につける [みにつける] /(exp,v1) (1) to learn/to acquire knowledge/(2) to carry/to wear (clothes, etc.)/to put on/(P)/
身につまされる [みにつまされる] /(exp,v1) to sympathize deeply with/to strike a chord of sympathy/
身に覚えがある [みにおぼえがある] /(exp,v5r-i) to have the memory of having done something oneself/
身に覚えのある [みにおぼえのある] /(exp,adj-f) to have the memory of having done something oneself (subordinate phrase)/
身に染みる [みにしみる] /(exp,v1) (1) to sink deeply into one's mind/to come home to/to go to one's heart/(2) to pierce one's body (e.g. of wind, cold, etc.)/
身に着ける [みにつける] /(exp,v1) (1) to learn/to acquire knowledge/(2) to carry/to wear (clothes, etc.)/to put on/
身に付く [みにつく] /(exp,v5k) (1) to master (e.g. a skill)/to become accustomed to (e.g. a lifestyle)/to acquire (e.g. a habit)/(2) to retain/
身に付ける [みにつける] /(exp,v1) (1) to learn/to acquire knowledge/(2) to carry/to wear (clothes, etc.)/to put on/
身に余る光栄 [みにあまるこうえい] /(exp) undeserved honor (honour)/too great an honour/
身に沁みる [みにしみる] /(exp,v1) (1) to sink deeply into one's mind/to come home to/to go to one's heart/(2) to pierce one's body (e.g. of wind, cold, etc.)/
身のこなし [みのこなし] /(n) carriage/movement (of the body)/agility/
身の回り [みのまわり] /(n) one's personal belongings/one's vicinity/one's daily life/everyday necessities/(P)/
身の回りの世話をする [みのまわりのせわをする] /(exp,vs-i) to wait on someone hand and foot/to take personal care of someone/
身の回り品 [みのまわりひん] /(n) personal effects/
身の熟し [みのこなし] /(n) carriage/movement (of the body)/agility/
身の処し方 [みのしょしかた] /(exp) what action to take/what to do with oneself/
身の証を立てる [みのあかしをたてる] /(exp,v1) to vindicate one's innocence/
身の上 [みのうえ] /(n) one's future/one's welfare/one's personal history/(P)/
身の上話 [みのうえばなし] /(exp,n) life story/personal narrative/story of one's life/
身の丈 [みのたけ] /(n) stature/body height/
身の代金 [みのしろきん] /(n) ransom/
身の置き所がない [みのおきどころがない] /(exp,adj-i) (so ashamed or embarrassed that) one does not know where to put oneself/feeling out of place/
身の置き所が無い [みのおきどころがない] /(exp,adj-i) (so ashamed or embarrassed that) one does not know where to put oneself/feeling out of place/
身の置き所もない [みのおきどころもない] /(exp,adj-i) (so ashamed or embarrassed that) one does not know where to put oneself/feeling out of place/
身の程 [みのほど] /(n) one's social position/one's own place/
身の毛 [みのけ] /(n) body hair/
身の毛がよだつ [みのけがよだつ] /(exp,v5t) to have one's hair stand on end/
身の毛が弥立つ [みのけがよだつ] /(exp,v5t) to have one's hair stand on end/
身の毛のよだつ [みのけのよだつ] /(exp,v5t) to have one's hair stand on end/hair raising/
身の毛の弥立つ [みのけのよだつ] /(exp,v5t) to have one's hair stand on end/hair raising/
身びいき [みびいき] /(n) favoritism (towards relatives)/favouritism/nepotism/
身ふたつになる [みふたつになる] /(exp) to give birth/
身ぶり [みぶり] /(n) gesture/gesticulation/motion/
身ぶりで示す [みぶりでしめす] /(v5s) to express by gestures/
身ぶり手ぶり [みぶりてぶり] /(n) gestures/gesturing/
身ぶるい [みぶるい] /(n,vs) shivering/trembling/shuddering/
身もだえ [みもだえ] /(n,vs) writhing (in agony)/
身もだえる [みもだえる] /(v1) to writhe (in agony)/
身も蓋もない [みもふたもない] /(exp) point blank/blunt/
身も蓋も無い [みもふたもない] /(exp) point blank/blunt/
身をかがめる [みをかがめる] /(exp,v1) to stoop/to bend over/
身をかわす [みをかわす] /(exp,v5s) to dodge/to evade/
身をひそめる [みをひそめる] /(exp,v1) to hide oneself/
身をもって [みをもって] /(exp) with one's own body/by one's own action/through one's own experience/firsthand/
身をやつす [みをやつす] /(exp,v5s) (1) to be enthralled by/(2) to be disguised as/
身を以て [みをもって] /(exp) with one's own body/by one's own action/through one's own experience/firsthand/
身を委ねる [みをゆだねる] /(exp,v1) to yield oneself to (something)/to devote oneself to something/to surrender oneself to something/
身を引く [みをひく] /(exp,v5k) to back out of/to retire/to get away/
身を隠す [みをかくす] /(exp,v5s) to hide oneself/
身を厭う [みをいとう] /(exp,v5u) to take good care of oneself/
身を寄せる [みをよせる] /(exp,v1) to live under another's roof/to become a dependent on/
身を寄せ合う [みをよせあう] /(exp,v5u) to go into a huddle/
身を起こす [みをおこす] /(exp,v5s) (1) to get up (e.g. from bed)/(2) to make one's way in the world/to achieve in life/
身を屈める [みをかがめる] /(exp,v1) to stoop/to bend over/
身を固める [みをかためる] /(exp,v1) to settle down/to get a steady job/to marry and raise a family/
身を誤る [みをあやまる] /(exp,v5r) to err/to take the wrong path/to go astray/
身を護る [みをまもる] /(exp,v5r) to defend oneself/
身を殺して仁を為す [みをころしてじんをなす] /(exp,v5s) to do an act of benevolence at the sacrifice of oneself/
身を持ち崩す [みをもちくずす] /(exp,v5s) to ruin oneself/
身を捨ててこそ浮かぶ瀬も有れ [みをすててこそうかぶせもあれ] /(exp) (id) Nothing venture, nothing gain/
身を捨てる [みをすてる] /(exp,v1) to throw away one's life/
身を守る [みをまもる] /(exp,v5r) to defend oneself/
身を修める [みをおさめる] /(exp,v1) to order one's life/
身を焼く [みをやく] /(exp,v5k) to burn (with jealousy, desire, etc.)/
身を焦がす [みをこがす] /(exp,v5s) to burn with love/
身を乗り出す [みをのりだす] /(exp,v5s) to bend oneself forward (esp. in curiosity or excitement)/to hang out (e.g. over a balcony)/
身を清める [みをきよめる] /(exp,v1) to cleanse oneself/
身を切るよう [みをきるよう] /(exp,adj-na) piercing (cold)/biting (wind)/
身を切る様 [みをきるよう] /(exp,adj-na) piercing (cold)/biting (wind)/
身を潜める [みをひそめる] /(exp,v1) to hide oneself/
身を投げる [みをなげる] /(exp,v1) to throw oneself (e.g. off a cliff, etc.)/
身を投じる [みをとうじる] /(exp,v1) to throw oneself (into an activity)/
身を入れる [みをいれる] /(exp,v1) to exert oneself/to devote oneself to/
身を任せる [みをまかせる] /(exp,v1) to give oneself to (esp. of a woman to a man)/to surrender oneself to/
身を伏せる [みをふせる] /(exp,v1) to lie face-down/
身を粉にして働く [みをこにしてはたらく] /(exp,v5k) to work hard/to work oneself to the bone/
身を翻す [みをひるがえす] /(exp,v5s) to turn aside adroitly/to dodge/
身を立てる [みをたてる] /(exp,v1) to make a success in life/
身を窶す [みをやつす] /(exp,v5s) (1) to be enthralled by/(2) to be disguised as/
身を躱す [みをかわす] /(exp,v5s) to dodge/to evade/
身一つ [みひとつ] /(n) one's body alone/lacking possessions/
身屋 [むや] /(ok) (n) (1) purlin (structural beam in a roof)/purline/(2) main building (of a manor)/(3) central room (in traditional palatial-style architecture)/
身屋 [もや] /(n) (1) purlin (structural beam in a roof)/purline/(2) main building (of a manor)/(3) central room (in traditional palatial-style architecture)/
身過ぎ [みすぎ] /(n,vs) one's living/one's livelihood/
身過ぎ世過ぎ [みすぎよすぎ] /(n) one's living/one's livelihood/
身奇麗 [みぎれい] /(adj-na) neat personal appearance/
身寄り [みより] /(n) relative/(P)/
身許 [みもと] /(n) person's identity/ID/past/background/
身共 [みども] /(pn,adj-no) (arch) I (used when speaking to their equals or inferiors)/me/
身巾 [みはば] /(oK) (n) width of a garment/
身近 [みぢか] /(adj-na,n) near oneself/close to one/familiar/(P)/
身近い [みぢかい] /(adj-i) near oneself/
身空 [みそら] /(n) body/one's fortune/
身形 [みなり] /(n) dress/outfit/getup/appearance/
身軽 [みがる] /(adj-na,n) light/agile/nimble/casual/carefree/(P)/
身軽い [みがるい] /(adj-i) nimble/light/
身欠き鰊 [みかきにしん] /(n) dried, sliced herring/
身元 [みもと] /(n) person's identity/ID/past/background/(P)/
身元確認 [みもとかくにん] /(n) ID/person's identity/checking background/
身元照会先 [みもとしょうかいさき] /(n) reference (e.g. on CV, resume)/
身元調査 [みもとちょうさ] /(n) (col) identity or background check (often to see if someone is a burakumin)/
身元不明 [みもとふめい] /(n,adj-no) (a person or body being) unidentifiable (unidentified)/
身元不明者 [みもとふめいしゃ] /(n) John Doe/Jane Doe/person unknown/
身元保証 [みもとほしょう] /(n) personal reference/
身元保証人 [みもとほしょうにん] /(n) (personal) guarantor/(personal) surety/person providing a character reference/
身光 [しんこう] /(n) aureole (of a Buddhist statue; surrounding the body but not the head)/aureola/
身口意 [しんくい] /(n) (Buddh) action, speech and thought/
身構え [みがまえ] /(n) posture/
身構える [みがまえる] /(v1,vi) to put oneself on guard/to stand ready/to square off/
身頃 [みごろ] /(n) body of a garment/bodice/
身仕度 [みじたく] /(n) (1) dress/outfit/getup/(vs) (2) to dress oneself/to outfit oneself/
身仕舞い [みじまい] /(n) dressing or outfitting oneself/
身支度 [みじたく] /(n) (1) dress/outfit/getup/(vs) (2) to dress oneself/to outfit oneself/
身持 [みもち] /(n) (1) conduct/behavior/behaviour/(2) being pregnant/
身持ち [みもち] /(n) (1) conduct/behavior/behaviour/(2) being pregnant/
身舎 [もや] /(n) (1) purlin (structural beam in a roof)/purline/(2) main building (of a manor)/(3) central room (in traditional palatial-style architecture)/
身受け [みうけ] /(n,vs) paying to get someone (esp. a geisha, prostitute, etc.) out of bondage/
身重 [みおも] /(adj-na,n,adj-no) pregnant/
身熟し [みごなし] /(n) one's carriage/one's demeanor/agility/body movements/
身勝手 [みがって] /(adj-na,n) selfishness/egoism/egotism/
身障児 [しんしょうじ] /(n) (abbr) disabled child/physically handicapped child/
身障児学級 [しんしょうじがっきゅう] /(n) special class for handicapped children/
身障者 [しんしょうしゃ] /(n) (abbr) disabled person/physically handicapped person/(P)/
身上 [しんしょう] /(n) (1) fortune/property/(2) household/home/housekeeping/(3) asset/
身上 [しんじょう] /(n) merit/body/social position/(P)/
身上がり [みあがり] /(n) taking a day off by paying one's own fee to one's master (of a prostitute; often in order to see her lover)/
身上り [みあがり] /(io) (n) taking a day off by paying one's own fee to one's master (of a prostitute; often in order to see her lover)/
身上持ち [しんしょうもち] /(n) good housekeeper/
身上調査 [しんじょうちょうさ] /(n,vs) examine (investigate into) a person's history/
身上調書 [しんじょうちょうしょ] /(n) personal information form/dossier on an individual/
身丈 [みたけ] /(n) length (of clothing)/
身心 [しんしん] /(n,adj-no) mind and body/
身心 [しんじん] /(ok) (n,adj-no) mind and body/
身心一如 [しんしんいちにょ] /(n) body and mind as one/mind-body unity/
身振 [みぶり] /(io) (n) gesture/gesticulation/motion/
身振い [みぶるい] /(n,vs) shivering/trembling/shuddering/
身振り [みぶり] /(n) gesture/gesticulation/motion/(P)/
身振りで示す [みぶりでしめす] /(v5s) to express by gestures/
身振り手振り [みぶりてぶり] /(n) gestures/gesturing/
身神 [しんしん] /(n,adj-no) mind and body/
身神 [しんじん] /(ok) (n,adj-no) mind and body/
身震い [みぶるい] /(n,vs) shivering/trembling/shuddering/(P)/
身請 [みうけ] /(io) (n,vs) paying to get someone (esp. a geisha, prostitute, etc.) out of bondage/
身請け [みうけ] /(n,vs) paying to get someone (esp. a geisha, prostitute, etc.) out of bondage/
身請け金 [みうけがね] /(n) money needed to buy a geisha or prostitute out of bondage/
身請け金 [みうけきん] /(n) money needed to buy a geisha or prostitute out of bondage/
身請金 [みうけがね] /(n) money needed to buy a geisha or prostitute out of bondage/
身請金 [みうけきん] /(n) money needed to buy a geisha or prostitute out of bondage/
身請銀 [みうけがね] /(n) money needed to buy a geisha or prostitute out of bondage/
身銭 [みぜに] /(n) one's own money/
身銭を切る [みぜにをきる] /(exp,v5r) to use one's own money/to pay for from one's own pocket/
身繕い [みづくろい] /(n,vs) dressing oneself/personal grooming/
身体 [からだ] /(n,adj-no) (1) body/(2) health/(P)/
身体 [しんたい] /(n,adj-no) (1) body/(2) health/(P)/
身体で覚える [からだでおぼえる] /(exp,v1) to master something (through personal experience)/
身体改造 [しんたいかいぞう] /(n) body modification/
身体傷害 [からだしょうがい] /(n) mayhem/
身体障害 [しんたいしょうがい] /(n) (physical) handicap/
身体障害者 [しんたいしょうがいしゃ] /(n) disabled person/physically handicapped person/(P)/
身体障害者手帳 [しんたいしょうがいしゃてちょう] /(n) physical disability certificate/
身体装検器 [しんたいそうけんき] /(n) type of detector used at airports/
身体装飾 [しんたいそうしょく] /(n) body ornamentation (adornment, tatoos, etc.)/
身体中 [からだじゅう] /(n) throughout the body/
身体髪膚 [しんたいはっぷ] /(n) entire human body/every inch of one's body/
身体変工 [しんたいへんこう] /(n) body modification/
身代 [しんだい] /(n) fortune/property/
身代り [みがわり] /(n) substitute (for)/sacrifice (of, to)/scapegoat (for)/
身代わり [みがわり] /(n) substitute (for)/sacrifice (of, to)/scapegoat (for)/(P)/
身代を傾ける [しんだいをかたむける] /(exp,v1) to squander one's fortunes/
身代金 [みのしろきん] /(n) ransom/
身代金要求 [みのしろきんようきゅう] /(n) ransom demand/(P)/
身代限り [しんだいかぎり] /(n) going bankrupt/
身知らず [みしらず] /(adj-na,n) self-conceit/neglecting one's health/
身中 [しんちゅう] /(n) within one's body/
身長 [しんちょう] /(n) height (of body)/stature/(P)/
身長の低い人 [しんちょうのひくいひと] /(n) short person/
身投げ [みなげ] /(n,vs) throwing oneself (e.g. into the water to commit suicide)/(P)/
身動き [みうごき] /(n,vs) moving about/stirring about/(P)/
身動ぎ [みじろぎ] /(n,vs) stirring/slight movement/
身動ぐ [みじろぐ] /(v5g,vi) to stir/to move/
身内 [みうち] /(n) (1) relatives/one's family/(2) friends/members of the same organization/(3) followers/henchmen/(4) one's whole body/(P)/
身二つになる [みふたつになる] /(exp) to give birth/
身売り [みうり] /(n,vs) selling oneself (into bondage)/
身八つ [みやつ] /(n) (abbr) small opening in the side of some traditional Japanese clothing (located where the sleeve meets the bodice, below the armpit)/
身八つ口 [みやつぐち] /(n) small opening in the side of some traditional Japanese clothing (located where the sleeve meets the bodice, below the armpit)/
身八口 [みやつぐち] /(n) small opening in the side of some traditional Japanese clothing (located where the sleeve meets the bodice, below the armpit)/
身罷る [みまかる] /(v5r,vi) to pass away/to die/
身幅 [みはば] /(n) width of a garment/
身分 [みぶん] /(n) social position/social status/(P)/
身分の高い人 [みぶんのたかいひと] /(n) man of high position/
身分意識 [みぶんいしき] /(n) status consciousness/perception of one's social status/
身分詐称 [みぶんさしょう] /(n) false personation/misrepresentation of one's social position/
身分事項 [みぶんじこう] /(n) matters for identification/documentation/
身分証 [みぶんしょう] /(n) (abbr) identification papers/ID/
身分証明書 [みぶんしょうめいしょ] /(n) identification papers/ID/(P)/
身分制 [みぶんせい] /(n) (abbr) class system/
身分制度 [みぶんせいど] /(n) class system/
身分相応 [みぶんそうおう] /(n,adj-na) appropriate to one's lot in life/within one's means/fitting to one's position/suitable to one's social status/
身分不相応 [みぶんふそうおう] /(adj-na) beyond one's means or position/inappropriate to one's lot in life/
身分柄 [みぶんがら] /(n) status/social standing/
身柄 [みがら] /(n) one's person/(P)/
身柄拘束 [みがらこうそく] /(n) (in) custody/physical restraint (e.g. by police)/
身柄送検 [みがらそうけん] /(n,vs) turning a suspect over to the public prosecutor's office/committing a suspect to trial/
身偏 [みへん] /(n) kanji "body" radical at left/
身辺 [しんぺん] /(n,adj-no) one's person/around one's person/(P)/
身辺調査 [しんぺんちょうさ] /(n) (personal) background check/
身包み [みぐるみ] /(n) all one has/all one's possessions/
身包みはがれる [みぐるみはがれる] /(exp,v1) to be stripped of all one has/
身方 [みかた] /(n,vs,adj-no) friend/ally/supporter/
身命 [しんめい] /(n) one's life/
身悶え [みもだえ] /(n,vs) writhing (in agony)/
身悶える [みもだえる] /(v1) to writhe (in agony)/
身揚がり [みあがり] /(n) taking a day off by paying one's own fee to one's master (of a prostitute; often in order to see her lover)/
身揚り [みあがり] /(io) (n) taking a day off by paying one's own fee to one's master (of a prostitute; often in order to see her lover)/
身廊 [しんろう] /(n) nave (of a church)/
身嗜み [みだしなみ] /(n) personal appearance/personal grooming/
身滌 [みそぎ] /(n,vs) purification ceremony/
身籠る [みごもる] /(v5r,vi) to become pregnant/
身綺麗 [みぎれい] /(oK) (adj-na) neat personal appearance/
身贔屓 [みびいき] /(n) favoritism (towards relatives)/favouritism/nepotism/
辛 [かのと] /(n) 8th in rank/eighth sign of the Chinese calendar/
辛 [しん] /(n) 8th in rank/eighth sign of the Chinese calendar/
辛い [からい] /(adj-i) (1) spicy/hot/(2) salty/(3) tough (on someone)/adverse/harsh/(P)/
辛い [つらい] /(adj-i) painful/bitter/heart-breaking/(P)/
辛い [づらい] /(aux-adj) difficult to (do something)/
辛い味 [からいあじ] /(n) pungent taste/
辛い目にあう [つらいめにあう] /(exp,v5u) to have a hard time of it/
辛い目に会う [つらいめにあう] /(exp,v5u) to have a hard time of it/
辛い目に合う [つらいめにあう] /(exp,v5u) to have a hard time of it/
辛い目に遭う [つらいめにあう] /(exp,v5u) to have a hard time of it/
辛うじて [かろうじて] /(adv) barely/narrowly/just manage to do something/(P)/
辛くあたる [つらくあたる] /(v5r) to treat badly/
辛くも [からくも] /(adv) barely/narrowly/with difficulty/
辛く当たる [つらくあたる] /(v5r) to treat badly/
辛み [からみ] /(n) salty (hot, sharp) taste/
辛め [からめ] /(adj-na,adj-no,n) (1) hottish/salty/somewhat hot/kind of salty/on the dry side/(2) strict/harsh/
辛らつ [しんらつ] /(adj-na,n) bitter/sharp/acrimonious/
辛夷 [こぶし] /(n) kobus magnolia/Magnolia praecocissima/Magnolia kobus/
辛亥 [しんがい] /(n) 48th of the sexagenary cycle/
辛亥革命 [しんがいかくめい] /(n) Xinhai Revolution (1911)/
辛卯 [かのとう] /(n) twenty-eighth of the sexagenary cycle/
辛卯 [しんぼう] /(n) twenty-eighth of the sexagenary cycle/
辛丑 [かのとうし] /(n) thirty-eighth of the sexagenary cycle/
辛丑 [しんちゅう] /(n) thirty-eighth of the sexagenary cycle/
辛気 [しんき] /(n,adj-na) (1) mentality/mood/sentiment/feelings/(2) fretfulness/tedium/
辛気くさい [しんきくさい] /(adj-i) irritating (e.g. tone of voice)/fretful/boring (e.g. work)/depressing/dark (e.g. story)/
辛気臭い [しんきくさい] /(adj-i) irritating (e.g. tone of voice)/fretful/boring (e.g. work)/depressing/dark (e.g. story)/
辛苦 [しんく] /(n,vs) hardship/toil/trouble/(P)/
辛苦艱難 [しんくかんなん] /(n) trials and tribulations/adversities/suffering hardships and troubles/
辛口 [からくち] /(n,adj-no) (1) dry taste (e.g. sake, wine)/(2) salty (taste)/(3) harsh/scathing/(P)/
辛口の酒 [からくちのさけ] /(n) dry sake/
辛酸 [しんさん] /(n) hardships/privation/(P)/
辛酸甘苦 [しんさんかんく] /(n) hardships and joys/tasting the sweets and bitters of life/(having seen much of life) being well-versed in the ways of the world/
辛子 [からし] /(n) mustard/(P)/
辛子味噌 [からしみそ] /(n) miso mixed with mustard/
辛酒 [からざけ] /(n) (arch) (obsc) vinegar/
辛勝 [しんしょう] /(n,vs) narrow victory/(P)/
辛辛 [からがら] /(adv) barely/
辛党 [からとう] /(n) drinker/person fond of alcohol (as opposed to sweets)/
辛酉 [かのととり] /(n) 58th year of the sexagenary cycle/
辛酉 [しんゆう] /(n) 58th year of the sexagenary cycle/
辛抱 [しんぼう] /(n,vs) patience/endurance/(P)/
辛抱強い [しんぼうづよい] /(adj-i) patient/persevering/
辛棒 [しんぼう] /(ateji) (n,vs) patience/endurance/
辛味 [からみ] /(n) salty (hot, sharp) taste/
辛味 [しんみ] /(n) salty (hot, sharp) taste/
辛未 [かのとひつじ] /(n) eighth of the sexagenary cycle/
辛未 [しんび] /(n) eighth of the sexagenary cycle/
辛巳 [かのとみ] /(n) eighteenth of the sexagenary cycle/
辛巳 [しんし] /(n) eighteenth of the sexagenary cycle/
辛目 [からめ] /(adj-na,adj-no,n) (1) hottish/salty/somewhat hot/kind of salty/on the dry side/(2) strict/harsh/
辛螺 [にし] /(n) (uk) small spiral-shelled snail/
辛労 [しんろう] /(n,vs) hardships/toil/trouble/
辛辣 [しんらつ] /(adj-na,n) bitter/sharp/acrimonious/
進ずる [しんずる] /(vz,vt) to offer/to present/
進ぜる [しんぜる] /(v1,vt) to offer/to present/
進ぶ [すさぶ] /(v5b,vi) to grow wild/to rage/to become rough/
進み [すすみ] /(n) progress/(P)/
進み具合 [すすみぐあい] /(n) state of progress/
進み出る [すすみでる] /(v1,vi) to step forward/to volunteer/
進む [すすむ] /(v5m,vi) (1) to advance/to go forward/(2) to precede/to go ahead (of)/(3) to make progress/to improve/(4) to deepen/to heighten/(5) to do of one's own free will/(P)/
進める [すすめる] /(v1,vt) to advance/to promote/to hasten/(P)/
進め方 [すすめかた] /(n) format/procedure/way of proceeding/
進んで [すすんで] /(exp) voluntarily/willingly/of one's own free will/
進化 [しんか] /(n,vs) evolution/progress/(P)/
進化を遂げる [しんかをとげる] /(exp,v1) to make progress/
進化学的種 [しんかがくてきしゅ] /(n) evolutionary species/
進化主義 [しんかしゅぎ] /(n) evolutionism/
進化心理学 [しんかしんりがく] /(n) evolutionary psychology/
進化生物学 [しんかせいぶつがく] /(n) evolutionary biology/
進化的に安定な戦略 [しんかてきにあんていなせんりゃく] /(n) evolutionarily stable strategy/ESS/
進化発生学 [しんかはっせいがく] /(n) evolutionary developmental biology/evo-devo/
進化論 [しんかろん] /(n) evolutionary theory/theory of evolution/
進化論者 [しんかろんしゃ] /(n,adj-no) evolutionist/
進化論的認識論 [しんかろんてきにんしきろん] /(n) evolutionary epistemology/
進学 [しんがく] /(n,vs) entering a higher-level school, esp. going on to university/(P)/
進学校 [しんがくこう] /(n) (1) school centred on preparing students to get into university/(2) high-level school a person has entered/
進学塾 [しんがくじゅく] /(n) cramschool (for boys and girls who wish to go on to the next stage of education)/
進学率 [しんがくりつ] /(n) rate of advancement to the next higher level of education/
進級 [しんきゅう] /(n,vs) promotion (school)/(P)/
進境 [しんきょう] /(n) progress/improvement/
進軍 [しんぐん] /(n,vs) march/advance/
進軍中 [しんぐんちゅう] /(n) on the march/
進撃 [しんげき] /(n,vs) advance/charge/(P)/
進言 [しんげん] /(n,vs) proposal/counsel/advice (to a superior)/
進攻 [しんこう] /(n,vs) attack/(P)/
進航 [しんこう] /(n,vs) sailing on/
進行 [しんこう] /(n,vs) advance/progress/(P)/
進行がん [しんこうがん] /(n) advanced cancer/
進行ガン [しんこうガン] /(n) advanced cancer/
進行癌 [しんこうがん] /(n) advanced cancer/
進行係 [しんこうがかり] /(n) program director/programme director/facilitator/steering committee (chair)/
進行形 [しんこうけい] /(n) (1) (ling) progressive form/(2) in progress (e.g. of a project)/
進行状況 [しんこうじょうきょう] /(n) state of progress/
進行性 [しんこうせい] /(adj-no) progressive/
進行性骨化性線維異形成症 [しんこうせいこつかせいせんいいけいせいしょう] /(n) fibrodysplasia ossificans progressiva (disease of the connective tissue)/FOP/
進行相 [しんこうそう] /(n) (ling) progressive aspect/
進行度 [しんこうど] /(n) rate of progression/
進行波 [しんこうは] /(n) traveling wave (travelling)/
進行方向 [しんこうほうこう] /(n) direction of movement (motion)/
進行麻痺 [しんこうまひ] /(n) progressive paralysis (due to neurosyphilis)/general paresis/
進行役 [しんこうやく] /(n) facilitator/programme director/steering committee (chair)/
進講 [しんこう] /(n,vs) giving a lecture in the Emperor's presence/lecturing to the emperor/
進貢 [しんこう] /(n,vs) paying tribute/
進士 [しじ] /(ok) (n) (1) palace examination (national Chinese civil servant examination based largely on classic literature)/someone who has passed this examination/(2) examination for promotion in the Ministry of Ceremonies (based largely on political duties and Chinese classics)/someone who has passed this examination/
進士 [しんし] /(n) (1) palace examination (national Chinese civil servant examination based largely on classic literature)/someone who has passed this examination/(2) examination for promotion in the Ministry of Ceremonies (based largely on political duties and Chinese classics)/someone who has passed this examination/
進士 [しんじ] /(n) (1) palace examination (national Chinese civil servant examination based largely on classic literature)/someone who has passed this examination/(2) examination for promotion in the Ministry of Ceremonies (based largely on political duties and Chinese classics)/someone who has passed this examination/
進取 [しんしゅ] /(n) enterprise/
進取の精神 [しんしゅのせいしん] /(n) progressive (enterprising) spirit/
進取果敢 [しんしゅかかん] /(adj-na) enterprising and daring/boldly forward-looking/
進出 [しんしゅつ] /(n,vs) advance/step forward/(P)/
進出制限線 [しんしゅつせいげんせん] /(n) limit of advance/
進上 [しんじょう] /(n,vs) giving/presenting/
進水 [しんすい] /(n,vs) (ship's) launching/
進水式 [しんすいしき] /(n) launching ceremony/
進数 [しんすう] /(n) (number) base (e.g. 10)/
進奏 [しんそう] /(n,vs) reporting to the emperor/
進退 [しんたい] /(n,vs) movement/course of action/advance or retreat/(P)/
進退きわまる [しんたいきわまる] /(v5r) to be at a loss/
進退窮まる [しんたいきわまる] /(v5r) to be at a loss/
進退去就 [しんたいきょしゅう] /(n) one's course of action/deciding what to do with oneself, whether staying in the present position or leaving it/
進退伺い [しんたいうかがい] /(n) informal (unofficial) resignation/(P)/
進退問題 [しんたいもんだい] /(n) a question of whether or not someone should resign/
進退両難 [しんたいりょうなん] /(n) being driven to the wall/finding oneself between the devil and the deep blue sea/finding oneself between a rock and a hard place/
進駐 [しんちゅう] /(n,vs) occupation/stationing/(P)/
進駐軍 [しんちゅうぐん] /(n) occupying forces/
進捗 [しんちょく] /(n,vs) progress/under way/
進捗状況 [しんちょくじょうきょう] /(n) state of progress/
進呈 [しんてい] /(n,vs,adj-no) presentation (e.g.of a gift)/(P)/
進呈本 [しんていぼん] /(n) complimentary copy/
進展 [しんてん] /(n,vs) progress/development/(P)/
進度 [しんど] /(n) progress/
進入 [しんにゅう] /(n,vs) penetration/entry/(P)/
進入灯 [しんにゅうとう] /(n) approach light/
進入路 [しんにゅうろ] /(n) (aircraft's) approach/
進発 [しんぱつ] /(n,vs) start/
進物 [しんもつ] /(n) gift/present/
進物所 [しんもつどころ] /(n) (1) palace kitchen in which final preparations to the imperial family's meals (e.g. reheating) were made (Heian period)/(2) kitchen (in a noble's manor)/
進歩 [しんぽ] /(n,vs) progress/development/(P)/
進歩主義 [しんぽしゅぎ] /(n,adj-no) progressivism/
進歩性 [しんぽせい] /(n) inventive step/invention (with respect to prior art)/
進歩的 [しんぽてき] /(adj-na) progressive/
進歩党 [しんぽとう] /(n) progressive party/
進塁 [しんるい] /(n,vs) advance (to the next base)/
進路 [しんろ] /(n) (1) route/course/(2) career, university choices/course (of future life)/(P)/
進路指導 [しんろしどう] /(n) guidance counseling/
進路相談 [しんろそうだん] /(n) consultation on career, university, etc. choices/
進路妨害 [しんろぼうがい] /(n) interference (esp. in horse racing)/
針 [はり] /(n) (1) needle/pin/(2) hook/(3) stinger/thorn/(4) hand (e.g. clock, etc.)/pointer/(5) staple (for a stapler)/(6) needlework/sewing/(7) malice/(ctr,n-suf) (8) counter for stitches/(P)/
針で刺す [はりでさす] /(v5s) to prick with a needle/
針のむしろ [はりのむしろ] /(n) bed of nails/bed of thorns/bed of needles/
針の穴 [はりのあな] /(exp,n) eye of a needle/
針の孔 [はりのあな] /(exp,n) eye of a needle/
針の山 [はりのやま] /(n) (Buddh) hell's mountain of needles/
針の目 [はりのめ] /(n) (1) seam/stitch/(2) eye of a needle/
針の筵 [はりのむしろ] /(n) bed of nails/bed of thorns/bed of needles/
針ほどのことを棒ほどに言う [はりほどのことをぼうほどにいう] /(exp) (id) exaggeration/making a mountain out of a molehill/
針を含んだ言葉 [はりをふくんだことば] /(exp) stinging (scathing) words/
針イカ [はりイカ] /(n) (1) (uk) golden cuttlefish (Sepia esculenta)/(2) Madokai's cuttlefish (Sepia madokai)/
針医 [はりい] /(n) acupuncturist/
針烏賊 [はりいか] /(n) (1) (uk) golden cuttlefish (Sepia esculenta)/(2) Madokai's cuttlefish (Sepia madokai)/
針鰻 [はりうなぎ] /(n) elver (type of eel)/
針眼 [みず] /(n) eye of a needle/
針灸 [しんきゅう] /(n) acupuncture and moxibustion/
針魚 [さより] /(gikun) (n) (uk) Japanese halfbeak (species of fish with elongated lower jaw) (Hemiramphus sajori)/stickleback/
針魚 [はりうお] /(n) (uk) Gasterosteus microcephalus (species of stickleback)/
針魚 [はりお] /(ok) (n) (uk) Japanese halfbeak (species of fish with elongated lower jaw) (Hemiramphus sajori)/stickleback/
針魚 [はりよ] /(n) (uk) Gasterosteus microcephalus (species of stickleback)/
針供養 [はりくよう] /(n) memorial service for old needles/
針金 [はりがね] /(n,adj-no) wire/(P)/
針金細工表現 [はりがねざいくひょうげん] /(n) (comp) wire frame representation/
針金虫 [はりがねむし] /(n) (1) (uk) any horsehair worm of class Gordioidea/gordian worm (of class Gordioidea)/hair worm (of class Gordioidea)/(2) wireworm (click beetle larva)/
針桑 [はりぐわ] /(n) (uk) storehousebush (Cudrania tricuspidata)/mandarin melon berry/silkworm thorn/cudrang/
針穴 [はりあな] /(n) pinhole/
針穴写真機 [はりあなしゃしんき] /(n) pinhole camera/
針孔 [はりめど] /(n) eye of a needle/
針孔 [みず] /(n) eye of a needle/
針孔 [みぞ] /(n) eye of a needle/
針孔 [めど] /(n) eye of a needle/
針孔写真機 [はりあなしゃしんき] /(n) pinhole camera/
針山 [はりやま] /(n) pincushion/
針仕事 [はりしごと] /(n,vs) needlework/sewing/
針刺し [はりさし] /(n) pincushion/
針子 [はりこ] /(n) seamstress/
針術 [しんじゅつ] /(n) acupuncture/
針小棒大 [しんしょうぼうだい] /(adj-na,n) exaggeration/making a mountain out of a molehill/
針状 [しんじょう] /(adj-no) needle-shaped/pointed/
針状 [はりじょう] /(adj-no) needle-shaped/pointed/
針千本 [はりせんぼん] /(n) porcupinefish/balloonfish/
針鼠 [はりねずみ] /(n) (uk) hedgehog (any mammal of family Erinaceidae)/
針土竜 [はりもぐら] /(n) (uk) short-beaked echidna (Tachyglossidae spp.)/spiny anteater/
針箱 [はりばこ] /(n) sewing box/
針尾雨燕 [はりおあまつばめ] /(n) (uk) white-throated needletail (species of swift, Hirundapus caudacutus)/
針目 [はりめ] /(n) seam/stitch/
針葉樹 [しんようじゅ] /(n) conifer/needle-leaved tree/
針葉樹林 [しんようじゅりん] /(n) conifer forest/coniferous forest/needle-leaved forest/
針路 [しんろ] /(n) course/direction/compass bearing/
針路を逸れる [しんろをそれる] /(exp,v1) to swerve from the course/
針槐 [はりえんじゅ] /(n) black locust/robinia pseudoacacia/
針樅 [はりもみ] /(n) (uk) tiger-tail spruce (Picea polita)/
震 [しん] /(n) zhen (one of the trigrams of the I Ching: thunder, east)/
震い [ふるい] /(n) shaking/ague/trembling/shivering/
震いつく [ふるいつく] /(v5k,vi) to hug/
震い付く [ふるいつく] /(v5k,vi) to hug/
震う [ふるう] /(v5u) to shake/to tremble/to vibrate/
震え [ふるえ] /(n) shivering/trembling/
震える [ふるえる] /(v1,vi) to shiver/to shake/to quake/to tremble/to quaver/to quiver/(P)/
震え音 [ふるえおん] /(n) (ling) trill/
震え出す [ふるえだす] /(v5s) to begin to tremble/
震え上がる [ふるえあがる] /(v5r,vi) to tremble violently/to shudder up/
震え声 [ふるえごえ] /(n) trembling or quavering voice/
震れる [ふれる] /(v1,vi) (1) to swing/to shake/to wave/(2) to veer/to deflect/to lean towards/
震わす [ふるわす] /(v5s,vt) to (make something) quiver/to shake/to tremble/to vibrate/
震わせる [ふるわせる] /(v1,vt) to (make something) quiver/to shake/to tremble/to vibrate/
震央 [しんおう] /(n,adj-no) epicentre (of an earthquake)/epicenter/
震央距離 [しんおうきょり] /(n) epicentral distance/
震害 [しんがい] /(n) earthquake damage/
震源 [しんげん] /(n,adj-no) hypocentre (of an earthquake)/hypocenter/(P)/
震源域 [しんげんいき] /(n) hypocentral region/
震源距離 [しんげんきょり] /(n) hypocentral distance/
震源時 [しんげんじ] /(n) origin time (of an earthquake)/
震源断層 [しんげんだんそう] /(n) earthquake source fault/
震源地 [しんげんち] /(n) epicenter/epicentre/
震災 [しんさい] /(n) (1) earthquake disaster/(2) (abbr) Great Kanto Earthquake (1923)/(P)/
震災記念日 [しんさいきねんび] /(n) anniversary of the Great Kanto earthquake/
震災地 [しんさいち] /(n) area of an earthquake disaster/
震旦 [しんたん] /(n) (ancient) China/
震旦 [しんだん] /(ok) (n) (ancient) China/
震天動地 [しんてんどうち] /(n) earth-shaking/
震度 [しんど] /(n) Japanese earthquake scale (level 1: weak to level 7: devastation)/(P)/
震度階級 [しんどかいきゅう] /(n) seismic intensity scale/
震蕩 [しんとう] /(n,vs) shock/impact/concussion/
震動 [しんどう] /(n,vs) shock/tremor/impact/(P)/
震幅 [しんぷく] /(n) seismic amplitude/
震撼 [しんかん] /(n,vs) shake/
震撼させる [しんかんさせる] /(v1) to shock/to shake/
震盪 [しんとう] /(n,vs) shock/impact/concussion/
震顫 [しんせん] /(n) tremor (muscular)/trembling/shaking/
震駭 [しんがい] /(n,vs) terror/shock/
震駭させる [しんがいさせる] /(exp,v1) to frighten/to terrify/to shock/
人 [じん] /(suf) (1) -ian (e.g. Italian, etc.) (attaches to name of country to denote nationality)/-er (e.g. performer, etc.) (attaches to name of occupation)/(2) (usu. in compound words) man/person/people/(P)/
人 [たり] /(ctr) (1) counter for people/
人 [と] /(suf) person/
人 [にん] /(ctr) (1) counter for people/(n) (2) (usu. in compound words) person/(P)/
人 [ひと] /(n) (1) man/person/(2) human being/mankind/people/(3) character/personality/(4) man of talent/true man/(5) other people/(6) adult/(P)/
人 [り] /(ctr) (1) counter for people/
人々 [にんにん] /(n,adj-no) each person/people/men/human/everybody/
人々 [ひとびと] /(n,adj-no) each person/people/men/human/everybody/(P)/
人がいい [ひとがいい] /(exp) generous/soft-hearted/having a good personality/
人が群れる [ひとがむれる] /(exp,v1) to be crowded with people/
人が好い [ひとがいい] /(exp) generous/soft-hearted/having a good personality/
人ごみ [ひとごみ] /(n) crowd of people/(P)/
人さし指 [ひとさしゆび] /(n) index finger/
人さま [ひとさま] /(n) other people/others/
人さらい [ひとさらい] /(n) (1) kidnapping/kidnaping/abduction/(2) kidnapper/kidnaper/abductor/
人たち [ひとたち] /(n) people/
人たる道に背く [ひとたるみちにそむく] /(exp,v5k) to stray from the path of righteousness/
人だかり [ひとだかり] /(n,vs) crowd/throng/(P)/
人っ子 [ひとっこ] /(n) a person/anybody/
人っ子１人 [ひとっこひとり] /(n) (in neg. sentences) (not) a soul/(not) a single person/
人っ子ひとり [ひとっこひとり] /(n) (in neg. sentences) (not) a soul/(not) a single person/
人っ子一人 [ひとっこひとり] /(n) (in neg. sentences) (not) a soul/(not) a single person/
人づて [ひとづて] /(n) hearsay/message/
人でなし [ひとでなし] /(adj-na,n) brute/miscreant/ungrateful fellow/
人で無し [ひとでなし] /(adj-na,n) brute/miscreant/ungrateful fellow/
人となり [ひととなり] /(n) (1) hereditary disposition/temperament/nature/(2) (arch) body build/
人なつっこい [ひとなつっこい] /(adj-i) friendly/affable/amiable/sociable/loving company/(animals) taking kindly to men/
人には添うて見よ馬には乗って見よ [ひとにはそうてみようまにはのってみよ] /(exp) (obsc) you can't judge someone until you've spent time with them, just like you can't judge a horse until you've ridden it/
人に会う [ひとにあう] /(exp,v5u) to meet (see) a person/
人のことをいう [ひとのことをいう] /(exp,v5u) to find fault with other people rather than oneself/the pot calling the kettle black/
人の意を受ける [ひとのいをうける] /(exp,v1) to comply with a person's wishes/
人の意向を当たって見る [ひとのいこうをあたってみる] /(exp,v1) to sound out a person's thoughts/
人の為を思う [ひとのためをおもう] /(exp,v5u) to wish someone well/
人の噂も七十五日 [ひとのうわさもしちじゅうごにち] /(exp) (id) wonder lasts but nine days/gossip lasts just one season (lit: 75 days)/
人の噂も七十五日 [ひとのうわさもななじゅうごにち] /(exp) (id) wonder lasts but nine days/gossip lasts just one season (lit: 75 days)/
人の金 [ひとのかね] /(n) other peoples money/
人の金玉を握る [ひとのきんたまをにぎる] /(exp,v5r) to grab a person by his vulnerable spot/to curry favour with one's superior/to curry favor with one's superior/
人の口 [ひとのくち] /(exp) what people say/rumours/public opinion/
人の口には戸が立てられない [ひとのくちにはとがたてられない] /(exp) you can't control what people say/you can't stop rumours (rumors)/
人の口に戸は立てられず [ひとのくちにとはたてられず] /(exp) (id) People will talk/
人の好む所となる [ひとのこのむところとなる] /(v5r) to be liked by people/
人の子 [ひとのこ] /(n) (1) child/children/(2) other people's children/(3) the Son of Man/Christ/
人の事を言う [ひとのことをいう] /(exp,v5u) to find fault with other people rather than oneself/the pot calling the kettle black/
人の心を読む [ひとのこころをよむ] /(exp,v5m) to read a person's thoughts/to guess what a person is thinking/
人の頭に立つ [ひとのかしらにたつ] /(exp,v5t) to stand at the head of others/
人の風見て我が風直せ [ひとのふりみてわがふりなおせ] /(exp) (id) One man's fault is another's lesson/
人の良い [ひとのいい] /(n) of good character/kindhearted/good natured/
人の良い [ひとのよい] /(n) of good character/kindhearted/good natured/
人の蠅を追うより己の蠅を追え [ひとのはえをおうよりおのれのはえをおえ] /(exp) (id) Mind your own business/
人はパンのみにて生くるものに非ず [ひとはパンのみにていくるものにあらず] /(exp) (id) Man shall not live by bread alone/
人はパンのみにて生くる者に非ず [ひとはパンのみにていくるものにあらず] /(exp) (id) Man shall not live by bread alone/
人は一代名は末代 [ひとはいちだいなはまつだい] /(exp) (id) Worthy men shall be remembered/
人は見掛けに依らぬもの [ひとはみかけによらぬもの] /(exp) (id) A man is not to be judged by his appearance/
人は情け [ひとはなさけ] /(exp) (id) One good turn deserves another/
人まかせ [ひとまかせ] /(n) leaving (it) to others/
人もあろうに [ひともあろうに] /(exp) of all people/
人もなげ [ひともなげ] /(adj-na,adj-no) arrogant/insolent/overbearing/
人も無げ [ひともなげ] /(adj-na,adj-no) arrogant/insolent/overbearing/
人らしい [ひとらしい] /(exp) like a decent person/human/
人を怨むより身を怨め [ひとをうらむよりみをうらめ] /(exp) (id) Everyone is the son of his own works/
人を陥れる [ひとをおとしいれる] /(exp,v1) to entrap a person/
人を見たら泥棒と思え [ひとをみたらどろぼうとおもえ] /(exp) (id) Don't trust a stranger/
人を見て法を説く [ひとをみてほうをとく] /(exp) (id) Suit your speech to the audience/
人を見て法を説け [ひとをみてほうをとけ] /(exp) (id) Suit your speech to the audience/
人を見る目 [ひとをみるめ] /(exp) an eye for people/the ability to judge character/
人を誤る [ひとをあやまる] /(exp,v5r) to mislead a person/
人を使う [ひとをつかう] /(exp,v5u) to take a person in one's service/to employ/
人を死に致す [ひとをしにいたす] /(exp,v5s) (arch) to cause the death of a person/
人を呪わば穴二つ [ひとをのろわばあなふたつ] /(exp) (id) A curse will rebound on yourself as well/Curses, like chickens, come home to roost/
人を食った [ひとをくった] /(exp,adj-f) arrogant/insolent/disdainful/
人を人とも思わない [ひとをひとともおもわない] /(exp) disdaining everybody/not caring an ounce about other people's feelings/
人を退ける [ひとをしりぞける] /(exp,v1) to keep others away/
人を得る [ひとをえる] /(exp,v1) to employ the right person/to choose somebody with the right qualities/
人クローン [ひとクローン] /(n) (uk) human clone/
人クローン [ヒトクローン] /(n) (uk) human clone/
人ゲノム [ひとゲノム] /(n) (uk) human genome/
人パピローマウイルス [ひとパピローマウイルス] /(n) (uk) human papillomavirus/HPV/
人位 [じんい] /(n) person's rank/
人為 [じんい] /(n,adj-no) human work/human agency/art/artificiality/(P)/
人為ミス [じんいミス] /(n) human error/
人為選択 [じんいせんたく] /(n) (obs) artificial selection/
人為的 [じんいてき] /(adj-na) artificial/unnatural/(P)/
人為淘汰 [じんいとうた] /(n) artificial selection (in biology)/
人為突然変異 [じんいとつぜんへんい] /(n) artificial mutation/
人為分類 [じんいぶんるい] /(n) artificial classification/
人違い [ひとちがい] /(n,vs) mistaking one person for another/(P)/
人違え [ひとちがえ] /(n) mistaken identity/person so changed that it's hard to recognize him (recognise)/
人一倍 [ひといちばい] /(adv,n) more than others/redoubled/unusual/(P)/
人一倍働く [ひといちばいはたらく] /(v5k) to work twice as hard as others/
人員 [じんいん] /(n) number of persons/personnel/(P)/
人員削減 [じんいんさくげん] /(n) personnel reduction/
人員縮少 [じんいんしゅくしょう] /(n) personnel reduction/
人員整理 [じんいんせいり] /(n,vs) workforce reduction/personnel cut/
人員淘汰 [じんいんとうた] /(n) personnel reduction/
人影 [じんえい] /(n) (1) figure(s) of a person (persons)/(2) shadow of a person/
人影 [ひとかげ] /(n) (1) figure(s) of a person (persons)/(2) shadow of a person/(P)/
人影を認める [ひとかげをみとめる] /(exp,v1) to make out someone's figure/
人煙 [じんえん] /(n) smoke from human habitations/
人猿同祖説 [じんえんどうそせつ] /(n) monkey-ancestry theory/
人屋 [ひとや] /(n) jail/gaol/prison/
人屋根 [ひとやね] /(n) kanji "person" radical at top/
人家 [じんか] /(n) house/houses/human habitation/
人我 [じんが] /(n) oneself and others/
人懐かしい [ひとなつかしい] /(adj-i) lonesome for/
人懐こい [ひとなつこい] /(adj-i) friendly/affable/amiable/sociable/loving company/(animals) taking kindly to men/
人懐っこい [ひとなつっこい] /(adj-i) friendly/affable/amiable/sociable/loving company/(animals) taking kindly to men/
人海戦術 [じんかいせんじゅつ] /(n) infiltration tactics/human-wave tactics/
人界 [じんかい] /(n) world of man/
人界 [にんがい] /(n) (Buddh) spiritual realm of humanity/
人外 [じんがい] /(n,adj-no) (1) uninhabited area/(2) acting inhumanly/inhuman person/
人外 [にんがい] /(n,adj-no) (1) acting inhumanly/inhuman person/
人外境 [じんがいきょう] /(n) uninhabited area/
人垣 [ひとがき] /(n) crowd of people/
人格 [じんかく] /(n) personality/character/individuality/(P)/
人格化 [じんかくか] /(n,vs) impersonation/personification/
人格形成 [じんかくけいせい] /(n) character building/formation of character/personality development/
人格権 [じんかくけん] /(n) personal rights/
人格者 [じんかくしゃ] /(n) man of character/person/
人格主義 [じんかくしゅぎ] /(n) personalism/
人格障害 [じんかくしょうがい] /(n) personality disorder/
人格神 [じんかくしん] /(n) personal god (i.e. a god who has human form, emotions, etc.)/
人格神論 [じんかくしんろん] /(n) (obsc) theism (as refers to the existence of a personal Christian god)/
人慣れる [ひとなれる] /(v1,vi) to become accustomed to people/
人間 [じんかん] /(n) (arch) the world/
人間 [にんげん] /(n) (1) human being/man/person/(2) character (of a person)/(P)/
人間くさい [にんげんくさい] /(n) full of human traits/quite human/
人間のデカさ [にんげんのデカさ] /(exp) (col) a man's worth/a person's worth/
人間の鎖 [にんげんのくさり] /(n) human chain (chain of people holding hands, usually in protest)/
人間の思考 [にんげんのしこう] /(n) human thought/
人間の盾 [にんげんのたて] /(n) human shield/
人間の堕落 [にんげんのだらく] /(n) the fall of man/
人間の肉 [にんげんのにく] /(n) human flesh/
人間は万物の霊長 [にんげんはばんぶつのれいちょう] /(exp) (id) Man is the lord of creation/
人間らしい [にんげんらしい] /(adj-i) human/humane/
人間ドック [にんげんドック] /(n) medical check-up/thorough physical examination/(P)/
人間愛 [にんげんあい] /(n) humanity/human love/
人間以上 [にんげんいじょう] /(adj-no) superhuman/
人間以前 [にんげんいぜん] /(adj-no) prehuman/
人間科学 [にんげんかがく] /(n) human science/
人間界 [にんげんかい] /(n) the world of humans/
人間開発指数 [にんげんかいはつしすう] /(n) human development index/
人間学 [にんげんがく] /(n) anthropology/
人間学的証明 [にんげんがくてきしょうめい] /(n) anthropological argument (one of Descartes' ontological arguments for the existence of God)/
人間活動 [にんげんかつどう] /(n) human activity/
人間環境宣言 [にんげんかんきょうせんげん] /(n) UN declaration on the human environment issued in Stockholm in 1972/
人間関係 [にんげんかんけい] /(n,adj-no) human relations/(P)/
人間魚雷回天 [にんげんぎょらいかいてん] /(n) kaiten/human torpedo in WW2/
人間業 [にんげんわざ] /(n) the work of man/
人間苦 [にんげんく] /(n) human suffering/
人間型 [にんげんがた] /(n) humanoid/
人間嫌い [にんげんぎらい] /(n) misanthropy/misanthropist/
人間工学 [にんげんこうがく] /(n,adj-no) ergonomic (engineering)/human engineering/
人間国宝 [にんげんこくほう] /(n) living national treasure/(P)/
人間至る所青山有り [じんかんいたるところせいざんあり] /(exp) home is wherever one lays one's hat/you can make your living anywhere in this world/
人間至る所青山有り [にんげんいたるところせいざんあり] /(exp) home is wherever one lays one's hat/you can make your living anywhere in this world/
人間社会 [にんげんしゃかい] /(n) human society/
人間手作り [にんげんてづくり] /(adj-no) man-made/
人間臭い [にんげんくさい] /(n) full of human traits/quite human/
人間心理 [にんげんしんり] /(n) human psychology/
人間性 [にんげんせい] /(n) humanity/human nature/(P)/
人間生態学 [にんげんせいたいがく] /(n) human ecology/
人間宣言 [にんげんせんげん] /(n) Declaration of Humanity (wherein Hirohito renounced the imperial claim to divinity; Jan. 1, 1946)/
人間疎外 [にんげんそがい] /(n) dehumanization/dehumanisation/
人間像 [にんげんぞう] /(n) image of (an ideal) person/(P)/
人間中心主義 [にんげんちゅうしんしゅぎ] /(n) anthropocentrism/
人間中心的 [にんげんちゅうしんてき] /(adj-na) anthropocentric/
人間的 [にんげんてき] /(adj-na) human/(P)/
人間到る処青山有り [じんかんいたるところせいざんあり] /(exp) home is wherever one lays one's hat/you can make your living anywhere in this world/
人間到る処青山有り [にんげんいたるところせいざんあり] /(exp) home is wherever one lays one's hat/you can make your living anywhere in this world/
人間到る所青山有り [じんかんいたるところせいざんあり] /(exp) (id) There's room for us all in the world/
人間動物園 [にんげんどうぶつえん] /(n) human zoo/
人間同士 [にんげんどうし] /(n) mankind/the human creature/fellow creatures/
人間道 [にんげんどう] /(n) (1) humaneness/(2) (Buddh) human realm/
人間爆弾 [にんげんばくだん] /(n) human bomb/
人間不在 [にんげんふざい] /(n) being devoid of consideration for human beings/
人間不信 [にんげんふしん] /(n) distrust of (other) human beings/
人間並み [にんげんなみ] /(adj-na,n) the common run of people/
人間万事金の世の中 [にんげんばんじかねのよのなか] /(exp) (id) Money talks/
人間万事塞翁が馬 [じんかんばんじさいおうがうま] /(exp) inscrutable are the ways of heaven/fortune is unpredictable and changeable/
人間味 [にんげんみ] /(n) human kindness/human weakness/
人間模様 [にんげんもよう] /(n) fabric (pattern) of human relationships/
人間離れ [にんげんばなれ] /(exp) unwordly/superhuman/
人癌細胞 [ひとがんさいぼう] /(n) human cancer cell/
人寄せ [ひとよせ] /(n,vs) gathering of people/
人寄せ席 [ひとよせせき] /(n) (obsc) musical hall/vaudeville/
人気 [じんき] /(n) prevailing mood of a locality/emotional climate of a district/
人気 [にんき] /(n,adj-no,adj-na) popularity/popular feeling/business conditions/(P)/
人気 [ひとけ] /(n) sign of life/
人気がない [ひとけがない] /(exp,adj-i) no sign of life/
人気が無い [ひとけがない] /(exp,adj-i) no sign of life/
人気のない [ひとけのない] /(adj-i) deserted/empty of people/
人気をさらう [にんきをさらう] /(exp,v5u) to capture all the popularity/to steal the show/to upstage/
人気を掠う [にんきをさらう] /(exp,v5u) to capture all the popularity/to steal the show/to upstage/
人気を攫う [にんきをさらう] /(exp,v5u) to capture all the popularity/to steal the show/to upstage/
人気稼業 [にんきかぎょう] /(n) popular occupation/occupation largely dependent on public favor/
人気株 [にんきかぶ] /(n) a popular stock/
人気作家 [にんきさっか] /(n) popular writer/
人気失墜 [にんきしっつい] /(n) decline in public favor/fall in popularity/
人気者 [にんきもの] /(n) popular person/favorite/favourite/(P)/
人気取り [にんきとり] /(n) bid for popularity/publicity stunt/
人気商売 [にんきしょうばい] /(n) occupations dependent on public favor (favour)/
人気絶頂 [にんきぜっちょう] /(n) at the height (peak) of one's popularity/
人気度 [にんきど] /(n) popularity stakes/rating/
人気投票 [にんきとうひょう] /(n) popularity contest/
人気抜群 [にんきばつぐん] /(n,adj-no) outstandingly popularity/
人気番組 [にんきばんぐみ] /(n) popular (hit) program (programme)/
人気沸騰 [にんきふっとう] /(n,vs) (enjoy) tumultuous (tremendous, overwhelming) popularity/
人気役者 [にんきやくしゃ] /(n) stage favorite/stage favourite/star/
人脚 [ひとあし] /(n) bottom legs radical/hitoashi/
人泣かせ [ひとなかせ] /(adj-na,n) annoyance/nuisance/
人魚 [にんぎょ] /(n) mermaid/merman/
人境 [じんきょう] /(n) human habitation/
人喰 [ひとくい] /(io) (n) (1) cannibalism/biting (someone)/(adj-no) (2) man-eating (e.g. tiger)/cannibalistic/
人喰い [ひとくい] /(n) (1) cannibalism/biting (someone)/(adj-no) (2) man-eating (e.g. tiger)/cannibalistic/
人君 [じんくん] /(n) sovereign/ruler/
人型ロボット [ひとがたロボット] /(n) humanoid robot/
人形 [にんぎょう] /(n) doll/puppet/figure/(P)/
人形を遣う [にんぎょうをつかう] /(exp,v5u) to manipulate puppets/to pull wires/
人形を使う [にんぎょうをつかう] /(exp,v5u) to manipulate puppets/to pull wires/
人形回し [にんぎょうまわし] /(n) puppet operator/
人形劇 [にんぎょうげき] /(n) puppet show/
人形遣い [にんぎょうつかい] /(n) puppet operator/puppet manipulator/puppeteer/
人形遣い [にんぎょうづかい] /(n) puppet operator/puppet manipulator/puppeteer/
人形使い [にんぎょうつかい] /(n) puppet operator/puppet manipulator/puppeteer/
人形使い [にんぎょうづかい] /(n) puppet operator/puppet manipulator/puppeteer/
人形師 [にんぎょうし] /(n) doll maker/
人形芝居 [にんぎょうしばい] /(n) puppet show/
人形浄瑠璃 [にんぎょうじょうるり] /(n) (1) Japanese puppet theatre in which a narrative is accompanied by a shamisen/(2) older and more neutral name for bunraku/
人傑 [じんけつ] /(n) great man/hero/
人月 [にんげつ] /(n) man month/man-month/
人件費 [じんけんひ] /(n) (1) personnel expenses/labor cost/labour cost/(2) indirect labour costs/indirect labor costs/(P)/
人嫌い [ひとぎらい] /(n) one who dislikes people/dislike of people/
人権 [じんけん] /(n,adj-no) human rights/civil liberties/(P)/
人権救済機関 [じんけんきゅうさいきかん] /(n) organization to monitor human rights/
人権状況 [じんけんじょうきょう] /(n) human rights situation/human rights condition/
人権侵害 [じんけんしんがい] /(n) human rights violation/
人権宣言 [じんけんせんげん] /(n) (France's revolutionary era) Declaration of the Rights of Man/
人権団体 [じんけんだんたい] /(n) human rights organization/human rights organisation/
人権保護団体 [じんけんほごだんたい] /(n) human rights organization/human rights organisation/
人権問題 [じんけんもんだい] /(n) human rights issue/
人権擁護 [じんけんようご] /(n) protection of human rights/(P)/
人権抑圧 [じんけんよくあつ] /(n) suppression of human rights/
人権蹂躙 [じんけんじゅうりん] /(n) human rights violation/trampling on human rights/
人権蹂躪 [じんけんじゅうりん] /(n) human rights violation/trampling on human rights/
人絹 [じんけん] /(n) rayon/artificial silk/
人見 [ひとみ] /(n) (1) (obsc) hole in the curtains to allow someone backstage to see the audience (in kabuki theatre)/(2) (obsc) public observation/feel of being watched/casual observers/
人見知り [ひとみしり] /(n,vs) shyness/fear of strangers/stranger anxiety/(P)/
人減らし [ひとべらし] /(n) personnel cut/labor cut/labour cut/
人後 [じんご] /(n-adv,n-t) behind others/losing out to others/
人後に落ちない [じんごにおちない] /(exp) to be second to none (in)/
人語 [じんご] /(n) human speech/
人交り [ひとまじわり] /(n) association with people/
人口 [じんこう] /(n) (1) population/(2) common talk/(P)/
人口に膾炙する [じんこうにかいしゃする] /(exp,vs-i) to be on everyone's lips/to be well-known/to be famous/
人口学 [じんこうがく] /(n) demography/
人口減少 [じんこうげんしょう] /(n) depopulation/falling population/decrease in population/
人口湖 [じんこうこ] /(iK) (n) artificial lake/
人口静態 [じんこうせいたい] /(n) static population/
人口増加 [じんこうぞうか] /(n,vs) (allowing for) population increase/rise in population/
人口調査 [じんこうちょうさ] /(n) census/
人口統計 [じんこうとうけい] /(n,adj-no) population statistics/demographics/
人口動態 [じんこうどうたい] /(n) population movements/
人口動態調査 [じんこうどうたいちょうさ] /(n) demographic survey/
人口動態統計 [じんこうどうたいとうけい] /(n) demographic statistics/
人口爆発 [じんこうばくはつ] /(n) population explosion/
人口分布 [じんこうぶんぷ] /(n) population distribution/
人口密集率 [じんこうみっしゅうりつ] /(n) population density (said of a crowded area)/
人口密度 [じんこうみつど] /(n) population density/
人口問題 [じんこうもんだい] /(n) population problem/
人口抑制 [じんこうよくせい] /(n) population control/
人好き [ひとずき] /(n) attractiveness/charm/amiability/
人工 [じんこう] /(n,adj-no) artificial/manmade/human work/human skill/artificiality/(P)/
人工ニューラルネットワーク [じんこうニューラルネットワーク] /(n) artificial neural network/
人工雨 [じんこうう] /(n) artificial rain/
人工栄養 [じんこうえいよう] /(n,adj-no) bottle feeding/
人工栄養児 [じんこうえいようじ] /(n) bottle-fed child/
人工衛星 [じんこうえいせい] /(n) man-made satellite/(P)/
人工環境 [じんこうかんきょう] /(n) (comp) artificial environment/
人工甘味料 [じんこうかんみりょう] /(n) artificial sweetener/
人工機械 [じんこうきかい] /(n) artificial machine/
人工気胸療法 [じんこうききょうりょうほう] /(n) artificial respiration/
人工血液 [じんこうけつえき] /(n) artificial blood/
人工元素 [じんこうげんそ] /(n) synthetic element/artificial element (i.e. technetium)/
人工現実感 [じんこうげんじつかん] /(n) (comp) artificial reality/
人工言語 [じんこうげんご] /(n) (comp) artificial language/
人工呼吸 [じんこうこきゅう] /(n) artificial respiration/(P)/
人工呼吸器 [じんこうこきゅうき] /(n) artificial respirator/ventilator/
人工呼吸法 [じんこうこきゅうほう] /(n) artificial respiration/
人工湖 [じんこうこ] /(n) artificial lake/
人工語 [じんこうご] /(n) an artificial language/
人工港 [じんこうこう] /(n) artificial harbor/artificial harbour/
人工降雨 [じんこうこうう] /(n) artificial rain/
人工香料 [じんこうこうりょう] /(n) (1) artificial flavoring/(2) synthetic perfume/
人工歯 [じんこうし] /(n) artificial tooth/fake teeth/
人工芝 [じんこうしば] /(n) artificial grass (lawn)/
人工受精 [じんこうじゅせい] /(n,adj-no) artificial insemination/
人工受胎 [じんこうじゅたい] /(n) artificial insemination/
人工受紛 [じんこうじゅふん] /(n) artificial fertilization (of plants)/artificial fertilisation/
人工心臓 [じんこうしんぞう] /(n) artificial heart/
人工心肺 [じんこうしんぱい] /(n) heart-lung machine/
人工真珠 [じんこうしんじゅ] /(n) artificial pearls/
人工生命 [じんこうせいめい] /(n) artificial life/
人工雪 [じんこうゆき] /(n) artificial snow/
人工臓器 [じんこうぞうき] /(n) artificial internal organ/
人工知能 [じんこうちのう] /(n) (comp) AI/artificial intelligence/
人工地震 [じんこうじしん] /(n) artificial earthquake/
人工池 [じんこういけ] /(n) artificial pool/
人工中絶 [じんこうちゅうぜつ] /(n) (abbr) abortion/
人工的 [じんこうてき] /(adj-na) artificial/unnatural/(P)/
人工透析 [じんこうとうせき] /(n) dialysis/
人工頭脳 [じんこうずのう] /(n) (comp) cybernetics/
人工内耳 [じんこうないじ] /(n) cochlea implant/
人工乳 [じんこうにゅう] /(n) formula (milk)/
人工妊娠中絶 [じんこうにんしんちゅうぜつ] /(n) abortion/
人工肺 [じんこうはい] /(n) artificial lung/
人工避妊法 [じんこうひにんほう] /(n) contraception/
人工物 [じんこうぶつ] /(n) artificial object/man-made object/artifact/artefact/
人工弁 [じんこうべん] /(n) artificial valve/
人工放射性核種 [じんこうほうしゃせいかくしゅ] /(n) artificial radionuclide/
人工放射性元素 [じんこうほうしゃせいげんそ] /(n) artificial radio-element/
人工放射性同位体 [じんこうほうしゃせいどういたい] /(n) artificial radioisotope/
人工放射能 [じんこうほうしゃのう] /(n) artificial radioactivity/
人工無脳 [じんこうむのう] /(n) (comp) chatterbot/chatbot/
人工雷 [じんこうらい] /(n) artificial lightning/
人工流産 [じんこうりゅうざん] /(n) abortion/
人工林 [じんこうりん] /(n) planted forest/
人工孵化法 [じんこうふかほう] /(n) artificial incubation/
人皇 [じんこう] /(n) emperor/
人皇 [じんのう] /(n) emperor/
人皇 [にんのう] /(n) emperor/
人国記 [じんこくき] /(n) biographical notes and character sketches of prominent individuals, arranged according to place of birth or origin/
人国記 [じんこっき] /(n) biographical notes and character sketches of prominent individuals, arranged according to place of birth or origin/
人骨 [じんこつ] /(n) human bones/(P)/
人込 [ひとごみ] /(io) (n) crowd of people/
人込み [ひとごみ] /(n) crowd of people/
人混み [ひとごみ] /(n) crowd of people/
人魂 [ひとだま] /(n) disembodied soul/supernatural fiery ball/
人差し [ひとさし] /(n) index finger/
人差し指 [ひとさしゆび] /(n) index finger/(P)/
人差指 [ひとさしゆび] /(n) index finger/
人妻 [ひとづま] /(n) (1) married woman/(2) another's wife/(P)/
人妻と寝る [ひとづまとねる] /(v1) to sleep with another person's wife/
人才 [じんさい] /(n,adj-no) man of talent/capable person/talented person/
人才 [じんざい] /(n,adj-no) man of talent/capable person/talented person/
人才登用 [じんざいとうよう] /(n) selection for high office/selecting of fit (talented) persons for higher positions/
人災 [じんさい] /(n) man-made calamity/
人材 [じんさい] /(n,adj-no) man of talent/capable person/talented person/
人材 [じんざい] /(n,adj-no) man of talent/capable person/talented person/(P)/
人材開発部 [じんざいかいはつぶ] /(n) Career Development Dept/
人材銀行 [じんざいぎんこう] /(n) job bank/talent pool/
人材紹介会社 [じんざいしょうかいかいしゃ] /(n) employment agency/staffing agency/personnel placement agency/
人材登用 [じんざいとうよう] /(n) selection for high office/selecting of fit (talented) persons for higher positions/
人材派遣 [じんざいはけん] /(n) temporary employee placement/
人材派遣会社 [じんざいはけんかいしゃ] /(n) employment agency/personnel placement agency/staffing agency/
人材派遣会社 [じんざいはけんがいしゃ] /(n) employment agency/personnel placement agency/staffing agency/
人擦れ [ひとずれ] /(n,adj-no) (1) sophistication/wordly wisdom/(vs) (2) to lose one's innocence/to get sophisticated/to get to know the world by being in contact with people/to lose one's naivete/
人殺し [ひとごろし] /(n) murder/murderer/(P)/
人参 [にんじん] /(n) (1) carrot/(2) Asian ginseng (Panax ginseng)/(P)/
人参エキス [にんじんエキス] /(n) extract of ginseng/
人山 [ひとやま] /(n) crowd of people/
人斬り [ひときり] /(n) assassination/
人使い [ひとづかい] /(n) handling one's workmen/
人刺 [じんさし] /(n) human meat (for human consumption)/
人士 [じんし] /(n) well-bred man/people/
人指し指 [ひとさしゆび] /(n) index finger/
人死に [ひとじに] /(n) accidental death/casualty/
人事 [じんじ] /(n,adj-no) personnel affairs/human affairs/human resources/HR/(P)/
人事 [ひとごと] /(n) other people's affairs/somebody else's problem/
人事ではない [ひとごとではない] /(exp) don't think it's somebody else's problem, it could very well be (have been) yours (mine)/
人事を尽くして天命を待つ [じんじをつくしててんめいをまつ] /(exp,v5t) (proverb) Man proposes, God disposes/Man does what man can do then awaits the verdict of heaven or fate/
人事異動 [じんじいどう] /(n) personnel change/personnel shift/reshuffle/(annual) staff reassignment/(P)/
人事院 [じんじいん] /(n) National Personnel Authority/(P)/
人事課 [じんじか] /(n) personnel section/
人事課長 [じんじかちょう] /(n) head of personnel department/
人事管理 [じんじかんり] /(n) personnel management/personnel administration/
人事記録 [じんじきろく] /(n) personnel record/
人事考課 [じんじこうか] /(n) merit (ability, efficiency) rating/employee performance evaluation/
人事行政 [じんじぎょうせい] /(n) personnel administration/
人事訴訟 [じんじそしょう] /(n) litigation related to personal status (e.g. divorce actions, etc.)/
人事訴訟事件 [じんじそしょうじけん] /(n) litigation related to personal status (e.g. divorce actions, etc.)/
人事訴訟手続き法 [じんじそしょうてつづきほう] /(n) Personal Status Actions Procedure Law (e.g. divorce actions, etc.)/
人事不省 [じんじふせい] /(n,adj-no) unconsciousness/
人事部 [じんじぶ] /(n) personnel department/
人事欄 [じんじらん] /(n) personal column/
人時 [にんじ] /(n) man-hour/
人質 [ひとじち] /(n) hostage/prisoner/(P)/
人質事件 [ひとじちじけん] /(n) incident involving the taking of hostages/hostage situation/
人車 [じんしゃ] /(n) (abbr) rickshaw/jinrikisha/
人爵 [じんしゃく] /(n) worldly honors/worldly honours/
人取り [ひととり] /(n) prisoner's base (a game)/
人手 [ひとで] /(n) (1) (uk) starfish (any echinoderm of the class Asteroidea)/asteroid/sea star/(2) northern Pacific seastar (Asterias amurensis)/(3) someone else's hands/other hands/(4) hand (worker)/aide/
人手にかかる [ひとでにかかる] /(exp,v5r) (1) to be murdered/(2) to be aided by someone else/to be raised by someone else/
人手に掛かる [ひとでにかかる] /(exp,v5r) (1) to be murdered/(2) to be aided by someone else/to be raised by someone else/
人手に渡る [ひとでにわたる] /(exp,v5r) to fall into another's hands/
人手を増やす [ひとでをふやす] /(exp,v5s) to add to the staff/to increase the staff/
人手不足 [ひとでぶそく] /(n) shorthanded/
人種 [じんしゅ] /(n,adj-no) race (of people)/(P)/
人種改良 [じんしゅかいりょう] /(n) racial eugenics/
人種隔離 [じんしゅかくり] /(n) racial segregation/apartheid/
人種学 [じんしゅがく] /(n) ethnology/
人種差別 [じんしゅさべつ] /(n) racial discrimination/
人種差別主義者 [じんしゅさべつしゅぎしゃ] /(n) racist/
人種主義 [じんしゅしゅぎ] /(n) racism/
人種的 [じんしゅてき] /(adj-na) racial/
人種的偏見 [じんしゅてきへんけん] /(n) race prejudice/racial prejudice/
人種問題 [じんしゅもんだい] /(n) a race problem/
人受け [ひとうけ] /(n,vs) popularity/
人寿 [じんじゅ] /(n) man's life span/
人衆 [にんしゅう] /(suf) N-man team (after number N)/group of N people/
人集め [ひとあつめ] /(n) throng/gathering of people/
人集り [ひとだかり] /(n,vs) crowd/throng/
人獣共通感染症 [じんじゅうきょうつうかんせんしょう] /(n) zoonosis (disease transmissible from animals to humans or vice versa)/
人出 [ひとで] /(n) crowd/turnout/(P)/
人助け [ひとだすけ] /(n) act of mercy/
人称 [にんしょう] /(n,adj-no) (ling) person/personal/
人称代名詞 [にんしょうだいめいし] /(n) (ling) personal pronoun/
人笑い [ひとわらい] /(n) something people would laugh at/
人笑え [ひとわらえ] /(adj-na,n) something people would laugh at/
人笑わせ [ひとわらわせ] /(adj-na,n) ridiculous/laughable/
人笑われ [ひとわらわれ] /(adj-na,n) laughingstock/
人証 [じんしょう] /(n) testimony of a witness/
人証 [にんしょう] /(n) testimony of a witness/
人情 [にんじょう] /(n) (1) humanity/empathy/kindness/sympathy/(2) human nature/common sense/customs and manners/(P)/
人情劇 [にんじょうげき] /(n) human-interest play/
人情噺 [にんじょうばなし] /(oK) (n) love story/real-life story/
人情負け [にんじょうまけ] /(n) overcome by sympathy/
人情風俗 [にんじょうふうぞく] /(n) manners, customs and popular sentiments/
人情本 [にんじょうぼん] /(n) novel from the late Edo period focused on the love stories of ordinary townsfolk/
人情味 [にんじょうみ] /(n) human interest/kindness/
人情話 [にんじょうばなし] /(n) story whose theme is warm human relationships/
人食い [ひとくい] /(n) (1) cannibalism/biting (someone)/(adj-no) (2) man-eating (e.g. tiger)/cannibalistic/
人食いバクテリア [ひとくいバクテリア] /(n) flesh-eating bacteria/
人食い人種 [ひとくいじんしゅ] /(n) cannibals/
人心 [じんしん] /(n) human nature/human heart/human spirit/kindness/sympathy/(P)/
人心 [ひとごころ] /(n) human nature/human heart/human spirit/kindness/sympathy/
人心安定 [じんしんあんてい] /(n) stabilizing the feelings of the people/inspiring confidence among the people/
人心一新 [じんしんいっしん] /(n,vs) complete change in public sentiment/leading the thought of the people to an entirely different channel/
人心刷新 [じんしんさっしん] /(n) radically change public sentiment/leading the thought of the people to an entirely different channel/
人心収攬 [じんしんしゅうらん] /(n) winning the hearts of the people/capturing public sentiment/
人心地 [ひとごこち] /(n) consciousness/
人心恟々 [じんしんきょうきょう] /(uK) (adj-t,adv-to) (arch) the people being panic-stricken (in alarm)/
人心恟恟 [じんしんきょうきょう] /(uK) (adj-t,adv-to) (arch) the people being panic-stricken (in alarm)/
人真似 [ひとまね] /(n,vs) mimicry/imitation/
人臣 [じんしん] /(n) subjects/retainers/
人身 [じんしん] /(n) the human body/one's person/
人身 [ひとみ] /(n) the human body/one's person/
人身御供 [ひとみごくう] /(n) human sacrifice/victim/
人身攻撃 [じんしんこうげき] /(n,adj-no) personal attack/
人身事故 [じんしんじこ] /(n) traffic accident resulting in personal injury or death/
人身取引 [じんしんとりひき] /(n) human trafficking/
人身売買 [じんしんばいばい] /(n) slave trade/white-slave trade/human trafficking/
人身保護 [じんしんほご] /(n) habeas corpus/
人身保護法 [じんしんほごほう] /(n) (Japanese) Protection of Personal Liberty Law (1948)/
人身保護令状 [じんしんほごれいじょう] /(n) writ of habeas corpus/
人人 [にんにん] /(n,adj-no) each person/people/men/human/everybody/
人人 [ひとびと] /(n,adj-no) each person/people/men/human/everybody/
人数 [にんずう] /(n) the number of people/(P)/
人数 [ひとかず] /(n) the number of people/
人摺れ [ひとずれ] /(n,adj-no) (1) sophistication/wordly wisdom/(vs) (2) to lose one's innocence/to get sophisticated/to get to know the world by being in contact with people/to lose one's naivete/
人世 [じんせい] /(n) this world/life/
人性 [じんせい] /(n) human nature/instinct/humanity/humanism/
人生 [じんせい] /(n) (human) life (i.e. conception to death)/(P)/
人生の春 [じんせいのはる] /(n) the flower (prime) of youth/the spring of life/
人生の真っ盛り [いっしょうのまっさかり] /(n) the noontide of life/
人生ゲーム [じんせいゲーム] /(n) Life (the board game)/
人生案内欄 [じんせいあんないらん] /(n) personal-question column/
人生意気に感ず [じんせいいきにかんず] /(exp) (id) Heart is won by heart/
人生観 [じんせいかん] /(n) view of life/(P)/
人生記録 [じんせいきろく] /(n) human document/
人生僅か五十年 [じんせいわずかごじゅうねん] /(exp) (id) Life is short/
人生航路 [じんせいこうろ] /(n) the path of one's life/
人生行路 [じんせいこうろ] /(n) journey of life/
人生行路難し [じんせいこうろかたし] /(exp) (id) Life is not easy/
人生最悪 [じんせいさいあく] /(n) worst ... of one's life/
人生最良 [じんせいさいりょう] /(n) best ... of one's life/
人生相談 [じんせいそうだん] /(n) counselling service (counseling)/life matters advice service/
人生相談欄 [じんせいそうだんらん] /(n) advice column/agony aunt column/
人生朝露 [じんせいちょうろ] /(exp) Man's life vanishes like a dew/A person's life is as fleeting as a morning dew/
人生哲学 [じんせいてつがく] /(n) philosophy of life/
人生派 [じんせいは] /(n) humanists/
人生模様 [じんせいもよう] /(n) facets (aspects) of (human) life/the pattern of (one's) life/
人声 [ひとごえ] /(n) human voice/cry/
人跡 [じんせき] /(n) signs of human habitation/
人跡 [ひとあと] /(n) signs of human habitation/
人跡未到 [じんせきみとう] /(n,adj-no) unexplored/
人跡未踏 [じんせきみとう] /(n,adj-no) unexplored/
人雪崩 [ひとなだれ] /(n) surging crowd/
人選 [じんせん] /(n,vs) personnel selection/(P)/
人前 [にんまえ] /(n) portion of food/(P)/
人前 [ひとまえ] /(n) the public/company/(P)/
人前で [ひとまえで] /(exp) in public/in company/
人前では [ひとまえでは] /(exp) in front of people/
人前結婚式 [じんぜんけっこんしき] /(n) nonreligious wedding ceremony/civil wedding ceremony/
人祖 [じんそ] /(n) progenitor/
人組 [にんぐみ] /(suf) a ~-man group (after number ~)/a group of ~ people/
人組み [にんぐみ] /(suf) a ~-man group (after number ~)/a group of ~ people/
人捜し [ひとさがし] /(n) manhunt/
人相 [にんそう] /(n,adj-no) physiognomy/looks/countenance/(P)/
人相学 [にんそうがく] /(n) physiognomy/
人相見 [にんそうみ] /(n) physiognomist/
人相書 [にんそうがき] /(n) personal description/
人相書き [にんそうがき] /(n) personal description/
人相占い [にんそううらない] /(n) divination by facial features/
人相風体 [にんそうふうたい] /(n) someone's looks and personal appearance/
人相風体 [にんそうふうてい] /(n) someone's looks and personal appearance/
人騒がせ [ひとさわがせ] /(adj-na,n) person that annoys or causes trouble/false alarm/
人造 [じんぞう] /(n,adj-no) man-made/synthetic/artificial/(P)/
人造絹糸 [じんぞうけんし] /(n) rayon/
人造湖 [じんぞうこ] /(n) artificial lake/
人造真珠 [じんぞうしんじゅ] /(n) artificial pearls/
人造人間 [じんぞうにんげん] /(n) robot/cyborg/
人造石油 [じんぞうせきゆ] /(n) synthetic oil/
人造繊維 [じんぞうせんい] /(n) synthetic fiber/synthetic fibre/
人造肥料 [じんぞうひりょう] /(n) chemical fertilizer/chemical fertiliser/
人造米 [じんぞうまい] /(n) imitation rice/
人造宝石 [じんぞうほうせき] /(n) artificial jewels/
人造藍 [じんぞうあい] /(n) synthetic indigo/
人足 [にんそく] /(n) coolie/laborer/labourer/carrier/
人足 [ひとあし] /(n) pedestrian traffic/
人足寄場 [にんそくよせば] /(n) labour camp for drifters, criminals, etc. (Edo period)/
人体 [じんたい] /(n) human body/(P)/
人体 [じんてい] /(n) personal appearance/looks/
人体 [にんてい] /(n) personal appearance/looks/
人体解剖学 [じんたいかいぼうがく] /(n) human anatomy/
人体学 [じんたいがく] /(n) somatology/
人体実験 [じんたいじっけん] /(n) testing on a living person/
人体模型 [じんたいもけい] /(n) anatomical model of the human body/
人待ち顔 [ひとまちがお] /(adj-na,n) look of expectation/
人代名詞 [じんだいめいし] /(n) (ling) personal pronoun/
人達 [ひとたち] /(n) people/
人探し [ひとさがし] /(n) searching for someone/
人知 [じんち] /(n) human intellect/knowledge/
人知れず [ひとしれず] /(exp,adv) secret/hidden/unseen/inward/
人知れぬ [ひとしれぬ] /(adj-pn) secret/hidden/unseen/inward/
人知を超えた [じんちをこえた] /(exp) beyond human understanding/
人地名 [じんちめい] /(n) person and place name/
人智 [じんち] /(n) human intellect/knowledge/
人畜 [じんちく] /(n) men and animals/
人畜共通感染症 [じんちくきょうつうかんせんしょう] /(n) zoonosis (disease transmissible from animals to humans or vice versa)/
人畜無害 [じんちくむがい] /(adj-na) harmless to man and beast/
人中 [じんちゅう] /(n) (1) in company/among people/(2) philtrum (groove in the upper lip that runs from the bottom of the nose to the lip)/
人中 [ひとなか] /(n) society/company/the public/the world/(P)/
人柱 [ひとばしら] /(n) human pillar/human sacrifice/
人長 [にんじょう] /(n) (arch) chief kagura dancer (of kagura performed at the imperial palace)/
人長 [ひとおさ] /(n) (arch) chief kagura dancer (of kagura performed at the imperial palace)/
人鳥 [じんちょう] /(n) (obsc) penguin/
人鳥類 [じんちょうるい] /(n) (obsc) penguin/
人通り [ひとどおり] /(n) pedestrian traffic/(P)/
人定 [じんてい] /(n) confirmation of somebody's identity/
人定質問 [じんていしつもん] /(n) establishing the identity of a defendant/
人定尋問 [じんていじんもん] /(n) establishing the identity of a witness/
人的 [じんてき] /(adj-na,n) human/personal/(P)/
人的ミス [じんてきミス] /(n) human error/
人的資源 [じんてきしげん] /(n) human resources/man-power resources/
人的資本 [じんてきしほん] /(n) human capital/
人的証拠 [じんてきしょうこ] /(n) testimony of a witness/
人伝 [ひとづて] /(n) hearsay/message/
人当たり [ひとあたり] /(n) one's manners/one's attitude/
人当たりがいい [ひとあたりがいい] /(exp) have sociable manners/
人当たりがよい [ひとあたりがよい] /(exp) have sociable manners/
人当たりが良い [ひとあたりがいい] /(exp) have sociable manners/
人当たりが良い [ひとあたりがよい] /(exp) have sociable manners/
人当たりのいい [ひとあたりのいい] /(adj-i) sociable/
人当たりのよい [ひとあたりのよい] /(adj-i) sociable/
人当たりの良い [ひとあたりのいい] /(adj-i) sociable/
人当たりの良い [ひとあたりのよい] /(adj-i) sociable/
人頭 [じんとう] /(n) (1) the number of people/population/(2) human head/
人頭 [にんとう] /(n) (1) the number of people/population/
人頭 [ひとがしら] /(n) (1) skull/cranium/(2) kanji "person" radical at top/
人頭税 [じんとうぜい] /(n) poll tax/
人頭税 [にんとうぜい] /(n) poll tax/
人道 [じんどう] /(n) humanity/sidewalk/footpath/(P)/
人道に対する罪 [じんどうにたいするつみ] /(n) crime against humanity/
人道作戦 [じんどうさくせん] /(n) humanitarian operation/
人道支援 [じんどうしえん] /(n) humanitarian aid/
人道主義 [じんどうしゅぎ] /(n) humanism/humanitarianism/(P)/
人道主義者 [じんどうしゅぎしゃ] /(n) a humanitarian/
人道的 [じんどうてき] /(adj-na,n) humane/(P)/
人道的援助 [じんどうてきえんじょ] /(n) humanitarian aid/
人道犯罪 [じんどうはんざい] /(n) crime against humanity/
人道蹂躙 [じんどうじゅうりん] /(n) outrage against humanity/
人徳 [じんとく] /(n) natural virtue/personal virtue/
人徳 [にんとく] /(n) natural virtue/personal virtue/
人馴れ [ひとなれ] /(n,vs) used to people/tame/
人馴れる [ひとなれる] /(v1,vi) to become accustomed to people/
人肉 [じんにく] /(n) human flesh/
人日 [じんじつ] /(n) seventh of January (lunar calendar) (one of the five annual festivals)/
人日 [にんにち] /(n) man-day/person-day/
人日 [にんび] /(n) man-day/person-day/
人乳頭腫ウイルス [ひとにゅうとうしゅウイルス] /(n) human papilloma virus/HPV/
人任せ [ひとまかせ] /(n) leaving (it) to others/
人熱れ [ひといきれ] /(n) body heat from several people in close quarters/stuffy air/
人波 [ひとなみ] /(n) surging crowd/wave of humanity/stampede/
人波を泳ぐ [ひとなみをおよぐ] /(exp,v5g) to wade through a crowd/
人馬 [じんば] /(n) men and horses/
人馬一体 [じんばいったい] /(n) unity of rider and horse/
人馬往来 [じんばおうらい] /(n) the passage of people and horses/coming and going of people and horses/
人馬宮 [じんばきゅう] /(n) Sagittarius (9th zodiacal sign)/the Archer/
人買い [ひとかい] /(n) slave traffic/slave dealer/
人白血球抗原 [ひとはっけっきゅうこうげん] /(n) human leukocyte antigen/HLA/
人肌 [ひとはだ] /(n,adj-no) the skin/body warmth/
人非人 [にんぴにん] /(n) brute of a man/
人品 [じんぴん] /(n) personal appearance/character/personality/
人品骨柄 [じんぴんこつがら] /(n) personal appearance and physique/a person's appearance and physique giving a feeling of respectable character/
人付 [ひとづき] /(n) reputation/
人付き合い [ひとづきあい] /(n) social disposition/
人夫 [にんぷ] /(n) (sens) laborer (labourer)/construction worker/coolie/
人怖じ [ひとおじ] /(n,vs) bashfulness before strangers/
人膚 [ひとはだ] /(n,adj-no) the skin/body warmth/
人払い [ひとばらい] /(n,vs) clearing out the people/
人物 [じんぶつ] /(n) character/personality/person/man/personage/talented man/(P)/
人物画 [じんぶつが] /(n) portrait painting/
人物経済 [じんぶつけいざい] /(n) human engineering/
人物月旦 [じんぶつげったん] /(n) character sketch/comments on personalities/
人物写真 [じんぶつじゃしん] /(n) portrait photograph/
人物寸描 [じんぶつすんびょう] /(n) thumb-nail sketch/
人物像 [じんぶつぞう] /(n) statue/picture/picture revealing character/
人物評 [じんぶつひょう] /(n) personal criticism/character sketch/
人物本位 [じんぶつほんい] /(n,adj-no) chiefly on the basis of someone's personal character/
人糞 [じんぷん] /(n) night soil/
人文 [じんぶん] /(n) humanity/civilization/civilisation/culture/(P)/
人文 [じんもん] /(n) humanity/civilization/civilisation/culture/
人文科学 [じんぶんかがく] /(n,adj-no) social sciences/humanities/(P)/
人文学派 [じんぶんがくは] /(n) humanists/
人文学部 [じんぶんがくぶ] /(n) faculty of humanities/
人文史 [じんぶんし] /(n) history of civilization/history of civilisation/
人文字 [ひともじ] /(n) arranging a group of people so as to form a character or spell out a message/
人文主義 [じんぶんしゅぎ] /(n,adj-no) humanism/
人文知識 [にんぶんちしょく] /(n) specialist in humanities (Japanese visa category)/
人文知職 [にんぶんちしょく] /(iK) (n) specialist in humanities (Japanese visa category)/
人文地理 [じんぶんちり] /(n) descriptive geography/
人文地理 [じんもんちり] /(n) descriptive geography/
人聞き [ひとぎき] /(n) reputation/respectability/
人柄 [ひとがら] /(adj-na,n) personality/character/personal appearance/gentility/(P)/
人並 [ひとなみ] /(adj-na,n,adj-no) being average (capacity, looks, standard of living)/ordinary/
人並み [ひとなみ] /(adj-na,n,adj-no) being average (capacity, looks, standard of living)/ordinary/(P)/
人並みに [ひとなみに] /(adv) like others/as much as anyone else/
人並み外れた [ひとなみはずれた] /(adj-f) uncommon/extraordinary (in relation to human characteristics)/
人別 [にんべつ] /(n) census-taking/
人別帳 [にんべつちょう] /(n) family registry (of the district) (Edo period)/population registry/records of an Edo period census/
人偏 [にんべん] /(n) person radical (ninben)/
人崩れ [ひとくずれ] /(n) surging crowd/
人望 [じんぼう] /(n) popularity/
人望家 [じんぼうか] /(n) popular character/
人本主義 [じんぽんしゅぎ] /(n) humanism/humanitarianism/
人毎 [ひとごと] /(adv) with each person/with everyone/
人脈 [じんみゃく] /(n) personal connections/(P)/
人民 [おおみたから] /(n,adj-no) (arch) imperial subjects/the people/
人民 [じんみん] /(n) people/public/(P)/
人民委員 [じんみんいいん] /(n) (early Soviet era) People's Commissar/
人民解放軍 [じんみんかいほうぐん] /(n) People's Liberation Army/
人民共和国 [じんみんきょうわこく] /(n) people's republic/
人民軍 [じんみんぐん] /(n) People's Army/
人民元 [じんみんげん] /(n) Chinese Yuan/renminbi (currency)/
人民元建て [じんみんげんだて] /(exp) denominated in Chinese Yuan/denominated in renminbi/
人民公社 [じんみんこうしゃ] /(n) (in China) people's commune/
人民裁判 [じんみんさいばん] /(n) people's trial (court)/
人民社会主義共和国 [じんみんしゃかいしゅぎきょうわこく] /(n) people's socialist republic/
人民主義 [じんみんしゅぎ] /(n) populism/
人民所有 [じんみんしょゆう] /(n) people's ownership/publically owned/
人民戦線 [じんみんせんせん] /(n) popular front/(P)/
人民投票 [じんみんとうひょう] /(n) plebiscite/referendum/
人民民主共和国 [じんみんみんしゅきょうわこく] /(n) people's democratic republic/
人名 [じんめい] /(n) person's name/(P)/
人名辞書 [じんめいじしょ] /(n) biographical dictionary/
人名辞典 [じんめいじてん] /(n) biographical dictionary/
人名簿 [じんめいぼ] /(n) directory/name list/
人名用漢字 [じんめいようかんじ] /(n) kanji officially for use in names/
人名録 [じんめいろく] /(n) directory/name list/
人命 [じんめい] /(n) (human) life/(P)/
人命救助 [じんめいきゅうじょ] /(n,adj-no) lifesaving/
人免疫不全ウイルス [ひとめんえきふぜんウイルス] /(n) human immunodeficiency virus/HIV/
人面 [じんめん] /(n) human face/
人面魚 [じんめんぎょ] /(n) fish with a human-looking face/
人面獣心 [じんめんじゅうしん] /(n) beast in human form/
人面獣心 [にんめんじゅうしん] /(n) beast in human form/
人木石に非ず [ひとぼくせきにあらず] /(exp) (id) Man is made of flesh and blood/
人目 [じんもく] /(n) public gaze/public notice/
人目 [ひとめ] /(n) public gaze/public notice/(P)/
人目に余る [ひとめにあまる] /(exp,v5r) to be too prominent/
人目に立つ [ひとめにたつ] /(exp,v5t) to be conspicuous/to attract public attention/
人目を引く [ひとめをひく] /(exp,v5k) to grab attention/to attract notice/to be eye-catching/
人目を忍ぶ [ひとめをしのぶ] /(exp,v5b) to avoid being seen/to be clandestine/
人目を掠めて [ひとめをかすめて] /(exp) on the sly/by stealth/
人様 [ひとさま] /(n) other people/others/
人欲 [じんよく] /(n) human desires/human passions/
人頼み [ひとだのみ] /(n) reliance on others/
人頼り [ひとだより] /(n) reliance on others/
人里 [ひとざと] /(n) human habitation/
人里はなれた [ひとざとはなれた] /(adj-f) lonely (place)/remote/in the middle of nowhere/
人里離れた [ひとざとはなれた] /(adj-f) lonely (place)/remote/in the middle of nowhere/
人立ち [ひとだち] /(n,vs) crowd of people/
人力 [じんりき] /(n) human power/human strength/human effort/human agency/
人力 [じんりょく] /(n) human power/human strength/human effort/human agency/
人力車 [じんりきしゃ] /(n) rickshaw/jinrikisha/(P)/
人力車夫 [じんりきしゃふ] /(n) rickshaw man/
人倫 [じんりん] /(n) human relations/humanity/
人倫退廃 [じんりんたいはい] /(n) decline (decay, corruption) of ethical standards/
人倫道徳 [じんりんどうとく] /(n) ethics and morality/
人倫頽廃 [じんりんたいはい] /(n) decline (decay, corruption) of ethical standards/
人類 [じんるい] /(n) mankind/humanity/(P)/
人類のために [じんるいのために] /(exp,adv) for the sake of humanity/
人類の為に [じんるいのために] /(exp,adv) for the sake of humanity/
人類愛 [じんるいあい] /(n) humanism/love for humanity/
人類猿 [じんるいえん] /(n) anthropoid ape/
人類学 [じんるいがく] /(n) anthropology/(P)/
人類学者 [じんるいがくしゃ] /(n) anthropologist/ethnologist/
人類最古 [じんるいさいこ] /(exp) oldest mankind (e.g. evidence of)/
人類史 [じんるいし] /(n) human history/
人恋しい [ひとこいしい] /(adj-i) longing for others/
人攫い [ひとさらい] /(n) (1) kidnapping/kidnaping/abduction/(2) kidnapper/kidnaper/abductor/
人籟 [じんらい] /(n) blowing instruments (music)/
人虱 [ひとじらみ] /(n) (uk) Pediculus humanus (species of louse that infests humans)/body louse/body lice/head louse/head lice/
仁 [じん] /(n) (1) benevolence (esp. as a virtue of Confucianism)/consideration/compassion/humanity/charity/(2) human/(3) kernel/(4) nucleolus/(P)/
仁 [にん] /(n) (1) kernel/
仁愛 [じんあい] /(n) benevolence/charity/love/
仁安 [にんあん] /(n) Nin'an era (1166.8.27-1169.4.8)/
仁王 [におう] /(n) the two guardian Deva kings/(P)/
仁王門 [におうもん] /(n) Deva gate/temple gate guarded by fierce Deva Kings/temple gate of the Nio/
仁王立ち [におうだち] /(n) imposing stance/daunting pose/
仁王立ちになる [におうだちになる] /(exp) to raise oneself up to one's full height/to strike a daunting pose/
仁王力 [におうりき] /(n) Herculean strength/
仁義 [じんぎ] /(n) humanity and justice/duty/(gang's) moral code/(P)/
仁義忠孝 [じんぎちゅうこう] /(n) humanity, justice, loyalty, and filial piety/
仁義道徳 [じんぎどうとく] /(n) humanity and justice/benevolence and righteousness/
仁義礼智信 [じんぎれいちしん] /(n) the 5 Confucian virtues (benevolence, justice, courtesy, wisdom, and sincerity)/
仁侠 [じんきょう] /(adj-na,n,adj-no) chivalry/generosity/heroism/chivalrous spirit/helping the weak and fighting the strong/
仁侠 [にんきょう] /(adj-na,n,adj-no) chivalry/generosity/heroism/chivalrous spirit/helping the weak and fighting the strong/
仁侠団体 [にんきょうだんたい] /(n) (sl) (pol) (often used self-referentially) yakuza (Japanese mafia) (lit: chivalrous organization)/
仁君 [じんくん] /(n) benevolent ruler/
仁兄 [じんけい] /(pn,adj-no) term of address for a friend/
仁恵 [じんけい] /(n) graciousness/mercy/charity/
仁座鯛 [にざだい] /(n) (uk) scalpel sawtail (Prionurus scalprum, species of tang found from Japan to Taiwan)/
仁座鯛 [にざだひ] /(n) (uk) scalpel sawtail (Prionurus scalprum, species of tang found from Japan to Taiwan)/
仁慈 [じんじ] /(n) kind-hearted/benevolence/
仁治 [にんじ] /(n) Ninji era (1240.7.16-1243.2.26)/
仁者 [じんしゃ] /(n) man of virtue/humanitarian/
仁寿 [にんじゅ] /(n) Ninju era (851.4.28-854.11.30)/
仁寿殿 [じじゅうでん] /(n) central pavilion (of Heian Palace)/
仁寿殿 [じんじゅでん] /(n) central pavilion (of Heian Palace)/
仁術 [じんじゅつ] /(n) benevolent act/healing act/
仁恕 [じんじょ] /(n) benevolence/magnanimity/
仁心 [じんしん] /(n) benevolence/humanity/
仁人 [じんじん] /(n) man of virtue/humanitarian/
仁政 [じんせい] /(n) benevolent rule/
仁丹 [じんたん] /(n) Jintan (brand-name breath mint marketed as having various medicinal properties)/refreshing candies resembling BBs or metallic dragees/
仁智 [じんち] /(n) benevolence and wisdom/
仁道 [じんどう] /(n) the path that one should follow as a human being/the path of benevolence/
仁徳 [じんとく] /(n) benevolence/goodness/
仁平 [にんぺい] /(n) Nimpei era (1151.1.26-1154.10.28)/
仁輪加狂言 [にわかきょうげん] /(n) farce/extravaganza/
仁和 [にんな] /(n) Ninna era (885.2.21-889.4.27)/
刃 [は] /(n) edge (of a knife or sword)/(P)/
刃 [やいば] /(n) blade/sword/
刃を交える [やいばをまじえる] /(exp,v1) to cross swords (with)/
刃金 [はがね] /(n) steel/
刃向かう [はむかう] /(v5u,vi) to strike back at/to bite back/to turn on/to rise against/to oppose/to defy/
刃傷 [にんじょう] /(n) bloodshed/
刃傷に及ぶ [にんじょうにおよぶ] /(exp,v5b) to come to bloodshed/
刃傷沙汰 [にんじょうざた] /(n) bloodshed/
刃針 [はばり] /(n) lancet/
刃先 [はさき] /(n) edge of blade/(P)/
刃渡 [はわたり] /(n) length of a (sword) blade/walking on the edge of a sword/
刃渡り [はわたり] /(n) length of a (sword) blade/walking on the edge of a sword/(P)/
刃物 [はもの] /(n) edged tool/cutlery/(P)/
刃物三昧 [はものざんまい] /(n,vs) (engaging in a) knife fight/
刃文 [はもん] /(n) temper pattern of a sword blade/
塵 [ごみ] /(n) (uk) rubbish/trash/garbage/refuse/(P)/
塵 [じん] /(n) (1) (Buddh) defilement/impurity/affliction/(2) object (perceived with the mind or the senses)/(3) one billionth/
塵 [ちり] /(n) dust/dirt/(P)/
塵も積もれば山と成る [ちりもつもればやまとなる] /(exp) (id) Many a little makes a mickle/
塵バケツ [ごみバケツ] /(n) garbage can/rubbish bucket/
塵屋 [ごみや] /(oK) (n) (sens) ragman/garbage man/garbage collector/
塵灰 [じんかい] /(n) dust and ash/
塵界 [じんかい] /(n) this drab world/
塵芥 [ごみあくた] /(n) rubbish/trash/garbage/refuse/
塵芥 [じんかい] /(n) rubbish/trash/garbage/refuse/
塵芥 [ちりあくた] /(n) rubbish/trash/garbage/refuse/
塵芥虫 [ごみむし] /(n) (1) (uk) ground beetle/carabid (esp. of superfamily Caraboidea, but excluding subfamily Carabinae)/(2) Anisodactylus signatus (species of ground beetle)/
塵紙 [ちりがみ] /(n) (1) (a) tissue/(2) toilet paper/
塵取り [ちりとり] /(n) dustpan/
塵手水 [ちりちょうず] /(n) ritual squatting, clapping, and bearing of empty hands performed before each sumo match/
塵浄水 [ちりじょうずい] /(n) ceremonious clapping and rubbing of the palms (sumo)/
塵袋 [ごみぶくろ] /(n) garbage bag/
塵入 [ごみいれ] /(n) trashcan/rubbish bin/dustbin/ashcan/
塵入れ塵出し [ごみいれごみだし] /(exp) (comp) garbage in, garbage out/
塵肺 [じんはい] /(n) pneumoconiosis (lung disease caused by dust inhalation)/
塵肺 [じんぱい] /(n) pneumoconiosis (lung disease caused by dust inhalation)/
塵箱 [ごみばこ] /(n) garbage can/garbage box/rubbish bin/trash can/dust bin/dustbin/
塵払い [ちりばらい] /(n) duster/
塵分別 [ごみぶんべつ] /(oK) (n) separating rubbish (for recycling, etc.)/
塵溜め [ごみため] /(n) dump/rubbish dump/
塵埃 [じんあい] /(n) dust/dirt/this drab world/
塵埃 [ちりほこり] /(n) dust/dirt/this drab world/
壬 [じん] /(n) 9th in rank/ninth sign of the Chinese calendar/
壬 [みずのえ] /(n) 9th in rank/ninth sign of the Chinese calendar/
壬午 [じんご] /(n) nineteenth of the sexagenary cycle/
壬午 [みずのえうま] /(n) nineteenth of the sexagenary cycle/
壬子 [じんし] /(n) 49th of the sexagenary cycle/
壬子 [みずのえね] /(n) 49th of the sexagenary cycle/
壬申 [じんしん] /(n) ninth of the sexagenary cycle/
壬申 [みずのえさる] /(n) ninth of the sexagenary cycle/
壬申の乱 [じんしんのらん] /(exp,n) Jinshin revolt (671CE)/
壬辰 [じんしん] /(n) twenty-ninth of the sexagenary cycle/
壬辰 [みずのえたつ] /(n) twenty-ninth of the sexagenary cycle/
壬寅 [じんいん] /(n) thirty-ninth of the sexagenary cycle/
壬寅 [みずのえとら] /(n) thirty-ninth of the sexagenary cycle/
壬戌 [じんじゅつ] /(n) 59th of the sexagenary cycle/
壬戌 [みずのえいぬ] /(n) 59th of the sexagenary cycle/
尋 [じん] /(n) fathom/
尋 [ひろ] /(n) fathom/
尋ねる [たずねる] /(v1,vt) (1) to ask/to enquire/to inquire/(2) to search/to look for/to look into/to investigate/(P)/
尋ね求める [たずねもとめる] /(v1) to seek for/
尋ね者 [たずねもの] /(n) wanted man/
尋ね出す [たずねいだす] /(v5s) to locate/to discover/
尋ね人 [たずねびと] /(n) missing person/wanted person/(P)/
尋ね物 [たずねもの] /(n) missing article/
尋常 [じんじょう] /(adj-na,n,adj-no) common/usual/(P)/
尋常一様 [じんじょういちよう] /(adj-na,adj-no,n) ordinary/common/mediocre/
尋常茶飯 [じんじょうさはん] /(n,adj-na,adj-no) everyday occurrence/commonplace of life/nothing out of the ordinary/
尋問 [じんもん] /(n,vs) cross-examination/interrogation/questioning/(P)/
尋問調書 [じんもんちょうしょ] /(n) interrogatory/
甚い [いたい] /(adj-i) (1) painful/sore/(adj-i,suf) (2) exceeding/
甚く [いたく] /(adv) exceedingly/
甚しい [はなはだしい] /(io) (adj-i) extreme/excessive/terrible/intense/severe/serious/tremendous/heavy (damage)/
甚だ [はなはだ] /(adv) very/greatly/exceedingly/(P)/
甚だしい [はなはだしい] /(adj-i) extreme/excessive/terrible/intense/severe/serious/tremendous/heavy (damage)/(P)/
甚だしい誤解 [はなはだしいごかい] /(n) serious misunderstanding/
甚だ以て [はなはだもって] /(exp) exceedingly/
甚寒 [じんかん] /(n) (obsc) intense cold/
甚句 [じんく] /(n) lively song/lively dance/
甚振る [いたぶる] /(v5r) (uk) to torment/to harass/to tease/
甚深 [じんしん] /(n) extremely deep (i.e. profound)/
甚深 [じんじん] /(n) extremely deep (i.e. profound)/
甚大 [じんだい] /(adj-na,n) very great/enormous/serious/(P)/
甚兵衛 [じんべえ] /(n) informal summer clothes for men (short jacket and trousers)/
甚兵衛鮫 [じんべえざめ] /(n) (uk) whale shark (Rhincodon typus)/
甚平 [じんべい] /(n) informal summer clothes for men (short jacket and trousers)/
甚平鮫 [じんべいざめ] /(n) (uk) whale shark (Rhincodon typus)/
甚六 [じんろく] /(n) dunce/blockhead/
尽 [じん] /(n,n-suf) (abbr) last day (of the month)/
尽 [ずく] /(io) (suf) (1) (uk) (after a noun) relying entirely on .../using solely .../(2) with the sole purpose of .../(3) based on (mutual consent, etc.)/
尽 [づく] /(io) (suf) (1) (uk) (after a noun) relying entirely on .../using solely .../(2) with the sole purpose of .../(3) based on (mutual consent, etc.)/
尽 [はたて] /(n) (arch) end/limit/extremity/
尽かす [つかす] /(v5s,vt) (1) to use completely/to use up/to exhaust/(2) to exhaust somebody's civility/to give up (on someone)/
尽きせぬ [つきせぬ] /(adj-pn) eternal/everlasting/endless/enduring/
尽きない [つきない] /(adj-i) everlasting/inexhaustible/
尽きはてる [つきはてる] /(v1,vi) to be exhausted/
尽きる [つきる] /(v1,vi) to be used up/to be run out/to be exhausted/to be consumed/to come to an end/(P)/
尽き果てる [つきはてる] /(v1,vi) to be exhausted/
尽く [ことごとく] /(adv) (uk) altogether/entirely/
尽く [ずく] /(suf) (1) (uk) (after a noun) relying entirely on .../using solely .../(2) with the sole purpose of .../(3) based on (mutual consent, etc.)/
尽く [づく] /(suf) (1) (uk) (after a noun) relying entirely on .../using solely .../(2) with the sole purpose of .../(3) based on (mutual consent, etc.)/
尽くし [ずくし] /(suf) all sorts of/all kinds of/
尽くし [づくし] /(suf) all sorts of/all kinds of/
尽くす [つくす] /(v5s) (1) to exhaust/to run out/(2) to devote/to serve (a person)/to befriend/(aux-v) (3) to do to exhaustion/(P)/
尽くめ [ずくめ] /(suf) (uk) entire/complete/unqualified/without exception/
尽くめ [づくめ] /(suf) (uk) entire/complete/unqualified/without exception/
尽し [ずくし] /(suf) all sorts of/all kinds of/
尽し [づくし] /(suf) all sorts of/all kinds of/
尽忠 [じんちゅう] /(n) loyalty/
尽忠報国 [じんちゅうほうこく] /(n) loyalty and patriotism/
尽日 [じんじつ] /(n-adv,n-t) last day of the month (year)/New Year's Eve/all day long/
尽未来 [じんみらい] /(n) eternally/forever/
尽未来際 [じんみらいさい] /(n-adv,n) to the end of time/to the crack of doom/for ever and ever/
尽未来際 [じんみらいざい] /(n-adv,n) to the end of time/to the crack of doom/for ever and ever/
尽無し [ずくなし] /(n) (uk) bum/slacker/good-for-nothing/loser/
尽力 [じんりょく] /(n,vs) efforts/assistance/(P)/
尽瘁 [じんすい] /(n,vs) giving one's all to/
腎炎 [じんえん] /(n,adj-no) kidney inflammation/nephritis/
腎機能 [じんきのう] /(n) kidney function/
腎結石 [じんけっせき] /(n) kidney stone/kidney stones/renal calculus/
腎細胞癌 [じんさいぼうがん] /(n) renal cell carcinoma/cancerous kidney tumor/
腎小体 [じんしょうたい] /(n) renal corpuscle/
腎症 [じんしょう] /(n) nephropathy/
腎障害 [じんしょうがい] /(n) renal impairment/kidney damage/
腎石 [じんせき] /(n) kidney stone/renal calculus/
腎臓 [じんぞう] /(n,adj-no) kidney/(P)/
腎臓炎 [じんぞうえん] /(n) kidney inflammation/nephritis/
腎臓学 [じんぞうがく] /(n) nephrology/
腎臓結石 [じんぞうけっせき] /(n) kidney stone/renal calculus/
腎臓内科 [じんぞうないか] /(n) nephrology/
腎臓病 [じんぞうびょう] /(n) kidney trouble or disease/
腎単位 [じんたんい] /(n) (obsc) nephron/
腎不全 [じんふぜん] /(n) renal failure/
腎盂 [じんう] /(n) renal pelvis/
腎盂炎 [じんうえん] /(n) inflammation of the renal pelvis/
訊き返す [ききかえす] /(v5s,vt) to ask in return/to ask again/to listen repeatedly/
訊く [きく] /(v5k,vt) (1) to hear/(2) to listen (e.g. to music)/(3) to ask/to enquire/to query/
訊ねる [たずねる] /(v1,vt) (1) to ask/to enquire/to inquire/(2) to search/to look for/to look into/to investigate/
訊問 [じんもん] /(n,vs) cross-examination/interrogation/questioning/
迅速 [じんそく] /(adj-na,n) quick/fast/rapid/swift/prompt/streamlined/expedited/expeditious/(P)/
迅速果敢 [じんそくかかん] /(n,adj-na) quick and decisive/fast and daring/swift and resolute/
迅速果断 [じんそくかだん] /(n,adj-na) quick and decisive/fast and daring/
迅雷 [じんらい] /(n) thunderclap/
陣 [じん] /(n) battle formation/camp/encampment/
陣々 [じんじん] /(n) (1) each encampment/(adj-t,adv-to) (2) strong (wind)/fierce/(3) intermittent/
陣を張る [じんをはる] /(exp,v5r) to pitch camp/to set up camp/
陣を敷く [じんをしく] /(exp,v5k) to encamp/to take up a position/
陣を立てなおす [じんをたてなおす] /(exp,v5s) to redeploy troops/
陣を立て直す [じんをたてなおす] /(exp,v5s) to redeploy troops/
陣羽織 [じんばおり] /(n) battle surcoat/
陣営 [じんえい] /(n) camp (group of same ideological beliefs)/(P)/
陣屋 [じんや] /(n) encampment/
陣笠 [じんがさ] /(n) ancient soldier's straw hat/party rank and file/
陣形 [じんけい] /(n) (military) formation/
陣取り [じんとり] /(n) children's game in which the aim is to occupy the other's home base/
陣取る [じんどる] /(v5r,vi) to encamp/to take up positions/
陣鉦 [じんがね] /(n) bell or gong used to signal soldiers/
陣鐘 [じんがね] /(n) bell or gong used to signal soldiers/
陣陣 [じんじん] /(n) (1) each encampment/(adj-t,adv-to) (2) strong (wind)/fierce/(3) intermittent/
陣太鼓 [じんだいこ] /(n) war drum/
陣地 [じんち] /(n) (military) encampment/position/(P)/
陣中 [じんちゅう] /(n,adj-no) in camp/at the front/(P)/
陣中見舞 [じんちゅうみまい] /(n) visiting soldiers at the front to provide comfort/visit to (gift for) persons hard at work as a sign of support/
陣中見舞い [じんちゅうみまい] /(n) visiting soldiers at the front to provide comfort/visit to (gift for) persons hard at work as a sign of support/
陣痛 [じんつう] /(n) labour (birth) pains/labor pains/(P)/
陣痛促進剤 [じんつうそくしんざい] /(n) labor-inducing drugs/
陣頭 [じんとう] /(n) head of an army/(P)/
陣頭指揮 [じんとうしき] /(n,vs) taking command of a corps in a battle/command exercised by the leader of a group/
陣風 [じんぷう] /(n) gust/gale/
陣没 [じんぼつ] /(n,vs) death in battle/
陣幕 [じんまく] /(n) camp enclosure/
陣門 [じんもん] /(n) surrender to the enemy/
陣容 [じんよう] /(n) battle array/(P)/
陣立て [じんだて] /(n) battle formation/
陣列 [じんれつ] /(n) battle formation/
靭帯 [じんたい] /(n,adj-no) ligament/
靭皮 [じんぴ] /(n) bast/
須く [すべからく] /(adv) (uk) by all means/in all cases/ought to do/
須らく [すべからく] /(adv) (uk) by all means/in all cases/ought to do/
須恵器 [すえき] /(n) Sue ware (type of unglazed pottery made from the middle of the Kofun era through the Heian era)/
須磨琴 [すまごと] /(n) single-stringed Japanese zither/
須弥山 [しゅみせん] /(n) Mt Sumeru (in Buddhism - said to be the highest mountain rising in the center of the world) (centre)/
須弥壇 [しゅみだん] /(n) dais for a Buddhist image/
須要 [しゅよう] /(adj-na,n) absolutely necessary/
須臾 [しばらく] /(adv,adj-no) (1) (uk) little while/short while/moment/instant/(2) a while/quite a time/(int) (3) it's been a long time/
須臾 [しゅゆ] /(adv,adj-no) (1) (uk) little while/short while/moment/instant/(2) a while/quite a time/(int) (3) it's been a long time/
須臾 [すゆ] /(adv,adj-no) (1) (uk) little while/short while/moment/instant/(2) a while/quite a time/(int) (3) it's been a long time/
須髯 [しゅぜん] /(n) beard/
酢 [す] /(n) vinegar/(P)/
酢の物 [すのもの] /(n) vinegared or pickled dish/(P)/
酢貝 [すがい] /(n) (uk) Lunella coreensis (species of turban shell)/
酢橘 [すだち] /(n) (uk) sudachi (species of Japanese citrus, Citrus sudachi)/
酢昆布 [すこんぶ] /(n) sour konbu prepared with black vinegar/
酢肴 [すざかな] /(n) vinegared appetizer/
酢酸 [さくさん] /(n,adj-no) acetic acid/(P)/
酢酸エチル [さくさんエチル] /(n) ethyl acetate/
酢酸カルシウム [さくさんカルシウム] /(n) calcium acetate (C4H6O4Ca)/
酢酸セルロース [さくさんセルロース] /(n) cellulose acetate/
酢酸鉛 [さくさんなまり] /(n) lead acetate (i.e. plumbic acetate, plumbous acetate)/
酢酸塩 [さくさんえん] /(n) acetate/
酢酸繊維素 [さくさんせんいそ] /(n) (obsc) cellulose acetate/
酢蛸 [すだこ] /(n) (sliced and) pickled octopus/
酢漬 [すづけ] /(n) pickling/pickles/
酢漬け [すづけ] /(n) pickling/pickles/
酢豚 [すぶた] /(n) sweet-and-sour pork/
酢飯 [すめし] /(n) vinegared rice/rice prepared for sushi/
酢憤 [すむずかり] /(n) dish of simmered salmon head, soybeans, vegetables, and leftovers/
酢憤 [すむつかり] /(n) dish of simmered salmon head, soybeans, vegetables, and leftovers/
酢憤り [すむずかり] /(n) dish of simmered salmon head, soybeans, vegetables, and leftovers/
酢憤り [すむつかり] /(n) dish of simmered salmon head, soybeans, vegetables, and leftovers/
酢味噌 [すみそ] /(n) vinegared miso/
酢料理 [すりょうり] /(n) pickled dish/
酢漿草 [かたばみ] /(n) wood sorrel/oxalis/
図 [ず] /(n,n-suf) figure (e.g. Fig 1)/drawing/picture/illustration/(P)/
図々しい [ずうずうしい] /(adj-i) impudent/shameless/(P)/
図１ [ずいち] /(n) Figure 1./
図がない [ずがない] /(exp,adj-i) unthinkable/extraordinary/preposterous/cannot be/
図が無い [ずがない] /(exp,adj-i) unthinkable/extraordinary/preposterous/cannot be/
図に乗る [ずにのる] /(exp,v5r) to get carried away/to push one's luck/to push a good thing too far/
図に当たる [ずにあたる] /(exp,v5r) to hit the bull's-eye/to go as expected/
図らずも [はからずも] /(adv) unexpectedly/
図る [はかる] /(v5r,vt) (1) to plot/to attempt/to plan/to devise/to design/(2) to take in/to deceive/(3) to aim for/to have something in mind/(4) to refer A to B/(P)/
図を描く [ずをかく] /(exp,v5k) to draw a diagram/
図案 [ずあん] /(n,adj-no) a design/sketch/
図案家 [ずあんか] /(n) designer/
図一 [ずいち] /(n) Figure 1./
図画 [ずが] /(n,adj-no) drawing/
図画工作 [ずがこうさく] /(n) drawing and manual arts/
図会 [ずえ] /(n) collection of pictures/
図解 [ずかい] /(n,vs,adj-no) schematic/schema/illustration/explanatory diagram/(P)/
図絵 [ずえ] /(n) drawing/picture/
図学 [ずがく] /(n) graphics/
図鑑 [ずかん] /(n) illustrated reference book/illustrated encyclopedia (esp. for children)/picture book/(P)/
図形 [ずけい] /(n) figure/shape/graphic/(P)/
図形エディタ [ずけいエディタ] /(n) (comp) image editor/
図形記号 [ずけいきごう] /(n) (comp) graphic symbol/
図形記述子 [ずけいきじゅつし] /(n) (comp) picture descriptor/PD/
図形処理 [ずけいしょり] /(n) (comp) computer graphics/
図形表示装置 [ずけいひょうじそうち] /(n) (comp) graphic display (device)/
図形文字 [ずけいもじ] /(n) (comp) graphic character/
図形文字列 [ずけいもじれつ] /(n) (comp) graphic character string/
図形要素 [ずけいようそ] /(n) (comp) graphic element/
図工 [ずこう] /(n) (abbr) drawing and manual arts/
図工室 [ずこうしつ] /(n) drawing and manual arts room/arts and craft room/
図子 [ずし] /(n) (1) (arch) alley/alleyway/(2) (arch) crossroads/intersection/
図示 [ずし] /(n,vs) illustration/showing in graphic form or by diagram/(P)/
図式 [ずしき] /(n,adj-no) diagram/graph/schema/(P)/
図式的 [ずしきてき] /(adj-na) simplistic/
図取り [ずどり] /(n) sketching/
図書 [としょ] /(n) books/(P)/
図書カード [としょカード] /(n) pre-paid card for purchasing books/Tosho card/
図書館 [ずしょかん] /(ok) (n) library/
図書館 [としょかん] /(n) library/(P)/
図書館システム [としょかんシステム] /(n) (comp) library system/
図書館ネットワーク [としょかんネットワーク] /(n) (comp) library network/
図書館員 [としょかんいん] /(n) librarian/
図書館学 [としょかんがく] /(n) library science/
図書館長 [としょかんちょう] /(n) chief librarian/
図書券 [としょけん] /(n) gift certificate for books/
図書室 [としょしつ] /(n) library room/(P)/
図書費 [としょひ] /(n) book budget/
図書目録 [としょもくろく] /(n,adj-no) book catalogue/book catalog/card catalogue/card catalog/
図図しい [ずうずうしい] /(adj-i) impudent/shameless/
図星 [ずぼし] /(n) bull's-eye/mark/
図星に当たる [ずぼしにあたる] /(exp,v5r) to hit the bull's-eye/
図星を指す [ずぼしをさす] /(exp,v5s) to hit the nail on the head/to guess exactly right/
図説 [ずせつ] /(n) illustration/diagram/
図像 [ずぞう] /(n) (1) icon/(2) (Buddh) simple ink drawing (of a buddha, mandala, etc.)/
図像学 [ずぞうがく] /(n) iconography/
図太い [ずぶとい] /(adj-i) bold/shameless/cheeky/brash/impudent/
図体 [ずうたい] /(n) body/frame/
図南 [となん] /(n) (arch) large undertaking attempted in a far-off land/
図抜ける [ずぬける] /(v1,vi) to tower above/to stand out/
図版 [ずはん] /(n) plate/illustration/figure/(P)/
図表 [ずひょう] /(n,adj-no) chart/diagram/graph/figure/(P)/
図表一覧 [ずひょういちらん] /(n) (comp) list of illustrations/
図譜 [ずふ] /(n) illustrated reference book/illustrated catalog/
図柄 [ずがら] /(n) design/pattern/(P)/
図法 [ずほう] /(n) drawing/draftsmanship/draughtsmanship/
図面 [ずめん] /(n) drawing/diagram/plans/blueprint/(P)/
図面を引く [ずめんをひく] /(exp,v5k) to draw a plan/
図録 [ずろく] /(n) illustrated book/picture book/
厨 [くりや] /(n) kitchen/
厨 [ちゅう] /(n) (abbr) (sl) someone who makes childish posts (on a BBS, etc.)/
厨芥 [ちゅうかい] /(n) kitchen waste/
厨宰 [ちゅうさい] /(n) (arch) chef/head cook/
厨子 [ずし] /(n) (1) miniature shrine with double doors (used to store important Buddhist items such as sutras, etc.)/(2) cabinet with double doors (used by the nobility to store books, etc.)/
厨子棚 [ずしだな] /(n) cabinet with double doors (used by the nobility to store books, etc.)/
厨人 [くりやびと] /(n) chef/head cook/
厨人 [ちゅうじん] /(n) chef/head cook/
厨二病 [ちゅうにびょう] /(n) (sl) humorous way of characterising certain expressions or behaviors that are characteristic of teenagers (lit: 8th grader sickness)/
厨房 [ちゅうぼう] /(n) (1) kitchen/galley/(2) (sl) someone who makes childish posts (on a BBS, etc.)/
逗留 [とうりゅう] /(n,vs) staying/sojourn/
逗留客 [とうりゅうきゃく] /(n) sojourner/visitor/
吹かす [ふかす] /(v5s,vt) (1) to smoke (a cigarette)/(2) to behave as .../(3) to accelerate/to rev up/
吹きかける [ふきかける] /(v1,vt) (1) to blow upon/to breathe on/to spray/(2) to pick (a fight)/to force (unreasonable terms)/(3) to exaggerate/to overcharge/
吹きこぼれる [ふきこぼれる] /(v1,vi) to boil over/
吹きこむ [ふきこむ] /(v5m,vi,vt) (1) to blow into/to breathe into/(v5m,vt) (2) to inspire/to indoctrinate/(3) to record (music, video, etc.)/
吹きしきる [ふきしきる] /(v5r) to blow violently/to blow incessantly/to blow hard (e.g. the wind)/
吹きすさぶ [ふきすさぶ] /(v5b,vi) (1) to blow fiercely/to rage/(2) (arch) to play (a flute, etc.) for fun/
吹きっ晒し [ふきっさらし] /(adj-no,n) wind-swept/exposed to the wind/
吹きっ曝し [ふきっさらし] /(adj-no,n) wind-swept/exposed to the wind/
吹きつける [ふきつける] /(v1,vt) to blow against/to spray (paint, etc.) (onto a surface)/
吹き下ろす [ふきおろす] /(v5s,vi) to blow down upon/
吹き回し [ふきまわし] /(n) the direction of the wind/circumstances/
吹き掛ける [ふきかける] /(v1,vt) (1) to blow upon/to breathe on/to spray/(2) to pick (a fight)/to force (unreasonable terms)/(3) to exaggerate/to overcharge/
吹き寄せ [ふきよせ] /(n) medley (of food, songs, etc.)/
吹き寄せる [ふきよせる] /(v5r) (1) to drift/to blow together/(2) to have the wind start to blow/to have the wind spring up/
吹き捲くる [ふきまくる] /(io) (v5r,vi) to blow about/to blow along/to brag/
吹き捲る [ふきまくる] /(v5r,vi) to blow about/to blow along/to brag/
吹き荒ぶ [ふきすさぶ] /(v5b,vi) (1) to blow fiercely/to rage/(2) (arch) to play (a flute, etc.) for fun/
吹き荒む [ふきすさむ] /(v5m) to blow violently/
吹き荒れる [ふきあれる] /(v1,vi) to blow violently/to sweep over/to devastate/
吹き降り [ふきぶり] /(n) driving rain/
吹き込み [ふきこみ] /(n) (1) blowing in/(2) recording/
吹き込む [ふきこむ] /(v5m,vi,vt) (1) to blow into/to breathe into/(v5m,vt) (2) to inspire/to indoctrinate/(3) to record (music, video, etc.)/(P)/
吹き晒し [ふきさらし] /(adj-no,n) wind-swept/exposed to the wind/
吹き散す [ふきちらす] /(io) (v5s,vt) (1) to scatter/to blow about/(2) (arch) to spread a rumor/to talk around/
吹き散らす [ふきちらす] /(v5s,vt) (1) to scatter/to blow about/(2) (arch) to spread a rumor/to talk around/
吹き始める [ふきはじめる] /(v1) to begin to blow/
吹き集める [ふきあつめる] /(v1) (obsc) to blow and gather together (by the wind)/
吹き出し [ふきだし] /(n) (1) blowoff/blowing/venting/(2) speech balloons (in a comic strip)/speech bubble/(3) blowing (of a seasonal or climatic wind)/
吹き出し口 [ふきだしぐち] /(n) nozzle/jet/
吹き出す [ふきだす] /(v5s,vi) (1) to spout out/to spurt out/to gush out/to jet out/(2) to sprout/to bud/(3) to burst into laughter/(4) to blow (smoke, etc.)/(5) to send out shoots (of a tree)/(P)/
吹き出る [ふきでる] /(v1,vi) to blow out/to spout out/
吹き出物 [ふきでもの] /(n) pimple/acne/boil/(P)/
吹き消す [ふきけす] /(v5s,vt) to blow out (a flame)/
吹き上げ [ふきあげ] /(n) (1) place exposed to winds which blow up from below (usu. a beach)/beach exposed to sea winds/(2) fountain/
吹き上げる [ふきあげる] /(v1,vt) to blow up (i.e. wind)/to blow upwards/to spout into the air/
吹き針 [ふきばり] /(n) Ninja spitting needles/
吹き送る [ふきおくる] /(v5r) to waft/to blow over/
吹き替え [ふきかえ] /(n,vs) dubbing/stand-in/dummy/
吹き替える [ふきかえる] /(v1,vt) (1) to dub/(2) to remint/
吹き着ける [ふきつける] /(v1,vt) to blow against/to spray (paint, etc.) (onto a surface)/
吹き通し [ふきとおし] /(n) (1) blowing through/ventilation/draft/(2) blowing relentlessly/(3) blowing hot air/exaggerating/boasting/
吹き通し [ふきどおし] /(n) (1) blowing relentlessly/(2) blowing hot air/exaggerating/boasting/
吹き通す [ふきとおす] /(v5s,vt) to blow through/to blow ceaselessly/
吹き渡る [ふきわたる] /(v5r,vi) to blow across/
吹き倒す [ふきたおす] /(v5s,vt) to blow over/
吹き曝し [ふきさらし] /(adj-no,n) wind-swept/exposed to the wind/
吹き抜き [ふきぬき] /(n) stairwell/
吹き抜く [ふきぬく] /(v5k) to blow through/to blow over/to blow itself out/
吹き抜け [ふきぬけ] /(n) (1) atrium/well (in building)/vault/(n,adj-f) (2) blow-by/blow-bye/blowout/(adj-no) (3) drafty/draughty/
吹き抜ける [ふきぬける] /(v1) to blow through/
吹き飛ばす [ふきとばす] /(v5s,vt) (1) to blow away/to blow off/to blow up/(2) to dispel/to drive away/(3) to talk big/
吹き飛ぶ [ふきとぶ] /(v5b,vi) (1) to be blown off/to blow off/to blow away/(2) to vanish/to disappear/(P)/
吹き頻る [ふきしきる] /(v5r) to blow violently/to blow incessantly/to blow hard (e.g. the wind)/
吹き付け [ふきつけ] /(n) spraying/
吹き付ける [ふきつける] /(v1,vt) to blow against/to spray (paint, etc.) (onto a surface)/
吹き払う [ふきはらう] /(v5u,vt) to blow off/
吹き物 [ふきもの] /(n) wind instrument (esp. in gagaku)/
吹き分ける [ふきわける] /(v1,vt) to blow apart/to winnow/to smelt/
吹き変える [ふきかえる] /(v1,vt) (1) to dub/(2) to remint/
吹き返す [ふきかえす] /(v5s) to blow in the opposite direction/to revive/
吹き募る [ふきつのる] /(v5r,vi) to blow harder and harder/
吹き矢 [ふきや] /(n) blowgun/blowpipe/dart/
吹き遊ぶ [ふきすさぶ] /(v5b,vi) (1) to blow fiercely/to rage/(2) (arch) to play (a flute, etc.) for fun/
吹き落とす [ふきおとす] /(v5s) to blow down (fruit)/
吹き流し [ふきながし] /(n) streamer/pennant/
吹き流す [ふきながす] /(v5s,vt) to blow along (in the wind)/to set adrift/
吹き溜まり [ふきだまり] /(n) (1) drift of snow or leaves/(2) hangout for drifters/(P)/
吹き溜り [ふきだまり] /(n) (1) drift of snow or leaves/(2) hangout for drifters/
吹く [ふく] /(v5k) (1) to blow (wind, etc.)/to play a wind instrument/(2) to emit/to spout/(3) to whistle/(P)/
吹っかける [ふっかける] /(v1,vt) to blow upon/to provoke/to overcharge/
吹っきれる [ふっきれる] /(v1,vi) to break through/to become unbound by/to ooze out/
吹っ掛ける [ふっかける] /(v1,vt) to blow upon/to provoke/to overcharge/
吹っ切れる [ふっきれる] /(v1,vi) to break through/to become unbound by/to ooze out/
吹っ飛ばす [ふっとばす] /(v5s) (1) to blow off something (strongly)/(2) to blow off one's worries/to brush away one's worries/(3) to accomplish a task very rapidly/(4) to drive (a car) at full speed/
吹っ飛ぶ [ふっとぶ] /(v5b,vi) to blow off/to be blown off/
吹革 [ふいご] /(n) (uk) (pair of) bellows/
吹掛ける [ふきかける] /(v1,vt) (1) to blow upon/to breathe on/to spray/(2) to pick (a fight)/to force (unreasonable terms)/(3) to exaggerate/to overcharge/
吹管 [すいかん] /(n) blowpipe/
吹貫 [ふきぬき] /(n) streamer/pennant/
吹貫き [ふきぬき] /(n) streamer/pennant/
吹挙 [すいきょ] /(n,vs) recommendation or nomination for a post/
吹荒れる [ふきあれる] /(v1,vi) to blow violently/to sweep over/to devastate/
吹込み [ふきこみ] /(n) (1) blowing in/(2) recording/
吹込む [ふきこむ] /(v5m,vi,vt) (1) to blow into/to breathe into/(v5m,vt) (2) to inspire/to indoctrinate/(3) to record (music, video, etc.)/
吹散らす [ふきちらす] /(v5s,vt) (1) to scatter/to blow about/(2) (arch) to spread a rumor/to talk around/
吹子 [ふいご] /(n) (uk) (pair of) bellows/
吹出す [ふきだす] /(v5s,vi) (1) to spout out/to spurt out/to gush out/to jet out/(2) to sprout/to bud/(3) to burst into laughter/(4) to blow (smoke, etc.)/(5) to send out shoots (of a tree)/
吹出る [ふきでる] /(v1,vi) to blow out/to spout out/
吹出物 [ふきでもの] /(n) pimple/acne/boil/
吹上げ [ふきあげ] /(n) (1) place exposed to winds which blow up from below (usu. a beach)/beach exposed to sea winds/(2) fountain/
吹針 [ふきばり] /(n) Ninja spitting needles/
吹雪 [ふぶき] /(n) snow storm/blizzard/(P)/
吹雪く [ふぶく] /(v5k,vi) to blow snow violently/
吹禅 [すいぜん] /(n) (obsc) Zen blowing meditation (performed with shakuhachi)/
吹奏 [すいそう] /(n,vs) playing wind instruments/
吹奏楽 [すいそうがく] /(n) wind (instrument) music/
吹奏楽器 [すいそうがっき] /(n) wind instrument/
吹奏楽団 [すいそうがくだん] /(n) wind instrument orchestra/wind band/brass band/
吹奏者 [すいそうしゃ] /(n) player of a wind instrument/
吹替 [ふきかえ] /(n,vs) dubbing/stand-in/dummy/
吹替え [ふきかえ] /(n,vs) dubbing/stand-in/dummy/
吹替える [ふきかえる] /(v1,vt) (1) to dub/(2) to remint/
吹替え版 [ふきかえばん] /(n) dubbed version/
吹替版 [ふきかえばん] /(n) dubbed version/
吹聴 [ふいちょう] /(n,vs) making public/announcing/spreading a rumor/spreading a rumour/
吹通し [ふきとおし] /(n) (1) blowing through/ventilation/draft/(2) blowing relentlessly/(3) blowing hot air/exaggerating/boasting/
吹通し [ふきどおし] /(n) (1) blowing relentlessly/(2) blowing hot air/exaggerating/boasting/
吹渡る [ふきわたる] /(v5r,vi) to blow across/
吹抜け [ふきぬけ] /(n) (1) atrium/well (in building)/vault/(n,adj-f) (2) blow-by/blow-bye/blowout/(adj-no) (3) drafty/draughty/
吹飛ばす [ふきとばす] /(v5s,vt) (1) to blow away/to blow off/to blow up/(2) to dispel/to drive away/(3) to talk big/
吹飛ぶ [ふきとぶ] /(v5b,vi) (1) to be blown off/to blow off/to blow away/(2) to vanish/to disappear/
吹付ける [ふきつける] /(v1,vt) to blow against/to spray (paint, etc.) (onto a surface)/
吹物 [ふきもの] /(n) wind instrument (esp. in gagaku)/
吹変える [ふきかえる] /(v1,vt) (1) to dub/(2) to remint/
吹鳴 [すいめい] /(n,vs) blowing (a whistle)/
吹矢 [ふきや] /(n) blowgun/blowpipe/dart/
吹螺 [ほらがい] /(n) (uk) conch (Charonia tritonis)/trumpet shell/
吹流し [ふきながし] /(n) streamer/pennant/
吹流す [ふきながす] /(v5s,vt) to blow along (in the wind)/to set adrift/
垂 [しで] /(n) (1) zigzag-shaped paper streamer often used to adorn Shinto-related objects/(2) hornbeam (deciduous tree in the birch family)/
垂し髪 [すべしがみ] /(n) hair tied behind and hanging down/long flowing hair/
垂らし込む [たらしこむ] /(v5m) to drop into, drop-by-drop/
垂らす [たらす] /(v5s,vt) (1) to dribble/to spill/(2) to suspend/to hang down/to slouch/to dangle/(P)/
垂り尾 [しだりお] /(n) drooping tail/
垂り穂 [たりほ] /(n) drooping ears (of grain)/
垂れ [しだれ] /(n,adj-f) weeping form (e.g. tree)/
垂れ [たれ] /(n) (1) hanging/something hanging (i.e. a flap, lappet, etc.)/(2) (uk) sauce for dipping, etc. made from soy sauce, mirin, vinegar and dashi/(3) (in kendo) loin guard/(4) kanji radical enclosing the top-left corner of a character/(n-suf) (5) (derog) -ass (used after a noun or na-adjective indicating someone's nature)/-head/(P)/
垂れこめる [たれこめる] /(v1,vi) (1) (uk) to hang low over (e.g. clouds)/(2) (arch) to seclude oneself (behind screens, curtain, etc.)/
垂れる [しだれる] /(v1,vi) to droop/to hang down/to weep/
垂れる [たれる] /(v1,vi) (1) to hang/to droop/to dangle/to sag/to lower/to pull down/(2) to leave behind (at death)/to give/to confer/(3) to drip/to ooze/to trickle/to drop/(P)/
垂れ下がる [たれさがる] /(v5r,vi) to hang/to dangle/
垂れ下げる [たれさげる] /(v1,vt) to hang (a curtain)/to droop (a tail)/to lower (a blind)/
垂れ絹 [たれぎぬ] /(n) (uk) hanging silk/curtain/tapestry/veil/
垂れ込み [たれこみ] /(n) tip-off/squealing (to authorities)/
垂れ込む [たれこむ] /(v5m) to inform on someone/to squeal (to the police)/
垂れ込め [たれこめ] /(exp) hanging down/
垂れ込める [たれこめる] /(v1,vi) (1) (uk) to hang low over (e.g. clouds)/(2) (arch) to seclude oneself (behind screens, curtain, etc.)/
垂れ耳 [たれみみ] /(n) lop-eared/
垂れ飾り [たれかざり] /(n) pendant/
垂れ桃 [しだれもも] /(n) weeping peach (Prunus persica var. pendula)/
垂れ梅 [しだれうめ] /(n) weeping plum (Prunus mume f. pendula)/weeping Japanese apricot/
垂れ髪 [たれがみ] /(n) hair tied behind and hanging down/long flowing hair/
垂れ彼岸 [しだれひがん] /(n) weeping cherry/
垂れ布 [たれぬの] /(n) (arch) hanging curtain used in place of a wall (Heian period)/
垂れ壁 [たれかべ] /(n) hanging partition wall (e.g. against smoke)/
垂れ幕 [たれまく] /(n) hanging screen/curtain/(P)/
垂れ目 [たれめ] /(n) drooping eyes/
垂れ流し [たれながし] /(n,vs) (1) incontinence/soiling one's pants/(2) discharge (e.g. of contaminants)/
垂れ流す [たれながす] /(v5s) to discharge (e.g. effluent)/
垂れ篭める [たれこめる] /(v1,vi) (1) (uk) to hang low over (e.g. clouds)/(2) (arch) to seclude oneself (behind screens, curtain, etc.)/
垂れ籠める [たれこめる] /(v1,vi) (1) (uk) to hang low over (e.g. clouds)/(2) (arch) to seclude oneself (behind screens, curtain, etc.)/
垂れ纓 [たれえい] /(n) hanging tail (of a traditional Japanese hat)/drooping tail/
垂んとす [なりなんとす] /(exp) (arch) to close in on (30 years of age, etc.)/to approach/to get close to/
垂んとす [なんなんとす] /(exp) (arch) to close in on (30 years of age, etc.)/to approach/to get close to/
垂んとする [なんなんとする] /(vs-s,vi) (uk) to close in on (30 years of age, etc.)/to approach/to get close to/
垂下 [すいか] /(n,vs,adj-no) being pendent/hanging down/
垂加神道 [しでますしんとう] /(n) Suika Shinto (fusion of Shinto with Chinese elements, esp. neo-Confucianism)/Shidemasu Shinto/
垂加神道 [すいかしんとう] /(n) Suika Shinto (fusion of Shinto with Chinese elements, esp. neo-Confucianism)/Shidemasu Shinto/
垂教 [すいきょう] /(n,vs) information/instruction/
垂訓 [すいくん] /(n) instruction/
垂死 [すいし] /(n) on the verge of dying/
垂示 [すいし] /(n) instruction/
垂耳 [たれみみ] /(n) lop-eared/
垂準 [すいじゅん] /(n) plummet/plumb line/
垂心 [すいしん] /(n) orthocenter/orthocentre/
垂水 [たるみ] /(n) (arch) waterfall/
垂線 [すいせん] /(n) perpendicular line/
垂線の足 [すいせんのあし] /(n) foot of a perpendicular line/
垂直 [すいちょく] /(adj-na,n,adj-no) vertical/perpendicular/(P)/
垂直タブ [すいちょくタブ] /(n) vertical tabulation/VT/
垂直パリティ [すいちょくパリティ] /(n) (comp) lateral parity/
垂直パリティチェック [すいちょくパリティチェック] /(n) (comp) VRC/Vertical Redundancy Check/
垂直圏 [すいちょくけん] /(n) vertical circle/
垂直思考 [すいちょくしこう] /(n) rigid (stereotypical) thinking that adheres to preconceived notions/
垂直磁気記録 [すいちょくじききろく] /(n) (comp) perpendicular magnetic recording/vertical magnetic recording/
垂直冗長検査 [すいちょくじょうちょうけんさ] /(n) (comp) Vertical Redundancy Check/VRC/
垂直線 [すいちょくせん] /(n) perpendicular line/vertical line/
垂直走査周波数 [すいちょくそうさしゅうはすう] /(n) (comp) vertical scan frequency/
垂直統合 [すいちょくとうごう] /(n) vertical integration/vertical merger/
垂直同期信号 [すいちょくどうきしんごう] /(n) (comp) vertical synchronizing signal/VSYNC/
垂直分業 [すいちょくぶんぎょう] /(n) vertical international specialization (specialisation)/
垂直分布 [すいちょくぶんぷ] /(n) perpendicular distribution/vertical distribution/
垂直方向書式送り [すいちょくほうこうしょしきおくり] /(n) (comp) vertical tabulation/VT/
垂直離着陸 [すいちょくりちゃくりく] /(n) vertical take off and landing/VTOL/
垂乳根 [たらちね] /(n) mother/father/parent/
垂乳女 [たらちめ] /(n) (arch) mother/
垂髪 [すべしがみ] /(n) hair tied behind and hanging down/long flowing hair/
垂髪 [すべらかし] /(n) hair tied behind and hanging down/long flowing hair/
垂髪 [たれがみ] /(n) hair tied behind and hanging down/long flowing hair/
垂範 [すいはん] /(n,vs) setting an example/
垂幕 [たれまく] /(n) hanging screen/curtain/
垂木 [たるき] /(n) rafter/
垂楊 [すいよう] /(n) weeping willow/
垂領 [ひたたれ] /(n) typical dress of the military class, usually worn together with a hakama/
垂涎 [すいえん] /(n,vs) watering at the mouth/covetousness/
垂涎 [すいせん] /(ok) (n,vs) watering at the mouth/covetousness/
垂涎 [すいぜん] /(n,vs) watering at the mouth/covetousness/
垂涎三尺 [すいぜんさんじゃく] /(n) avid desire/drooling over (something)/watering at the mouth/
垂纓 [すいえい] /(n) hanging tail (of a traditional Japanese hat)/drooping tail/
垂纓 [たれえい] /(n) hanging tail (of a traditional Japanese hat)/drooping tail/
垂迹 [すいしゃく] /(n) (Buddh) temporary manifestation by a buddha (in order to save people)/manifested form (often a Shinto deity)/
垂迹 [すいじゃく] /(n) (Buddh) temporary manifestation by a buddha (in order to save people)/manifested form (often a Shinto deity)/
帥 [そち] /(n) director of the Dazaifu/
帥 [そつ] /(n) director of the Dazaifu/
帥先 [そっせん] /(n,vs) taking the initiative/
推して [おして] /(exp) by conjecture (deduction)/
推して知るべし [おしてしるべし] /(exp) can be easily guessed/
推し計る [おしはかる] /(v5r,vt) to guess/to conjecture/to surmise/
推し進める [おしすすめる] /(v1,vt) to press forward/
推し測る [おしはかる] /(v5r,vt) to guess/to conjecture/to surmise/
推し立てる [おしたてる] /(v1,vt) (1) to set up/to raise/(2) to nominate/to choose as a representative/(3) to push/to shove/
推し量る [おしはかる] /(v5r,vt) to guess/to conjecture/to surmise/
推す [おす] /(v5s,vt) to infer/to conclude/to support/(P)/
推移 [すいい] /(n,vs) transition/change/(P)/
推移図 [すいいず] /(n) transition diagram/trend diagram/
推移的 [すいいてき] /(adj-na) transitive/
推挙 [すいきょ] /(n,vs) recommendation/
推挙式 [すいきょしき] /(n) first ring-entering ceremony of the newly promoted grand champion, performed at Meiji shrine/
推計 [すいけい] /(n,vs) estimate/estimation/(P)/
推計学 [すいけいがく] /(n) stochastics/
推古時代 [すいこじだい] /(n) Suiko period (i.e. the Asuka period, esp. under the reign of Empress Suiko, approx. 592-628 CE)/
推考 [すいこう] /(n,vs) surmising/speculation/
推察 [すいさつ] /(n,vs) guess/conjecture/surmise/
推参 [すいさん] /(adj-na,n) paying an unannounced visit/rudeness/
推算 [すいさん] /(n,vs) estimation/
推奨 [すいしょう] /(n,vs) recommendation/endorsement/(P)/
推奨栄養所要量 [すいしょうえいようしょようりょう] /(n) recommended dietary allowance/RDA/
推奨株 [すいしょうかぶ] /(n) recommended stock/
推奨環境 [すいしょうかんきょう] /(n) (comp) system requirements (i.e. recommended hardware and software to run a package)/(P)/
推奨動作環境 [すいしょうどうさかんきょう] /(n) (comp) recommended system requirements (software)/
推奨文献目録 [すいしょうぶんけんもくろく] /(n) selected bibliography/
推奨銘柄リスト [すいしょうめいがらリスト] /(n) recommended list/
推奨量 [すいしょうりょう] /(n) (abbr) recommended dietary allowance/RDA/
推称 [すいしょう] /(n,vs) admiration/praise/
推賞 [すいしょう] /(n,vs) admiration/praise/
推進 [すいしん] /(n,vs) (1) propulsion/driving force/(2) implementation/promotion (e.g. of a government policy)/(P)/
推進器 [すいしんき] /(n) propeller/
推進機 [すいしんき] /(n) propeller/
推進剤 [すいしんざい] /(n) propellant/
推進者 [すいしんしゃ] /(n) promoter/instigator/driving force/pioneer/leader/
推進母体 [すいしんぼたい] /(n) nucleus (of a project proposal, of a social movement, etc.)/
推進力 [すいしんりょく] /(n) propulsive power/driving force/
推薦 [すいせん] /(n,vs,adj-no) recommendation/referral/endorsement/(P)/
推薦者 [すいせんしゃ] /(n) referee/
推薦書 [すいせんしょ] /(n) recommendation/nomination/
推薦状 [すいせんじょう] /(n) letter of invitation/letter of recommendation/reference/
推薦図書 [すいせんとしょ] /(n) recommended books/recommended reading/
推測 [すいそく] /(n,vs,adj-no) guess/conjecture/(P)/
推測る [おしはかる] /(v5r,vt) to guess/to conjecture/to surmise/
推戴 [すいたい] /(n,vs) (being) presided over by/
推断 [すいだん] /(n,vs,adj-no) inference/deduction/
推知 [すいち] /(n,vs) a conjecture/
推定 [すいてい] /(n,vs,adj-no) (1) presumption/assumption/(2) estimation/(P)/
推定データ [すいていデータ] /(n) (comp) estimated data/
推定相続人 [すいていそうぞくにん] /(n) heir(s) presumptive/
推定値 [すいていち] /(n) (comp) estimated value/
推定年齢 [すいていねんれい] /(n) estimated (probable) age (e.g. of victim)/
推認 [すいにん] /(n,vs) presumption/inference/
推服 [すいふく] /(n,vs) admiration/
推薬 [すいやく] /(n) propellant/
推理 [すいり] /(n,vs,adj-no) reasoning/inference/mystery or detective genre (movie, novel, etc.)/(P)/
推理式 [すいりしき] /(n) (obsc) syllogism/
推理小説 [すいりしょうせつ] /(n) mystery or detective novel/(P)/
推理力 [すいりりょく] /(n) deductive powers/reasoning capability/reasoning skill/
推量 [すいりょう] /(n,vs) guess/(P)/
推量る [おしはかる] /(v5r,vt) to guess/to conjecture/to surmise/
推力 [すいりょく] /(n) thrust/driving force/propulsion/
推力軸受 [すいりょくじくうけ] /(n) thrust bearing/thrust block/
推論 [すいろん] /(n,vs,adj-no) inference/deduction/induction/reasoning/(P)/
推論エンジン [すいろんエンジン] /(n) (comp) inference engine/
推論式 [すいろんしき] /(n) (obsc) syllogism/
推敲 [すいこう] /(n,vs) (1) revision (manuscript)/elaboration on/(2) polish/improvement/(P)/
水 [すい] /(n) (1) (abbr) Wednesday/(2) shaved ice (served with flavored syrup)/(3) water (fifth of the five elements)/
水 [みず] /(n) (1) water (esp. cool, fresh water, e.g. drinking water)/(2) fluid (esp. in an animal tissue)/liquid/(3) flood/floodwaters/(4) water offered to sumo wrestlers just prior to a bout/(5) break granted to sumo wrestlers engaged in a prolonged bout/(P)/
水々しい [みずみずしい] /(adj-i) (1) young (and lustrous)/fresh/juicy/(2) lively/vivacious/animated/vibrant/
水あげ [みずあげ] /(n,vs) (1) landing/unloading (e.g. a ship)/(n) (2) catch (of fish)/takings/(3) sales (of a shop)/(n,vs) (4) defloration (e.g. of a geisha)/(5) preservation (of cut flowers, in ikebana)/
水あたり [みずあたり] /(n) water poisoning/
水あめ [みずあめ] /(n) starch syrup/
水いらず [みずいらず] /(n,adj-no) (being) by oneself/with no outsiders present/
水いらずで [みずいらずで] /(exp) privately/with outsiders barred/en famille/
水かけ論 [みずかけろん] /(n) endless argument/pointless argument/
水かさ [みずかさ] /(n) volume of water/
水がかかる [みずがかかる] /(v5r) to pour water on/to irrigate/
水がめ [みずがめ] /(n) water jug/
水ぎわ [みずぎわ] /(n) beach/water's edge/
水げんか [みずげんか] /(n) dispute over the distribution of water into paddies during the summer (in rural areas)/
水こし [みずこし] /(n) water filter/strainer/colander/
水こぼし [みずこぼし] /(n) waste-water container (tea ceremony)/slop jar/slop basin/
水しぶき [みずしぶき] /(n) sheet of spray/
水すまし [みずすまし] /(n) (1) (uk) whirligig beetle (any insect of family Gyrinidae, esp. the Japanese whirligig beetle, Gyrinus japonicus)/(2) pond skater/water strider/
水たまり [みずたまり] /(n) puddle/pool of water/
水だしコーヒー [みずだしコーヒー] /(n) cold-brew coffee/
水っぽい [みずっぽい] /(adj-i) (1) watery/soggy/(2) racy/titillating/sexy/suggestive/
水で薄める [みずでうすめる] /(v1) to water down/to dilute with water/
水と油 [みずとあぶら] /(exp) incompatible/(going together) like oil and water/
水なす [みずなす] /(n) (1) var. of eggplant (Solanum melongena) which can be eaten raw/(2) pickled (in rice bran or vinegar) (whole) eggplant/
水に浮かぶ泡 [みずにうかぶあわ] /(n) bubbles on the water/
水に流す [みずにながす] /(exp,v5s) to forgive and forget/to let bygones be bygones/to sweep under the carpet/to wipe the slate clean/
水の性 [みずのせい] /(n) properties of water/
水の低きに就くが如し [みずのひくきにつくがごとし] /(exp) (id) Water seeks its own level/
水の道 [みずのみち] /(exp,n) water way/
水の泡 [みずのあわ] /(exp) coming to nothing/
水の面 [みずのおも] /(n) surface of the water/face of the water/
水の面 [みずのおもて] /(n) surface of the water/face of the water/
水の餅 [みずのもち] /(n) mochi offered when drawing the first water of the year/
水の流れと人の行方 [みずのながれとひとのゆくえ] /(exp) (id) Life is an unknown course/
水は低きに流る [みずはひくきにながる] /(exp) (id) Water seeks its own level/
水ぶくれ [みずぶくれ] /(n) blister/bubble (e.g. financial)/bloat/
水ほう [すいほう] /(n,adj-no) blister/
水まき [みずまき] /(n,vs) watering/sprinkling/
水もしたたる [みずもしたたる] /(exp,v5r) splendidly handsome/
水も滴る [みずもしたたる] /(exp,v5r) splendidly handsome/
水やり [みずやり] /(n) watering (plants)/
水をあける [みずをあける] /(exp,v1) to open up a big lead (over one's opponent)/
水をかける [みずをかける] /(exp,v1) (1) to sprinkle water on (something)/to spray water on/to splash water on/to squirt water on/(2) to hinder/to hamper/to stifle/to throw cold water on/
水をさす [みずをさす] /(exp,v5s) to estrange people/to pour water (into)/to throw cold water (on something)/
水をやる [みずをやる] /(exp,v5r) to water (a plant, a flower etc.)/
水を引く [みずをひく] /(exp,v5k) to draw water (e.g. from a river)/to lead water to (e.g. a field, a pond)/to supply water to/to irrigate/
水を掛ける [みずをかける] /(exp,v1) (1) to sprinkle water on (something)/to spray water on/to splash water on/to squirt water on/(2) to hinder/to hamper/to stifle/to throw cold water on/
水を遣る [みずをやる] /(exp,v5r) to water (a plant, a flower etc.)/
水を向ける [みずをむける] /(exp,v1) (1) taking a stab at arousing someone's interest/(2) (of a shrine maiden) presenting water to spirits while invoking them/(3) offering water before a grave/
水を差す [みずをさす] /(exp,v5s) to estrange people/to pour water (into)/to throw cold water (on something)/
水を打ったよう [みずをうったよう] /(exp,adj-na) (suddenly) quiet/
水を注す [みずをさす] /(exp,v5s) to estrange people/to pour water (into)/to throw cold water (on something)/
水を通さない [みずをとおさない] /(adj-i) impervious to water/
水を得た魚 [みずをえたうお] /(exp) in one's element/
水を飛ばす [みずをとばす] /(exp,v5s) to splash water/
水を満たす [みずをみたす] /(exp,v5s) to fill (a glass) with water/
水アル [すいアル] /(n) (abbr) aluminium hydrate/aluminum hydrate/
水ガラス [みずガラス] /(n) water glass (sodium or potassium silicate solution)/soluble glass/
水チャネル [みずチャネル] /(n) aquaporin/
水葵 [みずあおい] /(n) (uk) Monochoria korsakowii (species of flowering plant)/
水圧 [すいあつ] /(n,adj-no) water (hydraulic) pressure/
水圧機 [すいあつき] /(n) hydraulic machine/
水圧計 [すいあつけい] /(n) water-pressure gauge/
水虻 [みずあぶ] /(n) (uk) soldier fly (any fly of family Stratiomyidae, esp. species Stratiomys japonica)/
水飴 [みずあめ] /(n) starch syrup/
水位 [すいい] /(n) water level/(P)/
水位計 [すいいけい] /(n) water gauge/
水位標 [すいいひょう] /(n) watermark/
水域 [すいいき] /(n) waters/water area/(P)/
水稲 [すいとう] /(n) wet-land rice/(P)/
水引 [みずひき] /(n) (1) decorative Japanese cord made from twisted paper/(2) Antenoron filiforme/Polygonum filiforme/
水引幕 [みずひきまく] /(n) purple curtain on the hanging roof above the sumo ring/
水飲み [みずのみ] /(n) (1) drinking water/drinking glass/glass/(2) (abbr) peasant/
水飲み場 [みずのみば] /(n) drinking fountain/water fountain/
水飲み百姓 [みずのみびゃくしょう] /(n) poor peasant or farmer/
水烏賊 [みずいか] /(n) (uk) bigfin reef squid/oval squid (Sepioteuthis lessoniana)/
水瓜 [すいか] /(n) watermelon/
水運 [すいうん] /(n) water transportation/
水雲 [もずく] /(n) (uk) mozuku (Cladosiphon okamuranus and Sphaerotrichia divaricata, types of edible seaweed)/
水泳 [すいえい] /(n,vs,adj-no) swimming/(P)/
水泳パンツ [すいえいパンツ] /(n) bathing suit (men's)/
水泳プール [すいえいプール] /(n) swimming pool/swim pool/
水泳競技 [すいえいきょうぎ] /(n) (a) swimming contest/
水泳者 [すいえいしゃ] /(n) swimmer/
水泳大会 [すいえいたいかい] /(n) a swim meet/
水泳着 [すいえいぎ] /(n) bathing suit/swimsuit/
水泳帽 [すいえいぼう] /(n) swimming or bathing cap/
水煙 [すいえん] /(n) (1) mist over a body of water/spray/(2) suien (four decorative metal plates joined at right angles forming part of a pagoda finial)/
水煙 [みずけむり] /(n) (1) mist over a body of water/spray/
水鴎流 [すいおうりゅう] /(n) old sword fighting/sword drawing style or school from Shizuoka prefecture/
水屋 [みずや] /(n) purificatory font at shrines and temples/room adjacent to a tea ceremony room, where utensils are washed/vendor of drinking water/cupboard/
水桶 [みずおけ] /(n) (water) pail (bucket)/cistern/water tank/
水温 [すいおん] /(n) water temperature/(P)/
水温む [みずぬるむ] /(exp) warming of water (in spring)/
水音 [みずおと] /(n) sound of water/
水化 [すいか] /(n,vs) hydration/
水化物 [すいかぶつ] /(n) hydrate/
水加減 [みずかげん] /(n) amount of water/
水火 [すいか] /(n) fire and water/
水禍 [すいか] /(n) flood disaster/drowning/
水茄子 [みずなす] /(n) (1) var. of eggplant (Solanum melongena) which can be eaten raw/(2) pickled (in rice bran or vinegar) (whole) eggplant/
水菓子 [みずがし] /(n) (1) jelly dessert/(2) fruit/
水回り [みずまわり] /(n) part of a building where water is circulated (kitchen, bathroom, etc.)/wet area/
水廻り [みずまわり] /(n) part of a building where water is circulated (kitchen, bathroom, etc.)/wet area/
水貝 [みずがい] /(n) sliced abalone served in cold water/
水害 [すいがい] /(n) water damage/flood disaster/(P)/
水害対策 [すいがいたいさく] /(n) flood control measures/
水害地 [すいがいち] /(n) flood-damaged area/area subject to flooding/
水害地域 [すいがいちいき] /(n) flood-stricken region/flood-stricken area/
水涯 [すいがい] /(n) waters edge/
水掛け論 [みずかけろん] /(n) endless argument/pointless argument/
水割り [みずわり] /(n) (1) alcohol (usu. whiskey or shochu) diluted with water/(adj-no) (2) watered/(P)/
水滑り台 [みずすべりだい] /(n) water-slide/
水干 [すいかん] /(n) (1) everyday garment worn by nobles in ancient Japan/(2) silk dried after having been washed in plain water and stretched out/
水管 [すいかん] /(n,adj-no) water pipe/
水癌 [すいがん] /(n) noma/gangrenous stomatitis/cancrum oris/
水機関 [みずからくり] /(n) puppet powered by (falling) water/water-powered contrivance/show using such a device (in Edo-period Osaka)/
水気 [すいき] /(n) (1) moisture/dampness/vapor/vapour/(2) dropsy/edema/oedema/
水気 [みずけ] /(n) (1) moisture/dampness/vapor/vapour/(P)/
水飢饉 [みずききん] /(n) drought/water shortage/
水汲み [みずくみ] /(n,vs) drawing water/
水球 [すいきゅう] /(n) water polo/
水牛 [すいぎゅう] /(n) water buffalo/(P)/
水魚 [すいぎょ] /(exp) water and fish/
水魚 [みずうお] /(n) (uk) long snouted lancetfish (Alepisaurus ferox)/
水魚の交わり [すいぎょのまじわり] /(n) close friendship/intimate friendship/
水狂言 [みずきょうげん] /(n) (arch) theatre that uses water for tricks, etc.(during hot weather)/
水郷 [すいごう] /(n) beautiful riverside location/
水鏡 [みずかがみ] /(n) reflective water surface/reflecting water/
水玉 [みずたま] /(n) polkadot/(P)/
水玉模様 [みずたまもよう] /(n,adj-no) polka dots/
水禽 [すいきん] /(n) waterfowl/aquatic bird/
水芹 [せり] /(n) (uk) Java water dropwort (Oenanthe javanica)/Japanese parsley/
水銀 [すいぎん] /(n,adj-no) mercury/(P)/
水銀温度計 [すいぎんおんどけい] /(n) mercury thermometer/
水銀気圧計 [すいぎんきあつけい] /(n) mercury barometer/
水銀剤 [すいぎんざい] /(n) mercurials (drugs containing mercury)/
水銀整流器 [すいぎんせいりゅうき] /(n) mercury arc valve/mercury vapor rectifier/
水銀中毒 [すいぎんちゅうどく] /(n) mercury poisoning/
水銀柱 [すいぎんちゅう] /(n) column of mercury/
水銀電池 [すいぎんでんち] /(n) mercury cell/
水銀灯 [すいぎんとう] /(n) mercury lamp/
水系 [すいけい] /(n) drainage system/(P)/
水茎 [みずぐき] /(n) writing brush/brush strokes/
水鶏 [くいな] /(n) (uk) rail (any bird of family Rallidae, esp. the water rail, Rallus aquaticus)/
水芸 [みずげい] /(n) tricks with water/
水撃 [すいげき] /(n) water hammer/
水喧嘩 [みずげんか] /(n) dispute over the distribution of water into paddies during the summer (in rural areas)/
水圏 [すいけん] /(n) hydrosphere/
水圏科学 [すいけんかがく] /(n) hydrospheric sciences/
水遣り [みずやり] /(n) watering (plants)/
水源 [すいげん] /(n) source of river/fountainhead/(P)/
水源地 [すいげんち] /(n) source (of a river, etc.)/
水虎の尾 [みずとらのお] /(n) Eusteralis yatabeana (species of plant in the mint family)/
水口 [みずぐち] /(n) a spout/(P)/
水垢 [みずあか] /(n) (mineralogical) fur/
水垢離 [みずごり] /(n) cold-water ablutions/
水攻め [みずぜめ] /(n,vs) inundating a castle/cutting off a castle's water supply/
水耕 [すいこう] /(n,adj-no) hydroponics/
水耕法 [すいこうほう] /(n) hydroponics/
水漉し [みずこし] /(n) water filter/strainer/colander/
水差 [みずさし] /(n) (1) pitcher/water jug/watering can/(2) container of fresh water for replenishing the kettle and rinsing bowls (tea ceremony)/
水差し [みずさし] /(n) (1) pitcher/water jug/watering can/(2) container of fresh water for replenishing the kettle and rinsing bowls (tea ceremony)/
水彩画 [すいさいが] /(n) watercolor painting/watercolour painting/(P)/
水彩画家 [すいさいがか] /(n) watercolorist/watercolourist/watercolor painter/watercolour painter/
水彩絵の具 [すいさいえのぐ] /(n) watercolors/watercolours/watercolor paint/watercolour paint/
水彩絵具 [すいさいえぐ] /(n) watercolors/watercolours/watercolor paint/watercolour paint/
水栽培 [みずさいばい] /(n) hydroponics/
水菜 [みずな] /(n) potherb mustard/
水際 [みずぎわ] /(n) beach/water's edge/(P)/
水際作戦 [みずぎわさくせん] /(n) shoreline protection or operations/
水際立つ [みずぎわだつ] /(v5t,vi) to be splendid/to be superb/
水捌け [みずはけ] /(n) drainage/
水撒き [みずまき] /(n,vs) watering/sprinkling/
水産 [すいさん] /(n) aquatic products/fisheries/(P)/
水産加工品 [すいさんかこうひん] /(n) processed marine products/
水産学 [すいさんがく] /(n) fisheries science/
水産業 [すいさんぎょう] /(n) fisheries industry/(P)/
水産試験所 [すいさんしけんじょ] /(n) experimental fishery station/
水産大学 [すいさんだいがく] /(n) fisheries college/
水産庁 [すいさんちょう] /(n) (Japanese) Fisheries Agency/(P)/
水産品 [すいさんひん] /(n) fishery products/
水産物 [すいさんぶつ] /(n) marine products/(P)/
水産養殖 [すいさんようしょく] /(n) aquaculture/
水酸化 [すいさんか] /(n,vs) hydration/
水酸化アルミニウム [すいさんかアルミニウム] /(n) aluminium hydroxide (aluminum)/
水酸化カリウム [すいさんかカリウム] /(n) potassium hydroxide (KOH)/
水酸化カルシウム [すいさんかカルシウム] /(n) calcium hydroxide (Ca(OH)2)/
水酸化ナトリウム [すいさんかナトリウム] /(n) sodium hydroxide/
水酸化バリウム [すいさんかバリウム] /(n) barium hydroxide/baryta/
水酸化物 [すいさんかぶつ] /(n) hydroxide/
水酸化物イオン [すいさんかぶつイオン] /(n) hydroxide ion/
水酸基 [すいさんき] /(n) hydroxyl group (radical)/
水酸根 [すいさんこん] /(n) hydroxyl radical/
水仕事 [みずしごと] /(n) scrubbing and washing/kitchen work/
水仕女 [みずしめ] /(n) female servant who works in the kitchen/
水子 [みずこ] /(n) (1) aborted, stillborn or miscarried foetus (fetus)/(2) (arch) newborn baby/
水子 [みずご] /(n) (1) aborted, stillborn or miscarried foetus (fetus)/(2) (arch) newborn baby/
水子供養 [みずごくよう] /(n) memorial service to appease an aborted foetus/
水子地蔵 [みずこじぞう] /(n) Ksitigarbha statue erected to help deliver miscarried and aborted fetuses to buddhahood (foetuses)/
水指 [みずさし] /(n) (1) pitcher/water jug/watering can/(2) container of fresh water for replenishing the kettle and rinsing bowls (tea ceremony)/
水指し [みずさし] /(n) (1) pitcher/water jug/watering can/(2) container of fresh water for replenishing the kettle and rinsing bowls (tea ceremony)/
水死 [すいし] /(n,vs) drowning/(P)/
水資源 [みずしげん] /(n) water resources/
水歯磨 [みずはみがき] /(n) (obsc) mouthwash/
水歯磨き [みずはみがき] /(n) (obsc) mouthwash/
水字貝 [すいじがい] /(n) (uk) spider conch (Lambis chiragra)/
水時計 [みずどけい] /(n) water clock/
水治療法 [すいちりょうほう] /(n,adj-no) hydrotherapy/
水質 [すいしつ] /(n) water quality/(P)/
水質汚染 [すいしつおせん] /(n) water pollution/
水質汚濁 [すいしつおだく] /(n) water pollution/
水質検査 [すいしつけんさ] /(n) water-quality test/
水縞 [すいこう] /(n) water stripe (e.g. dried on a dish after washing)/
水煮 [みずに] /(n,vs,adj-no) boil in water/
水車 [すいしゃ] /(n) water wheel/(P)/
水車小屋 [すいしゃごや] /(n) water mill/
水蛇座 [みずへびざ] /(n) (constellation) Hydrus/
水主 [すいしゅ] /(n) sailor/seaman/
水手 [かこ] /(n) sailor/seaman/
水手 [すいしゅ] /(n) sailor/seaman/
水腫 [すいしゅ] /(n,adj-no) dropsy/edema/oedema/
水臭い [みずくさい] /(adj-i) stand-offish/distant/not frank/reserved/watery/(P)/
水出しコーヒー [みずだしコーヒー] /(n) cold-brew coffee/
水準 [すいじゅん] /(n) (1) level/standard/(2) water level/(P)/
水準器 [すいじゅんき] /(n) leveling instrument/levelling instrument/level/
水準儀 [すいじゅんぎ] /(n) leveling instrument/levelling instrument/surveyor's level/
水準測量 [すいじゅんそくりょう] /(n) leveling/levelling/
水商売 [みずしょうばい] /(n) (1) chancy trade (business) with a high turnover rate and uncertain profitability/(2) the entertainment, eating, and drinking business/(3) the night entertainment (nightlife) business/
水晶 [すいしょう] /(n) crystal/(P)/
水晶の夜 [すいしょうのよる] /(n) Kristallnacht (night of concerted violence against Jews in Germany and Austria from November 9-10, 1938)/
水晶貝 [すいしょうがい] /(n) (uk) Strombus canarium turturella (subspecies of dog conch)/
水晶婚式 [すいしょうこんしき] /(n) crystal wedding (anniversary)/
水晶時計 [すいしょうどけい] /(n) crystal or quartz timepiece/
水晶体 [すいしょうたい] /(n) the crystalline lens (of the eye)/
水松 [すいしょう] /(n) (uk) Codium fragile (species of seaweed)/
水松 [みる] /(n) (uk) Codium fragile (species of seaweed)/
水松貝 [みるがい] /(n) (uk) Tresus keenae (species of trough shell)/
水松食 [みるくい] /(n) (uk) Tresus keenae (species of trough shell)/
水松食貝 [みるくいがい] /(n) (uk) Tresus keenae (species of trough shell)/
水章魚 [みずだこ] /(n) (uk) North Pacific giant octopus (Enteroctopus dofleini)/
水上 [すいじょう] /(n) aquatic/on the water/(P)/
水上 [みなかみ] /(n) headwaters/source/
水上スキー [すいじょうスキー] /(n) water skiing/
水上下 [みずかみしも] /(n) light blue samurai costume commonly worn when committing suicide/
水上機 [すいじょうき] /(n) hydroplane/seaplane/
水上競技 [すいじょうきょうぎ] /(n) water sports/
水上警察 [すいじょうけいさつ] /(n) Coast Guard/
水上原子力発電所 [すいじょうげんしりょくはつでんしょ] /(n) floating nuclear power station/
水上生活者 [すいじょうせいかつしゃ] /(n) person who lives on the water/
水上飛行機 [すいじょうひこうき] /(n) hydroplane/seaplane/
水蒸気 [すいじょうき] /(n) water vapour/water vapor/steam/(P)/
水蒸気透過率 [すいじょうきとうかりつ] /(n) moisture vapor transmission rate/moisture vapour transmission rate/MVTR/
水拭き [みずぶき] /(n,vs) wiping with a damp cloth/
水色 [みずいろ] /(n,adj-no) light blue/(P)/
水食 [すいしょく] /(n,vs) erosion/
水蝕 [すいしょく] /(n,vs) erosion/
水心 [すいしん] /(n) middle of a body of water (e.g. a lake, a river)/
水心 [みずごころ] /(n) (1) knowing how to swim/(2) returning a favor/
水心あれば魚心 [みずごころあればうおごころ] /(exp) (id) if you do a favor for somebody, you will get a return favor/if the water is kind to fish, the fish will be friendly toward water too/mutual back-scratching/
水浸し [みずびたし] /(n) flooded out/submersion/(P)/
水深 [すいしん] /(n) depth of water/(P)/
水深計 [すいしんけい] /(n) (underwater) depth gauge/
水神 [すいじん] /(n) a water god/
水水しい [みずみずしい] /(adj-i) (1) young (and lustrous)/fresh/juicy/(2) lively/vivacious/animated/vibrant/
水水母 [みずくらげ] /(n) aurelia (Aurelia aurita)/
水炊 [みずたき] /(n) cooked in water (e.g. fish)/
水炊き [みずたき] /(n) cooked in water (e.g. fish)/
水嵩 [みずかさ] /(n) volume of water/
水澄 [みずすまし] /(n) (1) (uk) whirligig beetle (any insect of family Gyrinidae, esp. the Japanese whirligig beetle, Gyrinus japonicus)/(2) pond skater/water strider/
水澄し [みずすまし] /(n) (1) (uk) whirligig beetle (any insect of family Gyrinidae, esp. the Japanese whirligig beetle, Gyrinus japonicus)/(2) pond skater/water strider/
水澄まし [みずすまし] /(n) (1) (uk) whirligig beetle (any insect of family Gyrinidae, esp. the Japanese whirligig beetle, Gyrinus japonicus)/(2) pond skater/water strider/
水勢 [すいせい] /(n) force of water (current, stream, jet, etc.)/
水性 [すいせい] /(adj-f) aqueous/water-based/
水性 [みずしょう] /(n) fluidity/wanton/
水性ペンキ [すいせいペンキ] /(n) water-based paint/emulsion/
水性塗料 [すいせいとりょう] /(n) water-based paint/emulsion/
水成岩 [すいせいがん] /(n) aqueous rock/
水星 [すいせい] /(n,adj-no) Mercury (planet)/(P)/
水棲 [すいせい] /(n,adj-no) aquatic (life)/living in the water/
水棲動物 [すいせいどうぶつ] /(n) aquatic animals/aquatic fauna/
水生 [すいせい] /(n,adj-no) aquatic (life)/living in the water/
水生昆虫 [すいせいこんちゅう] /(n) aquatic insect/
水生植物 [すいせいしょくぶつ] /(n) aquatic plant/
水生生物 [すいせいせいぶつ] /(n) aquatic life/water creatures/
水生動物 [すいせいどうぶつ] /(n) aquatic animals/aquatic fauna/
水盛り [みずもり] /(n) (using a) level/
水精 [すいしょう] /(n) crystal/
水石 [すいせき] /(n) viewing stone/
水責め [みずぜめ] /(n,vs) water torture/
水切り [みずきり] /(n,vs) (1) drainer/strainer/colander/(2) cutwater/forefoot/flashing/throating/(3) (playing) ducks and drakes/stone skipping/skipping rocks/(4) snipping the stem of a cut flower without raising it out of water/
水切りかご [みずきりかご] /(n) dish drainer/drainer tray/draining basket/perforated basket/
水切り籠 [みずきりかご] /(n) dish drainer/drainer tray/draining basket/perforated basket/
水仙 [すいせん] /(n) daffodil/narcissus/Narcissus tazetta var chinensis/(P)/
水先 [みずさき] /(n) direction of a current/course of a ship/
水先案内 [みずさきあんない] /(n) pilotage/pilot/
水栓 [すいせん] /(n) faucet/water tap/
水浅葱 [みずあさぎ] /(n) light light blue/pale blue/
水洗 [すいせん] /(n,vs) rinsing with water/flushing/(P)/
水洗い [みずあらい] /(n,vs) washing with water/
水洗トイレ [すいせんトイレ] /(n) flush toilet/
水洗便所 [すいせんべんじょ] /(n) flush toilet/
水線 [すいせん] /(n) waterline/
水船 [みずぶね] /(n) (1) water trough/track pan/cistern/water tank/(2) boat transporting water (esp. drinking water)/water boat/(3) waterlogged boat/(4) coffin/
水素 [すいそ] /(n) hydrogen/(P)/
水素ぜい化 [すいそぜいか] /(n) hydrogen embrittlement/
水素イオン [すいそイオン] /(n) hydrogen ion/
水素イオン濃度 [すいそイオンのうど] /(n) hydrogen ion concentration/
水素スタンド [すいそスタンド] /(n) hydrogen-filling station/
水素化 [すいそか] /(n,vs) hydrogenation/
水素化物 [すいそかぶつ] /(n) hydride/
水素結合 [すいそけつごう] /(n) hydrogen bond/
水素脆化 [すいそぜいか] /(n) hydrogen embrittlement/
水素添加 [すいそてんか] /(n,vs) hydrogenation/
水素電極 [すいそでんきょく] /(n) hydrogen electrode/
水素爆弾 [すいそばくだん] /(n) hydrogen bomb/
水素爆発 [すいそばくはつ] /(n) hydrogen explosion/
水掻き [みずかき] /(n) web(foot)/paddle/swimfin/(diving) fin/(diving) flipper/
水槽 [すいそう] /(n) water tank/cistern/fish tank/(P)/
水槽車 [すいそうしゃ] /(n) tank truck/tank car/
水争い [みずあらそい] /(n) dispute over water rights/dispute over the distribution of water into paddies during the summer (in rural areas)/
水草 [すいそう] /(n) water plant/
水草 [みずくさ] /(n) water plant/
水葬 [すいそう] /(n,vs) burial at sea/
水葬礼 [すいそうれい] /(n) burial at sea/
水葬礼 [みずそうれい] /(n) burial at sea/
水霜 [みずじも] /(n) (1) frozen dew (at the end of autumn)/(2) amniotic fluid/
水増し [みずまし] /(n,vs,adj-f) (1) dilution/watering down/(2) inflation (of budget, claim, etc.)/padding/(P)/
水増し株 [みずましかぶ] /(n) watered stock/
水増し資産 [みずまししさん] /(n) watered assets/
水増し資本 [みずまししほん] /(n) watered capital/
水増し予算 [みずましよさん] /(n) budget of padded (empty) figures/
水族館 [すいぞくかん] /(n) aquarium/(P)/
水苔 [みずごけ] /(n) (uk) sphagnum/peat moss/bog moss/
水大蜥蜴 [みずおおとかげ] /(n) (uk) water monitor (Varanus salvator, species of carnivorous monitor lizard common from Sri Lanka in the west to the Philippines in the east)/common water monitor/
水蛸 [みずだこ] /(n) (uk) North Pacific giant octopus (Enteroctopus dofleini)/
水蜘蛛 [みずぐも] /(n) (1) (uk) water spider (Argyroneta aquatica)/(2) ninja water-walking shoes/
水茶屋 [みずちゃや] /(n) (Edo-period) roadside teahouse where one would go to relax (in comparison with a restaurant style teahouse and teahouse offering sexual services)/tea stall/
水茶屋 [みずぢゃや] /(n) (Edo-period) roadside teahouse where one would go to relax (in comparison with a restaurant style teahouse and teahouse offering sexual services)/tea stall/
水着 [みずぎ] /(n) bathing suit/swimsuit/swimmers/(P)/
水中 [すいちゅう] /(n,adj-no) underwater/(P)/
水中り [みずあたり] /(n) water poisoning/
水中スクーター [すいちゅうスクーター] /(n) diver propulsion vehicle/DPV/underwater scooter/
水中スクーター・ダイブ [すいちゅうスクーター・ダイブ] /(n) dive on an underwater scooter/diver propulsion vehicle dive/
水中スクーターダイブ [すいちゅうスクーターダイブ] /(n) dive on an underwater scooter/diver propulsion vehicle dive/
水中ナチュラリスト・ダイブ [すいちゅうナチュラリスト・ダイブ] /(n) underwater naturalist dive/
水中ナチュラリストダイブ [すいちゅうナチュラリストダイブ] /(n) underwater naturalist dive/
水中ナビゲーション [すいちゅうナビゲーション] /(n) underwater navigation/
水中ビデオ [すいちゅうビデオ] /(n) underwater videography/
水中ビデオ・ダイブ [すいちゅうビデオ・ダイブ] /(n) underwater videography dive/
水中ビデオダイブ [すいちゅうビデオダイブ] /(n) underwater videography dive/
水中ライト [すいちゅうライト] /(n) underwater dive light/
水中花 [すいちゅうか] /(n) type of artificial flower which "blossoms" when placed in water/
水中眼鏡 [すいちゅうめがね] /(n) swimming goggles/
水中写真 [すいちゅうしゃしん] /(n) underwater photography/
水中写真ダイブ [すいちゅうしゃしんダイブ] /(n) underwater photography dive/
水中生物観察 [すいちゅうせいぶつかんさつ] /(n) aquatic life survey/
水中毒 [みずちゅうどく] /(n) water intoxication/
水中翼船 [すいちゅうよくせん] /(n) a hydrofoil/
水柱 [みずばしら] /(n) waterspout/
水虫 [みずむし] /(n) (1) athlete's foot/(2) (uk) water boatman (esp. species Hesperocorixa distanti)/(3) (uk) Asellus hilgendorfi (species of aquatic sowbug)/
水張り [みずばり] /(n) spreading a piece of wet washing or paper on a board/
水脹れ [みずぶくれ] /(n) blister/bubble (e.g. financial)/bloat/
水鳥 [すいちょう] /(n) waterfowl/water bird/shorebird/(P)/
水鳥 [みずとり] /(n) waterfowl/water bird/shorebird/
水鳥 [みずどり] /(n) waterfowl/water bird/shorebird/
水漬く [みずく] /(v5k,vi) (arch) to be soaked (in water)/to be drenched/
水漬く [みずつく] /(v5k,vi) (arch) to be soaked (in water)/to be drenched/
水漬く [みずづく] /(v5k,vi) (arch) to be soaked (in water)/to be drenched/
水漬く [みづく] /(v5k,vi) (arch) to be soaked (in water)/to be drenched/
水底 [すいてい] /(n) sea or river bottom/
水底 [みずそこ] /(n) sea or river bottom/
水底 [みずぞこ] /(n) sea or river bottom/
水底 [みなそこ] /(n) sea or river bottom/
水締め [みずしめ] /(n,adj-no) water-binding/compaction by watering/hydraulic filling/hydraulic tilling/
水締め [みずじめ] /(n,adj-no) water-binding/compaction by watering/hydraulic filling/hydraulic tilling/
水滴 [すいてき] /(n) drop of water/(P)/
水鉄砲 [みずでっぽう] /(n) water pistol/squirt gun/water gun/
水天彷彿 [すいてんほうふつ] /(n) view in the distant offing where the sea and skyline cannot be distinguished/
水天髣髴 [すいてんほうふつ] /(n) view in the distant offing where the sea and skyline cannot be distinguished/
水田 [すいでん] /(n) (water-filled) paddy field/(P)/
水当り [みずあたり] /(n) water poisoning/
水痘 [すいとう] /(n) chickenpox/chicken pox/
水筒 [すいとう] /(n) canteen/flask/water bottle/thermos/(P)/
水頭症 [すいとうしょう] /(n) hydrocephalus/
水道 [すいどう] /(n) water service/water supply/(P)/
水道の水 [すいどうのすい] /(n) tap-water/
水道の栓 [すいどうのせん] /(n) water spigot/tap/
水道屋 [すいどうや] /(n) plumber/
水道管 [すいどうかん] /(n) water pipe/
水道局 [すいどうきょく] /(n) water bureau or department/
水道工事 [すいどうこうじ] /(n) waterworks/
水道水 [すいどうすい] /(n) tap-water/(P)/
水道栓 [すいどうせん] /(n) hydrant/faucet/tap/
水道料 [すいどうりょう] /(n) water rates/
水道料金 [すいどうりょうきん] /(n) water rates (charges)/
水毒 [すいどく] /(n) water poisoning (in traditional Chinese medicine, illnesses caused by excessive water accumulation within the body)/
水遁 [すいとん] /(n) ninjutsu art of water-escape/
水遁の術 [すいとんのじゅつ] /(n) ninjutsu art of water-escape/
水呑み [みずのみ] /(n) (1) drinking water/drinking glass/glass/(2) (abbr) peasant/
水呑み百姓 [みずのみびゃくしょう] /(n) poor peasant or farmer/
水凪鳥 [みずなぎどり] /(n) (uk) petrel (esp. petrels of family Procellariidae)/
水薙鳥 [みずなぎどり] /(n) (uk) petrel (esp. petrels of family Procellariidae)/
水楢 [みずなら] /(n) Mongolian oak/quercus mongolica var. grosseserrata/
水難 [すいなん] /(n) drowning/flood/shipwreck/
水入らず [みずいらず] /(n,adj-no) (being) by oneself/with no outsiders present/(P)/
水入らずで [みずいらずで] /(exp) privately/with outsiders barred/en famille/
水入り [みずいり] /(n) break granted to sumo wrestlers engaged in a prolonged bout/
水入りの相撲 [みずいりのすもう] /(n) sumo match with a break/
水入り二番後撮り直し [みずいりにばんごとりなおし] /(n) rematch due to overlong (over 10 min) sumo bout/
水入れ [みずいれ] /(n) water vessel/
水葱 [なぎ] /(n) (arch) Monochoria korsakowii (species of flowering plant)/
水嚢 [すいのう] /(n) filter/water bag/
水芭蕉 [みずばしょう] /(n) Asian skunk cabbage (Lysichiton camtschatcense)/
水馬 [あめんぼ] /(n) (uk) pond skater (any insect of family Gerridae)/water strider/
水馬 [あめんぼう] /(n) (uk) pond skater (any insect of family Gerridae)/water strider/
水杯 [みずさかずき] /(n) farewell cups of water/
水盃 [みずさかずき] /(n) farewell cups of water/
水秤 [みずばかり] /(n) a water level/
水白粉 [みずおしろい] /(n) liquid face-whitening makeup/
水爆 [すいばく] /(n,adj-no) (abbr) hydrogen bomb/(P)/
水斑 [すいはん] /(n) water spot (e.g. dried on a dish after washing)/
水斑 [みずぶち] /(n) water spot (e.g. dried on a dish after washing)/
水飯 [すいはん] /(n) rice washed in cold water/dried rice soaked in water to soften/
水飯 [みずめし] /(n) rice washed in cold water/dried rice soaked in water to soften/
水盤 [すいばん] /(n) flower basin/
水肥 [すいひ] /(n) liquid manure/
水飛沫 [みずしぶき] /(n) sheet of spray/
水尾 [みお] /(n) (1) waterway/channel/(2) wake (of a ship)/
水瓶 [みずがめ] /(n) water jug/
水瓶座 [みずがめざ] /(n) (constellation) Aquarius/the Water Carrier/the Water Bearer/
水不足 [みずぶそく] /(n) water shortage/shortage of water supply/
水夫 [かこ] /(n) sailor/seaman/
水夫 [すいふ] /(n) sailor/seaman/
水腐れ [みずくされ] /(n) water rot (decay of crops due to excess water)/
水部 [みずのぶ] /(n) water radical/
水風船 [みずふうせん] /(n) water balloon/
水風呂 [すいふろ] /(n) bath using a bathtub heated from below/
水風呂 [みずぶろ] /(n) cold bath/
水腹 [みずばら] /(n) waterlogged stomach/allaying hunger with water/
水物 [みずもの] /(n) a liquid/a drink/fruit/matter of chance/
水分 [すいぶん] /(n) moisture/(P)/
水分補給 [すいぶんほきゅう] /(n) (1) hydration/rehydration/(vs) (2) to hydrate/to rehydrate/to moisturize/
水文 [すいもん] /(adj-f) hydrological/
水文学 [すいもんがく] /(n) hydrology/
水兵 [すいへい] /(n) (naval) sailor/
水兵服 [すいへいふく] /(n) sailor's suit/
水平 [すいへい] /(adj-na,adj-no) level/horizontality/(P)/
水平タブ [すいへいタブ] /(n) horizontal tabulation/HT/
水平ピッチ [すいへいピッチ] /(n) (comp) horizontal pitch/
水平ローディング [すいへいローディング] /(n) (comp) horizontal loading/
水平応力 [すいへいおうりょく] /(n) lateral stress/
水平距離 [すいへいきょり] /(n) horizontal distance/
水平思考 [すいへいしこう] /(n) lateral thinking/
水平磁気記録 [すいへいじききろく] /(n) (comp) longitudinal magnetic recording/
水平軸 [すいへいじく] /(n) horizontal axis/
水平社 [すいへいしゃ] /(n) (abbr) Burakumin rights organization formed in 1922/
水平情報検査 [すいへいじょうほうけんさ] /(n) (comp) Horizontal Redundancy Check/
水平線 [すいへいせん] /(n) horizon (related to sea or lakes)/(P)/
水平走査周波数 [すいへいそうさしゅうはすう] /(n) (comp) horizontal scanning frequency/
水平展開 [すいへいてんかい] /(n) (1) involvement of peer groups (Quality Assurance term)/(2) application to similar products/(3) grassroots (organization, development, movement)/
水平動 [すいへいどう] /(n) horizontal movement/
水平飛行 [すいへいひこう] /(n) level flight/
水平尾翼 [すいへいびよく] /(n) tailplane/horizontal stabilizer/horizontal stabiliser/
水平分布 [すいへいぶんぷ] /(n) horizontal distribution/
水平方向 [すいへいほうこう] /(n) (comp) horizontal direction/
水平方向奇偶検査 [すいへいほうこうきぐうけんさ] /(n) (comp) LRC/Longitudinal Redundancy Check/
水平面 [すいへいめん] /(n) horizontal plane/level surface/
水平翼 [すいへいよく] /(n) horizontal plane/
水辺 [すいへん] /(n) waterside/waterfront/(P)/
水辺 [みずべ] /(n) waterside/waterfront/
水母 [くらげ] /(gikun) (n) (1) (uk) jellyfish/(2) medusa/
水母 [すいぼ] /(n) (1) (uk) jellyfish/
水母の骨 [くらげのほね] /(exp) (obsc) something that one would not expect to exist (lit: jellyfish bones)/something exceedingly rare/
水泡 [すいほう] /(n) (1) foam/bubble/(2) nothing/(P)/
水泡 [みなわ] /(n) (1) foam/bubble/(2) nothing/
水泡に帰す [すいほうにきす] /(exp,v5s) to come to nothing/
水膨れ [みずぶくれ] /(n) blister/bubble (e.g. financial)/bloat/
水防 [すいぼう] /(n) flood prevention/
水墨 [すいぼく] /(n) (1) water and ink/(2) (abbr) ink painting/
水墨画 [すいぼくが] /(n) India-ink painting/(P)/
水墨山水 [すいぼくさんすい] /(n) landscape painting in black india ink/
水没 [すいぼつ] /(n,vs) submerge/
水没カメラ [すいぼつカメラ] /(n) underwater camera/
水翻し [みずこぼし] /(n) waste-water container (tea ceremony)/slop jar/slop basin/
水魔 [すいま] /(n) (1) disastrous flooding/(2) kelpie/water demon that brings floods or disasters/
水枕 [みずまくら] /(n) water-filled pillow/
水俣病 [みなまたびょう] /(n) Minamata disease/(P)/
水沫 [みなわ] /(n) (1) foam/bubble/(2) nothing/
水蜜 [すいみつ] /(n) white peach/
水蜜桃 [すいみつとう] /(n) white peach/
水脈 [すいみゃく] /(n) water vein/waterway/
水脈 [みお] /(n) (1) waterway/channel/(2) wake (of a ship)/
水脈占い [すいみゃくうらない] /(n) dowsing/water divining/
水無月 [みなつき] /(n-adv,n) (obs) sixth month of the lunar calendar/
水無月 [みなづき] /(n-adv,n) (obs) sixth month of the lunar calendar/
水無月祓 [みなづきばらえ] /(n) summer purification rites (held at shrines on the last day of the 6th lunar month)/
水明 [すいめい] /(n) light shimmering on water/
水明かり [みずあかり] /(n) faint reflection of light upon the water in the dark/
水明り [みずあかり] /(n) faint reflection of light upon the water in the dark/
水綿 [あおみどろ] /(n) spirogyra/algae forming pond scum/
水面 [すいめん] /(n) water's surface/(P)/
水面 [みなも] /(n) water's surface/
水面 [みのも] /(n) water's surface/
水面を掠める [すいめんをかすめる] /(exp,v1) to skim over the water/
水面下 [すいめんか] /(adj-no) underwater/
水木 [みずき] /(n) dogwood/swida controversa/cornus controversa/
水目 [みずめ] /(n) Japanese cherry birch/betula grossa/
水餅 [みずもち] /(n) mochi soaked in water (to protect against mold)/rice cakes preserved in water/
水紋学 [すいもんがく] /(n) hydrology/
水門 [すいもん] /(n) sluice gate/water gate/flood gate/
水薬 [すいやく] /(n) potion/liquid medicine/
水薬 [みずぐすり] /(n) potion/liquid medicine/
水油 [みずあぶら] /(n) hair oil/
水遊び [みずあそび] /(n,vs) playing in water/splashing about/
水揚げ [みずあげ] /(n,vs) (1) landing/unloading (e.g. a ship)/(n) (2) catch (of fish)/takings/(3) sales (of a shop)/(n,vs) (4) defloration (e.g. of a geisha)/(5) preservation (of cut flowers, in ikebana)/(P)/
水曜 [すいよう] /(n-adv,n) Wednesday/(P)/
水曜日 [すいようび] /(n-adv,n-t) Wednesday/(P)/
水様液 [すいようえき] /(n) (translucent) aqueous solution/
水溶液 [すいようえき] /(n) (translucent) aqueous solution/
水溶性 [すいようせい] /(n) water-soluble/(P)/
水羊羹 [みずようかん] /(n) soft sweet bean jelly or paste/
水羊羮 [みずようかん] /(n) soft sweet bean jelly or paste/
水浴 [すいよく] /(n,vs) a bath/bathing/
水浴び [みずあび] /(n,vs) bathing (swimming) in cold water/
水雷 [すいらい] /(n) (sea) mine/
水雷艇 [すいらいてい] /(n) torpedo boat/
水絡繰 [みずからくり] /(io) (n) puppet powered by (falling) water/water-powered contrivance/show using such a device (in Edo-period Osaka)/
水絡繰り [みずからくり] /(n) puppet powered by (falling) water/water-powered contrivance/show using such a device (in Edo-period Osaka)/
水落 [みずおち] /(n) (1) (uk) pit of the stomach/solar plexus/(2) place where water falls/
水落 [みぞおち] /(n) (1) (uk) pit of the stomach/solar plexus/(2) place where water falls/
水落ち [みずおち] /(n) (1) (uk) pit of the stomach/solar plexus/(2) place where water falls/
水落ち [みぞおち] /(n) (1) (uk) pit of the stomach/solar plexus/(2) place where water falls/
水利 [すいり] /(n) water supply/irrigation/water transportation/(P)/
水利権 [すいりけん] /(n) water rights/
水理 [すいり] /(n) hydraulic/hydrologic/
水理学 [すいりがく] /(n) hydraulics/
水陸 [すいりく] /(n) land and water/
水陸両用 [すいりくりょうよう] /(adj-no) amphibious/
水流 [すいりゅう] /(n) water current/
水流ポンプ [すいりゅうポンプ] /(n) aspirator/
水溜まり [みずたまり] /(n) puddle/pool of water/
水溜り [みずたまり] /(n) puddle/pool of water/
水量 [すいりょう] /(n) quantity or volume of water/(P)/
水量計 [すいりょうけい] /(n) water gauge/
水力 [すいりょく] /(n,adj-no) hydraulic power/water power/(P)/
水力学 [すいりきがく] /(n) hydraulics/
水力電気 [すいりょくでんき] /(n,adj-no) hydroelectricity/
水力発電 [すいりょくはつでん] /(n,adj-no) hydroelectric power generation/water-power generation/
水力発電所 [すいりょくはつでんしょ] /(n) hydroelectric plant or power station/
水冷 [すいれい] /(n,adj-no) water cooling/
水冷式 [すいれいしき] /(n,adj-no) water-cooled/
水練 [すいれん] /(n) swimming (practice, practise)/
水路 [すいろ] /(n) (1) waterway/canal/channel/(2) aqueduct/conduit/(P)/
水漏れ [みずもれ] /(n,vs) (water) leak/
水牢 [みずろう] /(n) (punishment by being placed in a) water-filled chamber/
水和 [すいわ] /(n,vs) hydration/
水和物 [すいわぶつ] /(n) hydrate/
水洟 [みずっぱな] /(n) runny nose/snivelling/sniveling/
水洟 [みずばな] /(n) runny nose/snivelling/sniveling/
水滸伝 [すいこでん] /(n) The Water Margin (classic of Chinese literature)/
水濾 [みずこし] /(n) water filter/strainer/colander/
水濾し [みずこし] /(n) water filter/strainer/colander/
水烟 [すいえん] /(n) (1) mist over a body of water/spray/(2) suien (four decorative metal plates joined at right angles forming part of a pagoda finial)/
水烟 [みずけむり] /(n) (1) mist over a body of water/spray/
水爬虫 [たがめ] /(n) (uk) Lethocerus deyrollei (species of giant water bug)/
水疱 [すいほう] /(n,adj-no) blister/
水疱瘡 [みずぼうそう] /(n) chickenpox/chicken pox/
水篶 [みすず] /(n) (uk) Sasamorpha borealis (species of bamboo grass unique to Japan)/
水蘚 [みずごけ] /(n) (uk) sphagnum/peat moss/bog moss/
水蟷螂 [みずかまきり] /(n) water stick/water scorpion/
水裃 [みずかみしも] /(n) light blue samurai costume commonly worn when committing suicide/
水餃子 [すいぎょうざ] /(n) boiled gyoza/
水鱶 [みずぶか] /(n) (uk) blue shark (Prionace glauca, species of circumglobal requiem shark)/
水黽 [あめんぼ] /(n) (uk) pond skater (any insect of family Gerridae)/water strider/
水黽 [あめんぼう] /(n) (uk) pond skater (any insect of family Gerridae)/water strider/
炊きたて [たきたて] /(adj-no) freshly cooked/
炊き合せ [たきあわせ] /(n) food (meat, fish, vegetables, etc.) cooked separately but served together on one dish/
炊き合わせ [たきあわせ] /(n) food (meat, fish, vegetables, etc.) cooked separately but served together on one dish/
炊き込み [たきこみ] /(n) (something) cooked with rice/
炊き込み御飯 [たきこみごはん] /(n) rice seasoned and cooked with various ingredients/
炊き込む [たきこむ] /(v5m,vt) to cook (something) with rice/
炊き出し [たきだし] /(n) emergency rice feeding/distribution of rice after an emergency/
炊き立て [たきたて] /(adj-no) freshly cooked/
炊く [たく] /(v5k,vt) to cook (esp. grain, pulses, etc., such as rice or beans)/to boil/(P)/
炊ぐ [かしぐ] /(v5g,vt) to cook (e.g. rice)/
炊ける [たける] /(v1,vi) to be boiled/to be cooked/to be done/to be ready/
炊たて [たきたて] /(adj-no) freshly cooked/
炊事 [すいじ] /(n,vs) cooking/culinary arts/(P)/
炊事場 [すいじば] /(n) kitchen/cookhouse/(ship's) galley/
炊出し [たきだし] /(n) emergency rice feeding/distribution of rice after an emergency/(P)/
炊飯 [すいはん] /(n) (1) rice cooking/(vs) (2) to cook rice/
炊飯器 [すいはんき] /(n) rice cooker/(P)/
炊夫 [すいふ] /(n) male cook/
炊婦 [すいふ] /(n) (female) cook/kitchen maid/
炊立て [たきたて] /(adj-no) freshly cooked/
炊爨 [すいさん] /(n,vs) cooking (rice)/
睡い [ねむい] /(adj-i) sleepy/drowsy/somnolent/
睡らす [ねむらす] /(v5s,vt) (1) to put to sleep/(2) (col) to kill/
睡らせる [ねむらせる] /(v1,vt) (1) to put to sleep/(2) (col) to kill/
睡る [ねぶる] /(ok) (v5r,vi) (1) to sleep (not necessarily lying down)/(2) (arch) to close one's eyes/
睡る [ねむる] /(v5r,vi) (1) to sleep (not necessarily lying down)/(2) to die/(3) (arch) to close one's eyes/
睡魔 [すいま] /(n) sleepiness/drowsiness/
睡眠 [すいみん] /(n,adj-no) sleep/(P)/
睡眠を妨げる [すいみんをさまたげる] /(exp,v1) to disturb one's sleep/
睡眠パターン [すいみんパターン] /(n) sleep pattern/
睡眠剤 [すいみんざい] /(n) sleeping tablet/
睡眠時間 [すいみんじかん] /(n) (one's) sleeping hours/hours of sleep/
睡眠時無呼吸症候群 [すいみんじむこきゅうしょうこうぐん] /(n) sleep apnea syndrome/SAS/
睡眠周期 [すいみんしゅうき] /(n) sleep cycle/
睡眠障害 [すいみんしょうがい] /(n) sleep disorder/
睡眠導入剤 [すいみんどうにゅうざい] /(n) sleep inducing drug/
睡眠発作 [すいみんほっさ] /(n) narcolepsy/
睡眠不足 [すいみんぶそく] /(n,adj-no) lack of sleep/
睡眠薬 [すいみんやく] /(n) sleeping pill/sleep medication/
睡眠預金 [すいみんよきん] /(n) inactive bank account (no withdrawals or deposits made, and to which the owner's rights have been terminated)/
睡蓮 [すいれん] /(n) (1) (uk) water lily (any plant of genus Nymphaea)/(2) pygmy waterlily (Nymphaea tetragona)/
睡鱶 [ねむりぶか] /(n) (uk) whitetip reef shark (Triaenodon obesus, species of Indo-Pacific requiem shark)/
粋 [いき] /(adj-na,n) (1) chic/stylish/refined/sophisticated/smart/(2) understanding/sympathetic/(P)/
粋 [すい] /(adj-na,n) (1) understanding/sympathetic/(2) the best/
粋がる [いきがる] /(v5r,vi) to be stylish/to try to appear smart/
粋が身を食う [すいがみをくう] /(exp) (id) Playing the dandy ruins a man/
粋な裁き [すいなさばき] /(n) delicate judgment/delicate judgement/
粋な人 [すいなひと] /(n) man of well-cultivated tastes/
粋狂 [すいきょう] /(adj-na,n) whim/vagary/capriciousness/eccentricity/
粋人 [すいじん] /(n) man of the world/
翠 [みどり] /(n) (1) green/(2) greenery (esp. fresh verdure)/
翠玉 [すいぎょく] /(n) emerald/jade/
翠色 [すいしょく] /(adj-na,n,adj-no) green/emerald green/green color of new foliage/verdure/
翠色 [みどりいろ] /(adj-na,n,adj-no) green/emerald green/green color of new foliage/verdure/
翠嵐 [すいらん] /(n) the sense of being engulfed in a green, mountainous atmosphere/
衰え [おとろえ] /(n) weakening/emaciation/decline/(P)/
衰える [おとろえる] /(v1,vi) to become weak/to decline/to wear/to abate/to decay/to wither/to waste away/(P)/
衰え果てる [おとろえはてる] /(v1,vi) to be utterly spent or crushed/
衰運 [すいうん] /(n) declining fortunes/decadence/
衰躯 [すいく] /(n) emaciated body/
衰残 [すいざん] /(adj-na,n) emaciated/worn-out/
衰死 [すいし] /(n,vs) becoming emaciated and die/wither away/
衰弱 [すいじゃく] /(n,vs,adj-no) weakness/debility/breakdown/prostration/(P)/
衰色 [すいしょく] /(n) fading color/fading colour/fading beauty/
衰世 [すいせい] /(n) this decadent world/
衰勢 [すいせい] /(n) downward tendency/decay/decline/
衰態 [すいたい] /(n) weakening/decline/
衰替 [すいたい] /(n,vs) declining/weaken/
衰退 [すいたい] /(n,vs) decline/decay/(P)/
衰兆 [すいちょう] /(n) signs of decline/
衰微 [すいび] /(n,vs) decline/decadence/ebb tide/
衰幣 [すいへい] /(n) decline/
衰亡 [すいぼう] /(n,vs) ruin/downfall/collapse/
衰滅 [すいめつ] /(n,vs) decline/downfall/ruin(ation)/
衰耗 [すいもう] /(n,vs) weaken and decline/
衰頽 [すいたい] /(n,vs) decline/decadence/waning/ebb tide/
遂げる [とげる] /(v1,vt) to accomplish/to achieve/to carry out/(P)/
遂に [ついに] /(adv) (1) (uk) finally/at last/(2) (with neg) in the end/(P)/
遂行 [すいこう] /(n,vs) accomplishment/execution/(P)/
酔い [よい] /(n) drunkenness/intoxication/(P)/
酔いが回る [よいがまわる] /(exp,v5r) to get drunk/to become tipsy/
酔いが覚める [よいがさめる] /(exp,v1) to sober up/
酔いしれる [よいしれる] /(v1,vi) to be befuddled (drunk, intoxicated) (with)/
酔いつぶす [よいつぶす] /(v5s) to drink someone down/to drink someone under the table/
酔いつぶれる [よいつぶれる] /(v1,vi) to drink oneself dead drunk/to drink oneself unconscious/
酔いを覚ます [よいをさます] /(exp,v5s) to sober up/
酔い覚め [よいざめ] /(n) recovering from intoxication/sobering up/
酔い止め [よいどめ] /(adj-no) anti-travel sickness (medicine)/
酔い心地 [よいごこち] /(n) (pleasantly) intoxicated/
酔い醒め [よいざめ] /(n) recovering from intoxication/sobering up/
酔い痴れる [よいしれる] /(v1,vi) to be befuddled (drunk, intoxicated) (with)/
酔い潰す [よいつぶす] /(v5s) to drink someone down/to drink someone under the table/
酔い潰れる [よいつぶれる] /(v1,vi) to drink oneself dead drunk/to drink oneself unconscious/
酔う [よう] /(v5u,vi) to get drunk/to become intoxicated/(P)/
酔っぱらい [よっぱらい] /(n) drunkard/
酔っぱらう [よっぱらう] /(v5u,vi) to get drunk/
酔っ払い [よっぱらい] /(n) drunkard/(P)/
酔っ払い運転 [よっぱらいうんてん] /(n) drunk driving/
酔っ払う [よっぱらう] /(v5u,vi) to get drunk/(P)/
酔わす [よわす] /(v5s,vt) (1) to get (someone) drunk/to inebriate/to intoxicate/(2) to charm/to enchant/
酔わせる [よわせる] /(v1,vt) (1) to get (someone) drunk/to inebriate/to intoxicate/(2) to charm/to enchant/
酔漢 [すいかん] /(n) drunkard/drunken fellow/
酔眼 [すいがん] /(n,adj-no) bleary or drunken eyes/
酔眼もうろう [すいがんもうろう] /(adj-no,adj-t,adv-to) (with) one's eyes blurred from drinking/with drunken eyes/dazed by wine/
酔眼朦朧 [すいがんもうろう] /(adj-no,adj-t,adv-to) (with) one's eyes blurred from drinking/with drunken eyes/dazed by wine/
酔顔 [すいがん] /(n) drunken face/drunken expression/
酔客 [すいかく] /(n) drunken person/
酔客 [すいきゃく] /(n) drunken person/
酔狂 [すいきょう] /(adj-na,n) whim/vagary/capriciousness/eccentricity/
酔興 [すいきょう] /(oK) (adj-na,n) whim/vagary/capriciousness/eccentricity/
酔拳 [すいけん] /(n) (MA) Drunken Fist/Drunken Boxing/
酔象 [すいぞう] /(n) drunken elephant piece, used in some variants of shogi/
酔生夢死 [すいせいむし] /(n) idling one's life away/
酔態 [すいたい] /(n) drunkenness/intoxication/
酔芙蓉 [すいふよう] /(n) cotton rosemallow (Hibiscus mutabilis cv. Versicolor)/Confederate rose/
酔払い [よっぱらい] /(n) drunkard/
酔払う [よっぱらう] /(v5u,vi) to get drunk/
酔歩 [すいほ] /(n,vs) (1) drunken stagger/tottering gait/(2) (math) drunkard's walk/random walk/
酔歩蹣跚 [すいほまんさん] /(n) tipsy lurch/reeling (staggering) gait/
酔余 [すいよ] /(n) drunken/
錐 [きり] /(n) drill/auger/
錐 [すい] /(n) cone/pyramid/
錐体細胞 [すいたいさいぼう] /(n) (1) cone cell/(2) pyramidal cell/
錐体路 [すいたいろ] /(n) pyramidal tract/corticospinal tract/
錐揉み [きりもみ] /(n,vs) (tail)spin/
錘 [いわ] /(n) weight (of a fishing net)/
錘 [おもり] /(n) (1) weight/(2) sinker (fishing)/
錘 [すい] /(suf,ctr) counter for spindles/
錘 [つみ] /(n) spindle/
錘 [つむ] /(n) spindle/
錘形 [つむがた] /(adj-no) spindle-shaped/fusiform/
錘状 [すいじょう] /(n) spindle shaped/
錘鰤 [つむぶり] /(n) (uk) rainbow runner (Elagatis bipinnulata)/rainbow yellowtail/Spanish jack/Hawaiian salmon/
随う [したがう] /(v5u,vi) to abide (by the rules)/to obey/to follow/to accompany/
随に [まにまに] /(adv) (uk) at the mercy of (e.g.the wind)/as one is told (by)/
随に [ままに] /(exp) (1) (uk) as (i.e. "do as one is told")/(2) as (i.e. "as we age we gain wisdom")/
随意 [ずいい] /(adj-na,n) voluntary/optional/(P)/
随意に [まにまに] /(iK) (adv) (uk) at the mercy of (e.g.the wind)/as one is told (by)/
随意筋 [ずいいきん] /(n) voluntary muscle/
随意契約 [ずいいけいやく] /(n) negotiated contract/limited tender contract/
随意的 [ずいいてき] /(adj-na) voluntary/optional/
随一 [ずいいち] /(n) best/greatest/first/(P)/
随員 [ずいいん] /(n) member of an entourage or retinue or party/attendant/(P)/
随感 [ずいかん] /(n) occasional thoughts or impressions/
随喜 [ずいき] /(n,vs) deep gratitude or happiness/
随喜の涙 [ずいきのなみだ] /(n) tears of joy/
随喜の涙を流す [ずいきのなみだをながす] /(exp,v5s) to cry tears of joy/to weep for joy/
随喜渇仰 [ずいきかっこう] /(n,vs) worship with adoration/admire ardently/
随行 [ずいこう] /(n,vs) attendant/follower/
随行員 [ずいこういん] /(n) attendant/
随時 [ずいじ] /(n-adv,n) at any time/as occasion calls/(P)/
随従 [ずいじゅう] /(n,vs) following the lead of/playing second fiddle to/follower/
随従者 [ずいじゅうしゃ] /(n) follower/
随順 [ずいじゅん] /(n,vs) obeying meekly/faithfully following (one's master)/
随処 [ずいしょ] /(n) everywhere/here and there/
随所 [ずいしょ] /(n) everywhere/(P)/
随神 [かみながら] /(adv,adj-no) (1) as a god/(2) as was done in the age of the gods/
随神 [かむながら] /(adv,adj-no) (1) as a god/(2) as was done in the age of the gods/
随神 [かんながら] /(adv,adj-no) (1) as a god/(2) as was done in the age of the gods/
随神の道 [かむながらのみち] /(n) the way of the gods/
随神の道 [かんながらのみち] /(n) the way of the gods/
随身 [ずいしん] /(n) an attendant/
随想 [ずいそう] /(n) occasional thoughts/
随想録 [ずいそうろく] /(n) essays/collection of miscellaneous thoughts/
随伴 [ずいはん] /(n,vs) (1) attendance/accompanying/following/(2) (math) adjoint/
随伴現象 [ずいはんげんしょう] /(n) epiphenomenon/
随伴現象説 [ずいはんげんしょうせつ] /(n) epiphenomenalism/
随伴者 [ずいはんしゃ] /(n) attendant/member of an entourage or retinue or party/
随筆 [ずいひつ] /(n) essays/miscellaneous writings/literary jottings/(P)/
随筆家 [ずいひつか] /(n) essayist/
随筆集 [ずいひつしゅう] /(n) collection of essays (miscellaneous writings, literary jottings, etc.)/
随分 [ずいぶん] /(adv,adv-to) (1) very/extremely/surprisingly/considerably/(adj-na) (2) contemptible/reprehensible/(P)/
瑞 [ずい] /(n) (1) good omen/
瑞 [みず] /(n,n-pref) (1) (arch) youth/freshness/purity/luster (lustre)/beauty/(n) (2) good omen/
瑞々しい [みずみずしい] /(adj-i) (1) young (and lustrous)/fresh/juicy/(2) lively/vivacious/animated/vibrant/(P)/
瑞雲 [ずいうん] /(n) auspicious clouds/
瑞気 [ずいき] /(n) good omen/
瑞獣 [ずいじゅう] /(n) auspicious beast (i.e. qilin)/
瑞祥 [ずいしょう] /(n) auspicious sign/good omen/
瑞瑞しい [みずみずしい] /(adj-i) (1) young (and lustrous)/fresh/juicy/(2) lively/vivacious/animated/vibrant/
瑞西 [すいす] /(n) (1) (uk) Switzerland (fre: Suisse)/(adj-f) (2) Swiss/
瑞兆 [ずいちょう] /(n) auspicious sign/good omen/
瑞鳥 [ずいちょう] /(n) auspicious bird (i.e. crane)/
瑞典 [すうぇーでん] /(n) (uk) Sweden/
瑞穂の国 [みずほのくに] /(n) Japan, the Land of Abundant Rice/
瑞宝章 [ずいほうしょう] /(n) Orders of the Sacred Treasure/
瑞宝双光章 [ずいほうそうこうしょう] /(n) Order of the Sacred Treasure, Gold and Silver Rays/
瑞宝単光章 [ずいほうたんこうしょう] /(n) Order of the Sacred Treasure, Silver Rays/
髄 [ずい] /(n) medulla/marrow/pith/
髄液 [ずいえき] /(n) cerebrospinal fluid/
髄質 [ずいしつ] /(n) medulla/
髄鞘 [ずいしょう] /(n) myelin sheath (around the axon of a neuron)/
髄虫 [ずいむし] /(n) pyralid larva/borer/
髄脳 [ずいのう] /(n) myelencephalon/
髄膜 [ずいまく] /(n) meninges/
髄膜炎 [ずいまくえん] /(n) meningitis/
髄膜腫 [ずいまくしゅ] /(n) meningioma/
崇ふ [あがまう] /(v2a-s,vt) (arch) to look up to/to respect/
崇まふ [あがまう] /(v2a-s,vt) (arch) to look up to/to respect/
崇めたてる [あがめたてる] /(v1) to respect/to revere/
崇める [あがめる] /(v1,vt) to revere/to respect/to worship/
崇め立てる [あがめたてる] /(v1) to respect/to revere/
崇敬 [すうけい] /(n,vs) reverence/
崇高 [すうこう] /(n,adj-na) loftiness/sublimity/nobility/(P)/
崇拝 [すうはい] /(n,vs) worship/adoration/admiration/cult/(P)/
崇拝者 [すうはいしゃ] /(n) worshipper/admirer/
嵩 [かさ] /(n) bulk/volume/quantity/
嵩じる [こうじる] /(v1,vi) to grow in intensity/to be aggravated/to get worse/to develop/
嵩ずる [こうずる] /(vz) (obsc) to grow in intensity/to be aggravated/to get worse/to develop/
嵩にかかる [かさにかかる] /(exp,v5r) (uk) to be highhanded/to be arrogant/to be overbearing/
嵩に懸かる [かさにかかる] /(exp,v5r) (uk) to be highhanded/to be arrogant/to be overbearing/
嵩に着る [かさにきる] /(iK) (exp,v1) to wear the mantle of (borrowed) authority and misuse it/
嵩む [かさむ] /(v5m,vi) (uk) to pile up/to increase/
嵩呼 [すうこ] /(n) shouting "Long live the Emperor"/
嵩高 [かさだか] /(adj-na) (1) bulky/unwieldy/(2) haughty/high-handed/
嵩高 [すうこう] /(n) lofty/Songshan/
嵩高い [かさだかい] /(adj-i) (1) bulky/unwieldy/(2) haughty/high-handed/
嵩上げ [かさあげ] /(n,vs) increase/raising (e.g. embankment, levee)/padding or inflation (e.g. of a bill)/
嵩張る [かさばる] /(v5r,vi) to be bulky/to be unwieldy/to grow voluminous/
嵩密度 [かさみつど] /(n) bulk density/
数 [かず] /(n) number/amount/(P)/
数 [しばしば] /(adv) (uk) often/again and again/frequently/
数 [すう] /(pref) (1) several/a number of/(n) (2) number/numeral/figure/(3) destiny/fate/(4) law/(P)/
数々 [かずかず] /(n-adv,adj-no) many/numerous/various/large number of/(P)/
数々 [しばしば] /(adv) (uk) often/again and again/frequently/
数えなおす [かぞえなおす] /(v5s) to count again/
数える [かぞえる] /(v1,vt) to count/to enumerate/(P)/
数え違える [かぞえちがえる] /(v1) to miscount/to count wrongly (e.g. pages)/
数え歌 [かぞえうた] /(n) (1) counting song/(2) enumerative form (of waka)/
数え込む [かぞえこむ] /(v5m) to number among/
数え上げる [かぞえあげる] /(v1,vt) to count up/to enumerate/
数え切れない [かぞえきれない] /(adj-i) countless/incalculable/
数え直す [かぞえなおす] /(v5s) to count again/
数え年 [かぞえどし] /(n) old manner of reckoning one's age, newborns being considered a year old, with everyone adding one year to their age at New Year's/
数え方 [かぞえかた] /(n) counting system/way (manner) of counting/
数え立てる [かぞえたてる] /(v1,vt) to enumerate/to count up/
数か月 [すうかげつ] /(n) several months/
数か国 [すうかこく] /(n) various countries/several countries/
数か所 [すうかしょ] /(n) various places/several sources/
数に入れる [かずにいれる] /(v1) to count/to include in the number/
数に物を言わせて [かずにものをいわせて] /(exp) on the strength of numbers/
数の子 [かずのこ] /(n) herring roe/
数をこなす [かずをこなす] /(exp,v5s) to deal with a large number/
数を熟す [かずをこなす] /(exp,v5s) to deal with a large number/
数を揃える [かずをそろえる] /(exp,v1) to make up the number/to have a complete set of/
数カ月 [すうかげつ] /(n) several months/
数カ国 [すうかこく] /(n) various countries/several countries/
数カ所 [すうかしょ] /(n) various places/several sources/
数キロの間 [すうキロのあいだ] /(n) for several kilometers/for several kilometres/
数ケ月 [すうかげつ] /(n) several months/
数ケ国 [すうかこく] /(n) various countries/several countries/
数ケ所 [すうかしょ] /(n) various places/several sources/
数ヶ月 [すうかげつ] /(n) several months/
数ヶ国 [すうかこく] /(n) various countries/several countries/
数ヶ所 [すうかしょ] /(n) various places/several sources/
数育 [すういく] /(n) (abbr) mathematics education/
数億円 [すうおくえん] /(n) several hundreds of millions of yen/
数億年 [すうおくねん] /(n) several hundred million years/(P)/
数価 [すうか] /(n) valence/
数箇国 [すうかこく] /(n) various countries/several countries/
数箇所 [すうかしょ] /(n) various places/several sources/
数回 [すうかい] /(n) few (several) times/
数学 [すうがく] /(n) mathematics/arithmetic/(P)/
数学モデル [すうがくモデル] /(n) (comp) mathematic model/
数学関数 [すうがくかんすう] /(n) (comp) mathematical function/
数学教育 [すうがくきょういく] /(n) mathematics education/
数学者 [すうがくしゃ] /(n) mathematician/
数学的 [すうがくてき] /(adj-na) mathematical/
数学的モデル化 [すうがくてきモデルか] /(n) (comp) mathematic modelling/
数学的帰納法 [すうがくてききのうほう] /(n) mathematical induction/
数学的論理学 [すうがくてきろんりがく] /(n) mathematical logic/
数間 [すあい] /(n) (arch) broker/brokerage/brokerage fee/
数奇 [さっき] /(n) (1) misfortune/adverse fortune/hapless fate/(adj-na) (2) unfortunate (e.g. life)/checkered/varied/
数奇 [すうき] /(n) (1) misfortune/adverse fortune/hapless fate/(adj-na) (2) unfortunate (e.g. life)/checkered/varied/
数奇 [すき] /(ateji) (n) refined taste/elegant pursuits/
数奇屋 [すきや] /(n) tea-ceremony arbor/tea-ceremony arbour/
数奇屋造り [すきやづくり] /(n) sukiya style of building/style of a tea-ceremony arbor (arbour)/
数寄 [すき] /(ateji) (n) refined taste/elegant pursuits/
数寄屋 [すきや] /(n) tea-ceremony arbor/tea-ceremony arbour/
数寄屋造り [すきやづくり] /(n) sukiya style of building/style of a tea-ceremony arbor (arbour)/
数寄者 [すきしゃ] /(n) (1) man of refined tastes/refined person/tea ceremony master/(2) lewd man/lecher/
数係数 [すうけいすう] /(n) coefficient/
数件 [すうけん] /(n) several items/many items/
数軒 [すうけん] /(n) several houses/
数限りない [かずかぎりない] /(adj-i) uncountable/innumerable/
数個 [すうこ] /(n) several (objects)/(P)/
数行 [すうぎょう] /(n) several lines/many lines/
数咲き蓬 [かずざきよもぎ] /(n) (uk) Japanese mugwort/
数咲き艾 [かずざきよもぎ] /(n) (uk) Japanese mugwort/
数冊 [すうさつ] /(n) several volumes (books)/
数詞 [すうし] /(n) (ling) numeral/
数字 [すうじ] /(n) (math) numeral/figure/digit/numeric character/(P)/
数字ＯＲアドレス [すうじオーアドレス] /(n) (comp) numeric OR address/
数字に弱い [すうじによわい] /(n) not good with figures/
数字コード [すうじコード] /(n) (comp) numeric code/
数字コード化集合 [すうじコードかしゅうごう] /(n) (comp) numeric coded set/
数字シフト [すうじシフト] /(n) (comp) figure shift/
数字位置 [すうじいち] /(n) (comp) digit place/digit position/
数字句 [すうじく] /(n) (comp) number token/
数字項目 [すうじこうもく] /(n) (comp) numeric item/
数字集合 [すうじしゅうごう] /(n) (comp) numeric character set/
数字定数 [すうじていすう] /(n) (comp) numeric literal/
数字表記法 [すうじひょうきほう] /(n) (comp) numerical notation/
数字譜 [すうじふ] /(n) numerical musical notation/
数字利用者識別子 [すうじりようしゃしきべつし] /(n) (comp) numeric user identifier/
数時間 [すうじかん] /(n) a few hours/(P)/
数時間為れば [すうじかんすれば] /(exp) in a few hours/
数次 [すうじ] /(n) number of times/(P)/
数次旅券 [すうじりょけん] /(n) multiple journey passport/
数式 [すうしき] /(n) numerical formula/
数式通り方式計算器 [すうしきどおりほうしきけいさんき] /(n) (comp) calculator with algebraic logic/
数社 [すうしゃ] /(n) several companies/
数取り [かずとり] /(n,vs) counting/counting game/
数珠 [じゅじゅ] /(n) (Buddh) rosary/string of prayer beads/
数珠 [じゅず] /(n) (Buddh) rosary/string of prayer beads/(P)/
数珠 [ずず] /(n) (Buddh) rosary/string of prayer beads/
数珠つなぎ [じゅずつなぎ] /(adv) linked together/tied in a row/
数珠一連 [じゅずいちれん] /(n) a rosary/a string of beads/
数珠玉 [じゅずだま] /(n) (botanical) Job's tears/
数珠繋ぎ [じゅずつなぎ] /(adv) linked together/tied in a row/
数種 [すうしゅ] /(adj-no) several varieties/poly-/
数種類 [すうしゅるい] /(n) several types/several kinds/several species/
数十 [すうじゅう] /(n,adj-no) dozens/scores of/decades/
数十年 [すうじゅうねん] /(n-t) few decades/many decades/several decades/
数少ない [かずすくない] /(adj-i) few in number/
数人 [すうにん] /(n,adj-no) several people/
数数 [かずかず] /(n-adv,adj-no) many/numerous/various/large number of/
数数 [しばしば] /(adv) (uk) often/again and again/frequently/
数隻 [すうせき] /(n) several (boats)/
数隻の船 [すうせきのふね] /(n) several boats/
数千 [すうせん] /(n) thousands/
数多 [あまた] /(adj-na,adv,n) many/a lot/much/multitude/
数多 [すうた] /(adj-na,adv,n) many/a lot/much/multitude/
数多い [かずおおい] /(adj-i) many/a multiplicity of/
数多く [かずおおく] /(exp,adv) in great numbers/(P)/
数体系 [すうたいけい] /(n) (comp) number system/
数段 [すうだん] /(n) several (levels, floors)/
数値 [すうち] /(n) (1) numerical value/numerics/(2) reading (on a meter, etc.)/(P)/
数値の語 [すうちのご] /(n) (comp) numeric word/
数値キーパッド [すうちキーパッド] /(n) (comp) numeric keypad/
数値データ [すうちデータ] /(n) (comp) numeric data/
数値パラメタ [すうちパラメタ] /(n) (comp) numeric parameter/
数値演算コプロセッサ [すうちえんざんコプロセッサ] /(n) (comp) math coprocessor/
数値演算プロセッサ [すうちえんざんプロセッサ] /(n) (comp) numeric data processor/
数値化 [すうちか] /(n,vs) digitization/numeric conversion/
数値解析 [すうちかいせき] /(n) numerical analysis/
数値型 [すうちがた] /(n) (comp) numeric type/
数値形式 [すうちけいしき] /(n) (comp) numeric format/
数値計算 [すうちけいさん] /(n,adj-no) numeric operation/numeric calculation/
数値語 [すうちご] /(n) (comp) numeric word/
数値指定文字参照 [すうちしていもじさんしょう] /(n) (comp) numeric character reference/
数値制御 [すうちせいぎょ] /(n) numerical control/NC/
数値的 [すうちてき] /(adj-na) (comp) numeric/numerical/
数値表現 [すうちひょうげん] /(n) (comp) numeric representation/
数値変数 [すうちへんすう] /(n) (comp) numeric variable/
数値目標 [すうちもくひょう] /(n) target value/target amount/
数知れない [かずしれない] /(exp,adj-i) countless/innumerable/
数直線 [すうちょくせん] /(n) (math) number line (e.g. on a graph)/real number line/
数滴 [すうてき] /(n) several drops/
数的優勢 [すうてきゆうせい] /(n) superiority in number/numerical superiority/
数度 [すうど] /(n) (1) several times/(2) several degrees/
数等 [すうとう] /(n-adv) by far/
数独 [すうどく] /(n) Sudoku (number puzzle in which digits may only occur once per block)/
数独 [すどく] /(ik) (n) Sudoku (number puzzle in which digits may only occur once per block)/
数日 [すうじつ] /(n) few days/(P)/
数日間 [すうじつかん] /(n) several day period/
数日後 [すうじつご] /(n-adv,n-t) several days later/
数年 [すうねん] /(n) several years/
数年間 [すうねんかん] /(n) several years/
数年来 [すうねんらい] /(exp) several years standing/over several years/
数牌 [すうぱい] /(n) suited tiles (mah-jongg)/
数倍 [すうばい] /(n,adj-no) several times (as large, over)/
数発 [すうぱつ] /(n) several shots/several blows/
数秘術 [すうひじゅつ] /(n) numerology/
数匹 [すうひき] /(n) several animals/
数百 [すうひゃく] /(n,adj-no) several hundreds/(P)/
数百万に及ぶ [すうひゃくまんにおよぶ] /(exp,v5b) to reach (range) into the millions/
数表 [すうひょう] /(n) table (of logarithms)/
数表現 [すうひょうげん] /(n) (comp) number representation/numeration/
数表示 [すうひょうじ] /(n) numeral/
数秒 [すうびょう] /(n) several seconds/
数物科学 [すうぶつかがく] /(n) mathematical and physical sciences/
数分 [すうふん] /(n) several minutes/a few minutes/
数分間 [すうふんかん] /(exp) a few minutes/for a few minutes/for a number of minutes/for a period of a few minutes/for several minutes/
数分後 [すうふんご] /(n-adv,n-t) a few minutes later/after a few minutes/
数歩 [すうほ] /(n) several steps/
数枚 [すうまい] /(n) several sheets (flat objects)/
数万 [すうまん] /(n,adj-no) tens of thousands/(P)/
数名 [すうめい] /(n) several people/
数理 [すうり] /(n) mathematics/
数理計画システム [すうりけいかくシステム] /(n) (comp) MPS/Mathematical Programming System/
数理言語学 [すうりげんごがく] /(n) mathematical linguistics/
数理哲学 [すうりてつがく] /(n) philosophy of mathematics/mathematical philosophy/
数理論理学 [すうりろんりがく] /(n) mathematical logic/
数量 [すうりょう] /(n) quantity/volume/(P)/
数量化理論 [すうりょうかりろん] /(n) (comp) quantification theory/
数量的 [すうりょうてき] /(adj-na) quantitative/
数列 [すうれつ] /(n) progression/sequence/
枢 [くる] /(n) (1) pivot hinge (using extensions on the top & bottom of a door that fit into cavities in the frame)/(2) sliding wooden bolt (for holding a door or window shut)/
枢 [くるり] /(n) (1) pivot hinge (using extensions on the top & bottom of a door that fit into cavities in the frame)/(2) sliding wooden bolt (for holding a door or window shut)/
枢 [くるる] /(n) (1) pivot hinge (using extensions on the top & bottom of a door that fit into cavities in the frame)/(2) sliding wooden bolt (for holding a door or window shut)/
枢 [くろろ] /(n) (1) pivot hinge (using extensions on the top & bottom of a door that fit into cavities in the frame)/(2) sliding wooden bolt (for holding a door or window shut)/
枢 [とぼそ] /(n) (1) (arch) cavities in the frame of a door used as part of a pivot hinge/(2) door/
枢 [とまら] /(n) extensions on the top & bottom of a door that fit into cavities in the frame (as part of a pivot hinge)/
枢機 [すうき] /(n) important state matters/
枢機卿 [すうききょう] /(n) Cardinal (Catholic)/
枢機卿 [すうきけい] /(n) Cardinal (Catholic)/
枢戸 [くるるど] /(n) (arch) door (with a pivot hinge)/
枢軸 [すうじく] /(n) axle/pivot/(P)/
枢軸国 [すうじくこく] /(n) (World War II) Axis powers/
枢密 [すうみつ] /(n) state secrets/
枢密院 [すうみついん] /(n) (Japanese) Privy Council (abolished in 1947)/
枢木 [くるるぎ] /(n) sliding wooden bolt (for holding a door or window shut)/
枢要 [すうよう] /(adj-na,n,adj-no) importance/
趨く [おもむく] /(v5k,vi) (1) to go in the direction of/to proceed toward/to proceed according to/to repair to/(2) to become/to face (facts, circumstances, etc.)/to abide by/to agree to/to consent to/to obey/
趨る [はしる] /(v5r,vi) (1) to run/(2) to travel (movement of vehicles)/(3) to hurry to/(4) to retreat (from battle)/to take flight/(5) to run away from home/(6) to elope/(7) to tend heavily toward/
趨向 [すうこう] /(n,vs) tendency/trend/current/
趨勢 [すうせい] /(n) tendency/trend/
雛 [ひな] /(n) (1) young bird/chick/(2) doll/(P)/
雛 [ひよこ] /(n) (1) young bird/chick/(2) green/wet behind the ears/juvenile/(P)/
雛の錫杖 [ひなのしゃくじょう] /(n) (uk) Burmannia championii (species of flowering plant)/
雛菓子 [ひながし] /(n) sweets for offering at the Dolls' Festival/
雛鑑別者 [ひなかんべつしゃ] /(n) chicken sexer/
雛妓 [すうぎ] /(n) child geisha/geisha apprentice/
雛菊 [ひなぎく] /(n) daisy/
雛型 [ひながた] /(n) (1) model/miniature/pattern/(2) sample/specimen/(3) prescribed form/
雛形 [ひながた] /(n) (1) model/miniature/pattern/(2) sample/specimen/(3) prescribed form/
雛祭 [ひなまつり] /(n) Girls' Festival (March 3rd)/Dolls' Festival/(P)/
雛祭り [ひなまつり] /(n) Girls' Festival (March 3rd)/Dolls' Festival/
雛諸子 [ひなもろこ] /(n) (uk) Chinese bleak (Aphyocypris chinensis)/
雛人形 [ひなにんぎょう] /(n) doll/
雛僧 [すうそう] /(n) young priest/
雛壇 [ひなだん] /(n) tiered doll stand/tiered platform or gallery/
雛段 [ひなだん] /(n) tiered doll stand/tiered platform or gallery/
雛鳥 [ひなどり] /(n) chick/baby bird/
雛豆 [ひよこまめ] /(n) chickpea (Cicer arietinum)/garbanzo bean/
雛遊び [ひなあそび] /(n) playing with dolls displayed on the Girl's Festival/
雛罌粟 [ひなげし] /(n) (uk) red poppy/Papaver rhoeas/common poppy/
雛霰 [ひなあられ] /(n) sweetened rice-flour cakes for offering at the Dolls' Festival/
据えつける [すえつける] /(v1,vt) to install/to equip/to mount/
据える [すえる] /(v1,vt) (1) to place (in position)/to fix/to set (e.g. table)/to lay (foundation)/(2) to install/to seat (someone)/(3) to settle (upon something)/to fix (e.g. one's gaze)/(4) to apply (moxa)/(P)/
据え膳 [すえぜん] /(n) (1) meal set before one/(2) women's advances/
据え膳食わぬは男の恥 [すえぜんくわぬはおとこのはじ] /(exp) (id) When petticoats woo, breeks may come speed/
据え置き [すえおき] /(n) deferment (e.g. of savings)/leaving (a thing) as it stands/(P)/
据え置き期間 [すえおききかん] /(n) period of deferment/
据え置き貯金 [すえおきちょきん] /(n) deferred savings/
据え置く [すえおく] /(v5k,vt) to leave as it is/to defer/
据え付け [すえつけ] /(n) installation/setting/fitting/mounting/
据え付ける [すえつける] /(v1,vt) to install/to equip/to mount/(P)/
据え風呂 [すえふろ] /(n) deep bathtub with a water-heating tank/bathtub heated from below/
据え物 [すえもの] /(n) (1) ornament/(2) dead body used to test a blade/(3) unlicensed prostitute who always works out of the same cathouse/
据る [すわる] /(io) (v5r,vi) (1) to sit/to squat/(2) to assume (a position)/(3) to hold steady/to hold still/
据わる [すわる] /(v5r,vi) (1) to sit/to squat/(2) to assume (a position)/(3) to hold steady/to hold still/
据膳 [すえぜん] /(n) (1) meal set before one/(2) women's advances/
据置き [すえおき] /(n) deferment (e.g. of savings)/leaving (a thing) as it stands/
据付 [すえつけ] /(n) installation/setting/fitting/mounting/
据風呂 [すえふろ] /(n) deep bathtub with a water-heating tank/bathtub heated from below/
杉 [すぎ] /(n) Japanese cedar (Cryptomeria japonica)/(P)/
杉花粉症 [すぎかふんしょう] /(n) cedar pollen allergy/
杉垣 [すぎがき] /(n) cryptomeria hedge/
杉玉 [すぎたま] /(n) ball-like object made of Japanese cedar which is hung by sake brewers outside their brewery in the eaves to inform people that a new brew of sake has been produced/
杉原紙 [すぎはらがみ] /(n) var. of traditional Japanese paper/
杉戸 [すぎど] /(n) door made of cedar/
杉菜 [すぎな] /(n) field horsetail/
杉材 [すぎざい] /(n) cedar wood/
杉叢 [すぎむら] /(n) (uk) thicket of cedar trees/
杉苔 [すぎごけ] /(n) hair moss/
杉箸 [すぎばし] /(n) chopsticks made of cedar/
杉皮 [すぎかわ] /(n) cedar bark/
杉並木 [すぎなみき] /(n) avenue of cedars (cryptomeria)/
杉林 [すぎばやし] /(n) cryptomeria forest/
椙 [すぎ] /(n) Japanese cedar (Cryptomeria japonica)/
菅 [すげ] /(n) sedge (any plant of genus Carex)/
菅笠 [すげがさ] /(n) sedge-woven (bamboo) hat/
頗る [すこぶる] /(adv) extremely/very much/
頗る [そこぶる] /(adv) extremely/very much/
頗梨 [はり] /(n) (1) (Buddh) quartz/(2) glass/
雀 [すずめ] /(n) (1) tree sparrow (Passer montanus)/(2) talkative person/knowledgeable person/(P)/
雀の槍 [すずめのやり] /(n) (1) (uk) Luzula capitata (species of woodrush)/(2) shortawn foxtail (Alopecurus aequalis)/
雀の鉄砲 [すずめのてっぽう] /(n) (uk) shortawn foxtail (Alopecurus aequalis)/
雀の稗 [すずめのひえ] /(n) (uk) Japanese paspalum (Paspalum thunbergii)/
雀の涙 [すずめのなみだ] /(n) drop in the bucket/very small quantity/chicken feed/insignificant amount/
雀蛾 [すずめが] /(n) (uk) hawk moth (any moth of family Sphingidae)/hawkmoth/sphinx moth/
雀鬼 [じゃんき] /(n) skilled mah-jongg player/
雀球 [じゃんきゅう] /(n) jankyu (combination of Japanese pinball and mahjong)/
雀色 [すずめいろ] /(n) light, reddish brown/
雀荘 [じゃんそう] /(n) mahjong club/
雀鯛 [すずめだい] /(n) (uk) pearl-spot chromis (Chromis notata, species of damselfish found in southern Japan, Ryukyu Islands, Taiwan, and China)/
雀鷹 [つみ] /(n) (uk) Japanese sparrowhawk (Accipiter gularis)/
雀卓 [じゃんたく] /(n) mahjong board/
雀牌 [じゃんぱい] /(n) (abbr) Mah Jong tile/Mah Jong tiles/
雀斑 [そばかす] /(n) (uk) freckles/
雀百迄踊り忘れず [すずめひゃくまでおどりわすれず] /(exp) (id) What is learned in the cradle is carried to the tomb/
雀蜂 [すずめばち] /(n) (1) (uk) hornet/yellow jacket/wasp (of subfamily Vespinae)/(2) (uk) Asian giant hornet (Vespa mandarinia)/yak-killer hornet/
雀躍 [じゃくやく] /(n,vs) leaping for joy/exultation/
雀羅 [じゃくら] /(n) sparrow net/
雀榕 [あこう] /(n) (uk) Japanese sea fig (Ficus superba var. japonica)/
雀鷂 [つみ] /(n) (uk) Japanese sparrowhawk (Accipiter gularis)/
裾 [すそ] /(n) (trouser) cuff/(skirt) hem/cut edge of a hairdo/fringe/foot of mountain/(P)/
裾が切れる [すそがきれる] /(exp,v1) to get frayed at the hem/
裾よけ [すそよけ] /(n) underskirt (half-slip), worn under kimono/
裾回し [すそまわし] /(n) lining at the bottom of a kimono/
裾刈り [すそがり] /(n) trimming hair/
裾取り [すそとり] /(n) ankle pick (sumo)/
裾除け [すそよけ] /(n) underskirt (half-slip), worn under kimono/
裾着 [すそつき] /(n) horizontally-wrapped fabric forming the bottom part of some traditional Japanese clothing/
裾払い [すそはらい] /(n) rear footsweep (sumo)/
裾分け [すそわけ] /(n) sharing with others what has been given to you/sharing a portion of the profit with others/
裾模様 [すそもよう] /(n) kimono with design on the skirt/
裾野 [すその] /(n) foot of a mountain/
裾野産業 [すそのさんぎょう] /(n) supporting industries/component and parts-supply industries/
澄し汁 [すましじる] /(io) (n) clear soup/
澄ました顔 [すましたかお] /(exp) composed expression/clear face/
澄まし屋 [すましや] /(n) a prim person/
澄まし顔 [すましがお] /(n) composed expression/clear face/(P)/
澄まし込む [すましこむ] /(v5m) to put on airs/to affect (importance, etc.)/to look wise/
澄まし汁 [すましじる] /(n) clear soup/
澄ます [すます] /(v5s,vt) to clear/to make clear/to be unruffled/to look unconcerned/to look demure/to look prim/to put on airs/(P)/
澄み切った [すみきった] /(adj-f) perfectly clear/
澄み切る [すみきる] /(v5r,vi) to be serene/(P)/
澄み渡る [すみわたる] /(v5r,vi) to be perfectly clear/
澄む [すむ] /(v5m,vi) to clear (e.g. weather)/to become transparent/(P)/
澄んだ水 [すんだみず] /(n) limpid water/
澄明 [ちょうめい] /(adj-na,n) clear and bright/
摺り [すり] /(n) printing/
摺りガラス [すりガラス] /(iK) (n) ground glass/frosted glass/
摺り衣 [すりぎぬ] /(n) (arch) plain white clothing patterned using dyes/
摺り衣 [すりごろも] /(n) (arch) plain white clothing patterned using dyes/
摺り下ろす [すりおろす] /(v5s,vt) to grate/to scrape off/
摺り合わせ [すりあわせ] /(n) (1) precision surface finishing/lapping/(2) bouncing of ideas (opinions, etc.) off each other to obtain a fine-tuned integrated whole/
摺り合わせる [すりあわせる] /(v1) to rub together/
摺り込み染 [すりこみぞめ] /(n) (obsc) coloring fabric by placing a paper stencil over it and brushing on the dye/fabric colored in such a manner/
摺り込み染め [すりこみぞめ] /(n) (obsc) coloring fabric by placing a paper stencil over it and brushing on the dye/fabric colored in such a manner/
摺り込む [すりこむ] /(v5m) to rub in/to grind and mix/
摺り硝子 [すりがらす] /(iK) (n) ground glass/frosted glass/
摺り硝子 [すりガラス] /(iK) (n) ground glass/frosted glass/
摺り染 [すりぞめ] /(n) (1) (obsc) method of patterning fabric by pounding on leaves (or flowers, etc.) placed on it, or by rubbing in dye made from these materials/(2) coloring fabric by placing a paper stencil over it and brushing on the dye/fabric colored in such a manner/
摺り染め [すりぞめ] /(n) (1) (obsc) method of patterning fabric by pounding on leaves (or flowers, etc.) placed on it, or by rubbing in dye made from these materials/(2) coloring fabric by placing a paper stencil over it and brushing on the dye/fabric colored in such a manner/
摺り足 [すりあし] /(n) sliding feet/shuffling (one's feet)/moving legs forward with feet never leaving the ground (sumo exercise)/
摺り替える [すりかえる] /(v1,vt) to switch (secretly)/to substitute/to sidestep (an issue)/
摺り箔 [すりはく] /(n,vs) (1) impressed (glued) gold or silver foil on traditional Japanese fabric/(2) type of Noh costume/
摺り鉢 [すりばち] /(n) (earthenware) mortar (for grinding)/
摺り本 [すりほん] /(n) printed, unbound sheets/
摺る [する] /(v5r,vt) (1) to print/(2) to color or pattern fabric using a wooden mold/
摺ガラス [すりガラス] /(iK) (io) (n) ground glass/frosted glass/
摺込染 [すりこみぞめ] /(n) (obsc) coloring fabric by placing a paper stencil over it and brushing on the dye/fabric colored in such a manner/
摺硝子 [すりがらす] /(iK) (n) ground glass/frosted glass/
摺硝子 [すりガラス] /(iK) (n) ground glass/frosted glass/
摺染 [すりぞめ] /(n) (1) (obsc) method of patterning fabric by pounding on leaves (or flowers, etc.) placed on it, or by rubbing in dye made from these materials/(2) coloring fabric by placing a paper stencil over it and brushing on the dye/fabric colored in such a manner/
摺足 [すりあし] /(n) sliding feet/shuffling (one's feet)/moving legs forward with feet never leaving the ground (sumo exercise)/
摺動 [しゅうどう] /(n) sliding or moving along a smooth surface with continuous contact on that surface/
摺箔 [すりはく] /(n,vs) (1) impressed (glued) gold or silver foil on traditional Japanese fabric/(2) type of Noh costume/
摺本 [しょうほん] /(n) folded book/
寸 [すん] /(n) sun (approx. 3.03 cm)/
寸々 [ずたずた] /(adv,adj-na) (uk) to pieces/into shreds/
寸々 [ずだずだ] /(adv,adj-na) (uk) to pieces/into shreds/
寸が足りない [すんがたりない] /(adj-i) (obsc) too short/
寸暇 [すんか] /(n) moment's leisure/free minute/(P)/
寸詰まり [すんづまり] /(adj-na,n) a little short/sawed-off (pants)/
寸劇 [すんげき] /(n) short play/skit/
寸隙 [すんげき] /(n) (1) spare time/spare moment/(2) small opening/small crack/
寸言 [すんげん] /(n) pithy or short and witty remark/wisecrack/
寸刻 [すんこく] /(n) moment/
寸志 [すんし] /(n) small present/small token of appreciation/
寸止め [すんどめ] /(n) stopping just before/
寸時 [すんじ] /(n) moment/very short time/
寸借 [すんしゃく] /(n,vs) small loan/
寸借詐欺 [すんしゃくさぎ] /(n) petty swindling/petty swindler/
寸進尺退 [すんしんしゃくたい] /(n,vs) one step forward, many steps backward/little to gain and much to lose/
寸寸 [ずたずた] /(adv,adj-na) (uk) to pieces/into shreds/
寸寸 [ずだずだ] /(adv,adj-na) (uk) to pieces/into shreds/
寸前 [すんぜん] /(n,suf) on the verge/just in front of/(P)/
寸善尺魔 [すんぜんしゃくま] /(exp) in evil, there is odds/there is more evil than good in this world/one good thing tends to cause many bad things to happen/
寸足らず [すんたらず] /(adj-na,n) a little too short/
寸断 [すんだん] /(n,vs) cut (tear) to pieces/(P)/
寸鉄 [すんてつ] /(n) (1) short blade/small weapon/(2) epigram/pithy saying/
寸鉄人を殺す [すんてつひとをころす] /(exp,v5s) to make a cutting remark/to kill someone with a short blade/
寸鉄人を刺す [すんてつひとをさす] /(exp,v5s) to make a cutting remark/to stab someone with a short blade/
寸土 [すんど] /(n) an inch of land/
寸胴 [ずんど] /(adj-na,n,adj-no) cylindrical container (pot, vase, etc.)/being stumpy/having no waist/sleeveless/
寸胴 [ずんどう] /(adj-na,n,adj-no) cylindrical container (pot, vase, etc.)/being stumpy/having no waist/sleeveless/
寸胴鍋 [ずんどうなべ] /(n) stockpot/
寸評 [すんぴょう] /(n) brief review/thumbnail sketch/
寸描 [すんびょう] /(n) thumbnail (brief) sketch/
寸秒 [すんびょう] /(n) a moment/
寸分 [すんぶん] /(n-adv,n-t) tiny bit/
寸分たがわず [すんぶんたがわず] /(exp) accurate/to the inch/exact/
寸分違わず [すんぶんたがわず] /(exp) accurate/to the inch/exact/
寸法 [すんぽう] /(n) measurement/size/extent/dimension/(P)/
寸法記入 [すんぽうきにゅう] /(n) (comp) dimensioning/
寸毫 [すんごう] /(n) a bit/very little/
世 [せい] /(ctr) (1) counter for generations/(n,n-suf) (2) (geological) epoch/
世 [よ] /(n) world/society/age/generation/(P)/
世々 [よよ] /(n-adv,n-t) for generations/hereditary/generation after generation/
世々限りなく [よよかぎりなく] /(n) forever and ever/
世々限り無く [よよかぎりなく] /(n) forever and ever/
世が世なら [よがよなら] /(exp) if times were better/if times had not changed/
世にも [よにも] /(adv) extremely/very/
世に出る [よにでる] /(v1) to become famous/
世に説く [よにとく] /(exp,v5k) to set forth/to put forward/to present for consideration/to explain the facts of life/to preach/
世に遅れる [よにおくれる] /(exp,v1) to fall behind the times/
世に埋もれる [よにうずもれる] /(exp,v1) to live in obscurity/
世に立つ [よにたつ] /(v5t) to become famous/
世のならい [よのならい] /(exp) the way of the world/common ocurrence/
世の習い [よのならい] /(exp) the way of the world/common ocurrence/
世の常 [よのつね] /(adj-no,exp,n) ordinary/run-of-the-mill/usual/
世の中 [よのなか] /(n) society/the world/the times/(P)/
世の風潮 [よのふうちょう] /(exp) current of the times/
世を渡る [よをわたる] /(exp,v5r) to make one's way in the world/to walk through the world/to earn one's living/
世過ぎ [よすぎ] /(n) living/livelihood/
世界 [せかい] /(n) the world/society/the universe/(P)/
世界で初めて [せかいではじめて] /(exp,adj-no) world's first/world-first/
世界の果て [せかいのはて] /(exp) end of the world/
世界の七不思議 [せかいのななふしぎ] /(exp) Seven Wonders of the World/
世界チャンピオン [せかいチャンピオン] /(n) world champion/
世界ボクシング協 [せかいボクシングきょう] /(n) World Boxing Association/
世界遺産 [せかいいさん] /(n) World Heritage (cultural, natural, etc.)/World Cultural and Natural Heritage (UNESCO)/
世界一 [せかいいち] /(n-adv,n-t) best in the world/(P)/
世界一周 [せかいいっしゅう] /(n) round-the-world trip/circumnavigation/globe-trotting/
世界一周旅行 [せかいいっしゅうりょこう] /(n,vs) round-the-world trip/world cruise/
世界王者 [せかいおうじゃ] /(n) world champion/
世界各国 [せかいかっこく] /(n) countries all over the world/all the countries of the world/(P)/
世界各地 [せかいかくち] /(n) all over the world/(P)/
世界観 [せかいかん] /(n) (1) world view/outlook on the world/Weltanschauung (philosophy)/(2) appearance of a world (e.g. in fiction)/(P)/
世界気象機関 [せかいきしょうきかん] /(n) World Meteorological Organization (Organisation)/WMO/
世界規模 [せかいきぼ] /(n,adj-no) (comp) global (scale)/
世界記録 [せかいきろく] /(n,vs) world record/establishing a world record (in)/
世界記録保持者 [せかいきろくほじしゃ] /(n) world record holder/
世界恐慌 [せかいきょうこう] /(n) worldwide financial crisis/global depression/
世界教会運動 [せかいきょうかいうんどう] /(n) Ecumenical Movement/
世界教会協議会 [せかいきょうかいきょうぎかい] /(n) World Council of Churches/WCC/
世界金融危機 [せかいきんゆうきき] /(n) world financial crisis (2007-)/global financial crisis/GFC/
世界銀行 [せかいぎんこう] /(n) World Bank/(P)/
世界経済 [せかいけいざい] /(n) world (international) economy/
世界経済フォーラム [せかいけいざいフォーラム] /(n) World Economic Forum/
世界経済見通し [せかいけいざいみとおし] /(n) World Economic Outlook (IMF publication)/
世界語 [せかいご] /(n) a universal language/
世界交通の衝 [せかいこうつうのしょう] /(n) focus of the trade routes of the world/
世界公民 [せかいこうみん] /(exp) citizen of the world/world citizen/
世界座標 [せかいざひょう] /(n) (comp) world coordinate/WC/
世界座標系 [せかいざひょうけい] /(n) (comp) world coordinates/WC/
世界最大 [せかいさいだい] /(n,adj-no) world's largest/
世界史 [せかいし] /(n) world history/international history/
世界市場 [せかいしじょう] /(n) global market/
世界思潮 [せかいしちょう] /(n) main currents (the trend) of thinking in the world/
世界時 [せかいじ] /(n) Universal Time/UT/
世界自然遺産 [せかいしぜんいさん] /(n) world natural heritage site/
世界主義 [せかいしゅぎ] /(n) cosmopolitanism/
世界樹 [せかいじゅ] /(n) Yggdrasil/The World Tree/
世界宗教 [せかいしゅうきょう] /(n) (major) world religion (i.e. Christianity, Buddhism, Islam)/
世界宗教者平和会議 [せかいしゅうきょうしゃへいわかいぎ] /(n) World Conference of Religions for Peace/
世界初 [せかいはつ] /(n,adj-no) world-first/
世界情勢 [せかいじょうせい] /(n) world situation/world affairs/
世界情報インフラ [せかいじょうほうインフラ] /(n) (comp) global information infrastructure/GII/
世界食糧計画 [せかいしょくりょうけいかく] /(n) World Food Program/WFP/
世界新 [せかいしん] /(n) new world record/
世界新記録 [せかいしんきろく] /(n) new world record/
世界人 [せかいじん] /(n) cosmopolitan/world citizen/
世界人権宣言 [せかいじんけんせんげん] /(n) Universal Declaration of Human Rights (1948)/
世界制覇 [せかいせいは] /(n) domination of the world/world hegemony/
世界性 [せかいせい] /(n) universality/
世界政策 [せかいせいさく] /(n,adj-no) world policy/
世界線 [せかいせん] /(n) world line (physics)/
世界選手権 [せかいせんしゅけん] /(n) world (an international) championship (title)/
世界全体 [せかいぜんたい] /(exp) entire world/whole world/world stage/
世界像 [せかいぞう] /(n) picture of the world/world picture/image of the world/Weltbild/
世界大恐慌 [せかいだいきょうこう] /(n) the Great Depression/
世界大戦 [せかいたいせん] /(n) the World War/(P)/
世界知的所有権機関 [せかいちてきしょゆうけんきかん] /(n) World Intellectual Property Organization (Organisation)/WIPO/
世界地図 [せかいちず] /(n) world map/
世界秩序 [せかいちつじょ] /(n) world order/
世界中 [せかいじゅう] /(n) around or throughout the world/
世界的 [せかいてき] /(adj-na) global/international/world-famous/(P)/
世界的不況 [せかいてきふきょう] /(n) global recession/
世界電気通信会議 [せかいでんきつうしんかいぎ] /(n) (comp) International Telecommunications Union/ITU/
世界電話番号 [せかいでんわばんごう] /(n) international telephone number/
世界標準 [せかいひょうじゅん] /(n) global standards/
世界不況 [せかいふきょう] /(n) world recession/
世界仏教徒会議 [せかいぶっきょうとかいぎ] /(n) The World Fellowship of Buddhists/
世界平和 [せかいへいわ] /(n) world peace/peace of the world/
世界平和度指数 [せかいへいわどしすう] /(n) global peace index/GPI/
世界保健機関 [せかいほけんきかん] /(n) World Health Organization (Organisation)/WHO/
世界貿易機関 [せかいぼうえききかん] /(n) World Trade Organization (Organisation)/WTO/
世界有数 [せかいゆうすう] /(n,adj-no) world leading/
世界陸上 [せかいりくじょう] /(n) World Championships in Athletics/
世界労連 [せかいろうれん] /(n) World Federation of Trade Unions/WFTU/
世慣れる [よなれる] /(v1,vi) to become used to the (ways of the) world/to become worldly or sophisticated/
世間 [せけん] /(n) world/society/(P)/
世間さま [せけんさま] /(n) (hon) world/society/
世間ずれ [せけんずれ] /(n,vs) worldly wise/sophisticated/street smart/knowledge of the world (acquired in the school of hard knocks)/toughness/
世間なみ [せけんなみ] /(adj-na) ordinary/average/
世間の口に戸は立てられぬ [せけんのくちにとはたてられぬ] /(exp) (id) People will talk/
世間の通り [せけんのとおり] /(n) reputation/
世間は広い様で狭い [せけんはひろいようでせまい] /(exp) (id) It's a small world after all/
世間一般 [せけんいっぱん] /(exp) the world in general/society/convention/
世間一般の通念 [せけんいっぱんのつうねん] /(exp) conventional wisdom/
世間擦れ [せけんずれ] /(n,vs) worldly wise/sophisticated/street smart/knowledge of the world (acquired in the school of hard knocks)/toughness/
世間周知 [せけんしゅうち] /(n) common knowledge/widely known/known to everybody/
世間体 [せけんてい] /(n) appearance (in the eyes of society)/decency/
世間知らず [せけんしらず] /(adj-na,n) ignorant of the ways of the world/
世間並み [せけんなみ] /(adj-na) ordinary/average/
世間様 [せけんさま] /(n) (hon) world/society/
世間離れ [せけんばなれ] /(n,vs) becoming unworldly/being free from worldliness/not keeping up with social norms/
世間話 [せけんばなし] /(n) gossip/chat/
世紀 [せいき] /(n) century/era/(P)/
世紀末 [せいきまつ] /(n) end of a century (esp. 19th)/fin-de-siecle/(P)/
世局 [せいきょく] /(n) world developments/
世銀 [せぎん] /(n) (abbr) World Bank/(P)/
世継 [よつぎ] /(n) heir/successor/
世継ぎ [よつぎ] /(n) heir/successor/
世故 [せいこ] /(n) worldly affairs/
世故 [せこ] /(n) worldly affairs/
世故に長ける [せこにたける] /(exp,v1) to know much of the world/
世才 [せさい] /(n) worldly wisdom/practical wisdom/prudence/shrewdness/
世嗣 [よつぎ] /(n) heir/successor/
世子 [せいし] /(n) heir/successor/
世事 [せじ] /(n) worldly affairs/
世事に暗い [せじにくらい] /(n) know little of the world/
世事に疎い [せじにうとい] /(n) inexperienced/unrealistic/knowing but little of the world/
世事一切 [せじいっさい] /(n) all the worldly matters/
世辞 [せじ] /(n) flattery/compliment/
世辞者 [せじもの] /(n) flatterer/someone skilled at flattery/
世捨て人 [よすてびと] /(n,adj-no) hermit/recluse/
世襲 [せしゅう] /(n,vs,adj-no) heredity/heritage/(P)/
世上 [せじょう] /(n) the world/
世上万般 [せじょうばんぱん] /(n) all the worldly (mundane) matters/everything in this world/
世情 [せじょう] /(n) the ways of the world/human nature/
世人 [せじん] /(n) the people/the public/the world/
世世 [よよ] /(n-adv,n-t) for generations/hereditary/generation after generation/
世世限りなく [よよかぎりなく] /(n) forever and ever/
世世限り無く [よよかぎりなく] /(n) forever and ever/
世相 [せそう] /(n) (1) phase of life/sign of the times/(2) world (social) conditions/society/(P)/
世俗 [せぞく] /(n,adj-no) common customs/worldliness/vulgar/popular/the world/the common people/
世俗化 [せぞくか] /(n,vs) secularization/secularisation/popularization/popularisation/
世俗主義 [せぞくしゅぎ] /(n,adj-no) secularism/
世俗心 [せぞくしん] /(n) worldliness/
世俗的 [せぞくてき] /(adj-na) worldly/
世俗的ヒューマニズム [せぞくてきヒューマニズム] /(n) secular humanism/
世尊 [せそん] /(n) World-Honored One (honorific name for Gautama Buddha)/
世帯 [しょたい] /(n) household/home/family/housekeeping/
世帯 [せたい] /(n) household/home/family/housekeeping/(P)/
世帯を張る [しょたいをはる] /(exp,v5r) to keep (set up) house/
世帯員 [せたいいん] /(n) family members/members of the household/
世帯主 [せたいぬし] /(n) head of the family/head of the household/
世帯所得 [せたいしょとく] /(n) family income/
世帯数 [せたいすう] /(n) number of households/
世態 [せたい] /(n) social conditions/
世態人情 [せたいにんじょう] /(n) (contemporary) customs and behavior/the picture of people's life in the contemporary world/
世代 [せだい] /(n,adj-no) generation/the world/the age/(P)/
世代管理 [せだいかんり] /(n) (comp) generation management/
世代間 [せだいかん] /(adj-no) intergenerational/
世代間倫理 [せだいかんりんり] /(n) intergenerational ethics/
世代交代 [せだいこうたい] /(n,adj-no) alternation of generations/
世知 [せち] /(n) worldly wisdom/stingy person/
世知辛い [せちがらい] /(adj-i) hard (life)/tough (world)/
世直し [よなおし] /(n,vs) world reformation/
世伝 [せいでん] /(adj-no) hereditary (estates)/
世渡り [よわたり] /(n,vs) making a living/getting on in the world/subsistence/
世途 [せいと] /(n) the world/the path of life/
世道人心 [せどうじんしん] /(n) (public) morals and sentiments/
世馴れる [よなれる] /(v1,vi) to become used to the (ways of the) world/to become worldly or sophisticated/
世評 [せひょう] /(n) reputation/public opinion/
世柄 [よがら] /(n) world conditions/the times/
世変 [せいへん] /(n) change of times/
世務 [せいむ] /(n) worldly affairs/public affairs/
世務 [せむ] /(n) worldly affairs/public affairs/
世迷言 [よまいごと] /(n) grumbling/muttering/nonsense/
世離れる [よばなれる] /(v1,vi) to become unworldly/to stop keeping up with social norms/to be out of touch with reality/
世論 [せろん] /(n) public opinion/(P)/
世論 [よろん] /(n) public opinion/(P)/
世論操作 [よろんそうさ] /(n) manipulation of public opinion/
世論調査 [せろんちょうさ] /(n) public opinion poll/
世論調査 [よろんちょうさ] /(n) public opinion poll/
世話 [せわ] /(n,vs) looking after/help/aid/assistance/(P)/
世話がない [せわがない] /(exp,adj-i) simple matter/problem free/hopeless/the end (i.e. leaving one at a loss of words)/
世話がやける [せわがやける] /(exp,v1) to be troublesome/to require the aid and labour of others/
世話が焼ける [せわがやける] /(exp,v1) to be troublesome/to require the aid and labour of others/
世話になる [せわになる] /(exp,v5r) to receive favor (favour)/to be much obliged to someone/to be indebted/
世話の焼ける [せわのやける] /(exp,v1) to be annoying/to be troublesome/
世話をする [せわをする] /(exp,vs-i) to take care of/
世話を焼く [せわをやく] /(exp,v5k) to bother/to meddle/to poke one's nose (into another's business)/to be too helpful/
世話好き [せわずき] /(adj-na,n) obliging person/
世話女房 [せわにょうぼう] /(n) perfectly dedicated wife/
世話焼き [せわやき] /(n) a bother/a meddlesome person/
世話人 [せわにん] /(n) sponsor/manager/go-between/mediator/agent/(P)/
世話人 [せわびと] /(n) sponsor/manager/go-between/mediator/agent/
世話人間 [せわにんげん] /(n) person who looks after others/
世話物 [せわもの] /(n) sewamono (in kabuki, etc., a domestic drama about ordinary people, esp. of the Edo period)/
世話役 [せわやく] /(n) mediator/manager/
瀬 [せ] /(n) (1) shallows/shoal/(2) rapids/current/torrent/(3) position/place/(4) chance/opportunity/(P)/
瀬を下る [せをくだる] /(exp,v5r) to descend the rapids/
瀬戸 [せと] /(n) strait/channel/(P)/
瀬戸引き [せとびき] /(n) enameling/enamelware/
瀬戸際 [せとぎわ] /(n) brink/critical moment/(P)/
瀬戸際外交 [せとぎわがいこう] /(n) brinkmanship diplomacy/
瀬戸際政策 [せとぎわせいさく] /(n) brinkmanship/
瀬戸焼 [せとやき] /(n) ceramic ware from Seto (Aichi Prefecture)/
瀬戸焼き [せとやき] /(n) ceramic ware from Seto (Aichi Prefecture)/
瀬戸内海 [せとないかい] /(n) Inland Sea/
瀬戸物 [せともの] /(n) earthenware/crockery/china/(P)/
瀬戸物市 [せとものいち] /(n) ceramic market/
瀬取り [せどり] /(n) delivery at sea (e.g. drugs)/off-shore delivery (into smaller boats)/
瀬取り船 [せどりぶね] /(n) small boat used for unloading goods from a large boat anchored nearby/
瀬取船 [せどりぶね] /(n) small boat used for unloading goods from a large boat anchored nearby/
瀬踏み [せぶみ] /(n,vs) sounding out/measuring the depths (of a river)/
畝 [うね] /(n) ridge/rib/
畝 [せ] /(n) (obs) se (Japanese unit of area equal to 30 tsubo, ~99.174 m.sq.)/(P)/
畝 [ほ] /(n) (obsc) mu (Chinese measure of land area, formerly ~600 m.sq., currently ~667 m.sq.)/
畝ねり [うねり] /(n) (uk) wave motion/undulation/winding/heaving sea/swell/roller/
畝ねる [うねる] /(io) (v5r,vi) (1) (uk) to wind (of a road, etc.)/to meander/to twist/(2) (uk) to undulate/to surge/to swell/to roll/
畝る [うねる] /(v5r,vi) (1) (uk) to wind (of a road, etc.)/to meander/to twist/(2) (uk) to undulate/to surge/to swell/to roll/(P)/
畝間 [うねま] /(n) furrow/room with ridged roof/
畝溝 [うねみぞ] /(n) furrow ridges/
畝織 [うねおり] /(n) ridged fabric/corduroy/
畝織り [うねおり] /(n,adj-no) ribbed fabric/corded fabric/
畝須 [うねす] /(n) ridged whale meat used to make whale "bacon"/
畝立て [うねだて] /(exp) building rice-field ridges/
是 [これ] /(pn) (1) (uk) this (indicating an item near the speaker, the action of the speaker, or the current topic)/(2) (hum) this person (usu. indicating someone in one's in-group)/(3) now/(4) (arch) here/(5) (arch) I (me)/(6) (arch) certainly/
是 [ぜ] /(n) righteousness/justice/right/
是々非々 [ぜぜひひ] /(n) free and unbiased/fair and just/ruling or judging what's right is right and what's wrong is wrong/calling spade a spade/
是か非か [ぜかひか] /(exp) right or wrong/
是が非でも [ぜがひでも] /(exp,adv) rightly or wrongly/by all possible means/
是っ切り [これっきり] /(n,n-adv) (1) (uk) last time (as of now)/never again/(2) only this/
是れ [これ] /(pn) (1) (uk) this (indicating an item near the speaker, the action of the speaker, or the current topic)/(2) (hum) this person (usu. indicating someone in one's in-group)/(3) now/(4) (arch) here/(5) (arch) I (me)/(6) (arch) certainly/
是位 [これくらい] /(n,adv) this much/this amount/
是位 [これぐらい] /(n,adv) this much/this amount/
是見よがし [これみよがし] /(adj-no,adj-na) for show/ostentatious/flaunting/showing off/
是式 [これしき] /(n,adj-no) (uk) trifle/insignificant thing/(only) this much/
是丈 [これだけ] /(exp) (uk) so many (few)/so much (little)/
是是非非 [ぜぜひひ] /(n) free and unbiased/fair and just/ruling or judging what's right is right and what's wrong is wrong/calling spade a spade/
是是非非主義 [ぜぜひひしゅぎ] /(n) principle of being fair and just/fair and unbiased policy (unbiassed)/
是正 [ぜせい] /(n,vs) correction/revision/(P)/
是正措置 [ぜせいそち] /(n) corrective action (measure)/rectification/
是生滅法 [ぜしょうめっぽう] /(exp) (Buddh) the law of arising and ceasing/the law of creation and destruction/
是切り [これきり] /(n,n-adv) (1) (uk) last time (as of now)/never again/(2) only this/
是切り [これぎり] /(n,n-adv) (1) (uk) last time (as of now)/never again/(2) only this/
是程 [これほど] /(adv,n) (uk) so/so much/this much/
是等 [これら] /(pn,adj-no) (uk) these/
是認 [ぜにん] /(n,vs,adj-no) approval/(P)/
是彼 [これかれ] /(n) (1) (uk) this and that/(2) this person and that person/anybody/
是非 [ぜひ] /(adv,n) (1) (uk) certainly/without fail/(2) right and wrong/pros and cons/(P)/
是非とも [ぜひとも] /(adv) by all means (with sense of not taking "no" for an answer)/(P)/
是非ない [ぜひない] /(adj-i) unavoidable/inevitable/
是非に及ばず [ぜひにおよばず] /(exp) unavoidable/inevitable/cannot be helped/of necessity/
是非もない [ぜひもない] /(exp) unavoidable/inevitable/
是非も無い [ぜひもない] /(exp) unavoidable/inevitable/
是非共 [ぜひとも] /(adv) by all means (with sense of not taking "no" for an answer)/
是非曲直 [ぜひきょくちょく] /(n) rights and wrongs (of a case)/relative merits (of a case)/
是非是非 [ぜひぜひ] /(adv) (uk) certainly/by all means/(P)/
是非善悪 [ぜひぜんあく] /(n) rights and wrongs/the relative merits (of a case)/propriety/
是非判断 [ぜひはんだん] /(n) discrimination of right and wrong/distinguishing between right and wrong/
是非無い [ぜひない] /(adj-i) unavoidable/inevitable/
凄い [すごい] /(adj-i) (1) (uk) terrible/dreadful/(2) amazing (e.g. of strength)/great (e.g. of skills)/wonderful/terrific/(3) to a great extent/vast (in numbers)/(P)/
凄く [すごく] /(adv) awfully/very/immensely/
凄くない [すごくない] /(exp) (uk) cool! (only when said or written in a questioning tone)/incredible/unbelievable/
凄じい [すさまじい] /(io) (adj-i) terrific/fierce/terrible/tremendous/dreadful/awful/amazing/absurd/cutthroat/intense/
凄まじい [すさまじい] /(adj-i) terrific/fierce/terrible/tremendous/dreadful/awful/amazing/absurd/cutthroat/intense/(P)/
凄む [すごむ] /(v5m,vi) to threaten/
凄艶 [せいえん] /(adj-na,n) weirdly beautiful/
凄技 [すごわざ] /(n) amazing trick/amazing skill/
凄惨 [せいさん] /(adj-na,n) ghostliness/gruesomeness/
凄絶 [せいぜつ] /(adj-na,n) extremely/violently/
凄文句 [すごもんく] /(n) intimidating language/
凄味 [すごみ] /(n) weirdness/ghastliness/dreadfulness/
凄烈 [せいれつ] /(adj-na) fierce/
凄腕 [すごうで] /(n) go-getter/live wire/resourceful person/remarkable ability/
凄愴 [せいそう] /(adj-na,n) pathetic/dreadful/
制 [せい] /(n,n-suf) system/organization/organisation/imperial command/laws/regulation/control/government/suppression/restraint/holding back/establishment/(P)/
制す [せいす] /(v5s,vt) to control/to command/to get the better of/
制する [せいする] /(vs-s,vt) to control/to command/to get the better of/(P)/
制圧 [せいあつ] /(n,vs) gaining total control (of people or counties)/suppression/oppression/control/mastery/ascendancy/supremacy/(P)/
制海権 [せいかいけん] /(n) control of the seas/
制汗剤 [せいかんざい] /(n) deodorant/
制癌剤 [せいがんざい] /(n) anti-cancer (cancer-inhibiting) drug/
制気口 [せいきこう] /(n) diffuser/air supply outlet in air-conditioning system/
制球 [せいきゅう] /(n) (pitcher's) control (baseball)/(P)/
制球力 [せいきゅうりょく] /(n) (pitcher's) control/
制禦 [せいぎょ] /(n,vs) control/governing/checking/suppression/repression/restraint/mastery/management/
制空 [せいくう] /(n) mastery of the air/
制空権 [せいくうけん] /(n) air superiority/mastery of the air/
制憲 [せいけん] /(n,vs) establishment of a constitution/
制限 [せいげん] /(n,vs) restriction/restraint/limitation/limit/(P)/
制限なし [せいげんなし] /(n) (comp) unlimited/unrestricted/
制限なしトークン [せいげんなしトークン] /(n) (comp) nonrestricted token/
制限外の字 [せいげんがいのじ] /(n) forbidden kanji/
制限漢字 [せいげんかんじ] /(n) restricted Chinese characters/
制限酵素 [せいげんこうそ] /(n) restriction enzyme/restriction endonuclease/
制限指定表 [せいげんしていひょう] /(n) (comp) limited entry table/
制限事項 [せいげんじこう] /(n) restriction/limitation/
制限時間 [せいげんじかん] /(n) time limit/
制限戦争 [せいげんせんそう] /(n) limited war/
制限速度 [せいげんそくど] /(n) speed limit/
制限配信 [せいげんはいしん] /(n) (comp) restricted delivery/
制限付きトークン [せいげんつきトークン] /(n) (comp) restricted token/
制限用法 [せいげんようほう] /(n) (ling) restrictive (of relative pronoun use)/
制御 [せいぎょ] /(n,vs) control/governing/checking/suppression/repression/restraint/mastery/management/(P)/
制御コード [せいぎょコード] /(n) (comp) control code/
制御シーケンス [せいぎょシーケンス] /(n) (comp) control sequence/
制御システム [せいぎょシステム] /(n) control system/
制御ストリング [せいぎょすとリング] /(n) (comp) control string/
制御データ項目 [せいぎょデータこうもく] /(n) (comp) control data item/
制御データ名 [せいぎょデータめい] /(n) (comp) control data-name/
制御フレーム [せいぎょフレーム] /(n) (comp) control frame/
制御ブロック [せいぎょブロック] /(n) (comp) control block/
制御プログラム [せいぎょプログラム] /(n) (comp) control program/
制御プロセス [せいぎょプロセス] /(n) (comp) controlling process/
制御プロセッサ [せいぎょプロセッサ] /(n) (comp) control processor/
制御モデル [せいぎょモデル] /(n) (comp) control model/
制御遺伝子 [せいぎょいでんし] /(n) control gene/regulator gene/regulatory gene/
制御域 [せいぎょいき] /(n) (comp) control area/
制御下 [せいぎょか] /(n) under control/
制御階層 [せいぎょかいそう] /(n) (comp) control hierarchy/
制御観測点 [せいぎょかんそくてん] /(n) (comp) point of control and observation/PCO/
制御器 [せいぎょき] /(n) controller/regulator/
制御機 [せいぎょき] /(n) controller/regulator/
制御機能 [せいぎょきのう] /(n) (comp) control function/
制御脚書き [せいぎょあしがき] /(n) (comp) control footing/
制御局 [せいぎょきょく] /(n) (comp) control station/
制御系 [せいぎょけい] /(n) (comp) control system/
制御権 [せいぎょけん] /(n) (comp) control/control right/
制御言語 [せいぎょげんご] /(n) (comp) command language/control language/
制御室 [せいぎょしつ] /(n) control room/control booth/
制御集団 [せいぎょしゅうだん] /(n) (comp) control group/
制御切れ [せいぎょぎれ] /(n) (comp) control break/
制御切れレベル [せいぎょぎれレベル] /(n) (comp) control break level/
制御装置 [せいぎょそうち] /(n) controller/control unit/
制御属性パッケージ [せいぎょぞくせいパッケージ] /(n) (comp) Control-Attribute-Package/
制御卓 [せいぎょたく] /(n) (comp) (operator) console/
制御端末 [せいぎょたんまつ] /(n) (comp) controlling terminal/
制御点 [せいぎょてん] /(n) (comp) Control Point/CM/
制御頭書き [せいぎょあたまがき] /(n) (comp) control heading/
制御盤 [せいぎょばん] /(n) control panel/switchbox/
制御部 [せいぎょぶ] /(n) controller/
制御部拡張 [せいぎょぶかくちょう] /(n) (comp) control field extension/
制御文字 [せいぎょもじ] /(n) (comp) control character/
制御棒 [せいぎょぼう] /(n) control rod/
制御要素 [せいぎょようそ] /(n) (comp) control elements/
制御流れ [せいぎょながれ] /(n) (comp) control flow/
制御領域 [せいぎょりょういき] /(n) (comp) control area/CA/
制裁 [せいさい] /(n,vs) restraint/sanctions/punishment/(P)/
制作 [せいさく] /(n,vs) (1) work (film, book)/(2) production/creation/(P)/
制作室 [せいさくしつ] /(n) studio/workshop/
制札 [せいさつ] /(n) roadside prohibition-edict boards/
制酸剤 [せいさんざい] /(n) anti-acid preparation/
制酸薬 [せいさんやく] /(n) gastric antacid/
制止 [せいし] /(n,vs) control/check/restraint/inhibition/(P)/
制式 [せいしき] /(n) defined style/predetermined style/official style/rule/
制勝 [せいしょう] /(n,vs) victory/championship/
制震 [せいしん] /(n,vs) vibration control (in earthquake-resistant construction)/
制水弁 [せいすいべん] /(n) water regulating valve/gate valve/
制定 [せいてい] /(n,vs) enactment/establishment/creation/(P)/
制度 [せいど] /(n,adj-no) system/institution/organization/organisation/(P)/
制度学派 [せいどがくは] /(n) institutionalism/institutional school/
制統 [せいとう] /(n,vs) restricting and controlling/
制動 [せいどう] /(n,vs) braking (mechanism)/
制動機 [せいどうき] /(n) brake/
制動手 [せいどうしゅ] /(n) brakeman/
制動灯 [せいどうとう] /(n) brake light/stoplight/
制動放射 [せいどうほうしゃ] /(n) bremsstrahlung (physics)/X-rays produced when fast electrons pass through matter/
制動輻射 [せいどうふくしゃ] /(n) bremsstrahlung (physics)/X-rays produced when fast electrons pass through matter/
制覇 [せいは] /(n,vs) conquest/domination/mastery/(P)/
制服 [せいふく] /(n) uniform/(P)/
制服制帽 [せいふくせいぼう] /(n) cap and uniform/
制帽 [せいぼう] /(n) regulation cap/school cap/
制約 [せいやく] /(n,vs) limitation/restriction/condition/constraints/(P)/
制約集号 [せいやくしゅうごう] /(n) (comp) constraint set/
制約集合 [せいやくしゅうごう] /(n) (comp) constraint set/
制約充足 [せいやくじゅうそく] /(n,adj-no) constraint satisfaction/
制約充足問題 [せいやくじゅうそくもんだい] /(n) constraint satisfaction problem (esp. in AI)/CSP/
制約条件 [せいやくじょうけん] /(n) limiting conditions/constraint/
制約伝搬 [せいやくでんぱん] /(n) constraint propagation/
制欲 [せいよく] /(n,vs) control of passions/control of appetite/
制令 [せいれい] /(n,vs) regulations/
制馭 [せいぎょ] /(n,vs) control/governing/checking/suppression/repression/restraint/mastery/management/
勢 [いきおい] /(io) (adv,n) (1) force/vigor/vigour/energy/spirit/life/(2) influence/authority/power/might/(3) impetus/momentum/course (of events)/(n-adv) (4) naturally/necessarily/
勢 [せい] /(n) (1) energy/(2) military strength/
勢 [はずみ] /(n) (1) bounce/spring/rebound/(2) momentum/inertia/(3) spur of the moment/impulse/
勢い [いきおい] /(adv,n) (1) force/vigor/vigour/energy/spirit/life/(2) influence/authority/power/might/(3) impetus/momentum/course (of events)/(n-adv) (4) naturally/necessarily/(P)/
勢いづく [いきおいづく] /(v5k,vi) to gather strength/to take heart/
勢いを振るう [いきおいをふるう] /(exp,v5u) to wield power/to exercise authority/
勢い込む [いきおいこむ] /(v5m,vi) to brace oneself/
勢い付く [いきおいづく] /(v5k,vi) to gather strength/to take heart/
勢い良く [いきおいよく] /(adv) vigorously/
勢ぞろい [せいぞろい] /(n,vs) array/muster/line-up/full force/
勢み [はずみ] /(n) (1) bounce/spring/rebound/(2) momentum/inertia/(3) spur of the moment/impulse/(P)/
勢み車 [はずみぐるま] /(n) flywheel/
勢威 [せいい] /(n) force/power/influence/
勢運 [せいうん] /(n) trend/tendency/
勢家 [せいか] /(n) influential family/the man in power/
勢子 [せこ] /(n) beater (on a hunt)/
勢至菩薩 [せいしぼさつ] /(n) (Buddh) Mahasthamaprapta (bodhisattva)/
勢車 [はずみぐるま] /(n) flywheel/
勢揃 [せいぞろい] /(io) (n,vs) array/muster/line-up/full force/
勢揃い [せいぞろい] /(n,vs) array/muster/line-up/full force/
勢望 [せいぼう] /(n) power and popularity/
勢門 [せいもん] /(n) influential family/the man in power/
勢力 [せいりょく] /(n) influence/power/might/strength/potency/force/energy/(P)/
勢力下に [せいりょくかに] /(adv) under the influence of/
勢力家 [せいりょくか] /(n) man of influence/
勢力家 [せいりょっか] /(n) man of influence/
勢力拡大 [せいりょくかくだい] /(n) expansion of one's sphere of influence/increase in one's power (strength, influence)/
勢力関係 [せいりょくかんけい] /(n) power relations/balance of power (between)/
勢力均衡 [せいりょくきんこう] /(n) balance of power/
勢力圏 [せいりょくけん] /(n) sphere of influence/
勢力圏内 [せいりょくけんない] /(n) within the sphere of influence (of)/
勢力伯仲 [せいりょくはくちゅう] /(n) (the two sides) being evenly-matched in influence or power/
勢力範囲 [せいりょくはんい] /(n) sphere of influence/
勢力分野 [せいりょくぶんや] /(n) the respective (relative) strength of political parties/distribution of the number of parliamentary seats held by each of the political parties/
勢力拮抗 [せいりょくきっこう] /(n,vs) struggle for supremacy between evenly-matched forces (parties)/
姓 [かばね] /(n) (1) hereditary title (used in ancient Japan to denote rank and political standing)/(2) (arch) clan/
姓 [しょう] /(ok) (n) (1) surname/family name/
姓 [せい] /(n) (1) surname/family name/(2) hereditary title (used in ancient Japan to denote rank and political standing)/(P)/
姓 [そう] /(ok) (n) (1) surname/family name/
姓が変わる [せいがかわる] /(exp,v5r) to assume a new surname/
姓氏 [せいし] /(n) full name/family name/
姓名 [せいめい] /(n) full name/(P)/
姓名判断 [せいめいはんだん] /(n) fortunetelling based on writing or pronunciation of one's name/
姓名不詳 [せいめいふしょう] /(n,adj-no) unidentified/name unknown/
征く [ゆく] /(v5k) to conquer/to subjugate/
征夷 [せいい] /(n) warring against barbarians/
征夷大将軍 [せいいたいしょうぐん] /(n) commander-in-chief of the expeditionary force against the barbarians/great, unifying leader/
征衣 [せいい] /(n) traveling clothes/travelling clothes/military uniform/
征韓論 [せいかんろん] /(n) policy of conquering Korea by military force/
征戦 [せいせん] /(n,vs) military expedition/
征途 [せいと] /(n) (military or pleasure) expedition/
征途に上る [せいとにのぼる] /(exp,v5r) to start on a journey/to go on a military expedition/
征討 [せいとう] /(n,vs) subjugation/conquest/
征伐 [せいばつ] /(n,vs) conquest/subjugation/overcoming/
征服 [せいふく] /(n,vs) conquest/subjugation/overcoming/(P)/
征服者 [せいふくしゃ] /(n) conqueror/
征服欲 [せいふくよく] /(n) the lust for conquest/
征矢 [そや] /(n) used arrow, collected from battlefield/
征露 [せいろ] /(n) (arch) attacking Russia/
征露丸 [せいろがん] /(n) seirogan - beechwood extract popular as a herbal treatment for diarrhoea (diarrhea), etc./
性 [さが] /(n) (1) one's nature/one's destiny/(2) custom/tradition/habit/
性 [しょう] /(n,n-suf) (1) nature (of a person or thing)/(2) (Buddh) that which does not change according to external influences/
性 [せい] /(n) (1) nature (of a person)/(2) sex/(3) gender/(suf) (4) -ty/-ity/-ness/-cy/(P)/
性 [なりくせ] /(ok) (n) (1) one's nature/one's destiny/(2) custom/tradition/habit/
性が合う [しょうがあう] /(exp,v5u) to get along well with/
性に合う [しょうにあう] /(exp,v5u) to be congenial/to agree with one/
性の悪い犬 [しょうのわるいいぬ] /(n) vicious dog/ill-tempered dog/
性の解放 [せいのかいほう] /(exp) sexual liberation/
性の区別 [せいのくべつ] /(n) distinction of the sexes/
性の自由 [せいのじゆう] /(n) sexual freedom/
性の良い [しょうのよい] /(n) of good quality/
性フェロモン [せいフェロモン] /(n) sex pheromone/
性ホルモン [せいホルモン] /(n) sex hormone (e.g. estrogen, testosterone)/
性愛 [せいあい] /(n) sexual love/eros/
性悪 [しょうわる] /(adj-na,n) ill-natured/inconstancy/
性悪 [せいあく] /(adj-na,n) ill-natured/inconstancy/
性悪説 [せいあくせつ] /(n) the view of human nature as fundamentally depraved/
性科学 [せいかがく] /(n) sexology/
性格 [せいかく] /(n) character/personality/disposition/nature/(P)/
性格検査 [せいかくけんさ] /(n) personality test/
性格診断 [せいかくしんだん] /(n) personality assessment (analysis, determination, identification)/
性格判断 [せいかくはんだん] /(n) personality assessment (analysis, determination, identification)/
性格判別 [せいかくはんべつ] /(n) personality assessment (analysis, determination, identification)/
性格美人 [せいかくびじん] /(n) woman with a wonderful personality/
性格描写 [せいかくびょうしゃ] /(n) character portrayal/characterization/
性格分析 [せいかくぶんせき] /(n) personality assessment (analysis, determination, identification)/
性格類型 [せいかくるいけい] /(n) character type/personality type/
性感 [せいかん] /(n,adj-no) sexual feelings/
性感エステ [せいかんエステ] /(n) beauty parlour offering sexual massages/
性感染症 [せいかんせんしょう] /(n) sexually transmitted disease/
性感帯 [せいかんたい] /(n) erogenous zone/(P)/
性器 [せいき] /(n,adj-no) genital/
性器ピアス [せいきピアス] /(n) genital piercing/
性器的性格 [せいきてきせいかく] /(n) genital character (in psychoanalysis)/
性機能 [せいきのう] /(n) sex function/
性機能障害 [せいきのうしょうがい] /(n) sexual dysfunction/
性機能不全 [せいきのうふぜん] /(n) sexual dysfunction/
性急 [せいきゅう] /(adj-na,n) impatience/a quick temper/(P)/
性教育 [せいきょういく] /(n) sex education/(P)/
性具 [せいぐ] /(n) sex toy/sex aid/
性形質 [せいけいしつ] /(n) sexual characteristic/
性交 [せいこう] /(n,vs,adj-no) sexual intercourse/(P)/
性交渉 [せいこうしょう] /(n) sexual relations/
性交体位 [せいこうたいい] /(n) sex position/
性向 [せいこう] /(n) inclination/tendency/nature/character/(P)/
性行 [せいこう] /(n) character and conduct/(P)/
性行為 [せいこうい] /(n) sex act/intercourse/
性行為感染症 [せいこういかんせんしょう] /(n) sexually transmitted disease/
性行動 [せいこうどう] /(n) sex (sexual) behavior (behaviour)/
性根 [しょうこん] /(n) perseverance/
性根 [しょうね] /(n) character/nature/
性差 [せいさ] /(n) sex difference/
性差別 [せいさべつ] /(n) sex discrimination/sexism/
性細胞 [せいさいぼう] /(n) sex cell/
性産業 [せいさんぎょう] /(n) sex industry/
性質 [せいしつ] /(n) nature/property/disposition/(P)/
性衝動 [せいしょうどう] /(n) sexual urge/
性情 [せいじょう] /(n) nature/disposition/
性状 [せいじょう] /(n) characteristics/
性成熟 [せいせいじゅく] /(n) sexual maturation/
性生活 [せいせいかつ] /(n) sex life/
性染色体 [せいせんしょくたい] /(n) sex chromosome/
性腺 [せいせん] /(n,adj-no) gonad/sexual gland/
性腺刺激ホルモン [せいせんしげきホルモン] /(n) gonadotropic hormone (gonadotrophic)/
性腺摘除 [せいせんてきじょ] /(n) castration/
性善 [しょうぜん] /(n) intrinsic goodness/
性善 [せいぜん] /(n) intrinsic goodness/
性善説 [せいぜんせつ] /(n) belief that human nature is fundamentally good/
性俗 [せいぞく] /(n) (abbr) sexual culture/sexual mores/
性体験 [せいたいけん] /(n) sexual experience/
性徴 [せいちょう] /(n) sexual characteristics (biol.)/
性懲り [しょうこり] /(n) persistent/incorrigible/
性懲りもなく [しょうこりもなく] /(adv) incorrigibly/
性懲りも無く [しょうこりもなく] /(adv) incorrigibly/
性的 [せいてき] /(adj-na,n,adj-no) (1) (relating to) gender/(2) sex/sexual/(P)/
性的逸脱 [せいてきいつだつ] /(n) sexual deviation/sexual anomaly/
性的関係 [せいてきかんけい] /(n) sexual relations/
性的虐待 [せいてきぎゃくたい] /(n) sexual abuse/
性的興奮 [せいてきこうふん] /(n) sexual arousal/sexual excitation/
性的区別のない [せいてきくべつのない] /(adj-i) gender-neutral/
性的区別の無い [せいてきくべつのない] /(adj-i) gender-neutral/
性的指向 [せいてきしこう] /(n) sexual orientation/
性的少数者 [せいてきしょうすうしゃ] /(n) sexual minority/
性的衝動 [せいてきしょうどう] /(n) sexual urge/sexual drive/libido/
性的倒錯 [せいてきとうさく] /(n,adj-no) paraphilia/sexual deviancy/
性的二形 [せいてきにけい] /(n) sexual dimorphism/
性的嗜好 [せいてきしこう] /(n) sexual preference/sexual predilection/
性転換 [せいてんかん] /(n,vs) sex change/
性転換手術 [せいてんかんしゅじゅつ] /(n) sex change surgery/
性淘汰 [せいとうた] /(n) sexual selection/
性同一性障害 [せいどういつせいしょうがい] /(n) gender identity disorder/
性道徳 [せいどうとく] /(n) sexual morality/
性能 [せいのう] /(n) ability/performance/efficiency/(P)/
性能ペナルティ [せいのうペナルティ] /(n) (comp) performance penalty/efficiency penalty/
性能監視 [せいのうかんし] /(n) (comp) performance monitoring/
性能管理 [せいのうかんり] /(n) (comp) performance management/
性能特性 [せいのうとくせい] /(n) performance characteristic/
性能評価 [せいのうひょうか] /(n) (comp) benchmark/
性能保証 [せいのうほしょう] /(n) performance guarantee/performance assurance/
性反応 [せいはんのう] /(n,n-suf) reaction/response/
性犯罪 [せいはんざい] /(n) sex crime/
性犯罪者 [せいはんざいしゃ] /(n) sex offender/
性比 [せいひ] /(n) sex ratio/
性表現情報 [せいひょうげんじょうほう] /(n) sexually explicit material/
性病 [せいびょう] /(n,adj-no) venereal disease/(P)/
性風俗 [せいふうぞく] /(n) sexual culture/sexual mores/
性風俗関連特殊営業 [せいふうぞくかんれんとくしゅえいぎょう] /(n) sex establishment (as regulated by a specific Japanese law)/
性風俗産業 [せいふうぞくさんぎょう] /(n) sex entertainment industry/
性分 [しょうぶん] /(n) nature/disposition/(P)/
性癖 [せいへき] /(n) disposition/inclination/characteristic/idiosyncrasy/(P)/
性別 [せいべつ] /(n) distinction by sex/sex/gender/(P)/
性別並びに国籍 [せいべつならびにこくせき] /(n) sex and nationality/
性別役割分業 [せいべつやくわりぶんぎょう] /(n) division of labor by gender role/
性暴力 [せいぼうりょく] /(n) sexual violence/gender-related violence/
性本能 [せいほんのう] /(n) sex instinct/
性役割 [せいやくわり] /(n) gender role/sex role/
性遊戯 [せいゆうぎ] /(n) sex game/
性慾 [せいよく] /(n,adj-no) sexual desire/
性欲 [せいよく] /(n,adj-no) sexual desire/(P)/
性理学 [せいりがく] /(n) neo-Confucianism (esp. from the Song period)/
成さしめる [なさしめる] /(v1) to force to do/to compel/
成しうる [なしうる] /(adj-f,exp) to be able to do/to be capable of doing/
成しえる [なしえる] /(ik) (adj-f,exp) to be able to do/to be capable of doing/
成し遂げる [なしとげる] /(v1,vt) to accomplish/to finish/to fulfill/(P)/
成し得る [なしうる] /(adj-f,exp) to be able to do/to be capable of doing/
成し得る [なしえる] /(ik) (adj-f,exp) to be able to do/to be capable of doing/
成す [なす] /(v5s,vt) (1) to build up/to establish/(2) to form/to become (a state)/(3) to accomplish/to achieve/to succeed in/(4) to change into/(5) to do/to perform/(aux-v) (6) (arch) to intend to/to attempt/to try/(7) (arch) to have a child/(P)/
成らしめる [ならしめる] /(v1) (uk) (arch) to make become/to let become/
成らぬ堪忍するが堪忍 [ならぬかんにんするがかんにん] /(exp) (id) True patience lies in bearing the unbearable/
成り [なり] /(n) being promoted (shogi)/
成りきる [なりきる] /(v5r,vi) to turn completely into/to become completely/
成りすまし [なりすまし] /(n) (1) (comp) identity fraud/forgery (e.g. of email)/(2) a masquerade/
成り下がる [なりさがる] /(v5r,vi) to be degraded/to come down in the world/
成り果てる [なりはてる] /(v1,vi) to be reduced to .../
成り角 [なりかく] /(n) promoted bishop/
成り金 [なりきん] /(n,adj-no) (1) (derog) upstart/nouveau riche/new rich/narikin/coming into wealth suddenly/(2) (orig. meaning) piece promoted to gold general (in shogi)/
成り駒 [なりこま] /(n) promoted chessman/
成り行き [なりゆき] /(n) outcome/development/course of events/progress/result/(P)/
成り行きに任せる [なりゆきにまかせる] /(exp,v1) to leave to take its own course/to let a matter take care of itself/
成り行き注文 [なりゆきちゅうもん] /(n) market order/
成り込む [なりこむ] /(v5m) to incorporate (shoji)/
成り済まし [なりすまし] /(n) (1) (comp) identity fraud/forgery (e.g. of email)/(2) a masquerade/
成り済ます [なりすます] /(v5s,vi) to pose as/to impersonate/
成り上がり [なりあがり] /(n) upstart/parvenu/jumped-up person/
成り上がり者 [なりあがりもの] /(n) upstart/parvenu/
成り上がる [なりあがる] /(v5r,vi) to rise (suddenly) in the world (to a higher position)/
成り上る [なりあがる] /(v5r,vi) to rise (suddenly) in the world (to a higher position)/
成り丈 [なりたけ] /(adv) (uk) as much as one can/as much as possible/
成り切る [なりきる] /(v5r,vi) to turn completely into/to become completely/
成り代わる [なりかわる] /(v5r) to do in place of or on behalf of (someone)/
成り変わる [なりかわる] /(v5r) to change/to change into/to become/
成り立ち [なりたち] /(n) (1) the way in which something came about/origin/(2) structure/organization/the way something is constructed/
成り立つ [なりたつ] /(v5t,vi,vt) (1) to consist of/to be made up of/to be composed of/(2) to be practical (logical, feasible, viable)/to be concluded/to hold true/(P)/
成る [なる] /(v5r,vi) (1) (uk) to become/to get/to grow/to be/to reach/to attain/(2) to result in/to prove to be/(3) to consist of/to be composed of/(4) to succeed/to be complete/(5) to change into/to be exchanged for/(6) to play a role/(7) to be promoted (shogi)/(v5r) (8) (hon) to do .../(P)/
成るたけ [なるたけ] /(adv) (uk) as much as possible/if possible/
成るべく [なるべく] /(adv) (uk) as much as possible/wherever practicable/(P)/
成る可く [なるべく] /(adv) (uk) as much as possible/wherever practicable/
成る丈 [なるたけ] /(adv) (uk) as much as possible/if possible/
成る丈 [なるだけ] /(adv) (uk) as much as possible/if possible/
成る程 [なるほど] /(exp,adv) (uk) I see/That's right!/Indeed/
成れの果て [なれのはて] /(exp) the mere shadow of one's former self/the ruin of what one once was/
成ろう事なら [なろうことなら] /(exp) (uk) if possible/if circumstances allow/
成案 [せいあん] /(n) definite plan/(P)/
成育 [せいいく] /(n,vs) growth/raising/
成員 [せいいん] /(n) member/regular member/active member/
成因 [せいいん] /(n) origin/cause/
成果 [せいか] /(n) results/fruits/(P)/
成果てる [なりはてる] /(v1,vi) to be reduced to .../
成果を収める [せいかをおさめる] /(exp,v1) to achieve success/
成果主義 [せいかしゅぎ] /(n) pay for performance/payment by results/
成果主義賃金体系 [せいかしゅぎちんぎんたいけい] /(n) merit-based wage system/
成果物 [せいかぶつ] /(uK) (n) deliverables/
成魚 [せいぎょ] /(n) adult fish/
成業 [せいぎょう] /(n,vs) completion of one's work/
成金 [なりきん] /(n,adj-no) (1) (derog) upstart/nouveau riche/new rich/narikin/coming into wealth suddenly/(2) (orig. meaning) piece promoted to gold general (in shogi)/(P)/
成金趣味 [なりきんしゅみ] /(n,adj-no) the ostentation (bad taste) of the nuveau riche/air of vulgar prosperity/
成銀 [なりぎん] /(n) promoted silver general (shogi)/
成句 [せいく] /(n) set phrase/idiomatic phrase/
成空 [せいくう] /(n) come to nothingness/
成型 [せいけい] /(n,vs) (1) cast/mold/mould/casting/molding/moulding/compacting (e.g. in metallurgy)/(2) forming/shaping/fashioning/
成形 [せいけい] /(n,vs) (1) cast/mold/mould/casting/molding/moulding/compacting (e.g. in metallurgy)/(2) forming/shaping/fashioning/
成形手術 [せいけいしゅじゅつ] /(n) orthopedic surgery/plastic surgery/
成桂 [なりけい] /(n) promoted knight (shogi)/
成犬 [せいけん] /(n) a mature dog/
成語 [せいご] /(n) set phrase/idiomatic expression/
成功 [せいこう] /(n,vs) success/hit/(P)/
成功の暁には [せいこうのあかつきには] /(n) when one has succeeded/
成功を収める [せいこうをおさめる] /(exp,v1) to achieve success/
成功を望む [せいこうをのぞむ] /(exp,v5m) to hope to succeed/
成功者 [せいこうしゃ] /(n) successful man/success/
成功報酬 [せいこうほうしゅう] /(n) fee contingent upon success/contingency fee/completion bonus/
成功裏に [せいこうりに] /(adv) in success/
成功裡 [せいこうり] /(n) success/
成功率 [せいこうりつ] /(n) success rate/
成行き [なりゆき] /(n) outcome/development/course of events/progress/result/(P)/
成香 [なりきょう] /(n) promoted lance (shogi)/
成劫 [じょうこう] /(n) (Buddh) the kalpa of formation (the first aeon of the universe)/
成劫 [じょうごう] /(n) (Buddh) the kalpa of formation (the first aeon of the universe)/
成婚 [せいこん] /(n) marriage/wedding/
成算 [せいさん] /(n) confidence in success/(P)/
成就 [じょうじゅ] /(n,vs) fulfillment/fulfilment/realization/realisation/completion/(P)/
成熟 [せいじゅく] /(n,vs,adj-no) maturity/ripeness/(P)/
成熟期 [せいじゅくき] /(n) period of maturity/adolescence/puberty/
成熟度 [せいじゅくど] /(n) level of maturity (not used for mental maturity)/
成熟分裂 [せいじゅくぶんれつ] /(n,adj-no) (obsc) meiosis/
成書 [せいしょ] /(n) book/
成女 [せいじょ] /(n) (obsc) adult woman/mature woman/
成上がる [なりあがる] /(v5r,vi) to rise (suddenly) in the world (to a higher position)/
成上り [なりあがり] /(n) upstart/parvenu/jumped-up person/
成丈 [なりたけ] /(adv) (uk) as much as one can/as much as possible/
成人 [せいじん] /(n) (1) adult/(vs) (2) to grow up/to mature/(3) to come of age/(P)/
成人の日 [せいじんのひ] /(n) Coming of Age Day (second Monday in January. Prior to 2000 was Jan 15)/Adult's Day/
成人映画 [せいじんえいが] /(n) adult movie/
成人教育 [せいじんきょういく] /(n) adult education/
成人指定 [せいじんしてい] /(n) rated for "adults only"/
成人式 [せいじんしき] /(n) coming-of-age ceremony/
成人病 [せいじんびょう] /(n) adult diseases/(P)/
成績 [せいせき] /(n) results/record/grades/(P)/
成績証明書 [せいせきしょうめいしょ] /(n) transcript of results/report of results/
成績表 [せいせきひょう] /(n) report card/result sheet/
成績不振 [せいせきふしん] /(n) poor (academic) performance/poor (business) results (showing)/
成層 [せいそう] /(n) stratification/
成層火山 [せいそうかざん] /(n) stratovolcano/composite volcano/
成層圏 [せいそうけん] /(n) stratosphere/(P)/
成体 [せいたい] /(n,adj-no) adult organism/imago/
成虫 [せいちゅう] /(n,adj-no) imago/adult (insect)/
成長 [せいちょう] /(n,vs) growth/grow to adulthood/(P)/
成長を阻む [せいちょうをはばむ] /(exp,v5m) to hinder the growth of (e.g. plants, someone)/to hamper the growth of/
成長ホルモン [せいちょうホルモン] /(n) growth hormone (esp. somatotropin in animals and auxins in plants)/
成長過程 [せいちょうかてい] /(n) growth process/
成長株 [せいちょうかぶ] /(n) growth stock/person with future promise/
成長期 [せいちょうき] /(n) growth period/growing season/
成長曲線 [せいちょうきょくせん] /(n) logistic curve/growth curve/
成長産業 [せいちょうさんぎょう] /(n) growth industry/
成長事業 [せいちょうじぎょう] /(n) (high) growth business/
成長小説 [せいちょうしょうせつ] /(n) novel of formation (education)/novel of character development/novel which traces the intellectual, moral, spiritual or social development of a young person/Bildungsroman (German)/
成長戦略 [せいちょうせんりゃく] /(n) growth strategy/
成長促進 [せいちょうそくしん] /(n) growth promotant/
成長点 [せいちょうてん] /(n) point of growth/
成長面 [せいちょうめん] /(n) growth surface/
成長予測 [せいちょうよそく] /(n) growth forecast/
成長率 [せいちょうりつ] /(n) growth rate/
成鳥 [せいちょう] /(n) adult bird/
成程 [なるほど] /(exp,adv) (uk) I see/That's right!/Indeed/(P)/
成典 [せいてん] /(n) law code/established rites/
成田離婚 [なりたりこん] /(n) Narita divorce/divorce case of a newlywed couple breaking up upon their return to Narita Airport from their honeymoon abroad/
成道 [じょうどう] /(n,vs) completing the path to becoming a Buddha (by attaining enlightenment)/
成年 [せいねん] /(n) adult age/majority/(P)/
成年式 [せいねんしき] /(n) coming-of-age ceremony/
成年者 [せいねんしゃ] /(n) adult/person of full age/
成敗 [せいはい] /(n) success and failure/
成敗 [せいばい] /(n,vs) punishment/judgement/judgment/
成否 [せいひ] /(n) success or failure/outcome/result/(P)/
成仏 [じょうぶつ] /(n,vs) (1) entering Nirvana/becoming a Buddha/(2) going to heaven/resting in peace/dying (peacefully)/
成分 [せいぶん] /(n) ingredient/component/composition/(P)/
成分名 [せいぶんめい] /(n) ingredient name/constituent name/
成文 [せいぶん] /(n) written expression/writing/
成文化 [せいぶんか] /(n,vs) codification/
成文憲法 [せいぶんけんぽう] /(n) written constitution/
成文法 [せいぶんほう] /(n) written or statutory law/
成文律 [せいぶんりつ] /(n) written or statutory law/
成約 [せいやく] /(n,vs) conclusion of a contract/(P)/
成幼虫 [せいようちゅう] /(n) adult and larval stages (e.g. of an insect)/
成立 [せいりつ] /(n) (1) coming into existence/arrangements/establishment/conclusion/completion/(vs) (2) to come into existence/to be true/to hold (i.e. hold true)/(P)/
成立ち [なりたち] /(n) (1) the way in which something came about/origin/(2) structure/organization/the way something is constructed/
成立つ [なりたつ] /(v5t,vi,vt) (1) to consist of/to be made up of/to be composed of/(2) to be practical (logical, feasible, viable)/to be concluded/to hold true/
政 [まつりごと] /(n) rule/government/(P)/
政を執る [まつりごとをとる] /(exp,v5r) to administer the affairs of state/
政界 [せいかい] /(n) political world/(P)/
政界の嵐 [せいかいのあらし] /(n) political storm/
政界工作 [せいかいこうさく] /(n) currying of political favor/buying political influence/
政界再編 [せいかいさいへん] /(n) political realignment/a realignment of political parties/
政界余聞 [せいかいよぶん] /(n) tidbits of political gossip/
政客 [せいかく] /(n) politician (or someone otherwise engaged in politics)/statesman/
政客 [せいきゃく] /(n) politician (or someone otherwise engaged in politics)/statesman/
政教 [せいきょう] /(n) religion and politics/church and state/(P)/
政教一致 [せいきょういっち] /(n) unity of church and state/
政教分離 [せいきょうぶんり] /(n) separation of church and state/
政局 [せいきょく] /(n) political situation/(P)/
政経 [せいけい] /(n) politics and economics/(P)/
政権 [せいけん] /(n) (political) administration/political power/(P)/
政権を握る [せいけんをにぎる] /(exp,v5r) to come to power/to assume the reins of government/
政権下 [せいけんか] /(exp,adj-no) under the ... administration/within the ... government/
政権交代 [せいけんこうたい] /(n) change of government/regime change/
政権公約 [せいけんこうやく] /(n) policy statement/manifesto/
政権構想 [せいけんこうそう] /(n) planning a new government/plan for a new administration/
政権争い [せいけんあらそい] /(n) political power struggle/
政権党 [せいけんとう] /(n) political party in power/
政権亡者 [せいけんもうじゃ] /(n) one who is obsessed with (getting into, holding on to) political power/one who is obsessed with the idea of taking over government/
政見 [せいけん] /(n) political views/(P)/
政見放送 [せいけんほうそう] /(n) broadcast of political views/
政綱 [せいこう] /(n) political principle, policy or platform/
政策 [せいさく] /(n) political measures/policy/(P)/
政策学 [せいさくがく] /(n) policy studies/
政策関連 [せいさくかんれん] /(adj-no) policy-related/policy based/policy relevant/
政策協定 [せいさくきょうてい] /(n) policy agreement/
政策金利 [せいさくきんり] /(n) policy interest rate/
政策決定 [せいさくけってい] /(n,adj-no) policy making/
政策決定過程 [せいさくけっていかてい] /(n) policy-making process/
政策審議 [せいさくしんぎ] /(n) policy deliberation/
政策調査 [せいさくちょうさ] /(n) party policy research/
政策転換 [せいさくてんかん] /(n) policy shift/policy U-turn/
政策秘書 [せいさくひしょ] /(n) policy secretary/
政策不況 [せいさくふきょう] /(n) policy-induced slump/stagnation resulting from poor economic policies/
政策方針 [せいさくほうしん] /(n) (political) policy position/line of policy/party line/
政策目標 [せいさくもくひょう] /(n) policy objective/
政策立案 [せいさくりつあん] /(n) policy making/
政策立案者 [せいさくりつあんしゃ] /(n) policy maker/
政事 [せいじ] /(n) political affairs/
政治 [せいじ] /(n) politics/government/(P)/
政治の腐敗を嘆く [せいじのふはいをなげく] /(exp,v5k) to deplore the corruption of politics/
政治キャリア [せいじキャリア] /(n) political career/
政治グループ [せいじグループ] /(n) political group/
政治システム [せいじシステム] /(n) political system/
政治パーティー [せいじパーティー] /(n) political fundraiser/
政治プロセス [せいじプロセス] /(n) political process/
政治意志 [せいじいし] /(n) political will/
政治意識 [せいじいしき] /(n) political awareness/
政治運動 [せいじうんどう] /(n) political campaign/
政治汚職 [せいじおしょく] /(n) political corruption/
政治王朝 [せいじおうちょう] /(n) (obsc) political dynasty/
政治屋 [せいじや] /(n) (derog) politician (esp. one who works only for their own personal gain)/
政治家 [せいじか] /(n) politician/statesman/(P)/
政治家肌 [せいじかはだ] /(n) being something of a politician/having something of the politician in one/
政治過程 [せいじかてい] /(n) political process/
政治改革 [せいじかいかく] /(n) political reform/
政治学 [せいじがく] /(n) political science/
政治学者 [せいじがくしゃ] /(n) political scientist/
政治活動 [せいじかつどう] /(n) political activity/
政治活動の自由 [せいじかつどうのじゆう] /(n) freedom to carry out political activities/freedom of political activity/
政治活動家 [せいじかつどうか] /(n) political activist/
政治干渉 [せいじかんしょう] /(n) political intervention/
政治感覚 [せいじかんかく] /(n) sense of politics/feeling for politics/
政治危機 [せいじきき] /(n) political crisis/
政治機構 [せいじきこう] /(n) political structure or mechanism/
政治決断 [せいじけつだん] /(n) political decision/
政治決着 [せいじけっちゃく] /(n) a political settlement/settling (a dispute) politically (without resorting to force)/
政治結社 [せいじけっしゃ] /(n) a political organization/a political organisation/
政治権力 [せいじけんりょく] /(n) political force/
政治献金 [せいじけんきん] /(n,vs) political contributions/
政治交渉 [せいじこうしょう] /(n) political negotiation/
政治工作 [せいじこうさく] /(n) political maneuvering/politicking/political machinations/
政治抗争 [せいじこうそう] /(n) political strife (antagonism, conflict)/
政治構造 [せいじこうぞう] /(n) political structure/
政治姿勢 [せいじしせい] /(n) political stance/
政治思想 [せいじしそう] /(n) political thought/political philosophy/political idea/idea about politics/
政治資金 [せいじしきん] /(n) political funds/
政治資金パーティー [せいじしきんパーティー] /(n) political fundraising party/
政治資金規正法 [せいじしきんきせいほう] /(n) Political Funds Control Law/
政治資金調達 [せいじしきんちょうたつ] /(n) fundraising/
政治自由化 [せいじじゆうか] /(n,vs) political liberalization/political liberalisation/
政治主導 [せいじしゅどう] /(n,adj-no) initiative taken by politicians (in the formulation of a policy or bill) (rather than by bureaucrats)/
政治色 [せいじしょく] /(n) political coloring/political colouring/
政治制度 [せいじせいど] /(n) political system/political institution/regime/
政治生命 [せいじせいめい] /(n) political life/
政治責任 [せいじせきにん] /(n) (one's) administrative responsibilities/
政治組織 [せいじそしき] /(n) political organisation/
政治体制 [せいじたいせい] /(n) political system/
政治対話 [せいじたいわ] /(n) political dialogue/
政治団体 [せいじだんたい] /(n) a political organization/a political organisation/
政治的 [せいじてき] /(adj-na) political/(P)/
政治的圧力 [せいじてきあつりょく] /(n) political pressure/
政治的暗殺 [せいじてきあんさつ] /(n) political assassination/
政治的解決 [せいじてきかいけつ] /(n) political solution/
政治的危機 [せいじてききき] /(n) political crisis/
政治的緊張 [せいじてききんちょう] /(n) political tension/
政治的空白 [せいじてきくうはく] /(n) political vacuum/
政治的指導者 [せいじてきしどうしゃ] /(n) political leader/
政治的抵抗 [せいじてきていこう] /(n) political resistance/
政治的賭け [せいじてきかけ] /(n) political gamble/
政治的配慮 [せいじてきはいりょ] /(n) political consideration/
政治的不安定 [せいじてきふあんてい] /(n) political instability/
政治的武器 [せいじてきぶき] /(n) political weapon/
政治的暴力 [せいじてきぼうりょく] /(n) political violence/
政治哲学 [せいじてつがく] /(n) political philosophy/
政治道徳 [せいじどうとく] /(n) political morality/
政治犯 [せいじはん] /(n) political offense/political offence/political offender/(P)/
政治評論家 [せいじひょうろんか] /(n) political commentator (journalist, columnist)/
政治不信 [せいじふしん] /(n) distrust of politics/political uncertainty/
政治風土 [せいじふうど] /(n) political climate/
政治保護 [せいじほご] /(n) political asylum/
政治亡命 [せいじぼうめい] /(n) political exile/
政治暴力 [せいじぼうりょく] /(n) political violence/
政治問題 [せいじもんだい] /(n) political issue (problem)/
政治要綱 [せいじようこう] /(n) platform (e.g. of a party)/policy statement/manifesto/
政治抑圧 [せいじよくあつ] /(n) political repression/
政治理論 [せいじりろん] /(n) political theory/
政治離れ [せいじばなれ] /(n) disillusionment with politics/
政治力 [せいじりょく] /(n) political strength/(P)/
政治力学 [せいじりきがく] /(n) political dynamics/dynamics of political forces/the balance of political power/
政治倫理 [せいじりんり] /(n) political ethics/
政治倫理審査会 [せいじりんりしんさかい] /(n) Deliberative Council on Political Ethics/
政所 [まつりごとどころ] /(n) (1) official in charge of the administration of domains and general affairs of powerful noble families (from the middle of the Heian period)/(2) (hon) (abbr) titled lady (legal wife of an important official)/(3) government office related to finances (Kamakura and Muromachi periods)/(4) clerk working for large temples and shrines/
政所 [まどころ] /(n) (1) official in charge of the administration of domains and general affairs of powerful noble families (from the middle of the Heian period)/(2) (hon) (abbr) titled lady (legal wife of an important official)/(3) government office related to finances (Kamakura and Muromachi periods)/(4) clerk working for large temples and shrines/
政所 [まんどころ] /(n) (1) official in charge of the administration of domains and general affairs of powerful noble families (from the middle of the Heian period)/(2) (hon) (abbr) titled lady (legal wife of an important official)/(3) government office related to finances (Kamakura and Muromachi periods)/(4) clerk working for large temples and shrines/
政商 [せいしょう] /(n) businessman with political ties/
政情 [せいじょう] /(n) political situation/political affairs/(P)/
政情不安 [せいじょうふあん] /(n) the instability of a political situation/political instability/
政審 [せいしん] /(n) (abbr) policy deliberation/
政争 [せいそう] /(n) political strife/(P)/
政争の渦 [せいそうのうず] /(n) whirlpool of political strife/
政争の具とする [せいそうのぐとする] /(exp,vs-i) to make a political issue of (something)/
政体 [せいたい] /(n) constitution/
政談 [せいだん] /(n) talking politics/discussion of a law case/
政庁 [せいちょう] /(n) government office/(P)/
政調 [せいちょう] /(n) (abbr) party policy research/
政調会 [せいちょうかい] /(n) policy research committee/
政調会長 [せいちょうかいちょう] /(n) chairman of (party) policy bureau/policy chief/
政敵 [せいてき] /(n) political opponent/(P)/
政党 [せいとう] /(n,adj-no) political party/(P)/
政党員 [せいとういん] /(n) member of a political party/
政党政治 [せいとうせいじ] /(n) party politics/(P)/
政党内閣 [せいとうないかく] /(n) party cabinet/
政道 [せいどう] /(n) politics/
政府 [せいふ] /(n) government/administration/(P)/
政府の方針を踏まえて [せいふのほうしんをふまえて] /(exp) based on government policy/
政府案 [せいふあん] /(n) government bill/
政府介入 [せいふかいにゅう] /(n) government intervention/
政府開発援助 [せいふかいはつえんじょ] /(n) Official Development Assistance/ODA/
政府管掌健康保険 [せいふかんしょうけんこうほけん] /(n) government-managed health insurance/
政府管掌保険 [せいふかんしょうほけん] /(n) government-managed insurance/
政府機関 [せいふきかん] /(n) government body (agency)/
政府筋 [せいふすじ] /(n) government sources/official quarters/
政府軍 [せいふぐん] /(n) government troop/
政府高官 [せいふこうかん] /(n) high (government) official/
政府支出 [せいふししゅつ] /(n,adj-no) government expenditure/
政府出資 [せいふしゅっし] /(n,adj-no) government funding/government-financed/
政府所有 [せいふしょゆう] /(n) (comp) gov't property/gov't owned/
政府短期証券 [せいふたんきしょうけん] /(n) financing bill/FB/
政府米 [せいふまい] /(n) government-controlled rice/
政府保証債 [せいふほしょうさい] /(n) government-guaranteed bond/
政柄 [せいへい] /(n) political power/
政変 [せいへん] /(n) coup/(P)/
政務 [せいむ] /(n) government affairs/(P)/
政務を見る [せいむをみる] /(exp,v1) to administer affairs of state/to attend to government affairs/
政務を執る [せいむをとる] /(exp,v5r) to administer affairs of state/to attend to government affairs/
政務官 [せいむかん] /(n) parliamentary official/
政務次官 [せいむじかん] /(n) parliamentary vice-minister/(P)/
政略 [せいりゃく] /(n) politics/political manoeuvre/political maneuver/
政略家 [せいりゃくか] /(n) political tactician/
政略結婚 [せいりゃくけっこん] /(n) political marriage of convenience/
政倫審 [せいりんしん] /(n) (abbr) Deliberative Council on Political Ethics (Diet Committee)/ethics committee/
政令 [せいれい] /(n) government ordinance/cabinet order/(P)/
政令指定都市 [せいれいしていとし] /(n) ordinance-designated city/
政冷経熱 [せいれいけいねつ] /(n) cold political relations but hot economical relations (often said about China-Japan relations)/
政労 [せいろう] /(n) (abbr) government-labour (e.g. liaison meeting)/government-labor/
政論 [せいろん] /(n) political argument/
整う [ととのう] /(v5u,vi) to be prepared/to be in order/to be put in order/to be arranged/(P)/
整え [ととのえ] /(n) preparation/arrangement/execution/
整える [ととのえる] /(v1,vt) (1) to put in order/to arrange/to adjust/(2) to get ready/to prepare/(3) to raise money/(P)/
整った [ととのった] /(adj-f) well-ordered/in good order/well-featured/well-regulated/(P)/
整域 [せいいき] /(n) (math) integral domain/ring with no divisors of zero/
整形 [せいけい] /(n,vs,adj-no) (1) orthopedics/plastic surgery/cosmetic surgery/(2) smoothing (bursty traffic, etc.)/
整形外科 [せいけいげか] /(n,adj-no) orthopaedic surgery/plastic surgery/(P)/
整形手術 [せいけいしゅじゅつ] /(n) orthopedic surgery/plastic surgery/
整形美人 [せいけいびじん] /(n) a plastic-surgery beauty/
整経機 [せいけいき] /(n) warping machine/
整構造プログラミング [せいこうぞうプログラミング] /(n) (comp) structured programming/
整合 [せいごう] /(n,vs,adj-no) adjustment/coordination/integration/conformity/(P)/
整合寸法集合体 [せいごうすんぽうしゅうごうたい] /(n) (comp) adjustable-size aggregate/
整合性 [せいごうせい] /(n) integrity/consistency/conformity/
整合説 [せいごうせつ] /(n) coherence theory (theory that a proposition is true if it corresponds with a specified set of other propositions)/
整骨 [せいこつ] /(n) bonesetting/
整骨院 [せいこついん] /(n) bonesetter's clinic/orthopedic clinic/
整骨師 [せいこつし] /(n) osteopath/
整式 [せいしき] /(n) (math) integral expression/
整序 [せいじょ] /(n,vs) arranging in order/
整序問題 [せいじょもんだい] /(n) question based on rearranging (words) into the correct order/
整除 [せいじょ] /(n,vs) exact division/
整水器 [せいすいき] /(n) water purifier/
整数 [せいすう] /(n) integer/whole number/(P)/
整数以外 [せいすういがい] /(n) (comp) non-integer/
整数型 [せいすうがた] /(n) (comp) integer type/
整数計画法 [せいすうけいかくほう] /(n) (comp) integer programming/
整数値 [せいすうち] /(n) (comp) integer value/
整数比 [せいすうひ] /(n) (expressed as) the ratios of whole numbers/
整数論 [せいすうろん] /(n) theory of numbers/number theory/
整斉 [せいせい] /(n,adj-no) symmetrical/
整然 [せいぜん] /(adj-t,adv-to) orderly/regular/systematic/well-organized/well-organised/trim/tidy/accurate/
整体 [せいたい] /(n,adj-no) Setai (manipulative therapy based on Chinese and Japanese traditions, and encompassing osteopathy, massage and chiropractic)/
整体療法 [せいたいりょうほう] /(n) chiropractic treatment/
整地 [せいち] /(n,vs) soil preparation/
整腸 [せいちょう] /(n) medicine for internal disorders/
整調 [せいちょう] /(n,vs) (1) tuning (e.g. instruments)/(2) stroke oar/head oarsman/
整定時間 [せいていじかん] /(n) (comp) settling time/
整頓 [せいとん] /(n,vs) orderliness/put in order/tidying up/arranging neatly/(P)/
整髪 [せいはつ] /(n,vs) hairdressing/
整髪剤 [せいはつざい] /(n) hairdressing/
整髪料 [せいはつりょう] /(n) (1) hairdressing product (creams, gels, etc.)/(2) hairdressing fee/charge for a haircut/
整版 [せいはん] /(n,vs) plate-making/
整備 [せいび] /(n,vs) maintenance/servicing/outfitting/(P)/
整備工 [せいびこう] /(n) (car) mechanic/
整備工場 [せいびこうじょう] /(n) repair shop/garage/
整備済製品 [せいびさいせいひん] /(n) refurbished item/
整備士 [せいびし] /(n) mechanic/
整備室 [せいびしつ] /(n) office (usu. for construction, maintenance, services, etc.)/
整備性 [せいびせい] /(n) serviceability/maintainability/ease of maintaining/
整備不良 [せいびふりょう] /(n) faulty maintenance/poor maintenance/inadequate maintenance/
整風 [せいふう] /(n) rectification/
整復 [せいふく] /(n,vs) reposition/
整容 [せいよう] /(n,vs) straighten one's posture/
整理 [せいり] /(n,vs) sorting/arrangement/organization/putting in order/adjustment/regulation/liquidation/(P)/
整理ダンス [せいりダンス] /(n) bureau/chest of drawers/cabinet/
整理屋 [せいりや] /(n) loan shark who specializes in refinancing debts/
整理券 [せいりけん] /(n) numbered ticket (e.g. to determine order of service)/
整理整頓 [せいりせいとん] /(n,vs) keeping things tidy and in order/
整理箪笥 [せいりだんす] /(n) bureau/chest of drawers/cabinet/
整理淘汰 [せいりとうた] /(n,vs) reorganize an enterprise and weed out redundant workers/reorganize an industry and weed out redudant enterprises/
整理統合 [せいりとうごう] /(n) consolidation/
整理番号 [せいりばんごう] /(n) reference number/
整理部 [せいりぶ] /(n) copyreading department/
整流 [せいりゅう] /(n,vs,adj-no) (1) rectification/(2) commutation/
整流器 [せいりゅうき] /(n) rectifier/
整流子 [せいりゅうし] /(n) commutator/
整流板 [せいりゅうばん] /(n) rectifier/
整列 [せいれつ] /(n,vs) standing in a row/forming a line/alignment/(P)/
整列併合用ファイル記述項 [せいれつへいごうようファイルきじゅつこう] /(n) (comp) sort-merge file description entry/
整列用ファイル [せいれつようファイル] /(n) (comp) sort file/
星 [せい] /(n) Chinese "star" constellation (one of the 28 mansions)/
星 [ほし] /(n) (1) star/any light-emitting (or reflecting) heavenly body (except for the sun and the moon)/(2) suspect (police slang)/(P)/
星々 [ほしぼし] /(n) stars/the stars and planets/celestial bodies/
星ぞら [ほしぞら] /(n) starry sky/
星を落とす [ほしをおとす] /(exp,v5s) to lose (in sumo)/
星葦毛 [ほしあしげ] /(n) (obsc) dapple gray (horse coat color)/dapple grey/
星印 [ほしじるし] /(n) star/asterisk/
星烏 [ほしがらす] /(n) (uk) spotted nutcracker (Nucifraga caryocatactes)/
星雲 [せいうん] /(n) (1) nebula/(2) (obs) galaxy/
星雲説 [せいうんせつ] /(n) the nebular hypothesis/
星影 [ほしかげ] /(n) starlight/
星河 [せいか] /(n) (obsc) Milky Way/
星河 [せいが] /(n) (obsc) Milky Way/
星河豚 [ほしふぐ] /(n) starry toado (pufferfish, Arothron firmamentum)/
星回り [ほしまわり] /(n) one's star/one's fortune or destiny/
星界 [せいかい] /(n) star world (SF term)/
星学 [せいがく] /(n) (obs) astronomy/
星勘定 [ほしかんじょう] /(n) sumo term "counting stars" for reckoning score to date/how well something has gone (e.g. in terms of wins over losses)/
星官 [せいかん] /(n) (obsc) constellation (in ancient China; important constellations were then used to divide the ecliptic into 28 "mansions")/
星間 [せいかん] /(adj-no) interstellar/
星間ガス [せいかんガス] /(n) interstellar gas/interstellar miasma/
星間雲 [せいかんうん] /(n) interstellar cloud/
星間吸収 [せいかんきゅうしゅう] /(n) interstellar absorption/
星間塵 [せいかんじん] /(n) interstellar dust/
星間物質 [せいかんぶっしつ] /(n) interstellar matter/
星気体 [せいきたい] /(n) astral body/
星空 [ほしぞら] /(n) starry sky/(P)/
星屑 [ほしくず] /(n) stardust/
星群 [せいぐん] /(n) asterism (pattern of stars which do not form a constellation)/
星型 [ほしがた] /(n) star shape/pentagram/
星形 [ほしがた] /(n) star shape/pentagram/
星月 [ほしづき] /(n) star (white patch on the forehead of a horse)/
星月夜 [ほしづきよ] /(n) starry night/
星月夜 [ほしづくよ] /(n) starry night/
星口動物 [せいこうどうぶつ] /(n) sipunculan (any worm of phylum Sipuncula)/sipunculid/
星口動物 [ほしぐちどうぶつ] /(n) sipunculan (any worm of phylum Sipuncula)/sipunculid/
星座 [せいざ] /(n,adj-no) constellation/(P)/
星座早見 [せいざはやみ] /(n) planisphere/
星座投影機 [せいざとうえいき] /(n) planetarium (projector)/
星祭り [ほしまつり] /(n) Star Festival/Tanabata/
星鮫 [ほしざめ] /(n) (uk) starspotted smooth-hound (species of hound shark, Mustelus manazo)/
星姿勢計 [せいしせいけい] /(n) (obsc) star tracker/
星取り表 [ほしとりひょう] /(n) chart used to keep track of sumo wrestler's records during the tournament/
星取表 [ほしとりひょう] /(n) chart used to keep track of sumo wrestler's records during the tournament/
星寿 [せいじゅ] /(n) 90th birthday/
星宿 [せいしゅく] /(n) (1) constellation/(2) (arch) mansion (any of the Chinese constellations used to divide the ecliptic into 28 positions)/(3) Chinese "star" constellation (one of the 28 mansions)/
星宿 [ほとおりぼし] /(n) (1) constellation/(2) (arch) mansion (any of the Chinese constellations used to divide the ecliptic into 28 positions)/(3) Chinese "star" constellation (one of the 28 mansions)/
星宿 [ほとほりぼし] /(n) (1) constellation/(2) (arch) mansion (any of the Chinese constellations used to divide the ecliptic into 28 positions)/(3) Chinese "star" constellation (one of the 28 mansions)/
星条旗 [せいじょうき] /(n) (1) Stars and Stripes (US flag)/(2) Star-Spangled Banner (US anthem)/(P)/
星状ネットワーク [ほしじょうネットワーク] /(n) (comp) star network/
星状体 [せいじょうたい] /(n) aster (cell biology)/
星状網 [ほしじょうもう] /(n) (comp) star network/
星食 [せいしょく] /(n) occultation/
星人 [せいじん] /(suf) person from (the planet of)/
星図 [せいず] /(n) star map/
星星 [ほしぼし] /(n) stars/the stars and planets/celestial bodies/
星占い [ほしうらない] /(n) astrology/horoscope/(P)/
星草 [ほしくさ] /(n) pipewort (Eriocaulon cinereum)/
星霜 [せいそう] /(n) years/time/
星辰 [せいしん] /(n) celestial bodies/stars/
星団 [せいだん] /(n) star cluster/
星虫 [ほしむし] /(n) (uk) peanut worm (any worm of phylum Sipuncula)/
星斗 [せいと] /(n) star/
星表 [せいひょう] /(n) star catalog/star catalogue/
星宝貝 [ほしだからがい] /(n) (uk) tiger cowrie (Cypraea tigris)/tiger cowry/
星椋鳥 [ほしむくどり] /(n) (uk) common starling/European starling (Sturnus vulgaris)/
星明かり [ほしあかり] /(n) starlight/
星明り [ほしあかり] /(n) starlight/
星目 [せいもく] /(n) (1) game board for Go arranged such that the weaker player (usu. Black) has a handicap stone placed on each of the nine star points./(2) nine-stone handicap game (Go)/
星夜 [せいや] /(n) starry night/starlight night/
晴 [はれ] /(n) (1) clear weather/(adj-no) (2) public/formal/(3) cleared of suspicion/
晴々 [はればれ] /(adv,n) bright/cheerful/
晴々しい [はればれしい] /(adj-i) clear/splendid/cheerful/bright (e.g. look)/
晴やか [はれやか] /(adj-na) clear/bright/sunny/
晴らす [はらす] /(v5s,vt) to dispel/to clear away/to refresh (oneself)/(P)/
晴れ [はれ] /(n) (1) clear weather/(adj-no) (2) public/formal/(3) cleared of suspicion/(P)/
晴れがましい [はれがましい] /(adj-i) formal/grand/gala/
晴れがましく [はれがましく] /(adv) cheerfully/ceremoniously/
晴れた空 [はれたそら] /(n) clear (cloudless) sky/
晴れて [はれて] /(exp) openly/publicly/in public/
晴れの日 [はれのひ] /(n) formal occasion/fine day/
晴れの舞台 [はれのぶたい] /(n) gala occasion/
晴ればれ [はればれ] /(adv,n) bright/cheerful/
晴れやか [はれやか] /(adj-na) clear/bright/sunny/
晴れやかな笑顔 [はれやかなえがお] /(n) beaming smile/
晴れる [はれる] /(v1,vi) (1) to clear up/to clear away/to be sunny/to stop raining/(2) to refresh (e.g. spirits)/(3) to be cleared (e.g. of a suspicion)/(4) to be dispelled/to be banished/(P)/
晴れ間 [はれま] /(n) (1) a break (in the weather)/an interval of clear weather/(2) lightheartedness/
晴れ姿 [はれすがた] /(n) appearing in one's finest clothes/appearing in one's hour of triumph/
晴れ上がる [はれあがる] /(v5r,vi) to clear up/
晴れ晴 [はればれ] /(adv,n) bright/cheerful/
晴れ晴れ [はればれ] /(adv,n) bright/cheerful/
晴れ晴れしい [はればれしい] /(adj-i) clear/splendid/cheerful/bright (e.g. look)/
晴れ着 [はれぎ] /(n) Sunday best (clothes)/
晴れ着姿 [はれぎすがた] /(n) dressed up (in fine clothes)/
晴れ渡る [はれわたる] /(v5r,vi) to clear up/to be refreshed/
晴れ舞台 [はれぶたい] /(n) gala occasion/
晴一時小雨 [はれいちじこさめ] /(n) clear, with brief light rain/
晴雨 [せいう] /(n) (clear or rainy) weather/
晴雨計 [せいうけい] /(n) barometer/
晴眼者 [せいがんしゃ] /(n) sighted person/
晴後雨 [はれのちあめ] /(n) clear then rain/
晴好雨奇 [せいこううき] /(n) the scenery being beautiful in both sunny and rainy weather/
晴耕雨読 [せいこううどく] /(n,vs) working in the field in fine weather and reading at home in rainy weather/living in quiet retirement dividing time between work and intellectual pursuits/
晴晴 [はればれ] /(adv,n) bright/cheerful/
晴着 [はれぎ] /(n) Sunday best (clothes)/
晴天 [せいてん] /(n) fine weather/(P)/
晴天の霹靂 [せいてんのへきれき] /(exp,n) a bolt out of the blue/
晴天続き [せいてんつづき] /(n) spell of fine weather/
晴天乱気流 [せいてんらんきりゅう] /(n) clear-air turbulence/
晴曇 [せいどん] /(n) fine weather and cloudy/
晴夜 [せいや] /(n) clear night/
晴嵐 [せいらん] /(n) mountain vapor/mountain vapour/
晴朗 [せいろう] /(adj-na,n) clear/fair/fine/serene/
棲み分け [すみわけ] /(n) (1) habitat isolation (biology)/(n,vs) (2) compartmentalization/segregation/isolation/
棲む [すむ] /(v5m,vi) to live (of animals)/to inhabit/to nest/
棲家 [すみか] /(n) dwelling/house/residence/den/habitat/
棲息 [せいそく] /(n,vs) inhabiting/living/
栖 [す] /(n) (1) nest/rookery/breeding place/hive/(2) den/(3) haunt/(4) (spider's) web/
栖 [すみか] /(n) dwelling/house/residence/den/habitat/
栖む [すむ] /(v5m,vi) to live (of animals)/to inhabit/to nest/
栖息 [せいそく] /(n,vs) inhabiting/living/
正 [しょう] /(n,n-pref) (1) greater (of equal court ranks)/upper/senior/(2) director (highest of the four administrative positions of the ritsuryo period)/chief/(pref) (3) (before a number) exactly/precisely/
正 [じょう] /(n,n-pref) (1) greater (of equal court ranks)/upper/senior/
正 [せい] /(n,adj-no) (1) (logical) true/regular/(2) 10^40/(3) (abbr) original/(4) (math) positive/greater than zero/(P)/
正 [まさ] /(n,adj-na) (arch) exact/precise/
正・写し受信者表示 [せい・うつしじゅしんしゃひょうじ] /(n) (comp) primary and copy recipients indication/
正々 [せいせい] /(adj-t,adv-to) accurate/exact/punctual/neat/
正々堂々 [せいせいどうどう] /(uK) (adj-no,adj-t,adv-to) fair and square/open and aboveboard/
正しい [ただしい] /(adj-i) right/just/correct/righteous/honest/truthful/proper/straightforward/perfect/(P)/
正しい言葉を遣う [ただしいことばをつかう] /(exp,v5u) to use the correct word/
正しい言葉を使う [ただしいことばをつかう] /(exp,v5u) to use the correct word/
正しい行い [ただしいおこない] /(n) right conduct/
正しい答え [ただしいこたえ] /(n) correct answer/
正しく [まさしく] /(adv) surely/no doubt/evidently/
正す [ただす] /(v5s,vt) (1) to correct/to reform/to amend/to redress/(2) to adjust/to straighten/(3) to ascertain/to confirm/to verify/to make sure of/(4) to enquire of someone about something (inquire)/to question/(P)/
正と続 [せいとぞく] /(exp) first and second series/
正と反 [せいとはん] /(exp) thesis and antithesis/
正に [まさに] /(adv) (1) (uk) exactly/surely/certainly/(2) just (about to)/on the verge (of doing or happening)/(3) duly/naturally/(P)/
正の外部性 [せいのがいぶせい] /(n) positive externalities/
正の数 [せいのすう] /(n) (math) positive number/positive value/
正悪 [せいあく] /(n) right and wrong/
正安 [しょうあん] /(n) Shouan era (1299.4.25-1302.11.21)/
正安息香酸 [せいあんそくこうさん] /(n) orthobenzoic acid/
正位 [せいい] /(n) correct location/correct position/
正意 [せいい] /(n) true heart/correct meaning/
正一位 [しょういちい] /(n) (1) first rank in the hierarchy of the government/(2) highest rank given to a shrine/
正員 [せいいん] /(n) member/regular member/active member/
正引 [せいびき] /(n) lookup (e.g. in a dictionary, address list, etc.)/
正引き [せいびき] /(n) lookup (e.g. in a dictionary, address list, etc.)/
正閏 [せいじゅん] /(n) (1) normal and leap (years)/(2) legitimate and illegitimate dynasties/
正円窓 [せいえんそう] /(n) fenestra rotunda (of the ear)/
正塩 [せいえん] /(n) normal salt/
正応 [しょうおう] /(n) Shouou era (1288.4.28-1293.8.5)/
正音 [せいおん] /(n) correct Chinese (on) pronunciation of a character/
正価 [せいか] /(n) net price/regular price/
正嘉 [しょうか] /(n) Shouka era (1257.3.14-1259.3.26)/
正課 [せいか] /(n) regular curriculum/required subject/
正課外 [せいかがい] /(n) extracurricular/
正貨 [せいか] /(n) specie/metallic currency/
正会員 [せいかいいん] /(n) regular member/
正解 [せいかい] /(n,vs) correct/right/correct interpretation (answer, solution)/(P)/
正解者 [せいかいしゃ] /(n) person who gives the right (correct) answer/
正格 [せいかく] /(n) correct rules/
正格活用 [せいかくかつよう] /(n) regular conjugation (declension, inflection)/
正確 [せいかく] /(adj-na,n) accurate/punctual/exact/authentic/veracious/(P)/
正確さ [せいかくさ] /(n) accuracy/punctuality/exactness/authenticity/veracity/
正確性 [せいかくせい] /(n) accuracy/
正確度 [せいかくど] /(n) accuracy/
正確爆撃 [せいかくばくげき] /(n) pinpoint bombing/
正確無比 [せいかくむひ] /(n,adj-na,adj-no) unmatched (unparalleled) accuracy/
正覚 [しょうがく] /(n) (Buddh) perfect enlightenment/
正覚坊 [しょうがくぼう] /(n) large sea turtle/heavy drinker/
正楽 [せいがく] /(n) court music/gagaku/
正割 [せいかつ] /(n) secant (trig)/
正観音 [しょうかんのん] /(n) (Buddh) Aryavalokitesvara (manifestation of Avalokitesvara)/
正観世音 [しょうかんぜのん] /(n) (Buddh) Aryavalokitesvara (manifestation of Avalokitesvara)/
正眼 [せいがん] /(n) (1) aiming at the eye (with a sword)/
正気 [しょうき] /(adj-na,n,adj-no) true character/true heart/true spirit/sanity/consciousness/soberness/
正気 [せいき] /(adj-na,n,adj-no) true character/true heart/true spirit/sanity/consciousness/soberness/
正気づく [しょうきづく] /(v5k) to become conscious/to recover one's senses/
正気付く [しょうきづく] /(v5k) to become conscious/to recover one's senses/
正規 [せいき] /(adj-na,n,adj-no) regular/normal/legal/formal/established/legitimate/(P)/
正規ユーザー [せいきユーザー] /(n) (comp) registered user/
正規化 [せいきか] /(n,vs) normalization (e.g. in floating-point representation system)/normalisation/standardization/standardisation/
正規化装置座標 [せいきかそうちざひょう] /(n) (comp) normalized device coordinates/NDC/
正規化投影座標系 [せいきかとうえいざひょうけい] /(n) (comp) normalized projection coordinates/NPC/
正規化変換 [せいきかへんかん] /(n) (comp) normalization transformation/Viewing transformation/window-to-viewport transformation/
正規曲線 [せいききょくせん] /(n) probability curve/
正規軍 [せいきぐん] /(n) regular army/
正規形 [せいきけい] /(n) (comp) normalized form (e.g. in floating-point representation)/standard form/
正規言語 [せいきげんご] /(n) regular language/
正規雇用 [せいきこよう] /(n) regular employment/typical employment/
正規直交化 [せいきちょっこうか] /(n,vs) (math) ortho-normalization/ortho-normalisation/
正規直交系 [せいきちょっこうけい] /(n) normalized orthogonal system/normalised orthogonal system/
正規電圧 [せいきでんあつ] /(n) (comp) normal mode voltage/
正規表現 [せいきひょうげん] /(n) (comp) (computer) regular expression/
正規分布 [せいきぶんぷ] /(n) normal distribution/Gaussian distribution/
正規兵 [せいきへい] /(n) regulars/regular soldiers/
正規労働者 [せいきろうどうしゃ] /(n) fulltime worker/permanent worker/
正義 [せいぎ] /(n) justice/right/righteousness/correct meaning/(P)/
正義の剣 [せいぎのけん] /(n) light sabre (saber) (from the Star Wars films) (lit: sword of justice)/
正義の名に於て [せいぎのなにおいて] /(exp) in the name of justice/
正義感 [せいぎかん] /(n) sense of justice/
正客 [しょうきゃく] /(n) guest of honor/guest of honour/
正客 [せいかく] /(n) guest of honor/guest of honour/
正逆 [せいぎゃく] /(adj-pn) forward and reverse/
正教 [せいきょう] /(n) orthodoxy/(Greek) orthodox church/(P)/
正教員 [せいきょういん] /(n) regular teacher/licensed teacher/
正教会 [せいきょうかい] /(n) Orthodox Church/
正教師 [せいきょうし] /(n) ordained minister/regular teacher/
正教授 [せいきょうじゅ] /(n) full professor/
正業 [しょうごう] /(n) (1) (Buddh) (abbr) right action/(2) correct meditative activity (in Jodo, saying the name of Amitabha)/
正業 [せいぎょう] /(n) legitimate occupation/honest business/
正極 [せいきょく] /(n) cathode/positive pole/positive electrode/
正極性 [せいきょくせい] /(n) positive polarity/straight polarity/
正金 [しょうきん] /(n) specie/bullion/cash/
正金銀行 [しょうきんぎんこう] /(n) specie bank/
正金取引 [しょうきんとりひき] /(n) cash transaction/
正訓 [せいくん] /(n) correct kun reading/
正慶 [しょうきょう] /(n) (obsc) Shoukyou era, Shoukei era (of the Northern Court) (1332.4.28-1333.5.?)/
正慶 [しょうけい] /(n) Shoukei era (of the Northern Court) (1332.4.28-1333.5.?)/
正系 [せいけい] /(n) legitimate line/direct descent/
正経 [せいきょう] /(n) canon of Scripture/
正月 [しょうがつ] /(n) New Year/New Year's Day/the first month/January/(P)/
正月太り [しょうがつぶとり] /(n) putting on weight over the New Year's holidays/
正絹 [しょうけん] /(n) pure silk/
正見 [しょうけん] /(n) (Buddh) right view/
正元 [しょうげん] /(n) Shougen era (1259.3.26-1260.4.13)/
正弦 [せいげん] /(n) sine (trig)/
正弦曲線 [せいげんきょくせん] /(n,adj-no) sine curve/
正弦波 [せいげんは] /(n) sine wave/
正午 [しょうご] /(n-adv,n-t) noon/mid-day/(P)/
正誤 [せいご] /(n) correction/
正誤表 [せいごひょう] /(n) errata/erratum/corrigenda/corrigendum/
正孔 [せいこう] /(n) (electron) hole/positive hole/
正攻法 [せいこうほう] /(n) frontal attack/
正甲板 [せいかんぱん] /(n) main deck/
正行 [しょうぎょう] /(n) (Buddh) correct practices (esp. in Jodo, the path to rebirth in paradise)/
正号 [せいごう] /(n) plus sign/
正鵠 [せいこう] /(n) bull's-eye/mark/point/
正鵠 [せいこく] /(n) bull's-eye/mark/point/
正坐 [せいざ] /(n,vs) kneeling with the tops of the feet flat on the floor, and sitting on the soles/
正座 [しょうざ] /(n) seat of honor/seat of honour/
正座 [せいざ] /(n,vs) kneeling with the tops of the feet flat on the floor, and sitting on the soles/(P)/
正妻 [せいさい] /(n) legal wife/
正朔 [せいさく] /(n) beginning of the month or the year/New Year's Day/the calendar/
正札 [しょうふだ] /(n) price tag/price label/
正札値段 [しょうふだねだん] /(n) fixed price/
正札付き [しょうふだづき] /(n) plainly marked/notorious person/
正三位 [しょうさんみ] /(n) senior grade of the third court rank/
正三角形 [せいさんかくけい] /(n) equilateral triangle/regular triangle/
正三角形 [せいさんかっけい] /(n) equilateral triangle/regular triangle/
正餐 [せいさん] /(n) banquet/formal dinner/
正使 [せいし] /(n) senior envoy/chief delegate/
正史 [せいし] /(n) official history/authorized history/
正四面体 [せいしめんたい] /(n) regular tetrahedron/
正子 [しょうし] /(n) midnight/
正視 [せいし] /(n,vs,adj-no) looking straight ahead/viewing sincerely/
正視眼 [せいしがん] /(n) correct vision/
正字 [せいじ] /(n) (1) correct characters/(2) traditional characters/
正字法 [せいじほう] /(n) correct orthography/
正治 [しょうじ] /(n) Shouji era (1199.4.27-1201.2.13)/
正式 [せいしき] /(adj-na,adj-no,n) due form/official/formality/(P)/
正式の歴史 [せいしきのれきし] /(n) offical history (e.g. a state sanctioned account of history subject to revision when the government changes)/
正式メンバー [せいしきメンバー] /(n) official member/
正式国名 [せいしきこくめい] /(n) official name of a country/
正式発表 [せいしきはっぴょう] /(n) official announcement/
正式名 [せいしきめい] /(n) formal name/
正式名称 [せいしきめいしょう] /(n) formal name/(P)/
正室 [せいしつ] /(n) (1) legal wife (of a noble) (as opposed to a concubine)/(2) room for receiving guests/(3) (obsc) heir/successor/
正写 [せいしゃ] /(n,vs) certification that document copies are correct/
正写し受信者表示 [せいうつしじゅしんしゃひょうじ] /(n) (comp) primary and copy recipients indication/
正社員 [せいしゃいん] /(n) regular (full-time) employee/
正邪 [せいじゃ] /(n) right and wrong/
正邪の区別 [せいじゃのくべつ] /(n) discrimination between right and wrong/
正邪曲直 [せいじゃきょくちょく] /(n) right and (or) wrong/
正邪善悪 [せいじゃぜんあく] /(n) right and (or) wrong/
正宗 [まさむね] /(n) sword blade by Masamune/
正出 [せいしゅつ] /(n,adj-no) legitimate child/
正準形式 [せいじゅんけいしき] /(n) (comp) canonical format/
正書 [せいしょ] /(n) square characters/printing/
正書法 [せいしょほう] /(n) (1) correct orthography/(2) reference format/
正称 [せいしょう] /(n) official name/
正常 [せいじょう] /(adj-na,n,adj-no) normalcy/normality/normal/(P)/
正常位 [せいじょうい] /(n) normal position (posture)/missionary position/
正常化 [せいじょうか] /(n,vs) normalization/normalisation/(P)/
正常財 [せいじょうざい] /(n) normal goods (i.e, goods for which demand increases when consumer's income increases)/
正常終了 [せいじょうしゅうりょう] /(n) normal termination/successful termination/
正常値 [せいじょうち] /(n) normal value/normal level/
正常動作精度 [せいじょうどうさせいど] /(n) (comp) mean rate accuracy/
正常利潤 [せいじょうりじゅん] /(n) normal profit/
正色 [せいしょく] /(n) primary colors/primary colours/
正触媒 [せいしょくばい] /(n) positive catalyst/
正真正銘 [しょうしんしょうめい] /(n,adj-no) genuine/authentic/
正身 [そうじみ] /(n) (1) (arch) the real person/said person/
正身 [ただみ] /(n) (1) (arch) the real person/said person/
正身 [むざね] /(n) (1) (arch) the real person/said person/(2) real thing/genuine article/
正数 [せいすう] /(n) positive number/
正整数 [せいせいすう] /(n) (math) positive integer/
正正 [せいせい] /(adj-t,adv-to) accurate/exact/punctual/neat/
正正堂堂 [せいせいどうどう] /(uK) (adj-no,adj-t,adv-to) fair and square/open and aboveboard/
正西 [せいせい] /(n) due west/
正切 [せいせつ] /(n) tangent (in trigonometry)/
正接 [せいせつ] /(n,adj-no) tangent/
正倉 [しょうそう] /(n) public storehouse used to store grain or valuables collected for taxation (ritsuryo system)/
正相 [せいそう] /(n,adj-no) in phase/in-phase/co-phase/
正装 [せいそう] /(n,vs) uniform/full dress/(P)/
正則 [せいそく] /(adj-na,n,adj-no) correct/proper/formal/regular/systematic/normal/(P)/
正則化 [せいそくか] /(n,vs) regularisation (physics)/regularization/
正則関数 [せいそくかんすう] /(n) holomorphic function/
正則曲線 [せいそくきょくせん] /(n) regular curve/
正則表現 [せいそくひょうげん] /(n) (comp) regular expression/
正続 [せいぞく] /(n) book or document and its supplement/
正多角形 [せいたかくけい] /(n) (math) regular polygon/
正多面体 [せいためんたい] /(n) regular polyhedron/
正体 [しょうたい] /(n) (1) natural shape/one's true colors/one's true colours/true character/identity/true identity/(2) consciousness/one's senses/(P)/
正体不明 [しょうたいふめい] /(n,adj-no) unidentifiable/unidentified/
正対 [せいたい] /(n,vs) confronting directly/meeting face-to-face/
正大 [せいだい] /(adj-na,n) fairness/justice/
正炭 [しょうすみ] /(n) first adding of charcoal to the fire (tea ceremony)/
正断層 [せいだんそう] /(n) normal fault/
正嫡 [せいちゃく] /(n) legal wife/her child/main family/
正嫡 [せいてき] /(n) legal wife/her child/main family/
正中 [しょうちゅう] /(n,adj-no) Shouchuu era (1324.12.9-1326.4.26)/
正中 [せいちゅう] /(n,vs) the exact middle/
正中線 [せいちゅうせん] /(n) median line/
正丁 [しょうてい] /(n) under the ritsuryo system, a man in good health between 21 and 60 years of age to whom applied various corvee and taxes/
正丁 [せいてい] /(n) under the ritsuryo system, a man in good health between 21 and 60 years of age to whom applied various corvee and taxes/
正庁 [せいちょう] /(n) (obsc) official reception hall/
正朝 [せいちょう] /(n) legitimate dynasty/
正調 [せいちょう] /(n) traditional tune/
正長 [しょうちょう] /(n) Shouchou era (1428.4.27-1429.9.5)/
正直 [しょうじき] /(adj-na,n) (1) honesty/integrity/frankness/(adv) (2) honestly/frankly/(P)/
正直の頭に神宿る [しょうじきのこうべにかみやどる] /(exp) (id) Honesty is the best policy/Honesty pays/
正直は一生の宝 [しょうじきはいっしょうのたから] /(exp) (id) Honesty is the best policy/
正直一徹 [しょうじきいってつ] /(n,adj-na) stubbornly honest/
正直一途 [しょうじきいちず] /(n,adj-na,adj-no) (of) straightforward honesty/steadfastly honest/
正直一遍 [しょうじきいっぺん] /(n,adj-na) honest to a fault/one's only strength being his (her) honesty/having no redeeming feature except for being honest/
正直者 [しょうじきもの] /(n) honest person/
正直者が馬鹿を見る [しょうじきものがばかをみる] /(exp,v1) honesty doesn't pay/
正定 [しょうじょう] /(n) (Buddh) right concentration/
正定業 [しょうじょうごう] /(n) (Buddh) correct meditative activity (in Jodo, saying the name of Amitabha)/
正定値 [せいていち] /(adj-no) (math) positive-definite (e.g. matrix)/
正典 [せいてん] /(n) canon (i.e. the Biblical canon)/
正典化 [せいてんか] /(n,vs) canonization (in a textual sense)/
正伝 [せいでん] /(n) authentic biography/
正殿 [せいでん] /(n) (1) main temple/main building of a shrine/(2) alternate name for the Shishiden/Hall for State Ceremonies/(3) central building of a palace/State Chamber/
正電気 [せいでんき] /(n) positive electric charge/positive (static) charge/(sometimes called "positive electricity")/
正投手 [せいとうしゅ] /(n) regular pitcher/
正東 [せいとう] /(n) due east/
正当 [せいとう] /(adj-na,n) just/justifiable/right/due/proper/equitable/reasonable/legitimate/legal/lawful/(P)/
正当化 [せいとうか] /(n,vs) justification/warrant/
正当性 [せいとうせい] /(n,adj-no) lawfulness/propriety/reasonableness/appropriateness/legality/legitimacy/
正当防衛 [せいとうぼうえい] /(n) legitimate self-defence/legitimate self-defense/(P)/
正答 [せいとう] /(n,vs) correct answer/
正答率 [せいとうりつ] /(n) percentage of correct answers/
正統 [しょうとう] /(adj-na,n,adj-no) legitimate/orthodox/traditional/
正統 [せいとう] /(adj-na,n,adj-no) legitimate/orthodox/traditional/(P)/
正統カリフ時代 [せいとうカリフじだい] /(n) Rashidun period (the period of the Rightly Guided Caliphs, 632-661 CE)/
正統信教 [せいとうしんきょう] /(n) orthodoxy/
正統派 [せいとうは] /(n) orthodox school/
正道 [しょうどう] /(n,adj-no) path of righteousness/path of duty/right track/correct path/
正道 [せいどう] /(n,adj-no) path of righteousness/path of duty/right track/correct path/(P)/
正徳 [しょうとく] /(n) Shoutoku era (1711.4.25-1716.6.22)/
正南 [せいなん] /(n) due south/
正念 [しょうねん] /(n) (1) (Buddh) right mindfulness/(2) true faith (in rebirth in the promised land)/
正念場 [しょうねんば] /(n) critical moment/do-or-die situation/(P)/
正八胞体 [せいはちほうたい] /(n) tesseract/
正八面体 [せいはちめんたい] /(n) regular octahedron/
正反合 [せいはんごう] /(n) (in philosophy) thesis-antithesis-synthesis/
正反対 [せいはんたい] /(adj-na,n) bipolar/polar/polarity/exactly opposite/(P)/
正犯 [せいはん] /(n) principal offense/principal offence/principal offender/
正犯者 [せいはんしゃ] /(n) principal offender/
正否 [せいひ] /(n) right and wrong/
正比 [せいひ] /(n) direct ratio/
正比例 [せいひれい] /(n,vs) direct proportion/direct ratio/
正賓 [せいひん] /(n) guest of honor/guest of honour/
正符号 [せいふごう] /(n) plus sign/
正負 [せいふ] /(n) positive and negative/+-/plus and minus/
正負条件 [せいふじょうけん] /(n) (comp) sign condition/
正風 [しょうふう] /(n) right style/
正副 [せいふく] /(n) original and copy/chief and vice-chief/
正副議長 [せいふくぎちょう] /(n) chairman and vice-chairman/
正副二通 [せいふくにつう] /(n) original and duplicate/
正服 [せいふく] /(n) uniform/regulation dress/
正腹 [せいふく] /(n) legitimacy/
正物 [しょうぶつ] /(n) genuine article/
正文 [せいぶん] /(n) the official text/
正兵 [せいへい] /(n) regular soldiers/
正平 [しょうへい] /(n) Shouhei era (of the Southern Court) (1346.12.8-1370.7.24)/
正編 [せいへん] /(n) main part of a book/
正保 [しょうほ] /(n) (obsc) Shouho era, Shouhou era (1644.12.16-1648.2.15)/
正保 [しょうほう] /(n) Shouhou era (1644.12.16-1648.2.15)/
正方 [せいほう] /(n,adj-no) square/
正方形 [せいほうけい] /(n) square/(P)/
正方行列 [せいほうぎょうれつ] /(n) square matrix/
正法 [しょうほう] /(n) (1) (Buddh) true dharma/true teachings of Buddha/(2) period of the True Law/
正法 [しょうぼう] /(n) (1) (Buddh) true dharma/true teachings of Buddha/(2) period of the True Law/
正帽 [せいぼう] /(n) cap of a uniform/
正北 [せいほく] /(n) due north/
正本 [しょうほん] /(n) book of registration/text of a play/
正本 [せいほん] /(n) original/original text/authenticated facsimile/authenticated copy/
正味 [しょうみ] /(n) net (weight)/(P)/
正味重量 [しょうみじゅうりょう] /(n) net weight/
正味値段 [しょうみねだん] /(n) net price/
正夢 [まさゆめ] /(n) dream that comes true/
正命 [しょうみょう] /(n) (Buddh) right livelihood/
正銘 [しょうめい] /(n) genuine autograph/genuine article/
正面 [しょうめん] /(n,adj-no,pref) front/frontage/facade/main/(P)/
正面 [まとも] /(adj-na,n) (1) (uk) the front/(2) honesty/uprightness/directness/(3) decency/normality/
正面玄関 [しょうめんげんかん] /(n) front entrance/front door/
正面向き [しょうめんむき] /(n) front view/
正面攻撃 [しょうめんこうげき] /(n) frontal attack/
正面衝突 [しょうめんしょうとつ] /(n,vs,adj-no) head-on collision/
正面図 [しょうめんず] /(n) front elevation/
正木 [まさき] /(n) Japanese spindletree (Euonymus japonicus)/
正目 [まさめ] /(n,adj-no) straight grain/quartergrain/
正門 [せいもん] /(n) main gate/main entrance/(P)/
正油 [しょうゆ] /(iK) (n) soy sauce/shoyu/
正立 [せいりつ] /(adj-na) upright/
正暦 [しょうりゃく] /(n) Shouryaku era (990.11.7-995.2.22)/
正路 [せいろ] /(n) righteousness/path of righteousness/path of duty/the right track/
正露丸 [せいろがん] /(n) seirogan - beechwood extract popular as a herbal treatment for diarrhoea (diarrhea), etc./
正六面体 [せいろくめんたい] /(n) regular hexahedron/cube/
正論 [せいろん] /(n) sound (just) argument/(P)/
正論理 [せいろんり] /(n) (comp) positive logic/
正和 [しょうわ] /(n) Shouwa era (1312.3.20-1317.2.3)/
清 [さや] /(adv) (1) (arch) clearly/brightly/(2) cleanly/purely/
清 [しん] /(n) Qing (dynasty of China, 1616-1912)/Ch'ing/
清々 [せいせい] /(adv,n,vs) feel refreshed/feel relieved/
清々しい [すがすがしい] /(adj-i) (uk) fresh/refreshing/(P)/
清い [きよい] /(adj-i) clear/pure/noble/(P)/
清い愛 [きよいあい] /(n) pure (platonic) love/
清い月影 [きよいつきかげ] /(n) beautiful moonlight/clear moon/
清か [さやか] /(adj-na) (uk) clear/fresh/bright/
清ます [すます] /(v5s,vt) to clear/to make clear/to be unruffled/to look unconcerned/to look demure/to look prim/to put on airs/
清まる [きよまる] /(v5r,vi) to be purified/to be cleansed/
清む [すむ] /(v5m,vi) to clear (e.g. weather)/to become transparent/
清め [きよめ] /(n) purification/
清めの塩 [きよめのしお] /(n) salt thrown to purify the sumo ring before the bout/
清める [きよめる] /(v1,vt) to purify/to cleanse/to exorcise/
清ら [きよら] /(n,adj-na) (arch) elegant beauty/dazzling beauty/
清ら [けうら] /(n,adj-na) (arch) elegant beauty/dazzling beauty/
清らか [きよらか] /(adj-na,n) clean/pure/chaste/(P)/
清栄 [せいえい] /(n) your health and prosperity/
清音 [せいおん] /(n) (in phonetics) an unvoiced sound/
清楽 [しんがく] /(n) Qing-era Chinese music (popularized in Japan during the early 19th century)/
清鑑 [せいかん] /(n) (hon) excellent judgement/
清閑 [せいかん] /(adj-na,n) peaceful/quiet/tranquility/tranquillity/
清教徒 [せいきょうと] /(n) Puritan/
清教徒革命 [せいきょうとかくめい] /(n) Puritan Revolution/
清潔 [せいけつ] /(adj-na,n) (1) clean/hygenic/sanitary/(2) pure/virtuous/immaculate/(P)/
清潔感 [せいけつかん] /(n) (sense of) cleanliness/(sense of) freshness/
清見オレンジ [きよみオレンジ] /(n) Kiyomi orange/type of tangor (tangerine-orange hybrid)/Citrus unshiu sinensis/
清元 [きよもと] /(n) type of Joruri narrative performance/
清元節 [きよもとぶし] /(n) style of joruri narrative performance/
清国 [しんこく] /(n) China under the Manchus/
清算 [せいさん] /(n,vs) liquidation/settlement/(P)/
清算会社 [せいさんがいしゃ] /(n) company in liquidation/
清算取引 [せいさんとりひき] /(n) open account transaction/
清算書 [せいさんしょ] /(n) liquidation statement or account/
清算人 [せいさんにん] /(n) adjustor/liquidator/
清算法人 [せいさんほうじん] /(n) corporation in liquidation/
清子音 [せいしいん] /(n) voiceless consonant/
清酒 [せいしゅ] /(n) refined sake/(P)/
清秋 [せいしゅう] /(n) clear fall (weather)/clear autumn/
清純 [せいじゅん] /(adj-na,n) purity/innocence/
清書 [せいしょ] /(n,vs) clean copy/(P)/
清勝 [せいしょう] /(n) (your) good health/
清祥 [せいしょう] /(n) spirit/energy/
清浄 [しょうじょう] /(adj-na,n,adj-no) pure/clean/purity/
清浄 [せいじょう] /(adj-na,n,adj-no) pure/clean/purity/(P)/
清浄潔白 [せいじょうけっぱく] /(n,adj-na,adj-no) upright and clean-handed/pure in heart and with a clean conscience/
清浄無垢 [せいじょうむく] /(n) purity/spotlessness/
清新 [せいしん] /(adj-na,n,adj-no) fresh/new/(P)/
清水 [きよみず] /(n) (1) spring water/(2) clear (pure) water/
清水 [しみず] /(n) (1) spring water/(2) clear (pure) water/
清水 [せいすい] /(n) (1) spring water/(2) clear (pure) water/
清水の舞台から飛び降りる [きよみずのぶたいからとびおりる] /(exp,v1) to make a leap into the dark/to take the plunge/to jump in at the deep end/
清水器 [せいすいき] /(n) water purifier/
清水寺 [きよみずでら] /(n) temple in Kyoto/
清粋 [せいすい] /(n) elegance/
清澄 [せいちょう] /(adj-na,n) clear/serene/(P)/
清政府 [しんせいふ] /(n) government of the Qing dynasty/Qing government/
清清 [せいせい] /(adv,n,vs) feel refreshed/feel relieved/
清清しい [すがすがしい] /(adj-i) (uk) fresh/refreshing/
清楚 [せいそ] /(adj-na,n) neat and clean/tidy/trim/
清爽 [かわらか] /(adj-na,adj-no) (1) refreshing/(2) neat/tidy/trim/
清爽 [せいそう] /(adj-na,adj-no) (1) refreshing/(2) neat/tidy/trim/
清掃 [せいそう] /(n,vs) cleaning/(P)/
清掃員 [せいそういん] /(n) garbage man/garbage collector/
清掃車 [せいそうしゃ] /(n) garbage truck/dustcart/waste collection vehicle/
清掃夫 [せいそうふ] /(n) garbage man/
清掃用具 [せいそうようぐ] /(n) cleaning utensils/
清濁 [せいだく] /(n) (1) good and evil/purity and impurity/(2) voiced and unvoiced consonants/
清濁併せ呑む [せいだくあわせのむ] /(v5m) to be broad-minded enough to associate with various types of people/to possess a capacious mind/
清濁併呑 [せいだくへいどん] /(n) being so broad-minded as to accept all sorts of things, both good and evil/being broad-minded enough to be tolerant of people of all shades/
清談 [せいだん] /(n,vs) (1) Qingtan (Taoist-related movement in ancient China)/(2) noble, refined, eloquent speech/
清朝 [しんちょう] /(n) Qing Dynasty/Ch'ing Dynasty/Manchu Dynasty/
清朝体 [せいちょうたい] /(n) typeprint which resembles brush-stroke forms of characters/
清聴 [せいちょう] /(n,vs) (polite reference to another's) attention/kind attention/courteous attention/
清笛 [しんてき] /(n) bamboo flute used in Qing music/
清適 [せいてき] /(n) (another's) well-being/
清白 [すずしろ] /(n) (obsc) daikon radish (Raphanus sativus)/
清貧 [せいひん] /(n) honourable poverty/honorable poverty/(P)/
清風 [せいふう] /(n) breath of fresh air/cool (refreshing) breeze/
清風明月 [せいふうめいげつ] /(n) refreshing breeze and the bright moon/a beautiful nocturnal scene with a full moon/
清福 [せいふく] /(n) happiness/
清仏戦争 [しんふつせんそう] /(n) Sino-French War (1884-1885)/
清穆 [せいぼく] /(n,adj-no) gentle and pure (used in letters to celebrate the health and happiness of the addressee)/
清明 [せいめい] /(n,adj-na,adj-t) (1) pure and clear/(n) (2) "clear and bright" solar term (approx. April 5)/
清遊 [せいゆう] /(n,vs) excursion/
清流 [せいりゅう] /(n) clear stream/(P)/
清涼 [せいりょう] /(adj-na,n) cool/refreshing/(P)/
清涼飲料 [せいりょういんりょう] /(n) cool drink/
清涼飲料水 [せいりょういんりょうすい] /(n) soft drink/
清涼剤 [せいりょうざい] /(n) refrigerant/tonic/refreshment/
清涼殿 [せいりょうでん] /(n) pavilion used as the emperor's habitual residence (in Heian Palace)/
清涼殿 [せいろうでん] /(n) pavilion used as the emperor's habitual residence (in Heian Palace)/
清廉 [せいれん] /(adj-na,n) honesty/integrity/purity and unselfishness/(P)/
清廉潔白 [せいれんけっぱく] /(adj-na,n) being upright and cleanhanded/
清和 [せいわ] /(n) (1) season when the sky is clear and the air warm (spring)/(2) first ten days of the fourth lunar month/
清冽 [せいれつ] /(adj-na,n) cool and clear/
清鑒 [せいかん] /(n) (hon) excellent judgement/
牲 [にえ] /(n) (1) (arch) offering (to the gods, emperor, etc.)/(2) gift/(3) sacrifice/
生 [いく] /(pref) (arch) vital/virile/lively/
生 [うぶ] /(adj-na,n,adj-no) (1) innocent/naive/unsophisticated/inexperienced/green/wet behind the ears/(n-pref) (2) birth-/
生 [き] /(n,pref) pure/undiluted/raw/crude/
生 [しょう] /(n) (1) life/living/
生 [せい] /(n) (1) life/living/(n,n-suf) (2) (male) (hum) I/me/myself/
生 [なま] /(adj-no,adj-na,n,n-pref) (1) raw/uncooked/fresh/(2) natural/unedited/unprocessed/crude/(3) (col) unprotected (i.e. not wearing a condom)/(4) live (i.e. not recorded)/(5) inexperienced/unpolished/green/(6) (abbr) impudence/sauciness/(7) (abbr) unpasteurized beer/draft beer/draught beer/(pref) (8) partially/somewhat/half-/semi-/(P)/
生 [なまり] /(io) (n) (uk) (abbr) boiled and half-dried bonito/
生 [ふ] /(n,n-suf) area of thick growth (of trees, grass, etc.)/
生々しい [なまなましい] /(adj-i) lively/green/fresh/raw/(P)/
生々世々 [しょうじょうぜぜ] /(n-adv,n) eternity/forever/through all eternity/
生々流転 [しょうじょうるてん] /(n,vs) all things being in flux through the endless circle of birth, death, and rebirth/the circle of transmigration/
生々流転 [せいせいるてん] /(n,vs) all things being in flux through the endless circle of birth, death, and rebirth/the circle of transmigration/
生いたち [おいたち] /(n) (1) growth/development/(2) one's early life/upbringing/personal history/
生い先 [おいさき] /(n) one's future/
生い茂る [おいしげる] /(v5r,vi) to grow thickly/to be overgrown/to thrive/to grow in abundance/
生い立ち [おいたち] /(n) (1) growth/development/(2) one's early life/upbringing/personal history/(P)/
生う [おう] /(v5u) (1) (arch) to grow/to spring up/(2) to cut (teeth)/
生えかける [はえかける] /(v1) to teethe/
生える [はえる] /(v1,vi) (1) to grow/to spring up/(2) to cut (teeth)/(P)/
生え掛ける [はえかける] /(v1) to teethe/
生え懸ける [はえかける] /(v1) to teethe/
生え際 [はえぎわ] /(n) (receding) hairline/borders of the hair/
生え揃う [はえそろう] /(v5u) to all come in (e.g. teeth)/to all come out (e.g. seedlings, flowers)/
生え抜き [はえぬき] /(n,adj-no) native-born/trueborn/(P)/
生え変わる [はえかわる] /(v5r) to be replaced with new growth/
生かじり [なまかじり] /(n,vs) (1) superficial knowledge/smattering/(2) dabbler/dilettante/(3) dipping into/
生かす [いかす] /(v5s,vt) (1) to make (the best) use of/to leverage (skills, attributes, experience, etc.)/to capitalise on (experience, etc)/(2) to let live/to keep alive/(3) to revive/to resuscitate/(P)/
生き [いき] /(n) (1) living/being alive/(2) freshness/liveliness/vitality/(3) situation in which a group of stones cannot be captured because it contains contains two or more gaps (in go)/(4) (uk) stet/(pref) (5) damned/(P)/
生きかえる [いきかえる] /(v5r,vi) to revive/to come to oneself/to be restored to life/
生きがい [いきがい] /(n) something one lives for/purpose in life/raison d'etre/
生きた化石 [いきたかせき] /(n) living fossil/relict/
生きていかれない [いきていかれない] /(exp) can't survive (without ...)/
生きて行かれない [いきていかれない] /(exp) can't survive (without ...)/
生きて行く [いきていく] /(exp,v5k-s) to subsist/to keep on living/
生きとし生けるもの [いきとしいけるもの] /(exp) all living things/all God's creatures, great and small/
生きとし生ける物 [いきとしいけるもの] /(exp) all living things/all God's creatures, great and small/
生きのいい [いきのいい] /(n) very fresh (e.g. food)/
生きのびる [いきのびる] /(v1,vi) to survive/to live long/
生きる [いきる] /(v1,vi) (1) to live/to exist/(2) to make a living/to subsist/(3) to be in effect/to be in use/to function/(4) to come to life/to be enlivened/(5) to be safe (in baseball, go, etc.)/(P)/
生きる道 [いきるみち] /(n) way of life/
生き餌 [いきえ] /(n) live bait/
生き延びる [いきのびる] /(v1,vi) to survive/to live long/
生き肝 [いきぎも] /(n) liver taken from a living animal/
生き顔 [いきがお] /(n) (arch) face of someone while still alive/
生き急ぐ [いきいそぐ] /(v5g,vi) to live fast (and recklessly)/
生き血 [いきち] /(n) lifeblood/
生き甲斐 [いきがい] /(n) something one lives for/purpose in life/raison d'etre/(P)/
生き作り [いきづくり] /(n) (1) slices of fresh raw fish arranged to look lifelike/(2) slicing a fish and presenting it at table in its original form/
生き残り [いきのこり] /(n) survivor/(P)/
生き残る [いきのこる] /(v5r,vi) to survive/(P)/
生き死に [いきしに] /(n) life and-or death/
生き字引 [いきじびき] /(n) walking dictionary or encyclopedia/
生き字引き [いきじびき] /(n) walking dictionary or encyclopedia/
生き写し [いきうつし] /(n) lifelike/exact resemblance/
生き証人 [いきしょうにん] /(n) living witness/
生き神 [いきがみ] /(n) living god/
生き神様 [いきがみさま] /(n) living god/saintly person/
生き身 [いきみ] /(n) (1) living body/flesh and blood/(2) fresh fish/
生き身は死に身 [いきみはしにみ] /(exp) all that lives must eventually die/
生き身は死身 [いきみはしにみ] /(io) (exp) all that lives must eventually die/
生き人形 [いきにんぎょう] /(n) lifelike doll/
生き生き [いきいき] /(adv,adv-to,vs) vividly/lively/(P)/
生き生きとする [いきいきとする] /(exp,vi) (1) to scintillate/(exp,vi,vt) (2) to freshen/to come alive/
生き続ける [いきつづける] /(v1) (1) to carry on/to go on with one's life/(2) to keep alive/to stay alive/to survive/
生き体 [いきたい] /(n) (in sumo) still having slim chances of victory/
生き胆 [いきぎも] /(n) liver taken from a living animal/
生き地獄 [いきじごく] /(n) hell on earth/living hell/
生き恥 [いきはじ] /(n) living in disgrace/
生き恥をさらす [いきはじをさらす] /(exp,v5s) to expose oneself to ridicule/
生き恥を曝す [いきはじをさらす] /(exp,v5s) to expose oneself to ridicule/
生き長らえる [いきながらえる] /(v1,vi) to live long/to survive/
生き馬 [いきうま] /(n) living horse/
生き馬の目を抜く [いきうまのめをぬく] /(exp) (id) (sens) (obs) to catch a weasel asleep/to pluck out the eye of a live horse/
生き抜く [いきぬく] /(v5k,vi) to live through/to survive/
生き腐れ [いきぐされ] /(n) (fish) appearing fresh but actually gone bad/
生き仏 [いきぼとけ] /(n) saintly person/living Buddha/
生き物 [いきもの] /(n) living thing/animal/(P)/
生き別れ [いきわかれ] /(n) lifelong separation/
生き返る [いきかえる] /(v5r,vi) to revive/to come to oneself/to be restored to life/(P)/
生き方 [いきかた] /(n) way of life/how to live/(P)/
生き埋め [いきうめ] /(n) burying alive/(P)/
生き埋める [いきうめる] /(v1) to bury (somebody) alive/
生き様 [いきざま] /(n) (sens) form of existence/way of life/
生き霊 [いきすだま] /(ok) (n) vengeful spirit (spawned from a person's hate)/
生き霊 [いきりょう] /(n) vengeful spirit (spawned from a person's hate)/
生き魑魅 [いきすだま] /(ok) (n) vengeful spirit (spawned from a person's hate)/
生ける [いける] /(v1,vt) (1) to arrange (flowers)/to plant/(adj-f) (2) living/live/(P)/
生ける屍 [いけるしかばね] /(exp) living corpse/
生け花 [いけばな] /(n) (1) flower arrangement/(P)/
生け垣 [いけがき] /(n,adj-no) hedge/(P)/
生け間 [いけま] /(n) compartment in a fishing boat with seawater for reviving or keeping alive fresh fish or bait/
生け魚 [いけうお] /(n) live fish and shellfish (kept in a tank in a restaurant)/
生け作り [いけづくり] /(n) slices of fresh raw fish arranged to look lifelike/
生け捕り [いけどり] /(n) capturing something alive/something captured alive/
生け捕る [いけどる] /(v5r,vt) to capture alive/to take prisoner/
生け方 [いけかた] /(n) way of arranging flowers/
生け擒 [いけどり] /(n) capturing something alive/something captured alive/
生け簀 [いけす] /(n,vs) fish preserve/fish-tank/live-box/
生け贄 [いけにえ] /(n) sacrifice/scapegoat/
生ごみ [なまごみ] /(n) kitchen waste/
生さぬ仲 [なさぬなか] /(n,adj-no) with no blood relation/
生じる [しょうじる] /(v1,vt) (1) to produce/to yield/to cause/(v1,vi) (2) to result from/to arise/to be generated/(P)/
生す [なす] /(v5s,vt) (1) to build up/to establish/(2) to form/to become (a state)/(3) to accomplish/to achieve/to succeed in/(4) to change into/(5) to do/to perform/(aux-v) (6) (arch) to intend to/to attempt/to try/(7) (arch) to have a child/
生す [むす] /(v5s,vi) to grow (of moss, etc.)/
生ずる [しょうずる] /(vz,vi) (1) to produce/to yield/to cause/(2) to result from/to arise/to be generated/(P)/
生で飲む [きでのむ] /(v5m) to drink (whisky, whiskey) straight/
生で食べる [なまでたべる] /(exp,v1) to eat raw (fresh)/
生なか [なまなか] /(adj-na) (1) halfway-done/mediocre/uncertain/half-hearted/(adv) (2) half-heartedly/insufficiently/
生ぬるい [なまぬるい] /(adj-i) lukewarm/halfhearted/(P)/
生のままで [きのままで] /(exp) straight (e.g. whiskey)/
生の情報 [なまのじょうほう] /(n) firsthand information/
生の哲学 [せいのてつがく] /(n) philosophy of life/
生は難く死は易し [せいはかたくしはやすし] /(exp) (id) Life is difficult, while death is easy/
生まじめ [きまじめ] /(adj-na,n) too serious/person who is too serious/honesty/sincerity/
生まれ [うまれ] /(n) birth/birthplace/(P)/
生まれた場所 [うまれたばしょ] /(n) birthplace/
生まれつき [うまれつき] /(adv,n) by nature/by birth/native/(P)/
生まれつく [うまれつく] /(v5k,vi) to be born (with)/to be born (to be)/to be destined/
生まれて初めて [うまれてはじめて] /(exp) for the first time in one's life/
生まれながら [うまれながら] /(adj-no,adv) by nature/naturally/by birth/inborn/
生まれの良い [うまれのよい] /(n) of noble birth/wellborn/
生まれる [うまれる] /(v1,vi) to be born/(P)/
生まれ育つ [うまれそだつ] /(v5t) to be born and raised (in one particular place)/(P)/
生まれ故郷 [うまれこきょう] /(n) one's birthplace/
生まれ合わせる [うまれあわせる] /(v1) to happen to be born/
生まれ損い [うまれそこない] /(n) good-for-nothing/
生まれ乍ら [うまれながら] /(adj-no,adv) by nature/naturally/by birth/inborn/
生まれ付き [うまれつき] /(adv,n) by nature/by birth/native/
生まれ付く [うまれつく] /(v5k,vi) to be born (with)/to be born (to be)/to be destined/
生まれ変わり [うまれかわり] /(n) rebirth/reincarnation/
生まれ変わる [うまれかわる] /(v5r) to be born again/to make a fresh start in life/
生まれ落ちる [うまれおちる] /(v1) to be born/
生まれ立て [うまれたて] /(n) newborn/
生み [うみ] /(n) production/bringing into the world/(physical) birth/(P)/
生みつける [うみつける] /(v1,vt) to lay/to spawn/
生みの子 [うみのこ] /(n) (1) one's child/a child one has brought into the world/(2) (arch) descendant/
生みの親 [うみのおや] /(exp,n) one's true parents/founder/creator/(P)/
生みの親より育ての親 [うみのおやよりそだてのおや] /(exp) (id) A foster parent is dearer than a real parent/
生み出す [うみだす] /(v5s,vt) (1) to create/to bring forth/to produce/(2) to invent/to think up and bring into being/(3) to give birth to/to bear/(P)/
生み付ける [うみつける] /(v1,vt) to lay/to spawn/
生み落す [うみおとす] /(v5s,vt) to give birth to/to drop (calf or foal)/
生み落とす [うみおとす] /(v5s,vt) to give birth to/to drop (calf or foal)/
生む [うむ] /(v5m,vt) to give birth/to deliver/to produce/(P)/
生めかしい [なまめかしい] /(adj-i) charming/captivating/bewitching/seductive/coquettish/
生めよ殖えよ地に満てよ [うめよふえよちにみてよ] /(exp) (id) Be fruitful, and multiply, and replenish the earth/
生もの [なまもの] /(n) raw food/perishables/
生やす [はやす] /(v5s,vt) to grow/to cultivate/to wear a beard/(P)/
生り [なまり] /(n) (uk) (abbr) boiled and half-dried bonito/
生り [なり] /(n) bearing (fruit)/
生り節 [なまりぶし] /(n) boiled and half-dried bonito/
生り年 [なりどし] /(n) year of large crop/
生り物 [なりもの] /(n) farm products (fruit, berries, etc.)/
生る [なる] /(v5r,vi) (uk) to bear fruit/(P)/
生れ [うまれ] /(n) birth/birthplace/
生れつき [うまれつき] /(adv,n) by nature/by birth/native/
生れながら [うまれながら] /(adj-no,adv) by nature/naturally/by birth/inborn/
生れる [うまれる] /(v1,vi) to be born/
生れ育つ [うまれそだつ] /(v5t) to be born and raised (in one particular place)/
生れ乍ら [うまれながら] /(adj-no,adv) by nature/naturally/by birth/inborn/
生れ付く [うまれつく] /(v5k,vi) to be born (with)/to be born (to be)/to be destined/
生を享ける [せいをうける] /(exp,v1) to live/to be born/to come into this world/
生を受ける [せいをうける] /(exp,v1) to live/to be born/to come into this world/
生クリーム [なまクリーム] /(n) fresh cream/
生ゴム [なまゴム] /(n) raw rubber/crude rubber/
生データ [なまデータ] /(n) (comp) raw data/
生ハム [なまハム] /(n) dry-cured ham/
生ビール [なまビール] /(n) unpasteurized beer/draft beer/draught beer/
生ワク [なまワク] /(n) (abbr) (obsc) live vaccine/
生ワクチン [なまワクチン] /(n) live vaccine/
生意気 [なまいき] /(adj-na,n) impertinent/saucy/cheeky/conceit/audacious/brazen/(P)/
生易しい [なまやさしい] /(adj-i) simple/easy/
生井 [いくい] /(n) (arch) eternal well (i.e. one that never runs dry)/
生育 [せいいく] /(n,vs) growth/development/breeding/(P)/
生一本 [きいっぽん] /(adj-na,n) straight-forwardness/honesty/purity/
生飲み込み [なまのみこみ] /(n) superficial/
生餌 [いきえ] /(n) live bait/
生映像 [せいえいぞう] /(n) (comp) live video/
生演奏 [なまえんそう] /(n) live music or performance/
生温い [なまぬるい] /(adj-i) lukewarm/halfhearted/
生化学 [せいかがく] /(n) biochemistry/(P)/
生家 [せいか] /(n) (parents') home/(P)/
生花 [いけばな] /(n) (1) flower arrangement/(P)/
生花 [せいか] /(n) (1) flower arrangement/(2) fresh flowers/
生菓子 [なまがし] /(n) fresh Japanese sweets (usually containing red bean paste)/
生貝 [なまがい] /(n) (1) sliced abalone served in cold water/(2) raw shellfish/
生害 [しょうがい] /(n,vs) commit suicide/
生涯 [しょうがい] /(n-adv,n-t) one's lifetime (i.e. one's existence until death)/one's career/(P)/
生涯学習 [しょうがいがくしゅう] /(n) lifelong learning/
生涯教育 [しょうがいきょういく] /(n) lifelong education/continuing education/further education/(P)/
生垣 [いけがき] /(n,adj-no) hedge/
生学問 [なまがくもん] /(n) imperfect (superficial) knowledge/
生活 [せいかつ] /(n,vs) living/life (one's daily existence)/livelihood/(P)/
生活に困る [せいかつにこまる] /(exp,v5r) to live in want/
生活の資 [せいかつのし] /(n) means of living/
生活を送る [せいかつをおくる] /(exp,v5r) to lead (a) life (usu. preceded by the type of life)/
生活スタイル [せいかつスタイル] /(n) lifestyle/
生活環 [せいかつかん] /(n) life cycle/
生活環境 [せいかつかんきょう] /(n) one's (living) environment/
生活協同組合 [せいかつきょうどうくみあい] /(n) a cooperative/
生活苦 [せいかつく] /(n) life's struggles/
生活空間 [せいかつくうかん] /(n) living space/
生活圏 [せいかつけん] /(n) sphere of daily existence/
生活残業 [せいかつざんぎょう] /(n,vs) (working) overtime to make ends meet (to support one's lifestyle)/
生活指導 [せいかつしどう] /(n) educational guidance/
生活誌 [せいかつし] /(n) lifestyle magazine/
生活者 [せいかつしゃ] /(suf) person who lives on (e.g.. situation, income, place)/
生活習慣病 [せいかつしゅうかんびょう] /(n) lifestyle disease/
生活信条 [せいかつしんじょう] /(n) one's philosophy of life/
生活振り [せいかつぶり] /(n) way of life/
生活水準 [せいかつすいじゅん] /(n) standard of living/
生活設計 [せいかつせっけい] /(n) plan for one's life/life planning/
生活難 [せいかつなん] /(n) difficulties in living/
生活年齢 [せいかつねんれい] /(n) chronological age/
生活反応 [せいかつはんのう] /(n) vital reaction/
生活費 [せいかつひ] /(n) living expenses/(P)/
生活必需品 [せいかつひつじゅひん] /(n) daily (living) necessities/necessities/essentials for life/
生活不安 [せいかつふあん] /(n) worry (uncertainty, uneasiness, insecurity) about one's life (future)/
生活扶助 [せいかつふじょ] /(n) livelihood assistance/
生活保護 [せいかつほご] /(n) livelihood protection/
生活保護法 [せいかつほごほう] /(n) Livelihood Protection Law/
生活法 [せいかつほう] /(n) art of living/way of life/
生活様式 [せいかつようしき] /(n) one's lifestyle/
生活力 [せいかつりょく] /(n) vitality/ability to earn a living/
生噛じり [なまかじり] /(n,vs) (1) superficial knowledge/smattering/(2) dabbler/dilettante/(3) dipping into/
生乾き [なまがわき] /(n) half-dried/
生干し [なまぼし] /(n) half-dried/
生管 [せいかん] /(n) (abbr) production control/PC/
生還 [せいかん] /(n,vs) returning alive/(baseball) reaching the home plate/(P)/
生還者 [せいかんしゃ] /(n) survivor/
生気 [せいき] /(n) life/vitality/verve/vigor/vigour/animation/spirit/
生気溌剌 [せいきはつらつ] /(adj-t,adv-to) being full of vitality/being vivacious/
生起 [せいき] /(n,vs) take place/occurrence/happen/
生技 [せいぎ] /(n) (abbr) production engineering/
生魚 [せいぎょ] /(n) raw or fresh fish/
生魚 [なまうお] /(n) raw or fresh fish/
生魚 [なまざかな] /(n) raw or fresh fish/
生協 [せいきょう] /(n) cooperative association/co-op store/(P)/
生蕎麦 [きそば] /(n) buckwheat noodles/
生業 [せいぎょう] /(n) occupation/livelihood/calling/
生業 [なりわい] /(n) occupation/livelihood/calling/
生玉 [いくたま] /(n) (obsc) longevity stone (gemstone that gives its bearer long life)/
生禽 [せいきん] /(n,vs) (obsc) capturing something alive/
生菌ワクチン [せいきんワクチン] /(n) (obsc) live vaccine/
生型鋳造 [なまがたちゅうぞう] /(n) green sand/metal molding using sand/
生型法 [なまがたほう] /(n) green-sand casting/casting metal with a green-sand mould/
生計 [せいけい] /(n) livelihood/living/(P)/
生計を立てる [せいけいをたてる] /(exp,v5r) to make a living/
生計費 [せいけいひ] /(n) living expenses/
生計費指数 [せいけいひしすう] /(n) cost of living index/
生欠伸 [なまあくび] /(n) slight yawn/
生血 [なまち] /(n) fresh blood/lifeblood/
生検 [せいけん] /(n) biopsy/
生絹 [すずし] /(n) raw silk products/
生後 [せいご] /(n-adv,n-t) post-natal/since birth/(P)/
生悟り [なまさとり] /(n,vs,adj-no) (1) incomplete enlightenment/(n) (2) incompletely enlightened person/
生悟り [なまざとり] /(n,vs,adj-no) (1) incomplete enlightenment/(n) (2) incompletely enlightened person/
生口 [せいこう] /(n) (1) (arch) prisoner of war (Yayoi period)/(2) slaves/
生硬 [せいこう] /(adj-na,n) crude/immature/unpolished/
生国 [しょうこく] /(n) one's native country/land of one's birth/
生国 [しょうごく] /(n) one's native country/land of one's birth/
生痕 [せいこん] /(n) trace fossil/
生痕化石 [せいこんかせき] /(n) trace fossil/
生砂 [きずな] /(n) (1) greensand (olive-green sandstone)/(2) green sand/molding sand/
生砂糖 [なまざとう] /(n) raw sugar/
生彩 [せいさい] /(n) life/vitality/vividness/
生鮭 [なまじゃけ] /(n) (1) fresh salmon/unsalted salmon/(2) raw salmon/
生殺 [せいさつ] /(n,vs) sparing life and taking life/letting live and killing/
生殺し [なまごろし] /(n) half-dead/
生殺与奪 [せいさつよだつ] /(n) (having) life-and-death power (over)/
生産 [せいさん] /(n,vs) production/manufacture/(P)/
生産 [せいざん] /(n) live birth/
生産コスト [せいさんコスト] /(n) production cost/
生産ライン [せいさんライン] /(n) production line/
生産過剰 [せいさんかじょう] /(n) overproduction/
生産額 [せいさんがく] /(n) amount of production/
生産管理 [せいさんかんり] /(n) production control/
生産関数 [せいさんかんすう] /(n) production function/
生産技術 [せいさんぎじゅつ] /(n) industrial science/
生産拠点 [せいさんきょてん] /(n) production base/
生産計画 [せいさんけいかく] /(n) production schedule/
生産工程 [せいさんこうてい] /(n) production process/industrial operation/
生産高 [せいさんだか] /(n) yield/output/production/
生産財 [せいさんざい] /(n) producer goods/producer's goods/
生産児 [せいざんじ] /(n) live birth/child born alive/
生産者 [せいさんしゃ] /(n) manufacturer/producer/
生産者価格 [せいさんしゃかかく] /(n) producer price/
生産者物価指数 [せいさんしゃぶっかしすう] /(n) producer price index/PPI/
生産者余剰 [せいさんしゃよじょう] /(n) producer surplus/
生産手段 [せいさんしゅだん] /(n) means of production/
生産奨励 [せいさんしょうれい] /(n) manufacturing promotion/promotion of production/
生産性 [せいさんせい] /(n) fecundity/productivity/(P)/
生産設備 [せいさんせつび] /(n) plant and equipment/production facilities/manufacturing equipment/
生産組合 [せいさんくみあい] /(n) producer's association/
生産側非同期手続き [せいさんがわひどうきてつづき] /(n) (comp) producer/
生産地 [せいさんち] /(n) producing area/
生産能力 [せいさんのうりょく] /(n) plant and equipment/production equipment/productive capacity/
生産能力過剰 [せいさんのうりょくかじょう] /(n) overcapacity/
生産販売在庫 [せいさんはんばいざいこ] /(n) production, sales and inventory/PSI/
生産費 [せいさんひ] /(n) production costs/
生産物 [せいさんぶつ] /(n) products/
生産方式 [せいさんほうしき] /(n) production system/production method/manufacturing system/
生産目標 [せいさんもくひょう] /(n) production target/
生産要素 [せいさんようそ] /(n) factor of production/
生産率 [せいさんりつ] /(n) rate of output/production rate/
生産率 [せいざんりつ] /(n) live birth rate/
生産量 [せいさんりょう] /(n) production output/amount of goods manufactured/
生産力 [せいさんりょく] /(n) productivity/
生残 [せいざん] /(n) survival/
生残者 [せいざんしゃ] /(n) survivor/
生死 [しょうし] /(n) (1) life and death/(2) (Buddh) samsara (cycle of death and rebirth)/(3) death/
生死 [しょうじ] /(n) (1) life and death/(2) (Buddh) samsara (cycle of death and rebirth)/(3) death/
生死 [せいし] /(n) (1) life and death/(P)/
生死にかかわる問題 [せいしにかかわるもんだい] /(n) a matter of life and death/
生死の境 [せいしのさかい] /(n) between life and death/
生死一如 [せいしいちにょ] /(exp) Life and death are the two faces of the same coin/
生死流転 [しょうじるてん] /(n,vs) all things being in flux through the endless circle of birth, death, and rebirth/the circle of transmigration/
生死輪廻 [せいしりんね] /(n,vs) all things being in flux through the endless circle of birth, death, and rebirth/the circle of transmigration/
生糸 [きいと] /(n) raw silk thread/(P)/
生紙 [きがみ] /(n) unsized paper/
生歯 [せいし] /(n) teething/cutting teeth/dentition/
生字引 [いきじびき] /(n) walking dictionary or encyclopedia/
生漆 [きうるし] /(n) unrefined sap of the lacquer tree/
生煮え [なまにえ] /(adj-na,n) (1) half-cooked/rare/(2) ambiguous/vague/(3) immature/
生者 [しょうじゃ] /(n) (1) animate nature/living things/(2) living person/the living/
生者 [せいしゃ] /(n) (1) animate nature/living things/(2) living person/the living/
生者 [せいじゃ] /(n) (1) animate nature/living things/(2) living person/the living/
生者必滅 [しょうじゃひつめつ] /(n) All living things must die/
生若い [なまわかい] /(adj-i) (arch) young and immature/
生酒 [きざけ] /(n) pure rice wine/
生首 [なまくび] /(n) freshly severed head/
生臭い [なまぐさい] /(adj-i) fishy/raw/smelling of fish or blood/(P)/
生臭物 [なまぐさもの] /(n) meat and fish (forbidden to monks)/
生臭坊主 [なまぐさぼうず] /(n) worldly priest/
生傷 [なまきず] /(n) fresh bruises or wounds/
生焼け [なまやけ] /(n,adj-no) half-roasted/half-baked/rare/
生醤油 [きじょうゆ] /(n) pure soy sauce/
生殖 [せいしょく] /(n,vs,adj-no) reproduction/(P)/
生殖器 [せいしょくき] /(n) genital organ/genitalia/sexual organ/reproductive organ/
生殖機能 [せいしょくきのう] /(n) reproductive function/
生殖工学 [せいしょくこうがく] /(n) reproduction technology/
生殖細胞 [せいしょくさいぼう] /(n) germ cell/reproductive cell/
生殖腺 [せいしょくせん] /(n) gonad/
生殖腺刺激ホルモン [せいしょくせんしげきホルモン] /(n) (obsc) gonadotropic hormone (gonadotrophic)/
生殖補助技術 [せいしょくほじょぎじゅつ] /(n) assisted reproductive technology/ART/
生色 [せいしょく] /(n) healthy complexion/
生食 [せいしょく] /(n,vs) eating something raw/
生食 [なましょく] /(n,vs) eating something raw/
生新 [せいしん] /(adj-na,n) fresh/
生新しい [なまあたらしい] /(adj-i) very fresh/
生真面目 [きまじめ] /(adj-na,n) too serious/person who is too serious/honesty/sincerity/
生身 [しょうじん] /(n,adj-no) (1) living flesh/flesh and blood/(2) (Buddh) physical body of Buddha or a bodhisattva/
生身 [なまみ] /(n,adj-no) (1) living flesh/flesh and blood/
生水 [なまみず] /(n) unboiled water/
生粋 [きっすい] /(n,adj-no) pure/genuine/natural-born/
生酔い [なまよい] /(n) tipsy/
生酔い本性違わず [なまよいほんしょうたがわず] /(exp) (id) In wine there is truth/
生成 [せいせい] /(n,vs) creation/generation/formation/derivation/(P)/
生成り [きなり] /(n) unbleached cloth/
生成規則 [せいせいきそく] /(n) (comp) production/
生成子完全集合 [せいせいしかんぜんしゅうごう] /(n) (comp) complete generator set/
生成子部分集合 [せいせいしぶぶんしゅうごう] /(n) (comp) partial generator set/
生成文法 [せいせいぶんぽう] /(n) (ling) generative grammar/
生政治 [せいせいじ] /(n) biopolitics/
生生 [せいせい] /(adj-na,n) lively/growing up/
生生しい [なまなましい] /(adj-i) lively/green/fresh/raw/
生生世世 [しょうじょうぜぜ] /(n-adv,n) eternity/forever/through all eternity/
生生流転 [しょうじょうるてん] /(n,vs) all things being in flux through the endless circle of birth, death, and rebirth/the circle of transmigration/
生生流転 [せいせいるてん] /(n,vs) all things being in flux through the endless circle of birth, death, and rebirth/the circle of transmigration/
生石灰 [せいせっかい] /(n) quick lime/
生節 [なまぶし] /(n) boiled and half-dried bonito/
生節 [なまりぶし] /(n) boiled and half-dried bonito/
生鮮 [せいせん] /(adj-na,n) fresh/(P)/
生鮮食料品 [せいせんしょくりょうひん] /(n) perishable food/perishables/
生鮮料品 [せいせんりょうひん] /(n) perishable foods/
生前 [せいぜん] /(n-adv,n-t) while alive/during one's lifetime/(P)/
生禅 [なまぜん] /(n) self-styled Zen philosophy/sciolism/dabbling in Zen/
生憎 [あいにく] /(adj-na,adv,n,adj-no) (uk) unfortunately/Sorry, but .../(P)/
生息 [せいそく] /(n,vs) inhabiting/living/(P)/
生息子 [きむすこ] /(n) young man unknowing of women/male virgin/
生息地 [せいそくち] /(n) habitat/home (e.g. of the tiger)/(P)/
生足 [なまあし] /(n) (sl) bare legs/bare feet/
生存 [せいぞん] /(n) (1) existence/being/survival/(vs) (2) to exist/to live/to survive/(P)/
生存期間 [せいぞんきかん] /(n) lifetime/
生存競争 [せいぞんきょうそう] /(n) struggle for existence/
生存権 [せいぞんけん] /(n) right to life/
生存者 [せいぞんしゃ] /(n) survivor/
生存保険 [せいぞんほけん] /(n) pure endowment insurance/
生存本能 [せいぞんほんのう] /(n) survival instinct/
生存率 [せいぞんりつ] /(n) survival rate/
生唾 [なまつば] /(n) saliva (in one's mouth)/
生体 [せいたい] /(n,adj-no) organism/living body/(P)/
生体解剖 [せいたいかいぼう] /(n,adj-no) vivisection/
生体学 [せいたいがく] /(n) somatology/
生体工学 [せいたいこうがく] /(n) bionics/
生体組織 [せいたいそしき] /(n) biological tissue/
生体反応 [せいたいはんのう] /(n) reaction of a living body/
生体膜 [せいたいまく] /(n) biological membrane/biomembrane/
生体力学 [せいたいりきがく] /(n,adj-no) biomechanics/
生態 [せいたい] /(n,adj-no) (1) mode of life/ecology/(2) (animal) territory/(P)/
生態学 [せいたいがく] /(n) ecology/(P)/
生態型 [せいたいけい] /(n) ecotype/
生態系 [せいたいけい] /(n) ecosystem/(P)/
生大刀 [いくたち] /(n) (arch) sword brimming over with life force/
生誕 [せいたん] /(n,vs) birth/nativity/(P)/
生誕百年 [せいたんひゃくねん] /(n) 100th birthday anniversary/
生暖かい [なまあたたかい] /(adj-i) lukewarm/tepid/
生地 [きじ] /(n) (1) cloth/material/texture/(2) one's true character/(3) unglazed pottery/(4) uncooked dough/batter/(P)/
生地 [せいち] /(n) birthplace/
生地獄 [いきじごく] /(n) living hell/
生中 [なまちゅう] /(n) medium size draft beer/
生中 [なまなか] /(adj-na) (1) halfway-done/mediocre/uncertain/half-hearted/(adv) (2) half-heartedly/insufficiently/
生中継 [なまちゅうけい] /(n,vs) (on TV) "live" broadcast/(P)/
生長 [せいちょう] /(n,vs) growth/increment/(P)/
生長ホルモン [せいちょうホルモン] /(n) growth hormone (esp. somatotropin in animals and auxins in plants)/
生直ぐ [きすぐ] /(adj-na) well-behaved/
生爪 [なまづめ] /(n) fingernail/
生徒 [せいと] /(n,adj-no) pupil/(P)/
生徒会 [せいとかい] /(n) student council/
生徒指導 [せいとしどう] /(n) student guidance/student counseling/
生徒数 [せいとすう] /(n) number of pupils/
生動 [せいどう] /(n,vs) vitality/
生得 [しょうとく] /(n) (1) one's nature or personality/(adj-no) (2) inherent/innate/
生得 [せいとく] /(n) (1) one's nature or personality/(adj-no) (2) inherent/innate/
生得観念 [せいとくかんねん] /(n) innate idea/innate ideas/
生得権 [せいとくけん] /(n) one's birthright/
生得的 [せいとくてき] /(adj-na) innate/inherent/natural/inborn/
生肉 [せいにく] /(n) raw meat/fresh meat/
生肉 [なまにく] /(n) raw meat/fresh meat/
生日 [いくひ] /(n) lucky day/day of celebration/
生日 [うまれび] /(n) birthday/
生日 [せいじつ] /(n) birthday/
生乳 [せいにゅう] /(n) raw milk/
生年 [せいねん] /(n) the year of a person's birth/age/
生年月日 [せいねんがっぴ] /(n) birth date/(P)/
生剥 [なまはげ] /(n) folklore demons of the Oga Peninsula (villagers dress up as namahage on New Year's Eve and frighten children)/
生剥げ [なまはげ] /(n) folklore demons of the Oga Peninsula (villagers dress up as namahage on New Year's Eve and frighten children)/
生白い [なまじろい] /(adj-i) pale/
生白い [なまっちろい] /(adj-i) pale/
生麦事件 [なまむぎじけん] /(n) Namamugi Incident (Aug. 1862)/Kanagawa Incident/Richardson Affair/
生半 [なまなか] /(adj-na) (1) halfway-done/mediocre/uncertain/half-hearted/(adv) (2) half-heartedly/insufficiently/
生半可 [なまはんか] /(adj-na,n) superficial/half-hearted/
生販在 [せいはんざい] /(n) production, sales and inventory/PSI/
生販在計画 [せいはんざいけいかく] /(n) sales, inventory and production planning/SIPP/
生番組 [なまばんぐみ] /(n) live program/live programme/
生蕃 [せいばん] /(n) wild tribespeople/
生皮 [なまかわ] /(n) rawhide/
生物 [せいぶつ] /(n,adj-no) (1) living things/creature/(n) (2) (abbr) biology/(P)/
生物 [なまもの] /(n) raw food/perishables/(P)/
生物化学 [せいぶつかがく] /(n) biochemistry/
生物化学的酸素要求量 [せいぶつかがくてきさんそようきゅうりょう] /(n) biochemical oxygen demand/BOD/
生物化学兵器 [せいぶつかがくへいき] /(n) biological and chemical weapons/
生物界 [せいぶつかい] /(n) life/
生物学 [せいぶつがく] /(n) biology/(P)/
生物学者 [せいぶつがくしゃ] /(n) biologist/
生物学主義 [せいぶつがくしゅぎ] /(n) biologism/
生物学的応答調節物質 [せいぶつがくてきおうとうちょうせつぶっしつ] /(n) biological response modifier/
生物学的製剤 [せいぶつがくてきせいざい] /(n) a biological (i.e. a biological drug, vaccine, etc.)/
生物系 [せいぶつけい] /(n,n-suf) biological (system)/bio-/
生物圏 [せいぶつけん] /(n) biosphere/biome/
生物圏保護区 [せいぶつけんほごく] /(n) biosphere reserve (UNESCO)/
生物検定 [せいぶつけんてい] /(n) bioassay/
生物工学 [せいぶつこうがく] /(n) biotechnology/
生物剤 [せいぶつざい] /(n) biological agent/
生物情報学 [せいぶつじょうほうがく] /(n) bioinformatics/
生物戦 [せいぶつせん] /(n) biological warfare/
生物多様性 [せいぶつたようせい] /(n,adj-no) biodiversity/
生物多様性条約 [せいぶつたようせいじょうやく] /(n) Convention on Biological Diversity/CBD/
生物地理学 [せいぶつちりがく] /(n) biogeography/biological geography/
生物濃縮 [せいぶつのうしゅく] /(n) biological concentration/
生物物理学 [せいぶつぶつりがく] /(n) biophysics/
生物分解 [せいぶつぶんかい] /(n,adj-no) biodegradation/
生物分子 [せいぶつぶんし] /(adj-f) biomolecular/
生物兵器 [せいぶつへいき] /(n) biological weapon/
生分解性 [せいぶんかいせい] /(adj-no) (1) biodegradable/(n) (2) biodegradability/
生分解性プラスチック [せいぶんかいせいプラスチック] /(n) biodegradable plastic/
生聞き [なまぎき] /(n) being inattentive/
生兵法 [なまびょうほう] /(n) crude tactics/smattering of knowledge/
生兵法は大怪我の基 [なまびょうほうはおおけがのもと] /(exp) (id) A little learning is a dangerous thing/
生米 [なまごめ] /(n) uncooked rice/
生壁 [なまかべ] /(n) undried wall/
生別 [せいべつ] /(n,vs) lifelong separation/
生変 [しょうへん] /(n) rebirth/
生返る [いきかえる] /(v5r,vi) to revive/to come to oneself/to be restored to life/(P)/
生返事 [なまへんじ] /(n,vs) half-hearted reply/vague answer/reluctant answer/
生保 [せいほ] /(n) (abbr) life insurance/(P)/
生母 [せいぼ] /(n) one's real mother/
生放送 [なまほうそう] /(n,vs) live broadcast/
生没年 [せいぼつねん] /(n) dates of birth and death/
生埋め [いきうめ] /(n) buried alive/
生娘 [きむすめ] /(n) virgin/innocent young woman/
生命 [せいめい] /(n) life/existence/(P)/
生命維持装置 [せいめいいじそうち] /(n) life-support system/
生命科学 [せいめいかがく] /(n) life science/
生命権 [せいめいけん] /(n) right to life/
生命工学 [せいめいこうがく] /(n) biotechnology/
生命線 [せいめいせん] /(n) lifeline/
生命体 [せいめいたい] /(n) life-form/
生命保険 [せいめいほけん] /(n) life insurance/(P)/
生命保険会社 [せいめいほけんがいしゃ] /(n) life insurance company/
生命力 [せいめいりょく] /(n) vitality/(one's) life force/(P)/
生命倫理 [せいめいりんり] /(n,adj-no) bioethics/
生滅 [しょうめつ] /(n,vs) birth and death/
生滅滅已 [しょうめつめつい] /(exp) (Buddh) going beyond life and death and entering Nirvana/
生面 [せいめん] /(n) new field/
生茂る [おいしげる] /(v5r,vi) to grow thickly/to be overgrown/to thrive/to grow in abundance/
生毛 [うぶげ] /(n) (1) soft, downy hair (i.e. such as on one's cheek)/peach fuzz/fluff/pappus/(2) lanugo/(adj-no) (3) lanuginous/pappose/pappous/
生毛体 [せいもうたい] /(n) basal body/basal granule/kinetosome/blepharoplast/
生木 [なまき] /(n) live tree/green wood/
生野菜 [なまやさい] /(n) fresh vegetables/
生薬 [きぐすり] /(n) crude drug/crude medicine/natural remedy/
生薬 [しょうやく] /(n) crude drug/crude medicine/natural remedy/
生薬 [せいやく] /(n) crude drug/crude medicine/natural remedy/
生優しい [なまやさしい] /(adj-i) (arch) somewhat kind/rather gentle/
生有 [しょうう] /(n) (in Buddhism) the instant of birth (rebirth)/
生有る者は必ず死有り [せいあるものはかならずしあり] /(exp) (id) No mortal escapes death/
生揚げ [なまあげ] /(n) deep-fried bean curd/undercooked/
生来 [しょうらい] /(n-adv,n-t) naturally/by nature (birth)/congenitally/
生来 [せいらい] /(n-adv,n-t) naturally/by nature (birth)/congenitally/
生卵 [なまたまご] /(n) raw egg/
生理 [せいり] /(n,adj-no) (1) physiology/(2) menstruation/one's period/menses/(P)/
生理学 [せいりがく] /(n) physiology/(P)/
生理活性物質 [せいりかっせいぶっしつ] /(n) biologically active substance/
生理期間 [せいりきかん] /(n) days of one's menstrual period/
生理機能 [せいりきのう] /(n) physiology/
生理休暇 [せいりきゅうか] /(n) menstrual leave/
生理痛 [せいりつう] /(n) menstrual pain/period pain/
生理的 [せいりてき] /(adj-na) physiological/physiologic/physiologically/
生理的食塩水 [せいりてきしょくえんすい] /(n) physiological saline solution/
生理日 [せいりび] /(n) days of one's menstrual period/
生理不順 [せいりふじゅん] /(n) menstrual irregularity/
生立ち [おいたち] /(n) (1) growth/development/(2) one's early life/upbringing/personal history/
生類 [しょうるい] /(n) living things/
生類 [せいるい] /(n) living things/
生霊 [いきすだま] /(ok) (n) vengeful spirit (spawned from a person's hate)/
生霊 [いきりょう] /(n) vengeful spirit (spawned from a person's hate)/
生老病死 [しょうろうびょうし] /(n) (Buddh) the four inevitables in human life (birth, aging, sickness, and death)/
生蝋 [きろう] /(n) crude Japan wax/
生録 [なまろく] /(n,vs) live recording/
生姜 [しょうが] /(n) (uk) ginger (Zingiber officinale)/
生姜酒 [しょうがざけ] /(n) warm sake with grated ginger (effective against colds)/
生姜焼き [しょうがやき] /(n) pork fried with ginger/
生姜湯 [しょうがゆ] /(n) ginger tea/
生擒 [せいきん] /(n,vs) (obsc) capturing something alive/
生簀 [いけす] /(n,vs) fish preserve/fish-tank/live-box/
生茹で [なまゆで] /(n) half-boiled/
生薑 [しょうが] /(n) (uk) ginger (Zingiber officinale)/
生薑茶 [しょうがちゃ] /(n) ginger tea/
生薑湯 [しょうがゆ] /(n) ginger tea/
生贄 [いけにえ] /(n) sacrifice/scapegoat/
生魑魅 [いきすだま] /(ok) (n) vengeful spirit (spawned from a person's hate)/
生麩 [なまふ] /(n) wheat starch/
生齧り [なまかじり] /(n,vs) (1) superficial knowledge/smattering/(2) dabbler/dilettante/(3) dipping into/
盛り [さかり] /(n,suf) (1) peak (e.g. of cherry blossom season)/height (e.g. of summer)/(2) prime (of one's life)/one's best days/(3) rutting/being in heat/(P)/
盛り [もり] /(n) (1) serving (of food)/helping/(2) (abbr) soba served in a shallow steaming basket/
盛りあがり [もりあがり] /(n) (1) climax/uprush/(2) bulge/
盛りあがる [もりあがる] /(v5r,vi) (1) to swell/to rise/to bulge/to be piled up/(2) to rouse/to get excited/
盛りあげる [もりあげる] /(v1,vt) (1) to pile up/to heap up/(2) to stir up/to enliven/to bring to a climax/
盛りがつく [さかりがつく] /(exp,v5k) to rut/to get on heat/
盛りが付く [さかりがつく] /(exp,v5k) to rut/to get on heat/
盛りそば [もりそば] /(n) (uk) soba served in a shallow steaming basket/
盛りだくさん [もりだくさん] /(adj-na) many/varied/all sorts/crowded/
盛りつけ [もりつけ] /(n) arrangement of food (on a dish)/serving of (arranged) food/
盛りつける [もりつける] /(v1,vt) to dish up/
盛り塩 [もりじお] /(n) placing salt by the entrance to one's establishment to bring good luck/such piles of salt/
盛り花 [もりばな] /(n) flower arrangement in a built-up style/
盛り菓子 [もりがし] /(n) cakes heaped in a container for a shrine offering/
盛り蕎麦 [もりそば] /(n) (uk) soba served in a shallow steaming basket/
盛り合わせ [もりあわせ] /(n) combination platter/
盛り合わせる [もりあわせる] /(v1) to heap with/to assort/
盛り込む [もりこむ] /(v5m,vt) to incorporate/to include/(P)/
盛り砂 [もりずな] /(n) ceremonial piles of sand (placed on both sides of an entrance to greet an important personage)/
盛り殺す [もりころす] /(v5s,vt) to poison to death/to kill by a prescription error/
盛り上がり [もりあがり] /(n) (1) climax/uprush/(2) bulge/(P)/
盛り上がる [もりあがる] /(v5r,vi) (1) to swell/to rise/to bulge/to be piled up/(2) to rouse/to get excited/(P)/
盛り上げる [もりあげる] /(v1,vt) (1) to pile up/to heap up/(2) to stir up/to enliven/to bring to a climax/(P)/
盛り上る [もりあがる] /(v5r,vi) (1) to swell/to rise/to bulge/to be piled up/(2) to rouse/to get excited/
盛り場 [さかりば] /(n) amusement quarters/
盛り切り [もりきり] /(n) single helping/
盛り沢山 [もりだくさん] /(adj-na) many/varied/all sorts/crowded/
盛り土 [もりつち] /(n) embankment (for road, railway, etc.)/raising the ground level/fill/
盛り土 [もりど] /(n) embankment (for road, railway, etc.)/raising the ground level/fill/
盛り付け [もりつけ] /(n) arrangement of food (on a dish)/serving of (arranged) food/(P)/
盛り付ける [もりつける] /(v1,vt) to dish up/
盛り返す [もりかえす] /(v5s,vt) to rally/to make a comeback/
盛る [さかる] /(v5r,vi) (1) to prosper/to flourish/(2) to copulate (animals)/
盛る [もる] /(v5r,vi) (1) to serve (food, etc.)/(2) to fill up/(3) to prescribe/(P)/
盛ん [さかん] /(adj-na) (1) popular/(2) prosperous/(3) enthusiastic/(4) energetic/vigorous/(P)/
盛んな歓迎 [さかんなかんげい] /(n) cordial reception/
盛んな商売 [さかんなしょうばい] /(n) thriving business/
盛んになる [さかんになる] /(exp) to blossom/to put on steam/to become popular/
盛運 [せいうん] /(n) prosperity/fortune/
盛宴 [せいえん] /(n) grand banquet/
盛塩 [もりじお] /(n) placing salt by the entrance to one's establishment to bring good luck/such piles of salt/
盛夏 [せいか] /(n) midsummer/height of summer/
盛会 [せいかい] /(n) successful meeting/
盛観 [せいかん] /(n) grand spectacle/
盛期 [せいき] /(n) prosperous period/
盛儀 [せいぎ] /(n) grand ceremony/
盛挙 [せいきょ] /(n) large-scale undertaking/
盛況 [せいきょう] /(n) success/prosperity/(P)/
盛業 [せいぎょう] /(n) prosperous enterprise/
盛砂 [もりずな] /(n) ceremonial piles of sand (placed on both sides of an entrance to greet an important personage)/
盛事 [せいじ] /(n) prosperous undertaking/
盛時 [せいじ] /(n) prime of life/era of national prosperity/
盛者 [しょうしゃ] /(n) prosperous person/powerful person/
盛者 [しょうじゃ] /(n) prosperous person/powerful person/
盛者 [じょうしゃ] /(n) prosperous person/powerful person/
盛者 [せいしゃ] /(n) prosperous person/powerful person/
盛者 [せいじゃ] /(n) prosperous person/powerful person/
盛者必衰 [しょうしゃひっすい] /(exp) The prosperous must decay/
盛者必衰 [しょうじゃひっすい] /(exp) The prosperous must decay/
盛者必衰 [じょうしゃひっすい] /(exp) The prosperous must decay/
盛者必衰 [せいじゃひっすい] /(exp) The prosperous must decay/
盛暑 [せいしょ] /(n) height of summer/
盛上がる [もりあがる] /(v5r,vi) (1) to swell/to rise/to bulge/to be piled up/(2) to rouse/to get excited/
盛上る [もりあがる] /(v5r,vi) (1) to swell/to rise/to bulge/to be piled up/(2) to rouse/to get excited/
盛衰 [せいすい] /(n) rise and fall/ups and downs/welfare/vicissitudes/(P)/
盛衰興亡 [せいすいこうぼう] /(n) rise and fall/ups and downs/waxing and waning/prosperity and decline/vicissitudes/
盛装 [せいそう] /(n,vs) dressed up/wearing rich clothes/
盛代 [せいだい] /(n) prosperous era/
盛大 [せいだい] /(adj-na,n) grand/prosperous/magnificent/(P)/
盛大に趣く [せいだいにおもむく] /(exp,v5k) to grow in prosperity/
盛典 [せいてん] /(n) grand ceremony/
盛土 [もりつち] /(n) embankment/
盛徳 [せいとく] /(n) splendid virtue/
盛年 [せいねん] /(n) prime of life/
盛年重ねて来たらず [せいねんかさねてきたらず] /(exp) (id) Time and tide wait for no man/
盛付け [もりつけ] /(n) arrangement of food (on a dish)/serving of (arranged) food/
盛名 [せいめい] /(n) reputation/
精 [せい] /(n) (1) spirit/sprite/nymph/(2) energy/vigor (vigour)/strength/(3) fine details/(4) semen/(P)/
精々 [せいぜい] /(adv) at the most/at best/to the utmost/as much (far) as possible/(P)/
精いっぱい [せいいっぱい] /(n-adv) with all one's might/
精が尽きる [せいがつきる] /(exp,v1) to be exhausted/one's energy is gone/
精げる [しらげる] /(v1,vt) to polish (rice)/to refine/to purify/
精しい [くわしい] /(adj-i) (1) detailed/full/accurate/(2) knowing very well/well-acquainted/well-informed/
精も根も尽き果てる [せいもこんもつきはてる] /(exp,v1) to use up all of one's energy and willpower/to be exhausted (and have no will to go on)/
精も魂も尽き果てる [せいもこんもつきはてる] /(iK) (exp,v1) to use up all of one's energy and willpower/to be exhausted (and have no will to go on)/
精を出す [せいをだす] /(exp,v5s) to work hard/to work diligently/
精を漏らす [せいをもらす] /(exp,v5s) to have an involuntary emission of semen/
精一 [せいいつ] /(adj-na,n) purity/
精一杯 [せいいっぱい] /(n-adv) with all one's might/(P)/
精飲 [せいいん] /(n,vs) semen-drinking/
精鋭 [せいえい] /(adj-na,n) elite/picked/powerful/efficient/(P)/
精液 [せいえき] /(n,adj-no) semen/(P)/
精華 [せいか] /(n) flower/essence/glory/
精確 [せいかく] /(adj-na,n) detailed and accurate/exhaustive and precise/meticulous/finely detailed/
精管 [せいかん] /(n,adj-no) seminal duct/
精機 [せいき] /(n) precision machinery/precision machine/precision tool/precision tools/precision equipment/
精気 [せいき] /(n) (mind and) spirit/life energy/vitality/essence/
精義 [せいぎ] /(n) detailed exposition/
精強 [せいきょう] /(adj-na,n) powerful/
精勤 [せいきん] /(n,vs) diligence/good attendance/
精勤賞 [せいきんしょう] /(n) prize for diligence or good attendance/
精原 [せいげん] /(adj-f) spermatogonial/
精原細胞 [せいげんさいぼう] /(n) spermatogonium/
精巧 [せいこう] /(adj-na,n) elaborate/delicate/exquisite/(P)/
精根 [せいこん] /(n) energy/vitality/mental determination/
精根を込める [せいこんをこめる] /(exp,v1) pour one's heart and soul into/
精根尽き果てる [せいこんつきはてる] /(v1) to use up all of one's energy and willpower/to be exhausted (and have no will to go on)/
精魂 [せいこん] /(n) soul/spirit/
精魂を傾ける [せいこんをかたむける] /(exp,v1) to put one's heart and soul into something/
精魂を込める [せいこんをこめる] /(exp,v1) pour one's heart and soul into/
精査 [せいさ] /(n,vs) close investigation/careful examination/scrutiny/
精彩 [せいさい] /(n) brilliance/vividness/(P)/
精細 [せいさい] /(adj-na,n) detail/
精細胞 [せいさいぼう] /(n) spermatid/
精算 [せいさん] /(n,vs) exact calculation/squaring of accounts/adjustment/(P)/
精算機 [せいさんき] /(n) fare adjustment machine/ticket adjustment machine/
精算所 [せいさんじょ] /(n) fare adjustment office/
精算書 [せいさんしょ] /(n) statement of accounts/bill/
精算人 [せいさんにん] /(n) liquidator (e.g. of a corporation)/
精子 [せいし] /(n,adj-no) sperm/(P)/
精子形成 [せいしけいせい] /(n) spermatogenesis/
精舎 [しょうじゃ] /(n) temple/monastery/convent/
精習 [せいしゅう] /(n) (careful, diligent, intensive) practice or exercises/
精出す [せいだす] /(v5s,vi) to exert oneself/
精上皮腫 [せいじょうひしゅ] /(n) seminoma/
精神 [せいしん] /(n) mind/soul/heart/spirit/intention/(P)/
精神の美 [せいしんのび] /(n) mental charm/moral beauty/
精神安定剤 [せいしんあんていざい] /(n) tranquilizer/tranquiliser/
精神異常者 [せいしんいじょうしゃ] /(n) psychotic/
精神医学 [せいしんいがく] /(n,adj-no) psychiatry/
精神医学者 [せいしんいがくしゃ] /(n) psychiatrist/
精神一到 [せいしんいっとう] /(n) concentration of mind/mental concentration (on some task)/
精神一到何事か成らざらん [せいしんいっとうなにごとかならざらん] /(exp) Where there is a will, there is a way/
精神衛生 [せいしんえいせい] /(n) mental health/mental hygiene/
精神科 [せいしんか] /(n) psychiatry/(P)/
精神科学 [せいしんかがく] /(n) Geisteswissenschaften (i.e. the humanities, excluding the arts)/mental science/
精神科病院 [せいしんかびょういん] /(n) psychiatric hospital/
精神界 [せいしんかい] /(n) spiritual world/mental world/
精神鑑定 [せいしんかんてい] /(n,vs) psychiatric examination/
精神構造 [せいしんこうぞう] /(n) one's mental make-up (structure)/
精神作用 [せいしんさよう] /(n,adj-no) operation (working) of the mind/
精神錯乱 [せいしんさくらん] /(n,adj-no) mental derangement/mental confusion/alienation/
精神疾患 [せいしんしっかん] /(n) mental disorder/mental disease/
精神主義 [せいしんしゅぎ] /(n) spiritualism/idealism/
精神修養 [せいしんしゅうよう] /(n,vs) moral (spiritual) improvement/practice mental training/cultivate one's mind (soul)/
精神障害 [せいしんしょうがい] /(n,adj-no) mental disorder/(P)/
精神障害者 [せいしんしょうがいしゃ] /(n) mentally handicapped person/mentally challenged person/
精神状態 [せいしんじょうたい] /(n) mental condition/state of mind/mentality/
精神神経 [せいしんしんけい] /(adj-no) psychoneuro/psychoneurotic/
精神身体医学 [せいしんしんたいいがく] /(n) psychosomatic medicine/
精神世界 [せいしんせかい] /(n) inner psychological world/mental world/spiritual world/
精神生物学 [せいしんせいぶつがく] /(n) psychobiology/
精神遅滞 [せいしんちたい] /(n) mental retardation/
精神的 [せいしんてき] /(adj-na) mental/emotional/(P)/
精神的ストレス [せいしんてきストレス] /(n) psychological stress/
精神的外傷 [せいしんてきがいしょう] /(n) psychological trauma/
精神的苦痛 [せいしんてきくつう] /(n) mental anguish/
精神的指導者 [せいしんてきしどうしゃ] /(n) spiritual leader/
精神統一 [せいしんとういつ] /(n) concentration of mind/mental concentration (on some task)/
精神年齢 [せいしんねんれい] /(n) mental age/
精神波 [せいしんは] /(n) psychic waves/
精神薄弱 [せいしんはくじゃく] /(n) (sens) mental retardation/mentally retarded/(P)/
精神薄弱児 [せいしんはくじゃくじ] /(n) mentally-handicapped (retarded) child/weak-minded child/
精神薄弱者 [せいしんはくじゃくしゃ] /(n) feeble-minded (weak-minded) person/mentally deficient person/
精神発達 [せいしんはったつ] /(n,adj-no) psychogenesis/
精神発達学 [せいしんはったつがく] /(n) psychogenetics/
精神発達遅滞 [せいしんはったつちたい] /(n) mental retardation/
精神病 [せいしんびょう] /(n) mental illness/psychosis/
精神病医 [せいしんびょうい] /(n) psychiatrist/mental specialist/alienist/
精神病院 [せいしんびょういん] /(n) (obs) mental hospital/
精神風土 [せいしんふうど] /(n) the spiritual climate/
精神分析 [せいしんぶんせき] /(n,adj-no) psychoanalysis/
精神分裂症 [せいしんぶんれつしょう] /(n) (obs) (sens) schizophrenia/
精神分裂病 [せいしんぶんれつびょう] /(n) (obs) (sens) schizophrenia/
精神療法 [せいしんりょうほう] /(n) psychotherapy/
精神力 [せいしんりょく] /(n) emotional strength/force of will/
精神労働 [せいしんろうどう] /(n) brainwork/
精進 [しょうじ] /(ok) (n,vs) (1) concentration/diligence/devotion/(2) asceticism/zeal in one's quest for enlightenment/(3) adherence to a vegetarian diet/
精進 [しょうじん] /(n,vs) (1) concentration/diligence/devotion/(2) asceticism/zeal in one's quest for enlightenment/(3) adherence to a vegetarian diet/(P)/
精進 [そうじ] /(ok) (n,vs) (1) concentration/diligence/devotion/(2) asceticism/zeal in one's quest for enlightenment/(3) adherence to a vegetarian diet/
精進 [そうじん] /(ok) (n,vs) (1) concentration/diligence/devotion/(2) asceticism/zeal in one's quest for enlightenment/(3) adherence to a vegetarian diet/
精進潔斎 [しょうじんけっさい] /(n,vs) purifying oneself (religiously) by abstaining from eating meat/
精進日 [しょうじんび] /(n) day of abstinence/
精進物 [しょうじんもの] /(n) (obsc) vegetable-based food (inc. nuts, berries, etc., but excluding all meat and fish)/
精進物 [そうじもの] /(n) (obsc) vegetable-based food (inc. nuts, berries, etc., but excluding all meat and fish)/
精進揚げ [しょうじんあげ] /(n) vegetable tempura/
精進落し [しょうじんおとし] /(n) allowing oneself meat, fish or alcohol after a period of abstaining/
精進落ち [しょうじんおち] /(n) first meal (including meat or fish) taken after a period of abstinence/
精進落とし [しょうじんおとし] /(n) allowing oneself meat, fish or alcohol after a period of abstaining/
精進料理 [しょうじんりょうり] /(n,adj-no) vegetarian cuisine originally derived from the dietry restrictions of Buddhist monks/
精粋 [せいすい] /(n) purity/unselfishness/
精髄 [せいずい] /(n,adj-no) essence/kernel/spirit/pith/
精精 [せいぜい] /(adv) at the most/at best/to the utmost/as much (far) as possible/
精製 [せいせい] /(n,vs,adj-no) purification/(P)/
精製塩 [せいせいえん] /(n) refined salt/
精製糖 [せいせいとう] /(n) refined sugar/
精製品 [せいせいひん] /(n) refined or finished goods/
精製法 [せいせいほう] /(n) refining process/
精選 [せいせん] /(n,vs,adj-no) careful selection/(P)/
精粗 [せいそ] /(n) fineness or coarseness/minuteness or roughness/
精巣 [せいそう] /(n,adj-no) testicle/
精巣上体 [せいそうじょうたい] /(n) epididymis/
精虫 [せいちゅう] /(n) sperm(atozoon)/
精通 [せいつう] /(n,vs) (1) acquaintance/having knowledge/being expert/being versed in/conversant/(2) first ejaculation/(P)/
精通者 [せいつうしゃ] /(n) (comp) expert (person)/someone in the know/
精度 [せいど] /(n) precision/accuracy/(P)/
精糖 [せいとう] /(n) refined sugar/sugar refining/
精到 [せいとう] /(adj-na,n) meticulous/
精銅 [せいどう] /(n) refined copper/
精読 [せいどく] /(n,vs) intensive reading/conning/
精肉 [せいにく] /(n) small goods/processed meat/good quality meat/
精肉店 [せいにくてん] /(n) meat shop/butcher's shop/
精嚢 [せいのう] /(n) seminal vesicle/
精農 [せいのう] /(n) hard-working farmer or agriculturalist/
精白 [せいはく] /(n,vs) refining/polishing (of rice)/
精白糖 [せいはくとう] /(n) refined sugar/
精白米 [せいはくまい] /(n) polished rice/
精白率 [せいはくりつ] /(n) degree of milling (of rice)/
精薄 [せいはく] /(n) (abbr) mental retardation (pejorative)/mentally retarded/
精薄児 [せいはくじ] /(n) (abbr) mentally-handicapped (retarded) child (pejorative)/weak-minded child/
精薄者 [せいはくしゃ] /(n) (abbr) mentally-handicapped person (pejorative)/retarded person/
精麦 [せいばく] /(n,vs) polished barley or wheat/
精粉 [せいふん] /(n) fine powder/
精兵 [せいびょう] /(n) picked troops/elite soldiers/crack troops/
精兵 [せいへい] /(n) picked troops/elite soldiers/crack troops/
精米 [せいまい] /(n,vs) polished rice/(P)/
精米機 [せいまいき] /(n) rice huller/rice polishing machine/rice pearling machine/rice sweeper/rice mill/
精米所 [せいまいじょ] /(n) rice(-cleaning) mill/
精米歩合 [せいまいぶあい] /(n) ratio indicating the quantity of polished rice gained from a given quantity of brown rice (nowadays usually expressed as a percent)/
精母細胞 [せいぼさいぼう] /(n,adj-no) spermatocyte/
精密 [せいみつ] /(adj-na,n) precise/exact/detailed/minute/close/(P)/
精密化学品 [せいみつかがくひん] /(n) fine chemical (high precision chemicals, typically used in pharmaceutical products)/
精密加工 [せいみつかこう] /(n) precision machining/precision cutting/
精密科学 [せいみつかがく] /(n) the exact sciences/
精密機械 [せいみつきかい] /(n) precision instrument or machine/
精密機械工業 [せいみつきかいこうぎょう] /(n) precision machinery industry/
精密機器 [せいみつきき] /(n) precision equipment/delicate equipment/
精密分類体系 [せいみつぶんるいたいけい] /(n) (comp) close classification system/depth classification system/
精密誘導ミサイル [せいみつゆうどうミサイル] /(n) precision guided missile/
精妙 [せいみょう] /(adj-na,n) exquisite/
精妙巧緻 [せいみょうこうち] /(n,adj-na) exquisite and elaborate/
精油 [せいゆ] /(n) (1) essential oil/volatile oil/(2) refined oil/
精油所 [せいゆしょ] /(n) oil refinery/
精留 [せいりゅう] /(n,vs) refinement (e.g. of alcohol)/rectification/
精力 [せいりょく] /(n) energy/vigor/vigour/vitality/(P)/
精力絶倫 [せいりょくぜつりん] /(adj-na,n,adj-no) being of unbounded energy/being with matchless vigor/having endless sexual stamina/
精力的 [せいりょくてき] /(adj-na) energetic/vigorous/vigourous/
精励 [せいれい] /(n,vs) diligence/industry/
精励恪勤 [せいれいかっきん] /(n,vs,adj-na) assiduousness/attending diligently to one's study or duties/
精霊 [しょうりょう] /(n) (Buddh) spirit of the deceased/
精霊 [せいれい] /(n) spirit/soul/ghost/
精霊会 [しょうりょうえ] /(n) (1) Bon Festival/(2) Buddhist service for the anniversary of the death of Shotoku Taishi (orig. the 22th day of the 2nd month of the lunar calendar)/
精霊舟 [しょうりょうぶね] /(n) straw boat for one's ancestral spirits to sail in/
精霊信仰 [せいれいしんこう] /(n,adj-no) animism/
精霊崇拝 [せいれいすうはい] /(n) spiritism/worship of the dead/
精霊船 [しょうりょうぶね] /(n) straw boat for one's ancestral spirits to sail in/
精霊飛蝗 [しょうりょうばった] /(n) (uk) Oriental longheaded locust (Acrida cinerea)/
精霊飛蝗擬 [しょうりょうばったもどき] /(n) (uk) Gonista bicolor (species of grasshopper resembling the Oriental longheaded locust)/
精霊飛蝗擬き [しょうりょうばったもどき] /(n) (uk) Gonista bicolor (species of grasshopper resembling the Oriental longheaded locust)/
精霊流し [しょうりょうながし] /(n) floating lanterns or offerings for the spirits of the deceased/
精煉 [せいれん] /(n,vs) refining (metals)/smelting (copper)/temper/
精練 [せいれん] /(n,vs) (1) scouring/degumming/(2) training/(3) refining/smelting/
精錬 [せいれん] /(n,vs) (1) refining/smelting/tempering/(2) scouring/degumming/
精錬所 [せいれんしょ] /(n) refinery/smelting works/
精錬所 [せいれんじょ] /(n) refinery/smelting works/
精悍 [せいかん] /(adj-na,n) fearless/intrepid/
精緻 [せいち] /(adj-na,n) delicate/minute/subtle/
精舍 [しょうじゃ] /(oK) (n) temple/monastery/convent/
聖 [せい] /(n,n-pref) (1) Saint/St./S./(n,adj-na) (2) sacred/holy/pure/
聖 [ひじり] /(n) (1) highly virtuous monk/(2) (hon) monk/(3) Buddhist solitary/(4) Buddhist missionary/(5) saint (i.e. a virtuous person)/(6) (arch) (hon) emperor/
聖なる [せいなる] /(adj-pn) holy/sacred/
聖の御代 [ひじりのみよ] /(n) highly-esteemed emperor's reign/
聖エルモの火 [せいエルモのひ] /(n) St Elmo's fire/
聖ニコラス [せいニコラス] /(n) Saint Nicholas/
聖域 [せいいき] /(n,adj-no) sacred precincts/sanctuary/consecrated ground/(P)/
聖恩 [せいおん] /(n) imperial blessings or favor (favour)/
聖家族 [せいかぞく] /(n) the Holy Family/
聖歌 [せいか] /(n,adj-no) hymn/chant/sacred song/
聖歌隊 [せいかたい] /(n) choir/
聖火 [せいか] /(n) (1) sacred fire (torch)/(2) Olympic flame/(P)/
聖火リレー [せいかリレー] /(n) Olympic torch relay/
聖火台 [せいかだい] /(n) platform (structure) bearing the Olympic flame/
聖菓 [せいか] /(n) (obsc) Christmas cake/
聖骸布 [せいがいふ] /(n) holy shroud (i.e. the Shroud of Turin)/
聖楽 [せいがく] /(n) church music/sacred music/
聖観音 [しょうかんのん] /(n) (Buddh) Aryavalokitesvara (manifestation of Avalokitesvara)/
聖観世音 [しょうかんぜのん] /(n) (Buddh) Aryavalokitesvara (manifestation of Avalokitesvara)/
聖教 [せいきょう] /(n) sacred teachings/Confucianism/Christianity/
聖金曜日 [せいきんようび] /(n) Good Friday/
聖句 [せいく] /(n) (1) scripture/(2) passage from scripture/
聖具 [せいぐ] /(n) sacred utensil/
聖血 [せいけつ] /(n) blood of Christ/
聖剣 [せいけん] /(n) holy sword/sacred sword/
聖賢 [せいけん] /(n) saints and sages/
聖公会 [せいこうかい] /(n) Anglican or Episcopal Church/
聖告 [せいこく] /(n) (obsc) the Annunciation/
聖痕 [せいこん] /(n) stigmata/
聖算 [せいさん] /(n) Emperor's age/
聖餐 [せいさん] /(n) Holy Communion/Lord's Supper/Eucharist/
聖餐 [せいざん] /(n) Holy Communion/Lord's Supper/Eucharist/
聖餐式 [せいさんしき] /(n) Holy Communion/the Eucharist/the Lord's Supper/
聖旨 [せいし] /(n) imperial command/
聖旨 [みむね] /(n) (obsc) God's will (in Christianity)/
聖者 [しょうじゃ] /(n) saint/
聖者 [せいじゃ] /(n) saint/
聖寿 [せいじゅ] /(n) age or life of the emperor/
聖週 [せいしゅう] /(n) Holy Week/
聖獣 [せいじゅう] /(n) sacred beast/
聖書 [せいしょ] /(n,adj-no) Bible/scriptures/(P)/
聖書解釈学 [せいしょかいしゃくがく] /(n) exegetics/
聖書学 [せいしょがく] /(n) Bible studies/
聖書考古学 [せいしょこうこがく] /(n) Biblical archaeology/
聖女 [せいじょ] /(n) saint/holy woman/
聖上 [せいじょう] /(n) (sens) the emperor/
聖職 [せいしょく] /(n,adj-no) sacred profession/holy orders/vocation/ministry/
聖職者 [せいしょくしゃ] /(n) clergyman/churchman/clergy/(P)/
聖神中央教会 [せいしんちゅうおうきょうかい] /(n) The Central Church of Holy God/
聖人 [せいじん] /(n) saint/sage/holy man/(P)/
聖人君子 [せいじんくんし] /(n) person of lofty virtue/man of noble character/perfect person/saint/
聖人賢者 [せいじんけんじゃ] /(n) person of lofty virtue and great wisdom/
聖水 [せいすい] /(n) (1) holy water/(2) urine, especially as relates to urolagnia or urophilia/
聖跡 [せいせき] /(n) holy site/
聖蹟 [せいせき] /(n) holy site/
聖戦 [せいせん] /(n) holy war/crusade/(P)/
聖遷 [せいせん] /(n) (obsc) Hegira/Hejira/Hijra/
聖槍 [せいそう] /(n) holy lance/sacred spear/
聖像 [せいぞう] /(n,adj-no) sacred image/icon/
聖体 [せいたい] /(n) (1) the emperor's person/(2) the body of Christ/the Host/the Eucharist/Holy Communion/
聖体拝領 [せいたいはいりょう] /(n) Eucharist (in Catholicism)/Holy Communion/
聖代 [せいだい] /(n) magnificent imperial reign/
聖卓 [せいたく] /(n) altar (esp. Christian)/
聖誕祭 [せいたんさい] /(n) (1) Christmas/(2) holy birthday/
聖壇 [せいだん] /(n) altar/
聖断 [せいだん] /(n) imperial decision/
聖地 [せいち] /(n) sacred place/holy ground/the Holy Land/(P)/
聖地巡礼 [せいちじゅんれい] /(n) pilgrimage/
聖哲 [せいてつ] /(n) wise man/
聖典 [せいてん] /(n) scriptures/
聖天 [しょうてん] /(n) (Buddh) Nandikesvara (Ganesh in the Buddhist pantheon)/
聖天 [しょうでん] /(n) (Buddh) Nandikesvara (Ganesh in the Buddhist pantheon)/
聖伝 [せいでん] /(n) (Catholic) tradition/
聖徒 [せいと] /(n) disciple/adherent/
聖都 [せいと] /(n) Holy City (e.g. Jerusalem, Mecca)/
聖堂 [せいどう] /(n) (Confucian) temple/church/sanctuary/(P)/
聖徳 [せいとく] /(n) imperial virtue/
聖日 [せいじつ] /(n) holy day/the Sabbath/
聖杯 [せいはい] /(n) chalice/Holy Grail/
聖廟 [せいびょう] /(n) Confucian temple/
聖柄 [ひじりづか] /(n) (1) (arch) sword hilt shaped similar to the handle of a vajra/(2) plain, wooden sword hilt (as opposed to those wrapped in sharkskin)/
聖別 [せいべつ] /(n,vs) consecration/
聖母 [せいぼ] /(n) (1) birth mother of a holy man (or woman)/(2) Virgin Mary/(P)/
聖母マリア [せいぼマリア] /(n) Virgin Mary/
聖母被昇天 [せいぼひしょうてん] /(n) Assumption (of the body and soul of Mary into heaven)/
聖名祝日 [せいめいしゅくじつ] /(n) one's saint's day/name day/
聖夜 [せいや] /(n) holy night/Christmas Eve/
聖油 [せいゆ] /(n) holy oil/
聖霊 [せいれい] /(n) the Holy Ghost/the Holy Spirit/
聖霊運動 [せいれいうんどう] /(n) Pentecostal movement/
聖霊会 [しょうりょうえ] /(n) (1) Bon Festival/(2) Buddhist service for the anniversary of the death of Shotoku Taishi (orig. the 22th day of the 2nd month of the lunar calendar)/
聖霊降臨祭 [せいれいこうりんさい] /(n) (the feast of) Pentecost/
聖路加 [せいろか] /(n) Saint Luke's (Tokyo Hospital)/
聖路加病院 [せいろかびょういん] /(n) St Luke Hospital/
聖櫃 [せいひつ] /(n) (1) Ark of the Covenant (Judaism)/(2) tabernacle (Catholicism)/
声 [こえ] /(n) voice/(P)/
声がかすれる [こえがかすれる] /(exp,v1) to become hoarse/
声がかれる [こえがかれる] /(exp,v1) to become hoarse/
声が枯れる [こえがかれる] /(exp,v1) to become hoarse/
声が掠れる [こえがかすれる] /(exp,v1) to become hoarse/
声が嗄れる [こえがかれる] /(exp,v1) to become hoarse/
声の仏法僧 [こえのぶっぽうそう] /(n) (obsc) Eurasian scops owl (Otus scops)/
声はすれども姿は見えず [こえはすれどもすがたはみえず] /(exp) (id) It's audible but invisible/
声をかける [こえをかける] /(exp,v1) to greet/to call out to someone/
声を掛ける [こえをかける] /(exp,v1) to greet/to call out to someone/
声を詰まらせて [こえをつまらせて] /(exp) in a choked voice/
声を限りに [こえをかぎりに] /(exp,adv) at the top of one's voice/
声を出す [こえをだす] /(exp,v5s) to speak/to say/to vocalize/
声を上げる [こえをあげる] /(exp,v1) to raise one's voice/
声を尖らす [こえをとがらす] /(exp,v5s) to speak sharply/to sharpen one's tone/to raise one's voice/
声を張り上げる [こえをはりあげる] /(exp,v1) to raise one's voice/to shout/
声を呑む [こえをのむ] /(exp,v5m) to gulp in astonishment/to be taken aback speechless/
声を忍ばせて [こえをしのばせて] /(exp) in a subdued voice/
声を立てる [こえをたてる] /(exp,v1) to let out a cry/to shout/
声を励ます [こえをはげます] /(exp,v5s) to raise one's voice/
声域 [せいいき] /(n) range of voice/
声援 [せいえん] /(n,vs) encouragement/cheering/support/(P)/
声音 [こわね] /(n,adj-no) vocal sound/tone of voice/
声音 [せいおん] /(n,adj-no) vocal sound/tone of voice/
声価 [せいか] /(n) reputation/fame/
声楽 [せいがく] /(n,adj-no) vocal music/(P)/
声楽家 [せいがくか] /(n) vocalist/
声楽曲 [せいがくきょく] /(n) vocal music piece/
声掛かり [こえがかり] /(n) recommendation of an influential person/
声高 [こわだか] /(adj-na,n) with a loud voice/(P)/
声質 [せいしつ] /(n) voice quality/type of voice/
声色 [こわいろ] /(n) (1) tone of voice/(2) mimicry/imitative voice/(P)/
声色 [せいしょく] /(n) voice and countenance/song and women/
声帯 [せいたい] /(n) vocal cords/
声帯模写 [せいたいもしゃ] /(n) vocal mimicry/
声調 [せいちょう] /(n) tone (of voice)/style/tone (in Chinese phonetics)/
声道 [せいどう] /(n) vocal tract/
声聞 [しょうもん] /(n) (1) sravaka (disciple of Buddha)/(2) adherent of Hinayana Buddhism/
声聞僧 [しょうもんそう] /(n) (arch) Hinayana monk/
声変わり [こえがわり] /(n) change (break) of voice/
声母 [せいぼ] /(n) syllable onset/
声望 [せいぼう] /(n) fame/popularity/reputation/
声明 [しょうみょう] /(n) (1) sabdavidya (ancient Indian linguistic and grammatical studies)/(2) (Buddh) chanting of Buddhist hymns (usu. in Sanskrit or Chinese)/
声明 [せいめい] /(n,vs) declaration/statement/proclamation/(P)/
声明書 [せいめいしょ] /(n) statement/
声明文 [せいめいぶん] /(n) proclamation/statement/
声紋 [せいもん] /(n) voice print/
声門 [せいもん] /(n,adj-no) glottis/
声優 [せいゆう] /(n) voice actor or actress (radio, animation, etc.)/
声誉 [せいよ] /(n) reputation/fame/credit/honor and distinction/honour and distinction/
声量 [せいりょう] /(n) (speaking) volume/
声涙 [せいるい] /(n) tearful voice/
声涙ともに下る [せいるいともにくだる] /(exp,v5r) to speak through one's tears/to speak with tears in one's eyes/
声涙倶に下る [せいるいともにくだる] /(exp,v5r) to speak through one's tears/to speak with tears in one's eyes/
製 [せい] /(n,n-suf) -made/make/(P)/
製する [せいする] /(vs-s) to make (something)/
製塩 [せいえん] /(n,vs) salt making/
製塩業 [せいえんぎょう] /(n) the salt industry/
製菓 [せいか] /(n) confectionery/
製菓業者 [せいかぎょうしゃ] /(n) confectioner/
製革 [せいかく] /(n) tanning/
製革業 [せいかくぎょう] /(n) the tanning industry/
製缶 [せいかん] /(n) can manufacturing/
製缶工場 [せいかんこうじょう] /(n) (tin) can factory/
製靴 [せいか] /(n) shoe-making/
製靴業 [せいかぎょう] /(n) the shoemaking industry/
製鋼 [せいこう] /(n,vs) steel manufacture/(P)/
製鋼業 [せいこうぎょう] /(n) steel industry/
製鋼所 [せいこうしょ] /(n) steelworks/steel mill/steelmaking plant/
製鋼所 [せいこうじょ] /(n) steelworks/steel mill/steelmaking plant/
製剤 [せいざい] /(n) formulation (of pharmaceuticals)/preparation/pharmaceutical production/
製材 [せいざい] /(n,vs) sawing/
製材業 [せいざいぎょう] /(n) lumbering (sawing) industry/
製材工場 [せいざいこうじょう] /(n) saw mill/sawmill/mill/
製材所 [せいざいしょ] /(n) sawmill/lumbermill/
製作 [せいさく] /(n,vs,adj-no) manufacture/production/(P)/
製作会社 [せいさくがいしゃ] /(n) (comp) manufacturing company/
製作者 [せいさくしゃ] /(n) manufacturer/producer/
製作所 [せいさくしょ] /(n) works/factory/plant/
製作所 [せいさくじょ] /(n) works/factory/plant/
製作費 [せいさくひ] /(n) production cost/(P)/
製糸 [せいし] /(n) spinning/silk reeling/filature/
製糸業 [せいしぎょう] /(n) the silk industry/
製紙 [せいし] /(n) paper making or manufacturing/(P)/
製紙業 [せいしぎょう] /(n) the paper (manufacturing) industry/
製紙工場 [せいしこうじょう] /(n) paper mill (factory)/
製織 [せいしょく] /(n) weaving/
製図 [せいず] /(n,vs) draughtsmanship/draftsmanship/drawing/sketching/mapmaking/cartography/(P)/
製図家 [せいずか] /(n) cartographer/
製図板 [せいずばん] /(n) drafting (draughting, drawing) board/
製図用紙 [せいずようし] /(n) drafting paper/drawing paper/
製造 [せいぞう] /(n,vs,adj-no) manufacture/production/(P)/
製造業 [せいぞうぎょう] /(n) manufacturing industry/
製造元 [せいぞうもと] /(n) manufacturer/maker/
製造工程 [せいぞうこうてい] /(n) manufacturing process/
製造施設 [せいぞうしせつ] /(n) (comp) manufacturing facility/
製造者 [せいぞうしゃ] /(n) manufacturer/
製造者規定信号 [せいぞうしゃきていしんごう] /(n) (comp) vender unique/
製造所 [せいぞうしょ] /(n) factory/manufactory/works/mill/
製造所 [せいぞうじょ] /(n) factory/manufactory/works/mill/
製造場 [せいぞうじょう] /(n) factory/manufactory/works/mill/
製造場 [せいぞうば] /(n) factory/manufactory/works/mill/
製造責任 [せいぞうせきにん] /(n) (comp) PL/Product Liability/
製造年月日 [せいぞうねんがっぴ] /(n) date of manufacture/
製造販売 [せいぞうはんばい] /(n) (1) manufacture and sales/(2) vertical integration/
製造番号 [せいぞうばんごう] /(n) (manufacturer's) serial number/
製造品 [せいぞうひん] /(n) manufactured goods/
製造物責任 [せいぞうぶつせきにん] /(n) product liability/
製造物責任法 [せいぞうぶつせきにんほう] /(n) product liability law/
製造物賠償責任保険 [せいぞうぶつばいしょうせきにんほけん] /(n) product liability insurance/
製袋 [せいたい] /(n) bag manufacturing/
製炭 [せいたん] /(n) charcoal making/
製茶 [せいちゃ] /(n) tea processing/
製茶業 [せいちゃぎょう] /(n) tea processing industry/
製鉄 [せいてつ] /(n,adj-no) iron manufacture/(P)/
製鉄業 [せいてつぎょう] /(n) the iron industry/
製鉄所 [せいてつしょ] /(n) ironworks/steelworks/
製鉄所 [せいてつじょ] /(n) ironworks/steelworks/(P)/
製糖 [せいとう] /(n) sugar manufacture/(P)/
製糖業 [せいとうぎょう] /(n) the sugar industry/
製糖所 [せいとうじょ] /(n) sugar refinery/
製陶 [せいとう] /(n,adj-no) porcelain manufacturing/
製陶業 [せいとうぎょう] /(n) the porcelain or ceramics industry/
製版 [せいはん] /(n,vs) platemaking (printing)/
製版所 [せいはんじょ] /(n) platemaking shop/
製販 [せいはん] /(n) (1) (abbr) manufacture and sales/(2) vertical integration/
製販同盟 [せいはんどうめい] /(n) producer-retailer alliance/
製番 [せいばん] /(n) product number/
製氷 [せいひょう] /(n,vs) ice making/
製氷機 [せいひょうき] /(n) ice maker/ice machine/
製氷皿 [せいひょうざら] /(n) ice-making pan/
製氷所 [せいひょうじょ] /(n) ice plant/
製表機 [せいひょうき] /(n) (comp) tabulator/
製品 [せいひん] /(n) manufactured goods/finished goods/product/(P)/
製品ファミリー [せいひんファミリー] /(n) (comp) product family/
製品ライン [せいひんライン] /(n) product line/
製品化 [せいひんか] /(n,vs) (comp) making into a product/
製品回収 [せいひんかいしゅう] /(n) recall (of goods)/product recall/
製品原価 [せいひんげんか] /(n) manufacturing cost/
製品差別化 [せいひんさべつか] /(n,vs) product differentiation/
製品戦略 [せいひんせんりゃく] /(n) product strategy/
製品版 [せいひんはん] /(n) (comp) production, commercial version/
製粉 [せいふん] /(n,vs) milling/grinding into flour/
製粉機 [せいふんき] /(n) milling machine/a mill/
製粉業 [せいふんぎょう] /(n) the flour(-milling) industry/
製粉所 [せいふんしょ] /(n) flour mill/
製粉所 [せいふんじょ] /(n) flour mill/
製法 [せいほう] /(n) manufacturing method/recipe/formula/(P)/
製本 [せいほん] /(n,vs) book making (binding, publishing)/
製本屋 [せいほんや] /(n) bookbinder/
製麻 [せいま] /(n) flax (hemp) spinning/hemp dressing/
製膜 [せいまく] /(n) film making/membrane production/
製麺 [せいめん] /(n) noodle making/
製薬 [せいやく] /(n,adj-no) medicine manufacture/drug manufacture/(P)/
製薬会社 [せいやくがいしゃ] /(n) pharmaceutical (drug) company/
製薬業界 [せいやくぎょうかい] /(n) pharmaceutical industry/
製油 [せいゆ] /(n,vs) oil refining/
製油所 [せいゆじょ] /(n) oil refinery/(P)/
製錬 [せいれん] /(n,vs) smelting/
西 [せい] /(n) (abbr) Spain/
西 [にし] /(n) west/(P)/
西の丸 [にしのまる] /(n) western citadel/west wing of the Edo castle (where the heir apparent or retired shogun would live)/
西の対 [にしのたい] /(n) western side house (in traditional palatial-style architecture)/
西の方 [にしのほう] /(n) western direction/
西も東も分からない [にしもひがしもわからない] /(exp) not knowing one's way around/not familiar with the area/not knowing what to do/
西アジア [にしアジア] /(n) West Asia/
西アフリカ [にしアフリカ] /(n) West Africa/
西ゴート [にしゴート] /(n) Visigoth/
西サハラ [にしサハラ] /(n) (p) Western Sahara/
西ドイツ [にしドイツ] /(n) West Germany/(P)/
西ナイル熱 [にしナイルねつ] /(n) West Nile fever/
西ヨーロッパ [にしヨーロッパ] /(n) Western Europe/
西ローマ帝国 [にしローマていこく] /(n) Western Roman Empire/
西安事件 [せいあんじけん] /(n) Xi'an Incident (involving the arrest and confinement of Chiang Kai-shek, December 1936)/
西域 [せいいき] /(n) western regions of China/
西域都護府 [せいいきとごふ] /(n) Protectorate General of the Western Regions/Han-period Chinese office established in East Turkestan in 60 BCE/
西瓜 [すいか] /(n) watermelon/(P)/
西瓜割り [すいかわり] /(n) watermelon splitting (game)/
西縁 [せいえん] /(n) western edge/west margin/
西欧 [せいおう] /(n,adj-no) Western Europe/(P)/
西欧化 [せいおうか] /(n,vs) westernization/westernisation/
西欧諸国 [せいおうしょこく] /(n) West European countries/
西欧人 [せいおうじん] /(n) Westerner/
西欧文明 [せいおうぶんめい] /(n) Western civilization/Western civilisation/
西王母 [せいおうぼ] /(n) Queen Mother of the West (an ancient Chinese goddess)/
西下 [さいか] /(n,vs) going west/leaving for the west/
西回り [にしまわり] /(n) west circuit/
西海岸 [にしかいがん] /(n) west coast/
西角目鳥 [にしつのめどり] /(n) (uk) Atlantic puffin (Fratercula arctica)/
西漢 [せいかん] /(n) Western Han (dynasty of China)/
西岸 [せいがん] /(n) west coast/west bank/
西岩燕 [にしいわつばめ] /(n) (uk) common house martin (species of songbird, Delichon urbica)/
西寄り [にしより] /(exp) westerly/from the west/
西紀 [せいき] /(n) Christian era/
西経 [せいけい] /(n) west longitude/
西語 [せいご] /(n) Spanish (language)/
西口 [にしぐち] /(n) west entrance/(P)/
西向き [にしむき] /(n) facing west/
西貢 [さいごん] /(n,adj-no) Saigon/
西郊 [せいこう] /(n) (obsc) western suburb/
西高東低 [せいこうとうてい] /(n) high barometric pressure to the west, low pressure to the east/
西国 [さいこく] /(n) (1) (abbr) the western part of Japan (esp. Kyushu, but ranging as far east as Kinki)/(2) western nations (esp. India or Europe)/(3) 33 temples in the Kinki area containing a statue of Avalokitesvara/(4) a pilgrimage of these temples/
西国 [さいごく] /(n) (1) (abbr) the western part of Japan (esp. Kyushu, but ranging as far east as Kinki)/(2) western nations (esp. India or Europe)/(3) 33 temples in the Kinki area containing a statue of Avalokitesvara/(4) a pilgrimage of these temples/
西国三十三所 [さいこくさんじゅうさんしょ] /(n) 33 temples in the Kinki area containing a statue of Avalokitesvara/
西国三十三所 [さいごくさんじゅうさんしょ] /(n) 33 temples in the Kinki area containing a statue of Avalokitesvara/
西国巡礼 [さいこくじゅんれい] /(n) pilgrimage of the Saigoku-Sanjuusansho (33 temples in the Kinki region)/
西国巡礼 [さいごくじゅんれい] /(n) pilgrimage of the Saigoku-Sanjuusansho (33 temples in the Kinki region)/
西黒丸烏 [にしこくまるがらす] /(n) (uk) Eurasian jackdaw (Corvus monedula)/
西山派 [せいざんは] /(n) Seizan sect (of Pure Land Buddhism)/
西周 [せいしゅう] /(n) Western Zhou (dynasty of China)/
西戎 [せいじゅう] /(n) barbarians to the west (from Chinese)/
西序 [せいじょ] /(n) (Buddh) memorial rite involving the western sanctum/
西浄 [せいじん] /(n) toilet in a Zen temple/
西浄 [せいちん] /(n) toilet in a Zen temple/
西晋 [せいしん] /(n) Western Jin (dynasty of China, 265-317 CE)/
西神 [せいしん] /(n,n-suf) (in the) Kobe area/
西陣 [にしじん] /(n) district in Kyoto/
西陣織り [にしじんおり] /(n) Nishijin silk fabrics/Nishijin brocade/
西漸 [せいぜん] /(n,vs) westward advance/
西側 [にしがわ] /(n,adj-no) west side/west bank/(P)/
西側諸国 [にしがわしょこく] /(n) Western countries/
西端 [せいたん] /(n) western edge (e.g. of city)/west side/
西哲 [せいてつ] /(n) western philosopher/
西田哲学 [にしだてつがく] /(n) Nishida's philosophy (foundation for the Kyoto school of philosophy)/
西土 [せいど] /(n) western lands (China, India, etc.)/the West/
西独 [せいどく] /(n) West Germany/(P)/
西南 [せいなん] /(n) south-west/(P)/
西南 [にしみなみ] /(n) south-west/
西南の役 [せいなんのえき] /(n) the Satsuma Rebellion/
西南学派 [せいなんがくは] /(n) Southwest school (of neo-Kantian philosophy)/
西南西 [せいなんせい] /(n) west-southwest/
西南戦争 [せいなんせんそう] /(n) Satsuma Rebellion (1877)/
西南日本 [せいなんにほん] /(n) southwest Japan (southwest of the Itoigawa-Shizuoka Tectonic Line)/
西南日本外帯 [せいなんにほんがいたい] /(n) area of southwestern Japan south of the Median Tectonic Line/
西南日本内帯 [せいなんにほんないたい] /(n) area of southwestern Japan north of the Median Tectonic Line/
西日 [せいにち] /(n) Spanish-Japanese (gen. for translations and dictionaries)/
西日 [にしび] /(n) westering sun/setting sun/(P)/
西日本 [にしにっぽん] /(n) western Japan/
西日本 [にしにほん] /(n) western Japan/(P)/
西半球 [にしはんきゅう] /(n) the Occident/
西班牙 [すぺいん] /(n,adj-no) (uk) Spain/
西表山猫 [いりおもてやまねこ] /(n) Iriomote wildcat (Prionailurus bengalensis iriomotensis)/
西部 [せいぶ] /(n) the west/western part/the West/(P)/
西部インド洋 [せいぶインドよう] /(n) Western Indian Ocean/
西部劇 [せいぶげき] /(n) western (film genre)/
西部戦線 [せいぶせんせん] /(n) the Western Front/
西風 [せいふう] /(n,adj-no) west wind/
西風 [にしかぜ] /(n,adj-no) west wind/(P)/
西仏法僧 [にしぶっぽうそう] /(n) (uk) European roller (species of bird, Coracias garrulus)/
西壁 [せいへき] /(n) west face/west wall/
西方 [さいほう] /(n) western direction/
西方 [せいほう] /(n) western direction/(P)/
西方教会 [せいほうきょうかい] /(n) Western Church/Western Christianity/
西方浄土 [さいほうじょうど] /(n) (Buddh) Western Pure Land (Amitabha's Buddhist paradise)/
西北 [せいほく] /(n) north-west/
西北西 [せいほくせい] /(n) west-northwest/
西明かり [にしあかり] /(n) twilight/western evening sky/
西遊 [さいゆう] /(n,vs) westward trip/trip to the West/
西遊 [せいゆう] /(n,vs) westward trip/trip to the West/
西遊記 [さいゆうき] /(n) Monkey (Monkey King, Magic Monkey)/Journey to the West (classic of Chinese literature)/
西遊記 [せいゆうき] /(n) Monkey (Monkey King, Magic Monkey)/Journey to the West (classic of Chinese literature)/
西洋 [せいよう] /(n,adj-no) the west/Western countries/(P)/
西洋すぐり [せいようすぐり] /(n) (European) gooseberry (Ribes uva-crispa L.)/
西洋わさび [せいようわさび] /(n) horseradish (Armoracia rusticana)/
西洋カボチャ [せいようカボチャ] /(n) buttercup squash (Cucurbita maxima)/
西洋タンポポ [せいようタンポポ] /(n) common dandelion (Taraxacum officinale)/
西洋医学 [せいよういがく] /(n) Western medicine/
西洋化 [せいようか] /(n,vs) westernization/westernisation/
西洋画 [せいようが] /(n) Western painting/
西洋蒲公英 [せいようたんぽぽ] /(n) common dandelion (Taraxacum officinale)/
西洋館 [せいようかん] /(n) western style-house (esp. those built before WWII)/
西洋鋸草 [せいようのこぎりそう] /(n) (uk) yarrow (Achillea millefolium)/milfoil/
西洋碁 [せいようご] /(n) checkers/
西洋語 [せいようご] /(n) western language/
西洋桜草 [せいようさくらそう] /(n) primula (any flower of genus Primula, which includes primroses, cowslips and cyclamens)/
西洋山葵 [せいようわさび] /(n) horseradish (Armoracia rusticana)/
西洋山薄荷 [せいようやまはっか] /(n) (uk) lemon balm (Melissa officinalis)/sweet balm/
西洋酸塊 [せいようすぐり] /(n) (European) gooseberry (Ribes uva-crispa L.)/
西洋史 [せいようし] /(n) history of the Western world/
西洋紙 [せいようし] /(n) (western) paper/
西洋紙魚 [せいようしみ] /(n) (uk) silverfish (Lepisma saccharina)/
西洋紫陽花 [せいようあじさい] /(n) (uk) Western hydrangea/Hydrangea macrophylla/
西洋式 [せいようしき] /(n) western style or fashion/
西洋実桜 [せいようみざくら] /(n) (uk) sweet cherry (Prunus avium)/mazzard/
西洋将棋 [せいようしょうぎ] /(n) chess/
西洋松露 [せいようしょうろ] /(n) (European) truffle/
西洋榛 [せいようはしばみ] /(n) (uk) Eurasian hazel (Corylus avellana)/
西洋人 [せいようじん] /(n) Western people/(P)/
西洋崇拝主義 [せいようすうはいしゅぎ] /(n) worship or admiration of Western cultures/
西洋南瓜 [せいようかぼちゃ] /(n) buttercup squash (Cucurbita maxima)/
西洋葱 [せいようねぎ] /(n) (1) leek (edible plant, Allium porrum)/(2) chive (edible plant, Allium schoenoprasum)/
西洋箱柳 [せいようはこやなぎ] /(n) (uk) Lombardy poplar (Populus nigra var. italica)/
西洋柊 [せいようひいらぎ] /(n) (uk) English holly (Ilex aquifolium)/
西洋風 [せいようふう] /(n) western style/
西洋風蝶草 [せいようふうちょうそう] /(n) spider flower (Cleome hassleriana)/
西洋文明 [せいようぶんめい] /(n) Western civilization/Western civilisation/
西洋蜜蜂 [せいようみつばち] /(n) (uk) Western honeybee/European honeybee (Apis mellifera)/
西洋梨 [せいようなし] /(n) European pear (Pyrus communis)/
西洋料理 [せいようりょうり] /(n) Western food/Western-style food/
西暦 [せいれき] /(n) Christian Era/CE/anno domini/AD/(P)/
西暦２０００年問題 [せいれきにせんねんもんだい] /(n) (comp) Year 2000 problem/
西和 [せいわ] /(exp) Spanish-Japanese/
誠 [まこと] /(adv,n) (1) truth/reality/(2) sincerity/honesty/integrity/fidelity/(3) (arch) that's right (used when recalling forgotten information, suddenly changing the subject, etc.)/(P)/
誠しやか [まことしやか] /(adj-na) (uk) plausible (e.g. of a rumour)/believable (e.g. of a story)/specious (e.g. of an argument)/credible (e.g. of a lie)/looking very like the truth/
誠しやかに [まことしやかに] /(adv) as if it were true/with seeming truth/plausibly/
誠に [まことに] /(adv) indeed/really/absolutely/truly/actually/very/quite/(P)/
誠を尽くす [まことをつくす] /(exp,v5s) to do with sincerity/
誠意 [せいい] /(n-adv,n) sincerity/good faith/(P)/
誠実 [せいじつ] /(adj-na,n) sincere/honest/faithful/(P)/
誠照寺派 [じょうしょうじは] /(n) Joushouji sect (of Shin Buddhism)/
誠心 [せいしん] /(n) sincerity/
誠心誠意 [せいしんせいい] /(adv,n,adj-no) in all sincerity/with one's whole heart/whole-hearted devotion/
誠忠 [せいちゅう] /(adj-na,n) loyalty/
誓い [ちかい] /(n) oath/vow/(P)/
誓いを立てる [ちかいをたてる] /(exp,v1) to make a vow/to take an oath/
誓い交わす [ちかいかわす] /(v5s) to vow to each other/
誓う [ちかう] /(v5u,vt) to swear/to vow/to take an oath/to pledge/(P)/
誓って [ちかって] /(adv) (1) surely/upon my word/by Jove/(2) (with neg) by no means/never/(P)/
誓願 [せいがん] /(n,vs) vow (e.g. religious)/oath/pledge/
誓言 [せいげん] /(n,vs) attestation/attest/vow or oath (made to the gods)/
誓紙 [せいし] /(n) written oath/
誓詞 [せいし] /(n) vow/oath/pledge/
誓文 [せいもん] /(n) written oath/
誓文払い [せいもんばらい] /(n) bargain sale/
誓約 [せいやく] /(n,vs) written vow/pledge/covenant/(P)/
誓約書 [せいやくしょ] /(n) written oath/covenant/pledge/
請い [こい] /(n) request/entreaty/
請い願う [こいねがう] /(v5u,vt) to beg/to request/to beseech/to implore/to entreat/
請い求める [こいもとめる] /(v1) to beg/to request/to demand/to entreat/
請い受ける [こいうける] /(v1) to receive by requesting earnestly/to beg/
請う [こう] /(v5u-s,vt) to beg/to ask/to request/to invite/(P)/
請け [うけ] /(n) (1) popularity/favour/favor/reception/(2) defense/defence/reputation/(3) agreement/(4) receiver of technique (e.g. in martial arts)/(5) (uk) (col) submissive partner of a homosexual relationship/
請ける [うける] /(v1,vt) (1) to receive/to get/(2) to catch (e.g. a ball)/(3) to be struck by (wind, waves, sunlight, etc.)/(4) to sustain (damage)/to incur (a loss)/to suffer (an injury)/to feel (influence)/(5) to undergo (e.g. surgery)/to take (a test)/to accept (a challenge)/(6) to be given (e.g. life, talent)/(7) to follow/to succeed/to be descended from/(8) to face (south, etc.)/(9) (ling) to be modified by/(10) to obtain (a pawned item, etc.) by paying a fee/(v1,vi) (11) to be well-received/to become popular/to go down well/(P)/
請け合い [うけあい] /(n) assurance/guarantee/
請け合う [うけあう] /(v5u,vt) to assure/to guarantee/to undertake/
請け取 [うけとり] /(n) receipt/
請け取り [うけとり] /(n) receipt/
請け取る [うけとる] /(v5r,vt) (1) to receive/to get/to accept/(2) to take/to interpret/to understand/
請け宿 [うけやど] /(n) (arch) agency that dispatches lodged servants/
請け出す [うけだす] /(v5s,vt) (1) to redeem/to take out of pawn/(2) to buy a geisha or prostitute out of bondage (by paying off her debt to her employer)/
請け書 [うけしょ] /(n) written acknowledgement/written acknowledgment/receipt/
請け人 [うけにん] /(n) guarantor/
請け売り [うけうり] /(n,vs) (1) retailing/(2) second-hand opinion or knowledge/telling at second hand/second-hand telling/
請け判 [うけはん] /(n) seal of surety/
請け負い [うけおい] /(io) (n) contract (for work)/contracting/undertaking/
請け負う [うけおう] /(v5u,vt) to contract/to undertake/(P)/
請け戻し [うけもどし] /(n) redemption/
請じる [しょうじる] /(v1,vt) to summon/to invite/to call/to have as one's guest/
請じ入れる [しょうじいれる] /(v1,vt) to invite or usher in/
請ずる [しょうずる] /(vz,vt) to summon/to invite/to call/to have as one's guest/
請謁 [せいえつ] /(n,vs) beseeching/requesting (an audience)/
請暇 [せいか] /(n) vacation request/request for leave of absence/
請花 [うけばな] /(n) (obsc) ukebana (lotus-shaped support of a seat, pedestal or pagoda finial)/
請願 [せいがん] /(n,vs,adj-no) petition/(P)/
請願権 [せいがんけん] /(n) right to petition (the government)/
請願者 [せいがんしゃ] /(n) petitioner/
請願書 [せいがんしょ] /(n) (a written) petition/
請求 [せいきゅう] /(n,vs) claim/demand/charge/application/request/billing (for a service)/(P)/
請求額 [せいきゅうがく] /(n) amount billed or claimed/
請求記号 [せいきゅうきごう] /(n) call number (e.g. of a book in a library)/
請求権 [せいきゅうけん] /(n) claim rights/(P)/
請求権を申し立てる [せいきゅうけんをもうしたてる] /(exp,v1) to file a claim/
請求項 [せいきゅうこう] /(n) claim (esp. in a patent)/
請求書 [せいきゅうしょ] /(n) bill/job invoice/
請求先住所 [せいきゅうさきじゅうしょ] /(n) billing address (e.g. credit card)/
請求頂 [せいきゅうこう] /(iK) (n) claim (esp. in a patent)/
請訓 [せいくん] /(n,vs) request for instructions/
請合い [うけあい] /(n) assurance/guarantee/
請合う [うけあう] /(v5u,vt) to assure/to guarantee/to undertake/
請取 [うけとり] /(n) receipt/
請取り [うけとり] /(n) receipt/
請取る [うけとる] /(v5r,vt) (1) to receive/to get/to accept/(2) to take/to interpret/to understand/
請宿 [うけやど] /(n) (arch) agency that dispatches lodged servants/
請書 [うけしょ] /(n) written acknowledgement/written acknowledgment/receipt/
請待 [しょうたい] /(n,vs,adj-no) invitation/
請待 [しょうだい] /(ok) (n,vs,adj-no) invitation/
請託 [せいたく] /(n,vs) solicitation/(P)/
請売り [うけうり] /(n,vs) (1) retailing/(2) second-hand opinion or knowledge/telling at second hand/second-hand telling/
請負 [うけおい] /(n) contract (for work)/contracting/undertaking/(P)/
請負業 [うけおいぎょう] /(n) the contracting business/
請負業者 [うけおいぎょうしゃ] /(n) independent contractor/
請負工事 [うけおいこうじ] /(n) contract work/
請負仕事 [うけおいしごと] /(n) contract work/
請負師 [うけおいし] /(n) contractor/
請負人 [うけおいにん] /(n) contractor/
請負制度 [うけおいせいど] /(n) contract system/
逝く [いく] /(oK) (v5k-s,vi) (1) to go/(2) to proceed/to take place/(3) to die/to pass away/(aux-v) (4) to continue/
逝く [ゆく] /(oK) (v5k-s,vi) (1) to go/(2) to proceed/to take place/(3) to die/to pass away/(aux-v) (4) to continue/
逝けメン [いけメン] /(n) (sl) (obsc) exceptionally ugly man/
逝け面 [いけめん] /(n) (sl) (obsc) exceptionally ugly man/
逝去 [せいきょ] /(n,vs) death/(P)/
醒ます [さます] /(v5s,vt) (1) to awaken/(2) to disabuse/(3) to sober up/
醒めやらぬ [さめやらぬ] /(adj-pn) lingering (usu. feeling, emotion, etc.)/continuing (to)/still (...)/
醒める [さめる] /(v1,vi) (1) to wake/to wake up/(2) to become sober/to sober up/to regain consciousness (e.g. after anaesthesia)/(3) to come to one's senses/to be disillusioned/
醒め遣らぬ [さめやらぬ] /(adj-pn) lingering (usu. feeling, emotion, etc.)/continuing (to)/still (...)/
醒覚 [せいかく] /(n,vs) (arch) awakening/waking up/opening one's eyes/
青 [あお] /(n) (1) blue/(2) green/(3) (abbr) green light/(4) black (horse coat color)/(pref) (5) immature/unripe/young/(P)/
青々 [あおあお] /(adv,adv-to) verdant/fresh and green/bright green/lush/
青あざ [あおあざ] /(n) bruise/
青い [あおい] /(adj-i) (1) blue/green/(2) pale/(3) unripe/inexperienced/(P)/
青い花 [あおいはな] /(n) spiderwort (alias)/
青い鳥 [あおいとり] /(n) bluebird (Sialia spp.)/
青かび [あおかび] /(n) blue mold/blue mould/Penicillium/
青かん [あおかん] /(n) (1) (uk) (col) sleeping under the stars/(2) having sex outdoors/
青きな粉 [あおきなこ] /(n) soy flour made from parched green soybeans/
青くなる [あおくなる] /(exp,v5r,vi) (1) to become blue/to turn green/(2) to turn pale/to blanch (with fear)/
青ざめる [あおざめる] /(v1,vi) to become pale/to turn pale/(P)/
青じそ [あおじそ] /(n) (uk) green beefsteak plant/green perilla/
青じろい [あおじろい] /(adj-i) (1) pale/pallid/(2) bluish-white/
青だも [あおだも] /(n) chinese flowering ash/fraxinus lanuginosa form. serrata/
青っぱな [あおっぱな] /(n) green snot (hanging from a child's nose, etc.)/
青っぽい [あおっぽい] /(adj-i) (1) bluish/greenish/(2) immature/inexperienced/green/naive/
青っ洟 [あおっぱな] /(n) green snot (hanging from a child's nose, etc.)/
青ねぎ [あおねぎ] /(n) green spring onion/
青は藍より出でて藍より青し [あおはあいよりいでてあいよりあおし] /(exp) Although blue dye comes from the indigo plant, it is bluer than indigo/The student has overcome the master (from whom he has learned)/
青ばな [あおばな] /(n) green snot (hanging from a child's nose, etc.)/
青ぶくれ [あおぶくれ] /(n,vs) dropsical (blue-green) swelling/
青タン [あおタン] /(n) (col) bruise/
青雲 [せいうん] /(n) blue sky/high rank/(P)/
青雲の志 [せいうんのこころざし] /(n) high (lofty) ambition/
青黄な粉 [あおきなこ] /(n) soy flour made from parched green soybeans/
青黄な粉 [あおぎなこ] /(n) soy flour made from parched green soybeans/
青黄粉 [あおきなこ] /(io) (n) soy flour made from parched green soybeans/
青黄粉 [あおぎなこ] /(io) (n) soy flour made from parched green soybeans/
青化物 [せいかぶつ] /(n) cyanide/
青化法 [せいかほう] /(n) cyanide process/
青果 [せいか] /(n) fruit(s) and vegetables/(P)/
青果市場 [せいかいちば] /(n) fruit and vegetable market/
青果物 [せいかぶつ] /(n) fruit and vegetables/greengrocery/
青河原鶸 [あおかわらひわ] /(n) (uk) European greenfinch (Carduelis chloris)/
青花 [あおばな] /(n) spiderwort (alias)/
青花 [せいか] /(n) ceramics with a blue pattern on a white background/
青華 [せいか] /(n) ceramics with a blue pattern on a white background/
青海亀 [あおうみがめ] /(n) (uk) green turtle (Chelonia mydas)/
青海原 [あおうなばら] /(n) (poet) the blue sea/
青海苔 [あおのり] /(n) green laver (Enteromorpha)/
青貝 [あおがい] /(n) limpet/
青蛙 [あおがえる] /(n) green (tree) frog/
青瓦台 [せいがだい] /(n) the Blue House (South Korea's presidential palace)/
青姦 [あおかん] /(n) (1) (uk) (col) sleeping under the stars/(2) having sex outdoors/
青眼 [あおめ] /(n) (1) blue eyes/(2) a Westerner/
青眼 [せいがん] /(n) (1) aiming at the eye (with a sword)/(2) warm, welcoming eyes/
青眼狗母魚 [あおめえそ] /(n) (uk) Chlorophthalmus albatrossis (species of greeneye)/
青鬼 [あおおに] /(n) (horned) blue demon/blue ogre/
青魚 [あおうお] /(n) (uk) black carp (Mylopharyngodon piceus)/
青魚 [あおざかな] /(n) blueback (any fish with a bluish back, such as the Japanese sardine)/
青玉 [せいぎょく] /(n) sapphire/jacinth/
青桐 [あおぎり] /(n) (uk) Chinese parasol-tree (Firmiana simplex)/Chinese-bottletree/Japanese varnishtree/phoenix-tree/
青桐 [ごとう] /(n) (uk) Chinese parasol-tree (Firmiana simplex)/Chinese-bottletree/Japanese varnishtree/phoenix-tree/
青筋 [あおすじ] /(n) vein (esp. in head)/
青金石 [せいきんせき] /(n) Lazurite/
青空 [あおぞら] /(n) blue sky/(P)/
青空教室 [あおぞらきょうしつ] /(n) open-air classes/
青空市場 [あおぞらいちば] /(n) free market/open-air market/
青空市場 [あおぞらしじょう] /(n) free market/open-air market/
青空駐車 [あおぞらちゅうしゃ] /(n) parking on the street/curbside (kerbside) parking/
青空文庫 [あおぞらぶんこ] /(n) Aozora Bunko (digital library)/
青血引 [あおちびき] /(n) (uk) blue-gray snapper (Aprion virescens)/green jobfish/
青懸巣 [あおかけす] /(n) (uk) blue jay (Cyanocitta cristata)/
青枯れ病 [あおがれびょう] /(n) bacterial wilt/
青光り [あおびかり] /(n,vs) bluish sheen/steel-blue sheen/
青梗菜 [ちんげんさい] /(n) qinggengcai (spinach-like green vegetable originating in China)/pak choi/bok choi/bok choy/
青黒い [あおぐろい] /(adj-i) black with hints of blue (as in a bruise)/bluish black/
青菜 [あおな] /(n) greens/
青菜に塩 [あおなにしお] /(exp) feeling sad or downhearted/down in the dumps/
青鷺 [あおさぎ] /(n) (uk) grey heron (Ardea cinerea)/
青鯖 [あおさば] /(n) (arch) mackerel (esp. the chub mackerel, Scomber japonicus)/
青鮫 [あおざめ] /(n) (uk) shortfin mako shark (Isurus oxyrinchus)/
青山 [せいざん] /(n) (1) blue or green mountain/(2) grave/burial place/(P)/
青酸 [せいさん] /(n,adj-no) hydrocyanic (prussic) acid/(P)/
青酸カリ [せいさんカリ] /(n) (abbr) potassium cyanide/
青酸カリウム [せいさんカリウム] /(n) potassium cyanide/
青酸中毒 [せいさんちゅうどく] /(n) cyanide poisoning/
青史 [せいし] /(n) (written) history/
青紫 [あおむらさき] /(n) bluish purple/
青紫蘇 [あおじそ] /(n) (uk) green beefsteak plant/green perilla/
青歯 [あおば] /(n) (sl) Bluetooth (variety of short-range wireless LAN)/
青磁 [あおじ] /(n) celadon porcelain/
青磁 [せいじ] /(n) celadon porcelain/
青鹿毛 [あおかげ] /(n) brown (horse coat color)/
青軸 [あおじく] /(n) mountain Japanese apricot/
青写真 [あおじゃしん] /(n) blueprint/plan/(P)/
青蛇 [あおくちなわ] /(n) (obsc) type of snake (esp. Japanese rat snake)/
青蛇 [あおんじょう] /(n) (obsc) type of snake (esp. Japanese rat snake)/
青蛇 [しょうじゃ] /(n) (obsc) type of snake (esp. Japanese rat snake)/
青蛇 [せいじゃ] /(n) (obsc) type of snake (esp. Japanese rat snake)/
青臭い [あおくさい] /(adj-i) inexperienced/immature/grassy-smelling/
青汁 [あおじる] /(n) aojiru/vegetable juice drink made from green leafy vegetables/
青春 [せいしゅん] /(n,adj-no) youth/springtime of life/adolescent/(P)/
青春映画 [せいしゅんえいが] /(n) youth film/teen movie/
青春期 [せいしゅんき] /(adj-na) puberty/pubertal/pubescent/
青春群像 [せいしゅんぐんぞう] /(n) youthful crowd/crowd of young people coming into their own/
青春時代 [せいしゅんじだい] /(n) one's youth/one's youthful days (years)/the flower of one's youth/the springtime of one's life/
青書 [せいしょ] /(n) Blue Book (government-issued report)/
青女 [あおおんな] /(n) young girl unused to the ways of the world/
青少年 [せいしょうねん] /(n) youth/young person/(P)/
青少年犯罪 [せいしょうねんはんざい] /(n) youth crime/
青松 [せいしょう] /(n) green pine/
青畳 [あおだたみ] /(n) new mat/
青色 [あおいろ] /(n,adj-no) blue/
青色 [せいしょく] /(n,adj-no) blue/
青色巨星 [せいしょくきょせい] /(n) blue giant (star)/
青色症 [せいしょくしょう] /(n) cyanosis/
青色申告 [あおいろしんこく] /(n) blue (tax) return/
青色発光ダイオード [あおいろはっこうダイオード] /(n) blue light-emitting diode/blue LED/
青信号 [あおしんごう] /(n) green light/
青森ねぶた祭 [あおもりねぶたまつり] /(n) Nebuta Festival (Aomori)/
青森県 [あおもりけん] /(n) Aomori prefecture (Touhoku area)/
青森椴松 [あおもりとどまつ] /(n) (uk) Maries' fir (Abies mariesii)/
青人草 [あおひとくさ] /(n) (arch) the people/the public/citizenry/
青図 [あおず] /(n) blueprint/
青星 [あおぼし] /(n) Sirius/the Dog Star/
青青 [あおあお] /(adv,adv-to) verdant/fresh and green/bright green/lush/
青組 [あおぐみ] /(n) blue class/
青草 [あおくさ] /(n) green grass/
青息 [あおいき] /(n) anxious or pained sigh/
青息吐息 [あおいきといき] /(n) deep distress/
青足鴫 [あおあししぎ] /(n) (uk) greenshank (species of sandpiper, Tringa nebularia)/
青苔 [あおごけ] /(n) green moss/
青苔 [せいたい] /(n) green moss/
青黛 [せいたい] /(n) (1) blue eyebrow pencil/blue eyebrows/(2) deep blue/dark blue/
青大将 [あおだいしょう] /(n) (uk) Japanese rat snake (Elaphe climacophora)/
青地 [あおじ] /(n) blue cloth or ground/
青竹 [あおだけ] /(n) green bamboo/
青虫 [あおむし] /(n) cabbageworm (caterpillar of the cabbage white butterfly)/
青苧 [あおそ] /(n) ramie fibre (fiber)/
青脹れ [あおぶくれ] /(n,vs) dropsical (blue-green) swelling/
青底翳 [あおそこひ] /(n) (col) (uk) glaucoma/
青天 [せいてん] /(n) blue sky/
青天のへきれき [せいてんのへきれき] /(exp,n) a bolt out of the blue/
青天の霹靂 [せいてんのへきれき] /(exp,n) a bolt out of the blue/
青天井 [あおてんじょう] /(n) blue sky/outdoor/skyrocketing/
青天井予算 [あおてんじょうよさん] /(n) limitless budget/
青天白日 [せいてんはくじつ] /(adj-na,n) being cleared of all the charge (brought against one)/being found completely innocent/
青田 [あおた] /(n) green paddy/
青田うり [あおたうり] /(n) pre-harvest estimate of a rice field's yield and selling price/
青田刈り [あおたがり] /(n) (1) harvesting rice while it is still green/(2) (sens) recruiting students before a company is allowed to/
青田買い [あおたがい] /(n) (1) speculatively buying a rice harvest, while the fields are still green/(2) recruiting of students before a company is allowed to/(P)/
青田売り [あおたうり] /(n) pre-harvest estimate of a rice field's yield and selling price/
青田売買 [あおたばいばい] /(n) dealing in unharvested rice crop/
青電話 [あおでんわ] /(n) (arch) blue telephone/(blue) public telephone/
青砥 [あおと] /(n) medium-grade millstone/
青豆 [あおまめ] /(n) variety of soy bean/green bean/
青銅 [せいどう] /(n) bronze/(P)/
青銅器 [せいどうき] /(n) bronze ware/
青銅器時代 [せいどうきじだい] /(n) Bronze Age/
青銅時代 [せいどうじだい] /(n) Bronze Age/
青銅色 [せいどうしょく] /(adj-na) bronze/bronzed/
青内障 [あおそこひ] /(n) (col) (uk) glaucoma/
青二才 [あおにさい] /(n) (derog) green youth/immature youth/novice/greenhorn/
青二歳 [あおにさい] /(iK) (n) (derog) green youth/immature youth/novice/greenhorn/
青葱 [あおねぎ] /(n) green spring onion/
青年 [せいねん] /(n) youth/young man/(P)/
青年の家 [せいねんのいえ] /(n) training and accommodation institution for young men/
青年会 [せいねんかい] /(n) young persons' association/
青年期 [せいねんき] /(n) adolescence/
青年客気 [せいねんかっき] /(n,adj-no) youthful ardor/rash impulse of an inexperienced youth/
青年時代 [せいねんじだい] /(n) (one's) youth/one's younger days/
青年団 [せいねんだん] /(n) young persons' association/(P)/
青年輩 [せいねんはい] /(n) young people/
青馬 [あおうま] /(n) dark-colored horse with a lustrous coat (coloured)/
青梅 [あおうめ] /(n) unripe plum/(P)/
青蝿 [あおばえ] /(n) (1) (col) bluebottle fly/
青蝿 [きんばえ] /(n) (uk) greenbottle fly (esp. species Lucilia caesar)/
青蝿 [せいよう] /(n) (1) (col) bluebottle fly/(2) (arch) (derog) little pest/
青白 [あおじろ] /(n,adj-no) (1) blue and white/(2) type of hawk (blue and white coloured) (colored)/(3) paleness/pallidness/
青白い [あおじろい] /(adj-i) (1) pale/pallid/(2) bluish-white/(P)/
青白きインテリ [あおじろきインテリ] /(n) armchair intellectual/
青鳩 [あおばと] /(n) (uk) white-bellied green pigeon (Treron sieboldii)/
青斑猫 [あおはんみょう] /(n) (obsc) Spanish fly (Lytta vesicatoria)/
青鼻 [あおばな] /(iK) (n) green snot (hanging from a child's nose, etc.)/
青瓢箪 [あおびょうたん] /(n) green calabash/weakling/
青票 [せいひょう] /(n) blue ballot (representing an opposition vote)/
青浮草 [あおうきくさ] /(n) duckweed/
青膚 [あおはだ] /(n) macropoda holly/variety of holly common in Japan/ilex macropoda/
青武鯛 [あおぶたい] /(n) (uk) Scarus ovifrons (species of parrotfish)/
青物 [あおもの] /(n) (1) vegetables/(edible) greens/(2) blueback (any fish with a bluish back, such as the Japanese sardine)/
青物屋 [あおものや] /(n) vegetable shop/greengrocery/seller of vegetables/
青物市場 [あおものいちば] /(n) vegetable market/
青粉 [あおこ] /(n) water bloom/algal bloom/
青粉毒 [あおこどく] /(n) poisonous algae bloom (often green in color) (colour)/
青文字 [あおもじ] /(n) Litsea cubeba/
青坊主 [あおぼうず] /(n) (arch) shaved head/person with a shaved head/
青房 [あおぶさ] /(n) green tassel hung above the northeast corner of a sumo ring/
青膨れ [あおぶくれ] /(n,vs) dropsical (blue-green) swelling/
青麻 [あおそ] /(n) ramie fibre (fiber)/
青蔓藤 [あおつづらふじ] /(n) queen coralbead (Cocculus orbiculatus)/
青味 [あおみ] /(n,adj-no) blueness/greenness/tinge of blue (green)/
青味泥 [あおみどろ] /(n) spirogyra/algae forming pond scum/
青面金剛 [しょうめんこんごう] /(n) (Buddh) Blue-Faced Vajra/
青面金剛 [せいめんこんごう] /(n) (Buddh) Blue-Faced Vajra/
青毛 [あおげ] /(n) black (horse coat color)/
青木 [あおき] /(n) (1) Japanese laurel/spotted laurel/Aucuba japonica/(2) live tree/(P)/
青目 [あおめ] /(n) (1) blue eyes/(2) a Westerner/
青野菜 [あおやさい] /(n) green crop/green vegetable/
青矢柄 [あおやがら] /(n) (uk) bluespotted cornetfish (Fistularia commersonii)/
青柳 [あおやぎ] /(n) (1) green willow (i.e. one that has budded)/(2) meat of the trough shell (Mactra chinensis)/(P)/
青柳 [あおやなぎ] /(n) (1) green willow (i.e. one that has budded)/
青葉 [あおば] /(n) fresh leaves/(P)/
青葉木菟 [あおばずく] /(n) (uk) brown hawk owl (Ninox scutulata)/
青葉梟 [あおばずく] /(n) (uk) brown hawk owl (Ninox scutulata)/
青嵐 [あおあらし] /(n) (1) wind blowing through fresh verdure/
青嵐 [せいらん] /(n) (1) wind blowing through fresh verdure/(2) mountain air/
青藍 [せいらん] /(n) indigo blue/
青藍色 [せいらんしょく] /(adj-na) livid/
青梨 [あおなし] /(n) Harbin pear (Pyrus ussuriensis var. hondoensis)/Ussurian pear/Chinese pear/
青立ち [あおだち] /(n) failing to ripen or blossom/
青竜 [しょうりょう] /(n) (1) blue dragon (an auspicious creature in Chinese mythology)/(2) Azure Dragon (god said to rule over the eastern heavens)/
青竜 [せいりゅう] /(n) (1) blue dragon (an auspicious creature in Chinese mythology)/(2) Azure Dragon (god said to rule over the eastern heavens)/
青竜 [せいりょう] /(n) (1) blue dragon (an auspicious creature in Chinese mythology)/(2) Azure Dragon (god said to rule over the eastern heavens)/
青竜蝦 [しゃこ] /(n) (uk) mantis shrimp (any marine crustacean of order Stomatopoda, esp. the species Oratosquilla oratoria)/
青龍 [しょうりょう] /(n) (1) blue dragon (an auspicious creature in Chinese mythology)/(2) Azure Dragon (god said to rule over the eastern heavens)/
青龍 [せいりゅう] /(n) (1) blue dragon (an auspicious creature in Chinese mythology)/(2) Azure Dragon (god said to rule over the eastern heavens)/
青龍 [せいりょう] /(n) (1) blue dragon (an auspicious creature in Chinese mythology)/(2) Azure Dragon (god said to rule over the eastern heavens)/
青緑 [あおみどり] /(adj-na,adj-no) blue-green/turquoise/aqua/
青緑 [あおみどろ] /(n) spirogyra/algae forming pond scum/
青緑色 [せいりょくしょく] /(n,adj-no) bluish-green/turquoise/aqua/
青蓮院流 [しょうれんいんりゅう] /(n) style of calligraphy/
青楼 [せいろう] /(n) officially sanctioned brothel (Edo-period)/
青椒肉絲 [チンジャオロース] /(n) (uk) Chinese stir-fry containing green peppers and meat (chi: qingjiao rousi)/
青洟 [あおばな] /(n) green snot (hanging from a child's nose, etc.)/
青痣 [あおあざ] /(n) bruise/
青萍 [あおうきくさ] /(n) duckweed/
青蠅 [あおばえ] /(n) (1) (col) bluebottle fly/
青蠅 [きんばえ] /(n) (uk) greenbottle fly (esp. species Lucilia caesar)/
青蠅 [せいよう] /(n) (1) (col) bluebottle fly/(2) (arch) (derog) little pest/
青褪める [あおざめる] /(v1,vi) to become pale/to turn pale/
青豌豆 [あおえんどう] /(n) green peas/
青鞜 [せいとう] /(n) bluestocking/
青鞜派 [せいとうは] /(n) (obsc) blue-stocking ladies/
青髯 [あおひげ] /(n) use of blue eyebrow pencil to indicate a character has shaved his cheeks (in kabuki)/
青黴 [あおかび] /(n) blue mold/blue mould/Penicillium/
静か [しずか] /(adj-na) quiet/peaceful/(P)/
静かに [しずかに] /(exp) be quiet!/
静かに流れる川は深い [しずかにながれるかわはふかい] /(exp) (id) Still waters run deep/
静けさ [しずけさ] /(n) stillness/silence/hush/calm/serenity/(P)/
静と動 [せいとどう] /(exp) stillness and motion/
静ひつ [せいひつ] /(adj-na,n) peacefulness/tranquillity/tranquility/
静まり返る [しずまりかえる] /(v5r,vi) to fall silent/to become still as death/
静まる [しずまる] /(v5r,vi) to quieten down/to calm down/to subside/to die down/to abate/to be suppressed/(P)/
静める [しずめる] /(v1,vt) to appease/to suppress/to calm/
静圧比 [せいあつひ] /(n) static pressure ratio/
静岡 [しずおか] /(n) Shizuoka (city)/
静岡県 [しずおかけん] /(n) Shizuoka prefecture (Chuubu area)/
静穏 [せいおん] /(adj-na,n) serene/tranquility/tranquillity/
静音化 [せいおんか] /(n,vs) damping/muffling/noise-reduction/
静音性 [せいおんせい] /(n) quietness/low noise/
静荷重 [せいかじゅう] /(n) dead weight/dead load/static load/
静観 [せいかん] /(n,vs,adj-no) watchful waiting/careful supervision/(P)/
静菌剤 [せいきんざい] /(n) bacteriostatic agent/
静坐 [せいざ] /(n,vs) sitting calmly and quietly (i.e. in order to meditate)/
静座 [せいざ] /(n,vs) sitting calmly and quietly (i.e. in order to meditate)/
静思 [せいし] /(n,vs) meditation/
静止 [せいし] /(n,vs,adj-no) stillness/repose/standing still/(P)/
静止エネルギー [せいしエネルギー] /(n) rest energy/
静止衛星 [せいしえいせい] /(n) satellite in geosynchronous orbit/
静止画 [せいしが] /(n) still image/
静止画像 [せいしがぞう] /(n) (comp) background image/static image/
静止画放送 [せいしがほうそう] /(n) broadcasting of still pictures/
静止軌道 [せいしきどう] /(n) geostationary orbit/geosynchronous orbit/
静止質量 [せいししつりょう] /(n) rest mass/
静止状態 [せいしじょうたい] /(n) (in) a state of rest/
静止電位 [せいしでんい] /(n) resting potential/
静止土圧係数 [せいしどあつけいすう] /(n) coefficient of earth pressure at rest/
静寂 [しじま] /(adj-na,n) silence/stillness/quietness/
静寂 [せいじゃく] /(adj-na,n) silence/stillness/quietness/(P)/
静寂主義 [せいじゃくしゅぎ] /(n) quietism/
静粛 [せいしゅく] /(adj-na,n) silent/(P)/
静心 [しずごころ] /(n) placid temperament/
静水圧 [せいすいあつ] /(n) hydrostatic pressure/
静静 [しずしず] /(adv) quietly/slowly/
静態 [せいたい] /(n,adj-no) static/stationary/
静態総計 [せいたいそうけい] /(n) static statistics/
静置 [せいち] /(n) (1) standing/(vs) (2) to stand/to leave (e.g. for curd to form, fermentation to occur, etc.)/
静注 [じょうちゅう] /(n) (abbr) intravenous injection/IV/
静聴 [せいちょう] /(n,vs) listening quietly/
静的 [せいてき] /(adj-na,n,adj-no) static/
静的解析 [せいてきかいせき] /(n) (comp) static response analysis/
静的記憶装置 [せいてききおくそうち] /(n) (comp) static storage/
静的適合性 [せいてきてきごうせい] /(n) (comp) static conformance/
静的適合性審査 [せいてきてきごうせいしんさ] /(n) (comp) static conformance review/
静的適合性要件 [せいてきてきごうせいようけん] /(n) (comp) static conformance requirements/
静的変数 [せいてきへんすう] /(n) (comp) static variable/
静電 [せいでん] /(n) (1) (abbr) static electricity/(adj-f) (2) electrostatic/
静電プリンタ [せいでんプリンタ] /(n) (comp) electrostatic printer/
静電プロッタ [せいでんプロッタ] /(n) (comp) electrostatic plotter/
静電印字装置 [せいでんいんじそうち] /(n) (comp) electrostatic printer/
静電気 [せいでんき] /(n) static electricity/
静電気プリンタ [せいでんきプリンタ] /(n) (comp) electrostatic printer/
静電気放電 [せいでんきほうでん] /(n) (comp) Electrostatic Discharge/
静電気防止 [せいでんきぼうし] /(n) anti-static (elec)/
静電気防止シート [せいでんきぼうしシート] /(n) (comp) antistatic mat/
静電記憶装置 [せいでんきおくそうち] /(n) (comp) electrostatic storage/
静電作図装置 [せいでんさくずそうち] /(n) (comp) electrostatic plotter/
静電場 [せいでんば] /(n) electrostatic field/
静電単位 [せいでんたんい] /(n) electrostatic unit/esu/
静電容量 [せいでんようりょう] /(n) capacitance/electrostatic capacity/
静寧 [せいねい] /(n,adj-na) (arch) peace and quiet/tranquility/peace on earth/
静物 [せいぶつ] /(n,adj-no) still life/object at rest/(P)/
静物画 [せいぶつが] /(n) still-life picture/
静脈 [じょうみゃく] /(n,adj-no) vein/(P)/
静脈圧 [じょうみゃくあつ] /(n) venous pressure/
静脈炎 [じょうみゃくえん] /(n) phlebitis/
静脈血 [じょうみゃくけつ] /(n) venous blood/
静脈血栓症 [じょうみゃくけっせんしょう] /(n) venous thrombosis/
静脈穿刺 [じょうみゃくせんし] /(n) venipuncture/venepuncture/
静脈注射 [じょうみゃくちゅうしゃ] /(n) intravenous injection/
静脈洞 [じょうみゃくどう] /(n) venous sinus/sinus venosus/
静脈内 [じょうみゃくない] /(adj-no) intravenous/intravascular/
静脈麻酔薬 [じょうみゃくますいやく] /(n) intravenous anaesthetic/intravenous anesthetic/
静脈瘤 [じょうみゃくりゅう] /(n) a varix/
静夜 [せいや] /(n) quiet night/
静養 [せいよう] /(n,vs) (convalescent) rest/(P)/
静力学 [せいりきがく] /(n) statics/
静謐 [せいひつ] /(adj-na,n) peacefulness/tranquillity/tranquility/
斉 [せい] /(n) Qi (kingdom in China during the Spring and Autumn Period and the Period of the Warring States)/Ch'i/
斉える [ととのえる] /(v1,vt) (1) to put in order/to arrange/to adjust/(2) to get ready/to prepare/(3) to raise money/
斉しい [ひとしい] /(adj-i) equal/similar/like/equivalent/
斉一 [せいいつ] /(n) equality/good order/
斉一説 [せいいつせつ] /(n) uniformitarianism/
斉家 [せいか] /(n) governing one's family/
斉魚 [えつ] /(n) (uk) Japanese grenadier anchovy (Coilia nasus)/
斉衡 [さいこう] /(n) Saikou era (854.11.30-857.2.21)/
斉次 [せいじ] /(adj-no) homogeneous/
斉射 [せいしゃ] /(n,vs) volley/fusillade/
斉唱 [せいしょう] /(n,vs,adj-no) singing or chanting in unison/(P)/
斉備 [せいび] /(n) complete equipment/consolidation/
斉列 [せいれつ] /(n) array/line-up/parade/
税 [ぜい] /(n,suf) tax/
税を納める [ぜいをおさめる] /(exp,v1) to pay a tax/
税引き [ぜいびき] /(n) tax excluded/(P)/
税引き前収益 [ぜいびきせんしゅうえき] /(n) pretax profit/
税引き前損失 [ぜいびきせんそんしつ] /(n) pretax loss/
税引前当期利益 [ぜいびきまえとうきりえき] /(n) income before taxes/gross income/
税額 [ぜいがく] /(n) amount of tax/(P)/
税関 [ぜいかん] /(n) customs house/(P)/
税関検査 [ぜいかんけんさ] /(n) customs inspection/
税関手続 [ぜいかんてつづき] /(n) customs procedures (at the airport, etc.)/
税関手続き [ぜいかんてつづき] /(n) customs procedures (at the airport, etc.)/
税関申告書 [ぜいかんしんこくしょ] /(n) customs declaration/
税関長 [ぜいかんちょう] /(n) chief customs inspector/
税関吏 [ぜいかんり] /(n) customs officer/
税金 [ぜいきん] /(n) tax/duty/(P)/
税金をかける [ぜいきんをかける] /(exp,v1) to place a tax on/
税金を掛ける [ぜいきんをかける] /(exp,v1) to place a tax on/
税金還付 [ぜいきんかんぷ] /(n) tax refund/
税金申告 [ぜいきんしんこく] /(n) tax return/
税金泥棒 [ぜいきんどろぼう] /(n) person living off other people's taxes/tax parasite/(a derogatory term for) public servants/
税金避難所 [ぜいきんひなんじょ] /(n) tax haven/
税金避難地 [ぜいきんひなんち] /(n) tax haven/
税源 [ぜいげん] /(n) tax source/source of taxation revenue/taxable item/
税源移譲 [ぜいげんいじょう] /(n) transfer of tax revenue sources (e.g. to local governments)/
税込 [ぜいこみ] /(n) tax included (e.g. price)/before tax (e.g. salary)/
税込み [ぜいこみ] /(n) tax included (e.g. price)/before tax (e.g. salary)/(P)/
税込価格 [ぜいこみかかく] /(n) post-tax price/price including tax/tax-included price/
税支払い免除 [ぜいしはらいめんじょ] /(n) tax relief/
税収 [ぜいしゅう] /(n) tax yields/revenue/(P)/
税収入 [ぜいしゅうにゅう] /(n) tax revenue/tax revenues/
税制 [ぜいせい] /(n) tax system/(P)/
税制改革 [ぜいせいかいかく] /(n) tax reform/
税制中立 [ぜいせいちゅうりつ] /(n) revenue neutrality/
税制調査会 [ぜいせいちょうさかい] /(n) Select Committee on the Taxation System/
税制度 [ぜいせいど] /(n) tax system/
税制優遇措置 [ぜいせいゆうぐうそち] /(n) tax break/
税調 [ぜいちょう] /(n) Tax Commission/
税抜き [ぜいぬき] /(n,adj-no) tax-excluded/
税負担 [ぜいふたん] /(n) tax burden/
税別 [ぜいべつ] /(n) tax not included (in price)/tax separate/
税別価格 [ぜいべつかかく] /(n) price without tax included/
税法 [ぜいほう] /(n) taxation law/(P)/
税務 [ぜいむ] /(n) taxation business/(P)/
税務官 [ぜいむかん] /(n) a tax official/a revenue officer/
税務署 [ぜいむしょ] /(n) tax office/(P)/
税務調査 [ぜいむちょうさ] /(n) tax inquiry/tax enquiry/tax investigation/
税目 [ぜいもく] /(n) items of taxation/
税吏 [ぜいり] /(n) tax collector/tax official/
税理士 [ぜいりし] /(n) tax counsellor/tax counselor/licensed tax accountant/(P)/
税理士試験 [ぜいりししけん] /(n) certified tax accountant exam (examination)/tax accountant exam (examination)/
税率 [ぜいりつ] /(n) (1) tariff/(2) tax rate/(P)/
脆い [もろい] /(adj-i) brittle/fragile/tender-hearted/(P)/
脆化 [ぜいか] /(n) embrittlement/
脆弱 [ぜいじゃく] /(adj-na,n) frail/brittle/fragility/
脆弱性 [ぜいじゃくせい] /(n) vulnerability/
脆性 [ぜいせい] /(n) brittleness/
隻 [せき] /(ctr) counter for ships/
隻影 [せきえい] /(n) a glimpse of an object's outlines/
隻眼 [せきがん] /(n) eye (for pictures, etc.)/one eye/
隻句 [せっく] /(n) a few words/
隻語 [せきご] /(n) just a few words/
隻手 [せきしゅ] /(n) one arm/one hand/
隻手の音声 [せきしゅのおんじょう] /(n) the sound of one hand clapping (a classic Zen koan)/
隻腕 [せきわん] /(n) one-armed person/one-handed person/
席 [せき] /(n) (1) seat/(2) location (of a gathering, etc.)/place/(3) position/post/(P)/
席 [むしろ] /(n) (1) woven mat (esp. one made of straw)/(2) (arch) seat/
席に着く [せきにつく] /(exp,v5k) to sit on a seat/
席を外す [せきをはずす] /(exp,v5s) to leave one's seat/to temporarily excuse oneself (from a meeting, etc.)/to step outside/to be away (from one's desk, etc.)/
席を取って置く [せきをとっておく] /(exp,v5k) to book (take) a seat/
席を蹴る [せきをける] /(exp,v5r) to stomp out (of a room, etc.)/to storm out/
席を譲る [せきをゆずる] /(exp,v5r) to give your seat to someone/to offer your seat/
席を設ける [せきをもうける] /(exp,v1) to give a banquet/
席を立つ [せきをたつ] /(exp,v5t) to leave one's seat/
席画 [せきが] /(n) impromptu drawing composed at a gathering/
席外 [せきがい] /(n,vs) leaving one's seat/
席巻 [せっけん] /(n,vs) sweeping conquest/sweeping over/conquering/invading/(P)/
席捲 [せっけん] /(n,vs) sweeping conquest/sweeping over/conquering/invading/
席次 [せきじ] /(n) order of seats/seating precedence/class standing/
席順 [せきじゅん] /(n) seating order/
席上 [せきじょう] /(n-adv,n-t) at the meeting/(P)/
席駄 [せきだ] /(n) leather-soled sandals (geta)/
席替え [せきがえ] /(n,vs) moving to new seats/moving to new desks/
席料 [せきりょう] /(n) cover charge/admission fee/room rental (fee)/
惜しい [おしい] /(adj-i) (1) regrettable/disappointing/(2) precious/dear/valuable/(3) too good for/deserving better/(4) almost but not quite/(P)/
惜しがる [おしがる] /(v5r) to appear to regret something/
惜しくも [おしくも] /(n) to one's regret (chagrin)/regrettably/
惜しげ [おしげ] /(adj-na,n) regret/frugality/
惜しげもなく [おしげもなく] /(exp,adv) freely/generously/liberally/ungrudgingly/
惜しまない [おしまない] /(adj-i) without sparing (effort, funds, etc.)/(P)/
惜しみなく [おしみなく] /(adv) without stint/freely/
惜しみ無く [おしみなく] /(adv) without stint/freely/
惜しむ [おしむ] /(v5m,vt) (1) to be frugal/to be sparing/(2) to value/to hold dear/(3) to regret (e.g. a loss)/to feel sorry (for)/(4) to be unwilling/to be reluctant/(P)/
惜しむべき [おしむべき] /(exp) lamentable/regrettable/
惜しむらくは [おしむらくは] /(exp,adv) I regret that/It's unfortunate but/It's too bad that/
惜し気 [おしげ] /(adj-na,n) regret/frugality/
惜し気なく [おしげなく] /(adv) generously/unsparingly/lavishly/
惜し気もなく [おしげもなく] /(exp,adv) freely/generously/liberally/ungrudgingly/
惜し気無く [おしげなく] /(adv) generously/unsparingly/lavishly/
惜気 [おしげ] /(io) (adj-na,n) regret/frugality/
惜気もなく [おしげもなく] /(io) (exp,adv) freely/generously/liberally/ungrudgingly/
惜春 [せきしゅん] /(n) lamenting the passing of spring/
惜敗 [せきはい] /(n,vs) regrettable defeat/defeat by a narrow margin/(P)/
惜敗率 [せきはいりつ] /(n) ratio of the margin of loss of an electoral candidate in a single-constituent district (used to break ties when determining the representative of a proportionally represented district)/
惜別 [せきべつ] /(n) regret or reluctance to part/parting regrets/
斥く [しりぞく] /(v5k,vi) (1) to step back/to move back/(2) to leave (the presence of a superior)/to withdraw/to retreat/to concede/(3) to resign/to retire/to quit/
斥ける [しりぞける] /(v1,vt) to repel/to drive away/to repulse/to reject/
斥候 [せっこう] /(n,vs) scout/patrol/spy/
斥候隊 [せっこうたい] /(n) reconnoitering party/scout (army)/
斥候兵 [せっこうへい] /(n) reconnoitering party/scout (army)/
斥力 [せきりょく] /(n) repulsion/repulsive force/
昔 [むかし] /(adj-no,n-adv,n-t) olden days/former/(P)/
昔々 [むかしむかし] /(n-t) long ago/once upon a time/
昔かたぎ [むかしかたぎ] /(n) (1) old-fashioned way of thinking/old-fashioned spirit/(adj-no,adj-na) (2) old-fashioned/
昔とった杵柄 [むかしとったきねづか] /(exp) skill learned in one's former days/using one's experience from the past/you never forget your own trade/
昔ながら [むかしながら] /(adv,adj-no) the same as it was long ago/unchanged/traditional/
昔のこと [むかしのこと] /(n) old things/
昔の事 [むかしのこと] /(n) old things/
昔は昔今は今 [むかしはむかしいまはいま] /(exp) (id) Let bygones be bygones/
昔を懐かしむ [むかしをなつかしむ] /(exp,v5m) to view the past with nostalgia/
昔を偲ばせる品 [むかしをしのばせるしな] /(exp) things reminiscent of bygone days/
昔を想う [むかしをおもう] /(exp,v5u) to recall the old days/
昔気質 [むかしかたぎ] /(n) (1) old-fashioned way of thinking/old-fashioned spirit/(adj-no,adj-na) (2) old-fashioned/
昔堅気 [むかしかたぎ] /(n) (1) old-fashioned way of thinking/old-fashioned spirit/(adj-no,adj-na) (2) old-fashioned/
昔語り [むかしがたり] /(n) old story/reminiscence/
昔時 [せきじ] /(n-adv,n-t) old times/former times/
昔式 [むかししき] /(n) old fashioned/in ancient style/
昔者 [むかしもの] /(n) old person/old-fashioned person/
昔取った杵柄 [むかしとったきねづか] /(exp) skill learned in one's former days/using one's experience from the past/you never forget your own trade/
昔昔 [むかしむかし] /(n-t) long ago/once upon a time/
昔馴染み [むかしなじみ] /(n) old friend/familiar face/
昔日 [せきじつ] /(n) old days/
昔年 [せきねん] /(n) old times/antiquity/former years/
昔風 [むかしふう] /(adj-na,n,adj-no) old fashioned/
昔話 [むかしばなし] /(n) folklore/legend/reminiscence/(P)/
昔蜻蛉 [むかしとんぼ] /(n) (uk) Epiophlebia superstes (species of living-fossil dragonfly endemic to Japan)/
昔蜥蜴 [むかしとかげ] /(n) (uk) tuatara (primitive lizardlike reptile endemic to New Zealand)/
析出 [せきしゅつ] /(n,vs) (chem) separating/eduction/
石 [いし] /(n) (1) stone/(2) gem/jewel/(P)/
石 [こく] /(n) (1) measure of volume (approx. 180.39 liters, 6.37 cub. ft.)/(2) measure of a Japanese-style boat's loading capacity (approx. 278.26 liters)/(P)/
石うす [いしうす] /(n) stone mortar/millstone/quern/
石が流れて木の葉が沈む [いしがながれてこのはがしずむ] /(exp) (id) (obsc) there are exceptions to every rule/rocks will flow and leaves will sink/
石けん [せっけん] /(n) soap/
石けん皿 [せっけんざら] /(n) soap-dish/
石けん石 [せっけんせき] /(n) soapstone/
石ころ [いしころ] /(n) stone/rock/pebble/
石さじ [いしさじ] /(n) stone knife (Jomon-period tool, shaped like a rice spoon)/
石つぶて [いしつぶて] /(n) throwing stone/sling stone/slingshot/pellet/pebble/small rock/
石にかじりついてでも [いしにかじりついてでも] /(exp) (to get something done) even if through hell and high water/
石にかじりついても [いしにかじりついても] /(exp) (to get something done) even if through hell and high water/
石に漱ぎ流れに枕す [いしにくちすすぎながれにまくらす] /(exp) (id) (obsc) refusing to admit being wrong and adhering to the far-fetched argument/
石に齧りついてでも [いしにかじりついてでも] /(exp) (to get something done) even if through hell and high water/
石に齧りついても [いしにかじりついても] /(exp) (to get something done) even if through hell and high water/
石に齧り付いてでも [いしにかじりついてでも] /(exp) (to get something done) even if through hell and high water/
石の上にも三年 [いしのうえにもさんねん] /(exp) perseverance prevails (lit: even the coldest rock will get warm if sat on for three years)/
石の帯 [いしのおび] /(n) special leather belt used in ceremonial court dress, covered in black lacquer and decorated with stones and jewels/
石れき [せきれき] /(n) (arch) pellet/pebble/small rock/
石臼 [いしうす] /(n) stone mortar/millstone/quern/
石英 [せきえい] /(n) quartz/(P)/
石英ガラス [せきえいガラス] /(n) fused silica/fused quartz/quartz glass/silica glass/
石塩 [せきえん] /(n) rock salt/halite/
石黄 [せきおう] /(n) orpiment/
石屋 [いしや] /(n) (sens) stone dealer/
石屋 [いわや] /(n) cavern/grotto/
石化 [せっか] /(n,vs) mineralization/mineralisation/petrifaction/fossilization/fossilisation/
石火 [せっか] /(n) flint fire/flash/
石火矢 [いしびや] /(n) ancient type of cannon/
石塊 [いしくれ] /(n) stone/rock/pebble/
石塊 [いしころ] /(n) stone/rock/pebble/
石塊 [せっかい] /(n) stone/rock/pebble/
石灰 [いしばい] /(n,adj-no) lime/quicklime/caustic lime/
石灰 [せっかい] /(n,adj-no) lime/quicklime/caustic lime/(P)/
石灰海綿 [せっかいかいめん] /(n) calcareous sponge (any sponge of class Calcarea)/
石灰岩 [せっかいがん] /(n) limestone/
石灰質 [せっかいしつ] /(adj-no) calcareous/chalky/
石灰水 [せっかいすい] /(n) limewater/
石灰石 [せっかいせき] /(n) limestone/
石灰洞 [せっかいどう] /(n) limestone cave/
石灰乳 [せっかいにゅう] /(n) milk of lime/
石灰肥料 [せっかいひりょう] /(n) lime or calcium fertilizer/lime or calcium fertiliser/
石蟹 [いしがに] /(n) stone crab/
石貝 [いしがい] /(n) (uk) Unio douglasiae (species of freshwater mussel)/
石蓋 [いしぶた] /(n) capstone in a cist (archaeology)/dolmen burial chamber/
石垣 [いしがき] /(n) stone wall/(P)/
石垣鯛 [いしがきだい] /(n) (uk) rock porgy (Oplegnathus punctatus)/spotted knifejaw/
石瓦 [いしがわら] /(n) slate roof tile/
石棺 [せきかん] /(n) sarcophagus/stone coffin/
石棺 [せっかん] /(n) sarcophagus/stone coffin/(P)/
石器 [せっき] /(n) stone implement/(P)/
石器時代 [せっきじだい] /(n) Stone Age/
石亀 [いしがめ] /(n) var. of turtle (Clemmys japonica)/
石弓 [いしゆみ] /(n) (1) crossbow (inc. large models operated by a number of people)/(2) netted apparatus atop a wall containing large stones, which were dropped onto attackers by cutting the net/(3) slingshot/catapult/
石橋 [いしばし] /(n) stone bridge/(P)/
石橋 [せっきょう] /(n) stone bridge/
石橋を叩いて渡る [いしばしをたたいてわたる] /(exp) (id) being excessively cautious/knocking on a strong stone bridge before crossing it/
石決明 [あわび] /(n) (uk) abalone/ear shell/
石決明 [せっけつめい] /(n) powdered abalone shell (used in Chinese medicine)/
石鹸 [せっけん] /(n) soap/(P)/
石鹸の泡 [せっけんのあわ] /(n) soapsuds/lather/
石鹸工場 [せっけんこうじょう] /(n) soap works/
石鹸皿 [せっけんざら] /(n) soap-dish/
石鹸水 [せっけんすい] /(n) soapy water/
石鹸石 [せっけんせき] /(n) soapstone/
石鹸置き [せっけんおき] /(n) soap dish or box/
石鹸入れ [せっけんいれ] /(n) soap dish or box/
石鹸箱 [せっけんばこ] /(n) soap dish or box/
石工 [いしく] /(n) (sens) mason/stonemason/
石工 [せっこう] /(n) (sens) mason/stonemason/
石膏 [せっこう] /(n,adj-no) plaster/gypsum/calcium sulphate (sulfate)/
石膏像 [せっこうぞう] /(n) plaster figure (bust)/
石高 [こくだか] /(n) (1) (crop) yield/(2) stipend (orig. assessed on the basis of a crop)/salary/
石合戦 [いしがっせん] /(n) stone-throwing fight/
石刻 [せっこく] /(n) stone carving or engraving/
石刻文 [せっこくぶん] /(n) stone inscription/epigraphy/
石細工 [いしざいく] /(n) masonry/
石細胞 [せきさいぼう] /(n) stone cell/
石材 [せきざい] /(n) (building) stone/(P)/
石材商 [せきざいしょう] /(n) stone dealer/
石材店 [せきざいてん] /(n) stonemason/
石材店従業員 [せきざいてんじゅうぎょういん] /(n) stone dealer/
石匙 [いしさじ] /(n) stone knife (Jomon-period tool, shaped like a rice spoon)/
石山 [いしやま] /(n) stony mountain/
石蚕 [いさごむし] /(n) caddis worm/caddis-worm (caddisfly larva)/
石蚕 [とびけら] /(n) (uk) caddisfly/caddis fly (any moth-like insect of the order Trichoptera)/
石子詰め [いしこづめ] /(n) burying alive beneath stones/
石持 [いしもち] /(n) (uk) white croaker/blue drum (Pennahia argentata)/
石室 [いしむろ] /(n) stone hut/(P)/
石狩鍋 [いしかりなべ] /(n) Ishikari stew/salmon stew/salmon and vegetable stew with miso and butter/
石首魚 [いしもち] /(n) (uk) white croaker/blue drum (Pennahia argentata)/
石蹴り [いしけり] /(n) hopscotch/
石獣 [せきじゅう] /(n) stone image of an animal/stone figures of animals/
石女 [うまずめ] /(n) (sens) barren (sterile) woman/
石女 [せきじょ] /(n) (sens) barren (sterile) woman/
石焼 [いしやき] /(n,adj-no) (1) porcelain/(2) baking by means of hot stones or pebbles/
石焼き [いしやき] /(n,adj-no) (1) porcelain/(2) baking by means of hot stones or pebbles/
石焼き芋 [いしやきいも] /(n) sweet potatoes baked in hot stones or pebbles/
石焼ビビンバ [いしやきビビンバ] /(n) stone-roasted bibimbap/Korean style rice (bibimbap) heated in a stone pot/
石菖 [せきしょう] /(n) (uk) Japanese sweet flag (Acorus gramineus)/
石畳 [いしだたみ] /(n) stone paving/
石畳貝 [いしだたみがい] /(n) (uk) toothed top shell (Monodonta labio)/
石神 [いしがみ] /(n) stone which is worshipped/image of a god in stone/
石神 [しゃくじん] /(n) stone which is worshipped/image of a god in stone/(P)/
石人 [いしひと] /(n) stone image of people/
石人 [せきじん] /(n) stone image of people/
石摺り [いしずり] /(n) print from stone/rubbing/rubbed copy/
石清水祭 [いわしみずさい] /(n) Iwashimizu Festival (Sept. 15 festival held at Iwashimizu Hachimangu in Kyoto)/
石清水祭 [いわしみずまつり] /(n) Iwashimizu Festival (Sept. 15 festival held at Iwashimizu Hachimangu in Kyoto)/
石製 [せきせい] /(adj-no) stone/made of stone/
石製品 [せきせいひん] /(n) stone artifact/article made of stone/
石切り [いしきり] /(n) stone-cutting/quarrying/stone-cutter/
石切り場 [いしきりば] /(n) quarry/stone pit/
石千鳥 [いしちどり] /(n) (uk) stone curlew/thick-knee (Burhinus oedicnemus)/
石川県 [いしかわけん] /(n) Ishikawa prefecture (Hokuriku area)/
石組み [いしぐみ] /(n) arrangement of stones in a garden/
石像 [せきぞう] /(n) stone statue/
石造 [せきぞう] /(n,adj-no) stone-built/
石造り [いしづくり] /(n) (made of) stone/
石打ち刑 [いしうちけい] /(n) stoning (punishment)/
石帯 [せきたい] /(n) (obsc) special leather belt used in ceremonial court dress, covered in black lacquer and decorated with stones and jewels/
石鯛 [いしだい] /(n) (uk) striped beakfish (Oplegnathus fasciatus)/
石炭 [せきたん] /(n) coal/(P)/
石炭の層 [せきたんのそう] /(n) coal seam/coal bed/
石炭灰 [せきたんばい] /(n) coal ash/fly ash/
石炭殻 [せきたんがら] /(n) coal cinders/
石炭紀 [せきたんき] /(n,adj-no) the Carboniferous Period/
石炭酸 [せきたんさん] /(n) phenol/carbolic acid/
石炭層 [せきたんそう] /(n) coal bed/
石炭袋 [せきたんぶくろ] /(n) (1) Coalsack Nebula/(2) coal sack/coal bag/
石段 [いしだん] /(n) (flight of) stone steps/(P)/
石地蔵 [いしじぞう] /(n) (1) stone statue of Jizo/(2) taciturn person or someone disinterested in romance/
石竹 [せきちく] /(n) (uk) China pink (species of flower, Dianthus chinensis)/
石竹色 [せきちくいろ] /(n) light pink (color, colour)/
石柱 [せきちゅう] /(n) stone pillar/
石亭 [せきてい] /(n) The Sekitei (name of an inn)/
石庭 [せきてい] /(n) rock garden/
石泥鰌 [いしどじょう] /(n) (uk) Cobitis takatsuensis (species of loach)/
石笛鯛 [いしふえだい] /(n) (uk) small-toothed jobfish (Aphareus furca)/
石塔 [せきとう] /(n) stone monument or pagoda/
石投 [いしなぎ] /(n) (uk) striped jewfish (Stereolepis doederleini)/
石灯篭 [いしとうろう] /(n) stone lantern/
石灯篭 [いしどうろう] /(n) stone lantern/
石灯籠 [いしとうろう] /(n) stone lantern/
石灯籠 [いしどうろう] /(n) stone lantern/
石燈篭 [いしとうろう] /(n) stone lantern/
石燈篭 [いしどうろう] /(n) stone lantern/
石燈籠 [いしとうろう] /(n) stone lantern/
石燈籠 [いしどうろう] /(n) stone lantern/
石頭 [いしあたま] /(n,adj-na,adj-no) inflexible person/(P)/
石道 [いしみち] /(n) stony path/stony road/
石突き [いしづき] /(n) shoe/ferrule (of an umbrella)/butt end (of a lance)/hard tip (of mushroom)/
石南花 [しゃくなげ] /(n) rhododendron/
石楠花 [しゃくなげ] /(n) rhododendron/
石斑魚 [うぐい] /(gikun) (n) (uk) Japanese dace (Tribolodon hakonensis)/
石板 [せきばん] /(n) slate/
石版 [せきばん] /(n) lithograph/lithography/
石版画 [せきばんが] /(n) lithograph/
石版刷 [せきばんずり] /(n) lithography/
石版刷り [せきばんずり] /(n) lithography/
石盤 [せきばん] /(n) slate/
石碑 [せきひ] /(n) stone monument/(P)/
石筆 [せきひつ] /(n) slate pencil/
石百足 [いしむかで] /(n) (uk) stone centipede (Lithobiomorpha spp.)/
石敷 [いしじき] /(n) stone paving/stone paved area/
石斧 [せきふ] /(n) stone axe (ax)/
石部金吉 [いしべきんきち] /(n) man of incorruptible character/
石風呂 [いしぶろ] /(n) (1) stone bathtub/(2) steam bath taken inside a cavern or stone chamber/
石蕗 [つわぶき] /(n) Japanese silver leaf/Farfugium japonicum/
石仏 [いしぼとけ] /(n) stone Buddhist image/
石仏 [せきぶつ] /(n) stone Buddhist image/(P)/
石粉 [いしこ] /(n) stone or feldspar or limestone dust or powder/
石文 [いしぶみ] /(n) stone monument bearing an inscription/
石塀 [いしべい] /(n) stone wall/
石壁 [いしかべ] /(n) (1) stone wall/dry wall/(2) rocky cliff/stone precipice/
石壁 [せきへき] /(n) (1) stone wall/dry wall/(2) rocky cliff/stone precipice/
石偏 [いしへん] /(n) kanji "stone" radical at left/
石抱き [いしだき] /(n) form of torture in which the victim kneels on triangular wedges and stone slabs are placed on their lap/
石墨 [せきぼく] /(n) graphite/black lead/
石綿 [いしわた] /(n,adj-no) asbestos/
石綿 [せきめん] /(n,adj-no) asbestos/
石綿金網 [いしわたかなあみ] /(n) asbestos coated wire mesh (was used in schools as test equipment)/
石木 [いしき] /(n) stone tree/
石門心学 [せきもんしんがく] /(n) Edo-period popularized blend of Buddhist, Shinto and Confucian ethical teachings (popularised)/
石油 [せきゆ] /(n) oil/petroleum/kerosene/(P)/
石油ショック [せきゆショック] /(n) oil shock/
石油ピーク [せきゆピーク] /(n) peak oil (date when the peak of the world's petroleum production rate is reached)/
石油ブーム [せきゆブーム] /(n) oil boom/
石油プラットフォーム [せきゆプラットフォーム] /(n) oil platform/oil rig/
石油ランプ [せきゆランプ] /(n) oil lamp/
石油王 [せきゆおう] /(n) oil magnate/
石油化学 [せきゆかがく] /(n) petrochemistry/
石油会社 [せきゆがいしゃ] /(n) oil company/
石油危機 [せきゆきき] /(n) oil crisis/
石油減耗 [せきゆげんもう] /(n) oil depletion/
石油公団 [せきゆこうだん] /(n) Japan National Oil Corporation/
石油精製 [せきゆせいせい] /(n) oil refining/
石油製品 [せきゆせいひん] /(n) petroleum products/petrochemical products/
石油探査 [せきゆたんさ] /(n) oil exploration/
石油備蓄 [せきゆびちく] /(n) oil reserve/
石油頁岩 [せきゆけつがん] /(n) oil shale/
石油蝋 [せきゆろう] /(n) petroleum wax/
石竜子 [とかげ] /(n) lizard/
石塁 [せきるい] /(n) stone fort/
石牢 [いしろう] /(n) jail (gaol) made by placing bars across a cave entrance/cave-prison/
石蝋 [せきろう] /(n) paraffin/
石匕 [せきひ] /(n) (obsc) stone knife (Jomon-period tool, shaped like a rice spoon)/
石榴 [ざくろ] /(n) pomegranate/Punica granatum/
石榴 [じゃくろ] /(ok) (n) pomegranate/Punica granatum/
石榴 [せきりゅう] /(n) pomegranate/Punica granatum/
石榴口 [ざくろぐち] /(n) low door used in bathouses to prevent the hot water from cooling (Edo period)/
石榴石 [ざくろいし] /(n) garnet/
石榴鼻 [ざくろばな] /(n) rhinophyma/red swollen nose (often associated with alcoholism)/
石槨 [せっかく] /(n) stone burial chamber/
石櫃 [いしびつ] /(n) box-shaped funerary urn made of stone/
石櫃 [せきひつ] /(n) box-shaped funerary urn made of stone/
石碣 [せっけつ] /(n) stone monument/gravestone/tombstone/
石礫 [いしつぶて] /(n) throwing stone/sling stone/slingshot/pellet/pebble/small rock/
石礫 [せきれき] /(n) (arch) pellet/pebble/small rock/
石筍 [せきじゅん] /(n,adj-no) stalagmite/
石蓴 [あおさ] /(gikun) (n) (uk) sea lettuce (Ulva spp.)/
石蜈蚣 [いしむかで] /(n) (uk) stone centipede (Lithobiomorpha spp.)/
石鏃 [せきぞく] /(n) flint arrowhead/
石鰌 [いしどじょう] /(n) (uk) Cobitis takatsuensis (species of loach)/
石鰈 [いしがれい] /(n) stone flounder (Kareius bicoloratus)/
石鼈 [じいがせ] /(n) (1) (uk) chiton (any marine mollusk of the class Polyplacophora)/sea cradle/(2) Japanese chiton (Acanthopleura japonica)/
石鼈 [ひざらがい] /(n) (1) (uk) chiton (any marine mollusk of the class Polyplacophora)/sea cradle/(2) Japanese chiton (Acanthopleura japonica)/
積 [せき] /(n) (1) (math) product/(2) volume/area/(P)/
積みおろし [つみおろし] /(n,vs) loading and unloading/
積みすぎ [つみすぎ] /(n) (1) overload/(2) (math) rounding up error/
積みなおす [つみなおす] /(v5s,vt) to reload/
積み卸し [つみおろし] /(n,vs) loading and unloading/
積み下ろし [つみおろし] /(n,vs) loading and unloading/
積み下ろす [つみおろす] /(v5s) to unload/
積み荷 [つみに] /(n) load/freight/cargo/
積み過ぎ [つみすぎ] /(n) (1) overload/(2) (math) rounding up error/
積み過ぎる [つみすぎる] /(v1) to overload/
積み降ろし [つみおろし] /(n,vs) loading and unloading/
積み込み [つみこみ] /(n) loading/
積み込み値段 [つみこみねだん] /(n) free on board price/
積み込む [つみこむ] /(v5m,vt) to load (with goods, cargo)/to put on board/to stow aboard/(P)/
積み残し [つみのこし] /(n) (1) left-off cargo/passengers left behind/(2) (math) rounding error/truncation error/remainder after truncation to an integer value/
積み残す [つみのこす] /(v5s,vt) to leave off cargo/
積み重なる [つみかさなる] /(v5r,vi) to accumulate/
積み重ね [つみかさね] /(n) pile/accumulation/(P)/
積み重ねる [つみかさねる] /(v1,vt) to pile up/to accumulate/(P)/
積み出し [つみだし] /(n) shipment/forwarding/
積み出し人 [つみだしにん] /(n) shipper/
積み出す [つみだす] /(v5s,vt) to send off/
積み上げ [つみあげ] /(n) piling up/making a heap/laying bricks/
積み上げる [つみあげる] /(v1,vt) to pile up/to make a heap/to lay bricks/
積み送り [つみおくり] /(n) shipment/
積み増し [つみまし] /(n,vs) increased amount/increase/increment/augmentation/
積み増す [つみます] /(v5s) to increase (a price)/
積み替え [つみかえ] /(n) transshipment/reshipment/
積み替える [つみかえる] /(v1,vt) to transship/
積み直す [つみなおす] /(v5s,vt) to reload/
積み肥 [つみごえ] /(n) compost/manure/
積み木 [つみき] /(n) (toy) building blocks/bricks/
積み立て [つみたて] /(n) savings/(P)/
積み立てる [つみたてる] /(v1,vt) to accumulate/to save/
積む [つむ] /(v5m) to pile up/to stack/to load (car, ship, etc.)/to pack/(P)/
積もり [つもり] /(n) (1) (uk) intention/plan/(2) conviction/belief/(P)/
積もり書き [つもりがき] /(n) written estimate/
積もる [つもる] /(v5r) (1) to pile up/to accumulate/(2) to estimate/(P)/
積り [つもり] /(n) (1) (uk) intention/plan/(2) conviction/belief/
積り書 [つもりがき] /(n) written estimate/
積り書き [つもりがき] /(n) written estimate/
積る [つもる] /(v5r) (1) to pile up/to accumulate/(2) to estimate/
積ん読 [つんどく] /(n) buying books and not reading them/(P)/
積悪 [せきあく] /(n) many sins/long-standing evils/
積雲 [せきうん] /(n,adj-no) cumulus clouds/
積卸 [つみおろし] /(io) (n,vs) loading and unloading/
積卸し [つみおろし] /(n,vs) loading and unloading/
積下ろし [つみおろし] /(n,vs) loading and unloading/
積荷 [つみに] /(n) load/freight/cargo/
積荷保険 [つみにほけん] /(n) cargo insurance/
積極 [せっきょく] /(n) positive/progressive/(P)/
積極果敢 [せっきょくかかん] /(n,adj-na) aggressive/active and bold (daring)/resolute determination/
積極行動主義 [せっきょくこうどうしゅぎ] /(n) activism/
積極行動主義者 [せっきょくこうどうしゅぎしゃ] /(n) activist/
積極財政 [せっきょくざいせい] /(n) expansionary fiscal policy/
積極策 [せっきょくさく] /(n) positive plan/constructive policy/
積極性 [せっきょくせい] /(n) assertiveness/positiveness/
積極的 [せっきょくてき] /(adj-na) assertive/positive/active/proactive/(P)/
積極的自由 [せっきょくてきじゆう] /(n) positive liberty/freedom (as opposed to liberty)/
積降ろし [つみおろし] /(n,vs) loading and unloading/
積載 [せきさい] /(n,vs) lading/loading/carrying/(P)/
積載能力 [せきさいのうりょく] /(n) carrying (loading) capacity (power)/
積載量 [せきさいりょう] /(n) loading capacity/
積算 [せきさん] /(n,vs) (1) addition/adding up/(2) integration/(3) estimate/quantity survey/(P)/
積算電力計 [せきさんでんりょくけい] /(n) watt-hour meter/
積算法 [せきさんほう] /(n) integration/
積集合 [せきしゅうごう] /(n) (math) intersection/
積雪 [せきせつ] /(n) fallen snow/(P)/
積雪量 [せきせつりょう] /(n) amount of snowfall/snow accumulation/
積善 [せきぜん] /(n) accumulation of good deeds/
積善の家には必ず余慶あり [せきぜんのいえにはかならずよけいあり] /(exp) one's good deeds shall be repaid even to one's descendants/
積善の家には必ず余慶有り [せきぜんのいえにはかならずよけいあり] /(exp) one's good deeds shall be repaid even to one's descendants/
積層 [せきそう] /(n) laminating/lamination layer/
積層乾電池 [せきそうかんでんち] /(n) layered dry cell (battery)/
積増し [つみまし] /(n,vs) increased amount/increase/increment/augmentation/
積増す [つみます] /(v5s) to increase (a price)/
積年 [せきねん] /(n,adj-no) (many) years/
積不善の家には必ず余殃あり [せきふぜんのいえにはかならずよおうあり] /(exp) (arch) iniquities of fathers are visited upon their sons/
積不善の家には必ず余殃有り [せきふぜんのいえにはかならずよおうあり] /(exp) (arch) iniquities of fathers are visited upon their sons/
積分 [せきぶん] /(n) integral/
積分学 [せきぶんがく] /(n) integral calculus/
積分器 [せきぶんき] /(n) (comp) integrator/
積分方程式 [せきぶんほうていしき] /(n) integral equation/
積分法 [せきぶんほう] /(n) integration/
積弊 [せきへい] /(n) deep-rooted evil/
積木 [つみき] /(n) (toy) building blocks/bricks/
積乱雲 [せきらんうん] /(n) cumulonimbus cloud/
積率 [せきりつ] /(n) moment (statistics)/
積立金 [つみたてきん] /(n) deposit/(P)/
積立資金 [つみたてしきん] /(n) reserve fund/
積立貯金 [つみたてちょきん] /(n) installment saving/
籍 [せき] /(n,n-suf) (1) (sens) one's family register/one's domicile/(2) membership (club, party, etc.)/(P)/
籍をおく [せきをおく] /(exp,v5k) to become a member/
籍を置く [せきをおく] /(exp,v5k) to become a member/
籍を入れる [せきをいれる] /(exp,v1) to have a name entered in the family register/
籍船 [せきせん] /(n,suf) ship registry/
績む [うむ] /(v5m,vt) (arch) to spin (e.g. ramie, hemp, etc.)/
脊 [せ] /(n) (1) back/spine/(2) reverse/rear side/(3) height/(4) ridge (of a mountain)/
脊 [せい] /(n) height/stature/
脊黄青鸚哥 [せきせいいんこ] /(n) (uk) budgerigar (Melopsittacus undulatus)/
脊骨 [せぼね] /(n,adj-no) spine/backbone/spinal column/
脊索 [せきさく] /(n,adj-no) notochord (rudimentary spinal chord)/
脊索動物 [せきさくどうぶつ] /(n) chordate/
脊髄 [せきずい] /(n,adj-no) spinal cord/(P)/
脊髄炎 [せきずいえん] /(n) myelitis/
脊髄腫瘍 [せきずいしゅよう] /(n) spinal cord tumour/spinal cord neoplasm/spinal tumour/
脊髄小脳変性症 [せきずいしょうのうへんせいしょう] /(n) spinocerebellar degeneration/SCD/
脊髄神経 [せきずいしんけい] /(n) spinal nerves/
脊髄性小児麻痺 [せきずいせいしょうにまひ] /(n) poliomyelitis/polio/infantile paralysis/
脊髄反射 [せきずいはんしゃ] /(n) spinal reflex/
脊柱 [せきちゅう] /(n,adj-no) spinal column/
脊柱後弯症 [せきちゅうこうわんしょう] /(n) kyphosis/
脊柱前弯症 [せきちゅうぜんわんしょう] /(n) lordosis/
脊柱側湾症 [せきちゅうそくわんしょう] /(n) scoliosis/
脊柱側彎症 [せきちゅうそくわんしょう] /(n) scoliosis/
脊椎 [せきつい] /(n,adj-no) spine/vertebral column/
脊椎骨 [せきついこつ] /(n) vertebra/
脊椎側湾症 [せきついそくわんしょう] /(n) scoliosis/
脊椎側彎症 [せきついそくわんしょう] /(n) scoliosis/
脊椎動物 [せきついどうぶつ] /(n) vertebrate/
脊椎破壊 [せきついはかい] /(n) spina bifida/
脊椎麻酔 [せきついますい] /(n) spinal anesthesia/
脊負う [しょう] /(iK) (v5u,vt) to be burdened with/to carry on back or shoulder/
脊負う [せおう] /(iK) (v5u,vt) to be burdened with/to carry on back or shoulder/
脊梁 [せきりょう] /(n) backbone/mountain range/
責 [せき] /(n) responsibility/duty/obligation/
責っ付く [せっつく] /(v5k,vt) (uk) to pester someone (e.g. to buy something)/
責め [せめ] /(n) persecution/blame/responsibility/
責めさいなむ [せめさいなむ] /(v5m) to torture/to persecute/to excruciate/
責めつける [せめつける] /(v1,vt) to heap blame upon/
責める [せめる] /(v1,vt) to condemn/to blame/to criticize/to criticise/(P)/
責めを負う [せめをおう] /(exp,v5u) to take the blame/
責め苛む [せめさいなむ] /(v5m) to torture/to persecute/to excruciate/
責め苦 [せめく] /(n) torture/pains (of hell)/
責め具 [せめぐ] /(n) instrument of torture/
責め道具 [せめどうぐ] /(n) instruments of torture/
責め馬 [せめうま] /(n) breaking in a horse/
責め付ける [せめつける] /(v1,vt) to heap blame upon/
責め立てる [せめたてる] /(v1,vt) to torture severely/to urge/
責を果たす [せきをはたす] /(exp,v5s) to fulfill one's responsibility/
責苦 [せめく] /(n) torture/pains (of hell)/
責具 [せめぐ] /(n) instrument of torture/
責道具 [せめどうぐ] /(n) instruments of torture/
責任 [せきにん] /(n) (1) duty/responsibility (incl. supervision of staff)/(2) liability/onus/(P)/
責任のがれ [せきにんのがれ] /(n,vs) avoiding or dodging responsibility/
責任をとる [せきにんをとる] /(exp,v5r) to take responsibility for/
責任を果たす [せきにんをはたす] /(exp,v5s) to fulfill one's responsibilities/
責任を持って [せきにんをもって] /(adv) responsibly/properly/correctly/
責任を持って果たす [せきにんをもってはたす] /(exp,v5s) to take the responsibility (for an action)/to carry out in a responsible manner/
責任を持つ [せきにんをもつ] /(exp,v5t) to be responsible for/to bear the responsibility of/
責任を取る [せきにんをとる] /(exp,v5r) to take responsibility for/
責任を担う [せきにんをになう] /(exp,v5u) to shoulder responsibility/
責任を逃れる [せきにんをのがれる] /(exp,v1) to shirk one's responsibility/
責任を避ける [せきにんをさける] /(exp,v1) to shirk a responsibility/
責任を問われる [せきにんをとわれる] /(exp,v1) to be answerable (for)/to take the blame/
責任回避 [せきにんかいひ] /(n,vs) avoidance of responsibility/shirking (one's) responsibility/
責任感 [せきにんかん] /(n) sense of responsibility/(P)/
責任校了 [せきにんこうりょう] /(n,exp) OK with corrections (printing indication)/
責任者 [せきにんしゃ] /(n) person in charge (including a supervisory role for other staff)/person responsible for .../responsible party/(P)/
責任著者 [せきにんちょしゃ] /(n) corresponding author/
責任追跡 [せきにんついせき] /(n) (comp) accountability/
責任転嫁 [せきにんてんか] /(n) shift the responsibility (for something) on to (someone)/pass the buck/
責任逃れ [せきにんのがれ] /(n,vs) avoiding or dodging responsibility/
責任範囲 [せきにんはんい] /(n) responsible area/area of responsibility/
責任分担 [せきにんぶんたん] /(n) sharing of responsibilities/
責任保険 [せきにんほけん] /(n) liability insurance/
責任問題 [せきにんもんだい] /(n) a question (an issue) of where responsibility (liability) lies/a question of who is responsible (to blame)/
責付く [せっつく] /(v5k,vt) (uk) to pester someone (e.g. to buy something)/
責務 [せきむ] /(n) duty/obligation/(P)/
責了 [せきりょう] /(exp) (id) OK with corrections/
赤 [あか] /(n) (1) red/crimson/scarlet/(2) red-containing colour (e.g. brown, pink, orange)/(3) (col) Red (i.e. communist)/(4) (abbr) red light/(5) (abbr) red ink (i.e. in finance or proof-reading)/(in) the red/(adj-no,n-pref) (6) complete/total/perfect/obvious/
赤々 [あかあか] /(adv-to) bright red/bright/
赤々と [あかあかと] /(adv) brilliantly/clearly/flaming/
赤い [あかい] /(adj-i) (1) red/(2) Red (i.e. communist)/(P)/
赤い羽根 [あかいはね] /(n) red feather/
赤い糸 [あかいいと] /(n) red string (traditionally fated lovers are joined by this unseen string)/
赤えい [あかえい] /(n) (uk) red stingray (Dasyatis akajei)/
赤かえでのり [あかかえでのり] /(n) red carrageen (Chondrus crispus)/red carragheen/red Irish moss/
赤がかった人 [あかがかったひと] /(exp) (derog) person with communist leanings/
赤がかる [あかがかる] /(v5r) (obsc) to be tinged red/to be reddish/
赤こっこ [あかこっこ] /(n) Izu thrush (Turdus celaenops)/
赤じそ [あかじそ] /(n) red shiso/red perilla/
赤すぐり [あかすぐり] /(n) red-currant (Ribes rubrum)/
赤たまねぎ [あかたまねぎ] /(n) red onion/purple onion/
赤だに [あかだに] /(n) (col) spider mite (any mite of family Tetranychidae)/
赤ちゃん [あかちゃん] /(n) baby/infant/(P)/
赤ちゃんポスト [あかちゃんポスト] /(n) baby hatch (for unwanted newborns)/foundling wheel/
赤ちょうちん [あかちょうちん] /(n) (1) (food) red paper restaurant lantern/(2) cheap eating and drinking place/
赤っ恥 [あかっぱじ] /(n) shame/disgrace/
赤とんぼ [あかとんぼ] /(n) (1) (uk) (small) red dragonfly/(2) darter (dragonfly of genus Sympetrum, esp. the autumn darter, Sympetrum frequens)/
赤の女王仮説 [あかのじょおうかせつ] /(n) Red Queen hypothesis (of evolutionary biology)/
赤の他人 [あかのたにん] /(exp,n) complete stranger/
赤べこ [あかべこ] /(n) toy from Fukushima prefecture in the shape of a red cow, also used as a talisman against smallpox/
赤また黒また [あかまたくろまた] /(n) (uk) red-masked and black-masked gods (folk belief of the Yaeyama Islands)/harvest festival celebrating these gods (held in the 6th lunar month)/
赤み [あかみ] /(n,adj-no) reddish tinge/tinge of red/slight redness/blush/
赤みがかった [あかみがかった] /(adj-f) rufous or reddish (esp. for ornithology)/
赤む [あかむ] /(v5m) (obsc) to blush/to redden/
赤むけ [あかむけ] /(n) scraped skin/graze/grazed skin/
赤める [あかめる] /(v1,vt) to blush/to redden/
赤もつ [あかもつ] /(n) internal organs such as heart, liver, kidneys used as food/
赤らむ [あからむ] /(v5m,vi) to become red/to redden/to blush/
赤らめる [あからめる] /(v1,vt) to blush/to redden/
赤らんだ [あからんだ] /(n) florid/ruddy/
赤ら顔 [あからがお] /(n) red faced/
赤ん坊 [あかんぼ] /(n) baby/infant/
赤ん坊 [あかんぼう] /(n) baby/infant/(P)/
赤カンガルー [あかカンガルー] /(n) (uk) red kangaroo (Macropos rufus)/
赤スグリ [あかスグリ] /(n) red-currant (Ribes rubrum)/
赤センマイ [あかセンマイ] /(n) abomasum/
赤タン [あかタン] /(n) (in hanafuda) the collection of the three red poetry ribbon cards/
赤チン [あかチン] /(n) mercurochrome/merbromin solution/
赤ブドウ酒 [あかブドウしゅ] /(n) red wine/
赤プリ [あかプリ] /(n) (abbr) Akasaka Prince Hotel/
赤ランプ [あかランプ] /(n) red light/stop light/danger signal/
赤レンガ [あかレンガ] /(n,adj-no) red brick/
赤ワイン [あかワイン] /(n) red wine/
赤緯 [せきい] /(n) (astronomical) declination/
赤鰯 [あかいわし] /(n) pickled or dried sardines/
赤烏賊 [あかいか] /(n) (uk) red squid/neon flying squid (Ommastrephes bartramii)/
赤烏帽子 [あかえぼし] /(n) (1) red eboshi (headgear worn by Japanese men prior to and during the Edo period, which was ordinarily black in color)/(2) metaphor for an odd item or having a taste for such an item/
赤羽太 [あかはた] /(n) (uk) blacktip grouper (species of fish, Epinephelus fasciatus)/
赤瓜 [あかうり] /(n) Okinawan yellow cucumber/
赤瓜 [あかもううい] /(n) Okinawan yellow cucumber/
赤瓜 [あかもううり] /(n) Okinawan yellow cucumber/
赤瓜 [もううい] /(n) Okinawan yellow cucumber/
赤荻 [せきてき] /(n) late Edo-period pejorative for Russians/
赤化 [せっか] /(n,vs) Sovietize/Sovietise/turning red/become communistic/
赤家蚊 [あかいえか] /(n) common house mosquito (Culex pipiens pallens)/
赤禍 [せっか] /(n) the Red Peril/
赤花 [あかばな] /(n) (uk) willowherb (Epilobium pyrricholophum)/
赤茄子 [あかなす] /(n) (1) Chinese scarlet eggplant (Solanum integrifolium)/tomato-fruit eggplant/(2) tomato (Lycopersicon esculentum)/
赤芽芋 [あかめいも] /(n) (uk) type of taro originally from Sulawesi, has large tubers with red eyes/
赤芽球 [せきがきゅう] /(n) erythroblast (immature nucleate erythrocyte)/
赤芽球症 [せきがきゅうしょう] /(n,adj-no) erythroblastosis (abnormal presence of erythroblasts in the blood)/
赤芽柏 [あかめがしわ] /(n) (1) Mallotus japonicus/(2) mallotus bark (herbal medicine)/
赤海亀 [あかうみがめ] /(n) (uk) loggerhead turtle (Caretta caretta)/
赤絵 [あかえ] /(n) (1) late 19C woodblock prints, using imported aniline dyes/(2) red painting on ceramics/
赤貝 [あかがい] /(n) (uk) blood clam (Scapharca broughtonii)/
赤外 [せきがい] /(adj-na,adj-no) infrared/
赤外線 [せきがいせん] /(n) infra-red rays/(P)/
赤外線インタフェース [せきがいせんインタフェース] /(n) (comp) infrared interface/
赤外線写真 [せきがいせんしゃしん] /(n) infrared photography/
赤外線通信 [せきがいせんつうしん] /(n) infrared data communication/
赤外発散 [せきがいはっさん] /(n) infrared divergence (physics)/
赤外放射 [せきがいほうしゃ] /(n) infrared radiation/
赤蛙 [あかがえる] /(n) (1) (uk) any brown or reddish-brown frog (esp. of family Ranidae)/(2) Japanese brown frog (Rana japonica)/brown frog/
赤掛かる [あかがかる] /(v5r) (obsc) to be tinged red/to be reddish/
赤樫 [あかがし] /(n) evergreen oak/
赤褐色 [せっかっしょく] /(n) reddish brown/rufous/
赤眼 [あかめ] /(n) (1) red eyes/bloodshot eyes/(2) red-eye/(3) (uk) red mullet (Chelon haematocheilus)/(4) facial gesture of pulling one's eyelid down and sticking out one's tongue/
赤旗 [あかはた] /(n) (1) red flag/(2) Red Flag (Communist Party newspaper)/(P)/
赤気 [せっき] /(n) (1) red cloud/(2) comet/
赤蟻 [あかあり] /(n) red ant/
赤牛虻 [あかうしあぶ] /(n) (uk) Tabanus chrysurus (species of horsefly)/
赤魚 [あかうお] /(n) (1) Matsubara's red rockfish (Sebastes matsubarae)/(2) Pacific ocean perch (Sebastes alutus)/(3) comb goby (Ctenotrypauchen microcephalus)/(4) Japanese dace (Tribolodon hakonensis)/(5) any edible red saltwater fish/
赤魚鯛 [あこうだい] /(n) (1) (uk) Matsubara's red rockfish (Sebastes matsubarae)/(2) (food) Pacific ocean perch (Sebastes alutus)/
赤玉 [あかだま] /(n) (1) red ball/amber/jasper/(2) (arch) patent medicine/
赤玉葱 [あかたまねぎ] /(n) red onion/purple onion/
赤襟鰭足鷸 [あかえりひれあししぎ] /(n) (uk) red-necked phalarope (Phalaropus lobatus)/
赤金 [あかがね] /(n) copper/
赤苦津 [あかぐつ] /(n) (uk) starry handfish (Halieutaea stellata)/
赤靴 [あかぐつ] /(n) (uk) starry handfish (Halieutaea stellata)/
赤熊 [あかぐま] /(n) (uk) brown bear (esp. the Ussuri brown bear, Ursus arctos lasiotus)/
赤軍 [せきぐん] /(n) Red Army/(P)/
赤経 [せっけい] /(n) right ascension/
赤血球 [せっけっきゅう] /(n) red blood cell/erythrocyte/
赤血球生成促進因子 [せっけっきゅうせいせいそくしんいんし] /(n) erythropoietin/EPO/
赤血球沈降速度 [せっけっきゅうちんこうそくど] /(n) erythrocyte sedimentation rate/
赤狐 [あかぎつね] /(n) (uk) (obsc) red fox (Vulpes vulpes)/
赤口 [しゃっく] /(n) unlucky for all activities, with only the period around noon being auspicious/
赤口 [しゃっこう] /(n) unlucky for all activities, with only the period around noon being auspicious/
赤口 [じゃっく] /(n) unlucky for all activities, with only the period around noon being auspicious/
赤口 [じゃっこう] /(n) unlucky for all activities, with only the period around noon being auspicious/
赤口 [せきぐち] /(n) unlucky for all activities, with only the period around noon being auspicious/
赤行嚢 [あかこうのう] /(n) (arch) red mail bag/
赤黒い [あかぐろい] /(adj-i) dark red/dark brown/reddish brown/
赤砂糖 [あかざとう] /(n) brown sugar/
赤札 [あかふだ] /(n,adj-no) goods sold/clearance sale/
赤錆 [あかさび] /(n) rust/
赤山蟻 [あかやまあり] /(n) (uk) Formica sanguinea (species of red wood ant)/
赤珊瑚 [あかさんご] /(n) (uk) red coral (Corallium japonicum)/
赤酸塊 [あかすぐり] /(n) red-currant (Ribes rubrum)/
赤酸漿 [あかかがち] /(n) (arch) winter cherry (Physalis alkekengi)/
赤四手 [あかしで] /(n) (uk) loose-flowered hornbeam (Carpinus laxiflora)/akashide/
赤子 [あかご] /(n) baby/
赤子 [せきし] /(n) (arch) imperial children/imperial child/
赤子の手をねじる [あかごのてをねじる] /(exp) (id) exceptionally easy (like taking candy from a baby)/as easy as twisting a baby's hand/
赤子の手をひねる [あかごのてをひねる] /(exp) (id) exceptionally easy (like taking candy from a baby)/as easy as twisting a baby's hand/
赤子の手を捻る [あかごのてをねじる] /(exp) (id) exceptionally easy (like taking candy from a baby)/as easy as twisting a baby's hand/
赤子の手を捻る [あかごのてをひねる] /(exp) (id) exceptionally easy (like taking candy from a baby)/as easy as twisting a baby's hand/
赤子の腕をねじる [あかごのうでをねじる] /(exp) (obsc) (id) exceptionally easy (like taking candy from a baby)/as easy as twisting a baby's arm/
赤子の腕をひねる [あかごのうでをひねる] /(exp) (obsc) (id) exceptionally easy (like taking candy from a baby)/as easy as twisting a baby's arm/
赤子の腕を捻る [あかごのうでをねじる] /(exp) (obsc) (id) exceptionally easy (like taking candy from a baby)/as easy as twisting a baby's arm/
赤子の腕を捻る [あかごのうでをひねる] /(exp) (obsc) (id) exceptionally easy (like taking candy from a baby)/as easy as twisting a baby's arm/
赤紙 [あかがみ] /(n) draft papers/draught papers/callup notice/
赤紫 [あかむらさき] /(n) purplish red/
赤紫蘇 [あかじそ] /(n) red shiso/red perilla/
赤児 [あかご] /(n) baby/
赤字 [あかじ] /(n,adj-no) (1) deficit/(being in or going into) the red/(2) red text/red letters/(3) corrections (by a teacher or proofreader) written in red/(P)/
赤字国債 [あかじこくさい] /(n) deficit-covering (government) bond/
赤字財政 [あかじざいせい] /(n) deficit financing/
赤耳垂蜜吸 [あかみみだれみつすい] /(n) (uk) red wattlebird (Anthochaera carunculata)/
赤鹿 [あかしか] /(n) (uk) red deer (Cervus elaphus)/
赤手 [せきしゅ] /(n) bare handed/
赤手蟹 [あかてがに] /(n) (uk) red-clawed crab (Chiromantes haematocheir)/
赤手空拳 [せきしゅくうけん] /(n) barehanded/having no wealth or position to rely on (aside from one's own resourcefulness) (when embarking on something)/
赤狩り [あかがり] /(n) communist hunting/red-baiting/
赤秀 [あこう] /(n) (uk) Japanese sea fig (Ficus superba var. japonica)/
赤十字 [せきじゅうじ] /(n) Red Cross/
赤十字国際委員会 [せきじゅうじこくさいいいんかい] /(n) International Committee of the Red Cross/
赤十字社 [せきじゅうじしゃ] /(n) the Red Cross/
赤十字条約 [せきじゅうじじょうやく] /(n) Red Cross Convention/
赤十字附 [せきじゅうじふ] /(n) school attached to the Japan Red Cross Society/
赤出し [あかだし] /(n) (food) soup made with red miso paste/
赤松 [あかまつ] /(n) Japanese red pine (Pinus densiflora)/Japanese umbrella pine/tanyosho pine/(P)/
赤色 [あかいろ] /(adj-na,n,adj-no) red/
赤色 [せきしょく] /(adj-na,n,adj-no) red/(P)/
赤色わい星 [せきしょくわいせい] /(n) red dwarf (star)/
赤色テロ [せきしょくテロ] /(n) red terror/
赤色テロル [せきしょくテロル] /(n) red terror/
赤色巨星 [せきしょくきょせい] /(n) red giant (star)/
赤色野鶏 [せきしょくやけい] /(n) (uk) red jungle fowl (Gallus gallus)/
赤色矮星 [せきしょくわいせい] /(n) red dwarf (star)/
赤信号 [あかしんごう] /(n) red light (traffic)/(P)/
赤信号皆で渡れば怖くない [あかしんごうみんなでわたればこわくない] /(exp) "If everyone crosses against the red light, then there's nothing to be afraid of"/
赤心 [せきしん] /(n) sincerity/
赤新月社 [せきしんげつしゃ] /(n) Red Crescent Society/
赤新聞 [あかしんぶん] /(n) scandal sheet/gutter press/
赤身 [あかみ] /(n,adj-no) (1) lean meat/(2) lean tuna/(3) heartwood/
赤身魚 [あかみざかな] /(n) fish having red flesh (e.g. maguro, katsuo, saba, iwashi)/
赤水晶 [せきすいしょう] /(n) Red Crystal (politically and religiously neutral emblem used by the International Committee of the Red Cross)/
赤誠 [せきせい] /(n) sincerity/
赤赤 [あかあか] /(adv-to) bright red/bright/
赤赤と [あかあかと] /(adv) brilliantly/clearly/flaming/
赤赤と起こった火 [あかあかとおこったひ] /(exp) blazing fire/
赤切符 [あかぎっぷ] /(n) third-class ticket/
赤雪 [あかゆき] /(n) red snow (due to microscopic algae, yellow sand, etc.)/
赤雪 [せきせつ] /(n) red snow (due to microscopic algae, yellow sand, etc.)/
赤舌鮃 [あかしたびらめ] /(n) (uk) Cynoglossus joyneri (species of cyprinid)/
赤線 [あかせん] /(n) red-light district/
赤組 [あかぐみ] /(n) red team/
赤鼠 [あかねずみ] /(n) (uk) large Japanese field mouse (Apodemus speciosus)/
赤臓 [あかもつ] /(n) internal organs such as heart, liver, kidneys used as food/
赤足岩鷓鴣 [あかあしいわしゃこ] /(n) (uk) red-legged partridge (Alectoris rufa)/
赤足鷸 [あかあししぎ] /(n) (uk) common redshank (Tringa totanus)/
赤鯛 [あかだい] /(n) (1) (col) red sea bream (i.e. the tai, Pagrus major)/(2) fish given to sumo tournament winner as congratulations/
赤啄木鳥 [あかげら] /(n) great spotted woodpecker/
赤丹 [あかたん] /(n) (in hanafuda) the collection of the three red poetry ribbon cards/
赤短 [あかたん] /(n) (in hanafuda) the collection of the three red poetry ribbon cards/
赤地 [あかじ] /(n) red cloth/red background/
赤恥 [あかはじ] /(n) shame/disgrace/
赤茶 [あかちゃ] /(n) reddish brown/
赤茶ける [あかちゃける] /(v1,vi) to turn reddish-brown/to turn rufous/to become discolored/to become discoloured/
赤茶色 [あかちゃいろ] /(n) reddish brown/
赤虫 [あかむし] /(n) (1) Halla okadai (species of eunicid worm used as fishing bait)/(2) (species of eunicid worm used as fishing bait)/(3) (col) red mite (i.e. a chigger)/
赤潮 [あかしお] /(n) red tide/
赤沈 [せきちん] /(n) blood sedimentation rate/
赤提灯 [あかちょうちん] /(n) (1) (food) red paper restaurant lantern/(2) cheap eating and drinking place/
赤鉄鉱 [せきてっこう] /(n) hematite/
赤点 [あかてん] /(n) failing mark (e.g. in exam)/
赤電車 [あかでんしゃ] /(n) last train/
赤電話 [あかでんわ] /(n) (arch) red telephone/(red) public telephone/
赤土 [あかつち] /(n) red clay/tuff loam/dark-red paint/
赤棟蛇 [やまかがし] /(n) (uk) tiger keelback (Rhabdophis tigrinus)/ringed grass snake/
赤撞木鮫 [あかしゅもくざめ] /(n) (uk) scalloped hammerhead (Sphyrna lewini)/bronze hammerhead shark/
赤道 [せきどう] /(n,adj-no) equator/(P)/
赤道気団 [せきどうきだん] /(n) equatorial air mass/
赤道儀 [せきどうぎ] /(n) equatorial telescope/
赤道座標 [せきどうざひょう] /(n) equatorial coordinates/
赤道祭 [せきどうさい] /(n) ceremony to celebrate crossing the equator/
赤銅 [しゃくどう] /(n) hakudo (gold-copper alloy, usu. with a blue patina)/
赤銅色 [しゃくどういろ] /(n) brown/tanned/
赤肉 [あかにく] /(n) (1) red meat/(2) dark meat on poultry (leg, thigh)/
赤日 [あかび] /(n) (sl) menstruation/
赤日 [せきじつ] /(n) burning sun/
赤熱 [せきねつ] /(n,vs,adj-no) red hot/
赤波馬駄 [あかなまだ] /(n) (uk) crestfish (Lophotus capellei)/unicornfish/
赤剥け [あかむけ] /(n) scraped skin/graze/grazed skin/
赤肌 [あかはだ] /(n) grazed skin/abraded skin/bare of trees/
赤飯 [せきはん] /(n) red rice (beans and mochi) for auspicious occasions/(P)/
赤尾ノスリ [あかおノスリ] /(n) (uk) red-tailed hawk (Buteo jamaicensis)/
赤鼻 [あかはな] /(n) red nose/
赤髭 [あかひげ] /(n) (1) (uk) red beard/person with a red beard/(2) (derog) Westerner/(3) (uk) Ryukyu robin (Erithacus komadori)/
赤菱 [あかびし] /(n) Red Crystal (politically and religiously neutral emblem used by the International Committee of the Red Cross)/
赤鰭 [あかひれ] /(n) (uk) white cloud mountain minnow (Tanichthys albonubes)/Canton danio/
赤貧 [せきひん] /(n,adj-no) extreme poverty/
赤富士 [あかふじ] /(n) red Fuji/when Mt Fuji appears red because of the sun's rays (esp. in the early morning from late summer to early autumn)/
赤膚 [あかはだ] /(n) grazed skin/abraded skin/bare of trees/
赤葡萄酒 [あかぶどうしゅ] /(n) red wine/
赤蕪 [あかかぶ] /(n) red turnip/small red radish/
赤腹 [あかはら] /(n) (1) (uk) brown-headed thrush (Turdus chrysolaus)/(2) (uk) Japanese dace (Tribolodon hakonensis)/(3) (uk) (col) Japanese fire belly newt (Cynops pyrrhogaster)/(4) (col) dysentery/
赤幣 [あかしで] /(n) (uk) loose-flowered hornbeam (Carpinus laxiflora)/akashide/
赤穂義士 [あこうぎし] /(n) The 47 Ronin/
赤穂浪士 [あこうろうし] /(n) 47 Ronin/Ako Roshi/
赤方偏移 [せきほうへんい] /(n) red shift/
赤坊鯨 [あかぼうくじら] /(n) (1) (uk) beaked whale/(2) Cuvier's beaked whale (Ziphius cavirostris)/
赤帽 [あかぼう] /(n) redcap/porter/
赤房 [あかぶさ] /(n) red tassel hung above the southeast corner of a sumo ring/
赤棒振 [あかぼうふら] /(n) (uk) (obsc) bloodworm (nonbiting midge larva)/
赤墨 [あかずみ] /(n) vermillion stick/red ink/
赤本 [あかほん] /(n) pulp fiction/
赤翻車魚 [あかまんぼう] /(n) (uk) opah (Lampris guttatus)/moonfish/
赤味 [あかみ] /(n,adj-no) reddish tinge/tinge of red/slight redness/blush/
赤味がかる [あかみがかる] /(exp,v5r) to be tinged red/
赤味が差している [あかみがさしている] /(exp,v1) to be tinged red/
赤味を帯びた [あかみをおびた] /(adj-f) tinged with red/reddish/
赤味掛かる [あかみがかる] /(exp,v5r) to be tinged red/
赤味噌 [あかみそ] /(n) (food) dark-brown miso paste/
赤面 [あかつら] /(n) red face/kabuki villain/
赤面 [せきめん] /(n,vs) (1) blushing/getting red in the face/(2) embarassment/(P)/
赤面恐怖症 [せきめんきょうふしょう] /(n) erythrophobia/
赤毛 [あかげ] /(n) redhead/
赤毛猿 [あかげざる] /(n) rhesus monkey/
赤毛布 [あかげっと] /(n) red blanket/country bumpkin/
赤木 [あかぎ] /(n) (1) (uk) bishop wood (Bischofia javanica)/(2) barked tree/(3) red tree/
赤目 [あかべ] /(n) facial gesture of pulling one's eyelid down and sticking out one's tongue/
赤目 [あかめ] /(n) (1) red eyes/bloodshot eyes/(2) red-eye/(3) (uk) red mullet (Chelon haematocheilus)/(4) facial gesture of pulling one's eyelid down and sticking out one's tongue/
赤目河豚 [あかめふぐ] /(n) red-eyed puffer (Takifugu chrysops)/
赤目魚 [めなだ] /(n) (uk) redlip mullet (Chelon haematocheilus)/
赤目現象 [あかめげんしょう] /(n) red-eye effect/
赤門 [あかもん] /(n) red gate (esp. at Tokyo University)/
赤矢柄 [あかやがら] /(n) (uk) red cornetfish (Fistularia petimba)/
赤螺 [あかにし] /(n) (uk) veined rapa whelk (Rapana venosa)/
赤裸 [あかはだか] /(adj-na,n,adj-no) (1) stark naked/nakedness/nudity/(2) stripped of all belongings/without a penny/(n) (3) (obsc) rye/
赤裸 [せきら] /(adj-na,n,adj-no) (1) stark naked/nakedness/nudity/(2) stripped of all belongings/without a penny/(n) (3) (obsc) rye/
赤裸々 [せきらら] /(adj-na,n) (1) nakedness/nudity/(2) frankness/
赤裸裸 [せきらら] /(adj-na,n) (1) nakedness/nudity/(2) frankness/
赤痢 [せきり] /(n,adj-no) dysentery/(P)/
赤痢菌 [せきりきん] /(n) shigella (dysentery bacillus)/
赤立羽蝶 [あかたてはちょう] /(n) red admiral (butterfly)/
赤燐 [せきりん] /(n) red phosphorus/
赤煉瓦 [あかれんが] /(n,adj-no) red brick/
赤狼 [あかおおかみ] /(n) red wolf (American carnivore, Canis rufus)/
赤孑孑 [あかぼうふら] /(n) (uk) (obsc) bloodworm (nonbiting midge larva)/
赤檮 [いちい] /(n) (uk) Quercus gilva (species of oak)/
赤樅茸 [あかもみたけ] /(n) Lactarius laeticolorus (edible species of lactarius mushroom)/
赤翡翠 [あかしょうびん] /(n) (uk) ruddy kingfisher (Halcyon coromanda)/
赤蜻蛉 [あかとんぼ] /(n) (1) (uk) (small) red dragonfly/(2) darter (dragonfly of genus Sympetrum, esp. the autumn darter, Sympetrum frequens)/
赤鬚 [あかひげ] /(n) (1) (uk) red beard/person with a red beard/(2) (derog) Westerner/(3) (uk) Ryukyu robin (Erithacus komadori)/
赤鰈 [あかがれい] /(n) (uk) flathead flounder (Hippoglossoides dubius)/
赤鷽 [あかうそ] /(n) (uk) bullfinch (Pyrrhula pyrrhula rosacea)/
跡 [あと] /(n) (1) trace/tracks/mark/sign/(2) remains/ruins/(3) scar/(P)/
跡かた [あとかた] /(n) trace/vestige/evidence/
跡をつける [あとをつける] /(exp,v1) (1) to tag along/to follow/(2) to leave tracks/
跡を絶たない [あとをたたない] /(exp) never ceasing/never ending/endless/
跡を絶つ [あとをたつ] /(exp,v5t) to wipe out/to put an end to/
跡を濁す [あとをにごす] /(exp,v5s) to leave a bad impression behind/
跡を追う [あとをおう] /(exp,v5u) (1) to pursue/(2) to die right after a loved one/to kill oneself (because one misses or longs to be with a loved one)/(3) to follow an example set by earlier generations (or one's master, etc.)/
跡を付ける [あとをつける] /(exp,v1) (1) to tag along/to follow/(2) to leave tracks/
跡強請り [あとねだり] /(n) (obsc) demanding again what one has already obtained/coaxing out of someone for a second time/
跡形 [あとかた] /(n) trace/vestige/evidence/
跡形もなく [あとかたもなく] /(adv) without leaving any trace/
跡形も無く [あとかたもなく] /(adv) without leaving any trace/
跡継 [あとつぎ] /(n) heir/successor/
跡継ぎ [あとつぎ] /(n) heir/successor/(P)/
跡始末 [あとしまつ] /(n,vs) settlement (of affairs)/remedial measures/cleaning up afterwards/
跡取り [あととり] /(n) heir/heiress/inheritor/successor/
跡取り息子 [あととりむすこ] /(n) son and heir/son who will succeed one/
跡取り娘 [あととりむすめ] /(n) one's daughter and heiress/
跡切れる [とぎれる] /(v1,vi) to pause/to be interrupted/
跡絶える [とだえる] /(v1,vi) to stop/to cease/to come to an end/
跡地 [あとち] /(n) site (of a demolished building)/
跡付ける [あとづける] /(v1,vt) to trace/to inquire into/
跡片付け [あとかたづけ] /(n,vs) tidying up/cleaning/clearing away/putting in order/
跡方 [あとかた] /(n) trace/vestige/evidence/
跡目 [あとめ] /(n) headship of a family/family property/
跡目相続 [あとめそうぞく] /(n) successorship/
碩学 [せきがく] /(n) great scholar/profound scholar/
碩儒 [せきじゅ] /(n) (Confucian) scholar/
碩老 [せきろう] /(n) (obsc) wise and learned elder/
切 [せつ] /(adj-na,n) eager/earnest/ardent/kind/keen/acute/
切々 [せつせつ] /(adj-na,n) politeness/feeling of loneliness/
切っての [きっての] /(suf,adj-pn) (uk) the most . . . of all/
切っては切れない [きってはきれない] /(adj-i) inseparable/
切っても切れない [きってもきれない] /(exp,adj-i) inseparable/
切っ掛け [きっかけ] /(n) (uk) chance/start/cue/excuse/motive/impetus/occasion/(P)/
切っ掛けに [きっかけに] /(exp) (uk) with ... as a start/taking advantage of/
切っ先 [きっさき] /(n) point of a sword/
切っ端 [きっぱし] /(n) remains/fragment/remains after having cut something/
切ない [せつない] /(adj-i) (1) painful/heartrending/trying/(2) oppressive/suffocating/miserable/(P)/
切なる [せつなる] /(adj-pn) eager/earnest/ardent/
切に [せつに] /(adv) eagerly/earnestly/ardently/
切に勧める [せつにすすめる] /(exp,v1) to urge strongly/
切らす [きらす] /(v5s,vt) to be out of/to run out of/to be short of/to be out of stock/(P)/
切らず [きらず] /(n) residue left after making tofu/bean curd lees/
切らない [きらない] /(adj-i) not through/not finished/not done/
切ら無い [きらない] /(adj-i) not through/not finished/not done/
切り [きり] /(n) (1) end/finish/stop/(2) bounds/limits/(3) delivery date (of a futures contract)/(4) finale (of a noh song)/end of an act (in joruri or kabuki)/final performance of the day (in vaudeville)/(suf,ctr) (5) (arch) counter for slices/(prt) (6) (uk) only/just/(7) (uk) since/(8) (uk) remaining (in a particular state)/(P)/
切りあげ [きりあげ] /(n) (1) end/conclusion/(2) rounding up/(3) revaluation/
切りがいい [きりがいい] /(exp,adj-i) good place (to leave off)/
切りがない [きりがない] /(exp) (uk) endless (innumerable)/(P)/
切りが無い [きりがない] /(exp) (uk) endless (innumerable)/
切りが良い [きりがいい] /(exp,adj-i) good place (to leave off)/
切りそろえる [きりそろえる] /(v1,vt) to cut and even up/to cut several pieces to the same size/
切りたつ [きりたつ] /(v5t) to rise perpendicularly/
切りっ端 [きりっぱし] /(n) scraps/cut end/cut-off piece/
切りつける [きりつける] /(v1,vt) to cut at/to slash at/
切りなおす [きりなおす] /(v5s) to correct cutting/to reshuffle (playing cards)/
切りのいい [きりのいい] /(adj-i) good place (to leave off)/
切りのない [きりのない] /(exp,adj-i) (uk) endless/boundless/
切りの無い [きりのない] /(exp,adj-i) (uk) endless/boundless/
切りの良い [きりのいい] /(adj-i) good place (to leave off)/
切りはずす [きりはずす] /(v5s,vt) to miss in attempting to kill/
切りばり法 [きりばりほう] /(n) (comp) gestalt method/a priori method/
切り羽 [きりは] /(n) face (of a wall of coal or ore, etc.)/working face (of a mine)/
切り下げ [きりさげ] /(n) devaluation (e.g. of currency)/markdown/write-down/undercutting/(P)/
切り下げる [きりさげる] /(v1,vt) (1) to cut down/to prune/to reduce/to cut and hang down/to cut shorter/(2) to round down (e.g. fraction)/
切り下ろす [きりおろす] /(v5s,vt) to slash downward/to cut down/
切り火 [きりび] /(n) Shinto fire-purification ceremony/flint sparks/
切り花 [きりばな] /(n) cut flowers/
切り苛む [きりさいなむ] /(v5m,vt) to cut to pieces/to torment/
切り過ぎる [きりすぎる] /(v1) to overcut/
切り解く [きりほどく] /(v5k,vt) to cut open a tied bundle/releasing prisoners/
切り回す [きりまわす] /(v5s,vt) (1) to manage/to control/to run/to handle/(2) to cut carelessly (of a cook, surgeon, etc.)/to slash about/(3) (arch) to cut around/
切り絵細工 [きりえざいく] /(n) paper cutouts/
切り開き [きりひらき] /(n) clearing (land)/excavating/
切り開く [きりひらく] /(v5k,vt) to clear (land)/to open up/to cut through/
切り外す [きりはずす] /(v5s,vt) to miss in attempting to kill/
切り拡げる [きりひろげる] /(v1) to cut and enlarge/
切り掛かる [きりかかる] /(v5r) to begin to cut/to slash at/
切り割る [きりわる] /(v5r,vt) to cut in two/
切り株 [きりかぶ] /(n) stump/stubble/
切り乾し [きりぼし] /(n) dried daikon strips/
切り干し [きりぼし] /(n) dried daikon strips/
切り干し大根 [きりぼしだいこん] /(n) thinly sliced and dried strips of daikon/
切り換え [きりかえ] /(n) exchange/conversion/replacement/switching (to)/switchover/
切り換える [きりかえる] /(v1,vt) to change/to exchange/to convert/to renew/to throw a switch/to replace/to switch over/
切り換え時 [きりかえとき] /(n) (1) time to switch over/(2) (comp) response time/
切り換え時 [きりかえどき] /(n) (1) time to switch over/(2) (comp) response time/
切り岸 [きりぎし] /(n) steep bank/cliff/
切り起こす [きりおこす] /(v5s) to open up waste land for cultivation/
切り詰め [きりつめ] /(n) retrenchment/curtailment/
切り詰める [きりつめる] /(v1,vt) (1) to shorten/to cut short/to trim/(2) to cut down on/to reduce/to economize/to economise/
切り去る [きりさる] /(v5r) to cut off/
切り狂言 [きりきょうげん] /(n) last act/
切り屑 [きりくず] /(n) scraps/chips/
切り継ぎ [きりつぎ] /(n,vs) (1) cutting and patching/splicing/(2) grafting/
切り欠き [きりかき] /(n) cutout/notch/
切り結ぶ [きりむすぶ] /(v5b,vi) to cross swords with/
切り捲る [きりまくる] /(v5r,vt) to attack and scatter/to argue vehemently/
切り戸 [きりど] /(n) low gate/side gate/
切り枯らす [きりからす] /(v5s) to destroy/to kill off (trees)/
切り口 [きりくち] /(n) cut end/section/opening/slit/(P)/
切り口上 [きりこうじょう] /(n) stiff formality/set terms/
切り杭 [きりくい] /(n) stump/
切り合い [きりあい] /(n) crossing swords/fighting with swords/cutting each other (in fighting)/
切り合う [きりあう] /(v5u,vi) to fight with swords/to cross swords/
切り刻む [きりきざむ] /(v5m,vt) to hew/to chop up/to mangle/to mince/
切り込み [きりこみ] /(n) (1) cut/notch/(2) raid/attack/
切り込み隊 [きりこみたい] /(n) shock corps/
切り込み炭 [きりこみたん] /(n) run-of-the-mine coal/
切り込む [きりこむ] /(v5m,vi) (1) to cut into/to cut up/(2) to raid/to attack/
切り妻 [きりずま] /(io) (ik) (n) (1) gable/(2) (abbr) gabled roof/building with a gabled roof/gabled roof construction/
切り妻 [きりづま] /(io) (n) (1) gable/(2) (abbr) gabled roof/building with a gabled roof/gabled roof construction/
切り妻屋根 [きりづまやね] /(n) a gabled roof/
切り細裂く [きりこまざく] /(v5k,vt) to cut up small/
切り札 [きりふだ] /(n) trump card/(P)/
切り殺す [きりころす] /(v5s,vt) to slay/to put somebody to the sword/
切り山椒 [きりざんしょう] /(n) sweetened mochi flavoured with Japanese pepper/
切り散らす [きりちらす] /(v5s,vt) to cut down all/to slash promiscuously/
切り子 [きりこ] /(n) facet/facetted object/
切り子ガラス [きりこガラス] /(n) cut glass/faceted glass/
切り枝 [きりえだ] /(n) slips (to plant)/
切り死に [きりじに] /(n,vs) (sens) fighting to the death (with swords)/
切り紙 [きりかみ] /(n) cut paper/paper cut in half/paper scrap/the art of cutting paper (in contrast to origami)/
切り紙 [きりがみ] /(n) cut paper/paper cut in half/paper scrap/the art of cutting paper (in contrast to origami)/
切り紙細工 [きりがみざいく] /(n) paper cutouts/
切り捨て [きりすて] /(n) (historical) using people of low rank as sword fodder/omission/rounding down/(P)/
切り捨てられる [きりすてられる] /(exp,v1) can be discarded/can be cut down/
切り捨てる [きりすてる] /(v1,vt) (1) to cut down/to slay/(2) to truncate/to round down/to round off/(3) to omit/to discard/to cast away/(P)/
切り捨て御免 [きりすてごめん] /(n) right of samurai to kill commoners for perceived affronts (Edo period)/
切り取り [きりとり] /(n) (1) cutting/tearing off/cutting off/clipping/(2) robbery with assault/burglary/
切り取り強盗 [きりとりごうとう] /(n) violent robbery or burglary/killing and robbing (someone)/
切り取り線 [きりとりせん] /(n) line to cut something off along/
切り取る [きりとる] /(v5r,vt) to cut off/to excise/to tear off/to cut out/to whittle down/to tear out/to cut down/to amputate/
切り手 [きりて] /(n) cutter/certificate/
切り出し [きりだし] /(n) (1) pointed knife/(2) logging/cutting/(3) (beef) scraps/(4) starting to speak/
切り出す [きりいだす] /(v5s,vt) to quarry/to cut (timber)/to cut and carry off/to begin to talk/to break the ice/to broach/to bring down/
切り出す [きりだす] /(v5s,vt) to quarry/to cut (timber)/to cut and carry off/to begin to talk/to break the ice/to broach/to bring down/
切り除ける [きりのける] /(v1) to cut off/to cut out/
切り傷 [きりきず] /(n) cut/gash/incision/
切り上げ [きりあげ] /(n) (1) end/conclusion/(2) rounding up/(3) revaluation/(P)/
切り上げる [きりあげる] /(v1,vt) (1) to close/to finish/(2) to round up (a number)/(3) to revalue (a currency)/
切り場 [きりば] /(n) coal face/working face/
切り身 [きりみ] /(n) cut/slice (meat, fish)/fillet/
切り進む [きりすすむ] /(v5m) to cleave/to saw through/to hack apart/
切り据える [きりすえる] /(v1) to cut down an enemy/
切り整える [きりととのえる] /(v1) to cut and prepare (stones)/
切り盛り [きりもり] /(n,vs) (1) management/administration/(2) cutting up and serving food/
切り石 [きりいし] /(n) hewn stone/quarried stone/ashlar/flagstone/
切り接ぎ [きりつぎ] /(n,vs) (1) cutting and patching/splicing/(2) grafting/
切り組む [きりくむ] /(v5m,vt) to piece together/to mortise/to miter/to dovetail/
切り創 [きりきず] /(n) cut/gash/incision/
切り窓 [きりまど] /(n) windows cut out of a wall/
切り揃える [きりそろえる] /(v1,vt) to cut and even up/to cut several pieces to the same size/
切り替え [きりかえ] /(n) exchange/conversion/replacement/switching (to)/switchover/(P)/
切り替える [きりかえる] /(v1,vt) to change/to exchange/to convert/to renew/to throw a switch/to replace/to switch over/
切り替え時 [きりかえとき] /(n) (1) time to switch over/(2) (comp) response time/
切り替え時 [きりかえどき] /(n) (1) time to switch over/(2) (comp) response time/
切り替わる [きりかわる] /(v5r) to change completely/
切り拓く [きりひらく] /(v5k,vt) to clear (land)/to open up/to cut through/
切り炭 [きりずみ] /(n) cut-up charcoal/
切り端 [きりは] /(n) face (of a wall of coal or ore, etc.)/working face (of a mine)/
切り端 [きりはし] /(n) scraps/cut end/cut-off piece/
切り暖簾 [きりのれん] /(n) short split entrance curtain/
切り張り [きりばり] /(n,vs) (1) patching (up)/cutting a part and pasting a new one (e.g. a shoji door)/(2) (comp) cut and paste/
切り調える [きりととのえる] /(v1,vt) to trim (hedges)/
切り直す [きりなおす] /(v5s) to correct cutting/to reshuffle (playing cards)/
切り賃 [きりちん] /(n) brokerage/exchange commission/
切り通し [きりどおし] /(n) (railway) cutting/excavation/sunken road/opencut/
切り通す [きりとおす] /(v5s,vt) to cut through (with a road, tunnel, or canal)/
切り釘 [きりくぎ] /(n) brad/double-pointed nail/
切り貼り [きりばり] /(n,vs) (1) patching (up)/cutting a part and pasting a new one (e.g. a shoji door)/(2) (comp) cut and paste/
切り倒す [きりたおす] /(v5s,vt) to cut down/to chop down/to fell/
切り得 [きりどく] /(n) no retribution for a samurai killing a commoner/
切り縄 [きりなわ] /(n) piece of rope cut for a certain purpose/
切り入る [きりいる] /(v5r,vt) to cut into/to raid/
切り入れる [きりいれる] /(v1) to cut and insert/
切り破る [きりやぶる] /(v5r,vt) to cut to pieces/
切り売り [きりうり] /(n) selling by the piece/
切り売り主義 [きりうりしゅぎ] /(n) prostitution/
切り畑 [きりはた] /(n) hillside farm/fallow ground/
切り髪 [きりがみ] /(n) bobbed hair/
切り抜き [きりぬき] /(n) scraps/cuts/(P)/
切り抜き帖 [きりぬきちょう] /(n) scrapbook/
切り抜き帳 [きりぬきちょう] /(n) scrapbook/
切り抜く [きりぬく] /(v5k,vt) to cut out/to clip from/to extract/
切り抜ける [きりぬける] /(v1,vt) to cut one's way through/to tide over/to struggle through/to get over/
切り番 [きりばん] /(n) good turning point number (10000, 12345 etc., often referring to web site visit counts)/
切り付ける [きりつける] /(v1,vt) to cut at/to slash at/
切り伏せる [きりふせる] /(v1,vt) to slay/to cut down (a foe)/
切り払う [きりはらう] /(v5u,vt) to clear away/to clear land/to prune/to lop off/
切り分かつ [きりわかつ] /(v5t) to cut up/
切り分ける [きりわける] /(v1) to cut up/to cut and discard/to eliminate systematically (in fault-finding)/to isolate/
切り粉 [きりこ] /(n) chips or shavings left after cutting wood or metal with a saw, etc./
切り幣 [きりぬさ] /(n) paper and sacred sakaki branches cut and mixed with rice to scatter before the gods/
切り変える [きりかえる] /(v1,vt) to change/to exchange/to convert/to renew/to throw a switch/to replace/to switch over/
切り返し [きりかえし] /(n) (1) railway switchback/(2) twisting backward knee trip (sumo)/
切り返す [きりかえす] /(v5s,vt) (1) to slash back/(2) to strike back/to counterattack/to retort/(3) to cut the wheel/(4) to perform a twisting backward knee trip (in sumo)/
切り崩す [きりくずす] /(v5s,vt) (1) to level (earth)/to cut through (a mountain)/(2) to split (the opposition)/to break (strike)/(P)/
切り放す [きりはなす] /(v5s,vt) to detach/to decapitate/to cut loose/to let loose/to dismember/
切り放つ [きりはなつ] /(v5t,vt) (1) to cut loose/to let loose/to cut off/to detach/to dismember/to cut in two/(2) to separate in thought/to consider as independent/
切り方 [きりかた] /(n) way of cutting/how to cut or slice/
切り無し [きりなし] /(adj-f) always/continuously/
切り目 [きりめ] /(n) a cut/a notch/an end/conclusion/
切り戻す [きりもどす] /(v5s) switch-back (reversal of redundancy switching following repair)/
切り落し [きりおとし] /(n) (comp) clipping/
切り落す [きりおとす] /(io) (v5s,vt) to cut down/to lop off/to prune/
切り落とす [きりおとす] /(v5s,vt) to cut down/to lop off/to prune/
切り離す [きりはなす] /(v5s,vt) to detach/to decapitate/to cut loose/to let loose/to dismember/(P)/
切り離れる [きりはなれる] /(v1) to cut off and separate/
切り立った [きりたった] /(adj-f) steep/precipitous/
切り立つ [きりたつ] /(v5t) to rise perpendicularly/
切り立て [きりたて] /(exp) freshly cut/
切り立てる [きりたてる] /(v1,vt) to cut/to slash/to slay all/
切り裂きジャック [きりさきジャック] /(n) Jack the Ripper/
切り裂く [きりさく] /(v5k,vt) to cut off/to cut up/to tear to pieces/
切り疵 [きりきず] /(n) cut/gash/incision/
切り籠 [きりこ] /(n) facet/facetted object/
切る [きる] /(suf,v5r,vt) (1) to cut (usu. to cut through)/(2) to sever (connections, ties)/(3) to turn off (i.e. the light)/(4) to terminate (i.e. a conversation)/to hang up (the phone)/to disconnect/(5) to punch (a ticket)/to tear off (a stub)/(6) to open (something sealed)/(7) to start/(8) to set (a limit)/(9) to reduce/to decrease/to discount/(10) to shake off (water, etc.)/to let drip-dry (or drain)/(11) to cross/(12) to do (something noticeable)/(13) to turn (a vehicle)/(14) to cut (the ball)/(15) to shuffle (cards)/(16) to trump/(17) (in Go) to isolate (an opponent's stone)/(suf,v5r) (18) (after the -masu stem of a verb) to finish/to complete/(P)/
切れ [きれ] /(n) (1) piece/slice/strip/scrap/(2) cloth/(3) sharpness/(ctr) (4) counter for scraps, pieces, etc./(P)/
切れ [ぎれ] /(n-suf) completely using up .../running out of .../exhausting .../
切れが悪い [きれがわるい] /(exp,adj-i) thick/dull (blunt)/viscous/
切れた縄 [きれたなわ] /(n) broken rope/
切れっ戸 [きれっと] /(n) (uk) gap (in a mountain ridge)/
切れっ処 [きれっと] /(n) (uk) gap (in a mountain ridge)/
切れっ端 [きれっぱし] /(n) scraps/cut end/cut-off piece/
切れない [きれない] /(aux-adj) being too many or too much (to finish or complete)/
切れの帽子 [きれのぼうし] /(n) cloth hat/
切れる [きれる] /(v1,vi) (1) to cut well/to be sharp/(2) to break (off)/to snap/to wear out/(3) to be injured/(4) to burst/to collapse/(5) to be disconnected/to be out of/to expire/to sever (connections) with/(6) to be shrewd/to have a sharp mind/(7) to drop under (a certain figure)/to beat (e.g. a time)/(8) to flip/to lose one's temper/(aux-v) (9) to be able to do completely/(P)/
切れるナイフ [きれるナイフ] /(n) sharp knife/
切れる男 [きれるおとこ] /(n) able (competent) man/
切れ屋 [きれや] /(n) dry-goods store/
切れ間 [きれま] /(n) interval/break/rift (in clouds)/
切れ屑 [きれくず] /(n) cloth scraps/
切れ口 [きれくち] /(n) cut end/section/opening/slit/
切れ込み [きれこみ] /(n) cut/notch/incision/
切れ込む [きれこむ] /(v5m,vi) to cut into/
切れ字 [きれじ] /(n) punctuation words in haiku, renga, etc. such as "ya", "kana", "keri", etc./
切れ痔 [きれじ] /(n) anal fistula/bleeding hemorrhoids/
切れ者 [きれもの] /(n) sharp and able person/
切れ手 [きれて] /(n) man of ability/
切れ上がる [きれあがる] /(v5r,vi) to turn up (at the edge)/to leave a clean aftertaste/
切れ上る [きれあがる] /(v5r,vi) to turn up (at the edge)/to leave a clean aftertaste/
切れ切れ [きれぎれ] /(adj-na,n) (1) pieces/scraps/(2) disconnected/
切れ端 [きれはし] /(n) scraps/cut end/cut-off piece/
切れ地 [きれじ] /(n) cloth/fabric/
切れ長 [きれなが] /(n) long slits (esp. the eyes)/
切れ長の目 [きれながのめ] /(n) almond eyes/slit eyes/
切れ物 [きれもの] /(n) edged tool/cutlery/shrewd businessman/
切れ味 [きれあじ] /(n) sharpness (of a sword)/the feel of a cutting edge/(P)/
切れ無い [きれない] /(aux-adj) being too many or too much (to finish or complete)/
切れ目 [きれめ] /(n) break/pause/gap/end/rift/interruption/cut/section/notch/incision/end (of a task)/(P)/
切愛 [せつあい] /(n,vs) deep love/
切韻 [せついん] /(n) qieyun (ancient Chinese dictionary arranged by rhyme, displaying characters' meanings and representing their pronunciation with fanqie)/
切羽 [きりは] /(n) face (of a wall of coal or ore, etc.)/working face (of a mine)/
切羽詰まって [せっぱつまって] /(exp) under the pressure of necessity/
切羽詰まる [せっぱつまる] /(v5r) to be at one's wit's end/to be cornered/
切花 [きりばな] /(n) cut flowers (with stems, branches, etc. but no roots)/
切回す [きりまわす] /(v5s,vt) (1) to manage/to control/to run/to handle/(2) to cut carelessly (of a cook, surgeon, etc.)/to slash about/(3) (arch) to cut around/
切開 [せっかい] /(n,vs) incision/operation/section/
切開く [きりひらく] /(v5k,vt) to clear (land)/to open up/to cut through/
切開手術 [せっかいしゅじゅつ] /(n) surgical operation/
切掛 [きっかけ] /(n) (uk) chance/start/cue/excuse/motive/impetus/occasion/(P)/
切株 [きりかぶ] /(n) stump/stubble/
切干 [きりぼし] /(n) dried daikon strips/
切干し [きりぼし] /(n) dried daikon strips/
切干し大根 [きりぼしだいこん] /(n) thinly sliced and dried strips of daikon/
切干大根 [きりぼしだいこん] /(n) thinly sliced and dried strips of daikon/
切換 [きりかえ] /(io) (n) exchange/conversion/replacement/switching (to)/switchover/
切換え [きりかえ] /(n) exchange/conversion/replacement/switching (to)/switchover/
切換える [きりかえる] /(v1,vt) to change/to exchange/to convert/to renew/to throw a switch/to replace/to switch over/
切諌 [せっかん] /(n) admonition/expostulation/
切願 [せつがん] /(n,vs) entreaty/supplication/
切詰める [きりつめる] /(v1,vt) (1) to shorten/to cut short/to trim/(2) to cut down on/to reduce/to economize/to economise/
切継ぎ [きりつぎ] /(n,vs) (1) cutting and patching/splicing/(2) grafting/
切欠く [きりかく] /(v5k) to (cut a) notch (in)/
切言 [せつげん] /(n,vs) urging/persuasion/declaration/
切戸 [きれっと] /(n) (uk) gap (in a mountain ridge)/
切口 [きりくち] /(n) cut end/section/opening/slit/
切込み [きりこみ] /(n) (1) cut/notch/(2) raid/attack/
切妻 [きりずま] /(ik) (n) (1) gable/(2) (abbr) gabled roof/building with a gabled roof/gabled roof construction/
切妻 [きりづま] /(n) (1) gable/(2) (abbr) gabled roof/building with a gabled roof/gabled roof construction/
切妻屋根 [きりづまやね] /(n) gabled roof/
切妻造 [きりづまづくり] /(n) gabled roof/building with a gabled roof/gabled roof construction/
切妻造り [きりづまづくり] /(n) gabled roof/building with a gabled roof/gabled roof construction/
切削 [せっさく] /(n,vs) cutting/a cut/machining/
切札 [きりふだ] /(n) trump card/
切山椒 [きりざんしょう] /(n) sweetened mochi flavoured with Japanese pepper/
切散らす [きりちらす] /(v5s,vt) to cut down all/to slash promiscuously/
切子 [きりこ] /(n) facet/facetted object/
切子ガラス [きりこガラス] /(n) cut glass/faceted glass/
切支丹 [きりしたん] /(ateji) (n) (uk) early Japanese Christianity (from the later Muromachi period) (por: cristao)/early Japanese Christian/
切死丹 [きりしたん] /(ateji) (n) (uk) early Japanese Christianity (from the later Muromachi period) (por: cristao)/early Japanese Christian/
切歯 [せっし] /(n,adj-no) (1) incisor tooth/(n,vs) (2) grinding one's teeth/bruxism/gnashing of teeth/
切歯扼腕 [せっしやくわん] /(n,vs) being enraged (indignant, impatient)/gnashing the teeth and clenching the arms on the breast (in anger or regret)/
切字 [きれじ] /(n) punctuation words in haiku, renga, etc. such as "ya", "kana", "keri", etc./
切痔 [きれじ] /(n) anal fistula/bleeding hemorrhoids/
切実 [せつじつ] /(adj-na,n) compelling/serious/severe/acute/earnest/pressing/urgent/(P)/
切実に [せつじつに] /(adv) strongly/keenly/vividly/sincerely/urgently/
切捨て [きりすて] /(n) (comp) truncation/
切捨てる [きりすてる] /(v1,vt) (1) to cut down/to slay/(2) to truncate/to round down/to round off/(3) to omit/to discard/to cast away/
切捨て機能 [きりすてきのう] /(n) (comp) round-down function/
切捨て御免 [きりすてごめん] /(n) right of samurai to kill commoners for perceived affronts (Edo period)/
切捨御免 [きりすてごめん] /(io) (n) right of samurai to kill commoners for perceived affronts (Edo period)/
切者 [きれもの] /(n) sharp and able person/
切取り [きりとり] /(n) (1) cutting/tearing off/cutting off/clipping/(2) robbery with assault/burglary/
切取り画素配列 [きりとりがそはいれつ] /(n) (comp) clipped pel array/
切取り指示子 [きりとりしじし] /(n) (comp) clip indicator/
切取り枠 [きりとりわく] /(n) (comp) clip rectangle/
切取る [きりとる] /(v5r,vt) to cut off/to excise/to tear off/to cut out/to whittle down/to tear out/to cut down/to amputate/
切手 [きって] /(n) stamp (postage)/merchandise certificate/(P)/
切手 [きれて] /(n) man of ability/
切手を溜める [きってをためる] /(exp,v1) to collect stamps/
切手収集 [きってしゅうしゅう] /(n,adj-no) philately/stamp collecting/
切手収集家 [きってしゅうしゅうか] /(n) philatelist/stamp collector/
切手蒐集 [きってしゅうしゅう] /(n) philately/
切手集め [きってあつめ] /(n) stamp collecting/
切手帳 [きってちょう] /(n) stamp album/stamp booklet/
切処 [きれっと] /(n) (uk) gap (in a mountain ridge)/
切除 [せつじょ] /(n,vs) cut off/cut out/ablation/
切傷 [きりきず] /(n) cut/gash/incision/
切上げ [きりあげ] /(n) (1) end/conclusion/(2) rounding up/(3) revaluation/
切上げる [きりあげる] /(v1,vt) (1) to close/to finish/(2) to round up (a number)/(3) to revalue (a currency)/
切上げ機能 [きりあげきのう] /(n) (comp) round-up function/rounding/
切情 [せつじょう] /(n) ardent love/
切身 [きりみ] /(n) cut/slice (meat, fish)/fillet/
切盛り [きりもり] /(n,vs) (1) management/administration/(2) cutting up and serving food/
切石 [きりいし] /(n) hewn stone/quarried stone/ashlar/flagstone/
切切 [せつせつ] /(adj-na,n) politeness/feeling of loneliness/
切接ぎ [きりつぎ] /(n,vs) (1) cutting and patching/splicing/(2) grafting/
切線 [せっせん] /(n,adj-no) tangent (in trigonometry)/
切創 [せっそう] /(n) cut wound/incised wound/knife wound/
切替 [きりかえ] /(io) (n) exchange/conversion/replacement/switching (to)/switchover/
切替え [きりかえ] /(n) exchange/conversion/replacement/switching (to)/switchover/
切替える [きりかえる] /(v1,vt) to change/to exchange/to convert/to renew/to throw a switch/to replace/to switch over/
切替えシステム [きりかえシステム] /(n) (comp) change-over system/
切端 [きりは] /(n) face (of a wall of coal or ore, etc.)/working face (of a mine)/
切端し [きりはし] /(n) remains after cutting something/
切断 [せつだん] /(n,vs) cutting/severance/section/amputation/disconnection/(P)/
切断患者 [せつだんかんじゃ] /(n) amputee/
切断機 [せつだんき] /(n) cutter/cutting machine/guillotine/
切断図 [せつだんず] /(n) sectional drawing/
切断面 [せつだんめん] /(n) section (in drawing)/
切地 [きれじ] /(n) cloth/fabric/
切張り [きりばり] /(n,vs) (1) patching (up)/cutting a part and pasting a new one (e.g. a shoji door)/(2) (comp) cut and paste/
切通 [きりどおし] /(io) (n) (railway) cutting/excavation/sunken road/opencut/
切貼 [きりばり] /(io) (n,vs) (1) patching (up)/cutting a part and pasting a new one (e.g. a shoji door)/(2) (comp) cut and paste/
切貼り [きりばり] /(n,vs) (1) patching (up)/cutting a part and pasting a new one (e.g. a shoji door)/(2) (comp) cut and paste/
切点 [せってん] /(n) (1) (math) tangent point/point of contact/(2) contact (electrical, etc.)/point of agreement/interaction/(3) (comp) single-bit IO point/
切倒す [きりたおす] /(v5s,vt) to cut down/to chop down/to fell/
切入 [せつにゅう] /(n) OFF-ON (marking on switches)/
切破る [きりやぶる] /(v5r,vt) to cut to pieces/
切迫 [せっぱく] /(n,vs,adj-no) pressure/urgency/tension/imminence/acuteness/(P)/
切迫した [せっぱくした] /(adj-f) pressing/urgent/imminent/
切迫感 [せっぱくかん] /(n) sense of urgency/
切迫流産 [せっぱくりゅうざん] /(n) threatened abortion/imminent abortion/threatened miscarriage/imminent miscarriage/
切畑 [きりはた] /(n) hillside farm/fallow ground/
切抜き [きりぬき] /(n) scraps/cuts/
切抜く [きりぬく] /(v5k,vt) to cut out/to clip from/to extract/
切抜ける [きりぬける] /(v1,vt) to cut one's way through/to tide over/to struggle through/to get over/
切付ける [きりつける] /(v1,vt) to cut at/to slash at/
切符 [きっぷ] /(n) ticket/(P)/
切符をとる [きっぷをとる] /(exp,v5r) to buy an advance sales ticket (for a reserved seat)/
切符を改める [きっぷをあらためる] /(exp,v1) to examine tickets/
切符を取る [きっぷをとる] /(exp,v5r) to buy an advance sales ticket (for a reserved seat)/
切符を切る [きっぷをきる] /(exp,v5r) to rip off a coupon/to punch a ticket/
切符切り [きっぷきり] /(n) ticket punch/ticket puncher/
切符売り [きっぷうり] /(n) ticket seller/
切符売り場 [きっぷうりば] /(n) ticket window/box office/ticket/
切符売場 [きっぷうりば] /(n) ticket window/box office/ticket/
切腹 [せっぷく] /(n,vs) ritual suicide/disembowelment/seppuku/harakiri/(P)/
切払う [きりはらう] /(v5u,vt) to clear away/to clear land/to prune/to lop off/
切物 [きれもの] /(n) edged tool/cutlery/shrewd businessman/
切分法 [せつぶんほう] /(n) syncopation/
切幣 [きりぬさ] /(n) (arch) thinly cut hemp or paper mixed with rice (scattered as an offering to the gods)/
切片 [せっぺん] /(n) (1) segment/slice/section/fragment/(2) (math) intercept (point where a graph crosses one of the Cartesian coordinate axes)/
切返す [きりかえす] /(v5s,vt) (1) to slash back/(2) to strike back/to counterattack/to retort/(3) to cut the wheel/(4) to perform a twisting backward knee trip (in sumo)/
切望 [せつぼう] /(n,vs,adj-no) longing for/earnest desire/desperate desire/hope/yearning/hankering/(P)/
切麻 [きりぬさ] /(n) (arch) thinly cut hemp or paper mixed with rice (scattered as an offering to the gods)/
切味 [きれあじ] /(n) sharpness (of a sword)/the feel of a cutting edge/
切無し [きりなし] /(adj-f) always/continuously/
切目 [きれめ] /(n) break/pause/gap/end/rift/interruption/cut/section/notch/incision/end (of a task)/
切戻 [せつらい] /(n) switch-back (reversal of redundancy switching following repair)/
切戻し [きりもどし] /(n) (comp) cut back/revert/
切戻しあり [きりもどしあり] /(n) (comp) revertive/
切戻しなし [きりもどしなし] /(n) (comp) non-revertive/
切要 [せつよう] /(adj-na,n) essential/vital/
切裂く [きりさく] /(v5k,vt) to cut off/to cut up/to tear to pieces/
切論 [せつろん] /(n,vs) persistent argument/
切磋 [せっさ] /(n,vs) polishing (stones)/polishing (character)/
切磋琢磨 [せっさたくま] /(n,vs) cultivate one's character by studying hard/diligent application/
切磋琢磨し合う [せっさたくましあう] /(exp,v5u) to work hard together/to be in a state of friendly rivalry/
切籠 [きりこ] /(n) facet/facetted object/
拙 [せつ] /(n,adj-na) (1) (arch) poor/weak/(pn,adj-no) (2) (hum) (male) I/me/
拙い [つたない] /(adj-i) (1) (uk) poor-quality/shoddy/crude/(2) unskillful/inexpert/maladroit/inept/foolish/clumsy/(3) unlucky/
拙い [まずい] /(adj-i) (1) (uk) poor-quality/shoddy/crude/(2) unskillful/inexpert/maladroit/inept/foolish/clumsy/(3) unlucky/
拙い文章 [つたないぶんしょう] /(n) poor writing/
拙悪 [せつあく] /(adj-na,n) poor (tasting)/low quality/bad situation/
拙意 [せつい] /(n) (hum) my thoughts/my opinions/my feelings/
拙技 [せつぎ] /(n) poor skill/
拙稿 [せっこう] /(n) (hum) humble reference to one's own manuscript/
拙作 [せっさく] /(n) (hum) poor work/humble reference to one's own work/
拙策 [せっさく] /(n) poor policy or plan/
拙者 [せっしゃ] /(pn,adj-no) (hum) (arch) (male) I (primarily used by samurai)/me/
拙守 [せっしゅ] /(n) poor defense/poor defence/
拙僧 [せっそう] /(pn) I, as a mere priest/this humble servant of Buddha/
拙速 [せっそく] /(adj-na,n) hasty/rough and ready/(P)/
拙速主義 [せっそくしゅぎ] /(n) slap-dash methods/
拙宅 [せったく] /(n) (hum) one's home/one's humble abode/
拙著 [せっちょ] /(n) (hum) my production/
拙筆 [せっぴつ] /(n) (hum) poor handwriting/humble reference to one's own handwriting/
拙文 [せつぶん] /(n) poor writing/
拙訳 [せつやく] /(n) (1) (hum) poor translation/clumsy translation/(2) my translation/
拙劣 [せつれつ] /(adj-na,n) clumsy/unskillful/(P)/
拙論 [せつろん] /(n) (1) (hum) poor argument/(2) my argument/
接ぎ合わせる [はぎあわせる] /(v1) to join or patch together/
接ぎ足す [つぎたす] /(iK) (v5s,vt) to extend (e.g. a house)/to add to (e.g. coals to a fire)/
接ぎ台 [つぎだい] /(n) (1) stool (stood on to reach high objects)/(2) stock (in grafting)/
接ぎ穂 [つぎほ] /(n) (1) scion/cion/(horticultural) graft/(2) opportunity to continue a conversation/
接ぎ穂 [つぎぼ] /(n) (1) scion/cion/(horticultural) graft/(2) opportunity to continue a conversation/
接ぎ木 [つぎき] /(n,vs) grafting/
接ぎ目 [はぎめ] /(n) seam/joint/
接ぐ [つぐ] /(v5g,vt) (1) to join/(2) to piece together/(3) to set (bones)/(4) to graft (trees)/
接ぐ [はぐ] /(v5g,vt) to join (cloth, wood, etc.)/
接する [せっする] /(vs-s) (1) to come in contact with/to touch/to connect (with)/(2) to attend (to)/(3) to receive (visitors)/(P)/
接岸 [せつがん] /(n,vs) coming alongside a pier or quay/
接眼レンズ [せつがんレンズ] /(n) eyepiece/ocular lens/
接眼鏡 [せつがんきょう] /(n) eyepiece/ocular lens/
接客 [せっきゃく] /(n,vs) serving customers/looking after visitors/reception/
接客業 [せっきゃくぎょう] /(n) hospitality industry/service trade (hotel and restaurant)/service industry/
接客業務 [せっきゃくぎょうむ] /(n) customer relations/serving (helping, attending to, waiting on) customers/
接客態度 [せっきゃくたいど] /(n) service/
接客婦 [せっきゃくふ] /(n) hostess/waitress/
接近 [せっきん] /(n,vs) getting closer/drawing nearer/approaching/(P)/
接近経路 [せっきんけいろ] /(n) avenue of approach/
接近戦 [せっきんせん] /(n) close combat/close(-quarter) fighting/in-fighting/
接遇 [せつぐう] /(n,vs) reception/welcome/
接見 [せっけん] /(n,vs) interview/(P)/
接舷 [せつげん] /(n,vs) coming alongside (a boat, pier, etc)/
接合 [せつごう] /(n,vs) (1) union/joining/(2) (biological) conjugation/
接合温度 [せつごうおんど] /(n) bonding temperature (for diffusion bonding)/welding temperature (for diffusion welding)/junction temperature (of a semiconductor)/
接合菌類 [せつごうきんるい] /(n) Zygomycota/
接合剤 [せつごうざい] /(n) adhesive/
接合子 [せつごうし] /(n) zygote/
接骨 [せっこつ] /(n,vs) bonesetting/
接骨医 [せっこつい] /(n) osteopath/bonesetter/
接骨院 [せっこついん] /(n) bonesetter's clinic/orthopedic clinic/
接骨木 [せっこつぼく] /(n) red-berried elder tree/
接骨木 [にわとこ] /(n) red-berried elder tree/
接辞 [せつじ] /(n) prefixes and suffixes/affix/
接写 [せっしゃ] /(n,vs) close-up photography/
接種 [せっしゅ] /(n,vs,adj-no) inoculation/vaccination/(P)/
接受 [せつじゅ] /(n,vs) receive/intercept/
接受国 [せつじゅこく] /(n) recipient country/
接収 [せっしゅう] /(n,vs) confiscation/
接助 [せつじょ] /(n) (abbr) conjunctive particle/
接触 [せっしょく] /(n,vs,adj-no) touch/contact/(P)/
接触画面 [せっしょくがめん] /(n) (comp) touch sensitive screen/touch screen/
接触感染 [せっしょくかんせん] /(n) infection through contact/
接触事故 [せっしょくじこ] /(n) minor collision/(have) a scrape (with another vehicle)/fender bender/
接触式 [せっしょくしき] /(adj-f) contact/contact type/contact-type/
接触線 [せっしょくせん] /(n) line of contact/no man's land/
接触伝染 [せっしょくでんせん] /(n) contagion/
接触変成帯 [せっしょくへんせいたい] /(n) contact metamorphic aureole/contact aureole/aureole/contact metamorphic zone/
接触面積 [せっしょくめんせき] /(n) (comp) contact area (of an electrical connection)/
接心 [せっしん] /(n,vs) (1) (Buddh) concentration/(2) period of intensive zazen/
接戦 [せっせん] /(n,vs,adj-no) close combat/close contest/(P)/
接栓 [せっせん] /(n) connector/plug/
接線 [せっせん] /(n,adj-no) tangent (in trigonometry)/
接続 [せつぞく] /(n,vs) (1) connection/attachment/union/join/joint/link/(2) changing trains/(3) (abbr) conjunction/(P)/
接続されている [せつぞくされている] /(exp,v1) (comp) to be connected/
接続ケーブル [せつぞくケーブル] /(n) (comp) connector cable/connection cable/
接続駅 [せつぞくえき] /(n) junction/
接続関係にあるＮエンティティ [せつぞくかんけいにあるエンエンティティ] /(n) (comp) correspondent (N)-entities/
接続機器 [せつぞくきき] /(n) (comp) adaptation equipment/
接続機構インタフェース [せつぞくきこうインタフェース] /(n) (comp) connection-machine interface/
接続記録 [せつぞくきろく] /(n) access log/
接続技術 [せつぞくぎじゅつ] /(n) (comp) connection technology/
接続形態 [せつぞくけいたい] /(n) (comp) connection configuration/topology/
接続語 [せつぞくご] /(n) (ling) connective/
接続口 [せつぞくぐち] /(n) connection/
接続詞 [せつぞくし] /(n) (ling) conjunction/
接続時間 [せつぞくじかん] /(n) (comp) connect time/
接続識別子 [せつぞくしきべつし] /(n) (comp) connection identifier/
接続助詞 [せつぞくじょし] /(n) conjunctive particle/
接続性 [せつぞくせい] /(n) connectivity/
接続中 [せつぞくちゅう] /(n) (in the process of) connecting/
接続方式 [せつぞくほうしき] /(n) (comp) access method/
接続法 [せつぞくほう] /(n) (ling) subjunctive mood/
接続要求 [せつぞくようきゅう] /(n) (comp) connection request/
接続要望 [せつぞくようぼう] /(n) (comp) connection request/
接続料 [せつぞくりょう] /(n) connection fee/connection charge/
接続料金 [せつぞくりょうきん] /(n) (comp) connection charge/connection fee/
接待 [せったい] /(n,vs) (1) reception/welcome/serving (food)/(2) wining and dining/business entertainment/corporate entertainment/entertaining politicians/(P)/
接待ゴルフ [せったいゴルフ] /(n) mixing business and golf/
接待係 [せったいがかり] /(n) receptionist/welcoming committee/
接待費 [せったいひ] /(n) entertainment expenses/
接台 [つぎだい] /(n) (1) stool (stood on to reach high objects)/(2) stock (in grafting)/
接断 [せつだん] /(n) disconnection/
接地 [せっち] /(n,vs) (1) ground (elec)/(2) contact patch (between car tyre and road)/(3) landing (an aeroplane, airplane)/
接着 [せっちゃく] /(n,vs) fastening with glue/(P)/
接着剤 [せっちゃくざい] /(n) adhesive/glue/
接着面 [せっちゃくめん] /(n) joining surface/bonding plane/adherend/
接着力 [せっちゃくりょく] /(n) bond strength/
接中辞 [せっちゅうじ] /(n) (ling) infix/
接敵移動 [せってきいどう] /(n) movement to contact/
接点 [せってん] /(n) (1) (math) tangent point/point of contact/(2) contact (electrical, etc.)/point of agreement/interaction/(3) (comp) single-bit IO point/(P)/
接点状態表示信号 [せってんじょうたいひょうじしんごう] /(n) (comp) contact interrogation signal/
接点跳動 [せってんちょうどう] /(n) (comp) contact bounce/
接点入力 [せってんにゅうりょく] /(n) (comp) contact input/
接点保護 [せってんほご] /(n) (comp) contact protection/
接頭 [せっとう] /(n) prefix/
接頭語 [せっとうご] /(n) (ling) prefix/
接頭詞 [せっとうし] /(n) (ling) prefix (as a part-of-speech)/
接頭辞 [せっとうじ] /(n) (ling) prefix/
接伴 [せっぱん] /(n,vs) entertain/
接尾 [せつび] /(n) suffix/
接尾語 [せつびご] /(n) (ling) suffix/
接尾詞 [せつびし] /(n) suffix/
接尾辞 [せつびじ] /(n) (ling) suffix/
接吻 [せっぷん] /(n,vs,adj-no) kiss/kissing/
接穂 [つぎほ] /(n) (1) scion/cion/(horticultural) graft/(2) opportunity to continue a conversation/
接穂 [つぎぼ] /(n) (1) scion/cion/(horticultural) graft/(2) opportunity to continue a conversation/
接木 [つぎき] /(n,vs) grafting/
摂る [とる] /(v5r,vt) to have (lunch, etc.)/to take (vitamins, etc.)/
摂家 [せっけ] /(n) (line of) regents and advisers (advisors)/
摂関 [せっかん] /(n) regents and advisers (advisors)/
摂関家 [せっかんけ] /(n) line of regents and advisers (advisors)/
摂関政治 [せっかんせいじ] /(n) regency government/
摂護腺 [せつごせん] /(n) prostate gland/
摂氏 [せっし] /(n,adj-no) Centigrade/Celsius/(P)/
摂氏２０度 [せっしにじゅうど] /(n) 20 degrees Celsius/
摂社 [せっしゃ] /(n) auxiliary shrine (dedicated to a deity close-related to that of a main shrine)/
摂取 [せっしゅ] /(n,vs) (1) intake/absorption/adoption/(2) assimilation/(P)/
摂食 [せっしょく] /(n,vs) feeding/feed/
摂食障害 [せっしょくしょうがい] /(n) eating disorder/
摂心 [しょうしん] /(n,vs) (1) (Buddh) concentration/(2) period of intensive zazen/
摂心 [せっしん] /(n,vs) (1) (Buddh) concentration/(2) period of intensive zazen/
摂政 [せっしょう] /(n) regent/regency/
摂生 [せっせい] /(n,vs) hygiene/health maintenance/
摂待 [せったい] /(n,vs) (1) reception/welcome/serving (food)/(2) wining and dining/business entertainment/corporate entertainment/entertaining politicians/
摂動 [せつどう] /(n,adj-no) perturbation (physics)/
摂動論 [せつどうろん] /(n) perturbation theory (physics)/
摂理 [せつり] /(n,vs,adj-no) (divine) providence/dispensation/(P)/
折 [おり] /(n-adv,n-t) chance/suitable time/(P)/
折々 [おりおり] /(adv,n) occasionally/(P)/
折から [おりから] /(exp,n-t) (1) just then/at that time/right then/at that moment/(2) appropriate moment/(P)/
折ぎ板 [へぎいた] /(n) splint/shingle/
折しも [おりしも] /(adv) at that (very) moment/just then/
折も折 [おりもおり] /(exp,adv) at that very moment/coincidentally/
折り [おり] /(n) (1) small wooden box (e.g. for packing food)/(2) fold/pleat/(3) occasion/chance/at that time/
折りから [おりから] /(exp,n-t) (1) just then/at that time/right then/at that moment/(2) appropriate moment/
折りぐけ [おりぐけ] /(n) fold and blindstitch a pleat or folded edge/
折りしも [おりしも] /(adv) at that (very) moment/just then/
折りたたみ印刷物 [おりたたみいんさつぶつ] /(n) leaflet/folded printed matter/
折りたたみ連続紙 [おりたたみれんぞくし] /(n) (comp) fanfold paper/zig-zag fold paper/z-fold paper/
折りたたむ [おりたたむ] /(v5m,vt) to fold up/to fold into layers/
折りに触れて [おりにふれて] /(adv) occasionally/on opportunity/
折り悪く [おりわるく] /(adv) unfortunately/
折り悪しく [おりあしく] /(adv) unfortunately/at a bad time/at an infortunate moment/
折り鞄 [おりかばん] /(n) briefcase/portfolio/
折り詰め [おりづめ] /(n) food packed in a wooden box/
折り曲げる [おりまげる] /(v1,vt) to bend/to turn up/to turn down/to double/
折り襟 [おりえり] /(n) turned-down collar/lapel/
折り句 [おりく] /(n) acrostic poetry/acrostic/
折り戸 [おりど] /(n) folding door/
折り好く [おりよく] /(adv) fortunately/luckily/
折り合い [おりあい] /(n) mutual relations/compromise/(P)/
折り合う [おりあう] /(v5u,vi) to compromise/
折り込み [おりこみ] /(n) foldout/insertion/
折り込む [おりこむ] /(v5m,vt) to fold inside/
折り山 [おりやま] /(n) pleat or fold peak/
折り紙 [おりがみ] /(n) origami (paper folding)/(P)/
折り紙つき [おりがみつき] /(n) guaranteed/authentic/certified/
折り紙を付ける [おりがみをつける] /(exp,v1) to guarantee (someone's ability or the quality of their work)/to vouch for/to endorse/
折り紙付 [おりがみつき] /(n) guaranteed/authentic/certified/
折り紙付き [おりがみつき] /(n) guaranteed/authentic/certified/
折り尺 [おりじゃく] /(n) folding ruler/
折り重なる [おりかさなる] /(v5r,vi) to lie on top of one another/to be in a heap/
折り重ねる [おりかさねる] /(v1,vt) to fold back (up)/
折り畳み [おりたたみ] /(n) folding (desk, chair)/(P)/
折り畳み印刷物 [おりたたみいんさつぶつ] /(n) leaflet/folded printed matter/
折り畳み机 [おりたたみつくえ] /(n) folding desk/
折り畳む [おりたたむ] /(v5m,vt) to fold up/to fold into layers/
折り節 [おりふし] /(adv,n) occasionally/at times/the season/from time to time/
折り鶴 [おりづる] /(n) folded paper crane/
折り入って [おりいって] /(adv) earnestly/
折り箱 [おりばこ] /(n) box made of thin wood or cardboard/
折り敷き [おりしき] /(n) kneeling/
折り柄 [おりから] /(exp,n-t) (1) just then/at that time/right then/at that moment/(2) appropriate moment/
折り柄 [おりがら] /(exp,n-t) (1) just then/at that time/right then/at that moment/(2) appropriate moment/
折り返し [おりかえし] /(adv) (1) by return/(call or write back) without delay/(n,adj-no) (2) lapel/cuffs/flap/(3) chorus/refrain/(4) repetition/(5) aliasing (in imaging)/(6) shuttle service/(7) (comp) back-to-back/BTB/(8) wrapping (text on computer screen)/wrap/(P)/
折り返しポイント [おりかえしポイント] /(n) (comp) loopback point/
折り返し運転 [おりかえしうんてん] /(n) shuttling back and forth/shuttle service/
折り返し試験 [おりかえししけん] /(n) (comp) loop back test/
折り返し地点 [おりかえしちてん] /(n) turning point/turnaround point (e.g. in a race)/turning back point/
折り返し点 [おりかえしてん] /(n) turning point/turnaround point (e.g. in a race)/turning back point/
折り返す [おりかえす] /(v5s,vt) (1) to turn up/to fold back/(2) (comp) to loopback (a signal, a message)/(P)/
折り方 [おりかた] /(n) instructions for origami (paper folding)/
折り本 [おりほん] /(n) folding book/folded sections of a book/
折り目 [おりめ] /(n) a fold/a crease (i.e. in trousers)/something done by convention/manner/
折り目正しい [おりめただしい] /(adj-i) good manners/courteous/
折る [おる] /(v5r,vt) (1) to break/to fracture/to break off/to snap off/to pick (e.g. flowers)/(2) to fold/to bend/(3) to make (origami)/(4) to interrupt/to end/(P)/
折れる [おれる] /(v1,vi) (1) to break/to be broken/to snap/to fracture/(2) to be folded/(3) to give in/to back down/to yield/to submit/(4) to turn (a corner)/(P)/
折れ曲がる [おれまがる] /(v5r) to bend back and forth/
折れ口 [おれくち] /(n) a fold or crease/
折れ合う [おれあう] /(v5u,vi) to get along with/to compromise/to make concessions/to come to an agreement/
折れ込む [おれこむ] /(v5m,vi) to be folded under or inside/
折れ線 [おれせん] /(n) (comp) polyline/
折れ線グラフ [おれせんグラフ] /(n) line graph/
折れ線束表 [おれせんたばひょう] /(n) (comp) polyline bundle table/
折れ釘 [おれくぎ] /(n) hooked or broken nail/
折れ返る [おれかえる] /(v5r,vi) to tell again and again/to repeat/to refrain/to turn up/to turn down/
折れ目 [おれめ] /(n) a fold/a crease/
折悪しく [おりあしく] /(adv) unfortunately/at a bad time/at an infortunate moment/
折悪しくして [おりあしくして] /(exp) unseasonably/inopportunely/
折角 [せっかく] /(adv,n) (uk) with trouble/at great pains/long-awaited/(P)/
折曲げる [おりまげる] /(v1,vt) to bend/to turn up/to turn down/to double/
折曲厳禁 [おりまげげんきん] /(exp) do not fold/do not bend/
折句 [おりく] /(n) acrostic poetry/acrostic/
折罫 [おりけい] /(n) crease/creasing/crease line/
折戸 [おりど] /(n) folding door/
折込 [おりこみ] /(n) foldout/insertion/
折紙 [おりがみ] /(n) origami (paper folding)/(P)/
折紙を付ける [おりがみをつける] /(exp,v1) to guarantee (someone's ability or the quality of their work)/to vouch for/to endorse/
折衝 [せっしょう] /(n,vs) negotiation/(P)/
折畳印刷物 [おりたたみいんさつぶつ] /(n) leaflet/folded printed matter/
折折 [おりおり] /(adv,n) occasionally/
折節 [おりふし] /(adv,n) occasionally/at times/the season/from time to time/
折線 [せっせん] /(n) broken line/
折中 [せっちゅう] /(n,vs,adj-no) compromise/cross/blending/eclecticism/
折衷 [せっちゅう] /(n,vs,adj-no) compromise/cross/blending/eclecticism/(P)/
折衷案 [せっちゅうあん] /(n) compromise proposal/
折衷尺 [せっちゅうじゃく] /(n) (arch) compromised shaku (compromise between the Kyouhou shaku and the Matajirou shaku; approx. 30.3 cm)/
折衷主義 [せっちゅうしゅぎ] /(n,adj-no) eclecticism/
折鶴 [おりづる] /(n) folded paper crane/
折鶴蘭 [おりづるらん] /(n) St Bernard's lily (Chlorophytum comosum)/ribbon plant/spider plant/
折箱 [おりばこ] /(n) box made of thin wood or cardboard/
折半 [せっぱん] /(n,vs) half/division/(P)/
折板 [へぎいた] /(n) splint/shingle/
折敷 [おしき] /(n) (arch) (lacquered) wooden tray/
折伏 [しゃくぶく] /(n,vs) preaching down/religious conversion of somebody by prayer/
折柄 [おりから] /(exp,n-t) (1) just then/at that time/right then/at that moment/(2) appropriate moment/
折柄 [おりがら] /(exp,n-t) (1) just then/at that time/right then/at that moment/(2) appropriate moment/
折返し [おりかえし] /(adv) (1) by return/(call or write back) without delay/(n,adj-no) (2) lapel/cuffs/flap/(3) chorus/refrain/(4) repetition/(5) aliasing (in imaging)/(6) shuttle service/(7) (comp) back-to-back/BTB/(8) wrapping (text on computer screen)/wrap/
折返しテスト [おりかえしテスト] /(n) (comp) loopback test/
折返し試験 [おりかえししけん] /(n) (comp) loopback test/
折返る [おれかえる] /(v5r,vi) to tell again and again/to repeat/to refrain/to turn up/to turn down/
折目 [おりめ] /(n) a fold/a crease (i.e. in trousers)/something done by convention/manner/
折檻 [せっかん] /(n,vs) scolding severely/chastisement/correcting/spanking (a naughty boy)/
設え [しつらえ] /(n) (uk) equipment/installation/facilities/arrangements/
設える [しつらえる] /(v1,vt) to provide/to arrange/to install/
設け [もうけ] /(n) preparation/provision/establishment/
設ける [もうける] /(v1,vt) to create/to establish/(P)/
設営 [せつえい] /(n,vs) construction/
設計 [せっけい] /(n,vs) plan/design/layout/(P)/
設計者 [せっけいしゃ] /(n) designer/
設計書 [せっけいしょ] /(n) design specifications/
設計図 [せっけいず] /(n) plan/blueprint/
設計変更 [せっけいへんこう] /(n) design change/engineering change/
設計明細書 [せっけいめいさいしょ] /(n) project specifications/specs/
設置 [せっち] /(n,vs) (1) establishment/institution/(2) installation (of a machine or equipment)/(P)/
設置条件 [せっちじょうけん] /(n) (comp) installation requirement/
設定 [せってい] /(n,vs) (1) establishment/creation/(2) (comp) options or preference settings (in computer software)/configuration/assignment/setup/(P)/
設定ファイル [せっていファイル] /(n) (comp) setup file/
設定可能 [せっていかのう] /(n,adj-na) configurable/(P)/
設定時 [せっていじ] /(n) (comp) initialization time/
設定範囲 [せっていはんい] /(n) (comp) range of values/
設備 [せつび] /(n,vs) equipment/device/facilities/installation/(P)/
設備過剰 [せつびかじょう] /(n) overcapacity/
設備投資 [せつびとうし] /(n) capital investment/capital expenditure/investment in plant and equipment/
設備費 [せつびひ] /(n) cost of equipment/
設変 [せっぺん] /(n,vs) (abbr) design change/engineering change/
設問 [せつもん] /(n,vs) (1) posing a question/(2) question/(P)/
設立 [せつりつ] /(n,vs) establishment/founding/incorporation (of a business)/(P)/
設立者 [せつりつしゃ] /(n) founder/
設立趣意書 [せつりつしゅいしょ] /(n) prospectus/
窃か [ひそか] /(adj-na,n) secret/private/surreptitious/
窃ちゃり [せっちゃり] /(n) bicycle theft/
窃取 [せっしゅ] /(n,vs) theft/stealing/larceny/
窃盗 [せっとう] /(n,vs,adj-no) theft/stealing/larceny/(P)/
窃盗狂 [せっとうきょう] /(n) kleptomaniac/
窃盗行為 [せっとうこうい] /(n) theft/act of larceny/
窃盗罪 [せっとうざい] /(n) theft/stealing/larceny/
窃盗団 [せっとうだん] /(n) group of thieves/
窃盗犯 [せっとうはん] /(n) theft/stealing/larceny/
窃用 [せつよう] /(n,vs) (obsc) using without permission/using information obtained in the course of one's duties/
節 [せつ] /(n) (1) occasion/time/(2) section (of a literary work)/paragraph/verse/stanza/passage/(3) node (of a plant stem)/(4) (ling) clause/(5) (taxonomical) section/(P)/
節 [のっと] /(n) (uk) knot (nautical mile per hour)/
節 [ふし] /(n) (1) joint/knuckle/(2) tune/melody/(3) knot (in wood)/node in a bamboo stem/(4) part/notable characteristic/(P)/
節 [ぶし] /(n-suf) characteristic way of speaking/
節 [よ] /(n) (arch) space between two nodes (on bamboo, etc.)/
節々 [ふしぶし] /(n) (1) joints/(2) points (of a speech)/
節くれだった [ふしくれだった] /(adj-f) rough and bony/
節する [せっする] /(vs-s) to be moderate of/to save/to curtail/
節の間 [ふしのま] /(n) (1) (arch) space between two nodes (on bamboo, etc.)/(2) a short time/
節の見出し [せつのみだし] /(n) (comp) section header/
節を曲げない [せつをまげない] /(adj-i) remain firm/stick by one's principles/
節煙 [せつえん] /(n,vs) moderation in smoking/
節介 [せっかい] /(adj-na,n) (obsc) meddling/meddlesomeness/nosiness/interference/officiousness/
節会 [せちえ] /(n) (obsc) seasonal court banquet/
節会相撲 [せちえずもう] /(n) sumo performed at ancient Japanese imperial court/
節回し [ふしまわし] /(n) melody/intonation/
節間 [せつかん] /(n,adj-no) (botanical) internode/
節気 [せっき] /(n) 24 divisions of the solar year/24 terms used to denote the changing of the seasons/
節季 [せっき] /(n) end of the year or season/year end/
節季仕舞い [せっきじまい] /(n) end-of-year settling of accounts/
節義 [せつぎ] /(n) fidelity to principle/
節供 [せっく] /(n) seasonal festival/
節句 [せっく] /(n) seasonal festival/(P)/
節句働き [せっくばたらき] /(n) working on a day off (to make up for lost time, or to make an impression)/
節穴 [ふしあな] /(n) (1) knothole/peep-hole/(2) bad eyes/
節倹 [せっけん] /(n,vs) economy/thrift/
節減 [せつげん] /(n,vs) retrenchment/curtailment/economy/(P)/
節糸 [ふしいと] /(n) knotted silk/
節酒 [せっしゅ] /(n,vs,adj-no) temperance/sobriety/moderation in drink/
節織り [ふしおり] /(n) made of knotted silk/
節食 [せっしょく] /(n,vs) eating lightly (to save money, food, calories, etc.)/
節水 [せっすい] /(n,vs) conservation of water/
節制 [せっせい] /(n,vs,adj-no) moderation/self-restraint/temperance/
節税 [せつぜい] /(n,vs,adj-no) tax reduction/tax avoidance/
節節 [ふしぶし] /(n) (1) joints/(2) points (of a speech)/
節先生 [たかしせんせい] /(exp) successive teacher/successive master/
節奏 [せっそう] /(n) rhythm/
節操 [せっそう] /(n) (1) constancy/integrity/honor/honour/(2) chastity/fidelity/(P)/
節足動物 [せっそくどうぶつ] /(n,adj-no) arthropod/
節足動物門 [せっそくどうぶつもん] /(n) Arthropoda/
節炭器 [せったんき] /(n) coal (fuel) economizer/coal economiser/
節点 [せってん] /(n) (1) node/nodal point/(2) joint (e.g. in a framework)/
節点ベクトル [せつてんベクトル] /(n) (comp) knot vector/
節電 [せつでん] /(n,vs) conservation of electricity/brownout/
節電機能 [せつでんきのう] /(n) (comp) power conservation (facility)/
節度 [せつど] /(n) moderation/standard/(P)/
節博士 [ふしはかせ] /(n) (musical) intonation marks/
節迫 [せっぱく] /(n) end of the year/
節付け [ふしづけ] /(n,vs) setting to music/composition/
節婦 [せっぷ] /(n) chaste or faithful wife/
節分 [せちぶ] /(ok) (n) (1) last day of winter in the traditional Japanese calendar (usually February 3 or 4)/holiday for end of winter (accompanied by a bean scattering ceremony)/(2) last day of any season (according to the traditional Japanese calendar)/
節分 [せちぶん] /(ok) (n) (1) last day of winter in the traditional Japanese calendar (usually February 3 or 4)/holiday for end of winter (accompanied by a bean scattering ceremony)/(2) last day of any season (according to the traditional Japanese calendar)/
節分 [せつぶん] /(n) (1) last day of winter in the traditional Japanese calendar (usually February 3 or 4)/holiday for end of winter (accompanied by a bean scattering ceremony)/(2) last day of any season (according to the traditional Japanese calendar)/
節米 [せつまい] /(n) conserving rice/
節名 [せつめい] /(n) (comp) section-name/
節目 [ふしめ] /(n) (1) turning point/critical juncture/(2) knot/(P)/
節目節目 [ふしめふしめ] /(exp) each juncture/each turning point/
節約 [せつやく] /(n,vs) economising/saving/(P)/
節約家 [せつやくか] /(n) pennypincher/saver/frugal person/
節用 [せつよう] /(n) economization/economisation/
節用集 [せつようしゅう] /(n) a Muromachi era Japanese dictionary/
節慾 [せつよく] /(n,vs) control one's desires/abstinence/
節欲 [せつよく] /(n,vs) control one's desires/abstinence/
節理 [せつり] /(n) (1) joint (geology)/(2) reason/sense/logic/
節旁 [ふしづくり] /(n) (uk) kanji "seal" radical at right/
節榑 [ふしくれ] /(n) knotty wood or tree/
節榑立つ [ふしくれだつ] /(v5t,vi) to be knotty or gnarled/
説 [せつ] /(n,n-suf) theory/(P)/
説きつける [ときつける] /(v1,vt) to persuade/
説き勧める [ときすすめる] /(v1,vt) to persuade/
説き起こす [ときおこす] /(v5s) to begin one's argument or story or lecture/
説き及ぶ [ときおよぶ] /(v5b,vi) to mention/to refer to/to touch upon/
説き出す [ときいだす] /(v5s,vi) to begin to speak/to begin to explain/
説き付ける [ときつける] /(v1,vt) to persuade/
説き伏せる [ときふせる] /(v1,vt) to confute/to argue down/to persuade/to convince/to prevail on/
説き分ける [ときわける] /(v1,vt) to explain carefully or by making distinctions/
説き聞かせる [とききかせる] /(v1,vt) to explain/to reason/
説き明かし [ときあかし] /(n,vs) explanation/exposition/
説き明かす [ときあかす] /(v5s,vt) to explain/to solve/to make clear/
説く [とく] /(v5k) to explain/to advocate/to preach/to persuade/(P)/
説を立てる [せつをたてる] /(exp,v1) to put forward a theory/
説教 [せっきょう] /(n,vs,adj-no) propound/preach/sermon/(P)/
説教師 [せっきょうし] /(n) preacher/
説教調子 [せっきょうぢょうし] /(n) (in a) preaching tone/
説教泥棒 [せっきょうどろぼう] /(n) preaching burglar/burglar who preaches at the victim about the methods of preventing similar crimes/
説教坊主 [せっきょうぼうず] /(n) tub-thumping preacher/preacher (priest) who is good at delivering a sermon/pulpiteer (usually with contemptuous implication)/
説経 [せっきょう] /(n,vs) (Buddh) lecture on the sutras/
説経節 [せっきょうぶし] /(n) sutra-based ballads accompanied by the samisen/
説得 [せっとく] /(n,vs) persuasion/(P)/
説得上手 [せっとくじょうず] /(n,adj-na) persuasiveness/skilled in the art of persuasion/
説得力 [せっとくりょく] /(n) persuasive power/
説伏 [せっぷく] /(n,vs) persuasion/
説伏せる [ときふせる] /(v1,vt) to confute/to argue down/to persuade/to convince/to prevail on/
説服 [せっぷく] /(n,vs) persuasion/
説法 [せっぽう] /(n,vs) (Buddh) lecture/sermon/preaching/moralizing/moralising/
説明 [せつめい] /(n,vs,adj-no) explanation/exposition/(P)/
説明が付く [せつめいがつく] /(exp,v5k) to explain adequately/
説明し [ときあかし] /(n,vs) explanation/exposition/
説明書 [せつめいしょ] /(n) (printed) instructions/(P)/
説明責任 [せつめいせきにん] /(n) accountability/being held accountable/
説明的妥当性 [せつめいてきだとうせい] /(n) (ling) explanatory adequacy/
説明文 [せつめいぶん] /(n) explanatory note/
説諭 [せつゆ] /(n,vs,adj-no) persuasion/convincing/
説話 [せつわ] /(n,vs) tale/narrative/
説話集 [せつわしゅう] /(n) collection of stories (esp. myths, legends, etc.)/
説話文学 [せつわぶんがく] /(n) legendary literature/narrative literature/
雪 [ゆき] /(n) snow/(P)/
雪あられ [ゆきあられ] /(n) soft hail/snow pellets/
雪うさぎ [ゆきうさぎ] /(n) (1) Arctic hare/varying hare/snowshoe rabbit/(2) hare made of snow/
雪おろし [ゆきおろし] /(n,vs) (1) wind blowing snow down a mountain/(2) removing snow from the roof of a house/
雪かき [ゆきかき] /(n,vs) (1) snow shovel/snow plow/snow plough/(2) snow shoveling (shovelling)/snow removal/
雪ぐ [すすぐ] /(v5g,vt) (1) to rinse/to wash out/(2) to have one's revenge/to wipe out a disgrace/
雪ぐ [そそぐ] /(v5g,vt) (1) to rinse/to wash out/(2) to have one's revenge/to wipe out a disgrace/
雪ぐ [ゆすぐ] /(v5g,vt) (1) to rinse/to wash out/(2) to have one's revenge/to wipe out a disgrace/
雪しろ [ゆきしろ] /(n) snow water/melt water/
雪じたく [ゆきじたく] /(n) (obsc) getting ready to go out in the snow/clothing for going out in the snow/snow gear/
雪だるま [ゆきだるま] /(n) snowman/
雪だるま式 [ゆきだるましき] /(n) snowballing (phenomenon, effect)/
雪つばき [ゆきつばき] /(n) (uk) snow camellia (Camellia japonica subsp. rusticana)/
雪つり [ゆきつり] /(n) (arch) game in which children use a piece of charcoal on a string to create and lift up snowballs/
雪で被われる [ゆきでおおわれる] /(v1) to be covered with snow/
雪と墨 [ゆきとすみ] /(exp) (obsc) snow and ink (esp. used as an example of diametric opposites, like night and day)/
雪どけ [ゆきどけ] /(n,vs) snow thaw/thawing/
雪に白鷺 [ゆきにしらさぎ] /(exp) (obsc) something indistinguishable or indistinct (like an egret in the snow)/
雪に埋まった小道 [ゆきにうまったこみち] /(n) lane buried deep in snow/
雪の下 [ゆきのした] /(n) saxifrage/
雪の果て [ゆきのはて] /(exp) last snows/snow remaining after the anniversary of Buddha's death/
雪の花 [ゆきのはな] /(n) (1) snowdrop (Galanthus spp.)/(2) snow falling like flower petals/snow on a tree resembling a flower/(3) red snow/
雪の華 [ゆきのはな] /(n) (1) snowdrop (Galanthus spp.)/(2) snow falling like flower petals/snow on a tree resembling a flower/(3) red snow/
雪の様に白い [ゆきのようにしろい] /(n) white as snow/
雪まつり [ゆきまつり] /(n) snow festival/
雪よけ [ゆきよけ] /(n) snow fence/snowbreak/
雪を丸める [ゆきをまるめる] /(exp,v1) to make a snowball/
雪を頂いた山 [ゆきをいただいたやま] /(exp) snow-crowned mountain/
雪ん子 [ゆきんこ] /(n) snow child/type of winter spirit/
雪囲い [ゆきがこい] /(n,vs) snowshed/
雪隠 [せっちん] /(n) toilet/lavatory/
雪隠 [せついん] /(ok) (n) toilet/lavatory/
雪隠 [せんち] /(ok) (n) toilet/lavatory/
雪隠詰 [せっちんづめ] /(n) cornering someone (orig. an opponent's king in shogi)/
雪隠詰め [せっちんづめ] /(n) cornering someone (orig. an opponent's king in shogi)/
雪隠金亀子 [せんちこがね] /(n) (1) (uk) dor beetle (of family Geotrupidae)/(2) Geotrupes laevistriatus (species of dor beetle)/
雪隠大工 [せっちんだいく] /(n) lousy carpenter/
雪雲 [ゆきぐも] /(n) snow-laden clouds/
雪煙 [ゆきけむり] /(n) spray of snow (smoke-like)/
雪下 [せっか] /(n) (uk) zitting cisticola (Cisticola juncidis)/fan-tailed warbler/
雪下ろし [ゆきおろし] /(n,vs) (1) wind blowing snow down a mountain/(2) removing snow from the roof of a house/
雪化粧 [ゆきげしょう] /(n,vs) covered in snow/
雪加 [せっか] /(n) (uk) zitting cisticola (Cisticola juncidis)/fan-tailed warbler/
雪花 [せっか] /(n) snowflakes/
雪花 [ゆきばな] /(n) snowflakes/
雪花菜 [おから] /(n) residue left after making tofu/bean curd lees/
雪花菜 [きらず] /(n) residue left after making tofu/bean curd lees/
雪花菜 [せっかさい] /(n) residue left after making tofu/bean curd lees/
雪花石膏 [せっかせっこう] /(n) alabaster/
雪華 [せっか] /(n) snowflakes/
雪解 [ゆきげ] /(n) (1) snow melting/(2) water from melting snow/
雪解け [ゆきどけ] /(n,vs) snow thaw/thawing/(P)/
雪塊 [せっかい] /(n) lump of snow/snowpack/chunk of snow/
雪害 [せつがい] /(n) snow damage/
雪割り草 [ゆきわりそう] /(n) (1) hepatica (Hepatica nobilis var. japonica)/liverleaf/liverwort/(2) bird's-eye primrose (Primula farinosa subsp. modesta)/mealy primrose/
雪割草 [ゆきわりそう] /(n) (1) hepatica (Hepatica nobilis var. japonica)/liverleaf/liverwort/(2) bird's-eye primrose (Primula farinosa subsp. modesta)/mealy primrose/
雪間 [ゆきま] /(n) break in the snow/patch of ground not covered in snow/
雪眼鏡 [ゆきめがね] /(n) snow goggles/
雪起こし [ゆきおこし] /(n) thunder before a snowstorm/
雪起し [ゆきおこし] /(n) thunder before a snowstorm/
雪玉 [ゆきだま] /(n) snowball/
雪空 [ゆきぞら] /(n) snow-laden sky/
雪沓 [ゆきぐつ] /(n) snow boots or shoes/
雪靴 [ゆきぐつ] /(n) snow boots or shoes/
雪形 [ゆきがた] /(n) shape of the lingering snow on a mountainside/
雪景 [せっけい] /(n) snowy scenery/snowscape/
雪景色 [ゆきげしき] /(n) snowy landscape/
雪渓 [せっけい] /(n) snowy valley/(P)/
雪月花 [せつげっか] /(n) snow, moon, and flowers/
雪見 [ゆきみ] /(n) snow viewing/
雪見酒 [ゆきみざけ] /(n) sake drunk while viewing a snowy scene/
雪見障子 [ゆきみしょうじ] /(n) shoji with glass window behind a sliding bottom half/
雪見灯籠 [ゆきみどうろう] /(n) three-legged stone lantern/
雪原 [せつげん] /(n) snow field/
雪袴 [ゆきばかま] /(n) work hakama for use in the snow/
雪交じり [ゆきまじり] /(n) mix of snow and rain/
雪降り [ゆきふり] /(n) snowfall/
雪降ろし [ゆきおろし] /(n,vs) (1) wind blowing snow down a mountain/(2) removing snow from the roof of a house/
雪合戦 [ゆきがっせん] /(n,vs) snowball fight/
雪国 [ゆきぐに] /(n) snow country/(P)/
雪催い [ゆきもよい] /(n) threatening to snow/
雪祭り [ゆきまつり] /(n) snow festival/
雪笹 [ゆきざさ] /(n) (uk) Maianthemum japonicum (species of monocot)/
雪雑じり [ゆきまじり] /(n) mix of snow and rain/
雪山 [せっさん] /(n) (1) snowy mountains/(2) piles of snow/
雪山 [せつざん] /(n) (1) snowy mountains/(2) piles of snow/
雪山 [ゆきやま] /(n) (1) snowy mountains/(2) piles of snow/
雪山童子 [せっせんどうじ] /(n) (Buddh) young ascetic of the Himalayas/one of the Buddha's past lives/
雪山偈 [せっせんげ] /(n) (Buddh) Himalayan verses (of the Nirvana Sutra)/
雪仕度 [ゆきじたく] /(n) (obsc) getting ready to go out in the snow/clothing for going out in the snow/snow gear/
雪支度 [ゆきじたく] /(n) (obsc) getting ready to go out in the snow/clothing for going out in the snow/snow gear/
雪止 [ゆきどめ] /(n) snow guard (to prevent snow from sliding off of a roof)/snow stop/
雪止め [ゆきどめ] /(n) snow guard (to prevent snow from sliding off of a roof)/snow stop/
雪持 [ゆきもち] /(n,adj-no) (1) having leaves and branches loaded with snow/(n) (2) snow guard (to prevent snow from sliding off of a roof)/snow stop/
雪持ち [ゆきもち] /(n,adj-no) (1) having leaves and branches loaded with snow/(n) (2) snow guard (to prevent snow from sliding off of a roof)/snow stop/
雪室 [ゆきむろ] /(n) (1) house for storing snow/(2) snow cavern/
雪質 [ゆきしつ] /(n) snow's quality/
雪舟の筆 [せっしゅうのふで] /(n) work of Sesshu/
雪女 [ゆきおんな] /(n) snow woman/
雪女郎 [ゆきじょろう] /(n) snow woman/
雪鋤 [ゆきすき] /(n) removing snow (e.g. from a roof)/
雪除け [ゆきよけ] /(n) snow fence/snowbreak/
雪消 [ゆきげ] /(n) (1) snow melting/(2) water from melting snow/
雪消え [ゆきぎえ] /(n) (arch) snow melting/
雪消え月 [ゆきぎえづき] /(n) second lunar month/
雪消月 [ゆきぎえづき] /(io) (n) second lunar month/
雪焼け [ゆきやけ] /(n,vs) being tanned by sunlight reflected from snow/snow-burn/
雪上 [せつじょう] /(n) on the snow/
雪上車 [せつじょうしゃ] /(n) snow tractor/snowmobile/snow car/snow vehicle/
雪食 [せっしょく] /(n) nivation/
雪蝕 [せっしょく] /(n) nivation/
雪辱 [せつじょく] /(n,vs) vindication of honour/vindication of honor/making up for loss/revenge/(P)/
雪辱戦 [せつじょくせん] /(n) return match/
雪水 [ゆきみず] /(n) water from melted snow/
雪晴れ [ゆきばれ] /(n) clear weather after snowfall/
雪折れ [ゆきおれ] /(n,vs) breaking under the weight of snow/
雪占 [ゆきうら] /(n) divining the year's crop yields from the shape of lingering snow/
雪線 [せっせん] /(n) snow line/
雪掻き [ゆきかき] /(n,vs) (1) snow shovel/snow plow/snow plough/(2) snow shoveling (shovelling)/snow removal/
雪装束 [ゆきしょうぞく] /(n) clothing for going out in the snow/snow gear/
雪像 [せつぞう] /(n) snow sculpture/
雪駄 [せきだ] /(n) leather-soled sandals (geta)/
雪駄 [せちだ] /(n) leather-soled sandals (geta)/
雪駄 [せった] /(n) leather-soled sandals (geta)/
雪対策 [ゆきたいさく] /(n) measures against snow/snow control measures/snow countermeasures/
雪待ち月 [ゆきまちづき] /(n) (obsc) eleventh lunar month/
雪待つ月 [ゆきまつつき] /(n) (obsc) eleventh lunar month/
雪待月 [ゆきまちづき] /(n) (obsc) eleventh lunar month/
雪待月 [ゆきまつつき] /(n) (obsc) eleventh lunar month/
雪代 [ゆきしろ] /(n) snow water/melt water/
雪叩き [ゆきたたき] /(n) knocking snow off (one's clogs, etc.)/
雪達磨 [ゆきだるま] /(n) snowman/
雪達磨式 [ゆきだるましき] /(n) snowballing (phenomenon, effect)/
雪男 [ゆきおとこ] /(n) abominable snowman/yeti/
雪中 [せっちゅう] /(n,adj-no) in the snow/
雪椿 [ゆきつばき] /(n) (uk) snow camellia (Camellia japonica subsp. rusticana)/
雪吊 [ゆきつり] /(n) placing ropes or wires around trees to protect them from the snow/ropes stretched from the top of a tree to the lower branches to prevent their breaking under heavy snow/
雪吊 [ゆきづり] /(n) placing ropes or wires around trees to protect them from the snow/ropes stretched from the top of a tree to the lower branches to prevent their breaking under heavy snow/
雪吊り [ゆきつり] /(n) placing ropes or wires around trees to protect them from the snow/ropes stretched from the top of a tree to the lower branches to prevent their breaking under heavy snow/
雪吊り [ゆきづり] /(n) placing ropes or wires around trees to protect them from the snow/ropes stretched from the top of a tree to the lower branches to prevent their breaking under heavy snow/
雪釣 [ゆきつり] /(iK) (n) placing ropes or wires around trees to protect them from the snow/ropes stretched from the top of a tree to the lower branches to prevent their breaking under heavy snow/
雪釣 [ゆきつり] /(n) (arch) game in which children use a piece of charcoal on a string to create and lift up snowballs/
雪釣 [ゆきづり] /(iK) (n) placing ropes or wires around trees to protect them from the snow/ropes stretched from the top of a tree to the lower branches to prevent their breaking under heavy snow/
雪釣 [ゆきづり] /(n) (arch) game in which children use a piece of charcoal on a string to create and lift up snowballs/
雪釣り [ゆきつり] /(iK) (n) placing ropes or wires around trees to protect them from the snow/ropes stretched from the top of a tree to the lower branches to prevent their breaking under heavy snow/
雪釣り [ゆきつり] /(n) (arch) game in which children use a piece of charcoal on a string to create and lift up snowballs/
雪釣り [ゆきづり] /(iK) (n) placing ropes or wires around trees to protect them from the snow/ropes stretched from the top of a tree to the lower branches to prevent their breaking under heavy snow/
雪釣り [ゆきづり] /(n) (arch) game in which children use a piece of charcoal on a string to create and lift up snowballs/
雪堤 [せってい] /(n) snow mound/snowbank/
雪泥 [せつでい] /(n) slush/slush ice/snow slush/
雪転がし [ゆきころがし] /(n) game in which one makes a big snowball by rolling it around in the snow/
雪兎 [ゆきうさぎ] /(n) (1) Arctic hare/varying hare/snowshoe rabbit/(2) hare made of snow/
雪投げ [ゆきなげ] /(n) snowball fight/
雪踏 [せった] /(n) leather-soled sandals (geta)/
雪踏み [ゆきふみ] /(n,vs) (1) trampling down snow on a path/(n) (2) foot-worn instrument for trampling snow/
雪洞 [せつどう] /(n) snow cave/
雪洞 [ぼんぼり] /(n) paper-covered lamp or lantern/
雪道 [ゆきみち] /(n) snow-covered road/
雪曇 [ゆきぐもり] /(n,adj-no) (obsc) cloudy sky looking like it will snow soon/
雪曇り [ゆきぐもり] /(n,adj-no) (obsc) cloudy sky looking like it will snow soon/
雪白 [せっぱく] /(adj-na,n,adj-no) snow-white/pure/immaculate/
雪白 [ゆきじろ] /(adj-no,n) (1) snow white/(n) (2) refined sugar/
雪肌 [ゆきはだ] /(n) snow's surface/lily-white skin/
雪庇 [せっぴ] /(n) overhanging snow/
雪庇 [ゆきびさし] /(n) overhanging snow/
雪氷 [せっぴょう] /(n) (1) snow and ice/(2) snow ice/frozen snow/
雪氷 [ゆきこおり] /(n) (1) snow and ice/(2) snow ice/frozen snow/
雪氷学 [せっぴょうがく] /(n) glaciology/
雪豹 [ゆきひょう] /(n) (uk) snow leopard (Uncia uncia)/ounce/
雪膚 [ゆきはだ] /(n) snow's surface/lily-white skin/
雪風 [ゆきかぜ] /(n) snow-bearing wind/wind bringing snow/
雪腹 [ゆきばら] /(n) back pain due to the cold accompanying a snowfall/
雪仏 [ゆきぼとけ] /(n) snow figure of Buddha/
雪片 [せっぺん] /(n) snowflake/
雪崩 [なだれ] /(n) avalanche/(P)/
雪崩れる [なだれる] /(v1,vi) to slope/to descend/to slide (snow, etc.)/
雪崩れ込む [なだれこむ] /(v5m,vi) to rush or crowd into/to surge into/
雪頬白 [ゆきほおじろ] /(n) (uk) snow bunting (Plectrophenax nivalis)/
雪娘 [ゆきむすめ] /(n) snow woman/
雪明かり [ゆきあかり] /(n) brightness of snow/reflected light of snow/(by) snow light/
雪明り [ゆきあかり] /(n) brightness of snow/reflected light of snow/(by) snow light/
雪模様 [ゆきもよう] /(n) (1) weather portending snow/(2) snowflake pattern/
雪盲 [せつもう] /(n,adj-no) snow blindness/
雪目 [ゆきめ] /(n) snow blindness/
雪夜 [ゆきよ] /(n) snowy night/
雪野原 [ゆきのはら] /(n) snow-covered field/
雪柳 [ゆきやなぎ] /(n) Thunberg spirea/Spirea thunbergii/
雪遊び [ゆきあそび] /(n) playing in the snow/
雪融け [ゆきどけ] /(n,vs) snow thaw/thawing/
雪嵐 [ゆきあらし] /(n) snowstorm/blizzard/
雪溜まり [ゆきだまり] /(n) snowdrift/
雪量計 [せつりょうけい] /(n) snow gauge/
雪輪 [ゆきわ] /(n) snowflake-shaped family crest/
雪嶺 [せつれい] /(n) snow-capped peak/
雪路 [ゆきじ] /(n) snow-covered road/
雪路 [ゆきみち] /(n) snow-covered road/
雪冤 [せつえん] /(n,vs) exoneration/exculpation/
雪寃 [せつえん] /(n,vs) exoneration/exculpation/
雪礫 [ゆきつぶて] /(n) snowball/
雪舐 [ゆきねぶり] /(n) snow remaining in the form of a mist after it has melted/
雪霰 [ゆきあられ] /(n) soft hail/snow pellets/
絶えざる [たえざる] /(adj-f) constant/incessant/without break/continuous/
絶えず [たえず] /(adv) constantly/always/continually/steadily/(P)/
絶えてしまった種 [たえてしまったしゅ] /(n) extinct species/
絶える [たえる] /(v1,vi) (1) to die out/to peter out/to become extinct/(2) to cease/to be stopped/to be discontinued/to be cut off/(P)/
絶えることなく [たえることなく] /(adv) unceasing/relentless/
絶え果てる [たえはてる] /(v1,vi) to be extinguished/to be exterminated/to cease completely/
絶え間 [たえま] /(n) interval/gap/
絶え間ない [たえまない] /(adj-i) incessant/constant/continuous/perpetual/everlasting/
絶え間なく [たえまなく] /(adv) incessantly/without a pause/(P)/
絶え間無く [たえまなく] /(adv) incessantly/without a pause/
絶え絶え [たえだえ] /(adj-na,n) feeble/faint/
絶え入る [たえいる] /(v5r,vi) to expire/
絶する [ぜっする] /(vs-s) to be unspeakable/to be unimaginable/
絶ちきる [たちきる] /(v5r,vt) (1) to cut apart (cloth, paper, etc.)/
絶つ [たつ] /(v5t,vt) to sever/to cut off/to suppress/to abstain (from)/(P)/
絶やす [たやす] /(v5s,vt) (1) to exterminate/to eradicate/(2) to let (fire) go out/(P)/
絶縁 [ぜつえん] /(n,vs) (1) breaking off relations/disconnection/(2) insulation (esp. electrical)/isolation/(P)/
絶縁線 [ぜつえんせん] /(adj-na) insulated wire/
絶縁増幅器 [ぜつえんぞうふくき] /(n) (comp) isolated amplifier/
絶縁体 [ぜつえんたい] /(n) insulator/
絶縁抵抗 [ぜつえんていこう] /(n) insulation resistance/
絶佳 [ぜっか] /(n,adj-na,adj-no) superb (view, landscape)/
絶家 [ぜっけ] /(n,vs) extinct family/
絶海 [ぜっかい] /(n) distant seas/
絶間なく [たえまなく] /(adv) incessantly/without a pause/
絶間無く [たえまなく] /(adv) incessantly/without a pause/
絶技 [ぜつぎ] /(n) special move (e.g. in martial arts)/
絶叫 [ぜっきょう] /(n,vs) exclamation/scream/shout/(P)/
絶叫マシーン [ぜっきょうマシーン] /(n) rollercoaster/fair ride/thrill ride/
絶叫マシン [ぜっきょうマシン] /(n) rollercoaster/fair ride/thrill ride/
絶句 [ぜく] /(ok) (n,vs) (1) being lost for words/becoming speechless/(2) jueju (Chinese quatrain with lines of either five or seven syllables)/
絶句 [ぜっく] /(n,vs) (1) being lost for words/becoming speechless/(2) jueju (Chinese quatrain with lines of either five or seven syllables)/(P)/
絶景 [ぜっけい] /(n) superb view/picturesque scenery/
絶後 [ぜつご] /(n-adv,n-t) (of a kind) never to be seen again/
絶交 [ぜっこう] /(n,vs) breaking off a relationship/permanent breach of friendship/rupture/(P)/
絶交状 [ぜっこうじょう] /(n) a letter breaking off relations/
絶好 [ぜっこう] /(adj-na,n,adj-no) best/ideal/perfect/(P)/
絶好機 [ぜっこうき] /(n) golden opportunity/
絶好調 [ぜっこうちょう] /(n,adj-na) in perfect form/going swimmingly/(P)/
絶讃 [ぜっさん] /(n,vs) high praise/great admiration/rave reviews/
絶賛 [ぜっさん] /(n,vs) high praise/great admiration/rave reviews/
絶勝 [ぜっしょう] /(n) splendor/splendour/superb view/
絶唱 [ぜっしょう] /(n,vs) superb poem or song/
絶食 [ぜっしょく] /(n,vs) fasting/
絶世 [ぜっせい] /(n,adj-no) peerless/unequaled/unequalled/matchless/
絶息 [ぜっそく] /(n,vs) expiry/dying/death/
絶体絶命 [ぜったいぜつめい] /(adj-na,n,adj-no) desperate situation/being driven into a corner/stalemate/
絶対 [ぜったい] /(adv) (1) absolutely/unconditionally/(adj-no) (2) absolute/unconditional/unmistakable/(n) (3) absoluteness/(P)/
絶対に [ぜったいに] /(adv) absolutely/unconditionally/(P)/
絶対アドレス [ぜったいアドレス] /(n) absolute address/
絶対トラックアドレス [ぜったいトラックアドレス] /(n) (comp) absolute track address/
絶対パス名 [ぜったいパスめい] /(n) (comp) absolute pathname/
絶対ベクトル [ぜったいベクトル] /(n) (comp) absolute vector/
絶対安静 [ぜったいあんせい] /(n) complete bed rest/complete rest and quiet/
絶対安定多数 [ぜったいあんていたすう] /(n) overwhelming majority (number of parliamentary seats required in order for the ruling coalition to chair all standing committees and pass bills without the support of other parties)/
絶対位置 [ぜったいいち] /(n) absolute (as opposed to relative) position/
絶対運動 [ぜったいうんどう] /(n) absolute (as opposed to relative) motion/
絶対温度 [ぜったいおんど] /(n) absolute temperature/
絶対音楽 [ぜったいおんがく] /(n) absolute music/
絶対音感 [ぜったいおんかん] /(n) perfect pitch/absolute pitch/
絶対過半数 [ぜったいかはんすう] /(n) absolute majority/
絶対君主制 [ぜったいくんしゅせい] /(n) absolute monarchy/
絶対敬語 [ぜったいけいご] /(n) (ling) absolute respectful speech/absolute honorifics/
絶対権力 [ぜったいけんりょく] /(n) absolute authority or power (over someone or something)/
絶対誤差 [ぜったいごさ] /(n) absolute error/
絶対座標 [ぜったいざひょう] /(n) (comp) absolute coordinate/absolute address/
絶対座標指令 [ぜったいざひょうしれい] /(n) (comp) absolute command/absolute instruction/
絶対座標命令 [ぜったいざひょうめいれい] /(n) (comp) absolute command/absolute instruction/
絶対菜食主義者 [ぜったいさいしょくしゅぎしゃ] /(n) vegan/
絶対湿度 [ぜったいしつど] /(n) absolute humidity/
絶対者 [ぜったいしゃ] /(n) the Absolute/
絶対主義 [ぜったいしゅぎ] /(n) absolutism/
絶対主義者 [ぜったいしゅぎしゃ] /(n) an absolutist/
絶対静止 [ぜったいせいし] /(n) absolute rest/
絶対絶命 [ぜったいぜつめい] /(iK) (adj-na,n,adj-no) desperate situation/being driven into a corner/stalemate/
絶対多数 [ぜったいたすう] /(n) absolute majority/
絶対値 [ぜったいち] /(n) absolute value/
絶対的 [ぜったいてき] /(adj-na) absolute/(P)/
絶対的観念論 [ぜったいてきかんねんろん] /(n) absolute idealism/
絶対等級 [ぜったいとうきゅう] /(n) absolute magnitude/
絶対年代 [ぜったいねんだい] /(n) absolute age/
絶対番地 [ぜったいばんち] /(n) (comp) absolute address/
絶対必要 [ぜったいひつよう] /(n,adj-na) absolutely necessary/
絶対評価 [ぜったいひょうか] /(n) evaluation on an absolute scale/
絶対服従 [ぜったいふくじゅう] /(n) absolute obedience/complete submission/
絶対量 [ぜったいりょう] /(n) absolute amount or quantity/
絶対領域 [ぜったいりょういき] /(n) (m-sl) (obsc) exposed skin between top of knee-high socks and hemline of skirt (lit: absolute territory)/
絶対零度 [ぜったいれいど] /(n) absolute zero/
絶対論 [ぜったいろん] /(n) absolutism (phil.)/
絶待 [ぜったい] /(n) (Buddh) absoluteness/incomparability/supremacy/
絶待 [ぜつだい] /(n) (Buddh) absoluteness/incomparability/supremacy/
絶大 [ぜつだい] /(adj-na,n) tremendous/immense/(P)/
絶頂 [ぜっちょう] /(n,adj-no) summit/peak/climax/(P)/
絶倒 [ぜっとう] /(n,vs) extreme excitement/sidesplitting laughter/
絶島 [ぜっとう] /(n) lonely (isolated) island/
絶版 [ぜっぱん] /(n,adj-no) out of print/
絶筆 [ぜっぴつ] /(n) one's last writing/ceasing to write/
絶品 [ぜっぴん] /(n,adj-no) unique or superb article/
絶壁 [ぜっぺき] /(n,adj-no) precipice/cliff/
絶望 [ぜつぼう] /(n,vs,adj-no) despair/hopelessness/(P)/
絶望的 [ぜつぼうてき] /(adj-na) desperate/hopeless/
絶妙 [ぜつみょう] /(adj-na,n,adj-no) exquisite/superb/perfect/miraculous/(P)/
絶無 [ぜつむ] /(adj-na,n) nothing/nil/naught/nought/
絶命 [ぜつめい] /(n,vs) end of life/death/annihilation/
絶滅 [ぜつめつ] /(n,vs,adj-no) destruction/extinction/(P)/
絶滅危惧種 [ぜつめつきぐしゅ] /(n) endangered species/
絶滅種 [ぜつめつしゅ] /(n) extinct species/
絶滅寸前 [ぜつめつすんぜん] /(n,adj-no) the point (edge, verge, brink) of extinction/
絶倫 [ぜつりん] /(adj-na,n,adj-no) matchless/unequaled/unequalled/peerless/
舌 [した] /(n) (1) tongue/(2) tongue-like object/clapper (of a bell)/talon (of a lock)/(P)/
舌が回る [したがまわる] /(exp,v5r) speaking without hesitation or problems/speaking fluently or skillfully/
舌が肥える [したがこえる] /(exp,v1) to be particular about one's food/to have a discriminating palate/
舌たらず [したたらず] /(adj-na,n,adj-no) (1) lisping/(2) inadequate linguistic ability/
舌たるい [したたるい] /(adj-i) lisping/cooing/
舌っ足らず [したったらず] /(io) (adj-na,n,adj-no) (1) lisping/(2) inadequate linguistic ability/
舌を巻く [したをまく] /(exp,v5k) (id) to be astonished/
舌を出す [したをだす] /(exp,v5s) to put out one's tongue/to stick out one's tongue/
舌ピアス [したピアス] /(n) tongue piercing/tongue stud/
舌音 [ぜつおん] /(n,adj-no) lingual sound/
舌下腺 [ぜっかせん] /(n) sublingual gland/
舌禍 [ぜっか] /(adj-na,n) slip of tongue/
舌禍事件 [ぜっかじけん] /(n) scandal (trouble) caused by a slip of the tongue/
舌癌 [ぜつがん] /(n) cancer of the tongue/
舌形動物 [したがたどうぶつ] /(n) pentastomid (any worm of phylum Pentastomida)/
舌鼓 [したつづみ] /(n) smacking one's lips/
舌鼓 [したづつみ] /(n) smacking one's lips/
舌鼓を打つ [したつづみをうつ] /(exp,v5t) to smack one's lips at/to eat with relish/
舌耕 [ぜっこう] /(n) spoken word performance/oral arts/
舌骨 [ぜっこつ] /(n,adj-no) hyoid bone (of the skull)/
舌根 [ぜっこん] /(n) root of the tongue/
舌三寸 [したさんずん] /(n) eloquence or flattery designed to deceive/
舌触り [したざわり] /(n) texture of food/
舌触りがいい [したざわりがいい] /(exp,adj-i) soft and pleasant on the tongue/
舌触りがよい [したざわりがよい] /(exp,adj-i) soft and pleasant on the tongue/
舌触りが良い [したざわりがいい] /(exp,adj-i) soft and pleasant on the tongue/
舌触りが良い [したざわりがよい] /(exp,adj-i) soft and pleasant on the tongue/
舌先 [したさき] /(n) tip of tongue/
舌先三寸 [したさきさんずん] /(n) eloquence or flattery designed to deceive/
舌先三分 [したさきさんぶ] /(n) a glib tongue (with fair words)/fluent talk designed to deceive/talk something away/
舌戦 [ぜっせん] /(n) war of words/(P)/
舌足らず [したたらず] /(adj-na,n,adj-no) (1) lisping/(2) inadequate linguistic ability/
舌打ち [したうち] /(n,vs) smacking lips/clicking tongue/tut-tut/(P)/
舌苔 [ぜったい] /(n) fur (on one's tongue)/
舌代 [しただい] /(n) a notice/
舌代 [ぜつだい] /(n) a notice/
舌端 [ぜったん] /(n,adj-no) tip of the tongue/speech/way of talking/
舌虫 [したむし] /(n) (uk) (obsc) tongue worm (any worm of phylum Pentastomida)/
舌頭 [ぜっとう] /(n) tip of the tongue/speech/way of talking/
舌平目 [したびらめ] /(ateji) (n) (1) (uk) sole (esp. the tonguefishes of family Cynoglossidae, but also the true soles of family Soleidae)/(2) red tonguesole (Cynoglossus joyneri)/
舌偏 [したへん] /(n) kanji "tongue" radical at left/
舌鋒 [ぜっぽう] /(n) eloquence/(sharp) tongue/
舌舐めずり [したなめずり] /(n,vs) licking one's lips or chops/
舌鮃 [したびらめ] /(n) (1) (uk) sole (esp. the tonguefishes of family Cynoglossidae, but also the true soles of family Soleidae)/(2) red tonguesole (Cynoglossus joyneri)/
蝉 [せみ] /(n) cicada/locust/(P)/
蝉の羽月 [せみのはづき] /(n) (obsc) sixth lunar month/
蝉海老 [せみえび] /(n) (uk) blunt slipper lobster (species of shovel-nosed lobster, Scyllarides squammosus)/
蝉時雨 [せみしぐれ] /(n) outburst of cricket chirping/
仙 [せん] /(n) hermit/wizard/
仙 [せんと] /(n) cent/
仙翁 [せんのう] /(n) Lychnis ssp./
仙花紙 [せんかし] /(n) reclaimed paper/
仙界 [せんかい] /(n) dwelling place of hermits/pure land away from the world/
仙客 [せんかく] /(n) (1) (obsc) immortal mountain wizard (in Taoism)/(2) crane/
仙宮 [せんきゅう] /(n) (1) (arch) hermit's residence/(2) retired emperor's palace/
仙境 [せんきょう] /(n) fairyland/enchanted land/
仙郷 [せんきょう] /(n) fairyland/enchanted land/
仙窟 [せんくつ] /(n) enchanted cave/
仙骨 [せんこつ] /(n,adj-no) (1) sacrum/sacral bone/(2) hermitry/appearance of an hermit/unworldliness/unusual physique/outstanding appearance/
仙術 [せんじゅつ] /(n) wizardry/secret of immortality/
仙女 [せんじょ] /(n) fairy/nymph/elf/
仙女 [せんにゅ] /(n) fairy/nymph/elf/
仙女 [せんにょ] /(n) fairy/nymph/elf/
仙人 [せんにん] /(n) (1) immortal mountain wizard (in Taoism)/mountain man (esp. a hermit)/(2) one not bound by earthly desires or the thoughts of normal men/(P)/
仙人掌 [さぼてん] /(n,adj-no) (uk) cactus (por: sabao)/
仙台 [せんだい] /(n) Sendai (city)/
仙台侯 [せんだいこう] /(n) Lord of Sendai/
仙台七夕まつり [せんだいたなばたまつり] /(n) Sendai Tanabata Festival/
仙台棚幡まつり [せんだいたなばたまつり] /(n) Sendai Tanabata Festival/
仙台虫喰 [せんだいむしくい] /(n) (uk) eastern crowned warbler (Phylloscopus coronatus)/
仙丹 [せんたん] /(n) the elixir (of life)/
仙椎 [せんつい] /(n) sacral vertebra/
仙洞御所 [せんとうごしょ] /(n) (arch) palace of a retired emperor/
仙薬 [せんやく] /(n) panacea/elixir (of life)/
仙蓼 [せんりょう] /(n) Chloranthus glaber/
先 [さき] /(n,adj-no,n-suf,pref) (1) previous/prior/former/some time ago/preceding/(2) point (e.g. pencil)/tip/end/nozzle/(3) head (of a line)/front/(4) ahead/the other side/(5) the future/hereafter/(6) destination/(7) the other party/(P)/
先 [せん] /(adj-no,n) (1) former/previous/old/(n) (2) first move (in go, shogi, etc.)/opening move/
先々 [さきざき] /(n-adv,n-t) (1) distant future/inevitable future/(2) places one goes to/(P)/
先々月 [せんせんげつ] /(n-t) month before last/
先々週 [せんせんしゅう] /(n-t) week before last/
先が見える [さきがみえる] /(exp,v1) to envision how things will turn out (usu. unfortunate)/
先が思いやられる [さきがおもいやられる] /(exp,v1) (I can tell) it's going to be hard going/
先き [さき] /(io) (n,adj-no,n-suf,pref) (1) previous/prior/former/some time ago/preceding/(2) point (e.g. pencil)/tip/end/nozzle/(3) head (of a line)/front/(4) ahead/the other side/(5) the future/hereafter/(6) destination/(7) the other party/
先ごろ [さきごろ] /(n-adv,n-t) recently/the other day/
先ず [まず] /(adv) (1) (uk) first (of all)/to start with/about/almost/anyway/well/now/(2) hardly (with neg. verb)/(P)/
先ず以て [まずもって] /(adv) first of all/in the first place/
先ず先ず [まずまず] /(adj-no,adj-na,adv) tolerable/passable/adequate/so-so/
先だって [さきだって] /(n-adv,n-t) recently/the other day/
先だって [せんだって] /(n-adv,n-t) recently/the other day/(P)/
先っぽ [さきっぽ] /(n) tip/end/
先つ祖 [さきつおや] /(n) ancestor/
先に [さきに] /(adv,n) before/earlier than/ahead/beyond/away/previously/recently/(P)/
先に [せんに] /(adv) formerly/
先に通す [さきにとおす] /(exp,v5s) to let (a person) pass first/
先に立つ [さきにたつ] /(exp,v5t,vi) (1) to lead/to take the initiative/(2) to take precedence (e.g. sadness taking precedence over anger)/(3) to be most essential/
先の世 [さきのよ] /(n) previous existence/
先の祖 [さきのおや] /(n) ancestor/
先の総理大臣 [さきのそうりだいじん] /(n) former prime minister/
先の日 [さきのひ] /(n-adv) the other day/a few days ago/
先ほど [さきほど] /(n-adv,n-t) some time ago/not long ago/just now/(P)/
先をあらそって [さきをあらそって] /(exp) fighting to be first/scrambling to take the lead/
先を越される [さきをこされる] /(exp,v1) to be scooped by/
先を越す [さきをこす] /(exp,v5s) to take the initiative/to forestall/to beat to the punch/
先を越す [せんをこす] /(exp,v5s) to take the initiative/to forestall/to beat to the punch/
先を急ぐ [さきをいそぐ] /(exp,v5g) to hurry/to hasten/
先を争って [さきをあらそって] /(exp) fighting to be first/scrambling to take the lead/
先んじる [さきんじる] /(v1,vi) to precede/to forestall/to anticipate/
先んずる [さきんずる] /(vz,vi) to go before/to precede/to forestall/to anticipate/
先んずれば人を制す [さきんずればひとをせいす] /(exp) (id) First come, first served/
先カンブリア時代 [せんカンブリアじだい] /(n) Precambrian era/
先安 [さきやす] /(n) lower future quotations/(P)/
先鋭 [せんえい] /(adj-na,n,adj-no) radical/acute/sharp/
先鋭化 [せんえいか] /(n,vs) (1) radicalization/radicalisation/becoming a radical/(2) intensification/becoming acute/narrowing/sharpening/
先延ばし [さきのばし] /(n) delay/putting off/procrastination/
先延ばしにする [さきのばしにする] /(exp,vs-i) to delay/to put off/to procrastinate/
先王 [せんおう] /(n) the late king/the preceding king/good ancient kings/
先王 [せんのう] /(n) the late king/the preceding king/good ancient kings/
先回 [せんかい] /(adj-no,n-t) last time/the last/the preceding/
先回り [さきまわり] /(n,vs) going on ahead/forestalling/anticipating/arrival before another/
先覚 [せんかく] /(n) learned man/pioneer/
先覚者 [せんかくしゃ] /(n) seer/pioneer/leading spirit/enlightened person/
先学 [せんがく] /(n) academic predecessor/scholars of the past/senior scholar/
先学期 [せんがっき] /(n) last semester/
先割れスプーン [さきわれスプーン] /(n) spork (spoon and fork)/
先願主義 [せんがんしゅぎ] /(n) first-to-file system (e.g. in patent law)/
先議 [せんぎ] /(n,vs) initiative/prior consideration/
先議権 [せんぎけん] /(n) right to prior consideration/
先客 [せんきゃく] /(n) the preceding visitor/
先金 [さきがね] /(n) advance payment/
先駆 [せんく] /(n,vs,adj-no) (1) forerunner/pioneer/precursor/(2) herald/(3) outrider/pilot car/(P)/
先駆け [さきがけ] /(n,vs) charging ahead of others/the first to charge/pioneer/forerunner/harbinger/(P)/
先駆ける [さきがける] /(v1,vi) to be the first/(P)/
先駆者 [せんくしゃ] /(n) pioneer/trailblazer/groundbreaker/pathfinder/herald/forerunner/
先君 [せんくん] /(n) previous ruler/ancestors/
先決 [せんけつ] /(n,vs) previous decision/predetermination/deciding in advance/first priority/(P)/
先決問題 [せんけつもんだい] /(n) question to be settled first/
先月 [せんげつ] /(n-adv,n-t) last month/(P)/
先見 [せんけん] /(n,vs) foresight/anticipation/(P)/
先見の明 [せんけんのめい] /(n) foresight/anticipation/
先見者 [せんけんしゃ] /(n) seer/
先賢 [せんけん] /(n) ancient sage/
先遣 [せんけん] /(n,vs) sending ahead/(P)/
先遣部隊 [せんけんぶたい] /(n) advance troops/vanguard/
先験的 [せんけんてき] /(adj-na,n) transcendental/
先験哲学 [せんけんてつがく] /(n) transcendental philosophy/
先験論 [せんけんろん] /(n) transcendentalism/
先古 [せんこ] /(n) ancient times/
先公 [せんこう] /(n) (1) (sl) (derog) (insulting word for) teacher/(2) previous ruler/previous lord/lord of the previous generation/
先口 [せんくち] /(n) previous preconception/previous engagement/
先攻 [せんこう] /(n,vs) batting first/
先皇 [せんのう] /(n) the previous emperor/
先考 [せんこう] /(n) one's late father/
先行 [せんこう] /(n,vs,adj-no) preceding/going first/leading/going ahead/taking priority/(P)/
先行き [さきいき] /(n) the future/(P)/
先行き [さきゆき] /(n) the future/
先行ゼロ [せんこうゼロ] /(n) (comp) leading zero/
先行パッド [せんこうパッド] /(n) (comp) leading pad/
先行ページング [せんこうページング] /(n) (comp) anticipatory paging/
先行技術 [せんこうぎじゅつ] /(n) prior art (patents)/
先行研究 [せんこうけんきゅう] /(n) prior research/previous work/
先行指数 [せんこうしすう] /(n) leading indicator/
先行詞 [せんこうし] /(n) (ling) antecedent/
先行上映 [せんこうじょうえい] /(n) advance(d) screening (of a movie)/
先行上映会 [せんこうじょうえいかい] /(n) advance(d) screening (of a movie)/
先行条件 [せんこうじょうけん] /(n) antecedent condition/
先行制御 [せんこうせいぎょ] /(n) (comp) advanced control/
先行投資 [せんこうとうし] /(n,adj-no) prior investment/
先行読取りヘッド [せんこうよみとりヘッド] /(n) (comp) pre-read head/
先行馬 [せんこうば] /(n) front runner/
先行文字 [せんこうもじ] /(n) leading character/
先高 [さきだか] /(n) higher future quotations/
先刻 [せんこく] /(n-adv,n-t) already/while ago/
先刻承知 [せんこくしょうち] /(n,adj-na,adj-no) being already (well) aware/
先込め銃 [さきごめじゅう] /(n) muzzle loader/
先頃 [さきごろ] /(n-adv,n-t) recently/the other day/(P)/
先頃 [せんころ] /(n-adv,n-t) recently/the other day/
先妻 [せんさい] /(n) former wife/late wife/
先細 [さきぼそ] /(adj-na,n) tapering toward the end/
先細り [さきぼそり] /(n,vs) dwindle/tapering off (away)/
先細る [さきぼそる] /(v5r) to taper off/
先在 [せんざい] /(n,adj-no) pre-existence/
先山 [さきやま] /(n) skilled miner/coal-cutter/
先使用権 [せんしようけん] /(n) right of prior use/prior use rights/prior user rights/
先史 [せんし] /(n) prehistory/
先史学 [せんしがく] /(n) prehistory/
先史時代 [せんしじだい] /(n,adj-no) prehistoric era/prehistoric times/prehistory/
先師 [せんし] /(n) former teacher/
先借り [さきがり] /(n,vs) borrowing in advance/
先主 [せんしゅ] /(n) former master/late master/
先取 [さきどり] /(n,vs) (1) receiving in advance/taking before others/(2) (comp) prefetch/(3) (ling) anticipatory completion/finishing another person's sentence in anticipation of what likely to be said next/
先取 [せんしゅ] /(n,vs) earning the first (runs)/preoccupation/(P)/
先取り [さきどり] /(n,vs) (1) receiving in advance/taking before others/(2) (comp) prefetch/(3) (ling) anticipatory completion/finishing another person's sentence in anticipation of what likely to be said next/(P)/
先取点 [せんしゅてん] /(n) first goal/first point/
先取点を挙げる [せんしゅてんをあげる] /(exp,v1) to score the first point/
先取得点 [せんしゅとくてん] /(n) first runs scored/
先取特権 [せんしゅとっけん] /(n) statutory lien/preferential right/prior claim/
先手 [さきて] /(n) front lines/vanguard/
先手 [せんて] /(n) (1) the first move/forestalling/initiative/(2) black player (shogi)/(P)/
先手を取る [せんてをとる] /(exp,v5r) to take the initiative/
先手を打つ [せんてをうつ] /(exp,v5t) to forestall/
先手必勝 [せんてひっしょう] /(exp) victory goes to one who makes the first move/being quick to take action leads to victory/the early bird gets the worm/
先蹴 [せんしゅう] /(n) the kick-off/
先週 [せんしゅう] /(n-adv,n-t) last week/the week before/(P)/
先週の今日 [せんしゅうのきょう] /(n) this day last week/a week ago today/
先住 [せんじゅう] /(n) previous priest or resident/(P)/
先住者 [せんじゅうしゃ] /(n) former occupant/
先住民 [せんじゅうみん] /(n,adj-no) former inhabitant/indigenous people/aborigines/
先住民族 [せんじゅうみんぞく] /(n,adj-no) aborigines/indigenes/
先出 [せんしゅつ] /(n,adj-no) aforementioned/discussed above/former/previous/
先出し [さきだし] /(exp) first out/
先述 [せんじゅつ] /(adj-no) aforesaid/aforementioned/
先勝 [さきがち] /(n) (1) lucky day in the morning, but not in the afternoon/
先勝 [せんかち] /(n) (1) lucky day in the morning, but not in the afternoon/
先勝 [せんしょう] /(n,vs) (1) scoring the first point/winning the first game/(n) (2) lucky day in the morning, but not in the afternoon/
先触れ [さきぶれ] /(n) preliminary announcement/previous announcement/portent/sign/forewarning/
先秦 [せんしん] /(n) pre-Qin period (of Chinese history)/
先進 [せんしん] /(n,adj-no) seniority/advance/leadership/(P)/
先進ユーザ [せんしんユーザ] /(n) (comp) advanced user/
先進工業国 [せんしんこうぎょうこく] /(n) advanced industrial nation/
先進国 [せんしんこく] /(n) advanced (developed) country/advanced nations/(P)/
先進兵器 [せんしんへいき] /(n) advanced weapon(ry)/
先人 [せんじん] /(n) predecessor/pioneer/ancestor/(P)/
先陣 [せんじん] /(n) vanguard/advance guard/(P)/
先陣争い [せんじんあらそい] /(n) competition (rivalry) to first (e.g. rider in a charge)/
先制 [せんせい] /(n,vs,adj-no) preempt/head-start (of several runs) (baseball)/(P)/
先制攻撃 [せんせいこうげき] /(n) preemptive attack (strike)/
先生 [せんせい] /(n) (1) teacher/master/doctor/(suf) (2) with names of teachers, etc. as an honorific/(P)/
先生に就く [せんせいにつく] /(exp,v5k) to study under (a teacher)/
先生の述 [せんせいのじゅつ] /(n) teachers statement (expounding)/
先生方 [せんせいがた] /(n) doctors/teachers/
先聖 [せんせい] /(n) ancient sage/Confucius/
先先 [さきざき] /(n-adv,n-t) (1) distant future/inevitable future/(2) places one goes to/
先先月 [せんせんげつ] /(n-t) month before last/
先先週 [せんせんしゅう] /(n-t) week before last/
先染め [さきぞめ] /(n) (1) yarn dyeing/thread dyeing/(2) prior dyeing of thread before cloth is woven/
先潜り [さきくぐり] /(n) forestalling/anticipating/
先祖 [せんぞ] /(n,adj-no) ancestor/(P)/
先祖の位牌 [せんぞのいはい] /(n) ancestral tablet/
先祖構造体 [せんぞこうぞうたい] /(n) (comp) ancestor structure/
先祖代々 [せんぞだいだい] /(n,adj-no) ancestral/hereditary/generation after generation/passing from father to son/
先祖代代 [せんぞだいだい] /(n,adj-no) ancestral/hereditary/generation after generation/passing from father to son/
先祖伝承 [せんぞでんしょう] /(n,adj-no) what has been (orally) handed down from generation to generation/legend/folk tale/
先祖伝来 [せんぞでんらい] /(adj-no) inherited/
先走り液 [さきばしりえき] /(n) (col) pre-cum/pre-ejaculate/Cowper's fluid/
先走り汁 [さきばしりじる] /(n) (col) pre-cum/pre-ejaculate/Cowper's fluid/
先走る [さきばしる] /(v5r,vi) to be forward/to be impertinent/
先送り [さきおくり] /(n,vs) postpone/(P)/
先太 [さきぶと] /(adj-na,n,adj-no) thicker towards the end/club-shaped/
先貸し [さきがし] /(n,vs) payment in advance/
先代 [せんだい] /(n) family predecessor/previous age/previous generation/(P)/
先達 [せんだち] /(n) guide/leader/pioneer/
先達 [せんだつ] /(n) guide/leader/pioneer/
先達て [さきだって] /(n-adv,n-t) recently/the other day/
先達て [せんだって] /(n-adv,n-t) recently/the other day/
先端 [せんたん] /(n,adj-no) pointed end/tip/fine point/spearhead/cusp/vanguard/advanced/leading edge/apex (of a curve)/(P)/
先端医療技術 [せんたんいりょうぎじゅつ] /(n) state-of-the-art medical technology/
先端技術 [せんたんぎじゅつ] /(n,adj-no) high-technology/
先端巨大症 [せんたんきょだいしょう] /(n) acromegaly/
先端形状 [せんたんけいじょう] /(n) nose shape/tip shape/
先端支持力 [せんたんしじりょく] /(n) end bearing capacity/
先端的 [せんたんてき] /(adj-na) ultramodern/leading/
先知 [せんち] /(n,vs) foresight/speedy comprehension/
先着 [せんちゃく] /(n,vs) first arrival/(P)/
先着順 [せんちゃくじゅん] /(n) order of arrival/
先帝 [せんてい] /(n) the late emperor/
先程 [さきほど] /(n-adv,n-t) some time ago/not long ago/just now/(P)/
先哲 [せんてつ] /(n) ancient wise men/
先哲像伝 [せんてつぞうでん] /(n) pictures of ancient wise men (name of a book)/
先哲像傳 [せんてつぞうでん] /(n) pictures of ancient wise men (name of a book)/
先天 [せんてん] /(n) inherent/innate/
先天性 [せんてんせい] /(n) hereditary/
先天性股関節脱臼 [せんてんせいこかんせつだっきゅう] /(n) congenital hip dislocation/
先天性胆管閉鎖症 [せんてんせいたんがんへいさしょう] /(n) congenital bile duct atresia/
先天性免疫不全症候群 [せんてんせいめんえきふぜんしょうこうぐん] /(n) primary immunodeficiency syndrome/
先天的 [せんてんてき] /(adj-na,n) a priori/inborn/innate/inherent/congenital/hereditary/(P)/
先天的障害 [せんてんてきしょうがい] /(n) birth defect/
先天梅毒 [せんてんばいどく] /(n) congenital syphilis/
先天病 [せんてんびょう] /(n) hereditary disease/
先渡し [さきわたし] /(n,vs) future delivery/
先登 [せんとう] /(n) head/lead/vanguard/first/
先途 [せんど] /(n) crisis in a battle/death/
先度 [せんど] /(n-adv,n-t) recently/
先土器時代 [せんどきじだい] /(n) preceramic period/
先塔 [せんとう] /(n) spire/steeple/pinnacle/minaret/
先投 [せんとう] /(n) starting pitcher/
先頭 [せんとう] /(n) head/lead/vanguard/first/(P)/
先頭の空白 [せんとうのくうはく] /(n) (comp) leading whitespace/
先頭位置 [せんとういち] /(n) (comp) lead position/first position (in a string)/
先頭伍 [せんとうご] /(n) leading file/
先頭打者 [せんとうだしゃ] /(n) lead-off man (baseball)/
先導 [せんどう] /(n,vs,adj-no) guidance/leadership/(P)/
先導者 [せんどうしゃ] /(n) bellwether/vanguard/
先導車 [せんどうしゃ] /(n) lead car/leading car/
先導性 [せんどうせい] /(n) leadership/
先縄文時代 [せんじょうもんじだい] /(n) (obsc) pre-Jomon period (i.e. the preceramic period)/
先日 [せんじつ] /(n-adv,n-t) the other day/a few days ago/(P)/
先日付 [さきひづけ] /(n) dating forward/post-dating/
先日付け [さきひづけ] /(n) dating forward/post-dating/
先入 [せんにゅう] /(n) preconception/prejudice/
先入れ [さきいれ] /(exp) first in/
先入れ先出し [さきいれさきだし] /(exp) first in, first out/FIFO/
先入れ先出しリスト [さきいれさきだしリスト] /(n) (comp) queue/pushup list/
先入れ先出し記憶装置 [さきいれさきだしきおくそうち] /(n) (comp) pushup storage/
先入観 [せんにゅうかん] /(n) preconception/prejudice/preoccupation/preconceived notion/(P)/
先入見 [せんにゅうけん] /(n) preconception/prejudice/preoccupation/
先入主 [せんにゅうしゅ] /(n) preconception/prejudice/
先任 [せんにん] /(n) seniority/predecessor/
先任者 [せんにんしゃ] /(n) senior official/senior members/
先任順 [せんにんじゅん] /(n) order of seniority/
先任将校 [せんにんしょうこう] /(n) senior officer/
先年 [せんねん] /(n-adv,n-t) former years/formerly/a few years ago/
先輩 [せんぱい] /(n) senior (at work or school)/superior/elder/older graduate/progenitor/old-timer/(P)/
先輩後輩 [せんぱいこうはい] /(exp) (1) one's seniors and juniors/(2) seniority-based hierarchy/
先輩風を吹かす [せんぱいかぜをふかす] /(exp,v5s) to put on a patronizing air/
先輩面をする [せんぱいづらをする] /(exp,vs-i) to put on an air of seniority/
先買い [さきがい] /(n) buy in advance/
先買権 [せんばいけん] /(n) right of first refusal/(right of) preemption/purchase option/
先売り [さきうり] /(n) advance sale/
先発 [せんぱつ] /(n,vs,adj-no) (1) forerunner/advance party/going on ahead/(2) being in a (team sports) match or game from the start/starting/(P)/
先発メンバー [せんぱつメンバー] /(n) starting line-up (wasei: starting member)/
先発隊 [せんぱつたい] /(n) advance party/
先発投手 [せんぱつとうしゅ] /(n) starting pitcher/
先発明主義 [せんぱつめいしゅぎ] /(n) first-to-invent system (e.g. in patent law)/
先般 [せんぱん] /(n-adv,n-t) some time ago/the other day/(P)/
先般来 [せんぱんらい] /(n-t) for some time/
先番 [せんばん] /(n) precedence/first move (in games)/
先非 [せんぴ] /(n) past sin/past folly/
先付 [さきづけ] /(n) (1) appetizer/(2) later date/post-dating (e.g. a letter or cheque)/
先付け [さきづけ] /(n) (1) appetizer/(2) later date/post-dating (e.g. a letter or cheque)/
先夫 [せんぷ] /(n) former husband/late husband/
先婦 [せんぷ] /(n) previous wife/late wife/
先父 [せんぷ] /(n) deceased father/
先負 [さきまけ] /(n) lucky day but not in the morning/day on which judgment and haste are avoided (judgement)/
先負 [せんぶ] /(n) lucky day but not in the morning/day on which judgment and haste are avoided (judgement)/
先負 [せんぷ] /(n) lucky day but not in the morning/day on which judgment and haste are avoided (judgement)/
先負 [せんまけ] /(n) lucky day but not in the morning/day on which judgment and haste are avoided (judgement)/
先払い [さきばらい] /(n,vs) advance payment/payment on delivery/forerunner/
先物 [さきもの] /(n) futures/(P)/
先物価格 [さきものかかく] /(n) forward price/futures price/futures quotation/
先物市場 [さきものしじょう] /(n) futures market/forward market/
先物取引 [さきものとりひき] /(n) futures transaction/forward trading/
先物相場 [さきものそうば] /(n) futures price/forward price/forward rate (of exchange)/
先物買い [さきものがい] /(n,vs) buying futures/speculation/
先物売買 [さきものばいばい] /(n) dealing in futures/
先兵 [せんぺい] /(n) vanguard/
先便 [せんびん] /(n) previous letter/
先鞭 [せんべん] /(n) initiative/pioneering/
先方 [さきかた] /(n) (1) companion/other party (side)/he/she/they/(2) destination/(3) person in front/
先方 [さきがた] /(exp) a little while ago/
先方 [せんぽう] /(n) (1) companion/other party (side)/he/she/they/(2) destination/(3) person in front/(P)/
先鋒 [せんぽう] /(n) advance guard/
先棒 [さきぼう] /(n) (1) front palanquin bearer/(2) flunky/cat's-paw/tool/
先務 [せんむ] /(n) the most important task/
先夜 [せんや] /(n-adv,n-t) few nights ago/
先役 [せんやく] /(n) former post/former occupant of the post/
先約 [せんやく] /(n,adj-no) previous engagement/prior contract/
先憂後楽 [せんゆうこうらく] /(n) hardship now, pleasure later/seeking pleasure only after dealing with difficulties/seeking pleasure only after the happiness of the people is assured (a precept to be observed by a ruler)/
先様 [さきさま] /(n) the other party/
先立ち [さきだち] /(n-t) before/
先立って [さきだって] /(n-adv,n-t) recently/the other day/
先立つ [さきだつ] /(v5t,vi) to lead/to precede/to die before someone/to go before/to take precedence/
先立つもの [さきだつもの] /(n) (euph. for) money/the wherewithal/
先立つ物 [さきだつもの] /(n) (euph. for) money/the wherewithal/
先立てる [さきだてる] /(v1,vt) to have (someone) go ahead/
先隣 [さきとなり] /(n) next door but one/(a house) two doors away/
先隣 [さきどなり] /(n) next door but one/(a house) two doors away/
先例 [せんれい] /(n) precedent/(P)/
先例にならう [せんれいにならう] /(exp,v5u) to follow precedent/
先例に倣う [せんれいにならう] /(exp,v5u) to follow precedent/
先妣 [せんぴ] /(n) one's late mother/
千 [せん] /(num) 1,000/thousand/(P)/
千 [ち] /(num) 1,000/thousand/
千々に [ちぢに] /(adv) in pieces/
千一夜 [せんいちや] /(n) Thousand and One Nights/
千羽鶴 [せんばづる] /(n) (string of) many (traditionally 1000) paper cranes/
千円 [せんえん] /(n) 1000 yen/
千円札 [せんえんさつ] /(n) 1,000 Yen bill/(P)/
千億 [せんおく] /(n) (1) 100,000,000,000/hundred billion/(obs) hundred milliard (British)/(2) many/
千家 [せんけ] /(n) Senke school of tea ceremony/
千客万来 [せんかくばんらい] /(n) flood of customers/(doing) a roaring business/
千客万来 [せんきゃくばんらい] /(n) flood of customers/(doing) a roaring business/
千金 [せんきん] /(n) 1000 pounds/1000 kan/1000 yen/1000 pieces of gold/great weight/pricelessness/
千金の裘は一狐の腋に非ず [せんきんのきゅうはいっこのえきにあらず] /(exp) an expensive fur coat will not be made with a single fox alone/to rule a country requires many great men/
千九百年代 [せんきゅうひゃくねんだい] /(n) the 1900s/(P)/
千軍万馬 [せんぐんばんば] /(n) (having experienced) many battles/
千言万語 [せんげんばんご] /(n) many words/
千古 [せんこ] /(n-adv,n-t) all ages/great antiquity/eternity/
千古不易 [せんこふえき] /(n) eternally unchanging/
千古不磨 [せんこふま] /(n) permanence/immortality/eternity/
千古不滅 [せんこふめつ] /(n) everlasting/unchangeable/immortal/
千古万古 [せんこばんこ] /(n) remote antiquity/ancient times/the remote past/
千差万別 [せんさばんべつ] /(adj-na,n,adj-no) an infinite variety of/multifarious/being extremely varied and wide-ranging/
千差万別 [せんさまんべつ] /(adj-na,n,adj-no) an infinite variety of/multifarious/being extremely varied and wide-ranging/
千歳 [せんざい] /(n,adj-no) millennium/one thousand years/long time/
千歳 [ちとせ] /(n,adj-no) millennium/one thousand years/long time/
千歳飴 [ちとせあめ] /(n) red and white candy stick sold at children's festivals/
千歳鳥 [ちとせどり] /(n) (obsc) crane (said to live for 1,000 years)/
千載 [せんざい] /(n,adj-no) millennium/one thousand years/long time/
千載一遇 [せんざいいちぐう] /(n) once in a lifetime (opportunity)/(a golden opportunity that may) happen only once in a thousand years/
千載不磨 [せんざいふま] /(n,adj-no) still remaining after a thousand years/immortal/
千擦り [せんずり] /(n) (uk) (X) masturbation (male)/
千三屋 [せんみつや] /(n) broker/land agent/great liar/unreliable person/
千山万水 [せんさんばんすい] /(n) many mountains and rivers/a great distance to travel/
千山万水 [せんざんばんすい] /(n) many mountains and rivers/a great distance to travel/
千姿万態 [せんしばんたい] /(n) endless variety/
千思万考 [せんしばんこう] /(n,vs) deep meditation/mature consideration/
千紫万紅 [せんしばんこう] /(n) multitude of colors/multitude of colours/
千社札 [せんじゃふだ] /(n) slips of paper posted on shrine pillars by pilgrims/
千手観音 [せんじゅかんのん] /(n) thousand-armed Goddess of Mercy/
千種 [ちくさ] /(n) (1) great variety of flowering plants/(2) (abbr) light greenish-blue/(adj-na,adj-no,n) (3) various/
千種 [ちぐさ] /(n) (1) great variety of flowering plants/(2) (abbr) light greenish-blue/(adj-na,adj-no,n) (3) various/
千種万様 [せんしゅばんよう] /(n,adj-na,adj-no) an infinite variety/multifarious/being extremely varied and wide-ranging/
千寿蘭 [せんじゅらん] /(n) variegated Spanish violet/Yucca Aloifolia/
千秋 [せんしゅう] /(n) thousand years/many years/
千秋楽 [せんしゅうらく] /(n) concluding festivities/final day of a sumo tournament/concluding program/concluding programme/(P)/
千秋楽の日 [せんしゅうらくのひ] /(n) closing day of a show/
千重 [ちえ] /(n) many layers/many piles/
千緒万端 [せんしょばんたん] /(n) all sorts of things/all manner of affairs/
千丈の堤も蟻の一穴より [せんじょうのつつみもありのいっけつより] /(exp) (id) A little leak will sink a great ship/
千状万態 [せんじょうばんたい] /(n) various forms/various circumstances/
千振 [せんぶり] /(n) (1) (uk) Japanese green gentian (Swertia japonica)/(2) alderfly (esp. species Sialis japonica)/alder fly/
千辛万苦 [せんしんばんく] /(n,vs) many hardships/
千人針 [せんにんばり] /(n) 1000-stitch belt (soldier's charm)/
千人千色 [せんにんせんしょく] /(exp) So many people, so many minds/Everyone has his own ideas and tastes/It takes all sorts to make a world/To each his (her) own/
千人力 [せんにんりき] /(n) strength of a thousand men/
千尋 [せんじん] /(n) (1) great depth (lit: thousand fathoms)/bottomless/(2) great height/
千尋 [ちひろ] /(n) (1) great depth (lit: thousand fathoms)/bottomless/(2) great height/
千尋の谷 [せんじんのたに] /(n) abysmal valley/
千摺り [せんずり] /(n) (uk) (X) masturbation (male)/
千世 [ちよ] /(n) (1) thousand years/(2) very long period/forever/
千成り [せんなり] /(n) cluster/bunch/
千成り瓢箪 [せんなりぴょうたん] /(n) bottle gourd/ensign bearing cluster of gourds/
千生 [せんなり] /(n) great collection (of things)/
千生り [せんなり] /(n) cluster/bunch/
千石船 [せんごくぶね] /(n) large junk, with capacity for 1,000 koku of rice/
千切り [せんぎり] /(n) small pieces or strips of vegetables/
千切り大根 [せんぎりだいこん] /(n) dried radish strips/
千切る [ちぎる] /(v5r) to cut up fine/to pick (fruit)/(P)/
千切れる [ちぎれる] /(v1) to be torn off/to be torn to pieces/(P)/
千切れ雲 [ちぎれぐも] /(n) scattered clouds/
千千 [せんせん] /(n) thousands/great number of/variety/
千千 [ちぢ] /(n) thousands/great number of/variety/
千千に [ちぢに] /(adv) in pieces/
千草 [ちくさ] /(n) (1) great variety of flowering plants/(2) (abbr) light greenish-blue/
千草 [ちぐさ] /(n) (1) great variety of flowering plants/(2) (abbr) light greenish-blue/
千草色 [ちぐさいろ] /(n,adj-no) light greenish-blue/
千卒長 [せんそつちょう] /(n) captain of a thousand/
千態万状 [せんたいばんじょう] /(n) an endless variety of forms/multifariousness/
千態万様 [せんたいばんよう] /(n) great diversity of form/
千代 [せんだい] /(n) (1) thousand years/(2) very long period/forever/(P)/
千代 [ちよ] /(n) (1) thousand years/(2) very long period/forever/
千代に八千代に [ちよにやちよに] /(adv) (arch) for millennia and millennia/for years and years/forever and ever/
千代紙 [ちよがみ] /(n) gaily colored paper/gaily coloured paper/
千代女 [ちよじょ] /(n) name of a haiku poetess/
千代万代 [ちよよろずよ] /(n) for ever and ever/(through) eternity/countless ages/till the end of time/
千鳥 [ちどり] /(n) (uk) plover/(P)/
千鳥格子 [ちどりごうし] /(n,adj-no) hound's-tooth check/
千鳥掛け [ちどりがけ] /(n) cross-stitch/
千鳥草 [ちどりそう] /(n) (1) (uk) fragrant orchid (Gymnadenia conopsea)/(2) rocket larkspur (Consolida ajacis)/
千鳥足 [ちどりあし] /(n) tottering steps/drunken staggering/
千釣り [せんづり] /(iK) (ik) (n) (uk) (X) masturbation (male)/
千度 [せんど] /(n) thousand times/
千度 [ちたび] /(n) thousand times/
千島 [ちしま] /(n) Kurile Islands/(P)/
千島列島 [ちしまれっとう] /(n) Kurile Islands/(P)/
千日 [せんにち] /(n) one thousand days/
千日紅 [せんにちこう] /(n) globe amaranth/
千日手 [せんにちて] /(n) potentially endless repetition of moves/
千日草 [せんにちそう] /(n) globe amaranth/
千入 [ちしお] /(n) (arch) soaking in dye innumerable times/
千年 [せんねん] /(n,adj-no) millennium/one thousand years/long time/
千年 [ちとせ] /(n,adj-no) millennium/one thousand years/long time/
千年一日 [せんねんいちじつ] /(n) without intermission for many years/with constancy of purpose for many years/in the same old rut for years on end/
千年間 [せんねんかん] /(n) thousand-year period/
千年期 [せんねんき] /(n) millennium/
千年紀 [せんねんき] /(n) millennium/
千年鯛 [せんねんだい] /(n) (uk) emperor red snapper (Lutjanus sebae)/bourgeois red snapper/bourgeois fish/
千乃正法 [ちのしょうほう] /(n) Chino Shoho (Japanese religious group founded by Chino Yuuko)/
千波万波 [せんぱばんぱ] /(n) many waves/onrushing waves/
千倍 [せんばい] /(adj-na,n,adj-no) thousand-fold/
千般 [せんぱん] /(n) variety/
千番に一番の兼ね合い [せんばんにいちばんのかねあい] /(exp) (obsc) something so difficult that one doesn't know if there's even a 1 in 1000 chance of success/
千番に一番の兼合 [せんばんにいちばんのかねあい] /(exp) (obsc) something so difficult that one doesn't know if there's even a 1 in 1000 chance of success/
千姫 [せんひめ] /(n) Princess Sen/
千分 [せんぶん] /(n,adj-no) division by 1000/one-thousandth/
千分比 [せんぶんひ] /(n) rate per thousand/
千分率 [せんぶんりつ] /(n) permillage/rate per thousand/
千変万化 [せんぺんばんか] /(n,vs,adj-no) innumerable changes/infinite variety/
千篇 [せんぺん] /(n) many volumes/
千篇一律 [せんぺんいちりつ] /(n) humdrum/lack of variety/monotony/stereotypical/
千編一律 [せんぺんいちりつ] /(n) humdrum/lack of variety/monotony/stereotypical/
千本槍 [せんぼんやり] /(n) (uk) Leibnitz daisy (Leibnitzia anandria)/
千本鳥居 [せんぼんどりい] /(n) many torii/torii corridor/
千枚 [せんまい] /(n) (1) 1000 sheets (of paper)/many pages/(2) (food) (uk) cow omasum/cow psalterium/
千枚張り [せんまいばり] /(n) multilayered/cheeky/
千枚通し [せんまいどおし] /(n) awl/eyeleteer/
千枚漬 [せんまいずけ] /(n) pickled sliced radishes/
千枚漬け [せんまいずけ] /(n) pickled sliced radishes/
千枚田 [せんまいた] /(n) type of rice terrace/upland/
千万 [せんばん] /(adv,n-t) exceedingly/very many/very much/indeed/a great many/
千万 [せんまん] /(n) 10,000,000/ten million/myriad/
千万 [ちよろず] /(adv,n-t) exceedingly/very many/very much/indeed/a great many/
千万長者 [せんばんちょうじゃ] /(n) multimillionaire/billionaire/
千万無量 [せんまんむりょう] /(adj-na,n) innumerable/unfathomable/unutterable/
千木 [ちぎ] /(n) ornamental crossed rafter ends on shrine gables/
千夜 [せんや] /(n) many nights/
千夜一夜物語 [せんやいちやものがたり] /(n) One Thousand and One Nights (collection of Arabic stories)/
千葉 [ちば] /(n) Chiba (city)/
千葉県 [ちばけん] /(n) Chiba prefecture (Kantou area)/
千里 [せんり] /(n-adv,n-t) 1000 ri/(a) long distance/(P)/
千里の行も足下に始まる [せんりのこうもそっかにはじまる] /(exp) (id) a journey of a thousand miles begins with a single step/
千里の道も一歩から [せんりのみちもいっぽから] /(exp) (id) a journey of a thousand miles begins with a single step/
千里も一里 [せんりもいちり] /(exp) (id) a journey of a thousand miles feels like only one mile (when going to see the one you love)/
千里眼 [せんりがん] /(n) clairvoyance/
千里竹 [ねざさ] /(n) dwarf bamboo (varieties that thrive in western Japan)/
千里同風 [せんりどうふう] /(n) a country being in a state of universal peace/the world being peaceful and uneventful/
千慮 [せんりょ] /(n) much thought/
千慮の一失 [せんりょのいっしつ] /(n) the mistake of a wise man/
千慮一失 [せんりょいっしつ] /(n) mere slip by someone who is usually very careful/simple mistake by a wise person/point overlooked by a cautious person/
千慮一失 [せんりょのいっしつ] /(n) mere slip by someone who is usually very careful/simple mistake by a wise person/point overlooked by a cautious person/
千慮一得 [せんりょいっとく] /(exp) Even a fool may sometimes come up with a good idea/
千慮一得 [せんりょのいっとく] /(exp) Even a fool may sometimes come up with a good idea/
千両 [せんりょう] /(n) (1) 1000 ryou (an old Japanese coin)/(2) Sarcandra glabra (species of flowering shrub in the family Chloranthaceae)/
千両箱 [せんりょうばこ] /(n) box of 1000 ryou/
千両役者 [せんりょうやくしゃ] /(n) star (actor)/prima donna/leading figure/
千六本 [せろっぽう] /(n) julienne (esp. of daikon)/long, thin strips/
千六本 [せんろっぽん] /(n) julienne (esp. of daikon)/long, thin strips/
千仞 [せんじん] /(n) (1) great depth (lit: thousand fathoms)/bottomless/(2) great height/
千仭の谷 [せんじんのたに] /(n) bottomless ravine/
千鈞 [せんきん] /(n) 1000 pounds/1000 kan/1000 yen/1000 pieces of gold/great weight/pricelessness/
占 [うら] /(n) (arch) fortune-telling/divination/
占い [うらない] /(n) fortune-telling/divination/(P)/
占い師 [うらないし] /(n) diviner/fortuneteller/soothsayer/palmist/
占い当てる [うらないあてる] /(v1) to divine/
占う [うらなう] /(v5u,vt) to tell someone's fortune/to forecast/to predict/to divine/(P)/
占む [しむ] /(v5m,vt) (arch) to occupy/to hold/to command/to account for/
占めた [しめた] /(n) I've got it/all right/fine/
占める [しめる] /(v1,vt) (1) to comprise (some part of the whole)/to account for/to make up (of)/(2) to hold/to occupy/(P)/
占屋算 [うらやさん] /(n) (1) divination/(2) a diviner/
占居 [せんきょ] /(n,vs) occupying a certain place/
占拠 [せんきょ] /(n,vs) occupation/(P)/
占拠地 [せんきょち] /(n) occupied territory/
占算 [うらさん] /(n) (1) divination with rods/(2) divining rods/
占師 [うらないし] /(n) diviner/fortuneteller/soothsayer/palmist/
占者 [うらないしゃ] /(n) diviner/fortuneteller/soothsayer/palmist/
占取 [せんしゅ] /(n) preoccupation/
占取権 [せんしゅけん] /(n) right of preoccupancy/
占住 [せんじゅう] /(n,vs) occupying/
占術 [せんじゅつ] /(n) divination/fortune-telling/mantic/
占書 [うらぶみ] /(n) diviner's book/
占星学 [せんせいがく] /(n) astrology/
占星術 [せんせいじゅつ] /(n) astrology/
占地 [しめじ] /(n) (1) (uk) Lyophyllum shimeji (species of edible mushroom)/(2) euagaric fungus (in grocery stores, usu. refers to cultivated field mushrooms, etc.)/
占法 [せんぽう] /(n) divination/
占卜 [せんぼく] /(n) divination/fortunetelling/soothsaying/
占有 [せんゆう] /(n,vs,adj-no) exclusive possession/occupation/monopolization/(P)/
占有権 [せんゆうけん] /(n) right of exclusive possession/
占有率 [せんゆうりつ] /(n) (market) share/
占用 [せんよう] /(n,pref,suf,adj-no) (1) exclusive use/personal use/dedicated/(2) private (e.g. network)/
占領 [せんりょう] /(n,vs,adj-no) occupation/capture/possession/have a room to oneself/(P)/
占領下 [せんりょうか] /(adj-na) occupied (by an army)/
占領軍 [せんりょうぐん] /(n) army of occupation/
占領地 [せんりょうち] /(n) occupied territory/
占領地域 [せんりょうちいき] /(n) occupation zone/
占領地帯 [せんりょうちたい] /(n) occupied zone/
占領統治 [せんりょうとうち] /(n) rule of an occupying power/
占筮 [せんぜい] /(n,vs) divination (using bamboo divination sticks)/
宣う [のたまう] /(v4h) (uk) (pol) to say/to be pleased to say (hint of sarcasm)/
宣する [せんする] /(vs-s) to announce/to declare/
宣べる [のべる] /(v1,vt) to state/to express/to mention/
宣べ伝える [のべつたえる] /(v1) to proclaim (e.g. gospel)/
宣下 [せんげ] /(n,vs) imperial proclamation/
宣教 [せんきょう] /(n,vs) religious mission/religious proclamation/
宣教師 [せんきょうし] /(n) missionary/(P)/
宣言 [せんげん] /(n,vs) declaration/proclamation/announcement/(P)/
宣言の有効範囲 [せんげんのゆうこうはんい] /(n) (comp) scope of declaration/
宣言完結文 [せんげんかんけつぶん] /(n) (comp) declarative sentence/
宣言型マクロ命令 [せんげんけいマクロめいれい] /(n) (comp) declarative macro instruction/
宣言型言語 [せんげんがたげんご] /(n) (comp) declarative language/
宣言形言語 [せんげんがたげんご] /(n) (comp) declarative language/
宣言済み具象構文 [せんげんずみぐしょうこうぶん] /(n) (comp) declared concrete syntax/
宣言子 [せんげんし] /(n) (comp) declarator/
宣言書 [せんげんしょ] /(n) (written) declaration/
宣言的 [せんげんてき] /(adj-na) (ling) declarative/
宣言発表 [せんげんはっぴょう] /(n) declaration/
宣言部分 [せんげんぶぶん] /(n) (comp) declaratives/
宣言部分集合 [せんげんぶぶんしゅうごう] /(n) (comp) declaration subset/
宣言文 [せんげんぶん] /(n) (comp) declarative statement/
宣告 [せんこく] /(n,vs) sentence/verdict/pronouncement/(P)/
宣告書 [せんこくしょ] /(n) (written) judgement or verdict (judgment)/
宣旨 [せんじ] /(n) written imperial order (late Heian period)/
宣旨 [ぜじ] /(ok) (n) written imperial order (late Heian period)/
宣誓 [せんせい] /(n,vs,adj-no) oath/abjuration/pledge/(P)/
宣誓供述書 [せんせいきょうじゅつしょ] /(n) affidavit/
宣誓式 [せんせいしき] /(n) administration of an oath/
宣誓書 [せんせいしょ] /(n) (written) oath/
宣誓人 [せんせいじん] /(n) affiant (person who executes an affidavit)/
宣誓陳述書 [せんせいちんじゅつしょ] /(n) sworn statement/
宣戦 [せんせん] /(n,vs) declaration of war/(P)/
宣戦布告 [せんせんふこく] /(n,vs) proclamation of war/
宣伝 [せんでん] /(n,vs) publicity/advertisement/advertising/propaganda/(P)/
宣伝員 [せんでんいん] /(n) publicist/propagandist/
宣伝映画 [せんでんえいが] /(n) propaganda film/
宣伝屋 [せんでんや] /(n) one skilled at obtaining publicity/
宣伝価値 [せんでんかち] /(n) propaganda value/
宣伝活動 [せんでんかつどう] /(n) propaganda activities/
宣伝機関 [せんでんきかん] /(n) publicity arm or organ/
宣伝記事 [せんでんきじ] /(n) publicity article/
宣伝効果 [せんでんこうか] /(n) impact of publicity or propaganda/
宣伝工作 [せんでんこうさく] /(n) propaganda work/propaganda efforts (maneuvers)/
宣伝攻勢 [せんでんこうせい] /(n) propaganda campaign (offensive)/advertising (promotional) offensive/
宣伝戦 [せんでんせん] /(n) propaganda war/
宣伝費 [せんでんひ] /(n) publicity or advertising expenses/
宣伝部 [せんでんぶ] /(n) advertising department/public relations department/PR department/
宣伝文 [せんでんぶん] /(n) blurb/
宣伝文句 [せんでんもんく] /(n) sales message/sales copy/
宣伝路線 [せんでんろせん] /(n) (adopting) a publicity (an advertising) policy/a propaganda line/
宣布 [せんぷ] /(n,vs) proclamation/dissemination/promulgation/
宣撫 [せんぶ] /(n,vs) pacification/
宣撫工作 [せんぶこうさく] /(n) pacification work (activity)/
宣命 [せんみょう] /(n) imperial edict/
宣命体 [せんみょうたい] /(n) writing style in the manner of an imperial edict/
宣明暦 [せんみょうれき] /(n) Tang lunar calendar, used for 823 years in Japan/
宣揚 [せんよう] /(n,vs) enhancement/
宣耀殿 [せんにょうでん] /(n) ladies' pavilion (of the inner Heian Palace)/
宣耀殿 [せんようでん] /(n) ladies' pavilion (of the inner Heian Palace)/
専ら [もっぱら] /(adv) wholly/solely/entirely/exclusively/devotedly/fixedly/(P)/
専ら [もはら] /(adv) wholly/solely/entirely/exclusively/devotedly/fixedly/
専らにする [もっぱらにする] /(exp,vs-i) (1) devote oneself to/(2) to do as one pleases/to act selfishly/
専一 [せんいち] /(adj-na,n) exclusively/(taking) best care/
専一 [せんいつ] /(adj-na,n) exclusively/(taking) best care/
専横 [せんおう] /(adj-na,n) arbitrariness/despotism/tyranny/(P)/
専科 [せんか] /(n) (1) specialized course/specialised course/(2) something that is specialized for a certain field or application (e.g. a sauce specially made for zaru soba)/
専管 [せんかん] /(n) exclusive jurisdiction/
専管水域 [せんかんすいいき] /(n) waters under one's jurisdiction/territorial waters/
専管租界 [せんかんそかい] /(n) concession held by a single nation (in China)/
専業 [せんぎょう] /(n) special occupation/principal occupation/specialty/monopoly/(P)/
専業主夫 [せんぎょうしゅふ] /(n) full-time house-husband/stay-at-home dad/
専業主婦 [せんぎょうしゅふ] /(n) housewife/
専業農家 [せんぎょうのうか] /(n) full-time farmer/
専決 [せんけつ] /(n,vs) deciding or acting on one's own/
専権 [せんけん] /(n) arbitrary use of power/
専攻 [せんこう] /(n,vs,adj-no) major subject/special study/(P)/
専攻科 [せんこうか] /(n) non-degree course for graduates/
専行 [せんこう] /(n,vs) acting arbitrarily/arbitrary action/
専守防衛 [せんしゅぼうえい] /(n) nonaggressive defense (policy) (defence)/(P)/
専修 [せんしゅう] /(n,vs) specialization/specialisation/(P)/
専修科 [せんしゅうか] /(n) special course/
専修科目 [せんしゅうかもく] /(n) one's special subject/specialized subject/major/
専修学校 [せんしゅうがっこう] /(n) (special) vocational school/
専修念仏 [せんじゅねんぶつ] /(n) (obsc) intently praying to Buddha (esp. Amitabha)/
専従 [せんじゅう] /(n,vs) working exclusively for/working full-time (for)/(P)/
専従者 [せんじゅうしゃ] /(n) full-time worker/
専心 [せんしん] /(n,vs) undivided attention/concentration/
専心一意 [せんしんいちい] /(n-adv) single-mindedly/wholeheartedly/with one's heart and soul/
専制 [せんせい] /(n,vs,adj-no) despotism/autocracy/(P)/
専制君主 [せんせいくんしゅ] /(n) absolute monarch/despot/autocrat/tyrant/
専制政治 [せんせいせいじ] /(n) despotic government/autocracy/
専属 [せんぞく] /(n,vs) exclusive/attached to/specialist/(P)/
専断 [せんだん] /(adj-na,n,adj-no) arbitrary decision/on one's own authority/arbitrariness/
専断横行 [せんだんおうこう] /(n) prevalence of arbitrariness/rife with arbitrary decisions (acting on one's own authority)/
専任 [せんにん] /(n,vs,adj-no) full-time service/(P)/
専任講師 [せんにんこうし] /(n) full-time lecturer/instructor/
専念 [せんねん] /(n,vs) absorption/give undivided attention/devote oneself to/(P)/
専売 [せんばい] /(n,vs,adj-no) monopoly/(P)/
専売局 [せんばいきょく] /(n) (Japanese) Monopoly Bureau/
専売制 [せんばいせい] /(n) monopoly system/government monopoly/
専売特許 [せんばいとっきょ] /(n,adj-no) patent/
専売品 [せんばいひん] /(n) monopoly goods/
専務 [せんむ] /(n) managing director/special duty/conductor/(P)/
専務取締役 [せんむとりしまりやく] /(n) (senior) managing director/
専門 [せんもん] /(n,adj-no) speciality/specialty/subject of study/expert/(P)/
専門ガッコ [せんもんガッコ] /(n) vocational school/technical school/
専門ガッコウ [せんもんガッコウ] /(n) vocational school/technical school/
専門シソーラス [せんもんシソーラス] /(n) (comp) specialized thesaurus/
専門委員会 [せんもんいいんかい] /(n) advisory committee/committee of experts/advisory panel/
専門医 [せんもんい] /(n) medical specialist/(P)/
専門化 [せんもんか] /(n,vs) specialization/specialisation/
専門家 [せんもんか] /(n) specialist/(P)/
専門家グループ [せんもんかグループ] /(n) group of specialists/group of experts/
専門家システム [せんもんかシステム] /(n) (comp) expert system/
専門科目 [せんもんかもく] /(n) special (specialized, specialised) subject/
専門課程 [せんもんかてい] /(n) specialist training/upper-level course/
専門外 [せんもんがい] /(n,adj-no) outside of one's area of expertise/
専門学校 [せんもんがっこう] /(n) vocational school/technical school/(P)/
専門技術 [せんもんぎじゅつ] /(n) expertise/special skills/
専門教育 [せんもんきょういく] /(n) technical training/professional education/
専門語 [せんもんご] /(n) (specialist) terminology/
専門雑誌 [せんもんざっし] /(n) technical journal (periodical, magazine)/
専門誌 [せんもんし] /(n) specialized magazine/specialised magazine/
専門辞書 [せんもんじしょ] /(n) (comp) specified dictionary/
専門書 [せんもんしょ] /(n) technical book/specialized book/treatise/
専門章 [せんもんしょう] /(n) book in specialized field/book in specialised field/
専門職 [せんもんしょく] /(n) professional job/profession/
専門図書館 [せんもんとしょかん] /(n) (comp) special library/
専門性 [せんもんせい] /(n) specialization/specialty/speciality/expertise/
専門知識 [せんもんちしき] /(n) expertise/special knowledge/
専門的 [せんもんてき] /(adj-na) technical (e.g. discussion)/exclusive/professional/(P)/
専門的知識 [せんもんてきちしき] /(n) expert (technical) knowledge/expertise/
専門店 [せんもんてん] /(n) specialist shops/(P)/
専門馬鹿 [せんもんばか] /(n) person who is ignorant outside his field/
専門分野 [せんもんぶんや] /(n,adj-no) (one's) (special) field (of study)/one's line/
専門分類体系 [せんもんぶんるいたいけい] /(n) (comp) specialized classification system/
専門用語 [せんもんようご] /(n) technical term/
専門用語集 [せんもんようごしゅう] /(n) technical glossary/terminology/
専有 [せんゆう] /(n,vs) exclusive possession or rights/monopoly/
専有権 [せんゆうけん] /(n) monopoly/exclusive right (to)/
専用 [せんよう] /(n,pref,suf,adj-no) (1) exclusive use/personal use/dedicated/(2) private (e.g. network)/(P)/
専用キー [せんようキー] /(n) (comp) dedicated key/
専用レジスタ [せんようレジスタ] /(n) (comp) special-purpose register/
専用回線 [せんようかいせん] /(n) leased line/private circuit/private line/
専用機 [せんようき] /(n) personal aeroplane/personal airplane/
専用車 [せんようしゃ] /(n) private car/personal car/
専用線 [せんようせん] /(n) exclusive line (communications)/dedicated line/
専用駐車場 [せんようちゅうしゃじょう] /(n) private parking place/
尖がる [とがる] /(v5r,vi) (1) to taper to a point/to become sharp/(2) to look displeased/to look sour/
尖がる [とんがる] /(v5r,vi) (1) to taper to a point/to become sharp/(2) to look displeased/to look sour/
尖った [とがった] /(adj-f) pointed/sharp/
尖らす [とがらす] /(v5s) (1) to sharpen (e.g. pencil)/to pout (e.g. lips)/(2) to get nervous/to raise one's voice/
尖り声 [とがりごえ] /(n) sharp or angry voice/
尖り帽子 [とんがりぼうし] /(n) pointy hat/
尖る [とがる] /(v5r,vi) (1) to taper to a point/to become sharp/(2) to look displeased/to look sour/(P)/
尖る [とんがる] /(v5r,vi) (1) to taper to a point/to become sharp/(2) to look displeased/to look sour/
尖んがり [とんがり] /(n) (sharp) point/
尖んがる [とんがる] /(v5r) to get cross/to be displeased with/to get sharp/
尖鋭 [せんえい] /(adj-na,n,adj-no) radical/acute/sharp/
尖角 [せんかく] /(n) apical angle/point angle/
尖圭コンジローム [せんけいコンジローム] /(n) pointed condyloma/
尖鼠 [とがりねずみ] /(n) (uk) shrew (any rodent of family Soricidae, esp. those of genus Sorex)/
尖端 [せんたん] /(n,adj-no) pointed end/tip/fine point/spearhead/cusp/vanguard/advanced/leading edge/apex (of a curve)/
尖度 [せんど] /(n) kurtosis (statistics)/
尖塔 [せんとう] /(n) spire/steeple/pinnacle/minaret/
尖頭 [せんとう] /(n,adj-no) point/pointed end/cusp/
尖部 [せんぶ] /(n) apex/
尖兵 [せんぺい] /(n) vanguard/advance-guard point/advance detachment/
川 [かわ] /(n) (1) river/stream/(suf) (2) the .... river/(suffix used with the names of rivers)/(P)/
川 [がわ] /(suf) (1) the .... river/(suffix used with the names of rivers)/
川かます [かわかます] /(n) (uk) pike (esp. the Amur pike, Esox reichertii)/pickerel/
川づら [かわづら] /(n) river surface/surface of a river/
川に架かる橋 [かわにかかるはし] /(n) bridge spanning a river/
川の面 [かわのおも] /(n) river surface/
川べり [かわべり] /(n) riverbank/riverside/
川むつ [かわむつ] /(n) (uk) dark chub (Nipponocypris temminckii)/
川を越える [かわをこえる] /(exp,v1) to cross a river/
川を下る [かわをくだる] /(exp,v5r) to descend a river/
川鵜 [かわう] /(n) (uk) great cormorant (Phalacrocorax carbo)/
川越え [かわごえ] /(n) crossing a river/
川越し [かわごし] /(n) crossing a river/
川沿い [かわぞい] /(adj-no) along the river/riverside/(P)/
川縁 [かわぶち] /(n) riverside/
川縁 [かわべり] /(n) riverbank/riverside/
川下 [かわしも] /(n,adj-no) downstream/(P)/
川下り [かわくだり] /(n) going downstream (in a boat)/
川蝦 [かわえび] /(n) crawfish/
川海豚 [かわいるか] /(n) (uk) river dolphin/
川開き [かわびらき] /(n) festival marking the start of boating season/
川岸 [かわぎし] /(n,adj-no) (1) river bank/riverside/(2) fish market/(P)/
川魚 [かわうお] /(n) river fish/freshwater fish/
川魚 [かわざかな] /(n) river fish/freshwater fish/
川魚料理 [かわうおりょうり] /(n) freshwater fish cuisine/
川筋 [かわすじ] /(n) course of a river/land along a river/
川原 [かわはら] /(n) dry river bed/river beach/
川原 [かわら] /(n) dry river bed/river beach/(P)/
川原松葉 [かわらまつば] /(n) (uk) our lady's bedstraw (Galium verum)/yellow bedstraw/
川原毛 [かわらげ] /(n) buckskin (horse color)/
川原鶸 [かわらひわ] /(n) (uk) Oriental greenfinch (Carduelis sinica)/
川口 [かわぐち] /(n,adj-no) mouth of river/estuary/(P)/
川向かい [かわむかい] /(n) across a river/
川向こう [かわむこう] /(n) the other side of a river/
川骨 [かわほね] /(n) (uk) Japanese spatterdock (species of water lily, Nuphar japonica)/
川骨 [こうほね] /(n) (uk) Japanese spatterdock (species of water lily, Nuphar japonica)/
川崎 [かわさき] /(n) Kawasaki (city)/
川崎七分 [かわさきしちぶ] /(n) type of baggy tobi trousers with the baggy part taking up seven-tenths of the full length of the trouser leg/
川崎病 [かわさきびょう] /(n) Kawasaki disease/
川施餓鬼 [かわせがき] /(n) Buddhist services in memory of those drowned in a river/offering to suffering spirits at the river/
川止め [かわどめ] /(n,vs) suspension of ferry service/
川蛇 [かわへび] /(n) (obsc) Asian swamp eel (Monopterus albus)/
川洲 [かわす] /(n) sandbank in a river/
川秋沙 [かわあいさ] /(n) common merganser/
川床 [かわどこ] /(n) riverbed/
川上 [かわかみ] /(n) upper reaches of a river/(P)/
川尻 [かわじり] /(n) mouth of a river/lower stream/
川真珠貝 [かわしんじゅがい] /(n) (uk) Margaritifera laevis (species of freshwater pearl mussel)/
川水雲 [かわもずく] /(n) (uk) Batrachospermum gelatinosum (species of red alga)/
川瀬 [かわせ] /(n) rapids/shallows of a river/
川蝉 [かわせみ] /(n) (1) kingfisher (esp. the common kingfisher, Alcedo atthis)/
川千鳥 [かわちどり] /(n) plover on the riverside/plovers near a river/
川船 [かわぶね] /(n) riverboat/rivercraft/
川鼠 [かわねずみ] /(n) (uk) Japanese water shrew (Chimarrogale platycephala)/
川端 [かわばた] /(n) riverbank/(P)/
川端諸子 [かわばたもろこ] /(n) (uk) golden venus chub (Hemigrammocypris rasborella)/
川竹 [かわたけ] /(n) (1) bamboo growing along a river bank/(2) Japanese timber bamboo (Phyllostachys bambsoides)/giant timber bamboo/madake/(3) Simon bamboo (Pleioblastus simonii)/(4) (arch) (id) prostitute/the life of a prostitute/
川虫 [かわむし] /(n) aquatic insect larva (esp. of caddisflies, mayflies, etc.)/
川釣 [かわづり] /(n,vs) river fishing/
川釣り [かわづり] /(n,vs) river fishing/
川底 [かわぞこ] /(n) riverbed/
川伝い [かわづたい] /(n) following a river/
川波 [かわなみ] /(n) ripples on a river/
川八つ目 [かわやつめ] /(n) (uk) arctic lamprey (Lethenteron camtschaticum)/
川八目 [かわやつめ] /(n) (uk) arctic lamprey (Lethenteron camtschaticum)/
川風 [かわかぜ] /(n) breeze off a river/
川幅 [かわはば] /(n) width of a river/
川辺 [かわべ] /(n,adj-no) riverside/edge of a river/
川霧 [かわぎり] /(n) river mist/
川明かり [かわあかり] /(n) glow of a river in the darkness/surface of a river gleaming in the darkness/gleam on a river at dusk/
川明り [かわあかり] /(n) glow of a river in the darkness/surface of a river gleaming in the darkness/gleam on a river at dusk/
川面 [かわづら] /(n) river surface/surface of a river/
川面 [かわも] /(n) river surface/surface of a river/
川柳 [かわやぎ] /(n) riverside willow (esp. rosegold pussy willow)/
川柳 [かわやなぎ] /(n) riverside willow (esp. rosegold pussy willow)/
川柳 [せんりゅう] /(n) comic haiku/(P)/
川遊び [かわあそび] /(n) boating or swimming in a river/
川楊 [かわやなぎ] /(n) riverside willow (esp. rosegold pussy willow)/
川流れ [かわながれ] /(n) being carried away by a current/
川路 [かわじ] /(n) river's course/
川獺 [かわうそ] /(n) (uk) otter (esp. the Japanese river otter, Lutra lutra whiteleyi)/
川蜻蛉 [かわとんぼ] /(n) (uk) broad-winged damselfly (of family Calopterygidae)/
川螻蛄 [かわげら] /(n) (uk) stonefly (any insect of order Plecoptera, esp. those of family Perlidae)/
戦 [いくさ] /(n) (1) war/battle/campaign/fight/(2) (arch) troops/forces/(P)/
戦 [せん] /(suf) (1) war/battle/(2) match/competition/
戦々恐々 [せんせんきょうきょう] /(adj-na,adj-no,adj-t,adv-to) trembling with fear/filled with trepidation/
戦々兢々 [せんせんきょうきょう] /(adj-na,adj-no,adj-t,adv-to) trembling with fear/filled with trepidation/
戦々慄々 [せんせんりつりつ] /(adj-t,adv-to) (arch) trembling with fear/filled with trepidation/
戦い [たたかい] /(n) battle/fight/struggle/conflict/(P)/
戦いの庭 [たたかいのにわ] /(n) battlefield/
戦いを挑む [たたかいをいどむ] /(exp,v5m) to challenge (a person) to a fight/
戦い抜く [たたかいぬく] /(v5k) to fight to the bitter end/
戦う [たたかう] /(v5u,vi) to fight/to battle/to combat/to struggle against/to wage war/to engage in contest/(P)/
戦えば乃ち勝つ [たたかえばすなわちかつ] /(v5t) to win every battle (that is fought)/
戦き [おののき] /(n) shudder/shiver/agitation/
戦く [おののく] /(v5k,vi) to shake/to shudder/
戦く [わななく] /(v5k,vi) to tremble/to shiver/
戦ぐ [そよぐ] /(v5g,vi) to rustle/to stir/to flutter/
戦意 [せんい] /(n) fighting spirit/
戦意高揚 [せんいこうよう] /(n) increasing one's fighting spirit/
戦意喪失 [せんいそうしつ] /(n,vs) lose one's fighting spirit/lose the will to fight/lose heart/
戦域 [せんいき] /(n) war area/battlefield/theater (military)/theatre/(P)/
戦域ミサイル防衛 [せんいきミサイルぼうえい] /(n) theater missile defense (defence)/TMD/
戦雲 [せんうん] /(n) war clouds/threat of war/
戦化粧 [いくさけしょう] /(n) warpaint/
戦化粧 [いくさげしょう] /(n) warpaint/
戦果 [せんか] /(n) military gains/war results/fruit of battle/
戦火 [せんか] /(n) (1) wartime fire/(2) war/wartime destruction/horrors of war/(P)/
戦禍 [せんか] /(n) war damages/ravages of war/(P)/
戦艦 [せんかん] /(n) battleship/(P)/
戦旗 [せんき] /(n) battle flag/
戦機 [せんき] /(n) time for battle/military secrets/strategy/
戦記 [せんき] /(n) military history/
戦況 [せんきょう] /(n) war situation/progress of a battle/(P)/
戦局 [せんきょく] /(n) the state of the war/
戦後 [せんご] /(n-adv,n-t,adj-no) postwar period/period after Second World War/(P)/
戦後欧州 [せんごおうしゅう] /(n) post-war Europe/
戦後恐慌 [せんごきょうこう] /(n) post World War I depression/depression of 1920-1921/
戦後派 [せんごは] /(n) postwar generation/
戦功 [せんこう] /(n) distinguished war service/merit of war/
戦国 [せんごく] /(n) belligerent country/country in civil war/warring states/(P)/
戦国時代 [せんごくじだい] /(n) (1) Warring States period (of Japanese history, approx. 1467-1568 CE)/(2) Warring States period (of Chinese history, 403-221 BCE)/(3) era of vicious competition/
戦国大名 [せんごくだいみょう] /(n) daimyo in the Warring States period/
戦国乱世 [せんごくらんせい] /(n) turbulent (troubled) times/turbulent war period/
戦災 [せんさい] /(n) war damage/(P)/
戦災孤児 [せんさいこじ] /(n) war orphan/
戦災者 [せんさいしゃ] /(n) war victims/
戦災地区 [せんさいちく] /(n) war-devastated area/
戦史 [せんし] /(n) military history or annals/
戦士 [せんし] /(n) soldier/combatant/warrior/(P)/
戦死 [せんし] /(n,vs) death in action/killed in action/KIA/(P)/
戦死者 [せんししゃ] /(n) person killed in action/the war dead/
戦時 [せんじ] /(n-adv,n-t) war time/(P)/
戦時下 [せんじか] /(n) in times of war/
戦時公債 [せんじこうさい] /(n) war loan/
戦時国際法 [せんじこくさいほう] /(n) international law in time of war/
戦時産業 [せんじさんぎょう] /(n) wartime industry/
戦時色 [せんじしょく] /(n) wartime appearance/
戦時体制 [せんじたいせい] /(n) wartime regime/war footing/
戦時中 [せんじちゅう] /(n-t) during the war/
戦時保険 [せんじほけん] /(n) war-risk insurance/war insurance/
戦車 [せんしゃ] /(n) tank (military vehicle)/(P)/
戦車隊 [せんしゃたい] /(n) tank corps/
戦車兵 [せんしゃへい] /(n) tankman/
戦車揚陸艦 [せんしゃようりくかん] /(n) landing ship (tank)/LST/
戦術 [せんじゅつ] /(n,adj-no) tactics/(P)/
戦術家 [せんじゅつか] /(n) tactician/strategist/
戦術核兵器 [せんじゅつかくへいき] /(n) tactical nuclear weapon/
戦術計画 [せんじゅつけいかく] /(n) tactical plan/
戦術航空統制班 [せんじゅつこうくうとうせいはん] /(n) tactical air control party/
戦術航空統制本部 [せんじゅつこうくうとうせいほんぶ] /(n) tactical air control center (centre)/
戦傷 [せんしょう] /(n) war wound/
戦勝 [せんしょう] /(n,vs,adj-no) victory/triumph/(P)/
戦勝国 [せんしょうこく] /(n) victorious nation/
戦場 [せんじょう] /(n) battlefield/battleground/(P)/
戦場航空阻止 [せんじょうこうくうそし] /(n) battlefield air interdiction/
戦塵 [せんじん] /(n) battle dust/the tumult of war/
戦陣 [せんじん] /(n) battle array or formation/battlefield/
戦績 [せんせき] /(n) war or military record/score/military achievements/results/(P)/
戦跡 [せんせき] /(n) old battlefield/
戦戦恐恐 [せんせんきょうきょう] /(adj-na,adj-no,adj-t,adv-to) trembling with fear/filled with trepidation/
戦戦栗栗 [せんせんりつりつ] /(n) trembling with fear/
戦戦兢兢 [せんせんきょうきょう] /(adj-na,adj-no,adj-t,adv-to) trembling with fear/filled with trepidation/
戦戦慄慄 [せんせんりつりつ] /(adj-t,adv-to) (arch) trembling with fear/filled with trepidation/
戦線 [せんせん] /(n) (war) front/(P)/
戦前 [せんぜん] /(n-adv,n-t,adj-no) pre-war days/(P)/
戦前派 [せんぜんは] /(n) prewar generation/
戦争 [せんそう] /(n,vs) war/(P)/
戦争の時 [せんそうのとき] /(n) times of war/
戦争映画 [せんそうえいが] /(n) war movie/
戦争犠牲者 [せんそうぎせいしゃ] /(n) war victim/
戦争計画 [せんそうけいかく] /(n) war plan/
戦争後 [せんそうご] /(n-adv,n-t) post war/after the war/
戦争準備 [せんそうじゅんび] /(n) war preparation/
戦争状態 [せんそうじょうたい] /(n) (enter into, be in) a state of war/
戦争責任 [せんそうせきにん] /(n) war responsibility/
戦争戦略 [せんそうせんりゃく] /(n) war strategy/
戦争挑戦国 [せんそうちょうせんくに] /(n) warmonger/
戦争挑発 [せんそうちょうはつ] /(n) aggression/warmongering/
戦争賠償金 [せんそうばいしょうきん] /(n) war reparation/
戦争犯罪 [せんそうはんざい] /(n) war crime/
戦争犯罪人 [せんそうはんざいにん] /(n) war criminal/
戦争犯罪法廷 [せんそうはんざいほうてい] /(n) war crimes tribunal/
戦争被害 [せんそうひがい] /(n) war damage/
戦争文学 [せんそうぶんがく] /(n) war literature/
戦争保険 [せんそうほけん] /(n) war-risk insurance/war insurance/
戦争未亡人 [せんそうみぼうじん] /(n) war widow/
戦隊 [せんたい] /(n,adj-no) squadron/
戦端 [せんたん] /(n) opening of hostilities/
戦端を開く [せんたんをひらく] /(exp,v5k) to open hostilities/to take up arms (against)/
戦地 [せんち] /(n) front (in battle)/(P)/
戦中 [せんちゅう] /(n) during the war/(P)/
戦中派 [せんちゅうは] /(n) the war generation/
戦闘 [せんとう] /(n,vs,adj-no) battle/fight/combat/(P)/
戦闘ロボ [せんとうロボ] /(n) (m-sl) battle robot/war robot/
戦闘員 [せんとういん] /(n) combatant/
戦闘機 [せんとうき] /(n) fighter (aircraft)/(P)/
戦闘犠牲者 [せんとうぎせいしゃ] /(n) casualty/
戦闘支援 [せんとうしえん] /(n) combat support/
戦闘支援計画 [せんとうしえんけいかく] /(n) combat support plan/
戦闘陣地 [せんとうじんち] /(n) battle position/
戦闘陣地の前縁 [せんとうじんちのぜんえん] /(n) forward edge of the battle area/
戦闘正面幅 [せんとうしょうめんはば] /(n) frontage/
戦闘前哨 [せんとうぜんしょう] /(n) combat outpost/
戦闘的 [せんとうてき] /(adj-na) militant/aggressive/
戦闘電子戦情報 [せんとうでんしせんじょうほう] /(n) combat electronic warfare intelligence/
戦闘任務 [せんとうにんむ] /(n) combat mission/
戦闘爆撃機 [せんとうばくげきき] /(n) fighter bomber/
戦闘服 [せんとうふく] /(n) (combat) uniform/
戦闘帽 [せんとうぼう] /(n) field cap (used by Japanese troops in WW II)/
戦闘力 [せんとうりょく] /(n) fighting strength/
戦敗 [せんぱい] /(n) defeat in war/
戦犯 [せんぱん] /(n) (abbr) war criminal/(P)/
戦費 [せんぴ] /(n) war expenditures/(P)/
戦備 [せんび] /(n) preparations for war/
戦病死 [せんびょうし] /(n,vs) death from disease contracted at the front/
戦斧 [いくさおの] /(n) battleaxe/
戦斧 [せんぷ] /(n) battleaxe/
戦法 [せんぽう] /(n,adj-no) tactics/strategy/(P)/
戦没 [せんぼつ] /(n,vs) death in battle/killed in action/(P)/
戦没者 [せんぼつしゃ] /(n) persons who have fallen in battle/
戦没者慰霊碑 [せんぼつしゃいれいひ] /(n) war memorial/
戦没者追悼 [せんぼつしゃついとう] /(n,adj-no) war memorial/memorial (monument) to war dead/
戦没者追悼記念日 [せんぼつしゃついとうきねんび] /(n) Memorial Day (US)/
戦没者追悼式 [せんぼつしゃついとうしき] /(n) memorial service for the war dead/
戦務 [せんむ] /(n) service/
戦役 [せんえき] /(n) (sens) military campaign/battle/war/
戦友 [せんゆう] /(n) comrade in arms/war buddy/(P)/
戦乱 [せんらん] /(n,adj-no) wars/disturbances/
戦利品 [せんりひん] /(n) spoils of war/booty/
戦略 [せんりゃく] /(n,adj-no) strategy/tactics/(P)/
戦略家 [せんりゃくか] /(n) strategist/
戦略核兵器 [せんりゃくかくへいき] /(n) strategic nuclear weapon/
戦略空軍 [せんりゃくくうぐん] /(n) strategic air force/
戦略上 [せんりゃくじょう] /(n) strategic/
戦略情報システム [せんりゃくじょうほうシステム] /(n) (comp) strategic information system/SIS/
戦略的 [せんりゃくてき] /(adj-na) strategic/
戦略的パートナーシップ [せんりゃくてきパートナーシップ] /(n) strategic partnership/
戦略的提携 [せんりゃくてきていけい] /(n) strategic partnership/
戦略的撤退 [せんりゃくてきてったい] /(n) strategic withdrawal/strategic retreat/
戦略的投票 [せんりゃくてきとうひょう] /(n) strategic voting/
戦略爆撃 [せんりゃくばくげき] /(n) strategic bombing/
戦略物資 [せんりゃくぶっし] /(n) strategic resources/strategic materials/
戦略物質 [せんりゃくぶっしつ] /(n) strategic materials/
戦略兵器 [せんりゃくへいき] /(n) strategic arms/
戦略兵器削減条約 [せんりゃくへいきさくげんじょうやく] /(n) Strategic Arms Reduction Treaty/START/
戦力 [せんりょく] /(n) war potential/(P)/
戦力組成 [せんりょくそせい] /(n) order of battle/
戦力拮抗 [せんりょくきっこう] /(n,vs) struggle for supremacy between evenly-matched armies (teams)/
戦歴 [せんれき] /(n) military service/combat experience/
戦列 [せんれつ] /(n) line of battle/(P)/
戦列復帰 [せんれつふっき] /(n,vs) return to the battle line/come back to the game (on to the field)/a comeback/
戦慄 [せんりつ] /(n,vs) shudder/shiver/tremble with fear/horrible/terrible/hair-raising/
戦慄く [わななく] /(v5k,vi) to tremble/to shiver/
戦歿 [せんぼつ] /(n,vs) death in battle/killed in action/
扇 [おうぎ] /(n) folding fan/(P)/
扇 [おおぎ] /(n) folding fan/
扇ぎ立てる [あおぎたてる] /(v1,vt) to fan incessantly/to agitate/to instigate/
扇ぐ [あおぐ] /(v5g,vt) (1) to fan/(2) to incite/to instigate/(P)/
扇形 [おうぎがた] /(n,adj-no) fan shape/
扇形 [せんけい] /(n,adj-no) fan shape/(P)/
扇子 [せんす] /(n) folding fan/(P)/
扇歯鯨 [おうぎはくじら] /(n) (uk) Stejneger's beaked whale (Mesoplodon stejnegeri)/
扇歯鯨 [おおぎはくじら] /(ik) (n) (uk) Stejneger's beaked whale (Mesoplodon stejnegeri)/
扇情 [せんじょう] /(n) sensational/
扇情小説 [せんじょうしょうせつ] /(n) sultry novel/suggestive story/
扇情的 [せんじょうてき] /(adj-na) inflammatory/lascivious/sensational/
扇状 [せんじょう] /(n,adj-no) fan form (shape)/
扇状地 [せんじょうち] /(n) alluvial fan or delta/
扇動 [せんどう] /(n,vs) incitement/sedition/agitation/abetting/(P)/
扇動家 [せんどうか] /(n) demagogue/agitator/
扇動者 [せんどうしゃ] /(n) agitator/
扇芭蕉 [おうぎばしょう] /(n) (uk) traveller's tree (Ravenala madagascariensis)/traveller's palm/
扇風器 [せんぷうき] /(iK) (n) electric fan/
扇風機 [せんぷうき] /(n) electric fan/(P)/
撰 [せん] /(n) anthology (of poetry, etc.)/selection/compilation/
撰ばれし者 [えらばれしもの] /(n) the chosen one/the chosen ones/the select few/
撰ぶ [えらぶ] /(oK) (v5b,vt) to choose/to select/
撰者 [せんじゃ] /(n) author/compiler/editor/
撰修 [せんしゅう] /(n,vs) compiling/editing/writing/
撰集 [せんしゅう] /(n) selection (e.g. of poems, texts)/anthology/selected extracts/
撰集 [せんじゅう] /(n) selection (e.g. of poems, texts)/anthology/selected extracts/
撰述 [せんじゅつ] /(n,vs) compiling/editing/writing/
撰録 [せんろく] /(n,vs) compiling/editing/writing/
栓 [せん] /(n) stopper/cork/stopcock/(P)/
栓を抜く [せんをぬく] /(exp,v5k) to uncork a bottle/
栓抜 [せんぬき] /(n) bottle opener/corkscrew/
栓抜き [せんぬき] /(n) bottle opener/corkscrew/(P)/
栴檀 [せんだん] /(n) (1) (uk) chinaberry/Japanese bead tree (Melia azedarach L.)/(2) Indian sandalwood (Santalum album)/
栴檀は双葉より芳し [せんだんはふたばよりかんばし] /(exp) (id) Genius displays itself even in childhood/
栴檀は双葉より芳しい [せんだんはふたばよりかんばしい] /(exp) genius shows from childhood/the Japanese bead tree is fragrant from when a sprout/
泉 [いずみ] /(n) spring/fountain/(P)/
泉下 [せんか] /(n) Hades/the hereafter/
泉貨 [せんか] /(n) coin (esp. an east Asian coin, many of which have a hole in the center)/
泉貨紙 [せんかし] /(n) reclaimed paper/
泉質 [せんしつ] /(n) onsen water quality/spring quality/
泉水 [せんすい] /(n) fountain/miniature lake/(P)/
泉石 [せんせき] /(n) springs and rocks/
泉熱 [いずみねつ] /(n) Izumi fever (resembles scarlet fever)/
泉門 [せんもん] /(n) (1) soft spot (in the skull of an infant)/fontanelle/fontanel/(2) gates of Hades/entrance to the underworld/
浅い [あさい] /(adj-i) shallow/superficial/(P)/
浅からぬ [あさからぬ] /(exp) (arch) deep (of emotions, connections, etc.)/lit: not shallow/
浅はか [あさはか] /(adj-na,n) shallow/superficial/frivolous/thoughtless/foolish/silly/(P)/
浅ましい [あさましい] /(adj-i) wretched/miserable/shameful/mean/despicable/abject/
浅羽鳥 [あさはどり] /(n) (obsc) lesser cuckoo (Cuculus poliocephalus)/
浅黄 [あさぎ] /(n) light yellow/
浅海 [せんかい] /(n) shallow sea/
浅学 [せんがく] /(adj-na,n) superficial knowledge/superficiality/
浅学寡聞 [せんがくかぶん] /(n) shallow learning and limited information/ignorant and badly informed/
浅学非才 [せんがくひさい] /(n) one's lack of learning or ability/shallow learning and limited ability/
浅学菲才 [せんがくひさい] /(n) one's lack of learning or ability/shallow learning and limited ability/
浅茅 [あさじ] /(n) sparsely growing cogon grass/short cogon grass/
浅茅 [あさぢ] /(n) sparsely growing cogon grass/short cogon grass/
浅茅生 [あさじう] /(n) (obsc) broad field of sparsely growing cogon grass/
浅間しい [あさましい] /(iK) (adj-i) wretched/miserable/shameful/mean/despicable/abject/
浅間山荘事件 [あさまさんそうじけん] /(n) Asama-Sanso incident (famous hostage crisis and police siege in Feb. 1972)/
浅沓 [あさぐつ] /(n) shallow clogs (worn by nobles; originally made of leather, later made of black lacquered paulownia)/
浅見 [せんけん] /(n) shallow view/superficial idea/(P)/
浅紅 [せんこう] /(n) light red/
浅黒い [あさぐろい] /(adj-i) darkish/swarthy/(P)/
浅才 [せんさい] /(n) incompetence/lack of ability/
浅紫 [あさむらさき] /(n) light purple/
浅酌低唱 [せんしゃくていしょう] /(n,vs) getting slightly intoxicated and humming a tune/
浅手 [あさで] /(n) a slight wound/
浅瀬 [あさせ] /(n,adj-no) shoal/shallows/sand bar/ford/(P)/
浅瀬に仇波 [あさせにあだなみ] /(exp) deep rivers move in silence; shallow brooks are noisy/those who know little talk much/
浅草海苔 [あさくさのり] /(n) (1) (uk) Porphyra tenera (species of edible seaweed)/(2) dried nori/dried laver/
浅知恵 [あさぢえ] /(n) shallow thinking/shallow wit/
浅漬け [あさづけ] /(n) lightly pickled vegetables/
浅葱 [あさぎ] /(n) light blue/
浅葱 [あさつき] /(n) chive (edible plant, Allium schoenoprasum)/
浅薄 [せんばく] /(adj-na,n) shallowness/superficiality/
浅薄 [せんぱく] /(adj-na,n) shallowness/superficiality/
浅鉢 [あさばち] /(n) shallow (clay) pot/
浅発地震 [せんぱつじしん] /(n) shallow earthquake/shallow-focus earthquake/
浅緋 [あさあけ] /(n) pale scarlet/
浅墓 [あさはか] /(ateji) (adj-na,n) shallow/superficial/frivolous/thoughtless/foolish/silly/
浅履 [あさぐつ] /(n) shallow clogs (worn by nobles; originally made of leather, later made of black lacquered paulownia)/
浅慮 [せんりょ] /(n) imprudence/indiscretion/thoughtlessness/
浅緑 [あさみどり] /(n) light green/
浅緑 [せんりょく] /(n) light green/
浅縹 [あさはなだ] /(n) pale indigo/
浅蜊 [あさり] /(n) Manila clam (Ruditapes philippinarum)/
洗い [あらい] /(n) (1) washing/(2) (food) sashimi chilled in iced water/
洗いざらい [あらいざらい] /(adv,n) everything/
洗いざらし [あらいざらし] /(n) faded from washing/
洗いざらす [あらいざらす] /(v5s,vt) to fade something by overwashing it/
洗いだす [あらいだす] /(v5s,vt) (1) to reveal something by washing the surface/(2) to bring to light/to reveal by investigation/
洗いなおす [あらいなおす] /(v5s,vt) (1) to wash again/(2) to reconsider/
洗い桶 [あらいおけ] /(n) washtub/dishpan/washing-up bowl/
洗い去る [あらいさる] /(v5r) to wash away/
洗い熊 [あらいぐま] /(n) common raccoon (Procyon lotor)/
洗い晒し [あらいざらし] /(n) faded from washing/
洗い晒す [あらいざらす] /(v5s,vt) to fade something by overwashing it/
洗い出し [あらいだし] /(n) washout/elimination/exposure (by washing things away)/
洗い出す [あらいだす] /(v5s,vt) (1) to reveal something by washing the surface/(2) to bring to light/to reveal by investigation/
洗い上げる [あらいあげる] /(v1,vt) to finish washing/to wash well/to investigate thoroughly/(P)/
洗い場 [あらいば] /(n) washing place/
洗い清める [あらいきよめる] /(v1) to wash clean/to cleanse/
洗い替え [あらいがえ] /(n) (1) (arch) exchanging clothing at the time of laundering/(2) (money) laundering/(3) moving average method of valuation/(4) reassessing/
洗い濯ぎ [あらいすすぎ] /(n) washing and rinsing/cleaning/
洗い張り [あらいはり] /(n,vs) lay or stretch out to dry/
洗い直す [あらいなおす] /(v5s,vt) (1) to wash again/(2) to reconsider/
洗い髪 [あらいがみ] /(n) freshly washed hair/
洗い物 [あらいもの] /(n) washing/(P)/
洗い分ける [あらいわける] /(v1) to separate by washing/
洗い粉 [あらいこ] /(n) cleansing powder/
洗い落とす [あらいおとす] /(v5s) to wash off/to wash out/
洗い立て [あらいたて] /(n) freshly washed/
洗い立てる [あらいたてる] /(v1,vt) (1) to examine closely/to check up on/to ferret out/(2) to wash carefully/
洗い流す [あらいながす] /(v5s,vt) to wash away/
洗い浚い [あらいざらい] /(adv,n) everything/
洗う [あらう] /(v5u,vt) (1) to wash/(2) to investigate/(P)/
洗眼 [せんがん] /(n,vs) washing the eyes/
洗眼薬 [せんがんやく] /(n) eyewash/
洗顔 [せんがん] /(n,vs) face-washing/
洗熊 [あらいぐま] /(n) common raccoon (Procyon lotor)/
洗口液 [せんこうえき] /(n) mouthwash/
洗剤 [せんざい] /(n) detergent/washing material/(P)/
洗剤液 [せんざいえき] /(n) liquid detergent/
洗車 [せんしゃ] /(n,vs) car wash/
洗車場 [せんしゃじょう] /(n) car wash/
洗浄 [せんじょう] /(n,vs,adj-no) washing/cleaning/laundering/(P)/
洗浄器 [せんじょうき] /(n) washer/syringe/
洗浄剤 [せんじょうざい] /(n) detergent/washing material/(P)/
洗足 [せんそく] /(n,vs) washing the feet/
洗濯 [せんたく] /(n,vs) washing/laundry/(P)/
洗濯のり [せんたくのり] /(n) laundry starch/
洗濯ばさみ [せんたくばさみ] /(n) clothes-pin/clothespin/clothes peg/
洗濯屋 [せんたくや] /(n) laundry/laundromat/launderette/
洗濯機 [せんたくき] /(n) washing machine (laundry)/(P)/
洗濯機 [せんたっき] /(n) washing machine (laundry)/
洗濯挟み [せんたくばさみ] /(n) clothes-pin/clothespin/clothes peg/
洗濯糊 [せんたくのり] /(n) laundry starch/
洗濯石鹸 [せんたくせっけん] /(n) laundry soap/detergent/
洗濯槽 [せんたくそう] /(n) washing machine tub/
洗濯代 [せんたくだい] /(n) laundry charges/
洗濯板 [せんたくいた] /(n) washboard/
洗濯物 [せんたくもの] /(n) clothes to be washed/the washing/
洗濯粉 [せんたくこ] /(n) detergent/
洗濯籠 [せんたくかご] /(n) laundry basket/
洗湯 [せんとう] /(n) bath-house/public bath/
洗脳 [せんのう] /(n,vs) brainwashing/(P)/
洗牌 [せんぱい] /(n) shuffling of tiles (e.g. in mah-jongg)/
洗髪 [あらいがみ] /(io) (n) freshly washed hair/
洗髪 [せんぱつ] /(n,vs) washing one's hair/having a shampoo/(P)/
洗髪剤 [せんぱつざい] /(n) shampoo/
洗物 [あらいもの] /(io) (n) washing/
洗米 [せんまい] /(n) washed rice/
洗面 [せんめん] /(n,vs) wash up (one's face)/have a wash/(P)/
洗面器 [せんめんき] /(n) wash basin/(P)/
洗面所 [せんめんじょ] /(n) washroom/bathroom/(P)/
洗面台 [せんめんだい] /(n) washbasin/washstand/
洗礼 [せんれい] /(n,adj-no) baptism/(P)/
洗礼式 [せんれいしき] /(n) baptismal ceremony/baptism/
洗礼者 [せんれいしゃ] /(n) baptist/baptizer/
洗礼名 [せんれいめい] /(n) Christian or baptismal name/
洗煉 [せんれん] /(n,vs) polish/refinement/
洗練 [せんれん] /(n,vs) polish/refinement/(P)/
洗錬 [せんれん] /(n,vs) polish/refinement/
洗滌 [せんじょう] /(n,vs) washing/irrigation/cleaning/
洗滌 [せんでき] /(n,vs) washing/irrigation/cleaning/
染 [そめ] /(n) dyeing/printing/
染まり具合 [そまりぐあい] /(n) effect of dyeing/
染まり工合 [そまりぐあい] /(n) effect of dyeing/
染まる [そまる] /(v5r,vi) (1) to be dyed/(2) to be tainted/to be infected/to be stained/to be steeped/(P)/
染み [しみ] /(n) stain/spot/(P)/
染みつく [しみつく] /(v5k,vi) to be indelibly stained or ingrained/to be dyed in deeply/
染みる [しみる] /(v1,vi) (1) to pierce/to penetrate/to soak in/to permeate/(2) to (enter a wound or sensitive area and) sting/(3) to be infected (with vice)/to be steeped (with prejudice)/(P)/
染みる [じみる] /(aux-v,v1) to have a touch of/to look like/
染みを付ける [しみをつける] /(exp,v1) to blot/to stain/to smudge/
染み込む [しみこむ] /(v5m,vi) to soak into/to permeate/
染み出し [しみだし] /(n) seepage/
染み出す [しみだす] /(v5s) to ooze (out)/to seep/
染み出る [しみでる] /(v1,vi) to ooze/to exude/to percolate/to soak through/
染み染み [しみじみ] /(adv-to,adv) (1) (uk) earnestly/keenly/fully/deeply/heartily/seriously/(2) calmly/
染み着く [しみつく] /(v5k,vi) to be indelibly stained or ingrained/to be dyed in deeply/
染み通る [しみとおる] /(v5r,vi) (1) to soak through/(2) to be deeply impressed/
染み渡る [しみわたる] /(v5r,vi) to penetrate/to pervade/to spread/
染み透る [しみとおる] /(v5r,vi) (1) to soak through/(2) to be deeply impressed/
染み入る [しみいる] /(v5r) to soak into/to permeate/
染み抜き [しみぬき] /(n) stain removal/
染み付く [しみつく] /(v5k,vi) to be indelibly stained or ingrained/to be dyed in deeply/
染め [そめ] /(n) dyeing/printing/(P)/
染めつける [そめつける] /(v1,vt) to dye (in patterns)/
染めなおす [そめなおす] /(v5s,vt) to dye again/
染める [そめる] /(v1,vt) to dye/to colour/to color/(P)/
染め衣 [そめぎぬ] /(n) dyed garments/dyed kimono/
染め型 [そめがた] /(n) dyed pattern/dyeing stencil/
染め込む [そめこむ] /(v5m,vt) to dye/
染め糸 [そめいと] /(n) dyed thread or yarn/
染め出す [そめいだす] /(v5s,vt) to dye/
染め出す [そめだす] /(v5s,vt) to dye/
染め上がり [そめあがり] /(n) being dyed/
染め上げる [そめあげる] /(v1,vt) to finish dyeing/
染め色 [そめいろ] /(n) dyed color/dyed colour/
染め直す [そめなおす] /(v5s,vt) to dye again/
染め抜く [そめぬく] /(v5k,vt) to dye fast/to leave undyed/
染め付け [そめつけ] /(n) (1) dyeing/printing/(2) blue and white ceramics (china, porcelain)/
染め付ける [そめつける] /(v1,vt) to dye (in patterns)/
染め物 [そめもの] /(n) dyeing/dyed goods/
染め物屋 [そめものや] /(n) dyer/dye house/
染め分け [そめわけ] /(n) dyed in various colors/dyed in various colours/
染め分ける [そめわける] /(v1,vt) to dye in different colors (colours)/
染め粉 [そめこ] /(n) dye/
染め返す [そめかえす] /(v5s,vt) to dye again/
染め模様 [そめもよう] /(n) dyed pattern/
染衣 [しめころも] /(n) dyed garments/dyed kimono/
染衣 [ぜんえ] /(n) black dyed garment/black dyed kimono/
染衣 [そめぎぬ] /(n) dyed garments/dyed kimono/
染井吉野 [そめいよしの] /(n) Yoshino cherry tree/Prunus yedoensis/
染込む [しみこむ] /(v5m,vi) to soak into/to permeate/
染出す [そめいだす] /(v5s,vt) to dye/
染出す [そめだす] /(v5s,vt) to dye/
染織 [せんしょく] /(n,vs) dyeing and weaving/
染色 [せんしょく] /(n,vs,adj-no) staining/stain/dyeing/(P)/
染色工場 [せんしょくこうじょう] /(n) dye works/
染色質 [せんしょくしつ] /(n) chromatin/
染色体 [せんしょくたい] /(n) chromosome/(P)/
染色体異常 [せんしょくたいいじょう] /(n) chromosomal abnormality/
染色体地図 [せんしょくたいちず] /(n) map of chromosomes/
染色体突然変異 [せんしょくたいとつぜんへんい] /(n) chromosomal mutation/chromosome mutation/
染色分体 [せんしょくぶんたい] /(n) chromatid/
染色法 [せんしょくほう] /(n) staining method/staining techniques/
染着く [しみつく] /(v5k,vi) to be indelibly stained or ingrained/to be dyed in deeply/
染通る [しみとおる] /(v5r,vi) (1) to soak through/(2) to be deeply impressed/
染透る [しみとおる] /(v5r,vi) (1) to soak through/(2) to be deeply impressed/
染髪 [せんぱつ] /(n,vs) hair dyeing/
染髪剤 [せんぱつざい] /(n) hair dye/
染筆 [せんぴつ] /(n,vs) writing/painting/
染付 [そめつけ] /(n) (1) dyeing/printing/(2) blue and white ceramics (china, porcelain)/
染付く [しみつく] /(v5k,vi) to be indelibly stained or ingrained/to be dyed in deeply/
染物 [そめもの] /(n) dyed goods/goods to be dyed/
染物屋 [そめものや] /(n) dyer/dye house/
染料 [せんりょう] /(n) dyes/
潜く [かずく] /(v5k) (1) (uk) (arch) to be underwater from the neck down/to collect shells, seaweed, etc. by diving under the water/(2) to force something under the surface of the water/
潜く [かづく] /(v5k) (1) (uk) (arch) to be underwater from the neck down/to collect shells, seaweed, etc. by diving under the water/(2) to force something under the surface of the water/
潜む [ひそむ] /(v5m,vi) to lurk/to lie dormant/to be hidden/to be concealed/to be stashed/(P)/
潜める [ひそめる] /(v1,vt) (1) to hide/to conceal/(2) to lower volume (of a sound or one's voice) so as not to be heard/(3) to become quiet and inconspicuous/
潜り [くぐり] /(n) (uk) side door/side gate/
潜り [もぐり] /(n,adj-no) diving/diver/unlicensed (doctor, driver, etc.)/unregistered/unqualified/
潜り戸 [くぐりど] /(n) side door/side gate/
潜り込む [もぐりこむ] /(v5m,vi) to slip into/to crawl into (under)/to conceal oneself (under)/
潜り抜ける [くぐりぬける] /(v1,vi) to go through/to pass through/to escape (through the cordon)/to evade (the law)/
潜り門 [くぐりもん] /(n) small gate/
潜る [くぐる] /(v5r,vi) (1) (uk) to drive/to pass through/to pass under/(2) to evade/to hide/(3) to survive/(P)/
潜る [もぐる] /(v5r,vi) to dive (into or under water)/to get in/to go underground/
潜んでいる力 [ひそんでいるちから] /(n) potentiality/latent power/
潜海燕 [もぐりうみつばめ] /(n) (uk) diving petrel (esp. the common diving petrel, Pelecanoides urinatrix)/
潜航 [せんこう] /(n,vs) submarine voyage/underwater navigation/
潜航艇 [せんこうてい] /(n) (1) (obs) submarine/(2) midget submarine/
潜行 [せんこう] /(n,vs) underwater navigation/travelling incognito/traveling incognito/travelling in disguise/traveling in disguise/
潜在 [せんざい] /(n,vs) potentiality/dormancy/latency/(P)/
潜在意識 [せんざいいしき] /(n,adj-no) subconscious (awareness)/
潜在失業 [せんざいしつぎょう] /(n,adj-no) invisible unemployment/
潜在主権 [せんざいしゅけん] /(n) residual sovereignty/
潜在受信者 [せんざいじゅしんしゃ] /(n) (comp) potential recipient/
潜在精巣 [せんざいせいそう] /(n) cryptorchidism/undescended testis/retained testis/
潜在的 [せんざいてき] /(adj-na) latent/potential/
潜在能力 [せんざいのうりょく] /(n) potential/latent faculties/potential capacities/
潜在変数 [せんざいへんすう] /(n) latent variable (e.g. in statistics)/
潜時 [せんじ] /(n) latency/
潜心 [せんしん] /(n) meditation/
潜水 [せんすい] /(n,vs) diving/(P)/
潜水艦 [せんすいかん] /(n) submarine/(P)/
潜水艦発射弾道ミサイル [せんすいかんはっしゃだんどうミサイル] /(n) submarine-launched ballistic missile/SLBM/
潜水器 [せんすいき] /(n) diving apparatus/
潜水作業員 [せんすいさぎょういん] /(n) diver/
潜水中 [せんすいちゅう] /(adv) while diving/while submerged/
潜水艇 [せんすいてい] /(n) submarine/submersible vessel/
潜水病 [せんすいびょう] /(n) decompression sickness/caisson disease/the bends/
潜水夫 [せんすいふ] /(n) diver/
潜水服 [せんすいふく] /(n) diving suit/
潜水母艦 [せんすいぼかん] /(n) submarine carrier/
潜勢力 [せんせいりょく] /(n) latent energy/potential/
潜性 [せんせい] /(n,adj-no) (obsc) recessiveness/
潜像 [せんぞう] /(n) latent image/
潜脱 [せんだつ] /(n,vs) circumvention of the law/evasion of the law (by using legal means to obtain a result normally only obtainable by illegal ones)/
潜入 [せんにゅう] /(n,vs) infiltration/sneaking in/(P)/
潜熱 [せんねつ] /(n) latent heat/
潜熱蓄熱 [せんねつちくねつ] /(n) latent heat storage/
潜函 [せんかん] /(n) caisson/
潜函病 [せんかんびょう] /(n) caisson disease/the bends/
潜伏 [せんぷく] /(n,vs) concealment/hiding/ambush/incubation/(P)/
潜伏期 [せんぷくき] /(n) incubation period/
潜伏性 [せんぷくせい] /(n) latency/
潜望鏡 [せんぼうきょう] /(n) periscope/
潜望鏡深度 [せんぼうきょうしんど] /(n) periscope depth/
潜門 [くぐりもん] /(io) (n) small gate/
煎 [せん] /(n) (obsc) infusing (tea)/
煎じる [せんじる] /(v1,vt) to boil/to decoct/to infuse/
煎じ詰める [せんじつめる] /(v1,vt) to boil down/to condense/
煎じ詰めると [せんじつめると] /(exp) after all/in the end/in short/
煎じ出す [せんじだす] /(v5s,vt) to extract by broiling/to prepare an infusion of/to decoct/
煎じ茶 [せんじちゃ] /(n) decoction of tea/
煎じ薬 [せんじぐすり] /(n) (medical) decoction/infusion/
煎じ立て [せんじたて] /(adj-no) freshly-drawn (tea)/
煎ずる [せんずる] /(vz,vt) to boil/to decoct/to infuse/
煎りつく [いりつく] /(v5k) to be scorched/to boil down/
煎りつける [いりつける] /(v1,vt) to parch/to roast/to broil/to scorch/
煎り子 [いりこ] /(n) (ksb:) small dried sardine/
煎り豆 [いりまめ] /(n) parched or roasted beans (or soybeans)/
煎り豆腐 [いりどうふ] /(n) boiled and seasoned tofu/
煎り付ける [いりつける] /(v1,vt) to parch/to roast/to broil/to scorch/
煎り粉 [いりこ] /(n) parched rice flour/
煎り卵 [いりたまご] /(n) scrambled eggs/
煎り立て [いりたて] /(exp) freshly parched/
煎る [いる] /(v5r,vt) to parch/to fry/to fire/to broil/to roast/to boil down (in oil)/
煎れる [いれる] /(v1,vi) (1) to be roasted/to be parched/(2) (arch) to be irritated/to be annoyed/
煎海鼠 [いりこ] /(n) dried sea slug/
煎玉子 [いりたまご] /(n) scrambled eggs/
煎剤 [せんざい] /(n) decoction/
煎茶 [せんちゃ] /(n) green tea/tea leaves/
煎豆腐 [いりどうふ] /(io) (n) boiled and seasoned tofu/
煎鍋 [いりなべ] /(n) roasting pan/
煎餅 [せんべい] /(n) rice cookie/Japanese cracker/wafer/(P)/
煎餅蒲団 [せんべいぶとん] /(n) thin bedding/hard bed/bedding worn flat and hard by usage/
煎餅布団 [せんべいぶとん] /(n) thin bedding/hard bed/bedding worn flat and hard by usage/
煎薬 [せんやく] /(n) (medical) decoction/infusion/
煽ぎ立てる [あおぎたてる] /(v1,vt) to fan incessantly/to agitate/to instigate/
煽ぐ [あおぐ] /(v5g,vt) (1) to fan/(2) to incite/to instigate/
煽て [おだて] /(n) instigation/flattery/
煽てる [おだてる] /(v1,vt) to stir up/to instigate/to flatter/(P)/
煽り [あおり] /(n) (1) gust (of wind)/(2) influence/(3) instigating/(4) tailgating/(5) low angle (photo or drawing)/
煽りを食う [あおりをくう] /(exp,v5u) to suffer a blast or indirect blow/to be subject to the surplus force of an impetus/
煽り止め [あおりどめ] /(n) doorstop/
煽り足 [あおりあし] /(n) scissors kick (swimming)/
煽り立てる [あおりたてる] /(v1,vt) to flap strongly/to stir up fiercely/
煽る [あおる] /(v5r) to fan/to agitate/to stir up/(P)/
煽情 [せんじょう] /(n) suggestiveness/
煽情的 [せんじょうてき] /(adj-na) inflammatory/lascivious/sensational/
煽動 [せんどう] /(oK) (n,vs) incitement/sedition/agitation/abetting/
旋回 [せんかい] /(n,vs) revolution/rotation/turning/swiveling/circling/(P)/
旋回運動 [せんかいうんどう] /(n) gyrating (rotating) movement/
旋廻 [せんかい] /(n,vs) revolution/rotation/turning/swiveling/circling/
旋光 [せんこう] /(n) polarimetric/
旋光角 [せんこうかく] /(n) angle of rotation/
旋光性 [せんこうせい] /(n) optical rotation/optical rotatory/rotatory/
旋光分析 [せんこうぶんせき] /(n) polarimetric analysis/
旋削 [せんさく] /(n) turning (on a lathe)/
旋条 [せんじょう] /(n) (gun barrel) rifling/
旋転 [せんてん] /(n,vs) revolution/gyration/whirling/rotation/
旋盤 [せんばん] /(n) lathe/
旋盤工 [せんばんこう] /(n) lathe operator/
旋風 [せんぷう] /(n) (1) whirlwind/(2) commotion/sensation/hullabaloo/(P)/
旋風 [つじかぜ] /(n) (1) whirlwind/
旋風 [つむじかぜ] /(n) (1) whirlwind/
旋法 [せんぽう] /(n,adj-no) (musical) mode/
旋毛 [せんもう] /(n) a whorl of hair on the (back of the) head/
旋毛 [つむじ] /(n) a whorl of hair on the (back of the) head/
旋毛曲がり [つむじまがり] /(adj-na,n) perversity/cantankerous/eccentric/
旋毛虫症 [せんもうちゅうしょう] /(n) trichinosis/trichinelliasis/
旋律 [せんりつ] /(n,adj-no) melody/tune/(P)/
旋律的短音階 [せんりつてきたんおんかい] /(n) melodic minor scale/
旋棍 [とんふあ] /(n) (uk) (rkb:) tonfa (traditional Okinawan weapon similar to a nightstick)/
穿く [はく] /(v5k,vt) (1) to put on (or wear) lower-body clothing (i.e. pants, skirt, etc.)/to put on (or wear) footwear/(2) to affix a sword to one's hip/(3) to affix a bowstring to a bow/
穿ちすぎた [うがちすぎた] /(adj-f) farfetched/
穿つ [うがつ] /(v5t,vt) to drill/to bore/to pierce/to put on/to wear/to be true to (nature)/to hit (the mark)/
穿り出す [ほじくりだす] /(v5s,vt) (1) to pick something out (nose, hole, etc.)/(2) to pry (into people's private affairs)/
穿り返す [ほじくりかえす] /(v5s,vt) to dig up/to expose/to disclose/
穿る [ほじくる] /(v5r,vt) (1) (uk) to dig up/to peck at/to pick (nose, teeth, etc.)/(2) to pry into/to examine/to dredge up/
穿る [ほじる] /(v5r,vt) (1) (uk) to dig up/to peck at/to pick (nose, teeth, etc.)/(2) to pry into/to examine/to dredge up/
穿孔 [せんこう] /(n,vs) (1) perforation/punching (a hole)/rupture/(2) (comp) punch/
穿孔カード [せんこうカード] /(n) (comp) punch card/
穿孔テープ [せんこうテープ] /(n) (comp) punched tape/
穿孔位置 [せんこういち] /(n) (comp) punch position/punching position/
穿孔機 [せんこうき] /(n) drill/perforator/(hole) puncher/keypunch/
穿孔機構 [せんこうきこう] /(n) (comp) punch/
穿孔済カード [せんこうずみカード] /(n) (comp) punched card/
穿孔装置 [せんこうそうち] /(n) (comp) punch/
穿孔通路 [せんこうつうろ] /(n) (comp) punch path/
穿孔部 [せんこうぶ] /(n) (comp) punch station/
穿孔翻訳機 [せんこうほんやくき] /(n) (comp) interpreter (device)/
穿山甲 [せんざんこう] /(n) pangolin/
穿刺 [せんし] /(n,vs) puncture/stab/
穿通 [せんつう] /(n,vs) penetration/
穿鑿 [せんさく] /(n,vs) scrutiny/digging into/excavation/inquiry into/enquiry into/prying/
箭 [さ] /(ok) (n) arrow/
箭 [や] /(n) arrow/
箭竹 [やだけ] /(n) (1) bamboo arrow shaft/(2) (uk) arrow bamboo (Pseudosasa japonica)/
線 [せん] /(n,n-suf) line (also telephone, railway)/wire/beam/(P)/
線の太い人 [せんのふといひと] /(n) strong-nerved person/
線を引く [せんをひく] /(exp,v5k) to draw a line/
線グラフ [せんグラフ] /(n) line graph/line chart/
線スペクトル [せんスペクトル] /(n) line spectrum/
線維 [せんい] /(n,adj-no) fibre/fiber/textile/
線維束 [せんいそく] /(n) (1) fascicle/(2) fiber bundle/fibre bundle/
線引き [せんびき] /(n,vs) delineation/demarcation/
線画 [せんが] /(n) line drawing/
線間隔 [せんかんかく] /(n) (comp) line spacing/
線型 [せんけい] /(n,adj-no) (1) line/straight alignment/(2) (math) (comp) linear/linearity/
線形 [せんけい] /(n,adj-no) (1) line/straight alignment/(2) (math) (comp) linear/linearity/
線形システム [せんけいシステム] /(n) (comp) linear system/
線形フィルタ [せんけいフィルタ] /(n) (comp) linear filter/
線形リスト [せんけいリスト] /(n) (comp) linear list/
線形関数 [せんけいかんすう] /(n) linear function/
線形計画法 [せんけいけいかくほう] /(n) linear programming/
線形写像 [せんけいしゃぞう] /(n) linear mapping/
線形順序 [せんけいじゅんじょ] /(n) linear precedence/LP/
線形代数 [せんけいだいすう] /(n) linear algebra/
線形探索 [せんけいたんさく] /(n) (comp) linear search/
線形虫 [せんけいちゅう] /(n) nematomorph/horsehair worm/gordian worm/hair worm (any of the parasitic nematode-like worms of phylum Nematomorpha)/
線形動物 [せんけいどうぶつ] /(n) nematode/
線形独立 [せんけいどくりつ] /(adj-na) (comp) linearly independent (e.g. equations)/
線形二元系列生成機 [せんけいにげんけいれつせいせいき] /(n) (comp) linear binary sequence generator/
線形表記法 [せんけいひょうきほう] /(n) (comp) linear notation/
線形分類体系 [せんけいぶんるいたいけい] /(n) (comp) linear classification system/
線形補間 [せんけいほかん] /(n) (comp) linear interpolation/
線形方程式 [せんけいほうていしき] /(n) (comp) linear equation/
線形論理 [せんけいろんり] /(n) linear logic/
線径 [せんけい] /(n) wire diameter/
線源 [せんげん] /(n) source of radiation/radiation source/
線香 [せんこう] /(n) incense stick/(P)/
線香花火 [せんこうはなび] /(n) toy fireworks/sparklers/
線香代 [せんこうだい] /(n) fee for a geisha's time/
線材 [せんざい] /(n) wire rod/wire/
線種 [せんしゅ] /(n) (comp) linetype/
線上 [せんじょう] /(adj-f) on the line/borderline/
線条 [せんじょう] /(n) line/a streak/
線条痕 [せんじょうこん] /(n) rifling marks on a fired bullet/
線状 [せんじょう] /(adj-no) linear/
線状ネットワーク [せんじょうネットワーク] /(n) (comp) linear network/
線状網 [せんじょうもう] /(n) (comp) linear network/
線織面 [せんしきめん] /(n) ruled surface/
線審 [せんしん] /(n) linesman/
線進行方向 [せんしんこうほうこう] /(n) (comp) line progression/
線図形処理 [せんずけいしょり] /(n) (comp) coordinate graphics/line graphics/
線積分 [せんせきぶん] /(n) (math) line integral/path integral/contour integral/curve integral/
線速度 [せんそくど] /(n) linear velocity/
線虫 [せんちゅう] /(n) nematode/
線虫類 [せんちゅうるい] /(n) nematodes/
線表 [せんぴょう] /(n) bar chart/Gantt chart/
線描 [せんびょう] /(n) line drawing/
線幅倍率 [せんぷくばいりつ] /(n) (comp) linewidth scale factor/
線分 [せんぶん] /(n) line segment/
線分文字発生器 [せんぶんもじはっせいき] /(n) (comp) stroke character generator/
線量 [せんりょう] /(n) dose (of radioactivity)/(P)/
線量計 [せんりょうけい] /(n) dosimeter/
線量限度 [せんりょうげんど] /(n) dose limit/
線量当量 [せんりょうとうりょう] /(n) dose equivalent/
線路 [せんろ] /(n) line/track/roadbed/(P)/
繊 [せん] /(n) (1) (abbr) daikon julienne/julienned daikon/(2) one ten-millionth/
繊維 [せんい] /(n,adj-no) fibre/fiber/textile/(P)/
繊維光学 [せんいこうがく] /(n) fiber optics/fibre optics/
繊維工業 [せんいこうぎょう] /(n) textile industry/
繊維細胞 [せんいさいぼう] /(n) fiber cell (fibre)/
繊維質 [せんいしつ] /(n) dietary fiber (fibre)/
繊維性 [せんいせい] /(adj-na) fibrous/
繊維素 [せんいそ] /(n) (1) cellulose/(2) fibrin/
繊維素原 [せんいそげん] /(n) (obsc) fibrinogen/
繊維束 [せんいそく] /(n) (1) fascicle/(2) fiber bundle/fibre bundle/
繊月 [せんげつ] /(n) crescent moon/
繊巧 [せんこう] /(adj-na,n) fine workmanship/
繊細 [せんさい] /(adj-na,n) delicate/dainty/fine/slim/sensitive/subtle/(P)/
繊指 [せんし] /(n) woman's slender fingers/
繊弱 [せんじゃく] /(adj-na,n) delicate/frail/
繊手 [せんしゅ] /(n) slender hand/
繊条 [せんじょう] /(n) filament/
繊切り [せんぎり] /(n) small pieces or strips of vegetables/
繊度 [せんど] /(n) fineness/
繊毛 [せんもう] /(n) (1) cilia/cilium/(2) fine hairs/
繊毛虫 [せんもうちゅう] /(n) ciliate/
繊六本 [せんろっぽん] /(n) julienne (esp. of daikon)/long, thin strips/
繊蘿蔔 [せんろふ] /(n) (obsc) daikon julienne/julienned daikon/
羨ましい [うらやましい] /(adj-i) (1) envious (feeling, etc.)/jealous/(2) enviable (position, etc.)/(P)/
羨む [うらやむ] /(v5m,vt) to envy/
羨望 [せんぼう] /(n,vs) envy/
腺 [せん] /(n,n-suf) gland/
腺ペスト [せんペスト] /(n) bubonic plague/
腺癌 [せんがん] /(n) adenocarcinoma/
腺腫 [せんしゅ] /(n) adenoma/
腺熱 [せんねつ] /(n) mononucleosis/glandular fever/
腺熱リケッチア症 [せんねつリケッチアしょう] /(n) sennetsu rickettsiosis/
腺病質 [せんびょうしつ] /(n) scrofulosis/being in delicate health/lymphatic temperament/
腺毛 [せんもう] /(n) glandular hair/
腺様 [せんよう] /(n,adj-no) adenoid/
舛 [まいあし] /(n) kanji "dancing legs" radical (radical 136)/
船 [ふね] /(n) (1) ship/boat/watercraft/vessel/steamship/(2) tank/tub/vat/trough/(n-suf,ctr) (3) counter for boat-shaped containers (e.g. of sashimi)/(P)/
船に乗る [ふねにのる] /(exp,v5r) to board a ship/
船の腹 [ふねのはら] /(n) belly of a boat/
船びき網 [ふなびきあみ] /(n) boat seine/
船べり [ふなべり] /(n) side of a boat/gunwale/
船をこぐ [ふねをこぐ] /(exp,v5g) (1) to row a boat/(2) to nod off/to doze off/
船を漕ぐ [ふねをこぐ] /(exp,v5g) (1) to row a boat/(2) to nod off/to doze off/
船医 [せんい] /(n) ship's doctor/
船員 [せんいん] /(n,adj-no) sailor/(P)/
船員保険 [せんいんほけん] /(n) seamen's insurance/
船員労働委員会 [せんいんろうどういいんかい] /(n) Labour Relations Commission for Seafarers/
船引き網 [ふなびきあみ] /(n) boat seine/
船引網 [ふなびきあみ] /(n) boat seine/
船影 [せんえい] /(n) signs of a ship/
船曳き網 [ふなびきあみ] /(n) boat seine/
船曳網 [ふなびきあみ] /(io) (n) boat seine/
船縁 [ふなべり] /(n) side of a boat/gunwale/
船架 [せんか] /(n) (1) slipway/(2) cradle used on a slipway for launch or repair of small ships/
船歌 [ふなうた] /(n) sailor's song/boat song/shanty/
船火事 [ふなかじ] /(n) fire aboard ship/
船荷 [ふなに] /(n) cargo/freight/
船荷証券 [ふなにしょうけん] /(n) bill of lading/BL/
船会社 [ふながいしゃ] /(n) steamship (shipping) company/
船貝 [ふねがい] /(n) (uk) Arca avellana (species of ark shell)/
船外 [せんがい] /(adj-no) outboard/extra-vehicular/
船外機 [せんがいき] /(n) outboard motor/
船掛かり [ふながかり] /(n) anchorage/a moorage/
船客 [せんきゃく] /(n) passenger/
船脚 [せんきゃく] /(n) (1) speed of a boat/
船脚 [ふなあし] /(n) (1) speed of a boat/(2) draft/draught/
船級 [せんきゅう] /(n) ship's classification/
船渠 [せんきょ] /(n) a dock/
船競べ [ふなくらべ] /(n) (arch) boat race/
船橋 [せんきょう] /(n) (1) pontoon bridge/temporary bridge made using ships/(2) bridge (of a ship)/
船橋 [ふなばし] /(n) (1) pontoon bridge/temporary bridge made using ships/(P)/
船玉 [ふなだま] /(n) guardian deity of a ship/
船具 [せんぐ] /(n) ship's fittings or rigging/
船具 [ふなぐ] /(n) ship's fittings or rigging/
船型 [せんけい] /(n) type of vessel/design of a ship/
船形 [せんけい] /(n,adj-no) navicular/boat-shaped/
船形 [ふながた] /(n,adj-no) navicular/boat-shaped/
船魂 [ふなだま] /(n) guardian deity of a ship/
船室 [せんしつ] /(n) stateroom/cabin/(P)/
船主 [せんしゅ] /(n) shipowner/(P)/
船主 [ふなぬし] /(n) shipowner/
船守り [ふなもり] /(n) boat watchman/watching over a boat/
船首 [せんしゅ] /(n) bow (of boat)/prow/stem/
船首像 [せんしゅぞう] /(n) figurehead (on a ship)/
船宿 [ふなやど] /(n) shipping agent/boathouse/inn for sailors/
船出 [ふなで] /(n,vs) setting sail/putting out to sea/(P)/
船小屋 [ふなごや] /(n) boathouse/
船床 [ふなどこ] /(n) a boat's floorboards/ship's hold/
船上 [せんじょう] /(adv,adj-no) on board/
船乗り [ふなのり] /(n) (1) getting on board/(2) sailor/seaman/
船乗りになる [ふなのりになる] /(exp,v5r) to go to sea/to become a sailor/
船場 [ふなば] /(n) (arch) wharf/quay/dock/
船食虫 [ふなくいむし] /(n) (uk) shipworm (esp. naval shipworm, Teredo navalis)/teredo/
船人 [ふなびと] /(n) sailor/boatman/passenger/
船酔い [ふなよい] /(n,vs) seasickness/(P)/
船積み [ふなづみ] /(n,vs) lading/shipment/
船籍 [せんせき] /(n) ship's nationality/ship's country of registration/(P)/
船籍港 [せんせきこう] /(n) port of registry/
船倉 [せんそう] /(n) ship's hold/hatch/
船窓 [せんそう] /(n) porthole/
船側 [せんそく] /(n) side of a ship/
船側渡し [せんそくわたし] /(n) free alongside ship/FAS/
船足 [ふなあし] /(n) (1) speed of a boat/(2) draft/draught/
船体 [せんたい] /(n) hull/(P)/
船待ち [ふなまち] /(n) waiting for a ship to depart/
船隊 [せんたい] /(n) fleet/
船台 [せんだい] /(n) (shipbuilding) berth/
船大工 [ふなだいく] /(n) shipwright/boatbuilder/
船蛸 [ふねだこ] /(n) (uk) winged argonaut (species of paper nautilus, Argonauta hians)/
船棚 [ふなだな] /(n) (obsc) planking (on a wooden ship)/
船端 [ふなばた] /(n) side of a boat/
船団 [せんだん] /(n) (naval) fleet/
船着き場 [ふなつきば] /(n) harbour/harbor/landing place/wharf/anchorage/
船着場 [ふなつきば] /(n) harbour/harbor/landing place/wharf/anchorage/
船中 [せんちゅう] /(n) on board a ship/
船虫 [ふなむし] /(n) wharf roach (species of isopod closely related to the sea slater; Ligia exotica)/
船長 [せんちょう] /(n) ship's captain/(P)/
船長室 [せんちょうしつ] /(n) captain's cabin/
船賃 [ふなちん] /(n) passage/fare/shipping charges/
船釣 [ふなづり] /(n) boat fishing/
船釣 [ふねづり] /(n) boat fishing/
船釣り [ふなづり] /(n) boat fishing/
船釣り [ふねづり] /(n) boat fishing/
船底 [せんてい] /(n) ship's bottom/bilge/
船底 [ふなぞこ] /(n) ship's bottom/bilge/
船艇 [せんてい] /(n) ship/boat/vessel/craft/
船渡し [ふなわたし] /(n) (1) ferry/(2) free on board/FOB/
船灯 [せんとう] /(n) ship's lamp/
船頭 [せんどう] /(n) boatman/
船頭多くして船山に上る [せんどうおおくしてふねやまにのぼる] /(exp) too many cooks spoil the broth (lit: too many captains will steer the ship up a mountain)/
船頭多くして船山に登る [せんどうおおくしてふねやまにのぼる] /(exp) too many cooks spoil the broth (lit: too many captains will steer the ship up a mountain)/
船内 [せんない] /(n,adj-no) on-board ship/inboard/
船舶 [せんぱく] /(n,adj-no) ship/(P)/
船舶安全法 [せんぱくあんぜんほう] /(n) Ship Safety Law (1933)/
船舶業 [せんぱくぎょう] /(n) shipping industry/
船舶登録証 [せんぱくとうろくしょう] /(n) ship's certificate/ship's registration/
船舶保険 [せんぱくほけん] /(n) hull insurance/
船板 [ふないた] /(n) (ship or shipbuilding) timber or plank/
船板塀 [ふないたべい] /(n) fence made from disused ship planks/
船尾 [せんび] /(n,adj-no) stern of a ship/
船幅 [せんぷく] /(n) ship's beam/
船腹 [せんぷく] /(n) side or bottom of a ship/ship's hold/bottoms/shipping/tonnage/freight space/
船便 [ふなびん] /(n) surface mail (ship)/(P)/
船方 [ふなかた] /(n) boatman/
船名 [せんめい] /(n) name of a vessel/
船幽霊 [ふなゆうれい] /(n) marine spirits/
船遊び [ふなあそび] /(n) boating/sailing/
船留め [ふなどめ] /(n) preventing a ship from passing or from leaving port/
船旅 [ふなたび] /(n) trip by boat/(P)/
船霊 [ふなだま] /(n) guardian deity of a ship/
船齢 [せんれい] /(n) age of a vessel/
船路 [ふなじ] /(n) sea route/voyage/
船艙 [せんそう] /(n) hold (of a ship)/hatch/
船饅頭 [ふなまんじゅう] /(n) low-grade prostitute/prostitute working from boats on the Sumida River/
薦 [こも] /(n) (1) (abbr) woven straw mat (orig. made of wild rice leaves)/(2) beggar/(3) (arch) Manchurian wild rice (Zizania latifolia)/
薦め [すすめ] /(n,vs) recommendation/advice/suggestion/encouragement/
薦める [すすめる] /(v1,vt) to recommend/to advise/to encourage/to offer (wine)/(P)/
薦挙 [せんきょ] /(n,vs) recommendation/
薦骨 [せんこつ] /(n,adj-no) (1) sacrum/sacral bone/
薦僧 [こもそう] /(n) (arch) mendicant Zen priest of the Fuke sect/
薦僧 [こもぞう] /(n) (arch) mendicant Zen priest of the Fuke sect/
薦椎 [せんつい] /(n) sacral vertebra/
薦被り [こもかぶり] /(n) cask wrapped in straw matting/beggar/
薦筵 [こもむしろ] /(n) (obsc) mat of woven wild rice leaves/
詮 [かい] /(n) effect/result/worth/use/avail/
詮ない [せんない] /(adj-i) unavoidable/no help for/
詮議 [せんぎ] /(n,vs) discussion/examination/
詮議立て [せんぎだて] /(n,vs,vt) considering thoroughly/making a thorough investigation/discussing thoroughly/
詮索 [せんさく] /(n,vs) inquiry into/enquiry into/prying (into)/investigation/search/exploration/
詮索好き [せんさくずき] /(n) nosy person/busybody/
詮術 [せんすべ] /(ateji) (n) (proper) methods/
詮方 [せんかた] /(n) required means/
詮方無い [せんかたない] /(ateji) (adj-i) (1) it cannot be helped/there is no way/(2) (arch) intolerable/unbearable/
詮無い [せんない] /(adj-i) unavoidable/no help for/
賎業 [せんぎょう] /(n) low or mean occupation/
賎民 [せんみん] /(n) humble or lowly people/
践む [ふむ] /(v5m,vt) (1) to step on/to tread on/(2) to experience/to undergo/(3) to estimate/to value/to appraise/(4) to rhyme/(5) (arch) to inherit (the throne, etc.)/(6) to follow (rules, morals, principles, etc.)/
践言 [せんげん] /(n,vs) keeping one's word/
践踏 [せんとう] /(n,vs) trampling down/
践祚 [せんそ] /(n) accession (to the throne)/
選 [せん] /(n) (1) selection/choice/election/(2) compilation/editing/(P)/
選に入る [せんにはいる] /(exp,v5r) to be selected/to be chosen/
選ばれし者 [えらばれしもの] /(n) the chosen one/the chosen ones/the select few/
選ばれる [えらばれる] /(v1) to be elected/
選びとる [えらびとる] /(v5r) to pick out item(s) from a group to keep/
選び取る [えらびとる] /(v5r) to pick out item(s) from a group to keep/
選び出す [えらびだす] /(v5s,vt) to select/to pick out/
選び抜く [えらびぬく] /(v5k,vt) to single out/
選び方 [えらびかた] /(n) choice/
選ぶ [えらぶ] /(v5b,vt) to choose/to select/(P)/
選ぶ所がない [えらぶところがない] /(exp) (id) There is nothing choose between the two/
選り [より] /(n) selecting/choosing/
選りすぐる [えりすぐる] /(v5r,vt) to choose the best/
選りすぐる [よりすぐる] /(v5r,vt) to choose the best/
選りに選って [よりによって] /(exp) (uk) of all things/expression used to criticize a poor decision/
選り屑 [えりくず] /(n) trash/
選り屑 [よりくず] /(n) trash/
選り好み [えりごのみ] /(n,vs) being particular about/fastidious/
選り好み [よりごのみ] /(n,vs) being particular about/fastidious/
選り取り [よりどり] /(n) picking and choosing/
選り取り見取り [よりどりみどり] /(n) having one's choice/
選り出す [えりだす] /(v5s,vt) to select/to pick out/
選り出す [よりだす] /(v5s,vt) to select/to pick out/
選り抜き [えりぬき] /(adj-no,n) the very best/elite/
選り抜き [よりぬき] /(adj-no,n) the very best/elite/
選り抜く [えりぬく] /(v5k,vt) to select/to choose/
選り抜く [よりぬく] /(v5k,vt) to select/to choose/
選り分ける [えりわける] /(v1,vt) to classify/to sort out/to sift through/
選り分ける [よりわける] /(v1,vt) to classify/to sort out/to sift through/(P)/
選る [える] /(v5r,vt) to choose/to select/
選る [すぐる] /(v5r,vt) to choose/to select/
選る [よる] /(v5r,vt) to choose/to select/(P)/
選科 [せんか] /(n) elective course or subject/
選科生 [せんかせい] /(n) special student/
選果 [せんか] /(n,vs) sorting fruit/
選歌 [せんか] /(n) selection of poems/selected poems/
選外 [せんがい] /(n) unselected/
選外佳作 [せんがいかさく] /(n) honorable mention/honourable mention/
選管 [せんかん] /(n) (abbr) election administration/
選球 [せんきゅう] /(n,vs) waiting for a good hit at a pitch (baseball)/
選球眼 [せんきゅうがん] /(n) batting eye (ability to judge whether a pitch will be called a ball or a strike) (baseball)/
選挙 [せんきょ] /(n,vs,adj-no) election/(P)/
選挙に出る [せんきょにでる] /(exp,v1) to run for election/
選挙を控えて [せんきょをひかえて] /(exp) with the election around the corner/
選挙ポスター [せんきょポスター] /(n) campaign poster/
選挙違反 [せんきょいはん] /(n) electoral irregularities/
選挙運動 [せんきょうんどう] /(n) participation in election campaign/(P)/
選挙運動資金 [せんきょうんどうしきん] /(n) campaign fund/
選挙管理委員会 [せんきょかんりいいんかい] /(n) Committee for Election Administration/
選挙区 [せんきょく] /(n) electoral district/precinct/
選挙権 [せんきょけん] /(n) suffrage/the right to vote/(P)/
選挙公報 [せんきょこうほう] /(n) official gazette for elections/
選挙集会 [せんきょしゅうかい] /(n) campaign rally/
選挙準備 [せんきょじゅんび] /(n) election preparations/
選挙人 [せんきょにん] /(n) qualified voter/(P)/
選挙人団 [せんきょにんだん] /(n) electoral college/
選挙人登録 [せんきょにんとうろく] /(n) voter registration/
選挙人名簿 [せんきょにんめいぼ] /(n) voter registration list/electoral register/
選挙制度 [せんきょせいど] /(n) electoral system/
選挙戦 [せんきょせん] /(n) election campaign/(P)/
選挙対策 [せんきょたいさく] /(n) election campaign strategy/election tactics/
選挙日 [せんきょび] /(n) election day/
選挙法 [せんきょほう] /(n) election laws/
選挙民 [せんきょみん] /(n) voters/electorate/
選局 [せんきょく] /(n,vs) tuning (a radio)/
選曲 [せんきょく] /(n) (1) chosen song/choosing a song/(vs) (2) to choose a song/
選言 [せんげん] /(n) (comp) (logical) disjunction/
選言的 [せんげんてき] /(adj-na) disjunctive/
選言的三段論法 [せんげんてきさんだんろんぽう] /(n) disjunctive syllogism/
選言的判断 [せんげんてきはんだん] /(n) (obsc) disjunctive judgment (judgement)/
選好 [せんこう] /(n) preference/
選考 [せんこう] /(n,vs) selection/screening/(P)/
選考委員 [せんこういいん] /(n) selection committee member/member of a screening committee/
選考委員会 [せんこういいんかい] /(n) selection committee/screening committee/nomination committee/
選考基準 [せんこうきじゅん] /(n) criterion (criteria) for selection/
選鉱 [せんこう] /(n,vs) ore sorting/ore dressing/
選時 [せんじ] /(n) election time/election period/
選者 [せんじゃ] /(n) judge/selector/(P)/
選取り [よりどり] /(n) picking and choosing/
選手 [せんしゅ] /(n) player (in game)/team member/(P)/
選手一人一人 [せんしゅひとりひとり] /(n) each athlete/
選手権 [せんしゅけん] /(n) championship/title (of champion)/(P)/
選手権試合 [せんしゅけんじあい] /(n) title match/championship bout/
選手権大会 [せんしゅけんたいかい] /(n) championship series/
選手権保持者 [せんしゅけんほじしゃ] /(n) champion/(championship) title holder/
選手生命 [せんしゅせいめい] /(n) player's career/one's career in sport/one's career as an athlete/
選手村 [せんしゅむら] /(n) athlete's village (during Olympics)/(P)/
選手団 [せんしゅだん] /(n) team/squad/
選集 [せんしゅう] /(n) selection (e.g. of poems, texts)/anthology/selected extracts/
選集 [せんじゅう] /(n) selection (e.g. of poems, texts)/anthology/selected extracts/
選出 [せんしゅつ] /(n,vs) election/(P)/
選書 [せんしょ] /(n) anthology/selection of books/
選奨 [せんしょう] /(n,vs) recommendation/(P)/
選対 [せんたい] /(n) (abbr) election campaign strategy/election tactics/
選対本部 [せんたいほんぶ] /(n) election headquarters/
選択 [せんたく] /(n,vs) selection/choice/option/(P)/
選択された実行可能試験項目群 [せんたくされたじっこうかのうしけんこうもくぐん] /(n) (comp) selected executable test suite/
選択された抽象的試験項目群 [せんたくされたちゅうしょうてきしけんこうもくぐん] /(n) (comp) selected abstract test suite/
選択クラス [せんたくクラス] /(n) (comp) selected class/
選択チャネル [せんたくチャネル] /(n) (comp) selector channel/
選択パラメタ [せんたくパラメタ] /(n) (comp) selected parameter/selective parameter/
選択フィールド保護 [せんたくフィールドほご] /(n) (comp) selective field protection/
選択科目 [せんたくかもく] /(n) elective subject or course/(P)/
選択解除 [せんたくかいじょ] /(n,vs) (comp) deselection/
選択機能 [せんたくきのう] /(n) (comp) function preselection capability/
選択型 [せんたくがた] /(n) (comp) choice type/
選択権 [せんたくけん] /(n) choice/option/
選択項目 [せんたくこうもく] /(n) choice/
選択子 [せんたくし] /(n) selector/selective/
選択肢 [せんたくし] /(n) choices/alternatives/options/(P)/
選択式 [せんたくしき] /(n,adj-f) (abbr) multiple choice (e.g. question)/
選択者 [せんたくしゃ] /(n) chooser/selector/
選択授業 [せんたくじゅぎょう] /(n) elective class/
選択抄録 [せんたくしょうろく] /(n) (comp) selective abstract/slanted abstract/
選択情報量 [せんたくじょうほうりょう] /(n) (comp) decision content/
選択状態 [せんたくじょうたい] /(n) selection condition/selection conditions/
選択信号 [せんたくしんごう] /(n) (comp) selection signal/
選択値群 [せんたくちぐん] /(n) value set/
選択値入力装置 [せんたくちにゅうりょくそうち] /(n) (comp) choice device/
選択的 [せんたくてき] /(adj-na) selective/optional/alternative/
選択的セロトニン再取り込み阻害薬 [せんたくてきセロトニンさいとりこみそがいやく] /(n) selective serotonin reuptake inhibitor/SSRI/
選択領域 [せんたくりょういき] /(n) (comp) selected area/
選炭 [せんたん] /(n,vs) sorting of coal/
選炭機 [せんたんき] /(n) coal washing system/coal dressing machine/coal washer/
選定 [せんてい] /(n,vs) selection/(P)/
選日 [せんじつ] /(n) selecting an auspicious date by looking at the astrological information on the calendar/date selected in such a manner/
選任 [せんにん] /(n,vs) nomination (of a person to a position)/selection/election/assignment/appointment/(P)/
選抜 [せんばつ] /(n,vs) selection/choice/picking out/(P)/
選抜高等学校野球大会 [せんばつこうとうがっこうやきゅうたいかい] /(n) National Invitational High-School Baseball Tournament/Spring Koshien/
選抜試験 [せんばつしけん] /(n) selection test/
選評 [せんぴょう] /(n) selection and commentary (on literary texts or poems)/
選別 [せんべつ] /(n,vs) selection/classification/sorting/screening/triage/(P)/
選民 [せんみん] /(n) the chosen people/
選民意識 [せんみんいしき] /(n) sense of being the chosen people/
選民思想 [せんみんしそう] /(n) elitism/idea of being part of a chosen people/
選良 [せんりょう] /(n) member of parliament/
遷す [うつす] /(v5s,vt) (1) to change/to swap/to substitute/to transfer/(2) to change the object of one's interest or focus/(3) to spend or take time/(4) to infect/(5) to permeate something with the smell or colour of something/(6) to move on to the next or different stage of (a plan, etc.)/
遷る [うつる] /(v5r,vi) (1) to move (house)/to transfer (department)/(2) to change the target of interest or concern/(3) to elapse (passage of time)/(4) to be permeated by a colour or scent/(5) to be infected/to be contagious/to spread (as in fire)/
遷移 [せんい] /(n,vs) transition/
遷移確率 [せんいかくりつ] /(n) (comp) transition probability (e.g. in a Markov chain)/
遷移関数 [せんいかんすう] /(n) (comp) transfer function/
遷移元素 [せんいげんそ] /(n) transition element/transition metal/
遷移図 [せんいず] /(n) (comp) transition diagram/
遷延 [せんえん] /(n,vs) delay/procrastination/
遷音速 [せんおんそく] /(n) transonic (speed)/transsonic (speed)/
遷化 [せんげ] /(n,vs) death (of a high priest)/
遷客 [せんかく] /(n) exiled person/
遷宮 [せんぐう] /(n) installation of a deity in a new shrine/transfer of a shrine/
遷宮祭 [せんぐうさい] /(n) transfer ceremony (wherein a shrine's sacred object is moved from one building to another)/
遷幸 [せんこう] /(n,vs) departure of the emperor from the capital/
遷座 [せんざ] /(n,vs) relocation of a shrine/transfer of an object of worship/
遷車台 [せんしゃだい] /(n) traverse table/transfer table/car transfer/
遷都 [せんと] /(n,vs) relocation of the capital/transfer of the capital/(P)/
遷流 [せんる] /(n) (Buddh) transient/
銭 [せん] /(n) (1) hundredth of a yen/(2) coin made of non-precious materials/(3) (obs) one-thousandth of a kan (as a unit of currency)/(4) (arch) one-thousandth of a kan (as a unit of mass)/(P)/
銭 [ぜに] /(n) (1) (col) round coin with a (square) hole in the center/(2) coin made of non-precious materials/(3) money/
銭の取れる [ぜにのとれる] /(exp,v1) to be worth the money/
銭葵 [ぜにあおい] /(n) (uk) common mallow (Malva sylvestris var. mauritiana)/
銭貨 [せんか] /(n) coin (esp. an east Asian coin, many of which have a hole in the center)/
銭貨学 [せんかがく] /(n) (obsc) numismatics/
銭勘定 [ぜにかんじょう] /(n) counting the revenues and expenditures/counting the gains and losses/
銭亀 [ぜにがめ] /(n) pond turtle/
銭金 [ぜにかね] /(n) money/
銭形海豹 [ぜにがたあざらし] /(n) (uk) harbor seal (Phoca vitulina)/harbour seal/common seal/
銭遣い [ぜにづかい] /(n) (way of) spending money/
銭苔 [ぜにごけ] /(n) liverwort/
銭袋 [ぜにぶくろ] /(n) (obsc) coin purse/
銭湯 [せんとう] /(n) bath-house/public bath/(P)/
銭入れ [ぜにいれ] /(n) till/purse/handbag/
銭箱 [ぜにばこ] /(n) cash box/
銑 [ずく] /(n) (abbr) (col) pig iron/
銑鉄 [ずくてつ] /(n) pig iron/
銑鉄 [せんてつ] /(n) pig iron/(P)/
閃かす [ひらめかす] /(v5s,vt) to brandish/to flash/to display/
閃き [ひらめき] /(n) (1) flair/flash/(2) insight/(3) waving (e.g. of a flag in the wind)/
閃く [ひらめく] /(v5k,vi) (1) to flash (lightning, etc.)/to flicker (lights)/to glitter/(2) to wave/to undulate/(3) to hit on a good idea/to occur to someone/(P)/
閃ウラン鉱 [せんウランこう] /(n) uraninite/
閃亜鉛鉱 [せんあえんこう] /(n) sphalerite/zinc blende/
閃光 [せんこう] /(n) flash/glint/
閃光信号 [せんこうしんごう] /(n) flashing light signal/
閃光電球 [せんこうでんきゅう] /(n,adj-no) flash bulb/
閃光灯 [せんこうとう] /(n) flashing light/
閃電 [せんでん] /(n) flash of lightning/
閃緑岩 [せんりょくがん] /(n) diorite (a type of rock similar to granite)/
鮮か [あざやか] /(io) (adj-na) vivid/clear/brilliant/
鮮やか [あざやか] /(adj-na) vivid/clear/brilliant/(P)/
鮮鋭 [せんえい] /(adj-na,n) sharp/clear/
鮮魚 [せんぎょ] /(n) fresh fish/(P)/
鮮魚店 [せんぎょてん] /(n) fish dealer/fresh fish retailer/fishmonger/
鮮血 [せんけつ] /(n) fresh blood/
鮮血淋漓 [せんけつりんり] /(adj-t,adv-to) dripping with fresh blood/
鮮紅 [せんこう] /(n) scarlet/bright red/
鮮紅色 [せんこうしょく] /(adj-na) florid/
鮮少 [せんしょう] /(adj-na,n) very little/quite few/
鮮新世 [せんしんせい] /(n) Pliocene epoch/
鮮人 [せんじん] /(n) (col) Korean person/
鮮度 [せんど] /(n) (degree of) freshness/(P)/
鮮肉 [せんにく] /(n) fresh meat/
鮮卑 [せんぴ] /(n) Xianbei (ancient nomadic tribe of northern Asia)/
鮮明 [せんめい] /(adj-na,n) vivid/clear/distinct/(P)/
鮮緑 [せんりょく] /(n) bright green/
鮮麗 [せんれい] /(adj-na,n) vivid/gorgeous/resplendent beauty/bright/
鮮烈 [せんれつ] /(adj-na,n) vivid/striking/(P)/
前 [さき] /(n,adj-no,n-suf,pref) (1) previous/prior/former/some time ago/preceding/(2) point (e.g. pencil)/tip/end/nozzle/(3) head (of a line)/front/(4) ahead/the other side/(5) the future/hereafter/(6) destination/(7) the other party/
前 [ぜん] /(n-pref) (1) the last (i.e. immediately preceding) (e.g. "the last mayor")/previous/one-time/former/(2) (before the name of an era) pre- (e.g. "premodern")/(adj-no,n) (3) before/earlier/(P)/
前 [まえ] /(n-adv,n-t,suf) (1) ago/before (some event)/previously/(minutes) to (the hour)/(2) in front (of)/before (e.g. the house)/(3) head (of a line)/front (e.g. of a bus)/fore part/(4) in the presence of/(5) helping/portion/(6) privates/private parts/(P)/
前々 [まえまえ] /(n) beforehand/for a long time/(P)/
前々回 [ぜんぜんかい] /(n) the time before last/last time but one/
前がん病変 [ぜんがんびょうへん] /(n) precancerous lesion/
前だれ [まえだれ] /(n) apron/
前に [まえに] /(adv) ahead/before/ago/
前に述べたように [まえにのべたように] /(exp) as discussed previously/as mentioned above/
前に買った分 [まえにかったぶん] /(exp) the lot I bought earlier/
前のめり [まえのめり] /(exp) pitching forward, as if to fall./
前の週 [まえのしゅう] /(exp) previous week/
前の世 [まえのよ] /(n) previous existence/
前の節 [まえのせつ] /(n) former section (stanza)/
前ほど [まえほど] /(exp) to the previous extent/
前もって [まえもって] /(adv) in advance/beforehand/previously/(P)/
前を隠す [まえをかくす] /(exp,v5s) to cover one's private parts/
前を開く [まえをひらく] /(exp,v5k) to show one's privates/
前カノ [まえカノ] /(n) (abbr) (sl) former girlfriend/
前ピン [まえピン] /(n) focal point of a lens in front of the subject/
前以って [まえもって] /(adv) in advance/beforehand/previously/
前以て [まえもって] /(adv) in advance/beforehand/previously/
前意識 [ぜんいしき] /(n) preconsciousness/
前臼歯 [ぜんきゅうし] /(n) premolar/
前衛 [ぜんえい] /(n,adj-no) (1) advance guard/vanguard/(2) avant-garde (e.g. music)/(P)/
前衛芸術 [ぜんえいげいじゅつ] /(n) avant-garde art/
前衛戦 [ぜんえいせん] /(n) skirmish/prefinals (in games)/
前衛的 [ぜんえいてき] /(adj-na) avant-garde/
前衛派 [ぜんえいは] /(n) the avant-garde/
前衛美術 [ぜんえいびじゅつ] /(n) avant-garde art/
前王 [ぜんのう] /(n) former king/late king/
前下がり [まえさがり] /(n) front part low/
前科 [ぜんか] /(n) previous conviction/criminal record/previous offense/previous offence/
前科者 [ぜんかしゃ] /(n) former convict/old offender/ex-convict/person with a criminal record/
前科者 [ぜんかもの] /(n) former convict/old offender/ex-convict/person with a criminal record/
前回 [ぜんかい] /(n-adv,n-t) previous time/last time/previous installment/previous instalment/previous session/(P)/
前開き [まえびらき] /(n) open in front/
前額 [ぜんがく] /(n,adj-no) forehead/
前額部 [ぜんがくぶ] /(adj-no) forehead/frontal/
前掛 [まえかけ] /(n) apron/
前掛け [まえかけ] /(n) apron/
前割れ [まえわれ] /(adj-no) open in front/
前株 [まえかぶ] /(n) company name with the "kabushiki kaisha" at the beginning/
前勘定 [まえかんじょう] /(n) paying in advance/
前巻 [ぜんかん] /(n) previous volume/
前官 [ぜんかん] /(n) one's former post/
前官礼遇 [ぜんかんれいぐう] /(n) (being granted) the privileges of one's former (official) post/
前漢 [ぜんかん] /(n) Former Han (dynasty of China)/
前癌状態 [ぜんがんじょうたい] /(n) precancerous state/premalignant state/
前期 [ぜんき] /(n-adv,n-t) first term/first half-year/preceding period/early period/(P)/
前期試験 [ぜんきしけん] /(n) midyear examinations/
前期中等教育 [ぜんきちゅうとうきょういく] /(n) lower secondary education (e.g. middle school)/
前期比 [ぜんきひ] /(n) compared to previous period/quarter-to-quarter basis/from the previous quarter/
前記 [ぜんき] /(n,adj-no) aforesaid/above-mentioned/said/above/(P)/
前戯 [ぜんぎ] /(n,adj-no) (sexual) foreplay/
前脚 [ぜんきゃく] /(n) forefoot/forefeet/foreleg/forelimb/
前脚 [まえあし] /(n) forefoot/forefeet/foreleg/forelimb/
前胸腺 [ぜんきょうせん] /(n) prothoracic gland/
前胸腺ホルモン [ぜんきょうせんホルモン] /(n) prothoracic gland hormone/
前胸背板 [ぜんきょうはいばん] /(n) pronotum/
前近代的 [ぜんきんだいてき] /(adj-na) premodern/feudalistic/
前金 [ぜんきん] /(n,adj-no) advance payment/
前金 [まえきん] /(n,adj-no) advance payment/
前金払い [ぜんきんばらい] /(n) payment in advance/
前金払い [まえきんばらい] /(n) payment in advance/
前駆 [せんぐ] /(ok) (n,vs,adj-no) (1) outrider (person riding horseback in the lead position of a cavalcade)/outriding/(2) harbinger/herald/precursor/forerunner/foretoken/(3) anticipation/
前駆 [ぜんく] /(n,vs,adj-no) (1) outrider (person riding horseback in the lead position of a cavalcade)/outriding/(2) harbinger/herald/precursor/forerunner/foretoken/(3) anticipation/
前駆 [ぜんぐ] /(ok) (n,vs,adj-no) (1) outrider (person riding horseback in the lead position of a cavalcade)/outriding/(2) harbinger/herald/precursor/forerunner/foretoken/(3) anticipation/
前駆症状 [ぜんくしょうじょう] /(n,adj-no) prodome/premonitory symptom/advance symptom/
前駆陣痛 [ぜんくじんつう] /(n) Braxton-Hicks contractions/practice contractions/false labor pains/
前駆戦 [ぜんくせん] /(n) skirmish/prefinal (in games)/
前駆体 [ぜんくたい] /(n) (biochemical) precursor/
前屈 [ぜんくつ] /(n,vs) bend forward/
前屈み [まえかがみ] /(n) slouch/
前軍 [ぜんぐん] /(n) front-line troops/
前傾 [ぜんけい] /(n,vs,adj-no) forward inclination (tilt)/
前傾姿勢 [ぜんけいしせい] /(n) forward-bent posture/
前掲 [ぜんけい] /(n,adj-no) above-named/
前掲書 [ぜんけいしょ] /(exp) (in the work) cited/aforementioned work/op. cit. (opere citato, opus citatum)/
前景 [ぜんけい] /(n) foreground/front view/
前景画像 [ぜんけいがぞう] /(n) (comp) foreground image/dynamic image/
前景気 [まえげいき] /(n) prospect/promise/outlook/
前月 [ぜんげつ] /(n) last month/previous month/
前件 [ぜんけん] /(n) (1) aforementioned/previous case/(2) antecedent/
前賢 [ぜんけん] /(n) wise men of the past/
前言 [ぜんげん] /(n,vs) previous remarks/
前言往行 [ぜんげんおうこう] /(n) words and deeds of the people of yore/
前古 [ぜんこ] /(n) old times/ancient days/
前虎後狼 [ぜんここうろう] /(exp) one calamity followed close on the heels of another (lit: keeping at bay a tiger at the front gate, while a wolf appears at the back)/out of the frying pan into the fire/
前後 [ぜんご] /(n) (1) front and rear/front and back/before and behind/(2) before and after/(3) order/context/(4) consequences/(n,vs) (5) inversion/reversion/getting out of order/(6) co-occurring/(n-suf,n) (7) around/about/approximately/nearly/(P)/
前後 [まえしりえ] /(n) (arch) front and rear/front and back/before and behind/
前後ろ [まえうしろ] /(n) front and back/before and behind/before and after/
前後関係 [ぜんごかんけい] /(n) the context (of a passage)/
前後工程 [ぜんごこうてい] /(n) to and fro process/back and forth process/cooperative process/collaborative process/
前後左右 [ぜんごさゆう] /(n) in all directions/
前後撞着 [ぜんごどうちゃく] /(n,vs) self-contradiction/self-inconsistency/
前後不覚 [ぜんごふかく] /(adj-na,n) unconsciousness/having no recollection of one's actions/
前後不覚となる [ぜんごふかくとなる] /(exp) to lose one's consciousness/
前後矛盾 [ぜんごむじゅん] /(n,vs) self-contradiction/self-inconsistency/
前口上 [まえこうじょう] /(n) introductory remarks/
前口動物 [ぜんこうどうぶつ] /(n) protostome/
前向き [まえむき] /(adj-na,n) facing forward/front-facing/forward-looking/positive/proactive/(P)/
前向き推論 [まえむきすいろん] /(n) (comp) forward reasoning/
前広 [まえびろ] /(n-adv,n-t) previous/beforehand/
前行 [ぜんぎょう] /(n) previous line/
前行 [ぜんこう] /(n) former conduct/
前項 [ぜんこう] /(n) preceding paragraph/
前項に規定する [ぜんこうにきていする] /(exp,vs-i) prescribed in the preceding paragraph/
前号 [ぜんごう] /(n) preceding issue/
前座 [ぜんざ] /(n,adj-no) (1) opening performance/(2) minor performer/
前妻 [ぜんさい] /(n) ex-wife/former wife/previous wife/
前栽 [せんざい] /(n) garden/trees and flowers in a garden/
前栽物 [せんざいもの] /(n) greens/vegetables/
前菜 [ぜんさい] /(n) relishes/hors d'oeuvres/smorgasbord/
前罪 [ぜんざい] /(n) previous conviction/
前作 [ぜんさく] /(n) previous work/preceding work/
前捌き [まえさばき] /(n) (sumo) battling to knock away the hands of one's opponent, in order to achieve an advantageous position/
前山 [さきやま] /(n) skilled miner/coal-cutter/
前山 [ぜんざん] /(n) foothills/first range of mountains/
前史 [ぜんし] /(n) prehistory/
前史時代 [ぜんしじだい] /(n) prehistoric period/
前肢 [ぜんし] /(n) forefoot/forefeet/foreleg/forelimb/
前肢 [まえあし] /(n) forefoot/forefeet/foreleg/forelimb/
前歯 [ぜんし] /(n) front tooth/
前歯 [まえば] /(n) front tooth/
前時代的 [ぜんじだいてき] /(adj-na) premodern/old-fashioned/outmoded/antiquated/
前室 [ぜんしつ] /(n) (1) front room/front parlor/lobby/anticum/(2) anterior ventricle/
前者 [ぜんしゃ] /(n) the former/(P)/
前車 [ぜんしゃ] /(n) the car ahead/front wheel/
前車の轍を踏む [ぜんしゃのてつをふむ] /(exp,v5m) to repeat the mistake of somebody/to make the same mistake as that of .../
前車の覆るは後車の戒め [ぜんしゃのくつがえるはこうしゃのいましめ] /(exp) (id) Learn wisdom from the follies of others/
前車軸 [ぜんしゃじく] /(n) front axle/
前車輪 [ぜんしゃりん] /(n) front wheel/
前借 [ぜんしゃく] /(n,vs) getting an advance/loan/
前借り [まえがり] /(n,vs) advance (in pay)/loan/(P)/
前借金 [ぜんしゃくきん] /(n) loan/advance/
前借金 [ぜんしゃっきん] /(ik) (n) loan/advance/
前受収益 [まえうけしゅうえき] /(n) deferred income/
前週 [ぜんしゅう] /(n-adv,n-t) (arch) last week/the week before/(P)/
前住所 [ぜんじゅうしょ] /(n) one's former address/
前祝い [まえいわい] /(n) celebration anticipation/
前出 [ぜんしゅつ] /(n,adj-no) aforementioned/discussed above/former/previous/
前述 [ぜんじゅつ] /(n,vs) aforementioned/above-mentioned/
前述の通り [ぜんじゅつのとおり] /(exp) as above/as mentioned (described, stated) above/
前書 [ぜんしょ] /(n) previous writing/first of two books/previous letter/
前書き [まえがき] /(n) preface/preamble/prolog/(P)/
前哨 [ぜんしょう] /(n) outpost/
前哨騎兵 [ぜんしょうきへい] /(n) outpost cavalry/
前哨勤務 [ぜんしょうきんむ] /(n) outpost duty/
前哨戦 [ぜんしょうせん] /(n) skirmish/preliminary encounter/prefinals (in games)/(P)/
前哨線 [ぜんしょうせん] /(n) scouting line/
前哨地 [ぜんしょうち] /(n) outpost/
前照灯 [ぜんしょうとう] /(n) headlights/
前章 [ぜんしょう] /(n) prior chapter/
前場 [ぜんば] /(n) morning market session/morning trading session/
前条 [ぜんじょう] /(n) preceding article or entry/
前職 [ぜんしょく] /(n) last position/previous job/
前触れ [まえぶれ] /(n,vs) previous notice/herald/harbinger/portent/(P)/
前審 [ぜんしん] /(n) preliminary trials/
前振り [まえふり] /(n) (1) (abbr) preface/introduction/(2) lead in (e.g. to a running joke, asking a question)/lead up/(3) payment in advance (by bank transfer)/
前振込み [まえふりこみ] /(n) payment in advance (by bank transfer)/
前身 [ぜんしん] /(n) antecedents/ancestor/previous position/previous existence/predecessor organization/predecessor organisation/(P)/
前身頃 [まえみごろ] /(n) front (of a piece of traditional Japanese clothing)/
前進 [ぜんしん] /(n,vs) advance/drive/progress/(P)/
前進運動 [ぜんしんうんどう] /(n) forward motion/
前進回復 [ぜんしんかいふく] /(n) (comp) forward recovery/
前進角 [ぜんしんかく] /(n) angle of advance/
前進基地 [ぜんしんきち] /(n) advance base/
前進軸 [ぜんしんじく] /(n) axis of advance/
前進的論証 [ぜんしんてきろんしょう] /(n) (obsc) progressive probation/
前進部隊 [ぜんしんぶたい] /(n) advance troops/
前進力 [ぜんしんりょく] /(n) driving power/
前人 [ぜんじん] /(n) predecessor/former people/
前人未到 [ぜんじんみとう] /(adj-na,n) untrodden (region, field of study, etc.)/unprecedented (discovery, achievement, etc.)/
前人未踏 [ぜんじんみとう] /(adj-na,n) untrodden (region, field of study, etc.)/unprecedented (discovery, achievement, etc.)/
前人未発 [ぜんじんみはつ] /(n) unprecedented/unheard-of/never propounded (discovered, invented) by anyone before/
前垂 [まえだれ] /(n) apron/
前垂れ [まえだれ] /(n) apron/
前世 [ぜんせ] /(n) previous existence/
前世 [ぜんせい] /(n) antiquity/the previous era/
前世界 [ぜんせかい] /(n) prehistoric age/
前世紀 [ぜんせいき] /(n) last century/ancient times/
前世紀の遺物 [ぜんせいきのいぶつ] /(n) extremely outmoded/
前世生存 [ぜんせせいぞん] /(n) pre-existence/
前世療法 [ぜんせいりょうほう] /(n) past life therapy/past life regression/
前成説 [ぜんせいせつ] /(n) preformation (theory)/
前生 [ぜんしょう] /(n) previous existence/
前節 [ぜんせつ] /(n) preceding paragraph, section, or verse/
前説 [ぜんせつ] /(n) former opinion/
前説 [まえせつ] /(n) (1) warm-up (before an act or a TV show recording)/(2) prologue/introduction/
前宣伝 [まえせんでん] /(n) advance publicity/
前線 [ぜんせん] /(n) front line/(weather) front/(P)/
前線部隊 [ぜんせんぶたい] /(n) frontline troops/
前前 [まえまえ] /(n) beforehand/for a long time/
前前回 [ぜんぜんかい] /(n) the time before last/last time but one/
前奏 [ぜんそう] /(n) prelude/overture/
前奏曲 [ぜんそうきょく] /(n) prelude/overture/
前層 [ぜんそう] /(n) (math) presheaf/anterior layer/
前相撲 [まえずもう] /(n) preliminary sumo bouts with unranked wrestlers/unranked sumo wrestlers/
前装 [ぜんそう] /(n) muzzle loading/
前装砲 [ぜんそうほう] /(n) muzzle loader/
前側 [まえがわ] /(n) front side/anterior/
前足 [まえあし] /(n) forefoot/forefeet/foreleg/forelimb/
前帯状回 [ぜんたいじょうかい] /(n) anterior cingulate gyrus/
前帯状回皮質 [ぜんたいじょうかいひしつ] /(n) anterior cingulate cortex/
前貸し [まえがし] /(n,vs) advance payment/
前代 [ぜんだい] /(n) previous generation/former ages/
前代未聞 [ぜんだいみもん] /(n,adj-no) unheard-of/unprecedented/unparalleled in history (unparallelled)/record-breaking/(P)/
前大統領 [ぜんだいとうりょう] /(n) former president/
前端 [ぜんたん] /(n) front end/
前段 [ぜんだん] /(n) preceding paragraph/first part/
前段階 [ぜんだんかい] /(n) preliminary step/first step/
前知らせ [まえじらせ] /(n) previous notice/omen/signs/premonition/
前置 [ぜんち] /(n,adj-no) preface/introduction/
前置き [まえおき] /(n,vs) preface/introduction/(P)/
前置パス名 [まえおきパスめい] /(n) (comp) path prefix/
前置プロセッサ [ぜんちプロセッサ] /(n) (comp) front end processor/
前置詞 [ぜんちし] /(n) (ling) preposition/
前置胎盤 [ぜんちたいばん] /(n) placenta previa/
前置表記法 [ぜんちひょうきほう] /(n) (comp) prefix notation/Polish notation/parenthesis-free notation/Lukasiewicz notation/
前著 [ぜんちょ] /(n) ibid./the above-mentioned publication/
前兆 [ぜんちょう] /(n,adj-no) omen/portent/sign/premonition/harbinger/(P)/
前兆現象 [ぜんちょうげんしょう] /(n) precursor/premonitory phenomena/telltale signs/advance warnings/
前徴 [ぜんちょう] /(n,adj-no) omen/portent/sign/premonition/harbinger/
前陳 [ぜんちん] /(n,adj-no) the above-mentioned/
前庭 [ぜんてい] /(n,adj-no) (1) front garden/front yard/(2) vestibule (of the ear)/(P)/
前庭器官 [ぜんていきかん] /(n) vestibular system/vestibular organs/
前庭球 [ぜんていきゅう] /(n) vestibular bulb (aggregation of erectile tissue within the clitoris)/
前庭神経 [ぜんていしんけい] /(n) vestibular nerve/
前庭窓 [ぜんていそう] /(n) vestibular window/oval window/fenestra ovalis/
前庭蝸牛神経 [ぜんていかぎゅうしんけい] /(n) vestibulocochlear nerve/
前提 [ぜんてい] /(n) preamble/premise/reason/prerequisite/condition/assumption/hypothesis/given/(P)/
前提技術 [ぜんていぎじゅつ] /(n) underlying technology/technical premise/precursor technology/
前提条件 [ぜんていじょうけん] /(n) precondition/prerequisite/
前程 [ぜんてい] /(n) the journey before one/distance one has to travel/
前程万里 [ぜんていばんり] /(n) a bright (rosy) future awaiting one/having the world before one/
前哲 [ぜんてつ] /(n) former men of wisdom and virtue/
前轍 [ぜんてつ] /(n) wheel tracks left by vehicles that have passed before/
前轍を踏む [ぜんてつをふむ] /(exp,v5m) to repeat the mistake of somebody/to make the same mistake as that of .../
前転 [ぜんてん] /(n,vs) forward somersault/forward roll/
前転跳び [ぜんてんとび] /(n) forward handspring (gymnastics)/
前電 [ぜんでん] /(n) the last telegram/
前渡し [まえわたし] /(n,vs) advance payment/advance delivery/
前渡金 [まえわたしきん] /(n) advance payments/prepayment/
前登録 [ぜんとうろく] /(n,vs) preregistration/
前途 [ぜんと] /(n) future prospects/outlook/the journey ahead/(P)/
前途多難 [ぜんとたなん] /(n,adj-na) having many difficulties in store/grim prospects/
前途多望 [ぜんとたぼう] /(n,adj-na) promsing (rosy, bright) future/offering promising prospects/
前途有為 [ぜんとゆうい] /(n,adj-na,adj-no) having a very promising future/offering promising prospects/
前途有望 [ぜんとゆうぼう] /(n,adj-na) promising future/
前途洋々 [ぜんとようよう] /(uK) (adj-no,adj-t,adv-to) with a rosy future/offering promising prospects/
前途洋洋 [ぜんとようよう] /(uK) (adj-no,adj-t,adv-to) with a rosy future/offering promising prospects/
前途遼遠 [ぜんとりょうえん] /(adj-na,n) goal/destination/
前倒し [まえだおし] /(n) acceleration (of payment schedule)/(P)/
前頭 [まえがしら] /(n,adj-no) rank-and-file wrestlers in sumo's highest division/(P)/
前頭筋 [ぜんとうきん] /(n) frontalis muscle/
前頭骨 [ぜんとうこつ] /(n) frontal bone (of the skull)/
前頭上位 [まえがしらじょうい] /(n) ten highest ranked maegashira wrestlers certain to wrestle against san'yaku ranks (sumo)/
前頭筆頭 [まえがしらひっとう] /(n) two highest ranked maegashira wrestlers (sumo)/
前頭部 [ぜんとうぶ] /(n) front/forehead/
前頭葉 [ぜんとうよう] /(n) frontal lobe/
前日 [ぜんじつ] /(n-adv,n-t) previous day/the day before/(P)/
前日 [まえび] /(n-adv,n-t) previous day/the day before/
前任 [ぜんにん] /(n,adj-no) former (official)/
前任者 [ぜんにんしゃ] /(n) predecessor/
前任地 [ぜんにんち] /(n) former post/
前年 [ぜんねん] /(n-adv,n-t) the preceding year/the previous year/last year/(P)/
前年度 [ぜんねんど] /(n-adv,n) preceding fiscal year/(P)/
前年同期 [ぜんねんどうき] /(n) year-before period/corresponding period of previous year/same period a year ago/
前年同月 [ぜんねんどうげつ] /(n) same period of last year/the same month a year ago/year-ago month/
前年比 [ぜんねんひ] /(n) year on year/on the previous year/
前納 [ぜんのう] /(n,vs,adj-no) prepayment/advance payment/
前脳 [ぜんのう] /(n,adj-no) forebrain/prosencephalon/
前売 [まえうり] /(n,vs) advance sale/booking/
前売り [まえうり] /(n,vs) advance sale/booking/(P)/
前売り券 [まえうりけん] /(n) ticket sold in advance/(P)/
前売券 [まえうりけん] /(n) ticket sold in advance/
前髪 [まえがみ] /(n) forelock/bangs/
前半 [ぜんはん] /(n) first half/(P)/
前半 [ぜんぱん] /(n) first half/
前半期 [ぜんはんき] /(n) the first half-year/first half of the year/
前半生 [ぜんはんせい] /(n) first half of one's life/
前半戦 [ぜんはんせん] /(n) first half of the game or match/(P)/
前半戦 [ぜんぱんせん] /(n) first half of the game or match/
前板 [まえいた] /(n) dashboard/frontlet/
前非 [ぜんぴ] /(n) past folly/past sin/
前鼻緒 [まえはなお] /(n) sandal or clog strap/
前表 [ぜんぴょう] /(n) omen/portent/sign/premonition/harbinger/
前評判 [まえひょうばん] /(n) (degree of) public interest in forthcoming event or performance/advance reviews/
前付け [まえづけ] /(n) preliminaries/
前夫 [ぜんぷ] /(n) former husband/late husband/
前婦 [ぜんぷ] /(n) previous wife/late wife/
前舞台 [まえぶたい] /(n) apron stage/
前部 [ぜんぶ] /(n,adj-no) front part/fore/front/(P)/
前払 [まえばらい] /(n,vs) payment in advance/prepayment/
前払い [まえばらい] /(n,vs) payment in advance/prepayment/(P)/
前仏 [ぜんぶつ] /(n) (1) (Buddh) Buddha prior to Gautama/(2) (Buddh) Gautama Buddha/Shakyamuni/
前文 [ぜんぶん] /(n) preamble/the above statement/(P)/
前平衡過程 [ぜんへいこうかてい] /(n) preequilibrium process (nuclear physics)/
前篇 [ぜんぺん] /(n) first part/first volume/
前編 [ぜんぺん] /(n) first part/first volume/
前便 [ぜんびん] /(n) one's last letter/
前方 [ぜんぽう] /(n,adj-no) forward/frontward/(P)/
前方 [まえかた] /(adv,n) previously/some time ago/
前方一致 [ぜんぽういっち] /(n) (comp) left-hand match/begins-with match/matching a sub-string with the beginning of a field/
前方境界面 [ぜんぽうきょうかいめん] /(n) (comp) front plane/
前方後円墳 [ぜんぽうこうえんふん] /(n) keyhole-shaped tumulus (form of ancient Imperial grave)/
前方再補給点 [ぜんぽうさいほきゅうてん] /(n) forward arming and refueling point/
前方参照 [ぜんぽうさんしょう] /(n) (comp) forward reference/
前方推論 [ぜんぽうすいろん] /(n) (comp) forward reasoning (AI)/
前方端 [ぜんぽうたん] /(n) (comp) leading edge/
前方不注意 [ぜんぽうふちゅうい] /(exp) you're not watching where you're going!/
前坊 [ぜんぼう] /(n) former crown prince/the late crown prince/
前房 [ぜんぼう] /(n) anterior chamber (of the eyes)/
前名 [ぜんめい] /(n) one's previous name/
前面 [ぜんめん] /(n) (1) front part/frontage/facade/(2) initial pledge (e.g. election)/opening slogan/(P)/
前門 [ぜんもん] /(n) front gate/
前夜 [ぜんや] /(n-adv,n-t) last night/the previous night/(P)/
前夜祭 [ぜんやさい] /(n) the eve (of festival) (e.g. Christmas Eve)/(P)/
前厄 [まえやく] /(n) the year before a critical age/the year before an inauspicious year/
前約 [ぜんやく] /(n) previous engagement/previous promise/
前輿 [さきごし] /(n) front palanquin carrier/
前葉 [ぜんよう] /(n) (1) preceding page/(2) anterior pituitary/
前葉ホルモン [ぜんようホルモン] /(n) adenohypophyseal hormone/
前立て [まえだて] /(n) plume/crest/
前立腺 [ぜんりつせん] /(n) prostate gland/
前立腺炎 [ぜんりつせんえん] /(n,adj-no) inflammation of the prostate/
前立腺癌 [ぜんりつせんがん] /(n) prostate cancer/
前立腺肥大症 [ぜんりつせんひだいしょう] /(n) enlargement of the prostate/
前略 [ぜんりゃく] /(n) first part omitted/salutation of brief letter/(P)/
前輪 [ぜんりん] /(n) (1) front wheel/
前輪 [まえわ] /(n) (1) front wheel/(2) saddle fork/
前輪駆動 [ぜんりんくどう] /(n,adj-no) front-wheel drive/
前例 [ぜんれい] /(n) precedent/(P)/
前例に倣う [ぜんれいにならう] /(exp,v5u) to follow (copy after) a precedent/
前歴 [ぜんれき] /(n) personal history/(P)/
前列 [ぜんれつ] /(n) front row/
前廊 [ぜんろう] /(n) porch/portico/colonnaded entranceway/ante-hall/
前腕 [ぜんわん] /(n,adj-no) forearm/
前腕 [まえうで] /(n,adj-no) forearm/
前翅 [ぜんし] /(n) fore-wing (of insect)/
前膊 [ぜんぱく] /(n) forearm/
前褌 [まえみつ] /(n) front of a mawashi/
前蹤 [ぜんしょう] /(n) precedent/
善 [ぜん] /(n) good/goodness/right/virtue/(P)/
善い [いい] /(adj-i) (1) (uk) good/excellent/fine/nice/pleasant/agreeable/(2) sufficient (can be used to turn down an offer)/ready/prepared/(3) profitable (e.g. deal, business offer, etc.)/beneficial/(4) OK/
善い [よい] /(adj-i) (1) (uk) good/excellent/fine/nice/pleasant/agreeable/(2) sufficient (can be used to turn down an offer)/ready/prepared/(3) profitable (e.g. deal, business offer, etc.)/beneficial/(4) OK/
善い悪い [よいわるい] /(exp,adv) good or bad/merits or demerits/quality/suitability/
善い行い [よいおこない] /(n) good deed/
善う [よう] /(adv) (1) (uk) well/properly/skillfully/(2) often/
善かれ [よかれ] /(exp) (uk) all for the best/what is right/
善かれと思う [よかれとおもう] /(exp,v5u) to wish to go well/to have good intentions/
善かれ悪しかれ [よかれあしかれ] /(exp,adv) good or bad/right or wrong/for better or for worse/rightly or wrongly/
善き [よき] /(n) (1) goodness/(adj-pn) (2) good/
善き程 [よきほど] /(n,adv) (arch) greatly/considerably/
善く [よく] /(adv) (1) (uk) nicely/properly/well/skillfully/(2) frequently/often/
善くする [よくする] /(vs-s,vt) (1) (uk) to make good/to improve/(2) to do often/(3) to do well/
善くぞ [よくぞ] /(adv) (uk) (pol) how admirably/how wonderfully/how skillfully/
善くも [よくも] /(adv) (uk) How dare .../(P)/
善くもそんなことを [よくもそんなことを] /(exp) (uk) How dare you!/How can you have the nerve?/
善くもまあ [よくもまあ] /(exp) (uk) How dare you!/How can you have the nerve?/
善く善く [よくよく] /(adv) (uk) exceedingly/very/
善し [えし] /(ok) (exp) good/excellent/fine/nice/pleasant/agreeable/
善し [よし] /(exp) good/excellent/fine/nice/pleasant/agreeable/
善し悪し [よしあし] /(n) right or wrong/good or bad/merits or demerits/quality/suitability/(P)/
善し悪し [よしわるし] /(n) right or wrong/good or bad/merits or demerits/quality/suitability/
善と悪 [ぜんとあく] /(exp) good and evil/
善は急げ [ぜんはいそげ] /(exp) strike while the iron is hot/
善悪 [ぜんあく] /(n) good and evil/(P)/
善悪の区別 [ぜんあくのくべつ] /(n) discrimination between right and wrong/distinction between good and bad/
善悪二元論 [ぜんあくにげんろん] /(n) good and evil dualism/Manicheanism/
善悪不二 [ぜんあくふに] /(exp) (Buddh) Good and evil are but two faces of the same coin/
善意 [ぜんい] /(n) (1) virtuous mind/(2) good intentions/good will/(3) positive mindset/(4) bona fides (legal good faith)/(P)/
善意銀行 [ぜんいぎんこう] /(n) center for collecting charitable contributions (money, goods, and-or services) and distributing them to people in need/
善意通訳 [ぜんいつうやく] /(n) goodwill guide/volunteer guide and interpreter for foreign residents and tourists/
善因善果 [ぜんいんぜんか] /(n) good action lead to good rewards/one good turn deserves another/
善果 [ぜんか] /(n) good results/
善感 [ぜんかん] /(n,vs) successful vaccination/positive reaction/
善管 [ぜんかん] /(n) (abbr) good management/good manager/
善業 [ぜんごう] /(n) good deeds/
善玉 [ぜんだま] /(n) good person/
善玉菌 [ぜんだまきん] /(n) good germ/good bacteria/
善狐 [ぜんこ] /(n) good fox/
善後 [ぜんご] /(n-adv,n-t) giving careful thought to the future/finishing up carefully/
善後策 [ぜんごさく] /(n) remedial measure/countermeasure/counter-measure/relief measure/remedy/
善後処置 [ぜんごしょち] /(n) remedial measure/preventive measure/the best way to cope with (meet) the situation/
善後措置 [ぜんごそち] /(n) remedial measure/preventive measure/the best way to cope with (meet) the situation/
善後対策 [ぜんごたいさく] /(n) remedial measure/preventive measure/the best way to cope with (meet) the situation/
善行 [ぜんこう] /(n,adj-no) good deed/good conduct/benevolence/
善根 [ぜんこん] /(n) good deeds/charity/
善根宿 [ぜんこんやど] /(n) free lodging (for pilgrims, etc.)/
善哉 [ぜんざい] /(int) (1) Well done!/Bravo!/(n) (2) red bean soup made with Azuki beans/zenzai/
善哉善哉 [ぜんざいぜんざい] /(exp) Well done!/Great!/Bravo!/
善事 [ぜんじ] /(n) good thing/good deed/
善処 [ぜんしょ] /(n,vs) handling carefully/tiding over/making best of/using discretion/
善書 [ぜんしょ] /(n) beautiful calligraphy/calligrapher/good book/
善女 [ぜんにょ] /(n) (Buddh) female believer/
善心 [ぜんしん] /(n) virtue/moral sense/conscience/
善神 [ぜんしん] /(n) (1) good God/good deities/(2) (Buddh) true teachings of Buddha/
善人 [ぜんにん] /(n) good people/
善性 [ぜんせい] /(n) innate goodness of man/
善政 [ぜんせい] /(n) good government/
善逝 [ぜんぜい] /(n) Sugata (the well-gone; epithet of Buddha)/
善戦 [ぜんせん] /(n,vs) fight a good fight/(P)/
善戦苦闘 [ぜんせんくとう] /(n,vs) putting up a good fight against some odds/
善男善女 [ぜんなんぜんにょ] /(n) pious men and women/
善知識 [ぜんちしき] /(n) friend who guides one to Buddhism through teaching/
善導 [ぜんどう] /(n,vs) proper guidance/
善道 [ぜんどう] /(n) path of virtue/righteousness/
善徳 [ぜんとく] /(n) virtues/
善美 [ぜんび] /(adj-na,n) the good and the beautiful/
善友 [ぜんゆう] /(n) (obsc) good friend/
善用 [ぜんよう] /(n,vs) good use/
善良 [ぜんりょう] /(adj-na,n,adj-no) goodness/excellence/virtue/(P)/
善隣 [ぜんりん] /(n) good neighbour/good neighbor/(P)/
善隣外交 [ぜんりんがいこう] /(n) good-neighbor diplomacy/a good-neighbor policy/
善隣関係 [ぜんりんかんけい] /(n) good neighborly relations/good neighbourly relations/
善隣政策 [ぜんりんせいさく] /(n,adj-no) Good Neighbor Policy/
善隣友好 [ぜんりんゆうこう] /(n) neighbourly friendship/neighborly friendship/
善霊 [ぜんれい] /(n) spirit of goodness/
善祓 [よしはらえ] /(n) (arch) (obsc) purification to invite good fortune/
漸 [やや] /(adv,adj-f) (uk) a little/partially/somewhat/slightly/semi-/-ish/on the ... side/a short time/a while/
漸々 [ぜんぜん] /(adv) (1) (obsc) gradually/by degrees/(2) (obsc) the sight of a tall soaring rock/(3) (obsc) crying/weeping/
漸く [ようやく] /(adv) (1) (uk) finally/at last/(2) barely/narrowly/hardly/only just/(3) gradually/little by little/by degrees/(P)/
漸近 [ぜんきん] /(n,adj-no) (math) asymptote/
漸近線 [ぜんきんせん] /(n) asymptotic line/
漸近的自由 [ぜんきんてきじゆう] /(n) asymptotic freedom (physics)/
漸減 [ぜんげん] /(n,vs) gradual decrease/decline/(P)/
漸悟 [ぜんご] /(n,vs) (Buddh) gradual enlightenment/
漸次 [ぜんじ] /(adv,adj-no) gradually/slowly/little by little/incrementally/(P)/
漸次的 [ぜんじてき] /(adj-na) gradual/slow/
漸新世 [ぜんしんせい] /(n) Oligocene epoch/
漸進 [ぜんしん] /(n,vs) gradual progress/steady advance/(P)/
漸進主義 [ぜんしんしゅぎ] /(n) gradualism/slow-and-steady policy/
漸進的 [ぜんしんてき] /(adj-na) gradual/
漸漸 [ぜんぜん] /(adv) (1) (obsc) gradually/by degrees/(2) (obsc) the sight of a tall soaring rock/(3) (obsc) crying/weeping/
漸増 [ぜんぞう] /(n,vs) gradual increase/
漸落 [ぜんらく] /(n,vs) gradual decline/
漸落市況 [ぜんらくしきょう] /(n) sagging market/
然 [さ] /(adv) (arch) so/like that/in that way/
然 [しか] /(int) (1) (arch) like that/as such/(2) yeah/uh-huh/
然 [ぜん] /(suf) -like/
然々 [ささ] /(adv) (arch) such and such/
然々 [しかじか] /(adv,n,adj-no) such and such/
然あらぬ [さあらぬ] /(adj-pn) (uk) casual/indifferent/nonchalant/
然う [そう] /(adv) (1) (uk) in that way (concerning the actions of the listener or concerning the ideas expressed or understood by the listener; with a neg. sentence, implies that something isn't as much as one might think)/thus/such/(int) (2) so (used to express agreement with something said)/(3) so? (used to express some doubt with something said)/(P)/
然ういう [そういう] /(adj-pn) such/like that/that sort of/very/
然うした [そうした] /(exp,adj-pn) (uk) such/
然うして [そうして] /(conj) (uk) and/like that/(P)/
然うは問屋が卸さない [そうはとんやがおろさない] /(exp) things don't work that well in the real world/things seldom go as one wishes/that is expecting too much/
然うゆう [そうゆう] /(ok) (adj-pn) such/like that/that sort of/very/
然う言う [そういう] /(adj-pn) such/like that/that sort of/very/
然う言う [そうゆう] /(ok) (adj-pn) such/like that/that sort of/very/
然う然う [そうそう] /(adv) (1) (uk) so long/so often/so many/so much/(int) (2) oh, yes!/that's right/hmmm/
然かし [さかし] /(exp,int) (arch) indeed, it is so/I concur, it is so/
然こそ [さこそ] /(exp) (arch) surely/certainly/no doubt/
然こそ言え [さこそいえ] /(exp) (arch) be that as it may/
然し [しかし] /(conj) (uk) however/but/(P)/
然したる [さしたる] /(adj-pn) nothing special/of little significance/
然して [さして] /(adv) (uk) (with negative sentence) not much/
然して [しかして] /(conj) (uk) and/and then/thus/and now/
然して [そして] /(conj) (uk) and/and then/thus/and now/(P)/
然しながら [しかしながら] /(adv,conj) (uk) however/nevertheless/
然し乍ら [しかしながら] /(adv,conj) (uk) however/nevertheless/
然せる [させる] /(adj-pn) (uk) (usu. followed by a negative form) worth special consideration/
然だに [さだに] /(exp) (arch) were it to at least be as such/
然なくば [さなくば] /(conj) (uk) if not so/otherwise/
然ならず [さならず] /(exp) (1) (arch) it is not as such/it does not seem as such/(2) it should not be as such/
然なり [さなり] /(exp) (arch) it is so/it is as such/
然に非ず [さにあらず] /(exp) not so/
然のみ [さのみ] /(adv) (1) (uk) (not) much/(not) very/(2) (arch) like this/as a rule/
然のみならず [しかのみならず] /(conj) (uk) not only ... but also/also/
然も [さも] /(adv) (1) (uk) really/extremely/(2) (arch) in that way/
然も [しかも] /(conj) (uk) moreover/furthermore/nevertheless/and yet/(P)/
然もあらばあれ [さもあらばあれ] /(exp) be that the case, do so/do as you please/in any case/
然もあらん [さもあらん] /(exp) it's probably so/it stands to reason/
然もありなん [さもありなん] /(exp) it's probably so/it stands to reason/
然もないと [さもないと] /(conj,exp) (uk) otherwise/else/if not so/
然もなくば [さもなくば] /(conj,exp) (uk) otherwise/else/if not so/
然もなければ [さもなければ] /(exp) (uk) otherwise/if not/or else/
然も無いと [さもないと] /(conj,exp) (uk) otherwise/else/if not so/
然も無くば [さもなくば] /(conj,exp) (uk) otherwise/else/if not so/
然も無ければ [さもなければ] /(exp) (uk) otherwise/if not/or else/
然らしめる [しからしめる] /(v1) (arch) to put into a state/to bring about result/
然らずとも [さらずとも] /(conj) even if that isn't the case/even though that isn't the case/
然らずば [しからずば] /(conj) (uk) (arch) if not so/
然らずんば [しからずんば] /(conj) if not so/
然らば [さらば] /(conj,exp) (1) (arch) be that so/in that case/(2) however (with neg)/though that may be the case (with neg)/(3) farewell/
然らば [しからば] /(n) if so/if it be so/in that case/then/
然り [しかり] /(int) (1) yes/yea/aye/affirmative/(vr,vi) (2) (arch) to be so/
然りげに [さりげに] /(adv) (uk) (col) nonchalantly/unconcernedly/casually/
然りとて [さりとて] /(conj) (uk) however/having said that/but/
然り気ない [さりげない] /(adj-i) (uk) nonchalant/unconcerned/in a casual manner/
然り気無い [さりげない] /(adj-i) (uk) nonchalant/unconcerned/in a casual manner/
然る [さる] /(adj-pn) (1) a particular/a certain/(2) that kind of/such a/
然る [しかる] /(adj-pn) (1) that kind of/such a/
然るが故に [しかるがゆえに] /(conj) as such/that being so/for that reason/
然るに [しかるに] /(adv,conj) however/still/but/
然るべき [しかるべき] /(adj-pn) (uk) proper/appropriate/due/suitable/
然るべく [しかるべく] /(adv) appropriately/properly/
然るを [しかるを] /(conj) even so/though that may be/
然る可き [しかるべき] /(adj-pn) (uk) proper/appropriate/due/suitable/
然る可く [しかるべく] /(adv) appropriately/properly/
然る後 [しかるのち] /(n-adv,n-t) thereafter/after doing that/followed by/
然る事 [さること] /(n) (1) (uk) something like that/that sort of thing/(2) something natural/something plausible/
然る事乍ら [さることながら] /(exp) (uk) It goes without saying/but not only that/but also .../
然る者 [さるもの] /(exp,n) person of no common order/
然る上は [しかるうえは] /(conj) now that it is as such/since it is as such/
然れど [されど] /(conj) be that as it may/even so/though that be so/
然れども [されども] /(conj) nevertheless/even then/however/be that as it may/even so/though that it be so/
然れども [しかれども] /(conj) nevertheless/even then/however/be that as it may/even so/though that it be so/
然れば [されば] /(conj) (1) (uk) (arch) that being the case/therefore/so/(2) (expressing surprise) ...on earth?/(int) (3) that's right/
然れば [しかれば] /(conj) (1) (uk) (arch) that being the case/therefore/so/(2) well then, moving on to another topic.../(3) (expressing surprise) ...on earth?/(int) (4) that's right/
然ればこそ [さればこそ] /(exp) (uk) (arch) as expected/just as I thought it would/that is exactly why.../
然許り [さばかり] /(adv) (1) to that degree/that much/(2) a lot/very much/
然斯 [そうこう] /(n) meanwhile/
然上は [しかるうえは] /(conj) now that it is as such/since it is as such/
然然 [ささ] /(adv) (arch) such and such/
然然 [しかじか] /(adv,n,adj-no) such and such/
然諾 [ぜんだく] /(n,vs) consent/saying yes/
然知ったり [さしったり] /(int) (1) here it comes (interjection used when lying in wait for something)/(2) oops!/damn it!/
然程 [さほど] /(adv,conj) (uk) not so/not particularly/not very/not that much/
然迄 [さまで] /(adv) (uk) so much/
然有らぬ [さあらぬ] /(adj-pn) (uk) casual/indifferent/nonchalant/
然有らぬ体で [さあらぬていで] /(exp) with a nonchalant air/
然有り [さあり] /(exp) (arch) it is so/it is as such/
然様 [さよう] /(adj-na) (1) (uk) like that/(int) (2) (uk) that's right/indeed/(3) (uk) let me see.../
全 [ぜん] /(n) (1) all/whole/entire/complete/overall/(pref) (2) pan-/omni-/toti-/(P)/
全う [まっとう] /(adj-na) (1) proper/respectable/decent/honest/(adv) (2) (arch) entirely/completely/wholly/perfectly/(P)/
全うする [まっとうする] /(vs-s) to accomplish/to fulfill/to carry out/
全か無かの法則 [ぜんかむかのほうそく] /(n) all-or-none law/
全き [まったき] /(n) perfect/complete/whole/sound/intact/
全く [まったく] /(adv) (1) really/truly/entirely/completely/wholly/perfectly/(2) indeed/(int) (3) (abbr) good grief (expression of exasperation)/(P)/
全くする [まったくする] /(vs-s) to accomplish/to fulfill/to carry out/
全くの所 [まったくのところ] /(exp) entirely/
全くの浪費 [まったくのろうひ] /(n) sheer waste/
全くもう [まったくもう] /(exp,int) (uk) good grief (expression of exasperation)/
全く以て [まったくもって] /(exp) as a matter of fact/
全けた上げ [ぜんけたあげ] /(n) (comp) complete carry/
全て [すべて] /(adj-no,n-adv,n) all/the whole/entirely/in general/wholly/overall/(P)/
全アジア会議 [ぜんアジアかいぎ] /(n) Pan-Asiatic Conference/
全域 [ぜんいき] /(n,adj-no) the whole area/(P)/
全域アドレス管理 [ぜんいきアドレスかんり] /(n) (comp) universal address administration/global address administration/
全員 [ぜんいん] /(n-adv,n) all members (unanimity)/all hands/the whole crew/everyone/everybody/(P)/
全員一致 [ぜんいんいっち] /(n,adj-no) unanimity/
全員無事 [ぜんいんぶじ] /(exp) Everyone is safe (all right)/
全英オープン [ぜんえいオープン] /(n) All-England Open/
全欧 [ぜんおう] /(n) all Europe/
全音 [ぜんおん] /(n) whole tone (music)/
全音音階 [ぜんおんおんかい] /(n) whole-tone scale/
全音階 [ぜんおんかい] /(n) diatonic scale/
全音符 [ぜんおんぷ] /(n) whole note/
全加算器 [ぜんかさんき] /(n) (comp) full adder/
全家 [ぜんか] /(n) the whole family/the whole house/
全科 [ぜんか] /(n) complete course/
全科開業医 [ぜんかかいぎょうい] /(n) general practitioner/GP/
全稼働時間 [ぜんかどうじかん] /(n) (comp) busy period/
全荷重 [ぜんかじゅう] /(n) full load/
全画面 [ぜんがめん] /(n) (comp) full screen/
全画面表示 [ぜんがめんひょうじ] /(n) (comp) full screen display/
全会 [ぜんかい] /(n) whole assembly/(P)/
全会一致 [ぜんかいいっち] /(n,adj-no) unanimous/
全会衆 [ぜんかいしゅう] /(n) the whole assembly/the whole congregation/
全壊 [ぜんかい] /(n,vs) complete destruction/
全快 [ぜんかい] /(n,vs) complete recovery of health/(P)/
全開 [ぜんかい] /(n,vs,adj-no) opening fully/full throttle/
全角 [ぜんかく] /(n,adj-no) em/em quad (printing)/full-pitch character (e.g. double-byte character)/
全角カタカナ [ぜんかくカタカナ] /(n) full-width katakana/
全角カナ [ぜんかくカナ] /(n) full-width kana/
全角ローマ字 [ぜんかくローマじ] /(n) full-width Roman character/
全角数字 [ぜんかくすうじ] /(n) full-width digit/
全角文字 [ぜんかくもじ] /(n) (comp) full-width character/
全学 [ぜんがく] /(n) whole college/(P)/
全学連 [ぜんがくれん] /(n) (abbr) Zengakuren (All-Japan Federation of Student Self-Government Associations)/
全額 [ぜんがく] /(n) total/full amount/sum/(P)/
全額出資 [ぜんがくしゅっし] /(adj-no,adj-f) wholly-owned/fully owned/
全割 [ぜんかつ] /(n) holoblastic cleavage/
全巻 [ぜんかん] /(n) the whole reel/the whole volume/
全艦撤退 [ぜんかんてったい] /(exp) (obsc) All ships retreat (military command)/complete ship withdrawal/
全館 [ぜんかん] /(n) entire building/
全岸 [ぜんがん] /(n) all the banks (of a river)/
全期 [ぜんき] /(n) whole term/entire period/
全休 [ぜんきゅう] /(n,pref) (1) whole (period)/(2) absence during a complete sumo tournament/
全休止符 [ぜんきゅうしふ] /(n) whole note rest (music)/semibreve rest/
全級 [ぜんきゅう] /(n) the whole class/
全強風 [ぜんきょうふう] /(n) whole gale/
全局 [ぜんきょく] /(n) general situation/whole aspect/
全曲 [ぜんきょく] /(n) all compositions/the entire composition/(P)/
全銀 [ぜんぎん] /(n) (abbr) Japanese Banker's Association/
全銀システム [ぜんぎんシステム] /(n) interbank payments system/
全躯 [ぜんく] /(n) the whole body/
全軍 [ぜんぐん] /(n) the whole army/the whole team/
全形 [ぜんけい] /(n) the whole form/perfect form/
全景 [ぜんけい] /(n) panoramic view/bird's-eye view/
全景写真 [ぜんけいしゃしん] /(n) panoramic photo/
全桁上げ [ぜんけたあげ] /(n) (comp) complete carry/
全権 [ぜんけん] /(n) plenipotentiary powers/full authority/(P)/
全権を委ねる [ぜんけんをゆだねる] /(exp,v1) to entrust (a person) with power of attorney (to do something for one)/
全権委員 [ぜんけんいいん] /(n) plenipotentiaries/
全権委任 [ぜんけんいにん] /(n) complete power of attorney/
全権公使 [ぜんけんこうし] /(n) minister plenipotentiary/
全権大使 [ぜんけんたいし] /(n) ambassador plenipotentiary/
全減算器 [ぜんげんさんき] /(n) (comp) full subtracter/
全戸 [ぜんこ] /(n) all the houses (in town)/
全候補 [ぜんこうほ] /(n) all candidates/
全校 [ぜんこう] /(n) the whole school/(P)/
全甲 [ぜんこう] /(n) all-A (student)/
全高 [ぜんこう] /(n) distance from the ground to the highest point of an object/
全豪オープン [ぜんごうオープン] /(n) All-Australian Open/
全国 [ぜんこく] /(n,adj-no) country-wide/nation-wide/whole country/national/(P)/
全国 [ぜんごく] /(n,adj-no) country-wide/nation-wide/whole country/national/
全国安全週間 [ぜんこくあんぜんしゅうかん] /(n) National Safety Week/
全国銀行協会 [ぜんこくぎんこうきょうかい] /(n) Japanese Banker's Association/
全国区 [ぜんこくく] /(n) national constituency/
全国高等学校野球選手権大会 [ぜんこくこうとうがっこうやきゅうせんしゅけんたいかい] /(n) Japan's National High School Baseball Tournament (Koshien)/
全国紙 [ぜんこくし] /(n) national paper/paper with a national circulation/
全国書誌 [ぜんこくしょし] /(n) national bibliography/
全国水平社 [ぜんこくすいへいしゃ] /(n) Burakumin rights organization formed in 1922/
全国総合開発計画 [ぜんこくそうごうかいはつけいかく] /(n) Comprehensive National Development Plan (1962-)/
全国大会 [ぜんこくたいかい] /(n) national convention/national athletic meet/
全国中継 [ぜんこくちゅうけい] /(n) nation-wide hookup/nationwide broadcast/
全国津々浦々 [ぜんこくつつうらうら] /(n) all over the country/
全国津津浦浦 [ぜんこくつつうらうら] /(n) all over the country/
全国的 [ぜんこくてき] /(adj-na) nation-wide/
全国的範囲 [ぜんこくてきはんい] /(n) country-wide/
全国放送 [ぜんこくほうそう] /(n) national network broadcast/
全国民 [ぜんこくみん] /(n) the whole nation/
全財産 [ぜんざいさん] /(n) everything one owns/
全山 [ぜんざん] /(n) the whole mountain/
全史 [ぜんし] /(n) complete history/
全市 [ぜんし] /(n) the whole city/
全市民 [ぜんしみん] /(n) all the citizens of the city/
全紙 [ぜんし] /(n,adj-no) the whole sheet/the whole newspaper/
全治 [ぜんじ] /(n,vs) complete recovery/healing/(P)/
全治 [ぜんち] /(n,vs) complete recovery/healing/
全自動 [ぜんじどう] /(adj-no) totally automatic/
全質化 [ぜんしつか] /(n,vs) transubstantiation/
全射 [ぜんしゃ] /(n,adj-no) (math) surjection/onto mapping/epimorphism/
全社 [ぜんしゃ] /(n) whole company/(P)/
全社規模 [ぜんしゃきぼ] /(n,adj-no) (comp) corporate-wide/
全集 [ぜんしゅう] /(n) complete works/(P)/
全集合 [ぜんしゅうごう] /(n) (comp) universal set/
全住民 [ぜんじゅうみん] /(n) all the inhabitants/
全書 [ぜんしょ] /(n) complete book/complete set/treatise/
全勝 [ぜんしょう] /(n,vs,adj-no) complete victory/winning the sumo tournament with no losses/(P)/
全勝軍 [ぜんしょうぐん] /(n) ever-victorious army/
全勝優勝 [ぜんしょうゆうしょう] /(n) winning a championship in sumo with a perfect record/
全消去機能 [ぜんしょうきょきのう] /(n) (comp) clear all function/
全焼 [ぜんしょう] /(n,vs) burned down/entirely destroyed/(P)/
全称 [ぜんしょう] /(n) (logical) universal/
全心 [ぜんしん] /(n) one's whole heart/
全真教 [ぜんしんきょう] /(n) Quanzhen (school of Taoism)/
全身 [ぜんしん] /(n,adj-no) (1) whole (body)/full-length (e.g. portrait)/(adj-f) (2) systemic/(P)/
全身火だるま [ぜんしんひだるま] /(n) body set on fire from head to foot (like a daruma doll being ritually incinerated)/
全身写真 [ぜんしんしゃしん] /(n) full-length photograph/whole body picture/
全身衰弱 [ぜんしんすいじゃく] /(n) general prostration/
全身性 [ぜんしんせい] /(adj-no) systemic/
全身性エリテマトーデス [ぜんしんせいエリテマトーデス] /(n) systemic lupus erythematosus/SLE/
全身全霊 [ぜんしんぜんれい] /(n) complete devotion/body and soul/one's best/
全身像 [ぜんしんぞう] /(n) full-length portrait or statue/
全身病 [ぜんしんびょう] /(n) general constitutional illness/
全身不随 [ぜんしんふずい] /(n) total paralysis/
全身麻酔 [ぜんしんますい] /(n) general anesthesia/general anaesthesia/
全身浴 [ぜんしんよく] /(n) full bath/
全人 [ぜんじん] /(n) saint/person well-balanced morally and intellectually/(P)/
全人格 [ぜんじんかく] /(n) one's whole personality/
全人教育 [ぜんじんきょういく] /(n) all-round education/
全人生 [ぜんじんせい] /(n) the whole life/
全図 [ぜんず] /(n) complete map/whole view/
全数 [ぜんすう] /(n,adj-no) (1) whole number/all/(2) total/complete/exhaustive/100% (inspection, search, etc.)/(3) diploid/
全世界 [ぜんせかい] /(n) the whole world/(P)/
全勢力 [ぜんせいりょく] /(n) full force/
全生涯 [ぜんしょうがい] /(n) one's whole life/
全盛 [ぜんせい] /(n,adj-no) height of prosperity/(P)/
全盛期 [ぜんせいき] /(n) heyday/golden age/
全盛時代 [ぜんせいじだい] /(n) golden age/
全製品 [ぜんせいひん] /(n) manufactured article/
全席 [ぜんせき] /(n) all tickets/
全責任 [ぜんせきにん] /(n) full responsibility/
全戦全敗 [ぜんせんぜんぱい] /(n) failed at every attempt/defeated in every (match, battle, etc.)/
全線 [ぜんせん] /(n) the whole line/all lines/the whole ship/(P)/
全船 [ぜんせん] /(n) the whole line/all lines/the whole ship/
全然 [ぜんぜん] /(adv) (1) not at all (with neg. verb)/(2) wholly/entirely/completely/(P)/
全然気にならない [ぜんぜんきにならない] /(exp,adj-i) not be concerned about at all/not mind about at all/not care a bit/
全総 [ぜんそう] /(n) (abbr) Comprehensive National Development Plan (1962-)/
全速 [ぜんそく] /(n,adj-no) full speed/
全速力 [ぜんそくりょく] /(n) full speed/(P)/
全損 [ぜんそん] /(n) total loss/
全村 [ぜんそん] /(n) (1) the whole village/(2) all the villages (in an area)/
全体 [ぜんたい] /(n-adv,n-t) whole/entirety/whatever (is the matter)/(P)/
全体で [ぜんたいで] /(exp) in all/
全体として [ぜんたいとして] /(exp) overall/
全体に [ぜんたいに] /(adv) generally/
全体会議 [ぜんたいかいぎ] /(n) plenary session/general meeting/plenum/
全体語 [ぜんたいご] /(n) (comp) collective term/
全体主義 [ぜんたいしゅぎ] /(n,adj-no) totalitarianism/(P)/
全体主義国 [ぜんたいしゅぎこく] /(n) (abbr) totalitarian state/
全体主義国家 [ぜんたいしゅぎこっか] /(n) totalitarian state/
全体集合 [ぜんたいしゅうごう] /(n) (math) universal set/
全体的な通信コスト [ぜんたいてきなつうしコスト] /(n) (comp) overall communication costs/
全体配列 [ぜんたいはいれつ] /(n) (comp) whole array/
全体論 [ぜんたいろん] /(n) (philosophical) holism/
全隊 [ぜんたい] /(n) the entire force (of soldiers)/
全単射 [ぜんたんしゃ] /(n) (math) bijection/
全段 [ぜんだん] /(n) the whole page/
全段抜き [ぜんだんぬき] /(n) banner (headlines)/
全知 [ぜんち] /(n,adj-no) omniscience/
全知全能 [ぜんちぜんのう] /(n,adj-no) omniscience and omnipotence/all-knowing/almighty/
全地 [ぜんち] /(n) the whole world/all lands/
全地球 [ぜんちきゅう] /(n) (1) whole earth/(adj-no) (2) global/
全地球測位 [ぜんちきゅうそくい] /(n) global positioning (system, satellite, etc.)/
全地球測位システム [ぜんちきゅうそくいシステム] /(n) global positioning system/GPS/
全地方 [ぜんちほう] /(n) the whole area/
全智 [ぜんち] /(n,adj-no) omniscience/
全長 [ぜんちょう] /(n,adj-no) over-all length/span/(P)/
全通 [ぜんつう] /(n,vs) opening of the whole (railway line)/
全潰 [ぜんかい] /(n,vs) complete destruction/
全天 [ぜんてん] /(n) all heaven/
全天候 [ぜんてんこう] /(n) all-weather/weather-proof/
全天候型 [ぜんてんこうがた] /(n,adj-no) all weather (model)/
全店 [ぜんてん] /(n,adj-no) the whole store/
全店中 [ぜんてんちゅう] /(n) throughout the store/
全都 [ぜんと] /(n) the whole metropolis/
全土 [ぜんど] /(n) the whole nation (land, country)/(P)/
全島 [ぜんとう] /(n,adj-no) the whole island/
全道 [ぜんどう] /(n) all Hokkaido/
全二重 [ぜんにじゅう] /(n) full duplex/FDX/
全二重通信 [ぜんにじゅうつうしん] /(n) (comp) full duplex transmission/full duplex communication/
全二重伝送 [ぜんにじゅうでんそう] /(n) (comp) duplex transmission/
全日 [ぜんじつ] /(n-adv,n-t) all days/(P)/
全日空 [ぜんにっくう] /(n) (abbr) All Nippon Airways/ANA/(P)/
全日制 [ぜんにちせい] /(n) the full-day (school system)/(P)/
全日本 [ぜんにほん] /(exp) All-Japan/
全日本学生自治会総連合 [ぜんにほんがくせいじちかいそうれんごう] /(n) All-Japan Federation of Student Self-Government Associations/Zengakuren/
全乳 [ぜんにゅう] /(n) whole milk/
全納 [ぜんのう] /(n,vs) full payment/
全能 [ぜんのう] /(adj-na,n,adj-no) almighty/omnipotent/
全能者 [ぜんのうしゃ] /(n) the Almighty/The Omnipotent One/
全能力 [ぜんのうりょく] /(n) full capacity/all one's ability/
全波受信機 [ぜんぱじゅしんき] /(n) all-wave receiver/
全廃 [ぜんぱい] /(n,vs) total abolition/(P)/
全廃論者 [ぜんぱいろんしゃ] /(n) abolitionist/
全敗 [ぜんぱい] /(n,vs) complete defeat/(sumo) finishing the tournament with no wins/
全麦 [ぜんばく] /(adj-no) whole-wheat/
全反射 [ぜんはんしゃ] /(n) total reflection/
全反射プリズム [ぜんはんしゃプリズム] /(n) total reflection prism/
全般 [ぜんぱん] /(n,adj-no) (the) whole/universal/wholly/general/(P)/
全般に [ぜんぱんに] /(adv) in general/
全般ヘルプ [ぜんぱんヘルプ] /(n) extended help/
全般支援 [ぜんぱんしえん] /(n) general support/
全般前哨 [ぜんぱんぜんしょう] /(n) general outpost/
全般前哨線 [ぜんぱんぜんしょうせん] /(n) general outpost line/
全般的 [ぜんぱんてき] /(adj-na) universal/general/
全般的に [ぜんぱんてきに] /(adv) generally/universally/wholly/
全備 [ぜんび] /(n,vs,adj-no) completeness/perfection/consummation/
全豹 [ぜんぴょう] /(n) the whole/all the rest/
全品 [ぜんぴん] /(n) all goods/
全部 [ぜんぶ] /(n-adv,n-t,adj-no) all/entire/whole/altogether/(P)/
全部ではないまでも [ぜんぶではないまでも] /(n) though all of them may not be included/
全部ではない迄も [ぜんぶではないまでも] /(n) though all of them may not be included/
全部保険 [ぜんぶほけん] /(n) full insurance/
全封地 [ぜんほうち] /(n) the whole fief/
全幅 [ぜんぷく] /(n,adj-no) overall width/wing span/all/every/utmost/
全幅的 [ぜんぷくてき] /(adj-na) fully/
全文 [ぜんぶん] /(n) whole passage/full text/whole sentence/full paragraph/(P)/
全文検索 [ぜんぶんけんさく] /(n) (comp) full-text search/
全米 [ぜんべい] /(n,adj-no) all-America/pan-American/(P)/
全米科学財団 [ぜんべいかがくざいだん] /(n) (comp) National Science Foundation (USA)/NSF/
全米証券業協会 [ぜんべいしょうけんぎょうきょうかい] /(n) National Association of Securities Dealers/NASD/
全米情報インフラストラクチャ [ぜんべいじょうほうインフラストラクチャ] /(n) (comp) National Information Infrastructure/NII/
全頁 [ぜんけつ] /(n) page total/total number of pages/
全篇 [ぜんぺん] /(n) whole book/
全編 [ぜんぺん] /(n) whole book (volume)/complete episode/
全便 [ぜんびん] /(n) all mail/
全方位 [ぜんほうい] /(n) every direction/
全方位外交 [ぜんほういがいこう] /(n) (Japanese) omnidirectional foreign policy/
全貌 [ぜんぼう] /(n) whole story/full picture/full particulars/
全北区 [ぜんほくく] /(n) Holarctic (region)/
全北区 [ぜんほっく] /(n) Holarctic (region)/
全民衆 [ぜんみんしゅう] /(n) all the peoples/
全滅 [ぜんめつ] /(n,vs) annihilation/(P)/
全免 [ぜんめん] /(n) complete exemption/
全面 [ぜんめん] /(n,adj-no) whole surface/entire/(P)/
全面安 [ぜんめんやす] /(n) across-the-board fall in prices/
全面核戦争 [ぜんめんかくせんそう] /(n) all-out nuclear war/
全面禁止 [ぜんめんきんし] /(n) complete prohibition/
全面広告 [ぜんめんこうこく] /(n,adj-no) full page advertisement/
全面講和 [ぜんめんこうわ] /(n) overall peace treaty/
全面高 [ぜんめんだか] /(n) general rise in stock prices/
全面積 [ぜんめんせき] /(n) total size (of land)/square measure/
全面戦争 [ぜんめんせんそう] /(n) total war/all-out war/
全面対決 [ぜんめんたいけつ] /(n,vs) all-out (frontal, total) confrontation/
全面的 [ぜんめんてき] /(adj-na) all-out/general/over-all/complete/extensive/full-scale/(P)/
全面撤退 [ぜんめんてったい] /(n,vs) total (full-scale) withdrawal/complete pullout (pullback)/
全面否定 [ぜんめんひてい] /(n,vs) complete (total) denial/denying totally (flatly, outright)/
全盲 [ぜんもう] /(n,adj-no) total blindness/
全問 [ぜんもん] /(n) all the questions (in exam)/
全訳 [ぜんやく] /(n,vs) complete translation/(P)/
全癒 [ぜんゆ] /(n,vs) complete healing/
全優 [ぜんゆう] /(n) straight A's/
全優の学生 [ぜんゆうのがくせい] /(n) straight A student/
全容 [ぜんよう] /(n) full portrait/whole aspect/full story/(P)/
全翼飛行機 [ぜんよくひこうき] /(n) flying wing/
全裸 [ぜんら] /(n,adj-no) nude/
全裸体 [ぜんらたい] /(n) stark naked body/
全粒 [ぜんりゅう] /(n,adj-no) whole grain/
全粒粉 [ぜんりゅうふん] /(n) whole wheat flour/
全寮 [ぜんりょう] /(n) whole dormitory/every dormitory/
全寮制 [ぜんりょうせい] /(n,adj-no) system where all students live in dormitories/residential system/boarding system (e.g. boarding school)/
全量 [ぜんりょう] /(n) the whole quantity/(P)/
全力 [ぜんりょく] /(n,adj-no) all one's power/whole energy/(P)/
全力を挙げる [ぜんりょくをあげる] /(exp,v1) to use all one's strength (ability)/
全力を上げる [ぜんりょくをあげる] /(exp,v1) to use all one's strength (ability)/
全力投球 [ぜんりょくとうきゅう] /(n,vs,adj-no) throw a ball as hard as one can/use all of one's strength (to)/give (it) everything one has got/go full-out/
全霊 [ぜんれい] /(n) one's whole soul/
全論点 [ぜんろんてん] /(n) all the points in question/the whole point/
禅 [ぜん] /(n) (1) (Buddh) dhyana (profound meditation)/(2) (abbr) Zen (Buddhism)/(P)/
禅院 [ぜんいん] /(n) (Buddh) Zen temple/
禅家 [ぜんけ] /(n) Zen/Zen temple/Zen priest/
禅画 [ぜんが] /(n) Zen painting/
禅学 [ぜんがく] /(n) Zen studies or practice (practise)/
禅師 [ぜんし] /(ik) (n) (hon) monk/priest, particularly a high-ranking Zen monk honored by the imperial court/
禅師 [ぜんじ] /(n) (hon) monk/priest, particularly a high-ranking Zen monk honored by the imperial court/
禅寺 [ぜんでら] /(n) Zen temple/(P)/
禅室 [ぜんしつ] /(n) (1) room for zazen meditation/room for Buddhist practices/(2) Zen monk's quarters/(3) head priest (of a Zen temple)/
禅宗 [ぜんしゅう] /(n) Zen (Buddhism)/(P)/
禅宗様 [ぜんしゅうよう] /(n,adj-no) traditional Zen-style architecture/
禅浄 [ぜんじょう] /(n) (abbr) Zen Buddhism and Pure Land Buddhism/
禅譲 [ぜんじょう] /(n,vs) (historical, in China) abdication by an emperor in favor (favour) of a more virtuous successor/
禅僧 [ぜんそう] /(n) Zen priest/(P)/
禅知 [ぜんち] /(n) (1) (Buddh) wisdom obtained from meditation/(2) (Buddh) wisdom and meditation/
禅智 [ぜんち] /(n) (1) (Buddh) wisdom obtained from meditation/(2) (Buddh) wisdom and meditation/
禅定 [ぜんじょう] /(n) (1) (Buddh) dhyana-samadhi (meditative concentration)/(2) ascetic practice atop a sacred mountain (in Shugendou)/(3) mountain top/
禅堂 [ぜんどう] /(n) zendo (Zen meditation hall)/
禅那 [ぜんな] /(n) (Buddh) dhyana (profound meditation)/
禅尼 [ぜんに] /(n) Zen nun/
禅坊主 [ぜんぼうず] /(n) (obsc) Zen monk/
禅味 [ぜんみ] /(n) the flavor of Zen/the flavour of Zen/air or style of disinterestedness/
禅問答 [ぜんもんどう] /(n) Zen dialogue/Zen questions and answers/(P)/
禅門 [ぜんもん] /(n) Zen/entering the path of Zen/
禅林 [ぜんりん] /(n) Zen temple/
禅話 [ぜんわ] /(n) Zen talk/
繕い [つくろい] /(n) mending/repair/darning/patching up/
繕い立てる [つくろいたてる] /(v1) to put up a good front/
繕う [つくろう] /(v5u,vt) to mend/to repair/to fix/to patch up/to darn/to tidy up/to adjust/to trim/(P)/
繕草 [つくろいぐさ] /(n) Japanese mugwort/
膳 [ぜん] /(n) (1) small dining table (usu. for a single person)/serving tray (with legs)/(2) meal/food/serving/(ctr) (3) counter for bowlfuls of rice/counter for pairs of chopsticks/(P)/
膳越し [ぜんごし] /(n) rudely reaching over one's serving tray to grab food behind it with one's chopsticks/
膳所 [ぜんしょ] /(n) (arch) kitchen/
膳部 [ぜんぶ] /(n) (1) food (on a table) (esp. a small Japanese table)/dinner/cover (in a restaurant)/(2) cook/chef/person who prepares food/
糎 [サンチ] /(n) (uk) (abbr) centimeter (esp. of cannon caliber, etc.)/
塑性 [そせい] /(n) plasticity/
塑性限界 [そせいげんかい] /(n) plastic limit/
塑性指数 [そせいしすう] /(n) plasticity index/
塑性変形 [そせいへんけい] /(n) plastic deformation/
塑像 [そぞう] /(n) earthen image/
塑造 [そぞう] /(n) molding/moulding/modeling/modelling/
塑弾性 [そだんせい] /(n) plasto-elasticity/
措いて [おいて] /(exp) except/no other/
措く [おく] /(v5k) to give up/to except/
措止 [そし] /(n) behavior/behaviour/demeanor/demeanour/
措辞 [そじ] /(n) wording/phraseology/diction/
措辞法 [そじほう] /(n) syntax/
措置 [そち] /(n,vs) measure/measures/step/(P)/
措置入院 [そちにゅういん] /(n,vs) involuntary admission (commitment) (to a mental hospital)/
措定 [そてい] /(n,vs) assumption/supposition/
曾 [そう] /(pref) great (i.e. great-grandson, great-grandmother)/
曾 [ひ] /(pref) great (i.e. great-grandson, great-grandmother)/
曾 [ひい] /(pref) great (i.e. great-grandson, great-grandmother)/
曾お祖父さん [ひいおじいさん] /(n) great-grandfather/
曾お祖母さん [ひいおばあさん] /(n) great-grandmother/
曾て [かって] /(adv,adj-no) (1) (uk) once/before/formerly/ever/former/ex-/(2) never (with negative verb)/
曾て [かつて] /(adv,adj-no) (1) (uk) once/before/formerly/ever/former/ex-/(2) never (with negative verb)/
曾祖父 [そうそふ] /(n) great-grandfather/great-granddad/great-grandad/
曾祖父 [ひいじじ] /(n) great-grandfather/great-granddad/great-grandad/
曾祖父 [ひおおじ] /(n) great-grandfather/great-granddad/great-grandad/
曾祖父 [ひじじ] /(n) great-grandfather/great-granddad/great-grandad/
曾祖母 [そうそぼ] /(n) great-grandmother/great-grandma/
曾祖母 [ひいばば] /(n) great-grandmother/great-grandma/
曾祖母 [ひおおば] /(n) great-grandmother/great-grandma/
曾祖母 [ひばば] /(n) great-grandmother/great-grandma/
曾孫 [そうそん] /(n) great-grandchild/
曾孫 [ひいまご] /(n) great-grandchild/
曾孫 [ひこ] /(ok) (n) great-grandchild/
曾孫 [ひこまご] /(ok) (n) great-grandchild/
曾孫 [ひひこ] /(ok) (n) great-grandchild/
曾孫 [ひまご] /(n) great-grandchild/
曾遊 [そうゆう] /(n,vs) former visit/
曽 [そう] /(pref) great (i.e. great-grandson, great-grandmother)/
曽 [ひ] /(pref) great (i.e. great-grandson, great-grandmother)/
曽 [ひい] /(pref) great (i.e. great-grandson, great-grandmother)/
曽祖父 [そうそふ] /(n) great-grandfather/great-granddad/great-grandad/
曽祖父 [ひいじじ] /(n) great-grandfather/great-granddad/great-grandad/
曽祖父 [ひおおじ] /(n) great-grandfather/great-granddad/great-grandad/
曽祖父 [ひじじ] /(n) great-grandfather/great-granddad/great-grandad/
曽祖父母 [そうそふぼ] /(n) great-grandparents/
曽祖母 [そうそぼ] /(n) great-grandmother/great-grandma/
曽祖母 [ひいばば] /(n) great-grandmother/great-grandma/
曽祖母 [ひおおば] /(n) great-grandmother/great-grandma/
曽祖母 [ひばば] /(n) great-grandmother/great-grandma/
曽孫 [そうそん] /(n) great-grandchild/
曽孫 [ひいまご] /(n) great-grandchild/
曽孫 [ひこ] /(ok) (n) great-grandchild/
曽孫 [ひこまご] /(ok) (n) great-grandchild/
曽孫 [ひひこ] /(ok) (n) great-grandchild/
曽孫 [ひまご] /(n) great-grandchild/
楚 [しもと] /(n) (arch) switch (flogging implement made from a branch)/
楚 [すわい] /(n) (1) (arch) switch (long, tender shoot of a plant)/(2) switch (cane used for flogging)/
楚 [すわえ] /(n) (1) (arch) switch (long, tender shoot of a plant)/(2) switch (cane used for flogging)/
楚 [ずわい] /(n) (1) (arch) switch (long, tender shoot of a plant)/(2) switch (cane used for flogging)/
楚 [ずわえ] /(n) (1) (arch) switch (long, tender shoot of a plant)/(2) switch (cane used for flogging)/
楚々 [そそ] /(adj-t,adv-to) graceful/neat/
楚蟹 [ずわいがに] /(n) (uk) snow crab (Chionoecetes opilio)/queen crab/
楚楚 [そそ] /(adj-t,adv-to) graceful/neat/
狙い [ねらい] /(n) aim/(P)/
狙い撃ち [ねらいうち] /(n,vs) shooting/sniping/
狙い所 [ねらいどころ] /(n) target/objective/
狙い澄ます [ねらいすます] /(v5s,vt) to take careful aim/
狙い目 [ねらいめ] /(n) one's chance/the right time/target/objective/
狙う [ねらう] /(v5u,vt) to aim at/(P)/
狙撃 [そげき] /(n,vs) shooting/sniping/
狙撃兵 [そげきへい] /(n) sniper/sharpshooter/
疏水 [そすい] /(n,adj-no) (1) canal/drainage/
疎 [そ] /(n,adj-na) (1) sparse/(2) not close (of a relationship)/
疎々しい [うとうとしい] /(adj-i) unfriendly/distant/cold/
疎い [うとい] /(adj-i) (1) distant/estranged/disinterested/(2) poorly informed/unfamiliar/ignorant/
疎か [おろか] /(adj-na,n) (1) neglect/negligence/carelessness/(exp) (2) (uk) not to mention/needless to say/not to speak of/(P)/
疎か [おろそか] /(adj-na,n) (1) neglect/negligence/carelessness/(P)/
疎かにする [おろそかにする] /(exp,vs-i) to neglect/
疎ましい [うとましい] /(adj-i) disagreeable/unpleasant/adverse/unsympathetic/
疎む [うとむ] /(v5m,vt) to neglect/to shun/to alienate/
疎ら [まばら] /(adj-na,n) sparse/(P)/
疎んじる [うとんじる] /(v1,vt) to neglect/to shun/to alienate/to distance oneself from/
疎遠 [そえん] /(adj-na,n,adj-no) estrangement/neglect/silence/(P)/
疎音 [そいん] /(n) prolonged silence/
疎開 [そかい] /(n,vs) dispersal/evacuation/deployment/(P)/
疎開者 [そかいしゃ] /(n) evacuee/
疎外 [そがい] /(n,vs) estrangement/neglect/alienation/casting out/(P)/
疎外感 [そがいかん] /(n) feeling of alienation/
疎覚え [うろおぼえ] /(n) (1) vague recollection/faint memory/
疎隔 [そかく] /(n,vs) alienation/
疎結合 [そけつごう] /(n,adj-no) (comp) loosely-coupled/
疎結合システム [そけつごうシステム] /(n) (comp) loosely coupled system/
疎結合ニューラルネットワーク [そけつごうニューラルネットワーク] /(n) sparsely connected neural network/
疎結合マルチプロセッサ [そけつごうマルチプロセッサ] /(n) (comp) Loosely-Coupled MultiProcessor/
疎水 [そすい] /(n,adj-no) (1) canal/drainage/(adj-f) (2) (abbr) hydrophobic/
疎水コロイド [そすいコロイド] /(n) hydrophobic colloid/
疎水基 [そすいき] /(n) hydrophobic group/
疎水性 [そすいせい] /(adj-no) hydrophobic/
疎疎しい [うとうとしい] /(adj-i) unfriendly/distant/cold/
疎通 [そつう] /(n,vs) (1) (mutual) understanding/communication/(2) removal of blockage (esp. medical)/drainage/(P)/
疎抜く [うろぬく] /(v5k,vt) to thin out (e.g. seedlings)/
疎放 [そほう] /(adj-na,n) rough/careless/
疎慢 [そまん] /(adj-na,adj-no,n) slipshod/sloppy/shoddy/
疎密 [そみつ] /(n) coarseness and fineness/sparse or dense (growth)/
疎明 [そめい] /(n,vs) explanation (for purpose of convincing a judge)/
疎略 [そりゃく] /(adj-na,n) coarse/crude/rough/
疎林 [そりん] /(n) sparse woods/
疎漏 [そろう] /(adj-na) (1) (obsc) careless/negligent/(n) (2) (obsc) carelessness/
礎 [いしずえ] /(n) foundation stone/cornerstone/(P)/
礎を築く [いしずえをきずく] /(exp,v5k) to lay the foundation (for)/
礎材 [そざい] /(n) foundation materials/
礎石 [そせき] /(n) foundation stone/cornerstone/(P)/
祖 [おや] /(iK) (n) (1) parent/parents/(2) dealer (in cards)/(3) founder/(4) (pet) owner/
祖 [そ] /(n) ancestor/forefather/progenitor/(P)/
祖型 [そけい] /(n) prototype/
祖語 [そご] /(n) parent language/
祖国 [そこく] /(n) fatherland/native country/(P)/
祖国愛 [そこくあい] /(n) patriotism/
祖国戦争 [そこくせんそう] /(n) Patriotic War (Russian name for the war with Napoleon in 1812)/
祖国復帰 [そこくふっき] /(n) returning to one's fatherland/
祖師 [そし] /(n) founder of a sect/
祖師西来 [そしせいらい] /(n) (Buddh) the coming of Bodhidharma from western India to China/
祖師禅 [そしぜん] /(n) Zen Buddhism based on the teachings of Bodhidharma/
祖宗 [そそう] /(n) ancestors/
祖述 [そじゅつ] /(n,vs) exposition (propagation) of one's master's teachings or doctrines/
祖先 [そせん] /(n) ancestor/(P)/
祖先の霊 [そせんのれい] /(n) ancestral spirits/
祖先の霊を祭る [そせんのれいをまつる] /(exp,v5r) to perform religious services for the departed souls of one's ancestors/
祖先崇拝 [そせんすうはい] /(n) ancestor worship/
祖先伝来 [そせんでんらい] /(n) hereditary/
祖廟 [そびょう] /(n) mausoleum containing the remains of one's ancestors/
祖父 [おおじ] /(n,adj-no) (1) grandfather/(2) old man/(3) kyogen mask used for the role of an old man/
祖父 [おじ] /(n,adj-no) (1) grandfather/
祖父 [じい] /(n,adj-no) (1) grandfather/
祖父 [じじ] /(n,adj-no) (1) grandfather/
祖父 [そふ] /(n,adj-no) (1) grandfather/(P)/
祖父 [そぶ] /(ok) (n,adj-no) (1) grandfather/
祖父さん [じいさん] /(n) (1) grandfather (may be used after name as honorific)/(2) male senior-citizen (may be used after name as honorific)/
祖父ちゃん [じいちゃん] /(n) (1) (fam) grandfather (may be used after name as honorific)/(2) male senior-citizen (may be used after name as honorific)/
祖父母 [そふぼ] /(n) grandparents/(P)/
祖母 [うば] /(n,adj-no) grandmother/
祖母 [おおば] /(n,adj-no) grandmother/
祖母 [おば] /(n,adj-no) grandmother/
祖母 [そぼ] /(n,adj-no) grandmother/(P)/
祖母 [ばば] /(n,adj-no) grandmother/
祖母さん [ばあさん] /(n) (1) grandmother/(2) female senior citizen/
祖霊 [それい] /(n) (1) ancestral spirit/collective of ancestral spirits which have lost their individualities/(2) ancestor deified as a kami/spirit of a kami/
租界 [そかい] /(n) concession/settlement/(P)/
租借 [そしゃく] /(n,vs) lease/
租借権 [そしゃくけん] /(n) lease(hold)/
租借地 [そしゃくち] /(n) leasehold land/
租税 [そぜい] /(n) taxes/taxation/(P)/
租税の帰着 [そぜいのきちゃく] /(n) incidence of taxation/tax incidence/
租税転嫁 [そぜいてんか] /(n) shifting of tax/tax shifting/
租税負担 [そぜいふたん] /(n) tax burden/
租庸調 [そようちょう] /(n) corvee/taxes in kind or service (former tax system)/
粗 [あら] /(n) (1) leftovers (after filleting a fish)/(2) rice chaff/(3) flaw (esp. of a person)/(pref) (4) rough/roughly/(5) crude/raw/natural/wild/
粗 [ほぼ] /(adv) (uk) almost/roughly/approximately/
粗い [あらい] /(adj-i) coarse/rough/(P)/
粗い細工 [あらいさいく] /(n) rough workmanship/
粗い肌 [あらいはだ] /(n) rough skin/
粗い網 [あらいあみ] /(n) coarse net/
粗ごなし [あらごなし] /(n,vs) (1) crushing up/grinding/(2) rough preparation/spadework/
粗っぽい [あらっぽい] /(adj-i) rough/rude/
粗びき [あらびき] /(adj-no) coarsely ground (e.g. coffee, grain)/minced (e.g. meat)/
粗悪 [そあく] /(adj-na,n,adj-no) coarse/crude/inferior/(P)/
粗悪品 [そあくひん] /(n) inferior goods/
粗衣 [そい] /(n) simple clothes/humble clothes/
粗衣粗食 [そいそしょく] /(n) simple or frugal life/
粗塩 [あらしお] /(n) sea salt/bay salt/coarse salt/
粗塩 [あらじお] /(n) sea salt/bay salt/coarse salt/
粗菓 [そか] /(n) (hum) refreshments (implied to be low-grade)/
粗樫 [あらかし] /(n) (uk) ring-cupped oak (Quercus glauca)/Japanese blue oak/
粗玉 [あらたま] /(n) unpolished and uncut gem/
粗筋 [あらすじ] /(n) outline/summary/(P)/
粗金 [あらかね] /(n) ore/
粗金 [あらがね] /(n) ore/
粗研ぎ [あらとぎ] /(n) sharpening with a rough grindstone/rough sharpening/
粗言 [そげん] /(n) rude word/inappropriate word/coarse language/
粗言 [そごん] /(n) rude word/inappropriate word/coarse language/
粗鉱 [そこう] /(n) crude ore/
粗鋼 [そこう] /(n) crude steel/(P)/
粗忽 [そこつ] /(adj-na,n) careless/thoughtless/rash/rude/at fault/
粗忽者 [そこつもの] /(n) careless person/thoughtless person/
粗削り [あらけずり] /(adj-na,n) rough-hewn/incomplete/unrefined/still in the process of being formed/
粗雑 [そざつ] /(adj-na,n) coarse/rough/crude/
粗餐 [そさん] /(n) plain meal/
粗煮 [あらに] /(n) dish consisting of bony fish parts boiled in soy sauce/
粗酒 [そしゅ] /(n) (hum) sake (implied to be low-grade)/
粗酒粗肴 [そしゅそこう] /(n) cheap wines and unpalatable dishes (a modest (self-deprecating) way of offering a meal to a guest)/
粗食 [そしょく] /(n,vs) simple diet/poor food/
粗炊き [あらだき] /(n) (food) simmered fish/
粗製 [そせい] /(n) crude construction or manufacture/
粗製品 [そせいひん] /(n) inferior goods/
粗製乱造 [そせいらんぞう] /(n) mass production of inferior goods/
粗製濫造 [そせいらんぞう] /(n) mass production of inferior goods/
粗薦 [あらこも] /(n) (obsc) loosely woven mat of wild rice leaves/
粗薦 [あらごも] /(n) (obsc) loosely woven mat of wild rice leaves/
粗粗 [あらあら] /(adv) roughly/
粗捜し [あらさがし] /(n,vs) finding fault/being picky/
粗相 [そそう] /(n) carelessness/careless mistake/blunder/
粗造り [あらづくり] /(n) rough-hewn/rough work/
粗大 [そだい] /(adj-na,n) coarse or rough/(P)/
粗大ごみ [そだいごみ] /(n) (1) oversize garbage/bulky rubbish/(2) (slang for) husband/
粗大塵 [そだいごみ] /(n) (1) oversize garbage/bulky rubbish/(2) (slang for) husband/
粗探し [あらさがし] /(n,vs) finding fault/being picky/
粗茶 [そちゃ] /(n) (1) coarse, low-grade tea/(2) (hum) tea (often used when offering someone a cup)/
粗塗り [あらぬり] /(n) first or rough coat/
粗砥 [あらと] /(n) rough grindstone/
粗糖 [そとう] /(n) raw or unrefined sugar/
粗銅 [そどう] /(n) black copper/
粗縄 [あらなわ] /(n) straw rope/
粗熱 [あらねつ] /(n) the heat of food just after cooking/
粗播き [あらまき] /(n) sparse sowing (seeding)/
粗飯 [そはん] /(n) (hum) poor meal/
粗挽き [あらびき] /(adj-no) coarsely ground (e.g. coffee, grain)/minced (e.g. meat)/
粗皮 [あらかわ] /(n) bark/husk/untanned pelt/
粗描 [そびょう] /(n,vs) rough sketch/
粗品 [そしな] /(n) (1) low-grade goods/(2) (hum) little gift/
粗品 [そひん] /(n) (1) low-grade goods/(2) (hum) little gift/
粗布 [そふ] /(n) coarse cloth/
粗服 [そふく] /(n) plain clothing/
粗壁 [あらかべ] /(n) rough-coated wall/
粗放 [そほう] /(adj-na,n) rough/careless/
粗放農業 [そほうのうぎょう] /(n) extensive agriculture/
粗方 [あらかた] /(adv,n) mostly/almost/
粗暴 [そぼう] /(adj-na,n) wild/rude/violent/hard/(P)/
粗末 [そまつ] /(adj-na,n) crude/rough/plain/humble/(P)/
粗末なお菜 [そまつなおさい] /(n) poor side dish/
粗末にする [そまつにする] /(exp,vs-i) to waste/to treat shabbily/to treat frivolously/to handle roughly/to treat without respect/
粗末に扱う [そまつにあつかう] /(exp,v5u) to handle (a thing) roughly/
粗慢 [そまん] /(adj-na,adj-no,n) slipshod/sloppy/shoddy/
粗密 [そみつ] /(n) coarseness and fineness/sparse or dense (growth)/
粗木 [あらき] /(n) logs in bark/rough wood/
粗目 [ざらめ] /(n) granulated sugar/brown sugar/
粗目雪 [ざらめゆき] /(n) corn or granular snow/
粗目糖 [ざらめとう] /(n) granulated sugar/
粗野 [そや] /(adj-na,n) rustic/rude/vulgar/rough/(P)/
粗利 [あらり] /(n) gross profit/
粗利益 [あらりえき] /(n) gross profit/
粗利率 [あらりりつ] /(n) gross margin ratio/
粗率 [あらりつ] /(n) gross profit margin/
粗略 [そりゃく] /(adj-na,n) coarse/crude/rough/
粗粒度 [そりゅうど] /(adj-f) coarse-grained/
粗漏 [そろう] /(adj-na) (1) (obsc) careless/negligent/(n) (2) (obsc) carelessness/
粗朶 [そだ] /(n) brushwood/twig/
粗碾き [あらびき] /(adj-no) coarsely ground (e.g. coffee, grain)/minced (e.g. meat)/
粗笨 [そほん] /(adj-na,n) crude/
粗筵 [あらむしろ] /(n) (obsc) loosely woven mat/
素 [す] /(adj-no,n) (1) plain/unadorned/undecorated/unadulterated/au naturel/(pref) (2) (derog) (before a noun) mere/poor/(3) (before an adjective) exceedingly/
素 [そ] /(adj-na,n,adj-no) (1) plain, white silk/(2) (math) prime/(P)/
素 [もと] /(n) (1) origin/source/(2) base/foundation/(3) cause/(4) ingredient/(5) original cost (or capital, principal, etc.)/(6) trunk/(7) first section of a waka/
素うどん [すうどん] /(n) udon noodles in broth (no trimmings)/
素っ [すっ] /(pref) most (emphasis)/much/greatly/
素っぴん [すっぴん] /(n) (1) (uk) face with no make-up/(2) sobriety/
素っ気ない [そっけない] /(adj-i) cold/short/curt/blunt/
素っ気無い [そっけない] /(adj-i) cold/short/curt/blunt/
素っ首 [そっくび] /(n) head/
素っ転ぶ [すっころぶ] /(v5b,vi) to (dramatically) fall over/to fall flat/
素っ頓狂 [すっとんきょう] /(adj-na,n) wild/in disarray/harum-scarum/hysteric/
素っ破抜き [すっぱぬき] /(n) exposure/disclosure/an "expose" (in a magazine)/
素っ破抜く [すっぱぬく] /(v5k,vt) to expose/to disclose/to unmask/
素っ飛ぶ [すっとぶ] /(v5b,vi) to rush off/to rush away/to vanish/
素っ裸 [すっぱだか] /(n) (1) nudity/(adj-na,adj-no) (2) stark naked/in one's bare skin/(3) penniless/
素もぐり [すもぐり] /(n) skin diving/free diving/
素より [もとより] /(adv) (1) from the beginning/from the first/all along/originally/(2) of course/
素イデアル [そイデアル] /(n) (math) prime ideal/
素袷 [すあわせ] /(oK) (n) (obsc) wearing a kimono (or awase) without any undergarments on/
素案 [そあん] /(n) draft/draught/(P)/
素因 [そいん] /(n,adj-no) (1) basic factor/(2) (medcal) predisposition/diathesis/
素因数 [そいんすう] /(n) prime factor/
素因数分解 [そいんすうぶんかい] /(n) prime decomposition/prime factor decomposition/
素襖 [すおう] /(n) suou (ceremonial dress of lower-class samurai)/
素懐 [そかい] /(n) a cherished hope/
素馨 [そけい] /(n) (uk) Spanish jasmine (Jasminum grandiflorum)/
素寒貧 [すかんぴん] /(adj-na,n) penniless/dire poverty/pauper/
素干し [すぼし] /(n) drying in the shade/
素甘 [すあま] /(n) (uk) sweet mochi cake/
素顔 [すがお] /(n,adj-na,adj-no) (1) face with no make-up/unpainted face/(2) honesty/frankness/(P)/
素気ない [すげない] /(adj-i) curt/blunt/cold/short/
素気ない [そっけない] /(adj-i) cold/short/curt/blunt/
素気無い [すげない] /(adj-i) curt/blunt/cold/short/
素気無い [そっけない] /(adj-i) cold/short/curt/blunt/
素魚 [しろうお] /(n) (uk) ice goby (Leucopsarion petersii)/
素形材産業 [そけいざいさんぎょう] /(n) forges and foundries/
素絹 [そけん] /(n) coarse silk/
素元 [そげん] /(n) (math) prime element/
素股 [すまた] /(n) intercrural sex/
素語り [すがたり] /(n) reciting without samisen accompaniment/
素行 [そこう] /(n) behaviour/behavior/
素行が修まらない [そこうがおさまらない] /(adj-i) (obsc) dissolute/conducting oneself loosely/
素行調査 [そこうちょうさ] /(n) probity check/background investigation/
素材 [そざい] /(n) raw materials/subject matter/(P)/
素子 [そし] /(n) (1) element (esp. component in electronics)/elemental device/device/(2) data/datum/(P)/
素志 [そし] /(n) longstanding desire or goal/
素質 [そしつ] /(n,adj-no) character/qualities/genius/the makings of/(P)/
素手 [すで] /(n,adj-no) unarmed/bare hands/
素首 [そくび] /(n) head/
素首落し [そくびおとし] /(n) head chop down (sumo)/
素首落とし [そくびおとし] /(n) head chop down (sumo)/
素出力条件 [そしゅつりょくじょうけん] /(n) bare output conditions/
素焼 [すやき] /(n) bisque (fired pottery)/
素焼き [すやき] /(n) bisque (fired pottery)/
素振 [そぶり] /(io) (n) behavior/behaviour/manner/attitude/bearing/
素振り [すぶり] /(n) practice-swinging (sword, bat, tennis racket, etc.)/
素振り [そぶり] /(n) behavior/behaviour/manner/attitude/bearing/
素人 [しろうと] /(n,adj-no) amateur/novice/(P)/
素人下宿 [しろうとげしゅく] /(n) boarding house/
素人筋 [しろうとすじ] /(n) lay public/
素人芸 [しろうとげい] /(n) amateur's skill or performance/
素人細工 [しろうとざいく] /(n) amateurish work/
素人芝居 [しろうとしばい] /(n) amateur theatricals/amateur dramatic performance/
素人臭い [しろうとくさい] /(adj-i) amateurish/
素人童貞 [しろうとどうてい] /(n) man who has never had sex except with sex workers/
素人判断 [しろうとはんだん] /(n) layperson's judgment (opinion)/
素人目 [しろうとめ] /(n) inexpert or untrained eyes/
素人離れ [しろうとばなれ] /(n,vs) amateur as good as a professional/
素人療法 [しろうとりょうほう] /(n) home remedy/medical treatment by a layperson/
素数 [そすう] /(n) prime number/prime numbers/
素姓 [すじょう] /(n) birth/lineage/parentage/origin/identity/background/history/
素性 [すじょう] /(n) birth/lineage/parentage/origin/identity/background/history/
素性構造 [そせいこうぞう] /(n) feature structure/
素晴しい [すばらしい] /(adj-i) wonderful/splendid/magnificent/(P)/
素晴しい [すんばらしい] /(adj-i) wonderful/splendid/magnificent/
素晴らしい [すばらしい] /(adj-i) wonderful/splendid/magnificent/(P)/
素晴らしい [すんばらしい] /(adj-i) wonderful/splendid/magnificent/
素晴らしき [すばらしき] /(adj-f) magnificent/wonderful/
素生 [すじょう] /(n) birth/lineage/parentage/origin/identity/background/history/
素声 [しらこえ] /(n) (1) shrill voice/(2) unaccompanied part of the Heike Monogatari chanting/(3) part of an unaccompanied poem (in Noh)/
素声 [しらごえ] /(n) (1) shrill voice/(2) unaccompanied part of the Heike Monogatari chanting/(3) part of an unaccompanied poem (in Noh)/
素潜り [すもぐり] /(n) skin diving/free diving/
素早い [すばやい] /(adj-i) (1) fast/quick/prompt/nimble/agile/(2) quick (to understand)/sharp (judgement)/(P)/
素早く [すばやく] /(adv) quickly/nimbly/agilely/(P)/
素足 [すあし] /(n,adj-no) bare feet/
素速い [すばやい] /(adj-i) (1) fast/quick/prompt/nimble/agile/(2) quick (to understand)/sharp (judgement)/
素体 [そたい] /(n) prime field/
素知らぬ [そしらぬ] /(adj-pn) feigned/pretending/
素知らぬふり [そしらぬふり] /(exp) pretending not to recognize/pretending not to recognise/feigned ignorance/
素知らぬ顔 [そしらぬかお] /(n) pretending not to recognize (recognise)/feigned ignorance/
素知らぬ振り [そしらぬふり] /(exp) pretending not to recognize/pretending not to recognise/feigned ignorance/
素地 [きじ] /(n) (1) cloth/material/texture/(2) one's true character/(3) unglazed pottery/(4) uncooked dough/batter/
素地 [そじ] /(n) foundation/
素直 [すなお] /(adj-na,n) (1) obedient/meek/docile/unaffected/(2) honest/frank/(P)/
素通し [すどおし] /(n) transparent/plain (glass or glasses)/
素通り [すどおり] /(n,vs) passing through without stopping/passing by/
素敵 [すてき] /(ateji) (adj-na) lovely/dreamy/beautiful/great/fantastic/superb/cool/capital/(P)/
素的 [すてき] /(ateji) (adj-na) lovely/dreamy/beautiful/great/fantastic/superb/cool/capital/
素適 [すてき] /(ateji) (adj-na) lovely/dreamy/beautiful/great/fantastic/superb/cool/capital/
素湯 [さゆ] /(n) (plain) hot water/boiled water/
素読 [すよみ] /(io) (n,vs) reading without comprehending/reading a second draft without checking it against the original (draught)/
素読 [そどく] /(n,vs) reading something (usu. aloud) without trying to understand it/reading something only for the purposes of proofreading/
素読 [そよみ] /(io) (n,vs) reading without comprehending/reading a second draft without checking it against the original (draught)/
素読み [すよみ] /(n,vs) reading without comprehending/reading a second draft without checking it against the original (draught)/
素読み [そよみ] /(n,vs) reading without comprehending/reading a second draft without checking it against the original (draught)/
素破抜く [すっぱぬく] /(v5k,vt) to expose/to disclose/to unmask/
素拍子 [しらびょうし] /(n) (1) (arch) dancing girl (end of the Heian period)/(2) prostitute/(3) tempo in gagaku/
素泊まり [すどまり] /(n) staying overnight without meals/
素泊り [すどまり] /(n) staying overnight without meals/
素肌 [すはだ] /(n) bare (naked) body/complexion (e.g. face)/
素反応 [そはんのう] /(n) elementary reaction/
素描 [そびょう] /(n,vs) (1) drawing/sketch/(2) outline/summary/synopsis/(P)/
素封家 [そほうか] /(n) wealthy person or family/
素片 [そへん] /(n) fragments/chips/materials/
素朴 [そぼく] /(adj-na,n) simplicity/artlessness/naivete/(P)/
素朴実在論 [そぼくじつざいろん] /(n) naive realism/
素本 [すほん] /(n) Chinese classic without reading aids/book without reading aids/
素本 [そほん] /(n) Chinese classic without reading aids/book without reading aids/
素面 [しらふ] /(n,adj-no) (1) (uk) sobriety/
素面 [すめん] /(n,adj-no) (1) (uk) sobriety/(2) sober face/
素麺 [そうめん] /(n) fine white noodles/
素麺南瓜 [そうめんカボチャ] /(n) (uk) spaghetti squash/
素養 [そよう] /(n) groundings in/accomplishments/training/elementary attainments/
素裸 [すっぱだか] /(n) (1) nudity/(adj-na,adj-no) (2) stark naked/in one's bare skin/(3) penniless/
素裸 [すはだか] /(n) (1) nudity/(adj-na,adj-no) (2) stark naked/in one's bare skin/(3) penniless/
素粒子 [そりゅうし] /(n) elementary particle/particle (physics)/(P)/
素粒子の相互作用 [そりゅうしのそうごさよう] /(n) fundamental interaction (i.e. gravitation, electromagnetism, weak interaction, strong interaction)/
素粒子加速器 [そりゅうしかそくき] /(n) particle accelerator/
素粒子論 [そりゅうしろん] /(n) theory of elementary particles/
素浪人 [すろうにん] /(n) poor or lowly masterless samurai/
素樸 [そぼく] /(adj-na,n) simplicity/artlessness/naivete/
素袍 [すおう] /(n) suou (ceremonial dress of lower-class samurai)/
素饂飩 [すうどん] /(n) udon noodles in broth (no trimmings)/
組 [くみ] /(n) (1) set (of items)/(2) group (of people)/class (of students)/company (esp. construction)/family (i.e. mafia)/team/(3) typesetting/composition/(P)/
組になる [くみになる] /(exp,v5r) to join forces with/to cooperate with/
組み [くみ] /(n) (1) set (of items)/(2) group (of people)/class (of students)/company (esp. construction)/family (i.e. mafia)/team/(3) typesetting/composition/(P)/
組みつく [くみつく] /(v5k) to grapple/to wrestle/
組みなおす [くみなおす] /(v5s) to reschedule/to recompose/to recross (one's legs)/to reset/
組み唄 [くみうた] /(n) var. of folksong/var. of koto or shamisen music/medley of (Japanese) songs/
組み下 [くみした] /(n) subordinate (member of a group)/
組み歌 [くみうた] /(n) var. of folksong/var. of koto or shamisen music/medley of (Japanese) songs/
組み換え [くみかえ] /(n,vs) rearrangement (of classes)/recomposition/recombination/reclassification/
組み換えＤＮＡ [くみかえディーエヌエー] /(n) recombinant DNA/
組み換える [くみかえる] /(v1,vt) to rearrange (classes)/to recompose/to reset/to recombine (genes)/
組み合い [くみあい] /(n) association/union/
組み合う [くみあう] /(v5u,vi) to form a partnership or association/to join together/to grapple with/
組み合す [くみあわす] /(v5s) to combine/to join together/to join up/to dovetail together/
組み合せ [くみあわせ] /(n) combination/
組み合せる [くみあわせる] /(v1,vt) to join together/to combine/to join up/
組み合わす [くみあわす] /(v5s) to combine/to join together/to join up/to dovetail together/
組み合わせ [くみあわせ] /(n) combination/(P)/
組み合わせる [くみあわせる] /(v1,vt) to join together/to combine/to join up/(P)/
組み合わせ回路 [くみあわせかいろ] /(n) (comp) combinational circuit/
組み合わせ錠 [くみあわせじょう] /(n) combination lock/
組み込み [くみこみ] /(n,vs) (1) cut-in (printing)/insertion/inclusion/(adj-f) (2) built-in/predefined/embedded (e.g. software)/
組み込みコマンド [くみこみコマンド] /(n) (comp) built-in command/
組み込みプロセッサ [くみこみプロセッサ] /(n) (comp) embedded processor/
組み込み関数 [くみこみかんすう] /(n) built-in function (e.g. in programming language)/
組み込む [くみこむ] /(v5m,vt) to insert/to include/to cut in (printing)/(P)/
組み糸 [くみいと] /(n) braid/braided thread or cord/
組み写真 [くみしゃしん] /(n) composite or montage photograph/
組み手 [くみて] /(n) (1) wooden joints/(2) paired karate kata/(3) (in sumo) beltwork/
組み重 [くみじゅう] /(n) nest of lacquer boxes/
組み上げる [くみあげる] /(v1,vt) to compose/to put together/
組み打ち [くみうち] /(n) grappling or wrestling with/
組み体操 [くみたいそう] /(n) coordinated group gymnastics (in which teams form pyramids or other shapes)/
組み替え [くみかえ] /(n,vs) rearrangement (of classes)/recomposition/recombination/reclassification/(P)/
組み替えＤＮＡ [くみかえディーエヌエー] /(n) recombinant DNA/
組み替える [くみかえる] /(v1,vt) to rearrange (classes)/to recompose/to reset/to recombine (genes)/
組み直す [くみなおす] /(v5s) to reschedule/to recompose/to recross (one's legs)/to reset/
組み天井 [くみてんじょう] /(n) lattice ceiling/
組み討ち [くみうち] /(n) grappling or wrestling with/
組み入れる [くみいれる] /(v1,vt) to include/to insert/to ladle water into/to take into consideration/
組み杯 [くみさかずき] /(n) a nest of sake cups/
組み盃 [くみさかずき] /(n) a nest of sake cups/
組み版 [くみはん] /(n) typesetting/composition/
組み紐 [くみひも] /(n) braid/plaited cord/
組み付く [くみつく] /(v5k) to grapple/to wrestle/
組み付け [くみつけ] /(n) (1) imposition (printing)/laying out page order/(2) assembly (e.g. of components)/
組み付ける [くみつける] /(v1) (1) to impose (printing)/to lay out the page order/(2) to assemble (e.g. components)/
組み敷く [くみしく] /(v5k,vt) to press down/to hold down/to pin down/
組み伏せる [くみふせる] /(v1,vt) to hold down/
組み分け [くみわけ] /(n) dividing pupils, etc. into groups or classes/streaming schoolchildren according to ability/
組み方 [くみかた] /(n) way of constructing/
組み立て [くみたて] /(n,adj-no) construction/framework/erection/assembly/organization/organisation/(P)/
組み立てる [くみたてる] /(v1,vt) to assemble/to set up/to construct/(P)/
組み立てライン [くみたてライン] /(n) assembly line/
組み立て単位 [くみたてたんい] /(n) derived unit (i.e. metre per second, cubic metre, etc.)/
組む [くむ] /(v5m) (1) to cross (legs or arms)/to link (arms)/(2) to put together/to construct/to assemble/to produce (e.g. TV program)/(3) to braid/to plait/(4) to grapple/to wrestle/(5) to unite/to link up/to form an alliance/(6) to set (e.g. type)/(7) to issue (e.g. money order)/(P)/
組を作る [くみをつくる] /(exp,v5r) to make up a party/
組んず解れつ [くんずほぐれつ] /(adj-no) (uk) locked in a grapple/
組唄 [くみうた] /(n) var. of folksong/var. of koto or shamisen music/medley of (Japanese) songs/
組屋敷 [くみやしき] /(n) residence for low class samurai enrolled in one of the police forces (Edo period)/
組歌 [くみうた] /(n) var. of folksong/var. of koto or shamisen music/medley of (Japanese) songs/
組閣 [そかく] /(n,vs) formation of a cabinet/(P)/
組換え [くみかえ] /(n,vs) rearrangement (of classes)/recomposition/recombination/reclassification/
組換えＤＮＡ [くみかえディーエヌエー] /(n) recombinant DNA/
組換える [くみかえる] /(v1,vt) to rearrange (classes)/to recompose/to reset/to recombine (genes)/
組曲 [くみきょく] /(n) musical suite/musical selection/(P)/
組合 [くみあい] /(n) association/union/(P)/
組合す [くみあわす] /(v5s) to combine/to join together/to join up/to dovetail together/
組合せ [くみあわせ] /(n) combination/(P)/
組合せる [くみあわせる] /(v1,vt) to join together/to combine/to join up/
組合せ回路 [くみあわせかいろ] /(n) (comp) combinational circuit/
組合せ条件 [くみあわせじょうけん] /(n) (comp) combined condition/
組合わせ [くみあわせ] /(n) combination/(P)/
組合わせる [くみあわせる] /(v1,vt) to join together/to combine/to join up/
組合員 [くみあいいん] /(n) unionist/union member/
組合員証 [くみあいいんしょう] /(n) union card/
組合主義 [くみあいしゅぎ] /(n) trade unionism/
組合頭 [くみあいがしら] /(n) group leader/
組合費 [くみあいひ] /(n) union dues/
組込 [くみこみ] /(n,vs) (1) cut-in (printing)/insertion/inclusion/(adj-f) (2) built-in/predefined/embedded (e.g. software)/
組込み [くみこみ] /(n,vs) (1) cut-in (printing)/insertion/inclusion/(adj-f) (2) built-in/predefined/embedded (e.g. software)/
組込み関数 [くみこみかんすう] /(n) built-in function (e.g. in programming language)/
組込む [くみこむ] /(v5m,vt) to insert/to include/to cut in (printing)/
組始端 [くみしたん] /(n) (comp) first character position of line/
組子 [くみこ] /(n) (1) member (of a group led by a kumigashira)/member (of a fire brigade)/(2) muntin/mullion/member/fret/
組手 [くみて] /(n) (1) wooden joints/(2) paired karate kata/(3) (in sumo) beltwork/
組終端 [くみしゅうたん] /(n) (comp) last character position of line/
組上り濃度 [くみあがりのうど] /(n) (comp) typographic color/
組織 [そしき] /(n,vs) (1) organization/organisation/(2) structure/construction/(3) tissue/(4) system/(P)/
組織の硬直化 [そしきのこうちょくか] /(n,vs) organizational inertia/organisational inertia/
組織横断 [そしきおうだん] /(n) cross-departmental/cross-functional/
組織化 [そしきか] /(n,vs) organization/organisation/systematization/systematisation/
組織改革 [そしきかいかく] /(n) organizational change/organisational change/organizational reform/
組織学 [そしきがく] /(n) histology/
組織再編 [そしきさいへん] /(n) reorganization/reorganisation/restructuring/
組織神学 [そしきしんがく] /(n) systematic theology/
組織人間 [そしきにんげん] /(n) organization (corporate) man (woman)/
組織図 [そしきず] /(n) organization chart/organisation chart/
組織体 [そしきたい] /(n) organizational entity/organisational entity/body/
組織的 [そしきてき] /(adj-na) systematic/(P)/
組織適合抗原 [そしきてきごうこうげん] /(n) histocompatibility antigen/
組織培養 [そしきばいよう] /(n) tissue culture/
組織犯罪 [そしきはんざい] /(n) organized crime/organised crime/
組織票 [そしきひょう] /(n) block votes (e.g. of a labor union, labour union)/
組織暴力団 [そしきぼうりょくだん] /(n) organized crime syndicate/organised crime syndicate/
組織名 [そしきめい] /(n) organization name/organisation name/
組織立つ [そしきだつ] /(v5t,vi) to have orderly plans/to be systematic/
組織力 [そしきりょく] /(n) organizational capability/organisational capability/
組織労働者 [そしきろうどうしゃ] /(n) organized labour (organised, labor)/unionized labour/
組織論 [そしきろん] /(n) organizational theory/organization theory/
組職 [そしょく] /(n) organization/organisation/business (in licensing terms)/
組成 [そせい] /(n,vs,adj-no) composition/constitution/(P)/
組体操 [くみたいそう] /(n) coordinated group gymnastics (in which teams form pyramids or other shapes)/
組替え [くみかえ] /(n,vs) rearrangement (of classes)/recomposition/recombination/reclassification/
組替えＤＮＡ [くみかえディーエヌエー] /(n) recombinant DNA/
組替える [くみかえる] /(v1,vt) to rearrange (classes)/to recompose/to reset/to recombine (genes)/
組長 [くみちょう] /(n) boss (yakuza)/(P)/
組頭 [くみがしら] /(n) group leader/
組入れる [くみいれる] /(v1,vt) to include/to insert/to ladle water into/to take into consideration/
組版 [くみはん] /(n) typesetting/composition/
組紐 [くみひも] /(n) braid/plaited cord/
組付く [くみつく] /(v5k) to grapple/to wrestle/
組付け [くみつけ] /(n) (1) imposition (printing)/laying out page order/(2) assembly (e.g. of components)/
組付ける [くみつける] /(v1) (1) to impose (printing)/to lay out the page order/(2) to assemble (e.g. components)/
組敷く [くみしく] /(v5k,vt) to press down/to hold down/to pin down/
組分け [くみわけ] /(n) dividing pupils, etc. into groups or classes/streaming schoolchildren according to ability/
組立 [くみたて] /(n,adj-no) construction/framework/erection/assembly/organization/organisation/
組立て [くみたて] /(n) (comp) reassembling/
組立て工 [くみたてこう] /(n) an assembler/
組立て工場 [くみたてこうじょう] /(n) an assembly plant/
組立て式 [くみたてしき] /(n) prefabricated/knockdown/
組立て住宅 [くみたてじゅうたく] /(n) prefabricated housing/
組立て単位 [くみたてたんい] /(n) derived unit (i.e. metre per second, cubic metre, etc.)/
組立単位 [くみたてたんい] /(n) derived unit (i.e. metre per second, cubic metre, etc.)/
蘇える [よみがえる] /(io) (v5r,vi) (1) to be resurrected/to be resuscitated/to be rehabilitated/to be revived/to be refreshed/to be restored/(2) to be recalled (e.g. memories)/to be brought back/
蘇り [よみがえり] /(n) resurrection/reviving/resuscitation/rehabilitation/
蘇る [よみがえる] /(v5r,vi) (1) to be resurrected/to be resuscitated/to be rehabilitated/to be revived/to be refreshed/to be restored/(2) to be recalled (e.g. memories)/to be brought back/
蘇悉地経 [そしつじきょう] /(n) (Buddh) Susiddhikara Sutra/
蘇生 [そせい] /(n,vs,adj-no) rebirth/resuscitation/rehabilitation/reorganization/reorganisation/regeneration/resurrection/reviving/
蘇張 [そちょう] /(n) good debater/
蘇張の弁 [そちょうのべん] /(n) skilful debate/well-constructed debate/
蘇鉄 [そてつ] /(n) (uk) Japanese sago palm (species of cycad, Cycas revoluta)/
蘇方 [すおう] /(n) (1) (uk) sappanwood (Caesalpinia sappan)/(2) sappanwood dye (red in colour) (color)/(3) layered colour (light brown on the front, dark red beneath)/
蘇芳 [すおう] /(n) (1) (uk) sappanwood (Caesalpinia sappan)/(2) sappanwood dye (red in colour) (color)/(3) layered colour (light brown on the front, dark red beneath)/
蘇連 [それん] /(n,adj-no) (abbr) (former) Soviet Union/Union of Soviet Socialist Republics/USSR/
蘇枋 [すおう] /(n) (1) (uk) sappanwood (Caesalpinia sappan)/(2) sappanwood dye (red in colour) (color)/(3) layered colour (light brown on the front, dark red beneath)/
訴え [うったえ] /(n) lawsuit/complaint/(P)/
訴える [うったえる] /(v1,vt) (1) to raise/to bring to (someone's attention)/(2) to appeal to/to call for/(3) to complain/(4) to sue (a person)/to take someone to court/(5) to resort to (e.g. arms, violence)/(P)/
訴え出る [うったえでる] /(v1) to lodge a complaint/
訴因 [そいん] /(n) charge/count/
訴願 [そがん] /(n,vs) petition/appeal/
訴願人 [そがんにん] /(n) petitioner/
訴求 [そきゅう] /(n,vs) appeal/solicitation/
訴求効果 [そきゅうこうか] /(n) customer appeal/the power to appeal to customers/
訴権 [そけん] /(n) right to take (legal) action/
訴訟 [そしょう] /(n,vs,adj-no) litigation/lawsuit/(P)/
訴訟記録 [そしょうきろく] /(n) record (of legal proceedings in a court)/
訴訟係属 [そしょうけいぞく] /(n) pendency/pending legal case/pending litigation/pendente lite/
訴訟繋属 [そしょうけいぞく] /(n) pendency/pending legal case/pending litigation/pendente lite/
訴訟指揮 [そしょうしき] /(n) trial management (e.g. by the court)/
訴訟事件 [そしょうじけん] /(n) lawsuit/(legal) case/
訴訟人 [そしょうにん] /(n) litigant/plaintiff/suitor/
訴訟費用 [そしょうひよう] /(n) (lawsuit) costs/
訴訟法 [そしょうほう] /(n) code of legal (civil or criminal) procedure/
訴状 [そじょう] /(n) petition/complaint/(legal) brief/(P)/
訴人 [そにん] /(n,vs) a suitor/an accuser/a complainant/an informant/sue/accuse/
訴追 [そつい] /(n,vs) legal action/(P)/
訴追委員会 [そついいいんかい] /(n) indictment committee/
訴追者 [そついしゃ] /(n) prosecutor/
訴追側 [そついがわ] /(n) (the) prosecution/
阻む [はばむ] /(v5m) to keep someone from doing/to stop/to prevent/to check/to hinder/to obstruct/to oppose/to thwart/(P)/
阻害 [そがい] /(n,vs,adj-no) obstruction/inhibition/(P)/
阻碍 [そがい] /(n,vs,adj-no) obstruction/inhibition/
阻隔 [そかく] /(n,vs) separation/estrangement/
阻却 [そきゃく] /(n,vs) rejection/
阻塞気球 [そさいききゅう] /(n) barrage balloon/
阻止 [そし] /(n,vs) obstruction/check/hindrance/prevention/interdiction/(P)/
阻喪 [そそう] /(n,vs) loss of spirit/dejection/
阻礙 [そがい] /(n,vs,adj-no) obstruction/inhibition/
遡る [さかのぼる] /(v5r,vi) to go back/to go upstream/to make retroactive/(P)/
遡河魚 [さっかぎょ] /(n) anadromous fish (fish that migrates upstream, e.g. salmon)/
遡河魚 [そかぎょ] /(n) anadromous fish (fish that migrates upstream, e.g. salmon)/
遡及 [さっきゅう] /(n,vs) tracing back/retroactivity/
遡及 [そきゅう] /(n,vs) tracing back/retroactivity/
遡及書誌 [そきゅうしょし] /(n) retrospective bibliography/
遡及的 [そきゅうてき] /(adj-na) retroactive/
遡求 [そきゅう] /(n) redemption/recourse/
遡求権 [そきゅうけん] /(n) right of recourse/right for redemption/
遡源 [さくげん] /(n,vs) returning to the origin/going back to the beginning/retracing/
遡源 [そげん] /(n,vs) returning to the origin/going back to the beginning/retracing/
遡航 [そこう] /(n,vs) going upstream/sailing against the current/
遡行 [そこう] /(n,vs) going upstream/sailing against the current/
遡上 [そじょう] /(n,vs) going upstream/retroact/retrospect/
鼠 [ねず] /(n) (1) mouse/rat/(2) dark gray/dark grey/slate (color, colour)/
鼠 [ねずみ] /(n) (1) mouse/rat/(2) dark gray/dark grey/slate (color, colour)/(P)/
鼠の嫁入り [ねずみのよめいり] /(n) light shower/
鼠カンガルー [ねずみカンガルー] /(n) (uk) rat kangaroo (any marsupial of family Potoroidae, inc. bettongs and potoroos)/
鼠チフス菌 [ねずみチフスきん] /(n) Salmonella typhimurium/
鼠亜目 [ねずみあもく] /(n) Myomorpha (suborder of rodents)/
鼠疫 [そえき] /(n) plague/pest/
鼠花火 [ねずみはなび] /(n) pinwheel/
鼠海豚 [ねずみいるか] /(n) (uk) harbor porpoise (harbour)/common porpoise (Phocoena phocoena)/
鼠害 [そがい] /(n) damage by rats or mice/
鼠径 [そけい] /(n,adj-f) groin/inguinal region/
鼠径ヘルニア [そけいヘルニア] /(n) inguinal hernia/
鼠径管 [そけいかん] /(n) inguinal canal/
鼠径腺 [そけいせん] /(n) inguinal gland/
鼠径部 [そけいぶ] /(n) groin/groin region/inguinal region/
鼠頚部 [そけいぶ] /(n) groin/groin region/inguinal region/
鼠穴 [ねずみあな] /(n) rathole/mousehold/
鼠講 [ねずみこう] /(n) pyramid scheme/
鼠鮫 [ねずみざめ] /(n) (uk) salmon shark (species of North Pacific mackerel shark, Lamna ditropis)/
鼠算 [ねずみさん] /(n) (1) geometric progression/(2) proliferation/multiplying like rats/
鼠算 [ねずみざん] /(n) (1) geometric progression/(2) proliferation/multiplying like rats/
鼠子 [ねずこ] /(n) (uk) Japanese arborvitae (Thuja standishii)/
鼠取り [ねずみとり] /(n) (1) mousetrap/rattrap/(2) speed trap/(3) rat poison/
鼠色 [ねずみいろ] /(n) grey/gray/
鼠窃 [そせつ] /(n) sneak-thief/
鼠巣 [そそう] /(n) rat's nest/
鼠賊 [そぞく] /(n) petty thief/pilferer/sneak thief/
鼠族 [そぞく] /(n) rodents/
鼠盗 [そとう] /(n) pilfering/
鼠毒 [そどく] /(n) rat-bite fever/sodoku/
鼠入らず [ねずみいらず] /(n) ratproof cupboard/
鼠輩 [そはい] /(n) small fry/unimportant people/
鼠捕り [ねずみとり] /(n) (1) mousetrap/rattrap/(2) speed trap/(3) rat poison/
鼠坊 [ねずっぽ] /(n) (uk) dragonet (any fish of family Callionymidae, esp. Richard's dragonet, Repomucenus richardsonii)/
鼠鳴き [ねずみなき] /(n,vs) whistling of a prostitute (to attract customers)/
鼠毛 [ねずみげ] /(n) dun (horse coat color)/
鼠落し [ねずみおとし] /(n) rattrap/
鼠咬症 [そこうしょう] /(n) ratbite disease/
鼠繻子 [ねずみじゅす] /(n) gray satin fabric/
鼠蹊 [そけい] /(n,adj-f) groin/inguinal region/
鼠蹊ヘルニア [そけいヘルニア] /(n) inguinal hernia/
鼠蹊管 [そけいかん] /(n) inguinal canal/
鼠蹊部 [そけいぶ] /(n) groin/groin region/inguinal region/
鼠頸部 [そけいぶ] /(n) groin/groin region/inguinal region/
鼠鯒 [ねずみごち] /(n) (uk) Richardson's dragonet (Repomucenus richardsonii)/Richard's dragonet/
鼠黐 [ねずみもち] /(n) (uk) Japanese privet (Ligustrum japonicum)/
鼠黐 [ねずもち] /(n) (uk) Japanese privet (Ligustrum japonicum)/
僧 [そう] /(n) monk/priest/(P)/
僧庵 [そうあん] /(n) priest's hermitage/
僧庵生活 [そうあんせいかつ] /(n) hermit life/
僧位 [そうい] /(n) priestly rank/
僧衣 [そうい] /(n) priest's garb/
僧院 [そういん] /(n) monastery/temple/(P)/
僧伽 [そうぎゃ] /(n) sangha (the Buddhist community) (san: samgha)/
僧家 [そうか] /(n) Buddhist temple/
僧供 [そうぐ] /(n) (arch) giving to a monk/offerings made to monks/
僧形 [そうぎょう] /(n) the form of a Buddhist priest/priestly attire/
僧綱 [そうごう] /(n) ancient Buddhist ecclesiastical authority/
僧号 [そうごう] /(n) priest's religious name/
僧寺 [そうじ] /(n) Buddhist priest/temple with a resident priest/
僧衆 [そうしゅ] /(n) large number of priests/
僧衆 [そうしゅう] /(n) large number of priests/
僧職 [そうしょく] /(n,adj-no) (Buddh) priesthood/
僧正 [そうじょう] /(n) high Buddhist priest/
僧籍 [そうせき] /(n) (Buddh) priesthood/
僧俗 [そうぞく] /(n) priests and laymen/
僧体 [そうたい] /(n) the form of Buddhist priest/priestly attire/
僧徒 [そうと] /(n) (Buddh) priests/monks/
僧都 [そうず] /(n) Buddhist priest/
僧堂 [そうどう] /(n) temple meditation hall or certain other temple structures/
僧尼 [そうに] /(n) monks and nuns/
僧服 [そうふく] /(n) priest's garb/
僧兵 [そうへい] /(n) priest soldier/
僧坊 [そうぼう] /(n) priests' temple quarters/
僧帽筋 [そうぼうきん] /(n) trapezius muscle/
僧帽弁 [そうぼうべん] /(n) mitral valve (of heart)/bicuspid valve/
僧房 [そうぼう] /(n) priests' temple quarters/
僧門 [そうもん] /(n) priesthood/Buddhism/
僧侶 [そうりょ] /(n,adj-no) (Buddh) priest/monk/(P)/
創 [きず] /(n) (1) wound/injury/cut/gash/bruise/scratch/scrape/scar/(2) chip/crack/scratch/nick/(3) flaw/defect/weakness/weak point/(4) stain (on one's reputation)/disgrace/dishonor/dishonour/(5) (emotional) hurt/hurt feelings/
創める [はじめる] /(v1,vt,aux-v) (1) to start/to begin/to commence/to initiate/to originate/(2) to open (e.g. a store)/to start up/to establish (business. etc.)/(aux-v) (3) to start (doing something)/to begin to .../
創り出す [つくりだす] /(v5s,vt) (1) to manufacture/to produce/to raise (crops)/(2) to invent/to dream up/
創る [つくる] /(v5r,vt) (1) to make/to produce/to manufacture/to build/to construct/(2) to prepare (food)/to brew (alcohol)/(3) to raise/to grow/to cultivate/to train/(4) to till/(5) to draw up (a document)/to make out/to prepare/to write/(6) to create (an artistic work, etc.)/to compose/(7) to coin (a phrase)/to organize/to organise/to establish/to found/(8) to have (a child)/(9) to make up (one's face, etc.)/(10) to fabricate (an excuse, etc.)/(11) to form (a line, etc.)/(12) to set (a record)/(13) to commit (a sin, etc.)/(P)/
創案 [そうあん] /(n,vs) original idea/
創案者 [そうあんしゃ] /(n) originator/inventor/
創意 [そうい] /(n) original idea/originality/(P)/
創意工夫 [そういくふう] /(n) being imaginative and creative/creative originality/
創意工夫育成功労学校賞 [そういくふういくせいこうろうがっこうしょう] /(n) Prize to Schools for Nurturing Creativity/
創意工夫功労者賞 [そういくふうこうろうしゃしょう] /(n) Prize for Creativity/
創価学会 [そうかがっかい] /(n) Soka Gakkai (lay organization, based on Nichiren Buddhism) (organisation)/lit: Value-Creation Society/(P)/
創開 [そうかい] /(n,vs) grand opening/
創刊 [そうかん] /(n,vs) launching (e.g. newspaper)/first issue/(P)/
創刊号 [そうかんごう] /(n) first issue/
創業 [そうぎょう] /(n,vs) establishment (of a business, etc.)/(P)/
創業は易く守成は難し [そうぎょうはやすくしゅせいはかたし] /(exp) (id) It is easy to start an enterprise but difficult to maintain it/
創業者 [そうぎょうしゃ] /(n) founder/promoter/
創業守成 [そうぎょうしゅせい] /(n) starting an enterprise and (or) carrying it to final success/
創業費 [そうぎょうひ] /(n) initial expenses/
創建 [そうけん] /(n,vs) establishment/foundation/
創建記念日 [そうけんきねんび] /(n) foundation anniversary/
創建者 [そうけんしゃ] /(n) founder/
創見 [そうけん] /(n) originality/creation/invention/
創痕 [そうこん] /(n) scar/
創作 [そうさく] /(n,vs,adj-no) production/literary creation/work/(P)/
創作意欲 [そうさくいよく] /(n) will (urge) to create/creative urge/appetite for writing/
創作家 [そうさくか] /(n) author/writer/novelist/
創作権 [そうさくけん] /(n) rights of authorship/
創作者 [そうさくしゃ] /(n) writer/novelist/
創作的 [そうさくてき] /(adj-na) creative/
創作欲 [そうさくよく] /(n) creative urge/
創作料理 [そうさくりょうり] /(n) creative cookery/creative cuisine/
創作力 [そうさくりょく] /(n) creative power/genius/creative originality/
創始 [そうし] /(n,vs) creation/founding/initiating/(P)/
創始者 [そうししゃ] /(n) originator/
創氏改名 [そうしかいめい] /(n) the order forced on Koreans to change their names to Japanese ones/
創出 [そうしゅつ] /(n,vs) creation (e.g. work of art)/(P)/
創傷 [そうしょう] /(n,adj-no) wound/
創世 [そうせい] /(n) creation of world/
創世期 [そうせいき] /(n) time of creation/
創世記 [そうせいき] /(n) Book of Genesis (Bible)/
創世神話 [そうせいしんわ] /(n) creation myth/
創生 [そうせい] /(n,vs) creation/birth/
創製 [そうせい] /(n,vs) invention/origination/discovery/
創設 [そうせつ] /(n,vs) establishment/founding/organization/organisation/(P)/
創設者 [そうせつしゃ] /(n) founder/
創造 [そうぞう] /(n,vs) creation/(P)/
創造科学 [そうぞうかがく] /(n) creation science/
創造者 [そうぞうしゃ] /(n) creator/Creator/
創造主 [そうぞうしゅ] /(n) Creator/
創造主 [そうぞうぬし] /(n) Creator/
創造神話 [そうぞうしんわ] /(n) creation myth/
創造性 [そうぞうせい] /(n) creativity/
創造説 [そうぞうせつ] /(n) creationism/
創造的 [そうぞうてき] /(adj-na) creative/(P)/
創造的進化 [そうぞうてきしんか] /(n,vs) creative evolution (as proposed by Henri Bergson)/
創造物 [そうぞうぶつ] /(n) creature/creation/
創造力 [そうぞうりょく] /(n) creative power/creativity/(P)/
創造論 [そうぞうろん] /(n) creationism/
創発 [そうはつ] /(n) emergence (in evolutionary theory, systems theory, etc.)/
創部 [そうぶ] /(n,vs) establishing a club (at a school, college, etc.)/establishing a division (in a company)/
創面 [そうめん] /(n) surface of a wound/
創立 [そうりつ] /(n,vs) establishment/founding/organization/organisation/(P)/
創立記念日 [そうりつきねんび] /(n) anniversary of the establishment of/
創立者 [そうりつしゃ] /(n) founder/organizer/organiser/
創痍 [そうい] /(n) wound/scar/
双 [そう] /(n,n-suf,ctr) pair/(P)/
双の手 [そうのて] /(n) both hands/
双ぶ [ならぶ] /(v5b,vi) (1) to line up/to stand in a line/(2) to rival/to match/to equal/
双べる [ならべる] /(v1,vt) (1) to line up/to set up/(2) to enumerate/to itemize/
双安定 [そうあんてい] /(n) (comp) bistable/
双安定トリガー回路 [そうあんていトリガーかいろ] /(n) (comp) bistable trigger circuit/
双安定トリガ回路 [そうあんていトリガかいろ] /(n) (comp) bistable trigger circuit/flip-flop/
双安定回路 [そうあんていかいろ] /(n) (comp) bistable (trigger) circuit/flip-flop/
双暗車 [そうあんしゃ] /(n) twin propellers/
双殻類 [そうかくるい] /(n) bivalves/
双眼 [そうがん] /(n,adj-no) both eyes/binocular/
双眼鏡 [そうがんきょう] /(n) binoculars/field glasses/(P)/
双脚 [そうきゃく] /(n) both feet/
双弓類 [そうきゅうるい] /(n) diapsids/
双球菌 [そうきゅうきん] /(n) diplococcus/
双魚宮 [そうぎょきゅう] /(n) Pisces (12th zodiacal sign)/the Fish/the Fishes/
双曲線 [そうきょくせん] /(n) hyperbolic curve/hyperbola/
双極子 [そうきょくし] /(n) dipole/
双極子モーメント [そうきょくしモーメント] /(n) dipole moment/
双極性 [そうきょくせい] /(adj-f) bipolar/
双極性障害 [そうきょくせいしょうがい] /(n) bipolar disorder/
双肩 [そうけん] /(n) shoulders/
双肩にかかる [そうけんにかかる] /(exp,v5r) to fall on one's shoulders (e.g. responsibility, duty)/
双肩に掛かる [そうけんにかかる] /(exp,v5r) to fall on one's shoulders (e.g. responsibility, duty)/
双互 [そうご] /(n,adj-no) mutual/reciprocal/
双差し [もろざし] /(n) deep double underarm grip which prevents the opponent from grabbing the belt (sumo)/
双子 [そうし] /(n) twins/a twin/
双子 [ふたご] /(n) twins/a twin/(P)/
双子座 [ふたござ] /(n) Gemini (constellation)/the Twins/
双子葉 [そうしよう] /(n) dicotyledon/
双子葉植物 [そうしようしょくぶつ] /(n) dicotyledon/
双紙 [そうし] /(n) (1) written work (esp. a bound text, as opposed to a scroll)/(2) a text written entirely in kana/(3) graphic novel (esp. one created between the 12th and 19th centuries)/(4) notebook (for practicing kana, drawing pictures, etc.)/(5) rough draft/
双児 [そうじ] /(n) twins/
双児宮 [そうじきゅう] /(n) Gemini (3rd zodiacal sign)/the Twins/
双射 [そうしゃ] /(n) (math) bijection/
双手 [そうしゅ] /(n,adj-no) (1) (with) both hands/(2) approvingly/
双手 [もろて] /(n,adj-no) (1) (with) both hands/(2) approvingly/
双十節 [そうじゅうせつ] /(n) the Double Tenth/October 10th Chinese national holiday/
双書 [そうしょ] /(n) series (of publications)/library (of literature)/
双刃 [もろは] /(adj-no) (1) double-edged/
双成り [ふたなり] /(n,adj-no) (uk) hermaphrodite/androgyny/hermaphroditism/
双星 [そうせい] /(n) amphiaster/diaster/
双生 [そうせい] /(n,adj-no) bearing twins/twins/
双生児 [そうせいじ] /(n) twins/(P)/
双節棍 [ぬんちゃく] /(n) (MA) (uk) (rkb:) nunchaku (two linked fighting sticks)/nunchak/
双線型 [そうせんけい] /(n) bilinear/
双線形 [そうせんけい] /(n) bilinear/
双対 [そうたい] /(n) (math) (physics) reciprocity/duality (physics)/
双対 [そうつい] /(n) (math) (physics) reciprocity/duality (physics)/
双対演算 [そうついえんざん] /(n) (comp) dual operation/
双胎間輸血症候群 [そうたいかんゆけつしょうこうぐん] /(n) Twin-to-twin transfusion syndrome/TTTS/
双調 [そうじょう] /(n) (1) (in Japan) 6th note of the ancient chromatic scale (approx. G)/(2) (in gagaku) scale similar to Mixolydian mode on G/
双蹄 [そうてい] /(n) cloven foot/
双蹄獸 [そうていじゅう] /(n) cloven-hoofed animal/
双頭 [そうとう] /(n) double-headed/
双頭の鷲 [そうとうのわし] /(n) double-headed eagle (symbol of heraldry)/
双胴機 [そうどうき] /(n) twin-fuselage plane/
双発 [そうはつ] /(n,adj-no) two-motored/
双発機 [そうはつき] /(n) two-motored plane/
双幅 [そうふく] /(n) pair of hanging scrolls/
双壁 [そうへき] /(iK) (n) (1) matchless things/matchless people/(2) pair of bright jewels/
双峰駱駝 [そうほうらくだ] /(n) two-humped camel/Bactrian camel/
双方 [そうほう] /(adj-no,n-adv,n) two way/both parties/mutual/both/(P)/
双方向 [そうほうこう] /(n,adj-no) two-way/bidirectional/interactive/
双方向ＣＡＴＶ [そうほうこうシーエーティービー] /(n) (comp) bi-directional CATV/
双方向ＣＡＴＶ [そうほうこうシーエーティーブイ] /(n) (comp) bi-directional CATV/
双方向テレビ [そうほうこうテレビ] /(n) interactive television/
双方向印刷 [そうほうこういんさつ] /(n) (comp) bidirectional printing/
双方向性 [そうほうこうせい] /(n,adj-no) (comp) bidirectionality/
双方向通信 [そうほうこうつうしん] /(n) (comp) bidirectional communication/
双方向番組 [そうほうこうばんぐみ] /(n) interactive program/interactive programme/
双方独占 [そうほうどくせん] /(n) bilateral monopoly/
双頬 [そうきょう] /(n) (obsc) both cheeks/
双務契約 [そうむけいやく] /(n) bilateral agreement/
双有理 [そうゆうり] /(adj-no) (math) birational/
双葉 [ふたば] /(n,adj-no) bud/sprout/(P)/
双葉葵 [ふたばあおい] /(n) (uk) Asarum caulescens (species of wild ginger)/
双葉柿 [ふたばがき] /(n) (uk) dipterocarp (any plant of genus Dipterocarpus)/
双翼 [そうよく] /(n,adj-no) both wings/
双輪 [そうりん] /(n) two wheels/
双六 [すごろく] /(n) child's dice game/sugoroku/traditional Japanese board game/
双璧 [そうへき] /(n) (1) matchless things/matchless people/(2) pair of bright jewels/
双眸 [そうぼう] /(n) pair of eyes/
双翅類 [そうしるい] /(n) (obsc) dipterans/
双鉤法 [そうこうほう] /(n) in calligraphy, a style of holding the brush between the thumb and the index and middle fingers/
双鬢 [そうびん] /(n) side locks/
叢 [くさむら] /(n) clump of bushes/grassy place/thicket/jungle/the bush/
叢々 [むらむら] /(adv,adv-to) (1) (uk) (on-mim) irresistibly/suddenly/(vs) (2) (col) to be turned on/to be horny/
叢がる [むらがる] /(v5r,vi) to swarm/to gather/
叢雨 [むらさめ] /(n) passing shower/
叢雲 [そううん] /(n) gathering clouds/group of clouds/
叢雲 [むらくも] /(n) gathering clouds/group of clouds/
叢雲剣 [むらくものつるぎ] /(n) (obsc) Murakumo no Tsurugi (alternate name for Ama-no-Murakumo no Tsurugi; the sword of the Imperial regalia)/
叢時雨 [むらしぐれ] /(n) autumn shower/fall shower/
叢書 [そうしょ] /(n) series (of publications)/library (of literature)/
叢生 [そうせい] /(n,vs) dense growth/healthy growth/
叢叢 [むらむら] /(adv,adv-to) (1) (uk) (on-mim) irresistibly/suddenly/(vs) (2) (col) to be turned on/to be horny/
叢談 [そうだん] /(n) collection of stories/
叢氷 [そうひょう] /(n) pack ice/
叢立ち [むらだち] /(n) standing in a group/standing up in unison/
叢林 [そうりん] /(n) Zen monastery/
叢祠 [ほこら] /(n) (1) (uk) small shrine/
倉 [くら] /(n) warehouse/cellar/magazine/granary/godown/depository/treasury/elevator/(P)/
倉づくり [くらづくり] /(n) (1) warehouse style/house built like a kura, with the walls covered in mud/(n,vs) (2) building a kura storehouse/someone who builds kura storehouses/
倉稲魂 [うかたま] /(n) the god of foodstuffs (esp. of rice)/
倉稲魂 [うかのみたま] /(n) the god of foodstuffs (esp. of rice)/
倉稲魂 [うけのみたま] /(n) the god of foodstuffs (esp. of rice)/
倉荷 [くらに] /(n) warehouse goods/
倉庫 [そうこ] /(n) storehouse/warehouse/godown/(P)/
倉庫に納める [そうこにおさめる] /(v1) to store in a warehouse/
倉庫会社 [そうこがいしゃ] /(n) warehousing company/
倉庫業 [そうこぎょう] /(n) warehousing business/
倉庫番 [そうこばん] /(n) warehouseman/storekeeper/
倉皇 [そうこう] /(adj-na,n) hurry/bustle/
倉皇として [そうこうとして] /(exp) in great haste/
倉主 [くらぬし] /(n) warehouse owner/
倉出し [くらだし] /(n,vs) releasing stored goods/delivery (of goods from a storehouse)/
倉造り [くらづくり] /(n) (1) warehouse style/house built like a kura, with the walls covered in mud/(n,vs) (2) building a kura storehouse/someone who builds kura storehouses/
倉卒 [そうそつ] /(adj-na) sudden/hurried/busy/precipitate/abrupt/
倉渡し [くらわたし] /(n) ex-warehouse/
倉入れ [くらいれ] /(n,vs) warehousing/
倉敷 [くらしき] /(n) storage charges/(P)/
倉敷料 [くらしきりょう] /(n) storage charges/
倉廩 [そうりん] /(n) rice granary/
喪 [も] /(n,adj-no) mourning/(P)/
喪う [うしなう] /(iK) (v5u,vt) to lose/to part with/
喪家 [そうか] /(n) homeless/family in mourning/
喪家の狗 [そうかのいぬ] /(n) feeling lost like a stray dog/
喪具 [そうぐ] /(n) funeral accessories/
喪祭 [そうさい] /(n,vs) funerals and festivals/
喪失 [そうしつ] /(n,vs) loss/forfeit/(P)/
喪失感 [そうしつかん] /(n) sense of loss/feeling of loss/
喪主 [もしゅ] /(n) chief mourner/(P)/
喪章 [もしょう] /(n) sign of mourning/(P)/
喪心 [そうしん] /(n,vs) absent-mindedness/stupor/dejection/
喪神 [そうしん] /(n,vs) losing consciousness/
喪中 [もちゅう] /(n) mourning/
喪中欠礼 [もちゅうけつれい] /(exp) refraining from offering the (New Year's) greetings during the period of mourning/
喪服 [もふく] /(n) mourning dress/(P)/
壮 [そう] /(n,adj-na) (1) vibrancy/strength/bravery/manliness/(2) (esp. of men) one's prime (approx. age 30)/
壮とする [そうとする] /(v5r) to admire (approve of) a person's courage/
壮快 [そうかい] /(adj-na,n) emotionally uplifting/stirring/
壮観 [そうかん] /(adj-na,n) spectacle/magnificent view/
壮挙 [そうきょ] /(n) ambitious (heroic) undertaking/daring enterprise/grand scheme/
壮健 [そうけん] /(adj-na,n) healthy/robust/
壮言大語 [そうげんたいご] /(n,vs) heroic words/big talk/boasting/bragging/grandiloquence/rodomontade/
壮語 [そうご] /(n,vs) bragging/exaggeration/
壮行 [そうこう] /(n,adj-no) rousing/(P)/
壮行会 [そうこうかい] /(n) (1) farewell party/send-off party/(2) motivational rally/
壮行試合 [そうこうじあい] /(n) send-off game (match)/
壮士 [そうし] /(n) young man in his prime/swaggerer/ruffian/
壮者 [そうしゃ] /(n) person in his or her prime/man in his prime/woman in her prime/
壮者を凌ぐ [そうしゃをしのぐ] /(exp,v5g) to put young men to shame/
壮図 [そうと] /(n) ambitious undertaking/grand scheme/
壮絶 [そうぜつ] /(adj-na,n) grand/heroic/sublime/
壮族 [チワンぞく] /(n) Zhuang (Chinese ethnic minority group)/Chuang/
壮大 [そうだい] /(adj-na,n) magnificent/grand/majestic/splendid/(P)/
壮大華麗 [そうだいかれい] /(n,adj-na) grandiose and splendid/
壮丁 [そうてい] /(n) youth/young man who has reached adulthood (conscription age)/
壮途 [そうと] /(n) ambitious undertaking/
壮年 [そうねん] /(n) prime of life/(P)/
壮年期 [そうねんき] /(n) (1) prime of one's life/(2) stage of maturity (geology)/
壮美 [そうび] /(n) sublime, magnificent beauty/
壮麗 [そうれい] /(adj-na,n) splendour/splendor/pompousness/magnificence/
壮齢 [そうれい] /(n) in the prime of manhood/
壮烈 [そうれつ] /(adj-na,n) heroic/brave/(P)/
奏す [そうす] /(v5s,vt) (1) to report to the Emperor/(2) to play (musical instrument)/(3) to accomplish/
奏する [そうする] /(vs-s,vt) (1) to report to the Emperor/(2) to play (musical instrument)/(3) to accomplish/
奏でる [かなでる] /(v1,vi) to play an instrument (esp. string instruments)/(P)/
奏楽 [そうがく] /(n,vs) musical performance/
奏曲 [そうきょく] /(n) (abbr) sonata/
奏功 [そうこう] /(n,vs) success/achievement/fruition/(P)/
奏効 [そうこう] /(n,vs) efficacy/
奏者 [そうしゃ] /(n) instrumentalist/player/(P)/
奏上 [そうじょう] /(n,vs) report to the Emperor/
奏請 [そうせい] /(n,vs) petitioning the Emperor/
奏聞 [そうもん] /(n,vs) reporting to the Emperor/
奏法 [そうほう] /(n) playing (instrument)/playing method/touch/
奏法記号 [そうほうきごう] /(n) articulation mark (music)/articulation marking/
奏鳴曲 [そうめいきょく] /(n) sonata/
爽々 [さわさわ] /(adv) (1) (uk) rustling/(2) refreshing/(3) clearly/
爽やか [さわやか] /(adj-na,n) fresh/refreshing/invigorating/clear/fluent/eloquent/(P)/
爽快 [そうかい] /(adj-na,n) refreshing/exhilarating/
爽秋 [そうしゅう] /(n) refreshing and pleasant autumn/
爽爽 [さわさわ] /(adv) (1) (uk) rustling/(2) refreshing/(3) clearly/
爽涼 [そうりょう] /(adj-na,n) cool and refreshing/
爽凉 [そうりょう] /(oK) (adj-na,n) cool and refreshing/
宋 [そう] /(n) Song (dynasty of China)/
宋音 [そうおん] /(n) T'ang reading of Chinese characters/
宋学 [そうがく] /(n) Song-period neo-Confucianism (based esp. on the teachings of Zhu Xi)/
宋詞 [そうし] /(n) Song poetry/
層 [そう] /(n,n-suf) (1) layer/seam/bed/stream/class/(2) (math) sheaf/(ctr) (3) storey (of a building)/story/floor/
層位学 [そういがく] /(n) stratigraphy/
層雲 [そううん] /(n) stratus/
層化 [そうか] /(n,vs,adj-no) (1) layering/stratification/(2) (math) sheafification/
層管理 [そうかんり] /(n) (comp) layer-management/
層群 [そうぐん] /(n) (geol) group/
層序学 [そうじょがく] /(n) stratigraphy/
層状 [そうじょう] /(n,adj-no) stratified/
層積雲 [そうせきうん] /(n) stratocumulus/
層相 [そうそう] /(n) facies/
層別 [そうべつ] /(n,vs,adj-no) stratification/classification/(data) distribution/
層流 [そうりゅう] /(n) laminar flow/
層楼 [そうろう] /(n) tall building/
惣嫁 [そうか] /(n) (Edo period) streetwalker/
惣管領 [そうかんりょう] /(n) (hist.) governor-general/
惣構 [そうがまえ] /(n) outermost enclosure of a castle or fortress (including the town around it)/
惣菜 [そうざい] /(n) side dish/daily (household) dish/(P)/
惣社 [そうじゃ] /(n) shrine enshrining several gods/
惣領 [そうりょう] /(n) (1) eldest child/oldest child/first-born child/(2) child who carries on the family name/(3) (arch) pre-ritsuryo official established in key provinces, responsible for administration of his home and surrounding provinces/(4) (arch) head of a warrior clan (Kamakura period)/
想 [そう] /(n) (1) conception/idea/thought/(2) (Buddh) samjna (perception)/(P)/
想い [おもい] /(n) thought/mind/heart/feelings/emotion/sentiment/love/affection/desire/wish/hope/expectation/imagination/experience/
想いこがれる [おもいこがれる] /(v1,vi) to pine for/
想い出 [おもいで] /(n) memories/recollections/reminiscence/
想い焦がれる [おもいこがれる] /(v1,vi) to pine for/
想い焦れる [おもいこがれる] /(v1,vi) to pine for/
想う [おもう] /(v5u,vt) (1) to think/to consider/to believe/(2) to think (of doing)/to plan (to do)/(3) to judge/to assess/to regard/(4) to imagine/to suppose/to dream/(5) to expect/to look forward to/(6) to feel/to desire/to want/(7) to recall/to remember/
想を練る [そうをねる] /(exp,v5r) to turn (a matter) over in one's mind/to think deeply/
想起 [そうき] /(n) (1) remembering/recollection/recall/retrieval/(vs) (2) to remember/to recall/to recollect/to call to mind/to envision/
想察 [そうさつ] /(n,vs) (obsc) surmisal/hypothesis/speculation/conjecture/supposition/
想像 [そうぞう] /(n,vs,adj-no) imagination/guess/(P)/
想像がつく [そうぞうがつく] /(exp) (id) one can imagine/
想像が付く [そうぞうがつく] /(exp) (id) one can imagine/
想像し難い [そうぞうしにくい] /(adj-i) hard to imagine/
想像に難くない [そうぞうにかたくない] /(exp) easy to imagine/
想像に任せる [そうぞうにまかせる] /(exp,v1) to leave something to someone's imagination (e.g. I'll leave that to your imagination)/
想像上 [そうぞうじょう] /(adj-no) imaginary/
想像妊娠 [そうぞうにんしん] /(n) false pregnancy/pseudocyesis/
想像力 [そうぞうりょく] /(n) (power of) imagination/
想定 [そうてい] /(n,vs) hypothesis/supposition/assumption/(P)/
想定外 [そうていがい] /(adj-no,n) beyond expectations/beyond what one expected/not foreseen/exceeding assumptions/
想定小数点 [そうていしょうすうてん] /(n) (comp) assumed decimal point/
想到 [そうとう] /(n,vs) thinking of/hitting upon/
想念 [そうねん] /(n) thought/idea/conception/
想望 [そうぼう] /(n,vs) longing/yearning/
捜し回る [さがしまわる] /(v5r) to hunt around/to search about for/(P)/
捜し求める [さがしもとめる] /(v1) to search for/to seek for/to look for/
捜し出す [さがしだす] /(v5s,vt) to locate/to discover/
捜し当てる [さがしあてる] /(v1,vt) to find out/to discover/to detect/
捜し物 [さがしもの] /(n) object being sought/(P)/
捜す [さがす] /(v5s,vt) (1) to search (for something lost)/to seek (a suspect in a crime)/(2) to search (for something desired, needed)/to look for/(P)/
捜査 [そうさ] /(n,vs,adj-no) search (esp. in criminal investigations)/investigation/inquiry/enquiry/(P)/
捜査員 [そうさいん] /(n) investigator (usu. of criminal cases)/
捜査官 [そうさかん] /(n) police investigator/investigator/(P)/
捜査陣 [そうさじん] /(n) criminal investigation squad (team)/
捜査当局 [そうさとうきょく] /(n) investigating authorities/law enforcement authority/
捜査本部 [そうさほんぶ] /(n) (criminal) investigation headquarters/
捜査網 [そうさもう] /(n) (police) dragnet/
捜索 [そうさく] /(n,vs) search (esp. for someone or something missing)/investigation/(P)/
捜索隊 [そうさくたい] /(n) search party/
掃いて捨てるほど [はいてすてるほど] /(exp) a dime a dozen/two a penny/
掃き寄せる [はきよせる] /(v1) to sweep up/
掃き手 [はきて] /(n) hand touching the ground resulting in direct loss (sumo)/
掃き集める [はきあつめる] /(v1) to sweep up together/
掃き出し窓 [はきだしまど] /(n) opening through which dirt is swept/
掃き出す [はきだす] /(v5s,vt) to release/to sweep out/to clean out/
掃き掃除 [はきそうじ] /(n) sweeping and cleaning/
掃き立て [はきたて] /(n) being newly-swept/gathering silkworms from the egg paper/
掃き溜め [はきだめ] /(n) rubbish heap/garbage dump/
掃き溜めに鶴 [はきだめにつる] /(exp) a jewel in a dunghill/
掃き溜めを漁る [はきだめをあさる] /(exp,v5r) to rummage a dustbin/to pick a garbage dump/
掃く [はく] /(v5k,vt) to sweep/to brush/to gather up/(P)/
掃引 [そういん] /(n) sweeping/scanning/
掃海 [そうかい] /(n,vs) sweeping the sea for mines/dragging for mines/(P)/
掃海艇 [そうかいてい] /(n) minesweeper/
掃射 [そうしゃ] /(n,vs) sweeping with fire/mowing down/strafing/
掃除 [そうじ] /(n,vs) cleaning/sweeping/(P)/
掃除ロボット [そうじロボット] /(n) cleaning robot/
掃除器 [そうじき] /(n) cleaner (usu. vacuum cleaner)/
掃除機 [そうじき] /(n) cleaner (usu. vacuum cleaner)/(P)/
掃除魚 [そうじうお] /(n) cleaner fish/
掃除人 [そうじにん] /(n) janitor/cleaner/
掃除当番 [そうじとうばん] /(n) one's turn for doing the sweeping (cleaning)/
掃除婦 [そうじふ] /(n) cleaning woman/
掃蕩 [そうとう] /(n,vs) sweeping or mopping up/
掃討 [そうとう] /(n,vs) cleaning up/sweeping up/mopping up/(P)/
掃討作戦 [そうとうさくせん] /(n) mopping-up operation/search-and-destroy operation/
掃滅 [そうめつ] /(n,vs) wiping out/annihilation/
挿げる [すげる] /(v1,vt) to tie/to fix/to attach/
挿げ替える [すげかえる] /(v1,vt) to exchange/to replace/
挿し花 [さしばな] /(n) flowers in a vase or lapel/
挿し絵 [さしえ] /(n) (book) illustration/
挿し替える [さしかえる] /(v1,vt) to change/to replace/
挿し物 [さしもの] /(n) hair ornament/hairpin/
挿し木 [さしき] /(n) cutting/planting/
挿す [さす] /(v5s,vt) to insert/to put in/to graft/to wear in belt/
挿む [はさむ] /(v5m,vt) to interpose/to hold between/to insert/
挿れる [いれる] /(v1,vt) (vulg) to insert (usu. as part of sexual intercourse)/
挿花 [そうか] /(n) flower arrangement/
挿画 [そうが] /(n) (book) illustration/
挿絵 [さしえ] /(n) (book) illustration/(P)/
挿錠 [さしじょう] /(n) (obsc) bolt/
挿図 [そうず] /(n) illustration/
挿入 [そうにゅう] /(n,vs) insertion/incorporation/infixing/(P)/
挿入モード [そうにゅうモード] /(n) insert mode/
挿入歌 [そうにゅうか] /(n) background music/(movie or commercial) soundtrack/featured songs/
挿入句 [そうにゅうく] /(n) (ling) parenthetical expression/
挿入口 [そうにゅうぐち] /(n) point (opening or slot) of insertion/
挿入図 [そうにゅうず] /(n) inserted figure/
挿入点 [そうにゅうてん] /(n) (comp) insertion point/
挿入文 [そうにゅうぶん] /(n) parenthetic sentence/
挿抜 [そうばつ] /(n,vs) insertion-extraction/add-remove/swapping (e.g. plugs)/
挿物 [さしもの] /(n) cabinetwork/joinery/
挿物 [さしもの] /(n) hair ornament/hairpin/
挿話 [そうわ] /(n) episode/(P)/
挿話的 [そうわてき] /(adj-na) episodic/
掻い巻 [かいまき] /(n) sleeved quilt/futon with sleeves/cotton padded nightwear/
掻い巻き [かいまき] /(n) sleeved quilt/futon with sleeves/cotton padded nightwear/
掻い掘り [かいぼり] /(n,vs) drain a lake or pond/
掻い繰る [かいぐる] /(v5r,vt) to haul in hand over hand/
掻い込む [かいこむ] /(v5m,vt) to carry under the arm/to rake in/to scoop up/
掻い出す [かいだす] /(v5s,vt) to bail out/
掻い潜る [かいくぐる] /(v5r,vi) to slip through/
掻い摘まむ [かいつまむ] /(v5m,vt) (uk) to sum up/to summarize/to summarise/
掻い摘む [かいつまむ] /(v5m,vt) (uk) to sum up/to summarize/to summarise/
掻い撫で [かいなで] /(adj-na) superficial/
掻きむしる [かきむしる] /(v5r,vt) to tear off/to pluck/to scratch off/
掻き回す [かきまわす] /(v5s,vt) to stir up/to churn/to ransack/to disturb/(P)/
掻き壊す [かきこわす] /(v5s,vt) to scratch/
掻き寄せる [かきよせる] /(v1,vt) to sweep/to rake up/
掻き起こす [かきおこす] /(v5s) to stir up/
掻き玉 [かきたま] /(n) egg soup/
掻き玉汁 [かきたまじる] /(n) egg soup/
掻き均す [かきならす] /(v5s,vt) to smooth out/
掻き交ぜる [かきまぜる] /(v1) to mix/to stir/to scramble/to churn/
掻き口説く [かきくどく] /(v5k,vi) to complain/to pester/to plead/to beg/
掻き合せる [かきあわせる] /(v1,vt) to adjust/to arrange/
掻き合わせる [かきあわせる] /(v1,vt) to adjust/to arrange/
掻き込む [かきこむ] /(v5m,vt) to carry under the arm/to rake in/to scoop up/
掻き混ぜる [かきまぜる] /(v1) to mix/to stir/to scramble/to churn/
掻き集める [かきあつめる] /(v1,vt) to gather up/to scrape up together/
掻き出す [かきだす] /(v5s,vt) to scrape out/
掻き傷 [かききず] /(n) scratch/scrape/abrasion/
掻き消える [かききえる] /(v1,vi) to disappear/
掻き消す [かきけす] /(v5s,vt) to erase/
掻き上げる [かきあげる] /(v1,vt) to comb upwards/
掻き切る [かききる] /(v5r,vt) to cut/to slit/
掻き退ける [かきのける] /(v1,vt) to push through/
掻き曇る [かきくもる] /(v5r,vi) to become overcast/
掻き氷 [かきごおり] /(oK) (n) shaved ice (usually served with flavored simple syrup)/Italian ice/Sno-cone/snow cone/
掻き氷機 [かきごおりき] /(n) shaved ice machine/
掻き分ける [かきわける] /(v1,vt) to push one's way through/
掻き暮れる [かきくれる] /(v1) (uk) (obsc) to be sad/
掻き抱く [かきいだく] /(v5k,vt) to hug/to clasp to one's breast/
掻き鳴らす [かきならす] /(v5s,vt) to thrum/to strum/
掻き揚げ [かきあげ] /(n) shrimp and vegetable fritters/
掻き落とす [かきおとす] /(v5s) to scrape off/
掻き乱す [かきみだす] /(v5s,vt) to stir up/to disturb/
掻き卵汁 [かきたまじる] /(n) egg soup/
掻き立てる [かきたてる] /(v1,vt) to stir up/to arouse/
掻き毟る [かきむしる] /(v5r,vt) to tear off/to pluck/to scratch off/
掻く [かく] /(v5k,vt) (1) (uk) to scratch/(2) to perspire/(3) to shovel/to paddle/(P)/
掻っさらう [かっさらう] /(v5u,vt) (uk) to nab/to snatch/
掻っ込む [かっこむ] /(v5m,vt) to bolt one's food/to gulp down/
掻っ切る [かっきる] /(v5r,vt) to cut/to slit/to slash/
掻っ穿じる [かっぽじる] /(io) (v5r) (uk) to dig up/to peck at/
掻っ穿る [かっぽじる] /(v5r) (uk) to dig up/to peck at/
掻っ払い [かっぱらい] /(n) pilferer/
掻っ払う [かっぱらう] /(v5u,vt) to swipe (as in steal)/to walk off with/
掻っ攫う [かっさらう] /(v5u,vt) (uk) to nab/to snatch/
掻巻 [かいまき] /(n) sleeved quilt/futon with sleeves/cotton padded nightwear/
掻巻き [かいまき] /(n) sleeved quilt/futon with sleeves/cotton padded nightwear/
掻玉 [かきたま] /(n) egg soup/
掻灯 [かいともし] /(n) lantern hanging from the eaves of a temple or shrine/
掻攫う [かっさらう] /(io) (v5u,vt) (uk) to nab/to snatch/
掻爬 [そうは] /(n,vs) curettage/
掻痒 [そうよう] /(n) (1) itch/pruritus/(adj-na) (2) amyctic/pruritic/itchy/irritating/
操 [みさお] /(n) chastity/fidelity/honour/honor/faith/(P)/
操す [あやなす] /(v5s,vt) (1) to manipulate skillfully/
操り [あやつり] /(n) manipulation/puppet/
操り芝居 [あやつりしばい] /(n) puppet show/
操り浄瑠璃 [あやつりじょうるり] /(n) old name for the bunraku/
操り人形 [あやつりにんぎょう] /(n) puppet/marionette/
操る [あやつる] /(v5r,vt) (1) to manipulate/to operate/to handle/to operate (e.g. a machine)/to steer (a ship)/(2) to have a good command of (a language)/to be fluent in/(3) to operate a puppet/to pull the strings of a puppet/(4) to mastermind/to pull the strings/to control from the shadows/(5) (arch) to play (a musical instrument)/(P)/
操を守る [みさおをまもる] /(exp,v5r) to adhere to one's principles/to preserve one's chastity/
操業 [そうぎょう] /(n,vs) operation/(P)/
操業短縮 [そうぎょうたんしゅく] /(n) curtailment of operations/
操業費 [そうぎょうひ] /(n) operating costs/
操業率 [そうぎょうりつ] /(n) operating rate/
操行 [そうこう] /(n) conduct/deportment/
操作 [そうさ] /(n) (1) operation/management/processing/(2) manipulating to one's benefit/(vs) (3) to operate/(4) to manipulate/to fiddle (e.g. the books)/(P)/
操作インタフェース [そうさインタフェース] /(n) (comp) operation-interface/
操作コード [そうさコード] /(n) (comp) operation code/
操作コードトラップ [そうさコードトラップ] /(n) (comp) operation code trap/
操作パネル [そうさパネル] /(n) (comp) control panel/
操作者 [そうさしゃ] /(n) operator/
操作除外集合 [そうさじょがいしゅうごう] /(n) (comp) exclusion set/
操作進行状況 [そうさしんこうじょうきょう] /(n) (comp) operation progress/
操作性 [そうさせい] /(n) operability/
操作対象集合 [そうさたいしょうしゅうごう] /(n) (comp) inclusion set/
操作卓 [そうさたく] /(n) (comp) (operator) console/
操作的 [そうさてき] /(adj-na) (1) operational/(2) manipulative/
操作盤 [そうさばん] /(n) control board/control panel/console/
操作部 [そうさぶ] /(n) controlling element/actuator/operating portion/
操作方法 [そうさほうほう] /(n) user guide/how to operate/operation procedures/
操作棒 [そうさぼう] /(n) (comp) joy stick/
操車 [そうしゃ] /(n) operation (of trains)/
操車係 [そうしゃがかり] /(n) train dispatcher/train despatcher/
操車場 [そうしゃじょう] /(n) switchyard/
操守 [そうしゅ] /(n) constancy/fidelity/
操縦 [そうじゅう] /(n,vs) (1) flying (a plane)/(2) management/handling/control/manipulation/(P)/
操縦士 [そうじゅうし] /(n) pilot/
操縦席 [そうじゅうせき] /(n) cockpit/
操縦席音声記録装置 [そうじゅうせきおんせいきろくそうち] /(n) (cockpit) voice recorder/
操縦桿 [そうじゅうかん] /(n) control column/yoke/joystick/
操浄瑠璃 [あやつりじょうるり] /(n) old name for the bunraku/
操人形 [あやつりにんぎょう] /(n) puppet/marionette/
操船 [そうせん] /(n,vs) handling a ship/
操舵 [そうだ] /(n,vs) steering (of a ship)/
操舵室 [そうだしつ] /(n) pilothouse/
操舵手 [そうだしゅ] /(n) helmsman/coxswain/
操舵輪 [そうだりん] /(n) steered wheel (e.g. at the front of a car)/steering wheel/
操体法 [そうたいほう] /(n) form of muscular or movement therapy developed by Keizo Hashimoto/
操短 [そうたん] /(n) curtailed operations/
操典 [そうてん] /(n) drill manual/
操法 [そうほう] /(n) manipulation techniques (e.g. puppets)/handling techniques/
早 [はや] /(n) already/now/by this time/(P)/
早 [はよ] /(n,adv) (abbr) early/
早々 [そうそう] /(adv-to) (1) early/all in good time/(2) quickly/promptly/(suf) (3) just- (opened, started, etc.)/(P)/
早々 [はやばや] /(adv-to) (1) early/all in good time/(2) quickly/promptly/(P)/
早い [はやい] /(adj-i) (1) fast/quick/hasty/brisk/(2) early (in the day, etc.)/premature/(3) (too) soon/not yet/(too) early/(4) easy/simple/quick/(P)/
早い事 [はやいこと] /(n) quickly/
早い者勝ち [はやいものかち] /(exp) first come, first served/
早い所 [はやいところ] /(adv) promptly/
早い話が [はやいはなしが] /(exp,adv) in short/in a nutshell/in a word/to cut a long story short/
早う [はよう] /(n,adv) early/
早かれ遅かれ [はやかれおそかれ] /(exp,adv) sooner or later/
早かろう悪かろう [はやかろうわるかろう] /(exp) haste makes waste/
早く [はやく] /(adv) (1) early/soon/(2) quickly/swiftly/rapidly/fast/(P)/
早くから [はやくから] /(exp) early on/earlier on/from early/
早くとも [はやくとも] /(exp,adv) at the earliest/
早くも [はやくも] /(n) already/as early as/
早く言えば [はやくいえば] /(exp) in a word/to put it briefly/to make a long story short/
早ければ早いほど良い [はやければはやいほどよい] /(exp) the sooner, the better/
早ければ早い程良い [はやければはやいほどよい] /(exp) the sooner, the better/
早さ [はやさ] /(n) (1) speed/velocity/quickness/rapidity/(2) earliness/
早とちり [はやとちり] /(n,vs) jumping to a wrong conclusion/
早まき [はやまき] /(n,adj-no) sowing early/
早まって [はやまって] /(exp) in one's hurry/
早まる [はやまる] /(v5r,vi) (1) to move ahead (three hours, etc.)/to move up/(2) to quicken/to speed up/to gather speed/(3) to be hasty/to be rash/(P)/
早め [はやめ] /(n,adj-no) (something) early/
早めに [はやめに] /(adv) ahead of time/in good season/
早める [はやめる] /(v1,vt) to hasten/to quicken/to expedite/to precipitate/to accelerate/(P)/
早め薬 [はやめぐすり] /(n) drugs to stimulate childbirth/
早よ [はよ] /(n,adv) (abbr) early/
早わかり [はやわかり] /(n,vs) (1) quick learner/quick understanding/easy to understand/(2) handbook/guidebook/
早稲 [わせ] /(n,adj-no) (1) early ripening rice/(2) early-ripening fruit (grain, etc.)/(3) person who becomes physically or mentally mature at an early age/
早稲田 [わさだ] /(n) field of early-blooming (or ripening) rice/
早稲田 [わせだ] /(n) field of early-blooming (or ripening) rice/
早引き [はやびき] /(n,vs) leaving work (office, school) early/(P)/
早引け [はやびけ] /(n,vs) leaving work (office, school) early/(P)/
早桶 [はやおけ] /(n) roughly made casket/quickly made casket/
早乙女 [さおとめ] /(n) young female rice planter/young girl/(P)/
早花咲月 [さはなさづき] /(n) third lunar month/
早割 [はやわり] /(n) discount for early booking/
早期 [そうき] /(n,adj-no) early stage/(P)/
早期解決 [そうきかいけつ] /(n) early (prompt) settlement/swift resolution/speedy solution/
早期癌 [そうきがん] /(n) early-stage cancer/
早期警戒機 [そうきけいかいき] /(n) airborne early-warning system/
早期治療 [そうきちりょう] /(n) early treatment/(P)/
早期診断 [そうきしんだん] /(n) early diagnosis/
早期退職 [そうきたいしょく] /(n) early retirement/
早期退職制度 [そうきたいしょくせいど] /(n) early retirement program/early retirement programme/
早期発見 [そうきはっけん] /(n) early detection (of an illness)/
早期老化症 [そうきろうかしょう] /(n) progeria (disease characterized by symptoms suggestive of premature aging)/
早起き [はやおき] /(n,vs) early rising/(P)/
早起きは三文の得 [はやおきはさんもんのとく] /(exp) the early bird gets the worm (lit: to wake up early gets you three (small value) coins)/
早起きは三文の徳 [はやおきはさんもんのとく] /(exp) the early bird gets the worm (lit: to wake up early gets you three (small value) coins)/
早技 [はやわざ] /(n) quick work/(clever) feat/
早急 [さっきゅう] /(adj-na,n,adj-no) urgent/(P)/
早急 [そうきゅう] /(adj-na,n,adj-no) urgent/
早教育 [そうきょういく] /(n) early education/
早暁 [そうぎょう] /(n-adv,n-t) daybreak/dawn/
早業 [はやわざ] /(n) quick work/(clever) feat/
早慶 [そうけい] /(n) Waseda-Keio/
早慶戦 [そうけいせん] /(n) Waseda-Keio (baseball) game/
早計 [そうけい] /(adj-na,n,adj-no) over hasty/rash/
早撃ち [はやうち] /(n) quick shot/quick draw/
早見 [はやみ] /(n) chart/table/
早見表 [はやみひょう] /(n) simplified chart/
早口 [はやくち] /(n,adj-no) fast-talking/rapid talking/(P)/
早口 [はやぐち] /(n,adj-no) fast-talking/rapid talking/
早口言葉 [はやくちことば] /(n) tongue twister/
早合点 [はやがってん] /(n,vs) jumping to a hasty conclusion/
早合点 [はやがてん] /(n,vs) jumping to a hasty conclusion/
早婚 [そうこん] /(n) early marriage/
早咲き [はやざき] /(n) early blooming/early flowering/
早産 [そうざん] /(n,vs,adj-no) premature birth/
早産児 [そうざんじ] /(n) premature baby/
早仕舞い [はやじまい] /(n) early closing/
早指し [はやざし] /(n) quick game of shogi/
早指しチェス [はやざしチェス] /(n) speed chess/blitz chess/
早死に [はやじに] /(n,vs) (sens) premature death/
早耳 [はやみみ] /(n,adj-no) insider/keen of hearing/
早蒔き [はやまき] /(n,adj-no) sowing early/
早射ち [はやうち] /(n,vs) quick shooting/quick shot/fast draw/
早手 [はやて] /(n) gale/strong wind/swift wind/fresh breeze (Beaufort scale)/
早手 [はやて] /(n) squall/gale/hurricane/
早手回し [はやてまわし] /(n) early preparations/
早舟 [はやふね] /(n) (1) (arch) fast-moving rowboat/(2) type of fast military ship/
早舟 [はやぶね] /(n) (1) (arch) fast-moving rowboat/(2) type of fast military ship/
早熟 [そうじゅく] /(adj-na,n,adj-no) precocious/(P)/
早出 [はやで] /(n,vs) early arrival/
早春 [そうしゅん] /(n-adv,n) early spring/(P)/
早春賦 [そうしゅんふ] /(n) Ode to Early Spring/
早少女 [さおとめ] /(n) young female rice planter/young girl/
早鐘 [はやがね] /(n) alarm bell/
早鐘を打つ [はやがねをうつ] /(exp,v5t) to beat fast (of a heart)/to hammer/
早場米 [はやばまい] /(n) early rice/
早食い [はやぐい] /(n,vs) eating quickly/speed-eating/
早食い競争 [はやぐいきょうそう] /(n) speed-eating contest/
早寝 [はやね] /(n,vs) go to bed early/(P)/
早寝早起き [はやねはやおき] /(exp) early to bed early to rise/
早世 [そうせい] /(n,vs) dying young/early death/
早瀬 [はやせ] /(n) swift current/rapids/(P)/
早成 [そうせい] /(n,adj-no) early completion/maturing early/precocious/
早生 [わせ] /(n,adj-no) (1) early ripening rice/(2) early-ripening fruit (grain, etc.)/(3) person who becomes physically or mentally mature at an early age/
早生まれ [はやうまれ] /(n) born between January 1st and April 1st/
早生児 [そうせいじ] /(n) premature baby/
早船 [はやふね] /(n) (1) (arch) fast-moving rowboat/(2) type of fast military ship/
早船 [はやぶね] /(n) (1) (arch) fast-moving rowboat/(2) type of fast military ship/
早早 [そうそう] /(adv-to) (1) early/all in good time/(2) quickly/promptly/(suf) (3) just- (opened, started, etc.)/
早早 [はやばや] /(adv-to) (1) early/all in good time/(2) quickly/promptly/
早送り [はやおくり] /(n,vs) fast forward (e.g. VCR, tape deck, etc.)/
早足 [はやあし] /(n) (1) quick pace/quick steps/quick march/
早速 [さっそく] /(adv) at once/immediately/without delay/promptly/(P)/
早打ち [はやうち] /(n,vs) (1) fast typing/(2) fast beating/fast drumming/
早退 [そうたい] /(n,vs) leave early/(P)/
早退届 [そうたいとどけ] /(n) report of early withdrawal (i.e. when one leaves school or work early)/
早退届け [そうたいとどけ] /(n) report of early withdrawal (i.e. when one leaves school or work early)/
早朝 [そうちょう] /(n-adv,n-t) early morning/(P)/
早朝の着 [そうちょうのちゃく] /(n) early-morning arrival/
早天 [そうてん] /(n) early morning/dawn/
早東戦 [そうとうせん] /(n) (baseball) game between Waseda and Tokyo universities/
早道 [はやみち] /(n) shortcut/
早呑み込み [はやのみこみ] /(n,vs) (drawing) hasty conclusions/
早馬 [はやうま] /(n) fast horse/
早発ち [はやだち] /(n,vs) early-morning departure/
早発性痴呆症 [そうはつせいちほうしょう] /(n) schizophrenia/
早飯 [はやめし] /(n) fast eater/early meal/
早晩 [そうばん] /(n-adv,n) sooner or later/eventually/
早番 [はやばん] /(n) early arrival/
早苗 [さなえ] /(n) rice seedlings/
早苗月 [さなえづき] /(n) fifth lunar month/
早苗鳥 [さなえどり] /(n) (obsc) lesser cuckoo (Cuculus poliocephalus)/
早分かり [はやわかり] /(n,vs) (1) quick learner/quick understanding/easy to understand/(2) handbook/guidebook/
早変わり [はやがわり] /(n) quick change/
早弁 [はやべん] /(n) eating one's bento before lunchtime (e.g. of a student)/
早明戦 [そうめいせん] /(n) Waseda-Meiji (baseball) game/
早目に [はやめに] /(adv) ahead of time/in good season/
早矢 [はや] /(n) arrow with feathers that curve to the left (the first of two arrows to be fired)/
早立ち [はやだち] /(n,vs) early-morning departure/
早緑月 [さみどりづき] /(n) (obsc) first lunar month/
早漏 [そうろう] /(n) premature ejaculation/
早老 [そうろう] /(n,adj-no) premature aging/premature ageing/
早蕨 [さわらび] /(n) freshly budded bracken/
早鮓 [はやずし] /(n) type of sushi with vinegared fish and rice lightly pressed overnight/
早鮨 [はやずし] /(n) type of sushi with vinegared fish and rice lightly pressed overnight/
曹司 [ぞうし] /(n) (1) palace room for government officials or ladies in waiting/(2) room inside a palace or private estate allocated to employees/person living in such a room/(3) boarding house for trainee administrators (ritsuryo period)/
曹達 [そうだ] /(ateji) (n) (uk) soda (dut:)/
曹長 [そうちょう] /(n) master sergeant/sergeant major (JSDF)/
曹長石 [そうちょうせき] /(n) albite/
曹洞宗 [そうとうしゅう] /(n) Soto school of Buddhism/
巣 [す] /(n) (1) nest/rookery/breeding place/hive/(2) den/(3) haunt/(4) (spider's) web/(P)/
巣くう [すくう] /(v5u,vi) (1) to build (a nest)/to nest/(2) to haunt (a place)/to hang out (somewhere)/
巣ごもり消費 [すごもりしょうひ] /(n) consumption of goods and services by young working adults who live at home, with their basic living expenses covered by their parents/nest-dweller consumption/
巣をくう [すをくう] /(exp,v5u) to build (a nest)/to nest/
巣引き [すびき] /(n,vs) setting (of a hen)/
巣隠れ [すがくれ] /(n) hiding in the nest/
巣窟 [そうくつ] /(n) den/haunt/hangout/home/
巣鶏 [すどり] /(n) setting hen/
巣穴 [すあな] /(n) nesting hole/burrow/den/
巣孔 [すあな] /(n) nesting hole/burrow/den/
巣作り [すづくり] /(n,vs) nest-building/making a hive, web, den, etc./
巣食う [すくう] /(ateji) (v5u,vi) (1) to build (a nest)/to nest/(2) to haunt (a place)/to hang out (somewhere)/
巣雛 [すひな] /(n) nestling/
巣箱 [すばこ] /(n) nest box/(bee) hive/frame/super/
巣立ち [すだち] /(n) leaving the nest/becoming independent/(P)/
巣立つ [すだつ] /(v5t) to leave the nest/
巣籠り [すごもり] /(n) nesting/hibernation/
巣籠る [すごもる] /(v5r,vi) to nest/
槍 [ほこ] /(n) (1) long-handled Chinese spear/lance/pike/(2) weapon/arms/(3) grip of a bow/
槍 [やり] /(n) (1) (abbr) spear/lance/(2) javelin/(3) lance (shogi piece)/(4) (arch) jeering/(P)/
槍が降っても [やりがふっても] /(exp) whatever misfortune happens/even if spears fall out of the sky/
槍の柄 [やりのえ] /(n) spearhandle/
槍の穂先 [やりのほさき] /(n) spearhead/
槍を振るう [やりをふるう] /(exp,v5u) to wield a spear/
槍烏賊 [やりいか] /(n) (uk) spear squid (Loligo bleekeri)/
槍騎兵 [そうきへい] /(n) lancer/
槍玉 [やりだま] /(n) victim/
槍玉にあがる [やりだまにあがる] /(exp,v5r,vi) to be made an example of/to be made a victim of/to be exposed to ridicule/
槍玉にあげる [やりだまにあげる] /(exp,v1,vt) to make an example of/to make a victim of/to hold up somebody (something) to ridicule/to single out someone for criticism/
槍玉に挙がる [やりだまにあがる] /(exp,v5r,vi) to be made an example of/to be made a victim of/to be exposed to ridicule/
槍玉に挙げる [やりだまにあげる] /(exp,v1,vt) to make an example of/to make a victim of/to hold up somebody (something) to ridicule/to single out someone for criticism/
槍玉に上がる [やりだまにあがる] /(iK) (exp,v5r,vi) to be made an example of/to be made a victim of/to be exposed to ridicule/
槍玉に上げる [やりだまにあげる] /(iK) (exp,v1,vt) to make an example of/to make a victim of/to hold up somebody (something) to ridicule/to single out someone for criticism/
槍持ち [やりもち] /(n) (arch) spear carrier (for the master of a samurai family)/
槍術 [そうじゅつ] /(n) spearmanship/
槍術家 [そうじゅつか] /(n) spearman/
槍先 [やりさき] /(n) spearhead/
槍投げ [やりなげ] /(n) javelin (throw)/
槍衾 [やりぶすま] /(n) line of spears held at the ready/
槽 [うけ] /(n) (arch) basin/tub/
槽 [そう] /(n) body (of a biwa)/
槽 [ふね] /(n) (1) tank/tub/vat/trough/
漕ぎ寄せる [こぎよせる] /(v1,vt) to row up to (e.g. a ship)/
漕ぎ手 [こぎて] /(n) rower/oarsman/
漕ぎ出す [こぎだす] /(v5s,vt) to begin rowing/
漕ぎ着ける [こぎつける] /(v1,vt) to row (a boat) up to (a pier)/to attain/to reach (a certain stage)/to manage to do/
漕ぐ [こぐ] /(v5g,vt) (1) to row/to scull/to paddle/(2) to pedal (e.g. bicycle)/(3) to swing (on a swing)/(4) to operate a hand pump/(5) to push through (deep snow, the jungle, etc.)/(P)/
漕寄せる [こぎよせる] /(io) (v1,vt) to row up to (e.g. a ship)/
漕艇 [そうてい] /(n) row (a boat)/
燥ぐ [はしゃぐ] /(v5g,vi) (uk) to make merry/to frolic/to be in high spirits/(P)/
争い [あらそい] /(n) dispute/strife/quarrel/dissension/conflict/rivalry/contest/(P)/
争い好き [あらそいずき] /(adj-na) quarrelsome/contentious/
争い事 [あらそいごと] /(n) dispute/
争い戦う [あらそいたたかう] /(v5u) to fight with/to contend with/
争い訴える [あらそいうったえる] /(v1) to accuse/to rise up in judgment against (judgement)/
争い怒る [あらそいいかる] /(v5r) to be angry and quarrelsome/
争う [あらがう] /(v5u,vi) to go against/to fight against/to oppose/to resist/to deny/
争う [あらそう] /(v5u,vi) (1) to compete/to contest/to contend/(2) to quarrel/to argue/to dispute/to be at variance/to oppose/(3) (usu. in negative form) to deny (e.g. evidence)/(P)/
争うべからざる [あらそうべからざる] /(exp,adj-pn) indisputable/
争えない [あらそえない] /(adj-i) indisputable/undeniable/unmistakable/
争で [いかで] /(adv) how/
争われない [あらそわれない] /(exp,adj-i) indisputable/undeniable/unmistakable/
争議 [そうぎ] /(n) dispute/quarrel/strike/(P)/
争議権 [そうぎけん] /(n) right to strike/
争議行為 [そうぎこうい] /(n) direct action/strike/
争訟 [そうしょう] /(n,adj-no) dispute by legal action/contentious/
争奪 [そうだつ] /(n,vs) struggle/contest/(P)/
争奪戦 [そうだつせん] /(n) contest/competition/struggle/argument/
争端 [そうたん] /(n) beginning of a dispute/
争点 [そうてん] /(n) point at issue/(P)/
争闘 [そうとう] /(n,vs) strife/struggle/
争覇 [そうは] /(n,vs) contending for victory/struggling for supremacy/
争覇戦 [そうはせん] /(n) struggle for supremacy/championship game/
争乱 [そうらん] /(n) rioting/disturbances/
争論 [そうろん] /(n,vs) argument/dispute/controversy/
痩ける [こける] /(v1) to be come hollow (with age, illness, etc.)/to be scrawny/to be thin/
痩せぎす [やせぎす] /(adj-na) skinny/
痩せこける [やせこける] /(v1,vi) to get too skinny/
痩せた [やせた] /(adj-f) (1) thin/slim/skinny/(2) barren/infertile/sterile/
痩せっぽち [やせっぽち] /(n) skinny person/scrawny person/scarecrow/bag of bones/
痩せても枯れても [やせてもかれても] /(exp) even though one has fallen on hard times/however down on one's luck one may be/
痩せる [やせる] /(v1,vi) (1) (uk) to become thin/to lose weight/to reduce (one's) weight/to slim/(2) to be barren/to be infertile/to be sterile/(P)/
痩せ過ぎ [やせすぎ] /(n) being too thin/being underweight/
痩せ我慢 [やせがまん] /(n,vs) (uk) fake stoicism/pretended endurance (for sake of pride)/false courage/
痩せ型 [やせがた] /(n) (1) slender build/slender figure/leptosome/leptosomatic habit/(adj-no) (2) waifish/leptosomaic/leptosomatic/ectomorphic/
痩せ形 [やせがた] /(n) (1) slender build/slender figure/leptosome/leptosomatic habit/(adj-no) (2) waifish/leptosomaic/leptosomatic/ectomorphic/
痩せ細る [やせほそる] /(v5r,vi) to lose weight/to become thin/to wither away/
痩せ山 [やせやま] /(n) barren mountain/
痩せ衰える [やせおとろえる] /(v1,vi) to become emaciated/to grow thin and worn out/
痩せ地 [やせち] /(n) barren soil/
痩せ土 [やせつち] /(n) barren soil/
痩せ肉 [やせじし] /(n) (1) emaciation/emaciated body/(adj-no) (2) emaciated/
痩せ馬 [やせうま] /(n) scrawny horse/
痩せ薬 [やせぐすり] /(n) drug used for weight reduction/
痩せ腕 [やせうで] /(n) (1) thin arm/(2) meager income/meagre income/
痩る [やせる] /(io) (v1,vi) (1) (uk) to become thin/to lose weight/to reduce (one's) weight/to slim/(2) to be barren/to be infertile/to be sterile/
痩我慢 [やせがまん] /(n,vs) (uk) fake stoicism/pretended endurance (for sake of pride)/false courage/
痩躯 [そうく] /(n) lean (figure)/
痩身 [そうしん] /(n) slim figure/weight reduction/
痩村 [やせむら] /(n) (obsc) poor village/desolated village/
痩肉 [やせじし] /(n) (1) emaciation/emaciated body/(adj-no) (2) emaciated/
相 [あい] /(pref) together/mutually/fellow/
相 [こもごも] /(adv) (uk) alternately/in succession/
相 [さが] /(n) (1) one's nature/one's destiny/(2) custom/tradition/habit/
相 [しょう] /(suf) minister of state/
相 [そう] /(n) (1) appearance/look/countenance/(2) a 'seeming' that fortune-tellers relate to one's fortune/(3) (ling) aspect/(4) (physics) phase (e.g. solid, liquid and gaseous)/
相々傘 [あいあいがさ] /(iK) (exp) sharing an umbrella/under one umbrella/
相い性 [あいしょう] /(n) affinity/compatibility/
相する [そうする] /(vs-s,vt) to assess (often one's fate)/
相づち [あいづち] /(n) (ling) sounds given during a conversation to indicate comprehension/back-channeling/
相づちを打つ [あいづちをうつ] /(exp,v5t) to throw in appropriate words in a conversation/to make agreeable responses/to be a yes-man/
相の手 [あいのて] /(n) (1) interlude/(2) interjection/interruption/
相まって [あいまって] /(adv) coupled with/together/(P)/
相も変らず [あいもかわらず] /(n,adv) as ever (often derog.)/as usual/the same/
相も変らぬ [あいもかわらぬ] /(adv,n) as ever/as usual/the same/
相も変わらず [あいもかわらず] /(n,adv) as ever (often derog.)/as usual/the same/
相も変わらぬ [あいもかわらぬ] /(adv,n) as ever/as usual/the same/
相を見る [そうをみる] /(exp,v1) to read (a person's) physiognomy/
相愛 [そうあい] /(n,vs) mutual love/
相異 [そうい] /(n,vs) difference/discrepancy/variation/
相異なる [あいことなる] /(v5r,vi) (math) to be different and distinct/to be (relatively) distinct (when referring to items in a set)/
相違 [そうい] /(n,vs) difference/discrepancy/variation/(P)/
相違ない [そういない] /(adj-i) without doubt/certain/sure/
相違なく [そういなく] /(adv) certainly/surely/
相違点 [そういてん] /(n) (points of) difference/
相縁機縁 [あいえんきえん] /(n) a couple strangely but happily united/uncanny relationship formed by a quirk of fate/
相応 [そうおう] /(adj-na,n,adj-no) suitability/fitness/(P)/
相応しい [ふさわしい] /(adj-i) appropriate/(P)/
相加平均 [そうかへいきん] /(n) arithmetic mean/
相姦 [そうかん] /(n) adultery/
相関 [そうかん] /(n,vs) correlation/interrelation/(P)/
相関ルール [そうかんルール] /(n) associate rule/
相関関係 [そうかんかんけい] /(n) correlation/interrelation/intertwining/(P)/
相関係数 [そうかんけいすう] /(n) correlation coefficient/
相関性 [そうかんせい] /(n) relativity/interconnectedness/correlation/
相関的 [そうかんてき] /(adj-na) correlative/
相客 [あいきゃく] /(n) fellow guest or lodger or passenger, etc./
相携える [あいたずさえる] /(v1) to do something together/
相継ぐ [あいつぐ] /(v5g) to follow in succession/to happen one after another/
相撃ち [あいうち] /(n) (1) simultaneously striking one another (in kendo, etc.)/(2) draw/tie/
相決 [あいじゃくり] /(n) half lap joint between parallel boards/
相決り [あいじゃくり] /(n) half lap joint between parallel boards/
相見え [あいまみえ] /(n) face-to-face encounter/
相見える [あいまみえる] /(v1) to have an audience (with)/to have an interview (with)/
相見る [あいみる] /(v1,vi) to face/
相見積もり [あいみつもり] /(n) competitive bids or bidding/
相見積り [あいみつもり] /(n) competitive bids or bidding/
相互 [そうご] /(n,adj-no) mutual/reciprocal/(P)/
相互依存 [そうごいそん] /(n,adj-no) interdependence/
相互依存 [そうごいぞん] /(n,adj-no) interdependence/
相互運用 [そうごうんよう] /(n,vs) interoperation/
相互運用性 [そうごうんようせい] /(n) interoperability/
相互会社 [そうごがいしゃ] /(n) mutual company/
相互確証破壊 [そうごかくしょうはかい] /(n) mutual assured destruction/
相互関係 [そうごかんけい] /(n) mutual relationship/interrelationship/interaction/
相互協力 [そうごきょうりょく] /(n) bilateral cooperation/
相互銀行 [そうごぎんこう] /(n) mutual savings bank/(P)/
相互互換性 [そうごごかんせい] /(n) (comp) interchangeability/interoperability/
相互交流 [そうごこうりゅう] /(n) mutual exchange/(P)/
相互作用 [そうごさよう] /(n) interaction/
相互作用説 [そうごさようせつ] /(n) interactionism/
相互参照 [そうごさんしょう] /(n) cross-reference/
相互参照表示 [そうごさんしょうひょうじ] /(n) (comp) cross-referencing indication/
相互支援 [そうごしえん] /(n) mutual support/
相互主義 [そうごしゅぎ] /(n) principle of reciprocity/
相互情報量 [そうごじょうほうりょう] /(n) (comp) transinformation (content)/transferred information/transmitted information/mutual information/
相互接続 [そうごせつぞく] /(n) (comp) cross connection/interconnection/internetworking/
相互接続性 [そうごせつぞくせい] /(n) (comp) interconnection/interoperability/
相互接続性試験 [そうごせつぞくせいじけん] /(n) (comp) interconnection test/interoperability test/
相互接続地点 [そうごせつぞくちてん] /(n) (comp) cross connection point/
相互相関 [そうごそうかん] /(n) (comp) cross-correlation/
相互通信 [そうごつうしん] /(n) intercommunication (usu. in telecomms contexts)/
相互動作管理 [そうごどうさかんり] /(n) (comp) interaction management/
相互動作性 [そうごどうさせい] /(n) (comp) interoperability/
相互動作性試験 [そうごどうさせいしけん] /(n) (comp) interoperability test, study/
相互排除 [そうごはいじょ] /(n) (comp) mutual exclusion/
相互配属 [そうごはいぞく] /(n) cross attachment/
相互不信 [そうごふしん] /(n) mutual distrust/
相互扶助 [そうごふじょ] /(n) mutual aid/
相互保険 [そうごほけん] /(n) mutual insurance/
相互訪問 [そうごほうもん] /(n) mutual visitation/reciprocal visits/
相互理解 [そうごりかい] /(n,vs) mutual understanding/
相互理解を図る [そうごりかいをはかる] /(exp,v5r) to strive for mutual understanding/
相碁井目 [あいごせいもく] /(exp) In every game or play, differences in skill between individuals can be substantial/
相好 [そうごう] /(n) features/appearance/
相合い傘 [あいあいがさ] /(exp) sharing an umbrella/under one umbrella/
相合傘 [あいあいがさ] /(exp) sharing an umbrella/under one umbrella/
相克 [そうこく] /(n,vs) rivalry/
相惚れ [あいぼれ] /(n) (arch) mutual love/
相済まない [あいすまない] /(adj-i) very sorry/remorseful/apologetic/contrite/
相済まぬ [あいすまぬ] /(exp) (arch) very sorry/remorseful/apologetic/contrite/
相済みません [あいすみません] /(exp) Forgive me (very formal)/
相済む [あいすむ] /(v5m,vi) (1) to finish/to end/to be completed/(2) to fulfill one's obligations (often used in negative form as an apology)/
相殺 [そうさい] /(n,vs,adj-no) offsetting each other/plus and minus equal zero/counterbalancing/(P)/
相殺 [そうさつ] /(n,vs,adj-no) offsetting each other/plus and minus equal zero/counterbalancing/
相殺関税 [そうさいかんぜい] /(n) countervailing duty/
相子 [あいこ] /(n) draw/tie/
相思 [そうし] /(n) mutual affection or love/
相思相愛 [そうしそうあい] /(n) mutual love/
相似 [そうじ] /(n,adj-na,vs,adj-no) (1) resemblance/likeness/similitude/(2) (mathematical) similarity/(3) (biological) analogy/(P)/
相似器官 [そうじきかん] /(n) analogous organ/
相似形 [そうじけい] /(n) (in geometry) similar figures/
相似点 [そうじてん] /(n) point of likeness (between)/resemblance/similarity/
相似比 [そうじひ] /(n) homothetic ratio/
相持ち [あいもち] /(n) joint ownership/sharing/going Dutch/
相次いで [あいついで] /(adv) one after the other/successively/
相次ぐ [あいつぐ] /(v5g) to follow in succession/to happen one after another/(P)/
相識 [そうしき] /(n) acquaintance/
相手 [あいて] /(n) (1) companion/partner/company/(2) other party/addressee/(3) opponent (sports, etc.)/(P)/
相手が悪い [あいてがわるい] /(exp) (col) out of one's league/facing a too tough opponent/outclassed/
相手にしない [あいてにしない] /(exp,adj-i) to ignore/to take no notice of/to give the cold shoulder to/to not associate with/to snub/to refuse to deal with/
相手にする [あいてにする] /(exp,vs-i) to keep company/to listen to/to associate with/to take notice of/to deal with/to play against (e.g. a team)/to take on (e.g. a rival)/
相手の目 [あいてのめ] /(n) the opponents territory/
相手をする [あいてをする] /(exp,vs-i) to keep company/to look after/to entertain/to play (a game) with/
相手を負かす [あいてをまかす] /(exp,v5s) to defeat one's opponent/
相手固定接続 [あいてこていせつぞく] /(n) (comp) permanent virtual connection/PVC/
相手次第 [あいてしだい] /(adv) determining an attitude or response according to the opponent/
相手取る [あいてどる] /(v5r,vt) to take on an opponent/to challenge/(P)/
相手先 [あいてさき] /(n) the other party (usu. in business)/person or party with whom you are dealing (on the other end)/
相手先固定接続 [あいてさきこていせつぞく] /(n) (comp) Permanent Virtual Circuit/PVC/
相手先選択接続 [あいてさきせんたくせつぞく] /(n) (comp) Switched Virtual Circuit/SVC/
相手選択接続 [あいてせんたくせつぞく] /(n) (comp) switched virtual connection/SVC/
相手選択接続機能 [あいてせんたくせつぞくきのう] /(n) (comp) virtual call facility/
相手方 [あいてかた] /(n) other (opposite) party/(P)/
相手方 [あいてがた] /(n) other (opposite) party/
相手方当事者 [あいてがたとうじしゃ] /(n) adversary party/opposing party/
相手役 [あいてやく] /(n) opposing role/partner/
相宿 [あいやど] /(n) staying in the same inn or hotel/rooming together/
相承 [そうしょう] /(n,vs) inheritance/
相称 [そうしょう] /(n,adj-no) symmetry/
相乗 [そうじょう] /(n,vs) multiplication/synergism/(P)/
相乗り [あいのり] /(n,vs) riding together/(P)/
相乗効果 [そうじょうこうか] /(n,adj-no) synergy/
相乗作用 [そうじょうさよう] /(n,adj-no) synergism/
相乗積 [そうじょうせき] /(n) (math) product/
相乗平均 [そうじょうへいきん] /(n) geometric mean/
相場 [そうば] /(n) (1) market price/(2) speculation (e.g. on stocks)/(3) reputation (according to conventional wisdom)/estimation/esteem/(P)/
相場師 [そうばし] /(n) speculator/
相場操縦 [そうばそうじゅう] /(n) market manipulation/market rigging/
相場動向 [そうばどうこう] /(n) market trend/stock movements/
相身互い [あいみたがい] /(n) mutual assistance or sympathy/
相図 [あいず] /(n,vs) sign/signal/
相制説 [そうせいせつ] /(n) (obsc) interactionism/
相性 [あいしょう] /(n) affinity/compatibility/(P)/
相性問題 [あいせいもんだい] /(n) (comp) compatibility issue/
相成る [あいなる] /(v5r) (pol) to become (formal)/
相星 [あいぼし] /(n) sumo wrestlers with the same win-loss record at the end of tournament/
相生い [あいおい] /(n) developing together/
相生の松 [あいおいのまつ] /(n) double pine/twin pines/
相席 [あいせき] /(n,vs) a table (at a restaurant) with someone you don't know/
相接する [あいせっする] /(vs-s) to be adjacent (with each other)/to neighbor (neighbour)/to border/
相前後する [あいぜんごする] /(vs-s,vi) to occur one after another/to happen in succession/
相争う [あいあらそう] /(v5u) to fight with each other/to fight amongst yourselves/
相相傘 [あいあいがさ] /(iK) (exp) sharing an umbrella/under one umbrella/
相即 [そうそく] /(n,vs) (1) (Buddh) coming together and dissolvinge into oneness/(2) being closely related/being inseparable/
相即不離 [そうそくふり] /(n) strongly attached to each other/inseparable/
相続 [そうぞく] /(n,vs) succession/inheritance/(P)/
相続権 [そうぞくけん] /(n) heirship/(claim) the (right of) succession/one's inheritance rights/
相続財産 [そうぞくざいさん] /(n) inheritance/inherited property/heritage/
相続人 [そうぞくにん] /(n) heir/heiress/inheritor/
相続税 [そうぞくぜい] /(n) inheritance tax/death duty/(P)/
相続争い [そうぞくあらそい] /(n) inheritance dispute/
相打ち [あいうち] /(n) (1) simultaneously striking one another (in kendo, etc.)/(2) draw/tie/
相対 [あいたい] /(n,vs,adj-no) confrontation/facing/between ourselves/no third party/tete-a-tete/(P)/
相対 [そうたい] /(n,vs,adj-f) relative/(P)/
相対す [あいたいす] /(v5s,vi) (1) to face each other/to be opposite one another/(2) to be in opposition/to conflict/
相対する [あいたいする] /(vs-s,vi) (1) to face each other/to be opposite one another/(2) to be in opposition/to conflict/
相対アドレス [そうたいアドレス] /(n) (comp) relative address/
相対エントロピー [そうたいエントロピー] /(n) (comp) relative entropy/
相対キー [そうたいキー] /(n) (comp) relative key/
相対パス名 [そうたいパスめい] /(n) (comp) relative pathname/
相対ファイル [そうたいファイル] /(n) (comp) relative file/
相対レコード番号 [そうたいレコードばんごう] /(n) (comp) relative record number/
相対運動 [そうたいうんどう] /(n) relative motion/
相対勘定 [あいたいかんじょう] /(n) contra account/
相対形式プログラム [そうたいけいしきプログラム] /(n) (comp) (obs) relocatable program/
相対敬語 [そうたいけいご] /(n) relative respectful speech/relative honorifics/
相対誤差 [そうたいごさ] /(n) relative error/
相対座標 [そうたいざひょう] /(n) (comp) relative coordinate/
相対座標指令 [そうたいざひょうしれい] /(n) (comp) relative command/relative instruction/
相対座標命令 [そうたいざひょうめいれい] /(n) (comp) relative command/relative instruction/
相対死 [あいたいじに] /(n) double suicide/
相対湿度 [そうたいしつど] /(n) relative humidity/
相対主義 [そうたいしゅぎ] /(n,adj-no) relativism/
相対尽で [あいたいずくで] /(exp) by mutual consent/
相対世代番号 [そうたいせだいばんごう] /(n) (comp) relative generation number/
相対性 [そうたいせい] /(n) relativity/
相対性原理 [そうたいせいげんり] /(n) the principle of relativity/
相対性理論 [そうたいせいりろん] /(n) The Theory of Relativity/
相対速度 [そうたいそくど] /(n) relative velocity/
相対値 [そうたいち] /(n) relative value/
相対的 [そうたいてき] /(adj-na) relative/(P)/
相対的なパス名 [そうたいてきなパスめい] /(n) (comp) relative path name/
相対年代 [そうたいねんだい] /(n) relative age/
相対売買 [あいたいばいばい] /(n) negotiated transaction/
相対評価 [そうたいひょうか] /(n) a relative evaluation/
相対変位 [そうたいへんい] /(n) (comp) relative offset/
相対編成 [そうたいへんせい] /(n) (comp) relative organization/
相対立する [あいたいりつする] /(vs-i) to be incompatible/to be contradictory/
相対論 [そうたいろん] /(n) (1) theory of relativity/(2) relativism/
相待 [そうだい] /(n) (Buddh) existing in opposition or interdependence/
相談 [そうだん] /(n,vs) consultation/discussion/(P)/
相談にあずかる [そうだんにあずかる] /(exp,v5r) (obsc) to be consulted/
相談に乗る [そうだんにのる] /(exp,v5r) to give advice/to counsel/to take part in a consultation/
相談に与る [そうだんにあずかる] /(exp,v5r) (obsc) to be consulted/
相談所 [そうだんじょ] /(n) consultation office/bureau/(P)/
相談相手 [そうだんあいて] /(n) adviser/someone to consult with/someone to turn to about one's concerns/confidant/
相談窓口 [そうだんまどぐち] /(n) inquiry counter/consulting service/assistance service/
相談役 [そうだんやく] /(n) counselor/counsellor/adviser/advisor/(P)/
相知る [あいしる] /(v5r) (1) to know each other/(2) to exchange vows/to love each other/
相槌 [あいづち] /(n) (ling) sounds given during a conversation to indicate comprehension/back-channeling/(P)/
相槌を打つ [あいづちをうつ] /(exp,v5t) to throw in appropriate words in a conversation/to make agreeable responses/to be a yes-man/
相鎚 [あいづち] /(n) (ling) sounds given during a conversation to indicate comprehension/back-channeling/
相通ずる [あいつうずる] /(vz) (1) to be in common/to have in common/(2) to be in mutually understood/(3) to be mutually connected/to have a link/
相弟子 [あいでし] /(n) fellow students/
相鉄 [そうてつ] /(n) Sagami Railway/
相転移 [そうてんい] /(n) phase transition/phase change/phase transformation/
相伝 [そうでん] /(n,vs) inheritance/
相殿 [あいでん] /(n) enshrinement of two or more deities in one building of a shrine/shrine building dedicated to two or more deities/
相殿 [あいどの] /(n) enshrinement of two or more deities in one building of a shrine/shrine building dedicated to two or more deities/
相当 [そうとう] /(adj-na,n-adv,vs) (1) befitting/becoming/worthy of/proportionate/in keeping with/suitable/(2) considerable/substantial/(vs) (3) to be worthy of/to be proportionate to/(4) to correspond to (in meaning, function, etc.)/to be equivalent/(adv) (5) extremely/considerably/(P)/
相当な注意 [そうとうなちゅうい] /(exp) due diligence/due care/reasonable diligence/reasonable care/
相当語句 [そうとうごく] /(n) equivalent (in linguistics)/
相当数 [そうとうすう] /(n) a considerable number/a fair number/
相等しい [あいひとしい] /(adj-i) equal to each other/
相討ち [あいうち] /(n) (1) simultaneously striking one another (in kendo, etc.)/(2) draw/tie/
相同 [そうどう] /(n,adj-no) homology/
相同器官 [そうどうきかん] /(n) homologous organ/
相同染色体 [そうどうせんしょくたい] /(n) homologous chromosome/
相入れない [あいいれない] /(iK) (exp,adj-i) in conflict/incompatible/out of harmony/running counter/mutually exclusive/clashing with/
相伴 [しょうばん] /(n,vs) partaking/participating/taking part in/sharing (something with someone)/
相伴う [あいともなう] /(v5u) to accompany/
相半ばする [あいなかばする] /(vs-s,vi) to be equal in number, degree, etc. (of two things in opposition)/to balance/to cancel out/
相反 [あいはん] /(vs) to be contrary/to run counter to/to conflict/to contravene/
相反 [そうはん] /(adj-f) (1) reciprocal/antithetic/contrary/(n) (2) repulsion (in medicine)/
相反性 [そうはんせい] /(adj-na) reciprocal/
相反則不軌 [そうはんそくふき] /(n) reciprocity failure/
相反定理 [そうはんていり] /(n) reciprocity theorem (physics)/
相反的 [そうはんてき] /(adj-na,adv) reciprocal/reciprocally/
相板 [あいばん] /(n) medium-sized paper/medium-sized book/
相舞 [あいまい] /(n) dancing together in unison (in noh, kyogen, etc.)/
相部屋 [あいべや] /(n) (1) sharing a room/(2) match between wrestlers from the same sumo stable/
相並ぶ [あいならぶ] /(v5b) to line up with/
相変らず [あいかわらず] /(adv,n) as ever/as usual/the same/
相変わらず [あいかわらず] /(adv,n) as ever/as usual/the same/(P)/
相変化型光ディスク [そうへんかがたひかりディスク] /(n) (comp) phase change optical disk/
相補 [そうほ] /(n,adj-no) complement/
相補演算 [そうほえんざん] /(n) (comp) complementary operation/
相補型金属酸化膜半導体 [そうほがたきんぞくさんかまくはんどうたい] /(n) (comp) complementary metal-oxide semiconductor/CMOS/
相補性 [そうほせい] /(n) complementarity/complementation/
相補性原理 [そうほせいげんり] /(n) complementarity/
相補的ＤＮＡ [そうほてきディーエヌエー] /(n) complementary DNA/
相補分布 [そうほぶんぷ] /(n) (ling) complementary distribution/
相方 [あいかた] /(n) partner/companion/
相棒 [あいぼう] /(n) partner/pal/accomplice/(P)/
相貌 [そうぼう] /(n) looks/features/
相貌失認 [そうぼうしつにん] /(n) prosopagnosia/face blindness/
相撲 [すまい] /(ok) (n) (1) sumo wrestling/(2) (abbr) sumo wrestler/rikishi/
相撲 [すもう] /(n) (1) sumo wrestling/(2) (abbr) sumo wrestler/rikishi/(P)/
相撲にならない [すもうにならない] /(exp) is no match for/can't hold a candle to/
相撲字 [すもうじ] /(n) writing style used to write the sumo ranking/
相撲取り [すまいとり] /(n) sumo wrestler/rikishi/
相撲取り [すもうとり] /(n) sumo wrestler/rikishi/(P)/
相撲人 [すまいびと] /(n) (arch) sumo wrestler/rikishi/
相撲甚句 [すもうじんく] /(n) sumo-themed song/
相撲部屋 [すもうべや] /(n) sumo stable/
相撲文字 [すもうもじ] /(n) writing style used to write the sumo ranking/
相矛盾 [あいむじゅん] /(n,vs) mutually contradictory/
相婿 [あいむこ] /(n) brother-in-law/
相役 [あいやく] /(n) colleague/
相容れない [あいいれない] /(exp,adj-i) in conflict/incompatible/out of harmony/running counter/mutually exclusive/clashing with/
相擁 [あいよう] /(n,vs) embrace/hug/
相輪 [そうりん] /(n) (obsc) pagoda finial/
相和す [あいわす] /(v5s) to grow together/to join together (in doing something)/
相和する [あいわする] /(vs-s,vi) to get along well together/to be in tune with one another/to harmonize with each other/to go well together/
相俟って [あいまって] /(adv) coupled with/together/
相剋 [そうこく] /(n,vs) rivalry/
相聟 [あいむこ] /(n) brother-in-law/
窓 [まど] /(n) window/(P)/
窓の桟 [まどのさん] /(exp) window frame/window sill/
窓ガラス [まどガラス] /(n) windowpane/
窓越しに [まどごしに] /(adv) over the window sill/through the window/
窓貝 [まどがい] /(n) windowpane oyster (Placuna placenta)/
窓外 [そうがい] /(n) outside a window/
窓外投擲 [そうがいとうてき] /(n) defenestration (throwing something or somebody out the window)/
窓外放出 [そうがいほうしゅつ] /(n) defenestration (throwing something or somebody out the window)/
窓掛け [まどかけ] /(n) curtains/
窓口 [まどぐち] /(n) (1) ticket window/teller window/counter/(2) contact person/point of contact/(P)/
窓口機関 [まどぐちきかん] /(n) contact organization/
窓口販売 [まどぐちはんばい] /(n) over the counter sales (often of financial packages)/
窓際 [まどぎわ] /(n) (at the) window/(P)/
窓際の席 [まどぎわのせき] /(n) window-side seat/
窓際族 [まどぎわぞく] /(n) useless employees (shunted off by a window to pass their remaining time until retirement)/
窓拭き [まどふき] /(n) window cleaning/
窓側 [まどがわ] /(n,adj-no) window-side/
窓販 [まどはん] /(n) (abbr) over the counter sales (often of financial packages)/
窓表示域変換 [まどひょうじいきへんかん] /(n) (comp) window/viewport transformation/viewing transformation/
窓付き [まどつき] /(n,adj-f) window (e.g. in an envelope, box, etc.)/aperture/
窓付き封筒 [まどつきふうとう] /(n) window envelope/billing envelope/
窓辺 [まどべ] /(n) by the window/
窓明り [まどあかり] /(n) light coming in or leaking through a window/
窓枠 [まどわく] /(n) window frame/sash/
糟 [かす] /(n) sake lees/
糟糠 [そうこう] /(n) plain food/simple living/
糟糠の妻 [そうこうのつま] /(exp) one's devoted wife/wife who has followed one through hard times/wife married in poverty/
糟鮫 [かすざめ] /(n) (uk) Japanese angel shark (Squatina japonica)/
糟取り [かすとり] /(n) (1) shochu made from sake lees/(2) low-quality moonshine (esp. post-WWII)/hooch (hootch)/
糟汁 [かすじる] /(n) soup made with sake lees/
糟漬 [かすづけ] /(n) (fish or vegetables) pickled in sake lees/
糟毛 [かすげ] /(n,adj-no) roan (type of horse colour (color))/
総 [そう] /(n,pref) whole/all/general/gross/(P)/
総 [ふさ] /(n) (1) tuft/tassel/(2) bunch (of grapes, etc.)/(3) section (of an orange, etc.)/
総々 [ふさふさ] /(adj-na,adv,adv-to) (uk) in tufts/tufty/
総じて [そうじて] /(adv) in general/generally/
総すかんを食う [そうすかんをくう] /(exp,v5u) to be hated by everyone/
総て [すべて] /(adj-no,n-adv,n) all/the whole/entirely/in general/wholly/overall/
総ての道はローマに通ず [すべてのみちはローマにつうず] /(exp) (id) All roads lead to Rome/
総べて [すべて] /(adj-no,n-adv,n) all/the whole/entirely/in general/wholly/overall/
総べる [すべる] /(v1,vt) to control/to supervise/
総まとめ [そうまとめ] /(n) overall summary/(e.g. news) roundup/
総セル数 [そうセルすう] /(n) (comp) total cell count/
総意 [そうい] /(n) consensus of opinion/(P)/
総員 [そういん] /(n) the entire strength/all hands/all the members/
総嫁 [そうか] /(n) (Edo period) streetwalker/
総花 [そうばな] /(n) all-around/across-the-board/
総花式 [そうばなしき] /(n) across-the-board (policy)/
総花主義 [そうばなしゅぎ] /(n) the principle of pleasing everyone/make-everybody-happy policy/
総花政策 [そうばなせいさく] /(n) all-around policy/please-everyone policy/
総画 [そうかく] /(n) the stroke-count of a kanji/
総画数 [そうかくすう] /(n) stroke-count of a kanji/
総会 [そうかい] /(n) general meeting/(P)/
総会屋 [そうかいや] /(n) extortionist that threatens to disrupt stock-holder meetings/(P)/
総角 [あげまき] /(n) (1) old-fashioned boys' hairstyle/(2) Meiji period women's hairstyle/(3) (abbr) constricted tagelus (Sinonovacula constricta)/Chinese razor clam/
総角 [チョンガー] /(n) (uk) bachelor (kor: ch'onggak)/
総革 [そうがわ] /(n,adj-no) full-leather/leather-bound (book)/
総額 [そうがく] /(n) sum total/total amount/(P)/
総掛かり [そうがかり] /(n) in a body/concentrated force/combined efforts/
総括 [そうかつ] /(n,vs,adj-no) synthesis/recap/generalize/generalise/(P)/
総括質問 [そうかつしつもん] /(n) general interpellation (in the Diet)/
総括主宰者 [そうかつしゅさいしゃ] /(n) (electoral) campaign manager/
総括的 [そうかつてき] /(adj-na) all-inclusive/all-embracing/overall/
総括票 [そうかつひょう] /(n) (comp) batch-header document/
総轄 [そうかつ] /(n,vs) being in general control of/
総勘定 [そうかんじょう] /(n) final settlement/
総勘定元帳 [そうかんじょうもとちょう] /(n) general ledger (accounting)/
総監 [そうかん] /(n) inspector general/commissioner/(P)/
総監督 [そうかんとく] /(n) general manager/
総記 [そうき] /(n) general description/exhaustive listing/
総議員 [そうぎいん] /(n) all members of the Diet/members of both houses/
総局 [そうきょく] /(n) head office/general office/
総桐 [そうぎり] /(n) made entirely of paulownia wood/
総計 [そうけい] /(n,vs,adj-no) total/sum/(P)/
総決算 [そうけっさん] /(n) complete financial statement/(P)/
総捲り [そうまくり] /(n,vs) general overview/
総研 [そうけん] /(n) general research/total research/
総見 [そうけん] /(n,vs) observing a performance in a large group/
総攻撃 [そうこうげき] /(n,vs) general attack/general offensive/
総構え [そうがまえ] /(n) outermost enclosure of a castle or fortress (including the town around it)/
総高 [そうだか] /(n) total amount/
総合 [そうごう] /(n,vs,adj-no) (1) synthesis/coordination/putting together/integration/composite/(adj-f) (2) comprehensive/(P)/
総合サービスディジタル網 [そうごうサービスディジタルもう] /(n) (comp) Integrated Services Digital Network/ISDN/
総合スーパー [そうごうスーパー] /(n) hypermarket/large store that contains many different products/
総合ディスク制御機構 [そうごうディスクせいぎょきこう] /(n) (comp) IDC/Integrated Disk Controller/
総合デジタル通信網 [そうごうデジタルつうしんもう] /(n) integrated services digital network/ISDN/
総合ビタミン剤 [そうごうビタミンざい] /(n) multivitamin/
総合科学 [そうごうかがく] /(n) integrated science (i.e. collaboration of various sciences and arts)/(a) synthetic science/
総合課税 [そうごうかぜい] /(n) tax on aggregate income/
総合開発 [そうごうかいはつ] /(n) integrated development/
総合格闘技 [そうごうかくとうぎ] /(n-t) mixed martial arts/
総合芸術 [そうごうげいじゅつ] /(n) total work of art/complete work of art/Gesamtkunstwerk/artwork that integrates music, poetry, and acting/composite art/
総合研究所 [そうごうけんきゅうしょ] /(n) institute for general research/multidiscipline laboratory/
総合研究所 [そうごうけんきゅうじょ] /(n) institute for general research/multidiscipline laboratory/
総合効率 [そうごうこうりつ] /(n) overall efficiency/combined efficiency/lamp and auxiliary efficacy (industry specific)/
総合口座 [そうごうこうざ] /(n) savings account/deposit account/
総合雑誌 [そうごうざっし] /(n) general-interest magazine/
総合者 [そうごうしゃ] /(n) generalist/renaissance man/multi-talented person/synthesist/
総合主義 [そうごうしゅぎ] /(n) synthetism/
総合収支 [そうごうしゅうし] /(n) overall balance of payments/
総合商社 [そうごうしょうしゃ] /(n) general trading company/
総合職 [そうごうしょく] /(n) regular position/position with a prospect of promotion/
総合図書館 [そうごうとしょかん] /(n) (comp) general library/
総合大学 [そうごうだいがく] /(n) university/
総合的 [そうごうてき] /(adj-na) synthetic/comprehensive/(P)/
総合的言語 [そうごうてきげんご] /(n) synthetic language/
総合的品質管理 [そうごうてきひんしつかんり] /(n) total quality control/TQC/
総合電気メーカー [そうごうでんきメーカー] /(n) general electric devices manufacturing company/general electrical manufacturer/
総合博物館 [そうごうはくぶつかん] /(n) (general) museum/
総合評価 [そうごうひょうか] /(n) comprehensive evaluation/over-all judgment/general comment/
総合病院 [そうごうびょういん] /(n) general hospital/
総合文化 [そうごうぶんか] /(n,adj-f) culture/arts and sciences/
総菜 [そうざい] /(n) side dish/daily (household) dish/
総裁 [そうさい] /(n) president/(P)/
総裁選 [そうさいせん] /(n) presidential election/
総索引 [そうさくいん] /(n) general index/
総仕上げ [そうしあげ] /(n,adj-no) overall finish/mop-up/
総仕舞 [そうじまい] /(n,vs) finishing up (a job)/selling out/buying up/
総司令官 [そうしれいかん] /(n) commander-in-chief/supreme commander/
総司令部 [そうしれいぶ] /(n) (command) headquarters/
総指揮 [そうしき] /(n) supreme command/direction over all/
総指揮官 [そうしきかん] /(n) supreme commander/
総支出 [そうししゅつ] /(n) total expenditures/
総支配人 [そうしはいにん] /(n) general manager/
総支部 [そうしぶ] /(n) election campaign office/
総資産 [そうしさん] /(n) total assets/
総資本利益率 [そうしほんりえきりつ] /(n) return on assets/ROA/
総事業費 [そうじぎょうひ] /(n) total operating expenses/total project cost/general expenses/
総辞職 [そうじしょく] /(n,vs) mass resignation/(P)/
総社 [そうじゃ] /(n) shrine enshrining several gods/
総需要 [そうじゅよう] /(n) aggregate demand/
総収入 [そうしゅうにゅう] /(n) total income/
総集編 [そうしゅうへん] /(n) highlights/summary/compilation/
総重量 [そうじゅうりょう] /(n) gross weight/
総出 [そうで] /(n) all together/
総所得 [そうしょとく] /(n) total income/gross earnings/
総所有コスト [そうしょゆうコスト] /(n) (comp) Total Cost of Ownership/
総書 [そうしょ] /(n) series (of publications)/library (of literature)/
総書記 [そうしょき] /(n) secretary-general/general secretary (esp. of Communist parties of the Democratic Republic of North Korea and the People's Republic of China)/
総嘗め [そうなめ] /(n) annihilation/sweeping victory/
総称 [そうしょう] /(n,vs,adj-no) general term/
総称アドレス [そうしょうアドレス] /(n) (comp) generic address/
総称識別子 [そうしょうしきべつし] /(n) (comp) generic identifier/
総状花序 [そうじょうかじょ] /(n,adj-no) racemous inflorescence/raceme/
総身 [そうみ] /(n) one's whole body/
総人口 [そうじんこう] /(n) total population/
総帥 [そうすい] /(n) commander/leader/(P)/
総数 [そうすう] /(n) total (number)/count/(P)/
総勢 [そうぜい] /(n) all members/whole army/(P)/
総説 [そうせつ] /(n,vs) review article/general remarks/
総選挙 [そうせんきょ] /(n) general election (of the lower house)/(P)/
総総 [ふさふさ] /(adj-na,adv,adv-to) (uk) in tufts/tufty/
総則 [そうそく] /(n) general rules/
総体 [そうたい] /(adv,n,adj-no) the whole/originally/(P)/
総退却 [そうたいきゃく] /(n) full retreat/general retreat/
総代 [そうだい] /(n) representative/
総大将 [そうだいしょう] /(n) supreme commander/
総長 [そうちょう] /(n) (college) president/secretary-general/(P)/
総締め [そうじめ] /(n) the total/
総纏め [そうまとめ] /(n) overall summary/(e.g. news) roundup/
総点 [そうてん] /(n) sum total of one's marks/total points or score/
総当たり [そうあたり] /(n) round-robin/(P)/
総当たり戦 [そうあたりせん] /(n) round robin event/
総当り [そうあたり] /(n) round-robin/
総統 [そうとう] /(n) (1) supreme ruler/generalissimo/(2) president (of Taiwan)/(3) fuhrer/fuehrer/(P)/
総統選挙 [そうとうせんきょ] /(n) presidential election/
総動員 [そうどういん] /(n,vs) general mobilization/general mobilisation/(P)/
総同盟罷業 [そうどうめいひぎょう] /(n) general strike/
総督 [そうとく] /(n,vs,adj-no) governor-general/governor/viceroy/(P)/
総督府 [そうとくふ] /(n) government-general/
総二階 [そうにかい] /(n) full two-story house/
総入れ歯 [そういれば] /(n) full dentures (e.g. no real teeth left)/
総廃棄セル数 [そうはいきセルすう] /(n) (comp) total number of discarded cells/
総排出腔 [そうはいしゅつくう] /(n) cloaca/
総排出腔 [そうはいしゅつこう] /(n) cloaca/
総売り上げ [そううりあげ] /(n) total sales/total proceeds/
総売上 [そううりあげ] /(n) total sales/total proceeds/
総髪 [そうはつ] /(n) wearing one's hair knotted in the back/
総帆展帆 [そうはんてんぱん] /(n,vs) in full sail/decked out in full sail/
総皮 [そうがわ] /(n,adj-no) full-leather/leather-bound (book)/
総秘書 [そうひしょ] /(n) (obsc) general secretary (esp. of Communist parties of Vietnam and the Democratic Republic of North Korea)/secretary-general/
総罷業 [そうひぎょう] /(n) general strike/
総費用 [そうひよう] /(n) total cost/
総評 [そうひょう] /(n,vs) (1) (abbr) general comment/(n) (2) (abbr) Sohyo (General Council of Trade Unions of Japan)/(P)/
総譜 [そうふ] /(n) full musical score/
総武線 [そうぶせん] /(n) Sobu Line (Chiba-Tokyo Railway)/
総柄 [そうがら] /(n) (clothing) patterned all over/
総別 [そうべつ] /(adv) generally/
総穂花序 [そうすいかじょ] /(n) racemose inflorescence (any indeterminate simple inflorescence)/
総包 [そうほう] /(n) involucre/involucrum/
総報酬 [そうほうしゅう] /(n) gross salary/
総崩れ [そうくずれ] /(n) rout/
総本家 [そうほんけ] /(n) head family/main branch of a school or religion/
総本山 [そうほんざん] /(n) (1) (Buddh) head temple of a sect/(2) (organizational) headquarters/(organisational) headquarters/(P)/
総本店 [そうほんてん] /(n) head office/
総務 [そうむ] /(n) general business (affairs)/manager/director/adjutant general (mil)/(P)/
総務課 [そうむか] /(n) general affairs section/
総務会 [そうむかい] /(n) executive council (usu. of a party)/board of governors/general affairs committee/
総務会長 [そうむかいちょう] /(n) chairman of executive council (usu. of a party)/chairman of the general affairs committee/
総務局 [そうむきょく] /(n) General Affairs Bureau/(P)/
総務省 [そうむしょう] /(n) Ministry of Internal Affairs and Communications (formerly Ministry of Public Management, Home Affairs, Posts and Telecommunications)/
総務相 [そうむしょう] /(n) Minister of Internal Affairs and Communications/
総務大臣 [そうむだいじん] /(n) Minister of Internal Affairs and Communications/
総務庁 [そうむちょう] /(n) General Affairs Agency/
総務長官 [そうむちょうかん] /(n) director-general/
総務部 [そうむぶ] /(n) general affairs department (bureau)/executive section/(P)/
総務部長 [そうむぶちょう] /(n) chief of the general affairs department (bureau)/chief of the executive section/
総模様 [そうもよう] /(n) (clothing) patterned all over/
総毛立つ [そうけだつ] /(v5t,vi) to relate a hair-raising account or experience/
総目録 [そうもくろく] /(n) index/
総門 [そうもん] /(n) main gate/
総予算 [そうよさん] /(n) complete budget/
総揚げ [そうあげ] /(n) hiring a number of geisha for an entertainment/
総覧 [そうらん] /(n,vs,adj-no) guide/general survey/conspectus/comprehensive bibliography/
総理 [そうり] /(n,vs) prime minister/leader/overseer (of national affairs)/president/(P)/
総理官邸 [そうりかんてい] /(n) Prime Minister's official residence/
総理総裁 [そうりそうさい] /(n) prime minister in office/president in office/
総理大臣 [そうりだいじん] /(n) Prime Minister/(P)/
総理府 [そうりふ] /(n) Prime Minister's office/PMO/(P)/
総理府総務長官 [そうりふそうむちょうかん] /(n) Director General of Prime Minister's Office/
総裏 [そううら] /(n) (full) lining/
総立ち [そうだち] /(n) standing in a group/standing up in unison/
総量 [そうりょう] /(n) aggregate amount/(P)/
総領 [すべおさ] /(n) (arch) pre-ritsuryo official established in key provinces, responsible for administration of his home and surrounding provinces/
総領 [そうりょう] /(n) (1) eldest child/oldest child/first-born child/(2) child who carries on the family name/(3) (arch) pre-ritsuryo official established in key provinces, responsible for administration of his home and surrounding provinces/(4) (arch) head of a warrior clan (Kamakura period)/
総領の甚六 [そうりょうのじんろく] /(exp) (id) First born, least clever/
総領事 [そうりょうじ] /(n) consul general/(P)/
総領事館 [そうりょうじかん] /(n) consulate-general/
総領息子 [そうりょうむすこ] /(n) eldest son/
総領娘 [そうりょうむすめ] /(n) eldest daughter/
総力 [そうりょく] /(n,adj-no) total energy/all efforts/(P)/
総力戦 [そうりょくせん] /(n) all-out war/
総論 [そうろん] /(n) general remarks/(P)/
総和 [そうわ] /(n) sum total/
総攬 [そうらん] /(n,vs) control/superintendence/
総浚い [そうざらい] /(n,vs) general review/
総苞 [そうほう] /(n) involucre/involucrum/
綜 [あぜ] /(n) warp controller (on a loom)/
綜合 [そうごう] /(n,vs,adj-no) (1) synthesis/coordination/putting together/integration/composite/(adj-f) (2) comprehensive/
綜麻繰 [へそくり] /(n) (uk) secret savings/stash/
綜覧 [そうらん] /(n,vs,adj-no) guide/general survey/conspectus/comprehensive bibliography/
聡い [さとい] /(adj-i) smart/sensitive/discerning/
聡敏 [そうびん] /(adj-na,n) sagacity/cleverness/
聡明 [そうめい] /(adj-na,n) wisdom/sagacity/
草 [くさ] /(n) grass/(P)/
草 [そう] /(n) (1) (abbr) draft/rough copy/(2) cursive script/"grass" kanji/
草々 [そうそう] /(adj-na,int,n) (1) brevity/rudeness/hurry/(2) Yours Sincerely/
草いきれ [くさいきれ] /(n) strong smell of grass (esp.in summer heat)/
草する [そうする] /(vs-s,vt) to draft/to write a rough copy/
草とん [そうとん] /(n) (arch) cylindrical seat made of straw covered in fabric/
草の根 [くさのね] /(exp,n) grassroots/rank and file/the roots of grass/(P)/
草の根ＢＢＳ [くさのねビービーエス] /(n) (comp) grassroots bulletin board/
草の根ネット [くさのねネット] /(n) (comp) grassroots network/
草の根運動 [くさのねうんどう] /(n) grass-roots movement/
草の根民主主義 [くさのねみんしゅしゅぎ] /(n) grass-roots democracy/
草の葉 [くさのは] /(n) blade of grass/
草ぶき [くさぶき] /(n) thatching/thatch/thatched roof/
草ぼうぼう [くさぼうぼう] /(adj-no) covered with weeds/
草むしり [くさむしり] /(n,vs) weeding/weeder/weeding fork/
草むら [くさむら] /(n) clump of bushes/grassy place/thicket/jungle/the bush/
草庵 [そうあん] /(n) thatched hut/
草庵風茶室 [そうあんふうちゃしつ] /(n) rustic tea house made out of a thatched hut/
草案 [そうあん] /(n) draft/draught/(P)/
草雲雀 [くさひばり] /(n) grass cricket/
草屋 [くさや] /(n) thatched hut/
草屋 [そうおく] /(n) thatched hut/
草屋根 [くさやね] /(n) thatched roof/
草仮名 [そうがな] /(n) cursive form of man'yougana/man'yougana written in sousho style, an intermediate stage between hiragana and man'yougana/
草河豚 [くさふぐ] /(n) (uk) grass puffer (Takifugu niphobles)/
草花 [くさばな] /(n) flower/flowering plant/(P)/
草花 [そうか] /(n) flower/flowering plant/
草蝦 [てながえび] /(n) freshwater prawn (any species in the genus Macrobrachium)/
草臥れる [くたびれる] /(v1,vi) to get tired/to wear out/(P)/
草臥れ儲け [くたびれもうけ] /(n,adj-no) waste of effort/thankless task/
草臥儲 [くたびれもうけ] /(n,adj-no) waste of effort/thankless task/
草鎌 [くさがま] /(n) (obsc) grass sickle/
草刈り [くさかり] /(n) mowing/mower/(P)/
草刈り鎌 [くさかりがま] /(n) grass sickle/
草刈り機 [くさかりき] /(n) (1) weed cutter/grass cutter/brush cutter/(2) lawn mower/
草刈鎌 [くさかりがま] /(n) grass sickle/
草刈機 [くさかりき] /(n) (1) weed cutter/grass cutter/brush cutter/(2) lawn mower/
草刈場 [くさかりば] /(n) (1) hay-meadow commons/(2) place (or organization, etc.) from which numerous people hope to benefit/
草冠 [くさかんむり] /(n) (1) kanji "grass radical" (radical 140)/(2) grass crown/
草冠 [そうこう] /(n) (1) kanji "grass radical" (radical 140)/(2) grass crown/
草亀 [くさがめ] /(n) (1) (uk) Chinese pond turtle (Chinemys reevesii)/Reeves' turtle/(2) stink bug/shield bug/
草魚 [そうぎょ] /(n) grass carp/
草競馬 [くさけいば] /(n) local horse race/
草月流 [そうげつりゅう] /(n) Sogetsu school of flower arrangement/
草原 [くさはら] /(n) grass-covered plain/grasslands/meadows/savannah/prairie/steppe/
草原 [くさわら] /(n) grass-covered plain/grasslands/meadows/savannah/prairie/steppe/
草原 [そうげん] /(n) grass-covered plain/grasslands/meadows/savannah/prairie/steppe/(P)/
草枯れ [くさがれ] /(n) autumn/fall/withering of the grass/
草稿 [そうこう] /(n) notes/draft/draught/manuscript/(P)/
草稿本 [そうこうぼん] /(n) rough draft of a book/draft-manuscript book/dummy comic book/
草根 [そうこん] /(n) grass roots/
草根木皮 [そうこんぼくひ] /(n) roots of herbs and barks of trees used in Chinese medicine/
草根木皮 [そうこんもくひ] /(n) roots of herbs and barks of trees used in Chinese medicine/
草産す [くさむす] /(v5s) to be grassy/to be verdant/
草子 [そうし] /(n) (1) written work (esp. a bound text, as opposed to a scroll)/(2) a text written entirely in kana/(3) graphic novel (esp. one created between the 12th and 19th centuries)/(4) notebook (for practicing kana, drawing pictures, etc.)/(5) rough draft/
草市 [くさいち] /(n) flower market during obon/
草紙 [そうし] /(n) (1) written work (esp. a bound text, as opposed to a scroll)/(2) a text written entirely in kana/(3) graphic novel (esp. one created between the 12th and 19th centuries)/(4) notebook (for practicing kana, drawing pictures, etc.)/(5) rough draft/
草取り [くさとり] /(n,vs) weeding/weeder/weeding fork/
草書 [そうしょ] /(n) cursive script/"grass" kanji/(P)/
草丈 [くさたけ] /(n) rice plant's height/
草場の影 [くさばのかげ] /(n) under the sod/
草色 [くさいろ] /(n,adj-no) dark green/
草食 [そうしょく] /(n,vs,adj-no) herbivorous/(P)/
草食系男子 [そうしょくけいだんし] /(n) young men who are not competitive as in tradition male stereotypes, including in the avid pursuit of money and sex, and who may also be kind, co-operative and family-oriented/
草食獣 [そうしょくじゅう] /(n) herbivore/
草食性 [そうしょくせい] /(adj-no) herbivorous/graminivorous/
草食男子 [そうしょくだんし] /(n) (1) (abbr) young men who are not competitive as in tradition male stereotypes, including in the avid pursuit of money and sex, and who may also be kind, co-operative and family-oriented/(2) (abbr) (sl) men who pretend they aren't interested in women/spineless males/men with no balls/
草食動物 [そうしょくどうぶつ] /(n) herbivore/
草深い [くさぶかい] /(adj-i) grassy/weedy/
草杉蔓 [くさすぎかずら] /(n) (uk) Chinese asparagus (Asparagus cochinchinensis)/
草摺 [くさずり] /(n) tassets (on a suit of armor, armour)/vegetable dye/
草生す [くさむす] /(v5s) to be grassy/to be verdant/
草石蚕 [ちょうろぎ] /(n) (uk) Chinese artichoke (Stachys sieboldii)/Japanese artichoke/chorogi/
草石蚕 [ちょろぎ] /(n) (uk) Chinese artichoke (Stachys sieboldii)/Japanese artichoke/chorogi/
草蘇鉄 [くさそてつ] /(n) (uk) Ostrich fern/Matteuccia struthiopteris/
草創 [そうそう] /(n,vs) beginning/inauguration/
草創期 [そうそうき] /(n) beginning/outset/
草双紙 [くさぞうし] /(n) picture book/
草叢 [くさむら] /(n) clump of bushes/grassy place/thicket/jungle/the bush/
草相撲 [くさずもう] /(n) amateur sumo wrestling/
草草 [そうそう] /(adj-na,int,n) (1) brevity/rudeness/hurry/(2) Yours Sincerely/
草草不一 [そうそうふいつ] /(n) Sincerely yours (with the nuance of "please excuse the brevity of this letter")/
草卒 [そうそつ] /(adj-na) sudden/hurried/busy/precipitate/abrupt/
草体 [そうたい] /(n) character written in "sousho" style/
草炭 [そうたん] /(n) herbaceous peat/
草団子 [くさだんご] /(n) mugwort-flavored rice dumpling (flavoured)/
草地 [くさち] /(n) meadow/grassland/
草地 [そうち] /(n) meadow/grassland/
草蜘蛛 [くさぐも] /(n) (uk) Agelena limbata (species of araneomorph funnel-web spider)/
草笛 [くさぶえ] /(n) reed pipe/
草堂 [そうどう] /(n) thatched hut/monks cell/(my) humble abode/
草薙の剣 [くさなぎのつるぎ] /(n) Kusanagi no Tsurugi (alternate name for Ama-no-Murakumo no Tsurugi; the sword of the Imperial regalia)/grass-mowing sword/
草薙剣 [くさなぎのつるぎ] /(n) Kusanagi no Tsurugi (alternate name for Ama-no-Murakumo no Tsurugi; the sword of the Imperial regalia)/grass-mowing sword/
草入り水晶 [くさいりすいしょう] /(n) grass-blade patterns in crystal/
草肥 [くさごえ] /(n) compost/
草付 [くさつき] /(n) patch of plants or shrubs (e.g. on a steep rocky surface)/
草付き [くさつき] /(n) patch of plants or shrubs (e.g. on a steep rocky surface)/
草葺 [くさぶき] /(io) (n) thatching/thatch/thatched roof/
草葺き [くさぶき] /(n) thatching/thatch/thatched roof/
草物 [くさもの] /(n) short plants for flower arrangements/
草分け [くさわけ] /(n) pioneer/pathfinder/originator/founder/trailblazer/(P)/
草房 [そうぼう] /(n) (obsc) thatched hut/
草本 [そうほん] /(n,adj-no) herbs/
草本層 [そうほんそう] /(n) herbaceous layer/
草枕 [くさまくら] /(n) (1) overnight stay when traveling (travelling)/(2) sleeping on grass in an open field/
草綿 [わた] /(n) (1) (uk) cotton plant (Gossypium spp.)/(2) batting/wadding/padding/
草木 [くさき] /(n) plants/vegetation/(P)/
草木 [そうもく] /(n) plants/vegetation/(P)/
草木も眠る丑三つ時 [くさきもねむるうしみつとき] /(exp) the dead of night/
草木瓜 [くさぼけ] /(n) (uk) Japanese quince/(Japanese) flowering quince/Maule's quince/Japonica/Chaenomeles japonica/
草餅 [くさもち] /(n) rice-flour dumplings mixed with mugwort/
草野球 [くさやきゅう] /(n) grass-lot baseball/
草葉 [くさば] /(n) blades of grass/
草履 [ぞうり] /(n) zori (Japanese footwear sandals)/(P)/
草履取り [ぞうりとり] /(n) servant in charge of footwear/
草履虫 [ぞうりむし] /(n) paramecium/
草藁 [くさわら] /(n) (arch) grass and straw (as fodder for horses, etc.)/
草毟り [くさむしり] /(n,vs) weeding/weeder/weeding fork/
草箒 [くさぼうき] /(n) broom/
草苺 [くさいちご] /(n) (uk) Rubus hirsutus (species of raspberry)/
草茫々 [くさぼうぼう] /(adj-no) covered with weeds/
草茫茫 [くさぼうぼう] /(adj-no) covered with weeds/
草蜉蝣 [くさかげろう] /(n) (uk) green lacewing (esp. species Chrysopa intima)/
草蜻蛉 [くさかげろう] /(n) (uk) green lacewing (esp. species Chrysopa intima)/
草鞋 [わらじ] /(n) straw sandals/
草鞋を脱ぐ [わらじをぬぐ] /(exp,v5g) to complete one's journey/
草鞋虫 [わらじむし] /(n) wood louse/wood lice/slater/
草餠 [くさもち] /(n) rice-flour dumplings mixed with mugwort/
荘 [しょう] /(n,n-suf) manor/
荘 [そう] /(n,n-suf) manor/
荘 [チャン] /(suf,ctr) counter for games of mahjongg (chi: zhuang)/
荘園 [しょうえん] /(n) manor/demesne/
荘園 [そうえん] /(n) manor/demesne/
荘園制 [しょうえんせい] /(n) manorial system/
荘園制度 [しょうえんせいど] /(n) manorial system/
荘屋 [しょうや] /(n) (ksb:) village headman/
荘官 [しょうかん] /(n) (1) administrator of a manor/(2) village headman (Edo period)/
荘厳 [しょうごん] /(adj-na,n,vs) adorning (a Buddhist statue)/
荘厳 [そうごん] /(adj-na,n) solemnity/gravity/impressiveness/(P)/
荘厳華麗 [そうごんかれい] /(n,adj-na) majestic and splendid/
荘司 [しょうじ] /(n) administrator of a manor/
荘重 [そうちょう] /(adj-na,n) solemn/grave/impressive/
葬の列 [そうのれつ] /(n) funeral procession/
葬り去る [ほうむりさる] /(v5r,vt) to consign to oblivion/
葬る [ほうむる] /(v5r,vt) to bury/to inter/to entomb/to consign to oblivion/to shelve/(P)/
葬儀 [そうぎ] /(n) funeral service/(P)/
葬儀屋 [そうぎや] /(n) funeral parlor (parlour)/funeral home/undertaker's/
葬儀式 [そうぎしき] /(n) funeral ceremony/wake/
葬儀社 [そうぎしゃ] /(n) undertaker's/
葬儀場 [そうぎじょう] /(n) funeral home/
葬具 [そうぐ] /(n) funeral items/
葬祭 [そうさい] /(n) funerals and ceremonial occasions/(P)/
葬式 [そうしき] /(n,adj-no) funeral/(P)/
葬式仏教 [そうしきぶっきょう] /(n) funeral Buddhism/(reliance on) Buddhism only for funerals/
葬送 [そうそう] /(n,vs,adj-no) (1) funeral/burial rites/(2) attendance at a funeral/(P)/
葬送曲 [そうそうきょく] /(n) funeral march/
葬送行進曲 [そうそうこうしんきょく] /(n) funeral journey/funeral march/
葬礼 [そうれい] /(n) funeral/
葬列 [そうれつ] /(n) funeral procession/(P)/
蒼 [あお] /(n) (1) blue/(2) green/(3) (abbr) green light/(4) black (horse coat color)/(pref) (5) immature/unripe/young/
蒼々 [あおあお] /(oK) (adv,adv-to) verdant/fresh and green/bright green/lush/
蒼い [あおい] /(oK) (adj-i) (1) blue/green/(2) pale/(3) unripe/inexperienced/
蒼ざめる [あおざめる] /(v1,vi) to become pale/to turn pale/
蒼鉛 [そうえん] /(n,adj-no) bismuth/
蒼海 [そうかい] /(n) blue waters/
蒼空 [そうくう] /(n) blue sky/
蒼梧 [そうご] /(n) (uk) Chinese parasol-tree (Firmiana simplex)/Chinese bottletree/Japanese varnishtree/phoenix-tree/
蒼紅 [そうこう] /(n,adj-no) blue and red/azure and crimson/
蒼黒い [あおぐろい] /(adj-i) black with hints of blue (as in a bruise)/bluish black/
蒼生 [そうせい] /(n) the masses/people/
蒼然 [そうぜん] /(adj-t,adv-to) blue/bluish/dim/
蒼蒼 [あおあお] /(oK) (adv,adv-to) verdant/fresh and green/bright green/lush/
蒼天 [そうてん] /(n) blue sky/azure sky/
蒼波 [そうは] /(n) (arch) blue wave/blue waves/
蒼蝿 [あおばえ] /(n) (1) (col) bluebottle fly/
蒼蝿 [そうよう] /(ok) (n) (1) (col) bluebottle fly/(2) (arch) (derog) little pest/
蒼白 [そうはく] /(adj-na,n,adj-no) pale/pallid/
蒼白い [あおじろい] /(adj-i) (1) pale/pallid/(2) bluish-white/
蒼白色 [そうはくしょく] /(adj-na) pale/
蒼竜 [そうりゅう] /(n) (1) blue dragon/(2) Azure Dragon (god said to rule over the eastern heavens)/(3) seven mansions (Chinese constellations) of the eastern heavens/(4) large horse with a bluish-leaden coat/(5) shape of an old pine tree/
蒼竜 [そうりょう] /(n) (1) blue dragon/(2) Azure Dragon (god said to rule over the eastern heavens)/(3) seven mansions (Chinese constellations) of the eastern heavens/(4) large horse with a bluish-leaden coat/(5) shape of an old pine tree/
蒼龍 [そうりゅう] /(n) (1) blue dragon/(2) Azure Dragon (god said to rule over the eastern heavens)/(3) seven mansions (Chinese constellations) of the eastern heavens/(4) large horse with a bluish-leaden coat/(5) shape of an old pine tree/
蒼龍 [そうりょう] /(n) (1) blue dragon/(2) Azure Dragon (god said to rule over the eastern heavens)/(3) seven mansions (Chinese constellations) of the eastern heavens/(4) large horse with a bluish-leaden coat/(5) shape of an old pine tree/
蒼浪 [そうろう] /(n) (1) blue waves/blue wave/(2) hair that has lost its shine due to ageing/
蒼惶 [そうこう] /(adj-na,n) hurry/bustle/
蒼惶として [そうこうとして] /(exp) in great haste/
蒼氓 [そうぼう] /(n) the people/the public/citizens/
蒼穹 [そうきゅう] /(n) blue sky/
蒼茫 [そうぼう] /(adj-na,n) dusky/shadowy/
蒼蠅 [あおばえ] /(n) (1) (col) bluebottle fly/
蒼蠅 [そうよう] /(ok) (n) (1) (col) bluebottle fly/(2) (arch) (derog) little pest/
蒼褪める [あおざめる] /(v1,vi) to become pale/to turn pale/
藻 [も] /(n) duckweed/seaweed/algae/(P)/
藻塩 [もしお] /(n) salt from burning seaweed/
藻塩草 [もしおぐさ] /(n) seaweed used in making salt/anthology/
藻菌類 [そうきんるい] /(n) algal fungi/
藻屑 [もくず] /(n) (1) scraps of seaweed/(2) death at sea (metaphor)/
藻屑蟹 [もくずがに] /(n) (uk) Japanese mitten crab (Eriocheir japonica)/
藻場 [もば] /(n) seaweed bed/seaweed forest/
藻掻く [もがく] /(v5k) (1) to struggle/to wriggle/to squirm/(2) to be impatient/(P)/
藻草 [もぐさ] /(n) water-plants/seaweed/algae/
藻抜け [もぬけ] /(n) shed skin of snake, insect, etc. (also place left behind)/
藻抜けの殻 [もぬけのから] /(exp) (uk) completely empty/
藻付 [もずく] /(n) (uk) mozuku (Cladosiphon okamuranus and Sphaerotrichia divaricata, types of edible seaweed)/
藻類 [そうるい] /(n,adj-no) seaweed/algae/(P)/
装 [そう] /(n) (1) clothing/(2) binding (of a book)/
装い [よそおい] /(n) dress/outfit/equipment/makeup/adornment/guise/get-up/(P)/
装う [よそう] /(v5u) (uk) to serve/to dish up/to prepare/
装う [よそおう] /(v5u,vt) (1) to dress/(2) to pretend/to feign/(P)/
装荷 [そうか] /(n) loading/
装画 [そうが] /(n) book-cover design/picture on the cover of a book/
装具 [そうぐ] /(n) equipment/harness/fittings/
装甲 [そうこう] /(n,adj-no) armored/armoured/(P)/
装甲回収車 [そうこうかいしゅうしゃ] /(n) armored recovery vehicle/armoured recovery vehicle/
装甲車 [そうこうしゃ] /(n) armoured vehicle/armored vehicle/
装甲人員運搬車 [そうこうじんいんうんぱんしゃ] /(n) armored personnel carrier/armoured personnel carrier/
装甲部隊 [そうこうぶたい] /(n) armored corps/armoured corps/
装飾 [そうしょく] /(n,vs,adj-no) ornament/(P)/
装飾音 [そうしょくおん] /(n) (musical) grace note/
装飾男子 [そうしょくだんし] /(iK) (n) (1) (abbr) young men who are not competitive as in tradition male stereotypes, including in the avid pursuit of money and sex, and who may also be kind, co-operative and family-oriented/(2) (abbr) (sl) men who pretend they aren't interested in women/spineless males/men with no balls/
装飾的 [そうしょくてき] /(adj-na) decorative/
装飾品 [そうしょくひん] /(n) ornament/decoration/
装身具 [そうしんぐ] /(n) (personal) accessories (ornaments, outfit)/
装束 [しょうぞく] /(n,vs) costume/personal appearance/interior decoration/landscaping/furniture/
装束 [そうずく] /(ok) (n,vs) costume/personal appearance/interior decoration/landscaping/furniture/
装束 [そうぞく] /(ok) (n,vs) costume/personal appearance/interior decoration/landscaping/furniture/
装束能 [しょうぞくのう] /(n) formal noh performed in full costume/
装弾 [そうだん] /(n,vs) loading (a firearm)/
装置 [そうち] /(n,vs) equipment/installation/apparatus/device/(P)/
装置のランプ [そうちのランプ] /(n) (comp) busy indicator/busy lamp/
装置クラス [そうちクラス] /(n) (comp) device class/
装置ドライバ [そうちドライバ] /(n) (comp) device driver/
装置依存の公開文 [そうちいぞんのこうかいぶん] /(n) (comp) device-dependent version of public text/
装置空間 [そうちくうかん] /(n) (comp) device space/
装置座標 [そうちざひょう] /(n) (comp) device coordinate/DC/
装置座標系 [そうちざひょうけい] /(n) (comp) device coordinates/DC/
装置障害 [そうちしょうがい] /(n) (comp) equipment fault/
装置状態バイト [そうちじょうたいバイト] /(n) (comp) DSB/Device Status Byte/
装置制御 [そうちせいぎょ] /(n) (comp) device control character (e.g. DC1)/
装置制御文字 [そうちせいぎょもじ] /(n) (comp) device control character/
装置独立 [そうちどくりつ] /(n) (comp) device-independent/
装置独立性 [そうちどくりつせい] /(n) (comp) device independence/
装置名 [そうちめい] /(n) (comp) device name/
装着 [そうちゃく] /(n,vs) equipping/installing/mounting/laying down/(P)/
装丁 [そうてい] /(n,vs) binding (book)/format/(P)/
装締師 [そうていし] /(n) farrier (person who fits foot irons on horses and cows)/hoof (care) specialist/
装訂 [そうてい] /(n,vs) binding (book)/format/
装蹄 [そうてい] /(n) shoeing a horse/horseshoeing/
装蹄師 [そうていし] /(n) farrier (person who fits foot irons on horses and cows)/hoof (care) specialist/
装釘 [そうてい] /(n,vs) binding (book)/format/
装填 [そうてん] /(n,vs) charge/load/fill/
装備 [そうび] /(n,vs) equipment/(P)/
装薬 [そうやく] /(n,vs) (charging with) gunpowder/
装用 [そうよう] /(n,vs) clothing/
装幀 [そうてい] /(n,vs) binding (book)/format/
走 [そう] /(suf) run/race/
走らせる [はしらせる] /(v1,vt) (1) to dispatch/to make run/(2) to drive/to gallop/to sail/(3) to run (a program)/(4) to rout/to put to flight/
走り [はしり] /(n) the first (harvest, catch) of the season or year/(P)/
走りかける [はしりかける] /(v1) to start running/
走りだす [はしりだす] /(v5s) to begin to run/to start running/
走りまわる [はしりまわる] /(v5r,vi) to run around/
走り屋 [はしりや] /(n) street racer/
走り回る [はしりまわる] /(v5r,vi) to run around/(P)/
走り掛ける [はしりかける] /(v1) to start running/
走り寄る [はしりよる] /(v5r) to run up to/
走り去る [はしりさる] /(v5r) to run away/
走り高跳び [はしりたかとび] /(n) running high jump/(P)/
走り込む [はしりこむ] /(v5m,vi) to run into (a building)/
走り使い [はしりづかい] /(n) errand runner/
走り出す [はしりだす] /(v5s) to begin to run/to start running/(P)/
走り出る [はしりでる] /(v1) to run out (e.g. of the room)/
走り書 [はしりがき] /(io) (n,vs) scribbling/scrawl/hasty writing/
走り書き [はしりがき] /(n,vs) scribbling/scrawl/hasty writing/(P)/
走り続ける [はしりつづける] /(v1) to keep running/
走り読み [はしりよみ] /(n,vs) skimming through/scanning (reading matter)/
走り抜く [はしりぬく] /(v5k) to outrun/to run through to the end/
走り抜ける [はしりぬける] /(v1,vi) to run through/
走り幅跳び [はしりはばとび] /(n) running long jump/(P)/
走る [はしる] /(v5r,vi) (1) to run/(2) to travel (movement of vehicles)/(3) to hurry to/(4) to retreat (from battle)/to take flight/(5) to run away from home/(6) to elope/(7) to tend heavily toward/(P)/
走禽類 [そうきんるい] /(n) cursorial birds/runners/
走狗 [そうく] /(n) hound/hunting dog/running dog/dupe/tool of another person/cat's-paw/
走行 [そうこう] /(n,vs) running a wheeled vehicle (e.g. car)/running to program, job, etc./traveling/travelling/(P)/
走行の流れ [そうこうのながれ] /(n) (comp) job stream/run stream/input stream/
走行可能 [そうこうかのう] /(n) executable/movable/
走行会 [そうこうかい] /(n) track meet (non-competitive driving on a race course)/track day/track event/
走行距離 [そうこうきょり] /(n) distance travelled/mileage/
走行時間 [そうこうじかん] /(n) run time/
走行車線 [そうこうしゃせん] /(n) slow (cruising) lane/
走行性能 [そうこうせいのう] /(n) road holding/roadability/travelling performance/driveability/
走査 [そうさ] /(n,vs) scanning (e.g. TV)/traversal/
走査器 [そうさき] /(n) (comp) scanner/
走査型多光子レーザ顕微鏡 [そうさがたこうしレーザけんびきょう] /(n) multiphoton laser scanning microscope/
走査周波数 [そうさしゅうはすう] /(n) (comp) scanning frequency/
走査状態リスト [そうさじょうたいリスト] /(n) (comp) traversal state list/
走査線 [そうさせん] /(n) scan line (e.g. TV)/
走者 [そうしゃ] /(n) runner/(P)/
走性 [そうせい] /(n) taxis (biology)/
走鳥類 [そうちょうるい] /(n) ratites/
走破 [そうは] /(n,vs) running (cover) the whole distance/
走馬灯 [そうまとう] /(n) revolving lantern/
走馬燈 [そうまとう] /(n) revolving lantern/
走法 [そうほう] /(n) running style/
走野老 [はしりどころ] /(n) (uk) Japanese belladonna (Scopolia japonica)/
走力 [そうりょく] /(n) running ability/
走塁 [そうるい] /(n,vs) base running/(P)/
走路 [そうろ] /(n) race track/course/express trail/
走繞 [そうにょう] /(n) kanji "run" radical at left/
送り [おくり] /(n) (1) seeing off/sending off/(2) funeral/(3) escapement/(P)/
送りがな [おくりがな] /(n) kana written after a kanji to complete the full (usually kun) reading of the word (may inflect)/declensional kana ending/
送りつける [おくりつける] /(v1,vt) to send/
送りレジスタ [おくりレジスタ] /(n) (comp) shift register/
送り引き落し [おくりひきおとし] /(n) rear pull down (sumo)/
送り引き落とし [おくりひきおとし] /(n) rear pull down (sumo)/
送り仮名 [おくりがな] /(n) kana written after a kanji to complete the full (usually kun) reading of the word (may inflect)/declensional kana ending/(P)/
送り火 [おくりび] /(n) ceremonial bonfire (seeing off the spirits on the final night of O-Bon)/
送り掛け [おくりがけ] /(n) rear leg trip (sumo)/
送り迎え [おくりむかえ] /(n,vs) seeing (or dropping) off, then later picking up or going to meet (the same person)/
送り穴 [おくりあな] /(n) perforations (e.g. in film)/
送り犬 [おくりいぬ] /(n) dog apparition/fantastic dog-like creature/
送り孔 [おくりこう] /(n) (comp) feed hole/
送り込み [おくりこみ] /(n) (comp) feed/
送り込む [おくりこむ] /(v5m,vt) to send in/(P)/
送り主 [おくりぬし] /(n) sender (of a present)/
送り手 [おくりて] /(n) sender/
送り出し [おくりだし] /(n) pushing (propelling) (one's opponent) out of the ring from behind (sumo)/(P)/
送り出す [おくりだす] /(v5s,vt) to send out/to forward/to show (a person) out/
送り状 [おくりじょう] /(n) invoice/
送り人 [おくりにん] /(n) sender/remitter/consignor/
送り人 [おくりびと] /(n) person who sees someone else off (e.g. at the airport)/
送り先 [おくりさき] /(n) forwarding address/(P)/
送り側ドライブ [おくりがわドライブ] /(n) (comp) source drive/
送り足 [おくりあし] /(n) step out of the ring while carrying the opponent over the edge, not considered as loss (sumo)/
送り吊り出し [おくりつりだし] /(n) rear lift out (sumo)/
送り点 [おくりてん] /(n) (comp) escapement point/
送り倒し [おくりたおし] /(n) rear push down (sumo)/
送り投げ [おくりなげ] /(n) rear throw down (sumo)/
送り届ける [おくりとどける] /(v1,vt) to send to/to deliver/to escort (a person) home/
送り付ける [おくりつける] /(v1,vt) to send/
送り返す [おくりかえす] /(v5s) to send back/(P)/
送り狼 [おくりおおかみ] /(n) "gentleman" who escorts a woman home, only to make a pass at her/
送る [おくる] /(v5r,vt) (1) to send (a thing)/to dispatch/to despatch/(2) to take or escort (a person somewhere)/to see off (a person)/(3) to bid farewell (to the departed)/to bury/(4) to spend (time)/to live one's life/(5) to pass (down the line)/(6) to affix okurigana/(P)/
送還 [そうかん] /(n,vs) sending home/repatriation/deportation/(P)/
送気管 [そうきかん] /(n) air pipe/
送球 [そうきゅう] /(n,vs) throwing a ball/(P)/
送金 [そうきん] /(n,vs) remittance/sending money/(P)/
送金為替 [そうきんかわせ] /(n) remittance bill/
送金額 [そうきんがく] /(n) amount of remittance/
送金受取人 [そうきんうけとりにん] /(n) remittee/
送金小切手 [そうきんこぎって] /(n) cashier's cheque/cashier's check/demand draft/demand draught/
送迎 [そうげい] /(n,vs) seeing off and meeting on return/(P)/
送迎デッキ [そうげいデッキ] /(n) observation deck (e.g. at an airport)/
送迎車 [そうげいしゃ] /(n) courtesy car (e.g. at an hotel)/
送検 [そうけん] /(n,vs) sending the person accused to the prosecutor/(P)/
送稿 [そうこう] /(n,vs) document transmission/
送辞 [そうじ] /(n) farewell address/
送受 [そうじゅ] /(n,vs) sending and receiving/
送受信 [そうじゅしん] /(n) transceiver (send and receive)/
送受信装置 [そうじゅしんそうち] /(n) (comp) transceiver/
送出 [そうしゅつ] /(n,vs) sending/
送信 [そうしん] /(n,vs) transmission/sending/(P)/
送信ウィンドウ [そうしんウィンドウ] /(n) (comp) transmit window/
送信レート [そうしんレート] /(n) (comp) transmission rate/
送信器 [そうしんき] /(n) (comp) transmitter/
送信機 [そうしんき] /(n) transmitter (device)/
送信者 [そうしんしゃ] /(n) (comp) sender/
送信所 [そうしんじょ] /(n) transmitting station, e.g. for TV/
送信側 [そうしんがわ] /(n) (comp) sending entity/sender/
送信側ＳＰＭ [そうしんがわエスピーエム] /(n) (comp) sending SPM/
送信側ＳＳ利用者 [そうしんがわエスエスりようしゃ] /(n) (comp) sending SS user/
送信側ＴＳ利用者 [そうしんがわティーエスりようしゃ] /(n) (comp) sending TS user/
送信側エンティティ [そうしんがわエンティティ] /(n) (comp) sending entity/sender/
送信側トランスポートエンティティ [そうしんがわトランスポートエンティティ] /(n) (comp) sending transport entity/
送信部 [そうしんぶ] /(n) transmitter/
送信要求 [そうしんようきゅう] /(n) (comp) Request-To-Send/RTS/
送水 [そうすい] /(n,vs) supply of water/
送水管 [そうすいかん] /(n) water pipe/water main/
送籍 [そうせき] /(n,vs) transfer of legal domicile/
送葬 [そうそう] /(n,vs,adj-no) (1) funeral/burial rites/(2) attendance at a funeral/
送像 [そうぞう] /(n,vs) transmission/
送達 [そうたつ] /(n,vs) (1) delivery/dispatch/despatch/conveyance/(2) service of process/
送致 [そうち] /(n,vs) sending/forwarding/
送呈 [そうてい] /(n,vs) sending a book as a present/
送電 [そうでん] /(n,vs) electric supply/(P)/
送電線 [そうでんせん] /(n) power line/
送電網 [そうでんもう] /(n) electricity supply network/transmission network/power grid/
送配 [そうはい] /(n,vs) distribution (e.g. power, water, etc.)/
送付 [そうふ] /(n,vs) sending/forwarding/remitting/(P)/
送付状 [そうふじょう] /(n) cover letter/covering letter/
送付先 [そうふさき] /(n) addressee/
送風 [そうふう] /(n,vs) ventilation/
送風機 [そうふうき] /(n) ventilator/
送風口 [そうふうぐち] /(n) ventilation duct/vent/
送別 [そうべつ] /(n,vs,adj-no) farewell/send-off/(P)/
送別会 [そうべつかい] /(n) farewell party/(P)/
送油管 [そうゆかん] /(n) oil pipeline/
送料 [そうりょう] /(n) postage/carriage/(P)/
送料共 [そうりょうとも] /(n) including postage/
送話 [そうわ] /(n,vs) (telephonic) transmission/
送話器 [そうわき] /(n) (telephone) transmitter/mouthpiece/
遭う [あう] /(v5u,vi) (1) to meet/to encounter/(2) (uk) to have an accident/to have a bad experience/(P)/
遭す [あわす] /(v5s,vt) (1) to make (someone) to meet/to let (someone) meet/(2) to expose to/to subject to/
遭わす [あわす] /(v5s,vt) (1) to make (someone) to meet/to let (someone) meet/(2) to expose to/to subject to/
遭わせる [あわせる] /(v1,vt) (1) to make (someone) to meet/to let (someone) meet/(2) to expose to/to subject to/
遭遇 [そうぐう] /(n,vs) encounter/(P)/
遭遇説 [そうぐうせつ] /(n) tidal hypothesis (of the origin of the solar system)/near-collision hypothesis/
遭遇戦 [そうぐうせん] /(adj-na,n) encounter/engagement/battle/
遭難 [そうなん] /(n,vs) disaster/shipwreck/accident/being stranded/(P)/
遭難者 [そうなんしゃ] /(n) victim/survivor/sufferer/
遭難信号 [そうなんしんごう] /(n) distress signal/SOS/
遭難船 [そうなんせん] /(n) wrecked ship/ship in distress/
鎗 [やり] /(n) (1) (abbr) spear/lance/(2) javelin/(3) lance (shogi piece)/(4) (arch) jeering/
霜 [しも] /(n) frost/(P)/
霜よけ [しもよけ] /(n) covering which protects against frost/
霜を置いた [しもをおいた] /(adj-f) gray/grey/frosted/hoary/
霜囲い [しもがこい] /(n) covering which protects against frost/
霜解け [しもどけ] /(n) thaw/thawing/
霜害 [そうがい] /(n) frost damage/
霜月 [しもつき] /(n) (obs) eleventh month of the lunar calendar/
霜月 [そうげつ] /(n) (obs) eleventh month of the lunar calendar/
霜枯れ [しもがれ] /(n) nipped by frost/bleak/
霜枯れる [しもがれる] /(v1,vi) to be withered or nipped by frost/
霜枯れ時 [しもがれどき] /(n) winter (season)/slack or off season/
霜降 [しもふり] /(n,vs) (1) speckled with white/salt and pepper (colour, color)/(2) (of fabric) created by intertwining white and coloured fibres/(3) (of beef) marbling/(4) (abbr) (of fish, chicken, shellfish, etc.) blanching by exposure to boiling and then icy water/
霜降 [そうこう] /(n) "frost descent" solar term (approx. Oct. 23)/
霜降り [しもふり] /(n,vs) (1) speckled with white/salt and pepper (colour, color)/(2) (of fabric) created by intertwining white and coloured fibres/(3) (of beef) marbling/(4) (abbr) (of fish, chicken, shellfish, etc.) blanching by exposure to boiling and then icy water/(P)/
霜降り月 [しもふりづき] /(n) eleventh lunar month/
霜降り作り [しもふりづくり] /(n) (obsc) fish, chicken, shellfish, etc. blanched by exposure to boiling and then icy water/
霜降月 [しもふりづき] /(n) eleventh lunar month/
霜除け [しもよけ] /(n) covering which protects against frost/
霜焼 [しもやけ] /(n) frostbite/chilblains/
霜焼け [しもやけ] /(n) frostbite/chilblains/
霜雪 [そうせつ] /(n) frost and snow/
霜柱 [しもばしら] /(n) frost columns/ice needles/
霜雰 [そうふん] /(n) frosty air/
霜夜 [しもよ] /(n) frosty night/
騒々しい [そうぞうしい] /(adj-i) noisy/boisterous/(P)/
騒がしい [さわがしい] /(adj-i) noisy/(P)/
騒がす [さわがす] /(v5s,vt) to annoy/to cause trouble/
騒がせる [さわがせる] /(v1) to disturb/to alarm/to agitate/to cause anxiety (to)/to trouble/
騒がれる [さわがれる] /(v1) to be made much of/to be lionized/to be sought after/
騒ぎ [さわぎ] /(n,n-suf) uproar/disturbance/(P)/
騒ぎたてる [さわぎたてる] /(v1,vi) to make a fuss (outcry, uproar)/
騒ぎ立てる [さわぎたてる] /(v1,vi) to make a fuss (outcry, uproar)/
騒ぐ [さわぐ] /(v5g,vi) (1) to make noise/to make racket/to be noisy/(2) to rustle/to swoosh/(3) to make merry/(4) to clamor/to clamour/to make a fuss/to kick up a fuss/(5) to lose one's cool/to panic/to act flustered/(6) to feel tense/to be uneasy/to be excited/(P)/
騒めき [ざわめき] /(n) (uk) stir/commotion/noise/
騒めく [ざわめく] /(v5k,vi) (uk) to be noisy/to be astir/to rustle/to murmur/(P)/
騒音 [そうおん] /(n) noise/(P)/
騒音レベル [そうおんレベル] /(n) noise level/
騒音公害 [そうおんこうがい] /(n,adj-no) noise pollution/
騒音防止法 [そうおんぼうしほう] /(n) Noise Abatement Act/
騒擾 [そうじょう] /(n,vs) riot/disturbance/
騒擾罪 [そうじょうざい] /(n) (the crime of) rioting/
騒人 [そうじん] /(n) poet/
騒然 [そうぜん] /(adj-t,adv-to) noisy/confused/uproarious/(P)/
騒騒しい [そうぞうしい] /(adj-i) noisy/boisterous/
騒動 [そうどう] /(n,vs) strife/riot/rebellion/turmoil/(P)/
騒乱 [そうらん] /(n,adj-no) disturbance/riot/mayhem/(P)/
騒乱罪 [そうらんざい] /(n) crime of rioting/
騒乱状態 [そうらんじょうたい] /(n) state of rebellion/
騒霊 [そうれい] /(n) poltergeist/
像 [ぞう] /(n,n-suf) statue/image/figure/picture/portrait/(P)/
像主 [ぞうしゅ] /(n) (1) (obsc) subject (of a portrait or bust)/a person posing for a portrait or bust/(2) (historically) patron/someone who commissions a Buddhist temple or work of art/
増 [ぞう] /(n) increase/
増えても減っても [ふえてもへっても] /(exp) more or less/
増える [ふえる] /(v1,vi) to increase/to multiply/(P)/
増え続ける [ふえつづける] /(v1) to continue to increase/to continue to mount/
増さる [まさる] /(v5r,vi) to increase/to grow/
増し [まし] /(adj-na) (1) better/less objectionable/preferable/(n-suf) (2) more/increase/extra/(n) (3) (arch) increase/growth/(P)/
増し刷り [ましずり] /(n,vs) reprinting/additional printing/
増し締め [ましじめ] /(n) (1) retorquing/(vs) (2) to retorque/
増す [ます] /(v5s,vi,vt) to increase/to grow/(P)/
増す増す [ますます] /(adv) (uk) increasingly/more and more/decreasingly/less and less/
増やし [ふやし] /(n) increase/
増やす [ふやす] /(v5s,vt) to increase/to add to/to augment/(P)/
増員 [ぞういん] /(n,vs) increase the number of personnel/(P)/
増益 [ぞうえき] /(n,vs) increased (profit)/(P)/
増援 [ぞうえん] /(n,vs) reinforcement/
増加 [ぞうか] /(n,vs) increase/increment/addition/(P)/
増加分 [ぞうかぶん] /(n) increment/
増加率 [ぞうかりつ] /(n) rate of increase/
増解結 [ぞうかいけつ] /(n,vs) adding or removing rolling stock to a train that is in service/
増改築 [ぞうかいちく] /(n) extension and structural alteration of building/
増額 [ぞうがく] /(n,vs) increased amount/(P)/
増刊 [ぞうかん] /(n,vs) special edition/
増刊号 [ぞうかんごう] /(n) special issue/
増感 [ぞうかん] /(n) sensitization/hypersensitization/
増給 [ぞうきゅう] /(n,vs) salary increase/
増強 [ぞうきょう] /(n,vs) augment/reinforce/increase/(P)/
増結 [ぞうけつ] /(n,vs) adding train cars/
増血 [ぞうけつ] /(n,vs) increase of blood/
増血剤 [ぞうけつざい] /(n) blood-forming medicine/hematopoietics/
増減 [ぞうげん] /(n,vs) increase and decrease/fluctuation/(P)/
増作 [ぞうさく] /(n,vs) good crop/increased yield/
増刷 [ぞうさつ] /(n,vs) additional printing/(P)/
増産 [ぞうさん] /(n,vs) production increase/(P)/
増資 [ぞうし] /(n,vs) increase of capital/(P)/
増資権利落ち [ぞうしけんりおち] /(n) ex-rights (stock)/
増収 [ぞうしゅう] /(n,vs) increase in yield/(P)/
増収増益 [ぞうしゅうぞうえき] /(n) increase in income and profit/
増床 [ぞうしょう] /(n) expansion (in space) of a sales area/increase in the number of beds (in a hospital, etc.)/
増殖 [ぞうしょく] /(n,vs,adj-no) increase/multiplication/propagation/(P)/
増殖性 [ぞうしょくせい] /(adj-f) proliferative/productive/proliferating/multiplicative/
増殖炉 [ぞうしょくろ] /(n) breeder reactor/
増進 [ぞうしん] /(n,vs) promoting/increase/advance/(P)/
増水 [ぞうすい] /(n,vs) increased water/high water/(P)/
増勢 [ぞうせい] /(n) increasing trend/
増税 [ぞうぜい] /(n,vs) tax increase/(P)/
増税案 [ぞうぜいあん] /(n) tax increase proposal/
増設 [ぞうせつ] /(n,vs,adj-no) extension/expansion/(P)/
増設メモリ [ぞうせつメモリ] /(n) (comp) additional memory/
増設率 [ぞうせつりつ] /(n) expansion rate/growth rate/
増大 [ぞうだい] /(n,vs) enlargement/increase/(P)/
増大号 [ぞうだいごう] /(n) an enlarged issue/
増置 [ぞうち] /(n,vs) establishment of more (offices)/
増築 [ぞうちく] /(n,vs) addition to a building/
増徴 [ぞうちょう] /(n,vs) collection of additional taxes/
増長 [ぞうちょう] /(n,vs) growing impudent/becoming arrogant/
増長天 [ぞうじょうてん] /(n) (Buddh) Virudhaka (Buddhist deity)/
増長天 [ぞうちょうてん] /(n) (Buddh) Virudhaka (Buddhist deity)/
増長天狗 [ぞうちょうてんぐ] /(n) (obsc) braggart/boaster/self-conceited person/
増訂 [ぞうてい] /(n,vs) new and revised (edition)/
増訂版 [ぞうていばん] /(n) enlarged and revised edition/
増粘剤 [ぞうねんざい] /(n) thickener/
増派 [ぞうは] /(n,vs) reinforcements/
増配 [ぞうはい] /(n,vs) increased ration/increased dividend/
増発 [ぞうはつ] /(n,vs) increase the number of trains in operation/increase bond issues/(P)/
増幅 [ぞうふく] /(n,vs) amplification (elec.)/
増幅器 [ぞうふくき] /(n) amplifier/
増分 [ぞうぶん] /(n) incremental/
増分ベクトル [ぞうぶんベクトル] /(n) (comp) incremental vector/
増分割り当て [ぞうぶんわりあて] /(n) (comp) secondary space allocation/
増分座標 [ぞうぶんざひょう] /(n) (comp) incremental coordinate/
増分量 [ぞうぶんりょう] /(n) (comp) increment size/
増兵 [ぞうへい] /(n,vs) military reinforcement/
増便 [ぞうびん] /(n,vs) increase in the number of flights/
増補 [ぞうほ] /(n,vs) enlarging a book/
増補改訂 [ぞうほかいてい] /(n) revising (and supplementing)/
増補改訂版 [ぞうほかいていばん] /(n) enlarged and revised edition/
増俸 [ぞうほう] /(n,vs) salary increase/raise/
増量 [ぞうりょう] /(n,vs) increased volume or quantity/
憎々しい [にくにくしい] /(adj-i) hateful/detestable/loathsome/
憎い [にくい] /(adj-i) (1) hateful/abominable/poor-looking/detestable/(2) amazing/fantastic/admirable/lovely/wonderful/(P)/
憎さ [にくさ] /(n) hatefulness/hatred/
憎しみ [にくしみ] /(n) hatred/(P)/
憎たらしい [にくたらしい] /(adj-i) (1) odious/hateful/(2) (speaking ironically) darling/
憎たらしい [にくったらしい] /(adj-i) (1) odious/hateful/(2) (speaking ironically) darling/
憎まれっ子 [にくまれっこ] /(n) bad boy/
憎まれっ子世に憚る [にくまれっこよにはばかる] /(exp) (id) Ill weeds grow apace/
憎まれ口 [にくまれぐち] /(n) abusive language/
憎まれ役 [にくまれやく] /(n) thankless role/ungracious part/
憎み合い [にくみあい] /(n) mutual hatred/
憎み合う [にくみあう] /(v5u) to (mutually) hate/to hate each other/
憎む [にくむ] /(v5m,vt) to hate/to detest/(P)/
憎らしい [にくらしい] /(adj-i) odious/hateful/(P)/
憎悪 [ぞうお] /(n,vs) hatred/(P)/
憎悪の籠もった目 [ぞうおのこもっため] /(n) eyes fraught with hatred/
憎悪犯罪 [ぞうおはんざい] /(n) hate crime/
憎気 [にくげ] /(n) hateful/spiteful/
憎憎しい [にくにくしい] /(adj-i) hateful/detestable/loathsome/
臓 [ぞう] /(n) viscera/bowels/(P)/
臓器 [ぞうき] /(n,adj-no) viscera/internal organs/(P)/
臓器クローニング [ぞうきクローニング] /(n) organ cloning/
臓器移植 [ぞうきいしょく] /(n) organ transplant/
臓器提供 [ぞうきていきょう] /(n) organ donation/
臓器提供者 [ぞうきていきょうしゃ] /(n) organ donor/
臓物 [ぞうもつ] /(n) entrails/giblets/
臓腑 [ぞうふ] /(n) entrails/
蔵 [くら] /(n) warehouse/cellar/magazine/granary/godown/depository/treasury/elevator/(P)/
蔵 [ぞう] /(n,n-suf) possession/ownership/
蔵う [しまう] /(v5u,vt) (uk) to finish/to close/to do something completely/to put away/to put an end to/
蔵する [ぞうする] /(vs-s) to store/to contain/
蔵づくり [くらづくり] /(n) (1) warehouse style/house built like a kura, with the walls covered in mud/(n,vs) (2) building a kura storehouse/someone who builds kura storehouses/
蔵屋敷 [くらやしき] /(n) daimyo's city storehouse/
蔵開き [くらびらき] /(n,vs) first opening of warehouse after New Year/
蔵元 [くらもと] /(n) sake brewer/warehouse overseer/
蔵骨器 [ぞうこつき] /(n) funerary urn/cinerary urn/
蔵出し [くらだし] /(n,vs) releasing stored goods/delivery (of goods from a storehouse)/
蔵書 [ぞうしょ] /(n,vs) book collection/library/(P)/
蔵書印 [ぞうしょいん] /(n) ownership mark or stamp/bookplate/
蔵書家 [ぞうしょか] /(n) book collector/
蔵書票 [ぞうしょひょう] /(n) bookplate/ex libris/
蔵人 [くらびと] /(n) (1) keeper of imperial archives/(2) worker at a sake brewery/
蔵人 [くらんど] /(n) (1) keeper of imperial archives/(2) worker at a sake brewery/
蔵人 [くろうど] /(n) (1) keeper of imperial archives/(2) worker at a sake brewery/
蔵相 [ぞうしょう] /(n) Minister of Finance/(P)/
蔵造り [くらづくり] /(n) (1) warehouse style/house built like a kura, with the walls covered in mud/(n,vs) (2) building a kura storehouse/someone who builds kura storehouses/
蔵匿 [ぞうとく] /(n,vs) (obsc) concealment/shelter/harboring/harbouring/
蔵入れ [くらいれ] /(n,vs) storing in a warehouse/
蔵版 [ぞうはん] /(n) copyright/
蔵払い [くらばらい] /(n,vs) clearance/
蔵米 [くらまい] /(n) stored rice/
蔵本 [ぞうほん] /(n) one's library/
蔵面 [ぞうめん] /(n) rectangular bugaku mask made of thick paper and white silk with facial features drawn on it/
蔵浚 [くらざらえ] /(n,vs) clearance sale/
贈り号 [おくりごう] /(n) posthumous Buddhist name/
贈り主 [おくりぬし] /(n) sender (of a present)/(P)/
贈り物 [おくりもの] /(n) present/gift/(P)/
贈り名 [おくりな] /(n) posthumous name/
贈る [おくる] /(v5r,vt) to send/to give to/to award to/to confer on/(P)/
贈位 [ぞうい] /(n,vs) conferral of a posthumous rank/
贈号 [ぞうごう] /(n,vs) posthumous name/
贈収賄 [ぞうしゅうわい] /(n) bribery/corruption/(P)/
贈呈 [ぞうてい] /(n,vs,adj-no) presentation (e.g. of a gift, etc.)/(P)/
贈呈式 [ぞうていしき] /(n) presentation ceremony/
贈呈者 [ぞうていしゃ] /(n) donor/presentator/
贈呈品 [ぞうていひん] /(n) present/gift/
贈呈本 [ぞうていぼん] /(n) complimentary copy (of a book)/
贈答 [ぞうとう] /(n,vs) exchange of presents/(P)/
贈答品 [ぞうとうひん] /(n) gift/present/
贈物 [おくりもの] /(n) present/gift/(P)/
贈与 [ぞうよ] /(n,vs) donation/presentation/(P)/
贈与者 [ぞうよしゃ] /(n) donor/
贈与証書 [ぞうよしょうしょ] /(n) testimonial/presentation certificate/
贈与税 [ぞうよぜい] /(n) gift tax/donation tax/
贈賄 [ぞうわい] /(n,vs) bribery/corruption/graft/(P)/
贈賄罪 [ぞうわいざい] /(n) crime of bribery/
造り [つくり] /(n) make-up/structure/physique/(P)/
造り [づくり] /(suf) (1) making/forming/cultivating/growing/(2) form/appearance/
造りつける [つくりつける] /(v1) to build in/
造り花 [つくりばな] /(n) artificial flower/
造り手 [つくりて] /(n) maker/builder/creator/tenant farmer/
造り酒屋 [つくりざかや] /(n) sake brewer/sake brewery/
造り出す [つくりだす] /(v5s,vt) (1) to manufacture/to produce/to raise (crops)/(2) to invent/to dream up/
造り上げる [つくりあげる] /(v1,vt) to make up/to fabricate/to build up/to complete/to construct/
造り付け [つくりつけ] /(n) fixed/built-in/fixture/
造り付ける [つくりつける] /(v1) to build in/
造り物 [つくりもの] /(n) artificial product/decoration/fake/crop/
造る [つくる] /(v5r,vt) (1) to make/to produce/to manufacture/to build/to construct/(2) to prepare (food)/to brew (alcohol)/(3) to raise/to grow/to cultivate/to train/(4) to till/(5) to draw up (a document)/to make out/to prepare/to write/(6) to create (an artistic work, etc.)/to compose/(7) to coin (a phrase)/to organize/to organise/to establish/to found/(8) to have (a child)/(9) to make up (one's face, etc.)/(10) to fabricate (an excuse, etc.)/(11) to form (a line, etc.)/(12) to set (a record)/(13) to commit (a sin, etc.)/(P)/
造営 [ぞうえい] /(n,vs) building/construction/
造営費 [ぞうえいひ] /(n) construction costs/
造営物 [ぞうえいぶつ] /(n) buildings/
造影剤 [ぞうえいざい] /(n) (medical) contrast media/
造園 [ぞうえん] /(n) landscape gardening/
造園術 [ぞうえんじゅつ] /(n) art of landscape gardening/
造化 [ぞうか] /(n) creation/nature/the Universe/
造化の三神 [ぞうかのさんしん] /(n) the three creator gods (Amanominakanushi no Kami, Takamimusuhi no Kami & Kamimusuhi no Kami)/
造化の三神 [ぞうかのさんじん] /(n) the three creator gods (Amanominakanushi no Kami, Takamimusuhi no Kami & Kamimusuhi no Kami)/
造化の妙 [ぞうかのみょう] /(n) the mystery of creation/
造花 [ぞうか] /(n) artificial flowers/artificial flower making/
造機 [ぞうき] /(n) engine construction/
造型 [ぞうけい] /(n,vs) molding/moulding/modelling (i.e. plastic arts)/modeling/
造形 [ぞうけい] /(n,vs) molding/moulding/modelling (i.e. plastic arts)/modeling/(P)/
造形教育 [ぞうけいきょういく] /(n) education in art and design/education in drawing and manual arts/
造形美術 [ぞうけいびじゅつ] /(n) the plastic arts/
造形物 [ぞうけいぶつ] /(n) moulded objects/sculpted objects/modeled objects/formed objects/
造詣 [ぞうけい] /(n) deep knowledge/attainments/scholarship/
造詣の奥深さ [ぞうけいのおくぶかさ] /(n) deep knowledge/
造詣深い [ぞうけいふかい] /(adj-i) scholarly/learned/
造詣深い [ぞうけいぶかい] /(adj-i) scholarly/learned/
造血 [ぞうけつ] /(n,vs,adj-no) blood formation/blood making/hemopoiesis (haemopoiesis)/hematosis (haematosis)/hematopoiesis (haematopoiesis)/
造血幹細胞 [ぞうけつかんさいぼう] /(n) hematopoietic stem cell (haematopoietic)/hemopoietic stem cell (haemopoietic)/
造血剤 [ぞうけつざい] /(n) blood-producing medicine/
造言 [ぞうげん] /(n) false report/lie/
造言飛語 [ぞうげんひご] /(n) wild rumor/wild rumour/
造語 [ぞうご] /(n,vs) coined word/(P)/
造語成分 [ぞうごせいぶん] /(n) constituents of compound word/
造作 [ぞうさ] /(n,vs) trouble/difficulty/
造作 [ぞうさく] /(n,vs) (1) building (esp. a house)/(n) (2) house fixture/fitting/(3) facial features/
造作ない [ぞうさない] /(adj-i) no trouble/easy/
造作なく [ぞうさなく] /(adv) without difficulty/
造作もない [ぞうさもない] /(adj-i) no trouble/easy/
造作もなく [ぞうさもなく] /(adv) without difficulty/easily/
造作も無い [ぞうさもない] /(adj-i) no trouble/easy/
造作も無く [ぞうさもなく] /(adv) without difficulty/easily/
造作無い [ぞうさない] /(adj-i) no trouble/easy/
造作無く [ぞうさなく] /(adv) without difficulty/
造山運動 [ぞうざんうんどう] /(n) mountain-making movements/
造次 [ぞうじ] /(n) very short time/moment/
造次顛沛 [ぞうじてんぱい] /(n) (a) moment/
造酒 [ぞうしゅ] /(n,vs) sake brewing/
造酒屋 [つくりざかや] /(n) sake brewer/sake brewery/
造成 [ぞうせい] /(n,vs) creation/clearing/reclamation/(P)/
造石高 [ぞうこくだか] /(n) brew/brewing/
造石税 [ぞうこくぜい] /(n) brewing tax/
造船 [ぞうせん] /(n,vs) shipbuilding/(P)/
造船業 [ぞうせんぎょう] /(n) shipbuilding industry/
造船所 [ぞうせんしょ] /(n) shipyard/dock yard/shipbuilding yard/
造船所 [ぞうせんじょ] /(n) shipyard/dock yard/shipbuilding yard/
造像 [ぞうぞう] /(n,vs) (obsc) creating a statue (esp. a Buddhist statue)/
造像記 [ぞうぞうき] /(n) record of information about a Buddhist statue (usu. an inconspicuous inscription on the statue)/
造反 [ぞうはん] /(n,vs) rebellion/(P)/
造反有理 [ぞうはんゆうり] /(n) There are no rebels without reasons/
造仏 [ぞうぶつ] /(n) making Buddhist images, implements, etc./
造仏所 [ぞうぶつしょ] /(n) government-run workshop of Buddhist sculptors (during the Nara period)/
造物主 [ぞうぶつしゅ] /(n) the Creator/Maker/
造物所 [つくもどころ] /(n) palace workshop responsible for making furnishings, etc. (Heian period)/
造兵 [ぞうへい] /(n) manufacture of arms/
造兵廠 [ぞうへいしょう] /(n) armory/armoury/arms factory/arsenal/
造幣 [ぞうへい] /(n) coinage/mintage/
造幣局 [ぞうへいきょく] /(n) mint bureau/mint/(P)/
造胞体 [ぞうほうたい] /(n) (obsc) sporophyte/
造本 [ぞうほん] /(n) bookbinding or bookmaking/
造本技術 [ぞうほんぎじゅつ] /(n) art of bookbinding or bookmaking/
造面 [ぞうめん] /(n) rectangular bugaku mask made of thick paper and white silk with facial features drawn on it/
造林 [ぞうりん] /(n,vs) (re)forestation/
造林学 [ぞうりんがく] /(n) forestry/
促す [うながす] /(v5s,vt) to urge/to press/to prompt/to suggest/to demand/to stimulate/to quicken/to incite/to invite (attention to)/(P)/
促音 [そくおん] /(n) assimilated sound (small "tsu" in Japanese)/geminate consonant/
促音便 [そくおんびん] /(n) (ling) nasal sound change (generation of geminate consonant, primarily a geminate 't' from vowel stems ending in 'i')/
促進 [そくしん] /(n,vs,adj-no) promotion/acceleration/encouragement/facilitation/spurring on/(P)/
促進剤 [そくしんざい] /(n) accelerant/stimulant/
促成 [そくせい] /(n,vs) promotion of growth/(P)/
促成栽培 [そくせいさいばい] /(n,vs) raising out-of-season crops with artificial heat/
促成栽培の野菜 [そくせいさいばいのやさい] /(n) forced vegetables/
促迫 [そくはく] /(n,vs) growing urgent/becoming distressful/
側 [かたわら] /(adj-no,n-adv,n-t) (1) side/edge/beside/besides/nearby/(n-adv) (2) while (doing)/
側 [かわ] /(n,suf) (1) side (of something, or taking someone's side)/part/(2) (watch) case/
側 [がわ] /(n,suf) (1) side (of something, or taking someone's side)/part/(2) (watch) case/(P)/
側 [そく] /(n) (1) near/close/beside/vicinity/proximity/besides/while/
側 [そば] /(n) (1) near/close/beside/vicinity/proximity/besides/while/(P)/
側 [はた] /(n) (1) near/close/beside/vicinity/proximity/besides/while/(2) third person/
側 [わき] /(n) (1) side/aside/(2) armpit/(3) back-burner/
側か [ほのか] /(adj-na,n) faint/indistinct/stupid/few/
側から [そばから] /(n) (uk) as soon as/right after/
側の者 [がわのもの] /(n) (one's) peers/people around one/
側む [そばむ] /(v5m,vi) to lean to one side/to oppose/to look aside/to regret/
側める [そばめる] /(v1,vt) to shove to one side/to look at out of the corner of one's eyes/
側ら [かたわら] /(io) (adj-no,n-adv,n-t) (1) side/edge/beside/besides/nearby/(n-adv) (2) while (doing)/
側圧 [そくあつ] /(n) lateral pressure/
側泳 [そばえい] /(n) side stroke/
側火山 [そっかざん] /(n) parasite volcano/
側臥 [そくが] /(n,vs) lying down on one's side/
側芽 [そくが] /(n) lateral bud/
側近 [そっきん] /(n) close associate/close aide/brains-truster/(P)/
側近く [そばちかく] /(n) nearby/
側近者 [そっきんしゃ] /(n) close associate/
側近政治 [そっきんせいじ] /(n) administration by close advisers/kitchen cabinet/
側系統 [そくけいとう] /(n,adj-no) paraphyletic/
側溝 [そっこう] /(n) gutter/ditch/
側根 [そっこん] /(n) lateral root/
側鎖 [そくさ] /(n) chemical side chain/
側座核 [そくざかく] /(n) nucleus accumbens (part of the forebrain)/
側妻 [そばめ] /(n) mistress/kept woman/concubine/
側仕え [そばづかえ] /(n) personal attendant/valet/maid/
側室 [そくしつ] /(n) concubine (of a noble)/
側射 [そくしゃ] /(n) flanking fire/
側車 [そくしゃ] /(n) side car/
側女 [そばめ] /(n) mistress/kept woman/concubine/
側女房 [そばにょうぼう] /(n) (arch) (obsc) mistress/concubine/
側杖 [そばづえ] /(n) blow received by a bystander/getting dragged in to somebody else's fight/
側生動物 [そくせいどうぶつ] /(n) parazoan (member of an ancestral subkingdom of animals whose only surviving members are the sponges)/
側線 [そくせん] /(n) (1) sidetrack/siding/(2) lateral line (of a fish)/
側転 [そくてん] /(n) cartwheel/
側頭骨 [そくとうこつ] /(n) temporal bone (of the skull)/
側頭葉 [そくとうよう] /(n) temporal lobe/
側背 [そくはい] /(n,adj-no) flank/
側部 [そくぶ] /(n) the side/
側聞 [そくぶん] /(n,vs) casually hearing/hearing casually/
側壁 [そくへき] /(n,adj-no) side wall/
側辺 [そくへん] /(n) corner/
側面 [そくめん] /(n) side/flank/sidelight/lateral/(P)/
側面観 [そくめんかん] /(n) side view/
側面図 [そくめんず] /(n) side view/
側役 [そばやく] /(n) personal attendant/
側路 [そくろ] /(n) access lanes (e.g. on a freeway)/service road/bypass/
側廊 [そくろう] /(n) aisle (of a church)/
側湾症 [そくわんしょう] /(n) scoliosis/
側彎症 [そくわんしょう] /(n) scoliosis/
則する [そくする] /(vs-s,vi) to conform to/to agree with/to be adapted to/to be based on/
則ち [すなわち] /(adv,conj) (uk) that is/namely/i.e./
則る [のっとる] /(v5r,vi) to conform to/to be in accordance with/to follow (rule, tradition, example, etc.)/
則天去私 [そくてんきょし] /(n) selfless devotion to justice/
即 [そく] /(adv) (1) instantly/immediately/at once/(int) (2) that is (to say)/namely/
即かず離れず [つかずはなれず] /(exp,adv) maintaining a reasonable distance/neutral position/indecision/
即かず離れずの態度 [つかずはなれずのたいど] /(n) neutral attitude/
即く [つく] /(v5k) (1) to ascend (the throne)/to accede/
即ける [つける] /(v1,vt) (1) to install (a king, emperor, etc.)/
即す [そくす] /(v5s,vi) to conform to/to agree with/to be adapted to/to be based on/
即する [そくする] /(vs-s,vi) to conform to/to agree with/to be adapted to/to be based on/(P)/
即ち [すなわち] /(adv,conj) (uk) that is/namely/i.e./(P)/
即ギレ [そくギレ] /(n,vs) (sl) instantly exploding into a rage/sudden outburst/
即レス [そくレス] /(n) (abbr) (sl) replying to someone's email immediately/
即位 [そくい] /(n,vs) enthronement/(P)/
即位式 [そくいしき] /(n) enthronement ceremony/coronation/
即応 [そくおう] /(n,vs) compliance/conformance/adaptation/
即応部隊 [そくおうぶたい] /(n) rapid reaction force/
即乾 [そっかん] /(adj-f) quick drying/
即急 [そっきゅう] /(adj-na) immediate/quick/sudden/
即興 [そっきょう] /(n,adj-no) improvisation/improvization/impromptu/off the cuff/without a score/(P)/
即興曲 [そっきょうきょく] /(n) impromptu (musical)/
即興詩 [そっきょうし] /(n) improvised poem/
即興詩人 [そっきょうしじん] /(n) improviser/
即金 [そっきん] /(n,adj-no) payment in full/outright purchase/
即金取引 [そっきんとりひき] /(n,vs) cash (spot) transaction/
即吟 [そくぎん] /(n,vs) improvisation (of a poem)/improvization/
即決 [そっけつ] /(n,vs) prompt decision/summary judgment/summary judgement/
即決裁判 [そっけつさいばん] /(n) summary trial/
即決即断 [そっけつそくだん] /(n,vs) prompt decision and prompt execution/make swift decisions and take quick actions/
即功 [そっこう] /(n) immediate effect/instant effect/
即効 [そっこう] /(n) immediate effect/instant effect/(P)/
即効薬 [そっこうやく] /(n) quick-acting remedy/fast-acting medicine/
即行 [そっこう] /(n,vs) immediately carrying out (a plan)/
即刻 [そっこく] /(n-adv) immediately/at once/instantly/(P)/
即今 [そっこん] /(n) at the moment/
即座 [そくざ] /(n,adj-no) immediate/right there on the spot/impromptu/(P)/
即座に [そくざに] /(adv) immediately/right away/on the spot/(P)/
即死 [そくし] /(n,vs,adj-no) instant death/(P)/
即死亡 [そくしぼう] /(n) instant death/
即時 [そくじ] /(adj-no) prompt/immediate/in real time/(P)/
即時抗告 [そくじこうこく] /(n) immediate kokoku appeal/
即時性 [そくじせい] /(n) promptness/timeliness/
即時停戦 [そくじていせん] /(n) immediate cease-fire/
即時払い [そくじばらい] /(n) spot payment/
即自 [そくじ] /(n) thing in itself (philosophy)/
即身成仏 [そくしんじょうぶつ] /(n,vs) attainment of Buddhahood during life/
即身仏 [そくしんぶつ] /(n) monks who practise austerity to the point of death and mummification/
即製 [そくせい] /(n,vs) quick or instant (food)/
即席 [そくせき] /(n,adj-no) extempore/impromptu/improvised/ad-lib/off-the-cuff/instant/(P)/
即席ラーメン [そくせきラーメン] /(n) instant noodles/instant ramen/
即席料理 [そくせきりょうり] /(n,adj-no) quickly prepared meal or dish/
即切れ [そくぎれ] /(n,vs) (sl) instantly exploding into a rage/sudden outburst/
即接続 [そくせつぞく] /(n) (comp) immediate connection/direct connection/
即題 [そくだい] /(n) subjects for improvisation/subjects for improvization/
即諾 [そくだく] /(n,vs) ready consent/
即断 [そくだん] /(n,vs) prompt decision/snap judgement/snap judgment/
即断即決 [そくだんそっけつ] /(n) making a swift decision/making immediate decisions and taking quick actions/
即値 [そくち] /(n) immediate/
即値アドレス [そくちアドレス] /(n) (comp) immediate address/
即値データ [そくちデータ] /(n) (comp) immediate data/
即値命令 [そくちめいれい] /(n) (comp) immediate instruction/
即答 [そくとう] /(n,vs) immediate reply/
即日 [そくじつ] /(n-adv,n-t) same day/(P)/
即日開票 [そくじつかいひょう] /(n) same-day counting of ballots/
即日出荷 [そくじつしゅっか] /(n) same day shipping/
即日速達 [そくじつそくたつ] /(n) same-day special delivery/
即納 [そくのう] /(n,vs,adj-no) prompt payment or delivery/
即売 [そくばい] /(n,vs) sale on the spot/(P)/
即売会 [そくばいかい] /(n) display and sale of new products/
即発中性子 [そくはつちゅうせいし] /(n) prompt neutron/
即物的 [そくぶつてき] /(adj-na,n) practical/matter-of-fact/realistic/utilitarian/pragmatic/
即返事 [そくへんじ] /(n) prompt reply/
即返信 [そくへんしん] /(n) prompt reply/
即妙 [そくみょう] /(adj-na,n) ready wit/
即夜 [そくや] /(adv,n) on the same night/
息 [いき] /(n) (1) breath/breathing/(2) tone/mood/(P)/
息 [おき] /(ok) (n) (1) breath/breathing/(2) tone/mood/
息 [そく] /(ok) (n) (1) (hum) son/
息 [むすこ] /(n) (1) (hum) son/(2) (col) penis/
息がかかる [いきがかかる] /(exp,v5r) to have the personal support of (an influential person)/to be under the patronage of/
息が掛かる [いきがかかる] /(exp,v5r) to have the personal support of (an influential person)/to be under the patronage of/
息が詰まる [いきがつまる] /(exp,v5r) to choke/to have trouble breathing/
息が合う [いきがあう] /(exp,v5u) to (work, talk, etc.) together smoothly/
息せき [いきせき] /(n) pant/gasp/
息せき切る [いきせききる] /(v5r) to pant/to gasp/
息つく [いきつく] /(v5k) to take a breath/to take a short rest/
息づかい [いきづかい] /(n) breathing/respiration/
息づく [いきづく] /(v5k,vi) (1) to breathe (heavily)/to pant/to gasp/to sigh/(2) to live/
息づまる [いきづまる] /(v5r) to be breathtaking/to be stifling/
息の下 [いきのした] /(n) gasp/
息の合った [いきのあった] /(adj-f) in good coordination/
息の根 [いきのね] /(n) life/
息の根を止める [いきのねをとめる] /(exp,v1) to kill/to choke the life out of/
息の緒 [いきのお] /(n) life/
息の長い [いきのながい] /(adj-i) (1) lasting (work)/sustained (effort)/prolonged/(2) long-winded/
息む [いきむ] /(v5m,vi) (1) to strain (e.g. with constipation)/(2) to bear or push down (during childbirth)/
息をする [いきをする] /(exp,vs-i) to breathe/
息をつく [いきをつく] /(exp,v5k) to take a breath/to take a short rest/
息をのむ [いきをのむ] /(exp,v5m) to catch one's breath/to gulp/to have one's breath taken away/
息を引き取る [いきをひきとる] /(exp,v5r) to pass away/to breathe one's last/
息を飲む [いきをのむ] /(exp,v5m) to catch one's breath/to gulp/to have one's breath taken away/
息を飲むほど [いきをのむほど] /(exp,adj-no) breathtaking/
息を飲むよう [いきをのむよう] /(exp,adj-na) breathtaking/thrilling/
息を詰める [いきをつめる] /(exp,v1) to hold one's breath/
息を合わせる [いきをあわせる] /(exp,v1) to synchronise the breathing with the opponent prior to the start of sumo match/
息を殺す [いきをころす] /(exp,v5s) to hold one's breath/to catch one's breath/
息を吹き返す [いきをふきかえす] /(exp,v5s) to resume breathing/to come around/to come back to life/
息を切らす [いきをきらす] /(exp,v5s) to be out of breath/
息を弾ませる [いきをはずませる] /(exp,v1) to pant/to gasp/to be short of breath/to be excited/
息を吐く [いきをつく] /(exp,v5k) to take a breath/to take a short rest/
息を吐く [いきをはく] /(exp,v5k) to breathe out/to exhale/
息を呑む [いきをのむ] /(exp,v5m) to catch one's breath/to gulp/to have one's breath taken away/
息を呑むほど [いきをのむほど] /(exp,adj-no) breathtaking/
息を呑むよう [いきをのむよう] /(exp,adj-na) breathtaking/thrilling/
息を付く [いきをつく] /(exp,v5k) to take a breath/to take a short rest/
息を嚥む [いきをのむ] /(exp,v5m) to catch one's breath/to gulp/to have one's breath taken away/
息巻く [いきまく] /(v5k,vi) (1) to rage/to storm (at)/to be furious/(2) to enthuse/to speak passionately/to get worked up/to galvanize/
息詰まり [いきづまり] /(n) choking/stuffiness/
息詰まる [いきづまる] /(v5r) to be breathtaking/to be stifling/
息休め [いきやすめ] /(n) rest/breaktime/
息急き [いきせき] /(n) pant/gasp/
息急き切る [いきせききる] /(v5r) to pant/to gasp/
息苦しい [いきぐるしい] /(adj-i) choking/oppressive/suffocating/
息継ぎ [いきつぎ] /(n,vs) a breather/a breathing spell/
息遣い [いきづかい] /(n) breathing/respiration/
息災 [そくさい] /(adj-na,n) good health/
息災延命 [そくさいえんめい] /(n) health and longevity/enjoying a long and healthy life being untouched by disaster/
息子 [むすこ] /(n) (1) (hum) son/(2) (col) penis/(P)/
息子さん [むすこさん] /(n) (hon) son/
息女 [そくじょ] /(n) (your, his, her) daughter/
息衝く [いきづく] /(v5k,vi) (1) to breathe (heavily)/to pant/to gasp/to sigh/
息吹 [いぶき] /(n) breath/(P)/
息吹き [いぶき] /(io) (n) breath/
息吹く [いふく] /(ok) (v5k,vi) to breathe/
息吹く [いぶく] /(v5k,vi) to breathe/
息切れ [いきぎれ] /(n,vs) shortness of breath/(P)/
息絶える [いきたえる] /(v1) to die/to lay down life's burden/
息張る [いきばる] /(v5r,vi) to strain/to bear down (in giving birth)/
息吐く [いきつく] /(v5k) to take a breath/to take a short rest/
息白し [いきしろし] /(n) visible breath (i.e. when it's cold)/frosty breath/white breath/
息抜き [いきぬき] /(n,vs) taking a breather/relaxation/vent hole/
息付く [いきつく] /(v5k) to take a breath/to take a short rest/
捉える [とらえる] /(v1,vt) (1) to seize/to capture/to arrest/(2) to grasp/to perceive/to treat (as)/
捉え所のない [とらえどころのない] /(adj-i) subtle/elusive/slippery/
捉え所の無い [とらえどころのない] /(adj-i) subtle/elusive/slippery/
捉まえる [つかまえる] /(v1,vt) to catch/to arrest/to seize/
捉まる [つかまる] /(v5r,vi) (1) to be caught/to be arrested/(2) (uk) to hold on to/to grasp/(3) (uk) to find (e.g. proof)/to get (e.g. a taxi)/(4) (uk) to be detained by/
捉む [つかむ] /(v5m,vt) (1) to seize/to catch/to grasp/to grip/to grab/to hold/to catch hold of/to lay one's hands on/to clutch/(2) to understand/to grasp/to comprehend/
束 [そく] /(n,n-suf) (1) (math) lattice/(n,n-suf,ctr) (2) counter for large bundles (e.g. 10 sheafs of rice, 200 sheets of calligraphy paper, 20 whistling arrows, 100 fish)/(3) handbreadth (unit for measuring the length of arrows)/
束 [たば] /(n,n-suf,ctr) bundle/bunch/sheaf/(P)/
束 [つか] /(n) (1) strut/short vertical post/(2) thickness (of a book minus the cover, a sheaf of paper, etc.)/(3) (arch) handbreadth/bundle/
束になって [たばになって] /(exp) in a group/in a bunch/
束ね [たばね] /(n) bundle/control/management/
束ねる [たばねる] /(v1,vt) to tie up in a bundle/to govern/to manage/to control/to fold (one's arms)/to administer/(P)/
束ねる [つかねる] /(v1,vt) to tie up in a bundle/to govern/to manage/to control/to fold (one's arms)/to administer/
束ね積む [たばねつむ] /(v5m) to shock (grain)/
束の間 [つかのま] /(n,adj-no) moment/brief time/brief/transient/(P)/
束群 [そくぐん] /(n) lattice group/
束子 [たわし] /(n) scrubbing brush/scourer/
束指標 [たばしひょう] /(n) (comp) bundle index/
束帯 [そくたい] /(n) old ceremonial court dress/
束柱 [つかばしら] /(n) short pillar standing between a beam and roof ridge/
束縛 [そくばく] /(n,vs) restraint/shackles/restriction/confinement/binding/(P)/
束縛継承原理 [そくばくけいしょうげんり] /(n) binding inheritance principle/BIP/
束縛電子 [そくばくでんし] /(n) bound electron/
束縛変項 [そくばくへんこう] /(n) bound variable/
束縛理論 [そくばくりろん] /(n) binding theory/
束髪 [そくはつ] /(n) hairstyle introduced in the Meiji era consisting in a bun or chignon tied at the back of the head/
束表 [たばひょう] /(n) (comp) bundle table/
束表項目 [たばひょうこうもく] /(n) (comp) bundle table entry/
束脩 [そくしゅう] /(n) bundle of dried meat/present to a teacher/registration fee/
測る [はかる] /(v5r,vt) (1) to measure/to weigh/to survey/to time (sound, gauge, estimate)/(2) to conjecture/to infer/to surmise/(P)/
測位 [そくい] /(n,adj-f) positioning/measurement of position/
測鉛 [そくえん] /(n) sounding lead/plummet/
測距儀 [そっきょぎ] /(n) range finder/
測候所 [そっこうじょ] /(n) weather measurement station/(P)/
測鎖 [そくさ] /(n) measuring chain/
測深 [そくしん] /(n,vs) (depth) sounding/
測深機 [そくしんき] /(n) depth finder/
測地 [そくち] /(n,vs,adj-no) geodetic survey/
測地衛星 [そくちえいせい] /(n) geodetic satellite/
測地学 [そくちがく] /(n) geodesy/
測地線 [そくちせん] /(n) geodesic line/
測長機 [そくちょうき] /(n) length measuring machine/
測定 [そくてい] /(n,vs) measurement/(P)/
測定器 [そくていき] /(n) measuring instrument/
測定限界 [そくていげんかい] /(n) measurement limit/measurement limitation/measuring limit/
測定装置 [そくていそうち] /(n) measuring device/
測定値 [そくていち] /(n) measured value/
測定方法 [そくていほうほう] /(n) (comp) measurement method/
測定法 [そくていほう] /(n) method of measurement/
測程器 [そくていき] /(n) (ship's) log/
測度 [そくど] /(n) measurement/
測微計 [そくびけい] /(n) micrometer/
測量 [そくりょう] /(n,vs) measurement/surveying/(P)/
測量家 [そくりょうか] /(n) surveyor/
測量器 [そくりょうき] /(n) surveying instrument/
測量機械 [そくりょうきかい] /(n) surveying instrument/surveyor's level/
測量技師 [そくりょうぎし] /(n) surveyor/surveying engineer/
測量士 [そくりょうし] /(n) registered surveyor/
測量図 [そくりょうず] /(n) survey map/
測量船 [そくりょうせん] /(n) survey ship/
足 [あし] /(n) (1) foot/(2) leg/(3) gait/(4) pace/(5) bottom structural component (i.e. radical) of a kanji/(6) means of transportation/(P)/
足 [そく] /(suf,ctr) counter for pairs (of socks, shoes, etc.)/
足あと [あしあと] /(n) (1) footprints/(2) (comp) record of page visitors (e.g. in social networking sites)/(P)/
足かけ [あしかけ] /(n) (1) leg trip (in sumo, judo, etc.)/(2) foothold/pedal/(n-adv) (3) nearly (used to estimate a period of time by rounding up incomplete units)/
足かせ [あしかせ] /(n) fetters/shackles/hobbles/encumbrance, hindrance or burden/trap/
足がある [あしがある] /(exp) to have legs/to be able to get around/to be a good runner/
足がかり [あしがかり] /(n) foothold/
足がすくむ [あしがすくむ] /(exp,v5m) to freeze (from fear)/to be unable to (too frightened to) run/
足がつく [あしがつく] /(exp,v5k) (1) to be traced/to be tracked (by someone)/(2) to have a lover (for a woman)/
足がつる [あしがつる] /(exp,v5r) to have one's leg cramp/
足が遠のく [あしがとおのく] /(exp,v5k) to visit less often/
足が重い [あしがおもい] /(exp) one's legs being leaden (through tiredness, etc.)/
足が出る [あしがでる] /(v1) to exceed the budget/to do not cover the expense/
足が早い [あしがはやい] /(exp,adj-i) (1) to be fast at walking and running/(2) to be quick to spoil (of foodstuffs)/
足が地につかない [あしがちにつかない] /(exp) losing oneself/on top of the world/walking on air/frivolous/
足が地に着かない [あしがちにつかない] /(exp) losing oneself/on top of the world/walking on air/frivolous/
足が地に付かない [あしがちにつかない] /(exp) losing oneself/on top of the world/walking on air/frivolous/
足が遅い [あしがおそい] /(exp) to be slow-footed/
足が途絶える [あしがとだえる] /(exp,v1) there being suddenly no visitors (customers)/
足が付く [あしがつく] /(exp,v5k) (1) to be traced/to be tracked (by someone)/(2) to have a lover (for a woman)/
足が棒になる [あしがぼうになる] /(exp,v5r) to have one's legs become stiff, tired/
足が攣る [あしがつる] /(exp,v5r) to have one's leg cramp/
足が痙る [あしがつる] /(exp,v5r) to have one's leg cramp/
足が竦む [あしがすくむ] /(exp,v5m) to freeze (from fear)/to be unable to (too frightened to) run/
足ごしらえ [あしごしらえ] /(n,vs) footwear/
足ざわり [あしざわり] /(n) feel (to the foot)/feel (underfoot)/
足し [たし] /(n) top up (e.g. a little bit to remedy an insufficiency)/
足しげく [あししげく] /(adv) frequently/
足しげく通う [あししげくかよう] /(exp,v5u) to visit frequently/to haunt/
足しにする [たしにする] /(exp,vs-i) to make up (an insufficiency)/to ease (a lack)/
足しになる [たしになる] /(exp,v5r) to be of help/to be useful/
足し算 [たしざん] /(n) (math) addition/(P)/
足し算器 [たしざんき] /(n) adder (spoken)/
足し前 [たしまえ] /(n) supplement/addition/
足す [たす] /(v5s,vt) (1) to add (numbers)/(2) to add (something)/to top up (with something)/(3) to take care of (e.g. one's business)/(P)/
足つき [あしつき] /(n) (1) something (equipped) with legs/(2) sole of foot/(3) one's manner of walking/
足どり [あしどり] /(n) (1) gait/manner of walking (swimming)/(2) trace (e.g. of route taken by hunted criminal)/
足の甲 [あしのこう] /(n) top of the foot/instep/
足の指 [あしのゆび] /(n) toe/
足の遅い [あしのおそい] /(adj-i) slow-footed/
足の踏み場も無い [あしのふみばもない] /(exp) (id) There's no place to stand in/
足の裏 [あしのうら] /(n) sole of foot/
足ひれ [あしひれ] /(n) swimfin/(diving) fin/(diving) flipper/
足ぶみ [あしぶみ] /(n,vs) (1) stepping/stamping/marking time (for a soldier)/(2) standstill/stalemate/
足まとい [あしまとい] /(n) someone or something that just gets in the way/a burden/
足まめ [あしまめ] /(n) good or tireless walker/
足もと [あしもと] /(n,adj-no) (1) at one's feet/underfoot/(n) (2) gait/pace/step/(pn) (3) you/thou/
足らず [たらず] /(n-suf) just under/a little less than/just short of/
足りない [たりない] /(adj-i) (1) insufficient/not enough/lacking/(2) dim-witted/slow/one brick short of a full load/
足りる [たりる] /(v1,vi) (1) to be sufficient/to be enough/(2) to be worth doing/to be worthy/(3) to be sufficient/to answer/to do/(P)/
足る [たる] /(v5r,vi) to be sufficient/to be enough/to be worthy of/(P)/
足るを知る [たるをしる] /(exp) (id) to know one has enough/to be satisfied with one's lot in life/
足をすくう [あしをすくう] /(exp,v5u) to trip someone up/to pull the carpet from under/
足をひっぱる [あしをひっぱる] /(exp,v5r) to hold back others from achieving success/to stand in the way of/to sabotage/
足を引っ張る [あしをひっぱる] /(exp,v5r) to hold back others from achieving success/to stand in the way of/to sabotage/
足を運ぶ [あしをはこぶ] /(exp,v5b) to go/to come/to turn out (at a meeting, event, etc.)/to show up/
足を滑らす [あしをすべらす] /(exp,v5s) to lose one's footing/to slip/
足を滑らせる [あしをすべらせる] /(exp,v1) to lose one's footing/to slip/
足を掬う [あしをすくう] /(exp,v5u) to trip someone up/to pull the carpet from under/
足を取られる [あしをとられる] /(exp,v1) (1) to be tripped up/(2) to be too drunk to stand/
足を伸ばす [あしをのばす] /(exp,v5s) (1) to (relax and) stretch one's legs out/(2) to go for a further walk/
足を洗う [あしをあらう] /(exp,v5u) (1) to quit (a shady business)/to wash one's hands of/to cut one's ties with/to turn over a new leaf/to go straight/(2) to wash one's feet/
足を組む [あしをくむ] /(exp,v5m) to cross one's legs/
足を速める [あしをはやめる] /(exp,v1) to quicken one's pace (steps)/
足を奪われる [あしをうばわれる] /(exp,v1) to be stranded/to lose means of transportation/
足を地に付けて [あしをちにつけて] /(exp) with steady steps/with one's feet planted on the ground/
足を崩す [あしをくずす] /(exp,v5s) to sit cross-legged/to sit at ease/
足を棒にして [あしをぼうにして] /(exp) (e.g. to walk, stand, etc., until) one's legs turn to lead/(doing something) until one's legs tire and stiffen/
足ヒレ [あしヒレ] /(n) swimfin/(diving) fin/(diving) flipper/
足囲 [そくい] /(n) foot circumference/
足萎え [あしなえ] /(n) (1) (uk) (sens) lameness/cripple/
足運び [あしはこび] /(n) characteristic way of moving in sumo, keeping the center of gravity low (centre)/
足温器 [そくおんき] /(n) footwarmer/
足音 [あしおと] /(n) footsteps (sound)/(P)/
足下 [あしもと] /(n,adj-no) (1) at one's feet/underfoot/(n) (2) gait/pace/step/(pn) (3) you/thou/(P)/
足下 [そっか] /(n,adj-no) (1) at one's feet/underfoot/(n) (2) gait/pace/step/(pn) (3) you/thou/
足下を見る [あしもとをみる] /(exp,v1) to take advantage (e.g. of a weak situation)/
足回り [あしまわり] /(n) chassis/undercarriage (of automobile or truck)/
足械 [あしかせ] /(n) fetters/shackles/hobbles/encumbrance, hindrance or burden/trap/
足掛 [あしかけ] /(n) (1) leg trip (in sumo, judo, etc.)/(2) foothold/pedal/(n-adv) (3) nearly (used to estimate a period of time by rounding up incomplete units)/
足掛かり [あしがかり] /(n) foothold/(P)/
足掛け [あしかけ] /(n) (1) leg trip (in sumo, judo, etc.)/(2) foothold/pedal/(n-adv) (3) nearly (used to estimate a period of time by rounding up incomplete units)/
足掛け上がり [あしかけあがり] /(n) knee-swing (gymnastics)/legging-up/
足掛り [あしがかり] /(n) foothold/
足慣らし [あしならし] /(n) walking practice/walking practise/warming-up/
足関節 [あしかんせつ] /(n) foot joint/ankle/
足技 [あしわざ] /(n) (judo) foot technique/footwork/
足許 [あしもと] /(n,adj-no) (1) at one's feet/underfoot/(n) (2) gait/pace/step/(pn) (3) you/thou/
足業 [あしわざ] /(n) (judo) foot technique/footwork/
足型 [あしがた] /(n) wooden mold for shoes or tabi (mould)/
足形 [あしがた] /(n) footprints/
足継ぎ [あしつぎ] /(n) (arch) stool (stood on to reach high objects)/stepladder/
足軽 [あしがる] /(n) common foot soldier/
足軽大将 [あしがるたいしょう] /(n) samurai in command of a troop of foot soldiers/
足芸 [あしげい] /(n) tricks performed with the feet/
足元 [あしもと] /(n,adj-no) (1) at one's feet/underfoot/(n) (2) gait/pace/step/(pn) (3) you/thou/(P)/
足元にもおよばない [あしもとにもおよばない] /(exp) to be no match for/to not hold a candle to/
足元にも及ばない [あしもとにもおよばない] /(exp) to be no match for/to not hold a candle to/
足元をすくう [あしもとをすくう] /(exp,v5u) to trip someone up/to pull the carpet from under/
足元を掬う [あしもとをすくう] /(exp,v5u) to trip someone up/to pull the carpet from under/
足元を見る [あしもとをみる] /(exp,v1) to take advantage (e.g. of a weak situation)/
足固め [あしがため] /(n) judo leg hold/
足高蜘蛛 [あしだかぐも] /(n) (uk) huntsman spider (Heteropoda venatoria)/
足腰 [あしこし] /(n) legs and loins/(P)/
足骨 [あしぼね] /(n) (1) (obsc) bones of the feet/(2) the strength of one's feet/
足骨 [そっこつ] /(n) (1) (obsc) bones of the feet/(2) the strength of one's feet/
足根 [そくこん] /(adj-f) tarsal (relating to the tarsus - a group of small bones between the tibia and fibula and the metatarsus)/
足根骨 [そっこんこつ] /(n) tarsus (group of small bones between the tibia and fibula and the metatarsus)/
足捌き [あしさばき] /(n) footwork (in martial arts, sports, etc.)/
足止め [あしどめ] /(n,vs) house arrest/confinement/keeping indoors/inducement to stay/(P)/
足弱 [あしよわ] /(adj-na,n) having weak legs/slow walker/
足取り [あしとり] /(n) (in sumo) downing an opponent by grabbing his leg/
足取り [あしどり] /(n) (1) gait/manner of walking (swimming)/(2) trace (e.g. of route taken by hunted criminal)/(P)/
足手まとい [あしてまとい] /(adj-na,n) impediment/burden/encumbrance/hindrance/drag/
足手まとい [あしでまとい] /(adj-na,n) impediment/burden/encumbrance/hindrance/drag/
足手纏い [あしてまとい] /(adj-na,n) impediment/burden/encumbrance/hindrance/drag/
足手纏い [あしでまとい] /(adj-na,n) impediment/burden/encumbrance/hindrance/drag/
足手纒い [あしてまとい] /(adj-na,n) impediment/burden/encumbrance/hindrance/drag/
足手纒い [あしでまとい] /(adj-na,n) impediment/burden/encumbrance/hindrance/drag/
足首 [あしくび] /(n) ankle/(P)/
足蹴 [あしげ] /(n) kick/
足場 [あしば] /(n) scaffold/footing/foothold/(P)/
足触り [あしざわり] /(n) feel (to the foot)/feel (underfoot)/
足垂れ星 [あしたれぼし] /(n) (obsc) Chinese "Tail" constellation (one of the 28 mansions)/
足垂星 [あしたれぼし] /(n) (obsc) Chinese "Tail" constellation (one of the 28 mansions)/
足摺 [あしずり] /(n,vs) stamping or scraping one's feet/
足摺り [あしずり] /(n,vs) stamping or scraping one's feet/
足跡 [あしあと] /(n) (1) footprints/(2) (comp) record of page visitors (e.g. in social networking sites)/(P)/
足跡 [そくせき] /(n) (1) footprints/(2) (comp) record of page visitors (e.g. in social networking sites)/
足切り [あしきり] /(n) (1) Japanese children's game/(2) (sens) preliminary test to eliminate weak contenders/
足先 [あしさき] /(n) part of the feet from the ankles to the tips of the toes/
足素性原理 [あしすじょうげんり] /(n) foot feature convention/FFP/
足掻き [あがき] /(adv) struggling/pawing (e.g. horses hooves)/
足掻く [あがく] /(v5k,vi) (1) to paw (at) the ground/(2) to flounder/to struggle/
足早 [あしばや] /(adj-na,n-adv,n) quick-footed/light-footed/quick pace/(P)/
足早に [あしばやに] /(adv) at a quick pace/
足相撲 [あしずもう] /(n) Indian wrestling/
足速い [あしばやい] /(adj-i) swift-footed/light-footed/
足駄 [あしだ] /(n) high clogs/rain clogs/
足袋 [たび] /(n) tabi/Japanese socks (with split toe)/(P)/
足代 [あしだい] /(n) transportation or traveling expenses (travelling)/
足台 [あしだい] /(n) footrest/foot stool/
足中 [あしなか] /(n) half-soled straw sandals/straw sandals which are designed only for the front half of the foot/
足忠実 [あしまめ] /(n) good or tireless walker/
足長 [あしなが] /(adj-no) long-legged(ness)/
足長 [そくちょう] /(n) foot length/
足長おじさん [あしながおじさん] /(n) (1) anonymous scholarship system for orphans whose parents have been killed in traffic accidents (from Daddy-Long-Legs, a 1912 novel by Jean Webster)/(2) harvestman/daddy longlegs (arachnid of order Opiliones)/
足長蜘蛛 [あしながぐも] /(n) (uk) Tetragnatha praedonia (species of long-jawed orb weaver)/
足長蜂 [あしながばち] /(n) (uk) paper wasp/
足底 [そくてい] /(n) planta/planta pedis/sole of the foot/
足底筋膜炎 [そくていきんまくえん] /(n) plantar fasciitis/
足底疣贅 [そくていゆうぜい] /(n) plantar wart/
足纏い [あしまとい] /(n) someone or something that just gets in the way/a burden/
足湯 [あしゆ] /(n) footbath/hot spring bath designed for soaking one's feet/
足踏み [あしぶみ] /(n,vs) (1) stepping/stamping/marking time (for a soldier)/(2) standstill/stalemate/(P)/
足踏み状態 [あしぶみじょうたい] /(n) standstill/
足馴らし [あしならし] /(n) walking practice/walking practise/warming-up/
足乳根 [たらちね] /(n) mother/father/parent/
足乳女 [たらちめ] /(n) (arch) mother/
足入れ [あしいれ] /(n) tentative marriage/
足入れ婚 [あしいれこん] /(n) marriage in which the bride lives temporarily in her parents' home/
足任せ [あしまかせ] /(n) walking wherever one's legs lead one/wandering/
足背 [そくはい] /(n) top of the foot/instep/
足拍子 [あしびょうし] /(n) beating time with one's foot/
足半 [あしなか] /(n) half-soled straw sandals/straw sandals which are designed only for the front half of the foot/
足繁く [あししげく] /(adv) frequently/
足繁く通う [あししげくかよう] /(exp,v5u) to visit frequently/to haunt/
足付き [あしつき] /(n) (1) something (equipped) with legs/(2) sole of foot/(3) one's manner of walking/
足払い [あしばらい] /(n) tripping up/
足並 [あしなみ] /(n) pace/step/
足並み [あしなみ] /(n) pace/step/(P)/
足癖 [あしくせ] /(n) one's manner of walking/
足偏 [あしへん] /(n) (1) kanji "leg" or "foot" radical at left/
足偏 [あとへん] /(n) (1) kanji "leg" or "foot" radical at left/(2) being (too) late/the past/the previous/
足無し井守 [あしなしいもり] /(n) (uk) caecilian (any burrowing legless amphibian of the order Gymnophiona)/
足無し蜥蜴 [あしなしとかげ] /(n) (uk) legless lizard (esp. Anguidae spp., inc. glass lizards and slow worms)/
足無井守 [あしなしいもり] /(n) (uk) caecilian (any burrowing legless amphibian of the order Gymnophiona)/
足無蜥蜴 [あしなしとかげ] /(n) (uk) legless lizard (esp. Anguidae spp., inc. glass lizards and slow worms)/
足利時代 [あしかがじだい] /(n) Ashikaga period (i.e. the Muromachi period, 1333-1573 CE)/
足利幕府 [あしかがばくふ] /(n) Ashikaga shogunate (i.e. the Muromachi shogunate, 1336-1573 CE)/
足裏 [あしうら] /(n) sole of the foot/
足裏 [あなうら] /(n) sole of the foot/
足溜り [あしだまり] /(n) base of operations/foothold/
足留め [あしどめ] /(n,vs) house arrest/confinement/keeping indoors/inducement to stay/
足輪 [あしわ] /(n) leg band (e.g. on bird or hospital patient)/ring/anklet/
足労 [そくろう] /(n) trouble of going somewhere/
足拵え [あしごしらえ] /(n,vs) footwear/
足搦 [あしがら] /(n) leg lock/
足搦み [あしがらみ] /(n) leg lock/
足枷 [あしかせ] /(oK) (n) fetters/shackles/hobbles/encumbrance, hindrance or burden/trap/
足頸 [あしくび] /(n) ankle/
速 [そく] /(suf) gear/speed (as in 4 speed automatic transmission and such)/
速い [はやい] /(adj-i) (1) fast/quick/hasty/brisk/(2) early (in the day, etc.)/premature/(3) (too) soon/not yet/(too) early/(4) easy/simple/quick/(P)/
速く [はやく] /(adv) (1) early/soon/(2) quickly/swiftly/rapidly/fast/(P)/
速さ [はやさ] /(n) (1) speed/velocity/quickness/rapidity/(2) earliness/(P)/
速まる [はやまる] /(v5r,vi) (1) to move ahead (three hours, etc.)/to move up/(2) to quicken/to speed up/to gather speed/(3) to be hasty/to be rash/
速める [はやめる] /(v1,vt) to hasten/to quicken/to expedite/to precipitate/to accelerate/(P)/
速やか [すみやか] /(adj-na) speedy/prompt/smooth/(P)/
速乾 [そっかん] /(adj-f) quick drying/
速乾性 [そっかんせい] /(adj-no) quick drying (properties)/
速記 [そっき] /(n,vs,adj-no) shorthand/stenography/(P)/
速記者 [そっきしゃ] /(n) stenographer/writer of shorthand/
速記術 [そっきじゅつ] /(n) shorthand/stenography/
速記録 [そっきろく] /(n) shorthand or stenographic notes/
速急 [そっきゅう] /(adj-na) immediate/quick/sudden/
速球 [そっきゅう] /(n) fastball/(P)/
速業 [はやわざ] /(n) quick work/(clever) feat/
速決 [そっけつ] /(n,vs) prompt decision/summary judgment/summary judgement/
速効 [そっこう] /(n) speedy effect/
速効性肥料 [そっこうせいひりょう] /(n) quick-acting fertilizer/quick-acting fertiliser/
速口 [はやくち] /(n,adj-no) fast-talking/rapid talking/
速口 [はやぐち] /(n,adj-no) fast-talking/rapid talking/
速攻 [そっこう] /(n,vs) swift attack/(P)/
速算 [そくさん] /(n,vs) rapid calculation/
速写 [そくしゃ] /(n,vs) snapshot/
速射 [そくしゃ] /(n,vs,adj-no) quick firing/rapid firing/
速射砲 [そくしゃほう] /(n) rapid-fire gun or cannon/
速習 [そくしゅう] /(n,vs) speed learning/
速成 [そくせい] /(n,vs) intensive (short-term) training/
速戦即決 [そくせんそっけつ] /(n) quick battle for a quick victory/blitzkrieg/
速足 [はやあし] /(n) quick pace/quick march/trot/
速達 [そくたつ] /(n,vs) express/special delivery/(P)/
速達便 [そくたつびん] /(n) (abbr) special delivery mail/express delivery post/(P)/
速達郵便 [そくたつゆうびん] /(n) special delivery mail/express delivery post/
速達郵便サービス [そくたつゆうびんサービス] /(n) (comp) express mail service/PD PR/
速断 [そくだん] /(n,vs) rash decision/jumping to a conclusion/
速度 [そくど] /(n) speed/velocity/rate/(P)/
速度を緩める [そくどをゆるめる] /(exp,v1) to ease up the speed/
速度違反 [そくどいはん] /(n) speeding/
速度計 [そくどけい] /(n) speedometer/
速度制限 [そくどせいげん] /(n) (set) a speed limit/
速度標語 [そくどひょうご] /(n) tempo marking/tempo indication/
速度変換 [そくどへんかん] /(n) (comp) rate adaptation/
速読 [そくどく] /(n,vs) speed reading/
速筆 [そくひつ] /(n) rapid writing/
速分かり [はやわかり] /(n,vs) (1) quick learner/quick understanding/easy to understand/(2) handbook/guidebook/
速歩 [そくほ] /(n) (1) quick pace/quick steps/quick march/(2) trot (horse gait)/
速歩 [はやあし] /(n) (1) quick pace/quick steps/quick march/(2) trot (horse gait)/
速報 [そくほう] /(n,vs) news flash/prompt report/bulletin/quick announcement/(P)/
速力 [そくりょく] /(n) speed/(P)/
速力を落とす [そくりょくをおとす] /(exp,v5s) to slow down/
速力度 [そくりょくど] /(n) speed/velocity/
俗 [ぞく] /(adj-na,n) mark in dictionary indicating slang/customs/manners/the world/worldliness/vulgarity/mundane things/the laity/(P)/
俗っぽい [ぞくっぽい] /(adj-i) cheap (reading)/vulgar/worldly-minded/
俗なる [ぞくなる] /(adj-f) vulgar/
俗に [ぞくに] /(adv) as slang/commonly/
俗に言う [ぞくにいう] /(exp,v5u) commonly referred to as .../
俗ラテン語 [ぞくラテンご] /(n) vulgar Latin/
俗悪 [ぞくあく] /(adj-na,n) worldliness/vulgarity/coarseness/
俗縁 [ぞくえん] /(n) worldly connection/
俗化 [ぞっか] /(n,vs) vulgarization/vulgarisation/secularization/secularisation/popularization/popularisation/
俗歌 [ぞっか] /(n) popular song/fold song/ditty/ballad/
俗画 [ぞくが] /(n) popular picture/
俗解 [ぞっかい] /(n,vs) explanation in common language/
俗界 [ぞっかい] /(n) secular life/workaday world/
俗学 [ぞくがく] /(n) popular learning/worldly study/
俗楽 [ぞくがく] /(n) popular music/common people's music (as opposed to court music)/
俗間 [ぞっかん] /(n) the world/the public/
俗眼 [ぞくがん] /(n) popular opinion/
俗気 [ぞくき] /(n) vulgarity/worldliness/worldly ambition/
俗気 [ぞくけ] /(n) vulgarity/worldliness/worldly ambition/
俗気 [ぞっき] /(n) vulgarity/worldliness/worldly ambition/
俗気 [ぞっけ] /(n) vulgarity/worldliness/worldly ambition/
俗気芬々 [ぞくけふんぷん] /(adj-t,adv-to) of low (vulgar) taste/lacking class/
俗気芬芬 [ぞくけふんぷん] /(adj-t,adv-to) of low (vulgar) taste/lacking class/
俗議 [ぞくぎ] /(n) popular opinion/
俗曲 [ぞっきょく] /(n) folk song/ballad/
俗形 [ぞくぎょう] /(n) the figure of the common man/
俗見 [ぞっけん] /(n) popular view/laymen's opinion/
俗言 [ぞくげん] /(n) colloquial language/
俗諺 [ぞくげん] /(n) proverb/popular saying/
俗語 [ぞくご] /(n,adj-no) colloquialism/colloquial language/(P)/
俗向き [ぞくむき] /(n,adj-no) appealing to the public/popular/
俗才 [ぞくさい] /(n) worldly wisdom/practical wisdom/
俗事 [ぞくじ] /(n) (1) worldly affairs/daily routine/(2) popular usage/
俗字 [ぞくじ] /(n) popular characters/nonstandard characters/
俗耳 [ぞくじ] /(n) vulgar ears/attention of the masses/
俗趣 [ぞくしゅ] /(n) vulgar taste/
俗趣味 [ぞくしゅみ] /(n) vulgar taste/
俗儒 [ぞくじゅ] /(n) mediocre scholar/
俗受け [ぞくうけ] /(n,vs) popular appeal/
俗習 [ぞくしゅう] /(n) custom/usage/
俗臭 [ぞくしゅう] /(n) vulgarity/worldliness/
俗臭芬々 [ぞくしゅうふんぷん] /(adj-t,adv-to) of low taste (vulgar)/lacking class/
俗臭芬芬 [ぞくしゅうふんぷん] /(adj-t,adv-to) of low taste (vulgar)/lacking class/
俗衆 [ぞくしゅう] /(n) people/crowd/masses/the public/
俗書 [ぞくしょ] /(n) cheap fiction/
俗称 [ぞくしょう] /(n,vs) common name/popular name/
俗情 [ぞくじょう] /(n) worldly-mindedness/worldly affairs/
俗信 [ぞくしん] /(n) folk belief/
俗神道 [ぞくしんとう] /(n) Folk Shinto (term used by Reform Shintoists to refer to sects of syncretized Shinto)/
俗人 [ぞくじん] /(n,adj-no) ordinary people/layman/worldling/
俗塵 [ぞくじん] /(n) the world/earthly affairs/
俗世 [ぞくせい] /(n,adj-no) this world/earthly life/
俗世界 [ぞくせかい] /(n) everyday world/
俗世間 [ぞくせけん] /(n) the workaday world/
俗姓 [ぞくせい] /(n) (a priest's) secular surname/
俗説 [ぞくせつ] /(n) common saying/popular version/folklore/tradition/
俗僧 [ぞくそう] /(n) worldly priest/
俗体 [ぞくたい] /(n) (Buddh) condition of the laity/
俗談 [ぞくだん] /(n) common talk/worldly conversation/
俗談平話 [ぞくだんへいわ] /(n) conversation on worldly affairs/chat about everyday life (business)/
俗調 [ぞくちょう] /(n) popular music/vulgar music/
俗諦 [ぞくたい] /(n) (Buddh) simplified teaching/
俗伝 [ぞくでん] /(n) popular belief or saying/
俗念 [ぞくねん] /(n) worldliness/worldly ambition/unholy desires/
俗輩 [ぞくはい] /(n) worldlings/the crowd/
俗筆 [ぞくひつ] /(n) unrefined penmanship/
俗物 [ぞくぶつ] /(n,adj-no) worldly-minded person/vulgar person/philistine/snob/vulgar and ostentatious person./
俗物根性 [ぞくぶつこんじょう] /(n,adj-no) snobbery/snobbishness/philistinism/vulgar and ostentatious nature (disposition)/
俗文 [ぞくぶん] /(n) colloquial style/
俗文学 [ぞくぶんがく] /(n) popular literature/
俗務 [ぞくむ] /(n) secular affairs/worldly cares/daily routine/
俗名 [ぞくみょう] /(n) common name/popular name/secular name/bad reputation/
俗名 [ぞくめい] /(n) common name/popular name/secular name/bad reputation/
俗用 [ぞくよう] /(n) wordly matters/
俗謡 [ぞくよう] /(n) popular song/ballad/folk song/ditty/
俗吏 [ぞくり] /(n) petty official/
俗離れ [ぞくばなれ] /(n,vs) unworldliness/
俗流 [ぞくりゅう] /(n) populace/common run of men/worldly customs/
俗了 [ぞくりょう] /(n,vs) a refined thing becoming vulgar/
俗累 [ぞくるい] /(n) wordly troubles/worldliness/
俗論 [ぞくろん] /(n) popular opinion/
俗話 [ぞくわ] /(n) wordly story/gossip/
俗箏 [ぞくそう] /(n) modern koto (in contrast to the gagaku koto or gakuso) (lit. vulgar koto)/modern koto music/
俗筝 [ぞくそう] /(n) modern koto (in contrast to the gagaku koto or gakuso) (lit. vulgar koto)/modern koto music/
属 [ぞく] /(n) genus/
属す [しょくす] /(v5s,vt) (1) to entrust/(2) to send (a message, etc.)/
属す [ぞくす] /(v5s,vi) to belong to/to come under/to be affiliated with/to be subject to/
属する [しょくする] /(vs-s,vt) (1) to entrust/(2) to send (a message, etc.)/
属する [ぞくする] /(vs-s,vi) to belong to/to come under/to be affiliated with/to be subject to/(P)/
属の用語 [ぞくのようご] /(n) (comp) generic term/
属格 [ぞっかく] /(n,adj-no) (ling) genitive case/
属官 [ぞっかん] /(n) subordinate official/government clerk/
属具 [ぞくぐ] /(n) tool which is attached to something (e.g. fire extinguisher on a boat)/accessory/appliance/
属国 [ぞっこく] /(n) vassal state or nation/dependency/
属差 [ぞくさ] /(n) generic difference/
属種関係 [ぞくしゅかんけい] /(n) (comp) generic relation/
属州 [ぞくしゅう] /(n) provincia/province of ancient Rome/
属人主義 [ぞくじんしゅぎ] /(n) the principle of nationality (according to which an offender should be tried in accordance with the law of his or her own country)/
属人法 [ぞくじんほう] /(n) law of the country where a person habitually resides or is a national/law applicable to a person or to a person's legal problems/
属性 [ぞくせい] /(n) attribute/property/context/
属性データ [ぞくせいデータ] /(n) (comp) attribute data/
属性化領域 [ぞくせいかりょういき] /(n) (comp) qualified area/
属性型 [ぞくせいがた] /(n) (comp) attribute-type/
属性型ＪＰドメイン名 [ぞくせいがたジェーピードメインめい] /(n) (comp) organizational type JP domain names/
属性指定 [ぞくせいしてい] /(n) (comp) attribute specification/
属性指定並び [ぞくせいしていならび] /(n) (comp) attribute specification list/
属性値 [ぞくせいち] /(n) property-value/attribute value/
属性値アサーション [ぞくせいちアサーション] /(n) (comp) attribute-value-assertion/
属性値行列 [ぞくせいねぎょうれつ] /(n) attribute-value matrix/AVM/
属性値選択節 [ぞくせいちせんたくせつ] /(n) (comp) attribute-value-assertion/
属性値表現 [ぞくせいちひょうげん] /(n) (comp) attribute value literal/
属性定義 [ぞくせいていぎ] /(n) (comp) attribute definition/
属性定義並び [ぞくせいていぎならび] /(n) (comp) attribute definition list/
属性定義並び宣言 [ぞくせいていぎならびせんげん] /(n) (comp) attribute definition list declaration/
属性表 [ぞくせいひょう] /(n) (comp) attribute list/
属性並び [ぞくせいならび] /(n) (comp) attribute (specification) list/
属性並び宣言 [ぞくせいならびせんげん] /(n) (comp) attribute (definition) list declaration/
属性要素 [ぞくせいようそ] /(n) (comp) attribute elements/
属託 [しょくたく] /(n,vs) (1) commission/charge (person with)/entrusting with/(2) part-time (employee)/
属地主義 [ぞくちしゅぎ] /(n) the principle of territorial jurisdiction/
属島 [ぞくとう] /(n) an island belonging to a political entity/
属望 [しょくぼう] /(n,vs) (having great) expectation/pinning one's hopes on/
属名 [ぞくめい] /(n) generic name (business)/genus name (taxonomy)/
属目 [しょくもく] /(n,vs) paying attention to/catching one's eye/
属吏 [ぞくり] /(n) a subordinate (official)/
属僚 [ぞくりょう] /(n) a subordinate (official)/
属領 [ぞくりょう] /(n) possession/dependency/territory/dominion/
賊 [あだ] /(n) (1) foe/enemy/rival/(2) resentment/enmity/grudge/(3) harm/injury/
賊 [ぞく] /(n) (1) thief/robber/burglar/(2) rebel/insurgent/traitor/
賊害 [ぞくがい] /(n,vs) harm/killing/destruction at the hands of rebels/
賊虐 [ぞくぎゃく] /(n) damage and ill-treatment/
賊軍 [ぞくぐん] /(n) rebel army/
賊子 [ぞくし] /(n) rebellious child/rebel/traitor/
賊将 [ぞくしょう] /(n) leader of a rebel army or band of rebels/
賊徒 [ぞくと] /(n) rebels/bandit/robber/traitors/
賊名 [ぞくめい] /(n) (the stigma of) the name of "rebel"/
族 [ぞく] /(n,n-suf) (1) tribe/clan/band/(2) (taxonomical) tribe/(3) group (of the periodic table)/(P)/
族 [やから] /(n) party (of people)/set (of people)/clan/family/fellow/
族議員 [ぞくぎいん] /(n) influential members of parliament acting for the benefit of the private industries to which they are connected/
族称 [ぞくしょう] /(n) (in Japanese history) one's class/
族生 [ぞくせい] /(n,vs) (of plants) growing in clusters/growing gregariously/
族籍 [ぞくせき] /(n) one's class (and legal domicile)/
族長 [ぞくちょう] /(n,adj-no) patriarch/head of a family/
族滅 [ぞくめつ] /(n,vs) putting an entire family to death/
続 [しょく] /(n,n-pref) continuation/sequel/
続 [ぞく] /(n,n-pref) continuation/sequel/
続々 [ぞくぞく] /(n-adv,adv-to) successively/one after another/(P)/
続き [つづき] /(n,n-suf) sequel/continuation/(also suffix) continuation (in time and space)/second series/succession/spell/(P)/
続き部屋 [つづきへや] /(n) adjoining rooms/
続き部屋 [つづきべや] /(n) adjoining rooms/
続き物 [つづきもの] /(n) a serial story/
続き柄 [つづきがら] /(n) (family) relationship/connection/
続く [つづく] /(v5k,vi) (1) to continue/to last/to go on/(2) to be unbroken/(3) to occur again and again/(4) to lead to/to connect to/(P)/
続ぐ [つぐ] /(v5g,vt) to succeed (someone in a business or inheritance)/
続けざま [つづけざま] /(n) one after another/
続ける [つづける] /(v1,vt) to continue/to keep up/to keep on/(P)/
続け様 [つづけざま] /(n) one after another/
続映 [ぞくえい] /(n,vs) continued showing of a movie/
続演 [ぞくえん] /(n,vs) continued staging of a play or show/
続開 [ぞっかい] /(n,vs) resumption/continuing/
続刊 [ぞっかん] /(n) continuing publication/
続稿 [ぞっこう] /(n) sequel/
続航 [ぞっこう] /(n,vs) holding one's course/continuing the voyage/
続行 [ぞっこう] /(n,vs) continuation/continuance/going on/resuming/(P)/
続出 [ぞくしゅつ] /(n,vs) appearance one after another/(P)/
続伸 [ぞくしん] /(n,vs) continuous rise/(P)/
続続 [ぞくぞく] /(n-adv,adv-to) successively/one after another/
続投 [ぞくとう] /(n,vs) continuing to pitch/
続騰 [ぞくとう] /(n,vs) continued advance/spiral upward/
続日本紀 [しょくにほんぎ] /(n) Shoku Nihongi (second of the six classical Japanese history texts)/
続日本後紀 [しょくにほんこうき] /(n) Shoku Nihon Kouki (fourth of the six classical Japanese history texts)/
続発 [ぞくはつ] /(n,vs) coming about/happening/occurring/successive occurrence/
続柄 [ぞくがら] /(n) (family) relationship/connection/
続柄 [つづきがら] /(n) (family) relationship/connection/
続篇 [ぞくへん] /(n) continuation/sequel/
続編 [ぞくへん] /(n) continuation/sequel/(P)/
続報 [ぞくほう] /(n,vs,adj-no) follow-up report/
続落 [ぞくらく] /(n,vs) continued fall in (stock) prices/
卒 [そつ] /(n) (1) low-ranking soldier/(2) (abbr) graduation/(3) (abbr) low-ranking samurai (1870-1872)/(4) (abbr) death (of a noble, etc.)/
卒える [おえる] /(v1,vt) (1) to graduate/
卒がない [そつがない] /(adj-i) (uk) cautious/careful/shrewd/without error/without slip/
卒が無い [そつがない] /(adj-i) (uk) cautious/careful/shrewd/without error/without slip/
卒す [しゅっす] /(v5s,vi) (arch) to die (esp. of nobility, etc.)/
卒す [そっす] /(v5s,vi) (arch) to die (esp. of nobility, etc.)/
卒する [そっする] /(vs-s) to die/to pass away/
卒なく [そつなく] /(adv) (uk) without a flaw/accurately/
卒なくこなす [そつなくこなす] /(v5s) (uk) to handle flawlessly/
卒なく熟す [そつなくこなす] /(v5s) (uk) to handle flawlessly/
卒のない [そつのない] /(adj-i) (uk) cautious/careful/shrewd/without error/without slip/
卒の無い [そつのない] /(adj-i) (uk) cautious/careful/shrewd/without error/without slip/
卒わる [おわる] /(v5r,vi) to finish/to end/to close/
卒アル [そつアル] /(n) (abbr) classbook/yearbook/school graduation album/
卒園 [そつえん] /(n,vs) finishing kindergarten/graduating from kindergarten/
卒園式 [そつえんしき] /(n) kindergarten graduation ceremony/
卒去 [しゅっきょ] /(n,vs) death (of a noble, etc.)/
卒去 [そっきょ] /(n,vs) death (of a noble, etc.)/
卒業 [そつぎょう] /(n,vs,adj-no) (1) graduation/completion (e.g. of a course)/(2) (col) outgrowing something/moving on/(P)/
卒業アルバム [そつぎょうアルバム] /(n) classbook (lit: graduation album)/yearbook/
卒業検定 [そつぎょうけんてい] /(n) driving school qualifying test (can lead to waiver of a formal test)/
卒業後 [そつぎょうご] /(n-adv,n-t) after graduation/
卒業試験 [そつぎょうしけん] /(n) graduation examination/graduation test/
卒業式 [そつぎょうしき] /(n) graduation ceremony/graduation exercises/
卒業証書 [そつぎょうしょうしょ] /(n) graduation certificate/diploma/testamur/
卒業制作 [そつぎょうせいさく] /(n) art project which is done in place of a graduation thesis at a college of arts/
卒業生 [そつぎょうせい] /(n) graduate/alumnus/
卒業論文 [そつぎょうろんぶん] /(n) graduation thesis/
卒検 [そっけん] /(n) (abbr) driving school qualifying test/
卒伍 [そつご] /(n) rank and file/the ranks/
卒爾 [そつじ] /(adj-na,n) abrupt/sudden/
卒者 [そつしゃ] /(n) graduate/
卒寿 [そつじゅ] /(n) 90th birthday/
卒制 [そっせい] /(n) (abbr) art project which is done in place of a graduation thesis at a college of arts/
卒制 [そつせい] /(n) (abbr) art project which is done in place of a graduation thesis at a college of arts/
卒先 [そっせん] /(n,vs) taking the initiative/
卒然 [そつぜん] /(adj-t,adv-to) sudden/unexpected/unannounced/abrupt/
卒族 [そつぞく] /(n) low-ranking samurai (1870-1872)/
卒中 [そっちゅう] /(n) cerebral stroke/apoplexy/
卒直 [そっちょく] /(adj-na,n) frankness/candour/candor/openheartedness/directness/
卒都婆 [そとば] /(n) (1) stupa/dagoba/(2) wooden grave tablet/
卒倒 [そっとう] /(n,vs) fainting/swooning/
卒塔婆 [そとうば] /(n) (1) stupa/dagoba/(2) wooden grave tablet/
卒塔婆 [そとば] /(n) (1) stupa/dagoba/(2) wooden grave tablet/
卒論 [そつろん] /(n) (abbr) graduation thesis/bachelor's degree thesis/
袖 [そで] /(n) (1) sleeve/(2) wing (of a stage)/(P)/
袖の下 [そでのした] /(n) bribe/money under the table/
袖の露 [そでのつゆ] /(n) tears falling onto the sleeve/
袖を通す [そでをとおす] /(exp,v5s) to put on (of clothing)/lit: to put (arms) through sleeves/
袖下 [そでした] /(n) (1) (arch) bottom of the sleeve/(2) height of the sleeve (of traditional Japanese clothing)/(3) secret/secret bribe/
袖垣 [そでがき] /(n) low fence flanking a gate or entrance/
袖口 [そでぐち] /(n) cuff/armhole/
袖山 [そでやま] /(n) (1) top crease of a sleeve (of traditional Japanese clothing)/(2) sleeve cap (of Western clothing)/
袖手傍観 [しゅうしゅぼうかん] /(n,vs) looking on with folded arms (with one's hands in one's sleeves)/remaining a passive onlooker/
袖丈 [そでたけ] /(n) (1) length of a sleeve (of Western clothing)/(2) height of a sleeve (of traditional Japanese clothing)/
袖振り合うも他生の縁 [そでふりあうもたしょうのえん] /(exp) (id) A meeting by chance is preordained/
袖柱 [そでばしら] /(n) small pillars supporting the main pillars of a torii or a temple gate/
袖珍本 [しゅうちんぼん] /(n) pocket-size book/
袖付 [そでつけ] /(n) attaching a sleeve to the body of a shirt/sleeve seam/
袖付け [そでつけ] /(n) attaching a sleeve to the body of a shirt/sleeve seam/
袖無し [そでなし] /(n) sleeveless/
袖裏 [そでうら] /(n) lining of a sleeve/sleeve lining/
袖刳り [そでぐり] /(n) sleeve-hole/armhole/
其 [し] /(n) (1) (arch) that/(2) you/(3) oneself/themself/
其々 [それぞれ] /(n-t) each/every/either/respectively/severally/
其とはなしに [それとはなしに] /(adv) indirectly/
其の [その] /(adj-pn) (1) (uk) that (something or someone distant from the speaker, close to the listener; actions of the listener, or ideas expressed or understood by the listener)/the/(int) (2) um.../er.../uh.../(P)/
其のまま [そのまま] /(adj-no) (uk) without change/as it is (i.e. now)/
其の為 [そのため] /(exp) hence/for that reason/
其の儀 [そのぎ] /(exp) that matter/those matters/
其の許 [そのもと] /(n) (arch) you (used toward one's equals or inferiors)/
其の筋 [そのすじ] /(n) (1) that field/(2) the authorities (esp. the police)/
其の後 [そのあと] /(n-adv,n-t) after that/afterwards/thereafter/
其の後 [そのご] /(n-adv,n-t) after that/afterwards/thereafter/
其の後 [そののち] /(n-adv,n-t) after that/afterwards/thereafter/
其の時は其の時 [そのときはそのとき] /(exp) (id) We'll think about it when the time comes/
其の実 [そのじつ] /(adv) in fact/
其の手は食わない [そのてはくわない] /(exp) (id) That trick won't do with me/
其の上 [そのうえ] /(conj) (1) in addition/furthermore/(2) above (which)/on top of (which)/
其の上で [そのうえで] /(exp) moreover/in addition/
其の場 [そのば] /(n) (1) there/that situation/that occasion/(2) the spot (i.e. "on the spot")/immediately/then and there/
其の場限り [そのばかぎり] /(n) temporary/ad hoc/
其の場逃れ [そのばのがれ] /(n) makeshift/stopgap/
其の場凌ぎ [そのばしのぎ] /(n,adj-no) stopgap/makeshift/temporary measure/
其の昔 [そのむかし] /(exp) a long time ago/in those days/
其の折 [そのおり] /(n-t,n-adv) on that occasion/at that time/
其の節 [そのせつ] /(n-adv) at that time/that time/
其の先 [そのさき] /(exp) beyond that point/after that/
其の他 [そのた] /(n-adv,conj) etc./otherwise/besides/in addition/the rest/the others/and so forth/
其の他 [そのほか] /(n-adv,conj) etc./otherwise/besides/in addition/the rest/the others/and so forth/
其の内 [そのうち] /(adv) (uk) eventually/sooner or later/of the previously mentioned/
其の日 [そのひ] /(exp) that day/the very same day/
其の日暮し [そのひぐらし] /(n) (1) financially scraping by/meagre existence (meager)/hand to mouth existence/(2) living one's life without plan/living life day-by-day/taking life one day at a time/
其の日暮らし [そのひぐらし] /(n) (1) financially scraping by/meagre existence (meager)/hand to mouth existence/(2) living one's life without plan/living life day-by-day/taking life one day at a time/
其の物 [そのもの] /(n) the very thing/itself/
其の分 [そのぶん] /(exp) (1) to that extent/(2) that state/that look/
其の癖 [そのくせ] /(conj) (uk) and yet/even so/nonetheless/for all that/
其の辺 [そのへん] /(n,adj-no) (1) around there/near there/(2) or thereabouts/or so/(3) such a matter/such a thing/
其の方 [そのかた] /(pn,adj-no) (hon) that person/
其の方 [そのほう] /(pn,adj-no) (arch) you (referring to one's inferior)/
其の儘 [そのまま] /(adj-no) (uk) without change/as it is (i.e. now)/(P)/
其の儘 [そのまんま] /(adj-no) (uk) without change/as it is (i.e. now)/
其れ [それ] /(n) (1) (uk) that (indicating an item or person near the listener, the action of the listener, or something on their mind)/it/(2) that time/then/(3) (arch) there (indicating a place near the listener)/(4) (arch) you/(P)/
其れから [それから] /(exp) (uk) and then/after that/(P)/
其れじゃ [それじゃ] /(exp) (1) (uk) well then .../(2) in that situation/in which case/
其れだけ [それだけ] /(n-t) (uk) that much/as much/to that extent/only that/that alone/no more than that/
其れっ切り [それっきり] /(n,adv) (1) (uk) no more than that/with that/on that note/altogether/(2) since then/ending there/
其れで [それで] /(conj) (uk) and/thereupon/because of that/(P)/
其れでこそ [それでこそ] /(n) (uk) quintessential point/what one expects/Attaboy!/
其れでは [それでは] /(exp) (1) (uk) well then .../(2) in that situation/in which case/(P)/
其れでも [それでも] /(conj) (uk) but (still)/and yet/nevertheless/even so/notwithstanding/(P)/
其れと [それと] /(conj) (uk) and then/even so/and/
其れとなく [それとなく] /(adv) (uk) indirectly/obliquely/
其れと無く [それとなく] /(adv) (uk) indirectly/obliquely/
其れと無しに [それとなしに] /(adv) (uk) indirectly/
其れどころか [それどころか] /(exp) (uk) on the contrary/
其れなし [それなし] /(exp) (uk) without that/
其れなら [それなら] /(conj) (uk) If that's the case .../If so .../That being the case .../(P)/
其れなり [それなり] /(adv,n) (uk) in itself/as it is/
其れなればこそ [それなればこそ] /(exp) for that very reason/
其れに [それに] /(conj) (uk) besides/moreover/(P)/
其れにもかかわらず [それにもかかわらず] /(conj) (uk) nonetheless/nevertheless/
其れにも拘わらず [それにもかかわらず] /(conj) (uk) nonetheless/nevertheless/
其れはそうと [それはそうと] /(exp) (uk) by the way/incidentally/
其れはそうとして [それはそうとして] /(exp) (uk) be that as it may/
其れ許り [そればかり] /(n-t) (uk) that much/as much/to that extent/only that/that alone/no more than that/
其れ共 [それとも] /(conj) (uk) or/or else/(P)/
其れ形 [それなり] /(adv,n) (uk) in itself/as it is/
其れ故 [それゆえ] /(conj) therefore/for that reason/so/
其れ故に [それゆえに] /(adv) and so .../
其れ自身 [それじしん] /(pn) itself/himself/herself/
其れ自体 [それじたい] /(n) in itself/the thing itself/this itself/for its own sake/per se/
其れ者 [それしゃ] /(n) (1) expert/(2) geisha/prostitute/
其れ処 [それどころ] /(exp,adj-no) (uk) (usu. before a verb in negative form) (not) so much/(not) that much/
其れ処か [それどころか] /(exp) (uk) on the contrary/
其れ所か [それどころか] /(exp) (uk) on the contrary/
其れ丈 [それだけ] /(n-t) (uk) that much/as much/to that extent/only that/that alone/no more than that/
其れ切り [それきり] /(n,adv) (uk) with that/on that note/altogether/ending at that point/cut off there/
其れ切り [それぎり] /(n,adv) (uk) with that/on that note/altogether/ending at that point/cut off there/
其れ相応 [それそうおう] /(adj-no,adj-na,n) appropriate/suitable/proper/fitting/
其れ其れ [それぞれ] /(n-t) each/every/either/respectively/severally/
其れ程 [それほど] /(adv) (uk) to that degree/extent/(P)/
其れ等 [それら] /(n) (uk) those (near the second person)/(P)/
其許 [そこもと] /(n) (1) (arch) that place/there/(pn,adj-no) (2) you (usu. used by samurai when speaking to their equals or inferiors)/
其許り [そればかり] /(n-t) (uk) that much/as much/to that extent/only that/that alone/no more than that/
其者 [それしゃ] /(io) (n) (1) expert/(2) geisha/prostitute/
其処 [そこ] /(n) (1) (uk) there (place relatively near listener)/(2) there (place just mentioned)/that place/(3) then (of some incident just spoken of)/that (of point just raised)/(4) (arch) you/(P)/
其処 [それどころ] /(exp,adj-no) (uk) (usu. before a verb in negative form) (not) so much/(not) that much/
其処いら [そこいら] /(n) (uk) that area/
其処で [そこで] /(conj) (uk) so/accordingly/now/then/thereupon/therefore/(P)/
其処な [そこな] /(adj-pn) (uk) (arch) there/
其処ら [そこら] /(n) (uk) everywhere/somewhere/approximately/that area/around there/
其処ら中 [そこらじゅう] /(n) everywhere/all over the place/
其処許 [そこもと] /(n) (1) (arch) that place/there/(pn,adj-no) (2) you (usu. used by samurai when speaking to their equals or inferiors)/
其処此処 [そこここ] /(n) (uk) here and there/in places/
其処等辺 [そこらへん] /(n-adv) (uk) (col) hereabouts/around there/that area/
其処彼処 [そこかしこ] /(exp) here and there/everywhere/
其所彼所 [そこかしこ] /(exp) here and there/everywhere/
其其 [それぞれ] /(n-t) each/every/either/respectively/severally/
其奴 [そいつ] /(pn,adj-no) (1) (uk) (col) that person (guy, fellow)/(2) that (one)/(P)/
其奴 [そやつ] /(pn,adj-no) (1) (uk) (col) that person (guy, fellow)/(2) that (one)/
其等 [それら] /(n) (uk) those (near the second person)/
其方 [そち] /(pn,adj-no) (1) (uk) that way (direction distant from the speaker, close to the listener)/(2) there (place distant from the speaker, close to the listener)/(3) that one (something close to the listener)/(4) you/your family/(5) that person (someone close to the listener)/
其方 [そちら] /(pn,adj-no) (1) (uk) that way (direction distant from the speaker, close to the listener)/(2) there (place distant from the speaker, close to the listener)/(3) that one (something close to the listener)/(4) you/your family/(5) that person (someone close to the listener)/(P)/
其方 [そっち] /(pn,adj-no) (1) (uk) that way (direction distant from the speaker, close to the listener)/(2) there (place distant from the speaker, close to the listener)/(3) that one (something close to the listener)/(4) you/your family/(5) that person (someone close to the listener)/(P)/
其方 [そなた] /(pn,adj-no) (1) (uk) that way (direction distant from the speaker, close to the listener)/(2) there (place distant from the speaker, close to the listener)/(3) that one (something close to the listener)/(4) you/your family/(5) that person (someone close to the listener)/
其方退け [そちのけ] /(n) (uk) ignoring (one thing) for (another)/
其方退け [そっちのけ] /(n) (uk) ignoring (one thing) for (another)/
其方様 [そちらさま] /(pn,adj-no) (hon) you/
揃い [そろい] /(n) set/suit/uniform/
揃いも揃って [そろいもそろって] /(exp) every one of/
揃い踏み [そろいぶみ] /(n) (1) ritual stamping in a sumo ring/(n,vs) (2) lineup/appearance together/
揃う [そろう] /(v5u,vi) (1) to become complete/to be all present/to be a full set/to have everything at one's disposal/(2) to be equal/to be uniform/(3) to gather/to assemble/(P)/
揃える [そろえる] /(v1,vt) (1) to collect/to gather/to get together/to complete (a collection)/(2) to arrange/to put in order/to prepare/to get ready/(3) to make uniform/to make even/to match/(P)/
揃え箸 [そろえばし] /(n) aligning one's chopsticks by tapping them on the table, a dish, etc. (a breach of etiquette)/
揃え方 [そろえかた] /(n) way of justification, sorting, etc./
揃った蔵書 [そろったぞうしょ] /(n) good collection of books/
揃って [そろって] /(exp) all together/in a body/en masse/all alike/
揃わない [そろわない] /(adj-i) unequal/uneven/incomplete/odd/
存じ [ぞんじ] /(n) (hum) knowing/
存じる [ぞんじる] /(v1) (hum) to think, feel, consider, know, etc./(P)/
存じ上げる [ぞんじあげる] /(v1,vt) (hum) to know/to think/
存する [そんする] /(vs-s) to exist/
存ずる [ぞんずる] /(vz,vi) (hum) to think, feel, consider, know, etc./
存外 [ぞんがい] /(adj-na,adv,n) beyond or contrary to expectations/
存在 [そんざい] /(n,vs,adj-no) existence/being/(P)/
存在意義 [そんざいいぎ] /(n) meaning of life/meaning of one's existence/
存在感 [そんざいかん] /(n) one's presence (as felt by others)/
存在者 [そんざいしゃ] /(n) entity/
存在理由 [そんざいりゆう] /(n) reason for being/raison d'etre/
存在論 [そんざいろん] /(n) ontology/
存在論的証明 [そんざいろんてきしょうめい] /(n) ontological argument/
存生 [ぞんじょう] /(n,vs) being alive/
存続 [そんぞく] /(n,vs) duration/continuance/(P)/
存知 [ぞんじ] /(ateji) (n) (hum) knowing/
存知 [ぞんじ] /(n,vs) (arch) knowledge of/
存知 [ぞんち] /(n,vs) (arch) knowledge of/
存置 [そんち] /(n,vs) maintain/retain/continue/
存念 [ぞんねん] /(n) opinion/idea/
存廃 [ぞんぱい] /(n) (whether to) continue or eliminate/existence/(P)/
存廃問題 [そんぱいもんだい] /(n) question of maintenance or abolition (of an institution, organization, etc.)/
存否 [そんぴ] /(n) (whether) existent or non-existent/life or death/
存否 [ぞんぴ] /(n) (whether) existent or non-existent/life or death/
存分 [ぞんぶん] /(adj-na,adv,n) to one's heart's content/as much as one wants/(P)/
存分に [ぞんぶんに] /(adv) freely/to one's heart's content/
存亡 [そんぼう] /(n) life or death/existence/destiny/(P)/
存命 [ぞんめい] /(n,vs) being alive/
存命中 [ぞんめいちゅう] /(n) in one's lifetime/(while) in life/
存立 [そんりつ] /(n,vs) existence/subsistence/(P)/
孫 [まご] /(n) grandchild/(P)/
孫さん [まごさん] /(n) grandchild/
孫の手 [まごのて] /(n) back scratcher/
孫引き [まごびき] /(n,vs) citation at second remove/second hand citation/
孫局 [まごきょく] /(n) (comp) (computer) sub-node/sub-station/
孫子 [そんし] /(n) (1) (hon) Sun Tzu (Chinese military strategist, 544?-496 BCE)/(2) The Art of War (military text by Sun Tzu, 512 BC)/(3) Sun Bin Bing Fa (military text by Sun Bin)/
孫子 [まごこ] /(n) children and grandchildren/posterity/descendants/
孫子の兵法 [そんしのへいほう] /(n) The Art of War (military text by Sun Tzu, 512 BCE)/
孫請け [まごうけ] /(n,vs) sub-sub contractor/
孫息子 [まごむすこ] /(n) grandson/
孫太郎虫 [まごたろうむし] /(n) (col) hellgrammite (larva of dobsonfly species Protohermes grandis)/
孫弟子 [まごでし] /(n) disciples of one's disciples/
孫文主義 [そんぶんしゅぎ] /(n) (Sun Yat-sen's) Three Principles of the People/
孫娘 [まごむすめ] /(n) granddaughter/(P)/
尊 [そん] /(n) (1) zun (ancient Chinese wine vessel, usu. made of bronze)/(pref) (2) (arch) (hon) honorific prefix referring to the listener/(suf,ctr) (3) counter for buddhas/
尊 [とうと] /(n) (arch) value/preciousness/nobility/
尊 [みこと] /(n) (1) (after the name of a god or a noble) Lord/Highness/(2) (arch) (derog) you/
尊い [たっとい] /(adj-i) precious/valuable/priceless/noble/exalted/sacred/(P)/
尊い [とうとい] /(adj-i) precious/valuable/priceless/noble/exalted/sacred/(P)/
尊い油 [たっといあぶら] /(n) anointing oil/
尊い油 [とうといあぶら] /(n) anointing oil/
尊ぶ [たっとぶ] /(v5b,vt) to value/to prize/to esteem/to respect/(P)/
尊ぶ [とうとぶ] /(v5b,vt) to value/to prize/to esteem/to respect/(P)/
尊む [たっとむ] /(v5m) to value/to prize/to honor/to respect/
尊意 [そんい] /(n) your idea/
尊影 [せいえい] /(n) (pol) portrait/
尊影 [そんえい] /(n) (pol) portrait/
尊王 [そんのう] /(n) reverence for the emperor/advocate of imperial rule/
尊王家 [そんのうか] /(n) Royalists/
尊王党 [そんのうとう] /(n) Imperialists/
尊王討幕 [そんのうとうばく] /(n) reverence for the emperor and the overthrow of the shogunate/
尊王攘夷 [そんのうじょうい] /(n) 19th century slogan advocating reverence for the Emperor and the expulsion of (barbarian) foreigners/
尊下 [そんか] /(n) Obediently yours/
尊家 [そんか] /(n) your house/
尊簡 [そんかん] /(n) (pol) someone's letter/
尊顔 [そんがん] /(n) your countenance/
尊貴 [そんき] /(adj-na,n) noble (person)/
尊君 [そんくん] /(n) (pol) someone's father/one's companion/
尊兄 [そんけい] /(pn,adj-no) (pol) an elder brother/elderly person/
尊敬 [そんけい] /(n,vs) respect/esteem/reverence/honour/honor/(P)/
尊敬語 [そんけいご] /(n) (ling) honorific language/
尊敬心 [そんけいしん] /(n) respect/
尊厳 [そんげん] /(adj-na,n) dignity/majesty/sanctity/(P)/
尊厳死 [そんげんし] /(n) death with dignity/natural death (as opposed to extending one's life unnaturally with life support)/
尊公 [そんこう] /(pn,adj-no) (pol) you/your father/
尊皇 [そんのう] /(n) reverence for the emperor/advocate of imperial rule/
尊皇王 [そんのう] /(n) reverence for the emperor/advocate of imperial rule/
尊皇王攘夷 [そんのうじょうい] /(n) 19th century slogan advocating reverence for the Emperor and the expulsion of (barbarian) foreigners/
尊皇攘夷 [そんのうじょうい] /(n) 19th century slogan advocating reverence for the Emperor and the expulsion of (barbarian) foreigners/
尊号 [そんごう] /(n) honorary title/title of honour/title of honor/
尊師 [そんし] /(n) holy master/guru/
尊者 [そんじゃ] /(n) Buddhist saint/man of high repute/guest of honor/guest of honour/
尊重 [そんちょう] /(n,vs) respect/esteem/regard/(P)/
尊書 [そんしょ] /(n) (pol) someone's letter/
尊称 [そんしょう] /(n) honorary title/(P)/
尊上 [そんじょう] /(n) one's superior/
尊信 [そんしん] /(n,vs) reverence/
尊崇 [そんすう] /(n,vs) reverence/veneration/
尊像 [そんぞう] /(n) statue of a noble character/your picture/
尊属 [そんぞく] /(n) direct ancestors/noble ancestors/
尊属殺人 [そんぞくさつじん] /(n) patricide/parricide/matricide/
尊族 [そんぞく] /(n) direct ancestors/noble ancestors/
尊体 [そんたい] /(n) (1) your health/(2) (Buddh) image/
尊台 [そんだい] /(pn,adj-no) you (ancient or literary)/
尊大 [そんだい] /(adj-na,n) haughtiness/pomposity/self-sufficiency/
尊大語 [そんだいご] /(n) (hon) speech used by the speaker to convey the social stature between the speaker and listener/language conveying that the speaker is of greater social status than the listener/
尊大不遜 [そんだいふそん] /(n,adj-na) arrogant and presumptuous/haughty arrogance/intolerable insolence/
尊宅 [そんたく] /(n) your house/
尊長 [そんちょう] /(n) one's superiors/one's seniors/
尊堂 [そんどう] /(pn,adj-no) your family/your mother/
尊卑 [そんぴ] /(n) high and low/aristocrat and plebeian/
尊父 [そんぷ] /(n) your father/
尊名 [そんめい] /(n) (hon) your name/
尊命 [そんめい] /(n) your order/
尊容 [そんよう] /(n) your countenance/
尊来 [そんらい] /(n) your visit/
尊慮 [そんりょ] /(n) your will/your idea/
尊攘 [そんじょう] /(n) (abbr) revering the Emperor/
損 [そん] /(adj-na,n,n-suf) loss/disadvantage/(P)/
損う [そこなう] /(io) (suf,v5u) to harm/to hurt/to injure/to damage/to fail in doing/(P)/
損して得取る [そんしてとくとる] /(exp) (id) You must lose a fly to catch a trout/
損じ [そんじ] /(n) slip/error/failure/
損じる [そんじる] /(v1,vi) to harm/to hurt/to injure/to damage/
損する [そんする] /(vs-s) to lose/(P)/
損なう [そこなう] /(suf,v5u) to harm/to hurt/to injure/to damage/to fail in doing/(P)/
損な条件 [そんなじょうけん] /(n) unfavorable conditions/unfavourable conditions/
損になる [そんになる] /(exp,v5r) to prove a loss/to be a disadvantage/to not pay/
損ねる [そこねる] /(v1,vt) (1) to harm/to hurt/to injure/to wreck/(aux-v) (2) to miss out, despite wanting to do/(P)/
損をした所で [そんをしたところで] /(exp) even if one loses/
損益 [そんえき] /(n) profit and loss/advantage and disadvantage/(P)/
損益勘定 [そんえきかんじょう] /(n) profit and loss account/
損益計算書 [そんえきけいさんしょ] /(n) profit and loss statement/
損益分岐点 [そんえきぶんきてん] /(n) the break-even point/
損壊 [そんかい] /(n,vs) damage/destruction/(P)/
損害 [そんがい] /(n,vs) damage/injury/loss/(P)/
損害を被る [そんがいをこうむる] /(exp,v5r) to suffer a loss/
損害を蒙る [そんがいをこうむる] /(exp,v5r) to suffer a loss/
損害を与える [そんがいをあたえる] /(exp,v1) to damage/to do harm/to disadvantage/
損害額 [そんがいがく] /(n) amount of damages or loss/
損害請求 [そんがいせいきゅう] /(n) damage claim/
損害賠償 [そんがいばいしょう] /(n,vs) restitution/damages/
損害賠償訴訟 [そんがいばいしょうそしょう] /(n) damages suit/
損害保険 [そんがいほけん] /(n) damage insurance/(P)/
損気 [そんき] /(n) disadvantage/
損金 [そんきん] /(n) financial loss/
損失 [そんしつ] /(n) loss (e.g. assets or profits)/(P)/
損失を償う [そんしつをつぐなう] /(exp,v5u) to recompense for a loss/
損失補填 [そんしつほてん] /(n) compensation for a loss/
損所 [そんしょ] /(n) damaged spot/damaged part/
損傷 [そんしょう] /(n,vs) damage/injury/(P)/
損傷ログ記録 [そんしょうログきろく] /(n) (comp) log-damage record/
損得 [そんとく] /(n) loss and gain/advantage and disadvantage/(P)/
損得なし [そんとくなし] /(n) even (of a trade)/no advantage and no disadvantage/
損得勘定 [そんとくかんじょう] /(n) profit-and-loss arithmetic/calculating profit and loss/mercenary point of view/
損得無し [そんとくなし] /(n) even (of a trade)/no advantage and no disadvantage/
損保 [そんぽ] /(n) (abbr) damage insurance/
損亡 [そんぼう] /(n,vs) loss/
損耗 [そんもう] /(n,vs) loss/
損耗人員 [そんもうじんいん] /(n) casualty/
損率 [そんりつ] /(n) loss factor/
損流 [そんりゅう] /(n) loss current/
損料 [そんりょう] /(n) rental fee/
村 [むら] /(n) village/(P)/
村々 [むらむら] /(n) villages/
村おこし [むらおこし] /(n) revitalization of a village/village renewal (project)/
村のお社 [むらのおやしろ] /(n) village shrine/
村雨 [むらさめ] /(ateji) (n) passing shower/
村雲 [むらくも] /(n) gathering clouds/group of clouds/
村翁 [そんおう] /(n) village elder/
村会 [そんかい] /(n) village assembly/
村外れ [むらはずれ] /(n) edge of town/outskirts of a village/
村起こし [むらおこし] /(n) revitalization of a village/village renewal (project)/
村議会 [そんぎかい] /(n) village assembly/(P)/
村興し [むらおこし] /(n) revitalization of a village/village renewal (project)/
村時雨 [むらしぐれ] /(ateji) (n) autumn shower/fall shower/
村芝居 [むらしばい] /(n) play put on in a village/play put on by villagers/
村社 [そんしゃ] /(n) township shrine/
村庄 [そんしょう] /(n) village/countryside/country house/
村上ファンド [むらかみファンド] /(n) Murakami Fund (Japanese investment fund)/
村人 [むらびと] /(n) villager/(P)/
村長 [そんちょう] /(n) village headman/(P)/
村童 [そんどう] /(n) village child/
村道 [そんどう] /(n) village road/
村内 [そんない] /(n,adj-no) interior of a village/
村八分 [むらはちぶ] /(n) ostracism/
村費 [そんぴ] /(n) village expenses/at village expense/
村夫子 [そんぷうし] /(n) rural scholar or pedagogue/pedant/
村民 [そんみん] /(n) villager/(P)/
村役場 [むらやくば] /(n) village office/
村有 [そんゆう] /(n) village-owned/village property/
村落 [そんらく] /(n) village/hamlet/settlement/
村落共同体 [そんらくきょうどうたい] /(n) village community/
村里 [むらざと] /(n) village/
村立 [そんりつ] /(n,adj-no) established or operated by a village/
遜る [へりくだる] /(v5r,vi) to deprecate oneself and praise the listener/to abase oneself/
遜色 [そんしょく] /(n) inferiority/
遜色がある [そんしょくがある] /(exp) to be inferior to/to suffer by comparison with (something)/
遜色がない [そんしょくがない] /(adj-i) bears comparison with (something)/compares favorably with (something)/compares favourably with (something)/isn't inferior to (something)/
遜色のない [そんしょくのない] /(adj-i) favourably comparing/
他 [た] /(n-adv,n,adj-no) other (esp. people and abstract matters)/(P)/
他 [ほか] /(adj-no,n,n-adv) other (esp. places and things)/the rest/
他でもない [ほかでもない] /(exp) what I want to say is .../the fact of the matter is .../
他ならない [ほかならない] /(adj-i) nothing but/no other than/
他ならぬ [ほかならぬ] /(exp) nothing but/no other than/
他に [ほかに] /(adv) in addition/besides/
他に何か [ほかになにか] /(exp) is there anything else?/
他の言に惑わされる [たのげんにまどわされる] /(exp,v1) to be led astray by others opinion/
他の式の銃 [たのしきのじゅう] /(n) another type of gun/
他の物 [たのもの] /(n) the other thing/the other man's property/
他愛 [たあい] /(n) altruism/
他愛ない [たわいない] /(adj-i) (uk) silly/foolish/absurd/childish/easy/trifling/guileless/
他愛のない [たわいのない] /(adj-i) (uk) silly/foolish/absurd/childish/easy/trifling/guileless/
他愛の無い [たわいのない] /(adj-i) (uk) silly/foolish/absurd/childish/easy/trifling/guileless/
他愛もない [たわいもない] /(adj-i) (uk) silly/foolish/absurd/childish/easy/trifling/guileless/
他愛も無い [たわいもない] /(adj-i) (uk) silly/foolish/absurd/childish/easy/trifling/guileless/
他愛無い [たわいない] /(adj-i) (uk) silly/foolish/absurd/childish/easy/trifling/guileless/
他意 [たい] /(n) ill will/malice/another intention/secret purpose/ulterior motive/fickleness/double-mindedness/
他家 [たけ] /(n) another family/
他界 [たかい] /(n) (1) death/the next world/(vs) (2) to pass away/to die/
他覚症 [たかくしょう] /(n) objective symptoms/symptoms observed by the doctor/
他覚症状 [たかくしょうじょう] /(n) objective symptoms/symptoms observed by the doctor/
他覚的 [たかくてき] /(adj-na) objective (symptoms)/
他郷 [たきょう] /(n) another place/foreign country/
他県 [たけん] /(n) another prefecture/
他見 [たけん] /(n) viewing by others/showing others/
他言 [たげん] /(n,vs) telling others/revealing to others/letting out a secret/
他言 [たごん] /(n,vs) telling others/revealing to others/letting out a secret/
他言無用 [たごんむよう] /(exp) Not a word to anyone/Mum's the word/
他校 [たこう] /(n) another school/other schools/
他行 [たぎょう] /(n,vs) (1) absence from home/going out/(2) another bank/
他行 [たこう] /(n,vs) (1) absence from home/going out/(2) another bank/
他国 [たこく] /(n,vs) foreign country/another province/(P)/
他国者 [たこくもの] /(n) stranger/person from another place/
他国人 [たこくじん] /(n) foreigner/alien/stranger/
他国民 [たこくみん] /(n) other nations/other peoples/
他殺 [たさつ] /(n) murder/(P)/
他山 [たざん] /(n) another mountain/another temple/
他山の石 [たざんのいし] /(n) lesson learned from someone's else mistake/object lesson/food for thought/stones from other mountains (can be used to polish one's own gems)/
他山の石以て玉を攻むべし [たざんのいしもってたまをおさむべし] /(exp) (arch) one should learn from other's mistakes/stones from other mountains can be used to polish one's own gems/
他事 [たじ] /(n) other matters/other people's affairs/
他社 [たしゃ] /(n) another company/other company/(P)/
他者 [たしゃ] /(n) another person/others/(P)/
他者間 [たしゃかん] /(n,adj-no) multilateral/multi-party/
他車 [たしゃ] /(exp) other cars/
他種 [たしゅ] /(adj-no,n) another species/other species/
他受信者名表示 [ほかじゅしんしゃめいひょうじ] /(n) (comp) disclosure of other recipients/
他宗 [たしゅう] /(n) another sect/
他州 [たしゅう] /(n) another state/different region/
他出 [たしゅつ] /(n,vs) going out/
他処 [たしょ] /(n) (1) another place/somewhere else/elsewhere/(2) (arch) moving (to another place)/
他所 [たしょ] /(n) (1) another place/somewhere else/elsewhere/(2) (arch) moving (to another place)/
他所 [よそ] /(n) (1) another place/somewhere else/strange parts/(2) outside (one's family or group)/those people/(3) unrelated matter/
他所者 [よそもの] /(n) stranger/outsider/
他称 [たしょう] /(n) (ling) third person/
他色 [たしょく] /(n) discolouration of a mineral due to impurities (discoloration)/
他心 [あだごころ] /(n) (arch) cheating heart/fleeting heart/fickle heart/
他心 [たしん] /(n) other intention/secret purpose/ulterior motive/ill will/fickleness/double-mindedness/
他人 [あだびと] /(n) another person/unrelated person/outsider/stranger/
他人 [たにん] /(n) another person/unrelated person/outsider/stranger/(P)/
他人の空似 [たにんのそらに] /(n) accidental resemblance/
他人の名を騙って [たにんのなをかたって] /(exp) under a false name/
他人扱い [たにんあつかい] /(n,vs) treating like a stranger/
他人行儀 [たにんぎょうぎ] /(adj-na,n) reserved manners/
他人事 [たにんごと] /(n) other people's affairs/somebody else's problem/
他人事 [ひとごと] /(n) other people's affairs/somebody else's problem/
他人事ではない [ひとごとではない] /(exp) don't think it's somebody else's problem, it could very well be (have been) yours (mine)/
他人任せ [たにんまかせ] /(n) leaving (it) to others/
他人任せ [ひとまかせ] /(ik) (n) leaving (it) to others/
他人迷惑 [たにんめいわく] /(n) nuisance (annoyance, inconvenience) to people around one/social nuisance/
他人様 [ひとさま] /(n) other people/others/
他人丼 [たにんどん] /(n) bowl of rice with cooked meat (other than chicken) and eggs on top/oyakodon made with something other than chicken/
他世界 [たせかい] /(n) other worlds/
他姓 [たせい] /(n) another surname/
他生 [たしょう] /(n) previous existence/future existence/transmigration/
他生の縁 [たしょうのえん] /(n) karma from a previous existence/
他薦 [たせん] /(n,vs) recommendation/(P)/
他薦 [たぜん] /(n,vs) recommendation/
他村 [たそん] /(n) another village/
他店 [たてん] /(n) another shop, store, or firm/
他党 [たとう] /(n) other parties/other forces/
他動 [たどう] /(n) (ling) (abbr) transitive verb/
他動詞 [たどうし] /(n) (ling) transitive verb (direct obj.)/
他動的 [たどうてき] /(adj-na) passive/lacking initiative/lacking autonomy/
他日 [たじつ] /(n-adv,n-t) some day/hereafter/at some future time/
他年 [たねん] /(n-adv,n-t) some other year/some day/
他念 [たねん] /(n) thinking about something else/
他念なく [たねんなく] /(adv) eagerly/intently/
他念無く [たねんなく] /(adv) eagerly/intently/
他派 [たは] /(n) the other group/(P)/
他府県 [たふけん] /(n) other prefectures/
他物 [たぶつ] /(n) the other thing/the other man's property/
他聞 [たぶん] /(n) informing/
他方 [たほう] /(n,adj-no) (1) one (esp. of two)/the other/one way/the other way/one direction/the other direction/one side/the other side/one party/the other party/(conj) (2) on the other hand/(P)/
他面 [ためん] /(n-adv,n-t) the other side/another direction/(on) the other hand/(P)/
他律 [たりつ] /(n,adj-no) heteronomy/subjection/subordination/
他流 [たりゅう] /(n) another style/another school (of thought)/different blood/
他流試合 [たりゅうじあい] /(n) contest between different schools (of fencing, etc.)/
他領 [たりょう] /(n) another fief/
他力 [たりき] /(n) outside help/salvation by faith/
他力本願 [たりきほんがん] /(n) (1) (Buddh) salvation by faith in Amitabha/(2) relying upon others for attaining one's own objective/
他励 [たれい] /(n,adj-no) separate excitation/
他處 [たしょ] /(oK) (n) (1) another place/somewhere else/elsewhere/(2) (arch) moving (to another place)/
多 [た] /(n,pref) multi-/(P)/
多々 [たた] /(adv) very much/very many/more and more/
多々 [ふさふさ] /(adj-na,adv,adv-to) (uk) in tufts/tufty/
多い [おおい] /(adj-i) many/numerous/(P)/
多かれ少なかれ [おおかれすくなかれ] /(exp) to a greater or lesser extent (degree)/more or less/
多く [おおく] /(adv) many/much/largely/abundantly/mostly/
多くの場合 [おおくのばあい] /(n) in many cases/
多くの中から選ぶ [おおくのなかからえらぶ] /(exp,v5b) to choose among many things/
多ければ多い程よい [おおければおおいほどよい] /(exp) the more, the better/
多ければ多い程良い [おおければおおいほどよい] /(exp) the more, the better/
多すぎる [おおすぎる] /(v1) to be too numerous/to be too much/
多とする [たとする] /(exp,vs-i) to appreciate/to be thankful/
多らか [おおらか] /(adj-na) (1) (uk) placid/composed/serene/calm/(2) big hearted/broad-minded/magnanimous/(3) great quantity (of something)/
多オクテット [たオクテット] /(n) (comp) multi-byte/multi-octet/
多ソート [たソート] /(n) multisort/
多バイト [たバイト] /(n) multibyte/
多バイト文字 [たバイトもじ] /(n) (comp) multibyte character/
多飲 [たいん] /(n) polydipsia/excessive thirst (e.g. with diabetes)/
多雨 [たう] /(n,adj-no) heavy rain/
多雨林 [たうりん] /(n) (obsc) tropical rainforest/
多音節 [たおんせつ] /(n) polysyllable/
多価 [たか] /(n,adj-no) polyvalence/multivalence/
多価アルコール [たかアルコール] /(n) polyalcohol/
多価ワクチン [たかワクチン] /(n) multivalent vaccine/polyvalent vaccine/
多価不飽和脂肪酸 [たかふほうわしぼうさん] /(n) polyunsaturated fatty acid/
多寡 [たか] /(n) quantity/number/amount/(P)/
多過ぎる [おおすぎる] /(v1) to be too numerous/to be too much/
多角 [たかく] /(n,adj-no) many-sided/versatile/polygonal/diversified/(P)/
多角化 [たかくか] /(n,vs) diversification/
多角化の経済 [たかくかのけいざい] /(n) economics of scope/economics of diversification/
多角形 [たかくけい] /(n) polygon/
多角形 [たかっけい] /(n) polygon/
多角形の辺 [たかっけいのへん] /(n) side of a polygon/
多角経営 [たかくけいえい] /(n,adj-no) diversified management/diversification/
多角式農業 [たかくしきのうぎょう] /(n) multiple agriculture/
多角的 [たかくてき] /(adj-na) multilateral/many-sided/diversified/(P)/
多角的貿易交渉 [たかくてきぼうえきこうしょう] /(n) multilateral trade negotiations/MTN/
多角貿易 [たかくぼうえき] /(n) multilateral trade/
多額 [たがく] /(adj-na,n,adj-no) large amount of money/(P)/
多額納税者 [たがくのうぜいしゃ] /(n) top taxpayer/
多感 [たかん] /(adj-na,n) sensitive/emotional/
多汗症 [たかんしょう] /(n) hyperhidrosis/
多関節 [たかんせつ] /(n,adj-no) multiple joints/multijoint/articulated/
多岐 [たき] /(adj-na,n) digression/many divergences/(P)/
多岐にわたる [たきにわたる] /(exp,v5r) to cover a lot of ground/to include a lot of topics/(as adjectival phrase) wide-ranging/
多岐に渡る [たきにわたる] /(exp,v5r) to cover a lot of ground/to include a lot of topics/(as adjectival phrase) wide-ranging/
多岐多様 [たきたよう] /(n,adj-na) wide-ranging and diverse/multifarious/
多岐亡羊 [たきぼうよう] /(n) too many options making selection difficult/truth being hard to find as paths to it proliferate/
多機能 [たきのう] /(n) (comp) multifunction, multipurpose/
多義 [たぎ] /(n,adj-no) various meanings/
多義語 [たぎご] /(n) (comp) polyseme/
多義性 [たぎせい] /(n) (ling) ambiguity (of a word)/polysemy/
多義的 [たぎてき] /(adj-na) ambiguous/polysemous/equivocal/having many meanings/
多極 [たきょく] /(adj-no) multipolar/
多極化 [たきょくか] /(n,vs) multipolarization/multipolarisation/
多型 [たけい] /(n,adj-no) polymorphism/
多形 [たけい] /(n,adj-no) polymorphous/
多形性 [たけいせい] /(n,adj-no) polymorphism/
多系統 [たけいとう] /(n,adj-no) (1) multisystem/(2) polyphyletic/
多芸 [たげい] /(adj-na,n) versatility/
多芸は無芸 [たげいはむげい] /(exp) being multi-talented means never really being especially good at any one thing/jack of all trades, master of none/
多芸性 [たげいせい] /(n) versatile/
多芸多才 [たげいたさい] /(n,adj-na,adj-no) versatile/multi-talented/
多結晶性 [たけっしょうせい] /(adj-f) polycrystalline/
多血質 [たけつしつ] /(n) sanguine temperament/
多元 [たげん] /(n,adj-no) pluralistic/
多元接続 [たげんせつぞく] /(n) (comp) multiple-access (e.g. TDMA, CDMA)/
多元接続方式 [たげんせつぞくほうしき] /(n) (comp) multiple access methods (FDMA, TDMA, CDMA)/
多元的 [たげんてき] /(adj-na,n) pluralism/plurality/(P)/
多元分類体系 [たげんぶんるいたいけい] /(n) (comp) multidimensional classification system/
多元文化論 [たげんぶんかろん] /(n) multiculturalism/
多元放送 [たげんほうそう] /(n) broadcast originating from multiple locations/
多元方程式 [たげんほうていしき] /(n) hypercomplex equation/plural equation/
多元論 [たげんろん] /(n) pluralism/
多原子 [たげんし] /(n) polyatomic/
多言 [たげん] /(n,vs) talkativeness/verbosity/garrulity/
多言語 [たげんご] /(adj-no) multilingual/
多言語サポート [たげんごサポート] /(n) (comp) multilingual support/
多言語シソーラス [たげんごシソーラス] /(n) (comp) multilingual thesaurus/
多言語対応 [たげんごたいおう] /(n) (comp) multilingual support/
多光子励起 [たこうしれいき] /(n) multiphoton excitation/
多孔 [たこう] /(n,adj-no) porous/cavernous/open (weave)/
多孔質材 [たこうしつざい] /(n) porous material/
多孔性 [たこうせい] /(n) porosity/
多幸 [たこう] /(adj-na,n) great happiness/
多幸感 [たこうかん] /(n) (1) euphoria/eudemonia/(adj-f) (2) euphoric/
多幸症 [たこうしょう] /(n) (1) euphoria/(adj-f) (2) euphoric/
多項回帰 [たこうかいき] /(n) (comp) polynomial regression/
多項式 [たこうしき] /(n,adj-no) polynomial/
多国間 [たこくかん] /(adj-no) multilateral/multinational/
多国間協議 [たこくかんきょうぎ] /(n) multilateral conference/multilateral negotiations/
多国間主義 [たこくかんしゅぎ] /(n) multilateralism/
多国籍 [たこくせき] /(n) multinational/
多国籍企業 [たこくせききぎょう] /(n) multinational corporation/
多国籍軍 [たこくせきぐん] /(n) multinational force/
多国籍言語 [たこくせきげんご] /(n) multilingual/in many languages/
多恨 [たこん] /(adj-na,n) many troubles or sadnesses or vexations or grudges/
多妻 [たさい] /(n) polygamy/polygyny/
多彩 [たさい] /(adj-na,n,adj-no) variegated/varicoloured/multi-colored/diverse/(P)/
多才 [たさい] /(adj-na,n,adj-no) talented/(P)/
多細胞生物 [たさいぼうせいぶつ] /(n) multicellular organism/
多剤耐性 [たざいたいせい] /(n) multi-drug-resistance/MDR/
多作 [たさく] /(adj-na,adj-no) (1) prolific/productive/(vs) (2) to be prolific/to write prolifically/
多産 [たさん] /(n,adj-no) (1) fecundity/(adj-na) (2) fecund/fertile/fruitful/prolific/reproductive/
多産系 [たさんけい] /(n) variety which bears many young/
多酸塩基 [たさんえんき] /(n) polyacidic base/
多士済々 [たしさいさい] /(n,adj-na,adj-no,adj-t,adv-to) galaxy of able persons/collection of intellectuals/
多士済々 [たしせいせい] /(uK) (n,adj-na,adj-no,adj-t,adv-to) galaxy of able persons/collection of intellectuals/
多士済済 [たしさいさい] /(n,adj-na,adj-no,adj-t,adv-to) galaxy of able persons/collection of intellectuals/
多士済済 [たしせいせい] /(uK) (n,adj-na,adj-no,adj-t,adv-to) galaxy of able persons/collection of intellectuals/
多肢選択 [たしせんたく] /(adj-no) multiple-choice/
多肢選択式 [たしせんたくしき] /(n,adj-f) multiple-choice/
多肢選択法 [たしせんたくほう] /(n) (obsc) multiple-choice/
多事 [たじ] /(adj-na,n) eventfulness/
多事多端 [たじたたん] /(adj-na,n) eventfulness/pressure of business/
多事多難 [たじたなん] /(adj-na,n) various difficulties/
多時 [たじ] /(n) (arch) lots of time/
多次元 [たじげん] /(n) multidimensional/
多次元配列 [たじげんはいれつ] /(n) (comp) multidimensional array/
多湿 [たしつ] /(adj-na,n,adj-no) high humidity/(P)/
多者間 [たしゃかん] /(n,adj-no) multilateral/multi-party/
多者通話 [たしゃつうわ] /(n) conference call (phone option)/conference calling/
多謝 [たしゃ] /(n,vs) many thanks/
多種 [たしゅ] /(adj-na,n,adj-no) many kinds/various/
多種多面 [たしゅためん] /(n,adj-na) wide-ranging and diverse/multifarious/
多種多様 [たしゅたよう] /(adj-na,n,adj-no) a great variety of/diversity/
多趣味 [たしゅみ] /(adj-na,n) multivaried interests/
多衆 [たしゅう] /(n) crowd (of people)/large group of people/
多重 [たじゅう] /(n,adj-no,adj-na) multiple/multiplex/(P)/
多重タスキング [たじゅうタスキング] /(n) (comp) multitasking/multi-tasking/
多重タスク処理 [たじゅうタスクしょり] /(n) (comp) multitasking/
多重チャネル [たじゅうチャネル] /(n) (comp) multiplexer channel/
多重ネットワーク [たじゅうネットワーク] /(n) (comp) multisystem network/
多重プログラミング [たじゅうプログラミング] /(n) (comp) multiprogramming/
多重プロセッサ [たじゅうプロセッサ] /(n) (comp) multiprocessor/
多重プロセッシング [たじゅうプロセッシング] /(n) (comp) multiprocessing/
多重化 [たじゅうか] /(n,vs) multiplexing/
多重化装置 [たじゅうかそうち] /(n) (comp) multiplexer/multiplexing equipment/
多重仮想アドレス空間 [たじゅうかそうアドレスくうかん] /(n) (comp) multiple virtual address space/
多重仮想記憶方式 [たじゅうかそうきおくほうしき] /(n) (comp) multiple virtual storage/
多重階層 [たじゅうかいそう] /(n) (comp) poly-hierarchy/
多重債務者 [たじゅうさいむしゃ] /(n) person with multiple debts/
多重索引順編成法 [たじゅうさくいんじゅんへんせいほう] /(n) (comp) MISAM/Multikey Indexed Sequential Access Method/
多重処理 [たじゅうしょり] /(n) (comp) multiplexing/multiprocessing/
多重人格 [たじゅうじんかく] /(n) multiple personality/split personality/
多重適合決定表 [たじゅうてきごうけっていひょう] /(n) (comp) multiple-hit decision table/
多重伝送装置 [たじゅうでんそうそうち] /(n) (comp) FDM/Frequency Division Multiplexer/
多重塔 [たじゅうとう] /(n) many-tiered tower/pagoda/
多重放送 [たじゅうほうそう] /(n) multiplex broadcast(ing)/
多重名前空間 [たじゅうなまえくうかん] /(n) multiple namespace/
多少 [たしょう] /(adj-no,adv,n) more or less/somewhat/a little/some/(P)/
多少なりとも [たしょうなりとも] /(exp) in any way/
多祥 [たしょう] /(n) much happiness/many omens/
多情 [たじょう] /(adj-na,n) (1) profligate/licentious/of loose morals/amorous/(2) emotional/passionate/sentimental/
多情多感 [たじょうたかん] /(n,adj-na) sentimental/being full of emotions/having tender sensibilities/
多情多恨 [たじょうたこん] /(adj-na,n) going through life with one's heart on one's sleeve/sensibility/
多情仏心 [たじょうぶっしん] /(n) fickle but kind-hearted/
多条カム [たじょうカム] /(n) multigrooved cam/
多色 [たしょく] /(n,adj-no) many colors/many colours/
多色刷り [たしょくずり] /(n) multicolored printing/multicoloured printing/
多食 [たしょく] /(n,vs) one who generally eats a lot/
多神教 [たしんきょう] /(n) polytheism/
多神論 [たしんろん] /(n) polytheism/
多人数 [たにんず] /(n) large number of people/
多人数 [たにんずう] /(n) large number of people/
多数 [たすう] /(n-adv,n) (1) great number/(adj-no) (2) countless/majority/(P)/
多数意見 [たすういけん] /(n) majority opinion/
多数決 [たすうけつ] /(n) majority rule/(P)/
多数決ゲート [たすうけつゲート] /(n) (comp) majority gate/majority element/
多数決演算 [たすうけつえんざん] /(n) (comp) majority operation/
多数決原理 [たすうけつげんり] /(n) principle of majority rule/
多数決素子 [たすうけつそし] /(n) (comp) majority gate/majority element/
多数党 [たすうとう] /(n) majority party/
多数派 [たすうは] /(n) the majority/
多勢 [たぜい] /(n) great numbers/numerical superiority/
多勢に無勢 [たぜいにぶぜい] /(exp) to be outnumbered (i.e. in a military context)/
多生 [たしょう] /(n) (1) (Buddh) metempsychosis/(2) saving the lives of many/
多雪地帯 [たせつちたい] /(n) region with heavy snowfall/
多層 [たそう] /(n,adj-no) multilayer/
多層建て列車 [たそうだてれっしゃ] /(n) "multilayer" train/single train formed by joining one or more trains having a different origin or destination/
多層塔 [たそうとう] /(n) many-tiered tower/pagoda/
多臓器不全 [たぞうきふぜん] /(n) multiple organ failure/
多足類 [たそくるい] /(n) myriapod/many-legged/
多多 [たた] /(adv) very much/very many/more and more/
多多 [ふさふさ] /(adj-na,adv,adv-to) (uk) in tufts/tufty/
多多益益弁ず [たたますますべんず] /(exp) (id) The more, the better/
多体 [たたい] /(n,adj-no) many-body (physics)/
多対多 [たたいた] /(n) many-to-many/
多態性 [たたいせい] /(n) (comp) polymorphism/
多胎 [たたい] /(n) multiple conception/multiple birth/
多胎児 [たたいじ] /(n) children born of multiple birth (e.g. twins, triplets, etc.)/
多胎分娩 [たたいぶんべん] /(n) (a) multiple birth/childbirth resulting in twins, triplets, etc./
多大 [ただい] /(adj-na,n,adj-no) heavy/much/(P)/
多端 [たたん] /(adj-na,n) many items/pressure of business/
多段階 [ただんかい] /(n) multistage/multi-step/
多段式ロケット [ただんしきロケット] /(n) multistage rocket/
多値属性 [たちぞくせい] /(n) (comp) multi-valued attribute/
多値論理学 [たちろんりがく] /(n) many-valued logic/multi-valued logic/
多島海 [たとうかい] /(n) archipelago/
多筒 [たとう] /(n) multiple barrels/multi-barrel/
多筒式 [たとうしき] /(n) multiple barrel model/multi-barrel model/
多糖類 [たとうるい] /(n) polysaccharide (sugar polymer containg multiple (many) component simple sugars)/
多動 [たどう] /(n) hyperactivity (of a child)/
多読 [たどく] /(n,vs,adj-no) wide (extensive) reading/
多難 [たなん] /(adj-na,n) full of troubles, difficulties/(P)/
多肉 [たにく] /(n,adj-no) fleshiness/
多肉果 [たにくか] /(n) fleshy or pulpy fruit/
多肉質 [たにくしつ] /(n) fleshy/
多肉植物 [たにくしょくぶつ] /(n) succulent plants/
多乳房症 [たにゅうぼうしょう] /(n) polymastia (having more than one pair of mammae or breasts)/pleomastia/hypermastia/
多尿 [たにょう] /(n) polyuria/diuresis/
多年 [たねん] /(n-adv,n-t) many years/
多年生 [たねんせい] /(n) perennial (plant)/
多年生植物 [たねんせいしょくぶつ] /(n) perennial plant/
多年草 [たねんそう] /(n) perennial plant/
多嚢胞性卵巣症候群 [たのうほうせいらんそうしょうこうぐん] /(n) polycystic-ovary syndrome/
多能 [たのう] /(adj-na,n,adj-no) versatility/
多倍精度 [たばいせいど] /(n) (comp) multiple-precision/
多売 [たばい] /(n,vs) selling in quantity/
多発 [たはつ] /(n,vs,adj-no) repeated occurrence/(P)/
多発機 [たはつき] /(n) multi-engine aeroplane/multi-engine airplane/
多発性 [たはつせい] /(n) multiple/poly-/
多発性硬化症 [たはつせいこうかしょう] /(n) multiple sclerosis/MS/
多病 [たびょう] /(adj-na,n,adj-no) sickly/delicate constitution/
多品種中少量生産システム [たひんしゅちゅうしょうりょうせいさんシステム] /(n) (comp) Flexible Manufacturing System/FMS/
多符号核具象構文 [たふごうかくぐしょうこうぶん] /(n) (comp) multicode core concrete syntax/
多符号基本具象構文 [たふごうきほんぐしょうこうぶん] /(n) (comp) multicode basic concrete syntax/
多符号具象構文 [たふごうぐしょうこうぶん] /(n) (comp) multicode concrete syntax/
多分 [たぶん] /(adv,n) (1) perhaps/probably/(adj-na,adj-no) (2) generous/many/much/great/(P)/
多分に [たぶんに] /(adv) in great amount/considerably/substantially/quite/
多文化主義 [たぶんかしゅぎ] /(n) multiculturalism/
多聞天 [たもんてん] /(n) (Buddh) Vaisravana (Buddhist deity)/
多変数 [たへんすう] /(n) multivariable/
多変数関数 [たへんすうかんすう] /(n) (comp) multivariable function/
多変量解析 [たへんりょうかいせき] /(n) multivariate analysis/
多辺形 [たへんけい] /(n) polygon/
多弁 [たべん] /(adj-na,n,adj-no) talkativeness/verbosity/
多宝塔 [たほうとう] /(n) two-storied pagoda (with a square base, pent roof and a round top)/
多宝如来 [たほうにょらい] /(n) Prabhutaratna (buddha)/
多峰 [たほう] /(adj-no) (math) multimodal/
多峰性 [たほうせい] /(n,adj-no) (math) multimodality/multimodal/
多方向展開 [たほうこうてんかい] /(n) (comp) multicasting/
多方面 [たほうめん] /(adj-na,n) many-sided/multifarious/versatility/
多方面に [たほうめんに] /(adv) at many levels/
多忙 [たぼう] /(adj-na,n) busy/pressure of work/(P)/
多忙中 [たぼうちゅう] /(n) being very busy/being busy at work/
多望 [たぼう] /(adj-na,n) promising/
多摩川 [たまがわ] /(n) river running between Tokyo-to and Kanagawa Prefecture/
多民族 [たみんぞく] /(adj-no) multiracial/multiethnic/
多民族国家 [たみんぞくこっか] /(n) multiracial nation/multiethnic country/
多面 [ためん] /(n,adj-no) many-sided/multifaceted/(P)/
多面角 [ためんかく] /(n) polyhedral angle/
多面性 [ためんせい] /(n) various facets (aspects)/
多面体 [ためんたい] /(n) polyhedron/
多面的 [ためんてき] /(adj-na) multifaceted/versatile/
多毛 [たもう] /(n,adj-no) hairy/
多毛作 [たもうさく] /(n) multiple cropping/
多毛類 [たもうるい] /(n) bristle worm/polychaete/
多目 [おおめ] /(n) somewhat larger quantity/larger portion/
多目に [おおめに] /(adv) plenty/lots/
多目的 [たもくてき] /(adj-na,n) multipurpose/(P)/
多目的ホール [たもくてきホール] /(n) multi-purpose auditorium/multi-purpose hall/
多目的原子炉 [たもくてきげんしろ] /(n) multipurpose reactor/
多門天 [たもんてん] /(iK) (n) (Buddh) Vaisravana (Buddhist deity)/
多様 [たよう] /(adj-na,adj-no) diverse/varied/(P)/
多様化 [たようか] /(n,vs) diversification/(P)/
多様性 [たようせい] /(n) diversity/variety/
多様体 [たようたい] /(n) (math) manifold (differential geometry)/algebraic variety/
多用 [たよう] /(adj-na,n,vs) (1) busyness/a lot of things to do/(2) frequent use/heavy use (of)/many uses/
多用中 [たようちゅう] /(n) in the middle of things/
多用途 [たようと] /(n-pref) multi-purpose/
多用途ヘリコプター [たようとヘリコプター] /(n) multi-purpose helicopter/
多羅 [たら] /(n) (1) (abbr) palmyra/(2) (abbr) lusterleaf holly/(3) patra (silver incense dish placed in front of a Buddhist statue)/
多羅樹 [たらじゅ] /(n) (1) palmyra/(2) ancient Indian unit of distance (approx. 15m)/
多羅波蟹 [たらばがに] /(n) (uk) red king crab (Paralithodes camtschaticus)/
多羅菩薩 [たらぼさつ] /(n) Tara (female aspect of Avalokitesvara)/
多羅葉 [たらよう] /(n) (1) (uk) lusterleaf holly (Ilex latifolia)/(2) pattra (palmyra leaves used in Ancient India for writing upon)/
多量 [たりょう] /(adj-na,n,adj-no) large quantity/(P)/
太々しい [ふてぶてしい] /(adj-i) (uk) impudent/brazen/shameless/bold/
太々神楽 [だいだいかぐら] /(n) grand kagura performance at Ise/
太い [ふとい] /(adj-i) (1) fat/thick/(2) deep (of a voice)/(3) daring/shameless/brazen/(4) (sl) lucky (billiards)/(P)/
太い鉛筆 [ふといえんぴつ] /(n) broad pencil/
太い腕 [ふというで] /(n) big arm/
太った [ふとった] /(adj-f) plump/fat/chubby/stout/
太っちょ [ふとっちょ] /(n) fat person/
太っ腹 [ふとっぱら] /(adj-na,n,adj-no) generous/magnanimous/big-hearted/broad-minded/(P)/
太め [ふとめ] /(n,adj-na) having girth/plumpness/
太もも [ふともも] /(n) (1) thigh/(2) (col) buttocks/arse/ass/butt/(P)/
太ももを出す [ふとももをだす] /(exp,v5s) to expose one's thighs/to bare one's buttocks/
太り過ぎ [ふとりすぎ] /(n,adj-no) overgrowth/overweight/
太り気味 [ふとりぎみ] /(adj-no) plump/rather overweight/
太り肉 [ふとりじし] /(n) corpulent/fat/chubby/(P)/
太る [ふとる] /(v5r,vi) to grow fat (stout, plump)/to become fat/to gain weight/(P)/
太マラ [ふとマラ] /(n) (uk) (col) big penis/
太陰 [たいいん] /(n,adj-no) the moon/lunar/
太陰月 [たいいんげつ] /(n) lunar month/
太陰崇拝 [たいいんすうはい] /(n) moon worship/
太陰太陽暦 [たいいんたいようれき] /(n) lunisolar calendar/
太陰潮 [たいいんちょう] /(n) lunar tide (tides caused by the moon)/
太陰暦 [たいいんれき] /(n) lunar calendar/
太巻 [ふとまき] /(n) rolling something thickly/something rolled thinly (i.e. a cigar, a thick roll of makizushi, etc.)/
太巻き [ふとまき] /(n) rolling something thickly/something rolled thinly (i.e. a cigar, a thick roll of makizushi, etc.)/
太虚 [たいきょ] /(n) (1) the sky/the universe/(2) taixu (the great vacuity, in Chinese philosophy, the primordial substance that gives rise to qi)/
太極 [たいきょく] /(n) taiji (in Chinese philosophy, the principle that embodies all potential things, inc. time and space)/
太極拳 [たいきょくけん] /(n) (MA) grand ultimate fist/Tai Chi Chuan/
太元帥妙王 [だいげんすいみょうおう] /(n) (Buddh) Atavaka/generalissimo of the Vidya-rajas/
太古 [たいこ] /(n-adv,n) ancient times/(P)/
太古代 [たいこだい] /(n) Archaeozoic (Archeozoic) Era/
太股 [ふともも] /(n) (1) thigh/(2) (col) buttocks/arse/ass/butt/
太鼓 [たいこ] /(n,adj-no) drum/(P)/
太鼓橋 [たいこばし] /(n) arched bridge/
太鼓持ち [たいこもち] /(n) (1) professional jester/professional entertainer/comedian/buffoon/(2) flatterer/sycophant/brown-noser/
太鼓打 [たいこうち] /(n) (uk) Laccotrephes japonensis (species of water scorpion)/
太鼓台 [たいこだい] /(n) very large float used to carry taiko at festivals/
太鼓虫 [たいこむし] /(n) dragonfly naiad (nymph)/
太鼓内訳 [たいこうちわけ] /(n) drumming style used to announce sumo bouts/
太鼓判 [たいこばん] /(n) metaphorical seal of approval/
太鼓判を押す [たいこばんをおす] /(exp,v5s) to give the stamp of approval/
太鼓腹 [たいこばら] /(n) potbelly/paunch/
太公望 [たいこうぼう] /(n) (avid) angler/
太后 [たいこう] /(n) empress dowager/queen mother/
太皇太后 [たいこうたいごう] /(n) Grand Empress Dowager/
太閤 [たいこう] /(n) Toyotomi Hideyoshi/father of the Imperial adviser (advisor)/
太閤検地 [たいこうけんち] /(n) Toyotomi Hideyoshi's nationwide land survey (1582 CE)/
太歳 [たいさい] /(n) (1) Taisai/one of the eight gods of the koyomi/(2) (arch) Jupiter (planet)/
太子 [たいし] /(n) (1) Crown Prince/(2) (abbr) Shotoku Taishi/(P)/
太糸 [ふといと] /(n) low count yarn/thick thread/
太字 [ふとじ] /(n,adj-no) boldface/bold-type/thick characters/(P)/
太守 [たいしゅ] /(n) viceroy/governor-general/
太初 [たいしょ] /(n) beginning of the world/
太書き [ふとがき] /(n) broad-pointed (of writing instruments)/
太織り [ふとおり] /(n) thick silk cloth/
太食調 [たいしきちょう] /(n) (in gagaku) scale similar to Mixolydian mode on E/
太食調 [たいじきちょう] /(n) (in gagaku) scale similar to Mixolydian mode on E/
太神楽 [だいかぐら] /(n) (1) grand kagura performance at Ise/(2) type of performance including the lion dance and juggling/(3) (uk) Camellia japonica 'Daikagura' (cultivar of Japanese camellia)/
太政官 [おおいまつりごとのつかさ] /(n) (1) Department of State (under the ritsuryo system)/
太政官 [だいじょうかん] /(n) (1) Grand Council of State (1868-1885 CE)/(2) Department of State (under the ritsuryo system)/
太政官 [だじょうかん] /(n) (1) Grand Council of State (1868-1885 CE)/(2) Department of State (under the ritsuryo system)/
太政大臣 [おおいまつりごとのおおまえつぎみ] /(n) Grand Minister/Chancellor of the Realm/
太政大臣 [おおきおおいどの] /(n) Grand Minister/Chancellor of the Realm/
太政大臣 [おおきおおいもうちぎみ] /(n) Grand Minister/Chancellor of the Realm/
太政大臣 [おおきおとど] /(n) Grand Minister/Chancellor of the Realm/
太政大臣 [おおきまつりごとのおおまえつぎみ] /(n) Grand Minister/Chancellor of the Realm/
太政大臣 [おおまつりごとのおおまえつぎみ] /(n) Grand Minister/Chancellor of the Realm/
太政大臣 [だいじょうだいじん] /(n) Grand Minister/Chancellor of the Realm/
太政大臣 [だじょうだいじん] /(n) Grand Minister/Chancellor of the Realm/
太占 [ふとまに] /(n) (arch) scapulimancy (divination using the cracks in the heated shoulder blade of a deer)/scapulomancy/spatulamancy/armomancy/
太線 [ふとせん] /(n) heavy line (for emphasis)/thick line/underline/border/
太祖 [たいそ] /(n) founder/progenitor/emperor/
太太しい [ふてぶてしい] /(adj-i) (uk) impudent/brazen/shameless/bold/
太太神楽 [だいだいかぐら] /(n) grand kagura performance at Ise/
太腿 [ふともも] /(n) (1) thigh/(2) (col) buttocks/arse/ass/butt/
太腿を出す [ふとももをだす] /(exp,v5s) to expose one's thighs/to bare one's buttocks/
太兆 [ふとまに] /(n) (arch) scapulimancy (divination using the cracks in the heated shoulder blade of a deer)/scapulomancy/spatulamancy/armomancy/
太笛 [ふとぶえ] /(n) (obsc) kagura flute (six-holed horizontal flute)/
太刀 [たち] /(n) long sword/(P)/
太刀魚 [たちうお] /(n) hairtail (Trichiurus lepturus)/scabbard fish/
太刀筋 [たちすじ] /(n) swordsmanship/
太刀捌き [たちさばき] /(n) swordplay/swordsmanship/
太刀持 [たちもち] /(n) (1) sword-bearer (subordinate whose job it is to hold their master's sword)/(2) (sumo) rikishi carrying a sword who follows the yokozuna to the ring during his ring-entering ceremony/
太刀持ち [たちもち] /(n) (1) sword-bearer (subordinate whose job it is to hold their master's sword)/(2) (sumo) rikishi carrying a sword who follows the yokozuna to the ring during his ring-entering ceremony/
太刀先 [たちさき] /(n) point of a sword/forceful debate/
太刀打ち [たちうち] /(n,vs) crossing swords/opposition/contention/
太刀二腰 [たちふたこし] /(n) two swords/
太白 [たいはく] /(n) refined sugar/thick silk thread/
太箸 [ふとばし] /(n) festive chopsticks/thick round chopsticks used on festive occasions/
太夫 [たゆう] /(n) (1) high-ranking Noh actor/(2) head of a school of noh performance/(3) high ranking courtesan (esp. in Yoshiwara) (Edo-period)/(4) joruri narrator/manzai narrator/(5) female role actor in kabuki/(6) low ranking priest in a Shinto shrine/(7) lord steward (formerly the fifth court rank)/
太腹 [ふとばら] /(n) (arch) belly/flanks/
太平 [たいへい] /(adj-na,n) peace/tranquility/tranquillity/
太平楽 [たいへいらく] /(n) happy-go-lucky/
太平州 [たいへいしゅう] /(n) Oceania/Pacific Ocean countries/
太平無事 [たいへいぶじ] /(n,adj-na) peace and quiet/safe and peaceful/tranquil and uneventful/
太平洋 [たいへいよう] /(n) Pacific Ocean/(P)/
太平洋安全保障条約 [たいへいようあんぜんほしょうじょうやく] /(n) ANZUS Security Pact/
太平洋横断 [たいへいようおうだん] /(n,adj-no) trans-Pacific/trans-Pacific crossing/
太平洋岸 [たいへいようがん] /(n) Pacific coast/
太平洋経済協力会議 [たいへいようけいざいきょうりょくかいぎ] /(n) Pacific Economic Cooperation Council/PECC/
太平洋時間 [たいへいようじかん] /(n) Pacific Time (US time zone)/
太平洋諸島 [たいへいようしょとう] /(n) islands of the Pacific Ocean/Pacific Islands/
太平洋戦争 [たいへいようせんそう] /(n) Pacific War (1941-1945)/(P)/
太陽 [たいよう] /(n) sun/solar/(P)/
太陽エネルギー [たいようエネルギー] /(n) solar energy/solar power/
太陽フレア [たいようフレア] /(n) solar flare/
太陽儀 [たいようぎ] /(n) heliometer/
太陽及び地球 [たいようおよびちきゅう] /(n) the sun and the earth/
太陽鏡 [たいようきょう] /(n) helioscope/
太陽系 [たいようけい] /(n) solar system/(P)/
太陽系外惑星 [たいようけいがいわくせい] /(n) extrasolar planet/
太陽光 [たいようこう] /(n) sunlight/
太陽光圧 [たいようこうあつ] /(n) light pressure (from the sun)/
太陽光線 [たいようこうせん] /(n) sunlight/rays of the sun/
太陽光発電 [たいようこうはつでん] /(n) solar power (generation)/
太陽黒点 [たいようこくてん] /(n) sunspot/
太陽歯車 [たいようはぐるま] /(n) sun gear/sun wheel/
太陽神 [たいようしん] /(n) sun god/
太陽神経叢 [たいようしんけいそう] /(n) solar plexus/
太陽柱 [たいようちゅう] /(n) sun pillar/solar pillar/
太陽虫 [たいようちゅう] /(n) heliozoan/
太陽潮 [たいようちょう] /(n) solar tide (tides caused by the Sun)/
太陽蝶 [たいようちょう] /(n) (uk) sunset morpho (butterfly, Morpho hecuba)/
太陽鳥 [たいようちょう] /(n) (uk) sunbird (any bird in the family Nectariniidae)/
太陽電池 [たいようでんち] /(n) solar battery/(P)/
太陽電池パネル [たいようでんちパネル] /(n) solar panel/
太陽電波 [たいようでんぱ] /(n) solar radio waves/
太陽灯 [たいようとう] /(n) sunlamp/
太陽日 [たいようじつ] /(n) solar day/
太陽熱 [たいようねつ] /(n) solar heat/
太陽熱温水器 [たいようねつおんすいき] /(n) solar water-heater/
太陽熱発電 [たいようねつはつでん] /(n) solar power generation/
太陽年 [たいようねん] /(n) solar year/
太陽風 [たいようふう] /(n) solar wind/
太陽放射 [たいようほうしゃ] /(n) solar radiation/
太陽望遠鏡 [たいようぼうえんきょう] /(n) solar telescope/helioscope/
太陽面通過 [たいようめんつうか] /(n) transit (of a planet) over the sun/
太陽暦 [たいようれき] /(n) solar calendar/
太陽炉 [たいようろ] /(n) solar furnace/
太陽輻射 [たいようふくしゃ] /(n) solar radiation/
太郎さん [たろうさん] /(n) (1) (sl) cockroach (word used in restaurants so customers won't catch on)/(2) Mr Tarou/
太郎月 [たろうづき] /(n) first lunar month/
太枠 [ふとわく] /(n) thick-bordered box or table (in forms, etc.)/
太簇 [たいそう] /(n) (1) (in China) 3rd note of the ancient chromatic scale (approx. E)/(2) first lunar month/
太簇 [たいぞく] /(n) (1) (in China) 3rd note of the ancient chromatic scale (approx. E)/(2) first lunar month/
太藺 [ふとい] /(n) (uk) softstem bulrush (Scirpus tabernaemontani)/
唾 [つ] /(ok) (n,vs) saliva/spit/sputum/
唾 [つば] /(n,vs) saliva/spit/sputum/(P)/
唾 [つばき] /(n,vs) saliva/spit/sputum/
唾 [つわ] /(ok) (n,vs) saliva/spit/sputum/
唾 [つわき] /(n,vs) saliva/spit/sputum/
唾 [つわっぱ] /(ok) (n,vs) saliva/spit/sputum/
唾き [つばき] /(n,vs) saliva/spit/sputum/
唾き [つわき] /(n,vs) saliva/spit/sputum/
唾く [つはく] /(v5k) to spit/
唾く [つばく] /(v5k) to spit/
唾する [つばする] /(vs-s,vi) to spit/
唾を付ける [つばをつける] /(exp) to 'call dibs'/to establish a claim/lit: to spit on something, thus preventing others from taking it/
唾液 [だえき] /(n,adj-no) saliva/sputum/
唾液腺 [だえきせん] /(n) salivary gland/
唾液腺染色体 [だえきせんせんしょくたい] /(n) salivary-gland chromosome/
唾棄 [だき] /(n,vs) contemptuous/despicable/
唾腺 [だせん] /(n) salivary gland/
唾腺染色体 [だせんせんしょくたい] /(n) salivary-gland chromosome/
唾壷 [だこ] /(n) spittoon/
唾吐く [つはく] /(v5k) to spit/
唾吐く [つばく] /(v5k) to spit/
堕す [だす] /(v5s,vi) to degenerate/to lapse into/
堕する [だする] /(vs-s,vi) to degenerate/to lapse into/
堕ちる [おちる] /(v1,vi) (1) to fall down/to drop/(2) to fail (e.g. exam)/(3) to crash/to degenerate/to degrade/(4) to fade/to come out (e.g. a stain)/
堕つ [おつ] /(v5t,vi) (1) to fall down/to drop/(2) to fail (e.g. exam)/(3) to crash/to degenerate/to degrade/
堕ろす [おろす] /(v5s) to abort (an embryo or fetus) (negative nuance)/
堕獄 [だごく] /(n) going to hell/falling into hell/
堕罪 [だざい] /(n,vs) sinking into sin/
堕弱 [だじゃく] /(oK) (adj-na,n) (1) apathetic/lackadaisical/spiritless/gutless/weak-willed/unenterprising/enervated/effete/(2) physically weak/feeble/effeminate/
堕胎 [だたい] /(n,vs) abortion/feticide/(P)/
堕胎医 [だたいい] /(n) abortionist/
堕胎罪 [だたいざい] /(n) an illegal abortion/
堕天使 [だてんし] /(n) fallen angel/demon/
堕落 [だらく] /(n,vs) depravity/corruption/degradation/(P)/
堕落腐敗 [だらくふはい] /(n) debasement/corruption/degradation/
堕落坊主 [だらくぼうず] /(n) apostate priest/
堕力 [だりょく] /(n) (1) inertia/momentum/(2) force of habit/
妥協 [だきょう] /(n,vs) compromise/giving in/(P)/
妥協案 [だきょうあん] /(n) compromise plan/
妥協点 [だきょうてん] /(n) (find) common (meeting) ground/
妥結 [だけつ] /(n,vs) settlement/an agreement/(P)/
妥当 [だとう] /(adj-na,n) valid/proper/right/appropriate/(P)/
妥当性 [だとうせい] /(n) validity/verification/propriety/
妥当性確認試験 [だとうせいかくにんしけん] /(n) (comp) validation (test)/
惰気 [だき] /(n) indolence/listlessness/
惰弱 [だじゃく] /(adj-na,n) (1) apathetic/lackadaisical/spiritless/gutless/weak-willed/unenterprising/enervated/effete/(2) physically weak/feeble/effeminate/
惰性 [だせい] /(n) inertia/habit/momentum/(P)/
惰眠 [だみん] /(n) indolence/inactivity/
惰力 [だりょく] /(n) (1) inertia/momentum/(2) force of habit/
打 [ダース] /(ateji) (n) (abbr) (uk) dozen (eng: doz)/
打けん [だけん] /(n) keystroke/
打けん検証 [だけんけんしょう] /(n) (comp) keystroke verification/
打たせ湯 [うたせゆ] /(n) (in an onsen) stream of water cascading onto one's back/pelting water/waterfall shower/
打たれる [うたれる] /(v1,vi) to be struck/to be beaten/
打ちっぱなし [うちっぱなし] /(n) (1) undressed concrete/unfaced concrete/(2) (golf) driving range/
打ちっ放し [うちっぱなし] /(n) (1) undressed concrete/unfaced concrete/(2) (golf) driving range/
打ちつづく [うちつづく] /(v5k,vi) to continue for a long time/to undergo a repeated series/
打ちのめす [うちのめす] /(v5s,vt) to knock down/to beat (someone) up/
打ちのめす [ぶちのめす] /(v5s,vt) to knock down/to beat (someone) up/
打ちひしがれる [うちひしがれる] /(v1) to be stricken (e.g. with grief)/to be battered (e.g. by disasters)/
打ちひも [うちひも] /(n) braided cord/
打ちまくる [うちまくる] /(v5r,vt) to pound away/to hit at random/to hit ceaselessly/
打ちまける [ぶちまける] /(v1,vt) (1) to throw out (everything)/(2) to tell frankly/to confess/
打ちまもる [うちまもる] /(v5r) (1) to stare at/(2) to closely defend/
打ち萎れる [うちしおれる] /(v1,vi) to droop/to be depressed/
打ち延ばす [うちのばす] /(v5s) to hammer out thinly (e.g. goldleaf)/
打ち下ろし [うちおろし] /(n) (1) low hit (e.g. in baseball or golf)/(adj-no) (2) downhill/
打ち下ろす [うちおろす] /(v5s,vt) to strike someone a blow/to bring down (a stick on someone's head)/
打ち果す [うちはたす] /(v5s,vt) to slay/to kill/
打ち果たす [うちはたす] /(v5s,vt) to slay/to kill/
打ち荷 [うちに] /(n) jettisoned cargo/
打ち過ぎる [うちすぎる] /(v1,vi) to pass by (time)/to hit too much/
打ち臥す [うちふす] /(v5s) (1) to mask oneself/(2) to lie down/
打ち解けにくい [うちとけにくい] /(n) difficult to make friends/
打ち解ける [うちとける] /(v1,vi) to open one's heart/to throw off reserve/to be frank/
打ち壊す [うちこわす] /(v5s,vt) to destroy/to spoil/to crush/to break by striking/to wreck/
打ち壊す [ぶちこわす] /(v5s,vt) to destroy/to spoil/to crush/to break by striking/to wreck/
打ち開ける [ぶちあける] /(v1,vt) (1) to forcefully open up a hole (in a wall, etc.)/(2) to speak frankly, holding nothing back/(3) to throw out everything inside/
打ち掛かる [うちかかる] /(v5r) to strike (at)/
打ち掛け [うちかけ] /(n) (1) women's bridal robe with trailing skirts worn over a kimono/(2) ending play for the day/leaving a game unfinished (esp. Go)/
打ち割る [うちわる] /(v5r,vt) (1) to split (by striking)/(2) to disclose/
打ち割る [ぶちわる] /(v5r,vt) (1) to split (by striking)/(2) to disclose/
打ち噛まし [ぶちかまし] /(n) (uk) striking the face (sumo)/
打ち噛ます [ぶちかます] /(v5s,vi) to strike the face (from sumo)/to punch hard/
打ち貫く [うちぬく] /(v5k,vt) (1) to punch/to hit and hit/to stamp out/(2) to pierce/to bore into/to knock down walls/
打ち寄せる [うちよせる] /(v1) to break onto (shore)/to wash ashore/to attack/
打ち挙げる [ぶちあげる] /(v1,vt) to make a bold speech/to make a bold statement/
打ち金 [うちがね] /(n) hammer (of a gun)/
打ち見る [うちみる] /(v1) to glance at/to look at/
打ち遣る [うちやる] /(v5r,vt) (1) (arch) to send afar/(2) (arch) to leave alone/to abandon without care/
打ち合い [うちあい] /(n) exchange of blows/long rally/(P)/
打ち合う [うちあう] /(v5u,vt) (1) to fight/to exchange blows/to rally/(2) to arrange a meeting/
打ち合せ [うちあわせ] /(n,vs) business meeting/previous arrangement/appointment/preparatory meeting/(P)/
打ち合せる [うちあわせる] /(v1,vt) (1) to knock together/(2) to arrange (e.g. a meeting)/
打ち合わせ [うちあわせ] /(n,vs) business meeting/previous arrangement/appointment/preparatory meeting/(P)/
打ち合わせる [うちあわせる] /(v1,vt) (1) to knock together/(2) to arrange (e.g. a meeting)/(P)/
打ち克つ [うちかつ] /(v5t,vi) (1) to overcome (a difficulty)/
打ち込み [うちこみ] /(n) (1) driving/pounding in/shooting into/implantation/invasion/(2) falling badly in love/(3) putting (one's heart) into/(4) (comp) step recording (in electronic or computer music)/(P)/
打ち込む [うちこむ] /(v5m) to drive in (e.g. nail, stake)/to devote oneself to/to shoot into/to smash/to throw into/to cast into/(P)/
打ち込む [ぶちこむ] /(v5m) to drive in (e.g. nail, stake)/to devote oneself to/to shoot into/to smash/to throw into/to cast into/
打ち砕く [うちくだく] /(v5k,vt) to smash/to crush/
打ち砕く [ぶちくだく] /(v5k,vt) to smash/to crush/
打ち殺す [うちころす] /(v5s,vt) to shoot to death/
打ち始める [うちはじめる] /(v1) to begin (emphatically)/to launch/to embark on/
打ち止め [うちどめ] /(n) end (of an entertainment or match)/
打ち止める [うちとめる] /(v1,vt) (1) to hammer into place/(2) to end (a performance)/(3) to kill/to slay/to shoot dead/to cut down/
打ち捨てる [うちすてる] /(v1,vt) to throw away/to abandon/
打ち取る [うちとる] /(v5r,vt) (1) to arrest/to take prisoner/(2) to kill/(3) to get someone out (in baseball)/
打ち守る [うちまもる] /(v5r) (1) to stare at/(2) to closely defend/
打ち首 [うちくび] /(n) decapitation/beheading/
打ち首獄門 [うちくびごくもん] /(n) beheading followed by mounting of the head on a pike in front of the prison (Edo period)/
打ち出し [うちだし] /(n) (1) embossing a pattern/repousse/hammering/(2) drum signaling the end of a performance/(3) serve (e.g. in tennis)/drive (in golf)/
打ち出し太鼓 [うちだしたいこ] /(n) drum signalling end of a performance/
打ち出す [うちだす] /(v5s,vt) to begin/to beat/to end/to close/to set out (forth)/to work out/to hammer out/(P)/
打ち出の小槌 [うちでのこづち] /(n) figurative magic wand/
打ち所 [うちどころ] /(n) spot to hit (on a person)/
打ち傷 [うちきず] /(n) bruise/
打ち勝つ [うちかつ] /(v5t,vi) (1) to conquer (e.g. an enemy)/to defeat/(2) to overcome (a difficulty)/(3) to out-hit/
打ち消し [うちけし] /(n) (ling) negation/denial/negative/(P)/
打ち消す [うちけす] /(v5s,vt) (1) to deny/to contradict/(2) to negate (esp. a sound)/to drown out/(P)/
打ち上げ [うちあげ] /(n) launch/(P)/
打ち上げる [うちあげる] /(v1,vt) (1) to launch/to shoot up/(2) (of waves) to dash/to wash up (ashore)/(3) to finish/to close/(4) to report (to boss, etc.)/(P)/
打ち上げる [ぶちあげる] /(v1,vt) to make a bold speech/to make a bold statement/
打ち上げ花火 [うちあげはなび] /(n) skyrocket (firework)/
打ち伸ばす [うちのばす] /(v5s) to hammer out thinly (e.g. goldleaf)/
打ち身 [うちみ] /(n) bruise/
打ち震える [うちふるえる] /(v1) to tremble/
打ち水 [うちみず] /(n) sprinkling water (to keep down dust and to cool pavements, etc.)/
打ち据える [うちすえる] /(v1,vt) to place firmly/to hit very hard/
打ち切り [うちきり] /(n) end/close/finish/discontinuance/(P)/
打ち切る [うちきる] /(v5r,vt) to stop/to abort/to discontinue/to close/(P)/
打ち続く [うちつづく] /(v5k,vi) to continue for a long time/to undergo a repeated series/
打ち続ける [うちつづける] /(v1) to hit repeatedly/
打ち損ない [うちそこない] /(n) mishit/poor stroke/poor shot/
打ち損なう [うちそこなう] /(v5u) to fail to hit/to miss/
打ち竹 [うちたけ] /(n) an antiquated lighter consisting of a tube of bamboo containing live coals (hidane)/
打ち着 [うちぎ] /(n) (1) everyday clothes/(2) underwear/
打ち沈む [うちしずむ] /(v5m,vi) to be depressed/
打ち倒す [うちたおす] /(v5s,vt) to knock down/to defeat/
打ち当たる [ぶちあたる] /(v5r) (1) to slam into (e.g. a wall, a limit) (figuratively)/to hit/(2) to face (e.g. trouble, a problem)/to confront/
打ち当てる [うちあてる] /(v1,vt) to hit against/
打ち破る [うちやぶる] /(v5r,vt) to break/to smash/to defeat/to destroy/to eliminate/
打ち抜き [うちぬき] /(n) punching (e.g. with a die)/
打ち抜き [ぶちぬき] /(n) (1) removing a partition/(adv) (2) (col) straight through without interruption/
打ち抜く [うちぬく] /(v5k,vt) (1) to punch/to hit and hit/to stamp out/(2) to pierce/to bore into/to knock down walls/
打ち抜く [ぶちぬく] /(v5k,vt) (1) to punch/to hit and hit/to stamp out/(2) to pierce/to bore into/to knock down walls/
打ち紐 [うちひも] /(n) braided cord/
打ち付ける [うちつける] /(v1,vt) to knock/to run into/to nail on/to strike hard/to hit and attack/to try (an idea) on someone/
打ち付ける [ぶちつける] /(v1,vt) to knock/to run into/to nail on/to strike hard/to hit and attack/to try (an idea) on someone/
打ち負かす [うちまかす] /(v5s) to defeat/
打ち伏す [うちふす] /(v5s) (1) to mask oneself/(2) to lie down/
打ち払う [うちはらう] /(v5u,vt) to brush away/to repel/
打ち物 [うちもの] /(n) (1) forged weaponry (e.g. swords, spears, etc.)/forged weapon/(2) molded dry confectionery/moulded dry confectionery/(3) percussion instrument/
打ち物師 [うちものし] /(n) swordsmith/
打ち粉 [うちこ] /(n) (1) flour/(2) powder (for polishing, dusting, etc.)/
打ち返す [うちかえす] /(v5s) to return a blow repeat/to turn back/to rewhip/to plow up/to plough up/to come and retreat/
打ち歩 [うちぶ] /(n) premium/
打ち放す [ぶちはなす] /(v5s) to unsheath a sword/to slay/
打ち方 [うちかた] /(n) way to hit or swing/
打ち棒 [うちぼう] /(n) (1) rolling pin/(2) slapstick (comedy)/
打ち明かす [うちあかす] /(v5s,vt) to be frank/to speak one's mind/to open one's heart/
打ち明ける [うちあける] /(v1,vt) to be frank/to speak one's mind/to open one's heart/(P)/
打ち明ける [ぶちあける] /(v1,vt) (1) to forcefully open up a hole (in a wall, etc.)/(2) to speak frankly, holding nothing back/(3) to throw out everything inside/
打ち明け話 [うちあけばなし] /(n) confession/confidential talk/frank talk/
打ち鳴らす [うちならす] /(v5s,vt) to ring/to clang/
打ち滅ぼす [うちほろぼす] /(v5s) to destroy/
打ち落す [うちおとす] /(v5s,vt) to knock down/to shoot down/to lop off/
打ち落とす [うちおとす] /(v5s,vt) to knock down/to shoot down/to lop off/
打ち立てる [うちたてる] /(v1,vt) to establish/to formulate/
打ち留め [うちどめ] /(n) end (of an entertainment or match)/
打ち留める [うちとめる] /(v1,vt) (1) to hammer into place/(2) to end (a performance)/(3) to kill/to slay/to shoot dead/to cut down/
打ち連れる [うちつれる] /(v1,vi) to go along with/
打ち毀す [うちこわす] /(v5s,vt) to destroy/to spoil/to crush/to break by striking/to wreck/
打ち毀す [ぶちこわす] /(v5s,vt) to destroy/to spoil/to crush/to break by striking/to wreck/
打ち拉がれる [うちひしがれる] /(v1) to be stricken (e.g. with grief)/to be battered (e.g. by disasters)/
打ち拉ぐ [うちひしぐ] /(v5g,vt) to crush (with the weight of misfortune)/
打ち櫂 [うちがい] /(n) (obsc) type of oar/
打っかける [ぶっかける] /(v1,vt) to dash (slosh) water (or other liquid) on a person or in a person's face/
打った切る [ぶったぎる] /(v5r,vt) to chop (a branch, etc.)/
打っちゃり [うっちゃり] /(n) (1) Sumo trick of leaning back and carrying one's opponent round and out of the ring/(2) last-minute reversal/
打っちゃる [うっちゃる] /(v5r) (1) to discard/to abandon/(2) to neglect/to let be/
打ってつけ [うってつけ] /(adj-na,n,adj-no) most suitable/
打って一丸となる [うっていちがんとなる] /(exp) to be united/to act as a single body/
打って掛かる [うってかかる] /(v5r) to attack/to strike/to take a swing at/
打って出る [うってでる] /(v1) to launch oneself upon/to make one's debut/
打って付け [うってつけ] /(adj-na,n,adj-no) most suitable/
打って変わる [うってかわる] /(v5r) to change suddenly/
打っ違い [ぶっちがい] /(n) diagonal cross/x-shaped cross/
打っ壊す [ぶっこわす] /(v5s,vt) (col) to destroy/to crush/to wreck/
打っ掛け [ぶっかけ] /(n) (1) (uk) (sl) splashing on/splashing at/(2) dish made by pouring broth over something (esp. bukkakesoba)/(3) (vulg) ejaculation onto someone's face/
打っ掛ける [ぶっかける] /(v1,vt) to dash (slosh) water (or other liquid) on a person or in a person's face/
打っ掛け蕎麦 [ぶっかけそば] /(n) (uk) soba with broth poured over it/
打っ棄る [うっちゃる] /(v5r) (1) to discard/to abandon/(2) to neglect/to let be/
打っ欠く [ぶっかく] /(v5k,vt) to break into pieces/to chip off/
打っ遣らかす [うっちゃらかす] /(v5s,vt) (uk) to leave unfinished/to abandon/
打っ遣る [うっちゃる] /(v5r) (1) to discard/to abandon/(2) to neglect/to let be/
打っ込み [ぶっこみ] /(n) (1) thrusting into/a put-down/(2) bottom fishing/legering/
打っ込み釣り [ぶっこみづり] /(n) bottom fishing/legering/
打っ込む [ぶっこむ] /(v5m,vt) to throw in/to shoot into/
打っ殺す [ぶっころす] /(v5s,vt) to beat to death/to kill/
打っ手切る [ぶったぎる] /(v5r,vt) to chop (a branch, etc.)/
打っ千切り [ぶっちぎり] /(n) (uk) winning (a race) by a wide margin/
打っ千切る [ぶっちぎる] /(v5r) (1) to win (a race) by a wide margin/(2) to slash though something/to tear (off)/
打っ続け [ぶっつづけ] /(adv) (1) (uk) continuously/throughout/(2) in succession/
打っ叩く [ぶったたく] /(v5k) to beat vigorously/to rain stikes upon someone/to tan someone's hide/to mericlessly pummel/to beat the daylights out of/
打っ通しに [ぶっとおしに] /(adv) all through/throughout/without a break/continuously/
打っ倒す [ぶったおす] /(v5s) to knock down/
打っ倒れる [ぶったおれる] /(v1,vi) to fall flat/to collapse in a heap/
打っ飛ばす [ぶっとばす] /(v5s,vt) (1) to strike (as to send flying)/to beat/to knock/(2) to jump with force/to leap/(3) to accomplish a task very rapidly/(4) to drive at full speed (e.g. a car)/
打っ飛ぶ [ぶっとぶ] /(v5b) (1) to jump, to leap with great strength/(2) to lack common sense/(3) to be surprised by something/
打っ付ける [ぶっつける] /(v1,vt) to knock/to run into/to nail on/to strike hard/to hit and attack/to try (an idea) on someone/
打っ放す [ぶっぱなす] /(v5s) to fire a gun/to let off a gun/to loose off a shell/
打っ毀す [ぶっこわす] /(v5s,vt) (col) to destroy/to crush/to wreck/
打つ [うつ] /(v5t) (1) to hit (something inanimate)/to strike/to beat (on something)/(2) to type/to tap (e.g. a key)/(3) to inject/(4) to indulge in gambling/(5) to visit (on a pilgrimage)/(P)/
打つ [ぶつ] /(v5t,vt) (uk) to hit (a person)/to strike/to beat/(P)/
打つかる [ぶつかる] /(v5r,vi) (1) (uk) to strike against/to collide with/to bump into/to conflict/(2) to encounter/to meet/(3) to clash/
打つ借り [ぶつかり] /(n) stopping the opponent's charge (in training) and swinging him down/
打つ借り稽古 [ぶつかりげいこ] /(n) stopping the opponent's charge (in training) and swinging him down/
打つ手 [うつて] /(n) way to do (something)/
打つ手がない [うつてがない] /(exp,adj-i) no way to do/nothing can be done/
打つ切り [ぶつぎり] /(n,vs) chunk (cooking)/lump/thick slice/
打ん殴る [ぶんなぐる] /(v5r,vt) to knock/
打ん投げる [ぶんなげる] /(v1,vt) to throw (strongly, violently, etc.)/
打解ける [うちとける] /(v1,vi) to open one's heart/to throw off reserve/to be frank/
打壊す [うちこわす] /(v5s,vt) to destroy/to spoil/to crush/to break by striking/to wreck/
打壊す [ぶちこわす] /(v5s,vt) to destroy/to spoil/to crush/to break by striking/to wreck/
打開 [だかい] /(n,vs) break in the deadlock/(P)/
打開策 [だかいさく] /(n) plan to overcome an obstacle or break out of a deadlock/breakthrough solution/
打楽器 [だがっき] /(n) percussion instrument/(P)/
打掛 [うちかけ] /(n) (1) women's bridal robe with trailing skirts worn over a kimono/
打掛け [うちかけ] /(n) (1) women's bridal robe with trailing skirts worn over a kimono/
打割羽織 [ぶっさきばおり] /(iK) (n) haori coat used by soldiers/
打球 [だきゅう] /(n) batting/batted ball/(P)/
打撃 [だげき] /(n) (1) blow/shock/strike/damage/(2) batting (baseball)/(P)/
打撃王 [だげきおう] /(n) batting champion/
打撃数 [だげきすう] /(n) (1) number of blows (used in measuring the b.p.m. of an air hammer, etc.)/(2) (number of) at bats/
打撃戦 [だげきせん] /(n) game with many hits/
打撃率 [だげきりつ] /(n) batting average/
打見る [うちみる] /(v1) to glance at/to look at/
打遣らかす [うっちゃらかす] /(v5s,vt) (uk) to leave unfinished/to abandon/
打鍵 [だけん] /(n) keystroke/
打鍵検証 [だけんけんしょう] /(n) (comp) keystroke verification/
打合せ [うちあわせ] /(n,vs) business meeting/previous arrangement/appointment/preparatory meeting/(P)/
打合せる [うちあわせる] /(v1,vt) (1) to knock together/(2) to arrange (e.g. a meeting)/
打合わせ [うちあわせ] /(n,vs) business meeting/previous arrangement/appointment/preparatory meeting/(P)/
打合わせる [うちあわせる] /(v1,vt) (1) to knock together/(2) to arrange (e.g. a meeting)/
打克つ [うちかつ] /(v5t,vi) (1) to overcome (a difficulty)/
打刻 [だこく] /(vs) (1) to impress/to engrave/to incise/(2) to stamp (e.g. symbol)/to punch/
打殺す [うちころす] /(v5s,vt) to shoot to death/
打殺す [ぶっころす] /(io) (v5s,vt) to beat to death/to kill/
打算 [ださん] /(n,vs) calculation/self-interest/selfishness/
打算的 [ださんてき] /(adj-na) calculating/mercenary/(P)/
打止め [うちどめ] /(n) end (of an entertainment or match)/
打止める [うちとめる] /(v1,vt) (1) to hammer into place/(2) to end (a performance)/(3) to kill/to slay/to shoot dead/to cut down/
打捨てる [うちすてる] /(v1,vt) to throw away/to abandon/
打捨る [うちすてる] /(v1,vt) to throw away/to abandon/
打者 [だしゃ] /(n) batter (baseball)/(P)/
打取る [うちとる] /(v5r,vt) (1) to arrest/to take prisoner/(2) to kill/(3) to get someone out (in baseball)/
打守る [うちまもる] /(v5r) (1) to stare at/(2) to closely defend/
打出し [うちだし] /(n) (1) embossing a pattern/repousse/hammering/(2) drum signaling the end of a performance/(3) serve (e.g. in tennis)/drive (in golf)/
打順 [だじゅん] /(n) batting order/(P)/
打傷 [うちきず] /(n) bruise/
打勝つ [うちかつ] /(v5t,vi) (1) to conquer (e.g. an enemy)/to defeat/(2) to overcome (a difficulty)/(3) to out-hit/
打消 [うちけし] /(n) (ling) negation/denial/negative/
打消し [うちけし] /(n) (ling) negation/denial/negative/(P)/
打消す [うちけす] /(v5s,vt) (1) to deny/to contradict/(2) to negate (esp. a sound)/to drown out/(P)/
打上げる [うちあげる] /(v1,vt) (1) to launch/to shoot up/(2) (of waves) to dash/to wash up (ashore)/(3) to finish/to close/(4) to report (to boss, etc.)/
打上げる [ぶちあげる] /(v1,vt) to make a bold speech/to make a bold statement/
打診 [だしん] /(n,vs) percussion/tapping (medical)/sounding someone out/probe/(P)/
打診発生源認証 [だしんはっせいげんにんしょう] /(n) (comp) probe origin authentication/
打水 [うちみず] /(n) sprinkling water (to keep down dust and to cool pavements, etc.)/
打数 [だすう] /(n) times at bat (baseball)/(P)/
打席 [だせき] /(n) batter's box (baseball)/one's turn at bat/(P)/
打席数 [だせきすう] /(n) (number of) plate appearances (baseball)/
打切り [うちきり] /(n) (comp) truncation (e.g. of a string)/
打切り誤差 [うちきりごさ] /(n) (comp) truncation error/
打切る [うちきる] /(v5r,vt) to stop/to abort/to discontinue/to close/
打線 [だせん] /(n) baseball lineup/(P)/
打続く [うちつづく] /(v5k,vi) to continue for a long time/to undergo a repeated series/
打点 [だてん] /(n) runs batted in/RBI/(P)/
打電 [だでん] /(n,vs) sending a telegram/telegraph/
打倒 [だとう] /(n,vs) knockdown (e.g. in boxing)/overthrow/defeat/(P)/
打刀 [うちがたな] /(n) katana/var. of Japanese long sword/
打破 [だは] /(n,vs) break-down/defeat/abolish/(P)/
打破る [うちやぶる] /(v5r,vt) to break/to smash/to defeat/to destroy/to eliminate/
打麦場 [だばくじょう] /(n) threshing floor/place for threshing wheat/
打抜き [うちぬき] /(n) punching (e.g. with a die)/
打抜く [うちぬく] /(v5k,vt) (1) to punch/to hit and hit/to stamp out/(2) to pierce/to bore into/to knock down walls/
打抜く [ぶちぬく] /(v5k,vt) (1) to punch/to hit and hit/to stamp out/(2) to pierce/to bore into/to knock down walls/
打付ける [うちつける] /(v1,vt) to knock/to run into/to nail on/to strike hard/to hit and attack/to try (an idea) on someone/
打付ける [ぶちつける] /(v1,vt) to knock/to run into/to nail on/to strike hard/to hit and attack/to try (an idea) on someone/
打付ける [ぶっつける] /(v1,vt) to knock/to run into/to nail on/to strike hard/to hit and attack/to try (an idea) on someone/
打付ける [ぶつける] /(v1,vt) to knock/to run into/to nail on/to strike hard/to hit and attack/to try (an idea) on someone/(P)/
打負かす [うちまかす] /(v5s) to defeat/
打伏す [うちふす] /(v5s) (1) to mask oneself/(2) to lie down/
打払う [うちはらう] /(v5u,vt) to brush away/to repel/
打物師 [うちものし] /(n) swordsmith/
打返す [うちかえす] /(v5s) to return a blow repeat/to turn back/to rewhip/to plow up/to plough up/to come and retreat/
打法 [だほう] /(n) batting form/
打棒 [うちぼう] /(n) (1) rolling pin/(2) slapstick (comedy)/
打棒 [だぼう] /(n) batting (baseball)/
打撲 [だぼく] /(n,vs) blow/hit (on the body)/beating/(P)/
打撲傷 [だぼくしょう] /(n) bruise/contusion/
打明ける [うちあける] /(io) (v1,vt) to be frank/to speak one's mind/to open one's heart/
打明け話 [うちあけばなし] /(n) confession/confidential talk/frank talk/
打目戍る [うちまもる] /(iK) (v5r) (1) to stare at/(2) to closely defend/
打落す [うちおとす] /(v5s,vt) to knock down/to shoot down/to lop off/
打率 [だりつ] /(n) batting average/(P)/
打留め [うちどめ] /(n) end (of an entertainment or match)/
打留める [うちとめる] /(v1,vt) (1) to hammer into place/(2) to end (a performance)/(3) to kill/to slay/to shoot dead/to cut down/
打力 [だりょく] /(n) batting power/(P)/
打裂き羽織 [ぶっさきばおり] /(n) haori coat used by soldiers/
打裂羽織 [ぶっさきばおり] /(n) haori coat used by soldiers/
打擲 [ちょうちゃく] /(n,vs) thrashing/beating/
打櫂 [うちがい] /(n) (obsc) type of oar/
舵 [かじ] /(n) rudder/helm/(P)/
舵なし [かじなし] /(adj-f) coxless (rowing)/
舵を取る [かじをとる] /(exp,v5r) (1) to steer a ship/(2) to manage/to take command/to take the helm/
舵を切る [かじをきる] /(exp,v5r) to turn the rudder of a ship/to change direction (of policy, etc.)/
舵取り [かじとり] /(n,vs) helmsman/coxwain/steering/guidance/
舵手 [だしゅ] /(n) helmsman/coxswain/
舵付き [かじつき] /(adj-f) coxed (rowing)/having a coxswain/
舵付きフォア [かじつきフォア] /(n) coxed-four (rowing)/
舵柄 [かじづか] /(n) helm/yoke/
舵柄 [だへい] /(n) helm/yoke/
舵棒 [かじぼう] /(n) (1) shafts (of rickshaws or similar vehicles)/thills/(2) tiller/yoke/
舵無し [かじなし] /(adj-f) coxless (rowing)/
舵面 [だめん] /(n) control surface/
楕円 [だえん] /(n,adj-no) ellipse/
楕円関数 [だえんかんすう] /(n) (math) elliptic function/
楕円銀河 [だえんぎんが] /(n) elliptical galaxy/
楕円形 [だえんけい] /(n) elliptical shape/(P)/
楕円体 [だえんたい] /(n) ellipsoid body/
楕円面 [だえんめん] /(n) ellipsoid/
陀羅助 [だらすけ] /(n) traditional "Chinese" medicine for the stomach (usually prepared as small dark spherical pills)/
陀羅尼 [だらに] /(n) dharani/spell/litany/Sanskrit multi-syllabic chant/
陀羅尼助 [だらにすけ] /(n) traditional "Chinese" medicine for the stomach (usually prepared as small dark spherical pills)/
駄々 [だだ] /(n) tantrum/fretting/
駄々っ子 [だだっこ] /(n) unmanageable child/spoiled child (spoilt)/spoiled brat/
駄々っ児 [だだっこ] /(n) unmanageable child/spoiled child (spoilt)/spoiled brat/
駄々をこねる [だだをこねる] /(exp,v1) to be unreasonable/to whine/to throw a tantrum/
駄々を捏ねる [だだをこねる] /(exp,v1) to be unreasonable/to whine/to throw a tantrum/
駄じゃれ [だじゃれ] /(n) (uk) pun/
駄菓子 [だがし] /(n) cheap sweets/(P)/
駄菓子屋 [だがしや] /(n) small-time candy store/(P)/
駄句 [だく] /(n) poor poem/
駄犬 [だけん] /(n) (vulg) mongrel/cur/
駄作 [ださく] /(n) poor work/rubbish/
駄酒落 [だじゃれ] /(iK) (n) (uk) pun/
駄獣 [だじゅう] /(n) pack animal/
駄駄 [だだ] /(n) tantrum/fretting/
駄駄っ子 [だだっこ] /(n) unmanageable child/spoiled child (spoilt)/spoiled brat/
駄駄っ児 [だだっこ] /(n) unmanageable child/spoiled child (spoilt)/spoiled brat/
駄駄をこねる [だだをこねる] /(exp,v1) to be unreasonable/to whine/to throw a tantrum/
駄駄を捏ねる [だだをこねる] /(exp,v1) to be unreasonable/to whine/to throw a tantrum/
駄袋 [だんぶくろ] /(n) (1) large cloth sack/(2) baggy trousers (worn in the late-Edo and early-Meiji periods by samurai while practising)/
駄賃 [だちん] /(n) reward/tip/carriage or horse charge/
駄津 [だつ] /(n) (uk) Pacific needlefish (Strongylura anastomella)/
駄馬 [だうま] /(n) packhorse/workhorse/hack/
駄馬 [だば] /(n) packhorse/workhorse/hack/
駄物 [だもの] /(n) trash/low-grade stuff/
駄文 [だぶん] /(n) (1) poor piece of writing/(2) (hum) my poor writing/
駄弁 [だべん] /(n) foolish tale/nonsense/
駄弁る [だべる] /(v5r,vi) (uk) to jabber/to chatter/to chat with/
駄法螺 [だぼら] /(n) big talk/tall tale/
駄目 [だめ] /(adj-na,n) (1) (uk) no good/not serving its purpose/useless/broken/(2) (uk) hopeless/wasted/in vain/purposeless/(3) (uk) cannot/must not/not allowed/(P)/
駄目で元々 [だめでもともと] /(exp) giving something a try because one has nothing to lose/
駄目になる [だめになる] /(exp,v5r) to spoil/to break/to go bad/to go wrong/to fail/
駄目を押す [だめをおす] /(exp,v5s) to make sure/to make doubly sure/
駄目押し [だめおし] /(exp) (1) making doubly sure/(2) insurance runs (baseball)/
駄目元 [だめもと] /(n) (sl) giving something a try because one has nothing to lose/
駄目出し [だめだし] /(n) (sl) judging someone (negatively) and urging them to improve/finding fault (in somebody's work)/
駄目人間 [だめにんげん] /(n) useless member of society/hopeless case/failure/
駄洒落 [だじゃれ] /(n) (uk) pun/
体 [からだ] /(n,adj-no) (1) body/(2) health/(P)/
体 [たい] /(n,n-suf) (1) body/physique/posture/(2) shape/form/style/(3) substance/identity/reality/(4) (math) field/(ctr) (5) counter for humanoid forms (e.g. dolls, statues, corpses, etc.)/
体 [てい] /(n) appearance/air/condition/state/form/
体が休まる [からだがやすまる] /(exp,v5r) to be (feel) rested/
体が強い [からだがつよい] /(exp,adj-i) in good health/having a strong constitution/
体する [たいする] /(vs-s,vt) to keep in mind and do as one has been told/to learn and obey/to act in accordance/to comply/
体たらく [ていたらく] /(n) state of affairs/predicament/
体づくり [からだづくり] /(n) physical culture/bodybuilding/
体で覚える [からだでおぼえる] /(exp,v1) to master something (through personal experience)/
体に障る [からだにさわる] /(exp,v5r) to be bad for health/to affect one's health/
体に良く合う [からだによくあう] /(exp,v5u) to fit (a person) well/
体のいい [ていのいい] /(exp,adj-f) a nice way of saying/a diplomatic way of saying/fine/plausible/
体のよい [ていのよい] /(exp,adj-f) a nice way of saying/a diplomatic way of saying/fine/plausible/
体の不自由 [からだのふじゆう] /(exp,adj-na) disabled/handicapped/
体の良い [ていのいい] /(exp,adj-f) a nice way of saying/a diplomatic way of saying/fine/plausible/
体の良い [ていのよい] /(exp,adj-f) a nice way of saying/a diplomatic way of saying/fine/plausible/
体よく [ていよく] /(adv) decently/gracefully/plausibly/politely/tactfully/discreetly/
体よく断る [ていよくことわる] /(exp,v5r) to turn someone down (on some pretext) without offending them/to refuse gracefully/to decline politely/
体をかわす [たいをかわす] /(exp,v5s) to avoid/to dodge/to evade/
体を壊す [からだをこわす] /(exp,v5s) to harm one's health/
体を交える [からだをまじえる] /(exp,v1) to have sex/to make love/
体を交わす [たいをかわす] /(iK) (exp,v5s) to avoid/to dodge/to evade/
体を伸ばす [からだをのばす] /(exp,v5s) to stretch (unbend) oneself/
体を成す [たいをなす] /(exp,v5s) to take form (shape)/
体を惜しむ [からだをおしむ] /(exp,v5m) to be lazy/
体を張る [からだをはる] /(exp,v5r) to be risking one's life/
体を反らす [からだをそらす] /(exp,v5s) to bend oneself backward/
体を粉にする [からだをこにする] /(exp,vs-i) working assiduously/
体を躱す [たいをかわす] /(exp,v5s) to avoid/to dodge/to evade/
体位 [たいい] /(n,adj-no) (1) physique/physical standard/(n) (2) posture/sexual position/
体育 [たいいく] /(n) physical education/gymnastics/athletics/(P)/
体育の日 [たいいくのひ] /(n) Health and Sports Day (national holiday; 2nd Monday in October)/Health-Sports Day/Sports Day/
体育家 [たいいくか] /(n) physical culturist/athlete/
体育会系 [たいいくかいけい] /(adj-no) sports-minded/sports-oriented/
体育館 [たいいくかん] /(n) gymnasium/
体育座り [たいいくすわり] /(n) sitting on the floor grasping one's knees (as in a gym class)/
体育座り [たいいくずわり] /(n) sitting on the floor grasping one's knees (as in a gym class)/
体育祭 [たいいくさい] /(n) athletic festival/
体液 [たいえき] /(n) body fluids/
体液性免疫 [たいえきせいめんえき] /(n) humoral immunity/
体温 [たいおん] /(n) temperature/body temperature (human, animal)/(P)/
体温器 [たいおんき] /(n) clinical thermometer/
体温計 [たいおんけい] /(n) medical thermometer/(P)/
体温調節 [たいおんちょうせつ] /(n,adj-no) thermoregulation (of the body)/
体外 [たいがい] /(n,adj-no) ectogenesis/outside the body/
体外受精 [たいがいじゅせい] /(n,adj-no) in vitro fertilization/in vitro fertilisation/(P)/
体外授精 [たいがいじゅせい] /(iK) (n,adj-no) in vitro fertilization/in vitro fertilisation/
体外離脱 [たいがいりだつ] /(n,adj-no) out of body/leaving your body/
体格 [たいかく] /(n,adj-no) physique/constitution/(P)/
体格検査 [たいかくけんさ] /(n) physical examination/medical examination/physical checkup/
体幹 [たいかん] /(n,adj-no) trunk (of the body)/soma/
体感 [たいかん] /(n,vs,adj-no) bodily sensation/sense/experience/(P)/
体感温度 [たいかんおんど] /(n) effective temperature/wind-chill index (factor)/
体技 [たいぎ] /(n) boxing and jujitsu/
体協 [たいきょう] /(n) Japan Amateur Sports Association/
体躯 [たいく] /(n) the body/stature/physique/constitution/
体刑 [たいけい] /(n) corporal punishment/jail sentence/gaol sentence/
体型 [たいけい] /(n) figure (body)/(P)/
体形 [たいけい] /(n) form/figure/(P)/
体系 [たいけい] /(n) system/organization/organisation/architecture/(P)/
体系化 [たいけいか] /(n,vs) organization/organisation/systematization/systematisation/
体系学 [たいけいがく] /(n) systematics/
体系的 [たいけいてき] /(adj-na) systematic/
体系文法 [たいけいぶんぽう] /(n) (ling) systemic grammar/
体験 [たいけん] /(n,vs) personal experience/(P)/
体験談 [たいけんだん] /(n) story of one's experience/
体験入隊 [たいけんにゅうたい] /(n) boot camp for new recruits (conducted by Japan's Self-Defence Force)/
体験版 [たいけんばん] /(n) playable version (demo)/trial version/
体現 [たいげん] /(n,vs) personification/impersonation/embodiment/
体言 [たいげん] /(n) (ling) uninflected word/
体言止め [たいげんどめ] /(n) ending a sentence with a noun or noun phrase/
体腔 [たいこう] /(n,adj-no) body cavity/
体腔壁 [たいこうへき] /(n) body wall/
体細胞 [たいさいぼう] /(n) somatic cell/
体細胞分裂 [たいさいぼうぶんれつ] /(n) somatic cell division (i.e. mitosis)/
体裁 [ていさい] /(n) decency/style/form/appearance/show/get-up/format/(P)/
体裁上 [ていさいじょう] /(n) for appearances' sake/for appearance sake/
体裁振る [ていさいぶる] /(v5r,vi) to put on airs/
体裁良く [ていさいよく] /(adv) tastefully/respectfully/decently/
体作り [からだづくり] /(n) physical culture/bodybuilding/
体脂肪率 [たいしぼうりつ] /(n) body fat percentage/
体質 [たいしつ] /(n,adj-no) constitution (physical)/genetic make-up/predisposition (to disease)/(P)/
体質改善 [たいしつかいぜん] /(n) improvement of one's constitution/reformation/
体臭 [たいしゅう] /(n) body odor/body odour/personal odor/personal odour/characteristic (of someone)/
体重 [たいじゅう] /(n) body weight (usu. one's own)/(P)/
体重が増える [たいじゅうがふえる] /(exp,v1) to gain weight/
体重管理 [たいじゅうかんり] /(n) weight control/
体重計 [たいじゅうけい] /(n) scales/
体重減少 [たいじゅうげんしょう] /(n) weight loss/weight reduction/weight decrease/
体術 [たいじゅつ] /(n) classical form of martial art/
体循環 [たいじゅんかん] /(n) systemic circulation/
体色 [たいしょく] /(n) body color/
体制 [たいせい] /(n) order/system/structure/set-up/organization/organisation/(P)/
体制側 [たいせいがわ] /(n,adj-no) the establishment/
体勢 [たいせい] /(n) posture/stance/(P)/
体性感覚 [たいせいかんかく] /(n) somatic sensation/somesthesis/
体積 [たいせき] /(n) capacity/volume/(P)/
体積エネルギー密度 [たいせきエネルギーみつど] /(n) energy density (Wh/l)/
体積抵抗 [たいせきていこう] /(n) volume resistivity/
体節動物 [たいせつどうぶつ] /(n) articulate (i.e. an arthropod or an annelid)/
体操 [たいそう] /(n,vs,adj-no) gymnastics/physical exercises/calisthenics/(P)/
体操競技 [たいそうきょうぎ] /(n) gymnastics competition/artistic gymnastics/
体操場 [たいそうじょう] /(n) gymnasium/drill ground/
体操着 [たいそうぎ] /(n) gym uniform/track suit/
体操服 [たいそうふく] /(n) gym uniform/track suit/
体造り [からだづくり] /(n) physical culture/bodybuilding/
体中 [からだじゅう] /(n) throughout the body/
体調 [たいちょう] /(n) physical condition/(P)/
体調不良 [たいちょうふりょう] /(n,adj-no) poor physical health/bad shape/
体長 [たいちょう] /(n) length of an animal (sometimes including and sometimes excluding the tail)/(P)/
体当たり [たいあたり] /(n) body blow/ramming (suicide) attack/
体当り [たいあたり] /(n) body blow/ramming (suicide) attack/
体動 [たいどう] /(n) body motion/
体得 [たいとく] /(n,vs) mastery/knack/realization/realisation/experience/comprehension/(P)/
体内 [たいない] /(n,adj-no) inside the body/(P)/
体内時計 [たいないどけい] /(n) biological clock/
体内受精 [たいないじゅせい] /(n) internal fertilization/internal fertilisation/
体認 [たいにん] /(n,vs) understanding based on experience/
体熱 [たいねつ] /(n) body heat/
体罰 [たいばつ] /(n) corporal punishment/(P)/
体付き [からだつき] /(n) body build/figure/(P)/
体文 [たいもん] /(n) consonant (in the Siddham script)/
体貌 [たいぼう] /(n) appearance/
体鳴楽器 [たいめいがっき] /(n) idiophone/
体面 [たいめん] /(n) honour/honor/dignity/prestige/reputation/appearances/
体毛 [たいもう] /(n) body hair/
体様 [たいよう] /(n) situation/terms/
体要 [たいよう] /(n) important point/
体良く [ていよく] /(adv) decently/gracefully/plausibly/politely/tactfully/discreetly/
体良く断る [ていよくことわる] /(exp,v5r) to turn someone down (on some pretext) without offending them/to refuse gracefully/to decline politely/
体量 [たいりょう] /(n) body weight/
体量器 [たいりょうき] /(n) scales for weighing/
体力 [たいりょく] /(n) physical strength/(P)/
体力勝負 [たいりょくしょうぶ] /(n) trial of strength/test of one's strength (stamina)/
堆い [うずたかい] /(adj-i) piled up high/in a heap/
堆く [うずたかく] /(adv) piled up high/in a heap/
堆高い [うずたかい] /(iK) (adj-i) piled up high/in a heap/
堆朱 [ついしゅ] /(n) red lacquerware with patterns carved in relief/
堆石 [たいせき] /(n) (terminal) moraine/
堆積 [たいせき] /(n,vs) pile (of things)/depositing (in a pile)/accumulation (sediment)/(P)/
堆積学 [たいせきがく] /(n) sedimentology/
堆積岩 [たいせきがん] /(n) sedimentary rock/
堆積作用 [たいせきさよう] /(n) sedimentation/
堆積層 [たいせきそう] /(n) sedimentary layer/
堆積物 [たいせきぶつ] /(n) sediment/deposit/
堆積輪廻 [たいせきりんね] /(n) cycle of sedimentation/
堆肥 [たいひ] /(n) compost/
対 [たい] /(n,conj) (1) opposite/opposition/(2) versus/vs/(3) to (i.e. "we won the game five to three")/(4) equal footing/equal terms/(5) against .../anti-/toward .../to .../(P)/
対 [つい] /(n) (1) pair/couple/set/(2) antithesis/(ctr) (3) counter for items that come in pairs/(4) counter for sets (of clothes, small furniture, utensils, etc.)/(P)/
対う [むかう] /(v5u,vi) (1) to face/(2) to go towards/
対して [たいして] /(exp) for/in regard to/per/
対す [たいす] /(v5s,vi) (1) to face (each other)/to be facing/(2) to be directed toward (the future, etc.)/to be in response to/to be related to/(3) to receive (a client, etc.)/(4) to compare with/to contrast with/to be in opposition with/to be opposed to/(5) to confront/to oppose/to compete with/
対す [ついす] /(v5s,vi) (arch) to form a pair/to correspond/
対する [たいする] /(vs-s) (1) to face (each other)/to be facing/(2) to be directed toward (the future, etc.)/to be in response to/to be related to/(3) to receive (a client, etc.)/(4) to compare with/to contrast with/to be in opposition with/to be opposed to/(5) to confront/to oppose/to compete with/(P)/
対になる [ついになる] /(exp,v5r) to form a pair/
対の屋 [たいのや] /(n) side house (to the east, west, or north of a main residence; home to women, children and servants)/
対をなす [ついをなす] /(exp,v5s) to act as an opposite/to form a counterpart/act as a twin/
対を成す [ついをなす] /(exp,v5s) to act as an opposite/to form a counterpart/act as a twin/
対イオン [たいイオン] /(n) counter ion/
対スコア [たいスコア] /(n) tie score/
対テロ作戦 [たいテロさくせん] /(n) antiterrorist operation/counterterrorism operation/
対テロ戦争 [たいテロせんそう] /(n) War on Terror/
対ロ [たいロ] /(adj-no) towards Russia (relations, policy, etc.)/
対案 [たいあん] /(n) counter-proposal/counter-suggestion/(P)/
対位法 [たいいほう] /(n) counterpoint/
対応 [たいおう] /(n,vs) (1) interaction/correspondence/coping with/dealing with/support/(2) (comp) software support/ability of a computer system to run specific software/(P)/
対応プロトコル [たいおうプロトコル] /(n) (comp) protocol supported/
対応策 [たいおうさく] /(n) countermeasure/counter-measure/
対応説 [たいおうせつ] /(n) correspondence theory (theory that a proposition is true if and only if it corresponds to the facts)/
対応値 [たいおうち] /(n) corresponding value/
対応版 [たいおうばん] /(n) (1) corresponding version/(2) (comp) supported version/
対応付け索引方式 [たいおうつけさくいんほうしき] /(n) (comp) coordinate indexing/
対欧 [たいおう] /(n) pertaining to Europe/
対屋 [たいのや] /(n) side house (to the east, west, or north of a main residence; home to women, children and servants)/
対価 [たいか] /(n) compensation/equivalent value/a consideration/(P)/
対価型セクハラ [たいかがたセクハラ] /(n) quid pro quo sexual harassment/
対外 [たいがい] /(n) external/foreign/(P)/
対外関係 [たいがいかんけい] /(n,adj-no) foreign (international) relations/diplomacy/external affairs/
対外資産負債残高 [たいがいしさんふさいざんだか] /(n) net international investment position/
対外政策 [たいがいせいさく] /(n) foreign policy/
対外政策に沿って [たいがいせいさくにそって] /(exp) in line with the foreign policy/
対外投資 [たいがいとうし] /(n) foreign investment/
対格 [たいかく] /(n,adj-no) (ling) accusative case/
対角 [たいかく] /(n) (1) diagonal/(2) opposite angle/
対角化 [たいかくか] /(n,vs) (math) diagonalisation/diagonalization/
対角行列 [たいかくぎょうれつ] /(n) (comp) diagonal matrix/
対角線 [たいかくせん] /(n) diagonal (line)/
対艦 [たいかん] /(adj-no) anti-ship/anti-warship/anti-surface/
対岸 [たいがん] /(n) opposite shore/(P)/
対岸の火事 [たいがんのかじ] /(exp) no skin off my nose/somebody else's problem/fire on the opposite shore/
対顔 [たいがん] /(n) meeting/
対義語 [たいぎご] /(n) antonym/
対共産圏輸出統制委員会 [たいきょうさんけんゆしゅつとうせいいいんかい] /(n) Coordination Committee on Multilateral Export Controls/
対局 [たいきょく] /(n,vs) (playing) a game of go, shogi or chess, etc./(P)/
対局者 [たいきょくしゃ] /(n) player of go/
対極 [たいきょく] /(n) (1) antipodes/(2) other (opposite) extreme/opposite/antithesis/(P)/
対句 [ついく] /(n) couplet/antithesis/
対空 [たいくう] /(adj-f,adj-no,n) anti-aircraft/antiaircraft/
対空ミサイル [たいくうミサイル] /(n) anti-aircraft missile/
対空射撃 [たいくうしゃげき] /(n) anti-aircraft fire/shooting at an aircraft (from ground or ship)/
対空兵器 [たいくうへいき] /(n) anti-aircraft weapon/
対空砲 [たいくうほう] /(n) anti-aircraft gun/antiaircraft artillery/
対空砲火 [たいくうほうか] /(n) anti-aircraft fire/flak/
対偶 [たいぐう] /(n,vs,adj-no) (1) married couple/(2) (math) contraposition/
対遇 [たいぐう] /(n) antithesis/pair/
対決 [たいけつ] /(n,vs) confrontation/showdown/(P)/
対決姿勢 [たいけつしせい] /(n) confrontational attitude (stance, posture)/
対決法案 [たいけつほうあん] /(n) controversial legislation/
対語 [たいご] /(n) (1) kanji compound formed of opposing elements/(2) antonym/(3) conversation (face-to-face)/
対語 [ついご] /(n) (1) kanji compound formed of opposing elements/(2) antonym/
対向 [たいこう] /(n,vs) counter-/corresponding/face/opposite/(P)/
対向車 [たいこうしゃ] /(n) car (running) on the opposite lane/oncoming car/
対向車線 [たいこうしゃせん] /(n) opposite lane/
対向循環 [たいこうじゅんかん] /(n) (comp) counter-rotating/
対抗 [たいこう] /(n,vs) opposition/antagonism/(P)/
対抗意識 [たいこういしき] /(n) (sense of) rivalry/competitiveness/
対抗策 [たいこうさく] /(n) countermeasure/counter-measure/
対抗試合 [たいこうじあい] /(n) match/tournament/interschool match/
対抗商品 [たいこうしょうひん] /(n) (comp) competing product/
対抗措置 [たいこうそち] /(n) countermeasure/
対抗馬 [たいこうば] /(n) a rival horse or candidate/
対抗部隊 [たいこうぶたい] /(n) opposing forces/
対抗文化 [たいこうぶんか] /(n) counterculture/
対校 [たいこう] /(n,vs) pertaining to school/
対校試合 [たいこうじあい] /(n) inter-school match/
対航空機砲 [たいこうくうきほう] /(n) (obsc) anti-aircraft gun/
対坐 [たいざ] /(n,vs) sitting opposite/
対座 [たいざ] /(n,vs) sitting opposite each other/
対策 [たいさく] /(n) counter-plan/counter-measure/(P)/
対策を講じる [たいさくをこうじる] /(exp,v1) to take measures (against)/to take steps/
対策路線 [たいさくろせん] /(n) (1) (railway, bus, highway) route designed or designated to meet a specific problem/(2) countermeasure program (policy)/
対支 [たいし] /(n) concerning China/
対治 [たいじ] /(n,vs) (1) extermination (e.g. of pests, demons, bandits)/elimination/eradication/suppression/(2) (Buddh) making someone renounce worldly desires in order to concentrate on Buddha's teachings/(3) curing illness/
対自 [たいじ] /(n) being-for-others (philosophical term used by Hegel and Sartre (etre-en-soi))/
対質 [たいしつ] /(n,vs) confrontation/cross-examination/
対手 [あいて] /(gikun) (n) opponent (in combat)/
対手 [たいしゅ] /(n) opponent (in combat)/
対処 [たいしょ] /(n,vs) deal with/cope/(P)/
対処法 [たいしょほう] /(n) coping method/approach/how to deal with (problem, etc.)/
対消滅 [ついしょうめつ] /(n) annihilation (of particle and anti-particle)/
対照 [たいしょう] /(n,vs) contrast/antithesis/comparison/(P)/
対照言語学 [たいしょうげんごがく] /(n) contrastive linguistics/
対照的 [たいしょうてき] /(adj-na) contrastive/(P)/
対症 [たいしょう] /(n) specific (e.g. antibody)/
対症療法 [たいしょうりょうほう] /(n,adj-no) symptomatic therapy/makeshift solution/(P)/
対称 [たいしょう] /(n,adj-no) symmetry/(P)/
対称リスト [たいしょうリスト] /(n) (comp) symmetrical list/
対称型マルチプロセッサ [たいしょうがたマルチプロセッサ] /(n) (comp) symmetric multiprocessor/SMP/
対称型マルチプロセッシング [たいしょうがたマルチプロセッシング] /(n) (comp) symmetric multiprocessing/SMP/
対称行列 [たいしょうぎょうれつ] /(n) (comp) symmetric matrix/
対称軸 [たいしょうじく] /(n) an axis of symmetry/
対称性 [たいしょうせい] /(n) symmetry (physics)/
対称代名詞 [たいしょうだいめいし] /(n) (ling) (obsc) second-person pronoun/
対称的 [たいしょうてき] /(adj-na) symmetrical/
対象 [たいしょう] /(n,adj-no) target/object (of worship, study, etc.)/subject (of taxation, etc.)/(P)/
対象外 [たいしょうがい] /(n) not covered (by)/not subject (to)/
対象機種 [たいしょうきしゅ] /(n) (comp) target machine/
対象者 [たいしょうしゃ] /(n) target group/target persons/
対象受信者 [たいしょうじゅしんしゃ] /(n) (comp) immediate recipient/
対象体 [たいしょうたい] /(n) object/
対象体クラス [たいしょうたいクラス] /(n) (comp) object class/
対象体クラス記述部 [たいしょうたいクラスきじゅつぶ] /(n) (comp) object class description/
対象体記述部 [たいしょうたいきじゅつぶ] /(n) (comp) object description/
対象体種別 [たいしょうたいしゅべつ] /(n) (comp) object type/
対象体容量 [たいしょうたいようりょう] /(n) (comp) object capacity/
対象範囲 [たいしょうはんい] /(n) scope/coverage/selected range/
対情報 [たいじょうほう] /(n) counter-intelligence/
対審 [たいしん] /(n,vs) confrontation/
対心 [たいしん] /(adj-f) (math) antipodal/
対心的 [たいしんてき] /(adj-na) antipodal/
対人 [たいじん] /(n,adj-no) personal/
対人感覚 [たいじんかんかく] /(n) feelings toward other people/sensitivity to other people's feelings/feelings one gives to other people through interpersonal relationships/
対人関係 [たいじんかんけい] /(n) personal relations/
対人恐怖症 [たいじんきょうふしょう] /(n) anthropophobia/
対陣 [たいじん] /(n,vs) confrontation of armies/
対数 [たいすう] /(n) logarithm/
対数の指数 [たいすうのしすう] /(n) (comp) characteristic of a logarithm/
対数をとる [たいすうをとる] /(exp,v5r) (comp) take the logarithim of/
対数関数 [たいすうかんすう] /(n) a logarithmic function/
対数尺 [たいすうしゃく] /(n) log rule/
対数的 [たいすうてき] /(adj-na) (comp) logarithmic/
対数表 [たいすうひょう] /(n) table of logarithms/log table/log tables/
対数方眼紙 [たいすうほうがんし] /(n) logarithmic graph paper/
対数目盛 [たいすうめもり] /(n) logarithmic scale/
対数螺線 [たいすうらせん] /(n) logarithmic spiral/equiangular spiral/
対世効 [たいせいこう] /(n) binding legal effectiveness as to third parties/
対生 [たいせい] /(n,vs,adj-no) opposing pairs (of leaves)/
対生成 [ついせいせい] /(n) (physics) pair production/
対生葉 [たいせいよう] /(n) opposite leaves/
対戦 [たいせん] /(n,vs) waging war/competition/(P)/
対戦車 [たいせんしゃ] /(n) anti-tank/
対戦車ミサイル [たいせんしゃミサイル] /(n) anti-tank missile/
対戦車火器 [たいせんしゃかき] /(n) anti-tank weapons/
対戦車砲 [たいせんしゃほう] /(n) antitank gun/
対戦成績 [たいせんせいせき] /(n) win-loss records (between A and B)/
対戦相手 [たいせんあいて] /(n,adj-no) opponent/adversary/the competition/the other side/an (the) enemy/
対潜哨戒機 [たいせんしょうかいき] /(n) antisubmarine aircraft/
対潜水艦 [たいせんすいかん] /(adj-no) antisubmarine/
対前年比 [たいぜんねんひ] /(n) relative change from last year/
対弾道弾 [たいだんどうだん] /(n) anti-ballistic (missile)/
対談 [たいだん] /(n,vs) talk/dialogue/conversation/(P)/
対談者 [たいだんしゃ] /(n) interlocutor/
対地 [たいち] /(n) ground to ground/(P)/
対地攻撃 [たいちこうげき] /(n) ground attack/air-raid/
対地速度 [たいちそくど] /(n) groundspeed/
対置 [たいち] /(n,vs,adj-no) opposing (a thing) to (another)/contrast/
対中 [たいちゅう] /(n) relating to China/(P)/
対中国関係 [たいちゅうごくかんけい] /(n) relations with China/
対中戦略 [たいちゅうせんりゃく] /(n) strategy for dealing with China/
対頂角 [たいちょうかく] /(n) vertical angles/vertically opposite angles/
対敵 [たいてき] /(n,vs) confronting the enemy/hostilities/
対敵諜報機関 [たいてきちょうほうきかん] /(n) counterintelligence agency/
対当 [たいとう] /(n,vs) opposition/equivalence/correspondence/
対等 [たいとう] /(adj-na,n,adj-no) equivalent/(P)/
対等関係 [たいとうかんけい] /(n) relationship of equality/(being) on an equal footing/
対内 [たいない] /(n) domestic/internal/
対内投資 [たいないとうし] /(n) inward investment/
対日 [たいにち] /(n,vs) with respect to Japan/with Japan/(P)/
対日感情 [たいにちかんじょう] /(n) feeling (sentiment) toward Japan/
対日講和条約 [たいにちこうわじょうやく] /(n) Treaty of Peace with Japan/Treaty of San Francisco (Sept. 8, 1951)/
対日理事会 [たいにちりじかい] /(n) Allied Council for Japan/
対馬音 [つしまおん] /(n) Wu-dynasty reading of Chinese characters/
対馬山猫 [つしまやまねこ] /(n) (uk) Tsushima cat (variety of leopard cat, Prionailurus bengalensis euptailurus)/
対馬貂 [つしまてん] /(n) (uk) Tsushima marten (Martes melampus tsuensis, a subspecies of the Japanese marten)/
対比 [たいひ] /(n,vs) contrast/comparison/(P)/
対物 [たいぶつ] /(n,adj-no) pertaining to objects/
対物レンズ [たいぶつレンズ] /(n) objective lens/
対米 [たいべい] /(adj-no) relating to the USA/toward America/with America/(P)/
対辺 [たいへん] /(n) (geom) opposite side/
対面 [たいめん] /(n,vs,adj-no) interview/meeting/(P)/
対面交通 [たいめんこうつう] /(n) walking so that one faces oncoming traffic/
対面販売 [たいめんはんばい] /(n) counter selling/face-to-face selling/person-to-person selling/
対訳 [たいやく] /(n,vs) original text with its translation printed side by side or on opposite page/
対立 [たいりつ] /(n,vs,adj-no) confrontation/opposition/antagonism/(P)/
対立意見 [たいりついけん] /(n) conflicting (opposite, contrasting) opinion/antagonistic view/
対立遺伝子 [たいりついでんし] /(n) allele/allelomorph/
対立概念 [たいりつがいねん] /(n) the exact opposite concept (idea)/the antithesis/
対立感情 [たいりつかんじょう] /(n) feeling of antipathy (rivalry)/antagonistic sentiment/
対立関係 [たいりつかんけい] /(n) antagonism/
対立教皇 [たいりつきょうこう] /(n) antipope/
対立形質 [たいりつけいしつ] /(n,adj-no) allelic character/allelomorphic character/
対立候補 [たいりつこうほ] /(n) rival candidate/opposing candidate/
対流 [たいりゅう] /(n,adj-no) convection/
対流圏 [たいりゅうけん] /(n) troposphere/
対聯 [たいれん] /(n) couplet/distich/
対露 [たいろ] /(adj-no) towards Russia (relations, policy, etc.)/
対論 [たいろん] /(n,vs) arguing face to face/(P)/
対話 [たいわ] /(n,vs,adj-no) interactive/interaction/conversation/dialogue/(P)/
対話型 [たいわがた] /(n,adj-no) (comp) interactive/
対話型プログラム [たいわかたプログラム] /(n) (comp) interactive program/
対話形 [たいわがた] /(n) (comp) conversational mode/interactive mode/
対話式 [たいわしき] /(adj-no) interactive/
対話者 [たいわしゃ] /(n) interlocutor/
対話処理 [たいわしょり] /(n) (comp) interactive processing/
対話体 [たいわたい] /(n) dialogue form/
対話的 [たいわてき] /(adj-na) (comp) interactive/
対話方式 [たいわほうしき] /(n) (comp) interactive mode/
対話路線 [たいわろせん] /(n) policy of using dialogue instead of confrontation/
対峙 [たいじ] /(n,vs) confronting/holding your own with/(P)/
対蹠 [たいせき] /(adj-f) (math) antipodal/
対蹠地 [たいしょち] /(n) the antipodes/
対蹠地 [たいせきち] /(n) the antipodes/
対蹠的 [たいしょてき] /(adj-na) diametrically opposed/antipodal/
対蹠的 [たいせきてき] /(adj-na) (math) antipodal/
耐えうる [たえうる] /(exp) to withstand/to be able to endure/
耐える [たえる] /(v1,vi,vt) (1) to bear/to stand/to endure/to put up with/(v1,vi) (2) to support/to withstand/to resist/to brave/(3) to be fit for/to be equal to/(P)/
耐え得る [たえうる] /(exp) to withstand/to be able to endure/
耐え難い [たえがたい] /(adj-i) unbearable/intolerable/unendurable/
耐え忍ぶ [たえしのぶ] /(v5b,vt) to put up with/to endure/to bear patiently/
耐え抜く [たえぬく] /(v5k) to stick it out (until the end)/
耐アルカリ性 [たいアルカリせい] /(n) alkali resistance/
耐タンパー性 [たいタンパーせい] /(n) (comp) tamper resistant/
耐圧 [たいあつ] /(n) pressure-resistant/
耐圧試験 [たいあつしけん] /(n) pressure test/
耐圧力 [たいあつりょく] /(n) capacity to resist pressure/
耐火 [たいか] /(n,adj-no) fireproof/(P)/
耐火建築 [たいかけんちく] /(n) fireproof building/
耐火性 [たいかせい] /(n) fire resistance/
耐火被覆 [たいかひふく] /(n) fire resistive covering/fireproof coating/fireproof covering/
耐火被覆材 [たいかひふくざい] /(n) fire resistive covering material/
耐火物 [たいかぶつ] /(n) refractory/heat resistance material/high temperature resistance material/
耐火力 [たいかりょく] /(n) fire resistant/
耐火煉瓦 [たいかれんが] /(n) firebrick/
耐寒 [たいかん] /(n) cold-resistant/
耐久 [たいきゅう] /(n) endurance/persistence/(P)/
耐久財 [たいきゅうざい] /(n) durable goods/durables/
耐久商品 [たいきゅうしょうひん] /(n) durable (consumer) goods/
耐久消費財 [たいきゅうしょうひざい] /(n) durable (consumer) goods/
耐久性 [たいきゅうせい] /(n) durability/(P)/
耐久力 [たいきゅうりょく] /(n) stamina/
耐屈曲 [たいくっきょく] /(n) flexibility/bend-tolerance/
耐兼ねる [たえかねる] /(v1,vi) to be unable to endure/to be unable to stand (something)/to lose patience/
耐候性 [たいこうせい] /(n) weather resistance (e.g. in building material)/
耐酸 [たいさん] /(n,adj-no) acid-resistant/
耐湿 [たいしつ] /(n) moisture-proof/
耐湿性 [たいしつせい] /(n) resistance to damp/
耐障害性 [たいしょうがいせい] /(n) fault-tolerance/
耐食 [たいしょく] /(n,adj-no) corrosion-resistant/
耐蝕 [たいしょく] /(n,adj-no) corrosion-resistant/
耐震 [たいしん] /(n,adj-no) resistant to earthquakes/
耐震家屋 [たいしんかおく] /(n) earthquake-resistant buildings/
耐震基準 [たいしんきじゅん] /(n) earthquake resistance standards/
耐震構造 [たいしんこうぞう] /(n,adj-no) earthquake-resistant construction/
耐震性 [たいしんせい] /(adj-no) earthquake-proof/
耐水 [たいすい] /(n,adj-no) water-resistant/waterproof/
耐水性 [たいすいせい] /(n) water resistance/
耐性 [たいせい] /(n,adj-no) resistance (e.g. to antibiotics)/(P)/
耐性菌 [たいせいきん] /(n) antibiotic-resistant bacteria/
耐雪 [たいせつ] /(adj-no,n) snow resistant/snowproof/
耐難い [たえがたい] /(adj-i) unbearable/intolerable/unendurable/
耐熱 [たいねつ] /(n,adj-no) heat-resisting/(P)/
耐熱ガラス [たいねつガラス] /(n) heat-resistant glass (e.g. Pyrex)/refractory glass/
耐熱鋼 [たいねつこう] /(n) heat-resistant steel/
耐熱合金 [たいねつごうきん] /(n) heat-resistant alloys/
耐熱材料 [たいねつざいりょう] /(n) heat-resistant material/
耐熱性 [たいねつせい] /(n) heat-resisting property/
耐風 [たいふう] /(n,adj-no) wind resistance/
耐風構造 [たいふうこうぞう] /(n) wind-resistant construction/
耐風性 [たいふうせい] /(n) wind resistance/
耐乏 [たいぼう] /(n) austerity/voluntary privation/
耐乏生活 [たいぼうせいかつ] /(n) hard life/life of austerity/
耐乏予算 [たいぼうよさん] /(n) austerity (belt-tightening) budget/
耐容１日摂取量 [たいよういちにちせっしゅりょう] /(n) tolerable daily intake/TDI/
耐容一日摂取量 [たいよういちにちせっしゅりょう] /(n) tolerable daily intake/TDI/
耐容線量 [たいようせんりょう] /(n) tolerance dose/
耐用年数 [たいようねんすう] /(n) (machine's) service life/
帯 [おび] /(n) (1) obi (kimono sash)/(2) paper wrapper on books, CDs, etc./(P)/
帯 [たい] /(n-suf) band (e.g. conduction, valence)/belt (e.g. Van-Allen, asteroid, etc.)/(P)/
帯く [はく] /(v5k,vt) (1) to put on (or wear) lower-body clothing (i.e. pants, skirt, etc.)/to put on (or wear) footwear/(2) to affix a sword to one's hip/(3) to affix a bowstring to a bow/
帯に短し襷に長し [おびにみじかしたすきにながし] /(exp) neither one thing nor the other (lit: too short for a belt, too long for a sleeve tie)/
帯びる [おびる] /(v1,vt) (1) to wear (sword, decoration, etc.)/to carry/(2) to be entrusted (e.g. with a mission)/to take on/(3) to have a trace of/to be tinged with/(P)/
帯を締める [おびをしめる] /(exp,v1) do up a sash/
帯グラフ [おびグラフ] /(n) bar graph/rectangular graph/
帯ドラマ [おびドラマ] /(n) radio or television serial broadcast in the same time slot each day or week/
帯域 [たいいき] /(n) (1) zone/band/belt/(2) (abbr) bandwidth/
帯域圧縮 [たいいきあっしゅく] /(n) (comp) band compression/
帯域確保 [たいいきかくほ] /(n) (comp) bandwidth guarantee/
帯域割り当て [たいいきわりあて] /(n) bandwidth allocation/
帯域割当 [たいいきわりあて] /(n) bandwidth allocation/
帯域制限 [たいいきせいげん] /(n) (comp) bandlimited/
帯域制限信号 [たいいきせいげんしんごう] /(n) (comp) bandlimited signal/
帯域制御 [たいいきせいぎょ] /(n) (comp) bandwidth control/
帯域通過ろ波器 [たいいきつうかろぱき] /(n) bandpass filter/
帯域通過フィルタ [たいいきつうかフィルタ] /(n) (comp) band pass filter/BPF/
帯域幅 [たいいきはば] /(n) bandwidth/
帯域幅利用 [たいいきはばりよう] /(n) (comp) bandwidth usage/
帯域予約 [たいいきよやく] /(n) (comp) bandwidth reservation/bandwidth contract/
帯黄色 [たいおうしょく] /(n) yellowish (color, colour)/
帯下 [こしけ] /(n) mucous discharge from female genitals (leucorrhoea, leucorrhea)/
帯下 [たいげ] /(n) mucous discharge from female genitals (leucorrhoea, leucorrhea)/
帯化 [たいか] /(n) fasciation (in botany)/
帯革 [おびかわ] /(n) (1) leather belt/(2) cartridge or gun belt/
帯鋸 [おびのこ] /(n) band saw/
帯鋸 [おびのこぎり] /(n) band saw/
帯金 [おびがね] /(n) iron band/
帯剣 [たいけん] /(n,vs) wearing a sword/armed with a sword/
帯広告 [おびこうこく] /(n) advertising paper book-band with blurb on it/
帯止め [おびどめ] /(n) sash clip (fastener)/ornament worn over an obi/
帯紙 [おびがみ] /(n) wrapper band/
帯取り返し [おびどりがえし] /(n) belt grab reversal (judo)/
帯祝い [おびいわい] /(n) obi-tying ceremony designed to ensure safe birth of a child/
帯出 [たいしゅつ] /(n,vs) taking out/using at home/
帯出禁止 [たいしゅつきんし] /(exp) Not to be taken out/Reference Only/
帯状 [おびじょう] /(n,adj-no) belt-shaped/
帯状連結三角形 [おびじょうれんけつさんかくけい] /(n) (comp) triangle strip/
帯状疱疹 [たいじょうほうしん] /(n,adj-no) shingles/herpes zoster/
帯心 [おびしん] /(n) thick obi sash/sash padding/
帯芯 [おびしん] /(n) thick obi sash/sash padding/
帯水層 [たいすいそう] /(n) aquifer/
帯地 [おびじ] /(n) obi cloth or material/
帯締 [おびしめ] /(n) decorative string used to hold a kimono sash in place/
帯締 [おびじめ] /(n) decorative string used to hold a kimono sash in place/
帯締め [おびしめ] /(n) decorative string used to hold a kimono sash in place/
帯締め [おびじめ] /(n) decorative string used to hold a kimono sash in place/
帯電 [たいでん] /(n,vs) electrification/
帯電体 [たいでんたい] /(n) charged body/
帯刀 [たいとう] /(n,vs) wearing a sword/
帯刀御免 [たいとうごめん] /(n) a non-samurai being granted the privilege of wearing a sword (during the Edo period)/
帯同 [たいどう] /(n,vs) taking (someone) along/
帯板 [おびいた] /(n) (1) piece of stiff fabric worn under an obi to give more shape/(2) batten plate/stay plate/
帯番組 [おびばんぐみ] /(n) radio or television program broadcast in the same time slot on all or most days (programme)/
帯皮 [おびかわ] /(n) (1) leather belt/(2) cartridge or gun belt/
帯封 [おびふう] /(n) half wrapper/strip of paper/
帯分数 [たいぶんすう] /(n) (math) mixed fraction/compound number/
帯枕 [おびまくら] /(n) oval pad with two long strips tied underneath the obi to make it look fuller/
帯揚げ [おびあげ] /(n) obi sash/
帯留 [おびどめ] /(n) sash clip (fastener)/ornament worn over an obi/
帯留め [おびどめ] /(n) sash clip (fastener)/ornament worn over an obi/
帯緑 [たいりょく] /(adj-no) greenish/
待たす [またす] /(v5s) to keep (a person) waiting/(P)/
待たせる [またせる] /(v1) to keep (a person) waiting/(P)/
待ち [まち] /(n,n-suf) waiting/waiting time/(P)/
待ちあわせ [まちあわせ] /(n) appointment/
待ちあわせる [まちあわせる] /(v1) to rendezvous/to meet at a prearranged place and time/to arrange to meet/
待ちうけ画面 [まちうけがめん] /(n) standby screen/standby display/
待ちかまえる [まちかまえる] /(v1,vt) to lie in wait/to be on the watch for/
待ちくたびれる [まちくたびれる] /(v1) to get tired of waiting/
待ちに待つ [まちにまつ] /(exp,v5t) to wait for a long time/to wait and wait/
待ちぼうけ [まちぼうけ] /(n) waiting in vain/
待ちわびる [まちわびる] /(v1,vt) to be tired of waiting/to wait impatiently/
待ち遠しい [まちどおしい] /(adj-i) looking forward to/anxiously awaited/(P)/
待ち駒 [まちごま] /(n) anticipating the escape of the king and blocking him in advance with a knight (shogi)/
待ち倦む [まちあぐむ] /(v5m) to tire of waiting/
待ち兼ねる [まちかねる] /(v1,vt) to wait impatiently for/(P)/
待ち構える [まちかまえる] /(v1,vt) to lie in wait/to be on the watch for/(P)/
待ち行列 [まちぎょうれつ] /(n) (comp) queue/pushup list/
待ち行列に入れる [まちぎょうれつにいれる] /(exp,v1) (comp) to enqueue/
待ち行列方式 [まちぎょうれつほうしき] /(n,adj-no) (comp) queue-driven/
待ち行列名 [まちぎょうれつめい] /(n) (comp) queue name/
待ち行列理論 [まちぎょうれつりろん] /(n) (comp) queueing theory/
待ち合い [まちあい] /(n,vs) (1) meeting place/assignation place/(2) geisha entertaining room/teahouse/machiai/
待ち合せる [まちあわせる] /(v1) to rendezvous/to meet at a prearranged place and time/to arrange to meet/
待ち合わせ [まちあわせ] /(n) appointment/(P)/
待ち合わせる [まちあわせる] /(v1) to rendezvous/to meet at a prearranged place and time/to arrange to meet/(P)/
待ち合わせ場所 [まちあわせばしょ] /(n) meeting place/(P)/
待ち惚け [まちぼうけ] /(n) waiting in vain/
待ち惚ける [まちぼうける] /(v1) to wait in vain/
待ち惚ける [まちぼける] /(v1) to wait in vain/
待ち時間 [まちじかん] /(n) waiting time/latency/standby time (e.g. cellular phones)/
待ち受ける [まちうける] /(v1,vt) to await/to expect/(P)/
待ち受け画像 [まちうけがぞう] /(uK) (n) stand by image (on mobile phones)/
待ち受け画面 [まちうけがめん] /(n) standby screen/standby display/
待ち焦がれる [まちこがれる] /(v1,vt) to long for/
待ち状態 [まちじょうたい] /(n) (comp) waiting state/
待ち針 [まちばり] /(n) marking pin/
待ち人 [まちびと] /(n) (1) person being waited for/(2) person who waits/
待ち切れない [まちきれない] /(adj-i) waiting impatiently for/
待ち設ける [まちもうける] /(v1,vt) to expect/to look for/to look forward to/to anticipate/to wait for/
待ち伏せ [まちぶせ] /(n,vs) performing an ambush/(P)/
待ち伏せる [まちぶせる] /(v1) to ambush/
待ち暮らす [まちくらす] /(v5s) to wait all day/
待ち望む [まちのぞむ] /(v5m,vt) to look anxiously for/to wait eagerly for/(P)/
待ち明かす [まちあかす] /(v5s,vt) to wait all night/
待ち詫びる [まちわびる] /(v1,vt) to be tired of waiting/to wait impatiently/
待ち佗びる [まちわびる] /(iK) (v1,vt) to be tired of waiting/to wait impatiently/
待ち侘びる [まちわびる] /(v1,vt) to be tired of waiting/to wait impatiently/
待った [まった] /(n) (1) false start of the sumo bout/(2) backsies (called when taking back a move in a game)/
待ったなし [まったなし] /(exp) now or never/time's up/
待った無し [まったなし] /(exp) now or never/time's up/
待つ [まつ] /(v5t,vt,vi) (1) to wait/(2) to await/to look forward to/to anticipate/(3) (usu. in negative form) to depend on/to need/(P)/
待つ身は長い [まつみはながい] /(exp) (id) A watched pot never boils/
待てど暮せど [まてどくらせど] /(exp) I waited a long time, but .../
待てど暮らせど [まてどくらせど] /(exp) I waited a long time, but .../
待てば海路の日和有り [まてばかいろのひよりあり] /(exp) (id) Everything comes to him who waits/
待遠しい [まちどおしい] /(adj-i) looking forward to/anxiously awaited/
待機 [たいき] /(n,vs,adj-no) alert/standby/await an opportunity/wait for orders/(P)/
待遇 [たいぐう] /(n,vs) treatment/reception/(P)/
待遇改善 [たいぐうかいぜん] /(n) improvement of labor conditions (labour)/
待遇表現 [たいぐうひょうげん] /(n) attitudinal expression (indicating the speaker's respect, contempt, etc. for the listener or the person being discussed)/
待兼鰐 [まちかねわに] /(n) (uk) Toyotamaphimeia machikanensis (Japanese fossil species of crocodilian)/
待合 [まちあい] /(n,vs) (1) meeting place/assignation place/(2) geisha entertaining room/teahouse/machiai/(P)/
待合い [まちあい] /(n,vs) (1) meeting place/assignation place/(2) geisha entertaining room/teahouse/machiai/
待合室 [まちあいしつ] /(n) waiting room/(P)/
待合所 [まちあいじょ] /(n) (1) shelter (for buses)/waiting area/(2) waiting room/
待合政治 [まちあいせいじ] /(n) back-room political dealing/
待受画像 [まちうけがぞう] /(uK) (n) stand by image (on mobile phones)/
待受画面 [まちうけがめん] /(n) standby screen/standby display/
待宵 [まつよい] /(n) (1) (arch) night where one waits for someone who is supposed to come/(2) (arch) night of the 14th day of the eight month of the lunar calendar/
待宵草 [まつよいぐさ] /(n) evening primrose (esp. Chilean evening primrose, Oenothera stricta)/
待人 [まちびと] /(n) (1) person being waited for/(2) person who waits/
待設ける [まちもうける] /(v1,vt) to expect/to look for/to look forward to/to anticipate/to wait for/
待雪草 [まつゆきそう] /(n) (uk) snowdrop (Galanthus nivalis)/snow-flower/
待避 [たいひ] /(n,vs) (take) shelter/shunt/
待避壕 [たいひごう] /(n) bomb shelter/dugout/trench/
待避所 [たいひじょ] /(n) turnout/passing-place/
待避線 [たいひせん] /(n) a sidetrack/a turnout/
待伏せ [まちぶせ] /(n,vs) performing an ambush/
待伏せる [まちぶせる] /(v1) to ambush/
待望 [たいぼう] /(n,vs) (1) expectant waiting/(adj-no) (2) long-awaited/(P)/
待命 [たいめい] /(n) waiting for orders/
怠い [だるい] /(adj-i) (uk) sluggish/feel heavy/languid/dull/(P)/
怠けぐせ [なまけぐせ] /(n) habit of idleness (laziness)/indolence/
怠ける [なまける] /(v1,vi) (1) to be idle/to slacken/(v1,vt) (2) to neglect (e.g. one's work)/(P)/
怠け者 [なまけもの] /(n) lazy person/lazy fellow/slothful person/(P)/
怠け癖 [なまけぐせ] /(n) habit of idleness (laziness)/indolence/
怠らずに [おこたらずに] /(adv) carefully/
怠り [おこたり] /(n) negligence/carelessness/
怠りなく [おこたりなく] /(adv) diligently/
怠り勝ち [おこたりがち] /(n) neglectful/
怠る [おこたる] /(v5r,vt) to be negligent in doing something/to shirk/to be off one's guard/(P)/
怠業 [たいぎょう] /(n) sabotage/slow-down tactics/
怠業戦術 [たいぎょうせんじゅつ] /(n) slowdown strategy/go-slow tactics (of workers in a labor dispute)/
怠屈 [たいくつ] /(oK) (adj-na,n,vs) tedium/boredom/
怠情 [たいだ] /(iK) (adj-na,n) laziness/idleness/sloth/
怠惰 [たいだ] /(adj-na,n) laziness/idleness/sloth/(P)/
怠慢 [たいまん] /(adj-na,n,adj-no) negligence/procrastination/carelessness/(P)/
態 [ざま] /(n) (1) mess/sorry state/plight/sad sight/(suf) (2) way/manner/
態 [たい] /(n,n-suf) (ling) voice/
態 [てい] /(n) appearance/air/condition/state/form/
態 [なり] /(n,adj-no) (uk) style/way/shape/form/appearance/state/
態々 [わざわざ] /(adv) (uk) expressly/specially/doing something especially rather than incidentally/(P)/
態と [わざと] /(adv) (uk) on purpose/(P)/
態とらしい [わざとらしい] /(adj-i) unnatural/affected/studied/forced/
態勢 [たいせい] /(n) attitude/conditions/preparations/(P)/
態態 [わざわざ] /(adv) (uk) expressly/specially/doing something especially rather than incidentally/
態度 [たいど] /(n,adj-no) attitude/manner/behaviour/(P)/
態度をとる [たいどをとる] /(exp,v5r) to take an attitude/
態度を取る [たいどをとる] /(exp,v5r) to take an attitude/
態度物腰 [たいどものごし] /(n) attitude and demeanor/
態様 [たいよう] /(n) situation/terms/
戴き [いただき] /(n) (1) crown (of head)/summit (of mountain)/spire/(2) easy win for one/(3) something received/
戴きます [いただきます] /(exp) (uk) expression of gratitude before meals/(P)/
戴き物 [いただきもの] /(n) (hum) (received) present/gift/
戴く [いただく] /(v5k,vt) (1) (hum) to receive/to get/to accept/to take/to buy/(2) (hum) (pol) to eat/to drink/(3) to be crowned with/to wear (on one's head)/to have (on top)/(4) to have (as one's leader)/to live under (a ruler)/to install (a president)/(P)/
戴ける [いただける] /(v1,vi) (1) (uk) to receive (potential)/(2) to be pretty good/to be exquisite/to be approvable/
戴冠 [たいかん] /(n,vs) coronation/crowning/
戴冠式 [たいかんしき] /(n) coronation ceremony/enthronement/
戴勝 [やつがしら] /(n) (uk) hoopoe (species of Eurasian bird, Upupa epops)/
戴白 [たいはく] /(n) old people/becoming gray haired (grey)/
替え [かえ] /(n) (1) change/alteration/substitute/spare/proxy/(2) rate of exchange/(P)/
替える [かえる] /(v1,vt) (1) to replace/(2) to exchange/to interchange/(3) to substitute/(P)/
替えズボン [かえズボン] /(n) spare trousers (pants, slacks)/
替え歌 [かえうた] /(n) parody (of a song)/
替え玉 [かえだま] /(n) (1) substitute/double/(2) second serving (ball) of noodles (to add to previously purchased ramen)/(P)/
替え心 [かえしん] /(n) spare lead/
替え芯 [かえしん] /(n) spare lead/
替え刃 [かえば] /(n) spare or new razor blade/
替え地 [かえち] /(n) substitute land or lot/
替え着 [かえぎ] /(n) change of or spare clothing/
替え名 [かえな] /(n) (1) alternative name/alternate name/(2) assumed name of a customer in a brothel (for anonymity)/(3) stage name/
替り [かわり] /(n,adj-no) (1) substitute/replacement/substituting/replacing/(2) stand-in/proxy/alternate/deputy/relief/successor/(3) compensation/exchange/return/(4) second helping/another cup/seconds/(5) (abbr) upcoming program/upcoming programme/
替り [がわり] /(suf) substitute for .../
替り狂言 [かわりきょうげん] /(n) upcoming program/upcoming programme/
替る [かわる] /(v5r,vi) (1) to succeed/to relieve/to replace/(2) to take the place of/to substitute for/to take over for/to represent/(3) to be exchanged/to change (places with)/to switch/
替わり [かわり] /(n,adj-no) (1) substitute/replacement/substituting/replacing/(2) stand-in/proxy/alternate/deputy/relief/successor/(3) compensation/exchange/return/(4) second helping/another cup/seconds/(5) (abbr) upcoming program/upcoming programme/(P)/
替わり [がわり] /(suf) substitute for .../
替わり狂言 [かわりきょうげん] /(n) upcoming program/upcoming programme/
替わる [かわる] /(v5r,vi) (1) to succeed/to relieve/to replace/(2) to take the place of/to substitute for/to take over for/to represent/(3) to be exchanged/to change (places with)/to switch/(P)/
替歌 [かえうた] /(n) parody (of a song)/
替狂言 [かわりきょうげん] /(io) (n) upcoming program/upcoming programme/
替玉 [かえだま] /(n) (1) substitute/double/(2) second serving (ball) of noodles (to add to previously purchased ramen)/
替刃 [かえば] /(n) spare or new razor blade/
替地 [かえち] /(n) substitute land or lot/
替名 [かえな] /(n) (1) alternative name/alternate name/(2) assumed name of a customer in a brothel (for anonymity)/(3) stage name/
泰 [たい] /(n) (uk) Thailand/
泰語 [たいご] /(n) Siamese (language)/Thai/
泰国 [たいこく] /(n) Thailand/
泰山 [たいざん] /(n) large mountain/Mt Taishan (China)/
泰山北斗 [たいざんほくと] /(n) a great authority/
泰山鳴動 [たいざんめいどう] /(n) big fuss over nothing/much cry and little wool/much ado about nothing/
泰山鳴動して鼠一匹 [たいざんめいどうしてねずみいっぴき] /(exp) much ado about nothing/The mountains have brought forth a mouse (Aesop)/
泰山木 [たいさんぼく] /(n) evergreen magnolia/Southern magnolia/Magnolia grandiflora/
泰西 [たいせい] /(n) the Occident/the West/
泰西名画 [たいせいめいが] /(n) Western painting/
泰然 [たいぜん] /(adj-t,adv-to) calm/composed/self-possessed/firm/
泰然自若 [たいぜんじじゃく] /(uK) (adj-t,adv-to) having presence of mind/self-possessed/imperturbable/calm and self-possessed/
泰斗 [たいと] /(n) (abbr) a great authority/
泰平 [たいへい] /(adj-na,n) peace/tranquility/tranquillity/
泰平無事 [たいへいぶじ] /(n,adj-na) peace and quiet/safe and peaceful/tranquil and uneventful/
滞り [とどこおり] /(n) stagnation/hindrance/delay/
滞りなく [とどこおりなく] /(adv) without delay/smoothly/without a hitch/
滞り無く [とどこおりなく] /(adv) without delay/smoothly/without a hitch/
滞る [とどこおる] /(v5r,vi) to stagnate/to be delayed/
滞英 [たいえい] /(n) staying in Britain/
滞欧 [たいおう] /(n,vs) staying in Europe/
滞貨 [たいか] /(n,vs) accumulation of freight or stock/freight congestion/
滞京 [たいきょう] /(n,vs) staying in Tokyo (the capital)/
滞空 [たいくう] /(n) staying (remaining) in the air/
滞空記録 [たいくうきろく] /(n) flight record/
滞空時間 [たいくうじかん] /(n) duration of a flight/
滞在 [たいざい] /(n,vs) stay/sojourn/(P)/
滞在期間 [たいざいきかん] /(n) length of one's stay/
滞在客 [たいざいきゃく] /(n) guest/visitor/
滞在地 [たいざいち] /(n) place where one resides or is staying/
滞在中 [たいざいちゅう] /(n) during a stay/
滞在費 [たいざいひ] /(n) hotel expenses/expenses incurred during a stay/
滞陣 [たいじん] /(n,vs) encampment/
滞日 [たいにち] /(n,vs) staying in Japan/
滞納 [たいのう] /(n,vs,adj-no) non-payment/default/(P)/
滞納者 [たいのうしゃ] /(n) non-payer/one who doesn't pay one's bills/
滞納処分 [たいのうしょぶん] /(n) disposition for failure to pay/
滞米 [たいべい] /(n) staying or residing in the United States/
滞留 [たいりゅう] /(n,vs) staying/stagnating/sojourn/
胎 [たい] /(n) womb/
胎 [はら] /(n) womb/
胎教 [たいきょう] /(n) prenatal care/antenatal training/
胎仔 [たいじ] /(n,adj-no) embryo/fetus/foetus/
胎児 [たいじ] /(n,adj-no) embryo/fetus/foetus/(P)/
胎児死亡 [たいじしぼう] /(n) fetal death (foetal)/embryonic demise/
胎児性別の判定法 [たいじせいべつのはんていほう] /(n) determination of a child's sex before birth (e.g. by ultrasound)/
胎児切迫仮死 [たいじせっぱくかし] /(n) fetal death due to distress/
胎児認知 [たいじにんち] /(n) recognition of an unborn child (for the purposes of claiming nationality)/
胎生 [たいせい] /(n) (1) viparity/(adj-no) (2) viviparous/zoogonous/live-bearing/
胎生学 [たいせいがく] /(n) embryology/
胎生動物 [たいせいどうぶつ] /(n) viviparous animal/
胎蔵 [たいぞう] /(n) (abbr) (obsc) Garbhadhatu/Womb Realm/
胎蔵界 [たいぞうかい] /(n) (obsc) Garbhadhatu/Womb Realm/
胎蔵界曼荼羅 [たいぞうかいまんだら] /(n) (obsc) Garbhadhatu Mandala/Womb Realm Mandala/
胎蔵曼荼羅 [たいぞうまんだら] /(n) (Buddh) Garbhadhatu Mandala/Womb Realm Mandala/
胎動 [たいどう] /(n,vs) quickening/foetal (fetal) movement/fomenting (trouble)/(P)/
胎毒 [たいどく] /(n) congenital eczema/
胎内 [たいない] /(n,adj-no) interior of womb/
胎嚢 [たいのう] /(n) fetal sac/foetal sac/gestation sac/gestational sac/
胎盤 [たいばん] /(n,adj-no) placenta/afterbirth/(P)/
胎便 [たいべん] /(n) first stools passed by a newborn baby/meconium/
胎膜 [たいまく] /(n) embryonic membrane/fetal membrane/foetal membrane/
腿 [もも] /(n) (1) thigh/(adj-no) (2) femoral/
腿骨 [たいこつ] /(n) (obsc) bones of the upper and lower leg/
腿上げ [ももあげ] /(n) high knee (exercise drill where one brings one's knees up high while walking or running)/
腿赤ノスリ [ももあかノスリ] /(n) (uk) Harris's hawk (Parabuteo unicinctus)/Harris hawk/
腿節 [たいせつ] /(n) femur (in entomology)/
腿肉 [ももにく] /(n) leg (meat)/round/ham/
苔 [こけ] /(n) (1) moss/(2) short plants resembling moss (inc. other bryophytes, lichens, very small spermatophytes, etc.)/
苔むす [こけむす] /(v5s,vi) to become covered in moss/to become aged/
苔状 [たいじょう] /(adj-na) mossy/
苔植物 [こけしょくぶつ] /(n) bryophyte (any of three groups of non-vascular land plants, inc. mosses, hornworts and liverworts)/
苔生す [こけむす] /(v5s) to have moss growing on itself/
苔虫 [こけむし] /(n) (uk) moss animal (any animal of phylum Bryozoa)/
苔虫類 [こけむしるい] /(n) (uk) bryozoans (animals of phylum Bryozoa)/
苔庭 [こけにわ] /(n) (obsc) moss garden (particularly that of Saiho-ji)/
苔桃 [こけもも] /(n) (uk) cowberry (Vaccinium vitis-idaea)/mountain cranberry/foxberry/partridgeberry/
苔類 [こけるい] /(n) bryophyte (any of three groups of non-vascular land plants, inc. mosses, hornworts and liverworts)/
苔類 [たいるい] /(n) liverworts/hepatics (non-vascular plants of order Marchantiophyta)/
苔癬 [たいせん] /(n,adj-no) lichen/
袋 [ふくろ] /(n) (1) bag/sack/(2) skin of an orange (and other like fruits)/(3) dead end/(4) plot of land surrounded by water/(P)/
袋とじ [ふくろとじ] /(n) (1) double-leaved/(2) (comp) dual page/
袋のねずみ [ふくろのねずみ] /(exp) rat in a trap/trapped rat/rat in a bag/
袋のネズミ [ふくろのネズミ] /(exp) rat in a trap/trapped rat/rat in a bag/
袋の鼠 [ふくろのねずみ] /(exp) rat in a trap/trapped rat/rat in a bag/
袋鰻 [ふくろうなぎ] /(n) (uk) pelican eel (Eurypharynx pelecanoides)/
袋蟻食 [ふくろありくい] /(n) (uk) numbat (Myrmecophaga tridactyla)/banded anteater/
袋熊 [ふくろぐま] /(n) (uk) koala (Phascolarctos cinereus)/
袋形動物 [たいけいどうぶつ] /(n) aschelminth (any invertebrate animal formerly classified as belonging to phylum Aschelminthes)/
袋形動物 [ふくろがたどうぶつ] /(n) aschelminth (any invertebrate animal formerly classified as belonging to phylum Aschelminthes)/
袋戸 [ふくろど] /(n) paper sliding door for the cupboard of a tokonoma/
袋戸棚 [ふくろとだな] /(n) small cupboard on wall of tokonoma/
袋耳 [ふくろみみ] /(n) retentive memory/
袋手長猿 [ふくろてながざる] /(n) (uk) siamang (species of gibbon, Symphalangus syndactylus)/
袋小路 [ふくろこうじ] /(n) blind alley/cul-de-sac/impasse/dead-end (street)/(P)/
袋小路文 [ふくろこうじぶん] /(n) easily misunderstood sentence (lit: cul-de-sac sentence)/garden-path sentence/
袋織り [ふくろおり] /(n) double weaving/
袋鼠 [ふくろねずみ] /(n) opossum/
袋帯 [ふくろおび] /(n) double-woven obi/
袋茸 [ふくろたけ] /(n) paddy straw mushroom/straw mushroom/Volvariella volvacea/
袋叩き [ふくろだたき] /(n,vs) beat someone up by ganging up on/
袋棚 [ふくろだな] /(n) (1) tea ceremony stand with an enclosed shelf (invented by Takeno Jouou)/(2) small cupboard or closed shelf on the side of a tokonoma/
袋蜘蛛 [ふくろぐも] /(n) (1) (uk) sac spider (any spider of family Clubionidae)/(2) Atypus karschi (Asian species of mygalomorph spider)/
袋虫 [ふくろむし] /(n) (uk) rhizocephala (parasitic barnacles)/
袋綴じ [ふくろとじ] /(n) (1) double-leaved/(2) (comp) dual page/
袋入り [ふくろいり] /(n) sacked/pouched/
袋物 [ふくろもの] /(n) bags and purses (handbags)/
袋文字 [ふくろもじ] /(n) (comp) open face/
袋縫い [ふくろぬい] /(n,vs) French seam/
袋網 [ふくろあみ] /(n) tunnel net/
袋狼 [ふくろおおかみ] /(n) (uk) Tasmanian tiger (Thylacinus cynocephalus)/thylacine/Tasmanian wolf/
貸し [かし] /(n) loan/lending/(P)/
貸しけいたい [かしけいたい] /(n) rental mobile phone/rental cell phone/cell phone that is rented/
貸しつける [かしつける] /(v1,vt) to lend/to loan/
貸してあげる [かしてあげる] /(v1) to lend (e.g. money)/
貸して上げる [かしてあげる] /(v1) to lend (e.g. money)/
貸しはがし [かしはがし] /(n) withdrawal of loan credit (e.g. by a bank)/retraction of credit/insistence on repayment/
貸しボート [かしボート] /(n) hire boat/
貸し衣装 [かしいしょう] /(n) clothing or costumes for rent/
貸し越し [かしこし] /(n) overdraft/overdraught/
貸し屋 [かしや] /(n) house for rent/
貸し下げる [かしさげる] /(v1) to lend/to loan/
貸し家 [かしいえ] /(n) house for rent/
貸し家 [かしや] /(n) house for rent/
貸し株 [かしかぶ] /(n) stock loan/lending stock/
貸し間 [かしま] /(n) room to let/room for rent/
貸し金 [かしきん] /(n) loan/
貸し金庫 [かしきんこ] /(n) safe-deposit box/
貸し携帯 [かしけいたい] /(n) rental mobile phone/rental cell phone/cell phone that is rented/
貸し元 [かしもと] /(n) financier/gambling boss/
貸し座敷 [かしざしき] /(n) brothel/
貸し自動車 [かしじどうしゃ] /(n) rental car/
貸し室 [かししつ] /(n) room for rent/
貸し借り [かしかり] /(n,vs) lending and borrowing/
貸し主 [かしぬし] /(n) lender/creditor/landlord/
貸し手 [かして] /(n) lender/
貸し渋り [かししぶり] /(n) reluctance to lend/
貸し出し [かしだし] /(n,vs) lending/loaning/(P)/
貸し出し期間 [かしだしきかん] /(n) lending-period/period of loan (e.g. for a library book)/
貸し出し金 [かしだしきん] /(n) money given as loan/
貸し出す [かしだす] /(v5s,vt) to lend/to loan/to let out on hire/(P)/
貸し席 [かしせき] /(n) (meeting) room for rent/
貸し切り [かしきり] /(n) reserved/reservation/(P)/
貸し切る [かしきる] /(v5r,vt) to reserve/to charter/
貸し賃 [かしちん] /(n) rent/charges/
貸し店舗 [かしてんぽ] /(n) store for rent/
貸し倒れ [かしだおれ] /(n) bad debt/irrecoverable debt/
貸し馬車 [かしばしゃ] /(n) carriage for hire/
貸し売り [かしうり] /(n) selling on credit/
貸し剥がし [かしはがし] /(n) withdrawal of loan credit (e.g. by a bank)/retraction of credit/insistence on repayment/
貸し付け [かしつけ] /(n) loan/
貸し付ける [かしつける] /(v1,vt) to lend/to loan/
貸し別荘 [かしべっそう] /(n) vacation rental (property)/
貸し方 [かしかた] /(n) creditor/method of lending/credit side/
貸し本 [かしほん] /(n) books for loan/
貸し本屋 [かしほんや] /(n) rental library/
貸し料 [かしりょう] /(n) rent/loan charges/
貸す [かす] /(v5s,vt) (1) to lend/to loan/(2) to rent out/to hire out/(P)/
貸屋 [かしや] /(n) house for rent/
貸家 [かしいえ] /(n) house for rent/
貸家 [かしや] /(n) house for rent/(P)/
貸株 [かしかぶ] /(n) stock loan/lending stock/
貸間 [かしま] /(n) room to let/room for rent/(P)/
貸金 [かしきん] /(n) loan/(P)/
貸金業 [かしきんぎょう] /(n) money lending business/
貸金庫 [かしきんこ] /(n) safe-deposit box/
貸座敷 [かしざしき] /(n) (1) (Edo-period) brothel/(2) facilities rented out for meetings, meals, etc./(3) place for assignations/
貸室 [かししつ] /(n) room for rent (lease)/office space for rent (lease)/
貸借 [たいしゃく] /(n,vs) loan/debit and credit/lending and borrowing/(P)/
貸借対照表 [たいしゃくたいしょうひょう] /(n) balance sheet/
貸主 [かしぬし] /(n) lender/creditor/landlord/
貸手 [かして] /(n) lender/
貸渋り [かししぶり] /(n) reluctance to lend/
貸出 [かしだし] /(n,vs) lending/loaning/
貸出し [かしだし] /(n,vs) lending/loaning/
貸出し限度 [かしだしげんど] /(n) credit line/
貸出す [かしだす] /(v5s,vt) to lend/to loan/to let out on hire/
貸出期間 [かしだしきかん] /(n) lending-period/period of loan (e.g. for a library book)/
貸出用 [かしだしよう] /(n) circulation or lending (e.g. library books)/(P)/
貸席 [かしせき] /(n) (meeting) room for rent/
貸切り [かしきり] /(n) reserved/reservation/(P)/
貸切風呂 [かしきりぶろ] /(n) bath, often at ryokan, where you can reserve time for private bathing/
貸賃 [かしちん] /(n) rent/charges/
貸店舗 [かしてんぽ] /(n) store for rent/
貸倒れ [かしだおれ] /(n) bad debt/irrecoverable debt/
貸費 [たいひ] /(n) (student) loan/
貸費生 [たいひせい] /(n) student on a scholarship-loan/
貸付 [かしつけ] /(n) loan/(P)/
貸付け [かしつけ] /(n) loan/
貸付金 [かしつけきん] /(n) loan/
貸付残高 [かしつけざんだか] /(n) debit balance/outstanding credit/outstanding loan/
貸付信託 [かしつけしんたく] /(n) loan trust/
貸付真実法 [かしつけしんじつほう] /(n) truth in lending act/
貸方 [かしかた] /(n) creditor/method of lending/credit side/
貸本 [かしほん] /(n) books for loan/
貸本屋 [かしほんや] /(n) rental library/
貸与 [たいよ] /(n,vs) loan/lending/(P)/
貸与権 [たいよけん] /(n) lending rights (for copyrighted works under Japan's copyright law)/
退かす [どかす] /(v5s,vt) to remove/
退き時 [ひきどき] /(n) a good time to quit/(P)/
退く [しりぞく] /(v5k,vi) (1) to step back/to move back/(2) to leave (the presence of a superior)/to withdraw/to retreat/to concede/(3) to resign/to retire/to quit/(P)/
退く [どく] /(v5k,vi) (1) to step aside/to move (i.e. out of the way)/to make way/
退く [のく] /(v5k,vi) (1) to step aside/to move (i.e. out of the way)/to make way/(2) to resign/to retire/to quit/to secede/(P)/
退く [ひく] /(v5k,vi) (1) to move back/to draw back/to recede/(2) to lessen/to subside/to ebb/(3) to resign/to retire/to quit/(P)/
退ける [しりぞける] /(v1,vt) to repel/to drive away/to repulse/to reject/
退ける [どける] /(v1,vt) to remove/to take away/to dislodge/to put something out of the way/(P)/
退ける [のける] /(v1,vt) to remove/to take away/to dislodge/to put something out of the way/(P)/
退っ引きならない [のっぴきならない] /(exp) unavoidable/inevitable/
退っ引きならぬ [のっぴきならぬ] /(exp) unavoidable/inevitable/
退める [やめる] /(iK) (v1,vt) to resign/to retire/to quit/to leave (one's job, etc.)/
退位 [たいい] /(n,vs) abdication/
退院 [たいいん] /(n,vs) leaving hospital/discharge from hospital/(P)/
退嬰主義 [たいえいしゅぎ] /(n) backward-looking philosophy (ideology)/conservatism/
退嬰政策 [たいえいせいさく] /(n) conservative (regressive) policy/
退嬰的 [たいえいてき] /(adj-na) conservative/unadventurous/
退化 [たいか] /(n,vs) degeneration/retrogression/
退化器官 [たいかきかん] /(n) vestigial organ/
退会 [たいかい] /(n,vs) withdrawal from a group/
退学 [たいがく] /(n,vs) dropping out of school/(P)/
退学処分 [たいがくしょぶん] /(n) expulsion (from school)/
退官 [たいかん] /(n,vs) retirement from office/(P)/
退却 [たいきゃく] /(n,vs) retreat/withdrawal/retirement/(P)/
退去 [たいきょ] /(n,vs,adj-no) (1) departure/leaving/going away/evacuation/(2) recession/(P)/
退京 [たいきょう] /(n,vs) leaving the capital/leaving Tokyo/
退勤 [たいきん] /(n) leaving work/clockout/
退屈 [たいくつ] /(adj-na,n,vs) tedium/boredom/(P)/
退屈しのぎ [たいくつしのぎ] /(n) killing time/staving off boredom/
退屈凌ぎ [たいくつしのぎ] /(n) killing time/staving off boredom/
退形成性 [たいけいせいせい] /(adj-no) anaplastic/
退校 [たいこう] /(n,vs) leaving school/expulsion (from school)/
退紅色 [たいこうしょく] /(n) (light) pink/
退耕 [たいこう] /(n) (obs) giving up government service and engaging in agriculture/
退行 [たいこう] /(n,vs,adj-no) retrogression/regression/
退行テスト [たいこうテスト] /(n) (comp) regression test/
退座 [たいざ] /(n,vs) leaving one's seat/
退散 [たいさん] /(n,vs) (intr.) disperse/break up/
退治 [たいじ] /(n,vs) (1) extermination (e.g. of pests, demons, bandits)/elimination/eradication/suppression/(2) (Buddh) making someone renounce worldly desires in order to concentrate on Buddha's teachings/(3) curing illness/(P)/
退治る [たいじる] /(v1,vt) to exterminate/to eliminate/to eradicate/to suppress/
退室 [たいしつ] /(n,vs) exit from a room/
退社 [たいしゃ] /(n,vs) (1) resignation/leaving office/(2) leaving work (e.g. at the end of the day)/(P)/
退縮 [たいしゅく] /(n,vs,adj-no) regression (of cancer)/involution (of an organ)/atrophy/
退出 [たいしゅつ] /(n,vs) withdrawal/leaving/
退場 [たいじょう] /(n,vs,adj-no) leaving/exit/(P)/
退職 [たいしょく] /(n,vs) retirement (from office)/(P)/
退職給付 [たいしょくきゅうふ] /(n) accrued benefit/retirement benefits/post-employment benefits/
退職金 [たいしょくきん] /(n) severance payment/retirement money (usu. lump-sum)/redundancy payment/
退職後 [たいしょくご] /(n-adv,n-t) after retirement/
退職者 [たいしょくしゃ] /(n) retired person/retiree/
退職年金 [たいしょくねんきん] /(n) (retirement) pension/
退色 [たいしょく] /(n,vs) fading/faded colour/faded color/
退陣 [たいじん] /(n,vs) retreat/withdrawal/retirement/(P)/
退勢 [たいせい] /(n) decline/one's declining fortunes/decay/
退勢挽回 [たいせいばんかい] /(n) restoring the declining fortunes/recovering from the discouraging situation/reversing the downward trend/
退席 [たいせき] /(n,vs) leaving one's seat/
退蔵 [たいぞう] /(n,vs) hoarding/
退蔵品 [たいぞうひん] /(n) hoarded goods/
退団 [たいだん] /(n,vs) leaving a group or troupe/(P)/
退庁 [たいちょう] /(n,vs) leaving one's office/
退潮 [たいちょう] /(n,vs) ebb tide/waning fortunes/
退廷 [たいてい] /(n,vs) leaving a court/
退転 [たいてん] /(n,vs) (Buddh) backsliding/
退任 [たいにん] /(n,vs) retirement/resignation/stepping down/(P)/
退任展 [たいにんてん] /(n) farewell exhibition/retrospective (exhibition)/exhibition in commemoration of retirement/
退廃 [たいはい] /(n,vs,adj-no) degeneration/decadence/deterioration/laxness/corruption/(P)/
退廃的 [たいはいてき] /(adj-na) degenerate/decadent/(P)/
退避 [たいひ] /(n,vs) (1) taking refuge/evacuation/(2) saving (a file)/(P)/
退避グループＩＤ [たいひグループアイディー] /(n) (comp) saved set-group-ID/
退避利用者ＩＤ [たいひりようしゃアイディー] /(n) (comp) saved set-user-ID/
退歩 [たいほ] /(n,vs) degenerate/
退役 [たいえき] /(n,vs,adj-no) retiring from military service/(P)/
退役軍人 [たいえきぐんじん] /(n) ex-serviceman/
退路 [たいろ] /(n) path of retreat/
退路を断つ [たいろをたつ] /(exp,v5t) to cut off the retreat/
逮捕 [たいほ] /(n,vs) arrest/apprehension/capture/(P)/
逮捕される [たいほされる] /(v1) to be arrested/
逮捕記録 [たいほきろく] /(n) arrest record/
逮捕許諾 [たいほきょだく] /(n) stripping a Diet member of arrest immunity/
逮捕許諾請求 [たいほきょだくせいきゅう] /(n) request to arrest a member of parliament while still in session/
逮捕権 [たいほけん] /(n) right to arrest/power of arrest/
逮捕者 [たいほしゃ] /(n) arrestee/person arrested/
逮捕状 [たいほじょう] /(n) arrest warrant/
逮捕歴 [たいほれき] /(n) criminal record/
逮夜 [たいや] /(n) eve of the anniversary of a person's death/
隊 [たい] /(n) party/company/body (of troops)/corps/
隊を組む [たいをくむ] /(exp,v5m) to line up/to form a party/
隊員 [たいいん] /(n) group members/(P)/
隊形 [たいけい] /(n) battle formation/disposition of troops/
隊伍 [たいご] /(n) ranks of troops/(parading in) formation/line array/
隊士 [たいし] /(n) regimental soldier/
隊商 [たいしょう] /(n) a caravan (of merchants)/
隊商宿 [たいしょうやど] /(n) a caravansary/
隊長 [たいちょう] /(n) commanding officer/(P)/
隊列 [たいれつ] /(n) file or ranks of troops/
黛 [まゆずみ] /(n) blackened eyebrows/eyebrow pencil/
黛青 [たいせい] /(n) blackish blue/
鯛 [たい] /(n) (1) (uk) sea bream (Sparidae)/porgy/(2) tai (species of reddish-brown Pacific sea bream, Pagrus major)/(P)/
鯛の尾より鰯の頭 [たいのおよりいわしのかしら] /(exp) (id) Better be the head of a dog than the tail of a lion/
鯛焼 [たいやき] /(n) fish-shaped pancake filled with bean jam/
鯛焼き [たいやき] /(n) fish-shaped pancake filled with bean jam/
鯛飯 [たいめし] /(n) rice with minced sea bream (tai)/
代 [しろ] /(n) (1) substitution/(2) material/(3) price/(4) margin (e.g. for stapling, etc.)/area required for something/(5) (arch) shiro (unit of land area equal to one-fiftieth of a tan; ~19.83 m.sq.)/
代 [だい] /(n,n-suf) (1) charge/cost/price/(2) generation/age/reign/(3) (geological) era/(4) (after someone's name or title) a representative of/on behalf of/for (someone)/(5) used after a phone number to indicate that it is a switchboard number/(ctr) (6) counter for decades of ages, eras, etc./(7) counter for generations (of inheritors to a throne, etc.)/(8) (abbr) proxy application company/
代 [よ] /(n) world/society/age/generation/(P)/
代々 [だいだい] /(n-adv,n-t) for generations/hereditary/generation after generation/(P)/
代々 [よよ] /(n-adv,n-t) for generations/hereditary/generation after generation/
代え [かえ] /(n) (1) change/alteration/substitute/spare/proxy/(2) rate of exchange/
代える [かえる] /(v1,vt) (1) to replace/(2) to exchange/to interchange/(3) to substitute/(P)/
代え名 [かえな] /(n) (1) alternative name/alternate name/(2) assumed name of a customer in a brothel (for anonymity)/(3) stage name/
代が変わる [だいがかわる] /(exp,v5r) to change hands/to be succeeded/
代り [かわり] /(n,adj-no) (1) substitute/replacement/substituting/replacing/(2) stand-in/proxy/alternate/deputy/relief/successor/(3) compensation/exchange/return/(4) second helping/another cup/seconds/(5) (abbr) upcoming program/upcoming programme/
代り [がわり] /(suf) substitute for .../
代りに [かわりに] /(adv) instead of/for/as/in exchange for/in return (for)/to make up for/
代りばんこに [かわりばんこに] /(adv) alternately/
代り栄え [かわりばえ] /(n,vs) (1) successful substitution (vs usu. in the negative)/(2) change for the better/
代り合う [かわりあう] /(v5u,vi) to relieve each other/to take turns/
代り代り [かわりがわり] /(adv) alternately/in turn/one after the other/
代り番こに [かわりばんこに] /(adv) alternately/
代り番に [かわりばんに] /(adv) alternately/
代り役 [かわりやく] /(n) substitute actor/stand-in/double/
代る [かわる] /(v5r,vi) (1) to succeed/to relieve/to replace/(2) to take the place of/to substitute for/to take over for/to represent/(3) to be exchanged/to change (places with)/to switch/
代る代る [かわるがわる] /(adv) alternately/by turns/
代わり [かわり] /(n,adj-no) (1) substitute/replacement/substituting/replacing/(2) stand-in/proxy/alternate/deputy/relief/successor/(3) compensation/exchange/return/(4) second helping/another cup/seconds/(5) (abbr) upcoming program/upcoming programme/(P)/
代わり [がわり] /(suf) substitute for .../
代わりに [かわりに] /(adv) instead of/for/as/in exchange for/in return (for)/to make up for/
代わりばんこ [かわりばんこ] /(adv) alternately/
代わり映え [かわりばえ] /(n,vs) (1) successful substitution (vs usu. in the negative)/(2) change for the better/
代わり栄え [かわりばえ] /(n,vs) (1) successful substitution (vs usu. in the negative)/(2) change for the better/
代わり合う [かわりあう] /(v5u) to relieve each other/to take turns (to do)/
代わり代わり [かわりがわり] /(adv) alternately/in turn/one after the other/
代わり番こ [かわりばんこ] /(adv) alternately/
代わる [かわる] /(v5r,vi) (1) to succeed/to relieve/to replace/(2) to take the place of/to substitute for/to take over for/to represent/(3) to be exchanged/to change (places with)/to switch/(P)/
代わる代わる [かわるがわる] /(adv) alternately/by turns/(P)/
代案 [だいあん] /(n) alternate plan/
代位 [だいい] /(n,vs) subrogation/substitution/
代位弁済 [だいいべんさい] /(n) subrogation/subrogated performance/payment in subrogation/
代印 [だいいん] /(n,vs) signing by proxy/
代員 [だいいん] /(n) proxy/
代引き [だいびき] /(n) (abbr) cash on delivery/COD/
代演 [だいえん] /(n,vs) substitute for an another/
代価 [だいか] /(n) price/cost/charge/consideration (in a contract)/
代官 [だいかん] /(n) Edo-period prefectural governor (magistrate, bailiff)/(P)/
代艦 [だいかん] /(n) replacement warship/
代願 [だいがん] /(n) praying by proxy/applying by proxy/
代願人 [だいがんにん] /(n) one who offers prayer in place of another/
代議 [だいぎ] /(n,vs) representing others in a conference/(P)/
代議員 [だいぎいん] /(n) representative/delegate/
代議員会 [だいぎいんかい] /(n) conference of representatives/
代議員団 [だいぎいんだん] /(n) delegation/
代議士 [だいぎし] /(n) parliamentarian/member of a congress/(P)/
代議制 [だいぎせい] /(n) representative system/
代議制度 [だいぎせいど] /(n) parliamentary system/
代議政治 [だいぎせいじ] /(n) representative government/
代議政体 [だいぎせいたい] /(n) representative government/
代議民主制 [だいぎみんしゅせい] /(n) representative democracy/
代休 [だいきゅう] /(n) compensatory holiday/
代金 [だいきん] /(n) price/payment/cost/charge/the money/the bill/(P)/
代金引き換え [だいきんひきかえ] /(io) (n) cash on delivery/COD/
代金引き替え [だいきんひきかえ] /(io) (n) cash on delivery/COD/
代金引換 [だいきんひきかえ] /(n) cash on delivery/COD/
代金引替 [だいきんひきかえ] /(n) cash on delivery/COD/
代稽古 [だいげいこ] /(n) substitute teaching/
代言 [だいげん] /(n,vs) advocacy/pleading by proxy/speaking for another/attorney/
代言者 [だいげんしゃ] /(n) advocate/
代言人 [だいげんにん] /(n) attorney/lawyer/
代行 [だいこう] /(n,vs,adj-no) acting as agent/(P)/
代行機関 [だいこうきかん] /(n) agency/
代行業 [だいこうぎょう] /(n) agency/proxy service/
代行者 [だいこうしゃ] /(n) agent/proxy/
代行受信者 [だいこうじゅしんしゃ] /(n) (comp) alternate recipient/
代行受信者許可 [だいこうじゅしんしゃきょか] /(n) (comp) alternate recipient allowed/
代行受信者登録 [だいこうじゅしんしゃとうろく] /(n) (comp) alternate recipient assignment/
代行送信 [だいこうそうしん] /(n) (comp) delayed delivery/
代講 [だいこう] /(n,vs) substitute lecturing/substitute lecturer/
代作 [だいさく] /(n,vs) ghost-writing/
代参 [だいさん] /(n,vs) visiting a temple for another/
代執行 [だいしっこう] /(n) carrying out by proxy/
代謝 [たいしゃ] /(n,vs,adj-no) (abbr) renewal/regeneration/metabolism/(P)/
代謝経路 [たいしゃけいろ] /(n) metabolic pathway/
代車 [だいしゃ] /(n) loaner vehicle (e.g. from a garage which is repairing one's vehicle)/
代署 [だいしょ] /(n,vs) sign for another/
代書 [だいしょ] /(n,vs) amanuensis/scribe/
代書屋 [だいしょや] /(n) (col) (obsc) notary public/scribe/amanuensis/
代書人 [だいしょにん] /(n) scribe/amanuensis/
代償 [だいしょう] /(n,adj-no) compensation/indemnification/reparation/consideration/(P)/
代償型セクハラ [だいしょうがたセクハラ] /(n) quid pro quo sexual harassment/
代償満足 [だいしょうまんぞく] /(n) vicarious satisfaction/
代将 [だいしょう] /(n) brigadier general/commodore/
代神楽 [だいかぐら] /(n) (1) grand kagura performance at Ise/(2) type of performance including the lion dance and juggling/(3) (uk) Camellia japonica 'Daikagura' (cultivar of Japanese camellia)/
代親 [だいしん] /(n) godparent/
代診 [だいしん] /(n,vs) doctor's assistance/doctor's assistant/locum tenens/
代人 [だいにん] /(n) substitute/deputy/proxy/representative/agent/(P)/
代数 [だいすう] /(n) algebra/
代数演算子 [だいすうえんざんし] /(n) (comp) algebraic operator/
代数学 [だいすうがく] /(n) algebra/
代数関数 [だいすうかんすう] /(n) algebraic function/
代数幾何学 [だいすうきかがく] /(n) (math) algebraic geometry/
代数系 [だいすうけい] /(n) (math) algebraic system/
代数式 [だいすうしき] /(n) algebraic expression/
代数多様体 [だいすうたようたい] /(n) (math) algebraic variety/locus defined by polynomial equations/
代数的 [だいすうてき] /(adj-na) (math) algebraical/
代数的和 [だいすうてきわ] /(n) algebraic sum/
代数閉体 [だいすうへいたい] /(n) (math) algebraically closed field/
代数方程式 [だいすうほうていしき] /(n) algebraic equation/
代数理論 [だいすうりろん] /(n) (comp) algebraic theory/
代僧 [だいそう] /(n) substitute priest/
代掻き [しろかき] /(n) preparing a rice field for planting by flooding it and breaking up the soil/
代走 [だいそう] /(n) substitute runner/
代打 [だいだ] /(n) pinch-hitting/(P)/
代打者 [だいだしゃ] /(n) pinch hitter/
代待ち [だいまち] /(n) waiting in place of someone else/
代替 [だいがえ] /(n,vs) (1) substitution/alternation/(adj-f,adj-no) (2) alternative/substitute/
代替 [だいがわり] /(io) (n) (1) taking over (e.g. store or family's headship)/(2) subrogation/substitution of one person for another (usu. a creditor)/
代替 [だいたい] /(n,vs) (1) substitution/alternation/(adj-f,adj-no) (2) alternative/substitute/(P)/
代替え [だいがえ] /(n,vs) (1) substitution/alternation/(adj-f,adj-no) (2) alternative/substitute/
代替えクラス [だいがえクラス] /(n) (comp) alternative class/
代替えパス [だいがえパス] /(n) (comp) alternate path/alternative path/
代替え品 [だいがえひん] /(n) substitute article/back-up/
代替え療法 [だいがえりょうほう] /(n) alternative therapy/
代替り [だいがわり] /(n) (1) taking over (e.g. store or family's headship)/(2) subrogation/substitution of one person for another (usu. a creditor)/
代替わり [だいがわり] /(n) (1) taking over (e.g. store or family's headship)/(2) subrogation/substitution of one person for another (usu. a creditor)/
代替エネルギー [だいたいエネルギー] /(n) alternative (substitute) energy/
代替クラス [だいがえクラス] /(n) (comp) alternative class/
代替クラス [だいたいクラス] /(n) (comp) alternative class/
代替トラック [だいたいトラック] /(n) (comp) alternate track/alternative track/
代替パス [だいがえパス] /(n) (comp) alternate path/alternative path/
代替パス [だいたいパス] /(n) (comp) alternate path/alternative path/
代替フロン [だいたいフロン] /(n) alternative CFCs/
代替医療 [だいたいいりょう] /(n) alternative medicine/
代替機 [だいたいき] /(n) (1) substitute device/(2) replacement aircraft/
代替効果 [だいたいこうか] /(n) substitution effect/
代替手段 [だいたいしゅだん] /(n) alternative means (alternate)/alternative method/
代替品 [だいがえひん] /(n) substitute article/back-up/
代替品 [だいたいひん] /(n) substitute article/back-up/
代替物 [だいたいぶつ] /(n) substitute article/
代替療法 [だいがえりょうほう] /(n) alternative therapy/
代替療法 [だいたいりょうほう] /(n) alternative therapy/
代代 [だいだい] /(n-adv,n-t) for generations/hereditary/generation after generation/(P)/
代代 [よよ] /(n-adv,n-t) for generations/hereditary/generation after generation/
代代伝わる [だいだいつたわる] /(v5r) to be transmitted (handed down) from generation to generation/
代諾者 [だいだくしゃ] /(n) legal representative/legal guardian/
代地 [だいち] /(n) substitute land/
代置 [だいち] /(n,vs) replace/
代当主 [だいとうしゅ] /(suf) indicates a person is the n-th generation head of a family/
代動詞 [だいどうし] /(n) (ling) pro-verb (e.g. "to do")/
代読 [だいどく] /(n,vs) reading for another/
代入 [だいにゅう] /(n,vs) substitution/assignment/
代入演算子 [だいにゅうえんざんし] /(n) (comp) assignment operator/substitution operator/
代入文 [だいにゅうぶん] /(n) (comp) assignment statement/
代任 [だいにん] /(n,vs) agency/acting official/
代燃車 [だいねんしゃ] /(n) car running on substitute fuel/
代納 [だいのう] /(n,vs) payment for another/
代筆 [だいひつ] /(n,vs) amanuensis/
代表 [だいひょう] /(n,vs,adj-no) representative/representation/delegation/type/example/model/(P)/
代表格 [だいひょうかく] /(n) representative/
代表権 [だいひょうけん] /(n) (right of) representation/right to represent (e.g. a company)/
代表作 [だいひょうさく] /(n) masterpiece/representative work/(P)/
代表社員 [だいひょうしゃいん] /(n) senior partner/
代表者 [だいひょうしゃ] /(n) representative/delegate/
代表取締社長 [だいひょうとりしまりしゃちょう] /(n) company president, with responsibility to represent the company in its dealings with the outside world/
代表取締役 [だいひょうとりしまりやく] /(n) representative director (i.e. someone chosen by the board of directors from among the directors to actually represent the company in its dealings with the outside world)/
代表処 [だいひょうしょ] /(n) representative office (e.g. diplomatic)/
代表所 [だいひょうしょ] /(n) representative office (e.g. diplomatic)/
代表代行 [だいひょうだいこう] /(n) acting leader (usu. of a party)/
代表団 [だいひょうだん] /(n) delegation/
代表的 [だいひょうてき] /(adj-na) representative/exemplary/model/(P)/
代表電話 [だいひょうでんわ] /(n) switchboard/
代表電話番号 [だいひょうでんわばんごう] /(n) switchboard number/
代表番号 [だいひょうばんごう] /(n) pilot number/
代表部 [だいひょうぶ] /(n) diplomatic mission/
代表例 [だいひょうれい] /(n) representative example/
代品 [だいひん] /(n) substitute article/
代父 [だいふ] /(n) godfather/
代物 [しろもの] /(n) thing/article/goods/fellow/affair/
代物 [だいぶつ] /(n) substitute/
代変り [だいがわり] /(n) (1) taking over (e.g. store or family's headship)/(2) subrogation/substitution of one person for another (usu. a creditor)/
代変わり [だいがわり] /(n) (1) taking over (e.g. store or family's headship)/(2) subrogation/substitution of one person for another (usu. a creditor)/
代返 [だいへん] /(n,vs) answer a roll call for another/
代弁 [だいべん] /(n,vs) pay by proxy/act for another/speak for another/(P)/
代弁者 [だいべんしゃ] /(n) spokesman/mouthpiece/
代母 [だいぼ] /(n) godmother/
代務 [だいむ] /(n,vs) vicarious management/
代名詞 [だいめいし] /(n) (1) (ling) pronoun/(2) synonym/classic example/pattern/byword/representative/(P)/
代名動詞 [だいめいどうし] /(n) pronominal verb/
代役 [だいやく] /(n) substitute (e.g. actor)/substitution/stand-in/double/(P)/
代用 [だいよう] /(n,vs,adj-no) substitution/(P)/
代用監獄 [だいようかんごく] /(n) police custody/police detention/substitute prison/
代用教員 [だいようきょういん] /(n) substitute teacher/
代用食 [だいようしょく] /(n) substitute food/
代用肉 [だいようにく] /(n) meat substitute/
代用品 [だいようひん] /(n) substitute/
代理 [だいり] /(n,vs,adj-no) representation/agency/proxy/deputy/agent/attorney/substitute/alternate/acting (principal, etc.)/(P)/
代理サーバー [だいりサーバー] /(n) (comp) proxy server/
代理委任状 [だいりいにんじょう] /(n) power of attorney/
代理業 [だいりぎょう] /(n) agency/
代理業者 [だいりぎょうしゃ] /(n) agent/
代理権 [だいりけん] /(n) agency/(attorney's) authority of representation/
代理公使 [だいりこうし] /(n) charge d'affaires of a legation/
代理者 [だいりしゃ] /(n) proxy/agent/substitute/deputy/alternate/representative/attorney/
代理受信者 [だいりじゅしんしゃ] /(n) (comp) substitute recipient/
代理出産 [だいりしゅっさん] /(n) surrogate birth/
代理申請会社 [だいりしんせいかいしゃ] /(n) proxy application company/
代理人 [だいりにん] /(n) proxy/agent/substitute/deputy/alternate/representative/attorney/
代理戦争 [だいりせんそう] /(n) war by proxy/
代理大使 [だいりたいし] /(n) charge d'affaires of embassy/
代理店 [だいりてん] /(n) agent/agency/(P)/
代理店経費 [だいりてんけいひ] /(n) agency cost/
代理投票 [だいりとうひょう] /(n) voting by proxy/
代理部 [だいりぶ] /(n) mail-order department/branch store/
代理母 [だいりはは] /(n) surrogate mother/
代理牧師 [だいりぼくし] /(n) vicar/
代理領事 [だいりりょうじ] /(n) acting consul/
代赭 [たいしゃ] /(n) red ocher/
代赭色 [たいしゃいろ] /(n) yellowish-brown/
台 [うてな] /(n) (1) tower/(2) stand/pedestal/(3) calyx/
台 [だい] /(n,n-suf) (1) stand/rack/table/(2) support/(3) belt/(ctr) (4) counter for machines, incl. vehicles/(n) (5) setting (e.g. in jewellery)/(n,n-suf,ctr) (6) level (e.g. price level)/range (e.g. after physical units)/period (of time, e.g. a decade of one's life)/(P)/
台に載せる [だいにのせる] /(exp,v1) to set on a stand/
台下 [だいか] /(n,n-suf) (hon) your honor (honour)/his (or her) honor (honour)/
台閣 [たいかく] /(n) tall building/the cabinet/
台閣 [だいかく] /(n) tall building/the cabinet/
台割 [だいわり] /(n) draft of a magazine's content (usu. a table showing the allocation of each page)/
台割り [だいわり] /(n) draft of a magazine's content (usu. a table showing the allocation of each page)/
台割り表 [だいわりひょう] /(n) draft of magazine's content (a table showing the allocation of each page)/
台割れ [だいわれ] /(n) a fall below a certain level (of a stock price, etc.)/
台割表 [だいわりひょう] /(n) draft of magazine's content (a table showing the allocation of each page)/
台顔 [たいがん] /(n) your face/
台顔 [だいがん] /(n) your face/
台形 [だいけい] /(n,adj-no) trapezium/trapezoid/
台座 [だいざ] /(n) pedestal/
台子 [だいす] /(n) large utensil stand (tea ceremony)/
台紙 [だいし] /(n) cardboard/mat/mount/
台詞 [せりふ] /(n) speech/words/one's lines/remarks/
台詞回し [せりふまわし] /(n) theatrical elocution/
台辞 [だいじ] /(n) words/one's lines/
台車 [だいしゃ] /(n) push car/flatcar/bogie/(P)/
台所 [だいどこ] /(n,adj-no) kitchen/
台所 [だいどころ] /(n,adj-no) kitchen/(P)/
台所道具 [だいどころどうぐ] /(n) kitchen utensils/
台所用品 [だいどころようひん] /(n) kitchenware/
台場 [だいば] /(n) fort/battery/
台尻 [だいじり] /(n) butt of a gun/
台数 [だいすう] /(n) number of large objects such as cars, computers, etc./
台石 [だいいし] /(n) stone pedestal/
台替り [だいがわり] /(n,vs) a rise above a certain level (of a stock price, etc.)/
台替わり [だいがわり] /(n,vs) a rise above a certain level (of a stock price, etc.)/
台地 [だいち] /(n) plateau/tableland/eminence/(P)/
台中関係 [たいちゅうかんけい] /(n) relations between Taiwan and China/
台帳 [だいちょう] /(n) account book/ledger/register/(P)/
台直しかんな [だいなおしかんな] /(n) plane with a blade at ninety degrees to its base used for maintaining the bases of other wooden planes/
台直し鉋 [だいなおしかんな] /(n) plane with a blade at ninety degrees to its base used for maintaining the bases of other wooden planes/
台頭 [たいとう] /(n,vs) rise of/appearance of/raising one's head/coming to power/becoming famous/(being in the) forefront/prominence/(P)/
台秤 [だいばかり] /(n) platform scales/
台布巾 [だいぶきん] /(n) wipecloth/
台風 [たいふう] /(n) typhoon/hurricane/(P)/
台風の眼 [たいふうのめ] /(n) eye of a typhoon/
台風の目 [たいふうのめ] /(n) eye of a typhoon/
台風一過 [たいふういっか] /(n) clear weather after a typhoon has passed/
台風眼 [たいふうがん] /(n) eye of a typhoon/
台風銀座 [たいふうぎんざ] /(n) the typhoon Ginza/the area (of Japan) where typhoons frequently pass/
台風並み [たいふうなみ] /(n,adj-no) typhoon-strength (winds, etc.)/
台甫 [たいほ] /(n) your personal name/
台本 [だいほん] /(n) script/libretto/scenario/(P)/
台本作家 [だいほんさっか] /(n) scriptwriter/
台密 [たいみつ] /(n) esoteric Buddhism of the Japanese Tendai Sect/
台無し [だいなし] /(adj-na,n) mess/spoiled/spoilt/(come to) nothing/(P)/
台無しにする [だいなしにする] /(exp,vs-i) to spoil/to ruin/to destroy/to make a mess of/
台無しになる [だいなしになる] /(exp) to come to nothing/to be spoiled/to be spoilt/
台名 [たいめい] /(n) command of a shogun or a high official/
台木 [だいぎ] /(n) (1) stock (in grafting)/(2) wood used as a platform (or base, etc.)/block (i.e. chopping block)/(gun) stock/unworked block of wood/
台覧 [たいらん] /(n) inspection by the empress or the crown prince/
台覧相撲 [たいらんずもう] /(n) sumo wrestling performed in the presence of the empress or crown prince/
台流 [たいりゅう] /(n) influx of Taiwanese pop culture (into Japan)/
台臨 [たいりん] /(n) visit by the empress or the crown prince/
台輪 [だいわ] /(n) architrave/
台湾 [たいわん] /(n,adj-no) Taiwan/(P)/
台湾海峡 [たいわんかいきょう] /(n) Straits of Taiwan/
台湾金魚 [たいわんきんぎょ] /(n) (uk) paradise fish (Macropodus opercularis)/
台湾栗鼠 [たいわんりす] /(n) (uk) Taiwanese squirrel (subspecies of Pallas's squirrel, Callosciurus erythraeus thaiwanensis)/
台湾語 [たいわんご] /(n) Taiwanese (dialect)/
台湾国民党 [たいわんこくみんとう] /(n) Kuomintang (Taiwanese Nationalist Party)/
台湾山芋 [たいわんやまいも] /(n) (obsc) water yam (Dioscorea alata)/winged yam/purple yam/
台湾鹿 [たいわんじか] /(n) Formosan sika/Taiwan sika (Cervus nippon taiouanus)/
台湾出兵 [たいわんしゅっぺい] /(n) Taiwan Expedition (punitive expedition by the Japanese military forces; 1874)/
台湾人 [たいわんじん] /(n) a Taiwanese/
台湾茶 [たいわんちゃ] /(n) Taiwanese tea (i.e. oolong)/
台湾泥鰌 [たいわんどじょう] /(n) (uk) blotched snakehead (species of fish, Channa maculata)/
台湾波布 [たいわんはぶ] /(n) (uk) Taiwanese habu (Trimeresurus mucrosquamatus)/
台湾飯匙倩 [たいわんはぶ] /(n) (uk) Taiwanese habu (Trimeresurus mucrosquamatus)/
台湾坊主 [たいわんぼうず] /(n) atmospheric depression originating in Taiwan/
大 [おお] /(pref) big/large/
大 [おおい] /(pref) (1) (arch) greater (of equal court ranks)/upper/senior/(n,adj-na) (2) a great deal/very much/
大 [おおき] /(io) (pref) (1) (arch) great/grand/large/(2) greater (of equal court ranks)/upper/senior/(n,adj-na) (3) a great deal/very much/
大 [だい] /(pref) (1) the large part of/(2) big/large/great/(suf) (3) approximate size/no larger than/(4) (abbr) -university/(n) (5) large (e.g. serving size)/loud (e.g. volume setting)/
大々神楽 [だいだいかぐら] /(n) grand kagura performance at Ise/
大々的 [だいだいてき] /(adj-na,n) great/grand/extensive/large-scale/(P)/
大あくび [おおあくび] /(n) big yawn/
大い [おおい] /(pref) (1) (arch) greater (of equal court ranks)/upper/senior/(n,adj-na) (2) a great deal/very much/
大いなる [おおいなる] /(adj-pn) big/large/great/
大いに [おおいに] /(adv) very/much/greatly/a lot of/(P)/
大いに喜ぶ [おおいによろこぶ] /(exp,v5b) to be highly pleased/
大いばり [おおいばり] /(n,adj-na) bragging/showing off/pride/
大いびき [おおいびき] /(n) loud snore/
大かっこ [だいかっこ] /(n) (comp) (square) brackets/
大がかり [おおがかり] /(adj-na,n) large-scale/
大き [おおき] /(pref) (1) (arch) great/grand/large/(2) greater (of equal court ranks)/upper/senior/(n,adj-na) (3) a great deal/very much/
大きい [おおきい] /(adj-i) big/large/great/loud/(P)/
大きく [おおきく] /(adv) in a big way/on a grand scale/
大きく水をあけて [おおきくみずをあけて] /(exp) by a comfortable margin/
大きさ [おおきさ] /(n) size/dimensions/volume/(P)/
大きさ引継ぎ配列 [おおきさひきつぎはいれつ] /(n) (comp) assumed-size array/
大きすぎる [おおきすぎる] /(v1) to be oversized (overloud, etc.)/
大きな [おおきな] /(adj-f) big/large/great/(P)/
大きなお世話 [おおきなおせわ] /(exp,n) None of your business!/Don't bother me!/
大きな顔をする [おおきなかおをする] /(exp,vs-i) to look as if one is important/to swagger around/
大きな政府 [おおきなせいふ] /(n) big government/
大きに [おおきに] /(adv) (1) (uk) greatly/very much/(int) (2) (ksb:) thanks a lot/
大きに御世話だ [おおきにおせわだ] /(exp) (id) It's none of your business/
大きめ [おおきめ] /(adj-no) largish/biggish/a little bit larger/
大き過ぎる [おおきすぎる] /(v1) to be oversized (overloud, etc.)/
大き目 [おおきめ] /(adj-no) largish/biggish/a little bit larger/
大げさ [おおげさ] /(adj-na,n) grandiose/exaggerated/(P)/
大げさに言う [おおげさにいう] /(exp,v5u) to exaggerate/
大げんか [おおげんか] /(n,vs) quarrel/huge fight/big row/
大さじ [おおさじ] /(n) tablespoon/(P)/
大ざっぱ [おおざっぱ] /(adj-na,n) rough (as in not precise)/broad/sketchy/(P)/
大しけ [おおしけ] /(n) (1) very stormy weather (at sea)/(2) very poor catch of fish (due to stormy seas)/
大した [たいした] /(adj-pn) considerable/great/important/significant/a big deal/(P)/
大した事ではない [たいしたことではない] /(exp) (uk) trivial/not amounting to much/
大した事では無い [たいしたことではない] /(exp) (uk) trivial/not amounting to much/
大した事ない [たいしたことない] /(exp) (uk) trivial/not amounting to much/
大した事無い [たいしたことない] /(exp) (uk) trivial/not amounting to much/
大して [たいして] /(adv) (not so) much/(not) very/(P)/
大ぜい [おおぜい] /(n,adj-no) many/crowd/great number of people/
大ぜい [たいぜい] /(n,adj-no) many/crowd/great number of people/
大それた [だいそれた] /(adj-pn) outrageous/monstrous/appalling/inordinate/overambitious/
大っきい [おっきい] /(adj-i) (uk) big/large/great/(P)/
大っぴら [おおっぴら] /(adv) openly/in public/without hesitation/
大つごもり [おおつごもり] /(n) the last day of the year/New Year's Eve/
大とろ [おおとろ] /(n) quality tuna/fat under-belly of tuna/
大なた [おおなた] /(n) big hatchet/
大なたを振るう [おおなたをふるう] /(exp,v5u) (obs) to make drastic cuts/to take an axe to/
大なり [だいなり] /(n) (comp) greater-than mark (>)/right angle bracket/
大なり小なり [だいなりしょうなり] /(exp) to a greater or lesser extent (degree)/more or less/
大の [だいの] /(adj-pn) (1) large/big/(2) grown (man, etc.)/(3) great (friend, etc.)/huge (football fan, etc.)/
大の苦手 [だいのにがて] /(exp) dread/horror/hatred/
大の月 [だいのつき] /(n) long month (i.e. having 31 days)/
大の字 [だいのじ] /(n,vs) shape of the "dai" kanji (esp. person with arms and legs outstretched)/
大の字に [だいのじに] /(adv) sprawled/spread-eagled/in the shape of the "dai" kanji/
大の男 [だいのおとこ] /(n) adult man/
大の虫を生かして小の虫を殺す [だいのむしをいかしてしょうのむしをころす] /(exp) (id) sacrifice something small in order to save something great/lose a leg to save one's life/let a large bug live and kill a small one/
大の虫を生かして小の虫を殺せ [だいのむしをいかしてしょうのむしをころせ] /(exp) (id) sacrifice something small in order to save something great/lose a leg to save one's life/let a large bug live and kill a small one/
大の猫好き [だいのねこずき] /(n) ardent cat lover (fancier)/
大は小を兼ねる [だいはしょうをかねる] /(exp,v1) better too big than too small/
大ぼら [おおぼら] /(n) big lie/whopper/
大ぼらを吹く [おおぼらをふく] /(exp,v5k) to talk through one's hat/to blow one's own horn/
大まか [おおまか] /(adj-na,n) (1) rough (e.g. sketch, approximation)/broad/(2) generous/openhanded/(P)/
大まかに [おおまかに] /(exp) in broad terms/as a rule of thumb/loosely/
大まかに言えば [おおまかにいえば] /(n) generally speaking/
大みそか [おおみそか] /(n-t) New Year's Eve/December 31st/
大もうけ [おおもうけ] /(n,vs) large profit/a killing/
大やけど [おおやけど] /(n) large burn or scald/
大よそ [おおよそ] /(adv,n) (uk) about/roughly/as a rule/approximately/
大らか [おおらか] /(adj-na) (1) (uk) placid/composed/serene/calm/(2) big hearted/broad-minded/magnanimous/(3) great quantity (of something)/
大アナコンダ [おおアナコンダ] /(n) (uk) green anaconda (Eunectes murinus)/
大アナコンダ [オオアナコンダ] /(n) (uk) green anaconda (Eunectes murinus)/
大イチョウ [おおイチョウ] /(n) (1) large ginkgo tree/(2) ginkgo-leaf top-knot worn by makuuchi and juryo division sumo wrestlers/
大エビ [おおエビ] /(n) lobster/
大カナダ藻 [おおカナダも] /(n) (uk) Brazilian elodea (species of aquatic plant, Egeria densa)/
大ショック [だいショック] /(n) great shock/
大ジョッキ [だいジョッキ] /(n) large beer mug/
大スズメバチ [おおスズメバチ] /(n) (uk) Asian giant hornet (Vespa mandarinia)/yak-killer hornet/
大スター [だいスター] /(n) big star/superstar/
大ニュース [だいニュース] /(n) headline/momentous news/
大ノリ [おおノリ] /(n,adv) (1) excitedly/(2) type of rhythm for Noh songs/
大バカ [おおバカ] /(n,adj-na,adj-no) extreme foolishness/utter fool/
大ヒット [だいヒット] /(n,vs) (sl) big hit/popular item (e.g. movie, music)/
大フルマ鴎 [おおフルマかもめ] /(n) (uk) giant petrel (esp. the southern giant petrel, Macronectes giganteus)/
大ブリテン [だいブリテン] /(n) (abbr) Great Britain/
大ブリテン島 [だいブリテンとう] /(n) Great Britain/
大ボケ [おおボケ] /(n) great idiot/fool/(saying) something silly or stupid/
大マゼラン雲 [だいマゼランうん] /(n) Large Magellanic Cloud/
大リーグ [だいリーグ] /(n) the major leagues (baseball)/
大悪 [だいあく] /(n) atrocity/outrage/heinousness/
大葦切 [おおよしきり] /(n) (uk) great reed warbler (Acrocephalus arundinaceus)/
大粟反 [おおあわがえり] /(n) (uk) timothy (Phleum pratense)/timothy grass/
大安 [たいあん] /(n) lucky day/auspicious day/
大安 [だいあん] /(n) lucky day/auspicious day/
大安吉日 [たいあんきちじつ] /(n) very auspicious day for all types of occasions (one of the six special days in the Japanese lunisolar calendar)/
大安吉日 [たいあんきちにち] /(n) very auspicious day for all types of occasions (one of the six special days in the Japanese lunisolar calendar)/
大安売り [おおやすうり] /(n) special bargain sale/
大暗斑 [だいあんもん] /(n) Great Dark Spot (on Neptune)/
大威張り [おおいばり] /(n,adj-na) bragging/showing off/pride/
大威徳明王 [だいいとくみょうおう] /(n) (Buddh) Yamantaka Vidya-raja/conqueror of Death/
大尉 [たいい] /(n) captain (Army, U.S. Marine Corps, USAF)/lieutenant (Navy)/flight lieutenant (RAF, RAAF, RNZAF, etc.)/(P)/
大尉 [だいい] /(n) captain (Army, U.S. Marine Corps, USAF)/lieutenant (Navy)/flight lieutenant (RAF, RAAF, RNZAF, etc.)/
大意 [たいい] /(n) synopsis/precis/summary/gist/outline/
大違い [おおちがい] /(n) (1) great difference/(2) major mistake/
大域 [たいいき] /(n,adj-no) wide area/
大域モデリング変換 [だいいきモデリングへんかん] /(n) (comp) global modelling transformation/
大域的 [たいいきてき] /(adj-na) (comp) global/
大域変数 [たいいきへんすう] /(n) (comp) global variable/
大域名 [たいいきめい] /(n) (comp) global name/
大域要素 [だいいきようそ] /(n) (comp) global entity/
大一番 [おおいちばん] /(n) decisive game/
大引け [おおびけ] /(n) (1) closing (a market or trading session)/(2) closing price/
大陰 [だいおん] /(n) Daion/one of the eight gods of the koyomi/
大陰唇 [だいいんしん] /(n) labia majora/
大宇宙 [だいうちゅう] /(n) macrocosmos/macrocosm/the universe/the cosmos/(P)/
大羽 [おおば] /(n,adj-no) large Japanese pilchard/
大羽 [おおばね] /(n) contour feather/quill feather/
大雨 [おおあめ] /(n) heavy rain/(P)/
大雨注意報 [おおあめちゅういほう] /(n) storm warning/
大臼歯 [だいきゅうし] /(n) molar/
大嘘 [おおうそ] /(n) big lie/
大鰻 [おおうなぎ] /(n) (uk) giant mottled eel (Anguilla marmorata)/marbled eel/
大映 [だいえい] /(n) Daiei Motion Picture Company/(P)/
大永 [たいえい] /(n) Taiei era (1521.8.23-1528.8.20)/
大英断 [だいえいだん] /(n) resolute decision/
大英帝国 [だいえいていこく] /(n) the British Empire/
大英博物館 [だいえいはくぶつかん] /(n) British Museum/
大円 [だいえん] /(n) large circle/great circle/
大円鏡智 [だいえんきょうち] /(n) (Buddh) adarsa-jnana (great-perfect-mirror wisdom, wisdom clearly elucidating all things)/
大演習 [だいえんしゅう] /(n) large-scale maneuvers/large-scale manoeuvres/war games/
大猿子 [おおましこ] /(n) (uk) Pallas's rosefinch (Carpodacus roseus)/
大奥 [おおおく] /(n) inner palace (in Edo Castle)/palace's ladies chambers/shogun's harem/
大奥様 [おおおくさま] /(n) lady of the house/
大往生 [だいおうじょう] /(n,vs) peaceful death/
大往生を遂げる [だいおうじょうをとげる] /(exp,v1) to die peacefully/to have lived a full life/
大横綱 [だいよこづな] /(n) sumo grand champion considered to be truly great, usually with over 10 makuuchi tournament wins/
大王 [だいおう] /(n) great king/
大王烏賊 [だいおういか] /(n) (uk) giant squid/
大王松 [だいおうしょう] /(n) (uk) longleaf pine (Pinus palustris)/
大王松 [だいおうまつ] /(n) (uk) longleaf pine (Pinus palustris)/
大王椰子 [だいおうやし] /(n) (uk) royal palm (esp. Cuban royal palm, Roystonea regia)/
大黄 [だいおう] /(n) rhubarb/
大岡裁き [おおおかさばき] /(n) judicial decision made with human kindness and warmth in a fair manner (from the decisions of Oooka Tadasuke, a jurist in 17th century Japan)/
大屋 [おおや] /(n) landlord/landlady/(P)/
大恩 [だいおん] /(n) great debt of gratitude/great obligation/
大恩人 [だいおんじん] /(n) great benefactor/person to whom one is greatly indebted/
大音声 [だいおんじょう] /(n) very loud voice/
大化 [たいか] /(n) Taika era (645.6.19-650.2.15)/
大化け [おおばけ] /(n,vs) change/metamorphosis/transformation/
大化の改新 [たいかのかいしん] /(n) Taika Reform of 645CE/
大化改新 [たいかかいしん] /(n) Taika Reform of 645CE/
大化前代 [たいかぜんだい] /(n) period in the sixth and seventh centuries prior to the Taika reform/
大伽藍 [だいがらん] /(n) large temple edifice/large temple/
大家 [おおや] /(n) landlord/landlady/
大家 [たいか] /(n) expert/(P)/
大家 [たいけ] /(n) rich family/distinguished family/
大家族 [だいかぞく] /(n) extended family/large family/(P)/
大歌 [おおうた] /(n) Heian period court song/
大河 [たいが] /(n) large river/(P)/
大河ドラマ [たいがドラマ] /(n) long-running historical drama series on NHK TV/
大河小説 [たいがしょうせつ] /(n) roman-fleuve/
大火 [たいか] /(n) large fire/(P)/
大火事 [おおかじ] /(n) big fire (buildings, etc. on fire)/
大火傷 [おおやけど] /(n) large burn or scald/
大禍時 [おおまがとき] /(exp) twilight/the time for disasters (similar to 'the witching hour' but not midnight)/
大禍津日神 [おおまがつひのかみ] /(n) the great evil god/
大蝦 [おおえび] /(n) lobster/
大過 [たいか] /(n) serious error/gross mistake/
大過去 [だいかこ] /(n) past perfect tense/pluperfect/
大蚊 [かがんぼ] /(n) (uk) crane fly/daddy longlegs (insect of family Tipulidae)/
大蚊 [ががんぼ] /(n) (uk) crane fly/daddy longlegs (insect of family Tipulidae)/
大画面 [だいがめん] /(n) large screen (TV, film, etc.)/
大雅 [だいが] /(n) major festal song (subgenre of the Shi Jing)/
大会 [たいかい] /(n,adj-no) convention/tournament/mass meeting/rally/(P)/
大会旗 [たいかいはた] /(n) tournament flag/
大会社 [だいがいしゃ] /(n) large industrial company/major corporation/big business/
大回り [おおまわり] /(n) wide turn/detour/the long way around/
大回転 [だいかいてん] /(n) the giant slalom/(P)/
大怪我 [おおけが] /(n) serious injury/
大改訂 [だいかいてい] /(n) (comp) major revision/
大晦 [おおつごもり] /(n) the last day of the year/New Year's Eve/
大晦日 [おおみそか] /(n-t) New Year's Eve/December 31st/(P)/
大海 [おおうみ] /(n) (1) ocean/large sea/(2) fabric pattern/
大海 [たいかい] /(n) (1) ocean/large sea/(P)/
大海一滴 [たいかいいってき] /(n) a drop in the ocean (bucket)/
大海烏 [おおうみがらす] /(n) (uk) great auk (Pinguinus impennis)/
大海原 [おおうなばら] /(n) the ocean/the great deep/
大海老 [おおえび] /(n) lobster/
大貝 [おおがい] /(n) kanji "big shell" radical/
大外れ [おおはずれ] /(n) utter failure/gross mistake/wrong guess/
大外刈 [おおそとがり] /(n) (MA) osotogari (in judo, a major sweeping leg throw)/
大概 [たいがい] /(n-adv,n-t,adj-no) (1) in general/almost all/(2) mainly/mostly/most likely/(3) moderately/suitably/(P)/
大概にする [たいがいにする] /(exp,vs-i) to stay within bounds/to not get carried to extremes/
大垣 [おおがき] /(n) roofed mud wall around a villa or temple/
大覚寺統 [だいかくじとう] /(n) imperial lineage starting with Emperor Kameyama/
大角鹿 [おおつのじか] /(n) giant fallow deer (extinct)/
大角豆 [ささげ] /(gikun) (n) black-eyed pea (Vigna unguiculata)/cowpea/
大角羊 [おおつのひつじ] /(n) (uk) (obsc) bighorn sheep (Ovis canadensis)/
大革 [おおかわ] /(n) large hand drum/
大学 [だいがく] /(n) (1) post-secondary education institution, incl. university, college, etc./(2) (abbr) former central university of Kyoto (established under the ritsuryo system for the training of government administrators)/(3) the Great Learning - one of the Four Books/(P)/
大学に受かる [だいがくにうかる] /(exp,v5r) to be accepted by a university/
大学へ進む [だいがくへすすむ] /(exp,v5m) to continue one's studies up to university/to go to university/
大学を出る [だいがくをでる] /(exp,v1) to graduate from a university/
大学芋 [だいがくいも] /(n) candied sweet potato/
大学院 [だいがくいん] /(n) graduate school/(P)/
大学院受験 [だいがくいんじゅけん] /(n) (act of) taking a graduate school entrance examination/
大学院進学 [だいがくいんしんがく] /(n) continuing one's education into graduate school/
大学院生 [だいがくいんせい] /(n) graduate student/
大学院入学試験 [だいがくいんにゅうがくしけん] /(n) graduate school entrance examination/
大学院入試 [だいがくいんにゅうし] /(n) (abbr) graduate school entrance examination/
大学院理学研究科 [だいがくいんりがくけんきゅうか] /(n) graduate school of sciences/
大学教育 [だいがくきょういく] /(n) university education/college education (training)/
大学教授 [だいがくきょうじゅ] /(n) university (college) professor/
大学校 [だいがっこう] /(n) educational facilities established in affiliation with government agencies/
大学祭 [だいがくさい] /(n) university festival/rag day/
大学士 [だいがくし] /(n) (abbr) position at the imperial court in ancient China/
大学者 [だいがくしゃ] /(n) great scholar/savant/polymath/
大学出の人 [だいがくでのひと] /(n) university graduate/
大学進学 [だいがくしんがく] /(n) continuing one's education into university/(P)/
大学制度 [だいがくせいど] /(n) university system/
大学生 [だいがくせい] /(n) university student/college student/(P)/
大学全入時代 [だいがくぜんにゅうじだい] /(exp) era in which university places outnumber university applicants/era of declining enrollment/
大学卒 [だいがくそつ] /(n) university graduate/college graduate/
大学入学資格検定 [だいがくにゅうがくしかくけんてい] /(n) University Entrance Qualification Examination (establishes the equivalent of high-school graduation)/
大学入試センター試験 [だいがくにゅうしセンターしけん] /(n) National Center Test for University Admissions/
大学病院 [だいがくびょういん] /(n) university hospital/teaching hospital/
大学紛争 [だいがくふんそう] /(n) campus strife/
大学別曹 [だいがくべっそう] /(n) Heian-period boarding school (for children of a specific noble clan) established near the former central university of Kyoto/
大学寮 [だいがくりょう] /(n) former central university of Kyoto (established under the ritsuryo system for the training of government administrators)/
大学浪人 [だいがくろうにん] /(n) student preparing to re-take initially failed university entrance examinations/
大額 [おおびたい] /(n) men's hairstyle with small sideburns and a wide forehead (Edo period)/
大掛かり [おおがかり] /(adj-na,n) large-scale/(P)/
大喝 [だいかつ] /(n,vs) shouting in a thunderous voice/
大喝一声 [だいかついっせい] /(n,vs) shouting in a thunderous voice/blustering out/
大括弧 [だいかっこ] /(n) square brackets/
大樺斑 [おおかばまだら] /(n) monarch butterfly (Danaus plexippus)/
大鎌 [おおがま] /(n) scythe/
大鎌 [だいかま] /(n) scythe/
大寒 [だいかん] /(n) (1) (time of) extreme cold/(2) "major cold" solar term (approx. Jan 20, roughly the coldest time of the year)/
大寒小寒 [おおさむこさむ] /(exp) first verse of a nursery rhyme sung by children on cold days (similar to "It's Raining, It's Pouring")/
大官 [たいかん] /(n) high-ranking official/
大患 [たいかん] /(n) serious illness/travails/
大歓迎 [だいかんげい] /(n) warm welcome/
大汗 [おおあせ] /(n) heavy sweating/a great deal of sweat/
大汗 [たいかん] /(n) Great Khan/Grand Khan/
大漢和辞典 [だいかんわじてん] /(n) Dai Kanwa Jiten (major Kanji Dictionary, edited by Morohashi Tetsuji)/
大観 [たいかん] /(n,vs) broad overview/general survey/
大還暦 [だいかんれき] /(n) 120th birthday/
大鑑 [たいかん] /(n) encyclopedia/
大間違い [おおまちがい] /(n) great mistake/
大関 [おおぜき] /(n) sumo wrestler of second highest rank/(P)/
大関陥落 [おおぜきかんらく] /(n) demotion from oozeki (the second highest rank in sumo wrestling) ranking/
大韓航空 [たいかんこうくう] /(n) Korean Airways/
大韓民国 [だいかんみんこく] /(n) Republic of Korea/
大願 [たいがん] /(n) (Buddh) ambition/the Buddha's great vow (to save all people)/
大願成就 [たいがんじょうじゅ] /(n,vs) realization of a great ambition/realisation of a great ambition/
大願成就 [だいがんじょうじゅ] /(n,vs) realization of a great ambition/realisation of a great ambition/
大企業 [だいきぎょう] /(n) large company/enterprise/(P)/
大喜び [おおよろこび] /(adj-na,n) great joy/(P)/
大喜利 [おおぎり] /(n) (1) last piece on the program (programme)/close/conclusion/
大器 [たいき] /(n) (1) large container/(2) person of great talent/
大器晩成 [たいきばんせい] /(exp) Great talents mature late/
大寄 [おおよせ] /(n) (1) calling many harlots and entertainers and have a big party/(2) starting an important maneuver at the end of a game of go/
大寄せ茶会 [おおよせちゃかい] /(n) formal tea gathering/formal tea party/
大気 [たいき] /(n) atmosphere/(P)/
大気圧 [たいきあつ] /(n) atmospheric pressure/
大気汚染 [たいきおせん] /(n) air pollution/
大気汚染防止法 [たいきおせんぼうしほう] /(n) Air Pollution Control Law/
大気圏 [たいきけん] /(n) the atmosphere/
大気質指標 [たいきしつしひょう] /(n) air quality index/AQI/
大気大循環 [たいきだいじゅんかん] /(n) atmospheric general circulation/
大規模 [だいきぼ] /(adj-na,n) large-scale/(P)/
大規模集積回路 [だいきぼしゅうせきかいろ] /(n) large-scale integration/LSI/
大規模小売店舗立地法 [だいきぼこうりてんぽりっちほう] /(n) Large-scale Retail Store Law/
大規模戦争 [だいきぼせんそう] /(n) all-out war/full-scale war/
大規模地震対策特別措置法 [だいきぼじしんたいさくとくべつそちほう] /(n) Large-Scale Earthquake Countermeasures Law (1979)/
大規模停電 [だいきぼていでん] /(n) major power outage/massive blackout/
大記憶 [だいきおく] /(n) (comp) mass storage/
大記憶ファイル [だいきおくファイル] /(n) (comp) mass storage file/
大記憶管理システム [だいきおくかんりシステム] /(n) (comp) mass storage control system/MSCS/
大飢饉 [だいききん] /(n) severe famine/
大鬼蓮 [おおおにばす] /(n) royal water lily/water platter/
大亀の木 [おおかめのき] /(n) viburnum furcatum/
大儀 [たいぎ] /(adj-na,n) state ceremony/laborious (task)/
大儀そうに [たいぎそうに] /(adv) wearily/
大技 [おおわざ] /(n) bold move/great task or feat/
大義 [たいぎ] /(n) great cause/moral law/justice/(P)/
大義名分 [たいぎめいぶん] /(n) a just cause/(P)/
大蟻食 [おおありくい] /(n) (uk) giant anteater (Myrmecophaga tridactyla)/
大蟻食い [おおありくい] /(n) (uk) giant anteater (Myrmecophaga tridactyla)/
大吉 [だいきち] /(n) excellent luck/
大詰 [おおづめ] /(n) final scene/the end/finale/
大詰め [おおづめ] /(n) final scene/the end/finale/(P)/
大詰めを迎える [おおづめをむかえる] /(exp,v1) to approach the finale/to come to a close/
大詰を迎える [おおづめをむかえる] /(exp,v1) to approach the finale/to come to a close/
大虐殺 [だいぎゃくさつ] /(n) mass killing/genocide/
大逆 [おおさが] /(n) (uk) Sebastes iracundus (species of rockfish)/
大逆 [たいぎゃく] /(n) high treason/
大逆 [だいぎゃく] /(n) high treason/
大逆罪 [たいぎゃくざい] /(n) (the crime of) high treason/
大逆事件 [たいぎゃくじけん] /(n) (case of) high treason/
大逆手 [おおさかて] /(n) backward-twisting overarm throw (sumo)/
大逆非道 [たいぎゃくひどう] /(n,adj-na) heinous/treacherous/atrocious/diabolic/fiendish/inhuman/
大逆無道 [たいぎゃくむどう] /(n,adj-na) heinous/treacherous/atrocious/diabolic/fiendish/inhuman/
大宮 [おおみや] /(n) (1) (hon) imperial palace/shrine/(2) Grand Empress Dowager/Empress Dowager/(3) woman of imperial lineage who has borne a child/(4) elderly woman of imperial lineage/
大宮御所 [おおみやごしょ] /(n) Empress Dowager's palace/
大宮司 [だいぐうじ] /(n) high priest of a great shrine/
大宮人 [おおみやびと] /(n) courtier/
大弓 [おおゆみ] /(n) bow/longbow/
大弓 [だいきゅう] /(n) bow/longbow/
大急ぎ [おおいそぎ] /(adj-na,n) urgent/pressing/(P)/
大急ぎで [おおいそぎで] /(exp) in a big hurry/
大挙 [たいきょ] /(n-adv,n-t) in force/in great numbers/
大虚 [たいきょ] /(n) (1) the sky/the universe/(2) taixu (the great vacuity, in Chinese philosophy, the primordial substance that gives rise to qi)/
大鋸 [おおが] /(n) large saw/framed pit saw/
大鋸 [おが] /(n) large saw/framed pit saw/
大鋸屑 [おがくず] /(n) sawdust/
大漁 [たいりょう] /(n) big catch/
大漁旗 [たいりょうばた] /(n) fishermen's banner hoisted to indicate a rich haul/big-catch flag/
大漁貧乏 [たいりょうびんぼう] /(n) impoverishment of fishermen because of a bumper catch/decline in fishermen' s income caused by the sharply lower fish prices as a result of an overabundant catch/
大魚 [たいぎょ] /(n) large fish/
大競争 [だいきょうそう] /(n) megacompetition/
大凶 [だいきょう] /(n) terrible luck/atrocity/
大強風 [だいきょうふう] /(n) strong gale/
大恐慌 [だいきょうこう] /(n) Great Depression/
大胸筋 [だいきょうきん] /(n) pectoralis major muscle/
大饗 [おおあえ] /(n) (1) large banquet/(2) (arch) court banquet (Heian period)/
大饗 [たいきょう] /(n) (1) large banquet/(2) (arch) court banquet (Heian period)/
大仰 [おおぎょう] /(adj-na,n) exaggeration/
大業 [おおわざ] /(n) bold move/great task or feat/
大業 [たいぎょう] /(n) bold move/great task or feat/
大業物 [おおわざもの] /(n) first-rate sword/
大局 [たいきょく] /(n) general situation/the whole point/
大局的 [たいきょくてき] /(adj-na) in perspective/big-picture/
大極殿 [だいごくでん] /(n) Council Hall in the Imperial Palace/
大玉 [おおだま] /(n) large ball/giant ball (e.g. as pushed by competing teams in a school sports day)/
大玉押金亀子 [おおたまおしこがね] /(n) (uk) scarab beetle/sacred scarab (Scarabaeus sacer)/
大筋 [おおすじ] /(n) outline/summary/(P)/
大金 [おおがね] /(n) large amount of money/great cost/
大金 [たいきん] /(n) large amount of money/great cost/(P)/
大金持 [おおかねもち] /(n) very rich person/
大金持 [おおがねもち] /(n) very rich person/
大金持ち [おおかねもち] /(n) very rich person/
大金持ち [おおがねもち] /(n) very rich person/
大金星 [だいきんぼし] /(n) most spectacular victory/win of rank-and-file sumo wrestler over the truly great grand champion/
大銀杏 [おおいちょう] /(n) (1) large ginkgo tree/(2) ginkgo-leaf top-knot worn by makuuchi and juryo division sumo wrestlers/
大銀杏髷 [おおいちょうまげ] /(n) ginkgo-leaf top-knot worn by makuuchi and juryo division sumo wrestlers/
大銀行 [だいぎんこう] /(n) big bank/
大愚 [たいぐ] /(n) great folly or fool/
大空 [おおぞら] /(n) heavens/firmament/sky/(P)/
大空位時代 [だいくういじだい] /(n) Great Interregnum (gap between Hohenstaufen and Habsburg rule of the Holy Roman Empire, approx. 1254-1273 CE)/
大熊座 [おおぐまざ] /(n) Ursa Major (constellation)/
大勲位 [だいくんい] /(n) supreme order (i.e. of the chrysanthemum)/highest possible order of merit/
大勲位菊花章 [だいくんいきっかしょう] /(n) Supreme Orders of the Chrysanthemum/
大勲位菊花章頚飾 [だいくんいきっかしょうくびかざり] /(n) Collar of the Supreme Order of the Chrysanthemum/
大勲位菊花章頸飾 [だいくんいきっかしょうくびかざり] /(n) Collar of the Supreme Order of the Chrysanthemum/
大勲位菊花大綬章 [だいくんいきくかだいじゅしょう] /(n) Grand Cordon of the Supreme Order of the Chrysanthemum/
大君 [おおきみ] /(n) emperor/king/prince/
大君 [おおぎみ] /(n) emperor/king/prince/
大君 [たいくん] /(n) liege lord/shogunate/
大群 [たいぐん] /(n,adj-no) large crowd/large herd/large flock/large school/large shoal/
大軍 [たいぐん] /(n) large (big) army/
大軍艦鳥 [おおぐんかんどり] /(n) (uk) great frigatebird (Fregata minor)/
大袈裟 [おおげさ] /(adj-na,n) grandiose/exaggerated/
大兄 [たいけい] /(pn,adj-no) honorific title for someone a little older/older brother/
大型 [おおがた] /(adj-na,n,adj-no) large/large scale/big/jumbo/(P)/
大型タンカー [おおがたタンカー] /(n) (petroleum) super tanker/
大型トラック [おおがたトラック] /(n) large truck/semi-trailer/
大型ハドロン衝突型加速器 [おおがたハドロンしょうとつがたかそくき] /(n) Large Hadron Collider/LHC/
大型化 [おおがたか] /(n,vs) increasing in size/
大型機 [おおがたき] /(n) large machine/
大型機械 [おおがたきかい] /(n) heavy machinery/large machinery/plant/
大型犬 [おおがたけん] /(n) large-breed dog/
大型車 [おおがたしゃ] /(n) large-size(d) car/
大型植物 [おおがたしょくぶつ] /(n) macroflora/large plant/
大型装置科学 [おおがたそうちかがく] /(n) big science (particle accelerators, space telescopes, etc.)/
大型連休 [おおがたれんきゅう] /(n) season of successive holidays from late April to early May/
大形 [おおがた] /(adj-na,n,adj-no) large/large scale/big/jumbo/
大形 [おおぎょう] /(adj-na,n) exaggeration/
大慶 [たいけい] /(n) great joy/
大慶至極 [たいけいしごく] /(n,adj-na) great happiness/great joy (pleasure)/
大系 [たいけい] /(n) outline/survey/compendium/
大計 [たいけい] /(n) grand-scale or long-range plan/farsighted policy/
大欠伸 [おおあくび] /(n) big yawn/
大穴 [おおあな] /(n) (1) large hole/(2) great deficit/heavy losses/(3) big and unexpected winnings/a killing (e.g. on a race)/(4) dark horse (horse racing)/
大穴牟遅神 [おおあなむちのかみ] /(n) Okuninushi/deity of magic and medicine later viewed as equivalent to Daikokuten and celebrated at Izumo Grand Shrine/
大穴牟遅神 [おおなむちのかみ] /(n) Okuninushi/deity of magic and medicine later viewed as equivalent to Daikokuten and celebrated at Izumo Grand Shrine/
大穴牟遅命 [おおあなむちのみこと] /(n) Okuninushi/deity of magic and medicine later viewed as equivalent to Daikokuten and celebrated at Izumo Grand Shrine/
大剣 [たいけん] /(n) large sword/long sword/
大喧嘩 [おおげんか] /(n,vs) quarrel/huge fight/big row/
大圏 [たいけん] /(n) great circle/
大圏コース [たいけんコース] /(n) great circle route/
大圏航路 [たいけんこうろ] /(n) great circle sailing route/
大嫌い [だいきらい] /(adj-na,n) very dislikeable/hate, loathe, abhor/(P)/
大建築 [だいけんちく] /(n) edifice/monumental architecture/huge building/
大憲章 [だいけんしょう] /(n) the Magna Carta/
大検 [だいけん] /(n) (abbr) University Entrance Qualification Examination (establishes the equivalent of high-school graduation)/
大権 [たいけん] /(n) supreme authority/
大権干犯 [たいけんかんぱん] /(n) infringing on the power of the sovereign/
大犬座 [おおいぬざ] /(n) Canis Major (constellation)/
大見出し [おおみだし] /(n) banner headline/
大見得 [おおみえ] /(n) dramatic pose/grand gesture/grandstanding/
大見得を切る [おおみえをきる] /(exp,v5r) to declare impressively/
大賢 [たいけん] /(n) great sage/
大元帥 [だいげんすい] /(n) commander-in-chief/generalissimo/
大元帥明王 [たいげんすいみょうおう] /(n) (Buddh) Atavaka (guardian deity)/
大原則 [だいげんそく] /(n) great principle/
大言壮語 [たいげんそうご] /(n,vs,adj-no) big talk/boasting/bragging/
大呼 [たいこ] /(n,vs) loud cry/shout/
大己貴神 [おおあなむちのかみ] /(n) Okuninushi/deity of magic and medicine later viewed as equivalent to Daikokuten and celebrated at Izumo Grand Shrine/
大己貴神 [おおなむちのかみ] /(n) Okuninushi/deity of magic and medicine later viewed as equivalent to Daikokuten and celebrated at Izumo Grand Shrine/
大股 [おおまた] /(n,adj-no) (1) straddle/(2) long (great, swinging) stride/long (big) steps/(3) thigh-scooping body drop (sumo)/
大胡麻斑蝶 [おおごまだら] /(n) (uk) tree nymph butterfly (Idea leuconoe)/
大虎 [おおどら] /(n) (1) big tiger/(2) drinker/staggering drunkard/
大鼓 [おおかわ] /(n) large hand drum/
大鼓 [おおつづみ] /(n) large hand drum/
大御 [おおいご] /(n) (arch) (hon) older lady/
大御 [おおみ] /(pref) (hon) august (in ref. to the emperor or the gods)/imperial/divine/
大御 [おおむ] /(pref) (hon) august (in ref. to the emperor or the gods)/imperial/divine/
大御 [おおん] /(pref) (hon) august (in ref. to the emperor or the gods)/imperial/divine/
大御 [おみ] /(pref) honorific or polite prefix/
大御所 [おおごしょ] /(n) leading or influential figure/
大御所時代 [おおごしょじだい] /(n) Ogosho period (between the Kansei Reforms and the Tempo Reforms, approx. 1787-1843)/
大御神 [おおみかみ] /(n) (arch) (hon) god/
大御代 [おおみよ] /(n) glorious reign of the Emperor/
大御宝 [おおみたから] /(n,adj-no) (arch) imperial subjects/the people/
大悟 [たいご] /(n,vs) (Buddh) enlightenment/great wisdom/
大悟 [だいご] /(n,vs) (Buddh) enlightenment/great wisdom/
大悟の境に入る [たいごのきょうにはいる] /(exp,v5r) (Buddh) to attain enlightenment/
大悟の境に入る [だいごのきょうにはいる] /(exp,v5r) (Buddh) to attain enlightenment/
大悟徹底 [たいごてってい] /(n,vs) attain divine enlightenment/perceive absolute truth/experience spiritual awakening/
大公 [たいこう] /(n,adj-no) archduke/
大公国 [たいこうこく] /(n) grand duchy/
大功 [たいこう] /(n) distinguished or meritorious service/
大口 [おおぐち] /(n,adj-no) large amount/big mouth/tall talk/(P)/
大口をたたく [おおぐちをたたく] /(exp,v5k) to brag/
大口バス [おおくちバス] /(n) largemouth bass (Micropterus salmoides)/bigmouth bass/
大口バス [おおぐちバス] /(n) largemouth bass (Micropterus salmoides)/bigmouth bass/
大口魚 [たら] /(n) (1) gadid (any fish of the family Gadidae, inc. cod, haddock, whiting and pollack)/(2) Pacific cod (Gadus macrocephalus)/
大向う [おおむこう] /(io) (n) (1) gallery (of a theatre)/(2) audience (at a theatre)/the masses/the general public/
大向こう [おおむこう] /(n) (1) gallery (of a theatre)/(2) audience (at a theatre)/the masses/the general public/
大好き [だいすき] /(adj-na,n) loveable/very likeable/like very much/(P)/
大好きになる [だいすきになる] /(exp) to come to like a lot/to fall in love/
大好物 [だいこうぶつ] /(n) (one's) favourite food/(one's) favorite food/
大工 [だいく] /(n) carpenter/(P)/
大巧 [たいこう] /(n) great talent/
大広間 [おおひろま] /(n) banquet or reception hall/
大慌て [おおあわて] /(adj-na,n) great excitement/
大洪水 [だいこうずい] /(n) heavy floods/
大綱 [おおづな] /(n) (1) thick rope/(2) fundamental principles/outline/general features/
大綱 [たいこう] /(n) fundamental principles/outline/general features/(P)/
大航海時代 [だいこうかいじだい] /(n) Age of Discovery/Age of Exploration/
大荒れ [おおあれ] /(adj-na,n) great storm/agitation/upheaval/
大行 [たいこう] /(n) great enterprise/great task/
大降り [おおぶり] /(n,vs) heavy rain/storm/
大国 [たいこく] /(n) large country/major powers/(P)/
大国主義 [たいこくしゅぎ] /(n) policy favouring major powers (favoring)/policy of great powers favorable only to themselves/
大国主神 [おおくにぬしのかみ] /(n) Okuninushi/deity of magic and medicine later viewed as equivalent to Daikokuten and celebrated at Izumo Grand Shrine/
大国主命 [おおくにぬしのみこと] /(n) Okuninushi/deity of magic and medicine later viewed as equivalent to Daikokuten and celebrated at Izumo Grand Shrine/
大黒 [だいこく] /(n) (1) (abbr) god of wealth/(2) (arch) monk's wife/
大黒黄金 [だいこくこがね] /(n) (uk) horned dung beetle (Copris ochus)/
大黒慈姑 [おおくろぐわい] /(n) (uk) Chinese water chestnut (Eleocharis dulcis)/
大黒鼠 [だいこくねずみ] /(n) (1) white rat/(2) white rat that serves Daikoku (god of wealth)/
大黒柱 [だいこくばしら] /(n) (1) central pillar (of a building)/(2) mainstay (e.g. of an economy)/backbone (e.g. of a family)/provider/main man/(P)/
大黒天 [だいこくてん] /(n) (1) (Buddh) Mahakala (incarnation of Mahesvara)/(2) Daikokuten (god of wealth)/
大黒椋鳥擬 [おおくろむくどりもどき] /(n) (uk) common grackle (Quiscalus quiscula)/
大獄 [たいごく] /(n) roundup/wholesale arrest/
大惚け [おおぼけ] /(n) great idiot/fool/(saying) something silly or stupid/
大骨 [おおぼね] /(n) large bone/thick bone/
大根 [だいこん] /(n,adj-no) (1) daikon radish (Raphanus sativus)/(2) ham actor/(P)/
大根おろし [だいこおろし] /(n) grated daikon/daikon grater/
大根おろし [だいこんおろし] /(n) grated daikon/daikon grater/
大根卸し [だいこおろし] /(n) grated daikon/daikon grater/
大根卸し [だいこんおろし] /(n) grated daikon/daikon grater/
大根足 [だいこんあし] /(n) thick legs/fat legs/cankle/cankles/
大根役者 [だいこんやくしゃ] /(n) ham actor/
大混乱 [だいこんらん] /(n) chaos/turmoil/pandemonium/havoc/
大佐 [たいさ] /(n) colonel/(navy) captain/(P)/
大佐賀 [おおさが] /(n) (uk) Sebastes iracundus (species of rockfish)/
大差 [たいさ] /(n,adj-no) great difference/(P)/
大宰 [おおみこともち] /(n) (arch) government official working for the daizaifu/
大宰府 [だざいふ] /(n) dazaifu (under the ritsuryo system, governmental office with jurisdiction over Kyushu, Iki and Tsushima)/
大才 [たいさい] /(n) (arch) great talent/
大歳 [おおとし] /(n) (1) (arch) New Year's Eve/December 31st/(2) (arch) Jupiter (planet)/
大歳 [おおどし] /(n) (1) (arch) New Year's Eve/December 31st/(2) (arch) Jupiter (planet)/
大歳 [たいさい] /(n) (1) Taisai/one of the eight gods of the koyomi/(2) (arch) Jupiter (planet)/
大歳神 [おおとしのかみ] /(n) guardian deity of grain farming/guardian deity of the rice harvest/
大災 [たいさい] /(n) (obsc) great disaster/
大災害 [だいさいがい] /(n) great disaster/
大災害債券 [だいさいがいさいけん] /(n) (obsc) catastrophe bond/cat bond/
大祭 [たいさい] /(n) grand festival/
大祭り [おおまつり] /(n) grand festival/
大祭司 [だいさいし] /(n) high priest/
大罪 [だいざい] /(n) serious crime/grave sin/
大坂 [おおさか] /(n) Osaka/
大坂夏の陣 [おおさかなつのじん] /(exp,n) summer campaign of the siege of Osaka (1615 CE)/
大坂冬の陣 [おおさかふゆのじん] /(exp,n) winter campaign of the siege of Osaka (1614 CE)/
大阪 [おおさか] /(n) Osaka/
大阪しろ菜 [おおさかしろな] /(n) bok choy hybrid (Brassica campestris var. amplexicaulis) (pak choi, bokchoy)/
大阪の食い倒れ [おおさかのくいだおれ] /(exp) financially ruining oneself by overindulging in food and drink (as a fabled tendency of the people of Osaka)/
大阪会議 [おおさかかいぎ] /(n) Osaka Conference/meeting held by the leaders of the Meiji Restoration in Osaka to discuss the formation of a representative assembly (January-February, 1875)/
大阪高裁 [おおさかこうさい] /(n) Osaka High Court/
大阪市 [おおさかし] /(n) Osaka city/
大阪事件 [おおさかじけん] /(n) Osaka Incident/plot by Oi Kentaro and the Liberal Party to support a Korean uprising, 1885/
大阪証券取引所 [おおさかしょうけんとりひきじょ] /(n) Osaka Securities Exchange/
大阪場所 [おおさかばしょ] /(n) Osaka (March) sumo tournament/
大阪白菜 [おおさかしろな] /(n) bok choy hybrid (Brassica campestris var. amplexicaulis) (pak choi, bokchoy)/
大阪府 [おおさかふ] /(n) Osaka (metropolitan area)/
大阪弁 [おおさかべん] /(n) Osaka dialect/
大阪鮨 [おおさかずし] /(n) Kansai-style sushi (esp. pressed sushi, such as battera)/
大鷺 [だいさぎ] /(n) great (white) egret/
大作 [たいさく] /(n) epic/(P)/
大匙 [おおさじ] /(n) tablespoon/
大冊 [たいさつ] /(n) large or bulky book or volume/
大雑把 [おおざっぱ] /(adj-na,n) rough (as in not precise)/broad/sketchy/
大皿 [おおざら] /(n) large plate/platter/
大山 [たいざん] /(n) great mountain/(P)/
大山猫 [おおやまねこ] /(n) lynx/
大山鳴動 [たいざんめいどう] /(n) big fuss over nothing/much cry and little wool/much ado about nothing/
大山鳴動してねずみ一匹 [たいざんめいどうしてねずみいっぴき] /(exp) much ado about nothing/The mountains have brought forth a mouse (Aesop)/
大山鳴動して鼠一匹 [たいざんめいどうしてねずみいっぴき] /(exp) much ado about nothing/The mountains have brought forth a mouse (Aesop)/
大山木 [たいさんぼく] /(n) evergreen magnolia/Southern magnolia/Magnolia grandiflora/
大山椒魚 [おおさんしょううお] /(n) (uk) Japanese giant salamander (Andrias japonicus)/
大仕掛け [おおじかけ] /(adj-na) large-scale/
大仕事 [おおしごと] /(n) big job/great task/
大使 [たいし] /(n,adj-no) ambassador/(P)/
大使館 [たいしかん] /(n) embassy/(P)/
大使館付き武官 [たいしかんづきぶかん] /(n) military officer attached to embassy/
大使級会談 [たいしきゅうかいだん] /(n) ambassador-level conference/
大使公邸 [たいしこうてい] /(n) ambassador's residence/
大司教 [だいしきょう] /(n) archbishop (Catholic)/
大司教区 [だいしきょうく] /(n) archdiocese/
大姉 [おおあね] /(n) (obsc) eldest sister/
大姉 [だいし] /(n,n-suf) (Buddh) (hon) Sister (i.e. a nun; sometimes used as a posthumous suffix)/
大師 [だいし] /(n) (Buddh) (hon) great teacher (i.e. a buddha, bodhisattva or high monk, esp. Kobo Daishi)/(P)/
大師堂 [だいしどう] /(n) hall with an enshrined statue of Kobo Daishi (at a Shingon temple)/
大師範 [だいしはん] /(n) master/grandmaster/senior instructor/
大志 [たいし] /(n) ambition/aspiration/
大旨 [おおむね] /(adv) (1) (uk) in general/generally/mostly/roughly/largely/mainly/on the whole/by and large/(n) (2) gist/point/main idea/
大枝 [おおえだ] /(n) large branch/(P)/
大死一番 [たいしいちばん] /(n,n-adv,vs) exerting oneself to the utmost, prepared to die if necessary/
大死一番 [だいしいちばん] /(n,n-adv,vs) exerting oneself to the utmost, prepared to die if necessary/
大糸掛貝 [おおいとかけがい] /(n) (uk) precious wentletrap (Epitonium scalare)/
大紫 [おおむらさき] /(n) (1) giant purple butterfly (species of nymphalid butterfly, Sasakia charonda)/(2) Rhododendron oomurasaki (species of purple azalea)/
大至急 [だいしきゅう] /(n,adj-no,adv) as soon as possible/ASAP/
大試合 [おおしあい] /(n) big match/
大試合 [だいしあい] /(n) big match/
大資本 [だいしほん] /(n,adj-f) large amount of capital/large-cap/big-cap/
大歯団扇海老 [おおばうちわえび] /(n) (uk) smooth fan lobster (Ibacus novemdentatus)/
大事 [おおごと] /(adj-na,n) important/valuable/serious matter/
大事 [だいじ] /(adj-na,n) important/valuable/serious matter/(P)/
大事に至る [だいじにいたる] /(exp,v5r) to develop into a serious incident/
大事の前の小事 [だいじのまえのしょうじ] /(exp) (id) Lose a fly to catch a trout/small sacrifice in a great cause/
大事をとる [だいじをとる] /(exp,v5r) to take care doing something/to be prudent/
大事を取る [だいじをとる] /(exp,v5r) to take care doing something/to be prudent/
大事業 [だいじぎょう] /(n) large enterprise/big business/large undertaking/
大事件 [だいじけん] /(n) major incident/major event/(P)/
大事故 [だいじこ] /(n) serious accident/major incident/
大字 [おおあざ] /(n) larger section (of village)/
大字 [だいじ] /(n) (1) large character/(2) alternative kanji used for numbers/
大字片山 [おおあざかたやま] /(n) name of a town section/
大寺院 [だいじいん] /(n) large temple/
大慈大悲 [だいじだいひ] /(n) great compassion and mercy/
大持て [おおもて] /(n) great popularity/
大時化 [おおしけ] /(n) (1) very stormy weather (at sea)/(2) very poor catch of fish (due to stormy seas)/
大時代 [おおじだい] /(adj-na,n) old-fashioned/antiquated/anachronistic/(P)/
大時代 [だいじだい] /(ik) (adj-na,n) old-fashioned/antiquated/anachronistic/
大治 [だいじ] /(n) Daiji era (1126.1.22-1131.1.29)/
大自在 [だいじざい] /(n) (Buddh) complete freedom/great freedom/great unhinderedness/
大自在天 [だいじざいてん] /(n) (Buddh) Mahesvara (Shiva in the Buddhist pantheon)/
大自然 [だいしぜん] /(n) nature/Mother Nature/(P)/
大辞林 [だいじりん] /(n) Daijirin (major dictionary published by Sanseidou)/
大鹿 [おおじか] /(n) (1) large deer/(2) moose/elk/red deer/
大失敗 [だいしっぱい] /(n,vs) massive failure/debacle/
大写し [おおうつし] /(n,vs) a close-up/
大赦 [たいしゃ] /(n) amnesty/
大社 [たいしゃ] /(n) Grand Shrine/(P)/
大社教 [たいしゃきょう] /(n) (obs) Taisha-kyo (sect of Shinto; renamed Izumo Oyashiro-kyo in 1951)/
大社造り [おおやしろづくり] /(n) oldest architectural style for Shinto shrines (e.g. used at Izumo shrine)/
大社造り [たいしゃづくり] /(n) oldest architectural style for Shinto shrines (e.g. used at Izumo shrine)/
大車輪 [だいしゃりん] /(n) (gymnastical) giant swing/all-out effort/frenzied activity/
大蛇 [おろち] /(n) big snake/serpent/
大蛇 [だいじゃ] /(n) big snake/serpent/
大蛇貝 [おおへびがい] /(n) (uk) scaly worm shell (Serpulorbis imbricatus)/
大尺 [たいしゃく] /(n) (arch) large shaku (approx. 35.6cm)/
大尺 [だいしゃく] /(n) (arch) large shaku (approx. 35.6cm)/
大尺鷸 [だいしゃくしぎ] /(n) (uk) Eurasian curlew (Numenius arquata)/
大杓鷸 [だいしゃくしぎ] /(n) (uk) Eurasian curlew (Numenius arquata)/
大弱り [おおよわり] /(n,adj-no) extremely troubled/very puzzled/
大主教 [だいしゅきょう] /(n) archbishop (Orthodox, Anglican, etc.)/
大取りより小取り [おおとりよりことり] /(exp) it is wiser to make money steadily over time/light gains make heavy purse/better small takings than a large win/
大手 [おおて] /(n,adj-no) (1) front castle gate/(2) both arms open/outstretched arms/(3) major companies/(P)/
大手 [おおで] /(n,adj-no) (1) front castle gate/(2) both arms open/outstretched arms/(3) major companies/
大手を振る [おおてをふる] /(ik) (exp,v5r) (1) to swing one's arms greatly while walking/(2) to be brazen/
大手を振る [おおでをふる] /(exp,v5r) (1) to swing one's arms greatly while walking/(2) to be brazen/
大手筋 [おおてすじ] /(n) large-scale operators/big traders/
大手銀行 [おおてぎんこう] /(n) major bank/big bank/
大手術 [だいしゅじゅつ] /(n) major surgery/major operation/
大手電気メーカー [おおてでんきメーカー] /(n) major electrical manufacturer/major company manufacturing electric devices/
大手毬 [おおでまり] /(n) (uk) Japanese snowball/Viburnum plicatum/
大酒 [おおざけ] /(n) heavy drinking/
大酒飲み [おおざけのみ] /(n) heavy drinker/
大儒 [たいじゅ] /(n) (1) great Confucian (scholar)/(2) great scholar/person of great erudition/
大受け [おおうけ] /(n,vs) big hit/great success/
大寿林 [おおじゅりん] /(n) (uk) reed bunting (Emberiza schoeniclus)/
大樹 [たいじゅ] /(n) large tree/big tree/huge tree/
大宗 [たいそう] /(n) leading figure/foundation/
大宗教 [だいしゅうきょう] /(n) major religion/great religion/
大州 [たいしゅう] /(n) continent/
大修道院 [だいしゅうどういん] /(n) abbey/
大修道院長 [だいしゅうどういんちょう] /(n) abbot/archimandrite/
大洲 [たいしゅう] /(n) continent/
大衆 [たいしゅう] /(n,adj-no) general public/the masses/(P)/
大衆に阿る [たいしゅうにおもねる] /(exp,v5r) to sell out to the masses/
大衆運動 [たいしゅううんどう] /(n) mass movement/popular movement/
大衆化 [たいしゅうか] /(n,vs) popularization/popularisation/
大衆魚 [たいしゅうぎょ] /(exp) cheap fish for the masses (e.g. sardines, mackerel, pike)/
大衆紙 [たいしゅうし] /(n) popular newspaper/tabloid/
大衆社会 [たいしゅうしゃかい] /(n) mass society/
大衆車 [だいしゅうしゃ] /(n) popular car/
大衆小説 [たいしゅうしょうせつ] /(n) novel for the masses/popular fiction/pulp/
大衆食堂 [たいしゅうしょくどう] /(n) cheap restaurant/eating place (house)/
大衆性 [たいしゅうせい] /(n) popularity/
大衆団交 [たいしゅうだんこう] /(n) mass (labor) negotiation/mass bargaining session/public negotiation/
大衆部 [だいしゅぶ] /(n) Mahasamghika (early Buddhist movement)/
大衆文化 [たいしゅうぶんか] /(n) mass culture/pop culture/popular culture/culture of the people (as opposed to the elite)/
大衆文学 [たいしゅうぶんがく] /(n) popular literature/(P)/
大衆文芸 [たいしゅうぶんげい] /(n) popular literature/
大衆薬 [たいしゅうやく] /(n) over-the-counter drug/
大衆路線 [たいしゅうろせん] /(n) (adopting) a popular line/(taking) a populist line/
大叔父 [おおおじ] /(n) granduncle/
大叔母 [おおおば] /(n) grandaunt/great-aunt/
大出来 [おおでき] /(n) well-made/well-done/great success/
大循環 [だいじゅんかん] /(n) (1) systemic circulation/(2) general circulation (of the atmosphere)/
大所 [おおどこ] /(n) wealthy family/important person/bigwig/
大所 [おおどころ] /(n) wealthy family/important person/bigwig/
大所高所 [たいしょこうしょ] /(n) broad perspective/
大所帯 [おおじょたい] /(n) large family/
大暑 [たいしょ] /(n) (1) blistering heat/(2) "major heat" solar term (approx. July 23)/
大書 [たいしょ] /(n,vs) writing in large letters/
大薯 [だいじょ] /(n) (uk) water yam (Dioscorea alata)/winged yam/purple yam/
大助かり [おおだすかり] /(adj-na,n) great help/
大女 [おおおんな] /(n) a huge woman/
大女将 [おおおかみ] /(n) senior proprietress (hostess) of a Japanese inn or restaurant/
大勝 [たいしょう] /(n,vs,adj-no) great victory/crushing victory/(P)/
大勝ち [おおかち] /(n,vs) great victory/big win/huge profit/killing/
大勝ち [おおがち] /(n,vs) great victory/big win/huge profit/killing/
大勝負 [おおしょうぶ] /(n) do-or-die game/crucial contest/
大勝利 [だいしょうり] /(n) huge win/overwhelming victory/
大商い [おおあきない] /(n) heavy turnover (trading)/(P)/
大商人 [おおあきんど] /(n) (obsc) major dealer/wealthy merchant/
大嘗会 [だいじょうえ] /(n) banquet on the occasion of the first ceremonial offering of rice by the newly-enthroned emperor/
大嘗祭 [おおなめまつり] /(n) first ceremonial offering of rice by newly-enthroned Emperor/
大嘗祭 [おおにえのまつり] /(n) first ceremonial offering of rice by newly-enthroned Emperor/
大嘗祭 [だいじょうさい] /(n) first ceremonial offering of rice by newly-enthroned Emperor/
大将 [たいしょう] /(n,adj-no) (1) general/admiral/(n) (2) boss/leader/local kingpin/(3) old chap/mate (casual way of addressing someone)/(P)/
大将 [だいしょう] /(n,adj-no) (1) general/admiral/(n) (2) boss/leader/local kingpin/(3) old chap/mate (casual way of addressing someone)/
大将軍 [たいしょうぐん] /(n) (1) commander-in-chief/(2) one of the eight gods of the koyomi/
大将軍 [だいしょうぐん] /(n) (1) commander-in-chief/(2) one of the eight gods of the koyomi/
大小 [だいしょう] /(n,adj-no) (1) sizes (various)/large and small/(2) daisho (matched pair of long and short swords)/(3) large and small drums/(4) long months and short months/(P)/
大小順序 [だいしょうじゅんじょ] /(n) (comp) collating sequence/
大小便 [だいしょうべん] /(n) feces and urine/
大笑 [たいしょう] /(n,vs) loud laughter/hearty laugh/
大笑い [おおわらい] /(adj-na,n) great laughter/burst of laughter/(P)/
大証 [だいしょう] /(n) (abbr) Osaka Securities Exchange/
大詔 [たいしょう] /(n) imperial rescript/
大詔渙発 [たいしょうかんぱつ] /(n,vs) promulgation of an Imperial rescript/
大象虫 [おおぞうむし] /(n) (uk) Japanese giant weevil (Sipalinus gigas)/
大賞 [たいしょう] /(n) big prize/first prize/(P)/
大上段 [だいじょうだん] /(n) raising a sword above one's head (to slay)/haughty attitude/
大丈夫 [だいじょうぶ] /(adj-na,adv,n) safe/all right/OK/okay/(P)/
大乗 [だいじょう] /(n) Mahayana Buddhism/
大乗り [おおのり] /(n,adv) (1) excitedly/(2) type of rhythm for Noh songs/
大乗り気 [おおのりき] /(n) good mood/excited mood/
大乗的 [だいじょうてき] /(adj-na,n) broad/great/
大乗仏教 [だいじょうぶっきょう] /(n) Mahayana Buddhism/
大食 [たいしょく] /(n,vs,adj-no) gluttony/
大食い [おおぐい] /(adj-na,n) gluttony/
大食らい [おおぐらい] /(adj-na,n) glutton/
大食漢 [たいしょくかん] /(n) great eater/glutton/
大食細胞 [たいしょくさいぼう] /(n) macrophage/
大食調 [たいしきちょう] /(n) (in gagaku) scale similar to Mixolydian mode on E/
大食調 [たいじきちょう] /(n) (in gagaku) scale similar to Mixolydian mode on E/
大審院 [だいしんいん] /(n) Supreme Court (until 1947)/Great Court of Cassation/
大振り [おおぶり] /(adj-na,n,adj-no) large/of a larger size/
大新聞 [おおしんぶん] /(n) (1) type of newspaper from the Meiji era (characterized by its use of political commentary written in literary language)/(2) major newspaper/
大新聞 [だいしんぶん] /(n) (1) type of newspaper from the Meiji era (characterized by its use of political commentary written in literary language)/(2) major newspaper/
大真面目 [おおまじめ] /(adj-na,n) deadly serious/
大神 [おおかみ] /(n) (arch) (hon) god/
大神 [おおがみ] /(n) (arch) (hon) god/
大神 [だいじん] /(n) (arch) (hon) god/
大神楽 [だいかぐら] /(n) (1) grand kagura performance at Ise/(2) type of performance including the lion dance and juggling/(3) (uk) Camellia japonica 'Daikagura' (cultivar of Japanese camellia)/
大神宮 [だいじんぐう] /(n) the Grand Shrine at Ise/
大臣 [おとど] /(n) (hon) (arch) nobleman's residence/
大臣 [だいじん] /(n) cabinet minister/(P)/
大身 [おおみ] /(n) long blade/
大身 [たいしん] /(n) person of high rank or income/
大進歩 [だいしんぽ] /(n) major progress/huge advance/
大震 [たいしん] /(n) violent earthquake/severe earthquake/
大震災 [だいしんさい] /(n) (1) great earthquake (disaster)/(2) (abbr) Great Kanto earthquake of 1923/(P)/
大震法 [たいしんほう] /(n) (abbr) Large-Scale Earthquake Countermeasures Law (1979)/
大人 [おとな] /(n) adult/(P)/
大人 [たいじん] /(n) (1) man of substance or virtue/gentleman/(2) giant/
大人 [だいにん] /(n) adult/
大人かわいい [おとなかわいい] /(exp,adj-i) fashion style of adult women characterized by makeup and clothing that subtly emphasizes cuteness./
大人げ [おとなげ] /(n) adultness/maturity/
大人げない [おとなげない] /(adj-i) immature/childish/
大人しい [おとなしい] /(adj-i) (uk) obedient/docile/quiet/(P)/
大人しやか [おとなしやか] /(adj-na) gentle/quiet/demure/sober/mild-mannered/meek/
大人じみた [おとなじみた] /(adj-f) precocious/unchildlike/early-blooming/
大人っぽい [おとなっぽい] /(adj-i) adult-like/
大人のおもちゃ屋 [おとなのおもちゃや] /(n) adult toy shop (i.e. a sex shop)/
大人の玩具屋 [おとなのおもちゃや] /(n) adult toy shop (i.e. a sex shop)/
大人びる [おとなびる] /(v1,vi) to become grown-up/to age/to mature/
大人ぶる [おとなぶる] /(v5r) to act like a grown up/to pretend to be an adult/
大人可愛い [おとなかわいい] /(exp,adj-i) fashion style of adult women characterized by makeup and clothing that subtly emphasizes cuteness./
大人気 [おとなげ] /(n) adultness/maturity/
大人気 [だいにんき] /(n,adj-na,adj-no) great popularity/high favour/
大人気ない [おとなげない] /(adj-i) immature/childish/
大人気無い [おとなげない] /(adj-i) immature/childish/
大人共 [おとなども] /(n) adults/
大人数 [おおにんず] /(n) large number of people/
大人数 [おおにんずう] /(n) large number of people/
大人買い [おとながい] /(n,vs) (col) buying a large amount (esp. of collectible items aimed at kids, such as manga)/
大人物 [だいじんぶつ] /(n) great or magnanimous man/
大尽 [だいじん] /(n) rich person/millionaire/debauchee/
大尽振舞 [だいじんぶるまい] /(n,vs) royal treatment/entertain someone extravagantly/
大水 [おおみず] /(n,adj-no) flood/(P)/
大水青 [おおみずあお] /(n) (uk) emperor moth (Actias artemis)/Japanese moon moth/
大水鼠 [おおみずねずみ] /(n) rakali (Hydromys chrysogaster)/water-rat/
大水凪鳥 [おおみずなぎどり] /(n) (uk) streaked shearwater (species of seabird, Calonectris leucomelas)/
大水薙鳥 [おおみずなぎどり] /(n) (uk) streaked shearwater (species of seabird, Calonectris leucomelas)/
大酔 [たいすい] /(n,vs) dead drunk/
大数 [たいすう] /(n-adv,n-t) great number/round number/
大数の法則 [たいすうのほうそく] /(n) law of large numbers/
大雀蜂 [おおすずめばち] /(n) (uk) Asian giant hornet (Vespa mandarinia)/yak-killer hornet/
大瀬 [おおせ] /(n) (uk) Japanese wobbegong (Orectolobus japonicus, species of carpet shark)/Japanese carpet shark/fringe shark/
大勢 [おおぜい] /(n,adj-no) many/crowd/great number of people/(P)/
大勢 [たいせい] /(n) general trend/current thought/(P)/
大勢 [たいぜい] /(n,adj-no) many/crowd/great number of people/
大勢順応 [たいせいじゅんのう] /(n) conformism/following the crowd/swimming with the tide/me-tooism/
大成 [たいせい] /(n,vs) completion/accomplishment/attainment of greatness or success/(P)/
大成教 [たいせいきょう] /(n) (abbr) Taiseikyo (sect of Shinto)/
大成功 [だいせいこう] /(n) huge success/
大成者 [たいせいしゃ] /(n) person who achieves perfection/person who perfects (e.g. a theory)/
大政 [たいせい] /(n) sovereign power/the reins of government/
大政奉還 [たいせいほうかん] /(n) restoration of imperial rule/
大政翼賛会 [たいせいよくさんかい] /(n) Imperial Rule Assistance Association (1940-1945)/
大正 [たいしょう] /(n) Taisho era (1912.7.30-1926.12.25)/(P)/
大正の代 [たいしょうのよ] /(n) Taisho era/
大正デモクラシー [たいしょうデモクラシー] /(n) Taisho democracy/
大正琴 [たいしょうごと] /(n) Japanese harp with three to five strings/
大正時代 [たいしょうじだい] /(n) Taisho period (1912-1926 CE)/
大正政変 [たいしょうせいへん] /(n) Taisho Political Crisis (1913)/
大生 [だいせい] /(suf) (abbr) college student/
大盛り [おおもり] /(n) a large serving/(P)/
大盛況 [だいせいきょう] /(n) (1) great success/roaring business/(adj-no) (2) busy/packed-out/
大聖 [たいせい] /(n) great sage/
大聖堂 [たいせいどう] /(n) cathedral/
大聖堂 [だいせいどう] /(n) cathedral/
大声 [おおごえ] /(n,adj-no) large voice/(P)/
大声を出す [おおごえをだす] /(exp,v5s) to raise one's voice/to shout/
大声疾呼 [たいせいしっこ] /(n,vs) shout with a loud voice/fulminate/vociferate/
大声出す [おおごえだす] /(exp,v5s) to raise one's voice/to shout/
大西郷 [だいさいごう] /(n) the Great Saigo/
大西洋 [たいせいよう] /(n) Atlantic Ocean/(P)/
大西洋横断 [たいせいようおうだん] /(n,adj-no) trans-Atlantic/trans-Atlantic crossing/
大西洋黒鮪 [たいせいようくろまぐろ] /(n) (uk) northern bluefin tuna (Thunnus thynnus)/Atlantic bluefin tuna/
大西洋鮭 [たいせいようさけ] /(n) (uk) Atlantic salmon (Salmo salmar)/
大西洋背美鯨 [たいせいようせみくじら] /(n) (uk) North Atlantic right whale (Eubalaena glacialis)/
大西洋鯡 [たいせいようにしん] /(n) (uk) Atlantic herring (Clupea harengus)/
大静脈 [だいじょうみゃく] /(n) vena cava/
大昔 [おおむかし] /(n-adv,n-t) great antiquity/old-fashioned/long ago/(P)/
大石 [おおいし] /(n) (1) large stone/boulder/(2) large group of stones (in the game of go)/
大石 [たいせき] /(n) (1) large stone/boulder/(2) large group of stones (in the game of go)/
大赤斑 [だいせきはん] /(n) Jupiter's Great Red Spot/
大切 [たいせつ] /(adj-na,n) important/valuable/worthy of care/(P)/
大切に [たいせつに] /(adv) carefully/with caution/with great care/
大切り [おおぎり] /(n) (1) last piece on the program (programme)/close/conclusion/(2) large chop/
大雪 [おおゆき] /(n) (1) heavy snow/(2) "major snow" solar term (approx. Dec. 7)/(P)/
大雪 [たいせつ] /(n) (1) heavy snow/(2) "major snow" solar term (approx. Dec. 7)/
大雪加 [おおせっか] /(n) (uk) Japanese marsh warbler (Megalurus pryeri)/
大川 [おおかわ] /(n) big river/
大川 [たいせん] /(n) big river/
大戦 [たいせん] /(n) great war/great battle/(P)/
大船 [おおふね] /(n) large boat/
大船 [おおぶね] /(n) large boat/(P)/
大船 [たいせん] /(n) large boat/
大船に乗る [おおぶねにのる] /(exp,v5r) metaphor for gaining a reliable foundation and being in a safe condition (lit: to board a large ship)/
大選挙区制 [だいせんきょくせい] /(n) electoral system allowing for the election of multiple candidates from one district/multi-member constituent electoral system/
大前 [おおまえ] /(n) presence (of a god, emperor, etc.)/
大前提 [だいぜんてい] /(n) major premise/principle/(P)/
大全 [たいぜん] /(n) encyclopedia/complete works/
大膳 [だいぜん] /(n) (uk) black-bellied plover/grey plover (Pluvialis squatarola)/
大祖 [たいそ] /(n) founder/progenitor/emperor/
大祖国戦争 [だいそこくせんそう] /(n) Great Patriotic War (Russian name for the war along the eastern front during World War II)/
大祖父 [おおおおじ] /(n) great-grandfather/
大組み [おおぐみ] /(n) make-up (of a newspaper)/
大僧正 [だいそうじょう] /(n) high priest/
大喪 [たいそう] /(n) (obsc) Imperial mourning/
大喪の礼 [たいそうのれい] /(n) funeral service of a Japanese emperor/
大層 [たいそう] /(adj-na,adv,n) very much/exaggerated/very fine/(P)/
大掃除 [おおそうじ] /(n,vs) major cleanup/spring cleaning/(P)/
大相場 [おおそうば] /(n) boom (e.g. in stock prices)/
大相撲 [おおずもう] /(n) professional sumo wrestling/(P)/
大相撲さん [おおずもうさん] /(n) unofficial term for professional sumo wrestlers/
大草原 [だいそうげん] /(n) prairie/steppe/pampas/
大葬 [たいそう] /(n) imperial funeral/
大霜降枝尺 [おおしもふりえだしゃく] /(n) (uk) peppered moth (Biston betularia)/
大騒ぎ [おおさわぎ] /(n,vs) clamour/uproar/tumult/(P)/
大蔵 [おおくら] /(n) Ministry of Finance/(P)/
大蔵経 [だいぞうきょう] /(n) the Tripitaka (complete Buddhist canon)/
大蔵省 [おおくらしょう] /(n) (former) Ministry of Finance (succeeded by zaimushou in 2000)/(P)/
大蔵省証券 [おおくらしょうしょうけん] /(n) (obs) treasury bill/TB/
大蔵大臣 [おおくらだいじん] /(n) Minister of Finance/
大息 [たいそく] /(n,vs) deep sigh/
大足 [おおあし] /(n,adj-no) big feet/long stride/
大卒 [だいそつ] /(n,adj-no) university graduate/(P)/
大卒者 [だいそつしゃ] /(n) university graduate/
大損 [おおぞん] /(n,vs) heavy loss/
大多数 [だいたすう] /(n,adj-no) great majority/(P)/
大太鼓 [おおだいこ] /(n) large or bass drum/
大打撃 [だいだげき] /(n) serious damage/injury or loss/heavy blow/
大体 [だいたい] /(n-adv,n-t) general/substantially/outline/main point/approximately/about/(P)/
大待宵草 [おおまつよいぐさ] /(n) (uk) red-sepaled evening primrose (Oenothera erythrosepala)/
大腿 [だいたい] /(n,adj-no) thigh/
大腿骨 [だいたいこつ] /(n) thighbone/femur/
大腿四頭筋 [だいたいしとうきん] /(n) quadriceps muscle/
大腿二頭筋 [だいたいにとうきん] /(n) biceps femoris muscle/
大腿部 [だいたいぶ] /(n) femur (femora)/
大隊 [だいたい] /(n) battalion/(P)/
大代 [だいだい] /(n) (abbr) main telephone number/
大代表 [だいだいひょう] /(n) main (switchboard) number/main telephone (phone) number/
大台 [おおだい] /(n) (stock) 100-yen unit/high level (of stock prices)/(P)/
大大神楽 [だいだいかぐら] /(n) grand kagura performance at Ise/
大大的 [だいだいてき] /(adj-na,n) great/grand/extensive/large-scale/
大鷹 [おおたか] /(n) (1) (uk) northern goshawk (Accipiter gentilis)/(2) female hawk (or falcon)/(3) (abbr) falconry (using a northern goshawk)/
大鷹狩 [おおたかがり] /(n) falconry (using a northern goshawk)/
大鷹狩り [おおたかがり] /(n) falconry (using a northern goshawk)/
大谷石 [おおやいし] /(n) Oya tuff stone/
大谷渡 [おおたにわたり] /(n) (uk) Asplenium antiquum (species of spleenwort)/
大谷渡り [おおたにわたり] /(n) (uk) Asplenium antiquum (species of spleenwort)/
大谷派 [おおたには] /(n) Otani sect (of Shin Buddhism)/
大旦那 [おおだんな] /(n) master/head of household/man of the house/principal supporter of a temple/
大胆 [だいたん] /(adj-na,n) bold/daring/audacious/(P)/
大胆巧妙 [だいたんこうみょう] /(n,adj-na) bold and clever/daring and ingenious/audacious and masterly/
大胆至極 [だいたんしごく] /(n,adj-na) the height of daring/very courageous (reckless), extremely audacious/
大胆不敵 [だいたんふてき] /(adj-na,n) audacity/daredevil (attitude)/
大胆奔放 [だいたんほんぽう] /(n,adj-na,adj-no) bold and unrestrained/daring and unfettered/
大団円 [だいだんえん] /(n) denouement/ending/conclusion/(grand) finale/
大男 [おおおとこ] /(n) great man/giant/(P)/
大男総身に知恵が回り兼ね [おおおとこそうみにちえがまわりかね] /(exp) (id) Big head, little wit/
大地 [だいち] /(n) ground/earth/the solid earth/the (vast) land/(P)/
大地アース [たいちアース] /(n) external (earth) ground/signal ground/
大地鴫 [おおじしぎ] /(n) (uk) Latham's snipe (Gallinago hardwickii)/
大地主 [おおじぬし] /(n) big landowner/great landowner/land baron/landed magnate/large landowner/territorial magnate/
大地震 [おおじしん] /(n) major earthquake/
大地震 [だいじしん] /(n) major earthquake/
大地鷸 [おおじしぎ] /(n) (uk) Latham's snipe (Gallinago hardwickii)/
大中小 [だいちゅうしょう] /(n) large, medium, or small (clothing size)/
大著 [たいちょ] /(n) voluminous work/bulky volume/masterpiece/
大潮 [おおしお] /(n) spring tide/
大腸 [おおわた] /(ok) (n,adj-no) large intestine/large bowel/colon/
大腸 [だいちょう] /(n,adj-no) large intestine/large bowel/colon/(P)/
大腸がん [だいちょうがん] /(n) colorectal cancer/large bowel cancer/
大腸ガン [だいちょうガン] /(n) colorectal cancer/large bowel cancer/
大腸炎 [だいちょうえん] /(n) colitis/
大腸癌 [だいちょうがん] /(n) colorectal cancer/large bowel cancer/
大腸菌 [だいちょうきん] /(n) (1) Escherichia coli (E. coli)/(2) colon bacterium/(P)/
大腸内視鏡 [だいちょうないしきょう] /(n) colonoscope/colonoscopy/
大鳥 [おおとり] /(n) (1) large bird/(2) kun (in Chinese mythology, giant bird said to be able to turn into a fish)/(3) fenghuang (Chinese phoenix)/
大直備神 [おおなおびのかみ] /(n) great god of restoration/
大直毘神 [おおなおびのかみ] /(n) great god of restoration/
大津波 [おおつなみ] /(n) giant tsunami/giant tidal wave/
大通り [おおどおり] /(n) main street/(P)/
大掴み [おおづかみ] /(adj-na,n) rough (estimate)/generally/
大帝 [たいてい] /(n) great emperor/.. the Great/
大抵 [たいてい] /(adj-na,adv,n) (1) (uk) mostly/ordinarily/usually/generally/(2) probably/(adj-no,n) (3) most/almost all/(4) (before a neg. form) ordinary/(adj-na) (5) proper/appropriate/moderate/(P)/
大邸宅 [だいていたく] /(n) mansion/
大敵 [たいてき] /(n) great rival/powerful enemy/
大典 [たいてん] /(n) state ceremony/important law/
大天使 [だいてんし] /(n) archangel/
大店 [おおだな] /(n) large store/(P)/
大店法 [だいてんほう] /(n) (abbr) Large-scale Retail Stores Law/
大殿 [おとど] /(n) (hon) (arch) nobleman's residence/
大殿筋 [だいでんきん] /(n) gluteus maximus muscle/
大都会 [だいとかい] /(n) megalopolis/
大都市 [だいとし] /(n) metropolis/large city/
大都市圏 [だいとしけん] /(n) greater metropolitan area/megalopolis/conurbation/
大度 [たいど] /(n) magnanimity/
大刀 [たいとう] /(n) long sword/
大刀 [たち] /(n) long sword/(P)/
大刀 [だいとう] /(n) long sword/(P)/
大島桜 [おおしまざくら] /(n) (uk) Oshima cherry (Prunus speciosam, P. lannesiana var. speciosa)/
大島紬 [おおしまつむぎ] /(n) Oshima tsumugi weave/type of pongee from Oshima/
大東亜共栄圏 [だいとうあきょうえいけん] /(n) Greater East Asian Co-prosperity Sphere/
大東亜語 [だいとうあご] /(n) Manchukuo dialect/Greater East Asian dialect/
大東亜戦争 [だいとうあせんそう] /(n) (sens) The Greater East Asian War/The Pacific War (1941-1945)/
大東大蝙蝠 [だいとうおおこうもり] /(n) (uk) Daito flying fox (Pteropus dasymallus daitoensis)/
大棟 [おおむね] /(n) top ridge of a roof/main ridge of a roof/
大当たり [おおあたり] /(n) big hit/big prize/bumper crop/striking it rich/right on the mark/bonanza/(P)/
大当り [おおあたり] /(n) big hit/big prize/bumper crop/striking it rich/right on the mark/bonanza/
大筒 [おおづつ] /(n) cannon/
大統一理論 [だいとういつりろん] /(n) grand unified theory (physics)/
大統領 [だいとうりょう] /(n) president/chief executive/(P)/
大統領経済報告 [だいとうりょうけいざいほうこく] /(n) Economic Report of the President (US)/
大統領候補 [だいとうりょうこうほ] /(n) presidential candidate/
大統領制 [だいとうりょうせい] /(n) presidential system/presidential government/
大統領選 [だいとうりょうせん] /(n) presidential election/
大統領選挙 [だいとうりょうせんきょ] /(n) presidential election/
大統領代行 [だいとうりょうだいこう] /(n) acting president/
大統領夫人 [だいとうりょうふじん] /(n) first lady/
大統領布告 [だいとうりょうふこく] /(n) presidential decree/presidential proclamation/
大統領補佐官 [だいとうりょうほさかん] /(n) presidential aide/
大豆 [だいず] /(n) soya bean (soybean)/soy (Glycine max)/(P)/
大豆粕 [だいずかす] /(n) soybean cake/
大豆粉 [だいずこ] /(n) soy flour/
大豆油 [だいずあぶら] /(n) soybean oil/
大豆油 [だいずゆ] /(n) soybean oil/
大頭 [おおあたま] /(n) large head/person with a large head/
大頭 [おおがしら] /(n) (1) leader of a (large) group/(2) large decorative black flagpole tassel made from tail hair (of a yak, horse, ox, etc.) or dyed hemp/(3) leader of a (large) group/(4) (uk) puffbird (any bird of family Bucconidae)/(5) first makushita rikishi listed on the banzuke (sumo)/
大頭 [だいがしら] /(n) school of kowakamai dance founded by Yamamoto Sirozaemon/
大動脈 [だいどうみゃく] /(n) aorta/(P)/
大動脈炎症候群 [だいどうみゃくえんしょうこうぐん] /(n) aortitis syndrome/
大動脈解離 [だいどうみゃくかいり] /(n) aortic dissection/
大同 [だいどう] /(exp) (1) largely the same/(n) (2) Daidou era (806.5.18-810.9.19)/(P)/
大同小異 [だいどうしょうい] /(adj-na,n,adj-no) essentially the same with only minor differences/
大同団結 [だいどうだんけつ] /(n,vs) merger/(presenting a) united front/
大童 [おおわらわ] /(adj-na,n) (sens) strenuous efforts/hard fighting/
大童になって [おおわらわになって] /(exp) (sens) very busy/
大道 [たいどう] /(n) main street/avenue/
大道 [だいどう] /(n) main street/avenue/(P)/
大道演説 [だいどうえんぜつ] /(n) street (soapbox) oratory/stump oratory/
大道具 [おおどうぐ] /(n) stage setting/scenery/
大道芸 [だいどうげい] /(n) street performing/
大道芸人 [だいどうげいにん] /(n) street performer (comedian)/
大道商人 [だいどうしょうにん] /(n) street vendor/peddler/hawker/
大徳 [だいとく] /(n) virtuous priest/priest/
大内裏 [たいだいり] /(n) greater palace/area centered on the inner palace, home to various administrative bodies (in Heian period Kyoto)/
大内裏 [だいだいり] /(n) greater palace/area centered on the inner palace, home to various administrative bodies (in Heian period Kyoto)/
大鍋 [おおなべ] /(n) cauldron/
大難 [たいなん] /(n) great disaster/calamity/
大汝神 [おおなむちのかみ] /(n) Okuninushi/deity of magic and medicine later viewed as equivalent to Daikokuten and celebrated at Izumo Grand Shrine/
大日 [だいにち] /(n) Mahavairocana (Tathagata)/Great Sun/Supreme Buddha of Sino-Japanese esoteric Buddhism/
大日経 [だいにちきょう] /(n) (abbr) Mahavairocana Sutra/
大日如来 [だいにちにょらい] /(n) (Buddh) Vairocana/Mahavairocana (Bliss Body of the historical Gautama Buddha)/Dainichi Buddha/Nyorai Buddha/
大日本帝国 [だいにっぽんていこく] /(n) Empire of Japan (Japan's official name under the Meiji Constitution)/
大日本帝国憲法 [だいにっぽんていこくけんぽう] /(n) Meiji Constitution (Constitution of the Empire of Japan)/
大日本帝国陸軍 [だいにっぽんていこくりくぐん] /(n) (obs) the Imperial Japanese Army/
大日本帝國憲法 [だいにっぽんていこくけんぽう] /(n) Meiji Constitution (Constitution of the Empire of Japan)/
大入り [おおいり] /(n) large attendance/full house/packed to capacity/large seating capacity/
大入り袋 [おおいりぶくろ] /(n) bonus paid to employees on occasion of a full house/
大入道 [おおにゅうどう] /(n) large, bald-headed monster/a giant/
大任 [たいにん] /(n) important task/heavy responsibility/
大年 [おおとし] /(n) (1) (arch) New Year's Eve/December 31st/(2) (arch) Jupiter (planet)/
大年 [おおどし] /(n) (1) (arch) New Year's Eve/December 31st/(2) (arch) Jupiter (planet)/
大年神 [おおとしのかみ] /(n) guardian deity of grain farming/guardian deity of the rice harvest/
大年増 [おおどしま] /(n) woman well past her prime/matron well-advanced in age/
大納会 [だいのうかい] /(n) last session (trading day, trading) of the year/
大納言 [だいなごん] /(n) (1) chief councillor of state/chief councilor of state/(2) large-grained variety of adzuki bean/
大脳 [だいのう] /(n,adj-no) cerebrum/(P)/
大脳基底核 [だいのうきていかく] /(n) basal ganglia/
大脳皮質 [だいのうひしつ] /(n) cerebral cortex/
大脳辺縁系 [だいのうへんえんけい] /(n) limbic system/
大農 [だいのう] /(n) large-scale (mechanized, mechanised) farming/wealthy farmer/
大巴旦 [おおばたん] /(n) (uk) Moluccan cockatoo (Cacatua moluccensis)/salmon-crested cockatoo/
大波 [おおなみ] /(n) billow/surge/
大破 [たいは] /(n,vs) serious damage/drubbing/(P)/
大馬鹿 [おおばか] /(n,adj-na,adj-no) extreme foolishness/utter fool/
大馬鹿者 [おおばかもの] /(n) great (utter) fool/complete idiot/absolute moron/
大敗 [たいはい] /(n,vs) crushing defeat/(P)/
大杯 [たいはい] /(n) large cup/
大盃 [たいはい] /(n) large cup/
大売り出し [おおうりだし] /(n) big bargain sale/
大売出し [おおうりだし] /(n) big bargain sale/
大陪審 [だいばいしん] /(n) grand jury/
大伯父 [おおおじ] /(n) granduncle/
大伯母 [おおおば] /(n) grandaunt/great-aunt/
大白 [たいはく] /(n) large cup/
大白鳥 [おおはくちょう] /(n) (uk) whooper swan (Cygnus cygnus)/
大白檜曾 [おおしらびそ] /(n) (uk) Maries' fir (Abies mariesii)/
大爆笑 [だいばくしょう] /(n) very loud laugh/explosive laughter/
大麦 [おおむぎ] /(n) barley (Hordeum vulgare)/(P)/
大箱 [おおばこ] /(n) large box/chest/
大八車 [だいはちぐるま] /(n) large two-wheeled wagon/
大八洲 [おおやしま] /(n) (abbr) (arch) Japan/
大八洲国 [おおやしまぐに] /(n) (arch) Japan/
大発会 [だいはっかい] /(n) first session (trading day) of the year/
大発見 [だいはっけん] /(n) breakthrough/great discovery/
大発作 [だいほっさ] /(n) grand mal (seizure)/
大発生 [だいはっせい] /(n) explosive increase (in number of pests)/(severe) outbreak or upsurge of pests/
大隼 [おおはやぶさ] /(n) gerfalcon/
大判 [おおばん] /(n) (1) large size/(2) large oval Japanese gold coin/
大半 [たいはん] /(n) majority/mostly/generally/(P)/
大反対 [だいはんたい] /(n) strong opposition/
大般若経 [だいはんにゃきょう] /(n) Great Perfection of Wisdom Sutra/
大般涅槃経 [だいはつねはんぎょう] /(n) (Buddh) Mahayana Mahaparinirvana Sutra/Nirvana Sutra/
大飯 [おおめし] /(n) large meal/large meals/
大番狂わせ [おおばんくるわせ] /(n) totally unexpected result/stunning upset/
大盤 [おおばん] /(n) demonstration board (for Go, Shougi, etc.)/
大盤振る舞い [おおばんふるまい] /(n) splendid banquet/great feast/
大盤振る舞い [おおばんぶるまい] /(n,vs) (1) lavish feast/splendid banquet/(2) corporate largess/lavish hospitality/
大盤振舞い [おおばんふるまい] /(n) splendid banquet/great feast/
大盤石 [だいばんじゃく] /(n) large rock/rock-solid/
大磐石 [だいばんじゃく] /(n) large rock/rock-solid/
大尾 [たいび] /(n) end/conclusion/finale/
大毘盧遮那成仏神変加持経 [だいびるしゃなきょうじょうぶつしんぺんかじきょう] /(n) (obsc) Mahavairocana Sutra/
大髭 [おおひげ] /(n) long and abundant moustache/
大菱形骨 [だいりょうけいこつ] /(n) os trapezium/trapezium/
大姫蜘蛛 [おおひめぐも] /(n) (uk) common house spider (Achaearanea tepidariorum)/
大百舌 [おおもず] /(n) (uk) northern shrike/great grey shrike (Lanius excubitor)/
大病 [たいびょう] /(n,vs) serious illness/dangerous disease/(P)/
大病人 [だいびょうにん] /(n) patient in a serious condition/serious case/
大蒜 [にんにく] /(n) garlic (edible plant, Allium sativum)/
大貧民 [だいひんみん] /(n) Japanese card game/
大瓶 [おおびん] /(n) large bottle/
大不敬 [だいふけい] /(n) (1) (arch) great impropriety (esp. towards the imperial family)/(2) crime against the imperial family (or a shrine dedicated to them, etc.)/
大夫 [たいふ] /(n) high steward/grand master/
大夫 [たゆう] /(n) (1) high-ranking Noh actor/(2) head of a school of noh performance/(3) high ranking courtesan (esp. in Yoshiwara) (Edo-period)/(4) joruri narrator/manzai narrator/(5) female role actor in kabuki/(6) low ranking priest in a Shinto shrine/
大夫 [だいぶ] /(n) high steward/grand master/
大富豪 [だいふごう] /(n) (1) multi-millionaire/extremely rich person/(2) Japanese card game/
大負け [おおまけ] /(n) (1) major loss/crushing defeat/(2) big discount/
大部 [たいぶ] /(adj-no) (1) lengthy (of a book, etc.)/voluminous/(n-adv) (2) most (e.g. most part)/greater/fairly/a good deal/much/
大部 [だいぶ] /(adj-no) (1) lengthy (of a book, etc.)/voluminous/(n-adv) (2) most (e.g. most part)/greater/fairly/a good deal/much/
大部屋 [おおべや] /(n) (1) large room/(2) actors' common-use room/(3) hospital room or ward/
大部隊 [だいぶたい] /(n) battalion/large force/
大部分 [だいぶぶん] /(n-t) most part/greater part/majority/(P)/
大風 [おおかぜ] /(n) gale/strong winds/
大風呂敷 [おおぶろしき] /(n) (1) large furoshiki/(2) big talk/vain boasting or bluster/blowing one's own trumpet/rodomontade/
大風呂敷を広げる [おおぶろしきをひろげる] /(exp,v1) to talk big/to be bombastic/
大幅 [おおはば] /(adj-na,n) full width/large scale/drastic/(P)/
大幅削減 [おおはばさくげん] /(n) sharp reduction/drastic cut/
大幅刷新 [おおはばさっしん] /(n) widescale reform/
大幅物 [おおはばもの] /(n) broadcloth/
大服 [おおぶく] /(n) (1) swallowing a great amount of tea or medicine/(2) (abbr) tea prepared for the New Year with the first water of the year/
大服 [たいふく] /(n) (1) swallowing a great amount of tea or medicine/(2) (abbr) tea prepared for the New Year with the first water of the year/
大服 [だいぶく] /(n) (1) swallowing a great amount of tea or medicine/(2) (abbr) tea prepared for the New Year with the first water of the year/
大服茶 [おおぶくちゃ] /(n) tea prepared for the New Year with the first water of the year/
大服茶 [だいふくちゃ] /(n) tea prepared for the New Year with the first water of the year/
大服茶 [だいぶくちゃ] /(n) tea prepared for the New Year with the first water of the year/
大福 [おおぶく] /(n) (1) swallowing a great amount of tea or medicine/(2) (abbr) tea prepared for the New Year with the first water of the year/
大福 [たいふく] /(n) (1) swallowing a great amount of tea or medicine/(2) (abbr) tea prepared for the New Year with the first water of the year/
大福 [だいふく] /(n) (1) great fortune/good luck/(2) (abbr) rice cake stuffed with bean jam/
大福 [だいぶく] /(n) (1) swallowing a great amount of tea or medicine/(2) (abbr) tea prepared for the New Year with the first water of the year/
大福茶 [おおぶくちゃ] /(n) tea prepared for the New Year with the first water of the year/
大福茶 [だいふくちゃ] /(n) tea prepared for the New Year with the first water of the year/
大福茶 [だいぶくちゃ] /(n) tea prepared for the New Year with the first water of the year/
大福帳 [だいふくちょう] /(n) (Edo-period) account book/
大福餅 [だいふくもち] /(n) rice cake stuffed with sweet bean jam/
大仏 [だいぶつ] /(n) large statue of Buddha/(P)/
大仏殿 [だいぶつでん] /(n) Daibutsuden/
大物 [おおもの] /(n,adj-no) important person/big-shot/big game (animal, fish)/(P)/
大物食い [おおものぐい] /(n) defeating a superior opponent/
大分 [だいぶ] /(adv) considerably/greatly/a lot/(P)/
大分 [だいぶん] /(adv) considerably/greatly/a lot/(P)/
大分県 [おおいたけん] /(n) Ooita (Oita) prefecture (Kyuushuu)/
大分類 [だいぶんるい] /(n) broad category/
大噴火 [だいふんか] /(n) major volcanic eruption/large-scale eruption/violent eruption/great eruption/
大文字 [おおもじ] /(n) (1) upper case letters/large characters/capital letter/(P)/
大文字 [だいもんじ] /(n) (1) upper case letters/large characters/capital letter/(2) the (kanji) character "dai" meaning "big"/(3) huge character "dai" formed by fires lit on the side of a mountain in Kyoto on 16 Aug each year/
大文字小文字を区別 [おおもじこもじをくべつ] /(n) (1) (comp) case-sensitivity/(vs) (2) to distinguish on case/(P)/
大文字名前開始文字 [おおもじなまえかいしもじ] /(n) (comp) upper-case name start characters/
大文字名前文字 [おおもじなまえもじ] /(n) (comp) upper-case name characters/
大文節 [だいぶんせつ] /(n) large paragraph/
大兵 [たいへい] /(n) (1) of great build or stature/(2) great number of soldiers/great army/
大兵 [だいひょう] /(n) (1) of great build or stature/(2) great number of soldiers/great army/
大兵肥満 [たいひょうひまん] /(n) big portly man/
大兵肥満 [だいひょうひまん] /(n) big portly man/
大幣 [おおぬさ] /(n) (1) (arch) streamers (made of linen, paper, etc.) attached to a long pole (used as a wand in grand purification ceremonies)/(2) being in great demand/
大平洋 [たいへいよう] /(iK) (n) Pacific Ocean/
大柄 [おおがら] /(adj-na,n,adj-no) large build/large pattern/
大柄 [おおへい] /(adj-na,n,adj-no) large build/large pattern/
大別 [たいべつ] /(n,vs) general classification/(P)/
大変 [たいへん] /(adv) (1) very/greatly/(adj-na,n) (2) immense/enormous/great/(3) serious/grave/dreadful/terrible/(4) difficult/hard/(5) (arch) major incident/disaster/(P)/
大変お世話になりありがとうございました [たいへんおせわになりありがとうございました] /(exp) thank you for all your hard work/
大変化 [だいへんか] /(n,vs) major change/major transformation/
大変革 [だいへんかく] /(n) revolution/cataclysm/drastic change/
大変身 [だいへんしん] /(n,vs) makeover/major change/
大便 [だいべん] /(n) feces/excrement/shit/(P)/
大捕り物 [おおとりもの] /(n) roundup (criminals, animals, etc.)/manhunt/crackdown/swoop/raid/
大捕物 [おおとりもの] /(n) roundup (criminals, animals, etc.)/manhunt/crackdown/swoop/raid/
大募集 [だいぼしゅう] /(n) mass recruitment/(P)/
大母音推移 [だいぼいんすいい] /(n) the Great Vowel Shift/
大呆け [おおぼけ] /(n) great idiot/fool/(saying) something silly or stupid/
大宝 [たいほう] /(n) (1) great treasure/(2) Taihou era (701.3.21-704.5.10)/Daihou era/(3) (Buddh) (obsc) great treasure (used to refer to bodhisattvas, esoteric teachings, etc.)/(4) (Buddh) (obsc) homa-mandala (fire altar)/
大宝 [だいほう] /(n) (1) great treasure/(2) Taihou era (701.3.21-704.5.10)/Daihou era/(3) (Buddh) (obsc) great treasure (used to refer to bodhisattvas, esoteric teachings, etc.)/(4) (Buddh) (obsc) homa-mandala (fire altar)/
大宝律令 [たいほうりつりょう] /(n) Taiho Code (701 CE)/
大方 [おおかた] /(n-adv,n) perhaps/almost all/majority/(P)/
大方の評では [おおかたのひょうでは] /(n) according to public opinion/
大法 [たいほう] /(n) basic law/
大法官 [だいほうかん] /(n) Lord Chancellor/
大法廷 [だいほうてい] /(n) full court/grand bench of the supreme court/
大法螺 [おおぼら] /(n) big lie/whopper/
大法螺を吹く [おおぼらをふく] /(exp,v5k) to talk through one's hat/to blow one's own horn/
大砲 [たいほう] /(n) gun/cannon/artillery/(P)/
大砲三門 [たいほうさんもん] /(n) three cannons/
大胞子 [だいほうし] /(n) macrospore/
大蓬 [おおよもぎ] /(n) Artemisia montana/
大忙し [おおいそがし] /(adj-no) very busy (person or thing)/
大望 [たいぼう] /(n) aspiration/ambition/
大望 [たいもう] /(n) aspiration/ambition/
大冒険 [だいぼうけん] /(n) great adventure/
大本 [おおもと] /(n) foundation/
大本 [たいほん] /(n) foundation/
大本営 [だいほんえい] /(n) imperial headquarters/
大本教 [おおもときょう] /(n) Oomoto (religious sect founded in 1892 as an offshoot of Shinto)/
大本山 [だいほんざん] /(n) head temple of a Buddhist sect/
大凡 [おおよそ] /(adv,n) (uk) about/roughly/as a rule/approximately/
大麻 [たいま] /(n,adj-no) (1) hemp/cannabis/(2) Shinto paper offerings/(P)/
大麻樹脂 [たいまじゅし] /(n) cannabis resin/
大麻草 [たいまそう] /(n) hemp/
大麻蝿 [しまばえ] /(n) (1) (uk) lauxaniid fly (any fly of family Lauxaniidae)/(2) flesh fly (any fly of family Sarcophagidae)/
大麻蠅 [しまばえ] /(n) (1) (uk) lauxaniid fly (any fly of family Lauxaniidae)/(2) flesh fly (any fly of family Sarcophagidae)/
大枚 [たいまい] /(n) large sum (of money)/
大枚の金 [たいまいのかね] /(n) large sum of money/
大味 [おおあじ] /(adj-na,n) tasteless/flat-tasting/
大名 [だいみょう] /(n) daimyo (Japanese feudal lord)/daimio/(P)/
大名屋敷 [だいみょうやしき] /(n) daimyo's mansion/
大名行列 [だいみょうぎょうれつ] /(n) daimyo's procession/
大名旅行 [だいみょうりょこう] /(n) traveling in luxury/travelling in luxury/a junket/
大命 [たいめい] /(n) imperial or royal command/
大迷惑 [おおめいわく] /(n,adj-na) great inconvenience/great deal of trouble/big nuisance/royal pain in the behind/
大迷惑 [だいめいわく] /(n,adj-na) great inconvenience/great deal of trouble/big nuisance/royal pain in the behind/
大毛蓼 [おおけたで] /(n) (uk) kiss-me-over-the-garden-gate (species of smartweed, Polygonum orientale)/prince's feather/
大儲け [おおもうけ] /(n,vs) large profit/a killing/
大木 [たいぼく] /(n) large tree/(P)/
大木葉木菟 [おおこのはずく] /(n) (uk) collared scops owl (Otus bakkamoena)/
大目 [おおめ] /(adj-na,n) large eyes/magnanimity/
大目に [おおめに] /(adv) rather large/
大目に見る [おおめにみる] /(exp,v1) to tolerate/to condone/to overlook/to let pass/
大目玉 [おおめだま] /(n) good scolding/
大目玉を食らう [おおめだまをくらう] /(exp,v5u) to get scolded severely/
大目白鮫 [おおめじろざめ] /(n) (uk) bull shark (Carcharhinus leucas)/
大目付 [おおめつけ] /(n) (government) inspector-general (Edo period)/upper superintendent officer/
大門 [おおもん] /(n) large front gate/
大門 [だいもん] /(n) large front gate/
大野 [おおの] /(n) large field/(P)/
大野貝 [おおのがい] /(n) (uk) Mya arenaria oonogai (subspecies of soft-shell clam)/
大厄 [たいやく] /(n) calamity/disaster/great misfortune/grand climacteric/
大役 [たいやく] /(n) (1) important task/important role/great duty/important mission/(2) major part (e.g. in a movie)/(P)/
大躍進 [だいやくしん] /(n) (1) Great Leap Forward (failed attempt to industrialize China and increase agricultural production, from 1958-1960)/(n,vs) (2) significant breakthrough/great strides/
大勇 [たいゆう] /(n) real courage/
大有り [おおあり] /(adj-na,n) great quantity/term which stresses existence/
大容量 [だいようりょう] /(n) (comp) high capacity/
大容量データストレージ [だいようりょうデータストレージ] /(n) (comp) high capacity data storage/
大容量記憶システム [だいようりょうきおくシステム] /(n) (comp) MSS/Mass Storage System/
大容量記憶装置 [だいようりょうきおくそうち] /(n) (comp) mass storage/
大揚 [おおよう] /(adj-na) largeheartedness/liberality/catholicity/generousness/generosity/magnanimity/
大揺れ [おおゆれ] /(n) turbulence/severe quake/
大様 [おおよう] /(adj-na,adv,n) (1) largehearted/generous/(2) placid/composed/cool/collected/
大洋 [たいよう] /(n,adj-no) ocean/(P)/
大洋州 [たいようしゅう] /(n) Oceania/Pacific Ocean countries/
大葉 [おおば] /(n,adj-no) beefsteak plant/perilla/
大葉擬宝珠 [おおばぎぼうし] /(n) (uk) ooba (big leaves) plantation lily/Hosta sieboldiana/
大葉溝酸漿 [おおばみぞほおずき] /(n) plant native to eastern Russia and Hokkaido (Mimulus sessilifolius Maxim. p)/
大葉子 [おおばこ] /(n) (uk) plantain (esp. Asian plantain, Plantago asiatica)/
大葉子 [おばこ] /(n) (uk) plantain (esp. Asian plantain, Plantago asiatica)/
大葉子 [おんばこ] /(n) (uk) plantain (esp. Asian plantain, Plantago asiatica)/
大要 [たいよう] /(n) summary/outline/
大欲 [たいよく] /(n) avarice/
大浴場 [だいよくじょう] /(n) large public bath/
大乱 [たいらん] /(n) rebellion/great uprising/
大嵐 [おおあらし] /(n,adj-no) raging storm/
大理石 [だいりせき] /(n) marble/(P)/
大裏白の木 [おおうらじろのき] /(n) malus tschonoskii/white angel/
大陸 [たいりく] /(n,adj-no) continent/(P)/
大陸プレート [たいりくプレート] /(n) continental plate/
大陸移動説 [たいりくいどうせつ] /(n) theory of continental drift/
大陸横断鉄道 [たいりくおうだんてつどう] /(n) transcontinental railroad/
大陸間弾道ミサイル [たいりくかんだんどうミサイル] /(n) Intercontinental Ballistic Missile/ICBM/
大陸国家 [たいりくこっか] /(n) continental state (e.g. Australia)/
大陸性 [たいりくせい] /(adj-f,adj-no) (1) continental/(n) (2) continentality/
大陸性気候 [たいりくせいきこう] /(n) continental climate/
大陸棚 [たいりくだな] /(n) continental shelf/(P)/
大陸哲学 [たいりくてつがく] /(n) continental philosophy/
大陸法 [たいりくほう] /(n) civil law/continental law/
大陸浪人 [たいりくろうにん] /(n) prewar Japanese adventurer (political activist) in mainland China/
大陸狼 [たいりくおおかみ] /(n) (European) gray wolf (carnivore, Canis lupus lupus)/grey wolf/
大立ち回り [おおたちまわり] /(n) a fight or scuffle/
大立者 [おおだてもの] /(n) bigwig/leading or prominent figure/
大略 [たいりゃく] /(n-adv,n-t) (1) excellent plan/(2) outline/(3) approximately/
大流行 [だいりゅうこう] /(n,vs) extremely popular/extremely common/widespread contagion/
大粒 [おおつぶ] /(adj-na,n,adj-no) large grain/large drop/
大猟 [たいりょう] /(n) large catch/
大猟獣 [だいりょうじゅう] /(n) big game/
大量 [たいりょう] /(adj-na,n,adj-no) large quantity/(P)/
大量虐殺 [たいりょうぎゃくさつ] /(n,adj-no) massacre/genocide/
大量殺人 [たいりょうさつじん] /(n) mass killing/mass murder/bloodbath/
大量殺人者 [たいりょうさつじんしゃ] /(n) mass murderer/
大量出血 [たいりょうしゅっけつ] /(n,adj-no) hemorrhaging/
大量生産 [たいりょうせいさん] /(n) mass production/
大量退職 [たいりょうたいしょく] /(n) mass retirement (esp. that of the Japanese baby boomers)/
大量伝達 [たいりょうでんたつ] /(n) mass communication/
大量破壊兵器 [たいりょうはかいへいき] /(n) weapons of mass destruction/WMD/
大力 [だいりき] /(n,adj-no) immense physical strength/
大輪 [たいりん] /(n,adj-no) large-flowered/
大瑠璃 [おおるり] /(n) (uk) blue-and-white flycatcher (Cyanoptila cyanomelana)/
大礼 [たいれい] /(n) imperial or state ceremony/
大礼服 [たいれいふく] /(n) court dress/full-dress uniform/
大連立 [だいれんりつ] /(n) grand coalition/grand alliance/
大呂 [たいりょ] /(n) (1) (in China) 2nd note of the ancient chromatic scale (approx. D sharp)/(2) twelfth lunar month/
大呂 [たいろ] /(n) (1) (in China) 2nd note of the ancient chromatic scale (approx. D sharp)/(2) twelfth lunar month/
大路 [おおじ] /(n) (arch) main street (esp. in a capital)/
大老 [たいろう] /(n) (Edo-period) chief minister/
大和 [やまと] /(n) (1) Yamato/ancient province corresponding to modern-day Nara Prefecture/(2) (ancient) Japan/(adj-f) (3) Japanese/(P)/
大和の国 [やまとのくに] /(n) Yamato/Japan/
大和ゴキブリ [やまとゴキブリ] /(n) (uk) Japanese cockroach (Periplaneta japonica)/
大和鞍 [やまとぐら] /(n) Japanese-style ritual saddle/
大和鞍 [わぐら] /(n) Japanese-style ritual saddle/
大和芋 [やまといも] /(n) variety of Japanese potato/
大和歌 [やまとうた] /(n) waka/tanka/
大和絵 [やまとえ] /(n) Yamato-e (classical Japan decorative paintings)/
大和琴 [やまとごと] /(n) ancient Japanese koto (thought to be native to Japan)/
大和言葉 [やまとことば] /(n) ancient or primordial Japanese language/
大和国家 [やまとこっか] /(n) Yamato State/
大和魂 [やまとだましい] /(n) the Japanese spirit/
大和紙魚 [やまとしみ] /(n) (uk) oriental silverfish (Ctenolepisma villosa)/
大和時代 [やまとじだい] /(n) Yamato period (300-550 CE)/
大和煮 [やまとに] /(n) beef boiled with soy sauce, ginger and sugar/
大和心 [やまとごころ] /(n) the Japanese spirit/
大和政権 [やまとせいけん] /(n) Yamato Court/
大和島根 [やまとしまね] /(n) the island country of Japan/the Japanese Isles/
大和撫子 [やまとなでしこ] /(n) (1) (uk) large pink (Dianthus superbus var. longicalycinus)/(2) woman who displays the feminine virtues of old Japan/
大和文 [やまとぶみ] /(n) (arch) Japanese text/sentence in Japanese/
大和民族 [やまとみんぞく] /(n) Yamato race/
大枠 [おおわく] /(n) general framework/
大鷲 [おおわし] /(n) (uk) Steller's sea eagle (Haliaeetus pelagicus)/
大嘴 [おおはし] /(n) (uk) toucan/
大嘴海烏 [おおはしうみがらす] /(n) (uk) razorbill (Alca torda)/
大學 [だいがく] /(oK) (n) (1) post-secondary education institution, incl. university, college, etc./(2) (abbr) former central university of Kyoto (established under the ritsuryo system for the training of government administrators)/(3) the Great Learning - one of the Four Books/
大廈高楼 [たいかこうろう] /(n) large building and lofty tower/splendid (magnificent, palatial) structure/
大弯 [たいわん] /(n) greater curvature of stomach/curvatura ventriculi major/
大棗 [たいそう] /(n) jujube/
大浚 [おおさらい] /(n) (obsc) large scale rehearsal/
大浚い [おおさらい] /(n) (obsc) large scale rehearsal/
大祓 [おおはらい] /(n) form of Shinto purification/
大祓 [おおはらえ] /(n) form of Shinto purification/
大祓い [おおはらい] /(n) form of Shinto purification/
大祓の詞 [おおはらえのことば] /(n) (obsc) norito read at a grand purification event/
大篆 [だいてん] /(n) large seal script (dating from China's Spring and Autumn period onward)/
大簇 [たいそう] /(n) (1) (in China) 3rd note of the ancient chromatic scale (approx. E)/(2) first lunar month/
大簇 [たいぞく] /(n) (1) (in China) 3rd note of the ancient chromatic scale (approx. E)/(2) first lunar month/
大纛 [たいとう] /(n) (1) large decorative black flagpole tassel made from tail hair (of a yak, horse, ox, etc.) or dyed hemp/(2) emperor's encampment/
大艾 [おおよもぎ] /(n) Artemisia montana/
大茴香 [だいういきょう] /(n) (uk) star anise (Illicium verum)/
大薔薇苺 [おおばらいちご] /(n) a variety of raspberry (Rubus croceacanthus H. Lev.)/
大蜈蚣 [おおむかで] /(n) (uk) Scolopendra subspinipes (species of centipede)/
大蜥蜴 [おおとかげ] /(n) (uk) monitor lizard/
大蝙蝠 [おおこうもり] /(n) (uk) fruit bat/flying fox/
大蟇 [おおひきがえる] /(n) (uk) cane toad/marine toad/giant toad (Bufo marinus)/
大辟 [たいへき] /(n) (arch) severe punishment/death penalty/
大鉈 [おおなた] /(n) big hatchet/
大鉈を振るう [おおなたをふるう] /(exp,v5u) (obs) to make drastic cuts/to take an axe to/
大鬚 [おおひげ] /(n) long and abundant moustache/
大鬚回り [おおひげまわり] /(n) (uk) volvox/
大鮃 [おひょう] /(n) (uk) halibut (esp. the Pacific halibut, Hippoglossus stenolepis)/
大鷭 [おおばん] /(n) (uk) coot (Fulica atra)/
大鼾 [おおいびき] /(n) loud snore/
第 [だい] /(n,pref) ordinal/
第１ [だいいち] /(adv,n) first/foremost/number one/
第１次世界大戦 [だいいちじせかいたいせん] /(n) World War I/First World War/
第２ [だいに] /(n,adj-no) second/
第２外国語 [だいにがいこくご] /(n) second foreign language/
第２次世界大戦 [だいにじせかいたいせん] /(n) World War II/
第２帝政 [だいにていせい] /(n) (French) Second Empire/
第３ [だいさん] /(n) the third/
第３インターナショナル [だいさんインターナショナル] /(n) Third International/
第３次世界大戦 [だいさんじせかいたいせん] /(n) World War III/Third World War/
第４ [だいよん] /(n,adj-no) fourth/
第４世代言語 [だいよんせだいげんご] /(n) (comp) fourth generation language (4GL)/
第５世代コンピュータ [だいごせだいコンピュータ] /(n) (comp) Fifth Generation Computer System/FGCS/
第５世代コンピューター [だいごせだいコンピューター] /(n) (comp) the fifth generation computer/
第一 [だいいち] /(adv,n) first/foremost/number one/(P)/
第一レベルドメイン [だいいちレベルドメイン] /(n) (comp) top-level domain/
第一位 [だいいちい] /(n) first place/
第一印象 [だいいちいんしょう] /(n) first impression/
第一塩 [だいいちえん] /(n) primary salt/
第一課 [だいいっか] /(n) Lesson one/
第一回 [だいいっかい] /(n) (1) first time/(adj-no) (2) first/initial/
第一楽章 [だいいちがくしょう] /(n) first movement (mus)/
第一巻 [だいいっかん] /(n) volume 1/first volume/
第一関節 [だいいちかんせつ] /(n) first knuckle joint/
第一義 [だいいちぎ] /(n) first principle/original or greatest import/(P)/
第一義的 [だいいちぎてき] /(n,adj-na) basic/primary/fundamental/
第一級殺人 [だいいっきゅうさつじん] /(n) first-degree murder/
第一形容詞 [だいいちけいようし] /(n) (ling) (obsc) type-1 adjective (i.e. one that uses "ku" conjugation)/
第一言語 [だいいちげんご] /(n) first language/
第一子 [だいいっし] /(n) firstborn/first child/eldest child/
第一次 [だいいちじ] /(n) the first .../primary/
第一次産業 [だいいちじさんぎょう] /(n) primary industry/
第一次上海事変 [だいいちじしゃんはいじへん] /(n) Shanghai Incident/January 28 Incident (1932)/
第一次世界大戦 [だいいちじせかいたいせん] /(n) World War I/First World War/
第一次性徴 [だいいちじせいちょう] /(n) primary sexual characteristic/
第一種電気通信事業者 [だいいっしゅでんきつうしんじぎょうしゃ] /(n) (comp) type I carriers/
第一輯 [だいいっしゅう] /(n) first series/
第一集 [だいいっしゅう] /(n) first series/
第一章 [だいいっしょう] /(n) chapter one/first chapter/
第一条 [だいいちじょう] /(n) first article/
第一審 [だいいっしん] /(n) first hearing/
第一審裁判所 [だいいっしんさいばんしょ] /(n) court of first instance/
第一人者 [だいいちにんしゃ] /(n) leading person/(P)/
第一人称 [だいいちにんしょう] /(n) (ling) first person/
第一声 [だいいっせい] /(n) first tone/first speech/(P)/
第一線 [だいいっせん] /(n) the front (of a battlefield)/forefront/(P)/
第一帝政 [だいいちていせい] /(n) (French) First Empire/
第一哲学 [だいいちてつがく] /(n) first philosophy/
第一度熱傷 [だいいちどねっしょう] /(n) first degree burn/
第一部長 [だいいちぶちょう] /(n) assistant chief of staff, g1/
第一歩 [だいいっぽ] /(n) first step/(P)/
第一幕目 [だいいちまくめ] /(n) first act (play, ballet, opera, etc.)/
第一流 [だいいちりゅう] /(n) first-class/
第九 [だいく] /(n) the ninth (i.e. Beethoven's Ninth Symphony)/
第五 [だいご] /(n) the fifth/
第五列 [だいごれつ] /(n) fifth column/
第三 [だいさん] /(n) the third/
第三のビール [だいさんのビール] /(n) cheap, malt-free beer-like alcoholic beverage (lit: "third beer")/
第三インターナショナル [だいさんインターナショナル] /(n) Third International/
第三階級 [だいさんかいきゅう] /(n) the third estate/the bourgeoisie/
第三紀 [だいさんき] /(n) the Tertiary period/
第三国 [だいさんごく] /(n) a third country/(P)/
第三次 [だいさんじ] /(n) the third .../tertiary/
第三次産業 [だいさんじさんぎょう] /(n) tertiary industry/
第三次世界大戦 [だいさんじせかいたいせん] /(n) World War III/Third World War/
第三者 [だいさんしゃ] /(n) third party/third person/outsider/disinterested person/(P)/
第三者割当増資 [だいさんしゃわりあてぞうし] /(n) third-party allocation of shares/
第三種郵便物 [だいさんしゅゆうびんぶつ] /(n) third-class mail matter/
第三人称 [だいさんにんしょう] /(n) (ling) third person/
第三世界 [だいさんせかい] /(n) the Third World/
第三勢力 [だいさんせいりょく] /(n) a third force/
第三政党 [だいさんせいとう] /(n) third party/
第三帝国 [だいさんていこく] /(n) the Third Reich/
第三度熱傷 [だいさんどねっしょう] /(n) third degree burn/
第三部長 [だいさんぶちょう] /(n) assistant chief of staff, g3/
第四 [だいよん] /(n,adj-no) fourth/
第四の壁 [だいよんのかべ] /(n) fourth wall (in theatre)/
第四階級 [だいよんかいきゅう] /(n) the fourth estate/the proletariat/
第四紀 [だいしき] /(n) Quaternary period/
第四紀 [だいよんき] /(n) Quaternary period/
第宅 [ていたく] /(n) mansion/residence/
第二 [だいに] /(n,adj-no) second/
第二外国語 [だいにがいこくご] /(n) second foreign language/
第二義 [だいにぎ] /(n) secondary meaning/of secondary import/
第二共和政 [だいにきょうわせい] /(n) (French) Second Republic/
第二形容詞 [だいにけいようし] /(n) (ling) (obsc) type-2 adjective (i.e. one that uses "shiku" conjugation)/
第二言語 [だいにげんご] /(n) second language/
第二次 [だいにじ] /(n) the second .../
第二次産業 [だいにじさんぎょう] /(n) secondary industry/
第二次上海事変 [だいにじしゃんはいじへん] /(n) Battle of Shanghai (1937)/
第二次世界大戦 [だいにじせかいたいせん] /(n) World War II/(P)/
第二次性徴 [だいにじせいちょう] /(n) secondary sex characteristic/
第二次大戦 [だいにじたいせん] /(n) Second World War/WWII/
第二種電気通信事業者 [だいにしゅでんきつうしんじぎょうしゃ] /(n) (comp) type II carriers/
第二人称 [だいににんしょう] /(n) (ling) second person/
第二水俣病 [だいにみなまたびょう] /(n) Niigata Minamata disease/
第二組合 [だいにくみあい] /(n) rival labor union/rival labour union/
第二度熱傷 [だいにどねっしょう] /(n) second degree burn/
第二部 [だいにぶ] /(n) second division/secondary division/
第二部長 [だいにぶちょう] /(n) assistant chief of staff, g2/
第二量子化 [だいにりょうしか] /(n,vs) second quantisation (physics)/second quantization/
第八脳神経 [だいはちのうしんけい] /(n) eighth brain nerve/nervus vestibulocochlearis/vestibulocochlear nerve/
第六感 [だいろっかん] /(n) the sixth sense/intuition/hunch/
醍醐 [だいご] /(n) (Buddh) ghee (held to be the greatest of all flavours)/the ultimate truth of Buddhism/nirvana/
醍醐味 [だいごみ] /(n) (1) the real pleasure (of something)/the real thrill/the true charm/(2) flavour of ghee/delicious taste/(3) (Buddh) Buddha's gracious teachings/
題 [だい] /(n) (1) title/subject/theme/topic/(2) problem (on a test)/question/(n-suf,ctr) (3) counter for questions (on a test)/(P)/
題する [だいする] /(vs-s) to be titled (e.g. a book)/to be named/(P)/
題を付ける [だいをつける] /(exp,v1) to entitle/
題意 [だいい] /(n) meaning of a title (of a book, poem, etc.)/point of a question/
題詠 [だいえい] /(n) poetry composed on a set theme/
題画 [だいが] /(n) poem or writings added to a picture or painting/
題言 [だいげん] /(n) prefatory words/epigraph/
題号 [だいごう] /(n) title/
題材 [だいざい] /(n) subject/theme/(P)/
題字 [だいじ] /(n) letters in a title/(P)/
題辞 [だいじ] /(n) prefatory words/epigraph/
題名 [だいめい] /(n) title/(P)/
題名なし [だいめいなし] /(exp) untitled/
題名無し [だいめいなし] /(exp) untitled/
題目 [だいもく] /(n,adj-no) (1) title of a book/heading/(2) topic/subject/theme/(n) (3) (Buddh) Nichiren chant/
題簽 [だいせん] /(n) slip of paper bearing a book's title (pasted inside the book)/
鷹 [たか] /(n) falcon (Falconidae family)/hawk/(P)/
鷹の羽鯛 [たかのはだい] /(n) (uk) spottedtail morwong (Goniistius zonatus)/
鷹の爪 [たかのつめ] /(n) (1) (uk) Gamblea innovans (species of deciduous tree)/(2) extremely spicy form of chili pepper/(3) variety of high-quality green tea/
鷹化して鳩となる [たかかしてはととなる] /(exp) one of the 72 climates (from the 11th of the second lunar month until the 15th)/
鷹化して鳩となる [たかけしてはととなる] /(exp) one of the 72 climates (from the 11th of the second lunar month until the 15th)/
鷹詞 [たかことば] /(n) (obsc) falconry term/
鷹狩 [たかがり] /(n) falconry/
鷹狩り [たかがり] /(n) falconry/
鷹匠 [たかじょう] /(n) falconer/hawker/
鷹柱 [たかばしら] /(n) group of buzzards (etc.) rising in an updraft (before the southward autumn migration)/
鷹派 [たかは] /(n) hawks/hardline faction/
鷹隼 [ようしゅん] /(n) (arch) hawk and falcon/
鷹野 [たかの] /(n) (arch) falconry/
鷹揚 [おうよう] /(adj-na,adv,n) (1) largehearted/generous/(2) placid/composed/cool/collected/
滝 [たき] /(n) (1) waterfall/(2) (arch) rapids/(P)/
滝つぼ [たきつぼ] /(n) basin under a waterfall/
滝口 [たきぐち] /(n) top of a waterfall/(P)/
滝川 [たきがわ] /(n) rapids/(P)/
滝壷 [たきつぼ] /(n) basin under a waterfall/
滝登り [たきのぼり] /(n) (fish) climbing (swimming) up waterfall/
滝壺 [たきつぼ] /(n) basin under a waterfall/
瀧 [たき] /(oK) (n) waterfall/
卓 [たく] /(n) table/desk/high/(P)/
卓を囲む [たくをかこむ] /(exp,v5m) to have a meal together/to sit at table/
卓逸 [たくいつ] /(n,adj-na) (obsc) excellence/superiority/
卓越 [たくえつ] /(n) excellence/superiority/(P)/
卓越風 [たくえつふう] /(n) prevailing wind/
卓球 [たっきゅう] /(n) table tennis/ping-pong/(P)/
卓見 [たっけん] /(n) clearsightedness/penetration/farsightedness/excellent idea/
卓効 [たっこう] /(n) great efficiency/
卓子 [たくし] /(n) table/
卓識 [たくしき] /(n) clearsightedness/penetration/farsightedness/excellent idea/
卓出 [たくしゅつ] /(n,vs) excellence/superiority/preeminence/prevalence/
卓上 [たくじょう] /(n,adj-no) on the table (desk)/after-dinner speech/(P)/
卓上演説 [たくじょうえんぜつ] /(n) after-dinner speech/speech made at a dinner (luncheon)/
卓上型コンピュータ [たくじょうがたコンピュータ] /(n) (comp) desktop computer/
卓上計算器 [たくじょうけいさんき] /(n) (comp) desk-top calculator/
卓上出版 [たくじょうしゅっぱん] /(n) (comp) desktop publishing/DTP/
卓上電話 [たくじょうでんわ] /(n) desk phone/
卓説 [たくせつ] /(n) excellent opinion/
卓絶 [たくぜつ] /(n,vs) excellence/
卓抜 [たくばつ] /(adj-na,n) excellence/superiority/preeminence/prevalence/
卓筆 [たくひつ] /(n) excellent literary work/
卓用 [たくよう] /(n) desk (equipment)/table use/
卓立 [たくりつ] /(n,vs) prominent/standing out/
卓論 [たくろん] /(n) sound argument/clever presentation/
卓話会 [たくわかい] /(n) round table meeting or talks/
卓袱台 [ちゃぶだい] /(n) low dining table/tea table/
卓袱台返し [ちゃぶだいがえし] /(n) flipping a table over in anger/overturning a table in anger/
啄む [ついばむ] /(v5m,vt) to pick at/to peck at/
啄木 [たくぼく] /(n) woodpecker/
啄木鳥 [きつつき] /(gikun) (n) (uk) woodpecker/
啄木鳥 [けら] /(n) (uk) woodpecker/
啄木鳥 [けらつつき] /(n) (uk) woodpecker/
啄木鳥 [たくぼくちょう] /(n) (uk) woodpecker/
宅 [たく] /(n) house/home/husband/(P)/
宅の子供 [たくのこども] /(n) my (our) child/
宅扱い [たくあつかい] /(n) home delivery/
宅飲み [たくのみ] /(n) (sl) drinking at home (as opposed to going out)/
宅急便 [たっきゅうびん] /(n) express home delivery (by the Kuroneko Yamato company)/door-to-door parcel delivery/courier service/
宅建 [たっけん] /(n) (abbr) registered real-estate broker/
宅診 [たくしん] /(n,vs) consultation at an office (as opposed to a house call)/
宅送 [たくそう] /(n,vs) home delivery/
宅地 [たくち] /(n) building lot/residential land/(P)/
宅地建物取引主任者 [たくちたてものとりひきしゅにんしゃ] /(n) registered real-estate broker/
宅地造成 [たくちぞうせい] /(n) residential land development/
宅電 [たくでん] /(n) (sl) home telephone/
宅配 [たくはい] /(n,vs,adj-no) home delivery/(P)/
宅配便 [たくはいびん] /(n) (1) express home delivery service/(2) express home delivery parcel (box, etc.)/
宅老所 [たくろうしょ] /(n) old folks' home/
托す [たくす] /(v5s,vt) (1) to entrust/(2) to make an excuse of/
托する [たくする] /(vs-s,vt) (1) to entrust/(2) to make an excuse of/
托子 [たくし] /(n) saucer (for a teacup)/
托子 [たくす] /(n) saucer (for a teacup)/
托鉢 [たくはつ] /(n,vs) monk's "begging"/
托鉢修道会 [たくはつしゅうどうかい] /(n) mendicant orders/
托鉢僧 [たくはつぞう] /(n) (Buddh) mendicant priest/
托葉 [たくよう] /(n) stipule/
托卵 [たくらん] /(n) brood parasitism (planting one's eggs in another bird's nest, as demonstrated by the cuckoo, etc.)/
択ばれし者 [えらばれしもの] /(n) the chosen one/the chosen ones/the select few/
択ぶ [えらぶ] /(oK) (v5b,vt) to choose/to select/
択り [より] /(n) selecting/choosing/
択る [える] /(v5r,vt) to choose/to select/
択る [よる] /(v5r,vt) to choose/to select/
択一 [たくいつ] /(n) choosing an alternative/(P)/
択一的 [たくいつてき] /(adj-na) alternative/
択一問題 [たくいつもんだい] /(n) multiple-choice question/
拓く [ひらく] /(v5k) to open (e.g. path)/to clear (the way)/to break up (e.g. land)/
拓け胡麻 [ひらけごま] /(exp) Open Sesame!/
拓銀 [たくぎん] /(n) Takushoku Bank/
拓殖 [たくしょく] /(n,vs) colonization/colonisation/exploitation/(P)/
拓本 [たくほん] /(n) rubbed copy/folio of rubbings/(P)/
沢 [さわ] /(n) (1) swamp/marsh/(2) mountain stream/valley/dale/(P)/
沢庵 [たくあん] /(n) (abbr) pickled daikon radish/
沢庵 [たくわん] /(n) (abbr) pickled daikon radish/
沢庵漬 [たくあんづけ] /(n) pickled daikon (radish)/
沢庵漬け [たくあんづけ] /(n) pickled daikon (radish)/
沢蟹 [さわがに] /(n) (uk) Japanese freshwater crab (Geothelphusa dehaani)/
沢桔梗 [さわぎきょう] /(n) (uk) Lobelia sessilifolia (species of lobelia)/
沢胡桃 [さわぐるみ] /(n) (uk) Japanese wing nut (Pterocarya rhoifolia)/
沢山 [たくさん] /(adj-na,adv,n) (uk) many/a lot/much/(P)/
沢柴 [さわしば] /(n) (uk) heartleaf hornbeam (Carpinus cordata)/
沢地 [さわち] /(n) marshy land/
沢登り [さわのぼり] /(n) climbing a gorge/
沢辺 [さわべ] /(n) edge of a swamp/
沢瀉 [おもだか] /(n) (uk) threeleaf arrowhead (Sagittaria trifolia)/
濯ぐ [すすぐ] /(v5g,vt) (1) to rinse/to wash out/(2) to have one's revenge/to wipe out a disgrace/
濯ぐ [そそぐ] /(v5g,vt) (1) to rinse/to wash out/(2) to have one's revenge/to wipe out a disgrace/
濯ぐ [ゆすぐ] /(v5g,vt) (1) to rinse/to wash out/(2) to have one's revenge/to wipe out a disgrace/
琢磨 [たくま] /(n,vs) polish (jewels)/cultivation/(P)/
託け [ことづけ] /(n,vs) (verbal) message/
託ける [かこつける] /(v1,vt) to use as an excuse/to pretend that/to use something as an excuse/to make something the pretext (for)/
託す [たくす] /(v5s,vt) (1) to entrust/(2) to make an excuse of/(P)/
託する [たくする] /(vs-s,vt) (1) to entrust/(2) to make an excuse of/
託つ [かこつ] /(v5t,vt) to complain about/to grumble/to make an excuse for/
託つける [かこつける] /(v1,vt) to use as an excuse/to pretend that/to use something as an excuse/to make something the pretext (for)/
託言 [たくげん] /(n) pretext/excuse/plea/
託児施設 [たくじしせつ] /(n) child-minding facility/
託児所 [たくじしょ] /(n) creche/day nursery/(P)/
託宣 [たくせん] /(n,vs) oracle/(P)/
託送 [たくそう] /(n,vs) consignment/
託卵 [たくらん] /(iK) (n) brood parasitism (planting one's eggs in another bird's nest, as demonstrated by the cuckoo, etc.)/
託老所 [たくろうしょ] /(n) old folks' home/
鐸 [さなき] /(ok) (n) (1) duo (ancient Chinese bell with a clapper and a long handle)/
鐸 [すず] /(n) (1) duo (ancient Chinese bell with a clapper and a long handle)/
鐸 [たく] /(n) (1) duo (ancient Chinese bell with a clapper and a long handle)/(2) large wind bell/
鐸 [ぬて] /(ok) (n) (1) duo (ancient Chinese bell with a clapper and a long handle)/
鐸 [ぬりて] /(ok) (n) (1) duo (ancient Chinese bell with a clapper and a long handle)/
濁す [にごす] /(v5s,vt) to make muddy/to prevaricate/(P)/
濁った世の中 [にごったよのなか] /(n) this corrupt world/
濁った頭 [にごったあたま] /(n,adj-no) light head/vague head/
濁り [にごり] /(n,adj-no) (1) muddiness/murkiness/lack of clarity/(2) impurity/(3) Japanese voiced consonant mark/(4) (abbr) unrefined sake/
濁り江 [にごりえ] /(n) muddy inlet or creek/
濁り酒 [にごりざけ] /(n) unrefined sake/
濁り水 [にごりみず] /(n) muddy water/
濁り点 [にごりてん] /(n) voiced consonant marks/
濁る [にごる] /(v5r,vi) to become muddy/to get impure/(P)/
濁音 [だくおん] /(n) sonant/voiced sound/
濁酒 [じょくしゅ] /(ok) (n) unrefined sake/
濁酒 [だくしゅ] /(n) unrefined sake/
濁酒 [どぶろく] /(n) unrefined sake/
濁酒 [にごりざけ] /(io) (n) unrefined sake/
濁水 [だくすい] /(n) muddy water/
濁世 [じょくせ] /(n) (Buddh) this corrupt or degenerate world/this world or life/the world of mankind/
濁世 [だくせ] /(n) (Buddh) this corrupt or degenerate world/this world or life/the world of mankind/
濁世 [だくせい] /(n) (Buddh) this corrupt or degenerate world/this world or life/the world of mankind/
濁声 [だくせい] /(n) (1) thick voice/hoarse voice/(2) voice with a thick accent/
濁声 [だみごえ] /(n) (1) thick voice/hoarse voice/(2) voice with a thick accent/
濁点 [だくてん] /(n) voiced consonant marks (nigori)/
濁度 [だくど] /(n) turbidity/
濁度計 [だくどけい] /(n) turbidity meter/nephelometer/turbidimeter/
濁流 [だくりゅう] /(n) muddy stream/(P)/
濁醪 [どぶろく] /(n) unrefined sake/
諾 [う] /(int) (arch) yes/all right/OK/okay/
諾 [うべ] /(adv) truly/indeed/
諾 [お] /(int) (arch) yes/all right/OK/okay/
諾 [せ] /(int) (arch) yes/all right/OK/okay/
諾 [だく] /(n) agreement/assent/
諾 [むべ] /(adv) truly/indeed/
諾々 [だくだく] /(adj-na,n) obediently/yes, yes!/
諾う [うべなう] /(v5u,vt) to agree/to assent/to consent/to obey/to conform/
諾威 [のるうぇー] /(n) (uk) Norway/
諾足 [だくあし] /(n) (obsc) trot (as in horse riding)/
諾諾 [だくだく] /(adj-na,n) obediently/yes, yes!/
諾否 [だくひ] /(n) consent or refusal/yes or no/decision to accept or decline/up or down (vote)/assent or dissent/accept or reject/(P)/
諾約 [だくやく] /(n) (obsc) consent to an application for a contract/
諾約者 [だくやくしゃ] /(n) promisor/
茸 [きのこ] /(n) mushroom/
茸 [たけ] /(n) mushroom/
茸の軸 [きのこのじく] /(n) stem of a mushroom/
茸雲 [きのこぐも] /(n) (atomic) mushroom cloud/
茸狩り [たけがり] /(n) mushroom gathering/
凧 [いか] /(n) kite/
凧 [いかのぼり] /(n) kite/
凧 [たこ] /(n) kite/(P)/
凧 [はた] /(n) kite/
凧をあげる [たこをあげる] /(exp,v1) to fly a kite/
凧を上げる [たこをあげる] /(exp,v1) to fly a kite/
凧上げ [たこあげ] /(n,vs) kite flying/
凧揚げ [たこあげ] /(n,vs) kite flying/
蛸 [たこ] /(n) octopus/(P)/
蛸の足 [たこのあし] /(n) (uk) Penthorum chinensis (species of saxifrage)/
蛸の木 [たこのき] /(n) (uk) Pandanus boninensis (species of shrub)/
蛸烏賊 [たこいか] /(n) (uk) boreopacific armhook squid (Gonatopsis borealis)/
蛸樹 [たこのき] /(io) (n) (uk) Pandanus boninensis (species of shrub)/
蛸焼 [たこやき] /(n) octopus dumplings/
蛸焼き器 [たこやきき] /(n) tako-yaki pan (cast iron with semi-spherical molds)/
蛸焼き鍋 [たこやきなべ] /(n) (obsc) tako-yaki pan (cast iron with semi-spherical molds)/
蛸船 [たこぶね] /(n) (1) (uk) (col) eggcase (shell) of the winged argonaut/(2) winged argonaut (species of paper nautilus, Argonauta hians)/
蛸足 [たこあし] /(adj-f,n) many-legged/octopus-like/
蛸足配線 [たこあしはいせん] /(n) overloading an electrical circuit/piggybacked electrical outlet/"octopus outlet"/
蛸壷 [たこつぼ] /(n) (1) octopus pot/(2) foxhole/
蛸入道 [たこにゅうどう] /(n) octopus/man with a bald or shaven head/
蛸配当 [たこはいとう] /(n) bogus dividend/
蛸部屋 [たこべや] /(n) labor camp/labour camp/
蛸坊主 [たこぼうず] /(n) man with a bald or shaven head/
蛸壺 [たこつぼ] /(n) (1) octopus pot/(2) foxhole/
只 [ただ] /(adj-no) (1) (uk) ordinary/common/usual/(2) free of charge/(3) unaffected/as is/safe/(adv) (4) only/merely/just/simply/(5) but/however/nevertheless/(P)/
只々 [ただただ] /(adv) (uk) absolutely/only/emphatic modifier/
只ならない [ただならない] /(adj-i) (1) (uk) unusual/serious/(2) incomparable/
只ならぬ [ただならぬ] /(adj-f) (uk) unusual/uncommon/extraordinary/out of the ordinary/incomparable/serious/alarming/
只の人 [ただのひと] /(n) man in the street/common (ordinary) person/
只より高いものは無い [ただよりたかいものはない] /(exp) (id) Nothing costs as much as what is given to us/
只管 [ひたすら] /(adj-na,adv) (uk) nothing but/earnest/intent/determined/set on (something)/(P)/
只管打坐 [しかんたざ] /(n) shikantaza (zazen meditation in which one focuses on sitting without actively seeking enlightenment)/
只言 [ただこと] /(n) (arch) plain speech/direct speech/
只言 [ただごと] /(n) (arch) plain speech/direct speech/
只今 [しこん] /(conj) (arch) just now/
只今 [ただいま] /(int,exp) (1) (uk) (abbr) Here I am/I'm home!/(n-t,adv) (2) presently/right away/right now/just now/
只今帰りました [ただいまかえりました] /(exp,int) Here I am/I'm home!/
只事 [ただごと] /(n) trivial matter/
只者 [ただもの] /(n) ordinary person (usu. in neg. sentences)/
只取 [ただとり] /(io) (n,vs) getting something for nothing/
只取 [ただどり] /(io) (n,vs) getting something for nothing/
只取り [ただとり] /(n,vs) getting something for nothing/
只取り [ただどり] /(n,vs) getting something for nothing/
只乗り [ただのり] /(n,vs) free ride (e.g. on train)/
只只 [ただただ] /(adv) (uk) absolutely/only/emphatic modifier/
只中 [ただなか] /(n) middle/
只働き [ただばたらき] /(n,vs) working for free/
叩き [たたき] /(n) (1) mince (minced meat or fish)/(2) seared skipjack tuna/(3) (sl) robbery/extortion/(4) hard-packed dirt (clay, gravel, etc.) floor/concrete floor/(P)/
叩き [はたき] /(n) (feather) duster/(P)/
叩きあげる [たたきあげる] /(v1,vt) to work one's way up/
叩きつける [たたきつける] /(v1,vt) to strike/to throw/to slap something onto/
叩きなおす [たたきなおす] /(v5s,vt) to beat into shape/
叩きのめす [たたきのめす] /(v5s,vt) to knock down/to beat up (till unable to stand)/
叩き会う [たたきあう] /(iK) (v5u) (1) to strike (each other)/to come to blows/to fight (each other)/(2) to speak (to each other)/
叩き壊す [たたきこわす] /(v5s) to tear down/to shatter/
叩き割る [たたきわる] /(v5r,vt) to smash/to break into pieces/
叩き起こす [たたきおこす] /(v5s,vt) to wake up/to rouse out of bed/
叩き起す [たたきおこす] /(v5s,vt) to wake up/to rouse out of bed/
叩き牛蒡 [たたきごぼう] /(n) burdock root seasoned with sesame/
叩き合う [たたきあう] /(v5u) (1) to strike (each other)/to come to blows/to fight (each other)/(2) to speak (to each other)/
叩き込み [はたきこみ] /(n) slap down (sumo)/
叩き込む [たたきこむ] /(v5m,vt) to drive into/to throw into/to hit into/
叩き殺す [たたきころす] /(v5s,vt) to beat to death/
叩き出す [たたきだす] /(v5s,vt) to begin to strike/to kick out/
叩き消す [たたきけす] /(v5s) to beat out (a fire)/
叩き上げ [たたきあげ] /(n) (1) working one's way up/(n,adj-no) (2) self-made person/veteran/
叩き上げる [たたきあげる] /(v1,vt) to work one's way up/
叩き切る [たたききる] /(v5r) to mangle/to hack down/to chop down/
叩き台 [たたきだい] /(n,adj-no) chopping block/springboard for discussion/
叩き大工 [たたきだいく] /(n) clumsy carpenter/
叩き直す [たたきなおす] /(v5s,vt) to beat into shape/
叩き潰す [たたきつぶす] /(v5s) to smash up/to defeat crushingly/
叩き売り [たたきうり] /(n) sacrifice sale/
叩き箸 [たたきばし] /(n) ringing one's chopsticks against a dish (in order to request seconds, etc.) (a breach of etiquette)/
叩き付ける [たたきつける] /(v1,vt) to strike/to throw/to slap something onto/
叩き伏せる [たたきふせる] /(v1,vt) to knock down/to utterly defeat/
叩き落とす [たたきおとす] /(v5s) to knock down/to knock off/
叩く [たたく] /(v5k,vt) (1) to strike/to clap/to knock/to dust/to beat/(2) to play drums/(3) to abuse/to flame (e.g. on the Internet)/to insult/(P)/
叩く [はたく] /(v5k,vt) (1) to strike/to clap/to knock/to dust/to beat/(2) to use up money/
叩けよ然らば開かれん [たたけよさらばひらかれん] /(exp) (id) Knock, and it shall be opened unto you/
叩首 [こうしゅ] /(n) kowtow/
叩頭 [こうとう] /(n,vs) kowtow (bow made from a kneeling position wherein the forehead touches the ground)/
叩頭く [ぬかずく] /(v5k) to kowtow (to bow from a kneeling position such that the forehead touches the ground)/to prostrate oneself/to give a deep, reverent bow/
叩頭く [ぬかつく] /(ok) (v5k) to kowtow (to bow from a kneeling position such that the forehead touches the ground)/to prostrate oneself/to give a deep, reverent bow/
叩頭虫 [こめつきむし] /(n) (uk) click beetle/skipjack (beetle of family Elateridae)/
叩頭虫 [ぬかずきむし] /(n) (uk) click beetle/skipjack (beetle of family Elateridae)/
叩頭虫 [ぬかつきむし] /(n) (uk) click beetle/skipjack (beetle of family Elateridae)/
但 [ただ] /(adj-no) (1) (uk) ordinary/common/usual/(2) free of charge/(3) unaffected/as is/safe/(adv) (4) only/merely/just/simply/(5) but/however/nevertheless/
但し [ただし] /(conj) but/however/provided that/(P)/
但し書き [ただしがき] /(n) proviso/
但し付き [ただしつき] /(adj-no) conditional/
但し付き [ただしづき] /(adj-no) conditional/
但書 [ただしがき] /(io) (n) proviso/
但書き [ただしがき] /(n) proviso/
但馬牛 [たじまうし] /(n) Tajima cow (breed of black Wagyu cattle)/Tajima cattle/
達 [たち] /(suf) pluralizing suffix (esp. for people & animals; formerly honorific)/(P)/
達し [たっし] /(n) official notice/notification/
達す [たっす] /(v5s) to reach/to get to/
達する [たっする] /(vs-s) to reach/to get to/(P)/
達て [たって] /(ateji) (adv,adj-no) (uk) strongly hoping or requesting (of something that is difficult to be brought to fruition)/
達意 [たつい] /(adj-na,n) lucidity/intelligibility/perspicuity/
達引く [たてひく] /(v5k) to compete with each other (e.g. out of pride, obstinacy, etc.)/
達観 [たっかん] /(n,vs) farsightedness/taking a philosophic view (ripeness)/
達見 [たっけん] /(n) farsightedness/insight/
達士 [たっし] /(n) expert/skilled hand/master/
達識 [たっしき] /(n) farsightedness/insight/
達者 [たっしゃ] /(adj-na,n) skillful/in good health/(P)/
達人 [たつじん] /(n) master/expert/(P)/
達成 [たっせい] /(n,vs) achievement/(P)/
達成のレベル [たっせいのレベル] /(n) (comp) level of performance/
達成可能 [たっせいかのう] /(n,adj-na) achievable/attainable/
達成感 [たっせいかん] /(n) sense of accomplishment/
達成度 [たっせいど] /(n) level of achievement/
達筆 [たっぴつ] /(adj-na,n) skillful writing/speedy writing/(P)/
達文 [たつぶん] /(n) skilled writing/
達弁 [たつべん] /(n) eloquence/
達磨 [だるま] /(n) (1) (uk) daruma (tumbling doll)/Bodhidharma/(2) prostitute/(P)/
達磨歌 [だるまうた] /(n) (obsc) confusing song or poem (esp. used derogatorily to describe a style of middle-age Japanese poetry popularized by Fujiwara no Teika)/
達磨忌 [だるまき] /(n) ceremony held in honor (honour) of Bodhidharma (October 5th)/
達磨鮫 [だるまざめ] /(n) (uk) cookie-cutter shark (Isistius brasiliensis)/cigar shark/
達磨宗 [だるましゅう] /(n) (1) (arch) (obsc) Zen (Buddhism)/(2) (derog) confusing style of middle-age Japanese poetry/
達磨船 [だるません] /(n) barge/lighter/
達率 [たつりつ] /(n-suf) coefficient/rate/
辰 [たつ] /(n) fifth sign of Chinese zodiac (The Dragon, 7am-9am, east-southeast, March)/(P)/
辰の刻 [たつのこく] /(n) 8 am/the fifth hour/the Hour of the Dragon/
辰の年 [たつのとし] /(n) the year of the Dragon/
辰沙 [しんしゃ] /(n) (1) cinnabar/cinnabarite/(2) cinnabar lacquer/cinnabar lacquerware/
辰砂 [しんさ] /(n) (1) cinnabar/cinnabarite/(2) cinnabar lacquer/cinnabar lacquerware/
辰砂 [しんしゃ] /(n) (1) cinnabar/cinnabarite/(2) cinnabar lacquer/cinnabar lacquerware/
辰年 [たつどし] /(n) year of the dragon/
辰巳 [たつみ] /(n) southeast/
辰巳芸者 [たつみげいしゃ] /(n) (arch) geisha from the Fukagawa red-light district in Edo/
奪い去る [うばいさる] /(v5r) to take away/to carry off/
奪い合い [うばいあい] /(n) scramble (for)/
奪い合う [うばいあう] /(v5u) to scramble for/to struggle for/
奪い取る [うばいとる] /(v5r,vt) to plunder/
奪い返す [うばいかえす] /(v5s) to take back/to recapture/
奪う [うばう] /(v5u,vt) to snatch away/to dispossess/to steal/(P)/
奪回 [だっかい] /(n,vs) recovery/rescue/recapture/(P)/
奪格 [だっかく] /(n,adj-no) (ling) ablative/
奪還 [だっかん] /(n,vs) recovery/rescue/recapture/(P)/
奪三振 [だつさんしん] /(n) striking a batter out/(P)/
奪三振王 [だつさんしんおう] /(n) (season's) record holder in (for) the most strike-outs/
奪取 [だっしゅ] /(n,vs) usurpation/taking back/dispossession/(P)/
奪掠 [だつりゃく] /(n,vs) pillage/plunder/
奪略 [だつりゃく] /(n,vs) pillage/plunder/
脱 [だつ] /(pref) de- (indicating reversal, removal, etc.)/
脱がす [ぬがす] /(v5s) to strip someone/to help someone remove (clothes)/
脱がせ屋 [ぬがせや] /(n) persons who convince female celebrities to pose nude for photoshoots/
脱ぎ捨てる [ぬぎすてる] /(v1,vt) to fling/to throw off (clothes)/to kick off (boots)/
脱ぎ揃える [ぬぎそろえる] /(v1) to take off something (e.g. a pair of shoes) and leave them neatly aligned side by side/
脱ぎ脱ぎ [ぬぎぬぎ] /(n,vs) (chn) undressing/
脱ぐ [ぬぐ] /(v5g,vt) to take off (clothes, shoes, etc.)/to undress/(P)/
脱ける [ぬける] /(v1,vi) (1) to come out/to fall out/to be omitted/to be missing/to escape/(2) (comp) to exit (a program loop)/
脱け殻 [ぬけがら] /(n) cast-off skin/
脱け出す [ぬけだす] /(v5s,vi) (1) to slip out/to sneak away/to excel/(2) (comp) to break (out of a loop)/
脱け毛 [ぬけげ] /(n) fallen hair/combings/hair left on comb/
脱げる [ぬげる] /(v1,vi) to come off/to slip down/to slip off/
脱する [だっする] /(vs-s) to escape from/to get out/(P)/
脱オタク [だつオタク] /(n) ex-nerd/one who has given up geeky or nerdy hobbies/one who has given up stereotypically geeky dress, mannerisms, etc./
脱サラ [だつサラ] /(n) setting oneself free from the life of a white-collar worker/quitting a job as a salaryman and launching an independent business/
脱メタボ [だつメタボ] /(n,vs) losing weight/dieting/
脱亜入欧 [だつあにゅうおう] /(exp) leave Asia, enter Europe (said by Fukuzawa Yukichi)/
脱衣 [だつい] /(n,vs) undressing/taking off one's clothes/(P)/
脱衣室 [だついしつ] /(n) changing room/dressing room/locker room/
脱衣所 [だついしょ] /(n) dressing room/bath house/
脱衣所 [だついじょ] /(n) dressing room/bath house/(P)/
脱衣場 [だついじょう] /(n) dressing room/bath house/
脱臼 [だっきゅう] /(n,vs) dislocation/
脱営 [だつえい] /(n,vs) (military) desertion/
脱会 [だっかい] /(n,vs) withdrawal (from membership of organization, organisation)/
脱官僚 [だつかんりょう] /(n) debureaucratization/curtailing the power of the bureaucracy/
脱感作 [だっかんさ] /(n) (immunological) desensitization/
脱気水 [だっきすい] /(n) de-aired water/
脱却 [だっきゃく] /(n,vs) ridding oneself/freeing oneself of/growing out of/(P)/
脱境 [だっきょう] /(n,vs) (obsc) breaking down boundaries/overcoming barriers (psych.)/
脱境界 [だっきょうかい] /(n) weakened boundary/perforated boundary/dissolved boundary/
脱教 [だっきょう] /(n,vs) (obsc) renouncing one's faith/
脱原発 [だつげんぱつ] /(n) abandoning nuclear power generation/
脱工業化 [だつこうぎょうか] /(n,adj-no) post-industrialization/
脱構築 [だつこうちく] /(n) deconstruction (as in the term coined by Jacques Derrida)/
脱稿 [だっこう] /(n,vs) finishing writing/completion of a manuscript/
脱国境 [だっこっきょう] /(n) weakened border/porous border/open border/
脱穀 [だっこく] /(n,vs) threshing (e.g. rice)/
脱穀機 [だっこくき] /(n) threshing machine/
脱獄 [だつごく] /(n,vs) prison breaking/jailbreak/gaolbreak/
脱獄囚 [だつごくしゅう] /(n) escaped prisoner/
脱獄犯 [だつごくはん] /(n) escaped prisoner/fugitive/
脱魂 [だっこん] /(n) ecstatic trance/
脱脂 [だっし] /(n,vs) removal of fat/
脱脂乳 [だっしにゅう] /(n) (abbr) skim milk/skimmed milk/nonfat milk/
脱脂粉乳 [だっしふんにゅう] /(n) powdered skim (nonfat) milk/
脱脂綿 [だっしめん] /(n) absorbent cotton/
脱字 [だつじ] /(n) omitted word or character/
脱字記号 [だつじきごう] /(n) caret (symbol for omitted word)/
脱磁 [だつじ] /(n,vs) demagnetization/demagnetisation/de-Gaussing/
脱錫 [だっしょく] /(n) (obsc) detinning/removal of tin and copper/
脱臭 [だっしゅう] /(n,vs,adj-no) deodorization/deodorisation/
脱臭剤 [だっしゅうざい] /(n) deodorant/
脱出 [だっしゅつ] /(n,vs,adj-no) (1) escape/break-out/(2) prolapse/proptosis/(P)/
脱出口 [だっしゅつこう] /(n) escape hatch/escape door/
脱出速度 [だっしゅつそくど] /(n) escape velocity/
脱硝 [だっしょう] /(n,vs) denitration/denitrification/
脱色 [だっしょく] /(n,vs) decolourization/decolorization/decolourisation/decolorisation/bleaching/
脱色剤 [だっしょくざい] /(n) decolorant/decolourant/
脱水 [だっすい] /(n,vs) evaporation/dehydration/dessication/(P)/
脱水機 [だっすいき] /(n) dryer/dehydrator/
脱水症 [だっすいしょう] /(n) dehydration/
脱水症状 [だっすいしょうじょう] /(n) dehydration/
脱水素酵素 [だっすいそこうそ] /(n) dehydrogenase/
脱水反応 [だっすいはんのう] /(n,vs) dehydration/
脱税 [だつぜい] /(n,vs,adj-no) tax evasion/(P)/
脱石油 [だつせきゆ] /(n) extrication from dependence on oil/
脱線 [だっせん] /(n,vs) (1) derailment/(2) digression/deviation/(P)/
脱線行為 [だっせんこうい] /(n) aberration/aberrant behavior/eccentric (erratic) behavior/indulging in an escapade/
脱走 [だっそう] /(n,vs) desertion/escape/(P)/
脱走者 [だっそうしゃ] /(n) escapee/fugitive/
脱走兵 [だっそうへい] /(n) deserter/
脱俗 [だつぞく] /(n,vs) unworldliness/saintliness/
脱退 [だったい] /(n,vs) secession/retirement/withdrawal (e.g. from a lawsuit)/(P)/
脱炭酸 [だつたんさん] /(n) decarbonation/
脱窒 [だっちつ] /(n) denitrification/denitration/
脱着 [だっちゃく] /(n) removing and installing/desorption/
脱腸 [だっちょう] /(n,adj-no) abdominal hernia/
脱腸帯 [だっちょうたい] /(n) hernia truss/hernia belt/
脱兎 [だっと] /(n) dashing or bounding away/with lightning speed/
脱兎さん [だっとさん] /(n) Datsun (motor car from Nissan Motor Company)/
脱兎のごとく [だっとのごとく] /(oK) (adv) (at) high speed/as fast as one can/with lightning speed/
脱党 [だっとう] /(n,vs) defection from or leaving a (political) party/
脱藩 [だっぱん] /(n,vs) becoming a lordless samurai/
脱皮 [だっぴ] /(n,vs) shedding/molting/emergence/(P)/
脱皮動物 [だっぴどうぶつ] /(n) ecdysozoan (any animal of the superphylum Ecdysozoa, inc. arthropods, nematodes, etc.)/
脱糞 [だっぷん] /(n,vs) a bowel movement/
脱文 [だつぶん] /(n) missing passage/lacuna/
脱文脈化 [だつぶんみゃくか] /(n,vs) decontextualization/
脱法 [だっぽう] /(n,vs) evasion of the law/
脱法行為 [だっぽうこうい] /(n) evasion of the law/
脱帽 [だつぼう] /(n,vs) removing one's hat/
脱北 [だっぽく] /(n) successfully fleeing from North Korea/
脱北者 [だっぽくしゃ] /(n) people who have successfully fled from North Korea/North Korean defectors/
脱毛 [だつもう] /(n,vs,adj-no) hair removal/
脱毛剤 [だつもうざい] /(n) depilatory/
脱毛症 [だつもうしょう] /(n) alopecia/baldness/
脱落 [だつらく] /(n,vs) (1) loss/dropping out/falling by the wayside/(2) omission/lacuna/gap/hiatus/(3) desertion/defection/(4) apostasy/(P)/
脱離酵素 [だつりこうそ] /(n) lyase/
脱離反応 [だつりはんのう] /(n) elimination reaction/
脱硫 [だつりゅう] /(n,vs) desulfurization/desulphurisation/desulphurization/(P)/
脱力 [だつりょく] /(n,vs) exhaustion/draining of strength/
脱力感 [だつりょくかん] /(n) ennui/languishing/feeling of exhaustion/lassitude/lethargy/
脱輪 [だつりん] /(n,vs) wheel flying off its axle/
脱漏 [だつろう] /(n,vs) omission/
脱疽 [だっそ] /(n,adj-no) gangrene/
脱肛 [だっこう] /(n,vs) anal prolapse/
巽 [そん] /(n) xun (one of the trigrams of the I Ching: wind, southeast)/(P)/
巽 [たつみ] /(n) southeast/
竪 [たて] /(n) (1) the vertical/height/(2) front-to-back/length/
竪格子 [たてごうし] /(n) vertical bars/vertical lattice/
竪琴 [たてごと] /(n) harp/lyre/
竪琴海豹 [たてごとあざらし] /(n) (uk) harp seal (Phoca groenlandica)/
竪穴 [たてあな] /(n) pit/shaft/
竪穴式住居 [たてあなしきじゅうきょ] /(n) pit dwelling/dugout/
竪坑 [たてこう] /(n) shaft (e.g. in a mine)/pit/
竪子 [じゅし] /(iK) (n) (1) child/young lad/(2) stripling/greenhorn/inexperienced person/
竪子 [たてご] /(n) lattice/vertical pattern on a shoji/
竪縞 [たてじま] /(n) vertical stripes/striped fabric/
竪畝織 [たてうねおり] /(n) warp rib weave (cloth)/
竪笛 [たてぶえ] /(n) end-blown flute (esp. the recorder)/
竪樋 [たてどい] /(n) downpipe/drainspout/water pipe/
竪框 [たてがまち] /(n) stile/vertical frame element on the left or right of a door or window/
辿々しい [たどたどしい] /(adj-i) (uk) with difficulty/faltering/tottering/awkward/
辿たどしい [たどたどしい] /(adj-i) (uk) with difficulty/faltering/tottering/awkward/
辿りつく [たどりつく] /(v5k,vi) to struggle on to/to arrive somewhere after a struggle/to grope along to/to barely manage to reach/to finally arrive at/to finally hit on (e.g. an idea)/
辿り着く [たどりつく] /(v5k,vi) to struggle on to/to arrive somewhere after a struggle/to grope along to/to barely manage to reach/to finally arrive at/to finally hit on (e.g. an idea)/
辿る [たどる] /(v5r,vt) to follow (road)/to pursue (course)/to follow up/to follow (hyperlink)/(P)/
辿辿しい [たどたどしい] /(adj-i) (uk) with difficulty/faltering/tottering/awkward/
棚 [たな] /(n) (1) shelf/shelves/ledge/rack/(2) trellis/(P)/
棚からぼた餅 [たなからぼたもち] /(exp) receiving a windfall/having an unexpected piece of good luck/
棚から牡丹餅 [たなからぼたもち] /(exp) receiving a windfall/having an unexpected piece of good luck/
棚に上げる [たなにあげる] /(exp,v1) to be blind to one's shortcomings/to play innocent/
棚へ上げる [たなへあげる] /(exp,v1) to be blind to one's shortcomings/to play innocent/
棚ぼた [たなぼた] /(n) (uk) godsend/windfall/
棚引く [たなびく] /(v5k) (uk) to linger/to hover above/to trail/to hang over/to lie over/
棚曳く [たなびく] /(v5k) (uk) to linger/to hover above/to trail/to hang over/to lie over/
棚押し [たなおろし] /(iK) (n,vs) stock taking/inventory count/
棚牡丹 [たなぼた] /(n) (uk) godsend/windfall/
棚卸 [たなおろし] /(n,vs) stock taking/inventory count/
棚卸し [たなおろし] /(n,vs) stock taking/inventory count/
棚卸資産 [たなおろししさん] /(n,vs) inventory/inventories/inventory asset/
棚割 [たなわり] /(n) shelving allocation/planogram/
棚割り [たなわり] /(n) shelving allocation/planogram/
棚機 [たなばた] /(n) Festival of the Weaver (July 7th)/Star Festival (one of the five annual festivals)/
棚上げ [たなあげ] /(n,vs) shelving/pigeonholing/(P)/
棚蜘蛛 [たなぐも] /(n) (uk) araneomorph funnel-web spider (any spider of family Agelenidae)/
棚田 [たなだ] /(n) terraced rice-fields/
棚幡 [たなばた] /(n) Festival of the Weaver (July 7th)/Star Festival (one of the five annual festivals)/
棚氷 [たなごおり] /(n) ice shelf/
棚浚え [たなざらえ] /(n,vs) clearance sale/
谷 [たに] /(n) valley/(P)/
谷あい [たにあい] /(n) (1) valley/ravine/chasm/dell/(2) cleavage/
谷懐 [たにぶところ] /(n) valley in a deep mountain/
谷垣派 [たにがきは] /(n) Tanigaki Faction (of the LDP)/
谷間 [たにあい] /(n) (1) valley/ravine/chasm/dell/(2) cleavage/
谷間 [たにま] /(n) (1) valley/ravine/chasm/dell/(2) cleavage/(P)/
谷空木 [たにうつぎ] /(n) (uk) Weigela hortensis (species of deciduous shrub in the honeysuckle family)/
谷水 [たにみず] /(n) rill/valley water/
谷川 [たにがわ] /(n) mountain stream/(P)/
谷地 [やち] /(n) marsh land/swamp/
谷地ダモ [やちダモ] /(n) Japanese ash (Fraxinus mandshurica var. japonica)/
谷地鼠 [やちねずみ] /(n) (1) (uk) Japanese red-backed vole (Myodes andersoni)/(2) red-backed vole (any rodent of genus Myodes)/
谷町 [たにまち] /(n) (uk) sponsors of sumo rikishi or their stables/
谷底 [たにそこ] /(n) bottom of valley or ravine/(P)/
谷底 [たにぞこ] /(n) bottom of valley or ravine/
谷風 [たにかぜ] /(n) valley wind/
谷偏 [たにへん] /(n) kanji "valley" radical at left/
谷蟇 [たにぐく] /(n) (uk) (arch) Japanese toad (Bufo japonicus)/
谷蟆 [たにぐく] /(n) (uk) (arch) Japanese toad (Bufo japonicus)/
狸 [たぬき] /(n) (1) raccoon dog/tanuki (Nyctereutes procyonoides)/(2) craftiness/sly person/someone who makes evil plans without ever breaking their poker face/
狸蕎麦 [たぬきそば] /(n) soba with tempura batter/
狸汁 [たぬきじる] /(n) tanuki soup/raccoon-dog soup/
狸寝入り [たぬきねいり] /(n,vs) feigning sleep/
狸親父 [たぬきおやじ] /(n) sly (cunning) old man/
狸藻 [たぬきも] /(n) bladderwort/
狸爺 [たぬきじじい] /(n) cunning old man/
狸囃子 [たぬきばやし] /(n) tanuki drumming on their stomachs/
狸饂飩 [たぬきうどん] /(n) noodles with bits of deep-fried tempura batter/
鱈 [たら] /(n) (1) gadid (any fish of the family Gadidae, inc. cod, haddock, whiting and pollack)/(2) Pacific cod (Gadus macrocephalus)/
鱈子 [たらこ] /(n) cod roe (roe of any fish from family Gadidae, esp. salted walleye pollack roe)/
鱈場 [たらば] /(n) (abbr) red king crab (Paralithodes camtschaticus)/
鱈場ガニ [たらばがに] /(n) (uk) red king crab (Paralithodes camtschaticus)/
鱈場ガニ [たらばガニ] /(n) (uk) red king crab (Paralithodes camtschaticus)/
鱈場蟹 [たらばがに] /(n) (uk) red king crab (Paralithodes camtschaticus)/
鱈戦争 [たらせんそう] /(n) Cod Wars (conflicts between the United Kingdom and Iceland regarding fishing rights (1958, 1971, 1975))/
鱈腹 [たらふく] /(ateji) (adv) (uk) to one's heart's content/
樽 [たる] /(n) cask/barrel/(P)/
樽の腹 [たるのはら] /(n) midsection of a barrel/belly of a cask/
樽柿 [たるがき] /(n) persimmons mellowed in a sake cask/
樽酒 [そんしゅ] /(n) sake that has been kept in a wooden cask/cask sake/barreled sake/
樽酒 [たるざけ] /(n) sake that has been kept in a wooden cask/cask sake/barreled sake/
樽俎 [そんそ] /(n) (eating or drinking) party/
樽俎折衝 [そんそせっしょう] /(n) diplomatic negotiations at the dinner table/diplomatic bargaining/
誰 [た] /(ok) (pn,adj-no) who/
誰 [たれ] /(ok) (pn,adj-no) who/
誰 [だれ] /(pn,adj-no) who/(P)/
誰々 [だれだれ] /(pn) (1) (uk) so-and-so/(2) who?/which people?/
誰か [だれか] /(n) (uk) someone/somebody/(P)/
誰かさん [だれかさん] /(n) (col) a certain somebody (usu. obvious who is being referred to)/
誰かれ [たれかれ] /(pn,adj-no) this or that person/anybody/many people/
誰かれ [だれかれ] /(pn,adj-no) this or that person/anybody/many people/
誰がために [たがために] /(adv) (arch) for whom/
誰が為に [たがために] /(adv) (arch) for whom/
誰しも [だれしも] /(n) (1) (uk) everyone/anyone/(2) no-one (with neg. verb)/
誰それ [だれそれ] /(pn,adj-no) someone/"Mr So-and-so"/
誰だって [だれだって] /(conj) (uk) anyone/anybody/everyone/everybody/whoever/
誰であれ [だれであれ] /(conj) whoever/
誰でも [だれでも] /(conj) (uk) anyone/anybody/everyone/everybody/whoever/
誰にでも [だれにでも] /(conj) (uk) anyone (used with positive verbs)/anybody/everyone/whoever/
誰にも [だれにも] /(adv) anybody and everybody/with the best of them/as the next fellow/
誰にもまして [だれにもまして] /(exp,adv) more than anybody/
誰にも増して [だれにもまして] /(exp,adv) more than anybody/
誰ひとりとして [だれひとりとして] /(exp) not a single person (with negative verb)/no one/
誰も [だれも] /(conj) (1) (uk) everyone/anyone/(2) no-one (with neg. verb)/
誰もかも [だれもかも] /(n) everyone/
誰も彼も [だれもかれも] /(n) (uk) everyone/one and all/
誰一人として [だれひとりとして] /(exp) not a single person (with negative verb)/no one/
誰一人も [だれひとりも] /(n) (with a negative) no-one/nobody/
誰何 [すいか] /(n,vs) challenging (an unknown person)/asking a person's identity/
誰人 [たれびと] /(pn) whichever person (indefinite pronoun)/everyone/every person/all/
誰誰 [だれだれ] /(pn) (1) (uk) so-and-so/(2) who?/which people?/
誰知らぬ [だれしらぬ] /(exp,adv) nobody knows/
誰彼 [たれかれ] /(pn,adj-no) this or that person/anybody/many people/
誰彼 [だれかれ] /(pn,adj-no) this or that person/anybody/many people/
誰彼無しに [だれかれなしに] /(exp) to whomever/to anybody at all/
誰某 [だれそれ] /(pn,adj-no) someone/"Mr So-and-so"/
丹 [に] /(n) red earth (i.e. containing cinnabar or minium)/vermilion/(P)/
丹い [あかい] /(oK) (adj-i) (1) red/(2) Red (i.e. communist)/
丹花 [たんか] /(n) red flower/
丹砂 [たんしゃ] /(n) cinnabar/
丹朱 [たんしゅ] /(n) cinnabar/vermilion/
丹色 [にいろ] /(n) red/
丹心 [たんしん] /(n) sincerity/faithfulness/
丹精 [たんせい] /(n,vs) working earnestly/sincerity/diligence/effort/pains/
丹誠 [たんせい] /(n,vs) working earnestly/sincerity/diligence/effort/pains/(P)/
丹青 [たんせい] /(n) (1) red and blue/(2) paints/colors/(3) painting/picture/
丹青 [たんぜい] /(n) (1) painting/picture/
丹前 [たんぜん] /(n) large padded kimono/
丹前風呂 [たんぜんぶろ] /(n) famous bathhouse with prostitutes from the early Edo period/
丹頂 [たんちょう] /(n) (uk) red-crowned crane/Japanese crane (Grus japonensis)/
丹頂鶴 [たんちょうづる] /(n) (uk) red-crowned crane/Japanese crane (Grus japonensis)/
丹田 [たんでん] /(n) point below the navel (a focus point for internal meditative techniques)/
丹塗 [にぬり] /(n,adj-no,vs) painting red/vermillion lacquering/
丹塗り [にぬり] /(n,adj-no,vs) painting red/vermillion lacquering/
丹毒 [たんどく] /(n,adj-no) erysipelas/
丹念 [たんねん] /(adj-na,n) assiduity/diligence/application/(P)/
丹碧 [たんぺき] /(n) red and green/
単 [ひとえ] /(n,adj-no) one layer/single/onefold/(P)/
単１形 [たんいちがた] /(n) (1) D size (battery)/(adj-no) (2) monomorphic/
単２形 [たんにがた] /(n) C size (battery)/
単３形 [たんさんがた] /(n) AA size (battery)/
単４形 [たんよんがた] /(n) AAA 700 size (battery)/
単なる [たんなる] /(adj-pn) mere/simple/sheer/(P)/
単に [たんに] /(adv) simply/merely/only/solely/(P)/
単安定トリガ回路 [たんあんていトリガかいろ] /(n) (comp) monostable trigger circuit/
単安定回路 [たんあんていかいろ] /(n) (comp) monostable (trigger) circuit/
単位 [たんい] /(n) (1) unit/denomination/(2) credit (in school)/(P)/
単位を落とす [たんいをおとす] /(exp,v5s) (1) to fail to earn a credit/(2) fail to make the grade/
単位記号 [たんいきごう] /(n) commercial "at" sign/
単位元 [たんいげん] /(n) unit element/
単位行列 [たんいぎょうれつ] /(n) (math) unit matrix/
単位時間当たり [たんいじかんあたり] /(n) per unit time/rate per unit of time/
単位制度 [たんいせいど] /(n) point system/credit system/
単位組合 [たんいくみあい] /(n) local labor union/local labour union/
単位体積重量 [たんいたいせきじゅうりょう] /(n) unit weight/
単位倍率 [たんいばいりつ] /(n) (comp) unit scaling/
単位料金区域 [たんいりょうきんくいき] /(n) (comp) message area/MA/
単位列 [たんいれつ] /(n) (comp) unit string/
単位労働組合 [たんいろうどうくみあい] /(n) local labor union/local labour union/
単為生殖 [たんいせいしょく] /(n,adj-no) parthenogenesis/virgin birth/
単衣 [たんい] /(n) unlined kimono/
単衣 [ひとえ] /(n) unlined kimono/
単衣物 [ひとえもの] /(n) unlined kimono/
単一 [たんいつ] /(adj-na,n,adj-no) single/simple/sole/individual/unitary/(P)/
単一化 [たんいつか] /(n,vs) simplification/unification/
単一化に基づく形式化 [たんいつかにもとづくけいしきか] /(n,vs) (obsc) unification-based formalisms/
単一型集合型 [たんいつがたしゅうごうがた] /(n) (comp) set-of type/
単一型順序列型 [たんいつがたじゅんじょれつがた] /(n) (comp) sequence-of type/
単一形 [たんいちがた] /(n) (1) D size (battery)/(adj-no) (2) monomorphic/
単一言語シソーラス [たんいつげんごシソーラス] /(n) (comp) monolingual thesaurus/
単一神教 [たんいつしんきょう] /(n) henotheism/
単一性 [たんいつせい] /(n) unitary/
単一接続コンセントレータ [たんいつせつぞくコンセントレータ] /(n) (comp) single attachment concentrator/
単一接続局 [たんいつせつぞくきょく] /(n) (comp) single attachment station/
単一値属性 [たんいつちぞくせい] /(n) (comp) single-valued attribute/
単一通貨 [たんいつつうか] /(n) single currency/currency unification/
単一表記法 [たんいつひょうきほう] /(n) (comp) pure notation/
単一文化主義 [たんいつぶんかしゅぎ] /(n) monoculturalism/
単一民族 [たんいつみんぞく] /(adj-no) racially homogeneous/monoracial/
単一民族国家 [たんいつみんぞくこっか] /(n) ethnically homogeneous nation/racially homogeneous nation/
単一命令操作 [たんいつめいれいそうさ] /(n) (comp) single step operation/step-by-step operation/
単音 [たんおん] /(n) monosyllable/monotony/
単音節 [たんおんせつ] /(adj-no) monosyllabic/
単音節語 [たんおんせつご] /(n) monosyllable/
単価 [たんか] /(n,adj-no) unit price/unit cost/(P)/
単科大学 [たんかだいがく] /(n) college (offering a single course of study)/
単角 [たんかく] /(adj-no) one-horned/
単漢 [たんかん] /(n) single kanji/
単漢字 [たんかんじ] /(n,n-pref) single kanji/
単漢字辞書 [たんかんじじしょ] /(n) single kanji dictionary (usu. for use in an Input Method)/
単漢字変換 [たんかんじへんかん] /(n) single kanji conversion (in an Input Method)/
単簡 [たんかん] /(adj-na,n) brevity/simplicity/
単眼 [たんがん] /(n,adj-no) one eye/
単眼鏡 [たんがんきょう] /(n) monocle/
単眼的 [たんがんてき] /(adj-na) narrow-minded/short-sighted/
単機 [たんき] /(n) lone plane/
単記 [たんき] /(n,vs) single-entry (bookkeeping)/voting for one person only/
単記投票 [たんきとうひょう] /(n) voting for one person only/
単騎 [たんき] /(n) single horseman/
単弓類 [たんきゅうるい] /(n) synapsids (formerly used esp. in reference to the mammal-like reptiles)/
単級 [たんきゅう] /(n) single-grade (classroom)/
単句 [たんく] /(n) simple phrase/
単系統 [たんけいとう] /(n,adj-no) monophyletic/
単結合 [たんけつごう] /(n) (chem) single bond/
単結晶 [たんけっしょう] /(n,adj-no) monocrystal/single crystal/
単元 [たんげん] /(n) teaching unit/
単元制度 [たんげんせいど] /(n) unit credit system/
単原子分子 [たんげんしぶんし] /(n) monoatomic molecule/
単語 [たんご] /(n,adj-no) (ling) word/vocabulary/(usually) single-character word/(P)/
単語カウント [たんごカウント] /(n) (comp) word count/
単語検索 [たんごけんさく] /(n) word search/
単語集 [たんごしゅう] /(n) word book/
単語表 [たんごひょう] /(n) vocabulary word list/
単語篇 [たんごへん] /(n) glossary/vocabulary/
単孔類 [たんこうるい] /(n) the monotremes/
単行 [たんこう] /(n,vs) going alone/doing by oneself/
単行出版物 [たんこうしゅっぱんぶつ] /(n) (comp) monographic publication/
単行書 [たんこうしょ] /(n) monograph/
単行本 [たんこうぼん] /(n) special book/separate volume/book of lectures/(P)/
単項 [たんこう] /(adj-na,n,adj-no) monadic/simplex/unary/
単項演算 [たんこうえんざん] /(n) (comp) monadic operation/unary operation/
単項演算子 [たんこうえんざんし] /(n) (comp) monadic operator/unary operator/
単項式 [たんこうしき] /(exp) monomial/
単婚 [たんこん] /(n,adj-no) (obsc) monogamy/
単坐機 [たんざき] /(n) single-seated plane/single-seater/
単坐式 [たんざしき] /(adj-no) single-seated/
単座 [たんざ] /(n,adj-no) single seat/single-seated/
単座機 [たんざき] /(n) single-seated plane/single-seater/
単細胞 [たんさいぼう] /(n,adj-no) (1) single cell/(2) (col) simple-minded person/one-track-minded person/
単細胞生物 [たんさいぼうせいぶつ] /(n) unicellular organism/monad/
単作 [たんさく] /(n) single crop/
単三形 [たんさんがた] /(n) AA size (battery)/
単産 [たんさん] /(n) (single-industry) industrial union/(P)/
単四形 [たんよんがた] /(n) AAA 700 size (battery)/
単子 [たんし] /(n) (philosophical) monad/
単子葉 [たんしよう] /(n) monocotyledon (botany)/
単子葉植物 [たんしようしょくぶつ] /(n) a monocotyledon/
単子論 [たんしろん] /(n) monadism/
単紙 [たんし] /(n) (comp) cut sheet (paper)/
単試合 [たんしあい] /(n) singles (in tennis)/
単式 [たんしき] /(n) simple system/single-entry (bookkeeping)/
単式火山 [たんしきかざん] /(n) simple volcano/
単式学級 [たんしきがっきゅう] /(n) single-grade (classroom)/
単式簿記 [たんしきぼき] /(n) single-entry bookkeeping/
単射 [たんしゃ] /(n) (math) injection/monomorphism/
単車 [たんしゃ] /(n) (abbr) motorcycle/
単従陣 [たんじゅうじん] /(n) single column (in marching)/
単縦列 [たんじゅうれつ] /(n) Indian file/single file/single column/
単純 [たんじゅん] /(adj-na,n) simplicity/simple/uncomplicated/(P)/
単純に言えば [たんじゅんにいえば] /(exp) simply put/putting it simply/
単純コマンド [たんじゅんコマンド] /(n) (comp) simple command/
単純タンパク質 [たんじゅんタンパクしつ] /(n) simple protein/
単純ヘルペスウイルス [たんじゅんヘルペスウイルス] /(n) herpes simplex virus/HSV/
単純マトリックス方式 [たんじゅんマトリックスほうしき] /(n) (comp) passive matrix LCD/
単純化 [たんじゅんか] /(n,vs) simplification/
単純階層 [たんじゅんかいそう] /(n) (comp) mono-hierarchy/
単純緩衝法 [たんじゅんかんしょうほう] /(n) (comp) simple buffering/
単純型 [たんじゅんがた] /(n) (comp) simple type/
単純計算 [たんじゅんけいさん] /(n) simple calculation/
単純語 [たんじゅんご] /(n) (ling) simple word/
単純再生産 [たんじゅんさいせいさん] /(n) simple reproduction/
単純脂質 [たんじゅんししつ] /(n) simple lipid/
単純実行文 [たんじゅんじっこうぶん] /(n) (comp) action statement/
単純条件 [たんじゅんじょうけん] /(n) (comp) simple condition/
単純性 [たんじゅんせい] /(n) simplicity/
単純泉 [たんじゅんせん] /(n) simple thermal hot spring (containing less than one thousand ppm of dissolved minerals)/
単純素朴 [たんじゅんそぼく] /(n,adj-na) plain and simple/naive/
単純蛋白質 [たんじゅんたんぱくしつ] /(n) simple protein/
単純踏歩変換 [たんじゅんとうほへんかん] /(n) simple change (horse gait)/
単純平均 [たんじゅんへいきん] /(n) simple average/arithmetic average/
単純明快 [たんじゅんめいかい] /(n,adj-na) simple and clear/plain and simple/
単純連結処理定義 [たんじゅんれんけつしょりていぎ] /(n) (comp) simple link (process definition)/
単純労働 [たんじゅんろうどう] /(n) unskilled labor/simple labor/menial job/
単勝 [たんしょう] /(n) winning at the races/
単勝式 [たんしょうしき] /(n) winning system (as in horse racing)/
単焦点レンズ [たんしょうてんレンズ] /(n) fixed focal length lens/
単色 [たんしょく] /(n,adj-no) monochromatic/
単色ビーム [たんしょくビーム] /(n) monoenergetic beam (particle physics)/
単色画 [たんしょくが] /(n) monochrome picture/
単色光 [たんしょくこう] /(n) monochromatic light/
単色光 [たんしょっこう] /(n) monochromatic light/
単振動 [たんしんどう] /(n) simple harmonic oscillation (physics)/
単身 [たんしん] /(n-adv,n-t) alone/unaided/away from home/(P)/
単身銃 [たんしんじゅう] /(n) single-barreled gun/
単身赴任 [たんしんふにん] /(n,vs) job transfer away from one's home/taking up a new post leaving one's family behind/(P)/
単身赴任者 [たんしんふにんしゃ] /(n) employee posted away from their family/
単数 [たんすう] /(n,adj-no) singular number/(P)/
単数型 [たんすうけい] /(n) singular form/
単数形 [たんすうけい] /(n) singular form (of a noun)/
単性 [たんせい] /(n,adj-no) unisexual/
単性花 [たんせいか] /(n) unisexual flower/
単性生殖 [たんせいせいしょく] /(n) monogenetic reproduction/
単成火山 [たんせいかざん] /(n) monogenetic volcano/
単精度 [たんせいど] /(adj-na,n) single-precision/
単精度浮動小数点数 [たんせいどふどうしょうすうてんすう] /(n) (comp) single precision floating point number/
単節 [たんせつ] /(n,adj-no) simple link/
単線 [たんせん] /(n,adj-no) single line/solid wire/single track/
単線運転 [たんせんうんてん] /(n) single-track operation/
単線式回線 [たんせんしきかいせん] /(n) (comp) single-wire line/
単層 [たんそう] /(n,adj-no) (obsc) monolayer/single layer/single story (storey)/
単層埋込み試験 [たんそううめこみしけん] /(n) (comp) embedded testing/
単相 [たんそう] /(n,adj-no) (1) single phase/(2) haploid phase/
単走 [たんそう] /(n) first or solo run in a race (grand prix, horse race, etc.)/
単打 [たんだ] /(n) one-base hit/
単体 [たんたい] /(n) (1) simple substance (e.g. chemical)/(2) something standing alone/separate item/
単体テスト [たんたいテスト] /(n,vs) unit test/testing an item in isolation/
単体試験 [たんたいしけん] /(n) (comp) unit test/
単帯 [ひとえおび] /(n) unlined sash/
単調 [たんちょう] /(adj-na,n) monotony/monotone/dullness/(P)/
単調増加 [たんちょうぞうか] /(n) (comp) monotonic increase/
単適合決定表 [たんてきごうけっていひょう] /(n) (comp) single-hit decision table/
単刀直入 [たんとうちょくにゅう] /(adj-na,n,adj-no) going right to the point/point-blank/without beating about the bush/frankness/
単筒 [たんとう] /(n) single barrel/single-barrelled/
単糖類 [たんとうるい] /(n) monosaccharide/
単独 [たんどく] /(n,adj-no) sole/independence/single/solo (flight)/(P)/
単独で [たんどくで] /(exp) independently/individually/separately/alone/singlehanded/unassisted/
単独会見 [たんどくかいけん] /(n) exclusive interview/
単独海損 [たんどくかいそん] /(n) particular average/particular average loss/particular loss/
単独供給 [たんどくきょうきゅう] /(n) sole supply/monopoly supplier/
単独決算 [たんどくけっさん] /(n) unconsolidated balance sheet/single-company balance sheet/
単独行為 [たんどくこうい] /(n) individual action/unilateral act/
単独行動 [たんどくこうどう] /(n) independent action/
単独行動主義 [たんどくこうどうしゅぎ] /(n) unilateralism/
単独講和 [たんどくこうわ] /(n) separate peace/
単独主義 [たんどくしゅぎ] /(n) unilateralism/
単独正犯 [たんどくせいはん] /(n) acting alone in committing a crime/
単独内閣 [たんどくないかく] /(n) one-party cabinet/
単独飛行 [たんどくひこう] /(n) solo flight/
単二形 [たんにがた] /(n) C size (battery)/
単発 [たんぱつ] /(n,adj-no) single-engined aeroplane/single-engined airplane/anything which fires only one shot/
単発機 [たんぱつき] /(n) single-engine plane/
単発銃 [たんぱつじゅう] /(n) single shot gun/one-loader gun/
単板 [たんばん] /(n,adj-f) (1) veneer (e.g. wood products)/(2) single panel (e.g. electronics, optics, automotive)/single plate/
単比 [たんぴ] /(n) simple ratio/
単比例 [たんぴれい] /(n) simple proportion/
単皮 [たび] /(ateji) (n) tabi/Japanese socks (with split toe)/
単票 [たんぴょう] /(n) (comp) cut form/
単品 [たんぴん] /(n) separate item in a set/single article/
単複 [たんぷく] /(n) simplicity and complexity/singular and plural/single and double/singles and doubles (in tennis)/
単複同形 [たんぷくどうけい] /(n) nouns whose plural has the same form as their singular (e.g. sheep)/
単物 [ひとえもの] /(n) unlined kimono/
単文 [たんぶん] /(n) simple sentence/
単弁 [たんべん] /(n,adj-no) univalve/
単弁花 [たんべんか] /(n) single-petaled flower/
単母音 [たんぼいん] /(n) monophthong/simple vowel/
単峰型 [たんほうがた] /(adj-no) (math) unimodal/
単峰駱駝 [たんぽうらくだ] /(n) Arabian camel/dromedary/one-hump camel/
単方向 [たんほうこう] /(n,adj-no) (comp) simplex/
単方向通信 [たんほうこうつうしん] /(n) (comp) simplex (comms)/
単方向伝送 [たんほうこうでんそう] /(n) (comp) simplex transmission/
単本位 [たんほんい] /(n) single standard/monometallism/monometalism/
単本位性 [たんほんいせい] /(n) single standard/monometallism/monometalism/
単密度 [たんみつど] /(n) (comp) single density/
単葉 [たんよう] /(n,adj-na,adj-no) simple leaf/monoplane/
単葉機 [たんようき] /(n) monoplane/
単葉飛行機 [たんようひこうき] /(n) monoplane/
単利 [たんり] /(n) simple interest/
単利表 [たんりひょう] /(n) simple-interest table/
単利法 [たんりほう] /(n) simple-interest method/
単離 [たんり] /(n,vs) isolation (e.g. of a particular chemical substance within a mixture)/
単立 [たんりつ] /(n) (obsc) establishing something (e.g. a company or a religious order) by oneself/company or religious order founded in such a way/
単量体 [たんりょうたい] /(n) monomer/
単于 [ぜんう] /(n) Chanyu/supreme leader of the Xiongnu people/
単于都護府 [ぜんうとごふ] /(n) Protectorate General of the Central Asian Nomadic Lands/Han-period Chinese office established in Inner Mongolia in 650 CE/
単鉤法 [たんこうほう] /(n) in calligraphy, a style of holding the brush between the thumb and index finger/
嘆 [たん] /(n) (1) sigh/(2) grief/lamentation/
嘆かわしい [なげかわしい] /(adj-i) sad/wretched/deplorable/(P)/
嘆かわしい事態 [なげかわしいじたい] /(n) deplorable situation/
嘆き [なげき] /(n) grief/lamentation/(P)/
嘆き悲しむ [なげきかなしむ] /(v5m) to grieve and moan/
嘆く [なげく] /(v5k,vi) to sigh/to lament/to grieve/(P)/
嘆ずる [たんずる] /(vz,vi) to grieve/to lament/to sigh in admiration/
嘆願 [たんがん] /(n,vs,adj-no) entreaty/appeal/petition/(P)/
嘆願書 [たんがんしょ] /(n) (written) petition/
嘆賞 [たんしょう] /(n,vs) admiration/
嘆声 [たんせい] /(n) sigh (of admiration or lamentation)/
嘆息 [たんそく] /(n,vs) sigh/grief/deploring/(P)/
嘆美 [たんび] /(n,vs) admiration/adoration/extolling/
坦々 [たんたん] /(adj-na,n) level/peaceful/
坦々麺 [タンタンめん] /(iK) (n) Szechuan dish of noodles covered with a sauce of sesame paste and chili oil (chi: dan dan mian)/
坦々麺 [タンタンメン] /(iK) (n) Szechuan dish of noodles covered with a sauce of sesame paste and chili oil (chi: dan dan mian)/
坦懐 [たんかい] /(adj-na,n) level emotion/frankness/
坦坦 [たんたん] /(adj-na,n) level/peaceful/
坦坦麺 [タンタンめん] /(iK) (n) Szechuan dish of noodles covered with a sauce of sesame paste and chili oil (chi: dan dan mian)/
坦坦麺 [タンタンメン] /(iK) (n) Szechuan dish of noodles covered with a sauce of sesame paste and chili oil (chi: dan dan mian)/
担々麺 [タンタンめん] /(n) Szechuan dish of noodles covered with a sauce of sesame paste and chili oil (chi: dan dan mian)/
担々麺 [タンタンメン] /(n) Szechuan dish of noodles covered with a sauce of sesame paste and chili oil (chi: dan dan mian)/
担い手 [にないて] /(n) a bearer/carrier/person in charge/(P)/
担う [になう] /(v5u,vt) to carry on shoulder/to bear (burden)/to shoulder (gun)/(P)/
担ぎ [かつぎ] /(n) carrier/(P)/
担ぎ屋 [かつぎや] /(n) superstitious person/practical joker/blackmarket peddler/
担ぎ回る [かつぎまわる] /(v5r) to carry something around/
担ぎ込む [かつぎこむ] /(v5m) to carry something into a place/
担ぎ出す [かつぎだす] /(v5s,vt) to carry something out of a place/
担ぎ上げる [かつぎあげる] /(v1,vt) to put up/to flatter/
担ぐ [かつぐ] /(v5g,vt) (1) to shoulder/to carry on one's shoulder/(2) to take (someone) for a ride/to deceive/to take in/(P)/
担架 [たんか] /(n) stretcher/litter/(P)/
担子器 [たんしき] /(n) basidium/
担子菌 [たんしきん] /(n) basidiomycete/
担子菌類 [たんしきんるい] /(n) basidiomycetes/
担体 [たんたい] /(n) vector/carrier/
担担麺 [タンタンめん] /(n) Szechuan dish of noodles covered with a sauce of sesame paste and chili oil (chi: dan dan mian)/
担担麺 [タンタンメン] /(n) Szechuan dish of noodles covered with a sauce of sesame paste and chili oil (chi: dan dan mian)/
担当 [たんとう] /(n,vs) (in) charge (of an area of responsibility, but not necessarily supervision of staff)/(P)/
担当医 [たんとうい] /(n) attending physician/doctor-in-charge/attending doctor/one's doctor/
担当課長 [たんとうかちょう] /(n) section manager/
担当者 [たんとうしゃ] /(n) person in charge (of an area of work, but not necessarily supervising other staff)/person responsible/one in charge/responsible party/contact (person)/(P)/
担当部長 [たんとうぶちょう] /(n) senior Manager/
担任 [たんにん] /(n,vs) (1) in charge (of something)/(2) (abbr) homeroom teacher/(P)/
担任の先生 [たんにんのせんせい] /(n) homeroom teacher/form teacher/
担任教師 [たんにんきょうし] /(n) homeroom teacher/
担鰭骨 [たんきこつ] /(n) bones supporting the fins of a fish/
担保 [たんぽ] /(n,adj-no) security/collateral (e.g. mortgage)/(P)/
担保資産 [たんぽしさん] /(n) pledged assets/
担保責任 [たんぽせきにん] /(n) warranty/
担保付責務 [たんぽつきせきむ] /(n) secured liabilities/
担保物件 [たんぽぶっけん] /(n) collateral/security/
担保物権 [たんぽぶっけん] /(n) real rights obtained by security/
探しに [さがしに] /(exp) in search of/in order to look for/
探し回る [さがしまわる] /(v5r) to hunt around/to search about for/(P)/
探し求める [さがしもとめる] /(v1) to search for/to seek for/to look for/
探し出す [さがしだす] /(v5s,vt) to find out/to smoke out/to ferret out/to chase up/
探し当てる [さがしあてる] /(v1,vt) to find out/to discover/to detect/
探し物 [さがしもの] /(n) object being sought/(P)/
探す [さがす] /(v5s,vt) (1) to search (for something lost)/to seek (a suspect in a crime)/(2) to search (for something desired, needed)/to look for/(P)/
探り [さぐり] /(n) sounding/probing/probe/stylet/spy/
探りを入れる [さぐりをいれる] /(exp,v1) to probe/to search/to sound out/to investigate/
探り回る [さぐりまわる] /(v5r) to grope for/to fumble/
探り合い [さぐりあい] /(n) probe each other/sound each other out/
探り出す [さぐりだす] /(v5s,vt) to spy out/to smell out/
探り足 [さぐりあし] /(n) feel one's way (with one's feet)/
探り当てる [さぐりあてる] /(v1,vt) to find out/
探り箸 [さぐりばし] /(n) using one's chopsticks to find a food one likes by rummaging in one's dish, pot, etc. (a breach of etiquette)/
探る [さぐる] /(v5r,vt) (1) to feel around for/to fumble for/to grope for/to search for/to look for/(2) to investigate/to probe into/to spy on/to sound out/(3) to explore (parts unknown)/to enjoy (natural beauty)/(P)/
探餌 [たんじ] /(n) (animal's) foraging/
探海灯 [たんかいとう] /(n) searchlight/
探求 [たんきゅう] /(n,vs) quest/pursuit/(P)/
探求者 [たんきゅうしゃ] /(n) searcher/pursuer/
探究 [たんきゅう] /(n,vs) search/research/enquiry/inquiry/(P)/
探究者 [たんきゅうしゃ] /(n) investigator/researcher/
探究心 [たんきゅうしん] /(n) spirit of inquiry/spirit of enquiry/
探検 [たんけん] /(n,vs,adj-no) exploration/expedition/(P)/
探検家 [たんけんか] /(n) explorer/
探検隊 [たんけんたい] /(n) exploration party/
探険 [たんけん] /(n,vs,adj-no) exploration/expedition/(P)/
探鉱 [たんこう] /(n) mineral exploration/
探査 [たんさ] /(n,vs) probe/inquiry/enquiry/investigation/(P)/
探査機 [たんさき] /(n) (space) probe/
探索 [たんさく] /(n,vs) search/lookup/hunt/(item of) research/exploration/investigation/(P)/
探索かぎ [たんさくかぎ] /(n) (comp) search key/
探索サイクル [たんさくサイクル] /(n) (comp) search cycle/
探索木 [たんさくぎ] /(n) search tree/decision tree/
探傷面 [たんしょうめん] /(n) scanning surface/test surface/
探勝 [たんしょう] /(n,vs) sightseeing/
探照灯 [たんしょうとう] /(n) searchlight/
探照燈 [たんしょうとう] /(n) searchlight/
探針 [たんしん] /(n) probe/
探測 [たんそく] /(n) probing/sounding/
探題 [たんだい] /(n) local commissioner (Kamakura or Muromachi eras)/composing poetry by lot/
探知 [たんち] /(n,vs) detection/(P)/
探知器 [たんちき] /(n) detector/locator/
探知機 [たんちき] /(n) detector/locator/
探鳥 [たんちょう] /(n) bird-watching/
探偵 [たんてい] /(n,vs,adj-no) detective/sleuth/investigator/(P)/
探偵事務所 [たんていじむしょ] /(n) detective bureau/investigation firm/
探偵社 [たんていしゃ] /(n) detective agency/
探偵小説 [たんていしょうせつ] /(n) detective story/
探偵団 [たんていだん] /(n) (1) detective team/(2) study group/club/
探湯 [くかたち] /(n) trial by ordeal/
探湯 [くかだち] /(n) trial by ordeal/
探湯 [くがたち] /(n) trial by ordeal/
探番 [たんばん] /(n,vs) (comp) attributing a sequence number (packet, message, etc.)/
探聞 [たんぶん] /(n,vs) inquisitive questioning/
探訪 [たんぼう] /(n,vs) searching/hunting for news story/journalist/(P)/
旦つく [だんつく] /(n) husband/
旦過 [たんが] /(n) (1) (Buddh) staying the night (of an itinerant priest in Zen buddhism)/itinerant priest's lodging/(2) (Buddh) providing a room for an itinerant priest so that he may meditate for a long period of time/
旦那 [だんな] /(n) (1) master (of a house, shop, etc.)/(2) husband (informal)/(3) word used to address a male patron, customer, or person of high status (sir, boss, master, governor)/(4) patron of a mistress, geisha, bar or nightclub hostess/sugar daddy/(5) (Buddh) alms/almsgiving/almsgiver/(P)/
旦那芸 [だんなげい] /(n) dilettantism/amateurism/
旦那取り [だんなどり] /(vs) (1) to become a mistress/to serve as a concubine/(2) to serve one's master/
旦那衆 [だんなしゅう] /(n) gents/gentlemen/
旦暮 [たんぼ] /(n) dawn and dusk/morn and eve/
旦夕 [たんせき] /(n-adv,n-t) (1) on the brink of/(2) morning and evening/day and night/
旦夕に迫る [たんせきにせまる] /(exp,v5r) (abbr) to be on the brink of death/
歎 [たん] /(n) (1) sigh/(2) grief/lamentation/
歎き [なげき] /(n) grief/lamentation/
歎く [なげく] /(v5k,vi) to sigh/to lament/to grieve/
歎じる [たんじる] /(v1,vi) to grieve/to lament/to sigh in admiration/
歎ずる [たんずる] /(vz,vi) to grieve/to lament/to sigh in admiration/
歎願 [たんがん] /(n,vs,adj-no) entreaty/appeal/petition/
歎称 [たんしょう] /(n,vs) admiration/
歎賞 [たんしょう] /(n,vs) admiration/
歎声 [たんせい] /(n) sigh (of admiration or lamentation)/
歎息 [たんそく] /(n,vs) sigh/sighing in grief/
歎美 [たんび] /(n,vs) admiration/adoration/extolling/
淡々 [たんたん] /(adj-t,adv-to) (1) uninterested/unconcerned/indifferent/(2) plain/light/simple/bland/(3) flowing gently/(P)/
淡い [あわい] /(adj-i) light/faint/pale/fleeting/(P)/
淡い影 [あわいかげ] /(n) light shadow/
淡い悲しみ [あわいかなしみ] /(n) fleeting sorrow/
淡す [あわす] /(v5s,vt) (1) to remove the astringent taste from persimmons/
淡黄色 [たんおうしょく] /(adj-na,n) pale yellow/light yellow/
淡黄色 [たんこうしょく] /(adj-na,n) pale yellow/light yellow/
淡褐色 [たんかっしょく] /(n) light brown/
淡湖 [たんこ] /(n) freshwater lake/
淡口醤油 [うすくちしょうゆ] /(n) thin soy sauce/light soy sauce/
淡紅色 [たんこうしょく] /(adj-na,n) pink/
淡彩 [たんさい] /(n) light colouring/light coloring/
淡彩画 [たんさいが] /(n) wash drawing/
淡紫色 [たんししょく] /(n) lilac (colour)/mauve/light purple/
淡色 [たんしょく] /(n,adj-no) light color/light colour/
淡色野菜 [たんしょくやさい] /(n) vegetables not high in beta-carotene/
淡水 [たんすい] /(n,adj-no) fresh water/(P)/
淡水ダイビング [たんすいダイビング] /(n) freshwater diving/
淡水化プラント [たんすいかプラント] /(n) desalination plant/
淡水魚 [たんすいぎょ] /(n) freshwater fish/
淡水湖 [たんすいこ] /(n) freshwater lake/
淡青 [うすあお] /(n) light blue/pale blue/
淡青 [たんせい] /(n) light blue/pale blue/
淡青色 [たんせいしょく] /(adj-no) (obsc) light blue/ice blue/sky blue/powder blue/
淡雪 [あわゆき] /(n) light snowfall/
淡淡 [たんたん] /(adj-t,adv-to) (1) uninterested/unconcerned/indifferent/(2) plain/light/simple/bland/(3) flowing gently/
淡竹 [はちく] /(n) (uk) Henon bamboo (Phyllostachys nigra var. henonis)/
淡泊 [たんぱく] /(adj-na,n) (1) light (color, colour, taste)/simple/plain/(2) frank/candid/ingenuous/indifferent/(P)/
淡白 [たんぱく] /(adj-na,n) (1) light (color, colour, taste)/simple/plain/(2) frank/candid/ingenuous/indifferent/
淡緑色 [たんりょくしょく] /(n,adj-no) light green/
淡路結び [あわじむすび] /(n) (1) var. of knot often used to tie mizu-hiki/(2) woman's hairstyle, braided in this fashion/
淡路大震災 [あわじだいしんさい] /(n) Great Kobe earthquake of 1995 (the epicenter was located on Awaji island)/
湛える [たたえる] /(v1,vt) to fill (to the brim)/
湛水 [たんすい] /(n,vs) flooding/filling/inundation/submerging/clogging/
炭 [すみ] /(n) charcoal/(P)/
炭カル [たんカル] /(n) (abbr) calcium carbonate/
炭化 [たんか] /(n,vs) carbonization/carbonisation/
炭化カルシウム [たんかカルシウム] /(n) calcium carbide (CaC2)/
炭化ケイ素 [たんかケイそ] /(n) silicon carbide (SiC)/
炭化珪素 [たんかけいそ] /(n) silicon carbide (SiC)/
炭化水素 [たんかすいそ] /(n) hydrocarbon/
炭化物 [たんかぶつ] /(n) carbide/
炭火 [すみび] /(n) charcoal fire/
炭坑 [たんこう] /(n) coal mine/coal pit/
炭鉱 [たんこう] /(n) coal mine/coal pit/(P)/
炭鉱労働者 [たんこうろうどうしゃ] /(n) coal miner/
炭酸 [たんさん] /(n,adj-no) carbonic acid/(P)/
炭酸で割る [たんさんでわる] /(v5r) to dilute with soda/
炭酸カリウム [たんさんカリウム] /(n) potassium carbonate (K2CO3)/
炭酸カルシウム [たんさんカルシウム] /(n) calcium carbonate (CaCO3)/
炭酸ガス [たんさんガス] /(n) carbon dioxide (gas)/
炭酸ナトリウム [たんさんナトリウム] /(n) sodium carbonate (Na2CO3)/
炭酸マグネシウム [たんさんマグネシウム] /(n) magnesium carbonate (MgCO3)/
炭酸飲料 [たんさんいんりょう] /(n) carbonated drinks/
炭酸塩 [たんさんえん] /(n) carbonate/
炭酸紙 [たんさんし] /(n) carbon paper/
炭酸水 [たんさんすい] /(n) carbonated water/
炭酸水素ナトリウム [たんさんすいそナトリウム] /(n) sodium bicarbonate (NaHCO3)/
炭酸脱水酵素阻害薬 [たんさんだっすいこうそそがいやく] /(n) carbonate dehydratase inhibitor/
炭酸同化作用 [たんさんどうかさよう] /(n) carbon dioxide assimilation/
炭質 [たんしつ] /(n) coal quality/
炭車 [たんしゃ] /(n) coal wagon/
炭取 [すみとり] /(n) charcoal scuttle/
炭取り [すみとり] /(n) charcoal scuttle/
炭手前 [すみてまえ] /(n) charcoal setting procedure (tea ceremony)/
炭焼 [すみやき] /(n) (1) charcoal making/charcoal maker/(adj-no,n) (2) charcoal-roasted/charcoal-grilled/
炭焼き [すみやき] /(n) (1) charcoal making/charcoal maker/(adj-no,n) (2) charcoal-roasted/charcoal-grilled/
炭塵 [たんじん] /(n) coal dust/
炭塵爆発 [たんじんばくはつ] /(n) explosion of coal dust/
炭水化物 [たんすいかぶつ] /(n) carbohydrate/
炭素 [たんそ] /(n,adj-no) carbon (C)/(P)/
炭素１４ [たんそじゅうし] /(n) carbon-14/
炭素１４法 [たんそじゅうしほう] /(n) carbon-14 dating/radiocarbon dating/
炭素クレジット [たんそクレジット] /(n) carbon credit/
炭素一四 [たんそじゅうし] /(n) carbon-14/
炭素一四法 [たんそじゅうしほう] /(n) carbon-14 dating/radiocarbon dating/
炭素化合物 [たんそかごうぶつ] /(n) carbon compounds/
炭素鋼 [たんそこう] /(n) carbon steel/
炭素循環 [たんそじゅんかん] /(n) carbon cycle/
炭素税 [たんそぜい] /(n) carbon tax/
炭素繊維 [たんそせんい] /(n) carbon fiber/carbon fibre/
炭素相殺 [たんそそうさい] /(n) carbon offset/
炭素中立 [たんそちゅうりつ] /(n,adj-na,adj-no) (obsc) carbon-neutral/
炭層 [たんそう] /(n) coal seam/coal bed/
炭団 [たどん] /(n) charcoal briquette/
炭柱 [たんちゅう] /(n) coal pillar/
炭点前 [すみてまえ] /(n) charcoal setting procedure (tea ceremony)/
炭田 [たんでん] /(n) coalfield/coal field/(P)/
炭肺 [たんはい] /(n) black lung/
炭俵 [すみだわら] /(n) sack for charcoal/
炭窯 [すみがま] /(n) charcoal kiln/
炭労 [たんろう] /(n) Japan Coal Miners Union/
炭疽菌 [たんそきん] /(n) Bacillus anthracis (anthrax bacteria)/
炭疽病 [たんそびょう] /(n) anthrax/
炭礦 [たんこう] /(n) coal mine/coal pit/
短い [みじかい] /(adj-i) short/(P)/
短かい [みじかい] /(io) (adj-i) short/
短かめ [みじかめ] /(io) (n) rather short/somewhat short/
短か目 [みじかめ] /(io) (n) rather short/somewhat short/
短め [みじかめ] /(n) rather short/somewhat short/(P)/
短を補う [たんをおぎなう] /(exp,v5u) to remedy one's defects/
短パン [たんパン] /(n) shorts/short pants/
短音 [たんおん] /(n) short sound/
短音階 [たんおんかい] /(n) minor scale/
短歌 [たんか] /(n) tanka/31-syllable Japanese poem/(P)/
短過ぎる [みじかすぎる] /(v1) to be too short/
短角牛 [たんかくぎゅう] /(n) shorthorn/short-horned cattle/
短期 [たんき] /(n,adj-no) short term/(P)/
短期ローン [たんきローン] /(n) short-term loan/
短期間 [たんきかん] /(n) short term/short time/(P)/
短期記憶 [たんききおく] /(n) short-term memory/
短期金利 [たんききんり] /(n) short-term rate of interest/
短期計画 [たんきけいかく] /(n) short-term plan/short-run project/
短期決戦 [たんきけっせん] /(n) decisive battle of brief duration/
短期国債 [たんきこくさい] /(n) treasury bill/TB/
短期手形 [たんきてがた] /(n) short-term bill/
短期集中講座 [たんきしゅうちゅうこうざ] /(n) short, intensive course/
短期貸付 [たんきかしつけ] /(n) short-term loan/
短期大学 [たんきだいがく] /(n) (two year) junior college/(P)/
短機関銃 [たんきかんじゅう] /(n) submachine gun/
短気 [たんき] /(n,adj-na,adj-no) quick temper/short temper/(P)/
短気は損気 [たんきはそんき] /(exp) (id) Haste makes waste/
短距離 [たんきょり] /(n) short distance/short range/short-haul/(P)/
短距離競走 [たんきょりきょうそう] /(n) short-distance race/sprint/dash/
短距離走 [たんきょりそう] /(n) short-distance race/sprint/
短距離離着陸機 [たんきょりりちゃくりくき] /(n) plane able to make short takeoffs and landings/
短句 [たんく] /(n) short phrase/
短躯 [たんく] /(n) short stature/
短靴 [たんぐつ] /(n) shoes/
短剣 [たんけん] /(n) dagger/hour hand/
短見 [たんけん] /(n) narrow view/
短冊 [たんざく] /(n) long, narrow card on which Japanese poems are written (vertically)/strip of paper/
短冊 [たんじゃく] /(n) long, narrow card on which Japanese poems are written (vertically)/strip of paper/(P)/
短三度 [たんさんど] /(n) minor third (music)/
短詩 [たんし] /(n,adj-no) verselet/
短資 [たんし] /(n) short-term loan/
短時間 [たんじかん] /(n-adv,n-t) short time/(P)/
短時日 [たんじじつ] /(n) short period of time/
短軸 [たんじく] /(n) minor axis/
短尺 [たんざく] /(n) long, narrow card on which Japanese poems are written (vertically)/strip of paper/
短尺 [たんじゃく] /(n) long, narrow card on which Japanese poems are written (vertically)/strip of paper/
短周期 [たんしゅうき] /(n,adj-no) short cycle/short period/
短銃 [たんじゅう] /(n) pistol/revolver/(P)/
短縮 [たんしゅく] /(n,vs) shortening/abbreviation/reduction/(P)/
短縮アドレス呼出し [たんしゅくアドレスよびだし] /(n) (comp) abbreviated address calling/
短縮ダイヤル [たんしゅくダイヤル] /(n) (comp) speed dialing/
短縮形 [たんしゅくけい] /(n) abbreviation/abbreviated form/shortened form/
短縮参照区切り子機能 [たんしゅくさんしょうくぎりしきのう] /(n) (comp) short reference delimiter role/
短縮参照使用宣言 [たんしゅくさんしょうしようせんげん] /(n) (comp) short reference use declaration/
短縮参照集合 [たんしゅくさんしょうしゅうごう] /(n) (comp) short reference set/
短縮参照対応表宣言 [たんしゅくさんしょうたいおうひょうせんげん] /(n) (comp) short reference mapping declaration/
短縮参照列 [たんしゅくさんしょうれつ] /(n) (comp) short reference (string)/
短所 [たんしょ] /(n) defect/demerit/weak point/disadvantage/(P)/
短小 [たんしょう] /(adj-na,n) short and small/
短信 [たんしん] /(n) brief note or letter/brief message/
短針 [たんしん] /(n) hour hand/
短水路 [たんすいろ] /(n) short course (swimming)/
短籍 [たんざく] /(n) long, narrow card on which Japanese poems are written (vertically)/strip of paper/
短籍 [たんじゃく] /(n) long, narrow card on which Japanese poems are written (vertically)/strip of paper/
短足 [たんそく] /(n,adj-no) short legs/
短打 [たんだ] /(n) (baseball) single/
短大 [たんだい] /(n) junior college/(P)/
短大生 [たんだいせい] /(n) junior college student/
短調 [たんちょう] /(n) minor key (music)/(P)/
短艇 [たんてい] /(n) boat/
短刀 [たんとう] /(n) short sword/dagger/dirk/(P)/
短刀直入 [たんとうちょくにゅう] /(iK) (adj-na,n,adj-no) going right to the point/point-blank/without beating about the bush/frankness/
短筒 [たんづつ] /(n) pistol/revolver/
短頭 [たんとう] /(n) brachycephaly/
短日 [たんじつ] /(n) short time/
短日月 [たんじつげつ] /(n) short period of time/
短日植物 [たんじつしょくぶつ] /(n) short-day plants/
短波 [たんぱ] /(n,adj-no) short wave/(P)/
短波受信機 [たんぱじゅしんき] /(n) short-wave receiver/
短波放送 [たんぱほうそう] /(n) short-wave broadcasting/
短髪 [たんぱつ] /(n) short hair/
短評 [たんぴょう] /(n) brief comment or criticism/
短文 [たんぶん] /(n) short sentence/short piece/
短兵急 [たんぺいきゅう] /(adj-na,n) impetuousness/
短篇 [たんぺん] /(n) short (e.g. story, film)/
短篇小説 [たんぺんしょうせつ] /(n) short story/novella/
短編 [たんぺん] /(n) short (e.g. story, film)/(P)/
短編映画 [たんぺんえいが] /(n) short film/
短編集 [たんぺんしゅう] /(n) collection of short stories/collected short stories/
短編小説 [たんぺんしょうせつ] /(n) short story/novella/
短母音 [たんぼいん] /(n) short vowel/
短命 [たんめい] /(adj-na,n,adj-no) short life/short lived/(P)/
短毛 [たんもう] /(n,adj-no) short hair/
短毛種 [たんもうしゅ] /(n) short-haired/
短目 [みじかめ] /(n) rather short/somewhat short/
短夜 [みじかよ] /(n) short summer night/
短絡 [たんらく] /(n,vs) (1) electric short-circuit/(2) drawing a hasty inference between two events/jumping to a quick conclusion/dealing with matters quickly and carelessly/(P)/
短絡的 [たんらくてき] /(adj-na) simplistic/hasty/
短慮 [たんりょ] /(adj-na,n) imprudence/quick temper/
短慮軽率 [たんりょけいそつ] /(n,adj-na) impulsive and imprudent/rash and unthinking/
短慮性急 [たんりょせいきゅう] /(n,adj-na) short-tempered and impatient/
短路 [たんろ] /(n) short circuit/
端 [たん] /(n,n-pref) (1) variable measure of fabric (28.8 cm in width)/for kimonos: at least 10 m in length/for haori: at least 7.27 m in length/for other clothes: at least 6.06 m in length/
端 [はし] /(n) (1) end (e.g. of street)/tip/point/edge/margin/(2) beginning/start/first/(3) odds and ends/scrap/odd bit/least/(P)/
端 [はした] /(n,adj-na) (1) fraction/odd sum/(n) (2) (abbr) loose change/(3) (arch) low class female servant/
端 [はじ] /(n) (1) end (e.g. of street)/tip/point/edge/margin/(2) beginning/start/first/(3) odds and ends/scrap/odd bit/least/
端 [はた] /(n) (1) near/close/beside/vicinity/proximity/besides/while/(2) third person/
端 [はな] /(n) (1) end (e.g. of street)/tip/point/edge/margin/(2) beginning/start/first/(3) odds and ends/scrap/odd bit/least/
端から [はしから] /(exp) (usu. preceded by -ta) every last one/one and all/from A to Z/
端から [はなから] /(exp) (uk) from the start/from the beginning/from the outset/
端から端まで [はしからはしまで] /(exp) from one end to another/thoroughly/completely/utterly/
端くれ [はしくれ] /(n) (1) scrap/piece/fag end/(2) unimportant person/
端た [はした] /(n,adj-na) (1) fraction/odd sum/(n) (2) (abbr) loose change/(3) (arch) low class female servant/
端たない [はしたない] /(ateji) (adj-i) improper/immodest/disgraceful/shameful/vulgar/low/(P)/
端た金 [はしたがね] /(n) odd money/loose change/small (paltry) sum (of money)/chicken feed/(mere) pittance/
端た女 [はしため] /(n) female servant/
端っこ [はしっこ] /(n) end/edge/tip/
端っこ [はじっこ] /(n) end/edge/tip/
端ない [はしたない] /(ateji) (adj-i) improper/immodest/disgraceful/shameful/vulgar/low/
端を発する [たんをはっする] /(exp,vs-s) to originate with/to start with/to stem from/
端ミシン [たんミシン] /(n,vs) machined edge/edge-stitched seam/
端唄 [はうた] /(n) short love song (popular in late Edo period)/
端黄卵 [たんおうらん] /(n) telolecithal egg (egg having the yolk situated primarily at one end)/
端株 [はかぶ] /(n,adj-no) odd lot (e.g. in share purchase or sale)/
端脚類 [たんきゃくるい] /(n) amphipods/
端居 [はしい] /(vs) (obsc) sitting on a veranda/
端境期 [はざかいき] /(n) between-crops season/off-crops season/
端局 [たんきょく] /(n) (radio) terminal/
端近 [はしぢか] /(adj-na,n) (interior) corner of a house/
端金 [はしたがね] /(n) odd money/loose change/small (paltry) sum (of money)/chicken feed/(mere) pittance/
端月 [たんげつ] /(n) first lunar month/
端厳 [たんげん] /(adj-na,n) correct and solemn/
端五 [たんご] /(n) Boy's Day celebration (May 5th) (one of the five annual festivals)/
端午 [たんご] /(n) Boy's Day celebration (May 5th) (one of the five annual festivals)/
端午の節句 [たんごのせっく] /(n) Boy's Day celebration (May 5th)/
端綱 [はづな] /(n) halter/
端黒 [つまぐろ] /(n) (1) (uk) blacktip reef shark (Carcharhinus melanopterus, species of requiem shark mostly found in the Indo-Pacific)/(n,adj-no) (2) (arch) black tip/
端黒雀蜂 [つまげすずめばち] /(n) (uk) lesser banded hornet (Vespa affinis)/
端坐 [たんざ] /(n,vs) sitting upright (properly)/
端座 [たんざ] /(n,vs) sitting upright (properly)/
端材 [はざい] /(n) mill ends/lumber remnants/wood waste/
端山 [はやま] /(n) foothill/end section of a mountain range/
端子 [たんし] /(n) (1) terminal (electricity)/(2) pin (on a semiconductor or microcontroller)/(3) port (e.g. LAN port)/
端子台 [たんしだい] /(n) terminal block (electrical)/
端取 [つまとり] /(n) rear toe pick (sumo)/
端取 [つまどり] /(n) rear toe pick (sumo)/
端取り [つまとり] /(n) rear toe pick (sumo)/
端取り [つまどり] /(n) rear toe pick (sumo)/
端緒 [たんしょ] /(n) a clue/start/beginning/(P)/
端緒 [たんちょ] /(n) a clue/start/beginning/
端書 [はがき] /(n) (1) (abbr) postcard/(2) memo/note/card/
端書き [はがき] /(n) (1) (abbr) postcard/(2) memo/note/card/
端書き [はしがき] /(n) foreword/preface/introduction/postscript/
端女 [はしため] /(n) female servant/
端女郎 [はしじょろう] /(n) low class licensed prostitute (Edo period)/
端数 [はすう] /(n,adj-no) fraction/
端整 [たんせい] /(adj-na,n) shapely/graceful/
端正 [たんせい] /(adj-na,n) handsome/noble/
端切れ [はぎれ] /(n) scrap of cloth/odds and ends/
端折る [はしおる] /(v5r,vt) to tuck up/to abridge/
端折る [はしょる] /(v5r,vt) to tuck up/to abridge/
端線 [たんせん] /(n) edge/
端銭 [はせん] /(n) small change/
端然 [たんぜん] /(n,adj-t,adv-to) upright/
端端 [はしばし] /(n) odds and ends/all/every/
端艇 [たんてい] /(n) (small) boat/
端的 [たんてき] /(adj-na) frank/direct/plain/straightforward/point-blank/concise/(P)/
端点 [たんてん] /(n) (comp) anchor/endpoint node/peripheral node/
端脳 [たんのう] /(n) telencephalon/
端白 [つまじろ] /(n) (uk) silvertip shark (Carcharhinus albimarginatus, a requiem shark found throughout the tropical Indian and Pacific Oceans)/
端反り [はぞり] /(n) outward-curving bowl rim/bowl lip curved outwards/
端反り [はたぞり] /(n) outward-curving bowl rim/bowl lip curved outwards/
端武者 [はむしゃ] /(n) common soldier/
端物 [はもの] /(n) an odd piece/odds and ends/
端本 [はほん] /(n) incomplete set of books/odd volume/
端末 [たんまつ] /(n) (comp) computer terminal/(P)/
端末ＯＲアドレス [たんまつオーアドレス] /(n) (comp) terminal OR address/
端末エミュレーション [たんまつエミュレーション] /(n) (comp) terminal emulation/
端末エミュレータ [たんまつエミュレータ] /(n) (comp) terminal emulator/
端末サーバー [たんまつサーバー] /(n) (comp) terminal server/
端末画面 [たんまつがめん] /(n) (comp) terminal screen/
端末機 [たんまつき] /(n) terminal (unit)/(P)/
端末識別子 [たんまつしきべつし] /(n) (comp) terminal identifier/
端末種別 [たんまつしゅべつ] /(n) (comp) terminal type/
端末装置 [たんまつそうち] /(n) (comp) terminal equipment/
端末入力 [たんまつにゅうりょく] /(n) (comp) terminal input/
端無くも [はしなくも] /(adv) unexpectedly/by chance or accident/
端面 [たんめん] /(n) edge/edge face/end face/
端役 [はやく] /(n,adj-no) minor role/
端役女優 [はやくじょゆう] /(n) bit-part actress/actress with a minor part/
端麗 [たんれい] /(adj-na,n) grace/beauty/elegance/
端倪 [たんげい] /(n,vs) conjecturing/
箪笥 [たんす] /(n) (uk) chest of drawers/bureau/cabinet/tansu/dresser/(P)/
箪笥の肥し [たんすのこやし] /(exp) unused things (esp. clothing)/objects bought but never used/
箪笥の肥やし [たんすのこやし] /(exp) unused things (esp. clothing)/objects bought but never used/
綻び [ほころび] /(n) open seam/seam that has come apart/tear/
綻びる [ほころびる] /(v1,vi) to come apart at the seams/to begin to open/to smile broadly/(P)/
綻ぶ [ほころぶ] /(v5b) (1) to begin to open/to come out/(2) to smile broadly/(3) to come apart at the seams (clothes)/
耽ける [ふける] /(io) (v5r,vi) (1) to indulge in/to give oneself up to/to be obsessed by/(aux-v) (2) to be engrossed in/to be lost in/to be absorbed in/
耽る [ふける] /(v5r,vi) (1) to indulge in/to give oneself up to/to be obsessed by/(aux-v) (2) to be engrossed in/to be lost in/to be absorbed in/(P)/
耽溺 [たんでき] /(n,vs) (1) indulgence (e.g. in alcohol, women, etc.)/(2) debauchery/dissipation/
耽溺生活 [たんできせいかつ] /(n) a fast (dissolute) life/a life of follies/a life given to dissolute pleasures/
耽読 [たんどく] /(n,vs) absorption in reading/
耽美 [たんび] /(n) aesthetics/
耽美主義 [たんびしゅぎ] /(n) aestheticism/
耽美的 [たんびてき] /(adj-na) aesthetic/esthetic/
耽美派 [たんびは] /(n) the aesthetic school/
胆 [きも] /(n) (1) liver/innards/(2) courage/spirit/pluck/guts/(P)/
胆 [たん] /(n) (1) liver/innards/(2) courage/spirit/pluck/guts/
胆のう [たんのう] /(n,adj-no) gall bladder/
胆気 [たんき] /(n) courage/guts/nerves of steel/
胆玉 [きもだま] /(n) guts/pluck/nerve/spirit/
胆玉 [きもったま] /(n) guts/pluck/nerve/spirit/
胆汁 [たんじゅう] /(n,adj-no) bile/gall/
胆汁酸 [たんじゅうさん] /(n) bile acid/
胆汁質 [たんじゅうしつ] /(n) choleric temperament/
胆汁色素 [たんじゅうしきそ] /(n) bile pigment/
胆石 [たんせき] /(n) gallstones/(P)/
胆石症 [たんせきしょう] /(n) gallstones/cholelithiasis/
胆煎り [きもいり] /(n) (1) performing good offices/(2) sponsorship/auspices (of)/
胆大心小 [たんだいしんしょう] /(exp) being bold and courageous, but also careful and meticulous/
胆斗の如し [たんとのごとし] /(n) being as bold as a lion/
胆嚢 [たんのう] /(n,adj-no) gall bladder/
胆嚢炎 [たんのうえん] /(n) inflammation of the gall-bladder/cholesystitis/
胆略 [たんりゃく] /(n) courage and resourcefulness/
胆力 [たんりょく] /(n) courage/nerve/grit/
蛋白 [たんぱく] /(n) (1) egg white/albumen/albumin/(2) (abbr) protein/
蛋白源 [たんぱくげん] /(n) source of protein/protein source/
蛋白質 [たんぱくしつ] /(n) protein/(P)/
蛋白質分解酵素 [たんぱくしつぶんかいこうそ] /(n) protease/
蛋白消化酵素 [たんぱくしょうかこうそ] /(n) protein-digesting enzyme/
蛋白同化ステロイド [たんぱくどうかステロイド] /(n) anabolic steroid/
蛋白尿 [たんぱくにょう] /(n) albuminuria/
誕生 [たんじょう] /(n,vs) birth/creation/formation/(P)/
誕生会 [たんじょうかい] /(n) birthday party/
誕生祝い [たんじょういわい] /(n) birthday celebration/
誕生石 [たんじょうせき] /(n) a birthstone/
誕生日 [たんじょうび] /(n) birthday/(P)/
誕生日おめでとうございます [たんじょうびおめでとうございます] /(exp) Happy Birthday/
誕生日パーティー [たんじょうびパーティー] /(n) birthday party/
誕辰 [たんしん] /(n) birthday/
鍛え [きたえ] /(n) (1) forging/tempering/(2) drilling/training/disciplining/
鍛える [きたえる] /(v1,vt) (1) to forge/to temper/(2) to drill/to train/to discipline/(P)/
鍛え上げる [きたえあげる] /(v1,vt) (1) to temper thoroughly/(2) to train well/
鍛工 [たんこう] /(n) metal worker/
鍛鋼 [たんこう] /(n) forged steel/
鍛治 [かじ] /(iK) (n) smithing/blacksmith/
鍛治 [かぬち] /(iK) (n) smithing/blacksmith/
鍛治 [たんや] /(iK) (n) smithing/blacksmith/
鍛成 [たんせい] /(n) cultivation/training/
鍛接 [たんせつ] /(n) forge welding/
鍛造 [たんぞう] /(n,vs) forging/
鍛鉄 [たんてつ] /(n) tempering iron/forging steel/wrought iron/
鍛冶 [かじ] /(n) smithing/blacksmith/
鍛冶 [かぬち] /(n) smithing/blacksmith/
鍛冶 [たんや] /(n) smithing/blacksmith/
鍛冶屋 [かじや] /(n) smith/blacksmith/
鍛冶場 [かじば] /(n) blacksmith's workshop/smithy/forge/foundry/
鍛練 [たんれん] /(n,vs) tempering/forging/hardening/disciplining/training/
鍛錬 [たんれん] /(n,vs) tempering/forging/hardening/disciplining/training/(P)/
団 [だん] /(n) body/group/party/company/troupe/
団の精神 [だんのせいしん] /(n) esprit de corps/spirit of the corps/
団らん [だんらん] /(n,vs) sitting together in a circle/happy circle/harmony/
団員 [だんいん] /(n) group member/(P)/
団塊 [だんかい] /(n) mass/lump/(P)/
団塊の世代 [だんかいのせだい] /(n) baby boom generation/
団塊ジュニア [だんかいジュニア] /(n) second-generation baby boomers/baby-boom junior/child of baby-boomers/generation Y/
団塊世代 [だんかいせだい] /(n) the babyboomers/the baby boom generation/
団亀 [どんがめ] /(n) (arch) Chinese soft-shelled turtle (Pelodiscus sinensis)/soft-shelled turtle (Trionychidae)/
団菊祭 [だんぎくさい] /(n) kabuki performance in commemoration of Danjuro and Kikugoro/
団栗 [どんぐり] /(n) acorn/
団栗の背比べ [どんぐりのせいくらべ] /(exp) having no outstanding characteristics (lit: height comparison among acorns)/to all seem about the same/bragging competition ("pissing contest") concerning matters of little importance/
団栗眼 [どんぐりまなこ] /(n,adj-no) goggle-eyes/
団結 [だんけつ] /(n,vs) unity/union/combination/(P)/
団結が固い [だんけつがかたい] /(exp,adj-i) strongly united/
団結権 [だんけつけん] /(n) the right to organize/the right to organise/
団結心 [だんけつしん] /(n) esprit de corps/
団交 [だんこう] /(n) (abbr) collective bargaining/
団子 [だんご] /(n) dumpling (sweet)/
団子屋 [だんごや] /(n) dumpling store/dumpling seller/
団子状態 [だんごじょうたい] /(n) being bunched up together/being crowded together/
団子虫 [だんごむし] /(n) (uk) pillbug/pill bug/
団子鼻 [だんごっぱな] /(n) snub nose/pug nose/button-shaped nose/bulbous nose/cauliflower-shaped nose/
団子鼻 [だんごばな] /(n) snub nose/pug nose/button-shaped nose/bulbous nose/cauliflower-shaped nose/
団十郎丈 [だんじゅうろうじょう] /(n) Danjuro (kabuki actor)/
団扇 [うちわ] /(n) fan/(P)/
団扇海老 [うちわえび] /(n) (uk) fan lobster (Ibacus spp., esp. the Japanese fan lobster, Ibacus ciliatus)/sand crayfish/
団扇虫 [うちわむし] /(n) fan-fly/
団扇撞木鮫 [うちわしゅもくざめ] /(n) (uk) bonnethead (Sphyrna tiburo, species of hammerhead shark found in the Western Hemisphere)/
団体 [だんたい] /(n) organization/organisation/association/(P)/
団体を組む [だんたいをくむ] /(exp,v5m) to form an organization/to form an organisation/
団体割引 [だんたいわりびき] /(n) group discount (rate, reduction)/
団体客 [だんたいきゃく] /(n) party of tourists/
団体競技 [だんたいきょうぎ] /(n) team sports/
団体協約 [だんたいきょうやく] /(n) collective agreement/
団体交渉 [だんたいこうしょう] /(n) collective bargaining/
団体交渉権 [だんたいこうしょうけん] /(n) the right to collective bargaining/
団体行動 [だんたいこうどう] /(n) group behavior/group behaviour/
団体賞与 [だんたいしょうよ] /(n) group bonus/
団体戦 [だんたいせん] /(n) team competition/team game/
団体著者 [だんたいちょしゃ] /(n) (comp) corporate author/
団体保険 [だんたいほけん] /(n) group insurance/
団体名 [だんたいめい] /(n) corporate name/
団体旅行 [だんたいりょこう] /(n) group travel/
団地 [だんち] /(n) multi-unit apartments/(P)/
団地住まい [だんちずまい] /(n) living in a housing complex/
団地族 [だんちぞく] /(n) housing project dwellers/
団茶 [だんちゃ] /(n) cake tea (e.g. Pu-erh tea)/
団長 [だんちょう] /(n) leader of a delegation (body, party)/(P)/
団欒 [だんらん] /(n,vs) sitting together in a circle/happy circle/harmony/
壇 [だん] /(n) (1) platform/podium/rostrum/(2) (arch) mandala/(P)/
壇ノ浦の合戦 [だんのうらのかっせん] /(n) battle of Dannoura/final battle of Heike-Genji wars/
壇ノ浦の戦 [だんのうらのたたかい] /(n) battle of Dannoura/final battle of Heike-Genji wars/
壇家 [だんか] /(n) family which supports a temple/parishioner/
壇家 [だんけ] /(n) family which supports a temple/parishioner/
壇上 [だんじょう] /(n) on a stage or platform or altar/(P)/
壇場 [だんじょう] /(n) stage/
弾 [たま] /(n) (1) ball/sphere/globe/orb/(2) bead (of sweat, dew, etc.)/drop/droplet/(3) ball (in sports)/(4) pile (of noodles, etc.)/(5) bullet/(6) bulb (i.e. a light bulb)/(7) lens (of glasses, etc.)/(8) bead (of an abacus)/(9) (sl) (abbr) ball (i.e. a testicle)/(10) egg/(11) gem/jewel (esp. spherical; sometimes used figuratively)/pearl/(12) female entertainer (e.g. a geisha)/(13) (derog) person (when commenting on their nature)/character/(14) item, funds or person used as part of a plot/(n-suf) (15) coin/(16) precious/beautiful/excellent/
弾 [だん] /(ctr) counter for parts (of a story, etc.)/
弾き [はじき] /(n) (1) (uk) gun (slang)/pistol/(2) tiddlywinks/marbles/(3) repellence/
弾き [ひき] /(suf) player (of music, instrument, etc.)/
弾き応え [ひきごたえ] /(n) worthiness as an opponent or challenge/
弾き玉 [はじきだま] /(n) marbles/
弾き語り [ひきがたり] /(n) singing to one's own accompaniment/
弾き手 [ひきて] /(n) performer or player (of an instrument)/
弾き出す [はじきだす] /(v5s,vt) to shoot (marbles)/to calculate/to spring out/to force out/
弾き初め [ひきぞめ] /(n) initial playing of an instrument in the New Year/
弾き飛ばす [はじきとばす] /(v5s,vt) to flick off/to give ... the flick/to send something flying/to hit (a person)/to knock down/
弾き物 [ひきもの] /(n) string instrument (esp. in gagaku)/stringed instrument/
弾き返す [はじきかえす] /(v5s) to reject/to repel/
弾く [はじく] /(v5k,vt) (1) (uk) to flip/to snap/(2) to repel/(P)/
弾く [ひく] /(v5k) to play (piano, guitar)/(P)/
弾ける [はじける] /(v1,vi) to burst open/to split open/to pop/
弾ける様に笑う [はじけるようにわらう] /(exp,v5u) to burst into laughter/
弾け豆 [はじけまめ] /(n) pop beans/
弾け飛ぶ [はじけとぶ] /(v1,vi) to pop off/to pop out/to fly off/to shoot off/to burst open/
弾じる [だんじる] /(v1,vt) to play (a stringed instrument)/
弾ずる [だんずる] /(vz,vt) to play (a stringed instrument)/
弾み [はずみ] /(n) (1) bounce/spring/rebound/(2) momentum/inertia/(3) spur of the moment/impulse/(P)/
弾み車 [はずみぐるま] /(n) flywheel/
弾む [はずむ] /(v5m,vi) to spring/to bound/to bounce/to be stimulated/to be encouraged/to get lively/to treat oneself to/to splurge on/(P)/
弾よけ [たまよけ] /(n) bulletproof/protection (or charm) against bullets/
弾圧 [だんあつ] /(n,vs) oppression/suppression/pressure/(P)/
弾圧政治 [だんあつせいじ] /(n) (political) coercion/
弾雨 [だんう] /(n) hail of bullets/
弾音 [だんおん] /(n) (ling) (alveolar) flap/
弾劾 [だんがい] /(n,vs,adj-no) impeachment/accusation/censure/denunciation/(P)/
弾劾裁判所 [だんがいさいばんしょ] /(n) (Japanese) Court of Impeachment/
弾劾投票 [だんがいとうひょう] /(n) impeachment vote/
弾丸 [だんがん] /(n) bullet/shot/shell/(P)/
弾丸道路 [だんがんどうろ] /(n) long, straight, wide-open highway/
弾丸飛雨 [だんがんひう] /(n) hail of bullets/heavy bombardment/
弾丸列車 [だんがんれっしゃ] /(n) very fast train/bullet train/
弾機 [だんき] /(n) (uk) spring (e.g. coil, leaf)/mainspring/power spring/
弾機 [ばね] /(gikun) (n) (uk) spring (e.g. coil, leaf)/mainspring/power spring/
弾機穴針 [だんきあなはり] /(n) split-eye needle/
弾機穴針 [ばねあなはり] /(n) split-eye needle/
弾機孔針 [だんきあなはり] /(n) split-eye needle/
弾機孔針 [ばねあなはり] /(n) split-eye needle/
弾琴 [だんきん] /(n) playing on the koto/
弾痕 [だんこん] /(n) bullet hole/bullet mark/
弾車 [はずみぐるま] /(n) flywheel/
弾除け [たまよけ] /(n) bulletproof/protection (or charm) against bullets/
弾傷 [たまきず] /(n) bullet wound/gunshot wound/
弾性 [だんせい] /(n) elasticity/
弾性振動 [だんせいしんどう] /(n) elastic vibration/
弾性体 [だんせいたい] /(n) elastic body/
弾性波 [だんせいは] /(n) elastic wave/
弾性率 [だんせいりつ] /(n) modulus of elasticity/
弾正台 [ただすつかさ] /(n) (1) Imperial Prosecuting and Investigating Office (under the ritsuryo system)/
弾正台 [だんじょうだい] /(n) (1) Imperial Prosecuting and Investigating Office (1869-1871 CE)/(2) Imperial Prosecuting and Investigating Office (under the ritsuryo system)/
弾倉 [だんそう] /(n) magazine (of a firearm)/
弾奏 [だんそう] /(n,vs) performance/playing on stringed instruments/
弾着 [だんちゃく] /(n) a hit/impact/
弾着距離 [だんちゃくきょり] /(n) range (of a gun)/(within) gunshot/
弾着点 [だんちゃくてん] /(n) point of impact/
弾頭 [だんとう] /(n) warhead/(P)/
弾道 [だんどう] /(n) (1) trajectory/line of fire/(adj-no,adj-f) (2) ballistic/(P)/
弾道トランジスタ [だんどうトランジスタ] /(n) ballistic transistor/
弾道ミサイル [だんどうミサイル] /(n) ballistic missile/
弾道ミサイル破壊措置命令 [だんどうミサイルはかいそちめいれい] /(n) ballistic-missile shoot-down order/order to shoot down a ballistic missile/
弾道ミサイル防衛 [だんどうミサイルぼうえい] /(n) ballistic missile defence/ballistic missile defense/
弾道学 [だんどうがく] /(n,adj-no) ballistics/
弾道弾 [だんどうだん] /(n) (ballistic) missile/
弾道弾迎撃ミサイル [だんどうだんげいげきミサイル] /(n) anti-ballistic missile/ABM/
弾道弾迎撃ミサイル制限条約 [だんどうだんげいげきミサイルせいげんじょうやく] /(n) antiballistic missile treaty/
弾発 [だんぱつ] /(n) (abbr) elasticity/elastic material (spring, etc.)/
弾物 [ひきもの] /(n) string instrument (esp. in gagaku)/stringed instrument/
弾片 [だんぺん] /(n) shrapnel/shell or bullet fragment/
弾幕 [だんまく] /(n) barrage/
弾薬 [だんやく] /(n) ammunition/(P)/
弾薬庫 [だんやくこ] /(n) powder magazine/
弾力 [だんりょく] /(n) elasticity/flexibility/(P)/
弾力性 [だんりょくせい] /(n) elasticity/resilience/flexibility/adaptability/
弾力的 [だんりょくてき] /(adj-na) elastic/flexible/
弾力的運用 [だんりょくてきうんよう] /(n) elastic operation/flexible management/
断 [だん] /(n) decision/judgment/resolution/(P)/
断える [たえる] /(v1,vi) (1) to die out/to peter out/to become extinct/(2) to cease/to be stopped/to be discontinued/to be cut off/
断じて [だんじて] /(adv) absolutely/positively/decidedly/(P)/
断じて行えば鬼神も之を避く [だんじておこなえばきしんもこれをさく] /(exp) (id) Where there's a will, there's a way/
断じる [だんじる] /(v1) to draw the conclusion that .../to conclude/
断ち割る [たちわる] /(v5r,vt) to cut open/to cut apart/to divide/to split/
断ち切り [たちきり] /(n) cutting apart/something that has been cut apart/
断ち切る [たちきる] /(v5r,vt) (1) to cut apart (cloth, paper, etc.)/(2) to sever (ties)/to break off (a relationship)/(3) to cut off (an enemy's retreat)/to block (a road, etc.)/to disconnect/
断ち物 [たちもの] /(n) foods abstained from in hopes of having one's desire granted/
断つ [たつ] /(v5t,vt) to sever/to cut off/to suppress/to abstain (from)/(P)/
断らず [ことわらず] /(exp) without permission/(P)/
断り [ことわり] /(n) (1) notice/notification/warning/(2) permission/consent/(3) rejection/refusal/nonacceptance/declination/declining/(4) excuse/plea/(P)/
断り書き [ことわりがき] /(n) explanatory note/
断り方 [ことわりかた] /(n) way of cutting off/
断る [ことわる] /(v5r,vt) (1) to refuse/to reject/to dismiss/to turn down/to decline/(2) to inform/to give notice/to tell in advance/(3) to ask leave/to excuse oneself (from)/(P)/
断るまでもなく [ことわるまでもなく] /(exp) needless to say/
断る迄もなく [ことわるまでもなく] /(exp) needless to say/
断る迄も無く [ことわるまでもなく] /(exp) needless to say/
断わり [ことわり] /(n) (1) notice/notification/warning/(2) permission/consent/(3) rejection/refusal/nonacceptance/declination/declining/(4) excuse/plea/
断わる [ことわる] /(v5r,vt) (1) to refuse/to reject/to dismiss/to turn down/to decline/(2) to inform/to give notice/to tell in advance/(3) to ask leave/to excuse oneself (from)/
断を下す [だんをくだす] /(exp,v5s) to pass judgment (judgement)/to make a decision/
断トツ [だんトツ] /(adj-na,n,adj-no) (uk) (abbr) the best/far and away the best/decisive lead/
断案 [だんあん] /(n) conclusion/decision/
断崖 [だんがい] /(n) palisade/cliff/
断崖絶壁 [だんがいぜっぺき] /(n) precipitous cliff/sheer precipice/
断金 [たんぎん] /(n) (in Japan) 2nd note of the ancient chromatic scale (approx. D sharp)/
断金 [だんきん] /(n) close friendship (i.e. strong enough to cut metal)/
断吟 [たんぎん] /(n) (in Japan) 2nd note of the ancient chromatic scale (approx. D sharp)/
断言 [だんげん] /(n,vs) assertion/declaration/affirmation/(P)/
断言的 [だんげんてき] /(adj-na) categorical/
断乎 [だんこ] /(adj-t,adv-to) firm/determined/resolute/conclusive/
断固 [だんこ] /(adj-t,adv-to) firm/determined/resolute/conclusive/(P)/
断固抗議 [だんここうぎ] /(n,vs) firm opposition/
断交 [だんこう] /(n,vs) breaking off (severing) relations/
断行 [だんこう] /(n,vs) decisive action/carry out/(P)/
断郊競争 [だんこうきょうそう] /(n) cross-country race/
断郊競走 [だんこうきょうそう] /(n) cross-country race/
断獄 [だんごく] /(n,vs) (1) (obsc) trying of a crime/conviction/(2) condemnation to death by beheading/
断裁 [だんさい] /(n,vs) cutting/
断裁機 [だんさいき] /(n) cutting machine/paper cutter/
断罪 [だんざい] /(n,vs) conviction/
断種 [だんしゅ] /(n,vs) sterilization/sterilisation/castration/
断酒 [だんしゅ] /(n,vs) abstinence from alcohol/
断章 [だんしょう] /(n) (1) literary fragment/(2) interpreting (and using) a passage without regard to its context/
断章取義 [だんしょうしゅぎ] /(n) interpreting (and using) a passage without regard to its context/
断食 [だんじき] /(n,vs) fasting/(P)/
断水 [だんすい] /(n,vs) water outage/(P)/
断切り [たちきり] /(n) cutting apart/something that has been cut apart/
断切る [たちきる] /(v5r,vt) (1) to cut apart (cloth, paper, etc.)/(2) to sever (ties)/to break off (a relationship)/(3) to cut off (an enemy's retreat)/to block (a road, etc.)/to disconnect/
断絶 [だんぜつ] /(n,adj-no) (1) extinction/discontinuation/interruption/(n) (2) severance/rupture/(vs) (3) to become extinct/to cease to exist/(4) to sever/to break off/to divide (between two things)/(P)/
断線 [だんせん] /(n,vs) disconnection/interruption/burn-out/
断然 [だんぜん] /(n,adj-t,adv-to) firmly/absolutely/definitely/(P)/
断層 [だんそう] /(n) (1) fault/dislocation/(2) gap/discrepancy/(P)/
断層運動 [だんそううんどう] /(n) fault movement/fault motion/faulting/
断層海岸 [だんそうかいがん] /(n) fault coast/
断層崖 [だんそうがい] /(n) fault scarp/fault escarpment/
断層湖 [だんそうこ] /(n) fault lake/
断層撮影 [だんそうさつえい] /(n) tomography/
断層山地 [だんそうさんち] /(n) fault-block mountains/
断層山脈 [だんそうさんみゃく] /(n) fault-block mountains/
断層写真 [だんそうしゃしん] /(n) tomogram/tomograph/
断層線 [だんそうせん] /(n) fault line/
断層像 [だんそうぞう] /(n) tomographical image/
断層帯 [だんそうたい] /(n) fault zone/fault belt/
断層谷 [だんそうこく] /(n) fault valley/
断層地形 [だんそうちけい] /(n) fault topography/
断層地震 [だんそうじしん] /(n) dislocation earthquake/fault earthquake/
断層粘土 [だんそうねんど] /(n) fault gouge/fault clay/
断層盆地 [だんそうぼんち] /(n) fault basin/
断層面 [だんそうめん] /(n) fault plane/fault surface/
断続 [だんぞく] /(n,vs) intermittent/(P)/
断続的 [だんぞくてき] /(adj-na) intermittent/
断続平衡説 [だんぞくへいこうせつ] /(n) punctuated equilibrium (theory of evolutionary biology)/
断断乎 [だんだんこ] /(adj-na,n) firm/resolute/absolutely/
断断固 [だんだんこ] /(adj-na,n) firm/resolute/absolutely/
断腸 [だんちょう] /(n,vs) heartbreak/
断腸の思い [だんちょうのおもい] /(n) heartbroken thoughts/heartrending grief/overwhelming sorrow/
断定 [だんてい] /(n,vs) conclusion/decision/(P)/
断頭台 [だんとうだい] /(n) guillotine/
断熱 [だんねつ] /(n,vs,adj-no) insulation/(P)/
断熱材 [だんねつざい] /(n) heat insulating material/
断熱的 [だんねつてき] /(adj-na) adiabatic/
断念 [だんねん] /(n,vs) abandoning (hope, plans)/giving up/(P)/
断髪 [だんぱつ] /(n,vs,adj-no) bobbed hair/
断髪式 [だんぱつしき] /(n) retirement ceremony of sumo wrestler where his top-knot is cut/
断碑 [だんぴ] /(n) broken stone monument/
断尾 [だんび] /(n,vs) cropping a tail/
断片 [だんぺん] /(n,adj-no) fragment/crumb/shred/bits and pieces/(P)/
断片化 [だんぺんか] /(n) (comp) fragmentation/
断片的 [だんぺんてき] /(adj-na) fragmentary/
断末間 [だんまつま] /(iK) (n) death agony/
断末摩 [だんまつま] /(n) death agony/
断末魔 [だんまつま] /(n) death agony/
断面 [だんめん] /(n) cross-section/(P)/
断面プロット [だんめんプロット] /(n) (comp) slice plot/
断面図 [だんめんず] /(n) cross-section view/
断裂 [だんれつ] /(n,vs) snapping apart/
断路 [だんろ] /(n) disconnection (of a wire)/
暖 [だん] /(n) warming/warmth/
暖い [あたたかい] /(io) (adj-i) warm/mild/genial/
暖い [あったかい] /(io) (adj-i) warm/mild/genial/
暖か [あたたか] /(adj-na) warm/mild/genial/
暖か [あったか] /(adj-na) warm/mild/genial/
暖かい [あたたかい] /(adj-i) warm/mild/genial/(P)/
暖かい [あったかい] /(adj-i) warm/mild/genial/
暖かい色 [あたたかいいろ] /(n) warm color/warm colour/
暖かい人 [あたたかいひと] /(n) warmhearted person/
暖かさ [あたたかさ] /(n) warmth/
暖かな毛布 [あたたかなもうふ] /(n) warm blanket/
暖かみ [あたたかみ] /(n) warmth/
暖まる [あたたまる] /(v5r,vi) to warm oneself/to sun oneself/to warm up/to get warm/(P)/
暖める [あたためる] /(v1,vt) to warm/to heat/(P)/
暖め酒 [あたためざけ] /(n) warm sake (formerly drunk on the 9th day of the 9th month of the lunar calendar to ward off illness)/
暖を取る [だんをとる] /(exp,v5r) to warm oneself (e.g. at a fire)/
暖衣飽食 [だんいほうしょく] /(n) well-fed and well-dressed/
暖機 [だんき] /(n,vs) warm up (e.g, engine)/
暖気 [だんき] /(n) warmth/warm weather/
暖気 [のんき] /(adj-na,n) (uk) carefree/optimistic/careless/reckless/heedless/happy-go-lucky/easygoing/
暖国 [だんこく] /(n) warm country/
暖色 [だんしょく] /(n) warm colour/warm color/
暖帯 [だんたい] /(n) subtropics/
暖地 [だんち] /(n) warm district/region of mild climate/
暖竹 [だんちく] /(n) (uk) Arundo donax/
暖冬 [だんとう] /(n) mild winter/warm winter/(P)/
暖冬異変 [だんとういへん] /(n) abnormally warm winter/
暖房 [だんぼう] /(n,vs) heating/(P)/
暖房器 [だんぼうき] /(n) heater/heating unit/
暖房器具 [だんぼうきぐ] /(n) home heater/
暖房機 [だんぼうき] /(n) heater/heating unit/
暖房装置 [だんぼうそうち] /(n) heater/heating apparatus/heating arrangement/heating equipment/heating system/room heater/
暖流 [だんりゅう] /(n) warm current/(P)/
暖簾 [のれん] /(n) (1) (uk) (short) sign curtain hung at shop entrance/(2) reputation (of a store)/goodwill/(P)/
暖簾代 [のれんだい] /(n) goodwill/intangible assets (part of the acquisition price of a business paid for the name and reputation of the company rather than tangible assets)/
暖炉 [だんろ] /(n) fireplace/hearth/stove/(P)/
檀越 [だんおつ] /(n) alms-giver/person who donates to a monk or a temple/dana-pati/
檀家 [だんか] /(n) family which supports a temple/parishioner/
檀家 [だんけ] /(n) family which supports a temple/parishioner/
檀君 [だんくん] /(n) mythical founder of Korea/
檀尻 [だんじり] /(n) (uk) (in Kansai) decorative portable shrine/float used in festivals/
檀尻 [だんぢり] /(n) (uk) (in Kansai) decorative portable shrine/float used in festivals/
檀徒 [だんと] /(n) temple supporter/
檀那 [だんな] /(n) (1) master (of a house, shop, etc.)/(2) husband (informal)/(3) word used to address a male patron, customer, or person of high status (sir, boss, master, governor)/(4) patron of a mistress, geisha, bar or nightclub hostess/sugar daddy/(5) (Buddh) alms/almsgiving/almsgiver/
檀那寺 [だんなでら] /(n) temple to which a family belongs/
檀林 [だんりん] /(n) (1) (Buddh) Buddhist center for study and meditation/monastery/temple/(2) (abbr) Danrin style of haikai poetry (playful and oriented to the common person)/Danrin school (of haikai poetry)/
檀林派 [だんりんは] /(n) Danrin school (of haikai poetry)/
檀林風 [だんりんふう] /(n) playful style of haikai poetry popularized in the mid-seventeenth century/
段 [たん] /(n,n-pref) (1) variable measure of fabric (28.8 cm in width)/for kimonos: at least 10 m in length/for haori: at least 7.27 m in length/for other clothes: at least 6.06 m in length/(2) 300 tsubo (991.74 meters square, 0.24506 acres)/(3) six ken (10.91 m)/
段 [だん] /(n) (1) step/stair/(flight of) steps/(row of) stitches/columns (of print)/(2) grade/rank/level/(ctr) (3) counter for breaks in written language (or speech, etc.)/(P)/
段々 [だんだん] /(n,adv-to,adv) gradually/by degrees/(P)/
段々畑 [だんだんばたけ] /(n) terraced fields/terraced farm/
段々畠 [だんだんばたけ] /(n) terraced fields/terraced farm/
段どり [だんどり] /(n,vs) programme/program/plans/arrangements/
段を取る [だんをとる] /(exp,v5r) to get a black belt/to obtain a degree (in judo)/
段シフト [だんシフト] /(n) (comp) case shift/
段ボール [だんボール] /(n) (corrugated) cardboard/(P)/
段ボール箱 [だんボールばこ] /(n) cardboard box/
段位 [だんい] /(n) dan/grade (of black belt)/
段違い [だんちがい] /(adj-na,n) wide difference/remarkable difference/
段違い平行棒 [だんちがいへいこうぼう] /(n) (gymnastics) uneven parallel bars/
段階 [きざはし] /(n) stairs/
段階 [きだはし] /(ok) (n) stairs/
段階 [だんかい] /(n) grade/level/stage/class/phase/steps/order/gradation/(P)/
段階的詳細化 [だんかいてきしょうさいか] /(n) (comp) stepwise refinement/
段階評価 [だんかいひょうか] /(suf) (after number N) graded on N steps/scored out of N/
段丘 [だんきゅう] /(n) terrace/bench (in geography)/
段級位制 [だんきゅういせい] /(n) rating system based on dan and kyuu used in Judo, Shogi, etc./
段級制 [だんきゅうせい] /(n) rating system based on dan and kyuu used in Judo, Shogi, etc./
段差 [だんさ] /(n) difference in level/
段取り [だんどり] /(n,vs) programme/program/plans/arrangements/(P)/
段組み [だんぐみ] /(n) (comp) column setting/
段袋 [だんぶくろ] /(n) (1) large cloth sack/(2) baggy trousers (worn in the late-Edo and early-Meiji periods by samurai while practising)/
段段 [だんだん] /(n,adv-to,adv) gradually/by degrees/
段段畑 [だんだんばたけ] /(n) terraced fields/terraced farm/
段段畠 [だんだんばたけ] /(n) terraced fields/terraced farm/
段物 [たんもの] /(n) (1) fabric/cloth/textiles/drapery/dry-goods/piece goods/(2) measure of kimono material/
段物 [だんもの] /(n) musical (dramatic) piece in several acts/type of koto solo/lively type of shamisen song/
段平 [だんびら] /(n) broadsword/sword/
段別 [たんべつ] /(n) (1) acreage/land area/(2) marking off fields in units of tan/
段歩 [たんぶ] /(n) unit of land area (approx. one-tenth hectare)/
段幕 [だんまく] /(n) curtain with horizontal stripes/
段落 [だんらく] /(n) (1) paragraph/(2) end/stopping place/conclusion/(P)/
段落の見出し [だんらくのみだし] /(n) (comp) paragraph header/
段落名 [だんらくめい] /(n) (comp) paragraph-name/
男 [おとこ] /(n) man/(P)/
男々しい [おおしい] /(adj-i) manly/brave/heroic/
男ことば [おとこことば] /(n) men's language/male language/
男っぽい [おとこっぽい] /(adj-i) manly/boyish/
男っ気 [おとこっけ] /(n) male presence/
男っ振り [おとこっぷり] /(n) public estimation/man's looks/
男どうし [おとこどうし] /(exp) male bonding/between men/
男に二言はない [おとこににごんはない] /(exp) a man's word is his bond/a man does not go back on what he's said/
男のコ [おとこのコ] /(n) boy/male child/baby boy/(P)/
男の子 [おとこのこ] /(n) boy/male child/baby boy/(P)/
男の児 [おとこのこ] /(oK) (n) boy/male child/baby boy/
男の人 [おとこのひと] /(n) man/
男の中の男 [おとこのなかのおとこ] /(exp) man among men/manly man/alpha male/
男は度胸女は愛敬 [おとこはどきょうおんなはあいきょう] /(exp) (obsc) men should be brave, women should be affable/
男ひでり [おとこひでり] /(n) scarcity of eligible men/
男やもめ [おとこやもめ] /(n) widower/
男やもめにうじがわく [おとこやもめにうじがわく] /(exp) (id) Widowers are untidy/A man alone soon goes to seed/A man goes to pieces without a woman to look after him/
男やもめに蛆がわく [おとこやもめにうじがわく] /(exp) (id) Widowers are untidy/A man alone soon goes to seed/A man goes to pieces without a woman to look after him/
男らしい [おとこらしい] /(adj-i) manly/(P)/
男を犯す [おとこをおかす] /(exp,v5s) to rape a man/
男伊達 [おとこだて] /(n) (1) chivalrous man who helps the weak and fights the strong/knight in shining armor/(2) ruffians who act under the pretence of being chivalrous/
男一匹 [おとこいっぴき] /(n) shining example of a man/
男運 [おとこうん] /(n) luck with men/
男気 [おとこぎ] /(n) chivalrous spirit/chivalry/
男気 [おとこけ] /(n) male presence/
男気 [おとこげ] /(n) male presence/
男泣き [おとこなき] /(n,vs) man's weeping (esp. someone not prone to tears)/
男狂い [おとこぐるい] /(n,vs) wantonness/man-crazy/
男系 [だんけい] /(n,adj-no) male lineage/
男芸者 [おとこげいしゃ] /(n) male entertainer/
男結び [おとこむすび] /(n) male style of knot/
男嫌い [おとこぎらい] /(n) man-hater/
男言葉 [おとこことば] /(n) men's language/male language/
男御子 [おとこみこ] /(n) (arch) imperial prince/
男好き [おとこずき] /(n) strongly attractive to men/amorous woman/
男工 [だんこう] /(n) male worker/male machine operator/
男皇子 [おとこみこ] /(n) (arch) imperial prince/
男根 [だんこん] /(n,adj-no) penis/phallus/
男根期 [だんこんき] /(n) phallic stage/
男坂 [おとこざか] /(n) steeper of two hills/
男殺し [おとこごろし] /(n) murder of a male/man-killer/
男子 [だんし] /(n) youth/young man/(P)/
男子学生 [だんしがくせい] /(n) boy student/
男子校 [だんしこう] /(n) boys' school/
男子高 [だんしこう] /(n) boys' high school/
男子高校 [だんしこうこう] /(n) boys' high school/
男子用 [だんしよう] /(n,adj-no) for men/
男児 [だんじ] /(n) boy/son/man/(P)/
男持ち [おとこもち] /(n) men's/for men/
男持ちの時計 [おとこもちのとけい] /(n) gentlemens watches/
男爵 [だんしゃく] /(n,adj-no) (1) baron/(2) Irish cobbler (variety of potato)/(P)/
男爵芋 [だんしゃくいも] /(n) Irish Cobbler potato/
男爵薯 [だんしゃくいも] /(n) Irish Cobbler potato/
男爵夫人 [だんしゃくふじん] /(n) baroness/
男手 [おとこで] /(n) man's handwriting/male help/
男手 [おのこで] /(n) Man'yougana written in kaisho or gyousho style/
男囚 [だんしゅう] /(n) male convict or prisoner/
男衆 [おとこしゅう] /(n) men/manservant/male attendants to an actor/
男出入り [おとこでいり] /(n) woman with a turbulent love life/woman always having man trouble/
男所帯 [おとこじょたい] /(n) all-male household/
男女 [おとこおんな] /(n) (1) masculine (mannish) woman/(2) feminine (effeminate) man/(3) intersexual/hermaphrodite/
男女 [だんじょ] /(n) man and woman/men and women/(P)/
男女の別 [だんじょのべつ] /(n) distinction of sex/
男女共学 [だんじょきょうがく] /(n,adj-no) co-education/mixed education/
男女共同参画社会 [だんじょきょうどうさんかくしゃかい] /(n) gender-equal society/
男女共同参画社会基本法 [だんじょきょうどうさんかくしゃかいきほんほう] /(n) Basic Law for a Gender-Equal Society (1999)/
男女共同参画推進条例 [だんじょきょうどうさんかくすいしんじょうれい] /(n) bylaw or ordinance for the purpose of implementing gender equality/
男女雇用機会均等法 [だんじょこようきかいきんとうほう] /(n) Gender Equality In Employment Act/
男女差別 [だんじょさべつ] /(n) sexual discrimination/sexism/
男女同権 [だんじょどうけん] /(n) equal rights among men and women/
男女比 [だんじょひ] /(n) sex ratio/
男女平等 [だんじょびょうどう] /(n,adj-no) equal rights for both sexes/equality of the sexes/
男勝り [おとこまさり] /(adj-na,n,adj-no) (of a woman) strong-minded/spirited/mannish/
男妾 [だんしょう] /(n) male paramour/
男娼 [だんしょう] /(n) male prostitute/
男色 [だんしょく] /(n) sodomy/male homosexuality/
男色 [なんしょく] /(n) sodomy/male homosexuality/
男心 [おとこごころ] /(n) male instincts/male frivolity/
男心と秋の空 [おとこごころとあきのそら] /(exp) a man's heart and autumn weather (are both fickle)/
男振り [おとこぶり] /(n) manliness/good-looking/
男神 [おがみ] /(n) god/
男神 [おとこがみ] /(n) god/
男神 [おのかみ] /(n) god/
男親 [おとこおや] /(n) father/male parent/
男雛 [おびな] /(n) Emperor doll (in display with Empress doll)/
男性 [だんせい] /(n,adj-no) (1) man/male/(2) (ling) masculine gender/(P)/
男性ホルモン [だんせいホルモン] /(n) male hormone/
男性観 [だんせいかん] /(n) one's view (opinion) of men/
男性器 [だんせいき] /(n) male genitalia/male genital organs/penis/
男性雑誌 [だんせいざっし] /(n) men's magazine/
男性社会 [だんせいしゃかい] /(n) male society/male-dominated society/
男性上位 [だんせいじょうい] /(n,adj-no) male dominance/male supremacy/
男性的 [だんせいてき] /(adj-na) manly/(P)/
男性徒 [だんせいと] /(iK) (n) male student/schoolboy/
男性美 [だんせいび] /(n) masculine beauty/
男性本位 [だんせいほんい] /(n) male orientation/male-oriented/
男性優位論者 [だんせいゆういろんしゃ] /(n,adj-no) male chauvinist/
男性用 [だんせいよう] /(n) for use by men/
男性用パウダールーム [だんせいようパウダールーム] /(n) men's changing room (gym, etc.)/
男生徒 [だんせいと] /(n) male student/schoolboy/
男盛り [おとこざかり] /(n) (in the) prime of manhood/
男声 [だんせい] /(n) male voice/
男声合唱 [だんせいがっしょう] /(n) male chorus/male-voice choir/chorus for male voices/
男前 [おとこまえ] /(n) handsome man/(P)/
男装 [だんそう] /(n,vs) disguising oneself as a man/
男尊女卑 [だんそんじょひ] /(n) male domination of women/male chauvinism/subjection of women/(P)/
男帯 [おとこおび] /(n) obi for men's use/men's kimono sash/
男滝 [おだき] /(n) greater waterfall (of the two)/
男達 [おとこだて] /(n) (1) chivalrous man who helps the weak and fights the strong/knight in shining armor/(2) ruffians who act under the pretence of being chivalrous/
男男しい [おおしい] /(adj-i) manly/brave/heroic/
男湯 [おとこゆ] /(n) men's section in a public bath/
男同士 [おとこどうし] /(exp) male bonding/between men/
男猫 [おねこ] /(n) tomcat/male cat/
男舞 [おとこまい] /(n) (1) dance where a female dancer dresses up as a man (late Heian to early Kamakura period)/(2) Noh dance performed by a man without a mask/
男部屋 [おとこべや] /(n) room for menservants/
男風呂 [おとこぶろ] /(n) (public) baths for men/
男腹 [おとこばら] /(n) woman who has borne only male children/
男物 [おとこもの] /(n) (1) men's things/menswear/men's wear/(adj-no) (2) men's/for men/
男文字 [おとこもじ] /(n) man's handwriting/kanji/
男癖 [おとこぐせ] /(n) interest in men/itch for men/
男便所 [おとこべんじょ] /(n) men's toilet/
男冥利 [おとこみょうり] /(n) the good fortune to have been born male/
男役 [おとこやく] /(n) male part or role/
男優 [だんゆう] /(n) actor/(P)/
男友達 [おとこともだち] /(n) boyfriend/man friend/
男旱 [おとこひでり] /(n) scarcity of eligible men/
男旱り [おとこひでり] /(n) scarcity of eligible men/
男誑し [おとこたらし] /(n) flirt/tease/promiscuous woman/
男鰥 [おとこやもめ] /(n) widower/
男鰥に蛆が湧く [おとこやもめにうじがわく] /(exp) (id) Widowers are untidy/A man alone soon goes to seed/A man goes to pieces without a woman to look after him/
談じる [だんじる] /(v1) (1) to talk/to discuss/to debate/(2) to negotiate/
談じ込む [だんじこむ] /(v5m,vi) to have a talk with/
談ずる [だんずる] /(vz,vt) (1) to talk/to discuss/to debate/(2) to negotiate/
談義 [だんぎ] /(n) (1) discussion/discourse/(2) lecture/sermon/
談義所 [だんぎしょ] /(n) Buddhist seminary/
談義本 [だんぎぼん] /(n) type of humorous book popular in the Edo period (from the 1750s)/
談語 [だんご] /(n) discussion/consultation/
談合 [だんごう] /(n,vs) (1) consultation/discussion/conference/(2) collusion/bid-rigging/(P)/
談合入札 [だんごうにゅうさつ] /(n,vs) prearranged bidding/collusive bidding/
談笑 [だんしょう] /(n,vs) friendly chat/pleasant chat/lighthearted talk/friendly conversation/(P)/
談叢 [だんそう] /(n) a number of interesting stories/book containing a number of interesting stories/
談判 [だんぱん] /(n,vs,adj-no) negotiations/
談林 [だんりん] /(n) (1) (Buddh) Buddhist center for study and meditation/monastery/temple/(2) (abbr) Danrin style of haikai poetry (playful and oriented to the common person)/Danrin school (of haikai poetry)/
談林派 [だんりんは] /(n) Danrin school (of haikai poetry)/
談林風 [だんりんふう] /(n) playful style of haikai poetry popularized in the mid-seventeenth century/
談論 [だんろん] /(n,vs) discussion/
談論風発 [だんろんふうはつ] /(n,vs) spirited discussion/
談話 [だんわ] /(n,vs) a talk/conversation/(P)/
談話室 [だんわしつ] /(n) lounge/
談話表示構造理論 [だんわひょうじこうぞうりろん] /(n) (ling) discourse representation structure theory/DRS/
談話分析 [だんわぶんせき] /(n) discourse analysis/
談藪 [だんそう] /(n) a number of interesting stories/book containing a number of interesting stories/
値 [あたい] /(n,adj-no) (1) price/cost/(2) value/worth/merit/(3) (comp) variable (computer programming, programing)/(4) (math) value/count/number/(vs) (5) to have value/to have merit/(P)/
値 [ち] /(suf) level/value/
値 [ね] /(n,adj-no) (1) price/cost/(2) value/worth/merit/(vs) (3) to have value/to have merit/
値うち [ねうち] /(n,vs) value/worth/price/dignity/
値が張る [ねがはる] /(exp,v5r) to be expensive/
値する [あたいする] /(vs-s) to be worth/to deserve/to merit/(P)/
値安 [ねやす] /(n) cheapness/
値域 [ちいき] /(n) (math) range (of a function or relation)/
値域を定める [ちいきをさだめる] /(exp,v1) (comp) to range/
値引 [ねびき] /(n,vs) price reduction/discount/
値引き [ねびき] /(n,vs) price reduction/discount/(P)/
値引率 [ねびきりつ] /(n) discount rate/
値下がり [ねさがり] /(n) price decline/a fall in price/(P)/
値下がる [ねさがる] /(v5r) to decline in price/to fall in price/
値下げ [ねさげ] /(n,vs) cut in price/(P)/
値巾 [ねはば] /(n) price range or fluctuation/
値遇 [ちぐう] /(n,vs) being appreciated by one's employer/meeting (someone)/
値頃 [ねごろ] /(adj-na,n) reasonable price/
値札 [ねふだ] /(n) price tag (mark, label)/
値参照名 [あたいさんしょうめい] /(n) (comp) value reference name/
値鞘 [ねざや] /(n) margin/spread (in prices)/
値上 [ねあげ] /(n,vs) price hike/mark-up/
値上がり [ねあがり] /(n) price advance/increase in value/(P)/
値上げ [ねあげ] /(n,vs) price hike/mark-up/(P)/
値嵩 [ねがさ] /(n) high-priced/
値嵩株 [ねがさかぶ] /(n) high-priced stocks/blue-chip shares/
値積もり [ねづもり] /(n) estimation/valuation/
値切る [ねぎる] /(v5r,vt) to drive a bargain/to beat down the price/to haggle/(P)/
値洗い [ねあらい] /(n,vs) marking to market/
値増し [ねまし] /(n) price hike/mark-up/
値打 [ねうち] /(n,vs) value/worth/price/dignity/
値打ち [ねうち] /(n,vs) value/worth/price/dignity/(P)/
値段 [ねだん] /(n) price/cost/(P)/
値段を高くつける [ねだんをたかくつける] /(exp,v1) to put a high price on/
値段を高く付ける [ねだんをたかくつける] /(exp,v1) to put a high price on/
値段表 [ねだんひょう] /(n) price list/
値段付け [ねだんづけ] /(n,vs) pricing at/
値踏み [ねぶみ] /(n,vs) appraisal/estimation/evaluation/setting prices/
値動き [ねうごき] /(n,vs) price fluctuation/
値付け [ねづけ] /(n) pricing/(price) positioning/
値幅 [ねはば] /(n) price range or fluctuation/
値崩れ [ねくずれ] /(n,vs) price collapse/
知 [ち] /(n) (1) wisdom/(2) (Buddh) jnana (higher knowledge)/
知々武 [ちちぶ] /(n) (uk) dusky tripletooth goby (Tridentiger obscurus)/
知ったかぶり [しったかぶり] /(n,vs) pretending to know/
知ったか振り [しったかぶり] /(n,vs) pretending to know/
知ったことではない [しったことではない] /(exp) to be of no concern to one/to be nothing to do with one/
知った事か [しったことか] /(exp) (id) I have nothing to do with it/
知った事ではない [しったことではない] /(exp) to be of no concern to one/to be nothing to do with one/
知っている [しっている] /(v1) to know/
知っている限り [しっているかぎり] /(exp) as far as I know/
知は力なり [ちはちからなり] /(exp) knowledge is power/
知らしめる [しらしめる] /(v1,vt) to make known/
知らす [しらす] /(v5s) (1) to inform/to notify/(2) (hon) to know/(3) (hon) to reign/
知らず [しらず] /(n-suf) (1) not having/unaffected by/(conj) (2) aside/I don't know about .../(3) (arch) I know not whether/I know not if/
知らず識らず [しらずしらず] /(adv) unconsciously/unwittingly/unawares/
知らず知らず [しらずしらず] /(adv) unconsciously/unwittingly/unawares/(P)/
知らせ [しらせ] /(n) notice/notification/(P)/
知らせる [しらせる] /(v1,vt) to notify/to advise/to inform/(P)/
知らない [しらない] /(adj-i) (1) unknown/strange/(2) (id) I don't care/I don't know and I feel nothing/
知らないあいだに [しらないあいだに] /(exp,adv) at some time, without being noticed/before one knew/before one realised/
知らないうちに [しらないうちに] /(exp,adv) before one knew it/before one realized it/(P)/
知らないふり [しらないふり] /(exp) feigning ignorance/acting dumb/
知らないまに [しらないまに] /(ik) (ik) (exp,adv) at some time, without being noticed/before one knew/before one realised/
知らない間に [しらないあいだに] /(exp,adv) at some time, without being noticed/before one knew/before one realised/
知らない間に [しらないまに] /(ik) (exp,adv) at some time, without being noticed/before one knew/before one realised/
知らない振り [しらないふり] /(exp) feigning ignorance/acting dumb/
知らぬが仏 [しらぬがほとけ] /(exp) (id) Ignorance is bliss/
知らぬは亭主許り也 [しらぬはていしゅばかりなり] /(exp) (id) Only the husband does not know/
知らぬ顔 [しらぬかお] /(n) pretending not to know/feigning ignorance/
知らんかった [しらんかった] /(exp) (col) to not have known/
知らんふり [しらんふり] /(n,vs) pretending not to know/feigning ignorance/
知らんぷり [しらんぷり] /(n,vs) pretending not to know/feigning ignorance/
知らん顔 [しらんかお] /(n,vs) unconcerned air/indifference/feigned ignorance/pretending not to recognize (somebody)/(P)/
知らん振り [しらんふり] /(n,vs) pretending not to know/feigning ignorance/
知らん振り [しらんぷり] /(n,vs) pretending not to know/feigning ignorance/
知り合 [しりあい] /(n) acquaintance/
知り合い [しりあい] /(n) acquaintance/(P)/
知り合う [しりあう] /(v5u,vi) to get to know (someone)/to make acquaintance/(P)/
知り始める [しりはじめる] /(v1) to begin to know/
知り尽くす [しりつくす] /(v5s) to have full knowledge (of something)/to know something thoroughly/
知り渡る [しりわたる] /(io) (v5r,vi) to be well known/
知り得る [しりえる] /(v1) to acquire knowledge/
知り抜く [しりぬく] /(v5k,vt) to know thoroughly/
知る [しる] /(v5r,vt) to know/to understand/to be acquainted with/to feel/(P)/
知る限り [しるかぎり] /(exp) as far as I know/
知る人ぞ知る [しるひとぞしる] /(exp) (id) Those in the know, know it very well (though it isn't known to many people)/
知る辺 [しるべ] /(n) acquaintance/friend/
知る由もない [しるよしもない] /(exp) to have no way of knowing/to be completely ignorant of/
知れる [しれる] /(v1,vi) to become known/to come to light/to be discovered/(P)/
知れ渡る [しれわたる] /(v5r,vi) to be well-known/
知ろしめす [しろしめす] /(v5s) (hon) (arch) to know/to reign/
知ろし召す [しろしめす] /(v5s) (hon) (arch) to know/to reign/
知ろし食す [しろしめす] /(v5s) (hon) (arch) to know/to reign/
知育 [ちいく] /(n) intellectual training/
知育偏重 [ちいくへんちょう] /(n) too much intellectual training/overemphasis on intellectual education/
知音 [ちいん] /(n) exceptionally close friend/
知解 [ちかい] /(n) (obsc) being enlightened by virtue of knowledge/
知覚 [ちかく] /(n,vs,adj-no) perception/(P)/
知覚神経 [ちかくしんけい] /(n) sensory nerve/
知覚知 [ちかくち] /(n) knowledge by acquaintance/
知覚品質 [ちかくひんしつ] /(n) perceived quality/
知客 [しか] /(n) (Buddh) head monk in charge of the administrative section of a zendo (Zen)/
知遇 [ちぐう] /(n) favour/favor/warm friendship/
知恵 [ちえ] /(n) (1) wisdom/wit/sagacity/sense/intelligence/(2) (Buddh) prajna (insight leading to enlightenment)/(P)/
知恵の輪 [ちえのわ] /(n) (1) puzzle ring/wire puzzle/(2) exercise where students link crossed hands in a circle and try working together and without letting go/
知恵を絞る [ちえをしぼる] /(exp,v5r) to rack one's brain/
知恵才覚 [ちえさいかく] /(n) having wisdom and resources/being clever and talented/
知恵歯 [ちえば] /(n) wisdom tooth/
知恵者 [ちえしゃ] /(n) wise man/
知恵袋 [ちえぶくろ] /(n) (1) bag full of wisdom/bag containing all the world's wisdom/(2) person who is a fountain of wisdom/brains (of a company)/
知恵遅れ [ちえおくれ] /(n) (sens) mental retardation/
知恵熱 [ちえねつ] /(n) (1) teething fever/(2) developmental fever/fever that brings with it an intellectual or psycho-developmental growth spurt/
知恵熱 [ちえぼとり] /(n) (1) teething fever/(2) developmental fever/fever that brings with it an intellectual or psycho-developmental growth spurt/
知恵負け [ちえまけ] /(n) done in by one's own cleverness/
知恵分別 [ちえふんべつ] /(n) wisdom and good (common sense) judgment/
知見 [ちけん] /(n,vs) expertise/experience/knowledge/
知己 [ちき] /(n) acquaintance/appreciative friend/(P)/
知己朋友 [ちきほうゆう] /(n) intimate friends and acquaintances/
知行 [ちぎょう] /(n,vs) fief/
知行一致 [ちこういっち] /(n) unity (consistency) of knowledge and action/
知行合一 [ちこうごういつ] /(exp) awareness comes only through practice/
知合 [しりあい] /(n) acquaintance/
知合い [しりあい] /(n) acquaintance/(P)/
知合う [しりあう] /(v5u,vi) to get to know (someone)/to make acquaintance/(P)/
知財 [ちざい] /(n) (abbr) intellectual property/IP/
知歯 [ちし] /(n) wisdom tooth/
知事 [ちじ] /(n,adj-no) prefectural governor/(P)/
知識 [ちしき] /(n) knowledge/information/(P)/
知識の泉 [ちしきのいずみ] /(n) source of knowledge/
知識を広める [ちしきをひろめる] /(exp,v1) to extend one's knowledge/
知識を蓄える [ちしきをたくわえる] /(exp,v1) to gain knowledge/to build up one's knowledge/
知識ベース [ちしきベース] /(n) (comp) knowledge base/
知識階級 [ちしきかいきゅう] /(n,adj-no) the intelligensia/
知識工学 [ちしきこうがく] /(n) knowledge engineering/information engineering/
知識参照 [ちしきさんしょう] /(n) (comp) knowledge reference/
知識産業 [ちしきさんぎょう] /(n) the knowledge industry/
知識集約型産業 [ちしきしゅうやくがたさんぎょう] /(n) knowledge-intensive industry/
知識情報 [ちしきじょうほう] /(n) (comp) knowledge information/
知識情報処理 [ちしきじょうほうしょり] /(n) (comp) intelligent information processing/
知識情報処理システム [ちしきじょうほうしょりシステム] /(n) (comp) knowledge information processing system/
知識人 [ちしきじん] /(n) an intellectual/(P)/
知識層 [ちしきそう] /(n) the intellectual class/
知識体系 [ちしきたいけい] /(n,adj-no) body of knowledge/
知識表現 [ちしきひょうげん] /(n) knowledge representation/
知識豊富 [ちしきほうふ] /(n,adj-na) knowledgeable/
知識木 [ちしきぎ] /(n) (comp) knowledge tree/
知識欲 [ちしきよく] /(n) thirst for knowledge/intellectual thirst/
知悉 [ちしつ] /(n,vs) complete knowledge/
知者 [ちさ] /(ok) (n) (1) sage/wise man/wise person/man of wisdom/(2) (Buddh) buddha/bodhisattva/enlightened priest/
知者 [ちしゃ] /(n) (1) sage/wise man/wise person/man of wisdom/(2) (Buddh) buddha/bodhisattva/enlightened priest/
知者も千慮に一失 [ちしゃもせんりょにいっしつ] /(exp) (id) Even Homer sometimes nods/
知者不惑 [ちしゃふわく] /(exp) a wise person always follows the right course/a wise man never wavers/
知将 [ちしょう] /(n) skilled manager/resourceful general/
知情意 [ちじょうい] /(n) emotion and volition/intellect/
知人 [ちじん] /(n) friend/acquaintance/(P)/
知性 [ちせい] /(n) intelligence/(P)/
知性的 [ちせいてき] /(adj-na) intellectual/
知知武 [ちちぶ] /(n) (uk) dusky tripletooth goby (Tridentiger obscurus)/
知的 [ちてき] /(adj-na,n) intellectual/(P)/
知的好奇心 [ちてきこうきしん] /(n) intellectual curiosity/out of curiosity/inquisitiveness/
知的財産 [ちてきざいさん] /(n) intellectual property/
知的財産権 [ちてきざいさんけん] /(n) intellectual property right/
知的所有権 [ちてきしょゆうけん] /(n) intellectual property rights (in patent law)/
知的所有権の貿易関連の側面に関する協定 [ちてきしょゆうけんのぼうえきかんれんのそくめんにかんするきょうてい] /(n) Agreement on Trade-Related Aspects of Intellectual Property Rights/TRIPS/
知的所有権侵害 [ちてきしょゆうけんしんがい] /(exp) infringement of intellectual property rights/
知的障害 [ちてきしょうがい] /(n,adj-no) mental disability/mental retardation/
知的障害児 [ちてきしょうがいじ] /(n) mentally-handicapped child/
知的障害者 [ちてきしょうがいしゃ] /(n) mentally-handicapped person/
知的生命体 [ちてきせいめいたい] /(n) intelligent life/
知的端末 [ちてきたんまつ] /(n) (comp) intelligent terminal/
知的能力 [ちてきのうりょく] /(n) one's intellectual powers/one's mental faculties/
知得 [ちとく] /(n,vs) comprehension/knowledge/
知徳 [ちとく] /(n) knowledge and virtue/
知徳円満 [ちとくえんまん] /(n,adj-na) having both (wide) knowledge and (high) virtue/
知徳兼備 [ちとくけんび] /(n,vs) having both (wide) knowledge and (high) virtue/
知徳合一 [ちとくごういつ] /(n) the unity of knowledge and virtue/
知日 [ちにち] /(n) pro-Japanese/Japanophile/
知日家 [ちにちか] /(n) a Japanophile/
知日派 [ちにちは] /(n) pro-Japanese (group)/
知能 [ちのう] /(n) intelligence/brains/(P)/
知能検査 [ちのうけんさ] /(n) intelligence test/
知能指数 [ちのうしすう] /(n) intelligence quotient/IQ/
知能情報研究部 [ちのうじょうほうけんきゅうぶ] /(n) Intelligent Communication Laboratory/
知能的 [ちのうてき] /(adj-na) intelligent/
知能年齢 [ちのうねんれい] /(n) mental age/
知能犯 [ちのうはん] /(n) (1) intellectual crime/(2) intellectual criminal/
知謀 [ちぼう] /(n) ingenuity/resourcefulness/
知名 [ちめい] /(adj-na,n) well-known/(P)/
知名度 [ちめいど] /(n) degree of familiarity/popularity/
知命 [ちめい] /(n) age 50/
知木 [ちぎ] /(n) ornamental crossed rafter ends on shrine gables/
知勇 [ちゆう] /(n) wisdom and courage/
知勇兼備 [ちゆうけんび] /(n,vs) having both wisdom and courage/
知友 [ちゆう] /(n) (close) friend/
知余って勇足らず [ちあまってゆうたらず] /(exp) lacking boldness by being too sagacious/being too sagacious to be bold/
知略 [ちりゃく] /(n) ingenuity/resourcefulness/
知慮 [ちりょ] /(n) wisdom/sagacity/
知力 [ちりょく] /(n,adj-no) wisdom/intellectual power/mental capacity/brains/
地 [じ] /(n) (1) (abbr) ground/land/earth/soil/(2) the region in question/the local area/(3) skin/(4) texture/fabric/material/weave/(5) base/background/(6) one's true nature/(7) narrative (i.e. descriptive part of a story)/(8) real life/actuality/(9) (in the game of go) captured territory/(10) Noh chorus/(11) (in Japanese dance) accompaniment music/(12) (in Japanese music) basic phrase (usu. repetitive)/(13) base part (of multiple shamisens)/
地 [ち] /(n,n-suf) (1) earth/ground/land/soil/(2) place/(3) territory/(4) bottom (of a package, book, etc.)/(5) earth (one of the five elements)/(P)/
地 [つし] /(n) (1) earth/soil/dirt/(2) the earth (historically, esp. as opposed to the heavens)/the ground/the land/(3) low-quality torinoko-gami (containing mud)/(4) (period of) refraining from construction in the direction of the god of the earth (in On'youdou)/
地 [つち] /(n) (1) earth/soil/dirt/(2) the earth (historically, esp. as opposed to the heavens)/the ground/the land/(3) low-quality torinoko-gami (containing mud)/(4) (period of) refraining from construction in the direction of the god of the earth (in On'youdou)/
地が出る [じがでる] /(exp,v1) to reveal one's true colors (colours)/to betray oneself/
地すべり [じすべり] /(n) landslide/
地でいく [じでいく] /(v5k-s) to do for real/to do in real life/to carry (a story) into actual practice (practise)/
地でゆく [じでゆく] /(v5k-s) to do for real/to do in real life/to carry (a story) into actual practice (practise)/
地で行く [じでいく] /(v5k-s) to do for real/to do in real life/to carry (a story) into actual practice (practise)/
地で行く [じでゆく] /(v5k-s) to do for real/to do in real life/to carry (a story) into actual practice (practise)/
地に足の着いた [ちにあしのついた] /(exp,adj-f) realistic/practical/
地の果て [ちのはて] /(exp) end of the earth/
地の詰んだ [じのつんだ] /(n) of close texture/
地の文 [じのぶん] /(n) descriptive (narrative) part/
地の卵 [じのたまご] /(n) local eggs/farm-fresh eggs/
地の利 [ちのり] /(n) locational advantage/advantageous position/
地の利は人の和に如かず [ちのりはひとのわにしかず] /(exp) (id) geographical advantage is no match for a united front (Mencius)/
地ばれ [じばれ] /(n,vs) swelling (around a wound)/
地べた [じべた] /(n) bare earth/ground/
地を均す [じをならす] /(exp,v5s) to level the ground/
地を掃う [ちをはらう] /(exp,v5u) to disappear completely, leaving nothing behind/
地を払う [ちをはらう] /(exp,v5u) to disappear completely, leaving nothing behind/
地デジ [ちデジ] /(n) (abbr) (sl) terrestrial digital broadcasting/
地ビール [じビール] /(n) local beer/microbrew/
地ビールレストラン [じビールレストラン] /(n) restaurant serving local beer/microbrewery/brewpub/
地位 [ちい] /(n) (social) position/status/(P)/
地位を獲る [ちいをえる] /(exp,v1) to acquire a position/
地位を高める [ちいをたかめる] /(exp,v1) to raise someone's position/to raise someone's standing/
地位協定 [ちいきょうてい] /(n) status of forces agreement/SOFA/
地異 [ちい] /(n) natural disaster/calamity/
地衣 [ちい] /(n,adj-no) lichen/
地衣植物 [ちいしょくぶつ] /(n) (obsc) lichen/
地衣類 [ちいるい] /(n) lichens/
地域 [ちいき] /(n) area/region/(P)/
地域おこし [ちいきおこし] /(n) revitalization of an area/
地域コード [ちいきコード] /(n) (comp) local code/area code/
地域ベルオペレーティング会社 [ちいきベルオペレーティングがいしゃ] /(n) (comp) Regional Bell Operating Company (USA)/RBOC/
地域ベル電話会社 [ちいきベルでんわがいしゃ] /(n) (comp) regional Bell operating company/RBOC/
地域安全保障 [ちいきあんぜんほしょう] /(n) regional security/
地域化 [ちいきか] /(n,vs) localisation/localization/L10n (in IT)/
地域開発 [ちいきかいはつ] /(n) community or regional development/
地域起こし [ちいきおこし] /(n) revitalization of an area/
地域競争 [ちいききょうそう] /(n) (comp) local competition (between telephone service providers)/
地域興し [ちいきおこし] /(n) revitalization of an area/
地域型ＪＰドメイン名 [ちいきかたジェーピードメインめい] /(n) (comp) geographical type JP domain names/
地域経済 [ちいきけいざい] /(n) regional economic/
地域差 [ちいきさ] /(n) regional difference/
地域時刻 [ちいきじこく] /(n) local time/
地域社会 [ちいきしゃかい] /(n) regional community/(P)/
地域主義 [ちいきしゅぎ] /(n) regionalism/sectionalism/localism/
地域主権改革 [ちいきしゅぎかいかく] /(n) regional sovereignty reform/decentralization of power to local governments/
地域取引 [ちいきとりひき] /(n) regional trade/local trade/exchange within a region/
地域取引所 [ちいきとりひきじょ] /(n) regional stock exchange/
地域色 [ちいきしょく] /(n) regional colour (color)/regional flavour (flavor)/
地域振興券 [ちいきしんこうけん] /(n) local (regional) promotion coupons/
地域生活 [ちいきせいかつ] /(n) community life/local life/regional life/
地域代表 [ちいきだいひょう] /(n) regional representation/
地域暖房 [ちいきだんぼう] /(n) district heating/
地域的 [ちいきてき] /(adj-na) regional/local/
地域的分布 [ちいきてきぶんぷ] /(n) regional distribution/
地域電話サービス [ちいきでんわサービス] /(n) (comp) local telephone service/
地域電話会社 [ちいきでんわがいしゃ] /(n) (comp) local telephone company/
地域紛争 [ちいきふんそう] /(n) regional conflict/
地域密着型 [ちいきみっちゃくがた] /(adj-no,n) community-based/local-based/
地域郵便属性 [ちいきゆうびんぞくせい] /(n) (comp) local postal attributes/
地域冷暖房 [ちいきれいだんぼう] /(n) zonal air-conditioning/
地引 [じびき] /(n) (1) seine fishing/seining/(2) (abbr) seine/seine net/
地引き [じびき] /(n) (1) seine fishing/seining/(2) (abbr) seine/seine net/
地引き網 [じびきあみ] /(n) beach seine/long-haul seine/dragnet/
地引き網漁 [じびきあみりょう] /(n) seine fishing (usu. from the beach)/dragnet fishing/
地引網 [じびきあみ] /(n) beach seine/long-haul seine/dragnet/
地引網漁 [じびきあみりょう] /(n) seine fishing (usu. from the beach)/dragnet fishing/
地唄 [じうた] /(n) (style of) folk song/
地曳 [じびき] /(io) (n) (1) seine fishing/seining/(2) (abbr) seine/seine net/
地曳き [じびき] /(n) (1) seine fishing/seining/(2) (abbr) seine/seine net/
地曳き網 [じびきあみ] /(n) beach seine/long-haul seine/dragnet/
地曳き網漁 [じびきあみりょう] /(n) seine fishing (usu. from the beach)/dragnet fishing/
地曳網 [じびきあみ] /(n) beach seine/long-haul seine/dragnet/
地曳網漁 [じびきあみりょう] /(n) seine fishing (usu. from the beach)/dragnet fishing/
地縁 [ちえん] /(n) territorial relationship/regional bond/
地温 [ちおん] /(n) ground or soil temperature/
地下 [ちか] /(n,adj-no) (1) basement/cellar/underground place/(pref) (2) underground/below ground/(3) secret/under cover/(n) (4) (col) (abbr) underground (railway)/subway/metro/(P)/
地下げ [じさげ] /(n) decreasing land prices/
地下運動 [ちかうんどう] /(n) underground activities/
地下駅 [ちかえき] /(n) underground train station/
地下化 [ちかか] /(n,vs) burying/underground installation (cables, etc.)/
地下家蚊 [ちかいえか] /(n) (uk) Culex pipiens molestus (subspecies of house mosquito)/
地下街 [ちかがい] /(n) underground shopping center/underground shopping centre/
地下核実験 [ちかかくじっけん] /(n) underground nuclear test/
地下茎 [ちかけい] /(n) rhizome/
地下工作 [ちかこうさく] /(n) underground activities/secret maneuvering/
地下資源 [ちかしげん] /(n) underground resources/
地下室 [ちかしつ] /(n) cellar/basement/(P)/
地下水 [ちかすい] /(n) underground water/(P)/
地下線 [ちかせん] /(n) underground wire or cable/
地下組織 [ちかそしき] /(n) underground organization/underground organisation/
地下足袋 [じかたび] /(n) work tabi/split-toed heavy cloth shoes with rubber soles/
地下鉄 [ちかてつ] /(n) underground train/subway/(P)/
地下鉄サリン事件 [ちかてつサリンじけん] /(n) sarin gas attack on the Tokyo subway (Mar. 20, 1995)/
地下道 [ちかどう] /(n) subterranean tunnel/(P)/
地下二階 [ちかにかい] /(n) two-story basement (as in department stores)/
地下牢 [ちかろう] /(n) dungeon/
地価 [ちか] /(n) the price of land/(P)/
地歌 [じうた] /(n) (style of) folk song/
地火炉 [じかろ] /(n) sunken hearth or fireplace/
地火炉 [じひろ] /(n) sunken hearth or fireplace/
地火炉 [ちかろ] /(n) sunken hearth or fireplace/
地回り [じまわり] /(n) from the area/local trader or merchant/a street tough/
地塊 [ちかい] /(n) landmass/block/
地塊運動 [ちかいうんどう] /(n) block movement (geology)/
地界 [ちかい] /(n) boundary/bounds of the earth/
地階 [ちかい] /(n) basement/cellar/
地核 [ちかく] /(n) earth core/
地殻 [ちかく] /(n,adj-no) earth's crust/(P)/
地殻均衡説 [ちかくきんこうせつ] /(n) (obsc) (theory of) isostasy/
地殻変動 [ちかくへんどう] /(n,adj-no) change in earth's crust/(P)/
地学 [ちがく] /(n) earth sciences (geology, mineralogy, petrology, geophysics, geochemistry, seismology, etc.)/
地割り [じわり] /(n) parcel out/allot/
地割れ [じわれ] /(n,vs) cracks or fissures in the ground/
地滑り [じすべり] /(n) landslide/
地官 [ちかん] /(n) Ministry of Civil Administration and Social Welfare (Zhou-dynasty China)/
地気 [ちき] /(n) (1) air or vapour in the soil (vapor)/(2) electrical earth/ground/
地祇 [くにつかみ] /(n) gods of the land/earthly deities/
地祇 [ちぎ] /(n) gods of the land/earthly deities/
地久節 [ちきゅうせつ] /(n) Empress's Birthday (esp. as celebrated prior to WWII)/
地球 [ちきゅう] /(n,adj-no) the earth/the globe/(P)/
地球ごま [ちきゅうごま] /(n) gyroscope/
地球に優しい [ちきゅうにやさしい] /(exp) earth-friendly/ecological/sustainable/
地球の周り [ちきゅうのまわり] /(n) space around the earth/circumference of the earth/
地球サミット [ちきゅうサミット] /(n) Earth Summit/
地球温暖化 [ちきゅうおんだんか] /(n,vs) global warming/
地球温暖化防止 [ちきゅうおんだんかぼうし] /(exp) prevention of global warming/
地球温暖化防止会議 [ちきゅうおんだんかぼうしかいぎ] /(n) Conference of Parties of the UN Framework Convention on Climate Change/
地球化学 [ちきゅうかがく] /(n,adj-no) geochemistry/
地球科学 [ちきゅうかがく] /(n) earth sciences (geology, mineralogy, petrology, geophysics, geochemistry, seismology, etc.)/
地球外生命 [ちきゅうがいせいめい] /(n) extraterrestrial life/ET/
地球環境 [ちきゅうかんきょう] /(n) global environment/
地球環境保全関係閣僚会議 [ちきゅうかんきょうほぜんかんけいかくりょうかいぎ] /(n) Council of Ministers for Global Environment Conservation/
地球観測衛星 [ちきゅうかんそくえいせい] /(n) earth observation satellite/
地球規模 [ちきゅうきぼ] /(n,adj-no) global scale/
地球儀 [ちきゅうぎ] /(n) globe (map)/(P)/
地球局 [ちきゅうきょく] /(n) (comp) earth station (for a satellite)/
地球質量 [ちきゅうしつりょう] /(n) earth mass (astronomical unit of mass)/
地球照 [ちきゅうしょう] /(n) Earth light (illumination of the moon by light reflected from the Earth)/earthshine/
地球上 [ちきゅうじょう] /(adj-no) on the earth/(P)/
地球人 [ちきゅうじん] /(n) earthling/earthman/
地球低軌道 [ちきゅうていきどう] /(n) low earth orbit/
地球的問題 [ちきゅうてきもんだい] /(n) global problem/global issue/
地球物理学 [ちきゅうぶつりがく] /(n) geophysics/
地級市 [ちきゅうし] /(n) prefecture-level city (of China)/
地境 [じざかい] /(n) land border/boundary/
地境 [ぢざかい] /(n) land border/boundary/
地峡 [ちきょう] /(n,adj-no) isthmus/
地響き [じひびき] /(n) subterranean rumbling/earth tremor/
地均し [じならし] /(n,vs) ground levelling (leveling)/laying groundwork/smoothing the way/
地金 [じがね] /(n) (1) ore/unprocessed metal/ground metal/(2) (one's) true character/
地銀 [ちぎん] /(n) (abbr) regional bank/
地区 [ちく] /(n,adj-no) district/section/sector/(P)/
地栗鼠 [じりす] /(n) (uk) ground squirrel (esp. a ground squirrel of North America or Africa)/
地形 [じぎょう] /(n) terrain/geographical features/topography/
地形 [ちけい] /(n) terrain/geographical features/topography/(P)/
地形学 [ちけいがく] /(n) topography/geomorphology/
地形図 [ちけいず] /(n) topographic map/elevation map/
地形測量 [ちけいそくりょう] /(n) topographical survey/
地蛍 [つちぼたる] /(n) glowworm/
地鶏 [じとり] /(n) freerange local traditional pedigree chicken/chicken meat from same/
地鶏 [じどり] /(n) freerange local traditional pedigree chicken/chicken meat from same/
地検 [ちけん] /(n) (abbr) District Public Prosecutor's Office/(P)/
地肩 [じがた] /(n) (one's natural) shoulder strength/
地元 [じもと] /(n) (1) home area/home town/(adj-no) (2) local/(P)/
地元警察 [じもとけいさつ] /(n) local police/
地元語 [じもとご] /(n) local language/local dialect/
地元産 [じもとさん] /(n,adj-no) local product/homegrown/homebred/
地元紙 [じもとし] /(n) local newspaper/
地元住民 [じもとじゅうみん] /(n) local residents/
地元政府 [じもとせいふ] /(n) local government/
地元民 [じもとみん] /(n) local people/
地固め [じがため] /(n,vs) ground leveling/ground levelling/groundwork/laying foundations/
地公企法 [ちこうきほう] /(n) (abbr) Local Public Enterprise Act/
地口 [じぐち] /(n) pun/play on words/
地溝 [ちこう] /(n) rift valley/
地合い [じあい] /(n) texture/(P)/
地獄 [じごく] /(n) hell/(P)/
地獄の沙汰も金次第 [じごくのさたもかねしだい] /(exp) (id) Money is the best lawyer/
地獄絵 [じごくえ] /(n) picture of Hell/painting representing Hell/
地獄絵図 [じごくえず] /(n) painting of a scene in Hell/a picture of Hell/
地獄耳 [じごくみみ] /(n) sharp ear/long ears/ability to remember everything one hears/
地獄道 [じごくどう] /(n) (Buddh) nakara (hell) realm/
地獄変 [じごくへん] /(n) picture of Hell/
地獄変相 [じごくへんそう] /(n) picture of Hell/painting representing Hell/
地裁 [ちさい] /(n) district court/(P)/
地財法 [ちざいほう] /(n) (abbr) Local Government Finance Act/
地産地消 [ちさんちしょう] /(n) local production for local consumption/
地士 [じざむらい] /(n) provincial samurai in the middle ages, who engaged in agriculture in peacetime/
地子 [じし] /(n,vs) type of land rent paid by farmers/
地子 [ちし] /(n,vs) type of land rent paid by farmers/
地支 [ちし] /(n) earthly branches (the 12 signs of the Chinese zodiac)/
地誌 [ちし] /(n) topography/(P)/
地誌学 [ちしがく] /(n) regional geography/topography/
地侍 [じざむらい] /(n) provincial samurai in the middle ages, who engaged in agriculture in peacetime/
地磁気 [ちじき] /(n) geomagnetism/terrestrial magnetism/
地軸 [ちじく] /(n) earth's axis/
地質 [ちしつ] /(n) geological features/(P)/
地質学 [ちしつがく] /(n) geology/
地質構造 [ちしつこうぞう] /(n) geological structure/
地質時代 [ちしつじだい] /(n) geological age/prehistory/
地質図 [ちしつず] /(n) geological map/
地質調査 [ちしつちょうさ] /(n) geological survey/
地質年代 [ちしつねんだい] /(n) geological time/
地主 [じぬし] /(n) landlord/landowner/(P)/
地取り [じどり] /(n) (1) laying out (e.g. ground plan, garden)/layout/(2) taking space (Go)/obtaining land/gaining territory/(3) training done in one's own stable (Sumo)/(4) (abbr) (police) legwork/
地取り捜査 [じどりそうさ] /(n) police investigation carried out in the immediate vicinity of a crime site/
地腫れ [じばれ] /(n,vs) swelling (around a wound)/
地酒 [じざけ] /(n) local sake/
地所 [じしょ] /(n) estate/plot of land/
地所 [ちしょ] /(n) estate/plot of land/
地所観念 [じしょかんねん] /(n) the orientation of time and place/awareness of the existing situation/
地象 [ちしょう] /(n) terrestrial phenomena (phenomenon)/
地上 [ちじょう] /(n,adj-no) above ground/(P)/
地上げ [じあげ] /(n,vs) (1) land speculation/(2) raising the ground level/
地上げ [ちあげ] /(n,vs) (1) land speculation/(2) raising the ground level/
地上げ屋 [じあげや] /(n) land shark/land speculator/
地上デジタルテレビ放送 [ちじょうデジタルテレビほうそう] /(n) terrestrial digital television broadcasting/
地上デジタルラジオ放送 [ちじょうデジタルラジオほうそう] /(n) terrestrial digital radio broadcasting/
地上デジタル放送 [ちじょうデジタルほうそう] /(n) terrestrial digital broadcasting/
地上絵 [ちじょうえ] /(n) geoglyph (drawing on the ground)/
地上茎 [ちじょうけい] /(n) epigeal stem/(normal) plant stem which is above the ground/
地上権 [ちじょうけん] /(n) surface rights (i.e. the right to build a house, etc. on land owned by another)/superficies/
地上戦 [ちじょうせん] /(n) land war/
地上波 [ちじょうは] /(n) (comp) airborne signal/
地上波放送 [ちじょうはほうそう] /(n) terrestrial broadcasting/
地上標定機 [ちじょうひょうていき] /(n) (artillery) theodolite/
地場 [じば] /(n,adj-no) local/
地場産業 [じばさんぎょう] /(n) local (silverware) industry (of the town)/
地色 [じいろ] /(n) ground (color, colour)/
地心 [ちしん] /(n,adj-no) center of the earth/centre of the earth/
地心天頂 [ちしんてんちょう] /(n) geocentric zenith/
地神五代 [ちじんごだい] /(n) five generations of earthly deities/
地震 [じしん] /(n) earthquake/(P)/
地震 [ない] /(ok) (n) earthquake/
地震 [なえ] /(ok) (n) earthquake/
地震モーメント [じしんモーメント] /(n) seismic moment/
地震学 [じしんがく] /(n) seismology/
地震学者 [じしんがくしゃ] /(n) seismologist/
地震観測 [じしんかんそく] /(n) seismic observation/
地震観測網 [じしんかんそくもう] /(n) seismic network/seismic array/
地震記象 [じしんきしょう] /(n) seismogram/
地震空白域 [じしんくうはくいき] /(n) seismic gap/
地震計 [じしんけい] /(n) seismograph/seismometer/
地震工学 [じしんこうがく] /(n) earthquake engineering/
地震国 [じしんこく] /(n) quake-prone country/
地震情報 [じしんじょうほう] /(n) earthquake information/
地震前兆現象 [じしんぜんちょうげんしょう] /(n) earthquake precursor/
地震帯 [じしんたい] /(n) earthquake zone/earthquake belt/
地震探鉱 [じしんたんこう] /(n) seismic mineral exploration/
地震断層 [じしんだんそう] /(n) earthquake fault/
地震地帯 [じしんちたい] /(n) seismic part (zone, belt)/
地震津波 [じしんつなみ] /(n) tsunami (caused by an earthquake)/
地震動 [じしんどう] /(n) seismic motion/
地震波 [じしんは] /(n) seismic wave/
地震波トモグラフィー [じしんはトモグラフィー] /(n) seismic tomography/
地震保険 [じしんほけん] /(n) earthquake insurance/
地震予知 [じしんよち] /(n) earthquake prediction/
地震予知情報 [じしんよちじょうほう] /(n) earthquake prediction information/
地震雷火事親父 [じしんかみなりかじおやじ] /(n) earthquakes, thunder, fires, fathers (this proverb compares the traditional Japanese father with other things which are generally feared)/
地図 [ちず] /(n) map/(P)/
地図学 [ちずがく] /(n) cartography/
地図作成 [ちずさくせい] /(n) (comp) cartography/
地図帳 [ちずちょう] /(n) (comp) atlas/
地吹雪 [じふぶき] /(n) snow blown up from the ground/
地水火風 [じすいかふう] /(n) (Buddh) earth, water, fire, and wind (the four elements)/
地水火風 [ちすいかふう] /(n) (Buddh) earth, water, fire, and wind (the four elements)/
地水火風空 [じすいかふうくう] /(n) (Buddh) earth, water, fire, wind and void (the five elements)/
地水火風空 [ちすいかふうくう] /(n) (Buddh) earth, water, fire, wind and void (the five elements)/
地勢 [ちせい] /(n) topography/
地政学 [ちせいがく] /(n) geopolitics/
地声 [じごえ] /(n) one's natural voice/
地税 [ちぜい] /(n) land tax/
地積 [ちせき] /(n) area of a piece of land/acreage/
地籍 [ちせき] /(n) land register/
地染め [じぞめ] /(n) texture dyeing/
地租 [ちそ] /(n) land tax/
地鼠 [じねずみ] /(n) (uk) white-toothed shrew (any rodent of genus Crocidura)/shrew/
地層 [ちそう] /(n) stratum/geological formation/layer/bed (coal, gravel, etc.)/(P)/
地相 [ちそう] /(n) geographic features/divination based on the lay of the land/
地蔵 [じぞう] /(n) (abbr) Ksitigarbha (bodhisattva who looks over children, travellers and the underworld) (travelers)/(P)/
地蔵顔 [じぞうがお] /(n) gentle and round face/
地蔵尊 [じぞうそん] /(n) Jizo (guardian deity of children)/(image of) Khitigarbha-bodhisattva/
地蔵菩薩 [じぞうぼさつ] /(n) Ksitigarbha (bodhisattva who looks over children, travellers and the underworld) (travelers)/
地続き [じつづき] /(n) adjoining land/
地対空 [ちたいくう] /(adj-no) surface-to-air/
地対地 [ちたいち] /(adj-no) surface-to-surface/
地帯 [ちたい] /(n) area/zone/(P)/
地袋 [じぶくろ] /(n) cupboard on the floor/
地代 [じだい] /(n) land rent/
地代 [ちだい] /(n) land rent/
地胆 [つちはんみょう] /(n) (uk) blister beetle/oil beetle (insects family Meloidae)/
地胆 [にわつつ] /(n) (uk) blister beetle/oil beetle (insects family Meloidae)/
地団駄を踏む [じだんだをふむ] /(exp,v5m) to stamp one's feet (in frustration, impatience, etc.)/
地団駄踏む [じだんだふむ] /(exp,v5m) to stamp one's feet (in frustration, impatience, etc.)/
地弾き [じびき] /(n) (1) person who plays shamisen during dancing practice/(2) shamisen accompaniment/
地蜘蛛 [じぐも] /(n) (uk) Atypus karschi (Asian species of mygalomorph spider)/
地中 [ちちゅう] /(n,adj-no) underground/subterranean/(P)/
地中海 [ちちゅうかい] /(n) Mediterranean Sea/(P)/
地中海実蝿 [ちちゅうかいみばえ] /(n) (uk) Mediterranean fruit fly (Ceratitis capitata)/medfly/
地中海実蠅 [ちちゅうかいみばえ] /(n) (uk) Mediterranean fruit fly (Ceratitis capitata)/medfly/
地中海人種 [ちちゅうかいじんしゅ] /(n) Mediterranean race/
地中海性気候 [ちちゅうかいせいきこう] /(n) Mediterranean climate/
地虫 [じむし] /(n) (1) scarabaeid beetle grub/(2) any insect (or worm, etc.) that lives in soil/
地鎮祭 [じちんさい] /(n) ground-breaking ceremony/
地坪 [じつぼ] /(n) ground or land area/
地底 [ちてい] /(n) depths of the earth/
地底湖 [ちていこ] /(n) underground lake/subterranean lake/
地鉄 [じてつ] /(n) ferrite/
地点 [ちてん] /(n) site/point on a map/spot/(P)/
地点遠隔地 [ちてんえんかくち] /(n) (comp) remote location/
地塗り [じぬり] /(n,vs) undercoating/underpainting/first coating/
地頭 [じあたま] /(n) wigless head/head of natural hair/
地頭 [じとう] /(n) (1) lord of a manor/(2) estate steward/
地動説 [ちどうせつ] /(n) heliocentric (Copernican) theory/
地道 [じみち] /(adj-na,n) steady/honest/sober/straightforward/(P)/
地熱 [じねつ] /(n,adj-no) geothermy/terrestrial heat/
地熱 [ちねつ] /(n,adj-no) geothermy/terrestrial heat/
地熱エネルギー [じねつエネルギー] /(n) geothermal energy/geothermal power/
地熱発電 [じねつはつでん] /(n) geothermal electric power generation/
地熱発電 [ちねつはつでん] /(n) geothermal electric power generation/
地縛 [じしばり] /(n) (1) (uk) creeping lettuce (Ixeris stolonifera)/(2) (uk) southern crabgrass (Digitaria ciliaris)/
地縛り [じしばり] /(n) (1) (uk) creeping lettuce (Ixeris stolonifera)/(2) (uk) southern crabgrass (Digitaria ciliaris)/
地縛霊 [じばくれい] /(n) ghost bound to a specific physical location (usu. where death occurred)/
地肌 [じはだ] /(n) texture/grain/(P)/
地髪 [じがみ] /(n) natural hair/
地番 [ちばん] /(n) lot number/
地盤 [じばん] /(n) stronghold/base/(the) ground/(P)/
地盤沈下 [じばんちんか] /(n,vs) (1) land subsidence/(2) decline in influence/
地百足 [じむかで] /(n) (uk) Alaska bellheather (Harrimanella stelleriana)/
地表 [ちひょう] /(n,adj-no) surface of the earth/ground surface/(P)/
地表面 [ちひょうめん] /(n) ground surface/
地付き [じつき] /(n) native/
地物 [じもの] /(n) local produce/
地文 [ちもん] /(n) physiography/physiographical features/
地文学 [ちもんがく] /(n) physical geography/
地平 [ちへい] /(n) ground level/
地平座標 [ちへいざひょう] /(n) horizontal coordinates/
地平線 [ちへいせん] /(n) horizon (related to land)/(P)/
地平面 [ちへいめん] /(n) horizontal plane/
地米 [じまい] /(n) locally-produced rice/
地変 [ちへん] /(n) natural calamity/
地歩 [ちほ] /(n) one's stand/foothold/position/
地方 [じかた] /(n,adj-no) (1) area/locality/district/region/province/(2) countryside/rural area/(3) coast (esp. as seen from the water)/(4) person singing ballads in Noh/person in charge of music in a Japanese dance performance/
地方 [ちほう] /(n,adj-no) (1) area/locality/district/region/province/(2) countryside/rural area/(3) coast (esp. as seen from the water)/(P)/
地方官 [ちほうかん] /(n) (arch) regional administrator/local government official/
地方官庁 [ちほうかんちょう] /(n) local government/
地方議会 [ちほうぎかい] /(n) local assembly/(P)/
地方競馬 [ちほうけいば] /(n) municipally operated (horse-)racing/
地方局 [ちほうきょく] /(n) local broadcast station/
地方銀行 [ちほうぎんこう] /(n) regional bank/
地方区 [ちほうく] /(n) prefectural constituency/
地方型 [ちほうけい] /(n) geographic race/
地方検察庁 [ちほうけんさつちょう] /(n) District Public Prosecutor's Office/
地方交付税 [ちほうこうふぜい] /(n) tax allocated to local governments/
地方公営企業法 [ちほうこうえいきぎょうほう] /(n) Local Public Enterprise Act/
地方公共団体 [ちほうこうきょうだんたい] /(n) local public body/(P)/
地方公務員 [ちほうこうむいん] /(n) local government employee/(P)/
地方行財政 [ちほうぎょうざいせい] /(n) local economy/local financial affairs/
地方行政 [ちほうぎょうせい] /(n) local administration/(P)/
地方行政官 [ちほうぎょうせいかん] /(n) regional administrator/local government official/
地方行政機関 [ちほうぎょうせいきかん] /(n) local administrative organ/local government/
地方債 [ちほうさい] /(n) municipal bond/local bond/
地方裁判所 [ちほうさいばんしょ] /(n) district court/local court/
地方財政 [ちほうざいせい] /(n) local government finance/
地方財政法 [ちほうざいせいほう] /(n) Local Government Finance Act/
地方紙 [ちほうし] /(n) local newspaper/
地方事務所 [ちほうじむしょ] /(n) local office/
地方時 [ちほうじ] /(n) local time/
地方自治 [ちほうじち] /(n,adj-no) local (governmental) autonomy/(P)/
地方自治体 [ちほうじちたい] /(n) local self-governing body/(P)/
地方自治法 [ちほうじちほう] /(n) Local Autonomy Law (1947)/
地方場所 [ちほうばしょ] /(n) provincial sumo tournament, held outside Tokyo/
地方色 [ちほうしょく] /(n) local color/local colour/
地方色の表れた小説 [ちほうしょくのあらわれたしょうせつ] /(n) novel with local color/novel with local colour/
地方税 [ちほうぜい] /(n) local taxes/(P)/
地方税法 [ちほうぜいほう] /(n) Local Tax Law/
地方選挙 [ちほうせんきょ] /(n) local election/regional elections/
地方団体 [ちほうだんたい] /(n) local public body/
地方都市 [ちほうとし] /(n) provincial city/provincial town/suburban city/regional towns and cities/
地方版 [ちほうばん] /(n) local edition/
地方病 [ちほうびょう] /(n) endemic/
地方分権 [ちほうぶんけん] /(n) decentralization of power/decentralisation of power/(P)/
地方名 [ちほうめい] /(n) (1) geographical name/(2) local name/
地蜂 [じばち] /(n) Vespula flaviceps (species of yellowjacket)/
地味 [じみ] /(adj-na,n) plain/simple/subdued/sober/(P)/
地味 [ちみ] /(n) soil fertility/product of the soil/
地味婚 [じみこん] /(n) plain subdued wedding ceremony/
地民 [じみん] /(n) (obsc) citizens of a local area or region/
地民 [ちみん] /(n) (obsc) citizens of a local area or region/
地無し [じなし] /(n) fabric dyed, embroided or impressed so that the original fabric is completely covered/
地無し管 [じなしかん] /(n) uncoated bamboo flute/
地名 [ちめい] /(n,adj-no) place name/(P)/
地名辞典 [ちめいじてん] /(n) geographical dictionary/gazetteer/
地鳴り [じなり] /(n) rumble in the ground/
地面 [じめん] /(n,adj-no) ground/earth's surface/(P)/
地毛 [じげ] /(n) real hair/one's own hair/
地目 [ちもく] /(n) land classification/
地紋 [じもん] /(n) woven pattern/
地役権 [ちえきけん] /(n) easement/
地揚げ [じあげ] /(n,vs) (1) land speculation/(2) raising the ground level/
地揚げ [ちあげ] /(n,vs) (1) land speculation/(2) raising the ground level/
地謡 [じうたい] /(n) Noh chorus/
地雷 [じらい] /(n) land mine/(P)/
地雷火 [じらいか] /(n) (land) mine/
地雷原 [じらいげん] /(n) minefield/
地雷除去 [じらいじょきょ] /(n) mine clearance/
地雷除去作業 [じらいじょきょさぎょう] /(n) mine-clearing operation/
地卵 [じたまご] /(n) locally-produced egg/
地理 [ちり] /(n) geography/(P)/
地理学 [ちりがく] /(n) geography/
地理学者 [ちりがくしゃ] /(n) geographer/
地理情報システム [ちりじょうほうシステム] /(n) geographic information system/GIS/(P)/
地理的 [ちりてき] /(adj-na) (comp) geographic/
地理的隔離 [ちりてきかくり] /(n) geographic isolation/geographical isolation/
地理的品種 [ちりてきひんしゅ] /(n) geographic race/
地竜 [じりゅう] /(n) herbal medicine prepared from dried earthworms/
地力 [じりき] /(n) one's own potential/real ability/one's own strength/(P)/
地力 [ちりょく] /(n) fertility/
地霊 [ちれい] /(n) spirit residing in the ground/
地歴 [ちれき] /(n) geography and history/
地炉 [じろ] /(n) fireplace or hearth dug into the ground or floor/
地炉 [ちろ] /(n) fireplace or hearth dug into the ground or floor/
地辷り [じすべり] /(n) landslide/
弛まない [たゆまない] /(adj-i) (uk) untiring/steady/persistent/
弛まぬ努力 [たゆまぬどりょく] /(exp) diligence/unceasing efforts/
弛まる [ゆるまる] /(v5r,vi) to become loose/to slacken/to soften/
弛み [たるみ] /(n) slack/slackening/dullness/letdown/
弛みない [たゆみない] /(adj-i) (uk) unslacking/unceasing/
弛み無い [たゆみない] /(adj-i) (uk) unslacking/unceasing/
弛む [たゆむ] /(v5m,vi) to slacken/to loosen/to relax/
弛む [たるむ] /(v5m,vi) to slacken/to loosen/to relax/(P)/
弛む [ゆるむ] /(v5m,vi) to become loose/to slacken/
弛める [たるめる] /(v1,vt) to slacken/to loosen/
弛緩 [しかん] /(n,vs) relaxation (e.g. of muscles)/becoming flaccid/
弛緩 [ちかん] /(n,vs) relaxation (e.g. of muscles)/becoming flaccid/
弛緩出血 [しかんしゅっけつ] /(n) atonic hemorrhage/atonic haemorrhage/
弛張振動 [しちょうしんどう] /(n) relaxation oscillation/
恥 [はじ] /(n) shame/embarrassment/(P)/
恥さらし [はじさらし] /(adj-na,n) disgrace/(P)/
恥じらい [はじらい] /(n) shyness/
恥じらう [はじらう] /(v5u,vi) to feel shy/to be bashful/to blush/(P)/
恥じる [はじる] /(v1) to feel ashamed/(P)/
恥じ入る [はじいる] /(v5r,vi) to feel ashamed/to be abashed/
恥ずい [はずい] /(adj-i) (col) (abbr) embarrassing/
恥ずかしい [はずかしい] /(adj-i) shy/ashamed/embarrassed/(P)/
恥ずかしがりや [はずかしがりや] /(n) shy person/
恥ずかしがり屋 [はずかしがりや] /(n) shy person/
恥ずかしがる [はずかしがる] /(v5r) to be shy of/to be bashful/to be abashed/to blush/
恥ずかしげもなく [はずずかしげもなく] /(exp,adv) (col) brazenly/unabashedly/
恥ずべき [はずべき] /(adj-f) disgraceful/shameful/
恥の上塗り [はじのうわぬり] /(exp) piling shame on top of shame/
恥も外聞もない [はじもがいぶんもない] /(exp) not worrying about one's reputation or appearance/not caring what others think/
恥らい [はじらい] /(n) shyness/
恥らう [はじらう] /(v5u,vi) to feel shy/to be bashful/to blush/
恥をかく [はじをかく] /(exp,v5k) to be embarrassed/to lose face/
恥を知る [はじをしる] /(exp,v5r) to know shame/to have a sense of shame/to be ashamed/
恥を忍ぶ [はじをしのぶ] /(exp,v5b) to abide one's shame/
恥丘 [ちきゅう] /(n) mons pubis/mons veneris/
恥垢 [ちこう] /(n) smegma/
恥骨 [ちこつ] /(n,adj-no) pubis/pubes/
恥晒し [はじさらし] /(adj-na,n) disgrace/
恥辱 [ちじょく] /(n) disgrace/shame/insult/(P)/
恥知らず [はじしらず] /(adj-na,n) shameless (person)/(P)/
恥曝し [はじさらし] /(adj-na,n) disgrace/
恥部 [ちぶ] /(n) private parts/privates/genitalia/secret place/
恥毛 [ちもう] /(n) pubic hair/
智 [ち] /(n) (1) wisdom/(2) (Buddh) jnana (higher knowledge)/
智を磨く [ちをみがく] /(exp,v5k) (obsc) to cultivate wisdom/
智解 [ちかい] /(n) (obsc) being enlightened by virtue of knowledge/
智恵 [ちえ] /(n) (1) wisdom/wit/sagacity/sense/intelligence/(2) (Buddh) prajna (insight leading to enlightenment)/
智恵才覚 [ちえさいかく] /(n) having wisdom and resources/being clever and talented/
智恵分別 [ちえふんべつ] /(n) wisdom and good (common sense) judgment/
智慧 [ちえ] /(n) (1) wisdom/wit/sagacity/sense/intelligence/(2) (Buddh) prajna (insight leading to enlightenment)/
智山派 [ちさんは] /(n) Chisan sect (of Shingi Shingon Buddhism)/Chizan sect/
智山派 [ちざんは] /(n) Chisan sect (of Shingi Shingon Buddhism)/Chizan sect/
智歯 [ちし] /(n) wisdom tooth/
智識 [ちしき] /(n) knowledge/information/
智者 [ちさ] /(ok) (n) (1) sage/wise man/wise person/man of wisdom/(2) (Buddh) buddha/bodhisattva/enlightened priest/
智者 [ちしゃ] /(n) (1) sage/wise man/wise person/man of wisdom/(2) (Buddh) buddha/bodhisattva/enlightened priest/
智者不惑 [ちしゃふわく] /(exp) a wise person always follows the right course/a wise man never wavers/
智将 [ちしょう] /(n) skilled manager/resourceful general/
智日 [ちにち] /(n) Chile and Japan/
智嚢 [ちのう] /(n) brains/wits/
智能 [ちのう] /(n) intelligence/mental powers/
智謀 [ちぼう] /(n) ingenuity/resourcefulness/
智勇 [ちゆう] /(n) wisdom and courage/
智勇兼備 [ちゆうけんび] /(n,vs) having both wisdom and courage/
智利 [ちり] /(n) (uk) Chile/
智略 [ちりゃく] /(n) ingenuity/resourcefulness/
智慮 [ちりょ] /(n) foresight/
智力 [ちりょく] /(n) intelligence/mental powers/
池 [いけ] /(n) pond/(P)/
池沼 [ちしょう] /(n) (1) ponds and swamps/(2) (sl) (derog) mentally-handicapped person/
池水 [ちすい] /(n) pond water/pond/
池泉 [ちせん] /(n) (obsc) pond in a garden/
池泉回遊式 [ちせんかいゆうしき] /(n) (obsc) style of garden that features a path around a pond/
池亭 [ちてい] /(n) arbor (arbour, bower) by a lake/
池畔 [ちはん] /(n) near the pond/edge of a pond/
痴 [ち] /(n) (1) foolishness/fool/(2) (Buddh) moha (ignorance, folly)/
痴ほう [ちほう] /(n,adj-no) (sens) dementia/
痴れ言 [しれごと] /(n) foolish talk/nonsense/gibberish/
痴れ者 [しれもの] /(n) fool/dunce/idiot/
痴漢 [ちかん] /(n) masher/molester/pervert/
痴漢行為 [ちかんこうい] /(n) groping/molestation/
痴愚 [ちぐ] /(n) imbecility/idiocy/
痴言 [おこごと] /(n) crazy talk/
痴言 [ちげん] /(n) crazy talk/
痴女 [ちじょ] /(n) female pervert/(P)/
痴情 [ちじょう] /(n) being struck mad by love/foolish passion/blind love/infatuation/jealousy/
痴人 [ちじん] /(n) dunce/fool/idiot/
痴態 [ちたい] /(n) foolishness/silliness/
痴鈍 [ちどん] /(adj-na,n) dull-witted/
痴呆 [ちほう] /(n,adj-no) (sens) dementia/(P)/
痴呆症 [ちほうしょう] /(n) dementia/
痴話 [ちわ] /(n) lovers talk/sweet nothings/
痴話げんか [ちわげんか] /(n) lover's quarrel/
痴話喧嘩 [ちわげんか] /(n) lover's quarrel/
稚 [わか] /(n) (1) youth/(2) child (esp. of the young son of someone of high social standing)/(n-pref,n-suf) (3) young/new/
稚い [いとけない] /(adj-i) (1) very young/(2) childish/immature/
稚鮎 [ちあゆ] /(n) young ayu/
稚海藻 [わかめ] /(n) (uk) wakame (species of edible brown seaweed, Undaria pinnatifida)/
稚気 [ちき] /(n) childishness/naivete/
稚魚 [ちぎょ] /(n) fry (young fish)/(P)/
稚子 [ちし] /(n) (1) (arch) newborn baby/
稚子 [みずこ] /(n) (1) aborted, stillborn or miscarried foetus (fetus)/(2) (arch) newborn baby/
稚子 [みずご] /(n) (1) aborted, stillborn or miscarried foetus (fetus)/(2) (arch) newborn baby/
稚児 [ちご] /(n) (1) (festivity) page/(2) baby/child/(3) (arch) boys kept by pederasts/
稚児隼 [ちごはやぶさ] /(n) (uk) northern hobby (species of falcon, Falco subbuteo)/
稚拙 [ちせつ] /(adj-na,n) unskillful/childish/(P)/
稚鰤 [わらさ] /(n) middled-sized yellowtail/
置いて [おいて] /(iK) (conj) (uk) at/in/on/
置いてきぼり [おいてきぼり] /(exp) leaving somebody behind/
置いてきぼりを食う [おいてきぼりをくう] /(exp,v5u) to be left behind/
置いてきぼりを食らう [おいてきぼりをくらう] /(exp,v5u) to be left behind/
置いてけぼり [おいてけぼり] /(exp) leaving somebody behind/
置きっぱなし [おきっぱなし] /(n) leaving something where it is/abandoning something/
置きっ放し [おきっぱなし] /(n) leaving something where it is/abandoning something/
置きどころ [おきどころ] /(n) (1) place to put things/shed/storage space/(2) place to put oneself/
置きなさい [おきなさい] /(exp) (1) (uk) put (imperative form)/place/(2) leave (imperative form)/(3) do (in preparation) (imperative form, after -te form of verb)/
置きに [おきに] /(exp,suf) (uk) repeated at intervals/
置きみやげ [おきみやげ] /(n) parting gift/remembrance/aftereffect/
置き違える [おきちがえる] /(v1) to put something in the wrong place/to misplace/
置き引き [おきびき] /(n) walking away with another's baggage/
置き屋 [おきや] /(n) geisha house/
置き火燵 [おきごたつ] /(n) portable brazier/
置き換え [おきかえ] /(n) (comp) replacement/
置き換える [おきかえる] /(v1,vt) to replace/to move/to change the position of/
置き換わる [おきかわる] /(v5r) to be rearranged or transposed/
置き去り [おきざり] /(n) desertion/leaving behind or in the lurch/(P)/
置き碁 [おきご] /(n) game of go played with a handicap/
置き傘 [おきがさ] /(n) spare umbrella kept (at work) in the event of a sudden shower/
置き字 [おきじ] /(n) kanji left unpronounced when reading Chinese/
置き時計 [おきどけい] /(n) clock to be placed on tables, bookshelves, etc. (as opposed to a watch)/
置き手紙 [おきてがみ] /(n) letter left behind by someone who has departed/farewell letter/
置き所 [おきどころ] /(n) (1) place to put things/shed/storage space/(2) place to put oneself/
置き床 [おきどこ] /(n) portable dais used to create a removable tokonoma/
置き場 [おきば] /(n) place for something/storehouse/(P)/
置き場所 [おきばしょ] /(n) houseroom/
置き石 [おきいし] /(n) garden stone/
置き替える [おきかえる] /(v1,vt) to replace/to move/to change the position of/
置き土 [おきつち] /(n) earth taken from elsewhere and placed atop/
置き土産 [おきみやげ] /(n) parting gift/remembrance/aftereffect/
置き物 [おきもの] /(io) (n) ornament/figurehead/object placed in tokonoma/
置き勉 [おきべん] /(n,vs) leaving all your textbooks, etc., at school/
置き忘れる [おきわすれる] /(v1,vt) to leave behind/to misplace/to forget/
置き炬燵 [おきごたつ] /(n) portable brazier/
置く [おく] /(v5k) (1) to put/to place/(2) to leave (behind)/(3) (uk) to do something in advance (usu. following te-form verb)/(P)/
置屋 [おきや] /(n) geisha house/
置火燵 [おきごたつ] /(n) portable brazier/
置換 [ちかん] /(n,vs) (1) substitution/replacement/(2) permutation/
置換え [おきかえ] /(n) substitute/
置換キャラクタ [ちかんキャラクタ] /(n) substitute character/SUB/
置換モード [ちかんモード] /(n) replace mode/
置換リスト [ちかんリスト] /(n) (comp) substitution list/
置換可能引数データ [ちかんかのうひきすうデータ] /(n) (comp) replaceable parameter data/
置換可能文字データ [ちかんかのうもじデータ] /(n) (comp) replaceable character data/
置換文 [ちかんぶん] /(n) (comp) replacement text/
置換文字 [ちかんもじ] /(n) (comp) replacement character/
置碁 [おきご] /(n) game of go played with a handicap/
置時計 [おきどけい] /(n) clock to be placed on tables, bookshelves, etc. (as opposed to a watch)/
置手紙 [おきてがみ] /(n) letter left behind by someone who has departed/farewell letter/
置所 [おきどころ] /(n) (1) place to put things/shed/storage space/(2) place to put oneself/
置床 [おきどこ] /(n) portable dais used to create a removable tokonoma/
置場 [おきば] /(n) place for something/storehouse/
置数消去機能 [ちすうしょうきょきのう] /(n) (comp) clear entry function/
置物 [おきもの] /(n) ornament/figurehead/object placed in tokonoma/(P)/
置忘れる [おきわすれる] /(v1,vt) to leave behind/to misplace/to forget/
置炬燵 [おきごたつ] /(n) portable brazier/
致し方 [いたしかた] /(n) way/method/
致す [いたす] /(v5s,vt) (hum) to do/(P)/
致仕 [ちし] /(n,vs) resignation/seventy years of age/
致死 [ちし] /(n,adj-no) lethal/fatal/(P)/
致死遺伝子 [ちしいでんし] /(n) lethal gene/
致死因子 [ちしいんし] /(n) (obsc) lethal factor/lethal gene/
致死傷 [ちししょう] /(n) fatal wound/
致死注射 [ちしちゅうしゃ] /(n) lethal injection/
致死突然変異 [ちしとつぜんへんい] /(n) lethal mutation/
致死量 [ちしりょう] /(n) lethal dose/(P)/
致傷 [ちしょう] /(n,vs) inflicting injury (criminally)/
致命 [ちめい] /(n) fatal/
致命傷 [ちめいしょう] /(n) fatal wound/(P)/
致命的 [ちめいてき] /(adj-na) fatal/lethal/(P)/
致命的エラー [ちめいてきエラー] /(n) (comp) fatal error/
致命的誤り [ちめいてきあやまり] /(n) (comp) fatal error/
蜘蛛 [くも] /(n) (uk) spider/(P)/
蜘蛛の子 [くものこ] /(n) baby spider/
蜘蛛の子を散らす [くものこをちらす] /(exp,v5s) to scatter in all directions (like baby spiders)/
蜘蛛の巣 [くものす] /(n,adj-no) spiderweb/
蜘蛛の巣理論 [くものすりろん] /(n) cobweb theorem/
蜘蛛の巣黴 [くものすかび] /(n) (uk) Rhizopus (saprobic fungus)/
蜘蛛猿 [くもざる] /(n) (uk) spider monkey/
蜘蛛海星 [くもひとで] /(n) (1) (uk) brittle star (any starfish-like echinoderm of the order Ophiuroidea)/brittlestar/(2) Ophioplocus japonicus (species of brittlestar)/
蜘蛛恐怖症 [くもきょうふしょう] /(n) arachnophobia/
蜘蛛形類 [くもがたるい] /(n) arachnids/
蜘蛛人手 [くもひとで] /(n) (1) (uk) brittle star (any starfish-like echinoderm of the order Ophiuroidea)/brittlestar/(2) Ophioplocus japonicus (species of brittlestar)/
蜘蛛膜 [くもまく] /(n) the arachnoid (membrane)/
蜘蛛膜下腔 [くもまくかくう] /(n) subarachnoid space/
蜘蛛膜下出血 [くもまくかしゅっけつ] /(n) subarachnoid hemorrhage/subarachnoid haemorrhage/
蜘蛛類 [くもるい] /(n) (1) arachnids/(2) araneids/
遅々 [ちち] /(adj-t,adv-to) slow/lagging/tardy/(P)/
遅い [おそい] /(adj-i) (1) slow/(2) late (e.g. "late at night")/(3) too late/(4) (arch) dull/stupid/(P)/
遅かりし由良之助 [おそかりしゆらのすけ] /(exp) (obsc) to let a chance to do something slip through one's fingers/
遅かれ早かれ [おそかれはやかれ] /(exp,adv) sooner or later/
遅きに失する [おそきにしっする] /(exp,vs-s) to be too late (to be of use)/
遅く [おそく] /(adv) late/
遅くとも [おそくとも] /(adv) at the latest/
遅じまい [おそじまい] /(n) late closing/
遅ばせながら [おくればせながら] /(io) (exp) belatedly/tardily/
遅ばせながら [おそればせながら] /(io) (ik) (exp) belatedly/tardily/
遅まき [おそまき] /(n) (1) sowing late/(2) doing late/
遅まきながら [おそまきながら] /(exp) belatedly/
遅らす [おくらす] /(v5s,vt) to retard/to delay/(P)/
遅らせる [おくらせる] /(v1,vt) to put something off/
遅れ [おくれ] /(n) delay/lag/postponement/falling behind/(P)/
遅ればせ [おくればせ] /(adj-no,n) belated/eleventh-hour/
遅ればせながら [おくればせながら] /(exp) belatedly/tardily/
遅ればせながら [おそればせながら] /(ik) (exp) belatedly/tardily/
遅れる [おくれる] /(v1,vi) to be late/to be delayed/to fall behind schedule/to be overdue/(P)/
遅れをとる [おくれをとる] /(exp,v5r) to fall behind/to be beaten/to be defeated/
遅れを取る [おくれをとる] /(exp,v5r) to fall behind/to be beaten/to be defeated/
遅れ馳せ [おくればせ] /(adj-no,n) belated/eleventh-hour/
遅れ馳せながら [おくればせながら] /(exp) belatedly/tardily/
遅れ馳せながら [おそればせながら] /(ik) (exp) belatedly/tardily/
遅延 [ちえん] /(n,vs,adj-no) delay/latency/(P)/
遅延センシティブ [ちえんセンシティブ] /(n) (comp) delay sensitive/
遅延モード [ちえんモード] /(n) (comp) deferral mode/
遅延回路 [ちえんかいろ] /(n) (comp) delay circuit/
遅延広がり [ちえんひろがり] /(n) (comp) delay spread/
遅延更新 [ちえんこうしん] /(n) (comp) deferred update/
遅延処理 [ちえんしょり] /(n) (comp) deference/
遅延証明書 [ちえんしょうめいしょ] /(n) certificate of lateness (issued by a railroad company, etc.)/
遅延線 [ちえんせん] /(n) (comp) delay line/
遅延素子 [ちえんそし] /(n) (comp) delay element/
遅延登録 [ちえんとうろく] /(n) late registration/delayed registration/
遅延配信 [ちえんはいしん] /(n) (comp) deferred delivery/
遅延配信取消し [ちえんはいしんとりけし] /(n) (comp) deferred delivery cancellation/
遅延変動 [ちえんへんどう] /(n) (comp) delay variation/
遅延変動センシティブ [ちえんへんどうセンシティブ] /(n) (comp) delay variation sensitive/
遅延揺らぎ [ちえんゆらぎ] /(n) (comp) delay variation/
遅延歪み [ちえんひずみ] /(n) (comp) delay distortion/
遅過ぎる [あそすぎる] /(v1) to be too late/to be too slow/
遅疑 [ちぎ] /(n,vs) hesitation/vacillation/
遅疑逡巡 [ちぎしゅんじゅん] /(n,vs) shilly-shally/hesitation/indecision/vacillation/
遅効 [ちこう] /(n) delayed effect/
遅効性肥料 [ちこうせいひりょう] /(n) slow-acting fertilizer/slow-acting fertiliser/
遅刻 [ちこく] /(n,vs,adj-no) lateness/late coming/(P)/
遅刻者 [ちこくしゃ] /(n) late-arriving person/
遅刻届 [ちこくとどけ] /(n) report of late arrival/tardy slip/
遅刻届け [ちこくとどけ] /(n) report of late arrival/tardy slip/
遅咲き [おそざき] /(n) late flower/late blooming/(P)/
遅参 [ちさん] /(n,vs) latecoming/lateness/tardiness/
遅蒔き [おそまき] /(n) (1) sowing late/(2) doing late/
遅蒔きながら [おそまきながら] /(exp) belatedly/
遅出 [おそで] /(n) late attendance (e.g. at the office)/
遅春 [ちしゅん] /(n) (arch) late spring/spring that comes late/
遅進児 [ちしんじ] /(n) slow learner/
遅生まれ [おそうまれ] /(n,adj-no) born after April 1st (school entrance date)/
遅早時間 [ちそうじかん] /(n) (abbr) coming late or leaving early time (e.g. on a pay slip)/
遅霜 [おそじも] /(n) late spring frost/
遅速 [ちそく] /(n) speed/progress/
遅滞 [ちたい] /(n,vs) delay/procrastination/(P)/
遅知恵 [おそぢえ] /(n) backward or late-developing child/
遅遅 [ちち] /(adj-t,adv-to) slow/lagging/tardy/
遅着 [ちちゃく] /(n) late arrival/
遅鈍 [ちどん] /(adj-na,n) dullness/stupidity/
遅日 [ちじつ] /(n) long spring day/
遅配 [ちはい] /(n,vs) delay in rationing/(P)/
遅発 [ちはつ] /(n,vs) starting late or behind schedule/
遅発性 [ちはつせい] /(adj-f) late-onset (usu. disease, etc.)/delayed onset/tardive/
遅発性運動異常 [ちはつせいうんどういじょう] /(n) tardive dyskinesia/
遅発性筋肉痛 [ちはつせいきんにくつう] /(n) delayed onset muscle soreness/DOMS/
遅発中性子 [ちはつちゅうせいし] /(n) delayed neutron/
遅番 [おそばん] /(n) the late shift/
遅筆 [ちひつ] /(n) writing slowly/
遅払い [ちはらい] /(n) delay in payment/
遅脈 [ちみゃく] /(n,adj-no) slow pulse/
遅漏 [ちろう] /(n) late ejaculation/impotence/
馳せる [はせる] /(v1,vi) (1) to run/to hurry (when going somewhere)/(v1,vt) (2) to drive (a car) quickly/to ride fast (on a horse)/(3) to win (fame)/
馳せ参じる [はせさんじる] /(v1,vi) to hasten to join/
馳駆 [ちく] /(n,vs) dashing around on a horse/running around/exerting oneself (for another)/
馳走 [ちそう] /(n,vs) treat/banquet/feast/entertainment/goodies/
築き上げる [きずきあげる] /(v1,vt) to build up/to establish (one's reputation)/(P)/
築く [きずく] /(v5k,vt) to build/to pile up/to amass/(P)/
築垣 [ついかき] /(n) (arch) mud wall with a roof/
築垣 [ついがき] /(n) (arch) mud wall with a roof/
築垣 [つきがき] /(n) (arch) mud wall with a roof/
築後 [ちくご] /(n-t) after construction/after building/since construction/
築港 [ちっこう] /(n,vs) harbor construction/harbour construction/
築山 [つきやま] /(n) artificial hill (in a garden)/(P)/
築城 [ちくじょう] /(n,vs) fortification/castle construction/
築城 [ついき] /(n,vs) fortification/castle construction/
築浅 [ちくあさ] /(adj-no) relatively new (esp. a building)/
築造 [ちくぞう] /(n,vs) construction/building/
築地 [ついじ] /(n) mud wall with a roof/roofed mud wall/(P)/
築地 [つきじ] /(n) reclaimed land/
築地塀 [ついじべい] /(n) mud wall with a roof/roofed mud wall/
築堤 [ちくてい] /(n,vs) embankment/bank/
築庭 [ちくてい] /(n,vs) landscape gardening/
築泥 [ついひじ] /(n) mud wall with a roof/roofed mud wall/
築墻 [ついじ] /(n) mud wall with a roof/roofed mud wall/
築牆 [ついかき] /(n) (arch) mud wall with a roof/
築牆 [ついがき] /(n) (arch) mud wall with a roof/
築牆 [つきがき] /(n) (arch) mud wall with a roof/
畜犬 [ちくけん] /(n) pet dog/
畜犬税 [ちくけんぜい] /(n) dog tax/
畜殺 [ちくさつ] /(n,vs) slaughtering (animals)/
畜殺場 [ちくさつば] /(n) abattoir/
畜産 [ちくさん] /(n) animal husbandry/(P)/
畜産学 [ちくさんがく] /(n) animal husbandry/
畜産業 [ちくさんぎょう] /(n) stockraising/
畜舎 [ちくしゃ] /(n) cattle shed/barn/
畜生 [ちきしょう] /(n) (1) beast (i.e. any animal other than man)/(2) (Buddh) person reborn into the animal realm/(3) brute (i.e. a contemptible human being)/(int) (4) son of a bitch/for Christ's sake/damn it/
畜生 [ちくしょう] /(n) (1) beast (i.e. any animal other than man)/(2) (Buddh) person reborn into the animal realm/(3) brute (i.e. a contemptible human being)/(int) (4) son of a bitch/for Christ's sake/damn it/(P)/
畜生め [ちくしょうめ] /(int) son-of-a-bitch/
畜生道 [ちくしょうどう] /(n) (1) (Buddh) animal realm/(2) unforgivable action/indefensible lifestyle/(3) incest/
畜生目 [ちくしょうめ] /(int) son-of-a-bitch/
畜力 [ちくりょく] /(n) animal power/
畜類 [ちくるい] /(n) livestock/domestic animals/
竹 [たけ] /(n) (1) bamboo/(2) middle (of a three-tier ranking system)/(P)/
竹かご [たけかご] /(n) bamboo basket/
竹とんぼ [たけとんぼ] /(n) small wooden Japanese toy that flies when spun between the palms of one's hands/
竹のつえ [たけのつえ] /(n) bamboo rod (stick, pole)/
竹の園生 [たけのそのう] /(n) bamboo garden/the imperial family/
竹の子 [たけのこ] /(n) bamboo shoots/
竹の子継ぎ手 [たけのこつぎて] /(n) barb fitting/barbed tubing connection/
竹の子継手 [たけのこつぎて] /(n) barb fitting/barbed tubing connection/
竹の春 [たけのはる] /(n) eighth lunar month/
竹の杖 [たけのつえ] /(n) bamboo rod (stick, pole)/
竹の節 [たけのふし] /(n) node (joint) of a bamboo/
竹の皮 [たけのかわ] /(n) bamboo sheath/bamboo peel/
竹むら [たかむら] /(n) bamboo grove/
竹やぶ [たけやぶ] /(n) bamboo grove/
竹を割った様 [たけをわったよう] /(exp,adj-na) (1) clear-cut and straightforward/(2) (of a person) forward-thinking/honest/upright/frank/
竹縁 [たけえん] /(n) veranda with bamboo flooring/
竹屋 [たけや] /(n) (1) bamboo dealer/person selling bamboo or articles made of bamboo/(2) house made of bamboo/
竹垣 [たけがき] /(n) bamboo fence (hedge)/
竹笠 [たけがさ] /(n) bamboo hat/
竹冠 [たけかんむり] /(n) kanji "bamboo" radical at top/
竹竿 [たけざお] /(n) bamboo pole/
竹簡 [ちくかん] /(n) bamboo writing strip/
竹串 [たけぐし] /(n) bamboo skewer/
竹光 [たけみつ] /(n) bamboo sword/
竹細工 [たけざいく] /(n) bamboo work/
竹材 [ちくざい] /(n) bamboo material/
竹取物語 [たけとりものがたり] /(n) Taketori Monogatari (The Tale of the Bamboo-Cutter)/
竹製 [たけせい] /(n) made of bamboo/
竹席 [たかむしろ] /(n) bamboo mat/
竹節人参 [ちくせつにんじん] /(n) (obsc) Japanese ginseng (Panax japonicus)/
竹節虫 [ななふし] /(n) (uk) walking stick (any insect of order Phasmatodea)/walkingstick/stick insect/leaf insect/
竹叢 [たかむら] /(n) bamboo grove/
竹槍 [たけやり] /(n) bamboo spear/
竹槍 [ちくそう] /(n) bamboo spear/
竹槍戦術 [たけやりせんじゅつ] /(n) tactics of fighting a technologically advanced adversary with primitive weapons/sole reliance on simple determination (naive spiritualism) in fighting an overwhelming foe/
竹束 [たけたば] /(n) (1) bamboo bundle/(2) bamboo shield used for defending against projectiles in battle/
竹笛 [たけぶえ] /(n) flute constructed of bamboo/
竹刀 [しない] /(n) (bamboo) fencing stick/(P)/
竹島問題 [たけしまもんだい] /(n) Takeshima problem/
竹筒 [たけづつ] /(n) bamboo pipe/
竹糖 [たけとう] /(n) Chinese sugarcane (Saccharum sinense) (used for making wasanbon)/
竹糖 [ちくとう] /(n) Chinese sugarcane (Saccharum sinense) (used for making wasanbon)/
竹杷 [さらい] /(n) farmer's rake/
竹杷 [さらえ] /(n) farmer's rake/
竹馬 [たけうま] /(n) (walk on) stilts/bamboo horse/
竹馬 [ちくば] /(n) (walk on) stilts/bamboo horse/
竹馬の友 [ちくばのとも] /(n,exp) childhood friend/old playmate/
竹柏 [ちくはく] /(n) (uk) nagi (species of conifer, Nageia nagi)/
竹柏 [なぎ] /(n) (uk) nagi (species of conifer, Nageia nagi)/
竹麦魚 [ほうぼう] /(n) (uk) red gurnard (Chelidonichthys spinosus)/gurnet/sea robin/
竹箆 [しっぺい] /(ateji) (n) bamboo stick used to strike meditators into greater wakefulness/
竹箆 [たけべら] /(n) bamboo spatula/
竹箆返し [しっぺいがえし] /(n) returning tit for tat/retaliating/
竹箆返し [しっぺがえし] /(n) returning tit for tat/retaliating/
竹矢来 [たけやらい] /(n) bamboo enclosure/
竹薮 [たけやぶ] /(n) bamboo grove/
竹林 [たけばやし] /(n) bamboo thicket/
竹林 [ちくりん] /(n) bamboo thicket/(P)/
竹林の七賢 [ちくりんのしちけん] /(n) Seven Sages of the Bamboo Grove/group of 3rd-century Qingtan scholars, writers, and musicians/
竹林七賢 [ちくりんのしちけん] /(io) (n) Seven Sages of the Bamboo Grove/group of 3rd-century Qingtan scholars, writers, and musicians/
竹輪 [ちくわ] /(n) tube-shaped fish-paste cake/
竹輪麩 [ちくわぶ] /(n) flour paste cake in the form of a tube/
竹帛 [ちくはく] /(n) history/
竹箒 [たかぼうき] /(n) bamboo broom/
竹箒 [たけぼうき] /(n) bamboo broom/
竹篦 [しっぺい] /(ateji) (n) bamboo stick used to strike meditators into greater wakefulness/
竹篦返し [しっぺいがえし] /(n) returning tit for tat/retaliating/
竹篦返し [しっぺがえし] /(n) returning tit for tat/retaliating/
竹籠 [たけかご] /(n) bamboo basket/
竹簀 [たけす] /(n) bamboo screen or blind/
竹蔗 [ちくしゃ] /(n) Chinese sugarcane (Saccharum sinense)/
竹藪 [たけやぶ] /(n) bamboo grove/
竹蜻蛉 [たけとんぼ] /(n) small wooden Japanese toy that flies when spun between the palms of one's hands/
筑子 [こきりこ] /(n) clave-like folk instrument/two bamboo pieces beaten together/
筑紫鴨 [つくしがも] /(n) (uk) common shelduck (Tadorna tadorna)/
筑紫石楠花 [つくししゃくなげ] /(n) (uk) Tsukushi rhododendron/Rhododendron metternichii var./
筑前 [ちくぜん] /(n) name of ancient country located in the modern Fukuoka prefecture/
筑前煮 [ちくぜんに] /(n) chicken stew with taro, carrot, burdock, etc./
蓄え [たくわえ] /(n) store/reserve/stock/savings/
蓄える [たくわえる] /(v1,vt) (1) to store/to lay in stock/(2) to have a beard/to grow a beard/(P)/
蓄音器 [ちくおんき] /(n) gramophone/
蓄音機 [ちくおんき] /(n) gramophone/
蓄光 [ちくこう] /(n) phosphorescence/luminescence/
蓄光 [ちっこう] /(n) phosphorescence/luminescence/
蓄財 [ちくざい] /(n,vs) amassing of wealth/(P)/
蓄妾 [ちくしょう] /(n,vs) keeping a mistress (concubine)/
蓄積 [ちくせき] /(n,vs,adj-no) accumulation/accumulate/store/(P)/
蓄積管 [ちくせきかん] /(n) storage tube/
蓄電 [ちくでん] /(n,vs) storage of electicity/
蓄電器 [ちくでんき] /(n) (electric) condensor/
蓄電池 [ちくでんち] /(n) storage battery/(P)/
蓄膿症 [ちくのうしょう] /(n) empyema/
逐う [おう] /(v5u,vt) (1) to chase/to run after/to pursue/(2) to follow (i.e. a set order, a trend)/(3) to drive out/to oust/to expel/(4) to drive (i.e. a herd)/(5) (in passive voice) to be pressed (for time, etc.)/
逐一 [ちくいち] /(adv) one by one/in detail/minutely/(P)/
逐一 [ちくいつ] /(adv) one by one/in detail/minutely/
逐一命令操作 [ちくいちめいれいそうさ] /(n) (comp) single step operation/step-by-step operation/
逐語 [ちくご] /(adj-f) word-for-word/verbatim/
逐語的 [ちくごてき] /(adj-na) word-for-word/verbatim/
逐語訳 [ちくごやく] /(n,vs) literal translation/
逐字訳 [ちくじやく] /(n) verbatim or literal translation/
逐次 [ちくじ] /(adv,adj-no) successively/one after another/sequentially/(P)/
逐次印字装置 [ちくじいんじそうち] /(n) (comp) character printer/serial printer/
逐次刊行物 [ちくじかんこうぶつ] /(n) (comp) serial publication/
逐次刊行物の受入れ [ちくじかんこうぶつのうけいれ] /(n) (comp) accessioning of serials/
逐次実行 [ちくじじっこう] /(n) (comp) sequential execution/
逐次通訳 [ちくじつうやく] /(n) consecutive interpretation/consecutive interpreting/
逐条 [ちくじょう] /(n) point by point/article by article/
逐条審議 [ちくじょうしんぎ] /(n,vs) article-by-article discussion/
逐電 [ちくでん] /(n,vs) flight/absconding/
逐日 [ちくじつ] /(adv) day by day/every day/with each passing day/
逐年 [ちくねん] /(adv) annually/year by year/
秩序 [ちつじょ] /(n) order/regularity/system/method/(P)/
秩序維持 [ちつじょいじ] /(n) maintaining order (e.g. in a courtroom)/
秩序整然 [ちつじょせいぜん] /(adj-t,adv-to) in good (perfect) order/in apple-pie order/
秩序正しい [ちつじょただしい] /(adj-i) orderly/well-ordered/
秩序度 [ちつじょど] /(n) order parameter/
秩序立つ [ちつじょだつ] /(v5t,vi) to be in order/to be organized/to be systematized/
秩序立てる [ちつじょだてる] /(v1,vi) to put in order/to organize/to systematize/
秩父三十三所 [ちちぶさんじゅうさんしょ] /(n) 34 (originally 33) sacred places in and around Chichibu, Saitama Prefecture/
秩禄 [ちつろく] /(n) official salary/
窒化 [ちっか] /(n,vs) (1) nitridization/nitriding/(adj-f) (2) nitride (of ...)/
窒化ケイ素 [ちっかケイそ] /(n) silicon nitride (Si3N4)/
窒化珪素 [ちっかけいそ] /(n) silicon nitride (Si3N4)/
窒化物 [ちっかぶつ] /(n) nitride/
窒塞 [ちっそく] /(n,vs) blocked/
窒死 [ちっし] /(n,vs) (obsc) death from suffocation/
窒素 [ちっそ] /(n,adj-no) nitrogen (N)/(P)/
窒素固定 [ちっそこてい] /(n) nitrogen fixation/
窒素固定法 [ちっそこていほう] /(n) nitrogen fixation (method)/
窒素酸化物 [ちっそさんかぶつ] /(n) nitrogen oxide/
窒素循環 [ちっそじゅんかん] /(n) nitrogen cycle/
窒素族元素 [ちっそぞくげんそ] /(n) nitrogen group (group 15 of the periodic table)/
窒素代謝 [ちっそたいしゃ] /(n) nitrogen metabolism/
窒素中毒 [ちっそちゅうどく] /(n) nitrogen narcosis/
窒素肥料 [ちっそひりょう] /(n) nitrogenous fertilizer/nitrogenous fertiliser/
窒息 [ちっそく] /(n,vs,adj-no) suffocation/choking/(P)/
窒息ガス [ちっそくガス] /(n) choking gas/
窒息死 [ちっそくし] /(n,vs) death by suffocation/death by choking/
窒扶斯 [ちふす] /(ateji) (n) (uk) typhoid fever (ger: Typhus, dut:)/typhus/
窒扶斯 [ちぶす] /(ateji) (n) (uk) typhoid fever (ger: Typhus, dut:)/typhus/
茶 [ちゃ] /(n) (1) tea/(2) tea plant (Camellia sinensis)/(3) tea preparation/making tea/(4) (abbr) brown/(n,adj-na) (5) (arch) mockery/(P)/
茶々 [ちゃちゃ] /(n) disruption/
茶々を入れる [ちゃちゃをいれる] /(v1,exp) to tease/to make fun of/
茶いろ [ちゃいろ] /(n,adj-no) light brown/tawny/
茶きん [ちゃきん] /(n) tea cloth/tea napkin/
茶さじ [ちゃさじ] /(n) teaspoon/
茶しぶ [ちゃしぶ] /(n) tea incrustation/tea stains (on teeth, cups, etc.)/
茶せん [ちゃせん] /(n) (1) tea whisk/bamboo whisk for making Japanese tea/(2) hair style where the hair is tied up in a bundle on the back of the head (resembling the shape of a tea whisk)/
茶の間 [ちゃのま] /(n) living room (Japanese-style)/(P)/
茶の湯 [ちゃのゆ] /(n) tea ceremony/(P)/
茶の木 [ちゃのき] /(n) tea plant (Camellia sinensis)/
茶わん [ちゃわん] /(n) rice bowl/tea cup/teacup/(P)/
茶を濁す [ちゃをにごす] /(exp,v5s) to evade (questions)/to reply evasively/to beat around the bush/to throw up a smoke screen./
茶引き草 [ちゃひきぐさ] /(n) (uk) (obsc) wild oat (Avena fatua)/wild oats/
茶飲み [ちゃのみ] /(n) tea drinking/
茶飲み茶碗 [ちゃのみぢゃわん] /(n) teacup/
茶飲み友達 [ちゃのみともだち] /(n) (1) tea-drinking companion/crony/buddy/(2) spouse married late in life for companionship/
茶飲み話 [ちゃのみばなし] /(n) a chat over tea/
茶臼 [ちゃうす] /(n) tea grinding mortar (hand mill)/
茶園 [さえん] /(n) tea plantation/tea shop/
茶園 [ちゃえん] /(n) tea plantation/tea shop/
茶宴 [さえん] /(n) tea gathering/
茶屋 [ちゃや] /(n) tea house/tea dealer/(P)/
茶屋酒 [ちゃやざけ] /(n) liquor consumed in a teahouse/
茶屋女 [ちゃやおんな] /(n) woman employed in a restaurant, teahouse or teahouse offering sexual services/
茶化す [ちゃかす] /(v5s) to poke fun at/to make fun of/to send up/
茶花 [ちゃばな] /(n) seasonal flowers arranged for a tea ceremony/flowers in a tea room/
茶菓 [さか] /(n) tea and cakes or sweets/refreshments/
茶菓 [ちゃか] /(n) tea and cakes or sweets/refreshments/
茶菓子 [ちゃがし] /(n) tea cakes/
茶会 [ちゃかい] /(n) tea party (formal)/
茶懐石 [ちゃかいせき] /(n) simple meal eaten before tea is served/
茶殻 [ちゃがら] /(n) used tea leaves/
茶掛け [ちゃがけ] /(n) hanging scroll in a tea-ceremony room/
茶褐色 [ちゃかっしょく] /(n) dark reddish-brown/liver color/(P)/
茶釜 [ちゃがま] /(n) teakettle (tea ceremony)/
茶粥 [ちゃがゆ] /(n) tea gruel/tea flavoured rice gruel/
茶器 [ちゃき] /(n) (1) tea utensils/(2) container for powdered green tea (tea ceremony)/
茶器組 [ちゃきぐみ] /(n) tea set/
茶巾 [ちゃきん] /(n) tea cloth/tea napkin/
茶巾ずし [ちゃきんずし] /(n) gomokuzushi wrapped in a thin layer of fried egg/
茶巾寿し [ちゃきんずし] /(n) gomokuzushi wrapped in a thin layer of fried egg/
茶巾寿司 [ちゃきんずし] /(n) gomokuzushi wrapped in a thin layer of fried egg/
茶巾鮨 [ちゃきんずし] /(n) gomokuzushi wrapped in a thin layer of fried egg/
茶漉し [ちゃこし] /(n) tea strainer/
茶匙 [ちゃさじ] /(n) teaspoon/
茶事 [さじ] /(n) (1) tea gathering (for the tea ceremony)/(2) some matter concerning tea/(3) family tea gathering held in memory of deceased ancestors/
茶事 [ちゃごと] /(n) (1) tea gathering (for the tea ceremony)/(2) some matter concerning tea/(3) family tea gathering held in memory of deceased ancestors/
茶事 [ちゃじ] /(n) (1) tea gathering (for the tea ceremony)/(2) some matter concerning tea/(3) family tea gathering held in memory of deceased ancestors/
茶室 [ちゃしつ] /(n) tea arbour/tea arbor/tearoom/(P)/
茶杓 [ちゃしゃく] /(n) bamboo tea spoon for making Japanese tea/
茶寿 [ちゃじゅ] /(n) 108th birthday/
茶渋 [ちゃしぶ] /(n) tea incrustation/tea stains (on teeth, cups, etc.)/
茶所 [ちゃどころ] /(n) tea-growing district/
茶商 [ちゃしょう] /(n) tea seller/
茶色 [ちゃいろ] /(n,adj-no) light brown/tawny/(P)/
茶色い [ちゃいろい] /(adj-i) light brown/tawny/
茶色雀蜂 [ちゃいろすずめばち] /(n) (uk) brown hornet (Vespa dybowskii)/
茶人 [さじん] /(n) (1) master of the tea ceremony/(2) person with eccentric tastes/
茶人 [ちゃじん] /(n) (1) master of the tea ceremony/(2) person with eccentric tastes/
茶請け [ちゃうけ] /(n) teacakes/
茶席 [ちゃせき] /(n) tea ceremony seat/
茶船 [ちゃぶね] /(n) (1) small boat used for transport on rivers (Edo period)/barge/boat used for unloading goods from a large anchored boat/(2) boat with a roof used for boating on a river/(3) (arch) small boat selling food and drinks on a river/
茶袋 [ちゃぶくろ] /(n) teabag/
茶代 [ちゃだい] /(n) a tip/
茶托 [ちゃたく] /(n) (lacquered) teacup saucer/
茶棚 [ちゃだな] /(n) shelf on which tea and tea implements are kept/
茶箪笥 [ちゃだんす] /(n) cupboard or chest for tea implements/
茶断ち [ちゃだち] /(n,vs) giving up or abstaining from tea/
茶茶 [ちゃちゃ] /(n) disruption/
茶茶を入れる [ちゃちゃをいれる] /(v1,exp) to tease/to make fun of/
茶柱 [ちゃばしら] /(n) auspicious sign (a tea stalk floating erect in one's cup)/
茶柱虫 [ちゃたてむし] /(n) (uk) psocid (any insect of order Psocoptera, which includes booklice)/
茶漬 [ちゃづけ] /(n) rice with ocha poured on (Japanese dish)/
茶漬け [ちゃづけ] /(n) rice with ocha poured on (Japanese dish)/
茶庭 [ちゃてい] /(n) teahouse garden/
茶庭 [ちゃにわ] /(n) teahouse garden/
茶摘み [ちゃつみ] /(n) tea harvesting (picking)/
茶摘み歌 [ちゃつみうた] /(n) tea-picking song/
茶店 [さてん] /(n) tea house/
茶店 [ちゃみせ] /(n) tea house/
茶湯 [ちゃとう] /(n) (1) an offering of tea and hot water made to Buddha or the spirit of the deceased/(2) a tea infusion/tea and hot water/(3) tea ceremony/
茶筒 [ちゃづつ] /(n) tea caddy/
茶陶 [ちゃとう] /(n) tea bowl/
茶道 [さどう] /(n) tea ceremony/Way of Tea/(P)/
茶道 [ちゃどう] /(ok) (n) tea ceremony/Way of Tea/(P)/
茶道具 [ちゃどうぐ] /(n) tea utensils/
茶入 [ちゃいれ] /(n) tea container (usually for thick tea used at the tea ceremony)/
茶入れ [ちゃいれ] /(n) tea container (usually for thick tea used at the tea ceremony)/
茶箱 [ちゃばこ] /(n) (1) tea chest/(2) box for tea utensils (tea ceremony)/
茶畑 [ちゃばたけ] /(n) tea plantation/
茶髪 [ちゃぱつ] /(n) hair dyed brown/
茶飯 [ちゃめし] /(n) rice boiled in tea (and) flavored with sake and shoyu (flavoured)/
茶飯事 [さはんじ] /(n) commonly occurring thing/commonplace event/bread and butter item/
茶挽き草 [ちゃひきぐさ] /(n) (uk) (obsc) wild oat (Avena fatua)/wild oats/
茶挽草 [ちゃひきぐさ] /(n) (uk) (obsc) wild oat (Avena fatua)/wild oats/
茶番 [ちゃばん] /(n) farce/
茶番狂言 [ちゃばんきょうげん] /(n) farce/burlesque/low comedy/
茶番劇 [ちゃばんげき] /(n) burlesque/low comedy/farce/
茶番的 [ちゃばんてき] /(adj-na) farcical/comical/
茶瓶 [ちゃびん] /(n) teapot/
茶封筒 [ちゃぶうとう] /(n) brown envelope/manila envelope/
茶腹 [ちゃばら] /(n) stomach filled with tea/
茶腹も一時 [ちゃばらもいっとき] /(exp) (id) Anything is better than nothing/
茶柄杓 [ちゃびしゃく] /(n) tea ladle/
茶舗 [ちゃほ] /(n) tea store/
茶坊主 [ちゃぼうず] /(n) tea-server/flatterer/sycophant/
茶房 [さぼう] /(n) teahouse/coffee shop/
茶盆 [ちゃぼん] /(n) tea tray/
茶名 [ちゃめい] /(n) tea name (name bestowed upon a tea ceremony practitioner)/
茶銘 [ちゃめい] /(n) name of a tea blend/
茶目 [ちゃめ] /(adj-na,n) playfulness/mischief/urchin/wag/brown eyes/
茶目っ気 [ちゃめっけ] /(n) playfulness/
茶目る [ちゃめる] /(v5r) to play pranks/
茶葉 [ちゃば] /(n) tea leaf/tea leaves/
茶利 [ちゃり] /(ateji) (n) (1) funny word or gesture/(2) funny part (in a puppet show, kabuki, etc.)/(3) (arch) a woman's temple hair/
茶立虫 [ちゃたてむし] /(n) (uk) psocid (any insect of order Psocoptera, which includes booklice)/
茶寮 [さりょう] /(n) tea ceremony cottage, hut or room/
茶寮 [ちゃりょう] /(n) tea ceremony cottage, hut or room/
茶話 [さわ] /(n) a chat over tea/
茶話 [ちゃばなし] /(n) a chat over tea/
茶話 [ちゃわ] /(n) a chat over tea/
茶話会 [さわかい] /(n) tea party/
茶話会 [ちゃわかい] /(n) tea party/
茶碗 [ちゃわん] /(n) rice bowl/tea cup/teacup/
茶碗蒸し [ちゃわんむし] /(n) savoury egg custard/savory egg custard/
茶壺 [ちゃつぼ] /(n) tea urn/
茶筌 [ちゃせん] /(n) (1) tea whisk/bamboo whisk for making Japanese tea/(2) hair style where the hair is tied up in a bundle on the back of the head (resembling the shape of a tea whisk)/
茶筅 [ちゃせん] /(n) (1) tea whisk/bamboo whisk for making Japanese tea/(2) hair style where the hair is tied up in a bundle on the back of the head (resembling the shape of a tea whisk)/
茶筅髪 [ちゃせんがみ] /(n) hair style where the hair is tied up in a bundle on the back of the head (resembling the shape of a tea whisk)/
茶筅羊歯 [ちゃせんしだ] /(n) (uk) maidenhair spleenwort (Asplenium trichomanes)/
茶翅ゴキブリ [ちゃばねゴキブリ] /(n) (uk) German cockroach (Blattella germanica)/
嫡妻 [ちゃくさい] /(n) one's legal wife/legitimate wife/
嫡嗣 [ちゃくし] /(n) legitimate heir/
嫡子 [ちゃくし] /(n) legitimate child/(P)/
嫡室 [ちゃくしつ] /(n) one's legal wife/legitimate wife/
嫡出 [ちゃくしゅつ] /(n,adj-no) legitimate birth/(P)/
嫡出 [てきしゅつ] /(n,adj-no) legitimate birth/
嫡出子 [ちゃくしゅつし] /(n) legitimate child/
嫡出子 [てきしゅつし] /(n) legitimate child/
嫡孫 [ちゃくそん] /(n) eldest son's descendants/
嫡男 [ちゃくなん] /(n) heir/eldest son/
嫡披 [ちゃくひ] /(n) confidential letter/
嫡流 [ちゃくりゅう] /(n) lineage of eldest son/
着 [ぎ] /(n,n-suf) clothes/outfit/uniform/gi/
着 [ちゃく] /(ctr) (1) counter for suits of clothing/(suf) (2) arriving at .../(P)/
着々 [ちゃくちゃく] /(adv,adv-to) steadily/(P)/
着く [つく] /(v5k) (1) to arrive at/to reach/(2) to sit on/to sit at (e.g. the table)/(P)/
着く [はく] /(v5k,vt) (1) to put on (or wear) lower-body clothing (i.e. pants, skirt, etc.)/to put on (or wear) footwear/(2) to affix a sword to one's hip/(3) to affix a bowstring to a bow/
着くやいなや [つくやいなや] /(exp) ... had hardly arrived before .../
着くや否や [つくやいなや] /(exp) ... had hardly arrived before .../
着ぐるみ [きぐるみ] /(n) cartoon-character costume/
着ける [つける] /(v1,vt) (1) to attach/to join/to add/to append/to affix/to stick/to glue/to fasten/to sew on/to apply (ointment)/(2) to furnish (a house with)/(3) to wear/to put on/(4) to keep a diary/to make an entry/(5) to appraise/to set (a price)/(6) to bring alongside/(7) to place (under guard or doctor)/(8) to follow/to shadow/(9) to load/to give (courage to)/(10) to keep (an eye on)/(11) to establish (relations or understanding)/(12) to turn on (light)/(P)/
着け所 [つけどころ] /(n) focus of one's attention/what one is looking for/
着こなし [きこなし] /(n) dressing well/
着こなす [きこなす] /(v5s,vt) to wear (clothes) stylishly/to dress oneself stylishly/
着こむ [きこむ] /(v5m) (1) to wear extra clothes/(2) to dress formally/
着す [じゃくす] /(vs-c,vi) (arch) to insist on/to cling to/to adhere to/
着する [ちゃくする] /(vs-s,vi) (1) to arrive/to reach/(2) to adhere/(3) to insist on/(vs-s,vt) (4) to put on/to wear/
着せる [きせる] /(v1,vt) (1) to put clothes on (someone)/(2) to plate/to gild/to veneer/(3) to accuse (of some crime)/to give (a bad name)/(P)/
着せ替える [きせかえる] /(v1) to change clothes on a doll/
着せ替え人形 [きせかえにんぎょう] /(n) dress-up doll/
着せ代える [きせかえる] /(v1) to change clothes on a doll/
着た切り雀 [きたきりすずめ] /(n) owning nothing except the clothes on one's back/
着つけ [きつけ] /(n) (1) dressing/fitting/helping someone get dressed/(2) outer garment (in kabuki)/
着なおす [きなおす] /(v5s) to change clothes/
着のみ着のまま [きのみきのまま] /(exp) (with) only the clothes one happens to wear/
着の身着のまま [きのみきのまま] /(exp) (with) only the clothes one happens to wear/
着の身着の侭 [きのみきのまま] /(exp) (with) only the clothes one happens to wear/
着の身着の儘 [きのみきのまま] /(exp) (with) only the clothes one happens to wear/
着ぶくれる [きぶくれる] /(v1,vi) to be thickly clad/
着もじ [ちゃくもじ] /(n) text message or symbol on a busy mobile phone indicating a call arrival (DoCoMo feature)/
着る [きる] /(v1) (1) to wear (in modern Japanese, from the shoulders down)/to put on/(2) to bear (guilt, etc.)/(P)/
着エロ [ちゃくエロ] /(n) non-nude erotica/
着メロ [ちゃくメロ] /(n) melodic incoming call tones (esp. mobile telephones)/ringtone/ring tone/
着意 [ちゃくい] /(n,vs) caution/conception/idea/
着衣 [ちゃくい] /(n,vs) one's clothes/(P)/
着衣 [やくい] /(n,vs) one's clothes/
着衣泳 [ちゃくいえい] /(n) swimming fully-clothed/
着映え [きばえ] /(n) (clothes which) look good on a person/
着駅 [ちゃくえき] /(n) destination station/arriving station/
着加入者 [ちゃっかにゅうしゃ] /(n) (comp) called party/called subscriber/
着果 [ちゃっか] /(n,vs) to bear fruit/to produce fruit or vegetables (for a plant)/
着火 [ちゃっか] /(n,vs) ignited/kindled/catching (fire)/
着火点 [ちゃっかてん] /(n) ignition point/
着荷 [ちゃくに] /(n,vs) arrival of goods/
着荷 [ちゃっか] /(n,vs) arrival of goods/
着換える [きかえる] /(v1) to change one's clothes/
着換える [きがえる] /(v1) to change one's clothes/
着岸 [ちゃくがん] /(n,vs) reaching the shore/
着眼 [ちゃくがん] /(n,vs) notice/attention/viewpoint/observation/aiming at/having an eye to/
着眼大局 [ちゃくがんたいきょく] /(n) having an eye to the big picture/being aware of the general situation/
着眼点 [ちゃくがんてん] /(n) focus of one's attention/what one is looking for/point of view/viewpoint/
着拒 [ちゃっきょ] /(n) (abbr) (sl) blocking communications (from a phone number or an e-mail address)/
着剣 [ちゃっけん] /(n,vs) fixing a bayonet/
着古し [きふるし] /(n) old clothes/cast-off clothes/
着古す [きふるす] /(v5s,vt) to wear clothes for a long time/to wear old clothes/to wear out (clothing)/
着古す [きぶるす] /(v5s,vt) to wear clothes for a long time/to wear old clothes/to wear out (clothing)/
着呼 [ちゃっこ] /(n) (comp) incoming call/
着呼受付信号 [ちゃっこうけつけしんごう] /(n) (comp) call-accepted signal/
着呼受付不可信号 [ちゃっこうけつけふかしんごう] /(n) (comp) call-not-accepted signal/
着呼側ＮＳ利用者 [ちゃっこがわエンエスりようしゃ] /(n) (comp) called NS user/
着呼側Ｎアドレス [ちゃっこがわエンアドレス] /(n) (comp) called-(N)-address/
着呼側ＳＳ利用者 [ちゃっこがわエスエスりようしゃ] /(n) (comp) called SS user/
着呼側ＴＳ利用者 [ちゃっこがわティーエスりようしゃ] /(n) (comp) called TS user/
着袴 [ちゃっこ] /(n) ceremony of fitting child with a hakama/
着御 [ちゃくぎょ] /(n) (hon) arrival (of the emperor, etc.)/
着工 [ちゃっこう] /(n,vs) start of (construction) work/(P)/
着込む [きこむ] /(v5m) (1) to wear extra clothes/(2) to dress formally/
着座 [ちゃくざ] /(n,vs) taking a seat/
着磁 [ちゃくじ] /(n,vs) magnetization/magnetisation/
着実 [ちゃくじつ] /(adj-na,n) steady/sound/trustworthy/solid/(P)/
着尺 [きじゃく] /(n) standard length of material used in a kimono/
着尺地 [きじゃくじ] /(n) standard length of material used in a kimono/roll of material/
着手 [ちゃくしゅ] /(vs) (1) to start work (on)/to undertake/(n) (2) embarkation/launch/(P)/
着手金 [ちゃくしゅきん] /(n) retainer fee (e.g. for a lawyer)/
着順 [ちゃくじゅん] /(n) in order of arrival/
着初め [きぞめ] /(n) first wearing (of new clothes)/
着所 [つけどころ] /(n) focus of one's attention/what one is looking for/
着床 [ちゃくしょう] /(n,vs) implantation/
着床前死亡 [ちゃくしょうぜんしぼう] /(n) (obsc) preimplantation death/
着丈 [きたけ] /(n) dress length/
着飾る [きかざる] /(v5r,vt) to dress up/(P)/
着色 [ちゃくしょく] /(n,vs,adj-no) colouring/coloring/colorant/(P)/
着色剤 [ちゃくしょくざい] /(n) pigment/coloring agent/(food) coloring/stain/
着色料 [ちゃくしょくりょう] /(n) (food) coloring/pigment/dye/coloring agent/
着信 [ちゃくしん] /(n,vs) (1) arrival (e.g. post, signal)/(adj-f) (2) receiving/incoming/
着信メロディー [ちゃくしんメロディー] /(n) ring tone/
着信音 [ちゃくしんおん] /(n) ringtone/
着信拒否 [ちゃくしんきょひ] /(n) blocking communications (from a phone number or an e-mail address)/
着信局 [ちゃくしんきょく] /(n) receiving post office/
着信者 [ちゃくしんしゃ] /(n) (comp) recipient (of a transmission)/
着信転送機能 [ちゃくしんてんそうきのう] /(n) (comp) call forwarding/
着心 [きごころ] /(n) feeling of clothes/
着心地 [きごこち] /(n) (good or bad) feel when wearing something/
着水 [ちゃくすい] /(n,vs) landing on the water/
着生 [ちゃくせい] /(adj-no,vs) epiphytic/designating a non-parasitic plant that grows on other plants/
着生植物 [ちゃくせいしょくぶつ] /(n) epiphyte/plant which grows on another/
着席 [ちゃくせき] /(n,vs) sit down/seat/(P)/
着雪 [ちゃくせつ] /(n,vs) accretion of snow/
着船 [ちゃくせん] /(n,vs) arrival of a ship/ship which has arrived/
着想 [ちゃくそう] /(n,vs) conception/idea/
着痩せ [きやせ] /(n,vs) looking slender in clothing/
着装 [ちゃくそう] /(n,vs) putting on/fixing/
着太り [きぶとり] /(n,vs) (clothes which) make one look fat/
着帯 [ちゃくたい] /(n,vs) wearing a maternity belt/
着替え [きがえ] /(n,vs) changing clothes/change of clothes/(P)/
着替える [きかえる] /(v1) to change one's clothes/(P)/
着替える [きがえる] /(v1) to change one's clothes/(P)/
着替え所 [きがえじょ] /(n) dressing room/
着脱 [ちゃくだつ] /(n,vs) attaching and detaching/putting on and removing/
着脱可能 [ちゃくだつかのう] /(adj-na) (comp) demountable/
着弾 [ちゃくだん] /(n,vs) impact (of a projectile)/
着弾距離 [ちゃくだんきょり] /(n) in (gunshot) range/
着地 [ちゃくち] /(n,vs) landing/(P)/
着着 [ちゃくちゃく] /(adv,adv-to) steadily/
着脹れる [きぶくれる] /(v1,vi) to be thickly clad/
着直す [きなおす] /(v5s) to change clothes/
着底 [ちゃくてい] /(n,vs) reaching the bottom/
着電 [ちゃくでん] /(n,vs) reception of a telegram/
着倒れ [きだおれ] /(n) using up one's fortune on fine clothes/
着道楽 [きどうらく] /(n) having a weakness for fine clothes/
着任 [ちゃくにん] /(n,vs) take up a new post/
着発 [ちゃくはつ] /(n) arriving and departing/
着番号 [きばんごう] /(n) incoming (phone) number/
着氷 [ちゃくひょう] /(n,vs) icing (on a plane)/ice accretion/
着付け [きつけ] /(n) (1) dressing/fitting/helping someone get dressed/(2) outer garment (in kabuki)/
着付ける [きつける] /(v1,vt) (1) to put on/to wear/(2) to be used to wearing/
着服 [ちゃくふく] /(n,vs) dressing oneself/embezzlement/(P)/
着払 [ちゃくばらい] /(io) (n,adj-no) payment on delivery/cash on delivery/COD/
着払い [ちゃくばらい] /(n,adj-no) payment on delivery/cash on delivery/COD/
着物 [きもの] /(n) (1) clothing/clothes/(2) kimono (or other trad. Japanese clothing)/(P)/
着物スリップ [きものスリップ] /(n) full slip (combining hadajuban and susoyoke) worn under women's kimono/
着物姿 [きものすがた] /(n) dressed in a kimono/
着物地 [きものじ] /(n) kimono material/
着物虱 [きものじらみ] /(n) (obsc) body louse (Pediculus humanus humanus)/body lice/
着米 [ちゃくべい] /(n) arriving in America/
着包み [きぐるみ] /(n) cartoon-character costume/
着崩れ [きくずれ] /(n,vs) worn out of shape/
着帽 [ちゃくぼう] /(n,vs) putting on one's hat/
着膨れ [きぶくれ] /(n) bundling up (in layers of clothes)/
着膨れる [きぶくれる] /(v1,vi) to be thickly clad/
着味 [ちゃくみ] /(n) seasoning (esp. in food industry with additives)/flavoring/
着味液 [ちゃくみえき] /(n) seasoning solution/flavoring solution/
着目 [ちゃくもく] /(n,vs) attention/(P)/
着用 [ちゃくよう] /(n,vs) have on/wearing/(P)/
着陸 [ちゃくりく] /(n,vs) landing/alighting/touch down/(P)/
着陸装置 [ちゃくりくそうち] /(n) landing gear/
着陸地帯 [ちゃくりくちたい] /(n) landing zone/
着陸地点 [ちゃくりくちてん] /(n) landing zone/point of landing/
着流し [きながし] /(n) dressing casually/
着良い [きよい] /(n) comfortable to wear/
着類 [きるい] /(n) (obs) clothing/
中 [うち] /(n,adj-no) (1) inside/within/(2) while/(3) among/amongst/between/(pn,adj-no) (4) we (referring to one's in-group, i.e. company, etc.)/our/(5) my spouse/(n) (6) (arch) imperial palace grounds/(7) (arch) emperor/(pn,adj-no) (8) (ksb:) I (primarily used by women and children)/me/
中 [じゅう] /(suf) (1) through/throughout/in the course of/(2) all over or throughout (e.g. a place)/
中 [ちゅう] /(suf) (1) medium/average/middle/(2) moderation/(3) (abbr) middle school/(4) (abbr) China/(n-suf) (5) in/out of (e.g. three out of ten people)/(6) during (a certain time when one did or is doing something)/under (construction, etc.)/while/(P)/
中 [なか] /(n) (1) inside/in/(2) among/within/(3) center (centre)/middle/(4) during/while/(P)/
中・東欧 [ちゅう・とうおう] /(n) Central and Eastern Europe/
中々 [なかなか] /(adv) (1) (uk) very/considerably/easily/readily/fairly/quite/highly/rather/(2) by no means (with negative verb)/
中１ [ちゅういち] /(n) first year (pupil) in junior middle school/second year (pupil) in lower secondary school/
中２ [ちゅうに] /(n) second-year of junior high/
中かっこ [ちゅうかっこ] /(n) (comp) (curly) braces/
中たり [あたり] /(n) (1) hit/(2) success/(3) guess/prediction/(4) affability/friendliness/(5) sensation/touch/(6) bruise (on fruit)/(7) situation in which a stone or chain of stones may be captured on the next move (in the game of go)/(8) bite (of a fish on a hook)/strike/(suf) (9) per/each/
中たる [あたる] /(v5r,vi) (1) to be hit/to strike/(2) to touch/to be in contact/to be affixed/(3) to be equivalent to/to be applicable/to apply to/(4) to be right on the money (of a prediction, criticism, etc.)/(5) to be selected (in a lottery, etc.)/to win/(6) to be successful/to go well/to be a hit/(7) to face/to confront/(8) to lie (in the direction of)/(9) to undertake/to be assigned/(10) to be stricken (by food poisoning, heat, etc.)/to be afflicted/(11) to be called upon (by the teacher)/(12) to treat (esp. harshly)/to lash out at/(13) to be unnecessary/(14) (in baseball) to be hitting well/to be on a hitting streak/(15) (in fishing) to feel a bite/(16) (of fruit, etc.) to be bruised/to spoil/(v5r,vt) (17) to feel (something) out/to probe into/to check (i.e. by comparison)/(18) to shave/
中っ腹 [ちゅうっぱら] /(n) anger (held in check)/irritation/rage/
中っ腹 [ちゅっぱら] /(n) anger (held in check)/irritation/rage/
中づり [なかづり] /(n) (abbr) advertisement hanging in a train/
中づり広告 [なかづりこうこく] /(n) hanging poster/advertising poster (e.g. hung in a train)/
中てる [あてる] /(v1,vt) to hit something aimed at (maliciously)/to hit a prize/lottery/
中でも [なかでも] /(adv) (1) among (other things)/inter alia/(2) above all (else)/(P)/
中には [なかには] /(adv) some (of them)/among (them)/
中の兄 [なかのあに] /(n) middle brother/
中ぶらりん [ちゅうぶらりん] /(adj-na,adj-no) dangling/hanging/suspended/
中へ中へ [なかへなかへ] /(exp) (to be pushed) toward the middle (of a crowd) (usually against your will)/
中へ入る [なかへはいる] /(exp,v5r) to go (come) inside/to step into/to enter/
中ぽち [なかぽち] /(n) middle dot (typographical symbol used between parallel terms, names in katakana, etc.)/full-stop mark at mid-character height/interpoint (interword separation)/
中ぽつ [なかぽつ] /(n) middle dot (typographical symbol used between parallel terms, names in katakana, etc.)/full-stop mark at mid-character height/interpoint (interword separation)/
中らずといえども遠からず [あたらずといえどもとおからず] /(exp) good guess/close or accurate guess/
中らずと雖も遠からず [あたらずといえどもとおからず] /(exp) good guess/close or accurate guess/
中り [あたり] /(n) (1) hit/(2) success/(3) guess/prediction/(4) affability/friendliness/(5) sensation/touch/(6) bruise (on fruit)/(7) situation in which a stone or chain of stones may be captured on the next move (in the game of go)/(8) bite (of a fish on a hook)/strike/(suf) (9) per/each/
中る [あたる] /(v5r,vi) (1) to be hit/to strike/(2) to touch/to be in contact/to be affixed/(3) to be equivalent to/to be applicable/to apply to/(4) to be right on the money (of a prediction, criticism, etc.)/(5) to be selected (in a lottery, etc.)/to win/(6) to be successful/to go well/to be a hit/(7) to face/to confront/(8) to lie (in the direction of)/(9) to undertake/to be assigned/(10) to be stricken (by food poisoning, heat, etc.)/to be afflicted/(11) to be called upon (by the teacher)/(12) to treat (esp. harshly)/to lash out at/(13) to be unnecessary/(14) (in baseball) to be hitting well/to be on a hitting streak/(15) (in fishing) to feel a bite/(16) (of fruit, etc.) to be bruised/to spoil/(v5r,vt) (17) to feel (something) out/to probe into/to check (i.e. by comparison)/(18) to shave/
中を取る [なかをとる] /(exp,v5r) to work out a compromise/
中ジョッキ [ちゅうジョッキ] /(n) medium beer mug/
中テン [ちゅうテン] /(n) (1) middle dot (typographical symbol used between parallel terms, names in katakana, etc.)/full-stop mark at mid-character height/interpoint (interword separation)/
中テン [なかテン] /(n) (1) middle dot (typographical symbol used between parallel terms, names in katakana, etc.)/full-stop mark at mid-character height/interpoint (interword separation)/
中トロ [ちゅうトロ] /(n) medium-fatty tuna/
中ヒール [ちゅうヒール] /(n) medium-high heel/
中ボス [ちゅうボス] /(n) mid-boss (of a video game, etc.)/underboss (of a criminal organization)/
中ポツ [なかポツ] /(n) middle dot (typographical symbol used between parallel terms, names in katakana, etc.)/full-stop mark at mid-character height/interpoint (interword separation)/
中ロ [ちゅうロ] /(n) Sino-Russian/
中以上 [ちゅういじょう] /(n) above average/
中位 [ちゅうい] /(n) medium/mediocrity/average/
中位 [ちゅうくらい] /(adj-na,n) about medium/
中位 [ちゅうぐらい] /(adj-na,n) about medium/
中位数 [ちゅういすう] /(n) median/
中尉 [ちゅうい] /(n) first lieutenant/lieutenant junior grade/(P)/
中緯度 [ちゅういど] /(n) mid-latitudes/
中衣くし [なかがくし] /(n) inside pocket/
中衣嚢 [なかがくし] /(n) inside pocket/
中医 [ちゅうい] /(n) Chinese medicine/
中医学 [ちゅういがく] /(n) (1) Chinese medicine/(2) (study of) Chinese medicine/
中一 [ちゅういち] /(n) first year (pupil) in junior middle school/second year (pupil) in lower secondary school/
中稲 [なかて] /(n) (1) mid-season crops/mid-season rice/mid-season vegetables/(2) metacarpus (anatomy)/
中陰 [ちゅういん] /(n) (in Buddhism) state (or period) of intermediate existence (bardo) between one's death and rebirth (in Japan, 49 days)/
中英語 [ちゅうえいご] /(n) Middle English/
中衛 [ちゅうえい] /(n) middle guard/halfback (e.g. football)/center forward (e.g. volleyball)/centre forward/
中越 [ちゅうごし] /(n) over center field (centre)/(P)/
中越戦争 [ちゅうえつせんそう] /(n) Sino-Vietnamese War (1979)/
中越紛争 [ちゅうえつふんそう] /(n) dispute between China and Vietnam/
中央 [ちゅうおう] /(n,adj-no) centre/central/center/middle/(P)/
中央そろえ [ちゅうおうそろえ] /(n) (comp) centred/
中央アジア [ちゅうおうアジア] /(n) central Asia/
中央アジア諸国 [ちゅうおうアジアしょこく] /(n) Central Asian countries/
中央アフリカ [ちゅうおうアフリカ] /(n) Central Africa/
中央アメリカ [ちゅうおうアメリカ] /(n) central America/
中央委員会 [ちゅうおういいんかい] /(n) central committee/
中央演算処理装置 [ちゅうおうえんざんしょりそうち] /(n) (comp) central processing unit/CPU/
中央海嶺 [ちゅうおうかいれい] /(n,adj-no) mid-ocean ridge/midocean ridge/
中央官庁 [ちゅうおうかんちょう] /(n) central government agencies/central bureaucracy/
中央競馬 [ちゅうおうけいば] /(n) horse racing operated by the Japan Racing Association/
中央銀行 [ちゅうおうぎんこう] /(n) (a) central bank/
中央銀行総裁 [ちゅうおうぎんこうそうさい] /(n) governor of a central bank/
中央計画 [ちゅうおうけいかく] /(n) centralized planning/centralised planning/
中央口 [ちゅうおうぐち] /(n) central entrance/
中央構造線 [ちゅうおうこうぞうせん] /(n) Median Tectonic Line/
中央行政官庁 [ちゅうおうぎょうせいかんちょう] /(n) agencies of a central government/
中央集権 [ちゅうおうしゅうけん] /(n) centralized authoritarian rule/centralised authoritarian rule/(P)/
中央集権化 [ちゅうおうしゅうけんか] /(n,vs) centralization of power/centralisation of power/
中央処理装置 [ちゅうおうしょりそうち] /(n) (comp) central processing unit/CPU/
中央省庁 [ちゅうおうしょうちょう] /(n) central government ministries and agencies/
中央省庁再編 [ちゅうおうしょうちょうさいへん] /(n) Japan's 2001 central government restructuring/
中央制御室 [ちゅうおうせいぎょしつ] /(n) central control room/main control room/
中央政府 [ちゅうおうせいふ] /(n) central government/
中央線 [ちゅうおうせん] /(n) Chuo Line (central railway line in Tokyo)/
中央揃え [ちゅうおうぞろえ] /(n) (comp) centering/
中央値 [ちゅうおうち] /(n) median/
中央突破 [ちゅうおうとっぱ] /(n) central breakthrough/
中央標準時 [ちゅうおうひょうじゅんじ] /(n) Central Standard Time/
中央病院 [ちゅうおうびょういん] /(n) central hospital/
中央部 [ちゅうおうぶ] /(n) centre/center/middle/
中央分離帯 [ちゅうおうぶんりたい] /(n) (highway) median/divider/
中央放送局 [ちゅうおうほうそうきょく] /(n) a central or key radio station/
中央労働 [ちゅうおうろうどう] /(n) Central Labor Relations Committee/
中央労働委員会 [ちゅうおうろうどういいんかい] /(n) Central Labor Relations Commission/
中奥 [なかおく] /(n) area of the Edo castle where the shogun would work and spend his daily life/
中押 [ちゅうおし] /(io) (n) winning by opponent's resignation (in the game of go)/
中押 [なかおし] /(io) (n) winning by opponent's resignation (in the game of go)/
中押し [ちゅうおし] /(n) winning by opponent's resignation (in the game of go)/
中押し [なかおし] /(n) winning by opponent's resignation (in the game of go)/
中欧 [ちゅうおう] /(n) Central Europe/(P)/
中黄卵 [ちゅうおうらん] /(n) centrolecithal egg/mesolecithal egg/
中屋敷 [なかやしき] /(n) (1) daimyo's spare residence or emergency refuge/(2) residence of a daimyo's successor/
中音 [ちゅうおん] /(n) (1) mediant (music)/(2) baritone/contralto/(3) medium tone/medium pitch/
中夏 [ちゅうか] /(n) (1) (obsc) midsummer/(2) China/Chinese/(3) capital (city, town)/
中果皮 [ちゅうかひ] /(n) mesocarp/
中火 [ちゅうび] /(n) (cooking) a medium flame or fire/
中華 [ちゅうか] /(adj-no) Chinese (e.g. food)/(P)/
中華街 [ちゅうかがい] /(n) Chinatown/
中華蕎麦 [ちゅうかそば] /(oK) (n) Chinese soba/ramen/
中華思想 [ちゅうかしそう] /(n) Sinocentrism/
中華人民共和国 [ちゅうかじんみんきょうわこく] /(n) People's Republic of China/Communist China/(P)/
中華鍋 [ちゅうかなべ] /(n) a wok/
中華民国 [ちゅうかみんこく] /(n) Republic of China (Taiwan)/
中華料理 [ちゅうかりょうり] /(n) (sens) Chinese cooking/Chinese food/
中華丼 [ちゅうかどん] /(n) bowl of rice with a chop-suey-like mixture on it/
中華饅頭 [ちゅうかまんじゅう] /(oK) (n) Chinese manjuu/
中外 [ちゅうがい] /(n) home and abroad/
中蓋 [なかぶた] /(n) (1) inner lid/(2) medium sized lid/
中垣 [なかがき] /(n) middle fence/
中核 [ちゅうかく] /(n) (comp) kernel/core/nucleus/resident control program/(P)/
中核市 [ちゅうかくし] /(n) core city/
中核事業 [ちゅうかくじぎょう] /(n) core business/
中核文書 [ちゅうかくぶんしょ] /(n) (comp) hub document/
中隔 [ちゅうかく] /(n,adj-no) septum/
中学 [ちゅうがく] /(n) (abbr) middle school/junior high school/(P)/
中学校 [ちゅうがっこう] /(n) junior high school/middle school/lower secondary school/(P)/
中学生 [ちゅうがくせい] /(n) junior high school student/middle school pupil/(P)/
中括弧 [ちゅうかっこ] /(n) (comp) braces/
中巻 [ちゅうかん] /(n) middle volume (in set)/volume two (of three)/
中間 [ちゅうかん] /(n-adv,n) middle/midway/interim/(P)/
中間 [ちゅうげん] /(n,adj-no) samurai's attendant/footman/
中間とりまとめ [ちゅうかんとりまとめ] /(n) interim guidelines/
中間コード [ちゅうかんコード] /(n) (comp) intermediate code/
中間システム [ちゅうかんシステム] /(n) (comp) intermediate system/IS/
中間テスト [ちゅうかんテスト] /(n) midterm (mid-semester) test or exam/
中間ノード [ちゅうかんノード] /(n) (comp) intermediate node/
中間バイト [ちゅうかんバイト] /(n) (comp) intermediate byte/
中間駅 [ちゅうかんえき] /(n) way station/
中間管理職 [ちゅうかんかんりしょく] /(n) middle management/
中間期 [ちゅうかんき] /(n) interphase/interkinesis/midcycle/
中間景気 [ちゅうかんけいき] /(n) temporary boom/
中間決算発表 [ちゅうかんけっさんはっぴょう] /(n) midterm earnings announcement/
中間圏 [ちゅうかんけん] /(n) mesosphere/
中間言語 [ちゅうかんげんご] /(n) (1) (comp) intermediate language/(2) (ling) interlanguage/
中間言語レベル [ちゅうかんげんごレベル] /(n) (comp) intermediate language level/
中間考査 [ちゅうかんこうさ] /(n) midterm examination/
中間国 [ちゅうかんこく] /(n) buffer state/
中間財 [ちゅうかんざい] /(n) intermediate goods/
中間搾取 [ちゅうかんさくしゅ] /(n) kickback/
中間子 [ちゅうかんし] /(n) meson/mesotron/
中間視的 [ちゅうかんしてき] /(adj-na) mesoscopic/
中間試験 [ちゅうかんしけん] /(n) midterm examination/
中間商人 [ちゅうかんしょうにん] /(n) middleman/broker/
中間小説 [ちゅうかんしょうせつ] /(n) middle-brow novel/
中間色 [ちゅうかんしょく] /(n) intermediate color/intermediate colour/neutral color or tint/neutral colour/
中間節点 [ちゅうかんせってん] /(n) (comp) intermediate node/
中間線 [ちゅうかんせん] /(n) (1) dividing line/intermediate line/(2) intermediate rays/
中間選挙 [ちゅうかんせんきょ] /(n) by-election/interim election/
中間層 [ちゅうかんそう] /(n) the middle class/
中間装置 [ちゅうかんそうち] /(n) (comp) intermediate equipment/
中間速度 [ちゅうかんそくど] /(n,vs) (comp) middle speed (vs. low or high speed)/
中間体 [ちゅうかんたい] /(adj-na) (chem) intermediate/
中間値 [ちゅうかんち] /(n) (1) (col) intermediate value/(2) median/
中間値の定理 [ちゅうかんちのていり] /(n) (math) intermediate value theorem/
中間地点 [ちゅうかんちてん] /(n) halfway point/
中間内閣 [ちゅうかんないかく] /(n) interim cabinet/
中間派 [ちゅうかんは] /(n) middle-of-the-roaders/neutralists/independents/
中間配線盤 [ちゅうかんはいせんばん] /(n) (comp) IDF/Intermediate Division Frame/
中間配当額 [ちゅうかんはいとうがく] /(n) interim dividends/
中間文字 [ちゅうかんもじ] /(n) (comp) intermediate character/
中間報告 [ちゅうかんほうこく] /(n) interim report/
中韓 [ちゅうかん] /(n) Chinese and Korean (matters)/
中期 [ちゅうき] /(n-adv,n-t) middle period/(P)/
中気 [ちゅうき] /(n) (1) palsy/paralysis/(2) every second solar term (occurring in the latter half of each month)/
中規模 [ちゅうきぼ] /(adj-na,n) mid-range/mid-scale/mid-size/
中軌道 [ちゅうきどう] /(n) (comp) ICO/Intermediate Circular Orbit/
中休み [なかやすみ] /(n,vs) rest/recess/
中宮 [ちゅうぐう] /(n) (1) the empress, the empress dowager and the grand empress dowager/(2) emperor's second consort/(3) empress/palace of the empress/(4) building of a Shinto shrine built on middle ground/(5) demesne of the imperial palace/
中級 [ちゅうきゅう] /(n,adj-no) intermediate level/(P)/
中級品 [ちゅうきゅうひん] /(n) fair average quality/
中距離 [ちゅうきょり] /(n) middle-distance (races)/
中距離核戦力 [ちゅうきょりかくせんりょく] /(n) intermediate-range nuclear forces/
中距離核兵器 [ちゅうきょりかくへいき] /(n) intermediate-range nuclear forces/
中距離競争 [ちゅうきょりきょうそう] /(n) middle-distance race/
中距離競走 [ちゅうきょりきょうそう] /(n) middle-distance race/
中距離弾道ミサイル [ちゅうきょりだんどうミサイル] /(n) intermediate-range ballistic missile/IRBM/
中京 [ちゅうきょう] /(n) Nagoya and environs/(P)/
中共 [ちゅうきょう] /(n) (1) (abbr) Chinese Communist Party/Chinese Communists/(2) (sens) Communist China/
中共軍 [ちゅうきょうぐん] /(n) Chinese Communist Army/
中興 [ちゅうこう] /(n,vs) restoration/revival/resurgence/
中興の祖 [ちゅうこうのそ] /(n) ancestor who rejuvenated a dynasty or a family/
中近東 [ちゅうきんとう] /(n) Near and Middle East/
中銀 [ちゅうぎん] /(n) (abbr) central bank/
中銀総裁 [ちゅうぎんそうさい] /(n) (abbr) governor of a central bank/
中句 [ちゅうく] /(n) middle part of the verse/
中空 [ちゅうくう] /(adj-na,n) (1) hollow/emptiness/(2) mid-air/the air/
中空 [なかぞら] /(adj-na,n) (1) mid-air/the air/
中空内部様式 [ちゅうくうないぶようしき] /(n) (comp) hollow interior style/
中空壁 [ちゅうくうかべ] /(n) hollow walls/
中啓 [ちゅうけい] /(n) ceremonial folding fan/
中型 [ちゅうがた] /(n) medium sized/(P)/
中型犬 [ちゅうがたけん] /(n) medium-size dog/
中形 [ちゅうがた] /(n,adj-no) medium size/
中景 [ちゅうけい] /(n) middle distance/
中継 [ちゅうけい] /(n,vs,adj-no) relay/hook-up/(P)/
中継ぎ [なかつぎ] /(n,vs) intermediary/agency/brokerage/(electric) relay/(P)/
中継ぎ貿易 [なかつぎぼうえき] /(n) (1) transit trade/(2) middle relief pitching (baseball)/
中継器 [ちゅうけいき] /(n) (comp) repeater/relay/
中継局 [ちゅうけいきょく] /(n) relay station/translator station/
中継交換機 [ちゅうけいこうかんき] /(n) (comp) toll switch/TS/trunk exchange/
中継車 [ちゅうけいしゃ] /(n) outside broadcasting van/OB Van/mobile unit/outdoor broadcasting van/
中継所 [ちゅうけいじょ] /(n) relay station/
中継線交換機 [ちゅうけいせんこうかんき] /(n) (comp) toll switch/TS/trunk exchange/
中継装置 [ちゅうけいそうち] /(n) (comp) relay/
中継地 [ちゅうけいじ] /(n) stopping point/stopover/
中継放送 [ちゅうけいほうそう] /(n,vs) relay broadcasting/
中継貿易 [ちゅうけいぼうえき] /(n) transit trade/
中継網 [ちゅうけいもう] /(n) transit network (telecommunications, networking)/relay network/
中堅 [ちゅうけん] /(n,adj-no) (1) main body (of troops)/(2) center field/centre field/center fielder/centre fielder/nucleus/backbone/mainstay/(P)/
中堅企業 [ちゅうけんきぎょう] /(n) medium-sized enterprise (business, firm)/
中堅手 [ちゅうけんしゅ] /(n) center fielder/centre fielder/
中元 [ちゅうげん] /(n) (1) 15th day of the 7th lunar month/(last day of) Bon lantern festival/(2) Bon gifts/(P)/
中原 [ちゅうげん] /(n) middle of a field/middle of a country/field of contest/(P)/
中原の鹿 [ちゅうげんのしか] /(n) the aim (in a campaign)/
中限 [なかぎり] /(n) next-month delivery/
中限り [なかかぎり] /(n) next-month delivery/
中古 [ちゅうこ] /(n-t,adj-no) (1) used/second-hand/old/(n) (2) Middle Ages/(P)/
中古 [ちゅうぶる] /(n-t,adj-no) (1) used/second-hand/old/
中古車 [ちゅうこしゃ] /(n) used car/secondhand car/(P)/
中古品 [ちゅうこひん] /(n) secondhand goods/
中口 [なかぐち] /(n) (1) central entrance/(2) slander/
中更 [ちゅうこう] /(n) middle watch/12-2 am/
中甲板 [ちゅうかんぱん] /(n) main deck/
中耕機 [ちゅうこうき] /(n) cultivator/
中項 [ちゅうこう] /(n) the mean/
中高 [ちゅうこう] /(n) (1) (abbr) middle and high school/(2) medium and high (level)/(P)/
中高 [なかだか] /(adj-no) convex/
中高一貫校 [ちゅうこういっかんこう] /(n) combined junior high and high school/
中高音部 [ちゅうこうおんぶ] /(n) mezzo-soprano/
中高型 [なかだかがた] /(n) one of the accent patterns of Japanese words, with a rising and then falling pitch/
中高生 [ちゅうこうせい] /(n) (abbr) middle and high-school students/
中高年 [ちゅうこうねん] /(n,adj-no) middle and old age/
中高年者 [ちゅうこうねんしゃ] /(n) the middle-aged and the elderly/
中高齢 [ちゅうこうれい] /(n) middle and advanced age/
中刻 [ちゅうこく] /(n) middle third of a two-hour period/
中国 [ちゅうごく] /(n) (1) China/(2) South-west most region of Honshu/middle of a country/the Hiroshima area/(P)/
中国医学 [ちゅうごくいがく] /(n) Chinese medicine/
中国共産党 [ちゅうごくきょうさんとう] /(n) Chinese Communist Party/
中国銀行 [ちゅうごくぎんこう] /(n) Bank of China/
中国拳法 [ちゅうごくけんぽう] /(n) Chinese martial art/
中国語 [ちゅうごくご] /(n) Chinese (language)/
中国語の部屋 [ちゅうごくごのへや] /(n) Chinese room (artificial intelligence thought experiment)/
中国国民党 [ちゅうごくこくみんとう] /(n) Kuomintang (Chinese Nationalist Party)/
中国史 [ちゅうごくし] /(n) Chinese history/
中国酒 [ちゅうごくしゅ] /(n) Chinese alcohol/Chinese spirits/
中国将棋 [ちゅうごくしょうぎ] /(n) Chinese chess/xiangqi/
中国象棋 [ちゅうごくしょうぎ] /(n) Chinese chess/xiangqi/
中国人 [ちゅうごくじん] /(n) Chinese person/(P)/
中国人街 [ちゅうごくじんがい] /(n) Chinatown/
中国大陸 [ちゅうごくたいりく] /(n) continent of China/
中国地方 [ちゅうごくちほう] /(n) Chugoku region of western Honshu (inc. Okayama, Hiroshima, Shimane, Tottori and Yamaguchi prefectures)/
中国茶 [ちゅうごくちゃ] /(n) Chinese tea/
中国哲学 [ちゅうごくてつがく] /(n) Chinese philosophy/
中国伝来 [ちゅうごくでんらい] /(adj-no) imported (transmitted) from China/
中国服 [ちゅうごくふく] /(n) Chinese dress/
中国料理 [ちゅうごくりょうり] /(n) Chinese food/
中黒 [なかぐろ] /(n) middle dot (typographical symbol used between parallel terms, names in katakana, etc.)/full-stop mark at mid-character height/interpoint (interword separation)/
中腰 [ちゅうごし] /(n) half-rising posture/body bent/
中骨 [なかぼね] /(n) backbone (of a fish)/
中頃 [なかごろ] /(n-adv,n) about the middle/
中今 [なかいま] /(n) (arch) the present (esp. as a privileged moment in eternity)/
中佐 [ちゅうさ] /(n) lieutenant colonel/commander (navy)/(P)/
中座 [ちゅうざ] /(n,vs) leaving before an affair is over/
中細 [ちゅうぼそ] /(n,adj-no) medium-fine/
中細 [なかぼそ] /(n) (1) (obsc) being narrow in the middle/something narrow in the middle/(2) (arch) mallet/
中鷺 [ちゅうさぎ] /(n) intermediate heron (Mesophoyx intermedia)/
中皿 [ちゅうざら] /(n) medium-sized dish/
中三 [ちゅうさん] /(n) highest ranking prostitute in Yoshiwara (from the Houreki era onward)/
中山道 [なかせんどう] /(n) Nakasendo (Edo-period Edo-Kyoto highway)/
中産階級 [ちゅうさんかいきゅう] /(n,adj-no) middle class/bourgeoisie/(P)/
中仕 [なかし] /(n) longshoreman/baggageman/
中仕切 [なかじきり] /(n) partition/divider/
中仕切り [なかじきり] /(n) partition/divider/
中子 [なかご] /(n) core/blade/middle of a nest of boxes/
中子星 [なかごぼし] /(n) Chinese "Heart" constellation (one of the 28 mansions)/
中指 [ちゅうし] /(n) middle finger/
中指 [なかゆび] /(n) middle finger/(P)/
中支 [ちゅうし] /(n) Central China/
中支那 [なかしな] /(n) Central China/
中止 [ちゅうし] /(n,vs) suspension/stoppage/discontinuance/interruption/(P)/
中止の体 [ちゅうしのてい] /(n) state of standstill/
中止形 [ちゅうしけい] /(n) the continuative form when used as a conjunction/
中止法 [ちゅうしほう] /(n) grammatical rule allowing the usage of the continuative form as a conjunction/
中糸 [ちゅういと] /(n) medium-sized thread/
中次 [なかつぎ] /(n,vs) intermediary/agency/brokerage/(electric) relay/
中次ぎ [なかつぎ] /(n,vs) intermediary/agency/brokerage/(electric) relay/(P)/
中耳 [ちゅうじ] /(n) middle ear/tympanum/(P)/
中耳炎 [ちゅうじえん] /(n) otitis media/inflammation of the middle ear/(P)/
中辞典 [ちゅうじてん] /(n) medium-sized dictionary/
中軸 [ちゅうじく] /(n) axis/pivot/central figure/key man/(P)/
中執 [ちゅうしつ] /(n) (abbr) Central Executive Committee/(P)/
中杓鷸 [ちゅうしゃくしぎ] /(n) (uk) whimbrel (species of curlew, Numenius phaeopus)/
中手 [なかて] /(n) (1) mid-season crops/mid-season rice/mid-season vegetables/(2) metacarpus (anatomy)/
中手骨 [ちゅうしゅこつ] /(n) metacarpal/
中州 [なかす] /(n) sandbank (in a river)/sandbar/
中洲 [なかす] /(n) sandbank (in a river)/sandbar/
中秋 [ちゅうしゅう] /(n) (1) 15th day of the 8th lunar month/
中秋 [ちゅうじゅう] /(n) (1) 15th day of the 8th lunar month/
中秋の名月 [ちゅうしゅうのめいげつ] /(n) harvest moon/
中宿 [なかやど] /(n) (1) (arch) inn where one rests on the way/(2) (arch) inn that serves as a meeting place for lovers/(3) (arch) inn that introduces clients to prostitutes/
中出し [なかだし] /(n,vs) intravaginal (anal, etc.) ejaculation/
中春 [ちゅうしゅん] /(n) (1) (obs) second month of the lunar calendar/(2) (obsc) 15th day of the second month of the lunar calendar (around mid-spring)/
中旬 [ちゅうじゅん] /(n-adv,n-t) middle of a month/second third of a month/(P)/
中書省 [ちゅうしょしょう] /(n) Secretariat (Tang-dynasty China)/
中傷 [ちゅうしょう] /(n,vs) slander/libel/defamation/(P)/
中将 [ちゅうじょう] /(n) lieutenant general/vice-admiral/(P)/
中小 [ちゅうしょう] /(n) small to medium/(P)/
中小企業 [ちゅうしょうきぎょう] /(n) small to medium enterprises/smaller companies/(P)/
中小企業診断士 [ちゅうしょうきぎょうしんだんし] /(n) Small and Medium Enterprise Management Consultant/
中小企業庁 [ちゅうしょうきぎょうちょう] /(n) (Japanese) Small and Medium Enterprise Agency/
中小諸国家 [ちゅうしょうしょこっか] /(n) medium and small nations/
中小姓 [ちゅうごしょう] /(n) low class samurai, who guarded the shogun on outings (Edo period)/
中小性 [ちゅうごしょう] /(n) low class samurai, who guarded the shogun on outings (Edo period)/
中焦 [ちゅうしょう] /(n) middle jiao (in traditional Chinese medicine)/middle burner/
中称 [ちゅうしょう] /(n) (ling) mesioproximal pronoun (indicating proximity to the listener, i.e. sore, soko, sochira)/
中食 [ちゅうしょく] /(n) (1) lunch/midday meal/(2) food served at a tea party (tea ceremony)/
中食 [ちゅうじき] /(n) (1) lunch/midday meal/(2) food served at a tea party (tea ceremony)/
中食 [なかしょく] /(n,vs) ready-made meal, usually purchased in store and taken home/home replacement meal/HMR/
中心 [ちゅうしん] /(n,adj-no) center/centre/middle/heart/core/focus/pivot/emphasis/balance/(P)/
中心 [なかご] /(n) core/blade/middle of a nest of boxes/
中心とする [ちゅうしんとする] /(exp,vs-i) to play a leading role/to play a central part/
中心となる [ちゅうしんとなる] /(exp,v5r) to play a central role/to take a leading part/
中心街 [ちゅうしんがい] /(n) high street/town centre (center)/
中心核 [ちゅうしんかく] /(n) core (of planets, stars, galaxies, etc.)/nucleus (of comets, galaxies, etc.)/
中心角 [ちゅうしんかく] /(n) a central angle/
中心極限定理 [ちゅうしんきょくげんていり] /(n) (comp) central limit theorem/
中心思想 [ちゅうしんしそう] /(n) central idea/
中心小体 [ちゅうしんしょうたい] /(n) centriole/
中心人物 [ちゅうしんじんぶつ] /(n) leader/central personage/
中心静脈 [ちゅうしんじょうみゃく] /(n) central vein/
中心静脈栄養 [ちゅうしんじょうみゃくえいよう] /(n) central venous hyperalimentation/intravenous hyperalimentation/
中心線 [ちゅうしんせん] /(n) centre line/center line/central line/
中心体 [ちゅうしんたい] /(n) centrosome/
中心地 [ちゅうしんち] /(n) center/centre/metropolis/
中心的 [ちゅうしんてき] /(adj-na) central/mainline/
中心的役割 [ちゅうしんてきやくわり] /(n) central role/
中心点 [ちゅうしんてん] /(n) center/centre/
中心波長 [ちゅうしんはちょう] /(n) (comp) centre wavelength/
中心部 [ちゅうしんぶ] /(n) central part/heart (of a city)/
中心窩 [ちゅうしんか] /(n) fovea centralis/
中新世 [ちゅうしんせい] /(n) Miocene epoch/
中神 [なかがみ] /(n) Ten'ichijin/Nakagami/god of fortune in Onmyoudou who descends to the northeast on the 46th day of the sexagenary cycle and completes a clockwise circuit, spending five days on each cardinal point and six days on each ordinal point, returning to heaven from the north on the 30th day of the next sexagenary cycle; travelling in the direction of Ten'ichijin is considered unlucky/
中臣の祓 [なかとみのはらえ] /(n) (arch) grand purification ceremony (so-called because it was overseen by the Nakatomi family)/
中臣祓 [なかとみのはらえ] /(n) (arch) grand purification ceremony (so-called because it was overseen by the Nakatomi family)/
中身 [なかみ] /(n,adj-no) contents/interior/substance/filling/(sword) blade/(P)/
中震 [ちゅうしん] /(n) moderate earthquake/
中人 [ちゅうじん] /(n) (1) person of middling talent, strength, etc./(2) middle class person/bourgeois person/(3) matchmaker go-between/
中人 [ちゅうにん] /(n) (1) child in elementary or middle school/
中水道 [ちゅうすいどう] /(n) gray-water system/grey-water system/recycled waste-water/
中数 [ちゅうすう] /(n) arithmetical mean/
中枢 [ちゅうすう] /(n,adj-no) centre/center/pivot/mainstay/nucleus/backbone/central figure/pillar/key man/(P)/
中枢神経 [ちゅうすうしんけい] /(n) central nerves/
中枢神経系 [ちゅうすうしんけいけい] /(n) central nervous system/CNS/
中枢神経系統 [ちゅうすうしんけいけいとう] /(n) central nervous system/
中枢性 [ちゅうすうせい] /(n) central (nervous system)/
中世 [ちゅうせい] /(n-adv,n-t) Middle Ages/mediaeval times/(P)/
中世史 [ちゅうせいし] /(n) mediaeval history/
中性 [ちゅうせい] /(n,adj-no) (1) neutrality (incl. chemical, electrical, etc.)/indifference/(2) sexlessness/androgyny/androgyne/neuter/(3) (ling) neuter gender/(P)/
中性塩 [ちゅうせいえん] /(n) neutral salt/
中性子 [ちゅうせいし] /(n) neutron/(P)/
中性子回折 [ちゅうせいしかいせつ] /(n) neutron diffraction/
中性子星 [ちゅうせいしせい] /(n) a neutron star/
中性子線回折 [ちゅうせいしせんかいせつ] /(n) neutron diffraction/
中性子束 [ちゅうせいしそく] /(n) neutron flux/
中性子爆弾 [ちゅうせいしばくだん] /(n) neutron bomb/
中性紙 [ちゅうせいし] /(n) neutral paper/
中性脂肪 [ちゅうせいしぼう] /(n) neutral fat/
中性洗剤 [ちゅうせいせんざい] /(n) detergent/
中性微子 [ちゅうせいびし] /(n) neutrino/
中性浮力 [ちゅうせいふりょく] /(n) neutral buoyancy/
中正 [ちゅうせい] /(adj-na,n) impartiality/fairness/
中生 [なかて] /(n) (1) mid-season crops/mid-season rice/mid-season vegetables/(2) metacarpus (anatomy)/
中生代 [ちゅうせいだい] /(n) Mesozoic era/
中生動物 [ちゅうせいどうぶつ] /(n) mesozoan/
中西部 [ちゅうせいぶ] /(n) Mid-west/
中席 [なかせき] /(n) the mid-month's slate of entertainment in a variety hall/
中石器時代 [ちゅうせっきじだい] /(n) Mesolithic age/Middle Stone Age/
中積み [なかづみ] /(n) loading in the middle/
中折り [なかおり] /(n) folded in the middle/
中折れ [なかおれ] /(n,vs) (1) felt hat/(2) (sl) prematurely going soft during intercourse/
中折れ帽子 [なかおれぼうし] /(n) felt hat/fedora/
中折帽 [なかおれぼう] /(n) felt hat/
中折帽子 [なかおれぼうし] /(n) felt hat/fedora/
中絶 [ちゅうぜつ] /(n,adj-no) (1) abortion/(vs) (2) to have an abortion/(3) interruption/discontinuance/suspension/abeyance/(P)/
中絶性交 [ちゅうぜつせいこう] /(n) coitus interruptus/withdrawal before ejaculation/
中仙道 [なかせんどう] /(n) Nakasendo (Edo-period Edo-Kyoto highway)/
中栓 [なかせん] /(n) inner plug for a bottle, prevents leaks and is often covered by a cap./
中選挙区制 [ちゅうせんきょくせい] /(n) (Japanese) electoral system allowing for the election of from 3 to 5 candidates from one district/
中前 [ちゅうぜん] /(n) front of center field/front of centre field/(P)/
中全音律 [ちゅうぜんおんりつ] /(n) meantone temperament/
中禅寺湖 [ちゅうぜんじこ] /(n) Lake Chuzenji/
中蘇 [ちゅうそ] /(n) China and Soviet Russia/
中層 [ちゅうそう] /(n) medium-rise (building)/medium depth (water)/medium layer/middle lamella/
中層水 [ちゅうそうすい] /(n) intermediate water (depth: 200-2000 meters)/
中足骨 [ちゅうそくこつ] /(n) metatarsal/
中足骨 [ちゅうそっこつ] /(n) metatarsal/
中速 [ちゅうそく] /(n) intermediate gear/
中卒 [ちゅうそつ] /(n) junior high school or middle school graduate/(P)/
中尊 [ちゅうぞん] /(n) middle image (of three)/
中退 [ちゅうたい] /(n,vs) leaving school during a term/(P)/
中隊 [ちゅうたい] /(n) company, battery, troop/(P)/
中隊長 [ちゅうたいちょう] /(n) company commander/
中台 [ちゅうだい] /(n) (1) (obsc) exact center of the Garbhadhatu mandala/(2) platform upon which the fire is lit in a stone lantern/
中台八葉院 [ちゅうだいはちよういん] /(n) (obsc) center of the Garbhadhatu mandala (containing Mahavairocana and eight Buddhas)/
中大脳動脈 [ちゅうだいのうどうみゃく] /(n) middle cerebral artery/
中断 [ちゅうだん] /(n,vs) interruption/suspension/break/(P)/
中断点 [ちゅうだんてん] /(n) (comp) breakpoint/
中段 [ちゅうだん] /(n) half-way up a slope or stairway/landing/center of three (horizontal) columns (of print) (centre)/
中値 [なかね] /(n) medium or average price/
中地震 [ちゅうじしん] /(n) moderate earthquake/
中弛み [なかだるみ] /(n,vs) a slump/
中置表記法 [ちゅうちひょうきほう] /(n) (comp) infix notation/
中中 [なかなか] /(adv) (1) (uk) very/considerably/easily/readily/fairly/quite/highly/rather/(2) by no means (with negative verb)/(P)/
中柱 [なかばしら] /(n) middle pillar/
中潮 [なかしお] /(n) half tide (e.g. midway between spring and neap tides)/
中長期 [ちゅうちょうき] /(n) mid-range/mid-term/
中長編み [ちゅうながあみ] /(n) half double crochet/HDC/
中通り [ちゅうどおり] /(n) medium quality/
中通り [なかどおり] /(n) intermediate street/
中吊り [なかづり] /(n) (abbr) advertisement hanging in a train/
中吊り広告 [なかづりこうこく] /(n) hanging poster/advertising poster (e.g. hung in a train)/
中低 [なかびく] /(adj-na,n) hollow/concave/
中剃り [ちゅうぞり] /(n,vs) shaving the very top of the head/
中剃り [なかずり] /(n,vs) shaving the very top of the head/
中剃り [なかぞり] /(n,vs) shaving the very top of the head/
中庭 [なかにわ] /(n) courtyard/quadrangle/middle court/(P)/
中程 [なかほど] /(n) middle/midway/
中諦 [ちゅうたい] /(n) (Buddh) truth of the middle (all things are in a middle state, being void yet having temporary existence)/
中哲 [ちゅうてつ] /(n) Chinese philosophy/
中天 [ちゅうてん] /(n) mid-air/mid-heaven/zenith/
中店 [ちゅうみせ] /(n) (1) mid-sized store/(2) middle-class brothel (in a red-light district)/
中点 [ちゅうてん] /(n) (1) middle point/median point/(2) middle dot (typographical symbol used between parallel terms, names in katakana, etc.)/full-stop mark at mid-character height/interpoint (interword separation)/
中点 [なかてん] /(n) (1) middle dot (typographical symbol used between parallel terms, names in katakana, etc.)/full-stop mark at mid-character height/interpoint (interword separation)/
中塗 [なかぬり] /(n,vs) intermediate coat of paint or lacquer/second coat/
中塗り [なかぬり] /(n,vs) intermediate coat of paint or lacquer/second coat/
中途 [ちゅうと] /(n,adj-no) in the middle/half-way/(P)/
中途採用 [ちゅうとさいよう] /(n) mid-career recruitment/
中途退学 [ちゅうとたいがく] /(n) leaving school during a term/
中途半端 [ちゅうとはんぱ] /(adj-na,n,adj-no) halfway/half measures/unfinished/incomplete/by halves/half-baked/half-cocked/(P)/
中砥 [なかと] /(n) medium-grade millstone/
中度 [ちゅうど] /(adj-no,n) moderate/
中冬 [ちゅうとう] /(n) (obs) eleventh month of the lunar calendar/
中島 [なかじま] /(n) island in a pond or river/(P)/
中東 [ちゅうとう] /(n,adj-no) Middle East/(P)/
中東欧 [ちゅうとうおう] /(n) Central and Eastern Europe/
中東諸国 [ちゅうとうしょこく] /(n) Middle East countries/
中東戦争 [ちゅうとうせんそう] /(n) Arab-Israeli Wars (1948, 1956, 1967, 1973)/
中等 [ちゅうとう] /(n,adj-no) second grade/medium quality/average/middle class/secondary grade/(P)/
中等学校 [ちゅうとうがっこう] /(n) secondary school/
中等教育 [ちゅうとうきょういく] /(n) secondary education/
中等教員 [ちゅうとうきょういん] /(n) secondary teachers/
中頭 [ちゅうとう] /(n) mesocephaly/
中堂 [ちゅうどう] /(n) main temple building/
中童子 [ちゅうどうし] /(n) (arch) temple pageboy/
中道 [ちゅうどう] /(n,adj-no) (1) middle of the road/moderation/golden mean/(2) the middle (of what one is doing)/half-way/(3) (Buddh) middle way/middle path/(P)/
中道 [なかみち] /(n) road through the middle/middle road/
中道右派 [ちゅうどううは] /(n,adj-no) right-of-center faction (group)/center-right (centre)/
中道左派 [ちゅうどうさは] /(n,adj-no) left-of-center faction (group)/
中道派 [ちゅうどうは] /(n) middle-of-the-roaders/neutrals/
中道路線 [ちゅうどうろせん] /(n) moderate line/middle-of-the-road pollicy line/
中毒 [ちゅうどく] /(n,vs,adj-no) (1) poisoning/(n-suf) (2) addiction/(P)/
中毒死 [ちゅうどくし] /(n) death from poisoning/
中毒者 [ちゅうどくしゃ] /(n) addict/junkie/substance abuser/
中毒性 [ちゅうどくせい] /(adj-no,n) poisonous/toxic/addictive/
中毒性表皮壊死症 [ちゅうどくせいひょうひえししょう] /(n) toxic epidermal necrosis/
中南米 [ちゅうなんべい] /(n) Central and South America/(P)/
中二 [ちゅうに] /(n) second-year of junior high/
中二階 [ちゅうにかい] /(n) mezzanine floor/
中二病 [ちゅうにびょう] /(n) (sl) humorous way of characterising certain expressions or behaviors that are characteristic of teenagers (lit: 8th grader sickness)/
中肉 [ちゅうにく] /(n) medium build/meat of medium quality/
中肉中背 [ちゅうにくちゅうぜい] /(n,adj-no) medium build/
中日 [ちゅうにち] /(n) (1) China and Japan/(2) the middle day/(3) the equinoctial day/(P)/
中日 [なかび] /(n) the middle day (esp. of a sumo tournament or play running for a set number of days)/
中日辞典 [ちゅうにちじてん] /(n) Chinese-Japanese dictionary/
中日戦争 [ちゅうにちせんそう] /(n) (sens) Second Sino-Japanese War (1937-1945) (may imply Chinese aggression)/
中日本 [なかにっぽん] /(n) central Japan/
中日本 [なかにほん] /(n) central Japan/
中入り [なかいり] /(n,vs) intermission during a performance (i.e. play, sumo, etc.)/
中忍 [ちゅうにん] /(n) Ninja commander/
中年 [ちゅうねん] /(n,adj-no) middle-age/middle age/midlife/one's middle years/(P)/
中年者 [ちゅうねんもの] /(n) middle-aged person/person who changes his line in middle of life/
中年症候群 [ちゅうねんしょうこうぐん] /(n) mid-life crisis/
中年増 [ちゅうどしま] /(n) woman approaching middle age/
中納言 [すけのものもうすつかさ] /(n) medium-ranked councillor in the Department of State/
中納言 [ちゅうなごん] /(n) medium-ranked councillor in the Department of State/
中納言 [なかのものもうすつかさ] /(n) medium-ranked councillor in the Department of State/
中脳 [ちゅうのう] /(n) midbrain/mesencephalon/
中農 [ちゅうのう] /(n) middle-class farmer/
中波 [ちゅうは] /(n) medium wave/
中波長 [ちゅうはちょう] /(n) medium wave/
中破 [ちゅうは] /(n,vs) half damage/
中背 [ちゅうぜい] /(n) average height/
中売り [なかうり] /(n) ambulatory vending of snacks in a theater or stadium (theatre)/
中抜き [なかぬき] /(n,vs) (1) outlined/lacking content/(2) getting rid of the middleman/
中判 [ちゅうばん] /(n) medium size/cabinet size (in photography)/
中半 [ちゅうはん] /(n) middle/half-finished/
中飯 [ちゅうはん] /(n) the noonday meal/
中盤 [ちゅうばん] /(n-adv,n) middle (stage)/(P)/
中盤戦 [ちゅうばんせん] /(n) the midst of a campaign/
中皮 [ちゅうひ] /(n,adj-no) mesothelium/mesothelial/
中皮腫 [ちゅうひしゅ] /(n) mesothelioma/mesothelial tumor (tumour)/
中飛 [ちゅうひ] /(n) center fly/centre fly/
中表 [なかおもて] /(n) cloth folded inside out/
中瓶 [ちゅうびん] /(n) medium bottle/
中敷き [なかじき] /(n) an intermediate layer/
中部 [ちゅうぶ] /(n) (1) center/centre/middle/heart/(2) (abbr) Chubu region (inc. Aichi, Nagano, Shizuoka, Niigata, Toyama, Ishikawa, Fukui, Yamanashi and Gifu prefectures)/(P)/
中部アフリカ [ちゅうぶアフリカ] /(n) Central Africa/
中部アメリカ [ちゅうぶアメリカ] /(n) central America/
中部時間 [ちゅうぶじかん] /(n) Central Time (US time zone)/
中部太平洋 [ちゅうぶたいへいよう] /(n) Central Pacific/
中部地方 [ちゅうぶちほう] /(n) Chubu region (inc. Aichi, Nagano, Shizuoka, Niigata, Toyama, Ishikawa, Fukui, Yamanashi and Gifu prefectures)/
中風 [ちゅうふ] /(n) palsy/paralysis/
中風 [ちゅうふう] /(n) palsy/paralysis/
中風 [ちゅうぶ] /(n) palsy/paralysis/
中風 [ちゅうぶう] /(n) palsy/paralysis/
中幅 [ちゅうはば] /(n) medium width/
中腹 [ちゅうふく] /(n) mountain side/halfway up/(P)/
中分 [ちゅうぶん] /(n,vs) half/
中柄 [ちゅうがら] /(n) medium size/medium pattern/medium stature/
中米 [ちゅうべい] /(n) Central America/
中篇 [ちゅうへん] /(n) (1) second part/second volume/(2) (abbr) novelette/novella/short novel/long short story/medium-length story/
中篇小説 [ちゅうへんしょうせつ] /(n) novelette/novella/short novel/long short story/medium-length story/
中編 [ちゅうへん] /(n) (1) second part/second volume/(2) (abbr) novelette/novella/short novel/long short story/medium-length story/
中編小説 [ちゅうへんしょうせつ] /(n) novelette/novella/short novel/long short story/medium-length story/
中保 [ちゅうほ] /(n) mediation/
中保者 [ちゅうほしゃ] /(n) mediator/intercessor/
中坊 [ちゅうぼう] /(n) (sl) middle-school student/
中帽 [ちゅうぼう] /(n) helmet liner/
中墨 [なかずみ] /(n) centre line (usu. in buildings, joinery, etc.)/center line/
中幕 [なかまく] /(n) middle act/
中味 [なかみ] /(n,adj-no) contents/interior/substance/filling/(sword) blade/
中務省 [ちゅうむしょう] /(n) Ministry of Central Affairs (under the ritsuryo system)/
中務省 [なかつかさしょう] /(n) Ministry of Central Affairs (under the ritsuryo system)/
中務省 [なかのつかさ] /(n) Ministry of Central Affairs (under the ritsuryo system)/
中務省 [なかのまつりごとのつかさ] /(n) Ministry of Central Affairs (under the ritsuryo system)/
中門 [ちゅうもん] /(n) (1) gate in the middle of the corridor connecting an annex to a pond-side building (in traditional palatial-style architecture)/(2) central gate (between the main gate and main hall of a temple)/(3) central gate (separating the inner and outer gardens of a teahouse)/
中門廊 [ちゅうもんろう] /(n) corridor connecting an annex to a pond-side building (in traditional palatial-style architecture)/
中夜 [ちゅうや] /(n) (1) (Buddh) midnight period/midnight service/(2) (arch) winter solstice/
中有 [ちゅうう] /(n) (in Buddhism) state (or period) of intermediate existence (bardo) between one's death and rebirth (in Japan, 49 days)/
中庸 [ちゅうよう] /(adj-na,n) (1) middle way/(golden) mean/moderation/middle path/(2) the Doctrine of the Mean - one of the Four Books/
中葉 [ちゅうよう] /(n-adv,n-t) about the middle (of an era)/
中落ち [なかおち] /(n) left-over flesh on the spine of a fish/
中立 [ちゅうりつ] /(n) neutrality/(P)/
中立 [なかだち] /(n) break between the light meal and the actual serving of tea (during a formal tea ceremony)/
中立ち [なかだち] /(n) break between the light meal and the actual serving of tea (during a formal tea ceremony)/
中立国 [ちゅうりつこく] /(n) neutral power/
中立主義 [ちゅうりつしゅぎ] /(n) neutralism/
中立性 [ちゅうりつせい] /(n) neutrality/
中立説 [ちゅうりつせつ] /(n) neutral theory (of molecular evolution)/
中立地帯 [ちゅうりつちたい] /(n) neutral zone/
中立面 [ちゅうりつめん] /(n) neutral plane/
中立労働組合連絡会議 [ちゅうりつろうどうくみあいれんらくかいぎ] /(n) Federation of Independent Unions of Japan/
中立労連 [ちゅうりつろうれん] /(n) (abbr) Federation of Independent Unions of Japan/
中略 [ちゅうりゃく] /(n,vs) omission/ellipsis/(P)/
中流 [ちゅうりゅう] /(n) mid-stream/middle course/middle class/(P)/
中流の下層階級 [ちゅうりゅうのかそうかいきゅう] /(n) lower middle class/
中流の上層階級 [ちゅうりゅうのじょうそうかいきゅう] /(n) upper middle class/
中流意識 [ちゅうりゅういしき] /(n) identifying (oneself) with the middle class/
中流階級 [ちゅうりゅうかいきゅう] /(n) middle class/
中流社会 [ちゅうりゅうしゃかい] /(n) middle class/
中力粉 [ちゅうりきこ] /(n) all-purpose flour/medium-strength flour/
中呂 [ちゅうりょ] /(n) (1) (in China) 6th note of the ancient chromatic scale (approx. G)/(2) fourth lunar month/
中呂 [ちゅうろ] /(n) (1) (in China) 6th note of the ancient chromatic scale (approx. G)/(2) fourth lunar month/
中労委 [ちゅうろうい] /(n) (abbr) Central Labor Relations Committee/
中廊下 [なかろうか] /(n) central corridor/middle corridor/
中老 [ちゅうろう] /(n) middle age/
中肋 [ちゅうろく] /(n) midrib/rachis/
中和 [ちゅうわ] /(adj-na,n,vs,adj-no) neutralize/neutralise/counteract/(P)/
中和剤 [ちゅうわざい] /(n) neutralizer/neutraliser/counteractive/antidote/
中和熱 [ちゅうわねつ] /(n) heat of neutralization (neutralisation)/
中刳り [なかぐり] /(n) boring/
中刳り盤 [なかぐりばん] /(n) boring machine/
中夭 [ちゅうよう] /(n) dying young/
中臈 [ちゅうろう] /(n) (1) court ladies of the middle rank serving in the inner palace (Heian period)/(2) female servant for a samurai family/(3) lady-in-waiting working in the inner palace of the Edo castle (Edo period)/
仲 [すあい] /(n) (arch) broker/brokerage/brokerage fee/
仲 [なか] /(n) relation/relationship/(P)/
仲がいい [なかがいい] /(exp) close/intimate/on good terms/
仲がよい [なかがよい] /(exp) close/intimate/on good terms/
仲が悪い [なかがわるい] /(exp) on bad terms/at loggerheads/
仲が良い [なかがいい] /(exp) close/intimate/on good terms/
仲が良い [なかがよい] /(exp) close/intimate/on good terms/
仲に入る [なかにはいる] /(exp,v5r) to act as an intermediary/
仲のいい [なかのいい] /(adj-i) close (e.g. in terms of relationship)/intimate/
仲のよい [なかのよい] /(adj-i) close (e.g. in terms of relationship)/intimate/
仲の悪い [なかのわるい] /(adj-i) on bad terms/at loggerheads/
仲の良い [なかのいい] /(adj-i) close (e.g. in terms of relationship)/intimate/
仲の良い [なかのよい] /(adj-i) close (e.g. in terms of relationship)/intimate/
仲よく [なかよく] /(adv,n,vs) making friends with/getting along well with/on cordial terms/
仲よし [なかよし] /(n,adj-na) intimate friend/close friend/bosom buddy/chum/
仲違い [なかたがい] /(n,vs) discord/breaking up (e.g. friendship)/
仲夏 [ちゅうか] /(n) (1) midsummer/(2) (obs) fifth month of the lunar calendar/
仲介 [ちゅうかい] /(n,vs,adj-no) agency/intermediation/(P)/
仲介者 [ちゅうかいしゃ] /(n) mediator/go-between/middleman/
仲介物 [ちゅうかいぶつ] /(n) intermediary/medium/channel/
仲介貿易 [ちゅうかいぼうえき] /(n) intermediary trade/trade conducted via an agency/
仲核 [ちゅうかく] /(n) (comp) kernel/core/nucleus/resident control program/
仲間 [ちゅうげん] /(n,adj-no) samurai's attendant/footman/
仲間 [なかま] /(n) company/fellow/colleague/associate/comrade/mate/group/circle of friends/partner/(P)/
仲間に加える [なかまにくわえる] /(exp,v1) to add to one's circle of friends (or colleagues, etc.)/to take in/to accept/
仲間を語らって [なかまをかたらって] /(exp) together with one's lot/
仲間意識 [なかまいしき] /(n) fellow feeling/
仲間外れ [なかまはずれ] /(n,vs) being left out/
仲間割れ [なかまわれ] /(n,vs) split among friends/falling out/internal discord/
仲間喧嘩 [なかまげんか] /(n) quarrel among friends/quarrel among ourselves (themselves)/
仲間受け [なかまうけ] /(n) being popular among one's companions/
仲間集団圧力 [なかましゅうだんあつりょく] /(n) group pressure/peer pressure/
仲間値段 [なかまねだん] /(n) trade price/
仲間同士 [なかまどうし] /(n) comrades/
仲間内 [なかまうち] /(adj-no) private/informal/among one's people (group, friends)/
仲間入り [なかまいり] /(n,vs) joining a group/(P)/
仲間褒 [なかまぼめ] /(n) logrolling/mutual admiration/
仲居 [なかい] /(n) waitress (in a ryokan or traditional restaurant)/
仲兄 [ちゅうけい] /(n) the younger of two elder brothers/
仲継 [ちゅうけい] /(iK) (n) (radio) relay/hook-up/
仲見世 [なかみせ] /(n) nakamise/shops lining a passageway in the precincts of a Shinto shrine/
仲見世通り [なかみせどおり] /(n) shopping street in the precincts of a shrine (temple)/
仲好 [なかよし] /(io) (n,adj-na) intimate friend/close friend/bosom buddy/chum/
仲好し [なかよし] /(n,adj-na) intimate friend/close friend/bosom buddy/chum/
仲好し小好し [なかよしこよし] /(n) intimate friend/close friend/bosom buddy/chum/
仲裁 [ちゅうさい] /(n,vs,adj-no) arbitration/intercession/mediation/(P)/
仲裁々判 [ちゅうさいさいばん] /(n) arbitration/
仲裁裁定 [ちゅうさいさいてい] /(n) settlement by arbitration/
仲裁裁判 [ちゅうさいさいばん] /(n) arbitration/
仲裁裁判所 [ちゅうさいさいばんしょ] /(n) court of arbitration/
仲裁者 [ちゅうさいしゃ] /(n) arbitrator/mediator/
仲裁人 [ちゅうさいにん] /(n) arbitrator/mediator/
仲仕 [なかし] /(n) longshoreman/baggageman/
仲秋 [ちゅうしゅう] /(n) (1) 15th day of the 8th lunar month/
仲秋 [ちゅうじゅう] /(n) (1) 15th day of the 8th lunar month/
仲秋 [なかあき] /(n) (1) 15th day of the 8th lunar month/(2) (obs) eighth month of the lunar calendar/
仲春 [ちゅうしゅん] /(n) (1) (obs) second month of the lunar calendar/
仲人 [ちゅうにん] /(n) (1) go-between/matchmaker/
仲人 [なこうど] /(n) (1) go-between/matchmaker/(P)/
仲人を介して [なこうどをかいして] /(exp) through a matchmaker/
仲人を通して [なこうどをとおして] /(exp) through a go-between/
仲人口 [なこうどぐち] /(n) matchmaker's story/saying nice things about a person/
仲断 [ちゅうだん] /(n,vs) interruption/suspension/break/
仲値 [なかね] /(n) medium or average price/
仲直り [なかなおり] /(n,vs) reconciliation/make peace with/(P)/
仲店 [なかみせ] /(n) nakamise/shops lining a passageway in the precincts of a Shinto shrine/
仲冬 [ちゅうとう] /(n) (obs) eleventh month of the lunar calendar/
仲働き [なかばたらき] /(n) maid working for both the living quarter and kitchen/
仲買 [なかがい] /(n) brokerage/(P)/
仲買人 [なかがいにん] /(n) broker/jobber/
仲保 [ちゅうほ] /(n) mediation/intercession/
仲保者 [ちゅうほしゃ] /(n) mediator/intercessor/
仲睦まじい [なかむつまじい] /(n) harmonious/intimate/
仲立 [なかだち] /(io) (n,vs) mediation/agency/agent/mediator/middleman/go-between/
仲立ち [なかだち] /(n,vs) mediation/agency/agent/mediator/middleman/go-between/
仲立ち営業 [なかだちえいぎょう] /(n) brokerage company/
仲立営業 [なかだちえいぎょう] /(io) (n) brokerage company/
仲立会員 [なかだちかいいん] /(n) (osb:) stock exchange member who facilitates trading by matching buy and sell orders (similar to an NYSE specialist)/
仲立業 [なかだちぎょう] /(n) (abbr) brokerage company/
仲立人 [なかだちにん] /(n) middleman/mediator/go-between/
仲良く [なかよく] /(adv,n,vs) making friends with/getting along well with/on cordial terms/(P)/
仲良し [なかよし] /(n,adj-na) intimate friend/close friend/bosom buddy/chum/(P)/
仲良しこよし [なかよしこよし] /(n) intimate friend/close friend/bosom buddy/chum/
仲呂 [ちゅうりょ] /(n) (1) (in China) 6th note of the ancient chromatic scale (approx. G)/(2) fourth lunar month/
仲呂 [ちゅうろ] /(n) (1) (in China) 6th note of the ancient chromatic scale (approx. G)/(2) fourth lunar month/
宙 [ちゅう] /(n) space/air/midair/(P)/
宙づり [ちゅうづり] /(n) hanging in midair/suspended in midair/
宙で読む [ちゅうでよむ] /(v5m) to recite from memory/
宙に浮く [ちゅうにうく] /(exp,v5k) to float in the air/
宙ぶらりん [ちゅうぶらりん] /(adj-na,adj-no) dangling/hanging/suspended/
宙域 [ちゅういき] /(n) sector (of space)/
宙乗り [ちゅうのり] /(n) midair stunt/aerial stunts/
宙吊り [ちゅうづり] /(n) hanging in midair/suspended in midair/
宙釣り [ちゅうづり] /(n) hanging in midair/suspended in midair/
宙返り [ちゅうがえり] /(n,vs) somersault/looping-the-loop/(P)/
忠 [ちゅう] /(n) loyalty/devotion/fidelity/faithfulness/
忠なる [ちゅうなる] /(exp) devoted/loyal/true/faithful/
忠愛 [ちゅうあい] /(n) loyalty/devotion/
忠義 [ちゅうぎ] /(adj-na,n) loyalty/devotion/(P)/
忠義一徹 [ちゅうぎいってつ] /(n,adj-na) staunch (steadfast, single-hearted) in one's devotion to his master (lord)/
忠義一途 [ちゅうぎいちず] /(n,adj-na) staunch (steadfast, single-hearted) in one's devotion to his master (lord)/
忠義立て [ちゅうぎだて] /(n) loyalty/loyal deed/
忠勤 [ちゅうきん] /(n) loyalty/loyal (faithful) service/
忠君 [ちゅうくん] /(n) loyalty to one's ruler/
忠君愛国 [ちゅうくんあいこく] /(n) loyalty and patriotism/
忠犬 [ちゅうけん] /(n) faithful dog (Hachiko)/
忠言 [ちゅうげん] /(n) (good) advice/
忠言逆耳 [ちゅうげんぎゃくじ] /(exp) good advice is harsh to the ears/honest advice is often unpleasant to the ears/
忠言耳に逆らう [ちゅうげんみみにさからう] /(exp) (id) Good advice is harsh to the ear/
忠孝 [ちゅうこう] /(n) loyalty and filial piety/
忠孝仁義 [ちゅうこうじんぎ] /(n) loyalty, filial piety, humanity, and justice/
忠告 [ちゅうこく] /(n,vs,adj-no) advice/warning/(P)/
忠告に従う [ちゅうこくにしたがう] /(exp,v5u) to follow advice/to act upon advice/
忠魂 [ちゅうこん] /(n) loyalty/the loyal dead/
忠魂碑 [ちゅうこんひ] /(n) monument to the faithful who died in battle/
忠実 [ちゅうじつ] /(adj-na) (1) faithful/loyal/devoted/(P)/
忠実 [まめ] /(adj-na) (1) faithful/loyal/devoted/(2) (uk) hardworking/painstaking/diligent/(3) healthy/fit/(P)/
忠実さ [ちゅうじつさ] /(n) fidelity/faithfulness/loyalty/
忠実な僕 [ちゅうじつなしもべ] /(n) faithful servant/
忠実忠実しい [まめまめしい] /(adj-i) (uk) hardworking/painstaking/diligent/conscientious/sincere/
忠実度 [ちゅうじつど] /(n) fidelity/
忠純 [ちゅうじゅん] /(n) faithfulness and purity/unswerving loyalty/
忠順 [ちゅうじゅん] /(n) homage/
忠恕 [ちゅうじょ] /(n) sincerity and consideration/
忠信 [ちゅうしん] /(n) faithfulness/devotion/
忠臣 [ちゅうしん] /(n) loyal retainer/loyal subject/(P)/
忠臣蔵 [ちゅうしんぐら] /(n) performance or narrative based on the story of the Forty-seven Ronin (esp. the Kanadehon Chushingura, an epic puppet play first performed in 1748)/
忠誠 [ちゅうせい] /(adj-na,n) loyalty/sincerity/(P)/
忠誠を誓う [ちゅうせいをちかう] /(exp,v5u) to pledge allegiance/to swear an oath of allegiance/to take an oath of allegiance/
忠誠心 [ちゅうせいしん] /(n) loyalty/faithfulness/
忠節 [ちゅうせつ] /(n) loyalty/allegiance/fidelity/
忠僕 [ちゅうぼく] /(n) faithful servant/
忠勇 [ちゅうゆう] /(adj-na,n) loyalty and bravery/
忠勇無双 [ちゅうゆうむそう] /(n,adj-no) of peerless loyalty and bravery/
忠良 [ちゅうりょう] /(adj-na,n) loyalty/
忠霊 [ちゅうれい] /(n) the loyal dead/
忠霊塔 [ちゅうれいとう] /(n) monument to the faithful who died in battle/
忠烈 [ちゅうれつ] /(n) unswerving loyalty/
抽き出し [ひきだし] /(n) (1) drawer/(2) withdrawal/drawing out/
抽せん [ちゅうせん] /(n,vs) lottery/raffle/drawing (of lots)/
抽せん券 [ちゅうせんけん] /(n) lottery ticket/
抽出 [ちゅうしゅつ] /(n,vs,adj-no) (1) extraction/abstraction/(2) selection (from a group)/sampling/eduction/(P)/
抽出し [ひきだし] /(n) (1) drawer/(2) withdrawal/drawing out/
抽出モード [ちゅうしゅつモード] /(n) (comp) sample mode/
抽出規準 [ちゅうしゅつきじゅん] /(n) (comp) selection criteria/
抽出条件 [ちゅうしゅつじょうけん] /(n) (comp) extraction condition/
抽出物 [ちゅうしゅつぶつ] /(n) extract (from)/
抽出法 [ちゅうしゅつほう] /(n) sampling (i.e. as a survey method)/
抽象 [ちゅうしょう] /(adj-na,n,adj-no) abstract/(P)/
抽象アソシエーション [ちゅうしょうアソシエーション] /(n) (comp) abstract-association/
抽象データ型 [ちゅうしょうデータがた] /(n) (comp) abstract data type/
抽象化 [ちゅうしょうか] /(n,vs) abstraction/
抽象画 [ちゅうしょうが] /(n) abstract painting/
抽象芸術 [ちゅうしょうげいじゅつ] /(n) abstract art/
抽象結合パラメタ [ちゅうしょうけつごうパラメタ] /(n) (comp) abstract-bind-parameters/
抽象結合解放パラメタ [ちゅうしょうけつごうかいほうパラメタ] /(n) (comp) abstract-unbind-parameters/
抽象構文 [ちゅうしょうこうぶん] /(n) (comp) abstract syntax/
抽象構文名 [ちゅうしょうこうぶんめい] /(n) (comp) abstract syntax name/
抽象代数学 [ちゅうしょうだいすうがく] /(n) (math) abstract algebra/modern algebra/
抽象的 [ちゅうしょうてき] /(adj-na) abstract/(P)/
抽象的Ｎサービスプリミティブ [ちゅうしょうてきエンサービスプリミティブ] /(n) (comp) abstract (N)-service-primitive/(N)-ASP/
抽象的試験項目 [ちゅうしょうてきしけんこうもく] /(n) (comp) abstract test case/
抽象的試験項目群 [ちゅうしょうてきしけんこうもくぐん] /(n) (comp) abstract test suite/
抽象的試験方法論 [ちゅうしょうてきしけんほうほうろん] /(n) (comp) abstract testing methodology/
抽象的人間労働 [ちゅうしょうてきにんげんろうどう] /(n) abstract human labour/abstract human labor/
抽象美術 [ちゅうしょうびじゅつ] /(n) abstract art/
抽象名詞 [ちゅうしょうめいし] /(n) (ling) abstract noun/
抽象論 [ちゅうしょうろん] /(n) an abstract argument/
抽水植物 [ちゅうすいしょくぶつ] /(n) emergent plant/
抽選 [ちゅうせん] /(n,vs) lottery/raffle/drawing (of lots)/(P)/
抽選券 [ちゅうせんけん] /(n) lottery ticket/
抽斗 [ひきだし] /(oK) (n) (1) drawer/(2) withdrawal/drawing out/
抽筒子 [ちゅうとうし] /(n) extractor (rifle)/
抽筒子痕 [ちゅうとうしこん] /(n) extractor mark (on a cartridge)/
抽籤 [ちゅうせん] /(oK) (n,vs) lottery/raffle/drawing (of lots)/
抽籤券 [ちゅうせんけん] /(n) lottery ticket/
昼 [ひる] /(n-adv,n-t) (1) noon/midday/(2) daytime/(3) lunch/(P)/
昼ごはん [ひるごはん] /(n) lunch/midday meal/
昼ご飯 [ひるごはん] /(n) lunch/midday meal/
昼めし [ひるめし] /(n) lunch/midday meal/
昼も夜も [ひるもよるも] /(n) day and night/
昼下がり [ひるさがり] /(n) early afternoon/(P)/
昼過ぎ [ひるすぎ] /(n-t) just past noon/afternoon/(P)/
昼間 [ちゅうかん] /(n-adv,n-t) daytime/during the day/time from sunrise until sunset/diurnal period/
昼間 [ひるま] /(n-adv,n-t) daytime/during the day/time from sunrise until sunset/diurnal period/(P)/
昼間時数 [ちゅうかんじすう] /(n) daytime hours/
昼間人口 [ちゅうかんじんこう] /(n) daytime population/
昼間託児所 [ちゅうかんたくじしょ] /(n) day-care center/day-care centre/
昼顔 [ひるがお] /(n) Japanese bindweed (Calystegia japonica)/
昼休み [ひるやすみ] /(n-adv,n-t) lunch break/noon recess/noon rest period/(P)/
昼興行 [ひるこうぎょう] /(n) matinee/
昼勤 [ひるきん] /(n) day shift/
昼御飯 [ひるごはん] /(n) lunch/midday meal/
昼光 [ちゅうこう] /(n) daylight/
昼光色 [ちゅうこうしょく] /(n) daylight color/daylight colour/
昼光色電球 [ちゅうこうしょくでんきゅう] /(n) daylight lamp/
昼行性 [ちゅうこうせい] /(n) (1) diurnality/daytime activity/(adj-no) (2) diurnal/
昼行灯 [ひるあんどん] /(n) person who does not stand out/(useless as) a lantern at noon day/
昼頃 [ひるごろ] /(n-t) about noon/
昼三 [ちゅうさん] /(n) highest ranking prostitute in Yoshiwara (from the Houreki era onward)/
昼餐 [ちゅうさん] /(n) luncheon/
昼時 [ひるどき] /(n-t) noon/lunch time/
昼尚暗い [ひるなおくらい] /(adj-i) dark even in the daytime/
昼食 [ちゅうしょく] /(n) (1) lunch/midday meal/(2) food served at a tea party (tea ceremony)/(P)/
昼食 [ちゅうじき] /(n) (1) lunch/midday meal/(2) food served at a tea party (tea ceremony)/
昼食 [ひるげ] /(n) (1) lunch/midday meal/(2) food served at a tea party (tea ceremony)/
昼食会 [ちゅうしょくかい] /(n) luncheon meeting/
昼食後 [ちゅうしょくご] /(n-adv,n-t) after lunch/
昼食時 [ちゅうしょくじ] /(n) lunch time/
昼食代 [ちゅうしょくだい] /(n) lunch price/
昼寝 [ひるね] /(n,vs) nap (afternoon)/siesta/(P)/
昼席 [ひるせき] /(n) matinee (performance)/
昼前 [ひるまえ] /(n-adv,n-t) forenoon/just before noon/(P)/
昼中 [ひるなか] /(n-t) daytime/
昼鳶 [ひるとんび] /(n) sneak thief/
昼日中 [ひるひなか] /(n-adv,n-t) daytime/noon/
昼飯 [ちゅうはん] /(n) lunch/midday meal/
昼飯 [ひるはん] /(n) lunch/midday meal/
昼飯 [ひるめし] /(n) lunch/midday meal/(P)/
昼夜 [ちゅうや] /(adv,n,adj-no) day and night/(P)/
昼夜を舎かず [ちゅうやをおかず] /(exp) continuing day and night/
昼夜を分かたず [ちゅうやをわかたず] /(adv) by day and night/day and night/
昼夜逆転 [ちゅうやぎゃくてん] /(n,vs) one's days and nights being reversed/
昼夜兼行 [ちゅうやけんこう] /(n) around-the-clock/(working) day and night/
昼夜帯 [ちゅうやおび] /(n) women's obi with a different colour on each side (originally black and white)/
昼猶暗い [ひるなおくらい] /(adj-i) dark even in the daytime/
昼礼 [ちゅうれい] /(n) afternoon assembly (at a company, etc.)/
昼寐 [ひるね] /(n) siesta/
昼餉 [ひるげ] /(n) (1) lunch/midday meal/(2) food served at a tea party (tea ceremony)/
柱 [じ] /(n,n-suf) (1) bridge (of a koto, etc.)/
柱 [じゅう] /(n) fret (of a biwa)/
柱 [ちゅう] /(n,n-suf) (1) bridge (of a koto, etc.)/(2) cylinder/prism/
柱 [はしら] /(n) (1) pillar/post/(2) support/prop/mainstay/(suf,ctr) (3) counter for buddhas, gods, nobles, etc./(P)/
柱間 [はしらま] /(n,adj-no) bay (space or distance between two pillars)/
柱時計 [はしらどけい] /(n) wall clock/
柱書 [はしらがき] /(n) introductory clause of a law, patent, etc./chapeau/main paragraph/
柱書き [はしらがき] /(n) introductory clause of a law, patent, etc./chapeau/main paragraph/
柱状 [ちゅうじょう] /(n) in the shape of a pillar or column/
柱石 [ちゅうせき] /(n) pillar/cornerstone/
柱礎 [ちゅうそ] /(n) plinth/
柱体 [ちゅうたい] /(n) cylinder/prism/
柱頭 [ちゅうとう] /(n,adj-no) (1) capital of column/(2) stigma (the top of the pistil in plants)/
柱面 [ちゅうめん] /(n) cylindrical surface/
柱暦 [はしらごよみ] /(n) small calendar (or almanac) affixed to a pillar or wall/
柱廊 [ちゅうろう] /(n) pillared corridor/
注 [ちゅう] /(n,vs) annotation/explanatory note/comment/(P)/
注ぎいれる [そそぎいれる] /(v1) to pour into/
注ぎ口 [つぎくち] /(n) spout/
注ぎ口 [つぎぐち] /(n) spout/
注ぎ込む [そそぎこむ] /(v5m,vt) to pour into (liquids)/to pump into/(P)/
注ぎ込む [つぎこむ] /(v5m,vt) to invest in/to sink money into/to put into/to lay out (funds)/to inject/to impregnate/to infuse/to instill/to implant/to imbue/to focus (attention, efforts)/(P)/
注ぎ足す [つぎたす] /(v5s) to top up (drinks, water, rice, etc.)/to replenish/
注ぎ入れる [そそぎいれる] /(v1) to pour into/
注ぐ [そそぐ] /(v5g) (1) to pour (into)/to fill/(2) to sprinkle on from above/to shed (e.g. tears)/(3) to concentrate one's spirit or strength on/(v5g,vi) (4) to fall onto (of rain, snow)/(P)/
注ぐ [つぐ] /(v5g,vt) (uk) (usu. written as kana when referring to a solid) to pour (into a vessel)/to fill/to dish out food or drink/(P)/
注す [さす] /(v5s,vt) to pour (drink)/to serve (drinks)/(P)/
注する [ちゅうする] /(vs-s,vt) (1) (arch) to annotate/(2) to write down/
注意 [ちゅうい] /(n,vs) caution/being careful/attention (heed)/warning/advice/(P)/
注意をひく [ちゅういをひく] /(exp,v5k) to attract attention/
注意を逸らす [ちゅういをそらす] /(exp,v5s) to distract a person's attention/
注意を引く [ちゅういをひく] /(exp,v5k) to attract attention/
注意を惹く [ちゅういをひく] /(exp,v5k) to attract attention/
注意を集中 [ちゅういをしゅうちゅう] /(exp,vs) concentrating one's attention/being engrossed in/
注意を促す [ちゅういをうながす] /(exp,v5s) to call a person's attention (to)/
注意を怠る [ちゅういをおこたる] /(exp,v5r) to be off one's guard/
注意を注ぐ [ちゅういをそそぐ] /(exp,v5g) to pay attention/
注意を払う [ちゅういをはらう] /(exp,v5u) to pay attention (to)/
注意喚起 [ちゅういかんき] /(n,vs,adj-f) reminder/call for attention/alert/heads-up/
注意義務 [ちゅういぎむ] /(n) duty of care/
注意欠陥多動性障害 [ちゅういけっかんたどうせいしょうがい] /(n) attention deficit hyperactivity disorder/ADHD/
注意欠如多動性障害 [ちゅういけつじょたどうせいしょうがい] /(n) attention deficit hyperactivity disorder/ADHD/
注意散漫 [ちゅういさんまん] /(n) inattention/distraction/
注意事項 [ちゅういじこう] /(n) important points/
注意集中 [ちゅういしゅうちゅう] /(n) concentration (of one's attention)/
注意書 [ちゅういがき] /(io) (n) notes/instructions/
注意書 [ちゅういしょ] /(n) directions/advisory/notice/warning/
注意書き [ちゅういがき] /(n) notes/instructions/
注意深い [ちゅういぶかい] /(adj-i) careful/(P)/
注意人物 [ちゅういじんぶつ] /(n) blacklisted person/person who requires watching/
注意点 [ちゅういてん] /(n) important point/point to make note of/
注意報 [ちゅういほう] /(n) warning (e.g. for a storm)/advisory/(P)/
注意力 [ちゅういりょく] /(n) attentiveness/
注意力欠如障害 [ちゅういりょくけつじょしょうがい] /(n) attention-deficit disorder/ADD/
注意力不足活動過多症 [ちゅういりょくふそくかつどうかたしょう] /(n) attention deficit-hyperactivity disorder/ADHD/
注解 [ちゅうかい] /(n,vs) gloss/explanatory notes/annotation/
注解者 [ちゅうかいしゃ] /(n) an annotator/
注記 [ちゅうき] /(n,vs) annotation/explanatory note/
注記テキスト [ちゅうきテキスト] /(n) (comp) annotation text relative/
注記行 [ちゅうきぎょう] /(n) (comp) comment line/
注記項 [ちゅうきこう] /(n) (comp) comment-entry/
注記様式 [ちゅうきようしき] /(n) (comp) annotation style/
注視 [ちゅうし] /(n,vs,adj-no) gazing steadily at/observing (a person) closely/maintain a watch over/
注射 [ちゅうしゃ] /(n,vs) injection/(P)/
注射をうつ [ちゅうしゃをうつ] /(exp,v5t) to inject/
注射を打つ [ちゅうしゃをうつ] /(exp,v5t) to inject/
注射液 [ちゅうしゃえき] /(n) an injection/
注射器 [ちゅうしゃき] /(n) injector/syringe/
注射針 [ちゅうしゃばり] /(n) a needle/
注釈 [ちゅうしゃく] /(n,vs) notes/comment/remark/annotation/(P)/
注釈者 [ちゅうしゃくしゃ] /(n) annotator/
注釈書 [ちゅうしゃくしょ] /(n) annotated edition/
注釈宣言 [ちゅうしゃくせんげん] /(n) (comp) comment declaration/
注進 [ちゅうしん] /(n,vs) information/making a report (to a superior)/
注水 [ちゅうすい] /(n,vs) pouring water/flooding/douche/
注疏 [ちゅうそ] /(n) detailed commentary/
注疎 [ちゅうそ] /(n) detailed commentary/
注入 [ちゅうにゅう] /(n,vs) pouring/injection/(P)/
注入教育 [ちゅうにゅうきょういく] /(n) teaching by rote/
注文 [ちゅうもん] /(n,vs,adj-no) order/request/(P)/
注文取り [ちゅうもんとり] /(n) order-taking/salesperson/
注文書 [ちゅうもんしょ] /(n) written order/order form/
注文先 [ちゅうもんさき] /(n) recipient of an order/
注文相撲 [ちゅうもんずもう] /(n) sumo bout that goes according to a wrestler's strategy/match that goes according to one's plan/
注文通り [ちゅうもんどおり] /(n) as ordered/
注文品 [ちゅうもんひん] /(n) ordered goods/
注文不可 [ちゅうもんふか] /(adj-na) cannot be taken (order)/
注文服 [ちゅうもんふく] /(n) custom-made clothing/
注文方法 [ちゅうもんほうほう] /(n) method of ordering/procedures for ordering/
注目 [ちゅうもく] /(n,vs) notice/attention/observation/(P)/
注目に値する [ちゅうもくにあたいする] /(exp,vs-s) to be noteworthy/to be worthy of attention/
注目を引く [ちゅうもくをひく] /(exp,v5k) to make a splash/to draw attention/
注目を集める [ちゅうもくをあつめる] /(exp,v1) to gather (attract, receive) attention/to have a high profile/to gain prominence/to become popular/
注目株 [ちゅうもくかぶ] /(n) hot stock/
注油 [ちゅうゆ] /(n,vs) oiling/lubrication/
注力 [ちゅうりょく] /(n,vs) focus of one's attention (on a specific field)/commitment to something/
注連 [しめ] /(iK) (n) (1) (Shinto) rope used to cordon off consecrated areas or as a talisman against evil/(2) (arch) cordoned off/
注連飾 [しめかざり] /(n) decorating shrines and gates with shimenawa ropes for the New Year/
注連飾り [しめかざり] /(n) decorating shrines and gates with shimenawa ropes for the New Year/
注連縄 [しめなわ] /(n) (Shinto) rope used to cordon off consecrated areas or as a talisman against evil/
虫 [むし] /(n) insect/bug/cricket/moth/worm/(P)/
虫えい [ちゅうえい] /(n) gall (abnormal plant growth formed by insects)/
虫がいい [むしがいい] /(exp,adj-i) selfish/asking too much/
虫がつく [むしがつく] /(exp,v5k) to become verminous/to be infested with insects/to begin to keep bad company/to have an (unfavorable, unfavourable) lover/
虫が好かない [むしがすかない] /(exp) disliking/having an antipathy to/
虫が知らせる [むしがしらせる] /(exp,v1) to forebode/to have a presentiment/
虫が付く [むしがつく] /(exp,v5k) to become verminous/to be infested with insects/to begin to keep bad company/to have an (unfavorable, unfavourable) lover/
虫が良い [むしがいい] /(exp,adj-i) selfish/asking too much/
虫けら [むしけら] /(n) worm/insect/
虫ず [むしず] /(n) (1) heartburn/(2) strong sense of disgust/
虫ずが走る [むしずがはしる] /(exp,v5r) to be disgusted with (wouldn't touch with a pair of tongs)/to loathe/
虫とり [むしとり] /(n) insect catching/bug catching/
虫のいい [むしのいい] /(exp,adj-i) selfish/
虫の音 [むしのね] /(exp) calls and sounds made by insects/
虫の居所が悪い [むしのいどころがわるい] /(exp) being in a bad mood/
虫の息 [むしのいき] /(exp,n) faint breath/dying whisper/at death's door/
虫の知らせ [むしのしらせ] /(exp,n) foreboding/
虫の良い [むしのいい] /(exp,adj-i) selfish/
虫も殺さぬ [むしもころさぬ] /(exp) innocent-looking/looking as though butter would not melt in the mouth/
虫よけ [むしよけ] /(n) insecticide/insect repellent/
虫を殺す [むしをころす] /(exp,v5s) to control one's temper/
虫ゴム [むしゴム] /(n) valve rubber/
虫ピン [むしピン] /(n) pin (esp. for mounting insects)/setting pin/
虫メガネ [むしメガネ] /(n) (1) magnifying glass/(2) (sl) sumo wrestler of the lowest rank/
虫引虻 [むしひきあぶ] /(n) (uk) robber fly (any fly of family Asilidae)/
虫曳虻 [むしひきあぶ] /(n) (uk) robber fly (any fly of family Asilidae)/
虫押え [むしおさえ] /(n) children's medicine for nervousness/snack for an empty stomach/
虫下し [むしくだし] /(n) deworming medicine/
虫害 [ちゅうがい] /(n) insect damage/
虫干し [むしぼし] /(n,vs) airing out/
虫眼鏡 [むしめがね] /(n) (1) magnifying glass/(2) (sl) sumo wrestler of the lowest rank/
虫気 [むしけ] /(n) nervous weakness/
虫魚 [ちゅうぎょ] /(n) insects and fish/
虫喰い [むしくい] /(n) (1) worm-eaten/(2) (uk) leaf warbler (any bird of genus Phylloscopus)/
虫酸 [むしず] /(n) (1) heartburn/(2) strong sense of disgust/
虫酸が走る [むしずがはしる] /(exp,v5r) to be disgusted with (wouldn't touch with a pair of tongs)/to loathe/
虫刺され [むしさされ] /(n) insect bite/bug bite/sting/
虫歯 [むしば] /(n,adj-no) cavity/tooth decay/decayed tooth/caries/(P)/
虫取り [むしとり] /(n) insect catching/bug catching/
虫狩 [むしかり] /(n) (uk) viburnum/Viburnum furcatum/
虫除け [むしよけ] /(n) insecticide/insect repellent/(P)/
虫食い [むしくい] /(n) (1) worm-eaten/(2) (uk) leaf warbler (any bird of genus Phylloscopus)/
虫食い歯 [むしくいば] /(n) a decayed tooth/
虫食む [むしばむ] /(v5m,vi) to eat into (e.g. by worms)/to spoil/to ruin/to undermine/
虫垂 [ちゅうすい] /(n) (vermiform) appendix/
虫垂炎 [ちゅうすいえん] /(n) appendicitis/
虫送り [むしおくり] /(n) torch procession to drive away crop-eating insects/
虫唾 [むしず] /(n) (1) heartburn/(2) strong sense of disgust/
虫唾が走る [むしずがはしる] /(exp,v5r) to be disgusted with (wouldn't touch with a pair of tongs)/to loathe/
虫媒花 [ちゅうばいか] /(n) entomophilous flower/
虫売り [むしうり] /(n) (arch) insect peddler (esp. fireflies and crickets)/
虫封じ [むしふうじ] /(n) incantation to rid a child of worms/
虫腹 [むしばら] /(n) stomach pain due to worms/
虫偏 [むしへん] /(n) kanji "insect" radical at left/
虫薬 [むしぐすり] /(n) children's medicine for nervousness/
虫様突起炎 [ちゅうようとっきえん] /(n) appendicitis/
虫卵 [ちゅうらん] /(n) (1) insect egg/insect eggs/(2) parasite egg/parasite eggs/
虫類 [ちゅうるい] /(n) worms and insects/
虫篭 [むしかご] /(iK) (n) insect cage/
虫籠 [むしかご] /(n) insect cage/
虫螻 [むしけら] /(n) worm/insect/
虫鰈 [むしがれい] /(n) (uk) roundnose flounder (Eopsetta grigorjewi)/
衷情 [ちゅうじょう] /(n) true heart/inner feelings/
衷心 [ちゅうしん] /(n) innermost feelings/(P)/
註 [ちゅう] /(n,vs) annotation/explanatory note/comment/
註する [ちゅうする] /(vs-s,vt) (1) (arch) to annotate/(2) to write down/
註解 [ちゅうかい] /(n,vs) gloss/explanatory notes/annotation/
註記 [ちゅうき] /(n,vs) annotation/commentary/
註釈 [ちゅうしゃく] /(n,vs) annotation/note/commentary/
註釈者 [ちゅうしゃくしゃ] /(n) annotator/commentator/
註疏 [ちゅうそ] /(n) notes, commentary/
註文 [ちゅうもん] /(n,vs,adj-no) order/request/
酎 [ちゅう] /(n) (abbr) shochu/
酎ハイ [ちゅうハイ] /(n) (uk) (abbr) shochu with tonic water/
鋳なおす [いなおす] /(v5s) to recast/to recoin/
鋳る [いる] /(v1,vt) to cast/to mint/to coin/(P)/
鋳貨 [ちゅうか] /(n) coinage/mintage/
鋳塊 [ちゅうかい] /(n) ingot/pig/
鋳掛 [いかけ] /(n) (1) tinkering/mending pots, pans, kettles/(2) (arch) man and woman walking together/couple walking together/
鋳掛け [いかけ] /(n) (1) tinkering/mending pots, pans, kettles/(2) (arch) man and woman walking together/couple walking together/
鋳掛け屋 [いかけや] /(n) a tinker/tinkerer/
鋳掛け屋の天秤棒 [いかけやのてんびんぼう] /(exp) (obsc) intrusive person/being intrusive/a tinker's shoulder pole/
鋳掛屋 [いかけや] /(n) a tinker/tinkerer/
鋳掛屋の天秤棒 [いかけやのてんびんぼう] /(exp) (obsc) intrusive person/being intrusive/a tinker's shoulder pole/
鋳金 [ちゅうきん] /(n) casting/
鋳型 [いがた] /(n) mold/mould/template/(P)/
鋳工 [ちゅうこう] /(n) metal caster/
鋳鋼 [ちゅうこう] /(n) cast steel/
鋳込 [いこみ] /(io) (n) casting/pouring/
鋳込み [いこみ] /(n) casting/pouring/
鋳込む [いこむ] /(v5m,vt) to cast in a mold (mould)/
鋳造 [ちゅうぞう] /(n,vs,adj-no) casting/founding/minting/(P)/
鋳造所 [ちゅうぞうしょ] /(n) a foundry/a mint/
鋳鍛鋼 [ちゅうたんこう] /(n) cast and forged steel/
鋳直し [いなおし] /(n) recasting/
鋳直す [いなおす] /(v5s) to recast/to recoin/
鋳潰す [いつぶす] /(v5s,vt) to melt down/
鋳鉄 [ちゅうてつ] /(n) cast iron/
鋳鉄管 [ちゅうてつかん] /(n) cast-iron pipe/
鋳物 [いもの] /(n) cast metal/casting/(P)/
鋳物師 [いものし] /(n) a caster or founder/
鋳片 [ちゅうへん] /(n) slab (e.g. in metal casting, smelting, etc.)/
駐伊 [ちゅうい] /(n) stationed in Italy/
駐英 [ちゅうえい] /(n) stationed or resident in the UK/
駐機場 [ちゅうきじょう] /(n) aircraft parking apron/
駐禁 [ちゅうきん] /(n) (abbr) no parking/
駐在 [ちゅうざい] /(n,vs) (1) residence/stay/(2) (abbr) residential police box/residential police box officer/(P)/
駐在員 [ちゅうざいいん] /(n) resident/inhabitant/
駐在所 [ちゅうざいしょ] /(n) police substation/residential police box/
駐支 [ちゅうし] /(adj-no) resident in China/
駐車 [ちゅうしゃ] /(n,vs,adj-no) parking (e.g. car)/(P)/
駐車違反 [ちゅうしゃいはん] /(n) parking violation/
駐車監視員 [ちゅうしゃかんしいん] /(n) parking inspector/parking police/
駐車監視員 [ちゅうしゃかんとくいん] /(n) parking inspector/parking police/
駐車禁止 [ちゅうしゃきんし] /(n) No Parking/
駐車場 [ちゅうしゃじょう] /(n) parking lot/parking place/(P)/
駐車料金 [ちゅうしゃりょうきん] /(n) parking fee/
駐退機 [ちゅうたいき] /(n) recoil brake/
駐停車 [ちゅうていしゃ] /(n,vs) stopping or parking a vehicle/
駐独 [ちゅうどく] /(n) stationed in Germany/
駐屯 [ちゅうとん] /(n,vs) stationing (troops)/occupancy/(P)/
駐屯所 [ちゅうとんじょ] /(n) military station/post/
駐屯地 [ちゅうとんち] /(n) garrison/
駐日 [ちゅうにち] /(n) resident in Japan/(P)/
駐日大使 [ちゅうにちたいし] /(n) ambassador to Japan/
駐仏 [ちゅうふつ] /(n) stationed in France/resident to France (e.g. of Ambassadors, etc.)/
駐兵 [ちゅうへい] /(n,vs) stationing of troops/
駐米 [ちゅうべい] /(n) being stationed or resident in the USA/
駐留 [ちゅうりゅう] /(n,vs) stationing (e.g. of troops)/garrison/(P)/
駐留軍 [ちゅうりゅうぐん] /(n) stationed troops/
駐留部隊 [ちゅうりゅうぶたい] /(n) garrisoned forces/
駐輪 [ちゅうりん] /(n,vs) parking one's bicycle/
駐輪場 [ちゅうりんじょう] /(n) parking area for bicycles/
樗才 [ちょさい] /(n) (1) (uk) deadwood/(2) (uk) (hum) useless person/
樗材 [ちょざい] /(n) (1) (uk) deadwood/(2) (uk) (hum) useless person/
瀦溜 [ちょりゅう] /(n,vs) accumulation/retention/collection/sequestration (as in carbon dioxide sequestration)/storage (usually a liquid, e.g. rainwater, or behind a dam.)/
猪 [い] /(n) (arch) hog (esp. a wild boar, but also including the domesticated pig)/
猪 [いのしし] /(n) (uk) wild boar/(P)/
猪 [しし] /(n) (1) (arch) beast (esp. one used for its meat, such as a boar or a deer)/(2) (abbr) hunting (of animals such as boar, deer, etc.)/
猪の子 [いのこ] /(n) (1) (arch) wild boar/(2) infant wild boar/(3) pig/
猪牙舟 [ちょきぶね] /(n) long, thin, roofless small boat (used as a river taxi during the Edo period)/
猪口 [ちょこ] /(n) (uk) small cup/sake cup/
猪口才 [ちょこざい] /(adj-na,n) impertinence/
猪子 [いのこ] /(n) (1) (arch) wild boar/(2) infant wild boar/(3) pig/
猪狩 [ししがり] /(n) hunting (of animals such as boar, deer, etc.)/
猪狩り [ししがり] /(n) hunting (of animals such as boar, deer, etc.)/
猪首 [いくび] /(n) bull neck/
猪独活 [ししうど] /(n) (uk) pubescent angelica (Angelica pubescens)/
猪突 [ちょとつ] /(n,vs) recklessness/foolhardiness/
猪突猛進 [ちょとつもうしん] /(n,vs,adj-no) headlong/foolhardy/reckless/
猪武者 [いのししむしゃ] /(n) daredevil/foolhardy warrior/hotspur/
猪勇 [ちょゆう] /(n) (obsc) reckless courage comparable to that of a wild board/
苧 [お] /(ok) (n) (1) cannabis (Cannabis sativa)/hemp (plant)/(2) hemp (fiber)/linen/flax/jute/
苧 [からむし] /(n) (uk) ramie (Boehmeria nivea var. nipononivea)/
苧 [むし] /(n) (uk) ramie (Boehmeria nivea var. nipononivea)/
苧環 [おだまき] /(n) (uk) fan columbine (Aquilegia flabellata)/
苧実 [おのみ] /(n) (obsc) hemp seed/
苧麻 [からむし] /(n) (uk) ramie (Boehmeria nivea var. nipononivea)/
苧麻 [ちょま] /(n) (uk) ramie (Boehmeria nivea var. nipononivea)/
苧麻 [まお] /(n) (uk) ramie (Boehmeria nivea var. nipononivea)/
著 [ちょ] /(n) (1) work/book/(suf) (2) (a book) by/(3) obvious/striking/(P)/
著しい [いちじるしい] /(adj-i) remarkable/considerable/(P)/
著しく [いちじるしく] /(adv) considerably/remarkably/strikingly/
著す [あらわす] /(v5s,vt) to write/to publish/(P)/
著する [ちゃくする] /(vs-s,vi) (1) to arrive/to reach/(2) to adhere/(3) to insist on/(vs-s,vt) (4) to put on/to wear/
著る [きる] /(v1) (1) to wear (in modern Japanese, from the shoulders down)/to put on/(2) to bear (guilt, etc.)/
著わす [あらわす] /(v5s,vt) to write/to publish/(P)/
著作 [ちょさく] /(n,vs) writing/book/(P)/
著作家 [ちょさくか] /(n) writer/author/
著作権 [ちょさくけん] /(n) copyright/(P)/
著作権使用料 [ちょさくけんしようりょう] /(n) royalties/
著作権所有者 [ちょさくけんしょゆうしゃ] /(n) copyright holder/
著作権侵害 [ちょさくけんしんがい] /(n) infringement of copyright/(literary) piracy/
著作権侵害訴訟 [ちょさくけんしんがいそしょう] /(n) copyright infringement suit/
著作権図書館 [ちょさくけんとしょかん] /(n) (comp) copyright library/
著作権登録図書館 [ちょさくけんとうろくとしょかん] /(n) (comp) copyright library/
著作権保護期間 [ちょさくけんほごきかん] /(n) copyright protection period/
著作権法 [ちょさくけんほう] /(n) (Japanese) Copyright Act/
著作者 [ちょさくしゃ] /(n) writer/author/
著作者人格権 [ちょさくしゃじんかくけん] /(n) author's personal rights/moral rights/
著作集 [ちょさくしゅう] /(n) (comp) collection/
著作物 [ちょさくぶつ] /(n) written thing (e.g. book, musical composition)/works/
著者 [ちょしゃ] /(n) author (usu. of a particular book, etc.)/writer/(P)/
著述 [ちょじゅつ] /(n,vs) writing/literary work/
著述家 [ちょじゅつか] /(n) writer/
著述業 [ちょじゅつぎょう] /(n) the writing profession/
著書 [ちょしょ] /(n) literary work/book/(P)/
著書名 [ちょしょめい] /(n) title of a book/title of a literary work/
著大 [ちょだい] /(adj-na,n) exceptionally large/
著聞 [ちょぶん] /(n) something well-known throughout the world/
著聞 [ちょもん] /(n) something well-known throughout the world/
著名 [ちょめい] /(adj-na,n) well-known/noted/celebrated/(P)/
著名人 [ちょめいじん] /(n) celebrity/personality/prominent figure/
著明 [ちょめい] /(adj-na,n) clarity/
著莪 [しゃが] /(n) (uk) fringed iris (Iris japonica)/Japanese iris/
貯え [たくわえ] /(n) store/reserve/stock/savings/
貯える [たくわえる] /(v1,vt) (1) to store/to lay in stock/(2) to have a beard/to grow a beard/
貯まる [たまる] /(v5r,vi) to be saved up (e.g. money)/
貯める [ためる] /(v1,vt) to save (i.e. in a bank)/
貯め込む [ためこむ] /(v5m,vt) to save up/to stockpile/to stash away/to hoard/to amass/to salt away/
貯金 [ちょきん] /(n,vs) (bank) savings/(P)/
貯金を下ろす [ちょきんをおろす] /(exp,v5s) to withdraw one's savings/
貯金を殖やす [ちょきんをふやす] /(exp,v5s) to increase one's savings/
貯金局 [ちょきんきょく] /(n) (Japanese) Postal Savings Bureau/
貯金帳 [ちょきんちょう] /(n) (abbr) bank book/
貯金通帳 [ちょきんつうちょう] /(n) bank book/passbook/
貯金箱 [ちょきんばこ] /(n) savings box/bank/
貯水 [ちょすい] /(n,vs) storage of water/(P)/
貯水場 [ちょすいじょう] /(n) reservoir/water-storage facility/
貯水槽 [ちょすいそう] /(n) water tank/
貯水池 [ちょすいち] /(n) reservoir/(P)/
貯水量 [ちょすいりょう] /(n) volume of water kept in store/
貯蔵 [ちょぞう] /(n,vs) storage/preservation/(P)/
貯蔵タンク [ちょぞうタンク] /(n) storage tank/
貯蔵庫 [ちょぞうこ] /(n) storehouse/bunker/silo/
貯蔵室 [ちょぞうしつ] /(n) storeroom/stockroom/
貯蔵所 [ちょぞうしょ] /(n) storage place/
貯蔵品 [ちょぞうひん] /(n) supplies/stock/stored goods/
貯炭 [ちょたん] /(n,vs) storing coal/stored coal/
貯炭所 [ちょたんじょ] /(n) coal yard/
貯蓄 [ちょちく] /(n,vs) savings/(P)/
貯蓄のパラドックス [ちょちくのパラドックス] /(n) paradox of savings/
貯蓄関数 [ちょちくかんすう] /(n) saving function/savings function/
貯蓄債券 [ちょちくさいけん] /(n) savings bond/
貯蓄保険 [ちょちくほけん] /(n) savings insurance/
貯木 [ちょぼく] /(n) stock or supply of lumber/
貯木場 [ちょぼくじょう] /(n) lumberyard/
貯留 [ちょりゅう] /(n,vs) accumulation/retention/collection/sequestration (as in carbon dioxide sequestration)/storage (usually a liquid, e.g. rainwater, or behind a dam.)/
丁 [ちょう] /(ctr) (1) counter for sheets, pages, leaves, etc./(2) counter for blocks of tofu/counter for servings in a restaurant/(3) counter for long and narrow things such as guns, scissors, spades, hoes, inksticks, palanquins, candles, jinrikishas, shamisen, oars, etc./(n) (4) even number/(5) 109.09 m/
丁 [てい] /(n) 4th in rank/fourth sign of the Chinese calendar/
丁 [ひのと] /(n) 4th in rank/fourth sign of the Chinese calendar/
丁々 [ちょうちょう] /(adv,n) clashing of swords/felling of trees/ringing of an ax/
丁々 [とうとう] /(adv,n) clashing of swords/felling of trees/ringing of an ax/
丁々発止 [ちょうちょうはっし] /(adv,n) (sound) of clashing swords/(arguing) as fiercely as clashing and blocking swords/
丁か半か [ちょうかはんか] /(n) even or odd/
丁と [ちょうと] /(adv) with a clang/with a bang/with a crash/
丁亥 [ていがい] /(n) 24th of the sexagenary cycle/
丁卯 [ていぼう] /(n) fourth of the sexagenary cycle/
丁卯 [ひのとう] /(n) fourth of the sexagenary cycle/
丁丑 [ていちゅう] /(n) fourteenth of the sexagenary cycle/
丁丑 [ひのとのうし] /(n) fourteenth of the sexagenary cycle/
丁幾 [チンキ] /(ateji) (n) (uk) tincture/
丁銀 [ちょうぎん] /(n) Edo period silver coin shaped like a sea cucumber/
丁香 [ちょうこう] /(n) clove/
丁合 [ちょうあい] /(n) (1) (a) gathering/(2) sorting/collating/
丁合い [ちょうあい] /(n) (1) (a) gathering/(2) sorting/collating/
丁子 [ちょうじ] /(n) clove/
丁子油 [ちょうじゆ] /(n) clove oil/
丁字 [ちょうじ] /(n) clove/
丁字 [ていじ] /(n) letter "T"/
丁字形 [ていじけい] /(n) T-shaped/
丁字形定規 [ていじがたじょうぎ] /(n) T square/
丁字桜 [ちょうじざくら] /(n) (uk) clove cherry (Prunus apetala)/
丁字帯 [ていじたい] /(n) T bandage/
丁字定規 [ていじじょうぎ] /(n) T square/
丁字路 [ていじろ] /(n) T junction/
丁重 [ていちょう] /(adj-na,n) polite/courteous/hospitable/(P)/
丁数 [ちょうすう] /(n) number of pages/even numbers/
丁石 [ちょういし] /(n) roadside stone distance indicators placed at intervals of one cho (approx. 109 meters)/
丁稚 [でっち] /(n) apprentice/shop boy/
丁稚奉公 [でっちぼうこう] /(n,vs) apprenticeship/
丁丁 [ちょうちょう] /(adv,n) clashing of swords/felling of trees/ringing of an ax/
丁丁 [とうとう] /(adv,n) clashing of swords/felling of trees/ringing of an ax/
丁丁発止 [ちょうちょうはっし] /(adv,n) (sound) of clashing swords/(arguing) as fiercely as clashing and blocking swords/
丁定規 [ていじょうぎ] /(n) T square/
丁度 [ちょうど] /(adj-na,adv,n) (uk) just/right/exactly/(P)/
丁度いい [ちょうどいい] /(exp,adj-i) (uk) just right (time, size, length, etc.)/
丁度よい [ちょうどよい] /(exp,adj-i) (uk) just right (time, size, length, etc.)/
丁度良い [ちょうどいい] /(exp,adj-i) (uk) just right (time, size, length, etc.)/
丁度良い [ちょうどよい] /(exp,adj-i) (uk) just right (time, size, length, etc.)/
丁度良い時に [ちょうどよいときに] /(exp) (uk) none too soon/
丁酉 [ていゆう] /(n) 34th of the sexagenary cycle/thirty-fourth of the sexagenary cycle/
丁酉 [ひのととり] /(n) 34th of the sexagenary cycle/thirty-fourth of the sexagenary cycle/
丁寧 [ていねい] /(adj-na,n) polite/courteous/careful/care/kind/close/thorough/conscientious/(P)/
丁寧語 [ていねいご] /(n) (ling) polite language (i.e. masu, desu, etc.)/
丁寧懇切 [ていねいこんせつ] /(n,adj-na) (an explanation, advice, etc. being) kind, careful, and thorough/thoughtful and scrupulous/
丁寧体 [ていねいたい] /(n) polite style/polite Japanese/
丁年 [ていねん] /(n) adulthood (i.e. age 20 in Japan)/one's majority/
丁年者 [ていねんしゃ] /(n) adult/
丁半 [ちょうはん] /(n) odd and even numbers/dice game/gambling/
丁番 [ちょうばん] /(n) hinge/
丁付け [ちょうづけ] /(n) paging/pagination/numbering/
丁抹 [でんまーく] /(n) (uk) Denmark/
丁未 [ていび] /(n) 44th of the sexagenary cycle/
丁未 [ひのとひつじ] /(n) 44th of the sexagenary cycle/
丁巳 [ていし] /(n) 54th of the sexagenary cycle/
丁巳 [ひのとみ] /(n) 54th of the sexagenary cycle/
丁目 [ちょうめ] /(n) district of a town/city block (of irregular size)/(P)/
丁夜 [ていや] /(n) (arch) fourth division of the night (approx. 1 am to 3 am)/
丁髷 [ちょんまげ] /(n) (uk) topknot (hair style)/
兆 [ちょう] /(n) (1) sign/omen/indication/portent/(num) (2) 10^12/1,000,000,000,000/trillion (American)/(obs) billion (British)/(P)/
兆し [きざし] /(n) signs/omen/symptoms/(P)/
兆す [きざす] /(v5s,vi) to show signs (symptoms)/
兆候 [ちょうこう] /(n,adj-no) sign/indication/omen/symptom/(P)/
兆民 [ちょうみん] /(n) the whole nation/all the people/
凋む [しぼむ] /(v5m,vi) to wither/to fade (away)/to shrivel/to wilt/(P)/
凋残 [ちょうざん] /(adj-na,n) ruined blossoms/
凋尽 [ちょうじん] /(n) withering/decay/decline/
凋落 [ちょうらく] /(n,vs) decline/fall/decay/withering/
凋悴 [ちょうすい] /(n) becoming emaciated/
喋々喃々 [ちょうちょうなんなん] /(uK) (n,vs,adj-t,adv-to) (arch) billing and cooing/holding an intimate, long-winded conversation in whispers/
喋り [しゃべり] /(n) (uk) talk/chat/
喋る [しゃべる] /(v5r,vi) (uk) to talk/to chat/to chatter/(P)/
喋喋喃喃 [ちょうちょうなんなん] /(uK) (n,vs,adj-t,adv-to) (arch) billing and cooing/holding an intimate, long-winded conversation in whispers/
寵 [ちょう] /(n) favor/favour/affection/
寵愛 [ちょうあい] /(n,vs) favor/favour/affection/
寵愛こうじて尼にする [ちょうあいこうじてあまにする] /(exp,vs-i) (obsc) to love one's child too much for their own good (lit: to love one's daughter so much as to make her a nun)/
寵愛一身 [ちょうあいいっしん] /(n) standing highest in one's master's favor/monopolizing the affection (favor) of the lord/being the lord's favorite lady/
寵愛昂じて尼にする [ちょうあいこうじてあまにする] /(exp,vs-i) (obsc) to love one's child too much for their own good (lit: to love one's daughter so much as to make her a nun)/
寵愛昂じて尼になす [ちょうあいこうじてあまになす] /(exp,v5s) (obsc) to love one's child too much for their own good/to love one's daughter so much as to make her a nun/
寵幸 [ちょうこう] /(n) favor/favour/grace/
寵児 [ちょうじ] /(n) favorite child/favourite child/
寵臣 [ちょうしん] /(n) favored retainer/favoured retainer/
寵姫 [ちょうき] /(n) one's favorite mistress/one's favourite mistress/
寵物 [ちょうもつ] /(n) pet (thing)/favorite thing (toy, gadget, etc.)/
帖 [じょう] /(n) (1) folding book/(suf,ctr) (2) counter for units of paper and nori (48 pages of Mino paper; 20 pages of hanshi; 10 sheets of nori)/(3) counter for folding books, folding screens, shields, etc./(4) counter for pairs of curtains/(5) counter for tatami mats/
帖合 [ちょうあい] /(n) type of commission system in the book industry in Japan/
帳 [ちょう] /(n) book/register/
帳 [とばり] /(n) (uk) curtain/hanging/bunting/
帳元 [ちょうもと] /(n) (business) manager/
帳合 [ちょうあい] /(n) keeping accounts/balancing accounts/
帳消し [ちょうけし] /(n,vs) cancellation/writing off/(P)/
帳場 [ちょうば] /(n) reception/
帳場の者 [ちょうばのもの] /(n) reception clerk/
帳場格子 [ちょうばごうし] /(n) short two or three-fold lattice around the front desk of a store/
帳尻 [ちょうじり] /(n) closing part of a balance sheet/balance of accounts/
帳代 [ちょうだい] /(n) curtained sleeping platform in shinden-style residences (used by people of high rank)/
帳台 [ちょうだい] /(n) curtained sleeping platform in shinden-style residences (used by people of high rank)/
帳台構 [ちょうだいがまえ] /(n) ornamental doorway (in the raised area of a shoin-style reception suite)/
帳台構え [ちょうだいがまえ] /(n) ornamental doorway (in the raised area of a shoin-style reception suite)/
帳票 [ちょうひょう] /(n) report/form/
帳表 [ちょうひょう] /(n) ledger report/
帳付け [ちょうつけ] /(n,vs) bookkeeping/bookkeeper/
帳付け [ちょうづけ] /(n,vs) bookkeeping/bookkeeper/
帳簿 [ちょうぼ] /(n) account book/register/(P)/
帳簿につける [ちょうぼにつける] /(exp,v1) to enter in an account book/
帳簿に付ける [ちょうぼにつける] /(exp,v1) to enter in an account book/
帳簿価格 [ちょうぼかかく] /(n) book value/
帳本人 [ちょうほんにん] /(n) ringleader/
帳幕 [ちょうばく] /(n) (1) curtain/hanging/bunting/(2) place where a curtain is hung/
帳面 [ちょうめん] /(n) note book/account book/
帳面面 [ちょうめんづら] /(n) accounts/
庁 [ちょう] /(n,n-suf) government office/agency/board/(P)/
庁舎 [ちょうしゃ] /(n) government office building/(P)/
弔い [とぶらい] /(n) funeral/burial/condolence/
弔い [とむらい] /(n) funeral/burial/condolence/
弔い [ともらい] /(n) funeral/burial/condolence/
弔い合戦 [とむらいがっせん] /(n) battle of revenge/
弔う [とぶらう] /(v5u,vt) to mourn for/to hold a memorial service for/to condole/
弔う [とむらう] /(v5u,vt) to mourn for/to hold a memorial service for/to condole/(P)/
弔する [ちょうする] /(vs-s) to mourn/to condole/
弔意 [ちょうい] /(n,vs,adj-no) condolence/sympathy/mourning/(P)/
弔慰 [ちょうい] /(n,vs,adj-no) condolence/sympathy/mourning/
弔慰金 [ちょういきん] /(n) condolence money/
弔歌 [ちょうか] /(n) elegy/dirge/
弔花 [ちょうか] /(n) funeral flowers/
弔旗 [ちょうき] /(n) flag at half-mast/
弔客 [ちょうかく] /(n) people attending a funeral or offering condolences/
弔客 [ちょうきゃく] /(n) people attending a funeral or offering condolences/
弔祭 [ちょうさい] /(n,vs) memorial service/
弔祭料 [ちょうさいりょう] /(n) gift at a memorial service/
弔詞 [ちょうし] /(n) message of condolence/memorial address/
弔事 [ちょうじ] /(n) mourning/
弔辞 [ちょうじ] /(n) message of condolence/memorial address/(P)/
弔銃 [ちょうじゅう] /(n) volley of rifles at a funeral/
弔鐘 [ちょうしょう] /(n) funeral bell/
弔電 [ちょうでん] /(n) telegram of condolence/(P)/
弔文 [ちょうぶん] /(n) funeral address/
弔砲 [ちょうほう] /(n) artillery funeral salute/
弔問 [ちょうもん] /(n,vs) condolence call/(P)/
弔問客 [ちょうもんきゃく] /(n) condolence caller/
張 [ちょう] /(n) (1) (arch) Chinese "Extended Net" constellation (one of the 28 mansions)/(suf,ctr) (2) counter for objects with stretched strings (i.e. bows, kotos), curtains, papers, etc./
張り [はり] /(n) (1) stretch/tension/(2) resilience/springiness/tone/(3) will-power/pluck/pride/
張り [ばり] /(suf) (1) in the style of (esp. literary, artistic, etc. works)/reminiscent of/(2) attached or stretched on/(P)/
張りあげる [はりあげる] /(v1,vt) to raise (one's voice)/
張りつく [はりつく] /(v5k) to cling (to)/
張りつける [はりつける] /(v1,vt) (1) to paste/to stick/to affix/(2) to station/to post/
張りぼて [はりぼて] /(n) papier mache/(objects made of) laminated paper and-or cloth/
張りめぐらす [はりめぐらす] /(v5s,vt) to stretch around (e.g. a fence, dragnet, etc.)/to lay out (e.g. a wiring system, network, etc.)/to string up (e.g. an antenna, ship's rigging, etc.)/
張り詰める [はりつめる] /(v1,vi) to strain/to stretch/to string up/to make tense/to cover over/to freeze over/
張り見世 [はりみせ] /(n,vs) displaying prostitutes behind a grille/
張り合い [はりあい] /(n) competition/rivalry/something worth doing/
張り合いのない [はりあいのない] /(exp,adj-i) discouraging/disappointing/lacking in thrill/
張り合う [はりあう] /(v5u,vi) to rival/to compete with/
張り合わせる [はりあわせる] /(v1) to paste together/
張り込み [はりこみ] /(n) stakeout/
張り込む [はりこむ] /(v5m) to be on the lookout/to lie in wait/
張り札 [はりふだ] /(n,vs) poster/notice/
張り子 [はりこ] /(n) papier mache/
張り子の虎 [はりこのとら] /(n) paper tiger/
張り紙 [はりがみ] /(n) paper patch/paper backing/poster/sticker/label/(P)/
張り手 [はりて] /(n) slapping the opponent with the open hand (sumo)/
張り出 [はりだし] /(n) (1) notice/poster/overhang/(2) extra third or fourth wrestler of certain rank (sumo)/
張り出し [はりだし] /(n) (1) notice/poster/overhang/(2) extra third or fourth wrestler of certain rank (sumo)/
張り出す [はりだす] /(v5s,vi) (1) to project/to overhang/to stick out/to jut out/to overlie/(v5s,vt) (2) to put up (a notice)/to post/(P)/
張り巡らす [はりめぐらす] /(v5s,vt) to stretch around (e.g. a fence, dragnet, etc.)/to lay out (e.g. a wiring system, network, etc.)/to string up (e.g. an antenna, ship's rigging, etc.)/
張り上げる [はりあげる] /(v1,vt) to raise (one's voice)/
張り切る [はりきる] /(v5r) to be in high spirits/to be full of vigor (vigour)/to be enthusiastic/to be eager/to stretch to breaking point/(P)/
張り扇 [はりおうぎ] /(n) (uk) (paper fan used as) a slapstick/
張り扇 [はりせん] /(n) (uk) (paper fan used as) a slapstick/
張り替え [はりかえ] /(n,vs) re-upholstering/re-covering/repapering/
張り替える [はりかえる] /(v1,vt) to re-cover/to reupholster/to repaper/
張り店 [はりみせ] /(n,vs) displaying prostitutes behind a grille/
張り渡す [はりわたす] /(v5s) to string along (of rope, etc.)/
張り倒す [はりたおす] /(v5s,vt) to knock down/
張り抜き [はりぬき] /(n) papier-mache/
張り番 [はりばん] /(n) lookout/watch/
張り飛ばす [はりとばす] /(v5s,vt) to knock down/to send flying/
張り付く [はりつく] /(v5k) to cling (to)/
張り付ける [はりつける] /(v1,vt) (1) to paste/to stick/to affix/(2) to station/to post/
張り裂ける [はりさける] /(v1,vi) to burst (open)/to break/to split/
張る [はる] /(v5r) (1) to stick/to paste/to affix/to link (e.g. in WWW forums)/(2) to stretch/to spread/to strain/to tighten/(3) to form (e.g. ice on a pond)/(4) to fill/to swell/(5) to stick out/to put/to slap/(6) to be expensive/(P)/
張る [ばる] /(suf,v5r) (uk) to be prominently .../to be persistently .../
張形 [はりかた] /(n) penis-shaped device, traditionally made of horn, shell or papier mache/dildo/
張形 [はりがた] /(n) penis-shaped device, traditionally made of horn, shell or papier mache/dildo/
張見世 [はりみせ] /(n,vs) displaying prostitutes behind a grille/
張袴 [はりばかま] /(n) (arch) rigid hakama (for women)/hakama made from stiff cloth/
張合い [はりあい] /(n) competition/rivalry/something worth doing/
張札 [はりふだ] /(n,vs) poster/notice/
張三李四 [ちょうさんりし] /(n) the common run of men/the average Joe/good-for-nothing (person)/
張子 [はりこ] /(n) papier mache/
張紙 [はりがみ] /(n) paper patch/paper backing/poster/sticker/label/
張手 [はりて] /(n) slapping the opponent with the open hand (sumo)/
張宿 [ちりこぼし] /(n) Chinese "Extended Net" constellation (one of the 28 mansions)/
張出し [はりだし] /(n) (1) notice/poster/overhang/(2) extra third or fourth wrestler of certain rank (sumo)/
張出す [はりだす] /(v5s,vi) (1) to project/to overhang/to stick out/to jut out/to overlie/(v5s,vt) (2) to put up (a notice)/to post/
張星 [ちりこぼし] /(n) Chinese "Extended Net" constellation (one of the 28 mansions)/
張替 [はりかえ] /(n,vs) re-upholstering/re-covering/repapering/
張替え [はりかえ] /(n,vs) re-upholstering/re-covering/repapering/
張替える [はりかえる] /(v1,vt) to re-cover/to reupholster/to repaper/
張店 [はりみせ] /(n,vs) displaying prostitutes behind a grille/
張渡す [はりわたす] /(v5s) to string along (of rope, etc.)/
張板 [はりいた] /(n) plank used to dry wet clothes or paper/
張番 [はりばん] /(n) lookout/watch/
張付く [はりつく] /(v5k) to cling (to)/
張付ける [はりつける] /(v1,vt) (1) to paste/to stick/to affix/(2) to station/to post/
張本人 [ちょうほんにん] /(n) ringleader/originator/perpetrator/(P)/
張力 [ちょうりょく] /(n) tension/tensile strength/
張力計 [ちょうりょくけい] /(n) tensiometer/tensimeter/
張裂ける [はりさける] /(v1,vi) to burst (open)/to break/to split/
彫 [ほり] /(n) carving/engraving/
彫り [ほり] /(n) carving/engraving/
彫りつける [ほりつける] /(v1,vt) to carve (design)/
彫りの深い [ぼりのふかい] /(adj-i) finely chiseled (features)/
彫り刻む [ほりきざむ] /(v5m) to engrave/to carve/
彫り上げ [ほりあげ] /(n) relief work/embossing/
彫り上げる [ほりあげる] /(v1) to emboss/to carve in relief/to finish carving of engraving/
彫り上げ細工 [ほりあげざいく] /(n) relief work/embossing/
彫り付ける [ほりつける] /(v1,vt) to carve (design)/
彫り物 [ほりもの] /(n,vs) carving/engraving/sculpture/tattooing/
彫り物師 [ほりものし] /(n) engraver/carver/tattoo artist/
彫る [ほる] /(v5r,vt) (1) to carve/to engrave/to sculpt/to chisel/(2) to tattoo/(P)/
彫金 [ちょうきん] /(n,vs,adj-no) metal carving/engraving/(P)/
彫金家 [ちょうきんか] /(n) metal carver/chaser/engraver/
彫金師 [ちょうきんし] /(n) chaser/engraver/
彫工 [ちょうこう] /(n) carver/engraver/sculptor/
彫刻 [ちょうこく] /(n,vs) carving/engraving/sculpture/(P)/
彫刻家 [ちょうこくか] /(n) engraver/carver/sculptor/
彫刻界 [ちょうこくかい] /(n) sculpture circles/
彫刻具座 [ちょうこくぐざ] /(n) (constellation) Caelum/
彫刻師 [ちょうこくし] /(n) engraver/carver/
彫刻室座 [ちょうこくしつざ] /(n) (constellation) Sculptor/
彫刻術 [ちょうこくじゅつ] /(n) sculpture/engraving/the plastic art/
彫刻刀 [ちょうこくとう] /(n) graver/chisel/
彫刻版 [ちょうこくばん] /(n) engraving/
彫刻物 [ちょうこくぶつ] /(n) engraving/carving/statue/
彫心鏤骨 [ちょうしんるこつ] /(n) laborious work/lucubration/lucubrations/painstakingly polishing a piece of literary work/
彫塑 [ちょうそ] /(n,adj-no) (1) carving/engraving/(2) clay model/(3) plastic art/(P)/
彫塑術 [ちょうそじゅつ] /(n) the plastic art/
彫像 [ちょうぞう] /(n) sculpture/carved statue/graven image/(P)/
彫琢 [ちょうたく] /(n,vs) carving and polishing/
彫付ける [ほりつける] /(v1,vt) to carve (design)/
彫物 [ほりもの] /(n,vs) carving/engraving/sculpture/tattooing/
徴 [しるし] /(n) (1) mark/(2) symbol/(3) evidence/
徴 [ち] /(n) fourth degree (of the Japanese & Chinese pentatonic scale)/
徴す [しるす] /(v5s,vt) (1) to show a sign (i.e. an omen)/
徴する [ちょうする] /(vs-s,vt) (1) to collect/(2) to solicit/to seek/(3) to look for evidence/to check/to compare/(4) to summon/
徴候 [ちょうこう] /(n,adj-no) sign/indication/omen/symptom/(P)/
徴収 [ちょうしゅう] /(n,vs) collection/levy/(P)/
徴集 [ちょうしゅう] /(n,vs) levying/recruitment/
徴証 [ちょうしょう] /(n,vs) sign/token/
徴税 [ちょうぜい] /(n,vs) tax collection/taxation/(P)/
徴発 [ちょうはつ] /(n,vs) requisition/commandeering/
徴発令 [ちょうはつれい] /(n) requisition order/
徴表 [ちょうひょう] /(n) distinguishing mark/
徴兵 [ちょうへい] /(n,vs) conscription/recruitment/enlistment/(P)/
徴兵忌避 [ちょうへいきひ] /(n) draft evasion/draught evasion/
徴兵忌避者 [ちょうへいきひしゃ] /(n) draft dodger/draught dodger/
徴兵検査 [ちょうへいけんさ] /(n) physical examination (given at conscription)/
徴兵制 [ちょうへいせい] /(n) conscription/
徴兵制度 [ちょうへいせいど] /(n) conscription/draft system/draught system/
徴兵免除 [ちょうへいめんじょ] /(n) draft exemption/draught exemption/
徴募 [ちょうぼ] /(n,vs) enlistment/recruitment/
徴用 [ちょうよう] /(n,vs) drafting/requisition/impressment/commandeering/expropriation/
懲らしめ [こらしめ] /(n) chastisement/
懲らしめる [こらしめる] /(v1,vt) to chastise/to punish/to discipline/
懲らす [こらす] /(v5s,vt) to chastise/to punish/to discipline/
懲りない [こりない] /(adj-i) (someone who) doesn't learn their lesson/obstinate/
懲りない奴 [こりないやつ] /(exp) person (generally male) who won't learn their lesson/persistant jerk/
懲りる [こりる] /(v1,vi) to learn by experience/to be disgusted with/(P)/
懲り懲り [こりごり] /(adj-na,n,vs) bitter experience/learning from a bad experience/having had enough (of something unpleasant)/having had a bellyful/being sick and tired (of something)/being fed up/
懲悪 [ちょうあく] /(n) chastisement for evildoing/punishment/
懲戒 [ちょうかい] /(n,vs) discipline/punishment/reprimand/(P)/
懲戒処分 [ちょうかいしょぶん] /(n) disciplinary measures/(judicial) sanctions/
懲戒免職 [ちょうかいめんしょく] /(n) disciplinary dismissal (discharge)/
懲治監 [ちょうじかん] /(n) reformatory/
懲罰 [ちょうばつ] /(n,vs,adj-no) discipline/punishment/reprimand/(P)/
懲罰委員会 [ちょうばついいんかい] /(n) disciplinary committee/
懲役 [ちょうえき] /(n) penal servitude/imprisonment with hard labor (hard labour)/(P)/
懲役刑 [ちょうえきけい] /(n) jail sentence/imprisonment/
挑む [いどむ] /(v5m,vi) (1) to challenge/to throw down the gauntlet/to contend for/to tackle/(2) to pressure someone for sex/to woo/to make love to/(P)/
挑戦 [ちょうせん] /(n,vs) challenge/defiance/(P)/
挑戦いかに [ちょうせんいかに] /(exp) (obsc) How dare you!/
挑戦者 [ちょうせんしゃ] /(n) challenger/
挑戦状 [ちょうせんじょう] /(n) written challenge/
挑戦的 [ちょうせんてき] /(adj-na) challenging/defiant/provocative/aggressive/
挑発 [ちょうはつ] /(n,vs) provocation/stirring up/arousal/(P)/
挑発的 [ちょうはつてき] /(adj-na) provocative/suggestive/lascivious/(P)/
挑撥 [ちょうはつ] /(n,vs) provocation/stirring up/arousal/
暢気 [のんき] /(ateji) (adj-na,n) (uk) carefree/optimistic/careless/reckless/heedless/happy-go-lucky/easygoing/(P)/
暢達 [ちょうたつ] /(adj-na,n) fluency/facileness/
朝 [あさ] /(n-adv,n-t) morning/(P)/
朝 [あした] /(n-adv,n-t) morning/
朝 [ちょう] /(n,suf) (1) dynasty/(2) reign/(3) period/epoch/age/(4) court/
朝々暮々 [ちょうちょうぼぼ] /(adv) every morning and evening/
朝ごはん [あさごはん] /(n) breakfast/
朝ご飯 [あさごはん] /(n) breakfast/(P)/
朝っぱら [あさっぱら] /(n) in the early morning/
朝っぱらから [あさっぱらから] /(exp) early in the morning/
朝な朝な [あさなあさな] /(adv,n) every morning/
朝な夕な [あさなゆうな] /(n-adv,n-t) morning and evening/
朝の露 [あしたのつゆ] /(exp) (arch) morning dew/
朝ぼらけ [あさぼらけ] /(n) light of dawn/daybreak/
朝まだき [あさまだき] /(n-t,n-adv) (arch) early morning (before the break of dawn)/
朝シャン [あさシャン] /(n,vs) shampooing in the morning/
朝ドラ [あさドラ] /(n) morning drama (morning television serial)/
朝マラの立たぬ男に金貸すな [あさマラのたたぬおとこにかねかすな] /(exp) (obsc) (kyu:) never lend money to a man who doesn't have an erection in the morning (because he's not healthy and is likely to die before repaying)/
朝一 [あさいち] /(n-t) first thing in the morning/
朝一番 [あさいちばん] /(n) first thing in the morning/(P)/
朝雲暮雨 [ちょううんぼう] /(n) sexual liaison/
朝恩 [ちょうおん] /(n) imperial blessing or favor (favour)/
朝家 [ちょうか] /(n) the imperial family or household/
朝霞 [ちょうか] /(n) (arch) morning glow/morning mist (haze)/(P)/
朝賀 [ちょうが] /(n) New Year's greetings or well-wishes offered by retainers to the Emperor/
朝会 [ちょうかい] /(n) morning assembly (school)/
朝活 [あさかつ] /(n) using early morning time (before going to work) for some other activity (e.g. study)/
朝寒 [あささむ] /(n) morning cold/morning chill/
朝刊 [ちょうかん] /(n) morning newspaper/(P)/
朝間 [あさま] /(n) during the morning/
朝顔 [あさがお] /(n) (1) Japanese morning glory (Ipomoea nil, Pharbitis nil)/(2) funnel shaped/bell (i.e. of a trumpet)/(P)/
朝顔貝 [あさがおがい] /(n) (uk) common purple snail (Janthina janthina)/common purple sea snail/violet snail/purple bubble raft snail/janthina/
朝帰り [あさがえり] /(n,vs) staying out all night and coming home in the morning/
朝起き [あさおき] /(n,vs) early rising/
朝起きは三文の徳 [あさおきはさんもんのとく] /(exp) (id) The early bird catches the worm/
朝議 [ちょうぎ] /(n) court council/privy council/
朝駆け [あさがけ] /(n,vs) early-morning attack/
朝空 [あさぞら] /(n) (obsc) morning sky/
朝空 [ちょうくう] /(n) (obsc) morning sky/
朝熊黄楊 [あさまつげ] /(n) (uk) (obsc) Japanese box tree (Buxus microphylla var. japonica)/
朝型 [あさがた] /(n,adj-no) morning (person)/
朝稽古 [あさげいこ] /(n) early-morning practice/
朝憲 [ちょうけん] /(n) laws of a nation/constitution/
朝見 [ちょうけん] /(n,vs) audience with the Emperor/imperial audience/
朝御飯 [あさごはん] /(n) breakfast/(P)/
朝貢 [ちょうこう] /(n,vs) bringing tribute/
朝三暮四 [ちょうさんぼし] /(n) being preoccupied with immediate (superficial) differences without realizing that there are no differences in substance/
朝参り [あさまいり] /(n) early-morning visit to a temple or shrine/
朝市 [あさいち] /(n) morning market/
朝時代 [ちょうじだい] /(exp,suf) the era of the ... dynasty/the ... reign/
朝自習 [あさじしゅう] /(n,vs) studying in the morning (by oneself)/brief "self-study" period before morning classes begin/
朝酒 [あさざけ] /(n) a morning drink (of sake)/
朝焼 [あさやけ] /(io) (n) morning glow/sunrise colors/sunrise colours/
朝焼け [あさやけ] /(n) morning glow/sunrise colors/sunrise colours/
朝焼けは雨、夕焼けは晴れ [あさやけはあめ、ゆうやけははれ] /(exp) (id) Red sky at night, sailors delight; red sky in morning, sailors take warning/Red sky at night, shepherds delight; red sky in morning, shepherds take warning/
朝食 [ちょうしょく] /(n) breakfast/(P)/
朝食を取る [ちょうしょくをとる] /(exp,v5r) to take breakfast/
朝食を出す [ちょうしょくをだす] /(exp,v5s) to serve breakfast/
朝食後 [ちょうしょくご] /(n-adv,n-t) after breakfast/
朝寝 [あさね] /(n,vs) sleeping late in the morning/
朝寝坊 [あさねぼう] /(n,vs) oversleeping/late riser/(P)/
朝臣 [あそみ] /(n) (arch) Asomi (second highest of the eight hereditary titles)/
朝臣 [あそん] /(n) (arch) Asomi (second highest of the eight hereditary titles)/
朝臣 [あっそん] /(n) (arch) Asomi (second highest of the eight hereditary titles)/
朝臣 [ちょうしん] /(n) a courtier/
朝政 [ちょうせい] /(n) government by the imperial court/
朝鮮 [ちょうせん] /(n) Korea/(P)/
朝鮮語 [ちょうせんご] /(n) Korean (language)/
朝鮮事変 [ちょうせんじへん] /(n) (sens) Korean War (1950-1953)/
朝鮮縞栗鼠 [ちょうせんしまりす] /(n) (uk) Korean chipmunk (Tamias sibiricus barberi)/
朝鮮出兵 [ちょうせんしゅっぺい] /(n) Imjin War (1592 - 1597)/
朝鮮鐘 [ちょうせんがね] /(n) Korean bell/
朝鮮鐘 [ちょうせんしょう] /(n) Korean bell/
朝鮮人 [ちょうせんじん] /(n) a Korean/
朝鮮人参 [ちょうせんにんじん] /(n) Asian ginseng (Panax ginseng)/
朝鮮征伐 [ちょうせんせいばつ] /(n) (col) Imjin War (1592 - 1597)/
朝鮮戦争 [ちょうせんせんそう] /(n) Korean War (1950-1953)/
朝鮮朝顔 [ちょうせんあさがお] /(n) thorn apple/jimsonweed/Datura stramonium/
朝鮮動乱 [ちょうせんどうらん] /(n) (sens) Korean War (1950-1953)/
朝鮮半島 [ちょうせんはんとう] /(n) Korean peninsula/(P)/
朝鮮鮒 [ちょうせんぶな] /(n) (uk) roundtail paradisefish (Macropodus ocellatus)/
朝鮮文字 [ちょうせんもじ] /(n) (obsc) Hangul (Korean script)/
朝鮮文字 [ちょうせんもんじ] /(n) (obsc) Hangul (Korean script)/
朝鮮蓬 [ちょうせんよもぎ] /(n) (uk) Chinese mugwort (Artemisia argyi)/Argy wormwood/Argy's wormwood/
朝鮮民主主義人民共和国 [ちょうせんみんしゅしゅぎじんみんきょうわこく] /(n) Democratic People's Republic of Korea (North Korea)/DPRK/(P)/
朝鮮料理 [ちょうせんりょうり] /(n) Korean food/
朝鮮連ぎょう [ちょうせんれんぎょう] /(n) (uk) Korean golden bells/Forsythia vahl/
朝鮮連翹 [ちょうせんれんぎょう] /(n) (uk) Korean golden bells/Forsythia vahl/
朝鮮蟷螂 [ちょうせんかまきり] /(n) narrow-winged mantis/
朝鮮鼬 [ちょうせんいたち] /(n) (uk) Korean yellow weasel (Mustela sibirica coreana)/
朝早く [あさはやく] /(adv) early in the morning/
朝霜 [あさしも] /(n) morning frost/
朝霜 [あさじも] /(n) morning frost/
朝朝暮暮 [ちょうちょうぼぼ] /(adv) every morning and evening/
朝潮 [あさしお] /(n) morning tide/
朝廷 [ちょうてい] /(n) Imperial Court/
朝敵 [ちょうてき] /(n) an enemy of the court/traitor/
朝湯 [あさゆ] /(n) morning bath/
朝堂院 [ちょうどういん] /(n) reception compound/part of the palace where important ceremonies were held/
朝曇り [あさぐもり] /(n) a cloudy morning/
朝凪 [あさなぎ] /(n) morning calm (over the ocean)/
朝日 [あさひ] /(n) morning sun/(P)/
朝日る [あさひる] /(v5r) (uk) (sl) to fabricate (stories) (based on alleged behaviour of the Asahi newspaper)/to make up/
朝日影 [あさひかげ] /(n) morning sunlight/
朝日新聞 [あさひしんぶん] /(n) Asahi (newspaper)/
朝日新聞社 [あさひしんぶんしゃ] /(n) Asahi newspaper company/
朝飯 [あさはん] /(n) breakfast/
朝飯 [あさめし] /(n) breakfast/(P)/
朝飯前 [あさめしまえ] /(exp,adj-na,n) trivial matter/cinch to do/easy as pie/it's a piece of cake/
朝晩 [あさばん] /(n-adv,n-t) morning and evening/(P)/
朝風 [あさかぜ] /(n) a morning breeze/
朝風 [ちょうふう] /(adj-no,suf) period style/
朝風呂 [あさぶろ] /(n) morning bath/
朝服 [ちょうふく] /(n) clothes worn by the nobility when attending Court/
朝方 [あさがた] /(n-adv,n) early morning/early hours/toward morning/(P)/
朝霧 [あさぎり] /(n) morning fog/morning mist/(P)/
朝霧草 [あさぎりそう] /(n) silvermound aretemisia/
朝明け [あさあけ] /(n) dawn/daybreak/
朝野 [ちょうや] /(n) government and people/those in and out of the court or government/the entire nation/
朝夕 [あさゆう] /(n-adv,n-t) morning and evening/from morning until night/constantly/(P)/
朝夕 [ちょうせき] /(n-adv,n-t) morning and evening/from morning until night/constantly/
朝夕の行 [あさゆうのぎょう] /(n) morning and evening services/
朝陽 [ちょうよう] /(n) morning sun/sunrise/
朝来 [ちょうらい] /(adv,n) ever since morning/
朝立ち [あさだち] /(n,vs) (1) nocturnal penile tumescence/erection when waking in the morning/morning glory/morning wood/(2) early morning departure/
朝涼 [あさすず] /(n) (arch) morning chill (of a summer's day)/
朝涼み [あさすずみ] /(n) (arch) (obsc) morning chill (of a summer's day)/
朝令暮改 [ちょうれいぼかい] /(n) an unsettled course of action/(orders or laws) being revised often with no guiding principles/
朝礼 [ちょうれい] /(n) morning assembly (company, school, etc.)/pep talk/(P)/
朝練 [あされん] /(n) morning training (e.g. before school)/
朝露 [あさつゆ] /(n) morning dew/
朝露 [ちょうろ] /(n) morning dew/
朝靄 [あさもや] /(n) morning mist/
朝餉 [あさげ] /(n) breakfast/
潮 [うしお] /(n) (1) tide/current/(2) salt water/(3) opportunity/
潮 [しお] /(n) (1) tide/current/(2) salt water/(3) opportunity/(P)/
潮の干満 [しおのかんまん] /(n) ebb and flood/
潮の如く押し寄せる [うしおのごとくおしよせる] /(v1) to rush like a flood/to surge/
潮の目 [しおのめ] /(exp,n) (1) point where two ocean currents meet (e.g. a warm current and a cold current)/(2) (arch) attractive glance/
潮の流れ [しおのながれ] /(n) sweep of the tide/drift of the tide/tidal current/
潮位 [ちょうい] /(n) tide level/
潮煙 [しおけむり] /(n) spray of sea water/
潮音 [ちょうおん] /(n) (obsc) sound of waves/
潮下帯 [しおかたい] /(n) subtidal zone/
潮花 [しおばな] /(n) (1) whitecap/
潮解 [ちょうかい] /(n,vs,adj-no) deliquescence/
潮干 [しおひ] /(n) low tide/
潮干潟 [しおひがた] /(n) tidal flat/ebb tide beach (esp. in spring)/
潮干狩 [しおひがり] /(io) (n) shell gathering (at low tide)/clamming/
潮干狩り [しおひがり] /(n) shell gathering (at low tide)/clamming/
潮間 [しおま] /(n) ebb tide/
潮間帯 [ちょうかんたい] /(n) intertidal zone/tidal zone/
潮気 [しおけ] /(n) salt air/sea air/
潮汲み [しおくみ] /(n,vs) drawing seawater to make salt/
潮境 [しおざかい] /(n) point of contact between ocean currents/
潮紅 [ちょうこう] /(n,adj-no) blushing/
潮合い [しおあい] /(n) the tidal hour/a great opportunity/
潮差 [ちょうさ] /(n) tidal range/
潮際河豚 [しょうさいふぐ] /(n) (uk) Takifugu snyderi (species of pufferfish)/
潮時 [しおどき] /(n) (1) tidal hour/(2) the right time/favourable opportunity (favorable)/(P)/
潮汐 [ちょうせき] /(n,adj-no) tide/
潮汐表 [ちょうせきひょう] /(n) a tide table/
潮汐摩擦 [ちょうせきまさつ] /(n) tidal friction/
潮煮 [うしおに] /(n) fish, shellfish, etc. boiled in salted water/
潮汁 [うしおじる] /(n) thin soup of fish or shellfish boiled in seawater/
潮汁 [しおじる] /(n) (1) salty broth/(2) salt water/
潮招 [しおまねき] /(n) (uk) fiddler crab (esp. species Uca arcuata)/
潮招き [しおまねき] /(n) (uk) fiddler crab (esp. species Uca arcuata)/
潮焼け [しおやけ] /(n,vs) tanned by the sun and sea breezes/
潮上帯 [しおじょうたい] /(n) supratidal zone/
潮吹き [しおふき] /(n) (1) spouting (e.g. of a whale, geyser, etc.)/(2) thin-shelled surf clam/(3) (col) (vulg) female ejaculation/
潮垂れる [しおたれる] /(v1,vi) to weep copiously/to grieve/to be dejected/
潮水 [しおみず] /(n) seawater/
潮瀬 [しおせ] /(n) sea current/
潮先 [しおさき] /(n) rising of the tide/a beginning/
潮前河豚 [しょうさいふぐ] /(n) (uk) Takifugu snyderi (species of pufferfish)/
潮騒 [しおさい] /(n) sea roar/
潮足 [しおあし] /(n) the speed of the tide/
潮待ち [しおまち] /(n,vs) waiting for the rising tide or a good opportunity/
潮入り [しおいり] /(n) inflow of the tide/
潮風 [しおかぜ] /(n) sea breeze/salt air/
潮風呂 [しおぶろ] /(n) (hot) saltwater bath/
潮目 [しおめ] /(n) junction line between two sea currents/line where two ocean currents meet/
潮流 [ちょうりゅう] /(n) tide/tidal current/trend/(P)/
潮溜まり [しおだまり] /(n) tide pool/rocky place where sea water remains after the tide draws out/
潮溜り [しおだまり] /(n) tide pool/rocky place where sea water remains after the tide draws out/
潮力 [ちょうりょく] /(n) tidal energy/
潮力発電 [ちょうりょくはつでん] /(n) tidal power generation/
潮路 [しおじ] /(n) a tideway/a sea route/
町 [ちょう] /(n) (1) town/block/neighbourhood/neighborhood/(2) street/road/(3) 109.09 m/(4) 0.99 hectares/
町 [まち] /(n) (1) town/block/neighbourhood/neighborhood/(2) street/road/(P)/
町おこし [まちおこし] /(n) revitalization of a town/town renewal (project)/
町の方針 [ちょうのほうしん] /(n) town policies/
町はずれ [まちはずれ] /(n) outskirts (of a town)/
町を貫く路 [まちをつらぬくみち] /(exp) road passing through the town/
町を通る [まちをとおる] /(exp,v5r) to pass through town/
町医者 [まちいしゃ] /(n) (1) physician in private practice (practise)/(2) (arch) town doctor/doctor who served the the townspeople (as opposed to the emperor, a daimyo, etc.)/
町育ち [まちそだち] /(n,adj-no) being raised in a town/
町屋 [まちや] /(n) (1) house in the middle of a town/(2) merchant's family/merchant's house/
町家 [ちょうか] /(n) (1) house in the middle of a town/(2) merchant's family/merchant's house/
町家 [まちや] /(n) (1) house in the middle of a town/(2) merchant's family/merchant's house/
町駕篭 [まちかご] /(n) (arch) palanquin/
町駕籠 [まちかご] /(n) (arch) palanquin/
町会 [ちょうかい] /(n) town council/
町外れ [まちはずれ] /(n) outskirts (of a town)/(P)/
町角 [まちかど] /(n) street corner/(P)/
町起こし [まちおこし] /(n) revitalization of a town/town renewal (project)/
町議会 [ちょうぎかい] /(n) town council/(P)/
町興し [まちおこし] /(n) revitalization of a town/town renewal (project)/
町筋 [まちすじ] /(n) street/
町工場 [まちこうじょう] /(n) small factory in town/backstreet (small) workshop/
町工場 [まちこうば] /(n) small factory in town/backstreet (small) workshop/
町衆 [まちしゅう] /(n) (arch) important local businessemen (in the Muromachi period)/local leaders/
町人 [ちょうにん] /(n) merchant/(P)/
町人気質 [ちょうにんかたぎ] /(n) townsman's (independent) spirit/mercantile spirit/
町人根性 [ちょうにんこんじょう] /(n) townsman's (independent) spirit/mercantile spirit/
町人風情 [ちょうにんふぜい] /(n) (the likes of) a mere tradesman/
町人物 [ちょうにんもの] /(n) novels or plays about the merchant class/
町制 [ちょうせい] /(n) town organization/town organisation/town administration/
町政 [ちょうせい] /(n) town organization/town organisation/town administration/
町石 [ちょういし] /(n) roadside stone distance indicators placed at intervals of one cho (approx. 109 meters)/
町石卒塔婆 [ちょうせきそとば] /(n) stupa-shaped stone distance indicators placed at intervals of one cho (approx. 109 meters) on a temple approach/
町全体 [まちぜんたい] /(exp) the whole town/
町村 [ちょうそん] /(n) towns and villages/(P)/
町村合併 [ちょうそんがっぺい] /(n) merger of towns and villages/
町村制 [ちょうそんせい] /(n) municipal system/
町村派 [まちむらは] /(n) Machimura Faction (of the LDP)/
町段畝歩 [ちょうたんせぶ] /(n) units of square measure (for rice fields, forests, etc.)/
町中 [まちじゅう] /(n) the whole town/
町中 [まちなか] /(n) downtown/(P)/
町長 [ちょうちょう] /(n) town headman/town mayor/(P)/
町奴 [まちやっこ] /(n) persons organized into gangs and wearing flashy clothes, who styled themselves as "chivalrous men" (Edo period)/
町湯 [まちゆ] /(n) public bath located in a city or town/
町道場 [まちどうじょう] /(n) martial arts school situated in a town/
町内 [ちょうない] /(n) neighborhood/neighbourhood/street/block/town/(P)/
町内会 [ちょうないかい] /(n) neighborhood association/neighbourhood association/
町並 [まちなみ] /(n) street (of stores and houses)/townscape/(look of) stores and houses on street/(P)/
町並み [まちなみ] /(n) street (of stores and houses)/townscape/(look of) stores and houses on street/(P)/
町歩 [ちょうぶ] /(n) hectare (2.471 acres)/
町奉行 [まちぶぎょう] /(n) (Edo-period) town magistrate/
町方 [まちかた] /(n) town/
町民 [ちょうみん] /(n) townspeople/(P)/
町娘 [まちむすめ] /(n) (obsc) town girl/girl raised in a town/
町名 [ちょうめい] /(n) name of a town or street/
町役場 [まちやくば] /(n) town hall/(P)/
町役人 [まちやくにん] /(n) municipal official/
町立 [ちょうりつ] /(n,adj-no) established by the town/
眺め [ながめ] /(n) scene/view/prospect/outlook/(P)/
眺める [ながめる] /(v1,vt) to view/to gaze at/(P)/
眺め回す [ながめまわす] /(v5s,vt) to look around/to take a view of/
眺望 [ちょうぼう] /(n,vs) prospect/view/outlook/(P)/
眺望権 [ちょうぼうけん] /(n) right to a view/
聴える [きこえる] /(iK) (v1,vi) (1) to be heard/to be audible/(2) to be said to be/to be reputed/
聴きもしないで [ききもしないで] /(exp) without even asking/without even listening/without careful inquiry (enquiry)/
聴き込む [ききこむ] /(v5m) to have heard/
聴き耳 [ききみみ] /(n) straining one's ears/
聴き取り [ききとり] /(n) listening comprehension/
聴き取る [ききとる] /(v5r,vt) to catch (a person's words)/to follow/to understand/
聴き手 [ききて] /(n) (1) hearer/listener/audience/(2) interviewer/questioner/
聴き頂く [ききいただく] /(v5k) to receive a hearing/
聴き入る [ききいる] /(v5r) to listen attentively to/to be lost in/
聴く [きく] /(v5k,vt) (1) to hear/(2) to listen (e.g. to music)/(3) to ask/to enquire/to query/
聴こえる [きこえる] /(iK) (v1,vi) (1) to be heard/to be audible/(2) to be said to be/to be reputed/
聴す [ゆるす] /(v5s,vt) (1) to permit/to allow/to approve/(2) to exempt (from fine)/to excuse (from)/to pardon/to forgive/to release/to let off/(3) to confide in/(4) to give up/to yield/
聴音 [ちょうおん] /(n,adj-no) hearing/
聴音器 [ちょうおんき] /(n) listening instrument/sound detector/sound locator/acoustic locator/hydrophone/
聴音機 [ちょうおんき] /(n) listening instrument/sound detector/sound locator/acoustic locator/hydrophone/
聴解 [ちょうかい] /(n) listening comprehension/
聴解力 [ちょうかいりょく] /(n) listening comprehension/
聴覚 [ちょうかく] /(n,adj-no) the sense of hearing/(P)/
聴覚系 [ちょうかくけい] /(n) acoustic system/auditory system/hearing system/
聴覚障害者 [ちょうかくしょうがいしゃ] /(n) hearing-impaired person/person with hearing difficulties/deaf person/
聴覚神経 [ちょうかくしんけい] /(n) auditory nerve/auditory nerves/
聴許 [ちょうきょ] /(n,vs) permission/
聴講 [ちょうこう] /(n,vs) lecture attendance/auditing/(P)/
聴講生 [ちょうこうせい] /(n) auditor/auditing student/
聴罪 [ちょうざい] /(n,vs) hearing confessions/
聴視 [ちょうし] /(n,vs) listening and watching/
聴視者 [ちょうししゃ] /(n) radio and television audience/
聴視率 [ちょうしりつ] /(n) (program, programme) ratings/
聴耳 [ききみみ] /(n) straining one's ears/
聴取 [ちょうしゅ] /(n,vs) listening/hearing/audition/radio reception/(P)/
聴取り [ききとり] /(n) listening comprehension/
聴取る [ききとる] /(v5r,vt) to catch (a person's words)/to follow/to understand/
聴取者 [ちょうしゅしゃ] /(n) radio listener/
聴取料 [ちょうしゅりょう] /(n) listener's or radio fee/
聴手 [ききて] /(n) (1) hearer/listener/audience/(2) interviewer/questioner/
聴衆 [ちょうしゅう] /(n) audience/attendance/hearers/(P)/
聴衆を飽かさない [ちょうしゅうをあかさない] /(adj-i) hold the attention of the audience/
聴従 [ちょうじゅう] /(n,vs) following advice/
聴神経 [ちょうしんけい] /(n) auditory nerve/
聴診 [ちょうしん] /(n,vs,adj-no) auscultation/listening to a person's chest with a stethoscope/
聴診器 [ちょうしんき] /(n) stethoscope/
聴導犬 [ちょうどうけん] /(n) hearing assistance dog/
聴牌 [テンパイ] /(n,vs) "fishing" in mahjong (i.e. needing one more tile for completion) (chi: tingpai)/
聴斑 [ちょうはん] /(n) acoustic spot/acoustic spots/maculae acusticae/
聴聞 [ちょうもん] /(n,vs) listening/hearing/(P)/
聴聞会 [ちょうもんかい] /(n) hearing/
聴聞僧 [ちょうもんそう] /(n) confessor/
聴力 [ちょうりょく] /(n) hearing ability/
脹よか [ふくよか] /(adj-na,n) (uk) plump/full/well-rounded/
脹らか [ふくらか] /(adj-na) (arch) plump/full/well-rounded/
脹らか [ほこらか] /(adj-na) (arch) plump/full/well-rounded/
脹らかす [ふくらかす] /(v5s,vt) (arch) to expand/to inflate/
脹らす [ふくらす] /(v5s,vt) to expand/to inflate/
脹らせる [ふくらせる] /(v1) (uk) to puff up/to inflate/
脹らみ [ふくらみ] /(n) swelling/bulge/puff/
脹らむ [ふくらむ] /(v5m,vi) to expand/to swell (out)/to get big/to become inflated/
脹ら脛 [ふくらはぎ] /(n) calf (of leg)/
脹れ [はれ] /(n) boil/swelling/
脹れっ面 [ふくれっつら] /(n,adj-no) sulky look/sullen look/
脹れぼったい [はれぼったい] /(n) puffy/somewhat swollen/
脹れる [はれる] /(v1,vi) to swell (from inflammation)/to become swollen/
脹れる [ふくれる] /(v1,vi) to get cross/to get sulky/to swell (out)/to expand/to be inflated/to distend/to bulge/
脹れ上がる [ふくれあがる] /(v5r) to swell up/
脹れ上る [ふくれあがる] /(v5r) to swell up/
脹満 [ちょうまん] /(n) tympanites/
脹脛 [ふくらはぎ] /(n) calf (of leg)/
腸 [ちょう] /(n) guts/bowels/intestines/(P)/
腸 [はらわた] /(n) guts/bowels/intestines/
腸 [わた] /(n) guts/bowels/intestines/
腸がん [ちょうがん] /(n) intestinal cancer/
腸が煮えくり返る [はらわたがにえくりかえる] /(exp,v5r) to be furiously angry/
腸の病気 [ちょうのびょうき] /(n) bowel disease/
腸の腐った男 [はらわたのくさったおとこ] /(n) man with a corrupt heart/
腸カタル [ちょうカタル] /(n) enteritis/intestinal catarrh/
腸ガン [ちょうガン] /(n) intestinal cancer/
腸チフス [ちょうチフス] /(n,adj-no) typhoid fever/
腸チフス菌 [ちょうチフスきん] /(n) Salmonella typhi (bacteria that causes typhoid fever)/
腸液 [ちょうえき] /(n) intestinal fluids (juices)/
腸炎 [ちょうえん] /(n) enteritis/
腸炎ビブリオ [ちょうえんビブリオ] /(n) Vibrio parahaemolyticus/
腸管 [ちょうかん] /(n,adj-no) digestive tract/
腸管出血性大腸菌 [ちょうかんしゅっけつせいだいちょうきん] /(n) enterohemorrhagic E. coli/
腸癌 [ちょうがん] /(n) intestinal cancer/
腸詰め [ちょうづめ] /(n) sausage/
腸詰め菌 [ちょうづめきん] /(n) (obsc) Clostridium botulinum (bacteria that causes botulism)/
腸詰菌 [ちょうづめきん] /(n) (obsc) Clostridium botulinum (bacteria that causes botulism)/
腸結核 [ちょうけっかく] /(n) intestinal tuberculosis/
腸香 [わたか] /(n) (uk) Ischikauia steenackeri (species of cyprinid)/
腸骨 [ちょうこつ] /(n) ilium (part of pelvis)/
腸線 [ちょうせん] /(n) catgut/sheepgut/
腸腺 [ちょうせん] /(n) intestinal gland/
腸炭疽 [ちょうたんそ] /(n) intestinal anthrax/
腸内 [ちょうない] /(n,adj-no) intestinal/inside the intestines/
腸内細菌 [ちょうないさいきん] /(n) enteric bacteria/intestinal bacteria/
腸内細菌叢 [ちょうないさいきんそう] /(n) intestinal flora/enterobacterial flora/
腸内洗浄 [ちょうないせんじょう] /(n) colonic irrigation/enema/
腸捻転 [ちょうねんてん] /(n) volvulus/twisted loop in intestine/
腸閉塞 [ちょうへいそく] /(n) intestinal obstruction/
腸壁 [ちょうへき] /(n) intestinal wall/
腸満 [ちょうまん] /(n) bloating of the abdominal region/
腸鰓類 [ちょうさいるい] /(n) (obsc) enteropneusts (hemichordates of class Enteropneusta)/
蝶 [ちょう] /(n) butterfly/(P)/
蝶々 [ちょうちょ] /(n) butterfly/
蝶々 [ちょうちょう] /(n) butterfly/(P)/
蝶々魚 [ちょうちょううお] /(n) (uk) Oriental butterflyfish (Chaetodon auripes, species found mostly from Japan to Taiwan)/
蝶つがい [ちょうつがい] /(n) (1) hinge (e.g. on a door)/(2) joint (esp. an anatomical joint)/
蝶よ花よ [ちょうよはなよ] /(exp,adv-to) bringing up (one's daughter) like a princess/
蝶ネクタイ [ちょうネクタイ] /(n) bow tie/
蝶貝 [ちょうがい] /(n) silver-lipped pearl oyster (Pinctada maxima)/golden-lipped pearl oyster/white-lipped pearl oyster/
蝶形骨 [ちょうけいこつ] /(n) sphenoid bone (of the skull)/
蝶形弁 [ちょうがたべん] /(n) (obsc) butterfly valve/
蝶結び [ちょうむすび] /(n) bow/bowknot/
蝶鮫 [ちょうざめ] /(n) (uk) sturgeon (Acipenser mikadoi)/
蝶蝶 [ちょうちょ] /(n) butterfly/
蝶蝶 [ちょうちょう] /(n) butterfly/(P)/
蝶蝶魚 [ちょうちょううお] /(n) (uk) Oriental butterflyfish (Chaetodon auripes, species found mostly from Japan to Taiwan)/
蝶豆 [ちょうまめ] /(n) (uk) butterfly pea (Clitoria ternatea)/Asian pigeonwings/
蝶斑 [ちょうはん] /(n) (uk) raccoon butterflyfish (Chaetodon lunula)/moon butterflyfish/
蝶番 [ちょうつがい] /(n) (1) hinge (e.g. on a door)/(2) joint (esp. an anatomical joint)/
蝶番 [ちょうばん] /(n) (1) hinge (e.g. on a door)/(2) joint (esp. an anatomical joint)/
蝶番い [ちょうつがい] /(io) (n) (1) hinge (e.g. on a door)/(2) joint (esp. an anatomical joint)/
蝶目 [ちょうもく] /(n) Lepidoptera/
調 [ちょう] /(n) (1) pitch/tone/key/(2) time/tempo/(3) mood/tendency/(4) (arch) tax on products/
調う [ととのう] /(v5u,vi) to be prepared/to be in order/to be put in order/to be arranged/
調える [ととのえる] /(v1,vt) (1) to put in order/to arrange/to adjust/(2) to get ready/to prepare/(3) to raise money/
調べ [しらべ] /(n,n-suf) (1) investigation/inspection/examination/(2) tune/note/melody/(P)/
調べて置く [しらべておく] /(v5k) to examine beforehand/
調べなおす [しらべなおす] /(v5s) to re-examine/to review/to recheck/
調べる [しらべる] /(v1,vt) to examine/to investigate/to check up/to sense/to study/to inquire/to search/(P)/
調べ革 [しらべがわ] /(n) (machine) belt/
調べ合わす [しらべあわす] /(v5s) to tune to/to check against/
調べ車 [しらべぐるま] /(n) belt pulley/
調べ出す [しらべだす] /(v5s) to hunt up/to locate/to inquire out/
調べ上げる [しらべあげる] /(v1) to check through/to thoroughly investigate/
調べ直す [しらべなおす] /(v5s) to re-examine/to review/to recheck/
調べ物 [しらべもの] /(n) matter to be checked or investigated/
調印 [ちょういん] /(n,vs) signature/signing/sealing/(P)/
調印国 [ちょういんこく] /(n) signatory nation/
調印式 [ちょういんしき] /(n) signing ceremony/
調音 [ちょうおん] /(n,vs) (ling) articulation/
調音器官 [ちょうおんきかん] /(n) articulatory organ (i.e. the tongue, teeth, lips, etc.)/
調教 [ちょうきょう] /(n,vs) training (animals)/breaking (animals)/(P)/
調教師 [ちょうきょうし] /(n) animal trainer/
調琴 [ちょうきん] /(n) playing the koto/
調弦 [ちょうげん] /(n,vs) tuning/
調光 [ちょうこう] /(n) (1) (abbr) variable light (e.g. with a dimmer)/(adj-f) (2) photochromatic/(3) dimmer/dimmer control/
調光レンズ [ちょうこうレンズ] /(n) photochromatic lens/
調光器 [ちょうこうき] /(n) dimmer/dimmer control/
調号 [ちょうごう] /(n) (musical) key signature/
調合 [ちょうごう] /(n,vs) mixing/compounding/dispensing (e.g. prescription)/
調合剤 [ちょうごうざい] /(n) mixture/preparation/
調査 [ちょうさ] /(n,vs) investigation/examination/inquiry/enquiry/survey/(P)/
調査員 [ちょうさいん] /(n) investigator/examiner/
調査課 [ちょうさか] /(n) investigation department/
調査会社 [ちょうさがいしゃ] /(n) (private) investigation company/research agency/
調査官 [ちょうさかん] /(n,adj-no) examiner/investigator/inquisitor/agent/
調査期間 [ちょうさきかん] /(n) (comp) study period/
調査結果 [ちょうさけっか] /(n) results (of a study)/
調査団 [ちょうさだん] /(n) inquiry commission/enquiry commission/research group/
調査票 [ちょうさひょう] /(n) questionnaire/
調査部 [ちょうさぶ] /(n) research division/
調査部長 [ちょうさぶちょう] /(n) assistant chief of staff, g2/
調査報告 [ちょうさほうこく] /(n) report (of an investigation)/investigation (investigative) report/
調査方法 [ちょうさほうほう] /(n) examination method/method of investigation/search procedure/
調査役 [ちょうさやく] /(n) assistant (to section manager)/
調剤 [ちょうざい] /(n,vs) compounding medicine/(P)/
調剤師 [ちょうざいし] /(n) pharmacist/
調子 [ちょうし] /(n) (1) tune/tone/key/pitch/time/rhythm/(2) vein/mood/way/manner/style/knack/(3) condition/state of health/(4) impetus/spur of the moment/strain/(5) trend/(P)/
調子がいい [ちょうしがいい] /(exp,adj-i) (1) glib/(2) in good form/in great shape/having things progress well/
調子が良い [ちょうしがいい] /(exp,adj-i) (1) glib/(2) in good form/in great shape/having things progress well/
調子づく [ちょうしづく] /(v5k,vi) to warm up to/to become enthusiastic about/to be elated/
調子に乗る [ちょうしにのる] /(exp,v5r) (1) to be elated/to be excited/to be caught up in the moment/to be carried away/to get cocky/(2) to get up to speed/to move into gear/
調子をとる [ちょうしをとる] /(exp,v5r) to beat time/to mark time/
調子を合わせる [ちょうしをあわせる] /(exp,v1) (1) to harmonize with/to keep in tune with/(2) to go along with/to keep in step/
調子を整える [ちょうしをととのえる] /(exp,v1) to put in tune/
調子外れ [ちょうしはずれ] /(adj-na,n) out of tune/
調子者 [ちょうしもの] /(n) matter of chance/person easily elated/
調子笛 [ちょうしぶえ] /(n) pitch pipe/
調子付く [ちょうしづく] /(v5k,vi) to warm up to/to become enthusiastic about/to be elated/
調子物 [ちょうしもの] /(n) matter of chance/person easily elated/
調湿剤 [ちょうしつざい] /(n) desiccant/moisture absorbent/
調書 [ちょうしょ] /(n) protocol/preliminary memo/(P)/
調色 [ちょうしょく] /(n,vs) mixing colors/mixing colours/tone/
調色板 [ちょうしょくばん] /(n) palette/
調心輪 [ちょうしんりん] /(n) aligning ring/
調進 [ちょうしん] /(n,vs) preparation/supplying/procurement/
調整 [ちょうせい] /(n,vs) regulation/coordination/adjustment/tuning/modification/alteration/(P)/
調整攻撃 [ちょうせいこうげき] /(n) coordinated attack/
調整手当 [ちょうせいてあて] /(n) adjustment payment/compensatory payment/indemnity payment/severance (termination) pay/settlement payment/gratuity/
調整水準 [ちょうせいすいじゅん] /(n) (comp) coordination level/
調整値 [ちょうせいち] /(n) adjusted value/adjusted price/
調整役 [ちょうせいやく] /(n) coordinator/coordinating role/
調声 [ちょうせい] /(n) tonal mark (e.g. in PinYin)/
調製 [ちょうせい] /(n,vs) manufacture/preparation/execution (an order)/
調節 [ちょうせつ] /(n,vs) regulation/adjustment/control/(P)/
調節遺伝子 [ちょうせついでんし] /(n) regulator gene/regulatory gene/
調節卵 [ちょうせつらん] /(n) regulation egg/
調達 [ちょうたつ] /(n,vs) supply/provision/raising/(P)/
調停 [ちょうてい] /(n,vs,adj-no) arbitration/conciliation/mediation/(P)/
調停委員会 [ちょうていいいんかい] /(n) an arbitration committee/
調停裁判 [ちょうていさいばん] /(n) court arbitration/
調停者 [ちょうていしゃ] /(n) arbitrator/mediator/go-between/
調停離婚 [ちょうていりこん] /(n) arbitrated divorce/divorce by arbitration/
調度 [ちょうど] /(n,vs) supplies/furniture/fixtures/
調度が調う [ちょうどがととのう] /(exp,v5u) to get fully furnished/
調度品 [ちょうどひん] /(n) furnishings/implements/equipment/
調波 [ちょうは] /(n) harmonic (wave)/
調馬 [ちょうば] /(n,vs) horse training or breaking/
調馬師 [ちょうばし] /(n) horse trainer/
調馬場 [ちょうばじょう] /(n) riding ground/paddock/
調髪 [ちょうはつ] /(n,vs) haircut/barbering/
調伏 [じょうぶく] /(n,vs) curse/exorcism/
調伏 [ちょうぶく] /(n,vs) curse/exorcism/
調歩式伝送 [ちょうほしきでんそう] /(n) (comp) start-stop transmission/
調歩同期 [ちょうほどうき] /(n) (comp) start-stop synchronization/
調歩同期アダプタ [ちょうほどうきアダプタ] /(n) (comp) Asynchronous Adapter/
調歩同期式 [ちょうほどうきしき] /(n) (comp) start-stop system/
調法 [ちょうほう] /(adj-na,n) handy/convenient/
調味 [ちょうみ] /(n,vs) seasoning/flavoring/flavouring/
調味料 [ちょうみりょう] /(n) flavoring (e.g. salt, sugar, soy sauce, vinegar, etc.)/seasoning/(P)/
調薬 [ちょうやく] /(n,vs) dose/
調理 [ちょうり] /(n,vs) cooking/food preparation/(P)/
調理器具 [ちょうりきぐ] /(n) cookware/
調理師 [ちょうりし] /(n) (sens) chef/cook/
調理場 [ちょうりば] /(n) kitchen/
調理人 [ちょうりにん] /(n) chef/cook/
調理台 [ちょうりだい] /(n) kitchen table or counter or working surface/
調理法 [ちょうりほう] /(n) art of cooking/cookery/cuisine/
調律 [ちょうりつ] /(n,vs) tuning (musical)/
調律師 [ちょうりつし] /(n) piano tuner/
調略 [ちょうりゃく] /(n,vs) plan/scheme/intention/project/design/
調練 [ちょうれん] /(n,vs) military drill/training/
調和 [ちょうわ] /(n,vs,adj-no) harmony/(P)/
調和平均 [ちょうわへいきん] /(n) harmonic mean/
諜す [ちょうす] /(v5s) to spy on/
諜者 [ちょうしゃ] /(n) spy/
諜者 [ちょうじゃ] /(n) spy/
諜報 [ちょうほう] /(n) secret information/intelligence/
諜報員 [ちょうほういん] /(n) intelligence operative/spy/
諜報機関 [ちょうほうきかん] /(n) intelligence agency/secret service/
超 [ちょう] /(n,n-suf,pref) (1) (uk) super-/ultra-/hyper-/very/really/(2) over/more than/(P)/
超々大規模集積回路 [ちょうちょうだいきぼしゅうせきかいろ] /(n) (comp) ultra large-scale integration/ULSI/
超える [こえる] /(v1,vi) (1) to cross over/to cross/to pass through/to pass over (out of)/(2) to exceed/(P)/
超がつく [ちょうがつく] /(adv) extremely/
超す [こす] /(v5s) (1) to cross over (e.g. mountain)/to go across/(2) to go over (e.g. with audience)/(3) to pass time (e.g. a winter)/(4) to surpass/to be better than/to exceed/(5) to move house/(6) (hon) to go/to come/(P)/
超っ早 [ちょっぱや] /(n) (sl) very fast/very early/
超っ速 [ちょっぱや] /(n) (sl) very fast/very early/
超ひも理論 [ちょうひもりろん] /(n) superstring theory/
超ウラン元素 [ちょうウランげんそ] /(n) transuranium element/transuranic element/super heavy element/
超ミニ [ちょうミニ] /(n,adj-no) (col) very short (of clothing)/
超越 [ちょうえつ] /(n) (1) transcendence/transcendency/(adj-f) (2) transcendental/(vs) (3) to transcend/to rise above/(P)/
超越関数 [ちょうえつかんすう] /(n) transcendental function/
超越交代 [ちょうえつこうたい] /(n) passage of lines/
超越数論 [ちょうえつすうろん] /(n) (math) transcendental number theory/
超越的 [ちょうえつてき] /(adj-na) transcendental/
超越点 [ちょうえつてん] /(n) passage point/
超越論的意識 [ちょうえつろんてきいしき] /(n) transcendental consciousness/
超越論的観念論 [ちょうえつろんてきかんねんろん] /(n) transcendental idealism/
超越論的方法 [ちょうえつろんてきほうほう] /(n) transcendental method/
超音速 [ちょうおんそく] /(n) supersonic speed/(P)/
超音速輸送機 [ちょうおんそくゆそうき] /(n) supersonic transport/SST/
超音速旅客機 [ちょうおんそくりょかくき] /(n) supersonic airliner (i.e. the Concorde)/
超音波 [ちょうおんぱ] /(n) ultrasonic waves/(P)/
超音波検査 [ちょうおんぱけんさ] /(n) ultrasound examination/
超音波検査法 [ちょうおんぱけんさほう] /(n) sonography/ultrasonography/
超音波洗浄 [ちょうおんぱせんじょう] /(n) ultrasonic cleaning/
超音波探傷器 [ちょうおんぱたんしょうき] /(n) ultrasonic test instrument/
超音波探傷装置 [ちょうおんぱたんしょうそうち] /(n) ultrasonic test equipment/
超過 [ちょうか] /(n,vs) excess/being more than/(P)/
超過額 [ちょうかがく] /(n) a surplus/an excess/
超過勤務 [ちょうかきんむ] /(n,adj-no) overtime (work)/
超過勤務手当 [ちょうかきんむてあて] /(n) overtime pay/
超過情報速度 [ちょうかじょうほうそくど] /(n) (comp) excess information rate/
超過送信 [ちょうかそうしん] /(n) (comp) jabber/
超過送信制御 [ちょうかそうしんせいぎょ] /(n) (comp) jabber control/
超過保険 [ちょうかほけん] /(n) overinsurance/
超過利潤 [ちょうかりじゅん] /(n) excess profit/
超格子 [ちょうこうし] /(n) superlattice/
超簡易 [ちょうかんい] /(n) ultra-simple/very easy/
超規則 [ちょうきそく] /(n) metarule/
超巨星 [ちょうきょせい] /(n) super-giant star/
超勤 [ちょうきん] /(n) (abbr) overtime (work)/
超銀河集団 [ちょうぎんがしゅうだん] /(n) supercluster of galaxies/
超銀河団 [ちょうぎんがだん] /(n) supercluster of galaxies/
超空間 [ちょうくうかん] /(n) hyperspace/superspace/
超弦理論 [ちょうげんりろん] /(n) superstring theory/
超現実主義 [ちょうげんじつしゅぎ] /(n) surrealism/
超現実的 [ちょうげんじつてき] /(adj-na,n) surrealistic/
超限 [ちょうげん] /(adj-f) transfinite/
超限帰納法 [ちょうげんきのうほう] /(n) transfinite induction/
超限数 [ちょうげんすう] /(n) transfinite number/
超高 [ちょうこう] /(adj-no) extra-high/ultra/super/
超高純度 [ちょうこうじゅんど] /(adj-na,adj-no) ultrahigh purity/
超高層 [ちょうこうそう] /(n) extreme height/high-rise (i.e. building)/
超高層ビル [ちょうこうそうビル] /(n) skyscraper/
超高層建築 [ちょうこうそうけんちく] /(n) skyscraper/
超高速 [ちょうこうそく] /(n) (comp) ultra high speed/
超高速度 [ちょうこうそくど] /(n) super-high speed/
超高速並列インターフェース [ちょうこうそくへいれつインターフェース] /(n) (comp) HIPPI/High Performance Parallel Interface/
超高負荷容量 [ちょうこうふかようりょう] /(n) ultrahigh load-carrying capacity/ultrahigh load capacity/
超高齢化社会 [ちょうこうれいかしゃかい] /(n) (super) ageing society/
超合金 [ちょうごうきん] /(n) name of toy (super-alloy, hyper-alloy)/
超克 [ちょうこく] /(n,vs) overcoming/conquering/surmounting/getting over/
超国家主義 [ちょうこっかしゅぎ] /(n) ultranationalism/
超国家主義者 [ちょうこっかしゅぎしゃ] /(n) ultranationalist/
超国家的 [ちょうこっかてき] /(adj-na) ultranationalistic/
超時空 [ちょうじくう] /(n) super-dimensional/
超自我 [ちょうじが] /(n) superego/
超自然 [ちょうしぜん] /(adj-na,n) occult/transcendental/
超自然的 [ちょうしぜんてき] /(adj-na) supernatural/
超重元素 [ちょうじゅうげんそ] /(n) transuranium element/transuranic element/super heavy element/
超小型 [ちょうこがた] /(n) (comp) ultra-small/
超小型化 [ちょうこがたか] /(n,vs) microminiaturization/micro-miniaturization/
超常 [ちょうじょう] /(n,adj-f) paranormality/anomalous phenomenon/
超常現象 [ちょうじょうげんしょう] /(n) supernatural phenomenon/paranormal phenomenon/anomalous phenomenon/
超常的 [ちょうじょうてき] /(adj-na) supernatural (e.g. psychic phenomena and such)/paranormal/
超心理学 [ちょうしんりがく] /(n,vs) parapsychology/
超新星 [ちょうしんせい] /(n) supernova/
超人 [ちょうじん] /(n) (1) superman/superwoman/(2) Ubermensch (e.g. Nietzsche's ideal man of the future)/overman/(P)/
超人的 [ちょうじんてき] /(adj-na) superhuman/
超世俗的 [ちょうせぞくてき] /(adj-na) unworldly/supermundane/free from worldly cares (concerns)/
超精密加工 [ちょうせいみつかこう] /(n) ultra-precision machining/ultra-precision cutting/
超絶 [ちょうぜつ] /(n,vs) transcendence/excellence/superiority/
超絶的 [ちょうぜつてき] /(adj-na) transcendental/
超然 [ちょうぜん] /(adj-t,adv-to) detached/aloof/transcendental/
超然内閣 [ちょうぜんないかく] /(n) (Meiji or Taisho era) non-partisan cabinet/
超俗 [ちょうぞく] /(n,adj-no) aloofness/
超多段シフト [ちょうただんシフト] /(n) super multi-shift (a kanji input method)/
超楕円関数 [ちょうだえんかんすう] /(n) (math) hyperelliptic function/
超対称性 [ちょうたいしょうせい] /(n) supersymmetry/SUSY/
超対称理論 [ちょうたいしょうりろん] /(n) supersymmetry/
超大規模集積回路 [ちょうだいきぼしゅうせきかいろ] /(n) (comp) very large-scale integration/VLSI/
超大型 [ちょうおおがた] /(n) extra-large/
超大国 [ちょうたいこく] /(n) superpower/superstate/
超大容量 [ちょうだいようりょう] /(n) (comp) ultra high capacity/
超脱 [ちょうだつ] /(n,vs) transcendency/detachment/
超短波 [ちょうたんぱ] /(n) ultrashort-wave/very high frequency/
超超大規模集積回路 [ちょうちょうだいきぼしゅうせきかいろ] /(n) (comp) ultra large-scale integration/ULSI/
超長波 [ちょうちょうは] /(n) very low frequency wave/VLF wave/
超低 [ちょうてい] /(adj-no,pref) very low (deep, cold, etc.)/ultra-/infra-/hyper-/
超低価格 [ちょうていかかく] /(n) ultra-low cost/
超低金利 [ちょうていきんり] /(n) ultra-low interest/
超低金利金融政策 [ちょうていきんりきんゆうせいさく] /(n) ultra-loose monetary policy/
超低電圧版モバイル [ちょうていでんあつばんモバイル] /(n) (comp) ultra low voltage mobile (processor)/
超伝導 [ちょうでんどう] /(n) superconductivity/super-conductivity/(P)/
超伝導磁気浮上式鉄道 [ちょうでんどうじきふじょうしきてつどう] /(n) superconducting maglev train/
超田舎 [どいなか] /(iK) (n) remote countryside/boondocks/the sticks/
超電導 [ちょうでんどう] /(n) superconductivity/super-conductivity/(P)/
超電導磁気浮上式鉄道 [ちょうでんどうじきふじょうしきてつどう] /(n) superconducting maglev train/
超党派 [ちょうとうは] /(n) nonpartisan/(P)/
超特急 [ちょうとっきゅう] /(n) super express/(P)/
超能力 [ちょうのうりょく] /(n) (1) extra-sensory perception/ESP/psi/psychic ability/(2) psychokinesis/PK/
超能力者 [ちょうのうりょくしゃ] /(n) person with supernatural power/person capable of extrasensory perception/
超媒体 [ちょうばいたい] /(n) hypermedia/
超紐理論 [ちょうひもりろん] /(n) superstring theory/
超物理学 [ちょうぶつりがく] /(n) paraphysics/
超文面 [ちょうぶんめん] /(n) hypertext/
超並列計算機 [ちょうへいれつけいさんき] /(n) (comp) massively parallel computer/
超保守 [ちょうほしゅ] /(n,adj-f) ultraconservatism/archconservatism/
超保守主義 [ちょうほしゅしゅぎ] /(n,adj-no) ultraconservative doctrine/ultraconservative policy/
超保守的 [ちょうほしゅてき] /(adj-na) ultraconservative/
超凡 [ちょうぼん] /(adj-na,n) extraordinary/
超満員 [ちょうまんいん] /(n) overcrowded/congested/
超訳 [ちょうやく] /(n,vs) super-liberal interpretation/making understandable, readable through free interpretation/
超立方体 [ちょうりっぽうたい] /(n) hypercube/
超臨界 [ちょうりんかい] /(adj-f) supercritical/
超連結子 [ちょうれんけつし] /(n) hyperlink/
超弩級 [ちょうどきゅう] /(n) superdreadnought (class of warship)/
跳ね [はね] /(n) (1) (a) jump/(2) splashes (usu. of mud)/(3) upward turn at the bottom (e.g. of a vertical stroke of a kanji or of a hairdo)/(4) close (e.g. of a theatrical performance)/breakup/
跳ねかける [はねかける] /(v1) to splash/to blame on/
跳ねる [はねる] /(v1,vi) (1) to jump/to leap/to prance/to spring up/to bound/to hop/(2) to break up/to close/to come to an end/(3) to hit (e.g. to have a car hit something or someone)/(P)/
跳ね回る [はねまわる] /(v5r,vi) to jump about/
跳ね掛ける [はねかける] /(v1) to splash/to blame on/
跳ね起き [はねおき] /(n) kip-up (acrobatics)/
跳ね起きる [はねおきる] /(v1,vi) to jump up/to spring up/
跳ね橋 [はねばし] /(n) drawbridge/
跳ね出す [はねだす] /(v5s) to spring or rush out/
跳ね出る [はねでる] /(v1) to spring or rush out/
跳ね除ける [はねのける] /(v1,vt) to push aside/to brush or thrust aside/to remove/to get rid of/
跳ね上がり [はねあがり] /(n) jumping/jump/rashness/
跳ね上がり者 [はねあがりもの] /(n) rash person/tomboy/
跳ね上がる [はねあがる] /(v5r,vi) to jump up/to spring up/(P)/
跳ね上げ [はねあげ] /(adj-f) flip-up/fold-up/tip-up/
跳ね上げる [はねあげる] /(v1) (1) to churn up/to strike up/to throw up/(2) to tip up/to flip up/
跳ね太鼓 [はねだいこ] /(n) drumming at the end of the day of sumo wrestling inviting spectators to return tomorrow/
跳ね馬 [はねうま] /(n) vaulting horse/
跳ね板 [はねいた] /(n) springboard/
跳ね飛ばす [はねとばす] /(v5s,vt) (1) to send (something) flying/to splatter/(2) to drive (something) off/
跳ね返す [はねかえす] /(v5s) to reject/to bounce back/
跳ね返り [はねかえり] /(n) rebounding/recovery/repercussions/tomboy/
跳ね返る [はねかえる] /(v5r) to rebound/to recoil/to spring back up/
跳びっ競 [とびっくら] /(n) (obsc) jumping match/running match/
跳びつく [とびつく] /(v5k,vi) to jump at/to be attracted by/
跳び越える [とびこえる] /(v1,vt) to jump over/to clear/to walk over (someone)/
跳び越す [とびこす] /(v5s,vt) to leap over/
跳び過ぎる [とびすぎる] /(v1) to overjump/to overleap/
跳び回る [とびまわる] /(v5r,vi) to fly about/to skip about/to bustle about/
跳び降りる [とびおりる] /(v1,vi) to jump down/to jump off/to jump from/to jump out of/
跳び出す [とびだす] /(v5s,vi) (1) to jump out/to rush out/to fly out/(2) to appear (suddenly)/(3) to protrude/to project/(4) to butt in/
跳び出る [とびでる] /(v1,vi) (1) to project/to protrude/to pop out (e.g. eyes)/(2) to jump out/to rush out/
跳び上がる [とびあがる] /(v5r,vi) to spring/to jump up/to fly up/to skip/
跳び乗る [とびのる] /(v5r,vi) to jump upon (a moving object)/
跳び退く [とびのく] /(v5k,vi) to jump (out of the way)/to jump back/to jump aside/
跳び虫 [とびむし] /(n) springtail (wingless insect of the order Collembola)/
跳び跳ねる [とびはねる] /(v1,vi) to jump up and down/to hop/
跳び箱 [とびばこ] /(n) vaulting horse (box)/
跳び板 [とびいた] /(n) springboard/diving board/
跳び付く [とびつく] /(v5k,vi) to jump at/to be attracted by/
跳ぶ [とぶ] /(v5b,vi) (1) to jump/to leap/to spring/to bound/to hop/(2) to fly/to soar/(P)/
跳る [おどる] /(v5r,vi) (1) to jump/to leap/(2) to pound (of one's heart, i.e. with excitement)/to throb/(3) to be messily written/
跳越す [とびこす] /(v5s,vt) to leap over/
跳回る [とびまわる] /(v5r,vi) to fly about/to skip about/to bustle about/
跳上がる [とびあがる] /(v5r,vi) to spring/to jump up/to fly up/to skip/
跳鼠 [とびねずみ] /(n) (uk) jerboa (any rodent of family Dipodidae)/
跳地鼠 [はねじねずみ] /(n) (uk) elephant shrew (Macroscelididae spp.)/
跳虫 [とびむし] /(n) springtail (wingless insect of the order Collembola)/
跳馬 [ちょうば] /(n) long horse (for vaulting)/
跳箱 [とびばこ] /(n) vaulting horse (box)/
跳板 [とびいた] /(n) springboard/diving board/
跳付く [とびつく] /(v5k,vi) to jump at/to be attracted by/
跳躍 [ちょうやく] /(n,vs,adj-no) jump/leap/skip/bound/(P)/
跳躍振動 [ちょうやくしんどう] /(n) relaxation oscillation/
跳梁 [ちょうりょう] /(n,vs) jumping about/rampancy/domination/
跳梁跋扈 [ちょうりょうばっこ] /(n,vs) being rampant/domination/
跳鯊 [とびはぜ] /(n) (uk) mudskipper (Periophthalmus cantonensis)/mudspringer/
銚子 [ちょうし] /(n) (sake) decanter/(P)/
長 [おさ] /(n,suf) chief/head/
長 [ちょう] /(n,suf) chief/head/(P)/
長 [つかさ] /(n) (1) (arch) office/official/(2) chief/head/
長々 [ながなが] /(adv-to,adv) long/drawn-out/very long/
長々しい [ながながしい] /(adj-i) long, drawn-out/tedious/
長々編み [ながながあみ] /(n) triple crochet/treble crochet/TR/
長３度 [ちょうさんど] /(n) major third (music)/
長い [ながい] /(adj-i) (1) long (distance)/(2) long (time)/lengthy/(P)/
長いす [ながいす] /(n) couch/bench/ottoman/
長いファイル名 [ながいファイルめい] /(n) (comp) long file name/
長い間 [ながいあいだ] /(exp,n-t) long interval/
長い茎のある [ながいくきのある] /(exp) long-stemmed/
長い茎の有る [ながいくきのある] /(exp) long-stemmed/
長い事 [ながいこと] /(exp,adv) for a long time/
長い目 [ながいめ] /(n) long-term view/
長い目で見る [ながいめでみる] /(exp,v1) to look at the long term/
長きにわたる [ながきにわたる] /(exp,v5r) long (used with period of time)/longstanding/for a long time/
長きに渡る [ながきにわたる] /(exp,v5r) long (used with period of time)/longstanding/for a long time/
長ける [たける] /(v1,vi) (1) to excel at/to be proficient at/(2) to grow old/(3) to ripen/(4) to rise high (e.g. the sun)/
長さ [ながさ] /(n) length/(P)/
長さオクテット [ながさオクテット] /(n) (comp) length indicator octets/
長さ指示子 [ながさしじし] /(n) (comp) length indicator/LI/
長じる [ちょうじる] /(v1,vi) (1) to grow/to grow up/(2) to be good at/to excel in/
長ずる [ちょうずる] /(vz,vi) (1) to grow/to grow up/(2) to be good at/to excel in/
長たらしい [ながたらしい] /(adj-i) tedious/lengthy/overlong/long-winded/
長ったらしい [ながったらしい] /(adj-i) tedious/lengthy/overlong/long-winded/
長の [ながの] /(adj-pn) long/eternal/
長びく [ながびく] /(v5k,vi) to be prolonged/to drag on/
長め [ながめ] /(adj-na,adj-no) longish/moderately long/
長めに [ながめに] /(adv) at the long end (e.g. hold)/on the long side (e.g. cut)/
長らえる [ながらえる] /(v1,vi) to have a long life/to live a long time/
長らく [ながらく] /(adv) long/(for a) long time/(P)/
長ジバン [ながジバン] /(n) long, kimono-like garment, made of light fabric and worn under the kimono/under-kimono/
長ジュバン [ながジュバン] /(n) long, kimono-like garment, made of light fabric and worn under the kimono/under-kimono/
長ズボン [ながズボン] /(n) long (i.e. full-length) pants (as opposed to shorts)/
長椅子 [ながいす] /(n) couch/bench/ottoman/
長芋 [ながいも] /(n) (uk) Chinese yam (Dioscorea batatas)/
長引く [ながびく] /(v5k,vi) to be prolonged/to drag on/(P)/
長雨 [ながあめ] /(n) long spell of rain/(P)/
長雨 [ながめ] /(n) long spell of rain/
長唄 [ながうた] /(n) long epic song with shamisen accompaniment/type of waka/(P)/
長円 [ちょうえん] /(n,adj-no) ellipse/oval/
長煙管 [ながぎせる] /(n) long kiseru (type of tobacco pipe)/
長押 [なげし] /(n) beam running between columns in traditional Japanese architecture, esp. within Japanese-style rooms/
長押し [ながおし] /(n,vs) long press (of button, esp. mobile phones)/
長黄金蜘蛛 [ながこがねぐも] /(n) (uk) wasp spider (Argiope bruennichi)/
長岡京 [ながおかきょう] /(n) Japanese capital founded by emperor Kammu in 784, but abandoned 10 years later in favour of Heian/
長岡京 [ながおかのみやこ] /(n) Japanese capital founded by emperor Kammu in 784, but abandoned 10 years later in favour of Heian/
長屋 [ながや] /(n) tenement house/row house/(P)/
長音 [ちょうおん] /(n,adj-no) long vowel/
長音階 [ちょうおんかい] /(n) major scale/
長音符 [ちょうおんぷ] /(n) katakana-hiragana prolonged sound mark/macron (indicating a long vowel)/circumflex (indicating a long vowel)/modifier letter triangular colon (IPA diacritical)/
長音符号 [ちょうおんぶごう] /(n) long vowel symbol/
長家 [ながや] /(n) tenement house/row house/
長歌 [ちょうか] /(n) long epic song with shamisen accompaniment/type of waka/
長歌 [ながうた] /(n) long epic song with shamisen accompaniment/type of waka/
長火鉢 [ながひばち] /(n) oblong brazier/
長過ぎ [ながすぎ] /(n) too long/
長過ぎる [ながすぎる] /(v1) to be too long/
長角 [ちょうかく] /(adj-no,n) longhorn/longicorn/
長角果 [ちょうかくか] /(n) siliqua/silique/
長角牛 [ちょうかくぎゅう] /(n) longhorn/long-horned cattle/
長巻 [ながまき] /(n) polearm with sword blade/
長官 [かみ] /(n,adj-no) (arch) director (highest of the four administrative positions of the ritsuryo period)/chief/
長官 [かん] /(n,adj-no) (arch) director (highest of the four administrative positions of the ritsuryo period)/chief/
長官 [こう] /(n,adj-no) (arch) director (highest of the four administrative positions of the ritsuryo period)/chief/
長官 [ちょうかん] /(n) secretary (government)/director/chief/(P)/
長寛 [ちょうかん] /(n) Choukan era (1163.3.29-1165.6.5)/
長患い [ながわずらい] /(n,vs) long illness/
長閑 [のどか] /(adj-na) tranquil/calm/quiet/peaceful/(P)/
長閑さ [のどかさ] /(n) tranquility/tranquillity/calmness/quietness/
長机 [ながづくえ] /(n) long desk/long table/
長期 [ちょうき] /(n-adv,n-t) long time period/long term/(P)/
長期化 [ちょうきか] /(n,vs) lengthening/
長期間 [ちょうきかん] /(n,adj-no) extended period of time/prolonged/long-range/
長期記憶 [ちょうききおく] /(n) long-term memory/
長期金利 [ちょうききんり] /(n) long-term interest rate/
長期計画 [ちょうきけいかく] /(n) long-range plan/
長期国債 [ちょうきこくさい] /(n) long-term national bond/
長期借款 [ちょうきしゃっかん] /(n) long-term loan/
長期手形 [ちょうきてがた] /(n) long-term bill/
長期信用銀行 [ちょうきしんようぎんこう] /(n) long-term credit bank/LTCB/
長期戦 [ちょうきせん] /(n) drawn-out (protracted) war or contest/
長期貸付金 [ちょうきかしつけきん] /(n) long-term loans/
長期低利貸付 [ちょうきていりかしつけ] /(n) soft loan/
長期的 [ちょうきてき] /(adj-na) long term/(P)/
長亀 [おさがめ] /(n) (uk) leatherback turtle (Dermochelys coriacea)/
長久 [ちょうきゅう] /(n) (1) permanence/perpetuity/(2) Choukyuu era (1040.11.10-1044.11.24)/(P)/
長球 [ちょうきゅう] /(n,adj-no) prolate spheroid/
長居 [ながい] /(n,vs) long visit/overstaying/(P)/
長居無用 [ながいむよう] /(exp) There's no point in staying (here) any longer/There's no point in prolonging a (the) visit/There's no point in extending one's stay/
長距離 [ちょうきょり] /(n,adj-no) long distance/long haul/(P)/
長距離キャリア [ちょうきょりキャリア] /(n) (comp) long distance carrier/
長距離依存 [ちょうきょりいぞん] /(n) long-distance dependency (dependencies)/
長距離会社 [ちょうきょりがいしゃ] /(n) (comp) long distance company/
長距離競走 [ちょうきょりきょうそう] /(n) long-distance race/
長距離走 [ちょうきょりそう] /(n) long-distance race/
長距離走者 [ちょうきょりそうしゃ] /(n) long-distance runner/
長距離打者 [ちょうきょりだしゃ] /(n) slugger (baseball)/heavy hitter/
長距離電話 [ちょうきょりでんわ] /(n) long-distance call/trunk call/
長距離電話会社 [ちょうきょりでんわがいしゃ] /(n) long-distance telephone company/
長距離電話事業 [ちょうきょりでんわじぎょう] /(n) (comp) long distance telephone company/
長距離飛行 [ちょうきょりひこう] /(n) long(-range) flight/
長距離輸送 [ちょうきょりゆそう] /(n) long-distance transportation (transport, haulage)/
長距離列車 [ちょうきょりれっしゃ] /(n) long-distance train/
長享 [ちょうきょう] /(n) Choukyou era (1487.7.20-1489.8.21)/
長銀 [ちょうぎん] /(n) (abbr) long-term credit bank/LTCB/
長躯 [ちょうく] /(n) tall figure/
長駆 [ちょうく] /(n,vs) a long march/
長靴 [ちょうか] /(n) leather boots/long boots/
長靴 [ながぐつ] /(n) leather boots/long boots/
長兄 [ちょうけい] /(n) eldest brother/
長径 [ちょうけい] /(n) major axis/
長月 [ながつき] /(n) (obs) ninth month of the lunar calendar/
長剣 [ちょうけん] /(n) long sword/
長元 [ちょうげん] /(n) Chougen era (1028.7.25-1037.4.21)/
長元坊 [ちょうげんぼう] /(n) (uk) common kestrel (Falco tinnunculus)/
長弧 [ちょうこ] /(n) (comp) long arc/
長袴 [ちょうこ] /(n) long hakama/trailing hakama/
長袴 [ながばかま] /(n) long hakama/trailing hakama/
長鼓 [チャング] /(n) janggu (Korean hourglass drum)/janggo/changgo/
長鼓 [チャンゴ] /(n) janggu (Korean hourglass drum)/janggo/changgo/
長広舌 [ちょうこうぜつ] /(n) long talk/long-winded speech/
長広舌を振るう [ちょうこうぜつをふるう] /(exp,v5u) to make a long-winded speech/to give a long talk/
長江 [ちょうこう] /(n) Yangtze River/Changjiang River/
長考 [ちょうこう] /(n,vs) lengthy consideration/
長講 [ちょうこう] /(n) lengthy lecture/
長講一席 [ちょうこういっせき] /(n) (make) a long talk (discourse, lecture)/
長骨 [ちょうこつ] /(n) long bone/
長昆布 [ながこんぶ] /(n) (uk) Laminaria longissima (species of kelp)/
長鎖脂肪酸 [ちょうさしぼうさん] /(n) long-chain fatty acid/
長座 [ちょうざ] /(n,vs) long stay/
長細い [ながほそい] /(adj-i) long and thin/
長崎県 [ながさきけん] /(n) Nagasaki prefecture (Kyuushuu)/
長三度 [ちょうさんど] /(n) major third (music)/
長四角 [ながしかく] /(n) rectangle/
長姉 [ちょうし] /(n) elder sister/
長子 [ちょうし] /(n) eldest child or son/
長詩 [ちょうし] /(n) long poem/
長持 [ながもち] /(n,vs) (1) long-lasting/long-wearing/wears well/(n) (2) nagamochi/large oblong chest (for clothing, personal effects, etc.)/
長持ち [ながもち] /(n,vs) (1) long-lasting/long-wearing/wears well/(P)/
長時間 [ちょうじかん] /(n-adv,n-t) long period of time/long playing/(P)/
長治 [ちょうじ] /(n) Chouji era (1104.2.10-1106.4.9)/
長軸 [ちょうじく] /(n) major axis/
長篠の戦い [ながしののたたかい] /(n) Battle of Nagashino/
長者 [ちょうざ] /(n) (1) one's superior/one's elder/one's senior/(2) (arch) virtuous and gentle person/
長者 [ちょうしゃ] /(n) (1) one's superior/one's elder/one's senior/(2) (arch) virtuous and gentle person/
長者 [ちょうじゃ] /(n) (1) millionaire/(2) one's superior/one's elder/one's senior/(3) (arch) virtuous and gentle person/(4) (arch) female owner of a whorehouse in a post town/(5) (arch) chief of a post town/(P)/
長者貝 [ちょうじゃがい] /(n) (uk) (obsc) Beyrich's slit shell (species of sea snail, Pleurotomaria beyrichii)/
長者番付 [ちょうじゃばんづけ] /(n) list of the richest people/list of the very highest income earners/billionaire's list/
長蛇 [ちょうだ] /(n) (1) long snake/(2) long line (of people, etc.)/
長蛇の列 [ちょうだのれつ] /(n) long line/long queue/(P)/
長尺 [ちょうじゃく] /(adj-no) long/lengthy/
長尺映画 [ちょうじゃくえいが] /(n) long film (movie)/
長手 [ながて] /(adj-no) (1) longish/moderately long/(n) (2) stretcher (building)/
長寿 [ちょうじゅ] /(n,adj-no) longevity/(P)/
長寿命 [ちょうじゅみょう] /(n,adj-f) long operating life/long service life/long life/
長所 [ちょうしょ] /(n) strong point/merit/virtue/advantage/(P)/
長所は短所 [ちょうしょはたんしょ] /(exp) (id) One's strength is his weakness/
長薯 [ながいも] /(n) (uk) Chinese yam (Dioscorea batatas)/
長女 [ちょうじょ] /(n) eldest daughter/first-born daughter/(P)/
長承 [ちょうしょう] /(n) Choushou era (1132.8.11-1135.4.27)/
長上 [ちょうじょう] /(n) one's elders or superiors/
長尻 [ながじり] /(n) long stay/overstaying one's welcome/
長信銀 [ちょうしんぎん] /(n) (abbr) long-term credit bank/LTCB/
長身 [ちょうしん] /(n) tall figure/high stature/(P)/
長身痩躯 [ちょうしんそうく] /(n) tall and lean figure/
長辛螺 [ながにし] /(n) (uk) perplexed spindle (species of sea snail, Fusinus perplexus)/
長針 [ちょうしん] /(n) long (minute) hand/
長須鯨 [ながすくじら] /(n) (uk) fin whale/finback (whale)/razorback whale (Balaenoptera physalus)/
長水路 [ちょうすいろ] /(n) swimming pool lane which is longer than 50 meters/
長征 [ちょうせい] /(n,vs) lengthy military expedition/the Long March/
長生 [ちょうせい] /(n,vs) longevity/
長生き [ながいき] /(n,vs) longevity/long life/(P)/
長生きの筋 [ながいきのすじ] /(n) long-lived family/
長精度浮動小数点数 [ちょうせいどふどうしょうすうてんすう] /(n) (comp) long precision floating point number/
長逝 [ちょうせい] /(n,vs) death/passing/
長石 [ちょうせき] /(n) feldspar/
長槍 [ながやり] /(n) long spear/pike/
長足 [ちょうそく] /(n) rapid progress/great strides/
長足の進歩 [ちょうそくのしんぽ] /(n) rapid progress (strides)/
長続き [ながつづき] /(n) (1) permanence/continuation/long-lasting/(vs) (2) to last a long time/to continue/to keep at something for a long time/(P)/
長袖 [ながそで] /(n,adj-no) long sleeves/(P)/
長太刀 [ながだち] /(n) large war sword/
長打 [ちょうだ] /(n,vs) long hit (baseball)/slugging/extra-base hit/(P)/
長打コース [ちょうだコース] /(n) ball hit toward the gap between outfielders (baseball)/
長打率 [ちょうだりつ] /(n) slugging percentage (baseball)/
長大 [ちょうだい] /(adj-na,n) very long/great length/(P)/
長大息 [ちょうたいそく] /(n,vs) deep sigh/
長嘆 [ちょうたん] /(n,vs) deep sigh/
長歎 [ちょうたん] /(n,vs) deep sigh/
長短 [ちょうたん] /(n) (1) length/(2) long and short/advantages and disadvantages/pluses and minuses/strong and weak points/merits and demerits/(P)/
長男 [ちょうなん] /(n) eldest son/first-born son/(P)/
長談義 [ながだんぎ] /(n,vs) long-winded speech/
長談議 [ながだんぎ] /(n,vs) long-winded speech/
長着 [ながぎ] /(n) long (i.e. ankle-length) tradional Japanese garment (esp. a kimono)/
長虫 [ながむし] /(n) snake/
長丁場 [ながちょうば] /(n) long (stretch of) distance/
長調 [ちょうちょう] /(n,adj-no) major key (music)/(P)/
長長 [ながなが] /(adv-to,adv) long/drawn-out/very long/
長長しい [ながながしい] /(adj-i) long, drawn-out/tedious/
長追い [ながおい] /(n,vs) long pursuit/
長汀 [ちょうてい] /(n) long shore/
長汀曲浦 [ちょうていきょくほ] /(n) long stretch of winding beach/
長電話 [ながでんわ] /(n) long telephone conversation/
長途 [ちょうと] /(n) long way/
長刀 [ちょうとう] /(n) halberd/long sword/
長刀 [なぎなた] /(n) halberd/long sword/
長刀一枝 [ちょうとういっし] /(n) one long sword/
長刀術 [なぎなたじゅつ] /(n) art of using a naginata (halberd)/
長湯 [ながゆ] /(n,vs) long, leisurely bath/
長頭 [ちょうとう] /(n) dolichocephaly/
長徳 [ちょうとく] /(n) Choutoku era (995.2.22-999.1.13)/
長日月 [ちょうじつげつ] /(n) long period of time/
長日植物 [ちょうじつしょくぶつ] /(n) long-day plant/
長葱 [ながねぎ] /(n) scallion/shallot/green onion/spring onion/
長年 [ながねん] /(n-adv,n-t) long time/many years/(P)/
長年の夢 [ながねんのゆめ] /(n) long-cherished dream/
長波 [ちょうは] /(n) long wave/
長髪 [ちょうはつ] /(n,adj-no) long hair/
長半径 [ちょうはんけい] /(n) semimajor axis/
長板 [ながいた] /(n) instrument used in tea ceremony/
長煩い [ながわずらい] /(n,vs) protracted illness/
長尾鶏 [ちょうびけい] /(n) (obsc) long-tailed fowl (variety of chicken)/
長尾鶏 [ながおどり] /(n) (obsc) long-tailed fowl (variety of chicken)/
長尾鳥 [ながおどり] /(n) (obsc) long-tailed fowl (variety of chicken)/
長鼻類 [ちょうびるい] /(n) proboscideans/proboscidians/
長風呂 [ながぶろ] /(n,vs) long bath/staying in the bath for a long time/
長物 [ちょうぶつ] /(n) (1) something long/(2) useless things/white elephant/boondoggle/
長物 [ながもの] /(n) (1) something long/(2) useless things/white elephant/boondoggle/
長吻虻 [つりあぶ] /(n) (uk) bee fly (any insect of family Bombyliidae)/
長文 [ちょうぶん] /(n) long sentence or letter/
長柄 [ながえ] /(n) long handle/long-handled spear/long shaft/
長柄刀 [ながえがたな] /(n) long, two-handed sword/
長篇 [ちょうへん] /(n,adj-no) long (e.g. novel, film)/
長篇小説 [ちょうへんしょうせつ] /(n) full-length novel/
長編 [ちょうへん] /(n,adj-no) long (e.g. novel, film)/(P)/
長編み [ながあみ] /(n) double crochet/DC/
長編映画 [ちょうへんえいが] /(n) feature film/
長編小説 [ちょうへんしょうせつ] /(n) full-length novel/
長辺 [ちょうへん] /(n) long boundary/
長保 [ちょうほう] /(n) Chouhou era (999.1.13-1004.7.20)/
長母音 [ちょうぼいん] /(n) long vowel/
長方形 [ちょうほうけい] /(n,adj-no) rectangle/oblong/(P)/
長方向 [ちょうほうこう] /(n) longitudinal direction/
長方体 [ちょうほうたい] /(n) parallelepiped/
長命 [ちょうめい] /(adj-na,n,adj-no) long life/
長鳴き [ながなき] /(n,vs) long crowing (warbling)/
長毛 [ちょうもう] /(n) longhair (e.g. cat)/
長目 [ながめ] /(adj-na,adj-no) longish/moderately long/
長目に [ながめに] /(adv) at the long end (e.g. hold)/on the long side (e.g. cut)/
長夜 [じょうや] /(n-t) long night/all night/
長夜 [ちょうや] /(n-t) long night/all night/
長野県 [ながのけん] /(n) Nagano prefecture (Chuubu area)/
長幼 [ちょうよう] /(n) young and old/
長螺 [ながにし] /(n) (uk) perplexed spindle (species of sea snail, Fusinus perplexus)/
長粒米 [ちょうりゅうまい] /(n) long grain rice/
長旅 [ながたび] /(n) long trip/
長暦 [ちょうりゃく] /(n) Chouryaku era (1037.4.21-1040.11.10)/
長老 [ちょうろう] /(n,adj-no) eldest/senior/(P)/
長老教会 [ちょうろうきょうかい] /(n,adj-no) the Presbyterian Church/
長老派 [ちょうろうは] /(n) Presbyterian Church/Presbyterians/
長老派教会 [ちょうろうはきょうかい] /(n) Presbyterian Church/
長禄 [ちょうろく] /(n) Chouroku era (1457.9.28-1460.12.21)/
長和 [ちょうわ] /(n) Chouwa era (1012.12.25-1017.4.23)/
長話 [ながばなし] /(n,vs) long talk/(P)/
長熨斗 [ながのし] /(n) stretched dried abalone (used as a betrothal gift)/
長簀鯨 [ながすくじら] /(n) (uk) fin whale/finback (whale)/razorback whale (Balaenoptera physalus)/
長翅目 [ちょうしもく] /(n) Mecoptera/
長襦袢 [ながじばん] /(n) long, kimono-like garment, made of light fabric and worn under the kimono/under-kimono/
長襦袢 [ながじゅばん] /(n) long, kimono-like garment, made of light fabric and worn under the kimono/under-kimono/
長跪 [ちょうき] /(n) way of sitting by placing both knees on the ground and standing upright/
頂 [いただき] /(n) (1) crown (of head)/summit (of mountain)/spire/(2) easy win for one/(3) something received/(P)/
頂き [いただき] /(n) (1) crown (of head)/summit (of mountain)/spire/(2) easy win for one/(3) something received/
頂き物 [いただきもの] /(n) (hum) (received) present/gift/
頂く [いただく] /(v5k,vt) (1) (hum) to receive/to get/to accept/to take/to buy/(2) (hum) (pol) to eat/to drink/(3) to be crowned with/to wear (on one's head)/to have (on top)/(4) to have (as one's leader)/to live under (a ruler)/to install (a president)/(P)/
頂けない [いただけない] /(exp) unacceptable/unsatisfactory/
頂ける [いただける] /(v1,vi) (1) (uk) to receive (potential)/(2) to be pretty good/to be exquisite/to be approvable/
頂芽 [ちょうが] /(n) terminal bud/apical bud/
頂角 [ちょうかく] /(n) vertical angle/
頂上 [ちょうじょう] /(n,adj-no) top/summit/peak/(P)/
頂上会談 [ちょうじょうかいだん] /(n) summit conference/
頂戴 [ちょうだい] /(n,vs) (1) (hum) receiving/reception/getting/being given/(2) (hum) eating/drinking/having/(exp) (3) (fam) (fem) (also used after -te forms) please/please do for me/(P)/
頂戴物 [ちょうだいもの] /(n) present/gift/
頂端細胞 [ちょうたんさいぼう] /(n) apical cell/
頂端分裂組織 [ちょうたんぶんれつそしき] /(n) apical meristem/
頂点 [ちょうてん] /(n,adj-no) top/summit/(P)/
頂点シェーダ [ちょうてんシェーダ] /(n) (comp) vertex shader/
頂点データ [ちょうてんデータ] /(n) (comp) vertex data/
頂点色 [ちょうてんしょく] /(n) (comp) vertex colour/
頂点捕食者 [ちょうてんほしょくしゃ] /(n) apex predator/
頂点法線 [ちょうてんほうせん] /(n) (comp) vertex normal/
頂辺 [てっぺん] /(n) top/summit/apex/peak/
頂辺 [てへん] /(ok) (n) top/summit/apex/peak/
頂門の一針 [ちょうもんのいっしん] /(n) painful reproach (like a needle stuck in one's scalp)/
鳥 [とり] /(n) (1) bird/(2) bird meat (esp. chicken meat)/fowl/poultry/(P)/
鳥かご [とりかご] /(n) birdcage/
鳥かつ [とりかつ] /(n) chicken cutlet/
鳥が棲む森 [とりがすむもり] /(exp,n) woods inhabited by birds/
鳥の子 [とりのこ] /(n) (1) bird's egg (esp. a chicken egg)/(2) chick/baby bird (esp. a baby chicken)/(3) (abbr) eggshell-colored traditional Japanese paper made primarily of Diplomorpha sikokiana fibres (high-quality, glossy)/(4) (abbr) eggshell (colour)/(5) (abbr) red and white oval rice cakes/
鳥の子紙 [とりのこがみ] /(n) eggshell-colored traditional Japanese paper made primarily of Diplomorpha sikokiana fibres (high-quality, glossy)/
鳥の子色 [とりのこいろ] /(n) eggshell (colour)/
鳥の子餅 [とりのこもち] /(n) red and white oval rice cakes/
鳥もち [とりもち] /(n) birdlime/
鳥わさ [とりわさ] /(n) briefly-boiled chicken breast (served cold and mostly raw as sashimi with wasabi-seasoned shoyu)/
鳥インフルエンザ [とりインフルエンザ] /(n) avian influenza/
鳥カツ [とりカツ] /(n) chicken cutlet/
鳥威し [とりおどし] /(n) scarecrow/
鳥餌 [とりえ] /(n) bird feed/birdseed/
鳥影 [ちょうえい] /(n) shadow of a bird/sighting of a bird/
鳥影 [とりかげ] /(n) shadow of a bird/sighting of a bird/
鳥屋 [とや] /(n) chicken coop/henhouse/
鳥屋 [とりや] /(n) bird dealer/poulterer/
鳥貝 [とりがい] /(n) Japanese egg cockle (Fulvia mutica)/
鳥兜 [とりかぶと] /(n) (1) (uk) aconite (esp. species Aconitum japonicum)/wolfsbane/monkshood/(2) traditional bugaku hat/
鳥観図 [ちょうかんず] /(iK) (n) bird's-eye view/
鳥寄せ [とりよせ] /(n) birdcall/birdcalling/
鳥脚類 [ちょうきゃくるい] /(n) ornithopods/
鳥居 [とりい] /(n) torii (Shinto shrine archway)/(P)/
鳥居配管 [とりいはいかん] /(n) right-angled loop (used in plumbing)/right-angled expansion pipe/torii-shaped piping/
鳥撃ち [とりうち] /(n) fowling/shooting birds/
鳥甲 [とりかぶと] /(n) (1) (uk) aconite (esp. species Aconitum japonicum)/wolfsbane/monkshood/(2) traditional bugaku hat/
鳥山葵 [とりわさ] /(n) briefly-boiled chicken breast (served cold and mostly raw as sashimi with wasabi-seasoned shoyu)/
鳥刺 [とりさし] /(n) (1) catching birds (using a birdlime-covered pole)/bird catcher/(2) chicken sashimi/
鳥刺し [とりさし] /(n) (1) catching birds (using a birdlime-covered pole)/bird catcher/(2) chicken sashimi/
鳥刺し竿 [とりさしざお] /(n) birdlime-covered pole/
鳥刺竿 [とりさしざお] /(n) birdlime-covered pole/
鳥飼病 [とりかいびょう] /(n) bird fancier's lung/bird breeder's disease/
鳥取県 [とっとりけん] /(n) Tottori prefecture (Chuugoku area)/
鳥取弁 [とっとりべん] /(n) dialects of Japanese spoken in Eastern Tottori prefecture/
鳥獣 [ちょうじゅう] /(n) birds and wild animals/wildlife/(P)/
鳥獣保護区 [ちょうじゅうほごく] /(n) wildlife sanctuary/protection area for birds and wild animals/
鳥獣保護区域 [ちょうじゅうほごくいき] /(n) wildlife protection area/
鳥銃 [ちょうじゅう] /(n) fowling gun/
鳥小屋 [とりごや] /(n) henhouse/aviary/
鳥食蜘蛛 [とりくいぐも] /(n) (uk) (obsc) tarantula (any spider of family Theraphosidae)/
鳥人 [ちょうじん] /(n) aviator/flying ace/birdman/
鳥葬 [ちょうそう] /(n) sky burial (funeral ritual in which the body of the deceased is exposed to be eaten by birds)/
鳥打ち [とりうち] /(n) fowling/shooting birds/
鳥打ち帽 [とりうちぼう] /(n) (hunting) cap/
鳥打帽 [とりうちぼう] /(n) (hunting) cap/
鳥追 [とりおい] /(n) (1) driving off birds/(2) procession held at the New Year to chase away the birds for the year, with children singing songs as the villagers walked from house to house/(3) female street musician who wore a braided hat and carried a shamisen/(4) street entertainer who appeared on New Year's eve and performed with a fan/
鳥追い [とりおい] /(n) (1) driving off birds/(2) procession held at the New Year to chase away the birds for the year, with children singing songs as the villagers walked from house to house/(3) female street musician who wore a braided hat and carried a shamisen/(4) street entertainer who appeared on New Year's eve and performed with a fan/
鳥追い歌 [とりおいうた] /(n) song sung by children during the New Year's bird-driving procession (later adopted by door-to-door musicians)/
鳥追歌 [とりおいうた] /(n) song sung by children during the New Year's bird-driving procession (later adopted by door-to-door musicians)/
鳥追棒 [とりおいぼう] /(n) (arch) stick used to drive off birds (during the New Year's procession)/
鳥天 [とりてん] /(n) chicken tempura (specialty of Oita prefecture)/
鳥渡 [ちょっと] /(ateji) (adv) (1) (uk) just a minute/short time/just a little/(2) somewhat/easily/readily/rather/(3) (before a verb in negative form) (will not) easily/(int) (4) hey!/
鳥渡 [ちょと] /(ateji) (adv) (1) (uk) just a minute/short time/just a little/(2) somewhat/easily/readily/rather/(3) (before a verb in negative form) (will not) easily/(int) (4) hey!/
鳥曇 [とりぐもり] /(n) cloudy sky that appears when the migrating birds that stayed for winter and autumn in Japan leave to go north/
鳥曇り [とりぐもり] /(n) cloudy sky that appears when the migrating birds that stayed for winter and autumn in Japan leave to go north/
鳥鍋 [とりなべ] /(n) chicken cooked in a shallow pan with vegetables/
鳥肉 [ちょうにく] /(n) chicken meat/
鳥肉 [とりにく] /(n) chicken meat/
鳥馬 [ちょうま] /(n) (obsc) (ktb:) dusky thrush (Turdus naumanni)/
鳥媒花 [ちょうばいか] /(n) ornithophilous flower (e.g. pollinated by birds)/
鳥肌 [とりはだ] /(n) gooseflesh/goose pimples/goose bumps/
鳥肌がたつ [とりはだがたつ] /(exp,v5t) to get goosebumps/
鳥肌が立つ [とりはだがたつ] /(exp,v5t) to get goosebumps/
鳥肌になる [とりはだになる] /(v5r) to have goosebumps/
鳥盤類 [ちょうばんるい] /(n) Ornithischia (order of herbacious dinosaurs with bird-like pelvic structures)/
鳥皮 [ちょうひ] /(n) (1) (obsc) chicken skin (e.g. in cooking)/(2) bird skins/
鳥皮 [とりかわ] /(n) (1) (obsc) chicken skin (e.g. in cooking)/(2) bird skins/
鳥糞石 [ちょうふんせき] /(n) (obsc) guano/
鳥偏 [とりへん] /(n) kanji "bird" radical/
鳥捕蜘蛛 [とりとりぐも] /(n) (uk) (obsc) tarantula (any spider of family Theraphosidae)/
鳥無き里の蝙蝠 [とりなきさとのこうもり] /(exp) (id) You are a man among the geese when the gander is away/
鳥網 [とりあみ] /(n) fowling net/
鳥目 [ちょうもく] /(n) cash/money/zeni coin/
鳥目 [とりめ] /(n,adj-no) night-blindness/
鳥類 [ちょうるい] /(n,adj-no) birds/(P)/
鳥類インフルエンザ [ちょうるいインフルエンザ] /(n) bird flu/
鳥類学 [ちょうるいがく] /(n) ornithology/
鳥篭 [とりかご] /(n) birdcage/
鳥瞰 [ちょうかん] /(n,vs) bird's-eye view/
鳥瞰図 [ちょうかんず] /(n) bird's-eye view/
鳥瞰的 [ちょうかんてき] /(adj-na) bird's-eye/
鳥籠 [とりかご] /(n) birdcage/
鳥黐 [とりもち] /(n) birdlime/
勅 [ちょく] /(n) imperial decree/imperial edict/(P)/
勅 [みことのり] /(n) imperial decree/imperial edict/
勅意 [ちょくい] /(n) meaning or gist of a decree/
勅額 [ちょくがく] /(n) imperial scroll/
勅勘 [ちょっかん] /(n) the emperor's censure/
勅願 [ちょくがん] /(n) imperial prayer/
勅願寺 [ちょくがんじ] /(n) temple built at the order of the emperor/
勅許 [ちょっきょ] /(n) imperial sanction/royal charter/chartered (e.g. chartered accountant)/
勅語 [ちょくご] /(n) imperial rescript/
勅祭 [ちょくさい] /(n) festival held by imperial order/
勅祭社 [ちょくさいしゃ] /(n) shrine whose rituals are attended by an imperial envoy (who presents offerings)/
勅裁 [ちょくさい] /(n) imperial decision or sanction/
勅使 [ちょくし] /(n) imperial messenger/
勅旨 [ちょくし] /(n) imperial order/imperial will/
勅書 [ちょくしょ] /(n) imperial rescript/
勅宣 [ちょくせん] /(n) imperial decree/
勅撰 [ちょくせん] /(n) compilation for the emperor/emperor's literary production/
勅撰集 [ちょくせんしゅう] /(n) imperial-commissioned poem anthology/
勅選 [ちょくせん] /(n) imperial nomination/
勅選集 [ちょくせんしゅう] /(n) emperor-sponsored anthology/
勅題 [ちょくだい] /(n) theme of the Imperial Poetry Contest/
勅答 [ちょくとう] /(n,vs) emperor's reply/reply to the emperor/
勅任 [ちょくにん] /(n) imperial appointment/
勅任官 [ちょくにんかん] /(n) imperial appointee/
勅筆 [ちょくひつ] /(n) imperial autograph/
勅命 [ちょくめい] /(n) imperial command/
勅問 [ちょくもん] /(n) imperial question/
勅諭 [ちょくゆ] /(n) imperial instructions/
勅令 [ちょくれい] /(n) (imperial) edict/
勅諚 [ちょくじょう] /(n) imperial message/
捗々しい [はかばかしい] /(adj-i) quick/rapid/swift/satisfactory/
捗る [はかどる] /(v5r,vi) to make progress/to move right ahead (with the work)/to advance/(P)/
捗捗しい [はかばかしい] /(adj-i) quick/rapid/swift/satisfactory/
直 [あたい] /(n) Atai (post-Taika hereditary title often given to regional administrators)/
直 [あたいえ] /(ok) (n) Atai (post-Taika hereditary title often given to regional administrators)/
直 [あたえ] /(n) Atai (post-Taika hereditary title often given to regional administrators)/
直 [じか] /(n-pref,adj-no,n) direct/
直 [じき] /(adj-na,adv,n) (1) soon/in a moment/before long/shortly/(2) nearby/close/(adj-no,n) (3) direct/(4) spot transaction/cash transaction/(P)/
直 [ただ] /(adj-na,n,adv) (arch) straight/direct/
直 [ちょく] /(adj-na,adv,n) (1) direct/in person/frankness/honesty/simplicity/cheerfulness/correctness/being straight/(2) night duty/shift (e.g. in a factory)/(P)/
直 [なお] /(adj-na) (1) (arch) straight/(2) ordinary/common/(3) doing nothing/
直 [ね] /(n,adj-no) (1) price/cost/(2) value/worth/merit/(vs) (3) to have value/to have merit/
直 [ひた] /(pref) (uk) earnestly/immediately/exactly/
直々 [じきじき] /(adj-na) personal/direct/
直々 [なおなお] /(adj-na) (1) (arch) straight/(2) ordinary/common/(3) obedient/meek/gentle/calm/
直き [なおき] /(n) straight/upright/
直ぐ [すぐ] /(adj-na,adv,n) (1) (uk) immediately/at once/directly/(2) soon/before long/shortly/(3) easily/without difficulty/(4) right (near)/nearby/just (handy)/(P)/
直ぐそば [すぐそば] /(n) (uk) near/immediately/
直ぐに [すぐに] /(adv) (uk) instantly/immediately/
直ぐ側 [すぐそば] /(n) (uk) near/immediately/
直ぐ様 [すぐさま] /(adv) (uk) immediately/promptly/
直し [なおし] /(n) (1) correction/rectification/(2) mending/repair/(P)/
直し物 [なおしもの] /(n) mending/
直す [なおす] /(v5s,vt) (1) to cure/to heal/(2) to fix/to correct/to repair/(aux-v) (3) to do over again (after -masu base of verb)/(4) to replace/to put back as it was/(5) to convert (into a different state)/to transform/(P)/
直ちに [ただちに] /(adv) at once/immediately/directly/in person/automatically/(P)/
直と [ひたと] /(adv) close to/
直に [じかに] /(adv) (uk) directly/in person/headlong/(P)/
直に [じきに] /(adv) (1) immediately/directly/soon/shortly/before long/(2) easily/readily/(P)/
直らない [なおらない] /(adj-i) beyond repair/irreparable/
直る [なおる] /(v5r,vi) (1) to be cured/to get well/to be healed/(2) to get mended/to be repaired/to be fixed/(P)/
直リン [じかリン] /(n) (comp) direct link/direct linking/
直リン [ちょくリン] /(n) (comp) direct link/direct linking/
直衣 [ちょくい] /(n) everyday robes worn by males of the imperial family, nobility, etc. (from the Heian period onward)/
直衣 [なおし] /(n) everyday robes worn by males of the imperial family, nobility, etc. (from the Heian period onward)/
直衣 [のうし] /(n) everyday robes worn by males of the imperial family, nobility, etc. (from the Heian period onward)/
直隠し [ひたかくし] /(n) cover-up/hiding at all costs/
直営 [ちょくえい] /(n,vs,adj-no) direct management/(P)/
直営店 [ちょくえいてん] /(n) company store/
直映館 [ちょくえいかん] /(n) chain movie theaters/chain movie theatres/
直円錐 [ちょくえんすい] /(n) a right circular cone/
直円柱 [ちょくえんちゅう] /(n) right cylinder/
直往 [ちょくおう] /(n,vs) going unhesitatingly forward/
直往邁進 [ちょくおうまいしん] /(n,vs) push boldly forward/
直押しに [ひたおしに] /(adv) steadily/
直音 [ちょくおん] /(n) single-kana sound/
直下 [ちょっか] /(n,vs) directly under/price cut/fall perpendicularly/(P)/
直下型地震 [ちょっかがたじしん] /(n) near-field earthquake (local earthquake, esp. with a shallow focus directly under a populated area)/
直火 [じかび] /(n) open fire/direct heat/
直覚 [ちょっかく] /(n,vs,adj-no) intuition/insight/
直覚的 [ちょっかくてき] /(adj-na) intuitive/intuitional/
直角 [ちょっかく] /(n,adj-na,adj-no) right angle/perpendicular/(P)/
直角プリズム [ちょっかくプリズム] /(n) right-angle prism/
直角座標 [ちょっかくざひょう] /(n) rectangular coordinates/
直角三角形 [ちょっかくさんかっけい] /(n) right triangle/
直角二等辺三角形 [ちょっかくにとうへんさんかくけい] /(n) rectangular equilateral triangle/isosceles right rectangle/
直滑降 [ちょっかっこう] /(n) schuss/straight descent/
直轄 [ちょっかつ] /(n,vs,adj-no) direct control/(P)/
直轄植民地 [ちょっかつしょくみんち] /(n) crown colony/
直轄地 [ちょっかつち] /(n) area under direct control (of the shogun)/
直巻き [ちょくまき] /(n) series-wound/
直感 [ちょっかん] /(n,vs,adj-no) intuition/instinct/insight/hunch/(P)/
直感的 [ちょっかんてき] /(adj-na) intuitive/
直観 [ちょっかん] /(n,vs,adj-no) intuition/instinct/insight/hunch/(P)/
直観像 [ちょっかんぞう] /(n) eidetic imagery/
直観的 [ちょっかんてき] /(adj-na) intuitive/
直諌 [ちょっかん] /(n) personal admonition/
直間比率 [ちょっかんひりつ] /(n) ratio of direct to indirect taxes/
直帰 [ちょっき] /(n,vs) returning home directly/
直球 [ちょくきゅう] /(n) (1) straight ball (pitch)/(2) straight/frank/(P)/
直球 [ちょっきゅう] /(n) (1) straight ball (pitch)/(2) straight/frank/
直近 [ちょっきん] /(adj-no,n-adv,n-t) latest/most recent/nearest (in time)/
直径 [ちょっけい] /(n) diameter/(P)/
直系 [ちょっけい] /(n,adj-no) direct descent/direct line/(P)/
直系血族 [ちょっけいけつぞく] /(n) a lineal relation/
直系尊属 [ちょっけいそんぞく] /(n) lineal ascendant/
直系卑属 [ちょっけいひぞく] /(n) lineal descendant/
直経 [ちょっけい] /(n) diameter/
直撃 [ちょくげき] /(n,vs) direct hit/(P)/
直撃弾 [ちょくげきだん] /(n) direct hit/
直結 [ちょっけつ] /(n,vs,adj-no) direct connection/online/on-line/
直結形トランジスタ論理回路 [ちょっけつけいトランジスタろんりかいろ] /(n) (comp) Direct-coupled Transistor Logic/DCTL/
直言 [ただこと] /(n) (arch) plain speech/direct speech/
直言 [ただごと] /(n) (arch) plain speech/direct speech/
直言 [ちょくげん] /(n,vs) plain speaking/
直言歌 [ただごとうた] /(n) plain form (of waka)/
直言直筆 [ちょくげんちょくひつ] /(n,vs) speak and write plainly (frankly)/speak and write without reserve/
直後 [ちょくご] /(n-adv,n-t) immediately following/(P)/
直交 [ちょっこう] /(n,vs,adj-no) orthogonal/
直交化平面波 [ちょっこうかへいめんは] /(n) orthogonalized plane wave/OPW/
直交系列 [ちょっこうけいれつ] /(n) (comp) orthogonal sequences/
直交座標 [ちょっこうざひょう] /(n) Cartesian coordinates/rectangular coordinates/
直交周波数多重 [ちょっこうしゅうはすうたじゅう] /(n) (comp) OFDM/orthogonal frequency division multiplexing/
直交周波数多重変調 [ちょっこうしゅうはすうたじゅうへんちょう] /(n) (comp) orthogonal frequency division multiplexing/
直交振幅変調 [ちょっこうしんぷくへんちょう] /(n) (comp) Quadrature Amplitude Modulation/QAM/
直交性 [ちょっこうせい] /(n) orthogonal/quadrature component/
直向 [ひたむき] /(adj-na) (uk) earnest/single-minded/
直向き [ひたむき] /(adj-na) (uk) earnest/single-minded/
直向きに聞く [ひたむきにきく] /(exp,v5k) to listen intently/
直航 [ちょっこう] /(n,vs) direct voyage/direct service/
直行 [ちょっこう] /(n,vs,adj-no) through/non-stop/(P)/
直行便 [ちょっこうびん] /(n) direct (nonstop) flight/
直根 [ちょっこん] /(n) taproot/
直参 [じきさん] /(n) immediate follower (of the shogun)/
直視 [ちょくし] /(n,vs) looking someone in the eyes/taking a straight look at something/(P)/
直示 [ちょくじ] /(n) (1) (ling) deixis/(2) indicator/pointer/
直示はかり [ちょくじはかり] /(n) direct-reading balance/direct-reading scales/
直示天びん [ちょくじてんびん] /(n) analytical balance/direct reading balance/
直示天秤 [ちょくじてんびん] /(n) analytical balance/direct reading balance/
直示秤 [ちょくじはかり] /(n) direct-reading balance/direct-reading scales/
直射 [ちょくしゃ] /(n,vs,adj-no) direct fire/frontal fire/direct rays (of sunlight)/
直射日光 [ちょくしゃにっこう] /(n) direct sunlight/direct rays of the sun/
直謝り [ひたあやまり] /(n) earnest apology/profuse apology/
直取引 [じきとりひき] /(n) spot transaction/cash transaction/
直収 [ちょくしゅう] /(n) (abbr) dedicated line (e.g. phone service)/
直出 [ちょくしゅつ] /(n,vs) shooting straight out/growing straight down/
直焼き [じかやき] /(n) broiling over an open fire/
直上 [ちょくじょう] /(n,vs) above/going steadily upward/
直情 [ちょくじょう] /(n) frankness/impulsiveness/
直情径行 [ちょくじょうけいこう] /(adj-na,n) impulsive and straightforward/guileless/
直身 [そうじみ] /(n) (1) (arch) the real person/said person/
直身 [ただみ] /(n) (1) (arch) the real person/said person/
直身 [むざね] /(n) (1) (arch) the real person/said person/(2) real thing/genuine article/
直進 [ちょくしん] /(n,vs) going right on/going straight ahead/(P)/
直垂れ [ひたたれ] /(n) ancient ceremonial court robe/
直税 [ちょくぜい] /(n) direct tax/
直積み出し [じきつみだし] /(n) immediate shipment/
直積集合 [ちょくせきしゅうごう] /(n) (math) direct product/
直接 [ちょくせつ] /(adj-na,n-adv,adj-no) direct/immediate/personal/firsthand/(P)/
直接アクセス [ちょくせつアクセス] /(n) (comp) direct access/random access/
直接アクセス記憶装置 [ちょくせつアクセスきおくそうち] /(n) (comp) Direct Access Storage Device/DASD/
直接アドレス [ちょくせつアドレス] /(n) (comp) direct address/
直接アドレスファイル [ちょくせつアドレスファイル] /(n) (comp) direct address file/
直接メモリアクセス [ちょくせつメモリアクセス] /(n) (comp) Direct Memory Access/DMA/
直接会談 [ちょくせつかいだん] /(n) direct discussion/direct talks/
直接回答 [ちょくせつかいとう] /(n) immediate, direct response/
直接簡明 [ちょくせつかんめい] /(n) simple and plain/staightforward/
直接関係 [ちょくせつかんけい] /(n) direct relation/
直接記憶アクセス [ちょくせつきおくアクセス] /(n) (comp) direct memory access/DMA/
直接競争 [ちょくせつきょうそう] /(n) direct competition/
直接協議 [ちょくせつきょうぎ] /(n) direct talks/direct discussion/direct discussions/
直接教授法 [ちょくせつきょうじゅほう] /(n) direct method/
直接呼出し機能 [ちょくせつよびだしきのう] /(n) (comp) direct call facility/
直接行動 [ちょくせつこうどう] /(n) direct action/
直接購入 [ちょくせつこうにゅう] /(n) direct purchase/
直接支援 [ちょくせつしえん] /(n) direct support/
直接支配 [ちょくせつしはい] /(n) immediate dominance/ID/
直接受身 [ちょくせつうけみ] /(n) (ling) direct passive/
直接収容 [ちょくせつしゅうよう] /(n) dedicated line (e.g. phone service)/
直接照準射撃 [ちょくせつしょうじゅんしゃげき] /(n) direct fire/
直接照明 [ちょくせつしょうめい] /(n) direct lighting/
直接色指定 [ちょくせついろしてい] /(n) (comp) direct colour (specification)/
直接尋問 [ちょくせつじんもん] /(n) direct examination/
直接請求 [ちょくせつせいきゅう] /(n) direct claim to a local government/
直接税 [ちょくせつぜい] /(n) direct tax/(P)/
直接接触 [ちょくせつせっしょく] /(n) direct contact/
直接接続 [ちょくせつせつぞく] /(n,vs) making a direct connection/
直接選挙 [ちょくせつせんきょ] /(n) direct election/(P)/
直接対話 [ちょくせつたいわ] /(n,vs) face-to-face talk/direct communication/direct dialogue/direct talk/
直接的 [ちょくせつてき] /(adj-na,n) direct/(P)/
直接伝染 [ちょくせつでんせん] /(n) direct infection/
直接投資 [ちょくせつとうし] /(n) direct investment/
直接入力 [ちょくせつにゅうりょく] /(n) (comp) direct input/
直接発信 [ちょくせつはっしん] /(n) (comp) direct submission/
直接比較 [ちょくせつひかく] /(n) direct comparison/
直接費 [ちょくせつひ] /(n) direct cost/
直接百分率機能 [ちょくせつひゃくぶんりつきのう] /(n) (comp) direct percentage function/
直接分裂 [ちょくせつぶんれつ] /(n) (obsc) direct division (i.e. amitosis)/
直接編成ファイル [ちょくせつへんせいファイル] /(n) (comp) direct file/
直接法 [ちょくせつほう] /(n) direct method/indicative mood/
直接民主制 [ちょくせつみんしゅせい] /(n) direct democracy/
直接目的語 [ちょくせつもくてきご] /(n) (ling) direct object/
直接要因 [ちょくせつよういん] /(n) direct cause/proximate cause/
直接利用者 [ちょくせつりようしゃ] /(n) (comp) direct user/
直接労務費 [ちょくせつろうむひ] /(n) direct labor costs/direct labour costs/
直接話法 [ちょくせつわほう] /(n) direct quotation/
直説法 [ちょくせつほう] /(n) direct method/indicative mood/
直線 [ちょくせん] /(n,adj-no) straight line/(P)/
直線運動 [ちょくせんうんどう] /(n) linear motion/
直線距離 [ちょくせんきょり] /(n) distance in a straight line/
直線性 [ちょくせんせい] /(n) linearity/
直線補間 [ちょくせんほかん] /(n) linear interpolation/straight-line interpolation/
直銭形 [ちょくせんけい] /(n) rectangular figures/
直前 [ちょくぜん] /(n-adv,n-t) just before/(P)/
直前指定要素 [ちょくぜんしていようそ] /(n) (comp) previous specified element/
直訴 [じきそ] /(n,vs) direct appeal/
直奏 [じきそう] /(n,vs) direct report to the throne/
直走り [ひたばしり] /(n) running swiftly/
直走路 [ちょくそうろ] /(n) straight course/
直送 [ちょくそう] /(n,vs) direct delivery/
直足袋 [じかたび] /(n) work tabi/split-toed heavy cloth shoes with rubber soles/
直属 [ちょくぞく] /(n,vs,adj-no) direct control/direct supervision/(P)/
直叩き [じかたたき] /(n) (comp) hitting the hardware directly/
直達 [じきたつ] /(n,vs) direct delivery/
直段 [ねだん] /(n) price/cost/
直談 [じかだん] /(n,vs) personal account (of)/direct talks/
直談 [じきだん] /(n,vs) personal account (of)/direct talks/
直談判 [じかだんぱん] /(n,vs) direct talks/
直値 [ちょくち] /(n) immediate data/
直中 [ただなか] /(n) middle/
直腸 [ちょくちょう] /(n,adj-no) rectum/
直腸がん [ちょくちょうがん] /(n) rectal cancer/
直腸ガン [ちょくちょうガン] /(n) rectal cancer/
直腸癌 [ちょくちょうがん] /(n) rectal cancer/
直腸脱 [ちょくちょうだつ] /(n) rectal prolapse/
直腸膣 [ちょくちょうちつ] /(adj-no) rectovaginal/
直腸膣瘻 [ちょくちょうちつろう] /(n) rectovaginal fistula/
直直 [じきじき] /(adj-na) personal/direct/
直直 [なおなお] /(adj-na) (1) (arch) straight/(2) ordinary/common/(3) obedient/meek/gentle/calm/
直通 [ちょくつう] /(n,vs,adj-no) direct communication/(P)/
直通電話 [ちょくつうでんわ] /(n) direct dialing or calling/
直通列車 [ちょくつうれっしゃ] /(n) a through train/
直定数 [ちょくていすう] /(n) (comp) literal/
直弟子 [じきでし] /(n) personal pupil/
直伝 [じきでん] /(n) direct transmission (of mysteries or skill)/initiation/
直渡し [じきわたし] /(n) direct delivery/
直刀 [ちょくとう] /(n) straight sword/
直答 [じきとう] /(n,vs) prompt answer/direct personal answer/
直答 [ちょくとう] /(n,vs) prompt answer/direct personal answer/
直読 [ちょくどく] /(n,vs,adj-no) reading (Chinese) without syntactical rearrangement into Japanese/
直日神 [なおびのかみ] /(n) gods of restoration (who purify sin, etc.)/
直配 [ちょくはい] /(n,vs) direct delivery/
直売 [ちょくばい] /(n,vs) selling directly/
直販 [ちょくはん] /(n,adj-no) direct selling/direct-sales/
直披 [じきひ] /(n) personal/confidential (letter)/
直披 [ちょくひ] /(n) personal/confidential (letter)/
直毘神 [なおびのかみ] /(n) gods of restoration (who purify sin, etc.)/
直筆 [じきひつ] /(n,adj-no) one's own handwriting/
直筆 [ちょくひつ] /(n) writing with an upright brush/frank writing/
直払い [じきはらい] /(n) cash payment/
直物市場 [じきものしじょう] /(n) spot market/
直物相場 [じきものそうば] /(n) spot rate (of exchange)/
直噴エンジン [ちょくふんエンジン] /(n) direct fuel-injection engine/
直噴ディーゼル [ちょくふんディーゼル] /(n) direct-injection diesel engine/
直噴射 [ちょくふんしゃ] /(n,vs) direct fuel injection/
直並列変換器 [ちょくへいれつへんかんき] /(n) (comp) staticizer/serial-parallel converter/
直方体 [ちょくほうたい] /(n) right-angled parallelepiped/cuboid/rectangular solid/
直面 [ちょくめん] /(n) (1) confrontation/(vs) (2) to face/to confront/to encounter/(P)/
直面 [ひためん] /(n,adj-f) performing without a mask (Noh)/
直訳 [ちょくやく] /(n,vs) literal translation/direct translation/
直輸 [ちょくゆ] /(n) direct import (export)/
直輸出 [じきゆしゅつ] /(n) direct export/
直輸出 [ちょくゆしゅつ] /(n) direct export/
直輸入 [じきゆにゅう] /(n) direct import/
直輸入 [ちょくゆにゅう] /(n) direct import/
直様 [じきさま] /(adv) immediately/promptly/
直様 [じきざま] /(adv) immediately/promptly/
直覧 [じきらん] /(n) respectfully looking at (something)/
直立 [ちょくりつ] /(n,vs,adj-no) vertical/perpendicular/upright/erect/stand erect/rise perpendicularly/
直立猿人 [ちょくりつえんじん] /(n) a pithecanthrope/
直立茎 [ちょくりつけい] /(n) erect stem/
直立不動 [ちょくりつふどう] /(n) standing at attention/
直立歩行 [ちょくりつほこう] /(n,vs) walking upright/
直流 [ちょくりゅう] /(n,adj-no) direct current/DC/
直流回路 [ちょくりゅうかいろ] /(n) direct-current circuit/
直留 [ちょくりゅう] /(adj-f) directly distilled/straight/
直留軽油 [ちょくりゅうけいゆ] /(n) straight diesel oil/
直列 [ちょくれつ] /(n,adj-no) (1) series (e.g. electrical)/(adj-f) (2) serial/(P)/
直列データ回線 [ちょくれつデータかいせん] /(n) (comp) tandem data circuit/
直列加算 [ちょくれつかさん] /(n) (comp) serial addition/
直列加算器 [ちょくれつかさんき] /(n) (comp) serial adder/
直列伝送 [ちょくれつでんそう] /(n) (comp) serial transmission/
直路 [すぐみち] /(n) straight road/short cut/
直路 [ちょくろ] /(n) straight road/short cut/
直和 [ちょくわ] /(n) direct sum/
直和集合 [ちょくわしゅうごう] /(n) (math) direct sum/
直話 [じきばなし] /(n,vs) one's own account (of something)/account one got (heard) from somebody at first hand/
直話 [じきわ] /(n,vs) one's own account (of something)/account one got (heard) from somebody at first hand/
直話 [ちょくわ] /(n,vs) one's own account (of something)/account one got (heard) from somebody at first hand/
直喩 [ちょくゆ] /(n) simile/
直截 [ちょくさい] /(adj-na,n) frank/straightforward/prompt/directness/decisiveness/
直截 [ちょくせつ] /(adj-na,n) frank/straightforward/prompt/directness/decisiveness/
直截簡明 [ちょくせつかんめい] /(n) simple and plain/staightforward/
直翅類 [ちょくしるい] /(n) (obs) orthopterans/
直諫 [ちょっかん] /(n,vs) remonstration/
朕 [ちん] /(pn,adj-no) We/Our/first person pronoun used by royalty/
朕思うに [ちんおもうに] /(exp) "We, the emperor, .."/
沈々 [しんしん] /(adj-t,adv-to) (1) silent (esp. of the passing of the night)/(2) piercing (cold)/
沈々 [ちんちん] /(adj-t,adv-to) (1) silent (esp. of the passing of the night)/
沈みこむ [しずみこむ] /(v5m,vt) to sink/
沈み込む [しずみこむ] /(v5m,vt) to sink/
沈む [しずむ] /(v5m,vi) to sink/to feel depressed/(P)/
沈め [しずめ] /(n) (1) sinking/submerging/(2) sinker/weight/
沈める [しずめる] /(v1,vt) to sink/to submerge/(P)/
沈んだ心 [しずんだこころ] /(n) low spirits/depressed heart/
沈下 [ちんか] /(n,vs) sinking/subsidence/(P)/
沈下橋 [ちんかばし] /(n) bridge designed to be underwater during a flood/
沈魚落雁 [ちんぎょらくがん] /(n) the charms of a uniquely beautiful woman (lit: (so beautiful that,) in shame, fish stay on the bottom of water and flying wild geese fall from the sky)/
沈金 [ちんきん] /(n) gold-inlaid laquerware (using powdered gold in etched grooves)/
沈金彫 [ちんきんぼり] /(n) gold-inlaid laquerware/
沈金彫り [ちんきんぼり] /(n) gold-inlaid laquerware/
沈吟 [ちんぎん] /(n,vs) hum/meditation/painstaking elaboration on one's poem/groaning in distress/
沈降 [ちんこう] /(n,vs) precipitate/settle/
沈降海岸 [ちんこうかいがん] /(n) submerged shoreline/
沈香 [じんこ] /(n) aloes/aloeswood/agarwood/eaglewood/
沈香 [じんこう] /(n) aloes/aloeswood/agarwood/eaglewood/
沈香も焚かず屁も放らず [じんこうもたかずへもひらず] /(exp) (id) His faults are few, but so are his virtues/
沈砂 [ちんさ] /(n) grit/
沈菜 [キムチ] /(n) (uk) kimchi (kor: kimch'i)/kimchee/spicy Korean pickled cabbage/
沈子 [いわ] /(n) weight (of a fishing net)/
沈子 [ちんし] /(n) weight (of a fishing net)/sinker (on a fishing line)/
沈思 [ちんし] /(n,vs) contemplation/meditation/
沈思黙考 [ちんしもっこう] /(exp) being lost in deep thought/
沈水海岸 [ちんすいかいがん] /(n) submergent coastline/submerged coast/submerged shoreline/
沈酔 [ちんすい] /(n,vs) very drunk/
沈静 [ちんせい] /(adj-na,n) stillness/tranquility/tranquillity/dullness/(P)/
沈積 [ちんせき] /(n,vs) sedimentation/
沈積岩 [ちんせきがん] /(n) (obsc) sedimentary rock/
沈潜 [ちんせん] /(n,vs) sinking into deep thought/sinking to the depths/contemplation/
沈船ダイビング [ちんせんダイビング] /(n) wreck diving/
沈船ブイ [ちんせんブイ] /(n) wreck buoy/
沈船捜索救助計画 [ちんせんそうさくきゅうじょけいかく] /(n) Deep Submergence Systems Project/DSSP/
沈滞 [ちんたい] /(n,vs) stagnation/inactivity/(P)/
沈着 [ちんちゃく] /(n,vs) (1) settling or depositing (at the bottom of something)/deposition/pigmentation/(n,adj-na) (2) composure/calmness/(P)/
沈着率 [ちんちゃくりつ] /(n) deposition rate/deposition fraction/
沈着冷静 [ちんちゃくれいせい] /(n,adj-na) calm, cool, and collected/level and calm/
沈丁花 [じんちょうげ] /(n) winter daphne (Daphne odora)/
沈丁花 [ちんちょうげ] /(n) winter daphne (Daphne odora)/
沈丁花 [ぢんちょうげ] /(ik) (n) winter daphne (Daphne odora)/
沈沈 [しんしん] /(adj-t,adv-to) (1) silent (esp. of the passing of the night)/(2) piercing (cold)/
沈沈 [ちんちん] /(adj-t,adv-to) (1) silent (esp. of the passing of the night)/
沈痛 [ちんつう] /(adj-na) grave/sad/mournful/sorrowful/pensive/
沈溺 [ちんでき] /(n,vs) (1) being immersed in water/being drowned/(2) being infatuated/being dazed/being blinded by/
沈殿 [ちんでん] /(n,vs) precipitation/deposition/settlement (e.g. of sediment)/
沈澱 [ちんでん] /(n,vs) precipitation/deposition/settlement (e.g. of sediment)/
沈澱物 [ちんでんぶつ] /(n) sediment/a deposit/
沈没 [ちんぼつ] /(n,vs) sinking/foundering/going down/submersion/(P)/
沈没船 [ちんぼつせん] /(n) sunken ship/
沈埋工法 [ちんまいこうほう] /(n) underwater tunnel construction by sinking prefabricated box culverts/
沈黙 [ちんもく] /(n,vs) silence/reticence/(P)/
沈黙は金雄弁は銀 [ちんもくはきんゆうべんはぎん] /(exp) speech is silver, silence is golden/
沈黙を破る [ちんもくをやぶる] /(exp,v5r) to break the silence/to break one's silence/
沈黙寡言 [ちんもくかげん] /(n,adj-na) taciturn/reticent/
沈勇 [ちんゆう] /(n) composed courage/
沈倫 [ちんりん] /(n,vs) sinking into obscurity/being ruined/
沈鬱 [ちんうつ] /(adj-na,n) melancholy/gloom/depression/
沈渣 [ちんさ] /(n) dregs/sediment/sludge/
珍 [ちん] /(adj-na,n) rare/curious/strange/(P)/
珍しい [めずらしい] /(adj-i) (1) unusual/rare/curious/(2) new/novel/(3) fine (e.g. gift)/(P)/
珍しがる [めずらしがる] /(v5r,vt) to think (it) a curiosity/
珍らしい [めずらしい] /(io) (adj-i) (1) unusual/rare/curious/(2) new/novel/(3) fine (e.g. gift)/
珍プレー [ちんプレー] /(n) unusual play (baseball)/
珍渦虫 [ちんうずむし] /(n) xenoturbellan (either of two species of worm-like basal deuterostomes)/
珍奇 [ちんき] /(adj-na,n) strange/rare/novel/curious/
珍客 [ちんかく] /(n) welcome visitor/rare guest/
珍客 [ちんきゃく] /(n) welcome visitor/rare guest/
珍魚 [ちんぎょ] /(n) rare fish/
珍芸 [ちんげい] /(n) an unusual trick/
珍現象 [ちんげんしょう] /(n) strange phenomenon/
珍肴 [ちんこう] /(n) uncommon and delicious meal/
珍至梅 [ちんしばい] /(n) (uk) sorbaria/
珍事 [ちんじ] /(n) strange occurrence/unusual occurrence/unexpected occurrence/
珍事件 [ちんじけん] /(n) rare event/unexpected event/
珍種 [ちんしゅ] /(n,adj-no) rare species/
珍寿 [ちんじゅ] /(n) 112th birthday (and beyond)/
珍什 [ちんじゅう] /(n) rare article/rare utensil/
珍獣 [ちんじゅう] /(n) rare (or peculiar) animal/
珍重 [ちんちょう] /(vs) to prize/to value highly/to esteem/(P)/
珍書 [ちんしょ] /(n) rare book/
珍説 [ちんせつ] /(n) novel idea/strange theory/
珍膳 [ちんぜん] /(n) uncommon and delicious meal/
珍走団 [ちんそうだん] /(n) (used as a replacement for "bosozoku", which has a 'cool' image) biker gang/group of hot-rodders/
珍蔵 [ちんぞう] /(n,vs) treasuring something of value/
珍陀 [チンタ] /(ateji) (n) (uk) red wine (por: (vinho) tinto)/
珍談 [ちんだん] /(n) funny story/anecdote/gossip/
珍中の珍 [ちんちゅうのちん] /(n) rarity/black swan/
珍鳥 [ちんちょう] /(n) rare bird/
珍答 [ちんとう] /(n) absurd reply/
珍道具 [ちんどうぐ] /(n) gadget/
珍道中 [ちんどうちゅう] /(n) incident-filled journey/
珍品 [ちんぴん] /(n) curio/rare article/(P)/
珍糞漢 [ちんぷんかん] /(n) babble/gibberish/gobbledygook/gobbledegook/
珍糞漢糞 [ちんぷんかんぷん] /(exp,adj-na,n) (uk) unintelligible language/incoherent language/talking nonsense/"all Greek to me"/double Dutch/(something) incomprehensible/babble/gibberish/jargon/gobbledygook/
珍紛漢紛 [ちんぷんかんぷん] /(exp,adj-na,n) (uk) unintelligible language/incoherent language/talking nonsense/"all Greek to me"/double Dutch/(something) incomprehensible/babble/gibberish/jargon/gobbledygook/(P)/
珍聞 [ちんぶん] /(n) curious or extraordinary story or piece of news/
珍宝 [ちんぽう] /(n) rare treasure/
珍本 [ちんぽん] /(n) rare book/
珍味 [ちんみ] /(n) delicacy/(P)/
珍味佳肴 [ちんみかこう] /(n) rare delicacies/rare treat/
珍妙 [ちんみょう] /(adj-na,n) queer/odd/fantastic/
珍無類 [ちんむるい] /(adj-na,n) extraordinary/singular/incredible/
珍矛 [ちんぽこ] /(n) (col) (uk) penis/
珍問 [ちんもん] /(n) irrelevant question/
賃下げ [ちんさげ] /(n,vs) pay cut/
賃金 [ちんきん] /(n,adj-no) (1) wages/(n) (2) cash payment of rent/
賃金 [ちんぎん] /(n,adj-no) (1) wages/(P)/
賃金の差 [ちんぎんのさ] /(n) wage difference/
賃金カット [ちんぎんカット] /(n) wage cut/
賃金格差 [ちんぎんかくさ] /(n) wage differential/
賃金交渉 [ちんぎんこうしょう] /(n) salary negotiation/
賃金水準 [ちんぎんすいじゅん] /(n) wage level/
賃金体系 [ちんぎんたいけい] /(n) wage system/wage structure/
賃金凍結 [ちんぎんとうけつ] /(n) wage freeze/
賃銀 [ちんぎん] /(n,adj-no) (1) wages/
賃仕事 [ちんしごと] /(n) piecework/
賃借 [ちんしゃく] /(n,vs,adj-no) hiring/renting/leasing/(P)/
賃借り [ちんがり] /(n,vs) hiring/renting/leasing/
賃借権 [ちんしゃくけん] /(n) right to lease/
賃借人 [ちんしゃくにん] /(n) hirer/lessee/leaseholder/
賃上げ [ちんあげ] /(n,vs) wage increase/(P)/
賃銭 [ちんせん] /(n) wages/pay/
賃貸 [ちんたい] /(n,vs,adj-no) lease/rent/hire/(P)/
賃貸し [ちんがし] /(n,vs) lease/rent/hire/
賃貸アパート [ちんたいアパート] /(n) apartment for rent/
賃貸価格 [ちんたいかかく] /(n) rental value/
賃貸借 [ちんたいしゃく] /(n) renting/leasing/
賃貸借契約 [ちんたいしゃくけいやく] /(n) rental agreement or contract/a lease/
賃貸人 [ちんたいにん] /(n) lessor/
賃貸料 [ちんたいりょう] /(n) rent/rental/
賃貸料金 [ちんたいりょうきん] /(n) rent/rental/
賃餅 [ちんもち] /(n) rice cakes made after the customer has paid for them/
賃率 [ちんりつ] /(n) labour rate/pay rate/wage rate/income rate/
賃料 [ちんりょう] /(n) (abbr) rent/rental/
賃料減額 [ちんりょうげんがく] /(n) rent reduction/
鎮 [しず] /(ok) (n) (1) (Buddh) (arch) a weight/
鎮 [ちん] /(n) (1) (Buddh) (arch) a weight/(2) temple supervisor/(3) town (of China)/
鎮まる [しずまる] /(v5r,vi) to quieten down/to calm down/to subside/to die down/to abate/to be suppressed/(P)/
鎮め [しずめ] /(n) controlling/suppressing/quelling/
鎮める [しずめる] /(v1,vt) to appease/to suppress/to calm/(P)/
鎮め物 [しずめもの] /(n) sacred items buried in the sumo ring during its ritual purification/
鎮圧 [ちんあつ] /(n,vs,adj-no) suppression/subjugation/(P)/
鎮火 [ちんか] /(n,vs) extinguishing/dying out (of a fire)/putting out/
鎮護 [ちんご] /(n,vs) guarding/protecting/
鎮護国家 [ちんごこっか] /(n) (Buddh) spiritual protection of the state/
鎮魂 [ちんこん] /(n,vs) repose of souls/(P)/
鎮魂 [ちんごん] /(n,vs) repose of souls/
鎮魂ミサ曲 [ちんこんミサきょく] /(n) Requiem Mass/
鎮魂歌 [ちんこんか] /(n) requiem/
鎮魂帰神 [ちんこんきしん] /(n) return to the divine through spiritual quietude/
鎮魂曲 [ちんこんきょく] /(n) requiem/
鎮魂曲歌 [ちんこんきょくか] /(n) (sung) requiem/
鎮魂祭 [ちんこんさい] /(n) mass or ceremony for the repose of a soul/
鎮座 [ちんざ] /(n,vs) enshrinement/
鎮祭 [ちんさい] /(n,vs) religious ceremony (to appease the gods)/
鎮子 [ちんし] /(n) ornamental weights used to keep curtains and the like from blowing around in the wind/
鎮子 [ちんじ] /(n) ornamental weights used to keep curtains and the like from blowing around in the wind/
鎮子 [ちんす] /(n) ornamental weights used to keep curtains and the like from blowing around in the wind/
鎮守 [ちんじゅ] /(n) local Shinto deity/tutelary god/(P)/
鎮守の森 [ちんじゅのもり] /(n) grove of the village shrine/
鎮守の神 [ちんじゅのかみ] /(n) local deity/guardian god/
鎮守の杜 [ちんじゅのもり] /(n) grove of the village shrine/
鎮守社 [ちんじゅしゃ] /(n) Shinto shrine on Buddhist temple grounds dedicated to the tutelary deity of the area/
鎮守府 [ちんじゅふ] /(n) (historical) army base/navy base/
鎮西派 [ちんぜいは] /(n) Chinzei sect (of Pure Land Buddhism)/
鎮静 [ちんせい] /(n,vs,adj-no) calm/quiet/tranquility/tranquillity/appeasement/pacification/
鎮静化 [ちんせいか] /(n,vs) calming down/quieting down/
鎮静剤 [ちんせいざい] /(n) painkiller/sedative/tranquilizer/tranquiliser/
鎮台 [ちんだい] /(n) garrison (in Meiji era)/
鎮痛 [ちんつう] /(n,adj-no) pain relief/killing pain/
鎮痛剤 [ちんつうざい] /(n) analgesic/painkiller/sedative/tranquilizer/tranquiliser/(P)/
鎮痛性 [ちんつうせい] /(adj-na) analgesic/
鎮痛薬 [ちんつうやく] /(n) analgesic/
鎮定 [ちんてい] /(n,vs) suppression/
鎮撫 [ちんぶ] /(n,vs) pacification/placating/
鎮木 [ちぎ] /(n) ornamental crossed rafter ends on shrine gables/
鎮痙 [ちんけい] /(n) (1) spasmolysis/(adj-no) (2) spasmolytic/antispasmodic/anticonvulsive/
鎮痙剤 [ちんけいざい] /(n) antispasmodic drug/spasmolytic drug/anticonvulsant drug/
鎮痙薬 [ちんけいやく] /(n) antispasmodic drug/spasmolytic drug/anticonvulsant drug/
陳こびる [ひねこびる] /(v1,vi) to look old/to appear mature (e.g. of children)/
陳ねこびる [ひねこびる] /(v1,vi) to look old/to appear mature (e.g. of children)/
陳ねる [ひねる] /(v1,vi) (obsc) to age/
陳べる [のべる] /(v1,vt) to state/to express/to mention/
陳謝 [ちんしゃ] /(n,vs) apology/(P)/
陳述 [ちんじゅつ] /(n,vs) statement/declaration/(P)/
陳述書 [ちんじゅつしょ] /(n) written statement/statement of facts/
陳述副詞 [ちんじゅつふくし] /(n) (ling) declarative adverb/
陳情 [ちんじょう] /(n,vs) petition/appeal/(P)/
陳情合戦 [ちんじょうかっせん] /(n) competitive lobbying/rivalry in campaigning (for and against)/
陳情者 [ちんじょうしゃ] /(n) petitioner/
陳情書 [ちんじょうしょ] /(n) petition/
陳情団 [ちんじょうだん] /(n) lobby group/
陳皮 [ちんぴ] /(n) citrus peel/
陳腐 [ちんぷ] /(adj-na,n) stale/hackneyed/cliched/(P)/
陳弁 [ちんべん] /(n,vs) defense (of oneself)/defence (of oneself)/explanation/
陳列 [ちんれつ] /(n,vs) exhibition/display/show/(P)/
陳列室 [ちんれつしつ] /(n) showroom/
陳列窓 [ちんれつまど] /(n) display window/
陳列台 [ちんれつだい] /(n) display stand/exhibition table/
陳列棚 [ちんれつだな] /(n) display case/
陳列棟 [ちんれつとう] /(n) gallery/exhibition hall/
陳列箱 [ちんれつばこ] /(n) display box (for products)/
陳列品 [ちんれつひん] /(n) exhibit/articles on display/
津 [つ] /(suf) (1) harbour/harbor/port/(2) ferry/
津々浦々 [つつうらうら] /(n-adv,n) all over the country/throughout the land/every nook and cranny of the land/
津々浦々 [つづうらうら] /(n-adv,n) all over the country/throughout the land/every nook and cranny of the land/
津軽 [つがる] /(n) Tsugaru (Western region of Aomori Prefecture)/
津軽弁 [つがるべん] /(n) Tsugaru Dialect (Tsugaru region of Aomori Prefecture)/
津津 [しんしん] /(adj-na,n) being full/brimfull/
津津浦浦 [つつうらうら] /(n-adv,n) all over the country/throughout the land/every nook and cranny of the land/
津津浦浦 [つづうらうら] /(n-adv,n) all over the country/throughout the land/every nook and cranny of the land/
津島派 [つしまは] /(n) Tsushima Faction (of the LDP)/
津波 [つなみ] /(n) tsunami/tidal wave/(P)/
津波警報 [つなみけいほう] /(n) tsunami warning/
津波地震 [つなみじしん] /(n) tsunami earthquake/
津波注意報 [つなみちゅういほう] /(n) tsunami advisory/
津波予報 [つなみよほう] /(n) tsunami forecast/
津免多貝 [つめたがい] /(n) (uk) bladder moon shell (Glossaulax didyma)/
津浪 [つなみ] /(n) tsunami/tidal wave/
墜ちる [おちる] /(v1,vi) (1) to fall down/to drop/(2) to fail (e.g. exam)/(3) to crash/to degenerate/to degrade/(4) to fade/to come out (e.g. a stain)/
墜つ [おつ] /(v5t,vi) (1) to fall down/to drop/(2) to fail (e.g. exam)/(3) to crash/to degenerate/to degrade/
墜子 [いわ] /(n) weight (of a fishing net)/
墜死 [ついし] /(n,vs) falling to one's death/
墜落 [ついらく] /(n,vs) falling/crashing/(P)/
墜落事故 [ついらくじこ] /(n) a plane crash/
椎 [しい] /(n) (uk) any beech tree of genus Castanopsis/
椎の木 [しいのき] /(n) (uk) any beech tree of genus Castanopsis/
椎間板 [ついかんばん] /(n) intervertebral disk/
椎間板ヘルニア [ついかんばんヘルニア] /(n) disk herniation/herniated disk/hernia of intervertebral disk/slipped disk/
椎骨 [ついこつ] /(n,adj-no) vertebra/vertebrae/
椎茸 [しいたけ] /(n) shiitake mushroom (Lentinula edodes)/
椎鈍 [しいにび] /(n) (obsc) jet black/
椎鈍 [しいにぶ] /(n) (obsc) jet black/
椎麻痺 [ついまひ] /(n) paraplegia/
槌 [つち] /(n) hammer/mallet/sledge(hammer)/gavel/
槌の子 [つちのこ] /(n) mythical snake-like creature/tsuchinoko/
槌鯨 [つちくじら] /(n) (uk) Baird's beaked whale (Berardius bairdii)/
槌骨 [ついこつ] /(n) malleus (bone of the ear)/
槌骨 [つちこつ] /(n) malleus (bone of the ear)/
追々 [おいおい] /(adv) gradually/by degrees/little by little/step by step/
追いかけっこ [おいかけっこ] /(n) chasing one another/playing tag/
追いかける [おいかける] /(v1,vt) to chase/to run after/to pursue/(P)/
追いこす [おいこす] /(v5s,vt) to pass (e.g. car)/to outdistance/to outstrip/
追いたてる [おいたてる] /(v1,vt) (1) to drive on/to urge forward (e.g. cattle)/to rouse (game from its cover)/(2) to press a tenant to leave/to evict/
追いつき追い越せ [おいつきおいこせ] /(exp) catch up with and overtake/pass after catching up with/
追いつく [おいつく] /(v5k,vi) to overtake/to catch up (with)/(P)/
追いつめる [おいつめる] /(v1,vt) to corner/to drive to the wall/to run down/to track down/to chase after/
追いつ追われつ [おいつおわれつ] /(adj-no) cat-and-mouse (race)/lead changing hands many times/
追いやる [おいやる] /(v5r,vt) (1) to drive away/to order off/to chase away/(2) to force into an unpleasant situation (bankruptcy, prostitution, suicide, etc.)/
追い羽根 [おいばね] /(n) battledore and shuttlecock game (played at the beginning of the year)/
追い越し [おいこし] /(n) passing/
追い越す [おいこす] /(v5s,vt) to pass (e.g. car)/to outdistance/to outstrip/(P)/
追い回す [おいまわす] /(v5s,vt) to chase about/to hang on/to drive hard/
追い掛けっこ [おいかけっこ] /(n) chasing one another/playing tag/
追い掛ける [おいかける] /(v1,vt) to chase/to run after/to pursue/(P)/
追い詰める [おいつめる] /(v1,vt) to corner/to drive to the wall/to run down/to track down/to chase after/
追い求める [おいもとめる] /(v1) to pursue/
追い撃ち [おいうち] /(n) final blow/attacking while pursuing/attacking the routed enemy/
追い捲くる [おいまくる] /(v5r) to disperse/to chase away/
追い遣る [おいやる] /(v5r,vt) (1) to drive away/to order off/to chase away/(2) to force into an unpleasant situation (bankruptcy, prostitution, suicide, etc.)/
追い込み [おいこみ] /(n) (1) final stage/last spurt/(2) live printing area (in publishing)/(P)/
追い込む [おいこむ] /(v5m,vt) to herd/to corner/to drive/(P)/
追い散らす [おいちらす] /(v5s,vt) to drive away/to scatter/to rout/
追い手 [おいて] /(n) pursuer/
追い出しコンパ [おいだしコンパ] /(n) farewell party/send-off party/
追い出し屋 [おいだしや] /(n) People or companies that forcefully and illegally expel defaulting tenants from their lodgings/
追い出す [おいだす] /(v5s,vt) to expel/to drive out/(P)/
追い上げる [おいあげる] /(v1,vt) to gain on/to put pressure on/(P)/
追い炊き [おいだき] /(n) (1) boiling additional rice/(2) reheating bathwater/
追い銭 [おいせん] /(n) money paid in addition/
追い打ち [おいうち] /(n) final blow/attacking while pursuing/attacking the routed enemy/(P)/
追い着く [おいつく] /(v5k,vi) to overtake/to catch up (with)/
追い追い [おいおい] /(adv) gradually/by and by/little by little/
追い追いに [おいおいに] /(adv) gradually/by and by/little by little/
追い討ち [おいうち] /(n) final blow/attacking while pursuing/attacking the routed enemy/
追い剥ぎ [おいはぎ] /(n) highway robbery/highwayman/
追い迫る [おいせまる] /(v5r) to gain on someone/run somebody close/
追い抜き [おいぬき] /(n) pursuit/overtaking/
追い抜く [おいぬく] /(v5k,vt) to pass (a car)/to outdistance/to outsail/to outstrip/(P)/
追い肥 [おいごえ] /(n) (adding) extra fertilizer or manure (fertiliser)/
追い付く [おいつく] /(v5k,vi) to overtake/to catch up (with)/(P)/
追い風 [おいかぜ] /(n) tailwind/fair or favorable wind (favourable)/(P)/
追い風 [おいて] /(n) tailwind/fair or favorable wind (favourable)/
追い腹 [おいばら] /(n) following one's master into death by committing ritual suicide (seppuku)/
追い払い [おいばらい] /(n) supplementary payment/
追い払う [おいはらう] /(v5u,vt) to drive away/
追い払う [おいぱらう] /(v5u,vt) to drive away/
追い焚き [おいだき] /(n) reheating (e.g. bath)/
追い返す [おいかえす] /(v5s,vt) to turn away/to send away/
追い落とす [おいおとす] /(v5s) to disperse/to take a castle/
追い立て [おいたて] /(n) ejection/eviction/dispossession/
追い立てる [おいたてる] /(v1,vt) (1) to drive on/to urge forward (e.g. cattle)/to rouse (game from its cover)/(2) to press a tenant to leave/to evict/
追い縋る [おいすがる] /(v5r,vi) to be hot on a person's heels/
追う [おう] /(v5u,vt) (1) to chase/to run after/to pursue/(2) to follow (i.e. a set order, a trend)/(3) to drive out/to oust/to expel/(4) to drive (i.e. a herd)/(5) (in passive voice) to be pressed (for time, etc.)/(P)/
追っかけ [おっかけ] /(n) (1) chase scene/(2) groupie/paparazzo/(n-adv) (3) soon/by-and-by/(P)/
追って [おって] /(adv,conj) (1) later on/shortly/presently/afterwards/in due course/by and by/(2) P.S./
追って書き [おってがき] /(n) postscript/
追っぱらう [おっぱらう] /(v5u,vt) to chase away/to drive away/to drive out/
追っ掛け [おっかけ] /(n) (1) chase scene/(2) groupie/paparazzo/(n-adv) (3) soon/by-and-by/
追っ掛ける [おっかける] /(v1,vt) to chase/to run after/to pursue/(P)/
追っ手 [おって] /(n) pursuer/pursuing party/posse/
追っ付け [おっつけ] /(adv) by and by/before long/
追っ払う [おっぱらう] /(v5u,vt) to chase away/to drive away/to drive out/
追ん出す [おんだす] /(v5s,vt) (col) to expel/to drive out/
追憶 [ついおく] /(n,vs,adj-no) recollection/reminiscence/
追加 [ついか] /(n,vs,adj-no) addition/supplement/append (e.g. to a file)/appendix/(P)/
追加レコード [ついかレコード] /(n) (comp) additional record/
追加機能 [ついかきのう] /(n) (comp) additional function/
追加記号 [ついかきごう] /(n) (comp) addition sign/
追加削除 [ついかさくじょ] /(n) (1) additions and deletions/adding and deleting/revisions/revising/(vs) (2) to add and to delete/to revise/
追加注文 [ついかちゅうもん] /(n) additional order/
追加的 [ついかてき] /(adj-na) additional/
追加日 [ついかび] /(exp) date added/
追加融資 [ついかゆうし] /(n) additional finance/additional funding/
追加予算 [ついかよさん] /(n) supplementary budget/
追加料金 [ついかりょうきん] /(n) additional fees/charges/
追河 [おいかわ] /(n) (uk) freshwater minnow/pale chub (Zacco platypus)/
追懐 [ついかい] /(n,vs) recollection/remembrance/reminiscence/
追刊 [ついかん] /(n,vs) additional publication/
追完 [ついかん] /(n,vs) subsequent completion/
追記 [ついき] /(n,vs) PS/postscript/
追記型光ディスク [ついきがたひかりディスク] /(n) (comp) direct read after write optical disk/
追起訴 [ついきそ] /(n,vs) supplementary indictment/
追及 [ついきゅう] /(n,vs) (1) investigation (e.g. into someone's guilt)/questioning/pressing/hounding/pinning down/(2) catching up/overtaking/(P)/
追及権 [ついきゅうけん] /(n) droit de suite (artist's right to receive a royalty on resale)/
追求 [ついきゅう] /(n) (1) pursuing (goal)/pursuit/seeking/search/(vs) (2) to pursue (e.g. goal)/to seek/(P)/
追究 [ついきゅう] /(n,vs) investigation (e.g. academically, of the unknown)/enquiry/inquiry/(P)/
追窮 [ついきゅう] /(n,vs) investigation (e.g. academically, of the unknown)/enquiry/inquiry/
追給 [ついきゅう] /(n,vs) supplementary payment/
追撃 [ついげき] /(n,vs) pursuit/(P)/
追撃機 [ついげきき] /(n) pursuit or chase plane/
追撃戦 [ついげきせん] /(n) pursuit battle/
追行 [ついこう] /(n,vs) pursuit/carrying out/
追号 [ついごう] /(n,vs) a name given to the deceased/posthumous name or title/
追試 [ついし] /(n,vs) supplementary examination/
追試験 [ついしけん] /(n) supplementary exam/
追而 [おって] /(adv,conj) (1) P.S./
追而書 [おってがき] /(n) postscript/
追而書き [おってがき] /(n) postscript/
追手 [おって] /(n) pursuer/pursuing party/posse/
追従 [ついしょう] /(n,vs) flattery/sycophancy/adulation/
追従 [ついじゅう] /(n,vs) following (e.g. someone's opinion)/being servile to/adherence/compliance/emulation/mimicking/servility/
追従外交 [ついしょうがいこう] /(n) sycophantic diplomacy/servile diplomacy/
追従保持要素 [ついじゅうほじようそ] /(n) (comp) track and hold unit/track and store unit/
追出 [ついしゅつ] /(n,vs) (arch) expelling/driving out/
追伸 [ついしん] /(n) postscript/(P)/
追申 [ついしん] /(oK) (n) postscript/
追随 [ついずい] /(n,vs) follow/(P)/
追随性 [ついずいせい] /(n) compliance/conformance/
追跡 [ついせき] /(n,vs,adj-no) pursuit/tracking (e.g. in computer graphics)/keeping records on/tracing/(P)/
追跡プログラム [ついせきプログラム] /(n) (comp) trace program/
追跡記号 [ついせききごう] /(n) (comp) tracking symbol/
追跡者 [ついせきしゃ] /(n) pursuer/
追跡調査 [ついせきちょうさ] /(n,vs) follow-up (tracing) survey/
追善 [ついぜん] /(n,vs) mass for the dead/Buddhist service held on the anniversary of someone's death/
追善供養 [ついぜんくよう] /(n) (Buddh) memorial service/
追善興行 [ついぜんこうぎょう] /(n) memorial performance/performance in memory of someone/
追訴 [ついそ] /(n,vs) supplementary suit or indictment/
追想 [ついそう] /(n,vs) recollection/reminiscence/
追走 [ついそう] /(n,vs) chasing/chase/
追送 [ついそう] /(n,vs) sending an additional part later/
追送検 [ついそうけん] /(n,vs) forwarding documents regarding an additional charge to the public prosecutor/
追贈 [ついぞう] /(n,vs) conferring court rank posthumously/
追体験 [ついたいけん] /(n,vs) vicarious experience/
追着く [おいつく] /(v5k,vi) to overtake/to catch up (with)/
追弔 [ついちょう] /(n,vs) mourning/
追徴 [ついちょう] /(n,vs) supplementary charge/(P)/
追徴課税 [ついちょうかぜい] /(n) additional tax/
追徴金 [ついちょうきん] /(n) additional collection (funds)/additional imposition/
追徴税 [ついちょうぜい] /(n) tax penalty/
追追 [おいおい] /(adv) gradually/by degrees/little by little/step by step/
追悼 [ついとう] /(n,vs,adj-no) mourning/memorial/(P)/
追悼ミサ [ついとうミサ] /(n) (Catholic) memorial mass/
追悼演説 [ついとうえんぜつ] /(n) funeral oration/funeral speech/
追悼会 [ついとうかい] /(n) memorial services/
追悼施設 [ついとうしせつ] /(n) memorial site/
追悼式 [ついとうしき] /(n) memorial services/
追悼塔 [ついとうとう] /(n) (memorial) monument/
追悼碑 [ついとうひ] /(n) memorial (stone)/
追討 [ついとう] /(n,vs) tracking down and killing/
追突 [ついとつ] /(n,vs) rear-end collision/(P)/
追認 [ついにん] /(n,vs) ratification/confirmation/
追納 [ついのう] /(n,vs) (making an) additional payment/
追白 [ついはく] /(n) PS/postscript/
追肥 [ついひ] /(n) (adding) extra fertilizer or manure (fertiliser)/
追尾 [ついび] /(n,vs) following/pursuing/
追付く [おいつく] /(v5k,vi) to overtake/to catch up (with)/
追風 [おいかぜ] /(n) tailwind/fair or favorable wind (favourable)/
追風 [おいて] /(n) tailwind/fair or favorable wind (favourable)/
追福 [ついふく] /(n,vs) (Buddh) memorial service/
追腹 [おいばら] /(n) following one's master into death by committing ritual suicide (seppuku)/
追複曲 [ついふくきょく] /(n) (musical) canon/
追払う [おいはらう] /(v5u,vt) to drive away/
追払う [おいぱらう] /(v5u,vt) to drive away/
追分 [おいわけ] /(n) forked road/
追分節 [おいわけぶし] /(n) horse driver's song/
追焚き [おいだき] /(n) reheating (e.g. bath)/
追補 [ついほ] /(n,adj-no) (comp) addenda/addendum/
追慕 [ついぼ] /(n,vs) cherishing the memory of/yearning for/
追放 [ついほう] /(n,vs,adj-no) exile/banishment/eviction/transportation/(P)/
追録 [ついろく] /(n,vs) postscript/addendum/
追儺 [ついな] /(n) (ceremony of) driving out evil spirits/
痛 [いた] /(int) ouch/ow/
痛々しい [いたいたしい] /(adj-i) pitiful/pathetic/
痛い [いたい] /(adj-i) (1) painful/sore/(adj-i,suf) (2) exceeding/(P)/
痛い損失 [いたいそんしつ] /(n) painful loss/
痛い痛い病 [いたいいたいびょう] /(n) "ouch-ouch disease", caused by cadmium poisoning from industrial wastes in Toyama Prefecture/
痛い目 [いたいめ] /(n) painful experience/
痛い目にあう [いたいめにあう] /(exp,v5u) to go through a bitter experience/to get into trouble/to get hurt/to feel pain/
痛い目に合う [いたいめにあう] /(exp,v5u) to go through a bitter experience/to get into trouble/to get hurt/to feel pain/
痛い目に合わせる [いたいめにあわせる] /(exp,v1) to make (a person) pay for (something)/
痛い目に遭う [いたいめにあう] /(exp,v5u) to go through a bitter experience/to get into trouble/to get hurt/to feel pain/
痛い目に遭わす [いたいめにあわす] /(exp,v5s) to make a person sweat for it/
痛い目に遭わせる [いたいめにあわせる] /(exp,v1) to make (a person) pay for (something)/
痛がる [いたがる] /(v5r,vi) to be in pain (referring to others)/to complain of pain/
痛くもない腹を探られる [いたくもないはらをさぐられる] /(exp,v1) to be suspected without cause/
痛くも痒くもない [いたくもかゆくもない] /(exp) of no concern at all/no skin off my nose/
痛し痒し [いたしかゆし] /(exp) delicate or ticklish situation/choice of two evils/mixed blessing/
痛っ [いたっ] /(int) ouch!/
痛ましい [いたましい] /(adj-i) pitiful/heartbreaking/tragical/(P)/
痛み [いたみ] /(n) pain/ache/sore/grief/distress/(P)/
痛み止め [いたみどめ] /(n) painkiller/
痛み入る [いたみいる] /(v5r,vi) to be greatly obliged/to be very sorry/
痛み分け [いたみわけ] /(n) match declared drawn due to injury (sumo)/
痛む [いたむ] /(v5m) to hurt/to feel a pain/to be injured/(P)/
痛めつける [いためつける] /(v1,vt) to rebuke/to taunt/to give a good shaking/to knock about/to torment/to punish/
痛める [いためる] /(v1,vt) to hurt/to injure/to cause pain/to worry/to bother/to afflict/to be grieved over/
痛める [やめる] /(v1,vi) (1) (arch) to hurt/to ache/
痛め吟味 [いためぎんみ] /(n) torture (in the Edo-period)/
痛め付ける [いためつける] /(v1,vt) to rebuke/to taunt/to give a good shaking/to knock about/to torment/to punish/
痛飲 [つういん] /(n,vs) heavy drinking/
痛快 [つうかい] /(adj-na,n) intense pleasure/thrilling/
痛快極まりない [つうかいきわまりない] /(adj-i) extremely thrilling/
痛快極まり無い [つうかいきわまりない] /(adj-i) extremely thrilling/
痛快無比 [つうかいむひ] /(adj-na,n,adj-no) very thrilling/extremely delightful/awfully pleasant/intensely satisfying/
痛快淋漓 [つうかいりんり] /(uK) (adj-t,adv-to) (arch) very thrilling/extremely delightful/awfully pleasant/intensely satisfying/
痛覚 [つうかく] /(n,adj-no) sense of pain/
痛覚閾値 [つうかくいきち] /(n) pain threshold/
痛感 [つうかん] /(n,vs) feeling keenly/fully realizing/(P)/
痛苦 [つうく] /(n) anguish/(great) pain/
痛撃 [つうげき] /(n,vs) severe attack/hard blow/
痛言 [つうげん] /(n,vs) cutting remark/biting (scathing, bitter) criticism/harsh words/
痛恨 [つうこん] /(adj-no) regretful/(P)/
痛恨のミス [つうこんのミス] /(n) cardinal mistake/
痛車 [いたしゃ] /(n) (col) car painted with anime characters and loaded with figures and stuffed dolls (lit: 'painful car' because some people consider it painful to look at)/
痛手 [いたで] /(n) serious wound/hard blow/(P)/
痛心 [つうしん] /(n) heartache/worry/
痛惜 [つうせき] /(n,vs) deep regret/
痛切 [つうせつ] /(adj-na,n) keen/acute/
痛打 [つうだ] /(n,vs) hard or crushing blow/severe attack/
痛嘆 [つうたん] /(n,vs) deep regret/grief/
痛痛しい [いたいたしい] /(adj-i) pitiful/pathetic/
痛点 [つうてん] /(n) pain point/
痛罵 [つうば] /(n,vs) abuse/invective/denunciation/
痛風 [つうふう] /(adj-na,n) gout/
痛分 [いたみわけ] /(n) match declared drawn due to injury (sumo)/
痛憤 [つうふん] /(n,vs) strong indignation/
痛棒 [つうぼう] /(n) (1) severe attack/bitter (harsh) criticism/(2) stick used to strike inattentive Zen meditators/
痛烈 [つうれつ] /(adj-na,n) severe/bitter/scathing/(P)/
痛論 [つうろん] /(n,vs) vehement argument/
痛哭 [つうこく] /(n,vs) lamentation/
痛痒 [つうよう] /(n) (1) pain and itching/(2) mental anguish/unhealthy emotions/
痛痒を感じない [つうようをかんじない] /(exp) to neither itch nor feel pain/to not be affected by something/to not feel the effects of something/
痛癢 [つうよう] /(n) (1) pain and itching/(2) mental anguish/unhealthy emotions/
通 [つう] /(adj-na,n) (1) connoisseur/authority/(ctr) (2) counter for letters, notes, documents, etc./(P)/
通い [かよい] /(n) coming and going/commuting/(P)/
通い詰める [かよいつめる] /(v1,vi) to visit frequently/
通い合う [かよいあう] /(v5u) to communicate/to commune/
通い妻 [かよいづま] /(n) a wife who lives elsewhere but regularly visits her husband/lit: commuting wife/
通い始める [かよいはじめる] /(v1) to begin to attend (e.g. school)/
通い帳 [かよいちょう] /(n) passbook/bankbook/
通い箱 [かよいばこ] /(n) reusable shipping carton/
通い路 [かよいじ] /(n) route/
通う [かよう] /(v5u,vi) (1) to go back and forth/to ply between/(2) to commute/to attend (school, church, etc.)/(P)/
通し [とおし] /(n-suf) direct/right through/straight/(P)/
通しげいこ [とおしげいこ] /(n) full rehearsal/dress rehearsal/run-through/
通し狂言 [とおしきょうげん] /(n) performance of an entire play/
通し稽古 [とおしげいこ] /(n) full rehearsal/dress rehearsal/run-through/
通し切符 [とおしきっぷ] /(n) through ticket/
通し番号 [とおしばんごう] /(n) serial number/consecutive number/
通し矢 [とおしや] /(n) long-range archery/
通じ [つうじ] /(n) (1) understanding/(2) bowel movement/evacuation/(P)/
通じて [つうじて] /(adv) through/via/
通じる [つうじる] /(v1,vi) to run to/to lead to/to communicate/to understand/to be well-informed/(P)/
通じ合う [つうじあう] /(v5u) to communicate with/to understand/
通す [とおす] /(v5s,vt) to let pass/to overlook/to continue/to keep/to make way for/to persist in/(P)/
通ずる [つうずる] /(vz) to run to/to lead to/to communicate/to understand/to be well-informed/
通せん坊 [とおせんぼう] /(n,vs) standing in the way/block the way/
通にはたまらない [つうにはたまらない] /(exp) irresistable to connoisseurs/
通には堪らない [つうにはたまらない] /(exp) irresistable to connoisseurs/
通り [とおり] /(n-adv,n) avenue/street/way/(P)/
通り [どおり] /(n-suf) (1) in accordance with .../following .../(2) .. Street/.. Avenue/(P)/
通りかかる [とおりかかる] /(v5r,vi) to happen to pass by/
通りがいい [とおりがいい] /(exp) pass (run) well (e.g. of wind through a building)/
通りがかり [とおりがかり] /(n,adj-no) passing (along the way)/
通りがよい [とおりがよい] /(exp) pass (run) well (e.g. of wind through a building)/
通りが悪い [とおりがわるい] /(exp) pass (run) poorly/
通りが良い [とおりがいい] /(exp) pass (run) well (e.g. of wind through a building)/
通りが良い [とおりがよい] /(exp) pass (run) well (e.g. of wind through a building)/
通りすがり [とおりすがり] /(n,adj-no) on the way/passing/that happen to pass by/
通りのいい [とおりのいい] /(adj-i) well able to pass (e.g. breezes)/
通りのよい [とおりのよい] /(adj-i) well able to pass (e.g. breezes)/
通りの良い [とおりのいい] /(adj-i) well able to pass (e.g. breezes)/
通りの良い [とおりのよい] /(adj-i) well able to pass (e.g. breezes)/
通り一遍 [とおりいっぺん] /(adj-na,n,adj-no) perfunctory/casual/cursory/superficial/conventional/
通り雨 [とおりあめ] /(n) shower/
通り越す [とおりこす] /(v5s,vi) to go past (a place or thing)/to go beyond/
通り過ぎる [とおりすぎる] /(v1,vi) to pass/to pass through/(P)/
通り掛かり [とおりがかり] /(n,adj-no) passing (along the way)/
通り掛かる [とおりかかる] /(v5r,vi) to happen to pass by/(P)/
通り掛け [とおりがけ] /(n) passing (along the way)/
通り言葉 [とおりことば] /(n) common saying/slang/argot/
通り合わせる [とおりあわせる] /(v1) to come across/to happen upon/
通り相場 [とおりそうば] /(n) going price/general custom/
通り道 [とおりみち] /(n) passage/path/route/one's way/
通り抜ける [とおりぬける] /(v1,vi) to cut through/to go through/
通り物 [とおりもの] /(n) demon who brings misfortune to houses or people he passes by/
通り魔 [とおりま] /(n) (1) random attacker, e.g. person who randomly attacks people on the street/slasher/(2) demon who brings misfortune to houses or people he passes by/
通り名 [とおりな] /(n) (1) one's common or popular name/(2) house name/
通る [とおる] /(v5r,vi) to pass (by)/to go through/to walk along/to pass exams/to attend (e.g. school)/(P)/
通る声 [とおるこえ] /(n) carrying voice/
通を気取る [つうをきどる] /(exp,v5r) to pretend to know everything/to pretend to be an expert/
通院 [つういん] /(n,vs) commuting to hospital/(P)/
通運 [つううん] /(n) transportation/
通園 [つうえん] /(n,vs) commuting to nursery school or kindergarten/
通貨 [つうか] /(n,adj-no) currency/(P)/
通貨記号 [つうかきごう] /(n) (comp) currency sign/currency symbol/
通貨供給量 [つうかきょうきゅうりょう] /(n) money supply/
通貨政策 [つうかせいさく] /(n) monetary policy/
通貨統合 [つうかとうごう] /(n) monetary union/currency union/common currency/
通貨同盟 [つうかどうめい] /(n) monetary union/
通貨編集用文字 [つうかへんしゅうようもじ] /(n) (comp) currency symbol/
通過 [つうか] /(n,vs) passage through/transit/passing/(P)/
通過駅 [つうかえき] /(n) train-doesn't-stop station/
通過儀礼 [つうかぎれい] /(n) rite of passage/
通過点 [つうかてん] /(n) waypoint (e.g. with a GPS)/checkpoint/
通過判定 [つうかはんてい] /(n) (comp) pass (verdict)/
通過貿易 [つうかぼうえき] /(n) transit trade/
通解 [つうかい] /(n,vs) explanation/commentary/
通学 [つうがく] /(n,vs) commuting to school/school commute/(P)/
通学カバン [つうがくカバン] /(n) school bag/school satchel/
通学鞄 [つうがくかばん] /(n) school bag/school satchel/
通学生 [つうがくせい] /(n) day student/commuting student/
通学定期 [つうがくていき] /(n) school seasonal (train and bus) ticket/
通学路 [つうがくじ] /(n) street for students going to and from school/school zone/
通学路 [つうがくろ] /(n) street for students going to and from school/school zone/
通巻 [つうかん] /(n) consecutive number of (or total) volumes/
通観 [つうかん] /(n,vs) general survey/
通関 [つうかん] /(n,vs) customs clearance/(P)/
通期 [つうき] /(n) whole financial year/full business year/
通気 [つうき] /(n) ventilation/airflow/
通気孔 [つうきこう] /(n) vent/
通気性 [つうきせい] /(n,adj-no) breathability/
通級 [つうきゅう] /(n,vs) taking special classes (for handicapped students)/
通暁 [つうぎょう] /(n,vs) well versed/thorough knowledge/
通勤 [つうきん] /(n,vs) commuting to work/(P)/
通勤の足 [つうきんのあし] /(n) facilities for commutation/
通勤ラッシュ [つうきんラッシュ] /(n) commuter rush/rush hour/
通勤時間 [つうきんじかん] /(n) commuting time/
通勤者 [つうきんしゃ] /(n) commuter/
通勤手当 [つうきんてあて] /(n) travel allowance/commuting allowance/
通勤地獄 [つうきんじごく] /(n) commuters' hell/commuting hell/
通勤定期 [つうきんていき] /(n) commutation ticket/season ticket/
通勤電車 [つうきんでんしゃ] /(n) commuter train/
通勤列車 [つうきんれっしゃ] /(n) commuter train/
通計 [つうけい] /(n,vs) sum/total/
通研 [つうけん] /(n) laboratory/
通語 [つうご] /(n) common speech/
通交 [つうこう] /(n,vs) friendly relations/
通好 [つうこう] /(n,vs) friendly relations/
通航 [つうこう] /(n,vs) navigation/sailing/
通行 [つうこう] /(n,vs) passage/passing/(P)/
通行禁止 [つうこうきんし] /(exp) No Entry!/entry is prohibited/
通行券 [つうこうけん] /(n) pass (e.g. in public transportation)/
通行止 [つうこうどめ] /(n) closure (of a road)/dead end/blind alley/cul-de-sac/No Through Road (e.g. on a sign)/
通行止め [つうこうどめ] /(n) closure (of a road)/dead end/blind alley/cul-de-sac/No Through Road (e.g. on a sign)/(P)/
通行上 [つうこうどめ] /(iK) (n) closure (of a road)/dead end/blind alley/cul-de-sac/No Through Road (e.g. on a sign)/
通行人 [つうこうにん] /(n) passerby/pedestrian/foot passenger/
通行税 [つうこうぜい] /(n) toll/
通告 [つうこく] /(n,vs) announcement/notice/(P)/
通産省 [つうさんしょう] /(n) (former) Ministry of International Trade and Industry (now Ministry of Economy, Trade and Industry)/MITI/(P)/
通産相 [つうさんしょう] /(n) Minister of International Trade and Industry/(P)/
通算 [つうさん] /(n,vs) total/(P)/
通史 [つうし] /(n) overview of history/
通紙 [つうし] /(n,vs) feeding paper through a device (printer, scanner, etc.)/
通詞 [つうじ] /(n) (1) translation (esp. in court)/interpretation/(2) Edo-era translation of Dutch and Chinese/
通事 [つうじ] /(n) (1) translation (esp. in court)/interpretation/(2) Edo-era translation of Dutch and Chinese/
通字 [つうじ] /(n) distinctive character used in the names of all people belonging to a single clan or lineage/
通時言語学 [つうじげんごがく] /(n) diachronic linguistics/
通時的 [つうじてき] /(adj-na) diachronic/
通辞 [つうじ] /(n) (1) translation (esp. in court)/interpretation/(2) Edo-era translation of Dutch and Chinese/
通釈 [つうしゃく] /(n,vs) explanation/commentary/
通商 [つうしょう] /(n,vs) commerce/trade/(P)/
通商航海条約 [つうしょうこうかいじょうやく] /(n) treaty of commerce and navigation/
通商産業 [つうしょうさんぎょう] /(n) Ministry of International Trade and Industry/
通商産業省 [つうしょうさんぎょうしょう] /(n) (former) Ministry of International Trade and Industry (now Ministry of Economy, Trade and Industry)/MITI/
通商産業大臣 [つうしょうさんぎょうだいじん] /(n) Minister of International Trade and Industry/
通商条約 [つうしょうじょうやく] /(n) treaty of commerce/
通称 [つうしょう] /(n,vs) popular name/nickname/alias/(P)/
通称名 [つうしょうめい] /(n) alias/nickname/
通常 [つうじょう] /(adj-no,n-adv,n-t) common/general/normal/usual/(P)/
通常の場合 [つうじょうのばあい] /(n) usually/
通常ファイル [つうじょうファイル] /(n) (comp) regular file/
通常モード [つうじょうモード] /(n) (comp) normal mode/
通常加入電話 [つうじょうかにゅうでんわ] /(n) fixed-line phone/
通常業務 [つうじょうぎょうむ] /(n) normal duties/(one's) regular work/
通常型 [つうじょうがた] /(adj-f) conventional/usual/
通常型空母 [つうじょうがたくうぼ] /(n) conventional aircraft carrier (i.e. non-nuclear)/
通常口語 [つうじょうこうご] /(n) everyday speech/everyday language/
通常国会 [つうじょうこっかい] /(n) ordinary session of the Diet/
通常条件下で [つうじょうじょうけんかで] /(exp) under normal conditions/
通常戦争 [つうじょうせんそう] /(n) conventional war/
通常戦力 [つうじょうせんりょく] /(n) conventional (military) forces/
通常選挙 [つうじょうせんきょ] /(n) regular election (triennial election of half of the House of Councillors)/
通常表示 [つうじょうひょうじ] /(n) (comp) lowlight/
通常兵器 [つうじょうへいき] /(n) conventional weapon/
通常郵便 [つうじょうゆうびん] /(n) (comp) ordinary mail/PD PR/
通信 [つうしん] /(n,vs) correspondence/communication/transmission/news/signal/(P)/
通信アクセス方式 [つうしんアクセスほうしき] /(n) (comp) Telecommunication Access Method/
通信インフラ [つうしんインフラ] /(n) communications infrastructure/
通信カラオケ [つうしんカラオケ] /(n) (comp) Karaoke on demand/
通信キャリア [つうしんキャリア] /(n) (comp) communication carrier/
通信ケーブル [つうしんケーブル] /(n) communication cable/
通信システム [つうしんシステム] /(n) (comp) communication system/
通信ソフト [つうしんソフト] /(n) (comp) communication software/
通信ソフトウェア [つうしんソフトウェア] /(n) (comp) communications software/
通信チャネル [つうしんチャネル] /(n) (comp) communication channel/
通信プロトコル [つうしんプロトコル] /(n) (comp) transmission protocol/communication protocol/
通信ポート [つうしんポート] /(n) (comp) communication port/
通信員 [つうしんいん] /(n) correspondent/
通信衛星 [つうしんえいせい] /(n) communication satellite/Broadcast Satellite/BS/(P)/
通信会社 [つうしんがいしゃ] /(n) telco/telecommunications company/common carrier/
通信回線 [つうしんかいせん] /(n) (comp) communication line/
通信管理システム [つうしんかんりシステム] /(n) (comp) message control system/MCS/
通信基盤 [つうしんきばん] /(n) telecommunications infrastructure/
通信機関 [つうしんきかん] /(n) communications or media organ/
通信機器 [つうしんきき] /(n) (comp) telecommunication equipment/
通信規格 [つうしんきかく] /(n) (comp) telecommunications standard/
通信規約 [つうしんきやく] /(n) (comp) protocol/
通信記述項 [つうしんきじゅつこう] /(n) (comp) communication description entry/
通信記述名 [つうしんきじゅつめい] /(n) (comp) cd-name/
通信教育 [つうしんきょういく] /(n,adj-no) correspondence education/
通信経路 [つうしんけいろ] /(n) communication path/communication channel/
通信圏外 [つうしんけんがい] /(n) out of the range of communication/
通信工学 [つうしんこうがく] /(n) communications engineering/
通信行 [つうしんぎょう] /(n) (comp) message segment/
通信講座 [つうしんこうざ] /(n) correspondence course/
通信事業 [つうしんじぎょう] /(n) communications industry/
通信事業者 [つうしんじぎょうしゃ] /(n) (comp) telecommunications carrier/PTT/
通信社 [つうしんしゃ] /(n) news agency/(P)/
通信手順 [つうしんてじゅん] /(n) (comp) transmission protocol/
通信手段 [つうしんしゅだん] /(n) means of communication/
通信条件 [つうしんじょうけん] /(n) (comp) communications protocol/
通信制御機構 [つうしんせいぎょきこう] /(n) (comp) communication control unit/
通信制御処理装置 [つうしんせいぎょしょりそうち] /(n) (comp) CCP/Communication Control Processor/
通信制御装置 [つうしんせいぎょそうち] /(n) (comp) communication control unit/
通信設備 [つうしんせつび] /(n) (comp) transmission equipment/
通信節 [つうしんせつ] /(n) (comp) communication section/
通信相手 [つうしんあいて] /(n) (comp) communications partner/entity at the end of a communication/
通信装置 [つうしんそうち] /(n) communications equipment/terminal/communications device/
通信速度 [つうしんそくど] /(n) communication speed/baud rate/
通信端末 [つうしんたんまつ] /(n) (comp) communication terminal/
通信販売 [つうしんはんばい] /(n,adj-no) mail order/(P)/
通信費 [つうしんひ] /(n) postage/communications expenses/
通信品位法 [つうしんひんいほう] /(n) (comp) Communications Decency Act/CDA/
通信品質 [つうしんひんしつ] /(n) (comp) communication quality/
通信負荷 [つうしんふか] /(n) (comp) communication load/
通信文 [つうしんぶん] /(n) message/
通信文個数 [つうしんぶんこすう] /(n) (comp) message count/
通信簿 [つうしんぼ] /(n) report card/
通信方式 [つうしんほうしき] /(n) (comp) transmission method/communication system/
通信傍受法 [つうしんぼうじゅほう] /(n) wiretapping law/
通信網 [つうしんもう] /(n) communications network/(P)/
通信欄 [つうしんらん] /(n) (1) letters-to-the-editor column/readers' section/(2) space for correspondence, messages, etc./
通信理論 [つうしんりろん] /(n) (comp) communication theory/
通信料 [つうしんりょう] /(n) communication fee/
通信料金 [つうしんりょうきん] /(n) (comp) communication fees, charges/
通信量 [つうしんりょう] /(n) (comp) traffic/
通信路 [つうしんろ] /(n) (comp) channel/data transmission channel/
通信路容量 [つうしんろようりょう] /(n) (comp) channel capacity/
通人 [つうじん] /(n) man of the world/man about town/dilettante/well-informed person/
通性 [つうせい] /(n,adj-no) common quality/
通説 [つうせつ] /(n) (obs) prevailing view/common opinion/
通船 [つうせん] /(n) ferry boat/barge/
通奏 [つうそう] /(n) playing an entire composition without break/continually playing (in the background of a melody)/
通奏低音 [つうそうていおん] /(n) basso continuo/
通草 [あけび] /(n) (1) chocolate-vine (Akebia quinata)/fiveleaf/fiveleaf akebia/(2) (food) fruit of the akebia/
通則 [つうそく] /(n) general rule/
通俗 [つうぞく] /(adj-na,n,adj-no) popular/common/
通俗化 [つうぞくか] /(n,vs) popularization/popularisation/
通俗小説 [つうぞくしょうせつ] /(n) popular novel/
通俗的 [つうぞくてき] /(adj-na) plain and popular/(P)/
通俗文学 [つうぞくぶんがく] /(n) school of popular writing/
通達 [つうたつ] /(n,vs) notification/directive (e.g. from higher to lower levels of the administration)/(P)/
通知 [つうち] /(n,vs) notice/notification/report/posting/(P)/
通知メッセージ [つうちメッセージ] /(n) information message/
通知型 [つうちがた] /(n) (comp) notification type/
通知書 [つうちしょ] /(n) written notification/notification (written)/
通知状 [つうちじょう] /(n) notice/letter of advice/
通知票 [つうちひょう] /(n) report card/warning slip/
通知表 [つうちひょう] /(n) report card/
通知付き局留め [つうちつききょくどめ] /(n) (comp) counter collection with advice/PD PR/
通知簿 [つうちぼ] /(n) report card (book)/
通帳 [つうちょう] /(n) passbook/bankbook/(P)/
通牒 [つうちょう] /(n,vs) notice/notification/memorandum/circular/
通電 [つうでん] /(n,vs) the passage of electric current/
通電焼結法 [つうでんしょうけつほう] /(n) electric current sintering/
通読 [つうどく] /(n,vs) reading through/reading over/
通年 [つうねん] /(n,adj-no) all year/year round/(P)/
通念 [つうねん] /(n) common idea/common wisdom/generally accepted idea/(P)/
通函 [かよいばこ] /(n) reusable shipping carton/
通箱 [かよいばこ] /(n) reusable shipping carton/
通販 [つうはん] /(n,vs,adj-no) (abbr) mail order/(P)/
通風 [つうふう] /(n,vs,adj-no) ventilation/
通風機 [つうふうき] /(n) ventilator/
通風孔 [つうふうこう] /(n) vent/
通物 [とおりもの] /(io) (n) demon who brings misfortune to houses or people he passes by/
通分 [つうぶん] /(n,vs) reduce/
通弊 [つうへい] /(n) common evil/common fault/
通弁 [つうべん] /(n,vs) interpreter (in the Edo period)/
通報 [つうほう] /(n,vs) (1) report/tip/bulletin/(2) (math) (comp) message (in information and communication theory)/(P)/
通報者 [つうほうしゃ] /(n) person who notifies the police/informer/whistleblower/delator/
通報受端 [つうほうじゅたん] /(n) (comp) message sink/
通宝 [つうほう] /(n) (arch) currency/
通謀 [つうぼう] /(n,vs) collusion/conspiring/
通名 [とおりな] /(n) (1) one's common or popular name/(2) house name/
通夜 [つや] /(n) all-night vigil over a body/wake/(P)/
通夜ぶるまい [つやぶるまい] /(n) dinner and drinks served after a wake/
通夜見舞い [つやみまい] /(n) sending food to someone's house on the night of a wake/
通夜振る舞い [つやぶるまい] /(n) dinner and drinks served after a wake/
通約 [つうやく] /(n,vs) commensuration/reduction to a common measure/
通訳 [つうやく] /(n,vs) interpretation (i.e. oral translation)/(P)/
通訳官 [つうやくかん] /(n) official interpreter/
通訳市場 [つうやくしじょう] /(n) interpretation market/
通訳者 [つうやくしゃ] /(n) interpreter/
通訳人 [つうやくにん] /(n) interpreter/
通有 [つうゆう] /(adj-na,n) commonality/
通有性 [つうゆうせい] /(n) common property or characteristic/
通用 [つうよう] /(n,vs) (1) popular use/circulation/(vs) (2) to pass as/(P)/
通用しない [つうようしない] /(exp) to not apply/to be proof against/
通用期間 [つうようきかん] /(n) period of validity/
通用口 [つうようぐち] /(n) side entrance/tradesman's entrance/service entrance/staff entrance/
通用門 [つうようもん] /(n) side gate/side door/service entrance/
通覧 [つうらん] /(n,vs) looking over/glancing through/
通流 [つうりゅう] /(vs) conduction/
通力 [つうりき] /(n) mysterious power/
通例 [つうれい] /(adv,n,adj-no) usually/customarily/(P)/
通路 [つうろ] /(n) passage/pathway/roadway/avenue/aisle/(P)/
通路側 [つうろがわ] /(n,adj-no) (on the) aisle/aisle seat/
通論 [つうろん] /(n,vs) outline (of)/introduction (to)/
通話 [つうわ] /(n,vs) (1) telephone call/talking/calling/(ctr) (2) counter for telephone calls/(P)/
通話口 [つうわぐち] /(n) mouthpiece of a telephone/
通話接続 [つうわせつぞく] /(n) (comp) call completion/
通話料 [つうわりょう] /(n) charge for a telephone call/
通話料金制 [つうわりょうきんせい] /(n,adj-no) (comp) message-rated/
塚 [つか] /(n) mound/(P)/
塚を築く [つかをきずく] /(exp,v5k) to pile up a mound/
塚穴 [つかあな] /(n) grave/
塚造 [つかつくり] /(n) (uk) megapode (any bird of family Megapodiidae, inc. brush turkeys and mallee fowl)/mound builder/
栂椹 [とがさわら] /(n) (uk) Japanese Douglas fir (Pseudotsuga japonica)/
掴まえる [つかまえる] /(v1,vt) to catch/to arrest/to seize/
掴まる [つかまる] /(v5r,vi) (1) to be caught/to be arrested/(2) (uk) to hold on to/to grasp/(3) (uk) to find (e.g. proof)/to get (e.g. a taxi)/(4) (uk) to be detained by/(P)/
掴み [つかみ] /(n) grip/
掴み掛かる [つかみかかる] /(v5r) to grab at/
掴み合う [つかみあう] /(v5u,vi) to grapple/
掴み取り [つかみどり] /(n,vs) grabbing/taking (as much as one can hold) by the hand/
掴み出す [つかみだす] /(v5s,vt) to take out/to take a handful of/to grab and throw/to turn someone out of a house/
掴み所 [つかみどころ] /(n) (1) (uk) point (of a conversation, etc.)/sense/(2) hold/grip/
掴み投げ [つかみなげ] /(n) lifting throw (sumo)/
掴む [つかむ] /(v5m,vt) (1) to seize/to catch/to grasp/to grip/to grab/to hold/to catch hold of/to lay one's hands on/to clutch/(2) to understand/to grasp/to comprehend/(P)/
槻 [けやき] /(n) (uk) Japanese zelkova (species of elm-like tree, Zelkowa serrata)/
槻 [つき] /(ok) (n) (uk) Japanese zelkova (species of elm-like tree, Zelkowa serrata)/
槻の木 [つきのき] /(n) (arch) Japanese zelkova (species of elm-like tree, Zelkowa serrata)/
槻欅 [つきげやき] /(n) (obsc) Japanese zelkova (species of elm-like tree, Zelkowa serrata)/
佃 [つくだ] /(n) cultivated rice field/(P)/
佃 [てん] /(n) cultivated rice field/
佃煮 [つくだに] /(n) preserved food boiled in soy/
漬かる [つかる] /(v5r,vi) (1) to be pickled/to be well seasoned/(2) to be submerged/to be soaked/
漬く [つく] /(v5k,vi) (1) to be immersed/(2) to be pickled/
漬け [づけ] /(suf) (1) pickled (something)/(2) being badly influenced by/being addicted to/
漬ける [つける] /(v1,vt) (1) to soak/to seep/to dip in/(2) to pickle/(P)/
漬け込む [つけこむ] /(v5m,vt) to pickle a large amount/
漬け菜 [つけな] /(n) pickled greens/
漬け汁 [つけしる] /(n) marinade/
漬け汁 [つけじる] /(n) marinade/
漬け台 [つけだい] /(n) counter in a sushi restaurant/
漬け物 [つけもの] /(n) tsukemono (Japanese pickled vegetables)/(P)/
漬る [ひたる] /(v5r,vi) to be soaked in/to be flooded/to be immersed in/
漬台 [つけだい] /(n) counter in a sushi restaurant/
漬物 [つけもの] /(n) tsukemono (Japanese pickled vegetables)/(P)/
漬物石 [つけものいし] /(n) weight stone (placed on pickles)/
漬麺 [つけめん] /(n) spiced noodles (ultra hot noodles from spicy ramen shops)/devils noodles/
柘 [つみ] /(n) (arch) Chinese mulberry (Morus bombycis)/
柘 [はりぐわ] /(n) (uk) storehousebush (Cudrania tricuspidata)/mandarin melon berry/silkworm thorn/cudrang/
柘植 [つげ] /(n) (uk) Japanese box tree (Buxus microphylla var. japonica)/Japanese boxwood/
柘榴 [ざくろ] /(n) pomegranate/Punica granatum/
柘榴 [せきりゅう] /(n) pomegranate/Punica granatum/
辻 [つじ] /(n) street/crossroad/(P)/
辻々 [つじつじ] /(n) every street corner/every crossing/
辻駕籠 [つじかご] /(n) street palanquin/
辻強盗 [つじごうとう] /(n) highwayman/
辻君 [つじぎみ] /(n) streetwalker/nightwalker/prostitute/
辻芸 [つじげい] /(n) street performance/
辻講釈 [つじごうしゃく] /(n) stories (esp. war stories) or lectures told by someone near a road or temple while begging for money/
辻札 [つじふだ] /(n) street corner bulletin board/
辻斬り [つじぎり] /(n) killing a passerby in order to test a new sword/
辻社 [つじやしろ] /(n) small shrine built at a crossroads/
辻取 [つじとり] /(n) (arch) taking a wife by kidnapping a woman passing by on the road/
辻取り [つじとり] /(n) (arch) taking a wife by kidnapping a woman passing by on the road/
辻説法 [つじせっぽう] /(n) street preaching/
辻占 [つじうら] /(n) slip of paper with a fortune-telling message/street fortune-teller/
辻相撲 [つじずもう] /(n) (1) amateur sumo wrestling on a street corner or on an empty field (esp. in autumn)/(2) sumo wrestling show in a roadside tent/
辻待ち [つじまち] /(n,vs) vehicle waiting to be hired/
辻辻 [つじつじ] /(n) every street corner/every crossing/
辻店 [つじみせ] /(n) street stall/
辻堂 [つじどう] /(n) wayside shrine/
辻噺 [つじばなし] /(n) (obsc) stories (esp. war stories) or lectures told by someone near a road or temple while begging for money/
辻番 [つじばん] /(n) town-watches from the Edo period/
辻風 [つじかぜ] /(n) (1) whirlwind/
辻風呂 [つじぶろ] /(n) bathtub placed on the roadside and rented to customers/
辻便所 [つじべんじょ] /(n) (obsc) public lavatory/
辻捕 [つじとり] /(n) (arch) taking a wife by kidnapping a woman passing by on the road/
辻捕り [つじとり] /(n) (arch) taking a wife by kidnapping a woman passing by on the road/
辻踊 [つじおどり] /(n) dancing on a street corner/
辻踊り [つじおどり] /(n) dancing on a street corner/
辻褄 [つじつま] /(n) coherence/consistency/(P)/
辻褄が合う [つじつまがあう] /(exp,v5u) to be consistent/to be coherent/
辻褄の合わない [つじつまのあわない] /(exp,adj-i) incoherent/inconsistent/
辻褄を合わせる [つじつまをあわせる] /(exp,v1) to make one's story to seem coherent/to adjust one's story to fit the situation/
蔦 [つた] /(n) (uk) ivy (esp. Boston ivy, Parthenocissus tricuspidata)/
蔦葛 [つたかずら] /(n) ivy and vines/creepers/
蔦紅葉 [つたもみじ] /(n) maple/scarlet-tinged ivy/
蔦漆 [つたうるし] /(n) (uk) Asian poison ivy (Rhus ambigua)/
蔦蔓 [つたかずら] /(n) ivy and vines/creepers/
蔦蘿 [つたかずら] /(n) ivy and vines/creepers/
綴 [つづり] /(n) (1) spelling/(2) orthography/(3) patching/binding/(P)/
綴ぐ [はぐ] /(v5g,vt) to join (cloth, wood, etc.)/
綴じて [とじて] /(exp) in bound form/
綴じる [とじる] /(v1,vt) to bind/to file/(P)/
綴じ蓋 [とじぶた] /(n) mended lid/
綴じ合せる [とじあわせる] /(v1) to bind together (e.g. the pages of a book)/to sew up/to tape together/to stitch together/
綴じ合わせる [とじあわせる] /(v1) to bind together (e.g. the pages of a book)/to sew up/to tape together/to stitch together/
綴じ込み [とじこみ] /(n) a file/
綴じ込む [とじこむ] /(io) (v5m,vt) to (keep on) file/
綴じ糸 [とじいと] /(n) binding or basting thread/
綴じ針 [とじばり] /(n) large sewing needle/wool needle/
綴じ代 [とじしろ] /(n) binding margin/gutter/
綴じ本 [とじほん] /(n) bound book/
綴じ目 [とじめ] /(n) seam/
綴じ暦 [とじごよみ] /(n) bound almanac/calendar in the form of a book/
綴り [つづり] /(n) (1) spelling/(2) orthography/(3) patching/binding/(P)/
綴り合わせる [つづりあわせる] /(v1) to bind together/
綴り字 [つづりじ] /(n) spelling/
綴り方 [つづりかた] /(n) (1) (way of) literary composition/(2) (way of) spelling/(3) school composition/
綴る [つづる] /(v5r,vt) (1) to spell/(2) to compose/to frame/to write/(3) to bind together (e.g. the pages of a book)/to sew up/to stitch together/to patch/
綴れ錦 [つづれにしき] /(n) (hand-woven) brocade/
綴れ織り [つづれおり] /(n) (hand-woven) tapestry/
綴込む [とじこむ] /(io) (v5m,vt) to (keep on) file/
綴字 [せつじ] /(n) spelling/
綴字 [ていじ] /(n) spelling/
綴字 [てつじ] /(n) spelling/
綴方 [つづりかた] /(n) (1) (way of) literary composition/(2) (way of) spelling/(3) school composition/
綴暦 [とじごよみ] /(io) (n) bound almanac/calendar in the form of a book/
鍔 [つば] /(n) (1) guard on sword, polearms, etc./flange/(2) brim/visor (e.g. of a hat)/
鍔音 [つばおと] /(n) sound when stopping the blade of a sword with the guard/
鍔迫り合い [つばぜりあい] /(n) (1) locking sword to sword (in a duel) and pushing/(2) group of close competitors/fierce competition/
椿 [つばき] /(n) (1) (uk) common camellia/Camellia japonica/(P)/
椿事 [ちんじ] /(n) strange occurrence/unusual occurrence/unexpected occurrence/
椿寿 [ちんじゅ] /(n) longevity/long life/
椿象 [かめむし] /(n) (uk) shield bug/stink bug/
椿象目 [かめむしもく] /(n) Hemiptera (taxonomic order comprising the true bugs)/
椿桃 [ずばいもも] /(n) (obsc) nectarine/
椿桃 [つばいもも] /(n) (obsc) nectarine/
椿桃 [つばきもも] /(n) (obsc) nectarine/
椿桃 [づばいもも] /(n) (obsc) nectarine/
椿油 [つばきあぶら] /(n) camellia oil/
潰え [ついえ] /(n) wasteful expenses/
潰える [ついえる] /(v1,vi) (1) to use up (one's savings)/(2) to be wasted (time, effort, etc)/(3) to fall apart/to become useless/(4) (arch) to be wiped out (in battle)/(5) (arch) to fall apart (one's body or health)/
潰しが利く [つぶしがきく] /(exp,v5k) to be valuable as scrap/to be able to do other work/to have marketable skills/
潰しにする [つぶしにする] /(exp,vs-i) (uk) to scrap/to melt down/
潰し値 [つぶしね] /(n) scrap value/
潰し値段 [つぶしねだん] /(n) scrap value/
潰し島田 [つぶししまだ] /(n) type of woman's hairdo (Edo period)/
潰し餡 [つぶしあん] /(n) slightly crushed sweetened red-bean paste/
潰す [つぶす] /(v5s,vt) (1) to smash/to crush/(2) to shut down/(3) to thwart/to block/(4) to kill (time)/(5) to waste (e.g. talents)/(P)/
潰れる [つぶれる] /(v1,vi) (1) (uk) to be smashed/(2) to become useless/to cease functioning/(3) to go bankrupt/(P)/
潰走 [かいそう] /(n,vs) rout/stampede/
潰崩 [かいほう] /(n,vs) (arch) collapse/crumbling/breaking down/caving in/
潰滅 [かいめつ] /(n,vs,adj-no) destruction/annihilation/devastation/catastrophe/
潰滅的 [かいめつてき] /(adj-na) devastating/catastrophic/crushing/
潰乱 [かいらん] /(n,vs) (1) corruption (of order, customs, etc.)/(2) to fall apart (organization, system, etc.)/
潰瘍 [かいよう] /(n) ulcer/
潰瘍性大腸炎 [かいようせいだいちょうえん] /(n) ulcerative colitis/
坪 [つぼ] /(n) unit of land measurement/3.95 square yards/3.31 square meters/(P)/
坪数 [つぼすう] /(n) floor space/area (in tsubo)/
坪単価 [つぼたんか] /(n) price per unit of area/price per sqare meter/
坪庭 [つぼにわ] /(n) type of small garden/inner garden/
坪当たり [つぼあたり] /(n) per tsubo (area)/
坪量 [つぼりょう] /(n) paper weight in gsm/
壷 [こ] /(n) hu (ancient Chinese vessel shaped like a vase, usually used to store alcohol)/
壷 [つふ] /(ok) (n) (1) jar/pot/vase/(2) dice cup/(3) depression (i.e. the basin of a waterfall)/(4) (arch) target (when aiming an arrow)/(5) (figurative) bull's-eye/(6) key point (of a conversation, etc.)/(7) acupuncture point/moxibustion point/(8) nodes on a fingerboard (of a shamisen, etc.)/
壷 [つほ] /(ok) (n) (1) jar/pot/vase/(2) dice cup/(3) depression (i.e. the basin of a waterfall)/(4) (arch) target (when aiming an arrow)/(5) (figurative) bull's-eye/(6) key point (of a conversation, etc.)/(7) acupuncture point/moxibustion point/(8) nodes on a fingerboard (of a shamisen, etc.)/
壷 [つぼ] /(n) (1) jar/pot/vase/(2) dice cup/(3) depression (i.e. the basin of a waterfall)/(4) (arch) target (when aiming an arrow)/(5) (figurative) bull's-eye/(6) key point (of a conversation, etc.)/(7) acupuncture point/moxibustion point/(8) nodes on a fingerboard (of a shamisen, etc.)/
壷洗い [つぼあらい] /(n) (sl) individually "washing" a partner's fingers or toes in one's vagina (esp. as a service at a soapland)/
壷黴 [つぼかび] /(n) (uk) chytrid (any simple, algaelike fungi of order Chytridiales)/
紬 [つむぎ] /(n) pongee (soft thin cloth woven from raw silk)/
紬糸 [つむぎいと] /(n) (spun) silk thread/
爪 [つめ] /(n) (1) nail (e.g. fingernail, toenail)/claw/talon/hoof/(2) plectrum/pick/(3) hook/clasp/(P)/
爪だに [つめだに] /(n) (uk) cheyletid (any mite of the family Cheyletidae)/
爪で拾って箕で零す [つめでひろってみでこぼす] /(exp) (id) penny wise and pound foolish/
爪の垢 [つめのあか] /(exp) (1) dirt under one's fingernails/(2) shred (of decency, etc.)/scrap/bit/smidgen/
爪の垢を煎じて飲む [つめのあかをせんじてのむ] /(exp,v5m) to take a lesson from (a wise person)/to follow in the footsteps of/
爪やすり [つめやすり] /(n) nail file/
爪をとぐ [つめをとぐ] /(exp,v5g) to sharpen one's claws/
爪を噛む癖 [つめをかむくせ] /(exp) habit of biting one's nails/
爪を研ぐ [つめをとぐ] /(exp,v5g) to sharpen one's claws/
爪クラッチ [つめクラッチ] /(n) claw clutch/
爪印 [つめいん] /(n) thumb print/
爪音 [つまおと] /(n) clang of hoofs/sound of a koto/
爪牙 [そうが] /(n) claws and tusks/devious design/right-hand man/
爪革 [つまかわ] /(n) protective cover on a clog/
爪冠 [つめかんむり] /(n) kanji "claw" radical at top/
爪繰る [つまぐる] /(v5r,vt) to finger/to roll between the thumb and the fingers/
爪痕 [つめあと] /(n) (1) fingernail mark/scratch/(2) scar/ravages/after-effects/
爪車 [つめぐるま] /(n) ratchet/toothed wheel/
爪跡 [つめあと] /(n) (1) fingernail mark/scratch/(2) scar/ravages/after-effects/
爪切 [つめきり] /(n) nail clippers/
爪切り [つめきり] /(n) nail clippers/(P)/
爪先 [つまさき] /(n) tiptoe/
爪先で歩く [つまさきであるく] /(exp,v5k) to tiptoe/
爪先下がり [つまさきさがり] /(n) downhill path/
爪先上がり [つまさきあがり] /(n) uphill path/
爪先立ち [つまさきだち] /(n) standing on tiptoes/
爪先立つ [つまさきだつ] /(v5t,vi) to stand on tiptoes/
爪弾き [つまはじき] /(n,vs) black sheep (of a family)/ostracism/
爪弾き [つまびき] /(n,vs) playing with one's fingers (a guitar, etc.)/
爪弾き [つめびき] /(n,vs) playing with one's fingers (a guitar, etc.)/
爪弾く [つまびく] /(v5k) to strum/to pluck the strings (of a guitar)/
爪白 [つまじろ] /(n) (uk) silvertip shark (Carcharhinus albimarginatus, a requiem shark found throughout the tropical Indian and Pacific Oceans)/
爪半月 [つめはんげつ] /(n) lunula (white crescent-shaped area at the base of a nail)/nail moon/
爪皮 [つまかわ] /(n) protective cover on a clog/
爪楊枝 [つまようじ] /(n) toothpick/(P)/
爪立ち [つまだち] /(n,vs) standing on tiptoes/
爪立つ [つまだつ] /(v5t) to stand on tiptoe/
爪繞 [そうにょう] /(n) kanji "claw" radical at left/
爪鑢 [つめやすり] /(n) nail file/
吊し [つるし] /(n) ready-made clothing/off-the-rack clothing/
吊し柿 [つるしがき] /(n) persimmon (hung to dry)/dried persimmon/
吊し上げ [つるしあげ] /(n) (1) hung up/hoist/(2) denounced/severely criticised/kangaroo court/
吊し上げる [つるしあげる] /(v1,vt) (1) to hang up/to hoist/(2) to denounce/to subject someone to a kangaroo court/
吊し責め [つるしぜめ] /(n) strappado/
吊す [つるす] /(v5s,vt) to hang/to hang up/
吊り [つり] /(n) (1) hanging/suspending/(2) sling/
吊りスカート [つりスカート] /(n) skirt with suspenders/
吊りランプ [つりランプ] /(n) droplight/hanging lamp/pendant/pendent lamp/swinging lamp/
吊り屋根 [つりやね] /(n) hanging roof over the sumo ring/
吊り下がる [つりさがる] /(v5r,vi) to hang down/to dangle/
吊り下げる [つりさげる] /(v1,vt) to suspend from/to be suspended (from)/
吊り革 [つりかわ] /(n) strap (to hang onto)/
吊り環 [つりわ] /(n) (gymnastic) rings/
吊り橋 [つりばし] /(n) suspension bridge/
吊り戸棚 [つりとだな] /(n) hanging cupboard/wall cabinet/
吊り行灯 [つりあんどん] /(n) hanging paper lantern/
吊り索 [つりさく] /(n) shroud line/
吊り手 [つりて] /(n) hanger/
吊り出し [つりだし] /(n) sumo winning technique where the opponent is lifted out by his belt/
吊り出す [つりだす] /(v5s,vt) to hold (the opponent) in the arms and carry him out of the ring/
吊り書き [つりがき] /(n) family chart and personal history/
吊り床 [つりどこ] /(n) hammock/
吊り鐘 [つりがね] /(n) temple bell (for striking)/
吊り上がる [つりあがる] /(v5r,vi) (1) to be lifted up/to be hung up/
吊り上げ [つりあげ] /(n) mechanism used to lift an actor onto the stage (in kabuki)/
吊り上げる [つりあげる] /(v1,vt) (1) to raise/to lift/to hang up/to suspend/(2) to (artificially, deliberately) raise prices/
吊り棚 [つりだな] /(n) suspended shelf/
吊り天井 [つりてんじょう] /(n) suspended ceiling/
吊り灯籠 [つりどうろう] /(n) hanging lantern/
吊り目 [つりめ] /(n) slant or almond-shaped eyes/
吊り落し [つりおとし] /(n) lifting body slam (sumo)/
吊り落とし [つりおとし] /(n) lifting body slam (sumo)/
吊り輪 [つりわ] /(n) (gymnastic) rings/
吊り籠 [つりかご] /(n) gondola/
吊る [つる] /(v5r) to hang/to suspend (something from something)/to be hanged (by the neck)/(P)/
吊るし雲 [つるしぐも] /(n) roll cloud/rotor cloud/
吊るし柿 [つるしがき] /(n) persimmon (hung to dry)/dried persimmon/
吊るし上げ [つるしあげ] /(n) (1) hung up/hoist/(2) denounced/severely criticised/kangaroo court/
吊るし上げる [つるしあげる] /(v1,vt) (1) to hang up/to hoist/(2) to denounce/to subject someone to a kangaroo court/
吊るし飾り [つるしかざり] /(n) hanging decoration/
吊るし責め [つるしぜめ] /(n) strappado/
吊るす [つるす] /(v5s,vt) to hang/to hang up/(P)/
吊ランプ [つりランプ] /(n) droplight/hanging lamp/pendant/pendent lamp/swinging lamp/
吊虻 [つりあぶ] /(n) (uk) bee fly (any insect of family Bombyliidae)/
吊花 [つりばな] /(n) (uk) Korean spindletree (Euonymus oxyphyllus)/
吊革 [つりかわ] /(n) strap (to hang onto)/
吊環 [つりわ] /(n) (gymnastic) rings/
吊橋 [つりばし] /(n) suspension bridge/
吊戸棚 [つりとだな] /(n) hanging cupboard/wall cabinet/
吊書 [つりがき] /(n) family chart and personal history/
吊書 [つりしょ] /(n) family chart and personal history/
吊書き [つりがき] /(n) family chart and personal history/
吊上げ [つるしあげ] /(n) (1) hung up/hoist/(2) denounced/severely criticised/kangaroo court/
吊足場 [つりあしば] /(n) suspended scaffolding/
吊輪 [つりわ] /(n) (gymnastic) rings/
釣 [つり] /(n) (1) fishing/angling/(2) (uk) (abbr) change (e.g. for a purchase)/
釣られる [つられる] /(v1,vi) to be lured/to be attracted/to get hooked (on)/
釣り [つり] /(n) (1) fishing/angling/(2) (uk) (abbr) change (e.g. for a purchase)/(P)/
釣りに行く [つりにいく] /(exp,v5k-s) to go fishing/
釣りばか [つりばか] /(n) a fishing enthusiast/
釣りバカ [つりバカ] /(n) a fishing enthusiast/
釣りランプ [つりランプ] /(n) droplight/hanging lamp/pendant/pendent lamp/swinging lamp/
釣り下がる [つりさがる] /(v5r,vi) to hang down/to dangle/
釣り下げる [つりさげる] /(v1,vt) to suspend from/to be suspended (from)/
釣り花 [つりばな] /(n) flower placement in a hanging vessel/
釣り柿 [つりがき] /(n) persimmon (hung to dry)/dried persimmon/
釣り革 [つりかわ] /(n) strap (to hang onto)/
釣り竿 [つりざお] /(n) fishing rod/
釣り客 [つりきゃく] /(n) visiting angler/fishing visitor/
釣り球 [つりだま] /(n) pitch that lures a batter to swing (baseball)/
釣り橋 [つりばし] /(n) suspension bridge/
釣り具 [つりぐ] /(n) fishing gear/tackle/
釣り戸棚 [つりとだな] /(n) hanging cupboard/wall cabinet/
釣り行灯 [つりあんどん] /(n) hanging paper lantern/
釣り合い [つりあい] /(n) balance/equilibrium/(P)/
釣り合う [つりあう] /(v5u,vi) to balance/to be in harmony/to suit/to go well together/to counterbalance/to reach equilibrium/(P)/
釣り込まれる [つりこまれる] /(v1) to be carried away by/to be talked into/
釣り込む [つりこむ] /(v5m,vt) to take in/to attract/
釣り師 [つりし] /(n) (1) angler/(2) (sl) Internet troll/
釣り糸 [つりいと] /(n) fishing line/
釣り手 [つりて] /(n) fisherman/angler/hanging strap/
釣り舟 [つりふね] /(n) fishing boat/
釣り舟 [つりぶね] /(n) fishing boat/
釣り出す [つりだす] /(v5s,vt) to pull out a fish/to lure/
釣り書 [つりがき] /(n) family chart and personal history/
釣り書 [つりしょ] /(n) family chart and personal history/
釣り書き [つりがき] /(n) family chart and personal history/
釣り床 [つりどこ] /(n) hammock/
釣り鐘 [つりがね] /(n) temple bell (for striking)/
釣り鐘マント [つりがねマント] /(n) long cloak worn by soldiers, students, etc. (Meiji period)/
釣り鐘草 [つりがねそう] /(n) campanula/bellflower/
釣り鐘虫 [つりがねむし] /(n) bell animalcule (insect)/
釣り上がる [つりあがる] /(v5r,vi) (1) to be lifted up/to be hung up/(2) to be pulled in (fish)/
釣り上げ [つりあげ] /(n) mechanism used to lift an actor onto the stage (in kabuki)/
釣り上げる [つりあげる] /(v1,vt) (1) to raise/to lift/to hang up/to suspend/(2) to (artificially, deliberately) raise prices/(3) to pull in (fish)/
釣り場 [つりば] /(n) fishing place/
釣り針 [つりばり] /(n) fish hook/(P)/
釣り人 [つりびと] /(n) angler/
釣り船 [つりふね] /(n) fishing boat/
釣り船 [つりぶね] /(n) fishing boat/
釣り銭 [つりせん] /(n) change (e.g. for dollar)/(P)/
釣り銭口 [つりせんぐち] /(n) coin return slot/change slot/
釣り台 [つりだい] /(n) (1) fishing stand/small portable stand that can be assembled quickly/(2) stand used to transport people or things (Edo period)/
釣り棚 [つりだな] /(n) suspended shelf/
釣り天井 [つりてんじょう] /(n) suspended ceiling/
釣り殿 [つりどの] /(n) buildings on the east and west side of the southern pond (in traditional palatial-style architecture)/
釣り灯籠 [つりどうろう] /(n) hanging lantern/
釣り道具 [つりどうぐ] /(n) fishing tackle/
釣り馬鹿 [つりばか] /(n) a fishing enthusiast/
釣り浮き [つりうき] /(n) fishing float/bobber/
釣り堀 [つりぼり] /(n) fish pond/(P)/
釣り落とした魚は大きい [つりおとしたさかなはおおきい] /(exp) (id) The fish that got away is always bigger/
釣り籠 [つりかご] /(n) angler's basket/creel/
釣り鉤 [つりばり] /(n) fish hook/
釣る [つる] /(v5r,vt) (1) to fish/to angle/to catch/(2) to lure in/to tempt/to attract/to entice/to allure/(P)/
釣ランプ [つりランプ] /(n) droplight/hanging lamp/pendant/pendent lamp/swinging lamp/
釣虻 [つりあぶ] /(n) (uk) bee fly (any insect of family Bombyliidae)/
釣下げる [つりさげる] /(v1,vt) to suspend from/to be suspended (from)/
釣果 [ちょうか] /(n) a hooked fish/a catch/
釣革 [つりかわ] /(n) strap (to hang onto)/
釣竿 [つりざお] /(n) fishing rod/
釣魚 [ちょうぎょ] /(n) fishing/angling/
釣戸棚 [つりとだな] /(n) hanging cupboard/wall cabinet/
釣行灯 [つりあんどん] /(n) hanging paper lantern/
釣合 [つりあい] /(n) balance/equilibrium/(P)/
釣合い [つりあい] /(n) balance/equilibrium/(P)/
釣合う [つりあう] /(v5u,vi) to balance/to be in harmony/to suit/to go well together/to counterbalance/to reach equilibrium/
釣込む [つりこむ] /(v5m,vt) to take in/to attract/
釣師 [つりし] /(n) (1) angler/(2) (sl) Internet troll/
釣糸 [つりいと] /(n) fishing line/
釣舟 [つりふね] /(n) fishing boat/
釣舟 [つりぶね] /(n) fishing boat/
釣書 [つりがき] /(n) family chart and personal history/
釣書 [つりしょ] /(n) family chart and personal history/
釣書き [つりがき] /(n) family chart and personal history/
釣鐘 [つりがね] /(n) hanging bell/
釣鐘マント [つりがねマント] /(n) long cloak worn by soldiers, students, etc. (Meiji period)/
釣鐘草 [つりがねそう] /(n) campanula/bellflower/
釣上げ [つりあげ] /(n) mechanism used to lift an actor onto the stage (in kabuki)/
釣上げる [つりあげる] /(v1,vt) (1) to raise/to lift/to hang up/to suspend/(2) to (artificially, deliberately) raise prices/(3) to pull in (fish)/
釣針 [つりばり] /(n) fish hook/
釣船 [つりふね] /(n) fishing boat/
釣船 [つりぶね] /(n) fishing boat/
釣銭 [つりせん] /(n) change (e.g. for dollar)/
釣銭口 [つりせんぐち] /(n) coin return slot/change slot/
釣台 [つりだい] /(n) (1) fishing stand/small portable stand that can be assembled quickly/(2) stand used to transport people or things (Edo period)/
釣殿 [つりどの] /(n) buildings on the east and west side of the southern pond (in traditional palatial-style architecture)/
釣道具 [つりどうぐ] /(n) fishing tackle/
釣瓶 [つるべ] /(n) well bucket/
釣瓶打ち [つるべうち] /(n,vs) fire in rapid succession/a volley of shots/
釣瓶落とし [つるべおとし] /(n) sinking quickly/
釣堀 [つりぼり] /(n) fish pond/
釣鉤 [つりばり] /(n) fish hook/
鶴 [たず] /(n) crane (any bird of the family Gruidae, esp. the red-crowned crane, Grus japonensis)/
鶴 [つる] /(n) crane (any bird of the family Gruidae, esp. the red-crowned crane, Grus japonensis)/(P)/
鶴の一声 [つるのひとこえ] /(exp) the final word (decision made by a figure of authority)/
鶴の子餅 [つるのこもち] /(n) red and white egg-shaped mochi/
鶴は千年亀は万年 [つるはせんねんかめはまんねん] /(exp) Cranes live for 1000 years, turtles live for 10,000 years/
鶴科 [つるか] /(n) Gruidae (bird family of the crane)/
鶴首 [かくしゅ] /(n,vs) looking forward to/
鶴首して待つ [かくしゅしてまつ] /(v5t) to wait expectantly/to wait with a craned (outstretched) neck/
鶴嘴 [つるはし] /(n) (uk) pickaxe/
亭 [ちん] /(n) (1) arbor/arbour/bower/pavilion/
亭 [てい] /(n) (1) arbor/arbour/bower/pavilion/(suf) (2) suffix forming the final part of the pseudonyms of some writers and performers/
亭々 [ていてい] /(adj-t,adv-to) lofty (tree)/
亭午 [ていご] /(n) noon/
亭主 [ていしゅ] /(n) (1) household head/master/host (e.g. of a tea gathering)/innkeeper/owner (e.g. of an hotel)/(2) husband/(P)/
亭主の好きな赤烏帽子 [ていしゅのすきなあかえぼし] /(exp) (arch) Family members should fall into line with the head of the family even if his taste is a little odd, like wearing a red eboshi, which is ordinarily black/
亭主関白 [ていしゅかんぱく] /(n) (1) husband who rules the roost/domineering husband/(2) the hectoring of the husband/
亭亭 [ていてい] /(adj-t,adv-to) lofty (tree)/
低い [ひくい] /(adj-i) low (height, tone, rank, degree, cost, etc.)/short/(P)/
低い優先順位 [ひくいゆうせんじゅんい] /(n) (comp) low priority (e.g. cell)/
低く [ひくく] /(n,vs) lowering/bringing down/
低まる [ひくまる] /(v5r,vi) to lower/to be lowered/
低める [ひくめる] /(v1,vt) to lower/to be lowered/(P)/
低カロリー [ていカロリー] /(n,adj-no) low-calorie/
低コスト [ていコスト] /(n) (comp) low cost/
低タール [ていタール] /(n) low tar (e.g. of cigarettes)/
低ニコチン [ていニコチン] /(n) low nicotine (e.g. of cigarettes)/
低ビットレート [ていビットレート] /(n) (comp) low bit rate/
低プライオリティ [ていプライオリティ] /(n) (comp) low priority/
低レベル [ていレベル] /(n) (comp) low level/
低レベル放射性廃棄物 [ていレベルほうしゃせいはいきぶつ] /(n) low-level radioactive waste/
低圧 [ていあつ] /(n,adj-no) low pressure/low voltage/
低位 [ていい] /(n) lower position/
低域通過フィルタ [ていいきつうかフィルタ] /(n) (comp) low pass filter/LPF/
低雲 [ていうん] /(n) low-hanging clouds/
低温 [ていおん] /(n,adj-no) low temperature/(P)/
低温殺菌 [ていおんさっきん] /(n) pasteurization/pasteurisation/
低温輸送 [ていおんゆそう] /(n) refrigerated transport/
低音 [ていおん] /(n) low tone/bass/low voice/(P)/
低音部 [ていおんぶ] /(n) bass register/
低音部記号 [ていおんぶきごう] /(n) bass clef/
低下 [ていか] /(n,vs) fall/decline/lowering/deterioration/degradation/(P)/
低価 [ていか] /(n) low price/
低価格 [ていかかく] /(n) low price/(P)/
低価格化 [ていかかくか] /(n,vs) price reduction/
低価率 [ていかりつ] /(n) price reduction rate/
低解像度 [ていかいぞうど] /(n) (comp) low resolution/
低回 [ていかい] /(n) loitering/lingering/reluctance to leave/
低回趣味 [ていかいしゅみ] /(n) disposition toward rejecting mundane affairs and enjoying nature and art/
低開発国 [ていかいはつこく] /(n) (sens) undeveloped country/third world country/
低学年 [ていがくねん] /(n) lower grades in school/(P)/
低学歴 [ていがくれき] /(n) low-level education/inferior education/
低学歴者 [ていがくれきしゃ] /(n) someone with inferior education/
低額 [ていがく] /(n) small amount/
低気圧 [ていきあつ] /(adj-na,n) (1) low (atmospheric) pressure/low-pressure system/depression/cyclone/(2) bad temper/foul mood/tense situation/(P)/
低軌道 [ていきどう] /(n) low orbit/low earth orbit/LEO/
低丘陵 [ていきゅうりょう] /(n) low hills/
低級 [ていきゅう] /(adj-na,n,adj-no) low grade/vulgar/low class/cheap/low level/
低級言語 [ていきゅうげんご] /(n) (comp) low-level language/
低教会 [ていきょうかい] /(n) the Low Church/
低金利 [ていきんり] /(n) low interest/
低金利政策 [ていきんりせいさく] /(n) cheap money policy/
低吟 [ていぎん] /(n,vs) hum/singing in a low voice/
低空 [ていくう] /(n,adj-no) low altitude/low sky/
低空飛行 [ていくうひこう] /(n) low-altitude flying/
低血圧 [ていけつあつ] /(n) low blood pressure/
低血圧症 [ていけつあつしょう] /(n) hypotension/hypoglycemia/
低血糖 [ていけっとう] /(n) low blood sugar/hypoglycemia/
低血糖症 [ていけっとうしょう] /(n,adj-no) hypoglycaemia/hypoglycemia/glucopenia/
低減 [ていげん] /(n,vs) decrease/reduction/fall/depreciation/mitigation/(P)/
低語 [ていご] /(n,vs) whispering/murmuring/talking in a low voice/
低公害車 [ていこうがいしゃ] /(n) low-emission vehicle/
低山帯 [ていざんたい] /(n) mountainous zone/
低酸素脳症 [ていさんそのうしょう] /(n) hypoxic encephalopathy (brain damage from lack of oxygen)/
低姿勢 [ていしせい] /(n) (keeping a) low profile/
低脂肪 [ていしぼう] /(adj-no) low-fat/
低脂肪乳 [ていしぼうにゅう] /(n) low-fat milk/
低資 [ていし] /(n) low-interest funds/
低次元 [ていじげん] /(adj-na,n) (1) low-level/coarse/vulgar/(2) (math) low-dimension/
低湿 [ていしつ] /(adj-na,n) low and damp/
低周波 [ていしゅうは] /(n) low frequency waves/
低周波発振器 [ていしゅうははっしんき] /(n) (comp) Low Frequency Oscillator/LFO/
低重力 [ていじゅうりょく] /(n) low gravity/subgravity/
低順位 [ていじゅんい] /(n) low priority/
低処 [ていしょ] /(n) low ground/
低所 [ていしょ] /(n) low ground/
低所得 [ていしょとく] /(n) low income/
低所得者 [ていしょとくしゃ] /(n) low-income earner/
低所得者医療扶助 [ていしょとくしゃいりょうふじょ] /(n) (obsc) support for medical treatment for those on low income/Medicaid/
低所得層 [ていしょとくそう] /(n) low income group/low income class/
低唱 [ていしょう] /(n,vs) hum/singing softly/
低床 [ていしょう] /(n) low floor (platform, vehicle, etc.)/
低消費電力 [ていしょうひでんりょく] /(n) (comp) low power consumption/
低消費電力状態 [ていしょうひでんりょくじょうたい] /(n) (comp) reduced power state/
低障碍 [ていしょうがい] /(n) low hurdles/
低浸襲 [ていしんしゅう] /(n,adj-na) non-invasive approach (medical)/
低浸透圧 [ていしんとうあつ] /(n) hypoosmolality/hyposmosis/
低水準 [ていすいじゅん] /(adj-na) substandard/low-level/(P)/
低水準言語 [ていすいじゅんげんご] /(n) (comp) low-level language/
低髄液圧症候群 [ていずいえきあつしょうこうぐん] /(n) cerebrospinal fluid hypovolemia/CSF hypovolemia/intracranial hypotension syndrome/
低性能 [ていせいのう] /(n) low efficiency/
低成長 [ていせいちょう] /(n) small (low) growth/
低声 [ていせい] /(n) low voice/whisper/
低層 [ていそう] /(n,adj-no) low class (society)/
低速 [ていそく] /(n,adj-no) low gear/slow speed/
低速中性子 [ていそくちゅうせいし] /(n) slow neutron/
低速通信 [ていそくつうしん] /(n) (comp) low speed communication/
低俗 [ていぞく] /(adj-na,n) vulgar/
低損失 [ていそんしつ] /(n) (comp) low loss/
低体温 [ていたいおん] /(n) hypothermia/
低体温症 [ていたいおんしょう] /(n) hypothermia/
低体温法 [ていたいおんほう] /(n) therapeutic hypothermia/induced hypothermia/
低体温麻酔 [ていたいおんますい] /(n) hypothermic anesthesia/hypothermic anaesthesia/
低地 [ていち] /(n,adj-no) depression/lowlands/low ground/bottom land/plain/(P)/
低置 [ていち] /(n) low (toilet tank)/
低遅延 [ていちえん] /(n) (comp) low delay/
低潮 [ていちょう] /(n) low tide/
低調 [ていちょう] /(adj-na,n) inactive/slow/sluggish/slack/low tone/undertone/dullness/(market) weakness/(P)/
低賃金 [ていちんぎん] /(n) low wages/
低賃金産業 [ていちんぎんさんぎょう] /(n) low wage industry/
低電圧版Ｘｅｏｎ [ていでんあつばんジーオン] /(n) (comp) low voltage xeon/
低電圧版モバイル [ていでんあつばんモバイル] /(n) (comp) low voltage mobile (pentium)/
低電位 [ていでんい] /(n) low voltage/
低電力 [ていでんりょく] /(n) (comp) low power (electrical)/
低度 [ていど] /(n) low degree/low grade/low class/
低糖 [ていとう] /(adj-no) reduced sugar/
低頭 [ていとう] /(n,vs,adj-no) low bow/
低頭平身 [ていとうへいしん] /(n,vs) prostrating oneself/
低燃費 [ていねんぴ] /(n) low fuel consumption/
低濃度 [ていのうど] /(n,adj-no) low concentration/
低能 [ていのう] /(adj-na,n) low intelligence/feeble-mindedness/imbecility/
低能児 [ていのうじ] /(n) feeble-minded child/poor scholar/
低能者 [ていのうしゃ] /(n) imbecile/moron/
低脳 [ていのう] /(iK) (adj-na,n) low intelligence/feeble-mindedness/imbecility/
低脳児 [ていのうじ] /(iK) (n) feeble-minded child/poor scholar/
低脳者 [ていのうしゃ] /(iK) (n) imbecile/moron/
低頻度 [ていひんど] /(n) low frequency/
低物価 [ていぶっか] /(n) low prices/
低密 [ていみつ] /(n) low density/
低密度ディスケット [ていみつどディスケット] /(n) (comp) low-density diskette/
低迷 [ていめい] /(n,vs) hanging low (over)/hovering around (price level)/low hanging (e.g. clouds)/sluggish (e.g. economy)/slump/recession/(P)/
低木 [ていぼく] /(n) shrub/shrubbery/
低木層 [ていぼくそう] /(n) understory (understorey)/
低目 [ひくめ] /(n) low ball (baseball)/
低容量 [ていようりょう] /(n) (comp) low capacity/
低翼 [ていよく] /(n,adj-no) low-wing/
低落 [ていらく] /(n,vs) fall/decline/slump/(P)/
低利 [ていり] /(n,adj-no) low interest/(P)/
低利金 [ていりきん] /(n) low-interest money/
低利金融 [ていりきんゆう] /(n) low-interest credit/
低利資金 [ていりしきん] /(n) low-interest funds/
低利得アンテナ [ていりとくアンテナ] /(n) low-gain antenna/
低率 [ていりつ] /(adj-na,n,adj-no) low rate/
低料金 [ていりょうきん] /(n) low rates/(P)/
低劣 [ていれつ] /(adj-na,n) low grade/inferiority/coarseness/vulgarity/
低廉 [ていれん] /(adj-na,n) cheap/inexpensive/
低徊 [ていかい] /(n) going about immersed or absorbed in/
低徊趣味 [ていかいしゅみ] /(n) disposition toward rejecting mundane affairs and enjoying nature and art/
停まる [とどまる] /(v5r,vi) (1) to stop/to halt/(2) to remain/to abide/to stay (in the one place)/(v5r) (3) to come to a halt/
停まる [とまる] /(v5r,vi) (1) to stop/to halt/(2) to remain/to abide/to stay (in the one place)/(v5r) (3) to come to a halt/
停める [とどめる] /(v1,vt) (1) to stop/to stay (e.g. the night)/to cease/to put an end to/(2) to contain/to keep (in position, in place)/to limit/(3) to record (e.g. a fact)/to retain/
停める [とめる] /(v1,vt) (1) to stop (something or someone)/to turn off/(2) to fix into place/(3) to park/to leave somewhere for a time/
停音 [ていおん] /(n) (obs) rest (music)/
停音符 [ていおんぷ] /(n) (obs) rest (music)/
停会 [ていかい] /(n) adjournment/suspension of a meeting/recess of legislature/
停学 [ていがく] /(n) suspension from school/(P)/
停止 [ちょうじ] /(n,vs) (1) suspension/interruption/stoppage/ban/standstill/halt/hang-up/deadlock/stalemate/abeyance/(2) suspension of music, dance, etc. as a sign of mourning for a prominent person/
停止 [ていし] /(n,vs) (1) suspension/interruption/stoppage/ban/standstill/halt/hang-up/deadlock/stalemate/abeyance/(P)/
停止シグナル [ていしシグナル] /(n) (comp) quit signal/
停止価格 [ていしかかく] /(n) pegged price/
停止時間 [ていしじかん] /(n) stop time/
停止信号 [ていししんごう] /(n) stop signal/stoplight/
停止線 [ていしせん] /(n) stop line/
停車 [ていしゃ] /(n,vs) stopping (e.g. train)/(P)/
停車駅 [ていしゃえき] /(n) stop (on a train's route)/
停車時間 [ていしゃじかん] /(n) stoppage time/
停車場 [ていしゃじょう] /(n) depot/railway station/taxi stand/
停車場 [ていしゃば] /(n) depot/railway station/taxi stand/
停職 [ていしょく] /(n) suspension from office/
停戦 [ていせん] /(n,vs) armistice/ceasefire/(P)/
停戦ライン [ていせんライン] /(n) line of control/
停戦協定 [ていせんきょうてい] /(n) cease-fire deal/
停戦合意 [ていせんごうい] /(n) cease-fire agreement/
停船 [ていせん] /(n,vs) stopping a ship/detention/quarantine/
停船場 [ていせんじょう] /(n) ferry landing/
停滞 [ていたい] /(n,vs) stagnation/tie-up/congestion/retention/accumulation/falling into arrears/(P)/
停滞前線 [ていたいぜんせん] /(n) stationary weather front/
停電 [ていでん] /(n,vs) power outage/electricity outage/blackout/failure of electricity supply/(P)/
停電日 [ていでんび] /(n) no-electricity day/
停頓 [ていとん] /(n,vs) deadlock/standstill/stalemate/set-back/abeyance/
停頓状態 [ていとんじょうたい] /(n) standstill/deadlock/stalemate/doldrums/stagnant conditions/
停年 [ていねん] /(n) (1) retirement age/(2) (arch) years of service in a military rank before eligibility for promotion/
停年退職 [ていねんたいしょく] /(n) retirement due to age/
停泊 [ていはく] /(n,vs) anchorage/moorings/(P)/
停泊地 [ていはくち] /(n) anchorage (area)/moorage/roadstead/
停留 [ていりゅう] /(n,vs) stop/halt/
停留所 [ていりゅうじょ] /(n) bus stop/tram stop/stop/station/(P)/
停留場 [ていりゅうじょう] /(n) stop (bus, streetcar, etc.)/
偵察 [ていさつ] /(n,vs) scout out/reconnaissance/(P)/
偵察衛星 [ていさつえいせい] /(n) reconnaissance satellite/spy satellite/
偵察機 [ていさつき] /(n) reconnaissance plane/spy plane/
偵察隊 [ていさつたい] /(n) scouting party/patrol/
偵察飛行 [ていさつひこう] /(n) surveillance flight/
偵察要員 [ていさつよういん] /(n) player put on starting list to be replaced by another when the opponent's pitcher is known/
偵知 [ていち] /(n,vs) spying/investigating/
剃り捨てる [そりすてる] /(v1) to cut off the hair/take the tonsure/
剃り上げる [そりあげる] /(v1) to shave off/
剃り跡 [そりあと] /(n) stubble (after shaving)/
剃り落とす [すりおとす] /(v5s) to shave off the hair/
剃り落とす [そりおとす] /(v5s) to shave off the hair/
剃る [する] /(v5r,vt) to shave/
剃る [そる] /(v5r,vt) to shave/(P)/
剃上げ額 [すりあげびたい] /(n) high and broad forehead/
剃刀 [かみすり] /(ok) (n) (uk) razor/
剃刀 [かみそり] /(n) (uk) razor/(P)/
剃刀 [そり] /(ok) (n) (uk) razor/
剃刀研ぎ [かみそりとぎ] /(n) one who sharpens razors/
剃刀触 [かみそりかぶれ] /(n) razor rash/
剃刀砥 [かみそりど] /(n) razor strop/hone/
剃刀負 [かみそりまけ] /(n,vs) razor rash/
剃髪 [ていはつ] /(n,vs) tonsure/cutting off the hair/
剃毛 [ていもう] /(n,vs) shaving/
剃立て [すりたて] /(exp) clean shaven/freshly shaven/
剃立て [そりたて] /(exp) clean shaven/freshly shaven/
貞 [てい] /(n) (1) firm adherence to one's principles/(2) chastity (of a woman)/
貞はる [さだはる] /(v5r) (sl) to harp too long on a subject/
貞永 [じょうえい] /(n) Jouei era (1232.4.2-1233.4.15)/
貞応 [じょうおう] /(n) Jouou era (1222.4.13-1224.11.20)/
貞観 [じょうがん] /(n) Jougan era (859.4.15-877.4.16)/
貞観時代 [じょうがんじだい] /(n) Jougan period (of art history, 859-877 CE)/
貞観地震 [じょうがんじしん] /(n) Sanriku earthquake of 869 CE/
貞観殿 [じょうがんでん] /(n) pavilion housing the empress's reception hall (in the inner Heian Palace)/
貞享 [じょうきょう] /(n) Joukyou era (1684.2.21-1688.9.30)/
貞潔 [ていけつ] /(adj-na,n) chastity/purity/
貞元 [じょうげん] /(n) Jougen era (976.7.13-978.11.29)/
貞元 [ていげん] /(n) (obsc) Teigen era, Jougen era (976.7.13-978.11.29)/
貞治 [じょうじ] /(n) Jouji era (of the Northern Court) (1362.9.23-1368.2.18)/
貞治 [ていじ] /(n) (obsc) Teiji era, Jouji era (of the Northern Court) (1362.9.23-1368.2.18)/
貞淑 [ていしゅく] /(adj-na,n) chastity/virtue/fidelity/feminine modesty/
貞女 [ていじょ] /(n) virtuous woman/faithful wife/
貞節 [ていせつ] /(adj-na,n) chastity/virtue/fidelity/
貞節を守る [ていせつをまもる] /(exp,v5r) to keep one's chastity/to remain faithful to one's spouse/to remain faithful to one's lover/
貞操 [ていそう] /(n) chastity/virtue/fidelity/
貞操観念 [ていそうかんねん] /(n) sense of virtue/
貞操帯 [ていそうたい] /(n) chastity belt/
貞操蹂躪 [ていそうじゅうりん] /(n) violation of chastity/rape/
貞婦 [ていふ] /(n) faithful or virtuous woman (wife)/
貞烈 [ていれつ] /(adj-na,n) extreme faithfulness/
貞和 [じょうわ] /(n) Jouwa era (of the Northern Court) (1345.10.21-1350.2.27)/
貞和 [ていわ] /(n) (obsc) Teiwa era, Jouwa era (of the Northern Court) (1345.10.21-1350.2.27)/
呈す [ていす] /(v5s,vt) (1) to present/to offer/to give/(2) to show/to display/to exhibit/(3) to assume (e.g. a shape)/
呈する [ていする] /(vs-s,vt) (1) to present/to offer/(2) to show/to display/to exhibit/(3) to assume (e.g. a shape)/
呈示 [ていし] /(n,vs) exhibition/
呈示 [ていじ] /(n,vs) exhibition/
呈示次第 [ていじしだい] /(n-adv) at (upon) presentation/when presented/
呈出 [ていしゅつ] /(n,vs) present/introduce/
呈上 [ていじょう] /(n,vs) presentation/
呈色 [ていしき] /(n) coloration/colouration/color/colour/coloring/colouring/
呈色 [ていしょく] /(n) coloration/colouration/color/colour/coloring/colouring/
堤 [つつみ] /(n) bank/embankment/dike/(P)/
堤を築く [つつみをきずく] /(exp,v5k) to build an embankment/
堤出 [ていしゅつ] /(iK) (vs) (1) to present/to submit (e.g. a report or a thesis)/to hand in/to file/to turn in/(n) (2) presentation/submission/filing/
堤防 [ていぼう] /(n,vs) bank/weir/embankment/levee/(P)/
堤防を築く [ていぼうをきずく] /(exp,v5k) to construct an embankment/
定か [さだか] /(adj-na,n) definite/sure/(P)/
定まった場所 [さだまったばしょ] /(n) specified place/
定まらない天気 [さだまらないてんき] /(n) changeable weather/
定まり [さだまり] /(n) rule/custom/tranquility/tranquillity/
定まる [さだまる] /(v5r,vi) to become settled/to be fixed/(P)/
定め [さだめ] /(n) (1) law/rule/regulation/provision/decision/appointment/arrangement/agreement/(2) destiny/fate/karma/
定めし [さだめし] /(adv) surely/
定めて [さだめて] /(adv) surely/certainly/
定めない [さだめない] /(adj-i) uncertain/transient/changeable/
定めなき空 [さだめなきそら] /(exp) (arch) changeable weather/
定める [さだめる] /(v1,vt) to decide/to establish/to determine/(P)/
定め無い [さだめない] /(adj-i) uncertain/transient/changeable/
定圧 [ていあつ] /(n,adj-no) constant pressure/
定位 [ていい] /(n,vs,adj-no) position/orientation/
定位置 [ていいち] /(n) home position/origin/
定員 [ていいん] /(n) fixed number of regular personnel/capacity (of boat, hall, aeroplane, airplane, etc.)/(P)/
定温 [ていおん] /(n,adj-no) fixed temperature/
定温動物 [ていおんどうぶつ] /(n) homeotherm/
定価 [ていか] /(n) list price/regular price/established price/(P)/
定価表 [ていかひょう] /(n) price list/
定家葛 [ていかかずら] /(n) (uk) Asiatic jasmine (Trachelospermum asiaticum)/Asian jasmine/
定火消 [じょうびけし] /(n) fireman (in Edo)/
定火消し [じょうびけし] /(n) fireman (in Edo)/
定格 [ていかく] /(n) rated value (engineering)/
定格荷重 [ていかくかじゅう] /(n) rated capacity/net lifting load/
定格請負 [ていかくうけおい] /(n) lump-sum contract/
定額 [ていがく] /(n,adj-no) ration/fixed amount/(P)/
定額インターネット接続 [ていがくインターネットせつぞく] /(n) flat-rate Internet access/
定額給付金 [ていがくきゅうふきん] /(n) money handout to stimulate the economy (April 2009)/
定額貯金 [ていがくちょきん] /(n) fixed amount (postal) savings/
定額保険 [ていがくほけん] /(n) fixed amount insurance/fixed return insurance/
定滑車 [ていかっしゃ] /(n) fixed pulley/
定冠詞 [ていかんし] /(n) (ling) definite article/
定款 [ていかん] /(n) articles of incorporation/company statute/(P)/
定期 [ていき] /(n,adj-no) (1) fixed term/(2) (abbr) fixed-term commutation pass/(3) (abbr) fixed-term deposit/(P)/
定期刊行物 [ていきかんこうぶつ] /(n) periodical/
定期業務 [ていきぎょうむ] /(n) (comp) fixed task/scheduled task/
定期券 [ていきけん] /(n) commuter pass/season ticket/(P)/
定期検査 [ていきけんさ] /(n) periodic inspection/regular inspection/
定期検診 [ていきけんしん] /(n) periodic medical check-up (examination)/
定期購読 [ていきこうどく] /(n) subscription (e.g. to a magazine)/(P)/
定期試験 [ていきしけん] /(n) regular (periodic) examination/
定期取引 [ていきとりひき] /(n) futures contracts/
定期昇給 [ていきしょうきゅう] /(n) regular (annual) pay raise/
定期乗車券 [ていきじょうしゃけん] /(n) season ticket/commutation (commuter) ticket/
定期戦 [ていきせん] /(n) regularly-scheduled game (match)/
定期船 [ていきせん] /(n) (ocean) liner/
定期的 [ていきてき] /(adj-na) periodic/(P)/
定期的に [ていきてきに] /(n) at fixed intervals/
定期点検 [ていきてんけん] /(n) periodic check/periodic inspection/routine inspection/
定期入れ [ていきいれ] /(n) season ticket holder/
定期便 [ていきびん] /(n) regular service/(P)/
定期保険 [ていきほけん] /(n) term insurance/
定期保守 [ていきほしゅ] /(n) (comp) scheduled maintenance/
定期保全 [ていきほぜん] /(n) (comp) scheduled maintenance/
定期預金 [ていきよきん] /(n) term deposit/(fixed) time deposit/(P)/
定規 [じょうぎ] /(n) (measuring) ruler/(P)/
定規座 [じょうぎざ] /(n) (constellation) Rule/
定義 [ていぎ] /(n,vs) definition/(P)/
定義域 [ていぎいき] /(n) (math) domain/
定義可能 [ていぎかのう] /(n) (comp) definable/
定義済み [ていぎずみ] /(n) (comp) built-in/predefined/
定義済み関数 [ていぎずみかんすう] /(n) (comp) predefined function/
定義済み変数 [ていぎすみへんすう] /(n) (comp) built-in variable/predefined variable/
定義文字実体集合 [ていぎもじじったいしゅうごう] /(n) (comp) definitional character entity set/
定詰 [じょうづめ] /(n,vs) (1) (obsc) permanent staff/permanent employee/service for a fixed period of time/(n) (2) (arch) (Edo era) a daimyo or feudal retainer who lived and/or served in Edo for a fixed period of time/
定詰め [じょうづめ] /(n,vs) (1) (obsc) permanent staff/permanent employee/service for a fixed period of time/(n) (2) (arch) (Edo era) a daimyo or feudal retainer who lived and/or served in Edo for a fixed period of time/
定休 [ていきゅう] /(n) regular holiday/(P)/
定休日 [ていきゅうび] /(n) regular holiday/fixed day off/regular closing day/(P)/
定業 [ていぎょう] /(n) regular employment/
定型 [ていけい] /(n) fixed form/regular shape/stereotyped/(P)/
定型詩 [ていけいし] /(n) fixed form poetry/
定形 [ていけい] /(n) fixed form/regular shape/stereotyped/(P)/
定形外郵便物 [ていけいがいゆうびんぶつ] /(n) non-standard-sized mail/
定形動詞 [ていけいどうし] /(n) (ling) finite verb/
定形郵便ＯＲアドレス [ていけいゆうびんオーアーアドレス] /(n) (comp) formatted postal OR address/
定形郵便物 [ていけいゆうびんぶつ] /(n) standard size mail/
定見 [ていけん] /(n) fixed opinion/
定言 [ていげん] /(n) categorical statement/
定言的 [ていげんてき] /(adj-na) categorical/
定言的三段論法 [ていげんてきさんだんろんぽう] /(n) categorical syllogism/
定言的判断 [ていげんてきはんだん] /(n) (obsc) categorical judgment (judgement)/
定言的命法 [ていげんてきめいほう] /(n) (obsc) categorical imperative/
定言的命令 [ていげんてきめいれい] /(n) (obsc) categorical imperative/
定言命法 [ていげんめいほう] /(n) categorical imperative/
定向進化 [ていこうしんか] /(n,vs,adj-no) orthogenesis/
定刻 [ていこく] /(n) appointed time/timetable/schedule/(P)/
定刻どおり [ていこくどおり] /(n) on schedule/on time/
定刻通り [ていこくどおり] /(n) on schedule/on time/
定時 [ていじ] /(n,adj-no) regular time/stated period/(P)/
定時あがり [ていじあがり] /(n) leaving on time (e.g. as opposed to paid or unpaid overtime)/
定時上がり [ていじあがり] /(n) leaving on time (e.g. as opposed to paid or unpaid overtime)/
定時制 [ていじせい] /(n) part time (school system)/(P)/
定時性 [ていじせい] /(n) punctuality (used almost exclusively in reference to trains, buses, ferries, etc)/reliability/
定式 [ていしき] /(n) formula/
定式化 [ていしきか] /(n,vs) formularization/formularisation/
定収入 [ていしゅうにゅう] /(n) fixed income/
定住 [ていじゅう] /(n) (1) settlement/permanent residency/(vs) (2) to settle down in/to reside in/(P)/
定住者 [ていじゅうしゃ] /(n) permanent resident/long-term resident/
定住植民地 [ていじゅうしょくみんち] /(n) permanent colony/
定住人口 [ていじゅうじんこう] /(n) resident population/
定住地 [ていじゅうち] /(n) permanent home/
定宿 [じょうやど] /(n) one's regular inn or hotel/
定昇 [ていしょう] /(n) (abbr) regular (annual) pay raise/
定常 [ていじょう] /(adj-na,n,adj-no) regular/stationary/
定常情報源 [ていじょうじょうほうげん] /(n) (comp) stationary message source/stationary information source/
定常状態 [ていじょうじょうたい] /(n) steady state/
定常性 [ていじょうせい] /(n) (comp) being stationary (said of a process)/
定常波 [ていじょうは] /(n) standing (stationary) wave/
定植 [ていしょく] /(n,vs) permanent planting/
定職 [ていしょく] /(n) occupation (i.e. field of regular employment)/steady job/regular work/
定食 [ていしょく] /(n) set meal/special (of the day)/(P)/
定数 [ていすう] /(n) (1) (math) constant/(2) (comp) literal/(3) quorum (for an assembly)/(4) fate/(P)/
定数機能 [ていすうきのう] /(n) (comp) constant function/
定数式 [ていすうしき] /(n) (comp) constant expression/
定数是正 [ていすうぜせい] /(n) reapportionment (of Diet seats)/
定数表現 [ていすうひょうげん] /(n) (comp) literal constant/
定性 [ていせい] /(n) qualitative/stability of a substance/
定性分析 [ていせいぶんせき] /(n) qualitative analysis/
定席 [じょうせき] /(n) one's habitual seat/regular hall/entertainment hall/
定石 [じょうせき] /(n) established tactic/play by the book/
定跡 [じょうせき] /(n) standard move in shogi/
定説 [ていせつ] /(n) established theory/(P)/
定旋律 [ていせんりつ] /(n) cantus firmus/plainsong/plainchant/
定礎 [ていそ] /(n,vs) laying a cornerstone (foundation stone)/
定礎式 [ていそしき] /(n) cornerstone (foundation stone) ceremony/
定則 [ていそく] /(n) law/established rule/
定足数 [ていそくすう] /(n) quorum/
定置 [ていち] /(n,vs,adj-no) fixed/
定置漁業 [ていちぎょぎょう] /(n) fixed-net fishing/
定置網 [ていちあみ] /(n) fixed shore net/fixed shore trap/stationary trap/stationary net/
定着 [ていちゃく] /(n,vs) taking hold/getting attached/becoming established/fixing down/establishing/(P)/
定着液 [ていちゃくえき] /(n) (photographic) fixing solution/
定着剤 [ていちゃくざい] /(n) (photographic) fixing agent/
定点 [ていてん] /(n) fixed point/
定点観測 [ていてんかんそく] /(n) fixed point observation/
定電圧定周波数電源装置 [ていでんあつていしゅうはすうでんげんそうち] /(n) (comp) CVCF/Constant Voltage Frequency Power Supply/
定動詞 [ていどうし] /(n) (ling) finite verb/
定年 [ていねん] /(n) (1) retirement age/(2) (arch) years of service in a military rank before eligibility for promotion/(P)/
定年制 [ていねんせい] /(n) mandatory retirement system/age-limit retirement system/
定年制度 [ていねんせいど] /(n) mandatory retirement age (system)/
定年退職 [ていねんたいしょく] /(n) (compulsory) retirement (e.g. on reaching the age of 60)/
定年退職通知書 [ていねんたいしょくつうちしょ] /(n) notification for compulsory retirement/
定年離婚 [ていねんりこん] /(n) (col) divorce of a couple who have been married for a long time (brought on by retirement of the husband)/
定番 [ていばん] /(n,adj-no) standard (goods, procedure, etc.)/(one's) routine/product with consistent sales/staple (of a situation, of a fiction genre, etc.)/
定盤 [じょうばん] /(n) surface plate/
定比例 [ていひれい] /(n) fixed proportion/
定比例の法則 [ていひれいのほうそく] /(n) law of definite proportions/
定評 [ていひょう] /(n) established opinion/established reputation/acknowledged authority/recognized scholar/(P)/
定法 [じょうほう] /(n) established rule/usual method/
定本 [ていほん] /(n) authentic book or manuscript/
定命 [じょうみょう] /(n) (1) (Buddh) one's predestined length of life/
定命 [ていめい] /(n) (1) (Buddh) one's predestined length of life/(2) destiny/fate/
定木 [じょうぎ] /(n) (measuring) ruler/
定紋 [じょうもん] /(n) family crest/
定訳 [ていやく] /(n) standard translation/
定理 [ていり] /(n) theorem/proposition/
定律 [ていりつ] /(n) fixed law/
定率 [ていりつ] /(n) fixed rate/(P)/
定立 [ていりつ] /(n) thesis/
定量 [ていりょう] /(n,adj-no) fixed quantity/(P)/
定量的 [ていりょうてき] /(adj-na) quantitative/
定量分析 [ていりょうぶんせき] /(n) quantitative analysis/
定例 [ていれい] /(n) regularity/(P)/
定例会 [ていれいかい] /(n) regular meeting/
定例閣議 [ていれいかくぎ] /(n) ordinary meeting of the Cabinet/
定連 [じょうれん] /(n,adj-no) (1) regular customer/regular patron/frequenter/(2) constant companion/
定論 [ていろん] /(n) established theory/
帝 [みかど] /(n) (1) emperor (of Japan)/mikado/(2) (the gates of an) imperial residence/(P)/
帝位 [ていい] /(n) the throne/the crown/
帝威 [ていい] /(n) imperial majesty/
帝王 [ていおう] /(n,adj-no) sovereign/emperor/
帝王学 [ていおうがく] /(n) study of how to be a good emperor/
帝王神権説 [ていおうしんけんせつ] /(n) theory of the divine right of kings/
帝王切開 [ていおうせっかい] /(n,adj-no) Caesarean section (Cesarean)/C-section/
帝王切開術 [ていおうせっかいじゅつ] /(n) Caesarean section (Cesarean)/C-section/
帝冠 [ていかん] /(n) imperial crown/diadem/
帝京 [ていきょう] /(n) the capital/(P)/
帝業 [ていぎょう] /(n) imperial task/
帝劇 [ていげき] /(n) The Imperial Theater/
帝欠 [ていけつ] /(n) imperial palace gate/imperial palace/
帝国 [ていこく] /(n) empire/imperial/(P)/
帝国議会 [ていこくぎかい] /(n) Imperial Diet/
帝国憲法 [ていこくけんぽう] /(n) (abbr) Meiji Constitution (Constitution of the Empire of Japan)/
帝国主義 [ていこくしゅぎ] /(n,adj-no) imperialism/(P)/
帝国主義者 [ていこくしゅぎしゃ] /(n) imperialist/
帝国主義的 [ていこくしゅぎてき] /(adj-na) imperialistic/
帝国大学 [ていこくだいがく] /(n) (former) imperial university/
帝国兵 [ていこくへい] /(n) imperial soldier/
帝座 [ていざ] /(n) imperial throne/
帝室 [ていしつ] /(n) Imperial Family/Imperial Household/
帝釈 [たいしゃく] /(n) (abbr) Sakra devanam Indra (deity of Hinduism, Jainism, and Buddhism)/
帝釈天 [たいしゃくてん] /(n) Sakra devanam Indra (deity of Hinduism, Jainism, and Buddhism)/
帝制 [ていせい] /(n,adj-no) imperial government/imperialism/monarchical rule/
帝政 [ていせい] /(n,adj-no) imperial government/imperialism/monarchical rule/(P)/
帝大 [ていだい] /(n) (abbr) (former) imperial university/
帝展 [ていてん] /(n) Imperial Academy art exhibition/
帝都 [ていと] /(n) imperial capital/
帝土 [ていど] /(n) imperial domain/
帝道 [ていどう] /(n) the imperial way/principles of imperial rule/
帝徳 [ていとく] /(n) emperor's virtue/
帝日 [ていじつ] /(n) lucky day/
帝廟 [ていびょう] /(n) imperial mausoleum/
帝命 [ていめい] /(n) imperial order/
帝揚羽 [みかどあげは] /(n) (uk) common jay (species of swallowtail butterfly, Graphium doson)/
帝陵 [ていりょう] /(n) imperial mausoleum/
帝闕 [ていけつ] /(oK) (n) imperial palace gate/imperial palace/
底 [そこ] /(n) bottom/sole/(P)/
底 [てい] /(n) (1) (logarithmic) base/(2) base (of a triangle, cone, cylinder, etc.)/(3) (arch) type/kind/extent/degree/
底の国 [そこのくに] /(n) (arch) underworld/
底を突く [そこをつく] /(exp,v5k) to run out of/
底意 [そこい] /(n) one's underlying motives or true intentions/
底意地 [そこいじ] /(n) latent disposition/inner feelings/
底意地が悪い [そこいじがわるい] /(exp,adj-i) malicious (at heart)/spiteful/wicked/
底意地悪い [そこいじわるい] /(adj-i) malicious (at heart)/spiteful/wicked/
底引き網 [そこびきあみ] /(n) trawl (net)/
底引網 [そこびきあみ] /(n) trawl (net)/
底曳き網 [そこびきあみ] /(n) trawl (net)/
底曳網 [そこびきあみ] /(n) trawl (net)/
底荷 [そこに] /(n) ballast/
底角 [ていかく] /(n) base angle/
底革 [そこがわ] /(n) sole leather/sole/
底割れ [そこわれ] /(n,vs) situation where the bottom has dropped out/
底気味わるい [そこきみわるい] /(adj-i) strange/eerie/ominous/
底気味悪い [そこきみわるい] /(adj-i) strange/eerie/ominous/
底魚 [そこうお] /(n) bottom-dwelling fish/demersal fish/
底屈 [そこくつ] /(n,vs) plantar flexion/
底堅い [そこがたい] /(adj-i) stable (market) after having bottomed out/
底光り [そこびかり] /(n,vs) inner glow or light/deep gloss or luster (lustre)/
底止 [ていし] /(n,vs) cessation/
底質 [ていしつ] /(n) bottom material/bed material/sludge/sediment/substratum/
底上げ [そこあげ] /(n,vs) raising (the standard)/
底深い [そこふかい] /(adj-i) very deep/
底深い [そこぶかい] /(adj-i) very deep/
底数 [ていすう] /(n) base/radix/
底生 [ていせい] /(adj-f) benthic/sea-bottom/
底生生物 [ていせいせいぶつ] /(n) benthic organism/sea-bottom fauna/
底積み [そこづみ] /(n) stowage at the bottom/goods stowed at the bottom/
底層水 [ていそうすい] /(n) bottom water (depth: 4000+ meters)/
底打ち [そこうち] /(n) bottoming out/(P)/
底値 [そこね] /(n) bottom price/(P)/
底知れぬ [そこしれぬ] /(exp,adj-f) bottomless/
底土 [そこつち] /(n) subsoil/
底豆 [そこまめ] /(n) blister (on the sole of the foot)/corn/
底入れ [そこいれ] /(n,vs) bottoming out (of prices)/(P)/
底抜け [そこぬけ] /(adj-na,n) bottomless/
底辺 [ていへん] /(n,adj-no) base (geometry, society)/(P)/
底本 [ていほん] /(n) original text/draft/draught/
底無し [そこなし] /(n) bottomless/endlessly deep/infinite/
底面 [ていめん] /(n) bottom/underside/base/
底流 [ていりゅう] /(n,vs) bottom current/undercurrent/(P)/
底力 [そこぢから] /(n) latent energy/reserve strength/potentiality/(P)/
底冷え [そこびえ] /(n,vs) penetrating cold/
底翳 [そこひ] /(n) (1) any visual disorder caused by a problem within the eye (i.e. glaucoma, amaurosis, etc.)/
庭 [にわ] /(n) garden/(P)/
庭いじり [にわいじり] /(n) gardening/puttering around in the garden/
庭で作った野菜 [にわでつくったやさい] /(n) vegetables grown in one's yard/
庭の訓 [にわのおしえ] /(n) (arch) homeschooling/home-schooling/
庭の訓え [にわのおしえ] /(n) (arch) homeschooling/home-schooling/
庭園 [ていえん] /(n) garden/park/(P)/
庭園様式 [ていえんようしき] /(n) garden style/
庭下駄 [にわげた] /(n) garden clogs/
庭火 [ていりょう] /(n) (arch) garden bonfire (esp. one held on the imperial grounds)/
庭火 [にわび] /(n) (arch) garden bonfire (esp. one held on the imperial grounds)/
庭詰 [にわづめ] /(n) (Buddh) waiting in front of a temple to be accepted for training (in Zen Buddhism)/
庭球 [ていきゅう] /(n) tennis/(P)/
庭訓 [ていきん] /(n) (arch) home education/
庭景 [ていけい] /(n) (beautiful) scenery of a garden/gardenscape/
庭見草 [にわみぐさ] /(n) (1) (obsc) bush clover/Japanese clover (any flowering plant of genus Lespedeza)/(2) Japanese fiber banana (Musa basjoo)/
庭口 [にわぐち] /(n) garden entrance/
庭作り [にわづくり] /(n) gardening/
庭仕事 [にわしごと] /(n) gardening/
庭師 [にわし] /(n) gardener/
庭漆 [にわうるし] /(n) tree of heaven (Ailanthus altissima)/
庭石 [にわいし] /(n) garden stone/
庭石菖 [にわぜきしょう] /(n) (uk) blue-eyed grass (Sisyrinchium rosulatum)/
庭先 [にわさき] /(n) in the garden/
庭先相場 [にわさきそうば] /(n) spot-sale price/
庭前 [ていぜん] /(n) garden/
庭造り [にわづくり] /(n) gardening/
庭土 [にわど] /(n) garden soil/soil used in a garden/
庭梅 [にわうめ] /(n) Chinese bushberry/bush cherry/Prunus japonica/
庭番 [にわばん] /(n) guard of the inner garden/
庭付き [ていづき] /(n,adj-no) having a garden/
庭木 [にわき] /(n) garden tree/(P)/
庭木戸 [にわきど] /(n) garden gate/
庭柳 [にわやなぎ] /(n) (uk) knotgrass (Polygonum aviculare)/
庭弄り [にわいじり] /(n) gardening/puttering around in the garden/
庭燎 [ていりょう] /(n) (arch) garden bonfire (esp. one held on the imperial grounds)/
庭燎 [にわび] /(n) (arch) garden bonfire (esp. one held on the imperial grounds)/
廷臣 [ていしん] /(n) courtier/
廷丁 [ていてい] /(n) court attendant/
廷内 [ていない] /(n) inside the court/
廷吏 [ていり] /(n) court attendant or clerk/
弟 [おと] /(n) (1) (hum) younger brother/
弟 [おとうと] /(n) (1) (hum) younger brother/(P)/
弟 [おとと] /(ik) (n) (1) (hum) younger brother/
弟 [てい] /(n) (1) (hum) younger brother/(2) (arch) pupil/apprentice/
弟々子 [おとうとでし] /(n) pupil/new disciple/
弟さん [おとうとさん] /(n) (hon) younger brother/
弟嫁 [おとうとよめ] /(n) younger brother's wife/
弟嫁 [おとよめ] /(n) younger brother's wife/
弟君 [おとうとぎみ] /(n) (arch) (pol) younger brother/
弟月 [おとうづき] /(n) (obsc) 12th lunar month/
弟月 [おとづき] /(n) (obsc) 12th lunar month/
弟月 [おととづき] /(n) (obsc) 12th lunar month/
弟御 [おとうとご] /(n) your younger brother/
弟殺し [おとうとごろし] /(n) killing a younger brother/fratricide/
弟子 [ていし] /(n,adj-no) pupil/disciple/adherent/follower/apprentice/young person/teacher's student-helper/
弟子 [でし] /(n,adj-no) pupil/disciple/adherent/follower/apprentice/young person/teacher's student-helper/(P)/
弟子入り [でしいり] /(n,vs) apprenticeship/enrolling/(P)/
弟小父 [おとおじ] /(n) parent's younger brother/uncle/
弟切草 [おとぎりそう] /(n) (uk) Hypericum erectum (species of St. John's wort)/
弟切草科 [おとぎりそうか] /(n) Clusiaceae (family of plants including St. John's worts and mangosteens)/Guttiferae/
弟切草属 [おとぎりそうぞく] /(n) Hypericum (plant genus including St. John's worts)/
弟切草目 [おとぎりそうもく] /(n) Guttiferales (plant order)/
弟息子 [おとうとむすこ] /(n) younger sons/
弟息子 [おとむすこ] /(n) younger sons/
弟弟子 [おとうとでし] /(n) pupil/new disciple/
弟姫 [おとひめ] /(n) youngest princess/
弟分 [おとうとぶん] /(n) friend treated as younger brother/
弟妹 [ていまい] /(n) younger brother and sister/(P)/
弟娘 [おとうとむすめ] /(n) younger daughters/
弟娘 [おとむすめ] /(n) younger daughters/
弟矢 [おとや] /(n) arrow with feathers that curve to the right (the second of two arrows to be fired)/
悌 [てい] /(n) (1) respect for one's elders/(2) harmony among siblings/
悌順 [ていじゅん] /(n) (arch) obedience/
抵梧 [ていご] /(n,vs) crossing each other/running counter to/differing/clashing/
抵抗 [ていこう] /(n,vs) (1) resistance/opposition/(2) reluctance/repulsion/repugnance/(3) (physics) resistance/drag/friction/(4) (abbr) electrical resistance/(n) (5) (abbr) resistor/(P)/
抵抗を試みる [ていこうをこころみる] /(exp,v1) to offer (put up) resistance/
抵抗運動 [ていこううんどう] /(n) resistance movement/
抵抗感 [ていこうかん] /(n) antipathy/reluctance/resistance/
抵抗器 [ていこうき] /(n) electrical resistor/
抵抗精神 [ていこうせいしん] /(n) spirit of resistance/
抵抗体 [ていこうたい] /(n) resistive element (in circuit, etc.)/
抵抗率 [ていこうりつ] /(n) resistivity/
抵抗力 [ていこうりょく] /(n) (power of) resistance/
抵触 [ていしょく] /(n,vs) (1) collision/conflict/(2) being contrary/being incompatible/being inconsistent/being contradictory/(3) being in violation (of the law, etc.)/(P)/
抵当 [ていとう] /(n,adj-no) mortgage/security/hypothec/pledge/(P)/
抵当権 [ていとうけん] /(n) mortgage/a lien on one's mortgage/(P)/
抵当権者 [ていとうけんしゃ] /(n) mortgagee/loan holder/
抵当権成立 [ていとうけんせいりつ] /(n) mortgage arrangements/
抵当権設定者 [ていとうけんせっていしゃ] /(n) mortgage debtor/mortgager/mortgagor/
抵当貸付け [ていとうかしつけ] /(n) mortgage loan/
抵当保険 [ていとうほけん] /(n) mortgage insurance/
抵当流れ [ていとうながれ] /(n) foreclosure/
抵当流れの品 [ていとうながれのひん] /(n) unredeemed article/
挺 [ちょう] /(ctr) counter for long and narrow things such as guns, scissors, spades, hoes, inksticks, palanquins, candles, jinrikishas, shamisen, oars, etc./
挺す [ていす] /(v5s) to volunteer (bravely)/
挺する [ていする] /(vs-s) to volunteer (bravely)/
挺銀 [ちょうぎん] /(n) Edo period silver coin shaped like a sea cucumber/
挺身 [ていしん] /(n,vs) volunteer/volunteering/
挺身隊 [ていしんたい] /(n) volunteer corps/
挺進 [ていしん] /(n,vs) go ahead of/
挺進隊 [ていしんたい] /(n) group that goes ahead of the main body/
提 [ひさげ] /(n) (uk) bucket/
提げる [さげる] /(v1,vt) to take along/to hold in the hand/(P)/
提げる [ひっさげる] /(v1) (uk) (col) to carry in one's own hands/to carry in a manner that is obvious to others/
提げ重 [さげじゅう] /(n) (1) (abbr) multi-tiered food boxes that can be carried by hand/(2) (arch) female prostitute who carried multi-tiered food boxes about and peddled foodstuffs (Meiwa and Anei eras)/
提げ重箱 [さげじゅうばこ] /(n) multi-tiered food boxes that can be carried by hand/
提案 [ていあん] /(n,vs) proposal/proposition/suggestion/(P)/
提案クラス [ていあんクラス] /(n) (comp) proposed class/
提案パラメタ [ていあんパラメタ] /(n) (comp) proposed parameter/
提案依頼書 [ていあんいらいしょ] /(n) request for proposals/RFP/invitation for bids/
提案者 [ていあんしゃ] /(n) proponent/
提案書 [ていあんしょ] /(n) (written) proposal/
提案要請書 [ていあんようせいしょ] /(n) request for proposals/RFP/invitation for bids/
提起 [ていき] /(n,vs) bring suit/file a claim/raise a question/(P)/
提議 [ていぎ] /(n,vs) proposal/motion/
提供 [ていきょう] /(n,vs) offer/tender/program sponsoring/programme sponsoring/furnishing/provisioning/supply/(P)/
提供者 [ていきょうしゃ] /(n) donor/contributer/provider/(P)/
提供者責任分散型トランザクション [ていきょうしゃせきにんぶんさんがたトランザクション] /(n) (comp) provider-supported distributed transaction/
提供側 [ていきょうがわ] /(n) sender (side of transaction)/
提琴 [ていきん] /(n) (1) tiqin (2 or 4-stringed Chinese instrument played with a bow)/(2) violin/
提携 [ていけい] /(n,vs) cooperation/tie-up/joint business/link-up/(P)/
提携先 [ていけいさき] /(n) business partner/
提言 [ていげん] /(n,vs) proposal/motion/(P)/
提子 [ひさげ] /(n) (uk) bucket/
提示 [ていじ] /(n,vs) presentation/exhibit/suggest/citation/(P)/
提示部 [ていじぶ] /(n) (musical) exposition/
提重箱 [さげじゅうばこ] /(io) (n) multi-tiered food boxes that can be carried by hand/
提出 [ていしゅつ] /(vs) (1) to present/to submit (e.g. a report or a thesis)/to hand in/to file/to turn in/(n) (2) presentation/submission/filing/(P)/
提出期限 [ていしゅつきげん] /(n) (submission) deadline/
提出者 [ていしゅつしゃ] /(n) presenter/proposer/
提出断念 [ていしゅつだんねん] /(n) (abbr) withdrawal of proposed bill/
提出物 [ていしゅつぶつ] /(n) exhibit/documents for submission/
提唱 [ていしょう] /(n,vs) advocacy/proposal/(P)/
提唱者 [ていしょうしゃ] /(n) proponent/exponent/advocate/
提説 [ていせつ] /(n) proposed theory/proposition/
提訴 [ていそ] /(n,vs) presenting a case/suing/(P)/
提灯 [ちょうちん] /(n) paper lantern/Chinese lantern/Japanese lantern/
提灯お化け [ちょうちんおばけ] /(n) lantern ghost/demonic lantern/
提灯に釣り鐘 [ちょうちんにつりがね] /(exp) (obsc) paper lanterns and temple bells (esp. as an example of two things looking similar on the outside, but of a completely different nature)/you can't judge a book by its cover/
提灯行列 [ちょうちんぎょうれつ] /(n) lantern procession/
提灯持ち [ちょうちんもち] /(n) (1) lantern bearer/(2) flatterer/booster/brown-noser/
提灯袖 [ちょうちんそで] /(n) puffed-up sleeves/
提灯鮟鱇 [ちょうちんあんこう] /(n) (uk) football fish (any fish of family Himantolophidae, esp. the Atlantic footballfish, Himantolophus groenlandicus)/
提燈 [ちょうちん] /(n) paper lantern/Chinese lantern/Japanese lantern/
提督 [ていとく] /(n) admiral/commodore/
提要 [ていよう] /(n) summary/outline/compendium/
提喩 [ていゆ] /(n) synecdoche/
梯 [かけはし] /(n) (1) suspension bridge/viaduct/temporary bridge/(2) mediation/go-between/
梯 [ていし] /(n) (1) ladder/(2) stairs/
梯 [はし] /(n) (arch) ladder/
梯 [はしご] /(n) (1) ladder/(2) stairs/(n,vs) (3) going to several places in succession (e.g. barhopping)/
梯形 [ていけい] /(n,adj-no) trapezoid/
梯姑 [でいこ] /(n) (uk) Indian coral tree (Erythrina variegata)/
梯姑 [でいご] /(n) (uk) Indian coral tree (Erythrina variegata)/
梯梧 [でいこ] /(n) (uk) Indian coral tree (Erythrina variegata)/
梯梧 [でいご] /(n) (uk) Indian coral tree (Erythrina variegata)/
梯子 [ていし] /(n) (1) ladder/(2) stairs/
梯子 [はしご] /(n) (1) ladder/(2) stairs/(n,vs) (3) going to several places in succession (e.g. barhopping)/(P)/
梯子の段 [はしごのだん] /(n) rung of a ladder/
梯子をかける [はしごをかける] /(exp,v1) to set a ladder up against/
梯子を外される [はしごをはずされる] /(exp,v1) to be lonely at the top/to be left high and dry by one's friends (lit: to have the ladder pulled out from under one)/
梯子を掛ける [はしごをかける] /(exp,v1) to set a ladder up against/
梯子車 [はしごしゃ] /(n) hook-and-ladder truck/
梯子酒 [はしござけ] /(n) barhopping/
梯子乗り [はしごのり] /(n) ladder-top stunts/
梯子段 [はしごだん] /(n) step/stair/staircase/
汀 [みぎわ] /(n) water's edge/shore/
汀渚 [ていしょ] /(n) sand bar/waters edge/
汀線 [ていせん] /(n) shoreline/beach line/
碇 [いかり] /(n) anchor/
碇綱 [いかりづな] /(n) anchor cable/
碇草 [いかりそう] /(n) (uk) horny goat weed (Epimedium grandiflorum var. thunbergianum)/
碇置 [ていち] /(n) anchorage/
碇泊 [ていはく] /(n,vs) anchorage/moorings/
禎祥 [ていしょう] /(n) good omen/
程 [ほど] /(n-adv,n) (1) degree/extent/bounds/limit/(prt) (2) (uk) indicates approx. amount or maximum/upper limit/(P)/
程々 [ほどほど] /(adj-na,n) (uk) moderately/
程なく [ほどなく] /(adv) (uk) soon/before long/shortly thereafter/(P)/
程に [ほどに] /(conj) (1) (uk) (arch) because/the reason being/(2) while/during/(adv) (3) to the extent that/more and more/
程のことはない [ほどのことはない] /(exp) (uk) not worth (getting angry about, etc.)/
程を過ごす [ほどをすごす] /(exp,v5s) to go too far/to break bounds/
程遠い [ほどとおい] /(adj-i) far off or away/
程近い [ほどちかい] /(adj-i) near/nearby/not far off/
程経て [ほどへて] /(adv) a while later/
程好い [ほどよい] /(adj-i) moderate/proper/just right/
程合い [ほどあい] /(n) moderation/
程朱学 [ていしゅがく] /(n) (obsc) neo-Confucianism (based on the teaching of the Cheng brothers and Zhu Xi)/
程程 [ほどほど] /(adj-na,n) (uk) moderately/
程度 [ていど] /(n,n-adv,n-suf) degree/amount/grade/standard/of the order of (following a number)/(P)/
程度副詞 [ていどふくし] /(n) (ling) adverb of degree/
程度問題 [ていどもんだい] /(n) question of degree/
程無く [ほどなく] /(adv) (uk) soon/before long/shortly thereafter/
程良い [ほどよい] /(adj-i) moderate/proper/just right/
程良く [ほどよく] /(adv) rightly/properly/moderately/
締まった体格 [しまったたいかく] /(n) firm build/well-knit frame/
締まらない [しまらない] /(exp,adj-i) (uk) loose/slovenly/sloppy/disorganized/
締まりがない [しまりがない] /(exp,adj-i) not at all tense/relaxed/calm/
締まりが無い [しまりがない] /(exp,adj-i) not at all tense/relaxed/calm/
締まりのない [しまりのない] /(adj-i) slack/loose/lax/slovenly/sloppy/
締まりの無い [しまりのない] /(adj-i) slack/loose/lax/slovenly/sloppy/
締まり屋 [しまりや] /(n,adj-no) thrifty person/becoming steady/
締まり雪 [しまりゆき] /(n) tightly-compacted snow (e.g. due to compression under its own weight)/
締まる [しまる] /(v5r,vi) (1) to be shut/to close/to be closed/(2) to be locked/(3) to tighten/to be tightened/(4) to become sober/to become tense/(P)/
締め [しめ] /(n) summing up/judo choking (strangling) techniques/(P)/
締めくくり [しめくくり] /(n) conclusion/end/completion/summing up/supervision/
締めくくりをつける [しめくくりをつける] /(exp,v1) to bring to a finish/to complete/
締めくくる [しめくくる] /(v5r,vt) to bind firmly/to superintend/to bring to a finish/
締めしろ [しめしろ] /(n) interference/jamming/
締めつける [しめつける] /(v1,vt) to tighten/to press hard/
締めて [しめて] /(adv) in all/all told/
締めひも [しめひも] /(n) adjustable strap/bracer/lacing/
締める [しめる] /(v1,vt) (1) to tie/to fasten/(2) to total/to sum/(3) to be strict with/(4) to economize (economise)/to cut down on/(5) to make sushi adding a mixture of vinegar and salt/(P)/
締め括り [しめくくり] /(n) conclusion/end/completion/summing up/supervision/
締め括りをつける [しめくくりをつける] /(exp,v1) to bring to a finish/to complete/
締め括る [しめくくる] /(v5r,vt) to bind firmly/to superintend/to bring to a finish/
締め技 [しめわざ] /(n) (MA) shime-waza (judo stranglehold)/
締め金 [しめがね] /(n) buckle/clamp/clasp/
締め固める [しめかためる] /(v1,vt) to compact/
締め高 [しめだか] /(n) sum/total/
締め込み [しめこみ] /(n) sumo wrestler's belt/
締め込む [しめこむ] /(v5m,vt) to shut in/to lock in/
締め殺す [しめころす] /(v5s,vt) to strangle to death/
締め鯖 [しめさば] /(n) soused (vinegared) mackerel/
締め出し [しめだし] /(n) shutout/shutting out/lock-out/freeze-out/
締め出す [しめだす] /(v5s,vt) to shut out/to bar/to lock out/to exclude/(P)/
締め上げる [しめあげる] /(v1,vt) (1) to screw up/to put the screws on (a person)/(2) to constrict (someone, something)/
締め切り [しめきり] /(n) closing/cut-off/end/deadline/Closed/No Entrance/(P)/
締め切り日 [しめきりび] /(n) time limit/closing day/deadline/
締め切る [しめきる] /(v5r,vt) to close up/to shut up (e.g. behind doors)/to cut off (e.g. because a deadline has expired)/(P)/
締め太鼓 [しめだいこ] /(n) small high-pitched Japanese drum or taiko with its head pulled taut by ropes/
締め代 [しめしろ] /(n) interference/jamming/
締め直す [しめなおす] /(v5s,vt) to retighten/
締め日 [しめび] /(n) time limit/closing day/deadline/
締め付け [しめつけ] /(n) pressure/clamping/tightening/fastening/(P)/
締め付ける [しめつける] /(v1,vt) to tighten/to press hard/
締りが無い [しまりがない] /(exp,adj-i) not at all tense/relaxed/calm/
締りのない [しまりのない] /(adj-i) slack/loose/lax/slovenly/sloppy/
締り雪 [しまりゆき] /(n) tightly-compacted snow (e.g. due to compression under its own weight)/
締技 [しめわざ] /(n) (MA) shime-waza (judo stranglehold)/
締結 [ていけつ] /(n,vs) (1) conclusion/execution (of a contract)/entering (into treaty)/(2) fastening (as in a joint)/(P)/
締結日 [ていけつひ] /(n) date of execution (e.g. of a contract)/agreement date (e.g. of a contract)/entering date (e.g. into treaty)/
締高 [しめだか] /(n) sum/total/
締込 [しめこみ] /(n) sumo wrestler's belt/
締込み [しめこみ] /(n) sumo wrestler's belt/
締出し [しめだし] /(n) shutout/shutting out/lock-out/freeze-out/
締切 [しめきり] /(n) closing/cut-off/end/deadline/Closed/No Entrance/(P)/
締切り [しめきり] /(n) closing/cut-off/end/deadline/Closed/No Entrance/(P)/
締切る [しめきる] /(v5r,vt) to close up/to shut up (e.g. behind doors)/to cut off (e.g. because a deadline has expired)/
締切日 [しめきりび] /(n) time limit/closing day/deadline/
締日 [しめび] /(io) (n) time limit/closing day/deadline/
締付 [しめつけ] /(n) pressure/clamping/tightening/fastening/
締付け [しめつけ] /(n) pressure/clamping/tightening/fastening/
締盟 [ていめい] /(n) forming an alliance/conclusion of a treaty of alliance/
締約 [ていやく] /(n,vs) conclusion of a treaty/(P)/
艇 [てい] /(n) boat/
艇庫 [ていこ] /(n) boat-house/
艇首 [ていしゅ] /(n) bow (of a boat)/
艇身 [ていしん] /(n) boat length/
艇長 [ていちょう] /(n) skipper (of a boat)/coxwain/
訂する [ていする] /(vs-s) to correct/
訂正 [ていせい] /(n,vs,adj-no) correction/revision/amendment/(P)/
訂正印 [ていせいいん] /(n) revision seal/correction seal (special seal used to indicate a correction in an official document)/
諦め [あきらめ] /(n) resignation/acceptance/consolation/
諦めがつく [あきらめがつく] /(exp,v5k) to give up/to accept (defeat, etc.)/
諦めが付く [あきらめがつく] /(exp,v5k) to give up/to accept (defeat, etc.)/
諦めつく [あきらめつく] /(exp,v5k) (col) to give up/to accept (defeat, etc.)/
諦める [あきらめる] /(v1,vt) to give up/to abandon/(P)/
諦観 [ていかん] /(n,vs) clear vision/resignation (as in reconciling oneself)/
諦念 [ていねん] /(n) a heart that understands truth/
蹄 [ひづめ] /(n) hoof/
蹄行性 [ていこうせい] /(n,adj-no) unguligrade (walking on hooves)/
蹄叉 [ていさ] /(n) fourchette/
蹄鉄 [ていてつ] /(n) horseshoe/
蹄鉄工 [ていてつこう] /(n) farrier/horseshoer/blacksmith/
逓減 [ていげん] /(n,vs) successive diminution/
逓降変圧器 [ていこうへんあつき] /(n) step-down transformer/
逓次 [ていじ] /(n) successively/in order/
逓信 [ていしん] /(n) communications (e.g. post, tele.)/(P)/
逓信省 [ていしんしょう] /(n) (obs) Ministry of Communications and Transportation (dissolved in 1949)/
逓送 [ていそう] /(n,vs) forwarding/
逓増 [ていぞう] /(n,vs) gradual increase/
逓伝 [ていでん] /(n,vs) relay/
逓倍 [ていばい] /(n,vs) multiplication (e.g. of frequencies)/
逓倍器 [ていばいき] /(n) multiplier (e.g. frequency)/
邸 [やしき] /(n) residence/estate/grounds/premises/mansion/(P)/
邸宅 [ていたく] /(n) mansion/residence/(P)/
邸内 [ていない] /(n) grounds/premises/(P)/
鄭重 [ていちょう] /(adj-na,n) polite/courteous/hospitable/
鄭声 [ていせい] /(n) (decadent) music of the state of Zheng/
鄭箋 [ていせん] /(n) commentary on the Book of Odes by Zheng Xuan/
釘 [くぎ] /(n) nail (i.e. small metal spike)/(P)/
釘づけ [くぎづけ] /(n,vs) (1) nailing on/nailing down/nailing shut/(2) being stationary/being rooted to the spot/
釘をさす [くぎをさす] /(exp,v5s) to give a warning/to remind (a person) of/
釘を差す [くぎをさす] /(exp,v5s) to give a warning/to remind (a person) of/
釘を刺す [くぎをさす] /(exp,v5s) to give a warning/to remind (a person) of/
釘隠し [くぎかくし] /(n) object which conceals the head of a nail/
釘刺し試験 [くぎさししけん] /(n) nail penetration test (of batteries)/
釘刺試験 [くぎさししけん] /(io) (n) nail penetration test (of batteries)/
釘頭 [ていとう] /(n) nailhead/
釘抜き [くぎぬき] /(n) pincers/nail puller/
釘付け [くぎづけ] /(n,vs) (1) nailing on/nailing down/nailing shut/(2) being stationary/being rooted to the spot/
鼎 [かなえ] /(n) three-legged kettle/
鼎の軽重を問う [かなえのけいちょうをとう] /(exp,v5u) to call one's ability into question/to weigh one's ability/
鼎革 [ていかく] /(n) change of dynasty/
鼎坐 [ていざ] /(n,vs) three people sitting in a triangle/
鼎座 [ていざ] /(n,vs) three people sitting in a triangle/
鼎談 [ていだん] /(n,vs) tripartite (three man) talk/
鼎談会 [ていだんかい] /(n) three-man talk/tripartite talk/
鼎立 [ていりつ] /(n,vs) triangular position/three-cornered contest/
鼎立戦 [ていりつせん] /(n) three-way contest/
泥 [どろ] /(n,adj-no) mud/(P)/
泥に塗れる [どろにまみれる] /(exp,v1) to be covered with mud/
泥の像 [でいのぞう] /(n) mud image/
泥の木 [どろのき] /(n) (uk) Japanese poplar (Populus maximowiczii)/
泥の様に寝る [どろのようにねる] /(v1) (col) to sleep like a log/
泥む [なずむ] /(v5m) to cling to/to stick to/to be wedded to/
泥よけ [どろよけ] /(n) fender/mudguard/wing/
泥を塗る [どろをぬる] /(exp,v5r) to besmirch/to sully/
泥を被る [どろをかぶる] /(exp,v5r) to be covered with mud/
泥んこ [どろんこ] /(n) morass of mud/
泥んこ遊び [どろんこあそび] /(n) playing in the mud/playing with mud/
泥レス [どろレス] /(n) mud wrestling/
泥火山 [でいかざん] /(n) mud volcano/
泥海 [どろうみ] /(n) muddy sea/
泥灰岩 [でいかいがん] /(n) marl (unconsolidated lime-rich rock)/
泥絵 [でいえ] /(n) (1) distemper painting/(2) painting made with gold or silver paint (usu. on a dark background)/
泥絵 [どろえ] /(n) (1) distemper painting/(2) painting made with gold or silver paint (usu. on a dark background)/
泥絵の具 [どろえのぐ] /(n) colour wash/distemper/powdered paints or pigments/
泥岩 [でいがん] /(n) mudstone/
泥靴 [どろぐつ] /(n) muddy shoes or boots/
泥沙 [でいさ] /(n) mud and sand/
泥沙 [でいしゃ] /(n) mud and sand/
泥砂 [でいさ] /(n) mud and sand/
泥砂 [でいしゃ] /(n) mud and sand/
泥仕合 [どろじあい] /(n) mudslinging/smear campaign/
泥試合 [どろじあい] /(iK) (n) mudslinging/smear campaign/
泥臭い [どろくさい] /(adj-i) smelling of mud or earth/unrefined/uncouth/
泥舟 [どろぶね] /(n) (1) boat to transport mud/(2) (fictional) boat made of (dried) mud/
泥除け [どろよけ] /(n) fender/mudguard/wing/
泥沼 [どろぬま] /(n) bog/marsh/(P)/
泥沼の離婚劇 [どろぬまのりこんげき] /(exp) (sl) long drawn-out divorce/
泥障 [あおり] /(n) saddle flap/
泥状 [でいじょう] /(adj-na,n,adj-no) muddy/
泥人形 [どろにんぎょう] /(n) clay doll/
泥水 [でいすい] /(n) (1) muddy water/(2) red-light district/
泥水 [どろみず] /(n) (1) muddy water/(2) red-light district/
泥水稼業 [どろみずかぎょう] /(n) making a living in the red-light district/
泥酔 [でいすい] /(n,vs) dead drunk/(P)/
泥船 [どろぶね] /(n) (1) boat to transport mud/(2) (fictional) boat made of (dried) mud/
泥塑 [でいそ] /(n) unfired clay figurine/
泥足 [どろあし] /(n) muddy feet/
泥炭 [でいたん] /(n,adj-no) peat/(P)/
泥炭地 [でいたんち] /(n) peatland/peatlands/peat bog/
泥炭土 [でいたんど] /(n) peat soil/
泥地 [でいち] /(n) mud/bog/
泥地 [どろち] /(n) mud/bog/
泥中 [でいちゅう] /(n) in the mud or mire/
泥跳ね [どろはね] /(n) splash of mud/mud spatter/
泥塗れ [どろまみれ] /(adj-na,n) muddy/mud-caked/
泥土 [でいど] /(n) mud/
泥湯 [どろゆ] /(n) mud bath (at an onsen)/
泥道 [どろみち] /(n) muddy road/
泥縄 [どろなわ] /(n) braiding the rope only after the thief is caught/measure taken in haste or too late/
泥縄式 [どろなわしき] /(n,adj-no) last minute/eleventh hour/
泥板岩 [でいばんがん] /(n) shale/
泥蜂 [どろばち] /(n) (uk) potter wasp (any wasp of subfamily Eumeninae)/mason wasp/
泥坊 [どろぼう] /(n,vs) thief/burglar/robber/theft/
泥棒 [どろぼう] /(n,vs) thief/burglar/robber/theft/(P)/
泥棒稼業 [どろぼうかぎょう] /(n) professional thievery/
泥棒根性 [どろぼうこんじょう] /(n) underhand character/thievish nature/
泥棒猫 [どろぼうねこ] /(n) (1) a cat that enters someone's house (other than its owner's) to steal food/(2) someone who secretly does bad things (i.e. an adulterer)/
泥目 [どろめ] /(n) (uk) gluttonous goby (Chasmichthys gulosus)/
泥柳 [どろやなぎ] /(n) (uk) Japanese poplar (Populus maximowiczii)/
泥遊び [どろあそび] /(n) playing in the mud/playing with mud/
泥浴 [でいよく] /(n) mud bath/balneum coenosum/
泥流 [でいりゅう] /(n) (volcanic) mud flow/
泥濘 [でいねい] /(n) (uk) quagmire/sludge/mud/slush/mire/
泥濘 [ぬかるみ] /(n) (uk) quagmire/sludge/mud/slush/mire/
泥濘む [ぬかるむ] /(v5m,vi) to be muddy/to be slushy/
泥濘る [ぬかる] /(v5r,vi) to be muddy/to be slushy/
泥鏝 [でいまん] /(n) plastering trowel/
泥鰌 [どじょう] /(n) (1) (uk) loach (any fish of family Cobitidae)/(2) weather loach (Misgurnus anguillicaudatus)/
摘まみ [つまみ] /(n) (1) (uk) knob/handle/button/(2) (comp) (file) handle/(3) snack (to have with a drink)/side dish/(suf) (4) a pinch (e.g. of salt)/(n,n-suf) (5) picking/harvesting/
摘まみ菜 [つまみな] /(n) rape seedlings/
摘まみ出す [つまみだす] /(v5s,vt) to pick out/to throw out/
摘まみ上げる [つまみあげる] /(v1) to take a pinch of something (e.g. salt)/to pick up in one's fingers/
摘まみ食い [つまみぐい] /(n,vs) (1) eating with one's fingers/(2) snitching food/snatched food/secret eating/food snatched and eaten without the meal starting/(3) embezzlement/misappropriation/exploiting something/(4) flirting/
摘まむ [つまむ] /(v5m,vt) (uk) to pinch/to hold/to pick up/
摘み [つまみ] /(n) (1) (uk) knob/handle/button/(2) (comp) (file) handle/(3) snack (to have with a drink)/side dish/(suf) (4) a pinch (e.g. of salt)/(n,n-suf) (5) picking/harvesting/(P)/
摘み菜 [つまみな] /(n) rape seedlings/
摘み取る [つまみとる] /(v5r,vt) to pluck/to pick/to nip off/
摘み取る [つみとる] /(v5r,vt) to pluck/to pick/to nip off/
摘み食い [つまみぐい] /(n,vs) (1) eating with one's fingers/(2) snitching food/snatched food/secret eating/food snatched and eaten without the meal starting/(3) embezzlement/misappropriation/exploiting something/(4) flirting/
摘み洗い [つまみあらい] /(n) washing only the soiled part (of a garment)/
摘み草 [つみくさ] /(n) picking herbs and wildflowers/
摘み捻子 [つまみねじ] /(n) (uk) thumbscrew/
摘み物 [つまみもの] /(n) relish/drinking snack/
摘む [つまむ] /(v5m,vt) (uk) to pinch/to hold/to pick up/(P)/
摘む [つむ] /(v5m,vt) to pluck/to pick/to trim/(P)/
摘果 [てきか] /(n,vs) thinning out superfluous fruit/
摘芽 [てきが] /(n,vs) thinning out buds/
摘記 [てっき] /(n,vs) summarization/summarisation/epitome/
摘取 [てきしゅ] /(n,vs) picking/plucking up/
摘出 [てきしゅつ] /(n,vs) picking out/exposing/taking out/-ectomy (suf) (surgical removal)/(P)/
摘出子 [てきしゅつし] /(iK) (n) legitimate child/
摘心 [てきしん] /(n,vs) thinning (buds and branches)/
摘芯 [てきしん] /(n,vs) thinning (buds and branches)/
摘入 [つみれ] /(n) (uk) fish balls/fish dumplings/
摘発 [てきはつ] /(n,vs) exposing/unmasking/laying bare/(P)/
摘要 [てきよう] /(n) summary/outline/
摘録 [てきろく] /(n,vs) summary/
敵 [かたき] /(n,n-suf) (1) rival/opponent/adversary/(2) foe/enemy/
敵 [てき] /(n) (1) opponent/rival/adversary/(2) menace/danger/threat/enemy/(P)/
敵う [かなう] /(v5u) (1) to come true (wish)/(2) (uk) to be suited/(3) to match (implies competition)/to rival/to bear (e.g. I can't bear the heat)/
敵と戦う [てきとたたかう] /(v5u) to fight one's enemy/
敵に回す [てきにまわす] /(exp,v5s) to make enemies of/
敵に掛かる [てきにかかる] /(exp,v5r) to assail the enemy/
敵に後ろを見せる [てきにうしろをみせる] /(exp,v1) (1) to flee from one's enemy/to turn tail/(2) to expose one's weakness to an adversary/
敵に付く [てきにつく] /(exp,v5k) to take the side of the enemy/
敵に捕らわれる [てきにとらわれる] /(exp,v1) to be caught by the enemy/
敵の攻撃を退ける [てきのこうげきをしりぞける] /(exp,v1) to beat off an attack by the enemy/
敵の勢 [てきのぜい] /(n) enemys strength (forces)/
敵は本能寺にあり [てきはほんのうじにあり] /(exp) one's true purpose lies elsewhere/one's enemy is in Honnoji/
敵は本能寺に在り [てきはほんのうじにあり] /(exp) one's true purpose lies elsewhere/one's enemy is in Honnoji/
敵わない [かなわない] /(adj-i) (1) no match for/(2) unbearable/(3) unable/can't do/beyond one's power/
敵を威す [てきをおどす] /(exp,v5s) to threaten the enemy/
敵を欺くにはまず味方から [てきをあざむくにはまずみかたから] /(exp) in fooling the enemy first deceive your allies/
敵を知り己を知れば百戦危うからず [てきをしりおのをしればひゃくせんあやうからず] /(exp) know your enemy, know thyself, and you shall not fear a hundred battles/
敵を倒す [てきをたおす] /(exp,v5s) to kill one's enemy (opponent)/
敵を討つ [かたきをうつ] /(exp,v5t) to take revenge/
敵を破る [てきをやぶる] /(exp,v5r) to defeat one's enemy/
敵を斃す [てきをたおす] /(exp,v5s) to kill one's enemy (opponent)/
敵意 [てきい] /(n) hostility/animosity/(P)/
敵営 [てきえい] /(n) enemy camp/
敵影 [てきえい] /(n) signs of the enemy/
敵王 [てきおう] /(n) opponents king (in shogi)/
敵艦 [てきかん] /(n) enemy ship/
敵艦隊 [てきかんたい] /(n) enemy fleet/
敵機 [てきき] /(n) enemy plane/
敵機 [てっき] /(n) enemy plane/
敵軍 [てきぐん] /(n,adj-no) enemy army/
敵国 [てきこく] /(n,adj-no) enemy nation/(P)/
敵国 [てっこく] /(n,adj-no) enemy nation/
敵視 [てきし] /(n,vs) looking on (somebody) as hostile/
敵失 [てきしつ] /(n) error made by the enemy or opposing team/(P)/
敵社 [てきしゃ] /(n) (obsc) rival company/rival corporation/
敵手 [てきしゅ] /(n) rival/enemy/
敵襲 [てきしゅう] /(n) enemy attack or raid/
敵情 [てきじょう] /(n) enemy movements/enemy's position/
敵状 [てきじょう] /(n) enemy movements/enemy's position/
敵陣 [てきじん] /(n) enemy camp or line/
敵勢 [てきせい] /(n) enemy's strength or fighting power/
敵勢 [てきぜい] /(n) enemy's strength or fighting power/
敵性 [てきせい] /(n) inimical character/
敵性国家 [てきせいこっか] /(n) hostile nation/
敵性戦闘員 [てきせいせんとういん] /(n) enemy combatant/
敵前 [てきぜん] /(n) in the presence of the enemy/
敵前逃亡 [てきぜんとうぼう] /(n) deserting under enemy fire/
敵側 [てきがわ] /(n) enemy side/
敵対 [てきたい] /(n,vs) hostility/antagonism/opposition/(P)/
敵対関係 [てきたいかんけい] /(n) antagonism/
敵対国 [てきとうくに] /(n) enemy nation/
敵対者 [てきたいしゃ] /(n) opponent/antagonist/
敵対的企業買収 [てきたいてききぎょうばいしゅう] /(n) hostile buyout/
敵対的買収 [てきたいてきばいしゅう] /(n) hostile takeover/
敵弾 [てきだん] /(n) enemy bullet/
敵地 [てきち] /(n) enemy territory/hostile place/
敵中 [てきちゅう] /(n) in the midst of the enemy/
敵討 [かたきうち] /(n) vengeance/revenge/retaliation/
敵討ち [かたきうち] /(n) vengeance/revenge/retaliation/
敵同士 [かたきどうし] /(n) mutual enemies/
敵同士 [てきどうし] /(ik) (n) mutual enemies/
敵飛 [てきひ] /(n) opponents hisha/
敵部隊 [てきぶたい] /(n) enemy forces/
敵兵 [てきへい] /(n) enemy (soldier)/
敵歩 [てきふ] /(n) opponents pawn/
敵方 [てきがた] /(n) hostile party/enemy side/
敵本主義 [てきほんしゅぎ] /(n) diversionary tactics/concealing one's true motives until the last moment/
敵役 [かたきやく] /(n) role of the villain/the bad guy/
敵役 [てきやく] /(n) role of the villain/the bad guy/
敵塁 [てきるい] /(n) enemy fortress/
敵愾心 [てきがいしん] /(n) hostility/enmity/
滴 [しずく] /(n,vs) drop (of water)/drip/(P)/
滴り [したたり] /(n) dripping/a drop/
滴り落ちる [したたりおちる] /(v1) to trickle down/
滴る [したたる] /(v5r,vi) to drip/to drop/to trickle/
滴下 [てきか] /(n,vs) drip/drop/distill/
滴水 [てきすい] /(n) water dripping/
滴定 [てきてい] /(n,vs) titration/
滴定量 [てきていりょう] /(n) titer/titre/
滴滴 [てきてき] /(adj-na,n) dripping/
的 [てき] /(adj-na,suf) -like/typical/(P)/
的 [まと] /(n) mark/target/(P)/
的に達しない [まとにたっしない] /(exp) falling short of the mark/
的はずれ [まとはずれ] /(adj-na,n,adj-no) out of focus/off the point/miss the mark/
的を逸れる [まとをそれる] /(exp,v1) to miss the target/
的を絞る [まとをしぼる] /(exp,v5r) to narrow in (on)/to home in/to focus/to target/
的を射る [まとをいる] /(exp,v1) to be to the point/to be pertinent/
的を当てる [まとをあてる] /(exp,v1) to hit the mark/
的を得る [まとをえる] /(exp,v1) (col) to be to the point/to be pertinent/
的屋 [てきや] /(n) racketeer/faker/stall-keeper/
的外れ [まとはずれ] /(adj-na,n,adj-no) out of focus/off the point/miss the mark/
的確 [てきかく] /(adj-na,n) precise/accurate/(P)/
的確 [てっかく] /(adj-na,n) precise/accurate/(P)/
的射 [まとい] /(n) (obsc) target shooting (with bow & arrow)/
的鯛 [まとうだい] /(n) (uk) John Dory (Zeus faber)/
的中 [てきちゅう] /(n,vs) strike home/hit the mark/become realized/become realised/(P)/
的中率 [てきちゅうりつ] /(n) hitting ratio/
笛 [ふえ] /(n) flute/pipe/whistle/(P)/
笛小千鳥 [ふえこちどり] /(n) (uk) piping plover (Charadrius melodus)/
笛吹 [ふえふき] /(n) flute player/
笛吹き [ふえふき] /(n) flute player/
笛吹けども踊らず [ふえふけどもおどらず] /(exp) (id) We have piped unto you and ye have not danced/
笛鯛 [ふえだい] /(n) (uk) star snapper (species of fish, Lutjanus stellatus)/
笛奴鯛 [ふえやっこだい] /(n) (uk) longnose butterfly fish (Forcipiger flavissimus, species of butterflyfish from the Indo-Pacific)/forcepsfish/
適 [たま] /(adj-no,adj-na,n) (uk) occasional/rare/
適 [たまたま] /(adv) casually/unexpectedly/accidentally/by chance/
適う [かなう] /(v5u) (1) to come true (wish)/(2) (uk) to be suited/(3) to match (implies competition)/to rival/to bear (e.g. I can't bear the heat)/
適える [かなえる] /(v1,vt) (1) to grant (request, wish)/to answer (prayer)/(2) to fulfill (conditions)/to meet (requirements)/
適さない [てきさない] /(adj-i) unsuited/unfit/ill-fitted/
適した [てきした] /(adv) adequate (for)/suitable (to, for)/
適す [てきす] /(v5s,vi) to fit/to suit/
適する [てきする] /(vs-s,vi) to fit/to suit/(P)/
適に [たまに] /(adv,suf) (uk) occasionally/once in a while/
適わない [かなわない] /(adj-i) (1) no match for/(2) unbearable/(3) unable/can't do/beyond one's power/
適応 [てきおう] /(n,vs) adaptation/accommodation/conformity/(P)/
適応デルタ変調 [てきおうデルタへんちょう] /(n) (comp) Adaptive Delta Modulation/
適応機制 [てきおうきせい] /(n) adjustment mechanism/
適応症 [てきおうしょう] /(n) diseases for which a particular medicine is indicated/
適応障害 [てきおうしょうがい] /(n) maladjustment/
適応制御系 [てきおうせいぎょけい] /(n) (comp) adaptive control system/
適応性 [てきおうせい] /(n) adaptability/
適応変換符号化 [てきおうへんかんふごうか] /(n) (comp) Adaptive Transform Coding/ATC/
適応放散 [てきおうほうさん] /(n) adaptive radiation/
適温 [てきおん] /(n) suitable or moderate temperature/
適格 [てきかく] /(n,adj-no) eligible/qualified/competent/(P)/
適格 [てっかく] /(n,adj-no) eligible/qualified/competent/
適格である [てきかくである] /(n) (comp) eligible/
適格者 [てきかくしゃ] /(n) qualified or eligible person/
適格性 [てっかくせい] /(n) eligibility/
適確 [てきかく] /(adj-na,n) precise/accurate/(P)/
適確 [てっかく] /(adj-na,n) precise/accurate/(P)/
適期 [てきき] /(n) proper time (e.g. for harvesting rice)/appropriate time/right time/
適期 [てっき] /(n) proper time (e.g. for harvesting rice)/appropriate time/right time/
適宜 [てきぎ] /(adj-na,adj-no) (1) suitable/appropriate/(n-adv) (2) appropriately/(P)/
適業 [てきぎょう] /(n) suitable occupation/
適語 [てきご] /(n) appropriate word/apt word or expression/mot juste/
適合 [てきごう] /(n,vs) conform/compatible/adaptable/(P)/
適合ＳＧＭＬ応用 [てきごうエスジーエムエルおうよう] /(n) (comp) conforming SGML application/
適合ＳＧＭＬ文書 [てきごうエスジーエムエルぶんしょ] /(n) (comp) conforming SGML document/
適合する実装 [てきごうするじっそう] /(n) (comp) conforming implementation/
適合規格 [てきごうきかく] /(n) compatible specification/compatible standards/conformity standards/
適合検査 [てきごうけんさ] /(n) (comp) conformance/
適合検査試験 [てきごうけんさしけん] /(n) (comp) conformance test/
適合性 [てきごうせい] /(n) compatibility/conformance/fitness/adaptability/
適合性ログ [てきごうせいログ] /(n) (comp) conformance log/
適合性解決試験 [てきごうせいかいけつしけん] /(n) (comp) conformance resolution tests/
適合性試験 [てきごうせいしけん] /(n) (comp) conformance testing/
適合性評価過程 [てきごうせいひょうかかてい] /(n) (comp) conformance assessment process/
適合性文書 [てきごうせいぶんしょ] /(n) (comp) conformance document/
適合率 [てきごうりつ] /(n) precision/precision ratio/relevance factor/relevance ratio/
適材 [てきざい] /(n) man fit for the post/right person/
適材適所 [てきざいてきしょ] /(exp,n) the right person in the right place/
適作 [てきさく] /(n) suitable crop/
適時 [てきじ] /(n,adj-na,adj-no) timely/opportune/(P)/
適時打 [てきじだ] /(n) timely hit/
適者 [てきしゃ] /(n) suitable person/fit person/the fit/
適者生存 [てきしゃせいぞん] /(n) survival of the fittest/
適潤 [てきじゅん] /(n,adj-no) suitably damp/adequately wet (e.g. for plants)/
適所 [てきしょ] /(n) the right place/
適職 [てきしょく] /(n) suitable occupation/
適性 [てきせい] /(n) aptitude/(P)/
適性検査 [てきせいけんさ] /(n) aptitude test/
適正 [てきせい] /(adj-na,n) reasonable/suitable/(P)/
適正価格 [てきせいかかく] /(n) fair or reasonable price/
適正表示状態 [てきせいひょうじじょうたい] /(n) (comp) visually correct/
適正利潤 [てきせいりじゅん] /(n) reasonable profit/
適切 [てきせつ] /(adj-na,n) pertinent/appropriate/adequate/relevance/(P)/
適切な権限 [てきせつなけんげん] /(n) (comp) appropriate priviledges/
適地 [てきち] /(n) suitable place/
適中 [てきちゅう] /(n,vs) strike home/hit the mark/become realized/become realised/
適度 [てきど] /(adj-na,n,adj-no) moderate/(P)/
適当 [てきとう] /(adj-na,n) (1) suitable/proper/appropriate/adequate/fit/(2) noncommittal/vague/equivocal/unserious/irresponsible/(P)/
適任 [てきにん] /(adj-na,adj-no) competent/suitable/qualified/
適任者 [てきにんしゃ] /(n) suitable person/well-qualified person/responsible party/responsible person/
適否 [てきひ] /(n) propriety/fitness/aptitude/
適評 [てきひょう] /(n) apt criticism/
適不適 [てきふてき] /(n) suitability/
適法 [てきほう] /(adj-na,n,adj-no) legality/(P)/
適法行為 [てきほうこうい] /(n) legal (lawful) act/
適法手続 [てきほうてつづき] /(n) due process/
適役 [てきやく] /(n) suitable post or role/
適薬 [てきやく] /(n) specific medicine or remedy/
適訳 [てきやく] /(n) proper or suitable translation/exact rendering/
適用 [てきよう] /(n,vs) applying (e.g. a technology)/adoption/(P)/
適用業務 [てきようぎょうむ] /(n) application/
適用業務ソフトウェア [てきようぎょうむソフトウェア] /(n) (comp) application software/
適用業務ソフトウェアプログラム [てきようぎょうむソフトウェアプログラム] /(n) (comp) application software program/
適用業務プログラム [てきようぎょうむプログラム] /(n) (comp) application software/
適用業務責任分散型トランザクション [てきようぎょうむせきにんぶんさんがたトランザクション] /(n) (comp) application-supported distributed transaction/
適用業務問題 [てきようぎょうむもんだい] /(n) (comp) application problem/
適用除外 [てきようじょがい] /(n,adj-no) exemption (e.g. from application of a law)/exclusion/
適用性 [てきようせい] /(n) applicability/
適用範囲 [てきようはんい] /(n) (comp) range of use/range of application/range of applications/scope (of a document)/
適用分野 [てきようぶんや] /(n) (comp) field of application/
適量 [てきりょう] /(n) proper quantity/(P)/
適例 [てきれい] /(n) exemplification/good example/case in point/
適齢 [てきれい] /(n) suitable age/(P)/
適齢期 [てきれいき] /(n) marriageable age/(P)/
鏑 [かぶら] /(n) (1) (abbr) turnip-shaped whistle made of hollowed-out wood or deer horn (attached to an arrow to sound when fired)/(2) arrow with such a whistle attached/
鏑矢 [かぶらや] /(n) arrow to which is attached a turnip-shaped whistle made of hollowed-out wood or deer horn/whistling arrow used to signal the start of battle/
溺らす [おぼらす] /(v5s,vt) (1) to drown/(2) to cause to be indulged or addicted/
溺れる [おぼれる] /(v1,vi) (1) (uk) to nearly drown/to sink below the surface (of water)/(2) to indulge in/to lose one's head over something/(P)/
溺れる者は藁をも掴む [おぼれるものはわらをもつかむ] /(exp) (proverb) A drowning man will catch at a straw/
溺れ込む [おぼれこむ] /(v5m) to drown/to get addicted/to become infatuated/
溺れ死に [おぼれじに] /(n) (sens) death by drowning/
溺れ死ぬ [おぼれじぬ] /(v5n) (sens) to die by drowning/to drown/
溺れ損なう [おぼれそこなう] /(v5u) to come near being drowned/
溺愛 [できあい] /(n,vs) doting/
溺死 [できし] /(n,vs) death by drowning/
溺死者 [できししゃ] /(n) drowned person/
溺死体 [できしたい] /(n) drowned body/
溺水 [できすい] /(n) drowning/
哲学 [てつがく] /(n) philosophy/(P)/
哲学史 [てつがくし] /(n) history of philosophy/
哲学者 [てつがくしゃ] /(n) philosopher/
哲学者の石 [てつがくしゃのいし] /(n) philosopher's stone/
哲学書 [てつがくしょ] /(n) philosophy book/
哲学的 [てつがくてき] /(adj-na) philosophical/
哲学的人間学 [てつがくてきにんげんがく] /(n) philosophical anthropology/
哲学博士 [てつがくはかせ] /(n) doctor of philosophy/PhD/
哲人 [てつじん] /(n) wise man/philosopher/sage/(P)/
哲理 [てつり] /(n) philosophic principles/philosophy/
徹す [とおす] /(v5s,vt) to let pass/to overlook/to continue/to keep/to make way for/to persist in/(P)/
徹する [てっする] /(vs-s) to sink in/to penetrate/to devote oneself/to believe in/to go through/to do intently and exclusively/(P)/
徹甲弾 [てっこうだん] /(n) armor piercing ammunition/armour piercing ammunition/
徹宵 [てっしょう] /(n,vs) all night/without sleep/
徹底 [てってい] /(n,vs) thoroughness/completeness/consistency/(P)/
徹底究明 [てっていきゅうめい] /(n) thorough investigation/complete inquiry/
徹底抗戦 [てっていこうせん] /(n) do-or-die resistance/resistance to the bitter end/
徹底的 [てっていてき] /(adj-na) thorough/complete/(P)/
徹頭徹尾 [てっとうてつび] /(adv) thoroughly/through and through/
徹夜 [てつや] /(n,vs,adj-no) all night/all-night vigil/sleepless night/(P)/
撤回 [てっかい] /(n,vs,adj-no) withdrawal/revocation/repeal/(P)/
撤去 [てっきょ] /(n,vs) (1) withdrawal/revocation/repeal/(2) demolition/removal/(P)/
撤収 [てっしゅう] /(n,vs) withdrawal/evacuation (e.g. of soldiers)/removal (e.g. of a building)/(P)/
撤退 [てったい] /(n,vs) evacuation/withdrawal/revocation/repeal/retreat/(P)/
撤頭徹尾 [てっとうてつび] /(iK) (adv) thoroughly/through and through/
撤廃 [てっぱい] /(n,vs) annulment/abolition/repeal/rescission/(P)/
撤兵 [てっぺい] /(n,vs) withdrawal of troops/(P)/
轍 [てつ] /(n) rut/wheel track/furrow/
轍 [わだち] /(n) rut/wheel track/furrow/
轍を踏む [てつをふむ] /(exp,v5m) to repeat a mistake (of somebody)/to make the same mistake as that of .../
轍叉 [てっさ] /(n) railway frog/
轍鮒 [てっぷ] /(n) imminent danger/like a carp stuck in a puddle on the road/
轍鮒の急 [てっぷのきゅう] /(exp,n) imminent danger/impending hardship/
鉄 [くろがね] /(n) iron/
鉄 [てつ] /(n) iron/(P)/
鉄かぶと [てつかぶと] /(n) steel helmet/
鉄ちり [てっちり] /(n) (uk) boiled fugu dish (served with ponzu dipping sauce)/
鉄のカーテン [てつのカーテン] /(n) iron curtain/
鉄の固まり [てつのかたまり] /(n) iron ingot/
鉄の肺 [てつのはい] /(n) iron lung/
鉄は熱いうちに打て [てつはあついうちにうて] /(exp) strike while the iron is hot/
鉄は熱いうちに鍛えよ [てつはあついうちにきたえよ] /(exp) (obsc) strike while the iron is hot/
鉄は熱い内に鍛えよ [てつはあついうちにきたえよ] /(exp) (id) Strike while the iron is hot/
鉄パイプ [てつパイプ] /(n) iron pipe/steel pipe/metal pipe/
鉄亜鈴 [てつあれい] /(n) (iron) dumbbells/(pair) of dumbbells/
鉄塩 [てつえん] /(n) iron salt/ferric salt/
鉄火 [てっか] /(adj-na,n) red-hot iron/gunfire/gambling/violent-tempered/
鉄火巻 [てっかまき] /(n) vinegared rice and sliced raw tuna wrapped in seaweed/
鉄火場 [てっかば] /(n) gambling room/
鉄火味噌 [てっかみそ] /(n) miso, fried soybeans and vegetables seasoned with sake and sugar/
鉄火丼 [てっかどんぶり] /(n) vinegared rice topped with sliced raw tuna/
鉄芽球 [てつがきゅう] /(n) sideroblast/
鉄芽球性貧血 [てつがきゅうせいひんけつ] /(n) sideroblastic anemia/sideroblastic anaemia/
鉄格子 [てつごうし] /(n,adj-no) (1) (iron) grill, lattice or bars/(2) prison (sl.)/
鉄兜 [てつかぶと] /(n) steel helmet/
鉄管 [てっかん] /(n) iron pipe/
鉄器 [てっき] /(n) ironware/
鉄器時代 [てっきじだい] /(n) Iron Age/
鉄魚 [てつぎょ] /(n) (uk) comet goldfish/
鉄橋 [てっきょう] /(n) railway bridge/iron bridge/(P)/
鉄琴 [てっきん] /(n) metallophone/carillon/glockenspiel/
鉄筋 [てっきん] /(n) rebar/(concrete) iron reinforcing bar/(P)/
鉄筋コンクリート [てっきんコンクリート] /(n) reinforced concrete/ferroconcrete/
鉄筋コンクリート造 [てっきんコンクリートぞう] /(n) reinforced concrete construction/
鉄屑 [てつくず] /(n) scrap iron/
鉄欠乏性貧血 [てつけつぼうせいひんけつ] /(n) iron-deficiency anemia/iron-deficiency anaemia/
鉄血 [てっけつ] /(n) blood and iron/military might/
鉄剣 [てっけん] /(n) iron sword/
鉄拳 [てっけん] /(n) fist/
鉄拳制裁 [てっけんせいさい] /(n) (punishment by) striking with fists/
鉄工 [てっこう] /(n) ironworking/ironworker/(P)/
鉄工所 [てっこうじょ] /(n) ironworks/
鉄工廠 [てっこるしょう] /(n) iron works/
鉄甲 [てっこう] /(n) iron armor (armour)/iron helmet/
鉄甲船 [てっこうせん] /(n) iron-reinforced warships built by Oda Nobunaga/
鉄酵母 [てつこうぼ] /(n) iron yeast/iron-enriched yeast/
鉄鉱 [てっこう] /(n) iron ore/(P)/
鉄鉱石 [てっこうせき] /(n) iron ore/
鉄鋼 [てっこう] /(n) iron and steel/(P)/
鉄鋼メーカー [てっこうメーカー] /(n) steel maker/steel manufacturer/
鉄鋼業 [てっこうぎょう] /(n) the steel industry/
鉄骨 [てっこつ] /(n) steel frame/(P)/
鉄骨工事 [てっこつこうじ] /(n) steel frame-work/
鉄骨造 [てっこつぞう] /(n) steel construction/
鉄骨鉄筋コンクリート造 [てっこつてっきんコンクリートぞう] /(n) steel-framed reinforced concrete construction/
鉄鎖 [てっさ] /(n) iron chain/
鉄剤 [てつざい] /(n) (medicinal) iron preparations/
鉄材 [てつざい] /(n) iron material/
鉄柵 [てっさく] /(n) iron railing or fence/
鉄索 [てっさく] /(n) cable/wire rope/cableway/
鉄傘 [てっさん] /(n) steel or iron dome/
鉄山 [てつざん] /(n) iron mine/
鉄尺 [てつじゃく] /(n) (obsc) carpenter's square/
鉄十字勲章 [てつじゅうじくんしょう] /(n) Iron Cross/
鉄渋 [かなしぶ] /(n) aqueous iron rust/
鉄床 [かなとこ] /(n) anvil/
鉄床雲 [かなとこぐも] /(n) anvil cloud/
鉄条網 [てつじょうもう] /(n) (barbed) wire entanglements/
鉄色 [てついろ] /(n) reddish-black/iron blue/
鉄心 [てっしん] /(n) iron core/iron will/
鉄心石腸 [てっしんせきちょう] /(n) will of iron/
鉄人 [てつじん] /(n) strong man/
鉄製 [てっせい] /(n,adj-no) made from iron/(P)/
鉄石 [てっせき] /(n) iron and stone/iron will/
鉄石心 [てっせきしん] /(n) iron will/
鉄石心腸 [てっせきしんちょう] /(n) will of iron/
鉄扇 [てっせん] /(n) iron-ribbed fan/
鉄扇術 [てっせんじゅつ] /(n) (MA) martial art based on the use of the iron fan/
鉄染色 [てつせんしょく] /(n) iron staining/
鉄線 [てっせん] /(n) (1) iron (steel) wire/(2) Chinese clematis/Clematis florida/leather flower/
鉄船 [てっせん] /(n) steel ship/ironclad/
鉄窓 [てっそう] /(n) iron or steel-grilled (prison) window/jail/gaol/
鉄則 [てっそく] /(n) ironclad regulation/inviolable rule/
鉄柱 [てっちゅう] /(n) iron pole/
鉄槌 [てっつい] /(n) (1) (iron) hammer/
鉄鎚 [かなづち] /(n) (1) (iron) hammer/(2) hopeless swimmer/complete beginner at swimming/
鉄鎚 [てっつい] /(n) (1) (iron) hammer/
鉄塔 [てっとう] /(n) pylon/steel tower/
鉄道 [てつどう] /(n) railroad/(P)/
鉄道駅 [てつどうえき] /(n) rail station/train station/
鉄道会社 [てつどうがいしゃ] /(n) railroad corporation/railway company/
鉄道公安官 [てつどうこうあんかん] /(n) railroad security officer/
鉄道工事 [てつどうこうじ] /(n) railroad construction work/
鉄道事故 [てつどうじこ] /(n) railroad accident/
鉄道車両 [てつどうしゃりょう] /(n) railway vehicle/railroad vehicle/
鉄道線路 [てつどうせんろ] /(n) railroad track/rail line/
鉄道馬車 [てつどうばしゃ] /(n) horse-drawn streetcar/
鉄道便 [てつどうびん] /(n) rail transport/
鉄道網 [てつどうもう] /(n) railroad system or network/
鉄道輸送 [てつどうゆそう] /(n) rail transport (transportation, transit)/transport by rail/
鉄鉢 [てっぱち] /(n) mendicant priest's begging bowl/
鉄板 [てっぱん] /(n) (1) iron plate/(2) (sl) sure thing/(P)/
鉄板焼き [てっぱんやき] /(n) teppan-yaki (Japanese cooking prepared on a hot steel plate in the center of the table)/
鉄扉 [てっぴ] /(n) iron door/
鉄菱 [てつびし] /(n) caltrop/
鉄筆 [てっぴつ] /(n) stylus/steel pen/stencil pen/
鉄瓶 [てつびん] /(n) iron kettle/
鉄敷き [かなしき] /(n) anvil/
鉄分 [てつぶん] /(n) iron/
鉄粉 [てっぷん] /(n) iron powder/
鉄壁 [てっぺき] /(n) iron wall/impregnable fortress/
鉄片 [てっぺん] /(n) iron scraps/
鉄砲 [てっぽう] /(n) (1) gun/(2) wooden pole that sumo wrestlers strike in practice (practise)/(3) (col) fugu/(P)/
鉄砲魚 [てっぽううお] /(n) (uk) archerfish (any fish of family Toxotidae, esp. the banded archerfish, Toxotes jaculatrix)/
鉄砲玉 [てっぽうだま] /(n) gunshot/bullet/lost (truant) messenger/bull's-eye/
鉄砲座 [てっぽうざ] /(n) gunmakers guild/
鉄砲水 [てっぽうみず] /(n) flash flood/
鉄砲弾 [てっぽうだま] /(n) gunshot/bullet/lost (truant) messenger/bull's-eye/
鉄砲虫 [てっぽうむし] /(n) longhorn beetle grub/
鉄砲百合 [てっぽうゆり] /(n) Easter lily/
鉄砲風呂 [てっぽうぶろ] /(n) bath with a metal pipe/
鉄帽 [てつぼう] /(n) helmet/
鉄棒 [かなぼう] /(n) iron rod/crowbar/horizontal bar (gymnastics)/
鉄棒 [てつぼう] /(n) iron rod/crowbar/horizontal bar (gymnastics)/(P)/
鉄棒引き [かなぼうひき] /(n) (1) a gossip/(2) night watchman/
鉄味 [かなあじ] /(n) (1) (arch) metallic/(2) cutting edge of a bladed instrument/
鉄面皮 [てつめんぴ] /(adj-na,n) arrogance/audacity/nerve/effrontery/brazenness/shamelessness/impudence/
鉄網 [てつもう] /(n) wire mesh net, net made out of metal wire/
鉄葉 [ブリキ] /(ateji) (n) (uk) tin plate (dut: blik)/
鉄輪 [かなわ] /(n) (1) metal ring/metal hoop/metal band/(2) trivet/
鉄輪 [てつりん] /(n) (1) metal ring/metal hoop/metal band/(2) train wheel/train/
鉄路 [てつろ] /(n) railroad/railway/
鉄聾 [かなつんぼ] /(n) completely deaf/
鉄腕 [てつわん] /(n) strong arm/
鉄屎 [かなくそ] /(n) (1) slag/dross/(2) iron rust/
鉄梃 [かなてこ] /(n) crowbar/
鉄炮 [てっぽう] /(n) (1) gun/(2) wooden pole that sumo wrestlers strike in practice (practise)/(3) (col) fugu/
鉄炮押し [てっぽうおし] /(n) pushing against the wooden pole in practice (sumo) (practise)/
鉄鏃 [てつぞく] /(n) iron arrow-head (from the Yayoi and Kofun periods)/
鉄勒 [てつろく] /(n) Tiele people/a Central Asian Turkic people/
典 [てん] /(n) ceremony/celebration/law code/
典 [のり] /(n) rule/law/
典雅 [てんが] /(adj-na,n) grace/elegance/refined/classic/
典拠 [てんきょ] /(n) (an) authority/(a) source/(written) reference/
典型 [てんけい] /(n,adj-no) type/pattern/archetypal/(P)/
典型的 [てんけいてき] /(adj-na) typical/prototypical/representative/stereotypical/model/ideal/(P)/
典故 [てんこ] /(n) authentic precedent/
典獄 [てんごく] /(n) warden/
典座 [てんざ] /(n) (Buddh) one of the six administrators of a Zen temple (in charge of food and other matters)/
典座 [てんぞ] /(n) (Buddh) one of the six administrators of a Zen temple (in charge of food and other matters)/
典侍 [てんじ] /(n) maid of honor/maid of honour/lady-in-waiting/
典籍 [てんじゃく] /(n) books/writings/
典籍 [てんせき] /(n) books/writings/
典則 [てんそく] /(n) regulations/
典範 [てんぱん] /(n) model/standard/law/
典物 [てんぶつ] /(n) pawned article/
典薬 [てんやく] /(n) court physician/
典礼 [てんれい] /(n,adj-no) ceremony/etiquette/courtesy/(Catholic) liturgy/
典麗 [てんれい] /(adj-na,n) graceful/
填まりこむ [はまりこむ] /(v5m) (1) to get stuck in/to be mired in/(2) to be addicted to/
填まり込む [はまりこむ] /(v5m) (1) to get stuck in/to be mired in/(2) to be addicted to/
填まり役 [はまりやく] /(n) well-suited role/
填まる [はまる] /(v5r,vi) (1) (uk) to fit/to get into/to go into/(2) (uk) to be fit for (a job, etc.)/to be suited for/to satisfy (conditions)/(3) (uk) to fall into/to plunge into/to get stuck/to get caught/(4) (uk) to be deceived/to be taken in/to fall into a trap/(5) (uk) to be addicted to/to be deep into/to be crazy about/to be stuck on/
填める [うずめる] /(v1,vt) (1) to cover/to bury (e.g. one's face in hands)/to submerge/(2) to fill (completely)/to stuff/to pack/to cram/to fill up/
填める [はめる] /(oK) (v1,vt) (1) (uk) to insert/to put in (such that there is a snug fit)/(2) (col) to have sex/to fuck/(3) to pigeonhole (into a particular category)/(4) to place a ring-shaped object around something (esp. one that restricts freedom, such as handcuffs)/(5) to entrap/to set someone up (i.e. frame them for a crime, etc.)/
填め込む [はめこむ] /(v5m,vt) (1) to inlay/to insert/to set/(2) (math) to plug in (to a formula)/to immerse/(3) to trick/to deceive/
填り込む [はまりこむ] /(v5m) (1) to get stuck in/to be mired in/(2) to be addicted to/
填り役 [はまりやく] /(n) well-suited role/
填る [はまる] /(io) (v5r,vi) (1) (uk) to fit/to get into/to go into/(2) (uk) to be fit for (a job, etc.)/to be suited for/to satisfy (conditions)/(3) (uk) to fall into/to plunge into/to get stuck/to get caught/(4) (uk) to be deceived/to be taken in/to fall into a trap/(5) (uk) to be addicted to/to be deep into/to be crazy about/to be stuck on/
填隙 [てんげき] /(n) caulking/
填詞 [てんし] /(n) ci (form of Chinese poetry)/
填補 [てんぽ] /(n,vs) (1) supplementation/replenishment/(2) compensation/indemnification/
填料 [てんりょう] /(n) loading material (for making paper)/filler/
填絮 [まいはだ] /(n) caulking/calking/oakum/
天 [あま] /(n) (1) sky/
天 [あめ] /(n) (1) sky/
天 [てん] /(n) (1) sky/(2) heaven/(3) (Buddh) svarga (heaven-like realm visited as a stage of death and rebirth)/(4) (Buddh) deva (divine being of Buddhism)/(P)/
天かす [てんかす] /(n) tenkasu (crunchy bits of deep-fried dough produced as a byproduct of cooking tempura)/
天から降りる [てんからおりる] /(exp,v1) to fall from heaven (the sky)/
天が下 [あまがした] /(n) the whole country/the public/the world/the ruling power/having one's own way/
天が下 [あめがした] /(n) the whole country/the public/the world/the ruling power/having one's own way/
天つ [あまつ] /(adj-f) (arch) heavenly/imperial/
天つゆ [てんつゆ] /(n) sauce for tempura/
天つ少女 [あまつおとめ] /(n) celestial maiden/
天つ神 [あまつかみ] /(n) heavenly gods/
天つ日嗣 [あまつひつぎ] /(n) imperial throne/
天と地 [てんとち] /(exp) heaven and earth/top and bottom/
天に向かって唾を吐く [てんにむかってつばきをはく] /(exp,v5k) to spit into the wind/in trying to cause harm to another, one invites disaster upon onelself/
天に召される [てんにめされる] /(exp,v1) to die/to ascend to heaven/
天に唾する [てんにつばする] /(exp,vs-s) harming oneself in an attempt to harm someone else (lit: to spit into the air)/
天に二物を与えられた [てんににぶつをあたえられた] /(exp) gifted with two things (usu. beauty and intelligence)/
天ぬき [てんぬき] /(n) (1) tempura soba without the noodles/(exp) (2) missing the vital element/
天の [あまの] /(ok) (adj-f) heavenly/celestial/divine/
天の [あめの] /(adj-f) heavenly/celestial/divine/
天の一角 [てんのいっかく] /(n) point of heaven/corner of the sky/
天の羽衣 [あまのはごろも] /(n) angel's feathered robe/
天の益人 [あまのますひと] /(n) (arch) people/subjects/populace/
天の下 [あめのした] /(n) the whole country/the public/the world/the ruling power/having one's own way/
天の河 [あまのかわ] /(n) Milky Way/
天の河 [あまのがわ] /(n) Milky Way/(P)/
天の岩戸 [あまのいわと] /(n) Gate of the Celestial Rock Cave/
天の恵 [てんのめぐみ] /(io) (exp) God's gift/God's blessing/grace of God/godsend/
天の恵み [てんのめぐみ] /(exp) God's gift/God's blessing/grace of God/godsend/
天の原 [あまのはら] /(n) the sky/the heavens/
天の御柱 [あまのみはしら] /(n) (arch) Ama no Mihashira/the heavenly pillar on Onokoro Island, around which Izanagi and Izanami are said to have wed/
天の使い [てんのつかい] /(n) angel/
天の時は地の利に如かず [てんのときはちのりにしかず] /(exp) (id) no amount of luck triumphs geographical advantage (Mencius)/
天の邪鬼 [あまのじゃく] /(adj-na,n,adj-no) (1) perverse or cussed person/contrarian/(2) antagonistic demon in Japanese folklore/(3) demon under the feet of temple guardian statues/
天の助け [てんのたすけ] /(n) godsend/gift from providence/
天の赤道 [てんのせきどう] /(n) celestial equator/
天の川 [あまのかわ] /(n) Milky Way/
天の川 [あまのがわ] /(n) Milky Way/(P)/
天の美禄 [てんのびろく] /(exp) alcohol/
天の浮き橋 [あまのうきはし] /(n) (arch) Ama no Ukihashi (the heavenly floating bridge; by which gods are said to descend from the heavens to the earth)/
天の浮橋 [あまのうきはし] /(n) (arch) Ama no Ukihashi (the heavenly floating bridge; by which gods are said to descend from the heavens to the earth)/
天の瓊矛 [あまのぬほこ] /(n) (arch) Ama no Nuhoko/the heavenly jeweled spear used by Izanagi and Izanami/
天は自ら助くるものを助く [てんはみずからたすくるものをたすく] /(exp) (id) (obsc) Heaven helps those who help themselves/
天は自ら助くる者を助く [てんはみずからたすくるものをたすく] /(exp) (id) (obsc) Heaven helps those who help themselves/
天は二物を与えず [てんはにぶつをあたえず] /(exp) (id) God does not give two gifts/
天びん [てんびん] /(n) (1) (balance) scales/(2) shoulder carrying pole/(3) steelyard/
天ぷら [てんぷら] /(n) (uk) tempura (por: tempero, temporas)/deep-fried fish and vegetables in a light batter/
天を仰ぎて唾す [てんをあおぎてつばきす] /(exp,v5s) harming oneself in an attempt to harm someone else/spitting at the heavens and having one's spit land back on one's face/
天を摩する [てんをまする] /(exp,vs-s) to soar high (building, etc.)/
天パー [てんパー] /(n) (abbr) naturally curly hair/
天安 [てんあん] /(n) Ten'an era (857.2.21-859.4.15)/
天安門事件 [てんあんもんじけん] /(n) Tiananmen Square Incident/Tiananmen Square Massacre/
天位 [てんい] /(n) imperial throne/
天威 [てんい] /(n) imperial authority/imperial majesty/
天意 [てんい] /(n) divine will/providence/
天為 [てんい] /(n) providential/natural/
天衣 [てんい] /(n) heavenly garment/
天衣無縫 [てんいむほう] /(adj-na,n) perfect beauty with no trace of artifice/flawless/
天井 [てんじょう] /(n) ceiling/ceiling price/(P)/
天井画 [てんじょうが] /(n) decorative ceiling painting/
天井桟敷 [てんじょうさじき] /(n) gallery (in a theatre)/upper gallery/cheap seats/nosebleed section/the gods/
天井扇 [てんじょうせん] /(n) ceiling fan/
天井値 [てんじょうね] /(n) ceiling price/
天井知らず [てんじょうしらず] /(n) skyrocketing (prices)/
天井灯 [てんじょうとう] /(n) ceiling light/
天井抜け [てんじょうぬけ] /(n) skyrocketing (prices)/
天井板 [てんじょういた] /(n) ceiling boards/
天井裏 [てんじょううら] /(n) above the ceiling/
天井棧敷 [てんじょうさじき] /(oK) (n) gallery/
天一 [てんいち] /(n) (abbr) Ten'ichijin/Nakagami/god of fortune in Onmyoudou who descends to the northeast on the 46th day of the sexagenary cycle and completes a clockwise circuit, spending five days on each cardinal point and six days on each ordinal point, returning to heaven from the north on the 30th day of the next sexagenary cycle; travelling in the direction of Ten'ichijin is considered unlucky/
天一神 [てんいちじん] /(n) Ten'ichijin/Nakagami/god of fortune in Onmyoudou who descends to the northeast on the 46th day of the sexagenary cycle and completes a clockwise circuit, spending five days on each cardinal point and six days on each ordinal point, returning to heaven from the north on the 30th day of the next sexagenary cycle; travelling in the direction of Ten'ichijin is considered unlucky/
天一神 [なかがみ] /(n) Ten'ichijin/Nakagami/god of fortune in Onmyoudou who descends to the northeast on the 46th day of the sexagenary cycle and completes a clockwise circuit, spending five days on each cardinal point and six days on each ordinal point, returning to heaven from the north on the 30th day of the next sexagenary cycle; travelling in the direction of Ten'ichijin is considered unlucky/
天一太郎 [てんいちたろう] /(n) (obsc) day of Ten'ichijin's first ascension to heaven in a year (the 30th day of the first sexagenary cycle of the year)/
天一天上 [てんいちてんじょう] /(n) days on which Ten'ichijin is in heaven (the 30th to the 45th days of the sexagenary cycle)/
天引き [てんびき] /(n,vs) lending money and taking advance interest/deduction/
天瓜粉 [てんかふん] /(n) talcum powder/
天運 [てんうん] /(n) destiny/will of Heaven/luck/
天雲 [あまぐも] /(n) clouds in the sky/
天永 [てんえい] /(n) Ten'ei era (1110.7.13-1113.7.13)/
天延 [てんえん] /(n) Ten'en era (973.12.20-976.7.13)/
天応 [てんおう] /(n) Ten'ou era (781.1.1-782.8.19)/
天王 [てんのう] /(n) (1) (Buddh) heavenly king/(2) Gozu Tenno (deity said to be the Indian god Gavagriva)/
天王山 [てんのうざん] /(n) Tennozan Hill/strategic point/
天王星 [てんおうせい] /(n) Uranus (planet)/
天王星 [てんのうせい] /(n) Uranus (planet)/
天恩 [てんおん] /(n) blessings of heaven/favour of emperor/favor of emperor/divination's luckiest day/blessings of nature/
天下 [てんか] /(n) the world/whole country/descent from heaven/having one's own way/the public/the ruling power/(P)/
天下ご免 [てんかごめん] /(n,adj-no) licensed/chartered/officially allowed/legitimate/
天下の景 [てんかのけい] /(n) superlative view/
天下の勝 [てんかのしょう] /(n) beautiful scenery/
天下の台所 [てんかのだいどころ] /(n) The Nonpareil Kitchen/The Kitchen of the Nation (nickname for Osaka)/
天下り [あまくだり] /(n,vs) retiring high-ranking government officials taking a lucrative job in a private or semi-private corporation/(P)/
天下る [あまくだる] /(v5r,vi) to descend from heaven/
天下一 [てんかいち] /(n) unique thing/best on earth/
天下一品 [てんかいっぴん] /(n) best article under heaven/peerless/
天下御免 [てんかごめん] /(n,adj-no) licensed/chartered/officially allowed/legitimate/
天下国家 [てんかこっか] /(n) the world and the nation/the state of the world/high affairs of state/
天下取り [てんかとり] /(n) rule over the whole country/
天下周知 [てんかしゅうち] /(n) common knowledge/widely known/known to everybody/
天下晴れて [てんかはれて] /(adv) right and proper/legal/
天下多事 [てんかたじ] /(n,adj-no) eventful times for the nation (world)/the nation (world) being in turmoil/the storm clouds gathering in the land/
天下太平 [てんかたいへい] /(exp) peaceful and tranquil (uneventful)/peace reigns over the land/halcyon times of peace/
天下泰平 [てんかたいへい] /(exp) peaceful and tranquil (uneventful)/peace reigns over the land/halcyon times of peace/
天下第一 [てんかだいいち] /(n,adj-no) the best in the land/the best of its kind in the country/par excellence in the whole country/
天下統一 [てんかとういつ] /(n,vs) unification of the whole country/
天下分け目 [てんかわけめ] /(n) fateful/decisive (war)/
天下万民 [てんかばんみん] /(n) the whole nation/all the people in the land/
天下無双 [てんかむそう] /(adj-na,adj-no,n) peerless/unequaled/unequalled/
天下無敵 [てんかむてき] /(adj-na,adj-no,n) peerless/unequalled/unequaled/
天下無比 [てんかむひ] /(adj-na,adj-no,n) peerless/unequaled/unequalled/
天下無類 [てんかむるい] /(n,adj-no) peerless (unparalleled, matchless, unequaled) in the country/
天河 [てんが] /(n) the Milky Way/
天火 [てんか] /(n) fire caused by lightning/
天火 [てんぴ] /(n) oven/(waffle) iron/
天花 [てんか] /(n) snow/
天花 [てんけ] /(n) (Buddh) flowers that bloom in the heavens/paper flowers scattered before the Buddha's image/
天花 [てんげ] /(n) (Buddh) flowers that bloom in the heavens/paper flowers scattered before the Buddha's image/
天花粉 [てんかふん] /(n) talcum powder/
天華 [てんか] /(n) snow/
天華 [てんけ] /(n) (Buddh) flowers that bloom in the heavens/paper flowers scattered before the Buddha's image/
天華 [てんげ] /(n) (Buddh) flowers that bloom in the heavens/paper flowers scattered before the Buddha's image/
天蛾 [すずめが] /(n) (uk) hawk moth (any moth of family Sphingidae)/hawkmoth/sphinx moth/
天界 [てんかい] /(n) heaven/the skies/celestial sphere/
天外 [てんがい] /(n) beyond the heavens/farthest regions/furthest regions/
天涯 [てんがい] /(n) horizon/distant land/skyline/heavenly shores/remote region/
天涯孤独 [てんがいこどく] /(n) a person without a single relative/
天涯地角 [てんがいちかく] /(n) two places being far apart/
天涯比隣 [てんがいひりん] /(exp) a great distance does not detract from the feeling (relationship) of endearment/feeling as though a dear one faraway were living in one's close neighborhood/
天涯万里 [てんがいばんり] /(n,adj-no) very far away/the heavenly shores/
天蓋 [てんがい] /(n,adj-no) (1) canopy/dome/(2) priestly minstrel's reed hood/reed hood worn by Komuso priests/
天冠 [てんかん] /(n) (1) imperial coronation crown/(2) celestial crown/crown worn by Buddha and celestial beings/
天冠 [てんがん] /(n) (1) imperial coronation crown/(2) celestial crown/crown worn by Buddha and celestial beings/
天官 [てんかん] /(n) Ministry of State (Zhou-dynasty China)/
天干 [てんかん] /(n) celestial stems (10 signs of the Chinese calendar)/
天漢 [てんかん] /(n) Milky Way/
天眼 [てんがん] /(n) (1) (Buddh) the heavenly eye/(2) (obsc) rolling back one's eyes during convulsions/
天眼 [てんげん] /(n) (1) (Buddh) the heavenly eye/
天眼鏡 [てんがんきょう] /(n) magnifying glass/
天眼通 [てんがんつう] /(n) clairvoyance/
天顔 [てんがん] /(n) emperor's countenance/
天喜 [てんぎ] /(n) Tengi era (1053.1.11-1058.8.29)/
天機 [てんき] /(n) profound secret/emperor's health/the will of heaven/
天気 [てんき] /(n) (1) weather/the elements/(2) fair weather/fine weather/(P)/
天気の崩れ [てんきのくずれ] /(n) break (change for the worse) in the weather/
天気雨 [てんきあめ] /(n) sun shower/sudden rain from a blue sky/
天気運 [てんきうん] /(n) weather conditions/
天気屋 [てんきや] /(n) moody person/temperamental person/fickle person/
天気概況 [てんきがいきょう] /(n) general weather conditions/
天気記号 [てんききごう] /(n) weather symbol/
天気具合 [てんきぐあい] /(n) weather conditions/
天気祭 [てんきまつり] /(n) ceremony held to pray for good weather (during long periods of rain)/
天気祭り [てんきまつり] /(n) ceremony held to pray for good weather (during long periods of rain)/
天気次第 [てんきしだい] /(n) being dependent on what the weather is like/
天気情報 [てんきじょうほう] /(n) weather information/weather report/
天気図 [てんきず] /(n) weather map/
天気相談所 [てんきそうだんしょ] /(n) weather bureau/
天気相談所 [てんきそうだんじょ] /(n) weather bureau/
天気都合 [てんきつごう] /(n) weather conditions/
天気模様 [てんきもよう] /(n) weather conditions/
天気予報 [てんきよほう] /(n) weather forecast/weather report/(P)/
天気輪 [てんきりん] /(n) (1) weather wheel/pillar found near graveyards and temples with a wheel attached to it that can be used to communicate with the dead, as well as for divination/(2) sun pillar/
天宮図 [てんきゅうず] /(n) horoscope/
天泣 [てんきゅう] /(n) rain from a cloudless sky/
天球 [てんきゅう] /(n) celestial sphere/the heavens/
天球儀 [てんきゅうぎ] /(n) celestial globe/armillary sphere/
天球座標 [てんきゅうざひょう] /(n) celestial coordinates/
天球図 [てんきゅうず] /(n) horoscope/
天牛 [かみきりむし] /(n) long-horned beetle/
天業 [てんぎょう] /(n) emperor's work/
天極 [てんきょく] /(n) celestial poles/
天金 [てんきん] /(n) gilt top (book)/
天狗 [てんぐ] /(n) (1) long-nosed goblin/(2) bragging/braggart/
天狗になる [てんぐになる] /(exp,v5r) to get conceited/to become vain/to get stuck up/to get a swollen head/
天狗茸 [てんぐたけ] /(n) (uk) panther cap (species of poisonous mushroom, Amanita pantherina)/
天狗風 [てんぐかぜ] /(n) sudden gust/
天狗話 [てんぐばなし] /(n) boastful story/
天狗蝙蝠 [てんぐこうもり] /(n) (uk) greater tube-nosed bat (Murina leucogaster)/
天空 [てんくう] /(n) sky/air/ether/firmament/
天空海闊 [てんくうかいかつ] /(n) the open sky and the serene sea/as open as the sky and serene as the sea/magnanimous/
天空海濶 [てんくうかいかつ] /(n) the open sky and the serene sea/as open as the sky and serene as the sea/magnanimous/
天軍 [てんぐん] /(n) heavenly hosts/
天刑 [てんけい] /(n) divine punishment/
天刑病 [てんけいびょう] /(n) (obsc) (sens) Hansen's disease/leprosy/
天啓 [てんけい] /(n,adj-no) (divine) revelation/divine oracle/
天恵 [てんけい] /(n) Heaven's blessing/gift of nature/natural resources/
天慶 [てんぎょう] /(n) Tengyou era (938.5.22-947.4.22)/
天慶 [てんけい] /(n) (obsc) Tenkei era, Tengyou era (938.5.22-947.4.22)/
天警 [てんけい] /(n) heaven-sent warning/
天険 [てんけん] /(n) natural defences/natural defenses/steep place/
天険に拠る [てんけんによる] /(exp,v5r) to hold a mountain fortress/
天元 [てんげん] /(n) (1) central black dot on a go board/(2) Tengen era (978.11.29-983.4.15)/
天減 [てんびき] /(n,vs) lending money and taking advance interest/deduction/
天狐 [てんこ] /(n) high ranking kitsune (fox spirit)/
天候 [てんこう] /(n) weather/(P)/
天候相場 [てんこうそうば] /(n) weather-driven market/weather-dependent market/
天候不順 [てんこうふじゅん] /(n) unseasonable weather/fickle weather/bad weather/
天后 [てんこう] /(n) queen of heaven/
天工 [てんこう] /(n) work of nature/
天皇 [すめらぎ] /(n) Emperor of Japan/
天皇 [すめろぎ] /(n) Emperor of Japan/
天皇 [てんのう] /(n) Emperor of Japan/(P)/
天皇家 [てんのうけ] /(n) the Imperial Family/
天皇旗 [てんのうき] /(n) Imperial Standard/
天皇機関説 [てんのうきかんせつ] /(n) theory of the Emperor as an organ of government/
天皇賜杯 [てんのうしはい] /(n) Emperor's Cup/trophy given to sumo tournament winners/
天皇人間宣言 [てんのうにんげんせんげん] /(n) Imperial Declaration of Humanity (wherein Hirohito renounced the imperial claim to divinity; Jan. 1, 1946)/
天皇崇拝 [てんのうすうはい] /(n) emperor worship/
天皇制 [てんのうせい] /(n) the Emperor System/(P)/
天皇誕生日 [てんのうたんじょうび] /(n) Emperor's Birthday Holiday (Dec 23rd) (Emperor Shouwa's was April 29th)/
天皇杯 [てんのうはい] /(n) Emperor's trophy/
天皇陛下 [てんのうへいか] /(n) His Majesty the Emperor/(P)/
天降り [あまくだり] /(n,vs) command to an inferior/
天降る [あまくだる] /(v5r,vi) to descend from heaven/
天高く馬肥ゆる秋 [てんたかくうまこゆるあき] /(exp) (id) Autumn with the sky clear and blue, and horses growing stout/
天国 [てんごく] /(n,adj-no) paradise/heaven/Kingdom of Heaven/(P)/
天才 [てんさい] /(n) genius/prodigy/natural gift/(P)/
天才と狂人は紙一重 [てんさいときょうじんはかみひとえ] /(exp) (col) there's but a fine line between genius and insanity/
天才児 [てんさいじ] /(n) child prodigy/
天才的 [てんさいてき] /(adj-na) talented/gifted/prodigious/virtuoso/masterful/
天才肌 [てんさいはだ] /(n) genius/
天災 [てんさい] /(n) natural calamity/disaster/(P)/
天災地変 [てんさいちへん] /(n) natural disaster/
天際 [てんさい] /(n) horizon/
天産 [てんさん] /(n) natural products/
天産物 [てんさんぶつ] /(n) natural products/
天蚕 [てんさん] /(n) (uk) Japanese oak silkmoth (Antheraea yamamai)/
天蚕 [やままゆ] /(n) (uk) Japanese oak silkmoth (Antheraea yamamai)/
天蚕糸 [てぐす] /(n) silkworm gut/catgut/
天使 [てんし] /(n) angel/(P)/
天子 [てんし] /(n) the emperor/
天子の座 [てんしのざ] /(n) throne/
天師道 [てんしどう] /(n) Way of the Celestial Masters (ancient Chinese Daoist movement orig. known as The Way of the Five Pecks of Rice)/
天糸瓜 [へちま] /(gikun) (n) (1) sponge gourd/dishcloth gourd/loofah/(2) sponge cucumber/(3) (metaphorically, generally in negative sentences) something useless/
天資 [てんし] /(n) nature/natural elements/
天資英邁 [てんしえいまい] /(n) highly gifted/
天賜 [てんし] /(n) heavenly gift/imperial gift/
天治 [てんじ] /(n) Tenji era (1124.4.3-1126.1.22)/
天爾遠波 [てにをは] /(n) postpositions/particles/
天爾乎波 [てにをは] /(n) postpositions/particles/
天竺 [てんじく] /(n) (1) (obs) India/(2) (abbr) cotton sheeting/(n-pref) (3) foreign/imported/(4) ultra-spicy/extra hot/
天竺葵 [てんじくあおい] /(n) geranium/
天竺牡丹 [てんじくぼたん] /(n) dahlia/
天竺楽 [てんじくがく] /(n) (arch) gagaku of Indian origin/
天竺鼠 [てんじくねずみ] /(n) (uk) guinea pig (any of five guinea pig species, esp. Cavia porcellus)/
天竺木綿 [てんじくもめん] /(n) cotton sheeting/
天竺浪人 [てんじくろうにん] /(n) wandering lordless samurai/
天軸 [てんじく] /(n) celestial axis/
天質 [てんしつ] /(n) natural talents/
天赦日 [てんしゃにち] /(n) auspicious day for any activity (according to the koyomi)/
天社蛾 [しゃちほこが] /(n) (uk) lobster moth (Stauropus fagi persimilis)/
天邪鬼 [あまのじゃく] /(adj-na,n,adj-no) (1) perverse or cussed person/contrarian/(2) antagonistic demon in Japanese folklore/(3) demon under the feet of temple guardian statues/
天邪久 [あまのじゃく] /(adj-na,n,adj-no) (1) perverse or cussed person/contrarian/(2) antagonistic demon in Japanese folklore/(3) demon under the feet of temple guardian statues/
天爵 [てんしゃく] /(n) true merit/natural nobility/
天主 [てんしゅ] /(n) Lord of Heaven/God/
天主教 [てんしゅきょう] /(n) (Roman) Catholicism/
天守 [てんしゅ] /(n) castle tower/
天守閣 [てんしゅかく] /(n) castle tower/keep/donjon/
天手古舞 [てんてこまい] /(ateji) (n,vs) whirl of busyness/humming with activity/bustling activity/
天手古舞い [てんてこまい] /(ateji) (n,vs) whirl of busyness/humming with activity/bustling activity/
天寿 [てんじゅ] /(n) (1) natural span of life/(2) 250 years old/(P)/
天授 [てんじゅ] /(n) (1) natural gifts/(2) Tenju era (of the Southern Court) (1375.5.27-1381.2.10)/
天重 [てんじゅう] /(n) box lunch with tempura/
天助 [てんじょ] /(n) divine aid/
天女 [てんにょ] /(n) heavenly nymph/celestial maiden/
天承 [てんしょう] /(n) Tenshou era (1131.129-1132.8.11)/
天照皇大神 [あまてらすおおみかみ] /(n) Sun Goddess/Amaterasu Oomikami/
天照皇大神 [てんしょうこうだいじん] /(n) Sun Goddess/Amaterasu Oomikami/
天照大御神 [あまてらすおおみかみ] /(n) Sun Goddess/Amaterasu Oomikami/
天照大神 [あまてらすおおみかみ] /(n) Sun Goddess/Amaterasu Oomikami/
天象 [てんしょう] /(n) weather/astronomical phenomena/
天象儀 [てんしょうぎ] /(n) planetarium/
天上 [てんじょう] /(n,vs,adj-no) the heavens/
天上界 [てんじょうかい] /(n) celestial world/heaven/
天上川 [てんじょうがわ] /(n) river raised above the surrounding land/
天上天下 [てんじょうてんげ] /(n,n-adv) the whole world/throughout heaven and earth/
天壌 [てんじょう] /(n) heaven and earth/
天壌無窮 [てんじょうむきゅう] /(n) as eternal as heaven and earth/
天職 [てんしょく] /(n) (1) vocation/lifework/calling/(2) sacred task (esp. the emperor's rule over the nation)/(3) prostitute of the second-highest class (Edo period)/
天色 [てんしょく] /(n) weather/sky colour/sky color/
天心 [てんしん] /(n) zenith/divine will/providence/
天真 [てんしん] /(adj-na,n) naivete/
天真流露 [てんしんりゅうろ] /(n) manifestation (revelation) of one's natural sincerity (naivete)/
天真爛漫 [てんしんらんまん] /(uK) (adj-na,adj-t,adv-to,n) naivete/simplicity/innocence/
天神 [てんじん] /(n) (1) heavenly god/heavenly gods/(2) spirit of Sugawara no Michizane/(3) Tenmangu shrine (dedicated to Michizane's spirit)/(4) (col) pit of a dried plum/dried plum/(5) (abbr) tenjin hairstyle/(6) prostitute of the second-highest class (Edo period)/(P)/
天神七代 [てんじんしちだい] /(n) seven generations of celestial deities/
天神地祇 [てんしんちぎ] /(n) gods of heaven and earth/
天神地祇 [てんじんちぎ] /(n) gods of heaven and earth/
天神地祗 [てんじんちぎ] /(n) the gods of heaven and earth/
天神髭 [てんしんひげ] /(n) goatee/drooping moustache/
天神髷 [てんじんまげ] /(n) tenjin hairstyle/
天人 [てんじん] /(n) nature and man/God and man/celestial being/celestial maiden/
天人 [てんにん] /(n) nature and man/God and man/celestial being/celestial maiden/
天人鳥 [てんにんちょう] /(n) (uk) pin-tailed whydah (species of weaverbird, Vidua macroura)/
天仁 [てんにん] /(n) Tennin era (1108.8.3-1110.7.13)/
天水 [てんすい] /(n) rain water/
天水桶 [てんすいおけ] /(n) rain barrel/
天性 [てんせい] /(n-adv,n-t) nature/natural constitution/innate disposition/(P)/
天成 [てんせい] /(n) (product of) nature/born (musician)/
天成の美 [てんせいのび] /(n) natural beauty/
天晴 [あっぱれ] /(adj-na,n) (1) (uk) splendid/praiseworthy/admirable/brilliant/(int) (2) (uk) well done!/bravo!/
天晴れ [あっぱれ] /(adj-na,n) (1) (uk) splendid/praiseworthy/admirable/brilliant/(int) (2) (uk) well done!/bravo!/
天正 [てんしょう] /(n) Tenshou era (1573.7.28-1592.12.8)/
天正カルタ [てんしょうカルタ] /(n) Portuguese card game popular in Japan during the late 16th century/
天正大判 [てんしょうおおばん] /(n) oval gold coin struck by Toyotomi Hideyoshi in 1588/
天生 [てんせい] /(n) naturally occurring/nature/disposition/vocation/calling/
天声 [てんせい] /(n) heavenly voice/
天声人語 [てんせいじんご] /(exp) vox populi, vox dei (the people's voice is the voice of God)/
天仙果 [いぬびわ] /(n) (uk) Ficus erecta (species of ficus)/
天然 [てんねん] /(n,adj-no) (1) nature/spontaneity/(2) (abbr) natural airhead/(P)/
天然に [てんねんに] /(adv) naturally/spontaneously/
天然ぼけ [てんねんぼけ] /(n) natural airhead/person prone to making silly mistakes/
天然ウラン [てんねんウラン] /(n) natural uranium/
天然ガス [てんねんガス] /(n) natural gas/(P)/
天然キャラ [てんねんキャラ] /(n) (abbr) (sl) natural airhead/person prone to making silly mistakes/
天然ゴム [てんねんゴム] /(n) natural rubber/India rubber/caoutchouc/
天然パーマ [てんねんパーマ] /(n) naturally curly hair/
天然ボケ [てんねんボケ] /(n) natural airhead/person prone to making silly mistakes/
天然塩 [てんねんえん] /(n) natural salt/
天然果汁 [てんねんかじゅう] /(n) natural fruit juice/
天然記念物 [てんねんきねんぶつ] /(n) (1) natural monument/(2) protected species (animal, habitat, etc.)/(P)/
天然型 [てんねんがた] /(n) natural form (of a vitamin, etc)/native form/naturally occurring/
天然港 [てんねんこう] /(n) natural harbor/natural harbour/
天然香料 [てんねんこうりょう] /(n) natural perfume/naturally fragrances/
天然惚け [てんねんぼけ] /(n) natural airhead/person prone to making silly mistakes/
天然資源 [てんねんしげん] /(n) natural resources/
天然資源保護論者 [てんねんしげんほごろんしゃ] /(n) conservationist/
天然自然 [てんねんしぜん] /(n,adj-no) (1) natural/(n-adv) (2) naturally/
天然硝子 [てんねんがらす] /(n) natural glass/
天然硝子 [てんねんしょうし] /(n) natural glass/
天然色 [てんねんしょく] /(n) natural colour/natural color/technicolor/
天然色写真 [てんねんしょくしゃしん] /(n) color photo/colour photo/
天然染料 [てんねんせんりょう] /(n) natural dye/
天然痘 [てんねんとう] /(n) smallpox/variola/(P)/
天然保湿因子 [てんねんほしついんし] /(n) natural moisturizing factor/NMF/
天然放射性同位体 [てんねんほうしゃせいどういたい] /(n) natural radioisotope/
天祖 [てんそ] /(n) the ancestral Sun Goddess/
天鼠子 [くすね] /(n) boiled pine pitch and oil (traditionally used as a glue in archery, etc.)/
天鼠矢 [くすね] /(n) boiled pine pitch and oil (traditionally used as a glue in archery, etc.)/
天叢雲剣 [あまのむらくものつるぎ] /(n) Ama-no-Murakumo no Tsurugi (heavenly gathering of clouds sword; one of the three Imperial regalia)/
天窓 [てんまど] /(n) skylight/
天草 [てんぐさ] /(n) (uk) any red algae in the family Gelidiaceae (esp. Gelidium crinale)/
天則 [てんそく] /(n) natural law/rule of heaven/
天測 [てんそく] /(n) astronomical observation/shooting the sun/
天孫 [すめみま] /(n) (1) (arch) grandchild of Amaterasu (i.e. Ninigi no Mikoto)/(2) descendant of Amaterasu/person of imperial lineage/emperor/
天孫 [てんそん] /(n) descendant of a god/heavenly grandson/
天孫降臨 [てんそんこうりん] /(n) the descent to earth of the grandson of the sun goddess/
天体 [てんたい] /(n,adj-no) heavenly body/(P)/
天体核 [てんたいかく] /(n) nuclear astrophysics/
天体学 [てんたいがく] /(n) uranography/
天体観測 [てんたいかんそく] /(n) astronomical observation/
天体座標 [てんたいざひょう] /(n) (obsc) celestial coordinates/
天体写真 [てんたいしゃしん] /(n,adj-no) photograph of an astral body/
天体写真術 [てんたいしゃしんじゅつ] /(n) astrophotography/
天体図 [てんたいず] /(n) star map/
天体崇拝 [てんたいすうはい] /(n) star worship/astrolatry/
天体物理学 [てんたいぶつりがく] /(n) astro-physics/astrophysics/
天体分光術 [てんたいぶんこうじゅつ] /(n) astronomical spectroscopy/
天体望遠鏡 [てんたいぼうえんきょう] /(n) astronomical telescope/
天体力学 [てんたいりきがく] /(n) celestial mechanics/
天体暦 [てんたいれき] /(n) astronomical ephemeris/ephemeris/
天袋 [てんぶくろ] /(n) storage space above closet/
天台 [てんだい] /(n) Buddhist sect (fr. 8th C)/
天台宗 [てんだいしゅう] /(n) Tendai sect (of Buddhism)/
天台神道 [てんだいしんとう] /(n) (obsc) Tendai Shinto (alt. name for Hie Shinto: a form of Shinto heavily influenced by Tendai)/
天地 [あめつち] /(n) (1) heaven and earth/the universe/nature/top and bottom/realm/sphere/world/(2) gods of heaven and earth/
天地 [てんち] /(n) (1) heaven and earth/the universe/nature/top and bottom/realm/sphere/world/(2) top and bottom/(P)/
天地晦冥 [てんちかいめい] /(exp) The world is covered in darkness/All is plunged into darkness/
天地開闢 [てんちかいびゃく] /(n) creation of heaven and earth/
天地玄黄 [てんちげんこう] /(exp) Heaven is black and earth is yellow/heaven and earth/
天地神明 [てんちしんめい] /(n) the gods of heaven and earth/
天地人 [てんちじん] /(n) heaven, earth and man/
天地創造 [てんちそうぞう] /(n) creation/
天地長久 [てんちちょうきゅう] /(exp) Heaven and earth are eternal/
天地万物 [てんちばんぶつ] /(n) the whole creation/everything in heaven and earth/
天地無用 [てんちむよう] /(n) this side up/
天地鳴動 [てんちめいどう] /(n,vs) rumbling and shaking of the earth/
天地有情 [てんちうじょう] /(n) the sentient world/all sentiment beings/
天柱 [てんじ] /(n) (obsc) tuning peg (of a shamisen, etc.)/
天柱 [てんちゅう] /(n) pillars supporting heaven/
天朝 [てんちょう] /(n) (pol) imperial court/
天聴 [てんちょう] /(n) emperor's knowledge/
天長 [てんちょう] /(n) Tenchou era (824.1.5-834.1.3)/
天長節 [てんちょうせつ] /(n) Emperor's Birthday (national holiday held from 1868 to 1948)/
天長地久 [てんちょうちきゅう] /(n) coeval with heaven and earth/
天頂 [てんちょう] /(n,adj-no) zenith/vertex/
天頂儀 [てんちょうぎ] /(n) zenith telescope/
天頂距離 [てんちょうきょり] /(n) the zenith distance/
天頂点 [てんちょうてん] /(n) zenith/
天津 [あまつ] /(adj-f) (arch) heavenly/imperial/
天津乙女 [あまつおとめ] /(n) celestial maiden/
天津御姉 [あまつみこ] /(n) emperor/
天津御祖 [あまつみおや] /(n) imperial ancestor/
天津条約 [てんしんじょうやく] /(n) Treaty of Tianjin (1858, 1885, 1885)/
天津神 [あまつかみ] /(n) heavenly gods/
天津日嗣 [あまつひつぎ] /(n) imperial throne/
天津飯 [てんしんはん] /(n) "Chinese" dish of Japanese origin/
天津鞴韜 [あまつたたら] /(n) (Buddh) bellows (of the) imperial harbor/Shinto Buddhist doctrines/
天津鞴韜 [てんしんふくとう] /(n) (Buddh) bellows (of the) imperial harbor/Shinto Buddhist doctrines/
天帝 [てんてい] /(n) Lord/God/Creator/Heavenly King/
天帝星 [てんていせい] /(n) (obsc) Polaris/north star/
天底 [てんてい] /(n) nadir/
天敵 [てんてき] /(n) natural enemy/
天敵関係 [てんてきかんけい] /(n) relationship of being natural enemies/
天動説 [てんどうせつ] /(n) Ptolemaic theory/
天堂 [てんどう] /(n) heaven/paradise/
天童 [てんどう] /(n) cherub/gods disguised as children/children parading as cherubs/
天道 [あまじ] /(n) (1) (Buddh) deva realm (svarga)/(2) path in the heavens/
天道 [てんとう] /(n) (1) the sun/(2) god of heaven and the earth/(3) laws governing the heavens/(4) celestial path/celestial motion/(5) (Buddh) deva realm (svarga)/
天道 [てんどう] /(n) (1) the sun/(2) god of heaven and the earth/(3) laws governing the heavens/(4) celestial path/celestial motion/(5) (Buddh) deva realm (svarga)/
天道乾 [てんとうぼし] /(adj-no) sun-dried/
天道干し [てんとうぼし] /(adj-no) sun-dried/
天道虫 [てんとうむし] /(n) (uk) ladybug/ladybird/
天道様 [てんとうさま] /(n) the sun/providence/god/
天徳 [てんとく] /(n) Tentoku era (957.10.27-961.2.16)/
天南星 [てんなんしょう] /(n) (uk) jack-in-the-pulpit/cobra lily (plant of genus Arisaema)/
天日 [てんじつ] /(n) the sun/sunlight/
天日 [てんぴ] /(n) the sun/sunlight/
天日塩 [てんじつえん] /(n) sun-dried salt/
天日塩 [てんぴしお] /(n) sun-dried salt/
天日瓦 [てんじつがわら] /(n) sun-dried brick/adobe/
天日乾燥 [てんじつかんそう] /(n,vs) sun drying/drying in the sun/
天日干し [てんぴぼし] /(n,vs,adj-no) sun drying/solar drying/
天日法 [てんぴほう] /(n) solar-evaporation process (in salt making)/
天馬 [てんば] /(n) flying horse/Pegasus/
天馬 [てんま] /(n) flying horse/Pegasus/
天馬空を行く [てんばくうをいく] /(exp,v5k-s) to advance unobstructed/
天杯 [てんぱい] /(n) emperor's gift cup/
天盃 [てんぱい] /(n) emperor's gift cup/
天秤 [てんびん] /(n) (1) (balance) scales/(2) shoulder carrying pole/(3) steelyard/
天秤にかける [てんびんにかける] /(exp,v1) (1) to compare and contrast two alternatives/to weigh the relative merits of A and B/to weigh one's options/(2) to try to have it both ways/to try to sit on two stools/
天秤に掛ける [てんびんにかける] /(exp,v1) (1) to compare and contrast two alternatives/to weigh the relative merits of A and B/to weigh one's options/(2) to try to have it both ways/to try to sit on two stools/
天秤宮 [てんびんきゅう] /(n) Libra (7th zodiacal sign)/the Scales/
天秤座 [てんびんざ] /(n) (constellation) Libra/the Scales/
天秤棒 [てんびんぼう] /(n) shoulder carrying pole/
天罰 [てんばつ] /(n) divine punishment/wrath of God/justice of heaven/
天罰が下る [てんばつがくだる] /(exp,v5r) to receive divine punishment/
天罰覿面 [てんばつてきめん] /(n) the certainty of divine punishment/Swift is Heaven's vengeance/
天抜き [てんぬき] /(n) (1) tempura soba without the noodles/(exp) (2) missing the vital element/
天板 [てんいた] /(n) (1) countertop/tabletop/
天板 [てんばん] /(n) (1) countertop/tabletop/
天板 [てんぱん] /(n) (1) countertop/tabletop/(2) baking tray/baking sheet/
天婦羅 [てんぷら] /(n) (uk) tempura (por: tempero, temporas)/deep-fried fish and vegetables in a light batter/
天府 [てんぷ] /(n) fertile land/deep scholarship/
天父 [てんぷ] /(n) Heavenly Father/
天賦 [てんぷ] /(n) natural talent/natural gift/endowment/
天賦の才 [てんぷのさい] /(exp) innate ability/innate talent/natural gift/
天賦の才能 [てんぷのさいのう] /(exp) innate ability/innate talent/natural gift/
天賦人権 [てんぷじんけん] /(n) natural rights of man/
天部 [てんぶ] /(n) (Buddh) gods of the heavens/
天福 [てんぷく] /(n) (1) heavenly blessing/(2) Tempuku era (1233.4.15-1234.11.5)/
天分 [てんぶん] /(n) one's nature/talents/destiny/mission/sphere of activity/
天文 [てんぶん] /(n,adj-no) Tembun era (1532.7.29-1555.10.23)/
天文 [てんもん] /(n) astronomy/(P)/
天文家 [てんもんか] /(n) astronomer/
天文学 [てんもんがく] /(n) astronomy/(P)/
天文学者 [てんもんがくしゃ] /(n) astronomer/
天文学的 [てんもんがくてき] /(adj-na) astronomical/
天文学的数字 [てんもんがくてきすうじ] /(n) astronomical figure/astronomical number/
天文航法 [てんもんこうほう] /(n) celestial navigation/
天文台 [てんもんだい] /(n) astronomical observatory/(P)/
天文単位 [てんもんたんい] /(n) astronomical unit/AU/
天文天頂 [てんもんてんちょう] /(n) astronomical zenith/
天文博士 [てんもんはかせ] /(n) (arch) (ritsuryo system) teacher responsible for training in astronomy, astrology, calendar-making, etc./
天文方 [てんもんかた] /(n) (arch) Edo period office in charge of compiling the koyomi, astronomical measurements, surveying, translating Western books, etc./
天聞 [てんぶん] /(n) emperor's knowledge/
天兵 [てんぺい] /(n) the Imperial Army/heaven-send army/
天平 [てんびょう] /(n) Tempyou era (729.8.5-749.4.14)/Tembyou era/Tenhei era/
天平 [てんびん] /(n) (1) (balance) scales/(2) shoulder carrying pole/(3) steelyard/
天平 [てんぴょう] /(n) Tempyou era (729.8.5-749.4.14)/Tembyou era/Tenhei era/
天平 [てんへい] /(n) Tempyou era (729.8.5-749.4.14)/Tembyou era/Tenhei era/
天平感宝 [てんびょうかんぽう] /(n) Tempyou-kampou era (749.4.14-749.7.2)/Tembyou-kampou era/
天平感宝 [てんぴょうかんぽう] /(n) Tempyou-kampou era (749.4.14-749.7.2)/Tembyou-kampou era/
天平時代 [てんぴょうじだい] /(n) Tempyo period (esp. used as a period of art history, 710-794 CE)/
天平尺 [てんぴょうじゃく] /(n) (arch) Tempyou shaku (approx. 29.6 cm)/
天平勝宝 [てんぴょうしょうほう] /(n) Tempyou-shouhou era (749.7.2-757.8.18)/
天平神護 [てんぴょうじんご] /(n) Tempyou-jingo era (765.1.7-767.8.16)/
天平宝字 [てんぴょうほうじ] /(n) Tempyou-houji era (757.8.18-765.1.7)/
天変 [てんぺん] /(n) natural calamity/striking phenomena in heaven and earth/
天変地異 [てんぺんちい] /(n) natural disaster/cataclysm/
天変地異説 [てんぺんちいせつ] /(n) catastrophism/
天変地妖 [てんぺんちよう] /(n) (arch) natural disaster/
天変地夭 [てんぺんちよう] /(n) (arch) natural disaster/
天辺 [てっぺい] /(ok) (n) top/summit/apex/peak/
天辺 [てっぺん] /(n) top/summit/apex/peak/(P)/
天辺 [てへん] /(ok) (n) top/summit/apex/peak/
天辺 [てんぺん] /(n) high in the sky/highest heaven/
天辺押 [てっぺいおし] /(io) (n,adj-no) (arch) pressing forward without giving a chance to explain/
天辺押し [てっぺいおし] /(n,adj-no) (arch) pressing forward without giving a chance to explain/
天遍 [てんぺん] /(n) natural calamity/striking phenomena in heaven and earth/
天保 [てんぽう] /(n) Tempou era (1830.12.10-1844.12.2)/
天保の改革 [てんぽうのかいかく] /(n) Tempo Reforms (series of goverment measures, 1841-1843 CE)/
天保の大飢饉 [てんぽうのだいききん] /(n) Great Tempo Famine/
天保年間 [てんぽうねんかん] /(n) Tempou era (1830.12.10-1844.12.2)/
天保暦 [てんぽうれき] /(n) Japan's last lunisolar calendar (in use from 1844 to 1872)/
天鳳 [てんほう] /(n) mahjong hand in which the dealer goes out immediately/
天魔 [てんま] /(n) demon/evil spirit/
天幕 [てんまく] /(n) curtain/tent/pavilion/
天幕製造人 [てんまくせいぞうにん] /(n) tentmaker/
天幕造り [てんまくづくり] /(n) tentmaker/
天満宮 [てんまんぐう] /(n) Tenmangu shrine (shrine dedicated to Sugawara no Michizane's spirit)/(P)/
天命 [てんめい] /(n) God's will/karma/destiny/Heaven's decree/one's life/
天明 [てんめい] /(n) (1) dawn/daybreak/(2) Temmei era (1781.4.2-1789.1.25)/
天明調 [てんめいちょう] /(n) (1) style of haikai or haiku from the Tenmei era (based on a return to the style of Basho)/(2) style of comical tanka from the Tenmei era (popularized by Oota Nampo)/
天面 [てんめん] /(n) upper surface/top side/
天網 [てんもう] /(n) heaven's vengeance/heaven's net/
天網恢々 [てんもうかいかい] /(exp) heaven's vengeance is slow but sure/heaven's net is wide and coarse, yet nothing slips through/
天網恢恢 [てんもうかいかい] /(exp) heaven's vengeance is slow but sure/heaven's net is wide and coarse, yet nothing slips through/
天網恢恢疎にして漏らさず [てんもうかいかいそにしてもらさず] /(exp) Heaven's net has large meshes, but nothing escapes/
天目 [てんもく] /(n) bowl with a wide brim and a narrow base (tea ceremony)/
天目山 [てんもくざん] /(n) line between victory and defeat/
天目台 [てんもくだい] /(n) stand for tea bowls (tea ceremony)/
天門冬 [てんもんどう] /(n) dried Chinese asparagus root/
天佑 [てんゆう] /(n) divine aid/divine grace/providential help/
天佑神助 [てんゆうしんじょ] /(n) divine grace/God's help/
天祐 [てんゆう] /(n) divine aid/divine grace/providential help/
天与 [てんよ] /(n) godsend/heaven's gift/
天与の資 [てんよのし] /(n) natural endowment/natural ability/
天養 [てんよう] /(n) Ten'you era (1144.2.23-1145.7.22)/
天来 [てんらい] /(n,adj-no) heavenly/divine/inspired/heaven sent/
天雷 [てんらい] /(n) thunder/
天覧 [てんらん] /(n) imperial inspection/
天覧試合 [てんらんじあい] /(n) game held with the Emperor in attendance/
天覧相撲 [てんらんずもう] /(n) sumo wrestling performed in imperial presence/
天理 [てんり] /(n) natural laws/rule of heaven/(P)/
天理教 [てんりきょう] /(n) the Tenri sect/
天理人情 [てんりにんじょう] /(n) the laws of nature and humanity/
天理人道 [てんりじんどう] /(n) the laws of nature and humanity/
天竜八部衆 [てんりゅうはちぶしゅう] /(n) (Buddh) the eight legions (devas, nagas, yaksas, gandharvas, asuras, garudas, kimnaras, mahoragas)/
天龍八部衆 [てんりゅうはちぶしゅう] /(n) (Buddh) the eight legions (devas, nagas, yaksas, gandharvas, asuras, garudas, kimnaras, mahoragas)/
天領 [てんりょう] /(n) imperial fief/shogunate control/
天暦 [てんりゃく] /(n) Tenryaku era (947.4.22-957.10.27)/
天路 [あまじ] /(n) (1) (Buddh) deva realm (svarga)/(2) path in the heavens/
天路歴程 [てんろれきてい] /(n) Pilgrim's Progress/
天狼 [てんろう] /(n) (obsc) Sirius/the Dog Star/
天狼星 [てんろうせい] /(n) the Dog Star/Sirius/
天禄 [てんろく] /(n) Tenroku era (970.3.25-973.12.20)/
天和 [てんな] /(n) Tenna era (1681.9.29-1684.2.21)/
天和 [てんほう] /(n) mahjong hand in which the dealer goes out immediately/
天和 [てんわ] /(n) (obsc) Tenwa era, Tenna era (1681.9.29-1684.2.21)/
天丼 [てんどん] /(n) tempura served over a bowl of rice/
天嶮 [てんけん] /(n) natural defences/natural defenses/steep place/
天滓 [てんかす] /(n) tenkasu (crunchy bits of deep-fried dough produced as a byproduct of cooking tempura)/
天稟 [てんぴん] /(n) natural talents/
天籟 [てんらい] /(n) (1) sound of wind/(2) beautiful poetry/
天翔ける [あまかける] /(io) (v5r,vi) to soar (esp. of spirits and gods)/
天翔ける [あまがける] /(io) (v5r,vi) to soar (esp. of spirits and gods)/
天翔る [あまかける] /(v5r,vi) to soar (esp. of spirits and gods)/
天翔る [あまがける] /(v5r,vi) to soar (esp. of spirits and gods)/
天蠍宮 [てんかつきゅう] /(n) Scorpio (8th zodiacal sign)/the Scorpion/
天誅 [てんちゅう] /(n) heaven's (well-deserved) punishment/
天譴 [てんけん] /(n) divine punishment/
天鵝絨 [てんがじゅう] /(ateji) (n,adj-no) (uk) velvet (por: veludo)/
天鵝絨 [びろうど] /(ateji) (n,adj-no) (uk) velvet (por: veludo)/
天鵞絨 [てんがじゅう] /(ateji) (n,adj-no) (uk) velvet (por: veludo)/
天鵞絨 [びろうど] /(ateji) (n,adj-no) (uk) velvet (por: veludo)/
天麩羅 [てんぷら] /(n) (uk) tempura (por: tempero, temporas)/deep-fried fish and vegetables in a light batter/
展 [てん] /(suf) (abbr) exhibition/exhibit/
展べる [のべる] /(v1,vt) (1) to lay out (a futon)/to make (bed)/to spread out/to stretch/to widen/
展開 [てんかい] /(n,vs) (1) development/evolution/unfolding/(2) expansion/deployment/building up/(P)/
展開結果 [てんかいけっか] /(n) (comp) result of an expansion (filename, e.g.)/
展開図 [てんかいず] /(n) (math) development/development view/
展観 [てんかん] /(n,vs) exhibit/
展示 [てんじ] /(n,vs) exhibition/display/(P)/
展示会 [てんじかい] /(n) exhibition/(P)/
展示場 [てんじじょう] /(n) exhibition hall (room, area)/
展示即売会 [てんじそくばいかい] /(n) exhibition and sale (of paintings)/display with the exhibits on sale/
展示品 [てんじひん] /(n) goods on display/(an) exhibit/exhibition (of goods)/
展示物 [てんじぶつ] /(n) display items/
展性 [てんせい] /(n,adj-no) malleability/
展転 [てんてん] /(n,vs) (1) rolling about/(2) tossing and turning (in bed)/jactitation/jactation/
展転反側 [てんてんはんそく] /(n,vs) tossing and turning in bed/turning over in bed worrying over something/
展墓 [てんぼ] /(n) visiting a grave/
展望 [てんぼう] /(n,vs) view/outlook/prospect/(P)/
展望車 [てんぼうしゃ] /(n) observation car/
展望絶佳 [てんぼうぜっか] /(n,adj-na) scenic beauty/magnificent (spectacular) view/
展望台 [てんぼうだい] /(n) viewing platform/
展望塔 [てんぼうとう] /(n) conning tower/
展覧 [てんらん] /(n,vs,adj-no) exhibition/show/
展覧会 [てんらんかい] /(n) exhibition/(P)/
展覧会に出す [てんらんかいにだす] /(exp,v5s) to send to an exhibition/
展覧会場 [てんらんかいじょう] /(n) show-room/
店 [たな] /(n) (1) (abbr) merchant's home/(2) rented home/(3) store/shop/
店 [てん] /(n-suf) -store/-shop/(P)/
店 [みせ] /(n) store/shop/establishment/(P)/
店じまい [みせじまい] /(n,vs) closing up shop/stopping business/going out of business/
店の上がり [みせのあがり] /(n) income from a shop/
店を開く [みせをひらく] /(exp,v5k) to open a business/
店員 [てんいん] /(n,adj-no) shop assistant/employee/clerk/salesperson/(P)/
店屋 [みせや] /(n) store/shop/
店屋物 [てんやもの] /(n) take-out (food)/
店卸 [たなおろし] /(n,vs) stock taking/inventory count/
店卸し [たなおろし] /(n,vs) stock taking/inventory count/
店開き [みせびらき] /(n,vs) opening a store/starting a business/(P)/
店構え [みせがまえ] /(n) store's appearance (esp. shop front, signs, etc.)/
店晒し [たなざらし] /(n) (sl) shopworn goods/dead stock/shelf warmer/
店仕舞 [みせじまい] /(n,vs) closing up shop/stopping business/going out of business/
店仕舞い [みせじまい] /(n,vs) closing up shop/stopping business/going out of business/
店子 [たなこ] /(n) tenant/
店借り [たながり] /(n,vs) tenancy/
店主 [てんしゅ] /(n) shopkeeper/(P)/
店主敬白 [てんしゅけいはく] /(exp) Store owner, at your service/Yours truly, the Store Owner/
店是 [てんぜ] /(n) shop policy/
店請け [たなうけ] /(n) tenant's surety/
店先 [みせさき] /(n) store front/(P)/
店前 [たなさき] /(n) storefront/front of a store/
店棚 [みせだな] /(n) (1) (arch) display shelf (in a store)/(2) store/shop/
店蜘蛛 [たなぐも] /(n) (uk) araneomorph funnel-web spider (any spider of family Agelenidae)/
店長 [てんちょう] /(n) shop manager/(P)/
店賃 [たなちん] /(n) house rent/
店頭 [てんとう] /(n,adj-no) shop front/counter/shop/over-the-counter (financial)/(P)/
店頭株 [てんとうかぶ] /(n) over-the-counter stock (financial)/
店頭株市場 [てんとうかぶいちば] /(n) over-the-counter market/
店頭債券 [てんとうさいけん] /(n) over-the-counter bond (financial)/
店頭取引 [てんとうとりひき] /(n) over-the-counter transaction (financial)/
店頭販売 [てんとうはんばい] /(n,adj-no) over-the-counter sales/
店内 [てんない] /(n,adj-no) store interior/(P)/
店番 [みせばん] /(n,vs) store tending/salesperson/
店閉まい [みせじまい] /(iK) (n,vs) closing up shop/stopping business/going out of business/
店舗 [てんぽ] /(n) shop/store/(P)/
店鋪 [てんぽ] /(n) shop/store/
店立 [たなだて] /(io) (n,vs) eviction/
店立て [たなだて] /(n,vs) eviction/
店立てを食う [たなだてをくう] /(exp,v5u) to be evicted/
添い臥し [そいぶし] /(n,vs) sleeping together/
添い寝 [そいね] /(n,vs) sleeping together/
添い遂げる [そいとげる] /(v1,vi) to remain married for life/
添い星 [そいぼし] /(n) (1) (arch) Chinese "room" constellation (one of the 28 mansions)/(2) satellite/
添う [そう] /(v5u) (1) to meet (one's expectations, etc.)/to satisfy/to comply with/(2) to accompany/to stay by one's side/(3) to marry/to wed/(4) to be added/(P)/
添える [そえる] /(v1,vt) (1) to garnish/to accompany (as a card does a gift)/(2) to add to as support/to prop up/(3) to accompany (as an aid, guide, translator, etc.)/(4) (arch) to mimic/to imitate/(5) (arch) to draw something near to oneself/to approach nearby/(P)/
添え字 [そえじ] /(n) (comp) subscript/
添え字付き変数 [そえじづきへんすう] /(n) (comp) subscripted variable/
添え書き [そえがき] /(n) accompanying note/postscript/
添え状 [そえじょう] /(n) accompanying note/
添え乳 [そえぢ] /(n) breast-feeding/
添え物 [そえもの] /(n) addition/supplement/
添え木 [そえぎ] /(n) splint/brace/
添わせる [そわせる] /(v1,vt) (1) to make (someone) accompany/(2) to marry (a couple)/
添加 [てんか] /(n,vs) addition/annexing/(P)/
添加剤 [てんかざい] /(n) addition agent/
添加剤供給 [てんかざいきょうきゅう] /(n) additive supply/
添加部分要素 [てんかぶぶんようそ] /(n) (comp) included subelement/
添加物 [てんかぶつ] /(n) addition/additive/appendix/(P)/
添加物 [てんかもの] /(n) addition/additive/appendix/
添加要素 [てんかようそ] /(n) (comp) inclusions/
添景 [てんけい] /(n) persons or animals added to a picture/incidental details of a picture/
添削 [てんさく] /(n,vs) correction/looking over/touching up/(P)/
添字 [そえじ] /(n) (1) subscript/(2) (math) index/
添字三つ組 [そえじみつぐみ] /(n) (comp) subscript triplet/
添字指定 [そえじしてい] /(n) (comp) subscripting/
添字付きデータ名 [そえじつきデータめい] /(n) (comp) subscripted data-name/
添書 [てんしょ] /(n) accompanying note or letter/postscript/
添乗 [てんじょう] /(n,vs) accompanying/escorting/(P)/
添乗員 [てんじょういん] /(n) tour conductor/tour guide/
添寝 [そいね] /(n,vs) sleeping together/
添水 [そうず] /(n) water-filled bamboo tube in Japanese garden which clacks against a stone when emptied/
添星 [そいぼし] /(n) (1) (arch) Chinese "room" constellation (one of the 28 mansions)/(2) satellite/
添乳 [そえぢ] /(n) breast-feeding/
添配 [てんぱい] /(n) ornament, etc. accompanying a bonsai/
添付 [てんぷ] /(n,vs,adj-no) attachment (e.g. email)/appendix (e.g. of a report, document, etc)/annex/appendage/annexure/(P)/
添付ファイル [てんぷファイル] /(n) (comp) attached file/attachment/
添付書類 [てんぷしょるい] /(n) (1) attached papers/(2) (comp) attachment (mail, etc.)/
添附 [てんぷ] /(n,vs,adj-no) attachment (e.g. email)/appendix (e.g. of a report, document, etc)/annex/appendage/annexure/
纏いつく [まといつく] /(v5k,vi) to entwine/to follow about/
纏い付く [まといつく] /(v5k,vi) to entwine/to follow about/
纏う [まとう] /(v5u) to put on/to wear/to be clad in/
纏まった [まとまった] /(exp) (1) (uk) large/heavy/massed/quite a lot/large amount/sizable (e.g. sum)/(2) definite/coherent/congruous/unitary/
纏まり [まとまり] /(n) conclusion/settlement/consistency/
纏まる [まとまる] /(v5r,vi) to be collected/to be settled/to be in order/(P)/
纏め [まとめ] /(n) (uk) settlement/conclusion/summary/(P)/
纏める [まとめる] /(v1,vt) (1) to collect/to put (it all) together/to integrate/to consolidate/to unify/(2) to summarize/to aggregate/(3) to bring to a conclusion/to finalize/to settle/to put in order/(4) to establish/to decide/(P)/
纏め上げる [まとめあげる] /(v1) to compile/to bring together/to weave/to put together/
纏め買い [まとめがい] /(n,vs) collecting together and buying/doing a big shop/
纏め役 [まとめやく] /(n) mediator/peacemaker/troubleshooter/manager/
纏る [まつる] /(v5r,vt) to blindstitch the inside of a fold with (equally spaced) threadings (i.e. pulling shoe lacing tight)/
纏る [まつわる] /(io) (v5r,vi) to be related to/to concern/to be associated with/
纏わりつく [まつわりつく] /(v5k,vi) to coil about/to follow about/
纏わりつく [まとわりつく] /(v5k,vi) to coil about/to follow about/
纏わり付く [まつわりつく] /(v5k,vi) to coil about/to follow about/
纏わり付く [まとわりつく] /(v5k,vi) to coil about/to follow about/
纏わる [まつわる] /(v5r,vi) to be related to/to concern/to be associated with/
纏足 [てんそく] /(n) foot-binding/
纏頭 [てんとう] /(n) a tip/
纏綿 [てんめん] /(n) entanglement/clinging affection/involvement/
甜菜 [てんさい] /(n) sugar beet/
甜茶 [てんちゃ] /(n) Chinese blackberry (Rubus suavissimus)/tian cha/sweet tea/
甜麺醤 [テンメンジャン] /(n) sweet flour paste (Chinese seasoning) (chi: tian mian jiang)/
貼りつく [はりつく] /(v5k) to cling (to)/
貼りつける [はりつける] /(v1,vt) (1) to paste/to stick/to affix/(2) to station/to post/
貼り絵 [はりえ] /(n) collage/
貼り合わせる [はりあわせる] /(v1) to paste together/
貼り札 [はりふだ] /(n,vs) poster/notice/
貼り紙 [はりがみ] /(n) paper patch/paper backing/poster/sticker/label/
貼り出す [はりだす] /(v5s,vt) (1) to put up (a notice)/to post/
貼り替える [はりかえる] /(v1,vt) to re-cover/to reupholster/to repaper/
貼り付く [はりつく] /(v5k) to cling (to)/
貼り付け [はりつけ] /(n) (comp) paste/
貼り付ける [はりつける] /(v1,vt) (1) to paste/to stick/to affix/(2) to station/to post/
貼る [はる] /(v5r) (1) to stick/to paste/to affix/to link (e.g. in WWW forums)/(2) to stretch/to spread/to strain/to tighten/(3) to form (e.g. ice on a pond)/(4) to fill/to swell/(5) to stick out/to put/to slap/(6) to be expensive/(P)/
貼紙 [はりがみ] /(io) (n) paper patch/paper backing/poster/sticker/label/
貼替える [はりかえる] /(v1,vt) to re-cover/to reupholster/to repaper/
貼付 [ちょうふ] /(n,vs) pasting/paste/appending/
貼付 [てんぷ] /(n,vs) pasting/paste/appending/
貼付く [はりつく] /(v5k) to cling (to)/
貼付け [はりつけ] /(n) (comp) paste/
転 [くるり] /(adv,adv-to) (1) (uk) (on-mim) turning around (once)/(2) suddenly/abruptly/(3) completely (wrapped in something)/quickly (unwrapping something)/(4) beautiful, round (eyes)/(n) (5) (abbr) flail (for threshing grain)/
転々 [てんてん] /(adv,adv-to,n,vs) (1) moving from place to place/being passed around repeatedly/(2) rolling about/(P)/
転がし [ころがし] /(n) (1) (abbr) rolling (something)/knocking down/(2) fishing with multiple hooks on a weighted line/(3) repeatedly buying and selling/
転がし釣 [ころがしづり] /(n) (obsc) fishing with multiple hooks on a weighted line/
転がし釣り [ころがしづり] /(n) (obsc) fishing with multiple hooks on a weighted line/
転がす [ころがす] /(v5s,vt) to roll/(P)/
転がり込む [ころがりこむ] /(v5m,vi) (1) to roll in/to tumble into/to visit (esp. to stay overnight as an unwanted guest)/to come to live with/(2) to fall in one's way/to fall into one's lap/
転がり落ちる [ころがりおちる] /(v1) to tumble down/to roll down/
転がる [ころがる] /(v5r,vi) (1) to roll/to tumble/(2) to fall over/to roll over/(3) to lie down/(4) to be scattered about/to be common/(5) (of a situation or outcome) to change/to turn out/(P)/
転ける [こける] /(v1,vi) to fall/to collapse/to drop/to break down/to die/to succumb to/to fall senseless/to be ruined/to have a bad debt/
転げる [ころげる] /(v1,vi) to roll over/to tumble/to roll about (with laughter)/
転げ回る [ころげまわる] /(v5r) to roll about/to writhe about/
転げ込む [ころげこむ] /(v5m,vi) to roll or tumble into/
転げ落ちる [ころげおちる] /(v1,vi) to fall off/to tumble down/
転じて [てんじて] /(exp) by the way/meanwhile/on the other hand/
転じる [てんじる] /(v1,vi) to turn/to shift/to alter/to distract/(P)/
転ずる [てんずる] /(vz,vi) to turn/to shift/to alter/to distract/
転た寝 [うたたね] /(n,vs) dozing/napping (e.g. on the floor in one's clothes, in the train)/
転てつ機 [てんてつき] /(n) switch (of a railroad)/points (of a railway)/
転ばす [ころばす] /(v5s) to knock down/to topple/
転ばぬ先の杖 [ころばぬさきのつえ] /(exp) prevention is better than cure/an ounce of prevention is worth a pound of cure/look before you leap/forewarned is forearmed/a stitch in time saves nine/have a walking stick ready before stumbling/
転び [ころび] /(n) (1) turning around/converting/(2) batter (construction technique)/
転び寝 [ころびね] /(n) dozing/
転ぶ [ころぶ] /(v5b,vi) to fall down/to fall over/(P)/
転ぶ [まろぶ] /(v5b,vi) to fall down/to fall over/
転ぷく [てんぷく] /(n,vs) (1) capsizing/overturn/turning over/upset/(2) overthrow (e.g. a government)/
転めく [くるめく] /(v5k,vi) (1) (arch) to spin/to revolve/to twirl/(2) to be dizzy/to feel faint/(3) to bustle about/
転んでも只は起きぬ [ころんでもただはおきぬ] /(exp) (id) All's grist that comes to his mill/
転位 [てんい] /(n,vs) transposition/dislocation/rearrangement/
転移 [てんい] /(n,vs,adj-no) (1) moving (with the times)/changing (with the times)/(2) metastasis/(3) transition (i.e. phase transition)/(4) transfer (of learning)/(5) transference (in psychoanalysis)/(P)/
転移ＲＮＡ [てんいアールエヌエー] /(n) transfer RNA/tRNA/
転移酵素 [てんいこうそ] /(n) transferase/
転移性 [てんいせい] /(n) displacement/
転移巣 [てんいそう] /(n) metastatic lesion/
転院 [てんいん] /(n,vs) transfer to a different hospital/hospital transfer/
転音 [てんおん] /(n) euphonic change of pronunciation/elision/
転化 [てんか] /(n,vs,adj-no) change/transformation/inversion/
転化糖 [てんかとう] /(n) invert sugar/
転嫁 [てんか] /(n,vs) second marriage/remarriage/imputation/blame/(P)/
転科 [てんか] /(n,vs) changing one's academic course/
転回 [てんかい] /(n,vs) revolution/rotation/
転柿 [ころがき] /(n) dried persimmon/
転学 [てんがく] /(n,vs) transferring from one college (or one department) to another/
転換 [てんかん] /(n,vs,adj-no) convert/divert/(P)/
転換期 [てんかんき] /(n) turning point/transition phase/
転換社債 [てんかんしゃさい] /(n) convertible (corporate) bond/
転換社債型新株予約権付社債 [てんかんしゃさいがたしんかぶよやくけんつきしゃさい] /(n) convertible bond/
転換点 [てんかんてん] /(n) turning point/tipping point/commutation point/
転換炉 [てんかんろ] /(n) converter reactor/
転機 [てんき] /(n) turning point/(P)/
転記 [てんき] /(n,vs) posting (of notes, notices, etc.)/transcription/
転義 [てんぎ] /(n) figurative meaning/
転居 [てんきょ] /(n,vs) moving/changing residence/(P)/
転居先 [てんきょさき] /(n) one's new address/
転居通知 [てんきょつうち] /(n) change of address notice (announcement)/
転業 [てんぎょう] /(n,vs) change of occupation/
転業 [てんごう] /(ateji) (n,adj-na) prank/joke/
転勤 [てんきん] /(n,vs) job transfer/job relocation/intra-company transfer/(P)/
転筋 [からすなえり] /(n) cramp in the calf/
転筋 [からすなめり] /(n) cramp in the calf/
転筋 [てんきん] /(n) cramp in the calf/
転句 [てんく] /(n) turning or twisting part of a text/
転向 [てんこう] /(n,vs) conversion/shift/about-face/switch/(P)/
転向者 [てんこうしゃ] /(n) convert/
転校 [てんこう] /(n,vs) change schools/
転校生 [てんこうせい] /(n) transfer student/student changing schools/
転合 [てんごう] /(ateji) (n,adj-na) prank/joke/
転載 [てんさい] /(n,vs) reprinting/
転作 [てんさく] /(n,vs) crop diversification/change of crops/
転写 [てんしゃ] /(n,vs,adj-no) (1) transcription (of a text, DNA, RNA, etc.)/(2) (ling) transliteration/
転写捺染 [てんしゃなっせん] /(n) transfer print/
転借 [てんしゃく] /(n,vs) subtenancy/sublease/
転手 [てんじゅ] /(n) tuning peg (of a shamisen, etc.)/
転住 [てんじゅう] /(n,vs) changing residence/moving to a new address/
転出 [てんしゅつ] /(n,vs) moving-out/(P)/
転出証明 [てんしゅつしょうめい] /(n) change of address certificate/
転出先 [てんしゅつさき] /(n) new address/
転出届 [てんしゅつとどけ] /(n) notification of moving out/
転職 [てんしょく] /(n,vs) change of occupation/(P)/
転職斡旋 [てんしょくあっせん] /(n) outplacement/
転寝 [うたたね] /(n,vs) dozing/napping (e.g. on the floor in one's clothes, in the train)/
転寝 [ごろね] /(n,vs) dozing/napping (e.g. on the floor in one's clothes, in the train)/
転身 [てんしん] /(n,vs) (job) turnover/(P)/
転進 [てんしん] /(n,vs) changing course or direction/shifting position/
転針 [てんしん] /(n,vs) changing course or direction/shifting position/
転成 [てんせい] /(n,vs) transformation/
転生 [てんしょう] /(n,vs,adj-no) (Buddh) transmigration of souls/reincarnation/
転生 [てんせい] /(n,vs,adj-no) (Buddh) transmigration of souls/reincarnation/
転生輪廻 [てんしょうりんね] /(n,vs) all things being in flux through the endless circle of birth, death, and rebirth/the circle of transmigration/
転石 [てんせき] /(n) rolling stone/
転石苔むさず [てんせきこけむさず] /(exp) a rolling stone gathers no moss/
転石苔を生ぜず [てんせきこけをしょうぜず] /(exp) a rolling stone gathers no moss/
転石苔生さず [てんせきこけむさず] /(exp) a rolling stone gathers no moss/
転籍 [てんせき] /(n,vs) transfer of residence or registration/
転折 [てんせつ] /(n) in calligraphy, a brush movement where a horizontal line turns sharply downwards/
転戦 [てんせん] /(n,vs) fighting in numerous battles/(P)/
転相乳化 [てんそうにゅうか] /(n) phase-transfer emulsification/
転送 [てんそう] /(n,vs) transfer/transmission/(telephone call, e-mail, etc.) forwarding/
転送システム [てんそうシステム] /(n) (comp) transfer system/
転送ルート [てんそうルート] /(n) (comp) transmission route/
転送レート [てんそうレート] /(n) (comp) transmission rate/transfer rate/
転送構文 [てんそうこうぶん] /(n) (comp) transfer syntax/
転送構文名 [てんそうこうぶんめい] /(n) (comp) transfer syntax name/
転送時間 [てんそうじかん] /(n) (comp) transfer time/transmission time/
転送処理 [てんそうしょり] /(n) (comp) transmittal/
転送先 [てんそうさき] /(n) forwarding address/
転送穿孔翻訳機 [てんそうせんこうほんやくき] /(n) (comp) transfer interpreter/
転送速度 [てんそうそくど] /(n) (comp) transfer speed/transfer rate/
転送電話 [てんそうでんわ] /(n) (telephone) call forwarding/call diversion/
転属 [てんぞく] /(n,vs) changing assignments/
転貸 [てんたい] /(n,vs) subleasing/
転貸借 [てんたいしゃく] /(n,vs) subletting and subleasing/
転宅 [てんたく] /(n,vs) changing residence/moving to a new address/
転地 [てんち] /(n,vs) change of air/change of scenery/
転地療養 [てんちりょうよう] /(n) seeking to improve one's health with a change of climate/
転置 [てんち] /(n,vs,adj-no) (comp) transposition (e.g. a matrix)/
転置を行う [てんちをおこなう] /(exp,v5u) (comp) to take the inverse (e.g. of a matrix)/
転置行列 [てんちぎょうれつ] /(n) (math) transverse matrix/
転注 [てんちゅう] /(n) applying an extended meaning to a kanji/
転調 [てんちょう] /(n,vs) changing key (during piece)/modulation/
転轍 [てんてつ] /(n,vs) switching or shunting (of a rail car)/
転轍機 [てんてつき] /(n) switch (of a railroad)/points (of a railway)/
転轍手 [てんてつしゅ] /(n) switchman/
転転 [てんてん] /(adv,adv-to,n,vs) (1) moving from place to place/being passed around repeatedly/(2) rolling about/
転倒 [てんとう] /(n,vs,adj-no) (1) falling down/tumbling/overturning/turning over/(2) reversing/inverting/inversion/(3) getting upset/(P)/
転倒 [てんどう] /(n) (Buddh) cognitive distortion/
転倒注意 [てんとうちゅうい] /(exp) watch your step/slippery floor/
転入 [てんにゅう] /(n,vs) move in (to a new house)/
転入生 [てんにゅうせい] /(n) transfer student/
転入届 [てんにゅうとどけ] /(n) notification of moving in/
転任 [てんにん] /(n,vs) change of post/(P)/
転任先 [てんにんさき] /(n) one's new post/
転売 [てんばい] /(n,vs) resale/(P)/
転部 [てんぶ] /(n,vs) changing post (department, club, etc.)/
転封 [てんぷう] /(n,vs) forced relocation of a daimyo to a different domain by the Edo shogunate/
転封 [てんぽう] /(n,vs) forced relocation of a daimyo to a different domain by the Edo shogunate/
転覆 [てんぷく] /(n,vs) (1) capsizing/overturn/turning over/upset/(2) overthrow (e.g. a government)/(P)/
転変 [てんぺん] /(n,vs) mutation/change/vicissitude/
転補 [てんぽ] /(n,vs) changing (governmental) posts/
転法輪 [てんぼうりん] /(n) expounding the teachings of Buddha/spinning the dharma wheel/
転法輪堂 [てんぼうりんどう] /(n) Buddhist sermon hall/
転用 [てんよう] /(n,vs,adj-no) diversion/putting something to another use/(P)/
転用者 [てんようしゃ] /(n) re-user/
転落 [てんらく] /(n,vs) fall/degradation/slump/spill/(P)/
転輪王 [てんりんおう] /(n) Chakravartin/ideal universal ruler (in Indian religions)/
転輪聖王 [てんりんじょうおう] /(n) Chakravartin/ideal universal ruler (in Indian religions)/
転炉 [てんろ] /(n) converter (used in refining)/rotary kiln/
転路器 [てんろき] /(n) (railroad) switch/
転訛 [てんか] /(n,vs) (linguistic) corruption/
転軫 [てんじん] /(n) tuning peg (of a shamisen, etc.)/
転輾 [てんてん] /(iK) (n,vs) (1) rolling about/(2) tossing and turning (in bed)/jactitation/jactation/
顛倒 [てんとう] /(n,vs,adj-no) (1) falling down/tumbling/overturning/turning over/(2) reversing/inverting/inversion/(3) getting upset/
顛倒 [てんどう] /(n) (Buddh) cognitive distortion/
顛覆 [てんぷく] /(n,vs) (1) capsizing/overturn/turning over/upset/(2) overthrow (e.g. a government)/
顛末 [てんまつ] /(n) circumstance/facts/details/
顛末記 [てんまつき] /(n) full account/
顛落 [てんらく] /(n,vs) fall/degradation/slump/spill/
点 [ちょぼ] /(n) (1) (uk) dot/point/mark/(2) gidayuu musicians (in kabuki)/
点 [てん] /(n,n-suf) (1) spot/mark/(2) point/dot/(3) mark (e.g. in exam)/score/points/(ctr) (4) counter for goods or items/(P)/
点 [ぼち] /(n) (1) (uk) dot/point/mark/
点 [ぼつ] /(n) (1) (uk) dot/point/mark/
点々 [てんてん] /(adv,adv-to) here and there/little by little/sporadically/scattered in drops/dot/spot/
点がいい [てんがいい] /(exp) (1) having good marks/(2) good on (a certain) point/
点がよい [てんがよい] /(exp) (1) having good marks/(2) good on (a certain) point/
点が辛い [てんがからい] /(exp,adj-i) severe in marking/
点が良い [てんがいい] /(exp) (1) having good marks/(2) good on (a certain) point/
点が良い [てんがよい] /(exp) (1) having good marks/(2) good on (a certain) point/
点く [つく] /(v5k,vi) (1) to be lit (e.g. electricity comes on)/to be lighted/(2) to catch fire/(P)/
点ける [つける] /(v1,vt) (uk) to turn on/to switch on/to light up/(P)/
点じる [てんじる] /(v1,vt) to drop/to light/to kindle/to make tea/
点す [さす] /(v5s,vt) to light (a fire)/to apply moxa cautery/
点す [とぼす] /(v5s,vt) to light/to turn on/
点す [ともす] /(v5s,vt) to light/to turn on/(P)/
点ずる [てんずる] /(vz,vt) to drop/to light/to kindle/to make tea/
点てる [たてる] /(v1) to make tea (macha)/to perform the tea ceremony/
点て前 [たてまえ] /(n) (1) tea ceremony procedures/tea ceremony etiquette/
点と線 [てんとせん] /(exp) points and lines/
点の打ち所がない [てんのうちどころがない] /(adj-i) (obsc) above reproach/
点の打ち所が無い [てんのうちどころがない] /(adj-i) (obsc) above reproach/
点る [とぼる] /(v5r,vi) to burn/to be lighted/to be lit/
点る [ともる] /(v5r,vi) to burn/to be lighted/to be lit/
点を打つ [てんをうつ] /(exp,v5t) to mark with a dot (point)/
点オクテット [てんオクテット] /(n) (comp) cell octet/
点火 [てんか] /(n,vs) ignition/lighting/set fire to/(P)/
点火 [とぼし] /(n) (arch) light/lamp/
点火器 [てんかき] /(n) igniter/
点火系 [てんかけい] /(n) ignition system/
点火栓 [てんかせん] /(n) spark plug/
点火薬 [てんかやく] /(n) priming powders/
点画 [てんかく] /(n) the strokes of a character/
点画 [てんが] /(n) stippling/
点眼 [てんがん] /(n,vs) dropping medicine in the eyes/
点眼器 [てんがんき] /(n) eye dropper/
点眼水 [てんがんすい] /(n) eye lotion/
点眼薬 [てんがんやく] /(n) eye drops/
点景 [てんけい] /(n) persons or animals added to a picture/incidental details of a picture/
点穴 [てんけつ] /(n) (1) pressure points (e.g. for application of moxa)/(2) (MA) vulnerable body cavities/
点検 [てんけん] /(n,vs) inspection/examination/checking/(P)/
点検済み [てんけんずみ] /(n) checked up/inspection completed/
点検商法 [てんけんしょうほう] /(n) an unscrupulous business practice of making sales by posing as an inspector and declaring the need for replacing items/
点呼 [てんこ] /(n,vs) roll-call/muster/(P)/
点光 [てんこう] /(n) spotlight/
点光源 [てんこうげん] /(n) positional light source/
点差 [てんさ] /(n) point spread/(P)/
点在 [てんざい] /(n,vs) dotted with/(P)/
点字 [てんじ] /(n) Braille/(P)/
点字ブロック [てんじブロック] /(n) bumpy tiles set in public areas to mark the path for the blind/
点示 [てんじ] /(n) pointing out/
点耳薬 [てんじやく] /(n) ear drops (medicine)/eardrops/
点者 [てんじゃ] /(n) critic of haiku poetry/
点取り [てんとり] /(n) competition for school marks/keeping score/score/
点取り虫 [てんとりむし] /(n) derisive term for a diligent student/
点手 [てんじゅ] /(n) tuning peg (of a shamisen, etc.)/
点集合 [てんしゅうごう] /(n) (math) point set/
点鐘 [てんしょう] /(n) ships' bell/
点心 [てんしん] /(n) (1) Zen monk's early morning meal/refreshment/cakes/(2) simple Chinese food/dim sum/
点心 [てんじん] /(n) (1) Zen monk's early morning meal/refreshment/cakes/(2) simple Chinese food/dim sum/
点水 [てんすい] /(n) water jug/pitcher/
点数 [てんすう] /(n) marks/points/score/runs/number of items/credits/(P)/
点数を稼ぐ [てんすうをかせぐ] /(exp,v5g) to score points with (a person)/
点数係 [てんすうがかり] /(n) scorer/
点数制 [てんすうせい] /(n) point rationing system/
点数切符 [てんすうきっぷ] /(n) ration-point coupon/
点線 [てんせん] /(n) dotted line/perforated line/
点前 [たてまえ] /(n) (1) tea ceremony procedures/tea ceremony etiquette/
点前 [てまえ] /(n) (1) tea ceremony procedures/tea ceremony etiquette/
点茶 [てんちゃ] /(n) boiling tea (for a tea ceremony)/
点着 [てんちゃく] /(n) spot application/dispensing a drop or spot of something/
点綴 [てんてい] /(n,vs) a line (of mountains, islands, houses, etc.)/bound together/
点綴 [てんてつ] /(n,vs) a line (of mountains, islands, houses, etc.)/bound together/
点滴 [てんてき] /(n,vs) (1) raindrops/falling drop of water/(2) intravenous drip/(P)/
点滴器 [てんてきき] /(n) dropper/
点滴穿石 [てんてきせんせき] /(exp) constant dripping wears away the stone/little strokes fell great oaks/limited strength, when persistently applied, can accomplish great feats/
点滴注射 [てんてきちゅうしゃ] /(n) intravenous drip infusion/
点点 [てんてん] /(adv,adv-to) here and there/little by little/sporadically/scattered in drops/dot/spot/
点灯 [てんとう] /(n,vs) lighting (a lamp)/turning on a light/
点頭 [てんとう] /(n,vs) nodding/
点突然変異 [てんとつぜんへんい] /(n) point mutation/
点播 [てんぱ] /(n,vs) sowing spaced seeds/
点鼻薬 [てんびやく] /(n) nose drops/
点描 [てんびょう] /(n,vs) dotting/drawing dots/sketch/
点本 [てんぽん] /(n) book with reading aids (such as kana or punctuation marks)/
点滅 [てんめつ] /(n,vs) switching on and off/flashing/blinking/flickering/(P)/
点滅器 [てんめつき] /(n) electric switch/
点薬 [てんやく] /(n,vs) applying eye drops/
点訳 [てんやく] /(n,vs) translating into Braille/(P)/
点列入力装置 [てんれつにゅうりょくそうち] /(n) (comp) stroke device/
点睛 [てんせい] /(n) adding eyes and other finishing touches to an animal painting/
伝 [つて] /(n) intermediary/influence/good offices/connections/someone to trust/go-between/pull/
伝 [でん] /(n) (1) legend/tradition/(2) biography/life/(3) method/way/(4) horseback transportation and communication relay system used in ancient Japan/
伝いに [づたいに] /(suf) along (the wall)/
伝い歩き [つたいあるき] /(n,vs) walking while holding on to something (such as a wall or table)/cruising (i.e. children learning to walk)/
伝う [つたう] /(v5u) to go along/to walk along/to follow/(P)/
伝え [つたえ] /(n) legend/tradition/
伝える [つたえる] /(v1,vt) to convey/to report/to transmit/to communicate/to tell/to impart/to propagate/to teach/to bequeath/(P)/
伝え合う [つたえあう] /(v5u,vt) to exchange (e.g. messages, thoughts, etc.)/to communicate/
伝え反り [つたえぞり] /(n) underarm forward body drop (sumo)/
伝え聞く [つたえきく] /(v5k,vt) to learn by hearsay/
伝え話 [つたえばなし] /(n) legend/
伝って登る [つたってのぼる] /(v5r) to shin up/to climb up/
伝わる [つたわる] /(v5r,vi) to be handed down/to be introduced/to be transmitted/to be circulated/to go along/to walk along/(P)/
伝音器 [でんおんき] /(n) megaphone/speaking tube/sound box/
伝家 [でんか] /(n) heirloom/trump card/last resort/family tradition/
伝家の宝刀を抜く [でんかのほうとうをぬく] /(exp,v5k) to play one's trump card/
伝奇 [でんき] /(n) romance (fiction)/
伝奇小説 [でんきしょうせつ] /(n) romance (fiction)/
伝奇的 [でんきてき] /(adj-na) legendary/
伝記 [でんき] /(n,adj-no) biography/life story/(P)/
伝記作者 [でんきさくしゃ] /(n) biographer/
伝記物 [でんきもの] /(n) biographical writings/
伝記文学 [でんきぶんがく] /(n) biographical literature/
伝言 [つてこと] /(n) (1) verbal message/word/(2) rumour/rumor/
伝言 [でんごん] /(n,vs) verbal message/word/(P)/
伝言ゲーム [でんごんゲーム] /(n) Chinese whispers/telephone (game)/
伝言板 [でんごんばん] /(n) message board/
伝手 [つて] /(n) intermediary/influence/good offices/connections/someone to trust/go-between/pull/
伝手 [てんじゅ] /(n) tuning peg (of a shamisen, etc.)/
伝受 [でんじゅ] /(n,vs) initiation (into the arts)/
伝授 [でんじゅ] /(n,vs) initiation/instruction/
伝習 [でんしゅう] /(n,vs) learning/
伝書鳩 [でんしょばと] /(n) carrier pigeon/homing pigeon/
伝唱 [でんしょう] /(n,vs) tradition/
伝承 [でんしょう] /(n,vs,adj-no) transmission/hand down (information)/legend/tradition/folklore/(P)/
伝承叙事詩 [でんしょうじょじし] /(n) oral epic/
伝承文学 [でんしょうぶんがく] /(n) oral literature/
伝世 [でんせい] /(n,vs) transmission from generation to generation/
伝声 [でんせい] /(n,vs) (obsc) verbal message/relaying a message/
伝声管 [でんせいかん] /(n) speaking tube/voice pipe/
伝声器 [でんせいき] /(n) speaking tube/
伝説 [でんせつ] /(n) tradition/legend/folklore/(P)/
伝染 [でんせん] /(n,vs) contagion/(P)/
伝染を防ぐ [でんせんをふせぐ] /(exp,v5g) to prevent infection/
伝染性 [でんせんせい] /(n) contagiousness/
伝染性紅斑 [でんせんせいこうはん] /(n) erythema infectiosum/
伝染性単核球症 [でんせんせいたんかくきゅうしょう] /(n) infectious mononucleosis/mono/glandular fever/
伝染性軟属腫 [でんせんせいなんぞくしゅ] /(n) molluscum contagiosum (viral infection of the skin)/
伝染毒 [でんせんどく] /(n) (arch) virus/germ/
伝染病 [でんせんびょう] /(n) infectious disease/contagious disease/epidemic/(P)/
伝線 [でんせん] /(n,vs) run (in a stocking)/
伝奏 [でんそう] /(n,vs) delivering a message to the emperor/
伝送 [でんそう] /(n,vs) transmission/communication/circulation/dissemination/diffusion/propagation/delivery/(P)/
伝送エラー [でんそうエラー] /(n) transmission error/
伝送スピード [でんそうスピード] /(n) (comp) transmission speed/
伝送パス [でんそうパス] /(n) (comp) transmission path/
伝送ブロック終結 [でんそうブロックしゅうけつ] /(n) end of transmission block/ETB/
伝送経路遅延 [でんそうけいろちえん] /(n) (comp) transmission path delay/one-way propagation time/
伝送故障 [でんそうこしょう] /(n) (comp) transmission fault/
伝送終了 [でんそうしゅうりょう] /(n) end of transmission/EOT/
伝送制御プロトコル [でんそうせいぎょプロトコル] /(n) (comp) Transmission Control Protocol/TCP/
伝送制御拡張 [でんそうせいぎょかくちょう] /(n) datalink escape/DLE/
伝送制御文字 [でんそうせいぎょもじ] /(n) (comp) transmission control character/
伝送先 [でんそうさき] /(n) destination (of transmission)/
伝送速度 [でんそうそくど] /(n) (comp) transmission speed/baud rate/
伝送損失 [でんそうそんしつ] /(n) (comp) transmission loss/
伝送遅延 [でんそうちえん] /(n) (comp) transmission delay/
伝送遅延変動 [でんそうちえんへんどう] /(n) (comp) transmission delay variation/
伝送品質 [でんそうひんしつ] /(n) (comp) transmission quality/
伝送路 [でんそうろ] /(n) line/transmission line/transmission path/transmission route/link/
伝送路長 [でんそうろちょう] /(n) (comp) link length/
伝達 [でんたつ] /(n,vs) transmission (e.g. news)/communication/delivery/conveyance/transfer/relay/propagation/conduction/(P)/
伝達コスト [てんたつコスト] /(n) (comp) transmission cost/
伝達会社 [でんたつかいしゃ] /(n) (power, electricity) transmission company/
伝達関数 [でんたつかんすう] /(n) transfer function/
伝達手段 [でんたつしゅだん] /(n) means of communication/media of communication/organ of communication/tool of communication/
伝達情報量 [でんたつじょうほうりょう] /(n) (comp) transinformation (content)/transferred information/transmitted information/mutual information/
伝達特性 [でんたつとくせい] /(n) transfer characteristic/
伝単 [でんたん] /(n) leaflet/
伝統 [でんとう] /(n,adj-no) tradition/convention/(P)/
伝統芸能 [でんとうげいのう] /(n) traditional art/traditional performance art/
伝統工芸 [でんとうこうげい] /(n) traditional craft/traditional handicrafts/
伝統主義 [でんとうしゅぎ] /(n,adj-no) traditionalism/
伝統主義者 [でんとうしゅぎしゃ] /(n) traditionalist/
伝統中国医学 [でんとうちゅうごくいがく] /(n) traditional Chinese medicine/
伝統的 [でんとうてき] /(adj-na) traditional/conventional/(P)/
伝統的建造物群保存地区 [でんとうてきけんぞうぶつぐんほぞんちく] /(n) traditional architectures preservation district/
伝統的論理学 [でんとうてきろんりがく] /(n) traditional logic/
伝統文化 [でんとうぶんか] /(n) traditional culture/(P)/
伝動 [でんどう] /(n,vs) transmission (of motive power)/drive/gearing/
伝導 [でんどう] /(n,vs) conduction/transmission/
伝導性 [でんどうせい] /(n) conductivity/
伝導体 [でんどうたい] /(n) conductor/transmitter/
伝導度 [でんどうど] /(n) conductivity/
伝導率 [でんどうりつ] /(n) conductivity/
伝道 [でんどう] /(n,vs) proselytizing/evangelism/missionary work/(P)/
伝道師 [でんどうし] /(n) evangelist/
伝道者 [でんどうしゃ] /(n) evangelist/evangelistic worker/
伝道集会 [でんどうしゅうかい] /(n) evangelistic meeting/
伝道船 [でんどうせん] /(n) missionary boat/
伝播 [でんぱ] /(n,vs) transmission/propagation/spread/circulation/diffusion/dissemination/
伝播 [でんぱん] /(ik) (n,vs) transmission/propagation/spread/circulation/diffusion/dissemination/
伝播側 [でんぱんそく] /(n) (comp) propagation law/
伝播遅延 [でんぱちえん] /(n) (comp) propagation delay/
伝馬 [てんま] /(n) post horse/
伝馬船 [てんません] /(n) large sculling boat/
伝搬 [でんぱん] /(n,vs) transmission/propagation/spread/
伝搬遅延 [でんぱんちえん] /(n) (comp) propagation delay/
伝票 [でんぴょう] /(n) chit/sales slip/voucher/(P)/
伝票発行処理 [でんぴょうはっこうしょり] /(n) (comp) billing/
伝聞 [でんぶん] /(n,vs) hearsay/rumor/rumour/report/
伝法 [でんぼう] /(adj-na,n) teaching Buddhism/rough person/bullying/ostentatious bravado/
伝法 [でんぽう] /(adj-na,n) teaching Buddhism/rough person/bullying/ostentatious bravado/
伝法肌 [でんぼうはだ] /(n) rough-and-tumble/bullying disposition/
伝法灌頂 [でんぼうかんじょう] /(n) (Buddh) consecration ritual for the conferral of the status of Acharya (in esoteric Buddhism)/
伝来 [でんらい] /(n,adj-no) ancestral/hereditary/imported/transmitted/handed down/
伝来語 [でんらいご] /(n) (obsc) loanword/
伝令 [でんれい] /(n) messenger/orderly/runner/
伝令ＲＮＡ [でんれいアールエヌエー] /(n) messenger RNA/mRNA/
伝令者 [でんれいしゃ] /(n) herald/orderly/messenger/
伝録 [でんろく] /(n,vs) (obsc) reciting something and then recording it/recording of something that has been recited/
伝誦 [でんしょう] /(n,vs) tradition/
殿 [しんがり] /(n) (1) rear/rear unit guard/(2) anchor (man)/
殿 [との] /(n) feudal lord/mansion/palace/
殿 [どの] /(suf) (pol) form of address used for official letters and business letters, and in letters to inferiors/Mr/(P)/
殿宇 [でんう] /(n) shrine building/
殿下 [てんが] /(ok) (n) your Highness/his (or her) Highness/
殿下 [でんか] /(n) your Highness/his (or her) Highness/(P)/
殿閣 [でんかく] /(n) palace/
殿筋 [でんきん] /(n) gluteus/
殿軍 [でんぐん] /(n) rear guard/
殿原 [とのばら] /(n) the nobility/(polite for) man/
殿御 [とのご] /(n) gentlemen/
殿舎 [でんしゃ] /(n) palace/
殿上 [てんじょう] /(n) the court/palace circles/palace floor/
殿上の間 [てんじょうのま] /(n) palace floor/
殿上人 [てんじょうびと] /(n) courtier/court official/
殿達 [とのたち] /(n) the nobility/(polite for) visitors/
殿中 [でんちゅう] /(n) in the palace/
殿堂 [でんどう] /(n) palace/palatial building/(P)/
殿方 [とのがた] /(n) (hon) (fem) gentlemen/men/
殿様 [とのさま] /(n) feudal lord/(P)/
殿様育ち [とのさまそだち] /(n) brought up in luxury/
殿様蛙 [とのさまがえる] /(n) (uk) black-spotted pond frog (Rana nigromaculata)/
殿様芸 [とのさまげい] /(n) dilettantism/amateurism (in art)/
殿様仕事 [とのさましごと] /(n) amateur work (in art)/work done in carefree mood without regard to time or expenses/
殿様商売 [とのさましょうばい] /(n) amateurish (dilettantish) business/
殿様商法 [とのさましょうほう] /(n) amateurish (dilettantish) way of doing business/
殿様風 [とのさまふう] /(n) lordly air/
殿様蝗虫 [とのさまばった] /(n) (uk) migratory locust (Locusta migratoria)/
殿楼 [でんろう] /(n) high palace tower/
澱 [おり] /(n) dregs/lees/grounds/sediment/
澱 [よど] /(n) pool (in river)/
澱 [よどみ] /(n) (1) stagnation/deposit/sediment/backwater/(2) faltering/hesitation/pause/
澱み [よどみ] /(n) (1) stagnation/deposit/sediment/backwater/(2) faltering/hesitation/pause/
澱む [よどむ] /(v5m,vi) to stagnate/to be stagnant/to settle/to deposit/to be sedimented/to be precipitated/to hesitate/to be sluggish/to stammer/to stumble/to falter/(P)/
澱粉 [でんぷん] /(n) starch/
澱粉質 [でんぷんしつ] /(n,adj-no) starchiness/starchy/farinaceous/
田 [た] /(n) rice field/(P)/
田の神 [たのかみ] /(n) deity of rice fields and harvests/
田の面 [たのむ] /(ok) (n) surface of a rice paddy/
田の面 [たのも] /(n) surface of a rice paddy/
田ぼ [たんぼ] /(n) paddy field/farm/
田を打つ [たをうつ] /(exp,v5t) to till a rice paddy/to plough a rice paddy (plow)/
田んぼ [たんぼ] /(n) paddy field/farm/(P)/
田んぼアート [たんぼアート] /(n) tanbo art/using rice of various types and colours to create giant pictures in rice fields/
田鰻 [たうなぎ] /(n) (uk) Asian swamp eel (Monopterus albus)/
田雲雀 [たひばり] /(n) (uk) water pipit (Anthus spinoletta)/
田園 [でんえん] /(n,adj-no) (1) country/rural districts/(2) cultivated land/fields/(P)/
田園 [でんおん] /(ok) (n,adj-no) (1) country/rural districts/(2) cultivated land/fields/
田園詩 [でんえんし] /(n) pastoral poem/
田園詩人 [でんえんしじん] /(n) pastoral poet/
田園都市 [でんえんとし] /(n) rural or garden city/
田園都市開発 [でんえんとしかいはつ] /(n) garden-town development/rural city development/urban sprawl/
田園風景 [でんえんふうけい] /(n) rural landscape/
田苑 [でんえん] /(n,adj-no) (1) country/rural districts/(2) cultivated land/fields/
田苑 [でんおん] /(ok) (n,adj-no) (1) country/rural districts/(2) cultivated land/fields/
田家 [でんか] /(n) rural cottage/
田芥 [たがらし] /(n) (1) (uk) celery-leaved buttercup (Ranunculus sceleratus)/cursed buttercup/(2) woodland bittercress (Cardamine flexuosa)/wavy bittercress/
田芥 [タガラシ] /(n) (1) (uk) celery-leaved buttercup (Ranunculus sceleratus)/cursed buttercup/(2) woodland bittercress (Cardamine flexuosa)/wavy bittercress/
田芥子 [たがらし] /(n) (1) (uk) celery-leaved buttercup (Ranunculus sceleratus)/cursed buttercup/(2) woodland bittercress (Cardamine flexuosa)/wavy bittercress/
田芥子 [タガラシ] /(n) (1) (uk) celery-leaved buttercup (Ranunculus sceleratus)/cursed buttercup/(2) woodland bittercress (Cardamine flexuosa)/wavy bittercress/
田楽 [でんがく] /(n) (1) ritual music and dancing in shrines and temples/(2) rice dance/rice festival/(3) (abbr) tofu (or fish, etc.) baked and coated with miso/(4) (abbr) turning something in the manner one would use to cook dengaku-doufu on both sides/
田楽刺し [でんがくざし] /(n) skewering/
田楽焼 [でんがくやき] /(n) skewered fish (or vegetables, etc.) coated with miso and cooked/
田楽焼き [でんがくやき] /(n) skewered fish (or vegetables, etc.) coated with miso and cooked/
田楽豆腐 [でんがくどうふ] /(n) skewered pieces of tofu baked and coated with miso/
田楽返し [でんがくがえし] /(n) (1) (arch) device with axle used to change the backdrop of a (kabuki) play/(2) turning something in the manner one would use to cook dengaku-doufu on both sides/
田楽法師 [でんがくほうし] /(n) professional dengaku performer (usu. appearing as a monk)/
田計里 [たげり] /(n) (uk) northern lapwing (Vanellus vanellus)/green plover/pewit/peewit/
田作 [ごまめ] /(n) dried young anchovies (or sardines)/
田作 [でんさく] /(n) rice-field tilling/
田作り [たづくり] /(n) small dried sardines or anchovies (gomame) cooked almost to dryness in soy sauce and sugar/
田鴫 [たしぎ] /(n) (uk) common snipe (Gallinago gallinago)/
田舎 [いなか] /(gikun) (n,adj-no) (1) (sens) rural area/countryside/the sticks/(2) hometown/(P)/
田舎っぺ [いなかっぺ] /(n) (vulg) hick/country bumpkin/yokel/
田舎っ兵衛 [いなかっぺ] /(n) (vulg) hick/country bumpkin/yokel/
田舎っ兵衛 [いなかっぺい] /(n) (vulg) hick/country bumpkin/yokel/
田舎っ兵衛 [いなかっぺえ] /(n) (vulg) hick/country bumpkin/yokel/
田舎びる [いなかびる] /(v1,vi) to become rustic/to become countrified/
田舎めく [いなかめく] /(v5k,vi) to appear rustic/to become countrified/
田舎育ち [いなかそだち] /(n) country bred/
田舎家 [いなかや] /(n) farm house/country cottage/
田舎回り [いなかまわり] /(n,vs) (theatrical) provincial tour/
田舎気質 [いなかかたぎ] /(n) rusticity/provincialism/
田舎侍 [いなかざむらい] /(n) country samurai/
田舎芝居 [いなかしばい] /(n) provincial theatrical performance/
田舎者 [いなかもの] /(n,adj-no) countryman/provincial/person from the country/provincial person/bumpkin/hick/hillbilly/
田舎臭い [いなかくさい] /(adj-i) cornball/rustic/unsophisticated/provincial/hick/
田舎大尽 [いなかだいじん] /(n) provincial (country) millionaire/
田舎道 [いなかみち] /(n) country road/
田舎風 [いなかふう] /(adj-na,n) rustic/country-style/
田舎兵衛 [いなかっぺ] /(n) (vulg) hick/country bumpkin/yokel/
田舎兵衛 [いなかっぺい] /(n) (vulg) hick/country bumpkin/yokel/
田舎兵衛 [いなかっぺえ] /(n) (vulg) hick/country bumpkin/yokel/
田舎暮らし [いなかくらし] /(n) country living/life in the country/country life/
田舎暮らし [いなかぐらし] /(n) country living/life in the country/country life/
田舎娘 [いなかむすめ] /(n) country girl/
田舎訛り [いなかなまり] /(n) provincial accent/
田守 [たもり] /(n) protecting a rice field/watching over a field/person who watches over a rice field/
田所 [たどころ] /(n) (1) (arch) farmland/(2) (arch) private farm estates from before the Taika reform/
田薯 [でんしょ] /(n) (uk) (obsc) water yam (Dioscorea alata)/winged yam/purple yam/
田諸子 [たもろこ] /(n) (uk) Gnathopogon elongatus (species of cyprinid)/
田助すいか [でんすけすいか] /(n) (uk) black-skinned variety of watermelon/
田助スイカ [でんすけスイカ] /(n) (uk) black-skinned variety of watermelon/
田沼時代 [たぬまじだい] /(n) Tanuma period (1767-1786 CE)/
田植 [たうえ] /(n) rice planting/
田植え [たうえ] /(n) rice planting/(P)/
田植え歌 [たうえうた] /(n) rice-planting song/
田植え祭 [たうえまつり] /(n) (1) shrine ritual held with the first two months of the year to forecast (or pray for) a succesful harvest/(2) seasonal planting of rice on a field affiliated with a shrine/
田植え祭り [たうえまつり] /(n) (1) shrine ritual held with the first two months of the year to forecast (or pray for) a succesful harvest/(2) seasonal planting of rice on a field affiliated with a shrine/
田植え踊り [たうえおどり] /(n) refined version of ta-asobi dance performed in Tohoku about half way through the first lunar month/
田植踊 [たうえおどり] /(n) refined version of ta-asobi dance performed in Tohoku about half way through the first lunar month/
田紳 [でんしん] /(n) country gentleman/
田畝 [たんぼ] /(n) paddy field/farm/
田畝 [でんぽ] /(n) paddy field/farm/
田租 [でんそ] /(n) farm tariff/rice field tax/
田鼠 [たねずみ] /(n) (1) black rat/roof rat/(2) field mouse/
田鼠 [でんそ] /(n) mole/
田鼠化して鶉となる [でんそかしてうずらとなる] /(exp) time when moles transform into quails (second climate of the third month)/
田荘 [たどころ] /(n) (1) (arch) farmland/(2) (arch) private farm estates from before the Taika reform/
田打ち [たうち] /(n) tilling a paddyfield/
田代芋 [たしろいも] /(n) (uk) taccad (any plant of family Taccaceae)/
田代薯 [たしろいも] /(n) (uk) taccad (any plant of family Taccaceae)/
田地 [でんじ] /(n) farmland/rice field or paddy/
田地 [でんち] /(n) farmland/rice field or paddy/
田虫 [たむし] /(n) ringworm (of the body)/tinea corporis/
田虫葉 [たむしば] /(n) (uk) willow-leafed magnolia (Magnolia salicifolia)/anise magnolia/
田長 [たおさ] /(n) (1) (abbr) (arch) master of the rice field/chief farmer/(2) lesser cuckoo (Cuculus poliocephalus)/
田長鳥 [たおさどり] /(n) (obsc) lesser cuckoo (Cuculus poliocephalus)/
田鶴 [たず] /(n) crane (any bird of the family Gruidae, esp. the red-crowned crane, Grus japonensis)/
田畑 [たはた] /(n) fields (of rice and other crops)/(P)/
田畑 [たはたけ] /(n) fields (of rice and other crops)/
田畑 [でんぱた] /(n) fields (of rice and other crops)/
田畠 [たはた] /(n) fields (of rice and other crops)/
田畠 [たはたけ] /(n) fields (of rice and other crops)/
田畠 [でんぱた] /(n) fields (of rice and other crops)/
田夫 [でんぷ] /(n) peasant/
田夫野人 [でんぷやじん] /(n) rustic/boor/hick/
田平子 [たびらこ] /(n) (uk) Japanese nipplewort (Lapsanastrum apogonoides)/
田偏 [たへん] /(n) kanji "rice paddy" radical at left/
田圃 [たんぼ] /(n) paddy field/farm/
田圃 [でんぽ] /(n) paddy field/farm/
田野 [でんや] /(n) cultivated fields/countryside/
田遊 [たあそび] /(n) ritual Shinto performance (usually performed around New Year's) to pray for a successful rice harvest in the coming year/
田遊び [たあそび] /(n) ritual Shinto performance (usually performed around New Year's) to pray for a successful rice harvest in the coming year/
田螺 [たにし] /(n) (uk) pond snail (Viviparidae spp.)/
田鳧 [たげり] /(n) (uk) northern lapwing (Vanellus vanellus)/green plover/pewit/peewit/
田鵑 [ほととぎす] /(n) (uk) lesser cuckoo (Cuculus poliocephalus)/
田鷸 [たしぎ] /(n) (uk) common snipe (Gallinago gallinago)/
田麩 [でんぶ] /(n) mashed and seasoned fish/flesh of whitefish and shrimp that has been boiled, shredded, parched, seasoned, and colored red (coloured)/
田鼈 [たがめ] /(n) (uk) Lethocerus deyrollei (species of giant water bug)/
電 [いなずま] /(n) (flash of) lightning/
電 [いなづま] /(n) (flash of) lightning/
電々公社 [でんでんこうしゃ] /(n) Nippon Telegraph and Telephone Public Corporation (defunct)/
電しんばしら [でんしんばしら] /(n) telephone pole/
電ノコ [でんノコ] /(n) (abbr) electric saw/
電圧 [でんあつ] /(n) voltage/(P)/
電圧計 [でんあつけい] /(n) voltmeter/
電圧降下 [でんあつこうか] /(n) voltage drop/
電位 [でんい] /(n) potential (electric)/
電位計 [でんいけい] /(n) electrometer/
電位差 [でんいさ] /(n) (electric) potential difference/
電位差計 [でんいさけい] /(n) potentiometer/
電化 [でんか] /(n,vs) electrification/(P)/
電化製品 [でんかせいひん] /(n) electric(al) appliances/
電荷 [でんか] /(n) charge/electric charge/
電荷移動錯体 [でんかいどうさくたい] /(n) charge-transfer complex/
電荷結合素子 [でんかけつごうそし] /(n) (comp) Charge-Coupled Device/CCD/
電解 [でんかい] /(adj-na,n,vs) (abbr) electrolysis/electrolytic/
電解コンデンサー [でんかいコンデンサー] /(n) electrolytic capacitor/
電解液 [でんかいえき] /(n) electrolyte/electrolytic solution/
電解質 [でんかいしつ] /(n) electrolyte/
電解槽 [でんかいそう] /(n) electrolytic cell/electrolytic bath/
電界 [でんかい] /(n) electric field/
電界効果トランジスタ [でんかいこうかトランジスタ] /(n) (comp) Field Effect Transistor/FET/
電界効果トランジスター [でんかいこうかトランジスター] /(n) (comp) Field Effect Transistor/FET/
電界放出 [でんかいほうしゅつ] /(n) field emission (electric)/
電器 [でんき] /(n) electric (goods)/(P)/
電機 [でんき] /(n) electrical machinery/appliances/(P)/
電機メーカ [でんきメーカ] /(n) electrical manufacturer/company manufacturing electric devices/electric-appliance maker/
電機メーカー [でんきメーカー] /(n) electrical manufacturer/company manufacturing electric devices/electric-appliance maker/
電機子 [でんきし] /(n) armature/
電気 [でんき] /(n) (1) electricity/(2) (electric) light/(P)/
電気かみそり [でんきかみそり] /(n) electric razor/
電気こんろ [でんきこんろ] /(n) electric cooking stove/electric heater/
電気で動く [でんきでうごく] /(v5k,exp) to run by electricity/
電気の球 [でんきのたま] /(n) electric (light) bulb/
電気を帯びる [でんきをおびる] /(exp,v1) to be charged with electricity/
電気アイロン [でんきアイロン] /(n) electric iron/
電気ウナギ [でんきウナギ] /(n) electric eel (Electrophorus electricus)/
電気カーペット [でんきカーペット] /(n) electrically heated carpet (wasei: electric carpet)/
電気カミソリ [でんきカミソリ] /(n) electric razor/
電気ギター [でんきギター] /(n) electric guitar/
電気クラゲ [でんきクラゲ] /(n) (col) Portuguese man-of-war (Physalia physalis)/
電気ショート [でんきショート] /(n) electrical short circuit/
電気ショック [でんきショック] /(n) electronic shocks/
電気ショック療法 [でんきショックりょうほう] /(n) electroshock therapy/
電気ジャーポット [でんきジャーポット] /(n) hot water dispenser/
電気スタンド [でんきスタンド] /(n) desk lamp (wasei: electric stand)/
電気ストーブ [でんきストーブ] /(n) electric heater/
電気ドリル [でんきドリル] /(n) electric drill/
電気ノコギリ [でんきノコギリ] /(n) electric saw/
電気ポット [でんきポット] /(n) hot water dispenser/
電気メーカ [でんきメーカ] /(n) electrical manufacturer/company manufacturing electric devices/electric-appliance maker/
電気メーカー [でんきメーカー] /(n) electrical manufacturer/company manufacturing electric devices/electric-appliance maker/
電気メス [でんきメス] /(n) electrical scalpel/
電気椅子 [でんきいす] /(n) electric chair/
電気陰性度 [でんきいんせいど] /(n) electronegativity/
電気鰻 [でんきうなぎ] /(n) electric eel (Electrophorus electricus)/
電気泳動 [でんきえいどう] /(n,adj-no) electrophoresis/
電気泳動法 [でんきえいどうほう] /(n,adj-no) electrophoresis/
電気屋 [でんきや] /(n) (1) electric appliance store/(2) (obs) electrician/
電気温水器 [でんきおんすいき] /(n) electric water heater/
電気音響 [でんきおんきょう] /(n,pref) electro-acoustic/
電気音響設備 [でんきおんきょうせつび] /(n) electro-acoustic equipment/audio equipment/
電気化学 [でんきかがく] /(n,adj-no) electrochemistry/
電気会社 [でんきがいしゃ] /(n) electric company/
電気解離 [でんきかいり] /(n) (1) ionization/ionisation/(2) electrolytic dissociation/
電気回路 [でんきかいろ] /(n) electric circuit/
電気回路ブレーカー [でんきかいろブレーカー] /(n) (comp) (electric) circuit breaker/
電気釜 [でんきがま] /(n) electric rice-cooker/
電気器具 [でんききぐ] /(n) electrical appliance/
電気機械 [でんききかい] /(n) (1) electric machine/(adj-no) (2) electro mechanical/
電気機関車 [でんききかんしゃ] /(n) electric locomotive/
電気機器 [でんききき] /(n) electronic goods/
電気技術者 [でんきぎじゅつしゃ] /(n) electrical engineer/electrician/
電気系統 [でんきけいとう] /(n) electrical system/
電気工 [でんきこう] /(n) electrician/
電気工学 [でんきこうがく] /(n) electrical engineering/
電気時計 [でんきどけい] /(n) electric clock/
電気自動車 [でんきじどうしゃ] /(n) electric automobile/
電気式 [でんきしき] /(adj-no) electrical/electric/
電気信号 [でんきしんごう] /(n) electrical signal/
電気水母 [でんきくらげ] /(n) (col) Portuguese man-of-war (Physalia physalis)/
電気生理学 [でんきせいりがく] /(n) electrophysiology/
電気製品 [でんきせいひん] /(n) electronic goods/(P)/
電気設備 [でんきせつび] /(n) electrical equipment/
電気洗濯機 [でんきせんたくき] /(n) electric washing machine/
電気双極子 [でんきそうきょくし] /(n) electric dipole/
電気掃除機 [でんきそうじき] /(n) electric vacuum cleaner/
電気装置 [でんきそうち] /(n) electrical device/electrical equipment/
電気代 [でんきだい] /(n) electric utility expense/
電気蓄音機 [でんきちくおんき] /(n) electric gramophone/record player/
電気通信 [でんきつうしん] /(n,adj-no) telecommunications/
電気通信工学 [でんきつうしんこうがく] /(n) telecommunications engineering/
電気剃刀 [でんきかみそり] /(n) electric razor/
電気抵抗 [でんきていこう] /(n) electric resistance/
電気的筋肉刺激 [でんきてききんにくしげき] /(n) electric muscle stimulation/EMS/
電気的除細動 [でんきてきじょさいどう] /(n) electrical cardioversion/electrical defibrillation/
電気伝導 [でんきでんどう] /(n) electrical conduction/
電気伝導率 [でんきでんどうりつ] /(n) electrical conductivity/
電気電子 [でんきでんし] /(n) electrical and electronic/
電気分解 [でんきぶんかい] /(n,vs,adj-no) electrolysis/
電気盆 [でんきぼん] /(n) electrophorus/
電気毛布 [でんきもうふ] /(n) electric blanket/
電気容量 [でんきようりょう] /(n) capacitance/
電気溶接 [でんきようせつ] /(n) electric welding/
電気料金 [でんきりょうきん] /(n) electricity charges/power rates/
電気量 [でんきりょう] /(n) amount of electricity/quantity of electricity/
電気力線 [でんきりきせん] /(n) line of electric force/
電気冷蔵庫 [でんきれいぞうこ] /(n) electric refrigerator/fridge/
電気炉 [でんきろ] /(n) electric furnace/
電気焜炉 [でんきこんろ] /(n) electric cooking stove/electric heater/
電気鯰 [でんきなまず] /(n) (uk) electric catfish (any species of family Malapteruridae, esp. species Malapterurus electricus)/
電休 [でんきゅう] /(n) (obsc) electricity cut-off/
電休日 [でんきゅうび] /(n) (obsc) no-electricity day/
電球 [でんきゅう] /(n) light bulb/(P)/
電極 [でんきょく] /(n) electrode/(P)/
電極電位 [でんきょくでんい] /(n) electrode potential/
電喰 [でんしょく] /(iK) (n) electrolytic corrosion/
電撃 [でんげき] /(n) (1) electric shock/(n,adj-f) (2) blitz/lightning attack/(P)/
電撃作戦 [でんげきさくせん] /(n) blitzkrieg tactics/
電撃殺虫器 [でんげきさっちゅうき] /(n) electric bug killer/insectocutor/insect-o-cutor/
電撃的 [でんげきてき] /(adj-na) electrifying/shocking/sudden and unexpected/
電撃療法 [でんげきりょうほう] /(n) electroshock therapy/
電鍵 [でんけん] /(n) telegraph key (switching device used to send Morse code)/
電顕 [でんけん] /(exp,n) electron microscope/
電源 [でんげん] /(n) (1) source of electricity/electrical power/(2) power (button on TV, etc.)/(P)/
電源を切る [でんげんをきる] /(exp,v5r) to turn off power/
電源を入れる [でんげんをいれる] /(exp,v1) to turn on power/
電源アダプター [でんげんアダプター] /(n) power adapter/
電源ケーブル [でんげんケーブル] /(n) power cable/power lead/(P)/
電源コード [でんげんコード] /(n) (comp) power cord/
電源スイッチ [でんげんスイッチ] /(n) (comp) power switch/
電源ユニット [でんげんユニット] /(n) (comp) power supply unit/PSU/power module/
電源ランプ [でんげんランプ] /(n) (comp) power light/
電源回路 [でんげんかいろ] /(n) (comp) power supply/
電源開発 [でんげんかいはつ] /(n) development of electrical power resources/(P)/
電源管理 [でんげんかんり] /(n) (comp) power management/
電源供給 [でんげんきょうきゅう] /(n) power supply/
電源切断状態 [でんげんせつだんじょうたい] /(n) (comp) power disconnected (state)/
電源装置 [でんげんそうち] /(n) power supply (device)/
電源投入 [でんげんとうにゅう] /(n) (comp) power-up/
電源投入シーケンス [でんげんとうにゅうシーケンス] /(n) (comp) power-on sequence/
電源投入時パスワード [でんげんとうにゅうじパスワード] /(n) (comp) power-on password/
電光 [でんこう] /(n) lightning/(P)/
電光ニュース [でんこうニュース] /(n) illuminated sign spelling out news items/
電光一閃 [でんこういっせん] /(n) flash of lightning/
電光掲示板 [でんこうけいじばん] /(n) electric scoreboard/
電光石火 [でんこうせっか] /(n,adj-no) lightning speed/
電光朝露 [でんこうちょうろ] /(n) fleeting/evanescent/
電工 [でんこう] /(n) electrician/electrical engineering/
電算 [でんさん] /(n) (comp) (abbr) electronic computation/computer/
電算 [でんそろ] /(n) electronic calculator combined with a soroban/
電算機 [でんさんき] /(n) (comp) electronic computer/
電子 [でんし] /(n) (1) electron/(2) (esp. as a prefix) electronic/electronics/(P)/
電子ウイルス [でんしウイルス] /(n) (obsc) computer virus/
電子オルガン [でんしオルガン] /(n) electric organ (music)/
電子スピン共鳴 [でんしスピンきょうめい] /(n) electron spin resonance/ESR/
電子タグ [でんしタグ] /(n) RFID tag/
電子データ交換 [でんしデータこうかん] /(n) (comp) electronic data interchange/EDI/
電子データ処理 [でんしデータしょり] /(n) (comp) electronic data processing/EDP/
電子デバイス [でんしデバイス] /(n) electronic device/
電子ビジネス [でんしビジネス] /(n) (comp) e business/
電子ピアノ [でんしピアノ] /(n) electronic piano/digital piano/
電子ファイリング [でんしファイリング] /(n) (comp) electronic filing/
電子ファイリングシステム [でんしファイリングシステム] /(n) (comp) electronic filing system/
電子フロンティア財団 [でんしフロンティアざいだん] /(n) (comp) Electronic Frontier Foundation/EFF/
電子ブック [でんしブック] /(n) (comp) Electronic Book/EB/
電子ブルー [でんしブルー] /(n) electric blue (colour, color)/
電子ペーパー [でんしペーパー] /(n) electronic paper/
電子ボルト [でんしボルト] /(n) electron volt/eV/
電子マネー [でんしマネー] /(n) (comp) electronic money/
電子メール [でんしメール] /(n) (comp) email/e-mail/electronic mail/(P)/
電子メールアカウント [でんしメールアカウント] /(n) e-mail account/
電子メールアドレス [でんしメールアドレス] /(n) (comp) e-mail address/
電子メールウイルス [でんしメールウイルス] /(n) e-mail virus/
電子メールサーバー [でんしメールサーバー] /(n) e-mail server/
電子メールシステム [でんしメールシステム] /(n) (comp) electronic mail system/
電子メールボックス [でんしメールボックス] /(n) (comp) electronic mailbox/
電子メイル [でんしメイル] /(ik) (n) (comp) email/e-mail/electronic mail/
電子メディア [でんしメディア] /(n) electronic media/
電子レンジ [でんしレンジ] /(n) microwave oven/
電子レンズ [でんしレンズ] /(n) electron lens/
電子雲 [でんしうん] /(n) electron cloud/
電子泳動 [でんしえいどう] /(n) electrophoresis/
電子音 [でんしおん] /(n) electronic sound/
電子音楽 [でんしおんがく] /(n,adj-no) electronic music/
電子化 [でんしか] /(n,vs) conversion to electronics/conversion to electronic form/
電子会議 [でんしかいぎ] /(n) (comp) electronic conference/
電子回路 [でんしかいろ] /(n) electronic circuit/
電子殻 [でんしかく] /(n) electron shell/
電子楽器 [でんしがっき] /(n) electrophone/electronic musical instrument/
電子管 [でんしかん] /(n) electron tube/
電子機器 [でんしきき] /(n) electronics/electronic equipment/
電子掲示板 [でんしけいじばん] /(n) (comp) bulletin board system/BBS/
電子計算機 [でんしけいさんき] /(n) (comp) computer/
電子決済 [でんしけっさい] /(n) electronic payment/
電子顕微鏡 [でんしけんびきょう] /(n) electron microscope/
電子光学 [でんしこうがく] /(n) electron optics/
電子工学 [でんしこうがく] /(n,adj-no) electronic engineering/electronics/
電子工学者 [でんしこうがくしゃ] /(n) electronics engineer/electrical engineer/
電子工業 [でんしこうぎょう] /(n) electronics industry/
電子財布 [でんしさいふ] /(n) e-wallet/electronic wallet/
電子撮像機 [でんしさつぞうき] /(n) electronic camera/
電子雑誌 [でんしざっし] /(n) (comp) electronic magazine/
電子支払い [でんししはらい] /(n) electronic payment/
電子紙幣 [でんししへい] /(n) (comp) electronic money/
電子資金移動 [でんししきんいどう] /(n) (comp) electronic funds transfer/EFT/
電子資金振替 [でんししきんふりかえ] /(n) (comp) electronic fund transfer/EFT/
電子辞書 [でんしじしょ] /(n) electronic dictionary/
電子式 [でんししき] /(n) (comp) electronic (adj)/electronically/
電子式卓上計算機 [でんししきたくじょうけいさんき] /(n) (obs) calculator/
電子写真 [でんししゃしん] /(n) electrophotography/
電子手帳 [でんしてちょう] /(n) (comp) electronic organizer/
電子銃 [でんしじゅう] /(n) electron gun/
電子出版 [でんししゅっぱん] /(n) electronic publishing/
電子署名 [でんししょめい] /(n) (comp) e-signature/electronic signature/
電子書籍 [でんししょせき] /(n) ebook/e-book/electronic book/digital book/
電子商取引 [でんししょうとりひき] /(n) e-commerce/electronic commerce/
電子情報 [でんしじょうほう] /(n) electronic information/electronic data/electronics and information/
電子振替決済 [でんしふりかえけっさい] /(n) (comp) electronic funds transfer/EFT/
電子新聞 [でんししんぶん] /(n) (comp) electronic newspaper/
電子図書館 [でんしとしょかん] /(n) (comp) electronic library/
電子戦 [でんしせん] /(n) electronic warfare/
電子線 [でんしせん] /(n) electron beam/electron ray/
電子素子 [でんしそし] /(n) (electronic) element/
電子装置 [でんしそうち] /(n) electronic equipment/
電子送稿システム [でんしそうこうシステム] /(n) Electronic Data Interchange/EDI system/text transmission system/
電子増倍管 [でんしぞうばいかん] /(n) electron multiplier/
電子対 [でんしつい] /(n) (1) electron pair/(2) Cooper pair/
電子卓上計算機 [でんしたくじょうけいさんき] /(n) (obs) calculator/
電子的 [でんしてき] /(adj-na) (comp) electronic (adj)/
電子的資金移動 [でんしてきしきんいどう] /(n) (comp) electronic funds transfer/
電子伝達系 [でんしでんたつけい] /(n) electron transport chain/
電子投票 [でんしとうひょう] /(n) electronic voting/e-voting/
電子透かし [でんしすかし] /(n) (comp) digital watermark/digital watermarking/electronic watermark/
電子頭脳 [でんしずのう] /(n) electronic brain/
電子納税申告 [でんしのうぜいしんこく] /(n) electronic tax filing/
電子媒体 [でんしばいたい] /(n) digital media/
電子番組ガイド [でんしばんぐみガイド] /(n) (comp) electronic program guide (programme)/EPG/
電子部品 [でんしぶひん] /(n) electronic parts (components)/(P)/
電子密度 [でんしみつど] /(n) electron density/
電子郵件 [でんしゆうけん] /(n) (an item of) electronic mail (e-mail)/e-mail message/
電子郵便 [でんしゆうびん] /(n) electronic mail service/e-mail service/electronic mail system/e-mail system/
電視 [でんし] /(n) television/
電視台 [でんしだい] /(n,suf) (Chinese) television station/
電磁 [でんじ] /(n) electromagnetic (physics)/
電磁スペクトル [でんじスペクトル] /(n) electromagnetic spectrum/
電磁界 [でんじかい] /(n) (comp) electromagnetic field/
電磁気 [でんじき] /(n) electromagnetism/
電磁気学 [でんじきがく] /(n) electrodynamics/electromagnetism/
電磁場 [でんじば] /(n) electromagnetic field/
電磁石 [でんじしゃく] /(n) electromagnet/(P)/
電磁相互作用 [でんじそうごさよう] /(n) electromagnetic interaction/
電磁単位 [でんじたんい] /(n) electromagnetic unit/emu/
電磁調理器 [でんじちょうりき] /(n) electromagnetic cooker/
電磁投射砲 [でんじとうしゃほう] /(n) railgun (firearm that uses electromagnetism to propell a projectile)/
電磁波 [でんじは] /(n) electromagnetic waves/
電磁波互換性 [でんじはごかんせい] /(n) (comp) electromagnetic compatibility/
電磁弁 [でんじべん] /(n) electromagnetic valve/solenoid valve/
電磁妨害 [でんじぼうがい] /(n) (comp) electromagnetic interference/EMI/
電磁誘導 [でんじゆうどう] /(n) electromagnetic induction/
電磁両立性 [でんじりょうりつせい] /(n) electromagnetic compatibility/EMC/
電車 [でんしゃ] /(n) (electric) train/(P)/
電車に乗る [でんしゃにのる] /(exp,v5r) to take a train/
電車賃 [でんしゃちん] /(n) train fare/
電車通り [でんしゃどおり] /(n) street with streetcar tracks/street with a tram line/
電車道相撲 [でんしゃみちすもう] /(n) railroading the opponent straight out of the ring (sumo)/
電場 [でんじょう] /(n) electric field/
電場 [でんば] /(n) electric field/
電情 [でんじょう] /(n) (abbr) electronic information/electronic data/electronics and information/
電飾 [でんしょく] /(n) decorative illumination/
電食 [でんしょく] /(n) electrolytic corrosion/
電信 [でんしん] /(n,adj-no) telegraph/(P)/
電信為替 [でんしんかわせ] /(n) telegraphic transfer/
電信機 [でんしんき] /(n) a telegraph/
電信技手 [でんしんぎしゅ] /(n) telegraph operator/telegraphist/telegrapher/
電信局 [でんしんきょく] /(n) telegraph office/
電信送金 [でんしんそうきん] /(n) wire transfer/
電信柱 [でんしんばしら] /(n) telephone pole/
電信電話会社 [でんしんでんわがいしゃ] /(n) (comp) common carrier/
電請 [でんせい] /(n,vs) wire (one's government) for instructions/
電線 [でんせん] /(n) (1) electric line/electric cable/power cable/(2) telephone line/telegraph wire/(P)/
電線を架ける [でんせんをかける] /(exp,v1) to lay a wire/
電総研 [でんそうけん] /(n) (abbr) Electro-technical Laboratories/ETL/
電装品 [でんそうひん] /(n) electrical component/
電送 [でんそう] /(n,vs) facsimile transmission/
電送写真 [でんそうしゃしん] /(n,adj-no) phototelegram/
電卓 [でんたく] /(n) (abbr) calculator (electronic)/(P)/
電探 [でんたん] /(n) (abbr) radar/
電断 [でんだん] /(n) (abbr) interruption of power/
電池 [でんち] /(n) battery/(P)/
電池式計算器 [でんちしきけいさんき] /(n) (comp) battery-powered calculator/
電池切れ [でんちぎれ] /(n) flat battery/(P)/
電蓄 [でんちく] /(n) (abbr) electric gramophone/
電着 [でんちゃく] /(n,vs) electrodeposition/
電柱 [でんちゅう] /(n) telephone pole/telegraph pole/lightpole/(P)/
電鋳 [でんちゅう] /(n) electroforming/
電通大 [でんつうだい] /(n) (abbr) University of Electro-Communications/(P)/
電停 [でんてい] /(n) tram stop/
電鉄 [でんてつ] /(n) electric railway/(P)/
電鉄会社 [でんてつがいしゃ] /(n) (electric) railroad company/
電電公社 [でんでんこうしゃ] /(n) Nippon Telegraph and Telephone Public Corporation (defunct)/
電灯 [でんとう] /(n) electric light/(P)/
電灯を点ける [でんとうをつける] /(exp,v1) to turn (switch) on an electric lamp/
電燈 [でんとう] /(oK) (n) electric light/
電動 [でんどう] /(n,adj-no) electric/(P)/
電動機 [でんどうき] /(n) electric motor/
電動歯ブラシ [でんどうはブラシ] /(n) electric toothbrush/
電動式 [でんどうしき] /(n) electrically operated/electric/
電動車いす [でんどうくるまいす] /(n) electric wheelchair/powered wheelchair/powerchair/motorized wheelchair/
電動車椅子 [でんどうくるまいす] /(n) electric wheelchair/powered wheelchair/powerchair/motorized wheelchair/
電動発動機 [でんどうはつどうき] /(n) electric motor/
電熱 [でんねつ] /(n,adj-no) electric heat/
電熱器 [でんねつき] /(n) electrothermic equipment/
電熱線 [でんねつせん] /(n) heating element/electrically-heated wire/
電脳 [でんのう] /(n) (comp) electronic brain/computer (primarily Chinese usage)/
電波 [でんぱ] /(n) (1) electro-magnetic wave/radio wave/(n,adj-na) (2) (sl) nonsense/(P)/
電波な奴 [でんぱなやつ] /(n) (sl) person who says nonsensical ramblings/lunatic/
電波管理 [でんぱかんり] /(n) radio wave regulation/
電波銀河 [でんぱぎんが] /(n) radio galaxy/
電波系 [でんぱけい] /(n) somebody who has wild fantasies/someone who hears voices/someone who is crazy/
電波源 [でんぱげん] /(n) radio source/
電波時計 [でんぱどけい] /(n) radio clock/
電波星 [でんぱせい] /(n) radio star/
電波探知器 [でんぱたんちき] /(n) radar/
電波探知機 [でんぱたんちき] /(n) radar/
電波天体 [でんぱてんたい] /(n) radio star/
電波天文学 [でんぱてんもんがく] /(n) radio astronomy/
電波天文台 [でんぱてんもんだい] /(n) radio astronomy observatory/
電波法 [でんぱほう] /(n) the Radio Law/
電波望遠鏡 [でんぱぼうえんきょう] /(n) radio telescope/
電番 [でんばん] /(n) telephone number/directory number/
電文 [でんぶん] /(n) telegram/
電報 [でんぽう] /(n) telegram/(P)/
電報を打つ [でんぽうをうつ] /(exp,v5t) to send a telegram/
電報為替 [でんぽうかわせ] /(ik) (n) telegraphic remittance/
電報為替 [でんぽうがわせ] /(n) telegraphic remittance/
電報局 [でんぽうきょく] /(n) telegraph office/
電報料 [でんぽうりょう] /(n) telegram charge/
電命 [でんめい] /(n) telegraphed instructions/
電鳴楽器 [でんめいがっき] /(n) electrophone/
電網 [でんもう] /(n) (1) internet/web/(2) (abbr) power grid/
電郵 [でんゆう] /(n) (1) (abbr) (an item of) electronic mail (e-mail)/e-mail message/(2) electronic mail (e-mail) service/electronic mail (e-mail) system/
電離 [でんり] /(n,vs) (1) (abbr) ionization/ionisation/(2) electrolytic dissociation/
電離圏 [でんりけん] /(n) ionosphere/
電離層 [でんりそう] /(n) ionosphere/
電離箱 [でんりばこ] /(n) ionization chamber/
電離放射線 [でんりほうしゃせん] /(n) ionizing radiation/
電略 [でんりゃく] /(n) abbreviation used in a telegram/
電流 [でんりゅう] /(n) electric current/(P)/
電流一致選択 [でんりゅういっちせんたく] /(n) (comp) coincident-current selection/
電流計 [でんりゅうけい] /(n) amperometer/
電量滴定 [でんりょうてきてい] /(n) coulombic titration/coulometric titration/
電力 [でんりょく] /(n) electric power/(P)/
電力会社 [でんりょくがいしゃ] /(n) (electric) power company/
電力回生 [でんりょくかいせい] /(n) electricity regeneration/
電力危機 [でんりょくきき] /(n) power crisis/
電力供給 [でんりょくきょうきゅう] /(n,adj-no) power supply/power distribution/
電力供給会社 [でんりょくきょうきゅうかいしゃ] /(n) power supply company/power distribution company/
電力系統 [でんりょくけいとう] /(n) electric power system/electric system/power system/
電力計 [でんりょくけい] /(n) wattmeter/
電力債 [でんりょくさい] /(n) electric company bond/
電力需要 [でんりょくじゅよう] /(n) demand for (electric) power/
電力小売り [でんりょくこうり] /(n) power retailing/
電力消費 [でんりょくしょうひ] /(n) electricity consumption/
電力制限 [でんりょくせいげん] /(n) (comp) power limitation/power restriction/
電力切れ [でんりょくぎれ] /(n) (comp) power (supply) cutoff/
電力束密度 [でんりょくそくみつど] /(n) (comp) power flux density/
電力不足 [でんりょくぶそく] /(n) electricity shortage/
電力輸送 [でんりょくゆそう] /(n) electric power transmission/
電力量 [でんりょくりょう] /(n) electric energy/
電鈴 [でんれい] /(n) electric bell/
電炉 [でんろ] /(n) electric furnace/electric oven/
電路 [でんろ] /(n) electrical circuit/
電話 [でんわ] /(n,vs,adj-no) telephone/(P)/
電話がかかってくる [でんわがかかってくる] /(exp,vk) to get a phone call/
電話がかかる [でんわがかかる] /(exp,v5r) to get a phone call/
電話が掛かってくる [でんわがかかってくる] /(exp,vk) to get a phone call/
電話が掛かって来る [でんわがかかってくる] /(exp,vk) to get a phone call/
電話が掛かる [でんわがかかる] /(exp,v5r) to get a phone call/
電話に出る [でんわにでる] /(exp,v1) to answer the phone/
電話をかける [でんわをかける] /(exp,v1) to telephone/to make a phone call/
電話を引く [でんわをひく] /(exp,v5k) to install a telephone/
電話を掛ける [でんわをかける] /(exp,v1) to telephone/to make a phone call/
電話を切る [でんわをきる] /(exp,v5r) to hang up the receiver (of a telephone)/
電話ボックス [でんわボックス] /(n) telephone booth/telephone box/
電話ワイヤ [でんわワイヤ] /(n) (comp) telephone wire/
電話応答機能 [でんわおうとうきのう] /(n) (comp) Answering Machine/
電話加入者 [でんわかにゅうしゃ] /(n) telephone subscriber/telephone customer/
電話会議 [でんわかいぎ] /(n) phone conference/conference call/
電話会社 [でんわがいしゃ] /(n) telecommunications company/telco/
電話回線 [でんわかいせん] /(n) telephone line/
電話機 [でんわき] /(n) telephone instrument/(P)/
電話機器 [でんわきき] /(n) (comp) telephone equipment/
電話局 [でんわきょく] /(n) telephone company/
電話交換機 [でんわこうかんき] /(n) telephone switchboard/
電話交換局 [でんわこうかんきょく] /(n) telephone switching station/telephone exchange/central office/
電話交換手 [でんわこうかんしゅ] /(n) telephone operator/
電話口 [でんわぐち] /(n) telephone receiver or mouthpiece/
電話室 [でんわしつ] /(n) telephone booth (indoor)/
電話世論調査 [でんわせろんちょうさ] /(n) telephone poll/
電話線 [でんわせん] /(n) telephone line/
電話線貸与 [でんわせんたいよ] /(n) leased telephone line/
電話対話 [でんわたいわ] /(n) telephone dialogue/
電話中 [でんわちゅう] /(n) during a telephone call/busy line/
電話注文 [でんわちゅうもん] /(n,vs) telephone order/
電話帳 [でんわちょう] /(n) telephone book/telephone directory/(P)/
電話調査 [でんわちょうさ] /(n) telephone survey/
電話番号 [でんわばんごう] /(n) telephone number/
電話付き [でんわつき] /(n) with a telephone/
電話網 [でんわもう] /(n) telephone network/
電話料 [でんわりょう] /(n) telephone charge/
電話料金 [でんわりょうきん] /(n) telephone fee/telephone service charge/
兎 [うさぎ] /(n) (uk) rabbit/hare/cony/(P)/
兎にも角にも [とにもかくにも] /(adv) (uk) anyhow/anyway/somehow or other/generally speaking/in any case/
兎に角 [とにかく] /(ateji) (adv) (uk) anyhow/at any rate/anyway/somehow or other/generally speaking/in any case/(P)/
兎の毛 [うのけ] /(n) just a hair/
兎も角 [ともかく] /(adv) (uk) anyhow/anyway/somehow or other/generally speaking/in any case/be that as it may/(P)/
兎も角も [ともかくも] /(adv) (uk) anyhow/anyway/somehow or other/generally speaking/in any case/be that as it may/
兎も有れ [ともあれ] /(adv) anyhow/in any case/
兎や角 [とやかく] /(adv) (uk) anyhow/anyway/somehow or other/generally speaking/in any case/all kinds of this/this and that/
兎や角言う [とやかくいう] /(exp,v5u) to say all kinds of things/to complain/to find fault (with)/
兎角 [とかく] /(adv,adj-no,n,vs) (1) (doing) various things/(doing) this and that/(2) being apt to/being prone to/tending to become/(3) somehow or other/anyhow/anyway/(4) (Buddh) rabbit horns (used as a metaphor for things that do not exist)/(P)/
兎角亀毛 [とかくきもう] /(exp) (Buddh) (obsc) horns on rabbits and fur on turtles (used as a metaphor for things that do not exist)/
兎欠 [いぐち] /(n) (sens) harelip/cleft lip/
兎欠 [とけつ] /(n) (sens) harelip/cleft lip/
兎結び [うさぎむすび] /(n) loop knot/
兎口 [すぐち] /(n) (obsc) harelip/cleft lip/
兎口 [みつくち] /(n) (sens) harelip/cleft lip/
兎座 [うさぎざ] /(n) Lepus/the Hare (constellation)/
兎児尾苗 [るりとらのお] /(n) beach speedwell/Veronica Longifolia/
兎耳 [うさぎみみ] /(n) long ears/gossiper/
兎狩り [うさぎがり] /(n) rabbit hunting/
兎小屋 [うさぎごや] /(n) rabbit hutch/
兎唇 [いぐち] /(n) (sens) harelip/cleft lip/
兎唇 [としん] /(n) (sens) harelip/cleft lip/
兎唇 [みつくち] /(n) (sens) harelip/cleft lip/
兎跳び [うさぎとび] /(n,vs) jumping along in a squatting position/rabbit jumping/
兎肉 [とにく] /(n) rabbit meat/
兎馬 [うさぎうま] /(n) donkey/
兎網 [うさぎあみ] /(n) rabbit-catching net/
兎脣 [いぐち] /(oK) (n) (sens) harelip/cleft lip/
兎脣 [としん] /(oK) (n) (sens) harelip/cleft lip/
吐かす [ぬかす] /(v5s,vt) (1) (vulg) to say/to speak/
吐きかける [はきかける] /(v1,vt) to spit/
吐き下し [はきくだし] /(n,vs) vomit and diarrhea or excreta (diarrhoea)/
吐き掛ける [はきかける] /(v1,vt) to spit/
吐き気 [はきけ] /(n) nausea/sickness in the stomach/(P)/
吐き気を催す [はきけをもよおす] /(exp,v5s) to feel nauseated/to feel sick/
吐き散らす [はきちらす] /(v5s,vt) (1) to spit out all around/to vomit all around/(2) to spew out (e.g. dirty language)/
吐き捨てる [はきすてる] /(v1,vt) to spit out/
吐き出す [はきだす] /(v5s,vt) to vomit/to spit out/(P)/
吐き薬 [はきぐすり] /(n) emetic/
吐く [つく] /(v5k,vt) (1) to breathe/(2) to tell (lies)/(3) to vomit/to disgorge/(P)/
吐く [はく] /(v5k,vt) (1) to breathe/(2) to tell (lies)/(3) to vomit/to disgorge/(P)/
吐く息 [はくいき] /(n) exhaled air/one's breath/
吐気 [はきけ] /(n) nausea/sickness in the stomach/
吐血 [とけつ] /(n,vs) vomiting of blood/
吐根 [とこん] /(n) (uk) ipecac (species of shrub, Cephaelis ipecacuanha)/ipecacuanha/
吐剤 [とざい] /(n) an emetic/
吐散らす [はきちらす] /(v5s,vt) (1) to spit out all around/to vomit all around/(2) to spew out (e.g. dirty language)/
吐出 [としゅつ] /(n,vs) vomit/spew/disgorge/
吐息 [といき] /(n) sigh/long breath/
吐乳 [とにゅう] /(n,vs) (baby) vomiting up milk/
吐物 [とぶつ] /(n) emesma/vomit/vomitus/
吐薬 [はきぐすり] /(n) emetic/
吐露 [とろ] /(n,vs) express one's mind/speak out/(P)/
吐瀉 [としゃ] /(n,vs) vomit and diarrhea or excreta (diarrhoea)/
吐瀉物 [としゃぶつ] /(n) vomit and excreta/
塗 [ぬり] /(n) coating (esp. lacquering)/
塗す [まぶす] /(v5s,vt) (uk) to cover (smear, sprinkle) (with)/
塗り [ぬり] /(n) coating (esp. lacquering)/
塗りたくる [ぬりたくる] /(v5r,vt) to bedaub (with paint)/to besmear/to paint heavily/to spread thickly/
塗りつける [ぬりつける] /(v1,vt) to daub/to smear/
塗りつぶし [ぬりつぶし] /(n) (1) blotting out/(2) (comp) fill (in graphics)/
塗りつぶす [ぬりつぶす] /(v5s,vt) to paint out/
塗り隠す [ぬりかくす] /(v5s,vt) to cover with paint/to hide with paint or make-up/
塗り下駄 [ぬりげた] /(n) lacquered geta/
塗り絵 [ぬりえ] /(n) picture for coloring in (colouring)/
塗り固める [ぬりかためる] /(v1) to coat a surface with something that adheres strongly when hardened (i.e. grout, plaster, lacquer)/
塗り広げる [ぬりひろげる] /(v1) to spread/to apply/
塗り込む [ぬりこむ] /(v5m) to paint over heavily/to plaster up/
塗り込める [ぬりこめる] /(v1,vt) to seal up/
塗り替える [ぬりかえる] /(v1,vt) to repaint/(P)/
塗り直し [ぬりなおし] /(n,vs) re-coating (e.g. repainting, respraying, etc.)/
塗り潰し [ぬりつぶし] /(n) (1) blotting out/(2) (comp) fill (in graphics)/
塗り潰す [ぬりつぶす] /(v5s,vt) to paint out/
塗り箸 [ぬりばし] /(n) lacquered chopsticks/
塗り板 [ぬりいた] /(n) (1) blackboard/(2) board used for laquering/
塗り板 [ぬりばん] /(n) (1) blackboard/
塗り付ける [ぬりつける] /(v1,vt) to daub/to smear/
塗り物 [ぬりもの] /(n) lacquerware/painting/coating/
塗り分ける [ぬりわける] /(v1) to paint in different colors (for different purposes) (colours)/
塗り壁 [ぬりかべ] /(n) plaster or mortar-covered wall/
塗り薬 [ぬりぐすり] /(n) liniment/ointment/salve/
塗り立て [ぬりたて] /(n) freshly painted/
塗り立てる [ぬりたてる] /(v1,vt) to paint beautifully/to paint thickly/to powder heavily/
塗る [ぬる] /(v5r,vt) to paint/to plaster/to lacquer/to varnish/to spread/to smear/(P)/
塗れ [まぶれ] /(ok) (n-suf) covered with/stained/smeared/
塗れ [まみれ] /(n-suf) covered with/stained/smeared/
塗れる [まぶれる] /(ok) (v1,vi) to be smeared/to be covered/
塗れる [まみれる] /(v1,vi) to be smeared/to be covered/
塗笠 [ぬりがさ] /(n) type of traditional Japanese conical hat/
塗固める [ぬりかためる] /(v1) to coat a surface with something that adheres strongly when hardened (i.e. grout, plaster, lacquer)/
塗工 [とこう] /(n) (1) coating/painting/(2) painter/
塗擦 [とさつ] /(n,vs) rubbing an ointment into the skin/
塗擦剤 [とさつざい] /(n) liniment/ointment/salve/
塗装 [とそう] /(n,vs) coating/painting/(P)/
塗炭 [とたん] /(n) misery/distress/
塗炭の苦しみ [とたんのくるしみ] /(exp,n) misery/distress/
塗板 [とばん] /(n) (1) blackboard/
塗板 [ぬりいた] /(n) (1) blackboard/(2) board used for laquering/
塗板 [ぬりばん] /(n) (1) blackboard/
塗布 [とふ] /(n,vs) (1) application (of ointment)/(2) coating/(P)/
塗布剤 [とふざい] /(n) liniment/ointment/salve/
塗物 [ぬりもの] /(n) lacquerware/painting/coating/
塗壁 [ぬりかべ] /(n) plaster or mortar-covered wall/
塗抹 [とまつ] /(n,vs) smear/daub/coating over/
塗薬 [ぬりぐすり] /(n) liniment/ointment/salve/
塗油 [とゆ] /(n,vs) anointing/
塗立て [ぬりたて] /(n) freshly painted/
塗料 [とりょう] /(n) paints/painting material/(P)/
塗篭 [ぬりごめ] /(n) interior closed room with heavily plastered walls in a Heian palace/
塗籠 [ぬりごめ] /(n) interior closed room with heavily plastered walls in a Heian palace/
妬く [やく] /(v5k,vt) (1) to be jealous/to be envious/
妬ける [やける] /(v1,vi) (1) to be jealous/to be envious/
妬ましい [ねたましい] /(adj-i) jealous/envious/
妬み [ねたみ] /(n) jealousy/envy/
妬む [そねむ] /(v5m,vt) (uk) to be jealous of/to envy/to begrudge/
妬む [そねむ] /(v5m,vt) to be jealous/to be envious/
妬む [ねたむ] /(v5m,vt) (uk) to be jealous of/to envy/to begrudge/(P)/
妬心 [としん] /(n) jealousy/
屠る [ほふる] /(v5r,vt) to slaughter/to massacre/to defeat/to butcher/
屠殺 [とさつ] /(n,vs) slaughter (of animals for meat)/
屠殺場 [とさつじょう] /(n) abattoir/
屠殺人 [とさつにん] /(n) (sens) butcher/slaughterhouse worker/
屠所 [としょ] /(n) abattoir/slaughterhouse/
屠所の羊 [としょのひつじ] /(exp) discouraged person/(like a) sheep being led to a slaughterhouse/
屠場 [とじょう] /(n) abattoir/slaughterhouse/
屠蘇 [とそ] /(n) spiced sake (served at New Year's)/
屠蘇機嫌 [とそきげん] /(n,adj-no) feeling a little drunk with the New Year's sake/
屠蘇気分 [とそきぶん] /(n) festive New Year's mood/
屠蘇散 [とそさん] /(n) spices used in toso (spiced sake)/
屠畜場 [とちくじょう] /(n) abattoir/slaughterhouse/
屠畜場従業員 [とちくじょうじゅうぎょういん] /(n) slaughterhouse worker/abattoir worker/
徒 [あだ] /(adj-na,n) vain/futile/transient/frivolous/
徒 [かち] /(n) (1) foot soldier (Edo period)/samurai on foot/(2) (arch) going on foot/walking/
徒 [ず] /(n) (arch) imprisonment (for one to three years)/
徒 [ただ] /(adj-no) (1) (uk) ordinary/common/usual/(2) free of charge/(3) unaffected/as is/safe/(adv) (4) only/merely/just/simply/(5) but/however/nevertheless/
徒 [と] /(n) party/set/gang/
徒し心 [あだしごころ] /(n) fickle heart/
徒となる [あだとなる] /(exp) (id) Good intentions can backfire/
徒ならぬ [ただならぬ] /(adj-f) (uk) unusual/uncommon/extraordinary/out of the ordinary/incomparable/serious/alarming/
徒に [いたずらに] /(adv) (uk) in vain/uselessly/aimlessly/idly/
徒めく [あだめく] /(v5k) to be bewitching/to look coquettish/to behave in an alluring manner/to behave in a seductive manner/
徒や疎か [あだやおろそか] /(n,adj-na) making light of/disregarding/
徒より高い物はない [ただよりたかいものはない] /(exp) (id) Nothing costs as much as what is given to us/
徒らに [いたずらに] /(adv) (uk) in vain/uselessly/aimlessly/idly/
徒花 [あだばな] /(n) (1) non-fruit-bearing flower/(2) something that is flashy with no content/
徒競走 [ときょうそう] /(n) foot race/
徒刑 [とけい] /(n) penal servitude/
徒言 [ただこと] /(n) (arch) plain speech/direct speech/
徒言 [ただごと] /(n) (arch) plain speech/direct speech/
徒言歌 [ただことうた] /(n) plain form (of waka)/
徒言歌 [ただごとうた] /(n) plain form (of waka)/
徒広い [だだっぴろい] /(adj-i) very (excessively) spacious/unduly wide/sprawling/
徒行 [とこう] /(n,vs) walking/going on foot/
徒桜 [あだざくら] /(n) ephemeral (easily scattered) cherry blossom/fickle woman/
徒士 [かち] /(n) (1) foot soldier (Edo period)/samurai on foot/
徒士衆 [かちしゅう] /(n) (1) humble samurai who served as a body guard on foot/(2) bodyguards in service of the shogun who would walk ahead of him on an outing(Edo period)/
徒士組 [かちぐみ] /(n) bodyguards in service of the shogun who would walk ahead of him on an outing(Edo period)/
徒死 [とし] /(n,vs) dying in vain/
徒事 [あだごと] /(n) trivial matter/
徒事 [ただごと] /(n) trivial matter/
徒侍 [かちざむらい] /(n) humble samurai who served as a body guard on foot/
徒爾 [とじ] /(adj-na,n) uselessness/
徒者 [ただもの] /(n) ordinary person (usu. in neg. sentences)/
徒手 [としゅ] /(n,adj-no) (1) being empty-handed/bare hand (e.g. fight)/(2) being penniless/
徒手空拳 [としゅくうけん] /(n) empty-handed/with nothing to start with/without capital/
徒手体操 [としゅたいそう] /(n) free-standing exercises/calisthentics (performed without using any apparatus)/
徒書き [いたずらがき] /(n) scribbling/doodling/graffiti/
徒渉 [としょう] /(n,vs) wade across/
徒食 [としょく] /(n,vs) idle life/idleness/
徒心 [あだごころ] /(n) (arch) cheating heart/fleeting heart/fickle heart/
徒然 [つれづれ] /(gikun) (adj-na,adv,n) tedium/
徒然 [とぜん] /(adj-na,adv,n) tedium/
徒疎か [あだおろそか] /(n,adj-na) making light of/disregarding/
徒組 [かちぐみ] /(n) bodyguards in service of the shogun who would walk ahead of him on an outing(Edo period)/
徒組 [かちぐみ] /(n) winners (those who have succeeded socially, economically, etc.)/
徒弟 [とてい] /(n) apprentice/
徒弟制度 [とていせいど] /(n) an apprentice system/apprenticeship/
徒党 [ととう] /(n,vs,adj-no) conspirators/faction/cabal/clique/
徒輩 [とはい] /(n) set/company/companions/fellows/
徒費 [とひ] /(n,vs) waste/
徒歩 [かち] /(n) (1) foot soldier (Edo period)/samurai on foot/(2) (arch) going on foot/walking/
徒歩 [とほ] /(n,adj-no) walking/going on foot/(P)/
徒歩競走 [とほきょうそう] /(n) footrace/
徒名 [あだな] /(n) rumor of a romance (rumour)/
徒労 [とろう] /(n) fruitless effort/wasted effort/abortive scheme/(P)/
徒労に終わる [とろうにおわる] /(exp,v5r) to end in vain/to be wasted effort/
斗 [と] /(n) (1) (obs) to (measure of volume, approx. 18 litres)/(2) square bearing block (at the top of a pillar)/(3) Chinese "Dipper" constellation (one of the 28 mansions)/(P)/
斗 [とます] /(n) kanji radical 68 at right/
斗 [ます] /(n) (1) measuring container/measure/(2) box (seating at a theatre, etc.)/(3) square on a grid/cell of a grid/(4) square bearing block (at the top of a pillar)/
斗きょう [ときょう] /(n) piece of wood supporting deeply receded eaves, esp. in temple construction/
斗形 [ますがた] /(n) (1) square (shape)/(2) square bearing block (at the top of a pillar)/(3) (in a castle) rectangular space between the inner and outer gates (where troops can gather)/
斗魂 [とうこん] /(iK) (n) fighting spirit/
斗酒 [としゅ] /(n) kegs of sake/lot of sake/
斗宿 [ひきつぼし] /(n) Chinese "Dipper" constellation (one of the 28 mansions)/
斗宿 [ひつきぼし] /(n) Chinese "Dipper" constellation (one of the 28 mansions)/
斗組 [ますぐみ] /(n) square framing (in a house, temple, screen, etc.)/
斗組み [ますぐみ] /(n) square framing (in a house, temple, screen, etc.)/
斗掻き星 [とかきぼし] /(n) Chinese "Legs" constellation (one of the 28 mansions)/
斗争 [とうそう] /(iK) (n,vs,adj-no) strife/conflict/
斗南 [となん] /(n) (arch) the whole world/south of the Big Dipper/
斗枡 [とます] /(n) 18-litre measuring container/
杜 [もり] /(n) (1) forest/(2) shrine grove/
杜宇 [とう] /(n) (uk) lesser cuckoo (Cuculus poliocephalus)/
杜宇 [ほととぎす] /(n) (uk) lesser cuckoo (Cuculus poliocephalus)/
杜衡 [かんあおい] /(n) (uk) Asarum nipponicum (species of wild ginger)/
杜衡 [とこう] /(n) (uk) Asarum nipponicum (species of wild ginger)/
杜氏 [とうじ] /(n) chief brewer at a sake brewery (after name of sake's alleged inventor)/
杜氏 [とじ] /(n) chief brewer at a sake brewery (after name of sake's alleged inventor)/
杜若 [かきつばた] /(n) (uk) rabbitear iris (Iris laevigata)/
杜松 [ねず] /(n) (uk) Juniperus rigida/
杜絶 [とぜつ] /(n,vs) stoppage/interruption/cessation/suspension/
杜撰 [ずさん] /(adj-na,n) (1) (uk) careless/sloppy/faulty/(2) author who makes many mistakes/author who uses unsupported references/(P)/
杜撰 [ずざん] /(adj-na,n) (1) (uk) careless/sloppy/faulty/(2) author who makes many mistakes/author who uses unsupported references/
杜撰脱漏 [ずさんだつろう] /(n) careless (slipshod) and with many omissions/
杜仲 [とちゅう] /(n) (uk) hardy rubber tree (near-threatened species often used in Chinese medicine, Eucommia ulmoides)/
杜仲科 [とちゅうか] /(n) Eucommiaceae (monotypic plant family containing only the hardy rubber tree)/
杜仲茶 [とちゅうちゃ] /(n) Tochuu tea (high in minerals and reputed to be beneficial for weight loss and in cases of high blood pressure)/
杜夫魚 [かくぶつ] /(n) (uk) fourspine sculpin (species of fish, Cottus kazika)/
杜父魚 [かくぶつ] /(n) (uk) fourspine sculpin (species of fish, Cottus kazika)/
杜父魚 [かじか] /(n) (1) (uk) sculpin (any fish of family Cottidae, inc. the bullheads and the miller's-thumb)/(2) Japanese fluvial sculpin (Cottus pollux)/
杜父魚 [とふぎょ] /(n) (1) (uk) sculpin (any fish of family Cottidae, inc. the bullheads and the miller's-thumb)/(2) Japanese fluvial sculpin (Cottus pollux)/
杜漏 [ずろう] /(adj-na,n) careless/negligent/
杜鵑 [とけん] /(n) (uk) lesser cuckoo (Cuculus poliocephalus)/
杜鵑 [ほととぎす] /(n) (uk) lesser cuckoo (Cuculus poliocephalus)/
杜鵑花 [とけんか] /(n) satsuki azalea (Rhododendron indicum)/
杜鵑草 [ほととぎす] /(n) (uk) toad lily (Tricyrtis hirta)/
杜鵑草 [ほととぎすそう] /(n) (uk) toad lily (Tricyrtis hirta)/
渡し [わたし] /(n) (1) ferry (crossing)/ferry(boat)/(suf) (2) delivery/(P)/
渡し込み [わたしこみ] /(n) technique of throwing one's opponent by pushing his chest while holding his thigh (sumo)/thigh-grabbing push down/
渡し守 [わたしもり] /(n) ferryman/
渡し守り [わたしもり] /(n) ferryman/
渡し舟 [わたしぶね] /(n) ferry/ferryboat/
渡し場 [わたしば] /(n) ferry landing/point of departure or arrival for ferries/
渡し船 [わたしぶね] /(n) ferry/ferryboat/(P)/
渡し銭 [わたしせん] /(n) ferriage/
渡し賃 [わたしちん] /(n) ferriage/
渡し箸 [わたしばし] /(n) resting one's chopsticks across the top of one's bowl (a breach of etiquette)/
渡す [わたす] /(v5s,vt) (1) to ferry across (a river, etc.)/to carry across/to traverse/(2) to lay across/to build across/(3) to hand over/to hand in/to pass/to give/to transfer/(P)/
渡り [わたり] /(n) ferry/(P)/
渡りに船 [わたりにふね] /(exp) windfall/godsend (like a finding a ship when one needs to cross)/
渡り烏 [わたりがらす] /(n) (uk) common raven (Corvus corax)/
渡り蟹 [わたりかに] /(n) (uk) swimming crab (Portunus trituberculatus)/Japanese blue crab/
渡り蟹 [わたりがに] /(n) (uk) swimming crab (Portunus trituberculatus)/Japanese blue crab/
渡り間 [わたりま] /(n) distance between two points/distance between opposite supports of arch, bridge/span/
渡り合う [わたりあう] /(v5u,vi) to argue/to deal with/
渡り者 [わたりもの] /(n) wanderer/
渡り初め [わたりぞめ] /(n) bridge-opening ceremony/first crossing of a bridge/
渡り鳥 [わたりどり] /(n) migratory bird/bird of passage/(P)/
渡り殿 [わたりどの] /(n) roofed corridor connecting two buildings (in traditional palatial-style architecture)/
渡り箸 [わたりばし] /(n) using one's chopsticks to jump from side dish to side dish without pausing to eat rice in between (a breach of etiquette)/
渡り板 [わたりいた] /(n) gangplank/
渡り歩く [わたりあるく] /(v5k,vi) to wander from place to place/to change jobs/
渡り奉公 [わたりぼうこう] /(n) working as a servant for a series of masters/
渡り廊下 [わたりろうか] /(n) passage/
渡る [わたる] /(v5r,vi) (1) to cross over/to go across/(2) to extend/to cover/to range/to span/(P)/
渡る世間に鬼はない [わたるせけんにおにはない] /(exp) (obsc) there are no devils in this world/all humans are good at heart (even though they may appear frightening)/
渡る世間に鬼は無い [わたるせけんにおにはない] /(exp) (obsc) there are no devils in this world/all humans are good at heart (even though they may appear frightening)/
渡烏 [わたりがらす] /(n) (uk) common raven (Corvus corax)/
渡英 [とえい] /(n,vs) going to Britain/
渡欧 [とおう] /(n,vs) going to Europe/
渡河 [とか] /(n,vs) river crossing/
渡海 [とかい] /(n,vs) crossing the sea/
渡蟹 [わたりかに] /(n) (uk) swimming crab (Portunus trituberculatus)/Japanese blue crab/
渡蟹 [わたりがに] /(n) (uk) swimming crab (Portunus trituberculatus)/Japanese blue crab/
渡御 [とぎょ] /(n,vs) transferral of a sacred object from its place of enshrinement/imperial procession/
渡航 [とこう] /(n,vs) voyage/(P)/
渡航者 [とこうしゃ] /(n) passenger/visitor (traveler) (to) (traveller)/
渡守 [わたしもり] /(io) (n) ferryman/
渡渉 [としょう] /(n,vs) fording/wading (across)/
渡場 [わたしば] /(io) (n) ferry landing/point of departure or arrival for ferries/
渡信天翁 [わたりあほうどり] /(n) (uk) wandering albatross (Diomedea exulans)/
渡世 [とせい] /(n,vs) (1) livelihood/subsistence/(2) business/trade/profession/
渡世人 [とせいにん] /(n) gambler/yakuza/person without a legitimate job/
渡船 [とせん] /(n) a ferry/
渡船場 [とせんじょう] /(n) ferry landing/
渡船場 [とせんば] /(n) ferry landing/
渡中 [とちゅう] /(n) (1) migration to China/(vs) (2) to migrate to China/
渡殿 [わたどの] /(n) roofed corridor connecting two buildings (in traditional palatial-style architecture)/
渡殿 [わたりどの] /(n) roofed corridor connecting two buildings (in traditional palatial-style architecture)/
渡日 [とにち] /(n,vs) coming to Japan (of non-Japanese)/
渡比 [とひ] /(n,vs) migration to the Philippines/
渡仏 [とふつ] /(n,vs) going to France/
渡米 [とべい] /(n,vs) going to USA/going to America/
渡満 [とまん] /(n,vs) migration to Manchuria/
渡洋 [とよう] /(n,vs,adj-no) transoceanic/
渡来 [とらい] /(n,vs) visit/introduction/importation/(P)/
渡来神 [とらいしん] /(n) deity that originated on the Asian mainland, particulalry the Korean Peninsula, during the Yayoi or Kofun Periods (e.g. Ame no Hiboko)/
渡来人 [とらいじん] /(n) people from overseas, especially from China and Korea, who settled in early Japan and introduced Continental culture to the Japanese/
渡露 [とろ] /(n,vs) migration to Russia/
渡鴉 [わたりがらす] /(n) (uk) common raven (Corvus corax)/
登り [のぼり] /(n) (1) ascent/climbing/ascending (path)/climb/(n,adj-no) (2) northward (towards Tokyo)/
登りつめる [のぼりつめる] /(v1,vi) (1) to go to the top/to climb to the top/to ascend to the top/to reach the summit (e.g. of a mountain)/(2) to be engrossed in/to be very enthusiastic about/to be infatuated with/
登り下り [のぼりおり] /(n,vs) rising and falling/going up and down/
登り下り [のぼりくだり] /(n,vs) rising and falling/going up and down/
登り詰める [のぼりつめる] /(v1,vi) (1) to go to the top/to climb to the top/to ascend to the top/to reach the summit (e.g. of a mountain)/(2) to be engrossed in/to be very enthusiastic about/to be infatuated with/
登り口 [のぼりぐち] /(n) starting point for an ascent (mountain, stairs, etc.)/
登る [のぼる] /(v5r,vi) (1) to ascend/to go up/to climb/(2) to ascend (as a natural process, e.g. the sun)/to rise/(3) to go to (the capital)/(4) to be promoted/(5) to add up to/(6) to advance (in price)/(7) to swim up (a river)/to sail up/(8) to come up (on the agenda)/(P)/
登院 [とういん] /(n,vs) attendance at the House (Diet)/
登下校 [とうげこう] /(n) path to and from school/way to school/
登科 [とうか] /(n) passing the civil service examination/
登花殿 [とうかでん] /(n) ladies' pavilion (of the inner Heian Palace)/
登華殿 [とうかでん] /(n) ladies' pavilion (of the inner Heian Palace)/
登記 [とうき] /(n,vs) registry/registration/(P)/
登記所 [とうきしょ] /(n) registry office/
登記番号欄 [とうきばんごうらん] /(n) registry number column/
登記簿 [とうきぼ] /(n) register/
登記料 [とうきりょう] /(n) registration fee/
登極 [とうきょく] /(n,vs) (Imperial) accession/
登舷礼 [とうげんれい] /(n) ceremonial assembling of a ship's crew on deck/
登校 [とうこう] /(n,vs) attendance (at school)/going to school/(P)/
登校拒否 [とうこうきょひ] /(n,adj-no) truancy/
登校日 [とうこうび] /(n) school day/
登高 [とうこう] /(n,vs) climbing up/
登載 [とうさい] /(n,vs) register/record/printing/(P)/
登坂 [とはん] /(n,vs) climbing a slope (hill)/ascending a hill/
登坂車線 [とうはんしゃせん] /(n) (climbing) lane for slower traffic/
登坂車線 [とはんしゃせん] /(n) (climbing) lane for slower traffic/
登山 [とざん] /(n,vs) mountain climbing/(P)/
登山家 [とざんか] /(n) mountain climber/mountaineer/
登山客 [とざんきゃく] /(n) mountain climber/
登山靴 [とざんぐつ] /(n) (mountain-)climbing boots/
登山口 [とざんぐち] /(n) starting point of a mountain ascent/trailhead (leading up a mountain)/
登山者 [とざんしゃ] /(n) mountain climber/mountaineer/
登山隊 [とざんたい] /(n) climbing expedition/mountaineering party/
登山鉄道 [とざんてつどう] /(n) mountain railway/
登山電車 [とざんでんしゃ] /(n) mountain railway/
登山道 [とざんどう] /(n) mountain trail/path up a mountain/
登山帽 [とざんぼう] /(n) climber's hat/
登城 [とじょう] /(n,vs) attendance at a castle/
登場 [とうじょう] /(n,vs) (1) entry (on stage)/appearance (on screen)/(2) entrance/introduction (into a market)/(P)/
登場感 [とうじょうかん] /(n) launch impression (e.g. of new product in advertising)/launch impact/presense/
登場人物 [とうじょうじんぶつ] /(n) the characters (in a play or novel)/
登仙 [とうせん] /(n,vs) becoming a saint/death of a high-ranking person/
登第 [とうだい] /(n,vs) passing the examination/
登壇 [とうだん] /(n,vs) going on a platform/
登庁 [とうちょう] /(n,vs) attending a government office/
登頂 [とうちょう] /(n,vs) climbing to the summit/(P)/
登板 [とうばん] /(n,vs) taking the plate/pitching a game/(P)/
登庸 [とうよう] /(n,vs) appointment/assignment/promotion/
登用 [とうよう] /(n,vs) appointment/assignment/promotion/(P)/
登竜門 [とうりゅうもん] /(n) gateway to success/opening to honours/opening to honors/(P)/
登臨 [とうりん] /(n,vs) climbing to a high spot/ascending the throne/
登楼 [とうろう] /(n,vs) going up a tower/going into a tall building/visiting a brothel/
登録 [とうろく] /(n,vs) registration/accession/register/entry/record/(P)/
登録器 [とうろくき] /(n) register (e.g. cash)/
登録機 [とうろくき] /(n) register (e.g. cash)/
登録済 [とうろくずみ] /(n) registered/
登録済み [とうろくずみ] /(n) registered/
登録済みアクセス [とうろくずみアクセス] /(n) (comp) registered access/
登録識別子 [とうろくしきべつし] /(n) (comp) registration-identifier/
登録者 [とうろくしゃ] /(n) registrant/(P)/
登録集原文 [とうろくしゅうげんぶん] /(n) (comp) library text/
登録集名 [とうろくしゅうめい] /(n) (comp) library-name/
登録所有者識別子 [とうろくしょゆうしゃしきべつし] /(n) (comp) registered owner identifier/
登録商標 [とうろくしょうひょう] /(n) registered trademark/tm/(P)/
登録証 [とうろくしょう] /(n) registration book or card/
登録番号 [とうろくばんごう] /(n) registration number/(P)/
登録簿 [とうろくぼ] /(n) directory/inventory/
登録料 [とうろくりょう] /(n) registration fee/
登攀 [とうはん] /(n,vs) climbing/scaling/ascending/
菟葵 [いそぎんちゃく] /(n) (uk) sea anemone/
賭 [かけ] /(n,vs) betting/gambling/a gamble/
賭け [かけ] /(n,vs) betting/gambling/a gamble/(P)/
賭ける [かける] /(v1,vt) to wager/to bet/to risk/to stake/to gamble/(P)/
賭け屋 [かけや] /(n) bookmaker/taker of bets/ringman/bookie/
賭け金 [かけきん] /(n) stakes/bet/
賭け碁 [かけご] /(n) playing go for stakes/
賭け事 [かけごと] /(n) betting/gambling/
賭け物 [かけもの] /(n) bet/
賭す [とす] /(v5s,vt) to stake/to risk/to bet/to wager/
賭する [とする] /(vs-s) to stake/to risk/to bet/to wager/
賭弓 [のりゆみ] /(n) (1) prize archery/(2) imperial archery event held annually on the 18th day of the first lunar month (Heian period)/
賭事 [かけごと] /(n) betting/gambling/
賭射 [のりゆみ] /(n) (1) prize archery/(2) imperial archery event held annually on the 18th day of the first lunar month (Heian period)/
賭場 [とば] /(n) gambling den/
賭博 [とばく] /(n,vs) gambling/
賭博師 [とばくし] /(n) gambler/gamester/
賭博場 [とばくじょう] /(n) gambling house/gaming room/gambling den/
賭物 [かけもの] /(n) bet/
賭物 [とぶつ] /(n) bet/
賭物 [のりもの] /(n) bet/
途 [と] /(n) way/(P)/
途 [みち] /(n) (1) road/street/way/path/course/route/lane/(2) distance/ways (e.g. "a long ways")/(3) the way (of proper conduct, etc.)/one's way/morals/(4) teachings (esp. Confucian or Buddhist)/dogma/(5) field (of medicine, etc.)/subject/(6) way/method/means/
途につく [とにつく] /(exp,v5k) to set out (on a journey)/to start (a task)/
途に就く [とにつく] /(exp,v5k) to set out (on a journey)/to start (a task)/
途子 [ずし] /(n) (1) (arch) alley/alleyway/(2) (arch) crossroads/intersection/
途次 [とじ] /(n-adv,n-t) on one's way/
途上 [とじょう] /(n-adv,n-t) (1) en route/half-way/(2) on the road/in the street/(P)/
途上国 [とじょうこく] /(n) developing country/(P)/
途上与信 [とじょうよしん] /(n) credit monitoring/credit limit monitoring/
途切らす [とぎらす] /(v5s,vt) to stop midway/to interrupt/
途切らせる [とぎらせる] /(v1,vt) to stop midway/to interrupt/
途切れる [とぎれる] /(v1,vi) to pause/to be interrupted/(P)/
途切れ途切れ [とぎれとぎれ] /(adj-na,adj-no,adv) broken/intermittent/disconnected/
途絶 [とぜつ] /(n,vs) stoppage/interruption/cessation/suspension/
途絶える [とだえる] /(v1,vi) to stop/to cease/to come to an end/(P)/
途端 [とたん] /(n) just (now, at the moment, etc.)/(P)/
途端に [とたんに] /(adv) just as/in the act of/
途中 [とちゅう] /(n-adv,n-t) (1) on the way/en route/(2) in the middle of/midway/(P)/
途中下車 [とちゅうげしゃ] /(n,vs,adj-no) stopover/
途中棄権 [とちゅうきけん] /(exp) did not finish (sporting term)/DNF/
途中休場 [とちゅうきゅうじょう] /(n) quitting the tournament in progress due mostly to injury (sumo)/
途中計時 [とちゅうけいじ] /(n) one's time at a certain point (at various points) of a race/
途中降機 [とちゅうこうき] /(n) stopover/
途轍もない [とてつもない] /(adj-i) (uk) extravagant/absurd/unbelievable/preposterous/unreasonable/
途轍も無い [とてつもない] /(adj-i) (uk) extravagant/absurd/unbelievable/preposterous/unreasonable/
途方 [とほう] /(n) way/destination/reason/(P)/
途方にくれる [とほうにくれる] /(exp,v1) to be at a loss/to be puzzled/
途方に暮れる [とほうにくれる] /(exp,v1) to be at a loss/to be puzzled/
途方もない [とほうもない] /(adj-i) extraordinary/preposterous/outrageous/absurd/
都 [と] /(n,adj-no) metropolitan/municipal/
都 [みやこ] /(n) capital/metropolis/(P)/
都々一 [どどいつ] /(n) (obsc) (obs) (arch) unrhymed non-metrical Japanese popular love song or limerick in the 7-7-7-5 syllable pattern/
都々逸 [どどいつ] /(n) (obsc) (obs) (arch) unrhymed non-metrical Japanese popular love song or limerick in the 7-7-7-5 syllable pattern/
都て [かつて] /(adv,adj-no) (1) (uk) once/before/formerly/ever/former/ex-/(2) never (with negative verb)/
都をどり [みやこをどり] /(ik) (n) dance performance held in April by geisha and maiko in Kyoto's Gion district/
都育ち [みやこそだち] /(n) city-bred/
都営 [とえい] /(n) operated by the metropolitan government/(P)/
都下 [とか] /(n) in the capital/in Tokyo/
都雅 [とが] /(adj-na,n) graceful/sophisticated/
都会 [とかい] /(n,adj-no) city/(P)/
都会を離れる [とかいをはなれる] /(exp,v1) to leave town/
都会人 [とかいじん] /(n) city dweller/
都会的 [とかいてき] /(adj-na) urban/metropolitan/
都会派 [とかいは] /(adj-no) urban/yuppy/
都議 [とぎ] /(n) Metropolitan assemblyman/(P)/
都議会 [とぎかい] /(n) the Tokyo Assembly/
都議選 [とぎせん] /(n) Tokyo Assembly elections/
都銀 [とぎん] /(n) (abbr) city bank/metropolitan bank/
都護 [とご] /(n) (1) Protector General/Tang-period Chinese official in charge of the local Protectorate General/(2) travelling inspector of the provincial governments (Nara- and Heian-period position)/
都護府 [とごふ] /(n) Protectorate General/Han- and Tang-period Chinese office established to pacify and control peoples on the frontier (during the Tang period, six major Protectorate Generals were established)/
都合 [つごう] /(adv,n) (1) circumstances/condition/convenience/(vs) (2) to arrange/to manage/(P)/
都合がいい [つごうがいい] /(exp) convenient/
都合がよい [つごうがよい] /(exp) convenient/
都合がよろしい [つごうがよろしい] /(exp,adj-i) (pol) convenient/
都合がわるい [つごうがわるい] /(exp,adj-i) inconvenient/
都合が悪い [つごうがわるい] /(exp,adj-i) inconvenient/
都合が良い [つごうがいい] /(exp) convenient/
都合が良い [つごうがよい] /(exp) convenient/
都合のいい [つごうのいい] /(exp,adj-i) convenient/
都合のよい [つごうのよい] /(exp,adj-i) convenient/
都合のよろしい [つごうのよろしい] /(adj-i) (pol) convenient/
都合のわるい [つごうのわるい] /(exp,adj-i) inconvenient/
都合の悪い [つごうのわるい] /(exp,adj-i) inconvenient/
都合の宜しい [つごうのよろしい] /(adj-i) (pol) convenient/
都合の良い [つごうのいい] /(exp,adj-i) convenient/
都合の良い [つごうのよい] /(exp,adj-i) convenient/
都合次第 [つごうしだい] /(n) depending on the (one's) situation (circumstances)/at one's pleasure/
都察院 [とさついん] /(n) Censorate (Ming and Qing-dynasty surveillance agency)/
都市 [とし] /(n,adj-no) town/city/municipal/urban/(P)/
都市ガス [としガス] /(n) town gas/(P)/
都市化 [としか] /(n,vs) urbanization/urbanisation/
都市銀行 [としぎんこう] /(n) city bank/metropolitan bank/
都市型 [としがた] /(n,adj-no) urban-type/urban/
都市経済学 [としけいざいがく] /(n) urban economics/
都市計画 [としけいかく] /(n) city planning/urban planning/town planning/(P)/
都市圏 [としけん] /(n) urban area/metropolitan area/metropolitan region/
都市交通 [としこうつう] /(n) urban transport/urban transit/
都市国家 [としこっか] /(n) city-state/
都市再開発 [としさいかいはつ] /(n) urban redevelopment/
都市再生 [としさいせい] /(n) urban regeneration/
都市生態学 [としせいたいがく] /(n) urban ecology/
都市伝説 [としでんせつ] /(n) urban legend/
都市部 [としぶ] /(n) urban areas/
都寺 [つうす] /(n) one of the six administrators of a Zen temple/
都城 [とじょう] /(n) castle town/
都心 [としん] /(n) city centre (center) (esp. capital city)/urban centre/heart of city a metropolis/(P)/
都人 [とじん] /(n) townsfolk/residents of the capital/
都人士 [とじんし] /(n) city dweller/townspeople/
都政 [とせい] /(n) the metropolitan government (of Tokyo)/(P)/
都節音階 [みやこぶしおんかい] /(n) miyako-bushi scale (characteristic Japanese hemitonic pentatonic scale: mi, fa, la, ti, do)/
都草 [みやこぐさ] /(n) (uk) bird's-foot trefoil (Lotus corniculatus, esp. Lotus corniculatus var. japonicus)/birdsfoot trefoil/
都卒 [とそつ] /(n) (Buddh) (abbr) Tusita (heaven, pure land)/
都知事 [とちじ] /(n) metropolitan governor/governor of Tokyo/
都庁 [とちょう] /(n) Tokyo Government Office/(P)/
都鳥 [みやこどり] /(n) (1) (uk) Eurasian oystercatcher (Haematopus ostralegus)/(2) (arch) black-headed gull (Larus ridibundus)/(3) (uk) Cinnalepeta pulchella (species of spiral-shelled gastropod)/
都鳥貝 [みやこどりがい] /(n) (uk) (obsc) Cinnalepeta pulchella (species of spiral-shelled gastropod)/
都電 [とでん] /(n) Metropolitan Electric Railway/
都都逸 [どどいつ] /(n) (obsc) (obs) (arch) unrhymed non-metrical Japanese popular love song or limerick in the 7-7-7-5 syllable pattern/
都度 [つど] /(n) each (every) time/whenever/(P)/
都道府県 [とどうふけん] /(n) administrative divisions of Japan: Tokyo-to, Hokkai-do, Osaka-fu, Kyoto-fu and remaining prefectures/(P)/
都督 [ととく] /(n) governor-general/
都内 [とない] /(n) metropolitan area/(P)/
都入り [みやこいり] /(n) arriving in the capital/
都風 [みやこふう] /(n) city style/metropolitan/
都忘 [みやこわすれ] /(n) China aster/
都忘れ [みやこわすれ] /(n) Miyamayomena savateri/Gymnaster savatieri/
都民 [とみん] /(n) city populace/resident of Tokyo/(P)/
都民会館 [とみんかいかん] /(n) Tokyo meeting hall/
都邑 [とゆう] /(n) city/town/village/
都踊り [みやこおどり] /(n) dance performance held in April by geisha and maiko in Kyoto's Gion district/
都落ち [みやこおち] /(n) leaving (fleeing) the capital/
都立 [とりつ] /(n,adj-no) metropolitan (i.e. established by the Tokyo Metropolitan Government)/(P)/
都立高校 [とりつこうこう] /(n) metropolitan high school/
都連 [とれん] /(n) (Tokyo) party chapter/
都鄙 [とひ] /(n) town and country/
鍍金 [ときん] /(n,vs) (1) gilt/plating/(2) pretense/pretence/
鍍金 [めっき] /(n,vs) (1) gilt/plating/(2) pretense/pretence/
砥ぐ [とぐ] /(v5g,vt) (1) to sharpen/to hone/to whet/to grind/(2) to wash (rice)/(3) to scour/to polish/to burnish/
砥の粉 [とのこ] /(n) polishing powder/
砥石 [といし] /(n) whetstone/grindstone/
砥草 [とくさ] /(n) scouring rushes/Equisetum hyemale/common horsetail/
砥粉 [とのこ] /(n) polishing powder/
努 [ゆめ] /(adv) (uk) (arch) never/by no means/
努々 [ゆめゆめ] /(adv) (1) certainly/absolutely/(2) (not even) a little bit/(3) diligently/
努む [りきむ] /(v5m,vt) (1) to strain/to bear up/to exert one's strength/(2) to swagger/to bluff/to boast/
努めて [つとめて] /(adv) (1) as much as possible/diligently/(exp) (2) make an effort!/work hard!/(P)/
努める [つとめる] /(v1,vt) to endeavor (endeavour)/to try/to strive/to make an effort/to exert oneself/to be diligent/(P)/
努努 [ゆめゆめ] /(adv) (1) certainly/absolutely/(2) (not even) a little bit/(3) diligently/
努力 [どりょく] /(n,vs) great effort/exertion/endeavour/endeavor/effort/(P)/
努力も虚しく [どりょくもむなしく] /(n) after efforts in vain/
努力も空しく [どりょくもむなしく] /(n) after efforts in vain/
努力家 [どりょくか] /(n) hard worker/hardworking person/
努力賞 [どりょくしょう] /(n) prize awarded for a person's effort/
努力奮励 [どりょくふんれい] /(n,vs) making strenuous efforts/exerting oneself/
度 [たび] /(n,n-suf,ctr) time (three times, each time, etc.)/times/(P)/
度 [ど] /(n,n-suf) (1) degree (angle, temperature, scale, etc.)/(ctr) (2) counter for occurrences and times/(3) strength (of alcohol)/(P)/
度々 [たびたび] /(adv) (uk) often/repeatedly/frequently/(P)/
度が過ぎる [どがすぎる] /(exp,v1) to go too far/to go to excess/to carry too far/
度し難い [どしがたい] /(adj-i) beyond help/incorrigible/
度に [たびに] /(adv) (uk) each time/every time/whenever (something happens)/on the occasion of/
度に [たんびに] /(adv) (uk) each time/every time/whenever (something happens)/on the occasion of/
度の強い眼鏡 [どのつよいめがね] /(n) powerful spectacles/
度をうしなう [どをうしなう] /(exp,v5u) to lose one's presence of mind/be flummoxed/to get flustered/
度を越した [どをこした] /(exp) extravagant/extreme/hyper/
度を越す [どをこす] /(exp,v5s) to go too far/
度を過ごす [どをすごす] /(exp,v5s) to go too far/to go to excess/
度を失う [どをうしなう] /(exp,v5u) to lose one's presence of mind/be flummoxed/to get flustered/
度を重ねる [どをかさねる] /(exp,v1) to repeat/
度を超した [どをこした] /(exp) extravagant/extreme/hyper/
度阿呆 [どあほ] /(n) (uk) (ksb:) total idiot/fuck-wit/
度阿呆 [どあほう] /(n) (uk) (ksb:) total idiot/fuck-wit/
度外れ [どはずれ] /(n) extraordinary/excessive/
度外視 [どがいし] /(n) (1) taking no account of/neglecting/(vs) (2) to disregard/to take no account of/to overlook/
度肝 [どぎも] /(n) guts/pluck/nerve/spirit/
度肝を抜く [どぎもをぬく] /(exp,v5k) to knock or scare (someone) out of his or her wits/to strike a person dumb/to dumbfound/to take (someone) aback/
度胸 [どきょう] /(n) courage/bravery/pluck/nerve/grit/guts/(P)/
度胸がすわる [どきょうがすわる] /(exp,v5r) to have nerves of steel/
度胸が据わる [どきょうがすわる] /(exp,v5r) to have nerves of steel/
度胸を据える [どきょうをすえる] /(exp,v1) (obsc) to muster one's courage/to resolve oneself/to ready oneself for what is to come/
度胸試し [どきょうだめし] /(n) putting one's courage to the test/
度胸千両 [どきょうせんりょう] /(n) being bold/daring/plucky/having a lot of guts/being quite nerveless/
度合 [どあい] /(n) degree/extent/(P)/
度合い [どあい] /(n) degree/extent/(P)/
度重なる [たびかさなる] /(v5r,vi) to repeat/to be frequent/
度数 [どすう] /(n) (1) frequency/number of times/incidence/(2) degree (e.g. temperature)/strength (e.g. alcohol, lens, etc.)/(P)/
度数分布 [どすうぶんぷ] /(n) frequency distribution/
度数分布図 [どすうぶんぷず] /(n) histogram/
度盛り [どもり] /(n) gradation/
度胆 [どぎも] /(n) guts/pluck/nerve/spirit/
度胆を抜く [どぎもをぬく] /(exp,v5k) to knock or scare (someone) out of his or her wits/to strike a person dumb/to dumbfound/to take (someone) aback/
度田舎 [どいなか] /(iK) (n) remote countryside/boondocks/the sticks/
度度 [たびたび] /(adv) (uk) often/repeatedly/frequently/
度忘れ [どわすれ] /(n,vs) lapse of memory/forgetting for a moment something one knows well/(something) slipping one's mind/
度毎 [たびごと] /(adv) each time/every/
度目 [どめ] /(suf) (after a number N) the Nth time/
度量 [どりょう] /(n) length and capacity/measures/generosity/magnanimity/
度量の狭い [どりょうのせまい] /(exp) parochial/narrow-minded/prejudiced/
度量の広さ [どりょうのひろさ] /(n) broad-mindedness/
度量衡 [どりょうこう] /(n) weights and measures/
土 [つち] /(n) (1) earth/soil/dirt/(2) the earth (historically, esp. as opposed to the heavens)/the ground/the land/(3) low-quality torinoko-gami (containing mud)/(4) (period of) refraining from construction in the direction of the god of the earth (in On'youdou)/(P)/
土 [ど] /(n) (1) (abbr) Saturday/(2) earth (third of the five elements)/
土 [に] /(n) (arch) soil (esp. reddish soil)/
土いじり [つちいじり] /(n) (1) playing with dirt/(2) gardening/farming (as a hobby)/
土となる [つちとなる] /(exp,v5r) to die/to become earth/
土になる [つちになる] /(exp,v5r) to die/to become earth/
土に帰る [つちにかえる] /(exp,v5r) to die/
土に埋める [つちにうめる] /(exp,v1) to bury in the ground/
土のう [どのう] /(n) sandbag/
土ぼこり [つちぼこり] /(n) dust/
土を均す [つちをならす] /(exp,v5s) to level the ground/
土を固める [つちをかためる] /(exp,v1) to harden earth into a mass/
土を被せる [つちをかぶせる] /(exp,v1) to cover with earth/
土圧 [どあつ] /(n,adj-no) earth pressure/
土雲 [つちぐも] /(n) (1) tsuchigumo (people of ancient Japan who were not subjects of the Yamato court)/
土煙 [つちけむり] /(n) cloud of dust/
土下座 [どげざ] /(n,vs) kneeling down on the ground/prostrate oneself/
土塊 [つちくれ] /(n) lump of earth/clod/
土塊 [どかい] /(n) lump of earth/clod/
土蛙 [つちがえる] /(n) (uk) wrinkled frog (Rana rugosa)/
土釜 [どがま] /(n) earthen rice cooker/
土管 [どかん] /(n) earthen pipe/
土間 [どま] /(n) (1) dirt floor/(2) pit/parterre/(P)/
土器 [かわらけ] /(n) (1) earthenware/(2) unglazed (bisque-fired) earthenware/
土器 [どき] /(n) (1) earthenware/(P)/
土寄せ [つちよせ] /(n,vs) piling up or covering with earth/
土気色 [つちけいろ] /(n) earth (color, colour)/ashen/deathly pale/
土橋 [どばし] /(n) an earthen bridge/(P)/
土偶 [どぐう] /(n) earthen (clay) figure/
土栗 [つちぐり] /(n) (uk) barometer earthstar (Astraeus hygrometricus)/
土圭 [とけい] /(n) watch/clock/timepiece/
土蛍 [つちぼたる] /(n) glowworm/
土建屋 [どけんや] /(n) general (civil engineering and construction) contractor/(P)/
土建業 [どけんぎょう] /(n) the (civil engineering and) construction industry/
土建業者 [どけんぎょうしゃ] /(n) general (civil engineering and construction) contractor/
土御門神道 [つちみかどしんとう] /(n) Tsuchimikado Shinto (synthesis of Shinto and Onmyoudou formulated by Yasutomi Tsuchimikado in the mid-Edo period)/
土語 [どご] /(n) native tongue/dialect/
土侯 [どこう] /(n) local ruler/
土功 [どこう] /(n) (1) earthwork/earthworks/
土工 [どこう] /(n) (1) earthwork/earthworks/(2) (sens) laborer/labourer/navvy/construction worker/
土降る [つちふる] /(v5r) to rain dust/to have a dust storm/
土豪 [どごう] /(n) local clan/
土国 [どこく] /(n) Turkey/
土根性 [どこんじょう] /(n) disposition/
土佐犬 [とさいぬ] /(n) tosa (Japanese dog breed)/
土佐犬 [とさけん] /(n) tosa (Japanese dog breed)/
土佐水木 [とさみずき] /(n) (uk) spike winter hazel (Corylopsis spicata)/
土佐弁 [とさべん] /(n) Tosa dialect/
土左衛門 [どざえもん] /(n) drowned body of a person (after sumo wrestler Narusegawa Dozaemon)/
土砂 [どしゃ] /(n) earth and sand/(P)/
土砂降り [どしゃぶり] /(n) downpour/pouring rain/cloudburst/pelting rain/heavy rain/(P)/
土砂崩れ [どしゃくずれ] /(n) landslide/
土産 [とさん] /(n) (1) product of the land/(2) present/souvenir/
土産 [どさん] /(n) (1) product of the land/(2) present/souvenir/
土産 [みやげ] /(n) present/souvenir/(P)/
土産店 [みやげてん] /(n) souvenir shop/
土産品 [みやげひん] /(n) souvenir/
土産品店 [みやげひんてん] /(n) souvenir shop/
土産物 [みやげもの] /(n) souvenir/
土産物屋 [みやげものや] /(n) souvenir store/gift shop/
土産話 [みやげばなし] /(n) tales of one's travels/
土止め [どどめ] /(n) retaining wall/sheathing/
土耳古 [とるこ] /(n) (1) (uk) Turkey/(2) (abbr) turquoise/
土質 [どしつ] /(n) soil/soil quality/
土取場 [どとりば] /(n) borrowing pit (in flood prevention)/
土手 [どて] /(n) embankment/bank/(P)/
土手っ腹 [どてっぱら] /(n) guts/
土臭い [つちくさい] /(adj-i) smelling of earth/rustic/
土焼き [つちやき] /(n) unglazed earthenware/
土壌 [どじょう] /(n) soil/(P)/
土壌汚染 [どじょうおせん] /(n) soil pollution/
土壌学 [どじょうがく] /(n) soil science/pedology/
土壌流出 [どじょうりゅうしゅつ] /(n) soil runoff/
土色 [つちいろ] /(n) earth (color, colour)/ashen/deathly pale/
土真ん中 [どまんなか] /(iK) (n,adj-no) (col) right in the center (centre)/
土神 [つちがみ] /(n) earthgod/earth deity/
土神 [どじん] /(n) earthgod/earth deity/
土人 [どじん] /(n) natives/aborigines/(P)/
土人形 [つちにんぎょう] /(n) clay doll/clay figure/clay figurine/
土吹 [つちふき] /(n) (uk) Chinese false gudgeon (Abbottina rivularis)/
土性骨 [どしょうぼね] /(n) one's innate character/spirit/backbone/
土星 [どせい] /(n) Saturn (planet)/
土製 [どせい] /(n) clay/earthen/
土石 [どせき] /(n) earth and stones/(P)/
土石流 [どせきりゅう] /(n) avalanche of earth and rocks/
土船 [つちぶね] /(n) (1) ship transporting earth/(2) ship made of earth (in Japanese tales)/
土倉 [どそう] /(n) (arch) money broker (Muromachi period)/
土葬 [どそう] /(n,vs) burial/interment/
土蔵 [どぞう] /(n) storehouse with thick (earthen) walls/godown/
土蔵づくり [どぞうづくり] /(n) house built like a kura, with the walls covered in mud/
土蔵造り [どぞうづくり] /(n) house built like a kura, with the walls covered in mud/
土足 [どそく] /(n) shoes/(P)/
土足厳禁 [どそくげんきん] /(exp) shoes strictly prohibited/
土俗 [どぞく] /(n) local customs/
土俗学 [どぞくがく] /(n) (obs) ethnography/
土台 [どだい] /(n) (1) foundation/base/basis/(adv) (2) from the beginning/from the outset/by nature/(P)/
土台石 [どだいいし] /(n) cornerstone/foundation stone/
土団子 [つちだんご] /(n) (1) mud pie/(2) seed ball ("nature farming" technique)/
土壇 [どだん] /(n) (1) dirt mound/(2) dirt walls on the inside of the sunken hearth in a tea room/(3) platform made of dirt used to perform executions (decapitations) in the Edo period/
土壇場 [どたんば] /(n) (1) last moment/eleventh hour/(2) platform made of dirt used to perform executions (decapitations) in the Edo period/(P)/
土地 [とち] /(n) plot of land/lot/soil/(P)/
土地の人 [とちのひと] /(exp,n) locals/natives/
土地改革 [とちかいかく] /(n) land reform/
土地改良 [とちかいりょう] /(n) land improvement/
土地勘 [とちかん] /(n) (1) familiarity with the land/(2) locality or terrain (usually associated with knowing or feeling the locality)/
土地鑑 [とちかん] /(n) (1) familiarity with the land/(2) locality or terrain (usually associated with knowing or feeling the locality)/
土地収用 [とちしゅうよう] /(n) land expropriation/
土地税制 [とちぜいせい] /(n) land taxation system/
土地売買契約書 [とちばいばいけいやくしょ] /(n) land sale contract/
土地柄 [とちがら] /(n) local colour/local color/(P)/
土地利用 [とちりよう] /(n,adj-no) land use/
土地倫理 [とちりんり] /(n) land ethics/
土蜘蛛 [つちぐも] /(n) (1) (uk) Atypus karschi (Asian species of mygalomorph spider)/(2) tsuchigumo (people of ancient Japan who were not subjects of the Yamato court)/
土着 [どちゃく] /(n,adj-no) aboriginal/indigenous/
土着民 [どちゃくみん] /(n) natives/aborigines/
土中 [どちゅう] /(n) (in the) earth/underground/
土堤 [どでい] /(n) (obsc) embankment made of earth/bank/levee/
土踏まず [つちふまず] /(n) the arch of the foot/
土豚 [つちぶた] /(n) (uk) aardvark (Orycteropus afer)/
土鍋 [どなべ] /(n) earthenware pot/
土日 [どにち] /(n) weekend/Saturday and Sunday/
土日月 [どにちげつ] /(exp) Saturday, Sunday and Monday/
土嚢 [どのう] /(n) sandbag/
土鳩 [どばと] /(n) (uk) domestic pigeon/feral pigeon/
土斑猫 [つちはんみょう] /(n) (uk) blister beetle/oil beetle (insects family Meloidae)/
土匪 [どひ] /(n) local rebels/
土筆 [つくし] /(n) (1) horsetail/(2) scouring rush (plant)/
土百姓 [どびゃくしょう] /(n) (pejorative term for a) dirt-poor farmer/
土俵 [どひょう] /(n) (1) arena, esp. in sumo/(2) forum (e.g. for discussion)/(3) sandbag/gabion/(P)/
土俵廻し [どひょうまわし] /(n) sumo wrestler's belt used in a bout/
土俵開き [どひょうびらき] /(n) opening ceremony for the new ring in a sumo stable/
土俵祭り [どひょうまつり] /(n) ceremony to purify the ring before the start of sumo tournament/
土俵際 [どひょうぎわ] /(n) the edge of a sumo ring/the edge or verge/(P)/
土俵人生 [どひょうじんせい] /(n) sumo wrestler's active career/
土俵入り [どひょういり] /(n) entrance procession of sumo wrestlers into the ring/
土俵溜まり [どひょうだまり] /(n) waiting place for sumo wrestler beside the ring/
土瓶 [どびん] /(n) earthenware teapot/
土瓶蒸 [どびんむし] /(n) food steam-boiled in an earthenware teapot/
土瓶蒸し [どびんむし] /(n) food steam-boiled in an earthenware teapot/
土瓶敷き [どびんしき] /(n) tea cloth/teapot mat (rest)/
土付かず [つちつかず] /(n) clean record/undefeated/
土塀 [どべい] /(n) mud wall/earthen wall/plaster wall/(P)/
土壁 [つちかべ] /(n) mud wall/
土偏 [つちへん] /(n) kanji "earth" radical at left/
土崩瓦解 [どほうがかい] /(n,vs) complete collapse/(something) going to pieces (breaking up beyond repair)/
土方 [どかた] /(n) (sens) construction worker/laborer (labourer)/navvy/
土蜂 [つちばち] /(n) (uk) scoliid wasp (any wasp of family Scoliidae)/
土蜂 [ゆするばち] /(n) (arch) digger wasp/
土味 [つちあじ] /(n) gloss/sheen (surface quality found in unglazed pottery)/
土味 [どみ] /(n) local flavouring/
土民 [どみん] /(n) native/
土面 [どめん] /(n) clay face (made like a mask or as a decoration)/
土木 [どぼく] /(n) public works/(P)/
土木建築 [どぼくけんちく] /(n) civil engineering and construction/
土木工学 [どぼくこうがく] /(n) civil engineering/
土木工学者 [どぼくこうがくしゃ] /(n) civil engineer/
土木工事 [どぼくこうじ] /(n) public works/
土遊び [つちあそび] /(n) making things out of dirt (for fun)/
土曜 [どよう] /(n-adv,n) Saturday/(P)/
土曜日 [どようび] /(n-adv,n-t) Saturday/(P)/
土用 [どよう] /(n) midsummer/dog days/
土用の丑の日 [どようのうしのひ] /(n) day of the ox in midsummer (during the hottest season)/dog days of summer/
土用干し [どようぼし] /(n) summer airing (of clothes)/
土用休み [どようやすみ] /(n) summer vacation/
土用波 [どようなみ] /(n) high waves which rise during the dog days of summer/
土窯 [どがま] /(n) earthen kiln/
土留め [どどめ] /(n) retaining wall/sheathing/
土竜 [どりゅう] /(ok) (n) (uk) mole (Talpidae spp., esp. the small Japanese mole, Mogera imaizumii)/
土竜 [むぐら] /(gikun) (ok) (n) (uk) mole (Talpidae spp., esp. the small Japanese mole, Mogera imaizumii)/
土竜 [むぐらもち] /(gikun) (n) (uk) mole (Talpidae spp., esp. the small Japanese mole, Mogera imaizumii)/
土竜 [もぐら] /(gikun) (n) (uk) mole (Talpidae spp., esp. the small Japanese mole, Mogera imaizumii)/
土竜 [もぐらもち] /(gikun) (ok) (n) (uk) mole (Talpidae spp., esp. the small Japanese mole, Mogera imaizumii)/
土竜打ち [もぐらうち] /(n) driving away moles by hitting the ground with straw bundles prepared by children (esp. as an annual event on January 15th)/
土龍 [どりゅう] /(oK) (ok) (n) (uk) mole (Talpidae spp., esp. the small Japanese mole, Mogera imaizumii)/
土龍 [むぐら] /(oK) (gikun) (ok) (n) (uk) mole (Talpidae spp., esp. the small Japanese mole, Mogera imaizumii)/
土龍 [むぐらもち] /(oK) (gikun) (n) (uk) mole (Talpidae spp., esp. the small Japanese mole, Mogera imaizumii)/
土龍 [もぐら] /(oK) (gikun) (n) (uk) mole (Talpidae spp., esp. the small Japanese mole, Mogera imaizumii)/
土龍 [もぐらもち] /(oK) (gikun) (ok) (n) (uk) mole (Talpidae spp., esp. the small Japanese mole, Mogera imaizumii)/
土塁 [どるい] /(n) earthen walls (of fortification)/earthwork/embankment/
土類金属 [どるいきんぞく] /(n) earth metal/
土鈴 [どれい] /(n) earthenware (ceramic) bell/
土弄り [つちいじり] /(n) (1) playing with dirt/(2) gardening/farming (as a hobby)/
土牢 [つちろう] /(n) dungeon/
土埃 [つちぼこり] /(n) dust/
土瀝青 [どれきせい] /(n) (obsc) asphalt/
土苴 [つちづと] /(n) (obsc) bundle of straw used as mulch/
土茯苓 [どぶくりょう] /(n) (obsc) Smilax glabra (species of sarsaparilla, used esp. to refer to its dried rhizome, used in Chinese medicine)/
土讚本線 [どさんほんせん] /(n) Dosan Main Line (Kochi-Kagawa Railway)/
土饅頭 [どまんじゅう] /(n) burial mound/
奴 [しゃつ] /(ok) (pn,adj-no) (1) (derogatory or familiar) he/she/him/her/
奴 [つぶね] /(n) (1) retainer/servant/
奴 [め] /(suf) (1) (uk) derogatory suffix (referring to others) (e.g. "damn/damned fool")/(2) humble suffix (referring to oneself)/
奴 [やっこ] /(n) (1) servant (esp. a samurai's attendant)/(2) chivalrous man (c. Edo period)/(3) (abbr) cubed tofu (often served cold)/(4) (abbr) kite shaped like a footman/(5) (abbr) Edo-period hairstyle worn by samurai's attendants/(6) enslavement (of a woman; Edo-period punishment for her own or her husband's crime)/(pn) (7) (arch) (derog) he/she/him/her/
奴 [やつ] /(pn,adj-no) (1) (uk) (derog) fellow/guy/chap/(2) (col) thing/object/(3) (derogatory or familiar) he/she/him/her/(P)/
奴 [やつこ] /(n) (1) (arch) slave/(2) retainer/servant/(3) captive/(4) (derog) varlet/(5) (hum) I/me/
奴 [やつこらま] /(n) (1) retainer/servant/
奴さん [やっこさん] /(pn) (1) (derogatory or familiar) he/she/him/her/(n) (2) samurai's attendant (in a var. of origami)/(3) type of popular song accompanied by dance from the Edo period/
奴め [しゃつめ] /(n) (1) he/him/she/her/
奴め [やつめ] /(n) (1) (derog) fellow/guy/chap/(2) he/him/she/her/
奴ら [やつら] /(n) they/those guys/
奴原 [やつばら] /(n) they/those guys/
奴国 [なこく] /(n) Country of Na (a country that existed within Japan during the Yayoi period)/
奴国 [なのくに] /(n) Country of Na (a country that existed within Japan during the Yayoi period)/
奴凧 [やっこだこ] /(n) kite shaped like a footman/
奴智鮫 [どちざめ] /(n) (uk) banded houndshark (Triakis scyllium, found in the northwest Pacific from southern Siberia to Taiwan)/
奴等 [やつら] /(n) they/those guys/
奴豆腐 [やっこどうふ] /(n) cubed tofu (often served cold)/
奴頭 [やっこあたま] /(n) Edo-period hairstyle worn by samurai's attendants/
奴輩 [どはい] /(n) guys/fellows/
奴輩 [やつばら] /(n) guys/fellows/
奴髭 [やっこひげ] /(n) (arch) sickle-shaped moustache (often worn by servants in the Edo period)/
奴僕 [どぼく] /(n) (arch) manservant/footman/
奴僕 [ぬぼく] /(n) (arch) manservant/footman/
奴隷 [どれい] /(n,adj-no) (1) slave/servant/(2) slavery/(P)/
奴隷王朝 [どれいおうちょう] /(n) Slave Dynasty (of India, 1206-1290 CE)/Mamluk Dynasty/
奴隷解放 [どれいかいほう] /(n) emancipation of slaves/
奴隷根性 [どれいこんじょう] /(n) servile character (disposition)/
奴隷制 [どれいせい] /(n) slavery/
奴隷制度 [どれいせいど] /(n) slavery/
奴隷制度廃止 [どれいせいどはいし] /(n) abolition of slavery/
奴隷道徳 [どれいどうとく] /(n) Sklavenmoral (slave morality, as a philosophical concept of Nietzsche)/
奴隷労働 [どれいろうどう] /(n) slave labor/slave labour/
奴儕 [やつばら] /(n) they/those guys/
奴婢 [どひ] /(n) servant/
奴婢 [ぬひ] /(n) servant/
怒った顔 [おこったかお] /(n) angry face (countenance)/
怒らす [いからす] /(v5s,vt) to anger someone/to offend someone/
怒らせる [いからせる] /(v1) (1) to anger someone/to provoke/to offend someone/to make somebody's hackles rise/(2) to square one's shoulders/
怒らせる [おこらせる] /(v1) (1) to anger someone/to provoke/to offend someone/to make somebody's hackles rise/(P)/
怒り [いかり] /(n) anger/hatred/rage/wrath/(P)/
怒りだす [いかりだす] /(v5s) to fly into a rage/to lose one's temper/to flare up/to break out/
怒りだす [おこりだす] /(v5s) to fly into a rage/to lose one's temper/to flare up/to break out/
怒りっぽい [おこりっぽい] /(adj-i) hot-tempered/quick to take offense/quick to take offence/irascible/touchy/
怒りを込めて [いかりをこめて] /(exp) furiously/passionately/indignantly/
怒りを遷す [いかりをうつす] /(exp,v5s) to be so angry that one lashes out at unrelated things/to have an outburst of anger/
怒りん坊 [おこりんぼう] /(n) short-tempered or irritable person/
怒り狂う [いかりくるう] /(v5u) to be in a fit (of anger)/to rage/
怒り肩 [いかりがた] /(n) square shoulders/
怒り出す [いかりだす] /(v5s) to fly into a rage/to lose one's temper/to flare up/to break out/
怒り出す [おこりだす] /(v5s) to fly into a rage/to lose one's temper/to flare up/to break out/
怒り上戸 [おこりじょうご] /(n) quarrelsome drinker/
怒り鼻 [いかりばな] /(n) (obsc) flared nostrils/
怒る [いかる] /(v5r,vi) (1) to get angry/to get mad/(2) to be angular/to be square/
怒る [おこる] /(v5r,vi) (1) to get angry/to get mad/(2) to tell someone off/to scold/(P)/
怒阿呆 [どあほ] /(n) (uk) (ksb:) total idiot/fuck-wit/
怒阿呆 [どあほう] /(n) (uk) (ksb:) total idiot/fuck-wit/
怒気 [どき] /(n) anger/wrath/(P)/
怒筋 [どすじ] /(n) (m-sl) (obsc) anger veins (stylised X mark typically shown on forehead)/
怒号 [どごう] /(n,vs) angry roar/bellow/(P)/
怒声 [どせい] /(n) angry voice/harsh words/
怒張 [どちょう] /(n,vs) overswelling (of a blood vessel)/squaring one's shoulders/
怒田舎 [どいなか] /(iK) (n) remote countryside/boondocks/the sticks/
怒涛 [どとう] /(n) raging billows (waves)/
怒髪衝天 [どはつしょうてん] /(n) being in a towering rage/boiling with rage/
怒髪天 [どはつてん] /(n) furious/infuriated/
怒髪天を突く [どはつてんをつく] /(exp,v5k) to boil with rage/to be infuriated/
怒鳴りつける [どなりつける] /(v1,vt) to shout at/
怒鳴り込む [どなりこむ] /(v5m,vi) to storm in with a yell/(P)/
怒鳴り散らす [どなりちらす] /(v5s,vi) to yell/to rant/to rave/
怒鳴り出す [どなりだす] /(v5s) to start shouting/to break out/
怒鳴り声 [どなりごえ] /(n) angry voice/one's voice when shouting with anger/
怒鳴り付ける [どなりつける] /(v1,vt) to shout at/
怒鳴り立てる [どなりたてる] /(v1) to stand and shout/
怒鳴る [どなる] /(v5r,vi) to shout/to yell/(P)/
怒面 [どめん] /(n) angry face/
怒濤 [どとう] /(n) (1) surging waves/raging billows/(2) leaps and bounds/
怒濤の勢い [どとうのいきおい] /(exp) with great vigour/in leaps and bounds/lit: with the force of surging waves/
倒ける [こける] /(oK) (v1,vi) to fall/to collapse/to drop/to break down/to die/to succumb to/to fall senseless/to be ruined/to have a bad debt/
倒さ [さかさ] /(n,adj-no) reverse/inversion/upside down/(P)/
倒さま [さかさま] /(adj-na,n,adj-no) inversion/upside down/
倒しま [さかしま] /(n) reverse/inversion/upside down/(P)/
倒す [たおす] /(v5s,vt) (1) to throw down/to bring down/to blow down/to fell/to knock down/(2) to kill/to defeat/to beat/(3) to overthrow/to trip up/to ruin/(4) to leave unpaid/to cheat/(P)/
倒れ [たおれ] /(n) (1) bad debt/(2) collapse (esp. pref.)/(P)/
倒れる [たおれる] /(v1,vi) (1) to fall/to collapse/to drop/to fall senseless/(2) to be forced to bed (by illness, etc.)/(3) to die/(4) to go bankrupt/to be ruined/to have a bad debt/(5) to be defeated (in a game)/(6) to fall (of governments, dictators, etc.)/(P)/
倒れ掛かる [たおれかかる] /(v5r,vi) to be weighed down by debt/
倒れ込む [たおれこむ] /(v5m) to collapse into/to flop onto/
倒れ伏す [たおれふす] /(v5s) to fall down/
倒影 [とうえい] /(n) reflection/
倒壊 [とうかい] /(n,vs) destruction/collapse/crumbling/
倒閣 [とうかく] /(n,vs) overthrow of government/(P)/
倒句 [とうく] /(n) reading Chinese in the Japanese order/
倒懸 [とうけん] /(n) hanging (someone) upside down/
倒語 [とうご] /(n) inverted word/
倒錯 [とうさく] /(n,vs,adj-no) perversion/inversion/(P)/
倒錯者 [とうさくしゃ] /(n) pervert/
倒産 [とうさん] /(n,vs) (corporate) bankruptcy/insolvency/commercial failure/failed business/(P)/
倒産会社 [とうさんがいしゃ] /(n) bankrupt company/
倒産企業 [とうさんきぎょう] /(n) bankrupt company/
倒死 [とうし] /(n) dying by the wayside/
倒事 [さかさまごと] /(n) wrong order/
倒叙 [とうじょ] /(n) reverse chronological order/
倒像 [とうぞう] /(n) inverted image/
倒置 [とうち] /(n,vs,adj-no) turning upside down/placing nonessentials before essentials/(P)/
倒置文 [とうちぶん] /(n) inverted sentence/
倒置法 [とうちほう] /(n) (ling) inversion of the word order in a sentence/anastrophe/
倒潰 [とうかい] /(n,vs) destruction/collapse/crumbling/
倒伏 [とうふく] /(n,vs) falling down/
倒幕 [とうばく] /(n,vs) overthrow of the shogunate/
倒木 [とうぼく] /(n) fallen tree/
倒様 [さかさま] /(adj-na,n,adj-no) inversion/upside down/
倒立 [とうりつ] /(n,vs) handstand/
党 [たむら] /(ok) (n) (1) gathering/place where people gather/(2) (arch) police station/camp/barracks/
党 [とう] /(n,n-suf) (1) party (political)/(2) faction/-ite/(P)/
党員 [とういん] /(n) party member/(P)/
党員集会 [とういんしゅうかい] /(n) caucus/
党紀 [とうき] /(n) party discipline/
党規 [とうき] /(n) party rules or regulations/
党議 [とうぎ] /(n) a party council/party conference/(P)/
党議拘束 [とうぎこうそく] /(n) compulsory adherence to a party decision/restrictions on party debate/
党首 [とうしゅ] /(n) party leader/(P)/
党首討論 [とうしゅとうろん] /(n) question time (in the Japanese Diet)/
党首脳 [とうしゅのう] /(n) party leaders/party executive/
党職 [とうしょく] /(n) party position/party post/
党人 [とうじん] /(n) party man/
党是 [とうぜ] /(n) party platform/party principles/
党勢 [とうせい] /(n) strength of a party/(P)/
党籍 [とうせき] /(n) party register/membership in a party/(P)/
党争 [とうそう] /(n) faction/
党則 [とうそく] /(n) party rules or regulations/
党大会 [とうたいかい] /(n) (political) party convention/
党内 [とうない] /(n,adj-no) party-internal/(P)/
党内派閥 [とうないはばつ] /(n) intra-party faction/
党派 [とうは] /(n,adj-no) faction/(P)/
党派根性 [とうはこんじょう] /(n) partisan spirit (prejudice)/partisanship/factionalism/
党派心 [とうはしん] /(n) factionalism/
党閥 [とうばつ] /(n) (party) faction or clique/
党弊 [とうへい] /(n) party evils/
党本部 [とうほんぶ] /(n) party headquarters/
党務 [とうむ] /(n) party business/(P)/
党名 [とうめい] /(n) political party name/
党利 [とうり] /(n,adj-no) party interests/(P)/
党利党略 [とうりとうりゃく] /(n,adj-no) party (political) interests/
党略 [とうりゃく] /(n) party politics (tactics)/(P)/
冬 [ふゆ] /(n-adv,n-t) winter/(P)/
冬めく [ふゆめく] /(v5k,vi) to become wintry/
冬を過ごす [ふゆをすごす] /(exp,v5s) to go through the winter/
冬トピア [ふゆトピア] /(n) (uk) Fuyutopia (government program to help create a winter living environment in northern Hokkaido)/
冬葵 [ふゆあおい] /(n) (uk) cluster mallow (Malva verticillata)/
冬安居 [ふゆあんご] /(n) (Buddh) winter retreat/
冬瓜 [とうが] /(n) wax gourd (Benincasa hispida)/ash gourd/white gourd/winter melon/
冬瓜 [とうがん] /(n) wax gourd (Benincasa hispida)/ash gourd/white gourd/winter melon/
冬瓜子 [とうがし] /(n) wax gourd seed/winter melon seed/
冬越し [ふゆごし] /(n) wintering/passing the winter/
冬牡丹 [ふゆぼたん] /(n) Paeonia suffrutticosa/tree peony/
冬芽 [とうが] /(n) winter buds/winter sprouts/
冬官 [とうかん] /(n) Ministry of Works (Zhou-dynasty China)/
冬期 [とうき] /(n-adv,n-t) winter/wintertime/winter term/(P)/
冬期休暇 [とうききゅうか] /(n) winter vacation (holidays)/
冬季 [とうき] /(n-adv,n-t) (season of) winter/(P)/
冬季オリンピック [とうきオリンピック] /(n) Winter Olympics/
冬休み [ふゆやすみ] /(n) winter vacation/(P)/
冬空 [ふゆぞら] /(n) winter sky/
冬型 [ふゆがた] /(adj-f) wintery/
冬景色 [ふゆげしき] /(n) winter landscape/winter scenery/wintry landscape/wintry scene/
冬枯れ [ふゆがれ] /(n,vs) wintry desolation/poor business conditions/
冬向き [ふゆむき] /(n,adj-no) for winter use/
冬菜 [ふゆな] /(n) (1) winter vegetables/winter greens/(2) tang cai/
冬作 [ふゆさく] /(n) winter crops/
冬作物 [ふゆさくもつ] /(n) winter crops/
冬山 [ふゆやま] /(n) (1) wintry mountain/(2) mountain that is often climbed during the winter/
冬仕度 [ふゆじたく] /(n,vs) preparations for winter/
冬支度 [ふゆじたく] /(n,vs) preparations for winter/
冬至 [とうじ] /(n,adj-no) winter solstice/(P)/
冬至カボチャ [とうじカボチャ] /(n) custom of keeping a pumpkin or squash during the winter and eating it on the day of the winter solstice/
冬至粥 [とうじがゆ] /(n) azuki bean rice gruel eaten on the day of the winter solstice (to chase away demons that spread contagious diseases)/
冬至線 [とうじせん] /(n) the Tropic of Capricorn/
冬至点 [とうじてん] /(n) winter solstitial point/
冬至南瓜 [とうじかぼちゃ] /(n) custom of keeping a pumpkin or squash during the winter and eating it on the day of the winter solstice/
冬薯蕷葛 [ところずら] /(n) (arch) Dioscorea tokoro (species of wild yam)/
冬将軍 [ふゆしょうぐん] /(n) General Winter/hard winter/Jack Frost/
冬場 [ふゆば] /(n) the winter season/(P)/
冬着 [ふゆぎ] /(n) winter clothing/
冬鳥 [ふゆどり] /(n) winter bird (resident)/
冬頭 [ふゆがしら] /(n) kanji "winter" radical at top (radical 34)/
冬日 [ふゆび] /(n) the winter sun/
冬葱 [ふゆき] /(n) (obsc) Welsh onion (species of scallion, Allium fistulosum)/
冬服 [ふゆふく] /(n) winter clothing/
冬物 [ふゆもの] /(n) winter clothing/(P)/
冬北斗 [ふゆほくと] /(n) Big Dipper seen on a winter night/
冬眠 [とうみん] /(n,vs,adj-no) hibernation/winter sleep/(P)/
冬眠鼠 [やまね] /(n) (uk) Japanese dormouse (Glirulus japonicus)/
冬毛 [ふゆげ] /(n) winter fur/winter plumage/
冬木 [ふゆき] /(n) (1) a tree as seen in winter (esp. a barren deciduous tree)/(2) evergreen tree/
冬木 [ふゆぎ] /(n) (1) a tree as seen in winter (esp. a barren deciduous tree)/(2) evergreen tree/
冬木立 [ふゆこだち] /(n) barren trees in winter/
冬来たりなば春遠からじ [ふゆきたりなばはるとおからじ] /(exp) If Winter comes can Spring be far behind?/
冬林檎 [ふゆりんご] /(n) apple sold during the winter/winter apple/
冬隣 [ふゆどなり] /(n) late autumn that makes it seem like winter is coming/
冬篭り [ふゆごもり] /(n,vs) hibernation/staying indoors during winter/
冬籠り [ふゆごもり] /(n,vs) hibernation/staying indoors during winter/
冬苺 [ふゆいちご] /(n) (uk) Rubus buergeri (species of raspberry)/
凍えつく [こごえつく] /(v5k,vi) to freeze to/to be frozen to/
凍える [こごえる] /(v1,vi) to freeze/to be chilled/to be frozen/(P)/
凍え死に [こごえじに] /(n,vs) (sens) death from cold/freezing to death/
凍え死ぬ [こごえしぬ] /(v5n) (sens) to freeze to death/to die of cold/
凍え死ぬ [こごえじぬ] /(v5n) (sens) to freeze to death/to die of cold/
凍え付く [こごえつく] /(v5k,vi) to freeze to/to be frozen to/
凍おる [こおる] /(v5r,vi) to freeze/to be frozen over/to congeal/
凍てつく [いてつく] /(v5k,vi) to freeze/
凍てる [いてる] /(v1,vi) to freeze/to be frozen over/to congeal/
凍て解け [いてどけ] /(n) (arch) thawing of the ground in spring/
凍て付く [いてつく] /(v5k,vi) to freeze/
凍みつく [しみつく] /(v5k,vi) to freeze to/to be frozen to/
凍みる [しみる] /(v1,vi) to freeze/to be frozen over/to congeal/
凍み付く [しみつく] /(v5k,vi) to freeze to/to be frozen to/
凍らす [こおらす] /(v5s,vt) to freeze/to refrigerate/
凍り [こおり] /(n) (1) ice/(2) shaved ice (usually served with flavored simple syrup)/
凍りつく [こおりつく] /(v5k,vi) to freeze to/to be frozen to/
凍り付く [こおりつく] /(v5k,vi) to freeze to/to be frozen to/
凍る [こおる] /(v5r,vi) to freeze/to be frozen over/to congeal/(P)/
凍雨 [とうう] /(n) (1) winter rain/(2) ice pellet/
凍解け [いてどけ] /(io) (n) (arch) thawing of the ground in spring/
凍害 [とうがい] /(n) frost damage/
凍寒 [とうかん] /(n) frost/bitter cold/
凍結 [とうけつ] /(n,vs) freeze (e.g. program, food, etc.)/(P)/
凍結レファレンス [とうけつレファレンス] /(n) (comp) frozen reference/
凍結器 [とうけつき] /(n) freezer/
凍結資産 [とうけつしさん] /(n) frozen assets/
凍結手術 [とうけつしゅじゅつ] /(n) cryosurgery/
凍結防止剤 [とうけつぼうしざい] /(n) (automotive) antifreeze/
凍結療法 [とうけつりょうほう] /(n) cryotherapy/
凍結胚 [とうけつはい] /(n) frozen embryo/
凍原 [とうげん] /(n) tundra/
凍港 [とうこう] /(n) (arch) frozen harbor/
凍死 [とうし] /(n,vs) death from cold/freezing to death/(P)/
凍死者 [とうししゃ] /(n) person frozen to death/
凍傷 [とうしょう] /(n) frostbite/chilblains/
凍傷者 [とうしょうしゃ] /(n) case of frostbite/
凍石 [とうせき] /(n,adj-no) soapstone/
凍土 [とうど] /(n) frozen soil/
凍豆腐 [こおりどうふ] /(n) (1) frozen tofu/(2) dried bean curd/
凍豆腐 [しみどうふ] /(n) (1) frozen tofu/(2) dried bean curd/
凍肉 [とうにく] /(n) frozen meat/
凍瘡 [とうそう] /(n) chilblains/frostbite/
凍餒 [とうたい] /(n) privation/
凍餒 [とうだい] /(n) privation/
刀 [かたな] /(n) (1) (single-edged) sword/katana/(2) (arch) dagger/knife/(P)/
刀 [とう] /(n) (1) (single-edged) sword/katana/(2) (arch) dagger/knife/(3) (arch) scalpel/
刀の手前 [かたなのてまえ] /(n) samurai's face/
刀を差す [かたなをさす] /(exp,v5s) to wear a sword/
刀を打つ [かたなをうつ] /(exp,v5t) to temper a sword/to forge a sword/
刀を帯びる [とうをおびる] /(exp,v1) to wear a sword/
刀下 [とうか] /(n) under the sword/
刀架 [とうか] /(n) sword rack/
刀掛け [かたなかけ] /(n) sword rack/
刀圭 [とうけい] /(n) doctor/
刀圭家 [とうけいか] /(n) doctor/
刀剣 [とうけん] /(n) sword/dagger/knife/bayonet/(P)/
刀剣商 [とうけんしょう] /(n) sword dealer/
刀懸け [かたなかけ] /(n) sword rack/
刀工 [とうこう] /(n) swordsmith/
刀痕 [とうこん] /(n) sword scar/
刀子 [とうし] /(n) small knife that is largely ornamental or used to cut open letters and the like/
刀子 [とうす] /(n) small knife that is largely ornamental or used to cut open letters and the like/
刀持ち [かたなもち] /(n) swordbearer/
刀自 [とうじ] /(n) lady/matron/mistress/housekeeper/
刀自 [とじ] /(n) lady/matron/mistress/housekeeper/
刀術 [とうじゅつ] /(n) (MA) fencing/art of wielding swords/
刀傷 [とうしょう] /(n) sword cut/
刀匠 [とうしょう] /(n) swordsmith/
刀身 [とうしん] /(n) knife blade/sword blade/
刀刃 [とうじん] /(n) sword blade/
刀折れ矢尽きて [かたなおれやつきて] /(exp) having exhausted every available means (lit: having broken one's sword and exhausted one's arrows)/
刀折れ矢尽きる [かたなおれやつきる] /(exp) (id) It's all over now/
刀泉 [とうせん] /(n) daojian (bronze coin of ancient China, shaped like an opened straight razor)/
刀銭 [とうせん] /(n) daojian (bronze coin of ancient China, shaped like an opened straight razor)/
刀鍛冶 [かたなかじ] /(n) swordsmith/
刀背 [とうはい] /(n) back of a sword/
刀背 [みね] /(gikun) (n) back of a sword/
刀背打ち [みねうち] /(n) striking with the back of the sword/
刀筆の吏 [とうひつのり] /(n) minor official/
刀布 [とうふ] /(n) bronze currency of ancient China (some pieces shaped like spades and others like opened straight razors)/
刀礼 [とうれい] /(n) sword salute/
刀疵 [かたなきず] /(n) sword wound/
唐 [から] /(n,n-pref) (arch) China (sometimes also used in ref. to Korea or other foreign countries)/
唐 [とう] /(n) T'ang-Dynasty (China 618-907)/(P)/
唐 [もろこし] /(n) (1) (arch) China/(n-pref) (2) Chinese/
唐の芋 [とうのいも] /(n) var. of taro with long purple stalks/
唐の昔 [とうのむかし] /(iK) (exp,n-t) a long time ago/
唐鞍 [からくら] /(n) Chinese-style ritual saddle/
唐鞍 [からぐら] /(n) Chinese-style ritual saddle/
唐衣 [からぎぬ] /(n) short coat for noblewomen (Nara and Heian period)/
唐衣 [からころも] /(n) ancient Chinese clothes/
唐芋 [からいも] /(n) sweet potato (Ipomoea batatas)/
唐芋 [とういも] /(n) sweet potato (Ipomoea batatas)/
唐鰯 [からいわし] /(n) (uk) Hawaiian ladyfish (Elops hawaiensis)/
唐臼 [からうす] /(n) mortar/
唐音 [とういん] /(n) T'ang reading of Chinese characters/
唐音 [とうおん] /(n) T'ang reading of Chinese characters/
唐果物 [からくだもの] /(n) deep-fried Chinese pastry (sweetened with jiaogulan)/
唐歌 [からうた] /(n) Chinese poem/
唐茄子 [とうなす] /(n) squash/pumpkin/
唐菓子 [からくだもの] /(n) deep-fried Chinese pastry (sweetened with jiaogulan)/
唐菓子 [とうがし] /(n) deep-fried Chinese pastry (sweetened with jiaogulan)/
唐菓物 [からくだもの] /(n) deep-fried Chinese pastry (sweetened with jiaogulan)/
唐芥子 [とうがらし] /(n) (1) capsicum (Capsicum annuum, esp. the cultivated chili peppers)/chili pepper (chile, chilli)/cayenne/red pepper/
唐楽 [とうがく] /(n) (1) Tang-era Chinese music/(2) style of gagaku based on Tang-era Chinese music and ancient Indian song and dance/
唐机 [とうづくえ] /(n) desk made in China/Chinese style desk/
唐黍 [とうきび] /(n) Indian millet/
唐錦 [からにしき] /(n) Chinese brocade/
唐金 [からかね] /(n) bronze/
唐犬 [からいぬ] /(n) (obsc) foreign dog (esp. of Chinese origin)/
唐戸 [からど] /(n) hinged door/
唐胡麻 [とうごま] /(n) castor oil plant/castor oil bean/Ricinus communis/
唐胡頽子 [とうぐみ] /(n) (uk) Elaeagnus multiflora var. hortensis (variety of goumi)/
唐紅 [からくれない] /(n) crimson/
唐国 [からくに] /(n) (arch) China/Korea/
唐菜 [とうな] /(n) (uk) tang cai (Brassica rapa var. toona)/
唐三盆 [とうさんぼん] /(n) high-quality sugar imported from China/
唐傘 [からかさ] /(n) paper umbrella/
唐子 [からこ] /(n) boy or doll dressed in ancient Chinese clothes/
唐獅子 [からしし] /(n) (artistic portrait of a) lion/
唐獅子 [からじし] /(n) (artistic portrait of a) lion/
唐糸 [からいと] /(n) China-made thread or yarn/
唐糸草 [からいとそう] /(n) (uk) Sanguisorba hakusanensis/
唐紙 [からかみ] /(n) printed paper/paper sliding-door/
唐詩 [とうし] /(n) poetry of the T'ang period/T'ang poetry/
唐尺 [とうしゃく] /(n) (arch) Tang shaku (approx. 29.6 cm)/
唐手 [からて] /(n) (1) karate/
唐縮緬 [とうちりめん] /(n) muslin/mousseline de laine/mousseline/
唐薯 [からいも] /(n) sweet potato (Ipomoea batatas)/
唐鋤 [からすき] /(n) (arch) plow (esp. horse or ox-drawn)/plough/
唐鋤星 [からすきぼし] /(n) (obsc) Chinese "Three Stars" constellation (one of the 28 mansions)/
唐松 [からまつ] /(n) (uk) (Japanese) larch (Larix leptolepis, Larix kaempferi)/
唐辛子 [とうがらし] /(n) (1) capsicum (Capsicum annuum, esp. the cultivated chili peppers)/chili pepper (chile, chilli)/cayenne/red pepper/(P)/
唐辛子 [とんがらし] /(n) (1) capsicum (Capsicum annuum, esp. the cultivated chili peppers)/chili pepper (chile, chilli)/cayenne/red pepper/
唐人 [からびと] /(n) (arch) Chinese person/Korean person/
唐人 [とうじん] /(n) (1) Chinese person/(2) (arch) foreigner/
唐人の寝言 [とうじんのねごと] /(n) gibberish/
唐人稗 [とうじんびえ] /(n) (uk) pearl millet (Pennisetum glaucum)/
唐宋音 [とうそうおん] /(n) T'ang reading of Chinese characters/
唐草 [からくさ] /(n) (1) (abbr) arabesque pattern/(2) toothed medick (Medicago polymorpha)/
唐草文 [からくさもん] /(n) arabesque/scrollwork/
唐草模様 [からくさもよう] /(n) arabesque/scrollwork/
唐竹 [からたけ] /(n) (arch) Chinese bamboo/bamboo imported from China (often used to make flutes)/
唐竹 [とうちく] /(n) (uk) Chinese temple bamboo (Sinobambusa tootsik)/tootsik bamboo/
唐朝 [とうちょう] /(n) T'ang Dynasty/
唐津焼き [からつやき] /(n) Karatsu ware/Karatsu porcelain/
唐天竺 [からてんじく] /(n) China and India/far away/
唐土 [とうど] /(n) (1) (arch) China/
唐土 [もろこし] /(n) (1) (arch) China/(n-pref) (2) Chinese/
唐土人 [もろこしびと] /(n) (arch) Chinese person/
唐土船 [もろこしぶね] /(n) (arch) Chinese ship/
唐桃 [からもも] /(n) (1) (uk) apricot (Prunus armeniaca)/(2) Prunus persica var. densa (Chinese variety of peach)/
唐当帰 [からとうき] /(n) (uk) dong quai (aromatic herb used to treat various gynecological symptoms, Angelica sinensis)/
唐突 [とうとつ] /(adj-na,n) abrupt/sudden/(P)/
唐突千万 [とうとつせんばん] /(n,adj-na) very sudden/very abrupt/
唐破風 [からはふ] /(n) Chinese cusped gable/
唐梅 [とうばい] /(n) (uk) wintersweet (Chimonanthus praecox)/Japanese allspice/
唐撫子 [からなでしこ] /(n) (uk) (obsc) China pink (species of flower, Dianthus chinensis)/
唐楓 [とうかえで] /(n) trident maple/acer buergerianum/
唐風 [からふう] /(n) Chinese style/
唐風 [とうふう] /(n) Chinese style/
唐物 [からもの] /(n) fancy ancient Chinese imported goods/imported goods/
唐物 [とうぶつ] /(n) fancy ancient Chinese imported goods/imported goods/
唐物 [とうもつ] /(n) fancy ancient Chinese imported goods/imported goods/
唐変木 [とうへんぼく] /(n) oaf/bigot/
唐墨 [からすみ] /(n) Chinese ink/
唐墨 [とうぼく] /(n) Chinese ink/
唐本 [とうほん] /(n) books from China/
唐名 [からな] /(n) (1) Chinese name for a high government office (ritsuryo period)/(2) (arch) alias/pseudonym/
唐名 [とうみょう] /(n) (1) Chinese name for a high government office (ritsuryo period)/
唐名 [とうめい] /(n) (1) Chinese name for a high government office (ritsuryo period)/
唐木 [からき] /(n) exotic non-Japanese wood (rosewood, ebony, blackwood, etc.)/imported wood/
唐木瓜 [からぼけ] /(n) kara flowering quince/Choenomeles lagenaria/
唐門 [からもん] /(n) Chinese-style gate/
唐揚 [からあげ] /(n,vs) fried (e.g. potatoes, chicken)/
唐揚げ [からあげ] /(n,vs) fried (e.g. potatoes, chicken)/
唐様 [からよう] /(n) (1) Chinese design/Chinese style/(2) traditional architecture associated with Zen/
唐檜 [とうひ] /(n) (uk) spruce tree (esp. Picea jezoensis hondoensis, a variety of Ezo spruce)/
唐棕梠 [とうじゅろ] /(n) miniature Chusan palm (Trachycarpus wagnerianus)/(poss. Trachycarpus fortunei)/
唐棕櫚 [とうじゅろ] /(n) miniature Chusan palm (Trachycarpus wagnerianus)/(poss. Trachycarpus fortunei)/
唐棹 [からさお] /(n) flail (for threshing grain)/
唐棹 [からざお] /(n) flail (for threshing grain)/
唐樒 [とうしきみ] /(n) star anise (Illicium verum)/
唐櫃 [からびつ] /(n) six-legged Chinese-style chest/
唐瘡 [とうがさ] /(n) (arch) syphilis/
唐茱萸 [とうぐみ] /(n) (uk) Elaeagnus multiflora var. hortensis (variety of goumi)/
塔 [とう] /(n,n-suf) (1) tower/steeple/spire/(n) (2) (abbr) stupa/pagoda/dagoba/(P)/
塔屋 [とうおく] /(n) rooftop structure, e.g. tower, elevator machine room, etc./
塔屋 [とうや] /(n) rooftop structure, e.g. tower, elevator machine room, etc./
塔中 [たっちゅう] /(n) sub-temple, especially one founded to commemorate the death of a high priest/
塔頭 [たっちゅう] /(n) sub-temple, especially one founded to commemorate the death of a high priest/
塔婆 [とうば] /(n) (1) (abbr) stupa/pagoda/(2) wooden grave tablet/
塔楼 [とうろう] /(n) (obsc) tall building/
島 [しま] /(n) (1) island/(2) (uk) territory (of a prostitute, organized crime gang, etc.)/turf/(P)/
島 [とう] /(suf) island (in placenames)/
島々 [しまじま] /(n) islands/(P)/
島じま [しまじま] /(n) islands/
島の制約 [しまのせいやく] /(n) island constraint/
島育ち [しまそだち] /(n) brought up on an island/
島陰 [しまかげ] /(n) the other side of the island/
島唄 [しまうた] /(n) traditional Okinawan folk music/
島影 [しまかげ] /(n) silhouette of island/
島寒菊 [しまかんぎく] /(n) (uk) chrysanthemum (Chrysanthemum indicum)/
島原の乱 [しまばらのらん] /(n) Shimabara Rebellion (1637-1638)/
島国 [しまぐに] /(n) island country (sometimes used as a metaphor for Japan)/(P)/
島国 [とうごく] /(n) island country (sometimes used as a metaphor for Japan)/
島国根性 [しまぐにこんじょう] /(n,adj-no) insularism/insularity/island country mentality/
島根 [しまね] /(n) island country/(P)/
島根県 [しまねけん] /(n) Shimane prefecture (Chuugoku area)/
島山 [しまやま] /(n) island mountain/
島司 [とうし] /(n) island governor/
島四国 [しましこく] /(n) small-scale version of the 88 temples of Shikoku (i.e. on Awaji Island)/
島主 [とうしゅ] /(n) island chief/
島守 [しまもり] /(n) island chief/
島守 [とうしゅ] /(n) island chief/
島巡り [しまめぐり] /(n) island tour/
島人 [とうじん] /(n) islanders/
島人参 [ちでーくに] /(n) type of yellow carrot grown in Okinawa/
島台 [しまだい] /(n) ornament representing the Isle of Eternal Youth/
島中 [とうちゅう] /(n) all over the island/
島庁 [とうちょう] /(n) island government office/
島帝国 [とうていこく] /(n) (obsc) island empire/
島伝い [しまづたい] /(n) from island to island/island-hopping/
島田 [しまだ] /(n) (abbr) pompadour-like hair style, popular for unmarried women in the Edo period/shimada coiffure/
島田髷 [しまだまげ] /(n) pompadour-like hair style, popular for unmarried women in the Edo period/shimada coiffure/
島田髷 [しまだわげ] /(n) pompadour-like hair style, popular for unmarried women in the Edo period/shimada coiffure/
島島 [しまじま] /(n) islands/
島内 [とうない] /(n) on the island/(P)/
島破り [しまやぶり] /(n,vs) escaping from an island exile/
島風 [しまかぜ] /(n) island wind/
島民 [とうみん] /(n) islanders/
島流し [しまながし] /(n,vs) exile/banishment/
島嶼 [とうしょ] /(n) islands/
島嶼国 [とうしょこく] /(n) island country/
島梟 [しまふくろう] /(n) (uk) Blakiston's fish owl (Bubo blakistoni)/
嶋 [しま] /(n) (1) island/(2) (uk) territory (of a prostitute, organized crime gang, etc.)/turf/
悼み悲しむ [いたみかなしむ] /(v5m) (obsc) to mourn/to grieve/
悼む [いたむ] /(v5m) to grieve over/to mourn/to lament/(P)/
悼辞 [とうじ] /(n) funeral address/message of condolence/words of condolence/
投 [とう] /(n) (1) pitching ability (in baseball)/(suf,ctr) (2) counter for pitches/
投かん [とうかん] /(n,vs) mailing/posting/
投げ [なげ] /(n) a throw/a fall/(P)/
投げかける [なげかける] /(v1,vt) to throw at/to turn/to raise/
投げつける [なげつける] /(v1,vt) to throw at/to throw something at a person/to throw a person down/
投げやり [なげやり] /(adj-na) negligent/careless/slovenly/reckless/casual/irresponsible/
投げる [なげる] /(v1,vt) (1) to throw/to cast away/(2) to face defeat/to give up/(P)/
投げキス [なげキス] /(n) a blown kiss/
投げ下ろす [なげおろす] /(v5s,vt) (1) to dump (a load of something)/(2) to throw from a height/to throw downwards/
投げ荷 [なげに] /(n) jetsam/jettisoned cargo/
投げ掛ける [なげかける] /(v1,vt) to throw at/to turn/to raise/
投げ技 [なげわざ] /(n) throw or throwing technique (sumo, judo)/
投げ業 [なげわざ] /(n) throw or throwing technique (sumo, judo)/
投げ遣り [なげやり] /(adj-na) negligent/careless/slovenly/reckless/casual/irresponsible/
投げ込む [なげこむ] /(v5m,vt) to throw into/(P)/
投げ捨てる [なげすてる] /(v1,vt) to throw away/
投げ首 [なげくび] /(n) being at a loss/
投げ出す [なげだす] /(v5s,vt) to throw down/to abandon/to sacrifice/to throw out/(P)/
投げ上げる [なげあげる] /(v1) to throw up (in the air)/
投げ槍 [なげやり] /(n) javelin/lance/
投げ打つ [なげうつ] /(v5t,vt) to abandon/to throw away/to fling away/
投げ倒す [なげたおす] /(v5s) to throw a person down/
投げ縄 [なげなわ] /(n) a lasso/
投げ入れ [なげいれ] /(n) nageire (casual or nature-imitating style of Japanese floral arrangement)/
投げ入れる [なげいれる] /(v1,vt) to throw into/to dump in together/
投げ売り [なげうり] /(n) bargain (sacrifice) sale/selling at a loss/dumping/
投げ売り品 [なげうりひん] /(n) distressed goods/
投げ飛ばす [なげとばす] /(v5s,vt) to fling (away)/to hurl/
投げ付ける [なげつける] /(v1,vt) to throw at/to throw something at a person/to throw a person down/
投げ物 [なげもの] /(n) sacrifice goods/liquidation (shares)/things thrown (out)/
投げ文 [なげぶみ] /(n) (love) letter tossed into a home/
投げ返す [なげかえす] /(v5s) to throw back/
投げ与える [なげあたえる] /(v1) to give by tossing or throwing/
投げ落とす [なげおとす] /(v5s) to throw down/
投じる [とうじる] /(v1,vi) to throw/to cast/to invest/(P)/
投ずる [とうずる] /(vz) to throw/to cast/to invest/
投影 [とうえい] /(n,vs) projection/(P)/
投影ビューポート [とうえいビューポート] /(n) (comp) projection viewport/
投影基準点 [とうえいきじゅんてん] /(n) (comp) projection reference point/PRP/
投影機 [とうえいき] /(n) a projector/
投影図 [とうえいず] /(n) a projection drawing/
投影図法 [とうえいずほう] /(n) (method of) projection/
投影線 [とうえいせん] /(n) (comp) projector/
投影方法 [とうえいほうほう] /(n) (comp) projection type/
投影法 [とうえいほう] /(n) projective technique/
投下 [とうか] /(n,vs) (1) throwing down/dropping/airdrop/(2) investment/(P)/
投下ろす [なげおろす] /(v5s,vt) (1) to dump (a load of something)/(2) to throw from a height/to throw downwards/
投下資本 [とうかしほん] /(n) invested capital/
投開票 [とうかいひょう] /(n) general election/public ballot/
投棄 [とうき] /(n,vs) abandonment/giving up/throwing away/disposal/dumping/(P)/
投機 [とうき] /(n) speculation/venture/stockjobbing/gambling (on stocks)/(P)/
投機家 [とうきか] /(n) speculator/venturer/
投機筋 [とうきすじ] /(n) speculator/
投機師 [とうきし] /(n) adventurer/speculator/
投機心 [とうきしん] /(n) a speculative spirit/
投機的 [とうきてき] /(adj-na) speculative/
投機熱 [とうきねつ] /(n) speculation fever/
投技 [なげわざ] /(n) throw or throwing technique (sumo, judo)/
投球 [とうきゅう] /(n,vs) pitching/throwing a ball/bowling (in cricket)/pitched ball/(P)/
投球動作 [とうきゅうどうさ] /(n) windup/
投光器 [とうこうき] /(n) floodlight/floodlight projector/
投光照明 [とうこうしょうめい] /(n) floodlighting/
投光照明器 [とうこうしょうめいき] /(n) floodlight/floodlight projector/
投稿 [とうこう] /(n,vs) contribution/submission/posting (e.g. to a newsgroup or mailing list)/(P)/
投稿一覧 [とうこういちらん] /(n) posts list/(summary) list of all messages (threads)/
投稿者 [とうこうしゃ] /(n) contributor (of written material)/
投稿文 [とうこうぶん] /(n) written contribution/submission (to a newspaper, online forum, etc.)/
投稿欄 [とうこうらん] /(n) reader's column/letters-to-the-editor column/
投降 [とうこう] /(n,vs) surrender/(P)/
投降者 [とうこうしゃ] /(n) surrenderer/person who surrenders/
投合 [とうごう] /(n,vs) agreement/coincidence/congeniality/
投獄 [とうごく] /(n,vs) imprisonment/
投資 [とうし] /(n,vs) investment/(P)/
投資の限界効率 [とうしのげんかいこうりつ] /(n) marginal efficiency of investment/
投資家 [とうしか] /(n) investor/
投資関数 [とうしかんすう] /(n) investment function/
投資業界 [とうしぎょうかい] /(n) investment industry/
投資銀行 [とうしぎんこう] /(n) investment bank/
投資計画 [とうしけいかく] /(n) investment plan/
投資支出 [とうしししゅつ] /(n) investment spending/investment expenditure/
投資資金 [とうししきん] /(n) investment capital/
投資者 [とうししゃ] /(n) investor/
投資信託 [とうししんたく] /(n) investment trust/(P)/
投資損失 [とうしそんしつ] /(n) investment loss/
投資有価証券 [とうしゆうかしょうけん] /(n) investments in securities/
投資利益率 [とうしりえきりつ] /(n) (comp) return of investment/
投射 [とうしゃ] /(n,vs) projection/(P)/
投射角 [とうしゃかく] /(n) angle of projection or incidence/
投射原理 [とうしゃげんり] /(n) projection principle/
投捨てる [なげすてる] /(v1,vt) to throw away/
投手 [とうしゅ] /(n) (baseball) pitcher/(P)/
投手陣 [とうしゅじん] /(n) pitching staff/
投手戦 [とうしゅせん] /(n) pitching duel/pitchers' battle/(P)/
投手板 [とうしゅばん] /(n) pitchers plate/
投手力 [とうしゅりょく] /(n) pitching strength (of a team)/
投宿 [とうしゅく] /(n,vs) lodging/putting up at a hotel/
投宿者 [とうしゅくしゃ] /(n) hotel guest/
投出 [とうしゅつ] /(n,vs) (physics) projection/ejection/
投書 [とうしょ] /(n,vs) letter to the editor/letter from a reader/contribution/(P)/
投書家 [とうしょか] /(n) (literary) contributor/a correspondent/
投書箱 [とうしょばこ] /(n) suggestion box/complaints box/
投書欄 [とうしょらん] /(n) letters to the editor section/
投信 [とうしん] /(n) (abbr) investment trust/(P)/
投身 [とうしん] /(n,vs) suicide by jumping into a river (base of a waterfall, from a high place)/
投石 [とうせき] /(n,vs) stone throwing/(P)/
投石器 [とうせきき] /(n) ballista/onager/sling/
投石機 [とうせきき] /(n) a catapult/sling/
投打 [とうだ] /(n) pitching and batting/
投打つ [なげうつ] /(v5t,vt) to abandon/to throw away/to fling away/
投弾 [とうだん] /(n,vs) (1) dropping a bomb/bomb drop/(n) (2) slingstone/
投弾帯 [とうだんたい] /(n) (obsc) sling/
投入 [とうにゅう] /(n,vs) (1) throwing (e.g. something into somewhere)/(2) investment/putting in (personnel, etc.)/(3) release of a product/(4) making (an electrical circuit)/(P)/
投入れ [なげいれ] /(n) nageire (casual or nature-imitating style of Japanese floral arrangement)/
投入産出表 [とうにゅうさんしゅつひょう] /(n) input-output table/IO table/
投函 [とうかん] /(n,vs) mailing/posting/
投飛 [とうひ] /(n) pitchers fly/
投票 [とうひょう] /(n,vs,adj-no) voting/poll/(P)/
投票区 [とうひょうく] /(n) polling or voting district/
投票結果 [とうひょうけっか] /(n) results of a vote/voting results/
投票権 [とうひょうけん] /(n) voting right/
投票者 [とうひょうしゃ] /(n) voter/
投票所 [とうひょうしょ] /(n) polling place/(P)/
投票所 [とうひょうじょ] /(n) polling place/
投票数 [とうひょうすう] /(n) votes cast/
投票制度 [とうひょうせいど] /(n) voting system/
投票総数 [とうひょうそうすう] /(n) total number of votes cast/
投票締め切り [とうひょうしめきり] /(n) poll closing/
投票日 [とうひょうび] /(n) election day/
投票箱 [とうひょうばこ] /(n) ballot box/(P)/
投票用紙 [とうひょうようし] /(n) ballot paper/voting paper/
投票率 [とうひょうりつ] /(n) voter turnout/(polling) turnout/
投錨 [とうびょう] /(n,vs) dropping anchor/
投付ける [なげつける] /(v1,vt) to throw at/to throw something at a person/to throw a person down/
投物 [なげもの] /(n) sacrifice goods/liquidation (shares)/things thrown (out)/
投網 [とあみ] /(n) a casting net/
投薬 [とうやく] /(n,vs) administration/medication/dosage/(P)/
投薬量 [とうやくりょう] /(n) dosage/dose/
投融資 [とうゆうし] /(n) investment and lending/(P)/
投与 [とうよ] /(n,vs) prescribing medicine/administering (medicine)/(P)/
投与量 [とうよりょう] /(n) dose/dosage/
投了 [とうりょう] /(n,vs) resignation/giving up the game for lost/
投擲 [とうてき] /(n,vs) throwing/throwing event/
投擲競技 [とうてききょうぎ] /(n) a throwing event/
投擲槍 [とうてきそう] /(n) throwing spear/javelin/
搭載 [とうさい] /(n,vs) (1) loading (on board)/equipping/(adj-f) (2) equipped (with)/built-in/(P)/
搭乗 [とうじょう] /(n,vs) embarkation/boarding (an aeroplane, airplane)/(P)/
搭乗案内 [とうじょうあんない] /(n) boarding announcement/
搭乗員 [とうじょういん] /(n) crew member/
搭乗橋 [とうじょうきょう] /(n) gangway/boarding bridge/
搭乗券 [とうじょうけん] /(n) boarding passes/boarding tickets/
搭乗者 [とうじょうしゃ] /(n) passenger/
搭乗手続き [とうじょうてつづき] /(n) boarding/check-in/
搭乗手続きカウンター [とうじょうてつづきカウンター] /(n) check-in counter/
東 [あずま] /(n) (1) (arch) east/(2) eastern Japan/(3) (abbr) six-stringed Japanese zither/
東 [あづま] /(ok) (n) (1) (arch) east/(2) eastern Japan/(3) (abbr) six-stringed Japanese zither/
東 [ひがし] /(n) east/(P)/
東 [ひむかし] /(ok) (n) east/
東 [ひんがし] /(ok) (n) east/
東の宮 [はるのみや] /(n) crown prince/
東の対 [ひがしのたい] /(n) eastern side house (in traditional palatial-style architecture)/
東の対 [ひんがしのたい] /(n) eastern side house (in traditional palatial-style architecture)/
東は東西は西 [ひがしはひがしにしはにし] /(exp) (id) East is East, and West is West/
東アジア [ひがしアジア] /(n,adj-no) East Asia/
東アフリカ [ひがしアフリカ] /(n) East Africa/
東インド [ひがしインド] /(n) East Indies/
東インド会社 [ひがしインドがいしゃ] /(n) East India Company/
東ゴート [ひがしゴート] /(n) Ostrogoth/
東シナ海 [ひがしシナかい] /(n) East China Sea/
東ヨーロッパ [ひがしヨーロッパ] /(n) Eastern Europe/
東ローマ帝国 [ひがしローマていこく] /(n) Eastern Roman Empire/
東亜 [とうあ] /(n) East Asia/the Orient/(P)/
東亜諸国 [とうあしょこく] /(n) East-Asian countries/
東亜諸民族 [とうあしょみんぞく] /(n) East-Asian peoples/
東亜日報 [とうあにっぽう] /(n) The Dong-a Ilbo (Korean newspaper)/
東夷 [あずまえびす] /(n) (in Japanese history) crude warrior from the eastern parts of the country/
東夷 [とうい] /(n) (in Japanese history) crude warrior from the eastern parts of the country/
東夷西戎 [とういせいじゅう] /(n) barbarians to the east and to the west (from the perspective of old China)/
東印度 [ひがしいんど] /(n) East Indies/
東印度会社 [ひがしいんどがいしゃ] /(n) East India Company/
東雲 [しののめ] /(n) daybreak/dawn/
東雲坂田鮫 [しののめさかたざめ] /(n) (uk) bowmouth guitarfish (Rhina ancylostoma)/mud skate/shark ray/
東縁 [とうえん] /(n) eastern edge/east margin/
東横線 [とうよこせん] /(n) Toyoko Line (between Tokyo and Yokohama)/
東欧 [とうおう] /(n,adj-no) Eastern Europe/(P)/
東欧諸国 [とうおうしょこく] /(n) Eastern European countries/
東屋 [あずまや] /(n) arbor/arbour/bower/summer house/square gazebo/
東下り [あずまくだり] /(n) travelling east from Kyoto (in ancient times) (traveling)/
東歌 [とうか] /(n) the old Kanto-area folk songs/
東海 [とうかい] /(n) region south of Tokyo on Pacific Ocean side of Japan/eastern sea/(P)/
東海岸 [ひがしかいがん] /(n) east coast/
東海地方 [とうかいちほう] /(n) Tokai region of Honshu (inc. Aichi, Shizuoka, Mie and southern Gifu prefectures)/
東海道 [とうかいどう] /(n) Tokaido (Edo-period Edo-Kyoto highway)/
東海道筋の町 [とうかいどうすじのまち] /(n) towns on the Tokaido/
東海道五十三次 [とうかいどうごじゅうさんつぎ] /(n) fifty-three stages on the Tokaido (Edo-Kyoto highway in Edo-period Japan)/
東海道線 [とうかいどうせん] /(n) Tokaido Line/
東学 [とうがく] /(n) Tonghak/19C Korean religious movement/
東漢 [とうかん] /(n) Eastern Han (dynasty of China)/
東漢氏 [やまとのあやうじ] /(n) Yamato no Aya clan/
東鑑 [あずまかがみ] /(n) Japanese medieval text that chronicles events of the Kamakura Shogunate/
東鑑 [あづまかがみ] /(n) Japanese medieval text that chronicles events of the Kamakura Shogunate/
東岸 [とうがん] /(n) eastern coast/east bank/
東岸沿いに [とうがんぞいに] /(adv) along the east coast/along the eastern seashore/
東寄り [ひがしより] /(n) easterly (wind)/from the east/
東宮 [とうぐう] /(n) crown prince/(P)/
東宮御所 [とうぐうごしょ] /(n) Crown Prince's Palace/
東宮職 [とうぐうしょく] /(n) Imperial Household Agency employee assigned to the household of the Crown Prince/
東京 [とうきょう] /(n) Tokyo (current capital of Japan)/(P)/
東京オリンピック [とうきょうオリンピック] /(n) Tokyo Olympics (1964)/
東京株式市場 [とうきょうかぶしきしじょう] /(n) Tokyo Stock Exchange/
東京語 [とうきょうご] /(n) Tokyo dialect (esp. historical)/
東京行き [とうきょういき] /(adj-no,n) Tokyo-bound/
東京行き [とうきょうゆき] /(adj-no,n) Tokyo-bound/
東京高裁 [とうきょうこうさい] /(n) Tokyo High Court/
東京裁判 [とうきょうさいばん] /(n) Tokyo Trials/International Military Tribunal for the Far East/IMTFE/
東京証券取引所 [とうきょうしょうけんとりひきじょ] /(n) Tokyo Stock Exchange/TSE/(P)/
東京大空襲 [とうきょうだいくうしゅう] /(n) Great Tokyo Air Raid (firebombing of Tokyo, Mar. 10, 1945)/
東京着 [とうきょうちゃく] /(n) arriving in Tokyo/
東京都 [とうきょうと] /(n) Tokyo Metropolitan area/
東京都政 [とうきょうとせい] /(n) government of Tokyo Metropolis/
東京都庭園美術館 [とうきょうとていえんびじゅつかん] /(n) Tokyo Metropolitan Teien Art Museum/
東京発 [とうきょうはつ] /(n) departing Tokyo/
東京湾 [とうきょうわん] /(n) Tokyo Bay/Bay of Tokyo/
東琴 [あずまごと] /(n) six-stringed Japanese zither/
東軍 [とうぐん] /(n) the eastern army/
東経 [とうけい] /(n) east longitude/(P)/
東口 [ひがしぐち] /(n) east entrance/(P)/
東向き [ひがしむき] /(n) facing east/
東工大 [とうこうだい] /(n) Tokyo Institute of Technology/TIT/
東航 [とうこう] /(n,adj-no) sailing east/eastbound/
東行 [とうこう] /(n,vs) eastbound/
東郊 [とうこう] /(n) eastern suburbs/
東国 [とうごく] /(n) eastern country/eastern provinces/Kanto provinces/
東根笹 [あずまねざさ] /(n) (uk) Pleioblastus chino (species of bamboo grass)/
東山時代 [ひがしやまじだい] /(n) Higashiyama period (cultural and artistic period of the mid-Muromachi)/
東司 [とうす] /(n) toilet in a Zen monastery/
東芝 [とうしば] /(n) Toshiba (company)/(P)/
東周 [とうしゅう] /(n) Eastern Zhou (dynasty of China)/
東署 [ひがししょ] /(n) eastern department/eastern office/
東照宮 [とうしょうぐう] /(n) Toshogu Shrine/
東証 [とうしょう] /(n) (abbr) Tokyo Stock Exchange/
東証一部 [とうしょういちぶ] /(n) First Section of the Tokyo Stock Exchange/
東証株価指数 [とうしょうかぶかしすう] /(n) Tokyo Stock Price Index/TOPIX/
東証第一部 [とうしょうだいいちぶ] /(n) First Section of the Tokyo Stock Exchange/
東上 [とうじょう] /(n,vs) going to Tokyo/going east/
東浄 [とうちん] /(n) toilet in a Zen temple/
東晋 [とうしん] /(n) Eastern Jin (dynasty of China, 317-420 CE)/
東進 [とうしん] /(n,vs) proceeding east/
東征 [とうせい] /(n,vs) eastern expedition/
東清 [とうしん] /(n) Eastern China/
東西 [とうざい] /(n,adj-no) (1) East and West/(2) whole country/(3) Orient and Occident/Western and Eastern/(4) Your attention, please!/(P)/
東西屋 [とうざいや] /(n) town crier/
東西古今 [とうざいここん] /(n,n-adv) all times and places/everywhen and everywhere/
東西南北 [とうざいなんぼく] /(n) east, west, south and north/
東石楠花 [あずましゃくなげ] /(n) (uk) Azuma rhododendron/Rhododendron metternichii var./
東遷 [とうせん] /(n,vs) moving (the capital) east/
東漸 [とうぜん] /(n,vs) eastward advance/
東側 [とうそく] /(n) east side/east bank/
東側 [ひがしがわ] /(n) east side/east bank/(P)/
東端 [とうたん] /(n) east end/eastern tip/
東男 [あずまおとこ] /(n) man from East Japan/
東天 [とうてん] /(n) the eastern sky/
東天紅 [とうてんこう] /(n) (birds) crowing or warbling in the morning/
東都 [とうと] /(n) the Eastern Capital (now Tokyo)/Yedo/Edo/(P)/
東独 [とうどく] /(n) East Germany/(P)/
東南 [とうなん] /(n) south-east/(P)/
東南 [ひがしみなみ] /(n) south-east/
東南アジア [とうなんアジア] /(n) Southeast Asia/
東南アジア諸国連合 [とうなんアジアしょこくれんごう] /(n) Association of Southeast Asian Nations/ASEAN/
東南亜 [とうなんあ] /(n) Southeast Asia/
東南海地震 [とうなんかいじしん] /(n) Tonankai earthquake of 1944/
東南東 [とうなんとう] /(n) east-southeast/ESE/
東日本 [ひがしにっぽん] /(n) eastern Japan/
東日本 [ひがしにほん] /(n) eastern Japan/
東日本大震災 [ひがしにほんだいしんさい] /(n) Tohoku earthquake (March 11, 2011)/Sendai earthquake/
東半 [とうはん] /(n) the eastern half/
東半球 [ひがしはんきゅう] /(n) Eastern Hemisphere/
東彼岸 [あずまひがん] /(n) (uk) double weeping rosebud cherry (Prunus pendula)/
東部 [とうぶ] /(n) eastern part/(P)/
東部時間 [とうぶじかん] /(n) Eastern Time (US time zone)/
東部縞栗鼠 [とうぶしまりす] /(n) (uk) eastern chipmunk (Tamias striatus)/
東風 [こち] /(n) east wind/spring wind/
東風 [こちかぜ] /(n) east wind/spring wind/
東風 [とうふう] /(n) east wind/spring wind/
東風 [ひがしかぜ] /(n) east wind/spring wind/
東壁 [とうへき] /(n) east face (e.g. of a building)/
東宝 [とうほう] /(n) Toho (Japanese film studio)/(P)/
東方 [とうほう] /(n,adj-no) (1) eastern direction/(2) the Orient/(P)/
東方 [ひがしがた] /(n,adj-no) (1) eastern direction/(2) the Orient/
東方拡大 [とうほうかくだい] /(n) eastward expansion/eastward enlargement/
東方帰一教会 [とうほうきいつきょうかい] /(n,adj-no) Uniate (term for Eastern Rite Catholicism) (rus: uniat)/Uniat/
東方教会 [とうほうきょうかい] /(n) The Eastern Church/
東方正教会 [とうほうせいきょうかい] /(n) Eastern Orthodox Church/
東邦 [とうほう] /(n) Oriental country/the Orient/(P)/
東北 [とうほく] /(n) (1) north-east/(2) Tohoku (northernmost six prefectures of Honshu)/(P)/
東北 [ひがしきた] /(n) (1) north-east/
東北関東大震災 [とうほくかんとうだいしんさい] /(n) Tohoku earthquake (March 11, 2011)/Sendai earthquake/
東北人 [とうほくじん] /(n) Northeastener/
東北地方 [とうほくちほう] /(n) Tohoku region (northernmost six prefectures of Honshu)/
東北地方太平洋沖地震 [とうほくちほうたいへいようおきじしん] /(n) Tohoku earthquake (March 11, 2011)/Sendai earthquake/
東北東 [とうほくとう] /(n) east-northeast/ENE/
東北日本 [とうほくにほん] /(n) northeast Japan (northeast of the Itoigawa-Shizuoka Tectonic Line)/
東北弁 [とうほくべん] /(n) Tohoku dialect/
東奔西走 [とうほんせいそう] /(n,vs) busying oneself about (something)/being on the move/bestirring oneself/on the go/taking an active interest/
東毎 [とうまい] /(n) (abbr) name of a newspaper publisher/
東密 [とうみつ] /(n) eastern esotericism/
東名 [とうめい] /(n) Tokyo and Nagoya/
東名高速 [とうめいこうそく] /(n) (abbr) Tokyo-Nagoya Expressway/Tomei Expressway/
東名高速道路 [とうめいこうそくどうろ] /(n) Tokyo-Nagoya Expressway/
東面 [とうめん] /(n,vs) facing the east/east face/east side/the east/
東門 [とうもん] /(n) eastern gate/
東遊 [あずまあそび] /(n) (arch) Azuma-asobi (ancient Japanese dance suite that originated in eastern Japan)/
東遊び [あずまあそび] /(n) (arch) Azuma-asobi (ancient Japanese dance suite that originated in eastern Japan)/
東洋 [とうよう] /(n,adj-no) Orient/(P)/
東洋医学 [とうよういがく] /(n) Oriental medicine/Eastern medicine/
東洋学 [とうようがく] /(n) Orientalism/Oriental Studies/
東洋区 [とうようく] /(n) Oriental (zoogeographical region)/
東洋史 [とうようみ] /(n) Oriental history/
東洋主義 [とうようしゅぎ] /(n) the Orient for the Orientals/
東洋人 [とうようじん] /(n) Asian people/Orientals/
東洋段通 [とうようだんつう] /(n) Oriental rug/
東洋通 [とうようつう] /(n) Orientalist/
東洋風 [とうようふう] /(adj-no) Oriental/
東亞 [とうあ] /(oK) (n) East Asia/the Orient/
東瀛 [とうえい] /(n) (1) the pacific side of Japan/eastern sea/(2) of or about Japan/
桃 [もも] /(n) peach/prunus persica (tree)/(P)/
桃 [モモ] /(n) peach/prunus persica (tree)/
桃の節句 [もものせっく] /(n) dolls festival (March 3rd)/peach festival/
桃園 [ももぞの] /(n) peach orchard/
桃花 [とうか] /(n) (obsc) peach blossom/
桃花鳥 [とき] /(n) (uk) Japanese crested ibis (Nipponia nippon)/crested ibis/
桃割れ [ももわれ] /(n) hairstyle of Meiji and Taisho era, featuring a bun resembling a halved peach/
桃栗三年柿八年 [ももくりさんねんかきはちねん] /(exp) it often takes time to bear the fruit of one's actions/planted peach and chestnut seeds take three years to bear fruit, persimmons take eight/
桃源 [とうげん] /(n) Shangri-La/paradise on earth/
桃源境 [とうげんきょう] /(iK) (n) Arcady/Eden/Shangri-la/
桃源郷 [とうげんきょう] /(n) Arcady/Eden/Shangri-la/
桃紅柳緑 [とうこうりゅうりょく] /(n) beautiful scenery of spring/
桃山時代 [ももやまじだい] /(n) Momoyama period (latter half of the Azuchi-Momoyama period, approx. 1583-1600 CE)/
桃色 [ももいろ] /(n,adj-no) pink (colour, color)/(P)/
桃色遊戯 [ももいろゆうぎ] /(n) sex play/
桃色鸚哥 [ももいろいんこ] /(n) galah (Eolophus roseicapillus)/rose-breasted cockatoo/
桃尻 [ももじり] /(n) (1) somebody who is bad at horse-riding/(2) a fidgety, restless person/
桃李 [とうり] /(n) (1) person of one's recommendation/(2) peach and plum/
桃李物言わざれども下自ずから蹊を成す [とうりものいわざれどもしたおのずからみちをなす] /(exp) (id) Good wine speaks for itself/
桃李物言わざれども下自ら蹊を成す [とうりものいわざれどもしたおのずからみちをなす] /(exp) (id) Good wine speaks for itself/
棟 [とう] /(n) (1) large building/(n-suf,ctr) (2) counter for buildings, apartments, etc./(P)/
棟 [むね] /(n) (1) ridge (of roof)/(2) back of a sword/
棟割長屋 [むねわりながや] /(n) terraced or partitioned housing structure/
棟瓦 [むながわら] /(n) ridge tile/
棟札 [むなふだ] /(n) sign staked to a building's ridgepole at construction time stating the building's donor, builder, date, reason for construction, etc./
棟札 [むねふだ] /(n) sign staked to a building's ridgepole at construction time stating the building's donor, builder, date, reason for construction, etc./
棟上げ [むねあげ] /(n) ridgepole-raising/setting up of the framework of a house/
棟上げ式 [むねあげしき] /(n) framework raising ceremony/
棟木 [むなぎ] /(n) ridgepole/ridge beam/
棟梁 [とうりょう] /(n,adj-t) (1) chief support/pillar (e.g. of nation)/leader/(2) boss/master (craftsman)/(n) (3) beams and ridge supports of a roof (orig. meaning)/
盗っ人 [ぬすっと] /(n) thief/robber/
盗み [ぬすみ] /(n) stealing/(P)/
盗み見 [ぬすみみ] /(n,vs) surreptitious glance/looking furtively/
盗み見る [ぬすみみる] /(v1) to steal a glance/to intercept and read (e.g. other people's email)/
盗み取る [ぬすみとる] /(v5r,vt) to steal/
盗み出す [ぬすみだす] /(v5s) to steal (from a person)/
盗み食い [ぬすみぐい] /(n) sneaking a bite/snitching food/
盗み足 [ぬすみあし] /(n) stealthy steps/
盗み読み [ぬすみよみ] /(n,vs) reading surreptitiously/
盗み聞き [ぬすみぎき] /(n,vs) eavesdropping/tapping/
盗む [ぬすむ] /(v5m,vt) to steal/(P)/
盗る [とる] /(v5r,vt) to take (nuance of stealing)/
盗汗 [とうかん] /(n) perspiration given off during sleep/sweating while sleeping/
盗汗 [ねあせ] /(n) perspiration given off during sleep/sweating while sleeping/
盗掘 [とうくつ] /(n,vs) illegal digging/
盗見 [ぬすみみ] /(io) (n,vs) surreptitious glance/looking furtively/
盗作 [とうさく] /(n,vs) plagiarism/(P)/
盗撮 [とうさつ] /(n,vs) peeping photos/taking peeping films/
盗撮カメラ [とうさつカメラ] /(n) hidden camera (for illegal and immoral purposes)/
盗視 [とうし] /(n,vs) stealthy glance/furtive glance/
盗取 [ぬすみとり] /(n,vs) theft/
盗心 [とうしん] /(n) propensity to steal/
盗人 [とうじん] /(ok) (n) thief/robber/
盗人 [ぬすっと] /(n) thief/robber/
盗人 [ぬすと] /(ok) (n) thief/robber/
盗人 [ぬすびと] /(n) thief/robber/
盗人にも三分の理 [ぬすびとにもさんぶのり] /(exp) (id) Even a thief has his reasons/
盗人を捕らえて見れば我が子也 [ぬすびとをとらえてみればわがこなり] /(exp) (id) The thief caught turn out to be one's own son/
盗人根性 [ぬすっとこんじょう] /(n) thievish nature (character)/thieving heart/cunning and greedy character/
盗人根性 [ぬすびとこんじょう] /(n) thievish nature (character)/thieving heart/cunning and greedy character/
盗人上戸 [ぬすっとじょうご] /(n) (1) person who likes alcohol and sweets equally well/(2) person who can drink much alcohol without becoming tipsy/
盗人上戸 [ぬすびとじょうご] /(n) (1) person who likes alcohol and sweets equally well/(2) person who can drink much alcohol without becoming tipsy/
盗人猛々しい [ぬすっとたけだけしい] /(exp) phrase used to berate someone for arguing back when caught out in wrongdoing/(lit: impudent thief!)/
盗人猛々しい [ぬすびとたけだけしい] /(exp) phrase used to berate someone for arguing back when caught out in wrongdoing/(lit: impudent thief!)/
盗賊 [とうぞく] /(n) thief/robber/(P)/
盗賊鴎 [とうぞくかもめ] /(n) (1) (uk) skua (any bird of family Stercorariidae, inc. the jaegers)/(2) pomarine jaeger/pomarine skua (Stercorarius pomarinus)/
盗聴 [とうちょう] /(n,vs,adj-no) interception (email)/wiretap/bug/(P)/
盗聴器 [とうちょうき] /(n) listening device/bug/wiretap/
盗電 [とうでん] /(n,vs) stealing electricity/
盗難 [とうなん] /(n) theft/robbery/(P)/
盗難車 [とうなんしゃ] /(n) stolen car/
盗難証明書 [とうなんしょうめいしょ] /(n) certificate of theft (for insurance purposes, etc.)/
盗難保険 [とうなんほけん] /(n) insurance against theft/
盗難防止 [とうなんぼうし] /(adj-no) burglar-proof/antitheft/
盗伐 [とうばつ] /(n,vs) secretly felling trees/
盗犯 [とうはん] /(n) burglary/larceny/
盗品 [とうひん] /(n,adj-no) stolen goods/loot/spoils/(P)/
盗品故買 [とうひんこばい] /(n) dealing in stolen goods/
盗癖 [とうへき] /(n) kleptomania/
盗用 [とうよう] /(n,vs) embezzlement/fraudulent use/plagiarism/(P)/
盗塁 [とうるい] /(n,vs) (1) theft/(2) base stealing (baseball)/(P)/
淘汰 [とうた] /(n,vs) (1) selection/weeding out/elimination (e.g. of unneeded employees)/(2) natural selection/
淘汰作用 [とうたさよう] /(n) sifting out/weeding out/selection/sorting/
湯 [ゆ] /(n) (1) hot water/(2) hot bath/hot spring/(3) molten iron/(P)/
湯 [タン] /(n) soup (chi: tang)/
湯あがり [ゆあがり] /(n,adj-no) (1) after a bath/after taking a bath/(n) (2) large towel used after taking a bath/yukata worn after taking a bath/
湯あたり [ゆあたり] /(n,vs) dizziness caused by prolonged hot bath/
湯くみ [ゆくみ] /(n) (1) drawing hot water/person who draws hot water/(2) employee who pours clean hot water used for rinsing in a bathhouse/(3) ladle (esp. used in bath houses)/
湯けむり [ゆけむり] /(n) steam/
湯たんぽ [ゆたんぽ] /(n) hot-water bottle/
湯でる [ゆでる] /(iK) (v1,vt) to boil/
湯のみ [ゆのみ] /(n) teacup/
湯の花 [ゆのはな] /(n) hot-springs mineral deposits (resembling flowers)/
湯の盤銘 [とうのばんめい] /(n) inscription on the bathtub of King Tang ("If you can renovate yourself one day, then you can do so every day, and keep doing so day after day.")/
湯ぶね [ゆぶね] /(n) (1) bathtub/(2) boat with a bathtub rented to customers (Edo period)/
湯めぐり [ゆめぐり] /(n) visiting multiple onsens/
湯をわかす [ゆをわかす] /(exp,v5s) to boil water/to get the bath ready/
湯を沸す [ゆをわかす] /(exp,v5s) to boil water/to get the bath ready/
湯引く [ゆびく] /(v5k,vt) to parboil/to scald/
湯飲み [ゆのみ] /(n) teacup/(P)/
湯液 [とうえき] /(n) decoction (in Chinese medicine)/
湯煙 [ゆけむり] /(n) steam/
湯屋 [ゆや] /(n) public bathhouse/
湯桶 [ゆとう] /(n) pail-like wooden container typically lacquered in Japanese style, used for holding and serving hot liquids/
湯桶読 [ゆとうよみ] /(n) mixed kun-on reading (cf. juubakoyomi)/
湯桶読み [ゆとうよみ] /(n) mixed kun-on reading (cf. juubakoyomi)/
湯加減 [ゆかげん] /(n) water temperature/
湯花 [ゆばな] /(n) hot-springs mineral deposits (resembling flowers)/
湯巻き [ゆまき] /(n) (1) (obsc) women's waistcloth/loincloth/(2) garment worn by nobles when bathing/
湯潅 [ゆかん] /(n,vs) washing a corpse for burial/
湯気 [ゆげ] /(n) steam/vapour/vapor/(P)/
湯汲み [ゆくみ] /(n) (1) drawing hot water/person who draws hot water/(2) employee who pours clean hot water used for rinsing in a bathhouse/(3) ladle (esp. used in bath houses)/
湯玉 [ゆだま] /(n) bubbles in boiling water/
湯具 [ゆぐ] /(n) (1) accessories used for bathing/(2) garment used while bathing/
湯元 [ゆもと] /(n) source of a hot spring/
湯口 [ゆぐち] /(n) hot-water tap/hot spring/
湯垢 [ゆあか] /(n) scale/fur/
湯治 [とうじ] /(n,vs,adj-no) hot-spring cure/taking the baths/(P)/
湯治場 [とうじば] /(n) hot-spring health resort/
湯室 [ゆむろ] /(n) unknown (?)/
湯煮 [ゆに] /(n,vs) boil/
湯舟 [ゆぶね] /(n) (1) bathtub/(2) boat with a bathtub rented to customers (Edo period)/
湯女 [ゆな] /(n) (1) women who assist bathers at hot-springs resorts/(2) (arch) bathhouse prostitute/
湯女風呂 [ゆなぶろ] /(n) bathhouse used for prostitution (Edo period)/
湯上がり [ゆあがり] /(n,adj-no) (1) after a bath/after taking a bath/(n) (2) large towel used after taking a bath/yukata worn after taking a bath/
湯上り [ゆあがり] /(n,adj-no) (1) after a bath/after taking a bath/(n) (2) large towel used after taking a bath/yukata worn after taking a bath/
湯水 [ゆみず] /(n) hot and cold water/abundance/
湯煎 [ゆせん] /(n) warming something by immersion in hot water/
湯船 [ゆぶね] /(n) (1) bathtub/(2) boat with a bathtub rented to customers (Edo period)/
湯銭 [ゆせん] /(n) fee for public bath/
湯掻く [ゆがく] /(v5k,vt) to parboil/to scald/
湯槽 [ゆぶね] /(n) (1) bathtub/(2) boat with a bathtub rented to customers (Edo period)/
湯中り [ゆあたり] /(n,vs) dizziness caused by prolonged hot bath/
湯通し [ゆどおし] /(n,vs) moisten with steam/
湯殿 [ゆどの] /(n) (1) bathroom/(2) (arch) bathing/(3) (arch) bathing attendant (for a noble)/
湯湯婆 [ゆたんぽ] /(n) hot-water bottle/
湯豆腐 [ゆどうふ] /(n) boiled tofu/
湯呑み [ゆのみ] /(n) teacup/
湯波 [ゆば] /(n) tofu skin/dried beancurd/delicacy made from the skin of gently boiled soybean milk/
湯番 [ゆばん] /(n) person at a public bath in charge of heating the water and filling the baths/
湯疲れ [ゆづかれ] /(n,vs) weariness caused by prolonged hot bath/
湯沸かし [ゆわかし] /(n) teakettle/kettle/
湯沸かし器 [ゆわかしき] /(n) water-heater/water-boiler/(P)/
湯沸し [ゆわかし] /(n) teakettle/kettle/
湯文字 [いもじ] /(n) (1) woman's loincloth (worn as a kimono underskirt)/(2) single-layer absorbent bathrobe (worn during or after a bath)/
湯文字 [ゆもじ] /(n) (1) woman's loincloth (worn as a kimono underskirt)/(2) single-layer absorbent bathrobe (worn during or after a bath)/
湯麺 [タンメン] /(n) (uk) noodle soup (chi: tang mian)/
湯葉 [ゆば] /(n) tofu skin/dried beancurd/delicacy made from the skin of gently boiled soybean milk/
湯浴み [ゆあみ] /(n,vs) (taking a) bath/hot spring cure/
湯立 [ゆだち] /(io) (n) Shinto ritual in which a shaman or priest soaks bamboo grass in boiling water and sprinkles the water on worshippers (originally a form of divination, later a purification ceremony, now primarily used to pray for good health)/
湯立 [ゆだて] /(io) (n) Shinto ritual in which a shaman or priest soaks bamboo grass in boiling water and sprinkles the water on worshippers (originally a form of divination, later a purification ceremony, now primarily used to pray for good health)/
湯立ち [ゆだち] /(n) Shinto ritual in which a shaman or priest soaks bamboo grass in boiling water and sprinkles the water on worshippers (originally a form of divination, later a purification ceremony, now primarily used to pray for good health)/
湯立て [ゆだて] /(n) Shinto ritual in which a shaman or priest soaks bamboo grass in boiling water and sprinkles the water on worshippers (originally a form of divination, later a purification ceremony, now primarily used to pray for good health)/
湯冷まし [ゆざまし] /(n) boiled water which has cooled/
湯冷め [ゆざめ] /(n,vs) feeling chilly after taking a bath/
湯帷子 [ゆかたびら] /(n) (arch) single-layer absorbent bathrobe (worn during or after a bath)/
湯灌 [ゆかん] /(n,vs) washing a corpse for burial/
湯熨 [ゆのし] /(n,vs) steam ironing/
湯熨斗 [ゆのし] /(n,vs) steam ironing/
灯 [あかし] /(n) light (esp. as a religious offering)/lamp/
灯 [あかり] /(n) (1) lamp/light/
灯 [とう] /(n) (1) light/lamp/(suf,ctr) (2) counter for electric lights/
灯 [とぼし] /(n) (arch) light/lamp/
灯 [ともし] /(n) (1) light/lamp/(2) baiting deer with a lighted torch/
灯 [ともしび] /(n) light/lamp/torch/
灯 [ひ] /(n) light/lamp/torch/(P)/
灯かり [あかり] /(n) (1) lamp/light/
灯し [あかし] /(n) light (esp. as a religious offering)/lamp/
灯し火 [ともしび] /(io) (n) light/lamp/torch/
灯す [さす] /(v5s,vt) to light (a fire)/to apply moxa cautery/
灯す [ともす] /(v5s,vt) to light/to turn on/(P)/
灯り [あかり] /(n) (1) lamp/light/(P)/
灯りを消す [あかりをけす] /(exp,v5s) to turn the lights off/
灯る [ともる] /(v5r,vi) to burn/to be lighted/to be lit/
灯ろう [とうろう] /(n) garden lantern/hanging lantern/
灯をつける [ひをつける] /(exp,v1) to turn on the light/
灯を点ける [ひをつける] /(exp,v1) to turn on the light/
灯を付ける [ひをつける] /(exp,v1) to turn on the light/
灯影 [とうえい] /(n) flicker of light/
灯影 [ほかげ] /(n) firelight/shadows or forms moving in firelight/
灯下 [とうか] /(n) by the lamp/
灯火 [あかり] /(iK) (n) (1) lamp/light/
灯火 [とうか] /(n) light/lamp/torch/(P)/
灯火 [ともしび] /(n) light/lamp/torch/
灯火管制 [とうかかんせい] /(n) blackout (to prevent being seen by enemy aircraft during a nighttime air raid)/
灯蛾 [ひとりが] /(n) (uk) garden tiger moth (Arctia caja)/
灯光 [とうこう] /(n) lamplight/
灯心 [とうしん] /(n) (lamp) wick/
灯芯 [とうしん] /(n) (lamp) wick/
灯体 [とうたい] /(n) theatrical light/instrument (US theatre light)/lantern (UK theatre light)/stage light/
灯台 [とうだい] /(n) (1) lighthouse/(2) old-fashioned interior light fixture comprising a wooden pole with an oil-filled dish and a wick atop it/(P)/
灯台もと暗し [とうだいもとくらし] /(exp) can't see the forest for the trees/
灯台下暗し [とうだいもとくらし] /(exp) can't see the forest for the trees/
灯台守 [とうだいもり] /(n) lighthouse keeper/
灯台草 [とうだいくさ] /(n) wartweed (Euphorbia helioscopia)/sun splurge/
灯台草科 [とうだいぐさか] /(n) Euphorbiaceae (plant family)/
灯点し頃 [ひともしごろ] /(n) early evening/dusk/lamp-lighting time/lighting-up time/
灯明 [とうみょう] /(n) light offered to a god or Buddha/votive light/
灯油 [とうゆ] /(n) lamp oil/kerosene/(P)/
灯涼し [ひすずし] /(exp) coolness of distant twinkling lights (on a summer night)/
灯篭 [とうろう] /(n) garden lantern/hanging lantern/
灯籠 [とうろう] /(n) garden lantern/hanging lantern/
灯籠流し [とうろうながし] /(n) ceremony in which paper lanterns are floated down a river/
燈 [とう] /(oK) (n) (1) light/lamp/(suf,ctr) (2) counter for electric lights/
燈す [ともす] /(v5s,vt) to light/to turn on/
燈ともし頃 [ひともしごろ] /(n) early evening/dusk/lamp-lighting time/lighting-up time/
燈火 [とうか] /(n) light/lamp/torch/
燈火 [ともしび] /(n) light/lamp/torch/
燈心 [とうしん] /(oK) (n) (lamp) wick/
燈芯 [とうしん] /(oK) (n) (lamp) wick/
燈台 [とうだい] /(oK) (n) (1) lighthouse/(2) old-fashioned interior light fixture comprising a wooden pole with an oil-filled dish and a wick atop it/
燈台草科 [とうだいぐさか] /(n) Euphorbiaceae (plant family)/
燈明 [とうみょう] /(n) light offered to a god or Buddha/votive light/
燈涼し [ひすずし] /(oK) (exp) coolness of distant twinkling lights (on a summer night)/
燈籠 [とうろう] /(n) garden lantern/hanging lantern/
燈籠鬢 [とうろうびん] /(n) Edo period hair style with inflated hair at the sides/lantern sideburns/
当 [とう] /(pref) this (business organisation or place)/
当せん者 [とうせんしゃ] /(n) prizewinner/
当たらずといえども遠からず [あたらずといえどもとおからず] /(exp) not exactly correct, but pretty close to it/not far off the mark/
当たらずとも遠からず [あたらずともとおからず] /(exp) near the mark/pretty close/not a bad guess/
当たらず障らず [あたらずさわらず] /(exp) avoiding to commit oneself/(being) noncommittal/
当たり [あたり] /(n) (1) hit/(2) success/(3) guess/prediction/(4) affability/friendliness/(5) sensation/touch/(6) bruise (on fruit)/(7) situation in which a stone or chain of stones may be captured on the next move (in the game of go)/(8) bite (of a fish on a hook)/strike/(suf) (9) per/each/(P)/
当たりさわり [あたりさわり] /(n) obstacle/
当たりさわりのない [あたりさわりのない] /(exp,adj-i) harmless and inoffensive/
当たりめ [あたりめ] /(n) (uk) dried squid/dried cuttlefish/
当たりをつける [あたりをつける] /(exp,v1) to guess/to estimate/
当たりを取る [あたりをとる] /(exp,v5r) to make a hit/to have a great success (e.g. in business, with a play, etc.)/
当たりを付ける [あたりをつける] /(exp,v1) to guess/to estimate/
当たり屋 [あたりや] /(n) (1) lucky person/someone who made a lot of money (e.g. gambling or on the stock market)/(2) skilled batter/batter on a hot streak (baseball)/(3) accident faker/someone who jumps in front of cars on purpose to extort money/(4) barbershop/
当たり外れ [あたりはずれ] /(n) hit or miss/risk/
当たり狂言 [あたりきょうげん] /(n) a hit play/
当たり芸 [あたりげい] /(n) successful performance/
当たり散らす [あたりちらす] /(v5s,vi) to find fault with everybody/to make oneself disagreeable/
当たり障らず [あたりさわらず] /(exp) avoiding committing oneself/noncommittal/
当たり障り [あたりさわり] /(n) obstacle/
当たり障りのない [あたりさわりのない] /(exp,adj-i) harmless and inoffensive/
当たり障りの無い [あたりさわりのない] /(exp,adj-i) harmless and inoffensive/
当たり前 [あたりまえ] /(adj-na,n,adj-no) (1) natural/reasonable/obvious/(2) usual/common/ordinary/(P)/
当たり年 [あたりどし] /(n) good or lucky year/
当たり鉢 [あたりばち] /(n) (earthenware) mortar (for grinding)/
当たり判定 [あたりはんてい] /(n) (comp) collision detection/CD/
当たり役 [あたりやく] /(n) successful role/(P)/
当たり籤 [あたりくじ] /(n) winning ticket/lucky number/
当たる [あたる] /(v5r,vi) (1) to be hit/to strike/(2) to touch/to be in contact/to be affixed/(3) to be equivalent to/to be applicable/to apply to/(4) to be right on the money (of a prediction, criticism, etc.)/(5) to be selected (in a lottery, etc.)/to win/(6) to be successful/to go well/to be a hit/(7) to face/to confront/(8) to lie (in the direction of)/(9) to undertake/to be assigned/(10) to be stricken (by food poisoning, heat, etc.)/to be afflicted/(11) to be called upon (by the teacher)/(12) to treat (esp. harshly)/to lash out at/(13) to be unnecessary/(14) (in baseball) to be hitting well/to be on a hitting streak/(15) (in fishing) to feel a bite/(16) (of fruit, etc.) to be bruised/to spoil/(v5r,vt) (17) to feel (something) out/to probe into/to check (i.e. by comparison)/(18) to shave/(P)/
当って [あって] /(n) object/aim/end/hopes/expectations/
当て [あて] /(n) object/aim/end/hopes/expectations/(P)/
当てがはずれる [あてがはずれる] /(exp,v1) to be contrary to one's expectations/
当てが外れる [あてがはずれる] /(exp,v1) to be contrary to one's expectations/
当てこすり [あてこすり] /(n) snide remark/insinuation/
当てずっぽう [あてずっぽう] /(n) conjecture/guesswork/at random/
当てっこ [あてっこ] /(n,vs) guessing/
当てつけ [あてつけ] /(n) insinuation/innuendo/spiteful remark/
当てつける [あてつける] /(v1,vt) to insinuate/
当てにする [あてにする] /(exp,vs-i) to count on/to expect someone to (provide help, etc.)/
当てにならない [あてにならない] /(exp) not be relied upon/not to be counted on/
当てのない [あてのない] /(adj-i) aimless/
当てはまる [あてはまる] /(v5r) to apply (a rule)/to be applicable/to come under (a category)/to fulfill/(P)/
当てはめる [あてはめる] /(v1,vt) to apply/to adapt/(P)/
当てもない [あてもない] /(adj-i) random/aimless/
当てもなく [あてもなく] /(adv) at random/aimlessly/
当ても無い [あてもない] /(adj-i) random/aimless/
当ても無く [あてもなく] /(adv) at random/aimlessly/
当てられる [あてられる] /(v1) (1) to be affected by (e.g. heat)/to suffer from/(2) to be embarrassed/to be annoyed/
当てる [あてる] /(v1,vt) (1) to hit/(2) to expose/(3) to apply (e.g. patch)/(4) to allot/to call on someone (e.g. in class)/(5) to guess (an answer)/(6) to make a hit (e.g. in a lottery)/(P)/
当て外れ [あてはずれ] /(n,adj-na) disappointment/
当て込む [あてこむ] /(v5m,vt) to count on/
当て擦り [あてこすり] /(n) snide remark/insinuation/
当て擦る [あてこする] /(v5r,vi) to insinuate/to satirize/to satirise/to take a dig at/
当て事 [あてごと] /(n) hopes/expectations/guessing/
当て字 [あてじ] /(n) kanji used as a phonetic symbol, instead of for the meaning/phonetic-equivalent character/substitute character/
当て所 [あてど] /(n) aim/goal/
当て身 [あてみ] /(n) strike/blow/
当て推量 [あてずいりょう] /(n) conjecture/guesswork/at random/
当て逃げ [あてにげ] /(n,vs) hit-and-run accident causing property damage/
当て馬 [あてうま] /(n) stallion brought close to a mare to test her readiness to mate/stalking horse/spoiler/
当て付け [あてつけ] /(n) insinuation/innuendo/spiteful remark/
当て付けがましい [あてつけがましい] /(adj-i) insinuating/snide/
当て付ける [あてつける] /(v1,vt) to insinuate/
当て物 [あてもの] /(n) guessing/covering/
当て嵌まる [あてはまる] /(v5r) to apply (a rule)/to be applicable/to come under (a category)/to fulfill/
当て嵌める [あてはめる] /(v1,vt) to apply/to adapt/
当に [まさに] /(adv) (1) (uk) exactly/surely/certainly/(2) just (about to)/on the verge (of doing or happening)/(3) duly/naturally/
当の [とうの] /(adj-pn) the ... in question/(P)/
当の昔 [とうのむかし] /(iK) (exp,n-t) a long time ago/
当の本人 [とうのほんにん] /(n) the person himself/
当り [あたり] /(n) (1) hit/(2) success/(3) guess/prediction/(4) affability/friendliness/(5) sensation/touch/(6) bruise (on fruit)/(7) situation in which a stone or chain of stones may be captured on the next move (in the game of go)/(8) bite (of a fish on a hook)/strike/(suf) (9) per/each/(P)/
当りさわり [あたりさわり] /(n) obstacle/
当りまえ [あたりまえ] /(adj-na,n,adj-no) (1) natural/reasonable/obvious/(2) usual/common/ordinary/
当りめ [あたりめ] /(n) (uk) dried squid/dried cuttlefish/
当りをつける [あたりをつける] /(exp,v1) to guess/to estimate/
当りを付ける [あたりをつける] /(exp,v1) to guess/to estimate/
当り屋 [あたりや] /(n) (1) lucky person/someone who made a lot of money (e.g. gambling or on the stock market)/(2) skilled batter/batter on a hot streak (baseball)/(3) accident faker/someone who jumps in front of cars on purpose to extort money/(4) barbershop/
当り障り [あたりさわり] /(n) obstacle/
当り障りのない [あたりさわりのない] /(exp,adj-i) harmless and inoffensive/
当り障りの無い [あたりさわりのない] /(exp,adj-i) harmless and inoffensive/
当り前 [あたりまえ] /(adj-na,n,adj-no) (1) natural/reasonable/obvious/(2) usual/common/ordinary/(P)/
当り鉢 [あたりばち] /(n) (earthenware) mortar (for grinding)/
当る [あたる] /(v5r,vi) (1) to be hit/to strike/(2) to touch/to be in contact/to be affixed/(3) to be equivalent to/to be applicable/to apply to/(4) to be right on the money (of a prediction, criticism, etc.)/(5) to be selected (in a lottery, etc.)/to win/(6) to be successful/to go well/to be a hit/(7) to face/to confront/(8) to lie (in the direction of)/(9) to undertake/to be assigned/(10) to be stricken (by food poisoning, heat, etc.)/to be afflicted/(11) to be called upon (by the teacher)/(12) to treat (esp. harshly)/to lash out at/(13) to be unnecessary/(14) (in baseball) to be hitting well/to be on a hitting streak/(15) (in fishing) to feel a bite/(16) (of fruit, etc.) to be bruised/to spoil/(v5r,vt) (17) to feel (something) out/to probe into/to check (i.e. by comparison)/(18) to shave/
当を得る [とうをうる] /(exp) to be in order/to be right/
当を得る [とうをえる] /(exp) to be in order/to be right/
当意即妙 [とういそくみょう] /(adj-na,n,adj-no) ready wit/
当為 [とうい] /(n) needing to be done/requiring a response/
当院 [とういん] /(n) this institution/this parliament/this hospital/this clinic/
当営業所 [とうえいぎょうしょ] /(n) our (the present) business office/
当駅 [とうえき] /(n) this (railway) station/
当家 [とうけ] /(n) (1) this family/we/(2) this house/
当会 [とうかい] /(n) present society/this company/the organization/the organisation/
当該 [とうがい] /(adj-no,n) appropriate (authorities)/concern/applicability/correlation/
当該官庁 [とうがいかんちょう] /(n) proper authorities/authorities concerned/
当該人物 [とうがいじんぶつ] /(n) the appropriate person/competent person/
当確 [とうかく] /(n) (abbr) projected to win/sure to be elected/home free/(P)/
当期 [とうき] /(n-adv,n-t) current term (period)/(P)/
当期純利益 [とうきじゅんりえき] /(n) current net income/net income for the year/current net earnings/current net profit/current term net income/current term net profit/net profit for the year/
当期利益 [とうきりえき] /(n) net income/
当機 [とうき] /(n) this plane/
当帰 [とうき] /(n) (1) (uk) dong dang gui (aromatic herb similar to dong quai, Angelica acutiloba)/(2) (obsc) dong quai (aromatic herb used to treat various gynecological symptoms, Angelica sinensis)/
当業者 [とうぎょうしゃ] /(n) person skilled (in the art of doing something)/
当局 [とうきょく] /(n,adj-no) (1) authorities/(2) this office/(P)/
当局者 [とうきょくしゃ] /(n) authority (person)/
当金 [とうきん] /(n) cash/cash payment/payment on the spot/
当銀 [とうぎん] /(n) cash/cash payment/payment on the spot/
当月 [とうげつ] /(n-adv,n-t) this month/
当限 [とうぎり] /(n) current month delivery/
当校 [とうこう] /(n) this school/the school in question/
当行 [とうこう] /(n) our bank/
当今 [とうこん] /(n-adv,n-t) nowadays/these days/at present/
当座 [とうざ] /(n,adj-no) (1) for the time being/for the present/temporarily/for a time/(2) immediate/present/current/(3) for some time (after)/(4) current account/
当座資産 [とうざしさん] /(n) liquid assets/
当座帳 [とうざちょう] /(n) current journal (accounting)/
当座逃れ [とざのがれ] /(n) temporary expedient/
当座預金 [とうざよきん] /(n) (1) current account/transactional account/(2) checking account/cheque account/demand account/
当座預金口座 [とうざよきんこうざ] /(n) checking account/cheque account/
当座凌ぎ [とうざしのぎ] /(n) makeshift/for the time being/
当歳 [とうさい] /(n-adv,n-t) year of birth/this year/
当歳駒 [とうさいごま] /(n) yearling/one-year-old colt/
当歳馬 [とうさいば] /(n) yearling/
当事 [とうじ] /(n) matter under concern/(P)/
当事国 [とうじこく] /(n) countries concerned (involved)/
当事者 [とうじしゃ] /(n) person concerned/interested party/related party/(P)/
当事者能力 [とうじしゃのうりょく] /(n) admissibility of a party (to a suit)/
当事務所 [とうじむしょ] /(n) this office/
当字 [あてじ] /(n) kanji used as a phonetic symbol, instead of for the meaning/phonetic-equivalent character/substitute character/
当時 [とうじ] /(n-adv,n-t) at that time/in those days/(P)/
当社 [とうしゃ] /(n) (this) shrine/(this) firm/(P)/
当社比 [とうしゃひ] /(n) (1) compared to our company's products (a phrase often used in advertising when comparing old and new products)/in this company's comparison/(2) (col) as I see it/by my estimate/
当主 [とうしゅ] /(n) (present) head of a family/
当初 [とうしょ] /(n-adv,n-t) at first/(P)/
当初予算 [とうしょよさん] /(n) initial budget/original budget/
当所 [とうしょ] /(n) this place/this office/
当職 [とうしょく] /(n) this duty or job/
当人 [とうにん] /(n,adj-no) the one concerned/the said person/(P)/
当世 [とうせい] /(n-adv,n-t) present-day/nowadays/
当世気質 [とうせいかたぎ] /(n) the way of the world in our time/the frame of mind of the people nowadays/
当世向き [とうせいむき] /(n) trendy/
当世風 [とうせいふう] /(n,adj-no) latest (fashion, hairstyle, etc.)/up-to-date/
当世風に言うと [とうせいふうにいうと] /(exp) as we would say nowadays/
当世流 [とうせいりゅう] /(adj-na,n) modern/contemporary/
当接 [とうせつ] /(n,vs) coming into contact/abutting/
当節 [とうせつ] /(n-adv,n-t,adj-no) nowadays/these days/
当選 [とうせん] /(n,vs) (1) being elected/(2) being selected (to win a prize, etc.)/(3) winning (in a lottery, raffle, etc.)/(P)/
当選確実 [とうせんかくじつ] /(n) projected to win/sure to be elected/home free/
当選基数 [とうせんきすう] /(n) electoral quota (e.g. in a proportional representation system)/
当選券 [とうせんけん] /(n) winning ticket (in a lottery, etc.)/
当選圏内 [とうせんけんない] /(n) (having a) good chance of being elected (winning) (in an election)/
当選者 [とうせんしゃ] /(n) successful candidate/
当選当確 [とうせんとうかく] /(n) candidates (in an election) who have won or are projected to be elected/
当然 [とうぜん] /(adj-na,adj-no) natural/as a matter of course/(P)/
当然視する [とうぜんしする] /(vs-i) to consider to be inevitable/to consider to be reasonable/
当代 [とうだい] /(n-adv,n-t,adj-no) the present age/these days/(present) head of the family/
当代随一 [とうだいずいいち] /(n,adj-no) the greatest of the day/
当代第一 [とうだいだいいち] /(n,adj-no) the greatest of the day/
当代無双 [とうだいむそう] /(n,adj-no) being unsurpassed (unparalleled) at present/
当代無比 [どうだいむひ] /(n,adj-na,adj-no) being unsurpassed (unparalleled) at present/
当地 [とうち] /(n) this place (locality)/here/(P)/
当直 [とうちょく] /(n,vs,adj-no) on duty/on a shift/keeping watch/(P)/
当直員 [とうちょくいん] /(n) person on duty/
当店 [とうてん] /(n) this store/
当日 [とうじつ] /(n-adv,n-t) appointed day/very day/(P)/
当日券 [とうじつけん] /(n) same-day ticket/
当年 [とうねん] /(n-adv,n-t) the present year/at that time/
当板 [あていた] /(n) laths of wood (trucking)/
当番 [とうばん] /(n,adj-no) being on duty/(P)/
当番日 [とうばんび] /(n) duty day/
当番兵 [とうばんへい] /(n) batman (mil)/officer's orderly/
当否 [とうひ] /(n) propriety/right or wrong/justice/
当付 [あてつけ] /(io) (n) insinuation/innuendo/spiteful remark/
当付がましい [あてつけがましい] /(io) (adj-i) insinuating/snide/
当付けがましい [あてつけがましい] /(io) (adj-i) insinuating/snide/
当分 [とうぶん] /(adv,n-t) for the present/currently/presently/at this time/for the next while/(P)/
当分の間 [とうぶんのあいだ] /(exp) for the present/for the time being/
当分の間 [とうぶんのかん] /(exp) for the present/for the time being/
当方 [とうほう] /(n) us/me/my (our) part/(P)/
当方負担 [とうほうふたん] /(n) (at) our expense/(on) our risk/
当面 [とうめん] /(adj-no,n-t) (1) current/urgent/pressing/impending/(vs) (2) to confront (an issue)/to face (up to something)/(adv) (3) for the meantime/at present/(P)/
当夜 [とうや] /(n-adv,n-t) that night/tonight/
当薬 [とうやく] /(n) dried Swertia japonica (used as a traditional medicine)/
当用 [とうよう] /(n) daily use/
当用漢字 [とうようかんじ] /(n) daily-use kanji (superseded in 1981)/
当用買い [とうようがい] /(n) spot purchase/
当来 [とうらい] /(n) (Buddh) afterlife/the hereafter/
当落 [とうらく] /(n) election results/(P)/
当量 [とうりょう] /(n,adj-no) equivalent/
当路 [とうろ] /(n) the authorities/
当惑 [とうわく] /(n,vs) bewilderment/perplexity/embarrassment/confusion/(P)/
当惑気味 [とうわくぎみ] /(n,adj-na,adj-no) being somewhat puzzled/looking somewhat baffled/
当籤 [とうせん] /(n,vs) winning (in a lottery, raffle, etc.)/
当籤券 [とうせんけん] /(n) winning ticket (in a lottery, etc.)/
当籤者 [とうせんしゃ] /(n) prizewinner/
痘 [いも] /(n) (1) (col) (abbr) smallpox/variola/(2) pockmark/pock/
痘痕 [あばた] /(n,adj-no) (uk) pockmark/
痘痕 [いも] /(n) (1) (col) (abbr) smallpox/variola/(2) pockmark/pock/
痘痕 [とうこん] /(n,adj-no) (uk) pockmark/
痘痕もえくぼ [あばたもえくぼ] /(exp) (uk) love is blind/lit: (when in love) even pockmarks are dimples/
痘痕も靨 [あばたもえくぼ] /(exp) (uk) love is blind/lit: (when in love) even pockmarks are dimples/
痘痕面 [あばたずら] /(n) pockmarked face/
痘痕面 [あばたづら] /(n) pockmarked face/
痘苗 [とうびょう] /(n,adj-no) vaccine/
痘瘡 [おやく] /(ok) (n,adj-no) smallpox/variola/
痘瘡 [とうそう] /(n,adj-no) smallpox/variola/
痘瘡 [もがさ] /(ok) (n,adj-no) smallpox/variola/
祷り [いのり] /(n) prayer/supplication/
祷る [いのる] /(v5r,vt) to pray/to wish/
等 [とう] /(n,n-suf,ctr) (1) class/order/rank/(suf) (2) et cetera (etc.)/and the like/(pref) (3) equal/
等 [など] /(n,n-suf,prt) (1) (uk) et cetera/etc./and the like/and so forth/(2) (indicating an approximate quote or vague suggestion) or something/(3) (lessening the significance or value of the previous word) the likes of/(P)/
等 [ら] /(suf) (1) pluralizing suffix (often humble, derogatory or familiar)/and others/et alios/and the like/and followers/(2) or so (rough indicator of direction, location, amount, etc.)/(3) (after the stem of an adjective) nominalizing suffix/
等々 [とうとう] /(n-adv) and so on/at last/finally/after all/(P)/
等々 [などなど] /(exp) etcetera, etcetera/
等しい [ひとしい] /(adj-i) equal/similar/like/equivalent/(P)/
等しく [ひとしく] /(adv) equally/evenly/
等を分ける [とうをわける] /(exp,v1) to grade/to classify/
等パラメタ曲線 [とうパラメタきょくせん] /(n) (comp) isoparametric curve/
等ポテンシャル面 [とうポテンシャルめん] /(n) equipotential surface/
等圧式 [とうあつしき] /(n) isobar/
等圧線 [とうあつせん] /(n) isobar/
等位 [とうい] /(n,adj-no) rank/grade/same rank/
等位構造 [とういこうぞう] /(n) coordinate structure/
等位接続詞 [とういせつぞくし] /(n) (ling) coordinating conjunction/
等黄卵 [とうおうらん] /(n) homolecithal egg (egg having a yolk that is evenly distributed throughout)/
等温 [とうおん] /(n,adj-no) isothermal/
等温式 [とうおんしき] /(n) isotherm/
等温線 [とうおんせん] /(n) isotherm/
等化 [とうか] /(n) (comp) equalization/
等化器 [とうかき] /(n) (comp) equalizer (audio too)/
等価 [とうか] /(adj-na,n,adj-no) equivalence/(P)/
等価演算 [とうかえんざん] /(n) (comp) equivalence operation/IF-AND-ONLY-IF operation/IFF/
等価語 [とうかご] /(n) (comp) equivalent term/
等価交換 [とうかこうかん] /(n) fair exchange/equivalent exchange/exchange of equal value/
等価参照列 [とうかさんしょうれつ] /(n) (comp) equivalent reference string/
等価素子 [とうかそし] /(n) (comp) IF-AND-ONLY-IF gate/IF-AND-ONLY-IF element/
等外 [とうがい] /(n,adj-no) also-ran/non-winner/
等角 [とうかく] /(n,adj-no) equal angles/
等角速度 [とうかくそくど] /(n) (comp) Constant Angular Velocity/
等割 [とうかつ] /(n) equal cleavage/
等閑 [とうかん] /(adj-na,n,vs) neglect/negligence/disregard/make light of/
等閑 [なおざり] /(adj-na,n,vs) neglect/negligence/disregard/make light of/(P)/
等脚類 [とうきゃくるい] /(n) isopods/
等級 [とうきゅう] /(n) (1) grade/class/(2) (astronomical) magnitude/(P)/
等距離 [とうきょり] /(n) equidistant/
等呼 [とうこ] /(n) denghu (phonetic method of classifying Chinese finals)/
等語線 [とうごせん] /(n) (in linguistics) an isogloss/
等高線 [とうこうせん] /(n) contour (line)/
等高線グラフ [とうこうせんグラフ] /(n) (comp) contour graph/
等高線図 [とうこうせんず] /(n) (comp) contour map/
等高線地図 [とうこうせんちず] /(n) topographic map/
等号 [とうごう] /(n) equal sign/
等差 [とうさ] /(n) (equal) difference/
等差級数 [とうさきゅうすう] /(n) arithmetic series/
等差数列 [とうさすうれつ] /(n) arithmetic progression/
等時 [とうじ] /(n,adj-no) (comp) isochronous/
等時性 [とうじせい] /(n) (comp) isochronous/
等時性通信 [とうじせいつうしん] /(n) (comp) isochronous communication/
等時性伝送 [とうじせいでんそう] /(n) (comp) isochronous transmission/
等式 [とうしき] /(n) (math) equality/
等質 [とうしつ] /(adj-na,n,adj-no) same nature or quality/homogeneous/
等色 [とうしょく] /(adj-no) isochromatic/
等深線 [とうしんせん] /(n) isobath/
等親 [とうしん] /(n) degree of kinship/
等身 [とうしん] /(n,adj-no) body proportions/(P)/
等身大 [とうしんだい] /(n) life-size(d)/
等速 [とうそく] /(n) uniform velocity/
等値 [とうち] /(n,adj-no) equal value/equivalence/
等値線 [とうちせん] /(n) isopleth/
等値面 [とうちめん] /(n) isosurface/
等張 [とうちょう] /(n,adj-no) isotonic/
等等 [とうとう] /(n-adv) and so on/at last/finally/after all/
等等 [などなど] /(exp) etcetera, etcetera/
等比 [とうひ] /(n) equal ratio/
等比級数 [とうひきゅうすう] /(n) geometric series/
等比数列 [とうひすうれつ] /(n) geometric progression/
等幅 [とうはば] /(adj-no,n) fixed-width (e.g. font)/
等幅フォント [とうはばフォント] /(n) fixed-width font/typewriter font/
等分 [とうぶん] /(n,vs) division into equal parts/(P)/
等辺 [とうへん] /(n) equal sides/
等辺三角形 [とうへんさんかくけい] /(n) isosceles triangle/
等辺三角形 [とうへんさんかっけい] /(n) isosceles triangle/
等方 [とうほう] /(n,adj-no) isotropic/
等方写像 [とうほうしゃぞう] /(n) (comp) isotropic mapping/
等方的 [とうほうてき] /(adj-na) isotropic/
等量 [とうりょう] /(n,adj-no) equal amount/
答 [こたえ] /(n) response/reply/answer/solution/(P)/
答え [こたえ] /(n) response/reply/answer/solution/(P)/
答える [こたえる] /(v1,vi) to answer/to reply/(P)/
答えを渋る [こたえをしぶる] /(exp,v5r) to be reluctant to answer/to hesitate to answer/
答え難い質問 [こたえにくいしつもん] /(n) awkward (difficult) question/
答案 [とうあん] /(n) examination paper/examination script/(P)/
答案用紙 [とうあんようし] /(n) answer sheet/blank answer paper/examination paper/test paper/
答辞 [とうじ] /(n) formal reply/
答唱詩編 [とうしょうしへん] /(n) responsorial psalm/
答申 [とうしん] /(n,vs) report/reply/findings/(P)/
答申書 [とうしんしょ] /(n) a report (of one's findings)/
答弁 [とうべん] /(n,vs) response/reply/answer/defence/defense/(P)/
答弁者 [とうべんしゃ] /(n) respondent/
答弁書 [とうべんしょ] /(n) written response/reply/
答礼 [とうれい] /(n,vs) return call or visit/return salute/
筒 [つつ] /(n) (1) pipe/tube/cylinder/(2) gun barrel/(3) gun/(P)/
筒井 [つつい] /(n) round well/(P)/
筒井筒 [つついづつ] /(n) well curb of a round well/
筒音 [つつおと] /(n) the sound of gunfire/
筒丸 [どうまる] /(n) medieval armour lacking a solid breastplate and sleeves/
筒形 [つつがた] /(n) tube-shaped/cylindrical/
筒子 [トンズ] /(n) dot tiles (in mahjong)/circle tiles/
筒子 [ピンズ] /(n) dot tiles (in mahjong)/circle tiles/
筒状 [とうじょう] /(n) cylindrical/
筒切り [つつぎり] /(n) round slices/
筒先 [つつさき] /(n) nozzle/muzzle/gunpoint/
筒袖 [つつそで] /(n) tight sleeve (of a kimono or dress)/
筒鳥 [つつどり] /(n) (uk) Oriental cuckoo (Cuculus saturatus)/
筒抜け [つつぬけ] /(n) passing or going directly through (to)/
糖 [とう] /(n,n-suf) sugar/(P)/
糖アルコール [とうアルコール] /(n) sugar alcohol/
糖タンパク質 [とうタンパクしつ] /(n) glycoprotein/glycopeptide/
糖衣 [とうい] /(n,adj-no) sugar coating/
糖衣錠 [とういじょう] /(n) sugar-coated pill/
糖化 [とうか] /(n,vs) conversion to sugar/saccharification/
糖菓 [とうか] /(n,adj-no) sweets/sweetmeats/confectionary/candy/
糖脂質 [とうししつ] /(n) glycolipid/
糖質 [とうしつ] /(n) sugariness/saccharinity/(P)/
糖蛋白質 [とうたんぱくしつ] /(n) glycoprotein/glycopeptide/
糖度 [とうど] /(n) sugar content/
糖尿病 [とうにょうびょう] /(n) diabetes mellitus/sugar diabetes/(P)/
糖尿病網膜症 [とうにょうびょうもうまくしょう] /(n) diabetic retinopathy/retinopathia diabetica/
糖分 [とうぶん] /(n) amount of sugar/sugar content/(P)/
糖蜜 [とうみつ] /(n,adj-no) molasses/
糖類 [とうるい] /(n) saccharides/sweeteners/
統べる [すべる] /(v1,vt) to control/to supervise/
統べ合わせる [すべあわせる] /(v1) to bring together/to unite/
統一 [とういつ] /(n,vs) unity/consolidation/uniformity/unification/compatible/(P)/
統一スタンダード [とういつスタンダード] /(n) (comp) unified standard/
統一化 [とういつか] /(n) (comp) unification/
統一科学 [とういつかがく] /(n) unified science/
統一感 [とういつかん] /(n) sense of unity/sense of oneness/(P)/
統一教会 [とういつきょうかい] /(n) Unification Church (religious movement started by Reverend Sun Myung Moon)/
統一見解 [とういつけんかい] /(n) collective view (opinion)/
統一公判 [とういつこうはん] /(n) joint trial/
統一行動 [とういつこうどう] /(n) joint action/acting in unison/
統一場理論 [とういつばりろん] /(n) unified field theory/
統一性 [とういつせい] /(n) uniformity/integrity/
統一戦線 [とういつせんせん] /(n) united front/
統一地方選挙 [とういつちほうせんきょ] /(n) nationwide local elections/
統一的 [とういつてき] /(adj-na) united/unified/
統一法 [とういつほう] /(n) Act of Uniformity/
統覚 [とうかく] /(n,adj-no) apperception/
統括 [とうかつ] /(n,vs) (1) unification/bringing together/generalization/(2) control/supervision/(P)/
統括組織 [とうかつそしき] /(n) umbrella organization/umbrella organisation/
統括部長 [とうかつぶちょう] /(n) executive manager/
統括本部 [とうかつほんぶ] /(n) general headquarters/
統括名 [とうかつめい] /(n) (comp) generic name/
統轄 [とうかつ] /(n,vs) (1) unification/bringing together/generalization/(2) control/supervision/
統轄者 [とうかつしゃ] /(n) supervisor/controller/
統監 [とうかん] /(n,vs) supervision/supervisor/
統計 [とうけい] /(n,vs,adj-no) statistics/(P)/
統計解析 [とうけいかいせき] /(n) statistical analysis/
統計学 [とうけいがく] /(n) (the study of) statistics/
統計学者 [とうけいがくしゃ] /(n) statistician/
統計処理 [とうけいしょり] /(n) (comp) statistical processing/
統計上の不突合 [とうけいじょうのふとつごう] /(n) statistical discrepancy/
統計情報 [とうけいじょうほう] /(n) (comp) statistical information/statistics/
統計図表 [とうけいずひょう] /(n) statistical chart/statistical graph/
統計多重処理 [とうけいたじゅうしょり] /(n) (comp) statistical multiplexing/
統計的 [とうけいてき] /(adj-na) statistical/
統計的仮説 [とうけいてきかせつ] /(n) statistical hypothesis/
統計年鑑 [とうけいねんかん] /(n) statistical yearbook/
統計表 [とうけいひょう] /(n) statistical table or chart/
統計分析 [とうけいぶんせき] /(n) statistical analysis/
統計法 [とうけいほう] /(n) statistics law/the laws of statistics/
統計量 [とうけいりょう] /(n) statistic/
統計力学 [とうけいりきがく] /(n) statistical mechanics/
統御 [とうぎょ] /(n,vs) control/
統語 [とうご] /(adj-f) syntactic/
統語学 [とうごがく] /(n) study of syntax/
統語指標 [とうごしひょう] /(n) (ling) syntactic index/
統語的な整合性 [とうごてきなせいごうせい] /(n) (ling) well-formedness/
統語的関係 [とうごてきかんけい] /(n) (ling) syntagmatic relation/
統語範疇 [とうごはんちゅう] /(n) syntactic category/
統語法 [とうごほう] /(n) syntax rules/
統語論 [とうごろん] /(n) (ling) syntax/
統合 [とうごう] /(n,vs) (1) integration/unification/synthesis/(adj-no) (2) integrated/built-in/(P)/
統合ソフトウェア [とうごうソフトウェア] /(n) (comp) integrated software/
統合デジタル通信網 [とうごうデジタルつうしんもう] /(n) (comp) Integrated Services Digital Network/ISDN/
統合プログラム [とうごうプログラム] /(n) (comp) integrated program/
統合医療 [とうごういりょう] /(n) integrative medicine/
統合化 [とうごうか] /(n,vs) integration/
統合開発環境 [とうごうかいはつかんきょう] /(n) (comp) Integrated Development Environment/
統合開放形ハイパメディア [とうごうかいほうがたハイパメディア] /(n) (comp) Integrated open hypermedia/IOH/
統合漢字 [とうごうかんじ] /(n) (comp) unified Chinese character/
統合関係 [とうごうかんけい] /(n) (ling) syntagmatic relation/
統合計画 [とうごうけいかく] /(n) integration plan/
統合参謀本部 [とうごうさんぼうほんぶ] /(n) Joint Chiefs of Staff/
統合試験 [とうごうしけん] /(n) (comp) integration test/
統合失調症 [とうごうしっちょうしょう] /(n) schizophrenia/
統合者 [とうごうしゃ] /(n) synthesist/
統合体 [とうごうたい] /(n) synthesis/
統合幕僚会議 [とうごうばくりょうかいぎ] /(n) Joint Staff Council/
統治 [とうじ] /(n,vs,adj-no) rule/reign/government/governing/
統治 [とうち] /(n,vs,adj-no) rule/reign/government/governing/(P)/
統治機関 [とうちきかん] /(n) governing institution/governing institutions/organ of government/
統治機構 [とうじきこう] /(n) system of government/government structure/
統治権 [とうちけん] /(n) sovereignty/
統治者 [とうちしゃ] /(n) the ruler/sovereign/
統辞論 [とうじろん] /(n) (ling) syntax/
統帥 [とうすい] /(n,vs) supreme command/high command/(P)/
統帥権 [とうすいけん] /(n) supreme command authority (of the emperor)/
統制 [とうせい] /(n,vs) regulation/control/(P)/
統制経済 [とうせいけいざい] /(n) controlled economy/
統制線 [とうせいせん] /(n) phase line/
統制派 [とうせいは] /(n) Control Faction (of the Imperial Japanese Army)/
統制品 [とうせいひん] /(n) controlled or regulated item/
統廃合 [とうはいごう] /(n,vs) reorganization (e.g. of a company)/reorganisation/consolidation/scrap-and-build/
統幕 [とうばく] /(n) general staff headquarters/
統幕会議 [とうばくかいぎ] /(n) (abbr) Joint Staff Council/
統率 [とうそつ] /(n,vs) command/lead/generalship/leadership/
統率者 [とうそつしゃ] /(n) leader/commander/
統率束縛理論 [とうそつそくばくりろん] /(n) (ling) government-binding theory/
統率理論 [とうそつりろん] /(n) government theory/
統率力 [とうそつりょく] /(n) leadership/generalship/
統率力 [とうりつりょく] /(n) leadership/generalship/
統領 [とうりょう] /(n,vs) chief/leader/
統馭 [とうぎょ] /(n,vs) control/
到る [いたる] /(v5r,vi) (1) to arrive at (e.g. a decision)/to reach (a stage)/to attain/(2) to lead to (a place)/to get to/(3) (arch) to come/to arrive/to result in/
到達 [とうたつ] /(n,vs) reaching/attaining/arrival/(P)/
到達性 [とうたつせい] /(n) (comp) reachability/
到着 [とうちゃく] /(n,vs,adj-no) arrival/(P)/
到着プロセス [とうちゃくプロセス] /(n) (comp) arrival process/
到着駅 [とうちゃくえき] /(n) station of arrival/destination/
到着時刻 [とうちゃくじこく] /(n) arrival time/
到着次第 [とうちゃくしだい] /(n-adv) upon arrival of an item (items)/as soon as one arrives/
到着予定時刻 [とうちゃくよていじこく] /(n) estimated time of arrival/ETA/
到底 [とうてい] /(adv) (cannot) possibly/no matter how/(P)/
到頭 [とうとう] /(adv) (uk) finally/at last/reaching a head/(P)/
到来 [とうらい] /(n,vs) arrival/(P)/
到来物 [とうらいもの] /(n) present/gift/
蕩々 [とうとう] /(adj-t,adv-to) vast/calm/
蕩かす [とろかす] /(v5s,vt) (1) to melt (steel, etc.)/to liquefy/to soften/(2) to melt (one's heart)/to disarm/
蕩ける [とろける] /(v1,vi) (1) (uk) to melt (to a liquid)/(2) to be enchanted with/to be charmed/to be bewitched/
蕩す [たらす] /(v5s,vt) to cajole/to deceive/to seduce/
蕩す [とろかす] /(v5s,vt) (1) to melt (steel, etc.)/to liquefy/to soften/(2) to melt (one's heart)/to disarm/
蕩児 [とうじ] /(n) libertine/
蕩尽 [とうじん] /(n,vs) squandering/dissipation/
蕩蕩 [とうとう] /(adj-t,adv-to) vast/calm/
藤 [ふじ] /(n) wisteria (esp. Japanese wisteria, Wisteria floribunda)/wistaria/(P)/
藤黄 [とうおう] /(n) gamboge/
藤花 [とうか] /(n) wisteria flower/
藤海鼠 [ふじなまこ] /(n) (uk) Holothuria decorata (species of sea cucumber)/
藤空木 [ふじうつぎ] /(n) (uk) Japanese butterfly bush (species of buddleia, Buddleja japonica)/
藤原氏の出 [ふじわらしのしゅつ] /(n) of Fujiwara descent/
藤原時代 [ふじわらじだい] /(n) Fujiwara period (esp. used as a period of art history, approx. 894-1185 CE)/
藤袴 [ふじばかま] /(n) (uk) thoroughwort (species of boneset, Eupatorium fortunei)/
藤五郎鰯 [とうごろういわし] /(n) (uk) flathead silverside (Hypoatherina valenciennei)/
藤氏 [とうし] /(n) Fujiwara family/
藤紫 [ふじむらさき] /(n) dark lilac (color)/royal blue/
藤色 [ふじいろ] /(n) light purple/
藤棚 [ふじだな] /(n) wisteria trellis (arbor, arbour)/
藤豆 [ふじまめ] /(n) (uk) hyacinth bean (Lablab purpureus)/
藤本 [とうほん] /(n) climbing trees/liana/
藤蔓 [ふじづる] /(n) wisteria vine/
討ち果す [うちはたす] /(v5s,vt) to slay/to kill/
討ち果たす [うちはたす] /(v5s,vt) to slay/to kill/
討ち止める [うちとめる] /(v1,vt) (1) to kill/to slay/to shoot dead/to cut down/
討ち死に [うちじに] /(n,vs) (sens) die in battle/die in action/
討ち取る [うちとる] /(v5r,vt) (1) to arrest/to take prisoner/(2) to kill/(3) to get someone out (in baseball)/
討ち入り [うちいり] /(n) raid/
討ち入る [うちいる] /(v5r,vi) to break into (a house to kill the master)/to raid/
討ち破る [うちやぶる] /(v5r,vt) to break/to smash/to defeat/to destroy/to eliminate/
討ち滅ぼす [うちほろぼす] /(v5s,vt) to destroy/
討っ手 [うって] /(n) pursue and attack (a criminal)/
討つ [うつ] /(v5t) (1) to shoot (at)/(2) to attack/to defeat/to destroy/to avenge/(P)/
討議 [とうぎ] /(n,vs) debate/discussion/(P)/
討議倫理学 [とうぎりんりがく] /(n) discourse ethics/
討究 [とうきゅう] /(n,vs) investigation/study/research/
討止める [うちとめる] /(v1,vt) (1) to kill/to slay/to shoot dead/to cut down/
討死 [うちじに] /(n,vs) (sens) die in battle/die in action/
討取る [うちとる] /(v5r,vt) (1) to arrest/to take prisoner/(2) to kill/(3) to get someone out (in baseball)/
討尋 [とうじん] /(n) (obsc) minute investigation/thorough inquiry/thorough enquiry/
討伐 [とうばつ] /(n,vs) subjugation/suppression/
討伐軍 [とうばつぐん] /(n) punitive force/
討匪 [とうひ] /(n) suppression of bandits/
討幕 [とうばく] /(n,vs) attacking the shogunate/
討論 [とうろん] /(n,vs,adj-no) debate/discussion/(P)/
討論会 [とうろんかい] /(n) debate/panel discussion/forum/
討論者 [とうろんしゃ] /(n) debater/
謄写 [とうしゃ] /(n,vs) copy/transcription/mimeograph/photocopy/
謄写器 [とうしゃき] /(n) copier/copying machine/
謄写版 [とうしゃばん] /(n) mimeograph/stencil/
謄本 [とうほん] /(n) exemplar/(P)/
豆 [まめ] /(n) (1) legume (esp. edible legumes or their seeds, such as beans, peas, pulses, etc.)/beans/peas/(2) soya bean (soybean)/soy (Glycine max)/(3) (col) female genitalia (esp. the clitoris)/(4) (food) (col) kidney/(n-pref) (5) miniature/tiny/(6) child/(P)/
豆の筋を取る [まめのすじをとる] /(exp,v5r) to string peas/
豆まき [まめまき] /(n,vs) (1) sowing beans (or pulses, etc.)/(2) scattering parched beans (to drive out evil spirits)/
豆黄金 [まめこがね] /(n) (uk) Japanese beetle/Popillia japonica/
豆科 [まめか] /(n) Fabaceae (pea family of plants)/
豆殻 [まめがら] /(n) bean husk/
豆球 [まめきゅう] /(n) (abbr) miniature light bulb/midget lamp/
豆絞り [まめしぼり] /(n) spotted pattern/
豆桜 [まめざくら] /(n) (uk) Fuji cherry (Prunus incisa)/
豆撒き [まめまき] /(n,vs) (1) sowing beans (or pulses, etc.)/(2) scattering parched beans (to drive out evil spirits)/
豆蒔き [まめまき] /(n,vs) (1) sowing beans (or pulses, etc.)/(2) scattering parched beans (to drive out evil spirits)/
豆鹿 [まめじか] /(n) (uk) chevrotain/mouse deer/
豆汁 [とうじゅう] /(n) mung bean milk/douzhi/
豆象虫 [まめぞうむし] /(n) (uk) bean weevil (any leaf beetle of subfamily Bruchinae)/
豆蔵 [まめぞう] /(n) loquacious man/
豆打 [ずんだ] /(n) (uk) mashed green soybeans/
豆台風 [まめたいふう] /(n) small typhoon/midget typhoon/
豆炭 [まめたん] /(n) (oval) charcoal briquette/
豆知識 [まめちしき] /(n) trivia/bits of knowledge/
豆鉄砲 [まめでっぽう] /(n) peashooter/
豆電球 [まめでんきゅう] /(n) miniature light bulb/midget lamp/
豆電灯 [まめでんとう] /(n) (obsc) small light/
豆電燈 [まめでんとう] /(oK) (n) (obsc) small light/
豆乳 [とうにゅう] /(n) soy milk/
豆粕 [まめかす] /(n) bean cake/soybean (oil) meal/
豆斑猫 [まめはんみょう] /(n) (uk) bean blister beetle (Epicauta gorhami)/
豆板 [まめいた] /(n) candied bean slab/
豆板銀 [まめいたぎん] /(n) name of an Edo-period coin/
豆板醤 [トーバンジャン] /(n) broad bean chili paste (Chinese seasoning) (chi: doubanjiang)/
豆腐 [とうふ] /(n) tofu/bean-curd/(P)/
豆腐の角に頭をぶつけて死ね [とうふのかどにあたまをぶつけてしね] /(exp) take a long walk off a short pier/go stick your head in a pig/lit: bash your head against the corner of a block of tofu and die/
豆腐一丁 [とうふいっちょう] /(n) one cake of bean curd/
豆腐屋 [とうふや] /(n) tofu seller (maker)/
豆腐乳 [とうふにゅう] /(n) fermented tofu/
豆腐皮 [ゆば] /(n) tofu skin/dried beancurd/delicacy made from the skin of gently boiled soybean milk/
豆偏 [まめへん] /(n) kanji "bean" radical at left/
豆本 [まめほん] /(n) miniature book/
豆油 [まめあぶら] /(n) soybean oil/
豆粒 [まめつぶ] /(n) speck/
豆料 [まめりょう] /(n) legume/podded plant/
豆類 [まめるい] /(n) pulse (edible seeds of various leguminous crops)/plant yielding pulse/
豆瓣醤 [トーバンジャン] /(oK) (n) broad bean chili paste (Chinese seasoning) (chi: doubanjiang)/
踏まえる [ふまえる] /(v1,vt) to be based on/to have origin in/(P)/
踏みあるく [ふみあるく] /(v5k) to tramp/to hike/
踏みかえる [ふみかえる] /(v1) to change, e.g. step/
踏みしめる [ふみしめる] /(v1,vt) to step firmly/to harden by treading/
踏みつける [ふみつける] /(v1,vt) (1) to trample down/to tread on/(2) to ignore/to spurn/
踏みならす [ふみならす] /(v5s,vt) to stamp one's feet/
踏みにじる [ふみにじる] /(v5r,vt) to trample underfoot/to tread on/to crush with a foot/
踏み違える [ふみちがえる] /(v1) to misstep/to stray/
踏み越える [ふみこえる] /(v1,vi) to step over or across/to overcome/
踏み絵 [ふみえ] /(n) tablet bearing Christian images, on which Edo-period authorities forced suspected Christians to trample/(P)/
踏み外す [ふみはずす] /(v5s,vt) to miss one's footing/
踏み堪える [ふみこたえる] /(v1,vi) to stand firm/to hold out/
踏み換える [ふみかえる] /(v1) to change, e.g. step/
踏み均す [ふみならす] /(v5s,vt) to trample flat/to beat a path/
踏み継ぎ [ふみつぎ] /(n) (arch) stool (stood on to reach high objects)/
踏み固める [ふみかためる] /(v1,vt) to tread down/
踏み荒す [ふみあらす] /(v5s,vt) to trample down/to devastate/
踏み荒らす [ふみあらす] /(v5s,vt) to trample down/to devastate/
踏み込み [ふみこみ] /(n) stepping into/breaking or rushing into/
踏み込む [ふみこむ] /(v5m) (1) to step into (e.g. someone else's territory)/to break into/to raid/(2) to come to grips with/to get to the core of/
踏み殺す [ふみころす] /(v5s) to trample to death/to kill underfoot/
踏み止まる [ふみとどまる] /(v5r,vi) to stay on/to remain/to hold out/to stop (doing)/to give up/to hold one's ground/
踏み車 [ふみぐるま] /(n) treadmill/
踏み出し [ふみだし] /(n) rear step out (sumo)/
踏み出す [ふみだす] /(v5s,vi) to step forward/to advance/
踏み消す [ふみけす] /(v5s) to stamp out (a fire)/
踏み場 [ふみば] /(n) place to stand/
踏み石 [ふみいし] /(n) stepping stone/
踏み切 [ふみきり] /(n) (1) railway crossing/railroad crossing/train crossing/level crossing/(2) starting line/scratch/(3) determination/(4) stepping over the edge of the ring (in sumo)/
踏み切り [ふみきり] /(n) (1) railway crossing/railroad crossing/train crossing/level crossing/(2) starting line/scratch/(3) determination/(4) stepping over the edge of the ring (in sumo)/
踏み切り番 [ふみきりばん] /(n) gatekeeper/crossing guard/
踏み切る [ふみきる] /(v5r,vt) to make a bold start/to take a plunge/to take off/(P)/
踏み替える [ふみかえる] /(v1) to change, e.g. step/
踏み台 [ふみだい] /(n) (1) stool (stood on to reach high objects)/small stepladder/(2) (figurative) stepping stone/
踏み段 [ふみだん] /(n) a step/(flight of) stairs/
踏み潰す [ふみつぶす] /(v5s,vt) to trample/to crush underfoot/
踏み締める [ふみしめる] /(v1,vt) to step firmly/to harden by treading/
踏み倒す [ふみたおす] /(v5s,vt) (1) to trample underfoot/to kick down/(2) to bilk/to shirk payment/to jump a bill/
踏み入れる [ふみいれる] /(v1,vt) to walk in on/to tread upon/
踏み破る [ふみやぶる] /(v5r,vt) (1) to break by stepping on/to trample/to stomp on/to stamp through/(v5r) (2) to walk across/to travel on foot/
踏み抜く [ふみぬく] /(v5k,vt) to tread (a nail) into the sole of one's foot/to tread through (the floor)/
踏み板 [ふみいた] /(n) pedal/treadle/footboard/
踏み俵 [ふみだわら] /(n) bales forming the steps to climb onto the ring/
踏み付ける [ふみつける] /(v1,vt) (1) to trample down/to tread on/(2) to ignore/to spurn/
踏み分ける [ふみわける] /(v1,vt) to push through (i.e. a crowd, vegetation, etc.)/
踏み歩く [ふみあるく] /(v5k) to tramp/to hike/
踏み迷う [ふみまよう] /(v5u,vi) to lose one's way/to go astray/
踏み鳴らす [ふみならす] /(v5s,vt) to stamp one's feet/
踏み面 [ふみづら] /(n) tread (of a wheel)/step (of a stair)/
踏み面 [ふみめん] /(n) tread (of a wheel)/step (of a stair)/
踏み拉く [ふみしだく] /(v5k) to trample/to crush underfoot/
踏み躙る [ふみにじる] /(v5r,vt) to trample underfoot/to tread on/to crush with a foot/
踏む [ふむ] /(v5m,vt) (1) to step on/to tread on/(2) to experience/to undergo/(3) to estimate/to value/to appraise/(4) to rhyme/(5) (arch) to inherit (the throne, etc.)/(6) to follow (rules, morals, principles, etc.)/(P)/
踏んだり蹴ったり [ふんだりけったり] /(exp) it never rains but it pours/misfortunes never come singly/
踏んづける [ふんづける] /(v1,vt) (col) to trample down/to tread on/
踏んばる [ふんばる] /(v5r,vi) to brace one's legs/to straddle/to stand firm/to plant oneself (somewhere)/to hold out/to persist/
踏ん切り [ふんぎり] /(n) determination/decision/
踏ん張る [ふんばる] /(v5r,vi) to brace one's legs/to straddle/to stand firm/to plant oneself (somewhere)/to hold out/to persist/(P)/
踏ん反り返る [ふんぞりかえる] /(v5r,vi) (1) to lie on one's back with legs outstretched/to recline/(2) to get cocky/to be arrogant/
踏ん付ける [ふんづける] /(v1,vt) (col) to trample down/to tread on/
踏歌 [とうか] /(n) type of dance where the ground is stamped (Heian period)/
踏絵 [ふみえ] /(n) tablet bearing Christian images, on which Edo-period authorities forced suspected Christians to trample/
踏換える [ふみかえる] /(v1) to change, e.g. step/
踏継ぎ [ふみつぎ] /(n) (arch) stool (stood on to reach high objects)/
踏荒らす [ふみあらす] /(v5s,vt) to trample down/to devastate/
踏査 [とうさ] /(n,vs,adj-no) survey/exploration/field investigation/
踏殺す [ふみころす] /(v5s) to trample to death/to kill underfoot/
踏車 [ふみぐるま] /(n) treadmill/
踏襲 [とうしゅう] /(n,vs) following (e.g. suit, in someone's footsteps, etc.)/emulation/
踏切 [ふみきり] /(n) (1) railway crossing/railroad crossing/train crossing/level crossing/(2) starting line/scratch/(3) determination/(4) stepping over the edge of the ring (in sumo)/(P)/
踏切り [ふみきり] /(n) (1) railway crossing/railroad crossing/train crossing/level crossing/(2) starting line/scratch/(3) determination/(4) stepping over the edge of the ring (in sumo)/(P)/
踏切番 [ふみきりばん] /(n) gatekeeper/crossing guard/
踏台 [ふみだい] /(n) (1) stool (stood on to reach high objects)/small stepladder/(2) (figurative) stepping stone/
踏破 [とうは] /(n,vs) (1) travelling on foot/traveling on foot/(2) travelling all over/
踏付ける [ふみつける] /(v1,vt) (1) to trample down/to tread on/(2) to ignore/to spurn/
踏歩変換 [とうほへんかん] /(n) lead change (horse gait)/
踏鞴 [たたら] /(n) (uk) foot-operated bellows/foot bellows/
踏鞴を踏む [たたらをふむ] /(exp,v5m) to stumble a step or two forward (when trying to stop)/to pass one's destination and stumble a step or two forward/to totter/
逃がした魚は大きい [にがしたさかなはおおきい] /(exp) (id) The fish that got away is always big/
逃がし弁 [にがしべん] /(n) escape valve/release valve/relief valve/
逃がす [にがす] /(v5s,vt) to let loose/to set free/to let escape/(P)/
逃げ [にげ] /(n) escape/getaway/evasion/(P)/
逃げおおせる [にげおおせる] /(v1,vi) to escape/
逃げまどう [にげまどう] /(v5u,vi) to run about trying to escape/
逃げる [にげる] /(v1,vi) to escape/to run away/(P)/
逃げるが勝ち [にげるがかち] /(exp) (id) He that fights and runs away may live to fight another day/
逃げを打つ [にげをうつ] /(exp,v5t) to (prepare to) run away (from one's responsibilities, etc.)/
逃げ隠れる [にげかくれる] /(v1,vi) to run away and hide/
逃げ延びる [にげのびる] /(v1,vi) to make good one's escape/
逃げ果せる [にげおおせる] /(v1,vi) to escape/
逃げ回る [にげまわる] /(v5r,vi) to run from place to place/
逃げ帰る [にげかえる] /(v5r,vi) to scurry home/to run home/to fly back/
逃げ去る [にげさる] /(v5r) to take flight/to disappear/
逃げ後れる [にげおくれる] /(v1) to fail to escape/
逃げ口 [にげぐち] /(n) way of escape/
逃げ口上 [にげこうじょう] /(n) evasive answer/excuse/
逃げ腰 [にげごし] /(n) preparing to flee/being ready to run away/
逃げ込む [にげこむ] /(v5m,vi) to take refuge in/to succeed in running away/
逃げ支度 [にげじたく] /(n) preparing to flee/
逃げ失せる [にげうせる] /(v1,vi) to escape/to run away/
逃げ出す [にげだす] /(v5s,vi) to run away/to escape from/(P)/
逃げ場 [にげば] /(n) refuge/escape/
逃げ水 [にげみず] /(n) mirage/
逃げ切る [にげきる] /(v5r,vi) to get away/to manage to hold on/(P)/
逃げ走る [にげはしる] /(v5r) to flee/to run away/
逃げ足 [にげあし] /(n) running away/escaping on foot/(P)/
逃げ道 [にげみち] /(n) way out/means to escape/escape route/(P)/
逃げ馬 [にげうま] /(n) front-runner/
逃げ落ちる [にげおちる] /(v1,vi) to escape safely/
逃げ路 [にげみち] /(iK) (n) way out/means to escape/escape route/
逃げ惑う [にげまどう] /(v5u,vi) to run about trying to escape/
逃す [のがす] /(v5s,vt) to let loose/to set free/to let escape/to miss/(P)/
逃れる [のがれる] /(v1,vi) to escape/(P)/
逃れ出る [のがれでる] /(v1) to scuttle off/to take flight/
逃腰 [にげごし] /(n) preparing to flee/being ready to run away/
逃散 [ちょうさん] /(n) fleeing in all directions/(in Japanese history, a reference to) farmers who abandoned their fields and fled to the cities or other districts to evade onerous taxes/
逃散 [とうさん] /(n) fleeing in all directions/(in Japanese history, a reference to) farmers who abandoned their fields and fled to the cities or other districts to evade onerous taxes/
逃走 [とうそう] /(n,vs,adj-no) flight/desertion/escape/(P)/
逃道 [にげみち] /(n) way out/means to escape/escape route/
逃馬 [にげうま] /(n) front-runner/
逃避 [とうひ] /(n,vs) escape/evasion/flight/(P)/
逃避行 [とうひこう] /(n) flight/elopement/
逃避的 [とうひてき] /(adj-na) escapist/evasive/
逃避文学 [とうひぶんがく] /(n) escapist literature/
逃亡 [とうぼう] /(n,vs) escape/flight/running away/elopement/fleeing/(P)/
逃亡者 [とうぼうしゃ] /(n) runaway/fugitive/
逃亡生活 [とうぼうせいかつ] /(n) life on the run/
逃亡中 [とうぼうちゅう] /(adj-no) at large/fugitive/
逃惑う [にげまどう] /(v5u,vi) to run about trying to escape/
逃竄 [とうざん] /(n) act of fleeing into hiding/
透いた枝 [すいたえだ] /(n) thinned branches/
透かさず [すかさず] /(adv) without a moment's delay/
透かし [すかし] /(n) (1) watermark (in a stamp, banknote, etc.)/(2) openwork (engraving, carving, etc.)/
透かしっ屁 [すかしっぺ] /(n) (uk) (col) silent fart/
透かし絵 [すかしえ] /(n) (artistic) transparency/
透かし彫り [すかしぼり] /(n) fretwork/
透かす [すかす] /(v5s,vt) (1) to look through/(2) to hold up to the light/(3) to make an opening/to leave space/to space (lines)/to prune (trees)/(4) to fart without making a sound/
透き [すき] /(n) (1) gap/space/(2) break/interlude/interval/(3) chink (in one's armor, armour)/chance/opportunity/
透き間 [すきま] /(n) crevice/crack/gap/opening/
透き見 [すきみ] /(n) peeping/
透き通す [すきとおす] /(v5s) to be visible through/to be seen through/to shine through/
透き通る [すきとおる] /(v5r,vi) to be(come) transparent/(P)/
透き徹す [すきとおす] /(v5s) to be visible through/to be seen through/to shine through/
透き目 [すきめ] /(n) (obsc) gap/opening/crevice/crack/
透く [すく] /(v5k,vi) to be transparent/to leave a gap/
透けて写る [すけてうつる] /(v5r) to be seen through/
透ける [すける] /(v1,vi) to be transparent/to show through/
透けるブラウス [すけるブラウス] /(n) sheer blouse/
透す [とおす] /(v5s,vt) to let pass/to overlook/to continue/to keep/to make way for/to persist in/
透り [とおり] /(n) penetration (as of light)/
透る声 [とおるこえ] /(n) carrying voice/
透過 [とうか] /(adj-na,n,vs) penetration/permeation/transmission/
透過なデータ [とうかなデータ] /(n) (comp) transparent (data)/
透過モード [とうかモード] /(n) transparent mode/
透過画像 [とうかがぞう] /(n) (1) (comp) computer image with a transparent background/(2) transmission image (X-ray image, etc.)/
透過原稿ユニット [とうかげんこうユニット] /(n) (comp) transparency unit/
透過性 [とうかせい] /(n) transparency/permeability/
透過的 [とうかてき] /(adj-na) (comp) transparent/
透過的データ [とうかてきデータ] /(n) (comp) transparent (data)/
透過率 [とうかりつ] /(n) transmittance/permeability/
透間 [すきま] /(n) crevice/crack/gap/opening/
透察 [とうさつ] /(n,vs) insight/
透視 [とうし] /(n,vs) (1) seeing through/(2) X-ray (examination)/(3) clairvoyance/(P)/
透視画法 [とうしがほう] /(n) (the artistic technique of) perspective/
透視図 [とうしず] /(n) transparent view/perspective drawing/
透視図法 [とうしずほう] /(n) hidden line drawing/
透視性 [とうしせい] /(n) transparency/
透視度 [とうしど] /(n) horizontal transparency/clearness (of water)/visibility (esp. for scuba diving)/
透視投影 [とうしとうえい] /(n) (comp) perspective projection/
透視変換 [とうしへんかん] /(n) (comp) perspective transformation/
透視力 [とうしりょく] /(n) clairvoyant powers/
透磁性 [とうじせい] /(n) magnetic permeability/
透磁率 [とうじりつ] /(n) magnetic permeability/
透湿防水性素材 [とうしつぼうすいせいそざい] /(n) breathable-waterproof material/waterproof-breathable fabric/
透写 [とうしゃ] /(n,vs) tracing/
透写紙 [とうしゃし] /(n) tracing paper/
透水性 [とうすいせい] /(n) permeability/
透析 [とうせき] /(n,vs,adj-no) (chem) dialysis/(P)/
透析療法 [とうせきりょうほう] /(n) dialysis/dialytic treatment/
透脱 [ちょうとつ] /(n) (Buddh) liberation/reaching enlightenment/
透脱 [とうだつ] /(n) (Buddh) liberation/reaching enlightenment/
透通す [すきとおす] /(v5s) to be visible through/to be seen through/to shine through/
透徹 [とうてつ] /(n,vs) penetration/absolutely clear/not dirty/clearness/
透徹した [とうてつした] /(adj-f) clear/lucid/penetrating/
透徹す [すきとおす] /(io) (v5s) to be visible through/to be seen through/to shine through/
透渡殿 [すいわたどの] /(n) roofed path (lacking walls) connecting the main residence and the side houses (in traditional palatial architecture)/
透渡殿 [すきわたどの] /(n) roofed path (lacking walls) connecting the main residence and the side houses (in traditional palatial architecture)/
透明 [とうめい] /(adj-na,adj-no,n) transparency/cleanness/(P)/
透明ガラス [とうめいガラス] /(n) clear glass/plain glass/
透明人間 [とうめいにんげん] /(n) invisible man/
透明水彩 [とうめいすいさい] /(n,adj-no) watercolor/transparent watercolor (as opposed to gouache)/aquarelle/
透明性 [とうめいせい] /(n) transparency/
透明性の原理 [とうめいせいのげんり] /(n) transparency principle/
透明体 [とうめいたい] /(n) a transparent body/
透明度 [とうめいど] /(n) transparency/degree of clearness/
透目 [すきめ] /(n) (obsc) gap/opening/crevice/crack/
鐙 [あぶみ] /(n) stirrup/
鐙瓦 [あぶみがわら] /(n) (arch) eave-end roof tile (comprising a convex semi-cylindrical tile and a decorative pendant)/
鐙骨 [あぶみこつ] /(n,adj-no) stapes/stirrup (bone of the ear)/
鐙骨 [とうこつ] /(n,adj-no) stapes/stirrup (bone of the ear)/
陶の人形 [とうのにんぎょう] /(n) ceramic figurine/
陶器 [とうき] /(n,adj-no) pottery/ceramics/(P)/
陶器商 [とうきしょう] /(n) crockery dealer/china shop/
陶芸 [とうげい] /(n) ceramic art/ceramics/(P)/
陶芸家 [とうげいか] /(n) potter/
陶工 [とうこう] /(n) potter/(P)/
陶砂 [どうさ] /(n) size (solution for stiffening textiles, etc.)/
陶磁 [とうじ] /(n) clay/
陶磁器 [とうじき] /(n) ceramics and porcelain/(P)/
陶磁器店 [とうじきてん] /(n) ceramic stores/
陶酔 [とうすい] /(n,vs,adj-no) intoxication/(P)/
陶酔境 [とうすいきょう] /(n) become intoxicated (by liquor or music) or enraptured/
陶製 [とうせい] /(n,adj-no) ceramics/
陶然 [とうぜん] /(n,adj-t,adv-to) intoxicated (by liquor or music)/entranced/enraptured/
陶土 [とうど] /(n) potter's clay/kaolin/kaoline/
陶板 [とうばん] /(n) porcelain tile/porcelain panel/
陶物 [すえもの] /(n) earthenware/pottery/china/
陶片 [とうへん] /(n) potsherd/shard/fragment of pottery/
陶片追放 [とうへんついほう] /(n,vs) ostracism/
陶冶 [とうや] /(n,vs) training/education/cultivation/
頭 [あたま] /(n) (1) head/(2) mind/brain/intellect/(3) top/(4) hair (on one's head)/(P)/
頭 [かしら] /(n) (1) head/(2) top/(3) hair (on one's head)/(4) top structural component of a kanji/(P)/
頭 [かぶ] /(ok) (n) (1) head/
頭 [かぶり] /(n) (1) head/
頭 [がしら] /(suf) (1) (after a noun) top of ../head of ../(2) (after the -masu stem of a verb) the moment that ../
頭 [こうべ] /(n) (1) head/
頭 [ず] /(n) (1) head/
頭 [つぶり] /(n) (1) head/
頭 [つむ] /(n) (1) head/
頭 [つむり] /(n) (1) head/(2) bangs/fringe/
頭 [とう] /(ctr) counter for large animals (e.g. head of cattle)/(P)/
頭 [どたま] /(n) (uk) (derog) head/dome/bean/nob/noggin/
頭いい [あたまいい] /(adj-i) (col) bright/intelligent/
頭から [あたまから] /(adv) from the beginning/
頭があがらない [あたまがあがらない] /(exp) to be no match for (e.g. outclassed in authority, strength or in debt to)/to be unable to act on an equal basis with/
頭がいい [あたまがいい] /(exp,adj-i) bright/intelligent/
頭がおかしい [あたまがおかしい] /(exp) insane/
頭がよい [あたまがよい] /(exp,adj-i) bright/intelligent/
頭がわるい [あたまがわるい] /(exp,adj-i) slow/weak-headed/dumb/
頭が悪い [あたまがわるい] /(exp,adj-i) slow/weak-headed/dumb/
頭が下がる [あたまがさがる] /(exp,v5r) (id) to admire greatly/to salute (in admiration)/to take one's hat off to/
頭が可笑しい [あたまがおかしい] /(exp) insane/
頭が固い [あたまがかたい] /(exp) thickheaded/obstinate/inflexible/
頭が高い [ずがたかい] /(exp) haughty/holding one's head high/
頭が柔らかい [あたまがやわらかい] /(exp) flexible (person)/open-minded/
頭が上がらない [あたまがあがらない] /(exp) to be no match for (e.g. outclassed in authority, strength or in debt to)/to be unable to act on an equal basis with/
頭が真っ白になる [あたまがまっしろになる] /(exp,v5r) to blank out/to panic/
頭が切れる [あたまがきれる] /(exp,v1) to be sharp/to be keen/to be on the ball/to have a mind like a steel trap/
頭が痛い [あたまがいたい] /(exp,adj-i) having a headache/racking one's brains/
頭が変 [あたまがへん] /(exp,adj-na) crazy/disturbed/mad/
頭が変になる [あたまがへんになる] /(exp,v5r) to go crazy/to go off one's head/
頭が良い [あたまがいい] /(exp,adj-i) bright/intelligent/
頭が良い [あたまがよい] /(exp,adj-i) bright/intelligent/
頭ごなし [あたまごなし] /(adv) unsparingly/without listening to the other party/without giving the other party a chance to explain/
頭じらみ [あたまじらみ] /(n) (uk) head louse (Pediculus humanus capitis)/head lice/
頭そろえ [あたまそろえ] /(n) (comp) start-aligned/
頭だし [あたまだし] /(n) cueing (e.g. a magnetic tape, recording) (cuing)/cue/feeding (e.g. paper under a print head)/feed/document loading/
頭つき [あたまつき] /(n) (1) hairstyle/shape of one's head/
頭つき [かしらつき] /(n) (1) hairstyle/shape of one's head/(2) fish served whole/
頭でっかち [あたまでっかち] /(adj-no) top-heavy/big-headed/
頭におく [あたまにおく] /(v5k) to take into consideration/
頭にくる [あたまにくる] /(exp,vk) to get mad/to be highly offended/to get pissed off/to get angry/to lose one's cool/
頭に血がのぼる [あたまにちがのぼる] /(exp,v5r) to lose one's cool/to blow one's top/to flip one's lid/to get angry/
頭に血が上る [あたまにちがのぼる] /(exp,v5r) to lose one's cool/to blow one's top/to flip one's lid/to get angry/
頭に入れる [あたまにいれる] /(exp,v1) to keep in mind/
頭に浮かぶ [あたまにうかぶ] /(exp,vi,v5b) to come to mind/to pop into one's head/
頭に来る [あたまにくる] /(exp,vk) to get mad/to be highly offended/to get pissed off/to get angry/to lose one's cool/
頭のいい [あたまのいい] /(exp,adj-i) bright/intelligent/
頭のおかしい [あたまのおかしい] /(adj-i) (sens) insane/
頭のよい [あたまのよい] /(exp,adj-i) bright/intelligent/
頭の悪い [あたまのわるい] /(adj-i) slow/weak-headed/
頭の可笑しい [あたまのおかしい] /(adj-i) (sens) insane/
頭の固い [あたまのかたい] /(adj-i) (sens) obstinate/inflexible/thickheaded/
頭の高い [あたまのたかい] /(adj-i) haughty/
頭の冴え [あたまのさえ] /(n) bright intelligence/
頭の弱い [あたまのよわい] /(exp,adj-i) dim witted/bird-brained/dullard/
頭の柔らかい [あたまのやわらかい] /(adj-i) flexible (of people)/open-minded/
頭の上の蠅も追えない [あたまのうえのはえもおえない] /(exp) unable even to drive away the flies on one's own head (denoting a helpless person)/
頭の雪 [かしらのゆき] /(n,exp) white hair/snow of the head/
頭の足りない [あたまのたりない] /(exp,adj-i) half-baked/dim-witted/meatheaded/
頭の痛い [あたまのいたい] /(adj-i) headache inducing/vexing/
頭の鈍い [あたまのにぶい] /(exp,adj-i) dim-witted/airheaded/bird-brained/dim/dullard/blockheaded/
頭の良い [あたまのいい] /(exp,adj-i) bright/intelligent/
頭の良い [あたまのよい] /(exp,adj-i) bright/intelligent/
頭の蠅も追えない [あたまのはえもおえない] /(exp) unable even to drive away the flies on one's own head (denoting a helpless person)/
頭ひも [あたまひも] /(n) head harness/strap/
頭をかかえる [あたまをかかえる] /(exp,v1) to be greatly perplexed/to be troubled/to be at wits' end/
頭をひねる [あたまをひねる] /(exp,v5r) to puzzle over/to think deeply about/to wrack one's brains over/
頭をもたげる [あたまをもたげる] /(exp,v1) to raise one's head/to come to the fore/to rise into importance/to gain strength/to rear its head/
頭を下げる [あたまをさげる] /(exp,v1) to bow one's head/
頭を刈る [あたまをかる] /(exp,v5r) to have one's hair cut/to cut one's hair/
頭を丸める [あたまをまるめる] /(exp,v1) (1) to be tonsured/to have one's head shaved/(2) to become a monk/
頭を使う [あたまをつかう] /(exp,v5u) to use one's head/
頭を振る [かぶりをふる] /(exp,v5r) to shake one's head (in denial)/
頭を垂れる [こうべをたれる] /(exp,v1) (1) to hang one's head/(2) to bow down/
頭を痛める [あたまをいためる] /(exp,v1) to be concerned about/
頭を捻る [あたまをひねる] /(exp,v5r) to puzzle over/to think deeply about/to wrack one's brains over/
頭を悩ます [あたまをなやます] /(exp,v5s) to rack one's brains/
頭を付ける [あたまをつける] /(exp,v5r) to stop the opponent by pressing the head into his chest (sumo)/
頭を抱える [あたまをかかえる] /(exp,v1) to be greatly perplexed/to be troubled/to be at wits' end/
頭を冷やす [あたまをひやす] /(exp,v5s) to cool down one's anger/
頭を擡げる [あたまをもたげる] /(exp,v1) to raise one's head/to come to the fore/to rise into importance/to gain strength/to rear its head/
頭悪い [あたまわるい] /(adj-i) (col) slow/dim/
頭囲 [とうい] /(n) head measurement/
頭隠して尻隠さず [あたまかくしてしりかくさず] /(exp) don't cover your head and leave your bottom exposed/you have to be careful not to expose your weak point while attempting to protect yourself/
頭韻 [とういん] /(n,adj-no) alliteration/
頭越し [あたまごし] /(adv) going over someone's head/
頭花 [とうか] /(n) flower head/flowerhead/
頭蓋 [ずがい] /(n,adj-no) cranium/skull/
頭蓋骨 [ずがいこつ] /(n) skull/cranium/
頭蓋骨 [とうがいこつ] /(n) skull/cranium/
頭蓋穿孔 [ずがいせんこう] /(n) trepanation/
頭角 [とうかく] /(n) distinguishing oneself/standing out/top of the head/(P)/
頭角を現す [とうかくをあらわす] /(exp,v5s) to distinguish oneself/to stand out/
頭角を現わす [とうかくをあらわす] /(exp,v5s) to distinguish oneself/to stand out/
頭角を表す [とうかくをあらわす] /(exp,v5s) to distinguish oneself/to stand out/
頭角を表わす [とうかくをあらわす] /(exp,v5s) to distinguish oneself/to stand out/
頭割り [あたまわり] /(n) sharing (e.g. expenses)/splitting/capitation/
頭株 [あたまかぶ] /(n) chief/leader/head/executive/
頭寒足熱 [ずかんそくねつ] /(n) keeping the head cool and feet warm/
頭記 [とうき] /(n) abovementioned item/description at beginning of (this) text or document/
頭胸部 [とうきょうぶ] /(n) cephalothorax/
頭巾 [ずきん] /(n) hood/kerchief/
頭巾海豹 [ずきんあざらし] /(n) (uk) hooded seal (Cystophora cristata)/
頭金 [あたまきん] /(n) down payment/deposit/(P)/
頭血腫 [ずけっしゅ] /(n) cephalhematoma/
頭血腫 [とうけっしゅ] /(n) cephalhematoma/
頭遣い [かしらつかい] /(n) puppeteer for the head/
頭五郎鰯 [とうごろういわし] /(n) (uk) flathead silverside (Hypoatherina valenciennei)/
頭語 [とうご] /(n) the opening greeting on letters/
頭光 [ずこう] /(n) halo (of a Buddhist statue)/nimbus/
頭垢 [ふけ] /(n) dandruff/
頭高型 [あたまだかがた] /(n) pattern of Japanese accent with the first mora high and the following ones low/
頭骨 [かしらぼね] /(n) skull/
頭骨 [ずこつ] /(n) skull/
頭骨 [とうこつ] /(n) skull/(P)/
頭索類 [とうさくるい] /(n) cephalochordates/
頭子音 [とうしいん] /(n) initial consonant/syllable onset/
頭字 [かしらじ] /(n) first letter/first letters/initial/
頭字語 [とうじご] /(n) acronym/initialism/
頭取 [とうどり] /(n) (1) (bank) president/(2) greenroom manager (in a theater)/(P)/
頭首 [とうしゅ] /(n) boss/chief/manager/
頭首工 [とうしゅこう] /(n) weir (usu. for irrigation)/
頭重 [ずおも] /(n,adj-no) heavy-headed/haughty/
頭出し [あたまだし] /(n) cueing (e.g. a magnetic tape, recording) (cuing)/cue/feeding (e.g. paper under a print head)/feed/document loading/
頭書 [とうしょ] /(n) above-mentioned (matter)/superscription/
頭書き [かしらがき] /(n) heading/head note/
頭上 [ずじょう] /(n) overhead/high in sky/(P)/
頭状花 [とうじょうか] /(n) flower head/flowerhead/
頭状花序 [とうじょうかじょ] /(n) capitulum (inflorescence)/
頭身 [とうしん] /(n) (1) head and body/(suf) (2) heads tall (ratio of total height to length of the head)/heads long/
頭数 [あたまかず] /(n) number of persons/numerical strength/head count/
頭数 [とうすう] /(n) number of persons/numerical strength/head count/
頭声 [とうせい] /(n) head voice (singing)/
頭青花鶏 [ずあおあとり] /(n) (uk) chaffinch (Fringilla coelebs)/
頭切れ [とうきれ] /(n) (comp) clipping off the beginning of a speech transmission/
頭足類 [とうそくるい] /(n) cephalopod/
頭打ち [あたまうち] /(n) reaching a peak/reaching the limit/plateauing/maxing out/(P)/
頭打ち [ずうち] /(n) reaching a peak/reaching the limit/plateauing/maxing out/
頭陀袋 [ずだぶくろ] /(n) sack/carry-all bag/
頭注 [とうちゅう] /(n) headnote/
頭註 [とうちゅう] /(n) headnote/
頭頂 [とうちょう] /(n,adj-no) top of the head/vertex (anat.)/parietal/
頭頂骨 [とうちょうこつ] /(n) the parietal bone/
頭頂部 [とうちょうぶ] /(n) calvaria/area at top of head/parietal/
頭頂葉 [とうちょうよう] /(n) parietal lobe/
頭痛 [ずつう] /(n) headache/(P)/
頭痛の種 [ずつうのたね] /(exp) cause of headaches/pain in the neck/
頭突き [ずつき] /(n) butting heads/
頭突きをする [ずつきをする] /(exp,vs-i) to butt heads/to head-butt/
頭捻り [ずぶねり] /(n) head pivot throw (sumo)/
頭脳 [ずのう] /(n) head/brains/intellect/(P)/
頭脳集団 [ずのうしゅうだん] /(n) think tank/
頭脳明晰 [ずのうめいせき] /(n,adj-na) being clearheaded/having a keen (sharp, brilliant) mind/
頭脳流出 [ずのうりゅうしゅつ] /(n) a brain drain/
頭髪 [とうはつ] /(n) hair (of head)/(P)/
頭抜ける [ずぬける] /(v1,vi) to tower above/to stand out/
頭皮 [とうひ] /(n) scalp/
頭紐 [あたまひも] /(n) head harness/strap/
頭付き [あたまつき] /(n) (1) hairstyle/shape of one's head/
頭付き [かしらつき] /(n) (1) hairstyle/shape of one's head/(2) fish served whole/
頭部 [とうぶ] /(n) (1) head/cranium/(adj-no) (2) cephalic/(P)/
頭部外傷 [とうぶがいしょう] /(n) head injury/
頭部穿孔 [とうぶせんこう] /(n) trepanation/
頭分 [かしらぶん] /(n) boss/leader/
頭文字 [かしらもじ] /(n) (1) initials/initialism/(2) first letter of a word/(3) acronym/(4) capital letter/(P)/
頭文字語 [かしらもじご] /(n) (comp) acronym/
頭抱える [あたまかかえる] /(exp,v1) to be greatly perplexed/to be troubled/
頭末そろえ [とうまつそろえ] /(n) (comp) justified/
頭目 [とうもく] /(n) chief/head/leader/
頭絡 [とうらく] /(n) bridle/halter/
頭領 [とうりょう] /(n) head/chief/boss/
頭虱 [あたまじらみ] /(n) (uk) head louse (Pediculus humanus capitis)/head lice/
頭頸部がん [とうけいぶがん] /(n) head and neck carcinoma/cancer of the head and neck/
頭頸部癌 [とうけいぶがん] /(n) head and neck carcinoma/cancer of the head and neck/
騰貴 [とうき] /(n,vs) rise/(P)/
騰勢 [とうせい] /(n) upward trend/
騰落 [とうらく] /(n) rise and fall/fluctuations/ups and downs/
闘い [たたかい] /(n) battle/fight/struggle/conflict/
闘い構え [たたかいがまえ] /(n) kanji "fighting" radical/
闘う [たたかう] /(v5u,vi) to fight/to battle/to combat/to struggle against/to wage war/to engage in contest/(P)/
闘気 [とうき] /(n) fighting spirit/
闘技 [とうぎ] /(n) competition/contest/
闘技場 [とうぎじょう] /(n) arena/
闘牛 [とうぎゅう] /(n) bullfighting/bullfight/
闘牛士 [とうぎゅうし] /(n) matador/bullfighter/
闘牛場 [とうぎゅうじょう] /(n) a bullring/
闘魚 [とうぎょ] /(n) fighting fish/
闘鶏 [とうけい] /(n) cockfight/fighting cock/
闘犬 [とうけん] /(n) dogfighting/a fighting dog/
闘構え [たたかいがまえ] /(n) kanji "fighting" radical/
闘構え [とうがまえ] /(n) kanji "fighting" radical/
闘魂 [とうこん] /(n) fighting spirit/
闘士 [とうし] /(n) fighter (for)/militant/champion (of)/boxer/(P)/
闘志 [とうし] /(n) fighting spirit/(will to) fight/(P)/
闘志を燃やす [とうしをもやす] /(exp,v5s) to burn with combativeness/
闘志満々 [とうしまんまん] /(uK) (adj-no,adj-t,adv-to) brimming with fighting spirit/being strong in the will to fight/burning with combativeness/
闘志満満 [とうしまんまん] /(uK) (adj-no,adj-t,adv-to) brimming with fighting spirit/being strong in the will to fight/burning with combativeness/
闘将 [とうしょう] /(n) brave leader/
闘争 [とうそう] /(n,vs,adj-no) strife/conflict/(P)/
闘争心 [とうそうしん] /(n) belligerence/fighting spirit/
闘茶 [とうちゃ] /(n) tea-tasting contest/
闘病 [とうびょう] /(n,vs) fighting against an illness/(P)/
闘病生活 [とうびょうせいかつ] /(n) (means and time spent) fighting against an illness/
闘諍 [とうじょう] /(n,vs) fight/struggle/conflict/
働かざるもの食うべからず [はたらかざるものくうべからず] /(exp) if man will not work, he shall not eat/
働かざる者食うべからず [はたらかざるものくうべからず] /(exp) if man will not work, he shall not eat/
働かす [はたらかす] /(v5s,vt) to put someone to work/to make someone work/
働かせる [はたらかせる] /(v1) to put someone to work/to make someone work/(P)/
働き [はたらき] /(n) (1) work/labor/labour/(2) achievement/performance/ability/talent/(3) salary/income/earnings/(4) action/activity/workings/function/operation/movement/motion/(5) (ling) conjugation/inflection/(P)/
働きかけ [はたらきかけ] /(n) pressure/encouragement/urging/promoting/
働きかける [はたらきかける] /(v1,vt) to work on someone/to influence/to appeal to/to begin to work/
働き過ぎ [はたらきすぎ] /(n) overactivity/overwork/
働き過ぎる [はたらきすぎる] /(v1) to overwork/
働き掛け [はたらきかけ] /(n) pressure/encouragement/urging/promoting/
働き掛ける [はたらきかける] /(v1,vt) to work on someone/to influence/to appeal to/to begin to work/(P)/
働き蟻 [はたらきあり] /(n) (1) worker ant/(2) (col) hard worker/
働き詰め [はたらきづめ] /(n) incessant working/working non-stop/
働き口 [はたらきぐち] /(n) position/situation/employment/opening/(P)/
働き者 [はたらきもの] /(n) hard worker/hardworking person/(P)/
働き手 [はたらきて] /(n) worker/breadwinner/supporter/able person/able man/(P)/
働き手 [はたらきで] /(n) worker/breadwinner/supporter/able person/able man/
働き出す [はたらきだす] /(v5s) to start working/to take action/
働き振り [はたらきぶり] /(n) way of working/discharge of duty/
働き人 [はたらきびと] /(n) worker/good worker/
働き盛り [はたらきざかり] /(n) prime of life/(P)/
働き中毒 [はたらきちゅうどく] /(n) workaholic/
働き通しで [はたらきとおしで] /(exp) working right on through/
働き通す [はたらきとおす] /(v5s) to work straight through without stopping/
働き蜂 [はたらきばち] /(n) (1) worker bee/(2) (col) hard worker/
働く [はたらく] /(v5k,vi) (1) to work/to labor/to labour/(2) to function/to operate/to be effective/to work (i.e. ... works)/to come into play/(3) to commit (e.g. a crime)/to perpetrate/to do/to act/to practise/to practice/(4) (ling) to be conjugated/(P)/
働く気 [はたらくき] /(n) inclination to work/
動 [どう] /(n) motion/change/confusion/(P)/
動かし難い [うごかしがたい] /(n) unshakable/immovable/undeniable/
動かす [うごかす] /(v5s,vt) (1) to move/to shift/to operate/to set in motion/to mobilize/to mobilise/(2) to inspire/to rouse/to move (e.g. feeling)/to influence/(3) to deny/to change/(P)/
動き [うごき] /(n) movement/activity/trend/development/change/(P)/
動きかける [うごきかける] /(v1) to make somebody move/
動きだす [うごきだす] /(v5s) to come alive/to get going/to start to move/
動き回る [うごきまわる] /(v5r) to move around/
動き掛ける [うごきかける] /(v1) to make somebody move/
動き出す [うごきだす] /(v5s) to come alive/to get going/to start to move/(P)/
動く [うごく] /(v5k,vi) (1) to move/to stir/to shift/to shake/to swing/(2) to operate/to run/to go/to work/(3) to be touched/to be influenced/(4) to change/to vary/to fluctuate/to waver/(5) certain/factual/(6) to be transferred/(P)/
動く歩道 [うごくほどう] /(n) moving walkway/
動じる [どうじる] /(v1,vi) to be perturbed/to be agitated/(P)/
動ずる [どうずる] /(vz,vi) to be perturbed/to be agitated/
動ともすれば [ややともすれば] /(adv) being apt to/being liable to/being inclined to/
動と反動 [どうとはんどう] /(exp) action and reaction/
動めく [うごめく] /(iK) (v5k,vi) to wriggle/to squirm/to crawl like a worm/
動もすると [ややもすると] /(exp,adv) (uk) being apt to/being liable to/being inclined to/
動もすれば [ややもすれば] /(adv) being apt to/being liable to/being inclined to/(P)/
動安定 [どうあんてい] /(n) dynamic stability/
動員 [どういん] /(n,vs) mobilization/mobilisation/(P)/
動員令 [どういんれい] /(n) mobilization order/mobilisation order/
動因 [どういん] /(n) drive/motive/agent/
動画 [どうが] /(n,adj-no,vs) (1) animation/motion picture/moving image/video/(2) in-betweening (in anime)/(P)/
動画コーデック [どうかコーデック] /(n) (comp) video codec/
動画家 [どうがか] /(n) animator/
動画像 [どうがぞう] /(n) (comp) foreground image/dynamic image/
動滑車 [どうかっしゃ] /(n) movable pulley/
動眼神経 [どうがんしんけい] /(n,adj-no) oculomotor nerve/
動機 [どうき] /(n) motive/incentive/motif/(P)/
動気 [どうき] /(n) palpitation (e.g. heart)/pulsation/throbbing/
動議 [どうぎ] /(n) a motion/(P)/
動径 [どうけい] /(n) radius vector/
動原体 [どうげんたい] /(n) centromere/kinetochore/
動向 [どうこう] /(n) trend/tendency/movement/attitude/(P)/
動向把握 [どうこうはあく] /(n) grasping the trend/firmly understanding how the situation is developing/getting a good sense of how things are changing/
動向表 [どうこうひょう] /(n) In-Out Board (in office)/
動作 [どうさ] /(n,vs) action/movements/motions/bearing/behaviour/behavior/execution/actuation/operation/manners/(P)/
動作すきま [どうさすきま] /(n) differential gap/
動作フィールド [どうさフィールド] /(n) (comp) active field/
動作ページ [どうさページ] /(n) (comp) active page/
動作モード [どうさモード] /(n) (comp) operating mode/
動作位置 [どうさいち] /(n) (comp) active position/
動作可能時間 [どうさかのうじかん] /(n) (comp) operable time/uptime/
動作環境 [どうさかんきょう] /(n) (comp) operating environment/
動作記述部 [どうさきじゅつぶ] /(n) (comp) action stub/
動作記録 [どうさきろく] /(n) audit trail/history/
動作隙間 [どうさすきま] /(n) differential gap/
動作原理 [どうさげんり] /(n) operating principles/
動作行 [どうさぎょう] /(n) (comp) active line/
動作指定 [どうさしてい] /(n) (comp) action entry/
動作時間 [どうさじかん] /(n) (comp) operating time/
動作主 [どうさしゅ] /(n) performer of an action/agent/actor/
動作状況 [どうさじょうきょう] /(n) (comp) run state (of a process)/
動作状態 [どうさじょうたい] /(n,adj-no) (comp) active/
動作電圧 [どうさでんあつ] /(n) operating voltage/working voltage/
動作不能時間 [どうさふのうじかん] /(n) (comp) inoperable time/
動作有効期間 [どうさゆうこうきかん] /(n) (comp) regime/
動作率 [どうさりつ] /(n) (comp) availability ratio/
動作領域 [どうさりょういき] /(n) (comp) active area/
動産 [どうさん] /(n) personal property/personal effects/
動産保険 [どうさんほけん] /(n) property insurance/
動詞 [どうし] /(n,adj-no) (ling) verb/(P)/
動詞句 [どうしく] /(n) (ling) verb phrase/verbal phrase/
動詞句否定 [どうしくひてい] /(n) (ling) verb-phrase negation/
動詞状名詞 [どうしじょうめいし] /(n) (ling) gerund/
動軸 [どうじく] /(n) driving axle/
動軸回転表示 [どうじくかいてんひょうじ] /(n) (comp) tumbling/
動植物 [どうしょくぶつ] /(n) plants and animals/flora and fauna/(P)/
動勢 [どうせい] /(n) state/condition/movements/
動静 [どうせい] /(n) state/condition/movements/(P)/
動線 [どうせん] /(n) line of flow/
動線計画 [どうせんけいかく] /(n) circulation planning flow planning/
動体 [どうたい] /(n) moving body/
動体視力 [どうたいしりょく] /(n) dynamic vision/kinetic vision/
動態 [どうたい] /(n) movement/vital (statistics)/(P)/
動態統計 [どうたいとうけい] /(n) dynamic or vital or current statistics/
動態動詞 [どうたいどうし] /(n) (ling) dynamic verb/
動的 [どうてき] /(adj-na,adj-no) dynamic/kinetic/
動的な帯域割当 [どうてきなたいいきわりあて] /(n) (comp) dynamic bandwidth allocation/
動的アドレス変換 [どうてきアドレスへんかん] /(n) (comp) Dynamic Address Translation/DAT/
動的アドレス変換機構 [どうてきアドレスへんかんきこう] /(n) (comp) DAT/Dynamic Address Translation/
動的コンテンツ [どうてきコンテンツ] /(n) (comp) active content (e.g. on web page)/
動的ルーチング [どうてきルーチング] /(n) (comp) dynamic routing/
動的ルーティング [どうてきルーティング] /(n) (comp) dynamic routing/
動的解析 [どうてきかいせき] /(n) (comp) dynamic response analysis/
動的割振り [どうてきわりふり] /(n) (comp) dynamic (resource) allocation/
動的緩衝法 [どうてきかんしょうほう] /(n) (comp) dynamic buffering/
動的記憶装置 [どうてききおくそうち] /(n) (comp) dynamic storage/
動的呼出し [どうてきよびだし] /(n) (comp) dynamic access/
動的再配置 [どうてきさいはいち] /(n) (comp) dynamic relocation/
動的資源割り振り [どうてきしげんわりふり] /(n) (comp) dynamic resource allocation/
動的資源割振り [どうてきしげんわりふり] /(n) (comp) dynamic resource allocation/
動的装置再構成 [どうてきそうちさいこうせい] /(n) (comp) DDR/Dynamic Device Reconfiguration/
動的束縛 [どうてきそくばく] /(n) dynamic restraints/
動的適合性 [どうてきてきごうせい] /(n) (comp) dynamic conformance/
動的適合性要件 [どうてきてきごうせいようけん] /(n) (comp) dynamic conformance requirements/
動天 [どうてん] /(n) heaven-shaking event/earth-shattering occurrence/
動転 [どうてん] /(n,vs) (1) being upset/being surprised and stunned/(2) transition/changing/moving/
動顛 [どうてん] /(n,vs) (1) being upset/being surprised and stunned/(2) transition/changing/moving/
動物 [どうぶつ] /(n) animal/(P)/
動物の権利 [どうぶつのけんり] /(exp,n) animal rights/
動物ウイルス [どうぶつウイルス] /(n) animal virus/
動物プランクトン [どうぶつプランクトン] /(n) zooplankton/
動物ホルモン [どうぶつホルモン] /(n) animal hormone/
動物愛 [どうぶつあい] /(n) love for animals/
動物愛護 [どうぶつあいご] /(n) animal rights/animal welfare/animal protection/
動物愛護協会 [どうぶつあいごきょうかい] /(n) Society for the Prevention of Cruelty to Animals/
動物園 [どうぶつえん] /(n) zoo/zoological gardens/(P)/
動物化 [どうぶつか] /(n,vs) animalization/animalisation/
動物界 [どうぶつかい] /(n) animal kingdom/Animalia/
動物学 [どうぶつがく] /(n) zoology/
動物学者 [どうぶつがくしゃ] /(n) zoologist/
動物間 [どうぶつかん] /(adj-no) inter-animal/
動物虐待 [どうぶつぎゃくたい] /(n) animal abuse/animal cruelty/cruelty to animals/cruelty toward animals/
動物極 [どうぶつきょく] /(n) animal pole/
動物検査 [どうぶつけんさ] /(n) animal quarantine/
動物行動学 [どうぶつこうどうがく] /(n) ethology (study of animal behavior)/
動物細胞 [どうぶつさいぼう] /(n) animal cell/zooblast/
動物誌 [どうぶつし] /(n) fauna/
動物質 [どうぶつしつ] /(n) animal matter/
動物実験 [どうぶつじっけん] /(n) experiments on animals/
動物社会 [どうぶつしゃかい] /(n) animal society/
動物社会学 [どうぶつしゃかいがく] /(n) animal sociology/
動物心理学 [どうぶつしんりがく] /(n) animal psychology/
動物崇拝 [どうぶつすうはい] /(n) zoolatry/
動物性 [どうぶつせい] /(n) animal nature/animality/
動物性蛋白 [どうぶつせいたんぱく] /(n) animal protein/
動物相 [どうぶつそう] /(n) fauna/
動物達 [どうぶつたち] /(n) animals/
動物地理学 [どうぶつちりがく] /(n) zoogeography/
動物地理区 [どうぶつちりく] /(n) zoogeographical region/
動物油脂 [どうぶつゆし] /(n) animal fat/
動物由来感染症 [どうぶつゆらいかんせんしょう] /(n) anthropozoonosis (diseases transmitted to humans by animals)/
動摩擦 [どうまさつ] /(n) kinetic friction/
動脈 [どうみゃく] /(n) artery/(P)/
動脈管開存症 [どうみゃくかんかいぞんしょう] /(n) patent ductus arteriosus/
動脈血 [どうみゃくけつ] /(n) arterial blood/
動脈血 [どうみゃっけつ] /(n) arterial blood/
動脈硬化 [どうみゃくこうか] /(n,vs) arteriosclerosis/hardening of the arteries/(P)/
動脈硬化症 [どうみゃくこうかしょう] /(n) arteriosclerosis/hardening of the arteries/
動脈瘤 [どうみゃくりゅう] /(n) aneurysm/aneurism/
動名詞 [どうめいし] /(n) (ling) gerund/verbal noun/
動揺 [どうよう] /(n,vs) disturbance/unrest/shaking/trembling/pitching/rolling/oscillation/agitation/excitement/commotion/(P)/
動乱 [どうらん] /(n,vs,adj-no) disturbance/agitation/commotion/upheaval/riot/(P)/
動量 [どうりょう] /(n) momentum/
動力 [どうりょく] /(n,adj-f) power/motive power/dynamic force/(P)/
動力因 [どうりょくいん] /(n) efficient cause/
動力学 [どうりきがく] /(n) dynamics/
動力計 [どうりょくけい] /(n) dynamometer/
動力源 [どうりょくげん] /(n) source of power/
動力降下 [どうりょくこうか] /(n) power drive/
動力資源 [どうりょくしげん] /(n) sources of power/
動力炉 [どうりょくろ] /(n) nuclear power reactor/
動輪 [どうりん] /(n) driving wheel/
動労 [どうろう] /(n) National Railway Motive Power Union/
動悸 [どうき] /(n) palpitation (e.g. heart)/pulsation/throbbing/
同 [どう] /(pref) the same/the said/ibid./(P)/
同い年 [おないどし] /(n) of the same age/
同じ [おなじ] /(adj-f,n) (1) same/identical/equal/uniform/equivalent/similar/common (origin)/changeless/alike/(adv) (2) (usu. part of a 'nara' conditional) anyway/anyhow/in either case/(P)/
同じ [おんなじ] /(adj-f,n) (1) same/identical/equal/uniform/equivalent/similar/common (origin)/changeless/alike/(adv) (2) (usu. part of a 'nara' conditional) anyway/anyhow/in either case/
同じく [おなじく] /(adv,conj,vs) similarly/same (idea)/same (name)/(P)/
同じくらい [おなじくらい] /(exp) approximately the same/
同じゅうする [おなじゅうする] /(vs-s,vi) to be the same/to coincide/to correspond/
同じよう [おなじよう] /(adj-na) similar/
同じる [どうじる] /(v1,vi) to agree/
同じ位 [おなじくらい] /(exp) approximately the same/
同じ釜の飯を食う [おなじかまのめしをくう] /(exp,v5u) to have lived together/to be close friends/to eat out of the same pot/
同じ穴のムジナ [おなじあなのムジナ] /(exp) (villains) of the same stripe (lit: badgers of the same hole)/birds of a feather/
同じ穴の狢 [おなじあなのむじな] /(exp) (villains) of the same stripe (lit: badgers of the same hole)/birds of a feather/
同じ仲間 [おなじなかま] /(exp) same group/same gang/
同じ年 [おなじとし] /(n) same age/
同じ年 [おなじどし] /(n) same age/
同じ様 [おなじよう] /(adj-na) similar/
同ずる [どうずる] /(vz,vi) to agree/
同の字点 [どうのじてん] /(n) kanji iteration mark/
同案 [どうあん] /(n) (1) same plan/same idea/(2) that plan/that idea/
同位 [どうい] /(n) the same rank/the same digit/
同位エンティティ [どういエンティティ] /(n) (comp) peer-entities/
同位エンティティに割り当てられるウィンドウ上限 [どういエンティティにわりあてられるウィンドウじょうげん] /(n) (comp) upper window edge allocated to the peer entity/
同位エンティティ認証 [どういエンティティにんしょう] /(n) (comp) peer-entity authentication/
同位角 [どういかく] /(n) (math) corresponding angles/
同位元素 [どういげんそ] /(n) isotope/
同位体 [どういたい] /(n) isotope/
同位面 [どういめん] /(n) (obsc) isosurface/
同位列 [どういれつ] /(n) (comp) array/
同委員会 [どういいんかい] /(n) the same committee/
同意 [どうい] /(n,vs,adj-no) (1) agreement/consent/same opinion/approval/(2) same meaning/(P)/
同意義 [どういぎ] /(n) the same meaning/
同意見 [どういけん] /(n) the same opinion/
同意語 [どういご] /(n) synonym/
同意書 [どういしょ] /(n) letter of consent/letter of intent/agreement document/
同意味 [どういみ] /(n,adj-no) same meaning/
同異 [どうい] /(n) similarities and differences/
同一 [どういつ] /(adj-na,n,adj-no) identity/sameness/similarity/equality/fairness/(P)/
同一環境 [どういちかんきょう] /(n) (comp) unified environment/same environment/
同一原理 [どういつげんり] /(n) principle of identity (logic)/
同一視 [どういつし] /(n,vs) class with/put on par with/regard in the same light as/
同一人 [どういつにん] /(n) the same person/
同一人物 [どういつじんぶつ] /(n) the very same person/
同一哲学 [どういつてつがく] /(n) identity philosophy/
同一分布 [どういつぶんぷ] /(n) (comp) uniform distribution/
同一律 [どういつりつ] /(n) law of identity/principle of identity/
同音 [どうおん] /(n,adj-no) the same sound/one voice/(P)/
同音異義 [どうおんいぎ] /(n) having the same pronunciation but bearing different meanings/
同音異義語 [どうおんいぎご] /(n) homonym/
同音異義性 [どうおんいぎせい] /(n) (comp) homophony/
同音異字 [どうおんいじ] /(n) homophone/word with the same pronunciation and similar meaning as another but a different written form/
同音語 [どうおんご] /(n) homophone/
同化 [どうか] /(n,vs,adj-no) (1) assimilation/absorption/(2) anabolism/(3) adaptation/(P)/
同化作用 [どうかさよう] /(n,adj-no) assimilation/metabolism/anabolism/
同価 [どうか] /(n,adj-no) equivalent/
同家 [どうけ] /(n) the said family/the same family/
同格 [どうかく] /(n,adj-no,adj-na) the same rank/equality/apposition/
同格関係 [どうかくかんけい] /(n) (comp) coordinate relation/
同学 [どうがく] /(n) the same school/
同学年 [どうがくねん] /(n) same year in school/
同額 [どうがく] /(n,adj-no) the same amount/
同感 [どうかん] /(n,vs) agreement/same opinion/same feeling/sympathy/concurrence/(P)/
同期 [どうき] /(n-adv,vs,adj-no) (1) contemporary/corresponding period/same period/same class/(2) synchronous/synchronization/(P)/
同期が取れる [どうきがとれる] /(exp,v1) (comp) to be synchronized/
同期を取る [どうきをとる] /(exp,v5r) (comp) to synchronize/
同期データリンク制御 [どうきデータリンクせいぎょ] /(n) (comp) Synchronous Data Link Control/SDLC/
同期デジタルハイアラキー [どうきデジタルハイアラキー] /(n) (comp) Synchronous Digital Hierarchy/SDH/
同期ビットストリーム [どうきビットストリーム] /(n) (comp) synchronous bit stream/
同期化 [どうきか] /(n) (comp) synchronization/
同期外れ [どうきはずれ] /(n) synchronisation loss (in digital communications)/synchronization loss/
同期式 [どうきしき] /(n) synchronization/synchronisation/
同期信号 [どうきしんごう] /(n) synchronous idle/SYN/
同期生 [どうきせい] /(n) (1) classmate/graduates in the same class/(2) wrestlers who began their professional careers in the same tournament (sumo)/
同期通信 [どうきつうしん] /(n) synchronous communication/
同期的 [どうきてき] /(adj-na) (comp) synchronous/
同期転送モード [どうきてんそうモード] /(n) (comp) Synchronous Transfer Mode/STM/
同期点識別子 [どうきてんしきべつし] /(n) (comp) syncpoint identifier/
同期伝送 [どうきでんそう] /(n) (comp) synchronous transmission/
同気 [どうき] /(n) same temperament/same turn of mind/
同気相求む [どうきあいもとむ] /(exp) (id) like minds gather/
同気相求める [どうきあいもとめる] /(exp) (id) like minds gather/
同義 [どうぎ] /(adj-na,n,adj-no) the same meaning/
同義語 [どうぎご] /(n) synonym/(P)/
同義性 [どうぎせい] /(n) (comp) synonymy/synonymity/
同義名 [どうぎめい] /(n) (comp) synonymous name/synonym/
同級 [どうきゅう] /(n) the same grade/same class/(P)/
同級生 [どうきゅうせい] /(n) classmate/classmates/(P)/
同居 [どうきょ] /(n,vs) coexistence/living together/(P)/
同居人 [どうきょにん] /(n) (1) person living with a family/lodger/(2) housemate/flatmate/roommate/
同郷 [どうきょう] /(n) same village/same town/same province/(P)/
同郷人 [どうきょうじん] /(n) person from the same province, town, village, etc./
同業 [どうぎょう] /(n) same trade/same business/(P)/
同業者 [どうぎょうしゃ] /(n) person in the same business/the profession/the trade/
同業組合 [どうぎょうくみあい] /(n) trade association/craft/guild/
同局 [どうきょく] /(n) the said bureau/the same bureau/(P)/
同区 [どうく] /(n) same ward/
同訓 [どうくん] /(n) kun homophone/
同訓異義語 [どうくんいぎご] /(n) kun homonym/
同訓異字 [どうくんいじ] /(n) different kanji with the same Japanese reading (and usu. a similar meaning)/
同型 [どうけい] /(n,adj-no) isomorphism/same shape/same type/same pattern/
同形 [どうけい] /(n,adj-no) isomorphism/same shape/same type/same pattern/
同形異義語 [どうけいいぎご] /(n) homograph/
同形異義性 [どうけいいぎせい] /(n) (comp) homography/
同形同音異義性 [どうけいどうおんいぎせい] /(n) (comp) homonymy/homonymity/
同慶 [どうけい] /(n) matter for mutual congratulation/
同系 [どうけい] /(n,adj-no) affiliated/akin/
同系色 [どうけいしょく] /(n) similar color/similar colour/
同穴 [どうけつ] /(n) being buried in the same grave/
同月 [どうげつ] /(n-adv,n-t) the same month/(P)/
同権 [どうけん] /(n) the same rights/equal rights/
同県 [どうけん] /(n) the same prefecture/(P)/
同源 [どうげん] /(n,adj-no) the same origin/
同語 [どうご] /(n) same word/
同語反復 [どうごはんぷく] /(n) (ling) tautology/
同語反覆 [どうごはんぷく] /(n) (ling) tautology/
同好 [どうこう] /(n) similar tastes/(P)/
同好会 [どうこうかい] /(n) association of like-minded people/
同好者 [どうこうしゃ] /(n) people of similar tastes/
同工異曲 [どうこういきょく] /(n) equal workmanship but different style/
同校 [どうこう] /(n) same school/(P)/
同構え [どうがまえ] /(n) kanji radical 13 ("upside-down box")/
同行 [どうぎょう] /(n,vs) fellow pilgrim/fellow practicer of austerities/(P)/
同行 [どうこう] /(n,vs) (1) accompanying/travelling together/traveling together/(2) (abbr) same bank/
同行者 [どうこうしゃ] /(n) fellow travellers/fellow travelers/
同行二人 [どうぎょうににん] /(n) Kobo Daishi is always with me (written on the hats of Shikoku pilgrims)/
同国 [どうこく] /(n) the same country/the same province/the said country/(P)/
同国人 [どうこくじん] /(n) fellow countryman/compatriot/person from same province/
同国民 [どうこくみん] /(n) fellow countrymen/
同根 [どうこん] /(n) same root/same origin/
同梱 [どうこん] /(n,vs,adj-no) including something in a package/
同左 [どうひだり] /(exp) same as on the left/
同坐 [どうざ] /(n,vs) sitting together/the same theater (theatre)/involvement/entanglement/implication/
同座 [どうざ] /(n,vs) sitting together/the same theater (theatre)/involvement/entanglement/implication/
同罪 [どうざい] /(n) same offense/same offence/
同士 [どうし] /(n,n-suf) fellow/mutual/companion/comrade/bonding/(P)/
同士打 [どうしうち] /(n) (1) friendly fire/killing each other by mistake/(2) internecine strife/
同士打 [どしうち] /(n) (1) friendly fire/killing each other by mistake/(2) internecine strife/
同士打ち [どうしうち] /(n) (1) friendly fire/killing each other by mistake/(2) internecine strife/
同士打ち [どしうち] /(n) (1) friendly fire/killing each other by mistake/(2) internecine strife/
同士討 [どうしうち] /(n) (1) friendly fire/killing each other by mistake/(2) internecine strife/
同士討 [どしうち] /(n) (1) friendly fire/killing each other by mistake/(2) internecine strife/
同士討ち [どうしうち] /(n) (1) friendly fire/killing each other by mistake/(2) internecine strife/
同士討ち [どしうち] /(n) (1) friendly fire/killing each other by mistake/(2) internecine strife/
同市 [どうし] /(n) same city/(P)/
同志 [どうし] /(n) same mind/comrade/kindred soul/(P)/
同志愛 [どうしあい] /(n) affection among kindred spirits/bonding/fellow feeling/
同志会 [どうしかい] /(n) association of kindred spirits/
同志的 [どうしてき] /(adj-na) companionable/
同氏 [どうし] /(n) the said person/he/she/same person/(P)/
同紙 [どうし] /(n) the same newspaper/
同視 [どうし] /(n,vs) treating alike/
同誌 [どうし] /(n) same magazine/
同歯性 [どうしせい] /(adj-no,n) homodont/
同事 [どうじ] /(n) the same event/no change (on the stock market)/
同字 [どうじ] /(n) the same character/
同時 [どうじ] /(n,adj-no) simultaneous(ly)/concurrent/same time/synchronous/together/(P)/
同時に [どうじに] /(adv,conj) coincident with/while/simultaneously/
同時間 [どうじかん] /(n) (comp) same time (of day)/
同時性 [どうじせい] /(n) simultaneity/
同時選挙 [どうじせんきょ] /(n) double election (e.g. of the lower and higher chambers)/
同時代 [どうじだい] /(n) the same age/same period/(P)/
同時通訳 [どうじつうやく] /(n,vs) simultaneous interpretation/
同時放送 [どうじほうそう] /(n) simulcast/
同時録音 [どうじろくおん] /(n) simultaneous or synchronous recording/
同軸 [どうじく] /(n,adj-no) (1) same axle/(2) coaxial (cable)/
同軸ケーブル [どうじくケーブル] /(n) coaxial cable/
同室 [どうしつ] /(n,vs) the same room/(P)/
同質 [どうしつ] /(n,adj-no,adj-na) same quality/same nature/homogeneous/
同質的 [どうしつてき] /(adj-na) homogeneous/
同社 [どうしゃ] /(n) the same firm/(P)/
同車 [どうしゃ] /(n,vs) taking the same car or train/
同種 [どうしゅ] /(n,adj-no) same kind (race)/homogeneousness/(P)/
同種移植 [どうしゅいしょく] /(n,vs) allograft/
同種計算機ネットワーク [どうしゅけいさんきネットワーク] /(n) (comp) homogeneous computer network/
同種同文 [どうしゅどうぶん] /(n) same race and same language/
同種類 [どうしゅるい] /(n) the same kind/
同趣味 [どうしゅみ] /(n) the same interests/
同宗 [どうしゅう] /(n) the same sect/
同舟 [どうしゅう] /(n,vs) shipmates/fellow passengers/
同宿 [どうしゅく] /(n,vs) lodging in the same hotel/
同処 [どうしょ] /(n) the same place/the same address/the said place/
同所 [どうしょ] /(n) the same place/the same address/the said place/
同署 [どうしょ] /(n) the (above-mentioned) authorities/police (from said station)/
同書 [どうしょ] /(n) the same book/the said book/
同小 [どうしょう] /(n) the above-mentioned elementary school/
同床異夢 [どうしょういむ] /(n) cohabiting but living in different worlds/
同省 [どうしょう] /(n) the said ministry/the same ministry/(P)/
同上 [どうじょう] /(n) same as above/ditto/ibid./(P)/
同乗 [どうじょう] /(n,vs) riding together/riding with/(P)/
同乗者 [どうじょうしゃ] /(n) fellow passenger/
同情 [どうじょう] /(n,vs) sympathy/compassion/sympathize/sympathise/pity/feel for/(P)/
同情者 [どうじょうしゃ] /(n) sympathizer/sympathiser/
同情心 [どうじょうしん] /(n) sympathy/compassion/
同情票 [どうじょうひょう] /(n) sympathy vote/
同職 [どうしょく] /(n) the same occupation/the said occupation/
同色 [どうしょく] /(n,adj-no) same color/same colour/
同信 [どうしん] /(n) the same faith/
同心 [どうしん] /(n,adj-no) (1) concentricity/(2) same mind/unanimity/(n) (3) policeman/constable in the Edo period/
同心円 [どうしんえん] /(n) concentric circles/
同人 [どうじん] /(n) literary group (coterie)/same person/said person/clique/fraternity/kindred spirits/comrade/colleague/(P)/
同人 [どうにん] /(n) literary group (coterie)/same person/said person/clique/fraternity/kindred spirits/comrade/colleague/
同人雑誌 [どうじんざっし] /(n) magazine of a society/
同人誌 [どうじんし] /(n) (1) magazine published by fans/fanzine/(2) publication aimed at a particular hobby group/(3) publication sold directly, and not via commercial publishers/
同人種 [どうじんしゅ] /(n) racial identity/same race/
同仁 [どうじん] /(n) universal benevolence/
同仁教会 [どうじんきょうかい] /(n) Universalist Church/
同数 [どうすう] /(n,adj-no) same number/(P)/
同世代 [どうせだい] /(n) same generation/one's generation/
同勢 [どうぜい] /(n) party/company/
同姓 [どうせい] /(n,adj-no) same surname/(P)/
同姓同名 [どうせいどうめい] /(adj-no) (having) same family and personal name/
同性 [どうせい] /(n,adj-no) same sex/homosexuality/homogeneity/congeniality/(P)/
同性愛 [どうせいあい] /(n,adj-no) homosexual love/(P)/
同性愛嫌悪 [どうせいあいけんお] /(n) homophobia/
同性愛者 [どうせいあいしゃ] /(n) homosexual (person)/
同性愛者解放運動 [どうせいあいしゃかいほううんどう] /(n) gay liberation movement/gay liberation/
同性間結婚 [どうせいかんけっこん] /(n) same-sex marriage/gay marriage/
同性結婚 [どうせいけっこん] /(n) same-sex marriage/gay marriage/
同性婚 [どうせいこん] /(n) same-sex marriage/gay marriage/
同棲 [どうせい] /(n,vs) cohabitation/living together/(P)/
同席 [どうせき] /(n,vs,adj-no) presence/sitting with/being with/(P)/
同説 [どうせつ] /(n) the same opinion/
同船 [どうせん] /(n,vs) the same ship/taking the same ship/(P)/
同船の人 [どうせんのひと] /(n) fellow voyager/
同前 [どうぜん] /(n) same as above/ditto/ibid./
同然 [どうぜん] /(adj-na,n,adj-no) similar to/same/right/proper/just/natural/(P)/
同祖 [どうそ] /(n,adj-no) common ancestor/
同素体 [どうそたい] /(n) allotrope/
同相 [どうそう] /(n,adj-no) (1) (id) the said (cabinet) minister/(n) (2) in-phase (component of a wave)/(3) homeomorphism/
同相電圧 [どうそうでんあつ] /(n) (comp) common mode voltage/
同相分除去 [どうそうぶんじょきょ] /(n) (comp) common mode rejection/
同窓 [どうそう] /(n) the same school/(P)/
同窓会 [どうそうかい] /(n) graduate's association/alumni meeting/class reunion/(P)/
同窓生 [どうそうせい] /(n) alumni/alumnus/schoolmate/
同送 [どうそう] /(adj-no) shipped together/sent at the same time/
同族 [どうぞく] /(n,adj-no) same family (race, tribe)/
同族会 [どうぞくかい] /(n) family council/family company/
同族会社 [どうぞくかいしゃ] /(n) family corporation/affiliated concern/
同族会社 [どうぞくがいしゃ] /(n) family corporation/affiliated concern/
同族関係 [どうぞくかんけい] /(n) consanguinity/
同族体 [どうぞくたい] /(n) homologue/homolog/
同族目的語 [どうぞくもくてきご] /(n) (ling) cognate object/
同族目的語動詞 [どうぞくもくてきごどうし] /(n) (ling) cognate object verb/
同族目的語動詞句 [どうぞくもくてきごどうしく] /(n) (ling) cognate object verb phrase/
同族列 [どうぞくれつ] /(n) homologous series/
同村 [どうそん] /(n) same village/that village/
同体 [どうたい] /(n) as one flesh or body/simultaneously/
同体に [どうたいに] /(adv) as one/together/
同大 [どうだい] /(n) (1) something of the same size/(2) the said university/
同断 [どうだん] /(adj-na,n) the same/ditto/
同値 [どうち] /(n,adj-no) equivalence/equal value/equivalent/
同値関係 [どうちかんけい] /(n) (math) equivalence relation/
同値性 [どうちせい] /(n) equivalency/equivalency property/
同地 [どうち] /(n) the same place/that place/(P)/
同着 [どうちゃく] /(n) arriving at the same moment/
同町 [どうちょう] /(n) the same town/that town/(P)/
同調 [どうちょう] /(n,vs) sympathy/agreement with/alignment/conformity/tuning/(P)/
同調圧力 [どうちょうあつりょく] /(n) pressure to conform/peer pressure/
同調者 [どうちょうしゃ] /(n) fellow traveler/fellow traveller/sympathizer/sympathiser/
同定 [どうてい] /(n,vs) identification/
同程度 [どうていど] /(n) same level/same extent/
同店 [どうてん] /(n) the same store/the same shop/(P)/
同点 [どうてん] /(n,adj-no) deadlock/tie/draw/(P)/
同点決勝 [どうてんけっしょう] /(n) play-off/
同点決勝戦 [どうてんけっしょうせん] /(n) tiebreaker/
同田貫 [どうたぬき] /(n) (1) Eiroku-period swordsmithing school, named for a place in the old Higo province/(2) sword of the Dotanuki school, usually thicker and heavier than regular Japanese swords/(3) in fiction, a heavier variant of Japanese sword/
同党 [どうとう] /(n) the same political party/(P)/
同等 [どうとう] /(adj-na,n,adj-no) equality/equal/same rights/same rank/equivalence/(P)/
同道 [どうどう] /(n,vs) going with/accompanying/
同毒療法 [どうどくりょうほう] /(n) homeopathy/
同日 [どうじつ] /(n-adv,n-t) the same day/(P)/
同日の談ではない [どうじつのだんではない] /(exp) bearing no comparison with/not to be mentioned in the same breath as/
同日の論ではない [どうじつのろんではない] /(exp) (id) There is no comparison between the two/
同年 [どうねん] /(n-adv,n-t) that year/same year/same age/(P)/
同年代 [どうねんだい] /(n,adj-no) the same generation/coeval/
同年輩 [どうねんぱい] /(n) persons of the same age/
同年輩の人 [どうねんぱいのひと] /(n) contemporary/person of the same age/
同年齢 [どうねんれい] /(adj-no,n) of the same age/age-matched/
同派 [どうは] /(n) (1) same sect/(2) same faction/
同輩 [どうはい] /(n) fellows/comrade/colleague/one's equal/
同伴 [どうはん] /(n,vs) company/accompany/going with/(P)/
同伴者 [どうはんしゃ] /(n) companion/
同伴出勤 [どうはんしゅっきん] /(n,vs) (a bar hostess) coming to work accompanied by a customer/
同藩 [どうはん] /(n) the same clan/
同筆 [どうひつ] /(n) the same handwriting/
同病 [どうびょう] /(n) the same sickness/(P)/
同病相哀れむ [どうびょうあいあわれむ] /(exp,v5m) fellow sufferers pity each other/
同病相憐れむ [どうびょうあいあわれむ] /(exp,v5m) fellow sufferers pity each other/
同父母 [どうふぼ] /(n) the same parents/
同部屋 [どうべや] /(n) sumo wrestlers from the same stable/
同封 [どうふう] /(n,vs,adj-no) enclosure (e.g. in a letter)/(P)/
同腹 [どうふく] /(n) born of the same mother/kindred spirits/
同腹仔 [どうふくし] /(n) litter/
同分母 [どうぶんぼ] /(n) common denominator/
同文 [どうぶん] /(n,adj-no) same script/same language/
同文通達 [どうぶんつうたつ] /(n) (Papal) encyclical/
同文同種 [どうぶんどうしゅ] /(n) same race and same script/
同母姉 [どうぼし] /(n) sisters of the same mother/uterine sisters/
同報 [どうほう] /(n) (comp) broadcast/multi-destination delivery/
同報サービス [どうほうサービス] /(n) (comp) multiple addressing service/
同報通信 [どうほうつうしん] /(n,vs) (comp) broadcast communication/
同報伝送 [どうほうでんそう] /(n) (comp) broadcast transmission/
同朋 [どうほう] /(n) companions/fellows/
同朋 [どうぼう] /(n) companions/fellows/
同法 [どうほう] /(n) same law/same method/
同胞 [どうほう] /(n) brethren/brothers/fellow countrymen/fellowman/compatriot/(P)/
同胞 [どうぼう] /(n) brethren/brothers/fellow countrymen/fellowman/compatriot/
同胞 [はらから] /(n) brethren/brothers/fellow countrymen/fellowman/compatriot/
同胞愛 [どうほうあい] /(n) brotherly love/
同胞融和 [どうほうゆうわ] /(n) movement to end discrimination against Burakumin/
同邦 [どうほう] /(n) the same country/
同房 [どうぼう] /(n) the same room/sharing a room/sharers of a room/
同名 [どうみょう] /(n,adj-no) same name/
同名 [どうめい] /(n,adj-no) same name/(P)/
同名異人 [どうめいいじん] /(n) namesake/person with the same name/
同盟 [どうめい] /(n,vs,adj-no) alliance/union/league/(P)/
同盟休校 [どうめいきゅうこう] /(n) student strike/
同盟軍 [どうめいぐん] /(n) allied armies/
同盟国 [どうめいこく] /(n) ally (of another nation)/
同盟条約 [どうめいじょうやく] /(n) treaty of alliance/
同盟怠業 [どうめいたいぎょう] /(n) go-slow strike/
同盟罷業 [どうめいひぎょう] /(n) strike/
同門 [どうもん] /(n) fellow student/
同夜 [どうや] /(n-adv,n-t) the same night/that night/(P)/
同役 [どうやく] /(n) colleague/
同憂 [どうゆう] /(n) sharing the same concern/
同曜日 [どうようび] /(n) (comp) same day (of the week)/
同様 [どうよう] /(adj-no,adj-na,n) identical/equal to/same (kind)/like/similarity/(P)/
同様に [どうように] /(adv) identically/in the (exact) same way/similarly/
同率 [どうりつ] /(n) the same ratio or percentage/(P)/
同流 [どうりゅう] /(n) the same style/same school/common origin/
同侶 [どうりょ] /(n) companion/
同侶 [どうりょう] /(n) companion/
同僚 [どうりょう] /(n) coworker/co-worker/colleague/associate/(P)/
同量 [どうりょう] /(n,adj-no) same amount/
同類 [どうるい] /(n,adj-no) the same kind/accomplice/partner/(P)/
同類項 [どうるいこう] /(n) like terms/similar terms/same kind/same class/
同列 [どうれつ] /(n) same rank or file/company/attendance/(P)/
同列に論じる [どうれつにろんじる] /(exp,v1) to discuss in the same terms/to treat equally/
同労 [どうろう] /(n) working together/
同労者 [どうろうしゃ] /(n) fellow worker/
同和 [どうわ] /(n) (abbr) social integration (euph. for the treatment of burakumin)/
同和教育 [どうわきょういく] /(n) social integration education/education to eliminate discrimination (e.g. against burakumin)/
同和地区 [どうわちく] /(n) burakumin area/
同翅類 [どうしるい] /(n) homopterans (true bugs of suborder Homoptera)/
同衾 [どうきん] /(n,vs) sharing the bed/
堂 [どう] /(n,n-suf,n-pref) (1) temple/shrine/hall/(2) prefix to building meaning "magnificent"/(P)/
堂々 [どうどう] /(adj-t,adv-to) (1) magnificent/grand/impressive/dignified/majestic/imposing/stately/(2) fair/square/open/(adv-to) (3) grandly/boldly/confidently/(4) fairly/squarely/(5) unreservedly/without apology/without hesitation/(P)/
堂々回り [どうどうめぐり] /(n,vs) going around in circles/circling a temple/roll-call vote/
堂々巡り [どうどうめぐり] /(n,vs) going around in circles/circling a temple/roll-call vote/
堂にいる [どうにいる] /(exp,v5r) to become an expert/to be master at/
堂に入る [どうにいる] /(exp,v5r) to become an expert/to be master at/
堂宇 [どうう] /(n) edifice/temple/hall/
堂奥 [どうおう] /(n) secret knowledge/interior of a temple/
堂舎 [とうじゃ] /(n) (arch) large and small buildings, esp. shrines and temples/
堂舎 [どうしゃ] /(n) (arch) large and small buildings, esp. shrines and temples/
堂舎 [どうじゃ] /(n) (arch) large and small buildings, esp. shrines and temples/
堂守 [どうもり] /(n) temple keeper/
堂上 [どうじょう] /(n) on the roof/court nobles/
堂塔 [どうとう] /(n) temple/temple buildings/
堂堂 [どうどう] /(adj-t,adv-to) (1) magnificent/grand/impressive/dignified/majestic/imposing/stately/(2) fair/square/open/(adv-to) (3) grandly/boldly/confidently/(4) fairly/squarely/(5) unreservedly/without apology/without hesitation/
堂堂回り [どうどうめぐり] /(n,vs) going around in circles/circling a temple/roll-call vote/
堂堂巡り [どうどうめぐり] /(n,vs) going around in circles/circling a temple/roll-call vote/
導 [しるべ] /(n) guidance/guide/
導き [みちびき] /(n) guidance/
導き手 [みちびきて] /(n) guide/
導き出す [みちびきだす] /(v5s) to derive/
導く [みちびく] /(v5k,vt) (1) to guide/to lead/to show the way/to conduct/(2) to derive/to deduce/(P)/
導因 [どういん] /(n) incentive/inducement/
導火線 [どうかせん] /(n) fuse/(P)/
導管 [どうかん] /(n,adj-no) conduit/duct (anatomy)/
導管 [どうけん] /(n,adj-no) conduit/duct (anatomy)/
導管課税 [どうかんかぜい] /(n) conduit taxation/
導管実体 [どうかんじったい] /(n) pass-through entity (legal term)/look-through entity/(fiscally) transparent entity/
導関数 [どうかんすう] /(n) (math) derivative/derived function/
導光板 [どうこうばん] /(n) light guide/light-guiding plate/LGP/light-guiding panel/
導師 [どうし] /(n) officiating monk/
導出 [どうしゅつ] /(n,vs,adj-no) derivation/
導水 [どうすい] /(n) water conveyance/
導水管 [どうすいかん] /(n) conduit/water pipe/aqueduct/
導線 [どうせん] /(n) conducting wire/
導体 [どうたい] /(n) conductor (electricity)/
導通 [どうつう] /(n) conduction/
導通試験 [どうつうしけん] /(n) (comp) continuity test/
導通抵抗 [どうつうていこう] /(n) resistance (to conduction)/
導電 [どうでん] /(n) conduction/
導電性 [どうでんせい] /(n) conductivity/
導電性高分子 [どうでんせいこうぶんし] /(n) conducting polymer/conductive polymer/
導電体 [どうでんたい] /(n) conductor (elec)/
導電度 [どうでんど] /(n) conductivity/
導電率 [どうでんりつ] /(n) conductivity/
導入 [どうにゅう] /(n,vs) introduction/bringing in/leading in/installation/(P)/
導入済み [どうにゅうすみ] /(n) (comp) already installed/already in place/
導入部 [どうにゅうぶ] /(n) entry/guide/
導波管 [どうはかん] /(n) waveguide/
導波管定数 [どうはかんていすう] /(n) waveguide constant/
導波路 [どうはろ] /(n) waveguide (usually optical)/
憧れ [あこがれ] /(n,adj-no) yearning/longing/aspiration/(P)/
憧れの的 [あこがれのまと] /(exp) object of adoration, longing/(P)/
憧れる [あこがれる] /(v1,vi) to long for/to yearn after/to admire/to be attracted by/(P)/
憧憬 [しょうけい] /(n,vs) longing/aspiration/
憧憬 [どうけい] /(n,vs) longing/aspiration/
憧憬れる [あこがれる] /(v1,vi) to long for/to yearn after/to admire/to be attracted by/
撞く [つく] /(v5k,vt) (1) to prick/to stab/(2) to poke/to prod/to push/to thrust/to nudge/to hit/to strike/(3) to use (a cane)/to prop oneself up with/to press against (the floor, etc.)/(4) to attack/(5) to brave (the rain, etc.)/
撞球 [どうきゅう] /(n) billiards/
撞着 [どうちゃく] /(n,vs) contradiction/
撞着語法 [どうちゃくごほう] /(n) oxymoron/
撞着矛盾 [どうちゃくむじゅん] /(n,vs) self-contradiction/
撞木 [しゅもく] /(n) wooden bell hammer/
撞木鮫 [しゅもくざめ] /(n) (uk) hammerhead shark/
撞木杖 [しゅもくづえ] /(n) (obsc) crutches/
撞木反り [しゅもくぞり] /(n) bell hammer backwards body drop (sumo)/
洞 [うろ] /(n) hollow/cavity/hole/
洞 [ほら] /(n) cave/den/grotto/(P)/
洞井守 [ほらいもり] /(n) (uk) olm (Proteus anguinus)/
洞角 [どうかく] /(n) hollow horn/cavicorn/
洞窟 [どうくつ] /(n,adj-no) cave/(P)/
洞穴 [どうけつ] /(n) cave/den/grotto/(P)/
洞穴 [ほらあな] /(n) cave/den/grotto/
洞結節 [どうけっせつ] /(n) sinus node/sinoatrial node/
洞見 [どうけん] /(n,vs) insight/discernment/
洞察 [どうさつ] /(n,vs) discernment/insight/(P)/
洞察力 [どうさつりょく] /(n) insight/discernment/perception/perspicacity/acumen/
洞房結節 [どうぼうけっせつ] /(n) sinoatrial node/
洞毛 [どうもう] /(n) vibrissae (e.g. cat whiskers)/
洞門 [どうもん] /(n) cave entrance/tunnel/
洞爺湖サミット [とうやこサミット] /(n) G8 Hokkaido Toyako Summit/Hokkaido Toyako G8 summit/
洞簫 [どうしょう] /(n) dongxiao (Chinese bamboo flute similar to a shakuhachi)/
洞鯊 [うろはぜ] /(n) (uk) Glossogobius olivaceus (species of goby)/
瞳 [ひとみ] /(n) (1) pupil (of eye)/(2) eye/(P)/
瞳を凝らす [ひとみをこらす] /(exp,v5s) to strain one's eyes/to stare/
瞳孔 [どうこう] /(adj-na,n,adj-no) pupil/pupillary/
瞳孔拡張 [どうこうかくちょう] /(n) pupil dilation/
瞳孔散大 [どうこうさんだい] /(n) dilation of the pupil/mydriasis/
瞳孔縮小 [どうこうしゅくしょう] /(n) pupil contraction/
瞳子 [どうし] /(n) pupil/
童 [わっぱ] /(n) (arch) child/
童 [わらし] /(n) (arch) child/
童 [わらべ] /(n) (arch) child/
童 [わらわ] /(n) (arch) child/
童 [わらんべ] /(n) (arch) child/
童歌 [わらべうた] /(n) children's (folk) song/
童画 [どうが] /(n) pictures drawn by child/pictures for children/
童顔 [どうがん] /(n,adj-no) child-faced/(P)/
童子 [どうじ] /(n) boy/kid/child/
童衆 [わっぱ] /(n) (arch) child/
童衆 [わらし] /(n) (arch) child/
童女 [どうじょ] /(n) (little) girl/
童心 [どうしん] /(n) child's mind/childlike innocence/naivete/(P)/
童男 [おぐな] /(n) (arch) little boy/young boy/
童男 [どうなん] /(n) (arch) little boy/young boy/
童貞 [どうてい] /(n,adj-no) (1) (col) virginity (esp. of a man)/male virgin/(2) (Catholic) nun/
童部 [わらわべ] /(n) (1) (arch) child/children/(2) child servant/temple page/(3) (hum) my (young or child-like) wife/(4) young slacker (who has not yet attained adulthood)/
童僕 [どうぼく] /(n) young male servant/page/
童謡 [どうよう] /(n) children's song/nursery rhyme/(P)/
童話 [どうわ] /(n) fairy-tale/(P)/
童話劇 [どうわげき] /(n) play or production for children/
童話作家 [どうわさっか] /(n) writer of stories for children/
胴 [どう] /(n) (1) trunk/torso/body/abdomen/waist/(2) plastron (in kendo)/touching the plastron (kimari-te in kendo)/(3) frame (of a drum, etc.)/sound box (of a shamisen, etc.)/hull (of a ship)/(P)/
胴が長い [どうがながい] /(exp,adj-i) having a long body/long-bodied/
胴の長い [どうのながい] /(adj-i) long-bodied/
胴衣 [どうい] /(n) padded, sleeveless undergarment/vest/
胴衣 [どうぎ] /(n) (sleeveless) undergarment/padded undershirt/
胴回り [どうまわり] /(n) waist/girth/measurement around waist/
胴掛 [どうかけ] /(n) slip-guard (on one side of the body of a shamisen)/
胴掛 [どうがけ] /(n) slip-guard (on one side of the body of a shamisen)/
胴掛け [どうかけ] /(n) slip-guard (on one side of the body of a shamisen)/
胴掛け [どうがけ] /(n) slip-guard (on one side of the body of a shamisen)/
胴巻き [どうまき] /(n) bellyband/money belt/
胴間声 [どうまごえ] /(n) (vulgar) thick voice/
胴丸 [どうまる] /(n) medieval armour lacking a solid breastplate and sleeves/
胴元 [どうもと] /(n) bookmaker (in gambling)/manager/
胴差し [どうざし] /(n) (wooden) girder/girt/
胴上げ [どうあげ] /(n,vs) lifting a person high (in celebration)/tossing someone into the air/carrying someone on shoulders/(P)/
胴震い [どうぶるい] /(n,vs) shivering/
胴切り [どうぎり] /(n,vs) cutting horizontally into the torso (with a sword)/
胴体 [どうたい] /(n,adj-no) body/trunk/torso/(P)/
胴着 [どうぎ] /(n) (sleeveless) undergarment/padded undershirt/
胴中 [どうなか] /(n) trunk/torso/
胴長 [どうなが] /(adj-na,n) possessing a long torso/
胴長短足 [どうながたんそく] /(n) having a long torso and short legs/long-bodied and short-legged/
胴締め [どうじめ] /(n) belt/scissors maneuver (in wrestling, judo, etc.)/scissors manoeuvre/
胴田貫 [どうたぬき] /(n) (1) Eiroku-period swordsmithing school, named for a place in the old Higo province/(2) sword of the Dotanuki school, usually thicker and heavier than regular Japanese swords/(3) in fiction, a heavier variant of Japanese sword/
胴当 [どうあて] /(n) slip-guard (on one side of the body of a shamisen)/
胴当て [どうあて] /(n) slip-guard (on one side of the body of a shamisen)/
胴突 [どうづき] /(n) ramming/rammer/
胴突き [どうづき] /(n) ramming/rammer/
胴付きのこぎり [どうつきのこぎり] /(n) saw with a spine/tenon saw/back saw/
胴付鋸 [どうつきのこ] /(n) saw with a spine/tenon saw/back saw/
胴付鋸 [どうつきのこぎり] /(n) saw with a spine/tenon saw/back saw/
胴付鋸 [どうづきのこ] /(n) saw with a spine/tenon saw/back saw/
胴付長靴 [どうつきながくつ] /(n) waders (waterproof pants often fitted with boots, used mostly by fishermen)/
胴忘れ [どうわすれ] /(n,vs) lapse of memory/forgetting for a moment something one knows well/(something) slipping one's mind/
胴忘れ [どわすれ] /(n,vs) lapse of memory/forgetting for a moment something one knows well/(something) slipping one's mind/
胴揚げ [どうあげ] /(n,vs) lifting a person high (in celebration)/tossing someone into the air/carrying someone on shoulders/
胴慾 [どうよく] /(adj-na,n) avarice/heartlessness/greed/
胴欲 [どうよく] /(adj-na,n) avarice/heartlessness/greed/
胴乱 [どうらん] /(n) case for botanical specimens/
胴顫い [どうぶるい] /(oK) (n,vs) shivering/
道 [ち] /(n) (1) (arch) way/road/(n-suf) (2) way to .../road to .../
道 [ぢ] /(n) (1) (arch) way/road/(n-suf) (2) way to .../road to .../
道 [どう] /(n) (1) (abbr) road/(2) way/(3) Buddhist teachings/(4) Taoism/(5) modern administrative region of Japan (Hokkaido)/(6) historical administrative region of Japan (Tokaido, Tosando, etc.)/(7) province (Tang-era administrative region of China)/(8) province (modern administrative region of Korea)/
道 [みち] /(n) (1) road/street/way/path/course/route/lane/(2) distance/ways (e.g. "a long ways")/(3) the way (of proper conduct, etc.)/one's way/morals/(4) teachings (esp. Confucian or Buddhist)/dogma/(5) field (of medicine, etc.)/subject/(6) way/method/means/(P)/
道々 [みちみち] /(adv,n) along the way/along the road/
道が窮まる [みちがきわまる] /(exp,v5r) to come to a dead end/
道しるべ [みちしるべ] /(n) (1) guidepost/signpost/guide/(2) (col) tiger beetle (esp. the Japanese tiger beetle, Cicindela japonica)/
道すがら [みちすがら] /(adv) along the road/along the way/
道なき道 [みちなきみち] /(exp) trackless path/
道ならぬ [みちならぬ] /(exp,adj-f) immoral/
道ならぬ恋 [みちならぬこい] /(exp,n) illicit love affair/
道なりに [みちなりに] /(adv) along the road (e.g. following its curves without turning off at any intersection)/along the street/
道に迷う [みちにまよう] /(exp,v5u) to lose one's way/to get lost/
道のり [みちのり] /(n) (1) distance/journey/itinerary/(2) way/process/(P)/
道の駅 [みちのえき] /(n) roadside station (government-designated rest area found along roads and highways)/
道の師 [みちのし] /(n) (arch) Michinoshi (fifth highest of the eight hereditary titles)/
道の端 [みちのはし] /(n) edge of a street/
道ばた [みちばた] /(n) roadside/wayside/
道を急ぐ [みちをいそぐ] /(exp,v5g) to hurry on one's way/
道を失う [みちをうしなう] /(exp,v5u) to lose one's way/to be at a loss/
道を遮る [みちをさえぎる] /(exp,v5r) to block the way/
道を訊く [みちをきく] /(exp,v5k) to ask the way/
道を切り開く [みちをきりひらく] /(exp,v5k) to open a path/
道を阻む [みちをはばむ] /(exp,v5m) to obstruct one's way/
道を探る [みちをさぐる] /(exp,v5r) to seek a path/to find one's way/
道を付ける [みちをつける] /(exp,v1) (1) to make a road/(2) to give an elementary lesson/
道を聞く [みちをきく] /(exp,v5k) to ask the way/
道案内 [みちあんない] /(n,vs) guidepost/guidance/guide/street map/
道沿い [みちぞい] /(adj-no,n) along the road/at the side of the road/
道央 [どうおう] /(n) central Hokkaido/
道化 [どうけ] /(n,vs) antics/buffoonery/clowning/
道化る [どうける] /(v1,vi) to jest/to clown (around)/
道化師 [どうけし] /(n) a clown/
道化芝居 [どうけしばい] /(n) farce/low comedy/
道化者 [どうけもの] /(n) buffoon/jester/
道化方 [どうけがた] /(n) jester/comic in a play/
道化役者 [どうけやくしゃ] /(n) clown/
道家 [どうか] /(n) a Taoist/
道歌 [どうか] /(n) moral poem/
道学 [どうがく] /(n) (1) ethics/moral philosophy/(2) (the study of) Confucianism (esp. neo-Confucianism)/(3) (the study of) Taoism/(4) Edo-period popularized blend of Buddhist, Shinto and Confucian ethical teachings (popularised)/
道学者 [どうがくしゃ] /(n) Taoist/moralist/
道楽 [どうらく] /(adj-na,n) hobby/pastime/dissipation/dissipated/
道楽仕事 [どうらくしごと] /(n) work done for enjoyment (as a diversion)/dilettante work/
道楽者 [どうらくもの] /(n) libertine/playboy/
道楽息子 [どうらくむすこ] /(n) prodigal son/
道楽仲間 [どうらくなかま] /(n) companion in one's pleasures/companion in hobby activities/
道観 [どうかん] /(n) Taoist temple/
道義 [どうぎ] /(n) morality/moral principles/(P)/
道義心 [どうぎしん] /(n) moral sense/
道義的責任 [どうぎてきせきにん] /(n) moral obligation/(P)/
道議会 [どうぎかい] /(n) Hokkaido Prefectural Assembly/
道教 [どうきょう] /(n) Taoism/Daoism/
道教 [みちおしえ] /(n) (uk) (col) tiger beetle (esp. the Japanese tiger beetle, Cicindela japonica)/
道教え [みちおしえ] /(n) (uk) (col) tiger beetle (esp. the Japanese tiger beetle, Cicindela japonica)/
道筋 [みちすじ] /(n) path/route/itinerary/(P)/
道具 [どうぐ] /(n) implement/tool/means/(P)/
道具一式 [どうぐいっしき] /(n) set of tools (implements)/kit/outfit/
道具屋 [どうぐや] /(n) second-hand shop/curio shop/
道具主義 [どうぐしゅぎ] /(n) instrumentalism/
道具的条件づけ [どうぐてきじょうけんづけ] /(n) (obsc) instrumental conditioning/
道具的条件付け [どうぐてきじょうけんづけ] /(n) (obsc) instrumental conditioning/
道具箱 [どうぐばこ] /(n) toolbox/
道具方 [どうぐかた] /(n) propman/sceneshifter/
道具立て [どうぐだて] /(n) preparation of tools/
道具論 [どうぐろん] /(n) instrumentalism/
道形に [みちなりに] /(adv) along the road (e.g. following its curves without turning off at any intersection)/along the street/
道警 [どうけい] /(n) Hokkaido Prefectural Police/
道元 [どうげん] /(n) Zen monk, 1200-1253/
道交法 [どうこうほう] /(n) (abbr) Road Traffic Act/
道行 [みちゆき] /(io) (n) going down the road/eloping/lyric composition describing scenery a traveler sees on the way (traveller)/
道行き [みちゆき] /(n) going down the road/eloping/lyric composition describing scenery a traveler sees on the way (traveller)/
道行く [みちゆく] /(v5k-s) to walk down the road/
道号 [どうごう] /(n) (obsc) monk's self-chosen pseudonym/
道産子 [どさんこ] /(n) (1) horse native to Hokkaido/(2) person born and raised in Hokkaido/(3) sumo wrestler of Hokkaidan ancestry/
道産娘 [どさんこ] /(n) (1) horse native to Hokkaido/(2) person born and raised in Hokkaido/
道士 [どうし] /(n) a person of high morals/a Taoist/
道師 [みちのし] /(n) (arch) Michinoshi (fifth highest of the eight hereditary titles)/
道糸 [みちいと] /(n) fishing line/
道芝 [みちしば] /(n) (1) roadside grass/roadside weeds/(2) guidance (sometimes esp. referring to guidance in love)/guidepost/guide/(3) Chinese fountain grass (Pennisetum alopecuroides)/
道主 [どうしゅ] /(n) chairman of the Aikikai (Aikido World Headquarters)/
道州制 [どうしゅうせい] /(n) administrative reform proposal, involving integration of prefectures into 7 or 9 states/
道順 [みちじゅん] /(n) itinerary/route/(P)/
道床 [どうしょう] /(n) roadbed/
道場 [どうじょう] /(n) (1) dojo (hall used for martial arts training)/(2) (Buddh) (abbr) manda (place of Buddhist practice or meditation, esp. the place under the bodhi tree where Buddha attained enlightenment)/(P)/
道場破り [どうじょうやぶり] /(n) challenge another training group and defeat each member/
道心 [どうしん] /(n) moral sense/
道心堅固 [どうしんけんご] /(n,adj-na) being of firm (unshakable) faith and strict practice/
道祖神 [さいのかみ] /(n) traveler's guardian deity (traveller)/
道祖神 [さえのかみ] /(n) traveler's guardian deity (traveller)/
道祖神 [どうそしん] /(n) traveler's guardian deity (traveller)/
道祖神 [どうそじん] /(n) traveler's guardian deity (traveller)/
道草 [みちくさ] /(n,vs) wayside grass/loitering on the way/(P)/
道草をくう [みちくさをくう] /(exp,v5u) to loiter (on the way)/to waste time/
道草を食う [みちくさをくう] /(exp,v5u) to loiter (on the way)/to waste time/
道走 [みちばしり] /(n) (uk) roadrunner/
道蔵 [どうぞう] /(n) Dao Zang/Taoist canon/
道俗 [どうぞく] /(n) monks and laity/
道端 [みちばた] /(n) roadside/wayside/(P)/
道中 [どうちゅう] /(n-adv,n-t) along the way/journey/
道中ご無事に [どうちゅうごぶじに] /(exp) bon voyage/have a nice trip/
道中記 [どうちゅうき] /(n) travel journal/
道聴塗説 [どうちょうとせつ] /(n) shallow-minded mouthing of secondhand information/
道長 [どうちょう] /(n) head of a martial arts organization (organisation)/
道程 [どうてい] /(n) (1) distance/journey/itinerary/(2) way/process/
道程 [みちのり] /(n) (1) distance/journey/itinerary/(2) way/process/(P)/
道諦 [どうたい] /(n) (Buddh) truth of the way to the cessation of suffering/
道塗 [どうと] /(n) (obsc) road/
道途 [どうと] /(n) (obsc) road/
道導 [みちしるべ] /(n) (1) guidepost/signpost/guide/(2) (col) tiger beetle (esp. the Japanese tiger beetle, Cicindela japonica)/
道道 [みちみち] /(adv,n) along the way/along the road/
道徳 [どうとく] /(n,adj-no) morals/(P)/
道徳意識 [どうとくいしき] /(n) moral consciousness/
道徳家 [どうとくか] /(n) virtuous person/
道徳学 [どうとくがく] /(n) moral philosophy/
道徳感覚 [どうとくかんかく] /(n) moral sense/sense of morality/
道徳観念 [どうとくかんねん] /(n) sense of morality/moral sense/
道徳教育 [どうとくきょういく] /(n) moral education/
道徳劇 [どうとくげき] /(n) morality play/
道徳堅固 [どうとくけんご] /(n,adj-na) of strict morals (moral principles)/highly moral/
道徳再武装 [どうとくさいぶそう] /(n) Moral Rearmament/MRA/
道徳主義 [どうとくしゅぎ] /(n) moralism/
道徳上 [どうとくじょう] /(n) morally/from the moral point of view/
道徳心 [どうとくしん] /(n) moral sense/
道徳性 [どうとくせい] /(n,adj-no) morality/
道徳退廃 [どうとくたいはい] /(n) moral decadence (decline, corruption)/
道徳的 [どうとくてき] /(adj-na,n) ethical/moral/
道徳的危険 [どうとくてききけん] /(n) moral hazard/
道徳的空白 [どうとくてきくうはく] /(n) moral vacuum/
道徳的証明 [どうとくてきしょうめい] /(n) argument from morality (for the existence of God)/
道徳哲学 [どうとくてつがく] /(n) moral philosophy/
道徳法則 [どうとくほうそく] /(n) moral law/
道徳律 [どうとくりつ] /(n) moral law/
道内 [どうない] /(n) within Hokkaido/
道念 [どうねん] /(n) moral sense/wife of a monk/
道破 [どうは] /(n,vs) declaration/
道半ば [みちなかば] /(adv) midway/halfway through/in the course of/
道板 [みちいた] /(n) removable ramps for trucks/
道標 [どうひょう] /(n) (1) guidepost/signpost/guide/
道標 [みちしるべ] /(n) (1) guidepost/signpost/guide/(2) (col) tiger beetle (esp. the Japanese tiger beetle, Cicindela japonica)/
道標 [みちじるし] /(n) (1) guidepost/signpost/guide/
道府県 [どうふけん] /(n) Hokkai-do, Osaka-fu, Kyoto-fu and remaining prefectures (all administrative divisions of Japan except Tokyo-to)/
道普請 [みちぶしん] /(n,vs) road repair/
道幅 [みちはば] /(n) width of a road/
道仏 [どうぶつ] /(n) (obsc) Taoism and Buddhism/
道辺 [みちべ] /(n) roadside/
道傍 [どうぼう] /(n) side of the road/roadside/
道民 [どうみん] /(n) people of Hokkaido/
道柳 [みちやなぎ] /(n) (uk) knotgrass (Polygonum aviculare)/
道理 [どうり] /(n) reason/truth/(P)/
道理で [どうりで] /(exp,adv) indeed/it's no wonder/
道理にかなう [どうりにかなう] /(exp,v5u) to stand to reason/
道理に外れた [どうりにはずれた] /(exp) contrary to reason/
道理に適う [どうりにかなう] /(exp,v5u) to stand to reason/
道理至極 [どうりしごく] /(n,adj-na) very reasonable/being perfectly consistent with reason/standing to reason/
道陸神 [どうろくじん] /(n) traveler's guardian deity (traveller)/
道連れ [みちづれ] /(n) (1) fellow traveler/fellow traveller/(2) someone unwillingly made to take part/being made to take part in something/
道連れにする [みちづれにする] /(exp,vs-i) to make take part in some activity/to take along with you (w. negative associations)/
道路 [どうろ] /(n) road/highway/(P)/
道路橋 [どうろきょう] /(n) (highway) overpass/
道路計画 [どうろけいかく] /(n) road plan/
道路建設 [どうろけんせつ] /(n,adj-no) road construction/
道路交通 [どうろこうつう] /(n) road traffic/
道路交通情報通信システム [どうろこうつうじょうほうつうしんシステム] /(n) (comp) VICS/Vehicle Information and Communication Systems/
道路交通法 [どうろこうつうほう] /(n) Road Traffic Law/
道路工事 [どうろこうじ] /(n) road construction/
道路整備 [どうろせいび] /(n) road maintenance/road improvement/
道路掃除人 [どうろそうじじん] /(n) street sweeper (person)/
道路地図 [どうろちず] /(n) road (highway) map/
道路特定財源 [どうろとくていざいげん] /(n) revenue source set aside for road construction/
道路標示 [どうろひょうじ] /(n) traffic sign painted on the road/
道路標識 [どうろひょうしき] /(n) road sign/signpost/
道路封鎖 [どうろふうさ] /(n) roadblock/
道路網 [どうろもう] /(n) road network/highway network/highway network system/
道路輸送 [どうろゆそう] /(n) road transport/
道話 [どうわ] /(n) exemplum/
銅 [あかがね] /(n) copper/
銅 [どう] /(n) copper/(P)/
銅の器 [あかがねのうつわ] /(n) copper vessel/
銅アンモニア法 [どうアンモニアほう] /(n) cuprous ammoniacal process/
銅メダリスト [どうメダリスト] /(n) bronze medallist/
銅メダル [どうメダル] /(n) bronze medal/
銅貨 [どうか] /(n) copper coin/(P)/
銅器 [どうき] /(n) copperware/
銅器時代 [どうきじだい] /(n) Copper Age (period in which metal tools started to be used alongside stone tools)/
銅鏡 [どうきょう] /(n) bronze mirror/
銅剣 [どうけん] /(n) bronze sword/
銅酵母 [あかがねこうぼ] /(n) copper yeast/copper-enriched yeast/
銅鉱 [どうこう] /(n) copper ore/
銅婚式 [どうこんしき] /(n) bronze wedding (anniversary)/
銅山 [どうざん] /(n) copper mine/(P)/
銅臭 [どうしゅう] /(n) the lust for money/
銅賞 [どうしょう] /(n) bronze (third-place) prize/
銅鉦ぶいぶい [どうがねぶいぶい] /(n) (uk) cupreous chafer (scarabaeid beetle, Anomala cuprea)/
銅色 [どうしょく] /(n) bronze or copper (color, colour)/
銅製 [どうせい] /(n) made of copper/
銅線 [どうせん] /(n) copper line/copper wire/
銅銭 [どうせん] /(n) copper coin/
銅相場 [どうそうば] /(n) market price of copper/
銅像 [どうぞう] /(n) bronze statue/(P)/
銅鐸 [どうたく] /(n) bronze bell/
銅鍋 [あかなべ] /(n) copper saucepan/copper pot/
銅牌 [どうはい] /(n) bronze or copper medal/
銅箔 [どうはく] /(n) (1) copper foil (used in copper plating)/(2) copper layer (of printed circuits)/
銅板 [どうばん] /(n) sheet copper/
銅版 [どうはん] /(n) copper plate/copperplate/
銅版 [どうばん] /(n) copper plate/copperplate/
銅版画 [どうはんが] /(n) copperplate engraving/etching/(P)/
銅盤 [どうばん] /(n) bronze bowl/
銅鉾 [どうほこ] /(n) bronze hoko/bronze halberd/bronze spearhead/
銅鉾 [どうぼこ] /(n) bronze hoko/bronze halberd/bronze spearhead/
銅矛 [どうほこ] /(n) bronze hoko/bronze halberd/bronze spearhead/
銅矛 [どうぼこ] /(n) bronze hoko/bronze halberd/bronze spearhead/
銅戈 [どうか] /(n) bronze dagger-axe/
銅釉 [どうゆう] /(n) copper glaze (pottery)/
銅鑼 [どうら] /(n) gong/
銅鑼 [どら] /(n) gong/
銅鑼焼き [どらやき] /(n) Japanese dessert consisting of two slices of kasutera (sponge cake) with red bean jam in between/
峠 [とうげ] /(n,n-suf) ridge/(mountain) pass/difficult part/(P)/
峠を越える [とうげをこえる] /(exp,v1) to cross a pass/
峠を越す [とうげをこす] /(exp,v5s) to cross over a pass/to finish the most difficult part/to be over the worst (e.g. an illness)/
峠越え [とうげごえ] /(exp,n) crossing a mountain pass/
峠道 [とうげみち] /(n) road over a mountain pass/
鴇 [つき] /(n) (uk) Japanese crested ibis (Nipponia nippon)/crested ibis/
鴇 [とき] /(n) (uk) Japanese crested ibis (Nipponia nippon)/crested ibis/
鴇 [のがん] /(n) (uk) bustard (esp. the great bustard, Otis tarda)/
鴇色 [ときいろ] /(n,adj-no) pink (wing colour of crested ibis) (color)/
匿 [とく] /(n) shelter/shield/hide/
匿う [かくまう] /(v5u,vt) to shelter/to shield/to hide/
匿す [かくす] /(v5s,vt) to hide/to conceal/
匿れる [かくれる] /(v1,vi) to hide/to be hidden/to conceal oneself/to disappear/
匿名 [とくめい] /(n) anonymity/pseudonym/(P)/
匿名ＦＴＰ [とくめいエフティーピー] /(n) (comp) anonymous FTP/
匿名性 [とくめいせい] /(n) anonymity/
匿名組合 [とくめいくみあい] /(n) anonymous partnership/silent partnership/anonymous association/
匿名批評 [とくめいひひょう] /(n) anonymous criticism/
得 [う] /(v2a-s,vt) (1) to get/to acquire/to obtain/to procure/to earn/to win/to gain/to secure/to attain/(2) to be possible/
得 [とく] /(adj-na,n) (1) profit/advantage/benefit/gain/(2) (Buddh) rebirth in paradise, entering nirvana/(P)/
得々 [とくとく] /(adv-to,adj-t) triumphantly/proudly/(P)/
得する [とくする] /(vs-s) to make a profit/(P)/
得たり [えたり] /(exp) (id) I've got it/
得たりや応と [えたりやおうと] /(exp) readily/very eagerly/without moment's hesitation/
得たり顔 [えたりがお] /(n) (arch) triumphant look/
得たり賢しと [えたりかしこしと] /(exp) readily/very eagerly/without moment's hesitation/
得てして [えてして] /(exp) often (happens)/
得ない [えない] /(suf,adj-i) (after the -masu stem of a verb) unable to.../cannot .../
得になる [とくになる] /(exp,v5r) to do (a person) good/to bring profit/
得も言われず [えもいわれず] /(adj-f) indescribable (in praise of something)/exquisite/inexpressible/indefinable/
得も言われぬ [えもいわれぬ] /(adj-f) indescribable (in praise of something)/exquisite/inexpressible/indefinable/
得る [うる] /(suf) (1) (after the -masu stem of a verb) to be able to .../can .../(exp) (2) to get/to acquire/to obtain/to procure/to earn/to win/to gain/to secure/to attain/(P)/
得る [える] /(v1,vt) (1) to get/to acquire/to obtain/to procure/to earn/to win/to gain/to secure/to attain/(suf,v1,vt) (2) (after the -masu stem of a verb) to be able to ..., can .../(P)/
得る所が有る [うるところがある] /(exp) to get benefit from/
得意 [とくい] /(n,adj-no,adj-na) (1) triumph/prosperity/(2) pride/(3) one's strong point/one's forte/one's specialty/(4) frequent customer (client, etc.)/(P)/
得意がる [とくいがる] /(v5r) to be inflated with pride/
得意げ [とくいげ] /(adv,adj-na) triumphant/exalted/
得意顔 [とくいがお] /(n) triumphant look/
得意気 [とくいげ] /(adj-na,n) proud/elated/
得意技 [とくいわざ] /(n) (MA) signature move (assoc. with a martial artist, wrestler, etc.)/finishing move/
得意客 [とくいきゃく] /(n) customer/client/one's customers/
得意四つ [とくいよつ] /(n) sumo wrestler's favourite (favorite) grip on the belt/
得意場 [とくいば] /(n) customer/client/
得意先 [とくいさき] /(n) customer/client/patron/clientele/constituency/(P)/
得意淡然 [とくいたんぜん] /(uK) (adj-t,adv-to) (arch) not letting oneself puffed up by one's success/maintaining a serene state of mind when one has achieved a great success/
得意分野 [とくいぶんや] /(n) one's field of expertise/
得意満面 [とくいまんめん] /(adj-na,n,adj-no) triumphant air/
得顔 [えたりがお] /(io) (n) (arch) triumphant look/
得業士 [とくぎょうし] /(n) specialty school graduate/
得策 [とくさく] /(adj-na,n) profitable plan/good plan/(P)/
得失 [とくしつ] /(n) advantages and disadvantages/plus and minuses/(P)/
得手 [えて] /(adj-na,n) forte/strong point/
得手に帆を揚げる [えてにほをあげる] /(exp,v1) (id) Hoist your sail when the wind is fair/
得手勝手 [えてかって] /(adj-na,n) self-willed/(doing or saying things) to suit one's own convenience/
得手不得手 [えてふえて] /(n) strong and weak points/likes and dislikes/strengths and weaknesses/
得心 [とくしん] /(n,vs) consenting to/being convinced of/being satisfied/understanding/
得喪 [とくそう] /(n) acquisition or forfeiture/acquisition (question of whether or not something is acquired)/
得体 [えたい] /(n) nature/character/
得体が知れない [えたいがしれない] /(exp,adj-i) (1) strange (when used to modify the following noun)/unfamiliar/mysterious/suspicious/(exp) (2) to not know the true nature/
得体の知れない [えたいのしれない] /(adj-i) strange/unfamiliar/mysterious/suspicious/
得点 [とくてん] /(n,vs) score/points made/marks obtained/runs/(P)/
得点圏 [とくてんけん] /(n) scoring position, with runners on second and-or third base (baseball)/
得点板 [とくてんばん] /(n) score board/scoring board/
得度 [とくど] /(n,vs) (Buddh) becoming a monk/entering priesthood/
得道 [とくどう] /(n,vs) attaining salvation/
得得 [とくとく] /(adv-to,adj-t) triumphantly/proudly/
得難い [えがたい] /(adj-i) hard to get/
得票 [とくひょう] /(n,vs) number of votes polled/poll votes/(P)/
得票数 [とくひょうすう] /(n) number of votes obtained (polled)/
得票総数 [とくひょうそうすう] /(n) aggregate votes/
得票率 [とくひょうりつ] /(n) percentage of votes/
得物 [えもの] /(n) specialized weapon or skill/specialised weapon or skill/
得分 [とくぶん] /(n) profit/share/winnings/
徳 [とく] /(n) (1) virtue/(2) benevolence/(3) profit/benefit/advantage/
徳の高い [とくのたかい] /(adj-i) virtuous/respectable/
徳を行う [とくをおこなう] /(exp,v5u) to practice virtue/to practise virtue/
徳育 [とくいく] /(n) moral education/
徳化 [とっか] /(n,vs) moral influence/
徳器 [とっき] /(n) one's talent and virtue/noble character/
徳義 [とくぎ] /(n) morals/morality/sincerity/
徳義心 [とくぎしん] /(n) moral sense/
徳行 [とっこう] /(n) virtuous act or deeds/goodness/
徳治 [とくじ] /(n) Tokuji era (1306.12.14-1308.10.9)/
徳性 [とくせい] /(n) moral character or consciousness/
徳政 [とくせい] /(n) benevolent rule/moratorium on debts/
徳政一揆 [とくせいいっき] /(n) uprising (during the Muromachi period) demanding debt cancellation orders/
徳政令 [とくせいれい] /(n) (arch) debt cancellation order issued by the Emperor or the Shogun (during the Muromachi and Kamakura periods)/
徳川家 [とくがわけ] /(n) the House of Tokugawa/the Tokugawas/
徳川時代 [とくがわじだい] /(n) Tokugawa period (i.e. the Edo period, 1600-1867 CE)/
徳川勢 [とくがわぜい] /(n) Tokugawa forces/
徳川方 [とくがわがた] /(n) Tokugawa's side/
徳川幕府 [とくがわばくふ] /(n) Tokugawa shogunate (i.e. the Edo shogunate, 1603-1867)/
徳操 [とくそう] /(n) strong, immovable sense of morality/high moral character/chastity/virtue/
徳沢 [とくたく] /(n) blessing/grace/
徳島県 [とくしまけん] /(n) Tokushima prefecture (Shikoku)/
徳俵 [とくだわら] /(n) 4 bales on the edge of the sumo ring set slightly back/
徳分 [とくぶん] /(n) profit/share/winnings/
徳望 [とくぼう] /(n) moral influence/
徳目 [とくもく] /(n) (types of) virtue/
徳用 [とくよう] /(adj-na,n,adj-no) economical/
徳用品 [とくようひん] /(n) economical product/economy-sized goods/
徳用瓶 [とくようびん] /(n) economy bottle/
徳利 [とくり] /(n) (1) sake bottle/tall and slender bottle with a narrow mouth made from ceramic, metal or glass that can be used for sake, shoyu or rice vinegar/(2) turtleneck (sweater)/(3) someone who cannot swim/
徳利 [とっくり] /(n) (1) sake bottle/tall and slender bottle with a narrow mouth made from ceramic, metal or glass that can be used for sake, shoyu or rice vinegar/(2) turtleneck (sweater)/(3) someone who cannot swim/
徳利投げ [とっくりなげ] /(n) two-handed head twist down/
徳利蜂 [とっくりばち] /(n) (uk) potter wasp (esp. species Eumenes mikado)/
涜職 [とくしょく] /(n) corruption/bribery/
涜神 [とくしん] /(n) blasphemy/
特に [とくに] /(adv) particularly/especially/(P)/
特になし [とくになし] /(exp) nothing in particular/none in particular/
特ダネ [とくダネ] /(n) exclusive news/a scoop/
特異 [とくい] /(adj-na,n,adj-no) unique/singular/(P)/
特異データ [とくいデータ] /(n) (comp) unique data/non-typical data/
特異性 [とくいせい] /(n) singularity/peculiarity/idiosyncrasy/specificity/
特異体質 [とくいたいしつ] /(n,adj-no) idiosyncrasy/
特異値分解 [とくいちぶんかい] /(n) singular value analysis/
特異的 [とくいてき] /(adj-na) specific/
特異点 [とくいてん] /(n) singular point/
特化 [とっか] /(n,vs) specialization/specialisation/
特価 [とっか] /(n,adj-no) special price/bargain price/
特価品 [とっかひん] /(n) bargain item/
特科兵 [とっかへい] /(n) support soldier/
特快 [とっかい] /(n) special fast (local) train/
特割 [とくわり] /(n) (abbr) special discount/
特管 [とっかん] /(n) industrial waste subject to special control/
特機 [とっき] /(n) specialized equipment/specialized machinery/
特記 [とっき] /(n,vs) special mention/
特技 [とくぎ] /(n) special skill/(P)/
特技兵 [とくぎへい] /(n) specialist (US Army enlisted rank)/
特休 [とっきゅう] /(n) (abbr) special holiday/
特急 [とっきゅう] /(n) (1) (abbr) limited express (train, faster than an express)/(2) great hurry/(P)/
特急券 [とっきゅうけん] /(n) special-express ticket/
特急便 [とっきゅうびん] /(n) express parcel delivery/
特急列車 [とっきゅうれっしゃ] /(n) limited express train/
特級 [とっきゅう] /(n) high grade/special grade/classy/
特級酒 [とっきゅうしゅ] /(n) highest or finest quality sake/
特級品 [とっきゅうひん] /(n) special grade article/superfine brand/
特許 [とっきょ] /(n,adj-no) (1) patent/special permission/licence (license)/concession/franchise/charter/(adj-f) (2) proprietary/(P)/
特許技術 [とっきょぎじゅつ] /(n) patented technology/
特許権 [とっきょけん] /(n) patent rights/
特許主 [とっきょぬし] /(n) patentee/holder of a patent/
特許収入 [とっきょしゅうにゅう] /(n) patent income/
特許侵害 [とっきょしんがい] /(n) patent infringement/
特許代理業 [とっきょだいりぎょう] /(n) patent agency/
特許庁 [とっきょちょう] /(n) Japan Patent Office/(P)/
特許品 [とっきょひん] /(n) patented article or articles/patented invention/
特許法 [とっきょほう] /(n) Patent Act/
特許明細書 [とっきょめいさいしょ] /(n) patent description/patent specifications/
特許料 [とっきょりょう] /(n) patent fee/royalty/
特金 [とっきん] /(n) (abbr) corporate investment fund/
特区 [とっく] /(n) (1) (abbr) special ward/(2) (abbr) special economic zone (China)/(3) (abbr) special administrative region of China (e.g. Hong Kong)/
特訓 [とっくん] /(n,vs) special training/intensive training/crash course/(P)/
特恵 [とっけい] /(n,adj-no) preferential treatment/special favour or benefit/special favor or benefit/
特恵関税 [とっけいかんぜい] /(n) preferential tariff/preferential duty/
特権 [とっけん] /(n,adj-no) privilege/special right/(P)/
特権グループ [とっけんグループ] /(n) (comp) privileged groups/
特権ユーザ [とっけんユーザ] /(n) (comp) privileged user/super user/
特権階級 [とっけんかいきゅう] /(n) privileged class/
特権属性証明 [とっけんぞくせいしょうめい] /(n) (comp) Privilege-Attribute-Certificate/
特権命令 [とっけんめいれい] /(n) (comp) privileged instruction/
特功 [とっこう] /(n) special efficacy/
特効 [とっこう] /(n) of particular efficacy/
特効薬 [とっこうやく] /(n) specific medicine/wonder drug/silver bullet/(P)/
特攻隊 [とっこうたい] /(n) special attack unit/suicide squad/kamikaze unit/(P)/
特攻服 [とっこうふく] /(n) type of long jacket worn by bousouzoku biker gangs/
特講 [とっこう] /(n) lecture (on a special topic)/
特高 [とっこう] /(n) (abbr) Special Higher Police (1911-1945)/police unit controlling political thought and expression/
特高警察 [とっこうけいさつ] /(n) (abbr) Special Higher Police (1911-1945)/police unit controlling political thought and expression/
特撮 [とくさつ] /(n) (abbr) special effects/SFX/
特撮監督 [とくさつかんとく] /(n) special effects director/
特産 [とくさん] /(n,vs) specialty/special product/(P)/
特産品 [とくさんひん] /(n) special product/
特産物 [とくさんぶつ] /(n) special product/specialty/
特使 [とくし] /(n) special envoy/(P)/
特旨 [とくし] /(n) special consideration/
特質 [とくしつ] /(n) characteristic/feature/special quality/(P)/
特写 [とくしゃ] /(n) exclusive photographing (e.g. for a magazine)/
特赦 [とくしゃ] /(n) amnesty/(P)/
特殊 [とくしゅ] /(adj-na,n,adj-no) special/unique/(P)/
特殊アクセス [とくしゅアクセス] /(n) (comp) specialized access/
特殊レジスタ [とくしゅレジスタ] /(n) (comp) special register/
特殊演色評価数 [とくしゅえんしょくひょうかすう] /(n) special colour rendering index (color)/
特殊学級 [とくしゅがっきゅう] /(n) special class for handicapped children/
特殊学校 [とくしゅがっこう] /(n) special school for handicapped children/
特殊機能 [とくしゅきのう] /(n) special function/
特殊急襲部隊 [とくしゅきゅうしゅうぶたい] /(n) Special Assault Team/SAT/
特殊教育学校 [とくしゅきょういくがっこう] /(n) special school for handicapped children/
特殊警棒 [とくしゅけいぼう] /(n) extendable baton/
特殊効果 [とくしゅこうか] /(n) special effects/
特殊鋼 [とくしゅこう] /(n) special steel/
特殊作戦部隊 [とくしゅさくせんぶたい] /(n) special-ops forces/
特殊撮影 [とくしゅさつえい] /(n) special effects/SFX/
特殊事情 [とくしゅじじょう] /(n) special circumstances/
特殊取扱郵便 [とくしゅとりあつかいゆうびん] /(n) special mail/
特殊性 [とくしゅせい] /(n) special characteristics/peculiarity/distinctiveness/
特殊潜航艇 [とくしゅせんこうてい] /(n) special purpose submarine (esp. Japanese midget submarines used in WWII)/
特殊相対性理論 [とくしゅそうたいせいりろん] /(n) special theory of relativity/
特殊配達 [とくしゅはいたつ] /(n) (comp) special delivery/PD PR/
特殊部隊 [とくしゅぶたい] /(n) special (military) force/special (military) forces/
特殊部落 [とくしゅぶらく] /(n) (sens) burakumin area/
特殊文字 [とくしゅもじ] /(n) (comp) special character/
特殊文字語 [とくしゅもじご] /(n) (comp) special-character word/
特殊兵器 [とくしゅへいき] /(n) special weapon/
特殊法人 [とくしゅほうじん] /(n) semigovernmental corporation/(P)/
特殊名 [とくしゅめい] /(n) (comp) special-names/
特殊名記述項 [とくしゅめいきじゅつこう] /(n) (comp) special names entry/
特種 [とくしゅ] /(n) special kind/
特種 [とくだね] /(n) exclusive news/a scoop/
特種記者 [とくだねきしゃ] /(n) scoop reporter/scoop artist/
特需 [とくじゅ] /(n) emergency demands/special procurement (particularly in time of war)/(P)/
特需景気 [とくじゅけいき] /(n) economic boom due to special procurements, esp. in wartime/
特輯 [とくしゅう] /(n,vs) feature (e.g. newspaper)/special edition/report/
特集 [とくしゅう] /(n,vs) feature (e.g. newspaper)/special edition/report/(P)/
特集記事 [とくしゅうきじ] /(n) special feature article/
特集号 [とくしゅうごう] /(n) special number/
特出 [とくしゅつ] /(n,vs) prominence/superiority/
特称 [とくしょう] /(n,vs) special name or designation/
特賞 [とくしょう] /(n) special prize/
特上 [とくじょう] /(n,adj-no) first class plus/extra special/
特色 [とくしょく] /(n) (1) characteristic/feature/idiosyncrasy/personal colour/(2) spot color (in printing)/(P)/
特進 [とくしん] /(n,vs) special promotion (in rank or grade)/
特性 [とくせい] /(n) special characteristic/special quality/trait/idiosyncrasy/peculiarity/(P)/
特性Ｘ線 [とくせいエックスせん] /(n) characteristic X-ray/
特性エックス線 [とくせいエックスせん] /(n) characteristic X-ray/
特性曲線 [とくせいきょくせん] /(n) characteristic curve/
特盛 [とくもり] /(n) extra large portion (e.g. with rice dishes)/
特盛り [とくもり] /(n) extra large portion (e.g. with rice dishes)/
特製 [とくせい] /(n,vs,adj-no) special make/deluxe/(P)/
特製ラーメン [とくせいラーメン] /(n) special ramen/
特製品 [とくせいひん] /(n) specially made article/
特設 [とくせつ] /(n,vs,adj-no) setting up specially/special installation/(P)/
特設会場 [とくせつかいじょう] /(n) site (e.g. room, building) especially prepared for a meeting (event, etc.)/
特撰 [とくせん] /(n,vs) special/select/
特選 [とくせん] /(n,vs,adj-no) specially selected/choice/(P)/
特選品 [とくせんひん] /(n) choice goods/
特措 [とくそ] /(n) (abbr) special measure/special measures/
特捜 [とくそう] /(n) special investigation/(P)/
特捜部 [とくそうぶ] /(n) special investigation department/
特装 [とくそう] /(n) specially equipped/customized/customised/
特待 [とくたい] /(n) special treatment/priority/
特待券 [とくたいけん] /(n) complimentary ticket/
特待生 [とくたいせい] /(n) scholarship student/
特大 [とくだい] /(n,adj-no) extra-large/(P)/
特大号 [とくだいごう] /(n) special enlarged (bumper) issue/
特段 [とくだん] /(n-adv,n-t) special/(P)/
特注 [とくちゅう] /(n,vs,adj-no) special order (goods)/custom (made)/bespoke/
特注ソフトウェア [とくちゅうソフトウェア] /(n) (comp) custom software/
特注品 [とくちゅうひん] /(n) article specially made to order/made-to-measure (custom-made) article/
特徴 [とくちょう] /(n) feature/trait/characteristic/pecularity/(P)/
特徴づける [とくちょうづける] /(v1) to make characteristic/to characterize/
特徴抽出 [とくちょうちゅうしゅつ] /(n) feature extraction/
特徴的 [とくちょうてき] /(adj-na) characteristic/
特徴付ける [とくちょうづける] /(v1) to make characteristic/to characterize/
特徴量 [とくちょうりょう] /(n) feature value/
特長 [とくちょう] /(n) forte/merit/(P)/
特定 [とくてい] /(adj-na,n,vs,adj-no) specific/special/particular/(P)/
特定の処理 [とくていのしょり] /(n) (comp) specific task/
特定フロン [とくていフロン] /(n) specified CFCs/controlled CFCs/
特定マシン向け [とくていマシンむけ] /(n,adj-no) (comp) machine-specific/
特定外来生物 [とくていがいらいせいぶつ] /(n) introduced species (esp. invasive species as defined by law)/
特定外来生物防止法 [とくていがいらいせいぶつぼうしほう] /(n) (abbr) (obsc) Invasive Alien Species Act (2004)/
特定割付け構造 [とくていわりつけこうぞう] /(n) (comp) specific layout structure/
特定記号 [とくていきごう] /(n) (comp) identifier/
特定恐怖症 [とくていきょうふしょう] /(n) specific phobias/
特定業務向き言語 [とくていぎょうむむきげんご] /(n) (comp) application-oriented language/
特定金銭信託 [とくていきんせんしんたく] /(n) corporate investment fund/
特定子 [とくていし] /(n) (comp) designator/
特定疾患 [とくていしっかん] /(n) diseases specified by the Japanese government as being worrisome, having no known treatment and of unknown causes/
特定省電力無線機 [とくていしょうでんりょくむせんき] /(n) special low power transceiver (wireless)/
特定数字 [とくていすうじ] /(n) (comp) significant digit/
特定地域 [とくていちいき] /(n) specific area/specified region/designated area/
特定動物 [とくていどうぶつ] /(n) animals designated as dangerous by Japanese law/
特定非営利活動促進法 [とくていひえいりかつどうそくしんほう] /(n) Law Concerning the Promotion of Specific Non-Profit Organization Activities (1998)/the NPO Law/
特定非営利活動法人 [とくていひえいりかつどうほうじん] /(n) specified nonprofit corporation/
特定文字データ実体 [とくていもじデータじったい] /(n) (comp) specific character data entity/
特定保健用食品 [とくていほけんようしょくひん] /(n) food for specified health uses (e.g. cholesterol reduction)/designated health food/
特定銘柄 [とくていめいがら] /(n) (historical) designated speculative stocks/
特定郵便局 [とくていゆうびんきょく] /(n) special post office/
特定用途向けＩＣ [とくていようとむけアイシー] /(n) (comp) Application Specific Integrated Circuit/
特定用途向け集積回路 [とくていようとむけしゅうせきかいろ] /(n) (comp) Application-Specific Integrated Circuit/ASIC/
特定論理構造 [とくていろんりこうぞう] /(n) (comp) specific logical structure/
特典 [とくてん] /(n) special favor/special favour/privilege/(P)/
特典映像 [とくてんえいぞう] /(n) bonus footage (e.g. behind-the-scenes interviews), such as that included on DVDs of movies, television programs, etc./
特電 [とくでん] /(n) special telegram or dispatch (despatch)/
特等 [とくとう] /(n) special quality, class or grade/
特等席 [とくとうせき] /(n) special seat/box seat/
特任 [とくにん] /(adj-f) specially appointed/appointed temporarily for a specific task/
特認 [とくにん] /(n,vs) special approval/
特派 [とくは] /(n,vs) send specially/special envoy/
特派員 [とくはいん] /(n) correspondent/(P)/
特配 [とくはい] /(n,vs) special ration/special bonus or dividend/
特売 [とくばい] /(n,vs,adj-no) special sale/(P)/
特売場 [とくばいじょう] /(n) bargain floor or basement/
特売品 [とくばいひん] /(n) bargain goods/
特発 [とくはつ] /(n,vs,adj-no) special (additional) train/idiopathy/
特番 [とくばん] /(n) (abbr) special radio or television programme/
特筆 [とくひつ] /(n,vs) special mention/(P)/
特筆すべき [とくひつすべき] /(exp) worthy of special mention/
特筆大書 [とくひつたいしょ] /(n,vs) (printed or written in) large letters/
特鰭 [とくびれ] /(n) (uk) sailfin poacher (Podothecus sachi)/
特別 [とくべつ] /(adj-na,adv,n,adj-no) special/(P)/
特別エディション [とくべつエディション] /(n) special edition/
特別扱い [とくべつあつかい] /(n,vs) special (preferential) treatment/by express or special delivery/
特別委 [とくべつい] /(n) special committee/
特別委員会 [とくべついいんかい] /(n) special or ad hoc committee/
特別引出し権 [とくべつひきだしけん] /(n) special drawing rights/SDR/
特別運賃 [とくべつうんちん] /(n) special rate/
特別永住者 [とくべつえいじゅうしゃ] /(n) special permanent resident/
特別会 [とくべつかい] /(n) special Diet session/
特別会員 [とくべつかいいん] /(n) special member/
特別会計 [とくべつかいけい] /(n) special account/
特別割引 [とくべつわりびき] /(n,adj-no) special discount/
特別機 [とくべつき] /(n) special plane/
特別休日 [とくべつきゅうじつ] /(n) special holiday/
特別急行 [とくべつきゅうこう] /(n) limited express train/
特別区 [とくべつく] /(n) (1) special ward (esp. of Tokyo)/(2) (abbr) special economic zone (China)/(3) special administrative region of China (e.g. Hong Kong)/(P)/
特別経済区 [とくべつけいざいく] /(n) special economic zone (China)/
特別抗告 [とくべつこうこく] /(n) special kokoku appeal/
特別攻撃隊 [とくべつこうげきたい] /(n) special attack unit/suicide squad/kamikaze unit/
特別行政区 [とくべつぎょうせいく] /(n) special administrative region of China (e.g. Hong Kong)/SAR/
特別高等警察 [とくべつこうとうけいさつ] /(n) Special Higher Police (1911-1945)/police unit controlling political thought and expression/
特別号 [とくべつごう] /(n) special number/special issue/
特別国会 [とくべつこっかい] /(n) special Diet session/
特別歳入 [とくべつさいにゅう] /(n) special revenue/
特別支援教育 [とくべつしえんきょういく] /(n) special education/special support education/special needs education/
特別室 [とくべつしつ] /(n) deluxe suite/
特別職 [とくべつしょく] /(n) special position in Government service/
特別席 [とくべつせき] /(n) special seat/
特別措置 [とくべつそち] /(n) special measure/special measures/
特別捜査本部 [とくべつそうさほんぶ] /(n) special investigation headquarter/
特別総会 [とくべつそうかい] /(n) special meeting/
特別損失 [とくべつそんしつ] /(n) extraordinary loss/
特別待遇 [とくべつたいぐう] /(n) special treatment/
特別地方公共団体 [とくべつちほうこうきょうだんたい] /(n) special local public entity/
特別展 [とくべつてん] /(n) special exhibition (at museum, etc.)/
特別展望台 [とくべつてんぼうだい] /(n) special viewing platform (even higher viewing platform)/
特別背任 [とくべつはいにん] /(n) aggravated breach of trust/
特別配当 [とくべつはいとう] /(n) special dividend/
特別配当金 [とくべつはいとうきん] /(n) special dividend/
特別番組 [とくべつばんぐみ] /(n) special program/special programme/
特別弁護人 [とくべつべんごにん] /(n) special counsel/
特別報酬 [とくべつほうしゅう] /(n) special reward/
特別法 [とくべつほう] /(n) special law/
特別法犯 [とくべつほうはん] /(n) violations of special law/
特別幕僚 [とくべつばくりょう] /(n) special staff/
特別目的事業体 [とくべつもくてきじぎょうたい] /(n) special-purpose entity/SPE/
特別養護老人ホーム [とくべつようごろうじんホーム] /(n) intensive-care old people's home/
特別料金 [とくべつりょうきん] /(n) extra charge/specially reduced charge/
特保 [とくほ] /(n) food for specified health uses (e.g. cholesterol reduction)/designated health food/
特報 [とくほう] /(n,vs) news flash/
特務 [とくむ] /(n) special duty/
特務機関 [とくむきかん] /(n) secret military agency/secret service/
特命 [とくめい] /(n) mission/
特命全権公使 [とくめいぜんけんこうし] /(n) minister extraordinary and plenipotentiary/
特命全権大使 [とくめいぜんけんたいし] /(n) ambassador extraordinary and plenipotentiary/
特免 [とくめん] /(n,vs) special exemption/dispensation/
特約 [とくやく] /(n,vs) special contract/special agreement/rider (insurance)/(P)/
特約店 [とくやくてん] /(n) sole agent/chain store/
特有 [とくゆう] /(adj-na,n,adj-no) characteristic (of)/peculiar (to)/(P)/
特融 [とくゆう] /(n) special loan (finance)/
特養 [とくよう] /(n) (abbr) intensive-care old people's home/
特落ち [とくおち] /(n) missing out on a scoop that other newspapers reported/
特立 [とくりつ] /(n,vs) prominence/independence/
特例 [とくれい] /(n) special case/exception/(P)/
特例市 [とくれいし] /(n) special city/
特論 [とくろん] /(n) advanced or master's course at university/
督学官 [とくがくかん] /(n) school inspector/
督戦 [とくせん] /(n,vs) urging soldiers to fight more vigorously/
督戦隊 [とくせんたい] /(n) command group (behind the front lines)/
督促 [とくそく] /(n,vs) urge/demand/importunity/(P)/
督促状 [とくそくじょう] /(n) demand note/dunning letter (note)/
督脈 [とくみゃく] /(n) Governor vessel (traditional Chinese medicine)/Du Meredian/Dumaixue/
督励 [とくれい] /(n,vs) encouragement/urge/
禿 [かぶろ] /(n) (1) baldness/bald head/(2) children's hairstyle of short untied hair/children with short untied hair/(3) young girl working as a servant for a high-class prostitute (Edo period)/
禿 [かむろ] /(n) (1) baldness/bald head/(2) children's hairstyle of short untied hair/children with short untied hair/(3) young girl working as a servant for a high-class prostitute (Edo period)/
禿 [はげ] /(n) (1) baldness/bald head/(P)/
禿げる [はげる] /(v1,vi) (1) to lose hair/to become bald/(2) to become bare (e.g. a mountain becomes bare of trees)/(P)/
禿げ山 [はげやま] /(n) bald or denuded mountain/bare hill/treeless hill/
禿げ上がる [はげあがる] /(v5r) to become bald from the forehead/to recede/
禿げ上る [はげあがる] /(v5r) to become bald from the forehead/to recede/
禿げ頭 [はげあたま] /(n,adj-no) (1) bald head/(2) baldness/
禿び [ちび] /(n) (1) (uk) (sens) small child/pipsqueak/small fry/small, cute versions of manga, anime, etc. characters, typically with oversized heads/(2) (vulg) short person/midget/dwarf/(3) small animal/runt/(pref) (4) worn down (pencil, etc.)/
禿びる [ちびる] /(v1,vi) to get blunt/to dull/to wear out/
禿山 [はげやま] /(n) bald or denuded mountain/bare hill/treeless hill/
禿上がる [はげあがる] /(io) (v5r) to become bald from the forehead/to recede/
禿鷹 [はげたか] /(n) (uk) (col) vulture/
禿頭 [とくとう] /(n,adj-no) (1) bald head/(2) baldness/
禿頭 [はげあたま] /(n,adj-no) (1) bald head/(2) baldness/
禿頭病 [とくとうびょう] /(n) alopecia/loss of hair/
禿同 [はげどう] /(n,vs) (sl) strong agreement (2ch slang)/
禿鷲 [はげわし] /(n) (uk) Old World vulture/
篤い [あつい] /(adj-i) (1) kind/cordial/hospitable/warm/faithful/(2) serious (of an illness)/
篤と [とくと] /(adv) carefully/thoroughly/fully/deliberately/
篤学 [とくがく] /(adj-na,n) love of learning/
篤学の士 [とくがくのし] /(n) devoted scholar/diligent student/
篤行 [とっこう] /(n) virtuous conduct/virtue/goodness/
篤志 [とくし] /(adj-na,n,adj-no) charity/benevolence/
篤志家 [とくしか] /(n) volunteer/self-sacrificing person/(P)/
篤実 [とくじつ] /(adj-na,n) sincerity/faithfulness/
篤信 [とくしん] /(adj-na,n) devoutness/devotion/
篤農 [とくのう] /(n) (abbr) exemplary farmer/
篤農家 [とくのうか] /(n) exemplary farmer/outstanding farmer/
毒 [どく] /(n) poison/toxicant/(P)/
毒々しい [どくどくしい] /(adj-i) poisonous/venomous/
毒する [どくする] /(vs-s) to be a bad influence (on something)/to corrupt/to poison/
毒づく [どくづく] /(v5k,vt) to curse (at someone)/to call someone names/
毒にも薬にもならない [どくにもくすりにもならない] /(exp) (id) That will do neither harm nor good/
毒のある [どくのある] /(exp) harmful/poisonous/malicious/
毒の有る [どくのある] /(exp) harmful/poisonous/malicious/
毒よけ [どくよけ] /(n) protection against poison/
毒を以て毒を制す [どくをもってどくをせいす] /(exp) fight fire with fire/set a thief to catch a thief/fight one evil with another/
毒を食らわば皿迄 [どくをくらわばさらまで] /(exp) (id) In for a penny, in for a pound/
毒を盛る [どくをもる] /(exp,v5r) to poison (e.g. food, drink)/to administer poison/
毒イチゴ [どくイチゴ] /(n) false strawberry (Duchesnea chrysantha)/mock strawberry/
毒ガス [どくガス] /(n) poison gas/(P)/
毒荏 [どくえ] /(n) (uk) Japanese tungoil tree (Vernicia cordata)/
毒液 [どくえき] /(n) venom/
毒化 [どっか] /(n,vs) toxification/turning toxic/turning poisonous/
毒科学 [どくかがく] /(adj-na) toxicology/toxicological/
毒牙 [どくが] /(n) poison fang/vicious way/evil power/
毒蛾 [どくが] /(n) poisonous moth/
毒害 [どくがい] /(n,vs) poison/
毒気 [どくけ] /(n,adj-no) (of a) poisonous nature/maliciousness/poisonous air/
毒気 [どっき] /(n,adj-no) (of a) poisonous nature/maliciousness/poisonous air/
毒気 [どっけ] /(n,adj-no) (of a) poisonous nature/maliciousness/poisonous air/
毒魚 [どくぎょ] /(n) poisonous fish/
毒芹 [どくぜり] /(n) (uk) Mackenzie's water hemlock (Cicuta virosa)/
毒菌 [どくきん] /(n) (abbr) (sl) poison mushroom/
毒空木 [どくうつぎ] /(n) (uk) Coriaria japonica (species of shrub)/
毒見 [どくみ] /(n,vs) poison tasting/foretaste/
毒見役 [どくみやく] /(n) taster for poison/
毒殺 [どくさつ] /(n,vs) poisoning/kill by poison/(P)/
毒質 [どくしつ] /(n) toxic property/toxicity/
毒蛇 [どくじゃ] /(n) poisonous snake/poisonous serpent/
毒蛇 [どくへび] /(n) poisonous snake/poisonous serpent/
毒手 [どくしゅ] /(n) a dirty or underhanded trick/
毒酒 [どくしゅ] /(n) poisoned sake/poisoned alcohol/
毒除け [どくよけ] /(n) protection against poison/
毒消し [どくけし] /(n) antidote/
毒針 [どくしん] /(n) (1) stinger (of a bee, etc.)/(2) needle covered with poison/
毒針 [どくばり] /(n) (1) stinger (of a bee, etc.)/(2) needle covered with poison/
毒人参 [どくにんじん] /(n) hemlock/
毒刃 [どくじん] /(n) assassin's dagger/
毒性 [どくせい] /(adj-na,n,adj-no) toxicity/toxic/virulence/virulent/(P)/
毒性物質 [どくせいぶっしつ] /(n) toxic (poisonous) substance/
毒舌 [どくぜつ] /(n,adj-no) wicked tongue/abusive language/(P)/
毒舌家 [どくぜつか] /(n) person with a sharp tongue/
毒腺 [どくせん] /(n) venom gland/poison gland/
毒素 [どくそ] /(n,adj-no) toxin/
毒草 [どくそう] /(n) poisonous plant/
毒茸 [どくきのこ] /(n) toadstool/poisonous mushroom/
毒茸 [どくたけ] /(n) toadstool/poisonous mushroom/
毒男 [どくお] /(n) (abbr) (male) (sl) (2-ch term) lonely heart/male virgin/loser/geek/
毒蜘蛛 [どくぐも] /(n) (1) poisonous spider/venomous spider/(2) (obs) wolf spider/
毒虫 [どくむし] /(n) poisonous insect/
毒痛み [どくだみ] /(n) (uk) chameleon plant (Houttuynia cordata)/
毒電波 [どくでんぱ] /(n) (sl) radio waves, as sent out and received by people's minds/
毒毒しい [どくどくしい] /(adj-i) poisonous/venomous/
毒突く [どくづく] /(v5k,vt) to curse (at someone)/to call someone names/
毒杯 [どくはい] /(n) cup of poisoned alcohol/
毒麦 [どくむぎ] /(n) (uk) darnel (Lolium temulentum)/
毒筆 [どくひつ] /(n) (wielding a) vicious or poison pen/
毒婦 [どくふ] /(n) evil woman/
毒物 [どくぶつ] /(n) poison/
毒物学 [どくぶつがく] /(n) toxicology/
毒味 [どくみ] /(n,vs) poison tasting/foretaste/
毒味役 [どくみやく] /(n) taster for poison/
毒矢 [どくや] /(n) poisoned arrow (dart)/
毒薬 [どくやく] /(n) poison/(P)/
毒薬条項 [どくやくじょうこう] /(n) poison pill (anti-takeover measure in business)/
毒苺 [どくいちご] /(n) false strawberry (Duchesnea chrysantha)/mock strawberry/
毒蜥蜴 [どくとかげ] /(n) (uk) heloderm (any venomous lizard of genus Heloderma, inc. the gila monster and the beaded lizard)/
独 [どく] /(n) (abbr) Germany/
独り [ひとり] /(n) (1) one person/(2) alone/unmarried/solitary/(P)/
独りきり [ひとりきり] /(n,adv) all on one's own/
独りごちる [ひとりごちる] /(v1) to talk to oneself/to mutter/
独りっきり [ひとりっきり] /(n,adv) all on one's own/
独りっ子 [ひとりっこ] /(n) child/only child/
独りっ切り [ひとりっきり] /(n,adv) all on one's own/
独りで [ひとりで] /(exp) alone/by oneself/voluntarily/spontaneously/automatically/(P)/
独りでに [ひとりでに] /(adv) by itself/automatically/naturally/(P)/
独りぼっち [ひとりぼっち] /(n) aloneness/loneliness/solitude/
独りぽっち [ひとりぽっち] /(n) aloneness/loneliness/solitude/
独りよがり [ひとりよがり] /(adj-na,n,adj-no) complacent/self-satisfied/self-important/conceited/
独り稽古 [ひとりげいこ] /(n) practicing by oneself/self-instruction/
独り決め [ひとりぎめ] /(n,vs) arbitrary decision/taking for granted/
独り言 [ひとりごと] /(n) soliloquy/monologue/speaking to oneself/(P)/
独り言つ [ひとりごつ] /(v5t,vi) to talk to oneself/to mutter/
独り合点 [ひとりがってん] /(n,vs) rash assumption/hasty conclusion/
独り合点 [ひとりがてん] /(n,vs) rash assumption/hasty conclusion/
独り子 [ひとりご] /(n) child/only child/
独り芝居 [ひとりしばい] /(n,vs) one man show/performing solo/monodrama/
独り者 [ひとりもの] /(n) single (i.e. unmarried) person/someone alone/
独り住まい [ひとりずまい] /(n) living alone/
独り寝 [ひとりね] /(n,vs) sleeping alone/
独り身 [ひとりみ] /(n) unmarried man (woman)/
独り切り [ひとりきり] /(n,adv) all on one's own/
独り占い [ひとりうらない] /(n) divining one's own fortune/
独り占め [ひとりじめ] /(n,vs) monopoly/(P)/
独り善がり [ひとりよがり] /(adj-na,n,adj-no) complacent/self-satisfied/self-important/conceited/
独り相撲 [ひとりずもう] /(exp) (1) fighting (tilting at) windmills/working oneself up even though there really isn't anything to fight at/(2) single-person mimicking a wrestling match/
独り天下 [ひとりてんか] /(n) being the sole master of the situation/reigning supreme/standing unchallenged/
独り天下 [ひとりでんか] /(n) being the sole master of the situation/reigning supreme/standing unchallenged/
独り天狗 [ひとりてんぐ] /(n) self-conceited person/ego-tripper/swelled head/
独り舞台 [ひとりぶたい] /(n) performing solo (by oneself)/having the stage to oneself/being in sole command/eclipsing (outshining) the others/field of activity in which one is unrivaled (unrivalled)/
独り歩き [ひとりあるき] /(n,vs) walking alone/walking unaided/going alone/standing on one's own/(P)/
独り暮らし [ひとりぐらし] /(n) a single life/a solitary life/living alone/
独り法師 [ひとりぼっち] /(n) aloneness/loneliness/solitude/
独り法師 [ひとりぽっち] /(n) aloneness/loneliness/solitude/
独り遊び [ひとりあそび] /(exp) playing alone/
独り立ち [ひとりだち] /(n,vs) being independent/standing on one's own/becoming independent/
独り旅 [ひとりたび] /(n) travelling alone/solitary journey/
独逸 [どいつ] /(n) (uk) Germany (dut: Duits)/(P)/
独泳 [どくえい] /(n,vs) swimming alone/leaving others in one's wake/
独英 [どくえい] /(n) Germany and Britain/German-English/
独演 [どくえん] /(n,vs) solo/solo performance/(P)/
独演会 [どくえんかい] /(n) (holding of) a solo recital or performance/
独往 [どくおう] /(n,vs) going on one's own or one's own way/
独乙 [どいつ] /(n) (uk) Germany (dut: Duits)/
独学 [どくがく] /(n,vs,adj-no) self-education/self-instruction/self-study/(P)/
独学者 [どくがくしゃ] /(n) autodidact/
独楽 [こま] /(n) spinning top/(P)/
独楽を回す [こまをまわす] /(exp,v5s) to spin a top/
独楽鼠 [こまねずみ] /(n) Japanese dancing mouse (Mus musculus musculus)/
独活 [うど] /(n) (uk) udo (plant related to ginseng, used in medicine and cooking) (Aralia cordata)/
独活 [つちたら] /(ok) (n) (uk) udo (plant related to ginseng, used in medicine and cooking) (Aralia cordata)/
独活 [どっかつ] /(n) (uk) udo (plant related to ginseng, used in medicine and cooking) (Aralia cordata)/
独活の大木 [うどのたいぼく] /(exp) good for nothing (of people)/derived from a large 'udo' plant being of no use (only the young, tender, plant can be eaten)/
独眼 [どくがん] /(n,adj-no) one-eyed/
独居 [どっきょ] /(n,vs) solitude/solitary life/
独居室 [どっきょしつ] /(n) cell (e.g. monk's)/
独居房 [どっきょぼう] /(n) (1) single-person cell/(2) solitary confinement/
独禁法 [どっきんほう] /(n) (abbr) antitrust law/Antitrust Act/(P)/
独吟 [どくぎん] /(n,vs) vocal solo/
独言 [どくげん] /(n,vs) talking to oneself/
独語 [どくご] /(n,vs) (1) monologue/soliloquy/(2) German (language)/
独航船 [どっこうせん] /(n) independent fishing boat/
独行 [どっこう] /(n,vs) going alone/self-reliance/
独国 [どくこく] /(n) Germany/
独座 [どくざ] /(n,vs) sitting alone/
独裁 [どくさい] /(n,vs,adj-no) dictatorship/despotism/(P)/
独裁国家 [どくさいこっか] /(n) dictatorship/despotism/
独裁支配 [どくさいしはい] /(n) autocratic rule/
独裁者 [どくさいしゃ] /(n) dictator/despot/
独裁主義者 [どくさいしゅぎしゃ] /(n) authoritarian/
独裁政権 [どくさいせいけん] /(n) dictatorship/
独裁政治 [どくさいせいじ] /(n,adj-no) dictatorship/despotic government/
独裁体制 [どくさいたいせい] /(n) dictatorial system/
独裁的 [どくさいてき] /(adj-na) dictatorial/
独参 [どくさん] /(n) private interview with a Zen Master (lit. solo visit)/
独参湯 [どくじんとう] /(n) crowd-puller/box-office certainty/
独自 [どくじ] /(adj-na,adj-no,n) original/peculiar/characteristic/proprietary/(P)/
独自開発 [どくじかいはつ] /(adj-no,vs) independently developed/proprietary/
独自性 [どくじせい] /(n) originality/
独酌 [どくしゃく] /(n,vs) drinking alone/solitary drinking/
独修 [どくしゅう] /(n,vs) self-education/
独習 [どくしゅう] /(n,vs,adj-no) self-study/self-teaching/
独習書 [どくしゅうしょ] /(n) self-study guide or book/
独唱 [どくしょう] /(n,vs) vocal solo/(P)/
独唱会 [どくしょうかい] /(n) vocal recital/
独身 [どくしん] /(n,adj-no) bachelorhood/single/unmarried/celibate/(P)/
独身貴族 [どくしんきぞく] /(n) unmarried persons living affluently/
独身者 [どくしんしゃ] /(n) unmarried person/bachelor/spinster/
独身者 [どくしんもの] /(n) unmarried person/bachelor/spinster/
独身生活 [どくしんせいかつ] /(n,vs) bachelor's life/life of a bachelor/
独身男 [どくしんおとこ] /(n) bachelor (usu. without a girlfriend)/single male/
独身男性 [どくしんだんせい] /(n) bachelor/single male/
独身寮 [どくしんりょう] /(n) hostel for bachelors/
独占 [どくせん] /(n,adj-no) (1) monopoly/(vs) (2) to monopolize/to hog/(P)/
独占企業 [どくせんきぎょう] /(n) monopoly business, enterprise/
独占禁止法 [どくせんきんしほう] /(n) antitrust law/Antitrust Act/
独占権 [どくせんけん] /(n) exclusive license/exclusive right (to)/
独占資本 [どくせんしほん] /(n) monopolistic capital/
独占的 [どくせんてき] /(adj-na) monopolistic/
独占的競争 [どくせんてききょうそう] /(n) monopolistic competition/
独占欲 [どくせんよく] /(n) desire to monopolize/desire to monopolise/
独善 [どくぜん] /(n) self-righteousness/self-justified/
独善主義 [どくぜんしゅぎ] /(n) self-righteousness/
独善的 [どくぜんてき] /(adj-na) self-righteous/
独創 [どくそう] /(n,vs) originality/(P)/
独創性 [どくそうせい] /(n) creativity/ingenuity/
独創性に富む [どくそうせいにとむ] /(exp,v5m) to be ingenious/
独創的 [どくそうてき] /(adj-na) creative/original/(P)/
独創力 [どくそうりょく] /(n) creative powers/
独奏 [どくそう] /(n,vs,adj-no) a solo/(P)/
独奏会 [どくそうかい] /(n) a solo recital/
独奏者 [どくそうしゃ] /(n) soloist/
独走 [どくそう] /(n,vs) running alone/doing things alone that should be done with others/(P)/
独尊 [どくそん] /(n) (abbr) self-conceit/vainglory/
独探 [どくたん] /(n) German spy/
独壇場 [どくだんじょう] /(n) field in which one acts unchallenged/unrivaled sphere of activity (unrivalled)/one's monopoly/
独断 [どくだん] /(n,adj-no,adv) one's own judgement (judgment)/dogmatic/arbitrary/(P)/
独断専行 [どくだんせんこう] /(n,vs) acting arbitrarily on one's own authority/acting arbitrarily without consultation/
独断的 [どくだんてき] /(adj-na) (comp) dogmatic/arbitrary/
独断論 [どくだんろん] /(n) dogmatism/dogma/
独男 [どくお] /(n) (abbr) (male) (sl) (2-ch term) lonely heart/male virgin/loser/geek/
独得 [どくとく] /(adj-na,n) learning by oneself/(P)/
独特 [どくとく] /(n,adj-no,adj-na) peculiarity/uniqueness/characteristic/(P)/
独白 [どくはく] /(n,vs) monologue/talking to oneself/soliloquy/
独仏 [どくふつ] /(n) Germany and France/German-French/
独仏戦争 [どくふつせんそう] /(n) Franco-German War (i.e. the Franco-Prussian War, 1870-1871)/
独文 [どくぶん] /(n) German literature/German sentence/
独房 [どくぼう] /(n) single cell/isolation cell/(P)/
独房監禁 [どくぼうかんきん] /(n) solitary confinement/
独枕 [ひとりまくら] /(n) lonely in bed/
独木舟 [まるきぶね] /(n) dugout canoe/
独立 [どくりつ] /(adj-na,n,vs) independence (e.g. Independence Day)/self-support/(P)/
独立な [どくりつな] /(n) (comp) indepedent/
独立の法則 [どくりつのほうそく] /(n) (Mendel's) law of independent assortment/
独立コンパイル [どくりつコンパイル] /(n) (comp) independent compilation/separate compilation/
独立データ記述項 [どくりつデータきじゅつこう] /(n) (comp) 77-level-description-entry/
独立ユティリティプログラム [どくりつユティリティプログラム] /(n) (comp) independent utility program/
独立運動 [どくりつうんどう] /(n) (1) independence movement/(2) mutually independent/
独立家屋 [どくりつかおく] /(n) single or detached house/
独立記念日 [どくりつきねんび] /(n) Independence Day/
独立系ソフトウェアベンダ [どくりつけいソフトウェアベンダ] /(n) (comp) independent software vendor/
独立系ソフトウェアメーカー [どくりつけいソフトウェアメーカー] /(n) (comp) ISV/Independent Software Vender/
独立権 [どくりつけん] /(n) right of or to independence/
独立語 [どくりつご] /(n) an independent word/
独立行政 [どくりつぎょうせい] /(n) independent administration/
独立行政法人 [どくりつぎょうせいほうじん] /(n) independent administrative corporation (institution, agency)/
独立行政法人等個人情報保護法 [どくりつぎょうせいほうじんとうこじんじょうほうほごほう] /(n) Law for the Protection of Personal Information Retained by Independent Administrative Institutions (2003)/
独立項目 [どくりつこうもく] /(n) (comp) noncontiguous item/
独立国 [どくりつこく] /(n) independent state or nation/(P)/
独立国家共同体 [どくりつこっかきょうどうたい] /(n) Commonwealth of Independent States/CIS/
独立採算制 [どくりつさいさんせい] /(n) a self-supporting accounting system/
独立祭 [どくりつさい] /(n) Independence Day celebration/
独立市 [どくりつし] /(n) independent city/city that is not part of another local government entity/
独立自存 [どくりつじそん] /(n) independence and self-reliance/
独立自尊 [どくりつじそん] /(n) (spirit of) independence and self-respect/
独立住宅 [どくりつじゅうたく] /(n) single or detached house/
独立心 [どくりつしん] /(n) independent spirit/
独立性 [どくりつせい] /(n) independence/
独立宣言 [どくりつせんげん] /(n) Declaration of Independence/
独立戦争 [どくりつせんそう] /(n) American Revolutionary War/War of Independence/
独立独行 [どくりつどっこう] /(n,adj-no) self-reliance/acting according to one's own ideas and beliefs/
独立独歩 [どくりつどっぽ] /(n,adj-no) self-reliance/self-help/
独立発電事業者 [どくりつはつでんじぎょうしゃ] /(n) independent power producer/IPP/
独立班 [どくりつはん] /(n) detachment/
独立不羈 [どくりつふき] /(n) acting according to one's own beliefs, being undisturbed by others/
独立変数 [どくりつへんすう] /(n) independent variable/
独力 [どくりょく] /(n-adv,n-t) one's own effort/
独和 [どくわ] /(n) German-Japanese/
独話 [どくわ] /(n,vs) talking to oneself/conducting a monologue/
独墺 [どくおう] /(n) Germany-Austria/
独擅場 [どくせんじょう] /(n) field in which one acts unchallenged/unrivaled sphere of activity (unrivalled)/one's monopoly/
読み [よみ] /(n) reading/(P)/
読みかえす [よみかえす] /(v5s,vt) to reread/to read again/
読みかける [よみかける] /(v1,vt) to begin to read/to leaf through a book/
読みさしの本 [よみさしのほん] /(n) unfinished book/
読みそこなう [よみそこなう] /(v5u) to misread/to mispronounce/
読みつける [よみつける] /(v1,vt) (obsc) to be accustomed to reading/
読みづらい [よみづらい] /(adj-i) hard to read/
読みで [よみで] /(n) huge amount of material (worth reading)/richness of content (of a book)/
読みとる [よみとる] /(v5r,vt) (1) to read (someone's) mind/to read between the lines/(2) to read (a calibration, a tape, etc.)/to read (out)/
読みなおす [よみなおす] /(v5s) to read (a book, etc.) over again/
読みなれる [よみなれる] /(v1,vi) to be accustomed to reading/
読みにくい [よみにくい] /(adj-i) hard to read/illegible/(P)/
読みやすい [よみやすい] /(adj-i) easy to read/legible/clear/
読みやすさ [よみやすさ] /(n) ease of reading/legibility/
読み悪い [よみにくい] /(adj-i) hard to read/illegible/(P)/
読み易い [よみやすい] /(adj-i) easy to read/legible/clear/
読み応え [よみごたえ] /(n) worthwhile reading/
読み下し文 [よみくだしぶん] /(n) transcription of Chinese classics into Japanese/
読み下す [よみくだす] /(v5s,vt) to transliterate classical Chinese into Japanese/
読み仮名 [よみがな] /(n) pronounciation key for kanji/furigana/
読み過ぎ [よみすぎ] /(n) reading too much/
読み過ごす [よみすごす] /(v5s) to skip over/to miss reading/
読み過す [よみすごす] /(v5s) to skip over/to miss reading/
読み解く [よみとく] /(v5k) (1) to read and understand/to subject to close analysis/(2) to decipher/to decode/
読み掛ける [よみかける] /(v1,vt) to begin to read/to leaf through a book/
読み慣れる [よみなれる] /(v1,vi) to be accustomed to reading/
読み誤まる [よみあやまる] /(v5r,vt) (1) to mispronounce/(2) to misread/to misinterpret/to read wrongly/
読み誤る [よみあやまる] /(v5r,vt) (1) to mispronounce/(2) to misread/to misinterpret/to read wrongly/
読み合せる [よみあわせる] /(v1,vt) to read out and compare or collate/
読み合わせる [よみあわせる] /(v1,vt) to read out and compare or collate/
読み込み [よみこみ] /(n) (comp) read in/
読み込み許可 [よみこみきょか] /(n) (comp) read permission/
読み込む [よみこむ] /(v5m,vt) (1) to express (e.g. emotion in poetry)/(2) to read (extra meaning) into (something)/(3) to fetch (e.g. CPU inst.)/to read (data into a system)/
読み札 [よみふだ] /(n) cards with words or phrases written on them, used in Japanese karuta games/
読み止しの本 [よみさしのほん] /(n) unfinished book/
読み止す [よみさす] /(v5s,vt) to leave half-read or unfinished/
読み取り [よみとり] /(n,vs) reading (e.g. by a scanner)/(P)/
読み取り機 [よみとりき] /(n) (comp) (computer) reader/reading device/
読み取り専用 [よみとりせんよう] /(n) (comp) read only/
読み取り専用メモリ [よみとりせんようメモリ] /(n) (comp) read-only memory/ROM/
読み取り専用モード [よみとりせんようモード] /(n) (comp) read only mode/
読み取る [よみとる] /(v5r,vt) (1) to read (someone's) mind/to read between the lines/(2) to read (a calibration, a tape, etc.)/to read (out)/
読み手 [よみて] /(n) (1) reader (person)/(2) person who reads the cards (in karuta games)/
読み終る [よみおわる] /(v5r) to finish reading/to read through/
読み終わる [よみおわる] /(v5r) to finish reading/to read through/
読み出 [よみで] /(n) huge amount of material (worth reading)/richness of content (of a book)/
読み出し [よみだし] /(n) (comp) reading/readout (computer)/
読み出し専用メモリ [よみだしせんようメモリ] /(n) (comp) read-only memory/ROM/
読み出し端末 [よみだしたんまつ] /(n) (comp) readout terminal/
読み出し保護 [よみだしほご] /(n) (comp) read protection/
読み出す [よみだす] /(v5s) (comp) to read out (e.g. data from a computer or process)/to retrieve/
読み書き [よみかき] /(n) reading and writing/(P)/
読み書きベース [よみかきベース] /(n) read-write basis/
読み書き算盤 [よみかきそろばん] /(exp) the three R's/reading, writing and arithmetic/
読み上げる [よみあげる] /(v1,vt) to read out loud (and clearly)/to call a roll/(P)/
読み上げ算 [よみあげざん] /(n) having the figures read aloud by another person/calculation by abacus/
読み振り [よみぶり] /(n) manner of reading/
読み辛い [よみづらい] /(adj-i) hard to read/
読み進む [よみすすむ] /(v5m) to go on reading/
読み人 [よみびと] /(n) (poetic) author/
読み人知らず [よみびとしらず] /(n) (1) author unknown/anonymous/(2) unknown waka composer/
読み切り [よみきり] /(n,adj-no) (1) finishing reading/(2) non-serialised stories (e.g. in magazines)/complete novel/(3) punctuation/
読み切る [よみきる] /(v5r,vt) to finish reading/to read through/
読み損う [よみそこなう] /(io) (v5u) to misread/to mispronounce/
読み損じる [よみそんじる] /(v1) to fail to read correctly/
読み損なう [よみそこなう] /(v5u) to misread/to mispronounce/
読み替える [よみかえる] /(v1,vt) (1) to read a kanji with a different pronunciation/(2) to load (e.g. data on a computer)/to read/(3) to change the language or wording (of a provision, etc.) (law)/
読み耽ける [よみふける] /(io) (v5r,vi) to be absorbed in reading/
読み耽る [よみふける] /(v5r,vi) to be absorbed in reading/
読み直す [よみなおす] /(v5s) to read (a book, etc.) over again/
読み馴れる [よみなれる] /(v1,vi) to be accustomed to reading/
読み難い [よみにくい] /(adj-i) hard to read/illegible/
読み破る [よみやぶる] /(v5r,vt) to read through (difficult passage or particularly long book)/
読み飛ばす [よみとばす] /(v5s) to skip over (while reading)/to skim/
読み付ける [よみつける] /(v1,vt) (obsc) to be accustomed to reading/
読み物 [よみもの] /(n) reading matter/reading material/(P)/
読み聞かす [よみきかす] /(v5s) to read to (for) someone/
読み聞かせる [よみきかせる] /(v1,vt) to read aloud to another/
読み癖 [よみくせ] /(n) idiomatic pronunciation or peculiar reading of a kanji or compound/
読み返す [よみかえす] /(v5s,vt) to reread/to read again/(P)/
読み方 [よみかた] /(n) way of reading/how to read/(P)/
読み落とす [よみおとす] /(v5s) to overlook in reading/
読み流す [よみながす] /(v5s,vt) to read smoothly/to skim/
読み良い [よみよい] /(n) easy to read/
読む [よむ] /(v5m,vt) to read/(P)/
読影 [どくえい] /(n,vs) interpretation of radiograms/radiographic image interpretation/
読過 [どっか] /(n,vs) finish reading/skim (over)/
読会 [どっかい] /(n) reading (of a bill)/
読解 [どっかい] /(n,vs) reading comprehension/
読解力 [どっかいりょく] /(n) reading comprehension/ability to read and understand/
読掛ける [よみかける] /(v1,vt) to begin to read/to leaf through a book/
読慣れる [よみなれる] /(v1,vi) to be accustomed to reading/
読響 [よみきょう] /(n) (abbr) Yomiuri Symphony/
読経 [どきょう] /(n,vs) sutra chanting/
読経 [どっきょう] /(n,vs) sutra chanting/
読後 [どくご] /(n-adv,n-t) after reading a book/
読後感 [どくごかん] /(n) one's impressions after reading a book/
読者 [どくしゃ] /(n) reader/(P)/
読者の声 [どくしゃのこえ] /(n) readers voice/
読者数 [どくしゃすう] /(n) reader numbers/number of subscribers (e.g. to a magazine)/
読者層 [どくしゃそう] /(n) class of readers/
読者欄 [どくしゃらん] /(n) reader's column/
読取り [よみとり] /(n,vs) reading (e.g. by a scanner)/
読取りサイクル時間 [よみとりサイクルじかん] /(n) (comp) read cycle time/
読取りヘッド [よみとりヘッド] /(n) (comp) read head/
読取り書込みサイクル時間 [よみとりかきこみサイクルじかん] /(n) (comp) read-write cycle time/
読取り書込みスロット [よみとりかきこみスロット] /(n) (comp) read-write slot/read-write opening/
読取り書込みヘッド [よみとりかきこみヘッド] /(n) (comp) read-write head/
読取り書込み開口部 [よみとりかきこみかいこうぶ] /(n) (comp) read-write slot/read-write opening/
読取り書込み記憶装置 [よみとりかきこみきおくそうち] /(n) (comp) RAM/
読取り専用ファイルシステム [よみとりせんようファイルシステム] /(n) (comp) read-only file system/
読取り専用記憶装置 [よみとりせんようきおくそうち] /(n) (comp) read-only memory/ROM/
読取り通路 [よみとりつうろ] /(n) (comp) read path/
読取り部 [よみとりぶ] /(n) (comp) read station/
読手 [よみて] /(n) (1) reader (person)/(2) person who reads the cards (in karuta games)/
読出し [よみだし] /(n) (comp) reading/readout (computer)/
読書 [とくしょ] /(n,vs) reading/
読書 [どくしょ] /(n,vs) reading/(P)/
読書家 [どくしょか] /(n) avid reader/bookworm/
読書会 [どくしょかい] /(n) a reading circle/
読書界 [どくしょかい] /(n) the reading public/
読書三到 [どくしょさんとう] /(n) using mind, mouth and eyes to understand a book fully/
読書三昧 [どくしょざんまい] /(n) being absorbed in reading/
読書三余 [どくしょさんよ] /(n) winter, night, and rainy weather/the ideal conditions for reading/
読書室 [どくしょしつ] /(n) a reading room/
読書人 [どくしょじん] /(n) avid reader/
読書百遍 [どくしょひゃっぺん] /(exp) Repeated reading (makes the meaning clear)/Reading something again and again (will lead one to realize its meaning)/
読書力 [どくしょりょく] /(n) reading ability/
読唇術 [どくしんじゅつ] /(n) lip reading/
読心術 [どくしんじゅつ] /(n) mind reading/
読人知らず [よみびとしらず] /(n) (1) author unknown/anonymous/(2) unknown waka composer/
読図 [どくず] /(n,vs) reading a map/
読切り [よみきり] /(n,adj-no) (1) finishing reading/(2) non-serialised stories (e.g. in magazines)/complete novel/(3) punctuation/
読替える [よみかえる] /(v1,vt) to be read as/
読点 [とうてん] /(n) (ling) comma/
読破 [どくは] /(n,vs) finish reading a book/
読売 [よみうり] /(n) Yomiuri (newspaper)/(P)/
読飛ばす [よみとばす] /(v5s) to skip over (while reading)/to skim/
読付ける [よみつける] /(v1,vt) (obsc) to be accustomed to reading/
読物 [よみもの] /(n) reading matter/reading material/
読本 [とくほん] /(n) (1) reading-book/reader/guidebook/manual/(2) textbook (esp. a pre-war elementary school Japanese language textbook)/(P)/
読本 [どくほん] /(n) (1) reading-book/reader/guidebook/manual/(2) textbook (esp. a pre-war elementary school Japanese language textbook)/
読本 [よみほん] /(n) type of popular literature from the late Edo period/
読了 [どくりょう] /(n,vs) finish reading/
読話 [どくわ] /(n) lip reading (esp. in context of deaf people)/lipreading/speech reading/speechreading/
読誦 [どくしょう] /(n,vs) reading aloud/recitation/intoning/
読誦 [どくじゅ] /(n,vs) reading aloud/recitation/intoning/
栃の木 [とちのき] /(n) Japanese horse chestnut/
栃ノ木 [とちのき] /(n) Japanese horse chestnut/
栃栗毛 [とちくりげ] /(n) dark chestnut (horse coat color)/
栃若 [とちわか] /(n) (sumo) era during the 1950s dominated by grand champions Tochinishiki and Wakanohana I/
栃若時代 [とちわかじだい] /(n) (sumo) era during the 1950s dominated by grand champions Tochinishiki and Wakanohana I/
栃麺 [とちめん] /(n) noodles made from regular flour and horse chestnut flour/
栃麺棒 [とちめんぼう] /(n) (1) rolling pin for making horse chestnut noodles/(2) hurry/haste/comparison to someone making horse chestnut noodles which requires great haste/
栃木 [とちのき] /(n) Japanese horse chestnut/
栃木県 [とちぎけん] /(n) Tochigi prefecture (Kantou area)/
栃葉人参 [とちばにんじん] /(n) (uk) Japanese ginseng (Panax japonicus)/
橡 [くぬぎ] /(n) (uk) sawtooth oak (Quercus acutissima)/
橡 [くのぎ] /(n) (uk) sawtooth oak (Quercus acutissima)/
橡 [とちのき] /(n) Japanese horse chestnut/
橡の木 [とちのき] /(n) Japanese horse chestnut/
橡麺 [とちめん] /(n) noodles made from regular flour and horse chestnut flour/
橡木 [とちのき] /(n) Japanese horse chestnut/
凸 [でこ] /(n) (uk) (sens) brow/forehead/
凸 [とつ] /(adj-na,adj-no) convex/
凸レンズ [とつレンズ] /(n) convex lens/
凸円 [とつえん] /(n) convexity/
凸凹 [でこぼこ] /(adj-na,n,adj-no) unevenness/roughness/ruggedness/(P)/
凸凹 [とつおう] /(adj-na,n,adj-no) unevenness/roughness/ruggedness/
凸凹紙 [とつおうし] /(n) embossed paper/
凸角 [とっかく] /(n) convex angle/
凸鏡 [とっきょう] /(n) convex mirror/
凸形 [とつけい] /(adj-no,n) convex/cuspid/gibbous/
凸集合 [とつしゅうごう] /(n) (math) convex set/
凸状 [とつじょう] /(n,adj-no) protrusion/
凸多角形 [とつたかくけい] /(n) convex polygon/
凸版 [とっぱん] /(n,adj-no) letterpress/relief printing/(P)/
凸版印刷 [とっぱんいんさつ] /(n,adj-no) letterpress/relief printing/(P)/
凸坊 [でこぼう] /(n) beetle-browed boy/mischief/
凸面 [とつめん] /(n,adj-no) convex surface/convex/
凸面鏡 [とつめんきょう] /(n) convex mirror/
突き [つき] /(n) a thrust/a pass/a lunge/a stab/(P)/
突きささる [つきささる] /(v5r,vi) to stick into/to pierce/to run into/
突きさす [つきさす] /(v5s,vt) to stab/to pierce/to thrust/
突きだす [つきだす] /(v5s,vt) to push out/to project/
突きっ返す [つきっかえす] /(v5s,vt) to poke in return/to send back/to reject/
突きつける [つきつける] /(v1,vt) to thrust before/to thrust at/
突き押し [つきおし] /(n) pushing and showing sumo techniques/
突き回す [つつきまわす] /(v5s) (uk) to poke something around/
突き掛る [つきかかる] /(v5r) to thrust at (with a knife)/
突き詰める [つきつめる] /(v1,vt) to investigate thoroughly/to probe into/to think something through/to follow an argument to its logical conclusion/
突き合せる [つきあわせる] /(v1,vt) to place persons opposite/to come face to face with/to compare/
突き合わせる [つきあわせる] /(v1,vt) to place persons opposite/to come face to face with/to compare/
突き合わせ継ぎ手 [つきあわせつぎて] /(n) butt joint/
突き合わせ継手 [つきあわせつぎて] /(n) butt joint/
突き殺す [つきころす] /(v5s,vt) to stab to death/
突き刺さる [つきささる] /(v5r,vi) to stick into/to pierce/to run into/
突き刺す [つきさす] /(v5s,vt) to stab/to pierce/to thrust/(P)/
突き指 [つきゆび] /(n) jamming a finger (i.e. with a ball)/
突き止める [つきとめる] /(v1,vt) to make sure/to locate/to find out/to ascertain/
突き出し [つきだし] /(n) (1) protrusion/(2) (Japanese) hors d'oeuvre/snacks/(3) (sumo winning technique of) pushing out of the ring/
突き出す [つきだす] /(v5s,vt) to push out/to project/
突き出た [つきでた] /(adj-f) projecting/protruding/
突き出る [つきでる] /(v1,vi) to project/to stick out/to stand out/
突き除ける [つきのける] /(v1,vt) to thrust aside/
突き傷 [つききず] /(n) stab wound/
突き上げる [つきあげる] /(v1,vt) to push up/to toss/(P)/
突き進む [つきすすむ] /(v5m,vi) to push on/to plunge forward/to push one's way to/
突き退ける [つきのける] /(v1,vt) to thrust aside/
突き通す [つきとおす] /(v5s,vt) to pierce/to penetrate/
突き通る [つきとおる] /(v5r,vi) to penetrate/
突き転ばす [つきころばす] /(v5s,vt) to knock (a person) down/
突き倒し [つきたおし] /(n) thrusting down one's opponent either inside or outside the ring (sumo)/
突き倒す [つきたおす] /(v5s,vt) to push down/
突き当たり [つきあたり] /(n) end (e.g. of street)/(P)/
突き当たる [つきあたる] /(v5r) to run into/to collide with/(P)/
突き当り [つきあたり] /(n) end (e.g. of street)/
突き当る [つきあたる] /(v5r) to run into/to collide with/
突き動かす [つきうごかす] /(v5s,vt) to stimulate/to stir up/to arouse/
突き破る [つきやぶる] /(v5r,vt) to break through/to penetrate/to pierce/
突き抜く [つきぬく] /(v5k) to pierce/to shoot through/to penetrate/
突き抜ける [つきぬける] /(v1,vi) to pierce through/to break through/(P)/
突き飛ばす [つきとばす] /(v5s,vt) to thrust away/
突き膝 [つきひざ] /(n) (1) knee touch down (sumo)/(2) posture with knees and toes on the floor/
突き付ける [つきつける] /(v1,vt) to thrust before/to thrust at/
突き返す [つきかえす] /(v5s,vt) to poke in return/to send back/to reject/
突き崩す [つきくずす] /(v5s,vt) to crush/to break through/to flatten/
突き放す [つきはなす] /(v5s,vt) to thrust away/to refuse bluntly/to forsake/
突き戻す [つきもどす] /(v5s,vt) to thrust back/to reject/
突き落す [つきおとす] /(v5s,vt) to thrust down/to push off/
突き落とし [つきおとし] /(n) (sumo winning technique of) thrusting down/
突き落とす [つきおとす] /(v5s,vt) to thrust down/to push off/
突き離す [つきはなす] /(v5s,vt) to thrust away/to refuse bluntly/to forsake/
突き立つ [つきたつ] /(v5t) to pierce through/to stand (of something sharp or pointy)/to thrust (up)/
突き立てる [つきたてる] /(v1,vt) to pierce/to thrust violently/
突き留める [つきとめる] /(v1,vt) to make sure/to locate/to find out/to ascertain/
突く [つく] /(v5k,vt) (1) to prick/to stab/(2) to poke/to prod/to push/to thrust/to nudge/to hit/to strike/(3) to use (a cane)/to prop oneself up with/to press against (the floor, etc.)/(4) to attack/(5) to brave (the rain, etc.)/(P)/
突く [つつく] /(v5k,vt) (1) (uk) to poke (repeatedly, lightly)/to nudge/(2) to peck at (one's food)/to pick at/(3) to peck at (someone's faults, etc.)/(4) to egg on/to put up to/(P)/
突っかかる [つっかかる] /(v5r,vi) to charge/to lunge/to rush/
突っかける [つっかける] /(v1,vt) to slip on (slippers, sandals, etc.)/
突っきる [つっきる] /(v5r,vt) to cross/to go across/to go through/to cut across/
突っつく [つっつく] /(v5k,vt) (1) to poke (repeatedly, lightly)/to nudge/(2) to peck at (one's food)/to pick at/(3) to peck at (someone's faults, etc.)/(4) to egg on/to put up to/
突っぱねる [つっぱねる] /(v1,vt) to reject/to spurn/to turn down/to refuse/
突っ掛かる [つっかかる] /(v5r,vi) to charge/to lunge/to rush/
突っ掛け [つっかけ] /(n) slip-on/
突っ掛ける [つっかける] /(v1,vt) to slip on (slippers, sandals, etc.)/(P)/
突っ込み [つっこみ] /(n) (1) penetration/digging into something/(2) straight man (in comedy)/(3) riposte/retort/quip/(4) (id) rape/(5) corner entry (motorsports, racing)/
突っ込む [つっこむ] /(v5m) (1) to thrust something into something/(2) to plunge into/to go into deeply/(3) to meddle/to interfere/(4) to retort/(5) to riposte/(P)/
突っ支い [つっかい] /(n) a prop or support/
突っ支い棒 [つっかいぼう] /(n) a prop or support/
突っ切る [つっきる] /(v5r,vt) to cross/to go across/to go through/to cut across/
突っ走る [つっぱしる] /(v5r,vi) to run swiftly/
突っ張り [つっぱり] /(n) (1) prop/strut/support/bar/(2) becoming taut/bracing/(3) thrust (sumo)/slapping attacks/(4) (juvenile) delinquent/punk/(P)/
突っ張り棒 [つっぱりぼう] /(n) (spring) tension rod or pole/
突っ張る [つっぱる] /(v5r) to support/to become stiff/to become taut/to thrust (one's opponent)/to stick to (one's opinion)/to insist on/(P)/
突っ突く [つっつく] /(v5k,vt) (1) to poke (repeatedly, lightly)/to nudge/(2) to peck at (one's food)/to pick at/(3) to peck at (someone's faults, etc.)/(4) to egg on/to put up to/
突っ伏す [つっぷす] /(v5s,vi) to fall prostrate/
突っ放す [つっぱなす] /(v5s,vt) to thrust or cast away/to look upon with detachment/
突っ立つ [つったつ] /(v5t) to stand up/
突っ立てる [つったてる] /(v1,vt) to stab/to plant one's feet/
突っ慳貪 [つっけんどん] /(adj-na) (uk) blunt/curt/brusque/
突っ撥ねる [つっぱねる] /(v1,vt) to reject/to spurn/to turn down/to refuse/
突ん出す [つんだす] /(v5s,vt) to push out/to project/
突角 [とっかく] /(n) convex angle/
突掛ける [つっかける] /(io) (v1,vt) to slip on (slippers, sandals, etc.)/
突貫 [とっかん] /(n,vs) charge/rush/lightning attack/(P)/
突貫工事 [とっかんこうじ] /(n) construction at top speed/
突貫作業 [とっかんさぎょう] /(n) rush work/crash program/working on a crash basis/working at top speed/
突起 [とっき] /(n,vs) protuberance/(P)/
突撃 [とつげき] /(n,vs) assault/charge/attack/
突撃隊員 [とつげきたいいん] /(n) stormtroopers/
突撃砲 [とつげきほう] /(n) assault gun/
突合 [とつごう] /(n,vs) matching/checking/comparison (of data)/
突合せ継手 [つきあわせつぎて] /(n) butt joint/
突刺さる [つきささる] /(v5r,vi) to stick into/to pierce/to run into/
突止める [つきとめる] /(v1,vt) to make sure/to locate/to find out/to ascertain/
突出 [とっしゅつ] /(n,vs,adj-no) projection/protrusion/(P)/
突出し [つきだし] /(n) (comp) projection/protrusion/
突出す [つきだす] /(v5s,vt) to push out/to project/
突出す [つんだす] /(v5s,vt) to push out/to project/
突進 [とっしん] /(n,vs) rush/charge/(P)/
突先 [とっさき] /(n) tip/
突然 [とつぜん] /(adj-na,adj-no,adv) abrupt/sudden/unexpected/all at once/(P)/
突然だけど [とつぜんだけど] /(exp) apropos of nothing/to change the subject/
突然死 [とつぜんし] /(n) sudden death/
突然変異 [とつぜんへんい] /(n) mutation/
突然変異説 [とつぜんへんいせつ] /(n) mutationism/
突然変異体 [とつぜんへんいたい] /(n) mutant/
突然目 [とつぜんめ] /(exp) somewhat sudden/
突端 [とったん] /(n) tip of a headland/point/
突端 [とっぱな] /(n) tip of a headland/point/
突張り [つっぱり] /(n) (1) prop/strut/support/bar/(2) becoming taut/bracing/(3) thrust (sumo)/slapping attacks/(4) (juvenile) delinquent/punk/
突堤 [とってい] /(n) breakwater/
突倒し [つきたおし] /(n) thrusting down one's opponent either inside or outside the ring (sumo)/
突当たり [つきあたり] /(n) end (e.g. of street)/
突当り [つきあたり] /(n) end (e.g. of street)/
突入 [とつにゅう] /(n,vs) rushing/breaking into/(P)/
突如 [とつじょ] /(adv) suddenly/all of a sudden/(P)/
突如として [とつじょとして] /(adv) suddenly/all of a sudden/
突如異変 [とつじょいへん] /(n) sudden and dramatic event (incident)/sudden and strange phenomenon/
突破 [とっぱ] /(n,vs) breaking through/breakthrough/penetration/(P)/
突破口 [とっぱこう] /(n) breach/
突拍子もない [とっぴょうしもない] /(adj-i) astounding/tremendous/crazy/exorbitant/
突拍子も無い [とっぴょうしもない] /(adj-i) astounding/tremendous/crazy/exorbitant/
突発 [とっぱつ] /(n,vs) outbreak/occurrence/
突発性発しん [とっぱつせいはっしん] /(n) exanthem subitum/Roseola infantum/
突発性発疹 [とっぱつせいはっしん] /(n) exanthem subitum/Roseola infantum/
突発的 [とっぱつてき] /(adj-na) sudden/unexpected/
突抜く [つきぬく] /(v5k) to pierce/to shoot through/to penetrate/
突抜ける [つきぬける] /(v1,vi) to pierce through/to break through/
突抜忍冬 [つきぬきにんどう] /(n) (uk) trumpet honeysuckle/Lonicera sempervirens/
突飛 [とっぴ] /(adj-na,n) erratic/offbeat/wild/extraordinary/
突付く [つつく] /(iK) (v5k,vt) (1) (uk) to poke (repeatedly, lightly)/to nudge/(2) to peck at (one's food)/to pick at/(3) to peck at (someone's faults, etc.)/(4) to egg on/to put up to/
突風 [とっぷう] /(n) squall/sudden gust/(P)/
突沸 [とっぷつ] /(n,vs) explosive boil (after a liquid has been heated to its boiling point)/bumping/
突崩す [つきくずす] /(v5s,vt) to crush/to break through/to flatten/
突立 [とったつ] /(n) stand straight up/
突兀 [とっこつ] /(adj-t,adv-to) lofty/soaring/towering/precipitous/high and steep/sharply sticking out/jutting upward/
突厥 [とっけつ] /(n) Gokturks/Sky Turks/Tujue/(powerful Turkic confederation from medieval Inner Asia)/
突慳貪 [つっけんどん] /(adj-na) (uk) blunt/curt/brusque/
椴 [とど] /(n) Sakhalin fir (Abies sachalinensis)/
椴松 [とどまつ] /(n) (uk) Sakhalin fir (Abies sachalinensis)/
届 [とどけ] /(n,n-suf) report/notification/registration/(P)/
届かない手紙 [とどかないてがみ] /(n) letter that fails to reach its destination/
届かぬ願い [とどかぬねがい] /(n) unfulfilled wish/
届く [とどく] /(v5k,vi) (1) to reach/to arrive/to get through/to get at/(2) to be attentive/to pay attention/(3) to be delivered/to carry (e.g. sound)/(P)/
届け [とどけ] /(n,n-suf) report/notification/registration/(P)/
届ける [とどける] /(v1,vt) to deliver/to forward/to send/to report/to file notice (to the authorities)/(P)/
届け出 [とどけで] /(n,vs) report/notification/(P)/
届け出でる [とどけいでる] /(v1) to give notice/to submit notice/
届け出る [とどけでる] /(v1,vt) to report/to notify/
届け出印 [ととけでいん] /(n) seal used to open and associated with a bank account/
届け出価格 [とどけでかかく] /(n) reported price/
届け出伝染病 [とどけいででんせんびょう] /(n) infectious disease which by law a physician must report to the authorities within 24 hours of diagnosis/
届け書 [とどけがき] /(n) (written) report or notification/
届け書 [とどけしょ] /(n) (written) report or notification/
届け先 [とどけさき] /(n) destination/receiver's address/consignee/
届け物 [とどけもの] /(n) article to be delivered/present/
届出 [とどけで] /(n,vs) report/notification/
届出印 [ととけでいん] /(n) seal used to open and associated with a bank account/
届書 [とどけがき] /(n) (written) report or notification/
届書 [とどけしょ] /(n) (written) report or notification/
鳶 [とび] /(n) (1) (uk) black kite (bird of prey, Milvus migrans)/(2) (abbr) construction worker/scaffold erector/firefighter/
鳶 [とんび] /(n) (1) (uk) black kite (bird of prey, Milvus migrans)/(2) (abbr) Inverness cape/
鳶が鷹を生む [とびがたかをうむ] /(exp,v5m) Even plain parents can produce a genius child/A great person may be born of perfectly ordinary parents/
鳶が鷹を生む [とんびがたかをうむ] /(exp,v5m) Even plain parents can produce a genius child/A great person may be born of perfectly ordinary parents/
鳶に油揚げをさらわれる [とびにあぶらあげをさらわれる] /(exp,v1) to be robbed of one's due/lit: to have one's fried tofu snatched by a kite/
鳶に油揚げを攫われる [とびにあぶらあげをさらわれる] /(exp,v1) to be robbed of one's due/lit: to have one's fried tofu snatched by a kite/
鳶に油揚を攫われる [とびにあぶらあげをさらわれる] /(exp,v1) to be robbed of one's due/lit: to have one's fried tofu snatched by a kite/
鳶ガッパ [とんびガッパ] /(n) (obsc) Inverness cape/
鳶ズボン [とびズボン] /(n) construction worker's baggy trousers/
鳶口 [とびぐち] /(n) firefighter's hook/
鳶合羽 [とんびがっぱ] /(n) (obsc) Inverness cape/
鳶子 [とびこ] /(n) (uk) crane chaser/dogman/
鳶職 [とびしょく] /(n) scaffolding or construction worker/steeplejack/
鳶職人 [とびしょくにん] /(n) scaffold constructor/steeplejack/
鳶色 [とびいろ] /(n) reddish brown/
鳶足 [とんびあし] /(n) sitting position similar to seiza (but with both legs splayed out slightly and one's backside resting directly on the ground)/
鳶尾 [いちはつ] /(n) wall iris/roof iris/Iris tectorum/fleur-de-lis/
苫 [とま] /(n) woven mat (of sedge, hay, etc.)/
寅 [とら] /(n) third sign of Chinese zodiac (The Tiger, 3am-5am, east-northeast, January)/(P)/
寅の刻 [とらのこく] /(n) around four o'clock in the morning/
寅年 [とらどし] /(n) year of the tiger/
酉 [とり] /(n) tenth sign of Chinese zodiac (The Bird, 5pm-7pm, west, August)/
酉の市 [とりのいち] /(n) Bird Day Fair (held at Otori Shrine on each Day of the Bird in November)/
酉の待 [とりのまち] /(n) (arch) Bird Day Fair (held at Otori Shrine on each Day of the Bird in November)/
酉の町 [とりのまち] /(n) (arch) Bird Day Fair (held at Otori Shrine on each Day of the Bird in November)/
酉の日 [とりのひ] /(n) Bird Day/Day of the Bird/
酉の方角 [とりのほうがく] /(n) west/
酉年 [とりどし] /(n) year of the cock/
酉偏 [とりへん] /(n) kanji "bird of the zodiac" radical (radical 164)/
瀞 [とろ] /(n) pool (in a river)/
瀞み [とろみ] /(n) (uk) thickness (e.g. of a sauce, oil, etc.)/
噸 [トン] /(ateji) (n) (uk) ton (now usu. a metric ton, i.e. 1,000kg) (eng:)/
噸数 [とんすう] /(n) tonnage/
屯 [たむら] /(ok) (n) (1) gathering/place where people gather/(2) (arch) police station/camp/barracks/
屯 [たむろ] /(n) (1) gathering/place where people gather/(2) (arch) police station/camp/barracks/
屯 [トン] /(ateji) (n) (uk) ton (now usu. a metric ton, i.e. 1,000kg) (eng:)/(P)/
屯す [とんす] /(v5s,vi) (1) (uk) to gather in large numbers (of people)/to hang out (as a large group)/(2) to assemble (as a military unit or posse)/to be quartered (in a particular location)/
屯する [たむろする] /(vs-s,vi) (1) (uk) to gather in large numbers (of people)/to hang out (as a large group)/(2) to assemble (as a military unit or posse)/to be quartered (in a particular location)/
屯する [とんする] /(vs-s,vi) (1) (uk) to gather in large numbers (of people)/to hang out (as a large group)/(2) to assemble (as a military unit or posse)/to be quartered (in a particular location)/
屯営 [とんえい] /(n,vs) military camp/barracks/camping/
屯所 [とんしょ] /(n) post/quarters/military station/police station/
屯田 [とんでん] /(n,vs) colonization/colonisation/
屯田兵 [とんでんへい] /(n) agricultural soldiers/colonizers/colonisers/
屯服 [とんぷく] /(n,vs) dose of medicine to be taken only once/
屯服薬 [とんぷくやく] /(n) dose of medicine to be taken only once/
惇厚 [とんこう] /(n,adj-na) sincerity and kindheartedness/honesty and simplicity/
惇朴 [とんぼく] /(adj-na) (arch) honest and homely/simple/
惇睦 [とんぼく] /(adj-na) (arch) cordial and friendly/affectionate/
惇樸 [とんぼく] /(adj-na) (arch) honest and homely/simple/
敦厚 [とんこう] /(n,adj-na) sincerity and kindheartedness/honesty and simplicity/
敦盛草 [あつもりそう] /(n) (uk) large-flowered cypripedium (species of lady's slipper, Cypripedium macranthos, esp. Cypripedium macranthos var. speciosum)/
敦朴 [とんぼく] /(adj-na) (arch) honest and homely/simple/
敦睦 [とんぼく] /(adj-na) (arch) cordial and friendly/affectionate/
敦樸 [とんぼく] /(adj-na) (arch) honest and homely/simple/
敦煌 [とんこう] /(iK) (n,adj-na) sincerity and kindheartedness/honesty and simplicity/
豚 [ぶた] /(n) pig/(P)/
豚に真珠 [ぶたにしんじゅ] /(exp) (cast) pearls before swine/
豚まん [ぶたまん] /(n) steamed yeast bun with minced pork filling/
豚めし [ぶためし] /(n) pork with rice/
豚インフルエンザ [ぶたインフルエンザ] /(n) swine influenza/
豚カツ [とんカツ] /(n) pork cutlet/(P)/
豚犬 [とんけん] /(n) (1) (arch) (obsc) pig and dog/(2) dullard/halfwit/(3) (hum) my child/
豚骨 [とんこつ] /(n) dish made with pork belly and bones, simmered with miso, sake, vegetables, etc. (from Kagoshima)/
豚菜 [ぶたな] /(n) cat's-ear (Hypochoeris radicata)/false dandelion/
豚脂 [とんし] /(n) lard/pig fat/
豚児 [とんじ] /(n) (1) (hum) my child (esp. of one's son)/(2) foolish son/(3) (obsc) piglet/
豚舎 [とんしゃ] /(n) pigpen/pigsty/
豚汁 [とんじる] /(n) pork miso soup/miso soup with pork and vegetables/
豚小屋 [ぶたごや] /(n) pigsty/
豚草 [ぶたくさ] /(n) ragweed/
豚足 [とんそく] /(n) pigs feet/
豚肉 [とんにく] /(n,adj-no) pork/
豚肉 [ぶたにく] /(n,adj-no) pork/(P)/
豚箱 [ぶたばこ] /(n) police cell/lockup/
豚飯 [ぶためし] /(n) pork with rice/
豚丼 [とんどん] /(ik) (n) rice covered with pork and vegetables/
豚丼 [ぶたどん] /(n) rice covered with pork and vegetables/
遁げ出す [にげだす] /(v5s,vi) to run away/to escape from/
遁れる [のがれる] /(v1,vi) to escape/
遁甲 [とんこう] /(n) type of astrology/
遁辞 [とんじ] /(n) excuse/evasive answer/subterfuge/
遁術 [とんじゅつ] /(n) (MA) Ninja art of escape/
遁世 [とんせい] /(n,vs) seclusion from the world/
遁世生活 [とんせいせいかつ] /(n) (living) retired (in seclusion) (from the world)/
遁走 [とんそう] /(n,vs) fleeing/escape/
遁走曲 [とんそうきょく] /(n) fugue/
遁法 [とんぽう] /(n) (MA) Ninja art of escape/
遁竄 [とんざん] /(n,vs) fleeing into hiding/
頓 [ひたすら] /(adj-na,adv) (uk) nothing but/earnest/intent/determined/set on (something)/
頓 [ひたぶる] /(adj-na,adv) (uk) nothing but/earnest/intent/determined/set on (something)/
頓て [やがて] /(adv) (1) (uk) before long/soon/(2) (uk) almost/nearly/(3) (uk) finally/in the end/eventually/
頓と [とんと] /(ateji) (adv) (1) (on-mim) (uk) completely/(2) (on-mim) (uk) not at all/
頓に [とみに] /(adv) suddenly/all at once/rapidly/
頓狂 [とんきょう] /(adj-na,n) wild/in disarray/
頓悟 [とんご] /(n,vs) (Buddh) sudden enlightenment/
頓挫 [とんざ] /(n,vs) setback/at a standstill or impasse/
頓才 [とんさい] /(n) wit/
頓死 [とんし] /(n,vs) sudden death/
頓知 [とんち] /(n) (quick or ready) wit/
頓智 [とんち] /(n) (quick or ready) wit/
頓痴気 [とんちき] /(n) (male) (uk) (sl) numbskull/dimwit/idiot/fool/dope/
頓着 [とんじゃく] /(n,vs) being concerned about or mindful of/
頓着 [とんちゃく] /(n,vs) being concerned about or mindful of/
頓着ない [とんじゃくない] /(adj-i) indifferent/unconcerned/
頓着ない [とんちゃくない] /(adj-i) indifferent/unconcerned/
頓着無い [とんじゃくない] /(adj-i) indifferent/unconcerned/
頓着無い [とんちゃくない] /(adj-i) indifferent/unconcerned/
頓珍漢 [とんちんかん] /(ateji) (adj-na,n) (uk) absurdity/contradiction/incoherence/irrelevance/
頓敵 [とんてき] /(n) (arch) thoughtlessness/thoughtless person/
頓的 [とんてき] /(n) (arch) thoughtlessness/thoughtless person/
頓馬 [とんま] /(adj-na,n) idiot/fool/dope/
頓服 [とんぷく] /(n,vs) dose of medicine to be taken only once/
頓服薬 [とんぷくやく] /(n) dose of medicine to be taken only once/
呑まれる [のまれる] /(v1,vt) (1) to be swallowed up/to be engulfed/(2) to be overwhelmed/to be overawed/
呑み [のみ] /(n) (1) (abbr) drink/drinking/(2) spigot/tap (in a cask, etc.)/(3) stock market bucketing/(4) bookmaking/
呑み屋 [のみや] /(n) (1) bookmaker/bookie/(2) trader performing (stock market) bucketing/
呑み口 [のみくち] /(n) (1) taste (of a liquid, esp. alcoholic beverages)/(2) someone who enjoys alcohol/(3) rim (of a glass)/(4) shape of one's mouth when drinking/(5) tap/faucet/spigot/
呑み口 [のみぐち] /(n) (1) taste (of a liquid, esp. alcoholic beverages)/(2) someone who enjoys alcohol/(3) rim (of a glass)/(4) shape of one's mouth when drinking/(5) tap/faucet/spigot/
呑み行為 [のみこうい] /(n) bookmaking/(stock market) bucketing/
呑み込み [のみこみ] /(n) (quick or slow to) understand/
呑み込む [のみこむ] /(v5m,vt) (1) to gulp down/to swallow deeply/(2) to understand/to take in/to catch on to/to learn/to digest/
呑み助 [のみすけ] /(n) tippler/drunkard/heavy drinker/
呑み代 [のみしろ] /(n) drink money/drinking money/
呑む [のむ] /(v5m,vt) (1) to drink/to gulp/to swallow/(2) to smoke (tobacco)/(3) to engulf/to overwhelm/(4) to keep down/to suppress/(5) to accept (e.g. demand, condition)/(6) to make light of/to conceal/
呑んで掛かる [のんでかかる] /(v5r) to make light of/to hold lightly/
呑ん兵衛 [のんべえ] /(n) heavy drinker/tippler/
呑気 [のんき] /(ateji) (adj-na,n) (uk) carefree/optimistic/careless/reckless/heedless/happy-go-lucky/easygoing/
呑気者 [のんきもの] /(n) happy-go-lucky person/
呑口 [のみくち] /(n) (1) taste (of a liquid, esp. alcoholic beverages)/(2) someone who enjoys alcohol/(3) rim (of a glass)/(4) shape of one's mouth when drinking/(5) tap/faucet/spigot/
呑口 [のみぐち] /(n) (1) taste (of a liquid, esp. alcoholic beverages)/(2) someone who enjoys alcohol/(3) rim (of a glass)/(4) shape of one's mouth when drinking/(5) tap/faucet/spigot/
呑込む [のみこむ] /(v5m,vt) (1) to gulp down/to swallow deeply/(2) to understand/to take in/to catch on to/to learn/to digest/
呑酸 [どんさん] /(n) acid reflux/heart-burn/
呑舟の魚 [どんしゅうのうお] /(exp) big fish/great man/notorious man/
呑吐 [どんと] /(n,vs) drinking and vomiting/coming and going/
呑兵衛 [のんべえ] /(io) (n) heavy drinker/tippler/
曇 [くもり] /(n) cloudiness/cloudy weather/shadow/
曇らす [くもらす] /(v5s,vt) to encloud/to make dim/to make dull/to tarnish/to obscure/to darken/to muffle/
曇らせる [くもらせる] /(v1) to cloud/to make dim or dull/to frown/
曇り [くもり] /(n) cloudiness/cloudy weather/shadow/(P)/
曇りがち [くもりがち] /(adj-na,n,adj-no) broken cloud/mainly cloudy/
曇りガラス [くもりガラス] /(n) frosted glass/
曇り空 [くもりぞら] /(n) cloudy sky (weather)/
曇り勝ち [くもりがち] /(adj-na,n) mostly cloudy/
曇り声 [くもりごえ] /(n) depressed voice/
曇る [くぐもる] /(v5r,vi) (uk) to mumble/to mutter/
曇る [くもる] /(v5r,vi) to become cloudy/to become dim/(P)/
曇天 [どんてん] /(n) dull (cloudy) weather/
曇度 [くもりど] /(n) opacity/
鈍 [どん] /(adj-na,n) dull/slow/stupid/dull-brained/
鈍 [なまくら] /(adj-na) (1) (uk) blunt (e.g. sword)/dull/(2) lazy/cowardly/good for nothing/
鈍い [おそい] /(adj-i) (1) slow/(2) late (e.g. "late at night")/(3) too late/(4) (arch) dull/stupid/
鈍い [にぶい] /(adj-i) dull (e.g. a knife)/thickheaded/obtuse/slow/stupid/(P)/
鈍い [のろい] /(adj-i) dull (e.g. a knife)/thickheaded/obtuse/slow/stupid/(P)/
鈍い音 [にぶいおと] /(n) thick sound/
鈍い男 [にぶいおとこ] /(n) dullard/dolt/
鈍ちん [にぶちん] /(n) (uk) dullard (gen. from not picking up on other people's feelings)/
鈍らす [にぶらす] /(v5s,vt) to blunt/to dull/to weaken/
鈍る [なまる] /(v5r,vi) to become less capable/to grow dull/to become blunt/to weaken/
鈍る [にぶる] /(v5r,vi) to become less capable/to grow dull/to become blunt/to weaken/(P)/
鈍チン [にぶチン] /(n) (uk) dullard (gen. from not picking up on other people's feelings)/
鈍黄色 [にぶきいろ] /(n) dull yellow/
鈍化 [どんか] /(n,vs) becoming dull/slowing down/(P)/
鈍角 [どんかく] /(n,adj-no) obtuse angle/
鈍角三角形 [どんかくさんかくけい] /(n) obtuse triangle/
鈍感 [どんかん] /(adj-na,n) thickheadedness/stolidity/insensitivity/(P)/
鈍感力 [どんかんりょく] /(n) The Power of Insensitivity (book by Junichi Watanabe)/
鈍間 [のろま] /(adj-na,n) blockhead/dunce/gullible (person)/(P)/
鈍器 [どんき] /(n) blunt weapon/(P)/
鈍甲 [どんこ] /(n) (uk) dark sleeper (species of sleeper goby, Odontobutis obscura)/
鈍行 [どんこう] /(n,adj-no) ordinary train/slow train/
鈍根 [どんこん] /(adj-na,n) slow-witted/
鈍才 [どんさい] /(n) stupidity/dull person/dullness/
鈍子 [どんす] /(n) silk damask/satin damask/
鈍臭い [どんくさい] /(adj-i) slow (opposite of fast)/stupid/irritating/
鈍臭い [のろくさい] /(adj-i) slow (opposite of fast)/stupid/irritating/
鈍重 [どんじゅう] /(adj-na,n) dullness/bovinity/thickheaded/slow-witted/
鈍色 [にびいろ] /(n,adj-no) dark gray/dark grey/
鈍足 [どんそく] /(n) slow-footed/
鈍痛 [どんつう] /(n) dull pain/
鈍刀 [どんとう] /(n) dull or blunt sword/
鈍頭 [どんとう] /(n,adj-no) obtuse (of the shape of a leaf)/rounded/
鈍物 [どんぶつ] /(n) blockhead/a fool/
鈍麻 [どんま] /(n,vs) torpor/
奈何 [いかん] /(adv) (1) how/in what way/(n) (2) circumstances/
奈辺 [なへん] /(pn,adj-no) where/
奈落 [ならく] /(n) hell/hades/eternity/theatre basement/theater basement/
奈落の底 [ならくのそこ] /(n) abyss/
奈良県 [ならけん] /(n) Nara prefecture (Kinki area)/
奈良時代 [ならじだい] /(n) Nara period (710-794 CE)/
奈良漬 [ならづけ] /(n) vegetables pickled in sake lees/
奈良漬け [ならづけ] /(n) vegetables pickled in sake lees/
那辺 [なへん] /(pn,adj-no) where/
那辺加 [なべか] /(n) (uk) Omobranchus elegans (species of combtooth blenny)/
那由他 [なゆた] /(n) (1) (Buddh) an extremely great number (often said to be 100 million) (san: nayuta)/(2) 10^60 (or 10^72)/
那由多 [なゆた] /(n) (1) (Buddh) an extremely great number (often said to be 100 million) (san: nayuta)/(2) 10^60 (or 10^72)/
内 [うち] /(n,adj-no) (1) inside/within/(2) while/(3) among/amongst/between/(pn,adj-no) (4) we (referring to one's in-group, i.e. company, etc.)/our/(5) my spouse/(n) (6) (arch) imperial palace grounds/(7) (arch) emperor/(pn,adj-no) (8) (ksb:) I (primarily used by women and children)/me/(P)/
内 [ない] /(suf) inside/within/
内々 [うちうち] /(adj-no,adv,n) family circle/the inside/private/informal/secret/confidential/(P)/
内々 [ないない] /(adj-no,adv,n) family circle/the inside/private/informal/secret/confidential/
内なる [うちなる] /(adj-f) inner (self, voice, man, etc.)/internal (conflict, tension, competition, etc.)/interior/
内の会社 [うちのかいしゃ] /(n) our company/
内の者 [うちのもの] /(n) a member of one's "in group" (e.g. one's family, employees, etc.)/
内の人 [うちのひと] /(n) my husband/one's family/
内ゲバ [うちゲバ] /(n) violence within a (student) sect/internal strife/
内ポケット [うちポケット] /(n) inside pocket/
内圧 [ないあつ] /(n) internal pressure/
内安打 [ないあんだ] /(n) infield hit (baseball)/
内意 [ないい] /(n) intention/personal opinion/
内衣し [うちかくし] /(n) inside pocket/
内因 [ないいん] /(n) the actual reason/
内隠し [うちかくし] /(n) inside pocket/
内謁 [ないえつ] /(n,vs) private audience/
内閲 [ないえつ] /(n,vs) private perusal/
内宴 [ないえん] /(n) private dinner/
内炎 [ないえん] /(n) inner flame/
内縁 [ないえん] /(n) de facto marriage (aka common-law marriage)/
内縁の妻 [ないえんのつま] /(n) de facto wife/common-law wife/
内縁関係 [ないえんかんけい] /(n,adj-no) de facto marriage/common-law marriage/living together as husband and wife without formal marriage/
内苑 [ないえん] /(n) inner garden/inner park/
内奥 [ないおう] /(n) inner part/depths/
内応 [ないおう] /(n,vs) secret understanding/collusion/betrayal/
内温動物 [ないおんどうぶつ] /(n) endotherm/
内科 [ないか] /(n,adj-no) (1) internal medicine, i.e. treatment by medical procedures rather than surgical procedures/(2) department of internal medicine (hospital, etc.)/(P)/
内科医 [ないかい] /(n) physician/internist/
内科学 [ないかがく] /(n) internal medicine/
内果皮 [ないかひ] /(n) endocarp/
内火艇 [ないかてい] /(n) launch/
内回り [うちまわり] /(n) inner tracks or lanes/going around an inner circle/indoors/
内懐 [うちぶところ] /(n) inside pocket/bosom/real intention/
内海 [うちうみ] /(n) inlet/bay/inland sea/(P)/
内海 [うちかい] /(n) inlet/bay/inland sea/
内海 [うちのみ] /(n) inlet/bay/inland sea/
内海 [うつみ] /(n) inlet/bay/inland sea/
内海 [ないかい] /(n) inlet/bay/inland sea/
内界 [ないかい] /(n) inner world/inner sphere/
内開き [うちびらき] /(n) opening inward (e.g. door, window)/
内外 [うちそと] /(n) inside and outside/domestic and foreign/approximately/interior and exterior/
内外 [ないがい] /(n) inside and outside/domestic and foreign/approximately/interior and exterior/(P)/
内外人 [ないがいじん] /(n) nationals and foreigners/
内外多事 [ないがいたじ] /(n,adj-na,adj-no) things being very eventful at home and abroad/
内外野 [ないがいや] /(n) infield and outfield/
内格 [ないかく] /(n) (ling) inessive/
内角 [ないかく] /(n) interior angle/inside corner (baseball)/(P)/
内角球 [ないかっきゅう] /(n) insider/inside ball/
内閣 [ないかく] /(n,adj-no) cabinet/(government) ministry/(P)/
内閣改造 [ないかくかいぞう] /(n) cabinet reshuffle/cabinet shake-up/
内閣閣僚 [ないかくかくりょう] /(n) cabinet members/
内閣官房 [ないかくかんぼう] /(n) Cabinet Secretariat/(P)/
内閣官房長官 [ないかくかんぼうちょうかん] /(n) Chief Cabinet Secretary/
内閣支持率 [ないかくしじりつ] /(n) cabinet support rate/
内閣書記官長 [ないかくしょきかんちょう] /(n) (obs) chief cabinet secretary (from 1879 until 1947)/
内閣情報局 [ないかくじょうほうきょく] /(n) Cabinet Intelligence Bureau (1940-1945)/Cabinet Information Board/
内閣総辞職 [ないかくそうじしょく] /(n) en masse resignation of the cabinet/
内閣総理大臣 [ないかくそうりだいじん] /(n) Prime Minister or Premier (as the head of a cabinet government)/
内閣大学士 [ないかくだいがくし] /(n) position at the imperial court in ancient China/grand secretariat/
内閣不信任案 [ないかくふしんにんあん] /(n) parliamentary motion of non-confidence against the cabinet/
内閣府 [ないかくふ] /(n) Cabinet Office/
内閣法 [ないかくほう] /(n) Cabinet Law/
内閣法制局 [ないかくほうせいきょく] /(n) Cabinet Legislation Bureau/(P)/
内掛 [うちがけ] /(io) (n) inside leg trip (sumo)/
内掛け [うちがけ] /(n) inside leg trip (sumo)/
内割引 [うちわりびき] /(n) band discount/
内兜 [うちかぶと] /(n) inside of a helmet/hidden circumstances/
内勘定 [うちかんじょう] /(n) secret account/
内患 [ないかん] /(n) internal or domestic trouble/
内観 [ないかん] /(n,vs) introspection/
内観療法 [ないかんりょうほう] /(n) Naikan therapy (type of group psychotherapy)/
内含 [ないがん] /(n,vs) implication/
内寄合い [うちよりあい] /(n) family council/
内気 [うちき] /(adj-na,n,adj-no) bashfulness/shyness/reserve/timidity/(P)/
内規 [ないき] /(n) private regulations/bylaws/internal rules/tradition/(P)/
内儀 [ないぎ] /(n) one's wife/landlady/something secret or confidential/
内議 [ないぎ] /(n) secret conference/private consultation/
内宮 [ないくう] /(n) Inner Ise Shrine/
内宮 [ないぐう] /(ik) (n) Inner Ise Shrine/
内供 [ないぐ] /(n) (abbr) inner offerer (any of the 10 high-ranking monks serving at the inner offering hall)/
内供奉 [ないぐぶ] /(n) inner offerer (any of the 10 high-ranking monks serving at the inner offering hall)/
内教 [ないきょう] /(n) (Buddh) Buddhism/
内教坊 [ないきょうぼう] /(n) (arch) part of the imperial palace where dancing girls were trained (Nara and Heian periods)/
内局 [ないきょく] /(n) bureau in a ministry/
内曲球 [ないきょっきゅう] /(n) an incurve/
内勤 [ないきん] /(n,vs,adj-no) office or indoor work/
内金 [うちきん] /(n) (1) deposit/money paid on account/(2) bargain money/
内訓 [ないくん] /(n) private or secret orders/
内径 [ないけい] /(n) bore/inside diameter/
内頚動脈内膜剥離術 [ないけいどうみゃくないまくはくりじゅつ] /(n) (obsc) carotid endarterectomy/CEA/
内芸者 [うちげいしゃ] /(n) geisha living in the establishment/
内検 [ないけん] /(n,vs) preliminary inspection/preview/
内見 [ないけん] /(n,vs) preliminary inspection/preview/
内鍵 [うちかぎ] /(n) internal lock/
内玄関 [うちげんかん] /(n) side entrance/
内玄関 [ないげんかん] /(n) side entrance/
内呼吸 [ないこきゅう] /(n) internal respiration/
内股 [うちまた] /(n) (1) inner thigh/(n,vs) (2) (walking) pigeon-toed/one's toes turned inward/(3) uchimata (judo)/throwing an opponent by putting one's leg between their legs/
内股 [うちもも] /(n) (1) inner thigh/
内股に [うちまたに] /(adv) (walking) pigeon-toed/
内股膏薬 [うちまたこうやく] /(n) double-dealer/fence-sitter/timeserver/moving back and forth between two sides in a conflict/duplicity/turncoat/
内股膏薬 [うちまたごうやく] /(n) double-dealer/fence-sitter/timeserver/moving back and forth between two sides in a conflict/duplicity/turncoat/
内交渉 [うちこうしょう] /(n) preliminary negotiations/
内交渉 [ないこうしょう] /(n) preliminary negotiations/
内向 [ないこう] /(n,vs,adj-no) introvert/(P)/
内向き [うちむき] /(n) facing inward/
内向性 [ないこうせい] /(n) introversion/
内向的 [ないこうてき] /(adj-na) introvert/(P)/
内攻 [ないこう] /(n,vs) (1) (disease) settling in internal organs/(2) quarreling among companions/quarrelling among companions/
内港 [ないこう] /(n) inner harbour/inner harbor/
内腔 [ないこう] /(n) lumen (anatomical)/
内航 [ないこう] /(n) coastwise service/
内項 [ないこう] /(n) (math) internal terms/
内剛 [ないごう] /(n) tough at heart/
内剛外柔 [ないごうがいじゅう] /(n) gentle on the outside but tough on the inside/an iron hand in a velvet glove/
内合 [ないごう] /(n) inferior conjunction (astro)/
内壕 [うちぼり] /(n) inner moat/moat within the castle walls/
内濠 [うちぼり] /(n) inner moat/moat within the castle walls/
内国 [ないこく] /(n) home country/
内国為替 [ないこくかわせ] /(n) domestic exchange/
内国債 [ないこくさい] /(n) internal debt or loans/
内国産 [ないこくさん] /(n) domestic product/
内国郵便 [ないこくゆうびん] /(n) domestic mail/
内骨格 [ないこっかく] /(n) endoskeleton/
内沙汰 [うちざた] /(n) secret government business/
内債 [ないさい] /(n) domestic loan/
内妻 [ないさい] /(n) common-law wife/
内済 [ないさい] /(n,vs) settlement out of court/
内在 [ないざい] /(n,vs,adj-no) immanence/inherence/indwelling/
内在性 [ないざいせい] /(n) immanence/inherence/indwelling/
内在的 [ないざいてき] /(adj-na) immanent/internal/intrinsic/
内在哲学 [ないざいてつがく] /(n) immanence philosophy/
内旨 [ないし] /(n) emperor's secret orders/
内視鏡 [ないしきょう] /(n) endoscope/
内視鏡検査 [ないしきょうけんさ] /(n) endoscopy/
内視鏡手術 [ないしきょうしゅじゅつ] /(n) endoscopic surgery/keyhole surgery/
内事 [ないじ] /(n) personal affairs/internal affairs/
内侍 [ないし] /(ok) (n) maid of honor/maid of honour/
内侍 [ないじ] /(n) maid of honor/maid of honour/
内字 [ないじ] /(n) (comp) internal character/
内治 [ないじ] /(n) internal or domestic affairs/
内治 [ないち] /(n) internal or domestic affairs/
内示 [ないし] /(ok) (n,vs) unofficial announcement/
内示 [ないじ] /(n,vs) unofficial announcement/(P)/
内耳 [ないじ] /(n) inner ear/
内耳炎 [ないじえん] /(n) otitis interna/inflammation of the inner ear/
内室 [ないしつ] /(n) one's wife/
内実 [ないじつ] /(n-adv,n-t) the facts/(P)/
内斜視 [ないしゃし] /(n) cross-eyed/strabismus/
内借り [うちがり] /(n,vs) drawing ahead on salary/
内需 [ないじゅ] /(n) domestic demand/(P)/
内需拡大 [ないじゅかくだい] /(n) expansion of domestic demand/
内需型 [ないじゅがた] /(adj-f) domestic demand-based/
内需主導型 [ないじゅしゅどうがた] /(n) domestic demand-led recovery/
内住 [ないじゅう] /(n) indwelling (life)/
内柔外剛 [ないじゅうがいごう] /(n) tough on the outside but soft at heart/
内祝 [うちいわい] /(n) (1) gifts for close relatives or friends/(2) private or family celebration/
内祝い [うちいわい] /(n) (1) gifts for close relatives or friends/(2) private or family celebration/
内祝言 [ないしゅうげん] /(n) private wedding/
内出血 [ないしゅっけつ] /(n,vs) internal bleeding/internal haemorrhage/internal hemorrhage/(P)/
内所 [ないしょ] /(n,adj-no) (1) secrecy/confidentiality/privacy/secret/(2) one's circumstances (esp. fiscal)/(3) kitchen/
内緒 [ないしょ] /(n,adj-no) (1) secrecy/confidentiality/privacy/secret/(2) one's circumstances (esp. fiscal)/(P)/
内緒事 [ないしょごと] /(n) secret/private or confidential matter/
内緒話 [ないしょばなし] /(n) secret talk/
内助 [ないじょ] /(n) wife's help/
内傷 [ないしょう] /(n) internal wound/
内省 [ないせい] /(n,vs) introspection/reflection on one's self/(P)/
内証 [ないしょ] /(n,adj-no) (1) secrecy/confidentiality/privacy/secret/(2) one's circumstances (esp. fiscal)/
内証 [ないしょう] /(n,adj-no) (1) secrecy/confidentiality/privacy/secret/(2) one's circumstances (esp. fiscal)/(3) (Buddh) inner realization/personal enlightenment/
内証事 [ないしょうごと] /(n) a secret/
内証話 [ないしょうばなし] /(n) confidential talk/whispering/
内障 [そこひ] /(n) (1) any visual disorder caused by a problem within the eye (i.e. glaucoma, amaurosis, etc.)/
内障 [ないしょう] /(n) (1) (Buddh) internal hindrance/(2) any visual disorder caused by a problem within the eye (i.e. glaucoma, amaurosis, etc.)/
内情 [ないじょう] /(n) internal conditions/true state of affairs/(P)/
内状 [ないじょう] /(n) internal conditions/true state of affairs/
内職 [ないしょく] /(n,vs) side job (at home)/home industry/side line/(P)/
内職商法 [ないしょくしょうほう] /(n) homeworking scheme (scam)/
内心 [ないしん] /(n-adv,n-t) innermost thoughts/real intention/inmost heart/one's mind/in the heart/(P)/
内心じくじ [ないしんじくじ] /(adj-t,adv-to) ashamed deep down in one's heart/blushing with shame when one remembers something/
内心忸怩 [ないしんじくじ] /(adj-t,adv-to) ashamed deep down in one's heart/blushing with shame when one remembers something/
内申 [ないしん] /(n,vs) unofficial report/confidential report/(P)/
内申書 [ないしんしょ] /(n) pupil's record/
内親王 [ないしんのう] /(n) imperial princess/royal princess/
内診 [ないしん] /(n,vs) pelvic examination/
内陣 [ないじん] /(n) inner temple/shrine/sanctuary/
内数 [うちすう] /(n) included number/number of items, etc. in a total/
内性器 [ないせいき] /(n) internal genitals/internal sex organ/
内政 [ないせい] /(n,adj-no) municipal/internal administration/domestic affairs/(P)/
内政干渉 [ないせいかんしょう] /(n) intervention/
内政不干渉 [ないせいふかんしょう] /(n) non-intervention in the domestic affairs of another nation/
内政問題 [ないせいもんだい] /(n) internal affair/
内税 [うちぜい] /(n) tax-inclusive pricing/
内積 [ないせき] /(n) inner product/
内接 [ないせつ] /(n,vs) inscribed (circle)/
内接円 [ないせつえん] /(n) inscribed circle/
内戦 [ないせん] /(n) civil war/(P)/
内線 [ないせん] /(n) phone extension/indoor wiring/inner line/(P)/
内線電話 [ないせんでんわ] /(n) extension telephone/
内線番号 [ないせんばんごう] /(n) extension number/
内鮮一体 [ないせんいったい] /(exp) Japan and Korea as one (slogan from 1910-1945)/
内鮮人 [ないせんじん] /(n) Japanese and Koreans/
内膳司 [うちのかしわでのつかさ] /(n) (arch) office in charge of the Emperor's meals (during ritsuryo period)/
内膳司 [ないぜんし] /(n) (arch) office in charge of the Emperor's meals (during ritsuryo period)/
内疎外親 [ないそがいしん] /(exp) superficially cordial but actually uninterested/
内倉 [うちぐら] /(n) godown within a building or compound/
内奏 [ないそう] /(n,vs) secret report to the emperor/
内層 [ないそう] /(n) inner layers/
内挿 [ないそう] /(n) interpolation/
内争 [ないそう] /(n) internal strife/
内相 [ないしょう] /(n) (abbr) Home Minister (pre-1947)/
内装 [ないそう] /(n,vs) interior design/interior/upholstery/(P)/
内臓 [ないぞう] /(n,adj-no) internal organs/intestines/viscera/(P)/
内臓感覚 [ないぞうかんかく] /(n) visceral sensation/
内臓弓 [ないぞうきゅう] /(n) visceral arch/
内臓脂肪 [ないぞうしぼう] /(n) visceral fat/
内臓疾患 [ないぞうしっかん] /(n) internal disease/
内蔵 [ないぞう] /(adj-no,vs) internal (e.g. disk)/built-in/equipped (with)/(P)/
内蔵オーディオ回路 [ないぞうオーディオかいろ] /(n) (comp) integrated audio circuit/
内蔵テンキーパッド [ないぞうテンキーパッド] /(n) (comp) embedded numeric keypad/
内蔵モデム [ないぞうモデム] /(n) (comp) integral modem/
内蔵型アレイプロセッサー [ないぞうがたアレイプロセッサー] /(n) (comp) IAP/Integrated Array Processor/
内蔵装置 [ないぞうそうち] /(n) (comp) built-in device/
内造り [うちづくり] /(n) inside finishing (of a house)/
内側 [うちがわ] /(n,adj-no) inside/interior/inner part/(P)/
内属 [ないぞく] /(n) inherence/
内孫 [うちまご] /(n) child of one's heir/
内孫 [ないそん] /(n) child of one's heir/
内帯 [ないたい] /(n) (1) area on the concave side of a mountain arc or a crescent-shaped archipelago/(2) area of southwestern Japan north of the Median Tectonic Line/
内腿 [うちもも] /(n) (1) inner thigh/
内貸し [うちがし] /(n,vs) advancing part of a salary/
内大臣 [うちのおおおみ] /(ok) (n) (1) Minister of the Interior (669-1868 CE)/
内大臣 [うちのおおまえつぎみ] /(ok) (n) (1) Minister of the Interior (669-1868 CE)/
内大臣 [うちのおとど] /(ok) (n) (1) Minister of the Interior (669-1868 CE)/
内大臣 [ないだいじん] /(n) (1) Lord Keeper of the Privy Seal (1885-1945 CE)/(2) Minister of the Interior (669-1868 CE)/
内諾 [ないだく] /(n,vs) informal consent/private consent/(P)/
内達 [ないたつ] /(n,vs) unofficial notice/
内探 [ないたん] /(n,vs) private inquiry/private enquiry/secret investigation/
内談 [ないだん] /(n,vs) private conversation/
内地 [ないち] /(n) (1) (sens) within the borders of a country/domestic soil/(2) inland area/(3) (during the WWII era) Japan proper, as opposed to its overseas colonies/interior of country/homeland/(4) (in Hokkaido and Okinawa) the "mainland" parts of Japan (Kyushu, Shikoku, Honshu)/
内地人 [ないちじん] /(n) people living in the country/people living inland/Japanese in Japan proper/people living on Honshu/
内地米 [ないちまい] /(n) homegrown rice/
内池 [うちいけ] /(n) garden pond/
内着 [うちぎ] /(n) (1) everyday clothes/(2) underwear/
内中 [うちじゅう] /(n) whole household/whole family/all over the house/
内張り [うちばり] /(n) lining/ceiling/wainscoting/wainscotting/
内通 [ないつう] /(n,vs) secret understanding/collusion/
内通者 [ないつうしゃ] /(n) betrayer/
内偵 [ないてい] /(n,vs) secret investigation/private enquiry/private inquiry/reconnaissance/scouting/(P)/
内定 [ないてい] /(n,vs) unofficial offer/tentative decision/(P)/
内庭 [うちにわ] /(n) inner court/quadrangle/
内庭 [ないてい] /(n) inner court/quadrangle/
内廷 [ないてい] /(n) harem/inside the palace/the palace/
内弟子 [うちでし] /(n) private pupil/apprentice/
内的 [ないてき] /(adj-na,n) inner/intrinsic/mental/inherited/
内的根拠 [ないてきこんきょ] /(n) internal ground/
内的生活 [ないてきせいかつ] /(n) the inner life/
内典 [ないてん] /(n) sutras/Buddhist literature/
内転 [ないてん] /(n,vs) adduction (anatomy)/rolling internally/intorsion/
内転筋 [ないてんきん] /(n) adductor muscle/
内殿 [ないでん] /(n) inner shrine/
内渡し [うちわたし] /(n,vs) partial delivery/partial payment/
内湯 [うちゆ] /(n) indoor bath using water from a hot-spring/
内道 [ないどう] /(n) (Buddh) Buddhist teachings/Buddhist/
内道場 [ないどうじょう] /(n) inner practice hall (for Buddhism; on the imperial palace grounds)/
内毒素 [ないどくそ] /(n) endotoxin/
内内 [うちうち] /(adj-no,adv,n) family circle/the inside/private/informal/secret/confidential/
内内 [ないない] /(adj-no,adv,n) family circle/the inside/private/informal/secret/confidential/
内乳 [ないにゅう] /(n) endosperm/
内猫 [うちねこ] /(n) indoor cat/house cat/
内燃機関 [ないねんきかん] /(n) internal-combustion engine/
内破 [ないは] /(n) implosion/
内発 [ないはつ] /(n) burst of energy from within/
内発的 [ないはつてき] /(adj-na) intristic (psychology)/spontaneous/arising from within/voluntary/
内罰的 [ないばつてき] /(adj-na,n) (psychology) intropunitive/
内反脚 [ないはんきゃく] /(n) bowleg(ged)/
内反足 [ないはんそく] /(n) clubfoot/
内皮 [ないひ] /(n,adj-no) endothelium/endodermis/
内俵 [うちだわら] /(n) bales forming the edge of the sumo ring/
内府 [だいふ] /(n) (arch) Minister of the Interior (669-1868 CE)/Lord Keeper of the Privy Seal (1885-1945 CE)/
内府 [ないふ] /(n) (arch) Minister of the Interior (669-1868 CE)/Lord Keeper of the Privy Seal (1885-1945 CE)/
内部 [ないぶ] /(n,adj-no) interior/inside/internal/(P)/
内部エネルギー [ないぶエネルギー] /(n) internal energy (physics)/
内部キャッシュ [ないぶキャッシュ] /(n) (comp) internal cache/
内部クロック [ないぶクロック] /(n) (comp) internal clock/
内部クロック同期 [ないぶクロックどうき] /(n) (comp) internal clocking (clock synchronization)/
内部コマンド [ないぶコマンド] /(n) (comp) internal command/
内部データ [ないぶデータ] /(n) (comp) internal data/
内部データ項目 [ないぶデータこうもく] /(n) (comp) internal data item/
内部バッファ [ないぶバッファ] /(n) (comp) internal buffer/
内部ファイル [ないぶファイル] /(n) (comp) internal file/
内部ファイルサービス [ないぶファイルサービス] /(n) (comp) internal file service/
内部ファイル結合子 [ないぶファイルけつごうし] /(n) (comp) internal file connector/
内部メモリ [ないぶメモリ] /(n) (comp) internal storage/internal memory/
内部ラベル [ないぶラベル] /(n) (comp) internal label/
内部割り込み [ないぶわりこみ] /(n) (comp) internal interrupt/
内部環境 [ないぶかんきょう] /(n) internal environment/
内部監査 [ないぶかんさ] /(n) internal audit/
内部監査人 [ないぶかんさじん] /(n) internal auditor/
内部記憶 [ないぶきおく] /(n) (comp) internal storage/internal memory/
内部記憶装置 [ないぶきおくそうち] /(n) (comp) internal storage device/
内部工作 [ないぶこうさく] /(n) internal maneuvering/secret maneuvering (within an organization)/reconciling the various views within an organization before airing something in public/
内部構造 [ないぶこうぞう] /(n) inner structure/internal anatomy/
内部告発 [ないぶこくはつ] /(n) whistleblowing/
内部参照 [ないぶさんしょう] /(n) (comp) internal reference/
内部仕様 [ないぶしよう] /(n) internal method/inner resources/
内部手続 [ないぶてつづき] /(n) (comp) internal procedure/
内部処理 [ないぶしょり] /(n) (comp) internal processing/
内部詳細 [ないぶしょうさい] /(n) (comp) internals/
内部状態 [ないぶじょうたい] /(n) (comp) internal state/
内部生活 [ないぶせいかつ] /(n) the inner life/
内部対立 [ないぶたいりつ] /(n) internal strife/internal struggle/
内部調査 [ないぶちょうさ] /(n) internal inspection/
内部的 [ないぶてき] /(adj-na) internal/
内部統制 [ないぶとうせい] /(n) internal controls, usu. relating to business governance/
内部闘争 [ないぶとうそう] /(n) internal struggle/
内部犯行 [ないぶはんこう] /(n) an inside job/
内部被曝 [ないぶひばく] /(n) internal exposure (to radiation)/
内部部局 [ないぶぶきょく] /(n) internal department/department within an organization/
内部副プログラム [ないぶふくプログラム] /(n) (comp) internal subprogram/
内部分裂 [ないぶぶんれつ] /(n) internal disunity/internal division/internal rift/
内部変数 [ないぶへんすう] /(n) (comp) local variable/
内部様式 [ないぶようしき] /(n) (comp) interior style/
内部留保 [ないぶりゅうほ] /(n) (of a company) internal reserves/
内風呂 [うちぶろ] /(n) indoor bath/bath for family (not public) use/
内服 [ないふく] /(n,vs) internal use/
内服ワクチン [ないふくワクチン] /(n) (obsc) oral vaccine/
内服薬 [ないふくやく] /(n) medicine taken internally/
内福 [ないふく] /(adj-na,n) richer than it appears/
内払い [うちばらい] /(n,vs) part payment/
内分 [ないぶん] /(n,vs) secret/confidential/
内分泌 [ないぶんぴ] /(n,adj-f) (1) endocrine/(n) (2) incretion/internal secretion/(P)/
内分泌 [ないぶんぴつ] /(n,adj-f) (1) endocrine/(n) (2) incretion/internal secretion/
内分泌腺 [ないぶんぴせん] /(n,adj-no) endocrine gland/
内分泌腺 [ないぶんぴつせん] /(n,adj-no) endocrine gland/
内分泌攪乱物質 [ないぶんぴつかくらんぶっしつ] /(n) endocrine disruptor/
内紛 [ないふん] /(n) domestic discord/internal discord/internal strife/internal struggle/infighting/storm in a teacup/
内聞 [ないぶん] /(n,adj-no) secret/private (information)/
内壁 [ないへき] /(n,adj-no) inner wall/
内辺 [うちわたり] /(n) precincts of the Imperial palace/
内辺 [ないへん] /(n) inside/interior/
内弁慶 [うちべんけい] /(n) braggart/someone haughty and boastful at home but meek and reserved outside/a man who is a lion at home and a mouse abroad/
内包 [ないほう] /(n,vs,vt) (1) connotation/comprehension/intension/(2) inclusion/containment within/(P)/
内報 [ないほう] /(n,vs) tip-off/secret information/
内方 [ないほう] /(n) inside/your wife/
内法 [うちのり] /(n) inside measure/
内堀 [うちぼり] /(n) inner moat/moat within the castle walls/(P)/
内幕 [うちまく] /(n) lowdown/inside curtain/inside information/hidden circumstances/inside facts/inner workings/undisclosed circumstances/(P)/
内幕 [ないまく] /(n) lowdown/inside curtain/inside information/hidden circumstances/inside facts/inner workings/undisclosed circumstances/(P)/
内幕話 [うちまくばなし] /(n) inside information/
内膜 [ないまく] /(n,adj-no) lining membrane/
内密 [ないみつ] /(adj-na,n,adj-no) privacy/secrecy/
内密に [ないみつに] /(adv) confidentially/privately/off the record/
内務 [ないむ] /(n) internal or domestic affairs/(P)/
内務省 [ないむしょう] /(n) (obs) Ministry of Home Affairs/
内務大臣 [ないむだいじん] /(n) prewar Home Minister/
内無双 [うちむそう] /(n) inner-thigh-propping twist down (sumo)/
内命 [ないめい] /(n,vs) private or secret orders/
内明 [ないみょう] /(n) adhyatmavidya (inner studies, ancient Indian philosophy)/
内面 [うちづら] /(n) the face one presents at home/
内面 [ないめん] /(n) inside/interior/(P)/
内面化 [ないめんか] /(n,vs) internalization/
内面世界 [ないめんせかい] /(n) one's world within/one's inner world/
内面的 [ないめんてき] /(adj-na) inner/internal/inside/
内面描写 [ないめんびょうしゃ] /(n) psychological depiction of a literary character/
内蒙 [ないもう] /(n) Inner Mongolia/
内野 [ないや] /(n) (baseball) infield/diamond/(P)/
内野安打 [ないやあんだ] /(n) infield hit/
内野手 [ないやしゅ] /(n) infielder/baseman/(P)/
内野席 [ないやせき] /(n) infield bleachers/
内約 [ないやく] /(n,vs) (marriage) engagement/secret treaty/tacit understanding/private contract/
内訳 [うちわけ] /(n) the items/breakdown/classification/(P)/
内憂 [ないゆう] /(n) internal or domestic troubles/
内憂外患 [ないゆうがいかん] /(n) troubles both at home and abroad/
内遊星 [ないゆうせい] /(n) inner planet/
内容 [ないよう] /(n) subject/contents/matter/substance/detail/import/(P)/
内容の返送 [ないようのへんそう] /(n) (comp) return of content/
内容アドレス記憶装置 [ないようアドレスきおくそうち] /(n) (comp) associative storage/content addressable storage/
内容オクテット [ないようオクテット] /(n) (comp) contents octets/
内容モデル [ないようモデル] /(n) (comp) content model/
内容モデル入れ子水準 [ないようモデルいれこすいじゅん] /(n) (comp) content model nesting level/
内容割付け処理 [ないようわりつけしょり] /(n) (comp) content layout process/
内容完全性 [ないようかんぜんせい] /(n) (comp) content integrity/
内容機密性 [ないようきみつせい] /(n) (comp) content confidentiality/
内容規則 [ないようきそく] /(n) (comp) content convention/
内容検索 [ないようけんさく] /(n) (comp) content retrieval/
内容見本 [ないようみほん] /(n) sample pages/
内容呼出しメモリ [ないようよびだしメモリ] /(n) (comp) Content Addressed Memory/CAM/
内容語 [ないようご] /(n) content word/
内容参照属性 [ないようさんしょうぞくせい] /(n) (comp) content reference attribute/
内容種別 [ないようしゅべつ] /(n) (comp) content type/
内容種別表示 [ないようしゅべつひょうじ] /(n) (comp) content type indication/
内容終了オクテット [ないようしゅうりょうオクテット] /(n) (comp) end-of-contents octets/
内容証明 [ないようしょうめい] /(n) certification of contents/
内容体系 [ないようたいけい] /(n) (comp) content architecture/
内容体系クラス [ないようたいけいクラス] /(n) (comp) content architecture class/
内容体系水準 [ないようたいけいすいじゅん] /(n) (comp) content architecture level/
内容脱落表示 [ないようだつらくひょうじ] /(n) (comp) incomplete copy indication/
内容長 [ないようちょう] /(n) (comp) content-length/
内容評価制度 [ないようひょうかせいど] /(n) (comp) content rating system (for TV, movies)/
内容部 [ないようぶ] /(n) (comp) content portion/
内容部記述部 [ないようぶきじゅつぶ] /(n) (comp) content portion description/
内容物 [ないようぶつ] /(n) contents (of the stomach)/
内容分析 [ないようぶんせき] /(n) (comp) content analysis/
内容編集処理 [ないようへんしゅうしょり] /(n) (comp) content editing process/
内容返送あり [ないようへんそうあり] /(n) (comp) content-returned/
内容要素 [ないようようそ] /(n) (comp) content element/
内揚げ [うちあげ] /(n) inner pleat/the raising of fabric up in the middle to marry bottom edges of yukata and kimono/
内用 [ないよう] /(n,vs,adj-no) internal use/private business/
内用薬 [ないようやく] /(n) medicine taken internally/
内乱 [ないらん] /(n) civil war/insurrection/rebellion/domestic conflict/(P)/
内乱罪 [ないらんざい] /(n) criminal insurrection/
内覧 [ないらん] /(n,vs) preview (of an exhibition)/private viewing/
内裏 [だいり] /(n) (1) imperial palace/(2) (abbr) festival dolls representing the emperor and the empress/
内裏びな [だいりびな] /(n) festival dolls representing the emperor and the empress/
内裏雛 [だいりびな] /(n) festival dolls representing the emperor and the empress/
内裏様 [だいりさま] /(n) (1) (hon) imperial palace/person living in the imperial palace (esp. the emperor)/(2) (pol) festival dolls representing the emperor and the empress/
内陸 [ないりく] /(n,adj-no) inland/(P)/
内陸国 [ないりくこく] /(n) landlocked country/
内陸性気候 [ないりくせいきこう] /(n) continental or inland climate/
内陸部 [ないりくぶ] /(n) inland districts/inland areas/
内陸霧 [ないりくむ] /(n) inland fog/
内力 [ないりょく] /(n) internal stress/
内輪 [うちわ] /(adj-na,n,adj-no) (1) moderate/private matter/family circle/the inside/(2) conservative/(3) pigeon-toed/(P)/
内輪 [ないりん] /(n) inner ring (e.g. washer)/
内輪うけ [うちわうけ] /(n) private agreement/private favour/inside joke/private joke/
内輪ねた [うちわねた] /(n) private joke/inside joke/
内輪もめ [うちわもめ] /(n) internal dissension/family trouble/
内輪ネタ [うちわネタ] /(n) private joke/inside joke/
内輪喧嘩 [うちわげんか] /(n,vs) family quarrel/quarreling among themselves/quarrelling among themselves/
内輪差 [ないりんさ] /(n) difference between track followed by front and back inner wheels when turning/
内輪受け [うちわうけ] /(n) private agreement/private favour/inside joke/private joke/
内輪同志 [うちわどうし] /(n) members of the family/insiders/
内輪揉め [うちわもめ] /(n) internal dissension/family trouble/
内路地 [うちろじ] /(n) inner teahouse garden (within the central gate)/
内露地 [うちろじ] /(n) inner teahouse garden (within the central gate)/
内惑星 [ないわくせい] /(n) inner planet/
内枠 [うちわく] /(n) inner frame/within given limits/
内鰐 [うちわに] /(n) knock-kneed/pigeon-toed/
内冑 [うちかぶと] /(n) inside of a helmet/hidden circumstances/
内帑 [ないど] /(n) ruler's private property/
内帑金 [ないどきん] /(n) ruler's privy purse/
内肛動物 [ないこうどうぶつ] /(n) entoproct (any animal of phylum Entoprocta)/
内胚乳 [ないはいにゅう] /(n) endosperm/
内訌 [ないこう] /(n,vs) internal or domestic discord/
内踝 [うちくるぶし] /(n) inner side of the ankle/
内頸動脈 [ないけいどうみゃく] /(n) internal carotid artery/
内頸動脈内膜剥離術 [ないけいどうみゃくないまくはくりじゅつ] /(n) (obsc) carotid endarterectomy/CEA/
乍ら [ながら] /(prt) (1) (uk) while/during/as/(2) while/although/though/despite/in spite of/notwithstanding/(3) all/both/(4) as (i.e. "as always", "as long ago")/in (i.e. "in tears")/(P)/
乍らに [ながらに] /(conj) (uk) while/during/performed in this condition/
乍らも [ながらも] /(prt) (uk) though/notwithstanding/although/(P)/
乍ら族 [ながらぞく] /(n) people who study or work while listening to the radio (or watching television, etc.)/
凪 [なぎ] /(n) calm/lull/
凪ぐ [なぐ] /(v5g,vi) to become calm/to die down/
薙ぎ倒す [なぎたおす] /(v5s,vt) to mow down/to beat/to cut a swath/to sweep off one's feet/
薙ぎ払う [なぎはらう] /(v5u,vt) to mow down/
薙ぐ [なぐ] /(v5g,vt) to mow down/to scythe down/to knock someone off their feet/
薙刀 [なぎなた] /(n) halberd/long sword/
薙刀術 [なぎなたじゅつ] /(n) art of using a naginata (halberd)/
薙鉈 [なぎなた] /(n) halberd/long sword/
謎 [なぞ] /(n) (1) riddle/puzzle/enigma/mystery/(adj-no) (2) enigmatic/mysterious/(P)/
謎々 [なぞなぞ] /(n) riddle/puzzle/enigma/(P)/
謎かけ [なぞかけ] /(n) a particular type of riddle/
謎めく [なぞめく] /(v5k,vi) to be enigmatic or puzzling/to be wrapped in mystery/
謎をかける [なぞをかける] /(exp,v1) to pose a riddle/
謎を解く [なぞをとく] /(exp,v5k) to solve a mystery/
謎を掛ける [なぞをかける] /(exp,v1) to pose a riddle/
謎解き [なぞとき] /(n) solution of a riddle/
謎掛け [なぞかけ] /(n) a particular type of riddle/
謎謎 [なぞなぞ] /(n) riddle/puzzle/enigma/
灘 [なだ] /(n) open sea/(P)/
捺く [つく] /(v5k,vt) (1) to prick/to stab/(2) to poke/to prod/to push/to thrust/to nudge/to hit/to strike/(3) to use (a cane)/to prop oneself up with/to press against (the floor, etc.)/(4) to attack/(5) to brave (the rain, etc.)/
捺す [おす] /(v5s,vt) (1) to stamp (i.e. a passport)/to apply a seal/
捺印 [なついん] /(n,vs) affixing a seal/
捺染 [なっせん] /(n,vs) print/
鍋 [なべ] /(n,n-suf) saucepan/pot/(P)/
鍋つかみ [なべつかみ] /(n) potholder/oven glove/
鍋蓋 [なべぶた] /(n) (1) pan lid/pot lid/(2) kanji "kettle lid" radical (radical 8)/
鍋釜 [なべかま] /(n) pots and pans/kitchen utensils/
鍋焼 [なべやき] /(n) scalloped (noodles)/boiled noodles served in a pot with broth/
鍋焼き [なべやき] /(n) scalloped (noodles)/boiled noodles served in a pot with broth/
鍋焼きうどん [なべやきうどん] /(n) udon served in a pot with broth/
鍋焼き饂飩 [なべやきうどん] /(n) udon served in a pot with broth/
鍋尻 [なべじり] /(n) bottom of a pan or pot/
鍋掴み [なべつかみ] /(n) potholder/oven glove/
鍋鶴 [なべづる] /(n) (uk) hooded crane (Grus monacha)/
鍋底 [なべぞこ] /(n) (inner) bottom of a pot/lingering recession/
鍋底景気 [なべそこけいき] /(n) lingering recession/an economy that lingers in the doldrums after bottoming out/
鍋島焼 [なべしまやき] /(n) Nabeshima porcelains/Nabeshima ware/
鍋島焼き [なべしまやき] /(n) Nabeshima porcelains/Nabeshima ware/
鍋敷き [なべしき] /(n) pot stand/
鍋物 [なべもの] /(n) stew/food cooked in a pot/
鍋奉行 [なべぶぎょう] /(n) person in charge of cooking and serving hotpot dish/
鍋墨 [なべずみ] /(n) soot on the bottom of a pot or pan/
鍋料理 [なべりょうり] /(n) cooking various things in a pot/
楢 [なら] /(n) (uk) oak (esp. Quercus serrata)/
楢茸 [ならたけ] /(n) (uk) honey fungus (Armillaria mellea)/honey mushroom/
馴々しい [なれなれしい] /(adj-i) over-familiar/
馴らし [ならし] /(n) running-in/breaking in (e.g. engine, etc.)/accustomizing/
馴らし手 [ならして] /(n) tamer/
馴らす [ならす] /(v5s,vt) to domesticate/to tame/
馴れた [なれた] /(adj-f) domesticated/tame/
馴れっこ [なれっこ] /(n,adj-no,adj-na) being used to .../getting used to .../being accustomed to/being conditioned to/be familiar with/
馴れっこになる [なれっこになる] /(exp,v5r) to become used to/to become familiar with/to grow accustomed to/
馴れる [なれる] /(v1,vi) (1) to grow accustomed (to)/to get too familiar with/to get used (to)/(2) to become domesticated/to become tame/
馴れ合い [なれあい] /(n) collusion/conspiracy/illicit intercourse/liaison/
馴れ合う [なれあう] /(v5u,vi) to collude (with)/to conspire (with)/to establish a secret liaison (with)/to make friends with/to get along well with/to become intimate (with opposite sex)/
馴れ寿司 [なれずし] /(n) (uk) old-style fermented sushi (pickled in brine rather than vinegar)/
馴れ初め [なれそめ] /(n) start of a romance/beginning of love/
馴れ馴れしい [なれなれしい] /(adj-i) over-familiar/(P)/
馴化 [じゅんか] /(n,vs) acclimation/
馴鹿 [じゅんろく] /(n) (uk) reindeer (Rangifer tarandus) (ain:)/
馴鹿 [となかい] /(n) (uk) reindeer (Rangifer tarandus) (ain:)/
馴染 [なじ] /(n) intimacy/
馴染ませる [なじませる] /(v1) (1) (uk) to blend/to mix thoroughly and evenly/(2) to make fit in/to domesticate/
馴染み [なじみ] /(n) intimacy/friendship/familiarity/
馴染み深い [なじみぶかい] /(adj-i) extremely intimate/very well-acquainted/
馴染む [なじむ] /(v5m,vi) to become familiar with/to fit in/to adapt oneself/to get used to/to grow accustomed to/
馴致 [じゅんち] /(n,vs) taming/gradual habituation/leading to/
馴鮨 [なれずし] /(n) (uk) old-style fermented sushi (pickled in brine rather than vinegar)/
縄 [なわ] /(n) rope/hemp/(P)/
縄ばしご [なわばしご] /(n) rope ladder/
縄尻 [なわじり] /(n) end of a rope/
縄暖簾 [なわのれん] /(n) rope curtain/
縄張 [なわばり] /(n,vs) roping off/stretching rope/demarcation/one's turf/domain/territory/sphere of influence/
縄張り [なわばり] /(n,vs) roping off/stretching rope/demarcation/one's turf/domain/territory/sphere of influence/(P)/
縄張り争い [なわばりあらそい] /(n) turf war/
縄跳び [なわとび] /(n) (1) skipping rope/jump rope/(2) skipping/rope-jumping/(P)/
縄梯子 [なわばしご] /(n) rope ladder/
縄抜け [なわぬけ] /(n) escaping/
縄飛び [なわとび] /(n) (1) skipping rope/jump rope/(2) skipping/rope-jumping/
縄付き [なわつき] /(n) criminal/being bound by ropes/prisoner in bonds/
縄文 [じょうもん] /(n) Jomon period/straw-rope pattern/(P)/
縄文時代 [じょうもんじだい] /(n) the Jomon period/
縄文式土器 [じょうもんしきどき] /(n) straw-rope pattern pottery/Jomon ware/
縄文土器 [じょうもんどき] /(n) straw rope-patterned ancient Japanese pottery/
縄編 [なわあみ] /(n) cable stitch/
縄編み [なわあみ] /(n) cable stitch/
縄編み針 [なわあみばり] /(n) cable needle (knitting)/
縄墨 [じょうぼく] /(n) standard/inked timber marking string/
縄目 [なわめ] /(n) knot/
畷 [なわて] /(n) footpath between rice fields/
南 [みなみ] /(n) south/(P)/
南々西 [なんなんせい] /(n) south-southwest/
南々東 [なんなんとう] /(n) south-southeast/
南する [みなみする] /(vs-s) (arch) to go south/
南アジア [みなみアジア] /(n) South Asia/
南アジア語族 [みなみアジアごぞく] /(n) Austro-Asiatic (family of languages)/
南アフリカ [みなみアフリカ] /(n) South Africa/(P)/
南アフリカ共和国 [みなみアフリカきょうわこく] /(n) Republic of South Africa/
南アフリカ戦争 [みなみアフリカせんそう] /(n) (obsc) (second) Boer War (1899-1902)/
南アフリカ連邦 [みなみアフリカれんぽう] /(n) The Union of South Africa/
南アメリカ [みなみアメリカ] /(n) South America/
南アランド [みなみアランド] /(n) rand (currency of South Africa)/
南アルプス [みなみアルプス] /(n) southern alps (of Japan)/
南ア戦争 [なんアせんそう] /(n) (obsc) (second) Boer War (1899-1902)/
南ア連邦 [みなみアれんぽう] /(n) (abbr) The Union of South Africa/
南カリフォルニア [みなみカリフォルニア] /(n) southern California/
南カロライナ [みなみカロライナ] /(n) South Carolina/
南クリル [みなみクリル] /(n) South Kuril (Islands)/
南シナ海 [みなみシナうみ] /(n) South China Sea/(P)/
南阿 [なんあ] /(n) South Africa/
南阿共和国 [なんあきょうわこく] /(n) Republic of South Africa/
南阿戦争 [なんあせんそう] /(n) (obsc) (second) Boer War (1899-1902)/
南阿連邦 [なんあれんぽう] /(n) Union of South Africa/
南緯 [なんい] /(n) southern latitude/(P)/
南瓜 [かぼちゃ] /(n) (uk) pumpkin/squash/(P)/
南瓜 [なんか] /(ok) (n) (uk) pumpkin/squash/
南瓜 [ぼうぶら] /(n) (uk) pumpkin/squash/
南瓜野郎 [かぼちゃやろう] /(n) (derog) man with an unattractive, unusually shaped face/
南欧 [なんおう] /(n,adj-no) Southern Europe/
南下 [なんか] /(n,vs) going south/
南画 [なんが] /(n) Southern School (of Chinese painting)/
南回帰線 [みなみかいきせん] /(n) Tropic of Capricorn/
南海 [なんかい] /(n) southern sea/(P)/
南海地震 [なんかいじしん] /(n) 1946 Nankaido earthquake/
南岸 [なんがん] /(n) south coast/south bank/
南岸沿い [なんがんぞい] /(n) along the southern coast/
南岸沿いに [なんがんぞいに] /(adv) along the southern coast/along the southern seashore/
南寄り [なんより] /(n) southerly (wind)/from the south/
南寄り [みなみより] /(n) southerly (wind)/from the south/
南京 [ナンキン] /(n) (1) Nanking/Nanjing/(2) (ksb:) pumpkin/squash/(n-pref) (3) Chinese/Southeast Asian/foreign/(4) rare/precious/cute/
南京かんな [なんきんかんな] /(n) spokeshave/spoke shave/
南京花火 [なんきんはなび] /(n) firecracker/
南京玉 [なんきんだま] /(n) glass beads/
南京事件 [なんきんじけん] /(n) (1) Nanking Incident (targeting of Nanking's foreign properties and residents by Kuomintang troops in March, 1927)/(2) Rape of Nanking (1937)/Nanking Massacre/
南京七竈 [ナンキンななかまど] /(n) (uk) Sorbus gracilis (species of mountain ash)/
南京焼き [なんきんやき] /(n) Nanking porcelain/chinaware/
南京条約 [ナンキンじょうやく] /(n) Treaty of Nanking (1842)/
南京錠 [なんきんじょう] /(n) padlock/hasp/
南京鼠 [ナンキンねずみ] /(n) Chinese fancy mouse (usu. all-white with red eyes)/
南京袋 [なんきんぶくろ] /(n) gunny sack/
南京大虐殺 [なんきんだいぎゃくさつ] /(n) (sens) Nanking Massacre/Rape of Nanking/
南京虫 [なんきんむし] /(n) bedbug/
南京町 [なんきんまち] /(n) Chinatown/
南京豆 [なんきんまめ] /(n) peanut/
南京米 [なんきんまい] /(n) Chinese rice/foreign rice/
南京木綿 [なんきんもめん] /(n) nankeen (cloth)/
南京繻子 [なんきんじゅす] /(n) nankeen satin/
南京鉋 [なんきんかんな] /(n) spokeshave/spoke shave/
南極 [なんきょく] /(n,adj-no) (1) South Pole/(2) the Antarctic/Antarctica/(P)/
南極海 [なんきょくかい] /(n) Antarctic Ocean/
南極観測 [なんきょくかんそく] /(n) antarctic exploration/
南極観測基地 [なんきょくかんそくきち] /(n) Antarctic research base/
南極気団 [なんきょくきだん] /(n) Antarctic air mass/
南極圏 [なんきょくけん] /(n) Antarctic Circle/the Antarctic/
南極光 [なんきょくこう] /(n) aurora australis/southern lights/
南極条約 [なんきょくじょうやく] /(n) Antarctic Treaty/
南極星 [なんきょくせい] /(n) the southern polar stars/
南極線 [なんきょくせん] /(n) Antarctic Circle (latitude)/
南極帯 [なんきょくたい] /(n) Antarctic Zone/
南極大陸 [なんきょくたいりく] /(n) Antarctica/
南極探検 [なんきょくたんけん] /(n) Antarctic expedition/
南極地方 [なんきょくちほう] /(n,adj-no) Antarctic region/south polar region/
南極点 [なんきょくてん] /(n) the South Pole/
南極洋 [なんきょくよう] /(n) Antarctic Ocean/
南区 [みなみく] /(n) south district/
南隅 [なんぐう] /(n) southern corner/
南限 [なんげん] /(n) southern limit/
南光 [なんこう] /(n) southern lights/
南口 [みなみぐち] /(n) south entrance/(P)/
南向き [みなみむき] /(n) facing south/southern exposure/
南航 [なんこう] /(n) sailing south/southbound/
南行 [なんこう] /(n) southbound/
南郊 [なんこう] /(n) southern suburbs/
南国 [なんこく] /(n) southern countries/(P)/
南国 [なんごく] /(n) southern countries/
南山 [なんざん] /(n) southern mountain/
南山の寿 [なんざんのじゅ] /(n) longevity/
南支 [なんし] /(n) South China/
南支那海 [みなみしなかい] /(n) South China Sea/
南十字 [みなみじゅうじ] /(n) (brightest four stars of the) Southern Cross/
南十字座 [みなみじゅうじざ] /(n) Southern Cross/
南十字星 [みなみじゅうじせい] /(n) (brightest four stars of the) Southern Cross/
南象海豹 [みなみぞうあざらし] /(n) (uk) southern elephant seal (Mirounga leonina)/
南燭 [しゃしゃんぼ] /(n) (uk) sea bilberry (Vaccinium bracteatum)/
南進 [なんしん] /(n,vs) proceeding south/
南征北伐 [なんせいほくばつ] /(n) attacking in all directions/
南西 [なんせい] /(n,adj-no) southwest/(P)/
南西 [みなみにし] /(n,adj-no) southwest/
南西諸島 [なんせいしょとう] /(n) Nansei-shoto (southwestern islands off Kyushu and in the Okinawan archipelago)/
南斉 [なんせい] /(n) Southern Qi (dynasty of China; 479-502 CE)/
南船北馬 [なんせんほくば] /(n) constant travelling/constant traveling/being on the move/restless wandering/
南鮮 [なんせん] /(n) (col) South Korea/
南宋 [なんそう] /(n) Southern Song (dynasty of China)/
南側 [なんそく] /(n) south side/
南側 [みなみがわ] /(n) south side/(P)/
南太平洋 [みなみたいへいよう] /(n) South Pacific/
南大頭 [みなみおおがしら] /(n) (uk) brown tree snake (Boiga irregularis)/
南大門 [なんだいもん] /(n) main southern gate (of a temple, castle town, etc.)/
南端 [なんたん] /(n) southern tip/
南中 [なんちゅう] /(n,vs) crossing the meridian/
南朝 [なんちょう] /(n) Southern Dynasty/
南槌鯨 [みなみつちくじら] /(n) (uk) Arnoux's beaked whale (Berardius arnuxii)/
南庭 [なんてい] /(n) (1) grounds south of a building/southern garden/(2) garden south of the Hall for State Ceremonies (in the Kyoto Imperial Palace)/
南天 [なんてん] /(n) (1) the southern sky/(2) heavenly bamboo/nandina/Nandina domestica/
南斗 [なんと] /(n) (obsc) constellation in Sagittarius/
南斗六星 [なんとろくせい] /(n) Milk Dipper/southern dipper asterism (star pattern) within Sagittarius/
南都 [なんと] /(n) southern capital (Nara)/
南都七大寺 [なんとしちだいじ] /(n) the seven great temples of Nara (Daian-ji, Gango-ji, Horyu-ji, Kofuku-ji, Saidai-ji, Todai-ji, Yakushi-ji)/
南都六宗 [なんとろくしゅう] /(n) six sects of Buddhism brought to Japan during the Nara period (Sanlun, Satyasiddhi, Faxiang, Abhidharmakosha, Vinaya, and Huayan)/
南島語族 [なんとうごぞく] /(n) Austronesian (family of languages)/
南東 [なんとう] /(n,adj-no) southeast/(P)/
南東 [みなみひがし] /(n,adj-no) southeast/
南南西 [なんなんせい] /(n) south-southwest/
南南東 [なんなんとう] /(n) south-southeast/
南背美鯨 [みなみせみくじら] /(n) (uk) southern right whale (Eubalaena australis)/
南半 [なんはん] /(n) southern half/
南半球 [みなみはんきゅう] /(n) southern hemisphere/
南蛮 [なんばん] /(n) (1) (arch) (derog) southern barbarians (formerly used by the Chinese to refer to non-ethnic Chinese to the south)/(2) (arch) South-East Asia/(3) (arch) Western Europe (esp. Spain and Portugal, their South-East Asian colonies, and their goods and people arriving in Japan via the colonies)/(pref) (4) exotic (esp. Western European or South-East Asian style)/(n) (5) (in dance, puppetry, etc.) thrusting the right foot and right arm forward at the same time (or left foot and left arm)/(6) (abbr) food prepared using chili peppers or Welsh onions/(P)/
南蛮菓子 [なんばんがし] /(n) confections adopted from Portugal, Spain, etc. during the Muromachi period and since Japanized/
南蛮黍 [なんばきび] /(n) (obsc) corn/maize/
南蛮黍 [なんばんきび] /(n) (obsc) corn/maize/
南蛮煮 [なんばんに] /(n) (1) sauteed vegetables with fish or poultry made into a stew/(2) poultry or fish stew with chili peppers and Welsh onions mixed in/
南蛮辛子 [なんばんがらし] /(n) (obsc) chili pepper (chile, chilli)/
南蛮人 [なんばんじん] /(n) (arch) southern barbarian (used to describe Western Europeans who visited Japan prior to the Edo period, esp. the Spanish and the Portuguese)/
南蛮船 [なんばんせん] /(n) foreign ship (esp. of Spanish and Portuguese ships arriving from the south prior to the Edo period)/
南蛮渡来 [なんばんとらい] /(n) (articles) imported to Japan by early European traders/
南蛮貿易 [なんばんぼうえき] /(n) Nanban trade (lit. Southern barbarian trade) (1543-1641)/
南氷洋 [なんひょうよう] /(n) Antarctic Ocean/(P)/
南氷洋 [なんぴょうよう] /(n) Antarctic Ocean/
南部 [なんぶ] /(n) southern part/(P)/
南部暦 [なんぶごよみ] /(n) picture calendar/
南部連合国 [なんぶれんごうこく] /(n) Confederate States of America/CSA/
南風 [なんぷう] /(n) (1) south wind/southerly wind/(2) (arch) summer/
南風 [はえ] /(n) (1) south wind/southerly wind/(2) (arch) summer/
南風 [みなみかぜ] /(n) (1) south wind/southerly wind/(2) (arch) summer/
南仏 [なんふつ] /(n) Southern France/
南米 [なんべい] /(n) South America/(P)/
南米大陸 [なんべいたいりく] /(n,adj-no) South American continent/
南米鶉科 [なんべいうずらか] /(n) Odontophoridae (New World quail family of birds)/
南方 [なんぽう] /(n,adj-no) south/southern/southward/(P)/
南方産 [なんぽうさん] /(n) products of the south seas/
南方仏教 [なんぽうぶっきょう] /(n) Southern Buddhism (as practiced in Sri Lanka and Southeast Asia)/
南北 [なんぼく] /(n) south and north/(P)/
南北戦争 [なんぼくせんそう] /(n) (US) Civil War/
南北朝 [なんぼくちょう] /(n) Northern and Southern Dynasties (in Japan: 1336-1392 CE, in China: 420-581 CE)/
南北朝時代 [なんぼくちょうじだい] /(n) period of the northern and southern dynasties (in China, 5th-6th c. CE in Japan, 1336-92)/
南北問題 [なんぼくもんだい] /(n) North-South problem/(P)/
南鮪 [みなみまぐろ] /(n) (uk) southern bluefin tuna (Thunnus maccoyii)/
南満 [なんまん] /(n) South Manchuria/
南満州鉄道 [みなみまんしゅうてつどう] /(n) (former) South Manchuria Railway/
南無 [なむ] /(conj,int) (Buddh) amen/hail/
南無阿弥陀仏 [なむあみだぶつ] /(exp) (Buddh) I sincerely believe in Amitabha/Lord have mercy on me/
南無三宝 [なむさんぼう] /(exp,int) I believe in the Three Treasures of Buddhism/Oh my Great Buddha!/Good heavens!/
南無八幡大菩薩 [なむはちまんだいぼさつ] /(exp,int) O Great God of Arms, I beseech your aid against my enemy!/
南無妙法蓮華経 [なむみょうほうれんげきょう] /(exp) (Buddh) Glory to the Sutra/Hail Lotus Sutra/
南面 [なんめん] /(n,vs) (1) south face/south side/the south/facing the south/(2) ascending the throne/ruling/
南門 [なんもん] /(n) south gate/
南洋 [なんよう] /(n) South Seas/
南洋材 [なんようざい] /(n) tropical wood/
南洋諸島 [なんようしょとう] /(n) South Sea Islands/
南呂 [なんりょ] /(n) (1) (in China) 10th note of the ancient chromatic scale (approx. B)/(2) eighth month of the lunar calendar/
南溟 [なんめい] /(n) the southern ocean/
楠 [くす] /(n) (uk) camphor tree (Cinnamomum camphora)/camphorwood/camphor laurel/
楠 [くすのき] /(n) (uk) camphor tree (Cinnamomum camphora)/camphorwood/camphor laurel/
軟 [なん] /(adj-t,adv-to) soft/
軟Ｘ線 [なんエックスせん] /(n) soft X-rays/
軟らか [やわらか] /(adj-na,n) soft/tender/limp/subdued (colour or light) (color)/gentle/meek/(P)/
軟らかい [やわらかい] /(adj-i) soft/tender/limp/(P)/
軟らかい文章 [やわらかいぶんしょう] /(n) informal style/
軟らかく話す [やわらかくはなす] /(v5s) to speak gently/
軟らかな光 [やわらかなひかり] /(n) soft light/
軟らかな土 [やわらかなつち] /(n) soft earth/
軟らかな風 [やわらかなかぜ] /(n) gentle breeze/
軟化 [なんか] /(n,vs) (1) softening/mollification/(2) weakening (of the market)/(P)/
軟球 [なんきゅう] /(n) soft ball/rubber ball/
軟玉 [なんぎょく] /(n) nephrite/
軟禁 [なんきん] /(n,vs) lenient confinement or house arrest/(P)/
軟禁状態 [なんきんじょうたい] /(n) (state of) house arrest/(state of) confinement/
軟券 [なんけん] /(n) train ticket printed on soft paper, etc. (usu. dispensed from a vending machine as part of a roll)/
軟口蓋 [なんこうがい] /(n) soft palate/
軟口蓋音 [なんこうがいおん] /(n) velar consonant/
軟膏 [なんこう] /(n) ointment/salve/
軟鋼 [なんこう] /(n) mild steel/
軟骨 [なんこつ] /(n,adj-no) cartilage/(P)/
軟骨魚類 [なんこつぎょるい] /(n,adj-no) cartilaginous fishes/chondrichthyans/
軟骨組織 [なんこつそしき] /(n) cartilage tissue/
軟骨膜 [なんこつまく] /(n) perichondrium/
軟式 [なんしき] /(n,adj-no) (tennis) played with a soft ball/(P)/
軟式テニス [なんしきテニス] /(n) tennis played with a soft ball/
軟式庭球 [なんしきていきゅう] /(n) softball tennis/
軟式野球 [なんしきやきゅう] /(n) softball/
軟質 [なんしつ] /(n,adj-no) softness/
軟弱 [なんじゃく] /(adj-na,n) weakness/(P)/
軟弱外交 [なんじゃくがいこう] /(n) weak foreign policy/weak-kneed diplomacy/
軟弱地盤 [なんじゃくじばん] /(n) soft ground/
軟弱路線 [なんじゃくろせん] /(n) weak-hearted approach/soft line/easier way (route)/
軟条 [なんじょう] /(n) soft ray (of a fin)/
軟水 [なんすい] /(n) soft water/
軟性 [なんせい] /(n,adj-no) softness/flexibility/elasticity/
軟性下疳 [なんせいげかん] /(n,adj-no) soft chancre/
軟性憲法 [なんせいけんぽう] /(n) non-entrenched constitutional provision (i.e. able to be amended)/
軟体動物 [なんたいどうぶつ] /(n,adj-no) mollusc/mollusk/
軟着陸 [なんちゃくりく] /(n,vs) soft-landing/(P)/
軟調 [なんちょう] /(adj-na,n,adj-no) weakness/bearish tone/
軟泥 [なんでい] /(n) sludge/
軟鉄 [なんてつ] /(n) soft iron/
軟投 [なんとう] /(n) soft pitch (in baseball)/
軟派 [なんぱ] /(adj-na,n,vs) (1) (uk) flirt/scam/scope/skirt chaser/(2) moderate party/soft school/
軟白 [なんぱく] /(n,vs) blanching (vegetables)/
軟判定識別器 [なんはんていしきべつき] /(n) soft-decision discriminator/
軟風 [なんぷう] /(n) gentle breeze/
軟文学 [なんぶんがく] /(n) love story/erotic literature/
軟便 [なんべん] /(n) loose or soft stool/
軟膜 [なんまく] /(n,adj-no) pia mater (membranes surrounding the brain and spinal cord)/
軟毛 [なんもう] /(n) (1) vellus hair/down/(2) pubescence/(3) peach fuzz/
軟木 [なんぼく] /(n) softwood/
軟論 [なんろん] /(n) weak argument/
難 [なん] /(n,n-suf) difficulty/hardships/defect/(P)/
難い [かたい] /(aux-adj) difficult/hard/
難い [がたい] /(aux-adj) difficult/hard/
難い [にくい] /(aux-adj) difficult/hard/(P)/
難がある [なんがある] /(exp) to be a problem/
難くせ [かたくせ] /(n) fault-finding/
難し [かたし] /(adj-f) (arch) difficult/hard/
難しい [むずかしい] /(adj-i) difficult/(P)/
難しい [むつかしい] /(adj-i) difficult/
難しい病気 [むずかしいびょうき] /(n) serious disease/
難しさ [むずかしさ] /(n) (degree of) difficulty/
難じる [なんじる] /(v1,vt) to criticize/to point out faults/to speak ill of/
難ずる [なんずる] /(vz,vt) to criticize/to point out faults/to speak ill of/
難なく [なんなく] /(adv) easily/(P)/
難に遭う [なんにあう] /(exp,v5u) to meet with disaster/
難易 [なんい] /(n) difficulty/relative difficulty/(P)/
難易度 [なんいど] /(n) degree of difficulty/
難解 [なんかい] /(adj-na,n) difficult to understand/unintelligible/abstruse/(P)/
難解文の釈 [なんかいぶんのしゃく] /(n) elucidation of a difficult passage/
難関 [なんかん] /(n) barrier/(P)/
難儀 [なんぎ] /(adj-na,n,vs) affliction/hardship/difficulty/suffering/
難義 [なんぎ] /(n) abstruseness/abstruse word/
難詰 [なんきつ] /(n,vs) reprimand/
難球 [なんきゅう] /(n) (baseball) ball which is hard to hit or catch/
難局 [なんきょく] /(n) difficult situation/(P)/
難曲 [なんきょく] /(n) difficult musical piece/
難句 [なんく] /(n) difficult phrase/
難訓 [なんくん] /(n) difficult reading of a kanji/
難件 [なんけん] /(n) difficult matter or case/
難語 [なんご] /(n) difficult word/
難語集 [なんごしゅう] /(n) (comp) glossary/
難攻不落 [なんこうふらく] /(n,adj-no) impregnable/
難航 [なんこう] /(n,vs) (1) difficult voyage/hard flight/(2) rough going/rough passage/running into trouble/stormy passage/(P)/
難行 [なんぎょう] /(n) penance/
難行苦行 [なんぎょうくぎょう] /(n,vs) penance/hardship/
難行道 [なんぎょうどう] /(n) salvation through self-mortification/
難産 [なんざん] /(n,vs) difficult delivery/difficult childbirth/dystocia/
難視聴 [なんしちょう] /(n) (television or radio signal's) poor reception/
難事 [なんじ] /(n) difficulty/
難事業 [なんじぎょう] /(n) uphill task/difficult undertaking (project)/
難字 [なんじ] /(n) difficult character/complicated kanji/
難治 [なんじ] /(n,adj-no) (1) intractable (diseases)/hard to cure/(2) rebellious/insurgent/refractory/obstinate/
難治 [なんち] /(n,adj-no) (1) intractable (diseases)/hard to cure/(2) rebellious/insurgent/refractory/obstinate/
難渋 [なんじゅう] /(adj-na,n) retardation/
難所 [なんしょ] /(n) rough spot/
難症 [なんしょう] /(n) incurable illness/
難場 [なんば] /(n) predicament/difficult situation/
難色 [なんしょく] /(n) disapproval/(P)/
難船 [なんせん] /(n,vs) shipwreck/
難題 [なんだい] /(n) difficult problem/challenge/(P)/
難中の難 [なんちゅうのなん] /(exp) the hardest thing of all/
難聴 [なんちょう] /(n,adj-no) deafness/(P)/
難聴者 [なんちょうしゃ] /(n) deaf person/hearing-impaired person/
難敵 [なんてき] /(n) formidable enemy/
難点 [なんてん] /(n) fault/weakness/(P)/
難度 [なんど] /(n) degree of difficulty/
難読 [なんどく] /(n) difficult to read (e.g. obscure kanji)/
難読化 [なんどくか] /(n) obfuscation/
難読語 [なんどくご] /(n) difficult word/
難燃加工 [なんねんかこう] /(n) fireproof/
難燃性 [なんねんせい] /(n,adj-no) flame retardance/flame resistance/incombustibility/
難波 [なんば] /(n) mountain Japanese apricot/
難波潟 [なにわがた] /(n) Naniwa Bay (old name for Osaka Bay)/
難波薔薇 [なにわいばら] /(n) Cherokee rose/Rosa laevigata/
難破 [なんぱ] /(n,vs) shipwreck/
難破船 [なんぱせん] /(n) shipwreck/
難病 [なんびょう] /(n) incurable disease/(P)/
難物 [なんぶつ] /(n) hard problem/person hard to please/hard nut to crack/
難文 [なんぶん] /(n) difficult sentence/
難癖 [なんくせ] /(n) fault/
難癖をつける [なんくせをつける] /(exp,v1) to blame/to find fault with/
難癖を付ける [なんくせをつける] /(exp,v1) to blame/to find fault with/
難癖付ける [なんくせつける] /(exp,v1) to blame/to find fault with/
難民 [なんみん] /(n) refugees/(P)/
難民キャンプ [なんみんキャンプ] /(n) refugee camp/
難民帰還 [なんみんきかん] /(n) return of refugees/
難民条約 [なんみんじょうやく] /(n) Convention Relating to the Status of Refugees/
難民申請者 [なんみんしんせいしゃ] /(n) asylum seekers/
難民流出 [なんみんりゅうしゅつ] /(n) outflow of refugees/
難無く [なんなく] /(adv) easily/
難問 [なんもん] /(n,vs) perplexity/difficult question/difficult problem/(P)/
難問山積 [なんもんさんせき] /(n) mountain (pile) of difficult problems/
難問題 [なんもんだい] /(n) difficult problem or question/
難役 [なんやく] /(n) difficult role/
難路 [なんろ] /(n) rough or steep path/
汝 [い] /(n) (arch) (vulg) you/
汝 [いまし] /(n) (arch) (fam) you/
汝 [うぬ] /(pn,adj-no) (vulg) blockhead!/you/
汝 [し] /(n) (1) (arch) that/(2) you/(3) oneself/themself/
汝 [しゃ] /(n) (arch) (vulg) you/
汝 [そなた] /(pn,adj-no) (arch) thou/you/
汝 [な] /(n) (1) (arch) I/(2) you/
汝 [なむち] /(pn,adj-no) (arch) you/
汝 [なれ] /(pn,adj-no) (arch) you/
汝 [なんじ] /(pn,adj-no) (arch) thou/you/
汝 [まし] /(pn,adj-no) (arch) you/
汝 [みまし] /(n) (arch) (hon) you/
汝の敵を愛せよ [なんじのてきをあいせよ] /(exp) (as commanded by Jesus) love your enemies/
汝の隣人を愛せよ [なんじのりんじんをあいせよ] /(exp) (as commanded by Jesus) love your neighbour (neighbor)/
汝自らを知れ [なんじみずからをしれ] /(exp) (arch) Know thyself/
汝自身を知れ [なんじじしんをしれ] /(exp) (arch) Know thyself/
二 [に] /(num) two/(P)/
二 [ふ] /(num) two/
二 [ふう] /(num) two/
二 [ふた] /(num) two/
二か年 [にかねん] /(adj-pn) biennial/
二けた [ふたけた] /(n) two digits/double figures/
二つ [ふたつ] /(num) two/(P)/
二つながら [ふたつながら] /(adv) (uk) both/
二つに一つ [ふたつにひとつ] /(exp) one of two (possibilities, alternatives, etc.)/
二つ宛 [ふたつあて] /(n) two pieces of/two pieces each/
二つ宛 [ふたつづつ] /(n) two pieces of/two pieces each/
二つ割り [ふたつわり] /(n) half/cutting in two/
二つ共 [ふたつとも] /(n) both/
二つ折り [ふたつおり] /(adj-no) folded in half/doubled/
二つ折りにする [ふたつおりにする] /(exp,vs-i) to fold in two/to fold in half/to double up/
二つ置き [ふたつおき] /(n) every third/
二つ乍ら [ふたつながら] /(adv) (uk) both/
二つ返事 [ふたつへんじ] /(n) immediate (happy) reply/
二つ繭 [ふたつまゆ] /(n) double cocoon/
二つ目 [ふたつめ] /(n) one after next/second/(P)/
二どと [にどと] /(adv) never again (with negative verb)/
二の丸 [にのまる] /(n) outer citadel/
二の宮 [にのみや] /(n) (1) (arch) second-born imperial prince/(2) second most important provincial shrine/
二の句 [にのく] /(n) another word/answer/
二の句がつげない [にのくがつげない] /(exp) at a loss for words/dumbfounded/struck dumb/
二の句が継げない [にのくがつげない] /(exp) at a loss for words/dumbfounded/struck dumb/
二の糸 [にのいと] /(n) second string (of a shamisen, etc.)/
二の字点 [にのじてん] /(n) iteration mark used to represent repetition of the previous kanji (to be read using its kun-yomi)/
二の次 [にのつぎ] /(n) secondary/subordinate/(P)/
二の膳 [にのぜん] /(n) side dish/
二の足 [にのあし] /(n) hesitation/
二の足を踏む [にのあしをふむ] /(exp,v5m) to hesitate/to think twice/to shy or flinch/
二の町 [にのまち] /(n) inferior/second-rate/
二の舞 [にのまい] /(n) ... all over again (repeating the same failure)/
二の矢 [にのや] /(n) second arrow/second string to one's bow/
二の腕 [にのうで] /(n) upper arm/
二の冪 [にのべき] /(n) power of two/
二カ国語 [にかこくご] /(adj-no) bilingual/in two languages/
二カ年 [にかねん] /(adj-pn) biennial/
二クロム酸 [にクロムさん] /(n) dichromic acid/bichromic acid/
二クロム酸カリウム [にクロムさんカリウム] /(n) (obsc) potassium dichromate (K2Cr2O7)/
二クロム酸ナトリウム [にクロムさんナトリウム] /(n) sodium dichromate/
二ヵ年 [にかねん] /(adj-pn) biennial/
二ヶ月 [にかげつ] /(n) two months/
二ヶ年 [にかねん] /(adj-pn) biennial/
二位 [にい] /(n) second place/
二尉 [にい] /(n) first lieutenant (JSDF)/
二遺伝子雑種 [にいでんしざっしゅ] /(n) dihybrid/
二院 [にいん] /(n) the two houses of legislature/(P)/
二院制 [にいんせい] /(n) bicameral system/
二院制度 [にいんせいど] /(n) bicameral system/
二王 [におう] /(n) the two guardian Deva kings/
二王門 [におうもん] /(n) Deva gate/temple gate guarded by fierce Deva Kings/temple gate of the Nio/
二化螟蛾 [にかめいが] /(n) (uk) striped stem borer (species of moth, Chilo suppressalis)/
二価 [にか] /(adj-no) divalent/
二河白道 [にがびゃくどう] /(exp) (Buddh) metaphor in which the road to paradise is likened to a white road between two rivers, one of water (wrath) and one of fire (greed)/
二箇所 [にかしょ] /(n) two parts/
二箇年 [にかねん] /(adj-pn) biennial/
二課勉強 [にかべんきょう] /(n,vs) studying two lessons/
二回 [にかい] /(n,adj-no) twice/
二回生 [にかいせい] /(n) second year (college) student/sophomore/
二階 [にかい] /(n) second floor/upstairs/(P)/
二階から目薬 [にかいからめぐすり] /(exp) something that cannot be done no matter how hard one tries (and is slightly frustrating because of this)/
二階屋 [にかいや] /(n) two storey house/two story house/
二階家 [にかいや] /(n) two-story house/
二階建 [にかいだて] /(n) two-storied building/
二階建て [にかいだて] /(n) two-storied building/(P)/
二階建てバス [にかいだてバス] /(n) double-decker bus/
二核 [にかく] /(n,adj-no) binuclear/
二割 [にわり] /(n) 20 percent/(P)/
二官 [にかん] /(n) two departments (under the ritsuryo system: the Dept. of State & the Dept. of Worship)/
二間 [にけん] /(n) two ken (approx. 3.6m)/
二間 [ふたま] /(n) two rooms/
二眼レフ [にがんレフ] /(n) (abbr) twin lens reflex camera/
二眼レフカメラ [にがんレフカメラ] /(n) twin lens reflex camera/
二期 [にき] /(n) two periods or terms/(P)/
二期作 [にきさく] /(n) a semiannual crop/two crops per year/
二期制 [にきせい] /(n) two-term system/
二義的 [にぎてき] /(adj-na,n) secondary/
二宮 [にぐう] /(n) the Two Ise Shrines/(P)/
二級 [にきゅう] /(adj-na,n) second grade/second class/secondary/
二級酒 [にきゅうしゅ] /(n) second-grade alcohol/
二強 [にきょう] /(n) top two/
二強雄蕊 [にきょうゆうずい] /(n) didynamous stamen/
二業地 [にぎょうち] /(n) entertainment quarters (food and geisha)/
二極化 [にきょくか] /(n,vs) bipolarization/bipolarisation/
二極真空管 [にきょくしんくうかん] /(n) diode/
二極分化 [にきょくぶんか] /(n,vs) polarisation/
二筋道 [ふたすじみち] /(n) branch roads/crossroads/
二九 [にく] /(n) (arch) eighteen/
二君 [にくん] /(n) two masters/
二君に仕えず [にくんにつかえず] /(exp) to not serve two masters/
二軍 [にぐん] /(n,adj-no) second string players (sports)/(P)/
二形 [ふたなり] /(n,adj-no) (uk) hermaphrodite/androgyny/hermaphroditism/
二桁 [ふたけた] /(n) two-digit number/"tens" column/
二結び [ふたむすび] /(n) two half hitches/
二月 [にがつ] /(n-adv) February/(P)/
二月 [ふたつき] /(n) two months/
二月革命 [にがつかくめい] /(n) (1) February Revolution (France, 1848)/(2) February Revolution (Russia, 1917)/
二月尽 [にがつじん] /(n) last day of February/last day of the second lunar month/
二見 [ふたみ] /(adj-no) forked (road, river)/(P)/
二軒建て [にけんだて] /(exp) duplex (house)/
二元 [にげん] /(n,adj-no) duality/binary (system)/
二元的 [にげんてき] /(adj-na) dual/
二元放送 [にげんほうそう] /(n) broadcast in which participants speak from different stations/
二元方程式 [にげんほうていしき] /(n) (math) equation with two unknowns/
二元論 [にげんろん] /(n) dualism/
二原子 [にげんし] /(n) diatomic/
二原子分子 [にげんしぶんし] /(n) diatomic molecule/
二弦琴 [にげんきん] /(n) two-stringed koto/
二言 [にごん] /(n) (1) double-dealing/double tongue/going back on what one has said/(2) repeating oneself/
二言 [ふたこと] /(n) (1) two words/(2) repetition/
二言三言 [ふたことみこと] /(n) a few words/
二言三言言う [ふたことみこという] /(exp,v5u) to say a few words/
二言目 [ふたことめ] /(n) the constant burden of some people's talk/
二股 [ふたまた] /(n,adj-no) (1) bifurcation/(2) parting of the ways/(3) (col) two-timing/
二股かける [ふたまたかける] /(exp,v1) to two-time/to play it both ways/to sit on the fence/
二股をかける [ふたまたをかける] /(exp,v1) to play it both ways/to sit on the fence/to two-time/
二股を掛ける [ふたまたをかける] /(exp,v1) to play it both ways/to sit on the fence/to two-time/
二股掛ける [ふたまたかける] /(exp,v1) to two-time/to play it both ways/to sit on the fence/
二股膏薬 [ふたまたこうやく] /(n) double-dealer/timeserver/moving back and forth between two sides in a conflict/
二股膏薬 [ふたまたごうやく] /(n) double-dealer/timeserver/moving back and forth between two sides in a conflict/
二胡 [にこ] /(n) erhu (2-stringed Chinese instrument played with a bow)/erh hu/
二交替 [にこうたい] /(n) day and night shift work schedule/
二交替制労働 [にこうたいせいろうどう] /(n) two-shift work program (programme)/
二口目 [ふたくちめ] /(n) pet expression/
二更 [にこう] /(n) (arch) second watch (approx. 9 pm to 11 pm)/
二項 [にこう] /(n,adj-no) (comp) dyadic/
二項演算子 [にこうえんざんし] /(n) (comp) binary operator/
二項係数 [にこうけいすう] /(n) binomial coefficient/
二項式 [にこうしき] /(n) binomial/
二項定理 [にこうていり] /(n) binomial theorem/
二項分布 [にこうぶんぷ] /(n) binomial distribution/
二項方程式 [にこうほうていしき] /(n) binomial equation/
二号 [にごう] /(n) number two/concubine/(P)/
二号さん [にごうさん] /(n) mistress/"No. 2"/
二国間 [にこくかん] /(adj-no) bilateral/
二国間主義 [にこくかんしゅぎ] /(n) bilateralism/
二国間相互主義 [にこくかんそうごしゅぎ] /(n) bilateralism/
二黒 [じこく] /(n) second of nine traditional astrological signs (corresponding to Saturn and southwest)/
二佐 [にさ] /(n) lieutenant colonel (JSDF)/
二叉 [ふたまた] /(n,adj-no) (1) bifurcation/(2) parting of the ways/(3) (col) two-timing/
二三 [にさん] /(n-adv) two or three/
二酸塩基 [にさんえんき] /(n) diacidic base/
二酸化いおう [にさんかいおう] /(n) sulfur dioxide/sulphur dioxide/
二酸化イオウ [にさんかイオウ] /(n) sulfur dioxide/sulphur dioxide/
二酸化ウラン [にさんかウラン] /(n) uranium dioxide/
二酸化ケイ素 [にさんかケイそ] /(n) silicon dioxide (SiO2)/silica/
二酸化マンガン [にさんかマンガン] /(n) manganese dioxide (MnO2)/
二酸化鉛 [にさんかえん] /(n) lead oxide/lead(IV) oxide/PbO2/
二酸化珪素 [にさんかけいそ] /(n) silicon dioxide (SiO2)/silica/
二酸化炭素 [にさんかたんそ] /(n) carbon dioxide/
二酸化炭素の吸収源 [にさんかたんそのきゅうしゅうげん] /(n) carbon sink/carbon dioxide sink/CO2 sink/
二酸化炭素吸収源 [にさんかたんそきゅうしゅうげん] /(n) carbon sink/carbon dioxide sink/CO2 sink/
二酸化炭素削減義務 [にさんかたんそさくげんぎむ] /(n) carbon dioxide reducing obligation/
二酸化炭素削減目標 [にさんかたんそさくげんもくひょう] /(n) CO2-reduction goal/
二酸化炭素排出権 [にさんかたんそはいしゅつけん] /(n) right to emit carbon dioxide/
二酸化窒素 [にさんかちっそ] /(n) nitrogen dioxide/
二酸化硫黄 [にさんかいおう] /(n) sulfur dioxide/sulphur dioxide/
二士 [にし] /(n) private (JSDF)/
二子 [ふたご] /(n) twins/a twin/
二指樹懶 [ふたゆびなまけもの] /(n) (uk) two-toed sloth/
二死 [にし] /(n) two out (e.g. in baseball)/two down (and one to go)/(P)/
二死後 [にしご] /(n-adv,n-t) after two outs/
二至 [にし] /(n) the two solstices (summer and winter)/
二字 [にじ] /(n) two characters/name/
二時 [にじ] /(n-t) two o'clock/
二時 [ふたとき] /(n-t) (1) fairly long period of time/(2) (arch) four-hour period/
二次 [にじ] /(n,adj-no) secondary/subordinate/(P)/
二次キャッシュ [にじキャッシュ] /(n) (comp) secondary cache/
二次コイル [にじコイル] /(n) secondary coil/
二次コン [にじコン] /(n) two-dimensional complex/people more interested in two-dimensional (i.e. anime or manga) girls than real people/
二次会 [にじかい] /(n) afterparty/second party of the same night/
二次回路 [にじかいろ] /(n) secondary circuit/
二次感染 [にじかんせん] /(n) secondary infection/
二次関数 [にじかんすう] /(n) quadratic function/
二次記憶 [にじきおく] /(n) secondary memory/
二次記憶装置 [にじきおくそうち] /(n) (comp) secondary storage/
二次局 [にじきょく] /(n) (comp) secondary station/
二次局状態 [にじきょくじょうたい] /(n) (comp) secondary station status/
二次曲線 [にじきょくせん] /(n) quadratic curve/
二次曲面 [にじきょくめん] /(n) quadric surface/
二次元 [にじげん] /(n) two dimensions/
二次元高速フーリエ変換 [にじげんこうそくフーリエへんかん] /(n) (comp) two dimensional fast Fourier transform/
二次資料 [にじしりょう] /(n) (comp) secondary source/
二次成長 [にじせいちょう] /(n) secondary growth/
二次生長 [にじせいちょう] /(n) secondary growth/
二次創作 [にじそうさく] /(n) derivative work (e.g. alt. world, side story, doujinshi, fanfiction, etc.)/derived work/
二次体 [にじたい] /(n) (math) quadratic field/
二次的 [にじてき] /(adj-na) secondary/
二次電子増倍管 [にじでんしぞうばいかん] /(n) secondary electron multiplier/
二次電池 [にじでんち] /(n) rechargeable battery/
二次電流 [にじでんりゅう] /(n) secondary current/
二次配布 [にじはいふ] /(n,vs) redistribution/
二次文献 [にじぶんけん] /(n) (comp) secondary document/
二次方程式 [にじほうていしき] /(n) quadratic equation/
二次粒子 [にじりゅうし] /(n) secondary particle (particle physics)/
二次林 [にじりん] /(n) secondary forest/second-growth forest/
二次冷却水 [にじれいきゃくすい] /(n) secondary cooling water (esp. in a pressurized water reactor)/
二七日 [ふたなぬか] /(n) second week's memorial services/(P)/
二七日 [ふたなのか] /(n) second week's memorial services/
二七年テーゼ [にじゅうしちねんテーゼ] /(n) 1927 Theses/Comintern policy documents regarding capitalism, imperialism, and a possible revolution in Japan/
二者 [にしゃ] /(n,adj-no) two things/two persons/
二者選一 [にしゃせんいつ] /(n) alternative/
二者選一法 [にしゃせんいつほう] /(n) completion test (one out of two choices)/
二者択一 [にしゃたくいつ] /(n,adj-no) two alternatives/selecting an option (from two alternatives)/(P)/
二者択一を迫られる [にしゃたくいつをせまられる] /(exp,v1) to be faced with the choice between two alternatives/
二手 [ふたて] /(n,adj-no) two groups/two bands/
二種 [にしゅ] /(n) (1) two kinds/(2) second-class (e.g. mail)/
二週間 [にしゅうかん] /(n) fortnight/two weeks/
二十 [にじゅう] /(n) twenty/(P)/
二十 [はた] /(ok) (n) twenty/
二十 [はたち] /(n) (1) 20 years old/(2) (arch) twenty/
二十の扉 [にじゅうのとびら] /(n) twenty questions (game)/
二十一箇条要求 [にじゅういっかじょうようきゅう] /(n) The Twenty-One Demands/
二十脚 [にじゅうあし] /(n) kanji "twenty legs" radical (radical 55)/
二十五史 [にじゅうごし] /(n) Twenty-Five Histories/authoritative collection of twenty-five Chinese historical books (the Twenty-Four Histories and the New History of Yuan)/
二十歳 [はたち] /(n) (1) 20 years old/(P)/
二十歳 [はたとせ] /(n) (arch) twenty years/
二十四気 [にじゅうしき] /(n) the 24 seasonal divisions of a year in the old lunar calendar/
二十四史 [にじゅうしし] /(n) Twenty-Four Histories/authoritative collection of twenty-four Chinese historical books/
二十四時間 [にじゅうよじかん] /(n) 24 hours/twenty-four hours/
二十四時間制 [にじゅうよじかんせい] /(n) around-the-clock system/(P)/
二十四節気 [にじゅうしせっき] /(n) 24 divisions of the solar year/24 terms used to denote the changing of the seasons/
二十四日 [にじゅうよっか] /(n) twenty-fourth day of the month/
二十重 [はたえ] /(n) many-fold/
二十世紀 [にじっせいき] /(n) twentieth century/(P)/
二十世紀 [にじゅっせいき] /(n) twentieth century/
二十代 [にじゅうだい] /(n) one's twenties/
二十二社 [にじゅうにしゃ] /(n) The Twenty-Two Shrines (the 22 most important Shinto shrines, as designated during the Heian period)/
二十日 [はつか] /(n) (1) twentieth (day of the month)/(2) twenty days/(P)/
二十日正月 [はつかしょうがつ] /(n) twentieth day of the first month (end of New Year celebrations, upon which remaining New Year's food is eaten, decorations are stowed away, etc.)/
二十日鼠 [はつかねずみ] /(n) (uk) house mouse (Mus musculus)/
二十日大根 [はつかだいこん] /(n) the small garden radish/
二十年 [はたとせ] /(n) (arch) twenty years/
二十八宿 [にじゅうはっしゅく] /(n) twenty-eight mansions of Chinese astronomy (constellations dividing the ecliptic into 28 positions)/
二十八星瓢虫 [にじゅうやほしてんとう] /(n) (uk) 28-spotted ladybird (Epilachna vigintioctopunctata)/
二十路 [ふたそじ] /(n) age twenty/one's twenties/
二従兄弟 [ふたいとこ] /(n) second cousin/
二従兄妹 [ふたいとこ] /(n) second cousin/
二従姉弟 [ふたいとこ] /(n) second cousin/
二従姉妹 [ふたいとこ] /(n) second cousin/
二重 [にじゅう] /(n,adj-no) (1) double/two-fold/two layers/duplex/(pref) (2) diplo-/dipl/(P)/
二重 [ふたえ] /(n,adj-no) (1) double/two-fold/two layers/duplex/(pref) (2) diplo-/dipl/(P)/
二重あご [にじゅうあご] /(n) double chin/
二重あご [ふたえあご] /(n) double chin/
二重まぶた [ふたえまぶた] /(n) double-edged eyelid/
二重らせん [にじゅうらせん] /(n) double helix (structure of DNA)/
二重スパイ [にじゅうスパイ] /(n) double agent/
二重リング [にじゅうリング] /(n) (comp) dual ring/
二重引用符 [にじゅういんようふ] /(n) (comp) double quotes/
二重化 [にじゅうか] /(n) (comp) duplication/redundancy/
二重価格制 [にじゅうかかくせい] /(n) dual price system/
二重課税 [にじゅうかぜい] /(n) double taxation/
二重外交 [にじゅうがいこう] /(n) dual diplomacy/
二重顎 [にじゅうあご] /(n) double chin/
二重顎 [ふたえあご] /(n) double chin/
二重釜 [にじゅうがま] /(n) jacketed kettle/double boiler/
二重関節 [にじゅうかんせつ] /(n) double-jointed/
二重丸 [にじゅうまる] /(n) double circle/'good work' (equiv. of silver star awarded to children at school)/
二重基準 [にじゅうきじゅん] /(n) double standards/dual criteria/
二重橋 [にじゅうばし] /(n) Double Bridge at the Palace/
二重敬語 [にじゅうけいご] /(n) redundant keigo (i.e. improper use of the -rareru honorific form together with an honorific verb such as ossharu)/
二重結合 [にじゅうけつごう] /(n) (chem) double bond/
二重結婚 [にじゅうけっこん] /(n) bigamy/
二重拘束 [にじゅうこうそく] /(n) double bind/
二重国籍 [にじゅうこくせき] /(n) dual nationality/
二重国籍者 [にじゅうこくせきしゃ] /(n) dual citizen/person having dual citizenship or nationality/
二重腰 [ふたえごし] /(n) bent back/stooping back/
二重撮影 [にじゅうさつえい] /(n) double exposure/
二重三重 [にじゅうさんじゅう] /(n) twofold and threefold/doubled and redoubled/
二重式火山 [にじゅうしきかざん] /(n) double volcano/
二重写し [にじゅううつし] /(n) double exposure/
二重書き [にじゅうかき] /(n) (comp) overwriting/
二重唱 [にじゅうしょう] /(n) vocal duet/
二重焼き付け [にじゅうやきつけ] /(n) double printing/
二重焦点 [にじゅうしょうてん] /(n,adj-no) bifocal/
二重焦点レンズ [にじゅうしょうてんレンズ] /(n) bifocal lens/
二重織り [にじゅうおり] /(n) double-weight cloth/
二重身 [にじゅうしん] /(n) doppelganger/
二重人格 [にじゅうじんかく] /(n,adj-no) dual personality/split personality/
二重人格者 [にじゅうじんかくしゃ] /(n) someone with a dual personality/
二重星 [にじゅうせい] /(n) double star/
二重生活 [にじゅうせいかつ] /(n) double life/
二重税 [にじゅうぜい] /(n) double duty/
二重接続コンセントレータ [にじゅうせつぞくコンセントレータ] /(n) (comp) dual attachment concentrator/
二重接続局 [にじゅうせつぞくきょく] /(n) (comp) dual attachment station/
二重奏 [にじゅうそう] /(n) instrumental duo/(P)/
二重窓 [にじゅうまど] /(n) double-glazed window/double window/storm window/
二重窓ガラス [にじゅうまどガラス] /(n) double glazing/
二重通信 [にじゅうつうしん] /(n) (comp) duplex/
二重底 [にじゅうぞこ] /(n) bottom/double sole/
二重抵当 [にじゅうていとう] /(n) second mortgage/
二重道徳 [にじゅうどうとく] /(n) double standard of morality/
二重否定 [にじゅうひてい] /(n) double negative/
二重母音 [にじゅうぼいん] /(n) diphthong/
二重盲検法 [にじゅうもうけんほう] /(n) double blind trial/
二重螺旋 [にじゅうらせん] /(n) double helix (structure of DNA)/
二重露出 [にじゅうろしゅつ] /(n) double exposure/
二重瞼 [ふたえまぶた] /(n) double-edged eyelid/
二女 [にじょ] /(n) second daughter/
二乗 [じじょう] /(n,vs) squaring/multiplying (a number) by itself/second power/
二乗 [にじょう] /(n,vs) squaring/multiplying (a number) by itself/second power/
二乗機能 [にじょうきのう] /(n) (comp) square function/
二乗根 [にじょうこん] /(n) square root/
二条鯖 [にじょうさば] /(n) (uk) double-lined mackerel (Grammatorcynus bilineatus)/
二畳紀 [にじょうき] /(n) Permian period/
二色 [にしょく] /(n) two-color/two-colour/dichromatic/
二色刷り [にしょくずり] /(n) two-color printing/two-colour printing/
二食 [にしょく] /(n) two meals (a day)/
二食 [にじき] /(n) two meals (a day)/
二伸 [にしん] /(n) postscript/PS/
二心 [にしん] /(n) duplicity/treachery/double-dealing/
二心 [ふたごころ] /(n) duplicity/treachery/double-dealing/
二親 [ふたおや] /(n) parents/both parents/
二親等 [にしんとう] /(n) relation in the second degree/
二進 [にしん] /(adj-na,n) binary/
二進も三進も [にっちもさっちも] /(exp,adv) in no way/
二進も三進も行かない [にっちもさっちもいかない] /(exp) being driven into a corner/having no way out/
二進一退 [にしんいったい] /(n,vs) two steps forward, one step back/
二進化十進コード [にしんかじっしんコード] /(n) (comp) binary-coded decimal code/
二進化十進進表示法 [にしんかじっしんひょうじほう] /(n) (comp) binary-coded decimal representation/
二進化十進数 [にしんかじっしんすう] /(n) (comp) binary coded decimal/BCD/
二進化十進法 [にしんかじっしんほう] /(n) (comp) binary-coded decimal notation/
二進数 [にしんすう] /(n) binary digits/
二進表記法 [にしんひょうきほう] /(n) (comp) binary notation/
二進法 [にしんほう] /(n) binary number system/
二進木 [にしんぎ] /(n) binary tree/
二人 [ににん] /(n) two persons/two people/pair/couple/
二人 [ふたり] /(n) two persons/two people/pair/couple/(P)/
二人きり [ふたりきり] /(n) just the two of them/
二人ずつ [ふたりずつ] /(adj-no) couple/
二人っきり [ふたりっきり] /(n) just the two of them/
二人っ切り [ふたりっきり] /(n) just the two of them/
二人づつ [ふたりづつ] /(adj-no) couple/
二人とも [ふたりとも] /(n) both (people)/(P)/
二人宛 [ふたりずつ] /(adj-no) couple/
二人宛 [ふたりづつ] /(adj-no) couple/
二人共 [ふたりとも] /(n) both (people)/
二人殺し [ふたりごろし] /(n) double murder/
二人三脚 [ににんさんきゃく] /(n) (1) three-legged race/(2) cooperation with singleness of purpose (e.g. between companies)/(P)/
二人称 [ににんしょう] /(n) (ling) second person/
二人称代名詞 [ににんしょうだいめいし] /(n) (ling) second person pronoun/
二人乗り [ふたりのり] /(n,vs) two people using the same (vehicle) (often two on a bike)/
二人切り [ふたりきり] /(n) just the two of them/
二人前 [ににんまえ] /(adj-no) for two people/(work) of two/(meals) for two/
二人前 [ふたりまえ] /(adj-no) for two people/(work) of two/(meals) for two/(P)/
二人組 [ににんぐみ] /(n) (1) twosome/duo/(2) pair (of criminals)/
二人組 [ふたりぐみ] /(n) (1) twosome/duo/(2) pair (of criminals)/
二人部屋 [ふたりべや] /(n) double room/
二人分 [ふたりぶん] /(n) two persons' portion/
二人暮らし [ふたりぐらし] /(exp) two people living together/
二人目 [ふたりめ] /(n) second person/
二人連れ [ふたりづれ] /(n) party of two/
二水 [にすい] /(n) kanji "ice" radical/
二世 [にせい] /(n) (1) second generation/foreigner of Japanese parentage/(2) junior/(3) two existences/the present and the future/(4) the second (king of the same name)/(P)/
二世の契り [にせのちぎり] /(n) marriage vows/
二世の固め [にせのかため] /(n) marriage vows/
二世の約束 [にせのやくそく] /(n) marriage vows/
二成 [ふたなり] /(n,adj-no) (uk) hermaphrodite/androgyny/hermaphroditism/
二成り [ふたなり] /(n,adj-no) (uk) hermaphrodite/androgyny/hermaphroditism/
二成文系 [にせいぶんけい] /(n) binary system/
二尖弁 [にせんべん] /(n) bicuspid valve/
二線式 [にせんしき] /(n) two-wire-system/
二組 [ふたくみ] /(n) two classes/double/two sets/
二曹 [にそう] /(n) sergeant first-class (JSDF)/
二槽式 [にそうしき] /(n) two-part washing machine/
二相 [にそう] /(n,adj-no) two-phase/
二束 [ふたたば] /(n) two bunches/two bundles/
二束の草鞋 [にそくのわらじ] /(iK) (exp) many irons in the fire/engaged in two trades at the same time/wearing two hats/
二束三文 [にそくさんもん] /(n,adj-no) dirt cheap/very cheap/
二足 [にそく] /(n,adj-no) (1) two legs/two feet/(2) two pairs/
二足の草鞋 [にそくのわらじ] /(exp) many irons in the fire/engaged in two trades at the same time/wearing two hats/
二足三文 [にそくさんもん] /(n,adj-no) dirt cheap/very cheap/
二足動物 [にそくどうぶつ] /(n,adj-no) biped/
二足歩行 [にそくほこう] /(n,adj-no) bipedal walking/walking on two legs/
二大強国 [にだいきょうこく] /(n) (the) two great powers/
二大政党 [にだいせいとう] /(n) two largest parties/
二大政党主義 [にだいせいとうしゅぎ] /(n) two-party system/
二大政党制 [にだいせいとうせい] /(n) two-party system/
二段ベッド [にだんベッド] /(n) bunk beds/double bunk/
二段化構成 [にだんかこうせい] /(n) (comp) two stage configuration/
二段活用 [にだんかつよう] /(n) conjugation (inflection, declension) of nidan verbs/
二段見出し [にだんみだし] /(n) two-line heading/
二段構え [にだんがまえ] /(n) keeping an alternative up one's sleeve/two-stage preparation/
二段構成 [にだんこうせい] /(n) (comp) two stage construction/
二段目 [にだんめ] /(n) former name for makushita division (sumo)/
二男 [じなん] /(n) second son/
二値 [にち] /(adj-no) binary/two-valued/
二値論理学 [にちろんりがく] /(n) (obsc) two-valued logic/
二地点同接続 [にちてんどうせつぞく] /(n) (comp) point-to-point connection/
二着 [にちゃく] /(n) runner-up/second (in a race)/
二丁鎌 [にちょうがま] /(n) two sickles used in Okinawan Kobudo/
二丁投げ [にちょうなげ] /(n) body drop throw (sweeping the opponent's legs and throwing them forward) (sumo)/
二直 [にちょく] /(n) lining out to second base/
二直角 [にちょっかく] /(n) straight angle/
二通 [につう] /(n) two copies/
二通り [ふたとおり] /(n) duplicate pair/two kinds/two ways/twofold/
二転三転 [にてんさんてん] /(n,vs) change again and again/seesaw back and forth/being in a state of flux/backtracking repeatedly/
二点先取 [にてんせんしゅ] /(n,vs) taking (score) the first two points of the game/
二兎 [にと] /(n) (arch) two rabbits/
二兎を追う者は一兎をも得ず [にとをおうものはいっとをもえず] /(exp) (id) He who runs after two hares will catch neither/
二度 [にど] /(n) (1) two times/twice/(2) two degrees/(P)/
二度ある事は三度ある [にどあることはさんどある] /(exp) (id) What happens twice will happen thrice/
二度と [にどと] /(adv) never again (with negative verb)/
二度刈り [にどがり] /(n) getting two crops a year/
二度咲き [にどざき] /(n) second blooming/
二度三度 [にどさんど] /(n) again and again/
二度手間 [にどてま] /(n) double effort/
二度手間 [にどでま] /(n) double effort/
二度寝 [にどね] /(n,vs) going back to sleep (e.g. after waking up in the morning)/(P)/
二度添い [にどぞい] /(n) second wife/
二度目 [にどめ] /(n) the second time/
二刀流 [にとうりゅう] /(n) school which teaches the techniques of fencing with a sword in each hand/person who likes both liquor and sweets/
二等 [にとう] /(n) second class/
二等軍曹 [にとうぐんそう] /(n) staff sergeant/
二等車 [にとうしゃ] /(n) second class carriage/
二等賞 [にとうしょう] /(n) second prize/
二等親 [にとうしん] /(n) second-degree relative/
二等分 [にとうぶん] /(n,vs) bisection/
二等分線 [にとうぶんせん] /(n) bisector/
二等兵 [にとうへい] /(n) private (e-1)/
二等辺三角形 [にとうへんさんかくけい] /(n) isosceles triangle/
二等辺三角形 [にとうへんさんかっけい] /(n) isosceles triangle/
二糖 [にとう] /(n) disaccharide/
二糖類 [にとうるい] /(n) disaccharide/
二頭筋 [にとうきん] /(n) biceps/
二頭挽き [にとうびき] /(n) two-horse cart/
二頭立て [にとうだて] /(n) two-horse cart/
二道 [ふたみち] /(n) branch roads/forked roads/crossroads/two ways (of proceeding)/
二日 [ふつか] /(n) (1) second day of the month/(2) two days/(P)/
二日間 [ふつかかん] /(n) a period of two days/
二日酔 [ふつかよい] /(n,vs) hangover/
二日酔い [ふつかよい] /(n,vs) hangover/
二年生 [にねんせい] /(n) (1) second-year university or high-school student/sophomore (US)/(2) biennial/
二年生植物 [にねんせいしょくぶつ] /(n) biennial plant/
二年草 [にねんそう] /(n) biennial plant/
二念 [にねん] /(n) two ideas/
二杯酢 [にはいず] /(n) vinegar and soy sauce mixed in roughly equal proportions/
二倍 [にばい] /(n) double/twice/twofold/
二倍体 [にばいたい] /(n) diploid (organism, cell, etc.)/
二拍子 [にびょうし] /(n) duple meter/duple metre/duple time/
二八 [にっぱち] /(n) February and August (times of slow business, sluggish sales, etc.)/
二八 [にはち] /(n) (arch) sixteen/
二番 [にばん] /(n) second/number two/runner-up/(P)/
二番刈り [にばんかり] /(n) second crop/aftermath/
二番作 [にばんさく] /(n) second crop/
二番出世 [にばんしゅっせ] /(n) newly recruited sumo wrestlers in the second round of presentation after mae-zumo/
二番星 [にばんぼし] /(n) second star of the evening/
二番煎じ [にばんせんじ] /(n) rehash/
二番線 [にばんせん] /(n) platform no. 2/track 2/
二番抵当 [にばんていとう] /(n) second mortgage/
二番目 [にばんめ] /(n) second (in a series)/
二百 [にひゃく] /(n) two hundred/200/(P)/
二百十日 [にひゃくとおか] /(n) 210th day (from the first day of spring according to the lunar calendar)/the storm day/(P)/
二百二十日 [にひゃくはつか] /(n) 220th day/end of the storm period/(P)/
二布 [ふたの] /(n) (1) double-width cloth/(2) woman's underskirt/
二部 [にぶ] /(n) two parts/two copies/the second part/(P)/
二部教授 [にぶきょうじゅ] /(n) two-session system/
二部合唱 [にぶがっしょう] /(n) two-part chorus/vocal duet/
二部合奏 [にぶがっそう] /(n) instrumental duet/two-part ensemble/
二部作 [にぶさく] /(n) two-part work/
二部授業 [にぶじゅぎょう] /(n) double (school) sessions/
二封 [にふう] /(n) forced out on second/
二幅 [ふたの] /(n) (1) double-width cloth/(2) woman's underskirt/
二分 [にふん] /(n) two minutes/
二分 [にぶん] /(n,vs,adj-no) (1) halving/bisection/(2) the two equinoxes (vernal and autumnal)/(P)/
二分の一 [にぶんのいち] /(n) a half/
二分音符 [にぶおんぷ] /(n) half note/minim/
二分音符 [にぶんおんぷ] /(n) half note/minim/
二分休符 [にぶきゅうふ] /(n) minim rest/half rest (music)/
二分脊椎 [にぶんせきつい] /(n) spina bifida/
二分分類体系 [にぶんぶんるいたいけい] /(n) (comp) dichotomized classification system/
二分法 [にぶんほう] /(n) dichotomy/
二分木 [にぶんぎ] /(n) binary tree/
二文化主義 [にぶんかしゅぎ] /(n) biculturalism/
二文字 [ふたもじ] /(n) (1) two (written) characters/(2) (arch) (fem) Chinese chive/garlic chive (Allium tuberosum)/
二峰性 [にほうせい] /(adj-no) bimodal/
二方 [ふたかた] /(n) (1) (hon) both people/two people/(2) two directions/both directions/
二本 [にほん] /(adj-f) two (long cylindrical things)/
二本建て [にほんだて] /(exp) dual system/double standard/
二本差 [にほんざし] /(n) two-sworded (samurai)/
二本差し [にほんざし] /(n) two-sworded (samurai)/
二本棒 [にほんぼう] /(n) simpleton/henpecked husband/sniveler/sniveller/
二本立て [にほんだて] /(n) double feature (movie)/(P)/
二本立て映画 [にほんたてえいが] /(n) double feature (movie)/
二翻役 [りゃんふぁんやく] /(n) winning hand which redoubles the score/
二枚 [にまい] /(n) two sheets (pieces) (of paper)/(P)/
二枚貝 [にまいがい] /(n) bivalve/
二枚貝類 [にまいがいるい] /(n) bivalves/
二枚看板 [にまいかんばん] /(n) the two leading actors (in a play)/the two star players/the two distinctive features/the two main items (attractions)/
二枚鑑札 [にまいかんさつ] /(n) holding two positions at once (esp. of sumo rikishi or judges who are also coaches)/
二枚腰 [にまいごし] /(n) (in sumo and judo) posture in which the legs are firmly planted/
二枚蹴り [にまいげり] /(n) ankle-kicking twist down (sumo)/
二枚折り [にまいおり] /(n) folio/
二枚舌 [にまいじた] /(n,adj-no) double-dealing/duplicity/equivocation/double-tongued/(P)/
二枚目 [にまいめ] /(n) (1) handsome man/(2) actor in a love scene/(P)/
二枚目半 [にまいめはん] /(n) comedian who plays a lover's part/man who is both handsome and fun/
二俣 [ふたまた] /(n,adj-no) (1) bifurcation/(2) parting of the ways/(3) (col) two-timing/
二名法 [にめいほう] /(n) binomial nomenclature/
二命名法 [にめいめいほう] /(n) (obsc) binomial nomenclature/
二毛作 [にもうさく] /(n) two crops a year/
二目 [ふため] /(n) for a second time/
二役 [ふたやく] /(n) double role/
二様 [によう] /(n) two ways (e.g. of interpreting a word)/two kinds/two types/
二葉 [によう] /(n) two flat things/
二葉 [ふたば] /(n,adj-no) bud/sprout/
二葉葵 [ふたばあおい] /(n) (uk) Asarum caulescens (species of wild ginger)/
二葉柿 [ふたばがき] /(n) (uk) dipterocarp (any plant of genus Dipterocarpus)/
二卵性 [にらんせい] /(n) (abbr) fraternal (of twins)/
二卵性双生児 [にらんせいそうせいじ] /(n) fraternal twins/
二律背反 [にりつはいはん] /(n) antinomy/self-contradiction/
二流 [にりゅう] /(n,adj-no) second-rate/inferior/(P)/
二硫化炭素 [にりゅうかたんそ] /(n) carbon disulfide/
二量体 [にりょうたい] /(n,adj-no) dimer/
二輪 [にりん] /(n) two wheels/two flowers/
二輪車 [にりんしゃ] /(n) two wheeled vehicle (bicycle, motorcycle, etc.)/(P)/
二輪草 [にりんそう] /(n) soft windflower/Anemone Flaccida/
二塁 [にるい] /(n) second base/(P)/
二塁手 [にるいしゅ] /(n) second baseman/(P)/
二塁打 [にるいだ] /(n) two-base hit/double/(P)/
二列 [にれつ] /(n) two rows/double file/
二連 [にれん] /(adj-no) bipartite/in two parts/double/
二連式 [にれんしき] /(n) duplex/
二連銃 [にれんじゅう] /(n) double-barreled gun/
二連発 [にれんぱつ] /(n) double-barreled gun/
二六時中 [にろくじちゅう] /(adv,n) night and day/all the time/
二瘤駱駝 [ふたこぶらくだ] /(n) (uk) Bactrian camel (Camelus bactrianus)/
二豎 [にじゅ] /(n) (arch) demon of ill health/disease/
尼 [あま] /(n) (1) (col) nun/(2) (derog) bitch/(P)/
尼 [に] /(n,n-suf) (abbr) bhikkhuni (fully ordained Buddhist nun)/
尼っこ [あまっこ] /(n) (1) (col) native of Amagasaki/(2) (arch) (derog) bitch/
尼っちょ [あまっちょ] /(n) (arch) (derog) bitch/
尼っ子 [あまっこ] /(n) (1) (col) native of Amagasaki/(2) (arch) (derog) bitch/
尼鷺 [あまさぎ] /(n) (uk) cattle egret (Bubulcus ibis)/
尼寺 [あまでら] /(n) nunnery/convent/
尼僧 [にそう] /(n) nun/priestess/(P)/
尼僧院 [にそういん] /(n) nunnery/convent/
尼甫 [じほ] /(n) Confucius/
尼法師 [あまほうし] /(n) (Buddh) nun/
尼羅 [ないる] /(n) (uk) Nile (river)/
尼羅大蜥蜴 [ナイルおおとかげ] /(n) (uk) Nile monitor (Varanus niloticus, species of carnivorous monitor lizard native to sub-Saharan Africa)/water leguaan/
弐 [に] /(num) two (used in legal documents)/
弐つ [ふたつ] /(n) two (used in old or legal documents)/
弐拾 [にじゅう] /(n) twenty/
弐心 [にしん] /(n) duplicity/treachery/double-dealing/
弐心 [ふたごころ] /(n) duplicity/treachery/double-dealing/
匂 [におい] /(io) (n) (1) odour/odor/scent/smell/stench/(2) aura/whiff/smacks of .../sense/flavour/flavor/
匂い [におい] /(n) (1) odour/odor/scent/smell/stench/(2) aura/whiff/smacks of .../sense/flavour/flavor/(P)/
匂いやか [においやか] /(adj-na) (1) sweet-scented/(2) lustrous, shiny and beautiful/
匂い菖蒲 [においしょうぶ] /(n) aromatic cane/orris/
匂い袋 [においぶくろ] /(n) sachet/
匂い油 [においあぶら] /(n) perfumed hair oil/
匂い立つ [においたつ] /(v5t) (1) to be enveloped in a smell/(2) to be radiant/to be attractive/
匂う [におう] /(v5u,vi) (1) to be fragrant/to smell (good)/(2) to stink/to smell (bad)/(3) to glow/to be bright/(P)/
匂やか [におやか] /(adj-na) (1) sweet-scented/(2) lustrous, shiny and beautiful/
匂わす [におわす] /(v5s,vt) to give out an odor, scent or perfume (odour)/to suggest/to insinuate/
匂わせる [におわせる] /(v1) to smell of/to give off a scent/to hint at/to intimate/
匂辛夷 [たむしば] /(n) (uk) willow-leafed magnolia (Magnolia salicifolia)/anise magnolia/
匂菫 [においすみれ] /(n) (uk) sweet violet (Viola odorata)/
賑あう [にぎあう] /(v5u,vi) to prosper/to flourish/to do thriving business/to be crowded with people/
賑やか [にぎやか] /(adj-na) bustling/busy/(P)/
賑やかさ [にぎやかさ] /(n) business/liveliness/
賑わい [にぎわい] /(n) prosperity/bustle/activity/crowd/turnout/
賑わう [にぎわう] /(v5u,vi) to prosper/to flourish/to do thriving business/to be crowded with people/(P)/
賑わす [にぎわす] /(v5s,vt) to make prosperous/to enliven/
肉 [しし] /(n) (1) flesh/(2) meat/
肉 [にく] /(n) (1) flesh/(2) meat/(3) the physical body (as opposed to the spirit)/(4) thickness/(5) ink pad/(P)/
肉がつく [ししがつく] /(exp,v5k) to gain (put on) weight/
肉がつく [にくがつく] /(exp,v5k) to gain (put on) weight/
肉が減る [ししがへる] /(exp,v5r) to slim down/to lose weight/
肉が減る [にくがへる] /(exp,v5r) to slim down/to lose weight/
肉が付く [ししがつく] /(exp,v5k) to gain (put on) weight/
肉が付く [にくがつく] /(exp,v5k) to gain (put on) weight/
肉が落ちる [にくがおちる] /(exp,v1) to slim down/to lose weight/
肉づき [にくづき] /(n) (1) bodily build/degree of fleshiness/(adj-no) (2) strapping/buxom/
肉づきの良い [にくづきのいい] /(n) stout/well-fleshed/well-built/well-padded/plump/
肉づきの良い [にくづきのよい] /(n) stout/well-fleshed/well-built/well-padded/plump/
肉づく [にくづく] /(v5k,vi) to put on flesh/to get fat/to gain weight/
肉の厚い [にくのあつい] /(n) thick/
肉まん [にくまん] /(n) (abbr) manju (steamed bun) with meat filling/
肉を付ける [にくをつける] /(exp,v1) to add meat (or weight)/to add substance (to an essay, etc.)/
肉ジャガ [にくジャガ] /(n) meat and potato stew/
肉縁 [にくえん] /(n) blood relative/
肉屋 [にくや] /(n) butcher/(P)/
肉芽 [にくが] /(n) granulation/
肉芽腫 [にくがしゅ] /(n) granuloma/
肉芽組織 [にくがそしき] /(n) granulation tissue/
肉塊 [にくかい] /(n) (1) piece of meat/lump of meat/(2) human body/
肉塊 [にっかい] /(n) (1) piece of meat/lump of meat/(2) human body/
肉界 [にくかい] /(n) physical or sensual world/
肉割れ [にくわれ] /(n) stretch mark/
肉蒲団 [にくぶとん] /(n) (arch) female bedmate (whose body is likened to a fleshy cushion)/
肉感 [にっかん] /(n) sexual feeling/
肉感的 [にっかんてき] /(adj-na,n) sensual/
肉眼 [にくがん] /(n) (1) naked eye/(2) (Buddh) the physical eye/(P)/
肉眼 [にくげん] /(n) (1) (Buddh) the physical eye/
肉球 [にくきゅう] /(n) (sole of the) paw/pad/
肉牛 [にくぎゅう] /(n) beef cattle/
肉桂 [にっき] /(n,adj-no) (1) cinnamon/(n) (2) cinnamon tree (Cinnamomum sieboldii)/
肉桂 [にっけい] /(n,adj-no) (1) cinnamon/(n) (2) cinnamon tree (Cinnamomum sieboldii)/
肉茎 [にくけい] /(n) (sl) (vulg) dick/cock/
肉月 [にくづき] /(n) kanji "meat" radical at left (looks like "moon" radical, radical 74)/
肉合 [ししあい] /(n) fleshiness/plumpness/
肉合 [にくあい] /(n) fleshiness/plumpness/
肉合い [ししあい] /(n) fleshiness/plumpness/
肉合い [にくあい] /(n) fleshiness/plumpness/
肉細 [にくぼそ] /(adj-na,n) lightfaced (type)/
肉刺 [まめ] /(n) (col) blister/corn/
肉質 [にくしつ] /(n,adj-no) fleshiness/
肉腫 [にくしゅ] /(n,adj-no) sarcoma/
肉汁 [にくじゅう] /(n) meat soup/bouillon/juices (from grilled meat)/
肉汁 [にくじる] /(n) meat soup/bouillon/juices (from grilled meat)/
肉醤 [ししびしお] /(n) (arch) salted and fermented meat or fish/
肉醤 [にくしょう] /(n) (arch) salted and fermented meat or fish/
肉色 [にくいろ] /(n,adj-no) flesh-color/flesh-colour/
肉食 [にくしょく] /(n,vs,adj-no) (1) meat eating/eating of meat/meat diet/(adj-f) (2) carnivorous/(P)/
肉食妻帯 [にくじきさいたい] /(n,vs) meat and matrimony (Buddhism)/Buddhist priest eating meat dishes and being married/
肉食獣 [にくしょくじゅう] /(n) carnivore/carnivorous animal/
肉食性 [にくしょくせい] /(n,adj-no) carnivorousness/carnivorous/
肉食鳥 [にくしょくちょう] /(n) carnivorous bird/
肉食動物 [にくしょくどうぶつ] /(n,adj-no) carnivore/
肉親 [にくしん] /(n) blood relationship/blood relative/(P)/
肉垂れ [にくだれ] /(n) wattle (of a bird's neck)/
肉声 [にくせい] /(n) natural voice (without a microphone)/(P)/
肉切り庖丁 [にくきりぼうちょう] /(n) carving or butcher's knife/
肉太 [にくぶと] /(adj-na,n,adj-no) boldface (type)/
肉体 [にくたい] /(n,adj-no) the body/the flesh/(P)/
肉体関係 [にくたいかんけい] /(n) sexual relations/
肉体的 [にくたいてき] /(adj-na) corporeal/material/(P)/
肉体美 [にくたいび] /(n) physical beauty/
肉体文学 [にくたいぶんがく] /(n) pornographic literature/sensual literature/erotic literature/
肉体労働 [にくたいろうどう] /(n) manual or physical labor/manual or physical labour/
肉体労働者 [にくたいろうどうしゃ] /(n) manual laborer/manual labourer/
肉団子 [にくだんご] /(n) meatball/
肉弾 [にくだん] /(n) human bullet/
肉弾戦 [にくだんせん] /(n) warfare in which soldiers fling themselves at the enemy/hand-to hand combat/
肉池 [にくち] /(n) stamp pad holder/
肉柱 [にくちゅう] /(n) adductor muscle (of a bivalve)/
肉的 [にくてき] /(adj-na,n) physical/fleshly/
肉豆蒄 [にくずく] /(n) (uk) common nutmeg (tree) (Myristica fragrans)/
肉鍋 [にくなべ] /(n) meat served in a pot/
肉入れ [にくいれ] /(n) ink-pad case/
肉薄 [にくはく] /(n,vs) come close to/closing in upon/pressing hard (on the enemy)/challenge/(P)/
肉迫 [にくはく] /(n,vs) come close to/closing in upon/pressing hard (on the enemy)/challenge/
肉筆 [にくひつ] /(n,adj-no) (1) one's own handwriting/autograph/(2) as written with a brush/(P)/
肉筆画 [にくひつが] /(n) picture painted by hand/painting (as opposed to a woodblock print)/original painting/original drawing/
肉鰭類 [にくきるい] /(n) sarcopterygians (fishes of subclass Sarcopterygii)/
肉付き [にくづき] /(n) (1) bodily build/degree of fleshiness/(adj-no) (2) strapping/buxom/
肉付きがいい [にくづきがいい] /(exp,adj-i) stout/well-fleshed/well-padded/plump/
肉付きがよい [にくづきがよい] /(exp,adj-i) stout/well-fleshed/well-padded/plump/
肉付きが良い [にくづきがいい] /(exp,adj-i) stout/well-fleshed/well-padded/plump/
肉付きが良い [にくづきがよい] /(exp,adj-i) stout/well-fleshed/well-padded/plump/
肉付きのいい [にくづきのいい] /(n) stout/well-fleshed/well-built/well-padded/plump/
肉付きのよい [にくづきのよい] /(n) stout/well-fleshed/well-built/well-padded/plump/
肉付きの良い [にくづきのいい] /(n) stout/well-fleshed/well-built/well-padded/plump/
肉付きの良い [にくづきのよい] /(n) stout/well-fleshed/well-built/well-padded/plump/
肉付く [にくづく] /(v5k,vi) to put on flesh/to get fat/to gain weight/
肉付け [にくづけ] /(n,vs) fleshing out/modeling/modelling/
肉布団 [にくぶとん] /(n) (arch) female bedmate (whose body is likened to a fleshy cushion)/
肉片 [にくへん] /(n) piece (cut) of meat/
肉便器 [にくべんき] /(n) (vulg) woman who is treated as a sex object/
肉穂花序 [にくすいかじょ] /(n) spadix (inflorescence)/
肉用種 [にくようしゅ] /(n) animal bred for its meat/
肉欲 [にくよく] /(n,adj-no) lust/lusts of the flesh/animal passions/carnal desires/
肉離れ [にくばなれ] /(n,vs) pulled or torn muscle/
肉料理 [にくりょうり] /(n) meat dish/
肉類 [にくるい] /(n) (kinds of) meat/
肉蠅 [にくばえ] /(n) (uk) flesh fly (any fly of family Sarcophagidae)/
肉襦袢 [にくじゅばん] /(n) flesh-colored leotards/flesh-coloured leotards/
肉饅 [にくまん] /(n) (abbr) manju (steamed bun) with meat filling/
肉饅頭 [にくまんじゅう] /(n) manju (steamed bun) with meat filling/
肉髯 [にくぜん] /(n) (obsc) wattle (of a bird's neck)/
肉髻 [にくけい] /(n) (Buddh) ushnisha (protrusion on the top of a buddha's head)/
肉髻 [にっけい] /(n) (Buddh) ushnisha (protrusion on the top of a buddha's head)/
虹 [にじ] /(n) rainbow/(P)/
虹彩 [こうさい] /(n,adj-no) iris (of the eye)/
虹彩異色症 [こうさいいしょくしょう] /(n) heterochromia iridis/eyes differing in colour (color)/
虹色 [にじいろ] /(n,adj-no) rainbow-colored/rainbow-coloured/
虹鱒 [にじます] /(n) (uk) rainbow trout (Salmo gairdneri)/
虹梁 [こうりょう] /(n) arched beam used in shrine and temple construction/
虹霓 [こうげい] /(n) (arch) rainbow/
廿 [にじゅう] /(n) twenty/
廿 [はたち] /(n) (1) 20 years old/(2) (arch) twenty/
廿日 [はつか] /(n) (1) twentieth (day of the month)/(2) twenty days/
廿日鼠 [はつかねずみ] /(oK) (n) (uk) house mouse (Mus musculus)/
日 [か] /(n-suf) (1) day of month/(ctr) (2) counter for days/
日 [にち] /(n) (1) (abbr) Sunday/(suf) (2) day (of the month)/(suf,ctr) (3) counter for days/
日 [ひ] /(n-adv,n-t) (1) day/days/(2) sun/sunshine/sunlight/(3) case (esp. unfortunate)/event/(P)/
日々 [にちにち] /(n-adv,n-t) every day/daily/day after day/days (e.g. good old days)/
日々 [ひび] /(n-adv,n-t) every day/daily/day after day/days (e.g. good old days)/(P)/
日々の糧 [ひびのかて] /(n) one's daily bread/
日々草 [にちにちそう] /(n) (uk) Madagascar periwinkle (Catharanthus roseus)/
日がな一日 [ひがないちにち] /(exp) all day long/
日が差す [ひがさす] /(exp,v5s) to shine (of the sun)/
日が射す [ひがさす] /(exp,v5s) to shine (of the sun)/
日が浅い [ひがあさい] /(exp,adj-i) it hasn't been long since/
日ぎめ [ひぎめ] /(n) by the day/daily/
日ぐれ [ひぐれ] /(n) twilight/sunset/dusk/evening/
日ごと [ひごと] /(n-adv,n-t) every day/daily/
日ごとに [ひごとに] /(adv) daily/
日ごろ [ひごろ] /(n-adv,n-t) normally/habitually/(P)/
日ごろの行い [ひごろのおこない] /(exp) one's habitual behaviour (behavior)/
日ざかり [ひざかり] /(n) high noon/
日ざし [ひざし] /(n) sunlight/rays of the sun/
日だまり [ひだまり] /(n) sunny spot/exposure to the sun/
日どり [ひどり] /(n) fixed date/appointed day/
日ならず [ひならず] /(adv) before long/in a few days/
日ならずして [ひならずして] /(exp,adv) before long/in a few days/
日にち [ひにち] /(n) the number of days/date/
日に異に [ひにけに] /(exp,adv) (arch) with each new day/day by day/by the day/
日に当てる [ひにあてる] /(exp,v1) expose to the sun/
日に日に [ひにひに] /(adv) (1) day by day/by the day/(2) (arch) daily/every day/(P)/
日の丸 [ひのまる] /(n) (1) outline of the sun (esp. represented as a red circle)/(2) (abbr) the Japanese flag/(P)/
日の丸の旗 [ひのまるのはた] /(n) flag having a red circle on a white background (esp. the Japanese national flag)/
日の丸弁当 [ひのまるべんとう] /(n) hinomaru bento (contains plain white rice with a single red umeboshi on top)/
日の出 [ひので] /(n) sunrise/(P)/
日の浅い [ひのあさい] /(exp,adj-i) it hasn't been long since/
日の入り [ひのいり] /(n) sunset/(P)/
日の本 [ひのもと] /(n) (arch) Japan/
日の目 [ひのめ] /(n) sunlight/(P)/
日の目を見ない [ひのめをみない] /(adj-i) staying indoors/have no sunshine/remain obscure/
日の目を見る [ひのめをみる] /(exp,v1,vi) to come into the light of day/to come to light/to become recognized/to surface/
日めくり [ひめくり] /(n) daily rip-off-a-page calendar/daily pad calendar/
日よけ [ひよけ] /(n) sunshade/blind/
日を改めて [ひをあらためて] /(exp) another day/some other day/
日を限る [ひをかぎる] /(exp,v5r) to put a time-limit on/
日を追って [ひをおって] /(exp) daily/day by day/
日イ親善 [にちイしんぜん] /(n) friendly relations between Japan and Israel/
日サロ [ひサロ] /(n) (abbr) tanning salon/
日ソ [にっソ] /(n,adj-no) Japanese-Soviet/(P)/
日ユ同祖論 [にちユどうそろん] /(n) hypothesis that Jews and Japanese are of common ancestry/
日ロ [にちロ] /(n) Japanese-Russian (Federation)/
日伊 [にちい] /(n) Japan and Italy/Japanese-Italian/
日伊辞典 [にちいじてん] /(n) Japanese-Italian dictionary/
日一日と [ひいちにちと] /(exp) day by day/
日印 [にちいん] /(n) Japan and India/Japanese-Indian/
日印関係 [にちいんかんけい] /(n) Japan-India relations/
日蔭 [ひかげ] /(n) (1) shade/shadow/
日陰 [ひかげ] /(n) (1) shade/shadow/(P)/
日陰の葛 [ひかげのかずら] /(n) (uk) running ground pine (species of club moss, Lycopodium clavatum)/
日陰の蔓 [ひかげのかずら] /(n) (uk) running ground pine (species of club moss, Lycopodium clavatum)/
日陰の鬘 [ひかげのかずら] /(n) (uk) running ground pine (species of club moss, Lycopodium clavatum)/
日陰葛 [ひかげのかずら] /(n) (uk) running ground pine (species of club moss, Lycopodium clavatum)/
日陰者 [ひかげもの] /(n) person who avoids others/social outcast/
日陰蔓 [ひかげのかずら] /(n) (uk) running ground pine (species of club moss, Lycopodium clavatum)/
日陰鬘 [ひかげのかずら] /(n) (uk) running ground pine (species of club moss, Lycopodium clavatum)/
日運動 [にちうんどう] /(n) daily motion/
日影 [ひかげ] /(n) (1) shade/shadow/(2) sunshine/
日永 [ひなが] /(n) long day/
日英 [にちえい] /(n,adj-no) Japanese-English/Anglo-Japanese/
日英通訳 [にちえいつうやく] /(n) Japanese-English interpreting/
日延べ [ひのべ] /(n,vs) postponement/adjournment/
日欧 [にちおう] /(n) Japan and Europe/Japanese-European/
日加 [にっか] /(n) Japan and Canada/
日華 [にっか] /(n) Japan and China/
日華事変 [にっかじへん] /(n) (sens) Second Sino-Japanese War (1937-1945)/
日華戦争 [ちゅうかせんそう] /(n) (obsc) Second Sino-Japanese War (1937-1945)/
日課 [にっか] /(n) daily lesson/daily work/daily routine/(P)/
日回り [ひまわり] /(n) (uk) sunflower (Helianthus annuus)/
日外 [じつがい] /(adv) (obsc) at one time/some time ago/once/
日外 [にちがい] /(adv) (obsc) at one time/some time ago/once/
日掛け [ひがけ] /(n) daily installment/daily instalment/
日割り [ひわり] /(n) per-diem rate or payment/(preparing) a day's schedule/
日刊 [にっかん] /(n,adj-no) daily issue/(P)/
日刊紙 [にっかんし] /(n) daily paper/
日刊新聞 [にっかんしんぶん] /(n) daily paper/
日干し [ひぼし] /(n,adj-no) sun-dried/
日間 [ひあい] /(n) (1) time/days/(2) daily interest rate/
日韓 [にっかん] /(n) (1) Japan and (South) Korea/(adj-no) (2) Japanese and (South) Korean/(P)/
日韓併合条約 [にっかんへいごうじょうやく] /(n) Japan-Korea Annexation Treaty (1910)/
日帰り [ひがえり] /(n,vs) day trip/(P)/
日帰り手術 [ひがえりしゅじゅつ] /(n) day surgery/day procedure/
日帰り旅行 [ひがえりりょこう] /(n) day trip/
日記 [にっき] /(n) diary/journal/(P)/
日記をつける [にっきをつける] /(exp,v1) to keep a diary/
日記を付ける [にっきをつける] /(exp,v1) to keep a diary/
日記帳 [にっきちょう] /(n) diary/
日記文学 [にっきぶんがく] /(n) literature written in diary form/
日吉神道 [ひえしんとう] /(n) (obsc) Hie Shinto (form of Shinto heavily influenced by Tendai)/
日脚 [ひあし] /(n) (1) daytime/(2) position of the sun/
日給 [にっきゅう] /(n) daily wages/(P)/
日共 [にっきょう] /(n) (abbr) (sens) Japanese Communist Party/
日教組 [にっきょうそ] /(n) teachers' organization/teachers' organisation/
日極 [ひぎめ] /(n) by the day/daily/
日極め [ひぎめ] /(n) by the day/daily/
日勤 [にっきん] /(n,vs) day shift/
日銀 [にちぎん] /(n) (abbr) Bank of Japan/BOJ/BoJ/
日銀券 [にちぎんけん] /(n) (abbr) Japanese banknote/
日系 [にっけい] /(n,adj-no) (of) Japanese descent/(P)/
日系人 [にっけいじん] /(n) non-Japanese of Japanese descent/nikkeijin/
日系米人 [にっけいべいじん] /(n) American of Japanese descent/
日経 [にっけい] /(n) (abbr) Nikkei (newspaper, share index)/(P)/
日経２２５オプション [にっけいににごオプション] /(n) Nikkei 225 option/
日経２２５先物 [にっけいににごさきもの] /(n) Nikkei 225 futures/
日経ＭＩＸ [にっけいミックス] /(n) (comp) Nikkei Mix Information eXchange/
日経新聞 [にっけいしんぶん] /(n) Nikkei (newspaper) (abbr. of Nippon Keizai)/
日経二二五オプション [にっけいににごオプション] /(n) Nikkei 225 option/
日経二二五先物 [にっけいににごさきもの] /(n) Nikkei 225 futures/
日経平均株価 [にっけいへいきんかぶか] /(n) Nikkei Stock Average (price)/
日経連 [にっけいれん] /(n) (abbr) Japan Federation of Employers' Associations/
日計 [にっけい] /(n) daily account/daily expenses/
日計表 [にっけいひょう] /(n) daily trial balance sheet/
日決め [ひぎめ] /(n) by the day/daily/
日月 [じつげつ] /(n) sun and moon/time/days/years/
日月 [にちげつ] /(n) sun and moon/time/days/years/
日月火 [にちげつか] /(exp) Sunday, Monday and Tuesday/
日月星辰 [じつげつせいしん] /(n) the sun, the moon and the stars/the heavenly bodies/
日月星辰 [にちげつせいしん] /(n) the sun, the moon and the stars/the heavenly bodies/
日捲り [ひめくり] /(n) daily rip-off-a-page calendar/daily pad calendar/
日限 [にちげん] /(n) fixed or appointed date/
日限り [ひぎり] /(n) fixed or appointed date/
日雇 [ひやとい] /(n) daily employment/hiring by the day/day laborer/day labourer/
日雇い [ひやとい] /(n) daily employment/hiring by the day/day laborer/day labourer/
日雇い労働者 [ひやといろうどうしゃ] /(n) day laborer/day labourer/
日光 [にっこう] /(n) sunlight/(P)/
日光を見ずして結構と言うなかれ [にっこうをみずしてけっこうというなかれ] /(exp) (obsc) see Nikko and die (lit: don't say "wonderful" until you've seen Nikko)/
日光菩薩 [にっこうぼさつ] /(n) (Buddh) Suryaprabha (bodhisattva)/
日光浴 [にっこうよく] /(n,vs) sunbathing/(P)/
日向 [ひなた] /(n) sunny place/in the sun/(P)/
日向ぼこ [ひなたぼこ] /(n) (abbr) basking in the sun/
日向ぼこり [ひなたぼこり] /(n) (abbr) basking in the sun/
日向ぼっこ [ひなたぼっこ] /(n,vs) basking in the sun/
日向水 [ひなたみず] /(n) water warmed in the sun/
日洪親善 [にっこうしんぜん] /(n) goodwill between Japan and Hungary/
日航 [にっこう] /(n) Japan Airlines/(P)/
日航機 [にっこうき] /(n) JAL aeroplane/JAL airplane/
日豪 [にちごう] /(n) Japan-Australia/
日頃 [ひごろ] /(n-adv,n-t) normally/habitually/
日頃の行い [ひごろのおこない] /(exp) one's habitual behaviour (behavior)/
日差し [ひざし] /(n) sunlight/rays of the sun/(P)/
日傘 [ひがさ] /(n) sunshade/parasol/(P)/
日参 [にっさん] /(n,vs) daily visit (of worship)/frequent visit/
日産 [にっさん] /(n) (1) daily output/(2) (abbr) Nissan (Japanese car company)/(P)/
日産自動車 [にっさんじどうしゃ] /(n) Nissan Motor/
日子 [にっし] /(n) (number of) days/
日誌 [にっし] /(n) journal/log/(P)/
日歯連 [にっしれん] /(n) Japan Dentists Federation/
日時 [にちじ] /(n) date and time/(P)/
日時計 [ひどけい] /(n) sundial/
日次 [にちじ] /(n) (1) daily/(2) appointed day/
日射 [にっしゃ] /(n) solar radiation/
日射し [ひざし] /(n) sunlight/rays of the sun/
日射病 [にっしゃびょう] /(n) heatstroke/sunstroke/
日取り [ひどり] /(n) fixed date/appointed day/(P)/
日収 [にっしゅう] /(n) daily income/
日出 [にっしゅつ] /(n) sunrise/(P)/
日出ずる国 [ひいずるくに] /(n) Land of the Rising Sun/
日女 [ひるめ] /(n) (arch) Sun Goddess/Amaterasu Oomikami/
日除け [ひよけ] /(n) sunshade/blind/
日商 [にっしょう] /(n) (abbr) The Japan Chamber of Commerce and Industry/JCCI/
日焼 [ひやけ] /(n,vs) (1) sunburn/(2) suntan/
日焼け [ひやけ] /(n,vs) (1) sunburn/(2) suntan/(P)/
日焼けサロン [ひやけサロン] /(n) tanning salon (parlor)/
日焼けマシーン [ひやけマシーン] /(n) sunbed/sunbooth/tanning machine/
日焼けマシン [ひやけマシン] /(n) sunbed/sunbooth/tanning machine/
日焼け止め [ひやけどめ] /(n) sunscreen/suntan lotion/sunblock/(P)/
日照 [にっしょう] /(n) sunlight/(P)/
日照り [ひでり] /(n) dry weather/drought/
日照り雨 [ひでりあめ] /(n) sunshower/
日照計 [にっしょうけい] /(n) heliograph/
日照権 [にっしょうけん] /(n) the right to sunshine/
日照時間 [にっしょうじかん] /(n) daylight hours/hours of sunshine/
日章旗 [にっしょうき] /(n) the Japanese (rising sun) flag/
日常 [にちじょう] /(adj-no,n-adv,n-t) ordinary/regular/everyday/usual/(P)/
日常会話 [にちじょうかいわ] /(n,adj-no) ordinary (daily life) conversation/
日常言語学派 [にちじょうげんごがくは] /(n) ordinary language school (of analytic philosophy)/
日常生活 [にちじょうせいかつ] /(n) everyday life/daily life/
日常生活動作 [にちじょうせいかつどうさ] /(n) activities of daily living/ADL/normal activities of daily life/
日常茶飯 [にちじょうさはん] /(n) an everyday occurrence/
日常茶飯事 [にちじょうさはんじ] /(n) everyday occurrence/
日常品 [にちじょうひん] /(n) everyday necessities/daily necessities/
日食 [にっしょく] /(n) solar eclipse/(P)/
日蝕 [にっしょく] /(n) solar eclipse/
日進月歩 [にっしんげっぽ] /(n,adj-no) steady progress/rapid advance/
日震学 [にっしんがく] /(n) helioseismology/
日数 [にっすう] /(n) a number of days/(P)/
日数 [ひかず] /(n) a number of days/
日雀 [ひがら] /(n) (uk) coal tit (Parus ater)/
日清 [にっしん] /(n) (abbr) First Sino-Japanese war (1894-1895)/
日清修好条規 [にっしんしゅうこうじょうき] /(n) Sino-Japanese Amity Treaty (1871)/
日清戦争 [にっしんせんそう] /(n) First Sino-Japanese war (1894-1895)/
日清戦役 [にっしんせんえき] /(n) (col) First Sino-Japanese war (1894-5)/
日清通商航海条約 [にっしんつうしょうこうかいじょうやく] /(n) Sino-Japanese Treaty of Commerce and Navigation (1896)/
日盛り [ひざかり] /(n) high noon/
日西 [にっせい] /(n) Japanese-Spanish (gen. for translations and dictionaries)/Japan-Spain (e.g. intercountry trade and relations)/
日西辞典 [にっせいじてん] /(n) Japanese-Spanish dictionary/
日切り [ひぎり] /(n) fixed or appointed date/
日銭 [ひぜに] /(n) daily income in cash/money paid by daily installments/money paid by daily instalments/
日鮮一体 [ないせんいったい] /(exp) Japan and Korea as one (slogan from 1910-1945)/
日増し [ひまし] /(n) day by day/daily/
日増しに [ひましに] /(adv) day by day/(P)/
日足 [ひあし] /(n) (1) daytime/(2) position of the sun/
日待ち [ひまち] /(n) waiting for the sun (traditional all-night event of worship and neighbourhood fellowship)/
日替り [ひがわり] /(n) daily special (e.g. meal)/(P)/
日替り定食 [ひがわりていしょく] /(n) daily lunch or dinner special/
日替わり [ひがわり] /(n) daily special (e.g. meal)/(P)/
日諾 [にちだく] /(n) Japan and Norway/
日中 [にっちゅう] /(n-adv,n-t) (1) daytime/during the day/(n) (2) Sino-Japanese/(P)/
日中 [ひなか] /(n-adv,n-t) (1) daytime/during the day/
日中韓 [にっちゅうかん] /(n) Chinese, Japanese and Korean (usu. characters, etc.)/CJK/
日中韓越 [にっちゅうかんえつ] /(n) Chinese, Japanese, Korean and Vietnamese (usu. characters)/CJKV/
日中韓統合 [にっちゅうかんとうごう] /(n) CJK (Chinese, Japanese and Korean) character unification/
日中勤務 [にっちゅうきんむ] /(n) daytime work/day shift/
日中戦争 [にっちゅうせんそう] /(n) Second Sino-Japanese War (1937-1945)/
日中全面戦争 [にっちゅうぜんめんせんそう] /(n) Sino-Japanese War/
日中友好協会 [にっちゅうゆうこうきょうかい] /(n) Japan-China Amity Association/
日朝 [にっちょう] /(n) (1) Japan and (North) Korea/(adj-no) (2) Japanese-North Korean/
日朝間 [にっちょうかん] /(exp) between Japan and North Korea/
日朝辞典 [にっちょうじてん] /(n) Japanese-Korean dictionary/
日朝修好条規 [にっちょうしゅうこうじょうき] /(n) Treaty of Ganghwa (1876)/
日長 [ひなが] /(n) long day/
日直 [にっちょく] /(n) day duty/day shift/
日帝時代 [にっていじだい] /(n) era of Japanese imperialism/
日程 [にってい] /(n) schedule/program/programme/agenda/(P)/
日程表 [にっていひょう] /(n) schedule/itinerary/
日展 [にってん] /(n) (abbr) Japan Fine Arts Exhibition/JFAE/Nitten Exhibition/
日東 [にっとう] /(n) (arch) Japan/
日当 [にっとう] /(n) daily allowance/
日当 [ひあたり] /(io) (n) (1) exposure to the sun/sunny place/(2) per day/
日当たり [ひあたり] /(n) (1) exposure to the sun/sunny place/(2) per day/(P)/
日当り [ひあたり] /(n) (1) exposure to the sun/sunny place/(2) per day/
日独 [にちどく] /(n) Japan and Germany/Japanese-German/
日独伊 [にちどくい] /(n) Japan, Germany and Italy/
日独伊三国軍事同盟 [にちどくいさんごくぐんじどうめい] /(n) Tripartite Pact (between Japan, Germany and Italy in WWII)/
日独協会 [にちどくきょうかい] /(n) Japan-Germany Society/
日読みの酉 [ひよみのとり] /(n) kanji "bird of the zodiac" radical (radical 164)/
日内周期 [にちないしゅうき] /(n) diurnal cycle/
日南海岸 [にちなんかいがん] /(n) Nichinan coastline/
日日 [にちにち] /(n-adv,n-t) every day/daily/day after day/days (e.g. good old days)/
日日 [ひにち] /(n) the number of days/date/(P)/
日日 [ひび] /(n-adv,n-t) every day/daily/day after day/days (e.g. good old days)/
日日の糧 [ひびのかて] /(n) one's daily bread/
日波 [にっぽ] /(n) Japan and Poland/
日伯 [にっぱく] /(n) Japan and Brazil/
日白 [にっぱく] /(n) Japan and Belgium/
日比 [にちひ] /(n) Japan and the Philippines/
日避猿 [ひよけざる] /(n) (uk) flying lemur/colugo/
日避虫 [ひよけむし] /(n) (uk) sun spider (any arachnid of order Solifugae)/wind scorpion/camel spider/solpugid/
日付 [ひづけ] /(n,adj-no) date/dating/(P)/
日付け [ひづけ] /(io) (n,adj-no) date/dating/(P)/
日付印 [ひづけいん] /(n) date stamp/
日付変更線 [ひづけへんこうせん] /(n) International Date Line/
日附 [ひづけ] /(n,adj-no) date/dating/
日附印 [ひづけいん] /(n) date stamp/
日舞 [にちぶ] /(n) Japanese dancing/
日葡辞書 [にっぽじしょ] /(n) Vocabvlario da Lingoa de Iapam (Japanese-Portuguese dictionary, published 1603-1604)/
日覆 [ひおい] /(io) (n) sunshade/sunscreen/window shade/blinds/
日覆 [ひおおい] /(io) (n) sunshade/sunscreen/window shade/blinds/
日覆い [ひおい] /(n) sunshade/sunscreen/window shade/blinds/
日覆い [ひおおい] /(n) sunshade/sunscreen/window shade/blinds/
日仏 [にちふつ] /(n) Japan and France/
日柄 [ひがら] /(n) lucky or unlucky aspect of a given day/
日米 [にちべい] /(n) Japan-America/(P)/
日米安全保障条約 [にちべいあんぜんほしょうじょうやく] /(n) US-Japan Security Treaty/
日米安保条約 [にちべいあんぽじょうやく] /(n) (abbr) Treaty of Mutual Cooperation and Security between the United States and Japan/
日米協 [にちべいきょう] /(n) Japan United States Cultural Exchange Association/
日米構造協議 [にちべいこうぞうきょうぎ] /(n) Structural Impediments Initiative talks/SII/
日米濠 [にちべいごう] /(oK) (n) Japan-America-Australia/
日米豪 [にちべいごう] /(n) Japan-America-Australia/
日米貿易 [にちべいぼうえき] /(n) trade between Japan and USA/
日米貿易摩擦 [にちべいぼうえきまさつ] /(n) Japan-US trade friction/
日別概要 [にちべつがいよう] /(n) (comp) daily overview/
日偏 [にちへん] /(n) kanji "day" radical at left/
日偏 [ひへん] /(n) kanji "day" radical at left/
日保ち [ひもち] /(n,vs) length of time which food products will keep/
日歩 [ひぶ] /(n) daily interest/daily rate/
日暮 [ひぐれ] /(n) twilight/sunset/dusk/evening/
日暮し [ひぐらし] /(n,adj-no) day-to-day existence/living hand-to-mouth/
日暮らし [ひぐらし] /(n,adj-no) day-to-day existence/living hand-to-mouth/
日暮れ [ひぐれ] /(n) twilight/sunset/dusk/evening/(P)/
日暮れて道遠し [ひくれてみちとおし] /(exp) (id) The day is short, and the work is much/My goal is still a long way off/
日暮れに [ひぐれに] /(adv) toward the evening/
日報 [にっぽう] /(n) daily report/(P)/
日豊本線 [にっぽうほんせん] /(n) Nippou Main Line (Kagoshima-Miyazaki-Fukuoka Railway)/
日墨 [にちぼく] /(n) Japan and Mexico/
日没 [にちぼつ] /(n) sunset/(P)/
日没後 [にちぼつご] /(n-adv,n-t) after sunset/
日没前 [にちぼつぜん] /(n) before sunset/
日本 [にっぽん] /(n) Japan/
日本 [にほん] /(n) Japan/(P)/
日本のチベット [にほんのチベット] /(exp) (col) unpopulated, undeveloped or high-altitude region of Japan/
日本アルプス [にほんアルプス] /(n) the Japanese Alps/
日本オオカミ [にほんオオカミ] /(n) (uk) Japanese wolf (Canis lupus hodophilax, extinct)/
日本ザリガニ [にほんザリガニ] /(n) (uk) Japanese crayfish (Cambaroides japonicus)/
日本シリーズ [にほんシリーズ] /(n) Japan Series/
日本ハリストス正教会 [にほんハリストスせいきょうかい] /(n) Japan Orthodox Church/
日本レコード大賞 [にほんレコードたいしょう] /(n) the Japan Record Award/
日本井守 [にほんいもり] /(n) (uk) Japanese fire belly newt (Cynops pyrrhogaster)/
日本一 [にっぽんいち] /(n) Japan's best/number one in Japan/
日本一 [にほんいち] /(n) Japan's best/number one in Japan/(P)/
日本鰻 [にほんうなぎ] /(n) (uk) Japanese eel (Anguilla japonica)/
日本泳法 [にほんえいほう] /(n) traditional Japanese swimming/
日本円 [にほんえん] /(n) Japanese Yen/
日本猿 [にほんざる] /(n) Japanese monkey/Japanese macaque/
日本音楽 [にほんおんがく] /(n) Japanese music (esp. traditional Japanese music)/
日本化 [にほんか] /(n,vs) Japanization/Japanisation/
日本画 [にほんが] /(n) Japanese painting/(P)/
日本海 [にっぽんかい] /(n) Sea of Japan/
日本海 [にほんかい] /(n) Sea of Japan/(P)/
日本海溝 [にほんかいこう] /(n) the Japan Trench/
日本海上自衛隊 [にほんかいじょうじえいたい] /(n) Japan maritime self defense force (defence)/
日本海流 [にほんかいりゅう] /(n) the Japan current/
日本各地 [にほんかくち] /(n) all over Japan/
日本学 [にほんがく] /(n) Japanology/
日本学者 [にほんがくしゃ] /(n) Japanologist/Japan scholar/
日本学術会議 [にほんがくじゅつかいぎ] /(n) Science Council of Japan/(P)/
日本学術振興会 [にほんがくじゅつしんこうかい] /(n) Japan Society for the Promotion of Science/JSPS/
日本間 [にほんま] /(n) Japanese-style room/
日本企業 [にほんきぎょう] /(n) Japanese company (business, firm)/(P)/
日本棋院 [にほんきいん] /(n) Nihon Kiin, central Go organization of Japan/
日本紀 [にほんぎ] /(n) Rikkokushi (esp. Nihon-shoki)/
日本規格協会 [にっぽんきかくきょうかい] /(n) Japan Standards Association/JSA/
日本記録 [にほんきろく] /(n,adj-f) Japanese record/national record/
日本共産党 [にほんきょうさんとう] /(n) Japanese Communist Party/
日本教育制度 [にほんきょういくせいど] /(n) Japanese education system/
日本銀行 [にっぽんぎんこう] /(n) Bank of Japan/BOJ/BoJ/(P)/
日本銀行 [にほんぎんこう] /(n) Bank of Japan/BOJ/BoJ/
日本銀行券 [にほんぎんこうけん] /(n) Japanese banknote/
日本栗鼠 [にほんりす] /(n) (uk) Japanese squirrel (Sciurus lis)/
日本軍 [にほんぐん] /(n) Japanese Army/
日本経営者団体連盟 [にほんけいえいしゃだんたいれんめい] /(n) Japan Federation of Employers' Associations/
日本経済 [にほんけいざい] /(n) Japanese economy/
日本経済団体連合会 [にっぽんけいざいだんたいれんごうかい] /(n) Japan Business Federation/
日本経団連 [にっぽんけいだんれん] /(n) (abbr) Nippon Keidanren (Japan Business Federation)/
日本穴熊 [にほんあなぐま] /(n) (uk) Japanese badger (Meles meles anakuma)/
日本犬 [にほんけん] /(n) a Japanese dog/
日本原子力技術協会 [にほんげんしりょくぎじゅつきょうかい] /(n) Japan Nuclear Technology Institute/JANTI/
日本原子力研究所 [にほんげんしりょくけんきゅうじょ] /(n) Japan Atomic Energy Research Institute/JAERI/
日本現報善悪霊異記 [にほんげんほうぜんあくりょういき] /(n) set of three books of Buddhist stories, written in the late 8th and early 9th century, usually referred to as the Nihon Ryouiki/
日本後紀 [にほんこうき] /(n) Nihon Kouki (third of the six classical Japanese history texts)/
日本語 [にっぽんご] /(n,adj-no) Japanese (language)/
日本語 [にほんご] /(n,adj-no) Japanese (language)/(P)/
日本語でおｋ [にほんごでオッケー] /(exp) (comp) (sl) Is that Japanese? (implies the message being replied to is nonsensical)/Can I have that in Japanese?/
日本語に直す [にほんごになおす] /(exp,v5s) to render into Japanese/to change into Japanese/
日本語ドメイン名 [にほんごドメインめい] /(n) (comp) Japanese domain name/
日本語モード [にほんごモード] /(n) (comp) Japanese mode/
日本語ワードプロセッサ [にほんごワードプロセッサ] /(n) (comp) Japanese word processor/
日本語ワープロ [にほんごワープロ] /(n) Japanese word-processing/
日本語化 [にほんごか] /(n) (comp) Japanese localization/
日本語学 [にほんごがく] /(n) Japanese linguistics/
日本語環境 [にほんごかんきょう] /(n) (comp) Japanese environment/
日本語教育 [にほんごきょういく] /(n) Japanese-language education (for non-native speakers)/
日本語教本 [にほんごきょうほん] /(n) Japanese text book/Japanese text books/
日本語入力ＦＥＰ [にほんごにゅうりょくエフイーピー] /(n) (comp) Japanese text entry front-end program/
日本語能力試験 [にほんごのうりょくしけん] /(n) Japanese Language Proficiency Test/JLPT/
日本語版 [にほんごばん] /(n) (comp) Japanese (language) version, edition/
日本語文字 [にほんごもじ] /(n) Japanese character/
日本語訳 [にほんごやく] /(n) Japanese translation/
日本語話者 [にほんごわしゃ] /(n) Japanese speaker/
日本工業規格 [にほんこうぎょうきかく] /(n) Japan Industrial Standards/JIS/
日本航空 [にっぽんこうくう] /(n) Japan Air Lines/JAL/(P)/
日本航空自衛隊 [にほんこうくうじえいたい] /(n) Japan air self defense force (defence)/
日本国 [にほんこく] /(n) Japan/
日本国憲法 [にほんこくけんぽう] /(n) constitution of Japan/Japanese constitution/
日本国現報善悪霊異記 [にほんこくげんほうぜんあくりょういき] /(n) set of three books of Buddhist stories, written in the late 8th and early 9th century, usually referred to as the Nihon Ryouiki/
日本国債 [にっぽんこくさい] /(n) Japanese government bond/JGB/
日本国際警察協会 [にほんこくさいけいさつきょうかい] /(n) International Police Association Japan/IPA Japan/
日本国特許庁 [にほんこくとっきょちょう] /(n) Japanese Patent Office/
日本国内 [にほんこくない] /(n) Japanese domestic/
日本国民 [にほんこくみん] /(n) Japanese citizen/Japanese citizens/
日本国有鉄道 [にほんこくゆうてつどう] /(n) Japanese National Railways (1949-1987)/
日本三景 [にほんさんけい] /(n) Japan's three famous sights/
日本三代実録 [にほんさんだいじつろく] /(n) Nihon Sandai Jitsuroku (sixth of the six classical Japanese history texts)/
日本史 [にほんし] /(n) history of Japan/
日本市場 [にほんしじょう] /(n) the Japanese market/
日本私鉄労働組合総連合会 [にっぽんしてつろうどうくみあいそうれんごうかい] /(n) General Federation of Private Railway Workers Unions of Japan/
日本紙 [にほんし] /(n) Japanese paper/(P)/
日本歯科医師連盟 [にっぽんしかいしれんめい] /(n) Japan Dentists Federation/
日本時間 [にほんじかん] /(n) Japan time/
日本鹿 [にほんじか] /(n) (uk) sika/sika deer/Cervus nippon (deer native to east Asia)/
日本式 [にほんしき] /(n) Japanese style/(P)/
日本社会 [にほんしゃかい] /(n) Japanese society/(P)/
日本車 [にほんしゃ] /(n) car of Japanese make/
日本主義 [にっぽんしゅぎ] /(n) (obs) Japanism/Japanese nationalistic ideological movement/
日本主義 [にほんしゅぎ] /(n) (obs) Japanism/Japanese nationalistic ideological movement/
日本手話 [にっぽんしゅわ] /(n) Japanese Sign Language/JSL/
日本手話 [にほんしゅわ] /(n) Japanese Sign Language/JSL/
日本酒 [にほんしゅ] /(n) sake/Japanese rice wine/(P)/
日本住血吸虫 [にほんじゅうけつきゅうちゅう] /(n) Oriental blood fluke (Schistosoma japonicum)/
日本住血吸虫症 [にほんじゅうけつきゅうちゅうしょう] /(n) schistosomiasis japonica (form of bilharzia caused by the Oriental blood fluke Schistosoma japonicum)/
日本住血吸虫病 [にほんじゅうけつきゅうちゅうびょう] /(n) (obsc) schistosomiasis japonica (form of bilharzia caused by the Oriental blood fluke Schistosoma japonicum)/
日本十進分類法 [にほんじっしんぶんるいほう] /(n) Nippon Decimal Classification/Nippon Decimal System (of book classification)/
日本初 [にっぽんはつ] /(n,adj-no) first (of its kind) in Japan/
日本初 [にほんはつ] /(n,adj-no) first (of its kind) in Japan/
日本書紀 [にほんしょき] /(n) Nihon-shoki (the oldest chronicles of Japan)/
日本商工会議所 [にっぽんしょうこうかいぎしょ] /(n) The Japan Chamber of Commerce and Industry/JCCI/
日本食 [にほんしょく] /(n) Japanese food/Japanese meal/
日本食品標準成分表 [にほんしょくひんひょうじゅんせいぶんひょう] /(n) standard tables of food composition in Japan/
日本新 [にほんしん] /(n) new Japanese record/
日本新記録 [にっぽんしんきろく] /(n) new Japanese record/
日本新記録 [にほんしんきろく] /(n) new Japanese record/
日本新党 [にほんしんとう] /(n) Japan New Party (Japanese political party, 1992-1994)/
日本人 [にっぽんじん] /(n) Japanese person/Japanese people/
日本人 [にほんじん] /(n) Japanese person/Japanese people/(P)/
日本人ばなれ [にほんじんばなれ] /(n,vs,adj-no) unJapanese in appearance or character/
日本人学校 [にほんじんがっこう] /(n) school for Japanese outside of Japan/
日本人町 [にほんじんまち] /(n) Japantown (esp. historical Japantowns in Southeast Asia founded in the 16th-17th centuries)/
日本人離れ [にほんじんばなれ] /(n,vs,adj-no) unJapanese in appearance or character/
日本人論 [にほんじんろん] /(n) theories of Japanese cultural or racial uniqueness/
日本政府 [にほんせいふ] /(n) Japanese government/(P)/
日本晴 [にほんばれ] /(n) beautiful weather/clear and cloudless sky/clear Japanese weather/
日本晴れ [にほんばれ] /(n) beautiful weather/clear and cloudless sky/clear Japanese weather/
日本製 [にほんせい] /(n) made in Japan/
日本赤蛙 [にほんあかがえる] /(n) (uk) Japanese brown frog (Rana japonica)/
日本赤軍 [にほんせきぐん] /(n) Japanese Red Army/JRA/
日本全国 [にほんぜんこく] /(n) all over Japan/throughout Japan/(P)/
日本相撲協会 [にほんすもうきょうかい] /(n) Nihon Sumo Kyokai (Japan Sumo Association)/JSA/
日本相撲連盟 [にほんすもうれんめい] /(n) Japanese amateur sumo union/
日本側 [にほんがわ] /(n) the Japanese/Japanese side/Japanese delegation/Japanese representatives/
日本代表 [にっぽんだいひょう] /(n,adj-no) Japanese representative/Japanese delegate/Japanese delegation/
日本代表 [にほんだいひょう] /(n,adj-no) Japanese representative/Japanese delegate/Japanese delegation/
日本茶 [にほんちゃ] /(n) Japanese tea/
日本中 [にほんじゅう] /(n) throughout Japan/
日本町 [にほんまち] /(n) Japantown (esp. historical Japantowns in Southeast Asia founded in the 16th-17th centuries)/
日本通 [にほんつう] /(n) Japan hand (someone very knowledgeable about Japan)/
日本庭園 [にほんていえん] /(n) Japanese-style garden/traditional Japanese landscape garden/
日本的 [にほんてき] /(adj-na) typically Japanese/
日本的経営 [にほんてきけいえい] /(n) Japanese-style business management/adoption of Japanese business practices (such as lifelong employment, seniority-based promotions, etc.)/
日本電気 [にっぽんでんき] /(n) NEC (Nippon Electric Company)/
日本電子機械工業会 [にほんでんしきかいこうぎょうかい] /(n) (comp) Electronic Industries Association of Japan/EIAJ/
日本電信電話株式会社 [にっぽんでんしんでんわかぶしきがいしゃ] /(n) Nippon Telegraph and Telephone Corporation/NTT/
日本電信電話株式会社 [にほんでんしんでんわかぶしきがいしゃ] /(n) Nippon Telegraph and Telephone Corporation/NTT/
日本電信電話公社 [にっぽんでんしんでんわこうしゃ] /(n) Nippon Telegraph and Telephone Public Corporation (defunct)/
日本電信電話公社 [にほんでんしんでんわこうしゃ] /(n) Nippon Telegraph and Telephone Public Corporation (defunct)/
日本刀 [にほんとう] /(n) Japanese sword/(P)/
日本当帰 [にほんとうき] /(n) (uk) (obsc) dong dang gui (aromatic herb similar to dong quai, Angelica acutiloba)/
日本道路公団 [にほんどうろこうだん] /(n) Japan Highway Public Corporation/(P)/
日本独自 [にほんどくじ] /(adj-no) Japan-specific/
日本脳炎 [にほんのうえん] /(n) Japanese encephalitis/
日本農林規格 [にほんのうりんきかく] /(n) Japan Agricultural Standards/JAS/
日本髪 [にほんがみ] /(n) Japanese coiffure/
日本美術展覧会 [にほんびじゅつてんらんかい] /(n) Japan Fine Arts Exhibition/
日本標準時 [にほんひょうじゅんじ] /(n) Japanese Standard Time/
日本舞踊 [にほんぶよう] /(n) traditional Japanese dance/
日本風 [にほんふう] /(n) Japanese style/
日本福祉心理学会 [にほんふくししんりがっかい] /(n) The Japanese Association of Psychology for Human Services/
日本文学 [にほんぶんがく] /(n) Japanese literature/
日本文徳天皇実録 [にほんもんとくてんのうじつろく] /(n) Nihon Montoku Tenno Jitsuroku (fifth of the six classical Japanese history texts)/
日本文法 [にほんぶんぽう] /(n) Japanese grammar/
日本平 [にほんだいら] /(n) Nihon Plain/
日本米 [にほんまい] /(n) Japanese rice/
日本放送協会 [にっぽんほうそうきょうかい] /(n) Japan national broadcasting company/NHK/
日本放送協会 [にほんほうそうきょうかい] /(n) Japan national broadcasting company/NHK/
日本蜜蜂 [にほんみつばち] /(n) (uk) Japanese honeybee (Apis cerana japonica)/
日本民主党 [にほんみんしゅとう] /(n) Democratic Party of Japan/
日本薬局方 [にほんやっきょくほう] /(n) Japanese pharmacopeia/
日本有線大賞 [にほんゆうせんたいしょう] /(n) Japan Cable Radio Awards/
日本郵政株式会社 [にほんゆうせいかぶしきがいしゃ] /(n) Japan Post Co. Ltd./
日本郵政公社 [にほんゆうせいこうしゃ] /(n) Japan Post/(P)/
日本踊 [にほんおどり] /(n) traditional Japanese dance/
日本陸上自衛隊 [にほんりくじょうじえいたい] /(n) Japan Ground Self-Defense Force/
日本料理 [にほんりょうり] /(n) Japanese cooking/
日本料理店 [にほんりょうりてん] /(n) Japanese restaurant/
日本領 [にほんりょう] /(n) Japanese territory/
日本霊異記 [にほんりょういき] /(n) set of three books of Buddhist stories, written in the late 8th and early 9th century, usually referred to as the Nihon Ryouiki/
日本列島 [にっぽんれっとう] /(n) the Japanese islands/
日本列島 [にほんれっとう] /(n) the Japanese islands/
日本労働組合総評議会 [にほんろうどうくみあいそうひょうぎかい] /(n) General Council of Trade Unions of Japan/
日本狼 [にほんおおかみ] /(n) (uk) Japanese wolf (Canis lupus hodophilax, extinct)/
日本國憲法 [にほんこくけんぽう] /(n) constitution of Japan/Japanese constitution/
日本氈鹿 [にほんかもしか] /(n) (uk) Japanese serow/Capricornis crispus/
日本羚羊 [にほんかもしか] /(n) (uk) Japanese serow/Capricornis crispus/
日本蝮 [にほんまむし] /(n) (uk) Japanese copperhead (Gloydius blomhoffii)/mamushi pit-viper/
日本鶉 [にほんうずら] /(n) (uk) Japanese quail (Coturnix japonica)/
日本鼬 [にほんいたち] /(n) (uk) Japanese weasel (Mustela itatsi)/
日毎 [ひごと] /(n-adv,n-t) every day/daily/
日毎に [ひごとに] /(adv) daily/
日毎夜毎 [ひごとよごと] /(n,n-adv) every day and every night/day after day/daily/
日満語 [にちまんご] /(n) Manchukuo dialect/
日面経過 [にちめんけいか] /(n) transit (of a planet) over the sun/
日夜 [にちや] /(n-adv,n) day and night/always/(P)/
日猶同祖論 [にちゆうどうそろん] /(n) hypothesis that Jews and Japanese are of common ancestry/
日夕 [にっせき] /(adv,n) day and night/nightfall/
日傭 [ひやとい] /(io) (n) daily employment/hiring by the day/day laborer/day labourer/
日傭 [ひよう] /(n) daily employment/hiring by the day/day's wages/
日傭い [ひやとい] /(n) daily employment/hiring by the day/day laborer/day labourer/
日傭取 [ひようとり] /(n) day laborer/day labourer/journeyman/
日曜 [にちよう] /(n-adv,n) Sunday/(P)/
日曜学校 [にちようがっこう] /(n) Sunday school/
日曜大工 [にちようだいく] /(n) weekend carpenter/do-it-yourselfer/
日曜日 [にちようび] /(n-adv,n-t) Sunday/(P)/
日曜版 [にちようばん] /(n) Sunday edition of a newspaper/
日用 [にちよう] /(n) daily use/
日用 [ひよう] /(n) daily employment/hiring by the day/day's wages/
日用品 [にちようひん] /(n) daily necessities/(P)/
日立 [ひたち] /(n) Hitachi (company)/(P)/
日溜まり [ひだまり] /(n) sunny spot/exposure to the sun/
日溜り [ひだまり] /(n) sunny spot/exposure to the sun/
日輪 [にちりん] /(n) the sun/
日輪草 [にちりんそう] /(n) sunflower (Helianthus annuus)/
日霊 [ひるめ] /(n) (arch) Sun Goddess/Amaterasu Oomikami/
日蓮宗 [にちれんしゅう] /(n) Nichiren school of Buddhism/
日蓮正宗 [にちれんしょうしゅう] /(n) Nichiren Shoshu (sect of Buddhism)/
日露 [にちろ] /(n) Japan-Russian (empire)/
日露戦争 [にちろせんそう] /(n) Russo-Japanese War (1904-5)/
日露戦役 [にちろせんえき] /(n) (sens) Russo-Japanese War (1904-5)/
日露和親条約 [にちろわしんじょうやく] /(n) Treaty of Shimoda (1855)/treaty initiating official relations between Russia and Japan/
日録 [にちろく] /(n) journal/daily record/
日和 [ひより] /(n) weather/(P)/
日和下駄 [ひよりげた] /(n) geta for wear in dry weather/
日和見 [ひよりみ] /(n,vs) waiting and seeing (how the wind blows)/sitting on the fence/straddle/
日和見感染 [ひよりみかんせん] /(n) opportunistic infection/
日和見菌 [ひよりみきん] /(n) opportunistic pathogen/
日和見主義 [ひよりみしゅぎ] /(n) opportunism/
乳 [ち] /(n) (1) milk/(2) breast/(3) loop/(4) decorative bump (on a hanging bell)/
乳 [ちち] /(n) (1) milk/(2) breast/(P)/
乳くり合う [ちちくりあう] /(v5u,vi) to have a secret affair/to meet secretly (for two persons)/to flirt with one another/
乳りん [にゅうりん] /(n,adj-no) areola mammae (circular area around nipple)/areola/
乳飲み子 [ちのみご] /(n) baby/suckling child/
乳飲み児 [ちのみご] /(n) nursing baby/
乳飲料 [にゅういんりょう] /(n) milk product with added vitamins or flavour/
乳液 [にゅうえき] /(n,adj-no) latex/
乳化 [にゅうか] /(n,vs) emulsification/
乳化剤 [にゅうかざい] /(n) emulsifier/
乳化重合 [にゅうかじゅうごう] /(n) emulsion polymerization/
乳価 [にゅうか] /(n) price of milk/
乳果オリゴ糖 [にゅうかオリゴとう] /(n) lactosucrose/
乳菓 [にゅうか] /(n) emulsion/
乳間 [にゅうかん] /(n) cleavage (between breasts)/
乳癌 [にゅうがん] /(n) breast cancer/
乳牛 [ちちうし] /(n) milk cow/dairy cattle/milch cow/
乳牛 [にゅうぎゅう] /(n) milk cow/dairy cattle/milch cow/
乳業 [にゅうぎょう] /(n) dairy industry/
乳繰り合う [ちちくりあう] /(v5u,vi) to have a secret affair/to meet secretly (for two persons)/to flirt with one another/
乳繰る [ちちくる] /(v5u,vi) to have a secret affair/to meet secretly (for two persons)/to flirt with one another/
乳兄弟 [ちきょうだい] /(n) foster brother or sister/
乳香 [にゅうこう] /(n) frankincense/olibanum/
乳剤 [にゅうざい] /(n) emulsion/
乳搾り [ちちしぼり] /(n,vs) milking/milker/
乳搾り器 [ちちしぼりき] /(n) milking machine/
乳窄 [ちちしぼり] /(n,vs) milking/milker/
乳酸 [にゅうさん] /(n) lactic acid/
乳酸飲料 [にゅうさんいんりょう] /(n) lactic-acid drink/
乳酸菌 [にゅうさんきん] /(n) lactic-acid bacilli/
乳酸菌飲料 [にゅうさんきんいんりょう] /(n) fermented milk drink (e.g. Yakult, Calpis, Calpico, etc.)/lactic fermenting beverage/
乳姉妹 [ちきょうだい] /(n) foster brother or sister/
乳脂 [にゅうし] /(n) butterfat/cream/
乳脂肪 [にゅうしぼう] /(n) butterfat/
乳歯 [にゅうし] /(n) milk (baby) tooth/first set of teeth/
乳児 [にゅうじ] /(n,adj-no) infant/suckling baby/(P)/
乳児院 [にゅうじいん] /(n) nursery/
乳児脚気 [にゅうじかっけ] /(n) infantile beriberi/
乳児死亡率 [にゅうじしぼうりつ] /(n) infant mortality/
乳質 [にゅうしつ] /(n) milk quality/
乳首 [ちくび] /(n,adj-no) nipple/teat/(P)/
乳首 [ちちくび] /(n,adj-no) nipple/teat/
乳臭 [にゅうしゅう] /(n) boyishness/inexperience/
乳臭い [ちちくさい] /(adj-i) smelling of milk/green/wet behind the ears/immature/
乳臭児 [にゅうしゅうじ] /(n) greenhorn/fledgling/
乳汁 [にゅうじゅう] /(n,adj-no) milky juice/latex/milk/
乳状 [にゅうじょう] /(n,adj-no) milky/
乳状液 [にゅうじょうえき] /(n) milky juice/latex/
乳色 [ちちいろ] /(n) milk white/opaque white/
乳色 [にゅうしょく] /(n) milk white/opaque white/
乳清 [にゅうせい] /(n) whey/
乳製品 [にゅうせいひん] /(n) dairy products/(P)/
乳石英 [にゅうせきえい] /(n) milky quartz/
乳腺 [にゅうせん] /(n) mammary gland/
乳腺炎 [にゅうせんえん] /(n) mastitis/
乳腺症 [にゅうせんしょう] /(n) mastopathy/
乳草 [ちちくさ] /(n) Metaplexis japonica/
乳濁 [にゅうだく] /(n) emulsion/
乳濁液 [にゅうだくえき] /(n) emulsion/
乳茸 [ちちたけ] /(n) (uk) tawny milkcap mushroom (Lactarius volemus)/
乳茸刺 [ちだけさし] /(n) (uk) Astilbe microphylla (species of astilbe)/
乳糖 [にゅうとう] /(n,adj-no) milk sugar/lactose/
乳糖不耐症 [にゅうとうふたいしょう] /(n) lactose intolerance/
乳頭 [にゅうとう] /(n,adj-no) (mammary) nipple/teat/
乳呑み子 [ちのみご] /(n) baby/suckling child/
乳呑児 [ちのみご] /(n) unweaned baby/
乳白 [にゅうはく] /(n) milky white/lactescent/
乳白ガラス [にゅうはくガラス] /(n) opal glass/
乳白色 [にゅうはくしょく] /(n) milky white/lactescent/opal/
乳鉢 [にゅうはち] /(n) mortar/
乳鉢 [にゅうばち] /(n) mortar/
乳母 [うば] /(n) wet nurse/nursing mother/
乳母 [おんば] /(n) wet nurse/nursing mother/
乳母 [ちうば] /(n) wet nurse/nursing mother/
乳母 [ちおも] /(n) wet nurse/nursing mother/
乳母 [ちも] /(n) wet nurse/nursing mother/
乳母 [にゅうぼ] /(n) wet nurse/nursing mother/
乳母 [にゅうも] /(n) wet nurse/nursing mother/
乳母 [まま] /(n) wet nurse/nursing mother/
乳母 [めのと] /(n) wet nurse/nursing mother/
乳母車 [うばぐるま] /(n) baby carriage/perambulator/(P)/
乳母日傘 [おんばひからかさ] /(exp) (bringing up a child) with greatest care pampering (him, her) with material comforts of a rich family/(being brought up) in a hothouse atmosphere/
乳母日傘 [おんばひがさ] /(exp) (bringing up a child) with greatest care pampering (him, her) with material comforts of a rich family/(being brought up) in a hothouse atmosphere/
乳房 [ちぶさ] /(n,adj-no) breast/nipple/udder/(P)/
乳房 [にゅうぼう] /(n,adj-no) breast/nipple/udder/
乳房炎 [にゅうぼうえん] /(n) mastitis/
乳房再建 [ちぶささいけん] /(n) breast reconstruction/
乳房撮影 [ちぶささつえい] /(n) mammography/
乳房撮影 [にゅうぼうさつえい] /(n) mammography/
乳房切除 [にゅうぼうせつじょ] /(n) mastectomy/
乳房切除術 [にゅうぼうせつじょじゅつ] /(n) mastectomy/
乳棒 [にゅうぼう] /(n) pestle/
乳幼児 [にゅうようじ] /(n) infants/babies/(P)/
乳様突起 [にゅうようとっき] /(n,adj-no) mastoid/
乳用牛 [にゅうようぎゅう] /(n) milk cow/
乳酪 [にゅうらく] /(n) dairy products (esp. butter)/
乳離れ [ちちばなれ] /(n,vs) weaning/
乳離れ [ちばなれ] /(n,vs) weaning/
乳輪 [にゅうりん] /(n,adj-no) areola mammae (circular area around nipple)/areola/
乳漿 [にゅうしょう] /(n) serum lactis/whey/
入 [いり] /(io) (n,n-suf) (1) entering/(2) setting (of the sun)/(3) containing/content/audience/(4) income/(5) beginning/
入 [しお] /(suf,ctr) (arch) counter for soakings (of fabric in a dye)/
入り [いり] /(n,n-suf) (1) entering/(2) setting (of the sun)/(3) containing/content/audience/(4) income/(5) beginning/(P)/
入りかける [いりかける] /(v1) to be about to enter (a bath, etc.)/
入りこむ [いりこむ] /(v5m,vi) (1) to go into/to come into/to penetrate/to get in/to step in (a house)/(2) to become complicated/
入りこむ [はいりこむ] /(v5m,vi) (1) to go into/to come into/to penetrate/to get in/to step in (a house)/(2) to become complicated/
入りびたる [いりびたる] /(v5r,vi) (1) to stay long/to hang around/to hang out/(2) to be immersed/to be soaked/to seep in/
入りまじる [いりまじる] /(v5r,vi) to mix with/to be mixed/to be mingled/
入りよう [いりよう] /(adj-na,adj-no,n) (1) need/demand/necessity/(2) costs/expenses/
入り違い [いりちがい] /(n) passing each other/
入り荷 [いりに] /(n) arrival of goods/goods received/
入り会い [いりあい] /(n) common (e.g. fishery or hunting ground)/
入り海 [いりうみ] /(n) bay/inlet/gulf/creek/
入り角 [いりすみ] /(n) internal angle of two walls, planes, etc./
入り掛ける [いりかける] /(v1) to be about to enter (a bath, etc.)/
入り隅 [いりすみ] /(n) internal angle of two walls, planes, etc./
入り交じる [いりまじる] /(v5r,vi) to mix with/to be mixed/to be mingled/
入り口 [いりくち] /(n,adj-no) entrance/entry/gate/approach/mouth/
入り口 [いりぐち] /(n,adj-no) entrance/entry/gate/approach/mouth/(P)/
入り口 [はいりくち] /(n,adj-no) entrance/entry/gate/approach/mouth/
入り口 [はいりぐち] /(n,adj-no) entrance/entry/gate/approach/mouth/
入り口点 [いりくちてん] /(n) entry point/
入り口点 [いりぐちてん] /(n) entry point/
入り江 [いりえ] /(n) inlet/cove/creek/bay/
入り込み [いりごみ] /(n) coming in together/unreserved seats for the public/(P)/
入り込み湯 [いりこみゆ] /(n) public bath with mixed bathing/
入り込む [いりこむ] /(v5m,vi) (1) to go into/to come into/to penetrate/to get in/to step in (a house)/(2) to become complicated/
入り込む [はいりこむ] /(v5m,vi) (1) to go into/to come into/to penetrate/to get in/to step in (a house)/(2) to become complicated/(P)/
入り混じる [いりまじる] /(v5r,vi) to mix with/to be mixed/to be mingled/
入り雑じる [いりまじる] /(v5r,vi) to mix with/to be mixed/to be mingled/
入り浸り [いりびたり] /(n) frequenting/staying around/
入り浸る [いりびたる] /(v5r,vi) (1) to stay long/to hang around/to hang out/(2) to be immersed/to be soaked/to seep in/
入り切れる [いりきれる] /(v1) to be able to get in/
入り船 [いりふね] /(n) incoming ship/ship's arrival/
入り船 [いりぶね] /(n) incoming ship/ship's arrival/
入り組む [いりくむ] /(v5m,vi) to be or become complicated/
入り相 [いりあい] /(n) sunset/
入り待ち [いりまち] /(n) (sl) waiting (e.g. at the stage door) for performers or celebrities to arrive/
入り待ち [はいりまち] /(n) (sl) waiting (e.g. at the stage door) for performers or celebrities to arrive/
入り替わる [いりかわる] /(v5r,vi) to change places/to relieve (one another)/
入り日 [いりひ] /(n) setting sun/evening sun/
入り波 [いりなみ] /(n) incoming wave/
入り浜 [いりはま] /(n) salt farm/
入り母屋 [いりもや] /(n) gabled, hipped roof/
入り婿 [いりむこ] /(n) man who takes his wife's family name and marries into her family/man who is adopted by his wife's family/
入り目 [いりめ] /(n) expenses/
入り揚げる [いりあげる] /(v1,vt) to lavish money on/
入り用 [いりよう] /(adj-na,adj-no,n) (1) need/demand/necessity/(2) costs/expenses/
入り乱れる [いりみだれる] /(v1,vi) to be jumbled together/
入る [いる] /(v5r,vi) to get in/to go in/to come in/to flow into/to set/to set in/(P)/
入る [はいる] /(v5r) (1) to enter/(2) to break into/(3) to join/to enroll/(4) to contain/to hold/to accommodate/(5) to have (an income of)/(P)/
入るを計りて出ずるを制す [いるをはかりていずるをせいす] /(exp) (id) Cut your coat according to your cloth/
入るを量りて出ずるを為す [いるをはかりていずるをなす] /(exp) (id) consider your income before spending/
入るを量りて出ずるを制す [いるをはかりていずるをせいす] /(exp) (id) Cut your coat according to your cloth/
入れ [いれ] /(n-suf) container/receptacle/
入れる [いれる] /(v1,vt) (1) to put in/to let in/to take in/to bring in/to insert/to set (a jewel, etc.)/to ink in (e.g. a tattoo)/(2) to admit/to accept/to employ/to hire/(3) to accept/to comply/to grant/to adopt (a policy, etc.)/to take (advice, etc.)/to listen to/to pay attention to/(4) to include/(5) to pay (one's rent, etc.)/(6) to cast (a vote)/(7) to make (tea, coffee, etc.)/(8) to turn on (a switch, etc.)/(9) to send (a fax)/to call/(P)/
入れ違い [いれちがい] /(n) passing each other/
入れ違う [いれちがう] /(v5u) to pass each other/to cross paths/
入れ違える [いれちがえる] /(v1,vt) to misplace/
入れ掛け [いれかけ] /(n) suspension (of performance, match, etc.)/
入れ換え [いれかえ] /(n,vs) replacement/substitution/change/
入れ換える [いれかえる] /(v1,vt) to replace/to substitute/to shift/to change places/
入れ換え戦 [いれかえせん] /(n) match-up between sumo wrestlers from different divisions who will probably 'switch' divisions in new ranking/
入れ交ぜる [いれまぜる] /(v1,vt) to mix/
入れ合わせる [いれあわせる] /(v1) to make up for/
入れ込む [いれこむ] /(v5m,vt) to put forth (effort)/
入れ混ぜる [いれまぜる] /(v1,vt) to mix/
入れ札 [いれふだ] /(n) bid/tender/
入れ子 [いれこ] /(n) (1) nest (of boxes)/nesting/(2) concealed information/(3) adopting a child after one's own has died/child adopted in this manner/(4) cavity in an oar (fitted onto a peg as part of a traditional oarlock)/
入れ子にする [いれこにする] /(exp,vs-i) (comp) to nest/
入れ歯 [いれば] /(n) false tooth/denture/(P)/
入れ質 [いれしち] /(n) pawning/
入れ質 [いれじち] /(n) pawning/
入れ食い [いれぐい] /(exp) (fish) biting at every cast/
入れ替え [いれかえ] /(n,vs) replacement/substitution/change/(P)/
入れ替える [いれかえる] /(v1,vt) to replace/to substitute/to shift/to change places/
入れ替わり [いれかわり] /(n) substitution/replacement/shifting/change/
入れ替わり立ち替わり [いれかわりたちかわり] /(adv) by turns/
入れ替わる [いれかわる] /(v5r,vi) to change places/to relieve one another/
入れ代える [いれかえる] /(v1,vt) to replace/to substitute/to shift/to change places/
入れ代わり [いれかわり] /(n) substitution/replacement/shifting/change/
入れ代わり立ち代わり [いれかわりたちかわり] /(adv) by turns/
入れ代わる [いれかわる] /(v5r,vi) to change places/to relieve one another/
入れ知恵 [いれぢえ] /(n,vs) suggestion/hint/
入れ智慧 [いれちえ] /(n) suggestion/hint/
入れ智慧 [いれぢえ] /(n,vs) suggestion/hint/
入れ物 [いれもの] /(n) (1) container/case/receptacle/(2) (euph. for) coffin/casket/(P)/
入れ墨 [いれずみ] /(n,vs) tattoo/(P)/
入れ毛 [いれげ] /(n) false hair/switch/
入れ木 [いれき] /(n) wood inlay/
入れ目 [いれめ] /(n) artificial eye/
入れ揚げる [いれあげる] /(v1,vt) to lavish money on/
入れ籠 [いれこ] /(n) (1) nest (of boxes)/nesting/(2) concealed information/(3) cavity in an oar (fitted onto a peg as part of a traditional oarlock)/
入トラヒック [にゅうトラヒック] /(n) (comp) incoming traffic/
入違い [いりちがい] /(n) passing each other/
入院 [にゅういん] /(n,vs) hospitalization/hospitalisation/(P)/
入院患者 [にゅういんかんじゃ] /(n) in-patients/
入院中 [にゅういんちゅう] /(n) in the hospital/hospitalized/
入営 [にゅうえい] /(n,vs) entering the barracks/enlistment/
入園 [にゅうえん] /(n,vs) enrollment in kindergarten/enrolment in kindergarten/(P)/
入園料 [にゅうえんりょう] /(n) kindergarten enrollment fee/kindergarten enrolment fee/
入苑 [にゅうえん] /(n) entering the garden/
入苑券 [にゅうえんけん] /(n) ticket to the garden/
入荷 [にゅうか] /(n,vs) arrival of goods/goods received/(P)/
入会 [いりあい] /(n) common (e.g. fishery or hunting ground)/
入会 [にゅうかい] /(n,vs) admission/joining/enrollment/enrolment/
入会金 [にゅうかいきん] /(n) initiation fee/admission fee/
入会権 [いりあいけん] /(n) common rights/
入会式 [にゅうかいしき] /(n) initiation ceremony/
入会者 [にゅうかいしゃ] /(n) entrant/new member/
入会地 [いりあいち] /(n) commons/
入回線 [にゅうかいせん] /(n) (comp) input line/
入海 [いりうみ] /(n) bay/inlet/gulf/creek/
入格 [にゅうかく] /(n,adj-no) (ling) illative/
入角 [いりすみ] /(n) internal angle of two walls, planes, etc./
入閣 [にゅうかく] /(n,vs) joining the cabinet/(P)/
入学 [にゅうがく] /(n,vs) entry to school or university/matriculation/(P)/
入学願書 [にゅうがくがんしょ] /(n) application for admittance to a school/
入学金 [にゅうがくきん] /(n) matriculation fee/
入学考査 [にゅうがくこうさ] /(n) entrance examination/
入学志願者 [にゅうがくしがんしゃ] /(n) applicants for admission/
入学試験 [にゅうがくしけん] /(n) entrance examination/(P)/
入学式 [にゅうがくしき] /(n) school entrance ceremony/
入学者 [にゅうがくしゃ] /(n) new student/
入学生 [にゅうがくせい] /(n) new student/
入学難 [にゅうがくなん] /(n) difficulty of getting into a college/
入掛 [いれかけ] /(n) suspension (of performance, match, etc.)/
入棺 [にゅうかん] /(n) placing in the coffin/
入監 [にゅうかん] /(n,vs) imprisonment/
入管 [にゅうかん] /(n) (abbr) Immigration Bureau/
入管法 [にゅうかんほう] /(n) (abbr) Immigration Control and Refugee Recognition Act/
入館 [にゅうかん] /(n,vs) entry (e.g. library, school, museum)/entering/
入館料 [にゅうかんりょう] /(n) admission fee/(P)/
入居 [にゅうきょ] /(n,vs) moving into (house)/(P)/
入居案内 [にゅうきょあんない] /(n) tenant guide/
入居者 [にゅうきょしゃ] /(n) tenant/
入渠 [にゅうきょ] /(n,vs,adj-no) entering a dock/
入漁 [にゅうぎょ] /(n) fishing in restricted waters/
入漁権 [にゅうぎょけん] /(n) fishing-lot rights/
入漁者 [にゅうぎょしゃ] /(n) fishing-lot fisherman/
入漁料 [にゅうぎょりょう] /(n) fishing-lot charge/
入京 [にゅうきょう] /(n,vs) entering the capital/entering Tokyo/
入境 [にゅうきょう] /(n) crossing a border/border entry/
入金 [にゅうきん] /(n,vs) deposit/payment/money received/money due/(P)/
入金票 [にゅうきんひょう] /(n) deposit slip/
入隅 [いりすみ] /(n) internal angle of two walls, planes, etc./
入庫 [にゅうこ] /(n,vs,adj-no) warehousing/storing/entering the car barn/
入御 [じゅぎょ] /(n,vs) emperor's return to the imperial palace/
入御 [にゅうぎょ] /(n,vs) emperor's return to the imperial palace/
入交 [いりまじり] /(n,vs) mixing with/being mixed/
入交じる [いりまじる] /(v5r,vi) to mix with/to be mixed/to be mingled/
入口 [いりくち] /(n,adj-no) entrance/entry/gate/approach/mouth/
入口 [いりぐち] /(n,adj-no) entrance/entry/gate/approach/mouth/(P)/
入口 [はいりくち] /(n,adj-no) entrance/entry/gate/approach/mouth/
入口 [はいりぐち] /(n,adj-no) entrance/entry/gate/approach/mouth/
入口点 [いりくちてん] /(n) entry point/
入口点 [いりぐちてん] /(n) entry point/
入坑 [にゅうこう] /(n,vs) entrance into drift or pit/
入校 [にゅうこう] /(n,vs) matriculation/
入構 [にゅうこう] /(n,vs) act of entrance (to a facility)/entering (premises)/
入構証 [にゅうこうしょう] /(n) entrance badge/visitor's card/
入江 [いりえ] /(n) inlet/cove/creek/bay/
入江鰐 [いりえわに] /(n) (uk) saltwater crocodile (Crocodylus porosus)/estuarine crocodile/
入港 [にゅうこう] /(n,vs) entry into port/(P)/
入港税 [にゅうこうぜい] /(n) port dues (fees)/
入港料 [にゅうこうりょう] /(n) ship's harbor charges/ship's harbour charges/
入稿 [にゅうこう] /(n,vs) sending material to press (as in printing)/uploading material to print service provider/
入貢 [にゅうこう] /(n,vs) paying tribute/
入国 [にゅうこく] /(n,vs) entry to a country/(P)/
入国 [にゅうごく] /(ik) (n,vs) entry to a country/
入国カード [にゅうこくカード] /(n) disembarkation card/entry card/arrival card/immigration card/landing card/incoming passenger card/
入国管理局 [にゅうこくかんりきょく] /(n) immigration office/(P)/
入国許可書 [にゅうこくきょかしょ] /(n) immigration entry permit/
入国査証 [にゅうこくさしょう] /(n) entrance visa/
入国審査 [にゅうこくしんさ] /(n) immigration check/immigration inspection/
入国審査官 [にゅうこくしんさかん] /(n) immigration officer/immigration investigation officials/
入国申告書 [にゅうこくしんこくしょ] /(n) disembarkation card/
入国税 [にゅうこくぜい] /(n) alien tax/landing tax/
入獄 [にゅうごく] /(n,vs) imprisonment/
入込湯 [いりこみゆ] /(n) public bath with mixed bathing/
入魂 [じっこん] /(adj-na,n) (1) intimacy/(2) putting one's heart and soul into/
入魂 [じゅこん] /(adj-na,n) (1) intimacy/(2) putting one's heart and soul into/
入魂 [じゅっこん] /(adj-na,n) (1) intimacy/(2) putting one's heart and soul into/
入魂 [にゅうこん] /(adj-na,n) (1) intimacy/(2) putting one's heart and soul into/
入札 [にゅうさつ] /(n,vs) bid/bidding/(P)/
入札を与える [にゅうさつをあたえる] /(exp,v1) to make a bid (e.g. at an auction)/
入札依頼書 [にゅうさついらいしょ] /(n) request for proposals/RFP/invitation for bids, tenders/
入札価格 [にゅうさつかかく] /(n) bidding price/price tendered/
入札者 [にゅうさつしゃ] /(n) bidder/
入札設計図書 [にゅうさつせっけいずしょ] /(n) design specifications (for public tender)/drawings and specifications/
入札談合 [にゅうさつだんごう] /(n,vs) collusion before a bid or tender/bid-rigging/
入市 [にゅうし] /(n) entering a city/
入試 [にゅうし] /(n,adj-no) (abbr) entrance examination/(P)/
入歯 [いれば] /(n) false tooth/denture/
入寺 [にゅうじ] /(n,vs) (obsc) joining a temple order and becoming the head priest/
入室 [にゅうしつ] /(n,vs) entering a room/studying under a Buddhist teacher/(P)/
入質 [にゅうしち] /(n,vs) pawning/
入舎 [にゅうしゃ] /(n,vs) entering a dormitory/
入射 [にゅうしゃ] /(n,vs) (1) incidence/injection/input/(adj-no) (2) incident/
入射角 [にゅうしゃかく] /(n) angle of incidence/
入射光線 [にゅうしゃこうせん] /(n) incident ray/
入社 [にゅうしゃ] /(n,vs) entry to a company/(P)/
入社試験 [にゅうしゃしけん] /(n) test for a position in a company/company entrance test/
入社式 [にゅうしゃしき] /(n) (company's) initiation or welcoming ceremony/
入寂 [にゅうじゃく] /(n,vs) death of a priest/nirvana/spiritual liberty/
入手 [にゅうしゅ] /(n,vs) obtaining/coming to hand/(P)/
入手可能 [にゅうしゅかのう] /(adj-na) (comp) available/
入手可能公開文 [にゅうしゅかのうこうかいぶん] /(n) (comp) available public text/
入手困難 [にゅうしゅこんなん] /(n,adj-na) difficult to obtain/difficult to get/
入手難 [にゅうしゅなん] /(n) difficulty of obtaining/
入手不可 [にゅうしゅふか] /(adj-na) unavailable (stock, etc.)/
入手不可能 [にゅうしゅふかのう] /(adj-na) unavailable/unobtainable/not available/
入手不能公開文 [にゅうしゅふのうこうかいぶん] /(n) (comp) unavailable public text/
入塾 [にゅうじゅく] /(n,vs) entering a private school/
入出金 [にゅうしゅっきん] /(n) deposit and withdrawal (of money)/receiving and making payments/
入出力 [にゅうしゅつりょく] /(n) input and output/input-output/IO/
入出力チャネル [にゅうしゅつりょくチャネル] /(n) (comp) input-output channel/
入出力データ [にゅうしゅつりょくデータ] /(n) (comp) input-output data/
入出力ファイル [にゅうしゅつりょくファイル] /(n) (comp) combined file/
入出力プロセッサ [にゅうしゅつりょくプロセッサ] /(n) (comp) input-output processor/IOP/
入出力管理 [にゅうしゅつりょくかんり] /(n) (comp) i-o-control/
入出力管理記述項 [にゅうしゅつりょくかんりきじゅつこう] /(n) (comp) i-o-control entry/
入出力機器 [にゅうしゅつりょくきき] /(n) (comp) input-output device/
入出力機構 [にゅうしゅつりょくきこう] /(n) (comp) input-output unit/input-output device/
入出力処理装置 [にゅうしゅつりょくしょりそうち] /(n) (comp) Input/Output Processor/IOP/
入出力状態 [にゅうしゅつりょくじょうたい] /(n) (comp) i-o status/
入出力制御システム [にゅうしゅつりょくせいぎょシステム] /(n) (comp) Input/Output Control System/IOCS/
入出力制御装置 [にゅうしゅつりょくせいぎょそうち] /(n) (comp) Input-Output Controller/IOC/
入出力節 [にゅうしゅつりょくせつ] /(n) (comp) input-output section/
入出力装置 [にゅうしゅつりょくそうち] /(n) (comp) input-output unit/input-output device/
入出力文 [にゅうしゅつりょくぶん] /(n) (comp) input-output statement/
入出力両用ファイル [にゅうしゅつりょくりょうようファイル] /(n) (comp) input-output file/
入出力両用モード [にゅうしゅつりょくりょうようモード] /(n) (comp) i-o mode/
入所 [にゅうしょ] /(n,vs) entrance/admission/imprisonment/internment/(P)/
入賞 [にゅうしょう] /(n,vs) winning a prize or place (in a contest)/(P)/
入賞者 [にゅうしょうしゃ] /(n) prize-winner/
入城 [にゅうじょう] /(n,vs) entry into a castle (by a conquering force)/
入場 [にゅうじょう] /(n,vs) entrance/admission/entering/(P)/
入場お断り [にゅうじょうおことわり] /(exp) No Admittance/
入場を断り [にゅうじょうをことわり] /(ik) (ik) (exp) No Admittance/
入場券 [にゅうじょうけん] /(n) ticket of admission/platform ticket/(P)/
入場権 [にゅうじょうけん] /(n) liberty of entrance/
入場式 [にゅうじょうしき] /(n) opening ceremony/
入場者 [にゅうじょうしゃ] /(n) visitors/attendance/
入場制限 [にゅうじょうせいげん] /(n) admission limit/restricted admission/
入場税 [にゅうじょうぜい] /(n) admission tax/
入場門 [にゅうじょうもん] /(n) admission gate/
入場料 [にゅうじょうりょう] /(n) entrance fee/admission fee/gate receipts/
入植 [にゅうしょく] /(n,vs) settlement/immigration/(P)/
入植者 [にゅうしょくしゃ] /(n) settler/newcomer/
入植地 [にゅうしょくち] /(n) settlement (of people on land)/
入職率 [にゅうしょくりつ] /(n) hiring rate/accession rate/
入伸 [にゅうしん] /(n) inspiration/genius/super-human skill/
入信 [にゅうしん] /(n,vs) entering the faith/
入神 [にゅうしん] /(n) inspiration/genius/super-human skill/
入神の技 [にゅうしんのぎ] /(n) skill of superhuman level/
入水 [じゅすい] /(n,vs) suicide by drowning/drowning oneself/
入水 [にゅうすい] /(n,vs) suicide by drowning/drowning oneself/
入声 [にっしょう] /(n) entering tone (in Chinese)/
入声 [にっせい] /(n) entering tone (in Chinese)/
入籍 [にゅうせき] /(n,vs) entry in family register/(P)/
入船 [にゅうせん] /(n,vs) ship's arrival/
入選 [にゅうせん] /(n,vs) chosen (in a competition)/(P)/
入選者 [にゅうせんしゃ] /(n) winner/winning candidate/
入宋 [にっそう] /(n) (arch) journeying to Sung China during the Heian and Kamakura periods/
入相 [いりあい] /(n) sunset/
入相の鐘 [いりあいのかね] /(n) evening bell/vespers bell/
入待ち [いりまち] /(n) (sl) waiting (e.g. at the stage door) for performers or celebrities to arrive/
入待ち [はいりまち] /(n) (sl) waiting (e.g. at the stage door) for performers or celebrities to arrive/
入替え部品 [いれかえぶひん] /(n) replacement parts/
入退院 [にゅうたいいん] /(n,vs) entering and leaving hospital/
入隊 [にゅうたい] /(n,vs) enlistment/
入団 [にゅうだん] /(n,vs) enrollment/enrolment/(P)/
入知恵 [いれぢえ] /(n,vs) suggestion/hint/
入朝 [にゅうちょう] /(n,vs) visiting Japan/arrival in Japan/
入超 [にゅうちょう] /(n) excess of imports/
入津 [にゅうしん] /(n,vs) entering a port/
入定 [にゅうじょう] /(n,vs) (1) (Buddh) entering a state of intense concentration/(2) death (of a high monk, etc.)/
入廷 [にゅうてい] /(n,vs) admission to the courtroom/
入電 [にゅうでん] /(n,vs) (1) incoming telephone call/(2) telegram received/
入党 [にゅうとう] /(n,vs) joining a political party/(P)/
入刀 [にゅうとう] /(n,vs) cutting the cake (at a wedding)/
入唐 [にっとう] /(n,vs) visit to China/
入唐八家 [にっとうはっけ] /(n) eight Japanese monks who visited China during the early Heian (Enchin, Engyou, Ennin, Eun, Jougyou, Kuukai, Saichou, and Shuuei)/
入湯 [にゅうとう] /(n,vs) taking a hot bath/bathing at hot springs/
入湯客 [にゅうとうきゃく] /(n) bathing guest at a hot spring/
入道 [にゅうどう] /(n) (1) (Buddh) entering the priesthood/priest/monk/(2) man with a shaven head/(3) bald-headed monster/
入道雲 [にゅうどうぐも] /(n) cumulonimbus/gigantic columns of clouds (in summer)/thunderhead/
入内 [じゅだい] /(n,vs) imperial bridal party's entry into the court/
入日 [いりひ] /(n) setting sun/evening sun/
入念 [にゅうねん] /(adj-na,n) careful/elaborate/scrupulous/(P)/
入梅 [つゆいり] /(n,vs) entering the rainy season/beginning of the rainy season/(P)/
入梅 [にゅうばい] /(n,vs) entering the rainy season/beginning of the rainy season/(P)/
入費 [にゅうひ] /(n) expenses/
入夫 [にゅうふ] /(n,vs) marrying into the wife's family/
入府 [にゅうふ] /(n,vs) entering the metropolitan area/
入部 [にゅうぶ] /(n,vs) joining a club/
入仏 [にゅうぶつ] /(n) enshrining a Buddhist image/
入物 [いれもの] /(io) (n) (1) container/case/receptacle/(2) (euph. for) coffin/casket/
入母屋 [いりもや] /(n) gabled, hipped roof/
入母屋造 [いりもやづくり] /(n) building with a gabled, hipped roof/
入母屋造り [いりもやづくり] /(n) building with a gabled, hipped roof/
入墨 [いれずみ] /(n,vs) tattoo/
入幕 [にゅうまく] /(n,vs) advancing to the first grade/(P)/
入満 [イルマン] /(ateji) (n) (arch) (uk) non-ordained Christian monk (por:)/
入眠時レム期 [にゅうみんじレムき] /(n) sleep onset REM period/SOREMP/
入婿 [いりむこ] /(n) man who takes his wife's family name and marries into her family/man who is adopted by his wife's family/
入滅 [にゅうめつ] /(n,vs) dying/entering nirvana/death (of Buddhist saint)/
入綿 [いれわた] /(n) cotton padding/
入麺 [にゅうめん] /(n) soup of soumen noodles and various ingredients in a soy sauce broth/
入木 [にゅうぼく] /(n) calligraphy/
入目 [いりめ] /(n) expenses/
入目 [いれめ] /(n) artificial eye/
入門 [にゅうもん] /(n,vs,adj-no) primer/manual/entering an institute/introduction to/(P)/
入門テキスト [にゅうもんテキスト] /(n) introductory text/
入門書 [にゅうもんしょ] /(n) primer/manual/introductory book/
入用 [いりよう] /(adj-na,adj-no,n) (1) need/demand/necessity/(2) costs/expenses/
入用 [にゅうよう] /(adj-na,n) need/requirement/demand/necessity/
入浴 [にゅうよく] /(n,vs) bathe/bathing/(P)/
入浴剤 [にゅうよくざい] /(n) bathing powder/bathwater additive/
入来 [にゅうらい] /(n,vs) august visit/arrival/
入洛 [じゅらく] /(n,vs) proceeding to Kyoto/entering Kyoto/
入洛 [にゅうらく] /(n,vs) proceeding to Kyoto/entering Kyoto/
入寮式 [にゅうりょうしき] /(n) entrance ceremony (when students enter a dormitory)/
入力 [にゅうりょく] /(n,vs) input/(data) entry/(P)/
入力の流れ [にゅうりょくのながれ] /(n) (comp) job stream/run stream/input stream/
入力キー [にゅうりょくキー] /(n) (comp) ENTER key/
入力キュー [にゅうりょくキュー] /(n) (comp) input queue/
入力クラス [にゅうりょくクラス] /(n) (comp) input class/
入力サブシステム [にゅうりょくさぶシステム] /(n) (comp) input subsystem/
入力データ [にゅうりょくデータ] /(n) (comp) input data/
入力デバイス [にゅうりょくデバイス] /(n) (comp) input device/
入力ファイル [にゅうりょくファイル] /(n) (comp) input file/
入力ファイル名 [にゅうりょくファイルめい] /(n) (comp) input file name/
入力フィールド [にゅうりょくフィールド] /(n) entry field/
入力フォーカス [にゅうりょくフォーカス] /(n) (comp) input focus/
入力モード [にゅうりょくモード] /(n) (comp) input mode/
入力応答 [にゅうりょくおうとう] /(n) (comp) acknowledgment/
入力画面 [にゅうりょくがめん] /(n) (comp) input screen/
入力基本要素 [にゅうりょくきほんようそ] /(n) (comp) input primitive/
入力機構 [にゅうりょくきこう] /(n) (comp) input unit/input device/
入力誤り [にゅうりょくあやまり] /(n) (comp) keyboard input/
入力行 [にゅうりょくぎょう] /(n) (comp) input line/
入力手続き [にゅうりょくてつづき] /(n) (comp) input procedure/
入力受理 [にゅうりょくじゅり] /(n) (comp) acknowledgment/
入力順 [にゅうりょくじゅん] /(n,adj-no) (comp) input order/
入力処理 [にゅうりょくしょり] /(n,adj-no) (comp) input process/
入力情報 [にゅうりょくじょうほう] /(n) input/
入力信号 [にゅうりょくしんごう] /(n) incoming signal/input signal/
入力制御 [にゅうりょくせいぎょ] /(n) (comp) admission control/
入力設定 [にゅうりょくせってい] /(n) input settings/input configuration/
入力線 [にゅうりょくせん] /(n) input/
入力装置 [にゅうりょくそうち] /(n) input unit/input device/
入力促進 [にゅうりょくそくしん] /(n) (comp) prompt/
入力促進エコー種別 [にゅうりょくそくしんエコーしゅべつ] /(n) (comp) prompt and echo type/
入力値 [にゅうりょくち] /(n) (comp) logical input value/
入力中止動作 [にゅうりょくちゅうしどうさ] /(n) (comp) break action/
入力電流 [にゅうりょくでんりゅう] /(n) input/incoming current/
入力文 [にゅうりょくぶん] /(n) (comp) input sentence/input statement/
入力保護 [にゅうりょくほご] /(n) (comp) input protection/
入力用 [にゅうりょくよう] /(n) (comp) read-only (file mode)/
入力要求 [にゅうりょくようきゅう] /(n) (comp) prompt/
入力類 [にゅうりょくるい] /(n) (comp) input class/
入牢 [にゅうろう] /(n,vs) imprisonment/
入冦 [にゅうこう] /(n) invasion/encroachment/
入壻 [いりむこ] /(n) man who takes his wife's family name and marries into her family/man who is adopted by his wife's family/
入寇 [にゅうこう] /(n,vs) invasion/incursion/
入聟 [いりむこ] /(n) man who takes his wife's family name and marries into her family/man who is adopted by his wife's family/
入鋏 [にゅうきょう] /(n,vs) (ticket) punching/
如 [こと] /(ok) (n-adv) like/similar to/same as/
如 [ごと] /(n-adv) like/similar to/same as/
如 [にょ] /(n) (Buddh) tathata (the ultimate nature of all things)/
如 [もころ] /(ok) (n-adv) like/similar to/same as/
如かず [しかず] /(exp) (1) being inferior to/being no match for/(2) being best/
如き [ごとき] /(n,suf) (uk) like/as if/the same as/
如く [ごとく] /(adv) like/as if/the same as/
如く [しく] /(v5k,vi) (1) (arch) to match/to equal/(2) to catch up with/to overtake/
如くは無し [しくはなし] /(exp) (arch) peerless/without equal/
如し [ごとし] /(n,suf) (uk) like/as if/the same as/(P)/
如意 [にょい] /(n) as one wishes/a priest's staff/
如意自在 [にょいじざい] /(n,adj-na,adj-no) freely/in complete control of/with complete freedom/at will/as one pleases/
如意輪観音 [にょいりんかんのん] /(n) (Buddh) Cintamani-cakra (manifestation of Avalokitesvara)/
如雨露 [じょうろ] /(ateji) (n) (uk) watering can/watering pot/sprinkling can/
如雨露 [じょろ] /(ateji) (n) (uk) watering can/watering pot/sprinkling can/
如何 [いか] /(adv) (uk) how/in what way/how about/
如何 [いかが] /(adv) (uk) how/in what way/how about/(P)/
如何 [いかん] /(adv) (1) how/in what way/(n) (2) circumstances/(P)/
如何 [どう] /(adv) (uk) how/in what way/how about/(P)/
如何あっても [どうあっても] /(exp,adv) whatever the case (used in neg. sentences)/under any circumstances/
如何いう [どういう] /(adj-pn) (uk) somehow/how/in what way/why/what kind of/
如何かこうか [どうかこうか] /(exp,adv) (uk) somehow or other/
如何かと言うと [どうかというと] /(exp) if you ask me .../as for .../
如何した [どうした] /(adj-pn) (uk) somehow/how/in what way/why/what kind of/
如何して [どうして] /(adv,int) (uk) why?/for what reason/how/in what way/for what purpose/what for/(P)/
如何しても [どうしても] /(adv) (uk) by all means/at any cost/no matter what/after all/in the long run/cravingly/at any rate/surely/(P)/
如何せん [いかんせん] /(exp,adv) can't be helped/to one's regret/
如何とでも [どうとでも] /(exp) (uk) one way or the other/either way/
如何とも [どうとも] /(exp) (uk) one way or the other/either way/
如何ともし難い [いかんともしがたい] /(n) impenetrably difficult/
如何な [いかな] /(adj-pn) (1) (uk) what kind of/whatever sort of/(adv) (2) no matter what/however much/
如何な [いっかな] /(adj-pn) (1) (uk) what kind of/whatever sort of/(adv) (2) no matter what/however much/
如何なる [いかなる] /(adj-pn) (uk) any kind of (with neg. verb)/
如何に [いかに] /(adv,int) how?/in what way?/how much?/however/whatever/(P)/
如何にして [いかにして] /(exp) how/in what way/
如何にも [いかにも] /(adv,int) (uk) indeed/really/phrase meaning agreement/(P)/
如何にも [どうにも] /(exp) (uk) nothing can be done (to resolve it)/
如何による [いかんによる] /(exp,v5r) (uk) depending on the .../to depend on the .../
如何わしい [いかがわしい] /(adj-i) (1) (uk) suspicious/dubious/unreliable/(2) indecent/unseemly/
如何許 [いかばかり] /(adv) how much/
如何言う [どういう] /(adj-pn) (uk) somehow/how/in what way/why/what kind of/
如何致しまして [どういたしまして] /(int) (uk) you are welcome/don't mention it/not at all/my pleasure/
如何程 [いかほど] /(adv,n) how much/how many/however/
如何物 [いかもの] /(n) fake/
如何様 [いかさま] /(adv,n,adj-no) (uk) fraud/trickery/counterfeit/
如何様 [いかよう] /(adj-na) how/
如何様師 [いかさまし] /(n) cheat/swindler/
如月 [きさらぎ] /(n) (obs) second month of the lunar calendar/
如月 [じょげつ] /(n) (obs) second month of the lunar calendar/
如才 [じょさい] /(n) (1) affable/slick/smooth-tongued/(2) smart/sharp/clever/skillful/adroit/
如才ない [じょさいない] /(adj-i) tactful/shrewd/cautious/clever/smart/adroit/
如才無い [じょさいない] /(adj-i) tactful/shrewd/cautious/clever/smart/adroit/
如在無い [じょさいない] /(adj-i) tactful/shrewd/cautious/clever/smart/adroit/
如実 [にょじつ] /(n) reality/(P)/
如実に物語る [にょじつにものがたる] /(exp,v5r) to give a true account/to give a graphic account/
如実知見 [にょじつちけん] /(n) perceiving reality as it is/true awareness of reality/
如上 [じょじょう] /(n,adj-no) above-mentioned/
如是 [にょぜ] /(n) (1) (Buddh) ("like this"; often the opening word of a sutra)/(2) (abbr) ten thusnesses (in Tendai)/
如是我聞 [にょぜがもん] /(n) thus I hear (quote from the sutras)/these ears have heard/
如菩薩 [にょぼさつ] /(n) Buddha-like compassion/
如法 [にょほう] /(n) observance of the Buddha's teachings/
如法暗夜 [にょほうあんや] /(n) total (utter) darkness/
如来 [にょらい] /(n) Tathagata/perfected one (suffix of high-ranking Buddhist deities)/
如来禅 [にょらいぜん] /(n) Zen Buddhism based on the original teachings of Buddha/
如来蔵 [にょらいぞう] /(n) (Buddh) tathagatagarbha (buddha-womb, the potential within all living things to become a buddha)/
如露 [じょうろ] /(ateji) (n) (uk) watering can/watering pot/sprinkling can/
如露 [じょろ] /(ateji) (n) (uk) watering can/watering pot/sprinkling can/
如露如電 [にょろにょでん] /(n) (Buddh) (obsc) existence (as we percieve it) is as mutable and incorporeal as is the morning dew or a flash of lightning/
如露亦如電 [にょろやくにょでん] /(exp) like dew or lightning, gone in a flash/
尿 [いばり] /(ok) (n) urine/
尿 [しい] /(ok) (n) urine/
尿 [しし] /(ok) (n) urine/
尿 [しと] /(ok) (n) urine/
尿 [にょう] /(n) urine/(P)/
尿 [ばり] /(ok) (n) urine/
尿 [ゆばり] /(ok) (n) urine/
尿 [ゆまり] /(ok) (n) urine/
尿々 [しいしい] /(n) (arch) (chn) urine/
尿の検査 [にょうのけんさ] /(n) urinalysis/
尿意 [にょうい] /(n) the urge to urinate/
尿意を催す [にょういをもよおす] /(exp,v5s) to have a desire to urinate/
尿管 [にょうかん] /(adj-na,n,adj-no) urinary duct/ureter/
尿器 [にょうき] /(n) urinal/
尿検査 [にょうけんさ] /(n) urine analysis/urinalysis/
尿酸 [にょうさん] /(n) uric acid/(P)/
尿酸値 [にょうさんち] /(n) uric acid level/
尿素 [にょうそ] /(n,adj-no) urea/
尿素回路 [にょうそかいろ] /(n) urea cycle/
尿素樹脂 [にょうそじゅし] /(n) urea resin/
尿袋 [いばりぶくろ] /(n) (arch) urinary bladder/
尿袋 [ゆばりぶくろ] /(n) (arch) urinary bladder/
尿中 [にょうちゅう] /(n,adj-no) urine/
尿糖 [にょうとう] /(n) urinary sugar/
尿道 [にょうどう] /(n,adj-no) urethra/
尿道炎 [にょうどうえん] /(n) urethritis/inflammation of the urethra/
尿道海綿体 [にょうどうかいめんたい] /(n) corpus spongiosum (body of penile erecile tissue surrounding the urethra)/
尿道球腺 [にょうどうきゅうせん] /(n) bulbourethral gland/Cowper's gland/
尿毒症 [にょうどくしょう] /(n) uremia/
尿尿 [しいしい] /(n) (arch) (chn) urine/
尿嚢 [にょうのう] /(n) allantoic bladder/
尿瓶 [しびん] /(n) urine bottle/urinal/
尿膜 [にょうまく] /(n) allantois/
尿路 [にょうろ] /(n) urinary tract/
尿路結石 [にょうろけっせき] /(n) urinary tract stone/
韮 [かみら] /(ok) (n) (uk) Chinese chive/garlic chive (Allium tuberosum)/
韮 [にら] /(n) (uk) Chinese chive/garlic chive (Allium tuberosum)/
韮 [みら] /(ok) (n) (uk) Chinese chive/garlic chive (Allium tuberosum)/
韮葱 [にらねぎ] /(n) broadleaf wild leek (edible plant with hard tubular leaves, Allium ampeloprasum)/
任 [にん] /(n) obligation/duty/charge/responsibility/(P)/
任じる [にんじる] /(v1,vi) to appoint/to nominate/to assume (responsibility)/to pose as/
任す [まかす] /(v5s,vt) to entrust/to leave to a person/(P)/
任ずる [にんずる] /(vz) to appoint/to nominate/to assume (responsibility)/to pose as/
任せる [まかせる] /(v1,vt) (1) to entrust (e.g. a task) to another/to leave to/(2) to passively leave to someone else's facilities/(3) to leave to take its natural course/(4) to continue (something) in a natural fashion (without particular aim)/(5) to rely fully on one's (full strength, great ability, long time taken) to get something done/(P)/
任に当たる [にんにあたる] /(exp,v5r) to undertake a duty/
任を果たす [にんをはたす] /(exp,v5s) to fulfill one's duty/to discharge one's duties/
任を解かれる [にんをとかれる] /(exp,v1) to be relieved of one's post/
任意 [にんい] /(adj-na,adj-no) any/arbitrary/optional/discretion/non-specific/unspecified/free will/(P)/
任意キャラクタ [にんいキャラクタ] /(n) (comp) any character/
任意型 [にんいがた] /(n) (comp) any type/
任意出頭 [にんいしゅっとう] /(n,adj-no) voluntarily appearing for police questioning/
任意信号 [にんいしんごう] /(n) (comp) optional/
任意選択構成要素 [にんいせんたくこうせいようそ] /(n) (comp) optional (O) component/
任意選択属性 [にんいせんたくぞくせい] /(n) (comp) non-mandatory attribute/
任意選択利用者ファシリティ [にんいせんたくりようしゃファシリティ] /(n) (comp) optional user facilities/
任意捜査 [にんいそうさ] /(n) search conducted with the consent of the party concerned/
任意団体 [にんいだんたい] /(n) private organization (neither controlled nor protected by law)/private organisation/
任意同行 [にんいどうこう] /(n) going along voluntarily to be questioned by law officers/
任意保険 [にんいほけん] /(n) voluntary insurance/
任官 [にんかん] /(n,vs,adj-no) appointment/investiture/
任期 [にんき] /(n) term of office/(P)/
任期中 [にんきちゅう] /(n) during one's tenure/
任期満了 [にんきまんりょう] /(n) expiration of term of office/
任侠 [じんきょう] /(adj-na,n,adj-no) chivalry/generosity/heroism/chivalrous spirit/helping the weak and fighting the strong/
任侠 [にんきょう] /(adj-na,n,adj-no) chivalry/generosity/heroism/chivalrous spirit/helping the weak and fighting the strong/
任侠団体 [にんきょうだんたい] /(n) (sl) (pol) (often used self-referentially) yakuza (Japanese mafia) (lit: chivalrous organization)/
任国 [にんごく] /(n) one's country of assignment (e.g. for an ambassador)/
任職 [にんしょく] /(n) ordination/
任地 [にんち] /(n) one's post/appointment/
任天堂 [にんてんどう] /(n) Nintendo (video game company)/(P)/
任務 [にんむ] /(n) duty/function/office/mission/task/(P)/
任務部隊 [にんむぶたい] /(n) task force/
任命 [にんめい] /(n,vs,adj-no) appointment/nomination/ordination/commission/designation/(P)/
任命権 [にんめいけん] /(n) appointive power/
任命式 [にんめいしき] /(n) investiture/
任命状 [にんめいじょう] /(n) written appointment/
任免 [にんめん] /(n,vs) appointments and dismissal/
任用 [にんよう] /(n,vs) appointment/employment/
妊む [はらむ] /(v5m,vi) to conceive/to become pregnant/to get filled with/
妊る [みごもる] /(v5r,vi) to become pregnant/
妊産婦 [にんさんぷ] /(n) expectant and nursing mothers/(P)/
妊娠 [にんしん] /(n,vs,adj-no) conception/pregnancy/(P)/
妊娠検査 [にんしんけんさ] /(n) pregnancy test/
妊娠時 [にんしんじ] /(n) during pregnancy/while pregnant/
妊娠中絶 [にんしんちゅうぜつ] /(n) abortion/pregnancy termination/
妊娠中毒症 [にんしんちゅうどくしょう] /(n) toxemia of pregnancy/
妊性 [にんせい] /(n) fertility (esp. of animals)/
妊婦 [にんぷ] /(n,adj-no) pregnant woman/(P)/
妊婦服 [にんぷふく] /(n) maternity clothes/
忍 [しのぶ] /(n) (1) (uk) Davallia mariesii (species of fern)/(2) Lepisorus thunbergiana (species of fern)/(3) color of clothing layers under one's overcoat (light green on blue)/(4) (abbr) ancient women's hairstyle/(5) (abbr) clothing patterned using the fern Davallia mariesii/
忍 [にん] /(n) (arch) endurance/forbearance/patience/self-restraint/
忍の一字 [にんのいちじ] /(exp) (id) Patience is the only way/
忍ばせる [しのばせる] /(v1,vt) to conceal/to hide/
忍び [しのび] /(n) (1) stealth/(2) (abbr) travelling incognito (traveling)/(3) (abbr) ninjutsu/(4) (abbr) ninja/(5) sneak theft/sneak thief/(6) tolerance/
忍びない [しのびない] /(exp,adj-i) cannot bring oneself (to do, etc.)/
忍びの者 [しのびのもの] /(n) ninja/
忍びの術 [しのびのじゅつ] /(n) (obsc) art of stealth (i.e. ninjutsu)/
忍びやか [しのびやか] /(adj-na,n) stealthy/secret/
忍び逢い [しのびあい] /(n) clandestine meeting/rendezvous/tryst/secret meeting (e.g. for lovers)/
忍び音 [しのびね] /(n) whispering/quiet weeping/
忍び会い [しのびあい] /(n) clandestine meeting/rendezvous/tryst/secret meeting (e.g. for lovers)/
忍び寄る [しのびよる] /(v5r,vi) to creep/to steal up/to draw near unnoticed/
忍び泣き [しのびなき] /(n) quiet weeping/
忍び泣く [しのびなく] /(v5k,vi) to shed silent tears/
忍び込む [しのびこむ] /(v5m,vi) to creep in/to steal in/
忍び出し [しのびだし] /(n) sneaking out/creeping out/
忍び出す [しのびだす] /(v5s) to sneak out/to creep out/
忍び笑い [しのびわらい] /(n) stifled laugh/chuckling/snickering/
忍び声 [しのびごえ] /(n) whispering/
忍び足 [しのびあし] /(n) stealthy steps/soft steps/
忍び刀 [しのびがたな] /(n) Ninja sword/
忍び難い [しのびがたい] /(adj-i) intolerable/unbearable/
忍び入る [しのびいる] /(v5r,vi) to steal or sneak or slip into/
忍び忍び [しのびしのび] /(adv) (arch) stealthily/
忍び文字 [しのびもじ] /(n) Ninja script/
忍び返し [しのびがえし] /(n) bamboo wall-top spikes (or wood, iron)/spikes placed at the top of a wall to repel thieves/
忍び歩き [しのびありき] /(n) (1) travelling incognito (traveling)/(2) quiet steps/
忍び歩き [しのびあるき] /(n) (1) travelling incognito (traveling)/(2) quiet steps/
忍び六具 [しのびろくぐ] /(n) the six tools of the ninja/
忍ぶ [しのぶ] /(v5b,vt) (1) to conceal oneself/to hide/(2) to endure/(P)/
忍ぶ髷 [しのぶわげ] /(n) (arch) women's hairstyle (first appearing during the mid-18th century)/
忍会 [しのびあい] /(io) (n) clandestine meeting/rendezvous/tryst/secret meeting (e.g. for lovers)/
忍苦 [にんく] /(n,vs) endurance/stoicism/
忍具 [にんぐ] /(n) ninja implement (shuriken, etc.)/
忍込む [しのびこむ] /(v5m,vi) to creep in/to steal in/
忍者 [にんじゃ] /(n) ninja (persons in feudal Japan who used ninjutsu for the purposes of espionage, assassination, sabotage, etc.)/(P)/
忍従 [にんじゅう] /(n,vs) submission/resignation/
忍術 [にんじゅつ] /(n) (MA) ninjutsu (fighting art of the ninja)/ninja skills in secrecy, stealth and combat techniques/
忍辱 [にんにく] /(n) (Buddh) forbearance (in the face of difficulty, persecution, etc.)/
忍摺 [しのぶずり] /(n) (arch) clothing patterned using the fern Davallia mariesii/
忍摺り [しのぶずり] /(n) (arch) clothing patterned using the fern Davallia mariesii/
忍耐 [にんたい] /(n,vs) endurance/perseverance/patience/(P)/
忍耐強い [にんたいづよい] /(adj-i) persevering/very patient/
忍耐心 [にんたいしん] /(n) endurance/perseverance/patience/
忍耐力 [にんたいりょく] /(n) fortitude/
忍冬 [すいかずら] /(n) Japanese honeysuckle (Lonicera japonica)/
忍刀 [にんとう] /(n) Ninja sword/
忍返し [しのびがえし] /(n) bamboo wall-top spikes (or wood, iron)/spikes placed at the top of a wall to repel thieves/
忍法 [にんぽう] /(n) ninja arts/
忍容性 [にんようせい] /(n) tolerability (e.g. of a drug dose)/
忍髷 [しのぶわげ] /(n) (arch) women's hairstyle (first appearing during the mid-18th century)/
認め [みとめ] /(n) approval/final seal (of approval)/acceptance/(P)/
認める [したためる] /(v1,vt) (uk) to write up/
認める [みとめる] /(v1,vt) (1) to recognize/to recognise/to appreciate/(2) to observe/to notice/(3) to admit/to approve/(P)/
認め印 [みとめいん] /(n) unregistered (informal) seal/a signet (ring)/(P)/
認め合う [みとめあう] /(v5u) to mutually recognize/to agree/to accept/
認め難い [みとめがたい] /(adj-i) unapprovable/
認印 [みとめいん] /(n) unofficial and unregistered personal seal/
認印付き指輪 [みとめいんつきゆびわ] /(n) signet ring/seal ring/
認可 [にんか] /(n,vs) approval/license/licence/permission/(P)/
認可証 [にんかしょう] /(n) license/licence/certificate/charter/
認許 [にんきょ] /(n,vs) (1) consent/recognition/(n,adj-f) (2) approval/certification/
認識 [にんしき] /(n,vs,adj-no) recognition/cognizance/cognisance/(P)/
認識票 [にんしきひょう] /(n) identification tag/
認識不足 [にんしきぶそく] /(n) lack of knowledge or understanding/
認識論 [にんしきろん] /(n) epistemology/
認証 [にんしょう] /(n,vs) (1) certification/attestation/authentication/confirmation/(2) Imperial attestation/(P)/
認証トークン [にんしょうトークン] /(n) (comp) authentication token/token/
認証官 [にんしょうかん] /(n) official whose appointment and dismissal requires Imperial acknowledgement (acknowledgment)/
認証局 [にんしょうきょく] /(n) (comp) Certificate Authority/
認証交換 [にんしょうこうかん] /(n) (comp) authentication exchange/
認証式 [にんしょうしき] /(n) attestation (investiture) ceremony/
認証者 [にんしょうしゃ] /(n) certifier/
認証書 [にんしょうしょ] /(n) certificate/
認証情報 [にんしょうじょうほう] /(n) (comp) authentication information/
認諾 [にんだく] /(n,vs) admission by a defendant of the justice of a plaintiff's case/cognovit/
認諾離婚 [にんだくりこん] /(n) divorce by admission/
認知 [にんち] /(n,vs,adj-no) acknowledgement/acknowledgment/recognition/(P)/
認知科学 [にんちかがく] /(n) cognitive science/
認知機能 [にんちきのう] /(n) cognitive function/
認知言語学 [にんちげんごがく] /(n) cognitive linguistics/
認知行動療法 [にんちこうどうりょうほう] /(n) cognitive-behavioral therapy/cognitive-behavioural therapy/
認知症 [にんちしょう] /(n) cognitive impairment/senility/dementia/
認知障害 [にんちしょうがい] /(n) cognitive deficit/cognitive disturbance/cognitive disorder/
認知心理学 [にんちしんりがく] /(n) cognitive psychology/
認知的不協和 [にんちてきふきょうわ] /(n) cognitive dissonance/
認知度 [にんちど] /(n) degree of recognition/level of familiarity/visibility (product)/
認知療法 [にんちりょうほう] /(n) cognitive therapy/
認定 [にんてい] /(n,vs) authorization/authorisation/acknowledgment/acknowledgement/certification/recognition/(P)/
認定ＮＰＯ法人 [にんていエヌピーオーほうじん] /(n) authorized nonprofit organization/
認定医 [にんていい] /(n) certified physician/
認定証 [にんていしょう] /(n) certificate/
認定投票 [にんていとうひょう] /(n) approval voting/
認否 [にんぴ] /(n) approval or disapproval/
認容 [にんよう] /(n,vs) acknowledgement/acknowledgment/
濡す [ぬらす] /(v5s,vt) to wet/to soak/to dip/
濡らす [ぬらす] /(v5s,vt) to wet/to soak/to dip/(P)/
濡る [ぬれる] /(io) (v1,vi) to get wet/
濡れそぼつ [ぬれそぼつ] /(v5t) to be dripping wet/to get drenched to the skin/
濡れる [ぬれる] /(v1,vi) to get wet/(P)/
濡れティッシュ [ぬれティッシュ] /(n) wet wipes/moist towelette/baby wipes/
濡れ衣 [ぬれぎぬ] /(n) (1) wet clothes/(2) false accusations/
濡れ衣を着せる [ぬれぎぬをきせる] /(exp,v1) to frame/to falsely accuse of a crime/
濡れ羽色 [ぬればいろ] /(n) jet black/
濡れ縁 [ぬれえん] /(n) open verandah/open veranda/
濡れ雑巾 [ぬれぞうきん] /(n) wet cloth/damp rag/
濡れ事 [ぬれごと] /(n) (1) love affair/romance/(2) love scene (in kabuki)/
濡れ事師 [ぬれごとし] /(n) (acting) romantic lead/philanderer/
濡れ手 [ぬれて] /(n) wet hands/
濡れ手で粟 [ぬれてであわ] /(exp) easy profit/
濡れ手に粟 [ぬれてにあわ] /(exp) easy profit/
濡れ場 [ぬれば] /(n) (drama's) love scene/
濡れ色 [ぬれいろ] /(n) color of something wet/colour of something wet/
濡れ性 [ぬれせい] /(n) wettability/
濡れ鼠 [ぬれねずみ] /(n) soaked to the skin/like a drowned rat/
濡れ髪 [ぬれがみ] /(n) newly washed hair/
濡縁 [ぬれえん] /(io) (n) open verandah/open veranda/
濡事 [ぬれごと] /(n) (1) love affair/romance/(2) love scene (in kabuki)/
禰宜 [ねぎ] /(n) senior priest (of a Shinto shrine)/
祢宜 [ねぎ] /(n) senior priest (of a Shinto shrine)/
寧 [むしろ] /(io) (adv) rather/better/instead/
寧ろ [むしろ] /(adv) rather/better/instead/(P)/
寧日 [ねいじつ] /(n) peaceful day/
葱 [き] /(ok) (n) (uk) Welsh onion (species of scallion, Allium fistulosum)/green onion/spring onion/
葱 [ねぎ] /(n) (uk) Welsh onion (species of scallion, Allium fistulosum)/green onion/spring onion/(P)/
葱とろ [ねぎとろ] /(n) tuna minced with Welsh onion leaves (type of sushi topping)/
葱頭 [たまねぎ] /(n) onion (edible plant, Allium cepa)/
葱坊主 [ねぎぼうず] /(n) onion head/
葱鮪 [ねぎま] /(n) (uk) dishes based on spring onions and tuna/
葱鮪鍋 [ねぎまなべ] /(n) stew based on spring onions and tuna/
猫 [ねこ] /(n) (1) cat/(2) shamisen/(3) geisha/(4) (abbr) wheelbarrow/(5) (abbr) clay bed-warmer/(6) (uk) (col) submissive partner of a homosexual relationship/(P)/
猫かぶり [ねこかぶり] /(n,vs) feigned innocence or naivete/beguiling innocence/wolf in sheep's clothing/
猫じゃらし [ねこじゃらし] /(n) green foxtail (species of annual grass, Setaria viridis)/
猫っ毛 [ねこっけ] /(n) fine, soft hair/
猫なで声 [ねこなでごえ] /(n) soft, coaxing voice/wheedling voice/ingratiating voice/
猫に鰹節 [ねこにかつおぶし] /(exp) (id) temptation one can't resist/setting a wolf to mind the sheep/trusting a cat with milk/
猫に小判 [ねこにこばん] /(exp) (to cast) pearls before swine/really big waste of resources/
猫の額 [ねこのひたい] /(n) tiny/
猫の額のような [ねこのひたいのような] /(exp) very small (particularly of a room or flat)/
猫の子一匹居ない [ねこのこいっぴきいない] /(adj-i) completely deserted/
猫の手も借りたい [ねこのてもかりたい] /(n) extremely busy/lit: so busy one would even welcome the help of a cat/
猫の目 [ねこのめ] /(exp) (something) fickle/(something) very changeable/
猫ばば [ねこばば] /(n,vs) embezzlement/misappropriation/pocketing/stealing/
猫ひっかき病 [ねこひっかきびょう] /(n) cat scratch fever/
猫まんま [ねこまんま] /(n) (1) (sl) cat food/(2) dish of leftovers on rice/
猫もしゃくしも [ねこもしゃくしも] /(exp) anybody (without distinction)/every Tom, Dick and Harry/anything/
猫も杓子も [ねこもしゃくしも] /(exp) anybody (without distinction)/every Tom, Dick and Harry/anything/
猫をかぶる [ねこをかぶる] /(exp,v5r) to feign friendliness/to play the hypocrite/
猫を被る [ねこをかぶる] /(exp,v5r) to feign friendliness/to play the hypocrite/
猫可愛がり [ねこかわいがり] /(n,vs) doting on someone/
猫科 [ねこか] /(n,adj-no) cat family/Felidae/
猫火鉢 [ねこひばち] /(n) clay bed-warmer (cylindrical with holes in the sides, containing a brazier)/
猫額 [ねこびたい] /(n) (as small as a) cat's forehead/
猫額 [びょうがく] /(n) (as small as a) cat's forehead/
猫額大 [びょうがくだい] /(n) tiny/
猫額大の土地 [びょうがくだいのとち] /(n) narrow strip of land/
猫眼石 [ねこめいし] /(n) cat's-eye (semiprecious stone)/
猫義義 [ねこぎぎ] /(n) (uk) Pseudobagrus ichikawai (species of catfish)/
猫脚 [ねこあし] /(n) carved table leg with "ball and claw" foot/
猫嫌い [ねこぎらい] /(exp,adj-i) cat hater/cat hating/
猫股 [ねこまた] /(n) mythical two-tailed monster cat/
猫好き [ねこずき] /(exp,adj-f) cat lover/cat loving/
猫鮫 [ねこざめ] /(n) (uk) bullhead shark (esp. the Japanese bullhead shark, Heterodontus japonicus)/
猫耳 [ねこみみ] /(n) cat ears/
猫車 [ねこぐるま] /(n) wheelbarrow/
猫脊 [ねこぜ] /(n,adj-no) bent back/hunchback/stoop/
猫舌 [ねこじた] /(n) dislike of very hot food or drink/inability to take hot food/(P)/
猫草 [ねこくさ] /(n) (uk) cat grass (often Avena sativa)/catgrass/
猫足 [ねこあし] /(n) carved table leg with "ball and claw" foot/
猫属 [ねこぞく] /(n) the cat genus/
猫蚤 [ねこのみ] /(n) (uk) cat flea (Ctenocephalides felis)/
猫背 [ねこぜ] /(n,adj-no) bent back/hunchback/stoop/(P)/
猫板 [ねこいた] /(n) fireside board/
猫飯 [ねこまんま] /(n) (1) (sl) cat food/(2) dish of leftovers on rice/
猫飯 [ねこめし] /(n) (1) (sl) cat food/(2) dish of leftovers on rice/
猫被り [ねこかぶり] /(oK) (n,vs) feigned innocence or naivete/beguiling innocence/wolf in sheep's clothing/
猫撫で声 [ねこなでごえ] /(n) soft, coaxing voice/wheedling voice/ingratiating voice/
猫糞 [ねこばば] /(n,vs) embezzlement/misappropriation/pocketing/stealing/
猫又 [ねこまた] /(n) mythical two-tailed monster cat/
猫娘 [ねこむすめ] /(n) catgirl/character who looks, acts, etc. like a cat/
猫目石 [ねこめいし] /(n) cat's-eye (semiprecious stone)/
猫柳 [ねこやなぎ] /(n) rosegold pussy willow (Salix gracilistyla)/
猫要らず [ねこいらず] /(n) rat poison/
猫騙し [ねこだまし] /(n) slapping hands in front of opponent's face to confuse him (sumo)/
熱 [ねつ] /(n,n-suf) fever/temperature/(P)/
熱々 [あつあつ] /(adj-na,n,adj-no) (1) piping hot/(2) passionately in love/(P)/
熱い [あつい] /(adj-i) hot (thing)/(P)/
熱いものが込み上げる [あついものがこみあげる] /(exp,v1) to get teary-eyed/
熱い暗黒物質 [あついあんこくぶっしつ] /(n) hot dark matter/
熱い戦争 [あついせんそう] /(exp) hot war/
熱い仲 [あついなか] /(exp) mutual attraction/being in love./
熱が入る [ねつがはいる] /(exp,v5r,vi) to become keen on/to get passionate about/
熱さ [あつさ] /(n) heat (of a thing)/
熱し易い [ねっしやすい] /(adj-i) excitable/
熱す [ねす] /(v5s,vi) (arch) to get a fever/
熱する [ねっする] /(vs-s) to heat/to heat up/(P)/
熱っぽい [ねつっぽい] /(adj-i) (1) feverish/(2) enthusiastic/
熱の壁 [ねつのかべ] /(exp) heat barrier/
熱ばて [ねつばて] /(n) heat exhaustion/
熱り [ほてり] /(n,adj-no) (1) a glow/heat/(2) burning sensation/hot flash/
熱り [ほとぼり] /(n) (1) remaining heat/(2) residual excitement/(3) lingering enthusiasm/
熱りが冷める [ほとぼりがさめる] /(exp) (id) The heat is off/The excitement dies down/
熱り立つ [いきりたつ] /(v5t,vi) to get angry/to lose one's temper/
熱れ [いきれ] /(n) steamy, very warm temperature/
熱を上げる [ねつをあげる] /(exp,v1) to become enthusiastic/
熱を伝える [ねつをつたえる] /(exp,v1) to conduct heat/
熱エネルギー [ねつエネルギー] /(n) thermal energy/heat energy/
熱愛 [ねつあい] /(n,vs,adj-no) love passionately/ardent love/devotion/
熱愛者 [ねつあいしゃ] /(n) person who is very fond of something/
熱意 [ねつい] /(n) zeal/enthusiasm/(P)/
熱陰極 [ねついんきょく] /(n) hot cathode/
熱雲 [ねつうん] /(n) glowing cloud/
熱延 [ねつえん] /(n) hot rolling/
熱延鋼板 [ねつえんこうはん] /(n) hot-rolled steel sheet/
熱演 [ねつえん] /(n,vs) enthusiastic performance/
熱塩循環 [ねつえんじゅんかん] /(n) thermohaline circulation/
熱汚染 [ねつおせん] /(n) thermal pollution/
熱可塑 [ねつかそ] /(n) thermoplastic/
熱可塑樹脂 [ねつかそじゅし] /(n) thermoplastic resin/
熱可塑性 [ねつかそせい] /(n,adj-no) thermoplasticity/
熱外中性子 [ねつがいちゅうせいし] /(n) epithermal neutron/
熱拡散 [ねつかくさん] /(n) thermal diffusion/
熱核反応 [ねつかくはんのう] /(n) thermonuclear reaction/
熱感 [ねつかん] /(n) feverish/
熱願 [ねつがん] /(n,vs) ardent desire/
熱器具 [ねつきぐ] /(n) heater/
熱機関 [ねつきかん] /(n) heat engine/thermomotor/
熱気 [ねっき] /(n) heat/hot air/enthusiasm/(P)/
熱気 [ねつけ] /(n) feverish/
熱気球 [ねつききゅう] /(n) hot-air balloon/
熱球 [ねつきゅう] /(n) (baseball) smoking pitch/
熱狂 [ねっきょう] /(n,vs) wild enthusiasm/being crazy about/(P)/
熱狂者 [ねっきょうしゃ] /(n) enthusiast/
熱狂的 [ねっきょうてき] /(adj-na) wildly enthusiastic/crazy (about something)/
熱狂的信者 [ねっきょうてきしんじゃ] /(n) fanatic/
熱型 [ねっけい] /(n) type of fever/
熱血 [ねっけつ] /(n) hot blood/zeal/fervor/fervour/ardor/
熱血漢 [ねっけつかん] /(n) hot-blooded man/
熱血教師 [ねっけつきょうし] /(n) enthusiastic schoolteacher/
熱血児 [ねっけつじ] /(n) hot-blooded man/
熱血男児 [ねっけつだんじ] /(n) hot-blooded man/
熱圏 [ねつけん] /(n) thermosphere/
熱原子核 [ねつげんしかく] /(n) thermal nucleus/
熱源 [ねつげん] /(n) heat source/
熱固定 [ねつこてい] /(n) heat fixing/heat setting/
熱交換器 [ねつこうかんき] /(n) heat exchanger/
熱効率 [ねつこうりつ] /(n) thermal efficiency/
熱硬化 [ねつこうか] /(n,vs) thermosetting/
熱硬化剤 [ねつこうかざい] /(n) hardener (catalyst in hardening thermosetting materials)/
熱硬化物 [ねつこうかぶつ] /(n) thermosetting material (esp. plastics and resins)/
熱砂 [ねっさ] /(n) hot sand/
熱賛 [ねっさん] /(n) ardent praise/
熱射病 [ねっしゃびょう] /(n) heatstroke/
熱処理 [ねつしょり] /(n,vs) heat treatment/
熱傷 [ねっしょう] /(n) burn/
熱唱 [ねっしょう] /(n,vs) singing enthusiastically/
熱情 [ねつじょう] /(n,adj-no) ardour/
熱心 [ねっしん] /(adj-na,n) zeal/enthusiasm/(P)/
熱水 [ねっすい] /(n,adj-no) hot water or liquid (especially that below the surface of the earth)/
熱性 [ねっせい] /(n,adj-no) excitable disposition/
熱誠 [ねっせい] /(adj-na,n) earnestness/
熱設計電力 [ねつせっけいでんりょく] /(n) (comp) thermal design power/
熱戦 [ねっせん] /(n) fierce fighting/close contest/(P)/
熱線 [ねっせん] /(n) heat ray/line of heat/
熱損失 [ねつそんしつ] /(n) heat loss/thermal loss/
熱帯 [ねったい] /(n) tropics/(P)/
熱帯モンスーン気候 [ねったいモンスーンきこう] /(n) tropical monsoon climate/
熱帯医学 [ねったいいがく] /(n) tropical medicine/
熱帯雨林 [ねったいうりん] /(n) tropical forest/tropical rainforest/
熱帯雨林気候 [ねったいうりんきこう] /(n) tropical rain forest climate/
熱帯魚 [ねったいぎょ] /(n) tropical fish/(P)/
熱帯国 [ねったいこく] /(n) tropical country/
熱帯植物 [ねったいしょくぶつ] /(n) tropical plant/
熱帯多雨林 [ねったいたうりん] /(n) tropical wet forest/tropical rain forest/
熱帯低気圧 [ねったいていきあつ] /(n) tropical cyclone/
熱帯病 [ねったいびょう] /(n) tropical disease/
熱帯夜 [ねったいや] /(n) sultry night/sweltering night/night in which temperature doesn't fall below 25 degrees C/
熱帯林 [ねったいりん] /(n) tropical forest/
熱中 [ねっちゅう] /(n,vs) nuts!/enthusiasm/zeal/mania/(P)/
熱中症 [ねっちゅうしょう] /(n) heatstroke/
熱中性子 [ねつちゅうせいし] /(n) thermal neutron/
熱中性子炉 [ねつちゅうせいしろ] /(n) thermal-neutron reactor/
熱的死 [ねつてきし] /(n) heat death (i.e. of the universe)/
熱的低気圧 [ねつてきていきあつ] /(n) thermal low/heat low/
熱転写プリンタ [ねつてんしゃプリンタ] /(n) (comp) thermal wax transfer printer/
熱伝導 [ねつでんどう] /(n) heat conduction/
熱伝導率 [ねつでんどうりつ] /(n) thermal conductivity/
熱電子 [ねつでんし] /(n) thermion/
熱電対 [ねつでんつい] /(n) thermocouple/
熱度 [ねつど] /(n) degree of heat/temperature/enthusiasm/
熱湯 [あつゆ] /(n) warmer than usual bath/
熱湯 [ねっとう] /(n,adj-no) boiling water/(P)/
熱闘 [ねっとう] /(n) fierce fighting/
熱熱 [あつあつ] /(adj-na,n,adj-no) (1) piping hot/(2) passionately in love/
熱波 [ねっぱ] /(n) heat wave/
熱発 [ねっぱつ] /(n,vs) fever/
熱発生 [ねっぱつせい] /(n) calorification/thermogenesis/
熱疲労 [ねつひろう] /(n) (1) thermal fatigue (e.g. in structures)/(2) heat exhaustion/
熱疲憊 [ねつひはい] /(n) heat exhaustion/
熱病 [ねつびょう] /(n,adj-no) fever/febrile disease/(P)/
熱風 [ねっぷう] /(n) hot wind/
熱風炉 [ねっぷうろ] /(n) hot-blast stove/
熱分解 [ねつぶんかい] /(n,vs,adj-na) pyrolysis/thermolysis/thermal decomposition/thermal cracking/
熱弁 [ねつべん] /(n,adj-no) fervent speech/(P)/
熱放射 [ねつほうしゃ] /(n) thermal radiation/
熱望 [ねつぼう] /(n,vs) longing for/burning desire/
熱膨張係数 [ねつぼうちょうけいすう] /(n) thermal expansion coefficient/
熱容量 [ねつようりょう] /(n) heat capacity/
熱雷 [ねつらい] /(n) heat thunderstorm/
熱量 [ねつりょう] /(n) calorific value/quantity of heat/calorie/
熱量計 [ねつりょうけい] /(n) calorimeter/
熱力学 [ねつりきがく] /(n) thermodynamics/
熱力学の第０法則 [ねつりきがくのだいゼロほうそく] /(n) zeroth law of thermodynamics/
熱力学の第１法則 [ねつりきがくのだいいちほうそく] /(n) first law of thermodynamics/
熱力学の第２法則 [ねつりきがくのだいにほうそく] /(n) second law of thermodynamics/
熱力学の第３法則 [ねつりきがくのだいさんほうそく] /(n) third law of thermodynamics/
熱力学の第一法則 [ねつりきがくのだいいちほうそく] /(n) first law of thermodynamics/
熱力学の第三法則 [ねつりきがくのだいさんほうそく] /(n) third law of thermodynamics/
熱力学の第二法則 [ねつりきがくのだいにほうそく] /(n) second law of thermodynamics/
熱力学の第零法則 [ねつりきがくのだいゼロほうそく] /(n) zeroth law of thermodynamics/
熱力学の法則 [ねつりきがくのほうそく] /(n) law(s) of thermodyamics/
熱力学的 [ねつりきがくてき] /(adj-na) thermodynamic/
熱涙 [ねつるい] /(n) hot tears/
熱冷まし [ねつさまし] /(n) antifebrile/antipyretic/
熱烈 [ねつれつ] /(adj-na,n) ardent/passionate/vehement/(P)/
熱燗 [あつかん] /(n) hot sake/
年 [とし] /(n-adv,n) (1) year/(suf) (2) age/(P)/
年 [とせ] /(ctr) (arch) counter for years (following a number in the hito-futa-mi counting system)/
年 [ねん] /(n) (1) year (e.g. AD)/(ctr) (2) counter for years/
年々 [としどし] /(n-adv,n-t) years/year by year/annually/considering his age/
年々 [ねんねん] /(n-adv,n-t) years/year by year/annually/considering his age/(P)/
年々歳々 [ねんねんさいさい] /(adv,n) annually/every year/year in year out/from year to year/
年がいもない [としがいもない] /(exp,adj-i) unbecoming/unsuitable/disgraceful/wrong for one's age/unworthy of one's years/thoughtless for one's age/
年がいもなく [としがいもなく] /(exp,adv) (id) unbecoming to one's age/
年がら年中 [ねんがらねんじゅう] /(adv,n) all year round/year after year/
年が越せる [としがこせる] /(exp,v1) to able to enter the New Year (i.e. have work finished, debts paid, etc.)/
年が改まる [としがあらたまる] /(exp,v5r) the New Year begins/the New Year starts/
年が寄る [としがよる] /(exp,v5r) to grow old/
年が年 [としがとし] /(exp) considering this age/
年が年中 [ねんがねんじゅう] /(adv) all year round/year after year/
年が明ける [としがあける] /(exp,v1) the New Year begins/the New Year starts/
年が立つ [としがたつ] /(exp,v5t) (id) the New Year begins/
年ごとに [としごとに] /(adv) annually/every year/
年ごろ [としごろ] /(adv,n) (1) approximate age/apparent age/(2) marriageable age (esp. of a woman)/age of independence/age of adulthood/(3) (after modifying phrase) appropriate age (to ...)/old enough (to ...)/(n,n-adv) (4) (arch) for some years/
年で霞んだ目 [としでかすんだめ] /(n) eyes dimmed with age/
年に一度 [ねんにいちど] /(n) once a year/
年のいった [としのいった] /(exp,adj-f) older/elderly/
年のころ [としのころ] /(n) approximate age/age range/
年のわりに [としのわりに] /(exp) for one's age/
年の割に [としのわりに] /(exp) for one's age/
年の功 [としのこう] /(n) (arch) old-man's wisdom/
年の行った [としのいった] /(exp,adj-f) older/elderly/
年の頃 [としのころ] /(n) approximate age/age range/
年の市 [としのいち] /(n) year-end fair/
年の瀬 [としのせ] /(n) New Year's Eve/the year end/
年の豆 [としのまめ] /(n) beans of the bean-scattering ceremony/
年の暮 [としのくれ] /(io) (n) year end/
年の暮れ [としのくれ] /(n) year end/
年は争えない [としはあらそえない] /(exp) (id) Age will tell/
年ぶり [ねんぶり] /(exp) after an interval of ... years/for the first time in ... years/
年までに [ねんまでに] /(adv) before the year .../
年より [としより] /(n) (1) old people/the aged/(2) sumo coaches/
年を越す [としをこす] /(exp,v5s) to enter a new year/
年を取る [としをとる] /(exp,v5r) to grow old/to age/
年を拾う [としをひろう] /(exp,v5u) to grow old/
年を追う [としをおう] /(exp,v5u) as one gets on in their years/as the years pass/year after year/
年益 [ねんえき] /(n) annual profit/
年越 [としこし] /(io) (n,vs) New Year's Eve/end of the year/
年越し [としこし] /(n,vs) New Year's Eve/end of the year/
年越しそば [としこしそば] /(n) soba noodles eaten on New Year's Eve/
年越し蕎麦 [としこしそば] /(n) soba noodles eaten on New Year's Eve/
年越蕎麦 [としこしそば] /(n) soba noodles eaten on New Year's Eve/
年央 [ねんおう] /(n) mid-year/
年下 [としした] /(n,adj-no) younger/junior/(P)/
年賀 [ねんが] /(n) New Year's greetings/New Year's card/(P)/
年賀状 [ねんがじょう] /(n) New Year's card/(P)/
年賀郵便 [ねんがゆうびん] /(n) New Year's mail/
年賀葉書 [ねんがはがき] /(n) New Year's postcard/
年会 [ねんかい] /(n) conference/annual convention/(P)/
年会費 [ねんかいひ] /(n) annual fee/
年回 [ねんかい] /(n) anniversary service (in Buddhism)/
年回り [としまわり] /(n) age relationship/luck attending age/
年改まる [としあらたまる] /(exp,v5r) the New Year dawns/
年格好 [としかっこう] /(n) one's age/
年額 [ねんがく] /(n) yearly amount/(P)/
年掛け [としがけ] /(n) yearly payment/
年割り [ねんわり] /(n) annual rate/
年恰好 [としかっこう] /(n) one's age/
年刊 [ねんかん] /(n,adj-no) annual publication/year of publication/(P)/
年鑑 [ねんかん] /(n) yearbook/almanac/annual/(P)/
年間 [ねんかん] /(n-t) year (period of)/(P)/
年間計画 [ねんかんけいかく] /(n) year's plan/
年間収益 [ねんかんしゅうえき] /(n) yearly revenue/
年寄 [としより] /(n) (1) old people/the aged/(2) sumo coaches/
年寄り [としより] /(n) (1) old people/the aged/(2) sumo coaches/(P)/
年寄り子 [としよりご] /(n) child of one's age/
年寄り臭い [としよりくさい] /(n) slovenly like an old man/
年寄り染みた [としよりじみた] /(adj-f) characteristic of the aging (ageing)/
年寄り役 [としよりやく] /(n) senior's role/
年寄る [としよる] /(v5r,vi) to grow old/
年寄株 [としよりかぶ] /(n) sumo coaching license stock (licence)/
年寄衆 [としよりしゅう] /(n) (arch) elder chief of a village or town during Edo Period/
年寄名跡 [としよりみょうせき] /(n) (sumo) any of the 105 family names available to professional sumo coaches/
年忌 [ねんき] /(n) death anniversary/Buddhist anniversary service/
年期 [ねんき] /(n) (1) period of an apprentice's contract (usu. ten years)/(2) (abbr) apprenticeship/indentureship/indenture/(3) one-year period/
年期が入る [ねんきがはいる] /(exp,v5r) to become experienced (after many years of practice)/
年期者 [ねんきもの] /(n) apprentice/
年期奉公 [ねんきぼうこう] /(n) apprenticeship/indentureship/indenture/
年期明け [ねんきあけ] /(n) expiration of a term of service/
年季 [ねんき] /(n) (1) period of an apprentice's contract (usu. ten years)/(2) (abbr) apprenticeship/indentureship/indenture/
年季が入る [ねんきがはいる] /(exp,v5r) to become experienced (after many years of practice)/
年季奉公 [ねんきぼうこう] /(n) apprenticeship/indentureship/indenture/
年久しく [としひさしく] /(adv) for many years/anciently/
年休 [ねんきゅう] /(n) yearly paid vacation (holiday)/
年給 [ねんきゅう] /(n) annual salary/
年魚 [あゆ] /(n) (1) sweetfish (Plecoglossus altivelis altivelis)/
年魚 [ねんぎょ] /(n) (1) sweetfish (Plecoglossus altivelis altivelis)/(2) (arch) salmon/
年強 [としづよ] /(adj-na,n) being older or a senior/the first half of the year/
年強い [としづよい] /(n) child born in first half of the year/
年玉 [としだま] /(n) New Year's gift/
年金 [ねんきん] /(n,adj-no) annuity/pension/(P)/
年金基金 [ねんきんききん] /(n) pension fund/
年金手帳 [ねんきんてちょう] /(n) pension book/
年金受給者 [ねんきんじゅきゅうしゃ] /(n) a pensioner/
年金証書 [ねんきんしょうしょ] /(n) annuity bond/
年金制度 [ねんきんせいど] /(n) pension system (scheme)/
年金生活者 [ねんきんせいかつしゃ] /(n) pensioner/
年金保険 [ねんきんほけん] /(n) annuity insurance/
年金保険料 [ねんきんほけんりょう] /(n) insurance premium/pension contribution/
年型 [ねんがた] /(suf) (some year's) model/
年月 [としつき] /(n) months and years/(P)/
年月 [ねんげつ] /(n) months and years/(P)/
年月日 [ねんがっぴ] /(n) date/(P)/
年見 [としみ] /(n) Tohoku harvest divination event (14th night of the New Year)/
年限 [ねんげん] /(n) length of time/term/
年後 [ねんご] /(n-adv,n-t) years later/
年功 [ねんこう] /(n) long service/(P)/
年功加俸 [ねんこうかほう] /(n) long service allowance/longevity pay/
年功序列 [ねんこうじょれつ] /(n,adj-no) seniority by length of service/(P)/
年功序列制度 [ねんこうじょれつせいど] /(n) the seniority system/
年功制度 [ねんこうせいど] /(n) seniority rule/
年甲斐 [としがい] /(n) one's age/
年甲斐もない [としがいもない] /(exp,adj-i) unbecoming/unsuitable/disgraceful/wrong for one's age/unworthy of one's years/thoughtless for one's age/
年甲斐も無い [としがいもない] /(exp,adj-i) unbecoming/unsuitable/disgraceful/wrong for one's age/unworthy of one's years/thoughtless for one's age/
年貢 [ねんぐ] /(n) annual tribute/land tax/
年貢の納め時 [ねんぐのおさめどき] /(exp) time to pay the piper/lit: time to pay the land tax (in kind)/
年貢米 [ねんぐまい] /(n) annual rice tax/
年号 [ねんごう] /(n) name of an era/year number/(P)/
年頃 [としごろ] /(adv,n) (1) approximate age/apparent age/(2) marriageable age (esp. of a woman)/age of independence/age of adulthood/(3) (after modifying phrase) appropriate age (to ...)/old enough (to ...)/(n,n-adv) (4) (arch) for some years/(P)/
年頃日頃 [としごろひごろ] /(n) these days/
年差 [ねんさ] /(n) annual variation/
年祭 [ねんさい] /(n) anniversary/
年祭り [としまつり] /(n) annual festival/
年産 [ねんさん] /(n) annual production/(P)/
年産額 [ねんさんがく] /(n) annual production/
年始 [ねんし] /(n-t) New Year's call/beginning of the year/New Year's greetings/(P)/
年始回り [ねんしまわり] /(n) New Year's calls/
年始状 [ねんしじょう] /(n) New Year's card/
年始着 [ねんしぎ] /(n) (obsc) New Year's clothes/
年子 [としご] /(n) child born within a year of another/children born in consecutive years/
年歯 [としは] /(n,adj-no) age/years (old)/
年歯 [ねんし] /(n,adj-no) age/years (old)/
年次 [ねんじ] /(n) (1) annual/(2) fiscal year/school year/(suf) (3) year (in some sequence)/(P)/
年次総会 [ねんじそうかい] /(n) annual general meeting/AGM/
年次報告 [ねんじほうこく] /(n) chronological report/chronicle/
年次有給休暇 [ねんじゆうきゅうきゅうか] /(n) annual paid vacation/
年式 [ねんしき] /(n) model year (of an automobile, etc.)/
年若 [としわか] /(adj-na,n,adj-no) young/youthful/
年若い [としわかい] /(adj-i) young/youthful/
年弱 [としよわ] /(adj-na,n) child born in last half of the year/
年取った [としとった] /(adj-f) aged/(P)/
年取る [としとる] /(v5r,vi) to grow old/to age/
年収 [ねんしゅう] /(n) annual income/(P)/
年初 [ねんしょ] /(n-adv,n) beginning of the year/New Year's greetings/(P)/
年初来高値 [ねんしょらいたかね] /(n) yearly high (stocks)/
年女 [としおんな] /(n) Woman of the Year, referring to a woman born in a year with the same Chinese zodiac sign as the current year/
年商 [ねんしょう] /(n) yearly (annual) turnover/(P)/
年少 [ねんしょう] /(adj-na,n,adj-no) youth/
年少気鋭 [ねんしょうきえい] /(n,adj-no) being young and spirited/being young and full of go/
年少客気 [ねんしょうかっき] /(n,adj-no) youthful ardor/rash impulse of an inexperienced youth/
年少者 [ねんしょうしゃ] /(n) youth/minor/young people/
年上 [としうえ] /(n,adj-no) older/senior/(P)/
年振り [ねんぶり] /(exp) after an interval of ... years/for the first time in ... years/
年神 [としがみ] /(n) (1) kami celebrated at the beginning of New Year (usu. to pray for a good harvest)/(2) goddess of (lucky) directions/
年嵩 [としかさ] /(adj-na,n) senior/older/elderly/
年数 [ねんすう] /(n) number of years/(P)/
年生 [ねんせい] /(n) pupil in ... year/student in ... year/(P)/
年生まれ [ねんうまれ] /(exp,suf) born in .../
年盛り [としざかり] /(n) prime of life/
年税 [ねんぜい] /(n) annual tax/
年占 [としうら] /(n) divination that predicts the events of the whole year (esp. concerning crops)/
年租 [ねんそ] /(n) annual tax/
年相応 [としそうおう] /(n,adj-no) appropriateness for one's age/
年増 [としま] /(n) mature woman/middle-aged woman/
年増美人 [としまびじん] /(n) woman of mature beauty/
年代 [ねんだい] /(n) age/era/period/date/(P)/
年代記 [ねんだいき] /(n) annals/chronicle/chronology/
年代順 [ねんだいじゅん] /(n,adj-no) chronological order/
年代物 [ねんだいもの] /(n) antique/
年端 [としは] /(n,adj-no) age/years (old)/
年端もいかない [としはもいかない] /(exp,adj-i) of tender years/very young/
年端もいかぬ [としはもいかぬ] /(adj-f) of tender years/very young/
年端も行かない [としはもいかない] /(exp,adj-i) of tender years/very young/
年端も行かぬ [としはもいかぬ] /(adj-f) of tender years/very young/
年端月 [としはづき] /(n) (obsc) first lunar month/
年男 [としおとこ] /(n) Man of the Year, referring to a man born in a year with the same Chinese zodiac sign as the current year/(P)/
年中 [ねんじゅう] /(n-adv,n) whole year/always/everyday/(P)/
年中行事 [ねんじゅうぎょうじ] /(n) annual functions or events/
年中行事 [ねんちゅうぎょうじ] /(n) annual functions or events/
年中失言 [ねんじゅうしつげん] /(n) always saying the wrong thing/
年中発情期 [ねんちゅうはつじょうき] /(n) year-round mating season/
年中無休 [ねんじゅうむきゅう] /(n,adj-no) open every day of the year/
年長 [ねんちょう] /(adj-na,n) seniority/(P)/
年長ける [としたける] /(v1,vi) to grow old/
年長者 [ねんちょうしゃ] /(n) senior/elderly people/
年度 [ねんど] /(n,n-suf) year/fiscal year/school year/term/(P)/
年度初め [ねんどはじめ] /(n) beginning of the (fiscal) year/
年度末 [ねんどまつ] /(n) end of the fiscal year/
年頭 [としがしら] /(n) (1) the oldest person/(2) beginning of the year/
年頭 [ねんとう] /(n) (1) the oldest person/(2) beginning of the year/(P)/
年頭の誓い [ねんとうのちかい] /(n) New Year's resolution/
年頭教書 [ねんとうきょうしょ] /(n) State of the Union Address (USA)/
年内 [ねんない] /(n) by the end of the year/(P)/
年内に [ねんないに] /(adv) within the year/before the year is out/
年日付 [ねんひづけ] /(n) (comp) ordinal date/
年年 [としどし] /(n-adv,n-t) years/year by year/annually/considering his age/
年年 [ねんねん] /(n-adv,n-t) years/year by year/annually/considering his age/
年年歳歳 [ねんねんさいさい] /(adv,n) annually/every year/year in year out/from year to year/
年波 [としなみ] /(n) old age/oncoming age/
年輩 [ねんぱい] /(n,adj-no) elderly/age/years/(P)/
年輩者 [ねんぱいしゃ] /(n) elderly person/
年配 [ねんぱい] /(n,adj-no) elderly/age/years/(P)/
年配者 [ねんぱいしゃ] /(n) elderly person/
年百年中 [ねんびゃくねんじゅう] /(adv) throughout the year/all the year round/always/
年表 [えんぴょう] /(n) chronological tables/chronology/
年表 [ねんぴょう] /(n) chronological tables/chronology/(P)/
年譜 [ねんぷ] /(n) chronological record/(P)/
年賦 [ねんぷ] /(n) annual installment/annual instalment/
年払い [ねんばらい] /(n) yearly payment/annual payment/
年分 [ねんぶん] /(n) yearly amount/
年平均 [ねんへいきん] /(n,adj-f) annual average/annual mean/
年別 [ねんべつ] /(n) by years/
年甫 [ねんぽ] /(n) beginning of the year/
年暮れ [ねんくれ] /(n,suf) year end/
年暮れる [としくれる] /(exp,v1) the year ends/
年俸 [ねんぽう] /(n) annual salary/(P)/
年報 [ねんぽう] /(n) annual report/yearbook/
年忘れ [としわすれ] /(n) year-end drinking party/
年毎 [としごと] /(n-t) every year/year by year/
年毎に [としごとに] /(adv) annually/every year/
年末 [ねんまつ] /(n-adv,n-t) end-of-year/(P)/
年末まで [ねんまつまで] /(exp) before the end of this year/
年末賞与 [ねんまつしょうよ] /(n) year-end bonus/bonus salary given at the end of the year/
年末調整 [ねんまつちょうせい] /(n) year-end tax adjustment/
年末年始 [ねんまつねんし] /(n) the New Year's holiday/the period encompassing the close of the old year and the start of the new year/
年末迄 [ねんまつまで] /(exp) before the end of this year/
年明け [としあけ] /(n) (1) beginning of the year/early in the New Year/
年明け [ねんあけ] /(n) (1) beginning of the year/early in the New Year/(2) expiration of a term of service/(P)/
年明ける [としあける] /(exp,v1) the New Year dawns/
年目 [ねんめ] /(suf) -th year (11th year, 2nd year, 3rd year, etc.)/
年余 [ねんよ] /(n) more than a year/
年来 [ねんらい] /(n-adv,n-t) for some years/(P)/
年落ち [ねんおち] /(n) years since produced (of cars)/
年利 [ねんり] /(n) annual interest rate/
年率 [ねんりつ] /(n) annual rate (of interest)/(P)/
年輪 [ねんりん] /(n) annual tree ring/(P)/
年輪気候学 [ねんりんきこうがく] /(n) dendroclimatology/tree-ring climatology/
年輪史学 [ねんりんしがく] /(n) dendrochronology/
年令 [ねんれい] /(n) age/years/
年礼 [ねんれい] /(n) New Year's greetings/
年齢 [ねんれい] /(n) age/years/(P)/
年齢給 [ねんれいきゅう] /(n) salary based on age/
年齢差 [ねんれいさ] /(n) age difference/
年齢差別 [ねんれいさべつ] /(n,adj-no) age discrimination/agism/
年齢順 [ねんれいじゅん] /(n) by priority of age/
年齢制限 [ねんれいせいげん] /(n) age limit/age limits/
年齢層 [ねんれいそう] /(n) age range/age-group/age bracket/(P)/
年齢相応 [ねんれいそうおう] /(n,adj-no) (appropriate for) one's age/
年老 [としおい] /(n) old person/
年老い [としおい] /(n) old person/
年老いる [としおいる] /(v1) to grow old/
念 [ねん] /(n) sense/idea/thought/feeling/desire/concern/attention/care/(P)/
念々 [ねんねん] /(n) continually thinking about something/
念う [おもう] /(v5u,vt) (1) to think/to consider/to believe/(2) to think (of doing)/to plan (to do)/(3) to judge/to assess/to regard/(4) to imagine/to suppose/to dream/(5) to expect/to look forward to/(6) to feel/to desire/to want/(7) to recall/to remember/
念じる [ねんじる] /(v1,vt) to have in mind/to be anxious about/to pray silently/
念ずる [ねんずる] /(vz,vt) to pray silently/to have in mind/to be anxious about/
念には念を入れよ [ねんにはねんをいれよ] /(exp) (id) Make assurance double sure/
念のため [ねんのため] /(adv) (just) making sure/just to be sure/
念の為 [ねんのため] /(adv) (just) making sure/just to be sure/
念の入れ方 [ねんのいれかた] /(n) caution/
念を押す [ねんをおす] /(exp,v5s) to make sure of/to call attention to/to emphasize/to emphasise/
念を入れる [ねんをいれる] /(exp,v1) to pay attention to/
念押し [ねんおし] /(n,vs) reminder/
念願 [ねんがん] /(n,vs,adj-no) one's heart's desire/earnest petition/(P)/
念願成就 [ねんがんじょうじゅ] /(n,vs) attainment of one's most cherished desire/one's earnest prayer being answered/
念五日 [ねんごにち] /(n) (1) 25th of the month/(2) 25 days/
念校 [ねんこう] /(n) the very final proof (printing)/
念持仏 [ねんじぶつ] /(n) (obsc) Buddhist image used as jewellery or to decorate one's home/
念写 [ねんしゃ] /(n) spirit photography/psychic photography/thoughtography/
念写 [ねんず] /(n) spirit photography/psychic photography/thoughtography/
念者 [ねんしゃ] /(n) (1) careful and thorough person/
念者 [ねんじゃ] /(n) (1) careful and thorough person/(2) older male in an homosexual relationship/
念珠 [ねんじゅ] /(n) (Buddhist) rosary/
念書 [ねんしょ] /(n) written pledge/signed note of assurance/memorandum/legal instrument/(P)/
念人 [ねんじん] /(n) (1) assistant in a duel (e.g. a cockfight, poetry contest, etc.) (Heian period)/(2) older male in an homosexual relationship/
念人 [ねんにん] /(n) (1) assistant in a duel (e.g. a cockfight, poetry contest, etc.) (Heian period)/(2) older male in an homosexual relationship/
念晴し [ねんばらし] /(n) clearing one's heart of doubts/reassuring oneself/
念晴らし [ねんばらし] /(n) clearing one's heart of doubts/reassuring oneself/
念頭 [ねんとう] /(n) mind/(P)/
念頭にうかぶ [ねんとうにうかぶ] /(exp,v5b) occur to one/cross one's mind/
念頭におく [ねんとうにおく] /(exp,v5k) to give thought to/to bear in mind/to keep in mind/
念頭に置く [ねんとうにおく] /(exp,v5k) to give thought to/to bear in mind/to keep in mind/
念頭に浮かぶ [ねんとうにうかぶ] /(exp,v5b) occur to one/cross one's mind/
念動 [ねんどう] /(n) telekinesis/psychokinesis/
念入り [ねんいり] /(adj-na,n) careful/scrupulous/thorough/conscientious/(P)/
念入れ [ねんいれ] /(n) care/scrupulousness/conscientiousness/
念念 [ねんねん] /(n) continually thinking about something/
念発火能力 [ねんはっかのうりょく] /(n) pyrokinesisis/
念仏 [ねんぶつ] /(n,vs) Buddhist prayer/prayer to Amitabha/(P)/
念仏を唱える [ねんぶつをとなえる] /(exp,v1) to chant (repeat) the name of Buddha/
念仏往生 [ねんぶつおうじょう] /(n,vs) passing away peacefully to be reborn in Paradise through invocation of Amitabha/
念仏三昧 [ねんぶつざんまい] /(n) being deep in (Buddhist) prayer/praying devoutly to Amida Buddha/
念友 [ねんゆう] /(n) older male in an homosexual relationship/
念力 [ねんりき] /(n) (1) will-power/faith/(2) telekinesis/psychokinesis/(P)/
念話 [ねんわ] /(n) (col) (m-sl) telepathic communication/
念誦 [ねんじゅ] /(n,vs) (Buddh) invocation/
捻くり回す [ひねくりまわす] /(v5s,vt) to twist/to twirl/
捻くる [ひねくる] /(v5r,vt) to twirl/to spin/to fiddle with/to change wording/
捻くれる [ひねくれる] /(v1,vi) to be contrary/to be uncooperative/to be rebellious/
捻じる [ねじる] /(io) (v5r,vt) (1) (uk) to screw/to twist/(2) to distort/to parody/to make a pun/(3) to torture/to wrest/
捻じれる [ねじれる] /(v1,vi) (uk) to twist/to wrench/to screw/
捻じ桔梗 [ねじききょう] /(n) Chinese bellflower (slightly screwed)/
捻じ向ける [ねじむける] /(v1,vt) to twist/
捻じ伏せる [ねじふせる] /(v1,vt) to hold down/to twist one's arm/
捻り [ひねり] /(n) twist/spin/
捻り手 [ひねりて] /(n) twisting techniques (sumo)/
捻り出す [ひねりだす] /(v5s,vt) to work out/to think up/to devise/to manage (somehow)/to summon up (e.g. courage)/
捻り潰す [ひねりつぶす] /(v5s,vt) to pinch and crush/to pinch out/
捻る [ねじる] /(v5r,vt) (1) (uk) to screw/to twist/(2) to distort/to parody/to make a pun/(3) to torture/to wrest/
捻る [ひねる] /(v5r,vt) (1) to twist/to wrench/to turn (a switch on or off, etc.)/to wring (a neck)/(2) to puzzle over/(3) to defeat easily/(P)/
捻れる [ねじれる] /(v1,vi) (uk) to twist/to wrench/to screw/
捻向ける [ねじむける] /(io) (v1,vt) to twist/
捻挫 [ねんざ] /(n,vs) sprain/(P)/
捻子 [ねじ] /(n) (1) (uk) screw/(2) key (of a clock, watch, etc.)/spring (of a clock, watch, etc.)/
捻出 [ねんしゅつ] /(n,vs) contriving (to raise funds)/working out (a solution)/
捻転 [ねんてん] /(n,vs) twisting/torsion/
捻伏せる [ねじふせる] /(v1,vt) to hold down/to twist one's arm/
撚り [ひねり] /(n) twist/spin/
撚り [より] /(n) twist/ply/
撚り合せる [よりあわせる] /(v1,vt) to intertwine/to twist together/
撚り合わせる [よりあわせる] /(v1,vt) to intertwine/to twist together/
撚り糸 [よりいと] /(n) twisting (thread, etc.)/twisted yarn/twisted thread/twine/
撚る [ひねる] /(v5r,vt) (1) to twist/to wrench/to turn (a switch on or off, etc.)/to wring (a neck)/(2) to puzzle over/(3) to defeat easily/
撚る [よる] /(v5r,vt) to twist (yarn)/to lay (rope)/
撚糸 [ねんし] /(n) twisted thread or yarn/twining of thread or yarn/
撚翅 [ねじればね] /(n) (uk) strepsipteran/
燃えかす [もえかす] /(n) cinders/
燃えさかる [もえさかる] /(v5r,vi) to blaze/to burn brightly/
燃えつく [もえつく] /(v5k,vi) to catch fire/to ignite/
燃える [もえる] /(v1,vi) to burn/to get fired up/(P)/
燃え移る [もえうつる] /(v5r) (of fire) to spread/to extend itself/
燃え殻 [もえがら] /(n) embers/cinders/
燃え広がる [もえひろがる] /(v5r,vi) to spread (flames)/
燃え差し [もえさし] /(n) embers/
燃え残り [もえのこり] /(n) embers/
燃え種 [もえぐさ] /(n) kindling/
燃え出す [もえだす] /(v5s,vi) to catch fire/
燃え上がる [もえあがる] /(v5r,vi) to flare up/to burst into flames/(P)/
燃え尽きる [もえつきる] /(v1,vi) to burn out/
燃え尽き症候群 [もえつきしょうこうぐん] /(n) burnout syndrome/
燃え盛る [もえさかる] /(v5r,vi) to blaze/to burn brightly/
燃え付く [もえつく] /(v5k,vi) to catch fire/to ignite/
燃え立つ [もえたつ] /(v5t,vi) to blaze up/to burn up/
燃え滓 [もえかす] /(n) cinders/
燃す [もす] /(v5s,vt) to burn/
燃す [もやす] /(v5s,vt) to burn/
燃やす [もやす] /(v5s,vt) to burn/(P)/
燃ゆる水 [もゆるみず] /(exp) (arch) petroleum/
燃ゆる土 [もゆるつち] /(exp) (arch) coal/peat/
燃焼 [ねんしょう] /(n,vs) burning/combustion/(P)/
燃焼炉 [ねんしょうろ] /(n) combustion furnace/
燃素 [ねんそ] /(n) phlogiston/
燃燈仏 [ねんとうぶつ] /(n) (Buddh) Dipankara Buddha/Dipankara (the lamp bearer)/
燃費 [ねんぴ] /(n) fuel consumption/gas mileage/(P)/
燃費基準 [ねんぴきじゅん] /(n) fuel economy standards/
燃付く [もえつく] /(v5k,vi) to catch fire/to ignite/
燃木 [もえぎ] /(n) (1) (obsc) burning wood/(2) (obsc) firewood/
燃立つ [もえたつ] /(v5t,vi) to blaze up/to burn up/
燃料 [ねんりょう] /(n) fuel/(P)/
燃料ペレット [ねんりょうペレット] /(n) fuel pellet (e.g. nuclear)/
燃料集合体 [ねんりょうしゅうごうたい] /(n) fuel assembly (nuclear reactor)/
燃料切れ [ねんりょうぎれ] /(n) out of fuel/
燃料電池 [ねんりょうでんち] /(n) fuel cell/
燃料電池車 [ねんりょうでんちしゃ] /(n) fuel-cell car/fuel-cell vehicle/
燃料費 [ねんりょうひ] /(n) fuel expenses/cost of fuel/
燃料不足 [ねんりょうぶそく] /(n) fuel shortage/
燃料噴射 [ねんりょうふんしゃ] /(n) fuel injection/
燃料棒 [ねんりょうぼう] /(n) (nuclear reactor's) fuel rod/
粘々 [ねばねば] /(adj-na,adv,n,vs) (uk) stickiness/
粘い [ねばい] /(adj-i) sticky/
粘っこい [ねばっこい] /(adj-i) sticky/stiff/tenacious/persistent/
粘つく [ねばつく] /(v5k) to be sticky/to be stringy/to be glutinous/
粘り [ねばり] /(n) stickiness/viscosity/(P)/
粘り気 [ねばりけ] /(n) stickiness/
粘り強い [ねばりづよい] /(adj-i) tenacious/persevering/persistent/stubborn/steadfast/(P)/
粘り腰 [ねばりごし] /(n) strong pelvis or hips/
粘り着く [ねばりつく] /(v5k,vi) to be sticky/
粘り抜く [ねばりぬく] /(v5k,vi) to stick it out/to see it to the end/
粘る [ねばる] /(v5r,vi) to be sticky/to be adhesive/to persevere/to persist/to stick to/(P)/
粘液 [ねんえき] /(n,adj-no) mucus/mucilage/viscous liquid/phlegm/
粘液質 [ねんえきしつ] /(n) phlegmatic temperament/
粘液水腫 [ねんえきすいしゅ] /(n,adj-no) myxedema/myxoedema/
粘液腺 [ねんえきせん] /(n) mucous gland/
粘液分泌腺 [ねんえきぶんぴせん] /(n) mucus gland/
粘液分泌腺 [ねんえきぶんぴつせん] /(n) mucus gland/
粘液便 [ねんえきべん] /(n) mucous feces/mucous stool/
粘菌 [ねんきん] /(n) myxomycete/slime mold/
粘性 [ねんせい] /(n,adj-no) viscosity/
粘性率 [ねんせいりつ] /(n) viscosity (coefficient)/dynamic viscosity (coefficient)/
粘弾性 [ねんだんせい] /(n,adj-no) viscoelasticity/
粘着 [ねんちゃく] /(n,vs) cohesion/adhesion/(P)/
粘着ゴム [ねんちゃくゴム] /(n) adhesive gum/adhesive putty/blutack/blu-tack/fun-tak/
粘着テープ [ねんちゃくテープ] /(n) adhesive tape/sticky tape/
粘着剤 [ねんちゃくざい] /(n,adj-na) adhesive/agglutinant/pressure sensitive adhesive/
粘着性 [ねんちゃくせい] /(n) adhesion/stickiness/viscosity/
粘着力 [ねんちゃくりょく] /(n) adhesive power/viscosity/
粘度 [ねんど] /(n) viscosity/
粘度計 [ねんどけい] /(n) viscometer/
粘土 [ねばつち] /(n) clay/
粘土 [ねんど] /(n) clay/(P)/
粘土鉱物 [ねんどこうぶつ] /(n) clay mineral/
粘土作り [ねんどずくり] /(adj-no) made of clay/
粘土質 [ねんどしつ] /(n,adj-no) slimy/clay-like/
粘土層 [ねんどそう] /(exp) layer of clay/clay stratum/
粘土団子 [ねんどだんご] /(n) seed ball ("natural farming" technique)/
粘粘 [ねばねば] /(adj-na,adv,n,vs) (uk) stickiness/(P)/
粘板岩 [ねんばんがん] /(n) clay rock/slate/
粘付く [ねばつく] /(v5k) to be sticky/to be stringy/to be glutinous/
粘膜 [ねんまく] /(n,adj-no) mucous membrane/(P)/
粘膜下層 [ねんまくかそう] /(n) submucosa/
粘膜癌 [ねんまくがん] /(n) mucosal cancer/mucosal carcinoma/
粘稠 [ねんちゅう] /(adj-na,n) viscous/
乃 [の] /(prt) (1) (uk) indicates possessive/(2) verb and adjective nominalizer (nominaliser)/(3) substituting for "ga" in subordinate phrases/(4) indicates a confident conclusion/(5) emotional emphasis (sentence end) (fem)/(6) indicates question (sentence end)/(P)/
乃ち [すなわち] /(adv,conj) (uk) that is/namely/i.e./
乃公 [おれ] /(pn,adj-no) (male) I/me (rough or arrogant-sounding first-person pronoun, formerly also used by women)/
乃公 [だいこう] /(pn,adj-no) (male) I/me (rough or arrogant-sounding first-person pronoun, formerly also used by women)/
乃公 [ないこう] /(pn,adj-no) (male) I/me (rough or arrogant-sounding first-person pronoun, formerly also used by women)/
乃至 [ないし] /(conj) (1) from ... to/between ... and/(2) or/(P)/
乃父 [だいふ] /(n) father/
之 [これ] /(pn) (1) (uk) this (indicating an item near the speaker, the action of the speaker, or the current topic)/(2) (hum) this person (usu. indicating someone in one's in-group)/(3) now/(4) (arch) here/(5) (arch) I (me)/(6) (arch) certainly/
之 [の] /(prt) (arch) possessive (used on tombs, etc.)/
之れ [これ] /(pn) (1) (uk) this (indicating an item near the speaker, the action of the speaker, or the current topic)/(2) (hum) this person (usu. indicating someone in one's in-group)/(3) now/(4) (arch) here/(5) (arch) I (me)/(6) (arch) certainly/
之繞 [しんにゅう] /(n) kanji "advance" radical/shin'nyou/shin'nyuu/
之繞 [しんにょう] /(n) kanji "advance" radical/shin'nyou/shin'nyuu/
之繞を掛ける [しんにゅうをかける] /(exp,v1) to exaggerate/
埜 [ぬ] /(ok) (n) (1) plain/field/
埜 [の] /(n) (1) plain/field/(2) hidden (structural) member/(n-pref) (3) wild/
埜 [や] /(n) (1) plain/field/(2) lacking a political post/
嚢 [ふくろ] /(n) (1) bag/sack/(2) skin of an orange (and other like fruits)/(3) dead end/(4) plot of land surrounded by water/
嚢腫 [のうしゅ] /(n) cyst/
嚢状 [のうじょう] /(adj-no,n) saclike/saccate/saccular/
嚢中 [のうちゅう] /(n) in a bag or one's purse/
嚢中の錐 [のうちゅうのきり] /(exp) (id) cream rises to the top/a drill in a bag (will always poke through)/
嚢胞 [のうほう] /(n) cyst/
嚢胞性繊維症 [のうほうせいせんいしょう] /(n) cystic fibrosis/mucoviscidosis/
悩ましい [なやましい] /(adj-i) (1) seductive/carnal/enchanting/(2) troubling/difficult/thorny/hard/(3) anxious/uneasy/
悩ましげ [なやましげ] /(adj-na) languishing/yearning/desiring/
悩ます [なやます] /(v5s,vt) to afflict/to torment/to harass/to molest/(P)/
悩み [なやみ] /(n) trouble/troubles/worry/distress/sorrows/anguish/agony/problem/(P)/
悩みごと [なやみごと] /(n) something causing worry/
悩みの種 [なやみのたね] /(n) cause of annoyance/
悩み事 [なやみごと] /(n) worry/matter causing distress/
悩む [なやむ] /(v5m) to be worried/to be troubled/(P)/
悩殺 [のうさつ] /(n,vs) fascinate/bewitch/enchant/
悩乱 [のうらん] /(n,vs) worry/anguish/
濃 [こ] /(pref) dark/thick/
濃い [こい] /(adj-i) (1) deep (colour)/dark/(2) strong (flavour, smell, etc.)/(3) thick (consistency)/dense/(4) strong (possibility, etc.)/(5) thick (i.e. "as thick as thieves")/close/deep (love, etc.)/(P)/
濃いひげ [こいひげ] /(n) dense beard/thick beard/
濃いめ [こいめ] /(adv,adj-no) strongish/somewhat strong/
濃いスープ [こいスープ] /(n) thick soup/
濃いヒゲ [こいヒゲ] /(n) dense beard/thick beard/
濃い口醤油 [こいくちしょうゆ] /(n) strong soy sauce/
濃い作り [こいつくり] /(n) heavy makeup/
濃い仲 [こいなか] /(n) (col) (obsc) thick (with)/bound by love/
濃い髭 [こいひげ] /(n) dense beard/thick beard/
濃い目 [こいめ] /(adv,adj-no) strongish/somewhat strong/
濃がある [こくがある] /(iK) (exp,v5r-i) (1) (uk) deep (colour)/(2) thick (liquid, fluid)/(3) full-bodied, rich (flavour)/
濃のある [こくのある] /(iK) (exp,v5r-i) (1) (uk) deep (colour)/(2) thick (liquid, fluid)/
濃やか [こまやか] /(adj-na,n) friendly/heartfelt/tender/
濃グレー [のうグレー] /(n) dark gray/dark grey/
濃煙 [のうえん] /(n) thick smoke/
濃艶 [のうえん] /(adj-na,n) charming/bewitching/enchanting/
濃化 [のうか] /(n,vs) thicken/concentrate/
濃褐色 [のうかっしょく] /(adj-na) dark brown/
濃厚 [のうこう] /(adj-na,n) (1) density/richness/concentration/tension/passion/(2) possibility/likelihood/(P)/
濃口醤油 [こいくちしょうゆ] /(n) dark soy sauce/
濃紺 [のうこん] /(n) dark blue/(P)/
濃紫 [こむらさき] /(n) dark purple/
濃集 [のうしゅう] /(n) concentration (of minerals)/
濃縮 [のうしゅく] /(n,vs,adj-no) concentration (of a solution)/(P)/
濃縮ウラン [のうしゅくウラン] /(n) enriched uranium/
濃縮還元 [のうしゅくかんげん] /(exp) (of juice, etc.) "from concentrate"/
濃水 [こみず] /(ok) (n) (arch) rice water/
濃青色 [のうせいしょく] /(adj-na) dark blue/
濃染月 [こぞめづき] /(n) eighth lunar month/
濃淡 [のうたん] /(n) light and shade/shade (of colour, color)/(P)/
濃淡画像 [のうたんがぞう] /(n) gray-scale image/grey-scale image/
濃茶 [こいちゃ] /(n) exceptionally dark, opaque matcha/
濃度 [のうど] /(n) (1) concentration/thickness/density/(2) cardinality/(P)/
濃度計 [のうどけい] /(n) densitometer/
濃桃 [のうとう] /(n) deep pink/
濃密 [のうみつ] /(adj-na,n) (1) thick/rich (as in taste or content)/(2) crowded/
濃霧 [のうむ] /(n) heavy fog/dense fog/thick fog/(P)/
濃餅 [のっぺ] /(n) soup with fried tofu, shiitake mushrooms, carrots, sweet potatoes and daikon flavored with salt or soy sauce and thickened with potato starch/
濃餅 [のっぺい] /(n) soup with fried tofu, shiitake mushrooms, carrots, sweet potatoes and daikon flavored with salt or soy sauce and thickened with potato starch/
濃餅汁 [のっぺいじる] /(n) soup with fried tofu, shiitake mushrooms, carrots, sweet potatoes and daikon flavored with salt or soy sauce and thickened with potato starch/
濃藍 [こあい] /(n) deep indigo/
濃藍色 [のうらんしょく] /(n,adj-no) dark indigo/
濃硫酸 [のうりゅうさん] /(n) concentrated sulfuric acid/concentrated sulphuric acid/
濃緑色 [のうりょくしょく] /(adj-na) dark green/
濃漿 [こみず] /(ok) (n) (arch) rice water/
濃漿 [こんず] /(n) (arch) rice water/
納まらない [おさまらない] /(adj-i) feeling grieved/unsatisfied/
納まり [おさまり] /(n) conclusion/end/settlement/
納まり返る [おさまりかえる] /(v5r,vi) to be satisfied with one's position/to be quite content/
納まる [おさまる] /(v5r,vi) (1) to be in one's place/to be installed/to settle into/(2) to be delivered/to be obtained/to be paid/(3) to be settled/to be sorted out/(4) to lessen (e.g. of storms, pain)/to calm down/(5) to be fit tightly into (e.g. a frame)/to be sheathed (in a scabbard)/(P)/
納め [おさめ] /(n,n-suf,adj-no) the last/the end/the closing/
納める [おさめる] /(v1,vt) (1) to dedicate/to make an offering/to pay (fees)/(2) to supply/(3) to store/(4) to finish/to bring to a close/(5) to restore (something to its place)/(6) to achieve (e.g. a result)/(P)/
納め札 [おさめふだ] /(n) (1) votive card or tablet/(2) (arch) treasury or granary receipt statement/
納屋 [なや] /(n) shed/barn/outhouse/(P)/
納会 [のうかい] /(n) the last meeting (of the year, the term, etc.)/
納棺 [のうかん] /(n,vs) placing of body in coffin/
納期 [のうき] /(n) appointed day of delivery/time for payment/
納期回答 [のうきかいとう] /(n) available to promise (i.e. a product is in stock and can be promised to a buyer)/ATP/
納金 [のうきん] /(n,vs) payment/(P)/
納経 [のうきょう] /(n) presenting a copied sutra to a temple (or money, etc. in its place)/
納経帳 [のうきょうちょう] /(n) book of stamps (each confirming donation to a temple on a pilgrimage)/
納戸 [なんど] /(n) back room/closet/storage room/
納戸色 [なんどいろ] /(n) grayish blue/greyish blue/
納骨 [のうこつ] /(n,vs,adj-no) laying (a person's) ashes to rest/depositing ashes/
納骨堂 [のうこつどう] /(n) crypt/charnel house/
納采 [のうさい] /(n) betrothal gift/
納札 [のうさつ] /(n,vs) votive card or tablet/
納受 [のうじゅ] /(n,vs) acceptance/reception/
納所 [なっしょ] /(n) temple office (for receiving offerings or donations)/(historical) office for storing land taxes/
納税 [のうぜい] /(n,vs) payment of taxes/(P)/
納税額 [のうぜいがく] /(n) amount of tax due/
納税義務 [のうぜいぎむ] /(n) tax liability/
納税義務者 [のうぜいぎむしゃ] /(n) taxpayer/
納税者 [のうぜいしゃ] /(n) taxpayer/
納税者証明番号 [のうぜいしゃしょうめいばんごう] /(n) tax identification number/TIN/
納税証明書 [のうぜいしょうめいしょ] /(n) tax payment certification/certificate of tax payment/
納税申告 [のうぜいしんこく] /(n) income tax return/
納税申告書 [のうぜいしんこくしょ] /(n) income tax return certificate/tax return certificate/
納税通知書 [のうぜいつうちしょ] /(n) tax notice/
納刀 [のうとう] /(n,vs) (MA) maneuver to return a sword to its scabbard/
納豆 [なっとう] /(n) natto (fermented soybeans)/(P)/
納豆菌 [なっとうきん] /(n) bacillus subtilis natto/
納豆汁 [なっとうじる] /(n) miso soup with natto/
納得 [なっとく] /(n,vs) consent/assent/understanding/agreement/comprehension/grasp/(P)/
納得がいく [なっとくがいく] /(exp,v5k-s) to understand and accept as valid (of a thought, action, etc.)/to be satisfied with/
納得が行く [なっとくがいく] /(exp,v5k-s) to understand and accept as valid (of a thought, action, etc.)/to be satisfied with/
納得ずく [なっとくずく] /(n) having consent (e.g. to do something)/having (someone's) assent/
納得づく [なっとくづく] /(n) having consent (e.g. to do something)/having (someone's) assent/
納得尽く [なっとくずく] /(n) having consent (e.g. to do something)/having (someone's) assent/
納入 [のうにゅう] /(n,vs) payment/supply/(P)/
納入会社 [のうにゅうがいしゃ] /(n) supplier (company)/
納入業者 [のうにゅうぎょうしゃ] /(n) (comp) supplier/provider/vendor/
納杯 [のうはい] /(n) last cup (at a banquet)/
納品 [のうひん] /(n,vs) delivery of goods/
納品書 [のうひんしょ] /(n) statement of delivery/
納付 [のうふ] /(n,vs) payment/supply/(P)/
納付期限 [のうふきげん] /(n) deadline for payment/
納付金 [のうふきん] /(n) contribution/
納付者 [のうふしゃ] /(n) payer/
納付書 [のうふしょ] /(n) statement of payment (delivery)/
納付命令 [のうふめいれい] /(n) payment order/
納本 [のうほん] /(n,vs) delivery of books/presentation copy/
納本図書館 [のうほんとしょかん] /(n) (comp) deposit library/
納涼 [のうりょう] /(n) (enjoying the) cool of the evening/
能 [のう] /(n,n-suf) (1) talent/gift/function/(2) noh (theatre)/(P)/
能ある鷹は爪を隠す [のうあるたかはつめをかくす] /(exp) (id) a wise man keeps some of his talents in reserve/one shouldn't show off/the person who knows most often says least/a skilled hawk hides its talons/
能う [よう] /(adv) (1) (uk) well/properly/skillfully/(2) often/
能がない [のうがない] /(adj-i) incompetent/have no merit/
能が無い [のうがない] /(adj-i) incompetent/have no merit/
能く [よく] /(adv) (1) (uk) nicely/properly/well/skillfully/(2) frequently/often/
能くする [よくする] /(vs-s,vt) (1) (uk) to make good/to improve/(2) to do often/(3) to do well/
能く能く [よくよく] /(adv) (uk) exceedingly/very/
能なし [のうなし] /(n) (1) incompetence/ne'er-do-well/(adj-no) (2) incompetent/dimwitted/brainless/
能なし犬の高吠え [のうなしいぬのたかぼえ] /(exp) (id) (obsc) a barking dog seldom bites (meaning those who make the most noise have the least talent)/
能のない [のうのない] /(adj-i) incompetent/
能わず [あたわず] /(aux-v) unable to do/impossible to do/
能を演ずる [のうをえんずる] /(exp,vz) to play a noh drama/
能格動詞 [のうかくどうし] /(n) (ling) ergative verb/
能楽 [のうがく] /(n) Noh play/(P)/
能楽堂 [のうがくどう] /(n) Noh theatre/Noh theater/
能掛かり [のうがかり] /(n) resembling a noh performance/
能管 [のうかん] /(n) noh flute (transverse bamboo flute with seven holes; approx. 39 cm long)/
能記 [のうき] /(n) (ling) signifier/
能狂言 [のうきょうげん] /(n) noh farce/noh interlude/
能事 [のうじ] /(n) one's work/
能所 [のうじょ] /(n) (Buddh) subject and object/activity and passivity/
能書 [のうしょ] /(n) excellent calligraphy/calligraphy/
能書き [のうがき] /(n) advertising the excellence of one's wares/boasting/
能相 [のうそう] /(n) (ling) the active/active voice/
能装束 [のうしょうぞく] /(n) Noh costume/
能太夫 [のうだゆう] /(n) high-ranking noh actor/head of a noh school/
能天気 [のうてんき] /(adj-na) optimistic/thoughtless/insolent/
能転気 [のうてんき] /(adj-na) optimistic/thoughtless/insolent/
能登半島 [のとはんとう] /(n) peninsula in Ishikawa Prefecture/
能動 [のうどう] /(n) active/(P)/
能動衛星 [のうどうえいせい] /(n) active satellite/
能動喫煙 [のうどうきつえん] /(n) active smoking (i.e. first-hand smoking)/
能動光学 [のうどうこうがく] /(n) active optics (telescope)/
能動性 [のうどうせい] /(adj-f) active (bio-medical contexts)/
能動素子 [のうどうそし] /(n) active element/active component/
能動態 [のうどうたい] /(n) (ling) active voice/
能動的 [のうどうてき] /(adj-na) active/(P)/
能動的脅威 [のうどうてききょうい] /(n) (comp) active threat/
能動免疫 [のうどうめんえき] /(n) active immunity/
能動輸送 [のうどうゆそう] /(n) active transport/
能筆 [のうひつ] /(n,adj-no) skillful penmanship/skilled calligrapher/
能舞台 [のうぶたい] /(n) noh stage/
能文 [のうぶん] /(n) skilled in writing/
能文家 [のうぶんか] /(n) skilled writer/
能平 [のっぺ] /(n) soup with fried tofu, shiitake mushrooms, carrots, sweet potatoes and daikon flavored with salt or soy sauce and thickened with potato starch/
能平 [のっぺい] /(n) soup with fried tofu, shiitake mushrooms, carrots, sweet potatoes and daikon flavored with salt or soy sauce and thickened with potato starch/
能平汁 [のっぺいじる] /(n) soup with fried tofu, shiitake mushrooms, carrots, sweet potatoes and daikon flavored with salt or soy sauce and thickened with potato starch/
能弁 [のうべん] /(adj-na,n) eloquence/oratory/
能弁家 [のうべんか] /(n) orator/
能無し [のうなし] /(n) (1) incompetence/ne'er-do-well/(adj-no) (2) incompetent/dimwitted/brainless/
能無し犬の高吠え [のうなしいぬのたかぼえ] /(exp) (id) (obsc) a barking dog seldom bites (meaning those who make the most noise have the least talent)/
能面 [のうめん] /(n) Noh mask/(P)/
能面のような顔 [のうめんのようなかお] /(exp) deadpan face/expressionless white face/po-faced/
能役者 [のうやくしゃ] /(n) noh actor/
能有る鷹は爪を隠す [のうあるたかはつめをかくす] /(exp) (id) a wise man keeps some of his talents in reserve/one shouldn't show off/the person who knows most often says least/a skilled hawk hides its talons/
能吏 [のうり] /(n) able official/capable official/
能率 [のうりつ] /(n) (1) efficiency/(2) moment (i.e. magnetic moment)/(P)/
能率給 [のうりつきゅう] /(n) efficiency wages/performance-based remuneration/
能率給方式 [のうりつきゅうほうしき] /(n) merit system/
能率賃金 [のうりつちんぎん] /(n) efficiency wages/
能率的 [のうりつてき] /(adj-na) efficient/
能力 [のうりょく] /(n) ability/faculty/(P)/
能力開発 [のうりょくかいはつ] /(n) development of potential ability/capacity development/
能力開発校 [のうりょくかいはつこう] /(n) skill development school/
能力給 [のうりょくきゅう] /(n) payment based on ability/
能力主義制度 [のうりょくしゅぎせいど] /(n) meritocratic system/
能力値 [のうりょくち] /(n) ability score (as in RPGs)/attribute value/
能辯 [のうべん] /(oK) (adj-na,n) eloquence/oratory/
脳 [のう] /(n) brain/memory/(P)/
脳ある鷹は爪を隠す [のうあるたかはつめをかくす] /(iK) (exp) (id) a wise man keeps some of his talents in reserve/one shouldn't show off/the person who knows most often says least/a skilled hawk hides its talons/
脳こうそく [のうこうそく] /(n) stroke (blocked blood vessel in brain)/cerebral infarction/
脳たりん [のうたりん] /(n) (1) slow-witted person/simpleton/(adj-no,adj-pn) (2) pig-ignorant/dumbass/
脳の損傷 [のうのそんしょう] /(n) brain damage/
脳みそ [のうみそ] /(n) brains/brain tissue/
脳ドック [のうドック] /(n) examinatinon with MRI, MRA, etc. to check for aneurysms and other problems/
脳ヘルニア [のうヘルニア] /(n) brain herniation/cerebral herniation/encephaloma/exencephaly/
脳溢血 [のういっけつ] /(n) cerebral apoplexy/
脳炎 [のうえん] /(n,adj-no) brain inflammation/encephalitis/nephritis/(P)/
脳下垂体 [のうかすいたい] /(n) pituitary gland/pituitary body/
脳下垂体後葉ホルモン [のうかすいたいこうようホルモン] /(n) neurohypophyseal hormone/
脳下垂体前葉ホルモン [のうかすいたいぜんようホルモン] /(n) adenohypophyseal hormone/
脳科学 [のうかがく] /(n) neuroscience/
脳外科 [のうげか] /(n) brain surgery/
脳外科医 [のうげかい] /(n) brain surgeon/
脳活動 [のうかつどう] /(n) brain activity/
脳幹 [のうかん] /(n) brain stem/
脳橋 [のうきょう] /(n) (1) pons (pontes)/pons Varolii/(adj-no) (2) pontine/
脳血管 [のうけっかん] /(n,adj-no) cerebral blood vessel/cerebrovascular/
脳血管疾患 [のうけっかんしっかん] /(n) cerebrovascular disease/
脳血管障害 [のうけっかんしょうがい] /(n) cerebrovascular disease/
脳血栓 [のうけっせん] /(n) cerebral thrombosis/
脳梗塞 [のうこうそく] /(n) stroke (blocked blood vessel in brain)/cerebral infarction/
脳硬塞 [のうこうそく] /(n) stroke (blocked blood vessel in brain)/cerebral infarction/
脳挫傷 [のうざしょう] /(n) cerebral contusion/
脳細胞 [のうさいぼう] /(n) brain cell/
脳珊瑚 [のうさんご] /(n) brain coral/
脳死 [のうし] /(n,adj-no) brain death/(P)/
脳死移植 [のうしいしょく] /(n) organ transplant from a brain-dead donor/
脳死判定 [のうしはんてい] /(n) declaration of brain death/determination of brain death/diagnosis of brain death/
脳室 [のうしつ] /(n,adj-no) cerebral ventricle/
脳腫瘍 [のうしゅよう] /(n) brain tumor/brain tumour/
脳充血 [のうじゅうけつ] /(n) brain congestion/
脳出血 [のうしゅっけつ] /(n) cerebral hemorrhage/cerebral haemorrhage/(P)/
脳症 [のうしょう] /(n) encephalopathy/
脳振盪 [のうしんとう] /(n) cerebral concussion/
脳深部刺激療法 [のうしんぶしげきりょうほう] /(n) deep brain stimulation/DBS/
脳神経 [のうしんけい] /(n) cranial nerves/cerebral nerves/
脳震盪 [のうしんとう] /(n) cerebral concussion/
脳髄 [のうずい] /(n) brain/
脳性 [のうせい] /(adj-na,n,adj-no) cerebral/
脳性小児麻痺 [のうせいしょうにまひ] /(n) cerebral palsy/
脳性麻痺 [のうせいまひ] /(n) cerebral palsy/
脳生理学 [のうせいりがく] /(n) brain physiology/
脳生理学者 [のうせいりがくしゃ] /(n) brain physiologist/
脳脊髄液 [のうせきずいえき] /(n) cerebrospinal fluid/
脳脊髄液減少症 [のうせきずいえきげんしょうしょう] /(n) cerebrospinal fluid hypovolemia/CSF hypovolemia/intracranial hypotension syndrome/
脳脊髄膜炎 [のうせきずいまくえん] /(n) cerebrospinal meningitis/
脳組織 [のうそしき] /(n) brain tissue/
脳足りん [のうたりん] /(n) (1) slow-witted person/simpleton/(adj-no,adj-pn) (2) pig-ignorant/dumbass/
脳卒中 [のうそっちゅう] /(n) stroke/cerebral haemorrhage/cerebral hemorrhage/(P)/
脳損傷 [のうそんしょう] /(n) brain damage/
脳低体温療法 [のうていたいおんりょうほう] /(n) therapeutic hypothermia for brain injury/
脳底部 [のうていぶ] /(n) lower brain/base of the brain/
脳天 [のうてん] /(n) crown of head/
脳天気 [のうてんき] /(adj-na) optimistic/thoughtless/insolent/
脳頭蓋 [のうとうがい] /(n) cranium/
脳動脈 [のうどうみゃく] /(n) brain artery/
脳動脈瘤 [のうどうみゃくこぶ] /(n) cerebral aneurysm/
脳内 [のうない] /(adj-no) (1) intracerebral/intracranial/(adv) (2) intracranially/
脳内血腫 [のうないけっしゅ] /(n) intracerebral hematoma/
脳内出血 [のうないしゅっけつ] /(n) brain hemorrhage/brain haemorrhage/
脳軟化症 [のうなんかしょう] /(n) softening of the brain/
脳年齢 [のうねんれい] /(n) mental age/
脳波 [のうは] /(n) brain waves/(P)/
脳波計 [のうはけい] /(n) electroencephalograph/EEG/
脳梅毒 [のうばいどく] /(n) cerebral syphilis/
脳病 [のうびょう] /(n) brain disease/
脳病院 [のうびょういん] /(n) (col) madhouse/
脳貧血 [のうひんけつ] /(n) cerebral anemia/cerebral anaemia/
脳膜 [のうまく] /(n) meninges/
脳膜炎 [のうまくえん] /(n) (obs) meningitis/
脳味噌 [のうみそ] /(n) brains/brain tissue/
脳味噌を絞る [のうみそをしぼる] /(exp,v5r) to rack one's brains/
脳裏 [のうり] /(n) one's mind/(P)/
脳裡 [のうり] /(n) one's mind/
脳梁 [のうりょう] /(n,adj-no) corpus callosum/
脳力 [のうりょく] /(n) brain power/
脳漿 [のうしょう] /(n) spinal fluid/gray matter/grey matter/
膿 [うみ] /(n) pus/
膿み爛れる [うみただれる] /(v1) to fester/
膿む [うむ] /(v5m,vi) to fester/to form pus/
膿胸 [のうきょう] /(n,adj-no) pyothorax/
膿汁 [のうじゅう] /(n) pus/
膿疱 [のうほう] /(n) pustule/pustula/
膿瘍 [のうよう] /(n) boil/abscess/
農 [のう] /(n) farming/agriculture/(P)/
農園 [のうえん] /(n) plantation/(P)/
農園主 [のうえんしゅ] /(n) farm owner/plantation owner/
農家 [のうか] /(n) farmer/farm family/(P)/
農科 [のうか] /(n) agricultural course or department/
農会 [のうかい] /(n) agricultural association/
農学 [のうがく] /(n) agriculture/
農学校 [のうがっこう] /(n) agricultural school/
農学者 [のうがくしゃ] /(n) agricultural scientist/agronomist/agriculturist/
農学部 [のうがくぶ] /(n) department of agriculture/(P)/
農閑期 [のうかんき] /(n) slack season for farmers/leisure season for farmers/(P)/
農期 [のうき] /(n) farming season/
農機具 [のうきぐ] /(n) agricultural machinery and equipment/
農漁業 [のうぎょぎょう] /(n) agricultural and fishing industries/
農漁民 [のうぎょみん] /(n) the fishing and agrarian populace/
農協 [のうきょう] /(n) agricultural cooperative/(P)/
農業 [のうぎょう] /(n,adj-no) agriculture/(P)/
農業家 [のうぎょうか] /(n) farmer/agriculturalist/
農業協同組合 [のうぎょうきょうどうくみあい] /(n) agricultural cooperative/(P)/
農業高校 [のうぎょうこうこう] /(n) agricultural high school/
農業高等学校 [のうぎょうこうとうがっこう] /(n) agricultural high school/
農業国 [のうぎょうこく] /(n) agricultural country/agrarian nation/
農業施設 [のうぎょうしせつ] /(n) agricultural facility/agricultural implement/
農業試験場 [のうぎょうしけんじょう] /(n) agricultural experiment station/
農業従事者 [のうぎょうじゅうじしゃ] /(n) farmer/
農業生産 [のうぎょうせいさん] /(n) agricultural production/
農業大学 [のうぎょうだいがく] /(n) agricultural university/
農業大国 [のうぎょうたいこく] /(n) major agricultural country/agricultural power/agripower/
農業地質学 [のうぎょうちしつがく] /(n) agricultural geology/agrogeology/
農業保険 [のうぎょうほけん] /(n) agricultural insurance/
農具 [のうぐ] /(n) farming implement/farm tools/
農芸 [のうげい] /(n) agriculture and horticulture/
農芸化学 [のうげいかがく] /(n,adj-no) agricultural chemistry/
農工 [のうこう] /(n) agriculture and industry/
農耕 [のうこう] /(n) farming/agriculture/(P)/
農耕地 [のうこうち] /(n) arable land/
農耕民族 [のうこうみんぞく] /(n) agricultural people/
農高 [のうこう] /(n) (abbr) agricultural high school/
農作 [のうさく] /(n) farming/
農作業 [のうさぎょう] /(n) farmwork/(P)/
農作物 [のうさくぶつ] /(n) crops/agricultural produce/(P)/
農山漁村 [のうさんぎょそん] /(n) agricultural, mountain and fishing villages/rural districts/
農山村 [のうさんそん] /(n) farming and mountain villages/rural districts/
農産 [のうさん] /(n) agricultural products/(P)/
農産物 [のうさんぶつ] /(n) agricultural produce/(P)/
農産物検査法 [のうさんぶつけんさほう] /(n) Agricultural Produce Inspection Law/
農事 [のうじ] /(n,adj-no) farming/agriculture/
農事産業 [のうじさんぎょう] /(n) agri business/
農事試験場 [のうじしけんじょう] /(n) agricultural experiment station/
農書 [のうしょ] /(n) agricultural book/book on agriculture/
農商務省 [のうしょうむしょう] /(n) Ministry of Agriculture and Commerce (Meiji-Taisho)/
農場 [のうじょう] /(n) farm (agriculture)/(P)/
農場主 [のうじょうしゅ] /(n) farmer/agriculturalist/
農人 [のうじん] /(n) farmer/peasant/
農人 [のうにん] /(n) farmer/peasant/
農水 [のうすい] /(adj-f) agriculture and fisheries/
農水産 [のうすいさん] /(n) agricultural and marine products/
農水省 [のうすいしょう] /(n) (abbr) Ministry Agriculture, Forestry and Fisheries/MAFF/
農政 [のうせい] /(n) agricultural administration/(P)/
農相 [のうしょう] /(n) Agriculture Minister/(P)/
農村 [のうそん] /(n) agricultural community/farm village/rural/(P)/
農村医学 [のうそんいがく] /(n) rural medicine/
農村工業 [のうそんこうぎょう] /(n) rural industry/
農村地帯 [のうそんちたい] /(n) agrarian community/farming area/farming region/
農村風景 [のうそんふうけい] /(n) rural landscape/rural scenery/
農大 [のうだい] /(n) (abbr) agricultural university/
農地 [のうち] /(n,adj-no) agricultural land/(P)/
農地委員会 [のうちいいんかい] /(n) agricultural land commission/
農地改革 [のうちかいかく] /(n) agrarian reform/(P)/
農地法 [のうちほう] /(n) Agricultural Land Act/
農奴 [のうど] /(n) serf/
農奴解放 [のうどかいほう] /(n) emancipation of serfs/
農道 [のうどう] /(n) farm road/
農博 [のうはく] /(n) doctor of agriculture/
農繁期 [のうはんき] /(n) busy farming season/
農夫 [のうふ] /(n) peasant/
農夫症 [のうふしょう] /(n) farmer's syndrome/
農婦 [のうふ] /(n) farm woman/
農兵 [のうへい] /(n) (army unit of) conscripted farmers/
農法 [のうほう] /(n) farming methods/(P)/
農牧 [のうぼく] /(n) raising crops and livestock/
農牧地 [のうぼくち] /(n) arable and grazing land/
農本主義 [のうほんしゅぎ] /(n) principles underpinning an agriculturally based economy/
農未 [のうふ] /(iK) (n) peasant/
農民 [のうみん] /(n,adj-no) farmers/peasants/(P)/
農民一揆 [のうみんいっき] /(n) agrarian revolt or uprising/
農民運動 [のうみんうんどう] /(n) agrarian movement/
農民戦争 [のうみんせんそう] /(n) Peasants' War (Germany: 1524-1525)/
農民文学 [のうみんぶんがく] /(n) peasant literature/
農務 [のうむ] /(n) agricultural affairs/
農薬 [のうやく] /(n,adj-no) agricultural chemical (i.e. pesticide, herbicide, fungicide, etc.)/agrochemical/agrichemical/(P)/
農林 [のうりん] /(n) agriculture and forestry/(P)/
農林水産省 [のうりんすいさんしょう] /(n) Ministry of Agriculture, Forestry and Fisheries/MAFF/
農林水産大臣 [のうりんすいさんだいじん] /(n) Minister of Agriculture, Forestry and Fisheries/
覗う [うかがう] /(v5u,vt) (1) to peep (through)/to peek/to examine (esp. covertly)/(2) to await (one's chance)/(3) (usu. used passively) to guess/to infer/to gather/to surmise/
覗き [のぞき] /(n) (1) peeping/(2) (abbr) peeping tom/
覗きこむ [のぞきこむ] /(v5m,vt) to look into/to peer in/
覗き眼鏡 [のぞきめがね] /(n) (1) peep show/device with lens mounted on a stand or in a box to view enlarged pictures/(2) water glass/hydroscope/box, etc. with glass bottom for viewing underwater/
覗き機関 [のぞきからくり] /(n) peep show/device with lens mounted on a stand or in a box to view enlarged pictures/
覗き見 [のぞきみ] /(n,vs) peeking/peeping (e.g. through a hole, narrow gap)/
覗き込む [のぞきこむ] /(v5m,vt) to look into/to peer in/
覗き魔 [のぞきま] /(n) peeping tom/
覗き絡繰り [のぞきからくり] /(n) peep show/device with lens mounted on a stand or in a box to view enlarged pictures/
覗く [のぞく] /(v5k,vt) (1) to peek (though a keyhole, gap, etc.)/(2) to look down into (a ravine, etc.)/(3) to peek into (a shop, bookstore, etc.)/(4) to sneak a look at/to take a quick look at/(5) to peep (through a telescope, microscope, etc.)/(v5k,vi) (6) to stick out (a scarf from a collar, etc.)/to peek through (sky though a forest canopy, etc.)/(7) (arch) to face/(P)/
覗眼鏡 [のぞきめがね] /(io) (n) (1) peep show/device with lens mounted on a stand or in a box to view enlarged pictures/(2) water glass/hydroscope/box, etc. with glass bottom for viewing underwater/
覗機関 [のぞきからくり] /(io) (n) peep show/device with lens mounted on a stand or in a box to view enlarged pictures/
覗魔 [のぞきま] /(n) peeping tom/
蚤 [のみ] /(n) flea/
蚤の市 [のみのいち] /(n) flea market/
蚤の夫婦 [のみのふうふ] /(n) couple in which the wife is bigger than the husband/
蚤取り首輪 [のみとりくびわ] /(n) flea collar/
蚤取り粉 [のみとりこ] /(n) flea powder/
蚤取粉 [のみとりこ] /(io) (n) flea powder/
蚤虫 [のみむし] /(n) (obsc) springtail/
巴 [ともえ] /(n) huge comma design/(P)/
巴鴨 [ともえがも] /(n) (uk) Baikal teal (species of dabbling duck, Anas formosa)/
巴瓦 [ともえがわら] /(n) comma-pattern tile/
巴人 [はじん] /(n) uneducated bumpkin/resident of ancient Sichuan/
巴戦 [ともえせん] /(n) (1) dogfight/(2) sumo play-off with 3 wrestlers participating/
巴丹 [ばたん] /(n) cockatoo/
巴旦杏 [はたんきょう] /(n) plum/almond/
巴投げ [ともえなげ] /(n) overhead throw in judo/
巴豆 [はず] /(n) (uk) purging croton (Croton tiglium)/
巴奈馬 [ぱなま] /(n) (uk) Panama/
巴利語 [パーリご] /(n) Pali (language)/
巴里 [パリ] /(n,adj-no) (uk) Paris (France)/
把 [ば] /(ctr) counter for bundles/
把 [ぱ] /(ctr) counter for bundles/
把 [わ] /(ctr) counter for bundles/(P)/
把っ手 [とって] /(n) handle/grip/knob/
把む [つかむ] /(v5m,vt) (1) to seize/to catch/to grasp/to grip/to grab/to hold/to catch hold of/to lay one's hands on/to clutch/(2) to understand/to grasp/to comprehend/
把握 [はあく] /(n,vs) grasp/catch/understanding/(P)/
把持 [はじ] /(n,vs) grasp/hold/grip/
把手 [とって] /(n) handle/grip/knob/
把手 [はしゅ] /(n) handle/grip/knob/
把捉 [はそく] /(n,vs) grasping (a meaning)/
播く [まく] /(v5k,vt) (1) to sow/to plant/to seed/(2) to sprinkle (gold or silver powder on lacquerware)/
播種 [はしゅ] /(n,vs) sowing/seeding/planting/
播州 [ばんしゅう] /(n) old name for part of Hyogo prefecture/
播但線 [ばんたんせん] /(n) Bantan Line (railway in Hyogo Prefecture)/
覇を唱える [はをとなえる] /(exp,v1) to reign supreme/to assume the leadership (hegemony)/to dominate/
覇王 [はおう] /(n) supreme ruler/autocrat/dynast/high king/
覇王樹 [さぼてん] /(n,adj-no) (uk) cactus (por: sabao)/
覇王樹 [はおうじゅ] /(n,adj-no) (uk) cactus (por: sabao)/
覇王竜 [はおうりゅう] /(n) (obsc) tyrannosaurus rex (dinosaur)/
覇気 [はき] /(n) ambition/aspiration/(P)/
覇業 [はぎょう] /(n) domination/supremacy/
覇権 [はけん] /(n,adj-no) hegemony/(P)/
覇権安定論 [はけんあんていろん] /(n) hegemonic stability theory/
覇権主義 [はけんしゅぎ] /(n) hegemonism/
覇者 [はしゃ] /(n) supreme ruler/champion/titleholder/(P)/
覇道 [はどう] /(n) military rule/
杷 [さらい] /(n) farmer's rake/
杷 [さらえ] /(n) farmer's rake/
波 [なみ] /(n) wave/(P)/
波々迦 [ははか] /(n) (arch) Japanese bird cherry (Prunus grayana)/
波に乗る [なみにのる] /(exp,v5r) to go with the flow/to go with the times/
波の音 [なみのおと] /(n) roar of waves/
波の花 [なみのはな] /(n) (1) salt/(2) crest of a wave/flowerlike patterns on waves in the Japan Sea in winter/
波よけ [なみよけ] /(n) sea wall/breakwater/
波を切る [なみをきる] /(exp,v5r) to cut one's way through the waves/
波音 [なみおと] /(n) the sound of waves/
波貝 [なみがい] /(n) (uk) Japanese geoduck (Panopea japonica)/
波間 [なみま] /(n) on the waves/between the waves/
波間に [なみまに] /(adv) on the waves/
波及 [はきゅう] /(n,vs) spread/extension/influence/aftereffect/ripple/(P)/
波及効果 [はきゅうこうか] /(n) ripple effect/spillover effect/propagation effect/
波型 [なみがた] /(adj-no) corrugated/
波形 [なみがた] /(n,adj-no) (1) wavy form/ripply shape/
波形 [はけい] /(n,adj-no) (1) wavy form/ripply shape/(2) waveform/
波形鋼板 [はけいこうばん] /(n) corrugated steel (plate)/corrugated iron/
波戸 [はと] /(n) narrow structure made of stone extending from the shore to the open sea and used to break incoming waves as well as to load and unload good unto ships/
波高 [はこう] /(n) wave height/
波斯 [ハルシャ] /(n) (uk) Persia/
波斯 [ペルシア] /(n) (uk) Persia/
波斯 [ペルシャ] /(n) (uk) Persia/
波斯菊 [ハルシャぎく] /(n) (uk) plains coreopsis (Coreopsis tinctoria)/
波止 [はと] /(n) narrow structure made of stone extending from the shore to the open sea and used to break incoming waves as well as to load and unload good unto ships/
波止場 [はとば] /(n) wharf/quay/landing-stage/jetty/(P)/
波除け [なみよけ] /(n) sea wall/breakwater/
波乗り [なみのり] /(n,vs) surfing/
波状 [はじょう] /(n,adj-no) wavelike/in waves/undulation/
波状攻撃 [はじょうこうげき] /(n) attacking in waves/
波状熱 [はじょうねつ] /(n) brucellosis/
波食 [はしょく] /(n) wave erosion/
波蝕 [はしょく] /(n) wave erosion/
波数 [はすう] /(n) frequency (of electromagnetic waves)/
波線 [はせん] /(n) wavy line/
波打ち際 [なみうちぎわ] /(n) beach/
波打つ [なみうつ] /(v5t,vi) to dash against/to undulate/to wave/to heave/to beat fast (heart)/
波打つ髪 [なみうつかみ] /(n) wavy hair/
波長 [はちょう] /(n) wavelength/(P)/
波涛 [はとう] /(n) large wave/
波頭 [なみがしら] /(n) wave crest/whitecaps/
波頭 [はとう] /(n) wave crest/whitecaps/
波動 [はどう] /(n,adj-no) (1) wave motion/undulation/surge/(2) wave (physics)/
波動関数 [はどうかんすう] /(n) wave function/
波動説 [はどうせつ] /(n) wave theory (physics)/
波動方程式 [はどうほうていしき] /(n) wave equation/
波波迦 [ははか] /(n) (arch) Japanese bird cherry (Prunus grayana)/
波布 [はぶ] /(n) (uk) habu (East Asian pit viper of genus Trimeresurus)/
波布草 [はぶそう] /(n) (uk) coffee senna (Senna occidentalis)/
波布茶 [はぶちゃ] /(n) senna tea/
波風 [なみかぜ] /(n) (1) wind and waves/(2) strife/discord/dissension/
波風が立つ [なみかぜがたつ] /(exp,v5t) to be discordant/to have discord/
波風を立てる [なみかぜをたてる] /(exp,v1) to make trouble/to make waves/to cause discord/
波枕 [なみまくら] /(n) sleeping while on a sea voyage/falling asleep to the sound of the ocean/
波面 [はめん] /(n) wave surface/wave-front/
波紋 [はもん] /(n) (1) ripple/ring on the water/(2) repercussions/(P)/
波紋が広がる [はもんがひろがる] /(exp,v5r,vi) to have repercussions/
波紋を広げる [はもんをひろげる] /(exp,v1,vt) to cause repercussions/
波紋を投げかける [はもんをなげかける] /(exp,v1) to cause a stir/to create a stir/to make a stir/to cause repercussions/
波紋を投げ掛ける [はもんをなげかける] /(exp,v1) to cause a stir/to create a stir/to make a stir/to cause repercussions/
波羅夷 [はらい] /(n) (Buddh) parajika (rules entailing expulsion from the sangha for life)/
波羅蜜 [はらみつ] /(n) (1) paaramitaa/entrance into Nirvana/(2) jackfruit (Artocarpus heterophyllus)/
波羅蜜 [ぱらみつ] /(n) (1) paaramitaa/entrance into Nirvana/(2) jackfruit (Artocarpus heterophyllus)/
波乱 [はらん] /(n,adj-no) troubles/ups and downs/stormy, uproarious (i.e. relationship)/(P)/
波乱曲折 [はらんきょくせつ] /(n) very involved and troublesome situation/complicated twists and turns/
波乱万丈 [はらんばんじょう] /(adj-na,adj-no,n) stormy and full of drama/many drastic events in the course of events/full of ups and downs/with many vicissitudes/
波蘭 [ぽーらんど] /(n) (uk) Poland/
波蘭 [ぽらんど] /(n) (uk) Poland/
波離間投げ [はりまなげ] /(n) backward belt throw (sumo)/
波立つ [なみだつ] /(v5t,vi) to be choppy/to run high/to swell/to ripple/to billow/to be in discord/
波立つ海 [なみだつうみ] /(n) choppy sea/
波路 [なみじ] /(n) sea route/
波浪 [はろう] /(n) waves/surge/(P)/
波濤 [はとう] /(n) surging sea/rough sea/
波濤万里 [はとうばんり] /(n) faraway lands/voyage to faraway lands/
波瀾 [はらん] /(n,adj-no) troubles/ups and downs/stormy, uproarious (i.e. relationship)/
波瀾曲折 [はらんきょくせつ] /(n) very involved and troublesome situation/complicated twists and turns/
波瀾万丈 [はらんばんじょう] /(adj-na,adj-no,n) stormy and full of drama/many drastic events in the course of events/full of ups and downs/with many vicissitudes/
波磔 [はたく] /(n) (of clerical script) horizontal lines ending in a noticable triangular tail/
派 [は] /(n,n-suf) clique/faction/school/(P)/
派遣 [はけん] /(n,vs) dispatch/despatch/send/(P)/
派遣会社 [はけんかいしゃ] /(n) temporary staff recruitment agency/employment agency/
派遣会社 [はけんがいしゃ] /(n) temporary staff recruitment agency/employment agency/
派遣軍 [はけんぐん] /(n) expeditionary force/
派遣社員 [はけんしゃいん] /(n) temporary worker/
派遣従業員 [はけんじゅうぎょういん] /(n) temporary worker/
派遣職員 [はけんしょくいん] /(n) temporary staff/loaned staff (e.g. from a parent or related organization)/
派遣切り [はけんきり] /(n) downsizing by laying off part-time and temp. workers/
派遣隊 [はけんたい] /(n) contingent/detachment/
派遣労働者 [はけんろうどうしゃ] /(n) dispatched worker/
派手 [はで] /(adj-na,n) showy/loud/gay/flashy/gaudy/(P)/
派手婚 [はでこん] /(n) flashy showy wedding/
派出 [はしゅつ] /(n,vs) sending out/dispatching/despatching/
派出所 [はしゅつしょ] /(n) local police station/
派出所 [はしゅつじょ] /(n) local police station/(P)/
派出婦 [はしゅつふ] /(n) maid or housekeeper (in a visiting arrangement)/
派生 [はせい] /(n,vs) derivation/(P)/
派生語 [はせいご] /(n) (ling) derivative (word)/
派生需要 [はせいじゅよう] /(n) derived demand/
派生的 [はせいてき] /(adj-na) derivative/secondary/
派生文献 [はせいぶんけん] /(n) (comp) derivative document/
派閥 [はばつ] /(n,adj-no) clique/faction/(P)/
派閥均衡 [はばつきんこう] /(n) balance of power among factions (within a political party)/factional balance/
派閥抗争 [はばつこうそう] /(n) factional infighting (conflict)/antagonism between factions/
派閥主義 [はばつしゅぎ] /(n) factionalism/
派閥人事 [はばつじんじ] /(n) faction-based personnel appointment/
派閥政治 [はばつせいじ] /(n) faction-based politics/
派閥争い [はばつあらそい] /(n) factional dispute/factional strife/rivalry between factions/
派閥力学 [はばつりきがく] /(n) factional dynamics/power relationships among factions/factional power politics/
派兵 [はへい] /(n,vs) dispatch of troops/despatch of troops/(P)/
派米 [はべい] /(n,vs) dispatching to the US/despatching to the US/
破 [は] /(n) (in gagaku or noh) middle section of a song/
破く [やぶく] /(v5k,vt) to tear/to violate/to defeat/to smash/to destroy/
破ける [やぶける] /(v1,vi) to get torn/to wear out/to be frustrated/to break/
破たん [はたん] /(n,vs) failure/bankruptcy/
破り [やぶり] /(n,n-suf) getting away from/escaping/defying/(P)/
破り取る [やぶりとる] /(v5r,vt) (obsc) rip out (and take)/tear out (from)/
破る [やぶる] /(v5r,vt) to tear/to violate/to defeat/to smash/to destroy/to break (e.g. password)/(P)/
破れかぶれ [やぶれかぶれ] /(n,adj-no) desperation/self-abandonment/
破れた夢 [やぶれたゆめ] /(n) shattered dream/
破れる [やぶれる] /(v1,vi) to get torn/to wear out/(P)/
破れ鐘 [われがね] /(n) cracked bell/
破れ鐘のような声 [われがねのようなこえ] /(n) resounding voice/thunderous voice/
破れ鍋 [われなべ] /(n) a cracked pot/
破れ鍋に綴じ蓋 [われなべにとじぶた] /(exp) (id) Every Jack has his Jill/
破れ物 [われもの] /(n) fragile item/broken article/
破れ目 [やぶれめ] /(n) rent/tear/split/
破れ目 [やれめ] /(ok) (n) rent/tear/split/
破れ目 [われめ] /(n) (1) chasm/interstice/crevice/crack/cleft/split/rift/fissure/(2) (X) (sl) vulva/slit/cunt/vagina/twat/
破瓜 [はか] /(n) (1) age 16 (girl)/(2) age 64 (man)/(3) puberty/(4) deflowering/
破瓜病 [はかびょう] /(n) hebephrenia (disorganized schizophrenia) (disorganised)/
破屋 [はおく] /(n) tumbledown or dilapidated house/
破家 [ばか] /(n) (1) fool/idiot/(2) trivial matter/folly/absurdity/(adj-na) (3) foolish/stupid/dull/absurd/ridiculous/(n) (4) (abbr) surf clam/
破壊 [はかい] /(n,vs) (1) destruction/disruption/(2) (comp) (application) crash/(P)/
破壊加算 [はかいかさん] /(n) (comp) destructive addition/
破壊活動防止法 [はかいかつどうぼうしほう] /(n) (Japanese) Anti-Subversive Activities Act/
破壊工作 [はかいこうさく] /(n) subversive activities/
破壊者 [はかいしゃ] /(n) destroyer/
破壊主義 [はかいしゅぎ] /(n) destructionism/
破壊主義者 [はかいしゅぎしゃ] /(n) destructionist/
破壊措置命令 [はかいそちめいれい] /(n) shoot-down order (e.g. for ballistic missile)/
破壊的 [はかいてき] /(adj-na) destructive/devastating/
破壊的読み取り [はかいてきよみとり] /(n) (comp) destructive read/
破壊読み出し [はかいよみだし] /(n) (comp) destructive read/
破壊読取り [はかいよみとり] /(n) (comp) destructive read/
破壊分子 [はかいぶんし] /(n) subversive/subversive element/
破壊力 [はかいりょく] /(n) destructive power or energy or force/
破戒 [はかい] /(n) breaking a commandment (usually religious)/offense against the Buddhist commandments (offence)/
破戒僧 [はかいそう] /(n) depraved monk/sinful priest/
破格 [はかく] /(adj-na,n) (1) extraordinary/special/exceptional/abnormal/unprecedented/(2) solecism/(P)/
破殻 [われから] /(n) (uk) skeleton shrimp/
破顔 [はがん] /(n,vs) giving a broad smile/
破顔一笑 [はがんいっしょう] /(n,vs) smiling broadly/
破顔大笑 [はがんたいしょう] /(n,vs) breaking into a hearty laugh/
破棄 [はき] /(n,vs) tearing up and discarding (e.g. documents)/disposal (e.g. weaponry)/revocation/annulment/breaking (e.g. treaty)/reversing (e.g. an original judgment) (judgement)/discard/cancellation/repeal/(P)/
破鏡 [はきょう] /(n) broken mirror/marital separation/divorce/
破局 [はきょく] /(n) catastrophe/cataclysm/(P)/
破獄 [はごく] /(n,vs) jail-breaking/gaol-breaking/
破骨細胞 [はこつさいぼう] /(n) osteoclast/
破婚 [はこん] /(n,vs) marriage breakup/divorce/
破砕 [はさい] /(n,vs,adj-no) crushing/smashing/cracking to pieces/
破砕機 [はさいき] /(n) crusher/
破砕性 [はさいせい] /(n) crushable/breakable/friability/
破砕性爆弾 [はさいせいばくだん] /(n) daisy cutter bomb/
破擦音 [はさつおん] /(n) (ling) affricative sound/
破産 [はさん] /(n,vs) bankruptcy/insolvency/(P)/
破産を申請する [はさんをしんせいする] /(exp,vs-i) to file for bankruptcy/
破産会社 [はさんかいしゃ] /(n) bankrupt company/
破産管財人 [はさんかんざいにん] /(n) trustee or administrator in bankruptcy/
破産裁判所 [はさんさいばんしょ] /(n) bankruptcy court/
破産者 [はさんしゃ] /(n) a bankrupt or insolvent person/
破産申請 [はさんしんせい] /(n) petition for bankruptcy/
破産宣告 [はさんせんこく] /(n) adjudication of bankruptcy/
破産法 [はさんほう] /(n) bankruptcy act or laws/
破算 [はさん] /(n,vs) checking/figuring/doing again/
破邪 [はじゃ] /(n) (Buddh) (sense of) crushing evil/
破邪顕正 [はじゃけんしょう] /(n) (Buddh) (sense of) crushing evil and spreading the truth/
破傷風 [はしょうふう] /(adj-na,n) tetanus/lockjaw/
破傷風トキソイド [はしょうふうトキソイド] /(n) tetanus toxoid/
破傷風菌 [はしょうふうきん] /(n) Clostridium tetani (tetanus bacillus)/
破鐘 [われがね] /(n) cracked bell/
破水 [はすい] /(n,vs) water breaking (during pregnancy)/
破線 [はせん] /(n,adj-no) dotted line/
破船 [はせん] /(n) a shipwreck/
破損 [はそん] /(n,vs) damage/(P)/
破損クラスタ [はそんクラスタ] /(n) (comp) lost cluster/
破体 [はたい] /(n) in calligraphy, an abbreviated or mistaken form of a character, or a work written in more than one calligraphic style/
破題 [はだい] /(n) opening section of a Chinese poem or essay (in which the topic is broached)/broaching the topic of a poem or essay in its opening lines/
破綻 [はたん] /(n,vs) failure/bankruptcy/(P)/
破綻を来す [はたんをきたす] /(exp,v5s) to be ruined/to fail/to go bankrupt/
破綻国家 [はたんこっか] /(n) failed state/
破断 [はだん] /(n,vs) rupture/break/fracture/
破談 [はだん] /(n) cancellation/breaking off (one's engagement)/
破竹 [はちく] /(n) breaking bamboo/
破竹の勢い [はちくのいきおい] /(exp) (id) with great vigour (from the way splitting bamboo goes all down the stick)/
破茶目茶 [はちゃめちゃ] /(n) (uk) nonsense/
破調 [はちょう] /(n) out of tune/(poetic) broken meter/
破天荒 [はてんこう] /(adj-na,n) unheard-of/unprecedented/
破天連 [ばてれん] /(ateji) (n) (1) Portuguese Jesuits (in Japan in the 16th century) (por: padre)/(2) Christianity/
破鍋に綴蓋 [われなべにとじぶた] /(exp) there is a suitable spouse for everyone (lit: a mended lid for a cracked pot)/
破風 [はふ] /(n,adj-no) gable/
破物 [われもの] /(n) fragile item/broken article/
破片 [はへん] /(n,adj-no) fragment/splinter/broken piece/(P)/
破防法 [はぼうほう] /(n) (abbr) (Japanese) Anti-Subversive Activities Act/
破魔 [はま] /(n,vs) exorcism/
破魔弓 [はまゆみ] /(n) (ceremonial) bow used to drive off evil/toy bow and arrow/
破魔矢 [はまや] /(n) (ceremonial) arrow used to drive off evil/
破滅 [はめつ] /(n,vs) ruin/destruction/fall/(P)/
破目 [はめ] /(n) (1) plight/fix/bind/awkward situation/difficult situation/mess/
破目 [われめ] /(io) (n) (1) chasm/interstice/crevice/crack/cleft/split/rift/fissure/(2) (X) (sl) vulva/slit/cunt/vagina/twat/
破門 [はもん] /(n,vs,adj-no) excommunication/anathema/
破約 [はやく] /(n,vs) breach of contract/breaking of word/
破落戸 [ごろつき] /(ateji) (n) (uk) rogue/thug/hoodlum/punk/racketeer/
破倫 [はりん] /(n) immorality/incest/
破裂 [はれつ] /(n,vs) explosion/rupture/break off/(P)/
破裂音 [はれつおん] /(n) (ling) plosive sound/
破裂板 [はれつばん] /(n) rupture disk/
破廉恥 [はれんち] /(adj-na,n) infamy/shameless/
破廉恥漢 [はれんちかん] /(n) shameless man/knave/
破廉恥罪 [はれんちざい] /(n) infamous crime or offense (offence)/
破牢 [はろう] /(n,vs) prison breaking/jailbreak/gaolbreak/
破毀 [はき] /(n,vs) tearing up and discarding (e.g. documents)/disposal (e.g. weaponry)/revocation/annulment/breaking (e.g. treaty)/reversing (e.g. an original judgment) (judgement)/discard/cancellation/repeal/
破摧 [はさい] /(n,vs,adj-no) crushing/smashing/cracking to pieces/
婆 [ばば] /(n) (1) old woman/(2) old maid (undesirable card in the card game of the same name)/
婆 [ばばあ] /(n) (1) old woman/(2) (derog) hag/bitch/
婆あ [ばばあ] /(ik) (n) (1) old woman/(2) (derog) hag/bitch/
婆さん [ばあさん] /(n) (1) grandmother/(2) female senior citizen/(P)/
婆や [ばあや] /(n) wet nurse/old housekeeper/
婆婆鰈 [ばばがれい] /(n) (uk) slime flounder (Microstomus achne)/
婆抜き [ばばぬき] /(n) old maid/living without one's mother-in-law/
婆羅門 [ばらもん] /(n,adj-no) (1) (uk) Brahman (priest of Hinduism, members of the highest caste) (san: brahmana)/(2) Brahmanism/priest of Brahmanism/
婆羅門教 [ばらもんきょう] /(n) Brahmanism/
罵り [ののしり] /(n,adj-no) abuse/curse/swearing/insult/
罵る [ののしる] /(v5r,vi) to speak ill of/to abuse/(P)/
罵言 [ばげん] /(n) abuse/
罵声 [ばせい] /(n) boos/jeers/
罵倒 [ばとう] /(n,vs) abuse/disparagement/
罵倒メール [ばとうメール] /(n) (comp) flame (e-)mail/
罵詈 [ばり] /(n,vs) abuse/
罵詈雑言 [ばりぞうごん] /(n) vilification/vituperation/
罵詈讒謗 [ばりざんぼう] /(n,vs) reviling/vilification/abusive language/lashing somebody using abusive language/speaking abusively of somebody/
芭蕉 [ばしょう] /(n) (uk) Japanese fiber banana (Musa basjoo)/
芭蕉梶木 [ばしょうかじき] /(n) (uk) Indo-Pacific sailfish (Istiophorus platypterus)/
芭蕉旗魚 [ばしょうかじき] /(n) (uk) Indo-Pacific sailfish (Istiophorus platypterus)/
馬 [うま] /(n) (1) horse/(2) promoted bishop (shogi)/(P)/
馬が合う [うまがあう] /(exp,v5u) to get on well (with a person)/to be a good match with one's horse (e.g. of a rider)/
馬に乗る [うまにのる] /(exp,v5r) to get on a horse/to mount a horse/
馬のほね [うまのほね] /(n) (derog) person of doubtful origin/
馬の合う [うまのあう] /(exp,v5u) to get along well with/
馬の骨 [うまのほね] /(n) (derog) person of doubtful origin/
馬の耳に念仏 [うまのみみにねんぶつ] /(exp) not heeding what others say/in one ear and out the other/(lit: praying into a horse's ear)/
馬の足 [うまのあし] /(n) minor or untalented actor (relegated to roles such as the legs of a stage horse)/
馬の背 [うまのせ] /(n) horseback/
馬は馬連れ [うまはうまづれ] /(exp) (id) Birds of a feather flock together/
馬を水辺に導く事は出来るが馬に水を飲ませる事は出来ない [うまをみずべにみちびくことはできるがうまにみずをのませることはできない] /(exp) (id) You may take a horse to the water, but you cannot make him drink/
馬虻 [うまあぶ] /(n) (obsc) horse botfly/
馬印 [うまじるし] /(n) commander's battle standard/
馬屋 [うまや] /(n) stable/barn/
馬下駄 [うまげた] /(n) low geta (once used when cleaning the garden)/
馬珂貝 [ばかがい] /(n) (uk) Mactra chinensis (species of trough shell)/
馬回り [うままわり] /(n) a daimyo's (mounted) guards or retainers/
馬革 [ばかく] /(n) horsehide/
馬脚 [ばきゃく] /(n) (1) horse's legs/(2) one's true character/
馬脚を表わす [ばきゃくをあらわす] /(exp,v5s) to reveal the true nature/
馬脚を露す [ばきゃくをあらわす] /(exp,v5s) to reveal the true nature/
馬脚を露わす [ばきゃくをあらわす] /(exp,v5s) to reveal the true nature/
馬具 [ばぐ] /(n) harness/
馬喰 [ばくろう] /(n) (sens) cattle or horse trader/good judge of horses or cattle/
馬櫛 [うまぐし] /(n) curry-comb/
馬櫛 [まぐし] /(n) curry-comb/
馬鍬 [まぐわ] /(n) harrow/rake/
馬鍬 [まんが] /(n) harrow/rake/
馬軍 [うまいくさ] /(n) (1) cavalry/(2) cavalry battle/
馬穴 [バケツ] /(ateji) (n) bucket/pail/
馬券 [ばけん] /(n) (horse racing) betting ticket/(P)/
馬耕 [ばこう] /(n,vs) tilling with horses/
馬克 [まるく] /(ateji) (n) mark (ger: Mark)/
馬刺 [ばさし] /(n) horse-meat sashimi/
馬刺し [ばさし] /(n) horse-meat sashimi/
馬子 [まご] /(n) packhorse driver/
馬子にも衣裳 [まごにもいしょう] /(exp) anybody can look good with the right clothes (lit: clothes on a packhorse driver)/clothes make the man/fine feathers make fine birds/
馬子にも衣装 [まごにもいしょう] /(exp) anybody can look good with the right clothes (lit: clothes on a packhorse driver)/clothes make the man/fine feathers make fine birds/
馬市 [うまいち] /(n) horse market/
馬耳東風 [ばじとうふう] /(n) utter indifference/talking to the wall/praying to deaf ears/
馬鹿 [ばか] /(n) (1) fool/idiot/(2) trivial matter/folly/absurdity/(adj-na) (3) foolish/stupid/dull/absurd/ridiculous/(n) (4) (abbr) surf clam/(P)/
馬鹿が移る [ばかがうつる] /(exp,v5r) (col) to catch 'the stupid' (e.g. from talking to stupid people, watching mindless TV, etc.)/
馬鹿げた [ばかげた] /(adj-f) absurd/foolish/
馬鹿げる [ばかげる] /(v1,vi) to look foolish/
馬鹿たれ [ばかたれ] /(int) (col) idiot!/
馬鹿でもチョンでも [ばかでもチョンでも] /(exp) (sens) (vulg) (X) easy/simple (lit: "even if you're an idiot or a simpleton")/
馬鹿と鋏は使い様 [ばかとはさみはつかいよう] /(exp) (id) Everything comes in handy when rightly used/
馬鹿なことをする [ばかなことをする] /(exp,vs-i) to do a silly thing/
馬鹿な事をする [ばかなことをする] /(exp,vs-i) to do a silly thing/
馬鹿な事を為る [ばかなことをする] /(exp,vs-i) to do a silly thing/
馬鹿な真似 [ばかなまね] /(n) tomfoolery/monkey business/
馬鹿に [ばかに] /(adv) ridiculously/unusually/exceptionally/
馬鹿にする [ばかにする] /(exp,vs-i) to make fun of/to look down on/to make light of/
馬鹿にならない [ばかにならない] /(exp) something not insignificant/not to be sneezed at/
馬鹿に出来ない [ばかにできない] /(exp) someone (something) not to be trifled with/
馬鹿に付ける薬は無い [ばかにつけるくすりはない] /(exp) (id) A born fool is never cured/
馬鹿の一つ覚え [ばかのひとつおぼえ] /(exp) (id) He that knows little often repeats it/
馬鹿の壁 [ばかのかべ] /(exp) phenomenon that perfect reasoning fail if an idiot cannot understand/
馬鹿は死ななきゃ治らない [ばかはしななきゃなおらない] /(exp) once a fool, always a fool/
馬鹿ばやし [ばかばやし] /(n) orchestra present at Japanese festival/festival music (may be sung from a festival float)/
馬鹿も一芸 [ばかもいちげい] /(exp) even a fool has one talent/
馬鹿やろう [ばかやろう] /(int) (uk) (col) (id) idiot!/
馬鹿よけ [ばかよけ] /(adj-f) foolproof/
馬鹿らしい [ばからしい] /(adj-i) absurd/(P)/
馬鹿を見る [ばかをみる] /(exp,v1) to feel like an idiot/to make a fool of yourself/
馬鹿チョン [ばかチョン] /(n,adj-f) (1) (vulg) foolproof/idiot-proof/(2) (uk) (col) point-and-shoot (camera)/
馬鹿チョンカメラ [ばかチョンカメラ] /(n) (uk) (vulg) automatic camera (lit: "camera even idiots and simpletons can use")/
馬鹿安値 [ばかやすね] /(n) ridiculously low price/
馬鹿貝 [ばかがい] /(n) (uk) Mactra chinensis (species of trough shell)/
馬鹿穴 [ばかあな] /(n) clearance hole (hole for a bolt, screw, etc., which is large enough to allow the thread, etc. to pass through)/
馬鹿高値 [ばかたかね] /(n) ridiculously high price/
馬鹿鮫 [ばかざめ] /(n) (uk) basking shark (Cetorhinus maximus)/
馬鹿者 [ばかもの] /(n) (derog) moron/idiot/stupid person/
馬鹿受け [ばかうけ] /(n) great hit/
馬鹿臭い [ばかくさい] /(adj-i) absurd/
馬鹿松茸 [ばかまつたけ] /(n) (uk) Tricholoma bakamatsutake (mushroom)/false matsutake/
馬鹿笑い [ばかわらい] /(n,vs) horse laugh/guffaw/wild laughter/
馬鹿正直 [ばかしょうじき] /(exp,adj-na) honest to a fault/foolishly honest/naively honest/
馬鹿騒ぎ [ばかさわぎ] /(n,vs) horseplay/fooling around/
馬鹿丁寧 [ばかていねい] /(adj-na,n) overly polite/excessively polite/polite to a fault/
馬鹿鳥 [ばかどり] /(n) (sl) albatross/
馬鹿当り [ばかあたり] /(n) great hit/
馬鹿馬鹿しい [ばかばかしい] /(adj-i) stupid/
馬鹿面 [ばかづら] /(n) foolish face/stupid look on one's face/
馬鹿野郎 [ばかやろう] /(int) (uk) (col) (id) idiot!/
馬鹿律儀 [ばかりちぎ] /(n,adj-na) honest and straightforward to a fault/
馬鹿力 [ばかぢから] /(n) great physical power/animal strength/
馬鹿話 [ばかばなし] /(n) foolish talk/
馬鹿囃子 [ばかばやし] /(n) orchestra present at Japanese festival/festival music (may be sung from a festival float)/
馬鹿慇懃 [ばかいんぎん] /(n,adj-na) overdone politeness/polite to a fault/feigned politeness/
馬車 [ばしゃ] /(n) (horse-drawn) coach/carriage/wagon/cart/(P)/
馬車鉄道 [ばしゃてつどう] /(n) horse tramway/
馬車馬 [ばしゃうま] /(n) cart-horse/work-horse/
馬主 [うまぬし] /(n) (race)horse owner/(P)/
馬主 [ばしゅ] /(n) (race)horse owner/
馬主 [ばぬし] /(n) (race)horse owner/
馬手 [ばしゅ] /(n) (obsc) stable boy/stable hand/groom/
馬首 [ばしゅ] /(n) neck of a horse/
馬術 [ばじゅつ] /(n,adj-no) horse-riding/horsemanship/equestrian art/dressage/(P)/
馬小屋 [うまごや] /(n) stable/
馬上 [ばじょう] /(n) horseback/riding/
馬上槍試合 [ばじょうやりじあい] /(n) jousting match/joust/tournament (medieval)/
馬乗り [うまのり] /(n) horseback riding/
馬場 [ばば] /(n) horse-riding ground/(P)/
馬場の殿 [うまばのおとど] /(n) (arch) building for observing horse racing, horseback archery, etc. (sometimes specifically that used by the emperor on the greater palace grounds)/
馬場殿 [うまばどの] /(n) (arch) building for observing horse racing, horseback archery, etc. (sometimes specifically that used by the emperor on the greater palace grounds)/
馬場殿 [うまばのおとど] /(n) (arch) building for observing horse racing, horseback archery, etc. (sometimes specifically that used by the emperor on the greater palace grounds)/
馬場殿 [ばばどの] /(n) (arch) building for observing horse racing, horseback archery, etc. (sometimes specifically that used by the emperor on the greater palace grounds)/
馬食 [ばしょく] /(n,vs) heavy eating/
馬尻 [バケツ] /(ateji) (n) bucket/pail/
馬身 [ばしん] /(n) horse's length/
馬酔木 [あしび] /(n) Japanese andromeda (Pieris japonica)/lily-of-the-valley/
馬酔木 [あせび] /(n) Japanese andromeda (Pieris japonica)/lily-of-the-valley/
馬酔木 [あせぶ] /(n) Japanese andromeda (Pieris japonica)/lily-of-the-valley/
馬酔木 [あせぼ] /(n) Japanese andromeda (Pieris japonica)/lily-of-the-valley/
馬槽 [うまぶね] /(n) (arch) horse trough/
馬槽 [まぶね] /(n) (arch) horse trough/
馬草 [うまくさ] /(n) fodder/
馬草 [まぐさ] /(n) fodder/
馬賊 [ばぞく] /(n) mounted bandit/
馬体 [ばたい] /(n) body of a horse/
馬大頭 [おにやんま] /(n) (uk) Anotogaster sieboldii (largest species of dragonfly in Japan)/
馬鐸 [ばたく] /(n) (arch) horse bell/
馬丁 [ばてい] /(n) (sens) stable boy/stable hand/groom/
馬跳 [うまとび] /(n,vs) (game of) leapfrog/leapfrogging/
馬跳び [うまとび] /(n,vs) (game of) leapfrog/leapfrogging/
馬追い [うまおい] /(n) (1) loading a horse with passengers or baggage/(2) driving a horse into a pen/(3) (abbr) Hexacentrus japonicus (species of katydid)/Hexacentrus unicolor (species of katydid)/
馬追虫 [うまおいむし] /(n) (obsc) Hexacentrus japonicus (species of katydid)/Hexacentrus unicolor (species of katydid)/
馬蹄 [ばてい] /(n) horse's hooves/
馬蹄形 [ばていけい] /(n) horseshoe-shaped/
馬蹄螺 [ばていら] /(n) (uk) Omphalius pfeifferi pfeifferi (subspecies of top shell)/
馬刀貝 [まてがい] /(n) razor clam/
馬頭 [ばとう] /(n) Hayagriva/Horsehead (tantric Buddhist deity)/
馬頭観音 [ばとうかんのん] /(n) (Buddh) Hayagriva (manifestation of Avalokitesvara with an ornament in the shape of a horse's head)/
馬頭琴 [ばとうきん] /(n) morin khuur (stringed musical instrument of Mongolian origin)/matouqin/
馬頭星雲 [ばとうせいうん] /(n) horse-head nebula/
馬道 [うまみち] /(ik) (n) long roofed passageway (originally having an earthen floor and used as a bridle path)/
馬道 [めど] /(ok) (n) long roofed passageway (originally having an earthen floor and used as a bridle path)/
馬道 [めどう] /(n) long roofed passageway (originally having an earthen floor and used as a bridle path)/
馬道 [めんどう] /(ok) (n) long roofed passageway (originally having an earthen floor and used as a bridle path)/
馬肉 [ばにく] /(n) horsemeat/
馬蝿 [うまばえ] /(n) horse botfly (Gasterophilus intestinalis)/
馬蛤貝 [まてがい] /(n) razor clam/
馬番連勝 [ばばんれんしょう] /(n) post (horse racing)/
馬肥 [うまごやし] /(io) (n) (1) toothed medick (Medicago polymorpha)/hairy medick/bur clover/(2) (col) white clover (Trifolium repens)/
馬肥やし [うまごやし] /(n) (1) toothed medick (Medicago polymorpha)/hairy medick/bur clover/(2) (col) white clover (Trifolium repens)/
馬尾藻 [ほんだわら] /(n) (uk) Sargassum fulvellum (species of edible brown alga)/
馬鼻疽 [ばびそ] /(n) glanders (contagious disease of horses)/
馬匹 [ばひつ] /(n) horses/
馬糞 [ばふん] /(n) horse dung/
馬糞 [まぐそ] /(n) horse dung/
馬糞紙 [ばふんし] /(n) (1) rough cardboard made from straw/(2) (arch) low-grade paper (used as a lining)/
馬糞鷹 [まぐそたか] /(n) (1) (obsc) common kestrel (Falco tinnunculus)/(2) common buzzard (Buteo buteo)/
馬糞鷹 [まぐそだか] /(n) (1) (obsc) common kestrel (Falco tinnunculus)/(2) common buzzard (Buteo buteo)/
馬偏 [うまへん] /(n) kanji "horse" radical at left/
馬返し [うまがえし] /(n) point along a (mountain) pass beyond which a horse cannot travel/
馬方 [うまかた] /(n) packhorse driver/
馬面 [うまがお] /(n) (1) long thin face/
馬面 [うまづら] /(n) (1) long thin face/(2) Black Scraper (fish)/
馬面 [ばめん] /(n) (1) long thin face/
馬面剥 [うまづらはぎ] /(n) black scraper fish (Novodon modestus)/
馬陸 [やすで] /(n) (uk) millipede/
馬糧 [ばりょう] /(n) horse feed/
馬力 [ばりき] /(n) horse-power/h.p./HP/(P)/
馬鈴薯 [じゃがいも] /(n) (uk) potato (Solanum tuberosum)/
馬鈴薯 [ばれいしょ] /(n) (uk) potato (Solanum tuberosum)/
馬鈴薯澱粉 [ばれいしょでんぷん] /(n) potato starch/
馬齢 [ばれい] /(n) humble term for refer to one's own age/
馬齢を重ねる [ばれいをかさねる] /(exp,v1) (hum) to have aged without having accomplished anything/
馬連 [ばれん] /(n) disk-shaped pad for pressing paper when making a print from a wood block/rubbing pad/baren/
馬幇 [まばん] /(n) (obsc) caravan (e.g. of Hui Muslims in China)/
馬梳 [うまぐし] /(n) curry-comb/
馬楝 [ばれん] /(n) disk-shaped pad for pressing paper when making a print from a wood block/rubbing pad/baren/
馬橇 [ばそり] /(n) horse-drawn sleigh/
馬蠅 [うまばえ] /(n) horse botfly (Gasterophilus intestinalis)/
馬銜 [くつばみ] /(ok) (n) bit (i.e. attached to a bridle)/
馬銜 [くつわ] /(n) bit (i.e. attached to a bridle)/
馬銜 [はみ] /(n) (uk) bit mouthpiece/
馬銜 [はめ] /(n) (uk) bit mouthpiece/
馬勒 [ばろく] /(n) bridle/
俳画 [はいが] /(n) briefly drawn picture/haiku picture/
俳句 [はいく] /(n) haiku poetry (17-syllable poem usually in 3 lines of 5, 7 and 5 syllables)/(P)/
俳号 [はいごう] /(n) pseudonym of a haiku poet/
俳人 [はいじん] /(n) haiku poet/(P)/
俳聖 [はいせい] /(n) famous haiku poet/the poet Basho/
俳壇 [はいだん] /(n) the world of the haiku/
俳風 [はいふう] /(n) style of a haikai or haiku poem/
俳文 [はいぶん] /(n) prose with a poetic haiku flavor (flavour)/
俳味 [はいみ] /(n) subdued taste/refined taste/haiku (poetic) flavor (flavour)/
俳名 [はいみょう] /(n) haiku poet's name/
俳名 [はいめい] /(n) haiku poet's name/
俳優 [はいゆう] /(n,adj-no) actor/actress/player/performer/(P)/
俳優崩れ [はいゆうくずれ] /(n) down-and-out ex-film star/
俳友 [はいゆう] /(n) (haiku) poetry pals/
俳徊 [はいかい] /(n,vs) loitering/sauntering/wandering about/
俳諧 [はいかい] /(n) (abbr) haikai (humorous or vulgar renga poetry)/
俳諧の連歌 [はいかいのれんが] /(oK) (n) haikai (humorous or vulgar renga poetry)/
俳諧師 [はいかいし] /(n) writer of haikai poems/
俳謔 [はいぎゃく] /(n) joke/
廃す [はいす] /(v5s,vt) (1) to abolish/to abandon/to repeal/to discontinue/(2) to dethrone/to depose/
廃する [はいする] /(vs-s) (1) to abolish/to abandon/to repeal/to discontinue/(2) to dethrone/to depose/
廃り [すたり] /(n) waste/wastage/waster/
廃る [すたる] /(v5r) to go out of use/to become obsolete/to die out/to go out of fashion/
廃れた [すたれた] /(adj-f) out of date/disused/obsolete/
廃れる [すたれる] /(v1,vi) to go out of use/to become obsolete/to die out/to go out of fashion/
廃ガス [はいガス] /(n) waste gas/
廃ビル [はいビル] /(n) abandoned building/derelict building/
廃案 [はいあん] /(n) rejected bill (project)/(P)/
廃位 [はいい] /(n,vs) dethronement/
廃液 [はいえき] /(n) waste liquid/
廃駅 [はいえき] /(n) abandoned station/closed station/
廃園 [はいえん] /(n,vs) neglected or abandoned garden/
廃屋 [はいおく] /(n) dilapidated house/deserted house/
廃家 [はいか] /(n) (1) deserted house/ruined house/(n,vs) (2) abolishing one's own family line in order to join another (under pre-1947 Japanese law)/extinct family/
廃家 [はいけ] /(n) (1) deserted house/ruined house/(n,vs) (2) abolishing one's own family line in order to join another (under pre-1947 Japanese law)/extinct family/
廃刊 [はいかん] /(n,vs) ceasing to publish/discontinuance of publication/
廃艦 [はいかん] /(n,vs) decommissioned warship/
廃棄 [はいき] /(n,vs) annulment/disposal/abandon/scrap/discarding/repeal/(P)/
廃棄セル [はいきセル] /(n) (comp) discarded cell/
廃棄プライオリティ [はいきプライオリティ] /(n) (comp) discard priority/loss priority/
廃棄処分 [はいきしょぶん] /(vs) disposal/scrapping/replacement/putting on the shelf/shelving/
廃棄物 [はいきぶつ] /(n) waste matter/waste/garbage/trash/
廃棄物処理 [はいきぶつしょり] /(n) waste disposal/waste treatment/
廃棄物処理施設 [はいきぶつしょりしせつ] /(n) waste treatment facility/WTF/waste disposal and treatment facility/
廃却 [はいきゃく] /(n,vs) disposal/throwing away/scrapping (something)/
廃虚 [はいきょ] /(n) ruins/abandoned building/(P)/
廃業 [はいぎょう] /(n,vs) cessation of business/discontinuation of business/(P)/
廃語 [はいご] /(n) obsolete word/
廃坑 [はいこう] /(n,vs) abandoned mine/disused mine/(P)/
廃校 [はいこう] /(n,vs) abolition or closing of a school/
廃鉱 [はいこう] /(n,vs) abandoned mine/disused mine/
廃合 [はいごう] /(n,vs) abolition and amalgamation/
廃合整理 [はいごうせいり] /(n) reorganization/restructuring/
廃材 [はいざい] /(n) scrap wood/(P)/
廃作 [はいさく] /(n,vs) termination of cultivation (usu. tobacco)/
廃山 [はいざん] /(n,vs) abandoned mine/
廃残 [はいざん] /(n) down-and-out/ruin/decline/
廃止 [はいし] /(n,vs,adj-no) abolition/repeal/(P)/
廃止された [はいしされた] /(adj-f) extinct/
廃止事項 [はいしじこう] /(n) (comp) deleted feature/
廃止予定 [はいしよてい] /(n) (comp) obsolescent/
廃止予定事項 [はいしよていじこう] /(n) (comp) obsolescent feature/
廃疾 [はいしつ] /(n,adj-no) disablement/disability/
廃疾条件 [はいしつじょうけん] /(n) disability clause/
廃車 [はいしゃ] /(n,vs) decommissioned vehicle/out of service vehicle/
廃除 [はいじょ] /(n,vs) (legal) exclusion or removal/
廃城 [はいじょう] /(n) (obsc) abandoned castle/
廃人 [はいじん] /(n) cripple/disabled person/invalid/
廃絶 [はいぜつ] /(n,vs) extinction/abolition/(P)/
廃線 [はいせん] /(n) abandoned railway line/closed railway line/discontinued line/
廃船 [はいせん] /(n) scrapped vessel/
廃村 [はいそん] /(n) ghost town/deserted village/village without inhabitants/
廃退 [はいたい] /(n,vs) decay/decadence/
廃宅 [はいたく] /(n) deserted and ruined house/
廃嫡 [はいちゃく] /(n,vs) disinheritance/
廃帝 [はいてい] /(n) dethroned emperor or king/
廃刀令 [はいとうれい] /(n) sword prohibition/
廃熱 [はいねつ] /(n) remaining heat/waste heat/
廃熱口 [はいねつぐち] /(n) heat vent/exhaust vent/
廃版 [はいばん] /(n) out of print/
廃藩 [はいはん] /(n) abolition of the han system/
廃藩置県 [はいはんちけん] /(n) abolition of feudal domains and establishment of prefectures (1871)/
廃盤 [はいばん] /(n) records out of production/
廃品 [はいひん] /(n) waste/garbage/
廃品回収業 [はいひんかいしゅうぎょう] /(n) waste management (garbage collection) industry/
廃品回収業者 [はいひんかいしゅうぎょうしゃ] /(n) garbage man/garbage collector/
廃部 [はいぶ] /(n) abolished club/club that has had its status repealed/
廃仏毀釈 [はいぶつきしゃく] /(n) anti-Buddhist movement at the beginning of the Meiji era/
廃物 [はいぶつ] /(n,adj-no) scrap/junk/waste material/
廃物利用 [はいぶつりよう] /(n) recycling/
廃兵 [はいへい] /(n) disabled soldier/crippled soldier/
廃滅 [はいめつ] /(n,vs) decay/ruination/
廃油 [はいゆ] /(n) waste oil/
廃用症候群 [はいようしょうこうぐん] /(n) disuse syndrome/
廃要素 [はいようそ] /(n) (1) obsolete element/(adj-f) (2) obsolescent/
廃炉 [はいろ] /(n,vs) (1) decommissioning a nuclear reactor/(n) (2) decommissioned nuclear reactor/
廃墟 [はいきょ] /(n) ruins/abandoned building/
廃頽 [はいたい] /(n,vs) decay/decadence/
拝 [はい] /(n) worship/
拝み倒す [おがみたおす] /(v5s,vt) to persuade someone to consent/to entreat repeatedly/to beg/to implore/
拝み箸 [おがみばし] /(n) clasping your chopsticks between your hands as in a gesture of prayer (a breach of etiquette)/
拝む [おがむ] /(v5m,vt) (1) to assume the posture of praying/to press the palms and fingers of both hands together/to do reverence (e.g. before a statue of the Buddha)/to pay one's respects/(2) to beg/to make a supplication/(3) (hum) to see (something or someone of high status)/(P)/
拝謁 [はいえつ] /(n,vs) (hum) having an audience with someone of very high social standing (e.g. the emperor)/
拝火教 [はいかきょう] /(n) Zoroastrianism/
拝賀 [はいが] /(n,vs) congratulations/
拝外的 [はいがいてき] /(adj-na) proforeign/xenophilous/
拝観 [はいかん] /(n,vs) see/inspect/visit/
拝観者 [はいけんしゃ] /(n) visitor/
拝観料 [はいかんりょう] /(n) entrance fee/
拝顔 [はいがん] /(n,vs) meeting (with another person)/
拝顔の栄 [はいがんのえい] /(n) honor of seeing (a person)/honour of seeing (a person)/
拝金 [はいきん] /(n) money-worship/mammon-worship/
拝金主義 [はいきんしゅぎ] /(n) mammonism/
拝金主義の塊 [はいきんしゅぎのかたまり] /(n) money-worshiper/
拝金主義の固まり [はいきんしゅぎのかたまり] /(n) money-worshiper/
拝金主義者 [はいきんしゅぎしゃ] /(n) mammonist/money-worshipper/
拝具 [はいぐ] /(int,n) term used in closing a formal letter/
拝啓 [はいけい] /(int,n) Dear (so and so)/(P)/
拝見 [はいけん] /(n,vs) (hum) (pol) seeing/look at/(P)/
拝察 [はいさつ] /(n,vs) (hum) surmise/infer/sympathize/sympathise/
拝辞 [はいじ] /(n,vs) resigning/declining/
拝謝 [はいしゃ] /(n,vs) giving thanks/
拝借 [はいしゃく] /(n,vs) (hum) (pol) borrowing/(P)/
拝受 [はいじゅ] /(n,vs) (hum) receiving (accepting)/
拝承 [はいしょう] /(n,vs) hearing/understanding/learning/being informed/
拝趨 [はいすう] /(n,vs) (hum) to visit someone/to call on/
拝聴 [はいちょう] /(n,vs) (hum) listening respectfully/
拝呈 [はいてい] /(n,vs) presenting/salutation of a formal letter/
拝殿 [はいでん] /(n) front shrine/hall of worship/
拝読 [はいどく] /(n,vs) (hum) (pol) reading/
拝眉 [はいび] /(n,vs) having the pleasure of seeing (a person)/
拝復 [はいふく] /(int,n) salutation of a formal letter of response (in reply to your letter, Dear Sir, Dear Madam, etc.)/
拝物教 [はいぶつきょう] /(n) fetishism/
拝聞 [はいぶん] /(n,vs) hear/listen to/
拝命 [はいめい] /(n,vs) receiving an official appointment/
拝領 [はいりょう] /(n,vs) receiving (from a superior)/bestowed/
拝礼 [はいれい] /(n,vs) worship/
排す [はいす] /(v5s,vt) (1) (arch) to push aside/to overcome (e.g. difficulties)/to reject/(2) to align/to put in order/(3) to push open/
排する [はいする] /(vs-s,vt) (1) to push aside/to overcome (e.g. difficulties)/to reject/(2) to align/to put in order/(3) (arch) to push open/
排ガス [はいガス] /(n) exhaust gas/exhaust fumes/
排液 [はいえき] /(n) drainage/sewerage/
排煙 [はいえん] /(n,vs) smoke (dispersal)/
排外 [はいがい] /(n) anti-foreign/
排外運動 [はいがいうんどう] /(n) anti-foreign movement/
排外的 [はいがいてき] /(adj-na) exclusive/antiforeign/xenophobic/
排気 [はいき] /(n,vs) exhaust/ventilation/(P)/
排気ガス [はいきガス] /(n) exhaust fumes/(P)/
排気音 [はいきおん] /(n) exhaust sound/exhaust note/
排気管 [はいきかん] /(n) exhaust pipe/
排気口 [はいきこう] /(n) exhaust port/
排気弁 [はいきべん] /(n) exhaust valve/
排気量 [はいきりょう] /(n) (engine) displacement/
排球 [はいきゅう] /(n) (obsc) volleyball/
排撃 [はいげき] /(n,vs) rejection/denunciation/
排紙 [はいし] /(n,vs) paper output (e.g. of printers)/paper ejection/
排出 [はいしゅつ] /(n,vs,adj-no) evacuation/emission (e.g. of CO2, etc.)/ejection/(P)/
排出基準 [はいしゅつきじゅん] /(n) effluent standard/effluent standards/
排出物 [はいしゅつぶつ] /(n) discharge/excreta/
排除 [はいじょ] /(n,vs,adj-no) exclusion/removal/rejection/elimination/abatement/lifting (sanctions, etc.)/(P)/
排除体積効果 [はいじょたいせきこうか] /(n) excluded volume effect/
排除要素 [はいじょようそ] /(n) (comp) exclusions/
排障器 [はいしょうき] /(n) obstruction guard/
排水 [はいすい] /(n,vs) drainage/(P)/
排水管 [はいすいかん] /(n) drainpipe/drainage pipe/
排水孔 [はいすいこう] /(n) osculum/scupper (hole)/
排水溝 [はいすいこう] /(n) drainage/
排水条件 [はいすいじょうけん] /(n) drainage conditions/
排水量 [はいすいりょう] /(n) displacement (of a ship)/
排水路 [はいすいろ] /(n) drainage channel/
排斥 [はいせき] /(n,vs) rejection/expulsion/boycott/ostracism/(P)/
排斥運動 [はいせきうんどう] /(n) agitation for expulsion/
排雪 [はいせつ] /(n,vs) removal of snow/
排他 [はいた] /(n) exclusion/(P)/
排他ディスパッチ機構 [はいたディスパッチきこう] /(n) (comp) EDG/Exclusive Dispatching Group Facility/
排他演算 [はいたえんざん] /(n) (comp) exclusion/NOT-IF-THEN operation/
排他主義 [はいたしゅぎ] /(n,adj-no) exclusion principle/(P)/
排他制御 [はいたせいぎょ] /(n) (comp) exclusive control/
排他素子 [はいたそし] /(n) (comp) NOT-IF-THEN gate/NOT-IF-THEN element/
排他的 [はいたてき] /(adj-na) exclusive/
排他的経済水域 [はいたてきけいざいすいいき] /(n) exclusive economic zone/EEZ/
排他的論理和 [はいたてきろんりわ] /(n) (comp) exclusive OR/XOR/
排他的論理和演算 [はいたてきろんりわえんざん] /(n) (comp) non-equivalence operation/EXCLUSIVE-OR operation/
排他的論理和素子 [はいたてきろんりわそし] /(n) (comp) EXCLUSIVE-OR gate/EXCLUSIVE-OR element/
排他律 [はいたりつ] /(n) exclusion principle (physics)/
排中原理 [はいちゅうげんり] /(n) law of excluded middle/
排中律 [はいちゅうりつ] /(n) law of excluded middle/
排日 [はいにち] /(n) anti-Japanese/(P)/
排尿 [はいにょう] /(n,vs) urination/micturition/
排尿障害 [はいにょうしょうがい] /(n,adj-no) dysuria/painful urination/
排熱 [はいねつ] /(n) remaining heat/waste heat/
排熱口 [はいねつぐち] /(n) heat vent/exhaust vent/
排便 [はいべん] /(n,vs) defecation/
排卵 [はいらん] /(n,vs,adj-no) ovulation/
排卵痛 [はいらんつう] /(n) ovulation pain/
排卵日 [はいらんび] /(n) ovulation day/
排卵誘発剤 [はいらんゆうはつざい] /(n) ovulation-inducing drug/
排列 [はいれつ] /(n,vs) (1) arrangement/disposition/(2) (comp) array (programming, programing)/
排泄 [はいせつ] /(n,vs,adj-no) excretion/
排泄器官 [はいせつきかん] /(n) excretory organ/
排泄訓練 [はいせつくんれん] /(n) toilet training/
排泄物 [はいせつぶつ] /(n) excretion/discharge/excrement/
排簫 [はいしょう] /(n) paixiao (ancient Chinese bamboo panpipes)/
排莢桿筒 [はいきょうかんとう] /(n) ejector tube/ejector housing (revolver)/
敗 [はい] /(n) (1) loss/defeat/(suf,ctr) (2) counter for losses/
敗ける [まける] /(v1,vi) (1) to lose/to be defeated/
敗る [やぶる] /(v5r,vt) to tear/to violate/to defeat/to smash/to destroy/to break (e.g. password)/
敗れる [やぶれる] /(v1,vi) to be defeated/to be unsuccessful/(P)/
敗因 [はいいん] /(n) cause of defeat/(P)/
敗軍 [はいぐん] /(n) defeat/lost battle/
敗軍の将は兵を語らず [はいぐんのしょうはへいをかたらず] /(exp) (id) A defeated general should not talk of the battle/
敗血症 [はいけつしょう] /(n) blood poisoning/
敗血症性 [はいけっしょうせい] /(n,adj-no) septic (infected with bacteria)/
敗残 [はいざん] /(n,vs) defeat/
敗残兵 [はいざんへい] /(n) remnants of a defeated army/
敗者 [はいしゃ] /(n) the defeated/vanquished/loser/(P)/
敗者復活戦 [はいしゃふっかつせん] /(n) repechage/
敗将 [はいしょう] /(n) defeated general/
敗色 [はいしょく] /(n) signs of defeat/negative turn of events/
敗色が濃い [はいしょくがこい] /(exp) (obsc) the team appears to be headed for defeat/strong indications of defeat/
敗色濃厚 [はいしょくのうこう] /(n) likely loss/probable defeat/
敗戦 [はいせん] /(n,vs) defeat/losing a war/(P)/
敗戦国 [はいせんこく] /(n) defeated country/
敗戦投手 [はいせんとうしゅ] /(n) losing pitcher/
敗訴 [はいそ] /(n,vs) loss of a court-case/(P)/
敗走 [はいそう] /(n,vs) take flight/take to one's heels/
敗退 [はいたい] /(n,vs) being defeated/being eliminated (from competition)/(P)/
敗報 [はいほう] /(n) news of defeat/
敗亡 [はいぼう] /(n,vs) defeat (in battle)/
敗北 [はいぼく] /(n) (1) defeat/(vs,vi) (2) to be defeated/(P)/
敗北感 [はいぼくかん] /(n) sense of defeat/
敗北者 [はいぼくしゃ] /(n) loser/the defeated/
敗北主義 [はいぼくしゅぎ] /(n) defeatism/
敗滅 [はいめつ] /(n,vs) scattered or crushed in defeat/
敗衄 [はいじく] /(n) (1) being defeated/(vs) (2) to be defeated/
杯 [さかずき] /(n) sake cup/cup for alcoholic beverages/(P)/
杯 [つき] /(n) (arch) shallow bowl/
杯 [はい] /(n) (1) sake cup/cup for alcoholic beverages/(suf,ctr) (2) counter for cupfuls/(3) counter for ships, octopuses and squid/
杯 [はた] /(ok) (suf,ctr) (1) counter for cupfuls/
杯を干す [さかずきをほす] /(exp,v5s) to drink the cup dry/
杯を差す [さかずきをさす] /(exp,v5s) to offer a cup (of sake)/
杯を重ねる [はいをかさねる] /(exp,v1) to have one cup of sake after another/
杯事 [さかずきごと] /(n) pledge made over winecups/exchange of nuptial cups/
杯洗 [はいせん] /(n) small vessel or bowl in which sake cups are rinsed/
杯洗い [さかずきあらい] /(n) small vessel or bowl in which sake cups are rinsed/
杯盤 [はいばん] /(n) glasses and plates/
杯盤狼藉 [はいばんろうぜき] /(uK) (adj-t,adv-to) (arch) glasses and plates being scattered about after a party or banquet/articles lying about in a jumble/
盃 [さかずき] /(n) sake cup/cup for alcoholic beverages/
盃 [はい] /(n) (1) sake cup/cup for alcoholic beverages/(suf,ctr) (2) counter for cupfuls/(3) counter for ships, octopuses and squid/
牌 [ぱい] /(n) tile (mah-jongg)/
背 [せ] /(n) (1) back/spine/(2) reverse/rear side/(3) height/(4) ridge (of a mountain)/(P)/
背 [せい] /(n) height/stature/(P)/
背が高い [せがたかい] /(exp,adj-i) tall (of a person)/
背が伸びる [せがのびる] /(exp,v1) to grow taller (of people)/
背が低い [せがひくい] /(exp,adj-i) short (of a person)/
背が立つ [せがたつ] /(exp,v5t) to have one's feet reach the bottom (e.g. when standing in water)/
背く [そむく] /(v5k,vi) to run counter to/to go against/to disobey/to infringe/(P)/
背ける [そむける] /(v1,vt) to turn one's face away/to avert one's eyes/
背なか [せなか] /(n) back (of body)/
背に腹はかえられない [せにはらはかえられない] /(exp) not able to escape an urgent problem without making some sacrifice/
背に腹はかえられぬ [せにはらはかえられぬ] /(exp) not able to escape an urgent problem without making some sacrifice/
背に腹は替えられない [せにはらはかえられない] /(exp) not able to escape an urgent problem without making some sacrifice/
背に腹は替えられぬ [せにはらはかえられぬ] /(exp) not able to escape an urgent problem without making some sacrifice/
背に腹は代えられぬ [せにはらはかえられぬ] /(exp) not able to escape an urgent problem without making some sacrifice/
背のび [せのび] /(n,vs) (1) standing on tiptoe and stretching one's back to make oneself taller/stretching oneself/(2) overreaching oneself/overstretching oneself/trying to do something beyond one's ability/pushing to the limit/
背の高い [せのたかい] /(adj-i) tall (of a person)/
背の高さ [せのたかさ] /(n) height (e.g. in a form)/
背の順 [せのじゅん] /(n) order of height/
背の低い [せのひくい] /(adj-i) short (of a person)/
背の明いた服 [せのあいたふく] /(n) garment open at the back/
背びれ [せびれ] /(n) dorsal fin/
背ぼね [せぼね] /(n,adj-no) spine/backbone/spinal column/
背もたれ [せもたれ] /(n) back (of a chair)/
背を向ける [せをむける] /(exp,v1) to pretend not to see/to turn one's back on/
背圧 [はいあつ] /(n) back pressure/
背泳 [はいえい] /(n) backstroke/
背泳ぎ [せおよぎ] /(n) backstroke (swim.)/(P)/
背越し [せごし] /(n) thinly slicing soft-boned fish for sashimi/
背延び [せのび] /(n,vs) (1) standing on tiptoe and stretching one's back to make oneself taller/stretching oneself/(2) overreaching oneself/overstretching oneself/trying to do something beyond one's ability/pushing to the limit/
背開き [せびらき] /(n) slicing a fish down its back/
背格好 [せかっこう] /(n) one's height or stature/one's physique/
背革 [せがわ] /(n) leatherbound/
背割り [せわり] /(n) slicing a fish down its back/a slit in the back of a garment/
背乾鯨 [せびくじら] /(n) (obsc) North Pacific right whale (Eubalaena japonica)/
背教 [はいきょう] /(n,adj-no) apostasy/renunciation (e.g. of a religion)/defection/
背教者 [はいきょうしゃ] /(n) apostate/renegade/
背筋 [せすじ] /(n) (1) the muscles along the spine/dorsal muscles/(2) spinal column/(3) seam in the back/back seam/(P)/
背筋 [はいきん] /(n) (1) the muscles along the spine/dorsal muscles/(2) spinal column/(3) seam in the back/back seam/
背筋が寒くなる [せすじがさむくなる] /(exp) a chill runs down one's spine/
背筋を伸ばす [せすじをのばす] /(exp,v5s) to straighten up one's back (e.g. stand up straight, sit up straight)/to hold one's head high/
背筋鼠 [せすじねずみ] /(n) (uk) striped field mouse (Apodemus agrarius)/
背筋力 [はいきんりょく] /(n) strength of one's back/
背屈 [はいくつ] /(n) dorsiflexion/dorsal flexion/
背景 [はいけい] /(n) background/scenery/setting/circumstance/(P)/
背景画像 [はいけいがぞう] /(n) (comp) background image/static image/
背景反射率 [はいけいはんしゃりつ] /(n) (comp) background reflectance/
背戸 [せど] /(n) back door or entrance/
背後 [はいご] /(n,adj-no) (1) back/rear/(2) background/behind the scenes/(P)/
背後関係 [はいごかんけい] /(n) background (of an episode)/
背広 [せびろ] /(ateji) (n) business suit/(P)/
背高 [せいたか] /(n,adj-no,adj-na) tallness/tall person/
背高泡立草 [せいたかあわだちそう] /(n) (uk) Canada goldenrod (Solidago canadensis var. scabra)/
背高蓬 [せいたかよもぎ] /(n) (uk) Artemisia selengensis/
背高鷸 [せいたかしぎ] /(n) (1) (uk) black-winged stilt (Himantopus himantopus)/(2) stilt (any bird of family Recurvirostridae)/avocet/
背黒ジャッカル [せぐろジャッカル] /(n) black-backed jackal (carnivore, Canis mesomelas)/
背黒鴎 [せぐろかもめ] /(n) (uk) herring gull (Larus argentatus)/
背黒鰺刺 [せぐろあじさし] /(n) sooty tern/
背黒鶺鴒 [せぐろせきれい] /(n) (uk) Japanese wagtail (Motacilla grandis)/
背骨 [せぼね] /(n,adj-no) spine/backbone/spinal column/(P)/
背宍 [そしし] /(n) (arch) meat, flesh, or muscles along the spine/
背宍 [そじし] /(n) (arch) meat, flesh, or muscles along the spine/
背丈 [せたけ] /(n) stature/height/(P)/
背伸び [せのび] /(n,vs) (1) standing on tiptoe and stretching one's back to make oneself taller/stretching oneself/(2) overreaching oneself/overstretching oneself/trying to do something beyond one's ability/pushing to the limit/
背信 [はいしん] /(n,vs,adj-no) betrayal/infidelity/(P)/
背信者 [はいしんしゃ] /(n) traitor/
背水の陣 [はいすいのじん] /(exp) last stand/having burnt one's boats/
背赤後家蜘蛛 [せあかごけぐも] /(n) (uk) redback spider (Latrodectus hasselti)/
背走 [はいそう] /(n,vs) running backwards/
背馳 [はいち] /(n,vs) inconsistency/contradiction/disobedience/
背中 [せなか] /(n) back (of body)/(P)/
背中で教える [せなかでおしえる] /(exp,v1) to teach by example/to teach by showing/lit: to teach with one's back/
背中の痛み [せなかのいたみ] /(n) backache/
背中を出す [せなかをだす] /(exp,v5s) to bare one's back/
背中を流す [せなかをながす] /(exp,v5s) to rinse one's back/
背中合せ [せなかあわせ] /(n) (1) back to back/(2) discord/feud/(3) opposite sides of the same coin/
背中合わせ [せなかあわせ] /(n) (1) back to back/(2) discord/feud/(3) opposite sides of the same coin/
背徳 [はいとく] /(n) corruption/immorality/lapse from virtue/fall from virtue/
背日性 [はいじつせい] /(n) negative heliotropism/
背任 [はいにん] /(n,vs) breach of trust (law)/(P)/
背任罪 [はいにんざい] /(n) breach of trust/
背嚢 [はいのう] /(n) knapsack/
背抜き [せぬき] /(n) unlined in the back/
背反 [はいはん] /(n,vs) revolting/rebellion/going against/contradiction/antinomy/
背反行為 [はいはんこうい] /(n) act of disobedience (betrayal)/violation/breach/infraction/infringement/
背番号 [せばんごう] /(n) number on player's back/(P)/
背比べ [せいくらべ] /(n) comparing heights/comparison of statures/
背比べ [せくらべ] /(n) comparing heights/comparison of statures/
背美鯨 [せみくじら] /(n) (uk) North Pacific right whale (Eubalaena japonica)/
背表紙 [せびょうし] /(n) spine (of book)/binding (of book)/
背鰭 [せびれ] /(n) dorsal fin/
背負い革 [しょいかわ] /(n) sling/
背負い込む [しょいこむ] /(v5m) (1) to carry on one's back/(2) to burden oneself (e.g. with debts, responsibilities, etc.)/
背負い込む [せおいこむ] /(v5m) (1) to carry on one's back/(2) to burden oneself (e.g. with debts, responsibilities, etc.)/
背負い投げ [しょいなげ] /(n) (MA) seoi nage (in judo, a shoulder throw)/
背負い投げ [せおいなげ] /(n) (MA) seoi nage (in judo, a shoulder throw)/
背負い投げを食う [せおいなげをくう] /(exp,v5u) to be betrayed unexpectedly/to be stabbed in the back/to be double-crossed/
背負う [しょう] /(v5u,vt) to be burdened with/to carry on back or shoulder/
背負う [せおう] /(v5u,vt) to be burdened with/to carry on back or shoulder/(P)/
背負子 [しょいこ] /(n) (arch) wooden rack with shoulder straps for carrying loads on one's back/
背負投げを食う [せおいなげをくう] /(exp,v5u) to be betrayed unexpectedly/to be stabbed in the back/to be double-crossed/
背部 [はいぶ] /(n,adj-no) back/
背幅 [せはば] /(n) breadth of the back/
背文字 [せもじ] /(n) lettering on the spine of a book/
背縫い [せぬい] /(n) back seam/
背面 [はいめん] /(n,adj-no) rear/back/reverse/
背面跳び [はいめんとび] /(n) Fosbury-back flop/backward jump/
背面飛行 [はいめんひこう] /(n) inverted flight/
背戻 [はいれい] /(n,vs) disobeying/infringing/running counter to/
背約 [はいやく] /(n,vs) a broken promise/breaking one's word/
背理 [はいり] /(n,vs) absurdity/irrationality/
背理法 [はいりほう] /(n) reductio ad absurdum/
背離 [はいり] /(n,vs) estranged/alienated/
背臨 [はいりん] /(n) copying from a model without looking at it (calligraphy)/
背凭れ [せもたれ] /(n) back (of a chair)/
肺 [はい] /(n) lung/(P)/
肺がん [はいがん] /(n) lung cancer/
肺が弱い [はいがよわい] /(exp) having a weak chest/
肺を病む [はいをやむ] /(exp,v5m) to suffer from tuberculosis/
肺ガン [はいガン] /(n) lung cancer/
肺炎 [はいえん] /(n,adj-no) pneumonia/(P)/
肺活量 [はいかつりょう] /(n) lung capacity/
肺患 [はいかん] /(n) lung disease/pulmonary illness/
肺肝 [はいかん] /(n) lungs and livers/depths of one's heart/innermost heart/
肺癌 [はいがん] /(n) lung cancer/
肺気腫 [はいきしゅ] /(n) pulmonary emphysema/
肺吸虫 [はいきゅうちゅう] /(n) lung fluke (Paragonimus westermani)/
肺魚 [はいぎょ] /(n) lungfish/
肺結核 [はいけっかく] /(n) pulmonary tuberculosis/consumption/(P)/
肺血症 [はいけつしょう] /(iK) (n) blood poisoning/
肺血流 [はいけつりゅう] /(n) pulmonary blood flow/
肺呼吸 [はいこきゅう] /(n) pulmonary respiration/
肺塞栓症 [はいそくせんしょう] /(n) pulmonary embolism/
肺実質 [はいじっしつ] /(n) lung substance/lung parenchyma/
肺循環 [はいじゅんかん] /(n) pulmonary circulation/
肺書 [はいしょ] /(n) (obsc) book lung (arachnid respiratory organ)/
肺浸潤 [はいしんじゅん] /(n) pulmonary infiltration/infiltration of the lungs/
肺水腫 [はいすいしゅ] /(n) pulmonary edema/pulmonary oedema/
肺静脈 [はいじょうみゃく] /(n) pulmonary vein/
肺尖 [はいせん] /(n) pulmonary apex/apex of a lung/
肺尖カタル [はいせんカタル] /(n) pulmonary apicitis/
肺臓 [はいぞう] /(n) lungs/
肺臓ジストマ [はいぞうジストマ] /(n) (obsc) lung fluke (Paragonimus westermani)/
肺炭疽 [はいたんそ] /(n) inhalation anthrax/
肺動脈 [はいどうみゃく] /(n) pulmonary artery/
肺病 [はいびょう] /(n,adj-no) lung disease/chest trouble/pulmonary tuberculosis/
肺病病み [はいびょうやみ] /(n) patient with pulmonary tuberculosis/
肺胞 [はいほう] /(n,adj-no) pulmonary alveolus/alveoli/lung cavity/air cell/
肺門 [はいもん] /(n,adj-no) pulmonary hilum/
肺葉 [はいよう] /(n,adj-no) pulmonary lobe/lobe of the lung/
肺腑 [はいふ] /(n) lungs/bottom of one's heart/vital point/
輩 [ともがら] /(n) comrade/fellow/
輩 [はい] /(n) group/gang/bunch/
輩 [ばら] /(n-suf) suffixed to words indicating a class of people to create a plural (esp. in impolite contexts)/
輩 [やから] /(n) party (of people)/set (of people)/clan/family/fellow/
輩出 [はいしゅつ] /(n,vs) turning out in great numbers/appearing one after the other/(P)/
配す [はいす] /(v5s,vt) (1) to distribute/to arrange/to allot (to a position of authority, etc.)/(2) to arrange/to lay out (as in decorating)/(3) to marry off/(4) to exile/to banish/
配する [はいする] /(vs-s,vt) (1) to distribute/to arrange/to allot (to a position of authority, etc.)/(2) to arrange/to lay out (as in decorating)/(3) (arch) to marry off/(4) (arch) to exile/to banish/
配り物 [くばりもの] /(n) present/gift/(P)/
配る [くばる] /(v5r,vt) to distribute/to deliver/to deal (cards)/(P)/
配位化合物 [はいいかごうぶつ] /(n) coordination compound/
配位結合 [はいいけつごう] /(n) coordinate bond/
配位子 [はいいし] /(n) ligand/
配意 [はいい] /(n,vs) regard/consideration/thoughtfulness/
配下 [はいか] /(n) subordinates/one's followers/
配架場所 [はいかばしょ] /(n) shelving location of books (in a library)/
配架法 [はいかほう] /(n) library arrangement/organization of books in a library/
配管 [はいかん] /(n,vs) plumbing/piping/(P)/
配管工 [はいかんこう] /(n) plumber/
配管工業 [はいかんこうぎょう] /(n) plumbing/
配管工事 [はいかんこうじ] /(n) pipe laying/plumbing/
配球 [はいきゅう] /(n) mixing of pitches/(P)/
配給 [はいきゅう] /(n,vs,adj-no) (1) distribution (e.g. films, rice)/(2) rationing (e.g. food, gasoline)/(3) food ration/(P)/
配給系 [はいきゅうけい] /(n) chain of distribution/
配給所 [はいきゅうじょ] /(n) distribution center/distribution centre/
配給制 [はいきゅうせい] /(n) rationing/rationing system/
配給米 [はいきゅうまい] /(n) rationed rice/
配偶 [はいぐう] /(n,vs,adj-no) combination/
配偶行動 [はいぐうこうどう] /(n) mating behavior/
配偶子 [はいぐうし] /(n) gamete/
配偶子形成 [はいぐうしけいせい] /(n) gametogenesis/gamete formation/
配偶子嚢 [はいぐうしのう] /(n) gametangium/
配偶者 [はいぐうしゃ] /(n) spouse/wife/husband/partner/(P)/
配偶者間人工授精 [はいぐうしゃかんじんこうじゅせい] /(n) artificial insemination by sperm from husband/
配偶者虐待 [はいぐうしゃぎゃくたい] /(n) spousal abuse/
配偶体 [はいぐうたい] /(n) gametophyte/
配光 [はいこう] /(n) light distribution (e.g. in candle-power or candela)/luminous intensity distribution/spatial distribution of luminous intensity/
配向 [はいこう] /(n,vs) orientation/
配向ベクトル [はいこうベクトル] /(n) orientation vector/
配向性 [はいこうせい] /(n,adj-no) orientation/
配合 [はいごう] /(n,vs,adj-no) combination/arrangement/distribution/mixture/match/harmony/
配合禁忌 [はいごうきんき] /(n,adj-no) incompatibility (of drugs)/
配合土 [はいごうど] /(n) compost/
配剤 [はいざい] /(n,vs) compounding of medicine/dispostion (of heaven)/
配策 [はいさく] /(n,vs) routing (cables, esp. in vehicles)/
配車 [はいしゃ] /(n,vs) allocation or dispatching of cars (despatching)/
配所 [はいしょ] /(n) place of exile/
配乗 [はいじょう] /(n,vs) manning (e.g. vessel)/
配色 [はいしょく] /(n,vs) color scheme/colour scheme/
配信 [はいしん] /(n,vs) distribution/delivery/transmission/provision/(P)/
配信ＥＩＴ [はいしんイーアイティー] /(n) (comp) delivered-EITs/
配信の否認不能 [はいしんのひにんふのう] /(n) (comp) non-repudiation of delivery/
配信メッセージエントリ [はいしんメッセージエントリ] /(n) (comp) delivered-message entry/
配信期限指定 [はいしんきげんしてい] /(n) (comp) latest delivery designation/
配信時刻表示 [はいしんじこくひょうじ] /(n) (comp) delivery time stamp indication/
配信証明 [はいしんしょうめい] /(n) (comp) proof of delivery/
配信通知 [はいしんつうち] /(n) (comp) delivery notification/
配信不能 [はいしんふのう] /(n) (comp) non-delivery/
配信不能通知 [はいしんふのうつうち] /(n) (comp) non-delivery notification/
配信不能通知の抑止 [はいしんふのうつうちのよくし] /(n) (comp) prevention of non-delivery notification/
配信保留 [はいしんほりゅう] /(n) (comp) hold for delivery/
配信報告 [はいしんほうこく] /(n) (comp) delivery report/
配信報告エントリ [はいしんほうこくエントリ] /(n) (comp) delivered-report entry/
配信優先度選択 [はいしんゆうせんどせんたく] /(n) (comp) grade of delivery selection/
配水 [はいすい] /(n,vs) water supply/
配水管 [はいすいかん] /(n) conduit (pipe)/water pipe/
配線 [はいせん] /(n,vs) wiring/(P)/
配線ケーブル [はいせんケーブル] /(n) (comp) distribution cable/
配線工事 [はいせんこうじ] /(n) wiring work/wiring/
配線図 [はいせんず] /(n) wiring diagram/
配線盤 [はいせんばん] /(n) (comp) distribution frame/plugboard/
配船 [はいせん] /(n,vs) assignment of vessels/
配膳 [はいぜん] /(n,vs) setting a place or the table/
配膳室 [はいぜんしつ] /(n) pantry/
配膳人 [はいぜんにん] /(n) waiter/
配送 [はいそう] /(n,vs) delivery/(P)/
配属 [はいぞく] /(n,vs) assignment (of a person to somewhere)/attachment (of a person to another unit, organization, etc.)/(P)/
配属者 [はいぞくしゃ] /(n) person attached to some unit/
配属将校 [はいぞくしょうこう] /(n) commissioned officer attached to a school/
配達 [はいたつ] /(n,vs) delivery/distribution/(P)/
配達証明 [はいたつしょうめい] /(n) delivery certificate/
配達人 [はいたつにん] /(n) delivery person/
配達先 [はいたつさき] /(n) destination/
配達日 [ばいたつび] /(n) delivery day/
配達不能郵便の物理的返送 [はいたつふのうゆうびんのぶつりてきへんそう] /(n) (comp) undeliverable mail with return of physical message/PD PR/
配達料 [はいたつりょう] /(n) delivery charge/
配置 [はいち] /(n,vs) arrangement (of resources)/deployment/stationing/posting/disposition/(P)/
配置転換 [はいちてんかん] /(n,vs) reshuffling/job rotation/
配置薬 [はいちやく] /(n) medicine left by a salesman, and paid for when used/
配転 [はいてん] /(n) (abbr) reshuffling/job rotation/
配点 [はいてん] /(n,vs) allotment (allocation) of marks/
配電 [はいでん] /(n,vs) distribution of electricity/(P)/
配電器 [はいでんき] /(n) (comp) power distribution unit/
配電所 [はいでんしょ] /(n) power (sub)station/
配電線 [はいでんせん] /(n) power line/
配電盤 [はいでんばん] /(n) distributing board (panel)/switchboard/
配電網 [はいでんもう] /(n) electrical distribution network/power grid/
配当 [はいとう] /(n,vs) dividend/share/(P)/
配当金 [はいとうきん] /(n) dividend/
配当落ち [はいとうおち] /(n) dividend off/ex dividend/
配当率 [はいとうりつ] /(n) dividend rate/
配糖体 [はいとうたい] /(n) glycoside/
配備 [はいび] /(n,vs) deploy/deployment/(P)/
配備開始 [はいびかいし] /(exp) start of deployment/
配備時期 [はいびじき] /(exp) implemention duration/
配備命令 [はいびめいれい] /(n) deployment order/
配付 [はいふ] /(n,vs) distributing/dealing out/apportionment/
配布 [はいふ] /(n,vs,adj-no) distribution/(P)/
配布先表 [はいふさきひょう] /(n) (comp) Distribution List/DL/
配布先表の使用 [はいふさきひょうのしよう] /(n) (comp) use of distribution list/
配布先表展開 [はいふさきひょうてんかい] /(n) (comp) distribution list expansion/
配布先表展開禁止 [はいふさきひょうてんかいきんし] /(n) (comp) DL expansion prohibited/
配布先表展開履歴表示 [はいふさきひょうてんかいりれきひょうじ] /(n) (comp) DL expansion history indication/
配布先表名 [はいふさきひょうめい] /(n) (comp) distribution list name/
配賦 [はいふ] /(n,vs) allocation/apportionment/distribution/
配分 [はいぶん] /(n,vs,adj-no) distribution/allotment/(P)/
配分的正義 [はいぶんてきせいぎ] /(n) distributive justice/justitia distributiva/
配分法 [はいぶんほう] /(n) allocation/
配本 [はいほん] /(n,vs) distribution of books/(P)/
配役 [はいやく] /(n) cast (of a play)/(P)/
配流 [はいる] /(n,vs) exile/banishment/
配慮 [はいりょ] /(n,vs) consideration/concern/forethought/(P)/
配列 [はいれつ] /(n,vs) (1) arrangement/disposition/(2) (comp) array (programming, programing)/(P)/
配列ポインタ [はいれつポインタ] /(n) (comp) array pointer/
配列値 [はいれつち] /(n) (comp) array-valued/
配列分割 [はいれつぶんかつ] /(n) (comp) array partitioning/
配列名 [はいれつめい] /(n) (comp) array name/
配列要素 [はいれつようそ] /(n) (comp) array element/
倍 [ばい] /(n) (1) twice/double/(suf) (2) times/-fold/(P)/
倍する [ばいする] /(vs-s,vi) (1) to double/(2) to increase/
倍にして返す [ばいにしてかえす] /(exp,v5s) (1) to repay double the original amount/(2) to repay x times the original amount/
倍にする [ばいにする] /(exp,vs-i) to double/
倍クロック技術 [ばいクロックぎじゅつ] /(n) (comp) clock-doubling technology/
倍パルス記録 [ばいパルスきろく] /(n) (comp) double-pulse recording/
倍音 [ばいおん] /(n) overtone/harmonic/
倍加 [ばいか] /(n,vs) doubling/(P)/
倍角 [ばいかく] /(n) (comp) double size of character/
倍額 [ばいがく] /(n) double amount/
倍旧 [ばいきゅう] /(n,adj-no) redoubled/increased/
倍数 [ばいすう] /(n) multiple/
倍数性 [ばいすうせい] /(n) polyploidy/
倍数体 [ばいすうたい] /(n) polyploid/
倍数比例の法則 [ばいすうひれいのほうそく] /(n) law of multiple proportions/
倍精度 [ばいせいど] /(adj-na,n) double-precision/
倍精度浮動小数点 [ばいせいどふどうしょうすうてん] /(n) (comp) double precision floating point/
倍増 [ばいぞう] /(n,vs) double/(P)/
倍増し [ばいまし] /(n,vs) doubling/
倍速 [ばいそく] /(n) (comp) speed (of CD ROM drives)/
倍速ＣＤＲＯＭドライブ [ばいそくシーディーロムドライブ] /(n) (comp) double speed CD-ROM drive/(after number N) x N speed CD-ROM drive/
倍速ＣＰＵ [ばいそくシーピーユー] /(n) (comp) double speed CPU/
倍大 [ばいだい] /(n) double size/
倍長レジスタ [ばいちょうレジスタ] /(n) (comp) double length register/double register/
倍長語 [ばいちょうご] /(n) (comp) doubleword/
倍付け [ばいづけ] /(n,suf) paying (or paying out) double/(after number N) paying N times as much/
倍幅文字 [ばいはばもじ] /(n) (comp) double width character/
倍密度 [ばいみつど] /(n) (comp) double density/
倍率 [ばいりつ] /(n) magnification/leverage/amplification/scaling factor/scale factor/(P)/
倍率付き測定単位 [ばいりつつきそくていたんい] /(n) (comp) scaled measurement unit/SMU/
倍良 [べら] /(n) (uk) wrasse (any fish of family Labridae)/
倍力 [ばいりょく] /(n,adj-f) servo/booster/
倍力ブレーキ [ばいりょくブレーキ] /(n) servo-brake/
倍力機構 [ばいりょくきこう] /(n) lever mechanism, e.g. in bicycle brakes, metal shears, etc./
倍力装置 [ばいりょくそうち] /(n) servo unit/
培う [つちかう] /(v5u,vt) to cultivate/to foster/(P)/
培地 [ばいち] /(n) culture medium/
培養 [ばいよう] /(n,vs) cultivation/nurture/culture/(P)/
培養液 [ばいようえき] /(n) culture fluid/
培養基 [ばいようき] /(n) (culture) medium/
培養土 [ばいようど] /(n) potting soil/planting mix/compost/
媒 [なかだち] /(n,vs) mediation/agency/agent/mediator/middleman/go-between/
媒介 [ばいかい] /(n,vs) intermediary/(P)/
媒介語 [ばいかいご] /(n) lingua franca/vehicular language/bridge language/intermediary language/
媒介物 [ばいかいぶつ] /(n) medium/agency/carrier/vehicle/
媒介変数 [ばいかいへんすう] /(n) parameter/
媒質 [ばいしつ] /(n) medium/media/
媒酌 [ばいしゃく] /(n,vs) matchmaking/(P)/
媒酌人 [ばいしゃくにん] /(n) matchmaker/go-between/
媒染 [ばいせん] /(n,vs) color fixing/colour fixing/mordantizing/
媒染剤 [ばいせんざい] /(n) mordant/
媒体 [ばいたい] /(n) media/medium/(P)/
媒体アクセス制御 [ばいたいアクセスせいぎょ] /(n) (comp) MAC/Media Access Control/
媒体アクセス制御プロトコル [ばいたいアクセスせいぎょプロトコル] /(n) (comp) MAC Protocol/Media Access Control Protocol/
媒体アクセス制御副層 [ばいたいアクセスせいぎょふくそう] /(n) (comp) Media Access Control sublayer/
媒体インタフェースコネクタ [ばいたいインタフェースコネクタ] /(n) (comp) media interface connector/MIC/
媒体依存インタフェース [ばいたいいぞんインタフェース] /(n) (comp) medium-dependent interface/
媒体終端 [ばいたいしゅうたん] /(n) end of medium/EM/
媒体接続機構 [ばいたいせつぞくきこう] /(n) (comp) medium attachment unit/MAU/
媒妁人 [ばいしゃくにん] /(n) matchmaker/go-between/
梅 [うめ] /(n) (1) plum/Japanese apricot/prunus mume/(2) lowest (of a three-tier ranking system)/(P)/
梅の実 [うめのみ] /(n) Japanese apricot/ume/
梅雨 [つゆ] /(n) (1) rainy season/(2) rain during the rainy season/(P)/
梅雨 [ばいう] /(n) (1) rainy season/(2) rain during the rainy season/(P)/
梅雨期 [ばいうき] /(n) rainy season/
梅雨空 [つゆぞら] /(n) overcast sky in the rainy season/
梅雨時 [つゆどき] /(n) wet season/rainy season/
梅雨晴れ [つゆばれ] /(n) sunny spell during rainy season/
梅雨前線 [ばいうぜんせん] /(n) seasonal rain front/
梅雨入り [つゆいり] /(n,vs) entering the rainy season/beginning of the rainy season/(P)/
梅雨明け [つゆあけ] /(n,vs) the end of the rainy season/(P)/
梅園 [ばいえん] /(n) plum garden or orchard/
梅花 [ばいか] /(n) ume (plum) blossoms/
梅花 [もいか] /(n) (obsc) plum blossom design/silk fabric with a plum blossom design/
梅花空木 [ばいかうつぎ] /(n) Satsuma mock orange/Philadelphus satsumi/
梅花祭 [ばいかさい] /(n) Plum Blossom Festival (Kitano Shrine, Feb. 25)/
梅干 [うめぼし] /(n) dried plum/(P)/
梅干し [うめぼし] /(n) dried plum/(P)/
梅擬 [うめもどき] /(n) (uk) Japanese winterberry/Ilex serrata/
梅擬き [うめもどき] /(io) (n) (uk) Japanese winterberry/Ilex serrata/
梅月 [ばいげつ] /(n) (obsc) fifth lunar month/fourth lunar month/
梅見 [うめみ] /(n) plum-blossom viewing/
梅見月 [うめみづき] /(n) second lunar month/
梅酒 [うめしゅ] /(n) sake with plums/unripe Japanese apricots soaked in spirits/(P)/
梅酢 [うめず] /(n) plum vinegar/(salted) plum juice/
梅茶女郎 [うめちゃじょろう] /(n) low class prostitute in Yoshiwara (Edo period)/
梅桃 [ゆすら] /(n) (uk) Nanking cherry (Prunus tomentosa)/downy cherry/
梅桃 [ゆすらうめ] /(n) (uk) Nanking cherry (Prunus tomentosa)/downy cherry/
梅毒 [ばいどく] /(n) syphilis/
梅肉 [ばいにく] /(n) shredded dried plum/plum pulp/
梅鉢草 [うめばちそう] /(n) (uk) marsh grass of Parnassus (Parnassia palustris)/
梅林 [ばいりん] /(n) ume (plum) grove/
梅暦 [うめごよみ] /(n) plum blossoms (as a harbinger of spring)/
梅霖 [ばいりん] /(n) (obsc) rainy season/
楳 [うめ] /(n) (1) plum/Japanese apricot/prunus mume/(2) lowest (of a three-tier ranking system)/
煤 [すす] /(n) soot/
煤ける [すすける] /(v1,vi) to be sooty/to be stained/
煤煙 [ばいえん] /(n) dirty smoke/soot and smoke/
煤色 [すすいろ] /(n,adj-no) color of soot (colour)/
煤色信天翁 [すすいろあほうどり] /(n) (uk) sooty albatross (Phoebetria fusca)/
煤塵 [ばいじん] /(n) dust and soot/particulate matter/
煤掃き [すすはき] /(n) sweeping the soot from one's house (to welcome the kami of the New Year)/
煤竹 [すすたけ] /(n) (1) soot-colored bamboo (coloured)/(2) bamboo duster (with the leaves still attached at one end)/
煤竹 [すすだけ] /(n) (1) soot-colored bamboo (coloured)/(2) bamboo duster (with the leaves still attached at one end)/
煤払い [すすはらい] /(n) (1) cleaning dust etc. from rooms/housecleaning/(2) (the traditional Japanese end-of-the-year, 13th December) big house cleaning/spring cleaning (only not in spring)/
煤烟 [ばいえん] /(n) dirty smoke/soot and smoke/
買い [かい] /(n) (1) buying/shopping/(2) buyer/(3) purchase/(P)/
買いあおる [かいあおる] /(v5r,vt) to bid up/to corner the market/
買いかぶる [かいかぶる] /(v5r,vt) to overestimate/to make too much of/
買いたて [かいたて] /(exp) brand new/
買いだめ [かいだめ] /(n,vs) stocking up on/hoarding/
買いつけ [かいつけ] /(n) buying/purchasing/
買いオペ [かいオペ] /(n) (abbr) buying operation/
買いオペレーション [かいオペレーション] /(n) buying operation/
買い掛け [かいかけ] /(n) account purchase/
買い掛け金 [かいかけきん] /(n) accounts payable/
買い換え [かいかえ] /(n) buying a replacement/replacing by buying something new/
買い換える [かいかえる] /(v1,vt) to buy a replacement/to replace by buying something new/
買い気 [かいき] /(n) buying mood/
買い急ぎ [かいいそぎ] /(n) buying spree/hasty purchase/rush to buy/
買い求める [かいもとめる] /(v1,vt) to buy/
買い漁る [かいあさる] /(v5r,vt) to spend money freely/
買い言葉 [かいことば] /(n) tit for tat/
買い控え [かいびかえ] /(n) restrained buying/(P)/
買い込む [かいこむ] /(v5m,vt) to purchase/to buy up/to lay in a stock/
買い支え [かいささえ] /(n) buying support/
買い主 [かいぬし] /(n) buyer/purchaser/
買い取り [かいとり] /(n,vs) purchase/sale (transaction)/(P)/
買い取り式専用チューナー [かいとりしきせんようチューナー] /(n) integrated receiver-decoder/IRD/
買い取る [かいとる] /(v5r,vt) to buy/to purchase/
買い手 [かいて] /(n) buyer/(P)/
買い手寡占 [かいてかせん] /(n) oligopsony/
買い手市場 [かいてしじょう] /(n) a buyer's market/
買い手独占 [かいてどくせん] /(n) monopsony/
買い受ける [かいうける] /(v1,vt) to purchase/
買い集める [かいあつめる] /(v1) to buy up/
買い出し [かいだし] /(n) purchase/buying in quantity/(P)/
買い出す [かいだす] /(v5s) (1) to begin purchasing/(2) to purchase/
買い初め [かいぞめ] /(n) first purchase of the year/
買い上げ [かいあげ] /(n) buying/purchasing/(P)/
買い上げる [かいあげる] /(v1,vt) to buy/to buy up/to bid up/
買い食い [かいぐい] /(n) buying (and immediately consuming) sweets/
買い切る [かいきる] /(v5r,vt) to buy up/
買い占め [かいしめ] /(n) buying up of goods/cornering (market)/(P)/
買い占める [かいしめる] /(v1,vt) to buy up/(P)/
買い煽る [かいあおる] /(v5r,vt) to bid up/to corner the market/
買い足す [かいたす] /(v5s,vt) to make additional purchases/
買い駄目 [かいだめ] /(iK) (n,vs) stocking up on/hoarding/
買い替え [かいかえ] /(n) buying a replacement/replacing by buying something new/
買い替える [かいかえる] /(v1,vt) to buy a replacement/to replace by buying something new/
買い叩く [かいたたく] /(v5k,vt) to beat down prices/to strike a hard bargain/
買い値 [かいね] /(n) buying price/cost price/purchase price/
買い置き [かいおき] /(n) a stock (of goods)/
買い得 [かいどく] /(n,adj-no) bargain/good buy/(P)/
買い得品 [かいどくひん] /(n) good bargain/
買い入れ [かいいれ] /(n) buying/purchasing/laying in/(P)/
買い入れる [かいいれる] /(v1,vt) to purchase/to buy in/(P)/
買い被る [かいかぶる] /(v5r,vt) to overestimate/to make too much of/
買い付け [かいつけ] /(n) buying/purchasing/(P)/
買い付ける [かいつける] /(v1,vt) to buy in/to purchase/
買い物 [かいもの] /(n,adj-no) shopping/purchased goods/(P)/
買い物依存 [かいものいぞ] /(exp,n) compulsive buying/shopaholicism/
買い物依存症 [かいものいぞんしょう] /(n) Compulsive Buying Disorder/CBD/shopaholicism/
買い物客 [かいものきゃく] /(n) shopper/
買い物袋 [かいものぶくろ] /(n) shopping bag/
買い方 [かいかた] /(n) buyer/purchaser/
買い戻し [かいもどし] /(n) repurchase/redemption/(P)/
買い戻す [かいもどす] /(v5s,vt) to buy back/to redeem/
買い薬 [かいぐすり] /(n) over-the-counter drug/medication bought directly from the drugstore without a prescription/
買い与える [かいあたえる] /(v1) to buy as a gift/
買い立て [かいたて] /(exp) brand new/
買い溜め [かいだめ] /(n,vs) stocking up on/hoarding/
買う [かう] /(v5u,vt) (1) to buy/to purchase/(2) to value/to have a high opinion/(3) to stir/to provoke/(P)/
買だめ [かいだめ] /(io) (n,vs) stocking up on/hoarding/
買って出る [かってでる] /(exp,v1) to volunteer/to undertake a challenge/
買わんである [かわんである] /(exp) a must to buy/
買掛金 [かいかけきん] /(n) accounts payable/
買主 [かいぬし] /(n) buyer/purchaser/
買取 [かいとり] /(n,vs) purchase/sale (transaction)/(P)/
買取り [かいとり] /(n,vs) purchase/sale (transaction)/
買手 [かいて] /(n) buyer/(P)/
買収 [ばいしゅう] /(n,vs) (1) acquisition (esp. corporate)/buy-out/takeover/purchase/(2) corruption/bribery/(P)/
買収工作 [ばいしゅうこうさく] /(n) bribery scheme/acquisition maneuver/
買出す [かいだす] /(v5s) (1) to begin purchasing/(2) to purchase/
買春 [かいしゅん] /(n,vs) buying sex/hiring a prostitute/
買春 [ばいしゅん] /(n,vs) buying sex/hiring a prostitute/
買占め [かいしめ] /(n) buying up of goods/cornering (market)/
買足す [かいたす] /(v5s,vt) to make additional purchases/
買叩く [かいたたく] /(v5k,vt) to beat down prices/to strike a hard bargain/
買値 [かいね] /(n) buying price/cost price/purchase price/
買得 [かいどく] /(n,adj-no) bargain/good buy/
買付 [かいつけ] /(n) buying/purchasing/
買付け [かいつけ] /(n) buying/purchasing/
買物 [かいもの] /(n,adj-no) shopping/purchased goods/(P)/
買物客 [かいものきゃく] /(n) shopper/
買物袋 [かいものぶくろ] /(n) shopping bag/
買薬 [かいぐすり] /(n) over-the-counter drug/medication bought directly from the drugstore without a prescription/
買溜め [かいだめ] /(io) (n,vs) stocking up on/hoarding/
売り [うり] /(n,n-suf) (1) sale/selling/(n) (2) selling point/gimmick/(n-suf) (3) ~seller/~vendor/(P)/
売りさばく [うりさばく] /(v5k,vt) (1) to sell out/(2) to sell widely/to sell on a large scale/
売りつける [うりつける] /(v1,vt) to palm off/to force a sale/
売りに出す [うりにだす] /(exp,v5s) to offer for sale/to put on the market/
売りオペ [うりオペ] /(n) (abbr) selling operation/
売りオペレーション [うりオペレーション] /(n) selling operation/
売り越し [うりごし] /(n) selling on balance/net selling/
売り家 [うりいえ] /(n) house for sale/
売り家 [うりや] /(n) house for sale/
売り掛け [うりかけ] /(n) credit sales/
売り掛け金 [うりかけきん] /(n) accounts receivable/
売り急ぐ [うりいそぐ] /(v5g,vt) to sell in haste/
売り玉 [うりぎょく] /(n) short interest/short account/
売り建て [うりだて] /(n) (in the stock market) short commitment/
売り言葉 [うりことば] /(n) inflammatory words/
売り広げる [うりひろげる] /(v1) to find a market for/to extend the sale of/
売り広める [うりひろめる] /(v1,vt) to expand a market/to find a new market/
売り控え [うりひかえ] /(n,vs) holding back (from selling)/standing out/
売り込み [うりこみ] /(n) sales promotion/hard selling/(P)/
売り込む [うりこむ] /(v5m,vt) to build a market for/to become well-known/to sell/(P)/
売り捌き [うりさばき] /(n) selling/
売り捌く [うりさばく] /(v5k,vt) (1) to sell out/(2) to sell widely/to sell on a large scale/
売り子 [うりこ] /(n) salesboy/salesgirl/
売り児 [うりこ] /(n) sales clerk/shopgirl/
売り主 [うりぬし] /(n) seller/vendor/
売り手 [うりて] /(n) seller/vendor/(P)/
売り手市場 [うりてしじょう] /(n) seller's market/
売り渋る [うりしぶる] /(v5r,vt) to be reluctant to sell/
売り出し [うりだし] /(n) (bargain) sale/(P)/
売り出す [うりだす] /(v5s,vt) (1) to put on sale/to market/(v5s,vi) (2) to become popular/(P)/
売り上 [うりあげ] /(n) amount sold/sales/proceeds/takings/
売り上げ [うりあげ] /(n) amount sold/sales/proceeds/takings/(P)/
売り上げ高 [うりあげだか] /(n) sales/amount sold/proceeds/
売り上げ成長 [うりあげせいちょう] /(n) sales growth/
売り上げ税 [うりあげぜい] /(n) sales tax/
売り場 [うりば] /(n,adj-no) place where things are sold/point of sale/POS/sales floor/counter (in shop)/(P)/
売り食い [うりぐい] /(n) living by selling off one's possessions/
売り尽くす [うりつくす] /(v5s,vt) to sell out/to exhaust one's stock/
売り尽す [うりつくす] /(v5s,vt) to sell out/to exhaust one's stock/
売り声 [うりごえ] /(n) hawker's or vendor's cry/
売り惜しむ [うりおしむ] /(v5m) to hold back on or restrict sales of/to be reluctant to sell/
売り切る [うりきる] /(v5r,vt) to sell out/to sell off/
売り切れ [うりきれ] /(adj-no,n) sold-out/(P)/
売り切れる [うりきれる] /(v1,vi) to be sold out/(P)/
売り専 [うりせん] /(n) (1) male prostitute/rent boy/rentboy/(2) gay brothel/
売り叩く [うりたたく] /(v5k,vt) to beat down prices/
売り値 [うりね] /(n) selling price/
売り地 [うりち] /(n) land for sale/
売り渡し [うりわたし] /(n) sale/selling/
売り渡す [うりわたす] /(v5s,vt) to sell over to/
売り日 [うりび] /(n) (arch) day on which prostitutes had to receive clients/
売り買い [うりかい] /(n,vs) trade/buying and selling/
売り飛ばす [うりとばす] /(v5s,vt) to dispose of/to sell off/
売り付け [うりつけ] /(n) selling/foisting/pushing/
売り付ける [うりつける] /(v1,vt) to palm off/to force a sale/
売り払う [うりはらう] /(v5u,vt) to sell out of/to sell completely/
売り物 [うりもの] /(n) (1) article for sale/goods for sale/offering/For Sale (on a sign)/(2) specialty/selling point/(P)/
売り物にする [うりものにする] /(exp,vs-i) to market (something)/to feature (something to sell)/to trade in (something)/to securitize/
売り歩く [うりあるく] /(v5k,vt) to peddle/
売り方 [うりかた] /(n) seller/selling side/art of selling/
売り薬 [うりぐすり] /(n,adj-no) patent medicine/nonprescription drug/
売り立て [うりたて] /(n) auctioning off/selling off/
売る [うる] /(v5r,vt) to sell/(P)/
売れっ子 [うれっこ] /(adj-na,n,adj-no) favorite/favourite/popular person/
売れっ子歌手 [うれっこかしゅ] /(n) popular singer/
売れる [うれる] /(v1,vi) (1) to sell (well)/(2) to be well known/to be popular/to be famous/(P)/
売れ筋 [うれすじ] /(n) well-selling line (goods)/
売れ口 [うれくち] /(n) (1) outlet/market (for goods)/(2) (col) prospect (e.g. employment, marriage, etc.)/opportunity/
売れ行き [うれゆき] /(n) sales/demand/(P)/
売れ高 [うれだか] /(n) sales/
売れ残り [うれのこり] /(n) (1) unsold items/leftovers/remainders/remnants/(2) (col) (sens) spinster/old maid/
売れ残る [うれのこる] /(v5r,vi) to remain unsold/to be left on the shelf/
売れ切れる [うれきれる] /(v1,vi) to be sold out/to sell out/
売れ足 [うれあし] /(n) sales/demand/
売淫 [ばいいん] /(n,vs) prostitution/
売価 [ばいか] /(n) selling price/
売家 [うりいえ] /(n) house for sale/
売家 [うりや] /(n) house for sale/
売掛勘定 [うりかけかんじょう] /(n) credit account/charge account/
売掛金 [うりかけきん] /(n) accounts receivable/
売却 [ばいきゃく] /(n,vs) sale/disposal by sale/(P)/
売却益 [ばいきゃくえき] /(n) profit on sales/
売行 [うれゆき] /(n) sales/demand/
売行き [うれゆき] /(n) sales/demand/
売国 [ばいこく] /(n) selling out (betrayal) of one's own country/
売国奴 [ばいこくど] /(n) traitor (to one's country)/(P)/
売込み [うりこみ] /(n) sales promotion/hard selling/
売子 [うりこ] /(n) salesboy/salesgirl/
売主 [うりぬし] /(n) seller/vendor/
売主買主 [うりぬしかいぬし] /(n) seller and buyer/vendor and purchaser/
売手 [うりて] /(n) seller/vendor/
売手独占 [うりてどくせん] /(n) seller's monopoly/
売出 [うりだし] /(n) (bargain) sale/
売出し [うりだし] /(n) (bargain) sale/
売出す [うりだす] /(v5s,vt) (1) to put on sale/to market/(v5s,vi) (2) to become popular/
売春 [ばいしゅん] /(n,vs,adj-no) prostitution/(P)/
売春宿 [ばいしゅんやど] /(n) brothel/
売春婦 [ばいしゅんふ] /(n) prostitute/(P)/
売春婦 [ばいしゅんぷ] /(n) prostitute/
売春防止法 [ばいしゅんぼうしほう] /(n) (Japanese) Anti-Prostitution Law (of 1956)/
売女 [ばいた] /(n) (1) (uk) (derog) prostitute/whore/(2) tramp/floozy/slut/
売娼 [ばいしょう] /(n) prostitution/
売笑 [ばいしょう] /(n) prostitution/
売笑婦 [ばいしょうふ] /(n) prostitute/
売上 [うりあげ] /(n) amount sold/sales/proceeds/takings/
売上げ [うりあげ] /(n) amount sold/sales/proceeds/takings/(P)/
売上割り戻し [うりあげわりもどし] /(n) sales rebate/
売上金 [うりあげきん] /(n) proceeds/(P)/
売上高 [うりあげだか] /(n) sales/amount sold/proceeds/(P)/
売上高税 [うりあげだかぜい] /(n) turnover tax/
売上手数料 [うりあげてすうりょう] /(n) endorsement commission/commission earned/sales commission/
売上税 [うりあげぜい] /(n) sales tax/
売上票 [うりあげぴょう] /(n) sales slip/sales receipt/
売上利益率 [うりあげりえきりつ] /(n) sales profit ratio/
売場 [うりば] /(n,adj-no) place where things are sold/point of sale/POS/sales floor/counter (in shop)/
売色 [ばいしょく] /(n) prostitution/prostitute/
売人 [ばいにん] /(n) trader/smuggler/pusher/drug dealer/drug runner/
売切 [うりきれ] /(adj-no,n) sold-out/
売切る [うりきる] /(v5r,vt) to sell out/to sell off/
売切れ [うりきれ] /(adj-no,n) sold-out/
売切れる [うりきれる] /(v1,vi) to be sold out/
売値 [うりね] /(n) selling price/
売地 [うりち] /(n) land for sale/
売店 [ばいてん] /(n) shop/stand/(P)/
売渡す [うりわたす] /(v5s,vt) to sell over to/
売渡確認書 [うりわたしかくにんしょ] /(n) sale confirmation/
売渡契約書 [うりわたしけいやくしょ] /(n) sales notes/sales contract/
売渡証 [うりわたししょう] /(n) bill of sale/
売渡証書 [うりわたししょうしょ] /(n) sale deed/bill of sale/
売日 [うりび] /(n) (arch) day on which prostitutes had to receive clients/
売買 [ばいばい] /(n,vs) trade/buying and selling/(P)/
売買一任勘定 [ばいばいいちにんかんじょう] /(n) discrectionary account (in securities)/
売買契約 [ばいばいけいやく] /(n) contract for (of) sale/
売買高 [ばいばいだか] /(n) sales amount/sales volume/
売品 [ばいひん] /(n) articles for sale/
売付 [うりつけ] /(io) (n) selling/foisting/pushing/
売付け [うりつけ] /(n) selling/foisting/pushing/
売付ける [うりつける] /(v1,vt) to palm off/to force a sale/
売払う [うりはらう] /(v5u,vt) to sell out of/to sell completely/
売物 [うりもの] /(n) (1) article for sale/goods for sale/offering/For Sale (on a sign)/(2) specialty/selling point/
売文 [ばいぶん] /(n) hack writer/
売卜 [ばいぼく] /(n) fortunetelling (as an occupation)/
売名 [ばいめい] /(n) self-advertisement/
売名行為 [ばいめいこうい] /(n) act of self-advertisement/publicity stunt/
売約 [ばいやく] /(n,vs) sales contract/
売約済み [ばいやくすみ] /(n) Sold (typically a sign on something that has already been sold)/
売約証書 [ばいやくしょうしょ] /(n) deed of sale/
売薬 [うりぐすり] /(n,adj-no) patent medicine/nonprescription drug/
売薬 [ばいやく] /(n,adj-no) patent medicine/nonprescription drug/
売立て [うりたて] /(n) auctioning off/selling off/
賠償 [ばいしょう] /(n,vs) reparations/indemnity/compensation/(P)/
賠償金 [ばいしょうきん] /(n) indemnities/reparations/(P)/
賠償責任保険 [ばいしょうせきにんほけん] /(n) liability insurance/
賠責 [ばいせき] /(n) liability insurance/
陪観 [ばいかん] /(n,vs) view with a superior/
陪餐 [ばいさん] /(n) Lord's Supper (in Protestantism)/
陪侍 [ばいじ] /(n) retainer/attending on the nobility/
陪従 [ばいじゅう] /(n,vs) waiting upon/attending on/accompany/
陪乗 [ばいじょう] /(n,vs) riding in the same carriage (car) (with a superior)/attending on (one's superior) in the same carriage/
陪食 [ばいしょく] /(n,vs) dining with one's superior/dining with one's superiors/
陪審 [ばいしん] /(n) jury/juryman/juror/(P)/
陪審員 [ばいしんいん] /(n) juror/juryman/
陪審裁判 [ばいしんさいばん] /(n) trial by jury/jury trial/
陪審制 [ばいしんせい] /(n) jury system/
陪審制度 [ばいしんせいど] /(n) jury system/
陪臣 [ばいしん] /(n) rear vassal/daimyo's retainer/
陪席 [ばいせき] /(n,vs) sitting with one's superior/in attendance/
陪都 [ばいと] /(n) secondary capital city (of historical China)/
陪堂 [ほいと] /(n) (1) (arch) begging/beggar/
陪堂 [ほいとう] /(n) (1) (arch) being served food outside the meditation hall (at a Zen temple)/(2) (arch) serving food/food served/(3) (arch) begging/beggar/
這々 [ほうほう] /(n) confusedly/perplexity/
這々の体 [ほうほうのてい] /(exp) scuttling (to escape in a panic, in shame, etc.)/scurrying/scrambling/
這いずる [はいずる] /(v5r,vi) (uk) to creep/to crawl/
這い回る [はいまわる] /(v5r,vi) to creep about/
這い出す [はいだす] /(v5s,vi) to crawl or creep out of/
這い出る [はいでる] /(v1,vi) to crawl or creep out of/
這い松 [はいまつ] /(n) creeping pine/
這い上がる [はいあがる] /(v5r,vi) to creep up/to crawl up/
這い上る [はいあがる] /(v5r,vi) to creep up/to crawl up/
這い這い [はいはい] /(n,vs) (uk) (chn) creeping/crawling/
這い戻る [はいもどる] /(v5r) to crawl back to/
這い蹲う [はいつくばう] /(v5u,vi) to grovel/to go down on one's hands and knees/
這い蹲る [はいつくばる] /(v5r,vi) to grovel/to go down on one's hands and knees/
這う [はう] /(v5u,vi) to creep/to crawl/(P)/
這う這うの体 [ほうほうのてい] /(exp) scuttling (to escape in a panic, in shame, etc.)/scurrying/scrambling/
這入り込む [はいりこむ] /(v5m,vi) (1) to go into/to come into/to penetrate/to get in/to step in (a house)/(2) to become complicated/
這入る [はいる] /(v5r) (1) to enter/(2) to break into/(3) to join/to enroll/(4) to contain/to hold/to accommodate/(5) to have (an income of)/
這這 [ほうほう] /(n) confusedly/perplexity/
這這の体 [ほうほうのてい] /(exp) scuttling (to escape in a panic, in shame, etc.)/scurrying/scrambling/
這柏槇 [はいびゃくしん] /(n) (uk) dwarf Japanese garden juniper (Juniperus chinensis var. procumbens)/
蝿 [はえ] /(n) (1) (uk) fly (of infraorder Muscomorpha)/(2) (derog) person of no worth/pisher/scrub/(P)/
蝿虎 [はえとりぐも] /(n) (uk) jumping spider (any spider of family Salticidae)/
蝿取 [はいとり] /(n) (1) catching flies/fly-catcher/flytrap/flypaper/(2) (abbr) jumping spider/
蝿取 [はえとり] /(n) (1) catching flies/fly-catcher/flytrap/flypaper/(2) (abbr) jumping spider/
蝿取り [はいとり] /(n) (1) catching flies/fly-catcher/flytrap/flypaper/(2) (abbr) jumping spider/
蝿取り [はえとり] /(n) (1) catching flies/fly-catcher/flytrap/flypaper/(2) (abbr) jumping spider/
蝿取り紙 [はえとりがみ] /(n) flypaper/
蝿取り草 [はえとりぐさ] /(n) (uk) Venus flytrap/Venus's flytrap/
蝿取り草 [はえとりそう] /(n) (uk) Venus flytrap/Venus's flytrap/
蝿取紙 [はえとりがみ] /(n) flypaper/
蝿取草 [はえとりぐさ] /(n) (uk) Venus flytrap/Venus's flytrap/
蝿取草 [はえとりそう] /(n) (uk) Venus flytrap/Venus's flytrap/
蝿取蜘蛛 [はえとりぐも] /(n) (uk) jumping spider (any spider of family Salticidae)/
蝿叩き [はえたたき] /(n) fly swatter/
蝿地獄 [はえじごく] /(n) (uk) Venus flytrap/Venus's flytrap/
蝿帳 [はいちょう] /(n) fly-net cupboard/
秤 [はかり] /(n) scales/weighing machine/(P)/
秤にかける [はかりにかける] /(exp,v1) (1) to weigh on a scale/(2) to weigh up options/to compare pros and cons/
秤動 [ひょうどう] /(n) oscillation of a heavenly body/libration/
秤量 [しょうりょう] /(n,vs) (1) measuring weight/weighing/
秤量 [ひょうりょう] /(n,vs) (1) measuring weight/weighing/(2) maximum weight (on a scales)/
矧ぐ [はぐ] /(v5g,vt) to fletch/
萩 [はぎ] /(n) (1) (uk) bush clover/Japanese clover (any flowering plant of genus Lespedeza)/(2) dark red exterior with blue interior (color combination worn in autumn)/(P)/
萩の餅 [はぎのもち] /(n) (obsc) rice ball coated with sweetened red beans, soybean flour or sesame/
萩猿子 [はぎましこ] /(n) (uk) Asian rosy finch (Leucosticte arctoa)/
萩原 [はぎはら] /(n) reedy field/(P)/
萩原 [はぎわら] /(n) reedy field/
萩襲 [はぎがさね] /(n) (obsc) autumn garment/
萩重ね [はぎがさね] /(n) (obsc) autumn garment/
萩属 [はぎぞく] /(n) Lespedeza (genus comprising the bush clovers)/
伯 [はく] /(n) (1) count/earl/(2) chief official of the Department of Worship/(3) (arch) eldest brother/(pref,suf) (4) (abbr) Brazil/Brazilian/(P)/
伯家神道 [はくけしんとう] /(n) Hakke Shinto (Shinto tradition transmitted by the House of Hakuo Shirakawa)/Hakuke Shinto/
伯家神道 [はっけしんとう] /(n) Hakke Shinto (Shinto tradition transmitted by the House of Hakuo Shirakawa)/Hakuke Shinto/
伯楽 [はくらく] /(n) (sens) cattle or horse trader/good judge of horses or cattle/
伯楽 [ばくろう] /(n) (sens) cattle or horse trader/good judge of horses or cattle/
伯兄 [はっけい] /(n) the eldest son/
伯爵 [はくしゃく] /(n) count/earl/(P)/
伯爵夫人 [はくしゃくふじん] /(n) countess/
伯叔 [はくしゅく] /(n) brothers/one's father's brothers/
伯人 [はくじん] /(n) Brazilian (person)/
伯仲 [はくちゅう] /(n,vs) matching someone/being equal with/being on a par/being well contested/(P)/
伯備線 [はくびせん] /(n) Hakubi Line (West Tottori-Okayama Railway)/
伯夫人 [はくふじん] /(n) countess/
伯父 [おじ] /(n) (hum) uncle (older than one's parent)/(P)/
伯父 [はくふ] /(n) (hum) uncle (older than one's parent)/
伯父さん [おじさん] /(n) (1) (hon) (fam) uncle/(2) (fam) old man/mister (vocative)/(3) (uk) manybar goatfish (Parupeneus multifasciatus)/
伯父貴 [おじき] /(n) (hon) uncle (older than one's parent)/
伯母 [おば] /(n) (hum) aunt (older than one's parent)/(P)/
伯母 [はくぼ] /(n) (hum) aunt (older than one's parent)/
伯母さん [おばさん] /(n) (hon) (fam) aunt/
伯林 [べるりん] /(n) Berlin/
伯剌西爾 [ブラジル] /(ateji) (n) (uk) Brazil/
剥 [はく] /(n) coming off/peeling off/being worn off/faded/discolored/discoloured/
剥がし暦 [はがしごよみ] /(n) calendar pad/
剥がす [はがす] /(v5s,vt) to tear off/to peel off/to rip off/to strip off/to skin/to flay/to disrobe/to deprive of/to detach/to disconnect/(P)/
剥がす [へがす] /(v5s,vt) to tear off/to peel off/to rip off/to strip off/to skin/to flay/to disrobe/to deprive of/to detach/to disconnect/
剥がれる [はがれる] /(v1,vi) to come unstuck from/
剥きエビ [むきエビ] /(n) shelled shrimp (that have also had their heads removed)/
剥き海老 [むきえび] /(n) shelled shrimp (that have also had their heads removed)/
剥き出し [むきだし] /(adj-na,n) nakedness/frankness/
剥き出す [むきだす] /(v5s,vt) to show/to bare (the teeth)/
剥き身 [むきみ] /(n) shellfish removed from the shell/
剥き物 [むきもの] /(n) art of decorative garnishing/
剥ぎ取り [はぎとり] /(n) stripping/skinning/tearing/removing/
剥ぎ取る [はぎとる] /(v5r,vt) to tear off/to strip/to rob/
剥く [むく] /(v5k,vt) to peel/to skin/to pare/to hull/(P)/
剥ぐ [はぐ] /(v5g) to tear off/to peel off/to rip off/to strip off/to skin/to flay/to disrobe/to deprive of/(P)/
剥ぐ [へぐ] /(v5g) to tear off/to peel off/to rip off/to strip off/to skin/to flay/to disrobe/to deprive of/
剥ける [むける] /(v1,vi) to peel off/to come off/to be taken off/(P)/
剥げる [はげる] /(v1,vi) to come off/to be worn off/to fade/to discolor/to discolour/(P)/
剥げ落ちる [はげおちる] /(v1) to peel off/
剥し暦 [はがしごよみ] /(n) calendar pad/
剥す [はがす] /(io) (v5s,vt) to tear off/to peel off/to rip off/to strip off/to skin/to flay/to disrobe/to deprive of/to detach/to disconnect/
剥す [へがす] /(io) (v5s,vt) to tear off/to peel off/to rip off/to strip off/to skin/to flay/to disrobe/to deprive of/to detach/to disconnect/
剥る [へずる] /(v5r,vt) to pilfer/to steal a portion/
剥れる [むくれる] /(v1,vi) (1) (uk) to become angry or sullen/to take offense/to be miffed/(2) to come unstuck from/to peel off/to come off/to be taken off/
剥焼 [すきやき] /(n) (food) thin slices of beef, cooked with various vegetables in a table-top cast-iron pan/sukiyaki/
剥身 [すきみ] /(n) slice of meat or fish/
剥身 [むきみ] /(n) shellfish removed from the shell/
剥製 [はくせい] /(n,vs,adj-no) (1) stuffing/mounting/(n) (2) stuffed animal/
剥製術 [はくせいじゅつ] /(n) taxidermy/
剥奪 [はくだつ] /(n,vs) deprivation/divestiture/revocation/
剥脱 [はくだつ] /(n,vs,adj-no) coming off/peeling off/
剥板 [へぎいた] /(n) splint/shingle/
剥片 [はくへん] /(n) flake/chip/
剥落 [はくらく] /(n,vs) to peel off/
剥離 [はくり] /(n,vs,adj-no) (1) detachment/coming off/peeling off/(2) separation/
博 [はく] /(n-suf) (1) doctor/PhD/(2) exposition/fair/exhibition/(P)/
博 [ばく] /(n-suf) (1) doctor/PhD/(2) exposition/fair/exhibition/
博す [はくす] /(v5s,vt) (1) to win/to gain/to earn/(2) to spread (one's name, etc.)/
博する [はくする] /(vs-s,vt) (1) to win/to gain/to earn/(2) to spread (one's name, etc.)/
博愛 [はくあい] /(n,adj-no) charity/benevolence/philanthropy/(love for) humanity/(P)/
博愛家 [はくあいか] /(n) philanthropist/
博愛主義 [はくあいしゅぎ] /(n) philanthropism/
博愛主義者 [はくあいしゅぎしゃ] /(n) philanthropist/
博引 [はくいん] /(n,vs) extensive references (in a text)/
博引傍証 [はくいんぼうしょう] /(n,vs) citing copious references/
博引旁証 [はくいんぼうしょう] /(n,vs) citing copious references/
博雅 [はくが] /(adj-na,n) well-informed/accomplished (individual)/extensive knowledge/
博雅 [ばくが] /(adj-na,n) well-informed/accomplished (individual)/extensive knowledge/
博学 [はくがく] /(adj-na,n,adj-no) erudition/(P)/
博学者 [はくがくしゃ] /(n) pundit/
博学多才 [はくがくたさい] /(n) wide knowledge and versatile talents/
博学多識 [はくがくたしき] /(n) erudition and extensive knowledge/
博学力行 [はくがくりょっこう] /(n) wide learning and energetic activity/
博言学 [はくげんがく] /(n) (obs) philology/
博士 [はかせ] /(n,n-suf,adj-no) (1) doctorate/PhD/Dr (as a title)/(n) (2) expert/learned person/(P)/
博士 [はくし] /(n,n-suf,adj-no) (1) doctorate/PhD/Dr (as a title)/(n) (2) expert/learned person/(P)/
博士課程 [はかせかてい] /(n) doctoral course/
博士課程 [はくしかてい] /(n) doctoral course/
博士号 [はかせごう] /(n) doctor's degree/doctorate/PhD/
博士号 [はくしごう] /(n) doctor's degree/doctorate/PhD/
博士論文 [はかせろんぶん] /(n) Doctoral dissertation/
博士論文 [はくしろんぶん] /(n) Doctoral dissertation/
博識 [はくしき] /(adj-na,n,adj-no) extensive knowledge/
博識多才 [はくしきたさい] /(n,adj-na) wide knowledge and versatile talents/profound learning and varied attainments/
博捜 [はくそう] /(n,vs) searching far and wide/
博多どんたく [はかたどんたく] /(n) Hakata Dontaku Festival (Fukuoka)/
博多祇園山笠 [はかたぎおんやまかさ] /(n) festival held in July in Fukuoka City/Hakata Gion Yamakasa Festival (often just called Yamakasa Festival)/
博多弁 [はかたべん] /(n) Hakata dialect/
博打 [ばくち] /(n) gambling/
博打打ち [ばくちうち] /(n) (1) professional gambler/(2) gambling/
博大 [はくだい] /(adj-na,n) large and wide/
博徒 [ばくと] /(n) gambler/
博物 [はくぶつ] /(n) wide learning/natural history/(P)/
博物学 [はくぶつがく] /(n) natural history/
博物館 [はくぶつかん] /(n) museum/(P)/
博物館学 [はくぶつかんがく] /(n) (comp) museology/
博物館資料 [はくぶつかんしりょう] /(n) (comp) museum/
博物館資料記録技術 [はくぶつかんしりょうきろくぎじゅつ] /(n) (comp) museography/
博聞 [はくぶん] /(adj-na,n) well-informed/erudite/
博聞強記 [はくぶんきょうき] /(n,adj-no) widely-read with a remarkable retentive memory/
博覧 [はくらん] /(n) extensive reading/wide knowledge/
博覧会 [はくらんかい] /(n) fair/exhibition/exposition/(P)/
博覧強記 [はくらんきょうき] /(n) encyclopedic knowledge and strong memory/
博覧多識 [はくらんたしき] /(n,adj-no) erudition and extensive knowledge/widely-read and well-informed/
博労 [ばくろう] /(n) (sens) cattle or horse trader/good judge of horses or cattle/
博奕 [ばくえき] /(n) gambling/
博奕 [ばくち] /(n) gambling/
博奕宿 [ばくちやど] /(n) gambling den/
博奕打ち [ばくちうち] /(n) (1) professional gambler/(2) gambling/
拍 [はく] /(n,ctr) (1) beat (music)/(2) mora (rhythmic unit)/
拍子 [ひょうし] /(n) (1) (musical) time/tempo/beat/rhythm/(2) the moment/the instance/chance/(P)/
拍子記号 [ひょうしきごう] /(n) time signature/
拍子抜け [ひょうしぬけ] /(n,vs,adj-no) anticlimax/let-down/disappointment/loss of interest/
拍子木 [ひょうしぎ] /(n) wooden clappers/
拍車 [はくしゃ] /(n) (riding) spur/(P)/
拍車がかかる [はくしゃがかかる] /(exp,v5r) to expedite/to encourage/to spur (on)/
拍車が掛かる [はくしゃがかかる] /(exp,v5r) to expedite/to encourage/to spur (on)/
拍車をかける [はくしゃをかける] /(exp,v1) to expedite/to encourage/to spur (on)/
拍車を掛ける [はくしゃをかける] /(exp,v1) to expedite/to encourage/to spur (on)/
拍手 [かしわで] /(n) clapping one's hands in prayer (at a shrine)/
拍手 [はくしゅ] /(n,vs) clapping hands/applause/(P)/
拍手を打つ [かしわでをうつ] /(exp,v5t) to clap one's hands in prayer/
拍手喝采 [はくしゅかっさい] /(n,vs) clapping and cheering/applause/
拍数 [はくすう] /(n) count of beats in music/
拍動 [はくどう] /(n,vs,adj-no) pulsation/pulsebeat/
拍板 [はくはん] /(n) paiban (clapper made from several flat pieces of wood)/
拍板 [びんざさら] /(n) percussion instrument made of small pieces wood strung together/
柏 [かしわ] /(n) oak/daimyo oak/Japanese emperor oak/Quercus dentata/(P)/
柏手 [かしわで] /(n) clapping one's hands in prayer (at a shrine)/
柏手 [はくしゅ] /(n) clapping one's hands in prayer (at a shrine)/
柏手を打つ [かしわでをうつ] /(exp,v5t) to clap one's hands in prayer/
柏鵬 [はくほう] /(n) (sumo) era during 1960s dominated by grand champions Taiho and Kashiwado/
柏鵬時代 [はくほうじだい] /(n) (sumo) era during 1960s dominated by grand champions Taiho and Kashiwado/
柏槙 [びゃくしん] /(n) (uk) Chinese juniper (Juniperus chinensis)/
柏木 [かしわぎ] /(n) oak-tree/(P)/
柏餅 [かしわもち] /(n) rice cakes wrapped in oak leaves/
泊 [はく] /(ctr) counter for nights of a stay/
泊まり [とまり] /(n) stay/stopover/anchorage/night duty/(P)/
泊まり込み [とまりこみ] /(n) staying somewhere (overnight) due to circumstances/
泊まり込む [とまりこむ] /(v5m,vi) to stay overnight/to stop (e.g. at a hotel)/
泊まり番 [とまりばん] /(n) night duty/
泊まる [とまる] /(v5r,vi) (1) to stay at (e.g. hotel)/(2) to be docked/to be berthed/to be moored/(P)/
泊める [とめる] /(v1,vt) to give shelter to/to lodge/(P)/
泊り [とまり] /(n) stay/stopover/anchorage/night duty/
泊り掛け [とまりがけ] /(n) staying over/
泊り客 [とまりきゃく] /(n) overnight guest/house guest/
泊り込み [とまりこみ] /(n) staying somewhere (overnight) due to circumstances/
泊り込む [とまりこむ] /(v5m,vi) to stay overnight/to stop (e.g. at a hotel)/
泊り賃 [とまりちん] /(n) hotel charges/tariff/
泊る [とまる] /(v5r,vi) (1) to stay at (e.g. hotel)/(2) to be docked/to be berthed/to be moored/
泊を重ねる [はくをかさねる] /(exp,v1) to stay long/
泊地 [はくち] /(n) anchorage/berth/
白 [しろ] /(n) (1) white/(2) (uk) (m-sl) good guy/'white hat'/(P)/
白々 [しらしら] /(adv-to,adv) (1) growing light (e.g. at dawn)/(2) pale/(3) appearing dumb/talking in an obvious way/
白々 [しらじら] /(adv-to,adv) (1) growing light (e.g. at dawn)/(2) pale/(3) appearing dumb/talking in an obvious way/
白々しい [しらじらしい] /(adj-i) (1) barefaced (e.g. lie)/shameless/transparent/(2) pure white/very clear/
白々明け [しらしらあけ] /(n) dawn/daybreak/
白々明け [しらじらあけ] /(n) dawn/daybreak/
白あん [しろあん] /(n) white bean jam/sweet white bean paste/
白い [しろい] /(adj-i) white/(P)/
白いままの紙 [しろいままのかみ] /(n) blank (unwritten) paper/
白い物 [しろいもの] /(n) something white/snow/gray hair/grey hair/
白い目で見る [しろいめでみる] /(exp,v1) to look coldly at/to turn a cold shoulder/
白ける [しらける] /(v1,vi) (1) to be spoiled (spoilt)/to be dampened/to become subdued (e.g. lively atmosphere)/to be unamused or bored/to become apathetic/(2) to fade/to turn white/to grow light (at dawn)/
白け世代 [しらけせだい] /(n) generation of young people (esp. of the 1970s) apathetic about social issues/
白げる [しらげる] /(v1,vt) to polish (rice)/to refine/to purify/
白し [びゃくし] /(n) (1) (uk) bai zhi (Chinese name for angelica species Angelica dahurica)/traditional Chinese cure made from the root of this plant/(2) Heracleum nipponicum (species of hogweed)/
白だと判る [しろだとわかる] /(v5r) to be found innocent/
白っぽい [しろっぽい] /(adj-i) whitish/
白の帽子 [しろのぼうし] /(n) white hat/
白ひげ [しろひげ] /(n,adj-no) (1) grey moustache/(2) white beard/
白み [しろみ] /(n) whiteness/
白む [しらむ] /(v5m,vi) to grow light/to become white/to turn grey (gray)/
白む [しろむ] /(v5m,vi) to grow light/to become white/to turn grey (gray)/
白め [しろめ] /(n) pewter/solder/
白もつ [しろもつ] /(n) internal organs such as intestines used as food/
白を切る [しらをきる] /(exp,v5r) to feign ignorance/to pretend to be ignorant of/to play innocent/to brazen it out/
白んぼ [しろんぼ] /(n) (sl) (derog) white person/whitey/
白ん坊 [しろんぼ] /(n) (sl) (derog) white person/whitey/
白イタチ [しろイタチ] /(n) ferret/fitch/
白タク [しろタク] /(n) unlicensed taxi/unlicensed cab/
白バイ [しろバイ] /(n) motorcycle police/(P)/
白ブドウ酒 [しろブドウしゅ] /(n) white wine/
白ロリ [しろロリ] /(n) white Lolita (fashion style)/
白ワイン [しろワイン] /(n) white wine/
白亜 [はくあ] /(n,adj-no) (1) chalk (mineral)/(2) white wall/
白亜館 [はくあかん] /(n) The White House/
白亜紀 [はくあき] /(n) Cretaceous Period/
白亜質 [はくあしつ] /(n,adj-no) chalky/
白葦毛 [しらあしげ] /(n) flea-bitten gray (horse coat color)/flea-bitten grey/
白葦毛 [しろあしげ] /(n) flea-bitten gray (horse coat color)/flea-bitten grey/
白衣 [はくい] /(n) white robe/(doctor's) white gown/(P)/
白衣 [びゃくい] /(n) white robe/(doctor's) white gown/
白衣 [びゃくえ] /(n) white robe/(doctor's) white gown/
白衣の天使 [はくいのてんし] /(n) nurse (trans: angel in white)/
白衣明妃 [びゃくえみょうひ] /(n) (Buddh) Pandara/
白一色 [しろいっしょく] /(n,adj-f) bright white (esp. for snow and ice)/brilliant white/
白一色 [はくいっしょく] /(n,adj-f) bright white (esp. for snow and ice)/brilliant white/
白芋 [はすいも] /(n) (uk) giant elephant ear (species of taro, Colocasia gigantea)/
白飲 [こみず] /(ok) (n) (arch) rice water/
白羽 [しらは] /(n) white feather/(P)/
白羽の矢が立つ [しらはのやがたつ] /(exp,v5t) to be selected (from among many people)/
白羽の矢を立てる [しらはのやをたてる] /(exp,v1) to select someone (out of many people)/
白雨 [はくう] /(n) rain shower/
白瓜 [しろうり] /(n) melon cucumber/
白雲 [しらくも] /(n) white clouds/
白雲 [はくうん] /(n) white clouds/
白雲石 [はくうんせき] /(n) dolomite/
白雲母 [しろうんも] /(n) muscovite/white mica/talc/
白雲母 [はくうんも] /(n) muscovite/white mica/talc/
白雲木 [はくうんぼく] /(n) fragrant styrax/styrax obassia/
白衛軍 [はくえいぐん] /(n) White Army (any of the armies that opposed the Bolsheviks during the Russian Revolution)/
白煙 [はくえん] /(n) white smoke/
白鉛鉱 [はくえんこう] /(n) white lead/cerussite/
白化 [はくか] /(n,vs) (1) bleaching/whitening/chlorosis/(2) albinism/
白化 [はっか] /(n,vs) (1) bleaching/whitening/chlorosis/(2) albinism/
白化現象 [はくかげんしょう] /(n) albinism/chlorosis/bleaching (of coral)/
白化現象 [はっかげんしょう] /(n) albinism/chlorosis/bleaching (of coral)/
白化個体 [はくかこたい] /(n) albino/
白河夜船 [しらかわよふね] /(exp) (1) being fast asleep (and totally unaware of what is going on around one)/(2) know-it-all manner/
白河夜船 [しらかわよぶね] /(exp) (1) being fast asleep (and totally unaware of what is going on around one)/(2) know-it-all manner/
白禍 [はっか] /(n) White Peril (i.e. takeover by white race(s))/
白花蒲公英 [しろばなたんぽぽ] /(n) (uk) Taraxacum albidum (species of white dandelion)/
白海豚 [しろいるか] /(n) (uk) beluga/white whale (Delphinapterus leucas)/
白芥子 [しろがらし] /(n) (uk) white mustard (Sinapis alba)/
白額 [しろびたい] /(n) (obsc) star (white patch on the forehead of a horse)/
白額尉鶲 [しろびたいじょうびたき] /(n) (uk) common redstart (Phoenicurus phoenicurus)/
白樫 [しらかし] /(n) quercus myrsinifolia/bamboo Leaved Oak/quercus myrsinaefolia/
白樺 [しらかば] /(n) Japanese white birch (Betula platyphylla var. japonica)/(P)/
白樺 [しらかんば] /(n) Japanese white birch (Betula platyphylla var. japonica)/
白樺油 [しらかばゆ] /(n) Japanese white birch oil/
白茅 [ちがや] /(n) (uk) cogon grass (Imperata cylindrica)/
白眼 [しろめ] /(n) (1) whites of the eyes/(2) cold, unwelcoming eyes/
白眼 [はくがん] /(n) (1) whites of the eyes/(2) cold, unwelcoming eyes/
白眼視 [はくがんし] /(n,vs) frowning on someone/
白岩山羊 [しろいわやぎ] /(n) (uk) mountain goat (Oreamnos americanus)/Rocky Mountain goat/
白雁 [はくがん] /(n) (uk) snow goose (Chen caerulescens)/blue goose/
白旗 [しらはた] /(n) white flag/
白旗 [しろはた] /(ik) (n) white flag/
白旗 [はっき] /(n) white flag/
白鬼茸 [しろおにたけ] /(n) shiroonitake/false virgin's lepidella/Amanita virgineoides Bas/
白蟻 [しろあり] /(n) termite/white ant/
白蟻擬 [しろありもどき] /(n) (uk) web-spinner (any insect of order Embioptera, esp. family Oligotomidae)/
白菊 [しらぎく] /(n) white chrysanthemum/(P)/
白詰め草 [しろつめくさ] /(io) (n) white clover (Trifolium repens)/Dutch clover/
白詰草 [しろつめくさ] /(n) white clover (Trifolium repens)/Dutch clover/
白魚 [しらうお] /(n) (uk) icefish (Salangidae spp., esp. the Japanese icefish, Salangichthys microdon)/noodlefish/whitebait/
白魚 [しろうお] /(n) (uk) ice goby (Leucopsarion petersii)/
白玉 [しらたま] /(n) (1) white gem (esp. a pearl)/(2) rice flour dumpling/(3) (abbr) (uk) white-flowered camellia/
白玉 [はくぎょく] /(n) (obsc) white gem/
白玉椿 [しらたまつばき] /(n) white-flowered camellia/Camellia japonica var./
白玉粉 [しらたまこ] /(n) refined rice flour/rice flour for dumplings/
白玉楼 [はくぎょくろう] /(n) celestial tower of dead poets, artists, etc./
白玉楼中の人となる [はくぎょくろうちゅうのひととなる] /(exp,v5r) (arch) to die (of a poet, artist, etc.)/
白襟禿鷲 [しろえりはげわし] /(n) (uk) griffon vulture (Gyps fulvus)/
白金 [しろがね] /(iK) (n,adj-no) (1) silver/silver coin/silver paint/
白金 [はっきん] /(n) platinum (Pt)/
白金イリジウム [はっきんイリジウム] /(n) platiniridium (alloy of platinum and iridium)/
白金黒 [はっきんこく] /(n) platinum black (black powdered platinum, often used as a catalyst)/
白金族 [はっきんぞく] /(n) platinum group/
白金族元素 [はっきんぞくげんそ] /(n) platinum group metals/platinum group elements/
白銀 [しろがね] /(n,adj-no) (1) silver/silver coin/silver paint/
白銀 [はくぎん] /(n) silver/snow/
白靴 [しろぐつ] /(n) white shoes (for use during the summer)/
白熊 [しろくま] /(n) polar bear (Ursus maritimus)/
白栗毛 [しらくりげ] /(n) light chestnut (horse coat color)/
白栗毛 [しろくりげ] /(n) light chestnut (horse coat color)/
白軍 [はくぐん] /(n) White Army (any of the armies that opposed the Bolsheviks during the Russian Revolution)/
白鯨 [はくげい] /(n) (1) white whale/(2) Moby Dick/
白血球 [はっけっきゅう] /(n) leukocyte/leucocyte/white blood cell/(P)/
白血球の数の低下 [はっけっきゅうのかずのていか] /(n) agranulocytosis (not enough white blood cells)/
白血球の数の低下 [はっけっきゅうのすうのていか] /(n) agranulocytosis (not enough white blood cells)/
白血病 [はっけつびょう] /(n) leukemia/(P)/
白絹 [しらぎぬ] /(n) white silk/
白絹 [しろきぬ] /(n) white silk/
白絹 [しろぎぬ] /(n) white silk/
白鍵 [はっけん] /(n) white keys/
白狐 [しろぎつね] /(n) albino fox/white (spiritual) fox/
白狐 [びゃっこ] /(n) albino fox/white (spiritual) fox/
白胡麻 [しろごま] /(n) white sesame seeds/
白虎 [はっこ] /(n) (1) White Tiger (god said to rule over the western heavens)/(2) seven mansions (Chinese constellations) of the western heavens/
白虎 [びゃっこ] /(n) (1) White Tiger (god said to rule over the western heavens)/(2) seven mansions (Chinese constellations) of the western heavens/
白光 [はっこう] /(n) white light/corona/
白口 [しろぐち] /(n) (uk) white croaker (Pennahia argentata)/
白孔雀 [しろくじゃく] /(n) (uk) white peafowl (white variety of Indian peafowl)/
白濠主義 [はくごうしゅぎ] /(n) White Australia Policy (pre-1965 Australian immigration policy)/
白豪主義 [はくごうしゅぎ] /(n) White Australia Policy (pre-1965 Australian immigration policy)/
白黒 [しろくろ] /(n,adj-no) (1) black and white/monochrome/(exp,vs) (2) good and evil/right and wrong/guilt and innocence/(P)/
白黒テレビ [しろくろテレビ] /(n) black-and-white television/
白黒ディスプレイ [しろくろディスプレイ] /(n) (comp) monochrome display/
白黒反転モード [しろくろはんでんんモード] /(n) (comp) reverse video mode/
白骨 [はっこつ] /(n) white (bleached) bone/skeleton/(P)/
白沙 [しらす] /(n) (1) bar of white sand/(2) gravel separating a noh stage from the audience/(3) (arch) court of law(in the Edo period)/
白砂 [しらす] /(n) (uk) shirasu (white pumiceous soil of southern Kyushu)/
白砂 [しらすな] /(n) white sand/
白砂 [はくさ] /(n) white sand/
白砂 [はくしゃ] /(n) white sand/
白砂青松 [はくさせいしょう] /(n) white sand and green pines/beautiful stretch of sandy beach dotted with pine trees/
白砂青松 [はくしゃせいしょう] /(n) white sand and green pines/beautiful stretch of sandy beach dotted with pine trees/
白砂糖 [しろざとう] /(n) white sugar/
白犀 [しろさい] /(n) (uk) white rhinoceros (Ceratotherium simum)/
白菜 [はくさい] /(n) Chinese cabbage (Brassica campestris var. amplexicaulis)/white rape/bok choy/pak choi/(P)/
白鷺 [しらさぎ] /(n) generic name for herons with all-white plumage (inc. egrets)/
白鷺 [はくろ] /(n) generic name for herons with all-white plumage (inc. egrets)/
白札 [しろふだ] /(n) honour (honor) awarded to samurai in Tosa/
白山石楠花 [はくさんしゃくなげ] /(n) (uk) Hakusan rhododendron/Rhododendron metternichii var./
白子 [しらこ] /(n,adj-no) (1) soft roe/(2) milt/fish semen/
白子 [しらす] /(n) (1) young of sardines/whitebait/(2) fry of the Japanese anchovy, eel, etc./
白子 [しろこ] /(n) albino/melanin-deficient organism/
白子干し [しらすぼし] /(n) dried young sardines/
白子漁 [しらすりょう] /(n) fishing for young anchovy, sardines, etc./
白子鳩 [しらこばと] /(n) (uk) Eurasian collared dove (Streptopelia decaocto)/collared dove/
白糸 [しらいと] /(n) white thread/
白紙 [はくし] /(n,adj-no) blank paper/white paper/(P)/
白紙に返す [はくしにかえす] /(exp,v5s) to wipe the slate clean/to start anew/
白紙に戻す [はくしにもどす] /(exp,v5s) to wipe the slate clean/to start anew/
白紙委任 [はくしいにん] /(n,vs) carte blanche/blank check/unconditional authority/
白紙還元 [はくしかんげん] /(n,vs) being returned (sent back) to the drawing board/
白紙状態 [はくしじょうたい] /(n) blank slate/tabula rasa/
白紙撤回 [はくしてっかい] /(n,vs) complete revocation/total retraction/
白磁 [はくじ] /(n) white porcelain/
白耳義 [べるぎー] /(n,adj-no) (uk) Belgium/
白蛇 [しろへび] /(n) albino Japanese rat snake/
白蛇 [はくじゃ] /(n) albino Japanese rat snake/
白手手長猿 [しろててながざる] /(n) (uk) white-handed gibbon/lar gibbon (Hylobates lar)/
白酒 [しろき] /(n) (arch) white sake (presented as an offering to the gods)/
白酒 [しろざけ] /(n) sweet white sake/
白酒 [パイチュウ] /(n) baijiu (distilled Chinese alcohol, made from fermented grains) (chi:)/
白首 [しらくび] /(n) (derog) woman who puts thick white powder on her neck/low class prostitute/
白首 [しろくび] /(n) (derog) woman who puts thick white powder on her neck/low class prostitute/
白寿 [はくじゅ] /(n) 99th birthday/
白州 [しらす] /(n) (1) bar of white sand/(2) gravel separating a noh stage from the audience/(3) (arch) court of law(in the Edo period)/
白洲 [しらす] /(n) (1) bar of white sand/(2) gravel separating a noh stage from the audience/(3) (arch) court of law(in the Edo period)/
白書 [はくしょ] /(n) white paper/(P)/
白焼き [しらやき] /(n) grilled without seasoning/
白状 [はくじょう] /(n,vs) confession/(P)/
白色 [はくしょく] /(n) white/(P)/
白色ひし形形象物 [はくしょくひしがたけいしょうぶつ] /(n) (obsc) white diamond shape/white diamond signal shape (marine safety context)/
白色わい星 [はくしょくわいせい] /(n) white dwarf (star)/
白色テロ [はくしょくテロ] /(n) white terror/
白色テロル [はくしょくテロル] /(n) white terror/
白色光 [はくしょくこう] /(n) white light/
白色雑音 [はくしょくざつおん] /(n) (comp) white noise/
白色人種 [はくしょくじんしゅ] /(n,adj-no) Caucasians/
白色体 [はくしょくたい] /(n) leucoplast/
白色菱形形象物 [はくしょくひしがたけいしょうぶつ] /(n) (obsc) white diamond shape/white diamond signal shape (marine safety context)/
白色矮星 [はくしょくわいせい] /(n) white dwarf (star)/
白身 [しろみ] /(n) (1) white of egg/(2) white meat/sapwood/(3) white-fleshed fish for sushi and sashimi (e.g. tai, hirame, karei)/
白身魚 [しろみざかな] /(n) fish having white flesh (e.g. tai, hirame, karei)/
白人 [はくじん] /(n,adj-no) white person/Caucasian/(P)/
白人種 [はくじんしゅ] /(n) white race/
白刃 [しらは] /(n) drawn sword/naked sword/
白刃 [はくじん] /(n) drawn sword/naked sword/
白刃一閃 [はくじんいっせん] /(n,n-adv) (with) a flash of a drawn sword/brandishing a sword/
白水 [しろみず] /(n) color of water after washing rice (colour)/
白水郎 [はくすいろう] /(n) (arch) fisherman/
白菅 [しらすげ] /(n) (uk) Carex alopecuroides var. chlorostachya (species of sedge)/
白星 [しろぼし] /(n) (1) white circle/white star/(2) victory mark (sumo)/(P)/
白声 [しらこえ] /(n) (1) shrill voice/(2) unaccompanied part of the Heike Monogatari chanting/(3) part of an unaccompanied poem (in Noh)/
白声 [しらごえ] /(n) (1) shrill voice/(2) unaccompanied part of the Heike Monogatari chanting/(3) part of an unaccompanied poem (in Noh)/
白石 [しろいし] /(n) (1) white stone/(2) white (go pieces)/
白雪 [しらゆき] /(n) white snow/
白雪 [はくせつ] /(n) white snow/
白雪姫 [しらゆきひめ] /(n) Snow White/
白川夜舟 [しらかわよふね] /(iK) (exp) (1) being fast asleep (and totally unaware of what is going on around one)/(2) know-it-all manner/
白川夜舟 [しらかわよぶね] /(iK) (exp) (1) being fast asleep (and totally unaware of what is going on around one)/(2) know-it-all manner/
白川夜船 [しらかわよふね] /(exp) (1) being fast asleep (and totally unaware of what is going on around one)/(2) know-it-all manner/
白川夜船 [しらかわよぶね] /(exp) (1) being fast asleep (and totally unaware of what is going on around one)/(2) know-it-all manner/
白扇 [はくせん] /(n) white fan/
白線 [はくせん] /(n) white line/(P)/
白銑 [はくせん] /(n) white pig iron/
白鼠 [しろねずみ] /(n) white rat or mouse/
白装束 [しろしょうぞく] /(n) white clothing/
白臓 [しろもつ] /(n) internal organs such as intestines used as food/
白足袋 [しろたび] /(n) white tabi/
白太 [しらた] /(n) sapwood/
白舵木 [しろかじき] /(n) (uk) black marlin (Makaira indica)/
白滝 [しらたき] /(n) (1) noodles made from konnyaku/(2) sheet-like waterfall/
白沢 [はくたく] /(n) bai ze (mythical chinese animal able to understand human speech, having the body of a lion and eight eyes)/
白濁 [はくだく] /(n,vs) cloudiness/turbidity/nebula (medical)/
白炭 [しらずみ] /(n) (1) white charcoal/(2) charcoal used for tea ceremony/
白炭 [しろずみ] /(n) (1) white charcoal/(2) charcoal used for tea ceremony/
白炭 [はくたん] /(n) (1) white charcoal/(2) charcoal used for tea ceremony/
白檀 [びゃくだん] /(n) sandalwood/
白檀油 [びゃくだんゆ] /(n) sandalwood oil/
白地 [あからさま] /(ateji) (adj-na,adj-no) (uk) plain/frank/candid/open/direct/straightforward/unabashed/blatant/flagrant/
白地 [しろじ] /(n) white background/(P)/
白地図 [はくちず] /(n) blank map/
白痴 [はくち] /(n) (sens) idiot/idiocy/
白痴者 [たわけもの] /(n) idiot/dummy/joker/fool/trickster/
白茶ける [しらちゃける] /(v1,vi) to fade/to discolour/to discolor/
白中夢 [はくちゅうむ] /(iK) (n) daydream/waking dream/
白昼 [はくちゅう] /(n-adv,n-t) daytime/midday/
白昼公然 [はくちゅうこうぜん] /(adj-t,adv-to) openly and in broad daylight/
白昼堂々 [はくちゅうどうどう] /(adj-no,adj-t,adv-to) openly (unashamedly) in broad daylight/
白昼堂堂 [はくちゅうどうどう] /(adj-no,adj-t,adv-to) openly (unashamedly) in broad daylight/
白昼夢 [はくちゅうむ] /(n) daydream/waking dream/
白蝶 [しろちょう] /(n) (uk) any butterfly of family Pieridae (inc. the white butterflies and the sulfur butterflies)/
白蝶貝 [しろちょうがい] /(n) (uk) silver-lipped pearl oyster (Pinctada maxima)/golden-lipped pearl oyster/white-lipped pearl oyster/
白長須鯨 [しろながすくじら] /(n) (uk) blue whale (Balaenoptera musculus)/
白鳥 [しらとり] /(n) (1) swan (Cygnus Bechstein, Cygnus ssp.)/(2) white-feathered bird/
白鳥 [しろとり] /(n) (1) swan (Cygnus Bechstein, Cygnus ssp.)/(2) white-feathered bird/
白鳥 [はくちょう] /(n) (1) swan (Cygnus Bechstein, Cygnus ssp.)/(2) white-feathered bird/(P)/
白鳥の歌 [はくちょうのうた] /(n) swan song/
白鳥の湖 [はくちょうのみずうみ] /(n) Swan Lake (ballet)/
白鳥座 [はくちょうざ] /(n) (constellation) Cygnus/
白鉄鉱 [はくてっこう] /(n) marcasite/
白点病 [はくてんびょう] /(n) ich (Ichthyophthirius multifiliis) infection/white spot (protozoan infection of freshwater fish)/
白田 [しろた] /(n) (1) (arch) snow-covered rice paddy/(2) field/
白田 [はくでん] /(n) (1) field/
白田売買 [しろたばいばい] /(n) dealing in rice speculating on the year's harvest while the paddies are still covered with snow/
白兎 [しろうさぎ] /(n) white rabbit/
白塗り [しろぬり] /(n) (1) something painted white/white makeup (for an actor)/(adj-no) (2) painted white/
白土 [しらつち] /(n) white clay/white earth/kaolin/mortar/
白土 [はくど] /(n) white clay/white earth/kaolin/mortar/
白桃 [はくとう] /(n) white peach/
白湯 [さゆ] /(n) (plain) hot water/boiled water/
白湯 [しらゆ] /(n) (plain) hot water/boiled water/
白湯 [はくとう] /(n) (plain) hot water/boiled water/
白湯文字 [しろゆもじ] /(n) (arch) ordinary woman secretly engaged in prostituion (Edo period)/
白灯蛾 [しろひとり] /(n) (uk) Chionarctia nivea (species of ermine moth)/
白灯油 [はくとうゆ] /(n) kerosene/
白頭翁 [はくとうおう] /(n) windflower/white-haired old man/
白頭鷲 [はくとうわし] /(n) (uk) bald eagle (Haliaeetus leucocephalus)/
白撞木鮫 [しろしゅもくざめ] /(n) (uk) smooth hammerhead (Sphyrna zygaena, species of hammerhead shark)/
白銅 [はくどう] /(n) nickel and copper alloy/
白銅貨 [はくどうか] /(n) nickel coin/
白禿瘡 [しらくも] /(n) scalp ringworm/tinea capitis/trichophytosis capita/
白内障 [はくないしょう] /(n) cataract (opacity in lens of eye)/(P)/
白虹 [はっこう] /(n) (obsc) white rainbow/
白日 [はくじつ] /(n) bright sunshine/broad daylight/
白日夢 [はくじつむ] /(n) daydream/
白葱 [しろねぎ] /(n) white spring onion/white scallion/
白熱 [はくねつ] /(n,vs,adj-no) (1) white heat/incandescence/(2) climax/(P)/
白熱戦 [はくねつせん] /(n) furious fighting/
白熱電球 [はくねつでんきゅう] /(n) light bulb/incandescent light bulb/
白熱灯 [はくねつとう] /(n) incandescent lamp/
白粘土 [はくねんど] /(n) kaolin/potter's clay/
白波 [しらなみ] /(n) (1) whitecaps/white-crested waves/(2) thief/
白馬 [あおうま] /(n) (1) white horse/
白馬 [しろうま] /(n) (1) white horse/(2) unrefined sake/
白馬 [はくば] /(n) (1) white horse/(P)/
白馬の騎士 [はくばのきし] /(exp) white knight/knight in shining armor/
白馬非馬 [はくばひば] /(n) sophistry/sophism/false syllogism/
白梅 [しらうめ] /(n) white plum blossoms/white Japanese apricot/white-blossomed plum/
白梅 [はくばい] /(n) white plum blossoms/white Japanese apricot/white-blossomed plum/
白萩 [しらはぎ] /(n) (1) white bush clover/(2) Lysimachia fortunei (species of loosestrife)/
白拍子 [しらびょうし] /(n) (1) (arch) dancing girl (end of the Heian period)/(2) prostitute/(3) tempo in gagaku/
白白 [しらしら] /(adv-to,adv) (1) growing light (e.g. at dawn)/(2) pale/(3) appearing dumb/talking in an obvious way/
白白 [しらじら] /(adv-to,adv) (1) growing light (e.g. at dawn)/(2) pale/(3) appearing dumb/talking in an obvious way/
白白 [はくはく] /(adj-na) clear/
白白しい [しらじらしい] /(adj-i) (1) barefaced (e.g. lie)/shameless/transparent/(2) pure white/very clear/
白白明け [しらしらあけ] /(n) dawn/daybreak/
白白明け [しらじらあけ] /(n) dawn/daybreak/
白肌 [しらはだ] /(n) white-coloured skin/
白鉢巻 [しろはちまき] /(n) white hairband/
白髪 [しらが] /(n,adj-no) white or grey hair (gray)/trendy hair bleaching/(P)/
白髪 [はくはつ] /(n,adj-no) white or grey hair (gray)/trendy hair bleaching/(P)/
白髪まじり [しらがまじり] /(adj-no) grizzled/(hair) streaked with grey (gray)/
白髪交じり [しらがまじり] /(adj-no) grizzled/(hair) streaked with grey (gray)/
白髪交じりの髪 [しらがまじりのかみ] /(n) grizzled hair/
白髪混じり [しらがまじり] /(adj-no) grizzled/(hair) streaked with grey (gray)/
白髪染め [しらがぞめ] /(n) hair dye/
白髪頭 [しらがあたま] /(n) gray or silver haired (grey)/
白鳩 [しろはと] /(n) dove/
白帆 [しらほ] /(n) white sail/
白斑 [はくはん] /(n,adj-no) white or bright spot/vitiligo/
白板 [はくばん] /(n) white board/
白飯 [しろめし] /(n) cooked white rice/
白飯 [はくはん] /(n) cooked white rice/
白皮症 [はくひしょう] /(n) albinism/
白飛白 [しろがすり] /(n) white cloth or kimono with black or indigo splash patterns/
白眉 [はくび] /(n) fine example/the best/
白鼻心 [はくびしん] /(n) civet (animal)/
白髭 [しろひげ] /(n,adj-no) (1) grey moustache/(2) white beard/
白百合 [しらゆり] /(n) white lily/
白票 [はくひょう] /(n) blank ballot/white ballot/
白描 [はくびょう] /(n) plain sketch/
白浜 [しらはま] /(n) white sandy beach/
白膚 [しらはだ] /(n) white-coloured skin/
白葡萄酒 [しろぶどうしゅ] /(n) white wine/
白腹 [しろはら] /(n) (uk) pale thrush (Turdus pallidus)/
白腹盗賊鴎 [しろはらとうぞくかもめ] /(n) (uk) long-tailed jaeger/long-tailed skua (Stercorarius longicaudus)/
白物 [しろもの] /(n) (abbr) white goods/large household electrical appliances/
白物家電 [しろものかでん] /(n) white goods/large household electrical appliances/
白粉 [おしろい] /(n) (face) powder/(P)/
白粉花 [おしろいばな] /(n) marvel-of-Peru/four-o'clock/Mirabilis jalapa/
白粉焼 [おしろいやけ] /(n) damage to skin by ceruse/
白粉中毒 [おしろいちゅうどく] /(n) lead poisoning (from old-fashioned white makeup powder)/
白文 [はくぶん] /(n) unpunctuated Chinese texts/
白兵 [はくへい] /(n) unsheathed sword/
白兵主義 [はくへいしゅぎ] /(n) strategy of close-quarters fighting/
白兵戦 [はくへいせん] /(n) hand-to-hand combat/
白米 [はくまい] /(n) (white) rice/(P)/
白壁 [しらかべ] /(n) white plaster wall/
白壁 [はくへき] /(n) white plaster wall/
白変種 [はくへんしゅ] /(n) leucism/
白鳳時代 [はくほうじだい] /(n) Hakuho period (esp. used as a period of art history, approx. 645-710 CE)/
白房 [しろぶさ] /(n) white tassel hung above the southwest corner of a sumo ring/
白墨 [はくぼく] /(n) blackboard chalk/
白魔 [はくま] /(n) heavy snowfall/white devil/
白魔術 [しろまじゅつ] /(n) white magic/
白魔法 [しろまほう] /(n) white magic/
白味 [しろみ] /(ateji) (n) whiteness/
白味噌 [しろみそ] /(n) light-brown miso/
白妙 [しろたえ] /(n) white cloth/white/
白妙菊 [しろたえぎく] /(n) type of chrysanthemum (white leafed) (senecio cineria)/
白無垢 [しろむく] /(n) white kimono/
白面 [しらふ] /(n,adj-no) (1) (uk) sobriety/
白面 [すめん] /(n,adj-no) (1) (uk) sobriety/(2) sober face/
白面 [はくめん] /(n) fair complexion/face without makeup/inexperience/
白毛 [しろげ] /(n) white (horse coat color)/
白木 [しらき] /(n) plain wood/unfinished woodwork/
白木瓜 [しろぼけ] /(n) Choenomeles lagenaria/shiroboke flowering quince/
白木屋 [しろきや] /(n) Shirokiya (department store)/
白木蓮 [はくもくれん] /(n) white magnolia/Magnolia denudata/
白目 [しろめ] /(n) (1) whites of the eyes/(2) cold, unwelcoming eyes/
白目 [しろめ] /(n) pewter/solder/
白目を剥く [しろめをむく] /(exp,v5k) (1) to open one's eyes wide (as in fear or anger)/(2) to faint/
白夜 [はくや] /(n) white (arctic) night/short night/midnight sun/
白夜 [びゃくや] /(n) white (arctic) night/short night/midnight sun/
白楊 [どろのき] /(n) (uk) Japanese poplar (Populus maximowiczii)/
白楊 [どろやなぎ] /(n) (uk) Japanese poplar (Populus maximowiczii)/
白楊 [はくよう] /(n) (uk) Japanese aspen (Populus tremula var. sieboldii)/
白楊 [はこやなぎ] /(n) (uk) Japanese aspen (Populus tremula var. sieboldii)/
白羊宮 [はくようきゅう] /(n) Aries (1st zodiacal sign)/the Ram/
白竜 [はくりゅう] /(n) white dragon/
白竜 [はくりょう] /(n) white dragon/
白竜 [ペーロン] /(n) dragon boat (long 22-person canoe used for racing) (chi:)/races with such boats/
白蓮 [びゃくれん] /(n) (1) white lotus/(2) purity/pure heart/
白蓮教 [びゃくれんきょう] /(n) White Lotus Society/
白露 [しらつゆ] /(n) (1) glistening dew/
白露 [はくろ] /(n) (1) glistening dew/(2) "white dew" solar term (approx. Sept 8)/
白浪 [しらなみ] /(n) (1) whitecaps/white-crested waves/(2) thief/
白浪物 [しらなみもの] /(n) tale featuring robbers/kabuki play featuring robbers/
白蝋 [はくろう] /(n) white wax/
白蝋虫 [うんか] /(n) (uk) plant hopper (any insect of family Delphacidae)/leafhopper/
白蝋病 [はくろうびょう] /(n) Raynaud's disease/
白話 [はくわ] /(n) colloquial Chinese/
白話小説 [はくわしょうせつ] /(n) novel written in colloquial Chinese/
白堊 [はくあ] /(n,adj-no) (1) chalk (mineral)/(2) white wall/
白檜 [しらべ] /(n) (uk) Veitch's silver fir (Abies veitchii)/
白檜曾 [しらびそ] /(n) (uk) Veitch's silver fir (Abies veitchii)/
白梟 [しろふくろう] /(n) (uk) snowy owl (Bubo scandiacus)/
白樅 [しろもみ] /(n) (uk) white fir (Abies concolor)/
白毫 [びゃくごう] /(n) whorl of white hair on the forehead of the Buddha, represented by a white precious stone on statues of Buddha/urna/
白澤 [はくたく] /(n) bai ze (mythical chinese animal able to understand human speech, having the body of a lion and eight eyes)/
白癡者 [たわけもの] /(oK) (n) idiot/dummy/joker/fool/trickster/
白癬 [しらくぼ] /(n) scalp ringworm/tinea capitis/trichophytosis capita/
白癬 [しらくも] /(n) scalp ringworm/tinea capitis/trichophytosis capita/
白癬 [はくせん] /(n) scalp ringworm/tinea capitis/trichophytosis capita/
白皙 [はくせき] /(n) white/
白絣 [しろがすり] /(n) white cloth or kimono with black or indigo splash patterns/
白膠木 [ぬで] /(n) Japanese sumac (Rhus javanica)/
白膠木 [ぬりで] /(n) Japanese sumac (Rhus javanica)/
白膠木 [ぬるで] /(n) Japanese sumac (Rhus javanica)/
白鑞 [しろみ] /(ok) (n) pewter/solder/
白鑞 [しろめ] /(n) pewter/solder/
白鑞 [はくろう] /(n) pewter/solder/
白鑞 [びゃくろう] /(n) pewter/solder/
白雉 [はくち] /(n) Hakuchi era (650.2.15-654.10.?)/
白餡 [しろあん] /(n) white bean jam/sweet white bean paste/
白髯 [はくぜん] /(n) white beard/
白鬚 [しろひげ] /(n,adj-no) (1) grey moustache/(2) white beard/
白鱚 [しろぎす] /(n) (uk) Japanese whiting (Sillago japonica)/
白鶺鴒 [はくせきれい] /(n) (uk) black-backed wagtail (Motacilla alba lugens)/
白鼬 [しろいたち] /(n) ferret/fitch/
箔 [はく] /(n) foil/(gold, etc.) leaf/
箔がつく [はくがつく] /(exp,v5k) to increase in value/to gain prestige/
箔が付く [はくがつく] /(exp,v5k) to increase in value/to gain prestige/
箔を付ける [はくをつける] /(exp,v1) to give something weight/to give something dignity/
箔押し [はくおし] /(n,vs) cover with gold or silver leaf/
箔力粉 [はくりきこ] /(iK) (n) wheat flour of low viscosity/weak flour/
粕 [かす] /(n) sake lees/
粕取り [かすとり] /(n) (1) shochu made from sake lees/(2) low-quality moonshine (esp. post-WWII)/hooch (hootch)/
粕取り焼酎 [かすとりしょうちゅう] /(n) shochu made from sake lees/
粕汁 [かすじる] /(n) soup made with sake lees/
粕漬け [かすづけ] /(n) (fish or vegetables) pickled in sake lees/
舶 [つむ] /(n) (arch) large ship/
舶載 [はくさい] /(n,vs) ocean transportation/importation/
舶用機関 [はくようきかん] /(n) marine engine/
舶来 [はくらい] /(n,adj-no) imported/foreign-made/(P)/
舶来品 [はくらいひん] /(n) imported article/imported goods/
薄 [うす] /(pref) light (e.g. colour, color)/
薄 [すすき] /(n) Japanese pampas grass (Miscanthus sinensis)/silver grass/zebra grass/
薄々 [うすうす] /(adv) thinly/slightly/vaguely/a little/
薄い [うすい] /(adj-i) (1) thin/(2) pale/light/(3) watery/dilute/sparse/(4) weak (taste, etc.)/(5) slim (probability, etc.)/small/(P)/
薄い色 [うすいいろ] /(n) light color/light colour/
薄い板 [うすいいた] /(n) sheet/thin plate/
薄ぎたない [うすぎたない] /(adj-i) filthy/dirty (looking)/drab/
薄っぺら [うすっぺら] /(adj-na,n) very thin/flimsy/cheap/shallow/
薄っぺらい [うすっぺらい] /(adj-i) very thin/flimsy/cheap/shallow/
薄のろ [うすのろ] /(adj-na,n) half-wit/fool/simpleton/
薄ばか [うすばか] /(adj-na,n) dimwit/
薄まる [うすまる] /(v5r,vi) to become weak/(P)/
薄め [うすめ] /(adj-na,n) slight/on the weak side/half-open eyes/
薄める [うすめる] /(v1,vt) to dilute/to water down/(P)/
薄ら [うすら] /(adj-f,adv-to) (1) (uk) thinly/lightly/slightly/(2) hazy/fuzzy/(3) dim/faint/slight/
薄ら [うっすら] /(adj-f,adv-to) (1) (uk) thinly/lightly/slightly/(2) hazy/fuzzy/(3) dim/faint/slight/
薄らぐ [うすらぐ] /(v5g,vi) to become thin/to fade/to grow pale/(P)/
薄ら寒い [うすらさむい] /(adj-i) chilly/rather cold/somewhat cold/
薄ら馬鹿 [うすらばか] /(n) simpleton/dimwit/sluggard/
薄れる [うすれる] /(v1,vi) to fade/to become dim/(P)/
薄暗い [うすぐらい] /(adj-i) dim/gloomy/(P)/
薄暗がり [うすくらがり] /(n) semi-darkness/dusk/twilight/poor light/
薄闇 [うすやみ] /(n) very dim light/
薄衣 [うすぎぬ] /(n) (1) thin or light silk/sheer silk/(2) veil (mystery)/
薄衣 [うすごろも] /(n) (1) thin or light silk/sheer silk/(2) veil (mystery)/
薄羽蜉蝣 [うすばかげろう] /(n) (uk) ant lion (esp. species Hagenomyia micans)/
薄雲 [うすぐも] /(n) thin clouds/
薄縁 [うすべり] /(n) thin, bordered mat/
薄塩 [うすじお] /(n) lightly salted/
薄汚い [うすぎたない] /(adj-i) filthy/dirty (looking)/drab/
薄汚ない [うすぎたない] /(adj-i) filthy/dirty (looking)/drab/
薄汚れる [うすよごれる] /(v1,vi) to get slightly dirty (all over)/
薄化粧 [うすげしょう] /(n,vs) light makeup/
薄荷 [はっか] /(n) mint/peppermint/
薄荷精 [はっかせい] /(n) essence of peppermint (mint)/
薄荷糖 [はっかとう] /(n) peppermint/
薄気味の悪い [うすぎみのわるい] /(exp,adj-f) eerie/spooky/
薄気味わるい [うすきみわるい] /(adj-i) weird/eerie/uncanny/
薄気味悪い [うすきみわるい] /(adj-i) weird/eerie/uncanny/
薄給 [はっきゅう] /(n,adj-no) small (meagre, meager) salary/
薄遇 [はくぐう] /(n,vs) poor or inhospitable reception/
薄型 [うすがた] /(adj-no) low-profile/
薄型テレビ [うすがたテレビ] /(n) flat-panel television (TV)/thin-screen television (TV)/thin-model flat-screen television (TV)/flat-screen TV/
薄絹 [うすぎぬ] /(n) (1) thin or light silk/sheer silk/(2) veil (mystery)/
薄倖 [はっこう] /(adj-na,n,adj-no) unhappiness/sad fate/misfortune/
薄光 [はっこう] /(n) faint light/pale light/
薄口 [うすくち] /(n) light (flavor, flavour)/
薄口しょうゆ [うすくちしょうゆ] /(n) thin soy sauce/light soy sauce/
薄口醤油 [うすくちしょうゆ] /(n) thin soy sauce/light soy sauce/
薄幸 [はっこう] /(adj-na,n,adj-no) unhappiness/sad fate/misfortune/
薄紅 [うすくれない] /(n) light pink/light crimson/
薄紅 [うすべに] /(n) light pink/light crimson/
薄紅立葵 [うずべにたちあおい] /(n) (uk) common marshmallow (Althaea officinalis)/marsh mallow/
薄志 [はくし] /(n) weak-willed/a small token of appreciation/
薄志弱行 [はくしじゃっこう] /(n) infirm of purpose and lacking in decision/
薄紙 [うすがみ] /(n) thin paper/
薄紙をはぐように [うすがみをはぐように] /(exp) little by little (recovering after an illness)/slowly but surely/
薄紙を剥ぐように [うすがみをはぐように] /(exp) little by little (recovering after an illness)/slowly but surely/
薄紫 [うすむらさき] /(n) light purple/
薄紫色 [うすむらさきいろ] /(n) orchid/light purple/
薄紗 [はくさ] /(n) delicate gauze/gossamer/
薄謝 [はくしゃ] /(n) small consideration (remuneration, token of gratitude)/
薄弱 [はくじゃく] /(adj-na,n) feebleness/weakness/weak/(P)/
薄手 [うすで] /(n,adj-na,adj-no) of thin make/light/thin/shallow/slight wound/
薄暑 [はくしょ] /(n) light heat at the beginning of the summer/
薄商い [うすあきない] /(n) light trading/low volume of transactions/
薄焼き [うすやき] /(n) lightly fried or baked/
薄笑い [うすわらい] /(n,vs) faint smile/
薄情 [はくじょう] /(adj-na,n) unfeeling/heartless/cold-hearted/cruel/
薄情者 [はくじょうもの] /(n) insensitive person/
薄色 [うすいろ] /(n) pale color/pale colour/
薄刃 [うすば] /(n) thin (blade)/
薄青 [うすあお] /(n) light blue/pale blue/
薄切り [うすぎり] /(n) thin slice/slicing thin/
薄雪 [うすゆき] /(n) light snowfall/
薄雪草 [うすゆきそう] /(n) (uk) Leontopodium japonicum (species of perennial closely related to edelweiss)/
薄雪鳩 [うすゆきばと] /(n) (uk) diamond dove (Geopelia cuneata)/
薄団 [ふとん] /(iK) (n) (1) futon (quilted Japanese-style mattress laid out on the floor)/(2) round cushion used for Zen meditation (traditionally made of woven bulrush leaves)/
薄地 [うすじ] /(n,adj-no) thin cloth/
薄茶 [うすちゃ] /(n,adj-no) (1) weak matcha/(2) light brown (color, colour)/
薄着 [うすぎ] /(n,vs,adj-no) lightly dressed/(P)/
薄曇 [うすぐもり] /(n,adj-no) slightly cloudy/
薄曇り [うすぐもり] /(n,adj-no) slightly cloudy/
薄鈍 [うすのろ] /(adj-na,n) half-wit/fool/simpleton/
薄肉 [うすにく] /(n,adj-no) light red/
薄肉彫り [うすにくぼり] /(n) bas-relief/
薄日 [うすび] /(n) soft light/
薄馬鹿 [うすばか] /(adj-na,n) dimwit/
薄白い [うすじろい] /(adj-i) whitish/
薄薄 [うすうす] /(adv) thinly/slightly/vaguely/a little/
薄板 [うすいた] /(n) laminate/veneer/
薄皮 [うすかわ] /(n,adj-no) thin skin/
薄皮をはぐように [うすかわをはぐように] /(exp) little by little/slowly but surely/
薄緋 [うすあけ] /(n) pale scarlet/
薄氷 [うすごおり] /(n) thin ice/danger/
薄氷 [はくひょう] /(n) thin ice/danger/
薄物 [うすもの] /(n) (1) lightweight fabric or clothing/silk gauze/thin silk/
薄片 [はくへん] /(n) flake/
薄暮 [はくぼ] /(n) dusk/nightfall/twilight/
薄暮れ [うすぐれ] /(n) (arch) evening/twilight/
薄墨 [うすずみ] /(n) thin or diluted ink/
薄膜 [うすまく] /(n,adj-no) thin film/
薄膜 [はくまく] /(n,adj-no) thin film/
薄膜トランジスタ [うすまくトランジスタ] /(n) (comp) thin film transistor/TFT/
薄膜トランジスター [うすまくトランジスター] /(n) (comp) TFT/Thin Film Transistor/
薄味 [うすあじ] /(adj-no) bland/mild-tasting/lightly seasoned/insipid/
薄味 [はくみ] /(n) thin taste/
薄命 [はくめい] /(n) misfortune/short life/evil fate/
薄明 [はくめい] /(n) twilight/dusk/faint light/
薄明かり [うすあかり] /(n) dim or faint light/half-light of early morning/twilight/
薄明り [うすあかり] /(n) dim or faint light/half-light of early morning/twilight/
薄明るい [うすあかるい] /(adj-i) slightly bright/
薄目 [うすめ] /(adj-na,n) slight/on the weak side/half-open eyes/
薄揚げ [うすあげ] /(n) deep-fried tofu/
薄葉 [うすよう] /(n) Japanese tissue/
薄葉剥 [うすばはぎ] /(n) (uk) unicorn leatherjacket (Aluterus monoceros)/
薄利 [はくり] /(n) small profits/low interest/
薄利多売 [はくりたばい] /(n) small profits and quick returns/
薄力粉 [はくりきこ] /(n) wheat flour of low viscosity/weak flour/
薄緑 [うすみどり] /(n) light green/
薄帛 [うすぎぬ] /(n) (1) thin or light silk/sheer silk/(2) veil (mystery)/
薄靄 [うすもや] /(n) thin mist/light mist/
迫り出す [せりだす] /(v5s,vt) (1) to push (a thing) out/to jut out (can have a negative nuance)/to protrude/(2) to rise out the trap door (on stage)/
迫り上がる [せりあがる] /(v5r) (uk) to gradually rise/
迫り来る [せまりくる] /(vk) to be imminent/to loom/to be approaching/to be impending/
迫る [せまる] /(v5r,vi) (1) to approach/to draw near/to be imminent/(v5r,vt) (2) to press (someone for something)/to urge/to compel/(P)/
迫害 [はくがい] /(n,vs) persecution/(P)/
迫害者 [はくがいしゃ] /(n) persecutor/
迫撃 [はくげき] /(n,vs) close attack/(P)/
迫撃砲 [はくげきほう] /(n) mortar/(P)/
迫持 [せりもち] /(n) arch/
迫出す [せりだす] /(v5s,vt) (1) to push (a thing) out/to jut out (can have a negative nuance)/to protrude/(2) to rise out the trap door (on stage)/
迫真 [はくしん] /(n,adj-no) reality/true to life/
迫力 [はくりょく] /(n) force/intensity/appeal/strength/(P)/
迫力満点 [はくりょくまんてん] /(n) full impact/packing a punch/
曝けだす [さらけだす] /(v5s,vt) to expose/to disclose/to lay bare/to confess/
曝け出す [さらけだす] /(v5s,vt) to expose/to disclose/to lay bare/to confess/
曝し者 [さらしもの] /(n) pilloried criminal exposed to public view/public scorn or humiliation/person shamed in front of others/
曝し首 [さらしくび] /(n) displaying a gibbeted head/gibbeted head/
曝す [さらす] /(v5s,vt) (1) to expose (to the air, to the public, to danger, etc.)/(2) to bleach/to refine/(P)/
曝気 [ばっき] /(n,vs) aeration/
曝首 [さらしくび] /(n) displaying a gibbeted head/gibbeted head/
曝書 [ばくしょ] /(n,vs) airing of books/
曝露 [ばくろ] /(n,vs) disclosure/exposure/revelation/
漠然 [ばくぜん] /(n,adj-t,adv-to) obscure/vague/equivocal/(P)/
漠漠 [ばくばく] /(adj-na,n) vast/vague/obscure/
爆 [ばく] /(int) exclamation/burst of laughter/
爆ごう [ばくごう] /(n,vs) detonation/
爆ぜる [はぜる] /(v1,vi) to burst open/to pop/to split/
爆煙 [ばくえん] /(n) fumes from an explosion/
爆音 [ばくおん] /(n) (sound of an) explosion or detonation/roar (of a machine)/(P)/
爆撃 [ばくげき] /(n,vs) bombing (raid)/(P)/
爆撃機 [ばくげきき] /(n) bomber/
爆轟 [ばくごう] /(n,vs) detonation/
爆砕 [ばくさい] /(n,vs) blasting/
爆殺 [ばくさつ] /(n,vs) killing with a bomb/killing in a bombing/
爆死 [ばくし] /(n,vs) bomb victim/atomic bomb victim/
爆縮 [ばくしゅく] /(n,vs) implosion/
爆傷 [ばくしょう] /(n) damage or injuries caused by bombing or an explosion/
爆笑 [ばくしょう] /(n,vs) roar of laughter/(P)/
爆心 [ばくしん] /(n) center of an explosion/centre of an explosion/
爆心地 [ばくしんち] /(n) centre of explosion/center of explosion/hypocentre/hypocenter/ground zero/
爆睡 [ばくすい] /(adj-na) (col) fast asleep/bombed/crashed/
爆走 [ばくそう] /(n,vs) (col) roaring noisily around/
爆弾 [ばくだん] /(n) bomb/(P)/
爆弾マーク [ばくだんマーク] /(n) (comp) bomb/
爆弾声明 [ばくだんせいめい] /(n) bombshell announcement/
爆弾宣言 [ばくだんせんげん] /(n) bombshell announcement (declaration)/
爆弾発言 [ばくだんはつげん] /(n) bombshell announcement (statement)/
爆弾発表 [ばくだんはっぴょう] /(n) bombshell announcement (statement)/
爆竹 [ばくちく] /(n) firecracker/(P)/
爆沈 [ばくちん] /(n,vs) blowing up and sinking/
爆乳 [ばくにゅう] /(n,adj-no) (sl) enormous breasts (lit: exploding breasts)/
爆燃 [ばくねん] /(n) (1) deflagration/(2) knocking (e.g. in car engines)/
爆破 [ばくは] /(n,vs) destructive blast/explosion/blow up/(P)/
爆破予告 [ばくはよこく] /(n) bomb warning/
爆発 [ばくはつ] /(n,vs) explosion/detonation/eruption/(P)/
爆発音 [ばくはつおん] /(n) sound of an explosion/
爆発管 [ばくはつかん] /(n) detonator/
爆発性 [ばくはつせい] /(n) explosiveness/
爆発的 [ばくはつてき] /(adj-na) explosive/tremendous/
爆発物 [ばくはつぶつ] /(n) explosive (material)/
爆発物取締罰則 [ばくはつぶつとりしまりばっそく] /(n) Criminal Regulations to Control Explosives/
爆発力 [ばくはつりょく] /(n) explosive power/
爆風 [ばくふう] /(n) bomb blast/blast (from an explosion)/shock wave/
爆薬 [ばくやく] /(n) explosive/blasting powder/(P)/
爆薬庫 [ばくやくこ] /(n) munitions bunker/
爆雷 [ばくらい] /(n) depth charge/
爆裂 [ばくれつ] /(n,vs) exploding/
爆裂ボディー [ばくれつボディー] /(n) gorgeous body/
爆裂弾 [ばくれつだん] /(n) bomb/bombshell/
縛に就く [ばくにつく] /(v5k) to be arrested/to be put in bonds/
縛め [いましめ] /(n) (1) caution/admonition/warning/lesson/(2) prohibition/ban/commandment/precept/(3) (arch) caution/guard/(4) (arch) punishment/(5) binding (with rope)/binds/
縛める [いましめる] /(v1,vt) to bind (with rope, etc.)/
縛りつける [しばりつける] /(v1,vt) to tie/
縛り込む [しばりこむ] /(v5m) to bind together/
縛り首 [しばりくび] /(n) (death by) hanging/(P)/
縛り上げる [しばりあげる] /(v1,vt) to bind (tie) up/
縛り付ける [しばりつける] /(v1,vt) to tie/
縛る [しばる] /(v5r,vt) to tie/to bind/(P)/
縛れる [しばれる] /(v1,vi) to tie/to bind/
莫 [まな] /(n) (arch) must not/may not/
莫れ [なかれ] /(prt) must not/do not/
莫迦 [ばか] /(oK) (n) (1) fool/idiot/(2) trivial matter/folly/absurdity/(adj-na) (3) foolish/stupid/dull/absurd/ridiculous/(n) (4) (abbr) surf clam/
莫臥児 [もうる] /(ateji) (n) (1) (uk) lace (por: mogol)/lacing braid/(2) (uk) chenille yarn/(3) (uk) tinsel/(4) (uk) pipe cleaner/fibre, paper, etc. twisted between a pair of wires/
莫臥児 [モール] /(ateji) (n) (1) (uk) lace (por: mogol)/lacing braid/(2) (uk) chenille yarn/(3) (uk) tinsel/(4) (uk) pipe cleaner/fibre, paper, etc. twisted between a pair of wires/
莫臥爾 [もうる] /(ateji) (n) (1) (uk) lace (por: mogol)/lacing braid/(2) (uk) chenille yarn/(3) (uk) tinsel/(4) (uk) pipe cleaner/fibre, paper, etc. twisted between a pair of wires/
莫臥爾 [モール] /(ateji) (n) (1) (uk) lace (por: mogol)/lacing braid/(2) (uk) chenille yarn/(3) (uk) tinsel/(4) (uk) pipe cleaner/fibre, paper, etc. twisted between a pair of wires/
莫逆 [ばくぎゃく] /(n) cordial relations/
莫逆 [ばくげき] /(n) cordial relations/
莫逆の友 [ばくぎゃくのとも] /(exp) extremely good friends/best friends/
莫告藻 [なのりそ] /(ok) (n) (uk) Sargassum fulvellum (species of edible brown alga)/
莫告藻 [なのりそも] /(ok) (n) (uk) Sargassum fulvellum (species of edible brown alga)/
莫大 [ばくだい] /(adj-na,n) enormous/vast/(P)/
莫大小 [めりやす] /(n) knitting (spa: medias, por: meias)/hosiery/knitted goods/
莫連 [ばくれん] /(n) worldly woman/
駁する [ばくする] /(vs-s,vt) to oppose someone's opinion/to refute/to contradict/
駁毛 [ぶちげ] /(n,adj-no) leopard (horse coat pattern)/
駁論 [ばくろん] /(n,vs) refutation/confutation/
麦 [むぎ] /(n) wheat/barley/oat (oats)/(P)/
麦こがし [むぎこがし] /(n) parched-barley flour/ground-barley flour/
麦の秋 [むぎのあき] /(n) wheat harvest/
麦わら [むぎわら] /(n) wheat straw/barley straw/
麦扱き [むぎこき] /(n,vs) wheat threshing/
麦価 [ばくか] /(n) price of wheat/
麦芽 [ばくが] /(n,adj-no) malt/(P)/
麦芽糖 [ばくがとう] /(n) maltose/malt sugar/
麦角 [ばっかく] /(n) ergot/
麦刈り [むぎかり] /(n) wheat harvest/
麦球 [むぎきゅう] /(n) wheat bulb/wheat grain light bulb/
麦作 [むぎさく] /(n) wheat raising/
麦蒔 [むぎまき] /(n,vs) wheat planting/
麦蒔き [むぎまき] /(n,vs) sowing wheat or barley/
麦酒 [ばくしゅ] /(n) beer/
麦秋 [ばくしゅう] /(n) wheat harvest/
麦秋 [むぎあき] /(n) wheat harvest/
麦汁 [ばくじゅう] /(n) wort (beer before yeast is added)/sweet wort/
麦汁ろ過 [ばくじゅうろか] /(n) wort filtration/lautering/sparging/
麦汁濾過 [ばくじゅうろか] /(n) wort filtration/lautering/sparging/
麦焦がし [むぎこがし] /(n) parched-barley flour/ground-barley flour/
麦焦し [むぎこがし] /(n) parched-barley flour/ground-barley flour/
麦束 [むぎたば] /(n) wheat sheaf/stacked wheat/
麦打ち [むぎうち] /(n) wheat threshing/
麦茶 [むぎちゃ] /(n) barley tea/(P)/
麦笛 [むぎぶえ] /(n) wheat-straw whistle/
麦田 [むぎた] /(n) rice field used to grow wheat/
麦湯 [むぎゆ] /(n) parched-barley tea/
麦踏み [むぎふみ] /(n) treading wheat plants/
麦突 [むぎつく] /(n) (uk) Pungtungia herzi (species of cyprinid)/
麦畑 [むぎばたけ] /(n) wheat field/barley field/cornfield/(P)/
麦飯 [ばくはん] /(n) boiled barley and rice/
麦飯 [むぎめし] /(n) boiled barley and rice/
麦粉 [むぎこ] /(n) wheat flour/
麦粒腫 [ばくりゅうしゅ] /(n) sty (on the eyelid)/
麦類 [むぎるい] /(n) wheat variety/
麦藁 [むぎわら] /(n) wheat straw/barley straw/
麦藁細工 [むぎわらさいく] /(n) straw work/
麦藁帽子 [むぎわらぼうし] /(n) straw hat/
麦藁蜻蛉 [むぎわらとんぼ] /(n) dragonfly/
麦搗き [むぎつき] /(n) polishing wheat/
麦稈 [ばっかん] /(n) wheat straw/barley straw/
麦稈 [むぎわら] /(n) wheat straw/barley straw/
麦稈細工 [むぎわらざいく] /(n) straw work/
麦稈帽子 [むぎわらぼうし] /(n) straw hat/
麦繞 [ばくにょう] /(n) kanji "wheat" radical/
麦隴 [ばくろう] /(n) field of grain (not rice)/
函 [はこ] /(n) (1) box/(2) car (of a train, etc.)/(3) shamisen case/shamisen/(4) (arch) man who carries a geisha's shamisen/(5) (arch) receptacle for human waste/feces (faeces)/
函れる [いれる] /(v1,vt) (1) to put in/to let in/to take in/to bring in/to insert/to set (a jewel, etc.)/to ink in (e.g. a tattoo)/(2) to admit/to accept/to employ/to hire/(3) to accept/to comply/to grant/to adopt (a policy, etc.)/to take (advice, etc.)/to listen to/to pay attention to/(4) to include/(5) to pay (one's rent, etc.)/(6) to cast (a vote)/(7) to make (tea, coffee, etc.)/(8) to turn on (a switch, etc.)/(9) to send (a fax)/to call/
函蓋 [かんがい] /(n) box and cover/
函渠 [かんきょ] /(n) drain with an oblong cross-section/
函人 [かんじん] /(n) armorer/armourer/
函数 [かんすう] /(oK) (n) (comp) function (e.g. math, programming, programing)/
函嶺 [かんれい] /(n) the Hakone Mountains/
箱 [はこ] /(n) (1) box/(2) car (of a train, etc.)/(3) shamisen case/shamisen/(4) (arch) man who carries a geisha's shamisen/(5) (arch) receptacle for human waste/feces (faeces)/(P)/
箱のり [はこのり] /(n) leaning out of a car or train window/
箱の底 [はこのそこ] /(n) bottom of a box/
箱屋 [はこや] /(n) (1) box maker/(2) man who carries a geisha's shamisen/
箱河豚 [はこふぐ] /(n) (1) (uk) bluespotted boxfish (Ostracion immaculatus)/(2) boxfish (any fish of family Ostraciidae)/trunkfish/
箱火鉢 [はこひばち] /(n) brazier encased in a wooden box/
箱海老 [はこえび] /(n) (uk) Japanese spear lobster (Linuparus trigonus)/
箱館戦争 [はこだてせんそう] /(n) Battle of Hakodate (battle of the Boshin War, 1868-1869)/
箱眼鏡 [はこめがね] /(n) water glass/hydroscope/box, etc. with glass bottom for viewing underwater/
箱詰め [はこづめ] /(n,adj-no) packed in a box (i.e. chocolates)/
箱根山椒魚 [はこねさんしょううお] /(n) (uk) Japanese clawed salamander (Onychodactylus japonicus)/
箱師 [はこし] /(n) train or bus thief/
箱寿司 [はこずし] /(n) pressed sushi/box sushi/
箱舟 [はこぶね] /(n) ark (i.e. Noah's)/
箱書き [はこがき] /(n) autograph or note of authentication written on a box containing an art work/
箱乗り [はこのり] /(n) leaning out of a car or train window/
箱船 [はこぶね] /(n) ark (i.e. Noah's)/
箱庭 [はこにわ] /(n) miniature garden/
箱入り [はこいり] /(n,adj-no) cased/boxed/
箱入り娘 [はこいりむすめ] /(n) girl who has led a sheltered life/pet daughter/
箱入娘 [はこいりむすめ] /(n) girl who has led a sheltered life/pet daughter/
箱馬車 [はこばしゃ] /(n) box-shaped (horse-drawn) carriage/
箱物行政 [はこものぎょうせい] /(n) government (public policy) focusing on the construction of public (community) buildings/
箱枕 [はこまくら] /(n) pillow encased in a box/
箱柳 [はくよう] /(n) (uk) Japanese aspen (Populus tremula var. sieboldii)/
箱柳 [はこやなぎ] /(n) (uk) Japanese aspen (Populus tremula var. sieboldii)/
箸 [はし] /(n) chopsticks/(P)/
箸にも棒にも掛からない [はしにもぼうにもかからない] /(exp) hopeless/unmanageable/incorrigible/
箸まくら [はしまくら] /(n) chopstick rest/
箸休め [はしやすめ] /(n) palate-cleansing side dish/
箸使い [はしづかい] /(n) chopstick usage/
箸初め [はしぞめ] /(n) weaning ceremony/
箸袋 [はしぶくろ] /(n) paper envelope in which chopsticks are presented/
箸台 [はしだい] /(n) chopstick rest/
箸置 [はしおき] /(n) chopstick rest/
箸置き [はしおき] /(n) chopstick rest/
箸箱 [はしばこ] /(n) chopstick case/
箸枕 [はしまくら] /(n) chopstick rest/
肇国 [ちょうこく] /(n,vs) founding of a state/
肇歳 [ちょうさい] /(n) beginning of the year/
筈 [はず] /(n) (1) (uk) expectation that something took place, will take place or was in some state/it should be so/bound to be/expected to be/must be/(2) nock (of a bow)/(3) nock (of an arrow)/(4) nock-shaped grip (between thumb and forefinger) (Sumo)/(5) wooden frame on the tip of the mast of a Japanese ship that prevents the hawser from falling out/(P)/
筈押し [はずおし] /(n) pushing up with hands under opponent's armpits (sumo)/armpit push/
筈緒 [はずお] /(n) hemp rope fastened from the bow of a Japanese ship to the tip of the mast/
櫨 [はぜ] /(n) (Japanese) wax tree/sumac (sumach)/
櫨 [はぜのき] /(n) (Japanese) wax tree/sumac (sumach)/
櫨の木 [はぜのき] /(n) (Japanese) wax tree/sumac (sumach)/
幡 [はた] /(n) (1) flag/(2) (Buddh) pataka (banner)/
幡 [ばん] /(n) (Buddh) pataka (banner)/
幡幢 [はたほこ] /(n) (1) (Buddh) long-handled Chinese spear bearing a small flag/
幡幢 [はたぼこ] /(n) (1) (Buddh) long-handled Chinese spear bearing a small flag/
肌 [はだ] /(n,n-suf) (1) skin/(2) body (in the context of intimate bodily contact)/(3) surface/grain (e.g. of wood)/texture/(4) disposition/temperament/character/type/(P)/
肌 [はだえ] /(n,n-suf) (1) skin/(2) body (in the context of intimate bodily contact)/(3) surface/grain (e.g. of wood)/texture/(4) disposition/temperament/character/type/
肌あれ [はだあれ] /(n,vs) dry skin/bad skin/rough skin/
肌が合う [はだがあう] /(exp,v5u) to be compatible/to get along well/
肌が合わない [はだがあわない] /(exp,adj-i) cannot go together (with)/
肌で感じる [はだでかんじる] /(v1) to understand from experience/
肌で知る [はだでしる] /(exp,v5r) to know something by direct experience/to know through the skin/
肌を許す [はだをゆるす] /(exp,v5s) to surrender one's chastity to a man/
肌掛け布団 [はだかけぶとん] /(n) thinner futon (in contact with the skin)/
肌掛け布団 [はだがけぶとん] /(n) thinner futon (in contact with the skin)/
肌掛布団 [はだかけぶとん] /(n) thinner futon (in contact with the skin)/
肌掛布団 [はだがけぶとん] /(n) thinner futon (in contact with the skin)/
肌寒い [はださむい] /(adj-i) chilly/unpleasantly cold/(P)/
肌寒い [はだざむい] /(adj-i) chilly/unpleasantly cold/
肌荒 [はだあれ] /(n,vs) dry skin/bad skin/rough skin/
肌荒れ [はだあれ] /(n,vs) dry skin/bad skin/rough skin/
肌合 [はだあい] /(io) (n) disposition/temperament/turn of mind/atmosphere/feeling/
肌合い [はだあい] /(n) disposition/temperament/turn of mind/atmosphere/feeling/
肌骨 [きこつ] /(n) skin and bones/
肌色 [はだいろ] /(n,adj-no) flesh-coloured/flesh-colored/skin-coloured/skin-colored/(P)/
肌触り [はだざわり] /(n) the touch of/feel of/texture/(P)/
肌触わり [はだざわり] /(n) the touch of/feel of/texture/
肌身 [はだみ] /(n) body/
肌身離さず [はだみはなさず] /(adv) always carry/
肌脱ぎ [はだぬぎ] /(n) naked to the waist/
肌脱ぐ [はだぬぐ] /(v5g,vi) (1) to remove one's shirt thus revealing the skin/to remove the upper part of one's garments/(2) to work with great effort/
肌着 [はだぎ] /(n) underwear/lingerie/singlet/chemise/(P)/
肌馬 [はだうま] /(n) broodmare (horse breeding)/
肌布団 [はだぶとん] /(n) thinner futon (in contact with the skin)/
肌膚 [きふ] /(n) skin/
肌理 [きめ] /(n) grain/(skin) texture/
肌襦袢 [はだじゅばん] /(n) (Japanese-style) undershirt worn under nagajuban/
畑 [はた] /(n) (1) field (for fruits, vegetables, etc.)/cultivated land/vegetable plot/kitchen garden/plantation/
畑 [はたけ] /(n) (1) field (for fruits, vegetables, etc.)/cultivated land/vegetable plot/kitchen garden/plantation/(n,suf) (2) field (of specialization)/sphere/area/(3) (col) womb/birth/birthplace/(P)/
畑を起こす [はたけをおこす] /(exp,v5s) to plow a field/to plough a field/
畑を作る [はたけをつくる] /(exp,v5r) to farm/to cultivate a field/
畑違い [はたけちがい] /(n) out of one's line/out of one's field/
畑栗鼠 [はたりす] /(n) (uk) ground squirrel (esp. the Daurian ground squirrel, Spermophilus dauricus)/
畑作 [はたさく] /(n) dry field farming/dry field crop/
畑仕事 [はたしごと] /(n,vs) working in the fields/work on a farm/
畑水練 [はたけすいれん] /(n) studying (which seems like swimming in a field)/
畑鼠 [はたねずみ] /(n) (1) (uk) Japanese grass vole (Microtus montebelli)/(2) any rodent of subfamily Arvicolinae (inc. voles, lemmings and muskrats)/
畑打ち [はたうち] /(n,vs) ploughing/plowing/
畑地 [はたち] /(n) farmland/
畠 [はた] /(n) (1) field (for fruits, vegetables, etc.)/cultivated land/vegetable plot/kitchen garden/plantation/
畠 [はたけ] /(n) (1) field (for fruits, vegetables, etc.)/cultivated land/vegetable plot/kitchen garden/plantation/(n,suf) (2) field (of specialization)/sphere/area/(3) (col) womb/birth/birthplace/
八 [はち] /(num) eight/(P)/
八 [や] /(num) eight/
八か年 [はちかねん] /(adj-pn) octennial/
八つ [やっつ] /(num) eight/(P)/
八つ [やつ] /(num) eight/
八つあたり [やつあたり] /(n) outburst of anger/
八つあたりに [やつあたりに] /(adv) indiscriminately/recklessly/
八つ橋 [やつはし] /(n) (1) type of sweet made with bean paste (local delicacy in Kyoto)/cinnamon-seasoned cracknel (cookie)/(2) zigzag bridge/
八つ口 [やつくち] /(n) small opening in the side of some traditional Japanese clothing (located where the sleeve meets the bodice, below the armpit)/
八つ時 [やつどき] /(n) (arch) (approx.) 2 o'clock (am or pm)/
八つ手 [やつで] /(n) Japanese fatsia/Fatsia japonica/eight-fingered-leaf shrub/
八つ手網 [やつであみ] /(n) eight-armed scoop net/
八つ切り [やつぎり] /(n) octavo format (about 21.5 to 16.5 cm)/cutting into 8 parts/
八つ折り判 [やつおりばん] /(n) octavo/
八つ足の机 [やつあしのつくえ] /(n) (arch) eight-legged table (used as a stand for religious offerings, etc.)/
八つ当たり [やつあたり] /(n) outburst of anger/(P)/
八つ頭 [やつがしら] /(n) form of taro/yam/
八つ目 [やつめ] /(n) (1) (abbr) eighth (place, position, etc.)/(2) having eight eyes/having many eyes/(3) (of a fabric) having a loose knit/(4) lamprey/(5) eight-holed arrow whistle/
八つ目鰻 [やつめうなぎ] /(n) (uk) lamprey/lamprey eel/
八つ目鏑 [やつめかぶら] /(n) (obsc) eight-holed arrow whistle/
八つ裂き [やつざき] /(n) tearing limb from limb/tearing apart/cutting (a person) to pieces/
八の字 [はちのじ] /(n) (1) figure eight/figure of eight/(2) shape of "hachi", the kanji for eight/
八カ年 [はちかねん] /(adj-pn) octennial/
八ッ橋 [やつはし] /(n) (1) type of sweet made with bean paste (local delicacy in Kyoto)/cinnamon-seasoned cracknel (cookie)/(2) zigzag bridge/
八ツ橋 [やつはし] /(n) (1) type of sweet made with bean paste (local delicacy in Kyoto)/cinnamon-seasoned cracknel (cookie)/(2) zigzag bridge/
八ヵ年 [はちかねん] /(adj-pn) octennial/
八ヶ年 [はちかねん] /(adj-pn) octennial/
八雲 [やくも] /(n) (1) (arch) thick clouds/(2) (arch) classical Japanese poetry/
八家 [はっけ] /(n) (1) (abbr) the eight early Japanese Buddhist sects/(2) eight Japanese monks who visited China during the early Heian/
八箇年 [はちかねん] /(adj-pn) octennial/
八戒 [はちかい] /(n) (Buddh) the eight precepts (in addition to the five precepts, prohibitions against: lying in a luxurious bed; self-decoration, song & dance; and eating after noon)/
八戒 [はっかい] /(n) (Buddh) the eight precepts (in addition to the five precepts, prohibitions against: lying in a luxurious bed; self-decoration, song & dance; and eating after noon)/
八角 [はっかく] /(n) (1) octagon/(2) star anise (spice)/(3) sailfin poacher (Podothecus sachi)/
八角形 [はっかくけい] /(n) eight-sided shape/octagon/
八角形 [はっかっけい] /(n) eight-sided shape/octagon/
八角錐 [はっかくすい] /(n) octagonal pyramid/
八角柱 [はっかくちゅう] /(n) octagonal prism/
八掛 [はっかけ] /(n) inside cloth used around cuff and hem/
八釜しい [やかましい] /(adj-i) (1) (uk) noisy/boisterous/(2) strict/faultfinding/carping/fussy/
八間 [はちけん] /(n) large hanging paper lantern/
八岐大蛇 [やまたのおろち] /(n) eight-headed, eight-tailed serpent (in Japanese mythology)/
八脚の案 [やつあしのつくえ] /(n) (arch) eight-legged table (used as a stand for religious offerings, etc.)/
八脚門 [はっきゃくもん] /(n) single-tiered gate with eight secondary pillars supporting the four main central pillars/
八脚門 [やつあしもん] /(n) single-tiered gate with eight secondary pillars supporting the four main central pillars/
八虐 [はちぎゃく] /(n) (arch) the eight unpardonable crimes in ancient Japanese law/
八逆 [はちぎゃく] /(n) (arch) the eight unpardonable crimes in ancient Japanese law/
八橋 [やつはし] /(n) (1) type of sweet made with bean paste (local delicacy in Kyoto)/cinnamon-seasoned cracknel (cookie)/(2) zigzag bridge/
八極拳 [はっきょくけん] /(n) (MA) Eight Extremities Fist/
八九分 [はっくぶ] /(n) nearly/almost/
八苦 [はっく] /(n) (Buddh) the eight kinds of suffering (birth, old age, disease, death, parting from loved ones, meeting disliked ones, not getting what one seeks, pains of the five skandha)/
八卦 [はっけ] /(n) eight trigrams/divination signs/
八卦掌 [はっけしょう] /(n) (MA) eight trigrams palm/Ba Gua Zhang or Pa Kua Chang/
八景 [はっけい] /(n) eight picturesque sights/
八月 [はちがつ] /(n-adv) August/(P)/
八股 [はっこ] /(n) (abbr) eight-legged essay (classical Chinese style of essay writing)/
八股文 [はっこぶん] /(n) eight-legged essay (classical Chinese style of essay writing)/
八口 [やつくち] /(n) small opening in the side of some traditional Japanese clothing (located where the sleeve meets the bodice, below the armpit)/
八紘 [はっこう] /(n) the eight directions/the whole land/the whole world/
八紘一宇 [はっこういちう] /(n) universal brotherhood/all eight corners of the world under one roof/
八荒 [はっこう] /(n) the national boundaries/
八坂瓊曲玉 [やさかにのまがたま] /(n) (1) (arch) large jewel/string of jewels/(2) Yasakani no Magatama (the grand jewel or string of jewels; one of the three Imperial regalia)/
八朔 [はっさく] /(n) (1) Hassaku orange (Citrus hassaku)/(2) 1st of August (lunar calendar)/
八字髭 [はちじひげ] /(n) finely-trimmed moustache/
八識 [はちしき] /(n) (Buddh) eight consciousnesses (one for each of the five senses, consciousness of the mind, self-consciousness and store consciousness)/
八識 [はっしき] /(n) (Buddh) eight consciousnesses (one for each of the five senses, consciousness of the mind, self-consciousness and store consciousness)/
八尺瓊 [やさかに] /(n) (arch) large jewel/
八尺瓊の勾玉 [やさかにのまがたま] /(n) (1) (arch) large jewel/string of jewels/(2) Yasakani no Magatama (the grand jewel or string of jewels; one of the three Imperial regalia)/
八尺瓊曲玉 [やさかにのまがたま] /(n) (1) (arch) large jewel/string of jewels/(2) Yasakani no Magatama (the grand jewel or string of jewels; one of the three Imperial regalia)/
八尺瓊勾玉 [やさかにのまがたま] /(n) (1) (arch) large jewel/string of jewels/(2) Yasakani no Magatama (the grand jewel or string of jewels; one of the three Imperial regalia)/
八手 [やつで] /(n) Japanese fatsia/Fatsia japonica/eight-fingered-leaf shrub/
八種競技 [はっしゅきょうぎ] /(n) octathlon/
八宗 [はっしゅう] /(n) the two sects of Buddhism introduced to Japan during the Heian period (Tiantai and Shingon) and the six sects introduced during the Nara period/
八州 [はっしゅう] /(n) (1) (arch) Japan/(2) eight Edo-period provinces of Kanto (Sagami, Musashi, Awa, Kazusa, Shimousa, Hitachi, Kouzuke & Shimotsuke)/
八洲 [やしま] /(n) (arch) Japan/
八洲国 [やしまくに] /(n) (arch) Japan/
八十 [はちじゅう] /(n) eighty/(P)/
八十 [やそ] /(n) eighty/
八十神 [やそがみ] /(n) (arch) many gods/many deities/many kami/
八十代 [はちじゅうだい] /(n) the eighties (age, years, etc.)/
八十八箇所 [はちじゅうはっかしょ] /(n) 88 temples (of, or modeled after those of, Shikoku)/
八十八夜 [はちじゅうはちや] /(n) eighty-eighth day from the beginning of spring/
八十万 [はちじゅうまん] /(n) (1) (arch) 800000/(2) many/
八十万 [やそよろず] /(n) (1) (arch) 800000/(2) many/
八十路 [やそじ] /(n) age eighty/one's eighties/
八重 [やえ] /(n) multilayered/doubled/(P)/
八重の潮路 [やえのしおじ] /(n) distant seas/
八重雲 [やえくも] /(n) layers of clouds/
八重雲 [やえぐも] /(n) layers of clouds/
八重垣 [やえがき] /(n) fences within fences/
八重旗雲 [やえはたぐも] /(n) banner clouds in layers/
八重咲き [やえざき] /(n) double blossom/
八重桜 [やえざくら] /(n) double-flowered cherry tree/double cherry blossoms/(P)/
八重山蛭木 [やえやまひるぎ] /(n) (uk) Rhizophora mucronata (species of mangrove)/
八重歯 [やえば] /(n) double tooth/
八重八重 [やえやえ] /(n,adj-no) multilayered/
八重葎 [やえむぐら] /(n) (1) (uk) thick patch of mixed weeds/(2) false cleavers (species of bedstraw, Galium spurium var. echinospermon)/
八重梔子 [やえくちなし] /(n) (uk) eightfold gardenia/Gardenia jasminoide/
八将神 [はちしょうしん] /(n) the eight gods who preside over the lucky/unlucky directions of the koyomi for each year/
八将神 [はちしょうじん] /(n) the eight gods who preside over the lucky/unlucky directions of the koyomi for each year/
八省 [はっしょう] /(n) the eight ministries (under the Grand Council of State of the ritsuryo system)/
八丈 [はちじょう] /(n) (abbr) plain-woven silk cloth produced on Hachijo Island (sometimes striped)/
八丈絹 [はちじょうぎぬ] /(n) plain-woven silk cloth produced on Hachijo Island (dyed with botanical pigments found on the island)/
八丈縞 [はちじょうじま] /(n) striped Hachijo silk cloth/
八丈宝貝 [はちじょうたからがい] /(n) (uk) chocolate cowry (Mauritia mauritiana)/humpback cowry/
八丈宝貝 [はちじょうだからがい] /(n) (uk) chocolate cowry (Mauritia mauritiana)/humpback cowry/
八色の姓 [はっしきのかばね] /(n) (arch) eight hereditary titles (designated by Emperor Tenmu in 684 CE: Mahito, Asomi, Sukune, Imiki, Michinoshi, Omi, Muraji, Inagi)/
八色の姓 [やくさのかばね] /(n) (arch) eight hereditary titles (designated by Emperor Tenmu in 684 CE: Mahito, Asomi, Sukune, Imiki, Michinoshi, Omi, Muraji, Inagi)/
八色姓 [はっしきのかばね] /(n) (arch) eight hereditary titles (designated by Emperor Tenmu in 684 CE: Mahito, Asomi, Sukune, Imiki, Michinoshi, Omi, Muraji, Inagi)/
八色姓 [やくさのかばね] /(n) (arch) eight hereditary titles (designated by Emperor Tenmu in 684 CE: Mahito, Asomi, Sukune, Imiki, Michinoshi, Omi, Muraji, Inagi)/
八色鳥 [やいろちょう] /(n) (uk) fairy pitta (Pitta nympha)/
八進細分記号 [はちしんさいぶんきごう] /(n) (comp) octave device/
八進数 [はちしんすう] /(n) (comp) octal/base 8/
八尋 [やひろ] /(n,adj-no) (arch) great length/great size/
八尋殿 [やひろどの] /(n) (arch) grand palace/
八寸 [はっすん] /(n) (1) distance of eight sun (approx. 24 cm)/(2) small serving dish/(3) var. of thick, traditional Japanese paper/
八姓 [はっせい] /(n) (arch) (obsc) eight hereditary titles (designated by Emperor Tenmu in 684 CE: Mahito, Asomi, Sukune, Imiki, Michinoshi, Omi, Muraji, Inagi)/
八正道 [はっしょうどう] /(n) Noble Eightfold Path (of Buddhism)/
八聖道 [はっしょうどう] /(n) Noble Eightfold Path (of Buddhism)/
八切 [やつぎり] /(n) octavo format (about 21.5 to 16.5 cm)/cutting into 8 parts/
八千 [はっせん] /(n) (1) 8000/(2) many/
八千 [やち] /(n) (1) 8000/(2) many/
八千歳 [やちとせ] /(n) 8000 years/thousands of years/eternity/
八千草 [やちぐさ] /(n) variety of plants/various herbs/
八千代 [やちよ] /(n) eternity/thousands of years/(P)/
八千年 [はっせんねん] /(n) 8000 years/thousands of years/eternity/
八千年 [やちとせ] /(n) 8000 years/thousands of years/eternity/
八専 [はっせん] /(n) one indication given on the koyomi/generally inauspicious day, high probability of rain/
八双 [はっそう] /(n) style of sword fighting/
八足の机 [はっそくのつくえ] /(n) (arch) eight-legged table (used as a stand for religious offerings, etc.)/
八足の机 [やつあしのつくえ] /(n) (arch) eight-legged table (used as a stand for religious offerings, etc.)/
八足門 [やつあしもん] /(n) single-tiered gate with eight secondary pillars supporting the four main central pillars/
八大地獄 [はちだいじごく] /(n) The Eight Greater (Buddhist) Hells/
八大明王 [はちだいみょうおう] /(n) (Buddh) eight great wisdom kings (Acala, Kundali, Mezu, Munosho, Trilokavijaya, Ucchusma, Vajrayaksa, Yamantaka)/
八達 [はったつ] /(n,vs) (roads) running in all directions/convenient transportation/ability in any line/
八端 [はったん] /(n) twilled fabric/
八丁 [はっちょう] /(n) skillfulness/(P)/
八潮路 [やしおじ] /(n) long sea voyage/
八挺 [はっちょう] /(n) skillfulness/
八島 [やしま] /(n) (arch) Japan/
八頭 [はちがしら] /(n) kanji "eight" radical at top/
八頭 [やつがしら] /(n) form of taro/yam/
八道 [はちどう] /(n) the 8 districts of feudal Japan/
八徳 [はっとく] /(n) the eight virtues/
八日 [ようか] /(n) (1) the eighth day of the month/(2) eight days/(P)/
八白 [はっぱく] /(n) eighth of nine traditional astrological signs (corresponding to Saturn and north-east)/
八幡 [はちまん] /(n) (1) (abbr) Hachiman (God of War)/(2) (abbr) Hachiman shrine/(adv) (3) (arch) certainly/(P)/
八幡の不知藪 [やわたのやぶしらず] /(n) labyrinth/maze/
八幡の薮知らず [やわたのやぶしらず] /(n) labyrinth/maze/
八幡宮 [はちまんぐう] /(n) Shrine of the God of War/
八幡神 [はちまんじん] /(n) Hachiman (God of War)/
八幡神 [やわたのかみ] /(n) Hachiman (God of War)/
八幡知らず [やわたしらず] /(exp) labyrinth/maze/
八幡知藪 [やわたしらず] /(exp) labyrinth/maze/
八百 [はっぴゃく] /(n) (1) eight hundred/(2) multitude/large number/
八百 [やお] /(n) (1) eight hundred/(2) multitude/large number/
八百屋 [やおや] /(n) greengrocer/(P)/
八百屋防風 [やおやぼうふう] /(n) (obsc) Glehnia littoralis (species of umbellifer used in Chinese medicine)/
八百長 [やおちょう] /(n) put-up job/fixed game/
八百八橋 [はっぴゃくやばし] /(n) the large number of bridges over canals and rivers in Naniwa (present-day Osaka)/
八百八寺 [はっぴゃくやでら] /(n) the large number of temples in Kyoto/
八百八町 [はっぴゃくやちょう] /(n) the whole enormous extent of Edo/from one side of Edo to the other/
八百万 [はっぴゃくまん] /(n) eight million/
八百万 [やおよろず] /(n,adj-no) myriad/countless things/
八品詞 [はちひんし] /(n) (ling) (obsc) eight parts of speech (in traditional English grammar, etc.)/
八部 [はちぶ] /(n) (Buddh) (abbr) the eight legions (devas, nagas, yaksas, gandharvas, asuras, garudas, kimnaras, mahoragas)/
八部衆 [はちぶしゅう] /(n) (Buddh) the eight legions (devas, nagas, yaksas, gandharvas, asuras, garudas, kimnaras, mahoragas)/
八福 [はちふく] /(n) the Beatitudes/
八分 [はちぶ] /(n) (1) eight-tenths/(2) casting someone out/(3) type of baggy tobi trousers with the baggy part taking up eight-tenths of the full length of the trouser leg/
八分 [はっぷん] /(n-t) (1) eight minutes/(n) (2) triangular-swept clerical script (clerical script whose horizontal lines end in a noticable triangular tail)/
八分音符 [はちぶおんぷ] /(n) 8th note/(P)/
八分儀 [はちぶんぎ] /(n) octant (instrument)/
八分儀座 [はちぶんぎざ] /(n) Octans (constellation)/the Octant/
八分目 [はちぶめ] /(n) eight-tenths/
八分目 [はちぶんめ] /(n) eight-tenths/
八文字 [はちもんじ] /(n) (in) the shape of the character hachi (eight)/
八辺形 [はちへんけい] /(n) octagon/
八宝菜 [はっぽうさい] /(n) chop suey/
八方 [はっぽう] /(n) (1) all sides/(2) large hanging lantern/(P)/
八方円満 [はっぽうえんまん] /(n,adj-na) to the satisfaction of all parties/all sides being happy and satisfied/
八方丸くおさまる [はっぽうまるくおさまる] /(exp,v5r) to find a solution (after struggle)/
八方丸く治まる [はっぽうまるくおさまる] /(exp,v5r) to find a solution (after struggle)/
八方丸く収まる [はっぽうまるくおさまる] /(exp,v5r) to find a solution (after struggle)/
八方行灯 [はっぽうあんどん] /(n) large hanging paper lantern/
八方塞がり [はっぽうふさがり] /(n) all doors closed/blocked in every direction/cornered/
八方手を尽くす [はっぽうてをつくす] /(exp,v5s) to try all possible means/
八方美人 [はっぽうびじん] /(n) one who is affable to everybody/a flunky/person beautiful from all angles/everybody's friend/person who shows people what they want to see/
八方睨み [はっぽうにらみ] /(n) staring at or watching all sides/
八本 [はちほん] /(n) eight (long cylindrical things)/
八本 [はっぽん] /(n) eight (long cylindrical things)/
八万 [はちまん] /(n) (1) 80000/(2) many/
八万 [やよろず] /(n) (1) 80000/(2) many/
八万四千 [はちまんしせん] /(n) (1) (Buddh) 84000/(2) many/
八面 [はちめん] /(n) eight faces/all sides/
八面体 [はちめんたい] /(n) octahedron/
八面玲瓏 [はちめんれいろう] /(uK) (n,adj-na,adj-no,adj-t,adv-to) (arch) beautiful from all sides/perfect serenity/affability/
八面六臂 [はちめんろっぴ] /(n) competent in all fields (lit: 8 faces and 6 arms)/very active in many fields/versatile/all-round/
八木アンテナ [やぎアンテナ] /(n) Yagi antenna/
八目 [やつめ] /(n) (1) (abbr) eighth (place, position, etc.)/(2) having eight eyes/having many eyes/(3) (of a fabric) having a loose knit/(4) lamprey/(5) eight-holed arrow whistle/
八目鰻 [やつめうなぎ] /(n) (uk) lamprey/lamprey eel/
八目鏑 [やつめかぶら] /(n) (obsc) eight-holed arrow whistle/
八郎潟 [はちろうがた] /(n) Lagoon Hachiro/
八腕類 [はちわんるい] /(n) octopods/
八咫 [やあた] /(n) (1) (arch) eight ata (approx. 144 cm)/(2) large/long/
八咫 [やた] /(n) (1) (arch) eight ata (approx. 144 cm)/(2) large/long/
八咫の烏 [やたのからす] /(n) (1) (obsc) Yatagarasu (mythical raven who aided Emperor Jimmu on his eastern expedition)/(2) three-legged crow inhabiting the sun in Chinese mythology/
八咫の鏡 [やたのかがみ] /(n) Yata no Kagami (the eight-span mirror; one of the Imperial regalia)/
八咫烏 [やたがらす] /(n) (1) Yatagarasu (mythical raven who aided Emperor Jimmu on his eastern expedition)/(2) three-legged crow inhabiting the sun in Chinese mythology/
八咫鏡 [やたかがみ] /(n) Yata no Kagami (the eight-span mirror; one of the Imperial regalia)/
八咫鏡 [やたのかがみ] /(n) Yata no Kagami (the eight-span mirror; one of the Imperial regalia)/
八哥鳥 [はっかちょう] /(n) (uk) crested myna (species of mynah bird, Acridotheres cristatellus)/
八艘飛び [やそうとび] /(n) leap up from the initial charge in order to surprise the opponent (sumo)/
鉢 [はち] /(n) (1) bowl/pot/basin/(2) flowerpot/(3) crown/brainpan/(P)/
鉢の花 [はちのはな] /(n) flower in a pot/
鉢の開いた頭 [はちのひらいたあたま] /(n) flat-crowned head/
鉢映り [はちうつり] /(n) compatibility between the pot and the bonsai/
鉢巻 [はちまき] /(n,vs) headband/(P)/
鉢巻き [はちまき] /(n,vs) headband/(P)/
鉢合せ [はちあわせ] /(n,vs) (1) bumping of heads/(2) running into/coming across/encountering/
鉢合わせ [はちあわせ] /(n,vs) (1) bumping of heads/(2) running into/coming across/encountering/
鉢植 [はちうえ] /(io) (n) potted plant/
鉢植え [はちうえ] /(n) potted plant/(P)/
鉢物 [はちもの] /(n) food served in bowls/potted plant/bonsai/
溌剌 [はつらつ] /(adj-t,adv-to) (uk) lively/vigorous/sprightly/vivid/
溌溂 [はつらつ] /(adj-t,adv-to) (uk) lively/vigorous/sprightly/vivid/
発 [はつ] /(n,suf) (1) departure/departing (from ...)/departing (at time ...)/(2) beginning/(3) issued by (e.g. document)/(ctr) (4) counter for gunshots/counter for blows (punches)/(P)/
発がん性 [はつがんせい] /(n) carcinogenic/cancer causing/
発する [はっする] /(vs-s) to fire (a gun)/to emit/to give forth/(P)/
発つ [たつ] /(v5t,vi) (1) to depart (on a plane, train, etc.)/
発ガン [はつガン] /(n) cancer causing/carcinogenesis/
発ガン性物質 [はつガンせいぶっしつ] /(n) carcinogen/
発案 [はつあん] /(n,vs) idea/suggestion/initiation of a proposal/(P)/
発案権 [はつあんけん] /(n) the right to introduce a bill or measure/
発案者 [はつあんしゃ] /(n) original proposer/originator/proponent/initiator/
発意 [はつい] /(n,vs) idea/suggestion/plan/
発育 [はついく] /(n,vs) (physical) growth/development/(P)/
発育期 [はついくき] /(n) growth period/
発育盛り [はついくざかり] /(n) period of rapid growth/
発育発達 [はついくはったつ] /(n) physical growth and development/
発駅 [はつえき] /(n) starting (train) station/
発煙 [はつえん] /(n) emitting smoke/fuming/(P)/
発煙筒 [はつえんとう] /(n) smoke candle/(P)/
発音 [はつおん] /(n,vs,adj-no) pronunciation/(P)/
発音学 [はつおんがく] /(n) phonetics/phonology/
発音器 [はつおんき] /(n) sound-producing organ (esp. of land-dwelling vertebrates and insects)/
発音器官 [はつおんきかん] /(n) sound-producing organ (i.e. speech organs of mammals, wings of insects)/
発音記号 [はつおんきごう] /(n) phonetic symbol/
発加入者 [はっかにゅうしゃ] /(n) (comp) calling subscriber/calling party/
発火 [はっか] /(n,vs) firing/ignition/(P)/
発火装置 [はっかそうち] /(n) incendiary device/
発火点 [はっかてん] /(n) point of ignition/flash point/
発芽 [はつが] /(n,vs) burgeoning/(P)/
発会 [はっかい] /(n,vs) opening a meeting/first meeting/
発会式 [はっかいしき] /(n) opening ceremony/
発覚 [はっかく] /(n,vs) detection/coming to light/(P)/
発刊 [はっかん] /(n,vs) publish/start (new) publication/(P)/
発汗 [はっかん] /(n,vs,adj-no) sweating/perspiration/
発艦 [はっかん] /(n,vs) aeroplane taking off from a warship (airplane)/
発癌 [はつがん] /(n) cancer causing/carcinogenesis/
発癌性 [はつがんせい] /(n) carcinogenic/cancer causing/
発癌性物質 [はつがんせいぶっしつ] /(n) carcinogen/
発癌物質 [はつがんぶっしつ] /(n) carcinogen/
発願 [ほつがん] /(n,vs) (1) (Buddh) giving rise to the desire to save all sentient beings/(2) praying/prayer/
発揮 [はっき] /(n,vs) exhibition/demonstration/show/display/manifestation/(P)/
発起 [ほっき] /(n,vs) proposal/resolution/
発起人 [ほっきにん] /(n) originator/promoter/(P)/
発議 [はつぎ] /(n,vs) proposal/motion/
発給 [はっきゅう] /(n,vs) issuance/(P)/
発狂 [はっきょう] /(n,vs) madness/craziness/insanity/
発局 [はっきょく] /(n) (comp) sending office/transmitting office/
発禁 [はっきん] /(n) (1) (abbr) sale prohibited/(2) suppression (of a book)/(P)/
発禁本 [はっきんぼん] /(n) banned book/
発句 [ほっく] /(n) hokku (haiku)/first line (of a tanka), first verse (of a renga)/
発掘 [はっくつ] /(n,vs) (1) excavation/exhumation/(2) discovery (e.g. new talent)/(P)/
発券 [はっけん] /(n,vs) issuing (a banknote, ticket, etc.)/
発見 [はっけん] /(n,vs) discovery/detection/finding/(P)/
発見時代 [はっけんじだい] /(n) (obsc) Age of Discovery/
発見者 [はっけんしゃ] /(n) discoverer/
発見的 [はっけんてき] /(adj-na) (comp) heuristic/
発見的方法 [はっけんてきほうほう] /(n) (comp) heuristic method/
発見料 [はっけんりょう] /(n) finder's fee/
発現 [はつげん] /(n,vs) (1) revelation/manifestation/appearance/(2) expression (e.g. in molecular biology - protein expression or gene expression)/
発言 [はつげん] /(n,vs) utterance/speech/proposal/(P)/
発言権 [はつげんけん] /(n) right to speak/(P)/
発言者 [はつげんしゃ] /(n) speaker/
発言力 [はつげんりょく] /(n) forcefulness of speech/influential voice/
発呼 [はっこ] /(n) (comp) outgoing call/
発呼側ＮＳ利用者 [はっこがわエンエスりようしゃ] /(n) (comp) calling NS user/
発呼側Ｎアドレス [はっこがわエンアドレス] /(n) (comp) calling-(N)-address/
発呼側ＳＳ利用者 [はっこがわエスエスりようしゃ] /(n) (comp) calling SS user/
発呼側ＴＳ利用者 [はっこがわティーエスりようしゃ] /(n) (comp) calling TS user/
発御 [はつぎょ] /(n) (hon) departure (of the emperor, etc.)/
発語 [はつご] /(n,vs,adj-no) speech/utterance/
発光 [はっこう] /(n,vs,adj-no) luminescence/radiation/(P)/
発光ダイオード [はっこうダイオード] /(n) light emitting diode/LED/
発光ダイオド [はっこうダイオド] /(n) light emitting diode/LED/
発光器 [はっこうき] /(n) bioluminescent organ; photophore/
発光細菌 [はっこうさいきん] /(n) luminescent bacteria/
発光植物 [はっこうしょくぶつ] /(n) luminous plant/
発光素子 [はっこうそし] /(n) (comp) light emitter (fiber optics)/
発光体 [はっこうたい] /(n) luminous body/
発光塗料 [はっこうとりょう] /(n) luminous paint/
発光動物 [はっこうどうぶつ] /(n) luminous animal/
発光分光法 [はっこうぶんこうほう] /(n) emission spectrography/
発効 [はっこう] /(n,vs) coming into effect/(P)/
発効日 [はっこうび] /(n) effective date/
発向 [はっこう] /(n,vs) departure for a specified destination/
発航 [はっこう] /(n,vs) departure of a ship/
発行 [はっこう] /(n,vs) (1) issue (publications)/publishing/(2) raising an event (software)/(P)/
発行と引用 [はっこうといんよう] /(n) (comp) publish and subscribe/
発行スケジュール [はっこうスケジュール] /(n) publishing schedule/
発行会社 [はっこうがいしゃ] /(n) issuing company (e.g. of a credit card)/
発行官庁 [はっこうかんちょう] /(n) issuing authority/
発行機関 [はっこうきかん] /(n) issuing authority/
発行市場 [はっこうしじょう] /(n) issue market/
発行者 [はっこうしゃ] /(n) publisher/
発行所 [はっこうしょ] /(n) publishing house/publishing office/
発行所 [はっこうじょ] /(n) publishing house/publishing office/
発行日 [はっこうび] /(n) date of issue or publication/
発行部数 [はっこうぶすう] /(n) number of copies printed/
発酵 [はっこう] /(n,vs,adj-no) fermentation/zymosis/(P)/
発酵素 [はっこうそ] /(n) a ferment/
発酵乳 [はっこうにゅう] /(n) yoghurt/
発酵病 [はっこうびょう] /(n,adj-no) zymotic disease/
発作 [ほっさ] /(n,vs,adj-no) fit/spasm/(P)/
発作性 [ほっさせい] /(n,adj-no) paroxysmal/
発作的 [ほっさてき] /(adj-na) spasmodic(ally)/fitful/
発散 [はっさん] /(n,vs,adj-no) letting feelings out/emitting/emanating/divergence (physics)/(P)/
発散級数 [はっさんきゅうすう] /(n) (math) divergent series/
発止 [はっし] /(ateji) (adv-to) (uk) (arch) with a loud clack/
発射 [はっしゃ] /(n,vs) firing/shooting/discharge/catapult/ejaculation (sl)/(P)/
発射台 [はっしゃだい] /(n) launching pad/
発射筒 [はっしゃとう] /(n) (grenade, etc.) launcher/
発射薬 [はっしゃやく] /(n) propellant/
発車 [はっしゃ] /(n,vs) departure of a vehicle/(P)/
発受電 [はつじゅでん] /(n) (abbr) generated and purchased electric power/
発受電電力量 [はつじゅでんでんりょくりょう] /(n) generated and purchased electric power/
発出 [はっしゅつ] /(n,vs) issue/sending out/
発症 [はっしょう] /(n,vs,adj-no) outbreak of an illness/time where the first symptoms of an illness appear/crisis/(P)/
発祥 [はっしょう] /(n,vs) origin/appearance of auspicious omen/(P)/
発祥地 [はっしょうち] /(n) cradle (of civilisation, civilization, etc.)/birthplace/(P)/
発場 [はつじょう] /(n) arrival/place of arrival/
発情 [はつじょう] /(n,vs) sexual excitement/capable of breeding/having the urge to breed/
発情ホルモン [はつじょうホルモン] /(n) estrogen/oestrogen/
発情期 [はつじょうき] /(n) mating season/estrus (oestrus)/estrum/the rut/
発情周期 [はつじょうしゅうき] /(n) estrous cycle/
発条 [ぜんまい] /(n) (uk) spring (e.g. coil, leaf)/mainspring/power spring/
発条 [はつじょう] /(n) (uk) spring (e.g. coil, leaf)/mainspring/power spring/
発条 [ばね] /(gikun) (n) (uk) spring (e.g. coil, leaf)/mainspring/power spring/(P)/
発条仕掛け [ぜんまいじかけ] /(n,adj-no) clockwork (motor, etc.)/spring action/
発条仕掛け [ばねじかけ] /(n,adj-no) clockwork (motor, etc.)/spring action/
発条指 [ばねゆび] /(n) trigger finger/flexor tendinitis/
発条秤 [ばねばかり] /(n) spring balance/spring scale/pull tension gauge/
発色 [はっしょく] /(n,vs) coloring/colouring/
発色現像 [はっしょくげんぞう] /(n) (color, colour) development/coupling/
発信 [はっしん] /(n,vs) dispatch/despatch/transmission/submission/(P)/
発信の否認不能 [はっしんのひにんふのう] /(n) (comp) non-repudiation of submission/
発信音 [はっしんおん] /(n) tone/beep/
発信機 [はっしんき] /(n) transmitter/homing device/
発信拠点 [はっしんきょてん] /(n) (comp) transmission point/
発信局 [はっしんきょく] /(n) sending office/
発信元 [はっしんもと] /(n) (comp) originator/
発信源 [はっしんげん] /(n) (comp) source/
発信時刻表示 [はっしんじこくひょうじ] /(n) (comp) submission time stamp indication/MS/
発信者 [はっしんしゃ] /(n) (comp) originator/
発信者識別番号 [はっしんしゃしきべつばんごう] /(n) (comp) call ID/
発信者表示 [はっしんしゃひょうじ] /(n) (comp) originator indication/
発信者要求代行受信者 [はっしんしゃようきゅうだいこうじゅしんしゃ] /(n) (comp) originator requested alternate recipient/
発信証明 [はっしんしょうめい] /(n) (comp) proof of submission/
発信人 [はっしんにん] /(n) sender of a message/
発信側 [はっしんがわ] /(n) sender/transmitter/
発信地 [はっしんち] /(n) place of dispatch/place of origin/
発信頻度 [はっしんひんど] /(n) (comp) transmission frequency/
発心 [ほっしん] /(n,vs) spiritual awakening/resolution/
発振 [はっしん] /(n,vs) oscillation/
発振器 [はっしんき] /(n) oscillator/
発振機 [はっしんき] /(n) oscillator/
発疹 [はっしん] /(n,vs) rash/eruption/
発疹 [ほっしん] /(n,vs) rash/eruption/
発疹チフス [はっしんチフス] /(n) typhus (epidemic)/
発疹チフス [ほっしんチフス] /(n) typhus (epidemic)/
発進 [はっしん] /(n,vs) departure/takeoff/
発水 [はっすい] /(n,vs) water repelling/
発生 [はっせい] /(n,vs,adj-no) (1) outbreak/spring forth/occurrence/incidence/origin/(2) ontogeny/development of complex multicellular structures from cell(s) in a simple state/(P)/
発生学 [はっせいがく] /(n) embryology/
発生源 [はっせいげん] /(n) source/origin/
発生源の否認不能 [はっせいげんのひにんふのう] /(n) (comp) non-repudiation of origin/
発生順 [はっせいじゅん] /(n,adj-no) (comp) chronological/
発生生物学 [はっせいせいぶつがく] /(n) developmental biology/
発生頻度 [はっせいひんど] /(n) (comp) frequency of occurrence/
発生率 [はっせいりつ] /(n) frequency/rate of occurrence/
発声 [はっせい] /(n,vs,adj-no) utterance/speaking/(P)/
発声学 [はっせいがく] /(n) vocology/
発声器官 [はっせいきかん] /(n) vocal organs/
発声投票 [はっせいとうひょう] /(n) voice vote/
発声法 [はっせいほう] /(n) vocalization/vocalisation/
発声練習 [はっせいれんしゅう] /(n) voice training/vocal exercises/
発赤 [はっせき] /(n,vs,adj-no) rubefaction (reddening of the skin)/
発赤 [ほっせき] /(n,vs,adj-no) rubefaction (reddening of the skin)/
発赤薬 [はっせきやく] /(n) (obsc) rubefacient (substance that causes redness of skin)/
発想 [はっそう] /(n,vs) expression (e.g. in music)/idea/conception/way of thinking/(P)/
発想標語 [はっそうひょうご] /(n) stylistic marking (in music, e.g. "dolce", "tranquillo", etc.)/
発想法 [はっそうほう] /(n) way of thinking/
発走 [はっそう] /(n,vs) start (of a race)/first race/
発送 [はっそう] /(n,vs) sending/forwarding/shipping/(P)/
発送電 [はっそうでん] /(n) electric power producer and supplier (PPS)/electric power production and supply/
発送電分離 [はっそうでんぶんり] /(n) separation of electrical power production from power distribution and transmission/
発足 [はっそく] /(n,vs) starting/inauguration/launch/founding/establishment/start-up/
発足 [ほっそく] /(n,vs) starting/inauguration/launch/founding/establishment/start-up/(P)/
発達 [はったつ] /(n,vs) development/growth/(P)/
発達を促す [はったつをうながす] /(exp,v5s) to accelerate development/
発達心理学 [はったつしんりがく] /(n) developmental psychology/
発達段階 [はったつだんかい] /(n) developmental stage/
発端 [ほったん] /(n) origin/genesis/opening/start/beginning/(P)/
発着 [はっちゃく] /(n,vs) arrival and departure/(P)/
発着所 [はっちゃくじょ] /(n) landing place for steamers/
発注 [はっちゅう] /(n,vs,adj-no) ordering (materials)/placing an order/order/(P)/
発註 [はっちゅう] /(n,vs,adj-no) ordering (materials)/placing an order/order/
発展 [はってん] /(n,vs) (1) development/growth/advancement/unfurling/(2) expansion/extension/enlargement/(3) playing around/having an active sex life/(P)/
発展学習 [はってんがくしゅう] /(n) enrichment program (i.e. for high-performing students)/supplementary curriculum/
発展型 [はってんけい] /(n) variant/successor model/
発展場 [はってんば] /(n) cruising spot/gay venue/fruit stand/
発展性 [はってんせい] /(n) possibilities/
発展中 [はってんちゅう] /(n) under development/in progress/
発展的解消 [はってんてきかいしょう] /(n) dissolution of several sections into a new organization (organisation)/
発展途上 [はってんとじょ] /(adj-no) developing (e.g. industry, town, economy)/
発展途上国 [はってんとじょうこく] /(n) developing country/(P)/
発電 [はつでん] /(n,vs,adj-no) generation (e.g. power)/(P)/
発電会社 [はつでんかいしゃ] /(n) power generation company/
発電機 [はつでんき] /(n) dynamo/power generator/(P)/
発電効率 [はつでんこうりつ] /(n) power generation efficiency/generating efficiency/
発電子 [はつでんし] /(n) armature/
発電施設 [はつでんしせつ] /(n) power generation facility/
発電所 [はつでんしょ] /(n) power plant/power station/(P)/
発頭 [はつがしら] /(n) kanji radical 105/
発頭 [ほっとう] /(n,vs) (1) origin/promotion/(2) originator/promoter/
発頭人 [ほっとうにん] /(n) originator/promoter/
発動 [はつどう] /(n,vs) invoke (law)/put into operation/(P)/
発動機 [はつどうき] /(n) engine/
発熱 [はつねつ] /(n,vs,adj-no) (1) generation of heat/(2) (attack of) fever/(P)/
発熱量 [はつねつりょう] /(n) calorific value/
発破 [はっぱ] /(n) explosive blast (in construction, mining, etc.)/blasting/
発破をかける [はっぱをかける] /(exp,v1) (1) to set off an explosive/(2) to start a fire under someone/to motivate someone with rough words/
発破を掛ける [はっぱをかける] /(exp,v1) (1) to set off an explosive/(2) to start a fire under someone/to motivate someone with rough words/
発馬 [はつば] /(n,vs) start (of a horse race)/
発馬機 [はつばき] /(n) starting gate (horse racing)/starting stalls/
発売 [はつばい] /(n,vs) sale/offering for sale/release (for sale)/launch (product)/(P)/
発売禁止 [はつばいきんし] /(n) prohibition of sale/
発売元 [はつばいもと] /(n) sales agency/selling agency/
発売所 [はつばいしょ] /(n) sales office/
発売中 [はつばいちゅう] /(n) now on sale/
発売日 [はつばいび] /(n) day something goes on sale/date of issue/
発表 [はっぴょう] /(n,vs) announcement/publication/(P)/
発表会 [はっぴょうかい] /(n) (1) recital (i.e. of music, by a pupil)/(2) presentation (e.g. product launch)/
発表者 [はっぴょうしゃ] /(n) announcer/
発病 [はつびょう] /(n,vs) attack (disease)/(P)/
発布 [はっぷ] /(n,vs) proclamation/promulgation/
発憤 [はっぷん] /(n,vs) inspired/stimulated/roused/
発奮 [はっぷん] /(n,vs) inspired/stimulated/roused/
発菩提心 [はつぼだいしん] /(n) deciding to embrace Buddhism/deciding to seek enlightenment/seeking to have religious awakening/
発泡 [はっぽう] /(n,vs,adj-no) foaming/(P)/
発泡スチロール [はっぽうスチロール] /(n) styrofoam/styrene foam/expanded polystyrene/(P)/
発泡ポリウレタン [はっぽうポリウレタン] /(n) foamed polyurethane/polyurethane foam/
発泡ワイン [はっぽうワイン] /(n) sparkling wine/spumante/mousseux/
発泡剤 [はっぽうざい] /(n) foaming agent/
発泡酒 [はっぽうしゅ] /(n) (1) sparkling wine/(2) low-malt beer/
発泡性 [はっぽうせい] /(n,adj-no) effervescence/fizziness/foamability/
発砲 [はっぽう] /(n,vs) firing/discharge of gun/(P)/
発砲スチロール [はっぽうスチロール] /(iK) (n) styrofoam/styrene foam/expanded polystyrene/
発砲事件 [はっぽうじけん] /(n) shooting incident/
発明 [はつめい] /(n,vs) (1) invention/(adj-na) (2) intelligent/clever/(n,vs) (3) (arch) being enlightened/having the meaning of everything become clear/(P)/
発明家 [はつめいか] /(n) inventor/
発明者 [はつめいしゃ] /(n) inventor/
発明品 [はつめいひん] /(n) invention/
発毛 [はつもう] /(n,adj-no) new hair growth/
発問 [はつもん] /(n,vs) asking or putting a question/questioning/
発揚 [はつよう] /(n,vs) exalting/raising/enhancing/rousing up/
発令 [はつれい] /(n,vs) official announcement/proclamation/(P)/
発露 [はつろ] /(n,vs) appearance/expression/manifestation/
発話 [はつわ] /(n,adj-no) utterance/
発話障害 [はつわしょうがい] /(n) speech impediment/lalopathy/
発剌 [はつらつ] /(iK) (adj-t,adv-to) (uk) lively/vigorous/sprightly/vivid/
発勁 [はっけい] /(n) (MA) release internal power/
醗酵 [はっこう] /(n,vs,adj-no) fermentation/zymosis/
髪 [かみ] /(n) hair (on the head)/(P)/
髪が薄い [かみがうすい] /(exp) having thin hair/
髪の薄い [かみのうすい] /(adj-i) thin haired/
髪の毛 [かみのけ] /(exp,n) hair (head)/(P)/
髪をあげる [かみをあげる] /(exp,v1) to put up one's hair/
髪をすく [かみをすく] /(exp,v5k) to comb/
髪をとかす [かみをとかす] /(exp,v5s) to comb (one's hair)/
髪をとく [かみをとく] /(exp,v5k) to comb/
髪を解く [かみをほどく] /(exp,v5k) to let down one's hair/to undo hair/
髪を上げる [かみをあげる] /(exp,v1) to put up one's hair/
髪を垂らす [かみをたらす] /(exp,v5s) to let one's hair hang down/
髪を整える [かみをととのえる] /(exp,v1) to arrange one's hair/to tidy up one's hair/
髪を切る [かみをきる] /(exp,v5r) to cut hair/to give a haircut/
髪を梳かす [かみをとかす] /(exp,v5s) to comb (one's hair)/
髪を梳く [かみをすく] /(exp,v5k) to comb/
髪を梳く [かみをとく] /(exp,v5k) to comb/
髪冠 [かみかんむり] /(n) kanji "hair" radical at top/
髪型 [かみがた] /(n) hairdo/
髪形 [かみがた] /(n) hair style/coiffure/hairdo/(P)/
髪結 [かみい] /(n) hairdresser/hairdressing/
髪結 [かみゆい] /(n) hairdresser/hairdressing/
髪結い [かみゆい] /(n) hairdresser/hairdressing/
髪結い床 [かみゆいどこ] /(n) Edo-era barbershop/
髪綱 [かみづな] /(n) rope made of hair/
髪床 [かみどこ] /(n) barber/barbershop/
髪飾り [かみかざり] /(n) hair ornaments/
髪振 [かみふり] /(n) (arch) shoulder-length hairstyle for children/
髪切り虫 [かみきりむし] /(n) long-horned beetle/
髪切虫 [かみきりむし] /(n) long-horned beetle/
髪洗い粉 [かみあらいこ] /(n) powder for cleaning the hair/powder shampoo/
髪挿 [かんざし] /(n) ornate hairpin/
髪挿屋 [かんざしや] /(n) ornate hairpin store/
髪置 [かみおき] /(io) (n) ceremony of allowing the hair to grow at age three/
髪置き [かみおき] /(n) ceremony of allowing the hair to grow at age three/
髪頭 [かみかしら] /(n) (1) hair on one's head/(2) head/top of one's head/
髪頭 [かみがしら] /(n) (1) hair on one's head/(2) head/top of one's head/(3) kanji "hair" radical at top/
髪文字 [かもじ] /(n) (1) hairpiece/false hair/switch/(2) (arch) (fem) hair/
髪油 [かみあぶら] /(n) hair oil/hair cream/
伐つ [うつ] /(v5t) to strike/to attack/to punish/
伐る [きる] /(v5r,vt) to cut down (e.g. trees)/
伐採 [ばっさい] /(n,vs) lumbering/felling/deforestation/(P)/
伐倒 [ばっとう] /(n,vs) felling/
伐木 [ばつぼく] /(n) felling/logging/
罰 [ばち] /(n) (divine) punishment/curse/retribution/(P)/
罰 [ばつ] /(n,n-suf) punishment/penalty/(P)/
罰が当たる [ばちがあたる] /(exp,v5r) (1) (uk) to incur divine punishment/to pay for one's sins/(int) (2) You'll pay for that!/What goes around, comes around/
罰する [ばっする] /(vs-s) to punish/to penalize/to penalise/(P)/
罰せられる [ばっせられる] /(v1) to be subject to punishment/be punished/
罰を受ける [ばつをうける] /(exp,v1) to receive punishment/to be punished/to pay a penalty/
罰を与える [ばつをあたえる] /(exp,v1) to punish (e.g. a child, etc.)/
罰ゲーム [ばつゲーム] /(n) game played as a form of punishment by the loser of a contest/
罰金 [ばっきん] /(n) fine/penalty/(P)/
罰則 [ばっそく] /(n) penal regulations/(P)/
罰点 [ばってん] /(n) (uk) cross mark/demerit mark/an X/(P)/
罰当たり [ばちあたり] /(adj-na,n,adj-no) damned/cursed/accursed/
罰当り [ばちあたり] /(adj-na,n,adj-no) damned/cursed/accursed/
罰杯 [ばっぱい] /(n) alcohol which must be drunk as a penalty/
罰俸 [ばっぽう] /(n,vs) punitive wage cut/
抜かす [ぬかす] /(v5s,vt) (1) to omit/to leave out/(2) (vulg) to say/to speak/(P)/
抜からぬ顔 [ぬからぬかお] /(n) shrewd face/knowing look/
抜かり [ぬかり] /(n) blunder/miss/slip/oversight/
抜かる [ぬかる] /(v5r,vi) to make a mistake/(P)/
抜き [ぬき] /(adv,suf) (1) without/not including/dispensed with/(2) (beating) in succession/(P)/
抜きつ抜かれつ [ぬきつぬかれつ] /(n) back-and-forth/neck-and-neck/
抜きにして [ぬきにして] /(exp) leaving out/cutting out/dispensing with/
抜きん出る [ぬきんでる] /(v1) to excel/to be outstanding/
抜き荷 [ぬきに] /(n) pilfered goods/
抜き去る [ぬきさる] /(v5r) to (sur)pass/to overtake/
抜き合わせる [ぬきあわせる] /(v1) to draw swords and face off/
抜き差し [ぬきさし] /(n) addition and deletion/taking out and putting in/plugging and unplugging/
抜き差しならぬ [ぬきさしならぬ] /(exp,adj-f) sticky (situation)/finding oneself trapped/
抜き刷り [ぬきずり] /(n) offprint/
抜き糸 [ぬきいと] /(n) drawn thread/
抜き取り検査 [ぬきとりけんさ] /(n) sequential sampling inspection (with reposition)/
抜き取る [ぬきとる] /(v5r,vt) to pull out/to draw out/to disconnect/
抜き手 [ぬきて] /(n) overarm stroke (type of traditional Japanese swimming style)/
抜き手 [ぬきで] /(n) overarm stroke (type of traditional Japanese swimming style)/
抜き出す [ぬきだす] /(v5s,vt) to start to pull out/
抜き書き [ぬきがき] /(n,vs) extract/excerpt/
抜き身 [ぬきみ] /(n) naked (drawn) sword/
抜き足 [ぬきあし] /(n) stealthy footsteps/
抜き足で [ぬきあしで] /(exp) stealthily/
抜き足差し足 [ぬきあしさしあし] /(exp) stealthy footsteps/walking on tiptoe/
抜き足差し足忍び足 [ぬきあしさしあししのびあし] /(exp) stealthy footsteps/walking on tiptoe/
抜き打ち [ぬきうち] /(n) (1) drawing a katana and attacking in the same stroke/(2) doing something suddenly, without warning/
抜き打ち解散 [ぬきうちかいさん] /(n) sudden dissolution of a legislature/
抜き打ち検査 [ぬきうちけんさ] /(n) spot check/snap inspection/surprise test/
抜き読み [ぬきよみ] /(n) skimming a text/
抜き付け [ぬきつけ] /(n) (MA) maneuver to draw a sword from its scabbard and cut immediately/
抜き放す [ぬきはなす] /(v5s,vt) to unsheathe one's sword/
抜き放つ [ぬきはなつ] /(v5t,vt) to unsheathe/
抜く [ぬく] /(v5k,vt) (1) to extract/to omit/to surpass/to overtake/to draw out/to unplug/(suf) (2) to do something to the end/(n) (3) (sl) (vulg) to ejaculate (gen. with ref. to masturbation)/(P)/
抜ける [ぬける] /(v1,vi) (1) to come out/to fall out/to be omitted/to be missing/to escape/(2) (comp) to exit (a program loop)/(P)/
抜け殻 [ぬけがら] /(n) cast-off skin/husk/empty shell/exuvia/exuviae/
抜け駆け [ぬけがけ] /(n,vs) stealing a march on/
抜け穴 [ぬけあな] /(n) loophole/
抜け作 [ぬけさく] /(n) fool/blockhead/
抜け参り [ぬけまいり] /(n,vs) secret or unauthorized pilgrimage (unauthorised)/
抜け出す [ぬけだす] /(v5s,vi) (1) to slip out/to sneak away/to excel/(2) (comp) to break (out of a loop)/(P)/
抜け出る [ぬけでる] /(v1,vi) to excel/to steal out/
抜け上がる [ぬけあがる] /(v5r,vi) to be balding in the front/to have a receding hairline/
抜け替わる [ぬけかわる] /(v5r) to shed/to moult/to fall out/
抜け道 [ぬけみち] /(n) loophole/
抜け忍 [ぬけにん] /(n) runaway ninja/fugitive ninja/
抜け抜け [ぬけぬけ] /(adv,adv-to) (uk) freely/impudently/brazenly/shamelessly/however one wishes/
抜け毛 [ぬけげ] /(n) fallen hair/combings/hair left on comb/
抜け目 [ぬけめ] /(n) imprudence/an oversight/
抜け目がない [ぬけめがない] /(exp,adj-i) shrewd/astute/cunning/alert/
抜け目ない [ぬけめない] /(adj-i) shrewd/astute/cunning/alert/
抜け目のない [ぬけめのない] /(exp,adj-i) shrewd/astute/cunning/alert/
抜け目無い [ぬけめない] /(adj-i) shrewd/astute/cunning/alert/
抜け落ちる [ぬけおちる] /(v1,vi) (1) to come out (e.g. hair)/to fall out/to collapse (e.g. building, floor)/(2) to be left out/to be omitted/
抜け裏 [ぬけうら] /(n) byway/bypass/
抜去 [ばっきょう] /(n) removed/
抜苦与楽 [ばっくよらく] /(n) (Buddh) a Buddha or Bodhisattva taking away suffering and conferring peace/
抜駆け [ぬけがけ] /(n,vs) stealing a march on/
抜群 [ばつぐん] /(n) (1) preeminence/distinction/extraordinariness/(adj-no,adj-na) (2) outstanding/excellent/exceptional/surpassing/extraordinary/distinguished/(P)/
抜穴 [ぬけあな] /(n) loophole/
抜剣 [ばっけん] /(n,vs) drawing one's sword/
抜山蓋世 [ばつざんがいせい] /(n) great strength and energy (of a mighty hero)/Herculean strength and vitality/
抜糸 [ばっし] /(n,vs) removal (extraction) of stitches/removal of sutures/
抜歯 [ばっし] /(n,vs) tooth extraction/
抜手 [ぬきて] /(n) overarm stroke (type of traditional Japanese swimming style)/
抜手 [ぬきで] /(n) overarm stroke (type of traditional Japanese swimming style)/
抜書 [ぬきがき] /(n,vs) extract/excerpt/
抜書き [ぬきがき] /(n,vs) extract/excerpt/
抜粋 [ばっすい] /(n,vs,adj-no) extract/excerpt/selection/(P)/
抜染 [ぬきぞめ] /(n) discharge printing/discharge style/
抜染 [ばっせん] /(n) discharge printing/discharge style/
抜足 [ぬきあし] /(n) stealthy footsteps/
抜足差足 [ぬきあしさしあし] /(exp) stealthy footsteps/walking on tiptoe/
抜擢 [ばってき] /(n,vs) selection (e.g. for a job position)/
抜刀 [ばっとう] /(n,vs) drawing a sword/drawn sword/
抜刀術 [ばっとうじゅつ] /(n) art of sword drawing/
抜道 [ぬけみち] /(n) loophole/
抜忍 [ぬけにん] /(n) runaway ninja/fugitive ninja/
抜錨 [ばつびょう] /(n,vs) setting sail/
抜本 [ぬきほん] /(n) excerpt/selection/
抜本 [ばっぽん] /(n) (1) eradication/(adj-f) (2) drastic/
抜本塞源 [ばっぽんそくげん] /(n) eradication of (sources of) evil/laying the ax to the root of evil/
抜本的 [ばっぽんてき] /(adj-na) drastic/radical/(P)/
抜枠 [ばっすい] /(iK) (n,vs,adj-no) extract/excerpt/selection/
抜萃 [ばっすい] /(n,vs,adj-no) extract/excerpt/selection/
筏 [いかだ] /(n) (1) (uk) raft/(2) forearm protector/(3) skewered baby-eel kabayaki/
閥 [ばつ] /(n,n-suf) clique/clan/faction/(P)/
閥族 [ばつぞく] /(n) clan/clique/
鳩 [はと] /(n) pigeon/dove/(P)/
鳩が豆鉄砲を食ったよう [はとがまめでっぽうをくったよう] /(exp) like a pigeon who's been shot by a peashooter (i.e. wide-eyed in shock)/
鳩を飛ばす [はとをとばす] /(exp,v5s) to fly a pigeon/
鳩羽色 [はとばいろ] /(n) blue-black (color, colour)/
鳩胸 [はとむね] /(n) pigeon breast/pigeon chest/
鳩合 [きゅうごう] /(n,vs) rally/muster/
鳩座 [はとざ] /(n) (constellation) Columba/
鳩時計 [はとどけい] /(n) cuckoo clock/
鳩舎 [きゅうしゃ] /(n) pigeon house/
鳩首 [きゅうしゅ] /(n,vs) going into a huddle/
鳩首協議 [きゅうしゅきょうぎ] /(n,vs) put heads together and confer/convene and discuss/go into a huddle (over)/
鳩首凝議 [きゅうしゅぎょうぎ] /(n,vs) put heads together and confer/convene and discuss/go into a huddle (over)/
鳩首謀議 [きゅうしゅぼうぎ] /(n,vs) go into a huddle (over)/hold a secret conference (about)/put heads together and conspire/
鳩首密議 [きゅうしゅみつぎ] /(n,vs) going into a huddle (over)/holding secret (closed-door) conference (about)/laying heads together in secret consultation/
鳩小屋 [はとごや] /(n) pigeon house/dovecote/
鳩信 [きゅうしん] /(n) communication by carrier pigeon/
鳩派 [はとは] /(n) doves/soft-liner/
鳩麦 [はとむぎ] /(n) (uk) adlay (Coix lacryma-jobi var. ma-yuen)/Job's tears/coixseed/tear grass/adlai/
鳩尾 [みずおち] /(n) (1) (uk) pit of the stomach/solar plexus/
鳩尾 [みぞおち] /(n) (1) (uk) pit of the stomach/solar plexus/
鳩目 [はとめ] /(n) eyelet/
鳩目 [はともく] /(n) Columbiformes (family of birds comprising pigeons and doves)/
噺 [はなし] /(n) (1) talk/speech/chat/story/conversation/(2) discussions/negotiation/argument/
噺家 [はなしか] /(n) professional comic (rakugo) storyteller/
蛤 [かえる] /(iK) (n) (1) (uk) frog/
蛤 [はまぐり] /(n) (uk) common orient clam (Meretrix lusoria)/
蛤御門の変 [はまぐりごもんのへん] /(n) Hamaguri Gomon incident (1864 clash between pro and anti-shogunate forces)/
蛤仔 [あさり] /(n) Manila clam (Ruditapes philippinarum)/
隼 [はやぶさ] /(n) (uk) falcon (esp. the peregrine falcon, Falco peregrinus)/(P)/
隼科 [はやぶさか] /(n,adj-no) Falconidae family (birds of prey)/
伴 [とも] /(n,vs) companion/follower/attendant/retinue/(P)/
伴い [ともない] /(n,adj-f) companion/accompaniment/
伴う [ともなう] /(v5u,vi) to accompany/to bring with/to be accompanied by/to be involved in/to be consequent upon/(P)/
伴なう [ともなう] /(io) (v5u,vi) to accompany/to bring with/to be accompanied by/to be involved in/to be consequent upon/
伴食 [ばんしょく] /(n,vs) (1) eating with a guest/(2) nominal official (a slighting term)/
伴食宰相 [ばんしょくさいしょう] /(n) an incompetent cabinet minister/a figurehead minister/
伴食大臣 [ばんしょくだいじん] /(n) nominal (figurehead) minister/titular minister/
伴性遺伝 [はんせいいでん] /(n) sex-linked inheritance/
伴星 [ばんせい] /(n) companion star/
伴僧 [ばんそう] /(n) priests assisting at a Buddhist service/
伴奏 [ばんそう] /(n,vs) (musical) accompaniment/(P)/
伴奏者 [ばんそうしゃ] /(n) accompanist/
伴奏部 [ばんそうぶ] /(n) accompaniment/
伴走 [ばんそう] /(n,vs) accompanying another somewhere/
伴天連 [ばてれん] /(ateji) (n) (1) Portuguese Jesuits (in Japan in the 16th century) (por: padre)/(2) Christianity/
伴侶 [はんりょ] /(n) partner/companion/(P)/
伴連れ [ともづれ] /(n) following someone through a locked door, thus obtaining unauthorized access/
判 [はん] /(n) (1) seal/stamp/monogram signature/(2) judgment/judgement/(n,n-suf) (3) size (of paper or books)/(P)/
判 [ばん] /(n,n-suf) (1) size (of paper or books)/
判じる [はんじる] /(v1,vt) (1) to judge/to decide/(2) to solve/to decipher/to puzzle out/to interpret/(3) to divine/to guess/to make out/
判じ絵 [はんじえ] /(n) picture puzzle/
判じ物 [はんじもの] /(n) puzzle/riddle/
判ずる [はんずる] /(v1,vt) (1) to judge/to decide/(2) to solve/to decipher/to puzzle out/to interpret/(3) to divine/to guess/to make out/
判で押したみたいに [はんでおしたみたいに] /(exp) invariably/like clockwork/with perfect regularity/
判で押したような [はんでおしたような] /(exp) stereotyped/invariable/like clockwork/
判で押したように [はんでおしたように] /(exp) invariably/like clockwork/with perfect regularity/
判り [わかり] /(n) understanding/comprehension/
判り難い [わかりにくい] /(adj-i) hard to understand/incomprehensible/unintelligible/
判る [わかる] /(v5r,vi) (1) to be understood/to be comprehended/to be grasped/(2) to become clear/to be known/to be discovered/to be realized/to be realised/to be found out/(P)/
判を押す [はんをおす] /(exp,v5s) to affix a seal/
判んない [わかんない] /(exp,adj-i) (col) not understanding/not knowing/
判官 [じょう] /(n) (arch) inspector (third highest of the four administrative ranks of the ritsuryo period)/
判官 [ぞう] /(n) (arch) inspector (third highest of the four administrative ranks of the ritsuryo period)/
判官 [はんがん] /(n) (1) judge/magistrate/(2) (arch) 4th (or 3rd) grade official/assistant district officer/
判官 [ほうがん] /(n) (1) judge/magistrate/(2) (arch) 4th (or 3rd) grade official/assistant district officer/
判官贔屓 [はんがんびいき] /(n) sympathy for a tragic hero/rooting for the underdog/
判官贔屓 [ほうがんびいき] /(n) sympathy for a tragic hero/rooting for the underdog/
判型 [はんがた] /(n) format/
判決 [はんけつ] /(n,vs,adj-no) judicial decision/judgement/judgment/sentence/decree/(P)/
判決が下る [はんけつがくだる] /(exp,v5r) to be judged/to be sentenced/
判決に従う [はんけつにしたがう] /(exp,v5u) to abide by the verdict/
判決を覆す [はんけつをくつがえす] /(exp,v5s) to overrule a decision/
判決文 [はんけつぶん] /(n) judgment paper/judgement paper/
判決離婚 [はんけつりこん] /(n) divorce by decree/
判検事 [はんけんじ] /(n) judges and prosecutors/
判士 [はんし] /(n) judge advocate/
判子 [はんこ] /(n) seal (used for signature)/(P)/
判事 [はんじ] /(n) judge/judiciary/(P)/
判事補 [はんじほ] /(n) assistant judge/judge-in-training/
判示 [はんじ] /(n) (1) opinion (in legal context)/indication/(vs) (2) to hold that (in legal context)/to judge that/
判者 [はんじゃ] /(n) judge (of literary contests)/
判取り [はんとり] /(n) traveling around getting seal stamps (travelling)/
判取り帳 [はんとりちょう] /(n) chit book/delivery book/
判然 [はんぜん] /(adj-t,adv-to) clear/distinct/evident/definite/
判断 [はんだん] /(n,vs) judgement/judgment/decision/adjudication/conclusion/decipherment/divination/(P)/
判断ミス [はんだんミス] /(n,vs) error of judgment/miscalculation/
判断基準 [はんだんきじゅん] /(n) evaluation criteria/evaluation standard/
判断規準 [はんだんきじゅん] /(n) evaluation criteria/evaluation standard/
判断記号 [はんだんきごう] /(n) (comp) decision symbol/
判断中止 [はんだんちゅうし] /(n) suspension of judgement (judgment)/
判断命令 [はんだんめいれい] /(n) (comp) decision instruction/
判断力 [はんだんりょく] /(n) judgment/judgement/discernment/
判定 [はんてい] /(n,vs) judgement/judgment/decision/award/verdict/determination/(P)/
判定基準 [はんていきじゅん] /(n) (comp) criterion/
判定勝ち [はんていがち] /(n) winning a decision/
判定負け [はんていまけ] /(n) losing a decision (on points)/
判読 [はんどく] /(n,vs) decipherment/interpretation/making out/
判読し難い [はんどくしがたい] /(n) illegible/
判任官 [はんにんかん] /(n) junior official/
判別 [はんべつ] /(n,vs) distinction/discrimination/
判別式 [はんべつしき] /(n) test condition (programming, programing)/conditional expression/test expression/
判明 [はんめい] /(n,vs) establishing/proving/identifying/confirming/(P)/
判例 [はんれい] /(n) (judicial) precedent/(P)/
半 [はん] /(n,n-pref) (1) half/semi-/(n,n-suf) (2) half-past/(n) (3) odd number/(4) (arch) unit of land area (595.8 m^2)/(P)/
半々 [はんはん] /(n,adj-no) half and half/fifty-fifty/(P)/
半２重 [はんにじゅう] /(adj-na,n) half duplex/HDX/
半２重通信 [はんにじゅうつうしん] /(n) (comp) half-duplex transmission/half-duplex communications/
半２重伝送 [はんにじゅうでんそう] /(n) (comp) half-duplex transmission/
半か月 [はんかげつ] /(n) half a month/
半か年 [はんかねん] /(n) half a year/
半どん [はんどん] /(n) half holiday (the "don" is from dontaku)/
半ば [なかば] /(n-adv,n) middle/half/semi/halfway/partly/(P)/
半ばまぐれで [なかばまぐれで] /(exp) half due to luck/
半ば過ぎ [なかばすぎ] /(n) beyond the middle/
半ば紛れで [なかばまぐれで] /(exp) half due to luck/
半ば眠っている [なかばねむっている] /(exp,v1) to be half asleep/
半ギレ [はんギレ] /(n) (sl) looking furious/looking like one's about to blow their top/
半ケツ [はんケツ] /(n) jeans worn low, exposing part of buttocks/
半ズボン [はんズボン] /(n) short pants/shorts/breeches/knickerbockers/
半ダース [はんダース] /(n,adj-no) half-dozen/half-a-dozen/
半ドア [はんドア] /(n) half-opened door (car door, etc.)/
半ドン [はんドン] /(n) half holiday (the "don" is from dontaku)/
半パン [はんパン] /(n) shorts/short pants/
半意識 [はんいしき] /(n,adj-no) (1) semiconsciousness/half-consciousness/(2) unconsciousness/(3) subconsciousness/
半陰影 [はんいんえい] /(n) penumbra/
半陰陽 [はんいんよう] /(n,adj-no) hermaphrodite/intersexual/androgynous/bisexual (characteristics)/
半影 [はんえい] /(n,adj-no) penumbra/
半永久 [はんえいきゅう] /(n) semipermanence/
半永久的 [はんえいきゅうてき] /(adj-na) semipermanent/
半円 [はんえん] /(n,adj-no) semi circle/
半円形 [はんえんけい] /(adj-no) semicircular/
半塩水 [はんえんすい] /(n) brackish water/
半音 [はんおん] /(n,adj-no) half tone (music)/
半音階 [はんおんかい] /(n,adj-no) chromatic (scale) (music)/
半価 [はんか] /(n,adj-no) half price/
半加工品 [はんかこうひん] /(n) semiprocessed goods/
半加算器 [はんかさんき] /(n) (comp) half-adder/
半加算機 [はんかさんき] /(n) (comp) half adder/
半可 [はんか] /(adj-na,n) insufficiency/half ripe/
半可通 [はんかつう] /(adj-na,n) superficial knowledge/smatterer/
半夏生 [はんげしょう] /(n) 11th day after the summer solstice/last seed-sowing day/
半過去 [はんかこ] /(n) imperfect tense/
半解 [はんかい] /(n) only half understood/
半壊 [はんかい] /(n,vs) partial destruction/
半開 [はんかい] /(n,vs,adj-no) semicivilized/semicivilised/
半開き [はんびらき] /(n) partly open/in half bloom/
半開国 [はんかいこく] /(n) underdeveloped country/half-civilized country/half-civilised country/
半格 [はんかく] /(n) en quad/
半角 [はんかく] /(n) half-width characters (e.g. romaji)/single-byte characters/en quad/
半角カタカナ [はんかくカタカナ] /(n) half-width katakana/
半角カナ [はんかくカナ] /(n) half-width kana/
半角ローマ字 [はんかくローマじ] /(n) half-width Roman character/
半角数字 [はんかくすうじ] /(n) half-width digit/
半角文字 [はんかくもじ] /(n) (comp) half-width character/
半革装丁 [はんかわそうてい] /(n) half-leather binding/
半額 [はんがく] /(n-adv,n) half/half amount/half fare/(P)/
半割 [はんざき] /(n) (uk) Japanese giant salamander (Andrias japonicus)/
半乾き [はんかわき] /(n) half dry/
半官的 [はんかんてき] /(adj-na) semiofficial/
半官半民 [はんかんはんみん] /(n,adj-no) semi-governmental/semi-official/(P)/
半官報 [はんかんぽう] /(n) semiofficial paper/
半眼 [はんがん] /(n) with eyes half-closed/
半眼で [はんがんで] /(exp) with a half-opened eye/
半旗 [はんき] /(n) flag at half-mast/
半期 [はんき] /(n-adv,n-t) half-term/half-time/half period/(P)/
半季 [はんき] /(n-adv,n-t) (1) half-year (sometimes esp. as an Edo-period duration of employment)/(2) half of a season/
半貴石 [はんきせき] /(n) semiprecious stones/
半休 [はんきゅう] /(n) half holiday/
半弓 [はんきゅう] /(n) small bow/
半球 [はんきゅう] /(n) hemisphere/
半魚人 [はんぎょじん] /(n) (obsc) merman/half man-half fish/
半狂乱 [はんきょうらん] /(n) half-crazed/
半玉 [はんぎょく] /(n) child geisha/apprentice entertainer/
半巾 [はんはば] /(n) half-width cloth (approx. 18 cm)/
半衿 [はんえり] /(n) neckpiece (on a kimono)/
半襟 [はんえり] /(n) quality collar for an under kimono/
半金 [はんきん] /(n) half the amount/
半句 [はんく] /(n) brief word/
半靴 [はんか] /(n) low shoes/shoes/
半靴 [はんぐつ] /(n) low shoes/shoes/
半径 [はんけい] /(n) radius/(P)/
半月 [はんげつ] /(n-adv,n-t) (1) half-moon/(2) half month/(3) semicircle/
半月 [はんつき] /(n-adv,n-t) (1) half-moon/(2) half month/(3) semicircle/(P)/
半月刊 [はんげっかん] /(n) a semimonthly/
半月形 [はんげつがた] /(adj-no) semicircular/crescent-shaped/half-moon/
半月形 [はんげつけい] /(adj-no) semicircular/crescent-shaped/half-moon/
半月板 [はんげつばん] /(n) meniscus (anatomy)/
半月弁 [はんげつべん] /(n) semilunar valve/
半券 [はんけん] /(n) stub (of a ticket)/
半減 [はんげん] /(n,vs) reduction by half/halve/(P)/
半減期 [はんげんき] /(n) half life (in physical chemistry)/
半減算器 [はんげんさんき] /(n) (comp) half subtracter/
半舷砲 [はんげんほう] /(n) broadside fire/
半固体 [はんこたい] /(n,adj-no) semisolid/
半股引き [はんももひき] /(n) knee underwear/
半語 [はんご] /(n) (comp) half-word/
半口 [はんくち] /(n) half share/
半国 [はんごく] /(n) half a kuni (province)/
半裁 [はんさい] /(n,vs) cutting in half or two/
半作 [はんさく] /(n) half crop/
半索動物 [はんさくどうぶつ] /(n) hemichordate (any worm of phylum Hemichordata)/
半殺し [はんごろし] /(n) half killed/
半死 [はんし] /(n) half-dead/
半死半生 [はんしはんしょう] /(n) all but dead/half killed/
半紙 [はんし] /(n) Japanese writing paper used for calligraphy/
半時 [はんじ] /(n-t) (1) (arch) an hour/(2) (obsc) half-hour/half an hour/
半時 [はんとき] /(n-t) (1) little while/short time/(2) (arch) an hour/
半時間 [はんじかん] /(n) half an hour (period of)/half hour/
半自動 [はんじどう] /(n,adj-f) semi-automatic/
半自動小銃 [はんじどうしょうじゅう] /(n) semiautomatic (gun)/
半自明解 [はんじめいかい] /(n) (math) semi-trivial solution/
半煮え [はんにえ] /(adj-na,n) half-boiled/half-done/
半周 [はんしゅう] /(n) (1) semicircle/hemicycle/half globe/(vs) (2) to go halfway round (e.g. the earth)/(P)/
半熟 [はんじゅく] /(n,adj-no) half-cooked/half-done/soft-boiled/(P)/
半熟卵 [はんじゅくたまご] /(n) soft boiled egg/
半熟練工 [はんじゅくれんこう] /(n) semiskilled worker/
半順序集合 [はんじゅんじょしゅうごう] /(n) (math) partially ordered set/poset/semi-ordered set/
半宵 [はんしょう] /(n) midnight/
半焼 [はんしょう] /(n,vs) half-burnt/
半焼け [はんやけ] /(adj-na,n) half-burnt/half-done/half-baked/rare/
半鐘 [はんしょう] /(n) fire alarm/fire bell/
半鐘泥棒 [はんしょうどろぼう] /(n) very tall person/
半畳 [はんじょう] /(n) half mat/hissing/heckling/
半信半疑 [はんしんはんぎ] /(n,adj-no) half in doubt/half-convinced/dubious/incredulous/
半神 [はんしん] /(n) demigod/
半身 [はんしん] /(n,adj-no) half the body/half length/(P)/
半身 [はんみ] /(n) defensive position with one leg bent in front and other extended behind (sumo)/
半身像 [はんしんぞう] /(n) half-length statue or portrait/bust/
半身不随 [はんしんふずい] /(n,adj-no) hemiplegia (paralysis on one side of the body)/
半身浴 [はんしんよく] /(n) half body bathing/hip bath/
半人工 [はんじんこう] /(adj-f) semi-manual (e.g. manufacture)/
半人前 [はんにんまえ] /(n) (1) half share/(2) half a man/
半睡 [はんすい] /(n,vs,adj-no) half asleep/
半睡半醒 [はんすいはんせい] /(n) half asleep and half awake/
半数 [はんすう] /(n,adj-no) (1) half the number/(2) haploid/(P)/
半数性 [はんすうせい] /(n,adj-no) haploidy/
半数体 [はんすうたい] /(n) haploid (organism, cell, etc.)/
半世紀 [はんせいき] /(n) half century/
半成 [はんせい] /(n-pref,adj-no,n) semi-/half-/
半整数 [はんせいすう] /(n) half-integer/
半生 [はんしょう] /(n) half death/
半生 [はんせい] /(n) half a lifetime/(P)/
半製品 [はんせいひん] /(n) semiprocessed goods/
半醒半睡 [はんせいはんすい] /(n) half awake and half asleep/
半切 [はんぎり] /(n) (obsc) flat-bottomed wooden bowl for preparing sushi rice/
半切 [はんせつ] /(n,vs) half size/
半切れ [はんきれ] /(n) half a piece/
半切れ [はんぎれ] /(n) (sl) looking furious/looking like one's about to blow their top/
半切符 [はんきっぷ] /(n) half-price ticket/
半折 [はんせつ] /(n) half size/half a piece/half length/
半挿 [はんぞう] /(n) (1) tea pot like object made typically of lacquer ware and used to pour hot and cold liquids/(2) basin of water with two handles on either side used for washing one's face or hands/
半袖 [はんそで] /(n,adj-no) short sleeves/(P)/
半濁音 [はんだくおん] /(n) semivoiced sound/p-sound/
半濁音符 [はんだくおんふ] /(n) maru mark/semivoiced sound/p-sound/
半濁点 [はんだくてん] /(n) maru mark/semivoiced sound/p-sound/
半単純 [はんたんじゅん] /(adj-no) (math) semisimple/
半端 [はんぱ] /(adj-na,n) remnant/fragment/incomplete set/fraction/odd sum/incompleteness/(P)/
半端仕事 [はんぱしごと] /(n) odd job/
半端者 [はんぱもの] /(n) blockhead/
半端物 [はんぱもの] /(n) odds and ends/
半値 [はんね] /(n,adj-no) half price/(P)/
半値電力幅 [はんちでんりょくはば] /(n) (comp) half power beamwidth (also 3dB beamwidth)/
半知半解 [はんちはんかい] /(n) superficial knowledge/half knowledge/
半張り [はんばり] /(n) half sole/
半長 [はんなが] /(n,adj-no) fairly high shoes/
半長靴 [はんながぐつ] /(n) fairly high shoes/boots/
半長形 [はんちょうけい] /(n) semi-major axis/
半直線 [はんちょくせん] /(n) half line/ray/
半通夜 [はんつや] /(n) wake/vigil (that does not last the full night)/
半潰れ [はんつぶれ] /(n) half demolished/
半艇身 [はんていしん] /(n) half a boat length/
半天 [はんてん] /(n) (1) traditional short winter coat resembling a haori without gussets/(2) livery coat/(3) half the sky/(4) mid-air/middle of the sky/
半纏 [はんてん] /(n) (1) traditional short winter coat resembling a haori without gussets/(2) livery coat/
半纏木 [はんてんぼく] /(n) (uk) tulip tree (Liriodendron tulipifera)/tuliptree/yellow poplar/
半田 [はんだ] /(n) solder/pewter/
半田ごて [はんだごて] /(n) soldering iron/
半田フィレット [はんだフィレット] /(n) solder fillet/
半田付け [はんだづけ] /(n,vs,adj-no) soldering/
半田鏝 [はんだごて] /(n) soldering iron/
半途 [はんと] /(n) halfway/unfinished/
半島 [はんとう] /(n) peninsula/(P)/
半島国 [はんとうこく] /(n) peninsular country (e.g. Italy, Korea)/
半島人 [はんとうじん] /(n) peninsular person (old pejorative for Koreans)/
半透過型液晶 [はんとうかがたえきしょう] /(n) semi-transmissive liquid crystal/
半透過型液晶ディスプレー [はんとうかがたえきしょうディスプレー] /(n) semi-transmissive liquid crystal display/semi-transmissive LCD/
半透過型液晶パネル [はんとうかがたえきしょうパネル] /(n) semi-transmissive liquid crystal panel/
半透性 [はんとうせい] /(n,adj-no) semipermeability/
半透膜 [はんとうまく] /(n) semipermeable membrane/
半透明 [はんとうめい] /(adj-na,n,adj-no) semi-transparent/translucent/
半透明体 [はんとうめいたい] /(n) semitransparent body/translucent body/
半導体 [はんどうたい] /(n,adj-no) semiconductor/solid-state/(P)/
半導体ウエハ [はんどうたいウエハ] /(n) (comp) semiconductor wafer/
半導体ディスク [はんどうたいディスク] /(n) (comp) semiconductor disk/
半道 [はんみち] /(n-adv,n-t) half a ri (measure of length)/halfway/
半道海豚 [はんどういるか] /(n) (uk) bottlenose dolphin/bottlenosed dolphin (Tursiops truncatus)/
半道海豚 [ばんどういるか] /(n) (uk) bottlenose dolphin/bottlenosed dolphin (Tursiops truncatus)/
半独立 [はんどくりつ] /(n) semi-independent/
半二重 [はんにじゅう] /(adj-na,n) half duplex/HDX/
半二重通信 [はんにじゅうつうしん] /(n) (comp) half-duplex transmission/half-duplex communications/
半二重伝送 [はんにじゅうでんそう] /(n) (comp) half-duplex transmission/
半日 [はんじつ] /(n-adv,n-t) half day/
半日 [はんにち] /(n-adv,n-t) half day/(P)/
半年 [はんとし] /(n-adv,n-t) half year/(P)/
半年 [はんねん] /(n-adv,n-t) half year/(P)/
半年後 [はんとしご] /(n) after half a year/
半年毎に [はんねんごとに] /(adv) semiannually/
半農 [はんのう] /(n,adj-no) part-time farming/
半農半漁 [はんのうはんぎょ] /(n) half-agricultural and half-fishing (village or economy)/
半倍数性 [はんばいすうせい] /(n) haplodiploidy/
半白 [はんぱく] /(n) (1) grayish color/greyish colour/(2) grizzled hair/
半半 [はんはん] /(n,adj-no) half and half/fifty-fifty/
半被 [はっぴ] /(n) happi coat (happy coat)/workman's livery coat/
半病人 [はんびょうにん] /(n) semi-invalid/
半部族 [はんぶぞく] /(n) half tribe/
半封建性 [はんほうけんせい] /(n) semifeudalism/
半幅 [はんはば] /(n) half-width cloth (approx. 18 cm)/
半分 [はんぶん] /(n-adv,n) half/(P)/
半分 [はんぷん] /(n) half minute/
半分こ [はんぶんこ] /(n,vs) halfsies/splitting evenly between two people/
半平 [はんぺい] /(n) (1) (uk) pounded fish cake/
半平 [はんぺん] /(n) (1) (uk) pounded fish cake/
半閉鎖式 [はんへいさしき] /(n) semiclosed system/
半閉鎖式リブリーザー [はんへいさしきリブリーザー] /(n) semiclosed rebreather/
半片 [はんぺん] /(n) (1) (uk) pounded fish cake/(2) half a slice/
半返し [はんがえし] /(n) returning half of a consolatory or celebratory gift/
半歩 [はんぶ] /(n) (arch) unit of land area (orig. 595.044 m^2)/
半歩 [はんぽ] /(n) half step/half a step/
半母音 [はんぼいん] /(n) semivowel/
半棒術 [はんぼうじゅつ] /(n) form of martial art using a short cane staff/
半面 [はんめん] /(n,adj-no) half the face/one side/half/the other side/the reverse/the contrary/(P)/
半面識 [はんめんしき] /(n) slight acquaintance/
半盲 [はんもう] /(n,adj-no) half blind/
半盲症 [はんもうしょう] /(n) blindness/half-blindness/
半夜 [はんや] /(n-adv,n-t) midnight/
半裸 [はんら] /(n) half-nakedness/
半裸体 [はんらたい] /(n) seminude/half-naked/
半里 [はんり] /(n) half a ri (distance measure)/
半流動体 [はんりゅうどうたい] /(n,adj-no) semiliquid/
半輪 [はんりん] /(n,adj-no) semicircle/half-moon/
半裂 [はんざき] /(n) (uk) Japanese giant salamander (Andrias japonicus)/
半搗き [はんつき] /(n) light-brown rice/half-polished rice/partially polishing rice/
半搗き米 [はんつきまい] /(n) half-polished rice/
半翅目 [はんしもく] /(n) Hemiptera/
半臂 [はんぴ] /(n) short-sleeved (or sleeveless) undergarment worn by aristocratic men/
半臂の緒 [はんぴのお] /(n) (obsc) decorative gauze strap that hangs from the front left side of the kohimo when tying closed one's hanpi/
半諧音 [はんかいおん] /(n) assonance/
半跏 [はんか] /(n) (abbr) half-lotus position/
半跏思惟像 [はんかしいぞう] /(n) Buddhist statue of a figure sitting contemplatively in the half-lotus position (often of Maitreya)/
半跏趺坐 [はんかふざ] /(n) (sitting in) the half lotus position (in Zen meditation)/
半鹹水 [はんかんすい] /(n) brackish water/
反 [たん] /(n,n-pref) (1) variable measure of fabric (28.8 cm in width)/for kimonos: at least 10 m in length/for haori: at least 7.27 m in length/for other clothes: at least 6.06 m in length/(2) 300 tsubo (991.74 meters square, 0.24506 acres)/(3) six ken (10.91 m)/(P)/
反 [はん] /(n,vs,n-pref) anti-/opposite/antithesis/antagonism/(P)/
反す [かえす] /(v5s,vt) (1) to return (something)/to restore/to put back/(2) to turn over/to turn upside down/to overturn/(3) to pay back/to retaliate/to reciprocate/(suf,v5s) (4) (after the -masu stem of a verb) to repeat .../to do ... back/(P)/
反する [はんする] /(vs-s,vi) (1) to be contrary to/to be inconsistent with/to contradict/(2) to act contrary to (rules or guidelines)/to violate/to transgress/(3) to oppose/to rebel/to revolt/(P)/
反っくり返る [そっくりかえる] /(v5r,vi) to throw one's chest out/to hold one's head high/
反った板 [そったいた] /(n) warped board/
反っ歯 [そっぱ] /(n) prominent front tooth/bucktooth/
反ばく [はんばく] /(n,vs) refutation/rebuttal/
反らす [そらす] /(v5s,vt) to bend/to warp/to curve/
反らせる [そらせる] /(v1,vt) to bend/to warp/
反り [かえり] /(n) (1) turning over/flipping over/(2) reply/response/(3) marks indicating the Japanese meaning of the texts of Chinese classics/(4) lapel/
反り [そり] /(n) warp/curvature/curve/arch/
反りが合わない [そりがあわない] /(exp,adj-i) unable to cooperate/unable to hit it off/
反りくり返る [そりくりかえる] /(v5r,vi) to throw one's chest out/to hold one's head high/
反り橋 [そりはし] /(n) arched bridge/
反り橋 [そりばし] /(n) arched bridge/
反り形 [そりかた] /(n) warped shape/
反り手 [そりて] /(n) falling techniques (sumo)/
反り身 [そりみ] /(n) strutting/sticking out the chest/
反り台かんな [そりだいかんな] /(n) wooden plane with a convex base curved in the cutting direction/
反り台鉋 [そりだいかんな] /(n) wooden plane with a convex base curved in the cutting direction/
反り返る [そりかえる] /(v5r,vi) to warp/to bend backwards/to throw the head (or shoulders) back/to throw out the chest/
反る [かえる] /(v5r,vi) (1) to return/to come back/to go back/(2) to turn over/(suf,v5r) (3) (after the -masu stem of a verb) (to become) extremely/(to become) completely/(P)/
反る [そる] /(v5r,vi) (1) to warp/to be warped/to curve/to be curved/to be arched/(2) to bend (backward)/(P)/
反グローバリゼーション [はんグローバリゼーション] /(n) anti-globalization/anti-globalisation/
反テロ戦争 [はんテロせんそう] /(n) the War On Terror/
反トラスト法 [はんトラストほう] /(n) antitrust law/
反フェミニズム [はんフェミニズム] /(n) anti feminism/
反ユダヤ主義 [はんユダヤしゅぎ] /(n) anti-Semitism/
反意語 [はんいご] /(n) antonym/
反影 [はんえい] /(n) (1) influence/(vs) (2) to apply/to implement/(n) (3) reflection/
反映 [はんえい] /(n) (1) influence/(vs) (2) to apply/to implement/(n) (3) reflection/(P)/
反映論 [はんえいろん] /(n) reflection theory/
反英 [はんえい] /(n,adj-no) anti-British/
反英雄 [はんえいゆう] /(n) antihero/anti-hero/
反越 [はんえつ] /(n) anti-Vietnam/
反応 [はんおう] /(n,vs) reaction/response/
反応 [はんのう] /(n,vs) reaction/response/(P)/
反応性 [はんのうせい] /(n) (chem) reactivity/
反応速度 [はんのうそくど] /(n) reaction velocity/
反応中間体 [はんのうちゅうかんたい] /(n) (reaction) intermediate/
反歌 [はんか] /(n) tanka appendage to a long poem/
反核 [はんかく] /(n) anti-nuclear/
反核運動 [はんかくうんどう] /(n) anti-nuclear movement/
反革命 [はんかくめい] /(n) counterrevolution/
反感 [はんかん] /(n) antipathy/revolt/animosity/(P)/
反間 [はんかん] /(n) counterintelligence/
反間苦肉 [はんかんくにく] /(n) stratagem for causing a rift in the enemy camp by using a seditious plot/
反旗 [はんき] /(n) standard of revolt/banner of revolution/(P)/
反旗を翻す [はんきをひるがえす] /(exp,v5s) to rise in revolt/to raise the standard of revolt/
反義語 [はんぎご] /(n) antonym/
反逆 [はんぎゃく] /(n,vs) treason/treachery/mutiny/rebellion/insurrection/(P)/
反逆罪 [はんぎゃくざい] /(n) (the crime of) treason/
反逆児 [はんぎゃくじ] /(n) rebellious individual/
反逆者 [はんぎゃくしゃ] /(n) rebel/traitor/
反逆人 [はんぎゃくにん] /(n) rebel/traitor/
反逆分子 [はんぎゃくぶんし] /(n) renegade/rebellious elements/
反共 [はんきょう] /(n) anticommunist/(P)/
反共主義 [はんきょうしゅぎ] /(n) anticommunism/anti-communism/
反響 [はんきょう] /(n,vs) echo/reverberation/repercussion/reaction/influence/(P)/
反響定位 [はんきょうていい] /(n) echolocation/
反軍 [はんぐん] /(n) antimilitary/
反軍的 [はんぐんてき] /(adj-na) antimilitary/
反形而上学 [はんけいじじょうがく] /(n) anti-metaphysics/
反撃 [はんげき] /(n,vs) counterattack/counteroffensive/counterblow/(P)/
反原発運動 [はんげんぱつうんどう] /(n) anti-nuclear power movement/antinuclear power movement/
反古 [ほぐ] /(n) wastepaper/scrap paper/
反古 [ほご] /(n) wastepaper/scrap paper/
反古籠 [ほぐかご] /(n) wastebasket/
反故 [ほぐ] /(n) wastepaper/scrap paper/
反故 [ほご] /(n) wastepaper/scrap paper/
反故にする [ほごにする] /(exp,vs-i) (1) to waste/to throw away as useless/(2) to make null and void/to revoke/to scrap/
反語 [はんご] /(n,adj-no) irony/rhetorical question/antonym/word in reverse/
反語法 [はんごほう] /(n) irony/
反抗 [はんこう] /(n,vs) opposition/resistance/insubordination/defiance/hostility/rebellion/(P)/
反抗期 [はんこうき] /(n) rebellious age/
反抗的 [はんこうてき] /(adj-na) rebellious/defiant/
反攻 [はんこう] /(n,vs) counteroffensive/
反骨 [はんこつ] /(n) (abbr) rebellious spirit/
反骨の精神 [はんこつのせいしん] /(n) backbone/spirit of defiance/
反骨精神 [はんこつせいしん] /(n) rebellious spirit/
反作用 [はんさよう] /(n) reaction/(P)/
反資金洗浄法 [はんしきんせんじょうほう] /(n) anti-money laundering law/
反歯 [そっぱ] /(n) projecting teeth/
反実仮想 [はんじつかそう] /(n) counterfactual thinking/counterfactual assumption/counterfactual supposition/
反射 [はんしゃ] /(n,vs) (1) reflection/reverberation/(2) reflex (medical)/(P)/
反射テープ [はんしゃテープ] /(n) reflective (safety) tape/
反射モデル [はんしゃモデル] /(n) (comp) reflectance model/
反射運動 [はんしゃうんどう] /(n) reflex action/
反射角 [はんしゃかく] /(n) angle of reflection/
反射鏡 [はんしゃきょう] /(n) reflector/
反射係数 [はんしゃけいすう] /(n) reflection coefficient/
反射係数線図 [はんしゃけいすうせんず] /(n) reflection coefficient chart/
反射型カラー液晶ディスプレイ [はんしゃがたカラーえきしょうディスプレイ] /(n) (comp) reflective color LCD/
反射計算 [はんしゃけいさん] /(n) (comp) reflectance calculation/
反射減衰量 [はんしゃげんすいりょう] /(n) return loss/
反射誤差 [はんしゃごさ] /(n) reflection error/
反射光 [はんしゃこう] /(n) reflected light/
反射公式 [はんしゃこうしき] /(n) (comp) reflectance formulae/
反射作用 [はんしゃさよう] /(n,adj-no) reflex action/
反射神経 [はんしゃしんけい] /(n) reflexes/
反射代名詞 [はんしゃだいめいし] /(n) (ling) (obsc) reflexive pronoun (in Japanese grammar only)/
反射的 [はんしゃてき] /(adj-na) reflexive/reflecting/(P)/
反射的に [はんしゃてきに] /(adv) reflexively/reflectively/by reflex/
反射的半順序 [はんしゃてきはんじゅんじょ] /(n) reflexive partial ordering/
反射特性 [はんしゃとくせい] /(n) (comp) reflectance properties/
反射能 [はんしゃのう] /(n) reflective power/albedo/
反射波 [はんしゃは] /(n) reflected wave/rebounded wave/echo/
反射板 [はんしゃばん] /(n) reflector/reflective plate/
反射法線 [はんしゃほうせん] /(n) (comp) reflectance normal/
反射望遠鏡 [はんしゃぼうえんきょう] /(n) reflecting telescope/
反射率 [はんしゃりつ] /(n) reflectance/
反射療法 [はんしゃりょうほう] /(n) reflexology/
反射炉 [はんしゃろ] /(n) reverberatory furnace/
反社会性人格障害 [はんしゃかいせいじんかくしょうがい] /(n) antisocial personality disorder/
反社会的 [はんしゃかいてき] /(adj-na) antisocial/
反社会的行動 [はんしゃかいてきこうどう] /(n) antisocial behavior/
反主流 [はんしゅりゅう] /(n,adj-no) anti-mainstream/fringe/
反主流派 [はんしゅりゅうは] /(n) anti-mainstream faction/fringe group/dissident group/
反収 [たんしゅう] /(n) production per tan/
反宗教改革 [はんしゅうきょうかいかく] /(n) Counter-Reformation/
反照 [はんしょう] /(n,vs) reflection/influence/
反照代名詞 [はんしょうだいめいし] /(n) (ling) (obsc) reflexive pronoun (in Japanese grammar only)/
反省 [はんせい] /(n,vs) reflection/reconsideration/introspection/meditation/contemplation/(P)/
反省の色なし [はんせいのいろなし] /(exp,adj-f) showing no sign of remorse or regret/
反省会 [はんせいかい] /(n) meeting for reviewing (e.g. past activities of the club)/
反省材料 [はんせいざいりょう] /(n) matters (issues) that need be reconsidered (reflected on)/
反証 [はんしょう] /(n,vs) proof to the contrary/disproof/counter-evidence/rebuttal/refutation/(P)/
反証可能性 [はんしょうかのうせい] /(n) falsifiability/
反植民主義 [はんしょくみんしゅぎ] /(n) anticolonialism/
反心 [はんしん] /(n) rebellious spirit/
反臣 [はんしん] /(n) rebellious retainer/
反身 [はんしん] /(n) bending backward/strutting/
反数 [はんすう] /(n) reciprocal number/
反政府 [はんせいふ] /(n) antigovernment/
反政府勢力 [はんせいふせいりょく] /(n) antigovernment force/antigovernment forces/contra/
反政府党 [はんせいふとう] /(n) opposition party/
反切 [はんせつ] /(n) fanqie (traditional Chinese spelling system in which two characters are used: the first one for the onset, the second one for rhyme and tone)/
反戦 [はんせん] /(n) anti-war/(P)/
反戦デモ [はんせんデモ] /(n) antiwar demonstration/
反戦運動 [はんせんうんどう] /(n) anti-war movement/
反戦主義 [はんせんしゅぎ] /(n) pacifism/
反戦主義者 [はんせんしゅぎしゃ] /(n) pacifist/
反訴 [はんそ] /(n,vs) counteraction/counterclaim/
反側 [はんそく] /(n,vs) turning over in bed/
反則 [はんそく] /(n,vs) foul play (sport)/transgression/default/balk/irregularity/(P)/
反則金 [はんそくきん] /(n) fine/
反俗 [はんぞく] /(n) resistance to convention/
反俗精神 [はんぞくせいしん] /(n) anticonventional spirit/spirit of resisting convention/
反賊 [はんぞく] /(n) rebel/
反体制 [はんたいせい] /(n) anti-establishment/(P)/
反体制側 [はんたいせいがわ] /(n,adj-no) anti-establishment/anti-government/
反体制派 [はんたいせいは] /(n) people who are against the Establishment/anti-Establishment groups/
反対 [はんたい] /(adj-na,n,vs,adj-no) opposition/resistance/antagonism/hostility/contrast/objection/dissension/reverse/opposite/vice versa/(P)/
反対に回る [はんたいにまわる] /(exp,v5r) to go into opposition/
反対意見 [はんたいいけん] /(n,adj-no) dissenting opinion/opposition viewpoint/contra (view)/
反対運動 [はんたいうんどう] /(n) opposition movement/
反対給付 [はんたいきゅうふ] /(n) performance in return/quid pro quo/
反対語 [はんたいご] /(n) (ling) antonym/
反対者 [はんたいしゃ] /(n) foe/opponent/adversary/dissenter/
反対称的 [はんたいしょうてき] /(adj-na) antisymmetric/
反対色 [はんたいしょく] /(n) clashing colors/clashing colours/
反対尋問 [はんたいじんもん] /(n) cross-examination/
反対訊問 [はんたいじんもん] /(n) cross-examination/
反対勢力 [はんたいせいりょく] /(n) forces of opposition/opposing forces/counterforce/
反対声明 [はんたいせいめい] /(n) statement of opposition/opposition declaration/
反対側 [はんたいがわ] /(n) opposite side/
反対党 [はんたいとう] /(n) opposition party/
反対投票 [はんたいとうひょう] /(n) dissenting vote/vote of opposition/
反対派 [はんたいは] /(n) opposition faction/
反対番 [はんたいばん] /(n) the opposite team in a two-turns work group/
反対票 [はんたいひょう] /(n) opposing voice/
反対弁論 [はんたいべんろん] /(n) opposing speech/rebuttal (in debate)/
反対方向 [はんたいほうこう] /(n) opposite direction/
反対貿易風 [はんたいぼうえきふう] /(n) antitrade winds/
反対論 [はんたいろん] /(n) opposing argument/
反台かんな [そりだいかんな] /(n) wooden plane with a convex base curved in the cutting direction/
反台鉋 [そりだいかんな] /(n) wooden plane with a convex base curved in the cutting direction/
反中性子 [はんちゅうせいし] /(n) antineutron/
反跳 [はんちょう] /(n) (physical) recoil/
反帝 [はんてい] /(n) anti-imperialism/
反帝国主義 [はんていこくしゅぎ] /(n) anti-imperialism/
反帝国主義者 [はんていこくしゅぎしゃ] /(n) anti-imperialist/
反転 [はんてん] /(n,vs,adj-no) (1) rolling over/(2) turning around/turning from side to side/inversion/reversal/(3) tonal inversion/(making a) negative image/(P)/
反転フィルム [はんてんフィルム] /(n) (obsc) reversal film/
反転現像 [はんてんげんぞう] /(n) reversal development/
反転表示 [はんてんひょうじ] /(n) (comp) reverse video/
反転分布係数 [はんてんぶんぷけいすう] /(n) population inversion factor/
反吐 [へど] /(n) spew/vomiting/
反徒 [はんと] /(n) rebels/insurgents/
反党 [はんとう] /(adj-no) anti-party/
反騰 [はんとう] /(n,vs) reactionary price rise/
反動 [はんどう] /(n) reaction/recoil/kick/backlash/(P)/
反動タービン [はんどうタービン] /(n) reaction turbine/
反動家 [はんどうか] /(n) a reactionary/
反動革命 [はんどうかくめい] /(n) counterrevolution/
反動形成 [はんどうけいせい] /(n) reaction formation/
反動思想 [はんどうしそう] /(n) reactionary ideas/
反動主義 [はんどうしゅぎ] /(n) reactionism/
反動主義者 [はんどうしゅぎしゃ] /(n) a reactionary/
反動的 [はんどうてき] /(adj-na) reactionary/
反動派 [はんどうは] /(n) the reactionaries/
反独 [はんどく] /(n) anti-German/
反日 [はんにち] /(n) anti-Japanese/(P)/
反陪 [へんばい] /(n) (1) ceremony performed by a sorcerer to protect a noble setting out on a trip/(2) dance steps inspired by this ceremony/
反駁 [はんばく] /(n,vs) refutation/rebuttal/
反駁 [はんぱく] /(n,vs) refutation/rebuttal/
反発 [はんぱつ] /(vs) (1) to repel/to oppose/to revolt/to react sharply (against)/(n) (2) opposition/rebellion/resistance/backlash/(3) rally/recovery (e.g. in stock prices)/rebound/(vs) (4) to rally/to recover/to rebound/(P)/
反発力 [はんぱつりょく] /(n) repellent force/resiliency/elasticity/
反比 [はんぴ] /(n) inverse ratio/
反比例 [はんぴれい] /(n,vs) inverse proportion/
反復 [はんぷく] /(n,vs) repetition/iteration/recursion/recurrence/recapitulation/(P)/
反復演算 [はんぷくえんざん] /(n) (comp) iterative operation/automatic sequential operation/
反復過多損傷 [はんぷくかたそんしょう] /(n) repetitive-strain injury/RSI/
反復記号 [はんぷくきごう] /(n) repeat sign/repetition mark/
反復説 [はんぷくせつ] /(n) biogenetic law/recapitulation theory (theory that ontogeny recapitulates phylogeny)/
反復練習 [はんぷくれんしゅう] /(n,adj-no) practice by repetition/learning by rote/
反覆 [はんぷく] /(n,vs) repetition/iteration/recursion/recurrence/recapitulation/
反物 [たんもの] /(n) (1) fabric/cloth/textiles/drapery/dry-goods/piece goods/(2) measure of kimono material/
反物屋 [たんものや] /(n) dry-goods store/
反物質 [はんぶっしつ] /(n) antimatter (physics)/
反米 [はんべい] /(n) anti-American/(P)/
反別 [たんべつ] /(n) (1) acreage/land area/(2) marking off fields in units of tan/
反変 [はんぺん] /(n) (math) contravariant/
反歩 [たんぶ] /(n) unit of land area (approx. one-tenth hectare)/
反面 [はんめん] /(n-adv,n) on the other hand/(P)/
反面に [はんめんに] /(adv) on the other hand/
反面教師 [はんめんきょうし] /(n) a bad example from which one can learn/
反毛 [はんもう] /(n) reclaimed wool/
反目 [はんもく] /(n,vs) enmity/antagonism/hostility/
反目嫉視 [はんもくしっし] /(n,vs) jealousy and enmity/being jealous of and at odds with (each other)/
反問 [はんもん] /(n,vs) cross-examination/retort/asking in return/
反様 [かいさま] /(n) upside down/inside out/
反陽子 [はんようし] /(n) antiproton (physics)/
反陽子爆弾 [はんようしばくだん] /(n) antiproton bomb/
反落 [はんらく] /(n,vs) reactionary fall (e.g. in stock prices)/(P)/
反乱 [はんらん] /(n,vs,adj-no) insurrection/mutiny/rebellion/revolt/uprising/(P)/
反乱を鎮める [はんらんをしずめる] /(exp,v1) to quell a rebellion/
反乱を抑える [はんらんをおさえる] /(exp,v1) to stifle a rebellion/
反乱軍 [はんらんぐん] /(n) rebel army/
反乱者 [はんらんしゃ] /(n) rebel/insurgent/
反粒子 [はんりゅうし] /(n) antiparticle/
反力 [はんりょく] /(n) counterforce/reaction/
反例 [はんれい] /(n) counterexample/counter-example/
反論 [はんろん] /(n,vs) objection/refutation/rebuttal/(P)/
反哺 [はんぽ] /(n) caring for one's parents in return/
反嘴背高鷸 [そりはしせいたかしぎ] /(n) (uk) pied avocet (Recurvirostra avosetta)/
反嘴鷸 [そりはししぎ] /(n) (uk) Terek sandpiper (Xenus cinereus)/
反噬 [はんぜい] /(n,vs) turning against one's master/returning evil for good/
反撥 [はんぱつ] /(vs) (1) to repel/to oppose/to revolt/to react sharply (against)/(n) (2) opposition/rebellion/resistance/backlash/(3) rally/recovery (e.g. in stock prices)/rebound/(vs) (4) to rally/to recover/to rebound/
反芻 [はんすう] /(n,adj-no) (1) chewing the cud/rumination/(vs) (2) to ruminate on/to think over/
反芻動物 [はんすうどうぶつ] /(n) ruminant/
反芻類 [はんすうるい] /(n) ruminant/
反閇 [へんばい] /(n) (1) ceremony performed by a sorcerer to protect a noble setting out on a trip/(2) dance steps inspired by this ceremony/
叛く [そむく] /(v5k,vi) to run counter to/to go against/to disobey/to infringe/
叛する [はんする] /(vs-s,vi) (1) to oppose/to rebel/to revolt/
叛意 [はんい] /(n) spirit of rebellion/
叛旗 [はんき] /(n) standard of revolt/banner of revolution/
叛旗を翻す [はんきをひるがえす] /(exp,v5s) to rise in revolt/to raise the standard of revolt/
叛逆 [はんぎゃく] /(n,vs) treason/treachery/mutiny/rebellion/insurrection/
叛軍 [はんぐん] /(n) rebel army/mutinous troops/
叛骨 [はんこつ] /(n) (abbr) rebellious spirit/
叛骨の精神 [はんこつのせいしん] /(n) backbone/spirit of defiance/
叛骨精神 [はんこつせいしん] /(n) rebellious spirit/
叛将 [はんしょう] /(n) rebel leader/
叛心 [はんしん] /(n) rebellious spirit/
叛臣 [はんしん] /(n) rebellious retainer/
叛跡 [はんせき] /(n) results of rebellion/
叛賊 [はんぞく] /(n) rebel/
叛徒 [はんと] /(n) rebels/insurgents/
叛服 [はんぷく] /(n) disobedience and obedience/defiance and compliance/
叛乱 [はんらん] /(n,vs,adj-no) insurrection/mutiny/rebellion/revolt/uprising/
叛乱を鎮める [はんらんをしずめる] /(exp,v1) to quell a rebellion/
叛乱を抑える [はんらんをおさえる] /(exp,v1) to stifle a rebellion/
叛乱軍 [はんらんぐん] /(n) rebel army/
叛乱者 [はんらんしゃ] /(n) rebel/insurgent/
帆 [ほ] /(n) sail/(P)/
帆かけ船 [ほかけぶね] /(n) sailboat/
帆をかける [ほをかける] /(exp,v1) to raise a sail/
帆を掛ける [ほをかける] /(exp,v1) to raise a sail/
帆影 [ほかげ] /(n) sight of a sail/
帆掛け船 [ほかけぶね] /(n) sailboat/
帆掛船 [ほかけぶね] /(n) sailboat/
帆桁 [ほげた] /(n) (sail) yard/boom/
帆綱 [ほづな] /(n) halyard/
帆船 [はんせん] /(n) sailing ship/sailing boat/sailing vessel/(P)/
帆船 [ほぶね] /(n) sailing ship/sailing boat/sailing vessel/
帆前船 [ほまえせん] /(n) sailboat/sailing boat/
帆走 [はんそう] /(n,vs,adj-no) sailing/(P)/
帆柱 [ほばしら] /(n) mast/
帆布 [はんぷ] /(n) sailcloth/canvas/
帆布 [ほぬの] /(n) sailcloth/canvas/
帆立 [ほたて] /(n) scallop/
帆立貝 [ほたてがい] /(n) (uk) Japanese scallop (Patinopecten yessoensis)/
帆檣 [はんしょう] /(n) mast/
帆翔 [はんしょう] /(n,vs) soaring/
搬出 [はんしゅつ] /(n,vs) carry out/(P)/
搬送 [はんそう] /(n,vs,vt) transportation/conveyance/delivery/(P)/
搬送周波数 [はんそうしゅうはすう] /(n) carrier frequency/
搬送波 [はんそうは] /(n) carrier wave/
搬送物 [はんそうぶつ] /(n) product being carried on a conveyor, etc./
搬入 [はんにゅう] /(n,vs) take in/bring in/(P)/
搬入日 [はんにゅうび] /(n) days (period) (designated) for the seeding in of exhibits/
斑 [ぶち] /(n) spots/speckles/mottles/
斑 [まだら] /(n) spots/speckles/mottles/
斑 [むら] /(adj-na,n) (uk) unevenness/inconsistency/erraticness/irregularity/(P)/
斑たるみ [まだらたるみ] /(n) (uk) black and white snapper (Macolor niger)/
斑なく [むらなく] /(adv) (uk) evenly/equably/in an uniform and orderly fashion/
斑フルマ鴎 [まだらフルマかもめ] /(n) (uk) Cape pigeon/Cape petrel/pintado petrel (Daption capense)/
斑レイ岩 [ハンレイがん] /(n) gabbro (a type of rock similar to granite)/
斑気 [むらき] /(adj-na,n) capricious/moody/whimsical/
斑牛 [まだらうし] /(n) brindled (spotted) ox/
斑山椒魚 [ぶちさんしょううお] /(n) (uk) buchi salamander (Hynobius naevius)/
斑紙魚 [まだらしみ] /(n) (uk) firebrat (species of bristletail, Thermobia domestica)/
斑消え [むらぎえ] /(n) remaining in spots/
斑条 [はんじょう] /(n) variegated streaks/
斑状組織 [はんじょうそしき] /(n) porphyritic structure/
斑雪 [はだらゆき] /(n) lingering patches of snow/patches of unmelted snow/snow spots/
斑雪 [はだれゆき] /(n) lingering patches of snow/patches of unmelted snow/snow spots/
斑雪 [はつれゆき] /(n) lingering patches of snow/patches of unmelted snow/snow spots/
斑雪 [まだらゆき] /(n) lingering patches of snow/patches of unmelted snow/snow spots/
斑樽見 [まだらたるみ] /(n) (uk) black and white snapper (Macolor niger)/
斑蜘蛛 [まだらぐも] /(n) (obsc) Nephila clavata (Oriental species of golden orb-weaving spider)/
斑点 [はんてん] /(n,adj-no) speck/fleck/
斑入り [ふいり] /(n,adj-no) variegated/spotted/
斑入海豹 [ふいりあざらし] /(n) (uk) ringed seal (Pusa hispida)/
斑猫 [はんみょう] /(n) (1) (uk) tiger beetle (insect, Cicindelidae family)/(2) Japanese tiger beetle (Cicindela japonica)/(3) (col) blister beetle/oil beetle/
斑白 [はんぱく] /(n) (1) grayish color/greyish colour/(2) grizzled hair/
斑鳩 [いかる] /(n) (uk) Japanese grosbeak (Eophona personata)/
斑鳩 [いかるが] /(n) (uk) Japanese grosbeak (Eophona personata)/
斑鳩 [はんきゅう] /(n) (uk) Japanese grosbeak (Eophona personata)/
斑文 [はんもん] /(n,adj-no) speckles/spotted pattern/
斑無く [むらなく] /(adv) (uk) evenly/equably/in an uniform and orderly fashion/
斑毛 [ぶちげ] /(n,adj-no) leopard (horse coat pattern)/
斑紋 [はんもん] /(n,adj-no) speckles/spotted pattern/
斑糲岩 [はんれいがん] /(n) gabbro (a type of rock similar to granite)/
板 [いた] /(n) (1) board/plank/(2) sheet (of metal)/plate (of glass)/pane/slab/(3) (abbr) cutting board/chopping board/(4) (abbr) stage (i.e. at a theatre)/(P)/
板さん [いたさん] /(n) cook/
板すだれ [いたすだれ] /(n) Venetian blind/
板につく [いたにつく] /(exp,v5k) (1) to get used to one's work/to become accustomed to one's position/(2) to be at home (on the stage)/
板に着く [いたにつく] /(iK) (exp,v5k) (1) to get used to one's work/to become accustomed to one's position/(2) to be at home (on the stage)/
板に付く [いたにつく] /(exp,v5k) (1) to get used to one's work/to become accustomed to one's position/(2) to be at home (on the stage)/
板の間 [いたのま] /(n) (room with a) wooden floor/
板の間稼ぎ [いたのまかせぎ] /(exp,n) bathhouse thievery/stealing someone else's clothes and valuables at a bathhouse/
板ばさみ [いたばさみ] /(n) being stuck between a rock and a hard place/being in a dilemma/being torn between conflicting demands/
板ガラス [いたガラス] /(n) plate glass/sheet glass/(P)/
板チョコ [いたチョコ] /(n) bar of chocolate/
板囲い [いたがこい] /(n) boarding/board fence/
板屋 [いたや] /(n) shingle roof/house with a shingle roof/
板屋貝 [いたやがい] /(n) (uk) Japanese bay scallop (Pecten albicans)/
板屋根 [いたやね] /(n) shingle roof/
板屋楓 [いたやかえで] /(n) (uk) painted maple (Acer mono)/
板画 [はんが] /(n) woodcut/woodblock print/art print/
板絵 [いたえ] /(n) artwork on wood, canvas, metal sheet, etc./
板間静脈 [いたのまじょうみゃく] /(n) diploic vein/vena diploica/
板寄 [いたよせ] /(n) Itayose method/method of trading employed on Japanese exchanges/
板寄せ [いたよせ] /(n) Itayose method/method of trading employed on Japanese exchanges/
板挟み [いたばさみ] /(n) being stuck between a rock and a hard place/being in a dilemma/being torn between conflicting demands/
板橋 [いたばし] /(n) (arch) wooden bridge (with planks)/
板金 [いたがね] /(n) sheet metal/metal plate/
板金 [ばんきん] /(n) sheet metal/metal plate/
板金屋 [ばんきんや] /(n) sheet metal worker/
板金鎧 [ばんきんよろい] /(n) plate armor/plate armour/
板金工 [ばんきんこう] /(n) sheet metal worker/
板戸 [いたど] /(n) wooden door/
板子 [いたご] /(n) ship plank/
板子一枚下は地獄 [いたごいちまいしたはじごく] /(exp) (id) The sea and the gallows refuse none/
板紙 [いたがみ] /(n) cardboard/paperboard/pasteboard/
板書 [ばんしょ] /(n,vs) writing on a blackboard/
板場 [いたば] /(n) kitchen (in a restaurant)/
板状 [ばんじょう] /(n,adj-no) board, plank or sheet shaped/
板畳 [いただたみ] /(n) (1) tatami mat with a wooden plank for a core (used in tokonoma, etc.)/(2) wooden floor/
板切れ [いたきれ] /(n) scrap lumber/piece of wood/
板前 [いたまえ] /(n) (sens) chef/cook/
板前さん [いたまえさん] /(n) cook/chef/
板張り [いたばり] /(n) boarding/wooden floor/
板長 [いたちょう] /(n) head chef/
板締 [いたじめ] /(n) method of making patterns via pressing cloth between carved boards/
板唐戸 [いたからど] /(n) door made of one or several wooden planks and no door framework/
板塔婆 [いたとうば] /(n) wooden grave tablet/
板番付 [いたばんづけ] /(n) large wooden sumo rankings hung outside the tournament venue/
板皮魚類 [ばんぴぎょるい] /(n) placoderms (extinct fishes of class Placodermi)/
板皮類 [ばんぴるい] /(n) placoderms (extinct fishes of class Placodermi)/
板敷 [いたじき] /(n) wooden floor/
板敷き [いたじき] /(n) wooden floor/
板葺 [いたぶき] /(n) shingle roofing/
板葺き [いたぶき] /(n) shingle roofing/
板塀 [いたべい] /(n) wooden fence/board fence/
板壁 [いたかべ] /(n) wooden wall/
板木 [はんぎ] /(n) (1) (printing) block/(2) woodcut/
板木 [ばんぎ] /(n) (1) (printing) block/(2) woodcut/
板目 [いため] /(n) seam of joined boards/woodgrain/
板目紙 [いためがみ] /(n) (high-quality) paper formed of several sheets pasted together/
板門店 [はんもんてん] /(n) Panmunjon/(P)/
板簾 [いたすだれ] /(n) Venetian blind/
板挾み [いたばさみ] /(n) being stuck between a rock and a hard place/being in a dilemma/being torn between conflicting demands/
板鰓類 [ばんさいるい] /(n) elasmobranchs/
氾濫 [はんらん] /(n,vs) overflowing/flood/(P)/
汎 [はん] /(n,pref) pan-/(P)/
汎アメリカ主義 [はんアメリカしゅぎ] /(n) Pan-Americanism/
汎愛 [はんあい] /(n,vs) philanthropy/
汎欧州 [はんおうしゅう] /(n) (comp) pan-European/
汎化 [はんか] /(n) generalization (psychology, linguistics, etc.)/
汎関数 [はんかんすう] /(n) functional (physics)/
汎称 [はんしょう] /(n,vs) lumping similar things together and giving the group a collective name/collective name/generic term/
汎心論 [はんしんろん] /(n) panpsychism/
汎神論 [はんしんろん] /(n) pantheism/
汎整数式 [はんせいすうしき] /(n) integral expression/
汎適応症候群 [はんてきおうしょうこうぐん] /(n) general adaptation syndrome/
汎発 [はんぱつ] /(n,vs) pandemic/widespread/
汎用 [はんよう] /(n,vs,adj-no) generic/general purpose/all-purpose/(P)/
汎用ＪＰドメイン名 [はんようジェーピードメインめい] /(n) (comp) General-use JP Domain Names/
汎用コンピュータ [はんようコンピュータ] /(n) (comp) general purpose computer/
汎用レジスタ [はんようレジスタ] /(n) (comp) general purpose register/
汎用階層ファイルモデル [はんようかいそうファイルモデル] /(n) (comp) general hierarchical model/
汎用機 [はんようき] /(n) (1) general-purpose machine/(2) (comp) general-purpose computer/
汎用型コンピュータ [はんようがたコンピュータ] /(n) (comp) mainframe computer/
汎用体 [はんようたい] /(n) (comp) generic unit/
汎用定義 [はんようていぎ] /(n) (comp) generic definitions/
汎用的試験項目 [はんようてきしけんこうもく] /(n) (comp) generic test case/
汎用的試験項目群 [はんようてきしけんこうもくぐん] /(n) (comp) generic test suite/
汎用入出力制御装置 [はんようにゅうしゅつりょくせいぎょそうち] /(n) (comp) UIOC/Universal I/O Control unit/
汎用名前付け規則 [はんようなまえつけきそく] /(n) (comp) Universal Naming Convention/
汎濫 [はんらん] /(n,vs) overflowing/flood/
汎理論 [はんりろん] /(n) panlogism/
汎論 [はんろん] /(n,vs) general remarks/outline/
汎論理主義 [はんろんりしゅぎ] /(n) panlogism/
版 [はん] /(n) edition/version/(P)/
版を改める [はんをあらためる] /(exp,v1) to revise an edition/
版下 [はんした] /(n) artwork/block copy/paste-up/
版下書き [はんしたかき] /(n) block copy artist/
版画 [はんが] /(n) woodcut/woodblock print/art print/(P)/
版画家 [はんがか] /(n) printmaker/woodblock artist/copperplate engraver/
版権 [はんけん] /(n) copyright/(P)/
版権所有 [はんけんしょゆう] /(n) all rights reserved/copyright reserved/
版権所有者 [はんけんしょゆうしゃ] /(n) copyright holder/
版権侵害 [はんけんしんがい] /(n) copyright infringement/
版権物 [はんけんもの] /(n) likeness/(amateur) picture of a copyrighted character/
版元 [はんもと] /(n) publisher/
版行 [はんこう] /(n,vs) publishing/printing/sealing/
版図 [はんと] /(n) territory/
版数 [はんすう] /(n) version number/revision number/
版数管理 [はんすうかんり] /(n) (comp) version management/revision management/
版籍 [はんせき] /(n) (registry of) land and people/
版籍奉還 [はんせきほうかん] /(n,vs) the return of the land and people from the feudal lords to the Emperor/
版彫 [はんほり] /(n,vs) (1) engraving a woodblock or seal/(2) woodblock or seal engraver/
版彫り [はんほり] /(n,vs) (1) engraving a woodblock or seal/(2) woodblock or seal engraver/
版本 [はんぽん] /(n) book printed from woodblocks/
版木 [はんぎ] /(n) (1) (printing) block/(2) woodcut/
犯 [はん] /(suf) perpetrators of (some) crime/(some type of) crime/
犯し難い [おかしがたい] /(adj-i) dignified/
犯す [おかす] /(v5s,vt) (1) to commit (e.g. crime)/to perpetrate/(2) to transgress/to contravene/(3) to violate/to ravish/to rape/to deflower/(P)/
犯意 [はんい] /(n) criminal intent/malice/
犯行 [はんこう] /(n) crime/criminal act/offence/offense/(P)/
犯行現場 [はんこうげんば] /(n) scene of the crime (offense, offence)/
犯行時刻 [はんこうじこく] /(n) time of the crime/
犯行声明文 [はんこうせいめいぶん] /(n) letter of responsibility (for a crime)/
犯罪 [はんざい] /(n,adj-no) crime/(P)/
犯罪に及ぶ [はんざいにおよぶ] /(exp,v5b) to commit a crime/to resort to crime/
犯罪学 [はんざいがく] /(n) criminology/
犯罪記録 [はんざいきろく] /(n) criminal record/
犯罪行為 [はんざいこうい] /(n) criminal act/
犯罪者 [はんざいしゃ] /(n) criminal/culprit/
犯罪場所 [はんざいばしょ] /(n) crime scene/
犯罪心理学 [はんざいしんりがく] /(n) criminal psychology/
犯罪性 [はんざいせい] /(n) criminality/criminal propensity/
犯罪捜査 [はんざいそうさ] /(n,adj-no) criminal investigation/
犯罪発生率 [はんざいはっせいりつ] /(n) crime rate/
犯罪被害者 [はんざいひがいしゃ] /(n) victim of crime/
犯罪防止 [はんざいぼうし] /(n) crime prevention/
犯罪率 [はんざいりつ] /(n) crime rate/
犯罪歴 [はんざいれき] /(n) criminal record/
犯人 [はんにん] /(n) offender/criminal/(P)/
犯人を匿う [はんにんをかくまう] /(exp,v5u) to shelter a criminal/
犯人を捕まえる [はんにんをつかまえる] /(exp,v1) to arrest the culprit/
犯人像 [はんにんぞう] /(n) criminal profile/
犯人蔵匿罪 [はんにんぞうとくざい] /(n) (crime of) harboring a fugitive (harbouring)/
犯跡 [はんせき] /(n) criminal evidence/
犯則 [はんそく] /(n,vs) violation, infraction/
犯歴 [はんれき] /(n) criminal record/
班 [はん] /(n,suf) group/party/section (mil)/(P)/
班員 [はんいん] /(n) member of a group/
班次 [はんじ] /(n) ranking/precedence/
班女が閨 [はんじょがけい] /(exp) (arch) bedroom of a forsaken woman/
班女が閨 [はんじょがねや] /(exp) (arch) bedroom of a forsaken woman/
班長 [はんちょう] /(n) squad leader/honcho/team leader/group leader/(P)/
班田 [はんでん] /(n) (arch) ancient farmland allotment/
班田収授法 [はんでんしゅうじゅのほう] /(n) allotment of rice paddies for cultivation during the cultivator's lifetime (ancient Japanese law)/
畔 [あぜ] /(n) (1) (uk) ridge between rice fields/(2) (abbr) causeway/
畔 [くろ] /(n) (1) (uk) ridge between rice fields/(2) (abbr) causeway/
畔 [ほとり] /(n) (1) (uk) on the bank of/by the side of (e.g. a river, pond)/(2) (in the) neighbourhood/neighborhood/vicinity/nearby/
畔冬菜 [あぜとうな] /(n) (uk) Crepidiastrum keiskeanum (species of plant in the daisy family)/
畔唐菜 [あぜとうな] /(n) (uk) Crepidiastrum keiskeanum (species of plant in the daisy family)/
畔道 [あぜみち] /(n) footpath between rice fields/
繁々 [しげしげ] /(adv-to) (1) frequently/often/(2) fixedly/narrowly/closely/
繁り [しげり] /(n) growing thick/
繁る [しげる] /(v5r,vi) to grow thickly/to be in full leaf/to be rampant/to luxuriate/to be luxurious/
繁栄 [はんえい] /(n,vs) prospering/prosperity/thriving/flourishing/(P)/
繁華 [はんか] /(adj-na,n) bustle/prosperity/
繁華街 [はんかがい] /(n) business district/shopping district/bustling street/shopping centre/shopping center/downtown/(P)/
繁簡 [はんかん] /(n) complexity and simplicity/
繁閑 [はんかん] /(n) press and slack of business/
繁劇 [はんげき] /(adj-na,n) extreme busyness/
繁雑 [はんざつ] /(adj-na,n) complex/intricate/complicated/confused/troublesome/vexatious/
繁昌 [はんじょう] /(n,vs) prosperity/flourishing/thriving/
繁殖 [はんしょく] /(n,vs,adj-no) breed/multiply/increase/propagation/(P)/
繁殖期 [はんしょくき] /(n) breeding season/
繁殖地 [はんしょくち] /(n) breeding grounds/
繁殖牝馬 [はんしょくひんば] /(n) broodmare (horse breeding)/
繁殖力 [はんしょくりょく] /(n) reproductive (procreative) power/fertility/
繁吹 [しぶき] /(n) (uk) splash/spray/
繁吹き [しぶき] /(n) (uk) splash/spray/
繁盛 [はんじょう] /(n,vs) prosperity/flourishing/thriving/(P)/
繁多 [はんた] /(adj-na,n) extreme busyness/
繁体字 [はんたいじ] /(n) traditional Chinese character/unsimplified Chinese character/
繁繁 [しげしげ] /(adv-to) (1) frequently/often/(2) fixedly/narrowly/closely/
繁分数 [はんぶんすう] /(n) complex fraction/
繁文縟礼 [はんぶんじょくれい] /(n) red-tapism/
繁忙 [はんぼう] /(adj-na,n) pressure of business/busy/
繁茂 [はんも] /(n,vs) luxuriant growth/rankness (of weeds)/(P)/
繁縷 [はこべ] /(n) (uk) chickweed/stitchwort (Stellaria sp.)/
繁縷 [はこべら] /(n) (uk) chickweed/stitchwort (Stellaria sp.)/
繁縷塩 [はこべじお] /(n) (obsc) chickweed (stitchwort) roasted and mixed with salt, then ground into a powder for use as toothpaste/
般化 [はんか] /(n) generalization (psychology, linguistics, etc.)/
般若 [はんにゃ] /(n) (1) (Buddh) wisdom/(2) Prajnaparamita/Perfection of Wisdom/
般若心経 [はんにゃしんぎょう] /(n) Heart Sutra/
般若湯 [はんにゃとう] /(n) (obsc) sake (in the secret language of priests)/
般若波羅蜜多 [はんにゃはらみった] /(n) (Buddh) prajna-paramita (perfection of wisdom)/
藩 [はん] /(n,n-suf) fiefdom/domain (precursor to current prefectures)/(P)/
藩医 [はんい] /(n) (arch) Edo-period doctor working at a public clinic/
藩学 [はんがく] /(n) school for samurai children/
藩侯 [はんこう] /(n) feudal lord/daimyo/
藩校 [はんこう] /(n) clan school/han school/
藩札 [はんさつ] /(n) currency issued by a feudal clan/
藩士 [はんし] /(n) feudal retainer or warrior/
藩主 [はんしゅ] /(n) feudal lord/daimyo/(P)/
藩儒 [はんじゅ] /(n) (Confucian) scholar retained by a feudal lord or daimyo/
藩祖 [はんそ] /(n) (arch) ancestor of a feudal lord/
藩中 [はんちゅう] /(n) inside a clan/same clan/
藩邸 [はんてい] /(n) residence maintained by a daimyo in Edo/
藩閥 [はんばつ] /(n) clanship/clannism/clan favoritism/clan favouritism/
藩黌 [はんこう] /(n) clan school/han school/
販ぐ [ひさぐ] /(v5g) (uk) (arch) to sell/
販管費 [はんかんひ] /(uK) (n) sales, general, and administrative expenses/
販促 [はんそく] /(n) (abbr) sales promotion/
販売 [はんばい] /(n,vs) sales/selling/marketing/(P)/
販売員 [はんばいいん] /(n) sales staff/salesperson/(P)/
販売価格 [はんばいかかく] /(n) selling price/
販売機 [はんばいき] /(n) vending machine/
販売機会 [はんばいきかい] /(n) sales opportunity/
販売元 [はんばいもと] /(n) selling agency/
販売時点 [はんばいじてん] /(n) (comp) Point-Of-Sale/POS/
販売時点管理 [はんばいじてんかんり] /(n) (comp) POS/Point Of Sales/
販売時点情報管理システム [はんばいじてんじょうほうかんりシステム] /(n) point-of-sale system/POS/
販売者 [はんばいしゃ] /(n) seller/
販売人 [はんばいにん] /(n) seller/sales agent/
販売戦略 [はんばいせんりゃく] /(n) sales strategy/
販売促進 [はんばいそくしん] /(n,adj-no) sales promotion/
販売代理店 [はんばいだいりてん] /(n) sales agent/
販売値段 [はんばいねだん] /(n) selling price/
販売店 [はんばいてん] /(n) store/shop/
販売部 [はんばいぶ] /(n) sales department/
販売部門 [はんばいぶもん] /(n) sales department/
販売名 [はんばいめい] /(n) brand name/
販売網 [はんばいもう] /(n) sales network/
販路 [はんろ] /(n) market/outlet/opening/(P)/
範 [はん] /(n) example/model/(P)/
範ちゅう [はんちゅう] /(n) category/
範を垂れる [はんをたれる] /(exp,v1) to give an example/
範囲 [はんい] /(n) extent/scope/sphere/range/span/(P)/
範囲を狭める [はんいをせばめる] /(exp,v1) to narrow down the range/
範囲演算子 [はんいえんざんし] /(n) (comp) range operator (..)/
範囲検査 [はんいけんさ] /(n) (comp) range check/
範囲内 [はんいない] /(n) (comp) in range/within range/
範囲名 [はんいめい] /(n) (comp) range name/
範囲明示文 [はんいめいじぶん] /(n) (comp) delimited scope statement/
範士 [はんし] /(n) fencing master of the top rank/
範例 [はんれい] /(n) example/
範列 [はんれつ] /(n) (ling) paradigm/
範列関係 [はんれつかんけい] /(n) (ling) paradigmatic relation/
範疇 [はんちゅう] /(n) category/
範疇部門 [はんちゅうぶもん] /(n,adj-no) categorial component/
範疇文法 [はんちゅうぶんぽう] /(n,adj-no) (ling) categorical grammar/
釆偏 [のごめへん] /(n) kanji "topped rice" radical (radical 165)/
煩 [はん] /(n) trouble/
煩い [うるさい] /(adj-i) (1) (uk) noisy/loud/(2) fussy/(3) annoying/troublesome/tiresome/importunate/(4) bossy/(P)/
煩い [わずらい] /(n) worry/agony/vexation/
煩う [わずらう] /(v5u,vi) to worry about/to be concerned about/to be afflicted with/to suffer from/(P)/
煩がる [うるさがる] /(v5r,vt) to feel annoyed at/
煩さがる [うるさがる] /(v5r,vt) to feel annoyed at/
煩さ型 [うるさがた] /(n) fastidiousness/faultfinding/nit-picking/
煩わしい [わずらわしい] /(adj-i) troublesome/annoying/complicated/(P)/
煩わす [わずらわす] /(v5s) to trouble/to bother/to annoy/to give trouble/
煩わせる [わずらわせる] /(v1) to trouble/to bother/to annoy/
煩を避ける [はんをさける] /(exp,v1) to spare the trouble (of doing)/
煩型 [うるさがた] /(n) fastidiousness/faultfinding/nit-picking/
煩雑 [はんざつ] /(adj-na,n) complex/intricate/complicated/confused/troublesome/vexatious/(P)/
煩多 [はんた] /(adj-na,n) multiplicity of troubles/so many as to be troublesome/
煩悩 [ぼんのう] /(n) (1) worldly desires/evil passions/appetites of the flesh/(2) (Buddh) klesha (polluting thoughts such as greed, hatred and delusion, which result in suffering)/(P)/
煩悩具足 [ぼんのうぐそく] /(n) possessing worldly desires and passions/
煩悩鷺 [ぼんのうさぎ] /(n) (uk) yellow bittern (Ixobrychus sinensis)/
煩忙 [はんぼう] /(adj-na,n) pressure of business/busy/(P)/
煩悶 [はんもん] /(n,vs) worry/agony/
煩悶懊悩 [はんもんおうのう] /(n,vs) anguish/agony/
煩累 [はんるい] /(n,vs) troubles/annoyances/
煩労 [はんろう] /(n) trouble/pains/backbreaking exertions/
煩瑣 [はんさ] /(adj-na,n) vexatious/troublesome/complicated/
煩瑣哲学 [はんさてつがく] /(n) (derog) scholastic philosophy/
頒価 [はんか] /(n) distribution price/
頒行 [はんこう] /(n,vs) (obsc) circulation/distribution/promulgation/
頒白 [はんぱく] /(n) (1) grayish color/greyish colour/(2) grizzled hair/
頒布 [はんぷ] /(n,vs) distribution/(P)/
頒布権 [はんぷけん] /(n) (movie) distribution rights/
飯 [まんま] /(n) cooked rice (baby talk)/
飯 [めし] /(n) (1) meals/food/(2) cooked rice/(3) one's livelihood/(P)/
飯が食えない [めしがくえない] /(exp,adj-i) cannot make a living/
飯ごう [はんごう] /(n) (1) (soldier's) cooking utensils/mess kit/(2) outdoor (camping) cooking utensils/
飯の食い上げ [めしのくいあげ] /(exp) losing the means of livelihood/
飯を喰う [めしをくう] /(exp,v5u) to devour a meal/to have a meal/
飯を蒸らす [めしをむらす] /(exp,v5s) to let cooked rice steam after turning off the heat/
飯を食う [めしをくう] /(exp,v5u) to devour a meal/to have a meal/
飯を盛る [めしをもる] /(exp,v5r) to serve rice in a bowl/
飯屋 [めしや] /(n) eating house/restaurant that makes simple food/
飯桐 [いいぎり] /(n) Idesia polycarpa/idesia/
飯綱 [いいずな] /(n) (uk) least weasel (Mustela nivalis)/
飯綱 [いいづな] /(n) (uk) least weasel (Mustela nivalis)/
飯綱 [いづな] /(n) a type of fox spirit/
飯匙 [いいがい] /(n) (arch) rice spoon/
飯匙倩 [はぶ] /(n) (uk) habu (East Asian pit viper of genus Trimeresurus)/
飯事 [ままごと] /(n) playing house/
飯事をする [ままごとをする] /(exp,vs-i) to play house/
飯時 [めしどき] /(n) mealtime/
飯借 [ままかり] /(n) (uk) Japanese sardinella (Sardinella zunasi)/
飯杓子 [めしじゃくし] /(n) (obsc) rice scoop/
飯場 [はんば] /(n) (sens) construction camp/bunkhouse/workers' living quarters/
飯炊き [めしたき] /(n) cooking rice/kitchenmaid/cook/
飯炊き女 [めしたきおんな] /(n) (1) female cook/kitchenmaid/(2) (arch) woman who served both as a waitress and a prostitute in Osaka teahouses/
飯盛り [めしもり] /(n) (Edo-period inn) maidservant/
飯盛り女 [めしもりおんな] /(n) maid at an inn who served clients and worked as a prostitute (Edo period)/
飯盛女 [めしもりおんな] /(n) maid at an inn who served clients and worked as a prostitute (Edo period)/
飯切 [はんぎり] /(n) (obsc) flat-bottomed wooden bowl for preparing sushi rice/
飯台 [はんだい] /(n) (Japanese-style) dining table/
飯蛸 [いいだこ] /(n) (uk) ocellated octopus (Octopus ocellatus)/
飯茶碗 [めしぢゃわん] /(n) rice bowl/
飯店 [はんてん] /(n) (Chinese) restaurant/
飯売女 [めしうりおんな] /(n) maid at an inn who served clients and worked as a prostitute (Edo period)/
飯米 [はんまい] /(n) rice/
飯落ち [めしおち] /(n,vs) (sl) dropping off-line to eat/
飯粒 [めしつぶ] /(n) grain of boiled rice/
飯椀 [めしわん] /(n) bowl used for serving rice/
飯碗 [めしわん] /(n) bowl used for serving rice/
飯櫃 [めしびつ] /(n) round, wooden container for cooked rice/
飯盒 [はんごう] /(n) (1) (soldier's) cooking utensils/mess kit/(2) outdoor (camping) cooking utensils/
挽き茶 [ひきちゃ] /(n) powdered green tea (steamed and dried before being stone-ground)/
挽き肉 [ひきにく] /(n) minced meat/ground meat/
挽く [ひく] /(v5k,vt) (1) to saw/(2) to grind (e.g. coffee beans)/to mill/
挽歌 [ばんか] /(n,adj-no) elegy/funeral song/
挽回 [ばんかい] /(n,vs) recovery/restoration/
挽茶 [ひきちゃ] /(n) powdered green tea (steamed and dried before being stone-ground)/
挽肉 [ひきにく] /(n) minced meat/ground meat/(P)/
晩 [ばん] /(n-adv,n-t) (1) evening/(ctr) (2) counter for nights/(P)/
晩い [おそい] /(adj-i) (1) late (e.g. "late at night")/
晩ご飯 [ばんごはん] /(n) dinner/evening meal/
晩さん会 [ばんさんかい] /(n) dinner party/
晩稲 [おくて] /(n,adj-no) (1) late growing rice/late crops/late blooming flowers/
晩稲 [ばんとう] /(n,adj-no) (1) late growing rice/late crops/late blooming flowers/
晩夏 [ばんか] /(n-adv,n) (1) late summer/(2) (obs) sixth month of the lunar calendar/
晩学 [ばんがく] /(n) late education/
晩期 [ばんき] /(n,adj-no) the last stage/
晩景 [ばんけい] /(n) evening scene/
晩御飯 [ばんごはん] /(n) dinner/evening meal/
晩婚 [ばんこん] /(n) late marriage/(P)/
晩餐 [ばんさん] /(n) dinner/
晩餐会 [ばんさんかい] /(n) dinner party/
晩蒔き [おそまき] /(n) (1) sowing late/(2) doing late/
晩蒔きながら [おそまきながら] /(exp) belatedly/
晩酌 [ばんしゃく] /(n,vs) evening drink/(P)/
晩秋 [ばんしゅう] /(n-adv,n) (1) late autumn (fall)/(2) (arch) ninth month of the lunar calendar/
晩熟 [ばんじゅく] /(n) late crops/a late bloomer/
晩春 [ばんしゅん] /(n-adv,n) (1) late spring/(2) (obs) third month of the lunar calendar/
晩照 [ばんしょう] /(n) sunset/setting sun/
晩鐘 [ばんしょう] /(n) evening bell/curfew/
晩食 [ばんしょく] /(n,vs) supper/dinner/
晩成 [ばんせい] /(n,vs,adj-no) late completion/a late bloomer/
晩成性 [ばんせいせい] /(adj-no,n) altricial/altricious/
晩生 [おくて] /(n,adj-no) (1) late growing rice/late crops/late blooming flowers/
晩生植物 [ばんせいしょくぶつ] /(n) slow grower/
晩節 [ばんせつ] /(n-adv,n-t) late in life/one's later years/
晩霜 [ばんそう] /(n) a late frost/
晩冬 [ばんとう] /(n-adv,n) (1) late winter/(2) (obs) twelfth month of the lunar calendar/
晩年 [ばんねん] /(n-adv,n-t) (one's) last years/(P)/
晩白柚 [ばんぺいゆ] /(n) Citrus grandis/Citrus maxima/
晩飯 [ばんめし] /(n) dinner/evening meal/
晩方 [ばんがた] /(n-adv,n-t) toward evening/
晩涼 [ばんりょう] /(n) evening cool/cool evening air/
番 [つがい] /(n) (1) (uk) (one) pair (e.g. of birds)/brace/couple/(2) joint/hinge/
番 [ばん] /(n) (1) number (in a series)/(2) (one's) turn/(3) watch/guard/lookout/(4) bout, match (sumo)/
番い [つがい] /(n) (1) (uk) (one) pair (e.g. of birds)/brace/couple/(2) joint/hinge/
番う [つがう] /(v5u,vi) (uk) to pair with/to pair up/to pair off/
番える [つがえる] /(v1,vt) to nock (an arrow)/to fix an arrow to the string/
番に当たる [ばんにあたる] /(exp,v5r) having one's inning/being on duty/
番る [つがえる] /(io) (v1,vt) to nock (an arrow)/to fix an arrow to the string/
番をする [ばんをする] /(exp,vs-i) to keep watch/to stand guard/
番屋 [ばんや] /(n) (1) sentry box/guardhouse/guard lodge/(2) (Edo period) police box/
番外 [ばんがい] /(n) extra/
番記者 [ばんきしゃ] /(n) reporter assigned to cover a particular person in order to get the most up-to-date information/
番狂わせ [ばんくるわせ] /(n) unexpected result/upset/surprise/
番犬 [ばんけん] /(n) watchdog/(P)/
番号 [ばんごう] /(n) number/series of digits/(P)/
番号案内 [ばんごうあんない] /(n) (comp) directory assistance/
番号記号 [ばんごうきごう] /(n) number sign/
番号継続制 [ばんごうけいぞくせい] /(n) (mobile phone) number portability (introduced to Japan in October 2005)/
番号計画 [ばんごうけいかく] /(n) (comp) numbering plan/
番号札 [ばんごうふだ] /(n) numbered tag or ticket/
番号帳 [ばんごうちょう] /(n) directory or book of numbers (e.g. telephone nos)/
番号通話 [ばんごうつうわ] /(n) (comp) station-to-station (comms)/
番傘 [ばんがさ] /(n) coarse oilpaper umbrella/
番手 [ばんて] /(n) (1) (yarn) count/(suf) (2) n-th place (e.g. in a race)/n-th in position (e.g. a starting lineup)/(P)/
番衆 [ばんしゅ] /(n) (arch) guard (of a daimyo, emperor, etc.)/
番衆 [ばんしゅう] /(n) (arch) guard (of a daimyo, emperor, etc.)/
番重 [ばんじゅう] /(ateji) (n) food tray (used in the food industry)/
番所 [ばんしょ] /(n) guard house/
番小屋 [ばんごや] /(n) guard house/
番人 [ばんにん] /(n) guard/watchman/
番線 [ばんせん] /(n) track number/
番組 [ばんぐみ] /(n) program (e.g. TV)/programme/(P)/
番組宣伝 [ばんぐみせんでん] /(n) program publicity/
番組編成 [ばんぐみへんせい] /(n) programming/programing/
番卒 [ばんそつ] /(n) sentry/guard/
番太 [ばんた] /(n) (vulg) watchman (implies low rank or burakumin status)/
番代 [ばんだい] /(n) (1) taking turns/(2) relieving the guard/
番台 [ばんだい] /(n) watch stand/watcher's seat/attendant's booth (e.g. at an onsen)/
番地 [ばんち] /(n) house number/address/(P)/
番茶 [ばんちゃ] /(n) coarse tea/
番茶も出花 [ばんちゃもでばな] /(exp) even a homely girl looks beautiful at the peak of her youth (lit: even coarse tea tastes good when freshly-brewed)/
番町政策研究所 [ばんちょうせいさくけんきゅうじょ] /(n) Bancho Seisaku Kenkyujo (faction of the LDP)/
番長 [ばんちょう] /(n) leader of a group of juvenile delinquents/
番頭 [ばんとう] /(n) (head) clerk/
番付 [ばんづけ] /(n) ranking of entertainers, sumo wrestlers, etc./(P)/
番付け [ばんづけ] /(io) (n) ranking of entertainers, sumo wrestlers, etc./
番付外 [ばんづけがい] /(n) outside the rankings (sumo)/
番付表 [ばんづけひょう] /(n) table with sumo rankings/
番付編成会議 [ばんづけへんせいかいぎ] /(n) committee arranging the sumo ranking/
番附 [ばんづけ] /(n) ranking of entertainers, sumo wrestlers, etc./
番兵 [ばんぺい] /(n) sentry/guard/
番目 [ばんめ] /(n) cardinal number suffix/(P)/
盤 [さら] /(n) (1) plate/dish/platter/disc/(n,n-suf,ctr) (2) serving/helping/course/(n) (3) kanji radical 108 (at the bottom)/
盤 [ばん] /(n,n-suf) (1) disk/disc/record/clock face/(2) tray/shallow bowl/(3) grid/board (e.g. in shogi)/(P)/
盤割 [ばんかつ] /(n) discoidal cleavage/
盤古 [ばんこ] /(n) mythical Chinese god who created heaven and earth/
盤固 [ばんこ] /(n) mythical Chinese god who created heaven and earth/
盤根 [ばんこん] /(n) entwined roots/
盤根錯節 [ばんこんさくせつ] /(n) hard to penetrate event or situation/
盤渉 [ばんしき] /(n) (in Japan) 10th note of the ancient chromatic scale (approx. B)/
盤渉調 [ばんしきちょう] /(n) (in gagaku) scale similar to Dorian mode on B/
盤石 [ばんじゃく] /(n) huge rock/firmness/
盤台 [ばんだい] /(n) oval tub or tray used in fish shops/
盤面 [ばんめん] /(n) surface of a board or record/
盤竜類 [ばんりゅうるい] /(n) pelycosaurs/
盤領 [あげくび] /(n) neckband/round upright collar (on some traditional Japanese clothing)/
盤領 [ばんりょう] /(n) round collar (of traditional Japanese clothing)/
盤領 [まるえり] /(n) round collar (of traditional Japanese clothing)/
盤踞 [ばんきょ] /(n,vs) wielding authority/
磐 [いわ] /(n) rock/crag/
磐境 [いわさか] /(n) (arch) shrine/
磐座 [いわくら] /(n) (arch) dwelling place of a god (usu. in reference to a large rock)/
磐石 [ばんじゃく] /(n) huge rock/firmness/
蕃夷 [ばんい] /(n) savages/barbarians/
蕃茄 [ばんか] /(n) tomato/
蕃社 [ばんしゃ] /(n) aborigines village/
蕃主 [ばんしゅ] /(n) feudal lord/
蕃書 [ばんしょ] /(n) (Edo period) foreign writings/
蕃殖 [はんしょく] /(n,vs,adj-no) breed/multiply/increase/propagation/
蕃神 [ばんしん] /(n) foreign deities/
蕃人 [ばんじん] /(n) savage/barbarian/aboriginal/
蕃僧 [ばんそう] /(n) (obsc) foreign priest/Western priest/
蕃族 [ばんぞく] /(n) savage tribe/
蕃地 [ばんち] /(n) savage land/
蕃別 [ばんべつ] /(n) clans supposedly descended from foreign lineage (i.e. Chinese or Korean)/
蕃椒 [とうがらし] /(n) (1) capsicum (Capsicum annuum, esp. the cultivated chili peppers)/chili pepper (chile, chilli)/cayenne/red pepper/
蕃椒 [ばんしょう] /(n) (1) capsicum (Capsicum annuum, esp. the cultivated chili peppers)/chili pepper (chile, chilli)/cayenne/red pepper/(2) Guinea pepper/
蕃茘枝 [ばんれいし] /(n) (uk) sweetsop (Annona squamosa)/
蛮カラ [ばんカラ] /(n,adj-na) (1) scruffy/unconcerned about one's personal appearance/(2) rough and uncouth vigor (vigour)/
蛮夷 [ばんい] /(n) barbarian/savage/
蛮境 [ばんきょう] /(n) land of the barbarians/
蛮襟 [ばんから] /(n,adj-na) (1) scruffy/unconcerned about one's personal appearance/(2) rough and uncouth vigor (vigour)/
蛮語 [ばんご] /(n) language of the barbarians/
蛮行 [ばんこう] /(n) act of barbarity/brutality/barbarism/(P)/
蛮骨 [ばんこつ] /(n) brute courage/recklessness/
蛮習 [ばんしゅう] /(n) barbarous custom/
蛮人 [ばんじん] /(n) savage/barbarian/aboriginal/
蛮声 [ばんせい] /(n) rough voice/
蛮僧 [ばんそう] /(n) (obsc) foreign priest/Western priest/
蛮族 [ばんぞく] /(n) savage tribe/
蛮地 [ばんち] /(n) barbaric region/
蛮的 [ばんてき] /(adj-na) savage/barbarous/rustic/
蛮風 [ばんぷう] /(n) barbarous customs/
蛮民 [ばんみん] /(n) savage people/
蛮勇 [ばんゆう] /(n) foolhardiness/recklessness/savage valour/savage valor/brute courage/(P)/
蛮力 [ばんりょく] /(n) brute force/
蛮隷 [ばんれい] /(n) slaves of the barbarians/
匪賊 [ひぞく] /(n) bandit/rebel/
匪団 [ひだん] /(n) bandit gang/
匪徒 [ひと] /(n) bandit/
匪躬 [ひきゅう] /(n) self-sacrificing service/
卑しい [いやしい] /(adj-i) (1) lowborn/humble/lowly/(2) vulgar/coarse/crude/mean/base/vile/(3) shabby/(4) greedy/gluttonous/avaricious/(P)/
卑しい生まれ [いやしいうまれ] /(exp,adj-no) lowborn/of humble birth/
卑しからぬ [いやしからぬ] /(exp) respectable/decent/
卑しみ [いやしみ] /(n) contempt/
卑しむ [いやしむ] /(v5m) to despise/to disdain/to scorn/
卑しむべき [いやしむべき] /(exp) despicable/
卑しめる [いやしめる] /(v1,vt) to despise/to abase (oneself)/
卑しん坊 [いやしんぼう] /(n) greedy person/
卑下 [ひげ] /(n,vs,adj-no) self-abasement/humility/self-depreciation/
卑下自慢 [ひげじまん] /(exp) (id) Too much humility is pride/
卑怯 [ひきょう] /(adj-na,n) cowardice/meanness/unfairness/(P)/
卑怯者 [ひきょうもの] /(n) coward/
卑怯千万 [ひきょうせんばん] /(n,adj-na) very mean (sneaky)/extremely unsportsmanlike/
卑近 [ひきん] /(adj-na,n) common/simple/
卑金属 [ひきんぞく] /(n) base metals/
卑屈 [ひくつ] /(adj-na,n) menial/meanness/servility/abject/(P)/
卑見 [ひけん] /(n) my humble opinion/
卑言 [ひげん] /(n) slang expression/
卑語 [ひご] /(n) vulgar expression/vulgarism/
卑湿 [ひしつ] /(adj-na,n) low and damp (land)/
卑小 [ひしょう] /(adj-na,n) petty/trifling/
卑称 [ひしょう] /(n) this wretch (oneself)/you wretch/
卑賎 [ひせん] /(adj-na,n) low class/lowly (position)/humble (condition)/
卑俗 [ひぞく] /(adj-na,n) vulgarity/vulgarism/vulgar/coarse/
卑属 [ひぞく] /(n) lineal descendants (beyond grandchildren)/
卑罵語 [ひばご] /(n) (obsc) pejorative term/derogatory word/invective/
卑劣 [ひれつ] /(adj-na,n) mean/foul play/cowardly/base/(P)/
卑劣漢 [ひれつかん] /(n) mean bastard/sneak/heel/despicable person/
卑屬 [ひぞく] /(oK) (n) lineal descendants (beyond grandchildren)/
卑猥 [ひわい] /(adj-na,n) (uk) indecent/obscene/
卑賤 [ひせん] /(adj-na,n) low class/lowly (position)/humble (condition)/
卑陋 [ひろう] /(adj-na,n) low rank/wickedness/vulgarity/
否 [いいえ] /(int) (1) (uk) no/nay/(2) (uk) well/er/why/(P)/
否 [いいや] /(int) (1) (uk) no/nay/(2) (uk) well/er/why/
否 [いえ] /(int) (1) (uk) no/nay/(2) (uk) well/er/why/(P)/
否 [いな] /(int) (1) (uk) no/nay/(2) (uk) well/er/why/(P)/
否 [いや] /(int) (1) (uk) no/nay/(2) (uk) well/er/why/
否 [ひ] /(n) no/the noes/(P)/
否々 [いえいえ] /(int) (uk) no, not at all/
否々 [いやいや] /(adv,adj-no) (uk) reluctantly/by no means/unwillingly/(P)/
否々乍ら [いやいやながら] /(adv) (uk) reluctantly/
否か [いなか] /(conj) .. or not/
否か応か [ひかおうか] /(exp) yes or no/
否が応 [いやがおう] /(adv) willy-nilly/whether willing or not/
否でも [いやでも] /(exp) (uk) whether one likes it or not/willy-nilly/
否でも応でも [いやでもおうでも] /(adv) willy-nilly/whether willing or not/
否という程 [いやというほど] /(n) persistently/bitterly/extremely/
否む [いなむ] /(v5m,vt) to refuse/to decline/to deny/
否む [いやむ] /(v5m,vt) to detest/to dislike/
否めない [いなめない] /(exp) cannot deny/undeniable/incontrovertible/
否め無い [いなめない] /(exp) cannot deny/undeniable/incontrovertible/
否や [いなや] /(exp) (1) as soon as/no sooner than/one way or another/(n) (2) objection/
否運 [ひうん] /(n) bad fortune/misfortune/
否応 [いやおう] /(n) answer respectively agreement or disagreement/
否応なし [いやおうなし] /(adj-no) (uk) compulsory/
否応なしに [いやおうなしに] /(adv) whether one likes it or not/compulsorily/by force/
否応無し [いやおうなし] /(adj-no) (uk) compulsory/
否応無しに [いやおうなしに] /(adv) whether one likes it or not/compulsorily/by force/
否決 [ひけつ] /(n,vs) rejection/negation/voting down/(P)/
否定 [ひてい] /(n,vs,adj-no) (1) negation/denial/repudiation/(2) (comp) NOT operation/(P)/
否定応答 [ひていおうとう] /(n) negative acknowledge/NAK/
否定回路 [ひていかいろ] /(n) (comp) NOT circuit/
否定形 [ひていけい] /(n) negative form/
否定語 [ひていご] /(n) negative word/
否定神学 [ひていしんがく] /(n) negative theology/
否定積 [ひていせき] /(n) (comp) non-conjunction/NAND operation/NOT-BOTH operation/
否定素子 [ひていそし] /(n) (comp) NOT gate/NOT element/
否定組合せ条件 [ひていくみあわせじょうけん] /(n) (comp) negated combined condition/
否定単純条件 [ひていたんじゅんじょうけん] /(n) (comp) negated simple condition/
否定的 [ひていてき] /(adj-na) negative/contradictory/
否定文 [ひていぶん] /(n) (ling) negative sentence/
否定論理積 [ひていろんりせき] /(n) (comp) non-conjunction/NAND operation/NOT-BOTH operation/
否定論理積演算 [ひていろんりせきえんざん] /(n) (comp) Negative AND operation/
否定論理積素子 [ひていろんりせきそし] /(n) (comp) NAND gate/NAND element/
否定論理和 [ひていろんりわ] /(n) (comp) non-disjunction/NOR operation/NEITHER-NOR operation/
否定論理和演算 [ひていろんりわえんざん] /(n) (comp) Negative OR operation/
否定論理和素子 [ひていろんりわそし] /(n) (comp) NOR gate/NOR element/
否定和 [ひていわ] /(n) (comp) non-disjunction/NOR operation/NEITHER-NOR operation/
否認 [ひにん] /(n,vs) denial/negation/repudiation/disapproval/(P)/
否否 [いえいえ] /(int) (uk) no, not at all/
否否 [いやいや] /(adv,adj-no) (uk) reluctantly/by no means/unwillingly/
否否乍ら [いやいやながら] /(adv) (uk) reluctantly/
妃 [きさき] /(n) empress/queen/
妃 [ひ] /(n) princess/consort/(P)/
妃殿下 [ひでんか] /(n) (hon) princess/Her Royal Highness/(P)/
庇 [ひさし] /(n) (1) (uk) eaves (of roof)/(2) narrow aisle surrounding the core of a temple building/(3) visor or peak (of cap)/(4) (abbr) classic Japanese women's low pompadour hairstyle/
庇い手 [かばいて] /(n) rule allowing the clear winner of sumo bout to touch down first to avoid injury/
庇い立て [かばいたて] /(n,vs) protect/defend/
庇う [かばう] /(v5u,vt) to protect someone/to take under one's wing/to plead for/to stick up for/to cover up for someone/(P)/
庇を貸して母屋を取られる [ひさしをかしておもやをとられる] /(exp) (id) Give him an inch and he'll take an ell/Give him an inch and he'll take a yard/
庇護 [ひご] /(n,vs) patronage/protection/
庇護者 [ひごしゃ] /(n) guardian/mentor/protector/
庇髪 [ひさしがみ] /(n) (obsc) classic Japanese women's low pompadour hairstyle/
彼 [あ] /(ok) (n) (1) (uk) that (indicating something distant from both speaker and listener (in space, time or psychologically), or something understood without naming it directly)/(2) that person (used to refer to one's equals or inferiors)/(3) (arch) over there/(int) (4) hey (expression of surprise or suspicion)/eh?/(n) (5) that (something mentioned before which is distant psychologically or in terms of time)/
彼 [あれ] /(n) (1) (uk) that (indicating something distant from both speaker and listener (in space, time or psychologically), or something understood without naming it directly)/(2) that person (used to refer to one's equals or inferiors)/(3) (arch) over there/(4) (col) down there (i.e. one's genitals)/(5) (col) period/menses/(int) (6) hey (expression of surprise or suspicion)/eh?/(n) (7) that (something mentioned before which is distant psychologically or in terms of time)/(P)/
彼 [かれ] /(pn) (1) he/him/(adj-no) (2) his/(3) boyfriend/(P)/
彼とか [かんとか] /(n) (uk) something/something or other/so-and-so/
彼なり [かれなり] /(adj-no,adv) his way/peculiar to him/
彼の [あの] /(adj-pn) (uk) that (someone or something distant from both speaker and listener, or situation unfamiliar to both speaker and listener)/(P)/
彼の [かの] /(adj-pn) (uk) that (someone or something distant from both speaker and listener, or situation unfamiliar to both speaker and listener)/
彼の地 [かのち] /(n) there/that place/
彼は誰時 [かわたれどき] /(n) (arch) dawn (orig. also used in reference to dusk)/
彼や此れや [あれやこれや] /(exp) (uk) this and that/
彼や是や [あれやこれや] /(exp) (uk) this and that/
彼ら [あれら] /(n,adj-no) (1) (uk) those (indicating something distant from both speaker and listener, or something understood without naming it directly)/(2) (arch) they (of people) (used to refer to one's equals or inferiors)/
彼ら [かれら] /(pn,adj-no) they (usually male)/them/(P)/
彼らの助力に依って [かれらのじょりょくによって] /(exp) by dint of their help/
彼を知り己を知れば百戦殆からず [かれをしりおのれをしればひゃくせんあやうからず] /(exp) If you know your enemy and know yourself, in a hundred battles you will never be defeated./
彼我 [ひが] /(n) self and others/this and that/both sides/oneself and one's opponent/he and I/
彼岸 [ひがん] /(n) (1) equinoctial week (when Buddhist services are held)/(2) (abbr) Buddhist services during the equinoctial week/(3) (Buddh) nirvana/(P)/
彼岸花 [ひがんばな] /(n) red spider lily (Lycoris radiata)/cluster amaryllis/
彼岸会 [ひがんえ] /(n) Buddhist services during the equinoctial week/
彼岸桜 [ひがんざくら] /(n) (1) (uk) higan cherry (species of weeping cherry tree, Prunus subhirtella)/early-flowering cherry (around the spring equinox)/(2) (col) double weeping rosebud cherry (Prunus pendula)/
彼個人 [かれこじん] /(exp) (1) he himself/(adj-no) (2) his personal/
彼此 [あれこれ] /(adv,pn) (1) (uk) one thing or another/this and that/this or that/(P)/
彼此 [かれこれ] /(adv,pn) (1) (uk) one thing or another/this and that/this or that/(2) just on/nearly/roughly/almost/round about/
彼氏 [かれし] /(pn,adj-no) boyfriend/(P)/
彼自身 [かれじしん] /(n) himself/he himself/
彼処 [あこ] /(ok) (pn,adj-no) (1) (uk) there (place physically distant from both speaker and listener)/over there/that place/yonder/(2) that far (something psychologically distant from both speaker and listener)/that much/that point/
彼処 [あしこ] /(ok) (pn,adj-no) (1) (uk) there (place physically distant from both speaker and listener)/over there/that place/yonder/(2) that far (something psychologically distant from both speaker and listener)/that much/that point/
彼処 [あすこ] /(pn,adj-no) (1) (uk) there (place physically distant from both speaker and listener)/over there/that place/yonder/(n) (2) (col) genitals/(3) that far (something psychologically distant from both speaker and listener)/that much/that point/
彼処 [あそこ] /(pn,adj-no) (1) (uk) there (place physically distant from both speaker and listener)/over there/that place/yonder/(n) (2) (col) genitals/(3) that far (something psychologically distant from both speaker and listener)/that much/that point/(P)/
彼処 [かしこ] /(pn,adj-no) (1) (uk) there (place physically distant from both speaker and listener)/over there/that place/yonder/(2) that far (something psychologically distant from both speaker and listener)/that much/that point/
彼所 [あこ] /(ok) (pn,adj-no) (1) (uk) there (place physically distant from both speaker and listener)/over there/that place/yonder/(2) that far (something psychologically distant from both speaker and listener)/that much/that point/
彼所 [あしこ] /(ok) (pn,adj-no) (1) (uk) there (place physically distant from both speaker and listener)/over there/that place/yonder/(2) that far (something psychologically distant from both speaker and listener)/that much/that point/
彼所 [あすこ] /(pn,adj-no) (1) (uk) there (place physically distant from both speaker and listener)/over there/that place/yonder/(n) (2) (col) genitals/(3) that far (something psychologically distant from both speaker and listener)/that much/that point/
彼所 [あそこ] /(pn,adj-no) (1) (uk) there (place physically distant from both speaker and listener)/over there/that place/yonder/(n) (2) (col) genitals/(3) that far (something psychologically distant from both speaker and listener)/that much/that point/
彼所 [かしこ] /(pn,adj-no) (1) (uk) there (place physically distant from both speaker and listener)/over there/that place/yonder/(2) that far (something psychologically distant from both speaker and listener)/that much/that point/
彼女 [かのじょ] /(pn) (1) she/her/(adj-no) (2) her/(3) girl friend/girlfriend/sweetheart/(P)/
彼女ら [かのじょら] /(pn,adj-no) they (females)/them/
彼女自身 [かのじょじしん] /(pn) herself/she herself/
彼女等 [かのじょら] /(pn,adj-no) they (females)/them/
彼是 [あれこれ] /(adv,pn) (1) (uk) one thing or another/this and that/this or that/
彼是 [かれこれ] /(adv,pn) (1) (uk) one thing or another/this and that/this or that/(2) just on/nearly/roughly/almost/round about/
彼程 [あれほど] /(adv,adj-no) (uk) to that extent/
彼奴 [あいつ] /(pn,adj-no) (uk) (col) he/she/that guy/(P)/
彼奴 [かやつ] /(pn,adj-no) (uk) (col) he/she/that guy/
彼奴 [きゃつ] /(pn,adj-no) (uk) (col) he/she/that guy/
彼等 [あれら] /(n,adj-no) (1) (uk) those (indicating something distant from both speaker and listener, or something understood without naming it directly)/(2) (arch) they (of people) (used to refer to one's equals or inferiors)/
彼等 [かれら] /(pn,adj-no) they (usually male)/them/
彼方 [あち] /(ok) (pn,adj-no) (1) (uk) that way (direction distant from both speaker and listener)/over there/yonder/(2) that one (something physically distant from both speaker and listener, or something not visible but known by both speaker and listener)/that/(pn) (3) that person (someone physically distant from both speaker and listener, or someone not present but known by both speaker and listener)/(4) there (place distant from both speaker and listener)/over there/foreign country (esp. a Western nation)/
彼方 [あちら] /(pn,adj-no) (1) (uk) that way (direction distant from both speaker and listener)/over there/yonder/(2) that one (something physically distant from both speaker and listener, or something not visible but known by both speaker and listener)/that/(pn) (3) that person (someone physically distant from both speaker and listener, or someone not present but known by both speaker and listener)/(4) there (place distant from both speaker and listener)/over there/foreign country (esp. a Western nation)/(P)/
彼方 [あっち] /(pn,adj-no) (1) (uk) that way (direction distant from both speaker and listener)/over there/yonder/(2) that one (something physically distant from both speaker and listener, or something not visible but known by both speaker and listener)/that/(pn) (3) that person (someone physically distant from both speaker and listener, or someone not present but known by both speaker and listener)/(4) there (place distant from both speaker and listener)/over there/foreign country (esp. a Western nation)/(P)/
彼方 [あなた] /(pn,adj-no) (uk) beyond/across/the other side/the distance/
彼方 [かなた] /(pn,adj-no) (uk) beyond/across/the other side/the distance/(P)/
彼方此方 [あちこち] /(adv,pn) (1) (uk) here and there/(vs) (2) to get things in the wrong order (back to front)/to become muddled up/(P)/
彼方此方 [あちらこちら] /(adv,pn) (1) (uk) here and there/(vs) (2) to get things in the wrong order (back to front)/to become muddled up/(P)/
彼方此方 [あっちこっち] /(adv,pn) (1) (uk) here and there/(vs) (2) to get things in the wrong order (back to front)/to become muddled up/(P)/
彼方此方 [あなたこなた] /(ok) (adv,pn) (1) (uk) here and there/
彼方此方 [かなたこなた] /(adv,pn) (1) (uk) here and there/
彼方任せ [あなたまかせ] /(exp) leaving everything to Buddha's providence/depending on others/leaving things to others/
彼方方 [あなたがた] /(n) (1) (arch) that way/over there/(pn) (2) (arch) that person/him/her/
彼方立てれば此方が立たぬ [あちらたてればこちらがたたぬ] /(exp) (id) It's hard to please everybody/
悲 [ひ] /(n) (Buddh) karuna (compassion)/
悲しい [かなしい] /(adj-i) sad/sorrowful/(P)/
悲しい歌 [かなしいうた] /(n) doleful song/sad song/
悲しい哉 [かなしいかな] /(exp) Sad to say/How sad/Alas/
悲しい出来事 [かなしいできごと] /(n) sad event/
悲しがる [かなしがる] /(v5r,vi) to feel sorrow/to be sad/
悲しげに [かなしげに] /(adv) with a sad look/sadly/
悲しさ [かなしさ] /(n) sadness/sorrow/grief/
悲しみ [かなしみ] /(n) sadness/sorrow/grief/(P)/
悲しみに閉ざされる [かなしみにとざされる] /(exp,v1) to be buried in grief/
悲しみを紛らす [かなしみをまぎらす] /(exp,v5s) to divert one's mind from sorrow/
悲しむ [かなしむ] /(v5m,vt) to be sad/to mourn for/to regret/(P)/
悲しむべき境遇 [かなしむべききょうぐう] /(n) pitiable condition/
悲し相な顔 [かなしそうなかお] /(n) sad-looking face/
悲哀 [ひあい] /(n) sorrow/grief/sadness/(P)/
悲運 [ひうん] /(n) sad fate/tragic doom/ill fate/
悲歌 [ひか] /(n,vs,adj-no) elegy/dirge/mournful melody/
悲歌慷慨 [ひかこうがい] /(n,vs) indignant lamentation over the evils of the times/
悲観 [ひかん] /(n,vs) pessimism/disappointment/(P)/
悲観主義者 [ひかんしゅぎしゃ] /(n) pessimist/
悲観的 [ひかんてき] /(adj-na) pessimistic/(P)/
悲観論 [ひかんろん] /(n) pessimism/
悲観論者 [ひかんろんしゃ] /(n) pessimist/
悲願 [ひがん] /(n) one's dearest wish/Buddha's vow to save humanity/(P)/
悲喜 [ひき] /(n) joys and sorrows/
悲喜こもごも [ひきこもごも] /(n,adj-no) bittersweet/having mingled feelings of joy and sorrow/joy and sorrow alternating in one's heart/
悲喜劇 [ひきげき] /(n) tragicomedy/
悲喜交々 [ひきこもごも] /(n,adj-no) bittersweet/having mingled feelings of joy and sorrow/joy and sorrow alternating in one's heart/
悲喜交交 [ひきこもごも] /(n,adj-no) bittersweet/having mingled feelings of joy and sorrow/joy and sorrow alternating in one's heart/
悲泣 [ひきゅう] /(n,vs) tears of grief/crying with sadness/
悲境 [ひきょう] /(n) adversity/sad circumstances/
悲況 [ひきょう] /(n) adversity/sad circumstances/
悲曲 [ひきょく] /(n) elegy/sad tune/plaintive melody/
悲劇 [ひげき] /(n,adj-no) tragedy/disaster/(P)/
悲劇的 [ひげきてき] /(adj-na) tragic/
悲惨 [ひさん] /(adj-na) disastrous/tragic/miserable/wretched/pitiful/(P)/
悲愁 [ひしゅう] /(n) grief/
悲傷 [ひしょう] /(n,vs) grief/
悲壮 [ひそう] /(adj-na,n) heroic/tragic/grim/pathetic/touching/(P)/
悲嘆 [ひたん] /(n,vs) grief/sorrow/anguish/lamentation/(P)/
悲嘆にくれる [ひたんにくれる] /(exp,v1) to suffer heartache/
悲嘆に暮れる [ひたんにくれる] /(exp,v1) to suffer heartache/
悲歎 [ひたん] /(n,vs) grief/sorrow/anguish/lamentation/
悲痛 [ひつう] /(adj-na,n,adj-no) bitterness/pathos/(P)/
悲憤 [ひふん] /(n,vs) indignation/resentment/
悲憤慷慨 [ひふんこうがい] /(n,vs) indignant lamentation over the evils of the times/
悲報 [ひほう] /(n) sad news/news of a death/
悲鳴 [ひめい] /(n,vs) shriek/scream/(P)/
悲鳴をあげる [ひめいをあげる] /(exp,v1) (1) to scream/(2) to whine/to grumble/to complain/
悲鳴を上げる [ひめいをあげる] /(exp,v1) (1) to scream/(2) to whine/to grumble/to complain/
悲涙 [ひるい] /(n) tears of sadness/
悲恋 [ひれん] /(n) blighted love/disappointed love/(P)/
悲恋物語 [ひれんものがたり] /(n) tragic love story/tale of tragic love/
悲話 [ひわ] /(n) sad or tragic story/
悲愴 [ひそう] /(adj-na,n) pathetic/sad/sorrowful/grievous/
扉 [とびら] /(n) (1) door/gate/opening/(2) title page/(P)/
扉絵 [とびらえ] /(n) frontispiece/
批議 [ひぎ] /(n,vs) blaming/criticizing/criticising/
批准 [ひじゅん] /(n,vs) ratification/ratify/(P)/
批准書 [ひじゅんしょ] /(n) instrument of ratification/
批点 [ひてん] /(n) correction marks/
批難 [ひなん] /(n,vs,adj-na) blame/attack/criticism/
批難の目を向ける [ひなんのめをむける] /(exp,v1) to regard someone with odium/to look at someone with reproach/
批難を浴びせる [ひなんをあびせる] /(exp,v1) to heap abuse upon (a person)/to criticize strongly/to blast (someone)/
批難合戦 [ひなんかっせん] /(n,vs) (engaging in a round of) mutual criticism/repeated attacks on each other/
批難囂々 [ひなんごうごう] /(n,adj-t,adv-to) enraged outcry/loud protest/being bitterly criticized by others/being loudly denounced by others/
批難囂囂 [ひなんごうごう] /(n,adj-t,adv-to) enraged outcry/loud protest/being bitterly criticized by others/being loudly denounced by others/
批判 [ひはん] /(n,vs) criticism/judgement/judgment/comment/(P)/
批判材料 [ひはんざいりょう] /(n) elements deserving criticism/material used to criticize someone (something)/
批判者 [ひはんしゃ] /(n) critic/
批判的 [ひはんてき] /(adj-na,n) critical/(P)/
批判的リアリズム [ひはんてきリアリズム] /(n) critical realism/
批判哲学 [ひはんてつがく] /(n) critical philosophy/
批判力 [ひはんりょく] /(n) critical power/critical ability/
批評 [ひひょう] /(n,vs,adj-no) criticism/review/commentary/(P)/
批評家 [ひひょうか] /(n) critic/
批評眼 [ひひょうがん] /(n) critical eye/
披見 [ひけん] /(n,vs) read/peruse/
披講 [ひこう] /(n,vs) introduction of poems at a poetry party/
披歴 [ひれき] /(n,vs) express one's opinion/making known/revealing/stating/(P)/
披露 [ひろう] /(n,vs) announcement/show/display/introduction/(P)/
披露宴 [ひろうえん] /(n) reception (wedding)/(P)/
披露目 [ひろめ] /(ateji) (n,vs) making something widely known/introduction/debut/announcement/unveiling/
披瀝 [ひれき] /(n,vs) express one's opinion/making known/revealing/stating/
斐紙 [ひし] /(n) traditional Japanese paper made from the fibre of plant species Diplomorpha sikokiana (high quality, glossy)/
斐然 [ひぜん] /(adj-t,adv-to) beautiful/florid/
比 [ころおい] /(n) time/period/days/
比 [たぐい] /(io) (n) (1) kind/sort/type/(2) equal/match/peer/
比 [ひ] /(n,n-suf) (1) ratio/proportion/(2) match/equal/(3) explicit comparison (style of the Shi Jing)/(4) (abbr) Philippines/(P)/
比い [たぐい] /(n) (1) kind/sort/type/(2) equal/match/peer/
比える [たぐえる] /(v1) (1) (uk) (obsc) to compare/to liken/(2) to make (someone) accompany/
比える [よそえる] /(v1) (1) (uk) to compare/to liken/(2) to use as a pretext/
比おい [ころおい] /(n) time/period/days/
比する [ひする] /(vs-s) to compare/
比べ [くらべ] /(n,n-suf) (uk) contest/comparison/competition/(P)/
比べる [くらべる] /(v1,vt) (1) to compare/to make a comparison/(2) to compete/to vie/(P)/
比べ物 [くらべもの] /(n) worthy of comparison/
比べ物にならない [くらべものにならない] /(adj-i) cannot be compared with/no match for/
比を求める [ひをもとめる] /(exp,v1) to obtain the ratio/
比を見ない [ひをみない] /(adj-i) unique/unrivaled/unrivalled/
比叡山 [ひえいざん] /(n) Mt. Hiei (in Kyoto)/
比価 [ひか] /(n) parity/
比較 [ひかく] /(n,vs,adj-no) comparison/(P)/
比較演算子 [ひかくえんざんし] /(n) (comp) relational operator/relation/
比較解剖学 [ひかくかいぼうがく] /(n) comparative anatomy/
比較関係 [ひかくかんけい] /(n) (comp) comparative relation/
比較器 [ひかくき] /(n) (comp) comparator/
比較級 [ひかくきゅう] /(n) (ling) comparative/comparative degree/
比較言語学 [ひかくげんごがく] /(n) (ling) comparative linguistics/
比較行動学 [ひかくこうどうがく] /(n) ethology/
比較式 [ひかくしき] /(n) (comp) comparison expression/
比較条件 [ひかくじょうけん] /(n) (comp) relation condition/
比較生理学 [ひかくせいりがく] /(n) comparative physiology/
比較対照 [ひかくたいしょう] /(n,vs) comparison and contrast/
比較的 [ひかくてき] /(adj-na,adv) comparative/relative/(P)/
比較発生学 [ひかくはっせいがく] /(n) comparative embryology/
比較文化 [ひかくぶんか] /(n,adj-no) cross-cultural/comparative culture/
比較文学 [ひかくぶんがく] /(n) comparative literature/
比較文字 [ひかくもじ] /(n) (comp) relation character/
比較法学 [ひかくほうがく] /(n) comparative law/
比丘 [びく] /(n) bhikkhu (fully ordained Buddhist monk) (san: bhiksu)/
比丘尼 [びくに] /(n) bhikkhuni (fully ordained Buddhist nun) (san: bhiksuni)/
比丘尼ん [びくにん] /(n) (arch) (obsc) bhikkhuni (fully ordained Buddhist nun)/
比況 [ひきょう] /(n) comparison/similitude/
比肩 [ひけん] /(n,vs) rank equal with/compare favourably with/compare favorably with/
比重 [ひじゅう] /(n) (1) specific gravity/weight/part/(2) relative weight/relative importance/(P)/
比重計 [ひじゅうけい] /(n) densimeter/hydrometer/
比定 [ひてい] /(n,vs) hypothesis (formed by comparison with other similar objects)/identification/
比抵抗 [ひていこう] /(n) resistivity/specific resistance/
比抵抗計 [ひていこうけい] /(n) resistivity meter/
比電荷 [ひでんか] /(n) specific charge/
比島 [ひとう] /(n) the Philippines/
比日 [ひにち] /(n) the Philippines and Japan/
比熱 [ひねつ] /(n) specific heat/
比売知 [ひめじ] /(n) (uk) Bensasi goatfish (species of red mullet, Upeneus japonicus)/
比目魚 [ひらめ] /(n) (1) (uk) flounder (esp. the large-tooth flounders of family Paralichthyidae, but also lefteye flounders of family Bothidae)/(2) bastard halibut/olive flounder (Paralichthys olivaceus)/
比目魚筋 [ひらめきん] /(n) soleus muscle/
比諭 [ひゆ] /(n) allegory/parable/
比誘電率 [ひゆうでんりつ] /(n) dielectric constant/relative permittivity/specific inductive capacity/
比翼 [ひよく] /(n) wings abreast/single garment made to look double/
比翼の鳥 [ひよくのとり] /(n) happily married couple/
比翼塚 [ひよくづか] /(n) double grave of lovers who died together/
比翼連理 [ひよくれんり] /(n) marital vows/
比律賓 [ふぃりっぴん] /(n) (uk) Philippines/
比率 [ひりつ] /(n) ratio/proportion/percentage/(P)/
比良おろし [ひらおろし] /(n) strong local wind blowing around the Hira mountains in Shiga prefecture (sinks boats on the lake and stops trains of the Kosei Line)/
比良颪 [ひらおろし] /(n) strong local wind blowing around the Hira mountains in Shiga prefecture (sinks boats on the lake and stops trains of the Kosei Line)/
比倫 [ひりん] /(n) peer/match/equal/
比隣 [ひりん] /(n) nearby/vicinity/
比類 [ひるい] /(n) parallel/equal/match/
比類のない [ひるいのない] /(adj-i) peerless/
比例 [ひれい] /(n,vs) proportion/(P)/
比例に応じて [ひれいにおうじて] /(n) (comp) proportional/
比例区 [ひれいく] /(n) proportionally represented constituency/
比例式 [ひれいしき] /(n) proportional expression/
比例税 [ひれいぜい] /(n) proportional tax/
比例代表制 [ひれいだいひょうせい] /(n) proportional representation/
比例中項 [ひれいちゅうこう] /(n) mean proportional (i.e. geometric mean)/
比例配分 [ひれいはいぶん] /(n) proportional distribution/
比喩 [ひゆ] /(n) simile/metaphor/(P)/
比喩的 [ひゆてき] /(adj-na) figurative/
比喩表現 [ひゆひょうげん] /(n) (ling) figurative expression/metaphorical expression/
泌みる [しみる] /(v1,vi) (1) to pierce/to penetrate/to soak in/to permeate/(2) to be infected (with vice)/to be steeped (with prejudice)/
泌み泌み [しみじみ] /(iK) (adv-to,adv) (1) (uk) earnestly/keenly/fully/deeply/heartily/seriously/(2) calmly/
泌尿器 [ひつにょうき] /(n) urinary organs/
泌尿器 [ひにょうき] /(n) urinary organs/(P)/
泌尿器科 [ひにょうきか] /(n) urology/
疲らかす [つからかす] /(v5s,vt) (arch) to fatigue/to exhaust/
疲らす [つからす] /(v5s) to tire/to weary/to exhaust/to fatigue/
疲れ [つかれ] /(n) tiredness/fatigue/(P)/
疲れきる [つかれきる] /(v5r) to be exhausted/to be tired out/
疲れた [つかれた] /(adj-f) worn-out (as opposed to sleepy)/
疲れる [つかれる] /(v1,vi) (1) to get tired/to tire/(2) to be worn out (e.g. of well used objects)/(3) (arch) to starve/(P)/
疲れ果て [つかれはて] /(exp) being tired out/
疲れ果てる [つかれはてる] /(v1,vi) to get tired out/to be exhausted/(P)/
疲れ切る [つかれきる] /(v5r) to be exhausted/to be tired out/
疲れ目 [つかれめ] /(n) eye strain/
疲弊 [ひへい] /(n,vs) exhaustion/impoverishment/ruin/(P)/
疲労 [ひろう] /(n,vs) fatigue/weariness/(P)/
疲労感 [ひろうかん] /(n) tired feeling/
疲労困憊 [ひろうこんぱい] /(n,vs) total exhaustion/
疲憊 [ひはい] /(n) exhaustion/
皮 [かわ] /(n) (1) skin/hide/pelt/fur/(2) rind/peel/husk/bark/(3) shell/sheath/wrapping/(P)/
皮の皮 [ひのかわ] /(n) kanji "fur" radical/
皮ひも [かわひも] /(n) leather strap/thong/leash/
皮ふ科 [ひふか] /(n) dermatology/
皮むき機 [かわむきき] /(n) peeler (kitchen utensil)/barker/
皮をはぐ [かわをはぐ] /(exp,v5g) to skin/to peel/
皮を剥く [かわをむく] /(exp,v5k) to peel/to skin/to pare/
皮を剥ぐ [かわをはぐ] /(exp,v5g) to skin/to peel/
皮フ [ひフ] /(n,adj-no) skin/
皮フ科 [ヒフか] /(n) dermatology/
皮衣 [かわぎぬ] /(n) fur coat/
皮衣 [かわごろも] /(n) fur coat/
皮下 [ひか] /(n,adj-no) subcutaneous/
皮下脂肪 [ひかしぼう] /(n) subcutaneous fat/
皮下組織 [ひかそしき] /(n) hypodermis/
皮下注射 [ひかちゅうしゃ] /(n,adj-no) hypodermic injection/
皮革 [ひかく] /(n) leather/hide/(P)/
皮靴 [かわぐつ] /(n) leather shoes/
皮細工 [かわざいく] /(n) leatherwork/leathercraft/
皮細工師 [かわざいくし] /(n) leatherworker/leathercrafter/
皮財布 [かわざいふ] /(n) leather wallet/
皮作り [かわづくり] /(n) sashimi with skin still attached/
皮算用 [かわざんよう] /(exp) over-optimistic calculation/unreliable account/
皮脂 [ひし] /(n) sebum/sebaceous matter/
皮脂腺 [ひしせん] /(n) sebaceous gland/
皮質 [ひしつ] /(n) cortex/
皮疹 [ひしん] /(n) rash/eruption/
皮製 [かわせい] /(n,adj-no) leather/leather-bound/leathern/
皮切り [かわきり] /(n) (sens) beginning/start/(P)/
皮層 [ひそう] /(n,adj-no) cortex/
皮相 [ひそう] /(adj-na,n,adj-no) superficial/
皮相の見 [ひそうのけん] /(n) shallow view/
皮相浅薄 [ひそうせんぱく] /(n,adj-na) shallow and unwise/superficial and thoughtless/
皮袋 [かわぶくろ] /(n) leather bag/
皮蛋 [ピータン] /(n) century egg (chi: pi dan)/thousand-year old egg/hundred-year old egg/preserved egg (Chinese delicacy)/
皮虫 [かわむし] /(n) (arch) hairy caterpillar/
皮張り [かわばり] /(n) leather-covered/
皮肉 [ひにく] /(adj-na,n,adj-no) cynicism/sarcasm/irony/satire/(P)/
皮肉る [ひにくる] /(v5r,vi) to speak cynically or with sarcasm/
皮剥 [かわはぎ] /(n) filefish/leatherfish/
皮剥ぎ [かわはぎ] /(n) filefish/leatherfish/
皮被り [かわかぶり] /(n) (uk) (col) phimosis/tightening of the foreskin/
皮紐 [かわひも] /(n) leather strap/thong/leash/
皮表紙 [かわびょうし] /(n) leather cover/leather binding/
皮膚 [ひふ] /(n,adj-no) skin/(P)/
皮膚がん [ひふがん] /(n) skin cancer/
皮膚ガン [ひふガン] /(n) skin cancer/
皮膚移植 [ひふいしょく] /(n) skin graft/skin transplant/
皮膚炎 [ひふえん] /(n) dermatitis/
皮膚科 [ひふか] /(n) dermatology/(P)/
皮膚科医 [ひふかい] /(n) dermatologist/
皮膚科学 [ひふかがく] /(n,adj-no) dermatology/
皮膚感覚 [ひふかんかく] /(n) cutaneous sensation/
皮膚癌 [ひふがん] /(n) skin cancer/
皮膚呼吸 [ひふこきゅう] /(n,vs) cutaneous respiration/
皮膚腺 [ひふせん] /(n) dermal gland/
皮膚炭疽 [ひふたんそ] /(n) cutaneous anthrax/
皮膚潰瘍 [ひふかいよう] /(n) skin ulcer/
皮膚粘膜眼症候群 [ひふねんまくがんしょうこうぐん] /(n) Stevens-Johnson syndrome/
皮膚病 [ひふびょう] /(n) skin disease/(P)/
皮膜 [ひまく] /(n) film/membrane/
皮目 [ひもく] /(n) lenticel/
皮癬 [ひぜん] /(n) (obsc) scabies/sarcoptic mange/the itch/
皮癬ダニ [ひぜんダニ] /(n) (uk) itch mite (Sarcoptes scabiei)/
皮籠 [かわご] /(n) baskets wrapped in paper, bark or skin/
皮鞣し [かわなめし] /(n) tanning/
碑 [いしぶみ] /(n) stone monument bearing an inscription/(P)/
碑石 [ひせき] /(n) stone monument/
碑文 [ひぶん] /(n,adj-no) inscription/epitaph/epigraph/(P)/
碑銘 [ひめい] /(n,adj-no) inscription/epitaph/
秘か [ひそか] /(adj-na,n) secret/private/surreptitious/
秘し隠し [ひしかくし] /(n) (arch) cover-up/
秘し隠し [ひしがくし] /(n) (arch) cover-up/
秘める [ひめる] /(v1,vt) to hide/to keep to oneself/(P)/
秘め事 [ひめごと] /(n) secret/
秘苑 [ひえん] /(n) (1) secret garden/private garden/(2) name for female genitalia/
秘奥 [ひおう] /(n) secrets/mysteries/
秘儀 [ひぎ] /(n) secret ceremony/ritual/sanctum sanctorum/
秘技 [ひぎ] /(n) secret technique/
秘境 [ひきょう] /(n) unexplored region/one of the most secluded regions/
秘境駅 [ひきょうえき] /(n) (obsc) (col) secluded station/unexplored station/
秘教 [ひきょう] /(n,adj-no) esoteric religion/
秘曲 [ひきょく] /(n) secret music/
秘計 [ひけい] /(n) secret plan/
秘決 [ひけつ] /(iK) (n) secret/mysteries/key/
秘結 [ひけつ] /(n,vs) constipation/
秘訣 [ひけつ] /(n) secret/mysteries/key/(P)/
秘鍵 [ひけん] /(n) hidden mysteries/secret principle/
秘策 [ひさく] /(n) secret plan or measures/
秘史 [ひし] /(n) hidden or secret history/
秘事 [ひじ] /(n) secret/
秘術 [ひじゅつ] /(n) secret art/the mysteries/
秘所 [ひしょ] /(n) (1) secret or hidden place/(2) (euph. for) woman's genitalia/(3) the underworld/the other world/
秘書 [ひしょ] /(n,adj-no) (1) (private) secretary/(n) (2) treasured book/secret book/(P)/
秘書科 [ひしょか] /(n) secretarial course/
秘書課 [ひしょか] /(n) secretarial section/
秘書官 [ひしょかん] /(n) minister's secretary/
秘書室 [ひしょしつ] /(n) secretarial office/
秘跡 [ひせき] /(n) sacrament/
秘蹟 [ひせき] /(n) sacrament/
秘説 [ひせつ] /(n) secret theory/
秘蔵 [ひぞう] /(n,adj-no,vs) treasure/prize/cherish/treasured/
秘中 [ひちゅう] /(n) in secret/
秘中の秘 [ひちゅうのひ] /(n) top secret/
秘伝 [ひでん] /(n,adj-no) secret/mystery/secret formula/
秘伝書 [ひでんしょ] /(n) book of secrets/
秘湯 [ひとう] /(n) secret hot spring/
秘匿 [ひとく] /(n,vs) hiding/concealment/
秘部 [ひぶ] /(n) (1) secret place/(2) (vulg) genitals/
秘仏 [ひぶつ] /(n) Buddhist image normally withheld from public view/
秘文 [ひぶん] /(n) password/secret spell/secret phrase/
秘文 [ひもん] /(n) password/secret spell/secret phrase/
秘宝 [ひほう] /(n) treasure/treasured article/
秘方 [ひほう] /(n) secret method/secret recipe/(prescription for a) secret medicine/
秘法 [ひほう] /(n) secret formula/secret process/
秘本 [ひほん] /(n) treasured book/secret book/pornographic book/
秘密 [ひみつ] /(adj-na,n,adj-no) secret/secrecy/(P)/
秘密を侵す罪 [ひみつをおかすつみ] /(exp) the crime of revealing a secret/breach of confidence/
秘密を暴露する [ひみつをばくろする] /(exp,vs-i) to betray a secret/
秘密を明かす [ひみつをあかす] /(exp,v5s) to disclose a secret/
秘密を漏らす [ひみつをもらす] /(exp,v5s) to betray a secret/to reveal a secret/
秘密会議 [ひみつかいぎ] /(n) secret meeting or conference/
秘密警察 [ひみつけいさつ] /(n) secret police/
秘密結社 [ひみつけっしゃ] /(n) secret society/
秘密鍵 [ひみつかぎ] /(n) (comp) private key/secret key/
秘密鍵暗号方式 [ひみつかぎあんごうほうしき] /(n) (comp) secret key cryptosystem/
秘密主義 [ひみつしゅぎ] /(n,adj-no) secretiveness/
秘密証書遺言 [ひみつしょうしょゆいごん] /(n) secret will and testament (sealed envelope will)/
秘密情報 [ひみつじょうほう] /(n) confidential information/
秘密選挙 [ひみつせんきょ] /(n) secret ballot/
秘密度表示 [ひみつどひょうじ] /(n) (comp) sensitivity indication/
秘密投票 [ひみつとうひょう] /(n) secret vote/secret ballot/
秘密文書 [ひみつぶんしょ] /(n) confidential document/confidential paper/classified document/
秘密兵器 [ひみつへいき] /(n) secret weapon/
秘密保持契約 [ひみつほじけいやく] /(n) (comp) non-disclosure agreement/NDA/
秘密裏 [ひみつり] /(adv,adj-no) behind closed doors/behind-the-scenes/(under the veil of) secrecy/
秘密裡 [ひみつり] /(adv,adj-no) behind closed doors/behind-the-scenes/(under the veil of) secrecy/
秘密漏洩 [ひみつろうせつ] /(n) leaking of a secret/
秘密漏洩罪 [ひみつろうせつざい] /(n) (the crime of) revealing state secrets/
秘密漏示罪 [ひみつろうじざい] /(n) the crime of revealing a secret/breach of confidence/
秘薬 [ひやく] /(n) nostrum/secret medicine/
秘裂 [ひれつ] /(n) (vulg) female genitalia/
秘露 [ぺるー] /(n) (uk) Peru/
秘録 [ひろく] /(n) secret notes/confidential papers/
秘話 [ひわ] /(n) secret story/unknown episode/(P)/
緋 [あけ] /(n) (1) scarlet/red/(2) blood/
緋 [ひ] /(n) (1) scarlet/red/(2) blood/
緋い [あかい] /(oK) (adj-i) (1) red/(2) Red (i.e. communist)/
緋の衣 [ひのころも] /(n) scarlet robe/
緋の袴 [ひのはかま] /(n) red hakama (e.g. worn by miko or noblewomen at court)/
緋衣草 [ひごろもそう] /(n) salvia (sage family)/
緋袴 [ひのはかま] /(n) red hakama (e.g. worn by miko or noblewomen at court)/
緋袴 [ひばかま] /(n) red hakama (e.g. worn by miko or noblewomen at court)/
緋鯉 [ひごい] /(n) red carp/golden carp/
緋鹿の子 [ひがのこ] /(n) cloth tie-dyed with a scarlet red dappled pattern/
緋鹿子 [ひがのこ] /(io) (n) cloth tie-dyed with a scarlet red dappled pattern/
緋縮緬 [ひぢりめん] /(n) crimson crepe (fabric)/
緋色 [ひいろ] /(n,adj-no) brilliant red/scarlet/
緋水鶏 [ひくいな] /(n) (uk) ruddy-breasted crake (Porzana fusca)/
緋鳥鴨 [ひどりがも] /(n) Eurasian wigeon (Anas penelope)/
緋梅 [ひばい] /(n) Hibai Japanese apricot/
緋木瓜 [ひぼけ] /(n) Choenomeles lagenaria/hiboke flowering quince/
緋連雀 [ひれんじゃく] /(n) (uk) Japanese waxwing (species of passerine bird, Bombycilla japonica)/
緋秧鶏 [ひくいな] /(n) (uk) ruddy-breasted crake (Porzana fusca)/
緋縅し [ひおどし] /(n) scarlet-threaded suit of armor (armour)/
緋縅し鎧 [ひおどしよろい] /(n) scarlet-threaded suit of armor (armour)/
罷む [やむ] /(v5m,vi) to cease/to stop/to be over/
罷めさせる [やめさせる] /(v1) to fire (from job)/to discharge/
罷める [やめる] /(v1,vt) to resign/to retire/to quit/to leave (one's job, etc.)/
罷り [まかり] /(n) emphatic verbal prefix/
罷りならぬ [まかりならぬ] /(exp) (uk) not be allowed/must not/
罷り越す [まかりこす] /(v5s,vi) to visit/to call on/
罷り間違う [まかりまちがう] /(v5u,vi) to go wrong/to turn for the worse/
罷り間違えば [まかりまちがえば] /(n) if things go wrong/if the worst happens/
罷り出る [まかりでる] /(v1,vi) to leave/to withdraw/to appear before/
罷り成らぬ [まかりならぬ] /(exp) (uk) not be allowed/must not/
罷り通る [まかりとおる] /(v5r,vi) to go by/to let pass/to get away with/to let slide/to overlook/
罷官 [ひかん] /(n) (arch) removal from office/
罷業 [ひぎょう] /(n) strike/walkout/
罷免 [ひめん] /(n,vs) dismissal/discharge/(P)/
罷免権 [ひめんけん] /(n) authority to dismiss someone (from a position)/
肥 [こえ] /(n) manure/night soil/dung/fertiliser/fertilizer/(P)/
肥えた土 [こえたつち] /(n) rich (fertile) soil/
肥える [こえる] /(v1,vi) (1) to grow fat/to grow fertile/(2) to have good taste/(P)/
肥え桶 [こえおけ] /(io) (n) night-soil bucket/honey bucket/
肥え太る [こえふとる] /(v5r) to grow fat/
肥え土 [こえつち] /(n) rich soil/
肥え溜 [こえだめ] /(n) tank for holding excreta (often used for fertilizer) (fertiliser)/night soil vat or reservoir/cesspool/
肥し [こやし] /(n) manure/night soil/dung/fertiliser/fertilizer/
肥す [こやす] /(io) (v5s,vt) to fertilize/to fertilise/to manure/to enrich/
肥たご [こえたご] /(n) night-soil bucket/honey bucket/
肥った [ふとった] /(adj-f) plump/fat/chubby/stout/
肥やし [こやし] /(n) manure/night soil/dung/fertiliser/fertilizer/(P)/
肥やし桶 [こやしおけ] /(n) night soil pail/
肥やす [こやす] /(v5s,vt) to fertilize/to fertilise/to manure/to enrich/(P)/
肥よく [ひよく] /(adj-na,n) fertility/productive/
肥る [ふとる] /(v5r,vi) to grow fat (stout, plump)/to become fat/to gain weight/
肥育 [ひいく] /(n,vs) fattening/
肥桶 [こえおけ] /(n) night-soil bucket/honey bucket/
肥汲み [こえくみ] /(n) carrying night soil/
肥後ずいき [ひごずいき] /(n) dried giant elephant ear stem from Higo province (eaten or used as a sex aid)/
肥後芋茎 [ひごずいき] /(n) dried giant elephant ear stem from Higo province (eaten or used as a sex aid)/
肥後花菖蒲 [ひごはなしょうぶ] /(n) Iris ensata/Higo Japanese iris/
肥後随喜 [ひごずいき] /(n) dried giant elephant ear stem from Higo province (eaten or used as a sex aid)/
肥後椿 [ひごつばき] /(n) higo camelia/Camellia japonica var./
肥厚 [ひこう] /(n,vs) thickening (of organic tissue such as skin)/
肥厚性鼻炎 [ひこうせいびえん] /(n) hypertrophic rhinitis/
肥取り [こえとり] /(n) (1) night-soil man/night-soil woman/(n,vs) (2) removal of night-soil/
肥前 [ひぜん] /(n) Hizen (old province of Japan)/
肥大 [ひだい] /(n,vs,adj-no) swell/enlarge/corpulence/fatness/obesity/(P)/
肥大した [ひだいした] /(adj-f) enlarged/fat/
肥大成長 [ひだいせいちょう] /(n) secondary growth/
肥大生長 [ひだいせいちょう] /(n) secondary growth/
肥担桶 [こえたご] /(n) night-soil bucket/honey bucket/
肥筑方言 [ひちくほうげん] /(n) Japanese dialect from Kyushu/
肥土 [こえつち] /(n) rich soil/
肥馬 [ひば] /(n) fat horse/
肥満 [ひまん] /(n,vs,adj-no) corpulence/fatness/obesity/(P)/
肥満した [ひまんした] /(adj-f) obese/fat/corpulent/
肥満細胞 [ひまんさいぼう] /(n) mast cell/mastocyte/
肥満児 [ひまんじ] /(n) overweight child/
肥満症 [ひまんしょう] /(n) obesity/
肥満性 [ひまんしょう] /(n) tendency to be obese/
肥沃 [ひよく] /(adj-na,n) fertility/productive/
肥立ち [ひだち] /(n) (1) recovery after childbirth/(2) growth (of a child)/
肥溜 [こえだめ] /(n) tank for holding excreta (often used for fertilizer) (fertiliser)/night soil vat or reservoir/cesspool/
肥溜め [こえだめ] /(n) tank for holding excreta (often used for fertilizer) (fertiliser)/night soil vat or reservoir/cesspool/
肥料 [ひりょう] /(n) manure/fertilizer/fertiliser/(P)/
被 [ひ] /(pref) indicates the target of an activity/
被い [おおい] /(n) mantle/cover/shroud/hood/
被う [おおう] /(v5u,vt) to cover/to hide/to conceal/to wrap/to disguise/
被く [かずく] /(v5k) (1) (uk) (arch) to wear on the head/(2) to have cloth, clothing, etc. bestowed upon one by their lord or master/to wear such cloth on the left shoulder/(3) to be injured/
被く [かづく] /(v5k) (1) (uk) (arch) to wear on the head/(2) to have cloth, clothing, etc. bestowed upon one by their lord or master/to wear such cloth on the left shoulder/(3) to be injured/
被ける [かずける] /(v1) (1) (uk) (arch) to place a hat, etc. on someone's head/(2) to award clothing to someone as a reward or a souvenir/(3) to place the blame or burden of responsibility on someone else/(4) to use something as an excuse or a pretext/
被ける [かづける] /(v1) (1) (uk) (arch) to place a hat, etc. on someone's head/(2) to award clothing to someone as a reward or a souvenir/(3) to place the blame or burden of responsibility on someone else/(4) to use something as an excuse or a pretext/
被さる [かぶさる] /(v5r,vi) (1) (uk) to hang over/to cover/(2) to take on a responsibility/to become a burden/
被す [かぶす] /(v5s,vt) to cover (with something)/
被せ [きせ] /(n) not folding on a stitch but placing the fold (2mm) deeper past the stitch, folding the excess back to cover the stitch/
被せる [かぶせる] /(v1,vt) (uk) to cover (with something)/to put on (e.g. on someone else's head)/to plate something (with a metal)/to pour or dash a liquid (on something)/to charge (a person with a guilt)/(P)/
被せ分 [きせぶん] /(n) excess of fold beyond the stitching seam/
被ばく [ひばく] /(n,vs) being exposed to radiation/radiation exposure/
被り [かぶり] /(n) headdress/crown/covering/fogging (photography)/blushing/
被り笠 [かぶりがさ] /(n) (obsc) conical hat (East-Asian style)/coolie hat/
被り物 [かぶりもの] /(n) headdress/headgear/
被る [かぶる] /(v5r,vt) (1) to wear (on head, usu. one's own)/to put on (over head, usu. one's own)/to crown (oneself)/(2) to pour or dash water, dust, etc. (on oneself)/(3) to bear (e.g. someone's debts, faults, etc.)/(4) to overlap/(P)/
被る [かむる] /(v5r,vt) (1) to wear (on head, usu. one's own)/to put on (over head, usu. one's own)/to crown (oneself)/(2) to pour or dash water, dust, etc. (on oneself)/(3) to bear (e.g. someone's debts, faults, etc.)/(4) to overlap/
被る [こうむる] /(v5r,vt) to suffer/to receive/to sustain/
被リンク [ひリンク] /(n) link to (a site, as used in page ranking that site)/
被引用回数 [ひいんようかいすう] /(n) citation index/CI/
被加数 [ひかすう] /(n) (comp) augend/summand/
被害 [ひがい] /(n) damage/(P)/
被害を受ける [ひがいをうける] /(exp,v1) to be damaged/to receive damage/
被害額 [ひがいがく] /(n) amount (extent) of damage/damage/
被害者 [ひがいしゃ] /(n) victim/injured party/sufferer/(P)/
被害者意識 [ひがいしゃいしき] /(n) sense of being victimized/
被害総額 [ひがいそうがく] /(n) total amount of damage/
被害地 [ひがいち] /(n) the stricken area/damaged area/
被害届 [ひがいとどけ] /(n) report of damage/damage report/
被害届け [ひがいとどけ] /(n) report of damage/damage report/
被害妄想 [ひがいもうそう] /(n,adj-no) persecution complex/
被官 [ひかん] /(n) (1) lower government office (ritsuryo period)/(2) servant of a higher ranking person (during the middle ages)/retainer/(3) servant of an urban family/(4) serf/
被官百姓 [ひかんびゃくしょう] /(n) (obsc) serf/
被管 [ひかん] /(n) (1) lower government office (ritsuryo period)/(2) servant of a higher ranking person (during the middle ages)/retainer/(3) servant of an urban family/(4) serf/
被管理システム [ひかんりシステム] /(n) (comp) managed (open) system/
被管理開放型システム [ひかんりかいほうがたシステム] /(n) (comp) managed open system/
被疑者 [ひぎしゃ] /(n) a suspect/(P)/
被虐 [ひぎゃく] /(n) suffering (as a result of maltreatment)/
被虐性愛 [ひぎゃくせいあい] /(n) (sexual) masochism/
被虐性愛者 [ひぎゃくせいあいしゃ] /(n) masochist/
被虐性欲 [ひぎゃくせいよく] /(n) masochism/
被虐待児症候群 [ひぎゃくたいじしょうこうぐん] /(n) battered child syndrome/
被験者 [ひけんしゃ] /(n) (test) subject/testee/
被減数 [ひげんすう] /(n) minuend/
被雇用者 [ひこようしゃ] /(n) employee/employed person/
被告 [ひこく] /(n) defendant/the accused/(P)/
被告人 [ひこくにん] /(n) accused/defendant/prisoner at the bar/(P)/
被告席 [ひこくせき] /(n) defendant's seat/the dock/
被告側 [ひこくがわ] /(n) (the) defense/
被差別 [ひさべつ] /(n) discrimination/
被差別部落 [ひさべつぶらく] /(n) burakumin area/
被差別部落民 [ひさべつぶらくみん] /(n) Burakumin (modern-day descendants of Japan's feudal outcast group)/
被災 [ひさい] /(n,vs) being a victim of (some disaster)/suffering from/(P)/
被災者 [ひさいしゃ] /(n) victim of (some disaster)/
被災地 [ひさいち] /(n) area struck (by some disaster)/location of a disaster/
被子植物 [ひししょくぶつ] /(n,adj-no) angiosperm/flowering plants/
被子植物門 [ひししょくぶつもん] /(n) Phylum Magnoliophyta/angiosperms/flowering plants/
被治者 [ひちしゃ] /(n) the ruled/the governed/
被写界深度 [ひしゃかいしんど] /(n) depth of field (photography)/
被写体 [ひしゃたい] /(n) (photographic) subject/(P)/
被修飾語 [ひしゅうしょくご] /(n) (ling) modified word/
被修飾名詞 [ひしゅうしょくめいし] /(n) (ling) modified noun/
被除数 [ひじょすう] /(n) dividend/
被昇天 [ひしょうてん] /(n) Assumption (of the body and soul of Mary into heaven)/
被乗数 [ひじょうすう] /(n) multiplicand/
被食者 [ひしょくしゃ] /(n) prey/
被申立人 [ひもうしたてにん] /(n) respondent/
被占領期 [ひせんりょうき] /(n) occupation period (e.g. post-WWII period during which the Allies occupied Japan)/
被占領国 [ひせんりょうこく] /(n) occupied country/
被選挙権 [ひせんきょけん] /(n) eligibility for election/suffrage/
被選挙資格 [ひせんきょしかく] /(n) electoral eligibility/
被選挙人 [ひせんきょにん] /(n) person eligible for elective office/
被相続人 [ひそうぞくにん] /(n) ancestor/inheritee/
被葬者 [ひそうしゃ] /(n) the entombed/the person buried (usually in burial mounds, etc.)/
被造物 [ひぞうぶつ] /(n) something created (e.g. by the gods)/creature/
被担保債権額 [ひたんぽさいけんがく] /(n) secured claims/
被弾 [ひだん] /(n,vs) being shot/being bombed/
被嚢類 [ひのうるい] /(n) tunicates/
被曝 [ひばく] /(n,vs) being exposed to radiation/radiation exposure/
被爆 [ひばく] /(n,vs) (1) being bombed/(2) being A-bombed/being nuked/being exposed to radiation (from an atomic blast)/(P)/
被爆国 [ひばくこく] /(n) country that was the victim of nuclear bombing/
被爆者 [ひばくしゃ] /(n) atomic bomb victim/bomb victim/
被爆者援護法 [ひばくしゃえんごほう] /(n) Atomic Bomb Victims' Relief Law (1995)/
被服 [ひふく] /(n) clothing/(P)/
被覆 [ひふく] /(n,vs) coating/covering/
被保険者 [ひほけんしゃ] /(n) insured person/(P)/
被保険物 [ひほけんぶつ] /(n) insured item/
被保護国 [ひほごこく] /(n) protectorate (country)/dependency/dependent state/
被保佐人 [ひほさにん] /(n) person subject to a conservatorship or curatorship/
被補助人 [ひほじょじん] /(n) person subject to a limited guardianship/
被膜 [ひまく] /(n,adj-no) (1) coating/film/membrane/(2) tunic (plants)/capsule/
被約 [ひやく] /(adj-na) (math) reduced/
被傭者 [ひようしゃ] /(n) employee/
被用者 [ひようしゃ] /(n) employee/
被用者保険 [ひようしゃほけん] /(n) employee insurance/
被虜人 [ひりょにん] /(n) slave/
誹る [そしる] /(v5r,vt) to slander/to libel/to criticize/to criticise/
誹議 [ひぎ] /(n,vs) criticism/censure/
誹風 [はいふう] /(n) style of a haikai or haiku poem/
誹毀 [ひき] /(n,vs) defamation/libel/calumny/slander/
誹諧 [はいかい] /(n) (abbr) haikai (humorous or vulgar renga poetry)/
誹謗 [ひぼう] /(n,vs) slander/abuse/
誹謗中傷 [ひぼうちゅうしょう] /(n,vs) slander/calumny/
費 [あたい] /(n) Atai (post-Taika hereditary title often given to regional administrators)/
費 [あたえ] /(n) Atai (post-Taika hereditary title often given to regional administrators)/
費 [ひ] /(n-suf) cost/expense/(P)/
費え [ついえ] /(n) wasteful expenses/
費える [ついえる] /(v1,vi) (1) to use up (one's savings)/(2) to be wasted (time, effort, etc)/(3) to fall apart/to become useless/(4) (arch) to be wiped out (in battle)/(5) (arch) to fall apart (one's body or health)/
費やす [ついやす] /(v5s,vt) to spend/to devote/to waste/(P)/
費消 [ひしょう] /(n,vs) spending/
費直 [あたい] /(n) Atai (post-Taika hereditary title often given to regional administrators)/
費途 [ひと] /(n) (way of) spending/
費目 [ひもく] /(n) item of expenditure/
費用 [ひよう] /(n) cost/expense/(P)/
費用を持つ [ひようをもつ] /(exp,v5t) to bear the expenses/
費用一切 [ひよういっさい] /(n) all expenses/
費用最小化 [ひようさいしょうか] /(n,vs) cost minimization/cost minimisation/
費用便益分析 [ひようべんえきぶんせき] /(n) cost-benefit analysis/
避く [さく] /(v5k,vt) to avoid/
避け [よけ] /(n-suf) (uk) protection/
避けて通れない [さけてとおれない] /(exp,adj-i) (that) cannot be avoided (e.g. problem)/unavoidable/
避ける [さける] /(v1,vt) (1) to avoid (situation)/(v1) (2) to ward off/to avert/(P)/
避ける [よける] /(v1,vt) (1) to avoid (physical contact with)/(v1) (2) to ward off/to avert/(P)/
避る [さる] /(v5r,vi) (1) to leave/to go away/(2) to pass/to elapse/(3) to be distant/(v5r,vt) (4) to send away/to drive off/to divorce/(suf,v5r) (5) (after a -masu stem, esp. of a suru verb) ... completely/
避寒 [ひかん] /(n,vs) wintering/
避寒地 [ひかんち] /(n) winter resort/
避止 [ひし] /(n,vs) abstention/
避暑 [ひしょ] /(n,vs) summering/going to a summer resort/(P)/
避暑客 [ひしょきゃく] /(n) summer visitor/
避暑地 [ひしょち] /(n) summer resort/
避難 [ひなん] /(n,vs) taking refuge/finding shelter/evacuation/escape/(P)/
避難訓練 [ひなんくんれん] /(n) disaster drill/
避難者 [ひなんしゃ] /(n) evacuee/
避難所 [ひなんじょ] /(n) place of refuge/shelter/
避難場 [ひなんば] /(n) refuge/evacuation center/
避難場所 [ひなんばしょ] /(n) evacuation site/exposure/refuge shelter/shelter/
避難生活 [ひなんせいかつ] /(n) living in evacuation shelters/
避難梯子 [ひなんばしご] /(n) fire escape/fire ladder/
避難民 [ひなんみん] /(n) refugees/evacuees/(P)/
避難誘導灯 [ひなんゆうどうとう] /(n) (illuminated) emergency exit signs/
避妊 [ひにん] /(n,vs,adj-no) contraception/(P)/
避妊ピル [ひにんピル] /(n) contraceptive pill/
避妊リング [ひにんリング] /(n) intrauterine device/IUD/contraceptive ring/
避妊具 [ひにんぐ] /(n) contraceptive device/birth-control device/
避妊法 [ひにんほう] /(n) contraceptive method or measures/
避妊薬 [ひにんやく] /(n) a contraceptive/
避病院 [ひびょういん] /(n) isolation hospital/
避雷針 [ひらいしん] /(n) lightning rod/
非 [ひ] /(n) (1) fault/error/mistake/(2) going poorly/being disadvantageous/being unfavorable/(pref) (3) un-/non-/an-/(P)/
非０復帰０記録 [ひゼロふっきゼロきろく] /(n) (comp) non-return-to-zero change-on-zeros recording/NRZ-0/
非０復帰１記録 [ひゼロふっきいちきろく] /(n) (1) (comp) non-return-to-zero change-on-ones recording/NRZ-1/(2) non-return-to-zero (mark) recording/NRZ(M)/
非ＳＧＭＬデータ実体 [ひエスジーエムエルデータじったい] /(n) (comp) non-SGML data entity/
非ＳＧＭＬ文字 [ひエスジーエムエルもじ] /(n) (comp) non-SGML character/
非ず [あらず] /(exp) (1) (arch) it is not so/(2) no/never mind/
非ずんば [あらずんば] /(exp) (arch) if not/
非と [ひと] /(n,vs) condemning/denouncing/
非の打ち所がない [ひのうちどころがない] /(exp) perfect/faultless/
非の打ち所が無い [ひのうちどころがない] /(exp) perfect/faultless/
非を悟る [ひをさとる] /(exp,v5r) to realize one's error/to realize one's errors/
非を鳴らす [ひをならす] /(exp,v5s) to cry against/to denounce publicly/
非を諭す [ひをさとす] /(exp,v5s) to rebuke someone (e.g. for faults)/
非アクティブ化 [ひアクティブか] /(n) (comp) deactivate/
非アルファベット [ひアルファベット] /(n) (comp) non-alphabetic/non-alphanumeric/
非イオン界面活性剤 [ひイオンかいめんかっせいざい] /(n) non-ionic surfactant/
非イオン系合成洗剤 [ひイオンけいごうせいせんざい] /(n) non-ionic detergent/
非クライアント [ひクライアント] /(n) (comp) non-client/
非シールド [ひシールド] /(n) (comp) unshielded/
非シールドより対線 [ひシールドよりたいせん] /(n) (comp) Unshielded Twisted Pair/UTP/
非ステロイド性抗炎症薬 [ひステロイドせいこうえんしょうやく] /(n) nonsteroidal anti-inflammatory drug/NSAID/
非ゼロ復帰マーク記録 [ひゼロふっきマークきろく] /(n) (comp) non-return-to-zero change-on-ones recording/NRZ-1/non-return-to-zero (mark) recording/NRZ(M)/
非ゼロ復帰記録 [ひゼロふっききろく] /(n) (comp) non-return-to-zero recording/NRZ/non-return-to-reference recording/
非ゼロ復帰変化記録 [ひゼロふっきへんかきろく] /(n) (comp) non-return-to-zero (change) recording/NRZ(C)/
非デスクリプタ [ひデスクリプタ] /(n) (comp) non-descriptor/
非ノイマン型コンピュータ [ひノイマンがたコンピュータ] /(n) (comp) non-Von Neumann-type computer/
非フレーム形式 [ひフレームけいしき] /(n) (comp) unframed (format)/
非ホジキンリンパ腫 [ひホジキンリンパしゅ] /(n) non-Hodgkin's lymphoma/
非モテ [ひモテ] /(adj-na,adj-no) unpopular (esp. with the opposite sex)/
非ユークリッド幾何学 [ひユークリッドきかがく] /(n) non-Euclidean geometry/
非リアルタイム [ひリアルタイム] /(n) (comp) non real time/
非圧縮 [ひあっしゅく] /(n) (comp) noncompressed/
非安定マルチバイブレータ [ひあんていマルチバイブレータ] /(n) (comp) astable multivibrator/
非違 [ひい] /(n) illegality/
非一致演算 [ひいっちえんざん] /(n) (comp) non-identity operation/
非印刷文字 [ひいんさつもじ] /(n) (comp) nonprinting character/
非運 [ひうん] /(n) bad fortune/misfortune/
非営利 [ひえいり] /(n) non-profit/not-for-profit/non-commercial/
非営利事業 [ひえいりじぎょう] /(n) nonprofit (noncommercial) business/
非営利組織 [ひえいりそしき] /(n) nonprofit organization/NPO/
非営利団体 [ひえいりだんたい] /(n) nonprofit organization/nonprofit organisation/
非営利的 [ひえいりてき] /(adj-na) nonprofit/
非永住者 [ひえいじゅうしゃ] /(n) non-permanent resident/
非英語圏 [ひえいごけん] /(n) non-English-speaking world/non-Anglosphere/
非英数字 [ひえいすうじ] /(n) (comp) non-alphanumeric character/
非衛生 [ひえいせい] /(adj-na,n) unsanitary/unhygenic/
非加算機能 [ひかさんきのう] /(n) (comp) nonadd function/
非加熱血液製剤 [ひかねつけつえきせいざい] /(n) untreated (unheated) blood products/
非可換ゲージ理論 [ひかかんゲージりろん] /(n) non-Abelian gauge theory (physics)/
非可換群 [ひかかんぐん] /(n) non-Abelian group (physics)/
非可逆圧縮 [ひかぎゃくあっしゅく] /(n) (comp) lossy compression/
非可逆変化 [ひかぎゃくへんか] /(n) irreversible change/
非可算名詞 [ひかさんめいし] /(n) (ling) (obsc) uncountable noun/
非科学的 [ひかがくてき] /(adj-na) unscientific/
非課税 [ひかぜい] /(n) tax exemption/
非会話モード [ひかいわモード] /(n) (comp) non-interactive mode/
非開示合意 [ひかいじごうい] /(n) non-disclosure agreement/
非核 [ひかく] /(adj-no) non-nuclear/anti-nuclear/
非核三原則 [ひかくさんげんそく] /(n) Japan's three antinuclear principles (against producing, possessing and allowing the entry of nuclear weapons into Japanese territory)/
非核武装 [ひかくぶそう] /(n,adj-no) (obsc) nuclear weapon free/non-nuclear/denuclearized/
非核兵器国 [ひかくへいきこく] /(n) non-nuclear-weapon state/
非活動 [ひかつどう] /(n) inactive/
非活動ウィンドウ [ひかつどうウィンドウ] /(n) inactive window/
非関税障壁 [ひかんぜいしょうへき] /(n) non-tariff barrier/NTB/
非基準復帰記録 [ひきじゅんふっききろく] /(n) (comp) non-return-to-zero recording/NRZ/non-return-to-reference recording/
非議 [ひぎ] /(n,vs) criticism/censure/
非喫煙者 [ひきつえんしゃ] /(n) non-smoker/
非球面 [ひきゅうめん] /(n) (1) aspherical surface/(adj-no) (2) aspherical/
非許容 [ひきょよう] /(n) not enabled/not permitted/
非競合的 [ひきょうごうてき] /(adj-na) noncompetitive/
非共有電子対 [ひきょうゆうでんしつい] /(n) unshared electron pair/
非共用 [ひきょうよう] /(adj-no) non-shared/
非協力 [ひきょうりょく] /(n) noncooperation/
非業 [ひごう] /(n) unnatural or untimely (death)/
非業の死 [ひごうのし] /(n) unnatural death/
非局所分岐 [ひきょくしょぶんき] /(n) (comp) non-local jump/non-local branch/
非金属 [ひきんぞく] /(n) nonmetal/
非金属元素 [ひきんぞくげんそ] /(n) a nonmetallic element/
非空白文字 [ひくうはくもじ] /(n) (comp) nonwhite character/
非軍事 [ひぐんじ] /(n) nonmilitary/
非経口栄養 [ひけいこうえいよう] /(n) parenteral nutrition/parenteral alimentation/
非芸術的 [ひげいじゅつてき] /(adj-na) inartistic/
非決定論 [ひけっていろん] /(n) (philosophical) indeterminism/
非結晶質 [ひけっしょうしつ] /(n) (comp) amorphous/
非結晶性 [ひけっしょうせい] /(adj-f) amorphous/
非現業 [ひげんぎょう] /(n) clerical work/
非現実 [ひげんじつ] /(n,adj-no) unreality/
非現実性 [ひげんじつせい] /(n,adj-no) unreality/
非現実的 [ひげんじつてき] /(adj-na) unrealistic/
非現住建造物 [ひげんじゅうけんぞうぶつ] /(n) uninhabited building/
非言語的コミュニケーション [ひげんごてきコミュニケーション] /(n) non-verbal communication/
非公開 [ひこうかい] /(adj-no,n) private/(P)/
非公開受信者表示 [ひこうかいじゅしんしゃひょうじ] /(n) (comp) blind copy recipient indication/
非公式 [ひこうしき] /(adj-no,adj-na,n) informal/(P)/
非公式協議 [ひこうしききょうぎ] /(n) informal discussion/
非公認 [ひこうにん] /(adj-no) unofficial/unauthorised/
非効率 [ひこうりつ] /(adj-na) inefficient/
非効率的 [ひこうりつてき] /(adj-na) inefficient/
非拘束名簿式比例代表制 [ひこうそくめいぼしきひれいだいひょうせい] /(n) proportional representation system in which both party and individual votes are cast, seats are distributed amongst parties by proportion of vote obtained, and candidates are elected in descending order of number of votes obtained/
非構造制約集合 [ひこうぞうせいやくしゅうごう] /(n) (comp) unstructured (constraint set)/
非構造部材 [ひこうぞうぶざい] /(n) nonstructural element/nonstructural member/
非行 [ひこう] /(n,adj-no) delinquency/misconduct/(P)/
非行に走らせる [ひこうにはしらせる] /(v1) to turn (child) to crime/
非行少女 [ひこうしょうじょ] /(n) female juvenile delinquent/
非行少年 [ひこうしょうねん] /(n) juvenile delinquent/
非酵素的褐変 [ひさんそてきかっぺん] /(n) non-enzymatic browning/
非合法 [ひごうほう] /(adj-na,n,adj-no) illegal/unlawful/(P)/
非合法化 [ひごうほうか] /(n,vs) banning (e.g. an organization)/making something illegal/
非合理 [ひごうり] /(adj-na,n) illogicality/
非合理的 [ひごうりてき] /(adj-na) illogical/
非国教徒 [ひこっきょうと] /(n) Nonconformist/Dissenter/
非国民 [ひこくみん] /(n) unpatriotic individual/
非婚 [ひこん] /(n,adj-no) unmarried/
非才 [ひさい] /(n) lack of ability/incompetence/incapacity/
非磁性鋼 [ひじせいこう] /(n) non-magnetic steel/
非磁性体 [ひじせいたい] /(n) non-magnetic body/non-magnetic material/
非自己 [ひじこ] /(exp) nonself/not self/
非自発的失業 [ひじはつてきしつぎょう] /(n) involuntary unemployment/
非自明解 [ひじめいかい] /(n) (math) non-trivial solution/
非自立 [ひじりつ] /(adj-f) not independent/
非識字 [ひしきじ] /(n) illiteracy/
非実行文 [ひじっこうぶん] /(n) (comp) nonexecutable statement/
非実際的 [ひじっさいてき] /(adj-na) impractical/unpractical/
非社交的 [ひしゃこうてき] /(adj-na) unsociable/retiring/solitude-loving/
非主要 [ひしゅよう] /(adj-na) minor/
非手続き型言語 [ひてつづきかたげんご] /(n) (comp) nonprocedural language/
非集中型Ｎ多端点コネクション [ひしゅうちゅうがたエンたたんてんコネクション] /(n) (comp) decentralized (N)-multi-endpoint-connection/
非住民納税者 [ひじゅうみんのうぜいしゃ] /(n) non-resident taxpayer/
非循環的 [ひじゅんかんてき] /(adj-na) acyclic/
非処女 [ひしょじょ] /(n,adj-no) nonvirgin/
非晶質 [ひしょうしつ] /(n) amorphous/
非衝撃式印字装置 [ひしょうげきしきいんじそうち] /(n) (comp) nonimpact printer/
非訟事件 [ひしょうじけん] /(n) non-contentious case (law)/
非上場会社 [ひじょうじょうがいしゃ] /(n) privately held company/Private company/unlisted company/
非常 [ひじょう] /(n,adj-na,adj-no) (1) emergency/(adj-na,adj-no) (2) extraordinary/unusual/(P)/
非常に [ひじょうに] /(adv) very/extremely/exceedingly/(P)/
非常ブレーキ [ひじょうブレーキ] /(n) emergency brake/
非常階段 [ひじょうかいだん] /(n) emergency staircase/emergency stairs/
非常勤 [ひじょうきん] /(n) part-time work/(P)/
非常勤講師 [ひじょうきんこうし] /(n) part-time lecturer/contract teacher/
非常警戒 [ひじょうけいかい] /(n) special guard/
非常呼集 [ひじょうこしゅう] /(n) special call-up/
非常口 [ひじょうぐち] /(n) emergency exit/(P)/
非常事態 [ひじょうじたい] /(n) state of emergency/
非常事態を宣言する [ひじょうじたいをせんげんする] /(exp,vs-i) to declare a state of emergency/
非常事態政府 [ひじょうじたいせいふ] /(n) emergency government/
非常事態対処計画 [ひじょうじたいたいしょけいかく] /(n) contingency plan/
非常持出袋 [ひじょうもちだしぶくろ] /(n) emergency bag/survival kit/
非常時 [ひじょうじ] /(n) (time of) emergency/crisis/
非常識 [ひじょうしき] /(n) (1) lack of common sense/thoughtlessness/senselessness/irrationality/absurdity/(adj-na) (2) thoughtless/senseless/unreasonable/absurd/preposterous/aberrant/(P)/
非常手段 [ひじょうしゅだん] /(n) emergency measures/
非常召集 [ひじょうしょうしゅう] /(n) emergency summons/
非常食 [ひじょうしょく] /(n) emergency rations/
非常信号 [ひじょうしんごう] /(n) alarm/
非常線 [ひじょうせん] /(n) cordon/
非常駐 [ひじょうちゅう] /(n,adj-no) (comp) transient/
非常任理事国 [ひじょうにんりじこく] /(n) non-permanent member (UN Security Council)/
非常用 [ひじょうよう] /(n) for emergency use/
非常用取り出しホール [ひじょうようとりだしホール] /(n) (comp) emergency eject hole/
非常用対策案 [ひじょうようたいさくあん] /(n) contingency plan/
非常用電源 [ひじょうでんげん] /(n) emergency power supply/backup power/emergency power source/
非情 [ひじょう] /(adj-na,n) inanimate nature/callous/heartless/
非職 [ひしょく] /(n) not employed/holding a post but having no duties/
非侵襲的 [ひしんしゅうてき] /(adj-na) non-invasive/
非浸潤性乳管がん [ひしんじゅんせいにゅうかんがん] /(n) ductal carcinoma in situ/DCIS/
非神話化 [ひしんわか] /(n,vs) demythologization/demythicization/
非人 [ひにん] /(n) (vulg) one group comprising the lowest rank of Japan's Edo-period caste system (often ex-convicts or vagrants)/
非人間的 [ひにんげんてき] /(adj-na) inhuman/impersonal/
非人情 [ひにんじょう] /(adj-na,n) heartless/inhuman/unfeeling/
非人道的 [ひじんどうてき] /(adj-na) inhuman/
非人道的兵器 [ひじんどうてきへいき] /(n) inhumane weapons/weapon against humanity/
非人道兵器 [ひじんどうへいき] /(n) inhumane weapons/weapon against humanity/
非図形文字 [ひずけいもじ] /(n) (comp) nongraphic character/
非数 [ひすう] /(n) (comp) Not a Number/
非制限用法 [ひせいげんようほう] /(n) (ling) non-restrictive (of relative pronoun use)/
非政府組織 [ひせいふそしき] /(n) non-governmental organization/non-governmental organisation/NGO/
非整数値 [ひせいすうち] /(n) (comp) non-integer value/
非正規雇用 [ひせいきこよう] /(n) irregular employment/atypical employment/
非正規労働者 [ひせいきろうどうしゃ] /(n) non-fulltime worker/non-permanent worker/temp worker/temporary worker/
非正社員 [ひせいしゃいん] /(n) non-fulltime employee/non-permanent employee/
非正則行列 [ひせいそくぎょうれつ] /(n) (comp) singular matrix/
非生産的 [ひせいさんてき] /(adj-na) unproductive/counterproductive/
非接触 [ひせっしょく] /(adj-f) out of contact/contactless (usually used to describe contactless cards)/
非摂動 [ひせつどう] /(adj-f) non-perturbative/
非絶縁増幅器 [ひぜつえんぞうふくき] /(n) (comp) non-isolated amplifier/
非戦闘員 [ひせんとういん] /(n) non-combatant/civilian/
非戦論 [ひせんろん] /(n) pacifism/
非戦論者 [ひせんろんしゃ] /(n) pacifist/
非線形 [ひせんけい] /(n) non-linear/
非線形計画法 [ひせんけいけいかくほう] /(n) (comp) non-linear programming/
非対応 [ひたいおう] /(n) incompatible/unsupported/
非対称 [ひたいしょう] /(n) asymmetry/
非対称データフロー [ひたいしょうデータフロー] /(n) (comp) asymmetric data flow/
非対称型デジタルループ [ひたいしょうがたデジタルループ] /(n) (comp) asymmetric digital subscriber loop/ADSL/
非対称型マルチプロセッサ [ひたいしょうかたマルチプロセッサ] /(n) (comp) asymmetric multiprocessor/
非対称戦争 [ひたいしょうせんそう] /(n) asymmetric war/
非単調論理 [ひたんちょうろんり] /(n) non-monotonic logic/nonmonotonic logic/
非弾性衝突 [ひだんせいしょうとつ] /(n) inelastic collision/
非致死性兵器 [ひちしせいへいき] /(n) non-lethal weapon/
非嫡出子 [ひちゃくしゅつし] /(n) illegitimate child/
非嫡出子 [ひてきしゅつし] /(n) illegitimate child/
非直結 [ひちょっけつ] /(n) (comp) offline/off-line/
非通知 [ひつうち] /(n) number-withheld phone calls/
非定型 [ひていけい] /(adj-f) (1) free (e.g. verse)/(2) atypical/
非定型精神病 [ひていけいせいしんびょう] /(n) atypical psychosis/
非定型肺炎 [ひていけいはいえん] /(n) atypical pneumonia/
非定形動詞 [ひていけいどうし] /(n) (ling) non-finite verb/
非摘出子 [ひてきしゅつし] /(iK) (n) illegitimate child/
非適用 [ひてきよう] /(n) not applicable/na/
非鉄金属 [ひてつきんぞく] /(n,adj-no) nonferrous metals/(P)/
非点収差 [ひてんしゅうさ] /(n) astigmatism/
非等価演算 [ひとうかえんざん] /(n) (comp) non-equivalence operation/EXCLUSIVE-OR operation/
非等時性伝送 [ひとうじせいでんそう] /(n) (comp) anisochronous transmission/
非同期 [ひどうき] /(adj-no,n) (comp) asynchronous/
非同期バス [ひどうきバス] /(n) (comp) asynchronous bus/
非同期応答モード [ひどうきおうとうモード] /(n) (comp) Asynchronous Response Mode/ARM/
非同期式 [ひどうきしき] /(n) (comp) asynchronous/
非同期式伝送 [ひどうきしきでんそう] /(n) (comp) asynchronous transmission/
非同期手続き [ひどうきてつづき] /(n) (comp) asynchronous procedure/
非同期通信 [ひどうきつうしん] /(n) asynchronous communication/
非同期通信アダプタ [ひどうきつうしんアダプタ] /(n) (comp) asynchronous communications adapter/
非同期転送モード [ひどうきてんそうモード] /(n) (comp) Asynchronous Transfer Mode/ATM/
非同期伝送 [ひどうきでんそう] /(n) (comp) asynchronous transmission/
非同期平衡モード [ひどうきへいこうモード] /(n) (comp) ABM/Asynchronous Balanced Mode/
非道 [ひどう] /(adj-na,n,adj-no) unjust/inhuman/
非道い [ひどい] /(adj-i) (uk) cruel/awful/severe/very bad/serious/terrible/heavy/violent/
非特異 [ひとくい] /(adj-na) (math) nonsingular/
非特異性 [ひとくいせい] /(n,adj-no) nonspecificity/nonspecific/non-specific/
非特異的 [ひとくいてき] /(adj-na) nonspecific/
非難 [ひなん] /(n,vs,adj-na) blame/attack/criticism/(P)/
非難の目を向ける [ひなんのめをむける] /(exp,v1) to regard someone with odium/to look at someone with reproach/
非難を浴びせる [ひなんをあびせる] /(exp,v1) to heap abuse upon (a person)/to criticize strongly/to blast (someone)/
非難合戦 [ひなんかっせん] /(n,vs) (engaging in a round of) mutual criticism/repeated attacks on each other/
非難囂々 [ひなんごうごう] /(n,adj-t,adv-to) enraged outcry/loud protest/being bitterly criticized by others/being loudly denounced by others/
非難囂囂 [ひなんごうごう] /(n,adj-t,adv-to) enraged outcry/loud protest/being bitterly criticized by others/being loudly denounced by others/
非日常 [ひにちじょう] /(n,adj-no) the extraordinary/the unusual/the unexpected/
非日常性 [ひにちじょうせい] /(n,adj-no) extraordinariness/
非日常的 [ひにちじょうてき] /(adj-na) extraordinary/unusual/strange/unexpected/
非破壊 [ひはかい] /(adj-f) non-destructive/
非破壊的 [ひはかいてき] /(adj-na) (comp) non-destructive/
非破壊読取り [ひはかいよみとり] /(n) (comp) nondestructive read/
非排水 [ひはいすい] /(n) undrained/
非配偶者間人工授精 [ひはいぐうしゃかんじんこうじゅせい] /(n) artificial insemination by donor/
非買同盟 [ひばいどうめい] /(n) a boycott/
非売知 [ひめじ] /(n) (uk) Bensasi goatfish (species of red mullet, Upeneus japonicus)/
非売品 [ひばいひん] /(n) article not for sale/Not for sale/
非発火性 [ひはっかせい] /(n) non-incendive/non-firing/
非番 [ひばん] /(n) off duty/
非番号制コマンド [ひばんごうせいコマンド] /(n) (comp) unnumbered commands/
非番号制レスポンス [ひばんごうせいレスポンス] /(n) (comp) unnumbered responses/
非標準拡張 [ひひょうじゅんかくちょう] /(n) nonstandard extension/
非負 [ひふ] /(n) non-negative (integer)/greater than or equal to zero/
非負整数 [ひふせいすう] /(n) (comp) natural number/nonnegative integer/
非武装 [ひぶそう] /(n) (1) demilitarization/demilitarisation/(adj-no) (2) demilitarized/demilitarised/unarmed/weaponless/
非武装地帯 [ひぶそうちたい] /(n) demilitarized zone/demilitarised zone/
非武装中立 [ひぶそうちゅうりつ] /(n) unarmed neutrality/
非文 [ひぶん] /(n) ungrammatical sentence/
非変換 [ひへんかん] /(n) non-conversion/
非保護領域 [ひほごりょういき] /(n) (comp) unprotected area/
非暴力 [ひぼうりょく] /(n,adj-no) nonviolence/non-violence/
非望 [ひぼう] /(n) inordinate ambition/
非凡 [ひぼん] /(adj-na,n) prodigy/rare/unique/extraordinary/
非凡人 [ひぼんじん] /(n) extraordinary person/genius/
非民主 [ひみんしゅ] /(n) undemocratic/
非命 [ひめい] /(n) unnatural or untimely death/
非優先語 [ひゆうせんご] /(n) (comp) non-preferred term/
非友好 [ひゆうこう] /(adj-no) unfriendly/
非理 [ひり] /(n) unreasonable/illogical/
非良心的 [ひりょうしんてき] /(adj-na) unscrupulous/dishonest/irresponsibly done (work, etc.)/
非力 [ひりき] /(adj-na,n) powerless/disability/incompetence/
非礼 [ひれい] /(adj-na,n) impoliteness/(P)/
非零 [ひれい] /(adj-no) (math) non-zero/
非連鎖シーケンス [ひれんさシーケンス] /(n) (comp) unchained sequence/
非労動力 [ひろうどうりょく] /(exp) not in the work force/
非論理的 [ひろんりてき] /(adj-na,n) illogical/
非毀 [ひき] /(n,vs) defamation/libel/calumny/slander/
飛 [ひ] /(n) (abbr) rook (shogi)/
飛しょう [ひしょう] /(n,vs) flight/flying/soaring/
飛ばし [とばし] /(n) selling or divesting in unwanted stocks/hiding bad loans/(P)/
飛ばす [とばす] /(v5s,vt) (1) to fly/to fire/to hurl/to launch/(2) to skip over/to omit/to drop (e.g. stitch)/(3) to run or drive fast/to gallop/(4) to spread a rumour (rumor)/to tell a story/(5) to remove/to get rid of/to transfer/(6) to attack/to jeer at/(P)/
飛び [とび] /(n) (1) (abbr) flying/leaping/flight/leap/(2) (when reading a number aloud) naught/zero/oh/(3) flying fish (esp. the Japanese flying fish, Cypselurus agoo)/
飛びかう [とびかう] /(v5u,vi) to fly about/to flutter about/to flit about/to fly past each other/
飛びかかる [とびかかる] /(v5r) to spring at/to leap upon/to swoop down on/to throw oneself upon (e.g. an enemy)/
飛びくら [とびくら] /(n) jumping match/running match/
飛びすさる [とびすさる] /(v5r,vi) to leap back/to jump back/
飛びっ競 [とびっくら] /(n) (obsc) jumping match/running match/
飛びつく [とびつく] /(v5k,vi) to jump at/to be attracted by/
飛びはねる [とびはねる] /(v1,vi) to jump up and down/to hop/
飛び移る [とびうつる] /(v5r) to jump from one thing to another/
飛び違う [とびちがう] /(v5u,vi) to flit about/
飛び越える [とびこえる] /(v1,vt) to jump over/to clear/to walk over (someone)/
飛び越し走査 [とびこしそうさ] /(n) (comp) interlace/
飛び越す [とびこす] /(v5s,vt) to leap over/
飛び下り [とびおり] /(n) jumping off/
飛び下りる [とびおりる] /(v1,vi) to jump down/to jump off/to jump from/to jump out of/(P)/
飛び火 [とびひ] /(n) (1) leaping flames/shower of flying sparks/(2) impetigo contagiosa/(P)/
飛び回る [とびまわる] /(v5r,vi) to fly about/to skip about/to bustle about/
飛び掛かる [とびかかる] /(v5r) to spring at/to leap upon/to swoop down on/to throw oneself upon (e.g. an enemy)/
飛び起きる [とびおきる] /(v1,vi) to jump up to one's feet/
飛び級 [とびきゅう] /(n,vs) skipping a grade/
飛び去る [とびさる] /(v5r,vi) to fly away/to flee away/to scatter/
飛び魚 [とびうお] /(n) (uk) flying fish (esp. the Japanese flying fish, Cypselurus agoo)/
飛び魚の子 [とびうおのこ] /(n) flying fish roe/
飛び競 [とびくら] /(n) jumping match/running match/
飛び交う [とびかう] /(v5u,vi) to fly about/to flutter about/to flit about/to fly past each other/(P)/
飛び降り [とびおり] /(n) jumping off/
飛び降りる [とびおりる] /(v1,vi) to jump down/to jump off/to jump from/to jump out of/(P)/
飛び降り自殺 [とびおりじさつ] /(n,vs) killing oneself by jumping (e.g. from a tall building)/plunging to one's death/
飛び込み [とびこみ] /(n) jump/plunge/dive/(P)/
飛び込み競技 [とびこみきょうぎ] /(n) diving competition/
飛び込み自殺 [とびこみじさつ] /(n) committing suicide by throwing oneself in front of an onrushing train/
飛び込み台 [とびこみだい] /(n) diving board/
飛び込む [とびこむ] /(v5m,vi) to jump in/to leap in/to plunge into/to dive/(P)/
飛び散る [とびちる] /(v5r,vi) to fly around/to scatter/
飛び子 [とびこ] /(n) (1) (uk) flying fish roe/(2) (arch) travelling male homosexual prostitute/
飛び蹴り [とびげり] /(n) dropkick/
飛び出し [とびだし] /(exp) something that leaps or thrusts out/(P)/
飛び出した目 [とびだしため] /(n) protruding eyes/popped-out eyes/
飛び出しナイフ [とびだしナイフ] /(n) switchblade/
飛び出す [とびだす] /(v5s,vi) (1) to jump out/to rush out/to fly out/(2) to appear (suddenly)/(3) to protrude/to project/(4) to butt in/(P)/
飛び出す絵本 [とびだすえほん] /(n) pop-up book/
飛び出る [とびでる] /(v1,vi) (1) to project/to protrude/to pop out (e.g. eyes)/(2) to jump out/to rush out/
飛び将棋 [とびしょうぎ] /(n) halma (board game)/
飛び上がる [とびあがる] /(v5r,vi) to spring/to jump up/to fly up/to skip/(P)/
飛び乗る [とびのる] /(v5r,vi) to jump upon (a moving object)/
飛び石 [とびいし] /(n) (1) stepping stones/(2) (obsc) stone skipping/ducks and drakes/
飛び石伝い [とびいしづたい] /(n) crossing via stepping-stones/
飛び石連休 [とびいしれんきゅう] /(n) series of holidays with one or two workdays in between/
飛び切り [とびきり] /(adj-no,adv) extraordinary/superior/choice/(P)/
飛び退く [とびのく] /(v5k,vi) to jump (out of the way)/to jump back/to jump aside/
飛び退る [とびすさる] /(v5r,vi) to leap back/to jump back/
飛び地 [とびち] /(n) scattered landholdings/detached land/enclave/exclave/(P)/
飛び跳ねる [とびはねる] /(v1,vi) to jump up and down/to hop/
飛び道具 [とびどうぐ] /(n) firearms/missile/projectile weapon/
飛び入り [とびいり] /(n) open to all/taking part on the spur of the moment/
飛び箱 [とびばこ] /(n) vaulting horse (box)/
飛び抜ける [とびぬける] /(v1) to be preeminent or outstanding/
飛び板 [とびいた] /(n) springboard/diving board/
飛び飛び [とびとび] /(adj-na,adv) scattered here and there/at intervals/
飛び付く [とびつく] /(v5k,vi) to jump at/to be attracted by/
飛び歩く [とびあるく] /(v5k,vi) to walk about/
飛び離れる [とびはなれる] /(v1,vi) to fly apart/to tower over/to be out of the ordinary/
飛び立つ [とびたつ] /(v5t,vi) to jump up/to start up/to leap to one's feet/to fly away/to take off/
飛び翔る [とびかける] /(v5r,vi) to fly/to soar/
飛び蝗虫 [とびばった] /(n) locust swarming/locust swarm/(swarming) locusts/
飛ぶ [とぶ] /(v5b,vi) (1) to jump/to leap/to spring/to bound/to hop/(2) to fly/to soar/(P)/
飛ぶように売れる [とぶようにうれる] /(exp,v1) to sell like hot cakes/to fly off the shelves/
飛ぶ鳥 [とぶとり] /(n) flying bird/soaring bird/
飛ぶ鳥も落とす勢い [とぶとりもおとすいきおい] /(exp) (id) great vigor/tremendous energy/lit: forceful enough to knock down birds in flight/
飛ぶ鳥を落とす勢い [とぶとりをおとすいきおい] /(exp) (id) great vigor/tremendous energy/lit: forceful enough to knock down birds in flight/
飛ぶ鳥跡を濁さず [とぶとりあとをにごさず] /(exp) it is simply common courtesy to clean up after yourself/a bird does not foul the nest it is about to leave/on leaving a place one should see that all is in good order/
飛べない鳥 [とべないとり] /(exp,n) flightless bird/
飛まつ [ひまつ] /(n) (uk) splash/spray/
飛んで [とんで] /(exp) (1) flying/leaping/(2) (when reading a number aloud) naught/zero/oh/
飛んでもない [とんでもない] /(iK) (adj-f) (1) (uk) unthinkable/unexpected/outrageous/offensive/(exp) (2) (col) (uk) absolutely not!/not at all!/far from it!/impossible!/preposterous!/what a thing to say!/no way!/bullshit/(3) (uk) don't mention it/you're welcome/
飛んで火に入る夏の虫 [とんでひにいるなつのむし] /(exp) (id) rushing to one's doom/(like a) moth flying into the flame/
飛雲 [ひうん] /(n) cloud flying through the sky/
飛越 [ひえつ] /(n,vs) jumping over (a hurdle)/clearing (a fence)/hurdling/
飛越し [とびこし] /(n) (comp) jump/
飛越し走査 [とびこしそうさ] /(n) (comp) interlace/
飛越し命令 [とびこしめいれい] /(n) (comp) jump instruction/
飛越す [とびこす] /(v5s,vt) to leap over/
飛燕 [ひえん] /(n) swallow in flight/
飛燕草 [ひえんそう] /(n) (uk) rocket larkspur (Consolida ajacis)/
飛火 [とびひ] /(n) (1) leaping flames/shower of flying sparks/(2) impetigo contagiosa/
飛花落葉 [ひからくよう] /(exp) Blossoms fall and leaves scatter/the evanescence (impermanence) of worldly things/
飛過 [とびすぎ] /(n) (1) (arch) passing by flying/(2) (arch) fickle heart/man who frequently meets with harlots/
飛蚊症 [ひぶんしょう] /(n) myodesopsia/
飛回る [とびまわる] /(v5r,vi) to fly about/to skip about/to bustle about/
飛脚 [ひきゃく] /(n) express messenger/postman/mailman/courier/
飛球 [ひきゅう] /(n) fly (ball)/(P)/
飛距離 [ひきょり] /(n) distance (e.g. jump, flight of arrow, carry of golf ball, etc.)/
飛魚 [とびうお] /(n) (uk) flying fish (esp. the Japanese flying fish, Cypselurus agoo)/
飛空艇 [ひくうてい] /(n) airship/
飛語 [ひご] /(n) baseless rumor/baseless rumour/gossip/false report/
飛行 [ひこう] /(n) (1) aviation/(vs) (2) to fly/to take a flight/(P)/
飛行家 [ひこうか] /(n) aviator/pilot/
飛行機 [ひこうき] /(n) aeroplane/airplane/aircraft/(P)/
飛行機雲 [ひこうきぐも] /(n) vapor trail (vapour)/
飛行記録装置 [ひこうきろくそうち] /(n) flight recorder/
飛行禁止空域 [ひこうきんしくういき] /(n) no-fly zone/
飛行甲板 [ひこうかんぱん] /(n) flight deck/
飛行士 [ひこうし] /(n) pilot/(P)/
飛行時間 [ひこうじかん] /(n) flight time/number of flight hours/
飛行場 [ひこうじょう] /(n) airfield/airport/(P)/
飛行船 [ひこうせん] /(n) airship/blimp/(P)/
飛行体 [ひこうたい] /(n) flight vehicle/
飛行隊 [ひこうたい] /(n) flying corps/air force/
飛行艇 [ひこうてい] /(n) flying boat/
飛行服 [ひこうふく] /(n) flight uniform/
飛行便 [ひこうびん] /(n) airmail/
飛降りる [とびおりる] /(v1,vi) to jump down/to jump off/to jump from/to jump out of/
飛香舎 [ひぎょうしゃ] /(n) court ladies' residence (in the inner Heian Palace)/
飛込み [とびこみ] /(n) jump/plunge/dive/
飛込み競技 [とびこみきょうぎ] /(n) diving competition/
飛込む [とびこむ] /(v5m,vi) to jump in/to leap in/to plunge into/to dive/
飛込競技 [とびこみきょうぎ] /(io) (n) diving competition/
飛砂 [ひさ] /(n) blown sand/sand blow/sand drift (by the wind)/
飛札 [ひさつ] /(n) urgent letter/
飛散 [ひさん] /(n,vs) dispersal/flying/scattering/
飛散防止 [ひさんぼうし] /(adj-no) antiscattering/shatter-resistant/shatterproof/
飛散防止フィルム [ひさんぼうしフィルム] /(n) glass safety film/glass protective film/anti-shattering film for glass/
飛子 [とびこ] /(n) (1) (uk) flying fish roe/(2) (arch) travelling male homosexual prostitute/
飛耳長目 [ひじちょうもく] /(exp) sharp eyes and ears used for collecting information far and wide/having the acumen and shrewd discernment gained by widely-collected information/being well-versed on a subject/books which broaden our knowledge/
飛七節 [とびななふし] /(n) (uk) Micadina phluctaenoides (species of stick insect)/
飛車 [ひしゃ] /(n) rook or castle (shogi)/(P)/
飛出す [とびだす] /(v5s,vi) (1) to jump out/to rush out/to fly out/(2) to appear (suddenly)/(3) to protrude/to project/(4) to butt in/
飛将棋 [とびしょうぎ] /(n) halma (board game)/
飛上がる [とびあがる] /(v5r,vi) to spring/to jump up/to fly up/to skip/
飛石 [とびいし] /(n) (1) stepping stones/(2) (obsc) stone skipping/ducks and drakes/
飛石連休 [とびいしれんきゅう] /(n) series of holidays with one or two workdays in between/
飛跡 [ひせき] /(n) track/flight path/
飛切り [とびきり] /(adj-no,adv) extraordinary/superior/choice/
飛節 [ひせつ] /(n) hock/
飛雪 [ひせつ] /(n) blizzard/snowdrift/
飛泉 [ひせん] /(n) waterfall/
飛騨の匠 [ひだのたくみ] /(n) historical system whereby the Hida region provided 10 carpenters per village the central government in place of taxes/
飛騨山椒魚 [ひださんしょううお] /(n) (uk) Hida salamander (Hynobius kimurae)/
飛地 [とびち] /(n) scattered landholdings/detached land/enclave/exclave/
飛鳥 [ひちょう] /(n) flying bird/
飛鳥時代 [あすかじだい] /(n) Asuka period (550-710 CE)/
飛鳥浄御原律令 [あすかきよみはらりつりょう] /(n) Asuka Kiyomihara Code (689 CE)/
飛電 [ひでん] /(n) urgent or express telegraph/
飛道具 [とびどうぐ] /(n) firearms/missile/projectile weapon/
飛白 [かすり] /(n) splash pattern (e.g. on a kimono)/dye pattern/kasuri/
飛抜けて [とびぬけて] /(exp) by far/far and away/by all odds/
飛板 [とびいた] /(n) springboard/diving board/
飛付く [とびつく] /(v5k,vi) to jump at/to be attracted by/
飛報 [ひほう] /(n) urgent report/urgent message/
飛膜 [ひまく] /(n) patagium (vertebrate flying or gliding membrane)/
飛沫 [しぶき] /(n) (uk) splash/spray/
飛沫 [ひまつ] /(n) (uk) splash/spray/
飛沫感染 [ひまつかんせん] /(n) droplet infection/
飛躍 [ひやく] /(n,vs) (1) leaping/activity/(2) leapfrog (over a problem)/making a leap (e.g. in logic)/(3) making great strides/making rapid progress/(4) emerging/(5) becoming active/playing an active part/(P)/
飛躍的 [ひやくてき] /(adj-na) rapidly/
飛揚 [ひよう] /(n,vs) flying/flight/
飛来 [ひらい] /(n,vs) come flying/
飛立つ [とびたつ] /(v5t,vi) to jump up/to start up/to leap to one's feet/to fly away/to take off/
飛竜 [ひりゅう] /(n) flying dragon/
飛竜 [ひりょう] /(n) flying dragon/
飛竜 [ペーロン] /(n) dragon boat (long 22-person canoe used for racing) (chi:)/races with such boats/
飛竜子 [ひりゅうず] /(n) (1) filhos (traditional Portuguese dessert) (por:)/(2) (ksb:) deep-fried tofu mixed with thinly sliced vegetables/
飛竜子 [ひりょうず] /(n) (1) filhos (traditional Portuguese dessert) (por:)/(2) (ksb:) deep-fried tofu mixed with thinly sliced vegetables/
飛竜子 [ひろうす] /(n) (1) filhos (traditional Portuguese dessert) (por:)/(2) (ksb:) deep-fried tofu mixed with thinly sliced vegetables/
飛竜頭 [ひりゅうず] /(n) (1) filhos (traditional Portuguese dessert) (por:)/(2) (ksb:) deep-fried tofu mixed with thinly sliced vegetables/
飛竜頭 [ひりょうず] /(n) (1) filhos (traditional Portuguese dessert) (por:)/(2) (ksb:) deep-fried tofu mixed with thinly sliced vegetables/
飛竜頭 [ひろうす] /(n) (1) filhos (traditional Portuguese dessert) (por:)/(2) (ksb:) deep-fried tofu mixed with thinly sliced vegetables/
飛瀑 [ひばく] /(n) waterfall from a high place/
飛礫 [つぶて] /(n) stone thrown at somebody/throwing stones/
飛簷 [ひえん] /(n) upturned eaves/high roof/
飛翔 [ひしょう] /(n,vs) flight/flying/soaring/
飛翔体 [ひしょうたい] /(n) flying object (e.g. a rocket, missile, etc.)/projectile/
飛蜥蜴 [とびとかげ] /(n) (uk) flying dragon (any gliding lizard of genus Draco)/
飛蝗 [とびばった] /(n) locust swarming/locust swarm/(swarming) locusts/
飛蝗 [ばった] /(n) (uk) grasshopper/locust (of superfamily Acridoidea)/
飛蝗 [ひこう] /(n) locust swarming/locust swarm/(swarming) locusts/
飛蝗目 [ばったもく] /(n) Orthoptera/
飛螻蛄 [とびけら] /(n) (uk) caddisfly/caddis fly (any moth-like insect of the order Trichoptera)/
飛螻蛄目 [とびけらもく] /(n) Trichoptera (the order of insects comprising the caddisflies)/
樋 [とい] /(n) (1) trough/gutter/water pipe/flume/chute/
樋 [とゆ] /(n) (1) trough/gutter/water pipe/flume/chute/
樋 [とよ] /(n) (1) trough/gutter/water pipe/flume/chute/
樋 [ひ] /(n) (1) trough/gutter/water pipe/flume/chute/(2) coulisse (of a sword blade)/
樋川 [ひがあ] /(n) (water) spring/
樋川 [ひがわ] /(n) (water) spring/
備え [そなえ] /(n) preparation/provision/guarding/(P)/
備えあればうれいなし [そなえあればうれいなし] /(exp) well prepared means no worries (in time of need)/
備えあれば患いなし [そなえあればうれいなし] /(exp) well prepared means no worries (in time of need)/
備えあれば患なし [そなえあればうれいなし] /(exp) well prepared means no worries (in time of need)/
備えあれば憂いなし [そなえあればうれいなし] /(exp) well prepared means no worries (in time of need)/
備えつける [そなえつける] /(v1,vt) to provide/to furnish/to equip/to install/
備える [そなえる] /(v1,vt) (1) to furnish/to provide for/to equip/to install/(2) to have ready/to prepare for/(3) to possess/to have/to be endowed with/to be armed with/(P)/
備え付け [そなえつけ] /(n) equipment/provision/
備え付ける [そなえつける] /(v1,vt) to provide/to furnish/to equip/to install/(P)/
備え有れば憂え無し [そなえあればうれえなし] /(exp) (id) Providing is preventing/
備に [つぶさに] /(adv) in detail/with great care/completely/again and again/
備わる [そなわる] /(v5r,vi) (1) to be furnished with/to be endowed with/(2) to be among/to be one of/to be possessed of/(P)/
備後表 [びんごおもて] /(n) a quality/tatami covering/
備考 [びこう] /(n) note/remarks/NB/(P)/
備考欄 [びこうらん] /(n) notes/remarks (reference) column/
備荒 [びこう] /(n) provision for famine/
備荒食 [びこうしょく] /(n) emergency food/
備荒貯蓄 [びこうちょちく] /(n) famine-relief fund/
備前焼 [びぜんやき] /(n) Bizen ware (type of pottery)/
備蓄 [びちく] /(n,vs) emergency stores/stored/reserved/(P)/
備蓄米 [びちくまい] /(n) reserved rice/
備長 [びんちょう] /(n) (abbr) high-grade charcoal produced from ubame oak (Quercus phillyraeoides)/
備長炭 [びんちょうずみ] /(n) high-grade charcoal produced from ubame oak (Quercus phillyraeoides)/
備長炭 [びんちょうたん] /(n) high-grade charcoal produced from ubame oak (Quercus phillyraeoides)/
備品 [びひん] /(n) fixtures/furnishings/equipment/
備付 [そなえつけ] /(n) equipment/provision/
備砲 [びほう] /(n) armament/
備忘 [びぼう] /(n) reminder/
備忘価額 [びぼうかがく] /(n) residual value/scrap value/memorandum price/memorandum value/
備忘録 [びぼうろく] /(n) notebook/memorandum/
尾 [お] /(n) tail/ridge/(P)/
尾 [び] /(n) (1) Chinese "Tail" constellation (one of the 28 mansions)/(suf,ctr) (2) counter for fish, shrimp, etc./
尾ける [つける] /(v1) to hunt a spy/to put a tail on someone/to stalk/
尾っぽ [おっぽ] /(n) tail/
尾てい骨 [びていこつ] /(n) coccyx/tailbone/
尾の身 [おのみ] /(n) (food) whale tail/
尾ひれ [おひれ] /(n) (1) tail and fins/(2) embellishment (of a story, rumor, etc.)/exaggeration/
尾ひれをつける [おひれをつける] /(exp,v1) to exaggerate/to embellish (a story, rumor, etc.)/
尾ひれを付ける [おひれをつける] /(exp,v1) to exaggerate/to embellish (a story, rumor, etc.)/
尾びれ [おびれ] /(n) caudal fin/tail fin/
尾を引く [おをひく] /(exp,v5k) to leave a trail/to leave traces/to have a lasting effect/
尾羽 [おは] /(n) tail and wings/tail feathers/
尾羽 [おばね] /(n) tail feathers/
尾羽うち枯らす [おはうちからす] /(exp,v5s) to be in a miserable state/to be down and out/
尾羽打ち枯らす [おはうちからす] /(exp,v5s) to be in a miserable state/to be down and out/
尾花 [おばな] /(n) Japanese pampas grass/
尾巻猿 [おまきざる] /(n) (uk) any monkey of family Cebidae (esp. the capuchin monkeys of genus Cebus, but also including marmosets, tamarins and squirrel monkeys)/
尾行 [びこう] /(n,vs) shadow/tail/follow/(P)/
尾高型 [おだかがた] /(n) pattern of Japanese accent with the last mora high and the succeeding particle low/
尾黒目白鮫 [おぐろめじろざめ] /(n) (uk) blacktail reef shark (Carcharhinus amblyrhynchos, species of Indo-Pacific requiem shark)/grey reef shark/
尾黒鷸 [おぐろしぎ] /(n) (uk) black-tailed godwit (species of sandpiper, Limosa limosa)/
尾骨 [びこつ] /(n,adj-no) coccyx/tailbone/
尾根 [おね] /(n) (mountain) ridge/spur/(P)/
尾索類 [びさくるい] /(n) urochordates/
尾肢 [びし] /(n) uropod/
尾状 [びじょう] /(adj-no) tail/caudal/
尾状花 [びじょうか] /(n) catkin/
尾錠 [びじょう] /(n) buckle/
尾節 [びせつ] /(n) telson/
尾扇 [びせん] /(n) tail fan/
尾長 [おなが] /(pref) (1) having a long tail/(n) (2) (uk) azure-winged magpie (Cyanopica cyana)/
尾長猿 [おながざる] /(n) (uk) cercopithecoid (any Old World monkey of family Cercopithecidae, esp. the guenons of genus Cercopithecus)/
尾長鴨 [おなががも] /(n) (uk) northern pintail (Anas acuta)/
尾長鶏 [おながどり] /(n) long-tailed cock/long-tailed fowl (variety of chicken)/
尾長鮫 [おながざめ] /(n) (uk) thresher shark (esp. the common thresher shark, Alopias vulpinus)/
尾長鳥 [おながどり] /(n) long-tailed cock/long-tailed fowl (variety of chicken)/
尾椎 [びつい] /(n) caudal vertebra/
尾灯 [びとう] /(n) tail-light (taillight)/tail lamp (taillamp)/rear light/
尾燈 [びとう] /(oK) (n) tail-light (taillight)/tail lamp (taillamp)/rear light/
尾頭付 [おかしらつき] /(io) (n) fish served whole (complete with head and tail)/
尾頭付き [おかしらつき] /(n) fish served whole (complete with head and tail)/
尾肉 [おにく] /(n) (food) whale tail/
尾白鹿 [おじろじか] /(n) (uk) white-tailed deer (Odocoileus virginianus)/whitetail deer/
尾白鷲 [おじろわし] /(n) (uk) white-tailed eagle (Haliaeetus albicilla)/
尾鰭 [おひれ] /(n) (1) tail and fins/(2) embellishment (of a story, rumor, etc.)/exaggeration/
尾鰭 [おびれ] /(n) caudal fin/tail fin/
尾鰭を付ける [おひれをつける] /(exp,v1) to exaggerate/to embellish (a story, rumor, etc.)/
尾部 [びぶ] /(n,adj-no) tail/caudal/
尾翼 [びよく] /(n) tail/tail plane/
尾籠 [おこ] /(n) indecent/indelicate/
尾籠 [びろう] /(n) indecent/indelicate/
微 [び] /(n,adj-na) (1) minuteness/(2) one millionth/
微々 [びび] /(adj-t,adv-to) slight/insignificant/small/
微か [かすか] /(adj-na) faint/dim/weak/indistinct/hazy/poor/wretched/(P)/
微かな笑み [かすかなえみ] /(n) faint smile/
微かに見える [かすかにみえる] /(v1) to be seen dimly/
微に入り細をうがつ [びにいりさいをうがつ] /(exp,v5t) to go into the minutest details/
微に入り細を穿つ [びにいりさいをうがつ] /(exp,v5t) to go into the minutest details/
微意 [びい] /(n) (hum) small token (of gratitude)/my (humble) feelings/
微雨 [びう] /(n) light rain/a drizzle/
微温 [びおん] /(n,adj-no) lukewarmness/tepidity/
微温い [ぬるい] /(adj-i) (1) (uk) lukewarm/tepid/(2) (uk) lenient/
微温める [ぬるめる] /(v1,vt) to cool something down (e.g. by adding water)/
微温湯 [ぬるまゆ] /(n) tepid water/lukewarm water/
微温湯 [ぬるゆ] /(n) tepid water/lukewarm water/
微温湯 [びおんとう] /(n) tepid water/lukewarm water/
微化石 [びかせき] /(n) microfossil/
微吟 [びぎん] /(n,vs) reciting poetry or singing in a soft voice/
微苦笑 [びくしょう] /(n,vs) faint, ironic or bittersweet smile/
微系数 [びけいすう] /(n) differential coefficient/
微減 [びげん] /(n,vs) slight reduction/small decrease/
微候 [びこう] /(n) (1) sign or symptom of a disease (usu. more subtle than a symptom)/(2) augury/foretoken/harbinger/
微光 [びこう] /(n) faint light/
微行 [びこう] /(n,vs) traveling incognito/travelling incognito/
微細 [びさい] /(adj-na,n) minute/micro/detailed/delicate/subtle/(P)/
微罪 [びざい] /(n) minor offense/minor offence/misdemeanor/misdemeanour/
微視的 [びしてき] /(adj-na,n) microscopic/
微弱 [びじゃく] /(adj-na,n) feeble/faint/weak/
微弱電波 [びじゃくでんぱ] /(n) low-power transmission/weak signals/
微傷 [びしょう] /(n) slight wound/
微小 [びしょう] /(adj-na,n,adj-no) microscopic/(P)/
微小管 [びしょうかん] /(n) microtubule/
微小地震 [びしょうじしん] /(n) microearthquake/
微少 [びしょう] /(adj-na,n,adj-no) infinitesimal/
微笑 [びしょう] /(n,vs) smile/(P)/
微笑の浮かんだ唇 [ほほえみのうかんだくちびる] /(n) lips with a flickering smile/
微笑ましい [ほほえましい] /(adj-i) pleasant/charming/
微笑み [ほおえみ] /(n) smile/
微笑み [ほほえみ] /(n) smile/
微笑みかける [ほほえみかける] /(v1,vi) to smile (at someone)/
微笑み掛ける [ほほえみかける] /(v1,vi) to smile (at someone)/
微笑み返す [ほほえみかえす] /(v5s) to smile back (at a person)/to answer someone's smile/
微笑む [ほほえむ] /(v5m,vi) to smile/(P)/
微笑を浮かべて [びしょうをうかべて] /(exp) with a smile/
微震 [びしん] /(n) slight earthquake/(P)/
微塵 [みじん] /(n) particle/atom/(P)/
微塵子 [みじんこ] /(n) water flea (Daphnia spp.)/
微塵切り [みじんぎり] /(n) finely chopped (cooking)/
微塵粉 [みじんこ] /(n) rice granules/
微睡 [まどろみ] /(n) (uk) slumber/doze/nap/
微睡む [まどろむ] /(v5m,vi) (uk) to doze (off)/
微酔い [ほろよい] /(n) slight intoxication/
微生物 [びせいぶつ] /(n) microbe/germ/(P)/
微生物学 [びせいぶつがく] /(n,adj-no) microbiology/
微生物学者 [びせいぶつがくしゃ] /(n) microbiologist/
微生物分解 [びせいぶつぶんかい] /(n) biodegradation/
微積分 [びせきぶん] /(n) (differential and integral) calculus/
微賎 [びせん] /(iK) (n,adj-na) low rank/humble station/obscurity/
微増 [びぞう] /(n,vs) slight increase/marginal rise/
微速 [びそく] /(n) very slow speed/
微速度 [びそくど] /(n) very slow speed/
微地形 [びちけい] /(n) microtopography/microrelief/
微衷 [びちゅう] /(n) one's innermost thoughts (feelings)/
微調整 [びちょうせい] /(n,vs) minute adjustment/fine tuning/
微糖 [びとう] /(n,adj-no) low in sugar/
微動 [びどう] /(n,vs) slight tremor/slight movement/a quiver/(P)/
微乳 [びにゅう] /(n) small (delicate) breasts/
微熱 [びねつ] /(n) slight fever/(P)/
微微 [びび] /(adj-t,adv-to) slight/insignificant/small/
微風 [そよかぜ] /(n) gentle breeze/soft wind/breath of air/zephyr/
微風 [びふう] /(n) gentle breeze/soft wind/breath of air/zephyr/
微服 [びふく] /(n,vs) clothing designed not to attract attention/
微分 [びぶん] /(n,vs) differential (e.g. calculus)/
微分学 [びぶんがく] /(n) differential calculus/
微分商 [びぶんしょう] /(n) differential quotient/
微分積分学 [びぶんせきぶんがく] /(n) (math) calculus/
微分断面 [びぶんだんめん] /(n) differential cross-section (physics)/
微分方程式 [びぶんほうていしき] /(n) differential equation/
微分法 [びぶんほう] /(n) differentiation/
微妙 [びみょう] /(adj-na,n) (1) delicate/subtle/sensitive/(2) difficult/delicate (situation)/complicated/(3) doubtful/questionable/dicey/(P)/
微妙 [みみょう] /(n,adj-na) (arch) unspeakably wonderful/
微妙な情勢 [びみょうなじょうせい] /(n) subtle, delicate and complicated situation/
微粒子 [びりゅうし] /(n) corpuscle/minute particle/
微粒子現像 [びりゅうしげんぞう] /(n) fine-grain development/
微粒子病 [びりゅうしびょう] /(n) pebrine (disease of silkworms)/
微粒子病原体 [びりゅうしびょうげんたい] /(n) Nosema bombycis (microsporidian parasite responsible for pebrine)/
微量 [びりょう] /(n,adj-na,adj-no) minuscule amount/extremely small quantity/(P)/
微量元素 [びりょうげんそ] /(n) a trace element/
微量分析 [びりょうぶんせき] /(n,adj-no) microanalysis/
微力 [びりょく] /(adj-na,n) poor ability/
微禄 [びろく] /(n,vs) small stipend/
微賤 [びせん] /(n,adj-na) low rank/humble station/obscurity/
微醺 [びくん] /(n) slight intoxication/
枇杷 [びわ] /(ateji) (n) (uk) loquat (Eriobotrya japonica)/Japanese medlar/
枇杷酒 [びわしゅ] /(n) loquat wine/
毘沙門天 [びしゃもんてん] /(n) Vaisravana (guardian god of Buddhism)/
毘廬遮那仏 [びるしゃなぶつ] /(iK) (n) Vairocana-Buddha/
毘盧舎那仏 [びるしゃなぶつ] /(n) Vairocana-Buddha/
毘盧遮那 [びるしゃな] /(n) (Buddh) Vairocana (Buddha who symbolizes the entirety of the phenomenological world)/
毘盧遮那仏 [びるしゃなぶつ] /(n) Vairocana-Buddha/
琵琶 [びわ] /(n) biwa (Japanese lute)/(P)/
琵琶の琴 [びわのこと] /(n) (arch) biwa (4 or 5-stringed Oriental lute)/
琵琶湖 [びわこ] /(n) Lake Biwa/
琵琶湖大鯰 [びわこおおなまず] /(n) (uk) Lake Biwa catfish (Silurus biwaensis)/
琵琶行 [びわこう] /(n) biwa song/
琵琶笛 [びやぼん] /(n) Edo-period mouth harp (with a hairpin-like frame and a long straight tongue)/
琵琶鱒 [びわます] /(n) (uk) biwa trout (Oncorhynchus masou rhodurus)/biwa salmon/
琵琶鰉 [びわひがい] /(n) (uk) Biwa oily gudgeon (Sarcocheilichthys variegatus microoculus)/
眉 [まみえ] /(ok) (n) eyebrow/eyebrows/
眉 [まゆ] /(n) eyebrow/eyebrows/(P)/
眉をひそめる [まゆをひそめる] /(exp,v1) to frown/to scowl/
眉を開く [まゆをひらく] /(exp,v5k) (id) to feel relieved/to forget about one's troubles/to settle into peace of mind/
眉を寄せる [まゆをよせる] /(exp,v1) to frown/to scowl/
眉を顰める [まゆをひそめる] /(exp,v1) to frown/to scowl/
眉宇 [びう] /(n) brow/brows/
眉間 [みけん] /(n,adj-no) brow/glabella/middle forehead/area between the eyebrows/
眉根 [まゆね] /(n) part of the eyebrow closest to the nose/
眉根 [まよね] /(n) part of the eyebrow closest to the nose/
眉尻 [まゆじり] /(n) end of an eyebrow/
眉雪 [びせつ] /(n) snow-white eyebrows/
眉尖刀 [なぎなた] /(n) halberd/long sword/
眉唾 [まゆつば] /(n,adj-na,adj-no) fake/counterfeit/
眉唾物 [まゆつばもの] /(n) fake/counterfeit/
眉白 [まみじろ] /(n) (uk) Siberian thrush (Turdus sibiricus)/
眉白水鶏 [まみじろくいな] /(n) (uk) white-browed crake (species of rail, Porzana cinerea)/
眉白秧鶏 [まみじろくいな] /(n) (uk) white-browed crake (species of rail, Porzana cinerea)/
眉墨 [まゆずみ] /(n) blackened eyebrows/eyebrow pencil/
眉毛 [まゆげ] /(n,adj-no) eyebrows/(P)/
眉目 [びもく] /(n) face/looks/features/
眉目秀麗 [びもくしゅうれい] /(n) handsome(ness)/
美 [び] /(n,n-suf) beauty/(P)/
美 [み] /(ateji) (pref) (1) (hon) august/(2) beautiful/
美々しい [びびしい] /(adj-i) beautiful/
美い [うっつい] /(n) (abbr) (arch) beautiful/
美い [うまい] /(adj-i) (1) skillful/clever/expert/wise/successful/(2) delicious/appetizing/appetising/(3) fortunate/splendid/promising/
美しい [うつくしい] /(adj-i) beautiful/lovely/(P)/
美しい肌の材 [うつくしいはだのざい] /(n) wood of fine grain/
美しい文 [うつくしいあや] /(n) beautiful design/
美意識 [びいしき] /(n) sense of beauty/aesthetic sense/(P)/
美育 [びいく] /(n) cultural study or training/
美音 [びおん] /(n) a sweet voice/
美化 [びか] /(n,vs) beautification/glorification/(P)/
美化運動 [びかうんどう] /(n) a beautification drive/
美化語 [びかご] /(n) more refined language through prefixing of "o-" or "-go" to words, and use of appropriate vocabulary/
美学 [びがく] /(n,adj-no) esthetics/aesthetics/(P)/
美学的 [びがくてき] /(adj-na) aesthetic/
美感 [びかん] /(n) sense of beauty/aesthetic sense/
美観 [びかん] /(n) fine view/beautiful sight/
美顔 [びがん] /(n) beautiful face/
美顔術 [びがんじゅつ] /(n) facial care or treatment/
美顔水 [びがんすい] /(n) face lotion/
美妓 [びぎ] /(n) beautiful maiko or geisha/
美技 [びぎ] /(n) excellent performance/fine play/
美脚 [びきゃく] /(n) beautiful legs/great legs/
美挙 [びきょ] /(n) praiseworthy undertaking/commendable act/
美空 [みそら] /(n) beautiful sky/
美君 [びくん] /(n) beautiful women/
美形 [びけい] /(n) beautiful form or shape/beauty/
美景 [びけい] /(n) beautiful scenery/
美港 [びこう] /(n) beautiful port/
美腰 [びこし] /(n) slim waist/beautiful waistline/
美事 [みごと] /(ateji) (adj-na) (1) splendid/magnificent/beautiful/admirable/(n) (2) praiseworthy act/feat/commendable deed/
美辞 [びじ] /(n) flowery language/pretty words/
美辞麗句 [びじれいく] /(n,adj-no) flowery words/rhetorical flourishes/(P)/
美辞麗句を連ねる [びじれいくをつらねる] /(exp,v1) to declaim/to string together all sorts of flowery words/
美質 [びしつ] /(n) virtue/good qualities/
美酒 [びしゅ] /(n) high-grade sake/
美酒佳肴 [びしゅかこう] /(n) fine wines and prized delicacies/
美醜 [びしゅう] /(n) beauty or ugliness/personal appearance/
美術 [びじゅつ] /(n,adj-no) art/fine arts/(P)/
美術愛好家 [びじゅつあいこうか] /(n) art lover/lover of art/
美術家 [びじゅつか] /(n) artist/
美術界 [びじゅつかい] /(n) the world of the arts/
美術学校 [びじゅつがっこう] /(n) art school/
美術監督 [びじゅつかんとく] /(n) art director/
美術館 [びじゅつかん] /(n) art gallery/art museum/(P)/
美術工芸 [びじゅつこうげい] /(n) arts and crafts/artistic handicraft/fine and applied art/
美術史 [びじゅつし] /(n) art history/
美術史家 [びじゅつしか] /(n) art historian/
美術書 [びじゅつしょ] /(n) art book/
美術商 [びじゅつしょう] /(n) art dealer/fine art(s) shop/
美術大学 [びじゅつだいがく] /(n) College of Arts/
美術的 [びじゅつてき] /(adj-na) artistic/
美術展 [びじゅつてん] /(n) art exhibition/(P)/
美術品 [びじゅつひん] /(n) work of art/
美術部 [びじゅつぶ] /(n) art club/
美女 [びじょ] /(n) beautiful woman/(P)/
美女桜 [びじょざくら] /(n) verbena/
美少女 [びしょうじょ] /(n) beautiful girl/
美少年 [びしょうねん] /(n) handsome youth (male)/pretty boy/
美称 [びしょう] /(n) euphemism/eulogistic name/
美粧 [びしょう] /(n) makeup/
美粧院 [びしょういん] /(n) beauty shop/
美丈夫 [びじょうふ] /(n) good-looking man/fine figure of a man/
美食 [びしょく] /(n,vs,adj-no) delicious or gourmet food/
美食家 [びしょくか] /(n) epicure/gourmet/
美尻 [びしり] /(n) beautiful buttocks/
美人 [びじん] /(n) beautiful person (woman)/(P)/
美人画 [びじんが] /(n) Ukiyo-e portraying beautiful women/
美人局 [つつもたせ] /(gikun) (n) scheme in which a man and woman trick another man into a compromising situation for blackmail/badger game/
美人薄命 [びじんはくめい] /(exp) beauty and fortune seldom go together/the beautiful die young/
美声 [びせい] /(n,adj-no) beautiful voice/
美俗 [びぞく] /(n) a fine custom/
美大 [びだい] /(n) (abbr) College of Arts/
美男 [びなん] /(n) handsome man/
美男子 [びだんし] /(n) handsome man/
美男子 [びなんし] /(n) handsome man/
美談 [びだん] /(n) moving or impressive tale/
美的 [びてき] /(adj-na,n) esthetic/aesthetic/
美的感覚 [びてきかんかく] /(n) aesthetic feeling/aesthetic sense/sense of beauty/
美的嫌悪 [びてきけんお] /(n) aesthetic aversion/
美的生活 [びてきせいかつ] /(n) an aesthetic existence/
美点 [びてん] /(n) virtue/charm/merit/good point/(P)/
美田 [びでん] /(n) fertile, productive field/
美道 [びどう] /(n) (arch) male homosexuality/pederasty/
美徳 [びとく] /(n) virtue/
美乳 [びにゅう] /(n) beautiful (well-shaped) breasts/
美之主貝 [びのすがい] /(n) (uk) Mercenaria stimpsoni (species of Venus clam)/
美濃紙 [みのがみ] /(n) Mino paper (var. of Japanese paper)/
美白 [びはく] /(n) (1) prevention of sun-related skin damage/(2) skin whitening/
美白美人 [びはくびじん] /(n) beautiful white-skinned lady (usu. wrt to freckle removal and skin whitening products)/
美肌 [びはだ] /(n) beautiful skin/
美髪 [びはつ] /(n) beautiful hair/
美美しい [びびしい] /(adj-i) beautiful/
美姫 [びき] /(n) beautiful maiden/beauty/
美品 [びひん] /(n) like-new item/used item in mint condition/
美風 [びふう] /(n) beautiful (laudable) custom/
美服 [びふく] /(n) fine clothing/
美文 [びぶん] /(n) flowery prose/
美文調 [びぶんちょう] /(n) an ornate style/
美貌 [びぼう] /(n,adj-no) beautiful face/good looks/beauty/
美本 [びほん] /(n) attractively bound book/
美味 [びみ] /(adj-na,n) good flavor/good flavour/delicacy/
美味い [うまい] /(adj-i) (1) skillful/clever/expert/wise/successful/(2) delicious/appetizing/appetising/(3) fortunate/splendid/promising/(P)/
美味しい [おいしい] /(adj-i) (uk) delicious/tasty/sweet/(P)/
美味佳肴 [びみかこう] /(n) delicacies/epicurean dishes/
美妙 [びみょう] /(adj-na,n) elegant/exquisite/
美名 [びめい] /(n) good name/high reputation/
美容 [びよう] /(n,adj-no) beauty of figure or form/(P)/
美容院 [びよういん] /(n) beauty parlour/beauty parlor/hairdressing salon/(P)/
美容外科 [びようげか] /(n) cosmetic surgery/aesthetic surgery/
美容師 [びようし] /(n) beauty artist/(P)/
美容室 [びようしつ] /(n) beauty parlor/
美容術 [びようじゅつ] /(n) cosmetology/
美容整形 [びようせいけい] /(n) cosmetic surgery/
美容整形手術 [びようせいけいしゅじゅつ] /(n) cosmetic surgery/
美容体操 [びようたいそう] /(n,adj-no) calisthenics/
美容柳 [びょうやなぎ] /(ik) (n) (uk) Chinese hypericum (Hypericum monogynum)/
美容柳 [びようやなぎ] /(n) (uk) Chinese hypericum (Hypericum monogynum)/
美麗 [びれい] /(adj-na,n) beauty/gorgeous(ness)/
美禄 [びろく] /(n) (1) high salary/(2) alcohol/
鼻 [はな] /(n) nose/(P)/
鼻かぜ [はなかぜ] /(n) head cold/
鼻かみ [はなかみ] /(n) tissue paper/paper handkerchief/
鼻がぐすぐすする [はながぐすぐすする] /(exp,vs-i) to have a sniffle/to have a congested nose/
鼻がみ [はながみ] /(n) tissue paper/paper handkerchief/
鼻がグスグスする [はながグスグスする] /(exp,vs-i) to have a sniffle/to have a congested nose/
鼻が詰まる [はながつまる] /(exp,v5r) to have a stuffed nose/to have a stuffy nose/
鼻が高い [はながたかい] /(exp,adj-i) proud/
鼻っ柱 [はなっぱしら] /(n) bridge of the nose/septum/
鼻っ張り [はなっぱり] /(n) overconfidence/
鼻であしらう [はなであしらう] /(exp,v5u) to spurn/to snub/to treat with contempt/
鼻で笑う [はなでわらう] /(exp,v5u) to laugh scornfully/
鼻にかける [はなにかける] /(exp,v1) to be full of pride/to be boastful/
鼻につく [はなにつく] /(exp,v5k) (1) to be cloying/to be sick and tired with/to be disgusted with/to get up someone's nose/(2) to stink/
鼻に掛ける [はなにかける] /(exp,v1) to be full of pride/to be boastful/
鼻に付く [はなにつく] /(exp,v5k) (1) to be cloying/to be sick and tired with/to be disgusted with/to get up someone's nose/(2) to stink/
鼻の下 [はなのした] /(n) (1) upper lip/philtrum/under one's nose/(2) mouth/
鼻の下が長い [はなのしたがながい] /(exp,adj-i) soft on women/
鼻の穴 [はなのあな] /(n) nostrils/
鼻の高い [はなのたかい] /(exp) proud/
鼻の先 [はなのさき] /(exp) (1) in front of your nose/right next to you/(2) tip of one's nose/
鼻ひげ [はなひげ] /(n) (col) moustache/mustache/
鼻ぺちゃ [はなぺちゃ] /(n,adj-na,adj-no) small, flat nose/
鼻をあかす [はなをあかす] /(exp,v5s) to outwit/to get the better of/to overcome a superior opponent and leave him speechless/
鼻をかむ [はなをかむ] /(exp,v5m) to blow one's nose/
鼻をすする [はなをすする] /(exp,v5r) to sniffle/to sniff/
鼻をつまむ [はなをつまむ] /(exp,v5m) to hold one's nose/to pinch one's nose/
鼻をならす [はなをならす] /(exp,v5s) to coo at/to behave like a spoiled child/
鼻を高くする [はなをたかくする] /(exp,vs-i) to be proud/
鼻を削がれる [はなをそがれる] /(exp,v1) to have one's nose mutilated/to have one's nose cut off/
鼻を折る [はなをおる] /(exp,v5r) to humble someone/
鼻を突き合わす [はなをつきあわす] /(exp,v5s) to be closely crowded together/
鼻を明かす [はなをあかす] /(exp,v5s) to outwit/to get the better of/to overcome a superior opponent and leave him speechless/
鼻を鳴らす [はなをならす] /(exp,v5s) to coo at/to behave like a spoiled child/
鼻を啜る [はなをすする] /(exp,v5r) to sniffle/to sniff/
鼻クソ [はなクソ] /(n) nasal discharge/
鼻ピ [はなピ] /(n) (abbr) (sl) nose piercing/nose ring/
鼻ピアス [はなピアス] /(n) nose piercing/nose ring/
鼻ペチャ [はなペチャ] /(n,adj-na,adj-no) small, flat nose/
鼻咽頭 [びいんとう] /(n) nasopharynx/
鼻隠し [はなかくし] /(n) fascia board/facia board/
鼻唄 [はなうた] /(n) humming/crooning/
鼻唄 [はなうた] /(oK) (n) humming/crooning/
鼻炎 [びえん] /(n) nasal inflammation/
鼻音 [びおん] /(n) (ling) nasal sound/nasal/
鼻音化 [びおんか] /(n,vs) nasalization/
鼻下 [びか] /(n) (1) upper-lip (lit: under the nose)/(adj-no) (2) subnasal/
鼻下長 [びかちょう] /(n) amorous man/henpecked husband/
鼻科学 [びかがく] /(n) rhinology/nasology/
鼻歌 [はなうた] /(n) humming/crooning/
鼻歌交じり [はなうたまじり] /(n) humming a tune/humming unconcernedly/
鼻歌交り [はなうたまじり] /(n) humming a tune/humming unconcernedly/
鼻歌混じりで働く [はなうたまじりではたらく] /(v5k) to work while humming a tune/
鼻革 [はながわ] /(n) toe cover for clogs/
鼻汗 [はなあせ] /(n) nose sweat/
鼻眼鏡 [はなめがね] /(n) pince-nez glasses/
鼻詰まり [はなづまり] /(n) nasal congestion/nose being clogged up/
鼻詰り [はなづまり] /(n) nasal congestion/nose being clogged up/
鼻許 [はなもと] /(n) root of the nose/
鼻鏡 [はなかがみ] /(n,adj-no) nasal speculum/
鼻鏡 [びきょう] /(n,adj-no) nasal speculum/
鼻曲がり [はなまがり] /(n) (1) curved nose/(2) crosspatch/(3) male salmon in the breeding season/
鼻曲り [はなまがり] /(n) (1) curved nose/(2) crosspatch/(3) male salmon in the breeding season/
鼻筋 [はなすじ] /(n) bridge of nose/
鼻熊 [はなぐま] /(n) (uk) coati/
鼻穴 [びけつ] /(n) (obsc) nostril/
鼻血 [はなじ] /(ik) (n) nosebleed/
鼻血 [はなぢ] /(n) nosebleed/(P)/
鼻元 [はなもと] /(n) root of the nose/
鼻元思案 [はなもとしあん] /(n) superficial (shortsighted) way of thinking/half-baked (foolish, ill-advised) idea/
鼻元思案 [はなもとじあん] /(n) superficial (shortsighted) way of thinking/half-baked (foolish, ill-advised) idea/
鼻呼吸 [びこきゅう] /(n) nasal respiration/
鼻口 [びこう] /(n,adj-no) (1) nose and mouth/muzzle (e.g. of a dog)/(2) nostril/nostrils/naris/nares/
鼻向け [はなむけ] /(n) smelling (something)/turning one's nose towards a smell/
鼻孔 [びこう] /(n) nostril/nostrils/naris/nares/
鼻甲介 [びこうかい] /(n) nasal concha/turbinate bone/
鼻綱 [はなづな] /(n) halter/
鼻腔 [びくう] /(n) the nasal cavity/
鼻腔 [びこう] /(n) the nasal cavity/
鼻高 [はなたか] /(adj-na,n) high nose/person with a high nose/pride/
鼻高々 [はなたかだか] /(adj-na,n) proudly/triumphantly/
鼻高高 [はなたかだか] /(adj-na,n) proudly/triumphantly/
鼻骨 [びこつ] /(n) nasal bone/
鼻根 [びこん] /(n) root of the nose/
鼻紙 [はなかみ] /(n) tissue paper/paper handkerchief/
鼻紙 [はながみ] /(n) tissue paper/paper handkerchief/(P)/
鼻持ちならない [はなもちならない] /(adj-i) stink/intolerable/
鼻持ちならぬ [はなもちならぬ] /(exp) intolerable/disgusting/
鼻疾 [びしつ] /(n) diseases of the nose/
鼻汁 [はなしる] /(n) (liquid) nasal mucus/nasal discharge/pituita/snot/
鼻汁 [はなじる] /(n) (liquid) nasal mucus/nasal discharge/pituita/snot/
鼻汁 [びじゅう] /(n) (liquid) nasal mucus/nasal discharge/pituita/snot/
鼻出血 [びしゅっけつ] /(n) nosebleed/
鼻緒 [はなお] /(n) sandal strap/geta strap/
鼻衝 [はなつき] /(n) meeting head on/
鼻衝き [はなつき] /(n) meeting head on/
鼻拭き [はなふき] /(n) handkerchief/
鼻水 [はなみず] /(n) nasal mucus/dripping nose/
鼻声 [はなごえ] /(n,adj-no) nasal voice/
鼻声 [びせい] /(n,adj-no) nasal voice/
鼻先 [はなさき] /(n) tip of nose/(P)/
鼻先思案 [はなさきしあん] /(n) superficial (shortsighted) way of thinking/half-baked (foolish, ill-advised) idea/
鼻先思案 [はなさきじあん] /(n) superficial (shortsighted) way of thinking/half-baked (foolish, ill-advised) idea/
鼻先分別 [はなさきふんべつ] /(n) superficial (shortsighted) way of thinking/half-baked (foolish, ill-advised) idea/
鼻栓 [はなせん] /(n) (1) nasal plug/(2) blocking draw pin (in wooden construction)/
鼻祖 [びそ] /(n) founder/originator/introducer/
鼻息 [はないき] /(n) (1) nasal breathing/(2) person's pleasure/excitement/(P)/
鼻息 [びそく] /(n) (1) nasal breathing/
鼻息が荒い [はないきがあらい] /(exp,adj-i) imperious/proud/
鼻息の荒い [はないきのあらい] /(adj-i) imperious/proud/
鼻太大蜥蜴 [はなぶとおおとかげ] /(n) (uk) crocodile monitor (Varanus salvadorii, species of carnivorous monitor lizard found in New Guinea)/Salvadori's monitor/Papua monitor/artellia/
鼻濁音 [びだくおん] /(n) (ling) nasal sound/
鼻茸 [はなたけ] /(n) nasal polyps/adenoids/
鼻茸 [びじょう] /(n) nasal polyps/adenoids/
鼻端 [びたん] /(n) nose tip/
鼻中隔 [びちゅうかく] /(n) nasal septum/
鼻柱 [はなばしら] /(n) septum/bridge of nose/
鼻潰れ [はなつぶれ] /(n) flat nose/flat-nose person/
鼻摘まみ [はなつまみ] /(n) uncouth person/disgusting fellow/nuisance/outcast/bore/
鼻摘み [はなつまみ] /(n) uncouth person/disgusting fellow/nuisance/outcast/bore/
鼻頭 [はながしら] /(n) tip (end) of the nose/
鼻突 [はなつき] /(n) meeting head on/
鼻突き [はなつき] /(n) meeting head on/
鼻突き合い [はなつきあい] /(n) quarreling/quarrelling/
鼻内 [びない] /(n,adj-no) in the nose/
鼻白む [はなしろむ] /(v5m,vi) to feel let down/to feel ashamed/
鼻白む [はなじろむ] /(v5m,vi) to look daunted/
鼻髭 [はなひげ] /(n) (col) moustache/mustache/
鼻風 [はなかぜ] /(n) head cold/
鼻風邪 [はなかぜ] /(n) head cold/
鼻糞 [はなくそ] /(n) nasal discharge/
鼻閉 [びへい] /(n) nasal obstruction/
鼻閉塞 [びへいそく] /(n) nasal obstruction/
鼻偏 [はなへん] /(n) kanji "nose" radical at left/
鼻母音 [びぼいん] /(n) (ling) nasal vowel/
鼻面 [はなづら] /(n) muzzle/snout/
鼻毛 [はなげ] /(n,adj-no) nostril hairs/
鼻毛を数える [はなげをかぞえる] /(exp,v1) to lead (a man) around by the nose/
鼻毛を読む [はなげをよむ] /(exp,v5m) to lead (a man) around by the nose/
鼻木 [はなぎ] /(n) nose ring (for cattle)/
鼻薬 [はなぐすり] /(n) (1) nose medicine (e.g. nasal spray)/(2) bribe/hush money/(3) soothing sweets (for a child)/
鼻薬をかがせる [はなぐすりをかがせる] /(exp,v1) to bribe/
鼻薬を嗅がせる [はなぐすりをかがせる] /(exp,v1) to bribe/
鼻翼 [びよく] /(n,adj-no) wings of the nose (i.e. nostril)/
鼻梁 [びりょう] /(n) bridge of the nose/
鼻輪 [はなわ] /(n) nose ring/
鼻涙管 [びるいかん] /(n) nasolacrimal duct/
鼻漏 [びろう] /(n) rhinorrhea/
鼻屎 [はなくそ] /(n) nasal discharge/
鼻瘤 [びりゅう] /(n) rhinophyma/red swollen nose (often associated with alcoholism)/
柊 [ひいらぎ] /(n) (1) (uk) holly olive (Osmanthus heterophyllus)/false holly/(2) holly (common mistranslation)/(3) spotnape ponyfish (Leiognathus nuchalis)/
柊 [ひらぎ] /(n) (1) (uk) holly olive (Osmanthus heterophyllus)/false holly/(2) holly (common mistranslation)/(3) spotnape ponyfish (Leiognathus nuchalis)/
柊菜 [ひいらぎな] /(n) mizuna (Brassica rapa var. nipposinica)/
柊南天 [ひいらぎなんてん] /(n) Mahonia japonica/Japanese mahonia/
稗 [ひえ] /(n) barnyard millet (Echinochloa utilis)/Japanese millet/sanwa millet/
稗官 [はいかん] /(n) petty official responsible for collecting public gossip and presenting it to the king (in ancient China)/
稗史 [はいし] /(n) people's history (written for the king of China; usu. written as a novel)/
匹 [き] /(ctr) (1) counter for rolls of cloth (two han in size)/(2) (arch) counter for horses/(n) (3) roll of cloth/
匹 [ひき] /(ctr) (1) counter for small animals/(2) counter for rolls of cloth (two han in size)/(n) (3) roll of cloth/(P)/
匹偶 [ひつぐう] /(n,vs) (1) (arch) pair/couple (husband and wife)/(n) (2) (arch) friend/comrade/
匹敵 [ひってき] /(n,vs) comparing with/match/rival/equal/(P)/
匹夫 [ひっぷ] /(n) (humble) man/coarse man/rustic/
匹夫の勇 [ひっぷのゆう] /(n) rash courage/
匹夫匹婦 [ひっぷひっぷ] /(n) coarse men and women/
匹婦 [ひっぷ] /(n) coarse woman/country woman/
匹儔 [ひっちゅう] /(n,vs) equal/match/
疋 [き] /(ctr) (1) counter for rolls of cloth (two han in size)/(2) (arch) counter for horses/(n) (3) roll of cloth/
疋 [ひき] /(ctr) (1) counter for small animals/(2) counter for rolls of cloth (two han in size)/(n) (3) roll of cloth/
髭 [ひげ] /(n) (1) moustache/beard/whiskers/(2) extremely short pulse appearing on an electrical signal/(P)/
髭ペンギン [ひげペンギン] /(n) (uk) chinstrap penguin (Pygoscelis antarctica)/
髭剃り [ひげそり] /(n) shaving/shaver/
髭剃り後 [ひげそりあと] /(n-adv,n-t) after shaving/
髭面 [ひげづら] /(n) bearded face/unshaven face/hairy face/
髭鷲 [ひげわし] /(n) (uk) bearded vulture (Gypaetus barbatus)/lammergeier/
彦 [ひこ] /(n,n-suf) boy/
彦星 [ひこぼし] /(n) Altair/
膝 [ひざ] /(n) knee/lap/(P)/
膝が笑う [ひざがわらう] /(exp,v5u) (id) to have one's knees be about to give way/
膝の皿 [ひざのさら] /(n) kneecap/
膝を交えて [ひざをまじえて] /(exp) intimately/sitting knee to knee/
膝を突き合わせる [ひざをつきあわせる] /(exp,v1) to meet face-to-face/
膝を突く [ひざをつく] /(exp,v5k) to go down on one's knees (i.e. to express respect)/
膝を崩す [ひざをくずす] /(exp,v5s) to sit at ease/
膝下 [しっか] /(n) (1) near one's knee/below one's knee/(2) under the protection of (e.g. one's parents)/under the care of/(3) address used after the names of one's parents, grandparents, etc. in a letter/
膝下 [ひざもと] /(n) (1) near one's knee/below one's knee/(2) under the protection of (e.g. one's parents)/under the care of/(3) territory of a powerful person/
膝蓋骨 [しつがいこつ] /(n) kneecap/patella/
膝蓋腱 [しつがいけん] /(n) patellar tendon/
膝蓋腱反射 [しつがいけんはんしゃ] /(n) kneecap (patellar) reflex/
膝掛け [ひざかけ] /(n) lap blanket/
膝関節 [しつかんせつ] /(n) knee joint/
膝詰め [ひざづめ] /(n) knee to knee/
膝詰め談判 [ひざづめだんぱん] /(n) direct negotiations/pressing a demand with a face-to-face talk/
膝許 [ひざもと] /(n) (1) near one's knee/below one's knee/(2) under the protection of (e.g. one's parents)/under the care of/(3) territory of a powerful person/
膝元 [ひざもと] /(n) (1) near one's knee/below one's knee/(2) under the protection of (e.g. one's parents)/under the care of/(3) territory of a powerful person/
膝行 [いざり] /(n) (1) crawling on the ground/shuffling one one's knees/(2) (sens) cripple/
膝行 [しっこう] /(n,vs) moving forward by sliding on one's knees (in the presence of high-ranking individuals)/
膝行る [いざる] /(v5r,vi) to crawl/to shuffle along/
膝皿貝 [ひざらがい] /(n) (1) (uk) chiton (any marine mollusk of the class Polyplacophora)/sea cradle/(2) Japanese chiton (Acanthopleura japonica)/
膝小僧 [ひざこぞう] /(n) kneecap/
膝頭 [ひざがしら] /(n) kneecap/
膝拍子 [ひざびょうし] /(n) keeping time by tapping one's knees/
膝枕 [ひざまくら] /(n) sleeping with one's head in another's lap/
膝窩 [しっか] /(n,adj-no) popliteal fossa/popliteal space/area behind the knee/
膝膕 [しっかく] /(n) (obsc) popliteal fossa/popliteal space/area behind the knee/
菱 [ひし] /(n) (1) (uk) Trapa japonica (species of plant closely related to water chestnut or water caltrop)/(2) caltrop (weapon)/caltrap/
菱垣廻船 [ひがきかいせん] /(n) large Japanese junk/
菱垣廻船 [ひしがきかいせん] /(n) large Japanese junk/
菱形 [ひしがた] /(n,adj-no) diamond shape/
菱食 [ひしくい] /(n) (uk) bean goose (Anser fabalis)/
菱脳 [りょうのう] /(n,adj-no) rhombencephalon/hindbrain/
菱餅 [ひしもち] /(n) rhombus-shaped mochi/
菱蝗 [ひしばった] /(n) (uk) groundhopper (esp. species Tetrix japonica)/
菱蝗虫 [ひしばった] /(n) (uk) groundhopper (esp. species Tetrix japonica)/
肘 [ひじ] /(n) (uk) elbow/(P)/
肘掛 [ひじかけ] /(n) armrest (of a chair)/elbow rest/
肘掛け [ひじかけ] /(n) armrest (of a chair)/elbow rest/
肘掛け椅子 [ひじかけいす] /(n) (1) armchair/chair with arm rests/(2) senior staff/
肘掛椅子 [ひじかけいす] /(n) (1) armchair/chair with arm rests/(2) senior staff/
肘打ち [ひじうち] /(n) (MA) elbow strike (karate)/
肘鉄 [ひじてつ] /(n) rebuff/
肘鉄砲 [ひじでっぽう] /(n) shot of the elbow/rejection/rebuff/
肘当て [ひじあて] /(n) (1) (detachable) elbow rest/arm rest/elbow pad/(2) (MA) elbow strike (karate)/
肘頭滑液嚢炎 [ちゅうとうかつえきのうえん] /(n) olecranoid bursitis/miner's elbow/
肘頭滑液包炎 [ちゅうとうかつえきほうえん] /(n) olecranon bursitis/
肘枕 [ひじまくら] /(n,vs) using one's elbows as a pillow/
必す構成要素 [ひっすこうせいようそ] /(n) (comp) mandatory (M) component/
必す信号 [ひっすしんごう] /(n) (comp) mandatory/
必す属性 [ひっすぞくせい] /(n) (comp) mandatory attribute/required attribute/
必ず [かならず] /(adv) always/without exception/necessarily/certainly/without fail/positively/invariably/(P)/
必ずしも [かならずしも] /(adv) (not) always/(not) necessarily/(not) all/(not) entirely/(P)/
必ずや [かならずや] /(adv) certainly/surely/definitely/
必携 [ひっけい] /(n) (1) handbook/manual/vade mecum/(2) (something) essential to keep on you/(P)/
必見 [ひっけん] /(n) worth seeing/a must-see/
必見の物 [ひっけんのもの] /(n) a must/something that deserves attention/
必殺 [ひっさつ] /(n) certain kill/
必殺技 [ひっさつわざ] /(n) (MA) special move, usually one unique to a certain fighter or fighting style/
必死 [ひっし] /(adj-na,adj-no) (1) frantic/desperate/(2) inevitable death/(3) brinkmate (inevitable checkmate) (shogi)/(P)/
必死に [ひっしに] /(adv) frantically/desperately/for one's life/(P)/
必死になって [ひっしになって] /(exp) desperately/for one's dear life/(P)/
必至 [ひっし] /(adj-na,adj-no) (1) inevitable/necessary/foregone/(n) (2) brinkmate (inevitable checkmate) (shogi)/(P)/
必治 [ひっち] /(n) certain cure/
必治薬 [ひっちやく] /(n) necessity guaranteed to cure/
必需 [ひつじゅ] /(n) necessary/(P)/
必需品 [ひつじゅひん] /(n) necessities/necessary article/requisite/essentials/staple/(P)/
必修 [ひっしゅう] /(n,adj-no) required (subject)/(P)/
必修科目 [ひっしゅうかもく] /(n) compulsory subject/
必勝 [ひっしょう] /(n) certain victory/(P)/
必勝不敗 [ひっしょうふはい] /(n) certain victory/sure victory/invincibility/
必勝法 [ひっしょうほう] /(n) surefire way to win/
必捷 [ひっしょう] /(n) certain victory/
必須 [ひっす] /(adj-na,n,adj-no) indispensable/required/(P)/
必須アミノ酸 [ひっすアミノさん] /(n) essential amino acid/
必須科目 [ひっすかもく] /(n) required subjects/
必須格 [ひっすかく] /(n) (ling) indispensable case/
必須脂肪酸 [ひっすしぼうさん] /(n) essential fatty acid/
必須条件 [ひっすじょうけん] /(n) essential condition/(P)/
必須入力 [ひっすにゅうりょく] /(n) (comp) required entry (e.g. in online forms)/
必衰 [ひっすい] /(n) bound to decline, decay, or collapse/
必然 [ひつぜん] /(n,adj-no) inevitable/necessary/(P)/
必然性 [ひつぜんせい] /(n) necessity/inevitability/
必然的 [ひつぜんてき] /(adj-na) inevitable/necessary/(P)/
必達 [ひったつ] /(n) (abbr) certain fulfilment/
必着 [ひっちゃく] /(n) must arrive/must be received/(P)/
必中 [ひっちゅう] /(n,vs) hitting the target/
必定 [ひつじょう] /(adj-na,adv,n) inevitably/certainly/
必読 [ひつどく] /(n) should be read by all/(P)/
必読書 [ひつどくしょ] /(n) "must have" book/required reading/
必敗 [ひっぱい] /(n) certain defeat/
必罰 [ひつばつ] /(n) inevitability of punishment/
必滅 [ひつめつ] /(n,vs) mortality/
必用 [ひつよう] /(adj-na) (1) necessary/needed/essential/indispensable/(n) (2) necessity/need/requirement/
必要 [ひつよう] /(adj-na) (1) necessary/needed/essential/indispensable/(n) (2) necessity/need/requirement/(P)/
必要とする [ひつようとする] /(exp,vt,vs-i) to need/to call for/to require/
必要と認める [ひつようとみとめる] /(v1) to judge as necessary/
必要なし [ひつようなし] /(exp) not required/
必要ならば [ひつようならば] /(exp) if necessary/
必要に応じて [ひつようにおうじて] /(adv) as necessary/
必要は発明の母 [ひつようははつめいのはは] /(exp) necessity is the mother of invention/
必要メモリ [ひつようメモリ] /(n) (comp) required memory size/
必要悪 [ひつようあく] /(n) necessary evil/
必要経費 [ひつようけいひ] /(n) necessary expenses/
必要語 [ひつようご] /(n) (comp) key word/
必要事 [ひつようじ] /(n) necessities/
必要次第 [ひつようしだい] /(n,adv) as necessary (needed)/if necessary (needed)/
必要十分条件 [ひつようじゅうぶんじょうけん] /(n) necessary and sufficient condition/
必要書類 [ひつようしょるい] /(n) necessary documents/important documents/
必要条件 [ひつようじょうけん] /(n) necessary condition/requirement/
必要性 [ひつようせい] /(n) necessity/(P)/
必要動作環境 [ひつようどうさかんきょう] /(n) (comp) (minimum) system requirements/
必要品 [ひつようひん] /(n) necessities/
必要不可欠 [ひつようふかけつ] /(n,adj-na) essential/indispensable/imperative/necessary/compelling, vital, critical/
必要物 [ひつようぶつ] /(n) necessities/
必竟 [ひっきょう] /(oK) (adv,n) after all/
畢 [ひつ] /(n) Chinese "Net" constellation (one of the 28 mansions)/
畢わる [おわる] /(v5r,vi) to finish/to end/to close/
畢宿 [あめふりぼし] /(n) Chinese "Net" constellation (one of the 28 mansions)/
畢生 [ひっせい] /(n-adv,n-t) lifetime/
畢竟 [ひっきょう] /(adv,n) after all/
畢竟するに [ひっきょうするに] /(exp,adv) after all/in the end/
筆 [ふで] /(n) writing brush/(P)/
筆おろし [ふでおろし] /(n,vs) (1) first use of a new brush/(2) doing something for the first time/(3) young man's first sexual experience, esp. one initiated by an older woman/
筆が立つ [ふでがたつ] /(exp,v5t) good writer/wielding a facile pen/
筆まめ [ふでまめ] /(n,adj-na) good correspondent/ready writer/
筆を揮う [ふでをふるう] /(exp,v5u) to drive a quill (pen)/to wield the writing brush/
筆を執る [ふでをとる] /(exp,v5r) to pen/to write/to draw/
筆を寝かせて書く [ふでをねかせてかく] /(exp,v5k) to write with one's brush slanted/
筆を折る [ふでをおる] /(exp,v5r) to break off writing/
筆を置く [ふでをおく] /(exp,v5k) to stop writing/to put down one's pen/to close (a letter)/
筆を擱く [ふでをおく] /(exp,v5k) to stop writing/to put down one's pen/to close (a letter)/
筆ペン [ふでペン] /(n) calligraphy pen/
筆圧 [ひつあつ] /(n) strength of a brushstroke/
筆意 [ひつい] /(n) brushwork/writing/
筆禍 [ひっか] /(n) troubles brought on by what one has written/
筆禍事件 [ひっかじけん] /(n) troubles brought on by what one has written/incident occasioned by a serious slip of the pen/
筆画 [ひっかく] /(n) the strokes in a kanji character/
筆界 [ひつかい] /(n) (legal) boundary (e.g. of property)/
筆界特定制度 [ひつかいとくていせいど] /(n) (Japanese) land registration system/
筆柿 [ふでかき] /(n) fudegaki (variety of sweet Japanese persimmon)/
筆柿 [ふでがき] /(n) fudegaki (variety of sweet Japanese persimmon)/
筆記 [ひっき] /(n,vs,adj-no) (taking) notes/copying/(P)/
筆記具 [ひっきぐ] /(n) writing materials/
筆記試験 [ひっきしけん] /(n) written examination/(P)/
筆記者 [ひっきしゃ] /(n) copyist/
筆記体 [ひっきたい] /(n) cursive style/
筆記帳 [ひっきちょう] /(n) notebook/
筆記用具 [ひっきようぐ] /(n) writing implement/(P)/
筆遣い [ふでづかい] /(n) brushwork/
筆耕 [ひっこう] /(n) making a living copying or writing/
筆耕料 [ひっこうりょう] /(n) copying fee/
筆降ろし [ふでおろし] /(n,vs) (1) first use of a new brush/(2) doing something for the first time/(3) young man's first sexual experience, esp. one initiated by an older woman/
筆才 [ひっさい] /(n) literary talent/
筆算 [ひっさん] /(n,vs) calculating on paper/
筆紙 [ひっし] /(n) brush and paper/description/
筆写 [ひっしゃ] /(n,vs,adj-no) copying/transcribing/
筆写略字 [ひっしゃりゃくじ] /(n) handwritten abbreviation (of kanji)/
筆者 [ひっしゃ] /(n) writer (often in self-reference)/author/(P)/
筆順 [ひつじゅん] /(n) stroke order/(P)/
筆触 [ひっしょく] /(n) feel of a brush or pen/
筆陣 [ひつじん] /(n) (lineup of authors engaged in a) war of words/
筆勢 [ひっせい] /(n) stroke (dash) of the pen/(force of) brushwork/
筆生 [ひっせい] /(n) copyist/amanuensis/
筆石 [ふでいし] /(n) graptolite (extinct Paleozoic era invertebrate)/
筆跡 [ひっせき] /(n,adj-no) holograph/handwriting/(P)/
筆跡鑑定 [ひっせきかんてい] /(n) handwriting analysis/
筆蹟 [ひっせき] /(n,adj-no) holograph/handwriting/
筆舌 [ひつぜつ] /(n) written and spoken words/description/
筆舌に尽くし難い [ひつぜつにつくしがたい] /(n) beyond description/
筆先 [ふでさき] /(n) tip of brush/
筆戦 [ひっせん] /(n) war of words/
筆洗 [ひっせん] /(n) brush cleaner/brush cleaning/brush washing/writing brush washer/
筆洗 [ふであらい] /(n) brush cleaner/brush cleaning/brush washing/writing brush washer/
筆洗い [ふであらい] /(n) brush cleaner/brush cleaning/brush washing/writing brush washer/
筆禅道 [ひつぜんどう] /(n) Art of the Brush (esp. school of Japanese Zen calligraphy)/
筆太 [ふでぶと] /(adj-na,n) a bold hand/
筆端 [ひったん] /(n) tip of a brush or pen/(force of a) writing style/
筆談 [ひつだん] /(n,vs) communicating in writing/
筆致 [ひっち] /(n) literary style/stroke of the brush/touch/
筆忠実 [ふでまめ] /(n,adj-na) good correspondent/ready writer/
筆塚 [ふでづか] /(n) mound covering reverently buried old brushes/
筆答 [ひっとう] /(n,vs) written response/
筆筒 [ふでづつ] /(n) brush case/
筆頭 [ひっとう] /(n,adj-no) (1) brush tip/(2) first on a list/(3) head/chief/(P)/
筆頭者 [ひっとうしゃ] /(n) head of a family/first name on a list/
筆頭著者 [ひっとうちょしゃ] /(n) first author/
筆入れ [ふでいれ] /(n) pencil case/pen case/writing case/brush case/
筆箱 [ふでばこ] /(n) pencil box/
筆不精 [ふでぶしょう] /(adj-na,n) poor correspondent/apparent disdain of (or trouble with) writing/someone who appears to dislike (or be poor at) writing/
筆付き [ふでつき] /(n) brushwork/
筆法 [ひっぽう] /(n) style of penmanship/
筆鋒 [ひっぽう] /(n) power of the pen/
筆墨 [ひつぼく] /(n) stationery/pen and ink/writing materials/
筆無精 [ふでぶしょう] /(adj-na,n) poor correspondent/apparent disdain of (or trouble with) writing/someone who appears to dislike (or be poor at) writing/
筆名 [ひつめい] /(n) alias/pseudonym/pen name/nom de plume/(P)/
筆立て [ふでたて] /(n) pen or brush stand/
筆力 [ひつりょく] /(n) strength of the brush stroke/power of the pen/ability to write/
筆旁 [ふでずくり] /(ik) (n) (uk) kanji "brush" radical/
筆旁 [ふでづくり] /(n) (uk) kanji "brush" radical/
筆誅 [ひっちゅう] /(n,vs) written denunciation/
逼る [せまる] /(v5r,vi) (1) to approach/to draw near/to be imminent/(v5r,vt) (2) to press (someone for something)/to urge/to compel/
逼塞 [ひっそく] /(n,vs) being blocked (and contained)/reduced circumstances/
逼迫 [ひっぱく] /(n,vs) stringency (financial)/impending/
桧 [ひ] /(ok) (n) (uk) hinoki cypress (Chamaecyparis obtusa)/Japanese cypress/
桧 [ひのき] /(n) (uk) hinoki cypress (Chamaecyparis obtusa)/Japanese cypress/
桧扇 [ひおうぎ] /(n) (1) formal folding fan made of hinoki cypress/(2) blackberry lily (Belamcanda Chinensis)/leopard lily/leopard flower/
桧扇貝 [ひおうぎがい] /(n) (uk) noble scallop (Chlamys nobilis)/
桧皮 [ひはだ] /(n) cypress bark/
桧皮 [ひわだ] /(n) cypress bark/
桧皮ぶき [ひわだぶき] /(n) cypress bark roof/hinoki bark thatching/
桧皮葺 [ひわだぶき] /(n) cypress bark roof/hinoki bark thatching/
桧皮葺き [ひわだぶき] /(n) cypress bark roof/hinoki bark thatching/
桧舞台 [ひのきぶたい] /(n) (1) stage made of Japanese cypress/(2) the limelight/the big time/
桧木 [ひのき] /(n) (uk) hinoki cypress (Chamaecyparis obtusa)/Japanese cypress/
桧葉 [ひば] /(n) (1) hinoki leaf/(2) (uk) hiba false arborvitae (species of cypress, Thujopsis dolabrata)/(3) (uk) small ornamental false cypress (i.e. a variety of hinoki or a related species)/
桧葉叉 [ひばまた] /(n) (uk) Arctic wrack (Fucus evanescens)/
姫 [ひめ] /(n) (1) princess/young lady of noble birth/(n-suf,n) (2) girl/(pref) (3) small & lovely/(P)/
姫さま [ひめさま] /(n) princess/daughter of a nobleman/
姫ウォンバット [ひめウォンバット] /(n) (uk) common wombat (Vombatus ursinus)/
姫雨燕 [ひめあまつばめ] /(n) (uk) house swift (Apus nipalensis)/
姫黄金 [ひめこがね] /(n) (uk) soybean beetle (Anomala rufocuprea)/
姫花蜂 [ひめはなばち] /(n) (uk) mining bee (of family Andrenidae)/
姫蝦夷法螺 [ひめえぞぼら] /(n) (uk) arthritic neptune (species of whelk, Neptunea arthritica)/
姫海燕 [ひめうみつばめ] /(n) (uk) European storm petrel (Hydrobates pelagicus)/
姫海雀 [ひめうみすずめ] /(n) (uk) dovekie (Alle alle)/dovekey/little auk/
姫垣 [ひめがき] /(n) low fence/
姫蟻 [ひめあり] /(n) (uk) Monomorium intrudens (species of ant)/
姫宮 [ひめみや] /(n) princess/
姫君 [ひめぎみ] /(n) (hon) daughter of a person of high rank (i.e. a king, noble, aristocrat, etc.)/(P)/
姫虎魚 [ひめおこぜ] /(n) (uk) grey stingfish (Minous monodactylus)/
姫御子 [ひめみこ] /(n) imperial princess/
姫沙魚 [ひめはぜ] /(n) (uk) sharp-nosed sand goby (Favonigobius gymnauchen)/
姫沙羅 [ひめしゃら] /(n) tall stewartia/hime-syara stewartia/stewartia monadelpha/
姫始め [ひめはじめ] /(n,vs) (1) the first sexual intercourse of the year/(2) the first of various events in the New Year/
姫春蝉 [ひめはるぜみ] /(n) (uk) Euterpnosia chibensis (species of cicada)/
姫初め [ひめはじめ] /(n) (1) eating the first meal of soft rice (himeii) after the traditional hard rice of New Year (kowaii)/(2) (col) (X) loss of maidenhead/
姫小松 [ひめこまつ] /(n) (1) Japanese white pine (Pinus parviflora)/(2) small pine (esp. one pulled from the ground during "ne-no-hi-no-asobi")/
姫雀蜂 [ひめすずめばち] /(n) (uk) Vespa ducalis (species of hornet)/
姫蝉海老 [ひめせみえび] /(n) (uk) slipper lobster of genus Scyllarus (esp. species Scyllarus cultrifer)/
姫蝉海老 [ヒメセミエビ] /(n) (uk) slipper lobster of genus Scyllarus (esp. species Scyllarus cultrifer)/
姫鼠 [ひめねずみ] /(n) (uk) small Japanese field mouse (Apodemus argenteus)/
姫鯛 [ひめだい] /(n) (uk) lavender jobfish (Pristipomoides sieboldii)/flower jobfish/
姫谷焼 [ひめややき] /(n) Himeya ware/Himeya porcelain/
姫著莪 [ひめしゃが] /(n) fringed iris (Iris gracilipes)/
姫椿 [ひめつばき] /(n) (1) (uk) Chinese guger tree (species of evergreen, Schima wallichii)/(2) sasanqua (Camellia sasanqua)/(3) (arch) Japanese privet (Ligustrum japonicum)/
姫電 [ひめでん] /(n) highly decorated cell phone/
姫土斑猫 [ひめつちはんみょう] /(n) (uk) Meloe coarctatus (species of oil beetle)/
姫馬酔木 [ひめあせび] /(n) Pieris japonica/Hime Lily of the valley bush/andromeda/
姫萩 [ひめはぎ] /(n) (uk) dwarf milkwort (Polygala japonica)/
姫飯 [ひめいい] /(n) (arch) soft rice (cooked in a pot)/
姫百合 [ひめゆり] /(n) star lily (Lilium Concolor)/
姫蜂 [ひめばち] /(n) (uk) ichneumon wasp/ichneumon fly/
姫鱒 [ひめます] /(n) (uk) kokanee (landlocked variety of sockeye salmon, Oncorhynchus nerka)/
姫様 [ひめさま] /(n) princess/daughter of a nobleman/
姫墻 [ひめがき] /(n) low fence/
姫楮 [ひめこうぞ] /(n) (uk) Broussonetia kazinoki (species of mulberry)/
媛 [ひめ] /(oK) (n) (1) princess/young lady of noble birth/(n-suf,n) (2) girl/(pref) (3) small & lovely/
紐 [ひも] /(n) (1) string/cord/(2) man who is financially dependent on a woman (such as a gigolo or, in the case of a prostitute, a pimp)/pimp/(P)/
紐の端 [ひものはし] /(n) end of a string/
紐を結ぶ [ひもをむすぶ] /(exp,v5b) to tie a string/
紐タイ [ひもタイ] /(n) (uk) shoestring tie/string tie/
紐ネクタイ [ひもネクタイ] /(n) bolo tie/string tie/
紐パン [ひもパン] /(n) (col) (sl) string bikini/g-string/thong/
紐解く [ひもとく] /(v5k,vi,vt) (1) to peruse (a book)/(2) to untie a scroll/
紐革 [ひもかわ] /(n) strap/thong/
紐革饂飩 [ひもかわうどん] /(n) flat noodles/
紐鏡 [ひもかがみ] /(n) small ancient mirror tied with a cord/
紐形動物 [ひもがたどうぶつ] /(n) nemertean (any worm of phylum Nemertea)/
紐帯 [ちゅうたい] /(n) important connection/important social foundation/close relation/tight relationship/intimate relation/close link/
紐虫 [ひもむし] /(n) (uk) ribbon worm (any worm of phylum Nemertea)/
紐付き [ひもつき] /(n,adj-no) (1) (uk) conditions/strings attached/restriction/restrictions/controls/(n) (2) something that has a cord or string attached (e.g. clothes)/(3) criminal/someone bound by ropes/(4) having a lover (for a woman)/lover/
紐付き融資 [ひもつきゆうし] /(n) tied loan/
百 [ひゃく] /(num) 100/hundred/(P)/
百 [もも] /(num) 100/hundred/
百ます計算 [ひゃくますけいさん] /(n) method of learning through repetition conceived by Kageyama Hideo, which involves multiplying and other calculations carried out on a 10-by-10 grid of numbers (lit: hundred square calculations)/
百も承知 [ひゃくもしょうち] /(exp) knowing only too well/being fully aware of/
百マス計算 [ひゃくマスけいさん] /(n) method of learning through repetition conceived by Kageyama Hideo, which involves multiplying and other calculations carried out on a 10-by-10 grid of numbers (lit: hundred square calculations)/
百円玉 [ひゃくえんだま] /(n) 100 yen coin/
百億 [ひゃくおく] /(n) 10,000,000,000/ten billion (American)/(obs) ten milliard (British)/(P)/
百家 [ひゃっか] /(n) many scholars/
百家争鳴 [ひゃっかそうめい] /(n) Let a hundred schools of thought contend/
百科 [ひゃっか] /(n) many objects (for study)/
百科事典 [ひゃっかじてん] /(n) encyclopedia/encyclopaedia/(P)/
百科辞書 [ひゃっかじしょ] /(n) encyclopedia (encyclopaedia)/
百科辞典 [ひゃっかじてん] /(n) encyclopedia/encyclopaedia/(P)/
百科全書 [ひゃっかぜんしょ] /(n) (1) encyclopedia/(2) Diderot's "Encyclopedie universelle des arts et sciences"/
百科全書派 [ひゃっかぜんしょは] /(n) the Encyclopedists/
百花 [ひゃっか] /(n) all varieties of flowers/many flowers/
百花斉放 [ひゃっかせいほう] /(n) "Let a hundred flowers blossom"/"Hundred Flowers" campaign/
百花撩乱 [ひゃっかりょうらん] /(iK) (n,vs,adj-no,adj-t,adv-to) many flowers blooming in profusion/a gathering of many beautiful women (talented people)/simultaneous emergence of many talents and achievements/
百花繚乱 [ひゃっかりょうらん] /(n,vs,adj-no,adj-t,adv-to) many flowers blooming in profusion/a gathering of many beautiful women (talented people)/simultaneous emergence of many talents and achievements/
百貨 [ひゃっか] /(n) all kinds of goods/
百貨店 [ひゃっかてん] /(n) (department) store/(department) stores/(P)/
百害 [ひゃくがい] /(n) great damage/
百害あって一利無し [ひゃくがいあっていちりなし] /(exp) no good/all pain, no gain/do no good and a lot of harm/completely a disadvantage (lit: great damage with no advantage)/
百官 [ひゃっかん] /(n) all the officials/
百眼 [ひゃくまなこ] /(n) (1) using multiple simple paper masks to represent different emotions in a play (from the middle of the Edo period)/(2) simple paper mask/
百鬼夜行 [ひゃっきやぎょう] /(n) (1) many monsters, spirits, etc. forming a line and walking through the night/(2) veritable pandemonium/large number of people plotting and doing evil/creepy characters roaming about presenting a most scandalous sight/
百鬼夜行 [ひゃっきやこう] /(n) (1) many monsters, spirits, etc. forming a line and walking through the night/(2) veritable pandemonium/large number of people plotting and doing evil/creepy characters roaming about presenting a most scandalous sight/
百均 [ひゃっきん] /(n) 100 yen shop/
百景 [ひゃっけい] /(n) 100 famous views/
百計 [ひゃっけい] /(n) all means/
百芸 [ひゃくげい] /(n) Jack of all trades/
百行 [ひゃっこう] /(n) all acts/
百合 [ゆり] /(n) (1) lily/Lilium/(2) (sl) comics and novels about female homosexuality/(P)/
百合の樹 [ゆりのき] /(n) (uk) tulip tree (Liriodendron tulipifera)/tuliptree/yellow poplar/
百合の木 [ゆりのき] /(n) (uk) tulip tree (Liriodendron tulipifera)/tuliptree/yellow poplar/
百合鴎 [ゆりかもめ] /(n) black-headed gull (Larus ridibundus)/hooded gull/
百合科 [ゆりか] /(n) Liliaceae (the lily family)/
百合根 [ゆりね] /(n) lily bulb/
百合樹 [ゆりのき] /(n) (uk) tulip tree (Liriodendron tulipifera)/tuliptree/yellow poplar/
百合木 [ゆりのき] /(n) (uk) tulip tree (Liriodendron tulipifera)/tuliptree/yellow poplar/
百歳 [ももとせ] /(n) century/hundred years/a long time/
百済 [くだら] /(n) ancient Korean kingdom (Paekche or Kudara)/
百済楽 [くだらがく] /(n) music in the Korean court/
百済琴 [くだらごと] /(n) (obsc) konghou (ancient Chinese harp)/
百事 [ひゃくじ] /(n) all/everything/
百尺竿頭 [ひゃくしゃくかんとう] /(n) the highest state of one's enlightenment/the highest level one can attain/
百尺竿頭 [ひゃくせきかんとう] /(n) the highest state of one's enlightenment/the highest level one can attain/
百獣 [ひゃくじゅう] /(n) all kinds of animals/
百獣の王 [ひゃくじゅうのおう] /(n) king of beasts/lion/
百出 [ひゃくしゅつ] /(n,vs) arise in great numbers/
百条委員会 [ひゃくじょういいんかい] /(n) investigation committee (of prefectural assembly, established under Section 100 of the Act)/
百色眼鏡 [ひゃくいろめがね] /(n) kaleidoscope/
百人一首 [ひゃくにんいっしゅ] /(n) 100 poems by 100 famous poets/(playing) cards of one hundred famous poems/
百人百様 [ひゃくにんひゃくよう] /(exp) so many men, so many ways/to each one's own/it takes all sorts to make a world/
百人力 [ひゃくにんりき] /(n) tremendous strength/
百世 [ひゃくせい] /(n) long era/
百姓 [おおみたから] /(n,adj-no) (arch) imperial subjects/the people/
百姓 [ひゃくしょう] /(n,vs) (1) (sens) farmer/peasant/country bumpkin/(2) farming/(3) the common people/(P)/
百姓 [ひゃくせい] /(n) the common people/
百姓一揆 [ひゃくしょういっき] /(n) peasant's revolt/
百姓家 [ひゃくしょうや] /(n) farmer's home/
百姓読み [ひゃくしょうよみ] /(n) reading kanji in a nonstandard way (lit: peasant's reading)/
百声鳥 [ももこえどり] /(n) (obsc) lesser cuckoo (Cuculus poliocephalus)/
百折不撓 [ひゃくせつふとう] /(n) indefatigability/indomitableness/
百舌 [もず] /(n) (1) (uk) shrike (any bird of family Laniidae)/(2) bull-headed shrike (Lanius bucephalus)/butcher bird/
百舌勘定 [もずかんじょう] /(n) splitting the bill so that the others end up paying the whole amount/wheedling the others into paying the whole bill/
百舌鳥 [もず] /(n) (1) (uk) shrike (any bird of family Laniidae)/(2) bull-headed shrike (Lanius bucephalus)/butcher bird/
百千 [ひゃくせん] /(adj-no) a large number/all sorts/hundreds and thousands/
百千 [ももち] /(adj-no) a large number/all sorts/hundreds and thousands/
百千鳥 [ももちどり] /(n) (1) (arch) all sorts of birds/hundreds (and thousands) of birds/(2) plover/(3) Japanese bush warbler (Cettia diphone)/Japanese nightingale/
百千万 [ひゃくせんまん] /(n) multitudinousness/
百戦百勝 [ひゃくせんひゃくしょう] /(n) ever-victorious/many successful campaigns/invincibility/
百戦練磨 [ひゃくせんれんま] /(n,adj-no) veteran/(someone) schooled by adversity in many battles/(someone) rich in life's experience gained through much adversity/
百戦錬磨 [ひゃくせんれんま] /(n,adj-no) veteran/(someone) schooled by adversity in many battles/(someone) rich in life's experience gained through much adversity/
百選 [ひゃくせん] /(n) selection of a hundred pieces (music, etc.)/
百足 [ひゃくそく] /(n) (uk) centipede/
百足 [むかで] /(gikun) (n) (uk) centipede/
百卒長 [ひゃくそつちょう] /(n) centurion/
百態 [ひゃくたい] /(n) various phases/
百点 [ひゃくてん] /(n) hundred points/perfect mark/
百点満点 [ひゃくてんまんてん] /(n) (getting a) perfect score/scoring 100/grading students on a scale of one hundred/doing perfectly (in a test)/leaving nothing to be desired/
百度 [ひゃくど] /(n) hundred times/hundred degrees/
百度参り [ひゃくどまいり] /(n) hundred times worship (e.g. visiting a shrine or temple a hundred times for prayer, walking back and forth a hundred times before a shrine offering a prayer each time)/
百度石 [ひゃくどいし] /(n) stone used as a marker for hundred times worship/
百難 [ひゃくなん] /(n) all obstacles/all sorts of trouble/
百日 [ひゃくにち] /(n) hundred days/lengthy time/
百日咳 [ひゃくにちぜき] /(n) whooping cough/pertussis/
百日紅 [さるすべり] /(n) (uk) crape myrtle (Lagerstroemia indica)/
百日紅 [ひゃくじつこう] /(n) (uk) crape myrtle (Lagerstroemia indica)/
百日草 [ひゃくにちそう] /(n) zinnia/
百日天下 [ひゃくにちてんか] /(n) The Hundred Days (of Napoleon I)/very short-lived regime/
百日鬘 [ひゃくにちかずら] /(n) lomg-haired wig used in Kabuki (used metaphorically to refer to a thick growth)/
百日鬘 [ひゃくにちかつら] /(n) lomg-haired wig used in Kabuki (used metaphorically to refer to a thick growth)/
百年 [ひゃくねん] /(n) century/hundred years/a long time/
百年 [ももとせ] /(n) century/hundred years/a long time/
百年河清 [ひゃくねんかせい] /(exp) waiting for one hundred years for the waters of the Yellow River to clear/waiting in vain for an unlikely event/waiting for pigs to fly/When the sky falls, we shall catch larks/
百年祭 [ひゃくねんさい] /(n) centenary/centennial celebration/
百年戦争 [ひゃくねんせんそう] /(n) Hundred Years War (1337-1453)/
百年前 [ひゃくねんまえ] /(exp) one hundred years ago/a hundred year previously/
百年目 [ひゃくねんめ] /(n) the hundredth year/doomed/
百倍 [ひゃくばい] /(n) hundredfold/
百八 [ひゃくはち] /(n) (1) 108/one hundred and eight/(2) (Buddh) the number of kleshas, worldly thoughts and passions/(3) the sum of 12 months, 24 seasons of the solar year, and 72 'climates' of one year/
百八の鐘 [ひゃくはちのかね] /(n) night-watch bell/bells tolling out the old year/
百八十度 [ひゃくはちじゅうど] /(n) 180 degrees/complete change/(P)/
百発百中 [ひゃっぱつひゃくちゅう] /(n) always hitting the bull's-eye/infallible/
百般 [ひゃっぱん] /(n,adj-no) all/every/all kinds of/
百物語 [ひゃくものがたり] /(n) round of ghost stories (trad. at night with a lamp or candle being extinguished after each story)/
百分比 [ひゃくぶんひ] /(n) percentage/
百分率 [ひゃくぶんりつ] /(n) percentage/
百分率機能 [ひゃくぶんりつきのう] /(n) (comp) percentage function/
百聞 [ひゃくぶん] /(n) hearing a hundred times/
百聞は一見にしかず [ひゃくぶんはいっけんにしかず] /(exp) seeing is believing/one eye-witness is better than many hearsays/a picture is worth a thousand words/
百聞は一見に如かず [ひゃくぶんはいっけんにしかず] /(exp) seeing is believing/one eye-witness is better than many hearsays/a picture is worth a thousand words/
百弊 [ひゃくへい] /(n) all evils/
百歩譲る [ひゃっぽゆずる] /(v5r) to be unwilling but to give in/
百方 [ひゃっぽう] /(n-adv,n-t) in every way/
百万 [ひゃくまん] /(n) (1) 1,000,000/one million/million/(2) many/(P)/
百万言 [ひゃくまんげん] /(n) saying something many times/
百万長者 [ひゃくまんちょうじゃ] /(n) millionaire/multimillionaire/
百万遍 [ひゃくまんべん] /(n) million times/praying a million times/
百味 [ひゃくみ] /(n) all kinds (of food)/
百脈根 [みやこぐさ] /(n) (uk) bird's-foot trefoil (Lotus corniculatus, esp. Lotus corniculatus var. japonicus)/birdsfoot trefoil/
百名山 [ひゃくめいざん] /(n) one hundred top mountains of Japan/
百面相 [ひゃくめんそう] /(n) making different (comic) faces, esp. using small props/
百目 [ひゃくめ] /(n) 375 grams (100 monme)/
百匁 [ひゃくめ] /(ik) (n) (arch) 375 grams (100 monme)/
百匁 [ひゃくもんめ] /(n) (arch) 375 grams (100 monme)/
百夜 [ももよ] /(n) a hundred nights/
百薬 [ひゃくやく] /(n) sundry remedies/
百薬の長 [ひゃくやくのちょう] /(n) sake/
百葉箱 [ひゃくようばこ] /(n) Stevenson screen (louvre-sided box housing for meteorological gauges)/
百雷 [ひゃくらい] /(n) hundred thunderclaps/
百慮一得 [ひゃくりょいっとく] /(exp) Even a fool may sometimes give good counsel/
百錬 [ひゃくれん] /(n) well-tempered/well drilled/well trained/
謬 [あやまり] /(io) (n) error/mistake/slip/bug/
謬り [あやまり] /(n) error/mistake/slip/bug/
謬る [あやまる] /(v5r,vi) (1) to make a mistake/to err/(2) to mislead/to misguide/
謬見 [びゅうけん] /(n) fallacy/
謬説 [びゅうせつ] /(n) fallacy/fallacious argument/
謬伝 [びゅうでん] /(n) false report (rumor, rumour)/
謬妄 [びゅうもう] /(n) (1) fallacy/conjecture/(2) baseless thing/random thing/
謬論 [びゅうろん] /(n) fallacy/mistaken opinion/
俵 [たわら] /(n) (1) straw bag/bale/sack/(P)/
俵 [ひょう] /(ctr) (1) counter for bags/
俵数 [ひょうすう] /(n) number of straw bags/
俵責め [たわらぜめ] /(n) Edo-period form of torture in which criminals were stuffed into straw bags with their heads exposed, piled together, and whipped (commonly used on Christians)/
俵物 [たわらもの] /(n) goods in straw bags/
俵物 [ひょうもつ] /(n) goods in straw bags/
俵編 [たわらあみ] /(n) (obsc) making bags out of this year's straw (during autumn)/
俵茱萸 [たわらぐみ] /(n) (uk) Elaeagnus multiflora var. hortensis (variety of goumi)/
標 [しめ] /(n) (1) (Shinto) rope used to cordon off consecrated areas or as a talisman against evil/(2) (arch) cordoned off/
標 [しるし] /(n) (1) mark/(2) symbol/(3) evidence/
標 [しるべ] /(n) guidance/guide/
標す [しるす] /(v5s,vt) (1) (arch) to leave (a mark, trace, etc.)/to print/to stamp/(2) to show a sign (i.e. an omen)/
標旗 [しるしばた] /(n) identification/marking flag/
標旗 [ひょうき] /(n) identification/marking flag/
標記 [ひょうき] /(n,vs) subject (of memo, email, etc.)/title/
標語 [ひょうご] /(n) motto/slogan/catchword/(P)/
標高 [ひょうこう] /(n) elevation/height above sea level/(P)/
標高変動ベクトル [ひょうこうへんどうベクトル] /(n) elevation fluctuation vector/
標札 [ひょうさつ] /(n) nameplate/doorplate/
標示 [ひょうじ] /(n,vs) posting up/declaration/demonstrating/marking/
標識 [ひょうしき] /(n) sign/mark/flag/(P)/
標識灯 [ひょうしきとう] /(n) beacon light/
標準 [ひょうじゅん] /(n) standard/level/norm/(P)/
標準ＭＩＤＩファイル [ひょうじゅんミディファイル] /(n) (comp) Standard MIDI File/SMF/
標準の応答メッセージ [ひょうじゅんのおうとうメッセージ] /(n) (comp) built-in greeting/
標準アクセス速度 [ひょうじゅんアクセスそくど] /(n) (comp) standard access rate/
標準エラー [ひょうじゅんエラー] /(n) (comp) standard error/
標準データ形式 [ひょうじゅんデータけいしき] /(n) (comp) standard data format/
標準モジュール [ひょうじゅんモジュール] /(n) (comp) standard module/
標準ライブラリ [ひょうじゅんライブラリ] /(n) (comp) standard library/
標準以下 [ひょうじゅんいか] /(n,adj-no) below average/
標準化 [ひょうじゅんか] /(n,vs) standardization/standardisation/
標準化団体 [ひょうじゅんかだんたい] /(n) (comp) standards organization/standards body/
標準価格 [ひょうじゅんかかく] /(n) standard price/
標準画質チャンネル [ひょうじゅんがしつチャンネル] /(n) standard definition channel/
標準解像度 [ひょうじゅんかいぞうど] /(n) (1) standard resolution (of TVs)/(2) (comp) low resolution/
標準記法 [ひょうじゅんきほう] /(n) (comp) standard notation/
標準型 [ひょうじゅんけい] /(n) standard type/standard size/
標準語 [ひょうじゅんご] /(n) standard language (of a country)/standard Japanese/(P)/
標準誤差 [ひょうじゅんごさ] /(n) standard error/SE/
標準時 [ひょうじゅんじ] /(n) standard time/
標準出力 [ひょうじゅんしゅつりょく] /(n) (comp) stdout (computer)/standard output file/
標準準拠 [ひょうじゅんじゅんきょ] /(n) (comp) standards compliance/
標準正規分布 [ひょうじゅんせいきぶんぷ] /(n) (comp) standard normal distribution/z-distribution/
標準属性 [ひょうじゅんぞくせい] /(n) (comp) standard attribute/
標準的 [ひょうじゅんてき] /(adj-na) (comp) standard/standardized/
標準電波 [ひょうじゅんでんぱ] /(n) standard time and frequency signal/
標準入出力 [ひょうじゅんにゅうしゅつりょく] /(n) (comp) standard input/output/
標準入力 [ひょうじゅんにゅうりょく] /(n) (comp) stdin (computer)/standard input file/
標準偏差 [ひょうじゅんへんさ] /(n) standard deviation/SD/
標章 [ひょうしょう] /(n) emblem/ensign/mark/
標飾り [しめかざり] /(n) decorating shrines and gates with shimenawa ropes for the New Year/
標数 [ひょうすう] /(n) (math) characteristic (of a ring or field in algebra)/
標石 [ひょうせき] /(n) boundary or milepost stone/
標題 [ひょうだい] /(n) title/heading/headline/caption/(P)/
標題音楽 [ひょうだいおんがく] /(n,adj-no) program music/programme music/
標題誌 [ひょうだいし] /(n) (comp) title page/
標註 [ひょうちゅう] /(n) marginal notations/
標徴 [ひょうちょう] /(n) distinguishing mark/diagnostic character (biology)/
標定 [ひょうてい] /(n) standardization/standardisation/orientation/
標的 [ひょうてき] /(n) target/(P)/
標縄 [しめなわ] /(n) (Shinto) rope used to cordon off consecrated areas or as a talisman against evil/
標本 [ひょうほん] /(n) example/specimen/sample/(P)/
標本化 [ひょうほんか] /(n,vs) sampling (e.g. in signal processing)/
標本化定理 [ひょうほんかていり] /(n) (comp) sampling theorem/
標本間隔 [ひょうほんかんかく] /(n) (comp) sampling interval/
標本時刻 [ひょうほんじこく] /(n) (comp) sampling time/
標本室 [ひょうほんしつ] /(n) specimen room/herbarium/
標本抽出 [ひょうほんちゅうしゅつ] /(n) sampling/
標本分布 [ひょうほんぶんぷ] /(n) (comp) sampling distribution/
標本平均 [ひょうほんへいきん] /(n) sample mean/sample average/
標目 [ひょうもく] /(n) entry heading/access point/
標榜 [ひょうぼう] /(n,vs) advocate/champion cause/
氷 [こおり] /(n) (1) ice/(2) shaved ice (usually served with flavored simple syrup)/(P)/
氷 [ひ] /(n) (1) (arch) ice/(2) hail/
氷あられ [こおりあられ] /(n) small hail/ice pellets/
氷のう [ひょうのう] /(n) ice bag/ice pack/
氷の刃 [こおりのやいば] /(n) gleaming sword/
氷る [こおる] /(v5r,vi) to freeze/to be frozen over/to congeal/
氷雨 [ひさめ] /(n) hail/chilly chilly rain/
氷屋 [こおりや] /(n) ice man/ice shop/
氷温 [ひょうおん] /(n,adj-f) freezing temperature/chilling temperature/
氷下魚 [こまい] /(n) (1) (uk) saffron cod (Eleginus gracilis)/(2) (poet) fish caught under ice/
氷河 [ひょうが] /(n) glacier/(P)/
氷河期 [ひょうがき] /(n) glacial period/ice age/
氷河湖 [ひょうがこ] /(n) glacial lake/
氷河擦痕 [ひょうがさっこん] /(n) glacial striae/glacial striations/glacial grooves/
氷河時代 [ひょうがじだい] /(n) ice age/glacial period/
氷菓 [ひょうか] /(n) ices/
氷菓子 [こおりがし] /(n) frozen sweet/sherbert/
氷解 [ひょうかい] /(n,vs) melting/thawing/
氷塊 [ひょうかい] /(n) lump of ice/block of ice/ice floe/
氷海 [ひょうかい] /(n) frozen sea/icy waters/
氷滑り [こおりすべり] /(n) ice skating/
氷期 [ひょうき] /(n,adj-no) glacial period/ice age/
氷詰め [こおりづめ] /(n) packing in ice/
氷魚 [こまい] /(n) (1) (uk) saffron cod (Eleginus gracilis)/(2) (poet) fish caught under ice/
氷魚 [ひうお] /(n) whitebait/immature sweetfish/
氷魚 [ひお] /(n) whitebait/immature sweetfish/
氷挟み [こおりばさみ] /(n) ice tongs/
氷結 [ひょうけつ] /(n,vs) freezing/congelation/freeze/
氷原 [ひょうげん] /(n) ice field/ice floe/snow field/
氷砂糖 [こおりざとう] /(n) rock candy/sugar candy/
氷削機 [ひょうさくき] /(n) ice-shaving machine/
氷削機 [ひょうさっき] /(n) ice-shaving machine/
氷山 [ひょうざん] /(n) iceberg/(P)/
氷山の一角 [ひょうざんのいっかく] /(n) the tip of an iceberg/
氷室 [こおりむろ] /(n) ice house/ice room/cold room/
氷室 [ひむろ] /(n) ice house/ice room/cold room/
氷室 [ひょうしつ] /(n) ice house/ice room/cold room/
氷釈 [ひょうしゃく] /(n,vs) melting like ice/dispelling doubts/
氷床 [ひょうしょう] /(n) ice sheet/
氷晶 [ひょうしょう] /(n) ice crystals/
氷上 [ひょうじょう] /(n,adj-no) on the surface of the ice/
氷食 [ひょうしょく] /(n) glacial scouring/glacial erosion/glacial abrasion/
氷蝕 [ひょうしょく] /(n) glacial scouring/glacial erosion/glacial abrasion/
氷震 [ひょうしん] /(n) ice quake/
氷人 [ひょうじん] /(n) go-between (in marriage)/
氷刃 [ひょうじん] /(n) sharp, glistening sword/
氷酢酸 [ひょうさくさん] /(n) glacial acetic acid/
氷水 [こおりすい] /(n) (1) shaved ice (usually served with flavored simple syrup)/
氷水 [こおりみず] /(n) (1) ice water/(2) shaved ice (usually served with flavored simple syrup)/
氷水 [ひみず] /(ok) (n) (1) ice water/
氷雪 [ひょうせつ] /(n) ice and snow/
氷雪プランクトン [ひょうせつプランクトン] /(n) cryoplankton/
氷像 [ひょうぞう] /(n) ice sculpture/
氷袋 [こおりぶくろ] /(n) ice bag/
氷炭 [ひょうたん] /(n) ice and charcoal/contradiction/
氷柱 [つらら] /(n) (1) icicle/(2) (arch) ice/
氷柱 [ひょうちゅう] /(n) (1) icicle/(2) ice pillar/
氷漬け [こおりづけ] /(n) putting down in ice/
氷点 [ひょうてん] /(n) freezing point/
氷点下 [ひょうてんか] /(n) below freezing/(P)/
氷田 [ひょうでん] /(n) field of eternal snow/
氷豆腐 [こおりどうふ] /(n) (1) frozen tofu/(2) dried bean curd/
氷嚢 [ひょうのう] /(n) ice bag/ice pack/
氷壁 [ひょうへき] /(n) ice wall/ice ridge/
氷片 [ひょうへん] /(n) ice shard/ice shards/
氷枕 [こおりまくら] /(n) ice pillow/
氷霧 [ひょうむ] /(n) ice fog/
氷面 [ひょうめん] /(n) ice surface/
氷輪 [ひょうりん] /(n) the moon/
氷醋酸 [ひょうさくさん] /(n) glacial acetic acid/
氷霰 [こおりあられ] /(n) small hail/ice pellets/
漂々 [ひょうひょう] /(n) buoyantly/airily/with a light heart/
漂う [ただよう] /(v5u,vi) to drift about/to float/to hang in air/(P)/
漂う小舟 [ただようこぶね] /(n) drifting boat/
漂わす [ただよわす] /(v5s,vt) to set adrift/to let loose/to cut loose/
漂砂 [ひょうさ] /(n) drift sand/
漂失 [ひょうしつ] /(n,vs) drifting away (and going lost)/
漂石 [ひょうせき] /(n) traveled boulder/
漂然 [ひょうぜん] /(n,adj-t,adv-to) casually/aimlessly/abruptly/unexpectedly/
漂着 [ひょうちゃく] /(n,vs) drifting ashore/(P)/
漂動 [ひょうどう] /(n,vs) drift (e.g. in frequency)/
漂泊 [ひょうはく] /(n,vs) roaming/drifting about/wandering/
漂泊者 [ひょうはくしゃ] /(n) vagabond/
漂白 [ひょうはく] /(n,vs) blanching/bleaching/(P)/
漂白剤 [ひょうはくざい] /(n) bleaching agent/bleach/(P)/
漂漂 [ひょうひょう] /(n) buoyantly/airily/with a light heart/
漂母皮形成 [ひょうぼかわけいせい] /(n) wrinkled hands from being in water/washerwoman's hands/
漂木 [ひるぎ] /(n) (uk) mangrove (of family Rhizophoraceae)/
漂流 [ひょうりゅう] /(n,vs) drifting/drift/(P)/
漂流者 [ひょうりゅうしゃ] /(n) person adrift on the sea/castaway (on an island)/
漂流船 [ひょうりゅうせん] /(n) drifting ship/
漂流難民 [ひょうりゅうなんみん] /(n) boat people/
漂流物 [ひょうりゅうぶつ] /(n) driftwood/flotsam/
漂流木 [ひょうりゅうぼく] /(n) driftwood/
漂浪 [ひょうろう] /(n,vs) (obsc) wandering/
瓢 [ひさこ] /(ok) (n) (arch) gourd/
瓢 [ひさご] /(n) (arch) gourd/
瓢 [ひょう] /(n) (1) (uk) Lagenaria siceraria var. gourda (variety of bottle gourd)/gourd (container) made from its fruit/
瓢 [ふくべ] /(n) (1) (uk) Lagenaria siceraria var. gourda (variety of bottle gourd)/gourd (container) made from its fruit/(2) Lagenaria siceraria var. depressa (variety of bottle gourd)/
瓢箪 [ひょうたん] /(n) (uk) gourd/calabash (Lagenaria siceraria var. gourda)/
瓢箪から駒 [ひょうたんからこま] /(exp) something very unexpected/something said as a joke actually happening/lit: a horse comes from a gourd/
瓢箪鯰 [ひょうたんなまず] /(n) (person) slippery as an eel/
瓢虫 [てんとうむし] /(n) (uk) ladybug/ladybird/
票 [ひょう] /(n,n-suf) label/ballot/ticket/sign/(P)/
票を読む [ひょうをよむ] /(exp,v5m) to count the votes/
票決 [ひょうけつ] /(n,vs) vote/ballot/
票差 [ひょうさ] /(n) margin (e.g. in a vote)/
票数 [ひょうすう] /(n) vote tally/
票田 [ひょうでん] /(n) (favorable voting) constituency (favourable)/(P)/
票読み [ひょうよみ] /(n,vs) estimation of votes/
表 [おもて] /(n) (1) surface/(2) face (i.e. the visible side of an object)/(3) front (of a building, etc.)/obverse side (i.e. "head") of a coin/(4) outside/exterior/(5) appearance/(6) public/(7) first half (of an innings)/top (of an inning)/(8) cover (for tatami mats, etc.)/(9) (comp) foreground/(P)/
表 [ひょう] /(n,n-suf) table (e.g. Tab 1)/chart/list/(P)/
表々紙 [おもてびょうし] /(n) front cover/
表ざた [おもてざた] /(n,vs) going public/creating publicity/recourse to litigation/
表す [あらわす] /(v5s,vt) (1) to reveal/to show/to display/(2) to express/(3) to represent/to signify/to stand for/(4) to make widely known/(P)/
表す [ひょうす] /(v5s,vt) to express/to show/
表する [ひょうする] /(vs-s,vt) to express/to show/(P)/
表で遊ぶ [おもてであそぶ] /(exp,v5b) to play outside (out of doors)/
表の戸 [おもてのと] /(n) street (front) door/
表れ [あらわれ] /(n) embodiment/manifestation/materialization/materialisation/expression/indication/(P)/
表れる [あらわれる] /(v1,vi) (1) to appear/to come in sight/to become visible/to come out/to embody/to materialize/to materialise/(2) to be expressed (e.g. emotions)/to become apparent (e.g. trends, effects)/(P)/
表わす [あらわす] /(v5s,vt) (1) to reveal/to show/to display/(2) to express/(3) to represent/to signify/to stand for/(4) to make widely known/(P)/
表われ [あらわれ] /(n) embodiment/manifestation/materialization/materialisation/expression/indication/
表われる [あらわれる] /(v1,vi) (1) to appear/to come in sight/to become visible/to come out/to embody/to materialize/to materialise/(2) to be expressed (e.g. emotions)/to become apparent (e.g. trends, effects)/
表プロセス [おもてプロセス] /(n) (comp) foreground process/
表プロセスグループ [おもてプロセスグループ] /(n) (comp) foreground process group/
表プロセスグループＩＤ [おもてプロセスグループアイディー] /(n) (comp) foreground process group ID/
表意 [ひょうい] /(n) gesture/
表意定数 [ひょういていすう] /(n) (comp) figurative constant/
表意文字 [ひょういもじ] /(n,adj-no) ideograph/ideographs/hieroglyph/hieroglyphs/calligraphy/
表意文字 [ひょういもんじ] /(n,adj-no) ideograph/ideographs/hieroglyph/hieroglyphs/calligraphy/
表音 [ひょうおん] /(n) phonetic/
表音字母 [ひょうおんじぼ] /(n) phonetic alphabet/
表音式仮名遣い [ひょうおんしきかなづかい] /(n) phonetic kana usage/
表音文字 [ひょうおんもじ] /(n,adj-no) phonetic symbol/phonogram/
表音文字 [ひょうおんもんじ] /(n,adj-no) phonetic symbol/phonogram/
表解 [ひょうかい] /(n) illustration by tables/
表外 [ひょうがい] /(adj-no) (1) outside a table or list/(2) not a common kanji/
表外音訓 [ひょうがいおんくん] /(n) kanji reading that has not been approved by the government (and is not to be taught in public schools)/
表外漢字 [ひょうがいかんじ] /(n) non-jouyou kanji/kanji outside of the common use kanji list/
表外字 [ひょうがいじ] /(n) non-jouyou kanji/kanji outside of the common use kanji list/
表割 [ひょうかつ] /(n) superficial cleavage/
表看板 [おもてかんばん] /(n) sign out in front/front (for someone)/
表記 [ひょうき] /(n,vs,adj-no) writing (something)/giving an address/declaration/inscribing on the face of/publishing (info)/listing (prices)/addressing (a package)/(P)/
表記ゆれ [ひょうきゆれ] /(n) orthographical variants/words with the same pronunciation and meaning, but different written forms/
表記体系 [ひょうきたいけい] /(n) (comp) notation/system of notation/
表記方向 [ひょうきほうこう] /(n) (comp) writing mode/
表記法 [ひょうきほう] /(n) representation/notation/
表記法の許容性 [ひょうきほうのきょようせい] /(n) (comp) hospitality of notation/
表記法の展開性 [ひょうきほうのてんかいせい] /(n) (comp) hospitality of notation/
表具 [ひょうぐ] /(n) mounting (a picture)/
表具屋 [ひょうぐや] /(n) paperer/picture framer/
表具師 [ひょうぐし] /(n) paperer/picture framer/
表形式 [ひょうけいしき] /(adj-no) tabular/tabular form/
表敬 [ひょうけい] /(n,vs) courtesy/
表敬訪問 [ひょうけいほうもん] /(n) courtesy call/
表計算 [ひょうけいさん] /(n) (comp) spread sheet/(P)/
表計算アプリケーション [ひょうけいさんアプリケーション] /(n) (comp) spread sheet application/
表計算ソフト [ひょうけいさんソフト] /(n) spreadsheet program/
表計算ソフトウェア [ひょうけいさんソフトウェア] /(n) spreadsheet software/
表計算プログラム [ひょうけいさんプログラム] /(n) (comp) spreadsheet program/
表芸 [おもてげい] /(n) main accomplishments/
表決 [ひょうけつ] /(n,vs) vote/voting/(P)/
表決権 [ひょうけつけん] /(n) voting rights/
表見出し [ひょうみだし] /(n) (comp) table heading/
表見代理 [ひょうけんだいり] /(n) apparent authority/
表玄関 [おもてげんかん] /(n) front door/vestibule/
表現 [ひょうげん] /(n,vs) (1) expression/presentation/(2) (math) representation/notation/(P)/
表現の自由 [ひょうげんのじゆう] /(exp) freedom of expression/
表現ジャンル [ひょうげんジャンル] /(n) mode of expression/
表現技法 [ひょうげんぎほう] /(n) (ling) techniques (of expression)/
表現型 [ひょうげんがた] /(n) phenotype/
表現形式 [ひょうげんけいしき] /(n) form of expression/form of presentation/
表現語彙 [ひょうげんごい] /(n) (ling) active vocabulary/
表現主義 [ひょうげんしゅぎ] /(n) Expressionism/representationalism/
表現法 [ひょうげんほう] /(n) expression/
表現力 [ひょうげんりょく] /(n) power of expression/expressiveness/expressive power/
表戸 [おもてど] /(n) (obsc) front door/
表口 [おもてぐち] /(n) front door/
表向き [おもてむき] /(n) outward appearance/ostensible/public/official/(P)/
表向きの理由 [おもてむきのりゆう] /(n) ostensible (surface) reason/
表構え [おもてがまえ] /(n) the front of a building/facade/
表号 [ひょうごう] /(n,vs) symbol/emblem/sign/
表沙汰 [おもてざた] /(n,vs) going public/creating publicity/recourse to litigation/
表座敷 [おもてざしき] /(n) front room/parlor/parlour/living room/
表在 [ひょうざい] /(adj-na) superficial/
表札 [ひょうさつ] /(n) nameplate/doorplate/(P)/
表紙 [ひょうし] /(n) front cover/binding/(P)/
表示 [ひょうじ] /(n,vs) indication/expression/display/presentation/representation/manifestation/(P)/
表示域 [ひょうじいき] /(n) (comp) viewport/
表示印字式計算器 [ひょうじいんじしきけいさんき] /(n) (comp) display and printing calculator/
表示画像 [ひょうじがぞう] /(n) (comp) display image/picture/
表示器 [ひょうじき] /(n) (comp) display device/
表示空間 [ひょうじくうかん] /(n) (comp) display space/operating space/
表示更新モード [ひょうじこうしんモード] /(n) (comp) display update state/
表示指定 [ひょうじしてい] /(n) (comp) post/
表示指令 [ひょうじしれい] /(n) (comp) display command/display instruction/
表示式計算器 [ひょうじしきけいさんき] /(n) (comp) display calculator/
表示取消し [ひょうじとりけし] /(n) (comp) unpost/
表示書 [ひょうじしょ] /(n) written statement/
表示操作卓 [ひょうじそうさたく] /(n) (comp) display console/
表示装置 [ひょうじそうち] /(n) (comp) display device/graphics device/
表示体裁 [ひょうじていさい] /(n) (comp) presentation style/
表示灯 [ひょうじとう] /(n) signal light/
表示媒体 [ひょうじばいたい] /(n) (comp) presentation medium/
表示板 [ひょうじばん] /(n) indicator/noticeboard/
表示物 [ひょうじぶつ] /(n) something indicative of/
表示文字実体集合 [ひょうじもじじったいしゅうごう] /(n) (comp) display character entity set/
表示命令 [ひょうじめいれい] /(n) (comp) display command/display instruction/
表示面 [ひょうじめん] /(n) (comp) display surface/view surface/presentation surface/
表示優先度 [ひょうじゆうせんど] /(n) (comp) display priority/
表示様式 [ひょうじようしき] /(n) (comp) graphic rendition/
表示様相源フラグ [ひょうじようそうげんフラグ] /(n) (comp) aspect source flag/ASF/
表示要素 [ひょうじようそ] /(n) (comp) display element/graphic primitive/output primitive/
表出 [ひょうしゅつ] /(n,vs) expression/presentation/
表書 [おもてがき] /(n) address (on envelope, etc.)/
表書き [おもてがき] /(n) address (on envelope, etc.)/
表彰 [ひょうしょう] /(n,vs) public acknowledgment/public acknowledgement/public recognition/commendation/awarding/(P)/
表彰式 [ひょうしょうしき] /(n) commendation or awards ceremony/
表彰状 [ひょうしょうじょう] /(n) testimonial/certificate of commendation/(P)/
表彰台 [ひょうしょうだい] /(n) victory stand/winners' podium/
表章 [ひょうしょう] /(n,vs) (1) symbol/emblem/image/(2) expressing/representation/making clear (e.g. someone's virtues)/
表象 [ひょうしょう] /(n,adj-no) symbol/emblem/
表情 [ひょうじょう] /(n) facial expression/(P)/
表情筋 [ひょうじょうきん] /(n) mimetic muscles/
表色系 [ひょうしょくけい] /(n) (comp) color system/
表層 [ひょうそう] /(n) surface/outer layer/
表層の語順 [ひょうそうのごじゅん] /(n) (ling) (obsc) surface order/
表層形 [ひょうそうけい] /(n) surface form/
表層形式 [ひょうそうけいしき] /(n) surface form/
表層構造 [ひょうそうこうぞう] /(n) surface structure/
表層性 [ひょうそうせい] /(adj-na) superficial/
表層雪崩 [ひょうそうなだれ] /(n) surface avalanche/
表層文化 [ひょうそうぶんか] /(n) culture of a higher order (as opposed to fundamental culture)/
表装 [ひょうそう] /(n,vs) mounting (of a picture)/binding (of a book)/
表側 [おもてがわ] /(n,adj-no) the front/
表替え [おもてがえ] /(n) refacing (tatami) mats/
表題 [ひょうだい] /(n) title/index/heading/(P)/
表題曲 [ひょうだいきょく] /(n) title song (of a record)/
表地 [おもてじ] /(n) outer material of a garment/shell of a jacket or coat/garment minus the lining/
表地 [おもてぢ] /(n) outer material of a garment/shell of a jacket or coat/garment minus the lining/
表着 [うわぎ] /(n,adj-no) coat/tunic/jacket/outer garment/
表忠塔 [ひょうちゅうとう] /(n) war-memorial monument/
表忠碑 [ひょうちゅうひ] /(n) war-memorial monument/
表徴 [ひょうちょう] /(n) appearing on the surface/sign/
表通 [おもてどおり] /(io) (n) main street/
表通り [おもてどおり] /(n) main street/(P)/
表土 [ひょうど] /(n) top soil/
表内 [ひょうない] /(adj-no) inside a table or list/
表二階 [おもてにかい] /(n) second floor front room/
表日本 [おもてにほん] /(n) (sens) Pacific Ocean coastal regions of Honshu/
表白 [ひょうはく] /(n,vs) expression/confession/
表皮 [ひょうひ] /(n,adj-no) epithelium/skin/rind/
表表紙 [おもてびょうし] /(n) front cover/
表付き [おもてつき] /(n) frontage/
表舞台 [おもてぶたい] /(n) front stage/center stage (of politics, etc.)/
表編み [おもてあみ] /(n) plain knitting/
表明 [ひょうめい] /(n,vs) declaration/indication/representation/manifestation/demonstration/expression/announcement/assertion/(P)/
表面 [ひょうめん] /(n) surface/outside/face/appearance/(P)/
表面プロット [ひょうめんプロット] /(n) (comp) surface plot/
表面化 [ひょうめんか] /(n,vs) coming to a head/becoming an issue/breaking/
表面実装技術 [ひょうめんじっそうぎじゅつ] /(n) (comp) Surface Mount Technology/
表面実装部品 [ひょうめんじっそうぶひん] /(n) (comp) Surface Mount Device/
表面上 [ひょうめんじょう] /(adv,adj-no) on the surface/ostensibly/superficially/apparently/
表面積 [ひょうめんせき] /(n) surface area/
表面張力 [ひょうめんちょうりょく] /(n) surface tension/
表面的 [ひょうめんてき] /(adj-na) on the surface/
表目 [おもてめ] /(n) knit stitch/
表門 [おもてもん] /(n) front gate/
表要素 [ひょうようそ] /(n) (comp) table element/
表裏 [ひょうり] /(n,vs) two sides/inside and outside/(P)/
表裏一体 [ひょうりいったい] /(n,adj-no) the two views (of an object) referring to the same thing/being inseparable like the two sides of an object/
表立った [おもてだった] /(adj-f) public/open/formal/official/
表立って [おもてだって] /(exp) publicly/openly/ostensibly/formally/(P)/
表立つ [おもてだつ] /(v5t,vi) to become public/to be known/(P)/
表六玉 [ひょうろくだま] /(n) nincompoop/simpleton/
評 [ひょう] /(n,n-suf) (abbr) criticism/commentary/a council/(P)/
評す [ひょうす] /(v5s,vt) to evaluate/to appraise/to comment on/
評する [ひょうする] /(vs-s,vt) to evaluate/to appraise/to comment on/
評価 [ひょうか] /(n) (1) valuation/estimation/assessment/evaluation/(vs) (2) to value/to assess/to estimate value/(3) to appreciate/to value highly/to acknowledge the value (of something)/(P)/
評価の尺度 [ひょうかのしゃくど] /(n) evaluation measure/
評価引当金 [ひょうかひきあてきん] /(n) valuation allowance/
評価益 [ひょうかえき] /(n) paper profit/appraisal gain/profit accrued from revised valuation/
評価基準 [ひょうかきじゅん] /(n) valuation basis/appraisal standard/
評価減 [ひょうかげん] /(n) write-down/devaluation/
評価制度 [ひょうかせいど] /(n) (comp) rating system/
評価損 [ひょうかそん] /(n) paper loss/appraisal loss/loss resulting from revised valuation/
評価値 [ひょうかち] /(n) (comp) evaluation value/
評価報告書 [ひょうかほうこくしょ] /(n) (comp) evaluation report/
評議 [ひょうぎ] /(n,vs) conference/discussion/(P)/
評議員 [ひょうぎいん] /(n) trustee/councillor (councilor)/(P)/
評議会 [ひょうぎかい] /(n) council/board of trustees/
評決 [ひょうけつ] /(n,vs) decision/verdict/(P)/
評言 [ひょうげん] /(n) comment/critical remark/
評語 [ひょうご] /(n) critical remarks/grades/
評者 [ひょうしゃ] /(n) critic/reviewer/
評釈 [ひょうしゃく] /(n,vs) commentary/annotation/
評注 [ひょうちゅう] /(n) commentary/notes and comments/
評註 [ひょうちゅう] /(n) annotation/commentary/
評定 [ひょうじょう] /(n,vs) council/conference/consultation/
評定 [ひょうてい] /(n,vs) assessment/rating/grade/evaluation/
評定水準 [ひょうていすいじゅん] /(n) (comp) rating level/
評点 [ひょうてん] /(n) (examination) comments and marks/rating/
評伝 [ひょうでん] /(n) a critical biography/(P)/
評判 [ひょうばん] /(n,adj-no) (1) fame/reputation/popularity/(2) rumour (rumor)/talk/(P)/
評判どおり [ひょうばんどおり] /(adv) the same as something was reputed to be/
評判記 [ひょうばんき] /(n) written commentary on notable events or persons/
評判通り [ひょうばんどおり] /(adv) the same as something was reputed to be/
評論 [ひょうろん] /(n,vs) criticism/critique/(P)/
評論家 [ひょうろんか] /(n) critic/(P)/
豹 [ひょう] /(n) leopard/panther/
豹海豹 [ひょうあざらし] /(n) (uk) leopard seal (Hydrurga leptonyx)/
豹脚蚊 [やぶか] /(n) (uk) aedine mosquito (any mosquito of genus Aedes, characterized by stripes)/
豹尾 [ひょうび] /(n) Hyoubi/one of the eight gods of the koyomi/
豹柄 [ひょうがら] /(n) leopard print (design)/
豹変 [ひょうへん] /(n,vs) sudden change/complete change/
豹紋蛸 [ひょうもんだこ] /(n) (uk) blue-ringed octopus (esp. one species, the blue-lined octopus, Hapalochlaena fasciata)/
廟 [びょう] /(n) mausoleum/shrine/the (imperial) court/
廟号 [びょうごう] /(n) (1) temple name (a two-character posthumous name given to Chinese, Korean and Vietnamese royalty)/(2) name given to a mausoleum (or shrine, etc.)/
廟堂 [びょうどう] /(n) the Court/
描きだす [えがきだす] /(v5s,vt) to delineate/to draw/to express/to imagine/
描き下ろす [かきおろす] /(v5s) to draw for a specific purpose/to draw for the occasion/
描き起す [かきおこす] /(v5s) to begin (book, letter, etc.) with/
描き始める [かきはじめる] /(v1) (1) to begin to write/to begin writing/(2) to begin to draw/to begin drawing/to begin painting/
描き出す [えがきだす] /(v5s,vt) to delineate/to draw/to express/to imagine/
描き上げる [かきあげる] /(v1,vt) to write out or down/to finish writing/
描き直し [えがきなおし] /(n) (comp) new frame action/
描き分ける [かきわける] /(v1,vt) (1) to draw (identifiably)/
描き文字 [かきもじ] /(n) drawn lettering/sound effects lettering/
描く [えがく] /(v5k,vt) (1) to draw/to paint/to sketch/(2) to depict/to describe/(P)/
描く [かく] /(v5k,vt) (1) to draw/to paint/to sketch/
描画 [びょうが] /(n,vs) drawing/painting/
描画パイプライン [びょうがパイプライン] /(n) (comp) rendering pipeline/
描画ヘッド [びょうがヘッド] /(n) (comp) plotting head/
描画色モデル [びょうがいろモデル] /(n) (comp) rendering colour model/
描画像 [びょうがぞう] /(n) (comp) image/
描写 [びょうしゃ] /(n,vs) depiction/description/portrayal/(P)/
描写力 [びょうしゃりょく] /(n) power of description/descriptive powers/ability to describe/
描出 [びょうしゅつ] /(n,vs) description/rendition/
描像 [びょうぞう] /(n) description/picture/
描破 [びょうは] /(n,vs) depicting thoroughly/
描法 [びょうほう] /(n) painting or drawing technique/
病 [いたずき] /(n) (1) (arch) pain/trouble/(2) illness/
病 [いたつき] /(n) (1) (arch) pain/trouble/(2) illness/
病 [いたづき] /(n) (1) (arch) pain/trouble/(2) illness/
病 [やまい] /(n) illness/disease/(P)/
病が篤い [やまいがあつい] /(exp,adj-i) seriously ill/
病き [いたずき] /(n) (1) (arch) pain/trouble/(2) illness/
病き [いたつき] /(n) (1) (arch) pain/trouble/(2) illness/
病き [いたづき] /(n) (1) (arch) pain/trouble/(2) illness/
病と称する [やまいとしょうする] /(exp,vs-s) (obsc) to feign illness/to pretend to be ill/
病に冒される [やまいにおかされる] /(exp,v1) to be attacked by a disease/
病は気から [やまいはきから] /(exp) sickness and health start with the mind/
病みつく [やみつく] /(v5k,vi) to be taken ill/to be addicted to/to become absorbed in/to give oneself up (to)/
病み上がり [やみあがり] /(n,adj-no) convalescence/
病み付き [やみつき] /(n) being addicted to/being wholly absorbed by/
病み付く [やみつく] /(v5k,vi) to be taken ill/to be addicted to/to become absorbed in/to give oneself up (to)/
病み耄ける [やみほうける] /(v1,vi) to become wasted by illness/
病み耄ける [やみほおける] /(v1,vi) to become wasted by illness/
病む [やむ] /(v5m) to fall ill/to be ill/(P)/
病める [やめる] /(exp,adj-f) (1) sick/ill/ailing/(v1,vi) (2) (arch) to hurt/to ache/
病を癒す [やまいをいやす] /(exp,v5s) to cure an illness/to cure a disease/
病んで後初めて健康の価値を知る [やんでのちはじめてけんこうのかちをしる] /(exp) (id) (obsc) You don't appreciate the value of good health until you lose it/
病因 [びょういん] /(n,adj-no) the cause of a disease/
病院 [びょういん] /(n,adj-no) hospital/(P)/
病院を訪れる [びょういんをおとずれる] /(exp,v1) to visit (someone) in hospital/
病院船 [びょういんせん] /(n) hospital ship/
病院長 [びょういんちょう] /(n) director of a hospital/
病臥 [びょうが] /(n,vs) ill in bed/
病害 [びょうがい] /(n) (crop) damage owing to disease or blight/
病患 [びょうかん] /(n) sickness/disease/
病気 [びょうき] /(n,adj-no) illness/disease/sickness/(P)/
病気がち [びょうきがち] /(n) proneness to being ill/proneness to disease/
病気にかかる [びょうきにかかる] /(v5r) to contract a disease/
病気になる [びょうきになる] /(exp,v5r) to fall ill/to be taken ill/
病気に為る [びょうきになる] /(exp,v5r) to fall ill/to be taken ill/
病気に託けて [びょうきにかこつけて] /(exp) under the pretext of ill health/
病気に罹る [びょうきにかかる] /(v5r) to contract a disease/
病気の流行 [びょうきのりゅうこう] /(n) epidemic/
病気休職 [びょうききゅうしょく] /(n) sick leave/sickness leave/
病気見舞 [びょうきみまい] /(n) (1) get-well card (gift, letter)/(2) visit to (inquiry after) a sick person/
病気見舞い [びょうきみまい] /(n) (1) get-well card (gift, letter)/(2) visit to (inquiry after) a sick person/
病気勝ち [びょうきがち] /(n) proneness to being ill/proneness to disease/
病菌 [びょうきん] /(n) virus/germ/
病苦 [びょうく] /(n) pain of sickness/(P)/
病躯 [びょうく] /(n) sick body/sickly constitution/
病欠 [びょうけつ] /(n,vs) absence on account of illness/
病犬 [やまいぬ] /(n) bad dog/rabid dog/
病原 [びょうげん] /(n,adj-no) origin of an illness/cause of a disease/pathogenesis/etiology/
病原菌 [びょうげんきん] /(n) virus/germ/
病原性 [びょうげんせい] /(n) pathogenicity/virulence/
病原性大腸菌 [びょうげんせいだいちょうきん] /(n) pathogenic E. coli bacteria (i.e. Escherichia coli O157:H7)/
病原体 [びょうげんたい] /(n) pathogen/
病原微生物 [びょうげんびせいぶつ] /(n) pathogenic microbe/
病後 [びょうご] /(n-adv,n-t) convalescence/
病膏肓に入る [やまいこうこうにいる] /(exp,v5r) (1) to become seriously ill/to catch an incurable illness/(2) to become a slave of a habit/
病膏肓に入る [やまいこうもうにいる] /(ik) (exp,v5r) (1) to become seriously ill/to catch an incurable illness/(2) to become a slave of a habit/
病根 [びょうこん] /(n) cause of a disease/root of an evil/
病死 [びょうし] /(n,vs) (dying a) natural death/(P)/
病児 [びょうじ] /(n) sick child/
病識 [びょうしき] /(n) consciousness or awareness of being ill/
病室 [びょうしつ] /(n) sickroom/hospital room/(P)/
病舎 [びょうしゃ] /(n) hospital/infirmary/ward/
病弱 [びょうじゃく] /(adj-na,n,adj-no) weak constitution/(P)/
病床 [びょうしょう] /(n,adj-no) sickbed/(P)/
病床日誌 [びょうしょうにっし] /(n) day-by-day record of a patient's condition/diary written while ill in bed/
病症 [びょうしょう] /(n) nature of a disease/
病状 [びょうじょう] /(n) condition of a disease (patient)/(P)/
病身 [びょうしん] /(n,adj-no) weak constitution/ill health/
病人 [びょうにん] /(n) sick person/patient/(P)/
病垂れ [やまいだれ] /(n) illness radical/
病勢 [びょうせい] /(n) a patient's condition/the state of an illness/
病巣 [びょうそう] /(n,adj-no) focus/
病体 [びょうたい] /(n) sick body/poor health/
病態 [びょうたい] /(n) a patient's condition/
病態生理学 [びょうたいせいりがく] /(n) pathophysiology/
病中 [びょうちゅう] /(n-t) while ill/
病中吟 [びょうちゅうぎん] /(n) poems composed in one's sickbed/
病虫害 [びょうちゅうがい] /(n) (crop) damage from disease and harmful insects/
病徴 [びょうちょう] /(n) symptom/
病的 [びょうてき] /(adj-na,n,adj-no) abnormal/
病棟 [びょうとう] /(n) (hospital) ward/(P)/
病毒 [びょうどく] /(n) virus/
病難 [びょうなん] /(n) suffering (from illness)/
病兵 [びょうへい] /(n) sick soldier/
病弊 [びょうへい] /(n) evil influence/ill effect/
病癖 [びょうへき] /(n) bad habit/peculiarity/weakness/
病変 [びょうへん] /(n) pathological change/
病没 [びょうぼつ] /(n,vs) dying of illness/dying of natural causes/
病魔 [びょうま] /(n) demon of ill health/disease/
病名 [びょうめい] /(n) name of a disease/(P)/
病友 [びょうゆう] /(n) sick friend/fellow patient/
病葉 [わくらば] /(n) blighted leaves/diseased leaves/
病理 [びょうり] /(n) pathology/(P)/
病理解剖学 [びょうりかいぼうがく] /(n) morbid anatomy/
病理学 [びょうりがく] /(n) pathology/
病理生理学 [びょうりせいりがく] /(n) pathophysiology/
病歴 [びょうれき] /(n,adj-no) clinical (case) history/
病歿 [びょうぼつ] /(n,vs) dying of illness/dying of natural causes/
病蓐 [びょうじょく] /(n) (obsc) sickbed/
病褥 [びょうじょく] /(n) (obsc) sickbed/
病閹 [びょうえん] /(n) (obsc) long illness that will not heal/
秒 [びょう] /(n) second (60th min)/(P)/
秒殺 [びょうさつ] /(n,vs) instant killing/
秒時計 [びょうどけい] /(n) stop watch/
秒進分歩 [びょうしんふんほ] /(n) rapid progress/minute-by-minute progress/
秒進分歩 [びょうしんふんぽ] /(n) rapid progress/minute-by-minute progress/
秒針 [びょうしん] /(n) second hand (of clock)/
秒速 [びょうそく] /(n) per second/(P)/
秒読み [びょうよみ] /(n) countdown/(P)/
苗 [なえ] /(n) seedling/(P)/
苗 [びょう] /(n) Miao (people)/Hmong/
苗 [ミャオ] /(n) Miao (people)/Hmong/
苗字 [みょうじ] /(n,adj-no) surname/family name/(P)/
苗字帯刀 [みょうじたいとう] /(n) the right to bear a surname and to wear a sword (during the Edo period)/
苗床 [なえどこ] /(n) nursery/seedbed/seed-plot/(P)/
苗水 [なわみず] /(n) water for a rice nursery/
苗族 [ミャオぞく] /(n) Miao (people)/Hmong/
苗代 [なえしろ] /(n) rice nursery/bed for rice seedlings/
苗代 [なわしろ] /(n) rice nursery/bed for rice seedlings/
苗代胡頽子 [なわしろぐみ] /(n) (uk) silverthorn (species of oleaster, Elaeagnus pungens)/thorny elaeagnus/thorny olive/
苗代時 [なわしろどき] /(n) (arch) time to prepare a rice nursery/
苗代苺 [なわしろいちご] /(n) (uk) native raspberry (Rubus parvifolius)/
苗代茱萸 [なわしろぐみ] /(n) (uk) silverthorn (species of oleaster, Elaeagnus pungens)/thorny elaeagnus/thorny olive/
苗売り人 [なえうりにん] /(n) seedling peddler/nurseryman/
苗畑 [なえばたけ] /(n) field of rice seedlings/
苗圃 [びょうほ] /(n) seedbed/nursery/
苗木 [なえぎ] /(n) seedling/sapling/young tree/(P)/
苗裔 [びょうえい] /(n) descendant/
錨 [いかり] /(n) anchor/(P)/
錨綱 [いかりづな] /(n) anchor cable/
錨草 [いかりそう] /(n) (uk) horny goat weed (Epimedium grandiflorum var. thunbergianum)/
錨地 [びょうち] /(n) (point of) anchorage/
錨泊 [びょうはく] /(n,vs) anchorage/
鋲 [びょう] /(n) rivet/tack/thumbtack/drawing-pin/hobnail/
鋲打ち機 [びょううちき] /(n) riveter/riveting machine/
鋲打ち銃 [びょううちじゅう] /(n) rivet gun/
鋲締め機 [びょうじめき] /(n) riveter/riveting machine/
蒜 [にんにく] /(n) garlic (edible plant, Allium sativum)/
蒜 [ひる] /(n) (arch) strong-smelling edible plant (esp. perennials of the family Liliaceae, e.g. Welsh onion, garlic, wild rocambole, etc.)/
蛭 [ひる] /(n) leech/
蛭子 [えびす] /(n) Ebisu (god of fishing and commerce)/
蛭子 [ひるこ] /(n) Ebisu (god of fishing and commerce)/
蛭石 [ひるいし] /(n) vermiculite/
蛭木 [ひるぎ] /(n) (uk) mangrove (of family Rhizophoraceae)/
蛭木騙 [ひるぎだまし] /(n) (uk) grey mangrove (Avicennia marina)/white mangrove/
鰭 [はた] /(ok) (n) fin (e.g. of a fish)/
鰭 [ひれ] /(n) fin (e.g. of a fish)/
鰭脚類 [ききゃくるい] /(n) pinnipeds (seals and walruses)/
鰭脚類 [ひれあしるい] /(n) pinnipeds (seals and walruses)/
鰭酒 [ひれざけ] /(n) hot sake with grilled fish fins (esp. fugu or sea bream)/
鰭条 [きじょう] /(n) fin ray/
鰭足鷸 [ひれあししぎ] /(n) (uk) phalarope (any sandpiper of family Phalaropodidae)/
鰭長巨頭 [ひれながごんどう] /(n) (uk) long-finned pilot whale (Globicephala melas)/
品 [しな] /(n,n-suf) (1) thing/article/goods/(2) dignity/class/quality/(n) (3) (uk) flirtatiousness/coquetry/(P)/
品 [ひん] /(n,n-suf) (1) thing/article/goods/(2) dignity/class/quality/(ctr) (3) counter for meal courses/(n) (4) (uk) flirtatiousness/coquetry/(P)/
品々 [しなじな] /(n) various articles/
品がいい [ひんがいい] /(exp,adj-i) good quality (goods)/
品がよい [ひんがよい] /(exp,adj-i) good quality (goods)/
品が悪い [ひんがわるい] /(exp) low class/poor quality/
品が良い [ひんがいい] /(exp,adj-i) good quality (goods)/
品が良い [ひんがよい] /(exp,adj-i) good quality (goods)/
品ぞろえ [しなぞろえ] /(n) complete set/all items/array of versions (e.g. in a product line)/
品のいい [ひんのいい] /(adj-i) refined/genteel/graceful/decent/
品のよい [ひんのよい] /(adj-i) refined/genteel/graceful/decent/
品の良い [ひんのいい] /(adj-i) refined/genteel/graceful/decent/
品の良い [ひんのよい] /(adj-i) refined/genteel/graceful/decent/
品プリ [しなプリ] /(n) (abbr) Shinagawa Prince Hotel/
品位 [ひんい] /(n) grace/dignity/grade/nobility/quality/(P)/
品格 [ひんかく] /(n) dignity/quality of character/(P)/
品玉 [しなだま] /(n) (1) tossing several items into the air and attempting to catch them all (form of street performance)/(2) sleight of hand/magic/
品形 [しなかたち] /(n) quality and shape/birth or appearance/
品行 [ひんこう] /(n) (moral) conduct/behaviour/behavior/deportment/
品行方正 [ひんこうほうせい] /(adj-na,n,adj-no) irreproachable conduct/
品詞 [ひんし] /(n) (ling) part of speech/(P)/
品詞分類 [ひんしぶんるい] /(n) (ling) part-of-speech classification/
品質 [ひんしつ] /(n) (material) quality/(P)/
品質を落とす [ひんしつをおとす] /(exp,v5s) to lower the quality/
品質管理 [ひんしつかんり] /(n) quality control/
品質保持期限 [ひんしつほじきげん] /(n) freshness assured through this date/
品質保証 [ひんしつほしょう] /(n) quality assurance/QA/
品質劣化 [ひんしつれっか] /(n) (comp) quality degradation/
品種 [ひんしゅ] /(n) (1) kind (of goods)/brand/(2) (taxonomical) form/(3) breed/cultivar/(P)/
品種改良 [ひんしゅかいりょう] /(n,adj-no) selective breeding/
品書き [しながき] /(n) catalog/catalogue/inventory/menu/
品数 [しなかず] /(n) number of articles/
品性 [ひんせい] /(n) character/(P)/
品性下劣 [ひんせいげれつ] /(n,adj-na) of low (mean, inferior) character/
品性高潔 [ひんせいこうけつ] /(n,adj-na) of lofty (noble, virtuous) character/
品切れ [しなぎれ] /(n) out of stock/(P)/
品揃え [しなぞろえ] /(n) complete set/all items/array of versions (e.g. in a product line)/
品致 [ひんち] /(n) (1) quality of a product/(2) feel of goods (taste, style)/
品定め [しなさだめ] /(n) evaluate/
品等 [ひんとう] /(n) grade/quality/
品薄 [しなうす] /(adj-na,n) shortage of stock/scarcity of goods/
品番 [ひんばん] /(n) item's stock number/
品評 [ひんぴょう] /(n,vs) estimation/criticism/comment/
品評会 [ひんぴょうかい] /(n) competitive show/fair/
品品 [しなじな] /(n) various articles/
品部 [しなべ] /(n) (1) group of persons working at the imperial court (Yamato period)/(2) various craftsmen and artisans under the ritsuryo system/
品部 [ともべ] /(n) (1) group of persons working at the imperial court (Yamato period)/(2) various craftsmen and artisans under the ritsuryo system/
品物 [しなもの] /(n) goods/article/thing/(P)/
品物が納まった [しなものがおさまった] /(exp) commodities have been delivered/
品物を納める [しなものをおさめる] /(exp,v1) to deliver goods/
品物を並べる [しなものをならべる] /(exp,v1) to arrange goods/
品分け [しなわけ] /(n) assortment/
品柄 [しながら] /(n) quality/
品保 [ひんぽ] /(n) (abbr) quality assurance/QA/
品名 [ひんめい] /(n) name of product/(P)/
品目 [しなめ] /(n) item/commodity/list of articles/
品目 [ひんもく] /(n) item/commodity/list of articles/(P)/
彬蔚 [ひんうつ] /(n) erudite and refined/handsome/
浜 [はま] /(n) beach/seashore/(P)/
浜っ子 [はまっこ] /(n) native of Yokohama/
浜のまさご [はまのまさご] /(n) (arch) grains of sand on the beach (i.e. something countless)/
浜の真砂 [はまのまさご] /(n) (arch) grains of sand on the beach (i.e. something countless)/
浜の真砂は尽きるとも世に盗人の種は尽きまじ [はまのまさごはつきるともよにぬすびとのたねはつきまじ] /(exp) the sand on the beach may disappear, but the makings of thieves never shall (Ishikawa Goemon)/
浜雲雀 [はまひばり] /(n) (uk) shore lark (Eremophila alpestris)/horned lark/
浜茄子 [はまなす] /(n) (uk) rugosa rose (Rosa rugosa)/Japanese rose/Ramanas rose/
浜萱草 [はまかんぞう] /(n) (uk) daylily/
浜芹 [はまぜり] /(n) (uk) Cnidium japonicum (species of umbellifer)/
浜手 [はまて] /(n,adj-no) place near the beach/place near the shore/
浜松 [はままつ] /(n) Hamamatsu (city)/
浜焼き [はまやき] /(n) freshly caught seafood broiled at a beach/
浜菅 [はますげ] /(n) (uk) nut grass (Cyperus rotundus)/
浜千鳥 [はまちどり] /(n) plover on the beach/plovers near the shore/
浜鯛 [はまだい] /(n) (uk) queen snapper (Etelis coruscans)/ruby snapper/flame snapper/
浜昼顔 [はまひるがお] /(n) (uk) seashore false bindweed (Calystegia soldanella)/
浜跳虫 [はまとびむし] /(n) (uk) beach flea (any amphipod of family Talitridae)/sand flea/sand hopper/
浜伝い [はまづたい] /(n) along the beach/
浜風 [はまかぜ] /(n) sea breeze/beach wind/
浜辺 [はまべ] /(n) beach/foreshore/(P)/
浜防風 [はまぼうふう] /(n) (uk) Glehnia littoralis (species of umbellifer used in Chinese medicine)/
浜木綿 [はまゆう] /(n) crinum/
浜梨 [はまなし] /(n) (uk) rugosa rose (Rosa rugosa)/Japanese rose/Ramanas rose/
浜梨 [はまなす] /(n) (uk) rugosa rose (Rosa rugosa)/Japanese rose/Ramanas rose/
浜靫 [はまうつぼ] /(n) broomrape (Orobanche coerulescens)/
瀕する [ひんする] /(vs-s) to be on the verge of/to be about to/to be on the point of/
瀕死 [ひんし] /(n,adj-no) dying/(on the) verge of death/
瀕死状態 [ひんしじょうたい] /(n,adj-no) moribund state/near-death/barely alive condition/
貧 [ひん] /(n) poverty/becoming poor/living in poverty/
貧 [びん] /(ik) (n) poverty/becoming poor/living in poverty/
貧しい [まずしい] /(adj-i) poor/needy/(P)/
貧しい家 [まずしいいえ] /(n) poor family/
貧しく暮らす [まずしくくらす] /(v5s) to live in poverty/
貧する [ひんする] /(vs-s) to become poor/to be poor/
貧すれば鈍する [ひんすればどんする] /(exp) (id) Poverty dulls the wit/
貧栄養湖 [ひんえいようこ] /(n) lake with low nutrient level/oligotrophic lake/unproductive lake/
貧家 [ひんか] /(n) poor home/
貧寒 [ひんかん] /(adj-na,n) destitution/
貧窮 [ひんきゅう] /(n,vs,adj-no) great poverty/
貧窮化 [ひんきゅうか] /(n,vs) impoverishment/
貧苦 [ひんく] /(n) hardship/serious poverty/
貧血 [ひんけつ] /(n) anemia/anaemia/(P)/
貧血気味 [ひんけつぎみ] /(n) tending to anemia/being somewhat anemic/
貧血症 [ひんけつしょう] /(n) anemia/anaemia/
貧鉱 [ひんこう] /(n) low-grade ore/
貧困 [ひんこん] /(adj-na,n,adj-no) poverty/lack/(P)/
貧困者 [ひんこんしゃ] /(n) pauper/
貧困線 [ひんこんせん] /(n) poverty line/
貧者 [ひんじゃ] /(n) poor person/
貧弱 [ひんじゃく] /(adj-na,n) poor/meagre/meager/insubstantial/(P)/
貧賎 [ひんせん] /(adj-na,n) poor and lowly/
貧相 [ひんそう] /(adj-na,n) seedy-looking/thin/(P)/
貧村 [ひんそん] /(n) poor village/
貧打 [ひんだ] /(n) (baseball) poor hitting/
貧土 [ひんど] /(n) poor soil/poor country/
貧道 [ひんどう] /(n) (1) (Buddh) imperfect (Buddhist) training/imperfection in one's (Buddhist) training/incomplete training/poor training/(pn) (2) (hum) I/me/
貧乳 [ひんにゅう] /(n,adj-no) tiny breasts/
貧之 [びんぼう] /(iK) (adj-na,n) poverty/destitute/poor/
貧農 [ひんのう] /(n) poor farmer/needy peasant/
貧富 [ひんぷ] /(n) wealth and poverty/rich and poor/(P)/
貧富の差 [ひんぷのさ] /(exp) disparity of wealth/
貧富貴賤 [ひんぷきせん] /(n) rich and poor, high and low/people of all ranks/
貧乏 [びんぼう] /(adj-na,n) poverty/destitute/poor/(P)/
貧乏くじ [びんぼうくじ] /(n) unlucky number/blank/bad bargain/
貧乏くじを引く [びんぼうくじをひく] /(exp,v5k) to get the short end of the stick/to get the bad end of a bargain/
貧乏に生まれる [びんぼうにうまれる] /(exp,v1) to be born poor/to be born into poverty/
貧乏ひまなし [びんぼうひまなし] /(exp) there is no leisure for the poor/
貧乏ゆすり [びんぼうゆすり] /(n,vs) shaking or tapping (usu. one's foot) unconsciously/fidgeting (esp. of the legs)/
貧乏暇なし [びんぼうひまなし] /(exp) there is no leisure for the poor/
貧乏暇無し [びんぼうひまなし] /(exp) there is no leisure for the poor/
貧乏所帯 [びんぼうじょたい] /(n) poor household/
貧乏神 [びんぼうがみ] /(n) god of poverty/
貧乏人 [びんぼうにん] /(n) poor man/pauper/the poor/the indigent/(P)/
貧乏性 [びんぼうしょう] /(n) destined to poverty/parsimonious spirit/tendency to be frugal/poor person's mentality (e.g. inability to relax)/
貧乏暮し [びんぼうぐらし] /(io) (n) needy circumstances/living in poverty/
貧乏暮らし [びんぼうぐらし] /(n) needy circumstances/living in poverty/
貧乏揺すり [びんぼうゆすり] /(n,vs) shaking or tapping (usu. one's foot) unconsciously/fidgeting (esp. of the legs)/
貧乏揺るぎ [びんぼうゆるぎ] /(n) nervous mannerism/
貧乏旅行 [びんぼうりょこう] /(n) budget travel/penniless travel/travelling on the cheap/
貧乏籤 [びんぼうくじ] /(n) unlucky number/blank/bad bargain/
貧乏籤を引く [びんぼうくじをひく] /(exp,v5k) to get the short end of the stick/to get the bad end of a bargain/
貧乏鬮 [びんぼうくじ] /(n) unlucky number/blank/bad bargain/
貧棒 [びんぼう] /(oK) (adj-na,n) poverty/destitute/poor/
貧民 [ひんみん] /(n) poor people/
貧民街 [ひんみんがい] /(n) slums/
貧民窟 [ひんみんくつ] /(n) slums/
貧毛類 [ひんもうるい] /(n) oligochaetes/
貧賤 [ひんせん] /(adj-na,n) poor and lowly/
賓位語 [ひんいご] /(n) logic predicate/
賓格 [ひんかく] /(n) objective case/
賓客 [ひんかく] /(n) guest of honour/guest of honor/privileged guest/visitor/
賓客 [ひんきゃく] /(n) guest of honour/guest of honor/privileged guest/visitor/(P)/
賓辞 [ひんじ] /(n) object of a verb/(in logic) the object/
賓頭盧 [びんずる] /(n) (Buddh) Pindola/Pindola Bharadvaja (one of four Arhats asked by the Buddha to remain in the world to propagate Buddhist law)/
頻々 [しくしく] /(adv) (arch) incessantly/without stop/
頻々 [ひんぴん] /(adv-to,adj-t) frequently/very often/
頻く [しく] /(v5k,vi) (arch) to occur repeatedly/to be repeated/
頻く頻く [しくしく] /(adv) (arch) incessantly/without stop/
頻り [しきり] /(adv) frequent/continual/constant/repeated/eager/
頻りと [しきりと] /(adv) (1) (uk) frequently/repeatedly/incessantly/continually/(2) very/awfully/
頻りに [しきりに] /(adv) (1) (uk) frequently/repeatedly/often/incessantly/constantly/(2) strongly/eagerly/(P)/
頻る [しきる] /(v5r,vi) to repeat over and over again/
頻回 [ひんかい] /(n,adj-no) frequent/
頻死 [ひんし] /(n,adj-no) dying/(on the) verge of death/
頻出 [ひんしゅつ] /(n,vs) common/frequent/
頻数 [ひんすう] /(n) frequency/
頻度 [ひんど] /(n) frequency/(P)/
頻度数 [ひんどすう] /(n) frequency/
頻度分布 [ひんどぶんぷ] /(n) (comp) frequency distribtion/
頻尿 [ひんにょう] /(n) pollakiuria/frequent urination/
頻発 [ひんぱつ] /(n,vs) frequency/frequent occurrence/(P)/
頻繁 [ひんぱん] /(adj-na) frequent/incessant/(P)/
頻頻 [しくしく] /(adv) (arch) incessantly/without stop/
頻頻 [ひんぴん] /(adv-to,adj-t) frequently/very often/
頻脈 [ひんみゃく] /(n,adj-no) tachycardia/
敏い [さとい] /(adj-i) smart/sensitive/discerning/
敏い [とい] /(adj-i) (1) (arch) nimble/(2) keen/sharp/
敏活 [びんかつ] /(adj-na,n) quickness/alacrity/
敏感 [びんかん] /(adj-na,n) sensibility/susceptibility/sensitive (to)/well attuned to/(P)/
敏感肌 [びんかんはだ] /(n) sensitive skin/
敏捷 [びんしょう] /(adj-na,n) nimble/prompt/agile/quick/shrewd/smart/
敏捷い [はしこい] /(adj-i) (1) (uk) smart/clever/(2) agile/nimble/quick/
敏捷い [はしっこい] /(adj-i) (1) (uk) smart/clever/(2) agile/nimble/quick/
敏速 [びんそく] /(adj-na,n) quickness/agility/activity/(P)/
敏腕 [びんわん] /(adj-na,adj-no,n) capable/able/competent/(P)/
敏腕を振るう [びんわんをふるう] /(exp,v5u) to show one's competence/to demonstrate one's skill/
敏腕家 [びんわんか] /(n) capable person/shrewd person/
瓶 [かめ] /(n) earthenware pot/
瓶 [びん] /(n) bottle/(P)/
瓶に詰める [びんにつめる] /(exp,v1) to fill a bottle/
瓶の栓 [びんのせん] /(n) bottle stopper/
瓶ビール [びんビール] /(n) bottled beer/bottle beer/
瓶掛 [びんかけ] /(n) instrument used in tea ceremony/
瓶詰 [びんづめ] /(n,adj-no,vs) bottling/bottled/(P)/
瓶詰め [びんづめ] /(n,adj-no,vs) bottling/bottled/(P)/
瓶子 [へいし] /(n) earthenware pot (used as a decanter)/jar/jug/
瓶子 [へいじ] /(n) earthenware pot (used as a decanter)/jar/jug/
瓶子草 [へいしそう] /(n) (uk) sarracenia/
瓶底眼鏡 [びんぞこめがね] /(n) thick glasses/bottle bottom glasses/
不 [ふ] /(pref) un-/non-/negative prefix/
不 [ぶ] /(pref) (1) un-/non-/(2) bad .../poor .../
不コ本 [ポコペン] /(int) (1) (uk) impossible (chi: bugouben)/futile/(n) (2) (vulg) (X) Chinese person/Chink/(3) type of children's game/
不愛想 [ぶあいそ] /(adj-na,n) unsociability/bluntness/
不愛想 [ぶあいそう] /(adj-na,n) unsociability/bluntness/
不悪 [あしからず] /(adv) don't get me wrong, but .../I'm sorry/
不安 [ふあん] /(adj-na,n) anxiety/uneasiness/insecurity/suspense/(P)/
不安の種 [ふあんのたね] /(n) reason for concern/
不安感 [ふあんかん] /(n) uneasy feeling/sense of anxiety/malaise/
不安気 [ふあんげ] /(adj-na) uneasy/
不安材料 [ふあんざいりょう] /(n) cause (grounds) for concern (anxiety)/reasons for uneasiness/
不安障害 [ふあんしょうがい] /(n) anxiety disorder/
不安心 [ふあんしん] /(adj-na,n) uneasiness/uncertainty/anxiety/apprehension/restlessness/insecurity/suspense/fear/
不安神経症 [ふあんしんけいしょう] /(n) anxiety neurosis/aporio-neurosis/
不安定 [ふあんてい] /(adj-na,n) instability/insecurity/crankiness/(P)/
不安定状態 [ふあんていじょうたい] /(n) (comp) unstable state/metastable state/quasistable state/
不案内 [ふあんない] /(adj-na,n) ignorance/inexperience/unfamiliarity/
不意 [ふい] /(adj-na,n,adj-no) sudden/abrupt/unexpected/unforeseen/(P)/
不意に [ふいに] /(adv) suddenly/abruptly/unexpectedly/(P)/
不意をつく [ふいをつく] /(exp,v5k) to take by surprise/
不意を衝く [ふいをつく] /(exp,v5k) to take by surprise/
不意を打つ [ふいをうつ] /(exp,v5t) to take (a person) unawares/to make a surprise attack/
不意を討つ [ふいをうつ] /(exp,v5t) to take (a person) unawares/to make a surprise attack/
不意を突く [ふいをつく] /(exp,v5k) to take by surprise/
不意気 [ぶいき] /(adj-na,n) vulgarity/lack of refinement/
不意試験 [ふいしけん] /(n) surprise examination/
不意打ち [ふいうち] /(n) surprise attack/
不意討ち [ふいうち] /(n) surprise attack/
不易 [ふえき] /(adj-na,n) constancy/immutable/
不易流行 [ふえきりゅうこう] /(exp) the principle of fluidity and immutability in haiku/Haiku is both "fluid and transitory" and "eternal and immutable."/An interchange between the transient and the immutable is central to the soul of haiku. (Basho)/
不為 [ふため] /(adj-na,n) disadvantageous/harmful/unprofitable/
不一 [ふいつ] /(adj-na,n) Very sincerely yours/
不一致 [ふいっち] /(n) discrepancy/discord/disagreement/mismatch/dissonance/
不印 [ふじるし] /(n) poor results/
不運 [ふうん] /(adj-na,n,adj-no) unlucky/misfortune/bad luck/fate/(P)/
不衛生 [ふえいせい] /(adj-na,n) unsanitary condition/lack of hygienic care/inattention to hygiene/unhygienic conditions/
不縁 [ふえん] /(n) divorce/unrealized marriage (prospects)/unrealised marriage/
不応期 [ふおうき] /(n) refractory period/
不乙 [ふいつ] /(adj-na,n) Very Sincerely Yours/
不穏 [ふおん] /(adj-na,n) unrest/turbulence/impropriety/(P)/
不穏当 [ふおんとう] /(adj-na,n) impropriety/inappropriateness/unfairness/unreasonableness/
不穏分子 [ふおんぶんし] /(n) disturbing elements/
不穏文書 [ふおんぶんしょ] /(n) inflammatory pamphlets/
不可 [ふか] /(n,n-suf) (1) wrong/bad/improper/unjustifiable/inadvisable/(n) (2) failing grade/(P)/
不可解 [ふかかい] /(adj-na,n) mystery/baffling/inexplicable/incomprehensible/(P)/
不可逆 [ふかぎゃく] /(adj-na,n) irreversible/
不可逆圧縮 [ふかぎゃくあっしゅく] /(n) (comp) lossy compression/
不可逆変化 [ふかぎゃくへんか] /(n) irreversible change/
不可欠 [ふかけつ] /(adj-na,n) indispensable/essential/(P)/
不可欠アミノ酸 [ふかけつアミノさん] /(n) essential amino acid/
不可誤 [ふかご] /(n) (papal) infallibility/
不可抗力 [ふかこうりょく] /(n,adj-no) act of God/irresistible force/inevitability/force majeure (in contracts)/
不可算 [ふかさん] /(n) (ling) (abbr) uncountable/
不可算名詞 [ふかさんめいし] /(n) (ling) uncountable noun/
不可思議 [ふかしぎ] /(adj-na,n) (1) mystery/something inexplicable/wonder/miracle/(2) unfathomable (of a Buddha's abilities)/(n) (3) 10^64/(4) 10^80/
不可視 [ふかし] /(n,adj-no) invisibility/
不可視フィルタ [ふかしフィルタ] /(n) (comp) invisibility filter/
不可視光線 [ふかしこうせん] /(n) invisible ray/
不可触賎民 [ふかしょくせんみん] /(n) untouchable (of India's caste system)/
不可触民 [ふかしょくみん] /(n) untouchable (of the Indian caste system)/
不可触賤民 [ふかしょくせんみん] /(n) untouchable (of India's caste system)/
不可侵 [ふかしん] /(n) inviolability/sacredness/nonaggression/(P)/
不可侵条約 [ふかしんじょうやく] /(n) non-aggression pact/non-aggression treaty/
不可知 [ふかち] /(adj-na,n) unknowable/mysterious/
不可知的 [ふかちてき] /(adj-na) agnostic/
不可知論 [ふかちろん] /(n,adj-no) agnosticism/
不可知論者 [ふかちろんしゃ] /(n) agnostic/
不可得 [ふかとく] /(n) (Buddh) the unobtainable (that which cannot be known)/
不可入性 [ふかにゅうせい] /(n) impenetrability/
不可能 [ふかのう] /(adj-na,n) impossible/(P)/
不可能事 [ふかのうじ] /(n) an impossibility/
不可能選択 [ふかのうせんたく] /(n) unavailable choice/
不可避 [ふかひ] /(adj-na,n) inevitable/inescapable/unavoidable/(P)/
不可分 [ふかぶん] /(adj-no,adj-na,n) atomic/indivisibility/(P)/
不介入 [ふかいにゅう] /(n) noninvolvement/nonintervention/neutrality/
不壊 [ふえ] /(n) indestructibility/
不快 [ふかい] /(adj-na,n) unpleasant/displeasure/discomfort/(P)/
不快感 [ふかいかん] /(n) discomfort/
不快指数 [ふかいしすう] /(n) discomfort index/
不拡大 [ふかくだい] /(n) nonexpansion/localization/localisation/nonaggravation/
不格好 [ふかっこう] /(adj-na) (1) unshapely/ill-formed/misshapen/(2) awkward/clumsy/
不格好 [ぶかっこう] /(adj-na) (1) unshapely/ill-formed/misshapen/(2) awkward/clumsy/
不確か [ふたしか] /(adj-na,n) unreliable/uncertain/indefinite/unclear/(P)/
不確実 [ふかくじつ] /(adj-na,n) uncertain/unreliable/inauthentic/acataleptic/(P)/
不確実性 [ふかくじつせい] /(n) uncertainty/indeterminacy/unreliability/unauthenticity/
不確定 [ふかくてい] /(adj-na,n) uncertain/indefinite/
不確定性原理 [ふかくていせいげんり] /(n) the uncertainty principle/
不確定判定 [ふかくていはんてい] /(n) (comp) inconclusive (verdict)/
不覚 [ふかく] /(n,adj-na) (1) failure/defeat/mistake/blunder/negligence/indiscretion/(2) unconsciousness/
不覚の一投 [ふかくのいっとう] /(n) pitcher's misjudgment (misjudgement)/
不覚の涙 [ふかくのなみだ] /(n) crying in spite of oneself/
不覚をとる [ふかくをとる] /(exp,v5r) to suffer an embarrassing defeat/
不覚を取る [ふかくをとる] /(exp,v5r) to suffer an embarrassing defeat/
不覚者 [ふかくもの] /(n) shallow thinker/indecisive person/
不学 [ふがく] /(adj-na) unlearned/uneducated/
不恰好 [ふかっこう] /(adj-na) (1) unshapely/ill-formed/misshapen/(2) awkward/clumsy/
不恰好 [ぶかっこう] /(adj-na) (1) unshapely/ill-formed/misshapen/(2) awkward/clumsy/
不活化 [ふかつか] /(n,vs) inactivity/
不活化ワクチン [ふかつかワクチン] /(n) inactivated vaccine/
不活性 [ふかっせい] /(adj-no) (chem) inert/
不活性ガス [ふかっせいガス] /(n) inert gas/
不活性化 [ふかっせいか] /(n,vs) inactivation/
不活性機能文字 [ふかっせいきのうもじ] /(n) (comp) inert function character/
不活動 [ふかつどう] /(n) inaction/lethargy/
不活溌 [ふかっぱつ] /(adj-na,n) dull/slow/sluggish/inactive/inanimate/quiet/lethargic/
不活発 [ふかっぱつ] /(adj-na,n) dull/slow/sluggish/inactive/inanimate/quiet/lethargic/
不乾性油 [ふかんせいゆ] /(n) non-drying oil/
不堪 [ふかん] /(adj-na,n) (obsc) incompetence/
不完全 [ふかんぜん] /(adj-na,n) imperfect/incomplete/faulty/defective/(P)/
不完全競争 [ふかんぜんきょうそう] /(n) imperfect competition/
不完全菌類 [ふかんぜんきんるい] /(n) Deuteromycota/fungi imperfecti/mitosporic fungi/anamorphic fungi/
不完全雇用 [ふかんぜんこよう] /(n) underemployment/
不完全自動詞 [ふかんぜんじどうし] /(n) (ling) incomplete intransitive verb/
不完全性定理 [ふかんぜんせいていり] /(n) (Goedel's) incompleteness theorem/
不完全燃焼 [ふかんぜんねんしょう] /(n,vs) incomplete combustion/
不完全変態 [ふかんぜんへんたい] /(n) incomplete metamorphosis/hemimetabolism/
不寛容 [ふかんよう] /(n) intolerance/
不干渉 [ふかんしょう] /(n) abstention/nonintervention/noninterference/
不感症 [ふかんしょう] /(n) sexual frigidity/
不感帯要素 [ふかんたいようそ] /(n) (comp) dead-zone unit/
不慣れ [ふなれ] /(adj-na,n) inexperience/lack of experience/(P)/
不換紙幣 [ふかんしへい] /(n) unconvertible paper money/fiat money/
不間 [ぶま] /(adj-na,n) clumsiness/stupidity/blunder/
不器 [ふき] /(n) clumsiness/unskillfulness/
不器用 [ぶきよう] /(adj-na,n) awkward/clumsy/unskillfulness/lack of ability/(P)/
不器用者 [ぶきようもの] /(n) bungler/
不器量 [ふきりょう] /(adj-na,n) (1) ugliness/homeliness/(2) lack of ability/incompetence/
不器量 [ぶきりょう] /(adj-na,n) (1) ugliness/homeliness/(2) lack of ability/incompetence/
不揮発性 [ふきはつせい] /(n) non-volatility/
不揮発性メモリ [ふきはつせいメモリ] /(n) (comp) nonvolatile memory/
不揮発性メモリー [ふきはつせいメモリー] /(n) (comp) nonvolatile memory/
不揮発性記憶装置 [ふきはつせいきおくそうち] /(n) (comp) nonvolatile storage/
不期 [ふき] /(n) unexpected/accidental/
不機嫌 [ふきげん] /(adj-na,n) pout/displeasure/ill humor/ill humour/sullenness/(P)/
不帰 [ふき] /(n) rising no more (as in illness and death)/returning no more/dying/
不帰の客 [ふきのきゃく] /(n) deceased person/traveler on one's last journey (traveller)/
不気味 [ぶきみ] /(adj-na,n) weird/ominous/eerie/uncanny/ghastly/(P)/
不気味の谷 [ぶきみのたに] /(exp) uncanny valley (hypothesis about humanoid robots)/
不規則 [ふきそく] /(adj-na,n) irregularity/unsteadiness/disorderly/(P)/
不規則銀河 [ふきそくぎんが] /(n) irregular galaxy/
不規則動詞 [ふきそくどうし] /(n) (ling) irregular verb/
不規律 [ふきりつ] /(adj-na,n) irregular/undisciplined/disorganized/disorganised/slipshod/
不起 [ふき] /(n) rising no more (as in illness and death)/returning no more/dying/
不起訴 [ふきそ] /(n) nonprosecution or indictment/(P)/
不軌 [ふき] /(n) lawlessness/violation of customs/
不義 [ふぎ] /(n,adj-no) (1) immorality/injustice/misconduct/impropriety/perfidy/(2) adultery/infidelity/cuckoldry/(3) (arch) murdering one's teacher or a government official/
不義密通 [ふぎみっつう] /(n) adultery/infidelity/
不義理 [ふぎり] /(adj-na,n) dishonesty/injustice/dishonor/dishonour/ingratitude/
不吉 [ふきつ] /(adj-na,n) ominous/sinister/bad luck/ill omen/inauspiciousness/(P)/
不吉の兆有り [ふきつのちょうあり] /(n) have an ill omen/
不急 [ふきゅう] /(adj-na,n,adj-no) in no hurry/nonessential (industry)/
不朽 [ふきゅう] /(n,adj-no) everlasting/immortal/eternal/immortality/imperishable/(P)/
不朽の名作 [ふきゅうのめいさく] /(n) immortal work/
不朽不滅 [ふきゅうふめつ] /(n,adj-no) everlasting/eternal/immortal/imperishable/undying/
不許可 [ふきょか] /(n,vs) not permitting/not authorizing/
不許複製 [ふきょふくせい] /(n) All rights reserved/
不漁 [ふりょう] /(n) poor catch/
不協和音 [ふきょうわおん] /(n,adj-no) discord/dissonance/(P)/
不況 [ふきょう] /(adj-na,n,adj-no) recession/depression/slump/(P)/
不況型倒産 [ふきょうかたとうさん] /(n) recession-induced bankruptcy/
不況対策 [ふきょうたいさく] /(n) antidepression policy/antirecession policy/counterrecession policy/economic recovery policy/remedy for depression/
不興 [ふきょう] /(adj-na,n) displeasure/ill humour/ill humor/pique/
不興を買う [ふきょうをかう] /(exp,v5u) to fall into disgrace with/to incur someone's displeasure/
不均衡 [ふきんこう] /(adj-na,n) imbalance/disparity/out of balance/inequality/(P)/
不均質 [ふきんしつ] /(adj-no) of uneven quality/heterogenous/
不均質性 [ふきんしつせい] /(n) heterogeneity/
不均斉 [ふきんせい] /(n) asymmetry/
不均等 [ふきんとう] /(n) out of balance/imbalance/disparity/inequality/
不謹慎 [ふきんしん] /(adj-na,n) indiscretion/imprudence/
不倶戴天 [ふぐたいてん] /(n) cannot allow (oneself) to live (with someone) under the canopy of heaven/cannot allow (the sworn enemy) to live in this world/irreconcilable (enemy)/
不具 [ふぐ] /(n,adj-no) (1) (sens) deformity/distortion/disability/cripple/(2) word written at the end of a letter/
不具合 [ふぐあい] /(adj-na,n) (1) flaw/defect/bug/malfunction/failure/discrepancy/(2) inconvenient/
不具者 [ふぐしゃ] /(n) cripple/disabled person/
不虞 [ふぐ] /(n) emergency/
不空成就 [ふくうじょうじゅ] /(n) Amoghasiddhi/Infallible Magic (a dhyani-Buddha)/
不空羂索観音 [ふくうけんさくかんのん] /(n) (Buddh) Amoghapasa (manifestation of Kannon)/
不空羂索観音 [ふくうけんじゃくかんのん] /(n) (Buddh) Amoghapasa (manifestation of Kannon)/
不遇 [ふぐう] /(adj-na,n) misfortune/bad luck/obscurity/
不遇を託つ [ふぐうをかこつ] /(exp,v5t) to repine at one's hard lot/
不遇時代 [ふぐうじだい] /(n) one's dark days/the period during which one suffered misfortune and obscurity/
不屈 [ふくつ] /(n,adj-no,adj-na) persistence/fortitude/indomitability/(P)/
不屈不撓 [ふくつふとう] /(n) indefatigability/indomitableness/with unremitting tenacity/
不敬 [ふけい] /(adj-na,n) disrespect/irreverence/impiety/blasphemy/profanity/
不敬罪 [ふけいざい] /(n) lese majeste/
不敬虔 [ふけいけん] /(n) impiety/irreverence/
不景気 [ふけいき] /(adj-na,n) business recession/hard times/depression/gloom/sullenness/cheerlessness/(P)/
不経済 [ふけいざい] /(adj-na,n) poor economy/waste/
不決断 [ふけつだん] /(n) irresolution/indecision/vacillation/
不決定 [ふけってい] /(n) pending/unsettled/undecided/
不潔 [ふけつ] /(adj-na,n) unclean/dirty/filthy/impure/(P)/
不潔感 [ふけつかん] /(adj-na) filthiness/
不結果 [ふけっか] /(adj-na,n) failure/poor results/
不健康 [ふけんこう] /(adj-na,n) poor health/ill health/unhealthy/(P)/
不健全 [ふけんぜん] /(adj-na,n) morbid/unhealthful/insalubrious/
不検束 [ふけんそく] /(n) nonrestraint/
不見識 [ふけんしき] /(adj-na,n) thoughtless/indiscreet/lacking in common sense/rashness/betraying one's lack of judgment (judgement)/absurd/undignified/compromising/disgraceful/
不見転 [みずてん] /(n) (1) (uk) loose morals (e.g. of a geisha)/easy virtue/(2) impulse/whim/
不見転芸者 [みずてんげいしゃ] /(n) loose geisha/
不見目 [みじめ] /(iK) (adj-na) miserable/wretched/unhappy/sad/pitiable/
不顕性感染 [ふけんせいかんせん] /(n) inapparent infection/subclinical infection/
不言 [ふげん] /(n) silence/
不言実行 [ふげんじっこう] /(n) action before words/work before talk/
不言不語 [ふげんふご] /(n) silence/
不語 [ふご] /(n) silence/
不交付 [ふこうふ] /(adj-no) not granted/
不公正 [ふこうせい] /(n,adj-na) injustice/unfairness/
不公正な取引方法 [ふこうせいなとりひきほうほう] /(n) unfair business practice/unfair business practices/
不公平 [ふこうへい] /(adj-na,n) unfairness/injustice/partiality/(P)/
不公平競争 [ふこうへいきょうそう] /(n) unfair competition/
不向き [ふむき] /(adj-na,n) unfit/unsuitable/unmarketable/
不好き [ぶすき] /(n) no liking for/no interest in/
不孝 [ふきょう] /(adj-na,n) (1) undutifulness to one's parents/lack of filial piety/(2) (arch) (the crime of) cursing one's parents/(3) (arch) disowning one's child/
不孝 [ふこう] /(adj-na,n) (1) undutifulness to one's parents/lack of filial piety/(P)/
不孝者 [ふこうもの] /(n) unfilial son/undutiful son/thankless son/unfilial daughter/undutiful daughter/thankless daughter/
不幸 [ふこう] /(adj-na,n) unhappiness/sorrow/misfortune/disaster/accident/death/(P)/
不幸せ [ふしあわせ] /(adj-na,n) unhappiness/misfortune/ill luck/(P)/
不幸自慢 [ふこうじまん] /(exp) (id) pride in misfortune/
不幸中の幸い [ふこうちゅうのさいわい] /(exp) small mercy (from some misfortune)/silver lining of a dark cloud/consolation in sadness/blessing in disguise/
不甲斐ない [ふがいない] /(adj-i) disappointing/weak-minded/spiritless/cowardly/worthless/pusillanimous/feckless/faint-hearted/shiftless/tame/timid/
不甲斐無い [ふがいない] /(adj-i) disappointing/weak-minded/spiritless/cowardly/worthless/pusillanimous/feckless/faint-hearted/shiftless/tame/timid/
不耕起栽培 [ふこうきさいばい] /(n) no-till farming/
不耕作地 [ふこうさくち] /(n) nonfarming land/untilled land/
不行き届き [ふゆきとどき] /(adj-na,n) negligence/carelessness/incompetence/mismanagement/
不行儀 [ふぎょうぎ] /(adj-na,n) bad manners/rudeness/
不行状 [ふぎょうじょう] /(adj-na,n) misconduct/profligacy/immorality/
不行跡 [ふぎょうせき] /(n) misconduct/profligacy/immorality/
不行届き [ふゆきとどき] /(adj-na,n) negligence/carelessness/incompetence/mismanagement/
不合格 [ふごうかく] /(n) (examination) failure/rejection/disqualification/(P)/
不合格者 [ふごうかくしゃ] /(n) unsuccessful candidate/rejected person/
不合理 [ふごうり] /(adj-na,n) unreasonable/irrational/absurd/inconsistent/(P)/
不合理結論 [ふごうりけつろん] /(n) nonsequitur/non sequitur/
不合理推論 [ふごうりすいろん] /(n) nonsequitur/non sequitur/
不沙汰 [ぶさた] /(n) silence/neglect to write/neglect to call/
不才 [ふさい] /(n) lack of talent/incompetency/
不才の致す所 [ふさいのいたすところ] /(n) being due to my incompetence/
不採算 [ふさいさん] /(n,adj-f) unprofitability/
不採算部門 [ふさいさんぶもん] /(n) (1) non-profit sector/(2) unprofitable business or department/
不採用 [ふさいよう] /(n) rejection (of an application)/
不細工 [ぶさいく] /(adj-na,n) (1) clumsy (work)/(2) plain (e.g. looks)/homely/unattractive/
不裁可 [ふさいか] /(n) veto/rejection/
不在 [ふざい] /(n,adj-no) absence/(P)/
不在者投票 [ふざいしゃとうひょう] /(n) absentee ballot/(P)/
不在証明 [ふざいしょうめい] /(n) alibi/
不在地主 [ふざいじぬし] /(n) absentee landlord/
不在投資家 [ふざいとうしか] /(n) absentee investor (e.g. in real estate)/
不在投票 [ふざいとうひょう] /(n) absentee voting/
不作 [ふさく] /(n) poor crop/crop failure/(P)/
不作為 [ふさくい] /(n) forbearance/
不作為犯 [ふさくいはん] /(n) crime of omission/
不作法 [ぶさほう] /(adj-na,n) bad manners/discourtesy/
不錆鋼 [ふせいこう] /(n) stainless steel/
不参 [ふさん] /(n,vs) absence/nonattendance/nonappearance/
不参加 [ふさんか] /(n) abstention/nonparticipation/
不賛成 [ふさんせい] /(n) disapproval/disagreement/
不仕合わせ [ふしあわせ] /(adj-na,n) unhappiness/misfortune/ill luck/
不仕末 [ふしまつ] /(adj-na,n) mismanagement/malpractice/malpractise/wastefulness/carelessness/misconduct/unthriftiness/
不使用 [ふしよう] /(n) disuse/
不始末 [ふしまつ] /(adj-na,n) mismanagement/malpractice/malpractise/wastefulness/carelessness/misconduct/unthriftiness/(P)/
不思議 [ふしぎ] /(adj-na,n) wonder/miracle/strange/mystery/marvel/curiosity/(P)/
不思議なくらい [ふしぎなくらい] /(exp) curiously/curiously enough/oddly enough/to the point of being mysterious/to the extent of being strange/
不思議なほど [ふしぎなほど] /(exp) wondrous/marvellous/uncanny/like a charm/
不思議な縁 [ふしぎなえん] /(n) quirk of fate/curious coincidence/happy chance/
不思議に [ふしぎに] /(adv) strangely/oddly/mysteriously/
不支持 [ふしじ] /(n) non-support/disapproval (e.g. in an opinion poll)/
不支持率 [ふしじりつ] /(n) disapproval rating/
不死 [ふし] /(n,adj-no) (1) immortality/eternal life/(2) undeath/undead/
不死身 [ふじみ] /(adj-na,n) invulnerability/immortality/insensibility to pain/(P)/
不死鳥 [ふしちょう] /(n) phoenix bird/
不似合 [ふにあい] /(adj-na,n) unbecoming/improper/unsuitable/ill-matched/unworthy of/
不似合い [ふにあい] /(adj-na,n) unbecoming/improper/unsuitable/ill-matched/unworthy of/
不時 [ふじ] /(n,adj-no) emergency/unexpectedness/
不時着 [ふじちゃく] /(n,vs) emergency landing/(P)/
不時着陸 [ふじちゃくりく] /(n) emergency landing/
不次 [ふじ] /(adj-na,n) irregularity/
不治 [ふじ] /(n,adj-no) (sens) incurability/
不治 [ふち] /(n,adj-no) (sens) incurability/
不治の病 [ふじのやまい] /(n) incurable illness/
不治の病 [ふちのやまい] /(n) incurable illness/
不自然 [ふしぜん] /(adj-na,n) unnatural/artificial/affected/strained/(P)/
不自由 [ふじゆう] /(adj-na,n) (1) discomfort/inconvenience/(2) poverty/want/destitution/(3) disability/impairment (physical, mental, etc.)/(P)/
不識 [ふしき] /(n) the unknown/
不悉 [ふしつ] /(n) (arch) Very Sincerely Yours/
不実 [ふじつ] /(adj-na,n,adj-no) perfidiousness/faithlessness/inconstancy/insincerity/falsehood/
不手回し [ふてまわし] /(adj-na,n) poor preparation/poor arrangements/
不手際 [ふてぎわ] /(adj-na,n) clumsiness/awkwardness/ineptitude/
不首尾 [ふしゅび] /(adj-na,n) failure/fizzle/disgrace/disfavour/disfavor/
不受理申出 [ふじゅりもうしで] /(n) agreement used to prevent unauthorized or faked divorce by couples in Japan in the future/
不充分 [ふじゅうぶん] /(adj-na,n) insufficient/inadequate/imperfect/shortage/(P)/
不十分 [ふじゅうぶん] /(adj-na,n) insufficient/inadequate/imperfect/shortage/(P)/
不従順 [ふじゅうじゅん] /(n) disobedience/
不祝儀 [ふしゅうぎ] /(n) unhappiness/sorrow/misfortune/disaster/accident/death/
不祝儀 [ぶしゅうぎ] /(n) unhappiness/sorrow/misfortune/disaster/accident/death/
不熟練 [ふじゅくれん] /(n) unskillfulness/
不出来 [ふでき] /(adj-na,n) bad job/poor workmanship/bungle/
不純 [ふじゅん] /(adj-na,n) impurity/adulteration/dishonesty/irregularity/(P)/
不純異性交遊 [ふじゅんいせいこうゆう] /(n) illicit sexual relationship/
不純物 [ふじゅんぶつ] /(n) foreign matter/impurities/
不純物準位 [ふじゅんぶつじゅんい] /(n) impurity level/
不純分子 [ふじゅんぶんし] /(n) dissident (discontented) element/
不順 [ふじゅん] /(adj-na,n) irregularity/unseasonableness/(P)/
不所存 [ふしょぞん] /(adj-na,n) imprudence/indiscretion/
不所存者 [ふしょぞんもの] /(n) thoughtless person/
不勝手 [ふかって] /(n) inconvenience/hard living/
不承 [ふしょう] /(adj-na,n) dissent/disagreement/disapproval/objection/refusal/
不承諾 [ふしょうだく] /(n) dissent/disagreement/disapproval/objection/refusal/
不承知 [ふしょうち] /(adj-na,n) dissent/disagreement/disapproval/objection/refusal/
不承認 [ふしょうにん] /(n) disapproval/dissent/veto/
不承不承 [ふしょうぶしょう] /(adv,adj-no) reluctantly/grudgingly/unwillingly/
不招請勧誘 [ふしょうせいかんゆう] /(n) unsolicited promotion/
不消化 [ふしょうか] /(adj-na,n) indigestion/
不消化物 [ふしょうかぶつ] /(n) indigestible materials/
不祥 [ふしょう] /(adj-na,n) disgraceful/inauspicious/ill-omened/ominous/scandalous/
不祥事 [ふしょうじ] /(n) scandal/deplorable event/(P)/
不祥事件 [ふしょうじけん] /(n) disgraceful incident/scandalous affair/untoward (deplorable) event/
不祥不祥 [ふしょうぶしょう] /(adv,adj-no) reluctantly/grudgingly/unwillingly/
不肖 [ふしょう] /(n,adj-no,adj-na) (1) unworthiness of one's father (or master)/(2) incompetence/foolishness/(3) misfortune/unluckiness/(n) (4) (hum) I/me/(P)/
不肖私 [ふしょうわたくし] /(exp) (1) unworthiness of one's father (or master)/(2) incompetence/foolishness/(3) misfortune/unluckiness/(n) (4) (hum) me/
不詳 [ふしょう] /(adj-na,n,adj-no) unknown/unidentified/unspecified/(P)/
不条理 [ふじょうり] /(adj-na,n) absurdity/irrationality/inconsistency/(P)/
不浄 [ふじょう] /(adj-na,n,adj-no) (1) uncleanliness/dirtiness/impurity/filthiness/defilement/(2) (arch) menses/(3) (arch) feces (faeces)/(4) bathroom/(P)/
不浄場 [ふじょうば] /(n) unclean place/
不織布 [ふしょくふ] /(n) non-woven (fabric) (e.g. felts and such)/
不食 [ふしょく] /(n,vs) fasting/
不信 [ふしん] /(n,adj-no) unfaithfulness/insincerity/perfidy/mistrust/distrust/discredit/(P)/
不信感 [ふしんかん] /(n) distrust/suspicion/
不信義 [ふしんぎ] /(n) faithlessness/insincerity/
不信仰 [ふしんこう] /(n) lack of faith/unbelief/impiety/infidelity/
不信実 [ふしんじつ] /(n) insincerity/unfaithfulness/
不信者 [ふしんじゃ] /(n) unbeliever/
不信心 [ふしんじん] /(adj-na,n) impiety/unbelief/infidelity/
不信任 [ふしんにん] /(n) non-confidence/lack of confidence/(P)/
不信任案 [ふしんにんあん] /(n) no-confidence motion/
不信任決議 [ふしんにんけつぎ] /(n) censure vote/
不信任投票 [ふしんにんとうひょう] /(n) nonconfidence vote/
不信任動議 [ふしんにんどうぎ] /(n) censure motion/
不信用 [ふしんよう] /(n) distrust/discredit/
不侵略 [ふしんりゃく] /(n) nonaggression/
不寝の番 [ねずのばん] /(n) sleepless vigil/
不寝番 [ねずばん] /(n) sleepless vigil/night watch/vigilance/
不寝番 [ふしんばん] /(n) sleepless vigil/night watch/vigilance/
不審 [ふしん] /(adj-na,n) incomplete understanding/doubt/question/distrust/suspicion/strangeness/infidelity/(P)/
不審火 [ふしんび] /(n) fire under suspicious circumstances/arson/
不審者 [ふしんしゃ] /(n) suspicious person/
不審人物 [ふしんじんぶつ] /(n) suspicious character (person, figure)/
不審尋問 [ふしんじんもん] /(n,vs) police questioning (of a suspicious person)/
不審訊問 [ふしんじんもん] /(oK) (n,vs) police questioning (of a suspicious person)/
不心得 [ふこころえ] /(adj-na,n) indiscretion/imprudence/
不心得を戒める [ふこころえをいましめる] /(exp,v1) to caution a person against misconduct/
不心得者 [ふこころえもの] /(n) imprudent (misguided) fellow/
不振 [ふしん] /(adj-na,n) dullness/depression/slump/stagnation/(P)/
不真面目 [ふまじめ] /(adj-na,n) unsteadiness/lack of sincerity/
不臣 [ふしん] /(n) disloyalty/unfaithfulness/
不親切 [ふしんせつ] /(adj-na,n) unkindness/unfriendliness/(P)/
不身持ち [ふみもち] /(adj-na) misconduct/profligacy/licentiousness/
不人気 [ふにんき] /(adj-na,n) unpopular/(P)/
不人情 [ふにんじょう] /(adj-na,n) unkindness/inhumanity/heartlessness/
不仁 [ふじん] /(adj-na,n) heartlessness/inhumanity/
不尽 [ふじん] /(n) (arch) Very sincerely yours/
不尽山 [ふじさん] /(n) Mt Fuji/
不図 [ふと] /(ateji) (adv) (uk) suddenly/casually/accidentally/incidentally/unexpectedly/unintentionally/
不粋 [ぶすい] /(adj-na,n) no sense of refinement/inelegant/lacking in polish/unromantic/boorish/
不随 [ふずい] /(n) paralysis/palsy/
不随意 [ふずいい] /(n) involuntary/
不随意運動 [ふずいいうんどう] /(n) involuntary movement/
不随意筋 [ふずいいきん] /(n) involuntary muscles/
不世出 [ふせいしゅつ] /(n) rare/extraordinary/unparalleled/unparallelled/
不勢 [ぶぜい] /(n) few/numerical inferiority/
不成功 [ふせいこう] /(adj-na,n,adj-no) failure/abortive (attempt, action)/
不成績 [ふせいせき] /(adj-na,n) poor result/bad record/failure/
不成立 [ふせいりつ] /(n) failure/rejection/rupture/(P)/
不整 [ふせい] /(adj-na,n) irregular/
不整合 [ふせいごう] /(n) non-conformance/non-alignment/non-correspondence/free-thinking/
不整合人 [ふせいごうじん] /(n) nonconformist/free-thinker/
不整脈 [ふせいみゃく] /(n) irregular pulse/arrhythmia/(P)/
不正 [ふせい] /(adj-na,n) injustice/unfairness/iniquity/impropriety/irregularity/dishonesty/illegality/fraud/(P)/
不正の臭い [ふせいのにおい] /(n) smack of evil/
不正を矯める [ふせいをためる] /(exp,v1) to redress injustice/
不正アクセス [ふせいアクセス] /(n) (comp) unauthorized (computer) access/hacking/
不正コピー [ふせいコピー] /(n) (comp) illegal copy/
不正スタート [ふせいスタート] /(n) false start/
不正タイミングの試験事象 [ふせいタイミングのしけんじしょう] /(n) (comp) inopportune test event/
不正会計 [ふせいかいけい] /(n) accounting fraud/irregular accounting/
不正会計処理 [ふせいかいけいしょり] /(n) improper bookkeeping/
不正解 [ふせいかい] /(n,vs) incorrect/wrong/incorrect interpretation (answer, solution)/
不正確 [ふせいかく] /(adj-na,n) uncertainty/inaccuracy/
不正規 [ふせいき] /(n) irregularity/
不正規軍 [ふせいきぐん] /(n) irregular forces/guerrillas/
不正規戦 [ふせいきせん] /(n) unconventional warfare/
不正競争防止法 [ふせいきょうそうぼうしほう] /(n) Unfair Competition Prevention Law/
不正行為 [ふせいこうい] /(n) unfair practices/unfair practises/wrongdoing/malpractice/malpractise/cheating/foul play/
不正使用 [ふせいしよう] /(n,vs) unauthorized use/misuse/
不正視 [ふせいし] /(n,vs) consider wrong or unjust/
不正事件 [ふせいじけん] /(n) scandal/bribery case/graft case/
不正出血 [ふせいしゅっけつ] /(n) metrorrhagia/abnormal vaginal bleeding/
不正乗車 [ふせいじょうしゃ] /(n) unauthorized travel/riding without a valid ticket (e.g. on a train)/stealing a ride/
不正常 [ふせいじょう] /(n,adj-na) anomaly/
不正直 [ふしょうじき] /(adj-na,n) dishonest/
不正直者 [ふしょうじきもの] /(n) dishonest person/
不正文字 [ふせいもじ] /(n) (comp) illegal character/
不正融資 [ふせいゆうし] /(n) fraudulent loans/
不正流用 [ふせいりゅうよう] /(n,vs) misappropriation (of funds, etc.)/
不正咬合 [ふせいこうごう] /(n) malocclusion/
不生産的 [ふせいさんてき] /(adj-na) unproductive/unfruitful/
不生女 [うまずめ] /(n) (sens) barren (sterile) woman/
不生不滅 [ふしょうふめつ] /(n) (Buddh) neither arising nor ceasing/
不精 [ぶしょう] /(adj-na,n) indolence/laziness/sloth/
不精ひげ [ぶしょうひげ] /(n) stubble/unshaven face/beard one has because one is too lazy to shave/5-o'clock shadow/
不精巧 [ふせいこう] /(adj-na) clumsy/bungling/
不精者 [ぶしょうもの] /(adj-na,n) slouch/lazybones/
不精髭 [ぶしょうひげ] /(n) stubble/unshaven face/beard one has because one is too lazy to shave/5-o'clock shadow/
不精不精 [ふしょうぶしょう] /(adv,adj-no) reluctantly/grudgingly/unwillingly/
不誠意 [ふせいい] /(n) insincerity/dishonesty/untruthfulness/bad faith/
不誠実 [ふせいじつ] /(adj-na,n) insincerity/dishonesty/untruthfulness/bad faith/
不請不請 [ふしょうぶしょう] /(adv,adj-no) reluctantly/grudgingly/unwillingly/
不斉 [ふせい] /(n,adj-no) irregularity/unevenness/asymmetry/lack of uniformity/
不斉地用タイヤ [ふせいちようタイヤ] /(n) off the road tire (tyre)/
不惜身命 [ふしゃくしんみょう] /(n) not sparing one's life for a worthy cause/
不摂生 [ふせっせい] /(adj-na,n) neglect of health/intemperance/
不節制 [ふせっせい] /(n) intemperance/excesses/
不宣 [ふせん] /(n) Very sincerely yours/
不戦 [ふせん] /(n,adj-no) (1) anti-war/war renunciation/(2) sumo bout cancelled due to absence of one of the wrestlers/(P)/
不戦勝 [ふせんしょう] /(n) win without playing/unearned win/
不戦条約 [ふせんじょうやく] /(n) anti-war treaty/
不戦敗 [ふせんぱい] /(n) loss by default due to absence (sumo)/
不鮮明 [ふせんめい] /(n) (1) blur/(adj-na) (2) blurred/indistinct/
不善 [ふぜん] /(n) evil/sin/vice/mischief/
不善をなす [ふぜんをなす] /(exp,v5s) to commit vice/to do evil/
不善を為す [ふぜんをなす] /(exp,v5s) to commit vice/to do evil/
不善感 [ふぜんかん] /(n) negative reaction/unsuccessful vaccination/
不全 [ふぜん] /(adj-na,n,adj-no) partial/incomplete/imperfect/(P)/
不相応 [ふそうおう] /(adj-na,n) unsuited/inappropriate/improper/undeserved/(P)/
不増不減 [ふぞうふげん] /(n) (Buddh) nothing increases or decreases (because all things are void)/
不側不離 [ふそくふり] /(n) close relationship/
不即不離 [ふそくふり] /(n) neutral/noncommittal/
不束 [ふつつか] /(adj-na,n) rude/inexperienced/stupid/incompetent/
不束者 [ふつつかもの] /(n) rude, incompetent or inexperienced person/ignoramus/
不測 [ふそく] /(n,adj-no) unexpected/unforeseen/accidental/
不測の災い [ふそくのわざわい] /(n) unexpected disaster/
不足 [ふそく] /(adj-na,n,vs) insufficiency/shortage/deficiency/lack/dearth/(P)/
不足を補う [ふそくをおぎなう] /(exp,v5u) to make up a shortfall/to cover a shortage/to compensate for a shortage/to fill a gap/
不足データ [ふそくデータ] /(n) (comp) insufficient data/
不足勝 [ふそくがち] /(n) needy circumstances/
不足前 [たらずまえ] /(n) deficit/shortage/
不足分 [ふそくぶん] /(n) shortage/amount outstanding (e.g. on loan)/deficit/
不揃い [ふそろい] /(adj-na,n) unevenness/irregularity/lack of uniformity/
不揃い [ふぞろい] /(adj-na,n) unevenness/irregularity/lack of uniformity/
不存在 [ふそんざい] /(n,adj-no) non-existence/absence/lack/
不遜 [ふそん] /(adj-na,n) arrogance/insolence/disrespect/
不体裁 [ふていさい] /(adj-na,n) bad form or manners/indecency/impropriety/
不対電子 [ふついでんし] /(n) unpaired electron/
不胎化 [ふたいか] /(n) economic sterilization/
不退 [ふたい] /(n) determination/
不退去罪 [ふたいきょざい] /(n) unlawful trespass/occupying a property and refusing to leave/
不退転 [ふたいてん] /(n) determination/conviction/(P)/
不逮捕特権 [ふたいほとっけん] /(n) immunity from arrest (i.e. of Diet members or foreign diplomats)/diplomatic immunity/parliamentary immunity/legislative immunity/
不鯛 [ぶだい] /(n) (uk) Japanese parrotfish (Calotomus japonicus)/
不達 [ふたつ] /(n) nondelivery/
不断 [ふだん] /(n-t,adj-na,adj-no) (1) constancy/persistency/continuity/(adj-na) (2) indecisive/(P)/
不断の斬新さ [ふだんのざんしんさ] /(n) perpetual novelty/
不断草 [ふだんそう] /(n) Swiss chard (Beta vulgaris var. cicla)/silverbeet/
不断着 [ふだんぎ] /(iK) (n) casual wear/ordinary clothes/everyday clothes/home wear/
不知 [しらず] /(n-suf) (1) not having/unaffected by/(conj) (2) aside/I don't know about .../(3) (arch) I know not whether/I know not if/
不知 [ふち] /(n) (1) something unknown/(2) ignorance/foolishness/
不知火 [しらぬい] /(ateji) (n) phosphorescent light/mysterious lights on the sea/sea fire/
不知火 [しらぬひ] /(ateji) (n) phosphorescent light/mysterious lights on the sea/sea fire/
不知火型 [しらぬいがた] /(n) Shiranui style of grand champion's ring-entering ceremony (sumo)/
不知不識 [しらずしらず] /(adv) unconsciously/unwittingly/unawares/
不知不識 [ふちふしき] /(n,adj-no) not aware of what one is doing/
不智 [ふち] /(n) (1) ignorance/foolishness/
不着 [ふちゃく] /(n) nonarrival/nondelivery/
不仲 [ふなか] /(adj-na,n) discord/(P)/
不忠 [ふちゅう] /(adj-na,n) disloyalty/infidelity/
不忠実 [ふちゅうじつ] /(n) disloyalty/unfaithfulness/
不忠者 [ふちゅうもの] /(n) disloyal person/
不注意 [ふちゅうい] /(adj-na,n) carelessness/inattention/thoughtlessness/(P)/
不注意による [ふちゅういによる] /(exp,adj-f,v5r) caused by carelessness/
不調 [ふちょう] /(adj-na,n,adj-no) bad condition/not to work out (i.e. a deal)/disagreement/break-off/disorder/slump/out of form/(P)/
不調法 [ぶちょうほう] /(adj-na,n) impoliteness/carelessness/misconduct/clumsiness/
不調法者 [ぶちょうほうもの] /(n) clumsy person/bungler/person with no particular talents (in performing arts)/nondrinker/nonsmoker/
不調和 [ふちょうわ] /(adj-na,n) discord/incongruity/
不沈 [ふちん] /(adj-no) unsinkable/
不沈艦 [ふちんかん] /(n) unsinkable battleship/
不通 [ふつう] /(n) suspension/interruption/stoppage/tie-up/cessation/(P)/
不通箇所 [ふつうかしょ] /(n) tied-up places (spots)/
不釣り合い [ふつりあい] /(adj-na,n) unbalance/imbalance/asymmetry/disparity/
不釣合い [ふつりあい] /(adj-na,n) unbalance/imbalance/asymmetry/disparity/
不貞 [ふてい] /(adj-na,n,adj-no) unfaithfulness/infidelity/unchastity/
不貞寝 [ふてね] /(n,vs) staying in bed out of spite/
不貞腐れ [ふてくされ] /(n) sulkiness/
不貞腐れる [ふてくされる] /(v1,vi) (uk) to become sulky/to become irresponsible/
不定 [ふじょう] /(adj-na,n,adj-no) uncertainty/insecurity/inconstancy/indefinite/undecided/(P)/
不定 [ふてい] /(adj-na,n,adj-no) uncertainty/insecurity/inconstancy/indefinite/undecided/
不定ファイル [ふていファイル] /(n) (comp) optional file/
不定過去 [ふじょうかこ] /(n) (ling) aorist tense (Greek)/past-perfective tense/
不定過去 [ふていかこ] /(n) (ling) aorist tense (Greek)/past-perfective tense/
不定冠詞 [ふていかんし] /(n) (ling) indefinite article/
不定期 [ふていき] /(adj-na,n,adj-no) irregular/indeterminate/tramp (steamer)/
不定期業務 [ふていきぎょうむ] /(n) (comp) unscheduled task/
不定期刑 [ふていきけい] /(n) an indeterminate sentence/
不定型詩 [ふていけいし] /(n) free verse/
不定形 [ふていけい] /(n) (1) indeterminate form/(adj-no) (2) undefined/indefinite/unstructured/protean/amorphous/
不定計量空間 [ふていけいりょうくうかん] /(n) (math) indefinite metric space/
不定詞 [ふていし] /(n) (ling) infinitive/
不定愁訴 [ふていしゅうそ] /(n) general malaise/
不定称 [ふていしょう] /(adj-no) indefinite/general/
不定積分 [ふていせきぶん] /(n) indefinite integral/
不定長レコード [ふていちょうレコード] /(n) (comp) undefined record/
不定方程式 [ふていほうていしき] /(n) indeterminate equation/
不定法 [ふていほう] /(n) infinitive mood/
不敵 [ふてき] /(adj-na,n) daring/fearless/intrepid/bold/tough/(P)/
不適 [ふてき] /(adj-na,n) inadequacy/inappropriateness/unfitness/impropriety/
不適格 [ふてきかく] /(n) disqualification/unfitness/noncompliance/
不適格 [ふてっかく] /(n) disqualification/unfitness/noncompliance/
不適合 [ふてきごう] /(n,adj-na) non-conforming process/noncompliant/incompatible/
不適正 [ふてきせい] /(adj-na) improper/inappropriate/illegitimate/unacceptable/unfair/
不適切 [ふてきせつ] /(adj-na,n) unsuitable/inappropriate/improper/
不適当 [ふてきとう] /(adj-na,n) inadequacy/inappropriateness/unfitness/impropriety/(P)/
不適任 [ふてきにん] /(adj-na,n) unfitness/incompetency/
不適任者 [ふてきにんしゃ] /(n) unqualified (incompetent) person/square peg in a round hole/
不適用 [ふてきよう] /(n) not applicable/na/
不徹底 [ふてってい] /(adj-na,n) inconsistent/illogical/unconvincing/not thorough/indefinite/half-way/
不斗 [ふと] /(ateji) (adv) (uk) suddenly/casually/accidentally/incidentally/unexpectedly/unintentionally/
不渡り [ふわたり] /(n) non-payment/dishonouring (bill)/dishonoring (bill)/bouncing (cheque, check)/(P)/
不渡り手形 [ふわたりてがた] /(n) dishonored bill/dishonoured bill/
不渡り小切手 [ふわたりこぎって] /(n) dishonored check/dishonoured cheque/
不登校 [ふとうこう] /(n) truancy/school non-attendance/
不都合 [ふつごう] /(adj-na,n) inconvenience/inexpedience/trouble/harm/impropriety/wrongdoing/(P)/
不倒翁 [おきあがりこぼし] /(n) tumbler/self-righting toy/
不党 [ふとう] /(n) nonparticipation/
不凍 [ふとう] /(n,adj-no) ice-free/
不凍液 [ふとうえき] /(n) antifreeze/
不凍海 [ふとうかい] /(n) ice-free sea/
不凍港 [ふとうこう] /(n) ice-free port/
不凍剤 [ふとうざい] /(n) antifreeze/
不当 [ふとう] /(adj-na,n) injustice/impropriety/unreasonableness/undeserved/unfair/invalid/(P)/
不当たり [ふあたり] /(n) failure/unpopularity/
不当り [ふあたり] /(n) failure/unpopularity/
不当表示 [ふとうひょうじ] /(n) misrepresentation/
不当利得 [ふとうりとく] /(n) excessive profit/
不当廉売 [ふとうれんばい] /(n) dumping/
不当労働行為 [ふとうろうどうこうい] /(n) unfair labor practices/unfair labor practises/unfair labour practices/
不等 [ふとう] /(adj-na,n,adj-no) disparity/inequality/
不等割 [ふとうかつ] /(n) unequal cleavage/
不等号 [ふとうごう] /(n) (math) less than sign or greater than sign (< or >)/inequality sign/
不等号 [ふどうごう] /(n) (math) less than sign or greater than sign (< or >)/inequality sign/
不等式 [ふとうしき] /(n) (math) (expression of) inequality/
不等式 [ふどうしき] /(n) (math) (expression of) inequality/
不等辺 [ふとうへん] /(n) unequal sides/
不等辺三角形 [ふとうへんさんかくけい] /(n) scalene (triangle)/triangle having three sides of different lengths/inequilateral triangle/
不等辺三角形 [ふとうへんさんかっけい] /(n) scalene (triangle)/triangle having three sides of different lengths/inequilateral triangle/
不統一 [ふとういつ] /(adj-na,n) disunity/disharmony/
不透明 [ふとうめい] /(adj-na,n) opacity/(P)/
不透明感 [ふとうめいかん] /(n) sense of uncertainty/lack of clarity/indecisiveness/
不透明性 [ふとうめいせい] /(n) opacity/
不動 [ふどう] /(adj-na,n,adj-no) immobility/firmness/fixed/steadfastness/motionless/idle/(P)/
不動作時間 [ふどうさじかん] /(n) (comp) dead time/
不動産 [ふどうさん] /(n) real estate/(P)/
不動産屋 [ふどうさんや] /(n) real estate agent/realtor/(P)/
不動産鑑定 [ふどうさんかんてい] /(n) real estate appraisal/
不動産業 [ふどうさんぎょう] /(n) real estate business/
不動産業者 [ふどうさんぎょうしゃ] /(n) real estate agent/realtor/
不動産取得税 [ふどうさんしゅとくぜい] /(n) real estate acquisition tax/
不動産担保証券 [ふどうさんたんぽしょうけん] /(n) mortgage-backed security/
不動産登記 [ふどうさんとうき] /(n) real estate register/real property register/
不動産保険 [ふどうさんほけん] /(n) real estate insurance/
不動心 [ふどうしん] /(n) imperturbability/
不動尊 [ふどうそん] /(n) Aryacalanatha/polite way of refering to Acala/
不動明王 [ふどうみょうおう] /(n) (Buddh) Acala/Acalanatha Vidya-raja/The Immovable, a manifestation of Mahavairocana/
不同 [ふどう] /(adj-na,n,adj-no) difference/diversity/irregularity/disorder/
不同意 [ふどうい] /(n) disagreement/objection/
不同化 [ふどうか] /(n,vs) nonassimilation/
不導性 [ふどうせい] /(n) nonconductibility/
不導体 [ふどうたい] /(n) nonconductor/
不道 [ふどう] /(n) (1) (arch) immorality/inhumanity/(2) (the crime of) barbarity (such as killing three people in one family, or dismembering a corpse)/
不道徳 [ふどうとく] /(adj-na,n) immorality/iniquity/impropriety/
不道理 [ふどうり] /(n) unreasonableness/absurdity/irrationality/
不得意 [ふとくい] /(adj-na,n) one's weak point/(P)/
不得策 [ふとくさく] /(adj-na,n) unwise plan/bad policy/inexpediency/
不得手 [ふえて] /(adj-na,n) weak point/unskillfulness/
不得要領 [ふとくようりょう] /(adj-na,n) vague/ambiguous/noncommittal/off-point/
不徳 [ふとく] /(adj-na,n) lack of virtue/immorality/vice/depravity/unworthiness/(P)/
不徳の致すところ [ふとくのいたすところ] /(exp) (with an apologetic tone) undesirable state brought about by (my) lack of virtue/feeling morally responsible/mea culpa/
不徳漢 [ふとくかん] /(n) crook/swindler/
不徳義 [ふとくぎ] /(adj-na,n) immorality/dishonesty/
不特定 [ふとくてい] /(adj-na,n) unspecified/random/indefinite/
不特定下位参照 [ふとくていかいさんしょう] /(n) (comp) non-specific subordinate reference/
不特定記憶単位 [ふとくていきおくたんい] /(n) (comp) unspecified storage unit/
不特定多数 [ふとくていたすう] /(n,adj-no) unspecified large number (of people)/
不突合 [ふとつごう] /(n) discordance/discrepancy (e.g. statistical)/conflict/incongruity/inconsistency/mismatch/
不届き [ふとどき] /(adj-na,n) rude/insolent/nefarious/
不届き千万 [ふとどきせんばん] /(n,adj-na) very rude (insolent)/extremely reprehensible/outrageous/
不届千万 [ふとどきせんばん] /(n,adj-na) very rude (insolent)/extremely reprehensible/outrageous/
不馴 [ふなれ] /(adj-na,n) inexperience/unfamiliarity/
不馴れ [ふなれ] /(adj-na,n) inexperienced/unfamiliar (with)/
不二 [ふじ] /(n) peerless/unparalleled/unparallelled/
不二 [ふに] /(n) (Buddh) advaitam (non-duality)/
不二山 [ふじさん] /(n) Mt Fuji/
不日 [ひならず] /(adv) in a few days/at an early date/
不日 [ふじつ] /(adv) in a few days/at an early date/
不入り [ふいり] /(n) small attendance/poor house/
不如意 [ふにょい] /(adj-na,n) contrary to one's wishes/short of money/
不如帰 [ふじょき] /(n) (uk) lesser cuckoo (Cuculus poliocephalus)/
不如帰 [ほととぎす] /(n) (uk) lesser cuckoo (Cuculus poliocephalus)/
不妊 [ふにん] /(n,adj-no) infertility/sterility/barrenness/(P)/
不妊治療 [ふにんちりょう] /(n) infertility treatment/
不妊手術 [ふにんしゅじゅつ] /(n) sterilization (operation)/sterilisation/
不妊症 [ふにんしょう] /(n) infertility/sterility/barrenness/
不妊性 [ふにんせい] /(n) infertility (esp. of animals)/
不認可 [ふにんか] /(n) disapproval/rejection/
不認承 [ふにんしょう] /(n) nonrecognition/
不熱心 [ふねっしん] /(adj-na,n) indifference/lack of enthusiasm/inattentiveness/
不燃 [ふねん] /(n,adj-no) incombustibility/
不燃性 [ふねんせい] /(n,adj-no) non-inflammability/incombustibility/
不燃物 [ふねんぶつ] /(n) non-inflammables/incombustible (usu. waste)/(P)/
不納 [ふのう] /(n) non-payment/default/
不能 [ふのう] /(adj-na,n) incompetency/inefficiency/impossibility/weak point/imbecility/(P)/
不能者 [ふのうしゃ] /(n) impotent (person)/
不敗 [ふはい] /(n) invincibility/
不買 [ふばい] /(n,adj-no) not buying/
不買運動 [ふばいうんどう] /(n) a boycott/
不買同盟 [ふばいどうめい] /(n) boycott/buyer's strike/
不発 [ふはつ] /(n) misfire/(P)/
不発弾 [ふはつだん] /(n) unexploded ordnance/unexploded shell/unexploded bomb/UXO/
不抜 [ふばつ] /(adj-na,n) firm/steadfast/indomitable/unswerving/invincible/
不犯 [ふぼん] /(n) strict observance of the Buddhist commandment that all priests should be celibate/
不備 [ふび] /(n,adj-na,adj-no) (1) defect/deficiency/imperfection/inadequacy/(n) (2) Yours in haste/(P)/
不美人 [ふびじん] /(n) plain woman/
不必要 [ふひつよう] /(adj-na,n) unnecessary/undesired/(P)/
不謬性 [ふびゅうせい] /(n) papal infallibility/
不評 [ふひょう] /(n,adj-no) bad reputation/disgrace/unpopularity/(P)/
不評判 [ふひょうばん] /(adj-na,n) bad reputation/disgrace/unpopularity/
不品行 [ふひんこう] /(adj-na,n) unchastity/misconduct/dissipation/fornication/
不敏 [ふびん] /(adj-na,n) inability/dullness/unworthiness/
不符号 [ふとうごう] /(iK) (n) (math) less than sign or greater than sign (< or >)/inequality sign/
不符号 [ふどうごう] /(iK) (n) (math) less than sign or greater than sign (< or >)/inequality sign/
不風流 [ぶふうりゅう] /(adj-na,n) lack of refinement/inelegance/want of artistic taste/lack of poetic sense/
不服 [ふふく] /(adj-na,n) dissatisfaction/discontent/disapproval/objection/complaint/protest/disagreement/(P)/
不服従 [ふふくじゅう] /(n) insubordination/disobedience/
不払い [ふばらい] /(n) nonpayment/default/(P)/
不分割 [ふぶんかつ] /(n) indivisibility/
不分明 [ふぶんめい] /(adj-na) obscure/vague/
不文 [ふぶん] /(adj-no) (1) unwritten/(2) illiterate/uneducated/(n) (3) poor writing/
不文憲法 [ふぶんけんぽう] /(n) unwritten constitution/
不文法 [ふぶんほう] /(n) unwritten law/common law/
不文法 [ふぶんぽう] /(n) unwritten law/common law/
不文明 [ふぶんめい] /(n) indistinct/obscure/
不文律 [ふぶんりつ] /(n) unwritten law/unwritten rule/common law/(P)/
不平 [ふへい] /(adj-na,n) complaint/discontent/dissatisfaction/(P)/
不平等 [ふびょうどう] /(adj-na,n) inequality/unequal (treaties)/unfair/(P)/
不平等条約 [ふびょうどうじょうやく] /(n) unequal treaty/
不平不満 [ふへいふまん] /(n) discontent and grumbling/
不平分子 [ふへいぶんし] /(n) discontented element/discontented (grumbling) member/
不偏 [ふへん] /(adj-na,n,adj-no) impartiality/neutrality/fairness/
不偏不党 [ふへんふとう] /(n,adj-no) impartiality/neutrality/independence/(P)/
不変 [ふへん] /(adj-na,n,adj-no) eternal/everlasting/unchangeable/immutable/immovable/constant/permanent/indestructible/(P)/
不変の理 [ふへんのり] /(n) eternal truth/
不変化 [ふへんか] /(adj-no) (ling) indeclinable/
不変資本 [ふへんしほん] /(n) constant capital/
不変性 [ふへんせい] /(n) (math) invariance/
不変費用 [ふへんひよう] /(n) fixed cost/
不変量 [ふへんりょう] /(n) constant/invariable/
不便 [ふびん] /(adj-na,n) pity/compassion/
不便 [ふべん] /(adj-na,n) inconvenience/inexpediency/unhandiness/(P)/
不勉強 [ふべんきょう] /(n) idleness/lack of application/lazy study habits/
不抱 [かかわらず] /(exp) in spite of/regardless of/
不法 [ふほう] /(adj-na,n,adj-no) lawlessness/injustice/illegality/unlawfulness/(P)/
不法コピー [ふほうコピー] /(n) (comp) illegal copy/
不法移民 [ふほういみん] /(n) (1) illegal immigration/(2) illegal immigrant/
不法監禁 [ふほうかんきん] /(n) false imprisonment/
不法行為 [ふほうこうい] /(n) tort/illegal act/illegal activity/offence/offense/
不法就労 [ふほうしゅうろう] /(n) illegal employment/illegal work/unauthorized labor/
不法集会 [ふほうしゅうかい] /(n) unlawful assembly/
不法所持 [ふほうしょじ] /(n) illegal possession/unlawful possession/
不法侵入 [ふほうしんにゅう] /(n) trespassing/intrusion/
不法侵入者 [ふほうしんにゅうしゃ] /(n) trespasser/
不法占有 [ふほうせんゆう] /(n) unlawful detention (of shipping)/unlawful occupation (of a house or land)/
不法滞在 [ふほうたいざい] /(n,adj-no) illegal overstaying (in a country)/
不法滞在者 [ふほうたいざいしゃ] /(n) illegal overstayers (in a country)/
不法投棄 [ふほうとうき] /(n,vs) unlawful dumping (e.g. of garbage)/
不法入居者 [ふほうにゅうきょしゃ] /(n) squatter/
不法入国 [ふほうにゅうこく] /(n) illegal entry/illegal immigration/
不法入国 [ふほうにゅうごく] /(n) illegal entry/illegal immigration/
不法入国者 [ふほうにゅうこくしゃ] /(n) illegal immigrant/
不飽和 [ふほうわ] /(n) unsaturated/
不飽和化合物 [ふほうわかごうぶつ] /(n) unsaturated compound/
不飽和結合 [ふほうわけつごう] /(n) unsaturated bond/
不飽和脂肪酸 [ふほうわしぼうさん] /(n) unsaturated fatty acid/
不飽和炭化水素 [ふほうわたんかすいそ] /(n) unsaturated hydrocarbon/
不本意 [ふほんい] /(adj-na,n) reluctance/unwilling/(P)/
不本意ながら [ふほんいながら] /(adv) involuntarily/reluctantly/against one's inclination/against one's will/as a matter of unpleasant necessity/despite oneself/
不凡 [ふぼん] /(n) uncommon/outstanding/
不磨 [ふま] /(n) permanence/immortality/
不満 [ふまん] /(adj-na,n) dissatisfaction/displeasure/discontent/complaints/unhappiness/disgruntled/(P)/
不満足 [ふまんぞく] /(n) dissatisfaction/displeasure/discontent/
不味 [ふみ] /(adj-na,n) distaste/unsavoriness/unsavouriness/
不味い [まずい] /(adj-i) (1) (uk) unappetising/unappetizing/unpleasant (taste, appearance, situation)/(2) unskillful/unskilful/bungling/clumsy/(3) ugly/homely/plain/unattractive/(4) awkward/untimely/inopportune/unfavorable/unwise/(P)/
不稔性 [ふねんせい] /(n) infertility (esp. of plants)/
不眠 [ふみん] /(n,adj-no) sleeplessness/insomnia/wakefulness/(P)/
不眠から起こる疲労 [ふみんからおこるひろう] /(n) fatigue resulting from insomnia/
不眠症 [ふみんしょう] /(n) sleeplessness/insomnia/wakefulness/(P)/
不眠不休 [ふみんふきゅう] /(n) without sleep or rest/day and night/
不名数 [ふめいすう] /(n) abstract number/
不名誉 [ふめいよ] /(adj-na,n) dishonor/dishonour/disgrace/shame/
不明 [ふめい] /(adj-na,n) unknown/obscure/indistinct/uncertain/ambiguous/ignorant/lack of wisdom/anonymous/unidentified/(P)/
不明確 [ふめいかく] /(adj-na,n) inaccurate/indistinct/imprecise/unclear/indecisive/
不明者 [ふめいしゃ] /(n) (abbr) missing person/
不明瞭 [ふめいりょう] /(adj-na,n) dimness/obscurity/indistinctness/unclear/unintelligible/
不明朗 [ふめいろう] /(adj-na,n) (1) gloominess/gloom/(2) questionable/unfair/underhand/
不滅 [ふめつ] /(adj-na,n,adj-no) immortal/undying/indestructible/
不面目 [ふめんぼく] /(adj-na,n) shame/disgrace/
不面目 [ふめんもく] /(adj-na,n) shame/disgrace/
不毛 [ふもう] /(adj-na,n,adj-no) sterile/barren/unproductive/sour/(P)/
不毛の地 [ふもうのち] /(n) deserted and desolate land/
不問 [ふもん] /(n) ignorance/(P)/
不問に付す [ふもんにふす] /(exp,v5s) to ignore/to disregard/to overlook/to connive at/
不夜城 [ふやじょう] /(n) nightless gay quarters/nightless city/
不愉快 [ふゆかい] /(adj-na,n) discomfort/unpleasantness/disagreeableness/unhappiness/(P)/
不予 [ふよ] /(n) indisposition/emperor's illness/unhappiness/
不様 [ぶざま] /(adj-na,n) unshapely/unsightly/clumsy/unpresentable/uncouth/
不溶 [ふよう] /(adj-no) insoluble/
不溶性 [ふようせい] /(n) insolubility/
不用 [ふよう] /(adj-na,n,adj-no) (1) disused/unused/(2) useless/wasteful/of no use/
不用意 [ふようい] /(adj-na,n) unpreparedness/carelessness/(P)/
不用心 [ふようじん] /(adj-na,n) insecurity/carelessness/
不用心 [ぶようじん] /(adj-na,n) insecurity/carelessness/
不用品 [ふようひん] /(n) disused article/
不要 [ふよう] /(adj-na,n,adj-no) unnecessary/unneeded/(P)/
不要会社 [ふようがいしゃ] /(n) commutative justice/justitia commutativa/
不要情報 [ふようじょうほう] /(n) (comp) garbage/
不要不急 [ふようふきゅう] /(n,adj-na) nonessential and nonurgent/
不要論 [ふようろん] /(n) argument that something is unnecessary/opposition/
不養生 [ふようじょう] /(adj-na,n) neglect of health/intemperance/
不欄 [ふらん] /(n) space without columns/
不利 [ふり] /(adj-na,n) disadvantage/handicap/unfavorable/unfavourable/drawback/(P)/
不利益 [ふりえき] /(adj-na,n) disadvantage/handicap/drawback/inadvisability/inexpediency/(P)/
不履行 [ふりこう] /(n) default/nonperformance/
不理 [ふり] /(n) unreasonable/irrational/
不離 [ふり] /(n) inseparability/
不立文字 [ふりつもんじ] /(exp) Buddhist revelation through intuitive discernment/Spiritual awakening cannot be experienced with words and letters/Spiritual enlightenment can be attained only by means of communion of mind with mind (Zen Buddhism)/
不立文字 [ふりゅうもんじ] /(exp) Buddhist revelation through intuitive discernment/Spiritual awakening cannot be experienced with words and letters/Spiritual enlightenment can be attained only by means of communion of mind with mind (Zen Buddhism)/
不流通 [ふりゅうつう] /(n) nonnegotiable/
不慮 [ふりょ] /(n,adj-no) unforeseen/accidental/(P)/
不慮の外 [ふりょのほか] /(exp) totally unexpected/completely unforeseen/
不了見 [ふりょうけん] /(adj-na,n) indiscretion/bad idea/thoughtlessness/indiscreetness/
不料簡 [ふりょうけん] /(adj-na,n) indiscretion/bad idea/thoughtlessness/indiscreetness/
不猟 [ふりょう] /(n) poor catch/
不良 [ふりょう] /(adj-na,adj-no,n) badness/inferiority/delinquency/failure/defect/blemish/(P)/
不良セクター [ふりょうセクター] /(n) (comp) bad sector/
不良トラック [ふりょうトラック] /(n) (comp) defective track/
不良化 [ふりょうか] /(n,vs) degradation/downfall/
不良外人 [ふりょうがいじん] /(n) undesirable alien/
不良交友 [ふりょうこうゆう] /(n) getting mixed up with the wrong people/getting into bad company/
不良債権 [ふりょうさいけん] /(n,adj-no) bad debt/
不良債権処理 [ふりょうさいけんしょり] /(n) disposal of bad loans/
不良少女 [ふりょうしょうじょ] /(n) bad girl/juvenile delinquent/
不良少年 [ふりょうしょうねん] /(n) juvenile delinquent/
不良診断 [ふりょうしんだん] /(n,vs) trouble-shooting/fault analysis/
不良貸し付け [ふりょうかしつけ] /(n) bad debts/
不良仲間 [ふりょうなかま] /(n) gang of hoodlums (hooligans)/bad company/companion in gang activities/
不良導体 [ふりょうどうたい] /(n) insulator/nonconductor/poor conductor/
不良品 [ふりょうひん] /(n) inferior goods/defective product/
不良老年 [ふりょうろうねん] /(n) old sinner/elderly man-about-town/older person who enjoys free and easy lifestyle unfettered by social taboos/
不量見 [ふりょうけん] /(adj-na,n) indiscretion/bad idea/thoughtlessness/indiscreetness/
不倫 [ふりん] /(adj-na,n,adj-no) adultery/immorality/impropriety/(P)/
不倫罪 [ふりんざい] /(n) (crime of) adultery/
不倫相手 [ふりんあいて] /(n) person with whom one is having an illicit love affair/
不例 [ふれい] /(n) indisposition/sickness/
不連続 [ふれんぞく] /(adj-na,n) discontinuity/
不連続線 [ふれんぞくせん] /(n) (weather-related) line of discontinuity/
不労 [ふろう] /(n) unearned/
不労所得 [ふろうしょとく] /(n) unearned income/
不老 [ふろう] /(n) perennial youth/
不老泉 [ふろうせん] /(n) fountain of youth/
不老長寿 [ふろうちょうじゅ] /(n) perpetual youth and longevity/
不老不死 [ふろうふし] /(n) perpetual youth and longevity/
不和 [ふわ] /(adj-na,n,adj-no) friction/discord/trouble/dissension/disagreement/(P)/
不和反目 [ふわはんもく] /(n) discord and hostility/feud/
不惑 [ふわく] /(n) past forty/following right course/
不嗜 [ぶたしなみ] /(n) poor preparation/
不圖 [ふと] /(ateji) (oK) (adv) (uk) suddenly/casually/accidentally/incidentally/unexpectedly/unintentionally/
不埒 [ふらち] /(adj-na,n) insolence/misconduct/rudeness/breach of etiquette/
不埒千万 [ふらちせんばん] /(n,adj-na) very insolent/extremely audacious/reprehensible/
不埓 [ふらち] /(adj-na,n) insolence/misconduct/rudeness/breach of etiquette/
不姙 [ふにん] /(oK) (n,adj-no) infertility/sterility/barrenness/
不愍 [ふびん] /(adj-na,n) pity/compassion/
不憫 [ふびん] /(adj-na,n) pity/compassion/
不撓 [ふとう] /(adj-na,n) unbending/inflexible/tenacity/indomitableness/
不撓不屈 [ふとうふくつ] /(adj-na,n) inflexibility/tenacity/indomitableness/
不縹緻 [ふきりょう] /(oK) (adj-na,n) (1) ugliness/homeliness/(2) lack of ability/incompetence/
不縹緻 [ぶきりょう] /(oK) (adj-na,n) (1) ugliness/homeliness/(2) lack of ability/incompetence/
不羈 [ふき] /(n) freedom/liberty/independence/
不羈独立 [ふきどくりつ] /(n) free and independent/
不羈奔放 [ふきほんぽう] /(n) free-spirited and uninhibited/
不羇 [ふき] /(n) freedom/liberty/independence/
不躾 [ぶしつけ] /(adj-na,n) ill-breeding/impoliteness/bad manners/
不躾者 [ぶしつけもの] /(n) rude person/
不逞 [ふてい] /(adj-na,n) insubordination/outlawry/
不逞の輩 [ふていのやから] /(n) lawless people/gang/malcontents/recalcitrants/
不銹鋼 [ふしゅうこう] /(n) stainless steel/
付 [づけ] /(n-suf) dated (e.g. a letter)/date of effect (e.g. a rule change)/
付いていく [ついていく] /(v5k-s) to accompany/to follow/
付いている [ついている] /(exp,v1) (1) (uk) to be attached/to have/to be in a state/(v1) (2) to be lucky/to be in luck/(P)/
付いてくる [ついてくる] /(vk) (uk) to follow/to come along with one/to accompany/(P)/
付いてゆく [ついてゆく] /(v5k-s) to accompany/to follow/
付いてる [ついてる] /(exp,v1) (1) (uk) to be attached/to have/to be in a state/(v1) (2) to be lucky/to be in luck/(P)/
付いて回る [ついてまわる] /(v5r,vi) to follow around/
付いて行く [ついていく] /(v5k-s) to accompany/to follow/
付いて行く [ついてゆく] /(v5k-s) to accompany/to follow/
付いて行ける [ついていける] /(exp,v1) to follow/to keep in pace with/to understand/
付いて来る [ついてくる] /(vk) (uk) to follow/to come along with one/to accompany/(P)/
付かず離れず [つかずはなれず] /(exp,adv) maintaining a reasonable distance/neutral position/indecision/
付かず離れずの態度 [つかずはなれずのたいど] /(n) neutral attitude/
付かせる [つかせる] /(v1) to direct someone toward .../
付かたり [つかたり] /(n) addition/accessory/appendage/supplement/appendix/complement/excuse/
付かぬ事 [つかぬこと] /(exp,n) abrupt (awkward) question/
付き [つき] /(n,n-suf) (1) furnished with/including/(2) attached to/(3) impression/appearance/(n) (4) (uk) luck/(5) sociality/(n,n-suf) (6) under/assistant (e.g. to a manager)/(7) soup base/(P)/
付き [づき] /(n,n-suf) (1) furnished with/including/(2) attached to/(3) impression/appearance/(n) (4) (uk) luck/(5) sociality/(n,n-suf) (6) under/assistant (e.g. to a manager)/(7) soup base/
付きが悪い [つきがわるい] /(exp) (1) not staying on well/not sticking on well/(2) unlucky/
付きが回る [つきがまわる] /(exp,v5r) to have fortune come your way/to become lucky/
付きが良い [つきがよい] /(exp) (1) stay well (on)/(2) lucky/
付きっ切り [つきっきり] /(n) constant attendance/uninterrupted supervision/
付きまとう [つきまとう] /(v5u,vi) to follow around/to shadow/to tag along/
付き具合 [つきぐあい] /(exp) degree, amount of/
付き合い [つきあい] /(n) association/socializing/socialising/fellowship/(P)/
付き合いきれない [つきあいきれない] /(exp) cannot handle (it) any longer/fed up with/enough is enough/
付き合う [つきあう] /(v5u,vi) (1) to associate with/to keep company with/to go out with/to go steady with/to get on with/(2) to go along with/to follow someone's lead/to accompany someone/to compromise/(P)/
付き者 [つきもの] /(n) (arch) attendant/
付き従う [つきしたがう] /(v5u,vi) to follow/to accompany/to cleave to/to join up with/to obey implicitly/to flatter/
付き人 [つきびと] /(n) attendant/
付き随う [つきしたがう] /(v5u,vi) to follow/to accompany/to cleave to/to join up with/to obey implicitly/to flatter/
付き切り [つききり] /(n) constant attendance (by a doctor)/
付き切る [つききる] /(v5r) to be in constant attendance/
付き添い [つきそい] /(n) attendance on/attendant/escort/chaperon/retinue/(P)/
付き添い看護婦 [つきそいかんごふ] /(n) private nurse/
付き添い人 [つきそいにん] /(n) attendant/
付き添い婦 [つきそいふ] /(n) practical nurse/
付き添う [つきそう] /(v5u,vi) to attend on/to wait upon/to accompany/to escort and wait on/to chaperone/
付き纏う [つきまとう] /(v5u,vi) to follow around/to shadow/to tag along/
付き馬 [つきうま] /(n) bill collector for the night's entertainment/followers/
付き物 [つきもの] /(n) accessory/accompaniment/indispensable part/appendage/
付き分岐 [つきぶんき] /(n) (comp) conditional branch/
付く [つく] /(v5k,vi) (1) to be attached/to be connected with/to adhere/to stick/to cling/(2) to remain imprinted/to scar/to stain/to dye/(3) to bear (fruit, interest, etc.)/(4) to be acquired (of a habit, ability, etc.)/to increase (of strength, etc.)/(5) to take root/(6) to accompany/to attend/to follow/to study with/(7) to side with/to belong to/(8) to possess/to haunt/(9) to be lit/to be lighted/(10) to be settled/to be resolved/to be decided/(11) to be given (of a name, price, etc.)/(12) to be sensed/to be perceived/(13) to be lucky/(suf,v5k) (14) (after -masu stems, onomatopoeic and mimetic words) to become (a state, condition, etc.)/
付く [づく] /(suf,v5k) to become (a state, condition, etc.)/
付け [つけ] /(n) (1) fixed/(2) bill/bill of sale/(3) tab (for later payment)/credit/(P)/
付け [づけ] /(n-suf,pref,suf) dated/date/fixed/external/
付けが回って来る [つけがまわってくる] /(exp,vk) the bill will come due (expression used to imply that someone will eventually have to pay the price for their misdeeds)/
付けが回る [つけがまわる] /(exp,v5r) the bill will come due (expression used to imply that someone will eventually have to pay the price for their misdeeds)/
付けたり [つけたり] /(n) addition/pretext/
付けで買う [つけでかう] /(v5u) to buy on credit/
付けどころ [つけどころ] /(n) focus of one's attention/what one is looking for/
付けなおす [つけなおす] /(v5s) to repair again/to join again/
付ける [つける] /(v1,vt) (1) to attach/to join/to add/to append/to affix/to stick/to glue/to fasten/to sew on/to apply (ointment)/(2) to furnish (a house with)/(3) to wear/to put on/(4) to keep a diary/to make an entry/(5) to appraise/to set (a price)/(6) to bring alongside/(7) to place (under guard or doctor)/(8) to follow/to shadow/(9) to load/to give (courage to)/(10) to keep (an eye on)/(11) to establish (relations or understanding)/(12) to turn on (light)/(P)/
付けを払う [つけをはらう] /(exp,v5u) to pay a bill/
付けペン [つけペン] /(n) (uk) dip pen/nib pen/
付け下げ [つけさげ] /(n) method of patterning traditional Japanese clothing (the tops of all of patterns being pointed at the highest part of the shoulder)/
付け加え [つけくわえ] /(n) addition to (something)/
付け加える [つけくわえる] /(v1,vt) to add one thing to another/(P)/
付け加えると [つけくわえると] /(adv) additionally/in addition/
付け火 [つけび] /(n) incendiarism/
付け回す [つけまわす] /(v5s,vt) to follow/to shadow/to hanker after/to hover around/
付け回る [つけまわる] /(v5r,vi) to follow/to shadow/to hanker after/to hover around/
付け掛け [つけかけ] /(n) overcharge/
付け換える [つけかえる] /(v1,vt) to renew/to replace/to change for/to attach anew/
付け景気 [つけげいき] /(n) borrowed prosperity/
付け元気 [つけげんき] /(n) show of courage/
付け合わせ [つけあわせ] /(n) vegetable relish with meat/garnish/
付け合わせる [つけあわせる] /(v1) to add to/
付け黒子 [つけぼくろ] /(n) artificial facial beauty spot/
付け込み [つけこみ] /(n) entry/booking/
付け込む [つけこむ] /(v5m,vi) to take advantage of/to impose on/to make an entry/(P)/
付け根 [つけね] /(n) root/joint/base/crotch/(P)/
付け札 [つけふだ] /(n) tag/label/
付け紙 [つけがみ] /(n) tag/slip/label/
付け汁 [つけしる] /(n) sauce/
付け汁 [つけじる] /(n) sauce/
付け出し [つけだし] /(n) (1) bill/account/(2) very successful amateur sumo wrestler, allowed to start professional career in makushita division/
付け出す [つけだす] /(v5s,vt) to charge/
付け所 [つけどころ] /(n) focus of one's attention/what one is looking for/
付け焼き [つけやき] /(n) broiling with soy/
付け焼き刃 [つけやきば] /(n) pretension/affectation/
付け上がる [つけあがる] /(v5r,vi) to be elated/to be spoiled/to be spoilt/to take advantage of/
付け人 [つけびと] /(n) assistant/attendant/chaperon/suite/
付け狙う [つけねらう] /(v5u,vt) to prowl after/to keep watch on/
付け足し [つけたし] /(n) addition/appendix/supplement/postscript/
付け足す [つけたす] /(v5s,vt) to add to/(P)/
付け足り [つけたり] /(n) addition/pretext/
付け替え [つけかえ] /(n) replacement/
付け替える [つけかえる] /(v1,vt) to renew/to replace/to change for/to attach anew/
付け台 [つけだい] /(n) counter in a sushi restaurant/
付け値 [つけね] /(n) the bid/the offer/
付け知恵 [つけじえ] /(ik) (n) (arch) hint/suggestion/
付け知恵 [つけぢえ] /(n) (arch) hint/suggestion/
付け直す [つけなおす] /(v5s) to repair again/to join again/
付け届け [つけとどけ] /(n) (1) gift/present/tip/(2) bribe/
付け入る [つけいる] /(v5r) to take advantage of/to impose on/
付け馬 [つけうま] /(n) bill collector for the night's entertainment/followers/
付け髪 [つけがみ] /(n) false hair/
付け鼻 [つけばな] /(n) false nose/artificial nose/
付け髭 [つけひげ] /(n) false moustache/
付け紐 [つけひも] /(n) child's sash/
付け不足 [つけぶそく] /(n) undercharge/
付け文 [つけぶみ] /(n) love-letter/
付け方 [つけかた] /(n) (1) way of affixing something/(2) way of recording something (to a logbook, etc.)/
付け麺 [つけめん] /(n) cold Chinese noodles accompanied by soup for dipping/
付け木 [つけぎ] /(n) spill (piece of wood for lighting)/
付け目 [つけめ] /(n) (to aim at) a weak point/
付け薬 [つけぐすり] /(n) ointment/lotion/
付け落ち [つけおち] /(n) omission in a bill/
付け落とし [つけおとし] /(n) omission in a bill/
付け落とす [つけおとす] /(v5s) to neglect to make an entry in a ledger/
付け睫毛 [つけまつげ] /(n) false eyelashes/
付け髷 [つけまげ] /(n) false coiffure/
付す [ふす] /(v5s,vt) (1) to affix/to append/to attach/(2) to entrust/to refer/to handle (as such)/(3) to follow (the leader)/(4) to submit (a document, etc.)/
付する [ふする] /(vs-s,vt) (1) to affix/to append/to attach/(2) to entrust/to refer/to handle (as such)/(3) to follow (the leader)/(4) to submit (a document, etc.)/
付っ切り [つっきり] /(n) constant attendance (by a doctor)/
付下げ [つけさげ] /(n) method of patterning traditional Japanese clothing (the tops of all of patterns being pointed at the highest part of the shoulder)/
付加 [ふか] /(n,vs,adj-no) addition/annexation/appendage/(P)/
付加える [つけくわえる] /(v1,vt) to add one thing to another/
付加サービス [ふかサービス] /(n) (comp) additional service/
付加価値 [ふかかち] /(n) added value/value added/
付加価値サービス [ふかかちサービス] /(n) value added service/
付加価値ネットワーク [ふかかちネットワーク] /(n) (comp) value added network/VAN/
付加価値再販業者 [ふかかちさいはんぎょうしゃ] /(n) (comp) Value-Added Reseller/VAR/
付加価値税 [ふかかちぜい] /(n) value-added tax/
付加価値通信網 [ふかかちつうしんもう] /(n) value-added network/VAN/
付加疑問文 [ふかぎもんぶん] /(n) (ling) tag-question (e.g. questions like 'He is, isn't he?')/
付加語 [ふかご] /(n) (ling) adjunct word/
付加税 [ふかぜい] /(n) additional tax/
付加反応 [ふかはんのう] /(n) addition reaction/
付加物理表現 [ふかぶつりひょうげん] /(n) (comp) additional physical rendition/PD PR/
付加文字 [ふかもじ] /(n) (comp) additional character/
付会 [ふかい] /(n,vs) add to/twist the meaning/
付記 [ふき] /(n,vs) addition/appendix/note/
付貴信 [づけきしん] /(suf) your letter, fax, etc. dated .../
付議 [ふぎ] /(n,vs) bringing up a matter/discussion/debate/submission (e.g. a measure)/referral (e.g. bill to a committee)/placing (e.g. item on an agenda)/
付近 [ふきん] /(n,n-suf) (1) neighbourhood/neighborhood/vicinity/environs/(2) (obsc) approaching/(P)/
付言 [ふげん] /(n,vs) saying in addition/postscript/additional remarks/
付合 [つけあい] /(n) (obsc) linking poems/
付合 [ふごう] /(n) accession (law)/
付合い [つきあい] /(n) association/socializing/socialising/fellowship/
付合う [つきあう] /(v5u,vi) (1) to associate with/to keep company with/to go out with/to go steady with/to get on with/(2) to go along with/to follow someone's lead/to accompany someone/to compromise/
付合せ [つけあわせ] /(n) vegetable relish with meat/garnish/
付根 [つけね] /(n) root/joint/base/crotch/
付札 [つけふだ] /(n) tag/label/
付子 [ふし] /(n) sumac gallnut/
付子 [ぶし] /(n) dried aconite root/
付子 [ぶす] /(n) dried aconite root/
付室 [ふしつ] /(n) vestibule/attached room/
付従う [つきしたがう] /(v5u,vi) to follow/to accompany/to cleave to/to join up with/to obey implicitly/to flatter/
付汁 [つけしる] /(n) sauce/
付汁 [つけじる] /(n) sauce/
付出し [つけだし] /(n) (1) bill/account/(2) very successful amateur sumo wrestler, allowed to start professional career in makushita division/
付所 [つけどころ] /(n) focus of one's attention/what one is looking for/
付焼 [つけやき] /(n) broiling with soy/
付焼き刃 [つけやきば] /(n) pretension/affectation/
付嘱 [ふしょく] /(n) conferment/act of conferring (honour, gift, etc.)/
付人 [つけびと] /(n) assistant/attendant/chaperon/suite/
付図 [ふず] /(n) attached map, plan, diagram or chart/
付随 [ふずい] /(n,vs) incident to/attaching to/annexed to/concomitant/attending/
付随音楽 [ふずいおんがく] /(n) incidental music/
付随現象 [ふずいげんしょう] /(n) side effect/concomitant/
付設 [ふせつ] /(n,vs) annex/affiliated structure or institute/
付喪神 [つくもがみ] /(n) artifact spirit/
付則 [ふそく] /(n) additional rules/by-laws/supplementary provisions/
付足し [つけたし] /(n) addition/appendix/supplement/postscript/
付足す [つけたす] /(v5s,vt) to add to/
付足り [つけたり] /(n) addition/pretext/
付属 [ふぞく] /(n,vs,adj-no) attached/belonging (to)/included/enclosed/affiliated/annexed/associated/subordinate/incidental/dependent/auxiliary/(P)/
付属せず [ふぞくせず] /(n) (comp) not included/
付属学校 [ふぞくがっこう] /(n) an attached or affiliated school/
付属語 [ふぞくご] /(n) (ling) ancillary (attached, adjunct) word or words/
付属校 [ふぞくこう] /(n) affiliated school/
付属肢 [ふぞくし] /(n) appendage/
付属書 [ふぞくしょ] /(n) appendix/supplementary notes/
付属節 [ふぞくせつ] /(n) (ling) subordinate clause/
付属病院 [ふぞくびょういん] /(n) affiliated hospital/
付属品 [ふぞくひん] /(n) accessory/fittings/appurtenances/
付属物 [ふぞくぶつ] /(n) belongings/appendage/accessory/
付帯 [ふたい] /(n,vs,adj-no) incidental/ancillary/accessory/secondary/collateral/(P)/
付帯決議 [ふたいけつぎ] /(n) supplementary (additional) resolution/
付帯事項 [ふたいじこう] /(n) supplementary item/
付帯条件 [ふたいじょうけん] /(n) incidental (collateral) condition/
付帯的 [ふたいてき] /(adj-na) incidental/secondary/accessory/
付帯犯 [ふたいはん] /(n) accessory offense/accessory offence/
付帯費用 [ふたいひよう] /(n) incidental expenses/
付替える [つけかえる] /(v1,vt) to renew/to replace/to change for/to attach anew/
付台 [つけだい] /(n) counter in a sushi restaurant/
付託 [ふたく] /(n,vs) committing to/refer to/submit to/
付値 [つけね] /(n) the bid/the offer/
付着 [ふちゃく] /(n,vs) sticking to/clinging to/adhesion/cohesion/agglutination/(P)/
付着生物 [ふちゃくせいぶつ] /(n) periphyton/
付着物 [ふちゃくぶつ] /(n) attached matter/attached substances/accretion/incrustation/
付着力 [ふちゃくりょく] /(n) adhesion/
付注 [ふちゅう] /(n) annotation/comment/
付添 [つきそい] /(n) attendance on/attendant/escort/chaperon/retinue/
付添い [つきそい] /(n) attendance on/attendant/escort/chaperon/retinue/(P)/
付添い人 [つきそいにん] /(n) attendant/
付添う [つきそう] /(v5u,vi) to attend on/to wait upon/to accompany/to escort and wait on/to chaperone/
付添人 [つきそいにん] /(n) attendant/
付届 [つけとどけ] /(io) (n) (1) gift/present/tip/(2) bribe/
付届け [つけとどけ] /(n) (1) gift/present/tip/(2) bribe/
付入る [つけいる] /(v5r) to take advantage of/to impose on/
付年表 [ふねんぴょう] /(n) appendix with chronological table/
付馬 [つけうま] /(n) bill collector for the night's entertainment/followers/
付番 [ふばん] /(n) (comp) rank suffix/
付番核 [ふばんかく] /(n) (comp) rank stem/
付番群 [ふばんぐん] /(n) (comp) ranked group/
付番要素 [ふばんようそ] /(n) (comp) ranked element/
付票 [ふひょう] /(n) tag or label/
付表 [ふひょう] /(n) attached list/appended chart, table or graph/
付物 [つきもの] /(n) accessory/accompaniment/indispensable part/appendage/
付保 [ふほ] /(n,vs) insurance/
付方 [つけかた] /(n) (1) way of affixing something/(2) way of recording something (to a logbook, etc.)/
付与 [ふよ] /(n,vs) grant/allowance/endowment/bestowal/assignment/conferment/(P)/
付落 [つけおち] /(n) omission in a bill/
付落ち [つけおち] /(n) omission in a bill/
付落とし [つけおとし] /(n) omission in a bill/
付録 [ふろく] /(n) appendix/supplement/annex/(P)/
付論 [ふろん] /(n) (obsc) conclusion/summing up (of a thesis or presentation)/
付和 [ふわ] /(n,vs) blindly following others/
付和随行 [ふわずいこう] /(n,vs) participating in something by merely following the leaders/
付和雷同 [ふわらいどう] /(n,vs) following blindly/following suit without reflection/
付箋 [ふせん] /(n) tag/slip/label/
埠頭 [ふとう] /(n) pier/wharf/quay/
夫 [おっと] /(n) husband/(P)/
夫 [つま] /(n) (1) wife/(2) (arch) dear (formerly used by romantically linked men and women to refer to one another)/(3) (uk) garnish (esp. one served with sashimi)/(4) (uk) embellishment/
夫々 [それぞれ] /(n-t) each/every/either/respectively/severally/
夫に嫌われる [おっとにきらわれる] /(exp,v1) to lose one's husband's love/
夫の君 [せのきみ] /(n) one's husband/
夫の権利 [おっとのけんり] /(n) marital rights/
夫の命 [つまのみこと] /(n) (arch) (pol) you (referring to one's spouse or partner)/dear/
夫れ夫れ [それぞれ] /(n-t) each/every/either/respectively/severally/(P)/
夫を立てる [おっとをたてる] /(exp,v1) to treat one's husband with due respect/
夫君 [ふくん] /(n) one's husband/
夫権 [ふけん] /(n) husband's marital rights/
夫妻 [ふさい] /(n) man and wife/married couple/(P)/
夫子 [ふうし] /(n) term of address for a teacher/Confucius/
夫唱婦随 [ふしょうふずい] /(n) a wife should do her husband's bidding/
夫人 [はしかし] /(ok) (n) (1) (hon) wife/Mrs/madam/
夫人 [ふじん] /(n) (1) (hon) wife/Mrs/madam/(2) (arch) wife of a nobleman (aristocrat, etc.)/(3) (arch) consort of the emperor/(P)/
夫人 [ぶにん] /(ok) (n) (1) (arch) consort of the emperor/
夫夫 [それぞれ] /(n-t) each/every/either/respectively/severally/
夫婦 [ふうふ] /(n) married couple/spouses/husband and wife/couple/pair/(P)/
夫婦 [みょうと] /(n) married couple/spouses/husband and wife/couple/pair/
夫婦 [めおと] /(n) married couple/spouses/husband and wife/couple/pair/
夫婦きどり [ふうふきどり] /(exp) behaving (posing) as if they were a married couple/
夫婦きどり [めおときどり] /(exp) behaving (posing) as if they were a married couple/
夫婦げんか [ふうふげんか] /(n) matrimonial quarrel/
夫婦の縁を結ぶ [ふうふのえんをむすぶ] /(exp,v5b) to get married/
夫婦の所有財産 [ふうふのしょゆうざいさん] /(n) conjugal property/joint ownership property of husband and wife/
夫婦の道 [ふうふのみち] /(n) marital virtues/
夫婦の和 [ふうふのわ] /(n) conjugal harmony/concord between husband and wife/
夫婦円満 [ふうふえんまん] /(n) matrimonial happiness/happy marriage/
夫婦間 [ふうふかん] /(n,adj-no) within a marriage/between husband and wife/conjugal/
夫婦関係 [ふうふかんけい] /(n) marital relationship/
夫婦気取り [ふうふきどり] /(exp) behaving (posing) as if they were a married couple/
夫婦気取り [めおときどり] /(exp) behaving (posing) as if they were a married couple/
夫婦共稼ぎ [ふうふともかせぎ] /(n) dual income/husband and wife both working/
夫婦喧嘩 [ふうふげんか] /(n) matrimonial quarrel/
夫婦喧嘩は犬も食わない [ふうふげんかはいぬもくわない] /(exp) (id) One should not interfere in lover's quarrels/
夫婦生活 [ふうふせいかつ] /(n) married life/
夫婦茶碗 [めおとぢゃわん] /(n) his and her teacups/
夫婦仲 [ふうふなか] /(n) conjugal relations/conjugal affection/
夫婦別れ [ふうふわかれ] /(n,vs) divorce/separation/
夫婦別姓 [ふうふべっせい] /(n) (system of) husband and wife retaining separate family names/
夫婦保険 [ふうふほけん] /(n) married couple's insurance (i.e. life-insurance policy covering husband and wife)/
夫婦約束 [ふうふやくそく] /(n) engagement/betrothal/marriage contract/
夫婦養子 [ふうふようし] /(n) adopting a married couple/married couple adopted into the family/
夫婦養子 [めおとようし] /(n) adopting a married couple/married couple adopted into the family/
夫婦連れ [ふうふづれ] /(n) husband and wife travelling together (traveling)/
夫婦連れ [みょうとづれ] /(n) husband and wife travelling together (traveling)/
夫婦連れ [めおとづれ] /(n) husband and wife travelling together (traveling)/
夫役 [ぶえき] /(n) slave labour/slave labor/compulsory service/forced labour/forced labor/exacted service/
夫役 [ぶやく] /(n) slave labour/slave labor/compulsory service/forced labour/forced labor/exacted service/
婦 [ふ] /(n) (1) married woman/(2) woman/lady/
婦 [よめ] /(n) (1) wife/bride/(2) (one's) daughter-in-law/
婦警 [ふけい] /(n) (abbr) policewoman/
婦女 [ふじょ] /(n) woman/womankind/(P)/
婦女子 [ふじょし] /(n) (1) women and children/(2) woman/grown woman/wife/(P)/
婦女暴行 [ふじょぼうこう] /(n) rape/(P)/
婦人 [ふじん] /(n) (sens) woman/lady/adult female/(P)/
婦人運動 [ふじんうんどう] /(n) women's movement/
婦人科 [ふじんか] /(n) gynecology/(P)/
婦人科医 [ふじんかい] /(n) gynecologist/obstetrician/
婦人科学 [ふじんかがく] /(n,adj-no) gynecology/
婦人会 [ふじんかい] /(n) women's group or association/
婦人靴 [ふじんぐつ] /(n) women's shoes/
婦人警官 [ふじんけいかん] /(n) (sens) policewoman/
婦人警察官 [ふじんけいさつかん] /(n) (obs) policewoman/
婦人雑誌 [ふじんざっし] /(n) ladies' magazine/women's magazine/
婦人参政権 [ふじんさんせいけん] /(n) women's suffrage/
婦人病 [ふじんびょう] /(n) women's diseases/
婦人服 [ふじんふく] /(n) women's clothing/
婦人問題 [ふじんもんだい] /(n) women's issues/
婦選 [ふせん] /(n) women's suffrage/
婦長 [ふちょう] /(n) head nurse/(P)/
婦道 [ふどう] /(n) woman's duties/
婦徳 [ふとく] /(n) woman's virtues/
富 [とみ] /(n) wealth/fortune/(P)/
富くじ [とみくじ] /(n) lottery/
富の分配 [とみのぶんぱい] /(n) distribution of wealth/
富ます [とます] /(v5s) to enrich/to make wealthy/
富み [とみ] /(io) (n) wealth/fortune/
富む [とむ] /(v5m,vi) to be rich/to become rich/(P)/
富栄養化 [ふえいようか] /(n,vs) eutrophication/
富栄養湖 [ふえいようこ] /(n) nutrient-rich (or eutrophic) lake/
富家 [ふか] /(n) wealthy family/
富岳 [ふがく] /(n) (alternative name for) Mt. Fuji/
富貴 [ふうき] /(adj-na,n) riches and honours (honors)/wealth and rank/(P)/
富貴 [ふっき] /(adj-na,n) riches and honours (honors)/wealth and rank/
富貴栄華 [ふうきえいが] /(n) wealth, rank, and arrogant splendor/
富貴浮雲 [ふうきふうん] /(exp) Riches and honors are as fleeting as floating clouds/Fortune and fame are here today, gone tomorrow/
富魚 [とみよ] /(n) (uk) Amur stickleback (Pungitius sinensis)/
富強 [ふうきょう] /(adj-na,n,adj-no) wealth and power/rich and powerful/
富強 [ふきょう] /(adj-na,n,adj-no) wealth and power/rich and powerful/
富鉱 [ふこう] /(n) rich ore/
富豪 [ふごう] /(n) wealthy person/millionaire/(P)/
富国 [ふこく] /(n) rich country/national enrichment/
富国強兵 [ふこくきょうへい] /(n) wealth and military strength of a country/"rich country, strong army": a slogan from the Meiji era referring to the government's goals for the country/
富国強兵策 [ふこくきょうへいさく] /(n) policy of increasing national prosperity and military power/
富札 [とみふだ] /(n) lottery ticket/
富山県 [とやまけん] /(n) Toyama prefecture (Hokuriku area)/
富山房 [ふざんぼう] /(n) name of a publisher/
富士額 [ふじびたい] /(n) widow's peak/hairline that grows to a point in the middle of the forehead/
富士絹 [ふじぎぬ] /(n) Fuji silk/
富士五湖 [ふじごこ] /(n) the Five Lakes of Mt. Fuji/
富士桜 [ふじざくら] /(n) Fuji cherry (Prunus incisa)/
富士山 [ふじさん] /(n) Mt Fuji/(P)/
富士山頂 [ふじさんちょう] /(n) the peak of Mt Fuji/
富士重工 [ふじじゅうこう] /(n) Fuji Heavy Industries/
富士川 [ふじかわ] /(n) river in Shizuoka Prefecture/
富士通 [ふじつう] /(n) Fujitsu/(P)/
富士派 [ふじは] /(n) (arch) Fuji School (archaic name for the Nichiren Shoshu branch of Buddhism)/
富士壺 [ふじつぼ] /(n) (uk) acorn barnacle (Balanomorpha spp.)/
富士薊 [ふじあざみ] /(n) (uk) Fuji thistle/Cirsium purpuratum/
富者 [ふうしゃ] /(n) rich person/millionaire/the wealthy/
富者 [ふしゃ] /(n) rich person/millionaire/the wealthy/(P)/
富農 [ふのう] /(n) rich farmer/
富本銭 [ふほんせん] /(n) Japan's first coinage (dating to 683 CE, but perhaps never in circulation)/
富有 [ふゆう] /(adj-na,n) rich and famous/
富有柿 [ふゆうがき] /(n) fuyu (variety of sweet Japanese persimmon)/
富裕 [ふゆう] /(adj-na,n) wealth/riches/opulence/(P)/
富裕税 [ふゆうぜい] /(n) wealth tax/
富裕層 [ふゆうそう] /(n) wealthy people/the rich/
富力 [ふりょく] /(n) wealth/resources/
富嶽 [ふがく] /(n) (alternative name for) Mt. Fuji/
富籤 [とみくじ] /(n) lottery/
富饒 [ふうじょう] /(n,adj-na) richness/
富饒 [ふじょう] /(n,adj-na) richness/
富饒 [ふにょう] /(n,adj-na) richness/
布 [にぬ] /(ok) (n) (1) cloth/
布 [にの] /(ok) (n) (1) cloth/
布 [ぬの] /(n) (1) cloth/(P)/
布 [ふ] /(n) (1) cloth/(2) bujian (spade-shaped bronze coin of ancient China)/
布く [しく] /(v5k) (1) to spread out/to lay out/(2) to take a position/(3) to impose widely (e.g. over a city)/
布衣 [ほい] /(n) (1) (arch) linen kariginu/(2) (during the Edo period) plain kariginu/
布衣 [ほうい] /(n) (1) (arch) linen kariginu/(2) (during the Edo period) plain kariginu/
布引 [ぬのびき] /(n) stretching of cloth/
布引き [ぬのびき] /(n) stretching of cloth/
布海苔 [ふのり] /(n) funori (seaweed)/glue plant/
布教 [ふきょう] /(n,vs,adj-no) propagation (e.g. a religion)/proselytizing/missionary work/(P)/
布巾 [ふきん] /(n) tea-towel/dish cloth/(P)/
布告 [ふこく] /(n,vs) edict/ordinance/proclamation/(P)/
布子 [ぬのこ] /(n) clothes padded with cotton/
布施 [ふせ] /(n,vs) alms/offerings/(P)/
布陣 [ふじん] /(n,vs) battle formation/lineup/(P)/
布製 [ぬのせい] /(n,adj-no) made of cloth/
布石 [ふせき] /(n,vs) strategic arrangement of go stones/preparation/(P)/
布切れ [ぬのぎれ] /(n) piece of cloth/
布設 [ふせつ] /(n) (1) construction/laying (a road, a railroad, water pipes, etc.)/(vs) (2) to construct/to lay (a road, a railroad, water pipes, etc.)/
布線 [ふせん] /(n) wiring/
布銭 [ふせん] /(n) bujian (spade-shaped bronze coin of ancient China)/
布袋 [ふたい] /(n) cloth bag/
布袋 [ほてい] /(n) pot-bellied god of good fortune/
布袋葵 [ほていあおい] /(n) Eichornia crassipes/water hyacinth/
布袋腹 [ほていばら] /(n) a potbelly/
布袋蘭 [ほていらん] /(n) (uk) fairy slipper (Calypso bulbosa, esp. Calypso bulbosa var. speciosa)/
布達 [ふたつ] /(n,vs) (1) notification/(n) (2) pre-1886 administrative order/
布団 [ふとん] /(ateji) (n) (1) futon (quilted Japanese-style mattress laid out on the floor)/(2) round cushion used for Zen meditation (traditionally made of woven bulrush leaves)/(P)/
布団を敷く [ふとんをしく] /(exp,v5k) to lay out a futon/to make a bed/
布団干し [ふとんほし] /(n) drying a futon (by hanging it outside in the sun)/
布団蒸 [ふとんむし] /(n) burying a person under a futon in fun/
布団蒸し [ふとんむし] /(n) burying a person under a futon in fun/
布団皮 [ふとんがわ] /(n) quilting/ticking/
布地 [きれじ] /(n) cloth/fabric/(P)/
布地 [ぬのじ] /(n) cloth/fabric/
布置 [ふち] /(n,vs) arrangement/grouping/
布張り [ぬのばり] /(n,adj-no) cloth-covered/
布幅 [ぬのはば] /(n) cloth width/
布幅いっぱい [ぬのはばいっぱい] /(n) cloth width excess/
布片 [ふへん] /(n) piece of cloth/
布目 [ぬのめ] /(n) texture/"grain" of a fabric or cloth/direction of the loom or weave in a roll of fabric/
布令 [ふれい] /(n,vs) official announcement/proclamation/
布哇 [ハワイ] /(ateji) (n) (uk) Hawaii/
布帛 [ふはく] /(n) fabric/cloth/
布衍 [ふえん] /(n,vs) expatiation/amplification (upon)/elaboration/
府 [ふ] /(n) (1) (metropolitan) prefecture (of Osaka and Kyoto)/(2) the centre or seat (of) (center)/(3) (government) office/
府下 [ふか] /(n) suburban districts (of a metropolis)/within an urban-prefecture/
府議会 [ふぎかい] /(n) urban-prefectural assembly/
府警 [ふけい] /(n) prefectural police/(P)/
府県 [ふけん] /(n) prefecture/(P)/
府県制 [ふけんせい] /(n) (obs) prefectural system (as existed from 1890-1947)/
府県別人口 [ふけんべつじんこう] /(n) population classified by prefectures/
府庫 [ふこ] /(n) treasury/
府社 [ふしゃ] /(n) (obs) prefectural shrine (of Kyoto or Osaka)/
府省 [ふしょう] /(n) government departments/ministries and agencies/
府税 [ふぜい] /(n) urban prefectural tax/
府知事 [ふちじ] /(n) prefectural governor/(P)/
府中 [ふちゅう] /(n) Fuchuu (in Tokyo)/(P)/
府庁 [ふちょう] /(n) prefectural office/(P)/
府立 [ふりつ] /(adj-no,n) managed by an urban prefecture/(P)/
府連 [ふれん] /(n) (Osaka, Kyoto) party chapter/
怖 [こわ] /(int) (uk) frightening/terrifying/
怖々 [こわごわ] /(adv) (uk) nervously/
怖い [こわい] /(adj-i) (1) scary/frightening/eerie/dreadful/(int) (2) (I'm) afraid/(P)/
怖いもの見たさ [こわいものみたさ] /(exp) rubbernecking/the thrill of looking at something scary or unpleasant and wanting to look at it all the more because it is scary or unpleasant/
怖い顔 [こわいかお] /(n) grim face/angry look/
怖がり [こわがり] /(n) coward/timid person/
怖がる [こわがる] /(v5r,vi) to be afraid of/to fear/to dread/to be nervous (about)/to be shy (of)/(P)/
怖じけ [おじけ] /(n) (uk) fear/dread/fright/willies/funk/
怖じける [おじける] /(v1) to be afraid (of)/to be frightened (of)/
怖じる [おじる] /(v1,vi) to be scared/
怖じ気 [おじけ] /(n) (uk) fear/dread/fright/willies/funk/
怖じ気づく [おじけづく] /(v5k,vi) to be seized with fear/to be intimidated/to lose one's nerve/to be frightened/to get cold feet/to have the wind up/
怖じ気付く [おじけつく] /(ik) (v5k,vi) to be seized with fear/to be intimidated/to lose one's nerve/to be frightened/to get cold feet/to have the wind up/
怖じ気付く [おじけづく] /(v5k,vi) to be seized with fear/to be intimidated/to lose one's nerve/to be frightened/to get cold feet/to have the wind up/
怖じ気立つ [おじけだつ] /(v5t,vi) to be horrified/to be filled with trepidation/to shake with fright/to yield to terror/
怖ず怖ず [おずおず] /(adv-to) (uk) timidly/nervously/with nervous diffidence/trembling with fear/
怖っ [こわっ] /(int) (uk) scary!/
怖めず臆せず [おめずおくせず] /(exp,adv) fearlessly/
怖る [おそる] /(v5r) to fear/to be afraid/
怖れ [おそれ] /(n) fear/horror/anxiety/concern/uneasiness/
怖れる [おそれる] /(v1,vt) to fear/to be afraid of/
怖ろしい [おそろしい] /(iK) (adj-i) (1) terrible/dreadful/terrifying/frightening/frightened/(2) surprising/startling/tremendous/amazing/
怖気 [おぞけ] /(n) fear/dread/fright/willies/
怖気づく [おじけづく] /(v5k,vi) to be seized with fear/to be intimidated/to lose one's nerve/to be frightened/to get cold feet/to have the wind up/
怖気を振るう [おじけをふるう] /(exp,v5u) to be horrified/to be filled with trepidation/
怖気を振るう [おぞけをふるう] /(exp,v5u) to be horrified/to be filled with trepidation/
怖気付く [おじけつく] /(ik) (v5k,vi) to be seized with fear/to be intimidated/to lose one's nerve/to be frightened/to get cold feet/to have the wind up/
怖気付く [おじけづく] /(v5k,vi) to be seized with fear/to be intimidated/to lose one's nerve/to be frightened/to get cold feet/to have the wind up/
怖気立つ [おじけだつ] /(v5t,vi) to be horrified/to be filled with trepidation/to shake with fright/to yield to terror/
怖気立つ [おぞけだつ] /(v5t,vi) to be horrified/to be filled with trepidation/to shake with fright/to yield to terror/
怖気立つ [こわけたつ] /(v5t,vi) to be horrified/to be filled with trepidation/to shake with fright/to yield to terror/
怖怖 [こわごわ] /(adv) (uk) nervously/
怖面 [こわもて] /(n,adj-no) (uk) hard-faced/aggressive/fierce look/frightening look/
扶く [たすく] /(v5k,vt) to help/to save/to rescue/
扶ける [たすける] /(v1,vt) to help/to save/to rescue/to give relief to/to spare (life)/to reinforce/to promote/to abet/
扶け起こす [たすけおこす] /(v5s) to help a person to his (her) feet/
扶育 [ふいく] /(n,vs) bringing up (children)/
扶桑 [ふそう] /(n) land east of China/Japan/
扶桑教 [ふそうきょう] /(n) Fuso-kyo (sect of Shinto)/
扶持 [ふち] /(n,vs) ration/stipend/allowance/
扶持米 [ふちまい] /(n) stipend in rice/
扶助 [ふじょ] /(n,vs) aid/help/assistance/support/(P)/
扶助料 [ふじょりょう] /(n) aid or relief allowance/subsidy/
扶植 [ふしょく] /(n,vs) (1) implantation/(2) support/establishment/
扶養 [ふよう] /(n,vs) support/maintenance/(P)/
扶養家族 [ふようかぞく] /(n) one's dependents/
扶養義務 [ふようぎむ] /(n) duty to support (a person)/
扶養控除 [ふようこうじょ] /(n) tax exemption for dependents/
扶養者 [ふようしゃ] /(n) supporter/breadwinner/
扶養料 [ふようりょう] /(n) alimony/
扶翼 [ふよく] /(n,vs) assistance/
敷 [しき] /(n-suf,n-pref,n) (1) spreading/laying out/covering/(n) (2) (abbr) security deposit/(3) (abbr) Japanese mattress/
敷 [じき] /(suf) suffix indicating room size (following a number of tatami mats and a counter)/
敷き [しき] /(n-suf,n-pref,n) (1) spreading/laying out/covering/(n) (2) (abbr) security deposit/(3) (abbr) Japanese mattress/
敷き [じき] /(suf) suffix indicating room size (following a number of tatami mats and a counter)/
敷き革 [しきがわ] /(n) (1) fur rug/fur cushion/(2) insole/inner sole/
敷き蒲団 [しきぶとん] /(n) (Japanese) mattress/underquilt/futon laid on the floor/sleeping mat/
敷き詰める [しきつめる] /(v1,vt) to lay/to spread all over/
敷き紙 [しきがみ] /(n) paper mat/
敷き写し [しきうつし] /(n) a tracing/
敷き石 [しきいし] /(n) paving stone/pavement/
敷き皮 [しきがわ] /(n) (1) fur rug/fur cushion/(2) insole/inner sole/
敷き布団 [しきぶとん] /(n) (Japanese) mattress/underquilt/futon laid on the floor/sleeping mat/(P)/
敷き物 [しきもの] /(n) carpet/rug/matting/cushion/footcloth/floorcloth/carpeting/
敷き藁 [しきわら] /(n) (animal's) litter/
敷く [しく] /(v5k) (1) to spread out/to lay out/(2) to take a position/(3) to impose widely (e.g. over a city)/(P)/
敷ぶとん [しきぶとん] /(n) (Japanese) mattress/underquilt/futon laid on the floor/sleeping mat/
敷延 [ふえん] /(n,vs) expatiation/amplification (upon)/elaboration/
敷革 [しきがわ] /(n) (1) fur rug/fur cushion/(2) insole/inner sole/
敷蒲団 [しきぶとん] /(n) (Japanese) mattress/underquilt/futon laid on the floor/sleeping mat/
敷居 [しきい] /(n) threshold/(P)/
敷居が高い [しきいがたかい] /(exp) having a high threshold/awkward to approach or go to/
敷居の高い [しきいのたかい] /(exp,adj-i) having a high threshold/awkward to approach or go to/
敷居値ゲート [しきいちゲート] /(n) (comp) threshold gate/threshold element/
敷居値演算 [しきいちえんざん] /(n) (comp) threshold operation/
敷居値関数 [しきいちかんすう] /(n) (comp) threshold function/
敷居値素子 [しきいちそし] /(n) (comp) threshold gate/threshold element/
敷金 [しききん] /(n) (security) deposit/caution money/(P)/
敷紙 [しきがみ] /(n) paper mat/
敷石 [しきいし] /(n) paving stone/pavement/
敷設 [ふせつ] /(n) (1) construction/laying (a road, a railroad, water pipes, etc.)/(vs) (2) to construct/to lay (a road, a railroad, water pipes, etc.)/(P)/
敷地 [しきち] /(n) site/plot/lot/grounds/(P)/
敷地内 [しきちない] /(n) premises/
敷地面積 [しきちめんせき] /(n) lot area/site area/plottage/lot size/
敷島 [しきしま] /(n) (1) Yamato (province)/(2) Japan/(3) (abbr) the art of classical Japanese poetry/
敷島の道 [しきしまのみち] /(n) the art of classical Japanese poetry/
敷板 [しきいた] /(n) floorboard/plank/
敷皮 [しきがわ] /(n) (1) fur rug/fur cushion/(2) insole/inner sole/
敷布 [しきふ] /(n) sheet/sheeting/
敷布団 [しきぶとん] /(n) (Japanese) mattress/underquilt/futon laid on the floor/sleeping mat/(P)/
敷物 [しきもの] /(n) carpet/rug/matting/cushion/footcloth/floorcloth/carpeting/
敷衍 [ふえん] /(n,vs) expatiation/amplification (upon)/elaboration/
斧 [おの] /(n) axe/hatchet/
斧斤 [ふきん] /(n) axe/
斧正 [ふせい] /(n) correction/revision/
斧足類 [おのあしるい] /(n) (obsc) pelecypods (i.e. bivalves)/
斧足類 [ふそくるい] /(n) (obsc) pelecypods (i.e. bivalves)/
斧頭 [ふとう] /(n) (arch) axe-head/ax-head/
斧旁 [おのづくり] /(n) (uk) kanji "axe" radical at right/
斧鉞 [ふえつ] /(n) axe/
斧鑿 [ふさく] /(n) (arch) lucubration/elaboration/chisel and ax/
普く [あまねく] /(adv) widely/generally/universally/far and wide/
普く捜す [あまねくさがす] /(v5s) to make a wide search/
普アル茶 [プーアルちゃ] /(n) Puer tea/
普化宗 [ふけしゅう] /(n) Fuke school (defunct sect of Zen Buddhism)/
普及 [ふきゅう] /(n,vs) diffusion/spread/(P)/
普及過程 [ふきゅうかてい] /(n) (comp) diffusion process/
普及啓発 [ふきゅうけいはつ] /(n) public awareness (e.g. publicity and education campaigns aimed at improving the health, environment, etc.)/
普及版 [ふきゅうばん] /(n) cheap popular edition/
普及率 [ふきゅうりつ] /(n) diffusion rate/rate of spread/
普賢 [ふげん] /(n) Samantabhadra (bodhisattva)/Universal Compassion/(P)/
普賢延命菩薩 [ふげんえんめいぼさつ] /(n) (Buddh) image of the Samantabhadra of long life (with either two or twenty arms, usu. on a white elephant)/
普賢菩薩 [ふげんぼさつ] /(n) Samantabhadra (bodhisattva)/
普請 [ふしん] /(n,vs) (1) building/construction/(2) group effort by Buddhist practitioners/group activities by a community (e.g. cleaning, etc.)/
普請場 [ふしんば] /(n) building plot/
普選 [ふせん] /(n) universal suffrage/
普段 [ふだん] /(adj-no) usual/habitual/ordinary/everyday/always/(P)/
普段着 [ふだんぎ] /(n) casual wear/ordinary clothes/everyday clothes/home wear/(P)/
普茶 [ふさ] /(n) (arch) entertaining people by serving tea (esp. in the Obaku school of Zen)/
普茶 [ふちゃ] /(n) (arch) entertaining people by serving tea (esp. in the Obaku school of Zen)/
普茶料理 [ふさりょうり] /(n) Chinese-style vegetarian cuisine (popular in the Edo period)/
普茶料理 [ふちゃりょうり] /(n) Chinese-style vegetarian cuisine (popular in the Edo period)/
普通 [ふつう] /(adj-no) (1) general/ordinary/usual/(adv) (2) normally/generally/usually/(3) (abbr) train that stops at every station/(P)/
普通でない [ふつうでない] /(adj-i) abnormal/not the rule/not customary/
普通ではない [ふつうではない] /(adj-i) abnormal/not the rule/not customary/
普通科 [ふつうか] /(n) (1) (abbr) infantry/(2) general education curriculum/
普通科部隊 [ふつうかぶたい] /(n) infantry/
普通課程 [ふつうかてい] /(n) general education curriculum/
普通株 [ふつうかぶ] /(n) equities/
普通教育 [ふつうきょういく] /(n) general education/
普通銀行 [ふつうぎんこう] /(n) commercial bank/ordinary bank/ordinary commercial bank/
普通穴針 [ふつうあなはり] /(n) needle with a normal eye/
普通孔針 [ふつうあなはり] /(n) needle with a normal eye/
普通紙 [ふつうし] /(n) plain paper/
普通紙複写機 [ふつうしふくしゃき] /(n) plain paper copier/
普通社債 [ふつうしゃさい] /(n) straight bond/SB/
普通車 [ふつうしゃ] /(n) (1) standard size car/(2) ordinary carriage (train)/second-class carriage/
普通人 [ふつうじん] /(n) ordinary person/
普通選挙 [ふつうせんきょ] /(n) universal suffrage/(P)/
普通体 [ふつうたい] /(n) (ling) direct style/
普通弾 [ふつうだん] /(n) ball ammunition/
普通電車 [ふつうでんしゃ] /(n) regular train/local train/train that stops at every station/
普通便 [ふつうびん] /(n) usual mail/
普通法 [ふつうほう] /(n) common law/
普通名詞 [ふつうめいし] /(n,adj-no) (ling) common noun/
普通郵便 [ふつうゆうびん] /(n) ordinary mail (post)/
普通郵便局 [ふつうゆうびんきょく] /(n) regular post office/ordinary post office/
普通預金 [ふつうよきん] /(n) ordinary bank account/(P)/
普通葉 [ふつうよう] /(n) foliage leaf/
普通養子縁組 [ふつうようしえんぐみ] /(n) regular adoption (official adoption with the consent of both parties and without dissolving the relationship with the biological parents)/
普通列車 [ふつうれっしゃ] /(n) regular train/local train/train that stops at every station/
普通話 [ふつうわ] /(n) putonghua/standard (Mandarin) Chinese/
普仏戦争 [ふふつせんそう] /(n) Franco-Prussian War/
普偏 [ふへん] /(adj-na) universal/ubiquitous/omnipresent/
普偏性 [ふへんせい] /(n) universality/ubiquity/omnipresence/
普辺 [ふへん] /(adj-na) universal/ubiquitous/omnipresent/
普辺性 [ふへんせい] /(n) universality/ubiquity/omnipresence/
普遍 [ふへん] /(adj-na) universal/ubiquitous/omnipresent/(P)/
普遍化 [ふへんか] /(n,vs) universalization/
普遍原理 [ふへんげんり] /(n) universal principle/universal principles/
普遍性 [ふへんせい] /(n) catholicity/universality/
普遍妥当 [ふへんだとう] /(n) universal validity/fitting into any situation/
普遍妥当性 [ふへんだとうせい] /(n) ability to fit into any situation/
普遍的 [ふへんてき] /(adj-na) universal/omnipresent/ubiquitous/(P)/
普遍的法則 [ふへんてきほうそく] /(n) universal law/
普遍分類体系 [ふへんぶんるいたいけい] /(n) (comp) universal classification system/general classification system/
普遍文法 [ふへんぶんぽう] /(n) (ling) universal grammar/
普遍論争 [ふへんろんそう] /(n) (debate over) the problem of universals/
普免 [ふめん] /(n) (abbr) standard driver's licence/
普門品 [ふもんぼん] /(n) (abbr) Avalokitesvara Sutra/Kannon Sutra/
普墺戦争 [ふおうせんそう] /(n) Austro-Prussian War (1866)/
浮いた [ういた] /(adj-f) light/frivolous/amorous/flamboyant/
浮いたうわさ [ういたうわさ] /(exp) amorous rumour (rumor)/romantic gossip/
浮いたウワサ [ういたうわさ] /(exp) amorous rumour (rumor)/romantic gossip/
浮いた噂 [ういたうわさ] /(exp) amorous rumour (rumor)/romantic gossip/
浮かされる [うかされる] /(v1,vi) to be carried away/to be delirious/to lapse into delirium/
浮かす [うかす] /(v5s,vt) (1) to float/(2) to save (on one's expenses)/to scrimp/(3) to half-rise, e.g. to one's feet/
浮かせる [うかせる] /(v1,vt) (1) to float/(2) to save (on one's expenses)/
浮かない顔 [うかないかお] /(n) looking depressed/
浮かぬ顔 [うかぬかお] /(n) long face/looking dejected/
浮かぬ顔をする [うかぬかおをする] /(exp,vs-i) to look disheartened/
浮かばれない [うかばれない] /(adj-i) turning in one's grave/cannot rest in peace/
浮かび出る [うかびでる] /(v1,vi) to surface/
浮かび上がる [うかびあがる] /(v5r,vi) to rise to the surface/(P)/
浮かぶ [うかぶ] /(v5b) (1) to float/to be suspended/(2) to rise to surface/(3) to come to mind/to have inspiration/(P)/
浮かぶ瀬 [うかぶせ] /(n) chance or opportunity/lucky break/
浮かべる [うかべる] /(v1,vt) (1) to float/(2) to express/to look (sad, glad)/(3) to think/to imagine/to remember/(P)/
浮かり [うかり] /(adv) (uk) (arch) carelessly/thoughtlessly/inadvertently/
浮かれる [うかれる] /(v1,vi) to make merry/to be festive/(P)/
浮かれ出る [うかれでる] /(v1,vi) to go out in a merry mood/
浮かれ女 [うかれめ] /(n) (arch) woman who played music, danced and worked as a prostitute/good-time girl/
浮かれ節 [うかれぶし] /(n) folk song sung to shamisen accompaniment/
浮かれ男 [うかれおとこ] /(n) playboy/
浮き [うき] /(n) float (fishing)/buoy/(P)/
浮きつ沈みつ [うきつしずみつ] /(exp,vs) floating up and sinking down/rising and falling/
浮きドック [うきドック] /(n) floating dock/
浮き雲 [うきぐも] /(n) (1) drifting or floating cloud/(2) instability/
浮き荷 [うきに] /(n) flotsam/
浮き基礎 [うききそ] /(n) floating foundation/
浮き魚 [うきうお] /(n) fish which lives close to the surface/
浮き橋 [うきはし] /(n) floating bridge/pontoon bridge/
浮き腰 [うきごし] /(n) (1) wavering/unsteady/(2) (MA) floating hip throw (judo)/
浮き桟橋 [うきさんばし] /(n) floating pier/
浮き出す [うきだす] /(v5s,vi) to surface/to stand out/
浮き出る [うきでる] /(v1,vi) to rise to the surface/to stand or break out/
浮き上がる [うきあがる] /(v5r,vi) (1) to float/to rise to the surface/(2) to stand out/to be visible/(3) to be alienated/
浮き上る [うきあがる] /(v5r,vi) (1) to float/to rise to the surface/(2) to stand out/to be visible/(3) to be alienated/
浮き織り [うきおり] /(n) brocade/
浮き寝 [うきね] /(n) sleeping in a ship/(bird) sleeping on the surface of the water/restless sleep/
浮き身 [うきみ] /(n) floating on one's back/
浮き世 [うきよ] /(n) fleeting life/this transient world/sad world/
浮き世離れ [うきよばなれ] /(n,adj-no) other-worldly/free from worldliness/
浮き巣 [うきす] /(n) floating nest/
浮き草 [うきくさ] /(n) (1) floating weed/(2) (uk) greater duckweed (Spirodela polyrhiza)/(adj-no) (3) precarious/unstable/
浮き草稼業 [うきくさかぎょう] /(n) precarious trade/
浮き草稼業 [うきぐさかぎょう] /(n) precarious trade/unstable occupation/itinerant trade/
浮き足 [うきあし] /(n) (1) standing on the balls of the feet/unsteady step/unstable stance/(2) having one's feet off the ground/reeling (from)/swept away (by)/in an ecstasy (of)/
浮き足立つ [うきあしだつ] /(v5t) to be prepared to flee/to become restless/to become agitated/
浮き袋 [うきぶくろ] /(ok) (n) (1) swimming belt/swimming float/life buoy/(2) swim bladder/air bladder/
浮き貸し [うきがし] /(n) illegal loan/
浮き彫 [うきぼり] /(n,adj-no) (1) relief/embossed carving/(n) (2) bringing to the fore/throwing something into relief/
浮き彫り [うきぼり] /(n,adj-no) (1) relief/embossed carving/(n) (2) bringing to the fore/throwing something into relief/(P)/
浮き彫りになる [うきぼりになる] /(exp,v5r) to become distinct/
浮き沈み [うきしずみ] /(n,vs) bobbing up and down/rising and falling/ebbing and flowing/
浮き島 [うきしま] /(n) floating mass of waterweeds/floating island/
浮き嚢 [うきぶくろ] /(ok) (n) (1) swimming belt/swimming float/life buoy/(2) swim bladder/air bladder/
浮き浮き [うきうき] /(adv,adv-to,vs) (uk) cheerful/buoyant/cheery/lighthearted/(P)/
浮き名 [うきな] /(n) (1) rumour (of two people having a love affair)/rumor/gossip (about two people being involved)/scandal/(2) (arch) bad reputation/
浮き名を流す [うきなをながす] /(exp,v5s) to get a reputation as a philanderer/
浮き立つ [うきたつ] /(v5t,vi) to be enlivened/to be exhilarated/
浮き輪 [うきわ] /(n) swim ring/(rubber) swimming ring/life buoy/life belt/float/
浮き萍 [うきくさ] /(n) (1) floating weed/(2) (uk) greater duckweed (Spirodela polyrhiza)/(adj-no) (3) precarious/unstable/
浮く [うく] /(v5k,vi) (1) to float/(2) to become merry/to be cheerful/(3) to become loose/to become unsteady/(4) (col) to feel out of it/to be cut off (e.g. from those around you)/to feel out of place/(5) to be frivolous/to be uncertain/(6) to have no basis/to be unreliable/(P)/
浮つく [うわつく] /(v5k) to be fickle/to be restless/to be flippant/
浮び出る [うかびでる] /(v1,vi) to surface/
浮ぶ [うかぶ] /(v5b) (1) to float/to be suspended/(2) to rise to surface/(3) to come to mind/to have inspiration/
浮べる [うかべる] /(v1,vt) (1) to float/(2) to express/to look (sad, glad)/(3) to think/to imagine/to remember/
浮れ出る [うかれでる] /(v1,vi) to go out in a merry mood/
浮れ女 [うかれめ] /(n) (arch) woman who played music, danced and worked as a prostitute/good-time girl/
浮れ歩く [うかれあるく] /(v5k,vi) to gad around/
浮わつく [うわつく] /(io) (v5k) to be fickle/to be restless/to be flippant/
浮雲 [うきぐも] /(n) (1) drifting or floating cloud/(2) instability/
浮華 [ふか] /(adj-na,n) empty show/frivolity/levity/
浮環 [うきわ] /(n) swim ring/(rubber) swimming ring/life buoy/life belt/float/
浮気 [うわき] /(n,adj-na,vs) (1) (sens) extramarital sex/affair/fooling around/(2) infidelity/wantonness/unfaithfulness/inconstancy/fickleness/caprice/(P)/
浮気者 [うわきもの] /(n) cheater/unfaithful person/adulterer/
浮気女 [うわきおんな] /(n) bimbo/slut/
浮気症 [うわきしょう] /(n,vs) serial cheating (in relationships)/serial adultery/
浮気心 [うわきごころ] /(n) cheating heart/temptation to cheat on one's partner/
浮気性 [うわきしょう] /(n,vs) serial cheating (in relationships)/serial adultery/
浮気相手 [うわきあいて] /(n) adulterous partner (in a relationship)/adulterous lover/
浮橋 [うきはし] /(n) floating bridge/pontoon bridge/
浮言 [ふげん] /(n) groundless rumor/groundless rumour/
浮腰 [うきごし] /(n) (1) wavering/unsteady/(2) (MA) floating hip throw (judo)/
浮桟橋 [うきさんばし] /(n) floating pier/
浮腫 [ふしゅ] /(n) swelling/edema/oedema/
浮腫 [むくみ] /(n) swelling/edema/oedema/
浮腫む [むくむ] /(v5m,vi) (uk) to swell/to become swollen/
浮上 [ふじょう] /(n,vs) surfacing/rising to the surface/(P)/
浮上がる [うきあがる] /(v5r,vi) (1) to float/to rise to the surface/(2) to stand out/to be visible/(3) to be alienated/
浮上る [うきあがる] /(v5r,vi) (1) to float/to rise to the surface/(2) to stand out/to be visible/(3) to be alienated/
浮上高 [ふじょうこう] /(n) (comp) flying height/head gap/
浮城 [ふじょう] /(n) floating fortress/warship/
浮心 [ふしん] /(n) center of buoyancy/centre of buoyancy/
浮人形 [うきにんぎょう] /(n) (obsc) plastic toy (e.g. fish) suspended in a sealed glass tube filled with fluid/toy for use in the bath/
浮塵子 [うんか] /(n) (uk) plant hopper (any insect of family Delphacidae)/leafhopper/
浮塵子 [ふじんし] /(n) (uk) plant hopper (any insect of family Delphacidae)/leafhopper/
浮図 [ふと] /(n) (1) Buddha/(2) stupa/(3) Buddhist temple/(4) Buddhist monk/
浮世 [うきよ] /(n) fleeting life/this transient world/sad world/
浮世 [ふせい] /(n) fleeting life/this transient world/sad world/
浮世絵 [うきよえ] /(n) ukiyoe (color print of everyday life in the Edo period) (colour)/(P)/
浮世絵師 [うきよえし] /(n) ukiyoe artist/
浮世絵風 [うきよえふう] /(n,adj-no) of the ukiyoe style/
浮世草子 [うきよぞうし] /(n) (Edo-period variety of) realistic literature/popular stories of everyday life in the Edo period/
浮世草紙 [うきよぞうし] /(n) (Edo-period variety of) realistic literature/popular stories of everyday life in the Edo period/
浮生 [ふせい] /(n) transient life/
浮説 [ふせつ] /(n) groundless rumor/groundless rumour/
浮巣 [うきす] /(n) floating nest/
浮草 [うきくさ] /(n) (1) floating weed/(2) (uk) greater duckweed (Spirodela polyrhiza)/(adj-no) (3) precarious/unstable/
浮草稼業 [うきぐさかぎょう] /(n) precarious trade/unstable occupation/itinerant trade/
浮足 [うきあし] /(n) (1) standing on the balls of the feet/unsteady step/unstable stance/(2) having one's feet off the ground/reeling (from)/swept away (by)/in an ecstasy (of)/
浮足立つ [うきあしだつ] /(v5t) to be prepared to flee/to become restless/to become agitated/
浮袋 [うきぶくろ] /(ok) (n) (1) swimming belt/swimming float/life buoy/(2) swim bladder/air bladder/
浮彫 [うきぼり] /(n,adj-no) (1) relief/embossed carving/(n) (2) bringing to the fore/throwing something into relief/
浮彫り [うきぼり] /(n,adj-no) (1) relief/embossed carving/(n) (2) bringing to the fore/throwing something into relief/
浮沈 [ふちん] /(n,vs) floating and sinking/rise and fall/ebb and flow/ups and downs/(P)/
浮屠 [ふと] /(n) (1) Buddha/(2) stupa/(3) Buddhist temple/(4) Buddhist monk/
浮動 [ふどう] /(n,vs,adj-no) floating/
浮動ヘッド [ふどうヘッド] /(n) (comp) floating head/
浮動株 [ふどうかぶ] /(n) floating stock/
浮動小数点 [ふどうしょうすうてん] /(n) (comp) floating point representation/
浮動小数点コプロセッサ [ふどうしょうすうてんコプロセッサ] /(n) (comp) floatingpoint coprocessor/
浮動小数点データ [ふどうしょうすうてんデータ] /(n) (comp) floating point data/
浮動小数点レジスタ [ふどうしょうすうてんレジスタ] /(n) (comp) floating-point register/
浮動小数点演算 [ふどうしょうすうてんえんざん] /(n) (comp) floating-point arithmetic/
浮動小数点演算アクセラレータ [ふどうしょうすうてんえんざんアクセラレータ] /(n) (comp) floating-point accelerator/
浮動小数点演算機構 [ふどうしょうすうてんえんざんきこう] /(n) (comp) floating-point arithmetic unit/
浮動小数点基数 [ふどうしょうすうてんきすう] /(n) (comp) floating-point base/floating-point radix/
浮動小数点基底 [ふどうしょうすうてんきてい] /(n) (comp) floating-point base/floating-point radix/
浮動小数点数 [ふどうしょうすうてんすう] /(n) (comp) floating-point number/
浮動小数点相対精度 [ふどうしょうすうてんそうたいせいど] /(n) (comp) floating point precision/
浮動小数点代数 [ふどうしょうすうてんだいすう] /(n) (comp) floating point algebra/
浮動小数点表示 [ふどうしょうすうてんひょうじ] /(n) (comp) floating-point representation/
浮動小数点表示法 [ふどうしょうすうてんひょうじほう] /(n) (comp) floating-point (representation) system/
浮動小数点方式 [ふどうしょうすうてんほうしき] /(n) (comp) floating decimal mode/
浮動少数点数 [ふどうしょうすうてんすう] /(iK) (n) (comp) floating-point number/
浮動票 [ふどうひょう] /(n) swing vote/(P)/
浮薄 [ふはく] /(adj-na,n) frivolous/fickle/insincere/caprice/cold-heartedness/
浮標 [ふひょう] /(n) buoy/
浮氷 [ふひょう] /(n) ice floe/
浮漂 [ふひょう] /(n) floating/
浮付く [うわつく] /(iK) (v5k) to be fickle/to be restless/to be flippant/
浮名 [うきな] /(n) (1) rumour (of two people having a love affair)/rumor/gossip (about two people being involved)/scandal/(2) (arch) bad reputation/
浮名を流す [うきなをながす] /(exp,v5s) to get a reputation as a philanderer/
浮木 [うきぎ] /(n) driftwood/floating timber/
浮木 [ふぼく] /(n) driftwood/floating timber/
浮矢幹 [うきやがら] /(n) (uk) Scirpus yagara (species of club-rush)/
浮矢柄 [うきやがら] /(n) (uk) Scirpus yagara (species of club-rush)/
浮遊 [ふゆう] /(n,vs) floating/wandering/suspension/(P)/
浮遊生物 [ふゆうせいぶつ] /(n) plankton/
浮遊物 [ふゆうぶつ] /(n) suspended particles/floating matter/
浮遊霊 [ふゆうれい] /(n) wandering ghost/
浮揚 [ふよう] /(n,vs) floating (in the air)/(P)/
浮利 [ふり] /(n) easy money/quick profit/
浮流 [ふりゅう] /(n,vs) floating about/drifting/
浮力 [ふりょく] /(n) buoyancy/floating power/
浮力調整装置 [ふりょくちょうせいそうち] /(n) buoyancy compensator/
浮輪 [うきわ] /(n) swim ring/(rubber) swimming ring/life buoy/life belt/float/
浮浪 [ふろう] /(n,vs) vagrancy/vagabondage/wander around/
浮浪児 [ふろうじ] /(n) juvenile vagrant/waif/
浮浪者 [ふろうしゃ] /(n) vagrant/(P)/
浮浪人 [ふろうにん] /(n) vagrant/
浮游 [ふゆう] /(n,vs) floating/wandering/suspension/
浮鮴 [うきごり] /(n) (1) (uk) common freshwater goby (Gymnogobius urotaenia)/(2) floating goby (Gymnogobius petschiliensis)/(3) Gymnogobius opperiens (fish)/(4) isaza goby (Gymnogobius isaza)/
父 [ちち] /(n) (hum) father/(P)/
父さん [とうさん] /(n) father/dad/papa/pa/pop/daddy/dada/(P)/
父ちゃん [とうちゃん] /(n) (chn) dad/daddy/papa/pa/pop/
父ちゃん [とっちゃん] /(n) (chn) dad/daddy/papa/pa/pop/
父なる神さま [ちちなるかみさま] /(n) God the Father/
父の代わりとして [ちちのかわりとして] /(exp) in place of one's father/
父の日 [ちちのひ] /(n) Father's Day/
父の命 [ちちのみこと] /(n) (arch) (hon) father/
父君 [ちちぎみ] /(n) father/
父君 [ふくん] /(n) father/
父兄 [ふけい] /(n) guardians/parents and older brothers/(P)/
父兄会 [ふけいかい] /(n) parents' association/
父系 [ふけい] /(n,adj-no) agnate/
父系制 [ふけいせい] /(n) patrilineal system/patriliny/
父権 [ふけん] /(n) paternal rights/
父御 [ちちご] /(n) (another's respected) father/
父御 [ててご] /(n) (another's respected) father/
父子 [ふし] /(n) father and child (son)/(P)/
父子家庭 [ふしかてい] /(n,adj-no) motherless family/
父子関係確定検査 [ふしかんけいかくていけんさ] /(n) paternity test/
父子相伝 [ふしそうでん] /(n,adj-no) transmission of the secrets of an art, craft, trade or learning from father to son/
父上 [ちちうえ] /(n) (pol) father (esp. used in samurai families prior to the Meiji period)/
父親 [ちちおや] /(n) father/(P)/
父性 [ふせい] /(n,adj-no) paternity/
父性愛 [ふせいあい] /(n) paternal love/
父祖 [ふそ] /(n) ancestors/
父祖伝来 [ふそでんらい] /(n,adj-no) hereditary/patrimonial/handed down from generation to generation/
父母 [ちちはは] /(n) father and mother/parents/
父母 [ふぼ] /(n) father and mother/parents/(P)/
父母の許 [ふぼのもと] /(n) under one's parents roof/
父母会 [ふぼかい] /(n) a parents' association/
父方 [ちちかた] /(n,adj-no) father's side of family/(P)/
父無し子 [ちちなしご] /(n) fatherless or illegitimate child/
父無し子 [ててなしご] /(n) fatherless or illegitimate child/
父老 [ふろう] /(n) (village) elder/
符号 [ふごう] /(n) sign/mark/symbol/code/(P)/
符号づけ [ふごうづけ] /(n) encoding (act of encoding a signal)/
符号ひずみ [ふごうひずみ] /(n) signal distortion/
符号ビット [ふごうビット] /(n) (comp) sign bit/
符号フラグ [ふごうフラグ] /(n) (comp) sign flag/
符号位置 [ふごういち] /(n) (comp) sign position/
符号化 [ふごうか] /(n,vs) encoding/coding/
符号化１０進 [ふごうかじっしん] /(n) (comp) coded decimal/
符号化１０進法 [ふごうかじっしんほう] /(n) (comp) coded decimal notation/
符号化画像 [ふごうかがぞう] /(n) (comp) coded image/
符号化形式 [ふごうかけいしき] /(n) (comp) coded form/
符号化十進 [ふごうかじっしん] /(n) (comp) coded decimal/
符号化十進法 [ふごうかじっしんほう] /(n) (comp) coded decimal notation/
符号化情報種別 [ふごうかじょうほうしゅべつ] /(n) (comp) Encoded Information Type/EIT/
符号化表現 [ふごうかひょうげん] /(n) (comp) coded representation/
符号化文字集合 [ふごうかもじしゅうごう] /(n) coded character set/code/
符号化方式 [ふごうかほうしき] /(n) (comp) encoding method/
符号解読 [ふごうかいどく] /(n) decoding/
符号拡張 [ふごうかくちょう] /(n) (comp) code extension/
符号間干渉 [ふごうかんかんしょう] /(n) (comp) ISI/intersymbol interference/
符号器 [ふごうき] /(n) encoder/
符号系名 [ふごうけいめい] /(n) (comp) alphabet-name/
符号語 [ふごうご] /(n) codeword/
符号誤り率 [ふごうあやまりりつ] /(n) (comp) (code) error rate/
符号集合 [ふごうしゅうごう] /(n) (comp) code set/
符号集合位置 [ふごうしゅうごういち] /(n) (comp) code set position/
符号数字 [ふごうすうじ] /(n) (comp) sign digit/
符号体系 [ふごうたいけい] /(n) (comp) code/coding scheme/
符号短縮法 [ふごうたんしゅくほう] /(n) (comp) compaction method/
符号反転機能 [ふごうはんてんきのう] /(n) (comp) sign change function/
符号表 [ふごうひょう] /(n) (comp) code table/
符号付 [ふごうつき] /(adj-no) (comp) signed/
符号付き [ふごうつき] /(adj-no) (comp) signed/
符号分割多元接続 [ふごうぶんかつたげんせつぞく] /(n) code division multiple access/CDMA/
符号分割多元接続方式 [ふごうぶんかつたげんせつぞくほうしき] /(n) (comp) CDMA/code division multiple access/
符号分割多重 [ふごうぶんかつたじゅう] /(n) (comp) CDMA/Code Division Multiple Access/
符号文字 [ふごうもじ] /(n) (comp) sign character/
符号変換器 [ふごうへんかんき] /(n) signal converter/inverter/
符号無し [ふごうなし] /(exp) unsigned/
符号理論 [ふごうりろん] /(n) (comp) coding theory/
符合 [ふごう] /(n,vs) agreeing/coincidence/(P)/
符呪 [ふじゅ] /(n) incantation/
符節 [ふせつ] /(n) tally/check/
符丁 [ふちょう] /(n) (1) mark/symbol/sign/(2) code/cipher/(3) password/(4) secret jargon/argot/code/(5) secret price tag/
符帳 [ふちょう] /(n) (1) mark/symbol/sign/(2) code/cipher/(3) password/(4) secret jargon/argot/code/(5) secret price tag/
符牒 [ふちょう] /(n) (1) mark/symbol/sign/(2) code/cipher/(3) password/(4) secret jargon/argot/code/(5) secret price tag/
符売 [ぷうばい] /(n,vs) (sl) (obsc) reselling train tickets on the black market/
腐す [くさす] /(v5s,vt) to speak ill of/
腐っても鯛 [くさってもたい] /(exp) something that is not what it once was but it is still high class/quality is quality/even if it's rotten, it's still sea bream/
腐らす [くさらす] /(v5s,vt) to spoil/to rot/to corrode/
腐らせる [くさらせる] /(v1,vt) to spoil/to rot/to corrode/
腐り [くさり] /(n) rottenness/decay/corruption/
腐り果てる [くさりはてる] /(v1) to be corrupt/
腐る [くさる] /(v5r) to rot/to go bad/to corrode/(P)/
腐れ [くされ] /(n) (1) (derog) rotting/spoiling/decaying/corroding/(pref) (2) rotten/worthless/paltry/contemptible/
腐れる [くされる] /(v1,vi) to spoil/to rot/to corrode/
腐れ縁 [くされえん] /(n) (undesirable but) inseparable relationship/
腐れ金 [くされがね] /(n) paltry sum (of money)/
腐朽 [ふきゅう] /(n,vs) deterioration/rot/
腐刑 [ふけい] /(n) castration/
腐儒 [ふじゅ] /(n) pedant/worthless scholar/
腐臭 [ふしゅう] /(n) smell of something rotten/rotten smell/
腐女子 [ふじょし] /(n) (sl) a girl who is very enthusiastic about comics featuring male homoeroticism/
腐植 [ふしょく] /(n,adj-no) humus/
腐植栄養湖 [ふしょくえいようこ] /(n) dystrophic lake/
腐植土 [ふしょくど] /(n) humus (soil)/mold/
腐食 [ふしょく] /(n,vs) (1) corrosion/(2) saprophagy/(P)/
腐食剤 [ふしょくざい] /(n) corrosive agent/
腐食銅板 [ふしょくどうばん] /(n) copperplate etching/
腐食銅版 [ふしょくどうばん] /(n) copperplate etching/
腐蝕 [ふしょく] /(n,vs) (1) corrosion/
腐心 [ふしん] /(n,vs) taking pains to/racking one's brains/doing everything one can/(P)/
腐生 [ふせい] /(n) saprophagy/
腐生菌 [ふせいきん] /(n) saprophytic fungus/saprophytic bacteria/
腐生植物 [ふせいしょくぶつ] /(n) saprophytic plant/
腐肉 [ふにく] /(n) tainted meat/
腐肉食 [ふにくしょく] /(n) scavenging/
腐敗 [ふはい] /(n,vs,adj-no) decay/depravity/(P)/
腐敗堕落 [ふはいだらく] /(n) debasement/corruption/degradation/
腐敗分子 [ふはいぶんし] /(n) corrupt elements/
腐葉土 [ふようど] /(n) humus/leaf mold/leaf mould/
腐乱 [ふらん] /(n,vs) decomposition/ulceration/
腐爛 [ふらん] /(n,vs) ulcerate/decompose/
膚 [はだ] /(n,n-suf) (1) skin/(2) body (in the context of intimate bodily contact)/(3) surface/grain (e.g. of wood)/texture/(4) disposition/temperament/character/type/
膚 [はだえ] /(n,n-suf) (1) skin/(2) body (in the context of intimate bodily contact)/(3) surface/grain (e.g. of wood)/texture/(4) disposition/temperament/character/type/
膚が合う [はだがあう] /(exp,v5u) to be compatible/to get along well/
膚の美しい材 [はだのうつくしいざい] /(n) wood of fine grain/
膚寒い [はださむい] /(adj-i) chilly/unpleasantly cold/
膚寒い [はだざむい] /(adj-i) chilly/unpleasantly cold/
膚触り [はだざわり] /(n) the touch of/feel of/texture/
膚触わり [はだざわり] /(n) the touch of/feel of/texture/
膚身 [はだみ] /(n) body/
膚着 [はだぎ] /(n) underwear/
芙蓉 [ふよう] /(n) (1) (uk) cotton rose (Hibiscus mutabilis)/Confederate rose/dixie rosemallow/(2) lotus blossom/
芙蓉峰 [ふようほう] /(n) Mt Fuji (lotus-shaped mountain)/
譜 [ふ] /(n) (sheet) music/(musical) note/(musical) score/
譜めくり [ふめくり] /(n) page-turner (music)/
譜を読む [ふをよむ] /(exp,v5m) to read music/
譜捲り [ふめくり] /(n) page-turner (music)/
譜代 [ふだい] /(n) successive generations/hereditary (Tokugawa) daimyo/
譜代相伝 [ふだいそうでん] /(n) hereditary succession/
譜代大名 [ふだいだいみょう] /(n) hereditary daimyo (whose ancestors supported Tokugawa Ieyasu prior to the battle of Sekigahara)/
譜表 [ふひょう] /(n) (musical) staff/score/
譜本 [ふほん] /(n) book of traditional Japanese music/
譜面 [ふめん] /(n) (written) music/(P)/
譜面台 [ふめんだい] /(n) music stand/
負 [おい] /(n) wooden box carried on one's back to store items for a pilgrimage/
負 [ふ] /(n) negative/minus/(P)/
負い目 [おいめ] /(n) indebtedness/unfulfilled promise/drawback/(P)/
負う [おう] /(v5u,vt) (1) to bear/to carry on one's back/(2) to take responsibility for/to accept a duty/(3) to be injured/(4) to owe/(P)/
負うた子に教えられて浅瀬を渡る [おうたこにおしえられてあさせをわたる] /(exp) (obsc) A fool may give a wise man counsel/
負える [おえる] /(v1) to be able to bear/to be able to manage/
負かす [まかす] /(v5s,vt) to defeat/(P)/
負け [まけ] /(n) defeat/loss/losing (a game)/(P)/
負けぎらい [まけぎらい] /(adj-na,n) hating to lose/always wanting to win/unyielding/competitive/
負けじ [まけじ] /(adv-to) indomitably/undauntedly/
負けじ魂 [まけじだましい] /(n) unyielding spirit/indomitable spirit/
負けじ心 [まけじごころ] /(n) indomitable spirit/
負けずぎらい [まけずぎらい] /(adj-na,n) hating to lose/unyielding/unbending/competitive/sore loser/determined/
負けず嫌い [まけずぎらい] /(adj-na,n) hating to lose/unyielding/unbending/competitive/sore loser/determined/
負けず劣らず [まけずおとらず] /(adv,adj-no) evenly balanced or talented/nip and tuck/
負ける [まける] /(v1,vi) (1) to lose/to be defeated/(2) to succumb/to give in/to surrender/to yield/(3) to be inferior to/(4) to break out in a rash due to (e.g. lacquer, shaving, etc.)/(v1,vt) (5) to reduce the price/to lower the price/to give a discount on/(P)/
負けるが勝ち [まけるがかち] /(exp) (id) to lose is to win/
負けん気 [まけんき] /(n) competitive spirit/spirit of rivalry/(P)/
負け越し [まけこし] /(n) more losses than wins (sport)/(P)/
負け越す [まけこす] /(v5s) to have more losses than wins/
負け嫌い [まけぎらい] /(adj-na,n) hating to lose/always wanting to win/unyielding/competitive/
負け犬 [まけいぬ] /(n) (1) loser/(2) (vulg) unmarried woman (with no children) over the age of 30/(P)/
負け色 [まけいろ] /(n) signs of defeat/
負け星 [まけぼし] /(n) mark indicating a defeat/
負け惜しみ [まけおしみ] /(exp,n) poor loser/make excuses/unwilling to admit defeat/sour grapes/
負け惜み [まけおしみ] /(io) (exp,n) poor loser/make excuses/unwilling to admit defeat/sour grapes/
負け戦 [まけいくさ] /(n) lost battle/
負け組 [まけぐみ] /(n) losers (those who have 'failed' socially, economically, etc.)/
負け組み [まけぐみ] /(n) losers (those who have 'failed' socially, economically, etc.)/
負け投手 [まけとうしゅ] /(n) losing pitcher/
負け投手になる [まけとうしゅになる] /(exp,v5r) to suffer a loss (usu. in sport)/
負け得 [まけどく] /(n) loss of a low-ranked sumo wrestler in the extra eighth bout in the tournament/
負の外部性 [ふのがいぶせい] /(n) negative externalities/
負の感情 [ふのかんじょう] /(exp) negative emotions/negative feelings/
負の数 [ふのすう] /(n) negative number/negative value/
負の電荷 [ふのでんか] /(n) negative charge/
負の符号入力 [ふのふごうにゅうりょく] /(n) (comp) negative entry/
負の符号表示 [ふのふごうひょうじ] /(n) (comp) negative indication/
負ぶう [おぶう] /(v5u) to carry (child) on one's back/
負ぶさる [おぶさる] /(v5r) to ride on a person's shoulders/to be carried on a person's back/
負わせる [おわせる] /(v1) (1) to put something on someone's back/to make someone carry something/(2) to lay responsibility on someone/to charge someone with a duty/(3) to inflict injury on someone/
負んぶ [おんぶ] /(n,vs) carrying on one's back (e.g. baby)/(P)/
負んぶに抱っこ [おんぶにだっこ] /(exp) completely relying on others/
負越す [まけこす] /(v5s) to have more losses than wins/
負荷 [ふか] /(n,vs) burden/load (e.g. cpu time, electricity, etc.)/(P)/
負荷テスト [ふかテスト] /(n) (comp) stress test/load test/
負荷バランシング [ふかバランシング] /(n) (comp) load balancing/
負荷軽減 [ふかけいげん] /(n) (comp) load reduction/
負荷増大 [ふかぞうたい] /(n) (comp) load increase/
負荷分散 [ふかぶんさん] /(n) load balancing/load sharing/load distribution/
負荷分散装置 [ふかぶんさんそうち] /(n) (comp) load balancer/
負荷分散電源供給 [ふかぶんさんでんげんきょうきゅう] /(n) (comp) load sharing power supply/
負荷平衡 [ふかへいこう] /(n) (comp) load balancing/
負荷容量 [ふかようりょう] /(n) load carrying capacity/
負郭 [ふかく] /(n) (arch) land near a castle/
負極 [ふきょく] /(n) negative pole/anode/south magnetic pole/
負極性 [ふきょくせい] /(n) negative polarity/
負号 [ふごう] /(n) (math) negative (-) sign/
負債 [ふさい] /(n) debt/liabilities/(P)/
負債合計 [ふさいごうけい] /(n) total liabilities/
負債者 [ふさいしゃ] /(n) debtor/
負債総額 [ふさいそうがく] /(n) aggregate amount of indebtedness/
負債比率 [ふさいひりつ] /(n) debt ratio/
負傷 [ふしょう] /(n,vs) injury/wound/(P)/
負傷者 [ふしょうしゃ] /(n) casualty/
負傷兵 [ふしょうへい] /(n) injured soldier/
負触媒 [ふしょくばい] /(n) negative catalyst/
負数 [ふすう] /(n) negative number/
負性 [ふせい] /(n) negative properties/
負惜しみ [まけおしみ] /(io) (exp,n) poor loser/make excuses/unwilling to admit defeat/sour grapes/
負託 [ふたく] /(n,vs) charging (someone) with responsibility/
負担 [ふたん] /(n,vs) burden/charge/responsibility/(P)/
負担をかける [ふたんをかける] /(exp,v1) to be a burden on/to tax/
負担を掛ける [ふたんをかける] /(exp,v1) to be a burden on/to tax/
負担額 [ふたんがく] /(n) amount to be borne/one's share (of expenses)/
負担感 [ふたんかん] /(n) (sense of) burden/
負担金 [ふたんきん] /(n) amount to be borne/one's share (of expenses)/
負担軽減 [ふたんけいげん] /(n) burden reduction/alleviation of a burden/
負値 [ふち] /(n) negative value/
負値性 [ふちせい] /(n) (math) negativity/
負電荷 [ふでんか] /(n) negative electric charge/minus charge/
負電気 [ふでんき] /(n) negative electricity/negative (static) charge/negative electric charge/
負投手 [まけとうしゅ] /(n) losing pitcher/
負符号 [ふふごう] /(n) minus sign/
負論理 [ふろんり] /(n) negative logic (electronics)/
賦 [ふ] /(n) (1) poem/(2) narrative (style of the Shi Jing)/(3) classical Chinese rhymed prose/
賦する [ふする] /(vs-s) (1) (arch) to allocate/(2) to compose (poetry, etc.)/
賦詠 [ふえい] /(n) poem/writing a poem/
賦課 [ふか] /(n,vs) levy/imposition/(P)/
賦活 [ふかつ] /(n,vs) activation/invigoration/stimulation/
賦形剤 [ふけいざい] /(n) excipient (inactive ingredient added to a drug)/filler/
賦性 [ふせい] /(n) nature/
賦税 [ふぜい] /(n) taxation/
賦存 [ふそん] /(n) existence/presence (of resources)/
賦存量 [ふそんりょう] /(n) abundance/
賦払い [ぶばらい] /(n) payment on an installment system/payment on an instalment system/easy payment plan/
賦役 [ふえき] /(n) slave labour/slave labor/compulsory service/forced labour/forced labor/exacted service/
賦役 [ぶやく] /(n) slave labour/slave labor/compulsory service/forced labour/forced labor/exacted service/
賦与 [ふよ] /(n,vs) being endowed with (e.g. a gift)/being blessed with/endowment/
赴く [おもむく] /(v5k,vi) (1) to go in the direction of/to proceed toward/to proceed according to/to repair to/(2) to become/to face (facts, circumstances, etc.)/to abide by/to agree to/to consent to/to obey/
赴任 [ふにん] /(n,vs) (proceeding to) new appointment/(P)/
赴任地 [ふにんち] /(n) place of (new) post/(new) place of appointment/
阜 [つかさ] /(n) (arch) mound/hill/
阜頭 [ふとう] /(iK) (n) pier/wharf/quay/
阜偏 [こざとへん] /(n) kanji "mound" or "small village" radical at left (radical 170)/
附ける [つける] /(v1,vt) (1) to attach/to join/to add/to append/to affix/to stick/to glue/to fasten/to sew on/to apply (ointment)/(2) to furnish (a house with)/(3) to wear/to put on/(4) to keep a diary/to make an entry/(5) to appraise/to set (a price)/(6) to bring alongside/(7) to place (under guard or doctor)/(8) to follow/to shadow/(9) to load/to give (courage to)/(10) to keep (an eye on)/(11) to establish (relations or understanding)/(12) to turn on (light)/
附け加える [つけくわえる] /(v1,vt) to add one thing to another/
附け根 [つけね] /(n) root/joint/base/crotch/
附け狙う [つけねらう] /(v5u,vt) to prowl after/to keep watch on/
附す [ふす] /(v5s,vt) (1) to affix/to append/to attach/(2) to entrust/to refer/to handle (as such)/(3) to follow (the leader)/(4) to submit (a document, etc.)/
附する [ふする] /(vs-s,vt) (1) to affix/to append/to attach/(2) to entrust/to refer/to handle (as such)/(3) to follow (the leader)/(4) to submit (a document, etc.)/
附加 [ふか] /(n,vs,adj-no) addition/annexation/appendage/
附加える [つけくわえる] /(v1,vt) to add one thing to another/
附記 [ふき] /(n,vs) additional or supplemental note/
附議 [ふぎ] /(n,vs) bringing up a matter/discussion/debate/submission (e.g. a measure)/referral (e.g. bill to a committee)/placing (e.g. item on an agenda)/
附近 [ふきん] /(n,n-suf) (1) neighbourhood/neighborhood/vicinity/environs/(2) (obsc) approaching/
附言 [ふげん] /(n,vs) additional remarks/postscript/
附合 [ふごう] /(n) accession (law)/
附根 [つけね] /(n) root/joint/base/crotch/
附子 [ふし] /(n) sumac gallnut/
附子 [ぶし] /(n) dried aconite root/
附子 [ぶす] /(n) dried aconite root/
附図 [ふず] /(n) attached map, plan, diagram or chart/
附随 [ふずい] /(n,vs) incident to/attaching to/annexed to/concomitant/attending/
附設 [ふせつ] /(n,vs) annex/affiliated structure or institute/
附則 [ふそく] /(n) supplementary provisions/additional clause/
附属 [ふぞく] /(n,vs,adj-no) attached/belonging (to)/included/enclosed/affiliated/annexed/associated/subordinate/incidental/dependent/auxiliary/(P)/
附属池田小事件 [ふぞくいけだしょうじけん] /(n) Ikeda Elementary School massacre (June 8, 2001)/
附属品 [ふぞくひん] /(n) accessory/
附帯 [ふたい] /(n,vs,adj-no) incidental/ancillary/accessory/secondary/collateral/
附託 [ふたく] /(n,vs) referring or submitting to a committee/
附着 [ふちゃく] /(n,vs) sticking to/clinging to/adhesion/cohesion/agglutination/
附着力 [ふちゃくりょく] /(n) adhesion/
附注 [ふちゅう] /(n) annotation/
附票 [ふひょう] /(n) tag or label/
附表 [ふひょう] /(n) attached list/appended chart, table or graph/
附録 [ふろく] /(n) appendix/supplement/annex/
附論 [ふろん] /(n) (obsc) conclusion/summing up (of a thesis or presentation)/
附和随行 [ふわずいこう] /(n,vs) participating in something by merely following the leaders/
附和雷同 [ふわらいどう] /(n,vs) following blindly/following suit without reflection/
附屆 [つけとどけ] /(io) (n) (1) gift/present/tip/(2) bribe/
附箋 [ふせん] /(n) a tag or label/
侮 [ぶ] /(n) (something) despised/(something) made light of/
侮り [あなどり] /(n) contempt/scorn/
侮り難い敵 [あなどりがたいてき] /(n) formidable enemy/
侮る [あなずる] /(v5r,vt) to despise/to disdain/to make light of/
侮る [あなどる] /(v5r,vt) to despise/to disdain/to make light of/(P)/
侮言 [ぶげん] /(n) insult/
侮辱 [ぶじょく] /(n,vs,adj-no) insult/contempt/slight/(P)/
侮辱罪 [ぶじょくざい] /(n) (crime of) defamation (i.e. slander, libel)/
侮蔑 [ぶべつ] /(n,vs) scorn/disdain/contempt/slight/(P)/
侮蔑語 [ぶべつご] /(n) degrading language (language used to lower the position of the listener)/
侮慢 [ぶまん] /(n,vs) contempt/insult/offense/offence/
撫する [ぶする] /(vs-s,vt) to stroke/to caress/
撫でつける [なでつける] /(v1,vt) to comb down/to smooth down/
撫でる [なでる] /(v1,vt) to brush gently/to stroke/to caress/(P)/
撫で下す [なでおろす] /(v5s) to stroke down/to smooth down/
撫で下ろす [なでおろす] /(v5s) to stroke down/to smooth down/
撫で回す [なでまわす] /(v5s) to pat (e.g. dog)/to rub/to stroke/to fondle/
撫で肩 [なでがた] /(n) sloping shoulders/
撫で斬り [なでぎり] /(n) clean sweep/killing several with one sword sweep/
撫で上げる [なであげる] /(v1,vt) to comb back/
撫で切り [なでぎり] /(n) clean sweep/killing several with one sword sweep/
撫で付け [なでつけ] /(n) smooth or flowing hair/
撫で付ける [なでつける] /(v1,vt) to comb down/to smooth down/
撫育 [ぶいく] /(n,vs) care/tending/
撫肩 [なでがた] /(io) (n) sloping shoulders/
撫斬り [なでぎり] /(n) clean sweep/killing several with one sword sweep/
撫子 [なでしこ] /(n) (1) (uk) pink (Dianthus spp., esp. the fringed pink, Dianthus superbus)/(2) (arch) lovable, caressable girl/
撫切り [なでぎり] /(n) clean sweep/killing several with one sword sweep/
武 [ぶ] /(n) (1) (arch) the art of war/martial arts/military arts/(2) military force/the sword/(3) valor/bravery/(4) military officer/military man/
武し [たけし] /(n) (arch) brave/
武を練る [ぶをねる] /(exp,v5r) (obsc) to train oneself in military arts/
武威 [ぶい] /(n) military power/
武運 [ぶうん] /(n) the fortunes of war/
武運長久 [ぶうんちょうきゅう] /(exp) continued luck in the fortunes of war/
武家 [ぶけ] /(n) samurai/warrior/military family/
武家屋敷 [ぶけやしき] /(n) samurai residence/
武家時代 [ぶけじだい] /(n) Feudal period (characterized by the rule of the shogunate as opposed to emperor, 1185-1867 CE)/
武家諸法度 [ぶけしょはっと] /(n) law decreeing rules for daimyo during Tokugawa shogunate/
武家政権 [ぶけせいけん] /(n) samurai government/
武家政治 [ぶけせいじ] /(n) feudal government/
武家造 [ぶけづくり] /(n) samurai-house style (Kamakura period)/
武家造り [ぶけづくり] /(n) samurai-house style (Kamakura period)/
武家伝奏 [ぶけでんそう] /(n) Imperial official in charge of communication between the shogunate and the court (during the Muromachi and Edo periods)/
武家物 [ぶけもの] /(n) samurai romance/
武家奉公 [ぶけぼうこう] /(n) service with a samurai family/serving in a samurai household (as a valet, chambermaid, etc.)/
武学 [ぶがく] /(n) military science/
武官 [ぶかん] /(n) military or naval officer/
武漢三鎮 [ぶかんさんちん] /(n) the Three Wuhan Cities/
武鑑 [ぶかん] /(n) book of heraldry/
武器 [ぶき] /(n) weapon/arms/ordnance/(P)/
武器庫 [ぶきこ] /(n) armory/armoury/ordnance department/
武器査察 [ぶきささつ] /(n) weapons inspection/
武器商人 [ぶきしょうにん] /(n) arms dealer/
武器倉 [ぶきぐら] /(n) armory/armoury/arsenal/
武器貸与 [ぶきたいよ] /(n) lend-lease/
武器輸出 [ぶきゆしゅつ] /(n) arms exports/
武器輸出禁止 [ぶきゆしゅつきんし] /(n) arms embargo/
武器輸出三原則 [ぶきゆしゅつさんげんそく] /(n) Three Principles on arms exports/
武技 [ぶぎ] /(n) martial arts/
武侠 [ぶきょう] /(n) chivalry/gallantry/heroism/
武侠小説 [ぶきょうしょうせつ] /(n) swashbuckling stories/martial arts fiction/chivalric knight novels/wuxia xiaoshuo/
武教 [ぶきょう] /(n) the teachings of Bushido/
武具 [ぶぐ] /(n) arms/armor/armour/
武勲 [ぶくん] /(n) deeds of arms/
武芸 [ぶげい] /(n) martial arts/
武芸者 [ぶげいしゃ] /(n) master of martial arts/
武芸百般 [ぶげいひゃっぱん] /(n) every martial art/all the martial arts/
武庫 [ぶこ] /(n) armory/armoury/
武功 [ぶこう] /(n) military exploits/
武骨 [ぶこつ] /(adj-na,n) boorish/unrefined/rustic/uncouth/clumsy/brusque/
武骨一徹 [ぶこついってつ] /(n,adj-na) rustic/boorish/uncouth/adamantly sticking to being boorish/
武骨者 [ぶこつもの] /(n) boor/rustic/
武士 [ぶし] /(n) warrior/samurai/(P)/
武士 [もののふ] /(n) warrior/samurai/
武士の鑑 [ぶしのかがみ] /(n) paragon of knighthood/
武士階級 [ぶしかいきゅう] /(n) warrior class/
武士気質 [ぶしかたぎ] /(n) samurai spirit/
武士気質 [ぶしきしつ] /(n) samurai spirit/
武士詞 [ぶしことば] /(n) (obsc) samurai words & phrases/
武士道 [ぶしどう] /(n) Bushido/samurai code of chivalry/
武士道の華 [ぶしどうのはな] /(n) flower of chivalry (Bushido)/
武事 [ぶじ] /(n) military affairs/martial arts/
武者 [むしゃ] /(n) warrior/(P)/
武者絵 [むしゃえ] /(n) warrior picture/
武者言葉 [ぶしゃことば] /(n) (obsc) samurai words & phrases/
武者詞 [ぶしゃことば] /(n) (obsc) samurai words & phrases/
武者修業 [むしゃしゅぎょう] /(n) samurai drill/knight errantry/
武者修行 [むしゃしゅぎょう] /(n,vs) traveling about to gain skill in combat (travelling)/
武者振り [むしゃぶり] /(n) prowess/gallantry/
武者振りつく [むしゃぶりつく] /(v5k) to jump into the fray/
武者振り付く [むしゃぶりつく] /(v5k) to jump into the fray/
武者振るい [むしゃぶるい] /(n,vs) trembling with excitement/
武者震い [むしゃぶるい] /(n,vs) trembling with excitement/
武者人形 [むしゃにんぎょう] /(n) samurai doll/
武者顫い [むしゃぶるい] /(n,vs) trembling with excitement/
武術 [ぶじゅつ] /(n) (MA) the martial arts/Wushu/military arts/
武将 [ぶしょう] /(n) military commander/(P)/
武神 [ぶしん] /(n) god of military arts/
武臣 [ぶしん] /(n) military retainer/
武人 [ぶじん] /(n) military man/
武人気質 [ぶじんかたぎ] /(n) martial (military) spirit/the spirit of true warriors/
武装 [ぶそう] /(n,vs) arms/armament/armed/(P)/
武装解除 [ぶそうかいじょ] /(n,vs) disarmament/
武装具 [ぶそうぐ] /(n) accoutrements/
武装警官 [ぶそうけいかん] /(n) armed police/
武装集団 [ぶそうしゅうだん] /(n) armed group/
武装勢力 [ぶそうせいりょく] /(n) armed group/armed insurgents/
武装船 [ぶそうせん] /(n) armed ship/
武装組織 [ぶそうそしき] /(n) armed organization/
武装中立 [ぶそうちゅうりつ] /(n) armed neutrality/
武装都市 [ぶそうとし] /(n) fortified city/
武装平和 [ぶそうへいわ] /(n) armed peace/
武装蜂起 [ぶそうほうき] /(n,vs) armed uprising/
武鯛 [ぶだい] /(n) (uk) Japanese parrotfish (Calotomus japonicus)/
武断 [ぶだん] /(n,vs) militarism/
武断主義 [ぶだんしゅぎ] /(n) militarism/
武断政治 [ぶだんせいじ] /(n) military government/
武断的 [ぶだんてき] /(adj-na) militaristic/
武張る [ぶばる] /(v5r,vi) to be soldierly/to be martial/
武闘 [ぶとう] /(n) armed struggle/
武闘家 [ぶとうか] /(n) martial artist/
武道 [ぶどう] /(n) martial arts/military arts/Bushido/(P)/
武道家 [ぶどうか] /(n) martial artist/
武徳 [ぶとく] /(n) martial arts/
武徳殿 [ぶとくでん] /(n) (1) building on the greater palace grounds used by the emperor for viewing horse racing, horseback archery, etc./(2) martial arts practice hall at Heian Shrine (est. in 1895 by the Dai Nippon Butoku Kai, now defunct)/
武備 [ぶび] /(n) military preparation/armaments/defenses/defences/
武夫 [ぶふ] /(n) warrior/samurai/
武辺 [ぶへん] /(n) military affairs/military people/
武弁 [ぶべん] /(n) soldier/
武名 [ぶめい] /(n) military fame/
武問 [ぶもん] /(n) samurai's lineage/
武門 [ぶもん] /(n) military family/warrior class/
武勇 [ぶゆう] /(n) bravery/military prowess/valour/valor/(P)/
武勇絶倫 [ぶゆうぜつりん] /(n,adj-no) peerless bravery/matchless valor (in arms)/
武勇談 [ぶゆうだん] /(n) tale of heroism/
武勇伝 [ぶゆうでん] /(n) martial story/
武略 [ぶりゃく] /(n) strategy/military tactics/
武陵桃源 [ぶりょうとうげん] /(n) Utopia/
武力 [ぶりょく] /(n) armed might/military power/the sword/force/(P)/
武力介入 [ぶりょくかいにゅう] /(n) armed intervention/
武力外交 [ぶりょくがいこう] /(n) armed diplomacy/
武力干渉 [ぶりょくかんしょう] /(n) armed intervention/
武力攻撃 [ぶりょくこうげき] /(n) armed attack/
武力行使 [ぶりょくこうし] /(n) use of (military) force/
武力衝突 [ぶりょくしょうとつ] /(n) military conflict/armed conflict/
武力政治 [ぶりょくせいじ] /(n) power politics/
武力戦 [ぶりょくせん] /(n) armed conflict/
武烈 [ぶれつ] /(n) military merit/
舞 [まい] /(n) dancing/dance/(P)/
舞い降りる [まいおりる] /(v1,vi) to swoop down upon/to fly down/to alight/
舞い込む [まいこむ] /(v5m,vi) to drop in/to happen to/
舞い上がる [まいあがる] /(v5r,vi) to soar/to fly high/to be whirled up/
舞い上る [まいあがる] /(v5r,vi) to soar/to fly high/to be whirled up/
舞い納める [まいおさめる] /(v1,vt) to conclude a dance/to dance the last dance/
舞い戻る [まいもどる] /(v5r,vi) to come back/
舞い躍る [まいおどる] /(v5r) to dance/
舞い踊る [まいおどる] /(v5r) to dance/
舞い立つ [まいたつ] /(v5t,vi) to fly up (as if dancing)/to soar/to rise/
舞う [まう] /(v5u,vi) (1) to dance (orig. a whirling dance)/(2) to flutter about/to revolve/(P)/
舞を舞う [まいをまう] /(exp,v5u) to dance/to perform a dance/
舞グセ [まいグセ] /(n) aural highlight of a noh play in which the main actor dances/
舞楽 [ぶがく] /(n) court dance and music/(P)/
舞楽面 [ぶがくめん] /(n) mask worn by a bugaku dancer/
舞妓 [ぶぎ] /(n) (1) apprentice geisha/(2) dancing girl/
舞妓 [まいこ] /(n) (1) apprentice geisha/(2) dancing girl/
舞脚 [まいあし] /(n) kanji "dancing legs" radical (radical 136)/
舞曲 [ぶきょく] /(n) musical dance/music and dancing/
舞曲 [まいぐせ] /(n) aural highlight of a noh play in which the main actor dances/
舞姿 [まいすがた] /(n) dancing figure/one's appearance when dancing/dancing posture/
舞子 [まいこ] /(n) (1) apprentice geisha/(2) dancing girl/
舞車 [まいぐるま] /(n) festival float/
舞上がる [まいあがる] /(v5r,vi) to soar/to fly high/to be whirled up/
舞上る [まいあがる] /(v5r,vi) to soar/to fly high/to be whirled up/
舞人 [まいうど] /(n) dancer (esp. a bugaku dancer)/
舞人 [まいにん] /(n) dancer (esp. a bugaku dancer)/
舞人 [まいびと] /(n) dancer (esp. a bugaku dancer)/
舞扇 [まいおうぎ] /(n) dancer's fan/
舞鼠 [まいねずみ] /(n) Japanese dancing mouse (Mus musculus musculus)/
舞台 [ぶたい] /(n) (1) stage (theatre, theater)/(2) scene or setting (e.g. of novel, play, etc.)/(P)/
舞台にかける [ぶたいにかける] /(exp,v1) to put on stage/
舞台に掛ける [ぶたいにかける] /(exp,v1) to put on stage/
舞台の左右の袖 [ぶたいのさゆうのそで] /(n) wings of a stage/
舞台衣装 [ぶたいいしょう] /(n) (theatrical) costumes/
舞台開き [ぶたいびらき] /(n) formal opening of a new theater (theatre)/
舞台監督 [ぶたいかんとく] /(n) stage director/
舞台係り [ぶたいがかり] /(n) stagehand/
舞台稽古 [ぶたいげいこ] /(n) dress rehearsal/
舞台芸術 [ぶたいげいじゅつ] /(n) performing arts/
舞台劇 [ぶたいげき] /(n) stage play/
舞台効果 [ぶたいこうか] /(n) stage effects/
舞台照明 [ぶたいしょうめい] /(n) stage lighting/
舞台生活 [ぶたいせいかつ] /(n) stage career/
舞台装置 [ぶたいそうち] /(n,adj-no) stage setting/
舞台中継 [ぶたいちゅうけい] /(n) televised broadcast of a stage performance/
舞台度胸 [ぶたいどきょう] /(n) on-stage composure/
舞台道具 [ぶたいどうぐ] /(n) set piece/
舞台俳優 [ぶたいはいゆう] /(n) stage actor or actress/
舞台背景 [ぶたいはいけい] /(n) stage scenery/set/backdrop/
舞台負け [ぶたいまけ] /(n) stage fright/
舞台裏 [ぶたいうら] /(n) offstage/backstage/behind the scenes/(P)/
舞茸 [まいたけ] /(n) fan-shaped kinoko (mushroom) with multiple layers/
舞殿 [まいどの] /(n) court music pavilion in a Shinto shrine/kagura hall/
舞踏 [ぶとう] /(n,vs,adj-no) (1) dancing/(2) (abbr) contemporary performance dance/(P)/
舞踏会 [ぶとうかい] /(n) ball/dance/
舞踏教師 [ぶとうきょうし] /(n) dance instructor/
舞踏曲 [ぶとうきょく] /(n) dance music/
舞踏靴 [ぶとうぐつ] /(n) dancing shoes/
舞踏室 [ぶとうしつ] /(n) ball room/dance room/
舞踏病 [ぶとうびょう] /(n) chorea/St. Vitus's dance/
舞踏服 [ぶとうふく] /(n) ball dress/dancing clothes/
舞姫 [ぶき] /(n) female dancer/danseuse/
舞姫 [まいひめ] /(n) female dancer/danseuse/(P)/
舞舞 [まいまい] /(n) snail/
舞戻る [まいもどる] /(v5r,vi) to come back/
舞踊 [ぶよう] /(n) dancing/dance/(P)/
舞踊家 [ぶようか] /(n) dancer/dancing master (mistress)/
舞踊劇 [ぶようげき] /(n) dance drama/
舞踊団 [ぶようだん] /(n) dance troupe/
舞立つ [まいたつ] /(v5t,vi) to fly up (as if dancing)/to soar/to rise/
舞囃子 [まいばやし] /(n) type of informal noh musical performance/
舞蹈 [ぶとう] /(n) dancing/
葡 [ぽ] /(n,n-pref,n-suf) (abbr) Portugal/
葡萄 [えび] /(ok) (n) grape/
葡萄 [ぶどう] /(n) grape/(P)/
葡萄ジュース [ぶどうジュース] /(n) (uk) grape juice/
葡萄園 [ぶどうえん] /(n) vineyard/
葡萄牙 [ポルトガル] /(ateji) (n) (uk) Portugal/
葡萄葛 [えびかずら] /(n) (1) (arch) grapevine/(2) switch (of hair)/
葡萄球菌 [ぶどうきゅうきん] /(n) staphylococcus/
葡萄狩り [ぶどうがり] /(n) grape picking/
葡萄酒 [ぶどうしゅ] /(n,adj-no) (grape) wine/
葡萄状球菌 [ぶどうじょうきゅうきん] /(n) staphylococcus/
葡萄色 [えびいろ] /(n) grape (dark purplish-red colour)/
葡萄色 [ぶどういろ] /(n) grape (dark purplish-red colour)/
葡萄棚 [ぶどうだな] /(n) grapevine trellis/
葡萄糖 [ぶどうとう] /(n) grape sugar/glucose/dextrose/
葡萄畑 [ぶどうばたけ] /(n) vineyard/
葡萄膜 [ぶどうまく] /(n,adj-no) uvea/
葡萄蔓虫 [えびづるむし] /(n) (uk) (obsc) clearwing moth larva/
蕪 [かぶ] /(n) (uk) turnip (Brassica rapa)/
蕪 [かぶな] /(n) (uk) turnip (Brassica rapa)/
蕪 [かぶら] /(n) (uk) turnip (Brassica rapa)/
蕪菜 [かぶらな] /(n) (uk) turnip (Brassica rapa)/
蕪雑 [ぶざつ] /(adj-na,n) unpolished/unrefined/
蕪辞 [ぶじ] /(n) coarse speech or writing/humble reference to one's own words/
蕪汁 [かぶじる] /(n) turnip miso soup/
蕪汁 [かぶらじる] /(n) turnip miso soup/
蕪菁 [かぶ] /(n) (uk) turnip (Brassica rapa)/
蕪菁 [かぶな] /(n) (uk) turnip (Brassica rapa)/
蕪菁 [かぶら] /(n) (uk) turnip (Brassica rapa)/
部 [ぶ] /(n,n-suf) (1) department (in an organization)/division/bureau/(2) club/(3) part/component/element/(4) category/(ctr) (5) counter for copies of a newspaper or magazine/(P)/
部 [べ] /(n) hereditary occupational group (Yamato period)/
部の見出し [ぶのみだし] /(n) (comp) division header/
部位 [ぶい] /(n,adj-no) part/position (in a whole, i.e. body)/(P)/
部員 [ぶいん] /(n,adj-no) staff/member/(P)/
部屋 [へや] /(n) (1) room/(2) (abbr) sumo stable/(P)/
部屋を空ける [へやをあける] /(exp,v1) to clear a room/
部屋を散らかす [へやをちらかす] /(exp,v5s) to scatter a room (with things)/to leave a room a mess/to leave things lying about/
部屋割り [へやわり] /(n) assignment of rooms/
部屋子 [へやご] /(n) (1) young adult still living at home/dependent/(2) female servant working for a lady-in-waiting working in the inner part of a lord's house (Edo period)/(3) freeloader living in a samurai's house/(4) young kabuki actor in service of a master (Edo period)/
部屋持ちの親方 [へやもちのおやかた] /(n) sumo coach who owns his own stable/
部屋住み [へやずみ] /(n) an adult-age eldest son who has yet to come into his inheritance/(a young adult still) living at home/a dependent/
部屋代 [へやだい] /(n) room rent/
部屋着 [へやぎ] /(n) dressing gown/loungewear/
部屋頭 [へやがしら] /(n) highest ranked wrestler in a sumo stable/
部屋付きの親方 [へやつきのおやかた] /(n) sumo coach associated with another coach's stable/
部屋別総当り [へやべつそうあたり] /(n) rule prohibiting match-ups between sumo wrestlers from the same stable/
部屋方 [へやがた] /(n) (arch) female servant hired at a lady-in-waiting's own expense/
部屋履き [べやばき] /(n) (house) slippers/
部下 [ぶか] /(n) subordinate person/(P)/
部会 [ぶかい] /(n) section meeting/(P)/
部外 [ぶがい] /(n) outside the department/
部外者 [ぶがいしゃ] /(n) outsider/someone outside of a group/
部外秘 [ぶがいひ] /(n) restricted to the department/
部活 [ぶかつ] /(n) club activities/
部活動 [ぶかつどう] /(n) club activities/extracurricular activities/
部局 [ぶきょく] /(n) department/bureau/section/part/(P)/
部厚い [ぶあつい] /(adj-i) bulky/massive/thick/heavy/
部材 [ぶざい] /(n) component/part/member/fitting/
部財 [ぶざい] /(iK) (n) component/part/member/fitting/
部誌 [ぶし] /(n) club journal/club notebook/
部室 [ぶしつ] /(n) clubroom/
部首 [ぶしゅ] /(n) radical (of a kanji character)/(P)/
部所 [ぶしょ] /(n,vs) one's duty post/one's duty station/
部署 [ぶしょ] /(n,vs) one's duty post/one's duty station/(P)/
部将 [ぶしょう] /(n) commanding officer/
部数 [ぶすう] /(n) no. of copies/circulation/(P)/
部属 [ぶぞく] /(n) assign to sections/division/
部族 [ぶぞく] /(n,adj-no) tribe/clan/house/(P)/
部隊 [ぶたい] /(n) force/unit/corps/echelon/element/(P)/
部隊区分 [ぶたいくぶん] /(n) task organization/task organisation/
部隊長 [ぶたいちょう] /(n) commanding officer/
部隊撤退 [ぶたいてったい] /(n) troop withdrawal/
部単位 [ぶたんい] /(n,adj-na) collating (printing)/
部長 [ぶちょう] /(n) (1) head (chief, director) of a section or department/(2) head of a (school) club/head of a (school) team/(P)/
部長閲 [ぶちょうえつ] /(n) revised by section chief/
部長代理 [ぶちょうだいり] /(n) deputy section or department manager/
部長付 [ぶちょうづき] /(n) assistant (to general manager)/
部内 [ぶない] /(n) the staff/inside the department/(P)/
部派仏教 [ぶはぶっきょう] /(n) Nikaya (early sectarian) Buddhism/
部費 [ぶひ] /(n) club budget/club expense/
部品 [ぶひん] /(n) parts/accessories/components/(P)/
部品表 [ぶひんひょう] /(n) (comp) bill of material/
部分 [ぶぶん] /(n) portion/section/part/(P)/
部分け [ぶわけ] /(n,vs) classification/
部分けた上げ [ぶぶんけたあげ] /(n) (comp) partial carry/
部分一致 [ぶぶんいっち] /(n) (comp) partial match/matching a search term with sub-string within a field/
部分加群 [ぶぶんかぐん] /(n) (math) submodule/
部分回復 [ぶぶんかいふく] /(n) (comp) partial recovery/
部分割 [ぶぶんかつ] /(n) meroblastic cleavage/partial cleavage/
部分冠詞 [ぶぶんかんし] /(n) (ling) partitive article (i.e. "du" in French)/
部分均衡 [ぶぶんきんこう] /(n) partial equilibrium/
部分群 [ぶぶんぐん] /(n) subgroup/partial group/
部分語 [ぶぶんご] /(n) (comp) partitive term/
部分参照子 [ぶぶんさんしょうし] /(n) (comp) reference modifier/
部分実装 [ぶぶんじっそう] /(n,adj-no) (comp) partially populated/
部分実体 [ぶぶんじったい] /(n) (comp) subobject/
部分集合 [ぶぶんしゅうごう] /(n) subset/
部分情報構造 [ぶぶんじょうほうこうぞう] /(n) partial information structure/
部分食 [ぶぶんしょく] /(n) partial eclipse/
部分全体関係 [ぶぶんぜんたいかんけい] /(n) (comp) part-whole relation/partitive relation/
部分属性要求 [ぶぶんぞくせいようきゅう] /(n) (comp) partial-attribute-request/
部分的 [ぶぶんてき] /(adj-na) partial(ly)/(P)/
部分的肺静脈還流異常 [ぶぶんてきはいじょうみゃくかんりゅういじょう] /(n) partial anomalous pulmonary venous connection/PAPVC/partial anomalous pulmonary venous drainage/PAPVD/partial anomalous pulmonary venous return/PAPVR/
部分肺静脈還流異常 [ぶぶんはいじょうみゃくかんりゅういじょう] /(n) partial anomalous pulmonary venous connection/PAPVC/partial anomalous pulmonary venous drainage/PAPVD/partial anomalous pulmonary venous return/PAPVR/
部分肺静脈還流異常症 [ぶぶんはいじょうみゃくかんりゅういじょうしょう] /(n) partial anomalous pulmonary venous connection/PAPVC/partial anomalous pulmonary venous drainage/PAPVD/partial anomalous pulmonary venous return/PAPVR/
部分配列 [ぶぶんはいれつ] /(n) (comp) array section/
部分配列添字 [ぶぶんはいれつそえじ] /(n) (comp) section subscript/
部分否定 [ぶぶんひてい] /(n) partial negation/
部分品 [ぶぶんひん] /(n) part/parts/
部分文字列 [ぶぶんもじれつ] /(n) (comp) partial (character) string/substring/
部分麻酔 [ぶぶんますい] /(n) local anesthetic/local anaesthetic/
部分木 [ぶぶんもく] /(n) (comp) subtree/
部分溶融 [ぶぶんようゆう] /(n) partial fusion/partial melting/
部分要素 [ぶぶんようそ] /(n) (comp) subelement/
部分領域 [ぶぶんりょういき] /(n) (comp) portion/
部分列 [ぶぶんれつ] /(n) (comp) substring/
部別 [ぶべつ] /(n,vs) sorting/
部民 [ぶみん] /(n) people belonging to a hereditary occupation group (Yamato period)/
部民 [べみん] /(n) people belonging to a hereditary occupation group (Yamato period)/
部民制 [べみんせい] /(n) system of rule during the Yamato period/
部面 [ぶめん] /(n) phase/
部門 [ぶもん] /(n,adj-no) class/group/category/department/field/branch/(P)/
部門名 [ぶもんめい] /(n) (comp) organizational unit name/
部落 [ぶらく] /(n) (1) (sens) hamlet/subunit of village/(2) burakumin area/(P)/
部落解放運動 [ぶらくかいほううんどう] /(n) Buraku Liberation Movement/
部落民 [ぶらくみん] /(n) (sens) Burakumin (modern-day descendants of Japan's feudal outcast group)/
部類 [ぶるい] /(n) class/heading/group/category/
封 [ふう] /(n) seal/(P)/
封じる [ふうじる] /(v1,vt) (1) to seal (letter)/(2) to prevent/to forbid/to block/(P)/
封じ込む [ふうじこむ] /(v5m) to entrap/
封じ込め [ふうじこめ] /(n) containment/
封じ込める [ふうじこめる] /(v1,vt) to shut in/to confine/to contain/
封じ込め政策 [ふうじこめせいさく] /(n) containment policy/
封じ手 [ふうじて] /(n) a sealed move/(P)/
封じ目 [ふうじめ] /(n) seal (of an envelope)/
封ずる [ふうずる] /(vz,vt) (1) to seal (letter)/(2) to prevent/to forbid/to block/
封を切る [ふうをきる] /(exp,v5r) to break the seal/
封印 [ふういん] /(n,vs) seal/stamp/
封建 [ほうけん] /(n,vs,adj-no) feudalistic/
封建思想 [ほうけんしそう] /(n) feudalistic thought or thinking/
封建時代 [ほうけんじだい] /(n) feudal period/
封建社会 [ほうけんしゃかい] /(n) feudal society/
封建主義 [ほうけんしゅぎ] /(n) feudalism/(P)/
封建制度 [ほうけんせいど] /(n,adj-no) feudal system/
封建的 [ほうけんてき] /(adj-na) feudal/(P)/
封鎖 [ふうさ] /(n,vs) (1) blockade/(2) freezing (funds)/(P)/
封殺 [ふうさつ] /(n,vs) (1) suppression (e.g. free speech)/(2) forceout (baseball)/
封止 [ふうし] /(vs) sealing/seal/
封書 [ふうしょ] /(n) sealed letter/(P)/
封切 [ふうきり] /(n,vs) premiere/first showing/release (film)/
封切り [ふうきり] /(n,vs) premiere/first showing/release (film)/
封切り館 [ふうきりかん] /(n) first-run theater/first-run theatre/
封切る [ふうきる] /(v5r) to release (e.g. a film)/
封切る [ふうぎる] /(v5r) to release (e.g. a film)/
封禅 [ほうぜん] /(n) ancient Chinese sacrificial ritual/
封地 [ほうち] /(n) daimiate/fief/
封土 [ほうど] /(n) daimiate/fief/
封筒 [ふうとう] /(n) envelope/(P)/
封入 [ふうにゅう] /(n,vs) enclose (in letter)/
封蝋 [ふうろう] /(n) sealing wax/
封緘 [ふうかん] /(n,vs) seal/
封緘葉書 [ふうかんはがき] /(n) lettercard/
楓 [かえで] /(n) maple (tree) (Acer spp.)/
楓 [かえるで] /(n) maple (tree) (Acer spp.)/
楓 [ふう] /(n) (uk) Formosan sweetgum (Liquidambar formosana)/
楓子香 [ふうしこう] /(n) galbanum (gum resin from fennel)/
楓属 [ふうぞく] /(n) genus Liquidambar/
楓鳥 [かえでちょう] /(n) (1) (uk) black-rumped waxbill (Estrilda troglodytes)/(2) estrildid (any bird of family Estrildidae)/waxbill/
楓糖 [かえでとう] /(n) maple sugar/
楓糖 [ふうとう] /(n) maple sugar/
楓葉 [ふうよう] /(n) maple leaf/
楓林 [ふうりん] /(n) maple grove/
風 [かぜ] /(n) wind/breeze/(P)/
風 [ふう] /(adj-na,n,n-suf) (1) method/manner/way/style/(2) appearance/air/(3) tendency/(4) folk song (genre of the Shi Jing)/(5) wind (one of the five elements)/(P)/
風 [ふり] /(n,vs) (1) (uk) pretence (pretense)/show/(2) appearance/behaviour/(3) swing/swinging/(4) lacking a reservation or introduction (at a restaurant, etc.)/(5) unsewn part of a hanging sleeve on a traditional Japanese woman's garment/
風がわり [ふうがわり] /(adj-na,n) strange/eccentric/
風が吹けば桶屋が儲かる [かぜがふけばおけやがもうかる] /(exp) any event can bring about an effect in an unexpected way/lit: if the wind blows the bucket makers prosper/
風とおし [かざとおし] /(n) (1) ventilation/(2) communication (within an organisation)/openness/
風とおし [かぜとおし] /(n) (1) ventilation/(2) communication (within an organisation)/openness/
風に乗る [かぜにのる] /(exp,v5r) to ride upon the winds/
風に吹かれて [かぜにふかれて] /(exp) (id) Blowin' in the wind/
風に当たる [かぜにあたる] /(exp,v5r) to be exposed to wind/
風に翻る [かぜにひるがえる] /(exp,v1) to flutter in the wind/to wave in the wind/
風に柳 [かぜにやなぎ] /(exp) (id) Soft words pacify wrath/
風の音 [かぜのおと] /(exp,n) sound of the wind/voice of the wind/
風の向き [かぜのむき] /(n) direction of the wind/
風の子 [かぜのこ] /(n) outdoor creatures/
風の吹き回し [かぜのふきまわし] /(n) (curious) turn of events/
風の便り [かぜのたより] /(exp,n) hearsay/rumour/
風の便りに [かぜのたよりに] /(exp) through the grapevine (lit: from tidings on the wind)/from a little bird/
風ほろし [かざほろし] /(n) (obsc) skin eruptions caused by a cold or fever/
風ぼろし [かざぼろし] /(n) (obsc) skin eruptions caused by a cold or fever/
風よけ [かざよけ] /(n) windbreak/
風よけ [かぜよけ] /(n) windbreak/
風りん [ふうりん] /(n) wind chime/wind bell/
風を吹かす [かぜをふかす] /(exp,v5s) (after noun) to exercise one's authority as a (noun)/to act as a (noun)/
風を切る [かぜをきる] /(exp,v5r) to go flying along/
風を入れる [かぜをいれる] /(exp,v1) to let in (fresh) air/
風圧 [ふうあつ] /(n) wind pressure/
風位 [ふうい] /(n) wind direction/
風引き [かぜひき] /(n) catching a cold/person with a cold/
風韻 [ふういん] /(n) elegance/tastefulness/
風雨 [ふうう] /(n) wind and rain/(P)/
風雨の禍 [ふううのか] /(n) disaster caused by wind and rain/
風雲 [かざぐも] /(n) (1) clouds appearing before the wind starts to blow/(2) winds and clouds/
風雲 [かぜくも] /(n) (1) clouds appearing before the wind starts to blow/(2) winds and clouds/
風雲 [ふううん] /(n) (1) winds and clouds/nature/the elements/(2) situation/state of affairs/(P)/
風雲に乗ずる [ふううんにじょうずる] /(exp,vz) (obsc) to take advantage of the troubled times (of an ambitious adventurer)/
風雲急を告げる [ふううんきゅうをつげる] /(exp,v1) to have grown tense (of a situation)/to have become critical (and to be on the verge of a major upheaval)/
風雲児 [ふううんじ] /(n) lucky adventurer/adventurer who takes advantage of troubled times/soldier of fortune/
風音 [かざおと] /(n) sound of the wind/
風音 [かぜおと] /(n) sound of the wind/
風下 [かざしも] /(n,adj-no) leeward/lee/(P)/
風化 [ふうか] /(n,vs) weathering/
風化岩 [ふうかがん] /(n) weathered rocks/
風花 [かざはな] /(n) (1) flurry of snow in a clear sky/(2) winter wind which brings scattered snowflakes or raindrops/(3) skin eruptions cause by a cold or fever/
風花 [かざばな] /(n) (1) flurry of snow in a clear sky/(2) winter wind which brings scattered snowflakes or raindrops/(3) skin eruptions cause by a cold or fever/
風雅 [ふうが] /(adj-na,n) elegance/grace/refinement/good taste/
風解 [ふうかい] /(n,vs) efflorescence/
風害 [ふうがい] /(n) wind or storm damage/
風格 [ふうかく] /(n) personality/style/appearance/(P)/
風巻く [しまく] /(iK) (v5k,vi) to gust/to blow violently/
風眼 [ふうがん] /(n) gonorrheal ophthalmia/
風紀 [ふうき] /(n) public morals/(P)/
風紀退廃 [ふうきたいはい] /(n) decay (decline, corruption) of public morals/moral decadence/
風紀紊乱 [ふうきびんらん] /(n) corrupt public morals/
風紀頽廃 [ふうきたいはい] /(n) decay (decline, corruption) of public morals/moral decadence/
風儀 [ふうぎ] /(n) manners/customs/
風脚 [かざあし] /(n) wind speed/
風教 [ふうきょう] /(n) morals/
風狂 [ふうきょう] /(n,vs) (1) insanity/insane person/(2) arbiter of taste/connoisseur/
風琴 [ふうきん] /(n) organ/harmonium/
風薫る [かぜかおる] /(adj-f,v5r) (subject to the) cool light breeze in early summer/
風景 [ふうけい] /(n,adj-no) scenery/(P)/
風景画 [ふうけいが] /(n) landscape painting/
風景画家 [ふうけいがか] /(n) landscape artist/landscape painter/landscapist/
風景画書式 [ふうけいがしょしき] /(n) (comp) landscape format/
風穴 [かざあな] /(n) air hole/windhole/ventilator/
風穴 [かぜあな] /(n) air hole/windhole/ventilator/
風穴 [ふうけつ] /(n) cave from which cold wind blows/(P)/
風月 [ふうげつ] /(n) nature's beauty (cool breeze and bright moon)/
風見 [かざみ] /(n) weather vane/
風見鶏 [かざみどり] /(n) (1) weather vane/(2) fence-sitter/opportunist/
風光 [ふうこう] /(n) (beautiful) scenery/natural beauty/
風光る [かぜひかる] /(exp,v5r) springlike/like wind blowing through the spring sunshine/
風光絶佳 [ふうこうぜっか] /(n) scenic beauty/
風光明媚 [ふうこうめいび] /(adj-na,n) scenic or natural beauty/
風光明媚の地 [ふうこうめいびのち] /(n) place of scenic beauty/
風口 [かざぐち] /(n) air intake/
風向 [ふうこう] /(n) wind direction/
風向き [かざむき] /(n) wind's direction/(P)/
風向き [かぜむき] /(n) wind's direction/
風向計 [ふうこうけい] /(n) anemoscope/
風合い [ふうあい] /(n) texture/
風采 [ふうさい] /(n) appearance/air/mien/getup/
風采があがらない [ふうさいがあがらない] /(exp,adj-i) making a poor appearance/
風采が上がらない [ふうさいがあがらない] /(exp,adj-i) making a poor appearance/
風采が揚がらない [ふうさいがあがらない] /(exp,adj-i) making a poor appearance/
風刺 [ふうし] /(n,vs,adj-no) satire/irony/sarcasm/(P)/
風刺画 [ふうしが] /(n) caricature/
風姿 [ふうし] /(n) appearance/demeanor/demeanour/
風師 [ふうし] /(n) wind god/
風車 [かざぐるま] /(n) (1) windmill/pinwheel/(2) leather flower/Clematis patens/
風車 [ふうしゃ] /(n) (1) windmill/pinwheel/
風車小屋 [ふうしゃごや] /(n) windmill/
風邪 [かぜ] /(n) cold (illness)/common cold/(P)/
風邪 [ふうじゃ] /(n) cold (illness)/common cold/
風邪っぴき [かぜっぴき] /(n) catching a cold/
風邪による発熱 [かぜによるはつねつ] /(n) fever caused by a cold/
風邪に因る発熱 [かぜによるはつねつ] /(n) fever caused by a cold/
風邪の気 [かぜのけ] /(n) signs of a cold/
風邪ひき [かぜひき] /(n) catching a cold/person with a cold/
風邪ひく [かぜひく] /(exp,v5k) to catch a cold/
風邪をひく [かぜをひく] /(exp,v5k) to catch a cold/
風邪を移す [かぜをうつす] /(exp,v5s) to give a cold (to someone)/
風邪を引いている [かぜをひいている] /(exp,v1) to have a cold/
風邪を引く [かぜをひく] /(exp,v5k) to catch a cold/
風邪を治す [かぜをなおす] /(exp,v5s) to cure a cold/
風邪引き [かぜひき] /(n) catching a cold/person with a cold/
風邪引く [かぜひく] /(exp,v5k) to catch a cold/
風邪気 [かざけ] /(n) slight cold/
風邪気 [かぜけ] /(n) slight cold/
風邪気味 [かぜぎみ] /(n) slight cold/lingering cold/
風邪声 [かざごえ] /(n) hoarse voice/
風邪声 [かぜごえ] /(n) hoarse voice/
風邪薬 [かざぐすり] /(n) remedy for a cold/cold medicine/
風邪薬 [かぜぐすり] /(n) remedy for a cold/cold medicine/(P)/
風趣 [ふうしゅ] /(n) elegance/
風樹 [ふうじゅ] /(n) (1) tree swayed by the wind/(2) (arch) thinking about one's deceased parents/
風樹の嘆 [ふうじゅのたん] /(exp) regretting one's unkindness to one's deceased parents when they were alive/
風習 [ふうしゅう] /(n) custom/(P)/
風除け [かざよけ] /(n) windbreak/
風除け [かぜよけ] /(n) windbreak/
風上 [かざかみ] /(n,adj-no) windward/(P)/
風上にも置けない [かざかみにもおけない] /(exp) a disgrace (to a whole group of people)/
風情 [ふぜい] /(n) appearance/air/taste/elegance/entertainment/hospitality/(P)/
風食 [ふうしょく] /(n,vs) wind erosion/
風蝕 [ふうしょく] /(n,vs) wind erosion/
風信子 [ふうしんし] /(ateji) (n) hyacinth/
風疹 [ふうしん] /(n) rubella/German measles/
風神 [ふうしん] /(n) wind god/
風神 [ふうじん] /(n) wind god/
風塵 [ふうじん] /(n) dust/worldly affairs/
風水 [ふうすい] /(n) Chinese geomancy/feng shui/
風水害 [ふうすいがい] /(n) storm and flood damage/
風声鶴唳 [ふうせいかくれい] /(n) getting frightened even by a slight noise/hearing the enemy in every leaf that rustles/being afraid of one's own shadow/
風切り羽 [かざきりばね] /(n) flight feathers/
風切羽 [かざきりばね] /(n) flight feathers/
風折れ [かざおれ] /(n) broken by the wind/
風説 [ふうせつ] /(n,vs) rumor/rumour/gossip/hearsay/
風雪 [ふうせつ] /(n) wind and snow/snowstorm/hardships/
風船 [ふうせん] /(n) balloon (esp. small, toy variety)/(P)/
風船ガム [ふうせんガム] /(n) bubblegum/
風船鰻 [ふうせんうなぎ] /(n) (uk) whiptail gulper (any gulper eel of family Saccopharyngidae)/
風船葛 [ふうせんかずら] /(n) balloon vine/Cardiospermum halicacabum/
風船玉 [ふうせんだま] /(n) toy balloon/
風船爆弾 [ふうせんばくだん] /(n) fire balloon (experimental weapon launched by Japan during World War II)/balloon bomb/
風前 [ふうぜん] /(n) where the wind blows/
風前のともしび [ふうぜんのともしび] /(n) precarious situation/precarious state/
風前のともし火 [ふうぜんのともしび] /(n) precarious situation/precarious state/
風前の灯 [ふうぜんのともしび] /(n) precarious situation/precarious state/
風前の灯火 [ふうぜんのともしび] /(n) precarious situation/precarious state/
風窓 [かざまど] /(n) air hole/
風葬 [ふうそう] /(n,vs) burial (disposal of a body) by exposure to the elements/aerial sepulture (burial)/
風霜 [ふうそう] /(n) wind and frost/hardships/
風足 [かざあし] /(n) wind speed/
風速 [ふうそく] /(n) wind speed/(P)/
風速計 [ふうそくけい] /(n) anemometer/
風俗 [ふうぞく] /(n) (1) manners/customs/(2) sex service/sex industry/(P)/
風俗営業 [ふうぞくえいぎょう] /(n) (1) business offering food and entertainment/cabaret, club and restaurant business/(2) sex industry/
風俗画 [ふうぞくが] /(n) painting depicting customs/
風俗画風 [ふうぞくがふう] /(n) (of the) genre painting style/(of the) style of painting that depicts people's customs and manners/(of the) type of painting that denotes the life of ordinary people/
風俗壊乱 [ふうぞくかいらん] /(n) corruption of public morals/an offense against public morality/
風俗習慣 [ふうぞくしゅうかん] /(n) manners and customs/customs and habits/
風俗小説 [ふうぞくしょうせつ] /(n) novel depicting customs and manners of the day/
風俗嬢 [ふうぞくじょう] /(n) woman who works in the sex industry/
風俗店 [ふうぞくてん] /(n) sex establishment/brothel/
風俗犯罪 [ふうぞくはんざい] /(n) offense against public morals/morals offense/vice crime/
風太郎 [ふうたろう] /(n) (1) (col) vagabond/floater/vagrant/(2) day labourer, esp. on the docks/
風太郎 [ぷうたろう] /(n) (1) (col) vagabond/floater/vagrant/(2) day labourer, esp. on the docks/
風体 [ふうたい] /(n) appearance/look/dress/
風体 [ふうてい] /(n) appearance/look/dress/
風帯 [ふうたい] /(n) tassel/
風待ち [かざまち] /(n,vs) waiting for favorable wind/waiting for favourable wind/
風待ち [かぜまち] /(n,vs) waiting for favorable wind/waiting for favourable wind/
風待ち月 [かざまちづき] /(n) (obsc) sixth lunar month/
風待ち月 [かぜまちづき] /(n) (obsc) sixth lunar month/
風待月 [かざまちづき] /(n) (obsc) sixth lunar month/
風待月 [かぜまちづき] /(n) (obsc) sixth lunar month/
風袋 [ふうたい] /(n) packing/wrapping/tare/
風台風 [かぜたいふう] /(n) typhoon with severe wind (and little rain)/
風鐸 [ふうたく] /(n) (arch) wind bells in temple towers/
風致 [ふうち] /(n) taste/elegance/
風致地区 [ふうちちく] /(n) scenic zone/landscape area/
風致林 [ふうちりん] /(n) scenic forest/
風潮 [ふうちょう] /(n) (1) tide/current/(2) tendency/(P)/
風蝶草 [ふうちょうそう] /(n) cat's whiskers (Cleome gynandra)/
風鳥 [ふうちょう] /(n) bird of paradise/
風鳥座 [ふうちょうざ] /(n) (constellation) Apus/
風鎮 [ふうちん] /(n) hanging-scroll weight/
風通し [かざとおし] /(n) (1) ventilation/(2) communication (within an organisation)/openness/
風通し [かぜとおし] /(n) (1) ventilation/(2) communication (within an organisation)/openness/(P)/
風度 [ふうど] /(n) appearance and personality/manner/mien/air/
風土 [ふうど] /(n) natural features/topography/climate/spiritual features/(P)/
風土気候 [ふうどきこう] /(n) climate and natural features (of a region)/
風土記 [ふうどき] /(n) description of regional climate, culture, etc./
風土記 [ふどき] /(n) description of regional climate, culture, etc./
風土病 [ふうどびょう] /(n) endemic disease/local disease/
風倒 [ふうとう] /(n,vs) falling due to a strong wind/being toppled by the wind/
風涛 [ふうとう] /(n) (1) wind and waves/(2) waves stirred by the wind/
風当たり [かぜあたり] /(n) wind blowing against/being subject to outside pressures or criticism/oppression/(P)/
風当たりが強い [かぜあたりがつよい] /(exp,adj-i) (1) windswept/(2) receive harsh treatment/
風当たりの強い [かぜあたりのつよい] /(adj-i) (1) windswept/(2) harshly treated/greatly criticized/
風当り [かぜあたり] /(n) wind blowing against/being subject to outside pressures or criticism/oppression/
風当りが強い [かぜあたりがつよい] /(exp,adj-i) (1) windswept/(2) receive harsh treatment/
風洞 [ふうどう] /(n) wind tunnel/
風入れ [かざいれ] /(n) give an airing/
風波 [ふうは] /(n) wind and waves/rough seas/storm/dispute/quarrel/trouble/
風馬牛 [ふうばぎゅう] /(n) indifferent/
風配図 [ふうはいず] /(n) wind rose/
風媒 [ふうばい] /(n) (1) anemophily/(adj-no) (2) anemophilous/
風媒花 [ふうばいか] /(n) wind-pollinated flower/
風帆船 [ふうはんせん] /(n) Western style sailboat/
風評 [ふうひょう] /(n) rumor/rumour/gossip/report/
風評被害 [ふうひょうひがい] /(n) financial damage caused by harmful rumours or misinformation/
風物 [ふうぶつ] /(n) (1) natural features/scenery/(2) things particular to a certain region or season/characteristic scenery and customs/scenes and manners/
風物詩 [ふうぶつし] /(n) things which remind one of a particular season/(P)/
風聞 [ふうぶん] /(n,vs) rumour/rumor/hearsay/report/
風変り [ふうがわり] /(adj-na,n) strange/eccentric/
風変わり [ふうがわり] /(adj-na,n) strange/eccentric/
風貌 [ふうぼう] /(n) looks/appearance/
風防 [ふうぼう] /(n,adj-no) windbreak/
風防ガラス [ふうぼうガラス] /(n) windshield/windscreen/
風防硝子 [ふうぼうガラス] /(n) windshield/windscreen/
風味 [ふうみ] /(n) taste/flavor/flavour/(P)/
風味絶佳 [ふうみぜっか] /(n,adj-na) delicious flavor/superb taste/
風味豊か [ふうみゆたか] /(adj-na) flavorful/flavorsome/
風木 [ふうぼく] /(n) (obsc) tree swayed by the wind/
風紋 [ふうもん] /(n) wind-wrought pattern on the sands/
風薬 [かざぐすり] /(n) remedy for a cold/cold medicine/
風薬 [かぜぐすり] /(n) remedy for a cold/cold medicine/
風諭 [ふうゆ] /(n,vs) allegory/
風来 [ふうらい] /(n,adj-no) (1) frivolity/unpredictability/erraticism/(2) first-time guest in a red-light district/
風来人 [ふうらいじん] /(n) wanderer/vagabond/capricious person/hobo/
風来舵木 [ふうらいかじき] /(n) (uk) shortbill spearfish (Tetrapturus angustirostris)/
風来坊 [ふうらいぼう] /(n) wanderer/vagabond/capricious person/hobo/
風流 [ふうりゅう] /(adj-na,n) elegance/taste/refinement/(P)/
風流韻事 [ふうりゅういんじ] /(n) elegant appreciation of nature through artistic pursuits such as poetry, painting and calligraphy/
風流三昧 [ふうりゅうざんまい] /(n) taking delight in elegant pursuits/being absorbed in such elegant cultural pursuits as poetry, painting and calligraphy/
風量 [ふうりょう] /(n) air flow/air volume/
風力 [ふうりょく] /(n) wind power/(P)/
風力エネルギー [ふうりょくエネルギー] /(n) wind power energy/
風力タービン [ふうりょくタービン] /(n) wind turbine/windmill/
風力階級 [ふうりょくかいきゅう] /(n) wind velocity scale/
風力計 [ふうりょくけい] /(n) anemometer/
風力発電所 [ふうりょくはつでんじょ] /(n) wind farm/windfarm/wind power station/
風林火山 [ふうりんかざん] /(exp) as fast as the wind, as quiet as the forest, as daring as fire, and immovable as the mountain/
風鈴 [ふうりん] /(n) wind chime/wind bell/(P)/
風鈴草 [ふうりんそう] /(n) Canterbury bell/
風呂 [ふろ] /(n) (1) bath/bathtub/(2) bathroom/bathhouse/(3) room for drying lacquerware/(4) base (wooden joint connecting the blade of a hoe, spade, etc., to the handle)/(P)/
風呂から上がる [ふろからあがる] /(exp,v5r) to step out of the bath/
風呂屋 [ふろや] /(n) (1) public bathhouse/(2) (sens) bathhouse proprietor/(P)/
風呂屋者 [ふろやもの] /(n) female prostitute working at a bathhouse (Edo period)/
風呂桶 [ふろおけ] /(n) bath tub/
風呂釜 [ふろがま] /(n) bath heater/
風呂女 [ふろおんな] /(n) female prostitute working at a bathhouse (Edo period)/
風呂上がり [ふろあがり] /(n) just out of the bath/
風呂場 [ふろば] /(n) bathroom/(P)/
風呂吹き [ふろふき] /(n) boiled daikon (or turnip, etc.) eaten hot with miso/
風呂水 [ふろみず] /(n) bathwater/
風呂掃除 [ふろそうじ] /(n) cleaning of the bath/
風呂代 [ふろだい] /(n) fee charged at a public bath/
風呂敷 [ふろしき] /(n) wrapping cloth/cloth wrapper/(P)/
風呂敷包み [ふろしきづつみ] /(n) something wrapped in a furoshiki/
風炉 [ふうろ] /(n) wind furnace/
風炉 [ふろ] /(n) portable stove for boiling water to make tea used for the tea ceremony during the summer/
風露草 [ふうろそう] /(n) (uk) geranium (any plant of genus Geranium)/
風浪 [ふうろう] /(n) wind and wave/rough seas/
風喩 [ふうゆ] /(n) insinuation/hint/allegory/
風濤 [ふうとう] /(n) (1) wind and waves/(2) waves stirred by the wind/
風靡 [ふうび] /(n,vs) overwhelming/conquer/dominate/
葺き替える [ふきかえる] /(v1,vt) to reroof/to rethatch/to retile/
葺き板 [ふきいた] /(n) shingles/
葺く [ふく] /(v5k,vt) to thatch (a roof)/to lay tiles on (a roof)/
蕗 [ふき] /(n) (uk) giant butterbur (Petasites japonicus)/Japanese sweet coltsfoot/
蕗 [ふふき] /(ok) (n) (uk) giant butterbur (Petasites japonicus)/Japanese sweet coltsfoot/
蕗の薹 [ふきのとう] /(n) edible flower bud of the fuki (Petasites japonicus) plant, an early spring delicacy/
蕗草 [ろそう] /(n) liquorice/licorice/
伏して [ふして] /(adv) bowing down/humbly/respectfully/
伏し倒れる [ふしたおれる] /(v1) to fall down/
伏し拝む [ふしおがむ] /(v5m,vt) to kneel and worship/
伏し目 [ふしめ] /(n) downcast look/
伏す [ふす] /(v5s) (1) to bend down/to bow down/to prostrate oneself/(2) to hide oneself/
伏する [ふくする] /(vs-s,vi,vt) (1) to crouch/to stoop/to bend down/to prostrate oneself/to lie down/(2) to yield/to submit/to surrender/(3) to hide/to conceal oneself/
伏せる [ふせる] /(v1,vt) to lay something upside down/to turn something over/to cover/to lay (pipes)/to lay (an ambush)/to hide/(P)/
伏せ屋 [ふせや] /(n) humble cottage/hut/
伏せ字 [ふせじ] /(n) (1) asterisk (when used in place of sensitive word)/(2) blank type (dots, circles, etc.)/
伏せ勢 [ふせぜい] /(n) ambush/
伏せ長 [ふせなが] /(n) going (e.g. of a flight of stairs)/length/
伏せ樋 [ふせどい] /(n) covered drain/
伏せ縫い [ふせぬい] /(n) hemming/
伏せ籠 [ふせかご] /(n) coop/hen coop/
伏越し [ふせこし] /(n) inverted siphon/siphon culvert/
伏屋 [ふせや] /(n) humble cottage/hut/
伏角 [ふくかく] /(n) dip (angle that the direction of a compass needle makes with the horizon)/
伏角 [ふっかく] /(n) dip (angle that the direction of a compass needle makes with the horizon)/
伏在 [ふくざい] /(n,vs,adj-no) lying concealed/being hidden/
伏罪 [ふくざい] /(n,vs) (1) penal servitude/submitting to a sentence/pleading guilty/(2) (obsc) undetected crime/
伏字 [ふせじ] /(n) (1) asterisk (when used in place of sensitive word)/(2) blank type (dots, circles, etc.)/
伏射 [ふくしゃ] /(n,vs) shooting lying prone/
伏射濠 [ふくしゃごう] /(n) sheltered trench/
伏水 [ふくすい] /(n,vs) water gone underground (to emerge as a spring)/
伏勢 [ふくぜい] /(n) ambush/
伏勢 [ふせぜい] /(n) ambush/
伏線 [ふくせん] /(n) preparation/foreshadowing/underplot (in a novel)/precautionary measures/(P)/
伏奏 [ふくそう] /(n) report to the throne/
伏長 [ふせなが] /(n) going (e.g. of a flight of stairs)/length/
伏鉢 [ふくばち] /(n) (obsc) fukubachi (inverted bowl-shaped part of a pagoda finial)/
伏樋 [ふせどい] /(n) covered drain/
伏兵 [ふくへい] /(n) ambush/troops in ambush/(P)/
伏縫 [ふせぬい] /(n) hemming/
伏魔殿 [ふくまでん] /(n) abode of demons/hotbed (of graft)/pandemonium/
伏目 [ふしめ] /(n) downcast look/
伏流 [ふくりゅう] /(n,vs) subterranean stream/
伏流水 [ふくりゅうすい] /(n) underground water/
伏竜 [ふくりゅう] /(n) suicide divers (part of the Japanese Special Attack Units during WWII)/
伏竜鳳雛 [ふくりょうほうすう] /(n) gifted young person who shows much promise/unrecognized genius/great person whose talent is hidden under a bushel/
伏龍 [ふくりゅう] /(n) suicide divers (part of the Japanese Special Attack Units during WWII)/
副 [とりわけ] /(adv,n) (1) (uk) especially/above all/(2) inter alia/among others/
副 [ふく] /(n,pref) (1) assistant/associate/vice-/sub-/deputy/substitute/auxiliary/supplementary/additional/collateral/(n) (2) duplicate/copy/(P)/
副う [そう] /(v5u) (1) to meet (one's expectations, etc.)/to satisfy/to comply with/(2) to accompany/to stay by one's side/(3) to marry/to wed/(4) to be added/
副える [そえる] /(v1,vt) (1) to garnish/to accompany (as a card does a gift)/(2) to add to as support/to prop up/(3) to accompany (as an aid, guide, translator, etc.)/(4) (arch) to mimic/to imitate/(5) (arch) to draw something near to oneself/to approach nearby/
副プログラム [ふくプログラム] /(n) (comp) subprogram/
副プログラムの分身 [ふくプログラムのぶんしん] /(n) (comp) instance of a subprogram/
副ボリューム記述子 [ふくボリュームきじゅつし] /(n) (comp) SVD/Supplementary Volume Descriptor/
副レコードキー [ふくレコードキー] /(n) (comp) alternate record key/
副意識 [ふくいしき] /(n,adj-no) coconsciousness/
副因 [ふくいん] /(n) secondary cause/
副音声 [ふくおんせい] /(n) second (supplementary) sound channel/
副会長 [ふくかいちょう] /(n) vice president (of a club or organization, organisation)/
副官 [ふくかん] /(n) adjutant/aide/aide-de-camp/
副官 [ふっかん] /(n) adjutant/aide/aide-de-camp/
副議長 [ふくぎちょう] /(n) vice-chairman/
副鏡 [ふくきょう] /(n) secondary mirror (in a reflecting telescope)/
副業 [ふくぎょう] /(n) side job/sideline/subsidiary business/(P)/
副検事 [ふくけんじ] /(n) assistant prosecutor/
副見出し [ふくみだし] /(n) subhead/subheading/subtitle/
副交感神経系 [ふくこうかんしんけいけい] /(n) parasympathetic nerve system/parasympathetic nervous system/
副甲状腺 [ふくこうじょうせん] /(n) parathyroid/
副甲状腺ホルモン [ふくこうじょうせんホルモン] /(n) parathyroid hormone/parathormone/
副菜 [ふくさい] /(n) side dishes (often vegetables)/
副作用 [ふくさよう] /(n) reaction/secondary effect/side effect/(P)/
副産物 [ふくさんぶつ] /(n) byproduct/side line/(P)/
副使 [ふくし] /(n) vice-envoy/deputy delegate/
副司 [ふうす] /(n) one of the six administrators of a Zen temple (in charge of accounting)/
副司令 [ふくしれい] /(n) deputy commander/
副詞 [ふくし] /(n,adj-no) (ling) adverb/(P)/
副詞句 [ふくしく] /(n) (ling) adverbial (adverb) phrase/
副詞節 [ふくしせつ] /(n) (ling) adverbial clause/
副詞相当語句 [ふくしそうとうごく] /(n) adverb equivalent/
副寺 [ふうす] /(n) one of the six administrators of a Zen temple (in charge of accounting)/
副次的 [ふくじてき] /(adj-na,n) secondary/
副社長 [ふくしゃちょう] /(n) (abbr) executive vice-president/(P)/
副尺 [ふくしゃく] /(n) vernier scale/
副手 [ふくしゅ] /(n) assistant/associate/
副首相 [ふくしゅしょう] /(n) deputy prime minister/vice prime minister/
副収入 [ふくしゅうにゅう] /(n) additional income/
副署 [ふくしょ] /(n,vs) countersignature/
副書 [ふくしょ] /(n) copy/duplicate/
副助詞 [ふくじょし] /(n) adverbial particle/
副将 [ふくしょう] /(n) second in command/
副賞 [ふくしょう] /(n) extra prize/(P)/
副食 [ふくしょく] /(n) side dish/supplementary food/
副食物 [ふくしょくぶつ] /(n) side dish/supplementary food/
副審 [ふくしん] /(n) sub-umpire/sub-referee/
副申書 [ふくしんしょ] /(n) (obsc) document permitting foreign students to work part-time/
副神経 [ふくしんけい] /(n) accessory nerves/
副腎 [ふくじん] /(n,adj-no) suprarenal body/adrenal glands/
副腎髄質 [ふくじんずいしつ] /(n) adrenal medulla/
副腎髄質ホルモン [ふくじんずいしつホルモン] /(n) adrenal medullary hormone/
副腎皮質 [ふくじんひしつ] /(n,adj-no) adrenal cortex/cortex of the adrenal gland/
副腎皮質刺激ホルモン [ふくじんひしつしげきホルモン] /(n) adrenocorticotropic hormone/adrenocorticotrophic hormone/ACTH/
副生 [ふくせい] /(n) byproduct/secondary product/
副生殖器 [ふくせいしょくき] /(n) accessory sex organs/accessory genitalia/
副専攻 [ふくせんこう] /(n) minor (in university or college courses)/sub-major/
副層 [ふくそう] /(n) (comp) sublayer/
副操縦士 [ふくそうじゅうし] /(n) copilot/
副総裁 [ふくそうさい] /(n) vice president/
副総理 [ふくそうり] /(n) deputy (vice) prime minister/
副葬品 [ふくそうひん] /(n) burial accessories/(P)/
副待ち行列 [ふくまちぎょうれつ] /(n) (comp) sub-queue/
副大臣 [ふくだいじん] /(n) vice minister/
副大統領 [ふくだいとうりょう] /(n) vice president (of a country)/
副大統領候補 [ふくだいとうりょうこうほ] /(n) candidate for vice-president/running mate (US)/
副題 [ふくだい] /(n) subtitle/subheading/(P)/
副知事 [ふくちじ] /(n) lieutenant governor/(P)/
副長 [ふくちょう] /(n) (1) deputy head/deputy director/vice chief (of something)/(2) executive officer (navy)/
副長官 [ふくちょうかん] /(n) deputy secretary (government)/deputy director/
副抵当 [ふくていとう] /(n) collateral security/
副電力 [ふくでんりょく] /(n) (comp) secondary power (supply)/
副都心 [ふくとしん] /(n) subcenter (of a large city) (subcentre)/urban subcenter/
副読本 [ふくとくほん] /(n) supplementary reader/
副読本 [ふくどくほん] /(n) supplementary reader/
副虹 [ふくにじ] /(n) secondary rainbow/
副鼻腔 [ふくびくう] /(n) paranasal sinus/paranasal cavity/sinus paranasales/
副鼻腔 [ふくびこう] /(n) paranasal sinus/paranasal cavity/sinus paranasales/
副鼻腔炎 [ふくびくうえん] /(n) sinusitis/
副鼻腔炎 [ふくびこうえん] /(n) sinusitis/
副部長 [ふくぶちょう] /(n) deputy director/assistant director/vice director/deputy general manager/assistant general manager/vice (general) manager/
副牧師 [ふくぼくし] /(n) associate pastor/curate/
副本 [ふくほん] /(n) duplicate/copy/
副本部長 [ふくほんぶちょう] /(n) deputy general manager/deputy director-general/assistant commissioner/
副木 [そえぎ] /(n) splint/
副木 [ふくぎ] /(n) secondary/
副木 [ふくぼく] /(n) splint/
副要求 [ふくようきゅう] /(n) (comp) subrequest/
副立呼び出し [ふくたてよびだし] /(n) second highest sumo usher/
副立行司 [ふくたてぎょうじ] /(n) second highest sumo referee/
副流煙 [ふくりゅうえん] /(n) (secondary) tobacco smoke/
副領事 [ふくりょうじ] /(n) vice-consul/
副睾丸 [ふくこうがん] /(n) epididymis/
復 [また] /(adv,conj,pref) (uk) again/and/also/still (doing something)/
復しゅう [ふくしゅう] /(n,vs) revenge/
復しゅう心 [ふくしゅうしん] /(n) desire for revenge/vengeful thought/
復す [ふくす] /(v5s) to return to normal/to recover/to restore/
復する [ふくする] /(vs-s) to return to normal/to recover/to restore/
復位 [ふくい] /(n,vs) restoration/reinstatement/
復員 [ふくいん] /(n,vs) demobilization/demobilisation/repatriation/(P)/
復縁 [ふくえん] /(n,vs) reconciliation with one's spouse/
復改 [ふっかい] /(n) carriage return/return (LF+CR)/
復学 [ふくがく] /(n,vs) return to school/
復活 [ふっかつ] /(n,vs,adj-no) (1) revival (e.g. musical)/come-back/(2) restoration/rebirth/resurrection/(P)/
復活祭 [ふっかつさい] /(n) Easter/
復活当選 [ふっかつとうせん] /(n,vs) failing to win an electoral seat in a single-member constituency, but winning a seat in a proportionally represented constituency/
復刊 [ふっかん] /(n,vs) reissue/putting back in print/
復帰 [ふっき] /(n,vs,adj-no) (1) return/comeback/reinstatement/(2) carriage return/CR/(P)/
復帰アドレス [ふっきアドレス] /(n) (comp) return address/
復帰コード [ふっきコード] /(n) (comp) return code/
復帰文字 [ふっきもじ] /(n) (comp) carriage return/
復仇 [ふくきゅう] /(n,vs) reprisal/revenge/
復仇 [ふっきゅう] /(n,vs) reprisal/revenge/
復旧 [ふくきゅう] /(n,vs,adj-no) restoration/restitution/rehabilitation/
復旧 [ふっきゅう] /(n,vs,adj-no) restoration/restitution/rehabilitation/(P)/
復旧作業 [ふっきゅうさぎょう] /(n) repair work/
復旧手順 [ふっきゅうてじゅん] /(n) (comp) restoration procedure/
復興 [ふっこう] /(n,vs) revival/renaissance/reconstruction/(P)/
復興の気 [ふっこうのき] /(n) signs of revival/
復業 [ふくぎょう] /(n,vs) returning to work/
復権 [ふくけん] /(n,vs) rehabilitation/reinstatement/restoration of rights/
復権 [ふっけん] /(n,vs) rehabilitation/reinstatement/restoration of rights/(P)/
復元 [ふくげん] /(n,vs) restoration (to original state)/reconstruction/(P)/
復元作業 [ふくげんさぎょう] /(n) restoration/restoration (restorative) work/
復元力 [ふくげんりょく] /(n) righting moment/
復原 [ふくげん] /(n,vs) restoration (to original state)/reconstruction/
復原力 [ふくげんりょく] /(n) stability/
復古 [ふっこ] /(n,vs,adj-no) revival/restoration/
復古主義 [ふっこしゅぎ] /(n) reactionism/
復古神道 [ふっこしんとう] /(n) Fukko Shinto/Restoration Shinto/Reform Shinto (prominent 18th century form of Shinto, based on the classics, and free from Confucian and Buddhist influences)/
復古調 [ふっこちょう] /(n) revival or reactionary mood/
復交 [ふっこう] /(n,vs) restoration of diplomatic relations/
復校 [ふくこう] /(n,vs) return to school/
復校 [ふっこう] /(n,vs) return to school/
復航 [ふっこう] /(n,vs) return flight or voyage/
復号 [ふくごう] /(n,vs) decoding/decryption/
復号アルゴリズム [ふくごうアルゴリズム] /(n) decoding algorithm/
復号化 [ふくごうか] /(n,vs) (comp) decryption/decipherment/decoding/
復号器 [ふくごうき] /(n) (comp) decoder/
復刻 [ふっこく] /(n,vs) reissue of a facsimile version/striking a new print of a film/(P)/
復刻版 [ふっこくばん] /(n) reprint (of)/
復習 [ふくしゅう] /(n,vs) review/revision/(P)/
復習う [さらう] /(v5u,vt) to review/to rehearse/to practise/to practice/
復習える [さらえる] /(v1,vt) to review/to rehearse/to practise/to practice/
復習文 [ふくしゅうぶん] /(n) review sentences/
復讐 [ふくしゅう] /(n,vs) revenge/(P)/
復讐の念 [ふくしゅうのねん] /(n) desire for vengeance/
復讐劇 [ふくしゅうげき] /(n) revenge tragedy/
復讐心 [ふくしゅうしん] /(n) desire for revenge/vengeful thought/
復讐戦 [ふくしゅうせん] /(n) return match/
復唱 [ふくしょう] /(n,vs) recital/repetition/rehearsal/repeating an order/
復職 [ふくしょく] /(n,vs) reinstatement/reappointment/
復水器 [ふくすいき] /(n) condenser/
復数 [ふくすう] /(iK) (n,adj-no) several/plural/plurality/multiple/
復籍 [ふくせき] /(n,vs) legal reregistration in one's family/reenrollment (in school)/reenrolment/
復調 [ふくちょう] /(n,vs) (1) demodulation/(2) recovery/getting back to form/(P)/
復調器 [ふくちょうき] /(n) demodulator/
復調機 [ふくちょうき] /(n) (comp) demodulator/
復調装置 [ふくちょうそうち] /(n) (comp) demodulator/
復電 [ふくでん] /(n) restoration of power (e.g. after power failure)/
復党 [ふくとう] /(n,vs) rejoining a political party/(P)/
復答 [ふくとう] /(n,vs) response/reply/
復配 [ふくはい] /(n,vs) resumption of dividends/
復部 [ふくぶ] /(n,vs) (col) (obsc) returning to a club (one was formerly a member of)/
復文 [ふくぶん] /(n) reply letter/retranslation (into the original language)/
復命 [ふくめい] /(n,vs) reporting/returning (one's findings to a person)/
復路 [ふくろ] /(n-adv,n-t) return path (of a signal, communication)/return trip/
復誦 [ふくしょう] /(n,vs) recital/repetition/rehearsal/repeating an order/
復讎 [ふくしゅう] /(n,vs) revenge/
幅 [はば] /(n) width/breadth/(P)/
幅が出る [はばがでる] /(exp,v1) to become wider/
幅が利く [はばがきく] /(exp,v5k) to have great influence over/
幅ったい [はばったい] /(adj-i) (1) (uk) wide/(2) presumptuous/
幅の狭い [はばのせまい] /(exp,adj-i) narrow/
幅の広い [はばのひろい] /(exp,adj-i) wide/broad/
幅を利かせる [はばをきかせる] /(exp,v1) to throw one's weight around/to exercise one's authority/to make one's presence felt/
幅員 [ふくいん] /(n) breadth, extent/
幅寄せ [はばよせ] /(n,vs) (car) being run off the road/
幅広 [はばひろ] /(adj-na,n,adj-no) wide width (e.g. cloth)/
幅広い [はばひろい] /(adj-i) extensive/wide/broad/(P)/
幅跳び [はばとび] /(n) long jump/broad jump/
幅木 [はばき] /(n) baseboard/skirting board/
幅優先探索 [はばゆうせんたんさく] /(n) (comp) breadth first search/
幅利き [はばきき] /(n) influential/man of influence/
服 [ふく] /(n,n-suf) (1) clothes (esp. Western clothes)/(suf,ctr) (2) counter for doses of medicine, gulps of tea, drags of a cigarette, etc./(P)/
服 [ぶく] /(n) (1) (arch) mourning clothes/(2) mourning/period of mourning/
服す [ふくす] /(v5s) (1) to obey/to submit/to defer/to yield/to abide/(2) to serve (e.g. in the army, or a sentence in jail (gaol))/(3) to observe (e.g. mourning)/(4) to drink (tea, medicine, etc.)/
服する [ふくする] /(vs-s) (1) to obey/to submit/to defer/to yield/to abide/(2) to serve (e.g. in the army, or a sentence in jail (gaol))/(3) to observe (e.g. mourning)/(4) to drink (tea, medicine, etc.)/
服を汚す [ふくをよごす] /(exp,v5s) to soil one's clothes/
服忌 [ぶくき] /(n) (obsc) mourning/period of mourning/
服忌 [ぶっき] /(n) (obsc) mourning/period of mourning/
服罪 [ふくざい] /(n,vs) (1) penal servitude/submitting to a sentence/pleading guilty/
服姿 [ふくすがた] /(n) (organizational) uniform/
服紗 [ふくさ] /(n) small silk wrapper/small cloth for wiping tea utensils/crepe wrapper/
服従 [ふくじゅう] /(n,vs) obedience/submission/resignation/(P)/
服飾 [ふくしょく] /(n,adj-no) clothing and accessories/attire/(P)/
服飾見本 [ふくしょくみほん] /(n) fashion plate/
服飾店 [ふくしょくてん] /(n) clothing store/boutique/dress shop/
服飾品 [ふくしょくひん] /(n) accessories/
服喪 [ふくも] /(n,vs) going into mourning/
服装 [ふくそう] /(n) garments/attire/(P)/
服装規定 [ふくそうきてい] /(n) dress code/
服属 [ふくぞく] /(n,vs) a follower/yield allegiance to/
服地 [ふくじ] /(n) cloth/dress material/clothing fabric/
服毒 [ふくどく] /(n,vs) taking poison/
服毒自殺 [ふくどくじさつ] /(n) poison suicide/suicide by poisoning/
服務 [ふくむ] /(n,vs) duty/public service/
服務期間 [ふくむきかん] /(n) period of work/period of service/tour of duty/
服役 [ふくえき] /(n,vs) penal servitude/military service/(P)/
服役囚 [ふくえきしゅう] /(n) convict/prisoner/
服薬 [ふくやく] /(n,vs) taking medicine/
服用 [ふくよう] /(n,vs) taking medicine/dosing/(P)/
服膺 [ふくよう] /(n,vs) bearing in mind/
福 [ふく] /(n) good fortune/(P)/
福々しい [ふくぶくしい] /(adj-i) (plump and) happy-looking/
福井県 [ふくいけん] /(n) Fukui prefecture (Hokuriku area)/
福引 [ふくびき] /(n) lottery/tombola/drawing/
福引き [ふくびき] /(n) lottery/tombola/drawing/
福運 [ふくうん] /(n) happiness and good fortune/
福岡 [ふくおか] /(n) Fukuoka (city)/
福岡県 [ふくおかけん] /(n) Fukuoka prefecture (Kyuushuu)/
福音 [ふくいん] /(n,adj-no) (1) good news/(2) gospel (teachings or revelations of Jesus Christ)/(P)/
福音教会 [ふくいんきょうかい] /(n) Evangelical Church/
福音史家 [ふくいんしか] /(n) evangelist (i.e. Matthew, Mark, Luke or John)/
福音主義 [ふくいんしゅぎ] /(n,adj-no) (1) evangelicalism/(2) evangelism/
福音書 [ふくいんしょ] /(n) the Gospels/
福楽 [ふくらく] /(n) (arch) happiness and comfort/happiness and peace/
福笹 [ふくざさ] /(n) lucky bamboo branch given out at an Ebisu shrine during the Toka Ebisu Business Success Festival between Jan 9-11/
福祉 [ふくし] /(n,adj-f) welfare/well-being/social welfare/social security/social service/(P)/
福祉機器 [ふくしきき] /(n) assistive products (e.g. wheel chairs, hearing aids, etc.)/
福祉国家 [ふくしこっか] /(n,adj-no) welfare state/
福祉施設 [ふくししせつ] /(n) welfare institution/welfare facility/
福祉事業 [ふくしじぎょう] /(n) welfare work/
福祉事務所 [ふくしじむしょ] /(n) welfare office/social security office/
福祉車両 [ふくししゃりょう] /(n) vehicle for disabled persons/assistive vehicle/
福祉商法 [ふくししょうほう] /(n) (unscrupulous) business practices based on an appeal to one's social conscience/(unscrupulous) sales methods used by someone falsely claiming to represent a charitable (social welfare) organization/
福祉心理学 [ふくししんりがく] /(n) psychology for human services/
福祉政策 [ふくしせいさく] /(n) welfare policy/social welfare measures/
福耳 [ふくみみ] /(n) plump ears, said to bring good fortune/
福寿 [ふくじゅ] /(n) long life and happiness/
福寿草 [ふくじゅそう] /(n) pheasant's eye/
福助 [ふくすけ] /(n) large-headed dwarf statue, bringer of good luck/(P)/
福笑い [ふくわらい] /(n) game like "pin the tail on the donkey"/
福神漬け [ふくじんづけ] /(n) vegetables pickled in soy sauce/
福相 [ふくそう] /(adj-na,n) happy-looking/
福草 [さきくさ] /(n) (obsc) lucky grass/
福袋 [ふくぶくろ] /(n) lucky-dip bag/grab bag/mystery package (with a variety of articles possibly worth more than the purchase price)/
福茶 [ふくちゃ] /(n) lucky tea (var. of tea made from sea tangle, black soybeans, pepper, pickled plums, etc. and drunk on festive occasions)/New Year tea/
福島県 [ふくしまけん] /(n) Fukushima prefecture (Touhoku area)/
福徳 [ふくとく] /(n) fortune/happiness and prosperity/
福徳円満 [ふくとくえんまん] /(n) being perfectly happy and prosperous/wealth and happiness/
福福しい [ふくぶくしい] /(adj-i) (plump and) happy-looking/
福利 [ふくり] /(n) welfare/
福利厚生 [ふくりこうせい] /(n,adj-no) welfare program/welfare programme/(P)/
福利厚生費 [ふくりこうせいひ] /(n) welfare expense/
福利表 [ふくりひょう] /(n) compound interest table/
福禄寿 [ふくろくじゅ] /(n) tall headed god of happiness, wealth, and long life/
腹 [はら] /(n) (1) abdomen/belly/stomach/(2) one's mind/one's real intentions/one's true motive/(3) loop (physics)/(suf,ctr) (4) counter for hard roe/(P)/
腹いせ [はらいせ] /(n) retaliation/revenge/
腹いっぱい [はらいっぱい] /(adv,n) bellyful/full stomach/to one's heart's content/
腹がすく [はらがすく] /(exp,v5k) to become hungry/to get an empty stomach/
腹がすわる [はらがすわる] /(exp,v5r) to have guts/to be unwavering in one's resolution/
腹が下る [はらがくだる] /(exp,v5r) to have loose bowels/
腹が緩い [はらがゆるい] /(exp,adj-i) have loose bowels/
腹が空く [はらがすく] /(exp,v5k) to become hungry/to get an empty stomach/
腹が減っては軍は出来ぬ [はらがへってはいくさはできぬ] /(exp) (id) An army marches on its stomach/
腹が減る [はらがへる] /(v5r) to become hungry/
腹が黒い [はらがくろい] /(exp) scheming/malicious/wicked/blackhearted/
腹が据わる [はらがすわる] /(exp,v5r) to have guts/to be unwavering in one's resolution/
腹が立つ [はらがたつ] /(exp,v5t) to get angry/to take offense/to take offence/to be furious/
腹ごしらえ [はらごしらえ] /(n,vs) having a meal (before doing something)/fortifying oneself with a meal/
腹ごなし [はらごなし] /(n,vs) exercise to help digestion/
腹にすえかねる [はらにすえかねる] /(exp,v1) cannot suppress one's anger/cannot stomach/
腹に据えかねる [はらにすえかねる] /(exp,v1) cannot suppress one's anger/cannot stomach/
腹に据え兼ねる [はらにすえかねる] /(exp,v1) cannot suppress one's anger/cannot stomach/
腹の据わった男 [はらのすわったおとこ] /(n) man with plenty of guts/
腹の中 [はらのうち] /(n) (1) in the belly/(2) in one's heart of hearts/
腹の中 [はらのなか] /(n) (1) in the belly/(2) in one's heart of hearts/
腹の中で笑う [はらのなかでわらう] /(exp,v5u) to laugh to oneself/to smile to oneself/
腹の虫 [はらのむし] /(n) roundworm/
腹の虫が治まらない [はらのむしがおさまらない] /(exp) cannot contain one's anger/
腹びれ [はらびれ] /(n) pelvic fin/ventral fin/
腹ぼて [はらぼて] /(n) showing (i.e. being visibly pregnant)/someone who is visibly pregnant/
腹も身の内 [はらもみのうち] /(exp) (id) Moderation is its own medicine/
腹をかかえる [はらをかかえる] /(exp,v1) to roll around laughing/to fold up/to hold one's sides with laughter/
腹をくくる [はらをくくる] /(exp,v5r) to prepare oneself for the worst/to strengthen one's resolve/to accept one's fate/to prepare oneself/
腹をこしらえる [はらをこしらえる] /(exp,v1) to have a meal (before doing something)/to fortify oneself with a meal/
腹をこわす [はらをこわす] /(exp,v5s) to have digestive problems/to have an upset stomach/
腹をすかす [はらをすかす] /(exp,v5s) to be hungry/
腹を壊す [はらをこわす] /(exp,v5s) to have digestive problems/to have an upset stomach/
腹を割った [はらをわった] /(exp,adj-f) frank/
腹を割って [はらをわって] /(exp) frankly/
腹を割って話す [はらをわってはなす] /(exp,v5s) to speak frankly/to speak unreservedly/to open up to each other/to talk candidly/to speak by laying everything on the table/to talk straight from the gut/to have a heart-to-heart talk/
腹を括る [はらをくくる] /(exp,v5r) to prepare oneself for the worst/to strengthen one's resolve/to accept one's fate/to prepare oneself/
腹を空かす [はらをすかす] /(exp,v5s) to be hungry/
腹を決める [はらをきめる] /(exp,v1) to (resolve oneself and) decide/
腹を据える [はらをすえる] /(exp,v1) to make up one's mind/
腹を痛める [はらをいためる] /(exp,v1) to give birth to/to have a stomachache/
腹を抱える [はらをかかえる] /(exp,v1) to roll around laughing/to fold up/to hold one's sides with laughter/
腹を満たす [はらをみたす] /(exp,v5s) to satisfy one's appetite/
腹を立てる [はらをたてる] /(exp,v1) to take offense/to take offence/to get angry/to lose one's temper/
腹を拵える [はらをこしらえる] /(exp,v1) to have a meal (before doing something)/to fortify oneself with a meal/
腹イセ [はらイセ] /(n) retaliation/revenge/
腹ペコ [はらペコ] /(n) being hungry/starving/
腹ボテ [はらボテ] /(n) showing (i.e. being visibly pregnant)/someone who is visibly pregnant/
腹案 [ふくあん] /(n) one's plan/
腹囲 [ふくい] /(n) girth of the abdomen/
腹違い [はらちがい] /(n) (brother and sister) born of a different mother/
腹一杯 [はらいっぱい] /(adv,n) bellyful/full stomach/to one's heart's content/(P)/
腹汚い [はらぎたない] /(adj-i) black-hearted/nasty/
腹下し [はらくだし] /(n) (1) laxative/purgative/evacuant/(n,vs) (2) loose bowels/diarrhea/diarrhoea/
腹掛け [はらがけ] /(n) workman's apron/bib/
腹巻き [はらまき] /(n) breast-protector/stomach band/
腹詰 [ちょうづめ] /(n) sausage/
腹筋 [はらすじ] /(n,vs) (1) sit-up/(2) abdominal muscles/abs/
腹筋 [ふくきん] /(n,vs) (1) sit-up/(2) abdominal muscles/abs/
腹筋 [ふっきん] /(n,vs) (1) sit-up/(2) abdominal muscles/abs/
腹筋運動 [ふっきんうんどう] /(n) sit-ups/exercise to strengthen one's abdominal muscles/
腹具合 [はらぐあい] /(n) condition of one's stomach/
腹芸 [はらげい] /(n) expressing oneself without words or gestures/force of personality/
腹減った [はらへった] /(exp) (col) I'm hungry/
腹鼓 [はらつづみ] /(n) drumming on one's belly/having one's fill/
腹鼓を打つ [はらつずみをうつ] /(exp,v5t) to eat to one's hearts content/to drum the belly/
腹広蟷螂 [はらびろかまきり] /(n) (uk) Indo-Pacific mantis (Hierodula patellifera)/
腹腔 [ふくくう] /(n,adj-no) abdominal cavity/
腹腔 [ふくこう] /(n,adj-no) abdominal cavity/
腹腔 [ふっこう] /(n,adj-no) abdominal cavity/
腹腔鏡 [ふっこうきょう] /(n) laparoscope/
腹腔鏡手術 [ふっこうきょうしゅじゅつ] /(n) laparoscopic surgery/
腹腔内圧 [ふくくうないあつ] /(n) abdominal pressure/
腹黒い [はらぐろい] /(adj-i) mean/malicious/scheming/wicked/black-hearted/
腹子 [はらこ] /(n) fish eggs/roe/
腹持 [はらもち] /(n) ability of a food to fill you up/
腹持ち [はらもち] /(n) feeling of fullness/slow digestion/
腹時計 [はらどけい] /(n) one's internal clock/
腹式呼吸 [ふくしきこきゅう] /(n) abdominal breathing/
腹熟し [はらごなし] /(n,vs) exercise to help digestion/
腹笑い [ふくわらい] /(n) belly laugh/
腹上死 [ふくじょうし] /(n) death during sexual intercourse/
腹心 [ふくしん] /(n,adj-no) one's confidant/trusted friend/trusted retainer/(P)/
腹水 [ふくすい] /(n,adj-no) ascites/abdominal dropsy/
腹積もり [はらづもり] /(n) plan/intention/
腹積り [はらづもり] /(n) plan/intention/
腹赤 [はらあか] /(n) (1) (obsc) trout/(2) Japanese dace (Tribolodon hakonensis)/
腹赤 [はらか] /(n) (1) (obsc) trout/(2) Nibe croaker (Nibea mitsukurii)/
腹切 [はらきり] /(n) (col) ritual suicide/(self-)disembowelment/harakiri/
腹切り [はらきり] /(n) (col) ritual suicide/(self-)disembowelment/harakiri/
腹蔵 [ふくぞう] /(n) reserving one's thoughts/
腹側 [ふくそく] /(adj-no) ventral/
腹足綱 [ふくそくこう] /(n) Gastropoda (class of molluscs)/
腹足類 [ふくそくるい] /(n) gastropods/
腹帯 [はらおび] /(n) bellyband/maternity belt/
腹帯 [ふくたい] /(n) bellyband/maternity belt/
腹中 [ふくちゅう] /(n) within one/at heart/
腹痛 [はらいた] /(n) stomach ache/abdominal pain/
腹痛 [ふくつう] /(n) stomach ache/abdominal pain/(P)/
腹当て [はらあて] /(n) (wearing a) bellyband/
腹背 [ふくはい] /(n,adj-no) back and front/opposition in the heart/
腹這い [はらばい] /(n) lying on one's belly/
腹這う [はらばう] /(v5u) to lie on one's stomach/to sleep while lying on one's stomach/to crawl on the ground/to sprawl/
腹八分 [はらはちぶ] /(n) eating moderately/
腹八分目 [はらはちぶんめ] /(n) being moderate in eating/stopping short of stuffing oneself/
腹鰭 [はらびれ] /(n) pelvic fin/ventral fin/
腹部 [ふくぶ] /(n,adj-no) abdomen/(P)/
腹部穿刺 [ふくぶせんし] /(n) abdominocentesis/
腹部大動脈瘤 [ふくぶだいどうみゃくりゅう] /(n) abdominal aortic aneurysm/
腹壁 [ふくへき] /(n) abdominal wall/
腹壁膿瘍 [ふくへきのうよう] /(n) abdominal wall abscess/
腹壁反射 [ふくへきはんしゃ] /(n) abdominal wall reflex/
腹変り [はらがわり] /(n) half-sibling/
腹変わり [はらがわり] /(n) half-sibling/
腹膜 [ふくまく] /(n,adj-no) peritoneum/
腹膜炎 [ふくまくえん] /(n) peritonitis/(P)/
腹鳴 [ふくめい] /(n) rumbling stomach/noise from gas moving inside the digestive tract/borborygmus/rugitus/
腹面 [ふくめん] /(n,adj-no) ventral surface/
腹毛類 [ふくもうるい] /(n) gastrotrichs (members of a phylum of tiny bristled wormlike animals)/
腹癒 [はらいせ] /(n) retaliation/revenge/
腹癒せ [はらいせ] /(n) retaliation/revenge/
腹立たしい [はらだたしい] /(adj-i) irritating/
腹立ち [はらだち] /(n) anger/
腹立ち紛れ [はらだちまぎれ] /(adj-na) fit of anger/
腹立つ [はらだつ] /(v5t) to get angry/
腹話術 [ふくわじゅつ] /(n) ventriloquism/
腹拵え [はらごしらえ] /(n,vs) having a meal (before doing something)/fortifying oneself with a meal/
腹穢い [はらぎたない] /(adj-i) black-hearted/nasty/
複 [ふく] /(n,pref) (1) diplo-/double/(n) (2) (abbr) doubles (tennis, etc.)/(3) (abbr) place betting (in horse racing, etc.)/
複衣 [ふくい] /(n) lined garment/
複塩 [ふくえん] /(n) double salt/
複音 [ふくおん] /(n) compound note (on a harmonica)/
複眼 [ふくがん] /(n) compound eyes/
複屈折 [ふくくっせつ] /(n) double refraction/birefringence/
複号 [ふくごう] /(n) double sign (e.g. plusminus)/
複号化 [ふくごうか] /(iK) (n,vs) (comp) decryption/decipherment/decoding/
複合 [ふくごう] /(n,vs,adj-no) composite/combined/complex/(P)/
複合タンパク質 [ふくごうタンパクしつ] /(n) conjugated protein/
複合汚染 [ふくごうおせん] /(n) multiple contamination/
複合科学 [ふくごうかがく] /(n) multidisciplinary science/
複合火山 [ふくごうかざん] /(n) complex volcano/compound volcano/
複合核 [ふくごうかく] /(n) compound nucleus (physics)/
複合核過程 [ふくごうかくかてい] /(n) compound process (nuclear physics)/
複合割付け対象体 [ふくごうわりつけたいしょうたい] /(n) (comp) composite layout object/
複合企業 [ふくごうきぎょう] /(n,adj-no) conglomerate/group of companies run as a single organization/
複合機 [ふくごうき] /(n) (1) multifunction machine/(2) combination printer-copier-scanner-fax/
複合競技 [ふくごうきょうぎ] /(n) combined competition (usu. in skiing)/
複合局 [ふくごうきょく] /(n) (comp) combined station/
複合語 [ふくごうご] /(n) (ling) compound word/compound term/
複合抗生物質製剤 [ふくごうこうせいぶっしつせいざい] /(n) mixed antibiotic preparations/
複合構成部品 [ふくごうこうせいぶひん] /(n) (comp) composite component/
複合材料 [ふくごうざいりょう] /(n) composite material/
複合脂質 [ふくごうししつ] /(n) complex lipid/
複合式 [ふくごうしき] /(n) (comp) compound expression/
複合条件 [ふくごうじょうけん] /(n) (comp) complex condition/compound condition/
複合前置詞 [ふくごうぜんちし] /(n) (obsc) complex preposition/
複合体 [ふくごうたい] /(n,n-suf) complex/
複合蛋白質 [ふくごうたんぱくしつ] /(n) conjugated protein/
複合添加 [ふくごうてんか] /(n,vs) (chem) compound addition/multiple addition/
複合動詞 [ふくごうどうし] /(n) (ling) compound verb/
複合媒体 [ふくごうばいたい] /(n) multimedia/
複合表記法 [ふくごうひょうきほう] /(n) (comp) mixed notation/
複合文 [ふくごうぶん] /(n) (comp) compound statement/
複合法 [ふくごうほう] /(n) (comp) composite algorithm/
複合名詞 [ふくごうめいし] /(n) compound noun/
複合命令セットコンピューター [ふくごうめいれいセットコンピューター] /(n) (comp) CISC/Composite Instruction Set Computer/
複合免疫不全 [ふくごうめんえきふぜん] /(n) combined immunodeficiency/
複合論理対象体 [ふくごうろんりたいしょうたい] /(n) (comp) composite logical object/
複婚 [ふくこん] /(n) polygamy/
複座 [ふくざ] /(n) two-seater/
複座機 [ふくざき] /(n) two-seater aeroplane/two-seater airplane/
複雑 [ふくざつ] /(adj-na) complex/complicated/(P)/
複雑さ [ふくざつさ] /(n) complexity/(P)/
複雑化 [ふくざつか] /(n,vs) complication/
複雑怪奇 [ふくざつかいき] /(adj-na,n) complicated and mysterious/
複雑奇怪 [ふくざつきかい] /(n,adj-na) complex and mysterious (bizarre)/complicated and inscrutable/
複雑骨折 [ふくざつこっせつ] /(n) compound fracture/
複雑訴訟形態 [ふくざつそしょうけいたい] /(n) class action lawsuit/class action/
複雑多岐 [ふくざつたき] /(n,adj-na) complex and wide-ranging/labyrinthine/
複雑多様 [ふくざつたよう] /(n,adj-na) complex and multifarious/
複雑微妙 [ふくざつびみょう] /(n,adj-na) complex and subtle (delicate)/
複雑命令セットコンピュータ [ふくざつめいれいセットコンピュータ] /(n) (comp) Complex Instruction Set Computer/CISC/
複散形花序 [ふくさんけいかじょ] /(n) compound umbellate inflorescence/compound umbel/
複視 [ふくし] /(n) double vision/polyopia/
複試合 [ふくしあい] /(n) (obsc) doubles (tennis, etc.)/
複式 [ふくしき] /(n) double-entry (e.g. bookkeeping)/
複式火山 [ふくしきかざん] /(n) composite volcano/
複式学級 [ふくしきがっきゅう] /(n) combined class/
複式簿記 [ふくしきぼき] /(n) double-entry bookkeeping/
複式本体 [ふくしきほんたい] /(n) (comp) multi-part body/
複写 [ふくしゃ] /(n,vs) copy/duplicate/(P)/
複写機 [ふくしゃき] /(n) photocopying machine/
複写紙 [ふくしゃし] /(n) copying paper/
複十字 [ふくじゅうじ] /(n) double-crosspiece cross (symbol for tuberculosis prevention)/
複勝 [ふくしょう] /(n) placing bets/
複勝式 [ふくしょうしき] /(n) place betting (in horse racing, etc.)/
複数 [ふくすう] /(n,adj-no) several/plural/plurality/multiple/(P)/
複数カラム文字 [ふくすうカラムもじ] /(n) (comp) multicolumn character/
複数バイト文字 [ふくすうバイトもじ] /(n) (comp) multi byte character/
複数フレーム伝送 [ふくすうフレームでんそう] /(n) (comp) multiple frame transmission/
複数ワード [ふくすうワード] /(n) (comp) multi word/
複数回 [ふくすうかい] /(n) plural (number)/
複数拠点 [ふくすうきょてん] /(n) (comp) multiple locations/multipoint/
複数業務 [ふくすうぎょうむ] /(n) (comp) multi-tasking/
複数形 [ふくすうけい] /(n) plural form/
複数個 [ふくすうこ] /(n) multitude/
複数行 [ふくすうぎょう] /(n) (comp) multiline (command, e.g.)/
複数層試験 [ふくすうそうしけん] /(n) (comp) multi-layer testing/
複数地点 [ふくすうちてん] /(n) (comp) multiple locations/
複数文字 [ふくすうもじ] /(n,adj-no) (comp) multicharacter/
複成火山 [ふくせいかざん] /(n) polygenetic volcano/
複星 [ふくせい] /(n) multiple star/
複製 [ふくせい] /(n,vs,adj-no) reproduction/duplication/reprinting/(P)/
複製品 [ふくせいひん] /(n) copy/reproduction/replica/facsimile/
複製防止技術 [ふくせいぼうしぎじゅつ] /(n) anticopying technology/
複占 [ふくせん] /(n) duopoly/
複線 [ふくせん] /(n) double track/two-track line/
複素 [ふくそ] /(adj-no) (1) complex/(n) (2) (math) complex (number)/
複素解析 [ふくそかいせき] /(n) (math) complex analysis/
複素環式化合物 [ふくそかんしきかごうぶつ] /(n) heterocyclic compound/
複素区間 [ふくそくかん] /(n) (comp) complex interval/
複素数 [ふくそすう] /(n) complex compound number (a + bi)/complex number/
複素数体 [ふくそすうたい] /(n) (math) field of complex numbers/
複素定数 [ふくそていすう] /(n) (comp) complex constant/
複層ガラス [ふくそうガラス] /(n) multi-layered glass (e.g. double or triple glazing)/insulated glazing/
複相 [ふくそう] /(n,adj-no) diploid phase/
複総状花序 [ふくそうじょうかじょ] /(n) compound raceme/
複電 [ふくでん] /(iK) (n) restoration of power (e.g. after power failure)/
複比例 [ふくひれい] /(n) compound proportion/
複複線 [ふくふくせん] /(n) four-track rail line/
複文 [ふくぶん] /(n) (ling) complex sentence/
複母音 [ふくぼいん] /(n) diphthong/
複峰性 [ふくほうせい] /(adj-no) bimodal/
複方 [ふくほう] /(n) compound drug/
複本 [ふくほん] /(n) duplicate/copy/
複本位 [ふくほんい] /(n) double standard/
複本位制 [ふくほんいせい] /(n) bimetallism/
複葉 [ふくよう] /(n) compound leaf/biplane/
複葉機 [ふくようき] /(n) biplane/
複利 [ふくり] /(n) compound interest/(P)/
複利法 [ふくりほう] /(n) compound interest method/
覆い [おおい] /(n) mantle/cover/shroud/hood/
覆いかくす [おおいかくす] /(v5s) to mask/to cover/
覆いかぶさる [おおいかぶさる] /(v5r,vi) to hang over/to cover/
覆いかぶせる [おおいかぶせる] /(v1,vt) to cover up with something/
覆い隠す [おおいかくす] /(v5s) to mask/to cover/
覆い被さる [おおいかぶさる] /(v5r,vi) to hang over/to cover/
覆い被せる [おおいかぶせる] /(v1,vt) to cover up with something/
覆う [おおう] /(v5u,vt) to cover/to hide/to conceal/to wrap/to disguise/(P)/
覆す [くつがえす] /(v5s,vt) to overturn/to upset/to overthrow/to undermine/(P)/
覆る [くつがえる] /(v5r,vi) (1) to topple over/to be overturned/to capsize/(2) to be overruled/to be reversed/to be discredited/(P)/
覆われ [おおわれ] /(n,adj-no) cover (e.g. of snow, trees, etc.)/
覆刻 [ふっこく] /(n,vs) republishing/reissuing/
覆審 [ふくしん] /(n) judicial review/
覆水盆に帰らず [ふくすいぼんにかえらず] /(iK) (exp) what's done is done (lit: spilt water won't go back into its tray)/that's water under the bridge/it is no use crying over spilt milk/
覆水盆に返らず [ふくすいぼんにかえらず] /(exp) what's done is done (lit: spilt water won't go back into its tray)/that's water under the bridge/it is no use crying over spilt milk/
覆土 [ふくど] /(n,vs) covering seeds with soil/
覆鉢 [ふくばち] /(n) (obsc) fukubachi (inverted bowl-shaped part of a pagoda finial)/
覆没 [ふくぼつ] /(n,vs) capsizing and sinking/
覆滅 [ふくめつ] /(n,vs) ruination/
覆面 [ふくめん] /(n,vs) mask/veil/disguise/(P)/
覆面パトカー [ふくめんパトカー] /(n) unmarked police car/
覆輪 [ふくりん] /(n) ornamental border/
覆輪馬酔木 [ふくりんあせび] /(n) Pieris japonica/fukurin/Lily of the valley bush/andromeda/
覆輪梔子 [ふくりんくちなし] /(n) (obsc) Fukurin gardenia/Gardenia jasminoide/
淵 [ふち] /(n) deep pool/abyss/the depths/(P)/
淵源 [えんげん] /(n,vs) origin/
淵酔 [えんすい] /(n) (1) type of imperial banquet held during the Heian period and later/(2) (arch) being dead drunk/being very drunk/
淵酔 [えんずい] /(n) (1) type of imperial banquet held during the Heian period and later/(2) (arch) being dead drunk/being very drunk/
淵叢 [えんそう] /(n) gathering spot/center/centre/
弗化 [ふっか] /(n,vs) (1) fluoridation/(pref) (2) fluoro-/fluor/(adj-no) (3) fluorinated/
弗化カルシウム [ふっかカルシウム] /(n) calcium fluoride (CaF2)/
弗化水素 [ふっかすいそ] /(n) hydrogen fluoride/HF/
弗化水素酸 [ふっかすいそさん] /(n) hydrofluoric acid/
弗化物 [ふっかぶつ] /(n) fluoride/
弗酸 [ふっさん] /(n) (abbr) hydrofluoric acid/
弗素 [ふっそ] /(n) fluorine (F)/
払い [はらい] /(n) (1) payment/bill/account/(2) sweeping/clearing away/(3) sweeping stroke (e.g. when writing kanji)/(P)/
払いきる [はらいきる] /(v5r) to pay off completely (i.e. a loan)/
払いのける [はらいのける] /(v1,vt) to ward off/to brush away/to fling off/to drive away/
払い下げ [はらいさげ] /(n) disposal (usu. of unwanted government assets)/sale/
払い下げる [はらいさげる] /(v1,vt) to make a sale of government property/
払い下げ品 [はらいさげひん] /(n) articles disposed of or sold off by the government/
払い過ぎ [はらいすぎ] /(n) overpayment/
払い込み [はらいこみ] /(n) payment/
払い込む [はらいこむ] /(v5m,vt) to deposit/to pay in/(P)/
払い残り [はらいのこり] /(n) balance due/arrears/
払い出し [はらいだし] /(n) paying out/
払い出す [はらいだす] /(v5s,vt) to pay (out)/to drive away/
払い除ける [はらいのける] /(v1,vt) to ward off/to brush away/to fling off/to drive away/
払い清める [はらいきよめる] /(v1,vt) to purify/to exorcise/
払い切る [はらいきる] /(v5r) to pay off completely (i.e. a loan)/
払い退ける [はらいのける] /(v1,vt) to ward off/to brush away/to fling off/to drive away/
払い超 [はらいちょう] /(n) deficit in long-term capital/
払い渡す [はらいわたす] /(v5s,vt) to pay/to pay out/to pay over/
払い物 [はらいもの] /(n) discarded article/
払い戻し [はらいもどし] /(n,vs) repayment/refund/payback/(P)/
払い戻す [はらいもどす] /(v5s,vt) to repay/to pay back/(P)/
払い落とす [はらいおとす] /(v5s) to brush off/to shake off/
払う [はらう] /(v5u,vt) (1) to pay (e.g. money, a bill, one's taxes, etc.)/(2) to brush/to wipe/to clear away/to dust off/to prune away branches/(3) to drive away (e.g. one's competitors)/to sweep out/(P)/
払暁 [ふつぎょう] /(n-adv,n-t) dawn/daybreak/
払込み [はらいこみ] /(n) payment/
払込資本 [はらいこみしほん] /(n) paid-in capital/
払子 [ほっす] /(n) priest's horsehair flapper/brush of long, white hair/
払出し [はらいだし] /(n) paying out/
払出す [はらいだす] /(v5s,vt) to pay (out)/to drive away/
払拭 [ふっしき] /(n,vs) wiping out/sweeping away/
払拭 [ふっしょく] /(n,vs) wiping out/sweeping away/(P)/
払底 [ふってい] /(n,vs) shortage/scarcity/dearth/famine/
払戻し [はらいもどし] /(n,vs) repayment/refund/payback/
払戻す [はらいもどす] /(v5s,vt) to repay/to pay back/
沸々 [ふつふつ] /(adj-na) simmer/bubble out/flow out/
沸かし湯 [わかしゆ] /(n) hot water (esp. cold mineral spring water heated up at the right temperature for bathing)/
沸かす [わかす] /(v5s,vt) (1) to boil/to heat/(2) to excite/(3) (arch) to melt (metal)/(P)/
沸きが早い [わきがはやい] /(exp,adj-i) quick to warm up (e.g. of a kettle)/
沸き起こる [わきおこる] /(v5r,vi) to well up/to burst/to arise/
沸き起る [わきおこる] /(v5r,vi) to well up/to burst/to arise/
沸き出す [わきだす] /(iK) (v5s) to gush out/
沸き出る [わきでる] /(iK) (v1,vi) to gush forth/
沸き上がる [わきあがる] /(v5r,vi) (1) to boil up/to come to the boil/to seethe/(2) to arise/to break out/(3) to get excited/to be in uproar/
沸き上る [わきあがる] /(v5r,vi) (1) to boil up/to come to the boil/to seethe/(2) to arise/to break out/(3) to get excited/to be in uproar/
沸き返る [わきかえる] /(v5r,vi) (1) to boil up/to break out/to arise/to seethe/(2) to get excited/to be in uproar/
沸き立つ [わきたつ] /(v5t,vi) (1) to boil strongly/(2) to be excited/
沸く [わく] /(v5k,vi) (1) to grow hot (of water, etc.)/to boil/(2) to be in a state of excitement/to get excited/to take place energetically/(P)/
沸石 [ふっせき] /(n) zeolite/
沸点 [ふってん] /(n) boiling point/
沸騰 [ふっとう] /(n,vs) boiling/seething/(P)/
沸騰水型原子炉 [ふっとうすいがたげんしろ] /(n) boiling-water reactor/BWR/
沸騰点 [ふっとうてん] /(n) boiling point/
沸沸 [ふつふつ] /(adj-na) simmer/bubble out/flow out/
仏 [ふつ] /(n) (abbr) France/
仏 [ぶつ] /(n) Buddha/Buddhism/
仏 [ほとけ] /(n) (1) Buddha/merciful person/Buddhist image/(2) the dead/(P)/
仏の顔も三度 [ほとけのかおもさんど] /(exp) to try the patience of a saint/
仏の座 [ほとけのざ] /(n) (1) (uk) henbit deadnettle (Lamium amplexicaule)/henbit/(2) Japanese nipplewort (Lapsanastrum apogonoides)/
仏位 [ぶつい] /(n) (Buddh) buddha state (ultimate level of Buddhist enlightenment)/buddhahood/
仏印 [ふついん] /(n) French Indo-China/
仏英辞典 [ふつえいじてん] /(n) French-English dictionary/
仏縁 [ぶつえん] /(n) Buddha's providence/
仏恩 [ぶつおん] /(n) grace of Buddha/indebtedness to Buddha/
仏家 [ぶっけ] /(n) Buddhist priest/
仏果 [ぶっか] /(n) Buddhahood/Nirvana/
仏花 [ぶっか] /(n) flowers or flower arrangements for a butsudan (household Buddhist altar)/
仏花 [ぶつか] /(n) flowers or flower arrangements for a butsudan (household Buddhist altar)/
仏花 [ぶつばな] /(n) flowers or flower arrangements for a butsudan (household Buddhist altar)/
仏貨 [ふっか] /(n) francs/
仏牙 [ぶつげ] /(n) (Buddh) tooth of Buddha recovered from his cremated ashes/
仏画 [ぶつが] /(n) Buddhist picture/
仏会 [ぶつえ] /(n) Buddhist memorial service/
仏界 [ぶっかい] /(n) (1) Pure Land/(2) spiritual realm of Buddhahood/
仏閣 [ぶっかく] /(n) Buddhist temple/
仏学 [ぶつがく] /(n) Buddhist learning/
仏艦 [ふつかん] /(n) French warship/
仏間 [ぶつま] /(n) Buddhist family chapel/altar room/
仏眼 [ぶつげん] /(n) (Buddh) the Buddha eye/
仏顔 [ほとけがお] /(n) gentle face/
仏器 [ぶっき] /(n) Buddhist altar fittings/
仏気 [ほとけぎ] /(n) compassionate heart/
仏教 [ぶっきょう] /(n) Buddhism/(P)/
仏教を広める [ぶっきょうをひろめる] /(exp,v1) to propagate Buddhism/
仏教音楽 [ぶっきょうおんがく] /(n) Buddhist music/
仏教家 [ぶっきょうか] /(n) Buddhist/researcher of Buddhism/
仏教絵画 [ぶっきょうかいが] /(n) Buddhist painting/
仏教思想 [ぶっきょうしそ] /(n) (Buddh) Buddhist thought/Buddhist concept/
仏教書 [ぶっきょうしょ] /(n) Buddhist writings/
仏教徒 [ぶっきょうと] /(n) Buddhists/
仏教美術 [ぶっきょうびじゅつ] /(n) Buddhist art/
仏暁 [ふつぎょう] /(iK) (n-adv,n-t) dawn/daybreak/
仏具 [ぶぐ] /(n) Buddhist altar equipment/
仏具 [ぶつぐ] /(n) Buddhist altar equipment/
仏桑花 [ぶっそうげ] /(n) (uk) Chinese hibiscus (Hibiscus rosa-sinensis)/
仏桑華 [ぶっそうげ] /(n) (uk) Chinese hibiscus (Hibiscus rosa-sinensis)/
仏経 [ぶっきょう] /(n) Buddhist sutras/
仏詣 [ぶっけい] /(n) act of visiting a Shinto shrine or Buddhist temple/
仏語 [ふつご] /(n) French (language)/(P)/
仏語 [ぶつご] /(n) Buddhist term/
仏光寺派 [ぶっこうじは] /(n) Bukkouji sect (of Shin Buddhism)/
仏工 [ぶっこう] /(n) maker of Buddhist images and altar fittings/
仏国 [ふっこく] /(n) France/
仏座 [ぶつざ] /(n) Buddhist image seat/temple pulpit/
仏作 [ほとけづくる] /(n,vs) becoming haggard/
仏参 [ぶっさん] /(n,vs) visit to a Buddhist temple/
仏師 [ぶっし] /(n) Buddhist image maker/
仏誌 [ふつし] /(n) French publication (magazine, newspaper, etc.)/
仏事 [ぶつじ] /(n) Buddhist memorial service/
仏寺 [ぶつじ] /(n) Buddhist temple/
仏式 [ふつしき] /(n) (1) French style/(2) Presta valve (bicycle)/
仏式 [ぶっしき] /(n) Buddhist ritual/
仏舎利 [ぶっしゃり] /(n) Buddha's ashes/
仏者 [ぶっしゃ] /(n) Buddhist/Buddhist priest/
仏手柑 [ぶしゅかん] /(n) Buddha's hand/fingered citron (Citrus medica sarcodactylus)/
仏手柑 [ぶっしゅかん] /(n) Buddha's hand/fingered citron (Citrus medica sarcodactylus)/
仏種 [ぶっしゅ] /(n) (1) (Buddh) seed of Buddhahood/(2) something that makes it possible to attain Buddhahood/(3) teaching of Buddha which make it possible to be enlightened/
仏臭い [ほとけくさい] /(adj-i) otherwordly/sanctimonious/
仏十号 [ぶつじゅうごう] /(n) (obsc) ten epithets of Buddha/
仏所 [ぶっしょ] /(n) (1) place containing a Buddhist image/(2) place containing a buddha (e.g. the pure land)/(3) independent workshop of Buddhist sculptors (from the Heian period onward)/
仏書 [ぶっしょ] /(n) Buddhist scriptures/
仏心 [ぶっしん] /(n) the Buddha heart/the Buddha mind/
仏心 [ほとけごころ] /(n) the Buddha heart/the Buddha mind/
仏心宗 [ぶっしんしゅう] /(n) (obsc) Zen (Buddhism)/
仏身 [ぶっしん] /(n) (Buddh) buddhakaya (the body of Buddha)/
仏人 [ふつじん] /(n) French/
仏図 [ふと] /(n) (1) Buddha/(2) stupa/(3) Buddhist temple/(4) Buddhist monk/
仏性 [ぶっしょう] /(n) the Buddha nature/
仏性 [ほとけしょう] /(n) the Buddha nature/
仏生会 [ぶっしょうえ] /(n) Buddha's birthday celebration/
仏跡 [ぶっせき] /(n) place sacred to Buddhism/
仏説 [ぶっせつ] /(n) Buddha's teaching/
仏前 [ぶつぜん] /(n) before the Buddha or a mortuary tablet/
仏祖 [ぶっそ] /(n) Founder of Buddhism/
仏僧 [ぶっそう] /(n) Buddhist priest/
仏葬 [ぶっそう] /(n) Buddhist funeral/
仏像 [ぶつぞう] /(n) Buddhist image (statue)/(P)/
仏像二座 [ぶつぞうにざ] /(n) two images of Buddha/
仏像二体 [ぶつぞうにたい] /(n) two images of Buddha/
仏足石 [ぶっそくせき] /(n) footprint of the Buddha carved in stone/
仏陀 [ぶっだ] /(n) Buddha/
仏陀 [ぶつだ] /(n) Buddha/
仏壇 [ぶつだん] /(n) Buddhist (household) altar/(P)/
仏恥義理 [ぶっちぎり] /(ateji) (n) (uk) winning (a race) by a wide margin/
仏智 [ぶっち] /(n) (Buddh) omniscience (of a buddha)/
仏頂 [ぶっちょう] /(n) (1) crown of a buddha's head/(n,adj-na) (2) brusqueness/grumpiness/
仏頂尊勝 [ぶちょうそんしょう] /(n) (Buddh) Usnisavijaya/Victorious Goddess of the Chignon/
仏頂面 [ぶっちょうづら] /(n) sour look/
仏泥鰌 [ほとけどじょう] /(n) (uk) Japanese eight-barbel loach (species of freshwater fish, Lefua echigonia)/
仏典 [ぶってん] /(n) Buddhist scriptures/sutras/
仏殿 [ぶつでん] /(n) Buddhist temple/
仏徒 [ぶっと] /(n) Buddhist/
仏土 [ぶつど] /(n) (1) (Buddh) realm of a Buddha/Pure Land/paradise/(2) (Buddh) Buddhist country/land where Buddha has appeared to spread his teachings/
仏倒し [ほとけだおし] /(n) falling to the ground like a Buddha statue being thrown down/
仏塔 [ぶっとう] /(n) pagoda/
仏堂 [ぶつどう] /(n) Buddhist temple/
仏道 [ぶつどう] /(n) Buddhism/Buddhist teachings/
仏噸 [ふつとん] /(n) metric ton/
仏馬力 [ふつばりき] /(n) French horse-power/metric horsepower/
仏文 [ふつぶん] /(n) French/French writing/French literature/(P)/
仏文科 [ふつぶんか] /(n) department of French literature/
仏文学 [ふつぶんがく] /(n) French literature/
仏法 [ぶっぽう] /(n) Buddhism/
仏法僧 [ぶっぽうそう] /(n) (1) (Buddh) Buddha, Dharma, Sangha (the Buddha, the teachings, and the spiritual community)/(2) (uk) dollarbird (Eurystomus orientalis)/(3) (uk) roller (any bird of family Coraciidae)/(4) Eurasian scops owl (Otus scops)/
仏幕 [ぶつまく] /(n) coloured curtains hanging from the eaves of a Buddhist temple/
仏名 [ぶつみょう] /(n) Buddha's name/
仏滅 [ぶつめつ] /(n) (1) Buddha's death/(2) very unlucky day (according to old almanacs)/
仏滅日 [ぶつめつにち] /(n) (arch) very unlucky day (according to old almanacs)/
仏門 [ぶつもん] /(n) Buddhism/priesthood/
仏様 [ほとけさま] /(n) (1) a Buddha/(2) deceased person/
仏蘭西 [ふらんす] /(n,adj-no) (uk) France/
仏領 [ふつりょう] /(n) French possession/French territory/
仏領ギアナ [ふつりょうギアナ] /(n) French Guiana/
仏力 [ぶつりき] /(n) the power of Buddha/
仏刹 [ぶっさつ] /(n) Buddhist temple/
仏刹 [ぶっせつ] /(n) Buddhist temple/
物 [ぶつ] /(n) (1) (uk) (sl) stock/products/(2) stolen goods/loot/spoils/
物 [もの] /(n) (1) thing/object/(2) (uk) the natural thing/a frequently done thing/(3) (uk) used to express emotional involvement/(4) (uk) used in giving a reason/(P)/
物 [もん] /(n) (1) thing/object/(2) (uk) the natural thing/a frequently done thing/(3) (uk) used to express emotional involvement/(4) (uk) used in giving a reason/
物々しい [ものものしい] /(adj-i) (1) strict (e.g. security)/heavy (e.g. guard)/(2) showy/pretentious/ostentatious/overdone/exaggerated/(3) impressive/imposing/pompous/stately/solemn/
物々交換 [ぶつぶつこうかん] /(n) bartering/
物うげ [ものうげ] /(adj-na) languorous/weary/listless/
物おじ [ものおじ] /(n,vs) cowardice/timidity/bashfulness/
物がある [ものがある] /(exp,v5r-i) sentence-ending expression of strong judgement/
物が言えない [ものがいえない] /(exp) speechless (with amazement)/struck dumb/
物ごい [ものごい] /(n,vs) beggar/begging/
物ともしない [ものともしない] /(exp) (uk) ignoring/acting as if it is nothing/
物ともせず [ものともせず] /(adv) (uk) in the face of/in defiance of/
物なら [ものなら] /(exp) (uk) if I (we, etc.) could/
物なら [もんなら] /(exp) (uk) if I (we, etc.) could/
物ならず [ものならず] /(exp) presenting no difficulty/not hard/
物にする [ものにする] /(exp,vs-i) to win a girl's heart/to ingrain into oneself/to take possession of/"to make it mine"/
物になる [ものになる] /(exp,v5r) to prove successful/to come to good/to take hold/
物に似ず [ものににず] /(exp) (arch) incomparable/
物に成る [ものになる] /(exp,v5r) to prove successful/to come to good/to take hold/
物の [ものの] /(adj-pn) only .../no more than .../a matter of/
物のついで [もののついで] /(exp) take the opportunity to (do something else)/
物の哀れ [もののあわれ] /(n) strong aesthetic sense/appreciation of the fleeting nature of beauty/pathos of things/
物の怪 [もののけ] /(n) (vengeful) ghost/specter/spectre/
物の気 [もののけ] /(n) (vengeful) ghost/specter/spectre/
物の具 [もののぐ] /(n) (1) (arch) tools/implements/(2) (arch) imperial court dress/(3) (arch) arms/armor/
物の見事に [もののみごとに] /(exp,adv) splendidly/brilliantly/
物の序で [もののついで] /(exp) take the opportunity to (do something else)/
物の数ではない [もののかずではない] /(exp) nothing special/nothing significant/
物の数に入らない [もののかずにはいらない] /(adj-i) off the map/insignificant/
物の道理 [もののどうり] /(n) the principle of the thing/
物の分かった [もののわかった] /(adj-f) fair-minded/sensible/
物はいいよう [ものはいいよう] /(exp) (uk) smooth words make smooth ways/it's not what you say, it's how you say it/
物は言いよう [ものはいいよう] /(exp) (uk) smooth words make smooth ways/it's not what you say, it's how you say it/
物は言い様 [ものはいいよう] /(exp) (uk) smooth words make smooth ways/it's not what you say, it's how you say it/
物は考え様 [ものはかんがえよう] /(exp) (id) It depends on how you look at it/
物は使い様 [ものはつかいよう] /(exp) (id) It depends on how you use it/
物は試し [ものはためし] /(exp) (id) The proof of the pudding is in the eating/
物は相談 [ものはそうだん] /(exp) (id) Lend me your ears a while/
物まね [ものまね] /(n,vs) (uk) mimicry/imitation (of someone, something)/
物も言いよう [ものもいいよう] /(exp) (id) To make or mar depends on the telling/
物も言いようで角が立つ [ものもいいようでかどがたつ] /(exp,v5t) (id) Harsh words make the going rough/People may be offended (or not) by the way you speak/
物も言い様 [ものもいいよう] /(exp) (id) To make or mar depends on the telling/
物も言い様で角が立つ [ものもいいようでかどがたつ] /(exp,v5t) (id) Harsh words make the going rough/People may be offended (or not) by the way you speak/
物わかり [ものわかり] /(n) understanding (of people's circumstances and feelings)/perceptiveness/sympathy/wisdom/
物を言う [ものをいう] /(exp,v5u) (1) to speak (of something)/(2) to be effective/to be powerful/to mean everything/
物哀しい [ものがなしい] /(adj-i) sad/melancholy/
物哀れ [ものあわれ] /(adj-na) somewhat pitiful/
物案じ [ものあんじ] /(n,vs) anxiety/worry/
物蔭 [ものかげ] /(n) cover/under cover/shelter/hiding/
物陰 [ものかげ] /(n) cover/under cover/shelter/hiding/(P)/
物影 [ものかげ] /(n) form/shape/figure/
物越し [ものごし] /(n) with something in between/
物音 [ものおと] /(n) sounds/(P)/
物化 [ぶっか] /(n,vs) (1) changing/becoming/(2) death/
物価 [ぶっか] /(n) prices of commodities/prices (in general)/cost-of-living/(P)/
物価高 [ぶっかだか] /(n) high prices of commodities/
物価指数 [ぶっかしすう] /(n) a price index/(P)/
物価上昇 [ぶっかじょうしょう] /(n) price increase/prise rise/
物価上昇率 [ぶっかじょうしょうりつ] /(n) price escalation rate/price increase rate/inflation/
物価水準 [ぶっかすいじゅん] /(n) price level/
物価統制 [ぶっかとうせい] /(n) price control/
物価騰貴 [ぶっかとうき] /(n) price rise/
物価変動 [ぶっかへんどう] /(n) price fluctuation/
物解りの良い [ものわかりのいい] /(n) sensible/understanding/
物解りの良い [ものわかりのよい] /(n) sensible/understanding/
物怪 [もけ] /(ok) (adj-no,adj-na,n) (uk) unexpected/
物怪 [もっけ] /(adj-no,adj-na,n) (uk) unexpected/
物怪の幸い [もっけのさいわい] /(exp) windfall/piece of good luck/
物外 [ぶつがい] /(n) transcendent world/world outside of the material world/somewhere removed from the world/
物覚え [ものおぼえ] /(n) memory/(P)/
物活論 [ぶっかつろん] /(n,adj-no) animism/hylozoism/
物干 [ものほし] /(io) (n) frame for drying clothes/clotheshorse/
物干し [ものほし] /(n) frame for drying clothes/clotheshorse/(P)/
物干し竿 [ものほしざお] /(n) pole on which to hang laundry for drying/clothesline/
物干し綱 [ものほしづな] /(n) clothesline/
物干し場 [ものほしば] /(n) place for drying laundry/
物干し台 [ものほしだい] /(n) clothes-drying platform/place for drying laundry/
物干台 [ものほしだい] /(n) clothes-drying platform/place for drying laundry/
物忌 [ぶっき] /(n,vs) fasting/abstinence/confinement to one's house on an unlucky day/
物忌 [ものいまい] /(n,vs) fasting/abstinence/confinement to one's house on an unlucky day/
物忌 [ものいみ] /(n,vs) fasting/abstinence/confinement to one's house on an unlucky day/
物忌み [ものいみ] /(n,vs) fasting/abstinence/confinement to one's house on an unlucky day/
物議 [ぶつぎ] /(n) public discussion (criticism)/(P)/
物議を醸す [ぶつぎをかもす] /(exp,v5s) to give rise to hostile comment/to arouse criticism/to provoke/to cause a controversy/
物議騒然 [ぶつぎそうぜん] /(n,adj-t,adv-to) tumultuous public discussion/noisy public criticism/
物恐しい [ものおそろしい] /(exp) (impalpable sense of) fright or horror/
物恐ろしい [ものおそろしい] /(exp) (impalpable sense of) fright or horror/
物狂 [ぶっきょう] /(adj-no,n) (1) (arch) mad/insane/(2) (arch) very surprised/
物狂い [ものぐるい] /(n) insanity/an insane person/
物狂おしい [ものぐるおしい] /(adj-i) frantic/like mad/
物詣 [ぶっけい] /(n) act of visiting a Shinto shrine or Buddhist temple/
物詣 [ものもうで] /(n,vs) visiting a temple/
物詣で [ものもうで] /(n,vs) visiting a temple/
物件 [ぶっけん] /(n) article/thing/(P)/
物件費 [ぶっけんひ] /(n) cost of equipment/
物堅い [ものがたい] /(adj-i) honest/upright/faithful/reliable/
物権 [ぶっけん] /(n) (legal terminology) real rights/
物見 [ものみ] /(n) sightseeing/a scout/keeping watch/
物見高い [ものみだかい] /(adj-i) burning curiosity/
物見遊山 [ものみゆさん] /(n) going on a pleasure jaunt/
物見櫓 [ものみやぐら] /(n) watchtower/
物言い [ものいい] /(n) (1) manner of speaking/(2) verbal argument/(3) objection/protesting a decision (esp. that of a sumo referee)/(4) rumor/rumour/(P)/
物言う [ものいう] /(v5u,vt) to talk/to carry meaning/
物言えば唇寒し秋の風 [ものいえばくちびるさむしあきのかぜ] /(exp) (id) Silence is golden/
物言わねば腹膨る [ものいわねばはらふくる] /(exp) (id) Feel uneasy if something is left unsaid/
物故 [ぶっこ] /(n,vs) death/
物故者 [ぶっこしゃ] /(n) dead person/the deceased/
物語 [ものがたり] /(n,vs,adj-no) tale/story/legend/(P)/
物語る [ものがたる] /(v5r,vt) to tell/to indicate/(P)/
物乞 [ものごい] /(io) (n,vs) beggar/begging/
物乞い [ものごい] /(n,vs) beggar/begging/
物好き [ものずき] /(adj-na,n) (idle) curiosity/(P)/
物腰 [ものごし] /(n) manner/demeanour/demeanor/bearing/(P)/
物腰の柔らかい [ものごしのやわらかい] /(n) gentle-mannered/
物差 [ものさし] /(n) ruler/measure/(P)/
物差し [ものさし] /(n) ruler/measure/(P)/
物作り [ものつくり] /(n) (1) manufacturing/craftsmanship/making things by hand/(2) making New-Year's decorations/(3) preparing fields/farming/farmer/
物作り [ものづくり] /(n) (1) manufacturing/craftsmanship/making things by hand/(2) making New-Year's decorations/(3) preparing fields/farming/farmer/
物産 [ぶっさん] /(n) product/(P)/
物産会社 [ぶっさんかいしゃ] /(ik) (n) products trading company/
物産会社 [ぶっさんがいしゃ] /(n) products trading company/
物思い [ものおもい] /(n) reverie/meditation/anxiety/thought/pensiveness/
物指 [ものさし] /(n) ruler/measure/(P)/
物指し [ものさし] /(n) ruler/measure/(P)/
物資 [ぶっし] /(n) goods/materials/(P)/
物事 [ものごと] /(n) things/everything/(P)/
物持 [ものもち] /(n) (1) rich person/wealthy person/(2) taking good care of things/keeping things for a long time and taking care of them/
物持ち [ものもち] /(n) (1) rich person/wealthy person/(2) taking good care of things/keeping things for a long time and taking care of them/
物自体 [ものじたい] /(n) Ding an sich/thing in itself/
物識り [ものしり] /(n) well-informed person/walking dictionary/extensive knowledge/
物質 [ぶっしつ] /(n) material/substance/(P)/
物質界 [ぶっしつかい] /(n) material world/
物質交代 [ぶっしつこうたい] /(n) substance metabolism/
物質主義 [ぶっしつしゅぎ] /(n,adj-no) materialism/
物質主義者 [ぶっしつしゅぎしゃ] /(n) a materialist/
物質代謝 [ぶっしつたいしゃ] /(n,adj-no) metabolism/
物質的 [ぶっしつてき] /(adj-na) material/physical/(P)/
物質特許 [ぶっしつとっきょ] /(n) substance patent/
物質波 [ぶっしつは] /(n) matter wave (physics)/
物質文明 [ぶっしつぶんめい] /(n) material civilization/material civilisation/
物質名詞 [ぶっしつめいし] /(n) (ling) material noun/
物質量 [ぶっしつりょう] /(n) amount of substance/
物寂しい [ものさびしい] /(adj-i) lonely/
物取り [ものとり] /(n) thief/robber/
物種 [ものだね] /(n) origin/fundamental element/
物臭 [ものぐさ] /(adj-na,n) laziness/lazy person/
物臭い [ものぐさい] /(adj-i) troublesome/bothersome/burdensome/
物柔らか [ものやわらか] /(adj-na,n) mild/mild-mannered/gentle/
物書 [ものかき] /(n) writer/copyist/
物書き [ものかき] /(n) writer/copyist/
物笑い [ものわらい] /(n) a laughingstock/a standing joke/
物証 [ぶっしょう] /(n) evidence/exhibit/(P)/
物象 [ぶっしょう] /(n) object/natural phenomenon/science of inanimate nature/
物情 [ぶつじょう] /(n) public feeling/state of things/
物情騒然 [ぶつじょうそうぜん] /(adj-t,adv-to) unrest prevailing/turmoil reigning/
物色 [ぶっしょく] /(n,vs) (1) looking for a particular person or thing/searching high and low/hunting for/rummaging/scouring (a place) looking for (something)/(2) picking out/singling out/
物心 [ぶっしん] /(n) matter and mind/
物心 [ものごころ] /(n) awareness of things around one/ability to understand what is going on around oneself/judgment/judgement/discretion/(P)/
物心がつく [ものごころがつく] /(exp,v5k) to become old enough to understand what's going on around oneself (of a child, etc.)/to reach the age of discretion/
物心が付く [ものごころがつく] /(exp,v5k) to become old enough to understand what's going on around oneself (of a child, etc.)/to reach the age of discretion/
物心ついて以来 [ものごころついていらい] /(exp) for as long as one can remember/
物心一如 [ぶっしんいちにょ] /(exp) Matter and mind are one/body and mind as one/
物心両面 [ぶっしんりょうめん] /(n) both material and moral/both physically and psychologically (spiritually)/
物新しい [ものあたらしい] /(adj-i) feeling vaguely new/
物申す [ものもうす] /(v5s,vi) to speak/to object/
物真似 [ものまね] /(n,vs) (uk) mimicry/imitation (of someone, something)/
物神性 [ぶっしんせい] /(n) fetish character (in Marx's commodity fetishism)/
物神論 [ぶっしんろん] /(n) hylotheism (pantheism identifying god with matter)/
物尽し [ものづくし] /(n) being complete/comprehensive/exhaustive/
物数奇 [ものずき] /(adj-na,n) (idle) curiosity/
物凄い [ものすごい] /(adj-i) earth-shattering/staggering/to a very great extent/terrible/frightful/horrible/(P)/
物性 [ぶっせい] /(n) physical properties/properties of matter/physicality/
物性学 [ぶっせいがく] /(n) materials science/
物性物理学 [ぶっせいぶつりがく] /(n) condensed matter physics/
物静か [ものしずか] /(adj-na,n) quiet/still/calm/
物税 [ぶつぜい] /(n) tax on goods and personal possessions/
物惜しみ [ものおしみ] /(n,vs) stinginess/
物洗貝 [ものあらがい] /(n) (uk) Japanese big-ear radix (pond snail, Radix auricularia japonica)/
物前 [ものまえ] /(n) (1) (arch) just before a war/(2) (arch) day before a holiday/(3) (arch) day before the one on which prostitutes were forced to accept customers/
物相飯 [もっそうめし] /(n) food served to prisoners/
物騒 [ぶっそう] /(adj-na,n) dangerous/disturbed/insecure/(P)/
物騒がしい [ものさわがしい] /(adj-i) noisy/boisterous/turbulent/
物造り [ものつくり] /(n) (1) manufacturing/craftsmanship/making things by hand/(2) making New-Year's decorations/(3) preparing fields/farming/farmer/
物造り [ものづくり] /(n) (1) manufacturing/craftsmanship/making things by hand/(2) making New-Year's decorations/(3) preparing fields/farming/farmer/
物足りない [ものたりない] /(adj-i) unsatisfied/unsatisfactory/(P)/
物損 [ぶっそん] /(n) property damage (i.e. as from an accident)/
物損事故 [ぶっそんじこ] /(n) traffic accident resulting in property damage/
物体 [ぶったい] /(n) body/object/(P)/
物体 [もったい] /(n) (1) superior airs/air of importance/(2) overemphasis/
物体ない [もったいない] /(adj-i) (1) (uk) impious/profane/sacrilegious/(2) too good/more than one deserves/unworthy of/(3) wasteful/
物体無い [もったいない] /(adj-i) (1) (uk) impious/profane/sacrilegious/(2) too good/more than one deserves/unworthy of/(3) wasteful/
物断ち [ものだち] /(n) abstinence/
物知り [ものしり] /(n) well-informed person/walking dictionary/extensive knowledge/
物知り顔 [ものしりがお] /(n) a knowing look/
物置 [ものおき] /(n) storage room/storeroom/lumber room/(P)/
物置き [ものおき] /(io) (n) storage room/storeroom/lumber room/
物置き小屋 [ものおきごや] /(n) storage shed/
物置小屋 [ものおきごや] /(n) storage shed/
物珍しい [ものめずらしい] /(adj-i) curious/
物珍しげに [ものめずらしげに] /(adv) with curious eyes/curiously/
物的 [ぶってき] /(adj-na,n) material/physical/(P)/
物的資源 [ぶつてきしげん] /(n) material resources/
物的証拠 [ぶってきしょうこ] /(n) material or physical evidence/
物的損害 [ぶつてきそんがい] /(n) physical damage/
物的流通 [ぶつてきりゅうつう] /(n) physical distribution/
物盗り [ものとり] /(iK) (n) thief/robber/
物馴れる [ものなれる] /(v1) to add to one's experience/to become skillful/
物日 [ものび] /(n) (1) holiday/(2) (arch) day on which prostitutes had to receive clients (or pay their own fee to avoid doing so)/
物入り [ものいり] /(adj-na,n) expenses/
物入れ [ものいれ] /(n) place or container into which to put things/
物納 [ぶつのう] /(n,vs) payment in kind/
物納税 [ぶつのうぜい] /(n) a tax in kind/
物売り [ものうり] /(n) peddling/a peddlar/
物判りの良い [ものわかりのいい] /(n) sensible/understanding/
物判りの良い [ものわかりのよい] /(n) sensible/understanding/
物販 [ぶっぱん] /(n) (abbr) sale of goods (as opposed to services)/(P)/
物悲しい [ものがなしい] /(adj-i) sad/melancholy/
物品 [ぶっぴん] /(n) goods/articles/(P)/
物品税 [ぶっぴんぜい] /(n) excise/
物怖じ [ものおじ] /(n,vs) cowardice/timidity/bashfulness/
物物しい [ものものしい] /(adj-i) (1) strict (e.g. security)/heavy (e.g. guard)/(2) showy/pretentious/ostentatious/overdone/exaggerated/(3) impressive/imposing/pompous/stately/solemn/
物物交換 [ぶつぶつこうかん] /(n) bartering/
物分かり [ものわかり] /(n) understanding (of people's circumstances and feelings)/perceptiveness/sympathy/wisdom/
物分かりの良い [ものわかりのいい] /(n) sensible/understanding/
物分かりの良い [ものわかりのよい] /(n) sensible/understanding/
物分り [ものわかり] /(n) understanding (of people's circumstances and feelings)/perceptiveness/sympathy/wisdom/
物別れ [ものわかれ] /(n) failure to reach agreement/(P)/
物忘れ [ものわすれ] /(n,vs) forgetfulness/
物貰い [ものもらい] /(n) (1) (uk) beggar/(2) (col) sty (on the eyelid)/
物憂い [ものうい] /(adj-i) languid/weary/listless/melancholy/
物憂げ [ものうげ] /(adj-na) languorous/weary/listless/
物慾 [ぶつよく] /(n) greed/worldly or materialistic desires/
物欲 [ぶつよく] /(n) greed/worldly or materialistic desires/
物欲しげ [ものほしげ] /(adj-na) greedy/
物理 [ぶつり] /(n,adj-no) physics/law of nature/(P)/
物理アドレス [ぶつりアドレス] /(n) (comp) physical address/
物理アドレス拡張 [ぶつりアドレスかくちょう] /(n) (comp) Physical Address Extension/
物理インタフェース [ぶつりインタフェース] /(n) (comp) physical interface/
物理エラー [ぶつりエラー] /(n) (comp) physical error/
物理コネクション [ぶつりコネクション] /(n) (comp) physical connection/
物理ノード [ぶつりノード] /(n) (comp) physical node/
物理フォーマット [ぶつりフォーマット] /(n) (comp) physical format/
物理ページ [ぶつりページ] /(n) (comp) physical page/
物理メッセージ [ぶつりメッセージ] /(n) (comp) physical message/
物理メディア [ぶつりメディア] /(n) (comp) physical media/
物理メモリ [ぶつりメモリ] /(n) (comp) physical memory/
物理リンク [ぶつりリンク] /(n) (comp) physical link/
物理レイヤ [ぶつりレイヤ] /(n) (comp) physical layer/
物理レコード [ぶつりレコード] /(n) (comp) physical record/
物理レコードアドレス [ぶつりレコードアドレス] /(n) (comp) physical record address/
物理化学 [ぶつりかがく] /(n,adj-no) physical chemistry/
物理学 [ぶつりがく] /(n) physics/(P)/
物理学者 [ぶつりがくしゃ] /(n) physicist/
物理記録密度 [ぶつりきろくみつど] /(n) (comp) physical recording density/
物理現象 [ぶつりげんしょう] /(n) physical phenomenon/
物理工学 [ぶつりこうがく] /(n) physical engineering/
物理構成 [ぶつりこうせい] /(n) (comp) physical layout, organization/
物理信号制御副層 [ぶつりしんごうせいぎょふくそう] /(n) (comp) physical communication control sublayer/
物理層 [ぶつりそう] /(n) (comp) physical layer/PHY/
物理層媒体依存部 [ぶつりそうばいたいいぞんぶ] /(n) (comp) physical medium dependent/
物理的 [ぶつりてき] /(adj-na) physical/
物理的安全保護 [ぶつりてきあんぜんほご] /(n) (comp) physical security/
物理的回線 [ぶつりてきかいせん] /(n) (comp) physical line/physical circuit/
物理的回送許可 [ぶつりてきかいそうきょか] /(n) (comp) physical forwarding allowed/PD PR/
物理的回送禁止 [ぶつりてきかいそうきんし] /(n) (comp) physical forwarding prohibited/PD PR/
物理的現象 [ぶつりてきげんしょう] /(n) physical phenomenon/
物理的配達 [ぶつりてきはいたつ] /(n) (comp) Physical Delivery/PD/
物理的配達アクセス単位 [ぶつりてきはいたつアクセスたんい] /(n) (comp) Physical Delivery Access Unit/PDAU/
物理的配達アドレス構成要素 [ぶつりてきはいたつアドレスこうせいようそ] /(n) (comp) physical delivery address components/
物理的配達サービス [ぶつりてきはいたつサービス] /(n) (comp) physical delivery service/
物理的配達サービス名 [ぶつりてきはいたつサービスめい] /(n) (comp) physical delivery service name/
物理的配達システム [ぶつりてきはいたつシステム] /(n) (comp) Physical Delivery System/PDS/
物理的配達個人名 [ぶつりてきはいたつこじんめい] /(n) (comp) physical delivery personal name/
物理的配達国名 [ぶつりてきはいたつこくめい] /(n) (comp) physical delivery country name/
物理的配達組織名 [ぶつりてきはいたつそしきめい] /(n) (comp) physical delivery organization name/
物理的配達郵便局アドレス構成要素 [ぶつりてきはいたつゆうびんきょくアドレスこうせいようそ] /(n) (comp) physical delivery office address components/
物理的配達郵便局番号 [ぶつりてきはいたつゆうびんきょくばんごう] /(n) (comp) physical delivery office number/
物理的配達郵便局名 [ぶつりてきはいたつゆうびんきょくめい] /(n) (comp) physical delivery office name/
物理的配達領域 [ぶつりてきはいたつりょういき] /(n) (comp) physical delivery domain/
物理的媒体 [ぶつりてきばいたい] /(n) (comp) physical medium/
物理伝送路 [ぶつりでんそうろ] /(n) (comp) physical link/
物理入力装置 [ぶつりにゅうりょくそうち] /(n) (comp) physical input device/
物理番地 [ぶつりばんち] /(n) (comp) physical address/
物理表現 [ぶつりひょうげん] /(n) (comp) physical rendition/
物理法則 [ぶつりほうそく] /(n) physical law/laws of physics/
物理療法 [ぶつりりょうほう] /(n,adj-no) physiotherapy/physical therapy/
物流 [ぶつりゅう] /(n,adj-no) (physical) distribution/distribution of goods/logistics/(P)/
物流販売 [ぶつりゅうはんばい] /(n) sale of goods (as opposed to services)/
物療 [ぶつりょう] /(n) physical treatment/physiotherapy/
物量 [ぶつりょう] /(n) amount of material resources/
物淋しい [ものさびしい] /(adj-i) lonely/
物憑き [ものつき] /(n) (1) being possessed (by a spirit)/possessed person/(2) child or doll used as a vessel for a spirit invoked by a shaman or miko/
鮒 [ふな] /(n) (uk) crucian carp (Carassius spp.)/
鮒侍 [ふなざむらい] /(n) cowardly, good-for-nothing samurai from the countryside/
鮒寿司 [ふなずし] /(n) funazushi/old style fermented crucian carp sushi/
分 [ふん] /(n) minute/(P)/
分 [ぶ] /(n) (1) one-tenth/one percent (one-tenth of a wari)/3 mm (one-tenth of a sun)/2.4 mm (one-tenth of a mon, a traditional unit used to measure shoe sizes)/0.375 grams (one-tenth of a monme)/0.1 degree (one-tenth of a do, used to measure body temperature on any temperature scale)/(2) one-quarter of a ryou (obsolete unit of currency)/(3) thickness/(4) advantageous circumstances/
分 [ぶん] /(n,n-suf,pref) (1) part/segment/share/ration/(2) rate/(3) degree/one's lot/one's status/relation/duty/kind/lot/(4) in proportion to/just as much as/(P)/
分かず [わかず] /(adv) without differentiation/
分かち [わかち] /(n) distinction/differentiation/discrimination/(P)/
分かちあたえる [わかちあたえる] /(v1) to apportion to/to share/
分かち合う [わかちあう] /(v5u) to share/
分かち取る [わかちとる] /(v5r) to divide the spoils/to receive a share/
分かち書き [わかちがき] /(n,vs) (ling) separating words in Japanese with spaces (e.g. in kana-only books for children)/
分かち難い [わかちがたい] /(adj-i) inseparable/
分かつ [わかつ] /(v5t,vt) (1) to divide/to separate/(2) to share/to distribute/(3) to distinguish/(P)/
分からず屋 [わからずや] /(n) obstinate person/blockhead/(P)/
分からん [わからん] /(exp) (col) I don't know/
分かり [わかり] /(n) understanding/comprehension/(P)/
分かりかねる [わかりかねる] /(v1) to be difficult to ascertain/to be difficult to understand/
分かりづらい [わかりづらい] /(adj-i) difficult to understand/
分かりにくい [わかりにくい] /(adj-i) hard to understand/incomprehensible/unintelligible/
分かりやすい [わかりやすい] /(adj-i) easy to understand/
分かり悪い [わかりにくい] /(adj-i) hard to understand/incomprehensible/unintelligible/
分かり易い [わかりやすい] /(adj-i) easy to understand/
分かり兼ねる [わかりかねる] /(v1) to be difficult to ascertain/to be difficult to understand/
分かり合う [わかりあう] /(v5u) to understand (each other)/to comprehend/
分かり出す [わかりだす] /(v5s) to take notice/
分かり辛い [わかりづらい] /(adj-i) difficult to understand/
分かり切った [わかりきった] /(exp) obvious/undeniable/
分かり切る [わかりきる] /(v5r,vi) to be evident/to be obvious/to understand completely/
分かり難い [わかりにくい] /(oK) (adj-i) hard to understand/incomprehensible/unintelligible/
分かり良い [わかりよい] /(adj-i) easy to understand/
分かる [わかる] /(v5r,vi) (1) to be understood/to be comprehended/to be grasped/(2) to become clear/to be known/to be discovered/to be realized/to be realised/to be found out/(P)/
分かれ [わかれ] /(n) offshoot/branch/fork/
分かれる [わかれる] /(v1,vi) (1) to branch/to fork/to diverge/(2) to separate/to split/to divide/(3) to disperse/to scatter/(P)/
分かれ出る [わかれでる] /(v1) to branch out/to diverge/to radiate/
分かれ争う [わかれあらそう] /(v5u) to quarrel and separate/
分かれ道 [わかれみち] /(n) branch/forked road/crossroads/branch road/parting of the ways/turning point/
分かれ目 [わかれめ] /(n) (1) fork/junction/parting of the ways/(2) turning point/(P)/
分かんない [わかんない] /(exp,adj-i) (col) not understanding/not knowing/
分が悪い [ぶがわるい] /(exp) at disadvantage/having no edge/
分が薄い [ぶがうすい] /(exp) thin/
分け [わけ] /(n,n-suf) (1) sharing/division/(2) draw/tie/(P)/
分けて [わけて] /(adv) above all/especially/particularly/all the more/
分ける [わける] /(v1,vt) to divide/to separate/to make distinctions/to differentiate (between)/(P)/
分け易い [わけやすい] /(n) easy to divide/
分け隔て [わけへだて] /(n,vs) distinction/favoritism/favouritism/discrimination/
分け合う [わけあう] /(v5u) to share/
分け持つ [わけもつ] /(v5t,vt) to share/
分け取り [わけどり] /(n,vs) sharing/division/
分け取る [わけとる] /(v5r) to apportion/to share/
分け前 [わけまえ] /(n) share/portion/quota/cut/(P)/
分け入る [わけいる] /(v5r) to force one's way/to push through/
分け売り [わけうり] /(n,vs) selling separately/
分け目 [わけめ] /(n) dividing line/parting (of the hair)/partition/crisis/
分け与える [わけあたえる] /(v1) to distribute/to hand out/
分け離す [わけはなす] /(v5s) to separate from/to detach/
分け良い [わけよい] /(n) easy to divide/
分だけ [ぶんだけ] /(suf) in proportion to/just as much as/
分ち [わかち] /(n) distinction/differentiation/discrimination/
分つ [わかつ] /(v5t,vt) (1) to divide/to separate/(2) to share/to distribute/(3) to distinguish/
分に過ぎた [ぶんにすぎた] /(adj-f) above one's means (station)/undue/
分の [ぶんの] /(exp) denominator bun no numerator (in writing common fractions)/X Yth's (Y bun no X)/
分の１ [ぶんのいち] /(exp) one Nth part (after number N)/
分の悪い [ぶんのわるい] /(adj-i) disadvantageous/long (odds)/
分の一 [ぶんのいち] /(exp) one Nth part (after number N)/
分の良い仕事 [ぶのいいしごと] /(n) profitable job/
分べん室 [ぶんべんしつ] /(n) maternity room/delivery room/
分らず屋 [わからずや] /(n) obstinate person/blockhead/
分り [わかり] /(n) understanding/comprehension/
分り切る [わかりきる] /(v5r,vi) to be evident/to be obvious/to understand completely/
分る [わかる] /(v5r,vi) (1) to be understood/to be comprehended/to be grasped/(2) to become clear/to be known/to be discovered/to be realized/to be realised/to be found out/
分れる [わかれる] /(v1,vi) (1) to branch/to fork/to diverge/(2) to separate/to split/to divide/(3) to disperse/to scatter/
分れ道 [わかれみち] /(n) branch/forked road/crossroads/branch road/parting of the ways/turning point/
分れ目 [わかれめ] /(n) (1) fork/junction/parting of the ways/(2) turning point/
分んない [わかんない] /(exp,adj-i) (col) not understanding/not knowing/
分引き [ぶびき] /(n) discount/
分院 [ぶんいん] /(n) branch (of an institution)/branch temple/detached building/
分営 [ぶんえい] /(n) outpost/detached garrison/
分液ロート [ぶんえきロート] /(n) separatory funnel/separating funnel/
分液漏斗 [ぶんえきろうと] /(n) separatory funnel/separating funnel/
分液漏斗 [ぶんえきロート] /(n) separatory funnel/separating funnel/
分煙 [ぶんえん] /(n,vs) (1) separate areas for smokers and non-smokers/(2) separating smoking from non-smoking/
分化 [ぶんか] /(n,vs) specialization/specialisation/(P)/
分家 [ぶんけ] /(n,vs) branch family/
分科 [ぶんか] /(n) department/section/branch/course/school (e.g. of learning)/
分科会 [ぶんかかい] /(n) subcommittee/subworking group/(P)/
分荷 [ぶんか] /(n) divided delivery of cargo, etc. (to different places)/
分課 [ぶんか] /(n,vs) subdivision/section/branch/
分会 [ぶんかい] /(n) branch/chapter/
分解 [ぶんかい] /(n,vs,adj-no) (1) disassembly/dismantling/disaggregating/analysis/disintegrating/decomposing/degrading/(2) (math) factorization/(3) (chem) decomposition/resolution/(4) (comp) deblocking/(P)/
分解検査 [ぶんかいけんさ] /(n) overhaul/check-up/inspection/
分解写真 [ぶんかいしゃしん] /(n) photographic playback/
分解者 [ぶんかいしゃ] /(n) decomposer/
分解修理 [ぶんかいしゅうり] /(n) (complete) overhaul/
分解蒸溜法 [ぶんかいじょうりゅうほう] /(n) cracking (in chemistry)/
分解蒸留 [ぶんかいじょうりゅう] /(n) cracking (in petroleum refining)/
分解性プラスチック [ぶんかいせいプラスチック] /(n) degradable plastic/
分解的 [ぶんかいてき] /(adj-na) analytical/
分解電圧 [ぶんかいでんあつ] /(n) decomposition voltage/
分解能 [ぶんかいのう] /(n) resolution/resolving power/
分界 [ぶんかい] /(n,vs) demarcation/
分界線 [ぶんかいせん] /(n) line of demarcation/
分外 [ぶんがい] /(adj-na,n) not within proper limits/excessive/unmerited/special/
分格 [ぶんかく] /(n) (ling) partitive/
分割 [ぶんかつ] /(n,vs) partition/division/separation/segmenting/splitting/(P)/
分割ウィンドウ [ぶんかつウィンドウ] /(n) split window/
分割バー [ぶんかつバー] /(n) (comp) division bar/
分割プロット [ぶんかつプロット] /(n) (comp) subplot/
分割統治 [ぶんかつとうち] /(n) divide and rule/
分割払い [ぶんかつばらい] /(n) payment by installments/payment by instalments/hire-purchase/(P)/
分轄 [ぶんかつ] /(n,vs) separate jurisdiction/
分巻 [ぶんまき] /(n,adj-no) alternating-current winding/
分間 [ふんかん] /(n) (comp) ~ minutes interval/
分館 [ぶんかん] /(n) annex/
分岐 [ぶんき] /(n,vs,adj-no) (1) divergence (e.g. in a road)/ramification/(2) (comp) forking/jump/multi-drop/(P)/
分岐駅 [ぶんきえき] /(n) junction/
分岐学 [ぶんきがく] /(n) cladistics/
分岐構成体 [ぶんぎこうせいたい] /(n) (comp) branch construct/
分岐進化 [ぶんきしんか] /(n,vs) cladogenesis/
分岐接続 [ぶんきせつぞく] /(n) (comp) multipoint connection/
分岐線 [ぶんきせん] /(n) branch line/spur/
分岐点 [ぶんきてん] /(n) junction/crossroads/division point/parting of ways/(P)/
分岐予測 [ぶんきよそく] /(n) (comp) branch prediction/
分教会 [ぶんきょうかい] /(n) branch temple or church/
分教場 [ぶんきょうじょう] /(n) detached classroom/small branch school/
分業 [ぶんぎょう] /(n,vs) division of labor/division of labour/specialization/specialisation/assembly-line production/(P)/
分局 [ぶんきょく] /(n) branch office/local office/
分極 [ぶんきょく] /(n) polarization (light, radio waves)/polarisation/
分極化 [ぶんきょくか] /(n,vs) polarization/polarisation/lining up with/
分区 [ぶんく] /(n) subdistrict/
分権 [ぶんけん] /(n) decentralization of authority/decentralisation of authority/(P)/
分県地図 [ぶんけんちず] /(n) prefecture maps/
分遣 [ぶんけん] /(n,vs) detachment/detail/
分遣隊 [ぶんけんたい] /(n) detachment/
分限 [ぶげん] /(n) social standing/wealth/
分限 [ぶんげん] /(n) social standing/wealth/
分限者 [ぶげんしゃ] /(n) rich man/man of wealth/
分限者 [ぶげんじゃ] /(n) rich man/man of wealth/
分光 [ぶんこう] /(n,vs,adj-no) spectrum/
分光学 [ぶんこうがく] /(n) spectroscopy/
分光器 [ぶんこうき] /(n) spectroscope/spectrograph/
分光計 [ぶんこうけい] /(n) spectrometer/
分光光度計 [ぶんこうこうどけい] /(n) spectrophotometer/
分光分析 [ぶんこうぶんせき] /(n) spectroscopic analysis/
分厚い [ぶあつい] /(adj-i) bulky/massive/thick/heavy/
分工場 [ぶんこうじょう] /(n) branch factory/
分校 [ぶんこう] /(n) branch school/(P)/
分国法 [ぶんこくほう] /(n) laws established by daimyo applicable only in their own domain (during the Warring States period)/
分骨 [ぶんこつ] /(n,vs) part of a person's ashes/
分載 [ぶんさい] /(n,vs) publishing part by part (e.g. in a magazine)/
分際 [ぶんざい] /(n) social standing/
分冊 [ぶんさつ] /(n,vs) separate volume/fascicle/fascicule/(P)/
分散 [ぶんさん] /(n,vs) dispersion/decentralization/decentralisation/variance (statistics)/distribution/dissemination/allocation/(P)/
分散ＣＯＭ [ぶんさんシーオーエム] /(n) (comp) Distributed Component Object Model/
分散ＤｏＳ攻撃 [ぶんさんディーオーエスこうげき] /(n) (comp) Distributed Denial of Service attacks/
分散コンピューティング [ぶんさんコンピューティング] /(n) (comp) distributed computing/
分散コンピューティング環境 [ぶんさんコンピューティングかんきょう] /(n) (comp) Distributed Computing Environment/DCE/
分散データベース [ぶんさんデータベース] /(n) (comp) distributed data base/
分散データ処理 [ぶんさんデータしょり] /(n) (comp) distributed data processing/DDP/
分散化 [ぶんさんか] /(n) (comp) decentralization/
分散協調処理 [ぶんさんきょうちょうしょり] /(n) (comp) distributed cooperative processing/
分散型 [ぶんさんがた] /(n) (comp) distributed model/client-server architecture/
分散型データベース [ぶんさんがたデータベース] /(n) (comp) distributed database/
分散型データベース管理システム [ぶんさんがたデータベースかんりシステム] /(n) (comp) Distributed DataBase Management System/DDBMS/
分散型トランザクション [ぶんさんがたトランザクション] /(n) (comp) distributed transaction/
分散試験法 [ぶんさんしけんほう] /(n) (comp) distributed test method/
分散処理 [ぶんさんしょり] /(n) (comp) distributed processing/decentralized processing/
分散処理システム [ぶんさんしょりシステム] /(n) (comp) distributed processing system/
分散処理環境 [ぶんさんしょりかんきょう] /(n) (comp) DCE/Distributed Computing Environment/
分散図 [ぶんさんず] /(n) dispersion diagram/
分散制御 [ぶんさんせいぎょ] /(n) (comp) decentralized control/
分散投資 [ぶんさんとうし] /(n) diversified investment/
分散配置 [ぶんさんはいち] /(n) (comp) distributed, decentralized arrangement/
分散分析法 [ぶんさんぶんせきほう] /(n) (comp) analysis of variance/
分散補償量計算シート [ぶんさんほしょうりょうけいさんシート] /(n) dispersion compensation calculation sheet/
分散名前解析 [ぶんさんなまえかいせき] /(n) (comp) distributed name resolution/
分散恋愛 [ぶんさんれんあい] /(n) (gen. of a woman) loving two or more partners without favour/
分餐 [ぶんさん] /(n,vs) distribution (the emblems in Communion)/
分子 [ぶんし] /(n,adj-no) (1) numerator/(2) molecule/(3) member/element/(P)/
分子イメージング [ぶんしイメージング] /(n) molecular imaging/
分子ガストロノミー [ぶんしガストロノミー] /(n) molecular gastronomy/
分子遺伝学 [ぶんしいでんがく] /(n) molecular genetics/
分子科学研究所 [ぶんしかがくけんきゅうじょ] /(n) Institute for Molecular Science/
分子間力 [ぶんしかんりょく] /(n) intermolecular forces/
分子軌道 [ぶんしきどう] /(n) molecular orbital/
分子式 [ぶんししき] /(n) molecular formula/
分子進化 [ぶんししんか] /(n,vs) molecular evolution/
分子進化学 [ぶんししんかがく] /(n) (study of) molecular evolution/
分子生物学 [ぶんしせいぶつがく] /(n) molecular biology/
分子説 [ぶんしせつ] /(n) molecular theory/
分子線エピタキシー [ぶんしせんエピタキシー] /(n) molecular beam epitaxy/MBE/
分子量 [ぶんしりょう] /(n) molecular weight/
分枝 [ぶんし] /(n) (1) bifurcation/branch/branching/branched chain/ramification/(adj-no) (2) branched/(pref) (3) rami-/
分詞 [ぶんし] /(n,adj-no) (ling) participle/
分詞構文 [ぶんしこうぶん] /(n) (ling) participial construction/participle construction/
分室 [ぶんしつ] /(n) detached office/annex/(P)/
分社 [ぶんしゃ] /(n,vs) branch shrine/
分社化 [ぶんしゃか] /(n,vs) company split-up/spinning off of a separate company/
分取 [ぶんしゅ] /(n,vs) fractionation/batching/isolation/
分周 [ぶんしゅう] /(n) division/
分周回路 [ぶんしゅうかいろ] /(n) (comp) clock division circuit/
分周器 [ぶんしゅうき] /(n) (comp) frequency demultiplier/frequency divider/
分宿 [ぶんしゅく] /(n,vs) billeting/
分署 [ぶんしょ] /(n) substation/branch office/
分掌 [ぶんしょう] /(n,vs) division of duties/
分乗 [ぶんじょう] /(n,vs) riding separately/(P)/
分譲 [ぶんじょう] /(n,vs) selling (real-estate) lots/(P)/
分譲マンション [ぶんじょうマンション] /(n) condo/condominium/condominium apartment/
分譲地 [ぶんじょうち] /(n) lots for sale/
分蝕 [ぶんしょく] /(n) partial eclipse/
分身 [ぶんしん] /(n,vs) parturition/delivery/one's child/branch/offshoot/one's other self/(P)/
分進 [ぶんしん] /(n,vs) dividing and advancing/
分針 [ふんしん] /(n) minute hand/
分水界 [ぶんすいかい] /(n) watershed/divide/
分水山脈 [ぶんすいさんみゃく] /(n) watershed/divide/
分水線 [ぶんすいせん] /(n) watershed/divide/
分水嶺 [ぶんすいれい] /(n) watershed/divide/
分数 [ぶんすう] /(n,adj-no) (math) fraction/(P)/
分数式 [ぶんすうしき] /(n) fractional expression/
分生子 [ぶんせいし] /(n) (1) conidia/conidiospore/conidium/conidio-/conidi-/(adj-no) (2) conidial/
分析 [ぶんせき] /(n,vs) analysis/(P)/
分析化学 [ぶんせきかがく] /(n) analytical chemistry/
分析学 [ぶんせきがく] /(n) analytics/
分析形分類体系 [ぶんせきがたぶんるいたいけい] /(n) (comp) analytical classification system/
分析合成形分類体系 [ぶんせきごうせいがたぶんるいたいけい] /(n) (comp) analytico-synthetic classification system/
分析試験 [ぶんせきしけん] /(n) assaying/
分析手法 [ぶんせきしゅほう] /(n) (comp) analytical method/
分析心理学 [ぶんせきしんりがく] /(n) analytical psychology/
分析的 [ぶんせきてき] /(adj-na) analytical/analytic/
分析的言語 [ぶんせきてきげんご] /(n) analytic language/
分析哲学 [ぶんせきてつがく] /(n) analytical philosophy/analytic philosophy/
分析表 [ぶんせきひょう] /(n) analysis table/
分節 [ぶんせつ] /(n,adj-no) articulation/
分相応 [ぶんそうおう] /(adj-na,n) within one's means/
分相機 [ぶんそうき] /(n) phase splitter/
分速 [ふんそく] /(n) speed per minute/
分体 [ぶんたい] /(n) fission/
分隊 [ぶんたい] /(n) squad/team/
分隊長 [ぶんたいちょう] /(n) squad leader/divisional officer/
分担 [ぶんたん] /(n,vs) apportionment/allotment/share/(P)/
分担額 [ぶんたんがく] /(n) amount allotted/contribution/
分担金 [ぶんたんきん] /(n) share of expenses/contribution/
分団 [ぶんだん] /(n) branch/chapter/
分断 [ぶんだん] /(n,vs) dividing into parts/
分断後部 [ぶんだんこうぶ] /(n) (comp) (obsc) widow (one or more lines separated from the rest of the preceding passage by page or column break)/
分断前部 [ぶんだんぜんぶ] /(n) (comp) (obsc) orphan (one or more lines separated from the rest of the following passage by page or paragraph break)/
分地 [ぶんち] /(n,vs) parceling out an estate/
分注 [ぶんちゅう] /(n,vs) dispensing (e.g. reagent from a pipette)/dispensation/
分注器 [ぶんちゅうき] /(n) dispensing burette/
分店 [ぶんてん] /(n) branch store/branch of a firm/
分点 [ぶんてん] /(n) (1) equinoctal point/equinoctial point/(2) division points (along lines)/
分度器 [ぶんどき] /(n) protractor/
分党 [ぶんとう] /(n) secession from a party/
分銅 [ふんどう] /(n) weight/counterweight/
分屯 [ぶんとん] /(pref) vice (military)/sub/
分屯基地 [ぶんとんきち] /(n) sub base (military)/sub-base/minor base/
分屯地 [ぶんとんち] /(n) vice-camp (military)/sub-camp/
分葱 [わけぎ] /(n) (uk) Allium wakegi (species of scallion)/
分納 [ぶんのう] /(n,vs) installment payment or delivery/instalment payment or delivery/
分波器 [ぶんぱき] /(n) splitter (device that splits and reassembles signals from different frequencies)/
分派 [ぶんぱ] /(n,vs) denominations/sect/branch/faction/separation from/
分派主義 [ぶんぱしゅぎ] /(n) sectarianism/sectionalism/
分配 [ぶんぱい] /(n,vs) division/sharing/distribution/dissemination/allocation/(P)/
分配金 [ぶんぱいきん] /(n) dividend (on shares)/
分配者 [ぶんぱいしゃ] /(n) dispenser/
分配法則 [ぶんぱいほうそく] /(n) (comp) distributive law/
分売 [ぶんばい] /(n,vs) selling separately/
分泌 [ぶんぴ] /(n,vs,adj-no) secretion/(P)/
分泌 [ぶんぴつ] /(n,vs,adj-no) secretion/(P)/
分泌液 [ぶんぴつえき] /(n) secretion/
分泌腺 [ぶんぴつせん] /(n) secretory gland/
分泌物 [ぶんぴつぶつ] /(n) secretion/
分泌物 [ぶんぴぶつ] /(n) secretion/
分筆 [ぶんぴつ] /(n,vs) subdivision/
分秒 [ふんびょう] /(n) moment/
分秒を争う [ふんびょうをあらそう] /(exp,v5u) (id) there is no moment to lose/to fight with every minute and every second/
分不相応 [ぶんふそうおう] /(adj-na) beyond one's means or position/
分布 [ぶんぷ] /(n,vs) distribution/dissemination/allocation/(P)/
分布図 [ぶんぷず] /(n) distribution map/distribution diagram/
分賦 [ぶんぷ] /(n,vs) assignment/allocation/
分封 [ぶんぽう] /(n,vs) hiving off/swarming/dividing a fief/
分別 [ふんべつ] /(n,vs) discernment/discretion/judgement/judgment/discrimination/(P)/
分別 [ぶんべつ] /(n,vs) separation (e.g. of rubbish when recycling)/classification/discrimination/division/distinction/(P)/
分別ゴミ [ふんべつゴミ] /(n,vs) dividing up rubbish into burnable and non-burnable/
分別書き方 [ぶんべつかきかた] /(n) (obsc) separating words with spaces/
分別書方 [ぶんべつかきかた] /(n) (obsc) separating words with spaces/
分別蒸留 [ぶんべつじょうりゅう] /(n) fractional distillation/
分別心 [ふんべつしん] /(n) prudence/distinction/discrimination/
分別盛り [ふんべつざかり] /(adj-na) the age of wisdom/around forty/
分娩 [ぶんべん] /(n,vs,adj-no) delivery/confinement/childbirth/
分娩臥床 [ぶんべんがしょう] /(n) lying-in bed/
分娩期 [ぶんべんき] /(n) time of delivery (of a child)/
分娩作用 [ぶんべんさよう] /(n) delivery/parturition/
分娩時 [ぶんべんじ] /(n) time of delivery (of a child)/
分娩室 [ぶんべんしつ] /(n) maternity room/delivery room/
分捕り [ぶんどり] /(n) snatching/snatched item/
分捕り品 [ぶんどりひん] /(n) loot/booty/plunder/
分捕り物 [ぶんどりもの] /(n) loot/booty/plunder/
分捕る [ぶんどる] /(v5r,vt) to capture/to seize/to plunder/
分母 [ぶんぼ] /(n) (ling) denominator/(P)/
分蜜糖 [ぶんみつとう] /(n) var. of refined sugar/
分脈 [ぶんみゃく] /(n) a branch/
分明 [ふんみょう] /(adj-na,n) clearness/clear understanding/
分明 [ぶんみょう] /(adj-na,n) clearness/clear understanding/
分明 [ぶんめい] /(adj-na,n) clearness/clear understanding/
分木 [ぶんぎ] /(n) -ary tree/
分野 [ぶんや] /(n) field/sphere/realm/division/branch/(P)/
分有 [ぶんゆう] /(n,vs) partial ownership/possession in portions/
分与 [ぶんよ] /(n,vs) distribution/allocation/dispensation/impartation/
分与税 [ぶんよぜい] /(n) tax allotment (to local government)/
分利 [ぶんり] /(n,adj-no) crisis (in an illness)/
分離 [ぶんり] /(n,vs) separation/partition/detachment/segregation/isolation/decollation/(P)/
分離の法則 [ぶんりのほうそく] /(n) (Mendel's) law of segregation/
分離可能 [ぶんりかのう] /(adj-na) separable/detachable/
分離課税 [ぶんりかぜい] /(n) separate taxation/
分離器 [ぶんりき] /(n) separator/
分離機 [ぶんりき] /(n) separator/extractor/
分離記号 [ぶんりきごう] /(n) (comp) separator/
分離子 [ぶんりし] /(n) (comp) separator/
分離子文字 [ぶんりしもじ] /(n) (comp) separator character/
分離主義 [ぶんりしゅぎ] /(n) separatism/secessionism/
分離主義者 [ぶんりしゅぎしゃ] /(n) separatists/schismatics/
分離派 [ぶんりは] /(n) separatists/secessionists/
分離符 [ぶんりふ] /(n) (comp) separator/
分離片 [ぶんりへん] /(n) (1) sequestrum/discerption/(adj-no) (2) sequestral/(pref) (3) sequestro-/
分離論 [ぶんりろん] /(n) separatism/secessionism/
分立 [ぶんりつ] /(n,vs) segregation/separation/independence/(P)/
分流 [ぶんりゅう] /(n,vs) distributary/tributary/branch/
分溜 [ぶんりゅう] /(n,vs) (abbr) fractional distillation (of gasoline, petrol)/fractionation/
分留 [ぶんりゅう] /(n,vs) (abbr) fractional distillation (of gasoline, petrol)/fractionation/
分留塔 [ぶんりゅうとう] /(n) fractionating column/
分粒 [ぶんりゅう] /(n) sizing/grading/
分量 [ぶんりょう] /(n,vs) amount/quantity/(P)/
分力 [ぶんりょく] /(n) component of force/
分厘 [ぶんりん] /(n) (not) in the least/(not) a bit/
分類 [ぶんるい] /(n,vs) classification/categorization/sorting/(P)/
分類学 [ぶんるいがく] /(n) taxonomy/science of classification/
分類学者 [ぶんるいがくしゃ] /(n) taxonomist/
分類基準 [ぶんるいきじゅん] /(n) classificatory criterion/
分類記号 [ぶんるいきごう] /(n) (comp) class symbol/class mark/
分類群 [ぶんるいぐん] /(n) taxon/
分類作業 [ぶんるいさぎょう] /(n) (comp) classifying/
分類体系 [ぶんるいたいけい] /(n) (comp) classification system/
分類番号 [ぶんるいばんごう] /(n) (comp) class number/
分類表 [ぶんるいひょう] /(n) classified table/classification table/
分類法 [ぶんるいほう] /(n) a classification system/
分類目録 [ぶんるいもくろく] /(n) classified catalog/classified catalogue/
分霊 [ぶんれい] /(n) division of a shrine's tutelary deity, in order to share it with another shrine/spirit divided in such a manner/
分列 [ぶんれつ] /(n,vs) filing off (in a parade)/
分列行進 [ぶんれつこうしん] /(n) marching in file/
分列式 [ぶんれつしき] /(n) military review/
分裂 [ぶんれつ] /(n,vs) split/division/break up/(P)/
分裂症 [ぶんれつしょう] /(n) (abbr) schizophrenia/
分裂性 [ぶんれつせい] /(n) fissionable/
分裂選挙 [ぶんれつせんきょ] /(n) split election (where two or more candidates from the same party stand)/
分裂病 [ぶんれつびょう] /(n) (abbr) (obs) schizophrenia/
分裂物質 [ぶんれつぶっしつ] /(n) fissionable materials/
分蘖 [ぶんけつ] /(n,vs) offshoot (plants; often the of grass family)/tiller/
分蘖 [ぶんげつ] /(n,vs) offshoot (plants; often the of grass family)/tiller/
分祀 [ぶんし] /(n,vs) separation of worship/movement of an enshrined deity to another shrine/
分祠 [ぶんし] /(n,vs) separation of worship/movement of an enshrined deity to another shrine/
分袂 [ぶんべい] /(n,vs) parting (from someone)/
吻 [ふん] /(n) proboscis/
吻合 [ふんごう] /(n,vs,adj-no) coincidence/anastomosis/
噴きこぼれる [ふきこぼれる] /(v1,vi) to boil over/
噴き出す [ふきだす] /(v5s,vi) (1) to spout out/to spurt out/to gush out/to jet out/(2) to sprout/to bud/(3) to burst into laughter/(4) to blow (smoke, etc.)/(5) to send out shoots (of a tree)/(P)/
噴き出る [ふきでる] /(v1,vi) to blow out/to spout out/
噴き上げ [ふきあげ] /(n) (1) place exposed to winds which blow up from below (usu. a beach)/beach exposed to sea winds/(2) fountain/
噴き上げる [ふきあげる] /(v1,vt) to blow up (i.e. wind)/to blow upwards/to spout into the air/
噴く [ふく] /(v5k) (1) to blow (wind, etc.)/to play a wind instrument/(2) to emit/to spout/(3) to whistle/
噴煙 [ふんえん] /(n) (eruption of) smoke/(P)/
噴火 [ふんか] /(n,vs,adj-no) eruption/(P)/
噴火口 [ふんかこう] /(n) crater/
噴火孔 [ふんかこう] /(iK) (n) crater/
噴火山 [ふんかざん] /(n) erupting volcano/
噴気 [ふんき] /(n) gas (fumes)/
噴気孔 [ふんきこう] /(n) (1) fumarole/(2) blowhole (of a whale, etc.)/
噴射 [ふんしゃ] /(n,vs) jet/spray/injection/jet propulsion/(P)/
噴射ノズル [ふんしゃノズル] /(n) injection nozzle/spray nozzle/
噴射式 [ふんしゃしき] /(n) injection device/spray/
噴出 [ふんしゅつ] /(n,vs) spewing/gushing/spouting/eruption/effusion/(P)/
噴出す [ふきだす] /(v5s,vi) (1) to spout out/to spurt out/to gush out/to jet out/(2) to sprout/to bud/(3) to burst into laughter/(4) to blow (smoke, etc.)/(5) to send out shoots (of a tree)/
噴出る [ふきでる] /(v1,vi) to blow out/to spout out/
噴出岩 [ふんしゅつがん] /(n) extrusive rock/effusive rock/
噴出性嘔吐 [ふんしゅつせいおうと] /(n) projectile vomiting/
噴上げ [ふきあげ] /(n) (1) place exposed to winds which blow up from below (usu. a beach)/beach exposed to sea winds/(2) fountain/
噴水 [ふんすい] /(n) water fountain/(P)/
噴水効果 [ふんすいこうか] /(n) fountain effect (theory that high sales in the basement of a department store lead to increased sales in the upper levels as well)/
噴泉 [ふんせん] /(n) fountain/spring/
噴飯 [ふんぱん] /(n,vs) bursting out laughing/
噴飯物 [ふんぱんもの] /(n) quite absurd thing/something that makes one laugh/
噴霧器 [ふんむき] /(n) sprayer/vaporizer/vaporiser/atomizer/atomiser/
噴門 [ふんもん] /(n,adj-no) cardia/
噴流 [ふんりゅう] /(n,vs) jet (of water)/
墳丘 [ふんきゅう] /(n) tumulus/grave mound/
墳丘墓 [ふんきゅうぼ] /(n) tomb embedded in a Yayoi period barrow/
墳墓 [ふんぼ] /(n) grave/tomb/(P)/
憤り [いきどおり] /(n) resentment/indignation/(P)/
憤る [いきどおる] /(v5r,vi) to be angry/to resent/to be enraged/to be indignant/
憤る [むずかる] /(v5r,vi) to fret/to be fretful/to be peevish/
憤ろしい [いきどおろしい] /(adj-i) irritated/angry/furious/
憤慨 [ふんがい] /(n,vs) indignation/resentment/(P)/
憤激 [ふんげき] /(n,vs) fury/
憤死 [ふんし] /(n,vs) dying in a fit of anger or indignation/
憤然 [ふんぜん] /(n,adj-t,adv-to) anger/indignation/rage/wrath/
憤怒 [ふんど] /(n,vs) anger/rage/resentment/indignation/exasperation/
憤怒 [ふんぬ] /(n,vs) anger/rage/resentment/indignation/exasperation/
憤悶 [ふんもん] /(n,vs) (arch) anger/resentment/indignation/chagrin/irritation/
憤懣 [ふんまん] /(n,vs) anger/resentment/indignation/chagrin/irritation/
扮する [ふんする] /(vs-s) to disguise oneself/to be dressed (as someone else)/
扮装 [ふんそう] /(n,vs) make-up/get-up/disguise/
焚きつける [たきつける] /(v1,vt) to kindle/to build a fire/to instigate/to stir up/
焚き火 [たきび] /(n,vs) (1) open-air fire (e.g. for garden refuse)/bonfire/(2) open fire (e.g. in a kitchen)/
焚き口 [たきぐち] /(n) furnace opening/
焚き出し [たきだし] /(n) emergency rice feeding/distribution of rice after an emergency/
焚き染める [たきしめる] /(v1,vt) to perfume clothes by burning incense/
焚き付け [たきつけ] /(n) kindling/fire lighter/
焚き付ける [たきつける] /(v1,vt) to kindle/to build a fire/to instigate/to stir up/
焚き物 [たきもの] /(n) firewood/
焚き木 [たきぎ] /(n) (1) firewood/kindling/fuel/(2) piece(s) of firewood/
焚く [たく] /(v5k,vt) to burn/to kindle/to build a fire/(P)/
焚く [やく] /(iK) (v5k,vt) (1) to bake/to grill/
焚火 [たきび] /(n,vs) (1) open-air fire (e.g. for garden refuse)/bonfire/(2) open fire (e.g. in a kitchen)/
焚火の間 [たきびのま] /(n) room with a sunken hearth/
焚刑 [ふんけい] /(n) burning at the stake/
焚口 [たきぐち] /(io) (n) furnace opening/
焚書 [ふんしょ] /(n) book burning/
焚書坑儒 [ふんしょこうじゅ] /(n) burning books on the Chinese classics and burying Confucian scholars alive/
焚物 [たきもの] /(io) (n) firewood/
焚掠 [ふんりゃく] /(n,vs) (arch) pillaging and setting fire to/
奮い起こす [ふるいおこす] /(v5s,vt) to muster (e.g. courage)/to gather/to collect/to pluck up/
奮い起す [ふるいおこす] /(io) (v5s,vt) to muster (e.g. courage)/to gather/to collect/to pluck up/
奮い立つ [ふるいたつ] /(v5t,vi) to cheer up/
奮う [ふるう] /(v5u) (1) to show (ability)/to wield (power)/(2) to screw up one's courage/(P)/
奮って [ふるって] /(adv) energetically/strenuously/heartily/(P)/
奮起 [ふんき] /(n,vs) stirring/rousing oneself/(P)/
奮起一番 [ふんきいちばん] /(n) bracing oneself up to action, being inspired by something/getting down to work, putting heart and soul into it/tackling (a job) with gusto/
奮撃 [ふんげき] /(n,vs) fierce attack/
奮激 [ふんげき] /(n,vs) rouse/stir/inspire/
奮迅 [ふんじん] /(n) impetuous dash forward/
奮戦 [ふんせん] /(n,vs) hard fighting/
奮然 [ふんぜん] /(n,adj-t,adv-to) resoluteness/
奮闘 [ふんとう] /(n,vs) hard struggle/strenuous effort/(P)/
奮闘努力 [ふんとうどりょく] /(n,vs) try one's best/all-out effort/strenuous efforts/
奮発 [ふんぱつ] /(n,vs) (1) strenuous exertion/spurt/(2) splurge/(P)/
奮飛 [ふんぴ] /(n,vs) springing up/flying away/
奮励 [ふんれい] /(n,vs) strenuous efforts/
奮励努力 [ふんれいどりょく] /(n,vs) making strenuous efforts/exerting oneself/
粉 [こ] /(n) flour/meal/powder/
粉 [こな] /(n) flour/meal/powder/(P)/
粉々 [こなごな] /(adj-na,n) in very small pieces/
粉々になる [こなごなになる] /(exp,v5r) to break into fragments/to go to pieces/
粉々に砕く [こなごなにくだく] /(exp,v5k) to smash to pieces/
粉だに [こなだに] /(n) mold mite (any mite of family Acaridae)/
粉みじん [こなみじん] /(n) in very small pieces/
粉みじん [こみじん] /(n) in very small pieces/
粉コーヒー [こなコーヒー] /(n) ground coffee/coffee grounds/coffee grinds/
粉チーズ [こなチーズ] /(n) grated cheese/
粉ミルク [こなミルク] /(n) milk powder/(P)/
粉屋 [こなや] /(n) (1) flour dealer/(2) miller/(3) mill/
粉糠 [こぬか] /(n) rice bran/
粉骨砕身 [ふんこつさいしん] /(n,vs) making one's best exertions/
粉砂糖 [こなざとう] /(n) powdered sugar/
粉砕 [ふんさい] /(n,vs) pulverization/pulverisation/smashing/demolishing/(P)/
粉砕機 [ふんさいき] /(n) grinder/
粉種 [ふんしゅ] /(n) blend code (metallurgy, manufacturing)/
粉状 [ふんじょう] /(n,adj-no) pulverized/pulverised/powder(ed)/
粉飾 [ふんしょく] /(n,vs) makeup/toilet/embellishment/(P)/
粉飾決算 [ふんしょくけっさん] /(n) window dressing settlement/
粉食 [ふんしょく] /(n) powdered food/
粉塵 [ふんじん] /(n) dust/
粉吹金亀子 [こふきこがね] /(n) (uk) Japanese cockchafer (Melolontha japonica)/
粉石鹸 [こなせっけん] /(n) soap powder/
粉雪 [こなゆき] /(n) powdered snow/
粉雪 [こゆき] /(n) powdered snow/
粉体 [ふんたい] /(n) powder/
粉炭 [こなずみ] /(n) charcoal dust/
粉炭 [ふんたん] /(n) charcoal dust/
粉茶 [こちゃ] /(n) powdered (green) tea/
粉茶 [こなちゃ] /(n) powdered (green) tea/
粉糖 [ふんとう] /(n) powdered sugar/icing sugar/
粉乳 [ふんにゅう] /(n) powdered milk/
粉白粉 [こなおしろい] /(n) face powder/
粉微塵 [こなみじん] /(n) in very small pieces/
粉微塵 [こみじん] /(n) in very small pieces/
粉粉 [こなごな] /(adj-na,n) in very small pieces/
粉粉になる [こなごなになる] /(exp,v5r) to break into fragments/to go to pieces/
粉粉に砕く [こなごなにくだく] /(exp,v5k) to smash to pieces/
粉米 [こごめ] /(n) crushed rice/tiny pieces of rice/
粉壁 [ふんぺき] /(n) white wall/
粉本 [ふんぽん] /(n) copy/sketch/
粉末 [ふんまつ] /(n,adj-no) fine powder/(P)/
粉末状 [ふんまつじょう] /(n,adj-no) powdered/in powder form/
粉末冶金 [ふんまつやきん] /(n) powder metallurgy/
粉薬 [こなぐすり] /(n) powder medicine/
糞 [くそ] /(int) (1) (col) bullshit/shit/damn/(n) (2) (col) feces/excrement/(adj-f) (3) damn (adds emphasis and or annoyance to next word, e.g. damn hot, damn kids, etc.)/damned/
糞 [ふん] /(n) (1) (col) feces/excrement/
糞っ垂れ [くそったれ] /(n) (derog) shithead/bastard/
糞みそに言う [くそみそにいう] /(exp,v5u) to verbally attack (violently)/to run down/to criticize severely/to criticise severely/
糞も味噌も一緒 [くそもみそもいっしょ] /(exp) (id) Good and bad are mixed together/
糞ミソ [くそミソ] /(adj-na,n) (1) harsh/severe (e.g. criticism, verbal attack)/(n) (2) (uk) sweeping denunciation/
糞化石 [ふんかせき] /(n) (1) coprolite/(2) guano/
糞詰まり [ふんづまり] /(n) constipation/
糞惚け [くそぼけ] /(n) (uk) (derog) shit for brains/
糞食らえ [くそくらえ] /(exp) (uk) fuck off! (lit: eat shit)/up yours!/up your arse (ass)/
糞真面目 [くそまじめ] /(adj-na,n) overly serious/
糞人参 [くそにんじん] /(n) annual mugwort (Artemisia annua)/annual wormwood/sweet sagewort/sweet Annie/sweet wormwood/
糞垂れ [くそたれ] /(n) (derog) shithead/bastard/
糞石 [ふんせき] /(n) (1) coproma (hardened feces inside the colon)/fecaloma/stercoroma/(2) coprolite/
糞虫 [くそむし] /(n) (1) dung beetle/gold beetle/goldbug/scarab beetle/(2) maggots in faeces (feces)/
糞転がし [ふんころがし] /(n) (uk) (col) dung beetle/tumblebug/
糞度胸 [くそどきょう] /(n) foolhardiness/daredevil courage/
糞土 [ふんど] /(n) poor or filthy earth/
糞鳶 [くそとび] /(n) (uk) (col) (obsc) common buzzard (Buteo buteo)/
糞尿 [ふんにょう] /(n) excreta/
糞婆 [くそばばあ] /(n) (uk) (derog) old woman/old bat/
糞婆あ [くそばばあ] /(n) (uk) (derog) old woman/old bat/
糞蝿 [くそばえ] /(n) dung fly/
糞便 [ふんべん] /(n,adj-no) feces/
糞勉強 [くそべんきょう] /(n,vs) (sl) cram for an exam/concentrated study/
糞味噌 [くそみそ] /(adj-na,n) (1) harsh/severe (e.g. criticism, verbal attack)/(n) (2) (uk) sweeping denunciation/
糞味噌に言う [くそみそにいう] /(exp,v5u) to verbally attack (violently)/to run down/to criticize severely/to criticise severely/
糞面白くない [くそおもしろくない] /(adj-i) totally uninteresting/
糞爺 [くそじじい] /(n) (uk) (derog) old man/old goat/
糞落ち着き [くそおちつき] /(n) provokingly calm/
糞溜 [くそだめ] /(n) tank for holding excreta (often used for fertilizer) (fertiliser)/night soil vat or reservoir/
糞力 [くそぢから] /(n) extraordinary strength/animal strength/brute force/
糞壺 [くそつぼ] /(n) clay pot used to collect night-soil/
糞蠅 [くそばえ] /(n) (col) greenbottle/
糞鴟 [くそとび] /(n) (uk) (col) (obsc) common buzzard (Buteo buteo)/
紛々 [ふんぷん] /(adj-na,n) confusion/scattering/
紛い [まがい] /(n) imitation/sham/-like/
紛い物 [まがいもの] /(n) imitation/fake/sham/
紛う [まがう] /(v5u) to be mistaken for/to be confused with/
紛える [まがえる] /(v1,vt) (arch) to imitate/to confuse/
紛らす [まぎらす] /(v5s,vt) (1) to divert/to distract/(2) to conceal (one's sorrow with a smile, etc.)/(P)/
紛らわしい [まぎらわしい] /(adj-i) confusing/misleading/equivocal/ambiguous/(P)/
紛らわしい名前 [まぎらわしいなまえ] /(n) confusing (misleading) name/
紛らわす [まぎらわす] /(v5s,vt) to divert/to distract/
紛れ [まぎれ] /(suf) confusion/
紛れ [まぐれ] /(n) fluke/chance/(P)/
紛れもない [まぎれもない] /(adj-i) certain/unmistaken/
紛れる [まぎれる] /(v1,vi) to be diverted/to slip into/(P)/
紛れ込む [まぎれこむ] /(v5m,vi) to disappear into/to slip into/to be lost in/to be mixed up with/
紛れ当たり [まぐれあたり] /(n) lucky shot/fluke/
紛議 [ふんぎ] /(n) dissension/
紛糾 [ふんきゅう] /(n,vs) complication/confusion/disorder/(P)/
紛骨砕身 [ふんこつさいしん] /(iK) (n,vs) making one's best exertions/
紛失 [ふんしつ] /(n,vs) losing something/(P)/
紛失パルス [ふんしつパルス] /(n) (comp) missing-pulse/
紛失届 [ふんしつとどけ] /(n) report of the loss of (that one has lost) an article/
紛失物 [ふんしつぶつ] /(n) lost item/lost article/
紛擾 [ふんじょう] /(n,vs) disturbance/trouble/dispute/
紛然 [ふんぜん] /(n,adj-t,adv-to) confusion/disorder/
紛争 [ふんそう] /(n,vs,adj-no) dispute/trouble/strife/(P)/
紛争解決 [ふんそうかいけつ] /(n) conflict resolution/
紛紛 [ふんぷん] /(adj-na,n) confusion/scattering/
紛乱 [ふんらん] /(n,vs) confusion/disorder/
雰囲気 [ふいんき] /(ik) (n) atmosphere (e.g. musical)/mood/ambience/ambiance/
雰囲気 [ふんいき] /(n) atmosphere (e.g. musical)/mood/ambience/ambiance/(P)/
雰囲気を壊す [ふんいきをこわす] /(exp,v5s) to spoil the mood/
文 [あや] /(n) (1) figure/design/
文 [ふみ] /(n) letter/writings/(P)/
文 [ぶん] /(n) sentence/text/(P)/
文 [もん] /(n) (1) one-thousandth of a kan (obsolete unit of currency)/(2) 2.4 cm (traditional unit used to measure shoe sizes)/
文の無い文体 [あやのないぶんたい] /(n) plain style/
文は人也 [ぶんはひとなり] /(exp) (id) The style is the man/
文を以て立つ [ぶんをもってたつ] /(exp,v5t) to live by the pen/
文を組み立てる [ぶんをくみたてる] /(exp,v1) to construct a sentence/
文を付ける [あやをつける] /(exp,v1) (obsc) to make a false accusation/
文を練る [ぶんをねる] /(exp,v5r) to polish one's style/
文キーワード [ぶんキーワード] /(n) (comp) statement keyword/
文ラベル [ぶんラベル] /(n) (comp) statement label/
文安 [ぶんあん] /(n) (obsc) Bun'an era (1444.2.5-1449.7.28)/Bunnan era/
文安 [ぶんなん] /(n) (obsc) Bun'an era (1444.2.5-1449.7.28)/Bunnan era/
文案 [ぶんあん] /(n) draft/draught/
文意 [ぶんい] /(n) meaning of a sentence/
文運 [ぶんうん] /(n) cultural progress/advance of the arts/
文永 [ぶんえい] /(n) Bun'ei era (1264.2.28-1275.4.25)/
文苑 [ぶんえん] /(n) anthology/literary world/collection of literary masterpieces/
文応 [ぶんおう] /(n) Bun'ou era (1260.4.13-1261.2.20)/
文化 [ぶんか] /(n) (1) culture/civilization/civilisation/(2) Bunka era (1804.2.11-1818.4.22)/(P)/
文化の日 [ぶんかのひ] /(n) Culture Day Holiday (Nov 3)/
文化遺産 [ぶんかいさん] /(n) cultural heritage/(P)/
文化映画 [ぶんかえいが] /(n) cultural film/
文化科学 [ぶんかかがく] /(n) cultural science (Rickert's "Kulturwissenschaft")/
文化観光省 [ぶんかかんこうしょう] /(n) Minister for Culture and Tourism/
文化勲章 [ぶんかくんしょう] /(n) Order of Culture/Order of Cultural Merit/(P)/
文化圏 [ぶんかけん] /(n) cultural sphere/
文化圏固有動作 [ぶんかけんこゆうどうさ] /(n) (comp) locale-specific behavior/
文化交流 [ぶんかこうりゅう] /(n) cultural exchange/
文化功労者 [ぶんかこうろうしゃ] /(n) person who has made outstanding cultural contributions/
文化国家 [ぶんかこっか] /(n) country with a high level of culture/
文化祭 [ぶんかさい] /(n) culture festival/arts festival/
文化財 [ぶんかざい] /(n) cultural assets/cultural property/(P)/
文化財保護法 [ぶんかざいほごほう] /(n) Law for the Protection of Cultural Properties (1950)/
文化史 [ぶんかし] /(n) cultural history/
文化施設 [ぶんかしせつ] /(n) cultural facilities (art galleries, tea rooms, etc.)/
文化事業部 [ぶんかじぎょうぶ] /(n) Cultural Affairs Department/
文化省 [ぶんかしょう] /(n) Ministry of Culture (e.g, in China)/
文化心理学 [ぶんかしんりがく] /(n) cultural psychology/
文化人 [ぶんかじん] /(n) person of culture/cultured person/(P)/
文化人類学 [ぶんかじんるいがく] /(n) cultural anthropology/
文化相対主義 [ぶんかそうたいしゅぎ] /(n) cultural relativism/
文化大革命 [ぶんかだいかくめい] /(n) (China's) Cultural Revolution (1966-76)/
文化地理学 [ぶんかちりがく] /(n) cultural geography/
文化庁 [ぶんかちょう] /(n) (Japanese) Agency for Cultural Affairs/(P)/
文化帝国主義 [ぶんかていこくしゅぎ] /(n) cultural imperialism/
文化的 [ぶんかてき] /(adj-na) cultural/(P)/
文化哲学 [ぶんかてつがく] /(n) philosophy of culture/
文化闘争 [ぶんかとうそう] /(n) Kulturkampf (1872-1887)/
文化文政時代 [ぶんかぶんせいじだい] /(n) Bunka-Bunsei period (approx. 1804-1830 CE)/
文化摩擦 [ぶんかまさつ] /(n) cultural friction/
文科 [ぶんか] /(n) (1) literary course/(2) the arts/(P)/
文科系 [ぶんかけい] /(n) literary group/
文科省 [ぶんかしょう] /(n) (abbr) Ministry of Education, Culture, Sports, Science and Technology/
文科省 [もんかしょう] /(n) (abbr) Ministry of Education, Culture, Sports, Science and Technology/
文科大学 [ぶんかだいがく] /(n) liberal arts college/
文雅 [ぶんが] /(adj-na,n) elegant or refined style/
文革 [ぶんかく] /(n) cultural revolution/
文学 [ぶんがく] /(n) literature/(P)/
文学の味 [ぶんがくのあじ] /(n) the pleasures of literature/
文学界 [ぶんがくかい] /(n) the literary world/literary circles/
文学座 [ぶんがくざ] /(n) the Bungaku Company/
文学作品 [ぶんがくさくひん] /(n) literary work/
文学史 [ぶんがくし] /(n) literary history/history of literature/
文学士 [ぶんがくし] /(n) Bachelor of Arts/
文学者 [ぶんがくしゃ] /(n) literary person/(P)/
文学修士 [ぶんがくしゅうし] /(n) Master of Arts/MA/
文学書 [ぶんがくしょ] /(n) book/literary work/
文学賞 [ぶんがくしょう] /(n) literary prize/
文学青年 [ぶんがくせいねん] /(n) young literary enthusiast/
文学的 [ぶんがくてき] /(adj-na) literary/
文学的な匂い [ぶんがくてきなにおい] /(n) literary flavor/literary flavour/
文学博士 [ぶんがくはかせ] /(n) a Doctor of Literature/
文学部 [ぶんがくぶ] /(n) department (faculty) of literature/
文学理論 [ぶんがくりろん] /(n) literary theory/
文学論 [ぶんがくろん] /(n) literary criticism or theory/
文楽 [ぶんらく] /(n) Japanese puppet theatre (theater)/bunraku/(P)/
文官 [ぶんかん] /(n) civil official/
文関数 [ぶんかんすう] /(n) (comp) statement function/
文亀 [ぶんき] /(n) Bunki era (1501.2.29-1504.2.30)/
文久 [ぶんきゅう] /(n) Bunkyuu era (1861.2.19-1864.2.20)/
文教 [ぶんきょう] /(n) education/culture/(P)/
文教の府 [ぶんきょうのふ] /(n) fountainhead of culture/Ministry of Education/
文教族 [ぶんきょうぞく] /(n) Diet members with a special interest in education/
文教地区 [ぶんきょうちく] /(n) school zone/
文句 [もんく] /(n) (1) phrase/(2) complaint/(P)/
文句なく [もんくなく] /(adv) undisputedly/perfectly/
文句なし [もんくなし] /(adj-no) undisputed/entirely/perfect/(P)/
文句を付ける [もんくをつける] /(exp,v1) to complain/to lodge a complaint/
文句無し [もんくなし] /(adj-no) undisputed/entirely/perfect/
文具 [ぶんぐ] /(n) stationery/(P)/
文型 [ぶんけい] /(n) (ling) sentence pattern/
文系 [ぶんけい] /(n,adj-no) humanities, social sciences, and fine arts/liberal arts/(P)/
文芸 [ぶんげい] /(n,adj-no) literature/art and literature/belles-lettres/(P)/
文芸家 [ぶんげいか] /(n) man of letters/writer/
文芸学 [ぶんげいがく] /(n) study or science of literature/a liberal arts department/
文芸作品 [ぶんげいさくひん] /(n) literary work/
文芸雑誌 [ぶんげいざっし] /(n) literary magazine/
文芸誌 [ぶんげいし] /(n) literary magazine/
文芸批評 [ぶんげいひひょう] /(n) literary criticism/book review/
文芸批評家 [ぶんげいひひょうか] /(n) literary critic/
文芸評論 [ぶんげいひょうろん] /(n) literary criticism/
文芸評論家 [ぶんげいひょうろんか] /(n) literary critic/
文芸部 [ぶんげいぶ] /(n) literary club (e.g. at school)/literary section (e.g. newspaper)/
文芸復興 [ぶんげいふっこう] /(n) Renaissance/
文芸欄 [ぶんげいらん] /(n) literary (and the arts) column/
文月 [ふづき] /(n) (obs) seventh month of the lunar calendar/
文月 [ふみづき] /(n) (obs) seventh month of the lunar calendar/
文献 [ぶんけん] /(n) literature/books (reference)/document/(P)/
文献の選択 [ぶんけんのせんたく] /(n) (comp) selection of documents/
文献学 [ぶんけんがく] /(n) philology/bibliography/
文献検索 [ぶんけんけんさく] /(n) (comp) document retrieval/
文献集 [ぶんけんしゅう] /(n) (comp) documentation/
文言 [もんごん] /(n) wording/
文言葉 [ふみことば] /(n,adj-no) language used when writing letters/
文庫 [ぶんこ] /(n) (1) library/book collection/(2) paperback book/(P)/
文庫化 [ぶんこか] /(n,vs) publish in paperback/
文庫版 [ぶんこばん] /(n) paperback edition/
文庫本 [ぶんこぼん] /(n) mass-market paperback/pocket edition/
文語 [ぶんご] /(n) (1) written language/literary language/(2) formal (or archaic) written style based on Heian-period Japanese/(P)/
文語体 [ぶんごたい] /(n) literary style/
文語調 [ぶんごちょう] /(n) flavor of literary style/flavour of literary style/
文語文 [ぶんごぶん] /(n) literary language/
文語文法 [ぶんごぶんぽう] /(n) grammar of the classical literature/classical grammar/
文豪 [ぶんごう] /(n) literary master/
文彩 [ぶんさい] /(n) figure of speech/
文才 [ぶんさい] /(n) literary talent/
文采 [ぶんさい] /(n) figure of speech/
文士 [ぶんし] /(n) man of letters/literary man/
文士の卵 [ぶんしのたまご] /(n) hatching writer/
文士連 [ぶんしれん] /(n) the literary set/
文事 [ぶんじ] /(n) literary matters/
文字 [もじ] /(n) (1) letter (of alphabet)/character/(adj-no) (2) literal/(P)/
文字 [もんじ] /(ok) (n) (1) letter (of alphabet)/character/(adj-no) (2) literal/(P)/
文字どおり [もじどおり] /(adj-no) (1) literal/(n-adv) (2) literally/
文字の高さ [もじのたかさ] /(n) (comp) height of character/
文字の進む方向 [もじのすすむほうこう] /(n) (comp) character path/
文字の大きさ [もじのおおきさ] /(n) (comp) graphic size/
文字の大小順序 [もじのだいしょうじゅんじょ] /(n) (comp) collating sequence/
文字の幅 [もじのはば] /(n) (comp) width of character/
文字クラス [もじクラス] /(n) (comp) character class/
文字コード [もじコード] /(n) character code (e.g. JIS, Unicode, etc.)/
文字セット [もじセット] /(n) (comp) character set/
文字テキスト [もじテキスト] /(n) (comp) character text/
文字データ [もじデータ] /(n) (comp) character data/
文字データ実体 [もじデータじったい] /(n) (comp) character data entity/
文字ピッチ [もじピッチ] /(n) (comp) character pitch/
文字レパートリ [もじレパートリ] /(n) (comp) character repertoire/
文字位置 [もじいち] /(n) (comp) character position/
文字化け [もじばけ] /(n) (comp) corruption (of text, e.g. in email, due to improper encoding)/garbling/illegal character/corrupted text/garbled text/
文字回転 [もじかいてん] /(n) (comp) character rotation/
文字回転角 [もじかいてんかく] /(n) (comp) character orientation/
文字間 [もじかん] /(n) (comp) letter spacing/tracking/
文字間隔 [もじかんかく] /(n) (comp) character spacing/
文字基準線 [もじきじゅんせん] /(n) (comp) character base line/
文字基準方向 [もじきじゅんほうこう] /(n) (comp) character base vector/
文字記憶単位 [もじきおくたんい] /(n) (comp) character storage unit/
文字境界 [もじきょうかい] /(n) (comp) character boundary/
文字型特殊ファイル [もじがたとくしゅファイル] /(n) (comp) character special file/
文字言語 [もじげんご] /(n) written language/literary language/
文字言葉 [もじことば] /(n) slang created by retaining the first syllable (or two) of a word and suffixing it with "moji"/
文字項目 [もじこうもく] /(n) (comp) nonnumeric item/
文字高さ [もじたかさ] /(n) (comp) character height/
文字合わせ錠 [もじあわせじょう] /(n) combination lock/
文字参照 [もじさんしょう] /(n) (comp) character reference/
文字詞 [もじことば] /(n) slang created by retaining the first syllable (or two) of a word and suffixing it with "moji"/
文字実体集合 [もじじったいしゅうごう] /(n) (comp) character entity set/
文字種別 [もじしゅべつ] /(n) (comp) character class/
文字修飾 [もじしゅうしょく] /(n) (comp) character decoration/
文字集合 [もじしゅうごう] /(n) (comp) character set/
文字順列 [もじじゅんれつ] /(n) (comp) character sequence/
文字情報 [もじじょうほう] /(n) character information/character data/textual data/
文字食込み [もじくいこみ] /(n) (comp) pairwise kerning/
文字進行方向 [もじしんこうほうこう] /(n) (comp) character path/
文字数／インチ [もじすうインチ] /(n) (comp) characters per inch/CPI/
文字操作 [もじそうさ] /(n) (comp) character manipulation/
文字装飾 [もじそうしょく] /(n) text decoration (e.g. character and font effects, underline, etc.)/
文字像 [もじぞう] /(n) (comp) character image/
文字多重放送 [もじたじゅうほうそう] /(n) teletext/
文字通り [もじどおり] /(adj-no) (1) literal/(n-adv) (2) literally/(P)/
文字定数 [もじていすう] /(n) (comp) nonnumeric literal/
文字読取り装置 [もじよみとりそうち] /(n) character reader/
文字認識 [もじにんしき] /(n) (comp) character recognition/
文字発生器 [もじはっせいき] /(n) (comp) character generator/
文字番号 [もじばんごう] /(n) (comp) character number/
文字盤 [もじばん] /(n) dial (i.e. labelled face of a timepiece or other measuring device)/
文字表示装置 [もじひょうじそうち] /(n) (comp) character display (device)/character-imaging device/
文字符号データ要素 [もじふごうデータようそ] /(n) (comp) character-coded-data-element/CC data element/
文字符号化法 [もじふごうかほう] /(n) character encoding scheme/
文字符号系 [もじふごうけい] /(n) character coding system/
文字幅 [もじはば] /(n) (comp) character width/
文字幅拡大率 [もじはばかくだいりつ] /(n) (comp) character expansion factor/
文字放送 [もじほうそう] /(n) teletext broadcasting/
文字落ち [もじおち] /(n) (comp) missing character/
文字立ち上がり方向 [もじたちあがりほうこう] /(n) (comp) character up vector/
文字列 [もじれつ] /(n) (comp) character string/
文字列のフォントと表示精度 [もじれつのフォントとひょうじせいど] /(n) (comp) text font and precision/
文字列の長さ [もじれつのながさ] /(n) (comp) length of a character string/
文字列型 [もじれつがた] /(n) (comp) character string type/
文字列束表 [もじれつたばひょう] /(n) (comp) text bundle table/
文字列入力装置 [もじれつにゅうりょくそうち] /(n) (comp) string device/
文字枠 [もじわく] /(n) (comp) character body/
文治 [ぶんじ] /(n) (1) civil administration/(2) Bunji era (1185.8.14-1190.4.11)/
文治 [ぶんち] /(n) (1) civil administration/
文治主義 [ぶんじしゅぎ] /(n) governing by law and reason rather than by military force/
文治主義 [ぶんちしゅぎ] /(n) governing by law and reason rather than by military force/
文識別子 [ぶんしきべつし] /(n) (comp) text identifier/
文質彬彬 [ぶんしつひんぴん] /(adj-na) refined/handsome and solid in character/
文弱 [ぶんじゃく] /(adj-na,n) (enervating) attraction to books or learning/
文殊 [もんじゅ] /(n) (Buddh) Manjusri/Transcendent Wisdom/
文殊菩薩 [もんじゅぼさつ] /(n) (Buddh) Manjusri (bodhisattva)/
文殊様 [もんじゅさま] /(n) Manjusri (bodhisattva)/
文集 [ぶんしゅう] /(n) anthology/
文書 [ぶんしょ] /(n) document/writing/letter/paperwork/note/records/archives/(P)/
文書 [もんじょ] /(n) document/writing/letter/paperwork/note/records/archives/
文書アイコン [ぶんしょアイコン] /(n) (comp) document icon/
文書クラス [ぶんしょクラス] /(n) (comp) document class/
文書クラス記述部 [ぶんしょクラスきじゅつぶ] /(n) (comp) document class description/
文書ファイル [ぶんしょファイル] /(n) (comp) document file/
文書印紙税 [ぶんしょいんしぜい] /(n) document duty stamp/
文書応用仕様 [ぶんしょおうようしよう] /(n) (comp) document application profile/
文書化 [ぶんしょか] /(n,vs) (comp) documentation/
文書概要 [ぶんしょがいよう] /(n) (comp) document profile/
文書概要水準 [ぶんしょがいようすいじゅん] /(n) (comp) document profile level/
文書割付け根 [ぶんしょわりつけこん] /(n) (comp) document layout root/
文書割付け処理 [ぶんしょわりつけしょり] /(n) (comp) document layout process/
文書館 [もんじょかん] /(n) (comp) archives/
文書館学 [もんじょかんがく] /(n) (comp) archive science/
文書偽造 [ぶんしょぎぞう] /(n) forgery of documents/
文書型 [ぶんしょがた] /(n) (comp) document type/
文書型指定 [ぶんしょがたしてい] /(n) (comp) document type specification/
文書型宣言 [ぶんしょがたせんげん] /(n) (comp) document type declaration/
文書型宣言部分集合 [ぶんしょがたせんげんぶぶんしゅうごう] /(n) (comp) document type declaration subset/
文書型定義 [ぶんしょがたていぎ] /(n) (comp) document type definition/DTD/
文書実現値 [ぶんしょじつげんち] /(n) (comp) document instance/
文書実現値集合 [ぶんしょじつげんちしゅうごう] /(n) (comp) document instance set/
文書処理応用 [ぶんしょしょりおうよう] /(n) (comp) text processing application/
文書体系 [ぶんしょたいけい] /(n) (comp) document architecture/document body/
文書体系クラス [ぶんしょたいけいクラス] /(n) (comp) document architecture class/
文書体系水準 [ぶんしょたいけいすいじゅん] /(n) (comp) document architecture level/
文書読取り装置 [ぶんしょよみとりそうち] /(n) (comp) document reader/
文書文字集合 [ぶんしょもじしゅうごう] /(n) (comp) document character set/
文書要素 [ぶんしょようそ] /(n) (comp) document element/
文書論理根 [ぶんしょろんりこん] /(n) (comp) document logical root/
文章 [ぶんしょう] /(n) (1) (ling) sentence/article/composition/(2) (writing) style/(P)/
文章語 [ぶんしょうご] /(n) literary language/written language/
文章作法 [ぶんしょうさほう] /(n) methods of writing/rules of good writing/writing style guide/
文章処理 [ぶんしょうしょり] /(n) (comp) text processing/
文章体 [ぶんしょうたい] /(n) writing in a formal style (bungo)/
文章題 [ぶんしょうだい] /(n) (1) story (verbal) problem/(2) (math) problem expressed in words/
文章単位 [ぶんしょうたんい] /(n) (comp) text unit/
文章法 [ぶんしょうほう] /(n) (1) method of writing/(2) syntax/
文章論 [ぶんしょうろん] /(n) syntax/
文飾 [ぶんしょく] /(n,vs) literary embellishments/
文臣 [ぶんしん] /(n) civil official (esp. dealing with literary matters)/
文身 [いれずみ] /(n,vs) tattoo/
文身 [ぶんしん] /(n,vs) tattoo/
文人 [ぶんじん] /(n) person of letters/literary person/
文人画 [ぶんじんが] /(n) style of Southern Chinese painting/
文人墨客 [ぶんじんぼっかく] /(n) writers and artists/persons who take delight in such refined pursuits as poetry, literature, painting and calligraphy/
文人墨客 [ぶんじんぼっきゃく] /(n) writers and artists/persons who take delight in such refined pursuits as poetry, literature, painting and calligraphy/
文勢 [ぶんせい] /(n) force of a literary style/
文政 [ぶんせい] /(n) (1) educational policies or administration/(2) Bunsei era (1818.4.22-1830.12.10)/
文正 [ぶんしょう] /(n) Bunshou era (1466.2.28-1467.3.5)/
文責 [ぶんせき] /(n) responsibility for wording of an article/
文節 [ぶんせつ] /(n) (ling) paragraph/clause/phrase/
文節数 [ぶんせつすう] /(n) number of phrases/
文選 [ぶんせん] /(n,vs) typesetting/
文選工 [ぶんせんこう] /(n) typesetter/compositor/
文相 [ぶんしょう] /(n) Minister of Education, Science and Culture/(P)/
文藻 [ぶんそう] /(n) literary talent/
文体 [ぶんたい] /(n,adj-no) (ling) literary style/(P)/
文体論 [ぶんたいろん] /(n) stylistics/
文題 [ぶんだい] /(n) subject/theme/
文旦 [ぶんたん] /(n) shaddock/pomelo/
文壇 [ぶんだん] /(n) literary world/literary circles/(P)/
文中 [ぶんちゅう] /(exp) (1) in the document/(n) (2) Bunchuu era (of the Southern Court) (1372.4.?-1375.5.27)/(P)/
文調 [ぶんちょう] /(n) writing style/
文鳥 [ぶんちょう] /(n) Java sparrow/Java rice finch (Lonchura oryzivora, Padda oryzivora)/
文鎮 [ぶんちん] /(n) paperweight/
文通 [ぶんつう] /(n,vs) correspondence/exchange of letters/(P)/
文典 [ぶんてん] /(n) grammar/
文展 [ぶんてん] /(n) (abbr) Bunten exhibition/art exhibition sponsored by the Ministry of Education (antecedent of the Nitten exhibition)/
文頭 [ぶんとう] /(n) start of a sentence, phrase, etc./
文徳実録 [もんとくじつろく] /(n) (abbr) Montoku Jitsuroku (fifth of the six classical Japanese history texts)/
文読む月日 [ふみよむつきひ] /(n) days of reading/
文内要素 [ぶんないようそ] /(n) (comp) statement entity/
文尼 [むに] /(n) (1) (hon) muni (Indian ascetic or sage)/(2) Buddha/
文博 [ぶんはく] /(n) doctor of literature/
文箱 [ふばこ] /(n) box to hold letters/
文箱 [ふみばこ] /(n) box to hold letters/
文蛤 [はまぐり] /(n) (uk) common orient clam (Meretrix lusoria)/
文範 [ぶんぱん] /(n) model composition/
文番号 [ぶんばんごう] /(n) (comp) statement label/
文否定 [ぶんひてい] /(n) (ling) sentential negation/sentence negation/statement negation/
文披月 [ふみひらきづき] /(n) seventh lunar month/
文披月 [ふみひろげづき] /(n) seventh lunar month/
文尾 [ぶんび] /(n) end of a sentence/sentence final/
文筆 [ぶんぴつ] /(n) literary art/literary activity/writing/(P)/
文筆家 [ぶんぴつか] /(n) writer/author/literary person/one who lives from writing/
文筆業 [ぶんぴつぎょう] /(n) literary profession/writing/
文武 [ぶんぶ] /(n) literary and military arts/the pen and the sword/
文武兼備 [ぶんぶけんび] /(n) well up in both literary and military (martial) arts/well skilled in wielding both the sword and the pen/
文武百官 [ぶんぶひゃっかん] /(n) all the officials, both military and civil/
文武両道 [ぶんぶりょうどう] /(n) (accomplished in) both the literary and military arts/
文部 [もんぶ] /(n) (abbr) Ministry of Education, Culture, Sports, Science and Technology/(P)/
文部科学省 [もんぶかがくしょう] /(n) Ministry of Education, Culture, Sports, Science and Technology/MEXT/
文部科学相 [もんぶかがくしょう] /(n) Minister of Education, Culture, Sports, Science and Technology/
文部科学大臣 [もんぶかがくだいじん] /(n) Minister of Education, Culture, Sports, Science and Technology/
文部省 [もんぶしょう] /(n) (abbr) Ministry of Education, Culture, Sports, Science and Technology/(P)/
文部省美術展覧会 [もんぶしょうびじゅつてんらんかい] /(n) Bunten exhibition/annual art exhibition sponsored by the Ministry of Education (antecedent of the Nitten exhibition)/
文部大臣 [もんぶだいじん] /(n) Minister of Education/
文福茶釜 [ぶんぶくちゃがま] /(n) bunbuku chagama (a mythical raccoon dog transformed into a teapot)/
文物 [ぶんぶつ] /(n) (the products of) culture or civilization (civilisation)/
文保 [ぶんぽう] /(n) Bumpou era (1317.2.3-1319.4.28)/
文法 [ぶんぽう] /(n,adj-no) (ling) grammar/syntax/(P)/
文法エラー [ぶんぽうエラー] /(n) (comp) grammar error/syntax error/
文法チェッカ [ぶんぽうチェッカ] /(n) (comp) grammar checker/
文法解釈 [ぶんぽうかいしゃく] /(n) (ling) grammatical analysis/
文法規則 [ぶんぽうきそく] /(n) (ling) grammar rule/
文法形式 [ぶんぽうけいしき] /(n) (ling) grammatical form/
文法書 [ぶんぽうしょ] /(n) grammar (book)/
文法性 [ぶんぽうせい] /(n) (ling) grammaticality/
文法的 [ぶんぽうてき] /(adj-na) (ling) grammatical/
文房具 [ぶんぼうぐ] /(n) stationery/(P)/
文房具屋 [ぶんぼうぐや] /(n) stationery shop/a stationer/
文房四宝 [ぶんぼうしほう] /(n) in calligraphy, the four important tools of brush, ink stone, ink stick, and paper/
文末 [ぶんまつ] /(n) (ling) end of a sentence/
文脈 [ぶんみゃく] /(n) (ling) context/(P)/
文脈に敏感 [ぶんみゃくにびんかん] /(n) (comp) context sensitive/
文脈依存文法 [ぶんみゃくいぞんぶんぽう] /(n) (comp) context-sensitive grammar/
文脈化 [ぶんみゃくか] /(n,vs) contextualization/
文脈自由 [ぶんみゃくじゆう] /(n,adj-no) (comp) context-free/
文脈自由言語 [ぶんみゃくじゆうげんご] /(n) context-free language/
文脈自由文法 [ぶんみゃくじゆうぶんぽう] /(n) (comp) context-free grammar/
文脈上の区切り子 [ぶんみゃくじょうのくぎりし] /(n) (comp) delimiter-in-context/
文脈上の選択字句 [ぶんみゃくじょうのせんたくじく] /(n) (comp) contextually optional token/
文脈上の選択要素 [ぶんみゃくじょうのせんたくようそ] /(n) (comp) contextually optional element/
文脈上の必す字句 [ぶんみゃくじょうのひっすじく] /(n) (comp) contextually required token/
文脈上の必す要素 [ぶんみゃくじょうのひっすようそ] /(n) (comp) contextually required element/
文脈宣言 [ぶんみゃくせんげん] /(n) (comp) contextual declaration/
文脈列 [ぶんみゃくれつ] /(n) (comp) contextual sequence/
文民 [ぶんみん] /(n,adj-no) civilian/(P)/
文民統制 [ぶんみんとうせい] /(n) civilian control/
文無し [もんなし] /(adj-na,n,adj-no) penniless/broke/
文名 [ぶんめい] /(n) literary fame/
文明 [ぶんめい] /(n) (1) civilization/civilisation/culture/(2) Bummei era (1469.4.28-1487.7.20)/(P)/
文明が進むに連れて [ぶんめいがすすむにつれて] /(exp) with the advance of civilization (civilisation)/
文明の衝突 [ぶんめいのしょうとつ] /(n) clash of civilizations/
文明開化 [ぶんめいかいか] /(n) Japan's Westernization movement during the Meiji era (Westernisation)/
文明館 [ぶんめいかん] /(n) the Bunmeikan Theater/
文明国 [ぶんめいこく] /(n) civilized nation/civilised nation/
文明史 [ぶんめいし] /(n) history of civilization/
文明社会 [ぶんめいしゃかい] /(n) civilized society/civilised society/
文明諸国 [ぶんめいしょこく] /(n) civilized world/civilised world/
文明世界 [ぶんめいせかい] /(n) civilized world/civilised world/
文面 [ぶんめん] /(n) content of a letter/(P)/
文盲 [もんもう] /(n,adj-no) (sens) illiteracy/
文目 [あやめ] /(n) pattern/design/distinction/
文目鳥 [あやめどり] /(n) (obsc) lesser cuckoo (Cuculus poliocephalus)/
文様 [もんよう] /(n) pattern/design/(P)/
文理 [ぶんり] /(n) literature and science/context/(line of) reasoning/
文例 [ぶんれい] /(n) sample sentence/
文暦 [ぶんりゃく] /(n) Bunryaku era (1234.11.5-1235.9.19)/
文禄 [ぶんろく] /(n) Bunroku era (1592.12.8-1596.10.27)/
文禄慶長の役 [ぶんろくけいちょうのえき] /(n) Imjin War (1592-1597)/
文和 [ぶんな] /(n) (obsc) Bunna era, Bunwa era (of the Northern Court) (1352.9.27-1356.3.28)/
文和 [ぶんわ] /(n) Bunwa era (of the Northern Court) (1352.9.27-1356.3.28)/
文匣 [ぶんこう] /(n) (arch) document chest/
文橙 [ぶんたん] /(n) shaddock/pomelo/
文繞 [ぶんにょう] /(n) (uk) kanji "literature" radical (radical 67)/
文藝 [ぶんげい] /(n,adj-no) literature/art and literature/belles-lettres/
聞いた風 [きいたふう] /(adj-na) flippant/saucy/
聞いてあきれる [きいてあきれる] /(v1,vi) to be astonished to hear/to be incredulous about/to express disbelief/
聞いてみると [きいてみると] /(exp) on inquiry/if inquiring/
聞いて極楽見て地獄 [きいてごくらくみてじごく] /(exp) (id) A paradise on hearsay, a hell at sight/
聞いて呆れる [きいてあきれる] /(v1,vi) to be astonished to hear/to be incredulous about/to express disbelief/
聞える [きこえる] /(v1,vi) (1) to be heard/to be audible/(2) to be said to be/to be reputed/
聞かす [きかす] /(v5s,vt) to inform about/to read to/to sing for/(P)/
聞かせどころ [きかせどころ] /(n) most moving part/compelling part (of story)/climax/
聞かせる [きかせる] /(v1,vt) (1) to read to/to sing for/to inform/to tell/(2) to persuade/to make understand/
聞かせ所 [きかせどころ] /(n) most moving part/compelling part (of story)/climax/
聞かん坊 [きかんぼう] /(n) naughty or unruly child/
聞か猿 [きかざる] /(n) hear-not monkey (one of the three wise monkeys)/
聞きあきる [ききあきる] /(v1,vt) to be tired of hearing/
聞きいただく [ききいただく] /(v5k) to ask (politely)/
聞きおぼえ [ききおぼえ] /(n) (1) learning by ear/(2) memory of having heard something before/
聞きおぼえがある [ききおぼえがある] /(exp,v5r-i) to have heard somewhere/to sound familiar/
聞きおぼえる [ききおぼえる] /(v1,vt) (1) to be familiar/(2) to learn by ear/to pick up knowledge/
聞きしにまさる [ききしにまさる] /(exp,v5r) to a greater extent than one has heard/going beyond one's expectations/
聞きしに勝る [ききしにまさる] /(exp,v5r) to a greater extent than one has heard/going beyond one's expectations/
聞きたい [ききたい] /(adj-i) wanting to hear/
聞きたがる [ききたがる] /(v5r) to be curious/to be inquisitive/
聞きただす [ききただす] /(v5s) to find out the truth/to ascertain/to clarify/
聞きつける [ききつける] /(v1,vt) to hear/to catch (the sound)/
聞きとる [ききとる] /(v5r,vt) to catch (a person's words)/to follow/to understand/
聞きなおす [ききなおす] /(v5s,vt) to listen again/to ask again/
聞きにくい [ききにくい] /(adj-i) difficult to hear/hesitating to ask/
聞きほれる [ききほれる] /(v1,vi) to listen to in an ecstasy/
聞きもしないで [ききもしないで] /(exp) without even asking/without even listening/without careful inquiry (enquiry)/
聞きもらす [ききもらす] /(v5s) to fail to hear/to miss/
聞き悪い [ききにくい] /(adj-i) difficult to hear/hesitating to ask/
聞き違い [ききちがい] /(n) mishearing/
聞き違う [ききちがう] /(v5u) to mishear/
聞き違える [ききちがえる] /(v1,vt) to mishear/
聞き応え [ききごたえ] /(n) worth listening to/
聞き下手 [ききべた] /(adj-na) poor listener/
聞き過ごす [ききすごす] /(v5s,vt) to fail to catch/to ignore/
聞き外す [ききはずす] /(v5s,vt) (1) (arch) to mishear/(2) to stop listening halfway through/
聞き覚え [ききおぼえ] /(n) (1) learning by ear/(2) memory of having heard something before/
聞き覚えがある [ききおぼえがある] /(exp,v5r-i) to have heard somewhere/to sound familiar/
聞き覚える [ききおぼえる] /(v1,vt) (1) to be familiar/(2) to learn by ear/to pick up knowledge/
聞き慣れる [ききなれる] /(v1,vt) to get used to hearing/
聞き及ぶ [ききおよぶ] /(v5b,vt) to hear of/to learn of/
聞き旧した [ききふるした] /(adj-f) trite/hackneyed/
聞き苦しい [ききぐるしい] /(adj-i) difficult to hear/unpleasant to hear/
聞き古した [ききふるした] /(adj-f) trite/hackneyed/
聞き合せ [ききあわせ] /(n) inquiry/enquiry/
聞き合せる [ききあわせる] /(v1,vt) to make inquiries/to refer to/
聞き惚れる [ききほれる] /(v1,vi) to listen to in an ecstasy/
聞き込み [ききこみ] /(n) getting information (esp. by interviewing witnesses, etc. in a police investigation)/
聞き込み捜査 [ききこみそうさ] /(n) (police) legwork/house-to-house inquiry/canvassing/investigation carried out by questioning neighbours, bystanders, etc./
聞き込む [ききこむ] /(v5m,vt) to get information/to find out/to get wind of/
聞き耳 [ききみみ] /(n) straining one's ears/
聞き耳を立てる [ききみみをたてる] /(exp,v1) to prick up one's ears and listen/to listen attentively/
聞き捨てならない [ききすてならない] /(exp) inexcusable/unpardonable/
聞き捨てならない [ききずてならない] /(exp) inexcusable/unpardonable/
聞き捨てにする [ききずてにする] /(exp,vs-i) to overlook/to ignore/to pass over/
聞き捨てる [ききすてる] /(v1,vt) to ignore/to overlook/
聞き取り [ききとり] /(n) listening comprehension/(P)/
聞き取る [ききとる] /(v5r,vt) to catch (a person's words)/to follow/to understand/(P)/
聞き手 [ききて] /(n) (1) hearer/listener/audience/(2) interviewer/questioner/(P)/
聞き酒 [ききざけ] /(n) wine or sake tasting/
聞き出す [ききだす] /(v5s,vt) to get information out of a person/to begin listening/
聞き所 [ききどころ] /(n) point (of a speech)/
聞き書き [ききがき] /(n) account of what one hears/(P)/
聞き上手 [ききじょうず] /(adj-na,n) good listener/
聞き辛い [ききづらい] /(adj-i) difficult to hear/difficult to ask/
聞き尽くす [ききつくす] /(v5s) to hear all about/
聞き澄ます [ききすます] /(v5s,vt) to listen attentively/
聞き正す [ききただす] /(v5s) to draw (information from)/
聞き損なう [ききそこなう] /(v5u) (1) to mishear/to fail to catch/(2) to miss (the chance to hear)/
聞き知る [ききしる] /(v5r,vt) to learn something through hearing/
聞き置く [ききおく] /(v5k,vt) to listen/
聞き頂く [ききいただく] /(v5k) to ask (politely)/
聞き直す [ききなおす] /(v5s,vt) to listen again/to ask again/
聞き伝え [ききつたえ] /(n,adj-no) hearsay/
聞き伝え [ききづたえ] /(n,adj-no) hearsay/
聞き伝える [ききつたえる] /(v1,vt) to hear (secondhand)/
聞き逃す [ききのがす] /(v5s,vt) to fail to hear something/to miss/
聞き届ける [ききとどける] /(v1,vt) to grant/
聞き馴れる [ききなれる] /(v1,vt) to get used to hearing/
聞き入る [ききいる] /(v5r) to listen attentively to/to be lost in/
聞き入れる [ききいれる] /(v1,vt) to grant (a wish)/to accede/to comply with/
聞き納め [ききおさめ] /(n) hear something for the last time/
聞き付ける [ききつける] /(v1,vt) to hear/to catch (the sound)/
聞き物 [ききもの] /(n) worth listening to/
聞き分け [ききわけ] /(n,adj-no) easily taught/obedient/
聞き分けのない [ききわけのない] /(adj-i) unreasonable/
聞き分けの良い [ききわけのいい] /(adj-i) reasonable/
聞き分けの良い [ききわけのよい] /(adj-i) reasonable/
聞き分ける [ききわける] /(v1,vt) to recognize (identify) by sound/to recognise by sound/
聞き返す [ききかえす] /(v5s,vt) to ask in return/to ask again/to listen repeatedly/
聞き方 [ききかた] /(n) way of listening/listener/
聞き飽きる [ききあきる] /(v1,vt) to be tired of hearing/
聞き忘れる [ききわすれる] /(v1,vt) to forget to ask/
聞き役 [ききやく] /(n) listener's role/
聞き落し [ききおとし] /(n) mishearing/failing to catch (something said)/
聞き落す [ききおとす] /(v5s,vt) to fail to catch/
聞き流す [ききながす] /(v5s,vt) to ignore/
聞き良い [ききよい] /(adj-i) pleasant to listen to/
聞き漏らす [ききもらす] /(v5s) to fail to hear/to miss/
聞き做す [ききなす] /(v5s,vt) to consider/
聞き咎める [ききとがめる] /(v1,vt) to find fault with/
聞き糺す [ききただす] /(v5s) to ascertain/to confirm/to verify/to make sure of/
聞き齧る [ききかじる] /(v5r,vt) to have a smattering knowledge of/
聞く [きく] /(v5k,vt) (1) to hear/(2) to listen (e.g. to music)/(3) to ask/to enquire/to query/(P)/
聞くと見るとは大違い [きくとみるとはおおちがい] /(exp) (id) A big difference between what one hears and what one sees/
聞くは一時の恥聞かぬは末代の恥 [きくはいっときのはじきかぬはまつだいのはじ] /(exp) (id) Better ask than go astray/
聞く耳 [きくみみ] /(n) acute ear/good ear/
聞く耳をもたない [きくみみをもたない] /(exp) to turn a deaf ear to/to not listen to/to not get the message/
聞く耳をもたぬ [きくみみをもたぬ] /(exp) to turn a deaf ear to/to not listen to/to not get the message/
聞く耳を持たない [きくみみをもたない] /(exp) to turn a deaf ear to/to not listen to/to not get the message/
聞く耳を持たぬ [きくみみをもたぬ] /(exp) to turn a deaf ear to/to not listen to/to not get the message/
聞ける [きける] /(v1,vt) (arch) to tell/
聞こえ [きこえ] /(n) reputation/fame/renown/
聞こえる [きこえる] /(v1,vi) (1) to be heard/to be audible/(2) to be said to be/to be reputed/(P)/
聞こし召す [きこしめす] /(v5s) to hear/to drink/
聞ゆる [きこゆる] /(adj-pn) famous/celebrated/
聞過ごす [ききすごす] /(v5s,vt) to fail to catch/to ignore/
聞外す [ききはずす] /(v5s,vt) (1) (arch) to mishear/(2) to stop listening halfway through/
聞慣れる [ききなれる] /(v1,vt) to get used to hearing/
聞苦しい [ききぐるしい] /(adj-i) difficult to hear/unpleasant to hear/
聞込み [ききこみ] /(n) getting information (esp. by interviewing witnesses, etc. in a police investigation)/
聞込み捜査 [ききこみそうさ] /(n) (police) legwork/house-to-house inquiry/canvassing/investigation carried out by questioning neighbours, bystanders, etc./
聞込む [ききこむ] /(v5m,vt) to get information/to find out/to get wind of/
聞耳 [ききみみ] /(n) straining one's ears/
聞取り [ききとり] /(n) listening comprehension/
聞取る [ききとる] /(v5r,vt) to catch (a person's words)/to follow/to understand/
聞手 [ききて] /(n) (1) hearer/listener/audience/(2) interviewer/questioner/
聞損なう [ききそこなう] /(v5u) (1) to mishear/to fail to catch/(2) to miss (the chance to hear)/
聞知 [ぶんち] /(n,vs) learn of/
聞知る [ききしる] /(v5r,vt) to learn something through hearing/
聞届ける [ききとどける] /(v1,vt) to grant/
聞馴れる [ききなれる] /(v1,vt) to get used to hearing/
聞入れる [ききいれる] /(v1,vt) to grant (a wish)/to accede/to comply with/
聞付ける [ききつける] /(v1,vt) to hear/to catch (the sound)/
聞分ける [ききわける] /(v1,vt) to recognize (identify) by sound/to recognise by sound/
聞法 [もんぼう] /(n) (Buddh) hearing the teachings of Buddha/
聞法 [もんぽう] /(n) (Buddh) hearing the teachings of Buddha/
聞流す [ききながす] /(v5s,vt) to ignore/
丙 [ひのえ] /(n) 3rd in rank/third sign of the Chinese calendar/
丙 [へい] /(n) 3rd in rank/third sign of the Chinese calendar/(P)/
丙午 [ひのえうま] /(n) 43rd year of the sexagenary cycle (year of the Fire Horse, renowned for disasters and the birth of women destined to kill their husbands)/
丙午 [へいご] /(n) 43rd year of the sexagenary cycle (year of the Fire Horse, renowned for disasters and the birth of women destined to kill their husbands)/
丙子 [ひのえね] /(n) thirteenth of the sexagenary cycle/
丙子 [へいし] /(n) thirteenth of the sexagenary cycle/
丙種 [へいしゅ] /(n) class C/third class/
丙申 [ひのえさる] /(n) thirty-third of the sexagenary cycle/
丙申 [へいしん] /(n) thirty-third of the sexagenary cycle/
丙辰 [ひのえたつ] /(n) 53rd of the sexagenary cycle/
丙辰 [へいしん] /(n) 53rd of the sexagenary cycle/
丙寅 [ひのえとら] /(n) third of the sexagenary cycle/
丙寅 [へいいん] /(n) third of the sexagenary cycle/
丙夜 [へいや] /(n) (arch) third division of the night (approx. 11 pm to 1 am)/
丙戌 [ひのえいぬ] /(n) twenty-third of the sexagenary cycle/
丙戌 [へいじゅつ] /(n) twenty-third of the sexagenary cycle/
併さる [あわさる] /(v5r,vi) to get together/to unite/
併し [しかし] /(conj) (uk) however/but/(P)/
併し乍ら [しかしながら] /(adv,conj) (uk) however/nevertheless/
併せて [あわせて] /(exp,adv) (1) in all/in total/collectively/(exp,conj) (2) in addition/besides/at the same time/
併せる [あわせる] /(v1,vt) (1) to match (rhythm, speed, etc.)/(2) to join together/to unite/to combine/to add up/(3) to face/to be opposite (someone)/(4) to compare/to check with/(5) to cause to meet (e.g. an unpleasant fate)/(6) to place together/to connect/to overlap/(7) to mix/to combine/(8) to put blade to blade/to fight/(P)/
併せ考える [あわせかんがえる] /(v1) to consider together/
併せ持つ [あわせもつ] /(v5t,vt) to own (something) as well/to have two things (at the same time) (e.g. good and bad points)/
併せ用いる [あわせもちいる] /(v1) to use jointly/to use at the same time/
併も [しかも] /(conj) (uk) moreover/furthermore/nevertheless/and yet/
併音 [ぴんいん] /(iK) (n) PinYin (Chinese romanization system) (romanisation) (chi:)/
併願 [へいがん] /(n) applying to enter more than one school/
併願受験 [へいがんじゅけん] /(n) taking the extrance exams of multiple schools/
併記 [へいき] /(n,vs,adj-no) writing side by side/(P)/
併起 [へいき] /(n,vs) occurring simultaneously/
併行 [へいこう] /(adj-no,n,vs) (1) (going) side-by-side/abreast/(2) concurrent/occurring together/at the same time/
併行線 [へいこうせん] /(n) parallel railways/
併合 [へいごう] /(n,vs) merger/joining into one/melding/merging/annexation/absorption/(P)/
併合罪 [へいごうざい] /(n) concurrent offenses/concurrent offences/
併合用ファイル [へいごうようファイル] /(n) (comp) merge file/
併催 [へいさい] /(adj-f) (abbr) combining a pair of events/joint/
併殺 [へいさつ] /(n,vs) double-play (baseball)/(P)/
併称 [へいしょう] /(n,vs) classifying together/
併進 [へいしん] /(n,vs) advancing together/
併設 [へいせつ] /(n,vs) establishment/link/(P)/
併走 [へいそう] /(n,vs) running parallel (to)/running side-by-side/keeping pace (with)/
併存 [へいそん] /(n,vs) coexistence/
併存 [へいぞん] /(n,vs) coexistence/
併置 [へいち] /(n,vs) juxtaposition/placing side by side/
併読 [へいどく] /(n,vs) secondary reading/
併呑 [へいどん] /(n,vs) annexation/merger/swallowing up/
併発 [へいはつ] /(n,vs,adj-no) concurrence/coincidence/complication (in illness)/(P)/
併発症 [へいはつしょう] /(n) complications (in illness)/
併有 [へいゆう] /(n,vs) owning together/combination/
併用 [へいよう] /(n,vs) using together (jointly)/used at the same time/(P)/
併用療法 [へいようりょうほう] /(n) combined therapy/
併立 [へいりつ] /(n,vs) standing abreast/
兵 [いくさ] /(n) (1) war/battle/campaign/fight/(2) (arch) troops/forces/
兵 [つわもの] /(n) (1) soldier/warrior/(2) strong man/exceptional person/man of courage/(P)/
兵 [へい] /(n) (1) (common) soldier/rank and file/(2) army/troops/(3) warfare/strategy/
兵を挙げる [へいをあげる] /(exp,v1) to raise an army/
兵を向ける [へいをむける] /(exp,v1) to send an army/to send soldiers/to dispatch troops/
兵威 [へいい] /(n) military power/
兵員 [へいいん] /(n) military strength/military personnel/(P)/
兵営 [へいえい] /(n) barracks/
兵家 [へいか] /(n) soldier/tactician/strategist/
兵科 [へいか] /(n) branch of the army/
兵火 [へいか] /(n) fire caused by war/
兵禍 [へいか] /(n) ravages of war/
兵学 [へいがく] /(n) military science/strategy/tactics/
兵学校 [へいがっこう] /(n) naval academy/
兵学者 [へいがくしゃ] /(n) tactician/strategist/
兵器 [へいき] /(n) arms/weapons/ordnance/(P)/
兵器拡散 [へいきかくさん] /(n) arms proliferation/
兵器庫 [へいきこ] /(n) armory/armoury/
兵器工 [へいきこう] /(n) armorer/armourer/
兵器工場 [へいきこうじょう] /(n) arsenal/ordnance factory/armoury/armory/
兵器廠 [へいきしょう] /(n) armory/armoury/arsenal/ordnance department/
兵器輸出 [へいきゆしゅつ] /(n) arms exportation/
兵蟻 [へいあり] /(n) soldier ant/
兵蟻 [へいぎ] /(n) soldier ant/
兵権 [へいけん] /(n) military authority/
兵庫曲 [ひょうごわげ] /(n) (obsc) female hairstyle starting from the Keicho period/
兵庫県 [ひょうごけん] /(n) Hyogo prefecture (Kinki area) (Hyougo)/
兵庫髷 [ひょうごわげ] /(n) (obsc) female hairstyle starting from the Keicho period/
兵語 [へいご] /(n) military term/
兵士 [へいし] /(n) soldier/(P)/
兵事 [へいじ] /(n) military affairs/
兵児鮎 [へこあゆ] /(n) (uk) razorfish (Aeoliscus strigatus)/
兵児帯 [へこおび] /(n) waist band/
兵式体操 [へいしきたいそう] /(n) military drill/
兵舎 [へいしゃ] /(n) barracks/(P)/
兵車 [へいしゃ] /(n) war chariot/
兵種 [へいしゅ] /(n) branch of an army/
兵術 [へいじゅつ] /(n) the art of war/strategy/tactics/
兵書 [へいしょ] /(n) book on military science/
兵食 [へいしょく] /(n) food for soldiers and noncommissioned officers/
兵刃 [へいじん] /(n) sword blade/
兵数 [へいすう] /(n) number of soldiers/
兵制 [へいせい] /(n) military system/
兵籍 [へいせき] /(n) military register/
兵船 [へいせん] /(n) warship/
兵曹 [へいそう] /(n) warrant soldier/
兵曹長 [へいそうちょう] /(n) (Japanese Imperial Navy) chief warrant-officer/
兵卒 [へいそつ] /(n) private (soldier)/(common) soldier/ranks/rank and file/
兵隊 [へいたい] /(n) soldier/sailor/(P)/
兵隊アリ [へいたいアリ] /(n) soldier ant/
兵隊勘定 [へいたいかんじょう] /(n) Dutch treat/going Dutch/
兵隊蟻 [へいたいあり] /(n) soldier ant/
兵隊人形 [へいたいにんぎょう] /(n) toy soldier/soldier figurine/
兵端 [へいたん] /(n) hostilities/beginning of hostilities/
兵団 [へいだん] /(n) army corps/
兵長 [へいちょう] /(n) former rank in the Japanese army and navy, equiv. to private first-class, lance corporal, etc./
兵難 [へいなん] /(n) distress of war/
兵農 [へいのう] /(n) soldiers and farmers/
兵農分離 [へいのうぶんり] /(n) separation of farmers and samurai (system in effect from the Azuchi-Momoyama period until the Edo period)/
兵馬 [へいば] /(n) arms and cavalry/troops/war/military affairs/
兵馬の権 [へいばのけん] /(n) supreme military power/
兵馬俑 [へいばよう] /(n) terracotta army (clay figurines found near the mausoleum of the first Qin emperor in China)/terracotta warriors and horses/
兵匪 [へいひ] /(n) bandits/
兵備 [へいび] /(n) war preparations/
兵部 [へいぶ] /(n) Ministry of War (Tang-dynasty China)/
兵変 [へいへん] /(n) military disturbance/
兵法 [ひょうほう] /(n) art of war/strategy/tactics/
兵法 [へいほう] /(n) art of war/strategy/tactics/
兵法家 [へいほうか] /(n) tactician/strategist/
兵法指南 [へいほうしなん] /(n) instruction in martial arts/
兵法者 [へいほうしゃ] /(n) tactician/strategist/
兵鋒 [へいほう] /(n) the point of a sword/the advance of an army/
兵役 [へいえき] /(n) military service/conscription/(P)/
兵役忌避 [へいえききひ] /(n) evading the draft/evading the draught/
兵役免状 [へいえきめんじょう] /(n) draft exemption/draught exemption/
兵乱 [へいらん] /(n) war/disturbance/
兵略 [へいりゃく] /(n) strategy/
兵糧 [ひょうろう] /(n) (army) provisions/food/(P)/
兵糧攻め [ひょうろうぜめ] /(n) starvation tactics/
兵糧米 [ひょうろうまい] /(n) army rice/
兵力 [へいりょく] /(n) military force/force of arms/strength of an army/(P)/
兵力削減 [へいりょくさくげん] /(n) force reduction/troop reduction/
兵六玉 [ひょうろくだま] /(n) nincompoop/simpleton/
兵仗 [ひょうじょう] /(n) arms/armed soldier/
兵仗 [へいじょう] /(n) arms/armed soldier/
兵戈 [へいか] /(n) swords/arms/warfare/
兵燹 [へいせん] /(n) fire caused by war/
兵站 [へいたん] /(n) supply train/communications/
兵站学 [へいたんがく] /(n) logistics/
兵站基地 [へいたんきち] /(n) supply base/
兵站支援 [へいたんしえん] /(n) logistical support/
兵站線 [へいたんせん] /(n) supply line/line of communications/
兵站部 [へいたんぶ] /(n) commissariat/
兵粮 [ひょうろう] /(oK) (n) (army) provisions/food/
塀 [へい] /(n) wall/fence/(P)/
塀を巡らす [へいをめぐらす] /(exp,v5s) to fence in/to surround with a wall/
幣 [ぬさ] /(n) staff with plaited paper streamers used in Shinto/
幣 [へい] /(n) staff with plaited paper streamers used in Shinto/
幣を奉る [ぬさをたてまつる] /(exp,v5r) to offer a wand with hemp and paper streamers to a Shinto god/
幣串 [へいぐし] /(n) staff to which shide are attached to make a go-hei/
幣貢 [へいこう] /(n) offering/tribute/
幣辛夷 [しでこぶし] /(n) Magnolia praecocissima/shidekobushi Magnolia kobus/
幣制 [へいせい] /(n) monetary system/currency/
幣束 [へいそく] /(n) offerings of rope, paper, etc. hung on trees in Shinto shrines/
幣殿 [へいでん] /(n) hall of offerings (at a shrine)/
幣物 [へいもつ] /(n) Shinto offerings/present to a guest/
幣帛 [へいはく] /(n) Shinto offering of cloth (rope, paper, etc.)/
平 [ひら] /(n) (1) something broad and flat/palm of the hand/(2) common/ordinary/(3) (abbr) low-ranking employee/freshman/novice/private/
平々 [へいへい] /(n) level/ordinary/
平々凡々 [へいへいぼんぼん] /(uK) (adj-na,adj-no,adj-t,adv-to) very ordinary/mediocre/all-too-common/quite commonplace/
平か [たいらか] /(io) (adj-na,n) level/just/peaceful/
平し [ならし] /(n) average/leveling/levelling/
平す [ならす] /(v5s,vt) (1) to make even/to make smooth/to make level/(2) to average/
平たい [ひらたい] /(adj-i) (1) flat/even/level/simple/(2) plain (speech, etc.)/simple/(P)/
平たく言えば [ひらたくいえば] /(exp) in plain words/in plain terms/put simply/
平たん [ひらたん] /(adj-no,adj-na) flat/
平ちゃら [へいちゃら] /(n,adj-na) coolness/calmness/composure/unconcern/
平ちゃら [へっちゃら] /(n,adj-na) coolness/calmness/composure/unconcern/
平ったい [ひらったい] /(adj-i) (1) flat/even/level/smooth/(2) plain (speech, etc.)/simple/
平つくばる [へいつくばる] /(v5r) to make a deep bow/
平に [ひらに] /(adv) earnestly/humbly/
平の社員 [ひらのしゃいん] /(n) mere clerk/
平べったい [ひらべったい] /(adj-i) flat/even/level/
平ら [たいら] /(adj-na,n) flatness/level/smooth/calm/plain/sitting tailor fashion/(P)/
平らか [たいらか] /(adj-na,n) level/just/peaceful/
平らぐ [たいらぐ] /(v5g) to be suppressed/
平らげる [たいらげる] /(v1,vt) to subjugate/to put down (trouble)/to consume (food)/to eat up/
平ゴム [ひらゴム] /(n) sewing elastic/flat bands of elastic for sewing in cuffs, etc./
平安 [へいあん] /(adj-na,n) (1) peace/tranquility/tranquillity/(n) (2) Heian era (794-1185)/(P)/
平安宮 [へいあんきゅう] /(n) Heian Imperial Palace/
平安京 [へいあんきょう] /(n) ancient Kyoto/
平安後期 [へいあんこうき] /(n) late Heian period/
平安時代 [へいあんじだい] /(n) Heian period (794-1185)/
平安朝 [へいあんちょう] /(n) Heian period (794-1185)/
平安無事 [へいあんぶじ] /(n,adj-na) peace and quiet/safe and peaceful/tranquil and uneventful/
平易 [へいい] /(adj-na,n) easy/simple/plain/
平易化 [へいいか] /(n,vs) simplification/
平易明快 [へいいめいかい] /(n,adj-na) simple and clear/plain and lucid/
平臼 [ひらうす] /(n) horizontal stone hand mill/
平泳ぎ [ひらおよぎ] /(n) breaststroke (swimming)/(P)/
平屋 [ひらや] /(n) bungalow/one-story house/
平屋根 [ひらやね] /(n) flat roof/
平温 [へいおん] /(n) the usual temperature/
平穏 [へいおん] /(adj-na,n,adj-no) tranquil/calm/restful/peaceful/quiet/(P)/
平穏無事 [へいおんぶじ] /(adj-na) tranquillity and peace/tranquility and peace/peaceful and uneventful/
平仮名 [ひらがな] /(n) (uk) hiragana/cursive Japanese syllabary used primarily for native Japanese words (esp. function words, inflections, etc.)/(P)/
平仮名表記 [ひらがなひょうき] /(n) written in hiragana/
平価 [へいか] /(n) normal prices/par/parity/
平価切り下げ [へいかきりさげ] /(n) devaluation/
平価切り上げ [へいかきりあげ] /(n) revaluation/
平価切下げ [へいかきりさげ] /(n) devaluation/
平家 [ひらや] /(n) bungalow/one-story house/
平家 [へいけ] /(n) the Taira (Heike) family/
平家の末 [へいけのすえ] /(n) descendant of the Taira (Heike) family/
平家の流れ [へいけのながれ] /(n) the Heike line/
平家蟹 [へいけがに] /(n) (uk) Heike crab/
平家星 [へいけぼし] /(n) Betelgeuse/Alpha Orionis/Alpha Ori/Heike star/
平家琵琶 [へいけびわ] /(n) chanting of the Heike Monogatari to biwa accompaniment/
平家物語 [へいけものがたり] /(n) Tale of the Heike/
平臥 [へいが] /(n,vs) lying down/being laid up/
平角 [へいかく] /(n) straight angle/
平滑 [へいかつ] /(adj-na,n,adj-no) smooth/even/level/flat/
平滑化 [へいかつか] /(n,vs) smoothing (e.g. numbers)/
平滑筋 [へいかつきん] /(n) smooth muscle/
平瓦 [ひらがわら] /(n) concave roof tile/
平冠 [ひらかんむり] /(n) kanji "wa" radical at top (radical 14)/
平気 [へいき] /(adj-na,n) coolness/calmness/composure/unconcern/(P)/
平気の平左 [へいきのへいざ] /(exp) quite unconcerned/nonchalant/
平教員 [ひらきょういん] /(n) common teacher/
平胸類 [へいきょうるい] /(n) ratites/
平曲 [へいきょく] /(n) chanting of the Heike Monogatari to biwa accompaniment/
平均 [へいきん] /(n,vs) (1) average/mean/(2) balance/equilibrium/(P)/
平均 [へいぎん] /(ok) (n,vs) (1) average/mean/(2) balance/equilibrium/
平均アクセス時間 [へいきんアクセスじかん] /(n) (comp) mean access time/
平均シーク時間 [へいきんシークじかん] /(n) (comp) average of seek time/
平均トラヒック [へいきんトラヒック] /(n) (comp) average traffic/
平均ビットレート [へいきんビットレート] /(n) (comp) mean bit-rate/
平均レート [へいきんレート] /(n) (comp) average rate/
平均演色評価数 [へいきんえんしょくひょうかすう] /(n) general colour rendering index (color)/
平均化 [へいきんか] /(n,vs) averaging/levelling (off)/equalization/standardization/balance/
平均株価 [へいきんかぶか] /(n) stock price average/
平均気温 [へいきんきおん] /(n) average temperature/
平均給与 [へいきんきゅうよ] /(n) average wage/
平均結婚年齢 [へいきんけっこんねんれい] /(n) average age of marriage/
平均月収 [へいきんげっしゅう] /(n) average monthly salary/
平均故障間隔 [へいきんこしょうかんかく] /(n) (comp) mean time between failures/MTBF/
平均故障時間 [へいきんこしょうじかん] /(n) (comp) mean time to repair/MTTR/
平均光パワー [へいきんひかりパワー] /(n) (comp) average power/
平均寿命 [へいきんじゅみょう] /(n) life expectancy/
平均修復時間 [へいきんしゅうふくじかん] /(n) (comp) mean time to repair/MTTR/
平均修理時間 [へいきんしゅうりじかん] /(n) (comp) mean time to repair/MTTR/
平均消費性向 [へいきんしょうひせいこう] /(n) average propensity to consume/
平均情報量 [へいきんじょうほうりょう] /(n) (comp) entropy/mean information content/average information content/
平均速度 [へいきんそくど] /(n) average speed/
平均太陽 [へいきんたいよう] /(n) mean sun/
平均太陽時 [へいきんたいようじ] /(n) mean solar time/
平均太陽日 [へいきんたいようじつ] /(n) mean solar day/
平均台 [へいきんだい] /(n) balance beam (in gymnastics)/
平均値 [へいきんち] /(n) average value/mean value/mean/expectation/
平均値の定理 [へいきんちのていり] /(n) (math) mean value theorem/
平均貯蓄性向 [へいきんちょちくせいこう] /(n) average propensity to save/
平均的 [へいきんてき] /(adj-na) average/
平均点 [へいきんてん] /(n) average mark/mean point/(P)/
平均伝達情報量 [へいきんでんたつじょうほうりょう] /(n) (comp) mean transinformation (content)/average transinformation (content)/
平均年齢 [へいきんねんれい] /(n) average age/
平均費用 [へいきんひよう] /(n) average cost/
平均偏差 [へいきんへんさ] /(n) mean deviation/
平均余命 [へいきんよめい] /(n) life expectancy/
平均律 [へいきんりつ] /(n) temperament (music)/equal (or even) temperament/
平均率 [へいきんりつ] /(n) equal temperament (music)/
平均棍 [へいきんこん] /(n) halter/haltere (small balancing organ on a two-winged fly)/
平絹 [ひらぎぬ] /(n) plain silk/
平原 [へいげん] /(n) plain/moor/prairie/
平語 [へいご] /(n) The Tale of the Taira Clan/
平行 [へいこう] /(adj-no,n,vs) (1) concurrent/occurring together/at the same time/(adj-na,adj-no,n,vs) (2) (math) parallel/(P)/
平行移動 [へいこういどう] /(n,vs) translation/shift/parallel displacement/
平行光源 [へいこうこうげん] /(n) (comp) directional light source/
平行四辺形 [へいこうしへんけい] /(n) parallelogram/
平行進化 [へいこうしんか] /(n,vs) parallel evolution/
平行線 [へいこうせん] /(n) parallel line/(P)/
平行線のままである [へいこうせんのままである] /(exp) to remain as far apart as ever/
平行変換 [へいこうへんかん] /(n) (comp) parallel transformation/
平行棒 [へいこうぼう] /(n) parallel bars/
平衡 [へいこう] /(n,vs) even scale/equilibrium/balance/equalization/equalisation/(P)/
平衡移動の法則 [へいこういどうのほうそく] /(n) (obsc) law of equilibrium (Le Chatelier's principle)/
平衡感覚 [へいこうかんかく] /(n) sense of equilibrium/sense of balance/
平衡誤差 [へいこうごさ] /(n) (comp) balanced error/
平衡錘 [へいこうすい] /(n) counterweight/counterpoise/
平衡定数 [へいこうていすう] /(n) equilibrium constant/
平衡的誤差 [へいこうてきごさ] /(n) (comp) balanced error/
平沙万里 [へいさばんり] /(n) vast stretch of desert/vast expanse of sandy plain/
平作 [へいさく] /(n) normal crop/
平皿 [ひらざら] /(n) flat dish/
平山城 [ひらさんじょう] /(n) castle on a hill in the plains/flatland-mountain castle/
平山城 [ひらやまじろ] /(n) castle on a hill in the plains/flatland-mountain castle/
平氏 [へいし] /(n) the Tairas/
平歯車 [ひらはぐるま] /(n) spur gear/
平時 [へいじ] /(n,adj-no) normal times/peace time/(P)/
平治 [へいじ] /(n) Heiji era (1159.4.20-1160.1.10)/
平芝 [ひらしば] /(n) sod/
平社員 [ひらしゃいん] /(n) rank and file member of staff/ordinary employee/low-grade employee/
平謝り [ひらあやまり] /(n) earnest apology/
平手 [ひらて] /(n) (1) palm/open hand/(2) equality/lack of handicap (e.g. in a game)/
平手打ち [ひらてうち] /(n) slap/spanking/
平準 [へいじゅん] /(n) level/
平準化 [へいじゅんか] /(n) leveling/levelling/equalization/alleviation (e.g. of unemployment)/harmonization/
平叙文 [へいじょぶん] /(n) (ling) declarative sentence/
平将門の乱 [たいらのまさかどのらん] /(n) Taira-no-Masakado Rebellion/
平上去入 [ひょうじょうきょにゅう] /(n) the four tones in old Chinese phonetics/
平城 [ひらじょう] /(n) castle on the plains/
平城 [ひらじろ] /(n) castle on the plains/
平城 [へいじょう] /(n) (arch) ancient name of Nara/
平城 [へいぜい] /(n) (arch) ancient name of Nara/
平城宮 [へいじょうきゅう] /(n) Heijo Palace/Imperial palace in ancient Nara/
平城京 [へいじょうきょう] /(n) ancient Nara/
平壌 [へいじょう] /(n) Pyongyang/(P)/
平常 [へいじょう] /(adj-na,n-adv,n-t) normal/usual/(P)/
平常心 [へいじょうしん] /(n) one's self-possession/one's presence of mind/
平常通り [へいじょうどおり] /(n) as usual/
平織 [ひらおり] /(n,adj-no) plain fabrics/plain weave/
平織り [ひらおり] /(n,adj-no) plain fabrics/plain weave/
平信 [へいしん] /(n) peaceful news/
平信徒 [ひらしんと] /(n) layman/laity/
平信徒 [へいしんと] /(n) layman/laity/
平身低頭 [へいしんていとう] /(n,vs) prostrating oneself/kowtowing/going down on one's knees/
平水 [へいすい] /(n) (1) calm water/smooth water/(2) the usual amount of water/
平水夫 [へいすいふ] /(n) foremast hand/common sailor/
平成 [へいせい] /(n) Heisei era (1989.1.8- )/(P)/
平成時代 [へいせいじだい] /(n) Heisei period (1989-)/
平政 [ひらまさ] /(n) (uk) yellowtail amberjack (species of fish, Seriola lalandi)/
平清盛 [たいらのきよもり] /(n) Kiyomori (shogun)/
平生 [へいぜい] /(adj-no,n-adv,n-t) usual/ordinary/
平生は [へいぜいは] /(n) in ordinary days/
平生着 [へいぜいぎ] /(n) usually worn/
平声 [ひょうしょう] /(n) (1) first tone in old Chinese phonetics/level tone/(2) (of a Japanese accent) having a low, flat tone/
平静 [へいせい] /(adj-na,n) calm/serenity/tranquillity/tranquility/(P)/
平積み [ひらづみ] /(n,vs) flat display/stacking something flat/
平然 [へいぜん] /(adj-t,adv-to) calm/composed/cool/quiet/
平素 [へいそ] /(n-adv,n-t) ordinary/in the past/usual/regular/
平素は [へいそは] /(exp) usually/ordinarily/in the past/
平俗 [へいぞく] /(n,adj-na) (1) commonplace/ordinary/trite/(2) informal and easy to understand (of writing, etc.)/
平袖 [ひらそで] /(n) wide sleeve/
平打ち [ひらうち] /(n) (1) blow striking with the flat of the sword/(2) to slap/(3) metal flattened by striking/(4) tape/flat braid/(5) type of flat ornamental hairpin made of silver and inscribed with a clan's crest or patterns of birds and flowers/
平鯛 [へだい] /(n) (uk) silver sea bream (Sparus sarba)/
平台型貨車 [ひらだいがたかしゃ] /(n) flatcar/
平茸 [ひらたけ] /(n) (uk) oyster mushroom (Pleurotus ostreatus)/
平坦 [へいたん] /(adj-na,n) even/flat/level/
平淡 [へいたん] /(adj-na,n) simple/quiet/
平地 [ひらち] /(n) level ground/plain/(P)/
平地 [へいち] /(n) level ground/plain/
平蜘蛛 [ひらぐも] /(n) (uk) Uroctea compactilis (species of araneomorph spider)/
平蜘蛛 [ひらたぐも] /(n) (uk) Uroctea compactilis (species of araneomorph spider)/
平蜘蛛のよう [ひらぐものよう] /(exp,adj-na) prostrating oneself/
平調 [ひょうじょう] /(n) (1) (in Japan) 3rd note of the ancient chromatic scale (approx. E)/(2) (in gagaku) scale similar to the Dorian mode on E/
平爪 [ひらづめ] /(n) nail (e.g. fingernail, toenail)/
平定 [へいてい] /(n,vs) suppression/repression/subjugation/
平底 [ひらぞこ] /(n,adj-no) flat bottom/
平底船 [ひらそこぶね] /(n) flat-bottomed boat/scow/
平庭 [ひらにわ] /(n) level garden/
平土間 [ひらどま] /(n) pit/orchestra/parquet (in a theater, theatre)/
平党員 [ひらとういん] /(n) rank-and-file party member/
平等 [びょうどう] /(adj-na,adj-no,n) equality/impartiality/evenness/(P)/
平等観 [びょうどうかん] /(n) considering all people as equals/
平等権 [びょうどうけん] /(n) right of equality/
平等主義 [びょうどうしゅぎ] /(n,adj-no) principle of equality/
平撞木鮫 [ひらしゅもくざめ] /(n) (uk) great hammerhead (Sphyrna mokarran, the largest species of hammerhead shark)/
平鍋 [ひらなべ] /(n) pan/griddle/
平日 [ひらび] /(n-adv,n) (1) weekday/ordinary days (i.e. non-holiday)/(n) (2) kanji radical 73/
平日 [へいじつ] /(n-adv,n) (1) weekday/ordinary days (i.e. non-holiday)/(P)/
平入 [ひらいり] /(io) (n) Japanese traditional architectural structure, where the building has its main entrance on the side which runs parallel to the roof's ridge/
平入り [ひらいり] /(n) Japanese traditional architectural structure, where the building has its main entrance on the side which runs parallel to the roof's ridge/
平熱 [へいねつ] /(n) normal temperature/
平年 [へいねん] /(n-adv,n) (1) non-leap year/(2) normal year (esp. as pertains to weather patterns, vegetative growth, harvest yields, etc.)/(P)/
平年寄り [ひらどしより] /(n) sumo coach without a special assignment within the Sumo Association/
平年作 [へいねんさく] /(n) normal crop/
平年並み [へいねんなみ] /(n,adj-no) average year/normal year/(P)/
平板 [へいばん] /(adj-na,n) slab/flat board/monotony/lithography/
平板型 [へいばんがた] /(n) pattern of Japanese accent with the last mora high and the succeeding particle also high/
平板測量 [へいばんそくりょう] /(n) plane-table surveying/
平版 [へいはん] /(n) lithography/
平伏 [へいふく] /(n,vs,adj-no) falling prostrate/
平伏す [ひれふす] /(v5s,vi) to prostrate oneself before/
平復 [へいふく] /(n,vs) restoration to health/
平服 [へいふく] /(n,adj-no) civilian clothes/plain clothes/ordinary clothes/
平分 [へいぶん] /(n,vs) bisection/dividing equally/
平文 [ひょうもん] /(n) type of lacquer ware/
平文 [ひらぶん] /(n) (1) plain text/unciphered text/(2) divided equally/
平文 [ひらもん] /(n) type of lacquer ware/
平文 [へいぶん] /(n) (1) plain text/unciphered text/(2) divided equally/
平平 [へいへい] /(n) level/ordinary/
平平凡凡 [へいへいぼんぼん] /(uK) (adj-na,adj-no,adj-t,adv-to) very ordinary/mediocre/all-too-common/quite commonplace/
平米 [へいべい] /(n) square metre/
平包 [ひらづつみ] /(io) (n) wrapping cloth/
平包み [ひらづつみ] /(n) wrapping cloth/
平方 [へいほう] /(n) square (e.g. metre)/square/(P)/
平方キロメートル [へいほうキロメートル] /(n) square kilometer/square kilometre/(P)/
平方メートル [へいほうメートル] /(n) square metre/(P)/
平方形 [へいほうけい] /(n) square/
平方根 [へいほうこん] /(n) square root/
平方根機能 [へいほうこんきのう] /(n) (comp) square root function/
平方和 [へいほうわ] /(n) sum of squares/
平凡 [へいぼん] /(adj-na,n) common/commonplace/ordinary/mediocre/(P)/
平凡な説 [へいぼんなせつ] /(n) platitude/
平凡陳腐 [へいぼんちんぷ] /(n,adj-na) commonplace and stale/humdrum and hackneyed/
平幕 [ひらまく] /(n) rank-and-file wrestlers in sumo's highest division/(P)/
平脈 [へいみゃく] /(n) normal pulse/
平民 [へいみん] /(n) commoner/plebeian/
平民主義 [へいみんしゅぎ] /(n) democracy/
平民的 [へいみんてき] /(adj-na) common/plebeian/
平明 [へいめい] /(adj-na,n) clear/simple/
平明達意 [へいめいたつい] /(n) plain and lucid/articulate/
平面 [へいめん] /(n) level surface/plane/(P)/
平面アンテナ [へいめんアンテナ] /(n) planar antenna/
平面プロッタ [へいめんプロッタ] /(n) (comp) flatbed plotter/
平面角 [へいめんかく] /(n) plane angle/
平面幾何学 [へいめんきかがく] /(n) plane geometry/
平面鏡 [へいめんきょう] /(n) plane mirror/
平面形 [へいめんけい] /(n) plane figure/
平面交差 [へいめんこうさ] /(n) grade crossing/level crossing/
平面作図装置 [へいめんさくずそうち] /(n) (comp) flatbed plotter/
平面三角法 [へいめんさんかくほう] /(n) planar trigonometry/
平面図 [へいめんず] /(n) ground plan/plane figure/
平面図形 [へいめんずけい] /(n) plane figure/
平面的 [へいめんてき] /(adj-na) planar/
平目 [ひらめ] /(n) (1) (uk) flounder (esp. the large-tooth flounders of family Paralichthyidae, but also lefteye flounders of family Bothidae)/(2) bastard halibut/olive flounder (Paralichthys olivaceus)/
平目筋 [ひらめきん] /(n) soleus muscle/
平野 [へいや] /(n) plain/open field/(P)/
平癒 [へいゆ] /(n,vs) recovery/convalescence/
平落 [ひらおち] /(n) pancake (landing)/
平炉 [ひらろ] /(n) open-hearth furnace/
平炉 [へいろ] /(n) open-hearth furnace/
平炉法 [へいろほう] /(n) open-hearth process/
平和 [へいわ] /(adj-na,n) peace/harmony/(P)/
平和を保つ [へいわをたもつ] /(exp,v5t) to maintain (preserve) peace/
平和ボケ [へいわボケ] /(exp) peace at any price (attitude)/
平和維持 [へいわいじ] /(n,adj-no) peacekeeping/
平和維持活動 [へいわいじかつどう] /(n) peace-keeping operation/
平和維持軍 [へいわいじぐん] /(n) peace-keeping force/
平和維持部隊 [へいわいじぶたい] /(n) peacekeeping force/
平和運動 [へいわうんどう] /(n) peace movement/
平和会議 [へいわかいぎ] /(n) peace conference/
平和共存 [へいわきょうぞん] /(n) peaceful coexistence/
平和協議 [へいわきょうぎ] /(n) peace conference/
平和協定 [へいわきょうてい] /(n) peace agreement/
平和協力 [へいわきょうりょく] /(n) peace collaboration/
平和教育 [へいわきょういく] /(n) peace education/
平和憲法 [へいわけんぽう] /(n) pacifist constitution (often applied to the Japanese constitution)/constitution which outlaws use of arms/
平和攻勢 [へいわこうせい] /(n) peace offensive/
平和国 [へいわこく] /(n) peaceful country/
平和国家 [へいわこっか] /(n) peace-loving nation/
平和産業 [へいわさんぎょう] /(n) peace-time industries/
平和主義 [へいわしゅぎ] /(n,adj-no) pacifism/
平和主義憲法 [へいわしゅぎけんぽう] /(n) pacifist constitution/
平和主義者 [へいわしゅぎしゃ] /(n) pacifist/
平和条項 [へいわじょうこう] /(n) peace clause/
平和条約 [へいわじょうやく] /(n) peace treaty/
平和宣言 [へいわせんげん] /(n) peace declaration/
平和的 [へいわてき] /(adj-na) peaceful/
平和的解決 [へいわてきかいけつ] /(n) peaceful resolution/
平和的生存権 [へいわてきせいぞんけん] /(exp) right to live in peace/
平和部隊 [へいわぶたい] /(n) the Peace Corps/
平和呆け [へいわぼけ] /(exp) peace at any price (attitude)/
平和論者 [へいわろんしゃ] /(n) pacifist/
平仄 [ひょうそく] /(n) meter (in Chinese poetry)/consistency/
平仄を合わせる [ひょうそくをあわせる] /(exp,v1) to bring to same level/to harmonize/
平裹み [ひらづつみ] /(n) wrapping cloth/
平鑿 [ひらのみ] /(n) flat chisel/
平鱸 [ひらすずき] /(n) (uk) blackfin sea bass (Lateolabrax latus)/
弊 [へい] /(n) (obsc) bad habit/harm/
弊え [ついえ] /(n) wasteful expenses/
弊える [ついえる] /(v1,vi) (1) to use up (one's savings)/(2) to be wasted (time, effort, etc)/(3) to fall apart/to become useless/(4) (arch) to be wiped out (in battle)/(5) (arch) to fall apart (one's body or health)/
弊衣 [へいい] /(n) worn-out clothes/shabby clothes/
弊衣破帽 [へいいはぼう] /(n) shabby clothes and an old hat/
弊衣蓬髪 [へいいほうはつ] /(n) unkempt hair and shabby clothes/
弊害 [へいがい] /(n) evil practice/evil practise/barrier/(P)/
弊行 [へいこう] /(n) this bank (humble)/my bank/
弊社 [へいしゃ] /(n) our firm (company)/
弊習 [へいしゅう] /(n) corrupt practices/corrupt practises/bad habit/
弊所 [へいしょ] /(n) (hum) our office/
弊政 [へいせい] /(n) misgovernment/maladministration/
弊村 [へいそん] /(n) poor village/our own (little or poor) village/
弊店 [へいてん] /(n) our shop/we/
弊風 [へいふう] /(n) evil or corrupt or abusive practice (practise)/
弊方 [へいほう] /(n) (arch) (hum) me/mine/
弊履 [へいり] /(n) worn-out sandals (shoes)/
柄 [え] /(n) (1) handle/grip/(2) stalk (of a mushroom, leaf, etc.)/(P)/
柄 [から] /(n) (1) (arch) trunk/stem/stalk/(2) shaft (of an arrow)/(3) handle/
柄 [がら] /(n,n-suf) pattern/design/(P)/
柄 [つか] /(n) hilt (of a sword)/haft (of a dagger)/handgrip/
柄が悪い [がらがわるい] /(exp,adj-i) lowbred/
柄にもない [がらにもない] /(adj-i) out of character/unlike one/
柄にもなく [がらにもなく] /(exp) out of one's way/out of character/unlike one/
柄にも無い [がらにもない] /(adj-i) out of character/unlike one/
柄にも無く [がらにもなく] /(exp) out of one's way/out of character/unlike one/
柄の悪い [がらのわるい] /(adj-i) ill-bred/
柄巻 [つかまき] /(n) leather or cloth wrapped around the handle of a sword/
柄巻き [つかまき] /(n) leather or cloth wrapped around the handle of a sword/
柄鏡 [えかがみ] /(n) traditional mirror with a handle, popular since the Muromachi period/
柄杓 [ひしゃく] /(n) ladle/dipper/scoop/
柄振 [えぶり] /(n) (1) farming implement/(2) small Noh accessory/
柄振り [えぶり] /(n) (1) farming implement/(2) small Noh accessory/
柄樽 [えだる] /(n) red and black lacquered sake cask with horn-like handles, used for ceremonies/
柄頭 [つかがしら] /(n) pommel/
柄物 [がらもの] /(n) patterned cloth/
柄様式 [がらようしき] /(n) (comp) pattern style/
並 [なみ] /(n,n-suf) (1) average/medium/common/ordinary/(2) line/row of (e.g. houses)/(3) mid-grade/(4) same level/equal/each (e.g. month)/set of (e.g. teeth)/(P)/
並々 [なみなみ] /(adv,n) ordinary/
並々ならぬ [なみなみならぬ] /(adj-pn) extraordinary/uncommon/
並て [なべて] /(io) (adv) (uk) in general/generally/usually/
並び [ならび] /(n) line/row/rank/list/(P)/
並びない [ならびない] /(adj-i) unparalleled/unparallelled/unequaled/unequalled/unique/
並びに [ならびに] /(conj) and (also)/both ... and/as well as/(P)/
並び線 [ならびせん] /(n) (comp) alignment line/
並び替える [ならびかえる] /(v1) to put (things) in order/
並び大名 [ならびだいみょう] /(n) (1) someone who has a title but no real duty/useless person/(2) actor playing a daimyo who merely sets the scene as part of the background (in kabuki)/
並び変える [ならびかえる] /(v1) to put (things) in order/
並び無い [ならびない] /(adj-i) unparalleled/unparallelled/unequaled/unequalled/unique/
並び無き [ならびなき] /(n) unparalleled/unparallelled/unequaled/unequalled/unique/
並ぶ [ならぶ] /(v5b,vi) (1) to line up/to stand in a line/(2) to rival/to match/to equal/(P)/
並べて [なべて] /(adv) (uk) in general/generally/usually/
並べて見ると [ならべてみると] /(exp) in comparison/
並べる [ならべる] /(v1,vt) (1) to line up/to set up/(2) to enumerate/to itemize/(P)/
並べ替え [ならべかえ] /(n,vs) (comp) sort/sorting/
並べ替える [ならべかえる] /(exp,v1) (comp) to sort/to collate/
並べ方 [ならべかた] /(n) arrangement/
並べ立てる [ならべたてる] /(v1,vt) to enumerate/
並み [なみ] /(n,n-suf) (1) average/medium/common/ordinary/(2) line/row of (e.g. houses)/(3) mid-grade/(4) same level/equal/each (e.g. month)/set of (e.g. teeth)/(P)/
並み外れ [なみはずれ] /(adj-na,n,adj-no) out of the common/far above the average/extraordinary/abnormal/unreasonable/
並み外れる [なみはずれる] /(v1,vi) to be uncommon/
並み居る [なみいる] /(v1,vi) to sit in a row/to be present (and lined up)/
並み型 [なみがた] /(n) ordinary or regulation size/
並み足 [なみあし] /(n) walking pace/slow march/
並み大抵 [なみたいてい] /(adj-na) ordinary/
並み幅 [なみはば] /(n) standard-width cloth (approx. 36 cm)/
並み並み [なみなみ] /(adv,n) ordinary/
並み並みならぬ [なみなみならぬ] /(adj-pn) extraordinary/uncommon/
並み歩 [なみあし] /(n) walking pace/slow march/
並み木 [なみき] /(io) (n,adj-no) roadside tree/row of trees/
並めて [なめて] /(adv) all/
並外れ [なみはずれ] /(adj-na,n,adj-no) out of the common/far above the average/extraordinary/abnormal/unreasonable/
並外れて [なみはずれて] /(exp) uncommonly/extraordinary/
並外れる [なみはずれる] /(io) (v1,vi) to be uncommon/
並居る [なみいる] /(v1,vi) to sit in a row/to be present (and lined up)/
並巾 [なみはば] /(n) standard-width cloth (approx. 36 cm)/
並穴針 [なみあなはり] /(n) needle with a normal eye/
並孔針 [なみあなはり] /(n) needle with a normal eye/
並行 [へいこう] /(adj-no,n,vs) (1) (going) side-by-side/abreast/(2) concurrent/occurring together/at the same time/(P)/
並行処理 [へいこうしょり] /(n) (comp) concurrent processing/
並行注記 [へいこうちゅうき] /(n) (comp) parallel annotation/
並行的 [へいこうてき] /(adj-na) (comp) parallel/
並行輸入 [へいこうゆにゅう] /(n) parallel import/
並行論 [へいこうろん] /(n) parallelism/
並称 [へいしょう] /(n,vs) classifying together/
並進 [へいしん] /(n,vs) keeping pace with/keeping abreast of/
並製 [なみせい] /(n) ordinary make/
並製品 [なみせいひん] /(n) article of average quality/common article/
並走 [へいそう] /(n,vs) running parallel (to)/running side-by-side/keeping pace (with)/
並足 [なみあし] /(n) walking pace/slow march/
並存 [へいそん] /(n,vs) coexistence/
並存 [へいぞん] /(n,vs) coexistence/
並替える [ならびかえる] /(v1) to put (things) in order/
並大抵 [なみたいてい] /(adj-na) ordinary/
並置 [へいち] /(n,vs) juxtaposition/placing side by side/
並直列変換器 [へいちょくれつへんかんき] /(n) (comp) serializer/parallel-serial converter/dynamicizer/
並肉 [なみにく] /(n) meat of medium quality/
並幅 [なみはば] /(n) standard-width cloth (approx. 36 cm)/
並並 [なみなみ] /(adv,n) ordinary/
並並ならぬ [なみなみならぬ] /(adj-pn) extraordinary/uncommon/
並変える [ならびかえる] /(v1) to put (things) in order/
並木 [なみき] /(n,adj-no) roadside tree/row of trees/(P)/
並木道 [なみきみち] /(n) avenue/tree-lined street/
並木路 [なみきじ] /(n) avenue of trees/
並木路 [なみきみち] /(n) avenue of trees/
並揚羽 [なみあげは] /(n) (uk) citrus swallowtail (species of butterfly, Papilio xuthus)/
並用 [へいよう] /(n,vs) using together (jointly)/used at the same time/
並立 [へいりつ] /(n,vs) standing abreast/(P)/
並立助詞 [へいりつじょし] /(n) (ling) parallel marker (particle used to join two or more words, i.e. "to", "ya")/
並列 [へいれつ] /(n,vs,adj-no) arrangement/parallel/abreast/(P)/
並列運転 [へいれつうんてん] /(n) (comp) parallel run/
並列加算 [へいれつかさん] /(n) (comp) parallel addition/
並列加算器 [へいれつかさんき] /(n) (comp) parallel adder/
並列処理 [へいれつしょり] /(n) (comp) parallel processing/array processing/
並列助詞 [へいれつじょし] /(n) (ling) parallel marker (particle used to join two or more words, i.e. "to", "ya")/
並列転送 [へいれつてんそう] /(n) (comp) parallel transfer/
並列伝送 [へいれつでんそう] /(n) (comp) parallel transmission/
蔽う [おおう] /(v5u,vt) to cover/to hide/to conceal/to wrap/to disguise/
閉ざす [とざす] /(v5s,vt) (1) to shut/to close/to lock/to fasten/(2) to plunge (in grief)/(P)/
閉じこめる [とじこめる] /(v1,vt) to lock up/to shut up/to imprison/
閉じこもる [とじこもる] /(v5r,vi) to seclude oneself/to shut oneself away/(P)/
閉じたシステム [とじたシステム] /(n) (comp) closed system/
閉じる [とじる] /(v1) to close (e.g. book, eyes, meeting, etc.)/to shut/(P)/
閉じ込む [とじこむ] /(v5m,vt) to (keep on) file/
閉じ込める [とじこめる] /(v1,vt) to lock up/to shut up/to imprison/
閉じ込もる [とじこもる] /(v5r,vi) to seclude oneself/to shut oneself away/
閉じ篭る [とじこもる] /(v5r,vi) to seclude oneself/to shut oneself away/
閉じ籠る [とじこもる] /(v5r,vi) to seclude oneself/to shut oneself away/
閉まり [しまり] /(n) closing/shutting/
閉まる [しまる] /(v5r,vi) (1) to be shut/to close/to be closed/(2) to be locked/(3) to tighten/to be tightened/(4) to become sober/to become tense/(P)/
閉める [しめる] /(v1,vt) to close/to shut/(P)/
閉め出し [しめだし] /(n) shutout/shutting out/lock-out/freeze-out/
閉め出す [しめだす] /(v5s,vt) to shut out/to bar/to lock out/to exclude/
閉め切る [しめきる] /(v5r,vt) to close up/to shut up (e.g. behind doors)/to cut off (e.g. because a deadline has expired)/
閉ループ [へいループ] /(n) (comp) closed-loop/
閉域 [へいいき] /(n) (comp) closed (network, e.g.)/
閉域接続 [へいいきせつぞく] /(n) (comp) closed user group service/
閉域利用者グループ [へいいきりようしゃグループ] /(n) (comp) closed user group/
閉院 [へいいん] /(n,vs) adjourning the Diet or an assembly/
閉園 [へいえん] /(n,vs) closing, either for the day or permanently (e.g. theme park, botanical garden, etc.)/
閉音節 [へいおんせつ] /(n) (ling) closed syllable/
閉果 [へいか] /(n) indehiscent fruit (fruit that doesn't open when ripe, i.e. apricot)/
閉架 [へいか] /(n) library system where librarians retrieve requested books (non-self-serve)/
閉会 [へいかい] /(n,vs) closure (of a ceremony, event, meeting, etc.)/(P)/
閉会のことば [へいかいのことば] /(exp) closing address/
閉会の言葉 [へいかいのことば] /(exp) closing address/
閉会の辞 [へいかいのことば] /(exp) closing address/
閉会の辞 [へいかいのじ] /(exp) closing address/
閉会式 [へいかいしき] /(n) closing ceremony/
閉回路 [へいかいろ] /(n) closed circuit/
閉殻筋 [へいかくきん] /(n) adductor muscle (of a bivalve)/
閉館 [へいかん] /(n,vs) closing of a building/
閉眼 [へいがん] /(n,vs) (1) closing one's eyes/(2) passing away/
閉居 [へいきょ] /(n,vs) shutting oneself up at home/
閉業 [へいぎょう] /(n,vs) closing of a business or enterprise/
閉局 [へいきょく] /(n,vs) closing of post-office or telephone exchange/
閉曲線 [へいきょくせん] /(n) closed curve/
閉区間 [へいくかん] /(n) (math) closed-interval/
閉経 [へいけい] /(n) menopause/
閉経期 [へいけいき] /(adj-na,n) menopause/menopausal/
閉経後 [へいけいご] /(adj-na) postmenopausal/
閉月羞花 [へいげつしゅうか] /(n) the charms of a uniquely beautiful woman (lit: (so beautiful that) the Moon is abashed and flowers wilt)/
閉口 [へいこう] /(n,vs,adj-no) (1) dumbfounded/stumped/at one's wits end/nonplussed/(2) annoyed/(P)/
閉口頓首 [へいこうとんしゅ] /(n,vs) being at a complete loss as to what to do/being at one's wit's end/being at a loss for an answer/
閉校 [へいこう] /(n,vs) closing a school/
閉講 [へいこう] /(n,vs,vt) (1) closing down a course or a program (school, etc.)/(n,vs,vi) (2) end of a course or program (school, etc.)/
閉込める [とじこめる] /(v1,vt) to lock up/to shut up/to imprison/
閉鎖 [へいさ] /(n,vs,adj-no) closing/closure/shutdown/lockout/unsociable/(P)/
閉鎖式 [へいさしき] /(n) closed circuit/
閉鎖式リブリーザー [へいさしきリブリーザー] /(n) closed circuit rebreather/
閉鎖的 [へいさてき] /(adj-na) insular/closed/unsociable/exclusive/
閉塞 [へいそく] /(n,vs,adj-no) closure/blockage/
閉塞ウィンドウ [へいそくウィンドウ] /(n) (comp) closed window/
閉塞感 [へいそくかん] /(n) locked up feeling/cooped up feeling/feeling of entrapment/(feeling of hopelessness)/being in a bind/
閉塞状態 [へいそくじょうたい] /(n) (comp) blocked state/closed state/
閉塞性動脈硬化症 [へいそくせいどうみゃくこうかしょう] /(n) arteriosclerosis obliterans/
閉山 [へいざん] /(n,vs) (1) end the climbing season/closure of a mountain to climbers/(2) closing a mine/discontinuation of mining/
閉止 [へいし] /(n,vs) stoppage/
閉式 [へいしき] /(n,adj-no,vs) closing of a ceremony/
閉集合 [へいしゅうごう] /(n) (math) closed set/
閉出し [しめだし] /(n) shutout/shutting out/lock-out/freeze-out/
閉所 [へいしょ] /(n) (1) confined place/(n,vs) (2) closing (an institution, office, clinic, etc.)/
閉所恐怖 [へいしょきょうふ] /(n) claustrophobia/fear of confined spaces/
閉所恐怖症 [へいしょきょうふしょう] /(n) claustrophobia/
閉所恐怖症 [へいじょきょうふしょう] /(n) claustrophobia/
閉場 [へいじょう] /(n,vs) closing of a place/
閉世界 [へいせかい] /(n) closed world/
閉切る [しめきる] /(v5r,vt) to close up/to shut up (e.g. behind doors)/to cut off (e.g. because a deadline has expired)/
閉栓 [へいせん] /(n,vs) (1) stopping/corking/capping/closing/(2) disconnecting (e.g. gas supply)/
閉創 [へいそう] /(n) closing a surgical incision (by suture, etc.)/
閉息 [へいそく] /(n,vs) bated breath/being cowed into silence/
閉体 [へいたい] /(n) (math) closed field/
閉端 [へいたん] /(n) closed end/bocca chiusa/end of wind instrument/
閉廷 [へいてい] /(n,vs) adjourning court/
閉店 [へいてん] /(n,vs) closing shop/(P)/
閉店時間 [へいてんじかん] /(n) closing hours (of a store, restaurant, etc.)/
閉包 [へいほう] /(n) (math) closure/
閉幕 [へいまく] /(n,vs) falling of the curtain/coming to an end/(P)/
閉幕となる [へいまくとなる] /(v5r) to come to a close (end)/
閉門 [へいもん] /(n,vs) (1) closing of a gate/(2) (Edo-period) house confinement/
閉門蟄居 [へいもんちっきょ] /(n) house arrest/being placed in confinement at home/
閉炉 [へいろ] /(n,vs) closing of the fireplace in a Zen temple (first day of the 2nd month)/
閉路 [へいろ] /(n) closed circuit/
閉篭る [とじこもる] /(v5r,vi) to seclude oneself/to shut oneself away/
陛衛 [へいえい] /(n) (arch) Imperial guard/
陛下 [へいか] /(n,n-suf) (hon) your Majesty/his (or her) Majesty/(P)/
米 [こめ] /(n) (1) (husked grains of) rice/(P)/
米 [べい] /(pref,suf) America/American/
米 [めめ] /(ok) (n) (1) (husked grains of) rice/
米 [よね] /(ok) (n) (1) (husked grains of) rice/(2) 88 years old/
米 [メートル] /(n) (1) (uk) metre (fre:)/meter/(2) meter (i.e. a gauge)/gauge/
米ぬか [こめぬか] /(n) rice bran/
米の介入 [べいのかいにゅう] /(n) intervention of America/
米の祝い [よねのいわい] /(n) longevity celebration for one's 88th year/
米ソ [べいソ] /(n) American-Soviet/
米トン [べいトン] /(n) short ton/
米ドル [べいドル] /(n) (abbr) US dollar/
米ミルク [こめミルク] /(n) rice milk/
米印 [こめじるし] /(n) rice symbol/note (supplementary information) symbol/symbol with an "x" and four dots/
米英 [べいえい] /(n) America and Britain/American-British/
米英戦争 [べいえいせんそう] /(n) War of 1812/
米英仏蘭 [べいえいぶつらん] /(n) USA, Britain, France and the Netherlands/
米塩 [べいえん] /(n) rice and salt/the necessities of life/
米屋 [こめや] /(n) rice shop/rice dealer/
米価 [べいか] /(n) rice price/(P)/
米価審議会 [べいかしんぎかい] /(n) Rice Price Deliberative Council/
米菓 [べいか] /(n) rice cracker/
米貨 [べいか] /(n) American currency/US dollar/
米貨建て [べいかだて] /(exp) denominated in American currency/
米海軍 [べいかいぐん] /(n) US Navy/
米海軍沈船捜索救助計画 [べいかいぐんちんせんそうさくきゅうじょけいかく] /(n) US Navy Deep Submergence Systems Project/
米海兵隊 [べいかいへいたい] /(n) US Marine Corps/
米韓 [べいかん] /(n) American-Korean/
米議会 [べいぎかい] /(n) US Congress/
米空軍 [べいくうぐん] /(n) US Air Force/
米軍 [べいぐん] /(n) the US armed forces/
米軍基地 [べいぐんきち] /(n) American military base/
米軍兵力 [べいぐんへいりょく] /(n) American military (force)/
米語 [べいご] /(n) American English (lang)/
米糠 [こめぬか] /(n) rice bran/
米航空宇宙局 [べいこうくううちゅうきょく] /(n) National Aeronautics and Space Administration/NASA/
米麹 [こめこうじ] /(n) rice-malt/
米国 [べいこく] /(n,adj-no) America/USA/(P)/
米国規格協会 [べいこくきかくきょうかい] /(n) (comp) American National Standards Institute/ANSI/
米国車 [べいこくしゃ] /(n) American car/
米国人 [べいこくじん] /(n) an American/
米国大学入学共通試験 [べいこくだいがくにゅうがくきょうつうしけん] /(n) scholastic aptitude test/SAT/entrance test for US universities/
米国土安全保障省 [べいこくどあんぜんほしょうしょう] /(n) Department of Homeland Security/DHS/
米国民 [べいこくみん] /(n) American (citizen)/
米国預託証券 [べいこくよたくしょうけん] /(n) American depositary receipt/ADR/
米穀 [べいこく] /(n) rice/(P)/
米穀通帳 [べいこくつうちょう] /(n) rice-ration book/
米懇 [べいこん] /(n) Round Table Conference on Rice Price/
米材 [べいざい] /(n) American (and-or Canadian) wood/
米作 [べいさく] /(n) rice crop/
米作り [こめつくり] /(n) rice cultivation/rice farming/
米産 [べいさん] /(n) rice production/
米産地 [べいさんち] /(n) rice-producing region/
米刺し [こめざし] /(n) tool for extracting rice from a bag for sampling/
米市場 [べいいちば] /(n) the rice market/
米紙 [べいし] /(n) American press/American newspaper/
米寿 [べいじゅ] /(n) 88th birthday/
米収 [べいしゅう] /(n) rice crop or harvest/
米州 [べいしゅう] /(n) America (i.e. the landmass)/the Americas/
米十粒 [こめじゅうりゅう] /(n) ten grains of rice/
米所 [こめどころ] /(n) rice-producing region/
米松 [べいまつ] /(n) common Douglas fir (Pseudotsuga menziesii)/
米上院 [べいじょういん] /(n) US Senate/
米食 [べいしょく] /(n) rice-based or centered diet (centred)/
米食い虫 [こめくいむし] /(n) rice weevil/
米食鳥 [こめくいどり] /(n) (uk) (obsc) bobolink (species of songbird, Dolichonyx oryzivorous)/
米審 [べいしん] /(n) (abbr) Rice Price Deliberative Council/
米人 [べいじん] /(n) an American/(P)/
米酢 [こめす] /(n) rice vinegar/
米酢 [こめず] /(n) rice vinegar/
米酢 [よねず] /(n) rice vinegar/
米杉 [べいすぎ] /(n) red cedar (thuja plicata)/
米政府 [べいせいふ] /(n) (abbr) U.S. government/
米西戦争 [べいせいせんそう] /(n) Spanish-American War/
米銭 [べいせん] /(n) rice and money/money to purchase rice/
米倉 [こめぐら] /(n) rice granary/(P)/
米騒動 [こめそうどう] /(n) rice riots/
米蔵 [こめぐら] /(n) rice granary/
米側 [べいがわ] /(n) American position/American side/American representatives/American delegation/
米俗 [べいぞく] /(n) dictionary tag indicating colloquialism, slang or vulgarity of American origin/
米大統領 [べいだいとうりょう] /(n) President of the United States of America/US President/
米沢牛 [よねざわぎゅう] /(n) Yonezawa beef/
米中 [べいちゅう] /(n) America and China/Sino-American/
米朝 [べいちょう] /(n) America-North Korea/America and North Korea/
米坪 [べいつぼ] /(n) (abbr) paper weight in gsm/
米帝 [べいてい] /(n) US imperialism/
米東部時間 [べいとうぶじかん] /(n) Eastern Standard Time (US)/
米独 [べいどく] /(n) America and Germany/American-German/
米突 [メートル] /(n) (1) (uk) metre (fre:)/meter/(2) meter (i.e. a gauge)/gauge/
米噸 [べいトン] /(ateji) (n) short ton/
米麦 [べいばく] /(n) rice and barley/corn/
米飯 [べいはん] /(n) cooked rice/(P)/
米俵 [こめだわら] /(n) bag of rice/
米仏 [べいふつ] /(n) America and France/American-French/
米粉 [こめこ] /(n) rice flour/
米粉 [べいふん] /(n) rice flour/
米粉 [ビーフン] /(n) rice vermicelli (chi:)/rice noodles/
米兵 [べいへい] /(n) (abbr) American military (force)/
米偏 [こめへん] /(n) kanji "rice" radical at left/
米墨戦争 [べいぼくせんそう] /(n) Mexican-American War (1846-1848)/
米綿 [べいめん] /(n) American cotton/
米問屋 [こめどいや] /(ok) (n) wholesale rice dealer/
米問屋 [こめどんや] /(n) wholesale rice dealer/
米油 [こめあぶら] /(n) rice-bran oil/
米利堅 [メリケン] /(ateji) (n,adj-f) (1) (uk) America/American/(2) fist/
米離れ [こめばなれ] /(n) shift away from rice consumption/consumers losing interest in eating rice/
米陸軍 [べいりくぐん] /(n) US Army/
米粒 [こめつぶ] /(n) grain of rice/(P)/
米連邦 [べいれんぽう] /(adj-f) US federal (agency, etc.)/
米連邦議員 [べいれんぽうぎいん] /(n) US Congress member/
米連邦議会 [べいれんぽうぎかい] /(n) US Congress/
米連邦航空局 [べいれんぽうこうくうきょく] /(n) Federal Aviation Administration/FAA/
米連邦準備理事会 [べいれんぽうじゅんびりじかい] /(n) (abbr) U.S. Federal Reserve Board/
米話 [べいわ] /(n) American spoken English/
米搗き [こめつき] /(n) rice polishing/
米搗き虫 [こめつきむし] /(n) (uk) click beetle/skipjack (beetle of family Elateridae)/
米搗き飛蝗 [こめつきばった] /(n) (1) (uk) Oriental longheaded locust (Acrida cinerea)/(2) click beetle/skipjack (beetle of family Elateridae)/(3) obsequious person/
米搗虫 [こめつきむし] /(n) (uk) click beetle/skipjack (beetle of family Elateridae)/
米櫃 [こめびつ] /(n) rice bin/breadwinner/
頁 [おおがい] /(n) kanji "big shell" radical/
頁 [ページ] /(n) (uk) page/(P)/
頁の裏 [ページのうら] /(n) overleaf/
頁岩 [けつがん] /(n,adj-no) shale/
頁岩油 [けつがんゆ] /(n) shale oil/
頁数 [ページすう] /(n) number of pages/
頁送り [ページおくり] /(n) (comp) form feed/FF/
頁付け [ぺえじづけ] /(n) pagination/
僻 [ひが] /(pref) evil/untrue/erroneous/
僻 [ひがみ] /(n) prejudice/bias/inferiority complex/
僻 [へき] /(n) prejudice/bias/inferiority complex/
僻み [ひがみ] /(n) prejudice/bias/inferiority complex/(P)/
僻む [ひがむ] /(v5m) (1) to be prejudiced/to be soured/(2) to have an inferiority complex/(3) to be jealous/(P)/
僻遠 [へきえん] /(adj-na,n,adj-no) remote/outlying/
僻境 [へききょう] /(n) deep rural areas/
僻隅 [へきぐう] /(n) corner/nook/
僻見 [へきけん] /(n) prejudice/
僻言 [へきげん] /(n) unreasonable talk/
僻根性 [ひがみこんじょう] /(n) prejudiced mind/
僻在 [へきざい] /(n,vs) being off to one side/being away off in the country/
僻事 [ひがごと] /(n) immoral act/mistake/
僻書 [へきしょ] /(n) biased writing/biassed writing/
僻心 [ひがみごころ] /(n) warped mind/
僻説 [へきせつ] /(n) prejudiced opinion/
僻村 [へきそん] /(n) remote village/
僻地 [へきち] /(n) (sens) remote place/backcountry/the sticks/
僻目 [ひがめ] /(n) squint/sight error/bias/misunderstanding/misjudgment/misjudgement/
僻邑 [へきゆう] /(n) remote village/
僻論 [へきろん] /(n) prejudiced opinion/
僻陬 [へきすう] /(n) remote place/
壁 [かべ] /(n) (1) wall/barrier/(P)/
壁 [へき] /(n) (1) wall/barrier/(2) Chinese "Wall" constellation (one of the 28 mansions)/
壁にかかる [かべにかかる] /(exp,v5r,vi) to hang on the wall/
壁にかける [かべにかける] /(exp,v1,vt) to hang (something) on the wall/
壁に掛かる [かべにかかる] /(exp,v5r,vi) to hang on the wall/
壁に掛ける [かべにかける] /(exp,v1,vt) to hang (something) on the wall/
壁に寄り掛かる [かべによりかかる] /(exp,v5r) to rest against the wall/to lean against a wall/
壁に耳あり [かべにみみあり] /(exp) walls have ears/
壁に耳あり障子に目あり [かべにみみありしょうじにめあり] /(exp) walls have ears (lit: wall have ears, shoji have eyes)/
壁の花 [かべのはな] /(n) one too shy to actively join in the party/wallflower/
壁を貫く [かべをつらぬく] /(exp,v5k) to penetrate the wall/
壁一重 [かべひとえ] /(n) hard by/
壁下地 [かべしたじ] /(n) framework (for a mud-plastered wall)/
壁画 [へきが] /(n) fresco/mural/wall painting/(P)/
壁掛け [かべかけ] /(n) (1) wall-mounted ornament/wall hanging/(adj-f) (2) wall-mounted/wall .../
壁際 [かべぎわ] /(n,n-adv) close to the wall/alongside the wall/
壁材 [かべざい] /(n) (1) wall material/wall-finishing material/(2) wallplate (e.g. in a mine)/
壁紙 [かべがみ] /(n) (1) wallpaper/(2) (comp) wallpaper/background image/desktop image/(P)/
壁宿 [なまめぼし] /(n) Chinese "Wall" constellation (one of the 28 mansions)/
壁新聞 [かべしんぶん] /(n) wall newspaper/wall poster/
壁訴訟 [かべそしょう] /(n) grumbling or mumbling to oneself/
壁訴訟 [かべぞしょう] /(n) grumbling or mumbling to oneself/
壁代 [かべしろ] /(n) curtain separating a central room from the aisles around it (in palatial-style architecture)/
壁塗り [かべぬり] /(n) plastering/
壁土 [かべつち] /(n) plaster/wall clay/wall mud/
壁板 [かべいた] /(n) wallboard/wall decoration/
壁崩壊 [かべほうかい] /(n) fall of a wall/
壁面 [へきめん] /(n) surface of a wall/(P)/
壁役 [かべやく] /(n) (1) catchers who warm up pitchers in the bullpen (baseball)/(2) tank (character that soaks up damage for the rest of the party in an MMORPG)/
壁立 [へきりつ] /(n) cliff that stands tall like a wall/
壁立千仞 [へきりつせんじん] /(exp) (Buddh) (id) precipitous cliff of great height, metaphor for absolute nature of Buddhist truth/
壁蝨 [だに] /(n,adj-no) (uk) tick/mite/
壁龕 [へきがん] /(n) niche (in Western architecture)/
癖 [くせ] /(n) (1) habit (often a bad habit, i.e. vice)/(2) peculiarity/idiosyncrasy/mannerism/(3) crease/wrinkle/curl/kink/(P)/
癖 [へき] /(n) (1) habit (often a bad habit, i.e. vice)/(2) peculiarity/idiosyncrasy/mannerism/(3) crease/wrinkle/curl/kink/
癖っ毛 [くせっけ] /(n) kinky hair/frizzy hair/unruly hair/curly hair/
癖に [くせに] /(conj,prt) (uk) and yet/though/when/in spite of/(P)/
癖になる [くせになる] /(exp,v5r) to become a habit/
癖のある [くせのある] /(exp) to be quirky/
癖のある文章 [くせのあるぶんしょう] /(n) mannered style/
癖の有る文章 [くせのあるぶんしょう] /(n) mannered style/
癖毛 [くせげ] /(n) kinky hair/frizzy hair/unruly hair/curly hair/
碧 [あお] /(n) (1) blue/(2) green/(3) (abbr) green light/(4) black (horse coat color)/(pref) (5) immature/unripe/young/
碧々 [あおあお] /(oK) (adv,adv-to) verdant/fresh and green/bright green/lush/
碧い [あおい] /(oK) (adj-i) (1) blue/green/
碧眼 [へきがん] /(n) blue eyes/
碧眼紅毛 [へきがんこうもう] /(n) blue eyes and red hair/Westerner/
碧玉 [へきぎょく] /(n) jasper/
碧空 [へきくう] /(n) blue sky/azure sky/
碧山 [へきざん] /(n) green mountains/
碧色 [へきしょく] /(n) green/emerald/
碧水 [へきすい] /(n) blue water/green water/
碧碧 [あおあお] /(oK) (adv,adv-to) verdant/fresh and green/bright green/lush/
別 [べつ] /(adj-no,adj-na,n,n-suf) distinction/difference/different/another/particular/separate/extra/exception/(P)/
別 [わけ] /(n) (arch) lord (hereditary title for imperial descendants in outlying regions)/
別々 [べつべつ] /(adj-na,n,adj-no) separately/individually/(P)/
別々に [べつべつに] /(adv) separately/apart/severally/individually/
別け [わけ] /(n,n-suf) (1) sharing/division/(2) draw/tie/
別けて [わけて] /(adv) above all/especially/particularly/all the more/
別け隔て [わけへだて] /(n,vs) distinction/favoritism/favouritism/discrimination/
別け前 [わけまえ] /(n) share/portion/quota/cut/
別して [べっして] /(adv) especially/particularly/
別ち [わかち] /(n) distinction/differentiation/discrimination/
別ち与える [わかちあたえる] /(v1) to divide and pass around/
別つ [わかつ] /(v5t,vt) (1) to divide/to separate/(2) to share/to distribute/(3) to distinguish/
別て [わけて] /(adv) above all/especially/particularly/all the more/
別として [べつとして] /(exp) other than/except for/aside from/apart from/save for/
別なく [べつなく] /(n) irrespective (e.g. of age)/without discrimination/without distinction/
別に [べつに] /(adv) (1) (not) particularly/nothing/(2) separately/apart/(P)/
別の本 [べつのほん] /(n) another (different) book/
別れ [わかれ] /(n) parting/separation/farewell/(lateral) branch/fork/offshoot/division/section/(P)/
別れさせる [わかれさせる] /(v1,vt) to destroy a relationship/
別れさせ屋 [わかれさせや] /(n) professional relationship destroyers/
別れに臨ん [わかれにのぞん] /(n) parting (with)/
別れる [わかれる] /(v1,vi) to be divided/to part from/to separate/to bid farewell/(P)/
別れを惜しむ [わかれをおしむ] /(exp,v5m) to loathe to part with/
別れ会 [わかれかい] /(n) farewell party/
別れ際 [わかれぎわ] /(n-adv,adj-no) at parting/on parting/
別れ争う [わかれあらそう] /(v5u) to quarrel and separate/
別れ霜 [わかれじも] /(n) late frost/frost in late spring/
別れ道 [わかれみち] /(n) branch/forked road/crossroads/branch road/parting of the ways/turning point/
別れ別れ [わかれわかれ] /(adj-na,n) separate/
別れ別れになる [わかれわかれになる] /(exp) to separate (e.g. people)/to part/
別れ目 [わかれめ] /(n) (1) fork/junction/parting of the ways/(2) turning point/
別れ路 [わかれじ] /(n) parting of the ways/the way to hades/one's way after the parting/
別れ路 [わかれみち] /(n) branch/forked road/crossroads/branch road/parting of the ways/turning point/
別れ話 [わかればなし] /(n) talk about divorce or separation/
別意 [べつい] /(n) different opinion/intention to part/
別院 [べついん] /(n) branch temple/(P)/
別宴 [べつえん] /(n) farewell dinner/
別家 [べっけ] /(n,vs) branch family/
別科 [べっか] /(n) special course/another course/
別箇 [べっこ] /(adj-na,adj-no) another/different/separate/discrete/
別会計 [べつかいけい] /(n) separate account/separate charge/
別格 [べっかく] /(n,adj-no) special/extraordinary/
別格官幣社 [べっかくかんぺいしゃ] /(n) (obs) Imperial Shrine of Special Status (receiving some support from the Imperial Household Department)/
別乾坤 [べっけんこん] /(n) otherworld/another world/
別勘定 [べつかんじょう] /(n) separate account/
別巻 [べっかん] /(n) separate volume/extra issue/
別間 [べつま] /(n) separate room/special room/
別館 [べっかん] /(n) (hotel) annexe (annex)/(P)/
別記 [べっき] /(n,vs) stated/mentioned (above, elsewhere)/separate paragraph or volume/
別儀 [べつぎ] /(n) another affair/special matter/
別宮 [べつぐう] /(n) associated shrine (i.e. auxiliary shrine, subordinate shrine, etc.)/
別居 [べっきょ] /(n,vs) separation/living apart/(P)/
別居結婚 [べっきょけっこん] /(n) commuter marriage/
別業 [べつぎょう] /(n) villa/another line of work/
別形 [べっけい] /(n) another form (of a character)/
別件 [べっけん] /(n,adj-no) separate case/another matter/
別言 [べつげん] /(n,vs) other words/
別言すれば [べつげんすれば] /(n) in other words/
別個 [べっこ] /(adj-na,adj-no) another/different/separate/discrete/(P)/
別戸 [べっこ] /(n) separate house/
別後 [べつご] /(n-adv,n-t) since we parted/
別口 [べつくち] /(n) different item/different lot/
別行 [べつぎょう] /(n) another line/
別項 [べっこう] /(n,adj-no) special heading/separate paragraph/
別号 [べつごう] /(n) another name/
別婚 [べっこん] /(n) separation with divorce in the offing/
別懇 [べっこん] /(adj-na,n) intimacy/
別冊 [べっさつ] /(n) separate volume/extra issue/supplement/(P)/
別冊付録 [べっさつふろく] /(n) separate-volume supplement (to)/
別刷り [べつずり] /(n) excerpt/offprint/printed separately/
別仕立て [べつしたて] /(exp) tailor-made/
別使 [べっし] /(n) special messenger/another messenger/
別紙 [べっし] /(n) enclosure/
別事 [べつじ] /(n) another affair/mishap/
別時 [べつじ] /(n) another time/time of separation/
別辞 [べつじ] /(n) farewell address/parting words/
別室 [べっしつ] /(n) separate room/special room/(P)/
別種 [べっしゅ] /(n,adj-no) another kind/distinct species/variety/
別趣 [べっしゅ] /(n) (arch) deep interest/
別除権 [べつじょけん] /(n) right of exclusion/
別称 [べっしょう] /(n) alias/pseudonym/pen name/nom de plume/
別条 [べつじょう] /(n) something unusual/something wrong/mishap/accident/serious condition (e.g. after an injury)/different situation/
別状 [べつじょう] /(n) something unusual/something wrong/mishap/accident/serious condition (e.g. after an injury)/different situation/
別人 [べつじん] /(n) different person/someone else/changed man/(P)/
別人 [べつにん] /(ok) (n) different person/someone else/changed man/
別世界 [べっせかい] /(n) another world/
別製 [べっせい] /(n) special make/
別席 [べっせき] /(n) (1) different seat/special seat/separate room/(2) temporary sumo rank after merging of two separate rankings in 1930s/
別染め [べつぞめ] /(n) special dyeing/
別荘 [べっそう] /(n) holiday house/villa/(P)/
別荘地 [べっそうち] /(n) area of holiday homes/area of villas/
別荘地造り [べっそうちずくり] /(n) developing a villa site/
別送 [べっそう] /(n,vs,adj-no) separate mail/separate shipment/
別体 [べったい] /(n) different form/different shape/
別宅 [べったく] /(n) secondary residence/
別段 [べつだん] /(adv,n,adj-no) particularly/
別珍 [べっちん] /(n) velveteen/
別邸 [べってい] /(n) villa/detached residence/
別天地 [べってんち] /(n) another world/
別添 [べってん] /(n,vs) attachment/annexation/addendum/appendix/
別殿 [べつでん] /(n) palace annex/shrine annex/
別途 [べっと] /(n) (1) special/special reserve (account)/(2) separate/
別途支出 [べっとししゅつ] /(n) special outlay/
別途積立金 [べっとつみたてきん] /(n) special reserve (fund)/contingent reserve/
別途費用 [べっとひよう] /(n) separate cost/separate fee/
別途預金 [べっとよきん] /(n) special deposit/
別棟 [べっとう] /(n) separate building/outbuilding/outhouse/
別棟 [べつむね] /(n) separate building/outbuilding/outhouse/(P)/
別当 [べっとう] /(n) (1) groom/footman/stableman/equerry/(2) steward/intendant/(3) (arch) head of an institution, edp. religious/head of one institution serving also as the head of another/
別働隊 [べつどうたい] /(n) flying column/detached force/
別動隊 [べつどうたい] /(n) flying column/detached force/
別堂 [べつどう] /(n) separate building/
別納 [べつのう] /(n,vs) another method of payment/
別派 [べっぱ] /(n) different sect/different party/different school/
別杯 [べっぱい] /(n) farewell cup/farewell dinner/
別盃 [べっぱい] /(n) farewell cup/farewell dinner/
別配達 [べつはいたつ] /(n) special delivery/
別売 [べつばい] /(n) selling separately/not included in the price/
別表 [べっぴょう] /(n) annexed (statistical) table/(P)/
別品 [べっぴん] /(n) (1) beautiful woman/beauty/pretty girl/(2) high-quality goods/special article/
別封 [べっぷう] /(n,vs) under separate cover/accompanying letter/
別封で [べっぷうで] /(exp) under separate cover/
別腹 [べつばら] /(n) said of a person able to continue eating (e.g. dessert) after a large meal (lit: separate stomach)/
別物 [べつもの] /(n) another thing/exception/special case/
別別 [べつべつ] /(adj-na,n,adj-no) separately/individually/
別別に [べつべつに] /(adv) separately/apart/severally/individually/
別便 [べつびん] /(n) separate post/separate mail/separate cover/
別便で [べつびんで] /(exp) by separate post/
別報 [べっぽう] /(n) another report/
別法 [べっぽう] /(n) different method/
別無く [べつなく] /(n) irrespective (e.g. of age)/without discrimination/without distinction/
別名 [べつみょう] /(n) alias/pseudonym/pen name/nom de plume/
別名 [べつめい] /(n) alias/pseudonym/pen name/nom de plume/(P)/
別命 [べつめい] /(n) another or separate order/
別問題 [べつもんだい] /(n) different thing/another question/different case/(P)/
別様 [べつよう] /(adj-no) different/
別離 [べつり] /(n,vs) parting/separation/
別立て [べつだて] /(n) separate dealings or charges/
別料金 [べつりょうきん] /(n) extra cost/extra charge/
別路 [べつろ] /(n) different road/
別枠 [べつわく] /(n) additional/extraordinary/outside the norms/special case/
別册 [べっさつ] /(n) additional volume/supplementary volume/
別嬪 [べっぴん] /(n) (1) beautiful woman/beauty/pretty girl/
別誂え [べつあつらえ] /(n,vs) special order/
瞥見 [べっけん] /(n,vs) glance/glimpse/cursory view/
蔑する [なみする] /(vs-s) (obs) to set at naught/to ignore/to disregard/
蔑み [さげすみ] /(n) contempt/
蔑む [さげすむ] /(v5m,vt) to scorn/to despise/(P)/
蔑ろ [ないがしろ] /(adj-na,n) a slight/
蔑ろにする [ないがしろにする] /(exp,vs-i) to make light of/to ignore/to slight/
蔑視 [べっし] /(n,vs) contempt/derision/slight/
蔑称 [べっしょう] /(n) disparaging words/derogatory term/insult/epithet/
箆 [の] /(n) (1) (arch) shaft (of an arrow)/(2) (arch) arrow bamboo (Pseudosasa japonica)/
箆 [へら] /(n) spatula/
箆鷺 [へらさぎ] /(n) (uk) common spoonbill (Platalea leucorodia)/
箆鹿 [へらじか] /(n) (uk) moose/elk/
箆蝶鮫 [へらちょうざめ] /(n) (uk) American paddlefish (Polyodon spathula)/
箆棒 [べらぼう] /(ateji) (adj-na) (uk) absurd/unreasonable/awful/
偏 [へん] /(n) left-hand radical of a character/
偏する [へんする] /(vs-s,vi) to be biased/to be prejudiced/to be partial/to be one-sided/
偏った考え [かたよったかんがえ] /(n) prejudice/partial (one-sided) view/
偏に [ひとえに] /(adv) (uk) earnestly/humbly/solely/
偏り [かたより] /(n) (1) deviation/inclination/offset/bias/prejudice/(2) polarization/polarisation/(P)/
偏りシリンダー [かたよりシリンダー] /(n) offset cylinder/
偏り見る [かたよりみる] /(v1) to show partiality/
偏り誤差 [かたよりごさ] /(n) (comp) bias error/
偏る [かたよる] /(v5r,vi) to be one-sided/to incline/to be partial/to be prejudiced/to lean/to be biased/to be biassed/(P)/
偏れる [ふれる] /(v1,vi) (1) to veer/to deflect/to lean towards/
偏愛 [へんあい] /(n,vs) favoritism/favouritism/partiality/
偏奇 [へんき] /(n) eccentricity/
偏狂 [へんきょう] /(adj-na,n) monomania/monomaniac/
偏狭 [へんきょう] /(adj-na,n) narrow-mindedness/intolerance/illiberality/narrowness/(P)/
偏屈 [へんくつ] /(adj-na,n) eccentricity/bigotry/obstinacy/
偏窟 [へんくつ] /(adj-na,n) eccentricity/bigotry/obstinacy/
偏見 [へんけん] /(n) prejudice/narrow view/(P)/
偏光 [へんこう] /(n) polarized light/polarised light/polarization/polarisation/
偏光プリズム [へんこうプリズム] /(n) polarizing prism/
偏光板 [へんこうばん] /(n) polarizing plate/
偏向 [へんこう] /(n,vs) propensity/tendency/inclination/deflection/(P)/
偏向回路 [へんこうかいろ] /(n) deflection circuit/
偏向関係 [へんこうかんけい] /(n) (comp) bias relation/
偏向抄録 [へんこうしょうろく] /(n) (comp) selective abstract/slanted abstract/
偏向板 [へんこうばん] /(n) deflection plate/
偏好 [へんこう] /(n) partiality/
偏降り [かたぶり] /(n) rainy spell/
偏差 [へんさ] /(n) deflection/deviation/variation/declination/drift/
偏差値 [へんさち] /(n) (1) deviation/deviation value/(2) academic performance relative to the group average/(P)/
偏在 [へんざい] /(n,vs) uneven distribution/unfair distribution/maldistribution/unevenly distributed/
偏執 [へんしつ] /(n,vs) bias/eccentricity/obstinacy/
偏執 [へんしゅう] /(n,vs) bias/eccentricity/obstinacy/
偏執狂 [へんしつきょう] /(n) monomania/monomaniac/
偏執狂 [へんしゅうきょう] /(n) monomania/monomaniac/
偏執症患者 [へんしつしょうかんじゃ] /(n) paranoid (person)/
偏執病 [へんしゅうびょう] /(n) paranoia/
偏斜 [へんしゃ] /(n) declination/deviation/
偏重 [へんじゅう] /(ok) (n,vs) preponderance/making too much of/overestimation/overemphasis/attaching too much importance to/
偏重 [へんちょう] /(n,vs) preponderance/making too much of/overestimation/overemphasis/attaching too much importance to/(P)/
偏照り [へんでり] /(n) stretch of sunshine (after rain)/
偏食 [へんしょく] /(n,vs) unbalanced diet/(P)/
偏心 [へんしん] /(n,adj-no) eccentricity (in mechanics, electronics, etc.)/
偏芯 [へんしん] /(iK) (n,adj-no) eccentricity (in mechanics, electronics, etc.)/
偏針 [へんしん] /(n) deflection/
偏人 [へんじん] /(n) eccentric person/
偏頗 [へんぱ] /(adj-na,n) favoritism/favouritism/discrimination/
偏性 [へんせい] /(n,adj-no) eccentric personality/
偏西風 [へんせいふう] /(n) westerlies/
偏土 [へんど] /(n) rural areas/
偏東風 [へんとうふう] /(n) easterlies/trade wind/
偏頭痛 [へんずつう] /(n) migraine (headache)/
偏頭痛 [へんとうつう] /(ok) (n) migraine (headache)/
偏導関数 [へんどうかんすう] /(n) partial derivative/
偏波 [へんは] /(n) polarisation/polarization/polarised wave/polarized wave/
偏微分 [へんびぶん] /(n) partial differentiation/
偏微分方程式 [へんびぶんほうていしき] /(n) partial differential equation/
偏平 [へんぺい] /(adj-na,n,adj-no) flat/
偏平足 [へんぺいそく] /(n) flat foot/
偏癖 [へんぺき] /(n) eccentricity/crankiness/
偏片 [かたはら] /(n) one of a pair/one side/
偏辺 [かたほとり] /(n) corner/remote country place/
偏流 [へんりゅう] /(n) drift/
偏旁 [へんぼう] /(n) left and right radicals/
偏旁冠脚 [へんぼうかんきゃく] /(n) the radicals/
偏諱 [へんき] /(n) one kanji in the name of a nobleperson (with a multiple-kanji name)/
偏諱を賜う [へんきをたまう] /(exp,v5u) (arch) (of a nobleperson) to bestow one of the kanji in one's name upon someone (e.g. a meritorious retainer, a boy coming of age, etc.)/
変 [へん] /(adj-na,n) (1) strange/odd/peculiar/weird/curious/queer/eccentric/funny/suspicious/fishy/(2) unexpected/(3) change/(4) incident/disturbance/disaster/accident/(n-pref) (5) flat (music)/(P)/
変え [かえ] /(n) changing/change/
変える [かえる] /(v1,vt) to change/to alter/to vary/to convert/to revise/to amend/to transform/
変じる [へんじる] /(v1,vi) to change into/to be transformed/to be transfigured/to transform/to alter/to convert/
変ずる [へんずる] /(vz,vi) to change into/to be transformed/to be transfigured/to transform/to alter/to convert/
変ちくりん [へんちくりん] /(n,adj-na) strange/weird/queer/
変てこ [へんてこ] /(adj-na,n) strange/weird/
変てこりん [へんてこりん] /(adj-na) strange/weird/
変な外人 [へんながいじん] /(n) (sl) weird foreigner/
変に [へんに] /(adv) curiously/strangely/
変り [かわり] /(n) (1) change/alteration/(2) unusual state or event/accident/abnormality/(3) difference/distinction/
変りもの [かわりもの] /(n,adj-no) an eccentric/sport/
変り者 [かわりもの] /(n,adj-no) an eccentric/sport/
変り種 [かわりだね] /(io) (n) novelty/exception/hybrid/mutation/variety/freak/eccentric personality/
変る [かわる] /(v5r,vi) (1) to change/to be transformed/to be altered/to vary/(2) to move to/(3) to be different/to be uncommon/to be unusual/
変わった [かわった] /(adj-f) another/different/various/particular/unusual/novel/peculiar/(P)/
変わっている [かわっている] /(exp,v1) to be unusual (of a person or of a thing)/to be uncommon/to be peculiar/to be crazy/to be eccentric/to be different/
変わってる [かわってる] /(exp,v1) to be unusual (of a person or of a thing)/to be uncommon/to be peculiar/to be crazy/to be eccentric/to be different/
変わらない [かわらない] /(adj-i) constant/invariant/(P)/
変わらぬ [かわらぬ] /(exp) constant/unchangeable/identical to/
変わり [かわり] /(n) (1) change/alteration/(2) unusual state or event/accident/abnormality/(3) difference/distinction/(P)/
変わりうる [かわりうる] /(exp,adj-f) able to change/
変わりえない [かわりえない] /(exp,adj-i) not able to change/
変わりえる [かわりえる] /(ik) (exp,adj-f) able to change/
変わりない [かわりない] /(exp) (1) no change/no difference/(2) accidents or incidents/no unusual events/
変わりなく [かわりなく] /(adv) (1) unchangeably/constantly/uniformly/eternally/(2) uneventfully/peacefully/
変わり易い [かわりやすい] /(adj-i) changeable/unsettled/inconstant/
変わり映え [かわりばえ] /(n,vs) (1) successful substitution (vs usu. in the negative)/(2) change for the better/
変わり栄え [かわりばえ] /(n,vs) (1) successful substitution (vs usu. in the negative)/(2) change for the better/
変わり果てる [かわりはてる] /(v1) to be completely changed/
変わり者 [かわりもの] /(n,adj-no) an eccentric/sport/
変わり種 [かわりだね] /(n) novelty/exception/hybrid/mutation/variety/freak/eccentric personality/
変わり身 [かわりみ] /(n) (1) change of attitude (stance, position)/(2) lightness of foot (sumo)/ability to dodge out of the way of an attack/
変わり得ない [かわりえない] /(exp,adj-i) not able to change/
変わり得る [かわりうる] /(exp,adj-f) able to change/
変わり得る [かわりえる] /(ik) (exp,adj-f) able to change/
変わり無く [かわりなく] /(adv) (1) unchangeably/constantly/uniformly/eternally/(2) uneventfully/peacefully/
変わり模様 [かわりもよう] /(n) fancy pattern/
変わり目 [かわりめ] /(n) turning point/change/transition/new program/new programme/
変わる [かわる] /(v5r,vi) (1) to change/to be transformed/to be altered/to vary/(2) to move to/(3) to be different/to be uncommon/to be unusual/(P)/
変ホ長調 [へんホちょうちょう] /(n) E flat major/
変ロ短調 [へんロたんちょう] /(n) B flat minor (music)/
変圧 [へんあつ] /(n,vs) transformation (of a current)/
変圧器 [へんあつき] /(n) (power) transformer/
変圧所 [へんあつじょ] /(n) transformer substation/
変位 [へんい] /(n,vs) change of position/displacement/
変位制御 [へんいせいぎょ] /(n) displacement controlled/
変位電流 [へんいでんりゅう] /(n) displacement current/
変異 [へんい] /(n,vs,adj-no) variation/rogue (something)/
変異型クロイツフェルトヤコブ病 [へんいがたクロイツフェルトヤコブびょう] /(n) (1) variant Creutzfeld-Jakob disease/vCJD/(2) new variant Creutzfeld-Jakob disease/nvCJD/
変異形 [へんいけい] /(n) variation/variant pattern/
変異原性 [へんいげんせい] /(n) mutagenicity/
変異体 [へんいたい] /(n) mutant/variant/
変移 [へんい] /(n,vs) change/alteration/transmutation/mutation/(P)/
変域 [へんいき] /(n,adj-no) domain/
変温動物 [へんおんどうぶつ] /(n) poikilotherm/
変化 [へんか] /(n,vs) (1) change/variation/alteration/mutation/transition/transformation/transfiguration/metamorphosis/(2) variety/diversity/(3) inflection/declension/conjugation/(4) sidestepping (sumo)/(P)/
変化 [へんげ] /(n,vs) goblin/ghost/apparition/bugbear/
変化球 [へんかきゅう] /(n) ball with a change of speed (baseball)/(P)/
変化形 [へんかけい] /(n) variation/variant pattern/
変化量 [へんかりょう] /(n) variation/amount of change/
変改 [へんかい] /(n,vs) revise (rules)/
変格 [へんかく] /(n,adj-no) (1) irregularity/irregular conjugation/(2) (ling) translative/
変格活用 [へんかくかつよう] /(n) irregular conjugation (declension, inflection)/irregular verb/
変革 [へんかく] /(n,vs) (1) change/reform/revolution/upheaval/(2) Reformation/(P)/
変額保険 [へんがくほけん] /(n) variable insurance/
変換 [へんかん] /(n,vs) change/conversion/transformation/translation/(P)/
変換パイプライン [へんかんパイプライン] /(n) (comp) transformation pipeline/
変換プログラム [へんかんプログラム] /(n) (comp) conversion program/
変換ミス [へんかんミス] /(n) typographical error caused by selecting wrong kanji when word-processing/
変換器 [へんかんき] /(n) converter/
変換機能 [へんかんきのう] /(n) (comp) conversion function/
変換禁止 [へんかんきんし] /(n) (comp) conversion prohibition/
変換後ＥＩＴ [へんかんごイーアイティー] /(n) (comp) converted EITs/
変換済み [へんかんずみ] /(exp) (something) converted/
変換済み表示 [へんかんずみひょうじ] /(n) (comp) converted indication/
変換子 [へんかんし] /(n) pickup/sensing element/
変換精度 [へんかんせいど] /(n) (comp) converted precision/
変曲点 [へんきょくてん] /(n) inflection point/
変屈 [へんくつ] /(iK) (adj-na,n) eccentricity/bigotry/obstinacy/
変型 [へんけい] /(n,adj-no) variety/variation/
変形 [へんけい] /(n,vs,adj-no) transformation/variation/metamorphosis/modification/deformation/variety/deformity/monster/(P)/
変形ゴマ [へんけいゴマ] /(n) arbitrary panel layout/
変形関数 [へんけいかんすう] /(n) (comp) transformational function/
変形規則 [へんけいきそく] /(n) transformational rule/
変形菌 [へんけいきん] /(n) myxomycete/slime mold/
変形具象構文 [へんけいぐしょうこうぶん] /(n) (comp) variant concrete syntax/
変形周波数変調記録 [へんけいしゅうはすうへんちょうきろく] /(n) (comp) modified frequency modulation recording/MFM recording/
変形生成統語論 [へんけいせいせいとうごろん] /(n) transformational generative syntax/
変形生成文法 [へんけいせいせいぶんぽう] /(n) (ling) transformational generative grammar/
変形体 [へんけいたい] /(n) plasmodium (form within the life cycle of myxomycete slime molds)/
変形虫類 [へんけいちゅうるい] /(n) the amoeba/
変形部門 [へんけいぶもん] /(n) transformational component/
変形文法 [へんけいぶんぽう] /(n) (ling) transformational grammar/
変幻 [へんげん] /(n,vs) transformation/
変幻自在 [へんげんじざい] /(adj-na,n,adj-no) phantasmagoric/capable of ever-changing appearance/
変幻出没 [へんげんしゅつぼつ] /(n,vs) being protean and elusive/appear and disappear like a phantom/
変光星 [へんこうせい] /(n) variable star/
変更 [へんこう] /(n,vs) change/modification/alteration/revision/amendment/(P)/
変更域ダンプ [へんこういきダンプ] /(n) (comp) change dump/
変更可能 [へんこうかのう] /(n,adj-na) (comp) modifiable/changeable/updateable/
変更届 [へんこうとどけ] /(n) (abbr) notification of change/alteration report/registration of modification/(P)/
変更届け [へんこうとどけ] /(n) (abbr) notification of change/alteration report/registration of modification/
変更不能 [へんこうふのう] /(n,adj-no) unchangeable/
変更履歴 [へんこうりれき] /(n) change log/revision history/
変項 [へんこう] /(n) variable/
変災 [へんさい] /(n) accident/disaster/
変死 [へんし] /(n,vs) unnatural death/accidental death/violent death/
変死者 [へんししゃ] /(n) person who has met an unnatural death/person accidentally killed/
変事 [へんじ] /(n) accident/emergency/calamity/
変字 [へんじ] /(n) conversion/converted character/
変質 [へんしつ] /(n,vs,adj-no) alteration (of character or essence)/change in quality/transformation/deterioration/degeneration/transmutation/(P)/
変質者 [へんしつしゃ] /(n) (a) degenerate/pervert/deviate/
変種 [へんしゅ] /(n,adj-no) (1) mutation/freak/novelty/exception/(2) (taxonomical) variety/
変症 [へんしょう] /(n,vs) taking a turn/developing into/
変色 [へんしょく] /(n,vs,adj-no) change of color/change of colour/fading/discoloration/discolouration/
変心 [へんしん] /(n,vs) change of mind/inconstancy/apostasy/
変身 [へんしん] /(n,vs) metamorphosis/disguise/transformation/(P)/
変身願望 [へんしんがんぼう] /(n) obsession with changing one's appearance/desire to change/
変針 [へんしん] /(n,vs) veering/
変人 [へんじん] /(n) eccentric/crank/oddball/(P)/
変数 [へんすう] /(n) variable (e.g. math)/parameter/
変数設定 [へんすうせってい] /(n) (comp) variable initialization/
変数宣言 [へんすうせんげん] /(n) (comp) variable declaration/
変数置換 [へんずうちかん] /(n) (comp) variable substitution/
変数名 [へんすうめい] /(n) (comp) variable name/
変性 [へんせい] /(n,vs,adj-no) denature/degenerate/
変性アルコール [へんせいアルコール] /(n) denatured alcohol/
変性意識状態 [へんせいいしきじょうたい] /(n) trance/an altered state of consciousness/
変性剤 [へんせいざい] /(n) denaturant/denaturating agent/
変性疾患 [へんせいしっかん] /(n) degenerative disease/
変成 [へんせい] /(n) metamorphosis/
変成岩 [へんせいがん] /(n) metamorphic rock/
変成器 [へんせいき] /(n) (impedance) transformer/
変成作用 [へんせいさよう] /(n) metamorphism/
変成帯 [へんせいたい] /(n) metamorphic belt/metamorphic zone/
変声期 [へんせいき] /(n) puberty in boys/change in voice/
変節 [へんせつ] /(n,vs) apostasy/betrayal/
変説 [へんせつ] /(n,vs) change of opinion/
変遷 [へんせん] /(n,vs) change/transition/vicissitudes/(P)/
変奏曲 [へんそうきょく] /(n) variation (music)/
変装 [へんそう] /(n,vs) disguise/masquerade/
変造 [へんぞう] /(n,vs) alteration/defacement/debasement/falsification/forgery/(P)/
変則 [へんそく] /(adj-na,n,adj-no) irregularity/(P)/
変則的 [へんそくてき] /(adj-na) irregular/
変速 [へんそく] /(n,vs) shifting gears/
変速機 [へんそくき] /(n) transmission/
変速装置 [へんそくそうち] /(n) gearbox/
変体 [へんたい] /(n,adj-f) abnormality/
変体仮名 [へんたいがな] /(n) anomalous cursive syllabary/non-standard kana/
変態 [へんたい] /(n,vs,adj-no) (1) transformation/metamorphosis/(2) abnormality/pervert/(P)/
変態心理 [へんたいしんり] /(n) abnormal mentality/
変態心理学 [へんたいしんりがく] /(n) abnormal psychology/
変態性 [へんたいせい] /(n) sexual perversion/
変態性欲 [へんたいせいよく] /(n,adj-no) abnormal sexuality/sexual perversion/
変態的 [へんたいてき] /(adj-na) abnormal/
変調 [へんちょう] /(n,vs) (1) change of tone/variation (music)/irregularity/anomaly/abnormality/(2) modulation (in radio)/
変調器 [へんちょうき] /(n) modulator/
変調装置 [へんちょうそうち] /(n) (comp) modulator/
変調速度 [へんちょうそくど] /(n) (comp) modulation rate/
変調波 [へんちょうは] /(n) wave modulation/
変調方式 [へんちょうほうしき] /(n) (comp) modulation method/
変通 [へんつう] /(n,vs) resourcefulness/adaptability/
変通自在 [へんつうじざい] /(n,adj-na,adj-no) freely adaptable, very flexible, nimble in adaptation/
変哲 [へんてつ] /(n) unusual/
変哲もない [へんてつもない] /(adj-i) usual/mediocre/monotonous/
変哲も無い [へんてつもない] /(adj-i) usual/mediocre/monotonous/
変転 [へんてん] /(n,vs) mutation/change/transition/
変電所 [へんでんしょ] /(n) transformer substation/
変動 [へんどう] /(n,vs) change/fluctuation/(P)/
変動為替相場制 [へんどうかわせそうばせい] /(n) floating exchange rate system/flexible exchange rate system/
変動相場制 [へんどうそうばせい] /(n) (abbr) floating exchange rate system/
変動費 [へんどうひ] /(n) variable cost/
変動費用 [へんどうひよう] /(n) variable cost/
変動幅 [へんどうはば] /(n) range of fluctuation/fluctuation margin/
変動利付債 [へんどうりつきさい] /(n) floating rate note/
変拍子 [へんびょうし] /(n) change of rhythm/
変復調装置 [へんふくちょうそうち] /(n) (comp) modem/
変物 [へんぶつ] /(n) eccentric person/
変分学 [へんぶんがく] /(n) calculus of variations/
変法 [へんぽう] /(n) law revision/revised law/
変貌 [へんぼう] /(n,vs) transfiguration/transformation/change of appearance/(P)/
変名 [へんみょう] /(n,vs) assumed name/alias/
変名 [へんめい] /(n,vs) assumed name/alias/
変目 [かわりめ] /(io) (n) turning point/change/transition/new program/new programme/
変容 [へんよう] /(n,vs) changed appearance/(P)/
変乱 [へんらん] /(n,vs) disturbance/uprising/war/
変流器 [へんりゅうき] /(n) transformer/
変量 [へんりょう] /(n) variable/
変梃 [へんてこ] /(adj-na,n) strange/weird/
変梃りん [へんてこりん] /(adj-na) strange/weird/
片 [かた] /(pref) (1) one (of a pair)/(2) incomplete/imperfect/fragmentary/(3) few/little/(4) off-centre/remote/(5) side/problem/question/matters/
片 [ひら] /(suf) flake/whisp/
片 [びら] /(ateji) (n) (uk) bill/handbill/flier/leaflet/poster/placard/
片 [へん] /(suf) piece/chip/flake/
片 [ビラ] /(ateji) (n) (uk) bill/handbill/flier/leaflet/poster/placard/
片がつく [かたがつく] /(exp,v5k) to settle (a problem)/to put an end to (a dispute)/to be disposed of/to be settled/to come to an end/
片が付く [かたがつく] /(exp,v5k) to settle (a problem)/to put an end to (a dispute)/to be disposed of/to be settled/to come to an end/
片す [かたす] /(v5s,vt) (1) (ktb:) to move/to put elsewhere/(2) to tidy/to put in order/
片すみ [かたすみ] /(n) corner/nook/
片ちんば [かたちんば] /(adj-na,n) (1) (sens) lame/lameness/(2) mismatched (e.g. odd shoes)/
片っぱし [かたっぱし] /(n) one edge/one end/one side/
片っ端 [かたっぱし] /(n) one edge/one end/one side/
片っ端から [かたっぱしから] /(adv) absolutely every little bit/everything from A to Z/systematically/thoroughly/one after another/
片づく [かたづく] /(v5k,vi) (1) to be put in order/to be put to rights/(2) to be disposed of/to be solved/(3) to be finished/(4) to be married (off)/
片づける [かたづける] /(v1,vt) (1) to tidy up/to put in order/to straighten up/to put away/(2) to settle (problem)/to clear (dispute)/(3) to finish/to bring something to an end/(4) to marry off (e.g. a daughter)/(5) to do away with someone/to bump someone off/
片まひ [かたまひ] /(n) hemiplegia (paralysis on one side of the body)/
片や [かたや] /(exp) on one hand/on the other hand/
片を付ける [かたをつける] /(exp,v1) to settle (a problem)/
片意地 [かたいじ] /(adj-na,n) stubbornness/obstinacy/
片為替 [かたがわせ] /(n) exchange imbalance/
片一方 [かたいっぽう] /(n) one side/one of a pair/
片一方 [かたっぽ] /(n) one side/one of a pair/
片陰 [かたかげ] /(n) shade/shady spot/
片雲 [へんうん] /(n) speck of cloud/
片影 [へんえい] /(n) speck/glimpse/
片仮名 [かたかな] /(n) (uk) katakana/angular Japanese syllabary used primarily for loanwords/(P)/
片仮名語 [かたかなご] /(n) katakana word (esp. a loanword)/
片開き [かたびらき] /(n) single door (as opposed to a double door)/
片割れ [かたわれ] /(n) fragment/one of the group or party/
片眼 [かため] /(n,adj-no) one eye/
片眼鏡 [かためがね] /(n) monocle/lorgnon/
片眼鏡 [へんがんきょう] /(n) monocle/lorgnon/
片岩 [へんがん] /(n) schist/
片寄せる [かたよせる] /(v1,vt) to push to one side/to put aside/
片寄り [かたより] /(n) (1) deviation/inclination/offset/bias/prejudice/(2) polarization/polarisation/
片寄る [かたよる] /(v5r,vi) to be one-sided/to incline/to be partial/to be prejudiced/to lean/to be biased/to be biassed/(P)/
片脚 [かたあし] /(n,adj-no) one leg/one-legged/
片隅 [かたすみ] /(n) corner/nook/(P)/
片栗 [かたくり] /(n) dogtooth violet (flower) (Erythronium japonicum)/
片栗粉 [かたくりこ] /(n) (1) potato starch/(2) starch of dogtooth violet/
片月見 [かたつきみ] /(n) moon-viewing on either the night of the 15th day of the 8th month of the lunisolar calendar or on the night of the 13th day of the 9th month of the lunisolar calendar, but not both nights/
片言 [かたこと] /(n,adj-no) prattle/broken language/halting language/baby talk/imperfect speech/smattering/
片言 [へんげん] /(n) (1) brief remark/few words/(2) one side (e.g. of an argument)/ex-parte statement/
片言交じり [かたことまじり] /(n) babbling/
片言隻句 [へんげんせきく] /(n) few words/single phrase/
片言隻句 [へんげんせっく] /(n) few words/single phrase/
片言隻語 [へんげんせきご] /(n) (not even) a few words/
片戸 [かたど] /(n) single-swing(ing) door/
片口 [かたくち] /(n) type of bowl/one side of a story or argument/
片口鰯 [かたくちいわし] /(n) (uk) Japanese anchovy (Engraulis japonica)/
片恨み [かたうらみ] /(n) one-sided grudge/
片山病 [かたやまびょう] /(n) (obsc) Katayama disease (i.e. schistosomiasis japonica)/
片山里 [かたやまざと] /(n) remote mountain village/
片思い [かたおもい] /(n) unrequited love/(P)/
片持ち [かたもち] /(n) cantilever/
片持ち梁 [かたもちばり] /(n) cantilever/
片持梁 [かたもちばり] /(n) cantilever/
片時 [かたとき] /(n) a moment/an instant/
片時 [へんじ] /(n) a moment/an instant/
片耳 [かたみみ] /(n) one ear/
片手 [かたて] /(n,adj-no) one hand/(P)/
片手桶 [かたておけ] /(n) single-handled pail/
片手間 [かたてま] /(n) in spare time/odd job/
片手間仕事 [かたてましごと] /(n) side job/odd jobs/
片手湯桶 [かたゆとう] /(n) wooden scoop, used for bathing/
片手鍋 [かたてなべ] /(n) single-handled pot/
片手落ち [かたておち] /(adj-na,n) one-sided/partial/unfair/
片十字締め [かたじゅうじじめ] /(n) cross choke/
片笑窪 [かたえくぼ] /(n) dimple on one cheek/
片親 [かたおや] /(n) a or one parent/
片親の子 [かたおやのこ] /(n) single-parent child/single-parent children/
片身 [かたみ] /(n) one side of a body/
片刃 [かたは] /(n,adj-no) single edge (e.g. sword blade)/
片刃 [かたば] /(n,adj-no) single edge (e.g. sword blade)/
片前 [かたまえ] /(n,adj-no) single-breasted (jacket, etc.)/
片想い [かたおもい] /(n) unrequited love/
片側 [かたがわ] /(n) one side/(P)/
片側制御モード [かたがわせいぎょモード] /(n) (comp) polarized control mode/
片側町 [かたがわまち] /(n) street with houses lined up only on one side/
片側通行 [かたがわつうこう] /(n) one way (traffic)/
片息 [かたいき] /(n) difficult breathing/heavy breathing/gasping/
片足 [かたあし] /(n,adj-no) one leg/one-legged/
片袖 [かたそで] /(n) one sleeve/
片袖机 [かたそでつくえ] /(n) desk with a tier of drawers on one side/
片袖机 [かたそでづくえ] /(n) desk with a tier of drawers on one side/
片端 [かたはし] /(n) one edge/one end/one side/
片端 [かたわ] /(adj-na,n) (1) (sens) crippled/deformed/(2) imperfect/incomplete/
片端から [かたはしから] /(adv) absolutely every little bit/everything from A to Z/systematically/thoroughly/one after another/
片鉄炮 [かたてっぽう] /(n) strong push with only one hand (sumo)/
片田舎 [かたいなか] /(n) back country/remote countryside/
片頭痛 [へんずつう] /(n) migraine (headache)/
片頭痛 [へんとうつう] /(ok) (n) migraine (headache)/
片道 [かたみち] /(n,adj-no) one-way (trip)/(P)/
片道航空券 [かたみちこうくうけん] /(n) one-way airline ticket/one-way plane ticket/
片道切符 [かたみちきっぷ] /(n) one-way ticket/
片道料金 [かたみちりょうきん] /(n) one-way fare/
片脳油 [へんのうゆ] /(n) camphor oil/
片肺 [かたはい] /(n) one lung/
片肺飛行 [かたはいひこう] /(n) flying on one engine/
片肌 [かたはだ] /(n) bare shoulder/
片肌脱 [かたはだぬぎ] /(n) (obsc) one shoulder exposed (e.g. because one sleeve of the kimono is undone)/
片肌脱ぎ [かたはだぬぎ] /(n) (obsc) one shoulder exposed (e.g. because one sleeve of the kimono is undone)/
片肌脱ぐ [かたはだぬぐ] /(exp,v5g) (1) to lend a hand/to render assistance/(2) to bare one shoulder/
片膝 [かたひざ] /(n) one knee/
片付く [かたづく] /(v5k,vi) (1) to be put in order/to be put to rights/(2) to be disposed of/to be solved/(3) to be finished/(4) to be married (off)/(P)/
片付け [かたづけ] /(n) tidying up/finishing/
片付ける [かたづける] /(v1,vt) (1) to tidy up/to put in order/to straighten up/to put away/(2) to settle (problem)/to clear (dispute)/(3) to finish/to bring something to an end/(4) to marry off (e.g. a daughter)/(5) to do away with someone/to bump someone off/(P)/
片腹痛い [かたはらいたい] /(adj-i) ridiculous/absurd/
片偏 [かたへん] /(n) kanji "side" radical (radical 91) at left/
片片 [へんぺん] /(n,adj-t,adv-to) pieces/fragments/scraps/
片辺 [かたほとり] /(n) corner/remote country place/
片便り [かただより] /(n) writing but receiving no response/
片方 [かたほう] /(n,adj-no) one side/one party/the other side/the other party/(P)/
片方向相互動作 [かたほうこうそうごどうさ] /(n) (comp) one-way interaction/
片方向通信 [かたほうこうつうしん] /(n) (comp) one-way communication/
片棒 [かたぼう] /(n) partner/accomplice/
片棒を担ぐ [かたぼうをかつぐ] /(exp,v5g) to take part in/
片貿易 [かたぼうえき] /(n) one-sided trade/one way (unbalanced) trade/
片麻岩 [へんまがん] /(n) gneiss/
片麻痺 [かたまひ] /(n) hemiplegia (paralysis on one side of the body)/
片務契約 [へんむけいやく] /(n) a unilateral contract/
片面 [かためん] /(n,adj-no) one side/
片面ディスク [かためんディスク] /(n) (comp) single-sided disk/
片目 [かため] /(n,adj-no) one eye/(P)/
片目 [めっかち] /(n) (uk) (sens) blindness in one eye/having one eye much bigger than the other/someone blind in one eye/someone with one eye much bigger than the other/
片利共生 [へんりきょうせい] /(n,adj-no) commensalism/
片理 [へんり] /(n) schistosity/
片流れ [かたながれ] /(n) slanting, one-sided (shed) roof/
片輪 [かたわ] /(adj-na,n) (1) (sens) crippled/deformed/(2) imperfect/incomplete/(3) one wheel/
片輪走行 [かたりんそうこう] /(n,vs) driving on two wheels/ski (driving stunt)/skiing/
片鱗 [へんりん] /(n) portion/part/snapshot/glimpse/
片恋 [かたこい] /(n) unrequited love/one-sided love/
片恋い [かたこい] /(n) unrequited love/one-sided love/
片腕 [かたうで] /(n) (1) one arm/(2) right-hand man/
片跛 [かたちんば] /(adj-na,n) (1) (sens) lame/lameness/(2) mismatched (e.g. odd shoes)/
篇 [へん] /(n,n-suf) (1) compilation (of a text)/editing/(n,n-suf,ctr) (2) volume (of a text)/(3) completed literary work/
編 [へん] /(n,n-suf) (1) compilation (of a text)/editing/(n,n-suf,ctr) (2) volume (of a text)/(3) completed literary work/(P)/
編みあげる [あみあげる] /(v1) (1) to knit/(2) to compile/to edit/
編み笠 [あみがさ] /(n) braided hat/
編み機 [あみき] /(n) knitting machine/
編み戸 [あみど] /(n) door made of interlaced reeds, bamboo, etc./
編み合わせる [あみあわせる] /(v1) to knit together/to intertwine/
編み込む [あみこむ] /(v5m,vt) to weave within (hair, fabric, etc.)/
編み出す [あみだす] /(v5s,vt) to work out/to think out/
編み上げ [あみあげ] /(n) high laced shoes or boots/
編み上げる [あみあげる] /(v1) (1) to knit/(2) to compile/to edit/
編み上げ靴 [あみあげぐつ] /(n) lace-up boots/
編み上靴 [あみあげぐつ] /(n) lace-up boots/
編み針 [あみばり] /(n) knitting needle/
編み図 [あみず] /(n) knitting pattern/crochet pattern/
編み物 [あみもの] /(n,adj-no) knitting/knitted material/crochet/(P)/
編み包み [あみぐるみ] /(n) knitted or crocheted small stuffed animal or anthropomorphic creature (lit. knitted stuffed toy)/
編み棒 [あみぼう] /(n) knitting needle/
編み目 [あみめ] /(n) stitch/
編む [あむ] /(v5m,vt) (1) to knit/to plait/to braid/(2) to compile (anthology, dictionary, etc.)/to edit/(P)/
編笠 [あみがさ] /(n) braided hat/
編笠茸 [あみがさたけ] /(n) morel mushroom/
編曲 [へんきょく] /(n) (1) arrangement/(vs) (2) to arrange/to orchestrate/
編曲者 [へんきょくしゃ] /(n) arranger (e.g. of music)/
編込む [あみこむ] /(v5m,vt) to weave within (hair, fabric, etc.)/
編纂 [へんさん] /(n,vs) compilation/editing/
編纂者 [へんさんしゃ] /(n) editor/compiler/
編者 [へんしゃ] /(n) (abbr) editor/compiler/(P)/
編者 [へんじゃ] /(n) (abbr) editor/compiler/
編修 [へんしゅう] /(n,vs,adj-no) editing/compilation/editorial (e.g. committee)/
編輯 [へんしゅう] /(n,vs,adj-no) editing/compilation/editorial (e.g. committee)/
編集 [へんしゅう] /(n,vs,adj-no) editing/compilation/editorial (e.g. committee)/(P)/
編集モード [へんしゅうモード] /(n) (comp) edit mode/
編集委員 [へんしゅういいん] /(n) editorial committee member/senior staff writer (newspaper)/
編集機能 [へんしゅうきのう] /(n) (1) editing capability/(2) (comp) editor function/
編集局 [へんしゅうきょく] /(n) editorial office/editorial department/editorial board/
編集子 [へんしゅうし] /(n) editorial-staff member/
編集者 [へんしゅうしゃ] /(n) editor (in publishing, etc.)/(P)/
編集主幹 [へんしゅうしゅかん] /(n) editor-in-chief/
編集処理 [へんしゅうしょり] /(n) (comp) editing process/
編集長 [へんしゅうちょう] /(n) editor-in-chief/
編集版 [へんしゅうはん] /(n) edited version/edited edition/
編集部 [へんしゅうぶ] /(n) editorial department/
編集用文字 [へんしゅうようもじ] /(n) (comp) editing character/
編鐘 [へんしょう] /(n) bianzhong (ancient Chinese musical instrument; bronze bells set in a wooden frame, played with a mallet)/
編上げ [あみあげ] /(n) high laced shoes or boots/
編上げ靴 [あみあげぐつ] /(n) lace-up boots/
編上靴 [あみあげぐつ] /(n) lace-up boots/
編上靴 [へんじょうか] /(n) lace-up boots/
編図 [あみず] /(n) knitting pattern/crochet pattern/
編制 [へんせい] /(n,vs) organization/organisation/forming/
編成 [へんせい] /(n,vs) composition/formation/organization/organisation/compilation/(P)/
編製 [へんせい] /(n,vs) establishing (a new family register)/compiling (an electoral register, a list of school-age children, etc.)/
編組機械 [へんそきかい] /(n) knitting machinery/
編隊 [へんたい] /(n) formation/
編著 [へんちょ] /(n) compilation/(P)/
編入 [へんにゅう] /(n,vs) admission/incorporation/(P)/
編入学 [へんにゅうがく] /(n) skipping grades/the act of entering a new school as a non-first-year student/
編入試験 [へんにゅうしけん] /(n) entrance examination (for a transfer student)/
編年史 [へんねんし] /(n) a chronicle/
編年体 [へんねんたい] /(n) chronological order (form of historical writing)/ordering chronologically/
編物 [あみもの] /(n,adj-no) knitting/knitted material/crochet/(P)/
編木 [びんざさら] /(n) percussion instrument made of small pieces wood strung together/
編目 [あみめ] /(n) stitch/
辺 [え] /(suf) (1) suffix used as a rough indicator of location, direction, time, etc./
辺 [へ] /(n) (1) (arch) surrounding area/(2) shore (of the sea)/(suf) (3) suffix used as a rough indicator of location, direction, time, etc./
辺 [へん] /(n) (1) area/vicinity/(2) side (of triangle, rectangle, etc.)/(3) circumstances/(P)/
辺 [べ] /(n) (1) (arch) surrounding area/(2) shore (of the sea)/(suf) (3) suffix used as a rough indicator of location, direction, time, etc./
辺ぴ [へんぴ] /(adj-na,n) hard to reach place/remote place/
辺り [あたり] /(n) (1) (uk) on the bank of/by the side of (e.g. a river, pond)/(2) (in the) neighbourhood/neighborhood/vicinity/nearby/(P)/
辺り [ほとり] /(n) (1) (uk) on the bank of/by the side of (e.g. a river, pond)/(2) (in the) neighbourhood/neighborhood/vicinity/nearby/
辺フラグ [へんフラグ] /(n) (comp) edge flag/
辺可視フラグ [へんかしフラグ] /(n) (comp) edge visibility flag/
辺境 [へんきょう] /(n,adj-no) remote region/frontier (district)/border(land)/(P)/
辺線種 [へんせんしゅ] /(n) (comp) edgetype/
辺線幅倍率 [へんせんぷくばいりつ] /(n) (comp) edgewidth scale factor/
辺地 [へんち] /(n) remote place/(P)/
辺土 [へんど] /(n) remote region/
辺幅 [へんぷく] /(n) edge/surface appearance/outer appearance/
辺疆 [へんきょう] /(n,adj-no) remote region/frontier (district)/border(land)/
辺鄙 [へんぴ] /(adj-na,n) hard to reach place/remote place/
辺陬 [へんすう] /(n) remote region/
返し [かえし] /(n) (1) reversal/return/(2) return gift/return favour (favor)/
返し針 [かえしばり] /(n) back stitch/backstitch/
返し縫い [かえしぬい] /(n) backstitch/
返す [かえす] /(v5s,vt) (1) to return (something)/to restore/to put back/(2) to turn over/to turn upside down/to overturn/(3) to pay back/to retaliate/to reciprocate/(suf,v5s) (4) (after the -masu stem of a verb) to repeat .../to do ... back/(P)/
返す返す [かえすがえす] /(adv) repeatedly/to a tremendous extent/
返り [かえり] /(n) (1) turning over/flipping over/(2) reply/response/(3) marks indicating the Japanese meaning of the texts of Chinese classics/(4) lapel/
返り血 [かえりち] /(n) spurt of blood (from one's victim)/
返り咲き [かえりざき] /(n) comeback (e.g. in business)/second bloom/reflowering/reflorescence/(P)/
返り咲く [かえりざく] /(v5k,vi) to come back/to bloom a second time/
返り三役 [かえりさんやく] /(n) former san'yaku-ranked sumo wrestler returning to that rank/
返り大関 [かえりおおぜき] /(n) former ozeki-ranked sumo wrestler returning to that rank/
返り忠 [かえりちゅう] /(n) act of betrayal/
返り点 [かえりてん] /(n) marks indicating the Japanese meaning of the texts of Chinese classics/
返り討ち [かえりうち] /(n) (1) killing a would-be avenger/(2) having the tables turned on someone (e.g. by a challenger)/being beaten at one's own game/
返る [かえる] /(v5r,vi) (1) to return/to come back/to go back/(2) to turn over/(suf,v5r) (3) (after the -masu stem of a verb) (to become) extremely/(to become) completely/(P)/
返歌 [へんか] /(n) ode in reply/
返還 [へんかん] /(n,vs) return/restoration/(P)/
返還義務 [へんかんぎむ] /(n) obligation of restitution/
返却 [へんきゃく] /(n,vs) return of something/repayment/(P)/
返却値 [へんきゃくち] /(n) return value/
返球 [へんきゅう] /(n,vs) return toss (e.g. from a catcher to a pitcher)/
返金 [へんきん] /(n,vs,adj-no) repayment/
返金口 [へんきんぐち] /(n) coin return slot/change slot/
返済 [へんさい] /(n,vs) repayment/reimbursement/refund/redemption/(P)/
返咲き [かえりざき] /(n) comeback (e.g. in business)/second bloom/reflowering/reflorescence/
返詞 [へんし] /(n) reply/
返事 [へんじ] /(n,vs) reply/answer/response/(P)/
返事を延ばす [へんじをのばす] /(exp,v5s) to delay one's answer/
返事を遅らす [へんじをおくらす] /(exp,v5s) to defer one's reply/
返辞 [へんじ] /(n,vs) reply/answer/response/
返書 [へんしょ] /(n) reply/response/
返照 [へんしょう] /(n,vs) reflection of light (sunlight)/
返上 [へんじょう] /(n,vs) give up/relinquish/serve up/let loose/(P)/
返信 [へんしん] /(n,vs) reply/(P)/
返信ＩＰメッセージ表示 [へんしんアイピーメッセージひょうじ] /(n) (comp) replying IP-message indication/
返信はがき [へんしんはがき] /(n) return postcard/
返信用 [へんしんよう] /(n) for reply/
返信用の封筒 [へんしんようのふうとう] /(n) self-addressed stamped envelope/SASE/
返信用封筒 [へんしんようふうとう] /(n) self-addressed stamped envelope/SASE/
返信用葉書 [へんしんようはがき] /(n) (postal) reply card/international reply coupon/
返信葉書 [へんしんはがき] /(n) return postcard/
返信要求表示 [へんしんようきゅうひょうじ] /(n) (comp) reply request indication/
返信料 [へんしんりょう] /(n) return postage/
返信料封筒 [へんしんりょうふうとう] /(n) return, postage-paid envelope/
返信料葉書 [へんしんりょうはがき] /(n) return, postage-paid postcard/
返送 [へんそう] /(n,vs) sending back/return to sender/
返送照合 [へんそうしょうごう] /(n) (comp) echo check/
返送内容エントリ [へんそうないようエントリ] /(n) (comp) returned-content entry/
返値 [かえりち] /(n) return value (from a function, in programming)/
返電 [へんでん] /(n) reply telegram/
返答 [へんとう] /(n,vs) reply/(P)/
返答に詰まる [へんとうにつまる] /(exp,v5r) to be embarrassed for a reply/
返答に窮する [へんとうにきゅうする] /(exp,vs-s) to be embarrassed for a reply/to be at a loss for a reply/
返答次第 [へんとうしだい] /(n) depending on the answer/hinging on the reply/
返答書 [へんとうしょ] /(n) reply letter/
返読点 [へんどくてん] /(n) word-order marks used to assist reading of Chinese classics/
返納 [へんのう] /(n,vs) returning (to the authorities)/restoring/
返杯 [へんぱい] /(n,vs) offering a cup (of sake) in return/
返盃 [へんぱい] /(n,vs) offering a cup (of sake) in return/
返品 [へんぴん] /(n,vs) returned goods/
返付 [へんぷ] /(n,vs) return/
返閉 [へんばい] /(n) (1) ceremony performed by a sorcerer to protect a noble setting out on a trip/(2) dance steps inspired by this ceremony/
返報 [へんぽう] /(n,vs,adj-no) requital/
返本 [へんぽん] /(n,vs) book(s) returned unsold/
返戻 [へんれい] /(n,vs) returning/giving back/
返戻金 [へんれいきん] /(n) (1) terminal bonus/lump sum when policy matures/(2) payout on cancellation of contract/
返礼 [へんれい] /(n,vs,adj-no) (1) returning a present/(2) returning a favor/returning a favour/(3) returning a call/(4) compensation/
遍 [へん] /(ctr) number of times/
遍く [あまねく] /(adv) widely/generally/universally/far and wide/
遍く捜す [あまねくさがす] /(v5s) to make a wide search/
遍在 [へんざい] /(n,vs) omnipresence/ubiquity/
遍照 [へんしょう] /(n,vs) universal illumination (esp. in Buddhism, by the dharma-body)/
遍照 [へんじょう] /(n,vs) universal illumination (esp. in Buddhism, by the dharma-body)/
遍照金剛 [へんじょうこんごう] /(n) (Buddh) Mahavairocana (esp. in esoteric Buddhism)/
遍羅 [べら] /(n) (uk) wrasse (any fish of family Labridae)/
遍歴 [へんれき] /(n,vs) travels/pilgrimage/itinerancy/(P)/
遍歴者 [へんれきしゃ] /(n) pilgrim/nomad/iterant/
遍路 [へんろ] /(n) (1) pilgrimage/(2) pilgrim/
遍路姿 [へんろすがた] /(n) pilgrim's outfit/
便 [びん] /(n,n-suf) (1) flight (e.g. airline flight)/trip (e.g. train trip)/service/(2) mail/post/letter/(3) opportunity/chance/(P)/
便 [べん] /(n,adj-na) (1) convenience/service/facility/accommodation/(n) (2) excreta (esp. faeces)/excrement/stool/
便 [よすか] /(ok) (n) (1) something to rely on/aid/clue/way/means/(2) someone to rely on/relative/(3) reminder/memento/
便 [よすが] /(n) (1) something to rely on/aid/clue/way/means/(2) someone to rely on/relative/(3) reminder/memento/
便々 [べんべん] /(adj-t,adv-to) (1) protuberant/paunchy/(adv-to) (2) idly/
便じる [べんじる] /(v1,vi) to satisfy/to answer the purpose/to make convenient/
便ずる [べんずる] /(vz,vi) to satisfy/to answer the purpose/to make convenient/
便の有り次第 [びんのありしだい] /(n) on the first opportunity/
便り [たより] /(n,vs) (1) news/tidings/information/correspondence/letter/(P)/
便り [だより] /(n-suf) (1) news from .../
便りの無いのは良い便り [たよりのないのはよいたより] /(exp) (id) No news is good news/
便りをする [たよりをする] /(exp,vs-i) to write (to someone)/to drop someone a line/to contact someone/
便る [たよる] /(v5r,vi) to rely on/to have recourse to/to depend on/
便を図る [べんをはかる] /(exp,v5r) to provide facilities/to administer to the convenience of/
便意 [べんい] /(n) call of nature/bowel movement/
便衣 [べんい] /(n) convenient clothes/ordinary clothes/
便衣隊 [べんいたい] /(n) plain-clothes soldiers/mufti corps/
便益 [べんえき] /(n) convenience/benefit/profit/
便屋 [たよりや] /(n) man in charge of delivering letters and packages during the Edo period/
便管 [べんかん] /(n) sewer pipe/
便器 [べんき] /(n) bedpan/chamber pot/urinal/
便宜 [べんぎ] /(adj-na,n,adj-no) convenience/accommodation/advantage/expedience/(P)/
便宜を図る [べんぎをはかる] /(exp,v5r) to suit the convenience of/to accommodate/
便宜結婚 [べんぎけっこん] /(n) marriage for convenience/
便宜主義 [べんぎしゅぎ] /(n) opportunism/expediency/
便宜上 [べんぎじょう] /(adv) for convenience/as a matter of convenience/
便宜置籍船 [べんぎちせきせん] /(n) flag-of-convenience ship/ship flying a flag of convenience/
便宜的 [べんぎてき] /(adj-na) convenient/expedient/makeshift/
便座 [べんざ] /(n) toilet seat/
便失禁 [べんしっきん] /(n) anal leakage/(fecal) incontinence/
便所 [べんじょ] /(n) toilet/lavatory/rest room/latrine/comfort station/(P)/
便乗 [びんじょう] /(n,vs) taking advantage of a ride or an opportunity/taking a ship/(P)/
便乗者 [びんじょうしゃ] /(n) hitchhiker/one who catches a ride (with a friend)/
便乗主義者 [びんじょうしゅぎしゃ] /(n) opportunist/
便乗商法 [びんじょうしょうほう] /(n) piggybacking marketing/the method of making sales by jumping on a bandwagon (like that of a boom, popularity, disaster, etc.)/
便船 [びんせん] /(n) available steamer/
便槽 [べんそう] /(n) tub used to collect feces in an outhouse/
便通 [べんつう] /(n) bowel movement/
便殿 [びんでん] /(n) emperor's temporary place of sojourn/
便殿 [べんでん] /(n) emperor's temporary place of sojourn/
便秘 [べんぴ] /(n,vs,adj-no) constipation/(P)/
便服 [べんぷく] /(n) civilian clothes/
便便 [べんべん] /(adj-t,adv-to) (1) protuberant/paunchy/(adv-to) (2) idly/
便法 [べんぽう] /(n) handy method/shortcut/expedient/
便覧 [びんらん] /(n) handbook/manual/compendium/
便覧 [べんらん] /(n) handbook/manual/compendium/
便利 [べんり] /(adj-na) convenient/handy/useful/(P)/
便利さ [べんりさ] /(n) convenience/handiness/usefulness/(P)/
便利屋 [べんりや] /(n) expressman/utility man/
便利帳 [べんりちょう] /(n) (convenience) guide/
便壺 [べんこ] /(n) night-soil vault/clay pot used to collect feces in an outhouse/
便壺 [べんつぼ] /(n) night-soil vault/clay pot used to collect feces in an outhouse/
便佞 [べんねい] /(adj-na,n) flattery/adulation/
便侫 [べんねい] /(adj-na,n) flattery/adulation/
便箋 [びんせん] /(n) writing paper/stationery/(P)/
勉む [りきむ] /(v5m,vt) (1) to strain/to bear up/to exert one's strength/(2) to swagger/to bluff/to boast/
勉めて [つとめて] /(adv) (1) as much as possible/diligently/(exp) (2) make an effort!/work hard!/
勉める [つとめる] /(v1,vt) to endeavor (endeavour)/to try/to strive/to make an effort/to exert oneself/to be diligent/
勉学 [べんがく] /(n,vs) study/pursuit of knowledge/(P)/
勉強 [べんきょう] /(n,vs) (1) study/(2) diligence/(3) discount/reduction/(P)/
勉強し始める [べんきょうしはじめる] /(v1) to begin to study/
勉強になる [べんきょうになる] /(exp,v5r) (1) to gain knowledge/to be illuminated/(exp,adj-pn) (2) enlightening/informative/illuminating/
勉強に励む [べんきょうにはげむ] /(exp,v5m) to work hard at one's lessons/
勉強を怠ける [べんきょうをなまける] /(exp,v1) to neglect one's studies/
勉強運 [べんきょううん] /(n) one's fate (fortune) as concerns studies/
勉強家 [べんきょうか] /(n) diligent student/studious person/
勉強会 [べんきょうかい] /(n) study group/study meeting/
勉強机 [べんきょうづくえ] /(n) (writing) desk/
勉強時間 [べんきょうじかん] /(n) one's study hours (time)/
勉強中 [べんきょうちゅう] /(n) while studying/
勉強熱心 [べんきょうねっしん] /(adj-na) hardworking/studious/
勉強不足 [べんきょうぶそく] /(n) insufficient study/
勉強部屋 [べんきょうべや] /(n) study room/
勉励 [べんれい] /(n,vs) diligence/
娩出 [べんしゅつ] /(n,vs) giving birth/delivery/
弁 [べん] /(n) (1) petal/(2) valve/
弁 [べん] /(n) (1) speech/(n-suf) (2) dialect/(P)/
弁 [べん] /(n) Oversight Department (division of the daijokan responsible for controlling central and provincial governmental offices)/
弁え [わきまえ] /(n) sense/discretion/knowledge/
弁えのない [わきまえのない] /(adj-i) indiscreet/undiscerning/
弁えの無い [わきまえのない] /(adj-i) indiscreet/undiscerning/
弁える [わきまえる] /(v1,vt) to know (right from wrong)/to discern/to discriminate/to understand/to bear in mind/(P)/
弁が立つ [べんがたつ] /(exp,v5t) to be eloquent/to have a way with words/
弁じる [べんじる] /(v1,vi) to speak/to talk/to argue/to manage/to dispose of/to carry through/to distinguish/to discriminate/
弁じ立てる [べんじたてる] /(v1) to speak eloquently/to talk volubly/
弁ずる [べんずる] /(vz) to manage/to dispose of/to carry through/to distinguish/to discriminate/
弁の虫 [べんのむし] /(n) valve core/
弁解 [べんかい] /(n,vs,adj-no) justification/rationalization/pretext/explanation/exculpation/defence/defense/excuse/(P)/
弁官 [おおともいのつかさ] /(ok) (n) Oversight Department (division of the daijokan responsible for controlling central and provincial governmental offices)/
弁官 [べんかん] /(n) Oversight Department (division of the daijokan responsible for controlling central and provincial governmental offices)/
弁慶 [べんけい] /(n) strong man/(P)/
弁慶の泣き所 [べんけいのなきどころ] /(n) one's weak point/shin/
弁慶蟹 [べんけいがに] /(n) grapsoid (anim)/grapsoid crab/
弁慶格子 [べんけいごうし] /(n) checked pattern/plaid/
弁慶縞 [べんけいじま] /(n) checks/plaid/checked pattern/
弁慶草 [べんけいそう] /(n) (uk) orpine (any plant of family Crassulaceae, esp. the garden stonecrop, Hylotelephium erythrostictum)/
弁慶草科 [べんけいそうか] /(n) Crassulaceae (plant family)/
弁護 [べんご] /(n,vs) defense/defence/pleading/advocacy/(P)/
弁護依頼人 [べんごいらいにん] /(n) (lawyer's) client/
弁護士 [べんごし] /(n) lawyer/attorney/(P)/
弁護士会 [べんごしかい] /(n) bar association/
弁護士事務所 [べんごしじむしょ] /(n) law office/lawyer's office/attorney's office/
弁護士道徳 [べんごしどうとく] /(n) legal ethics/
弁護士費用 [べんごしひよう] /(n) legal fee/
弁護者 [べんごしゃ] /(n) proponent/defender/advocate/
弁護人 [べんごにん] /(n) counsel/defender/advocate/(P)/
弁護団 [べんごだん] /(n) defense counsel/defence lawyer/
弁護料 [べんごりょう] /(n) lawyer's fee/
弁口 [べんこう] /(n) speech/manner of speaking/
弁座 [べんざ] /(n) valve seat/
弁才 [べざい] /(n) (abbr) large Japanese junk/
弁才 [べんさい] /(n) eloquence/oratorical talent/
弁才 [べんざい] /(n) (abbr) large Japanese junk/
弁才船 [べざいせん] /(n) large Japanese junk/
弁才船 [べんざいせん] /(n) large Japanese junk/
弁才天 [べざいてん] /(n) (Buddh) Saraswati (god of wealth, music, eloquence and water)/
弁才天 [べんざいてん] /(n) (Buddh) Saraswati (god of wealth, music, eloquence and water)/
弁済 [べんさい] /(n,vs) settlement/payment/(P)/
弁財 [べざい] /(n) (abbr) large Japanese junk/
弁財 [べんざい] /(n) (abbr) large Japanese junk/
弁財船 [べざいせん] /(n) large Japanese junk/
弁財船 [べんざいせん] /(n) large Japanese junk/
弁財天 [べざいてん] /(n) (Buddh) Saraswati (god of wealth, music, eloquence and water)/
弁財天 [べんざいてん] /(n) (Buddh) Saraswati (god of wealth, music, eloquence and water)/
弁士 [べんし] /(n) (1) lecturer/rhetorician/orator/(2) narrator in Japanese silent cinema/film interpreter/
弁事 [べんじ] /(n,vs) clerical work/
弁事処 [べんじしょ] /(n-suf) (obsc) office/
弁事所 [べんじしょ] /(n-suf) (obsc) office/
弁者 [べんしゃ] /(n) speaker/orator/
弁償 [べんしょう] /(n,vs) reimbursement/compensation/reparation/indemnity/(P)/
弁償金 [べんしょうきん] /(n) reparation/indemnity/compensation/reimbursement/
弁証 [べんしょう] /(n,vs) demonstration/proof/
弁証学 [べんしょうがく] /(n) apologetics/
弁証法 [べんしょうほう] /(n) dialectic/dialectics/
弁証法神学 [べんしょうほうしんがく] /(n) dialectical theology/
弁証法的 [べんしょうほうてき] /(adj-na) dialectic/
弁証法的唯物論 [べんしょうほうてきゆいぶつろん] /(n) dialectical materialism/
弁証法的論理学 [べんしょうほうてきろんりがく] /(n) (obsc) dialectical logic/
弁証論 [べんしょうろん] /(n) apologetics/dialectics/
弁神論 [べんしんろん] /(n) theodicy/
弁説 [べんぜつ] /(n) dialectic demonstration/display of skill in explanation/
弁舌 [べんぜつ] /(n) speech/(P)/
弁疏 [べんそ] /(n,vs) excuse/plea/defense/defence/
弁天 [べんてん] /(n) Benten (goddess of arts and wisdom)/
弁当 [べんとう] /(n) bento/Japanese box lunch/(P)/
弁当つつみ [べんとうつつみ] /(n) lunch package/
弁当を使う [べんとうをつかう] /(exp,v5u) to eat a boxed lunch/
弁当屋 [べんとうや] /(n) lunch vendor/
弁当持参 [べんとうじさん] /(n,adj-no) bringing one's own lunch/
弁当代 [べんとうだい] /(n) lunch money/
弁当箱 [べんとうばこ] /(n) lunch box/
弁当包み [べんとうつつみ] /(n) lunch package/
弁難 [べんなん] /(n,vs) denunciation/criticism/
弁駁 [べんばく] /(n,vs) refutation/contradiction/rebuttal/disproof/disputation/
弁駁 [べんぱく] /(n,vs) refutation/contradiction/rebuttal/disproof/disputation/
弁髪 [べんぱつ] /(n) pigtail/queue/cue/
弁柄 [べんがら] /(n) red iron oxide (dut: Bengala)/rouge/
弁別 [べんべつ] /(n,vs) discriminate/
弁別素性 [べんべつそせい] /(n) distinctive feature/
弁膜 [べんまく] /(n) valve (in internal organs)/
弁務官 [べんむかん] /(n) commissioner/(P)/
弁明 [べんめい] /(n,vs,adj-no) explanation/excuse/vindication/apology/(P)/
弁明口調 [べんめいくちょう] /(n) apologetic (defensive) tone of voice/
弁明書 [べんめいしょ] /(n) letter of explanation/written explanation/
弁理 [べんり] /(n,vs) management/
弁理士 [べんりし] /(n) patent attorney/patent agent/
弁論 [べんろん] /(n,vs,adj-no) discussion/debate/argument/(P)/
弁論大会 [べんろんたいかい] /(n) speech contest/
弁鰓類 [べんさいるい] /(n) (obsc) lamellibranches (i.e. bivalves)/
鞭 [ぶち] /(ok) (n) (1) whip/lash/scourge/(2) stick/cane/rod/pointer/
鞭 [むち] /(n) (1) whip/lash/scourge/(2) stick/cane/rod/pointer/
鞭ち [むちうち] /(n) (1) (abbr) whipping/beating with a whip/(2) (abbr) whiplash/
鞭打ち [むちうち] /(n) (1) (abbr) whipping/beating with a whip/(2) (abbr) whiplash/
鞭打ち症 [むちうちしょう] /(n) whiplash/
鞭打つ [むちうつ] /(v5t,vt) to whip/to lash/to give the rod/to spur on/to encourage/
鞭毛 [べんもう] /(n) flagellum/
鞭毛藻類 [べんもうそうるい] /(n) phytoflagellates/
鞭毛虫 [べんもうちゅう] /(n) flagellate/mastigophoran/
鞭毛虫類 [べんもうちゅうるい] /(n) flagellates/mastigophorans/
鞭撻 [べんたつ] /(n,vs) (1) encouragement/enthusiasm/urging/(2) chastising by whipping/
保する [ほうする] /(ok) (vs-s,vt) to guarantee/
保する [ほする] /(vs-s,vt) to guarantee/(P)/
保ちつづける [たもちつづける] /(v1) to maintain/to continue to have/
保ち合い [たもちあい] /(n) (1) steadiness (of market price)/holding/no change/
保ち合い [もちあい] /(n) (1) unity/even matching/interdependence/(2) steadiness (of market price)/holding/no change/
保ち合う [もちあう] /(v5u) to maintain equilibrium/to share expenses/
保ち続ける [たもちつづける] /(v1) to maintain/to continue to have/
保つ [たもつ] /(v5t,vt) to keep/to preserve/to hold/to retain/to maintain/to support/to sustain/to last/to endure/to keep well (food)/to wear well/to be durable/(P)/
保安 [ほあん] /(n) peace preservation/security/(P)/
保安 [ほうあん] /(n) Houan era (1120.4.10-1124.4.3)/
保安院 [ほあんいん] /(n) (abbr) Nuclear and Industrial Safety Agency/NISA/
保安官 [ほあんかん] /(n) peace officer/sheriff/
保安係 [ほあんがかり] /(n) store (house) detective/security (officer)/
保安係り [ほあんがかり] /(n) store (house) detective/security (officer)/
保安処分 [ほあんしょぶん] /(n) measures preserving law and order/
保安条例 [ほあんじょうれい] /(n) regulations for the preservation of law and order/
保安設備 [ほあんせつび] /(n) safety devices/security provisions/
保安要員 [ほあんよういん] /(n) mine guards (during a strike)/
保安林 [ほあんりん] /(n) forest reserve/
保育 [ほいく] /(n,vs,adj-no) nursing/nurturing/rearing/lactation/suckling/(P)/
保育園 [ほいくえん] /(n) nursery school/day nursery/(P)/
保育器 [ほいくき] /(n) incubator/
保育施設 [ほいくしせつ] /(n) child-rearing facility/
保育所 [ほいくしょ] /(n) nursery school/nursery/(P)/
保育所 [ほいくじょ] /(n) nursery school/nursery/
保育料 [ほいくりょう] /(n) fee for day-care/
保延 [ほうえん] /(n) Houen era (1135.4.27-1141.7.10)/
保温 [ほおん] /(n,vs) retaining warmth/keeping heat in/heat insulation/(P)/
保温材 [ほおんざい] /(n) heat insulating material/lagging material/
保革 [ほかく] /(n) conservatism and progressivism/conservatives and reformists/(P)/
保革伯仲 [ほかくはくちゅう] /(n,vs) conservatives and reformists being neck and neck/balanced conservative and progressive strengths/
保管 [ほかん] /(n,vs) charge/custody/safekeeping/deposit/storage/(P)/
保管ファイル [ほかんファイル] /(n) (comp) archive file/
保管会社 [ほかんがいしゃ] /(n) safety-deposit company/
保管金 [ほかんきん] /(n) money on deposit/
保管庫 [ほかんこ] /(n) safe/vault/storage cabinet/
保管施設 [ほかんしせつ] /(n) storage facility/
保管証 [ほかんしょう] /(n) certificate of custody/
保管人 [ほかんにん] /(n) custodian/trustee/
保管物 [ほかんぶつ] /(n) goods in custody/property in trust/
保管料 [ほかんりょう] /(n) custody fee/storage charge/
保管林 [ほかんりん] /(n) managed forest/
保菌 [ほきん] /(n) carrying a disease/
保菌者 [ほきんしゃ] /(n) (disease) carrier/
保健 [ほけん] /(n,adj-no) health preservation/hygiene/sanitation/(P)/
保健医 [ほけんい] /(n) public-health doctor/
保健衛生 [ほけんえいせい] /(n) hygiene/sanitation/
保健機能食品 [ほけんきのうしょくひん] /(n) health-promoting food/
保健師 [ほけんし] /(n) public health nurse/
保健室 [ほけんしつ] /(n) school infirmary/
保健室登校 [ほけんしつとうこう] /(n,vs) going straight to the infirmary in school/
保健所 [ほけんしょ] /(n) health care center/health care centre/(P)/
保健所 [ほけんじょ] /(n) health care center/health care centre/
保健省 [ほけんしょう] /(n) Department of Health/Ministry of Health/
保健制度 [ほけんせいど] /(n) public health system/
保健体育 [ほけんたいいく] /(n) health and physical education/
保健婦 [ほけんふ] /(n) district health nurse/public health nurse/(P)/
保健福祉 [ほけんふくし] /(n) health and welfare/
保健物理学 [ほけんぶつりがく] /(n) health physics/
保険 [ほけん] /(n,adj-no) insurance/guarantee/(P)/
保険をかける [ほけんをかける] /(exp,v1) to insure (something)/
保険を掛ける [ほけんをかける] /(exp,v1) to insure (something)/
保険医 [ほけんい] /(n) insurance doctor/
保険屋 [ほけんや] /(n) insurance man/
保険価額 [ほけんかがく] /(n) insurable value/
保険会社 [ほけんがいしゃ] /(n) insurance company/
保険掛け金 [ほけんかけきん] /(n) insurance premium/
保険掛金 [ほけんかけきん] /(n) insurance premium/
保険勧誘員 [ほけんかんゆういん] /(n) insurance salesman (saleswoman)/
保険業 [ほけんぎょう] /(n) (the) insurance business/
保険金 [ほけんきん] /(n) insurance payout/(P)/
保険金受取人 [ほけんきんうけとりにん] /(n) insurance beneficiary/
保険契約 [ほけんけいやく] /(n) insurance contract/
保険契約者 [ほけんけいやくしゃ] /(n) policyholder/insurance policyholder/
保険事故 [ほけんじこ] /(n) event insured against/
保険者 [ほけんしゃ] /(n) insurer/
保険証 [ほけんしょう] /(n) insurance card/
保険証券 [ほけんしょうけん] /(n) insurance policy/
保険証書 [ほけんしょうしょ] /(n) insurance papers/certificate of insurance/
保険証明書 [ほけんしょうめいしょ] /(n) insurance certificate/
保険診療 [ほけんしんりょう] /(n) health care services provided by health insurance/
保険制度 [ほけんせいど] /(n) insurance regime/
保険代理店 [ほけんだいりてん] /(n) insurance agent/
保険付き [ほけんづき] /(n) guaranteed/insured/
保険薬 [ほけんやく] /(n) medicine available under health insurance/
保険料 [ほけんりょう] /(n) insurance premium/
保険料率 [ほけんりょうりつ] /(n) insurance (premium) rate/
保元 [ほうげん] /(n) Hougen era (1156.4.27-1159.4.20)/
保元 [ほげん] /(n) (obsc) Hogen era, Hougen era (1156.4.27-1159.4.20)/
保護 [ほうご] /(n,vs) care/protection/shelter/safeguard/guardianship/favor/favour/patronage/
保護 [ほご] /(n,vs) care/protection/shelter/safeguard/guardianship/favor/favour/patronage/(P)/
保護の聖人 [ほごのせいじん] /(n) patron saint/
保護キー [ほごキー] /(n) (comp) protection key/
保護スーツ [ほごスーツ] /(n) diver's exposure suit/body suits, wet suits, and dry suits/suit which protects divers from exposure and abrasion/
保護委員 [ほごいいん] /(n) rehabilitation/worker/
保護観察 [ほごかんさつ] /(n) probation/
保護観察所 [ほごかんさつじょ] /(n) probation office/probation facility/
保護関税 [ほごかんぜい] /(n) protective tariff/
保護関税率 [ほごかんぜいりつ] /(n) protective tariff/
保護機能 [ほごきのう] /(n) (comp) safeguard/
保護金 [ほごきん] /(n) subsidy/
保護区 [ほごく] /(n) sanctuary/reserve (for wild animals)/nature preserve/
保護検束 [ほごけんそく] /(n) protective arrest/
保護国 [ほごこく] /(n) protectorate/
保護細胞 [ほごさいぼう] /(n) guard cell/
保護作業場 [ほごさぎょうば] /(n) sheltered workshop/
保護司 [ほごし] /(n) probation officer/
保護者 [ほごしゃ] /(n) guardian/protector/patron/(P)/
保護主義 [ほごしゅぎ] /(n) protectionism/
保護処分 [ほごしょぶん] /(n) disposing of a case by placing an offender on probation or under supervision/
保護色 [ほごしょく] /(n) protective coloration/protective colouration/camouflage/
保護政策 [ほごせいさく] /(n) protectionism/
保護税 [ほごぜい] /(n) protective duty/
保護装置 [ほごそうち] /(n) (comp) safeguard/
保護団体 [ほごだんたい] /(n) conservation group/
保護鳥 [ほごちょう] /(n) protected bird/
保護板 [ほごばん] /(n) protective plate/
保護貿易 [ほごぼうえき] /(n) protective trade/
保護預かり [ほごあずかり] /(n) safe deposit/
保護用スリーブ [ほごようスリーブ] /(n) (comp) protective sleeve/
保護領 [ほごりょう] /(n) protectorate/
保護領域 [ほごりょういき] /(n) (comp) protected area/
保護林 [ほごりん] /(n) forest reserve or preserve/
保合 [もちあい] /(n) (1) unity/even matching/interdependence/(2) steadiness (of market price)/holding/no change/
保合い [もちあい] /(n) (1) unity/even matching/interdependence/(2) steadiness (of market price)/holding/no change/
保佐人 [ほさにん] /(n) conservator/curator/
保持 [ほじ] /(n,vs) retention/maintenance/preservation/(P)/
保持ＴＰＤＵ [ほじティーピーディーユー] /(n) (comp) retained TPDU/
保持モード [ほじモード] /(n) (comp) hold mode/
保持者 [ほじしゃ] /(n) holder (of a record)/
保磁力 [ほじりょく] /(n) coercivity/coercive force/
保湿 [ほしつ] /(n,adj-no,vs) moisturizer/
保湿液 [ほしつえき] /(n) moisturizer/moisturizing lotion/
保釈 [ほしゃく] /(n,vs) bail/(P)/
保釈金 [ほしゃくきん] /(n) bail/
保釈中 [ほしゃくちゅう] /(n) being out on bail/
保守 [ほしゅ] /(n,vs) maintenance/conservation/(P)/
保守パネル [ほしゅパネル] /(n) (comp) maintenance panel/
保守契約 [ほしゅけいやく] /(n) (comp) maintenance contract/
保守系 [ほしゅけい] /(n) conservative/
保守系無所属 [ほしゅけいむしょぞく] /(n) conservative without party affiliation/
保守車両 [ほしゅしゃりょう] /(n) maintenance train/railway maintenance vehicle/
保守主義 [ほしゅしゅぎ] /(n) conservatism/
保守新党 [ほしゅしんとう] /(n) New Conservative Party (defunct Japanese political party)/
保守性 [ほしゅせい] /(n) maintainability/serviceability/
保守的 [ほしゅてき] /(adj-na) conservative/(P)/
保守党 [ほしゅとう] /(n) Conservative Party (UK, Canada, Japan)/(P)/
保守派 [ほしゅは] /(n) conservatives/
保守盤 [ほしゅばん] /(n) (comp) maintenance panel/
保修 [ほしゅう] /(n,vs) maintenance/mending/repair/
保証 [ほしょう] /(n,vs) guarantee/security/assurance/pledge/warranty/(P)/
保証の限定 [ほしょうのげんてい] /(n) (comp) limited warranties/
保証格納域 [ほしょうかくのういき] /(n) (comp) secure storage/
保証期間 [ほしょうきかん] /(n) term of guarantee/warranty period/
保証牛乳 [ほしょうぎゅうにゅう] /(n) certified milk/
保証金 [ほしょうきん] /(n) deposit (esp. on renting a house)/security money/bond payment/guarantee/(P)/
保証書 [ほしょうしょ] /(n) certificate/written guarantee/
保証小切手 [ほしょうこぎって] /(n) certified check/certified cheque/
保証人 [ほしょうにん] /(n) guarantor/bondsman/(P)/
保証人要 [ほしょうにんよう] /(n) guarantor required/
保証責務 [ほしょうせきむ] /(n) guarantee obligations/
保証付 [ほしょうつき] /(adj-no) guaranteed/certified/warranty included/
保証付き [ほしょうつき] /(adj-no) guaranteed/certified/warranty included/(P)/
保証保険 [ほしょうほけん] /(n) guarantee insurance/
保障 [ほしょう] /(n,vs) guarantee/security/assurance/pledge/warranty/(P)/
保障占領 [ほしょうせんりょう] /(n) protective occupation (of a country)/
保障措置 [ほしょうそち] /(n) safeguard/
保障付 [ほしょうつき] /(adj-no) guaranteed/certified/warranty included/
保障付き [ほしょうつき] /(adj-no) guaranteed/certified/warranty included/
保身 [ほしん] /(n) self-protection/
保身術 [ほしんじゅつ] /(n) art of self-protection/
保水力 [ほすいりょく] /(n) water retention potential/water-retaining capacity/water holding capacity/
保税 [ほぜい] /(n) customs bond/
保税倉庫 [ほぜいそうこ] /(n) bonded warehouse/
保税地域 [ほぜいちいき] /(n) bonded area (i.e. customs)/
保線 [ほせん] /(n) track maintenance/
保線区 [ほせんく] /(n) section of track/
保線要員 [ほせんよういん] /(n) railway (railroad) maintenance personnel/
保全 [ほぜん] /(n,vs) preservation/integrity/conservation/maintenance/(P)/
保全会 [ほぜんかい] /(n) (family) corporation/
保全会社 [ほぜんかいしゃ] /(n) (family) corporation/
保全性 [ほぜんせい] /(n) (comp) maintainability/integrity/
保蔵 [ほぞう] /(n) (1) preservation/storage/(vs) (2) to store/to squirrel away/
保存 [ほぞん] /(n,vs) preservation/conservation/storage/saving (e.g. to disk)/maintenance/(P)/
保存期間 [ほぞんきかん] /(n) (comp) retention period/
保存期間検査 [ほぞんきかんけんさ] /(n) (comp) expiration check/retention period check/
保存系 [ほぞんけい] /(n) conservative system (physics)/
保存状態 [ほぞんじょうたい] /(n) condition/state of preservation/
保存食 [ほぞんしょく] /(n) preserved foods/
保存食品 [ほぞんしょくひん] /(n) preserved foodstuffs/
保存先 [ほぞんさき] /(n) (comp) destination to save to/save location (for a file)/
保存料 [ほぞんりょう] /(n) preservative/
保存量 [ほぞんりょう] /(n) conserved quantity (physics)/
保体 [ほたい] /(n) (abbr) health and physical education/
保父 [ほふ] /(n) male carer, esp. in a nursery school/
保母 [ほぼ] /(n) day-care worker in a kindergarten, nursery school, etc./(P)/
保無 [ほむ] /(n) (abbr) conservative without party affiliation/
保有 [ほゆう] /(n,vs,adj-no) possession/retention/maintenance/(P)/
保有者 [ほゆうしゃ] /(n) owner/
保有米 [ほゆうまい] /(n) holdings/
保養 [ほよう] /(n,vs) health preservation/recuperation/recreation/(P)/
保養院 [ほよういん] /(n) sanatorium/
保養所 [ほようしょ] /(n) sanatorium/rest home/
保養所 [ほようじょ] /(n) sanatorium/rest home/(P)/
保養地 [ほようち] /(n) health resort/
保留 [ほりゅう] /(n,vs) (1) reserve/putting on hold/deferment/(2) hold (e.g. telephone button)/pending/(P)/
保留エリア [ほりゅうエリア] /(n) (comp) holding area/
保冷 [ほれい] /(n) keep cool/
保冷剤 [ほれいざい] /(n) refrigerant/thermal gel/ice pack/cold pack/
保姆 [ほぼ] /(n) day-care worker in a kindergarten, nursery school, etc./
舗 [ほ] /(n) (1) shop/store/(ctr) (2) counter for folded maps, etc./(P)/
舗石 [ほせき] /(n) paving stone/
舗装 [ほそう] /(n,vs) pavement/road surface/(P)/
舗装道路 [ほそうどうろ] /(n) paved road/
舗装煉瓦 [ほそうれんが] /(n) paving brick/
舗装路 [ほそうろ] /(n) paved road/
舗道 [ほどう] /(n) pavement/paved street/
鋪 [しき] /(n) mine tunnel/mine shaft/mineshaft/
鋪石 [しきいし] /(n) paving stone/pavement/
鋪道 [ほどう] /(n) pavement/paved street/
圃場 [ほじょう] /(n) cultivated land (field, garden, orchard, etc.)/
捕える [とらえる] /(v1,vt) (1) to seize/to capture/to arrest/(2) to grasp/to perceive/to treat (as)/(P)/
捕そく [ほそく] /(n,vs) (comp) capture/seizure/
捕まえる [つかまえる] /(v1,vt) to catch/to arrest/to seize/(P)/
捕まる [つかまる] /(v5r,vi) (1) to be caught/to be arrested/(2) (uk) to hold on to/to grasp/(3) (uk) to find (e.g. proof)/to get (e.g. a taxi)/(4) (uk) to be detained by/(P)/
捕らえる [とらえる] /(v1,vt) (1) to seize/to capture/to arrest/(2) to grasp/to perceive/to treat (as)/(P)/
捕らえ処 [とらえどころ] /(n) clue/vital point/
捕らえ所のない [とらえどころのない] /(adj-i) subtle/elusive/slippery/
捕らえ所の無い [とらえどころのない] /(adj-i) subtle/elusive/slippery/
捕らぬ狸の皮算用 [とらぬたぬきのかわざんよう] /(exp) don't count your chickens before they're hatched/(lit: don't assume you can grab a tanuki)/
捕らわれ [とらわれ] /(n) imprisonment/captive/
捕らわれた考え [とらわれたかんがえ] /(n) prejudiced opinion/conventional ideas/
捕らわれる [とらわれる] /(v1,vi) to be captured/to be apprehended/to be seized with/(P)/
捕らわれ人 [とらわれびと] /(n) captive/prisoner/
捕り手 [とりて] /(n) (1) (arch) policeman/official in charge of imprisoning offenders/(2) (MA) art of defeating (and capturing) an opponent with one's bare hands/
捕り縄 [とりなわ] /(n) rope for tying criminals/
捕り物 [とりもの] /(n) capture/arrest/
捕り物 [とりものちょう] /(n) (1) detective story (esp. one from the Edo period featuring thief-takers)/(2) detective's memoirs/thief taker's memoirs/
捕り物控え [とりものひかえ] /(n) detective's memoirs/
捕り方 [とりかた] /(n) (1) constable/(2) method of catching criminals/
捕る [とる] /(v5r,vt) to take/to catch (fish)/to capture/(P)/
捕れる [とれる] /(v1) (1) to be caught/to be captured/(2) to be able to catch/to be able to capture/
捕われ [とらわれ] /(n) imprisonment/captive/
捕われる [とらわれる] /(v1,vi) to be captured/to be apprehended/to be seized with/(P)/
捕逸 [ほいつ] /(n,vs) (baseball) passed ball/catcher missing a ball/
捕獲 [ほかく] /(n,vs) capture/seizure/(P)/
捕球 [ほきゅう] /(n,vs) (baseball) catch/
捕鯨 [ほげい] /(n) whaling/whale fishing/(P)/
捕鯨船 [ほげいせん] /(n) whaling ship/
捕鯨砲 [ほげいほう] /(n) (whaling) harpoon gun/
捕鯨問題 [ほげいもんだい] /(n) whaling controversy/whaling issue/
捕殺 [ほさつ] /(n,vs) catching and killing/assisting (baseball)/
捕失 [ほしつ] /(n) catchers error/
捕手 [とりて] /(n) (1) (arch) policeman/official in charge of imprisoning offenders/(2) (MA) art of defeating (and capturing) an opponent with one's bare hands/
捕手 [ほしゅ] /(n) catcher (baseball)/(P)/
捕囚 [ほしゅう] /(n) captivity/
捕出 [ちゅうしゅつ] /(iK) (n,vs,adj-no) (1) extraction/abstraction/(2) selection (from a group)/sampling/eduction/
捕食 [ほしょく] /(n,vs) predation/eating prey/preying upon/
捕食者 [ほしょくしゃ] /(n) predator/
捕捉 [ほそく] /(n,vs) (comp) capture/seizure/
捕虫網 [ほちゅうあみ] /(n) insect net/butterfly net/
捕縄 [ほじょう] /(n) police-man's rope/
捕縛 [ほばく] /(n,vs) arrest/apprehension/capture/
捕物 [とりもの] /(n) capture/arrest/
捕物帖 [とりものちょう] /(n) (1) detective story (esp. one from the Edo period featuring thief-takers)/(2) detective's memoirs/thief taker's memoirs/
捕物帳 [とりものちょう] /(n) (1) detective story (esp. one from the Edo period featuring thief-takers)/(2) detective's memoirs/thief taker's memoirs/
捕方 [とりかた] /(n) (1) constable/(2) method of catching criminals/
捕吏 [ほり] /(n) (arch) constable/policeman/
捕虜 [ほりょ] /(n,adj-no) prisoner (of war)/(P)/
捕虜交換 [ほりょこうかん] /(n) prisoner exchange/
捕虜収容所 [ほりょしゅうようじょ] /(n) prison camp/concentration camp/prisoner of war camp/POW camp/
歩 [かち] /(n) (1) foot soldier (Edo period)/samurai on foot/(2) (arch) going on foot/walking/
歩 [ふ] /(n) (abbr) pawn (in chess or shogi)/
歩 [ぶ] /(n) unit of land measurement/3.95 square yards/3.31 square metres (meters)/
歩 [ほ] /(n) (1) step/stride/(ctr) (2) counter for steps/(P)/
歩き [ありき] /(n,adj-no) (1) walk/walking/
歩き [あるき] /(n,adj-no) (1) walk/walking/(n) (2) (arch) foot messenger (of a town, village, etc.)/
歩きはじめ [あるきはじめ] /(n) starting to walk/
歩き回る [あるきまわる] /(v5r) to walk about/to walk to and fro/to pace around/(P)/
歩き去る [あるきさる] /(v5r) to walk away/to walk off/
歩き始め [あるきはじめ] /(n) starting to walk/
歩き始める [あるきはじめる] /(v1) to begin to walk/to set out/
歩き初め [あるきぞめ] /(n) opening something to pedestrians, e.g. a new bridge/
歩き続ける [あるきつづける] /(v1) to keep walking/
歩き疲れる [あるきつかれる] /(v1) to be tired from walking/
歩き方 [あるきかた] /(n) way one walks/one's walk/
歩く [あるく] /(v5k,vi) to walk/(P)/
歩こう [ほこう] /(n,vs) walk/
歩み [あゆみ] /(n) (1) walking/(2) progress/advance/(P)/
歩み寄り [あゆみより] /(n) compromise/concession/(P)/
歩み寄る [あゆみよる] /(v5r,vi) to step up/to compromise/to meet halfway/(P)/
歩み続ける [あゆみつづける] /(v1) to continue (walking)/
歩み入る [あゆみいる] /(v5r) to walk in (to)/
歩み方 [あゆみかた] /(n) move/way to play/
歩む [あゆむ] /(v5m,vi) to walk/to go on foot/(P)/
歩を進める [ほをすすめる] /(exp,v1) to make progress/to step forward/
歩を突く [ふをつく] /(exp,v5k) to advance a pawn/
歩一歩 [ほいっぽ] /(adv,n-t) step by step/
歩引き [ぶびき] /(n) discount/
歩掛り [ぶがかり] /(n) labor productivity unit/productivity/production rate/man hours/
歩脚 [ほきゃく] /(n) walking leg (esp. of an arthropod)/ambulatory leg/
歩行 [かち] /(n) (1) foot soldier (Edo period)/samurai on foot/(2) (arch) going on foot/walking/
歩行 [ほこう] /(n,vs) walk/(P)/
歩行器 [ほこうき] /(n) baby-walker/
歩行者 [ほこうしゃ] /(n) pedestrian/walker/(P)/
歩行者天国 [ほこうしゃてんごく] /(n) pedestrian mall (lit: pedestrian paradise)/car-free mall/(P)/
歩行者優先 [ほこうしゃゆうせん] /(n) priority to pedestrians/
歩行者用の信号 [ほこうしゃようのしんごう] /(n) (pedestrian) crosswalk signal/
歩行虫 [おさむし] /(n) (1) (uk) ground beetle/carabid (esp. of subfamily Carabinae)/(2) (arch) millipede/
歩行虫 [ごみむし] /(n) (1) (uk) ground beetle/carabid (esp. of superfamily Caraboidea, but excluding subfamily Carabinae)/(2) Anisodactylus signatus (species of ground beetle)/
歩行補助器 [ほこうほじょき] /(n) walker (used by old people to assist them to walk)/walking machine/walking frame/
歩合 [ぶあい] /(n) rate/ratio/commission/percentage/poundage/(P)/
歩合給 [ぶあいきゅう] /(n) percentage pay/
歩合算 [ぶあいざん] /(n) percentage calculation/
歩合制 [ぶあいせい] /(n) commission system/
歩哨 [ほしょう] /(n) sentry/
歩哨を置く [ほしょうをおく] /(exp,v5k) to post a sentinel/
歩数 [ほすう] /(n) number of steps/
歩数計 [ほすうけい] /(n) a pedometer/
歩測 [ほそく] /(n,vs) pacing off (a measurement or distance)/
歩帯 [ほたい] /(n) ambulacral zone (on echinoderms)/ambulacrum (on echinoderms)/
歩調 [ほちょう] /(n) pace/step/cadence/(P)/
歩調を揃える [ほちょうをそろえる] /(exp,v1) to keep step with/
歩度 [ほど] /(n) one's walking pace/
歩道 [ほどう] /(n) footpath/walkway/sidewalk/(P)/
歩道橋 [ほどうきょう] /(n) pedestrian bridge/(P)/
歩武 [ほぶ] /(n) a step/a short distance/
歩幅 [ほはば] /(n) step/pace/
歩兵 [ふひょう] /(n) pawn (shogi)/
歩兵 [ほへい] /(n) infantry/infantryman/foot soldier/(P)/
歩兵師団 [ふひょうしだん] /(n) Infantry Division/
歩兵戦闘車両 [ほへいせんとうしゃりょう] /(n) infantry fighting vehicle/
歩法 [ほほう] /(n) (1) horse gait/(2) way of walking (e.g. in martial arts, etc.)/
歩留まり [ぶどまり] /(n,adj-f) yield/yield rate/
歩留り [ぶどまり] /(n,adj-f) yield/yield rate/
歩廊 [ほろう] /(n) corridor/gallery/platform/passageway/
甫めて [はじめて] /(adv,n) (1) for the first time/(2) only after ... is it .../only when ... do you .../
補い [おぎない] /(n) replenishment/supplement/reparation/
補う [おぎなう] /(v5u,vt) to compensate for/to supplement/(P)/
補す [ふす] /(v5s) (arch) to appoint/to designate/
補する [ほする] /(vs-s) to appoint/to assign/to designate/
補そく [ほそく] /(n) (comp) capture/
補遺 [ほい] /(n,adj-no) supplement/appendix/
補因子 [ほいんし] /(n) cofactor (biochemistry)/
補回 [ほかい] /(n) (baseball) extra innings/
補角 [ほかく] /(n) supplement/
補巻 [ほかん] /(n) supplement/supplementary volume/
補完 [ほかん] /(n,vs) complementation/supplementation/completion/(P)/
補完医学 [ほかんいがく] /(n) complementary medicine/
補完規則 [ほかんきそく] /(n) (comp) ELSE-rule/
補間 [ほかん] /(n) interpolation/
補記 [ほき] /(n,vs) addition (to a text)/additional entry (e.g. to a database)/
補給 [ほきゅう] /(n,vs) supply/supplying/replenishment/(P)/
補給幹線 [ほきゅうかんせん] /(n) main supply route/
補給線 [ほきゅうせん] /(n) supply line/
補給路 [ほきゅうろ] /(n) a supply line/
補強 [ほきょう] /(n,vs) compensation/reinforcement/(P)/
補強筋 [ほきょうきん] /(n) reinforcement bar/
補強証拠 [ほきょうしょうこ] /(n) corroboration/supporting evidence/
補欠 [ほけつ] /(n,vs,adj-no) (1) filling a vacancy/supplementation/(2) substitute/deputy/alternate/spare/(P)/
補欠選挙 [ほけつせんきょ] /(n) special election/by-election/
補欠選手 [ほけつせんしゅ] /(n) spare player/substitute/sub/benchwarmer/
補欠分子族 [ほけつぶんしぞく] /(n) prosthetic group/
補血 [ほけつ] /(n) blood replenishment/
補弦 [ほげん] /(n) supplementary chord/
補語 [ほご] /(n) (ling) complement/
補講 [ほこう] /(n,vs) supplementary classes or lectures/
補酵素 [ほこうそ] /(n) coenzyme/
補酵素Ａ [ほこうそエー] /(n) coenzyme A/
補酵素Ｑ [ほこうそキュー] /(n) coenzyme Q/
補佐 [ほさ] /(n,vs,adj-no) aid/help/assistance/assistant/counselor/counsellor/adviser/advisor/(P)/
補佐官 [ほさかん] /(n) aide/
補佐人 [ほさにん] /(n) assistant/aide/curator/
補佐役 [ほさやく] /(n) assistant/adjunct/lieutenant/
補作 [ほさく] /(n) adding something to or altering a finished work of art/something added or altered in this manner/
補殺 [ほさつ] /(n,vs) catching and killing/assisting (baseball)/
補修 [ほしゅう] /(n,vs) maintenance/mending/repair/(P)/
補習 [ほしゅう] /(n,vs) supplementary lessons/
補習教育 [ほしゅうきょういく] /(n) further education/supplementary education/
補集合 [ほしゅうごう] /(n) complementary set/complement/
補充 [ほじゅう] /(n,adj-no) (1) supplementation/supplement/replenishment/replenishing/replacement/refilling/(vs) (2) to replace/to refill/to replenish/(P)/
補充書 [ほじゅうしょ] /(n) brief (legal, patent, etc.)/
補充兵 [ほじゅうへい] /(n) a reservist/
補充法 [ほじゅうけい] /(n) (1) (ling) suppletion/(adj-no) (2) suppletive/
補助 [ほじょ] /(n,vs,adj-no) (1) assistance/support/aid/help/(2) subsidy/supplement/subvention/grant-in-aid/(3) auxiliary/subsidiary/(4) spot (in bodybuilding)/(P)/
補助いす [ほじょいす] /(n) auxiliary seat/booster seat/baby seat/
補助グループＩＤ [ほじょグループアイディー] /(n) (comp) supplementary group ID/
補助コンソール [ほじょコンソール] /(n) (comp) auxiliary console/
補助デスクリプタ [ほじょデスクリプタ] /(n) (comp) auxiliary descriptor/
補助バッテリ [ほじょバッテリ] /(n) (comp) auxiliary battery/
補助椅子 [ほじょいす] /(n) auxiliary seat/booster seat/baby seat/
補助員 [ほじょいん] /(n) assistant/helper/
補助漢字 [ほじょかんじ] /(n) (comp) supplemental kanji (added by JIS X 0212)/
補助艦艇 [ほじょかんてい] /(n) auxiliary vessel/
補助機関 [ほじょきかん] /(n) auxiliary engine/
補助記憶 [ほじょきおく] /(n) (comp) external storage/auxiliary storage/
補助記憶装置 [ほじょきおくそうち] /(n) (comp) auxiliary storage/secondary storage/
補助記号 [ほじょきごう] /(n) supplementary symbol (number, punctuation, etc.)/
補助金 [ほじょきん] /(n) assistance payment/subsidiary aid/
補助形容詞 [ほじょけいようし] /(n) (ling) subsidiary adjective/auxiliary adjective/
補助元帳 [ほじょもとちょう] /(n) subsidiary ledger/
補助語 [ほじょご] /(n) (comp) optional word/
補助参加 [ほじょさんか] /(n) auxiliary intervention (in a lawsuit)/
補助参加人 [ほじょさんかにん] /(n) auxiliary intervenor (in a lawsuit)/
補助人 [ほじょにん] /(n) limited guardian/
補助線 [ほじょせん] /(n) additional line/
補助装置 [ほじょそうち] /(n) (comp) auxiliary device/auxiliary equipment/
補助単位 [ほじょたんい] /(n) (1) (obs) prefixed unit of measurement (i.e. millimeter, kilogram, etc.)/(2) supplementary SI unit (radian and steradian)/
補助定理 [ほじょていり] /(n) lemma/
補助的 [ほじょてき] /(adj-na) ancillary/auxiliary/
補助動詞 [ほじょどうし] /(n) (ling) subsidiary verb/auxiliary verb/
補助入力装置 [ほじょにゅうりょくそうち] /(n) (comp) auxiliary input device/
補助符号 [ほじょふごう] /(n) supplementary symbol (number, punctuation, etc.)/
補助用言 [ほじょようげん] /(n) auxiliary inflecting word, such as a verb or adjective/
補助翼 [ほじょよく] /(n) aileron/
補助輪 [ほじょりん] /(n) training wheels/
補償 [ほしょう] /(n,vs) compensation/reparation/(P)/
補償金 [ほしょうきん] /(n) compensation payment/reparation/
補償光学 [ほしょうこうがく] /(n) adaptive optics (esp. in a telescope)/
補償装置 [ほしょうそうち] /(n) compensator/compensating device/
補職 [ほしょく] /(n,vs) appointment to an official post/
補色 [ほしょく] /(n) complementary color/complementary colour/
補数 [ほすう] /(n) complement/complementary/
補数の底 [ほすうのそこ] /(n) (comp) complement base/
補数演算 [ほすうえんざん] /(n) (comp) complementary operation/
補数演算子 [ほすうえんざんし] /(n) (comp) complement operator/
補数回路 [ほすうかいろ] /(n) (comp) complementer/
補数器 [ほすうき] /(n) (comp) complementer/
補整 [ほせい] /(n,vs) adjust (by supplementing)/
補正 [ほせい] /(n,vs) correction/revision/compensation (e.g. to a pendulum)/(P)/
補正予算 [ほせいよさん] /(n) revised or supplementary budget/(P)/
補説 [ほせつ] /(n,vs) supplementary explanation/supplementary information/
補選 [ほせん] /(n) bye-election/by-election/
補則 [ほそく] /(n) supplementary rules/
補足 [ほそく] /(n,adj-no,vs) supplement/complement/(P)/
補足情報 [ほそくじょうほう] /(n) supplementary information/
補足説明 [ほそくせつめい] /(n,adj-no) supplementary explanation/
補足編 [ほそくへん] /(n) (comp) auxiliary part/
補題 [ほだい] /(n) lemma/lemmata/
補注 [ほちゅう] /(n) supplementary note/
補註 [ほちゅう] /(n) supplementary note/
補聴器 [ほちょうき] /(n) hearing aid/(P)/
補綴 [ほてい] /(adj-na,n,vs,adj-no) replenishment/prosthetic/
補綴 [ほてつ] /(adj-na,n,vs,adj-no) replenishment/prosthetic/
補訂 [ほてい] /(n,vs) (abbr) revising (and supplementing)/
補訂版 [ほていばん] /(n) expanded edition (of a dictionary)/
補填 [ほてん] /(n,vs) compensating/making up for/supplementation/
補導 [ほどう] /(n,vs) guidance/protective custody/
補任 [ほにん] /(n,vs) appointment to office/
補肥 [ほひ] /(n) supplementary or additional fertilizer (fertiliser)/
補筆 [ほひつ] /(n,vs) retouch/correction/improvement/
補法 [ほほう] /(n) revitalizing treatment that stimulates the organs or the meridians (in Chinese medicine)/
補薬 [ほやく] /(n) (1) adjuvant/(2) revitalizing stimulant (in Chinese medicine)/
補論 [ほろん] /(n) addendum/
輔く [たすく] /(v5k,vt) to help/to save/to rescue/
輔ける [たすける] /(v1,vt) to help/to save/to rescue/to give relief to/to spare (life)/to reinforce/to promote/to abet/
輔す [ふす] /(v5s) (arch) to appoint/to designate/
輔佐 [ほさ] /(n,vs,adj-no) aid/help/assistance/assistant/counselor/counsellor/adviser/advisor/
輔佐人 [ほさにん] /(n) assistant/aide/curator/
輔星 [ほせい] /(n) (obsc) Alcor/the Little Horseman star/
輔導 [ほどう] /(n,vs) guidance/protective custody/
輔弼 [ほひつ] /(n,vs) giving the Emperor advice on affairs of state/assistance/counsel/
輔翼 [ほよく] /(n,vs) aid/assistance/
穂 [ほ] /(n) (1) ear (of plant)/head (of plant)/(2) point/tip/(3) scion (in grafting)/cion/(P)/
穂咲の総藻 [ほざきのふさも] /(n) (uk) Eurasian water milfoil (Myriophyllum spicatum)/
穂咲下野 [ほざきしもつけ] /(n) (uk) Spiraea salicifolia (species of spirea)/
穂状 [すいじょう] /(n,adj-no) shaped like an ear of grain/
穂状花序 [すいじょうかじょ] /(n) spike (inflorescence)/
穂先 [ほさき] /(n) (1) ear (e.g. of wheat)/(2) tip (e.g. of brush or spear)/
穂波 [ほなみ] /(n) waving heads (of grain)/
穂並 [ほなみ] /(n) rows of grain thrusting upright/
穂木 [ほぎ] /(n) twig used in grafting/budwood/
募って来る食欲 [つのってくるしょくよく] /(n) rising appetite/
募らす [つのらす] /(v5s) to exacerbate/to exasperate/
募る [つのる] /(v5r,vt) (1) to invite contributions, etc./to solicit help, participation, etc./to recruit (e.g. soldiers)/(v5r,vi) (2) to grow violent/to become stronger/to become worse/(P)/
募金 [ぼきん] /(n,vs,adj-no) fund-raising/collection of funds/(P)/
募金運動 [ぼきんうんどう] /(n) fund-raising drive or campaign/
募金活動 [ぼきんかつどう] /(n) fund-raising activities/
募金箱 [ぼきんばこ] /(n) collection box/
募債 [ぼさい] /(n,vs) raising of a loan/loan floatation/
募集 [ぼしゅう] /(n,vs) recruiting/taking applications/(P)/
募集広告 [ぼしゅうこうこく] /(n) recruitment advertisement/
募集人員 [ぼしゅうじんいん] /(n) number of people to be admitted or accepted/
募集費 [ぼしゅうひ] /(n) recruiting expenses/
募兵 [ぼへい] /(n,vs) (military) recruiting/
墓 [はか] /(n) gravesite/tomb/(P)/
墓園 [ぼえん] /(n) cemetery/graveyard/
墓苑 [ぼえん] /(n) cemetery/graveyard/
墓掘り [はかほり] /(n) gravedigger/
墓穴 [はかあな] /(n) grave, specifically the hole in the ground/
墓穴 [ぼけつ] /(n) grave, specifically the hole in the ground/(P)/
墓穴を掘る [ぼけつをほる] /(exp,v5r) to bring calamity upon oneself/to put your foot in it/
墓参 [はかまいり] /(n,vs) visit to a grave/(P)/
墓参 [ぼさん] /(n,vs) visit to a grave/
墓参り [はかまいり] /(n,vs) visit to a grave/(P)/
墓誌 [ぼし] /(n) epitaph/inscription on a tomb/
墓誌銘 [ぼしめい] /(n) name of the writer of a gravestone epitaph, engraved after the epitaph/
墓守り [はかもり] /(n) grave keeper/
墓所 [はかしょ] /(n) graveyard/
墓所 [はかどころ] /(n) graveyard/
墓所 [ぼしょ] /(n) graveyard/
墓場 [はかば] /(n) graveyard/cemetery/
墓石 [はかいし] /(n) tombstone/gravestone/
墓石 [ぼせき] /(n) tombstone/gravestone/(P)/
墓前 [ぼぜん] /(n) in front of a grave/
墓地 [はかち] /(n) cemetery/graveyard/
墓地 [ぼち] /(n) cemetery/graveyard/(P)/
墓泥棒 [はかどろぼう] /(n) grave robber/grave robbing/
墓碑 [ぼひ] /(n) gravestone/tombstone/
墓碑銘 [ぼひめい] /(n) epitaph/inscription on a tombstone/
墓標 [はかじるし] /(n) grave marker/grave-post/
墓標 [ぼひょう] /(n) grave-marker/gravestone/
墓表 [ぼひょう] /(n) grave-marker/gravestone/
慕い寄る [したいよる] /(v5r,vi) to approach in adoration/
慕う [したう] /(v5u,vt) to yearn for/to miss/to adore/to love dearly/(P)/
慕わしい [したわしい] /(adj-i) dear/beloved/
慕情 [ぼじょう] /(n) longing/yearning/
戊 [つちのえ] /(n) 5th in rank/fifth sign of the Chinese calendar/
戊 [ぼ] /(n) 5th in rank/fifth sign of the Chinese calendar/
戊午 [つちのえうま] /(n) 55th of the sexagenary cycle/
戊午 [ぼご] /(n) 55th of the sexagenary cycle/
戊子 [つちのえね] /(n) twenty-fifth of the sexagenary cycle/
戊子 [ぼし] /(n) twenty-fifth of the sexagenary cycle/
戊申 [つちのえさる] /(n) 45th of the sexagenary cycle/
戊申 [ぼしん] /(n) 45th of the sexagenary cycle/
戊申詔書 [ぼしんしょうしょ] /(n) Imperial Rescript of 1908/
戊辰 [ぼしん] /(n) fifth of the sexagenary cycle/
戊辰戦争 [ぼしんせんそう] /(n) Boshin War (Japanese civil war between Imperial and shogunate forces, 1868-1869)/
戊寅 [つちのえとら] /(n) 15th of the sexagenary cycle/
戊寅 [ぼいん] /(n) 15th of the sexagenary cycle/
戊夜 [ぼや] /(n) (arch) fifth division of the night (approx. 3 am to 5 am)/
戊戌 [ぼじゅつ] /(n) 35th of the sexagenary cycle/
暮 [くれ] /(io) (n-t,adj-no,n-suf) (1) sunset/sundown/nightfall/dusk/(2) end/close/(3) year-end/end of the year/
暮し [くらし] /(n) living/livelihood/subsistence/circumstances/
暮し向き [くらしむき] /(n) circumstances/lifestyle/life circumstances/
暮す [くらす] /(v5s,vt) (1) to live/to get along/(2) to spend (time)/
暮の春 [くれのはる] /(n) end of spring/
暮らし [くらし] /(n) living/livelihood/subsistence/circumstances/(P)/
暮らしに響く [くらしにひびく] /(exp,v5k) to affect the cost of living/
暮らしぶり [くらしぶり] /(n) lifestyle/way of life/
暮らしを詰める [くらしをつめる] /(exp,v1) to cut down housekeeping expenses/
暮らし向き [くらしむき] /(n) circumstances/lifestyle/life circumstances/
暮らし始める [くらしはじめる] /(v1) to begin some form of lifestyle/
暮らし振り [くらしぶり] /(n) lifestyle/way of life/
暮らし方 [くらしかた] /(n) way of living/
暮らす [くらす] /(v5s,vt) (1) to live/to get along/(2) to spend (time)/(P)/
暮れ [くれ] /(n-t,adj-no,n-suf) (1) sunset/sundown/nightfall/dusk/(2) end/close/(3) year-end/end of the year/(P)/
暮れなずむ [くれなずむ] /(v5m,vi) to grow dark slowly/
暮れる [くれる] /(v1,vi) to get dark/to end/to come to an end/to close/to run out/(P)/
暮れ果てる [くれはてる] /(v1,vi) to fall completely dark/
暮れ行く [くれゆく] /(v5k-s,vi) to darken/to wane/
暮れ残る [くれのこる] /(v5r,vi) to linger (faint light of twilight)/
暮れ泥む [くれなずむ] /(v5m,vi) to grow dark slowly/
暮れ暮れ [くれぐれ] /(n) nightfall/
暮れ方 [くれがた] /(n-t) evening/sunset/nightfall/
暮れ六つ [くれむつ] /(n) Edo-period term for a time of day, roughly 6 pm/
暮雲 [ぼうん] /(n) twilight clouds/
暮果てる [くれはてる] /(exp,vi) (id) The sun has set completely/
暮秋 [ぼしゅう] /(n) (1) late autumn (fall)/(2) (obs) ninth month of the lunar calendar/
暮春 [ぼしゅん] /(n) (1) late spring/(2) (obs) third month of the lunar calendar/
暮鐘 [ぼしょう] /(n) twilight tolling of a bell/
暮色 [ぼしょく] /(n) dusk/twilight scene/
暮色蒼然 [ぼしょくそうぜん] /(adj-t,adv-to) dusky/somber light of a gathering dusk/
暮雪 [ぼせつ] /(n) twilight snowfall/
暮方 [くれがた] /(n-t) evening/sunset/nightfall/
暮夜 [ぼや] /(n) night/evening/
母 [かか] /(n) (uk) (arch) (in baby-talk) mother/mama/
母 [はは] /(n) (hum) mother/(P)/
母さま [かあさま] /(n) (hon) mother/
母さん [かあさん] /(n) mother/(P)/
母ちゃん [かあちゃん] /(n) (fam) mum/mom/
母なる自然 [ははなるしぜん] /(exp,n) Mother Nature/
母の愛 [ははのあい] /(n) maternal love/
母の日 [ははのひ] /(n) Mother's Day/
母の命 [ははのみこと] /(n) (arch) (hon) mother/
母衣 [ほろ] /(n) (1) canopy (esp. the cloth or canvas used for it)/awning/top (of a convertible)/hood/(2) helmet cape/cloth covering one's back to protect against arrows during battle/
母衣蚊屋 [ほろがや] /(n) tent-shaped mosquito net (often used to protect infants)/
母衣蚊帳 [ほろがや] /(n) tent-shaped mosquito net (often used to protect infants)/
母印 [ぼいん] /(n) thumbprint/
母屋 [おもや] /(n) (1) main building (of a manor)/(2) central room (of a house)/
母屋 [むや] /(ok) (n) (1) purlin (structural beam in a roof)/purline/(2) main building (of a manor)/(3) central room (in traditional palatial-style architecture)/
母屋 [もや] /(n) (1) purlin (structural beam in a roof)/purline/(2) main building (of a manor)/(3) central room (in traditional palatial-style architecture)/
母屋桁 [もやげた] /(n) purlin (structural beam in a roof)/purline/
母音 [ぼいん] /(n,adj-no) (ling) vowel/(P)/
母音交替 [ぼいんこうたい] /(n) (1) (obsc) ablaut/vowel gradation/(2) vowel shift/
母音三角形 [ぼいんさんかくけい] /(n) vowel triangle/
母音三角形 [ぼいんさんかっけい] /(n) vowel triangle/
母音性 [ぼいんせい] /(n) vocalic/
母音調和 [ぼいんちょうわ] /(n) (ling) vowel harmony/
母音動詞 [ぼおんどうし] /(n) vowel stem verb/
母家 [おもや] /(n) (1) main building (of a manor)/(2) central room (of a house)/
母核 [ぼかく] /(n) mother nucleus/
母艦 [ぼかん] /(n) mother ship/
母関数 [ぼかんすう] /(n) (comp) generating function/
母岩 [ぼがん] /(n) base rock/country rock/gangue/host rock/mother rock/parent rock/wall rock/
母君 [ははぎみ] /(n) (polite reference to one's own) mother/
母型 [ぼけい] /(n) matrix/
母形 [ぼけい] /(n) matrix/
母系 [ぼけい] /(n,adj-no) maternal line/mother's side of the family/
母系家族 [ぼけいかぞく] /(n) matrilineal family/
母系制 [ぼけいせい] /(n) matriarchy/
母権 [ぼけん] /(n) maternal rights/
母御 [ははご] /(n) (polite term for another's) mother/
母語 [ぼご] /(n) mother tongue/native language/
母語話者 [ぼごわしゃ] /(n) native speaker/
母后 [ぼこう] /(n) empress dowager/
母校 [ぼこう] /(n) alma mater/(P)/
母港 [ぼこう] /(n) home port/
母国 [ぼこく] /(n,adj-no) one's homeland/(P)/
母国語 [ぼこくご] /(n) mother tongue/native language/(P)/
母細胞 [ぼさいぼう] /(n) mother cell/
母材 [ぼざい] /(n) welding base metal/
母子 [ぼし] /(n) mother and child/(P)/
母子家庭 [ぼしかてい] /(n,adj-no) fatherless family/
母子共 [ぼしとも] /(n) both mother and child/
母子健康手帳 [ぼしけんこうてちょう] /(n) maternity record book/
母子手帳 [ぼしてちょう] /(n) maternal and child health handbook/
母子草 [ははこぐさ] /(n) (uk) Jersey cudweed (species of cottonweed, Gnaphalium affine)/
母子年金 [ぼしねんきん] /(n) allowance for fatherless families/
母子寮 [ぼしりょう] /(n) home for mothers and children/
母指 [ぼし] /(n) thumb/big toe/
母指対向性 [おやゆびたいこうせい] /(n) ability to oppose the thumb/opposable thumb/
母指対向性 [ぼしたいこうせい] /(n) ability to oppose the thumb/opposable thumb/
母集団 [ぼしゅうだん] /(n) population (statistics)/parent set/
母上 [ははうえ] /(n) (pol) mother (term used in samurai families prior to the Meiji period)/
母親 [ははおや] /(n,adj-no) mother/(P)/
母数 [ぼすう] /(n) (statistical) parameter/
母性 [ぼせい] /(n,adj-no) motherhood/maternity/(P)/
母性愛 [ぼせいあい] /(n) maternal love/
母性遺伝 [ぼせいいでん] /(n) maternal inheritance/
母性本能 [ぼせいほんのう] /(n) maternal instinct/
母線 [ぼせん] /(n) (1) generating line/(2) (comp) bus/
母船 [ぼせん] /(n) depot ship/mother ship/
母体 [ぼたい] /(n,adj-no) (1) mother's body, esp. when pregnant or after giving birth/(2) parent body/parent organization/heartland/(P)/
母胎 [ぼたい] /(n) womb/uterus/(P)/
母鳥 [ははどり] /(n) mother bird/
母堂 [ぼどう] /(n) your (his) mother/
母乳 [ぼにゅう] /(n) mother's milk/(P)/
母斑 [ぼはん] /(n,adj-no) mole/birthmark/
母物 [ははもの] /(n) story of maternal love/
母文字 [かもじ] /(n) (arch) mother/wife/
母平均 [ぼへいきん] /(n) population mean/
母方 [ははかた] /(n,adj-no) mother's side of family/(P)/
母様 [かあさま] /(n) (hon) mother/
母趾外反症 [ぼしがいはんしょう] /(n) bunion/hallux valgus/
簿価 [ぼか] /(n) (abbr) book value/
簿価会計 [ぼかかいけい] /(n) book-value accounting/
簿外 [ぼがい] /(n) unaccounted/off the books/
簿記 [ぼき] /(n,vs) journalization (accounts)/journalisation/bookkeeping/(P)/
菩薩 [ぼさつ] /(n) bodhisattva (one who vows to save all beings before becoming a Buddha)/(P)/
菩薩揚 [ぼさあげ] /(n) (obsc) ceremony performed by Chinese merchants disembarking in Nagasaki (Edo period)/
菩薩揚げ [ぼさあげ] /(n) (obsc) ceremony performed by Chinese merchants disembarking in Nagasaki (Edo period)/
菩提 [ぼだい] /(n) (Buddh) bodhi (enlightenment)/
菩提を弔う [ぼだいをとむらう] /(exp,v5u) to hold a memorial service for the dead, praying for their happiness in the next life by chanting sutras/
菩提寺 [ぼだいじ] /(n) one's family temple/
菩提樹 [ぼだいじゅ] /(n) (1) lime tree/linden (Tilia)/(2) bo tree/peepul (Ficus religiosa)/
菩提心 [ぼだいしん] /(n) aspiration for Buddhahood/
菩提達磨 [ぼだいだるま] /(n) (Buddh) Bodhidharma/
菩提道場 [ぼだいどうじょう] /(n) (Buddh) Bodhi-manda (place of Buddhist practice or meditation, esp. the place under the bodhi tree where Buddha attained enlightenment)/
倣う [ならう] /(v5u,vi) (uk) to imitate/to follow/to emulate/(P)/
俸 [ほう] /(n) salary/
俸を食む [ほうをはむ] /(exp,v5m) to receive a salary/
俸給 [ほうきゅう] /(n) salary/pay/(P)/
俸給生活者 [ほうきゅうせいかつしゃ] /(n) salaried man/
俸給袋 [ほうきゅうぶくろ] /(n) pay envelope/
俸給日 [ほうきゅうび] /(n) pay day/
俸禄 [ほうろく] /(n) retainer's stipend/official pay/salary/
俸祿 [ほうろく] /(n) retainer's stipend/official pay/salary/
俸祿米 [ほうろくまい] /(n) rice allowance/
包 [パオ] /(n) yurt (chi: bao)/
包まる [くるまる] /(v5r,vi) to be wrapped up (e.g. in a blanket)/to cover oneself/
包み [つつみ] /(n) bundle/package/parcel/bale/(P)/
包みなおす [つつみなおす] /(v5s) to re-wrap/
包みなく [つつみなく] /(adv) without concealment/without reserve/frankly/
包み隠し [つつみかくし] /(n,vs) concealment/
包み隠す [つつみかくす] /(v5s,vt) to conceal/to keep secret/to cover up/
包み金 [つつみがね] /(n) money tip wrapped in paper/
包み金 [つつみきん] /(n) money tip wrapped in paper/
包み構え [つつみがまえ] /(n) kanji "wrapping" radical (radical 20)/
包み込む [つつみこむ] /(v5m,vt) to wrap up/
包み紙 [つつみがみ] /(n) wrapping paper/(P)/
包み飾る [つつみかざる] /(v5r,vi) to cover up and make a show/
包み直す [つつみなおす] /(v5s) to re-wrap/
包み匿す [つつみかくす] /(v5s,vt) to conceal/to keep secret/to cover up/
包み物 [つつみもの] /(n) bundle/package/
包み釦 [つつみぼたん] /(n) covered button/
包む [くるむ] /(v5m,vt) (1) to wrap up/to tuck in/to pack/to do up/to cover with/to dress in/(P)/
包む [つつむ] /(v5m,vt) (1) to wrap up/to tuck in/to pack/to do up/to cover with/to dress in/(v5m) (2) to conceal/to hide/to be engulfed in/to be enveloped by/(P)/
包める [くるめる] /(v1,vt) to lump together/to include/to sum up/to quibble/
包囲 [ほうい] /(n,vs) siege/encirclement/envelopment/(P)/
包隠す [つつみかくす] /(v5s,vt) to conceal/to keep secret/to cover up/
包括 [ほうかつ] /(n,vs,adj-f) inclusion/complete coverage/comprehensiveness/(P)/
包括委任状 [ほうかついにんじょう] /(n) general power of attorney/
包括通商競争力法 [ほうかつつうしょうきょうそうりょくほう] /(n) Omnibus Trade and Competition Act/
包括的 [ほうかつてき] /(adj-na) comprehensive/
包括的核実験禁止条約 [ほうかつてきかくじっけんきんしじょうやく] /(n) Comprehensive Test Ban Treaty/CTBT/
包括的試験サービス [ほうかつてきしけんサービス] /(n) (comp) comprehensive testing service/
包括的提携 [ほうかつてきていけい] /(n) comprehensive tie-up/
包含 [ほうがん] /(n) (1) inclusion/comprehension/implication/(vs) (2) to include/to comprise/to contain/to implicate/(P)/
包含的 [ほうがんてき] /(adj-na) inclusive/
包金 [つつみがね] /(n) money tip wrapped in paper/
包金 [つつみきん] /(n) money tip wrapped in paper/
包茎 [ほうけい] /(n,adj-no) phimosis/
包構え [つつみがまえ] /(n) kanji "wrapping" radical (radical 20)/
包合語 [ほうごうご] /(n) incorporating language/polysynthetic language/
包紙 [つつみがみ] /(n) wrapping paper/
包摂 [ほうせつ] /(n,vs) subsumption/connotation/
包装 [ほうそう] /(n,vs) packing/wrapping/(P)/
包装機械 [ほうそうきかい] /(n) packaging machinery/packaging machine/
包装紙 [ほうそうし] /(n) wrapping paper/
包装米飯 [ほうそうべいはん] /(n) cooked rice pack/
包蔵 [ほうぞう] /(n,vs) containing/keeping/comprehending/entertaining (an idea)/
包帯 [ほうたい] /(n,vs,adj-no) bandage/dressing/(P)/
包袋 [ほうたい] /(n) file wrapper for a patent/correspondence about the status of a patent between the inventor and the patent office/
包虫 [ほうちゅう] /(n) hydatid/
包虫症 [ほうちゅうしょう] /(n) echinococcosis/hydatid disease/
包丁 [ほうちょう] /(n) kitchen knife/carving knife/(P)/
包皮 [ほうひ] /(n,adj-no) foreskin/prepuce/
包皮切断 [ほうひせつだん] /(n) circumcision/
包膜 [ほうまく] /(n) indusium/
包容 [ほうよう] /(n,vs) implication/toleration/magnanimity/comprehension/
包容力 [ほうようりょく] /(n) tolerance/broad-mindedness/(P)/
包葉 [ほうよう] /(n) bract (leaf)/
包絡線 [ほうらくせん] /(n) (comp) envelope/
包莖 [ほうけい] /(oK) (n) phimosis/
呆け [ぼけ] /(n,suf) (1) (uk) idiot/fool/touched in the head (from)/out of it (from)/space case/(2) funny man (of a comedy duo)/(in comedy) silly or stupid line/(3) Alzheimer's (impol)/(P)/
呆ける [ほうける] /(v1,vi) (1) to grow senile/to be childish with age/(2) to be mentally slow/to be befuddled/(3) to become engrossed (in something)/
呆ける [ぼける] /(v1,vi) (1) to grow senile/to be childish with age/(2) to be mentally slow/to be befuddled/(P)/
呆れて物が言えない [あきれてものがいえない] /(exp,adj-i) utterly scandalized/
呆れる [あきれる] /(v1,vi) to be amazed/to be shocked/(P)/
呆れ果てる [あきれはてる] /(v1,vi) to be flabbergasted/to be dumbfounded/
呆れ顔 [あきれがお] /(n) amazed or stunned expression/
呆れ入る [あきれいる] /(v5r,vi) to be dumbfounded/to be amazed/
呆れ返る [あきれかえる] /(v5r,vi) to be utterly amazed/to be stunned/
呆気 [あっけ] /(n) taken aback/dumbfounded/(P)/
呆気ない [あっけない] /(adj-i) not enough/too quick (short, long, etc.)/
呆気者 [うつけもの] /(n) (uk) fool/blockhead/idiot/dunce/
呆然 [ぼうぜん] /(adj-t,adv-to) dumbfounded/overcome with surprise/in blank amazement/in a daze/
呆然自失 [ぼうぜんじしつ] /(n,vs,adj-no) stupor/stupefaction/trance/(being) dumbfounded/
報 [ほう] /(n,n-suf) information/news/report/(P)/
報い [むくい] /(n) reward/recompense/return/punishment/retribution/
報いる [むくいる] /(v1,vt) to reward/to recompense/to repay/(P)/
報う [むくう] /(v5u,vt) to reward/to recompense/to repay/(P)/
報える [こたえる] /(v1,vi) (1) to respond/to live up to/to reward/(2) to take its toll/to strike home/to have an effect on/to be hard on someone (e.g. heat, cold, work, illness, etc.)/to be a strain/
報じたように [ほうじたように] /(adv) as reported/
報じる [ほうじる] /(v1,vt) to inform/to report/(P)/
報ずる [ほうずる] /(vz,vt) to inform/to report/
報せ [しらせ] /(n) notice/notification/
報せる [しらせる] /(v1,vt) to notify/to advise/to inform/
報恩 [ほうおん] /(n,vs) repaying a kindness/gratitude/
報告 [ほうこく] /(n,vs) report/information/(P)/
報告可能マーク誤り [ほうこくかのうマークあやまり] /(n) (comp) reportable markup error/
報告者 [ほうこくしゃ] /(n) reporter/
報告集団 [ほうこくしゅうだん] /(n) (comp) report group/
報告集団記述項 [ほうこくしゅうだんきじゅつこう] /(n) (comp) report group description entry/
報告書 [ほうこくしょ] /(n) (written) report/(P)/
報告書ファイル [ほうこくしょファイル] /(n) (comp) report file/
報告書レコード [ほうこくしょレコード] /(n) (comp) report writer logical record/
報告書記述項 [ほうこくしょきじゅつこう] /(n) (comp) report description entry/
報告書脚書き [ほうこくしょあしがき] /(n) (comp) report footing/
報告書句 [ほうこくしょく] /(n) (comp) report clause/
報告書行 [ほうこくしょぎょう] /(n) (comp) report line/line/
報告書作成 [ほうこくしょさくせい] /(n,vs) report generation/report writing/report writer/
報告書作成管理システム [ほうこくしょさくせいかんりシステム] /(n) (comp) report writer control system/RWCS/
報告書節 [ほうこくしょせつ] /(n) (comp) report section/
報告書頭書き [ほうこくしょあたまがき] /(n) (comp) report heading/
報告書名 [ほうこくしょめい] /(n) (comp) report-name/
報告対象メッセージ [ほうこくたいしょうメッセージ] /(n) (comp) subject message/
報告対象打診 [ほうこくたいしょうだしん] /(n) (comp) subject probe/
報告発生源認証 [ほうこくはっせいげんにんしょう] /(n) (comp) report origin authentication/
報告例 [ほうこくれい] /(n) reported case (instance)/
報国 [ほうこく] /(n) patriotism/
報時 [ほうじ] /(n) announcing the time/
報時球 [ほうじきゅう] /(n) (obsc) time ball/
報時信号 [ほうじしんごう] /(n) time signal/
報謝 [ほうしゃ] /(n,vs) repaying a favor/repaying a favour/
報酬 [ほうしゅう] /(n) remuneration/recompense/reward/toll/(P)/
報償 [ほうしょう] /(n,vs) compensation/indemnity/reparation/
報償金 [ほうしょうきん] /(n) compensation/
報償費 [ほうしょうひ] /(n) secret funds/
報奨 [ほうしょう] /(n,vs) bonus/bounty/reward/compensation/
報奨金 [ほうしょうきん] /(n) cash bonus/reward/bounty/(P)/
報身 [ほうしん] /(n) (Buddh) sambhogakaya (reward body, form taken by a buddha after completing its role as a bodhisattva)/
報身 [ほうじん] /(n) (Buddh) sambhogakaya (reward body, form taken by a buddha after completing its role as a bodhisattva)/
報知 [ほうち] /(n,vs) information/news/intelligence/(P)/
報知機 [ほうちき] /(adj-na) alarm/
報知抄録 [ほうちしょうろく] /(n) (comp) informative abstract/
報道 [ほうどう] /(n) (1) information/report/journalism/news/(vs) (2) to report/(P)/
報道の自由 [ほうどうのじゆう] /(exp) freedom of the press/
報道官 [ほうどうかん] /(n) press office/spokesperson/
報道機関 [ほうどうきかん] /(n) information media/press/news organs/(P)/
報道局 [ほうどうきょく] /(n) news bureau/press bureau/
報道写真 [ほうどうしゃしん] /(n) news photograph/
報道人 [ほうどうじん] /(n) reporter/mediaperson/
報道陣 [ほうどうじん] /(n) press corps/(P)/
報道番組 [ほうどうばんぐみ] /(n) news program/news programme/
報道部 [ほうどうぶ] /(n) news department/
報徳 [ほうとく] /(n) moral requital/
報復 [ほうふく] /(n,vs,adj-no) retribution/revenge/retorsion/(P)/
報復行為 [ほうふくこうい] /(n) act of retaliation/
報復措置 [ほうふくそち] /(n) reprisals/retaliatory measures/
報連相 [ほうれんそう] /(n) reporting, contacting, and consultation/
奉げ物 [ささげもの] /(iK) (n) offering/sacrifice/
奉じる [ほうじる] /(v1,vt) (1) to present/to dedicate/(2) to obey/to follow/to believe in/to serve/(3) to proudly bear/
奉ずる [ほうずる] /(vz,vt) (1) to present/to dedicate/(2) to obey/to follow/to believe in/to serve/(3) to proudly bear/
奉る [たてまつる] /(v5r,vt) to offer/to present/to revere/to do respectfully/
奉る [まつる] /(v5r,vt) to offer/to present/to revere/to do respectfully/
奉安 [ほうあん] /(n,vs) enshrine/
奉加 [ほうが] /(n,vs) donation/
奉加帳 [ほうがちょう] /(n) (shrine or temple) donation register/subscription book/subscription list/
奉賀 [ほうが] /(n,vs) respectful congratulations/
奉賀帳 [ほうがちょう] /(n) (shrine or temple) donation register/subscription book/subscription list/
奉還 [ほうかん] /(n,vs) restoring to the emperor/
奉教人 [ほうきょうにん] /(n) early Japanese Christian/
奉迎 [ほうげい] /(n,vs) welcome/
奉迎門 [ほうげいもん] /(n) welcome arch/
奉献 [ほうけん] /(n,vs) dedication/presentation/consecration/offer (to a shrine)/
奉献式 [ほうけんしき] /(n) dedicatory ceremony/
奉献物 [ほうけんぶつ] /(n) votive offering/
奉献頌 [ほうけんしょう] /(n) offertory/offertory music/
奉公 [ほうこう] /(n,vs) service/apprenticeship/public duty/(P)/
奉公口 [ほうこうぐち] /(n) place of employment/
奉公人 [ほうこうにん] /(n) servant/employee/
奉公先 [ほうこうさき] /(n) place of employment/
奉行 [ぶぎょう] /(n,vs) magistrate/shogunate administrator/(P)/
奉行所 [ぶぎょうしょ] /(n) magistrate's office/
奉告 [ほうこく] /(n,vs) report given to deity or nobility/
奉賛 [ほうさん] /(n,vs) support given to a temple or shrine/
奉仕 [ほうし] /(n,vs) attendance/service/ministry/church work/(P)/
奉仕活動 [ほうしかつどう] /(n) voluntary activity/voluntary service/labor of love/
奉仕者 [ほうししゃ] /(n) (1) servant (of the people)/(2) minister (of religion)/
奉仕女 [ほうしめ] /(n) deaconess/
奉仕品 [ほうしひん] /(n) bargain goods/sale items/
奉伺 [ほうし] /(n,vs) inquiring about (one's health)/
奉持 [ほうじ] /(n,vs) bearing/presenting/holding up (emperor's picture)/
奉祝 [ほうしゅく] /(n,vs) celebration/
奉書 [ほうしょ] /(n) high-quality Japanese paper/
奉書紙 [ほうしょがみ] /(n) var. of traditional white, uncreased Japanese paper, made from high-quality mulberry wood/
奉唱 [ほうしょう] /(n,vs) singing/
奉職 [ほうしょく] /(n,vs) being in the service of/serving at/holding office/
奉遷 [ほうせん] /(n,vs) moving an object of worship/
奉送 [ほうそう] /(n,vs) seeing an emperor off/
奉体 [ほうたい] /(n,vs) carrying out the will of one's lord/
奉戴 [ほうたい] /(n,vs) having a prince for a president/being the recipient of (an imperial favor, favour)/reverential acceptance/
奉呈 [ほうてい] /(n,vs) dedication/presentation/gift/
奉灯 [ほうとう] /(n,vs) votive lantern/
奉答 [ほうとう] /(n,vs) reply to the throne/
奉読 [ほうどく] /(n,vs) respectful reading/
奉納 [ほうのう] /(n,vs,adj-no) dedication/offering/presentation/oblation/(P)/
奉納額 [ほうのうがく] /(n) votive tablet/
奉納金 [ほうのうきん] /(exp) votive offering of money/
奉納相撲 [ほうのうずもう] /(n) ritual sumo matches held at a shrine/
奉納物 [ほうのうぶつ] /(n) votive offering/
奉拝 [ほうはい] /(n,vs) worship/
奉幣 [ほうへい] /(n,vs) offering a wand with hemp and paper streamers to a Shinto god/
奉幣 [ほうべい] /(n,vs) offering a wand with hemp and paper streamers to a Shinto god/
奉幣使 [ほうへいし] /(n) imperial messenger to a shrine/envoy returning courtesies/
奉奠 [ほうてん] /(n,vs) humbly presenting something/
奉祀 [ほうし] /(n,vs) enshrine/
宝 [たから] /(n) treasure/(P)/
宝くじ [たからくじ] /(n) lottery/(P)/
宝さかって入る時はさかって出る [たからさかっているときはさかってでる] /(exp,v1) ill-gotten gains fade as fast as they were obtained/
宝の山に入りながら手を空しくして帰る [たからのやまにいりながらてをむなしくしてかえる] /(exp,v5r) though sitting on a pile of riches, one comes back empty handed/to have a good opportunity only to let it slip from your grasp/
宝の持ち腐れ [たからのもちぐされ] /(n) pearls thrown before swine/
宝は湧き物 [たからはわきもの] /(exp) from riches spring riches/those who seek riches find riches/
宝永 [ほうえい] /(n) Houei era (1704.3.13-1711.4.25)/
宝貝 [たからがい] /(n) (uk) cowrie/cowry/
宝冠 [ほうかん] /(n) diadem/jeweled crown/
宝冠杏葉章 [ほうかんきょうようしょう] /(n) Order of the Precious Crown, Apricot/
宝冠牡丹章 [ほうかんぼたんしょう] /(n) Order of the Precious Crown, Peony/
宝冠章 [ほうかんしょう] /(n) Orders of the Precious Crown/Orders of the Sacred Crown/
宝冠大綬章 [ほうかんだいじゅしょう] /(n) Grand Cordon of the Order of the Precious Crown/
宝冠藤花章 [ほうかんとうかしょう] /(n) Order of the Precious Crown, Wistaria/
宝冠波光章 [ほうかんはこうしょう] /(n) Order of the Precious Crown, Ripple/
宝冠白蝶章 [ほうかんしろちょうしょう] /(n) Order of the Precious Crown, Butterfly/
宝鑑 [ほうかん] /(n) superb or valuable book/
宝器 [ほうき] /(n) treasured article or vessel/outstanding individual/
宝亀 [ほうき] /(n) Houki era (770.10.1-781.1.1)/
宝玉 [ほうぎょく] /(n) jewel/
宝剣 [ほうけん] /(n) treasured sword/
宝庫 [ほうこ] /(n) treasury/treasure house/(P)/
宝号 [ほうごう] /(n) name (of a buddha or bodhisattva)/
宝算 [ほうさん] /(n) the Emperor's age/
宝字 [ほうじ] /(n) kanji for "takara" (impressed on the obverse of a coin)/
宝治 [ほうじ] /(n) Houji era (1247.2.28-1249.3.18)/
宝珠 [ほうしゅ] /(n) gem/jewel/
宝珠 [ほうじゅ] /(n) (1) wishing stone/(2) hoju (uppermost spherical part of a pagoda finial)/
宝飾 [ほうしょく] /(n) jewels and ornaments/jewelry/jewellery/(P)/
宝飾店 [ほうしょくてん] /(n) jewellers/
宝飾品 [ほうしょくひん] /(n) jewelry/jewellery/
宝生 [ほうしょう] /(n) (Buddh) Ratnasambhava/The Jewel-born (a dhyani-Buddha)/
宝生如来 [ほうしょうにょらい] /(n) (Buddh) Ratnasambhava/
宝石 [ほうせき] /(n,adj-no) gem/jewel/(P)/
宝石羽太 [ほうせきはた] /(n) (uk) brown-spotted grouper (species of fish, Epinephelus chlorostigma)/
宝石商 [ほうせきしょう] /(n) jeweler/gem dealer/jeweler's (jewelry) shop/
宝石店 [ほうせきてん] /(n) jewelry store/jewellery store/
宝石箱 [ほうせきばこ] /(n) jewel box (case, casket)/
宝船 [たからぶね] /(n) (1) treasure ship/(2) picture of a treasure ship bearing the Seven Gods of Good Fortune/
宝捜し [たからさがし] /(n) treasure hunting/
宝蔵 [ほうぞう] /(n) treasure house/treasury/
宝蔵院流 [ほうぞういんりゅう] /(n) Hozoin-ryu (school of sojutsu)/
宝丹 [ほうたん] /(n) (arch) type of smelling salts sold in the late Edo period/
宝探し [たからさがし] /(n) (1) treasure hunting/(2) lucky dip/game involving finding hidden prizes from a sand box, barrel of leaves, etc./
宝典 [ほうてん] /(n) precious book/handbook/thesaurus/treasury of words/
宝殿 [ほうでん] /(n) (shrine) repository or treasure house/(shrine) sanctuary/
宝刀 [ほうとう] /(n) treasured sword/
宝塔 [ほうとう] /(n) two-storied Buddhist tower/
宝島 [たからじま] /(n) treasure island/
宝徳 [ほうとく] /(n) Houtoku era (1449.7.28-1452.7.25)/
宝箱 [たからばこ] /(n) treasure chest/strongbox/
宝瓶宮 [ほうへいきゅう] /(n) Aquarius (11th zodiacal sign)/the Water Bearer/the Water Carrier/
宝物 [たからもの] /(n) treasure/treasured item/(P)/
宝物 [ほうもつ] /(n) treasure/treasured item/(P)/
宝物殿 [ほうもつでん] /(n) (shrine) repository or treasure house/(shrine) sanctuary/
宝暦 [ほうりゃく] /(n) Houreki era (1751.10.27-1764.6.2)/
宝暦 [ほうれき] /(n) Houreki era (1751.10.27-1764.6.2)/
宝籤 [たからくじ] /(n) lottery/
宝鬮 [たからくじ] /(n) lottery/
峰 [みね] /(n) peak/ridge/(P)/
峰桜 [みねざくら] /(n) (uk) Japanese alpine cherry (Prunus nipponica)/
峰続き [みねつづき] /(n) succession of peaks/
峰打ち [みねうち] /(n) striking with the back of the sword/
峰伝い [みねづたい] /(n) along the ridges/
峰頭 [ほうとう] /(n) (obsc) summit of a peak/
峰峰 [みねみね] /(n) peaks/
峯 [みね] /(n) peak/ridge/
崩し字 [くずしじ] /(n) character written in a cursive style/
崩し書き [くずしがき] /(n) cursive style of writing or calligraphy/(P)/
崩じる [ほうじる] /(v1,vi) (obsc) to die (of the emperor, etc.)/
崩す [くずす] /(v5s,vt) to destroy/to pull down/to make change (money)/(P)/
崩ずる [ほうずる] /(vz,vi) to die (of the emperor, etc.)/
崩れ [くずれ] /(n) crumbling/collapse/ruin/(P)/
崩れかかる [くずれかかる] /(v5r) (1) to begin to crumble/(2) to crumble and fall (or collapse) onto another object/
崩れる [くずれる] /(v1,vi) to collapse/to crumble/(P)/
崩れ掛かる [くずれかかる] /(v5r) (1) to begin to crumble/(2) to crumble and fall (or collapse) onto another object/
崩れ掛る [くずれかかる] /(v5r) (1) to begin to crumble/(2) to crumble and fall (or collapse) onto another object/
崩れ去る [くずれさる] /(v5r) to crumble away/to collapse/
崩れ落ちる [くずれおちる] /(v1,vi) to crumble down/to tumble down/to fall in/
崩壊 [ほうかい] /(n,vs) (1) collapse/crumbling/breaking down/caving in/(2) decay (physics)/(P)/
崩壊系列 [ほうかいけいれつ] /(n) decay chain/
崩壊寸前 [ほうかいすんぜん] /(n) on the brink of collapse/in a state of near-collapse/
崩御 [ほうぎょ] /(n,vs) death of the Emperor/demise/
崩折れる [くずおれる] /(v1,vi) to collapse (physically or emotionally)/to fall down/
崩潰 [ほうかい] /(n,vs) (1) collapse/crumbling/breaking down/caving in/(2) decay (physics)/
崩落 [ほうらく] /(n,vs) collapse/break/cave-in/crash/(market) decline/(P)/
庖厨 [ほうちゅう] /(n) kitchen/
庖丁 [ほうちょう] /(n) kitchen knife/carving knife/
抱え [かかえ] /(n) (1) armful/(2) employee/(P)/
抱える [かかえる] /(v1,vt) (1) to hold or carry under or in the arms/(2) to have (esp. problems, debts, etc.)/(3) to employ/to engage/to hire/(P)/
抱え込む [かかえこむ] /(v5m,vt) to hold (carry) a thing in one's arm/to embrace (a baby)/to take upon oneself/
抱え主 [かかえぬし] /(n) employer (esp. of a geisha, prostitute, etc.)/master/mistress/
抱え手 [かかえて] /(n) (arch) employer (esp. of a geisha, prostitute, etc.)/master/mistress/
抱かせる [だかせる] /(v1) to raise/to inspire/to arouse/
抱きかかえる [だきかかえる] /(v1,vt) to hold/to carry/to embrace (in one's arms)/
抱きしめる [だきしめる] /(v1,vt) to hug someone close/to hold someone tight/to embrace closely/
抱きつく [だきつく] /(v5k) to cling to/to embrace/
抱きよせる [だきよせる] /(v1) to embrace/
抱き下ろす [だきおろす] /(v5s) to lift down/to carry down in one's arms/
抱き寄せる [だきよせる] /(v1) to embrace/
抱き起こす [だきおこす] /(v5s,vt) to lift (a person) in one's arms/to help (a person) sit up/
抱き起す [だきおこす] /(v5s,vt) to lift (a person) in one's arms/to help (a person) sit up/
抱き合う [だきあう] /(v5u,vi) to embrace each other/(P)/
抱き合せで販売 [だきあわせではんばい] /(n,vs) (comp) bundle (goods for sale)/
抱き合わせ [だきあわせ] /(n) package deal/
抱き合わせる [だきあわせる] /(v1) to cause to embrace/
抱き合わせ増資 [だきあわせぞうし] /(n) bonus stock issue/rights stock issue/selling new stock for less than face value/
抱き込む [だきこむ] /(v5m,vt) (1) to hold in one's arms/(2) to bring over a person to one's side/to involve/
抱き止める [だきとめる] /(v1) to hold a person back/to restrain/to catch/
抱き上げる [だきあげる] /(v1,vt) to hold up in one's arms/
抱き寝 [だきね] /(n) sleeping while embracing another/
抱き締める [だきしめる] /(v1,vt) to hug someone close/to hold someone tight/to embrace closely/
抱き付く [だきつく] /(v5k) to cling to/to embrace/
抱き癖 [だきぐせ] /(n) (baby which is) unhappy unless held/
抱き抱える [だきかかえる] /(v1,vt) to hold/to carry/to embrace (in one's arms)/
抱き留める [だきとめる] /(v1,vt) to catch in one's arms/
抱き竦める [だきすくめる] /(v1,vt) to hug tight/
抱く [いだく] /(v5k,vt) (1) to embrace/to hold in the arms (e.g. a baby)/to hug/(2) to harbour (e.g. grudge) (harbor)/to bear (e.g. a grudge)/to entertain (e.g. suspicion)/(P)/
抱く [うだく] /(ok) (v5k,vt) (1) to embrace/to hold in the arms (e.g. a baby)/to hug/
抱く [だく] /(v5k,vt) (1) to embrace/to hold in the arms (e.g. a baby)/to hug/(v5k) (2) to sleep with/(3) to sit on eggs/(P)/
抱っこ [だっこ] /(n,vs) (chn) (child's) hug/carrying a baby in one's arms/carrying a pet in one's arms/(P)/
抱下ろす [だきおろす] /(v5s) to lift down/to carry down in one's arms/
抱懐 [ほうかい] /(n,vs) harboring/harbouring/cherishing/entertaining/
抱合語 [ほうごうご] /(n) incorporating language/polysynthetic language/
抱込む [だきこむ] /(v5m,vt) (1) to hold in one's arms/(2) to bring over a person to one's side/to involve/
抱手 [かかえて] /(n) (arch) employer (esp. of a geisha, prostitute, etc.)/master/mistress/
抱水クロラール [ほうすいクロラール] /(n) chloral hydrate/
抱締める [だきしめる] /(v1,vt) to hug someone close/to hold someone tight/to embrace closely/
抱瓶 [だちびん] /(n) (rkb:) portable ceramic sake jug/
抱付く [だきつく] /(v5k) to cling to/to embrace/
抱負 [ほうふ] /(n) aspiration/ambition/pretension/(P)/
抱腹絶倒 [ほうふくぜっとう] /(n,vs) very funny/laugh oneself into convulsions/split one's sides laughing/
抱擁 [ほうよう] /(n,vs) embrace/hug/holding in one's arms/(P)/
抱卵 [ほうらん] /(n,vs) incubation/
捧ぐ [ささぐ] /(v5g,vt) to lift up/to give/to offer/to consecrate/to devote/to sacrifice/to dedicate/
捧げる [ささげる] /(v1,vt) to lift up/to give/to offer/to consecrate/to devote/to sacrifice/to dedicate/(P)/
捧げ持つ [ささげもつ] /(v5t) to hold something reverently with both hands/
捧げ銃 [ささげつつ] /(n) presenting arms/
捧げ物 [ささげもの] /(n) offering/sacrifice/
捧持 [ほうじ] /(n,vs) bearing/presenting/holding up (emperor's picture)/
捧呈 [ほうてい] /(n,vs) dedication/presentation/gift/
捧腹 [ほうふく] /(adj-na,n) convulsed with laughter/
捧腹絶倒 [ほうふくぜっとう] /(n,vs) very funny/laugh oneself into convulsions/split one's sides laughing/
捧物 [ほうもち] /(n) (arch) offering/sacrifice/
捧物 [ほうもつ] /(n) (arch) offering/sacrifice/
放く [こく] /(v5k,vt) (1) (uk) to let loose (e.g. a fart)/(2) (uk) (vulg) to utter (e.g. a lie)/
放し [はなし] /(n-suf) (uk) keep ...-ing (negative nuance, with the state being improper, unpleasant, etc.)/have been ...-ing/leaving (something) on/leaving (something) still in use/
放し [ぱなし] /(n-suf) (uk) keep ...-ing (negative nuance, with the state being improper, unpleasant, etc.)/have been ...-ing/leaving (something) on/leaving (something) still in use/
放し飼い [はなしがい] /(n) pasturing/grazing/letting (a dog) run free/
放す [はなす] /(v5s,vt) to separate/to set free/to turn loose/(P)/
放ち出 [はなちいで] /(n) (obsc) extension of the main room of a home (in traditional palatial-style architecture)/
放ち出 [はなちで] /(n) (obsc) extension of the main room of a home (in traditional palatial-style architecture)/
放ち出で [はなちいで] /(n) (obsc) extension of the main room of a home (in traditional palatial-style architecture)/
放ったらかし [ほったらかし] /(n) (uk) neglecting/leaving alone/
放ったらかしにする [ほったらかしにする] /(exp,vs-i) (uk) to neglect/to let alone/
放ったらかす [ほったらかす] /(v5s) (uk) to let aside/to neglect/
放っておく [ほうっておく] /(exp,v5k) to leave alone/to leave as is/to ignore/to neglect/
放っておく [ほっておく] /(ik) (exp,v5k) to leave alone/to leave as is/to ignore/to neglect/
放って置く [ほうっておく] /(exp,v5k) to leave alone/to leave as is/to ignore/to neglect/
放って置く [ほっておく] /(ik) (exp,v5k) to leave alone/to leave as is/to ignore/to neglect/
放っとく [ほっとく] /(v5k) to leave someone alone/
放つ [はなつ] /(v5t,vt) (1) to fire (e.g. an arrow)/to hit (e.g. baseball)/to break wind/(2) to free/to release/(3) to give off (e.g. a scent)/to emit (e.g. light)/(P)/
放りっぱなし [ほうりっぱなし] /(adv) untouched/unrestrained/unscathed/
放り込む [ほうりこむ] /(v5m,vt) to throw into/to toss into/
放り出す [ほうりだす] /(v5s,vt) to throw out/to fire/to expel/to give up/to abandon/to neglect/
放り上げる [ほうりあげる] /(v1) to hurl up/
放り投げる [ほうりなげる] /(v1,vt) to throw/to fling/to heave/to toss/
放る [ひる] /(v5r,vt) to expel (from the body)/
放る [ほうる] /(v5r,vt) (1) to let go/to abandon/to leave undone/(2) to throw/to toss/to fling/(P)/
放る [ほる] /(v5r,vt) (1) to let go/to abandon/to leave undone/(2) to throw/to toss/to fling/
放れる [はなれる] /(v1,vi) to leave/to get free/to cut oneself off/(P)/
放逸 [ほういつ] /(adj-na,n) self-indulgence/looseness/dissoluteness/
放映 [ほうえい] /(n,vs) televising/(P)/
放映権 [ほうえいけん] /(n) televising right/
放下 [ほうか] /(n,vs) (1) (Buddh) (arch) discarding/abandoning/(2) variety of street performance from the Middle Ages/
放下 [ほうげ] /(n,vs) (1) (Buddh) (arch) discarding/abandoning/(2) casting off one's attachments (in Zen)/
放歌 [ほうか] /(n,vs) loud singing/
放歌高吟 [ほうかこうぎん] /(n,vs) loud singing/
放火 [ほうか] /(n,vs,adj-no) arson/set fire to/(P)/
放火狂 [ほうかきょう] /(n) pyromania/a pyromaniac/
放火罪 [ほうかざい] /(n) (the crime of) arson/
放火殺人 [ほうかさつじん] /(n) murder-arson/
放火犯人 [ほうかはんにん] /(n) arsonist/
放火魔 [ほうかま] /(n) pyromaniac/
放課 [ほうか] /(n) dismissal of a class/
放課後 [ほうかご] /(n-adv,n-t) after school/(P)/
放棄 [ほうき] /(n,vs) abandonment/renunciation/resignation/abdication (responsibility, right)/(P)/
放棄シーケンス [ほうきシーケンス] /(n) (comp) abort sequence/
放言 [ほうげん] /(n,vs) careless remark/
放光 [ほうこう] /(n) emission of light/
放校 [ほうこう] /(n,vs) expulsion from school/
放散 [ほうさん] /(n,vs) radiation/diffusion/
放散虫 [ほうさんちゅう] /(n) radiolarian/
放散虫軟泥 [ほうさんちゅうなんでい] /(n) radiolarian ooze/
放射 [ほうしゃ] /(n,vs) radiation/emission/(P)/
放射エネルギー [ほうしゃエネルギー] /(n) radiant energy/
放射圧 [ほうしゃあつ] /(n) radiation pressure/
放射化学 [ほうしゃかがく] /(n) radiochemistry/
放射角 [ほうしゃかく] /(n) radiation angle/
放射計 [ほうしゃけい] /(n) radiometer/
放射光 [ほうしゃこう] /(n) synchrotron radiation/
放射状 [ほうしゃじょう] /(adj-no) radial/radiating/
放射性 [ほうしゃせい] /(n) radioactive/(P)/
放射性核種 [ほうしゃせいかくしゅ] /(n) radionuclide/
放射性元素 [ほうしゃせいげんそ] /(n) radioelement/radioactive element/
放射性鉱物 [ほうしゃせいこうぶつ] /(n) radioactive mineral/
放射性降下物 [ほうしゃせいこうかぶつ] /(n) radioactive fallout/
放射性指示薬 [ほうしゃせいしじやく] /(n) radioactive indicator/
放射性炭素 [ほうしゃせいたんそ] /(n) radiocarbon (i.e. carbon-14)/
放射性炭素年代測定 [ほうしゃせいたんそねんだいそくてい] /(n) radiocarbon dating/carbon-14 dating/
放射性炭素年代測定法 [ほうしゃせいたんそねんだいそくていほう] /(n) radiocarbon dating/
放射性同位核 [ほうしゃせいどういかく] /(n) (obsc) radioisotope/
放射性同位元素 [ほうしゃせいどういげんそ] /(n) radioisotope/
放射性同位体 [ほうしゃせいどういたい] /(n) radioisotope/
放射性廃棄物 [ほうしゃせいはいきぶつ] /(n) radioactive waste/
放射性肺炎 [ほうしゃせいはいえん] /(n) radiation pneumonitis/
放射性物質 [ほうしゃせいぶっしつ] /(n) radioactive material/
放射性崩壊 [ほうしゃせいほうかい] /(n) radioactive decay/
放射性崩壊系列 [ほうしゃせいほうかいけいれつ] /(n) radioactive decay series/
放射線 [ほうしゃせん] /(n) radiation/(P)/
放射線遺伝学 [ほうしゃせんいでんがく] /(n) radiation genetics (study of the effects of radiation on genes)/
放射線医学 [ほうしゃせんいがく] /(n) radiology/
放射線化学 [ほうしゃせんかがく] /(n) radiation chemistry/
放射線科 [ほうしゃせんか] /(n) radiology department/
放射線科医 [ほうしゃせんかい] /(n) radiologist/
放射線学 [ほうしゃせんがく] /(n) radiology/
放射線感受性 [ほうしゃせんかんじゅせい] /(n) radiosensitivity/radiosensitive/
放射線技工士 [ほうしゃせんぎくし] /(n) mould room technician (radiology)/
放射線技工士 [ほうしゃせんぎこうし] /(n) mould room technician (radiology)/
放射線技師 [ほうしゃせんぎし] /(n) radiology technician/radiographer/
放射線検出器 [ほうしゃせんけんしゅつき] /(n) radiation detector/
放射線治療 [ほうしゃせんちりょう] /(n) radiation therapy/
放射線取扱主任者 [ほうしゃせんんとりあつかいしゅにんしゃ] /(n) radiation protection supervisor/
放射線重合 [ほうしゃせんじゅうごう] /(n) radiation-induced polymerization/radiation polymerization/
放射線障害 [ほうしゃせんしょうがい] /(n) radiation damage/radiation injury/radiation hazard/
放射線生物学 [ほうしゃせんせいぶつがく] /(n) radiobiology/
放射線帯 [ほうしゃせんたい] /(n) radiation belt/
放射線発生装置 [ほうしゃせんはっせいそうち] /(n) radiation generator/
放射線被曝 [ほうしゃせんひばく] /(n) radiation exposure/
放射線病 [ほうしゃせんびょう] /(n) radiation sickness/radiation disease/
放射線物理学 [ほうしゃせんぶつりがく] /(n) radiation physics/
放射線分解 [ほうしゃせんぶんかい] /(n) radiolysis/
放射線療法 [ほうしゃせんりょうほう] /(n) radiation therapy/
放射線量 [ほうしゃせんりょう] /(n) radiation dose/
放射線量計 [ほうしゃせんりょうけい] /(n) radiation dosimeter/
放射組織 [ほうしゃそしき] /(n) ray tissue/
放射相称 [ほうしゃそうしょう] /(n,adj-no) radial symmetry/
放射熱 [ほうしゃねつ] /(n) radiant heat/
放射年代 [ほうしゃねんだい] /(n) radiometric age/
放射能 [ほうしゃのう] /(n) radioactivity/(P)/
放射能マーク [ほうしゃのうマーク] /(n) radiation symbol/trefoil/radiation warning symbol/
放射能雨 [ほうしゃのうう] /(n) radioactive rain/
放射能雲 [ほうしゃのうぐも] /(n) radioactive cloud/
放射能汚染 [ほうしゃのうおせん] /(n) radioactive contamination/
放射能攻撃 [ほうしゃのうこうげき] /(n) radiological attack/
放射能標識 [ほうしゃのうひょうしき] /(n) radiation warning sign/trefoil/radiation warning symbol/
放射能量 [ほうしゃのうりょう] /(n) amount of radioactivity/
放射能漏れ [ほうしゃのうもれ] /(n) radiation leakage/
放射霧 [ほうしゃぎり] /(n) radiation fog/
放射冷却 [ほうしゃれいきゃく] /(n) radiative cooling/radiational cooling/
放縦 [ほうしょう] /(adj-na,n) self-indulgence/looseness/dissolution/licence/license/
放縦 [ほうじゅう] /(adj-na,n) self-indulgence/looseness/dissolution/licence/license/
放出 [ほうしゅつ] /(n,vs) release/emission/ejection/(P)/
放出音 [ほうしゅつおん] /(n) ejective/
放出物資 [ほうしゅつぶっし] /(n) released goods/
放心 [ほうしん] /(n,vs) absentmindedness/peace of mind/
放心状態 [ほうしんじょうたい] /(n,adj-no) being in abstraction/being dazed/being absentminded/stargazing/
放水 [ほうすい] /(n,vs) hose down/drainage/(P)/
放水管 [ほうすいかん] /(n) drainpipe/
放水車 [ほうすいしゃ] /(n) water truck/
放水路 [ほうすいろ] /(n) drainage ditch/drain/
放生会 [ほうじょうえ] /(n) ceremony of releasing captive animals/
放線 [ほうせん] /(n,adj-f) radiatio/radial structure/radiation (in anatomy, etc.)/
放線菌 [ほうせんきん] /(n) actinomycete/
放線菌症 [ほうせんきんしょう] /(n) actinomycosis/
放送 [ほうそう] /(n,vs,adj-no) broadcast/broadcasting/(P)/
放送テレビ [ほうそうテレビ] /(n) (comp) broadcast (as opposed to cable) television/
放送衛星 [ほうそうえいせい] /(n) broadcasting satellite/
放送業界 [ほうそうぎょうかい] /(n) (comp) broadcasting industry/
放送局 [ほうそうきょく] /(n) broadcasting office/
放送禁止用語 [ほうそうきんしようご] /(n) banned word/word which is not allowed to be used on the air (on the TV or radio)/
放送形式 [ほうそうけいしき] /(n) (comp) broadcast format (TV)/
放送劇 [ほうそうげき] /(n) radio drama/
放送権 [ほうそうけん] /(n) broadcasting rights/
放送時間 [ほうそうじかん] /(n) time (for a program, programme)/broadcasting hours/air time/
放送大学 [ほうそうだいがく] /(n) continuing education courses offered via radio or television/
放送番組 [ほうそうばんぐみ] /(n) broadcast program/broadcast programme/
放送法 [ほうそうほう] /(n) (Japanese) Broadcast Act/
放送免許 [ほうそうめんきょ] /(n) broadcast license/broadcast licence/
放送網 [ほうそうもう] /(n) broadcasting network/
放送問題用語 [ほうそうもんだいようご] /(n) banned word/word which is not allowed to be used on TV or radio/
放送用人工衛星 [ほうそうようじんこうえいせい] /(n) (comp) CS/Communication Satellite/
放題 [ほうだい] /(n-suf) as much as you would like to/as much as one likes/(P)/
放鷹 [ほうよう] /(n,vs) falconry/hawking/
放胆 [ほうたん] /(adj-na,n) boldness/fearlessness/
放談 [ほうだん] /(n,vs) free talk/irresponsible talk/
放置 [ほうち] /(n,vs) leave as is/leave to chance/leave alone/neglect/(P)/
放逐 [ほうちく] /(n,vs,adj-no) expulsion/ejection/dismissal/ostracism/(P)/
放鳥 [ほうちょう] /(n,vs) setting free a bird/bird to be set free/
放電 [ほうでん] /(n,vs) electrical discharge/
放電管 [ほうでんかん] /(n) discharge tube/
放電灯 [ほうでんとう] /(n) discharge lamp/
放蕩 [ほうとう] /(n,vs,adj-na) dissipation/prodigality/debauchery/
放蕩三昧 [ほうとうざんまい] /(n) being absorbed in self-indulgent pleasures/giving oneself up to debauchery and dissipation/
放蕩生活 [ほうとうせいかつ] /(n) fast living/dissipated life/riotous life/
放蕩息子 [ほうとうむすこ] /(n) prodigal son/profligate son/
放蕩無頼 [ほうとうぶらい] /(n,adj-no) being dissolute and unruly/ruining oneself by leading a fast life/
放尿 [ほうにょう] /(n,vs) urination/
放任 [ほうにん] /(n,vs,adj-no) noninterference/leaving something to take its own course/giving someone a free hand with something/(P)/
放任主義 [ほうにんしゅぎ] /(n) principle of laissez-faire/
放熱 [ほうねつ] /(n,vs,adj-no) radiation/
放熱器 [ほうねつき] /(n) a radiator/
放熱板 [ほうねつばん] /(n) (comp) heat sink/
放念 [ほうねん] /(n,vs) relaxation/ease/
放物焼き [ほるもんやき] /(n) (uk) (ksb:) fried beef or pork offal (entrails)/
放物線 [ほうぶつせん] /(n) parabola/
放物面 [ほうぶつめん] /(n) parabolic surface/
放牧 [ほうぼく] /(n,vs) pasturage/grazing/(P)/
放牧地 [ほうぼくち] /(n) grazing land/pasture/
放漫 [ほうまん] /(adj-na,n) whimsy/looseness/indiscretion/laxity/
放漫経営 [ほうまんけいえい] /(n) irresponsible management/loose management/sloppy management/
放免 [ほうべん] /(vs,adj-no) (1) to release (e.g. from custody)/to set free/to let off (e.g. with a warning)/to acquit (e.g. of a charge)/(2) release/acquittal/liberation/
放免 [ほうめん] /(vs,adj-no) (1) to release (e.g. from custody)/to set free/to let off (e.g. with a warning)/to acquit (e.g. of a charge)/(2) release/acquittal/liberation/
放流 [ほうりゅう] /(n,vs) (1) discharge (e.g. of water from a dam)/(2) liberation/stocking (e.g. a river with fish)/(P)/
放流水 [ほうりゅうすい] /(n) discharged water/final effluent/
放列 [ほうれつ] /(n) a battery/barrage/
放浪 [ほうろう] /(n,vs,adj-no) wandering/(P)/
放浪者 [ほうろうしゃ] /(n) vagrant/
放浪生活 [ほうろうせいかつ] /(n) (leading) a vagabond life/(leading) a wandering existence/
放浪癖 [ほうろうへき] /(n) vagrant habits/vagabondism/wanderlust/
放佚 [ほういつ] /(adj-na,n) self-indulgence/looseness/dissoluteness/
放埒 [ほうらつ] /(adj-na) licentious/profligate/dissipated/riotous/wild/
放埓 [ほうらつ] /(adj-na) licentious/profligate/dissipated/riotous/wild/
放屁 [ほうひ] /(n,vs) breaking wind/fart/
放屁虫 [へひりむし] /(n) (1) (obsc) bombardier beetle (esp. species Pheropsophus jessoensis)/(2) stink bug/
放恣 [ほうし] /(adj-na) licentious/self-indulgent/
放擲 [ほうてき] /(n,vs) abandoning/giving up/quitting/
放肆 [ほうし] /(adj-na) licentious/self-indulgent/
方 [え] /(suf) (1) suffix used as a rough indicator of location, direction, time, etc./
方 [かた] /(n) (1) direction/way/(2) (hon) person/lady/gentleman/(n,n-suf) (3) method of/manner of/way of/(n-suf) (4) care of ../(5) person in charge of ../(6) side (e.g. "on my mother's side")/(P)/
方 [がた] /(suf) (1) honorific pluralizing suffix (used only for people)/(2) around (the time that, etc.)/about/
方 [へ] /(n) (1) (arch) surrounding area/(2) shore (of the sea)/(suf) (3) suffix used as a rough indicator of location, direction, time, etc./
方 [べ] /(n) (1) (arch) surrounding area/(2) shore (of the sea)/(suf) (3) suffix used as a rough indicator of location, direction, time, etc./
方 [ほう] /(n) (1) direction/way/side/area (in a particular direction)/(2) side (of an argument, etc.)/one's part/(3) type/category/(4) field (of study, etc.)/(5) indicates one side of a comparison/(6) way/method/manner/means/(7) length (of each side of a square)/(P)/
方々 [かたがた] /(n) (1) (hon) they (of people)/gentlemen (of the ...)/(2) (hon) you (usu. plural)/(adv) (3) various/(P)/
方々 [ほうぼう] /(n-adv) here and there/this way and that way/(P)/
方がいい [ほうがいい] /(exp,adj-i) (after past tense verb) had better (verb)/(after negative verb) had better not (verb)/
方がつく [かたがつく] /(exp,v5k) to settle (a problem)/to put an end to (a dispute)/to be disposed of/to be settled/to come to an end/
方がまし [ほうがまし] /(exp) I would rather/I would as lief do/strong preference/(P)/
方がよい [ほうがよい] /(exp,adj-i) (after past tense verb) had better (verb)/(after negative verb) had better not (verb)/
方がよろしい [ほうがよろしい] /(exp) had better/is advisable/
方がよろしければ [ほうがよろしければ] /(exp) if you need/if it is necessary/
方が宜しい [ほうがよろしい] /(exp) had better/is advisable/
方が宜しければ [ほうがよろしければ] /(exp) if you need/if it is necessary/
方が増し [ほうがまし] /(exp) I would rather/I would as lief do/strong preference/
方が付く [かたがつく] /(exp,v5k) to settle (a problem)/to put an end to (a dispute)/to be disposed of/to be settled/to come to an end/
方が良い [ほうがいい] /(exp,adj-i) (after past tense verb) had better (verb)/(after negative verb) had better not (verb)/
方が良い [ほうがよい] /(exp,adj-i) (after past tense verb) had better (verb)/(after negative verb) had better not (verb)/
方位 [ほうい] /(n) direction/(P)/
方位角 [ほういかく] /(n) azimuth/
方位磁石 [ほういじしゃく] /(n) compass/
方位神 [ほういじん] /(n) God of directions (generic terms referring to many different Gods)/
方位測定器 [ほういそくていき] /(n) direction finder/
方違い [かたたがい] /(n) (arch) setting off the night before one normally would have departed, travelling in a different direction, spending the night there, and leaving for one's destination in the morning (done to to avoid travelling in an unlucky direction; a common practice during the Heian period)/
方違え [かたたがえ] /(n) (arch) setting off the night before one normally would have departed, travelling in a different direction, spending the night there, and leaving for one's destination in the morning (done to to avoid travelling in an unlucky direction; a common practice during the Heian period)/
方違え所 [かたたがえどころ] /(n) (arch) place where one spends the night to avoid travelling in an unlucky direction/
方違へ所 [かたたがへどころ] /(n) (arch) place where one spends the night to avoid travelling in an unlucky direction/
方円 [ほうえん] /(n) squares and circles/square and round shapes/
方鉛鉱 [ほうえんこう] /(n) galena/
方解石 [ほうかいせき] /(n) calcite/
方角 [ほうがく] /(n) direction/way/compass point/(P)/
方眼紙 [ほうがんし] /(n) graph paper/section paper/
方形 [ほうけい] /(n,adj-no) square/
方形波 [ほうけいは] /(n) square wave/
方言 [ほうげん] /(n,adj-no) (ling) dialect/(P)/
方言学 [ほうげんがく] /(n) dialectology/
方言周圏論 [ほうげんしゅうけんろん] /(n) (ling) center versus periphery theory/
方向 [ほうこう] /(n) (1) direction/orientation/bearing/way/(2) course (e.g. of action)/(P)/
方向づけ [ほうこうづけ] /(n,vs) directing/orienting/orientating/guiding/aligning/
方向づける [ほうこうづける] /(v1) to direct/to guide/to orient/to orientate/to align/
方向を指す [ほうこうをさす] /(exp,v5s) to point to a direction/
方向キー [ほうこうキー] /(n) (comp) cursor key/
方向音痴 [ほうこうおんち] /(n) (person with) no sense of direction/poor sense of locality/(P)/
方向角 [ほうこうかく] /(n) direction angle/
方向感覚 [ほうこうかんかく] /(n) sense of orientation/sense of direction/
方向観念 [ほうこうかんねん] /(n) sense of direction/
方向係数 [ほうこうけいすう] /(n) direction coefficient/
方向指示器 [ほうこうしじき] /(n) direction indicator/traffic indicator/turn signal/
方向姓 [ほうこうせい] /(iK) (n) (1) trend/course of action/direction/(2) (comp) directionality/directivity/orientation/(adj-no) (3) (comp) directional/vectorial/
方向性 [ほうこうせい] /(n) (1) trend/course of action/direction/(2) (comp) directionality/directivity/orientation/(adj-no) (3) (comp) directional/vectorial/
方向舵 [ほうこうだ] /(n) rudder/
方向探知器 [ほうこうたんちき] /(n) direction finder/
方向探知機 [ほうこうたんちき] /(n) direction finder/
方向転換 [ほうこうてんかん] /(n,vs) change of course/
方向付け [ほうこうづけ] /(n,vs) directing/orienting/orientating/guiding/aligning/
方向付ける [ほうこうづける] /(v1) to direct/to guide/to orient/to orientate/to align/
方向余弦 [ほうこうよげん] /(n) direction cosine/
方今 [ほうこん] /(n-adv,n-t) present time/now/nowadays/
方塞がり [かたふさがり] /(n) (arch) unlucky direction (in Onmyoudou; due to the presence of a god such as Ten'ichijin)/
方塞がり [かたふたがり] /(n) (arch) unlucky direction (in Onmyoudou; due to the presence of a god such as Ten'ichijin)/
方策 [ほうさく] /(n) plan/policy/(P)/
方式 [ほうしき] /(n) form/method/system/formula/(P)/
方舟 [はこぶね] /(n) ark (i.e. Noah's)/
方術 [ほうじゅつ] /(n) means/method/art/magic/
方丈 [ほうじょう] /(n) (1) square jo (approx. 10 sq feet)/(2) (Buddh) abbot's chamber/(3) chief priest/
方杖 [ほうづえ] /(n) angle brace/
方針 [ほうしん] /(n) objective/plan/policy/(P)/
方針決定 [ほうしんけってい] /(n) policy decision/
方陣 [ほうじん] /(n) square formation/magic square/
方図 [ほうず] /(n) end/limit/limits/
方錐形 [ほうすいけい] /(n) regular pyramid/
方寸 [ほうすん] /(n) (1) a square sun (i.e. approx 9sq. cm.)/(2) one's mind/space occupied by one's heart/
方正 [ほうせい] /(adj-na,n) rectitude/
方尖柱 [ほうせんちゅう] /(n) (obsc) obelisk/
方竹 [ほうちく] /(n) type of bamboo/
方程式 [ほうていしき] /(n) equation/formula/(P)/
方程式の一項 [ほうていしきのいっこう] /(n) member of an equation/
方程式を導く [ほうていしきをみちびく] /(exp,v5k) (comp) to derive a formula/
方程式系 [ほうていしきけい] /(n) (math) system of equations/
方途 [ほうと] /(n) way/means/
方頭魚 [かながじら] /(n) (uk) red-whiskered bulbul (Lepidotrigla microptera)/
方伯 [ほうはく] /(n) landgrave/
方墳 [ほうふん] /(n) flat-topped burial mound/
方偏 [かたへん] /(n) kanji "direction" radical at left (radical 70)/
方偏 [ほうへん] /(n) kanji "direction" radical at left (radical 70)/
方便 [たずき] /(n) living/livelihood/
方便 [たつき] /(n) living/livelihood/
方便 [たづき] /(n) living/livelihood/
方便 [たどき] /(ok) (n) living/livelihood/
方便 [ほうべん] /(n) (1) expedient/means/instrument/(2) (Buddh) upaya (skillful means, methods of teaching)/
方方 [かたがた] /(n) (1) (hon) they (of people)/gentlemen (of the ...)/(2) (hon) you (usu. plural)/(adv) (3) various/
方方 [ほうぼう] /(n-adv) here and there/this way and that way/
方法 [ほうほう] /(n) method/process/manner/way/means/technique/(P)/
方法的 [ほうほうてき] /(adj-na) procedural/
方法的懐疑 [ほうほうてきかいぎ] /(n) methodic doubt/
方法論 [ほうほうろん] /(n) methodology/(P)/
方法論的個人主義 [ほうほうろんてきこじんしゅぎ] /(n) methodological individualism/
方面 [ほうめん] /(n) (1) direction/district/area/(2) field (e.g. of study)/(P)/
方面隊 [ほうめんたい] /(n) army/
方里 [ほうり] /(n) a square ri/
方立 [ほうだて] /(n) mullion/
方略 [ほうりゃく] /(n) plan/
方領 [ほうりょう] /(n) square-shaped collar (of some traditional Japanese clothing)/
朋 [とも] /(n) friend/companion/pal/
朋党 [ほうとう] /(n) faction/clique/
朋輩 [ほうばい] /(ateji) (n) comrade/friend/associate/colleague/fellow student/fellow apprentice/
朋友 [ほうゆう] /(n) friend/companion/
朋友 [ポンユー] /(n) friend/companion/
法 [ほう] /(n,n-suf) (1) law/act/principle/(2) method/(3) (ling) mood/(4) (Buddh) dharma/(P)/
法と時 [ほうととき] /(exp) (ling) mood and tense/
法と時制 [ほうとじせい] /(exp) (ling) mood and tense/
法と実 [ほうとじつ] /(exp) divisor and dividend/
法に触れる [ほうにふれる] /(exp,v1) to violate the law/to have a brush with the law/to have a run-in with the law/
法に適う [ほうにかなう] /(exp,v5u) to conform to the rules of etiquette/
法の欠缺 [ほうのけんけつ] /(exp) gap in the law/
法を越える [のりをこえる] /(exp,v1) to violate the laws of nature/to overstep the bounds of moderation/
法を守る [ほうをまもる] /(exp,v5r) to observe the law/
法を説く [ほうをとく] /(exp,v5k) to preach the truth/
法を犯す [ほうをおかす] /(exp,v5s) to violate the law/
法案 [ほうあん] /(n) bill (law)/(P)/
法案審議 [ほうあんしんぎ] /(n) discussion/debate (on a piece of legislation)/
法案提出 [ほうあんていしゅつ] /(n) presentation of a draft bill (to parliament, diet, etc.)/
法案提出権 [ほうあんていしゅつけん] /(n) the right to submit a bill (draft law) to parliament/
法案提出断念 [ほうあんていしゅつだんねん] /(n) withdrawal of proposed bill/
法衣 [ほうい] /(n,adj-no) vestment/priest's robe/
法衣 [ほうえ] /(n,adj-no) vestment/priest's robe/
法医学 [ほういがく] /(n) (1) forensic medicine/forensic pathology/forensics/(2) medical jurisprudence/legal medicine/(P)/
法域 [ほういき] /(n) jurisdiction/
法院 [ほういん] /(n) court/
法雨 [ほうう] /(n) shower of dharma/Buddhism flowing forth/
法益 [ほうえき] /(n) benefit and protection of the law/interests protected by law/legal benefit/
法悦 [ほうえつ] /(n) religious exultation/ecstasy/
法王 [ほうおう] /(n) Pope/(P)/
法王権 [ほうおうけん] /(n) the papacy/
法王庁 [ほうおうちょう] /(n) Vatican/
法家 [ほうか] /(n) (1) lawyer/(2) legalism (school of Chinese philosophy)/
法科 [ほうか] /(n) law department or law school/
法科大学院 [ほうかだいがくいん] /(n) law school/
法華 [ほけ] /(n) (1) (abbr) Nichiren sect/Tendai sect/(2) (abbr) Lotus Sutra/
法華 [ほっけ] /(n) (1) (abbr) Nichiren sect/Tendai sect/(2) (abbr) Lotus Sutra/
法華経 [ほけきょう] /(n) the Lotus Sutra/
法華宗 [ほっけしゅう] /(n) (1) Nichiren sect of Buddhism (sometimes specifically referring to the Hokke school of Nichiren)/(2) Tendai sect of Buddhism/
法華神道 [ほっけしんとう] /(n) Hokke Shinto (Shinto doctrines based on Nichiren Buddhism)/
法貨 [ほうか] /(n) legal currency/
法会 [ほうえ] /(n) Buddhist mass/
法解釈学 [ほうかいしゃくがく] /(n) legal hermeneutics/
法改正 [ほうかいせい] /(n) change in the law/legal reform/
法改正案 [ほうかいせいあん] /(n) law reform proposal/law reform bill/
法界 [ほっかい] /(n) (Buddh) the universe/
法界悋気 [ほうかいりんき] /(n) being jealous of things that have nothing to do with one/being jealous of others who are in love with each other/
法外 [ほうがい] /(adj-na,n) exorbitant/outrageous/(P)/
法学 [ほうがく] /(n,adj-no) law/jurisprudence/(P)/
法学系大学院共通入学試験 [ほうがくけいだいがくいんきょうつうにゅうがくしけん] /(n) American graduate law school entrance test/LSAT/
法学士 [ほうがくし] /(n) Bachelor of Laws/
法学者 [ほうがくしゃ] /(n) jurist/
法学部 [ほうがくぶ] /(n) law department/law school/(P)/
法楽 [ほうらく] /(n) pleasures of a pious life/
法官 [ほうかん] /(n) judge/
法眼 [ほうげん] /(n) (1) (Buddh) the dharma eye/(2) (abbr) second highest priestly rank in Buddhism/(3) (arch) title bestowed upon doctors, etc./
法規 [ほうき] /(n) the law/laws and regulations/(P)/
法規制 [ほうきせい] /(n) regulation/legislation/
法規範 [ほうきはん] /(n) legal norm/legal standard/
法教育 [ほうきょういく] /(n) legal education/
法句経 [ほっくきょう] /(n) (Buddh) Dhammapada/
法具 [ほうぐ] /(n) (Buddh) ritual implements/
法源 [ほうげん] /(n) (a) source of law/
法語 [ほうご] /(n) Buddhist sermon/
法皇 [ほうおう] /(n) (1) ex-emperor who becomes a monk/(2) (Catholic) Pope/religious leader/
法号 [ほうごう] /(n) priest's name or posthumous Buddhist name/
法座 [ほうざ] /(n) (1) dharma seat (seat from which one gives Buddhist sermons)/(2) Buddhist religious service/
法史学 [ほうしがく] /(n) legal history (studies)/
法師 [ほうし] /(n) Buddhist priest/bonze/(P)/
法師髪 [ほうしがみ] /(n) (obsc) short-trimmed mane (of a horse)/
法事 [ほうじ] /(n) Buddhist memorial service/
法治 [ほうち] /(n,adj-no) constitutional government/
法治国 [ほうちこく] /(n) constitutional state/(P)/
法治国家 [ほうちこっか] /(n) country with a constitutional government/
法治社会 [ほうちしゃかい] /(n) law-abiding society/
法式 [ほうしき] /(n) rule/rite/
法社会学 [ほうしゃかいがく] /(n) sociology of law/
法主 [ほうしゅ] /(n) high priest/
法主 [ほっしゅ] /(n) high priest/
法主 [ほっす] /(n) high priest/
法術 [ほうじゅつ] /(n) (1) practising law/(2) legal processes in running a country/(3) method/way/means/(4) magic/
法助動詞 [ほうじょどうし] /(n) (ling) modal auxiliary/
法身 [ほうしん] /(n) (Buddh) dharmakaya (dharma body, Buddhism's highest form of existence)/
法身 [ほっしん] /(n) (Buddh) dharmakaya (dharma body, Buddhism's highest form of existence)/
法人 [ほうじん] /(n) corporate body/corporation/(legal) person/(juridical) person/(P)/
法人格 [ほうじんかく] /(n) legal personality/juridical personality/
法人株主 [ほうじんかぶぬし] /(n) institutional stockholder/
法人所得 [ほうじんしょとく] /(n) corporate income/
法人所得税 [ほうじんしょとくぜい] /(n) corporate income tax/
法人税 [ほうじんぜい] /(n) corporation tax/
法人組織にする [ほうじんそしきにする] /(exp,vs-i) to incorporate (a firm)/
法制 [ほうせい] /(n) legislation/laws/(P)/
法制局 [ほうせいきょく] /(n) Cabinet Legislation Bureau/(P)/
法制史 [ほうせいし] /(n) legal history/
法制史学 [ほうせいしがく] /(n) legal history (studies)/
法制度 [ほうせいど] /(n) legislative system/
法性 [ほうしょう] /(n) (Buddh) dharmata (dharma nature, the true nature of all manifest phenomena)/
法性 [ほっしょう] /(n) (Buddh) dharmata (dharma nature, the true nature of all manifest phenomena)/
法政 [ほうせい] /(n) law and politics/justice administration/
法整備 [ほうせいび] /(n) legislation/development of laws/
法線 [ほうせん] /(n) (math) normal vector/
法線ベクトル [ほうせんベクトル] /(n) normal vector/
法曹 [ほうそう] /(n) legal profession/lawyer/(P)/
法曹界 [ほうそうかい] /(n) legal circles/(P)/
法相 [ほうしょう] /(n) (abbr) Minister of Justice/(P)/
法相 [ほっそう] /(n) (1) (Buddh) dharmalaksana (dharma characteristics, the specific characteristics of all manifest phenomena)/(2) (abbr) Hosso sect of Buddhism/
法相宗 [ほうそうしゅう] /(n) Hosso sect of Buddhism (Japanese equivalent of the Chinese Faxiang sect)/
法相宗 [ほっそうしゅう] /(n) Hosso sect of Buddhism (Japanese equivalent of the Chinese Faxiang sect)/
法則 [ほうそく] /(n) law/rule/(P)/
法体 [ほうたい] /(n) (1) (Buddh) clerical appearance/appearance of a priest/(2) teachings of Buddha/condition of the universe at creation/in the pure land teachings, the name of Amitabha, or prayers to Amitabha/investiture of a Buddhist priest/
法体 [ほったい] /(n) (1) (Buddh) clerical appearance/appearance of a priest/(2) teachings of Buddha/condition of the universe at creation/in the pure land teachings, the name of Amitabha, or prayers to Amitabha/investiture of a Buddhist priest/
法談 [ほうだん] /(n) Buddhist sermon/
法竹 [ほっちく] /(n) type of open-ended bamboo flute/
法秩序 [ほうちつじょ] /(n) legal order/
法帖 [ほうじょう] /(n) copybook printed from the works of old masters of calligraphy/
法定 [ほうてい] /(n,adj-no) legal/designated by law/(P)/
法定貨幣 [ほうていかへい] /(n) legal currency/
法定休日 [ほうていきゅうじつ] /(n) legal holiday/bank holiday/
法定強姦 [ほうていごうかん] /(n) statutory rape/sexual activity with a minor under the age of consent/
法定準備金 [ほうていじゅんびきん] /(n) legal reserves/
法定準備制度 [ほうていじゅんびせいど] /(n) legal reserve system (USA)/reserve deposit requirement system/
法定準備預金 [ほうていじゅんびよきん] /(n) required reserves/legal required reserves/
法定準備率 [ほうていじゅんびりつ] /(n) reserve requirement ratio/legal reserve ratio/required reserve ratio/
法定代理人 [ほうていだいりにん] /(n) statutory representative/legal representative/
法定伝染病 [ほうていでんせんびょう] /(n) infectious disease requiring official reporting/
法定得票数 [ほうていとくひょうすう] /(n) minimum number of votes required to elect a candidate/
法定年齢 [ほうていねんれい] /(n) legal age/
法定納本 [ほうていのうほん] /(n) (comp) legal deposit/
法定平価 [ほうていへいか] /(n) mint parity/mint par of exchange/
法定利息 [ほうていりそく] /(n) statutory interest/legal interest/interest set by law/
法廷 [ほうてい] /(n,adj-no) courtroom/(P)/
法廷に臨む [ほうていにのぞむ] /(exp,v5m) to appear in court/
法廷画 [ほうていが] /(n) courtroom sketch/courtroom illustration/
法廷会計学 [ほうていかいけいがく] /(n) legal accounting/
法廷証言 [ほうていしょうげん] /(n) court testimony/
法廷闘争 [ほうていとうそう] /(n) carrying conflicts into the courts/
法廷侮辱 [ほうていぶじょく] /(n) contempt of court/
法廷侮辱罪 [ほうていぶじょくざい] /(n) (crime of) contempt of court/
法的 [ほうてき] /(adj-na,n) legality/(P)/
法的行為 [ほうてきこうい] /(n) legal action/
法的根拠 [ほうてきこんきょ] /(n) legal basis/
法的手段 [ほうてきしゅだん] /(n) legal means/legal methods/legal measures/
法的文書 [ほうてきぶんしょ] /(n) legal document/
法的保護 [ほうてきほご] /(n) legal protection (e.g. of an environment or cultural asset)/
法哲学 [ほうてつがく] /(n) philosophy of law/
法典 [ほうてん] /(n) code of law/body of law/
法度 [はっと] /(n) law/ban/prohibition/ordinance/
法灯 [ほうとう] /(n) light of Buddhism/
法堂 [はっとう] /(n) lecture hall of a temple/
法堂 [ほうどう] /(n) lecture hall of a temple/
法難 [ほうなん] /(n) religious persecution/
法博 [ほうはく] /(n) Doctor of Laws/LLD/
法被 [はっぴ] /(n) happi coat (happy coat)/workman's livery coat/
法服 [ほうふく] /(n) robes of a judge or lawyer or priest/
法文 [ほうぶん] /(n) text of the law/(P)/
法文学部 [ほうぶんがくぶ] /(n) faculty of law and literature/
法務 [ほうむ] /(n) judicial affairs/Ministry of Justice/judge advocate general (mil)/(P)/
法務委員会 [ほうむいいんかい] /(n) Committee on Judicial Affairs/
法務官 [ほうむかん] /(ateji) (n) (1) legal officer/legal office/judge advocate (army)/(2) praetor/pretor/
法務局 [ほうむきょく] /(n) regional legal affairs bureau/
法務省 [ほうむしょう] /(n) Ministry of Justice/(P)/
法務大臣 [ほうむだいじん] /(n) Minister of Justice/
法務博士 [ほうむはくし] /(n) Juris Doctor/
法務部 [ほうむぶ] /(n) legal office/law office/legal department/
法名 [ほうみょう] /(n) priest's name or posthumous Buddhist name/
法面 [のりめん] /(n) slope (e.g. of embankment)/
法網 [ほうもう] /(n) net of the law/justice/
法要 [ほうよう] /(n) Buddhist memorial service/(P)/
法螺 [ほら] /(n) boasting/bragging/big talk/
法螺を吹く [ほらをふく] /(exp,v5k) to boast/to brag/
法螺貝 [ほらがい] /(n) (uk) conch (Charonia tritonis)/trumpet shell/
法螺吹き [ほらふき] /(n) braggart/boaster/
法螺話 [ほらばなし] /(n) tall story/cock-and-bull story/
法理 [ほうり] /(n) legal principle/
法理学 [ほうりがく] /(n) jurisprudence/
法律 [ほうりつ] /(n,adj-no) law/(P)/
法律を変える [ほうりつをかえる] /(exp,v1) to revise (amend) the law/
法律案 [ほうりつあん] /(n) (legislative) bill/
法律違反 [ほうりついはん] /(n) violation of the law/
法律家 [ほうりつか] /(n) lawyer/jurist/
法律学 [ほうりつがく] /(n) jurisprudence/
法律学者 [ほうりつがくしゃ] /(n) lawyer/jurist/
法律行為 [ほうりつこうい] /(n) legal action/
法律事件 [ほうりつじけん] /(n) legal case/
法律事務所 [ほうりつじむしょ] /(n) law office/law firm/(P)/
法律上 [ほうりつじょう] /(adj-no) legal/
法律制度 [ほうりつせいど] /(n) legal system/
法律相談 [ほうりつそうだん] /(n) legal consultation/(giving) legal advice/
法律問題 [ほうりつもんだい] /(n) legal problem/
法律用語 [ほうりつようご] /(n) legal (law) term/
法力 [ほうりき] /(n) power of Buddhism/
法輪 [ほうりん] /(n) (Buddh) the teachings of Buddha (as likened to the Dharmachakra, originally a wheel-like weapon used to destroy the evils of mankind)/Buddhist doctrine/
法輪功 [ほうりんこう] /(n) Falun Gong/Falun Dafa/
法輪功 [ファルンゴン] /(n) Falun Gong/Falun Dafa/
法輪大法 [ファルンダーファ] /(n) Falun Dafa/Falun Gong/
法令 [ほうれい] /(n,adj-no) laws and ordinances/acts (of parliament, congress, etc.)/(P)/
法令を敷く [ほうれいをしく] /(exp,v5k) to promulgate a law/
法令順守 [ほうれいじゅんしゅ] /(n) compliance (with laws and ordinances)/
法例 [ほうれい] /(n) rules concerning application of laws/
法蓮草 [ほうれんそう] /(n) spinach/
法論 [ほうろん] /(n) doctrinal discussion/jurisprudence/
法話 [ほうわ] /(n) Buddhist sermon/
泡 [あぶく] /(n) bubble/foam/froth/head on beer/(P)/
泡 [あわ] /(n) bubble/foam/froth/head on beer/
泡を食う [あわをくう] /(exp,v5u) to be flurried/to be confused/to lose one's head/
泡舟貝 [あわぶねがい] /(n) (uk) Bostrycapulus gravispinosus (species of spiny slipper snail)/
泡吹 [あわぶき] /(n) Meliosma myriantha/
泡吹虫 [あわふきむし] /(n) (uk) froghopper (any insect of family Cercopidea)/spittlebug/
泡盛 [あわもり] /(n) strong Okinawa liquor/
泡雪 [あわゆき] /(n) light snowfall/
泡洗車 [あわせんしゃ] /(n) car wash (esp. hand car wash)/
泡銭 [あぶくぜに] /(n) easy money/
泡箱 [あわばこ] /(n) bubble chamber/
泡風呂 [あわぶろ] /(n) jacuzzi/whirlpool bath/bubble bath/
泡沫 [うたかた] /(n) (1) bubble on surface of liquid/(adj-no,n) (2) ephemeral/transient/
泡沫 [うたがた] /(n) (1) bubble on surface of liquid/(adj-no,n) (2) ephemeral/transient/
泡沫 [ほうまつ] /(n) (1) bubble on surface of liquid/(adj-no,n) (2) ephemeral/transient/
泡沫会社 [ほうまつがいしゃ] /(n) short-lived company/
泡沫景気 [ほうまつけいき] /(n) bubble boom/ephemenal boom/
泡沫候補 [ほうまつこうほ] /(n) fringe candidate/
泡沫的 [ほうまつてき] /(adj-na) transient/passing/fleeting/ephemeral/like a bubble on liquid/
泡沫夢幻 [ほうまつむげん] /(adj-no) transient/ephemeral/fleeting/evanescent/
泡立ち [あわだち] /(n) foam/bubbles/
泡立つ [あわだつ] /(v5t) to bubble/to foam/to froth/
泡立てる [あわだてる] /(v1,vt) to beat/to whip/to whisk/to lather/
泡立て器 [あわだてき] /(n) eggbeater/whisk/
烹炊 [ほうすい] /(n) (obsc) cooking by boiling/
烹炊煙突 [ほうすいえんとつ] /(n) (obsc) (obs) galley stovepipe/
烹炊所 [ほうすいじょ] /(n) (obsc) (obs) galley/ship's kitchen/
砲 [じゅう] /(n) gun/rifle/small arms/
砲 [ほう] /(n,n-suf) gun/cannon/artillery/ordnance/(P)/
砲煙 [ほうえん] /(n) gunsmoke/smoke of cannon/
砲煙弾雨 [ほうえんだんう] /(n) the smoke of guns and a rain of bullets or shells/
砲火 [ほうか] /(n) gunfire/fire/(P)/
砲艦 [ほうかん] /(n) gunboat/
砲艦外交 [ほうかんがいこう] /(n) gunboat diplomacy/
砲丸 [ほうがん] /(n) shell/shots/cannon ball/
砲丸投げ [ほうがんなげ] /(n) the shot put/
砲金 [ほうきん] /(n) gun metal/
砲撃 [ほうげき] /(n,vs) bombarding/shelling/bombardment/(P)/
砲口 [ほうこう] /(n) muzzle (of a gun)/
砲座 [ほうざ] /(n) gun platform/
砲車 [ほうしゃ] /(n) gun carriage/
砲手 [ほうしゅ] /(n) a gunner/
砲術 [ほうじゅつ] /(n) gunnery/artillery/
砲術家 [ほうじゅつか] /(n) gunner/artillerist/
砲身 [ほうしん] /(n) gun barrel/
砲声 [ほうせい] /(n) sound of a gun/roar of cannon/
砲戦 [ほうせん] /(n,vs) artillery battle/
砲台 [ほうだい] /(n) (gun) battery/fort/
砲弾 [ほうだん] /(n) shell/(P)/
砲塔 [ほうとう] /(n) gun turret/
砲兵 [ほうへい] /(n) artillery/gunner/(P)/
砲門 [ほうもん] /(n) gunport/embrasure/muzzle/
砲列 [ほうれつ] /(n) battery/
縫い [ぬい] /(n) embroidery/sewing/
縫いぐるみ [ぬいぐるみ] /(n) stuffed toy/plush toy/plush toys/soft toy/cuddly toy/
縫いつける [ぬいつける] /(v1,vt) to sew on/
縫いなおす [ぬいなおす] /(v5s,vt) to resew/to remake/
縫いもの [ぬいもの] /(n) sewing/needlework/embroidery/
縫い合せる [ぬいあわせる] /(v1) to sew up/to sew together/
縫い合わせる [ぬいあわせる] /(v1) to sew up/to sew together/
縫い込み [ぬいこみ] /(n) tuck/
縫い込む [ぬいこむ] /(v5m,vt) to sew in/
縫い糸 [ぬいいと] /(n) sewing thread/suture/
縫い取り [ぬいとり] /(n) embroidery/
縫い上げる [ぬいあげる] /(v1,vt) to finish sewing/
縫い針 [ぬいばり] /(n) sewing needle/
縫い代 [ぬいしろ] /(n) margin for a seam/seam allowance/
縫い代のしまつ [ぬいしろのしまつ] /(exp) inside stitched edge of inverted seam/rough stitch/
縫い代を割る [ぬいしろをわる] /(exp,v5r) to stop an inside seam rolling about/to press open a seam (and open the left and right sides out)/
縫い直す [ぬいなおす] /(v5s,vt) to resew/to remake/
縫い箔 [ぬいはく] /(n) embroidery and foil or gilt/
縫い付ける [ぬいつける] /(v1,vt) to sew on/
縫い物 [ぬいもの] /(n) sewing/needlework/embroidery/
縫い返す [ぬいかえす] /(v5s,vt) to resew/
縫い包み [ぬいぐるみ] /(n) stuffed toy/plush toy/plush toys/soft toy/cuddly toy/
縫い方 [ぬいかた] /(n) sewing method/sewer/
縫い模様 [ぬいもよう] /(n) embroidered design/
縫い目 [ぬいめ] /(n) seam/stitch/suture/
縫い紋 [ぬいもん] /(n) embroidered crest/
縫い揚げ [ぬいあげ] /(n) a tuck/
縫う [ぬう] /(v5u,vt) (1) to sew/to stitch/(2) to weave one's way (e.g. through a crowd)/(P)/
縫工 [ほうこう] /(n) tailor/seamstress/
縫工筋 [ほうこうきん] /(n) sartorius muscle/
縫合 [ほうごう] /(n,vs) seam/suture/stitch/
縫合せる [ぬいあわせる] /(v1) to sew up/to sew together/
縫合わせる [ぬいあわせる] /(v1) to sew up/to sew together/
縫針 [ぬいばり] /(n) sewing needle/
縫製 [ほうせい] /(n,vs) sewing/(P)/
縫物 [ぬいもの] /(n) sewing/needlework/embroidery/
縫目 [ぬいめ] /(n) seam/stitch/suture/(P)/
縫腋 [ほうえき] /(n) (1) stitched side of some traditional Japanese clothing/clothing with such a stitched side/(2) robe with a round collar, stitched sides and a ran, worn by the emperor and high-ranking officials/
縫腋の袍 [ほうえきのほう] /(n) robe with a round collar, stitched sides and a ran, worn by the emperor and high-ranking officials/
胞衣 [えな] /(n) placenta/
胞衣 [ほうい] /(n) placenta/
胞子 [ほうし] /(n,adj-no) spore/(P)/
胞子体 [ほうしたい] /(n) sporophyte/
胞子嚢 [ほうしのう] /(n) sporangium/
胞子嚢群 [ほうしのうぐん] /(n) sporus/
胞子葉 [ほうしよう] /(n) fertile frond/
胞状奇胎 [ほうじょうきたい] /(n) hydatidiform mole/
胞状鬼胎 [ほうじょうきたい] /(n) hydatidiform mole/
胞膜 [ほうまく] /(n) indusium/
胞胚 [ほうはい] /(n,adj-no) blastula/blastosphere/
芳しい [かぐわしい] /(adj-i) (uk) sweet-smelling/scentful/fragrant/
芳しい [かんばしい] /(adj-i) sweet/fragrant/aromatic/(P)/
芳しくない [かんばしくない] /(adj-i) poor/unfavourable/unfavorable/disgraceful/
芳ばしい [こうばしい] /(adj-i) (1) sweet/fragrant/aromatic/(2) savory/savoury/
芳気 [ほうき] /(n) fragrant scent/
芳紀 [ほうき] /(n) age of a young lady who is at the peak of her (sexual) attractiveness/marriable age (of a young lady)/sweet sixteen/
芳香 [ほうこう] /(n,adj-no) perfume/fragrance/aroma/balm/(P)/
芳香を放つ [ほうこうをはなつ] /(exp,v5t) to give out (off) fragrance/
芳香剤 [ほうこうざい] /(n) aromatic/
芳香族化合物 [ほうこうぞくかごうぶつ] /(n) aromatic compounds/
芳香族炭化水素 [ほうこうぞくたんかすいそ] /(n) aromatic hydrocarbon/
芳香油 [ほうこうゆ] /(n) (obsc) fragrant oil/essential oil/
芳香療法 [ほうこうりょうほう] /(n) aromatherapy/
芳志 [ほうし] /(n) (your) kindness/
芳枝 [ほうし] /(n) fragrant branch of flowers/
芳春 [ほうしゅん] /(n) (obsc) spring/springtime/
芳醇 [ほうじゅん] /(adj-na,n) mellowness/
芳書 [ほうしょ] /(n) honorific reference to another's letter/
芳情 [ほうじょう] /(n) your good wishes/your kind intentions/
芳信 [ほうしん] /(n) honorific reference to another's letter/tidings of peach blossoms/
芳心 [ほうしん] /(n) honorific reference to another's kind intentions/
芳草 [ほうそう] /(n) fragrant herb/
芳眉 [ほうび] /(n) eyebrows of a beautiful woman/
芳墨 [ほうぼく] /(n) scented ink/honorific reference to another's letter/
芳名 [ほうめい] /(n) good name/good reputation/your name/
芳名帳 [ほうめいちょう] /(n) visitors' book/guest book/
芳名録 [ほうめいろく] /(n) visitors' book/
芳烈 [ほうれつ] /(adj-na,n) aromatic/heroic deed/outstanding achievement/
萌え [もえ] /(n) (1) sprouting/budding/(2) (m-sl) crush (anime, manga term)/fascination/infatuation/
萌える [もえる] /(v1,vi) (1) to burst into bud/to sprout/(2) (m-sl) to have a crush/to be infatuated/
萌え黄色 [もえぎいろ] /(io) (n) light green/yellowish-green/
萌え出る [もえでる] /(v1,vi) to sprout/to bud/
萌え木 [もえぎ] /(n) young tree sprouts/young tree buds/
萌え立つ [もえたつ] /(v5t) to burst into leaf/to sprout/
萌し [きざし] /(n) signs/omen/symptoms/
萌し [もやし] /(io) (n) bean sprouts/
萌む [めぐむ] /(v5m,vi) to bud/to sprout/
萌やし [もやし] /(n) bean sprouts/
萌やしっ子 [もやしっこ] /(n) weak, frail or gangly child/
萌やす [もやす] /(v5s,vt) to sprout/
萌黄 [もえぎ] /(n) light yellowish green/color of a freshly sprouted onion/
萌黄 [もよぎ] /(ok) (n) light yellowish green/color of a freshly sprouted onion/
萌黄色 [もえぎいろ] /(n) light green/yellowish-green/
萌芽 [ほうが] /(n,vs) germination/germ/sprout/bud/sign/(P)/
萌出 [ほうしゅつ] /(n,vs) tooth eruption/
萌葱 [もえぎ] /(n) light yellowish green/color of a freshly sprouted onion/
萌葱 [もよぎ] /(ok) (n) light yellowish green/color of a freshly sprouted onion/
萌葱色 [もえぎいろ] /(n) light green/yellowish-green/
萌木 [もえぎ] /(io) (n) young tree sprouts/young tree buds/
萌木色 [もえぎいろ] /(iK) (n) light green/yellowish-green/
萌黎 [ほうれい] /(n) the masses/common people/
蓬 [よもぎ] /(n) (1) Japanese mugwort (Artemisia princeps, Artemisia indica var. maximowiczii)/(2) general term for plants in the Artemisia genus/mugwort/sagebrush/wormwood/
蓬が島 [よもぎがしま] /(n) (1) (arch) Mount Penglai/(2) (arch) Japan/
蓬生 [よもぎう] /(n) wasteland/area overgrown with weeds/
蓬属 [よもぎぞく] /(n) Artemisia (genus of a between 200 to 400 species of plants in the daisy family Asteraceae)/
蓬頭 [おぼとれがしら] /(ok) (n) unkempt hair/
蓬頭 [ほうとう] /(n) unkempt hair/
蓬頭垢面 [ほうとうこうめん] /(n) (with) unkempt hair and dirty face/being indifferent to one's personal appearance/
蓬餅 [よもぎもち] /(n) (food) rice-flour dumplings mixed with mugwort/
蓬莱 [ほうらい] /(n) (1) Mount Penglai/Penglai Island/enchanted land of perpetual youth from Chinese mythology/(2) sacred mountain (e.g. Mount Fuji, Mount Kumano, etc.)/
蓬莱飾 [ほうらいかざり] /(io) (n) Kansai New Year decoration (made from food)/
蓬莱飾り [ほうらいかざり] /(n) Kansai New Year decoration (made from food)/
蓬莱羊歯 [ほうらいしだ] /(n) (uk) common maidenhair (species of maidenhair fern, Adiantum capillus-veneris)/
蜂 [はち] /(n) (1) bee/(2) wasp/(P)/
蜂か [ほうか] /(n,adj-f) wasp nest/
蜂に刺される [はちにさされる] /(exp,v1) to be stung by a bee/
蜂の子 [はちのこ] /(n) (food) hornet larva (esp. of yellowjacket species Vespula flaviceps)/bee larva/
蜂の巣 [はちのす] /(n) (1) beehive/hive/honeycomb/(2) (food) cow reticulum/
蜂ろう [はちろう] /(n) beeswax/
蜂屋柿 [はちやがき] /(n) hachiya (variety of astringent Japanese persimmon)/
蜂起 [ほうき] /(n,vs) uprising/revolt/
蜂群崩壊症候群 [ほうぐんほうかいしょうこうぐん] /(n) Colony Collapse Disorder/Vanishing Bee Syndrome/
蜂雀 [はちすずめ] /(n) (uk) hummingbird (Trochilidae family)/
蜂巣 [はちす] /(n) hive/beehive/skep/
蜂巣 [ほうそう] /(n) hive/beehive/skep/
蜂鳥 [はちどり] /(n) (uk) hummingbird (Trochilidae family)/
蜂蜜 [はちみつ] /(n) honey/(P)/
蜂蜜酒 [はちみつしゅ] /(n) mead/honey wine/ambrosia/nectar of the gods/
蜂蜜入り [はちみついり] /(adj-no) containing honey/
蜂目 [はちもく] /(n) Hymenoptera/
蜂蝋 [はちろう] /(n) beeswax/
蜂窩 [ほうか] /(n,adj-f) wasp nest/
褒めそやす [ほめそやす] /(v5s) to praise/to extol/
褒めちぎる [ほめちぎる] /(v5r,vt) to praise (to the skies)/to sing the praises (of)/to extol/
褒める [ほめる] /(v1,vt) to praise/to admire/to speak well/(P)/
褒め歌う [ほめうたう] /(v5u) to sing praises to/
褒め言葉 [ほめことば] /(n) words of praise/eulogy/compliment/
褒め合い [ほめあい] /(n) logrolling tactics/
褒め殺し [ほめごろし] /(n) lavish compliments and criticism/reverse compliment/"damning with faint praise"/
褒め殺す [ほめごろす] /(v5s) to compliment and criticize lavishly (criticise)/
褒め詞 [ほめことば] /(n) words of praise/eulogy/compliment/
褒め称える [ほめたたえる] /(v1,vt) to admire/to praise/to applaud/
褒め称す [ほめそやす] /(v5s) to praise/to extol/
褒め上げる [ほめあげる] /(v1) to praise to the skies/extol/
褒め奉る [ほめまつる] /(v5r) to praise/to render homage to/
褒め立てる [ほめたてる] /(v1) to praise/to extol/to applaud/
褒言葉 [ほめことば] /(n) words of praise/eulogy/compliment/
褒辞 [ほうじ] /(n) praise/eulogy/
褒奨 [ほうしょう] /(n) compensation/
褒奨金 [ほうしょうきん] /(n) cash bonus/reward/bounty/
褒章 [ほうしょう] /(n) medal of honour/medal of merit/
褒賞 [ほうしょう] /(n,vs) medal (of merit)/prize/reward/(P)/
褒状 [ほうじょう] /(n) certificate of merit/honorable mention/honourable mention/
褒美 [ほうび] /(n) reward/prize/(P)/
褒貶 [ほうへん] /(n,vs) praise and censure/criticism/
訪い [とぶらい] /(n) (arch) visit/visiting/
訪う [おとなう] /(v5u,vi) (1) (uk) to visit/(2) (arch) (original meaning) to make a noise/
訪う [とう] /(v5u-s,vt) (1) to ask/to question/to inquire/(2) to charge (i.e. with a crime)/to accuse/(3) to care (about)/(4) without regard to (with negative verb)/
訪ねる [たずねる] /(v1,vt) to visit/(P)/
訪れ [おとずれ] /(n) visit/call/advent/arrival/(P)/
訪れる [おとずれる] /(v1,vt) (1) to visit/to call on/(v1,vi) (2) to arrive/to come/to appear/(P)/
訪れる [おとづれる] /(v1,vt) (1) to visit/to call on/(v1,vi) (2) to arrive/to come/to appear/
訪欧 [ほうおう] /(n,vs) visit to Europe/(P)/
訪韓 [ほうかん] /(n) visit to Korea/
訪客 [ほうきゃく] /(n) visitor/guest/
訪中 [ほうちゅう] /(n,vs) visit to China/(P)/
訪日 [ほうにち] /(n,vs) visit to Japan/(P)/
訪比 [ほうひ] /(n,vs) visit to the Philippines/
訪米 [ほうべい] /(n,vs) visit to America/(P)/
訪問 [ほうもん] /(n,vs,adj-no) call/visit/(P)/
訪問客 [ほうもんきゃく] /(n) caller/visitor/
訪問者 [ほうもんしゃ] /(n) visitor/
訪問着 [ほうもんぎ] /(n) semi-formal kimono for women/visiting (gala) dress/
訪問販売 [ほうもんはんばい] /(n,adj-no) door-to-door selling/
訪露 [ほうろ] /(n,vs) visit to Russia/
豊か [ゆたか] /(adj-na) abundant/wealthy/plentiful/rich/affluent/(P)/
豊葦原の瑞穂の国 [とよあしはらのみずほのくに] /(n) (arch) Japan/
豊葦原瑞穂国 [とよあしはらのみずほのくに] /(n) (arch) Japan/
豊艶 [ほうえん] /(adj-na,n) voluptuous/fascinating/beautiful/
豊漁 [ほうりょう] /(n) good catch/good haul/(P)/
豊凶 [ほうきょう] /(n) rich or poor harvest/
豊胸 [ほうきょう] /(n) full breasts/(P)/
豊胸疑惑 [ほうきょうぎわく] /(n) suspicions of having had breast implants/
豊胸手術 [ほうきょうしゅじゅつ] /(n) breast augmentation/
豊後梅 [ぶんごうめ] /(n) Bungo Japanese apricot/Prunus mume var. bungo/
豊作 [ほうさく] /(n) abundant harvest/bumper crop/(P)/
豊作飢饉 [ほうさくききん] /(n) impoverishment of farmers because of a bumper harvest/decline in farmers' income caused by the sharply lower farm prices as a result of bumper harvests/
豊作貧乏 [ほうさくびんぼう] /(n) impoverishment of farmers because of a bumper harvest/decline in farmers' income caused by the sharply lower farm prices as a result of bumper harvests/
豊山派 [ぶざんは] /(n) Buzan sect (of Shingi Shingon Buddhism)/
豊受大神宮 [とゆけだいじんぐう] /(n) Toyouke Shrine (the outer shrine of Ise Shrine)/Toyuke Shrine/
豊受大神宮 [とようけだいじんぐう] /(n) Toyouke Shrine (the outer shrine of Ise Shrine)/Toyuke Shrine/
豊熟 [ほうじゅく] /(n,vs) abundant harvest/
豊潤 [ほうじゅん] /(adj-na,n) rich and prosperous/luxurious/abundant/
豊穣 [ほうじょう] /(adj-na,n) good harvest/abundant crop/
豊水 [ほうすい] /(n) high water/abundance of water/
豊水期 [ほうすいき] /(n) rainy season/
豊年 [ほうねん] /(n) fruitful year/(P)/
豊年蝦 [ほうねんえび] /(n) (uk) Branchinella kugenumaensis (species of fairy shrimp)/
豊年祭 [ほうねんさい] /(n) fertility festival/harvest festival/
豊年満作 [ほうねんまんさく] /(n) bumper crops/year of a full rice harvest/
豊肥本線 [ほうひほんせん] /(n) Hohi Main Line (Oita-Kumamoto Railway)/
豊富 [ほうふ] /(adj-na,n) abundance/wealth/plenty/bounty/(P)/
豊頬 [ほうきょう] /(n,adj-no) plump cheeks (used to describe a beautiful woman)/attractive cheeks/
豊満 [ほうまん] /(adj-na,n) stout/corpulent/plump/voluptuous/(P)/
豊稔 [ほうねん] /(n) (arch) bumper harvest/
豊沃 [ほうよく] /(adj-na,n) fertility/
豊麗 [ほうれい] /(adj-na,n) rich (design)/beautiful/splendid/
豊穰 [ほうじょう] /(n) fertility/productiveness/fruitfulness/
豊饒 [ほうじょう] /(adj-na,n) fertility/fruitfulness/
邦 [くに] /(n) (1) country/(the) state/(2) region/(3) (obs) province (of Japan)/(4) home (i.e. hometown, home country)/(5) (arch) land/earth/
邦家 [ほうか] /(n) one's country (or people or state)/
邦貨 [ほうか] /(n) Japanese money/
邦画 [ほうが] /(n) (1) Japanese film/(2) Japanese painting/(P)/
邦楽 [ほうがく] /(n) (traditional) Japanese music/(P)/
邦銀 [ほうぎん] /(n) overseas Japanese bank/
邦語 [ほうご] /(n) one's native language/Japanese/
邦字 [ほうじ] /(n) Japanese characters/kanji and kana/
邦字新聞 [ほうじしんぶん] /(n) newspaper in Japanese/Japanese-language newspaper/
邦人 [ほうじん] /(n) (1) fellow countryman/(2) Japanese (nationals or residents)/(P)/
邦船 [ほうせん] /(n) Japanese ship/
邦題 [ほうだい] /(n) Japanese (translation) title given to foreign work/
邦土 [ほうど] /(n) realm/country/
邦文 [ほうぶん] /(n) Japanese (language)/
邦訳 [ほうやく] /(n,vs) translation into Japanese/
鋒 [きっさき] /(n) point of a sword/
鋒 [とかり] /(n) (1) long-handled Chinese spear/lance/pike/
鋒 [ほう] /(n) point of a sword/
鋒 [ほこ] /(n) (1) long-handled Chinese spear/lance/pike/(2) weapon/arms/(3) grip of a bow/
鋒 [ほこさき] /(n) (1) point of spear/(2) brunt/aim of attack/force of argument/
鋒起 [ほうき] /(n,vs) uprising/revolt/
鋒鋩 [ほうぼう] /(n) (1) the tip of an edged instrument/(2) sharp words/vicious character/
飽かす [あかす] /(v5s,vt) (1) to bore/to tire/to weary/to stultify/(2) to use lavishly (and without regret)/
飽かず [あかず] /(exp,adv) with untiring zeal/
飽かせる [あかせる] /(v1,vt) (1) to bore/to tire/to weary/to stultify/(2) to use lavishly (and without regret)/
飽かぬ [あかぬ] /(adj-f) unwearied/unwearying/
飽き [あき] /(n) weariness/tiresomeness/(P)/
飽きっぽい [あきっぽい] /(adj-i) fickle/capricious/soon wearied of/
飽きる [あきる] /(v1,vi) to get tired of/to lose interest in/to have enough/(P)/
飽き易い [あきやすい] /(adj-i) tired of/wearied/fickle/
飽き性 [あきしょう] /(n) fickle nature/flighty temperament/inconstant person/
飽き足らない [あきたらない] /(adj-i) unsatisfactory/unsatisfying/
飽き足りない [あきたりない] /(adj-i) unsatisfactory/unsatisfying/
飽き足りる [あきたりる] /(v1,vi) to be satisfied/
飽き足る [あきたる] /(v5r,vi) to be satisfied/
飽き飽き [あきあき] /(n,vs) sick of/bored (with)/
飽く [あく] /(v5k,vi) (1) (arch) to tire of/to lose interest in/(2) to be satisfied/to enjoy/(3) (after the -masu stem of a verb) to do adequately/
飽くことなく [あくことなく] /(adv) (uk) insatiably/
飽くことを知らない [あくことをしらない] /(adj-i) insatiable/
飽くなき [あくなき] /(adj-pn) insatiable/untiring/persistent/
飽くまで [あくまで] /(adv) (uk) to the end/to the bitter end/to the last/stubbornly/persistently/to the utmost/
飽くまでも [あくまでも] /(adv) (uk) to the last/persistency/thoroughness/(P)/
飽く迄 [あくまで] /(adv) (uk) to the end/to the bitter end/to the last/stubbornly/persistently/to the utmost/
飽く迄も [あくまでも] /(adv) (uk) to the last/persistency/thoroughness/
飽く無き [あくなき] /(adj-pn) insatiable/untiring/persistent/
飽気 [あっけ] /(n) taken aback/dumbfounded/
飽食 [ほうしょく] /(n,vs) gluttony/satiation/engorgement/(P)/
飽食時代 [ほうしょくじだい] /(n) current era of excessive eating/era in which there is more than enough food/age of plenty/age of plentiful food/
飽食暖衣 [ほうしょくだんい] /(n,vs) being well fed and warmly clothed/
飽足りる [あきたりる] /(v1,vi) to be satisfied/
飽足る [あきたる] /(v5r,vi) to be satisfied/
飽満 [ほうまん] /(n,vs) satiety/surfeit/
飽和 [ほうわ] /(n,vs,adj-no) saturation/(P)/
飽和化合物 [ほうわかごうぶつ] /(n) saturated compound/
飽和攻撃 [ほうわこうげき] /(n) (mil) saturation attack/
飽和市場 [ほうわいちば] /(n) saturated market/
飽和脂肪酸 [ほうわしぼうさん] /(n) saturated fatty acid/
飽和状態 [ほうわじょうたい] /(n) saturation/
飽和蒸気 [ほうわじょうき] /(n) saturation vapor/saturation vapour/
飽和炭化水素 [ほうわたんかすいそ] /(n) saturated hydrocarbon/
飽和点 [ほうわてん] /(n) the saturation point/
飽和溶液 [ほうわようえき] /(n) a saturated solution/
鳳 [おおとり] /(n) (1) large bird/(2) kun (in Chinese mythology, giant bird said to be able to turn into a fish)/(3) fenghuang (Chinese phoenix)/
鳳 [おおとり] /(n) (obsc) feng (male Chinese firebird)/
鳳 [ほう] /(n) (obsc) feng (male Chinese firebird)/
鳳駕 [ほうが] /(n) imperial carriage/
鳳管 [ほうかん] /(n) (obsc) sho (Japanese free reed musical instrument)/
鳳雛 [ほうすう] /(n) gifted young person who shows much promise/
鳳声 [ほうせい] /(n) verbal message/
鳳仙花 [ほうせんか] /(n) (garden) balsam/Impatiens balsamina/
鳳蝶 [あげはちょう] /(n) (uk) swallowtail butterfly (esp. the citrus swallowtail butterfly, Papilio xuthus)/
鳳梨 [ほうり] /(n) (obsc) pineapple/
鳳了草 [いわおもだか] /(n) (uk) Pyrrosia tricuspis (species of felt fern)/
鳳蓮草 [ほうれんそう] /(n) spinach/
鳳楼 [ほうろう] /(n) (obsc) tower crowned by a representation of the mythical Firebird Goddess/beautiful tower/
鳳凰 [ほうおう] /(n) mythical Firebird Goddess (sometimes erroneously associated with 'phoenix')/female Hinotori/
鳳凰座 [ほうおうざ] /(n) (constellation) Phoenix/
鳳凰樹 [ほうおうぼく] /(iK) (n) (uk) royal poinciana (Delonix regia)/flamboyant/
鳳凰木 [ほうおうぼく] /(n) (uk) royal poinciana (Delonix regia)/flamboyant/
鳳笙 [ほうしょう] /(n) (obsc) sho (Japanese free reed musical instrument)/
鳳翅鐘 [ほうしとう] /(n) wing-rings (weapon)/
鳳輦 [ほうれん] /(n) imperial carriage/
鵬 [おおとり] /(n) (1) large bird/(2) kun (in Chinese mythology, giant bird said to be able to turn into a fish)/(3) fenghuang (Chinese phoenix)/
鵬 [ほう] /(n) (arch) peng (in Chinese mythology, giant bird said to be able to turn into a fish)/
鵬 [ぼう] /(n) (arch) peng (in Chinese mythology, giant bird said to be able to turn into a fish)/
鵬程 [ほうてい] /(n) long cruise/great distance/
鵬程万里 [ほうていばんり] /(n) (over) a great distance/(a long journey (flight, voyage)) to (from) a faraway place/
鵬翼 [ほうよく] /(n) phoenix wings/aeroplane wings/airplane wings/
乏しい [とぼしい] /(adj-i) meagre/meager/scarce/limited/destitute/hard up/lacking/scanty/poor/(P)/
乏しい [ともしい] /(adj-i) meagre/meager/scarce/limited/destitute/hard up/lacking/scanty/poor/
乏しき [とぼしき] /(n) poverty/
乏しくなる [とぼしくなる] /(v5r) to get scarce/to run short/
乏尿 [ぼうにょう] /(n) oliguria/
亡い [ない] /(adj-i) dead/
亡き [なき] /(adj-pn,n) the late/the deceased/
亡き後 [なきあと] /(n-adv,n-t) after one's death/
亡き魂 [なきたま] /(n) departed soul/spirit/
亡き者 [なきもの] /(n) dead person/
亡き親 [なきおや] /(n) deceased parent/
亡き人 [なきひと] /(n) the deceased/
亡き母 [なきはは] /(n) dead mother/
亡くす [なくす] /(v5s,vt) (1) to lose something/(2) to get rid of/(3) to lose someone (wife, child, etc.)/(P)/
亡くなす [なくなす] /(v5s,vt) to lose someone, wife, child, etc./
亡くなる [なくなる] /(v5r,vi) to die/(P)/
亡しに [なしに] /(adv) without/
亡びて行く民族 [ほろびていくみんぞく] /(n) dying race/
亡びる [ほろびる] /(v1,vi) to be ruined/to go under/to perish/to be destroyed/
亡ぶ [ほろぶ] /(v5b) to be ruined/to go under/to perish/to be destroyed/
亡ぼす [ほろぼす] /(v5s,vt) to destroy/to overthrow/to wreck/to ruin/
亡骸 [なきがら] /(n) remains/corpse/(P)/
亡君 [ぼうくん] /(n) one's deceased lord/
亡兄 [ぼうけい] /(n) one's deceased elder brother/
亡国 [ぼうこく] /(n) ruined country/
亡魂 [ぼうこん] /(n) departed soul/spirit/
亡妻 [ぼうさい] /(n) one's late wife/
亡姉 [ぼうし] /(n) one's late elder sister/
亡子 [ぼうし] /(n) dead child/
亡児 [ぼうじ] /(n) one's dead child/
亡失 [ぼうしつ] /(n,vs) loss/
亡者 [もうじゃ] /(n) the dead/
亡者船 [もうじゃぶね] /(n) ship of the dead which appears if you go fishing the night of the Bon festival/
亡状 [ぼうじょう] /(n) discourtesy/lawlessness/
亡親 [ぼうしん] /(n) deceased parent/
亡祖父 [ぼうそふ] /(n) deceased (one's late) grandfather/
亡弟 [ぼうてい] /(n) one's deceased younger brother/
亡八 [ぼうはち] /(n) (1) customer at a brothel/john/someone who has forgotten the eight virtues/(2) brothel/owner of a brothel/
亡夫 [ぼうふ] /(n) my deceased husband/my late husband/(P)/
亡婦 [ぼうふ] /(n) deceased wife/deceased lady/
亡父 [ぼうふ] /(n) my deceased father/my late father/(P)/
亡母 [ぼうぼ] /(n) my late mother/
亡妹 [ぼうまい] /(n) one's deceased younger sister/
亡命 [ぼうめい] /(n,vs) emigration/exile/flight from one's country/defection/(P)/
亡命希望者 [ぼうめいきぼうしゃ] /(n) asylum seeker/
亡命者 [ぼうめいしゃ] /(n) refugee/exile/displaced persons/
亡命政権 [ぼうめいせいけん] /(n) government in exile/
亡命生活 [ぼうめいせいかつ] /(n) life in exile/
亡命文学 [ぼうめいぶんがく] /(n) exile literature/
亡友 [ぼうゆう] /(n) deceased friend/
亡羊の嘆 [ぼうようのたん] /(n) bemoaning the frustration of reaching truth (for surplus of academic paths)/being at a loss/
亡霊 [ぼうれい] /(n) ghost/the dead/departed spirits/apparition/(P)/
傍 [かたわら] /(io) (adj-no,n-adv,n-t) (1) side/edge/beside/besides/nearby/(n-adv) (2) while (doing)/
傍 [そば] /(n) (1) near/close/beside/vicinity/proximity/besides/while/
傍 [はた] /(n) (1) near/close/beside/vicinity/proximity/besides/while/(2) third person/
傍 [わき] /(n) (1) side/aside/(2) armpit/(3) back-burner/
傍から [そばから] /(n) (uk) as soon as/right after/
傍に置く [わきにおく] /(exp,v5k) to lay aside/
傍の者達 [はたのものたち] /(n) onlookers/bystanders/
傍ら [かたわら] /(adj-no,n-adv,n-t) (1) side/edge/beside/besides/nearby/(n-adv) (2) while (doing)/(P)/
傍らに [かたわらに] /(adv) beside/nearby/
傍らに寄る [かたわらによる] /(exp,v5r) to step aside/
傍観 [ぼうかん] /(n,vs) looking on/remaining a spectator/(P)/
傍観者 [ぼうかんしゃ] /(n) onlooker/bystander/
傍観的 [ぼうかんてき] /(adj-na) hands-off/indifferent/spectatorial/
傍訓 [ぼうくん] /(n) marginal notes/
傍系 [ぼうけい] /(n,adj-no) collateral family/subsidiary line/affiliate/
傍系血族 [ぼうけいけつぞく] /(n) collateral relation by blood/
傍見 [おかみ] /(n) looking on by an outsider/
傍惚れ [おかぼれ] /(n,vs) unrequited love/illicit love/secret affections/
傍視 [ぼうし] /(n,vs) looking from the side/looking aside/
傍視 [わきみ] /(n,vs) looking from the side/looking aside/
傍耳 [かたみみ] /(n) things overheard/
傍若無人 [ぼうじゃくぶじん] /(adj-na,n,adj-no) arrogance/audacity/(behaving) outrageously as though there were no one around/insolence/defiance/overbearing/
傍受 [ぼうじゅ] /(n,vs) interception/monitoring/tapping/(P)/
傍焼き [おかやき] /(n) jealousy/envy/
傍証 [ぼうしょう] /(n,vs) supporting evidence/corroboration/
傍杖 [そばづえ] /(n) blow received by a bystander/getting dragged in to somebody else's fight/
傍人 [ぼうじん] /(n) bystander/
傍線 [ぼうせん] /(n) underline/side line (equivalent to underlining in vertically written text)/
傍題 [ぼうだい] /(n) subtitle (e.g. of a book)/
傍注 [ぼうちゅう] /(n) side notes/gloss/
傍註 [ぼうちゅう] /(n) marginal notes/
傍聴 [ぼうちょう] /(n,vs) hearing/listening/attendance/auditing/(P)/
傍聴券 [ぼうちょうけん] /(n) admission ticket/
傍聴人 [ぼうちょうにん] /(n) hearer/auditor/audience/
傍聴随意 [ぼうちょうずいい] /(n) admission free/
傍聴席 [ぼうちょうせき] /(n) visitor's gallery/seats for the public/
傍聴無料 [ぼうちょうむりょう] /(n) admission free/
傍聴料 [ぼうちょうりょう] /(n) admission fee/
傍点 [ぼうてん] /(n) (1) marks or dots used to emphasize text passage (emphasise)/(2) marks to facilitate reading of kanbun/
傍点訳者 [ぼうてんやくしゃ] /(exp) markings put on a passage by a translator/reading(s) added by translator/
傍輩 [ほうばい] /(n) comrade/friend/associate/colleague/fellow student/fellow apprentice/
傍白 [ぼうはく] /(n) (theatrical) aside/
傍迷惑 [はためいわく] /(adj-na,n) nuisance to other people/inconvenience to others/
傍目 [おかめ] /(n) looking on by an outsider/
傍目 [はため] /(n) looking on by an outsider/
傍目八目 [おかめはちもく] /(n) (1) bystander's vantage point/outsider's better grasp of the situation/(exp) (2) onlookers see more of the game than the players do/lit: people watching a game of Go see 8 moves further ahead/
傍役 [わきやく] /(n,adj-no) supporting role (actor)/minor role/
傍流 [ぼうりゅう] /(n) branch/tributary/
傍論 [ぼうろん] /(n) digression/dicta/dictums/
剖検 [ぼうけん] /(n,vs) autopsy/necropsy/
坊 [ぼう] /(n) (1) bonze/monk/(2) monk's dwelling/(3) (vocative) boy/sonny/(4) I (used by male children)/me/(suf) (5) (after name) familiar form of address/(6) person who is ../
坊さん [ぼうさん] /(n) Buddhist priest/monk/(P)/
坊ち [ぼんち] /(n) (uk) (ksb:) young gentleman/boy/
坊ちゃん [ぼっちゃん] /(n) (1) (hon) son (of others)/(2) young master/(3) green young man from a well-to-do family/(P)/
坊ちゃん刈り [ぼっちゃんがり] /(n) pudding bowl hair cut/
坊っちゃん [ぼっちゃん] /(n) (1) (hon) son (of others)/(2) young master/(3) green young man from a well-to-do family/(P)/
坊の主 [ぼうのあるじ] /(n) master of the priests quarters/
坊や [ぼうや] /(n) boy/
坊ん様 [ぼんさま] /(io) (n) (1) (hon) monk/priest/(2) (hon) (fam) boy/
坊間 [ぼうかん] /(n) all over town/
坊主 [ぼうず] /(n) (1) Buddhist priest/bonze/(2) close cropped hair/crew cut/person with a shorn head/(3) boy (used both endearingly and disparagingly)/(P)/
坊主刈り [ぼうずがり] /(n) closely cropped hair/
坊主沙魚 [ぼうずはぜ] /(n) (uk) Sicyopterus japonicus (species of goby)/
坊主畳 [ぼうずだたみ] /(n) tatami mat without a "heri" (edge)/
坊主憎けりゃ袈裟まで憎い [ぼうずにくけりゃけさまでにくい] /(exp) hate everything about a person/
坊主頭 [ぼうずあたま] /(n) close-cropped hair/shaven head/
坊様 [ぼんさま] /(n) (1) (hon) monk/priest/(2) (hon) (fam) boy/
妨げ [さまたげ] /(n) obstruction/hindrance/(P)/
妨げる [さまたげる] /(v1,vt) to disturb/to prevent/to obstruct/to hinder/(P)/
妨害 [ぼうがい] /(n,vs,adj-no) disturbance/obstruction/hindrance/jamming/interference/(P)/
妨害工作 [ぼうがいこうさく] /(n) sabotage/
妨害工作員 [ぼうがいこうさくいん] /(n) saboteur/
妨害行為 [ぼうがいこうい] /(n) interference/obstruction/
妨害戦術 [ぼうがいせんじゅつ] /(n) obstructive tactics/harassing tactics/
妨害物 [ぼうがいぶつ] /(n) obstacle/
妨害放送 [ぼうがいほうそう] /(n) radio jamming/
妨碍 [ぼうがい] /(n,vs,adj-no) disturbance/obstruction/hindrance/jamming/interference/
妨業 [ぼうぎょう] /(n) sabotage/
妨業員 [ぼうぎょういん] /(n) saboteur/
妨礙 [ぼうがい] /(n,vs,adj-no) disturbance/obstruction/hindrance/jamming/interference/
帽 [ぼう] /(n-suf,n) hat/cap/
帽子 [ぼうし] /(n) hat/cap/(P)/
帽子を取る [ぼうしをとる] /(exp,v5r) to take off one's hat/
帽子屋 [ぼうしや] /(n) hat shop/hatmaker/
帽子掛 [ぼうしかけ] /(n) hat rack/
帽子掛け [ぼうしかけ] /(n) hat rack/
帽章 [ぼうしょう] /(n) cap badge/
忘る [わする] /(v5r) (arch) to lose something/
忘るな草 [わするなぐさ] /(n) forget-me-not/
忘れかける [わすれかける] /(v1) to start forgetting/
忘れがたい [わすれがたい] /(adj-i) unforgettable/memorable/
忘れがち [わすれがち] /(adj-na,adj-no) (uk) forgetful/oblivious of/negligent/
忘れっぽい [わすれっぽい] /(adj-i) forgetful/
忘れな草 [わすれなぐさ] /(n) forget-me-not (esp. the water forget-me-not, Myosotis scorpioides)/
忘れられる [わすれられる] /(v1) to slip into obscurity/to be forgotten/
忘れる [わすれる] /(v1,vt) to forget/to leave carelessly/to be forgetful of/to forget about/to forget (an article)/(P)/
忘れん坊 [わすれんぼう] /(n) forgetful person/
忘れ去る [わすれさる] /(v5r,vt) to forget completely/to leave behind/
忘れ形見 [わすれがたみ] /(n) (1) memento (from a dead person)/souvenir/keepsake/(2) orphan/posthumous child/
忘れ緒 [わすれお] /(n) decorative gauze strap that hangs from the front left side of the kohimo when tying closed one's hanpi/
忘れ勝ち [わすれがち] /(adj-na,adj-no) (uk) forgetful/oblivious of/negligent/
忘れ扇 [わすれおうぎ] /(n) discarded fan (in autumn)/forgotten fan/
忘れ草 [わすれぐさ] /(n) (1) (uk) Hemerocallis fulva var. kwanso (variety of daylily)/(2) tobacco/
忘れ霜 [わすれじも] /(n) late frost/frost in late spring/
忘れ難い [わすれがたい] /(adj-i) unforgettable/memorable/
忘れ物 [わすれもの] /(n) lost article/something forgotten/(P)/
忘恩 [ぼうおん] /(n) ingratitude/thanklessness/
忘我 [ぼうが] /(n,adj-no) trance/ecstasy/enthusiasm/
忘却 [ぼうきゃく] /(n,vs) lapse of memory/forgetfulness/oblivion/(P)/
忘己利他 [ぼうみりた] /(n) selflessness/selfless devotion to the service of others/
忘失 [ぼうしつ] /(n,vs) lose/forget/
忘緒 [わすれお] /(n) decorative gauze strap that hangs from the front left side of the kohimo when tying closed one's hanpi/
忘年 [ぼうねん] /(n) forgetting the hardships of the old year/
忘年会 [ぼうねんかい] /(n) year-end party/(P)/
忘八 [ぼうはち] /(n) (1) customer at a brothel/john/someone who has forgotten the eight virtues/(2) brothel/owner of a brothel/
忘八屋 [くつわや] /(n) (arch) brothel/
忙がしい [いそがしい] /(io) (adj-i) busy/hectic/occupied/engaged/
忙しい [いそがしい] /(adj-i) busy/hectic/occupied/engaged/(P)/
忙しい [せわしい] /(adj-i) busy/hectic/occupied/engaged/
忙しげ [せわしげ] /(adj-na) looking busy/appearing busy/looking restless/
忙しない [せわしない] /(adj-i) restless/fidgety/in a hurry/
忙を厭わず [ぼうをいとわず] /(exp) despite one's busyness/
忙殺 [ぼうさつ] /(n,vs) worked to death/
忙殺される [ぼうさつされる] /(v1) to be worked to death/to be very busily occupied/
忙中 [ぼうちゅう] /(n) (in the midst of) busyness/
忙中閑有り [ぼうちゅうかんあり] /(n) find odd moments of leisure in one's busy life/
忙中有閑 [ぼうちゅうゆうかん] /(n) having free time to spare in the midst of busyness/leisure in the intervals of one's work/
房 [ふさ] /(n) (1) tuft/tassel/(2) bunch (of grapes, etc.)/(3) section (of an orange, etc.)/(P)/
房 [ぼう] /(n) (1) chamber/room/(2) home of a monk/monk/(3) Chinese "room" constellation (one of the 28 mansions)/
房々 [ふさふさ] /(adj-na,adv,adv-to) (uk) in tufts/tufty/
房々した [ふさふさした] /(adj-f) tufty/fringy/floculent/fleecy/abundant/flowing (hair)/
房すぐり [ふさすぐり] /(n) cultivated currant (Ribes altissimum)/
房の内 [ぼうのうち] /(n) inside of a chamber/
房スグリ [ふさスグリ] /(n) cultivated currant (Ribes altissimum)/
房酸塊 [ふさすぐり] /(n) cultivated currant (Ribes altissimum)/
房事 [ぼうじ] /(n) sex/sexual intercourse/lovemaking/
房室 [ぼうしつ] /(n) (1) room/chamber/(2) monk in charge of business in the monks' quarters/(3) bedroom (of a married couple)/(4) locule (in a plant ovary)/(5) atria and ventricles/
房室結節 [ぼうしつけっせつ] /(n) atrioventricular node/AV node/
房室弁 [ぼうしつべん] /(n) atrioventricular valve/
房宿 [そいぼし] /(n) (1) (arch) Chinese "room" constellation (one of the 28 mansions)/
房術 [ぼうじゅつ] /(n) ability in the bedroom/art of lovemaking/
房水 [ぼうすい] /(n) aqueous humor/
房星 [そいぼし] /(n) (1) (arch) Chinese "room" constellation (one of the 28 mansions)/
房藻 [ふさも] /(n) (uk) whorl-leaf water milfoil (Myriophyllum verticillatum)/
房中 [ぼうちゅう] /(n) within a room/
房中術 [ぼうちゅうじゅつ] /(n) ability in the bedroom/art of lovemaking/
房尾巻猿 [ふさおまきざる] /(n) (uk) brown capuchin/tufted capuchin (Cebus apella)/
房房 [ふさふさ] /(adj-na,adv,adv-to) (uk) in tufts/tufty/
房房した [ふさふさした] /(adj-f) tufty/fringy/floculent/fleecy/abundant/flowing (hair)/
暴きだす [あばきだす] /(v5s) to dig up and expose a criminal matter/
暴き出す [あばきだす] /(v5s) to dig up and expose a criminal matter/
暴く [あばく] /(v5k,vt) to disclose/to divulge/to expose/
暴れだす [あばれだす] /(v5s) to grow restive/to begin to act violently/
暴れる [あばれる] /(v1,vi) to act violently/to rage/to struggle/to be riotous/(P)/
暴れん坊 [あばれんぼう] /(n) (1) rambuctious kid/wild kid/(2) hooligan/rowdy/roughneck/a rough/
暴れ回る [あばれまわる] /(v5r) to rampage/to run riot/
暴れ狂う [あばれくるう] /(v5u) to rage/to run amok (amuck)/to tear around/
暴れ込む [あばれこむ] /(v5m) to enter someone's territory by force/
暴れ者 [あばれもの] /(n) roughneck/
暴れ出す [あばれだす] /(v5s) to grow restive/to begin to act violently/
暴れ川 [あばれがわ] /(n) river which often overflows its banks/
暴れ馬 [あばれうま] /(n) restive horse/runaway/
暴悪 [ぼうあく] /(adj-na,n) violence/
暴悪無類 [ぼうあくむるい] /(n,adj-no) incomparably ruthless/diabolical/
暴圧 [ぼうあつ] /(n,vs) violent suppression/
暴威 [ぼうい] /(n) tyranny/
暴飲 [ぼういん] /(n,vs) heavy drinking/
暴飲暴食 [ぼういんぼうしょく] /(n,adj-no) drinking and eating too much/
暴漢 [ぼうかん] /(n) hoodlum/ruffian/
暴虐 [ぼうぎゃく] /(adj-na,n) tyranny/outrage/atrocity/cruel/(P)/
暴虐を極める [ぼうぎゃくをきわめる] /(exp,v1) to act with extreme violence/
暴虐非道 [ぼうぎゃくひどう] /(n,adj-na) violent and cruel/tyrannical and atrocious/
暴挙 [ぼうきょ] /(n) violence/reckless action/(P)/
暴君 [ぼうくん] /(n) tyrant/despot/
暴言 [ぼうげん] /(n) reckless remark/rash remark/abusive language/thoughtless words/
暴虎馮河 [ぼうこひょうが] /(n) foolhardy courage/
暴行 [ぼうこう] /(n,vs) assault/outrage/act of violence/(P)/
暴状 [ぼうじょう] /(n) an atrocity or outrage/
暴食 [ぼうしょく] /(n,vs) surfeit/
暴政 [ぼうせい] /(n) tyranny/
暴走 [ぼうそう] /(n,vs) running wildly/reckless driving/runaway/rampage/(P)/
暴走運転 [ぼうそううんてん] /(n) reckless driving/
暴走族 [ぼうそうぞく] /(n) club of rabble-rousing reckless-driving delinquents/biker gang/group of hot rodders/
暴徒 [ぼうと] /(n) insurgent/(P)/
暴投 [ぼうとう] /(n,vs) wild pitch (baseball)/
暴騰 [ぼうとう] /(n,vs) sudden rise/sharp rise/boom/skyrocketing/(P)/
暴動 [ぼうどう] /(n,adj-no) insurrection/rebellion/revolt/riot/uprising/(P)/
暴動を治める [ぼうどうをおさめる] /(exp,v1) to quell a disturbance/
暴動を収める [ぼうどうをおさめる] /(exp,v1) to quell a disturbance/
暴発 [ぼうはつ] /(n,vs) spontaneous discharge/accidental gun discharge/
暴風 [ぼうふう] /(n) storm/windstorm/gale/(P)/
暴風域 [ぼうふういき] /(n) storm area/
暴風雨 [ぼうふうう] /(n) storm/(P)/
暴風圏 [ぼうふうけん] /(n) storm zone/
暴風雪 [ぼうふうせつ] /(n) blizzard/snowstorm/
暴慢 [ぼうまん] /(adj-na,n) ill-mannered/overbearing/
暴民 [ぼうみん] /(n) a mob/
暴戻 [ぼうれい] /(adj-na,n) tyranny/atrocity/
暴落 [ぼうらく] /(n,vs) slump/crash/heavy fall/decline/(P)/
暴利 [ぼうり] /(n) excessive profits/usury/
暴力 [ぼうりょく] /(n) violence/mayhem/(P)/
暴力に訴える [ぼうりょくにうったえる] /(exp,v1) to resort to violence/
暴力シーン [ぼうりょくシーン] /(n) violent scene (in a movie, etc.)/
暴力革命 [ぼうりょくかくめい] /(n) violent revolution/
暴力行為 [ぼうりょくこうい] /(n) act of violence/violent behavior/
暴力沙汰 [ぼうりょくざた] /(n) (committing, resorting to) an act of violence/
暴力手段 [ぼうりょくしゅだん] /(n) violent means/
暴力団 [ぼうりょくだん] /(n) gangster organization (organisation)/crime syndicate/yakuza (Japanese mafia)/band of thugs/group of hoodlums/(P)/
暴力団員 [ぼうりょくだんいん] /(n) gangster/mobster/yakuza (member)/
暴力団抗争 [ぼうりょくだんこうそう] /(n) gangland war/
暴力団狩り [ぼうりょくだんがり] /(n) roundup of gangsters/
暴力団組員 [ぼうりょくだんくみいん] /(n) (sens) mobsters/gangsters/
暴力団対策法 [ぼうりょくだんたいさくほう] /(n) Anti-Organized Crime Law (1991)/
暴露 [ばくろ] /(n,vs) disclosure/exposure/revelation/(P)/
暴露戦術 [ばくろせんじゅつ] /(n) exposure tactics/muckraking tactics/
暴論 [ぼうろん] /(n) irrational (line of) argument/
望 [ぼう] /(n) (1) full moon/(2) 15th day of the lunar month/
望 [もち] /(n) (1) full moon/(2) 15th day of the lunar month/
望の月 [もちのつき] /(n) (arch) full moon/
望ましい [のぞましい] /(adj-i) desirable/hoped for/(P)/
望み [のぞみ] /(n) (1) wish/desire/hope/(2) prospect/expectation/(one's) hopes/(P)/
望みが適う [のぞみがかなう] /(exp,v5u) to have one's wish realized/to have one's wish realised/
望み見る [のぞみみる] /(v1,vt) to gaze into the distance/
望み次第 [のぞみしだい] /(n) just as one wishes/
望み通り [のぞみどおり] /(n) just as one wishes/
望み薄 [のぞみうす] /(adj-na) faint hopes/dim prospects/
望む [のぞむ] /(v5m,vt) to desire/to wish for/to see/to command (a view of)/(P)/
望むらくは [のぞむらくは] /(exp,adv) I pray that/I wish that/
望遠 [ぼうえん] /(n) seeing at a distance/
望遠レンズ [ぼうえんレンズ] /(n) telephoto lens/
望遠魚 [ぼうえんぎょ] /(n) (uk) telescopefish (Giganturidae spp., esp. species Gigantura chuni)/
望遠鏡 [ぼうえんきょう] /(n) telescope/(P)/
望火楼 [ぼうかろう] /(n) (arch) fire lookout/(fire) watchtower/
望外 [ぼうがい] /(adj-na,n,adj-no) unexpected/unanticipated/
望郷 [ぼうきょう] /(n) homesickness/nostalgia/
望郷の念 [ぼうきょうのねん] /(n) sense of nostalgia/
望月 [ぼうげつ] /(n) (1) full moon/15th day of the lunar calendar/
望月 [もちづき] /(n) (1) full moon/15th day of the lunar calendar/(2) full moon of the eighth lunar month/(P)/
望見 [ぼうけん] /(n,vs) watching from afar/
望潮 [しおまねき] /(n) (uk) fiddler crab (esp. species Uca arcuata)/
望楼 [ぼうろう] /(n) watchtower/observation tower/lookout/
望樓 [ぼうろう] /(oK) (n) watchtower/observation tower/lookout/
望蜀 [ぼうしょく] /(n) insatiability/
某 [それがし] /(pn,adj-no) (1) (obs) someone/(2) I/personal pronoun/
某 [なにがし] /(pn,adj-no) (1) certain person/certain amount/Mr So-and-so/(2) I (personal pronoun)/
某 [ぼう] /(n,pref) certain/one/
某々 [ぼうぼう] /(n) so-and-so/
某かの金 [なにがしかのかね] /(n) a certain sum of money/some money/
某の仕業 [ぼうのしわざ] /(n) the work (doings) of so-and-so/
某月 [ぼうげつ] /(n-t) a certain month/
某高校 [ぼうこうこう] /(n) a certain high school/
某国 [ぼうこく] /(n) certain country/
某氏 [ぼうし] /(n) certain person/unnamed person/
某誌 [ぼうし] /(n) a certain publication/
某社 [ぼうしゃ] /(n) certain company/unnamed company/
某所 [ぼうしょ] /(n) certain place/
某省 [ぼうしょう] /(n) a certain ministry/an unspecified ministry/
某日 [ぼうじつ] /(n-t) certain day/
某某 [ぼうぼう] /(n) so-and-so/
棒 [ぼう] /(n) pole/rod/stick/(P)/
棒々鶏 [バンバンジー] /(n) bang bang chicken (Szechuan dish of chicken in a spicy sauce) (chi: bang bang ji)/
棒で殴る [ぼうでなぐる] /(v5r) to hit with a club/
棒に振る [ぼうにふる] /(v5r) to make a mess of/to sacrifice/to waste/
棒を引く [ぼうをひく] /(exp,v5k) to draw a line/
棒グラフ [ぼうグラフ] /(n) bar graph/
棒暗記 [ぼうあんき] /(n,vs) indiscriminate learning by heart/
棒引き [ぼうびき] /(n,vs) cancellation/writing off (a debt)/
棒温度計 [ぼうおんどけい] /(n) bar thermometer/
棒球 [ぼうだま] /(n) powerless straight ball (baseball)/
棒杭 [ぼうぐい] /(n) stake/pile/
棒紅 [ぼうべに] /(n) (obsc) lipstick/
棒鋼 [ぼうこう] /(n) steel rod/
棒高跳び [ぼうたかとび] /(n) pole vault (jump)/
棒磁石 [ぼうじしゃく] /(n) bar magnet/
棒縞 [ぼうじま] /(n) stripes/
棒手振 [ぼてふり] /(n) (obsc) Edo-era street merchant who carried wares hanging from a pole, hawking them in the street/
棒手振り [ぼてふり] /(n) (obsc) Edo-era street merchant who carried wares hanging from a pole, hawking them in the street/
棒術 [ぼうじゅつ] /(n) bojutsu (art of using a stick as a weapon)/cudgels/
棒状 [ぼうじょう] /(n,adj-no) cylinder or rod-shaped/
棒状分子 [ぼうじょうぶんし] /(n) rod-like molecule/
棒針 [ぼうばり] /(n) knitting needle/
棒人間 [ぼうにんげん] /(n) stick figure; stick person/
棒切 [ぼうきれ] /(io) (n) stick/piece of wood/bit of a broken pole/
棒切 [ぼうぎれ] /(io) (n) stick/piece of wood/bit of a broken pole/
棒切れ [ぼうきれ] /(n) stick/piece of wood/bit of a broken pole/
棒切れ [ぼうぎれ] /(n) stick/piece of wood/bit of a broken pole/
棒先 [ぼうさき] /(n) (1) end (of a stick, rod, pole, etc.)/(2) end of a palanquin carrying pole/(3) palanquin bearer/
棒線 [ぼうせん] /(n) straight line/
棒組み [ぼうぐみ] /(n) galley setting/
棒鱈 [ぼうだら] /(n) dried codfish soaked in water for few days, and cooked almost to dryness in soy sauce and water (Kyoto speciality)/
棒倒し [ぼうたおし] /(n) game in which the object is to topple the opposing team's pole/
棒読み [ぼうよみ] /(n,vs) reading in a monotone/reading a Chinese classical text without translating it into Japanese/
棒腹絶倒 [ほうふくぜっとう] /(n,vs) very funny/laugh oneself into convulsions/split one's sides laughing/
棒棒鶏 [バンバンジー] /(n) bang bang chicken (Szechuan dish of chicken in a spicy sauce) (chi: bang bang ji)/
棒立ち [ぼうだち] /(n) standing upright/standing bolt upright/rearing/(P)/
棒杙 [ぼうぐい] /(n) stake/pile/
冒す [おかす] /(v5s,vt) to brave/to risk/to face/to venture/to desecrate/to profane/(P)/
冒とく [ぼうとく] /(n,vs) (uk) blasphemy/curse/profanity/sacrilege/desecration/
冒険 [ぼうけん] /(n,vs) risk/venture/adventure/(P)/
冒険家 [ぼうけんか] /(n) adventurer/
冒険者 [ぼうけんしゃ] /(n) adventurer/
冒険小説 [ぼうけんしょうせつ] /(n) adventure story/novel of adventure/
冒険心 [ぼうけんしん] /(n) adventurous spirit/
冒険談 [ぼうけんだん] /(n) tale of adventure/
冒険的 [ぼうけんてき] /(adj-na) adventurous/risky/hazardous/perilous/
冒険野郎 [ぼうけんやろう] /(n) adventure lover/
冒頭 [ぼうとう] /(adv,n,adj-no) beginning/start/outset/(P)/
冒頭陳述 [ぼうとうちんじゅつ] /(n) opening statement/
冒涜 [ぼうとく] /(n,vs) (uk) blasphemy/curse/profanity/sacrilege/desecration/
冒讀 [ぼうとく] /(iK) (n,vs) (uk) blasphemy/curse/profanity/sacrilege/desecration/
紡ぎ [つむぎ] /(n) pongee (soft thin cloth woven from raw silk)/
紡ぎ歌 [つむぎうた] /(n) spinning song/
紡ぐ [つむぐ] /(v5g,vt) to spin/to make yarn/(P)/
紡機 [ぼうき] /(n) spinning machine/
紡糸 [ぼうし] /(n) spinning/spun cotton (wool)/
紡車 [ぼうしゃ] /(n) spinning wheel/
紡織 [ぼうしょく] /(n) spinning and weaving/(P)/
紡錘 [つむ] /(n) spindle/
紡錘 [ぼうすい] /(n) spindle/
紡錘形 [ぼうすいけい] /(n) spindle-shaped/
紡錘車 [ぼうすいしゃ] /(n) (arch) spindle base/
紡錘体 [ぼうすいたい] /(n) (biological) spindle/
紡績 [ぼうせき] /(n,vs) spinning/(P)/
紡績機械 [ぼうせききかい] /(n) spinning machine/spinning machinery/
紡績工 [ぼうせきこう] /(n) a spinner/spinning mill employee/
紡績工場 [ぼうせきこうじょう] /(n) spinning mill/cotton mill/
紡績糸 [ぼうせきいと] /(n) spun yarn/
紡績突起 [ぼうせきとっき] /(n) (obsc) spinneret (of a spider)/
紡毛 [ぼうもう] /(n) carded wool/
膨よか [ふくよか] /(adj-na,n) (uk) plump/full/well-rounded/
膨らか [ふくらか] /(adj-na) (arch) plump/full/well-rounded/
膨らかす [ふくらかす] /(v5s,vt) (arch) to expand/to inflate/
膨らし粉 [ふくらしこ] /(n) baking powder/
膨らす [ふくらす] /(v5s,vt) to expand/to inflate/
膨らます [ふくらます] /(v5s,vt) to swell/to expand/to inflate/to bulge/(P)/
膨らみ [ふくらみ] /(n) swelling/bulge/puff/
膨らむ [ふくらむ] /(v5m,vi) to expand/to swell (out)/to get big/to become inflated/(P)/
膨ら脛 [ふくらはぎ] /(n) calf (of leg)/
膨れっ面 [ふくれっつら] /(n,adj-no) sulky look/sullen look/
膨れる [ふくれる] /(v1,vi) to get cross/to get sulky/to swell (out)/to expand/to be inflated/to distend/to bulge/(P)/
膨れ上がる [ふくれあがる] /(v5r) to swell up/
膨れ上る [ふくれあがる] /(v5r) to swell up/
膨圧 [ぼうあつ] /(n) turgor pressure/
膨潤 [ぼうじゅん] /(n,vs) swelling/swell (with water)/swollen/
膨大 [ぼうだい] /(adj-na,n,adj-no) huge/bulky/enormous/extensive/swelling/expansion/(P)/
膨張 [ぼうちょう] /(n,vs,adj-no) expansion/swelling/increase/growth/(P)/
膨張宇宙 [ぼうちょううちゅう] /(n) expanding universe/
膨張剤 [ぼうちょうざい] /(n) leavening agent (such as sourdough, yeast, baking powder)/
膨張式 [ぼうちょうしき] /(n) inflatable (in the sense of "needs to be inflated for normal use")/
膨張度 [ぼうちょうど] /(n) dilation (of a sound wave in acoustics)/
膨張率 [ぼうちょうりつ] /(n) rate of expansion/
膨脹 [ぼうちょう] /(n,vs,adj-no) expansion/swelling/increase/growth/(P)/
膨脹剤 [ぼうちょうざい] /(n) leavening agent (such as sourdough, yeast, baking powder)/
膨満 [ぼうまん] /(n,vs,adj-no) inflation/
膨隆 [ぼうりゅう] /(n,vs) swelling up/
謀 [はかりごと] /(n) plan/strategy/
謀る [たばかる] /(v5r,vt) (1) (uk) (arch) to work out a plan of deception/to scheme/to take in/to dupe/(2) to think up a plan/to think over a plan/(3) to discuss/to consult/
謀る [はかる] /(v5r,vt) (1) to plot/to attempt/to plan/to devise/to design/(2) to take in/to deceive/(3) to aim for/to have something in mind/(4) to refer A to B/(P)/
謀議 [ぼうぎ] /(n,vs) plot/conspiracy/conference/
謀計 [ぼうけい] /(n) conspiracy/plot/
謀殺 [ぼうさつ] /(n,vs) deliberate (premeditated, wilful, willful) murder/
謀臣 [ぼうしん] /(n) strategist/tactician/schemer/
謀大逆 [ぼうたいぎゃく] /(n) (arch) plotting to damage the imperial palace or an imperial tomb/
謀反 [ぼうへん] /(n) (arch) plotting to overthrow the government (by assassinating the emperor)/
謀反 [むへん] /(n) (arch) plotting to overthrow the government (by assassinating the emperor)/
謀反 [むほん] /(n,vs) (1) rebellion/uprising/insurrection/(2) (arch) treason/
謀反人 [むほんにん] /(n) rebel/traitor/
謀叛 [ぼうはん] /(n,vs) (1) rebellion/uprising/insurrection/(2) (arch) treason/
謀叛 [むほん] /(n,vs) (1) rebellion/uprising/insurrection/(2) (arch) treason/
謀略 [ぼうりゃく] /(n) strategy/stratagem/trick/scheme/plot/(P)/
貌 [かたち] /(n) (1) visage/
貿易 [ぼうえき] /(n,vs) trade (foreign)/(P)/
貿易サービス収支 [ぼうえきサービスしゅうし] /(n) balance on goods and services/
貿易依存度 [ぼうえきいぞんど] /(n) degree of dependence on foreign trade/
貿易会社 [ぼうえきがいしゃ] /(n) trading company/
貿易外収支 [ぼうえきがいしゅうし] /(n) invisible trade balance/
貿易業 [ぼうえきぎょう] /(n) trading business/
貿易港 [ぼうえきこう] /(n) trade port/
貿易黒字 [ぼうえきくろじ] /(n) trade surplus/
貿易自由化 [ぼうえきじゆうか] /(n,vs) trade liberalization/trade liberalisation/
貿易収支 [ぼうえきしゅうし] /(n) trade balance/
貿易商 [ぼうえきしょう] /(n) trader/
貿易障壁 [ぼうえきしょうへき] /(n) trade barrier/
貿易上 [ぼうえきじょう] /(n,adj-no) trade (foreign)/
貿易赤字 [ぼうえきあかじ] /(n) trade deficit/
貿易船 [ぼうえきせん] /(n) trading vessel/
貿易品 [ぼうえきひん] /(n) articles of commerce/
貿易風 [ぼうえきふう] /(n) trade wind/
貿易保険 [ぼうえきほけん] /(n) trade insurance/
貿易法 [ぼうえきほう] /(n) trade law/
貿易摩擦 [ぼうえきまさつ] /(n) trade friction/
貿易量 [ぼうえきりょう] /(n) amount of trade/trade volume/
鉾 [ほこ] /(n) (1) long-handled Chinese spear/lance/pike/(2) weapon/arms/(3) grip of a bow/
鉾杉 [ほこすぎ] /(n) spear-shaped Japanese cedar/
鉾先 [ほこさき] /(n) (1) point of spear/(2) brunt/aim of attack/force of argument/
防ぎ [ふせぎ] /(n) defense/defence/protecting/preventing/
防ぐ [ふせぐ] /(v5g,vt) to defend (against)/to protect/to prevent/(P)/
防じん [ぼうじん] /(n) (1) protection against dust/(adj-no) (2) dust-proof/dust-tight/
防まつ [ぼうまつ] /(adj-f) splashproof/
防カビ [ぼうカビ] /(n) mold prevention/mildew prevention/
防カビ剤 [ぼうカビざい] /(n) anti-mold agent/mildew-proofing agent/
防衛 [ぼうえい] /(n,vs) defense/defence/protection/self-defense/self-defence/(P)/
防衛機構 [ぼうえいきこう] /(n) defence mechanism/defense mechanism/
防衛機制 [ぼうえいきせい] /(n) defense mechanism/
防衛計画 [ぼうえいけいかく] /(n) defence program/defence plan/
防衛計画の大綱 [ぼうえいけいかくのたいこう] /(n) National Defense Program Outline/
防衛策 [ぼうえいさく] /(n) defense plan/
防衛施設庁 [ぼうえいしせつちょう] /(n) (Japanese) Defense Facilities Administration Agency (Defence)/(P)/
防衛省 [ぼうえいしょう] /(n) Ministry of Defense (formerly Japan Defense Agency)/
防衛戦 [ぼうえいせん] /(n) defensive battle/
防衛線 [ぼうえいせん] /(n) line of defence (defense)/lines (as in enemy lines, etc.)/
防衛相 [ぼうえいしょう] /(n) Minister of Defense/Minister of Defence/
防衛大臣 [ぼうえいだいじん] /(n) Minister of Defense/Minister of Defence/
防衛庁 [ぼうえいちょう] /(n) Japan Defense Agency (Defence) (became Japanese Ministry of Defense in Jan. 2007)/(P)/
防衛庁長官 [ぼうえいちょうちょうかん] /(n) Director General of (former) Defence Agency (Defense)/
防衛能力 [ぼうえいのうりょく] /(n) defense capability/defence capability/
防衛費 [ぼうえいひ] /(n) defense costs/defence costs/ERA/
防衛部長 [ぼうえいぶちょう] /(n) assistant chief of staff, g3/
防衛力 [ぼうえいりょく] /(n) defense capability (defence)/
防疫 [ぼうえき] /(n) communicable disease control (e.g. by quarantine, disinfection, etc.)/prevention of epidemics/(P)/
防炎 [ぼうえん] /(n) fire prevention/
防炎剤 [ぼうえんざい] /(n) fire-extinguishing agent/
防煙 [ぼうえん] /(n,adj-no) protection from smoke/anti-smoke/
防音 [ぼうおん] /(n,vs,adj-no) soundproof(ing)/(P)/
防音室 [ぼうおんしつ] /(n) soundproof room/
防音設備 [ぼうおんせつび] /(n) soundproofing/
防音装置 [ぼうおんそうち] /(n) soundproofing (device)/
防火 [ぼうか] /(n,vs,adj-no) fire prevention/fire fighting/fire proof/(P)/
防火訓練 [ぼうかくんれん] /(n) fire drill/
防火建築 [ぼうかけんちく] /(n) a fireproof building/
防火戸 [ぼうかど] /(n) a fire door/
防火線 [ぼうかせん] /(n) a firebreak/
防火造り [ぼうかずくり] /(n) fireproof construction/
防火塗料 [ぼうかとりょう] /(n) fire-resistant paint/
防火扉 [ぼうかとびら] /(n) fire door/
防火壁 [ぼうかへき] /(n) firewall/
防寒 [ぼうかん] /(n) protection against cold/
防寒具 [ぼうかんぐ] /(n) heavy outfit designed to keep out the cold/
防寒靴 [ぼうかんぐつ] /(n) arctic boots/
防寒服 [ぼうかんふく] /(n) arctic clothes/
防禦 [ぼうぎょ] /(n,vs,adj-no) defense/defence/safeguard/protection/
防共 [ぼうきょう] /(n) anticommunist (policies or measures)/
防具 [ぼうぐ] /(n) guard/protector/defensive armament/personal armor (armour)/
防空 [ぼうくう] /(n) air defense/air defence/(P)/
防空壕 [ぼうくうごう] /(n) air-raid shelter/bomb shelter/
防空頭巾 [ぼうくうずきん] /(n) air-raid hood/
防空砲 [ぼうくうほう] /(n) air defense artillery/air defence artillery/
防御 [ぼうぎょ] /(n,vs,adj-no) defense/defence/safeguard/protection/(P)/
防御部隊 [ぼうぎょぶたい] /(n) defending forces/
防御率 [ぼうぎょりつ] /(n) earned run average/ERA/
防護 [ぼうご] /(n,vs,adj-no) protection/(P)/
防護マスク [ぼうごマスク] /(n) protective mask/
防護服 [ぼうごふく] /(n) protective clothing/
防護壁 [ぼうごへき] /(n) protective wall/
防護領域 [ぼうごりょういき] /(n) (comp) guarded area/
防砂林 [ぼうさりん] /(n) stand of trees planted to control the movement of sand/
防塞 [ぼうさい] /(n) fort/
防災 [ぼうさい] /(n) disaster prevention/(P)/
防災の日 [ぼうさいのひ] /(n) Disaster Preparedness Day (September 1st)/
防災訓練 [ぼうさいくんれん] /(n) disaster prevention practice (practise)/
防災週間 [ぼうさいしゅうかん] /(n) Disaster Preparedness Week/
防災頭巾 [ぼうさいずきん] /(n) disaster hood/protective hood worn during earthquakes and other disasters (e.g. to protect from falling objects)/
防錆 [ぼうせい] /(n,adj-no) anti-rust/
防止 [ぼうし] /(n,vs) prevention/check/(P)/
防止剤 [ぼうしざい] /(n) inhibitor/prevention agent/
防止策 [ぼうしさく] /(n) prevention measure/preventive measures/
防止指針 [ぼうしししん] /(n) prevention guideline/
防止対策 [ぼうしたいさく] /(n) preventive measure/
防止法 [ぼうしほう] /(n) anti-.. law/
防湿 [ぼうしつ] /(n,vs,adj-no) dampproofing/prevention of moisture/
防湿剤 [ぼうしつざい] /(n) a dessicant/dessicating agent/
防臭 [ぼうしゅう] /(n) odor-resistant/odour-resistant/
防臭剤 [ぼうしゅうざい] /(n) deodorant/deodorizer/deodoriser/
防縮 [ぼうしゅく] /(n,vs,adj-no) shrinkproof/
防縮加工 [ぼうしゅくかこう] /(n,adj-no) pre-shrunk/
防暑 [ぼうしょ] /(n) protection against heat/
防除 [ぼうじょ] /(n,vs) pest control/extermination/
防食 [ぼうしょく] /(n,vs) protection against corrosion/
防食剤 [ぼうしょくざい] /(n) an anti-corrosive (agent)/
防蝕 [ぼうしょく] /(n,vs) protection against corrosion/
防蝕剤 [ぼうしょくざい] /(n) an anti-corrosive (agent)/
防浸 [ぼうしん] /(n) watertight/waterproof/
防人 [さきもり] /(n) (1) soldiers garrisoned at strategic posts in Kyushu in ancient times/
防人 [ぼうじん] /(n) (1) soldiers garrisoned at strategic posts in Kyushu in ancient times/(2) Chinese soldiers stationed to protect remote regions of the country during the T'ang dynasty/
防刃 [ぼうじん] /(n,adj-no) stab-proof/knife-proof/
防塵 [ぼうじん] /(n) (1) protection against dust/(adj-no) (2) dust-proof/dust-tight/
防塵室 [ぼうじんしつ] /(n) cleanroom/
防塵着 [ぼうじんぎ] /(n) dustproof clothing one would use in a cleanroom/
防水 [ぼうすい] /(n,vs,adj-no) waterproofing/making watertight/(P)/
防水シート [ぼうすいシート] /(n) waterproof sheet/tarpaulin/tarp/flysheet (of a tent)/
防水加工 [ぼうすいかこう] /(n) waterproof finish/
防水性 [ぼうすいせい] /(n,adj-no) waterproof/
防水着 [ぼうすいぎ] /(n) waterproof clothing/
防水扉 [ぼうすいひ] /(n) watertight door/
防水布 [ぼうすいふ] /(n) waterproof cloth/
防雪 [ぼうせつ] /(n,vs) anti-snow (device or facility or measure)/
防雪林 [ぼうせつりん] /(n) snowbreak (forest)/
防戦 [ぼうせん] /(n,vs) defensive fight (battle)/(P)/
防潜網 [ぼうせんもう] /(n) an anti-submarine net/
防総省 [ぼうそうしょう] /(n) Department of Defense (Defence)/
防弾 [ぼうだん] /(n,adj-no) bulletproof/bombproof/(P)/
防弾ガラス [ぼうだんガラス] /(n) bulletproof glass/
防弾チョッキ [ぼうだんチョッキ] /(n) bulletproof vest/
防虫 [ぼうちゅう] /(n) pesticide/
防虫加工 [ぼうちゅうかこう] /(adj-no) mothproof (finish)/
防虫剤 [ぼうちゅうざい] /(n) insect repellent/
防潮 [ぼうちょう] /(n) protection against the tide/
防潮堤 [ぼうちょうてい] /(n) tide embankment/seawall/
防諜 [ぼうちょう] /(n) counterintelligence/counterespionage/
防長官 [ぼうちょうかん] /(n) Secretary of Defence (Defense)/
防滴 [ぼうてき] /(n,adj-no) rainproof/treated against drops of water penetrating/
防毒 [ぼうどく] /(n) gasproofing/
防毒面 [ぼうどくめん] /(n) gas mask/
防熱 [ぼうねつ] /(n) heat resistance/
防燃 [ぼうねん] /(n) fireproof/fire-resistant/
防波堤 [ぼうはてい] /(n) breakwater/mole/(P)/
防爆形 [ぼうばくがた] /(n) (comp) explosion proof/
防犯 [ぼうはん] /(n,adj-no) prevention of crime/(P)/
防犯カメラ [ぼうはんカメラ] /(n) security camera/(P)/
防犯装備 [ぼうはんそうび] /(n) anti-thief device/
防備 [ぼうび] /(n,vs) defense/defence/defensive preparations/
防腐 [ぼうふ] /(n,adj-no) preservation/embalmment/
防腐剤 [ぼうふざい] /(n) (1) antiseptic/(2) preservative/
防風 [ぼうふう] /(n) (1) anti-wind (device, facility or measure)/(2) (uk) Saposhnikovia divaricata (species of umbellifer used in Chinese medicine)/(3) (uk) Glehnia littoralis (species of umbellifer used in Chinese medicine)/
防風林 [ぼうふうりん] /(n) windbreak (forest)/shelterbelt/
防壁 [ぼうへき] /(n) protective wall/bulwark/
防沫 [ぼうまつ] /(adj-f) splashproof/
防塁 [ぼうるい] /(n) bulwark/earthwork/
防已 [つづらふじ] /(n) (1) (uk) Chinese moonseed (Sinomenium acutum)/(2) complex inter-relationship (as in the struggle between two types of vine over one piece of land)/
防遏手段 [ぼうあつしゅだん] /(n) preventive measure/
防銹 [ぼうしゅう] /(n) anti-rust/
防黴 [ぼうかび] /(n) mold prevention/mildew prevention/
防黴 [ぼうばい] /(n) mold prevention/mildew prevention/
防黴剤 [ぼうかびざい] /(n) anti-mold agent/mildew-proofing agent/
防黴剤 [ぼうばいざい] /(n) anti-mold agent/mildew-proofing agent/
吠えつく [ほえつく] /(v5k,vi) to bark at and chase/
吠える [ほえる] /(v1,vi) to bark/to bay/to howl/to bellow/to roar/to cry/(P)/
吠え出す [ほえだす] /(v5s) to give mouth/to bark/
吠え声 [ほえごえ] /(n) bark/howl/
吠え付く [ほえつく] /(v5k,vi) to bark at and chase/
吠え面 [ほえづら] /(n) tearful face/
吠る [ほえる] /(io) (v1,vi) to bark/to bay/to howl/to bellow/to roar/to cry/
吠猿 [ほえざる] /(n) (uk) howler monkey/
吠鹿 [ほえじか] /(n) (uk) common muntjac (species of barking deer, Muntiacus muntjak)/Indian muntjac/
吠舎 [バイシャ] /(n) (uk) Vaishya/Vaisya (member of India's merchant-and-farmer caste)/
吠舎 [ヴァイシャ] /(n) (uk) Vaishya/Vaisya (member of India's merchant-and-farmer caste)/
吠陀 [ベーダ] /(n) Veda (san:)/
吠陀 [ヴェーダ] /(n) Veda (san:)/
吠瑠璃 [べいるり] /(n) (obsc) beryl (san: vaidurya)/
頬 [つら] /(n) (1) face (often derog. or vulg.)/mug/(2) surface/(3) (arch) surrounding area/(4) (arch) cheek/cheeks/
頬 [ほお] /(n) cheek (of face)/(P)/
頬 [ほほ] /(n) cheek (of face)/(P)/
頬かぶり [ほおかぶり] /(n,vs) covering one's face with a cloth/feigning ignorance/
頬かむり [ほおかむり] /(n,vs) covering one's face with a cloth/feigning ignorance/
頬ずり [ほおずり] /(n,vs) rubbing cheeks together (as a display of affection)/pressing cheeks together/
頬っぺ [ほっぺ] /(n) (uk) (chn) cheek/
頬っぺた [ほっぺた] /(n) (col) cheek/(P)/
頬づえをつく [ほおづえをつく] /(exp,v5k) to rest one's chin in one's hands/
頬の削げた [ほおのそげた] /(exp) hollow-cheeked/
頬の殺げた [ほおのそげた] /(exp) hollow-cheeked/
頬を染める [ほおをそめる] /(exp,v1) to blush/
頬筋 [きょうきん] /(n) buccinator muscle/
頬桁 [ほおげた] /(n) cheekbone/
頬紅 [ほおべに] /(n) rouge/blusher/
頬骨 [きょうこつ] /(n,adj-no) cheekbones/zygomatic bone/malar bone/
頬骨 [つらぼね] /(n,adj-no) cheekbones/zygomatic bone/malar bone/
頬骨 [ほおぼね] /(n,adj-no) cheekbones/zygomatic bone/malar bone/
頬骨 [ほほぼね] /(n,adj-no) cheekbones/zygomatic bone/malar bone/
頬擦り [ほおずり] /(n,vs) rubbing cheeks together (as a display of affection)/pressing cheeks together/
頬笑み [ほおえみ] /(n) smile/
頬笑み [ほほえみ] /(n) smile/
頬笑む [ほほえむ] /(v5m,vi) to smile/
頬杖 [ほおづえ] /(n) (1) resting one's chin in one's hands/(2) bracing (in building)/support/
頬杖を突く [ほおづえをつく] /(exp,v5k) to rest one's chin in one's hands/
頬摺り [ほおずり] /(n,vs) rubbing cheeks together (as a display of affection)/pressing cheeks together/
頬染める [ほほそめる] /(v1) to blush/
頬側 [きょうそく] /(adj-no) buccal/
頬袋 [ほおぶくろ] /(n) cheek pouch/
頬張る [ほおばる] /(v5r,vt) to stuff one's cheeks/
頬嚢 [ほおぶくろ] /(n) cheek pouch/
頬白 [ほおじろ] /(n) (1) (uk) meadow bunting (species of passerine, Emberiza cioides)/(2) (obsc) great white shark/white pointer (Carcharodon carcharias)/
頬白 [ほほじろ] /(n) (1) (uk) meadow bunting (species of passerine, Emberiza cioides)/(2) (obsc) great white shark/white pointer (Carcharodon carcharias)/
頬白鴨 [ほおじろがも] /(n) (uk) common goldeneye (species of duck, Bucephala clangula)/
頬白鮫 [ほおじろざめ] /(n) (uk) great white shark/white pointer (Carcharodon carcharias)/
頬白鮫 [ほほじろざめ] /(n) (uk) great white shark/white pointer (Carcharodon carcharias)/
頬被り [ほおかぶり] /(n,vs) covering one's face with a cloth/feigning ignorance/
頬被り [ほおかむり] /(n,vs) covering one's face with a cloth/feigning ignorance/
頬髭 [ほおひげ] /(n) whiskers/sideburns/sideboards/
頬髯 [ほおひげ] /(n) whiskers/sideburns/sideboards/
北 [きた] /(n) north/(P)/
北々西 [ほくほくせい] /(n) north-northwest/
北々東 [ほくほくとう] /(n) north-north-east/nor-nor-east/
北に向いた窓 [きたにむいたまど] /(n) window to the north/
北の政所 [きたのまんどころ] /(n) (hon) legal wife of a regent, of the imperial adviser, or of an official at the Grand Council of State/
北の対 [きたのたい] /(n) northern side house (to the rear of a main residence; often home to one's wife)/
北の方 [きたのかた] /(n) (1) northward/facing the north/(2) (hon) nobleman's true wife/
北アイルランド [きたアイルランド] /(n) Northern Ireland/(P)/
北アメリカ [きたアメリカ] /(n) North America/
北カリフォルニア [ほくカリフォルニア] /(n) Northern California/
北緯 [ほくい] /(n) north latitude/(P)/
北欧 [ほくおう] /(n,adj-no) Northern Europe/land of the Norsemen/Scandinavia/(P)/
北欧諸国 [ほくおうしょこく] /(n) northern countries/Scandinavian countries/
北欧神話 [ほくおうしんわ] /(n) Norse mythology/
北欧人 [ほくおうじん] /(n) (1) Northern European/Norsemen/Scandinavian/(adj-no) (2) Nordic/
北荻 [ほくてき] /(n) barbarians to the north (from Chinese)/
北下ろし [きたおろし] /(n) cold wind from the northern uplands/
北回帰線 [きたかいきせん] /(n) Tropic of Cancer/
北海 [ほっかい] /(n) northern sea/North Sea/(P)/
北海道 [ほっかいどう] /(n) Hokkaido (northernmost of the four main islands of Japan)/(P)/
北海道開発庁長官 [ほっかいどうかいはつちょうちょうかん] /(n) Director General of Hokkaido Development Agency/(P)/
北海道犬 [ほっかいどういぬ] /(n) Hokkaido dog/dog breed native to Hokkaido/
北海道犬 [ほっかいどうけん] /(n) Hokkaido dog/dog breed native to Hokkaido/
北岸 [ほくがん] /(n) north coast/north bank/
北岸沿いに [ほくがんぞいに] /(adv) along the north coast/along the northern sea shore/
北寄り [きたより] /(n) northerly (wind)/from the north/
北寄りの風 [きたよりのかぜ] /(n) northerly wind/
北寄貝 [ほっきがい] /(n) (uk) Sakhalin surf clam (Pseudocardium sachalinense)/
北京 [ぺきん] /(n) Beijing (China)/Peking/(P)/
北京ダック [ペキンダック] /(n) Peking duck/
北京語 [ぺきんご] /(n) Mandarin Chinese/
北京条約 [ペキンじょうやく] /(n) Convention of Peking (1860)/
北京料理 [ペキンりょうり] /(n) Beijing cuisine/
北境 [ほっきょう] /(n) northern boundary/
北極 [ほっきょく] /(n,adj-no) (1) North Pole/(2) (abbr) the Arctic/(P)/
北極海 [ほっきょくかい] /(n) Arctic Ocean/
北極気団 [ほっきょくきだん] /(n) Arctic air mass/
北極熊 [ほっきょくぐま] /(n) (uk) polar bear (Ursus maritimus)/
北極鯨 [ほっきょくくじら] /(n) (uk) bowhead whale (Balaena mysticetus)/Greenland right whale/
北極圏 [ほっきょくけん] /(n) Arctic Circle/the Arctic/(P)/
北極狐 [ほっきょくぎつね] /(n) (uk) Arctic fox (Alopex lagopus)/
北極光 [ほっきょくこう] /(n) northern lights/aurora borealis/
北極振動 [ほっきょくしんどう] /(n) Arctic oscillation/
北極星 [ほっきょくせい] /(n) Polaris/north star/
北極線 [ほっきょくせん] /(n) Arctic Circle (latitude)/
北極探検 [ほっきょくたんけん] /(n) Arctic expedition/
北極点 [ほっきょくてん] /(n) North Pole/
北極洋 [ほっきょくよう] /(n) Arctic Ocean/
北玉 [きたたま] /(n) (sumo) era at the turn of 1960s into 70s dominated by grand champions Kitanofuji and Tamanoumi/
北玉時代 [きたたまじだい] /(n) (sumo) era at the turn of 1960s into 70s dominated by grand champions Kitanofuji and Tamanoumi/
北九州 [きたきゅうしゅう] /(n) Kitakyushu (city)/
北栗鼠 [きたりす] /(n) (uk) red squirrel (Sciurus vulgaris)/
北限 [ほくげん] /(n) northern limit/
北狐 [きたきつね] /(n) Ezo red fox (Vulpes vulpes schrencki)/
北光 [ほっこう] /(n) northern lights/
北口 [きたぐち] /(n) north entrance/(P)/
北向き [きたむき] /(n) facing north/northern exposure/
北航 [ほっこう] /(n) sailing north/
北行 [ほっこう] /(n) northbound/sailing north/
北郊 [ほっこう] /(n) northern suburbs/
北国 [きたぐに] /(n) northern provinces/northern countries/(P)/
北国 [ほっこく] /(n) northern provinces/northern countries/
北国人 [ほっこくじん] /(n) northerner/
北国赤海老 [ほっこくあかえび] /(n) (uk) northern shrimp (Pandalus borealis)/sweet shrimp/northern pink prawn/red shrimp/Maine shrimp/
北山 [きたやま] /(n) northern hill/
北支 [ほくし] /(n) North China/
北支事変 [ほくしじへん] /(n) the Marco Polo Bridge Incident/
北受け [きたうけ] /(n) facing the north/
北象海豹 [きたぞうあざらし] /(n) (uk) northern elephant seal (Mirounga angustirostris)/
北上 [ほくじょう] /(n,vs) going north/(P)/
北進 [ほくしん] /(n,vs) proceeding north/
北清事変 [ほくしんじへん] /(n) North China Incident/Boxer Uprising/
北西 [ほくせい] /(n,adj-no) northwest/(P)/
北西航路 [ほくせいこうろ] /(n) Northwest Passage (sea route along the north coast of Canada)/
北斉 [ほくせい] /(n) Northern Qi (dynasty of China; 550-577 CE)/
北鮮 [ほくせん] /(n) (sens) North Korea/
北前船 [きたまえぶね] /(n) (arch) cargo ships that sailed the Japan Sea during the Edo period/
北宋 [ほくそう] /(n) Northern Song (dynasty of China)/
北側 [きたがわ] /(n) north side/north bank/(P)/
北側 [ほくそく] /(n) north side/north bank/
北太平洋 [きたたいへいよう] /(n) the North Pacific/
北大西洋 [きたたいせいよう] /(n) North Atlantic/
北大西洋条約 [きたたいせいようじょうやく] /(n) North Atlantic Treaty/
北辰 [ほくしん] /(n) North-Star/
北端 [ほくたん] /(n) northern extremity/(P)/
北朝 [ほくちょう] /(n) Northern Dynasty/
北朝鮮 [きたちょうせん] /(n) North Korea/(P)/
北朝鮮人 [きたちょうせんじん] /(n) (sens) North Korean person/
北庭都護府 [ほくていとごふ] /(n) Protectorate General of Beiting/Tang-period Chinese office established in Xinjiang in 702 CE/
北天 [ほくてん] /(n) northern sky/
北斗 [ほくと] /(n) (abbr) Big Dipper (constellation)/The Plough/
北斗七星 [ほくとしちせい] /(n) Big Dipper (constellation)/the Plough/
北斗星 [ほくとせい] /(n) the Great Bear/the Great Dipper/the Plough/
北東 [きたひがし] /(n,adj-no) northeast/
北東 [ほくとう] /(n,adj-no) northeast/(P)/
北東航路 [ほくとうこうろ] /(n) Northeast Passage (sea route along the north coast of Russia)/
北東風 [きたごち] /(n) northeasterly wind/
北堂 [ほくどう] /(n) (1) northern pavilion of a house/(2) mother/
北爆 [ほくばく] /(n) bombing North (Vietnam)/
北半 [ほくはん] /(n) northern half/
北半球 [きたはんきゅう] /(n) northern hemisphere/
北氷洋 [ほくひょうよう] /(n) Arctic Ocean/
北氷洋 [ほっぴょうよう] /(n) Arctic Ocean/
北部 [ほくぶ] /(n,adj-no) north/northern part/(P)/
北風 [きたかぜ] /(n,adj-no) north wind/(P)/
北風 [ほくふう] /(n,adj-no) north wind/
北米 [ほくべい] /(n,adj-no) North America/
北米合衆国 [ほくべいがっしゅうこく] /(n) the United States of America/
北米大陸 [ほくべいたいりく] /(n,adj-no) North American continent/
北米土人 [ほくべいどじん] /(n) American Indian/native American/
北壁 [ほくへき] /(n) northern cliff/
北辺 [ほくへん] /(n) northern extremity/
北方 [ほっぽう] /(n,adj-no) northern (district)/northward/(P)/
北方四島 [ほっぽうよんとう] /(n) the four northern islands (held by Russia)/south Kuril Islands/northern territories/
北方人種 [ほっぽうじんしゅ] /(n) Nordic race/
北方戦争 [ほっぽうせんそう] /(n) Great Northern War (Sweden vs. Russia, Poland, Denmark, Saxony and Hanover: 1700-1721)/
北方仏教 [ほっぽうぶっきょう] /(n) Northern Buddhism (as practiced in East Asia)/
北方領土 [ほっぽうりょうど] /(n) the Northern Territories/
北北西 [ほくほくせい] /(n) north-northwest/
北北東 [ほくほくとう] /(n) north-north-east/nor-nor-east/(P)/
北枕 [きたまくら] /(n) (1) lying with one's head to the north (trad. position for dead bodies; taboo for sleeping)/(2) (uk) brown-lined puffer (species of pufferfish, Canthigaster rivulata)/
北満 [ほくまん] /(n) North Manchuria/
北面 [ほくめん] /(n,vs) north face/north side/the north/facing north/
北門 [きたもん] /(n) north gate/
北洋 [ほくよう] /(n) northern waters/
北洋漁業 [ほくようぎょぎょう] /(n) northern-sea fisheries/
北洋軍閥 [ほくようぐんばつ] /(n) Beiyang Army/
北陸 [ほくりく] /(n) region west of Tokyo on Japan Sea side of Japan/(P)/
北陸地方 [ほくりくちほう] /(n) Hokuriku region of Honshu (inc. Niigata, Toyama, Ishikawa and Fukui prefectures)/
北嶺 [ほくれい] /(n) northern mountain/Mt. Hiei/
北叟笑む [ほくそえむ] /(v5m,vi) to chuckle/to snicker/
北狄 [ほくてき] /(n) (arch) (derog) northern barbarians (used by the Chinese to refer to non-ethnic Chinese to the north)/
北魏 [ほくぎ] /(n) Northern Wei (dynasty of China; 386-534 CE)/
僕 [しもべ] /(n) servant/manservant/menial/
僕 [ぼく] /(pn,adj-no) (1) (male) I/me/(2) you (used addressing young children)/(3) manservant/(P)/
僕 [やつがれ] /(pn,adj-no) (arch) (hum) I/me/
僕 [やつこらま] /(n) (1) retainer/servant/
僕たち [ぼくたち] /(n) (uk) we/
僕ら [ぼくら] /(n) (male) we/
僕ん所 [ぼくんとこ] /(n) at my place/
僕女 [ぼくおんな] /(n) woman who uses boku to refer to herself/
僕達 [ぼくたち] /(n) (uk) we/
僕仲間 [ぼくなかま] /(n) fellow servant/
僕等 [ぼくら] /(n) (male) we/
僕婢 [ぼくひ] /(n) male and female servants/
卜 [うら] /(n) (arch) fortune-telling/divination/
卜 [うらない] /(n) fortune-telling/divination/
卜 [ぼく] /(n) (1) (arch) divining/telling a fortune/predicting/(2) choosing/settling/fixing/
卜う [うらなう] /(v5u) to tell a fortune/to predict/to choose/to settle/to fix/
卜する [ぼくする] /(vs-s) to tell (a person's) fortune/to divine/to fix/to choose/
卜居 [ぼっきょ] /(n,vs) choosing a homesite by divination/
卜骨 [ぼっこつ] /(n) fortune-telling using animal bones/
卜者 [ぼくしゃ] /(n) fortuneteller/soothsayer/diviner/
卜書 [うらぶみ] /(n) diviner's book/
卜占 [ぼくせん] /(n) augury/fortune-telling/divination/
卜伝流 [ぼくでんりゅう] /(n) (col) Shinto-ryu (school of kenjutsu)/
卜筮 [ぼくぜい] /(n) fortunetelling/divination/
墨 [すみ] /(n) ink/(P)/
墨烏賊 [すみいか] /(n) (1) (uk) golden cuttlefish (Sepia esculenta)/(2) Japanese spineless cuttlefish (Sepiella japonica)/
墨家 [ぼくか] /(n) mohist/follower of mohism/
墨家 [ぼっか] /(n) mohist/follower of mohism/
墨画 [ぼくが] /(n) India-ink drawing/
墨絵 [すみえ] /(n,adj-no) ink painting/(P)/
墨絵風 [すみえふう] /(n) ink painting style/
墨客 [ぼっかく] /(n) artist/writer/
墨客 [ぼっきゃく] /(n) artist/writer/
墨魚 [ぼくぎょ] /(n) cuttlefish/squid/
墨刑 [ぼくけい] /(n) (arch) tattooing (form of punishment in ancient China)/
墨刑 [ぼっけい] /(n) (arch) tattooing (form of punishment in ancient China)/
墨痕 [ぼっこん] /(n) ink marks/handwriting/
墨痕淋漓 [ぼっこんりんり] /(adj-t,adv-to) dripping ink marks/a work of calligraphy being written in bold and vivid strokes/
墨糸 [すみいと] /(n) inked marking string/
墨守 [ぼくしゅ] /(n,vs) adherence (to custom, tradition)/
墨汁 [ぼくじゅう] /(n) (1) India ink/China ink/(2) ink (of a cuttlefish, etc.)/
墨汁嚢 [ぼくじゅうのう] /(n) ink sac (in cephalopods)/
墨書 [ぼくしょ] /(n,vs) writing in India ink/
墨書き [すみがき] /(n) inking the outlines of a picture/
墨消し [すみけし] /(n) blotting out characters with ink/
墨場 [ぼくじょう] /(n) (arch) meeting place for calligraphers and painters/
墨色 [すみいろ] /(n) ink black/
墨西哥 [めきしこ] /(n,adj-no) (uk) Mexico/
墨跡 [ぼくせき] /(n) (obsc) writing (especially of a Zen monk)/penmanship/
墨蹟 [ぼくせき] /(oK) (n) (obsc) writing (especially of a Zen monk)/penmanship/
墨染め [すみぞめ] /(n) dying black/dyeing black/dyed black/dark/
墨染めの衣 [すみぞめのころも] /(n) priest's black robe/
墨染め衣 [すみぞめごろも] /(n) priest's black robe/
墨池 [ぼくち] /(n) inkstone well/inkhorn/
墨壷 [すみつぼ] /(n) ink bottle/carpenter's inking device/
墨堤 [ぼくてい] /(n) banks of the Sumida river/
墨縄 [すみなわ] /(n) inked marking string/
墨描き [すみがき] /(n) inking the outlines of a picture/
墨付き [すみつき] /(n) (1) handwriting/autograph/authorization/authorisation/(2) certificate/certified document/paper with signature of the shogun or lord/(P)/
墨付け [すみつけ] /(n) blackening the face/
墨付鮫 [すみつきざめ] /(n) (uk) whitecheek shark (Carcharhinus dussumieri, species of the Indo-West Pacific)/
墨浮鮴 [すみうきごり] /(n) (uk) floating goby (Gymnogobius petschiliensis)/
墨流し [すみながし] /(n) marbling print/paper marbling/
墨流蝶 [すみながし] /(n) (uk) Asian constable (species of butterfly, Dichorragia nesimachus)/
墨繩 [すみなわ] /(n) inked marking string/
墨黠虜 [ぼくかつりょ] /(n) late Edo-period pejorative for Americans/
撲る [なぐる] /(v5r,vt) to strike/to hit/
撲殺 [ぼくさつ] /(n,vs) beat to death/
撲滅 [ぼくめつ] /(n,vs) extermination/(P)/
撲滅運動 [ぼくめつうんどう] /(n) exterminatory measure/eradication campaign/
朴 [えのき] /(n) Japanese hackberry (Celtis sinensis var. japonica)/
朴 [ほお] /(n) Japanese bigleaf magnolia (Magnolia obovata)/
朴 [ほおがしわ] /(ok) (n) Japanese bigleaf magnolia (Magnolia obovata)/
朴とつ [ぼくとつ] /(adj-na) unsophisticated/ruggedly honest/artless/unaffected/simple/naive/
朴の木 [ほうのき] /(ik) (n) (uk) magnolia (Magnolia obovata)/Japanese big leaf magnolia/
朴の木 [ほおのき] /(n) (uk) magnolia (Magnolia obovata)/Japanese big leaf magnolia/
朴歯 [ほおば] /(n) geta supports made out of magnolia wood/geta with these supports/
朴直 [ぼくちょく] /(adj-na,n) simplicity/honesty/naivete/
朴念仁 [ぼくねんじん] /(n) quiet unsociable person/
朴柏 [ほおがしわ] /(ok) (n) Japanese bigleaf magnolia (Magnolia obovata)/
朴伴 [ぼくはん] /(n) (uk) Camellia japonica 'Bokuhan' (cultivar of common camellia)/
朴葉味噌 [ほおばみそ] /(n) magnolia leaves grilled with miso and negi/
朴訥 [ぼくとつ] /(adj-na) unsophisticated/ruggedly honest/artless/unaffected/simple/naive/
牧 [まき] /(n) pasture/grazing land/
牧を駈ける駒 [まきをかけるこま] /(exp) horse galloping in the pasture/
牧歌 [ぼっか] /(n,adj-no) pastoral song or poem/a pastoral/
牧歌的 [ぼっかてき] /(adj-na) pastoral/idyllic/
牧会書簡 [ぼっかいしょかん] /(exp) Pastoral Epistles (i.e. Timothy 1 and 2, Titus)/
牧牛 [ぼくぎゅう] /(n) pasturing cattle/
牧師 [ぼくし] /(n,adj-no) pastor/minister/clergyman/reverend/(P)/
牧師館 [ぼくしかん] /(n) parsonage/rectory/vicarage/
牧舎 [ぼくしゃ] /(n) barn/stable/
牧者 [ぼくしゃ] /(n) herdsman/ranch hand/
牧場 [ぼくじょう] /(n) (1) farm (livestock)/ranch (US)/station (Aus, NZ)/(2) pasture land/meadow/grazing land/(P)/
牧場 [まきば] /(n) (1) farm (livestock)/ranch (US)/station (Aus, NZ)/(2) pasture land/meadow/grazing land/(P)/
牧場鳥 [まきばどり] /(n) (uk) meadowlark/field lark/
牧場田雲雀 [まきばたひばり] /(n) (uk) meadow pipit (Anthus pratensis)/titlark/
牧神 [ぼくしん] /(n) god of cattle raising/Pan/
牧人 [ぼくじん] /(n) shepherd/herdsman/
牧草 [ぼくそう] /(n) pasture/grass/(P)/
牧草地 [ぼくそうち] /(n) pasture/grassland/meadow/
牧地 [ぼくち] /(n) pasture or grazing land/
牧畜 [ぼくちく] /(n) stock-farming/(P)/
牧畜業 [ぼくちくぎょう] /(n) stock-farming/cattle breeding/
牧笛 [ぼくてき] /(n) shepherds pipe/
牧童 [ぼくどう] /(n) cowboy/shepherd/
牧夫 [ぼくふ] /(n) herdsman/
牧民 [ぼくみん] /(n) governing/
牧野 [ぼくや] /(n) pasture land/ranch/(P)/
牧羊 [ぼくよう] /(n,vs) sheep farming/
牧羊犬 [ぼくようけん] /(n) sheepdog/
牧羊者 [ぼくようしゃ] /(n) sheep breeder/sheepman/shepherd/
牧羊地 [ぼくようち] /(n) pasture or grazing land/
睦ぶ [むつぶ] /(v5b,vi) to be harmonious/to get on well/to be intimate or close/
睦まじい [むつまじい] /(adj-i) harmonious/happy/affectionate/
睦み合う [むつみあう] /(v5u,vi) to get along well together/to be close to each other/
睦む [むつむ] /(v5m,vi) to be harmonious/to get on well/to be intimate or close/
睦月 [むつき] /(n) (obs) first month of the lunar calendar/
睦言 [むつごと] /(n) lovers' talk/whispered intimacies/
穆々 [ぼくぼく] /(adj-t,adv-to) (arch) peaceful and lovely/humble and dignified/
穆穆 [ぼくぼく] /(adj-t,adv-to) (arch) peaceful and lovely/humble and dignified/
釦 [ぼたん] /(n) (uk) button (por: bota~o)/
勃々 [ぼつぼつ] /(adj-t,adv-to) spirited/rising/energetic/
勃つ [たつ] /(v5t) to have an erection/
勃起 [ぼっき] /(n,vs) erection (usu. penis)/standing erect/stiffening/
勃起障害 [ぼっきしょうがい] /(n) erectile dysfunction/ED/
勃起不全 [ぼっきふぜん] /(n) erectile dysfunction/
勃興 [ぼっこう] /(n,vs) sudden rise to power/sudden rise in prosperity/
勃然 [ぼつぜん] /(adj-t,adv-to) sudden/fit of anger/
勃発 [ぼっぱつ] /(n,vs) outbreak (e.g. war)/outburst/sudden occurrence/
勃勃 [ぼつぼつ] /(adj-t,adv-to) spirited/rising/energetic/
没 [ぼつ] /(n,n-suf) (1) discard/(n) (2) death/(3) (abbr) rejection (of a manuscript, etc.)/(n-pref) (4) lacking/without/(P)/
没す [もっす] /(v5s) (1) (arch) to sink/to go down/to set/(2) to pass away/to die/(3) to disappear/to vanish/(4) to confiscate/
没する [ぼっする] /(vs-s) (1) to sink/to go down/to set/(2) to pass away/to die/(3) to disappear/to vanish/(4) to confiscate/
没にする [ぼつにする] /(exp,vs-i) to reject (a manuscript)/to turn down (a proposal)/
没る [いる] /(v5r) (poet) to set beyond the Western horizon (i.e. the sun)/
没ネーム [ぼつネーム] /(n) manga that has been rejected by an editor/
没我 [ぼつが] /(n) selflessness/
没我的 [ぼつがてき] /(adj-na) self-effacing/selfless/
没義道 [ぼつぎどう] /(ik) (n,adj-na) brutality/inhumanity/
没義道 [もぎどう] /(n,adj-na) brutality/inhumanity/
没却 [ぼっきゃく] /(n,vs) ignoring/losing sight of (an objective)/discarding/
没個性 [ぼつこせい] /(n) lack of individuality or personality/
没個性的 [ぼつこせいてき] /(adj-na) impersonal/
没後 [ぼつご] /(n-adv,n-t) after death/posthumously/(P)/
没交渉 [ぼっこうしょう] /(adj-na,n) lack of relation (to)/independence (of)/
没交渉 [ぼつこうしょう] /(adj-na,n) lack of relation (to)/independence (of)/
没取 [ぼっしゅ] /(n,vs) forefeiture (of assets) (legal)/confiscation/
没趣味 [ぼつしゅみ] /(adj-na,n) commonplace/vapid/insipid/
没収 [ぼっしゅう] /(n,vs,adj-no) forfeiture/seizure/confiscation/impounding/(P)/
没収試合 [ぼっしゅうじあい] /(n) forfeited game/
没書 [ぼっしょ] /(n) rejected manuscript/
没常識 [ぼつじょうしき] /(adj-na,n) lack of common sense/
没食子 [ぼっしょくし] /(n) gallnut/
没食子 [もっしょくし] /(n) gallnut/
没食子酸 [もっしょくしさん] /(n) gallic acid/
没食子蜂 [ふしばち] /(n) (obsc) gall wasp (any insect of family Cynipidae)/
没前 [ぼつぜん] /(n-t) prior to death/during one's lifetime/
没地 [ぼつち] /(n) dead place/place of death/
没頭 [ぼっとう] /(n,vs) immersing oneself/(P)/
没入 [ぼつにゅう] /(n,vs) immersion/being absorbed in/
没年 [ぼつねん] /(n) one's age at death/
没風流 [ぼつふうりゅう] /(n,adj-na) inelegance/want of artistic taste/lack of poetic sense/
没風流漢 [ぼつふうりゅうかん] /(n) prosaic person/person of an unromantic turn of mind/philistine/
没分暁漢 [ぼつぶんぎょうかん] /(n) obstinate person/blockhead/
没分暁漢 [わからずや] /(n) obstinate person/blockhead/
没薬 [もつやく] /(n) myrrh/
没落 [ぼつらく] /(n,vs) ruin/fall/collapse/(P)/
没理想 [ぼつりそう] /(n) (literary) realism/detached perspective/
殆 [ほとほと] /(adv) (uk) quite (usu. negative connotation)/utterly/really/
殆ど [ほとんど] /(n-adv,n-t) (uk) mostly/nearly/practically/well-nigh/almost invariably/all but/just about/almost/(P)/
殆どない [ほとんどない] /(exp) almost never/few and far between/little or nothing/hardly any/hardly anything at all/very little/
殆どの人 [ほとんどのひと] /(exp) most people/
殆んど [ほとんど] /(n-adv,n-t) (uk) mostly/nearly/practically/well-nigh/almost invariably/all but/just about/almost/
堀 [ほり] /(n) moat/canal/(P)/
堀り割り [ほりわり] /(n) canal/waterway/ditch/
堀り出し物 [ほりだしもの] /(n) (lucky) find/bargain/good buy/treasure trove/
堀り鼠 [ほりねずみ] /(n) (uk) pocket gopher/
堀り抜く [ほりぬく] /(iK) (v5k,vt) to dig through/to drill into/to excavate/
堀り返す [ほりかえす] /(iK) (v5s,vt) to dig up/to turn up/to tear up/
堀割 [ほりわり] /(n) canal/waterway/ditch/
堀割り [ほりわり] /(n) canal/waterway/ditch/
堀江 [ほりえ] /(n) canal/(P)/
堀散らす [ほりちらす] /(v5s) to dig up messily/
堀川 [ほりかわ] /(n) canal/(P)/
堀端 [ほりばた] /(n) side of a moat/
幌 [とばり] /(n) (uk) curtain/hanging/bunting/
幌 [ほろ] /(n) (1) canopy (esp. the cloth or canvas used for it)/awning/top (of a convertible)/hood/(2) helmet cape/cloth covering one's back to protect against arrows during battle/
幌延深地層研究センター [ほろのべふかちそうけんきゅうセンター] /(n) Horonobe Underground Research Center/
幌蚊帳 [ほろがや] /(n) tent-shaped mosquito net (often used to protect infants)/
幌馬車 [ほろばしゃ] /(n) covered wagon/prairie schooner/
奔る [はしる] /(v5r,vi) (1) to run/(2) to travel (movement of vehicles)/(3) to hurry to/(4) to retreat (from battle)/to take flight/(5) to run away from home/(6) to elope/(7) to tend heavily toward/
奔逸 [ほんいつ] /(n,vs) (1) running quickly/fleeing/(2) doing as one likes/
奔出 [ほんしゅつ] /(n,vs) gushing out/
奔走 [ほんそう] /(n,vs) running about/efforts/activity/(P)/
奔騰 [ほんとう] /(n,vs) price jump/boom/
奔馬 [ほんば] /(n) runaway horse/galloping horse/
奔放 [ほんぽう] /(adj-na,n) wild/uninhibited/extravagant/rampant/(P)/
奔放自在 [ほんぽうじざい] /(n,adj-na) free and uncontrolled/behaving with abandon/freewheeling/totally uninhibited/
奔放不羈 [ほんぽうふき] /(n) free-spirited and uninhibited/
奔命 [ほんめい] /(n) wearing oneself out with work/
奔流 [ほんりゅう] /(n) torrent/violently rushing stream/tumbling (water)/
本 [ほん] /(n) (1) book/volume/(pref) (2) main/head/this/our/present/real/(ctr) (3) counter for long cylindrical things/counter for films, TV shows, etc./counter for goals, home runs, etc./(P)/
本 [もと] /(n) (1) origin/source/(2) base/foundation/(3) cause/(4) ingredient/(5) original cost (or capital, principal, etc.)/(6) trunk/(7) first section of a waka/(ctr) (8) counter for blades of grass, tree trunks, etc., and for falcons (in falconry)/(P)/
本々 [もともと] /(adv,adj-no) originally/by nature/from the start/(P)/
本の [ほんの] /(adj-pn) (uk) mere/only/just/(P)/
本の間 [ほんのあいだ] /(n) between the pages/between two books/
本の少し [ほんのすこし] /(n) just a little/
本の虫 [ほんのむし] /(n) bookworm/
本の名 [ほんのな] /(n) name of a book/
本まぐろ [ほんまぐろ] /(n) northern bluefin tuna (Thunnus thynnus)/
本わさび [ほんわさび] /(n) wasabi (Wasabia japonica)/
本をただす [もとをただす] /(exp,v5s) to go to the bottom of an affair/to inquire into the origin/
本を広げる [ほんをひろげる] /(exp,v1) to open a book/
本を出す [ほんをだす] /(exp,v5s) to publish a book/to put out a book/
本を正す [もとをただす] /(exp,v5s) to go to the bottom of an affair/to inquire into the origin/
本を編む [ほんをあむ] /(exp,v5m) to compile a book/
本を糺す [もとをただす] /(exp,v5s) to go to the bottom of an affair/to inquire into the origin/
本システム [ほんシステム] /(n) (comp) main, primary system/
本ドキュメント [ほんドキュメント] /(n) (comp) primary document/
本ビロード [ほんビロード] /(n) silk velvet/
本マグロ [ほんマグロ] /(n) northern bluefin tuna (Thunnus thynnus)/
本メール [ほんメール] /(n) (comp) original mail/
本案 [ほんあん] /(n) this plan/
本位 [ほんい] /(n) standard/basis/principle/(P)/
本位貨幣 [ほんいかへい] /(n) standard currency/
本位記号 [ほんいきごう] /(n) natural musical note/
本意 [ほい] /(n) one's real intent/one's real motive/one's real hopes/one's original purpose/
本意 [ほんい] /(n) one's real intent/one's real motive/one's real hopes/one's original purpose/
本意ではない [ほんいではない] /(exp,adj-i) something (which) is not one's real intention/
本意ない [ほいない] /(adj-i) reluctant/unwilling/
本員 [ほんいん] /(n) this member (of an assembly)/
本因坊 [ほんいんぼう] /(n) grand master of the game of go/(P)/
本院 [ほんいん] /(n) this institution/the main institution/
本営 [ほんえい] /(n) headquarters/
本影 [ほんえい] /(n) umbra/
本屋 [ほんおく] /(n) principal residence/
本屋 [ほんや] /(n) (1) bookstore/bookshop/(2) publisher/(3) main building/(P)/
本音 [ほんね] /(n) real intention/motive/(P)/
本家 [ほんけ] /(n) head house (family)/birthplace/originator/(P)/
本家本元 [ほんけほんもと] /(n) original home/birthplace/originator/
本科 [ほんか] /(n) regular course/this lesson/
本歌 [ほんか] /(n) original verse poem/
本歌 [もとうた] /(n) original verse poem/
本会 [ほんかい] /(n) (1) formal meeting (committee, etc.)/session/(2) this (the aforementioned, our) association (society, organisation)/
本会議 [ほんかいぎ] /(n) plenary session/regular session/(P)/
本懐 [ほんかい] /(n) one's long-cherished desire/
本懐成就 [ほんかいじょうじゅ] /(n,vs) realization of a great ambition/attainment of one's most cherished desire/one's earnest prayer being answered/
本開き [ほんびらき] /(n) (1) functioning cuff buttons on a jacket (i.e. those that can be buttoned and unbuttoned)/(2) surgeon's cuffs/
本街道 [ほんかいどう] /(n) main road/
本格 [ほんかく] /(n) (1) original method or procedure/(adj-f) (2) serious/orthodox/classical/genuine/(P)/
本格化 [ほんかくか] /(n,vs) regularization/regularisation/getting up speed/proceeding at full tilt/(P)/
本格小説 [ほんかくしょうせつ] /(n) serious novel/genuinely attempted novel/
本格的 [ほんかくてき] /(adj-na) full-blown/regular/genuine/earnest/normal/typical/fundamental/real/(P)/
本格派 [ほんかくは] /(n) classical school or style (e.g. of music, baseball pitching, etc.)/orthodox school/authentic style/
本革 [ほんかわ] /(n) real leather/
本革 [ほんがわ] /(n) real leather/
本学 [ほんがく] /(n) this university/this educational establishment/
本学システム [ほんがくシステム] /(n) (comp) expert system/
本割り [ほんわり] /(n) regular matches in an official sumo tournament/
本官 [ほんかん] /(pn,adj-no) one's official post/oneself/
本管 [ほんかん] /(n) main pipe/
本艦 [ほんかん] /(n) this (battle)ship/aforementioned ship/
本間 [ほんけん] /(n) measure of length corresponding to 6 shaku or 1.8 meters/
本間に [ほんまに] /(iK) (adv) (ksb:) really/truly/
本館 [ほんかん] /(n) main building/(P)/
本丸 [ほんまる] /(n) inner citadel/
本願 [ほんがん] /(n) Amida Buddha's original vow/long-cherished desire/(P)/
本願寺派 [ほんがんじは] /(n) Honganji sect (of Shin Buddhism)/
本気 [ほんき] /(adj-na,n,adj-no) seriousness/truth/sanctity/(P)/
本気を出す [ほんきをだす] /(exp,v5s) to make a serious effort/
本義 [ほんぎ] /(n) true meaning/underlying principle/
本宮 [ほんぐう] /(n) main shrine/
本宮 [もとみや] /(n) main shrine/
本給 [ほんきゅう] /(n) basic or regular salary/
本拠 [ほんきょ] /(n) stronghold/inner citadel/base/headquarters/(P)/
本拠地 [ほんきょち] /(n) stronghold/inner citadel/base/headquarters/
本郷 [ほんごう] /(n) one's hometown/
本業 [ほんぎょう] /(n) principal occupation/core business/(P)/
本局 [ほんきょく] /(n) main office/
本曲 [ほんきょく] /(n) var. of traditional shakuhachi music/
本極まり [ほんぎまり] /(n) definite decision/final decision/
本筋 [ほんすじ] /(n) main thread (of a story)/
本金庫 [ほんきんこ] /(n) main depository/
本卦還り [ほんけがえり] /(n) reaching age of 60/dotage/second childhood/
本卦帰り [ほんけがえり] /(n) reaching age of 60/dotage/second childhood/
本契約 [ほんけいやく] /(n) contract (entered into on the basis of a promise or previous agreement)/formal agreement/contract at hand/
本経 [ほんぎょう] /(n) (Buddh) main sutra (of a lecture)/
本決まり [ほんぎまり] /(n) definite decision/final decision/
本決り [ほんぎまり] /(n) definite decision/final decision/
本結び [ほんむすび] /(n) square knot/
本月 [ほんげつ] /(n-t) this month/
本件 [ほんけん] /(n) this matter or case/(P)/
本建築 [ほんけんちく] /(n) permanent construction/
本権 [ほんけん] /(n,adj-no) property right to an estate/title/
本絹 [ほんけん] /(n) pure silk/
本元 [ほんもと] /(n) origin/main branch of family/
本源 [ほんげん] /(n) origin/root/cause/principle/
本枯 [ほんかれ] /(n) high grade katsuobushi (with mold)/
本校 [ほんこう] /(n) main school/this school/
本稿 [ほんこう] /(n) this manuscript/
本降り [ほんぶり] /(n) regular rainfall/
本項 [ほんこう] /(n) nub/core of the issue/
本国 [ほんごく] /(n) one's own country/(P)/
本国人 [ほんごくじん] /(n) native/citizen/
本腰 [ほんごし] /(n) strenuous effort/earnestness/seriousness/(P)/
本腰を入れる [ほんごしをいれる] /(exp,v1) (sens) to set about in earnest/to put one's back into something/
本妻 [ほんさい] /(n) one's legal wife/
本祭 [ほんまつり] /(n) regular festival/
本祭り [ほんまつり] /(n) regular festival/
本作 [ほんさく] /(n) this piece/this work/
本鯖 [ほんさば] /(n) chub mackerel (Scomber japonicus)/
本山 [ほんざん] /(n) head temple/this temple/(P)/
本山葵 [ほんわさび] /(n) wasabi (Wasabia japonica)/
本旨 [ほんし] /(n) main object/principal object/true aim/(P)/
本紙 [ほんし] /(n) this newspaper/(P)/
本試験 [ほんしけん] /(n) final examination/
本誌 [ほんし] /(n) this magazine/
本字 [ほんじ] /(n) Chinese character/unsimplified (original form of) a Chinese character/
本式 [ほんしき] /(adj-na,n) formal/orthodox/in earnest/
本湿地 [ほんしめじ] /(n) (uk) Lyophyllum shimeji (species of edible mushroom)/
本質 [ほんしつ] /(n,adj-no) essence/true nature/substance/reality/(P)/
本質的 [ほんしつてき] /(adj-na) essentially/
本社 [ほんしゃ] /(n) (1) head office/main office/headquarters/(2) main shrine/(3) this company/this shrine/(P)/
本社 [ほんじゃ] /(ok) (n) (1) main shrine/
本社移転 [ほんしゃいてん] /(n) headquarter shift/
本手 [ほんて] /(n) one's true ability/the right way/professional/
本州 [ほんしゅう] /(n) Honshu (largest of the four main islands of Japan)/
本初 [ほんしょ] /(n-adv,n-t) beginning/origin/start/
本初子午線 [ほんしょしごせん] /(n) prime meridian/
本署 [ほんしょ] /(n) police headquarters/main office/this office/
本書 [ほんしょ] /(n) text/script/this book/(P)/
本諸子 [ほんもろこ] /(n) (uk) willow gudgeon (species of fish, Gnathopogon caerulescens)/
本省 [ほんしょう] /(n) this ministry/the home office/(P)/
本省詰め [ほんしょうずめ] /(n) service at the Head Office/
本省人 [ほんしょうじん] /(n) (1) (China) someone from one's own province/(2) (Taiwan) someone whose ancestors had lived in Taiwan before the Kuomintang related immigration wave/
本章 [ほんしょう] /(n) this chapter/
本場 [ほんば] /(n,adj-no) (1) home/habitat/center/centre/best place/(2) authentic/genuine/(P)/
本場所 [ほんばしょ] /(n) official sumo tournament/
本場物 [ほんばもの] /(n) genuine article/
本状 [ほんじょう] /(n) this document/this letter/this writing/
本職 [ほんしょく] /(n) (1) principal occupation/main job/(2) professional/an expert/specialist/(pn,adj-no) (3) I (of a government offical, etc.)/me/(P)/
本色 [ほんしょく] /(n) one's real character/
本食い虫 [ほんくいむし] /(n) bookworm (literal and figurative)/
本心 [ほんしん] /(n) true feelings/(P)/
本真 [ほんま] /(adj-na,n) (ksb:) truth/reality/
本真に [ほんまに] /(adv) (ksb:) really/truly/
本震 [ほんしん] /(n) main shock (of an earthquake)/
本人 [ほんにん] /(n,adj-no) the person himself/(P)/
本人次第 [ほんにんしだい] /(n) being up to the the person himself/
本人負担 [ほんにんふたん] /(n) paying for the purchase (expense) out of one's own pocket/being responsible for the payment of one's share of the purchase price, expense, etc./
本陣 [ほんじん] /(n) troop headquarters/daimyo's inn/stronghold/
本図 [ほんず] /(n) this drawing/
本数 [ほんすう] /(n) number of long thin objects (movies, TV programs, baseball games, etc.) (programmes)/(P)/
本姓 [ほんせい] /(n) real or original name/
本性 [ほんしょう] /(n) true character/real nature/(P)/
本性 [ほんせい] /(n) true character/real nature/
本星 [ほんぼし] /(n) (sl) real culprit (police slang)/
本石楠花 [ほんしゃくなげ] /(n) (uk) Rhododendron metternichii/
本籍 [ほんせき] /(n) one's permanent residence/(P)/
本籍地 [ほんせきち] /(n) permanent domicile/
本切羽 [ほんせっぱ] /(n) (1) functioning cuff buttons on a jacket (i.e. those that can be buttoned and unbuttoned)/(2) surgeon's cuffs/
本節 [ほんせつ] /(n) this chapter/this passage/this section/
本節 [ほんぶし] /(n) top-quality dried bonito/
本占地 [ほんしめじ] /(n) (uk) Lyophyllum shimeji (species of edible mushroom)/
本染分倍良 [ほんそめわけべら] /(n) (uk) bluestreak cleaner wrasse (Labroides dimidiatus)/
本線 [ほんせん] /(n,adj-no) main line/(P)/
本船 [ほんせん] /(n) mother ship/this ship/
本船渡し [ほんせんわたし] /(n) free on board (i.e. seller pays to have goods placed on a ship)/FOB/
本選 [ほんせん] /(n) final selection/
本選挙 [ほんせんきょ] /(n) original selection/
本然 [ほんぜん] /(n,adj-no) disposition/nature/natural/inborn/inherent/innate/
本然 [ほんねん] /(n,adj-no) disposition/nature/natural/inborn/inherent/innate/
本膳 [ほんぜん] /(n) regular dinner/
本膳料理 [ほんぜんりょうり] /(n) extremely high-grade Japanese meal served all at once (on a table with legs)/
本組み [ほんぐみ] /(n) (page) makeup/
本訴 [ほんそ] /(n) original (legal) suit/
本草 [ほんぞう] /(n) plants/medicinal herbs/
本草学 [ほんぞうがく] /(n) study of medicinal herbs/pharmacognosy/
本葬 [ほんそう] /(n) formal funeral/
本則 [ほんそく] /(n) rules/original rules/
本尊 [ほんぞん] /(n) (1) principal object of worship at a temple (usu. a buddha or bodhisattva)/principal image/idol/(2) the man himself/the person at the heart of the matter/(P)/
本多髷 [ほんだまげ] /(n) type of male haircut (Edo period)/
本体 [ほんたい] /(n,adj-no) (1) substance/real form/(2) body (of a machine)/(3) object of worship (at a shrine, temple, etc.)/(4) noumenon/(P)/
本体価格 [ほんたいかかく] /(n) base price/pre-tax price/
本体種別表示 [ほんたいしゅべつひょうじ] /(n) (comp) typed body/
本体集団 [ほんたいしゅうだん] /(n) (comp) body group/
本体部 [ほんたいぶ] /(n) (comp) body part/
本体部暗号化表示 [ほんたいぶあんごうかひょうじ] /(n) (comp) body part encryption indication/
本体論 [ほんたいろん] /(n) (obs) ontology/
本態性高血圧 [ほんたいせいこうけつあつ] /(n) essential hypertension/
本隊 [ほんたい] /(n) main body (of an army)/(P)/
本代 [ほんだい] /(n) money for books/
本題 [ほんだい] /(n) main question/real issue at hand/
本宅 [ほんたく] /(n) one's principal residence/
本棚 [ほんだな] /(n) bookshelves/bookshelf/bookcase/(P)/
本地 [ほんじ] /(n) (1) (Buddh) (arch) true form of a buddha/
本地 [ほんち] /(n) (1) (Buddh) (arch) true form of a buddha/(2) land of origin/
本地身 [ほんじしん] /(n) (Buddh) (dharma-body of) Vairocana/
本地垂迹説 [ほんじすいじゃくせつ] /(n) manifestation theory (holding that Shinto gods are manifestations of buddhas)/
本庁 [ほんちょう] /(n) central government office/this office/
本朝 [ほんちょう] /(n) this land/our country/Imperial Court/(P)/
本調子 [ほんちょうし] /(n) (1) normal condition/(2) (arch) keynote/proper key/(P)/
本通り [ほんどおり] /(n) main street/boulevard/
本邸 [ほんてい] /(n) principal residence/
本天 [ほんてん] /(n) (abbr) silk velvet/
本天鵞絨 [ほんビロード] /(n) silk velvet/
本店 [ほんだな] /(n) (1) head office/flagship store/main store/(2) this store/
本店 [ほんてん] /(n) (1) head office/flagship store/main store/(2) this store/(P)/
本伝 [ほんでん] /(n) primary biography/standard biography/
本殿 [ほんでん] /(n) main shrine/inner sanctuary/
本田 [ほんでん] /(n) rice paddy/
本土 [ほんど] /(n) mainland/one's home country/the country proper/(P)/
本土ミサイル防衛 [ほんどミサイルぼうえい] /(n) national missile defense (US) (defence)/NMD/
本島 [ほんとう] /(n) main island/this island/(P)/
本島人 [ほんとうじん] /(n) inhabitants of main island/
本盗 [ほんとう] /(n) stealing home (baseball)/
本当 [ほんと] /(ik) (adj-na,n) truth/reality/
本当 [ほんとう] /(adj-na,n) truth/reality/(P)/
本当に [ほんとうに] /(adv) really/truly/(P)/
本当に [ほんとに] /(ik) (adv) really/truly/
本当のところ [ほんとうのところ] /(exp,adv) (1) in truth/in actuality/(exp,n) (2) the truth/the real story/
本当のところ [ホントのところ] /(exp,adv) (1) in truth/in actuality/(exp,n) (2) the truth/the real story/
本当の所 [ほんとうのところ] /(exp,adv) (1) in truth/in actuality/(exp,n) (2) the truth/the real story/
本当の所 [ホントのところ] /(exp,adv) (1) in truth/in actuality/(exp,n) (2) the truth/the real story/
本統 [ほんとう] /(n) (1) main branch of a family/(2) truth/reality/
本動詞 [ほんどうし] /(n) (ling) main verb/
本堂 [ほんどう] /(n) main temple building/nave/(P)/
本道 [ほんどう] /(n) highway/main road/the right road/
本読み [ほんよみ] /(n) good reader/scenario reading/
本曇り [ほんぐもり] /(n) low-cloud overcast/
本日 [ほんじつ] /(n-adv,n-t) today/(P)/
本年 [ほんねん] /(n-adv,n-t) this (current) year/(P)/
本年度 [ほんねんど] /(n) the current fiscal year/
本能 [ほんのう] /(n,adj-no) instinct/(P)/
本能寺の変 [ほんのうじのへん] /(n) Honnoji Incident/forced suicide of daimyo Oda Nobunaga by his samurai general Akechi Mitsuhide (June 21, 1582)/
本能的 [ほんのうてき] /(adj-na) instinctive/instinctual/
本波布 [ほんはぶ] /(n) (uk) Okinawan habu (Trimeresurus flavoviridis)/
本箱 [ほんばこ] /(n) bookcase/(P)/
本発明 [ほんはつめい] /(n) present invention/
本飯匙倩 [ほんはぶ] /(n) (uk) Okinawan habu (Trimeresurus flavoviridis)/
本番 [ほんばん] /(n) (1) performance/take/going before an audience or on-air/(2) game/season/crucial moment/(3) actual sexual intercourse (i.e. not simulated)/(P)/
本番運用 [ほんばんうんよう] /(n) (comp) production run/
本皮 [ほんかわ] /(n) real leather/
本皮 [ほんがわ] /(n) real leather/
本美之主貝 [ほんびのすがい] /(n) (uk) quahog (Mercenaria mercenaria)/quahaug/hard clam/hard-shell clam/round clam/littleneck/topneck/cherrystone/chowder clam/
本表 [ほんぴょう] /(n) (1) main table/(2) this table/
本品 [ほんぴん] /(n) this product/this item/this article/
本舞台 [ほんぶたい] /(n) main stage/public place/
本部 [ほんぶ] /(n) headquarters/head office/main office/(P)/
本部長 [ほんぶちょう] /(n) general manager/director-general/
本復 [ほんぷく] /(n,vs) complete recovery from illness/
本腹 [ほんばら] /(n) legitimate (child)/
本腹 [ほんぷく] /(n) legitimate (child)/
本物 [ほんもの] /(n,adj-no) genuine article/(P)/
本物で通る [ほんものでとおる] /(exp,v5r) to pass for (as) genuine/
本分 [ほんぶん] /(n) one's duty/one's part/
本文 [ほんぶん] /(n) text (of document)/body (of letter)/(P)/
本文 [ほんもん] /(n) text (of document)/body (of letter)/(P)/
本文批評 [ほんもんひひょう] /(n) textual criticism/
本篇 [ほんぺん] /(n) (1) original story/original version/(2) this volume/
本編 [ほんぺん] /(n) (1) original story/original version/(2) this volume/
本舗 [ほんぽ] /(n) head office/main shop/
本俸 [ほんぽう] /(n) regular salary/basic salary/full pay/
本縫い [ほんぬい] /(n) final stitching/
本邦 [ほんぽう] /(n) this country/our country/
本望 [ほんもう] /(adj-na,n) long-cherished ambition/satisfaction/
本本 [もともと] /(adv,adj-no) originally/by nature/from the start/
本鮪 [ほんまぐろ] /(n) northern bluefin tuna (Thunnus thynnus)/
本末 [ほんまつ] /(exp,n) essence and fringe/beginning and ending/root and branch/means and end/
本末転倒 [ほんまつてんとう] /(n,vs,adj-no) failing to properly evaluate the (relative) importance (of)/putting the cart before the horse/mistaking the cause for the end/mistaking the insignificant for the essential/getting one's priorities backwards/
本末顛倒 [ほんまつてんとう] /(n,vs,adj-no) failing to properly evaluate the (relative) importance (of)/putting the cart before the horse/mistaking the cause for the end/mistaking the insignificant for the essential/getting one's priorities backwards/
本務 [ほんむ] /(n) duty/regular business/
本名 [ほんみょう] /(n) real name/(P)/
本名 [ほんめい] /(n) real name/
本命 [ほんめい] /(n) (1) favorite/favourite/sure thing/likely winner/certainty/(2) one's heart's desire/(P)/
本命チョコ [ほんめいチョコ] /(n) chocolate given to a boy on Valentine's day out of genuine sentiment/
本木 [もとき] /(n) original stock/(P)/
本木にまさる末木なし [もときにまさるうらきなし] /(exp) (obsc) try though one might, it's impossible to replace one's first love/
本目 [ほんめ] /(n) type of flat knot used in nets/
本門 [ほんもん] /(n) (1) (obsc) main gate/front gate/(2) (Buddh) latter half of the Lotus Sutra, which describes the nature of the Buddha/
本厄 [ほんやく] /(n) critical year in one's life/inauspicious year/
本有 [ほんう] /(n) (in Buddhism) state (or period) of life/
本有 [ほんぬ] /(n) (in Buddhism) state (or period) of life/
本有 [ほんゆう] /(n,vs) innateness/innate feature (or character, etc.)/
本有観念 [ほんゆうかんねん] /(n) (obsc) innate idea/innate ideas/
本有的 [ほんゆうてき] /(adj-na) innate/
本予算 [ほんよさん] /(n) main budget/(P)/
本葉 [ほんば] /(n) the first leaves to appear after the cotyledon/
本葉 [ほんよう] /(n) true leaf/
本葉 [もとは] /(n) true leaf/
本来 [ほんらい] /(n-adv,n-t,adj-no) (1) originally/primarily/(2) essentially/naturally/by nature/in (and of) itself/(3) proper/legal/(P)/
本来から言えば [ほんらいからいえば] /(exp) by all rights/legally speaking/properly speaking/
本来であれば [ほんらいであれば] /(exp) by all rights/legally speaking/properly speaking/
本来なら [ほんらいなら] /(exp) by all rights/properly speaking/legally speaking/
本来の面目 [ほんらいのめんぼく] /(exp) (Buddh) one's true nature (lit: one's original face)/
本来受信者 [ほんらいじゅしんしゃ] /(n) (comp) preferred recipient/
本欄 [ほんらん] /(n) this column/(P)/
本立て [ほんたて] /(n) bookends/
本流 [ほんりゅう] /(n,adj-no) main current/main current of thought/(P)/
本領 [ほんりょう] /(n) characteristic/speciality/specialty/duty/proper function/original fief/(P)/
本領安堵 [ほんりょうあんど] /(n) recognition and guarantee, by the shogunate, of ownership of the inherited estate of a samurai who pledged allegiance to it (in the Kamakura and early Muromachi periods)/
本塁 [ほんるい] /(n) base/stronghold/main fort/home plate/(P)/
本塁打 [ほんるいだ] /(n) home run (baseball)/(P)/
本鈴 [ほんれい] /(n) bell signalling that work, class, etc. has formally begun/
本暦 [ほんれき] /(n) reference koyomi/main almanac/
本論 [ほんろん] /(n) main discourse/this subject/body (of a speech)/
本論文 [ほんろんぶん] /(n) this thesis/this article/the article under consideration/
本當 [ほんと] /(oK) (ik) (adj-na,n) truth/reality/
本當 [ほんとう] /(oK) (adj-na,n) truth/reality/
本籤 [ほんくじ] /(n) first prize in a private lottery/
翻 [こぼし] /(io) (n) waste-water container (tea ceremony)/
翻し [こぼし] /(n) waste-water container (tea ceremony)/
翻す [こぼす] /(v5s,vt) (1) to spill/to drop/to shed (tears)/(2) to grumble/to complain/(3) to let one's feelings show/
翻す [ひるがえす] /(v5s,vt) (1) to turn over/to turn around/(2) to change (one's mind)/to reverse (one's decision)/to take back (one's words)/(3) to fly (flag, etc.)/to wave (skirt, cape, etc.)/(P)/
翻って [ひるがえって] /(adv) conversely/from another angle/
翻って考えると [ひるがえってかんがえると] /(exp) on second thought/on (further) reflection/
翻る [ひるがえる] /(v5r,vi) to turn over/to wave/to flutter/(P)/
翻案 [ほんあん] /(n,vs,adj-no) adaptation (of story, text)/(P)/
翻意 [ほんい] /(n,vs) change one's mind/(P)/
翻雲覆雨 [ほんうんふくう] /(n) fickle friendship/
翻音 [ほんおん] /(n) (comp) transcription/
翻筋斗 [もどり] /(n) (uk) somersault/
翻筋斗 [もんどり] /(n) (uk) somersault/
翻筋斗打つ [もんどりうつ] /(v5t) to turn a somersault/
翻刻 [ほんこく] /(n,vs) reprint/
翻字 [ほんじ] /(n,vs) transliteration/
翻車魚 [まんぼう] /(n) (uk) ocean sunfish (Mola mola)/
翻然 [ほんぜん] /(n,adj-t,adv-to) sudden/
翻然悔悟 [ほんぜんかいご] /(n,vs) to feel sudden remorse/
翻然大悟 [ほんぜんたいご] /(n,vs) suddenly seeing the light/it suddenly dawning upon one/
翻倒 [ほんとう] /(n,vs) (obsc) turning upside-down/
翻訳 [ほんやく] /(n,vs) (1) translation/(2) de-encryption/deciphering/(3) rendering/(P)/
翻訳アセンブラ指示文 [ほんやくアセンブラしじぶん] /(n) (comp) assembler directive/
翻訳コミュニケーション研究グループ [ほんやくコミュニケーションけんきゅうグループ] /(n) Machine Translation Research Group (lit: Translation Communication Research Group)/
翻訳コンパイラ指示文 [ほんやくコンパイラしじぶん] /(n) (comp) compiler directive/
翻訳ソフトウェア [ほんやくソフトウェア] /(n) (comp) (automatic) translation software/
翻訳テーブル [ほんやくテーブル] /(n) (comp) translation table/
翻訳プログラム [ほんやくプログラム] /(n) (comp) translator/translation program/
翻訳プログラム指示文 [ほんやくプログラムしじぶん] /(n) (comp) translator directive/
翻訳メモリ [ほんやくメモリ] /(n) translation memory/
翻訳ルーチン [ほんやくルーチン] /(n) (comp) compiler/
翻訳家 [ほんやくか] /(n) translator/
翻訳会社 [ほんやくかいしゃ] /(n) translation agency/
翻訳解釈実行プログラム指示文 [ほんやくかいしゃくじっこうプログラムしじぶん] /(n) (comp) interpreter directive/
翻訳学 [ほんやくがく] /(n) translation studies/
翻訳権 [ほんやくけん] /(n) translation rights (to a book)/
翻訳研究 [ほんやくけんきゅう] /(n) translation studies/
翻訳元言語 [ほんやくもとげんご] /(n) language being translated from/source language/
翻訳指示文 [ほんやくしじぶん] /(n) (comp) compiler directing statement/
翻訳時 [ほんやくじ] /(n) (comp) translation time/compile time/
翻訳時間 [ほんやくじかん] /(n) (comp) translation time/
翻訳者 [ほんやくしゃ] /(n) translator/
翻訳借用 [ほんやくしゃくよう] /(n) loan translation/calque/
翻訳書 [ほんやくしょ] /(n) translation/
翻訳先言語 [ほんやくさきげんご] /(n) language being translated to/target language/
翻訳単位のプログラム [ほんやくたんいのプログラム] /(n) (comp) separately compiled program/
翻訳調 [ほんやくちょう] /(n) translationese/translatese/translatorese/
翻訳用計算機 [ほんやくようけいさんき] /(n) (comp) source-computer/
翻訳用計算機記述項 [ほんやくようけいさんききじゅつこう] /(n) (comp) source computer entry/
翻弄 [ほんろう] /(n,vs) (1) trifling with/toying with/playing with/making sport of/making fun of/leading around by the nose/(2) tossing about (a ship)/(P)/
凡 [おおよそ] /(adv,n) (uk) about/roughly/as a rule/approximately/
凡 [はん] /(adj-na,n) mediocrity/
凡 [ぼん] /(adj-na,n) mediocrity/(P)/
凡々 [ぼんぼん] /(adj-t,adv-to) ordinary/usual/
凡そ [おおよそ] /(adv,n) (uk) about/roughly/as a rule/approximately/
凡そ [およそ] /(adv,n) (uk) about/roughly/as a rule/approximately/(P)/
凡その見当 [およそのけんとう] /(n) rough estimation/
凡て [すべて] /(adj-no,n-adv,n) all/the whole/entirely/in general/wholly/overall/
凡ならざる人物 [ぼんならざるじんぶつ] /(n) man of unusual ability/remarkable man/
凡ゆる [あらゆる] /(adj-pn) (uk) all/every/
凡フライ [ぼんフライ] /(n) easy fly (in baseball)/
凡ミス [ぼんミス] /(n) basic mistake/trivial mistake/
凡眼 [ぼんがん] /(n) (through) a layman's eyes/
凡器 [ぼんき] /(n) ordinary talent/
凡愚 [ぼんぐ] /(adj-na,n) common person/foolish commoner/
凡骨 [ぼんこつ] /(n) ordinary person/
凡才 [ぼんさい] /(n) mediocrity/ordinary ability/
凡作 [ぼんさく] /(n) poor piece of writing/
凡策 [ぼんさく] /(n) commonplace policy/
凡試合 [ぼんしあい] /(n) dull game (of baseball)/
凡失 [ぼんしつ] /(n) common mistake/
凡手 [ぼんしゅ] /(n) mediocre ability/person of ordinary skills/
凡庶 [ぼんしょ] /(n) common people/
凡書 [ぼんしょ] /(n) ordinary book/ordinary handwriting/
凡小 [ぼんしょう] /(adj-na,n) small and of mediocre talent/
凡常 [ぼんじょう] /(adj-na,n) ordinary/common/
凡人 [ぼんじん] /(n) ordinary person/average person/mediocre/(P)/
凡人 [ぼんにん] /(n) ordinary person/average person/mediocre/
凡戦 [ぼんせん] /(n) dull game/
凡僧 [ぼんそう] /(n) (1) (Buddh) unranked priest/ordinary priest/(2) foolish monk/
凡僧 [ぼんぞう] /(n) (1) (Buddh) unranked priest/ordinary priest/
凡俗 [ぼんぞく] /(adj-na,n) mediocrity/the masses/ordinary run of men/
凡打 [ぼんだ] /(n,vs) poor batting/
凡体 [はんたい] /(n) mediocrity/mediocre/
凡退 [ぼんたい] /(n,vs) out in 1-2-3 order (baseball)/
凡百 [ぼんひゃく] /(n) many/many kinds/
凡百 [ぼんぴゃく] /(n) many/many kinds/
凡夫 [ぼんぶ] /(n) (1) ordinary person/(2) (Buddh) prthag-jana (unenlightened person)/
凡夫 [ぼんぷ] /(n) (1) ordinary person/(2) (Buddh) prthag-jana (unenlightened person)/
凡凡 [ぼんぼん] /(adj-t,adv-to) ordinary/usual/
凡庸 [ぼんよう] /(adj-na,n,adj-no) mediocre/banality/commonplace/(P)/
凡庸愚昧 [ぼんようぐまい] /(n,adj-na,adj-no) ordinary and ignorant/mediocre and stupid/
凡流 [ぼんりゅう] /(n) ordinary style/
凡慮 [ぼんりょ] /(n) ordinary minds/ordinary men/
凡例 [はんれい] /(n) (1) introductory remarks/explanatory notes/(2) legend (on maps, drawings, etc.)/
盆 [ぼん] /(n) (1) O-Bon/Bon Festival/Lantern Festival/Festival of the Dead/(2) tray/(3) family/household/(P)/
盆と正月が一緒に来た様 [ぼんとしょうがつがいっしょにきたよう] /(exp) (id) To be as busy as a bee/Like Christmas and a birthday feast rolled into one/
盆の縁 [ぼんのふち] /(n) edge of a tray/
盆の窪 [ぼんのくぼ] /(n) hollow at nape of the neck/
盆暗 [ぼんくら] /(n) (1) stupidity/idiocy/(2) blockhead/idiot/dimwit/mediocrity/
盆画 [ぼんが] /(n) tray landscape/
盆休み [ぼんやすみ] /(n) Bon holidays/Bon holiday period (in mid-August)/
盆景 [ぼんけい] /(n) miniature garden/tray landscape/
盆栽 [ぼんさい] /(n) bonsai/(P)/
盆祭り [ぼんまつり] /(n) Bon Festival/
盆石 [ぼんせき] /(n) tray-landscape foundation stone/
盆地 [ぼんち] /(n) basin (e.g. between mountains)/(P)/
盆提灯 [ぼんぢょうちん] /(n) Bon Festival lantern/
盆灯籠 [ぼんとうろう] /(n) Bon Festival lantern/
盆灯籠 [ぼんどうろう] /(n) Bon Festival lantern/
盆暮 [ぼんくれ] /(n) Bon and year-end festivals/
盆暮れ [ぼんくれ] /(n) Bon and year-end festivals/
盆踊 [ぼんおどり] /(n) Bon Festival dance/Lantern Festival dance/
盆踊り [ぼんおどり] /(n) Bon Festival dance/Lantern Festival dance/(P)/
摩ご羅迦 [まごらが] /(n) (Buddh) mahoraga (protectors of Buddhism depicted as giant serpents)/
摩する [さする] /(io) (v5r,vt) (1) to pat/to stroke/(2) to rub off/to polish/to grind/to graze/to scrape/(3) to be equal to/(4) to be about to reach/
摩する [まする] /(vs-s) (1) to rub/to scrub/(2) to draw near/to press/
摩ってしまう [すってしまう] /(exp,v5u) (uk) (obsc) to squander one's money (through gambling, Pachinko, etc.)/
摩りつける [すりつける] /(v1,vt) (1) to rub against/to nuzzle against (e.g. dog nosing a person)/(2) to strike (a match)/
摩り寄る [すりよる] /(v5r,vi) to draw close to/to edge up to/to snuggle up to/to nestle close to/to cuddle with/to draw closer to/
摩り枯らし [すりからし] /(n) serious abrasion/wearing out (of clothes)/
摩り込む [すりこむ] /(v5m) to rub in/to grind and mix/
摩り切り [すりきり] /(n,vs) (uk) levelling a powder or liquid (e.g. sugar, flour) in a container (when measuring)/
摩り切る [すりきる] /(v5r) to cut by rubbing/to wear out/to spend all (one's money)/
摩り切れる [すりきれる] /(v1,vi) to wear out/
摩り替える [すりかえる] /(v1,vt) to switch (secretly)/to substitute/to sidestep (an issue)/
摩り付ける [すりつける] /(v1,vt) (1) to rub against/to nuzzle against (e.g. dog nosing a person)/(2) to strike (a match)/
摩る [さする] /(v5r,vt) (1) to pat/to stroke/(2) to rub off/to polish/to grind/to graze/to scrape/(3) to be equal to/(4) to be about to reach/(P)/
摩る [する] /(v5r,vt) (1) to rub/to chafe/to strike (match)/to file/to frost (glass)/(2) to lose (e.g. a match)/to forfeit/to squander one's money (e.g. through gambling, Pachinko, etc.)/
摩れる [すれる] /(v1,vi) to rub/to chafe/to wear/to become sophisticated/
摩寄る [すりよる] /(v5r,vi) to draw close to/to edge up to/to snuggle up to/to nestle close to/to cuddle with/to draw closer to/
摩擦 [まさつ] /(n,vs) friction/rubbing/rubdown/chafe/(P)/
摩擦で起こった熱 [まさつでおこったねつ] /(n) heat generated from friction/
摩擦クラッチ [まさつクラッチ] /(n) friction clutch/
摩擦音 [まさつおん] /(n) fricative sound/
摩擦係数 [まさつけいすう] /(n) coefficient of friction/
摩擦送り [まさつおくり] /(n) (comp) friction feed/
摩擦的失業 [まさつてきしつぎょう] /(n) frictional unemployment/
摩擦熱 [まさつねつ] /(n) frictional heat/
摩損 [まそん] /(n,vs) wear and tear/abrasion/friction loss/
摩多 [また] /(n) vowel (in the Siddham script) (san: matr)/
摩天楼 [まてんろう] /(n) skyscraper/(P)/
摩滅 [まめつ] /(n,vs) defacement/abrasion/wear and tear/crushing of a nerve/
摩耗 [まもう] /(n,vs,adj-no) wear/abrasion/
摩羅 [まら] /(n) (1) obstacle to Buddhist practice (practise)/(2) (vulg) (uk) penis/
摩利支 [まりし] /(n) (Buddh) Marici/
摩利支天 [まりしてん] /(n) (Buddh) Marici (Buddhist god of war)/
摩訶 [まか] /(n,n-pref) (Buddh) maha (great)/
摩訶毘盧遮那 [まかびるしゃな] /(n) (Buddh) Mahavairocana (Buddha who symbolizes the entirety of the phenomenological world)/
摩訶不思議 [まかふしぎ] /(adj-na,n) mysterious/profound mystery/
磨き [みがき] /(n) polish/improvement/burnishing/(P)/
磨きをかける [みがきをかける] /(exp,v1) to polish up (on)/
磨きを掛ける [みがきをかける] /(exp,v1) to polish up (on)/
磨きガラス [みがきガラス] /(n) polished plate glass/
磨き砂 [みがきずな] /(n) polishing sand/
磨き紙 [みがきがみ] /(n) emery paper/
磨き上げる [みがきあげる] /(v1,vt) to polish up/to shine up/
磨き粉 [みがきこ] /(n) polishing powder/
磨き立てる [みがきたてる] /(v1,vt) to polish (up)/dress up/
磨ぎ汁 [とぎしる] /(n) water that has been used to wash rice/
磨ぎ汁 [とぎじる] /(n) water that has been used to wash rice/
磨く [みがく] /(v5k,vt) (1) to polish/to shine/to brush (e.g. teeth)/(2) to refine/to improve/(P)/
磨ぐ [とぐ] /(v5g,vt) (1) to sharpen/to hone/to whet/to grind/(2) to wash (rice)/(3) to scour/to polish/to burnish/
磨りガラス [すりガラス] /(n) ground glass/frosted glass/
磨り下ろす [すりおろす] /(v5s,vt) to grate/to scrape off/
磨り会わせる [すりあわせる] /(v1) to fit by rubbing together/
磨り減らす [すりへらす] /(v5s,vt) to wear away/to rub down/to abrade/
磨り減る [すりへる] /(v5r,vi) to be worn down/to be reduced/
磨り砕く [すりくだく] /(v5k) to rub to pieces/to grind into powder/
磨り出す [すりだす] /(v5s,vt) to polish/
磨り消す [すりけす] /(v5s) to erase/to efface/
磨り硝子 [すりがらす] /(n) ground glass/frosted glass/
磨り硝子 [すりガラス] /(n) ground glass/frosted glass/
磨り潰す [すりつぶす] /(v5s,vt) to pulverize/to pulverise/to mash/to deface/to lose a fortune/
磨り崩す [すりくずす] /(v5s) to rub to pieces/
磨る [する] /(v5r,vt) (1) to rub/to chafe/to strike (match)/to file/to frost (glass)/(2) to lose (e.g. a match)/to forfeit/to squander one's money (e.g. through gambling, Pachinko, etc.)/
磨れる [すれる] /(iK) (v1,vi) to rub/to chafe/to wear/to become sophisticated/
磨ガラス [すりガラス] /(io) (n) ground glass/frosted glass/
磨研紙 [まけんし] /(n) emery paper/
磨汁 [とぎしる] /(n) water that has been used to wash rice/
磨汁 [とぎじる] /(n) water that has been used to wash rice/
磨硝子 [すりがらす] /(n) ground glass/frosted glass/
磨硝子 [すりガラス] /(n) ground glass/frosted glass/
磨製石器 [ませいせっき] /(n) ground stoneware/
磨石 [とぎいし] /(n) whetstone/grindstone/
磨損 [まそん] /(n,vs) wear and tear/abrasion/friction loss/
磨滅 [まめつ] /(iK) (n,vs) defacement/abrasion/wear and tear/crushing of a nerve/
磨耗 [まもう] /(iK) (n,vs,adj-no) wear/abrasion/
磨淬 [まさい] /(n) polishing one's sword or talents or knowledge/
磨羯宮 [まかつきゅう] /(n) Capricorn (10th zodiacal sign)/the Goat/
魔 [ま] /(n) (1) demon/devil/evil spirit/evil influence/(n-suf) (2) someone who (habitually) performs some (negative) act/(P)/
魔が差す [まがさす] /(exp,v5s) to be possessed by an evil spirit/to be tempted/to give in to an urge/to succumb to temptation/
魔の海峡 [まのかいきょう] /(n) dangerous strait/
魔よけ [まよけ] /(n) charm against evil spirits/talisman/amulet/
魔王 [まおう] /(n) devil king/
魔界 [まかい] /(n) world of spirits/hell/
魔街 [まがい] /(n) den of thieves/brothel/red-light district/
魔器 [まき] /(n) magical focus/magical foci/
魔球 [まきゅう] /(n) miracle ball (baseball)/magic ball/
魔境 [まきょう] /(n) haunts of wicked men/
魔窟 [まくつ] /(n) (1) den of thieves/(2) brothel/red-light district/
魔剣 [まけん] /(n) cursed sword/
魔手 [ましゅ] /(n) evil influence/
魔術 [まじゅつ] /(n,adj-no) (1) black magic/sorcery/(2) magic tricks/juggling/(P)/
魔術師 [まじゅつし] /(n) magician/conjurer/
魔術団 [まじゅつだん] /(n) troupe of magicians/
魔術的経済学 [まじゅつてきけいざいがく] /(n) voodoo economics/
魔女 [まじょ] /(n,adj-no) witch/(P)/
魔女っ子 [まじょっこ] /(n) magical girl/young witch/
魔女子 [まじょこ] /(n) magical girl/young witch/
魔女狩 [まじょがり] /(n) witch hunt/
魔女狩り [まじょがり] /(n) witch hunt/
魔除け [まよけ] /(n) charm against evil spirits/talisman/amulet/
魔障 [ましょう] /(n) obstacle to Buddhist practice (practise)/
魔神 [ましん] /(n) devil/evil spirit/genie/
魔神 [まじん] /(n) devil/evil spirit/genie/
魔睡 [ますい] /(n) deep slumber (as if under a spell)/
魔酔 [ますい] /(n,vs) (arch) intoxicating/intoxication/
魔性 [ましょう] /(n,adj-no) devilishness/
魔族 [まぞく] /(n) demonic or magic being/inhabitant of hell (or the spirit world)/
魔弾 [まだん] /(n) magic bullet/magic bullets/
魔笛 [まてき] /(n) magic flute/The Magic Flute (by Mozart)/
魔導 [まどう] /(n) (1) sorcery/magic/
魔導騎士 [まどうきし] /(n) knight wizard/mage knight/
魔導士 [まどうし] /(n) sorcerer/wizard/mage/
魔導師 [まどうし] /(n) sorcerer/wizard/mage/
魔導書 [まどうしょ] /(n) grimoire/book of magic/book of sorcery/
魔道 [まどう] /(n) (1) heresy/evil ways/(2) sorcery/magic/
魔道騎士 [まどうきし] /(n) knight wizard/mage knight/
魔道士 [まどうし] /(n) sorcerer/wizard/mage/
魔道師 [まどうし] /(n) sorcerer/wizard/mage/
魔道書 [まどうしょ] /(n) grimoire/book of magic/book of sorcery/
魔乳 [まにゅう] /(n) witch's milk (milk secreted by some neonates)/
魔風 [まかぜ] /(n) storm caused by the devil/evil wind/
魔風 [まふう] /(n) storm caused by the devil/evil wind/
魔物 [まもの] /(n) goblin/apparition/
魔方陣 [まほうじん] /(n) magic square/
魔方陣行列 [まほうじんぎょうれつ] /(n) (comp) magic square (matrix)/
魔法 [まほう] /(n) magic/witchcraft/sorcery/(P)/
魔法つかい [まほうつかい] /(n) magician/wizard/sorcerer/witch/
魔法のじゅうたん [まほうのじゅうたん] /(n) magic carpet/flying carpet/
魔法のキノコ [まほうのキノコ] /(n) magic mushrooms/
魔法の杖 [まほうのつえ] /(n) magic wand/
魔法の絨毯 [まほうのじゅうたん] /(n) magic carpet/flying carpet/
魔法円 [まほうえん] /(n) magic circle/
魔法遣い [まほうつかい] /(n) magician/wizard/sorcerer/witch/
魔法使 [まほうつかい] /(io) (n) magician/wizard/sorcerer/witch/
魔法使い [まほうつかい] /(n) magician/wizard/sorcerer/witch/
魔法少女 [まほうしょうじょ] /(n) (col) magical girl/
魔法杖 [まほうづえ] /(n) magic wand/
魔法陣 [まほうじん] /(iK) (n) magic square/
魔法的 [まほうてき] /(adj-na) magic/
魔法瓶 [まほうびん] /(n) thermos flask/vacuum flask/(P)/
魔魅 [まみ] /(n) deceiving spirit/
魔羅 [まら] /(n) (1) obstacle to Buddhist practice (practise)/(2) (vulg) (uk) penis/
魔力 [まりょく] /(n) magical power/charm/
麻 [あさ] /(n) (1) cannabis (Cannabis sativa)/hemp (plant)/(2) hemp (fiber)/linen/flax/jute/(P)/
麻 [お] /(ok) (n) (1) cannabis (Cannabis sativa)/hemp (plant)/(2) hemp (fiber)/linen/flax/jute/
麻の実 [あさのみ] /(n) hemp seed/
麻の中の蓬 [あさのなかのよもぎ] /(exp) if even the most crooked person is surrounded by good people, he will straighten up as does mugwort growing in a hemp field/
麻衣 [あさごろも] /(n) linen robe/
麻衣 [まい] /(n) linen robe/
麻冠 [あさかんむり] /(n) kanji "hemp" radical at top/
麻冠 [まかんむり] /(n) kanji "dotted cliff" radical/
麻幹 [おがら] /(n) hemp reed/hemp stalk/
麻屑 [あさくず] /(n) oakum/tow/
麻姑掻痒 [まこそうよう] /(n) things happening exactly as one pleases (wishes)/someone being very attentive to one's wishes/
麻綱 [あさづな] /(n) hemp rope/
麻子仁 [ましにん] /(n) hemp seed (folk medicine)/
麻糸 [あさいと] /(n) hemp yarn/linen thread/
麻実 [おのみ] /(n) (obsc) hemp seed/
麻実油 [あさみゆ] /(n) hempseed oil/
麻実油 [まじつゆ] /(n) hempseed oil/
麻織 [あさおり] /(n) hemp cloth/
麻織り [あさおり] /(n) hemp cloth/
麻織物 [あさおりもの] /(n) hemp fabric/
麻疹 [はしか] /(n,adj-no) measles/
麻疹 [ましん] /(n,adj-no) measles/
麻垂れ [まだれ] /(n) the "dotted cliff" kanji radical/
麻睡 [ますい] /(iK) (n,adj-no) anaesthesia/anesthesia/
麻酔 [ますい] /(n,adj-no) anaesthesia/anesthesia/(P)/
麻酔をかける [ますいをかける] /(exp,v1) to anesthetize/to anesthetise/to anaesthetize/to anaesthetise/
麻酔医 [ますいい] /(n) anesthesiologist/anaesthesiologist/anesthetist/anaesthetist/
麻酔科医 [ますいかい] /(n) anesthesiologist/anaesthesiologist/anesthetist/anaesthetist/
麻酔科学 [ますいかがく] /(n) anesthesiology/anaesthesiology/
麻酔学 [ますいがく] /(n) anesthesiology/anaesthesiology/
麻酔剤 [ますいざい] /(n) anesthetic/anaesthetic/narcotic/
麻酔銃 [ますいじゅう] /(n) tranquilizer gun/tranquiliser gun/
麻酔注射 [ますいちゅうしゃ] /(n) anesthetic injection/anaesthetic injection/
麻酔薬 [ますいやく] /(n) anesthetic/anaesthetic/narcotic/
麻雀 [まあじゃん] /(n) mah-jongg (chi:)/mahjong/(P)/
麻雀 [まぜじゃん] /(n) mah-jongg (chi:)/mahjong/
麻雀屋 [まあじゃんや] /(n) mah-jongg parlour/mah-jongg parlor/mahjong parlour/mahjong parlor/
麻雀屋 [まぜじゃんや] /(n) mah-jongg parlour/mah-jongg parlor/mahjong parlour/mahjong parlor/
麻雀打ち [まあじゃんうち] /(n) mahjong player/
麻雀牌 [まあじゃんぱい] /(n) Mah Jong tile/Mah Jong tiles/
麻生派 [あそうは] /(n) Aso Faction (of the LDP)/
麻袋 [あさぶくろ] /(n) jute bag/
麻縄 [あさなわ] /(n) hemp rope/
麻婆豆腐 [マーボーどうふ] /(n) (uk) Sichuan style bean curd/
麻布 [あさぬの] /(n) hemp cloth/linen/(P)/
麻布 [まふ] /(n) hemp cloth/linen/
麻薬 [まやく] /(n,adj-no) narcotic drugs/narcotic/opium/dope/(P)/
麻薬患者 [まやくかんじゃ] /(n) drug addict/
麻薬及び向精神薬取締法 [まやくおよびこうせいしんやくとりしまりほう] /(n) Narcotics and Psychotropics Control Law/
麻薬犬 [まやくけん] /(n) drug-sniffing dog/
麻薬取締班 [まやくとりしまりはん] /(n) narcotics squad/narc squad/
麻薬取締法 [まやくとりしまりほう] /(n) (Japanese) Narcotics Control Law/
麻薬常習 [まやくじょうしゅう] /(n) drug addiction/
麻薬常用 [まやくじょうよう] /(n) narcotic addiction/
麻薬常用者 [まやくじょうようしゃ] /(n) drug user or addict/
麻薬性鎮痛薬 [まやくせいちんつうやく] /(n) narcotic analgesic/
麻薬探知犬 [まやくたんちけん] /(n) drug-sniffing dog/
麻薬中毒 [まやくちゅうどく] /(n,adj-no) drug addiction/
麻薬犯罪 [まやくはんざい] /(n) drug-related crime/
麻薬密売 [まやくみつばい] /(n) drug trafficking/dealing in illegal drugs/
麻薬問題担当長官 [まやくもんだいたんとうちょうかん] /(n) drug czar/Director of the White House Office of National Drug Control Policy/ONDCP/
麻裏 [あさうら] /(n) hemp-soled sandals/
麻裏草履 [あさうらぞうり] /(n) hemp-soled sandals/
麻呂 [まろ] /(n) (1) (arch) I/(2) (person having) thin or shaved eyebrows/(suf) (3) affectionate suffix for names of young men or pets/
麻痺 [まひ] /(n,vs) paralysis/palsy/numbness/stupor/(P)/
麻痺性痴呆 [まひせいちほう] /(n) paralytic dementia/
麻絲 [あさいと] /(n) hemp yarn/linen thread/
埋ける [いける] /(v1) (1) to bury something in the ground/(2) to cover coals with ash/to bank a fire/
埋け炭 [いけずみ] /(n) banked fire/live charcoal banked up and covered with ash/
埋まる [うずまる] /(v5r,vi) to be buried/to be surrounded/to overflow/to be filled/(P)/
埋まる [うまる] /(v5r,vi) to be buried/to be surrounded/to overflow/to be filled/(P)/
埋み火 [うずみび] /(n) banked fire/
埋めあわす [うめあわす] /(v5s,vt) to make up for/to compensate for/
埋める [うずめる] /(v1,vt) (1) to cover/to bury (e.g. one's face in hands)/to submerge/(2) to fill (completely)/to stuff/to pack/to cram/to fill up/(P)/
埋める [うめる] /(v1,vt) (1) to bury (e.g. in the ground)/(2) to fill up (e.g. audience fills a hall)/to fill (a seat, a vacant position)/(3) to plug gaps/to stop a gap/(4) to make amends/to cover up for something/(5) to put cold water in a bath/(6) to cover/to scatter something over/(P)/
埋め合す [うめあわす] /(v5s,vt) to make up for/to compensate for/
埋め合せ [うめあわせ] /(n) compensation/
埋め合せる [うめあわせる] /(v1,vt) to make amends/to compensate for/to make up for/
埋め合わす [うめあわす] /(v5s,vt) to make up for/to compensate for/
埋め合わせ [うめあわせ] /(n) compensation/
埋め合わせる [うめあわせる] /(v1,vt) to make amends/to compensate for/to make up for/
埋め込み [うめこみ] /(n,adj-f) embedding/implantation/built-in/
埋め込みプロセッサ [うめこみプロセッサ] /(n) (comp) embedded processor/
埋め込む [うめこむ] /(v5m) to bury/to embed/
埋め字 [うめじ] /(n) (comp) fill character/
埋め草 [うめくさ] /(n) (page) filler/
埋め草文字 [うめくさもじ] /(n) (comp) padding character/
埋め木 [うめき] /(n) wooden plug/
埋め木細工 [うめきざいく] /(n) mosaic woodwork/
埋め立て [うめたて] /(n) filling up/reclamation/(P)/
埋め立てる [うめたてる] /(v1,vt) to reclaim/to fill up/
埋め立てゴミ [うめたてゴミ] /(n) landfill waste/
埋め立て地 [うめたてち] /(n) reclaimed land/(P)/
埋もれる [うずもれる] /(v1,vi) to be buried/to be covered/to be hidden/
埋もれる [うづもれる] /(v1,vi) to be buried/to be covered/to be hidden/
埋もれる [うもれる] /(v1,vi) to be buried/to be covered/to be hidden/(P)/
埋もれ木 [うもれぎ] /(n) (1) bogwood/bog oak/(2) oblivion/obscurity/
埋骨 [まいこつ] /(n,vs) burial of ashes/
埋植 [まいしょく] /(n,adj-no) enthesis/
埋設 [まいせつ] /(n,vs) putting (laying) underground/
埋設ケーブル [まいせつケーブル] /(n) (comp) buried cable/
埋線 [まいせん] /(n) underground cable/
埋葬 [まいそう] /(n,vs,adj-no) burial/(P)/
埋葬地 [まいそうち] /(n) burial place (ground)/cemetery/graveyard/
埋葬虫 [しでむし] /(n) (uk) carrion beetle (any beetle of family Silphidae, inc. burying beetles)/
埋蔵 [まいぞう] /(n,vs) buried property/treasure trove/(P)/
埋蔵金 [まいぞうきん] /(n) buried gold/buried treasure/
埋蔵物 [まいぞうぶつ] /(n) buried property/buried treasure/treasure trove/deposits/
埋蔵量 [まいぞうりょう] /(n) deposits/reserves/
埋茶女郎 [うめちゃじょろう] /(n) low class prostitute in Yoshiwara (Edo period)/
埋茶造 [うめちゃじょろう] /(n) type of brothel in Yoshiwara (Edo period)/
埋伏歯 [まいふくし] /(n) impacted tooth/
埋没 [まいぼつ] /(n,vs) burying/embedding/implantation/(P)/
埋立て [うめたて] /(n) filling up/reclamation/
埋立地 [うめたてち] /(n) reclaimed land/
妹 [いもうと] /(n) (hum) younger sister/(P)/
妹さん [いもうとさん] /(n) (hon) younger sister/
妹の命 [いものみこと] /(n) (arch) (obsc) (hon) young lady/
妹背鳥 [いもせどり] /(n) (1) (obsc) any bird of family Motacillidae (excluding the pipits)/(2) lesser cuckoo (Cuculus poliocephalus)/
妹分 [いもうとぶん] /(n) protegee/someone who one considers as a younger sister/
妹婿 [いもうとむこ] /(n) the husband of one's younger sister/
妹娘 [いもうとむすめ] /(n) younger daughter/
枚 [びら] /(ateji) (n) (uk) bill/handbill/flier/leaflet/poster/placard/
枚 [まい] /(ctr) counter for flat objects (e.g. sheets of paper)/(P)/
枚 [ビラ] /(ateji) (n) (uk) bill/handbill/flier/leaflet/poster/placard/
枚を含む [ばいをふくむ] /(exp,v5m) (of a horse) to be gagged/
枚を銜む [ばいをふくむ] /(exp,v5m) (of a horse) to be gagged/
枚挙 [まいきょ] /(n,vs,adj-no) enumeration/(P)/
枚挙にいとまがない [まいきょにいとまがない] /(exp) too many to count/too numerous to mention/
枚挙に遑がない [まいきょにいとまがない] /(exp) too many to count/too numerous to mention/
枚挙に遑が無い [まいきょにいとまがない] /(exp) too many to count/too numerous to mention/
枚数 [まいすう] /(n) (1) the number of flat things/(2) win-loss difference which influences the ranking of sumo wrestlers/(P)/
枚組 [まいぐみ] /(ctr) counter for collections or assemblies of flat objects (e.g. CDs, DVDs, etc.)/
枚組み [まいぐみ] /(ctr) counter for collections or assemblies of flat objects (e.g. CDs, DVDs, etc.)/
毎 [ごと] /(n-adv,n-suf) each respectively/(P)/
毎 [まい] /(pref) every (usu. with events, e.g. every weekend)/each/(P)/
毎々 [まいまい] /(adv,n) each time/frequently/always/
毎に [ごとに] /(exp,suf) (uk) one by one/each/every/at intervals of/(P)/
毎夏 [まいなつ] /(n) every summer/
毎回 [まいかい] /(n-adv,n-t) every time/each round/(P)/
毎期 [まいき] /(n) every term/
毎月 [まいげつ] /(n-adv,n) every month/each month/monthly/(P)/
毎月 [まいつき] /(n-adv,n) every month/each month/monthly/(P)/
毎号 [まいごう] /(n-adv,n-t) every issue or number/
毎時 [まいじ] /(n-adv,n-t) every hour/hourly/(P)/
毎次 [まいじ] /(n-adv,n-t) every time/
毎週 [まいしゅう] /(n-adv,n-t) every week/(P)/
毎食 [まいしょく] /(n) every meal/
毎正時データ [ごとせいじデータ] /(n) (comp) hourly data/
毎朝 [まいあさ] /(n-adv,n-t) every morning/(P)/
毎朝 [まいちょう] /(n-adv,n-t) every morning/
毎度 [まいど] /(n-adv,n-t) (1) each time/(2) (abbr) thank you for your continued patronage/(P)/
毎度あり [まいどあり] /(exp) (abbr) thank you for your continued patronage/
毎度ありがとうございます [まいどありがとうございます] /(exp) thank you for your continued patronage/
毎度有り難うございます [まいどありがとうございます] /(exp) thank you for your continued patronage/
毎度有難うございます [まいどありがとうございます] /(exp) thank you for your continued patronage/
毎土曜日 [まいどようび] /(n) every Saturday/
毎冬 [まいふゆ] /(n) every winter/
毎日 [まいにち] /(n-adv,n-t) every day/(P)/
毎日の事 [まいにちのこと] /(n) daily routine/daily affairs/
毎日新聞社 [まいにちしんぶんしゃ] /(n) Mainichi Newspapers Co. Ltd/
毎日毎日 [まいにちまいにち] /(adv,adj-no) day after day/day by day/
毎年 [まいとし] /(n-t) every year/yearly/annually/(P)/
毎年 [まいねん] /(n-t) every year/yearly/annually/(P)/
毎晩 [まいばん] /(n-adv,n-t) every night/(P)/
毎秒 [まいびょう] /(n-adv,n-t) every second/
毎分 [まいふん] /(n-t) every minute/per minute/
毎毎 [まいまい] /(adv,n) each time/frequently/always/
毎夜 [まいよ] /(n-adv,n-t) every evening/
毎夕 [まいゆう] /(n-adv,n-t) every evening/
槙 [まき] /(n) (uk) yew plum pine (Podocarpus macrophyllus)/
槙肌 [まいはだ] /(n) caulking/calking/oakum/
槙肌 [まきはだ] /(n) caulking/calking/oakum/
幕 [まく] /(n) (1) curtain/bunting/(n,ctr) (2) act (in play)/(P)/
幕あい [まくあい] /(n) intermission/
幕があく [まくがあく] /(exp,v5k) to start an act (of a play)/to have curtains open/to have an (event, period of history, etc.) start/
幕が下りる [まくがおりる] /(exp,v1) to lower the curtain/to come to an end/
幕が開く [まくがあく] /(exp,v5k) to start an act (of a play)/to have curtains open/to have an (event, period of history, etc.) start/
幕に上がる [まくにあがる] /(exp,v5r) to be promoted to makuuchi (of a juryo-division sumo wrestler)/
幕の内 [まくのうち] /(n) (1) highest-ranking sumo division/(2) variety of boxed lunch/
幕を引く [まくをひく] /(exp,v5k) to draw closed the curtain (of a theatre, etc.)/to come to an end/
幕を切って落とす [まくをきっておとす] /(exp,v5s) to start (e.g. a scene, a war, etc.)/
幕を切る [まくをきる] /(exp,v5r) (1) to start (e.g. a scene, a war, etc.)/(2) to end (e.g. a play, an episode, an event, etc.)/
幕を閉じる [まくをとじる] /(exp,v1) to come to an end/to close the curtain/
幕引き [まくひき] /(n) putting an end to/
幕営 [ばくえい] /(n,vs) camp/camping/
幕屋 [まくや] /(n) (1) tent/(2) tabernacle/(3) small curtain-enclosed area (off a stage)/(4) Makuya (Original Gospel Movement of Japan)/
幕下 [まくした] /(n) third highest sumo division/wrestlers of the third highest sumo division/(P)/
幕下格 [まくしたかく] /(n) referee officiating the third highest sumo division/
幕下上位 [まくしたじょうい] /(n) 30 highest ranked makushita wrestlers (sumo)/
幕下付け出し [まくしたつけだし] /(n) very successful amateur sumo wrestler, allowed to start professional career in makushita division/
幕下付出し [まくしたつけだし] /(n) very successful amateur sumo wrestler, allowed to start professional career in makushita division/
幕開 [まくあき] /(io) (n) (1) the rise of the curtain/opening (of play)/(2) beginning (e.g. of an era)/opening (festival, event, etc.)/
幕開き [まくあき] /(n) (1) the rise of the curtain/opening (of play)/(2) beginning (e.g. of an era)/opening (festival, event, etc.)/
幕開け [まくあけ] /(n) (1) the rise of the curtain/opening (of play)/(2) beginning (e.g. of an era)/opening (festival, event, etc.)/(P)/
幕間 [まくあい] /(n) intermission (between acts)/interlude/
幕間 [まくま] /(ik) (n) intermission (between acts)/interlude/
幕軍 [ばくぐん] /(n) the shogunate army/
幕舎 [ばくしゃ] /(n) camp/
幕尻 [まくじり] /(n) lowest ranked wrestler in makuuchi division (sumo)/
幕臣 [ばくしん] /(n) shogunate retainer or vassal/
幕政 [ばくせい] /(n) the shogunate (administration)/
幕切れ [まくぎれ] /(n) fall of the curtain/last scene/end of act/(P)/
幕電 [まくでん] /(n) sheet lightning/
幕内 [まくうち] /(n) highest-ranking sumo division/(P)/
幕内格 [まくうちかく] /(n) referee officiating at bouts of rank-and-file wrestlers in the highest sumo division/
幕内最高優勝 [まくうちさいこうゆうしょう] /(n) tournament win in the highest sumo division/
幕内十年 [まくうちじゅうねん] /(exp) 10 year career in highest sumo division is enough for anyone/
幕藩体制 [ばくはんたいせい] /(n) the feudal system characteristic of the shogunate/
幕府 [ばくふ] /(n) bakufu/shogunate/(P)/
幕末 [ばくまつ] /(n) closing days of the Tokugawa shogunate/end of Edo era/(P)/
幕明き [まくあき] /(n) (1) the rise of the curtain/opening (of play)/(2) beginning (e.g. of an era)/opening (festival, event, etc.)/
幕明け [まくあけ] /(n) (1) the rise of the curtain/opening (of play)/(2) beginning (e.g. of an era)/opening (festival, event, etc.)/
幕吏 [ばくり] /(n) shogunate official/
幕僚 [ばくりょう] /(n) staff/staff officer/(P)/
幕僚長 [ばくりょうちょう] /(n) chief of staff/
膜 [まく] /(n) membrane/film/(P)/
膜型キーボード [まくがたキーボード] /(n) (comp) membrane keyboard/
膜骨 [まくこつ] /(n) membrane bone/
膜質 [まくしつ] /(n,adj-no) property of a film or membrane/
膜状 [まくじょう] /(n,adj-no) membranous/filmy/
膜電位 [まくでんい] /(n) membrane potential/
膜壁 [まくへき] /(n) membrane wall/
膜迷路 [まくめいろ] /(n) membranous labyrinth (of the inner ear)/membraneous labyrinth/
膜鳴楽器 [まくめいがっき] /(n) membranophone/
膜翅目 [まくしもく] /(n) (obs) Hymenoptera/
膜翅類 [まくしるい] /(n) (obsc) hymenopterans/
枕 [まくら] /(n,n-suf) (1) pillow/bolster/(2) introduction (e.g. to a rakugo story)/lead-in/(P)/
枕の草子 [まくらのそうし] /(n) The Pillow Book (by Sei Shonagon)/
枕カバー [まくらカバー] /(n) pillowcase/
枕絵 [まくらえ] /(n) erotic picture/
枕許 [まくらもと] /(n,adj-no) near one's pillow/at one's bedside/
枕経 [まくらぎょう] /(n) sutra recitation at the bedside of a deceased person/
枕芸者 [まくらげいしゃ] /(n) (1) geisha whose talents are limited to the bedroom/(2) geisha who steals money from sleeping travellers/
枕元 [まくらもと] /(n,adj-no) near one's pillow/at one's bedside/
枕言葉 [まくらことば] /(n) (1) pillow word (decorative word used prefixally in classical Japanese literature)/(2) preface/introduction/
枕詞 [まくらことば] /(n) (1) pillow word (decorative word used prefixally in classical Japanese literature)/(2) preface/introduction/
枕席 [ちんせき] /(n) bedding/bed/
枕籍 [ちんしゃ] /(n) (1) (arch) bedding/bed/(n,vs) (2) (arch) to sleep together in the same bed/(3) (arch) to sleep together using each other's bodies as pillow/(4) (arch) to sleep together using books as a pillow/
枕籍 [ちんせき] /(n) (1) (arch) bedding/bed/(n,vs) (2) (arch) to sleep together in the same bed/(3) (arch) to sleep together using each other's bodies as pillow/(4) (arch) to sleep together using books as a pillow/
枕銭 [まくらせん] /(n) pillow money/pillow tip/tip left by the pillow for the room maid/
枕銭 [まくらぜに] /(n) pillow money/pillow tip/tip left by the pillow for the room maid/
枕捜し [まくらさがし] /(n) bedroom theft or thief/
枕草子 [まくらのそうし] /(n) The Pillow Book (by Sei Shonagon)/
枕草紙 [まくらそうし] /(n) (1) (arch) private diary/pillow book/(2) book of erotic pictures/
枕草紙 [まくらぞうし] /(n) (1) (arch) private diary/pillow book/(2) book of erotic pictures/
枕草紙 [まくらのそうし] /(iK) (n) The Pillow Book (by Sei Shonagon)/
枕探し [まくらさがし] /(n) bedroom theft or thief/
枕投げ [まくらなげ] /(n) pillow fight/
枕頭 [ちんとう] /(n) bedside/
枕辺 [まくらべ] /(n) bedside/
枕木 [まくらぎ] /(n) sleeper/railroad tie/
枕流漱石 [ちんりゅうそうせき] /(n) sore loser stubbornly refusing to admit being wrong and adhering to the far-fetched argument/
枕屏風 [まくらびょうぶ] /(n) bed(side) screen/
枕藉 [ちんしゃ] /(n) (1) (arch) bedding/bed/(n,vs) (2) (arch) to sleep together in the same bed/(3) (arch) to sleep together using each other's bodies as pillow/(4) (arch) to sleep together using books as a pillow/
枕藉 [ちんせき] /(n) (1) (arch) bedding/bed/(n,vs) (2) (arch) to sleep together in the same bed/(3) (arch) to sleep together using each other's bodies as pillow/(4) (arch) to sleep together using books as a pillow/
鮪 [しび] /(n) (1) tuna (edible fish, Thunnus spp.)/tunny/(2) northern bluefin tuna (Thunnus thynnus)/
鮪 [まぐろ] /(n) (1) tuna (edible fish, Thunnus spp.)/tunny/(2) northern bluefin tuna (Thunnus thynnus)/(3) (sl) dead lay (someone who is inactive during sexual intercourse)/(P)/
鮪女 [まぐろおんな] /(n) (sl) woman who lies flat during intercourse/
鮪釣り [まぐろつり] /(n) tuna fishing/
柾 [まさき] /(n) Japanese spindletree (Euonymus japonicus)/
柾の葛 [まさきのかずら] /(n) (arch) Asiatic jasmine (Trachelospermum asiaticum)/Asian jasmine/
柾目 [まさめ] /(n,adj-no) straight grain/quartergrain/
鱒 [ます] /(n) (uk) trout/sea trout/
鱒の介 [ますのすけ] /(n) (uk) chinook salmon (Oncorhynchus tshawytscha)/king salmon/tyee salmon/Columbia River salmon/black salmon/chub salmon/hook bill salmon/winter salmon/spring salmon/quinnat salmon/blackmouth/
鱒之介 [ますのすけ] /(n) (uk) chinook salmon (Oncorhynchus tshawytscha)/king salmon/tyee salmon/Columbia River salmon/black salmon/chub salmon/hook bill salmon/winter salmon/spring salmon/quinnat salmon/blackmouth/
桝 [ます] /(n) (1) measuring container/measure/(2) box (seating at a theatre, etc.)/(3) square on a grid/cell of a grid/
桝酒 [ますざけ] /(n) alcohol (esp. sake) served in a small wooden box/alcohol (esp. sake) sold in a small wooden box/
亦 [また] /(adv,conj,pref) (uk) again/and/also/still (doing something)/
俣 [また] /(n) (1) crotch/crutch/groin/thigh/(2) fork (in a tree, road, river, etc.)/tines (of a fork)/
又 [また] /(adv,conj,pref) (uk) again/and/also/still (doing something)/(P)/
又々 [またまた] /(exp,adv) (1) (uk) again (and again)/once again/(2) You're kidding!/
又しても [またしても] /(adv) again/
又と [またと] /(adv) in addition/besides this/twice/
又とない [またとない] /(exp) (uk) unique/matchless/unparalleled/unparallelled/never again/
又と無い [またとない] /(exp) (uk) unique/matchless/unparalleled/unparallelled/never again/
又ない [またない] /(adj-i) unique/matchless/unparalleled/unparallelled/never again/
又の日 [またのひ] /(n) another day/the next day/
又の名 [またのな] /(n) alias/another name/
又は [または] /(conj,exp) (uk) or/otherwise/(P)/
又も [またも] /(adv) (once) again/
又もや [またもや] /(adv) again/
又甥 [またおい] /(n) grandnephew/
又家来 [またげらい] /(n) secondary retainer/
又会う日迄 [またあうひまで] /(exp) till we meet again/
又候 [またぞろ] /(adv) (uk) (yet) again/
又四郎尺 [またしろうじゃく] /(n) (arch) Matajirou shaku (approx. 30.26 cm)/
又写し [またうつし] /(n) copying again/
又借り [またがり] /(n,vs) subtenancy/
又従兄 [またいとこ] /(n) second cousin/
又従兄弟 [またいとこ] /(n) second cousin/
又従兄妹 [またいとこ] /(n) second cousin/
又従姉弟 [またいとこ] /(n) second cousin/
又従姉妹 [またいとこ] /(n) second cousin/
又従弟 [またいとこ] /(n) second cousin/
又小作 [またこさく] /(n) subtenancy/sublease/
又請け [またうけ] /(n) subcontract/
又請負 [またうけおい] /(n) subcontract/
又貸し [またかし] /(n,vs) subleasing/subletting/
又貸し [またがし] /(n,vs) subleasing/subletting/
又弟子 [またでし] /(n) indirect pupil/
又買い [またがい] /(n,vs) buying through an agent/
又聞き [またきき] /(n,vs) hearsay/
又聞き [またぎき] /(n,vs) hearsay/
又又 [またまた] /(exp,adv) (1) (uk) again (and again)/once again/(2) You're kidding!/
又無い [またない] /(adj-i) unique/matchless/unparalleled/unparallelled/never again/
又姪 [まためい] /(n) grandniece/
又木 [またぎ] /(iK) (n) forked tree/forked branch/
又来週 [またらいしゅう] /(exp) See you next week/
又頼み [まただのみ] /(n) indirect request/
又隣 [またどなり] /(n) second door from here/
抹香 [まっこう] /(n) incense/incense powder/
抹香鯨 [まっこうくじら] /(n) (uk) sperm whale/
抹香臭い [まっこうくさい] /(adj-i) smelling of incense/overly pious/
抹殺 [まっさつ] /(n,vs) erasure/denial/obliteration/ignoring (an opinion)/(P)/
抹消 [まっしょう] /(n,vs) erasure/delete (e.g. DEL character)/(P)/
抹消登録証明書 [まっしょうとうろくしょうめいしょ] /(n) proof of vehicle having been registered as disposed of/
抹茶 [まっちゃ] /(n) powdered green tea for ceremonies/(P)/
末 [うら] /(n) (arch) top end/tip/(P)/
末 [うれ] /(n) (arch) new shoots/new growth (of a tree)/
末 [すえ] /(n-adv,n-t) end/close/future/finally/tip/top/trivialities/posterity/youngest child/(P)/
末 [まつ] /(n-adv,n) (1) the end of/(2) powder/(P)/
末々 [すえずえ] /(n-adv,n-t) distant future/descendants/lower classes/
末そろえ [まつそろえ] /(n) (comp) end-aligned/
末っ子 [すえっこ] /(n) youngest child/(P)/
末つ方 [すえつかた] /(n) end of a period/end of the world/
末に [すえに] /(adv) finally/at the end (of)/following/(P)/
末の世 [すえのよ] /(n) last days/
末の末 [すえのすえ] /(n) the last/
末の問題 [すえのもんだい] /(n) a mere trifle/
末永い [すえながい] /(adj-i) very long/many years of/
末永い幸せ [すえながいしあわせ] /(exp) many years of happiness/
末永く [すえながく] /(n) forever/
末家 [ばっけ] /(n) branch family/
末家 [まっけ] /(n) branch family/
末期 [まっき] /(n) (1) closing years (period, days)/last stage/end stage/end-of-life (care, decision making, etc.)/(adj-f) (2) terminal (e.g. cancer, disease, etc.)/final/(P)/
末期 [まつご] /(n) deathbed/hour of death/
末期がん [まっきがん] /(n) terminal cancer/
末期の水 [まつごのみず] /(n) attend a dying person/
末期癌 [まっきがん] /(n) terminal cancer/
末期症状 [まっきじょうじょう] /(n,adj-no) terminal symptoms/
末期的 [まっきてき] /(adj-na) decadent/terminal/(P)/
末期養子 [まつごようし] /(n) deathbed adoption of a successor (to prevent extinction of the family line)/person adopted by someone on his deathbed/
末季 [まっき] /(n) (1) closing years (period, days)/last stage/end stage/end-of-life (care, decision making, etc.)/(adj-f) (2) terminal (e.g. cancer, disease, etc.)/final/
末技 [まつぎ] /(n) poor workmanship/
末吉 [すえきち] /(n) uncertain luck (as a fortune telling result)/luck which will become apparent as time passes/
末恐ろしい [すえおそろしい] /(adj-i) ominous/likely to grow worse/
末枯れ [うらがれ] /(n) dying of the little twigs and branches/
末枯れる [うらがれる] /(v1,vi) to die (esp. foliage as winter approaches)/
末広 [すえひろ] /(n) folding fan/(P)/
末広がり [すえひろがり] /(n) spreading out like an open fan/becoming prosperous/
末項 [まっこう] /(n) the last paragraph/
末香 [まっこう] /(n) incense/incense powder/
末頃 [すえごろ] /(exp) around the end of (a period of time)/
末座 [まつざ] /(n) lowest seat/
末始終 [すえしじゅう] /(adv,n) forever/for life/
末子 [すえこ] /(n) youngest child/
末子 [すえっこ] /(n) youngest child/
末子 [ばっし] /(n) youngest child/
末子 [まっし] /(n) youngest child/
末子音 [まつしいん] /(n) final consonant/
末寺 [まつじ] /(n) branch temple/
末社 [まっしゃ] /(n) (1) subordinate shrine/(2) (arch) professional entertainer/
末若い [うらわかい] /(adj-i) young/youthful/
末女 [まつじょ] /(n) youngest daughter/
末梢 [まっしょう] /(n,adj-no) tree top/tip/periphery/minor details/nonessentials/
末梢神経 [まっしょうしんけい] /(n) peripheral nerves/
末梢神経系 [まっしょうしんけいけい] /(n) peripheral nervous system/
末梢的 [まっしょうてき] /(adj-na) trivial/minor/insignificant/
末世 [まっせ] /(n) last days/
末成 [うらなり] /(n) (1) weak-looking fellow/pale-faced man/(2) fruit grown near the top end of the vine/
末成り [うらなり] /(n) (1) weak-looking fellow/pale-faced man/(2) fruit grown near the top end of the vine/
末生 [すえなり] /(n) fruit near end of the vine/weak-looking fellow/
末生り [うらなり] /(n) (1) weak-looking fellow/pale-faced man/(2) fruit grown near the top end of the vine/
末席 [ばっせき] /(n) lowest seat/foot of the table/
末席 [まっせき] /(n) lowest seat/foot of the table/
末席を汚す [ばっせきをけがす] /(exp,v5s) (hum) to attend a meeting/to have the honor of being present at a meeting/to soil the lowest seat by one's presence/
末席を汚す [まっせきをけがす] /(exp,v5s) (hum) to attend a meeting/to have the honor of being present at a meeting/to soil the lowest seat by one's presence/
末節 [まっせつ] /(n) minor details/nonessentials/
末孫 [まっそん] /(n) posterity/
末代 [まつだい] /(n) forever/in perpetuity/
末代物 [まつだいもの] /(n) durable article/
末端 [まったん] /(n,adj-no) end/tip/extremities/terminal/(P)/
末端価格 [まったんかかく] /(n) retail price/street price/
末端巨大症 [まったんきょだいしょう] /(n) (obsc) acromegaly/
末端消費者 [まったんしょうひしゃ] /(n) end user/
末端成分 [まったんせいぶん] /(n) (comp) ultimate component/
末端肥大症 [まったんひだいしょう] /(n) acromegaly/
末段 [まつだん] /(n) final paragraph/final paragraphs/the end of a story of block of text/
末男 [ばつなん] /(n) youngest son/
末茶 [まっちゃ] /(iK) (n) powdered green tea for ceremonies/
末長く [すえながく] /(adv) long/forever/
末弟 [ばってい] /(n) (1) youngest brother/(2) last disciple/
末弟 [まってい] /(n) (1) youngest brother/(2) last disciple/
末那 [まな] /(n) (Buddh) manas (defiled mental consciousness, which gives rise to the perception of self)/
末那識 [まなしき] /(n) (Buddh) manas-vijnana (defiled mental consciousness, which gives rise to the perception of self)/
末日 [まつじつ] /(n) last day (of a month)/(P)/
末日聖徒 [まつじつせいと] /(n) Latter-day Saints/
末年 [まつねん] /(n) the last days/the final years/the last generation/
末派 [まっぱ] /(n) sect/underling/
末輩 [まっぱい] /(n) underling/rank and file/
末尾 [まつび] /(n) end (e.g. of report, document, paragraph, etc.)/(P)/
末尾再帰 [まつびさいき] /(n) tail recursion/
末尾方式コード [まつびほうしきコード] /(n) (comp) final digit code/
末筆 [まっぴつ] /(n) part of end phrase in a letter/
末筆乍ら [まっぴつながら] /(n) letter-closing phrase expressing regret for a delay/
末文 [まつぶん] /(n) phrases, etc. at the ends of letters, etc./
末法 [まっぽう] /(n) latter days (in Buddhism)/age of decadence/
末法思想 [まっぽうしそう] /(n) pessimism due to decadent-age theory/
末末 [すえずえ] /(n-adv,n-t) distant future/descendants/lower classes/
末娘 [すえむすめ] /(n) the youngest daughter/
末木 [うらき] /(n) treetop/
末葉 [うらば] /(n,n-adv,n-t) (1) end leaves/top leaves/last leaves/
末葉 [うれは] /(n,n-adv,n-t) (1) end leaves/top leaves/last leaves/
末葉 [すえば] /(n,n-adv,n-t) (1) end leaves/top leaves/last leaves/(n) (2) the last descendant/the last days of any age/end/close/
末葉 [ばつよう] /(n) (1) the last descendant/the last days of any age/end/close/
末葉 [まつよう] /(n) (1) the last descendant/the last days of any age/end/close/
末頼もしい [すえたのもしい] /(adj-i) promising (future)/
末流 [ばつりゅう] /(n) descendants/
末流 [まつりゅう] /(n) descendants/
末僚 [ばつりょう] /(n) low-ranking official/
末路 [ばつろ] /(n) last days/the end/one's fate/
末路 [まつろ] /(n) last days/the end/one's fate/
末裔 [ばつえい] /(n) descendants/
末裔 [まつえい] /(n) descendants/
沫 [あわ] /(n) bubble/foam/froth/head on beer/
沫雪 [あわゆき] /(n) light snowfall/
迄 [まで] /(prt) (uk) until/till doing/as far as/(P)/
迄に [までに] /(adv) (uk) by/not later than/before/
侭 [まま] /(prt) (1) (uk) as it is/as one likes/because/as/(2) condition/state/
侭 [まんま] /(prt) (1) (uk) as it is/as one likes/because/as/(2) condition/state/
繭 [まゆ] /(n) cocoon/(P)/
繭をかける [まゆをかける] /(exp,v1) to spin a cocoon/
繭を掛ける [まゆをかける] /(exp,v1) to spin a cocoon/
繭価 [けんか] /(n) (obsc) price of a cocoon/
繭価 [まゆか] /(n) (obsc) price of a cocoon/
繭玉 [まゆだま] /(n) New Year's decoration with cocoon-shaped cakes/
繭糸 [きぬいと] /(n) silk thread/
繭糸 [けんし] /(n) silk thread/(P)/
繭紬 [けんちゅう] /(n) pongee (unbleached silk)/
麿 [まろ] /(n) (1) (arch) I/(2) (person having) thin or shaved eyebrows/(suf) (3) affectionate suffix for names of young men or pets/
万 [ばん] /(adv,pref) many/all/
万 [まん] /(num) (1) 10,000/ten thousand/(n) (2) myriads/(P)/
万 [よろず] /(num) (1) 10,000/ten thousand/(n) (2) myriads/(n-adv) (3) everything/all/
万々 [ばんばん] /(adv) (1) very much/fully/(2) never (with negative verb)/
万々 [まんまん] /(adv) (1) very much/fully/(2) never (with negative verb)/
万が一 [まんがいち] /(adv,n) if by any chance/just in case/in the worst case/lit: 10000 to 1/(P)/
万が一 [まんがいつ] /(adv,n) if by any chance/just in case/in the worst case/lit: 10000 to 1/
万遺漏無きを期す [ばんいろうなきをきす] /(exp,v5s) to make absolutely sure that there are no omissions/
万一 [まんいち] /(adv,n) by some chance/by some possibility/if by any chance/10,000 to 1 odds/(P)/
万一 [まんいつ] /(adv,n) by some chance/by some possibility/if by any chance/10,000 to 1 odds/
万一に備える [まんいちにそなえる] /(v1) to provide against contingencies/
万一のため [まんいちのため] /(exp) just in case/
万一を考える [まんいちをかんがえる] /(exp,v1) to be prepared for the worst/
万引 [まんびき] /(n,vs) shoplifting/shoplifter/(P)/
万引き [まんびき] /(n,vs) shoplifting/shoplifter/(P)/
万円 [まんえん] /(n) 10000 yen/
万延 [まんえん] /(n) Man'en era (1860.3.18-1861.2.19)/
万屋 [よろずや] /(n) (1) general merchant/(2) Jack of all trades/
万化 [ばんか] /(n,vs) many changes/
万華鏡 [ばんかきょう] /(n) kaleidoscope/
万華鏡 [まんげきょう] /(n) kaleidoscope/
万貨 [ばんか] /(n) many articles/
万巻 [まんがん] /(n) many scrolls/many books/
万感 [ばんかん] /(n) flood of emotions/many thoughts/
万感胸に迫る [ばんかんむねにせまる] /(exp) (id) A thousand emotions crowd in on me/
万機 [ばんき] /(n) state affairs/secrets/
万境 [ばんきょう] /(n) all places/all circumstances/
万金 [まんきん] /(n) immense sum (of money)/ten thousand yen/
万愚節 [ばんぐせつ] /(n) April Fool's Day/
万軍 [ばんぐん] /(n) hosts/all the armies/
万軍の主 [ばんぐんのしゅ] /(n) Lord of hosts/
万景峰号 [ばんけほうごう] /(n) Mangyongbong-92, a mixed passenger-cargo ferry running between Wonsan in North Korea and Niigata/
万景峰号 [まんけいほうごう] /(n) Mangyongbong-92, a mixed passenger-cargo ferry running between Wonsan in North Korea and Niigata/
万芸 [ばんげい] /(n) versatility/
万券 [まんけん] /(n) ten-thousand Yen note/
万言 [まんげん] /(n) many words/
万古 [ばんこ] /(n-adv,n-t) perpetuity/eternity/
万古不易 [ばんこふえき] /(n) eternally unchanging/
万戸 [ばんこ] /(n) all houses/many houses/
万口 [ばんこう] /(n) (mouths of) many people/
万更 [まんざら] /(iK) (adv) (uk) (not) altogether/(not) wholly/
万劫 [ばんごう] /(n) eternity/
万劫 [まんごう] /(n) eternity/
万劫末代 [まんごうまつだい] /(n-t) eternity/through all eternity/for evermore/for many generations to come/
万国 [ばんこく] /(n,adj-no) all countries/the whole world/universal/all nations/(P)/
万国旗 [ばんこくき] /(n) flags of all nations/
万国旗 [ばんこっき] /(n) flags of all nations/
万国共通 [ばんこくきょうつう] /(n,adj-no) worldwide/common to the whole world/universal/
万国国際音標文字 [ばんこくこくさいおんぴょうもじ] /(n) International Phonetic Alphabet/IPA/
万国史 [ばんこくし] /(n) world history/
万国著作権条約 [ばんこくちょさくけんじょうやく] /(n) Universal Copyright Convention/
万国博覧会 [ばんこくはくらんかい] /(n) world fair/international exposition/
万国標準時 [ばんこくひょうじゅんじ] /(n) universal time/
万国民 [ばんこくみん] /(n) the people of all nations/
万国郵便連合 [ばんこくゆうびんれんごう] /(n) Universal Postal Union/
万骨 [ばんこつ] /(n) thousands of lives/
万頃 [ばんけい] /(n) vast expanse/
万才 [ばんざい] /(int,n) (1) crying "banzai" (or raising one's hands in the banzai gesture)/(2) something worthy of celebration/(3) giving up/(4) (arch) long time/(5) (arch) eternal life (and prosperity)/(int) (6) banzai (a celebratory cheer)/hurrah (hooray, hurray)/
万才 [ばんぜい] /(int,n) (1) crying "banzai" (or raising one's hands in the banzai gesture)/(2) something worthy of celebration/(3) (arch) long time/(4) (arch) eternal life (and prosperity)/(int) (5) banzai (a celebratory cheer)/hurrah (hooray, hurray)/
万才 [まんざい] /(oK) (n) comic dialogue/two-man comedy act/
万歳 [ばんざい] /(int,n) (1) crying "banzai" (or raising one's hands in the banzai gesture)/(2) something worthy of celebration/(3) giving up/(4) (arch) long time/(5) (arch) eternal life (and prosperity)/(int) (6) banzai (a celebratory cheer)/hurrah (hooray, hurray)/(P)/
万歳 [ばんぜい] /(int,n) (1) crying "banzai" (or raising one's hands in the banzai gesture)/(2) something worthy of celebration/(3) (arch) long time/(4) (arch) eternal life (and prosperity)/(int) (5) banzai (a celebratory cheer)/hurrah (hooray, hurray)/
万歳 [まんざい] /(n) door-to-door comedic duo/(P)/
万歳三唱 [ばんざいさんしょう] /(n) three cheers (lit: shout 'banzai' three times)/
万作 [まんさく] /(n) (1) witch hazel/hamamelis mollis/hamamelis japonica/
万策 [ばんさく] /(n) all means/
万擦り [まんずり] /(n) (uk) (X) masturbation (female)/
万子 [マンズ] /(n) character tiles (in mahjong)/
万子 [ワンズ] /(n) character tiles (in mahjong)/
万止むを得ず [ばんやむをえず] /(exp) there is no hope/
万止むを得なければ [ばんやむをえなければ] /(exp) if necessary/when unavoidable/
万死 [ばんし] /(n) certain death/
万死一生 [ばんしいっしょう] /(n) advancing in the face of death/having a narrow escape from the jaw of death/
万事 [ばんじ] /(n) all/everything/(P)/
万事休す [ばんじきゅうす] /(exp) There is nothing more that can be done/
万事窮す [ばんじきゅうす] /(iK) (exp) There is nothing more that can be done/
万事万端 [ばんじばんたん] /(n) everything/all things/all affairs/all matters/
万字 [まんじ] /(n) swastika (esp. a counterclockwise swastika as a Buddhist symbol)/fylfot/gammadion/
万治 [まんじ] /(n) Manji era (1658.7.23-1661.4.25)/
万謝 [ばんしゃ] /(n,vs) many thanks/sincere apologies/
万寿 [ばんじゅ] /(n) longevity/
万寿 [まんじゅ] /(n) Manju era (1024.7.13-1028.7.25)/
万寿菊 [まんじゅぎく] /(n) (uk) French marigold (Tagetes patula)/
万象 [ばんしょう] /(n) all creation/all nature/all the universe/
万障 [ばんしょう] /(n) all obstacles/
万丈 [ばんじょう] /(n) hurrah!/long life/congratulations/full vent/
万乗 [ばんじょう] /(n) sovereignty/
万場 [まんじょう] /(n) all (present)/
万場一致で [まんじょういっちで] /(exp) unanimously/
万状 [ばんじょう] /(n) diversification/multifariousness/
万人 [ばんじん] /(n) (1) all people/everybody/(2) ten thousand people/(P)/
万人 [ばんにん] /(n) (1) all people/everybody/(2) ten thousand people/(P)/
万人 [まんにん] /(n) (1) all people/everybody/(2) ten thousand people/
万人向き [ばんにんむき] /(n) all-purpose/suiting everybody/
万人向き [まんにんむき] /(n) all-purpose/suiting everybody/
万人向きである [ばんにんむきである] /(exp) to suit all tastes/
万人向け [ばんにんむけ] /(n) suiting all tastes/
万尋 [ばんじん] /(n) 10000 fathoms/great depth/great height/
万摺り [まんずり] /(n) (uk) (X) masturbation (female)/
万世 [ばんせい] /(n-adv) all ages/eternity/
万世 [よろずよ] /(n-adv,n-t) thousands of years/eternity/all generations/
万世一系 [ばんせいいっけい] /(n) unbroken imperial line/
万世不易 [ばんせいふえき] /(n) eternity/perpetuity/
万聖節 [ばんせいせつ] /(n) All Saints' Day/All Hallows' Day/
万千 [ばんせん] /(n) tremendous number/
万善 [まんぜん] /(adj-na,n) all good works/all good deeds/
万全 [ばんぜん] /(adj-na,n) perfection/flawlessness/(P)/
万全の策 [ばんぜんのさく] /(n) safe plan/infallible measure/
万全を期す [ばんぜんをきす] /(exp,v5s) to make absolutely sure/to make doubly sure/
万卒 [ばんそつ] /(n) host of soldiers/
万代 [ばんだい] /(n-adv,n-t) thousands of years/eternity/all generations/
万代 [まんだい] /(n-adv,n-t) thousands of years/eternity/all generations/
万代 [よろずよ] /(n-adv,n-t) thousands of years/eternity/all generations/
万代草 [ばんだいそう] /(n) (uk) houseleek (any plant species of genus Sempervivum)/
万代不易 [ばんだいふえき] /(adj-na,n) eternity/perpetuity/
万端 [ばんたん] /(n) all/everything/
万釣り [まんづり] /(iK) (ik) (n) (uk) (X) masturbation (female)/
万天 [ばんてん] /(n) the whole world/
万点 [まんてん] /(n,adj-no) perfect score/
万灯 [まんどう] /(n) Buddhist lantern festival/
万灯会 [まんどうえ] /(n) Buddhist lantern festival/
万難 [ばんなん] /(n) many obstacles/innumerable difficulties/
万難を排して [ばんなんをはいして] /(exp) at all costs/at any cost/surmounting all difficulties/
万年 [まんねん] /(n) (1) ten thousand years/(2) eternity/(P)/
万年候補 [まんねんこうほ] /(n) ever unsuccessful candidate/persistent candidate/
万年床 [まんねんどこ] /(n) leaving a bed unmade/
万年新造 [まんねんしんぞう] /(n) woman of perennial youth/
万年青 [おもと] /(n) Japanese rhodea (plant of the lily family)/Rhodea japonica/
万年青 [まんねんせい] /(n) Japanese rhodea (plant of the lily family)/Rhodea japonica/
万年青年 [まんねんせいねん] /(n) man of perennial youth/man who never loses his youthful vigor/
万年雪 [まんねんゆき] /(n) perpetual snow/
万年草 [まんねんぐさ] /(n) (uk) stonecrop (Sedum spp.)/
万年茸 [まんねんたけ] /(n) bracket fungus (Ganoderma lucidum - formerly Fomes japonicus)/
万年通宝 [まんねんつうほう] /(n) ancient Japanese coinage first minted in 760 CE/
万年筆 [まんねんひつ] /(n) fountain pen/(P)/
万年暦 [まんねんごよみ] /(n) perpetual calendar (for reckoning lucky and unlucky days)/
万能 [ばんのう] /(n,adj-no,adj-na) (1) all-purpose/utility/(2) almighty/omnipotent/(P)/
万能 [まんのう] /(n,adj-no,adj-na) (1) all-purpose/utility/(2) almighty/omnipotent/
万能汚れ落とし [ばんのうよごれおとし] /(n) all-purpose cleaner/
万能細胞 [ばんのうさいぼう] /(n) pluripotent cell/
万能選手 [ばんのうせんしゅ] /(n) all-around athlete/
万能薬 [ばんのうやく] /(n) cure-all/panacea/
万能薬 [まんのうやく] /(n) cure-all/panacea/
万博 [ばんぱく] /(n) (abbr) world fair/international exposition/
万般 [ばんぱん] /(n) all things/
万病 [まんびょう] /(n) all kinds of sicknesses/
万病のもと [まんびょうのもと] /(exp) the source of all kinds of diseases/
万病の元 [まんびょうのもと] /(exp) the source of all kinds of diseases/
万夫 [ばんぷ] /(n) many people/
万夫不当 [ばんぷふとう] /(n) being a match for thousands/being a mighty warrior (combatant)/
万福 [ばんぷく] /(n) all health and happiness/
万福 [まんぷく] /(n) all health and happiness/
万物 [ばんぶつ] /(n) all things/all creation/
万物 [ばんもつ] /(n) all things/all creation/
万物の霊長 [ばんぶつのれいちょう] /(n) the lord of creation/man/mankind/
万物流転 [ばんぶつるてん] /(exp) all things are in a state of flux/everything is constantly changing/
万分の一 [まんぶんのいち] /(n) one ten-thousandth/
万別 [ばんべつ] /(n) various differentiations/
万遍なく [まんべんなく] /(adv) equally/thoroughly/all over/uniformly/without exception/all around/
万遍無く [まんべんなく] /(adv) equally/thoroughly/all over/uniformly/without exception/all around/
万歩計 [まんぽけい] /(n) pedometer/
万宝 [ばんぽう] /(n) many treasures/
万方 [ばんぽう] /(n) many lands/many means/
万邦 [ばんぽう] /(n) all nations/
万万 [ばんばん] /(adv) (1) very much/fully/(2) never (with negative verb)/
万万 [まんまん] /(adv) (1) very much/fully/(2) never (with negative verb)/
万万一 [ばんばんいち] /(adv,n) by any chance/ten thousand to one/
万万一 [まんまんいち] /(adv,n) by any chance/ten thousand to one/
万万歳 [ばんばんざい] /(n) matter for great congratulation/
万民 [ばんみん] /(n) all people/the whole nation/
万目 [ばんもく] /(n) many eyes/
万有 [ばんゆう] /(n) all things/all creation/universal/
万有引力 [ばんゆういんりょく] /(n) universal gravitation/
万有引力定数 [ばんゆういんりょくていすう] /(n) gravitational constant (G)/
万有在神論 [ばんゆうざいしんろん] /(n) panentheism/
万有神教 [ばんゆうしんきょう] /(n) pantheism/
万有内在神論 [ばんゆうないざいしんろん] /(n) (obsc) panentheism/
万葉仮名 [まんようがな] /(n) early Japanese syllabary composed of Chinese characters used phonetically/
万葉集 [まんようしゅう] /(n) Manyoushuu (famous 8thC poetry)/Japan's oldest anthology of poems/
万葉調 [まんようちょう] /(n) the poetic style typical of Manyoushuu/
万来 [ばんらい] /(n) many guests/
万雷 [ばんらい] /(n) heavy thunder/
万里 [ばんり] /(n) thousands of miles/(P)/
万里の長城 [はおんりのちょうじょう] /(n) Great Wall of China/
万里の長城 [ばんりのちょうじょう] /(n) Great Wall of China/
万両 [まんりょう] /(n) Ardisia crenata/coralberry/
万力 [まんりき] /(n) vise/jack/capstan/
万力鎖 [まんりきぐさり] /(n) (MA) Ninja weighted chain weapon/
万緑 [ばんりょく] /(n) myriad green leaves/
万緑一紅 [ばんりょくいっこう] /(n) one red flower standing out in a sea of green vegetation/one item of quality standing out among many/one woman among many men/
万緑叢中紅一点 [ばんりょくそうちゅうこういってん] /(exp) (arch) one red flower standing out in a sea of green vegetation/one item of quality standing out among many/one woman among many men/
万霊祭 [ばんれいさい] /(n) All Souls' Day/
万霊節 [ばんれいせつ] /(n) All Souls' Day/
万仞 [ばんじん] /(n) 10000 fathoms/great depth/great height/
万已むを得なければ [ばんやむをえなければ] /(exp) if necessary/when unavoidable/
万斛 [ばんこく] /(n) copious (tears)/
万朶 [ばんだ] /(n) many branches/
慢じる [まんじる] /(v1,vi) (arch) (obsc) to be conceited/
慢ずる [まんずる] /(vz,vi) (arch) to be conceited/
慢心 [まんしん] /(n,vs) self-conceit/pride/
慢性 [まんせい] /(n,adj-no) chronicity/chronic/(P)/
慢性化 [まんせいか] /(n,vs) becoming chronic/
慢性肝炎 [まんせいかんえん] /(n) chronic hepatitis/
慢性関節リウマチ [まんせいかんせつリウマチ] /(n) (obs) chronic rheumatoid arthritis/
慢性関節リューマチ [まんせいかんせつリューマチ] /(n) (obs) chronic rheumatoid arthritis/
慢性期 [まんせいき] /(n) chronic phase/
慢性気管支炎 [まんせいきかんしえん] /(n) chronic bronchitis/
慢性骨髄性白血病 [まんせいこつずいせいはっけつびょう] /(n) chronic myelogenous (myeloid) leukemia/CML/
慢性疾患 [まんせいしっかん] /(n) chronic malady/
慢性中毒 [まんせいちゅうどく] /(n) chronic addiction/chronic intoxication/
慢性的 [まんせいてき] /(adj-na) chronic/(P)/
慢性疲労症候群 [まんせいひろうしょうこうぐん] /(n) chronic fatigue syndrome/CFS/
慢性病 [まんせいびょう] /(n) chronic disease/
慢性閉塞性肺疾患 [まんせいへいそくせいはいしっかん] /(n) chronic obstructive pulmonary disease/COPD/
満 [まん] /(n) full (years, etc.)/
満々 [まんまん] /(adj-na,adv,n) full of/brimming with/(P)/
満たざる [みたざる] /(exp) less than/fraction of/below/
満たす [みたす] /(v5s,vt) (1) to satisfy/to fulfill/to appease/(2) to fill (e.g. a cup)/to pack/(3) to reach (a certain number)/(P)/
満たない [みたない] /(exp) less than/fraction of/below/
満ちる [みちる] /(v1,vi) (1) to be full/(2) to wax (e.g. moon)/(3) to rise (e.g. tide)/(4) to mature/to expire/(P)/
満ち溢れる [みちあふれる] /(v1,vi) to be full of (e.g. adventure, youth, energy)/to be overflowing with/
満ち干 [みちひ] /(n) ebb and flow/
満ち欠け [みちかけ] /(n) waxing and waning (of the moon)/
満ち足りる [みちたりる] /(v1,vi) to be content/to have enough/to be happy/to be sufficient/to be satisfied/
満ち潮 [みちしお] /(n) (1) high tide/(2) rising tide/
満ち満ちる [みちみちる] /(v1) to be full to the brim/
満つ [みつ] /(v5t,vi) (1) to be full/(2) to wax (e.g. moon)/(3) to rise (e.g. tide)/(4) to mature/to expire/
満を持す [まんをじす] /(exp,v5s) to have readied a bow and stand at ready/to watch for an opportunity/to bide one's time/to wait until the time is ripe/
満を持する [まんをじする] /(exp,vs-s) to have readied a bow and stand at ready/to watch for an opportunity/to wait until the time is ripe/
満タン [まんタン] /(n) full tank/filling up the tank/
満一年 [まんいちねん] /(n) one full year/
満員 [まんいん] /(n,adj-no) full house/no vacancy/sold out/standing room only/full (of people)/crowded/(P)/
満員御礼 [まんいんおんれい] /(n) banners of thanks for the full house (in sumo tournaments, soccer matches, concerts, etc.)/
満員電車 [まんいんでんしゃ] /(n) crowded train/(P)/
満引き [みちひき] /(n) ebb and flow/
満悦 [まんえつ] /(n,vs) great delight/rapture/(P)/
満悦至極 [まんえつしごく] /(n,adj-na) highly delighted/very pleased/deeply satisfied/brimming over with satisfaction/
満俺 [まんがん] /(ateji) (n,adj-no) (uk) manganese (Mn) (ger: Mangan)/
満開 [まんかい] /(n,vs,adj-no) full bloom/(P)/
満額 [まんがく] /(n) full amount/
満株 [まんかぶ] /(n) full subscription (of shares)/
満干 [まんかん] /(n) ebb and flow/
満漢偶数官制 [まんかんぐうすうかんせい] /(n) Qing-dynasty system assigning equal numbers of Manchurians and Han Chinese to central government agencies/
満艦飾 [まんかんしょく] /(n) dressed up/decked out/
満艦飾の船 [まんかんしょくのふね] /(n) full-dress ship/
満貫 [まんがん] /(n) winning with the highest possible score (in mah-jongg) (mahjong)/a win worth 8000 points (or, if dealer, 12000 points)/
満願 [まんがん] /(n) fulfilment of a vow/fulfillment of a vow/
満願成就 [まんがんじょうじゅ] /(n,vs) fulfilment of a vow/one's earnest prayer being answered/
満期 [まんき] /(n,adj-no) expiration (of a term)/maturity (e.g. investment)/(P)/
満期日 [まんきじつ] /(n) due date/date of maturity/expiration date/date of expiry/
満期日 [まんきび] /(n) due date/date of maturity/expiration date/date of expiry/
満喫 [まんきつ] /(n,vs) have enough of/fully enjoy/(P)/
満空情報 [まんくうじょうほう] /(n) information on space availability in a parking lot (car park)/
満月 [まんげつ] /(n,adj-no) full moon/(P)/
満更 [まんざら] /(ateji) (adv) (uk) (not) altogether/(not) wholly/(P)/
満更でもない [まんざらでもない] /(adj-i) not as dissatisfied (or annoyed) as (s)he would have us believe/
満更夢ではない [まんざらゆめではない] /(exp,adj-i) not altogether a dream/
満腔 [まんくう] /(ik) (adj-no,n) (uk) heartfelt/sincere/wholehearted/in one's whole body/
満腔 [まんこう] /(adj-no,n) (uk) heartfelt/sincere/wholehearted/in one's whole body/
満座 [まんざ] /(n) the whole assembly/the full house/whole group/everyone/
満載 [まんさい] /(n,vs) fully loaded/full load/loaded condition/(P)/
満作 [まんさく] /(n) (1) witch hazel/hamamelis mollis/hamamelis japonica/(2) bumper crop/abundant harvest/
満山 [まんざん] /(n) the whole mountain/all the mountains/
満室 [まんしつ] /(n) No Vacancy/
満車 [まんしゃ] /(n) full parking lot/
満州 [まんしゅう] /(n) Manchuria/
満州語 [まんしゅうご] /(n) Manchu (language)/
満州国 [まんしゅうこく] /(n) Manchukuo (Manchurian prewar Japanese puppet state)/
満州事変 [まんしゅうじへん] /(n) the Manchurian Incident/
満州族 [まんしゅうぞく] /(n) Manchu (people)/
満洲 [まんしゅう] /(n) Manchuria/
満床 [まんしょう] /(n) all beds occupied (hospital)/no beds (hospital)/no vacancy/
満場 [まんじょう] /(n-adv,n-t) unanimous/whole audience/(P)/
満場一致 [まんじょういっち] /(n) unanimous/(P)/
満場総立ち [まんじょうそうだち] /(n) standing ovation/
満場騒然 [まんじょうそうぜん] /(adj-t,adv-to) the whole house (assembly, audience) being in uproar/
満身 [まんしん] /(n) (1) the whole body/(adj-no) (2) all one's (strength, anger, spirit, etc.)/
満身創痍 [まんしんそうい] /(n) having wounds all over one's body/
満水 [まんすい] /(n) full to the brim with water/
満席 [まんせき] /(n,adj-no) full house/all seats occupied/fully occupied/(P)/
満足 [まんぞく] /(adj-na,n,vs) (1) satisfaction/(2) (math) sufficiency/(P)/
満足が行く [まんぞくがいく] /(exp,v5k-s) to be satisfied/
満足感 [まんぞくかん] /(n) feeling of satisfaction/
満卓 [まんたく] /(n) full house/all tables full/
満潮 [まんちょう] /(n) high tide/high water/full tide/(P)/
満潮 [みちしお] /(n) (1) high tide/(2) rising tide/
満潮線 [まんちょうせん] /(n) high-water mark/high-water line/high-water shoreline/
満鉄 [まんてつ] /(n) (abbr) South Manchurian Railway/
満天 [まんてん] /(n) the whole sky/
満天下 [まんてんか] /(n) all over the world/
満天星躑躅 [どうだんつつじ] /(n) (uk) Enkianthus perulatus/
満点 [まんてん] /(n,adj-no) perfect score/(P)/
満点を取る [まんてんをとる] /(exp,v5r) to get full marks/
満堂 [まんどう] /(n) the whole audience/
満年齢 [まんねんれい] /(n) age (expressed in the Western style of counting fully completed years)/
満杯 [まんぱい] /(n,adj-no) full/(P)/
満票 [まんぴょう] /(n) unanimously/
満幅 [まんぷく] /(n) full/
満腹 [まんぷく] /(adj-na,n,vs,adj-no) filling the stomach/full stomach/
満腹感 [まんぷくかん] /(n) feeling of a full stomach after a meal/satisfaction of having a full stomach/
満遍なく [まんべんなく] /(adv) equally/thoroughly/all over/uniformly/without exception/all around/
満遍無く [まんべんなく] /(adv) equally/thoroughly/all over/uniformly/without exception/all around/
満満 [まんまん] /(adj-na,adv,n) full of/brimming with/
満面 [まんめん] /(n-adv,n-t) (the) whole face/(P)/
満蒙 [まんもう] /(n) Manchuria and Mongolia/
満目 [まんもく] /(n-adv,n-t) as far as the eye can see/
満目荒涼 [まんもくこうりょう] /(adj-t,adv-to) all nature being bleak and desolate/scene looking desolate and forlorn as far as the eye can see/
満目蕭条 [まんもくしょうじょう] /(adj-t,adv-to) all nature being bleak and desolate/scene looking desolate and forlorn as far as the eye can see/
満了 [まんりょう] /(n,vs) expiration/termination/(P)/
満了日付 [まんりょうひつけ] /(n) (comp) expiration date/
満塁 [まんるい] /(n,adj-no) bases loaded (baseball)/(P)/
満塁ホームラン [まんるいホームラン] /(n) grand slam (baseball)/
漫々 [まんまん] /(adj-t,adv-to) vast/boundless/
漫ろ [すずろ] /(ok) (adj-na) (1) restless/on edge (and unable to concentrate)/distracted/(adv) (2) (of an emotional or psychological state) for some reason/
漫ろ [すぞろ] /(ok) (adj-na) (1) restless/on edge (and unable to concentrate)/distracted/(adv) (2) (of an emotional or psychological state) for some reason/
漫ろ [そぞろ] /(adj-na) (1) restless/on edge (and unable to concentrate)/distracted/(adv) (2) (of an emotional or psychological state) for some reason/
漫ろに [そぞろに] /(adv) (uk) in spite of oneself/somehow/without knowing why/vaguely/
漫ろ言 [そぞろごと] /(n) rambling talk/vague remarks/
漫ろ歩き [そぞろあるき] /(n,vs) slow, relaxed walk/stroll/
漫画 [まんが] /(n) comic/cartoon/(P)/
漫画家 [まんがか] /(n) cartoonist/manga artist/(P)/
漫画喫茶 [まんがきっさ] /(n) (abbr) coffee shop or cafe where one can read manga, often has Internet facilities/
漫画研究会 [まんがけんきゅうかい] /(n) (1) society for the study of manga/(2) manga club/
漫画雑誌 [まんがざっし] /(n) comic book/
漫画本 [まんがほん] /(ik) (n) comic book/
漫画本 [まんがぼん] /(n) comic book/
漫楽 [まんがく] /(n) manzai (comic dialogue) accompanied by music/
漫喫 [まんきつ] /(n) (abbr) coffee shop or cafe where one can read manga/
漫研 [まんけん] /(n) (1) (abbr) society for the study of manga/(2) manga club/
漫言 [まんげん] /(n) rambling talk/
漫言放語 [まんげんほうご] /(n,vs) saying whatever one feels/speaking at random/making careless remarks/rambling talk/
漫才 [まんざい] /(n) comic dialogue/two-man comedy act/(P)/
漫才師 [まんざいし] /(n) (one of) a comic duo/
漫然 [まんぜん] /(adj-t,adv-to) aimless/rambling/desultory/
漫談 [まんだん] /(n,vs) chat/desultory conversation/(P)/
漫談家 [まんだんか] /(n) comic storyteller/
漫読 [まんどく] /(n) browsing/
漫罵 [まんば] /(n,vs) revilement/derision/
漫筆 [まんぴつ] /(n) random jottings/
漫評 [まんぴょう] /(n) rambling criticism/
漫符 [まんぷ] /(n) (m-sl) signs, symbols and characters used in manga to represent actions, emotions, etc./
漫文 [まんぶん] /(n) random jottings/rambling essays/
漫歩 [まんぽ] /(n,vs) rambling/sauntering/strolling/
漫漫 [まんまん] /(adj-t,adv-to) vast/boundless/
漫遊 [まんゆう] /(n,vs) pleasure trip/tour/
漫遊客 [まんゆうきゃく] /(n) sightseer/tourist/
漫録 [まんろく] /(n) random comments/
蔓 [かずら] /(n) creeping plant/creeper/
蔓 [つる] /(n) (uk) shoots which grow in a helix around a support and climb with tendrils or suckers as opposed to vines; esp. hops, bindweed, runner bean, French bean and honeysuckles/
蔓延 [まんえん] /(n,vs) spread (e.g. of a disease)/rampancy/infestation/proliferation/
蔓延る [はびこる] /(v5r,vi) to spread/to run rampant/to grow thick/to become powerful/(P)/
蔓巻 [つるまき] /(n) (uk) zebra sole (Zebrias zebrinus)/
蔓荊 [はまごう] /(n) (uk) beach vitex (Vitex rotundifolia)/round-leaf vitex/
蔓植物 [つるしょくぶつ] /(n,adj-no) creeper (creeping plant)/trailer (trailing plant)/climber (climbing plant)/vine/
蔓性植物 [つるせいしょくぶつ] /(n) creeper (plant that grows along the ground, etc. similar to a vine)/
蔓性植物 [まんせいしょくぶつ] /(n) creeper (plant that grows along the ground, etc. similar to a vine)/
蔓生 [まんせい] /(n,vs) creeping (i.e. growing along the ground, etc. similar to a vine)/
蔓草 [つるくさ] /(n) vine/creeper/
蔓苔桃 [つるこけもも] /(n) (uk) small cranberry (Vaccinium oxycoccos)/
蔓梅擬 [つるうめもどき] /(n) (uk) Celastrus orbiculatus/
蔓返し [つるがえし] /(n) (uk) digging up, removing sprouts from, and replanting tubers (esp. of the sweet potato) to make for a bigger end product/
蔓穂 [つるぼ] /(n) (uk) Scilla scilloides (species of squill)/
蔓竜胆 [つるりんどう] /(n) tsururindo (Tripterospermum japonicum)/
蔓茘枝 [つるれいし] /(n) (uk) bitter melon (Momordica charantia)/
味 [あじ] /(adj-na,n) (1) flavor/flavour/taste/(2) charm/style/(3) experience/(adj-na) (4) smart/clever/witty/strange/(P)/
味 [み] /(n) (1) (sense of) taste/(suf,ctr) (2) counter for food, drink, medicine, etc./
味あい [あじあい] /(n) (1) flavour/flavor/(2) meaning/significance/
味あう [あじあう] /(v5u,vt) to taste/to savor/to relish/
味が薄い [あじがうすい] /(exp,adj-i) lightly seasoned/
味つけ [あじつけ] /(n,vs) (food) seasoning/flavour/flavor/
味な [あじな] /(adj-f) smart/clever/witty/strange/
味の素 [あじのもと] /(n) (1) (food) monosodium glutamate (brand name)/MSG/(2) Ajinomoto (Japanese food additive company)/(P)/
味の薄い [あじのうすい] /(adj-i) lightly seasoned/
味わい [あじわい] /(n,adj-no) (1) flavour/flavor/(2) meaning/significance/(P)/
味わい知る [あじわいしる] /(v5r) to taste and know/
味わう [あじわう] /(v5u,vt) to taste/to savor/to relish/(P)/
味を占める [あじをしめる] /(exp,v1) to be encouraged by initial success/
味を調える [あじをととのえる] /(exp,v1) to flavor/to flavour/to season/
味塩 [あじしお] /(n) salt and MSG mixture/
味加減 [あじかげん] /(n) taste (of pepared dish)/
味覚 [みかく] /(adj-na,n) taste/palate/sense of taste/(P)/
味覚音痴 [みかくおんち] /(n) having no sense of taste/
味気ない [あじきない] /(adj-i) wearisome/insipid/irksome/wretched/vain/(P)/
味気ない [あじけない] /(adj-i) wearisome/insipid/irksome/wretched/vain/
味気無い [あじきない] /(adj-i) wearisome/insipid/irksome/wretched/vain/
味気無い [あじけない] /(adj-i) wearisome/insipid/irksome/wretched/vain/
味見 [あじみ] /(n,vs) sampling/tasting/
味女泥鰌 [あじめどじょう] /(n) (uk) Niwaella delicata (species of loach)/
味噌 [みそ] /(n) (1) miso/bean paste/(2) key (main) point/(P)/
味噌たき [みそたき] /(n) (1) annual event of miso-making/(2) first steps of miso making, from simmering the beans to fermentation/
味噌っ歯 [みそっぱ] /(n) decayed (baby) tooth/
味噌っ滓 [みそっかす] /(n) (1) miso lees/(2) good-for-nothing/(3) immature child or person/
味噌をする [みそをする] /(exp,v5r) to lick someone's boots/to flatter/
味噌を擂る [みそをする] /(exp,v5r) to lick someone's boots/to flatter/
味噌クソ [みそクソ] /(adj-na) (1) harsh/severe (e.g. criticism, verbal attack)/(n) (2) jumble/mess/
味噌玉 [みそだま] /(n) miso ball/bean paste ball/
味噌汁 [みそしる] /(n) miso soup/(P)/
味噌炊き [みそたき] /(n) (1) annual event of miso-making/(2) first steps of miso making, from simmering the beans to fermentation/
味噌樽 [みそだる] /(n) miso barrel/
味噌漬け [みそづけ] /(n) meat or fish or vegetables preserved in miso/
味噌糞 [みそくそ] /(adj-na) (1) harsh/severe (e.g. criticism, verbal attack)/(n) (2) jumble/mess/
味噌擂り [みそすり] /(n) grinding miso/flattery/a flatterer/
味噌擂り坊主 [みそすりぼうず] /(n) a low-ranking priest/contemptuous reference to a priest/
味着け [あじつけ] /(n,vs) (food) seasoning/flavour/flavor/
味読 [みどく] /(n,vs) appreciating a book/perusal/
味付け [あじつけ] /(n,vs) (food) seasoning/flavour/flavor/(P)/
味付け海苔 [あじつけのり] /(n) (food) seasoned nori (laver)/
味方 [みかた] /(n,vs,adj-no) friend/ally/supporter/(P)/
味蕾 [みらい] /(n) taste buds/
味醂 [みりん] /(n) (uk) type of sweet sake used in cooking/
味醂干し [みりんぼし] /(n) fish sliced open, seasoned with mirin, soy sauce, etc. and dried in the sun/
未 [ひつじ] /(n) eighth sign of Chinese zodiac (The Ram, 1pm-3pm, south-southwest, June)/(P)/
未 [み] /(pref) not yet/un-/
未き [まだき] /(adv) (uk) a very short while ago/very early (e.g. in the morning)/
未だ [いまだ] /(adj-na,adv) (1) (uk) as yet/hitherto/still/(2) not yet (with negative verb)/
未だ [まだ] /(adj-na,adv) (1) (uk) as yet/hitherto/still/(2) not yet (with negative verb)/(P)/
未だき [まだき] /(adv) (uk) a very short while ago/very early (e.g. in the morning)/
未だし [いまだし] /(n) something to be desired/
未だしも [まだしも] /(n) rather/better/
未だに [いまだに] /(adv) still/even now/until this very day/
未だ嘗て [いまだかつて] /(exp) (uk) not until now (with neg. verb)/never yet/
未だ曾て [いまだかつて] /(exp) (uk) not until now (with neg. verb)/never yet/
未だ未だ [まだまだ] /(adv) (uk) still some way to go before the goal/still more to come/much more/not yet/
未央柳 [びょうやなぎ] /(ik) (n) (uk) Chinese hypericum (Hypericum monogynum)/
未央柳 [びようやなぎ] /(n) (uk) Chinese hypericum (Hypericum monogynum)/
未解決 [みかいけつ] /(adj-na,n) unsettled/pending/unresolved/(P)/
未解決問題 [みかいけつもんだい] /(n) unresolved problem/
未解放部落 [みかいほうぶらく] /(n) (obsc) burakumin area/
未開 [みかい] /(adj-na,n,adj-no) savage land/backward region/uncivilized/uncivilised/(P)/
未開墾 [みかいこん] /(n) uncultivated/
未開墾地 [みかいこんち] /(n) virgin soil/uncultivated land/
未開社会 [みかいしゃかい] /(n) a primitive society/
未開人 [みかいじん] /(n) barbarian/savage/savage (primitive) people (race)/
未開拓 [みかいたく] /(n) undeveloped/wild (areas)/
未開拓地 [みかいたくち] /(n) undeveloped area/
未開地 [みかいち] /(n) savage (barbaric) land/backward region/undeveloped area/
未開発 [みかいはつ] /(n) undeveloped (countries)/backward/unentered/
未開封 [みかいふう] /(n) unopened (state)/with an unbroken seal/
未開野蛮 [みかいやばん] /(n,adj-na) primitive and barbarous/uncivilized and barbaric/
未確定 [みかくてい] /(n) unsettled/pending/
未確認 [みかくにん] /(n,adj-f) unconfirmed/unidentified/
未確認情報 [みかくにんじょうほう] /(n) unconfirmed information/
未確認生物 [みかくにんせいぶつ] /(n) mysterious and unconfirmed animals (e.g. chupacabra, etc.)/
未確認飛行物体 [みかくにんひこうぶったい] /(n) unidentified flying object/UFO/
未刊 [みかん] /(adj-no,n) unpublished/
未刊行 [みかんこう] /(adj-no) unpublished/
未完 [みかん] /(n,adj-no) incomplete/unfinished/
未完成 [みかんせい] /(adj-na,n,adj-no) incompletion/incomplete/unfinished/(P)/
未帰還者 [みきかんしゃ] /(n) unrepatriated person/
未規定 [みきてい] /(n) (comp) unspecified/
未記入 [みきにゅう] /(n) blank (book)/
未教育 [みきょういく] /(adj-no) untrained/
未経過 [みけいか] /(n) unexpired/
未経過保険料 [みけいかほけんりょう] /(n) prepaid insurance premium/unearned premium/unexpired premium/
未経験 [みけいけん] /(adj-na,n,adj-no) inexperience/
未経験者 [みけいけんしゃ] /(n) inexperienced person/
未決 [みけつ] /(adj-no,n) pending/undecided/(P)/
未決監 [みけつかん] /(n) detention prison/
未決拘留 [みけつこうりゅう] /(n) detention pending trial/
未決済 [みけっさい] /(n) outstanding (account)/
未決算 [みけっさん] /(n) outstanding (account)/
未決囚 [みけつしゅう] /(n) unconvicted prisoner/prisoner under trial/
未決定 [みけってい] /(n) undecided/
未見 [みけん] /(n,adj-no) unacquainted/unknown/
未公開株式 [みこうかいかぶしき] /(n) private equity/
未公表 [みこうひょう] /(n) not yet officially announced/
未耕地 [みこうち] /(n) uncultivated land/
未墾 [みこん] /(n,adj-no) uncultivated/wild/
未墾地 [みこんち] /(n) uncultivated land/
未婚 [みこん] /(adj-no,n) unmarried/(P)/
未婚者 [みこんしゃ] /(n) unmarried person/
未済 [みさい] /(adj-no,n) executory/unpaid/
未使用 [みしよう] /(adj-no,adj-na,n) unused/
未受精卵 [みじゅせいらん] /(n) unfertilized egg/
未授精卵 [みじゅせいらん] /(n) unfertilized egg/
未収 [みしゅう] /(n,adj-no) accrued/outstanding/
未収載 [みしゅうさい] /(n) unlisted/
未収入金 [みしゅうにゅうきん] /(n) accounts receivable/
未就学児童 [みしゅうがくじどう] /(n) preschool child/
未熟 [みじゅく] /(adj-na,n,adj-no) inexperience/unripeness/raw/unskilled/immature/inexperienced/(P)/
未熟児 [みじゅくじ] /(n) premature baby/(P)/
未熟児網膜症 [みじゅくじもうまくしょう] /(n) retinopathy of prematurity/
未熟者 [みじゅくもの] /(n) green hand/novice/
未処置 [みしょち] /(n) untreated/
未処分 [みしょぶん] /(n) unsettled/unfinished/undivided (profits)/
未処理 [みしょり] /(adj-no) untreated/left unattended (to)/still to be dealt with/unprocessed/
未消化 [みしょうか] /(n) (1) undigested (food)/(2) unfulfilled (orders)/unused (funds)/
未詳 [みしょう] /(n,adj-no) unknown/unidentified/
未信者 [みしんじゃ] /(n) unbeliever/inquirer/
未申 [ひつじさる] /(n) (arch) southwest/
未進 [みしん] /(n) nonpayment of tribute/
未遂 [みすい] /(n,n-suf,adj-no) attempt (e.g. at crime)/(P)/
未遂罪 [みすいざい] /(n) attempted crime/
未成 [みせい] /(n) uncompleted/unfinished/crude/
未成熟 [みせいじゅく] /(n,adj-no) immaturity/infancy/
未成年 [みせいねん] /(n) minor/not of age/(P)/
未成年者 [みせいねんしゃ] /(n) minor/person not grown up/
未成品 [みせいひん] /(n) unfinished goods/
未整理 [みせいり] /(n,adj-na,adj-no) pending/incomplete/
未生 [みしょう] /(adj-no,n) unborn/
未生以前 [みしょういぜん] /(adj-no,n-t) before one's birth/before one was born/
未製品 [みせいひん] /(n) unfinished article/
未青年 [みせいねん] /(n) minor/not of age/
未設 [みせつ] /(adj-no,n) uninstalled/projected/
未然 [みぜん] /(n) before it happens/previously/(P)/
未然に防ぐ [みぜんにふせぐ] /(exp,v5g) to prevent/to take precautions/
未然形 [みぜんけい] /(n) (ling) imperfective form/
未然防止 [みぜんぼうし] /(n) prevention/
未曾有 [みそう] /(adj-no,adj-na) unprecedented/unheard of/
未曾有 [みぞう] /(adj-no,adj-na) unprecedented/unheard of/
未曽有 [みそう] /(adj-no,adj-na) unprecedented/unheard of/
未曽有 [みぞう] /(adj-no,adj-na) unprecedented/unheard of/
未組織 [みそしき] /(n) unorganized/unorganised/
未草 [ひつじぐさ] /(n) (uk) pygmy waterlily (Nymphaea tetragona)/
未知 [みち] /(adj-no,adj-na,n) not yet known/(P)/
未知語 [みちご] /(n) unknown language/unknown word/
未知状態 [みちじょうたい] /(n) (comp) unknown state/
未知数 [みちすう] /(n) unknown number/(P)/
未着 [みちゃく] /(adj-no,n) not yet arrived/
未着手 [みちゃくしゅ] /(n) (work) not yet started/
未丁年 [みていねん] /(n) (obsc) below adult age/one's minority/
未通女 [おぼこ] /(gikun) (n) (uk) virgin/
未定 [みてい] /(adj-no,adj-na,n) not yet fixed/undecided/pending/(P)/
未定義 [みていぎ] /(adj-na,n) undefined/unspecified/
未定義の動作 [みていぎのどうさ] /(n) (comp) undefined behavior/unspecified behavior/
未定義値 [みていぎち] /(n) (comp) undefined value/
未定稿 [みていこう] /(n) unfinished manuscript/
未登記 [みとうき] /(n) unregistered/
未登峰 [みとうほう] /(n) unclimbed mountain/
未登録 [みとうろく] /(adj-no) unregistered/non-registered/
未登録アクセス [みとうろくアクセス] /(n) (comp) non-registered access/
未登録語 [みとうろくご] /(n) (ling) unregistered word/
未登録所有者識別子 [みとうろくしょゆうしゃしきべつし] /(n) (comp) unregistered owner identifier/
未到 [みとう] /(adj-no,n) unreached/unattained/unachieved/unprecedented/
未踏 [みとう] /(adj-no,n) untrodden/unexplored/
未踏査 [みとうさ] /(n) unexplored/
未踏峰 [みとうほう] /(n) unclimbed mountain/
未読 [みどく] /(adj-no,adj-na,n) unread/
未届け [みとどけ] /(n) failing to report/unreported/not officially registered (e.g. spouse)/
未年 [ひつじどし] /(n) year of the sheep/
未納 [みのう] /(n) payment default/overdue on a payment/(P)/
未納者 [みのうしゃ] /(n) person in arrears/(tax) defaulter/
未配当 [みはいとう] /(n) undivided (profits)/
未発 [みはつ] /(n) before an event takes place/
未発見 [みはっけん] /(n) undiscovered/unexplored/
未発行 [みはっこう] /(n) unissued/
未発達 [みはったつ] /(n) undeveloped/
未発表 [みはっぴょう] /(n) unpublished/not yet announced/(P)/
未必の故意 [みひつのこい] /(n) conscious neglect/willful negligence/wilful negligence/
未復員者 [みふくいんしゃ] /(n) unrepatriated person/
未払 [みはらい] /(io) (adj-no,n) unpaid/overdue/
未払 [みばらい] /(io) (adj-no,n) unpaid/overdue/
未払い [みはらい] /(adj-no,n) unpaid/overdue/(P)/
未払い [みばらい] /(adj-no,n) unpaid/overdue/
未払いローン [みはらいローン] /(n) (obsc) outstanding loan/
未払い勘定 [みはらいかんじょう] /(n) outstanding account/unpaid account/
未払い金 [みはらいきん] /(n) arrears/arrearage/
未払い込み [みはらいこみ] /(n) not paid up (capital)/
未払勘定 [みはらいかんじょう] /(n) outstanding account/unpaid account/
未払金 [みはらいきん] /(n) arrears/arrearage/
未払費用 [みはらいひよう] /(n) accrued expenses/
未分化 [みぶんか] /(adj-no,n) undifferentiated/unspecialized/
未聞 [みもん] /(n) unheard/
未亡人 [みぼうじん] /(n) widow/(P)/
未満 [みまん] /(n-suf) less than/insufficient/(P)/
未明 [みめい] /(n-adv,n-t) early dawn/grey of morning/gray of morning/(P)/
未訳 [みやく] /(adj-f) untranslated/
未来 [みらい] /(n,adj-no) (1) the future (usually distant)/(2) future tense/(3) the world to come/(P)/
未来永劫 [みらいえいごう] /(n-adv,n-t) eternity/
未来学 [みらいがく] /(n) futurology/
未来学者 [みらいがくしゃ] /(n) futurist/futurologist/
未来完了 [みらいかんりょう] /(n) (ling) future perfect tense/
未来型 [みらいがた] /(adj-no) futuristic/
未来形 [みらいけい] /(n) (ling) future tense/
未来志向 [みらいしこう] /(adj-no) future oriented/
未来指向 [みらいしこう] /(adj-no) future oriented/
未来進行形 [みらいしんこうけい] /(n) (ling) future progressive tense/
未来人 [みらいじん] /(n) man of the future/Homo futurus/time traveler from the future/
未来像 [みらいぞう] /(n) vision of the future/
未来派 [みらいは] /(n) futurism/
未了 [みりょう] /(n,adj-no) unfinished/unfilled (order)/unexecuted/
未練 [みれん] /(adj-na,n) lingering affection/attachment/regret/regrets/reluctance/(P)/
未練がましい [みれんがましい] /(adj-i) (1) regretful/irresolute/(2) stubborn (not knowing when to give up)/
未練未酌 [みれんみしゃく] /(n) regret and sympathy/having lingering attachment and sympathy toward someone/
未練未酌がない [みれんみしゃくがない] /(exp,adj-i) (arch) unsympathetic and inconsiderate/coldhearted/
未練未酌が無い [みれんみしゃくがない] /(exp,adj-i) (arch) unsympathetic and inconsiderate/coldhearted/
魅かれる [ひかれる] /(iK) (v1) to be charmed by/to be attracted (to)/
魅す [ばかす] /(v5s,vt) to bewitch/to confuse/to enchant/to delude/
魅する [みする] /(vs-s,vt) to charm/to fascinate/
魅せられる [みせられる] /(v1) to be enchanted/to be charmed/
魅入る [みいる] /(v5r) to be entranced or possessed/
魅了 [みりょう] /(n) (1) fascination/(vs) (2) to charm/to fascinate/to mesmerize/(P)/
魅力 [みりょく] /(n) charm/fascination/glamour/glamor/attraction/appeal/(P)/
魅力的 [みりょくてき] /(adj-na) charming/fascinating/
魅力的機能 [みりょくてききのう] /(n) (comp) desirable feature/
魅惑 [みわく] /(n,adj-no,vs) attraction/fascination/lure/captivation/charm/(P)/
魅惑的 [みわくてき] /(adj-na) charming/fascinating/enchanting/bewitching/beguiling/captivating/alluring/
巳 [み] /(n) sixth sign of Chinese zodiac (The Serpent, 9am-11am, south-southeast, April)/(P)/
巳の日の祓 [みのひのはらえ] /(n) (arch) purification ceremony held on the first day of the snake in the third month of the lunar calendar/
巳年 [へびどし] /(n) year of the snake/
巳年 [みどし] /(n) year of the snake/
箕 [き] /(n) Chinese "winnowing basket" constellation (one of the 28 mansions)/
箕作鮫 [みつくりざめ] /(n) (uk) goblin shark (Mitsukurina owstoni)/
箕作柄長提灯鮟鱇 [みつくりえながちょうちんあんこう] /(n) (uk) triplewart seadevil (Cryptopsaras couesii)/
箕借り婆 [みかりばば] /(n) old woman ghost from the Kanto region/
箕宿 [みぼし] /(n) Chinese "winnowing basket" constellation (one of the 28 mansions)/
箕星 [みぼし] /(n) Chinese "winnowing basket" constellation (one of the 28 mansions)/
岬 [さき] /(n) small peninsula/
岬 [みさき] /(n) cape (on coast)/(P)/
岬角 [こうかく] /(n) (obsc) anat promontory/promontory/
岬湾 [こうわん] /(n) indentations/capes/
密 [みつ] /(n,adj-na) (1) density/thickness/(2) secrecy/(3) minute/fine/
密か [ひそか] /(adj-na,n) secret/private/surreptitious/(P)/
密か事 [ひそかごと] /(n) (1) (arch) secret/private matter/(2) amorous affair/liaison/
密か事 [みそかごと] /(n) (1) (arch) secret/private matter/(2) amorous affair/liaison/
密やか [ひそやか] /(adj-na) quiet/still/surreptitious/
密雲 [みつうん] /(n) dense clouds/overcast/
密画 [みつが] /(n) detailed drawing or picture/
密会 [みっかい] /(n,vs) clandestine meeting/
密儀 [みつぎ] /(n) secret rites/secrets/
密議 [みつぎ] /(n,vs) secret conference/
密漁 [みつりょう] /(n,vs) poaching (fish or seafood)/
密漁者 [みつりょうしゃ] /(n) poacher/
密教 [みっきょう] /(n,adj-no) Mikkyou/secret religious transmissions/Esoteric Buddhist teachings/
密計 [みっけい] /(n) secret plan/
密結合 [みつけつごう] /(n,adj-no) (comp) tightly-coupled/
密結合システム [みつけつごうシステム] /(n) (comp) tightly coupled system/
密語 [みつご] /(n,vs) talking in whispers/confidential words/
密航 [みっこう] /(n,vs) smuggling/(P)/
密航者 [みっこうしゃ] /(n) a stowaway/
密行 [みっこう] /(n,vs) prowling about/traveling in secret/travelling in secret/
密告 [みっこく] /(n,vs) secret information/betrayal/inform on/
密告者 [みっこくしゃ] /(n) informer/betrayer/
密殺 [みっさつ] /(n,vs) secret butchery/
密使 [みっし] /(n) secret messenger/
密事 [ひそかごと] /(n) (1) (arch) secret/private matter/(2) amorous affair/liaison/
密事 [みそかごと] /(n) (1) (arch) secret/private matter/(2) amorous affair/liaison/
密事 [みつじ] /(n) a secret/
密室 [みっしつ] /(n) (1) room that cannot be entered (i.e. because it's locked from the inside)/(2) secret room/(P)/
密室で [みっしつで] /(exp) "behind closed doors"/
密集 [みっしゅう] /(n,vs) crowd/close formation/dense/(P)/
密集方陣 [みっしゅうほうじん] /(n) phalanx/
密出国 [みつしゅっこく] /(n,vs) smuggling oneself out of a country/
密書 [みっしょ] /(n) secret message/
密生 [みっせい] /(n,vs,adj-no) thick or dense growth/
密接 [みっせつ] /(adj-na,n) related/connected/close/intimate/(P)/
密栓 [みっせん] /(n,vs) stopping tightly/sealing hermetically/
密葬 [みっそう] /(n,vs) private funeral/secret burial/
密送 [みっそう] /(n,vs) sending in secret/
密造 [みつぞう] /(n,vs) illicit manufacturing/illicit distilling/moonshining/
密造酒 [みつぞうしゅ] /(n) illicitly brewed liquor/moonshine/
密談 [みつだん] /(n,vs) private or confidential or secret talk/
密着 [みっちゃく] /(n,vs) (1) glued to/closely related to/(2) giving total coverage to the key figure(s) of a TV or film documentary/(P)/
密着取材 [みっちゃくしゅざい] /(uK) (n,vs) total coverage/giving total coverage to the key figure(s) of a TV or film documentary/
密通 [みっつう] /(n,vs) adultery/misconduct/intrigue/criminal connection/
密偵 [みってい] /(n,vs) spy/emissary/
密度 [みつど] /(n) density/(P)/
密入国 [みつにゅうこく] /(n,vs) smuggling oneself into a country/(P)/
密入国 [みつにゅうごく] /(n,vs) smuggling oneself into a country/
密入国斡旋業者 [みつにゅうこくあっせんぎょうしゃ] /(n) people smuggler/
密入国者 [みつにゅうこくしゃ] /(n) illegal immigrant/
密売 [みつばい] /(n,vs) smuggling/bootlegging/illicit trade/(P)/
密売品 [みつばいひん] /(n) smuggled goods/contraband/
密夫 [みっぷ] /(n) lover (of a married woman)/
密封 [みっぷう] /(n,vs) hermetically seal/sealing (e.g. envelope)/
密閉 [みっぺい] /(n,vs) airtight/
密閉型 [みっぺいがた] /(n) (comp) encapsulated type/
密閉容器 [みっぺいようき] /(n) airtight container/
密謀 [みつぼう] /(n,vs) conspiracy/
密貿易 [みつぼうえき] /(n,vs) smuggling/
密密 [みつみつ] /(adv) secretly/privately/
密約 [みつやく] /(n,vs) secret agreement/(P)/
密輸 [みつゆ] /(n,vs) smuggling/contraband trade/(P)/
密輸出 [みつゆしゅつ] /(n,vs) smuggling out/
密輸船 [みつゆせん] /(n) smuggler/
密輸入 [みつゆにゅう] /(n,vs) smuggling in/
密輸品 [みつゆひん] /(n) smuggled goods/
密猟 [みつりょう] /(n,vs) poaching/(P)/
密猟者 [みつりょうしゃ] /(n) poacher/
密林 [みつりん] /(n) close thicket/dense forest/jungle/(P)/
密令 [みつれい] /(n) secret orders/
蜜 [みつ] /(n) nectar/honey/(P)/
蜜蓋 [みつがい] /(n) cappings (type of bees wax, beekeeping, apiculture)/
蜜蓋掻き器 [みつがいかきき] /(n) capping scaper (beekeeping, apiculture)/
蜜柑 [みかん] /(n) (uk) mandarin orange (esp. the satsuma mandarin, Citrus unshiu)/(P)/
蜜柑の汁 [みかんのしる] /(n) mandarin orange juice/
蜜柑小実蝿 [みかんこみばえ] /(n) (uk) Oriental fruit fly (Bactrocera dorsalis)/
蜜柑小実蠅 [みかんこみばえ] /(n) (uk) Oriental fruit fly (Bactrocera dorsalis)/
蜜柑畑 [みかんばたけ] /(n) mandarin plantation/
蜜吸 [みつすい] /(n) (uk) honeyeater (any of a number of long-tongued Australasian songbirds, esp. the cardinal honeyeater, Myzomela cardinalis)/
蜜吸い [みつすい] /(n) (uk) honeyeater (any of a number of long-tongued Australasian songbirds, esp. the cardinal honeyeater, Myzomela cardinalis)/
蜜吸科 [みつすいか] /(n) Meliphagidae (honeyeater family of birds)/
蜜教 [みつおしえ] /(n) (uk) honeyguide (any bird of family Indicatoridae)/
蜜教え [みつおしえ] /(n) (uk) honeyguide (any bird of family Indicatoridae)/
蜜穴熊 [みつあなぐま] /(n) (uk) (obsc) honey badger (Mellivora capensis)/
蜜月 [みつげつ] /(n) (1) honeymoon/(2) in an intimate relationship/
蜜接 [みっせつ] /(iK) (adj-na,n) related/connected/close/intimate/
蜜腺 [みつせん] /(n) nectary/
蜜豆 [みつまめ] /(n) (food) mixture of boiled beans, jelly cubes, fruit pieces and molasses/
蜜蜂 [みちばち] /(n) honeybee/hive bee/
蜜蜂 [みつばち] /(n) honeybee/hive bee/
蜜蝋 [みつろう] /(n) beeswax/
湊 [みなと] /(n) harbour/harbor/port/
蓑 [みの] /(n) straw raincoat/
蓑笠子 [みのかさご] /(n) (uk) luna lionfish (Pterois lunulata)/
蓑亀 [みのがめ] /(n) old turtle with seaweed growing on its back/
蓑虫 [みのむし] /(n) bagworm/
稔り [みのり] /(n,adj-no) (1) ripening (of a crop)/(2) crop/harvest/
稔る [みのる] /(v5r,vi) to bear fruit/to ripen/
稔実不良 [ねんじつふりょう] /(n) poor crop (of rice)/
稔性 [ねんせい] /(n) fertility (esp. of plants)/
脈 [みゃく] /(n) pulse/(P)/
脈々 [みゃくみゃく] /(adj-t,adv-to) (1) continuous/unbroken/ceaseless/(2) pulsating forcefully/
脈がある [みゃくがある] /(exp) there being still some hope (lit: there is a pulse)/being not altogether hopeless/
脈が有る [みゃくがある] /(exp) there being still some hope (lit: there is a pulse)/being not altogether hopeless/
脈を取る [みゃくをとる] /(exp,v5r) to take a pulse/
脈を診る [みゃくをみる] /(exp,v1) to examine one's pulse/
脈管 [みゃっかん] /(n) vascular system/blood vessel/duct/
脈所 [みゃくどころ] /(n) spot where the pulse may be taken/vital point/
脈打つ [みゃくうつ] /(v5t,vi) to pound (e.g. heart)/to pulse (e.g. vein)/
脈動 [みゃくどう] /(n,vs) pulsation/pulsatory motion/
脈拍 [みゃくはく] /(n,adj-no) pulse/pulsation/stroke of pulse/(P)/
脈脈 [みゃくみゃく] /(adj-t,adv-to) (1) continuous/unbroken/ceaseless/(2) pulsating forcefully/
脈絡 [みゃくらく] /(n) chain of reasoning/logical connection/coherence/context/(P)/
脈絡膜 [みゃくらくまく] /(n) choroid/chorioid/choroid coat/
脈絡膜炎 [みゃくらくまくえん] /(n) choroiditis/
脈理 [みゃくり] /(n) cord/cording/stria/striae/
脈搏 [みゃくはく] /(n,adj-no) pulse/pulsation/stroke of pulse/
脈搏数 [みゃくはくすう] /(n) pulse rate/
脈翅類 [みゃくしるい] /(n) (obsc) neuropterans/
妙 [みょう] /(adj-na,n) (1) (uk) strange/unusual/(2) (something) superb/(something) excellent/(P)/
妙ちきりん [みょうちきりん] /(adj-na) weird/odd/bizarre/curious/
妙ちくりん [みょうちくりん] /(adj-na) (sl) weird/odd/
妙なる [たえなる] /(adj-pn) exquisite (e.g. melody)/melodious/delicate/enchanting/
妙なる調べ [たえなるしらべ] /(n) enchanting melody/sweet tune/
妙な話だが [みょうなはなしだが] /(exp) curiously enough/oddly enough/strange to tell/
妙に思う [みょうにおもう] /(exp,v5u) to think (something) strange/
妙を得ている [みょうをえている] /(exp,v1) to be skillful/to be clever/
妙案 [みょうあん] /(n) ingenious idea/excellent plan/bright idea/(P)/
妙王 [みょうおう] /(n) Vidya-raja/King of occult know-how/enlightened one (suffix of Buddhist deities)/
妙音 [みょうおん] /(n) exquisite voice/exquisite music/
妙技 [みょうぎ] /(n) exquisite skill/wonderful performance/(P)/
妙境 [みょうきょう] /(n) (obsc) beautiful place/
妙計 [みょうけい] /(n) ingenious trick/good idea/clever scheme/
妙見菩薩 [みょうけんぼさつ] /(n) (Buddh) Myoken (bodhisattva; deification of the North Star or the Big Dipper)/
妙策 [みょうさく] /(n) clever scheme/
妙手 [みょうしゅ] /(n) (1) spectacular move (chess, shogi, etc.)/brilliant move/(2) expert/virtuoso/master/(P)/
妙趣 [みょうしゅ] /(n) exquisite beauty or charms/
妙所 [みょうしょ] /(n) point of beauty/
妙竹林 [みょうちくりん] /(adj-na) (sl) weird/odd/
妙諦 [みょうたい] /(n) amazing truth/cardinal principle/key (to understanding)/
妙諦 [みょうてい] /(n) amazing truth/cardinal principle/key (to understanding)/
妙法 [みょうほう] /(n) mysteries/excellent methods/
妙法蓮華経 [みょうほうれんげきょう] /(int,n) Lotus Sutra/
妙味 [みょうみ] /(n) exquisite/charm/profit/
妙薬 [みょうやく] /(n) wonder drug/miracle cure/
妙用 [みょうよう] /(n) mysterious influence/mysterious effect/
妙齢 [みょうれい] /(n,adj-no) young/blooming (age)/
粍 [みりめいとる] /(n) (uk) millimeter (fre:)/millimetre/
民 [たみ] /(n) nation/people/(P)/
民意 [みんい] /(n) popular will/(P)/
民営 [みんえい] /(n) private management/(P)/
民営化 [みんえいか] /(n,vs) privatization/privatisation/(P)/
民営化企業 [みんえいかきぎょう] /(n) privatized business/privatised business/
民家 [みんか] /(n) private house/(P)/
民間 [みんかん] /(n,adj-no) private/civilian/civil/popular/folk/unofficial/(P)/
民間会社 [みんかんかいしゃ] /(n) private company/private corporation/
民間企業 [みんかんきぎょう] /(n) private enterprise/private business/private company/private firm/private-sector business/private-sector corporation/
民間軍事会社 [みんかんぐんじがいしゃ] /(n) private military company/
民間航空機 [みんかんこうくうき] /(n) private aircraft/
民間資本 [みんかんしほん] /(n) private capital/
民間信仰 [みんかんしんこう] /(n) folk beliefs/folk religion/
民間人 [みんかんじん] /(n) non-government person/civilian/
民間団体 [みんかんだんたい] /(n) nongovernment organization/nongovernment organisation/NGO/
民間調査機関 [みんかんちょうさきかん] /(n) private investigation agency/
民間伝承 [みんかんでんしょう] /(n,adj-no) folklore/
民間飛行 [みんかんひこう] /(n) civil aviation/
民間部門 [みんかんぶもん] /(n) private sector/
民間放送 [みんかんほうそう] /(n) commercial broadcasting/(P)/
民間薬 [みんかんやく] /(n) folk medicine/
民間療法 [みんかんりょうほう] /(n) folk remedies/
民業 [みんぎょう] /(n) private enterprise/
民具 [みんぐ] /(n) everyday articles which have come to be regarded as folk art/
民芸 [みんげい] /(n) folk craft/folk art/(P)/
民芸品 [みんげいひん] /(n) (article of) folk craft/
民権 [みんけん] /(n) civil rights/
民権主義 [みんけんしゅぎ] /(n) democracy (as propounded by Sun Yat-sen)/
民戸 [みんこ] /(n) private house/
民国 [みんこく] /(n) (Republic of) China (i.e. Taiwan)/
民事 [みんじ] /(n,adj-no) civil affairs/civil case/(P)/
民事介入暴力 [みんじかいにゅうぼうりょく] /(n) racketeering by interceding in civil disputes and threatening the use of violence/
民事再生法 [みんじさいせいほう] /(n) Civil Rehabilitation Law/
民事裁判 [みんじさいばん] /(n) civil trial/
民事裁判所 [みんじさいばんしょ] /(n) civil court/
民事事件 [みんじじけん] /(n) civil case/
民事上 [みんじじょう] /(adj-no) civil/
民事訴訟 [みんじそしょう] /(n) civil action/civil suit/civil proceedings/
民事訴訟法 [みんじそしょうほう] /(n) (Japanese) Civil Proceedings Act (1890, revised in 1926)/
民事的 [みんじてき] /(adj-na) civil/
民事法律扶助 [みんじほうりつふじょ] /(n) civil legal aid system (e.g. legal aid for poor people)/
民事法律扶助制度 [みんじほうりつふじょせいど] /(n) civil legal aid system (e.g. legal aid for poor people)/
民自党 [みんじとう] /(n) (abbr) Democratic Liberal Party (formed 1948)/
民社党 [みんしゃとう] /(n) Democratic Socialist Party/(P)/
民主 [みんしゅ] /(n) (1) democracy/popular sovereignty/(adj-f) (2) democratic/(P)/
民主化 [みんしゅか] /(n,vs) democratization/democratisation/
民主化運動 [みんしゅかうんどう] /(n) democratic movement/movement towards democracy/
民主改革 [みんしゅかいかく] /(n) democratic reform/
民主活動家 [みんしゅかつどうか] /(n) democratic activist/
民主国 [みんしゅこく] /(n) democratic state/(P)/
民主国家 [みんしゅこっか] /(n) democracy/democratic nation/
民主自由党 [みんしゅじゆうとう] /(n) Democratic Liberal Party (formed 1948)/
民主社会 [みんしゅしゃかい] /(n) democratic society/
民主主義 [みんしゅしゅぎ] /(n,adj-no) democracy/(P)/
民主主義国 [みんしゅしゅぎこく] /(n) democratic state/(a) democracy/
民主主義国家 [みんしゅしゅぎこっか] /(n) democratic nation/democratic country/
民主主義者 [みんしゅしゅぎしゃ] /(n) democrat/
民主主義体制 [みんしゅしゅぎたいせい] /(n) democratic system/
民主政治 [みんしゅせいじ] /(n) democratic government/
民主政体 [みんしゅせいたい] /(n) democratic form of government/
民主的 [みんしゅてき] /(adj-na) democratic/(P)/
民主党 [みんしゅとう] /(n) Democratic party/(P)/
民主党全国委員会 [みんしゅとうぜんこくいいんかい] /(n) Democratic National Committee (US)/DNC/
民需 [みんじゅ] /(n) civilian requirements/(P)/
民需品 [みんじゅひん] /(n) consumer goods/
民衆 [みんしゅう] /(n,adj-no) people/populace/masses/(P)/
民衆駅 [みんしゅうえき] /(n) railway station built with government and popular support/
民衆化 [みんしゅうか] /(n,vs) popularization/popularisation/
民衆扇動 [みんしゅうせんどう] /(n) demagoguery/demagogy/
民衆的 [みんしゅうてき] /(adj-na) popular/
民衆文化 [みんしゅうぶんか] /(n) popular culture/
民宿 [みんしゅく] /(n) private home providing lodging for travelers (travellers)/(P)/
民情 [みんじょう] /(n) condition (sentiment) of the people/
民心 [みんしん] /(n) popular sentiment/
民進党 [みんしんとう] /(n) Democratic Progressive Party (Taiwan)/
民人 [みんじん] /(n) the people/the public/
民数記 [みんすうき] /(n) the Book of Numbers (in the Bible)/
民政 [みんせい] /(n) democracy/civil government/(P)/
民政長官 [みんせいちょうかん] /(n) civil governor/
民政党 [みんせいとう] /(n) (abbr) Constitutional Democratic Party (1927-1940)/
民生 [みんせい] /(n,adj-no) (1) consumer/(2) civilian/(3) people's welfare or livelihood/(P)/
民生委員 [みんせいいいん] /(n) district welfare officer/
民生用 [みんせいよう] /(adj-no) consumer (use)/
民生用機 [みんせいようき] /(n) consumer equipment/
民青 [みんせい] /(n) Democratic Youth League of Japan/
民選 [みんせん] /(n,vs,adj-no) popular election/
民草 [たみくさ] /(n) people/populace/
民草 [たみぐさ] /(n) people/populace/
民俗 [みんぞく] /(n) folk customs/folkways/ethnic customs/(P)/
民俗音楽 [みんぞくおんがく] /(n) folk music/
民俗学 [みんぞくがく] /(n) folkloristics (formal study of folklore)/
民俗芸能 [みんぞくげいのう] /(n) folk entertainment/
民俗舞踊 [みんぞくぶよう] /(n) folk dance/
民族 [みんぞく] /(n,adj-no) people/race/nation/(P)/
民族意識 [みんぞくいしき] /(n) national consciousness/
民族衣装 [みんぞくいしょう] /(n) national costume/(in) native dress/
民族音楽 [みんぞくおんがく] /(n) ethnic music/
民族学 [みんぞくがく] /(n) ethnology/
民族学者 [みんぞくがくしゃ] /(n) ethnologist/
民族国家 [みんぞくこっか] /(n) nation-state/
民族差別 [みんぞくさべつ] /(n) ethnic discrimination/
民族史 [みんぞくし] /(n) history of a people/
民族自決 [みんぞくじけつ] /(n) self-determination of peoples/(P)/
民族主義 [みんぞくしゅぎ] /(n) nationalism/(P)/
民族宗教 [みんぞくしゅうきょう] /(n) ethnic religions/
民族集団 [みんぞくしゅうだん] /(n) ethnic group/
民族浄化 [みんぞくじょうか] /(n,vs) ethnic cleansing/
民族性 [みんぞくせい] /(n) racial or national characteristics/
民族精神 [みんぞくせいしん] /(n) racial spirit/national spirit/
民族大移動 [みんぞくだいいどう] /(n) Volkerwanderung (great migration in Europe during the Migration Age)/
民族大虐殺 [みんぞくだいぎゃくさつ] /(n) racial genocide/
民族的 [みんぞくてき] /(adj-na) racial/
民族統一主義 [みんぞくとういつしゅぎ] /(n) irredentism/
民族独立 [みんぞくどくりつ] /(n) tribal independence/
民族分布 [みんぞくぶんぷ] /(n) ethnic distribution/tribal distribution/
民族紛争 [みんぞくふんそう] /(n) ethnic conflict/
民団 [みんだん] /(n) foreign-settlement corporation/
民定憲法 [みんていけんぽう] /(n) democratic constitution/
民度 [みんど] /(n) cultural standard/
民徳 [みんとく] /(n) national morality/
民泊 [みんぱく] /(n) private residence temporarily taking lodgers/
民部省 [たみのつかさ] /(n) (1) Ministry of Popular Affairs (under the ritsuryo system)/
民部省 [みんぶしょう] /(n) (1) Ministry of Popular Affairs (1869-1871)/(2) Ministry of Popular Affairs (under the ritsuryo system)/
民風 [みんぷう] /(n) national customs/
民福 [みんぷく] /(n) national welfare/
民兵 [みんぺい] /(n) militia(men)/(P)/
民兵組織 [みんぺいそしき] /(n) militia/paramilitary group/
民放 [みんぽう] /(n) commercial broadcast/(P)/
民法 [みんぽう] /(n) civil law/civil code/(P)/
民法上の身分 [みんぽうじょうのみぶん] /(n) civil status/status (of a person) under the Civil Code/
民法典 [みんぽうてん] /(n) Civil Code/
民望 [みんぼう] /(n) hopes of the people/
民本主義 [みんぽんしゅぎ] /(n) democracy/
民約説 [みんやくせつ] /(n) social-contract theory/
民約論 [みんやくろん] /(n) social-contract theory/
民有 [みんゆう] /(n,adj-no) private ownership/
民有地 [みんゆうち] /(n) private land/privately-owned land/
民有林 [みんゆうりん] /(n) privately owned forest/
民謡 [みんよう] /(n) folk song/popular song/(P)/
民謡音階 [みんようおんかい] /(n) folk scale (anhemitonic pentatonic scale: mi, so, la, ti, re)/
民踊 [みんよう] /(n) folk dance/
民利 [みんり] /(n) people's interests/
民力 [みんりょく] /(n) national manpower/
民論 [みんろん] /(n) public opinion/
民話 [みんわ] /(n,adj-no) folklore/(P)/
民譚集 [みんだんしゅう] /(n) collection of folk stories/
眠い [ねむい] /(adj-i) sleepy/drowsy/somnolent/(P)/
眠け [ねむけ] /(n) sleepiness/drowsiness/
眠け覚し [ねむけざまし] /(n) cure for drowsiness/
眠たい [ねむたい] /(adj-i) sleepy/(P)/
眠っている金 [ねむっているかね] /(n) money lying idle/
眠らす [ねむらす] /(v5s,vt) (1) to put to sleep/(2) (col) to kill/
眠らせる [ねむらせる] /(v1,vt) (1) to put to sleep/(2) (col) to kill/
眠り [ねむり] /(n) sleep/(P)/
眠りから覚める [ねむりからさめる] /(exp,v1) to awake from one's sleep/
眠りこける [ねむりこける] /(v1,vi) to sleep like a log/to sleep deeply/
眠りこむ [ねむりこむ] /(v5m,vi) to fall asleep/to sleep deeply/
眠りにつく [ねむりにつく] /(exp,v5k) to fall asleep/
眠りに就く [ねむりにつく] /(exp,v5k) to fall asleep/
眠りに着く [ねむりにつく] /(exp,v5k) to fall asleep/
眠りに付く [ねむりにつく] /(exp,v5k) to fall asleep/
眠りに落ちる [ねむりにおちる] /(exp,v1) to fall asleep/
眠り込む [ねむりこむ] /(v5m,vi) to fall asleep/to sleep deeply/
眠り人 [ねぶりびと] /(n) (arch) someone who is fast asleep/
眠り草 [ねむりぐさ] /(n) mimosa/
眠り姫 [ねむりひめ] /(n) Sleeping Beauty (fairy tale)/
眠り病 [ねむりびょう] /(n) sleeping sickness/
眠り薬 [ねむりぐすり] /(n) sleeping powder/sleeping drug/narcotic/anaesthetic/anesthetic/
眠る [ねぶる] /(ok) (v5r,vi) (1) to sleep (not necessarily lying down)/(2) (arch) to close one's eyes/
眠る [ねむる] /(v5r,vi) (1) to sleep (not necessarily lying down)/(2) to die/(3) (arch) to close one's eyes/(P)/
眠れる森の美女 [ねむれるもりのびじょ] /(n) Sleeping Beauty (ballet)/
眠気 [ねむけ] /(n) sleepiness/drowsiness/(P)/
眠気覚まし [ねむけざまし] /(n) keeping oneself awake/
眠剤 [みんざい] /(n) sleeping pills/
眠鱶 [ねむりぶか] /(n) (uk) whitetip reef shark (Triaenodon obesus, species of Indo-Pacific requiem shark)/
務まる [つとまる] /(v5r,vi) to be fit for/to be equal to/to function properly/
務め [つとめ] /(n) (1) service/duty/business/responsibility/task/(2) Buddhist religious services/(P)/
務める [つとめる] /(v1,vt) (1) to work (for)/to be employed (at)/to serve (in)/(2) to serve (as)/to act (as)/to fill (the position of)/to play the role (of)/(3) to conduct a religious service/(P)/
務所 [むしょ] /(n) prison/
務所送り [むしょおくり] /(n) being sent to prison/
務長官 [むちょうかん] /(suf) secretary (government)/
夢 [ゆめ] /(n) dream/(P)/
夢々 [ゆめゆめ] /(adv) (1) (not even) a little bit/(2) diligently/(n) (3) dreams/
夢うつつ [ゆめうつつ] /(n) half asleep and half awake/
夢か現か [ゆめかうつつか] /(exp) feeling as if in a dream/
夢にも [ゆめにも] /(adv) not in the slightest/not in one's wildest dreams/(P)/
夢のまた夢 [ゆめのまたゆめ] /(exp) beyond one's wildest dreams/dream within a dream/
夢の又夢 [ゆめのまたゆめ] /(exp) beyond one's wildest dreams/dream within a dream/
夢を結ぶ [ゆめをむすぶ] /(exp,v5b) to sleep/to fall asleep/
夢を見る [ゆめをみる] /(exp,v1) to dream/to have a dream/
夢違え [ゆめたがえ] /(n,vs) act of praying or performing an incantation so that a bad dream does not come true/
夢違え [ゆめちがえ] /(n,vs) act of praying or performing an incantation so that a bad dream does not come true/
夢解き [ゆめとき] /(n,vs) dream interpretation/
夢見 [ゆめみ] /(n) having a dream/
夢見る [ゆめみる] /(v1,vi) to dream (of)/
夢見月 [ゆめみづき] /(n) (obsc) third lunar month/
夢見心地 [ゆめみごこち] /(n) dreamy state of mind/
夢幻 [むげん] /(n) dreams/fantasy/visions/(P)/
夢幻 [ゆめまぼろし] /(n) dreams/fantasy/visions/
夢幻的 [むげんてき] /(adj-na) dreamlike/dreamy/phantasmagorical/
夢幻泡沫 [むげんほうまつ] /(n) transient/ephemeral/fleeting/evanescent/
夢現 [ゆめうつつ] /(n) half asleep and half awake/
夢語り [ゆめがたり] /(n) (1) account of a dream/(2) fantastic story/wild tale/empty dream/pipe dream/
夢合わせ [ゆめあわせ] /(n) dream reading/
夢心地 [ゆめごこち] /(n,adj-no) dreamy state of mind/ecstasy/trance/
夢精 [むせい] /(n,vs) wet dream/nocturnal emission/
夢占い [ゆめうらない] /(n) oneiromancy/dream fortune-telling/
夢想 [むそう] /(n,vs) dream/vision/reverie/(P)/
夢想家 [むそうか] /(n) dreamer/
夢中 [むちゅう] /(adj-na,n,adj-no) daze/(in a) trance/ecstasy/delirium/engrossment/within a (deep) dream/(P)/
夢中遊行症 [むちゅうゆうこうしょう] /(n) (obsc) somnambulism/sleepwalking/
夢判じ [ゆめはんじ] /(n) (obsc) dream interpretation/
夢判断 [ゆめはんだん] /(n) interpretation of dreams/dream reading/oneirocriticism/oneiroscopy/
夢物語 [ゆめものがたり] /(n) (1) account of a dream/(2) fantastic story/wild tale/empty dream/pipe dream/
夢魔 [むま] /(n) (1) nightmare/(2) incubus/succubus/demon appearing in a dream/
夢枕 [ゆめまくら] /(n) at the bedside where one dreams/
夢枕に立つ [ゆめまくらにたつ] /(exp,v5t) to appear in one's dream/
夢夢 [ゆめゆめ] /(adv) (1) (not even) a little bit/(2) diligently/(n) (3) dreams/
夢遊病 [むゆうびょう] /(n) sleepwalking/somnambulism/
夢遊病者 [むゆうびょうしゃ] /(n) somnambulist/
夢路 [ゆめじ] /(n) dreaming/
夢寐 [むび] /(n,vs) asleep/dreaming/
無 [ぶ] /(pref) (1) un-/non-/(2) bad .../poor .../
無 [む] /(n) (1) nothing/naught/nought/nil/zero/(pref) (2) un-/non-/
無い [ない] /(adj-i) (1) (uk) nonexistent/not being (there)/(2) unpossessed/unowned/not had/(3) unique/(4) indicates negation, inexperience, unnecessariness or impossibility/(aux-adj) (5) (after the ren'youkei form of an adjective) not .../(6) (after the -te form of a verb) to not be.../to have not .../(P)/
無いと [ないと] /(exp) (1) (uk) (abbr) (col) (after negative base of verb) have to (verb)/must (verb)/(2) is indispensable/absolutely necessary/
無いといけない [ないといけない] /(exp,adj-i) (1) (uk) (after negative base of verb) have to (verb)/must (verb)/(2) is indispensable/absolutely necessary/
無いといけません [ないといけません] /(exp) (1) (uk) (after negative base of verb) have to (verb)/must (verb)/(2) is indispensable/absolutely necessary/
無いと行けない [ないといけない] /(exp,adj-i) (1) (uk) (after negative base of verb) have to (verb)/must (verb)/(2) is indispensable/absolutely necessary/
無いと行けません [ないといけません] /(exp) (1) (uk) (after negative base of verb) have to (verb)/must (verb)/(2) is indispensable/absolutely necessary/
無いより増し [ないよりまし] /(exp) (id) It's better than nothing/
無い袖は振れぬ [ないそではふれぬ] /(exp) you can't give (use) what you don't have/nothing comes from nothing/lit: you can't shake sleeves you don't have/
無い内に [ないうちに] /(exp) (after neg. stem of verb) before it becomes (verb)/before (an undesirable thing occurs)/
無い乳 [ないちち] /(n) (uk) (col) very small breasts/
無い物ねだり [ないものねだり] /(n,vs) asking for the moon/asking for too much/
無かる [なかる] /(v5aru) (arch) to not be/to be absent/
無き [なき] /(adj-f,suf) (uk) -less (often used after one word to modify another, e.g. soulless body)/lacking/non-existing/
無きにしも非ず [なきにしもあらず] /(exp) (1) not completely lacking/a little (existant)/(2) certainly existant/
無きゃ [なきゃ] /(suf) (1) (uk) (col) unless one .../if one does not .../(2) (uk) (col) (abbr) cannot do without something/(3) (after negative base of verb) have to do/
無きゃいけない [なきゃいけない] /(exp) (1) (uk) cannot do without something/indispensable/absolutely necessary/(2) (after negative base of verb) have to do/(P)/
無きゃならない [なきゃならない] /(exp) (1) (uk) cannot do without something/indispensable/absolutely necessary/(2) (after negative base of verb) have to do/
無くして [なくして] /(conj) (uk) without/in the event that it did not (or does not) exist/
無くしては [なくしては] /(conj) (uk) in the event that it did not (or does not) exist/without/
無くす [なくす] /(v5s,vt) (1) to lose something/(2) to get rid of/(P)/
無くちゃ [なくちゃ] /(exp) (uk) unless/without/
無くては [なくては] /(exp) (uk) unless/without/
無くてはいけない [なくてはいけない] /(exp) (1) (uk) cannot do without something/indispensable/absolutely necessary/(2) (after negative base of verb) have to do/(P)/
無くてはならない [なくてはならない] /(exp) (1) (uk) cannot do without something/indispensable/absolutely necessary/(2) (after negative base of verb) have to do/
無くても [なくても] /(exp) even if not/even without/
無くても良い [なくてもいい] /(exp) (1) (after neg. stem of verb) need not (verb)/(not) have to/expressing absence of obligation or necessity/(2) need not have/need not exist/
無くても良い [なくてもよい] /(exp) (1) (after neg. stem of verb) need not (verb)/(not) have to/expressing absence of obligation or necessity/(2) need not have/need not exist/
無くて七癖 [なくてななくせ] /(exp) Every man has his own peculiar habits/
無くなす [なくなす] /(v5s,vt) to lose/to miss/
無くなる [なくなる] /(v5r,vi) to disappear/to get lost/(P)/
無くもがな [なくもがな] /(exp,adj-no) can be dispensed with/be better without/useless/
無けなし [なけなし] /(n,adj-no) (uk) very small amount which looks like nothing/
無けりゃ [なけりゃ] /(int) (col) unless one .../if one does not .../
無ければ [なければ] /(exp) (1) (uk) if it does not exist/if it is not there/if it is not .../(suf) (2) (uk) unless one .../if one does not .../
無け無し [なけなし] /(n,adj-no) (uk) very small amount which looks like nothing/
無げ [なげ] /(adj-na) appearing as if something doesn't exist/casual/offhand/
無さそう [なさそう] /(suf,adj-na) (uk) does not seem/unlikely/improbable/
無し [なし] /(n,n-suf) (uk) without/(P)/
無しで [なしで] /(exp) without/
無しで済ます [なしですます] /(exp,v5s) to do without/
無しには [なしには] /(exp) (uk) without/(P)/
無にする [むにする] /(exp,vs-i) to bring to naught/to bring to nought/to waste/
無みする [なみする] /(vs-s) (obs) to set at naught/to ignore/to disregard/
無愛敬 [ぶあいきょう] /(n) (1) unamiability/(adj-na) (2) brusque/unfriendly/unsociable/curt/
無愛想 [ぶあいそ] /(adj-na,n) unsociability/bluntness/
無愛想 [ぶあいそう] /(adj-na,n) unsociability/bluntness/
無愛嬌 [ぶあいきょう] /(n) (1) unamiability/(adj-na) (2) brusque/unfriendly/unsociable/curt/
無悪不造 [むあくふぞう] /(exp) Do as much evil as one wants/
無安打 [むあんだ] /(n) no hits/
無暗 [むやみ] /(adj-na,n) reckless/excessive/
無暗に [むやみに] /(adv) (uk) unreasonably/absurdly/recklessly/indiscreetly/at random/
無闇 [むやみ] /(adj-na,n) reckless/excessive/
無闇に [むやみに] /(adv) (uk) unreasonably/absurdly/recklessly/indiscreetly/at random/(P)/
無闇矢鱈 [むやみやたら] /(n,adj-na) (1) (uk) reckless/(2) excessive/
無位 [むい] /(n) lacking rank/ordinary (citizen)/
無位無冠 [むいむかん] /(n) (a plain citizen) having no special rank or title/being a common citizen/
無位無官 [むいむかん] /(n) (an ordinary citizen) having no special rank or title/
無意 [むい] /(n) unintentional/
無意義 [むいぎ] /(adj-na,n) meaningless/insignificance/
無意識 [むいしき] /(adj-na,n) (1) unconsciousness/(2) the unconscious/(P)/
無意識的 [むいしきてき] /(adj-na) unconscious/
無意味 [むいみ] /(adj-na,n) nonsense/no meaning/meaningless/(P)/
無為 [むい] /(adj-na,n,adj-no) idleness/inactivity/(P)/
無為に費えた年月 [むいについえたとしつき] /(n) years spent idly/
無為自然 [むいしぜん] /(n) (1) abandoning artifice and just being oneself/doing nothing and taking things as they come/(2) (Buddh) unconditioned nature/unconditioned spontaneity/
無為徒食 [むいとしょく] /(n,vs) idling one's time away/
無為無策 [むいむさく] /(n) do-nothing, plan-nothing (government, etc.)/
無為無能 [むいむのう] /(n,adj-na) idle and incompetent/accomplishing nothing significant nor being capable of doing so/lacking the talent to do anything but idle away one's time/
無為無聊 [むいぶりょう] /(adj-na,n,adj-no) boredom/ennui/tedium/wearisomeness/
無為無聊 [むいむりょう] /(adj-na,n,adj-no) boredom/ennui/tedium/wearisomeness/
無医村 [むいそん] /(n) village lacking a doctor/
無一物 [むいちぶつ] /(n) having nothing/
無一物 [むいちもつ] /(n) having nothing/
無一文 [むいちもん] /(adj-na,n) penniless/broke/
無印 [むじるし] /(adj-no) unlabeled/unbranded/
無印商品 [むじるししょうひん] /(n) unbranded goods/
無韻詩 [むいんし] /(n) blank verse/
無益 [むえき] /(adj-na,n,adj-no) useless/futile/vain/(P)/
無益有害 [むえきゆうがい] /(n,adj-na) useless and harmful/
無援 [むえん] /(n) helpless/unsupporting/
無演算命令 [むえんざんめいれい] /(n) (comp) no operation instruction/no op/
無煙 [むえん] /(n,adj-no) smokeless/
無煙火薬 [むえんかやく] /(n) smokeless (gun)powder/
無煙炭 [むえんたん] /(n) anthracite/smokeless coal/
無縁 [むえん] /(adj-na,n,adj-no) unrelated/without relations/unidentified/indifferent/(P)/
無縁社会 [むえんしゃかい] /(n) society in which individuals are isolated and have weak personal links between each other/
無縁仏 [むえんぼとけ] /(n) deceased person (with no one to tend the grave)/
無縁墓地 [むえんぼち] /(n) cemetery for those who left no relatives behind/potter's field/
無遠慮 [ぶえんりょ] /(adj-na,n) rude/outspoken/
無鉛 [むえん] /(n,adj-no) unleaded (gasoline, petrol)/
無鉛ガソリン [むえんガソリン] /(n) leadless gasoline/leadless petrol/
無鉛レギュラー [むえんレギュラー] /(n) regular unleaded (petrol, gasoline)/
無塩 [むえん] /(n,adj-no) salt free/
無音 [ぶいん] /(n,vs) long silence/
無音 [むおん] /(n) soundless/
無音検出 [むおんけんしゅつ] /(n) (comp) silence detection/
無音抑制 [むおんよくせい] /(n) (comp) silence suppression/
無下に [むげに] /(adv) flat or cold (refusal, etc.)/
無化 [むか] /(n,vs) nullification/annihilation/
無何有の郷 [むかうのさと] /(n) utopia/(natural) paradise/
無価 [むか] /(n,adj-no) priceless/
無価値 [むかち] /(n) worthlessness/
無価値資産 [むかちしさん] /(n) dead assets/
無花果 [いちじく] /(n) fig/
無花果 [いちじゅく] /(n) fig/
無花果 [いちぢく] /(ik) (n) fig/
無花果 [むかか] /(n) fig/
無花果果 [いちじくか] /(n) fig/syconium/
無花果状果 [いちじくじょうか] /(n) fig/syconium/
無過失責任 [むかしつせきにん] /(n) no-fault liability/
無過失責任主義 [むかしつせきにんしゅぎ] /(n) no-fault liability principle/
無我 [むが] /(n) (1) selflessness/self-effacement/self-renunciation/(2) (Buddh) anatman (no-self, the Buddhist concept that in nothing does there exist an inherent self, soul, or ego)/(P)/
無我の境 [むがのきょう] /(n) state of complete self-effacement/trance/
無我夢中 [むがむちゅう] /(n,adj-no) being absorbed in/losing oneself in/
無回答 [むかいとう] /(n) non-response/
無外傷性針 [むがいしょうせいしん] /(n) atraumatic needle/
無外傷性針 [むがいしょうせいはり] /(n) atraumatic needle/
無害 [むがい] /(adj-na,n,adj-no) harmlessness/(P)/
無碍 [むげ] /(adj-na,n) free from obstacles/
無蓋 [むがい] /(n,adj-no) open/uncovered/
無蓋貨車 [むがいかしゃ] /(n) open freight car/
無蓋車 [むがいしゃ] /(n) open freight car/
無格好 [ぶかっこう] /(adj-na) (1) unshapely/ill-formed/misshapen/(2) awkward/clumsy/
無格社 [むかくしゃ] /(n) (obs) unranked shrine/
無角 [むかく] /(adj-no) hornless/polled/
無角牛 [むかくぎゅう] /(n) polled cattle/
無角類 [むかくるい] /(n) (obs) arachnids/
無学 [むがく] /(adj-na,n,adj-no) illiteracy/
無学文盲 [むがくもんもう] /(n) (sens) ignorant and illiterate/uneducated and illiterate/
無学無識 [むがくむしき] /(n) illiterate and ignorant/uneducated and lacking in wisdom and discernment/
無学無知 [むがくむち] /(n,adj-na) illiterate and ignorant/
無額面株 [むがくめんかぶ] /(n) no-par stock/no-par-value stock/
無額面株式 [むがくめんかぶしき] /(n) no-par stock/no-par-value stock/
無顎類 [むがくるい] /(n) agnathans (jawless fishes of superclass Agnatha)/
無冠 [むかん] /(n,adj-no) uncrowned/
無官 [むかん] /(n) being out of office/lacking a title/
無干渉 [むかんしょう] /(n) noninterference/nonintervention/
無患子 [むくろじ] /(n) soapberry (tree)/
無感覚 [むかんかく] /(adj-na,n) numb/impervious/
無感地震 [むかんじしん] /(n) imperceptible earthquake/
無感動 [むかんどう] /(adj-na,adj-no,n) unimpressive/unimpressed/
無汗症 [むかんしょう] /(n) anhidrosis/
無鑑査 [むかんさ] /(n,adj-no) not submitted to the selecting committee/
無間地獄 [むけんじごく] /(n) the Avici hell, the eighth and most painful of the eight hells in Buddhism/Buddhist hell of uninterrupted suffering/
無間地獄 [むげんじごく] /(n) the Avici hell, the eighth and most painful of the eight hells in Buddhism/Buddhist hell of uninterrupted suffering/
無間奈落 [むけんならく] /(n) the Avici hell, the eighth and most painful of the eight hells in Buddhism/
無間奈落 [むげんならく] /(n) the Avici hell, the eighth and most painful of the eight hells in Buddhism/
無関係 [むかんけい] /(adj-na,n,adj-no) unrelated/(P)/
無関心 [むかんしん] /(adj-na,n) apathetic/indifferent/(P)/
無器用 [ぶきよう] /(adj-na,n) awkward/clumsy/unskillfulness/lack of ability/
無期 [むき] /(n) indefinite/(P)/
無期延期 [むきえんき] /(n) indefinite postponement/
無期刑 [むきけい] /(n) life imprisonment/
無期限 [むきげん] /(n) indefinite/(P)/
無期懲役 [むきちょうえき] /(n) life imprisonment/
無機 [むき] /(n,adj-no) inorganic/
無機化学 [むきかがく] /(n) inorganic chemistry/
無機化合物 [むきかごうぶつ] /(n) inorganic compound/
無機高分子 [むきこうぶんし] /(n) inorganic polymer/
無機質 [むきしつ] /(n) (1) inorganic matter/mineral matter/(adj-na) (2) cold/inhuman/robotic/
無機質肥料 [むきしつひりょう] /(n) inorganic fertilizer/mineral fertilizer/
無機的 [むきてき] /(adj-na) inorganic/
無機肥料 [むきひりょう] /(n) inorganic fertilizer/inorganic fertiliser/
無機物 [むきぶつ] /(n) inorganic substance/(P)/
無気呼吸 [むきこきゅう] /(n) anaerobic respiration/
無気肺 [むきはい] /(n) atelectasis/
無気味 [ぶきみ] /(adj-na,n) weird/ominous/eerie/uncanny/ghastly/
無気力 [むきりょく] /(adj-na,n) lethargic/lassitude/(P)/
無気力状態 [むきりょくじょうたい] /(n) apathy/lethargic state/state of lassitude/
無季 [むき] /(n,adj-no) (haiku) lacking seasonal references/
無規律 [むきりつ] /(adj-na,n) lawless/unregulated/
無記名 [むきめい] /(n) unsigned/unregistered/(P)/
無記名株 [むきめいかぶ] /(n) a bearer stock/
無記名債権 [むきめいさいけん] /(n) unregistered bond/
無記名社債 [むきめいしゃさい] /(n) unregistered bond/
無記名投票 [むきめいとうひょう] /(n) secret ballot/
無記名預金 [むきめいよきん] /(n) anonymous bank account/
無軌道 [むきどう] /(adj-na,n) (1) trackless/(2) reckless/dissipated/
無軌道振り [むきどうぶり] /(n) wild behavior/wild behaviour/
無技巧 [むぎこう] /(adj-na,n) artless/simple/
無義道 [もぎどう] /(n,adj-na) brutality/inhumanity/
無休 [むきゅう] /(n) without a holiday/nonstop/(P)/
無弓類 [むきゅうるい] /(n) anapsid/
無窮 [むきゅう] /(adj-na,n) eternity/infinitude/immortality/
無給 [むきゅう] /(n,adj-no) unpaid/nonsalaried/(P)/
無許可 [むきょか] /(adj-no) (1) unauthorized/without permission/unapproved/(n) (2) lack of permission/absence of authorization/
無競争 [むきょうそう] /(n) lacking opposition or competition/
無境化 [むきょうか] /(n) (obsc) change toward a borderless world/development of a borderless world/
無境界 [むきょうかい] /(n) lack of boundary/borderless (psych.)/confluence (psych.)/
無教育 [むきょういく] /(adj-na,n) uneducated/
無教会 [むきょうかい] /(adj-no) non-denominational/churchless/
無教会主義 [むきょうかいしゅぎ] /(n) Nondenominationalism (a Japanese Christian group)/
無響室 [むきょうしつ] /(n) anechoic chamber/anechoic room/
無業 [むぎょう] /(n,adj-no) without an occupation/
無極 [むきょく] /(n,adj-na,adj-no) (1) limitless/(2) apolar/(3) limitlessness of taiji/
無菌 [むきん] /(n,adj-no) sterilised/pasteurised/pasteurized/(P)/
無菌性髄膜炎 [むきんせいずいまくえん] /(n) aseptic meningitis/
無菌法 [むきんほう] /(n) asepsis/
無形 [むけい] /(n,adj-no) abstract/immaterial/moral/spiritual/intangible/(P)/
無形固定資産 [むけいこていしさん] /(n) intangible fixed assets/
無形財産 [むけいざいさん] /(n) intangible asset/
無形文化財 [むけいぶんかざい] /(n) intangible cultural asset/(P)/
無稽 [むけい] /(adj-na,n) unsupported/unfounded/nonsense/
無計画 [むけいかく] /(adj-na,n) lacking a plan/haphazard/
無警告 [むけいこく] /(n) without warning or notice/
無警察 [むけいさつ] /(n) (the state of) anarchy/
無芸 [むげい] /(adj-na,n,adj-no) lacking talent or accomplishments/
無芸大食 [むげいたいしょく] /(n) lacking the talent to do anything but eat/
無芸無能 [むげいむのう] /(n,adj-na) talentless and imcompetent/incompetent and unaccomplished/
無欠 [むけつ] /(adj-na,n,adj-no) flawlessness/
無欠勤 [むけっきん] /(n) without missing (a day of) work/
無欠席 [むけっせき] /(n) perfect attendance/
無血 [むけつ] /(n,adj-no) bloodless/
無血革命 [むけつかくめい] /(n) bloodless revolution/
無月 [むげつ] /(n) moonless sky (poetic usage)/
無月経 [むげっけい] /(n) amenorrhea/amenorrhoea/
無原罪 [むげんざい] /(n,adj-no) immaculacy (i.e. freedom from original sin)/immaculateness/
無原罪の御宿り [むげんざいのおんやどり] /(n) Immaculate Conception/
無原罪の宿り [むげんざいのやどり] /(n) Immaculate Conception/
無現 [むげん] /(n) (1) (abbr) infinite/(2) incumbent member (or candidate) unaffiliated with a party/
無言 [むごん] /(n) silence/(P)/
無言の行 [むごんのぎょう] /(n) ascetic practice of silence (practise)/
無言劇 [むごんげき] /(n) pantomime/
無言症 [むごんしょう] /(n) mutism/
無言電話 [むごんでんわ] /(n) silent phone call (form of harassment)/
無限 [むげん] /(adj-no,adj-na) infinite/(P)/
無限ループ [むげんループ] /(n) infinite loop/closed loop/
無限遠点 [むげんえんてん] /(n) (comp) infinity/
無限軌道 [むげんきどう] /(n,adj-no) endless track/caterpillar/
無限級数 [むげんきゅうすう] /(n) infinite series/
無限後退 [むげんこうたい] /(n) infinite regress/
無限集合 [むげんしゅうごう] /(n) infinite set/
無限小 [むげんしょう] /(adj-na,n) (math) infinitesimal/
無限小数 [むげんしょうすう] /(n) infinite decimals/
無限数列 [むげんすうれつ] /(n) infinite sequence/
無限責任 [むげんせきにん] /(n) unlimited liability/
無限大 [むげんだい] /(adj-na,n) infinity/
無限連鎖講 [むげんれんさこう] /(n) pyramid scheme/
無光沢紙 [むこうたくし] /(n) matte paper/
無公害 [むこうがい] /(n,adj-no) unpolluted/non-polluting/
無効 [むこう] /(adj-na,n,adj-no) invalid/no effect/unavailable/illegal/(P)/
無効ＰＰＤＵ [むこうピーピーディーユー] /(n) (comp) invalid PPDU/
無効ＳＰＤＵ [むこうエスピーディーユー] /(n) (comp) invalid SPDU/
無効ＴＰＤＵ [むこうティーピーディーユー] /(n) (comp) invalid TPDU/
無効にする [むこうにする] /(vs) (comp) to disable/to override/
無効キー条件 [むこうキーじょうけん] /(n) (comp) invalid key condition/
無効ビット [むこうビット] /(n) (comp) invalid bit/
無効フレーム [むこうフレーム] /(n) (comp) invalid frame/
無効投票 [むこうとうひょう] /(n) spoilt (invalid) vote/
無効票 [むこうひょう] /(n) faulty ballot/
無口 [むくち] /(adj-na,n,adj-no) reticence/taciturnity/(P)/
無垢 [むく] /(adj-na,n) purity/
無垢材 [むくざい] /(n) solid wood (as opposed to veneer)/natural wood/
無垢清浄 [むくせいじょう] /(n,adj-na) pure and innocent/immaculate/
無考え [むかんがえ] /(adj-na,n) thoughtless/heedless/rash/
無降水 [むこうすい] /(n) lack of rainfall/drought/
無告 [むこく] /(n) helpless/out of resources/
無国境 [むこっきょう] /(n,adj-no,adj-na) borderless/
無国籍 [むこくせき] /(n) statelessness/
無腰 [むごし] /(n) unarmed/
無骨 [ぶこつ] /(adj-na,n) boorish/unrefined/rustic/uncouth/clumsy/brusque/
無骨一徹 [ぶこついってつ] /(n,adj-na) rustic/boorish/uncouth/adamantly sticking to being boorish/
無骨者 [ぶこつもの] /(n) boor/rustic/
無根 [むこん] /(adj-na,n) groundless/
無差別 [むさべつ] /(n) (1) indiscrimination/without discrimination/(adj-na) (2) indiscriminate/(P)/
無差別モード [むさべつモード] /(n) (comp) promiscuous mode/
無差別級 [むさべつきゅう] /(n) open-weight (unclassified) division (category)/
無差別曲線 [むさべつきょくせん] /(n) indifference curve/
無差別殺人 [むさべつさつじん] /(n) indiscriminant killing/indiscriminate murder/
無差別大量殺人 [むさべつたいりょうさつじん] /(n) indiscriminate mass murder/
無差別爆撃 [むさべつばくげき] /(n) indiscriminate bombing/
無沙汰 [ぶさた] /(n) not writing or contacting for a while/neglecting (failing) to write (call, visit, etc.)/long silence/
無彩色 [むさいしょく] /(n) neutral colour/neutral color/achromatic (colour, color)/
無才 [むさい] /(adj-na,n) lacking talent or ability/
無罪 [むざい] /(n,adj-no) innocence/(P)/
無罪判決 [むざいはんけつ] /(n) innocent verdict/"not guilty" verdict/
無罪放免 [むざいほうめん] /(n) acquittal/
無作為 [むさくい] /(adj-na,n) at random/unintentional/(P)/
無作法 [ぶさほう] /(adj-na,n) ill-mannered/rude/
無策 [むさく] /(adj-na,n,adj-no) lacking means or measures or policies/(P)/
無策無為 [むさくむい] /(n) donothingism/do-nothing, plan-nothing (government, etc.)/being an idle onlooker taking no steps to meet the situation/
無札 [むさつ] /(n) (riding or entering) without a ticket/
無雑 [むざつ] /(adj-na,n) pure/unadulterated/
無雑作 [むぞうさ] /(adj-na) (1) casual/off-hand/careless/easy-going/(2) artless/simple/
無惨 [むざん] /(adj-na,n) cruelty/atrocity/cold-bloodedness/tragedy/misery/
無産 [むさん] /(n) lacking property/
無産階級 [むさんかいきゅう] /(n,adj-no) the proletarian class/
無産者 [むさんしゃ] /(n) proletarian/
無産政党 [むさんせいとう] /(n) proletarian party/
無酸素運動 [むさんそうんどう] /(n) anaerobic exercise/
無残 [むざん] /(adj-na,n) cruelty/atrocity/cold-bloodedness/tragedy/misery/(P)/
無始 [むし] /(n) the remote beginnings/
無始無終 [むしむしゅう] /(n) everlastingness/eternity/
無思慮 [むしりょ] /(n) thoughtlessness/indiscretion/
無指定ビットレート [むしていビットレート] /(n) (comp) unspecified bit rate/UBR/
無死 [むし] /(n) baseball with no outs/(P)/
無死満塁 [むしまんるい] /(n) bases are loaded with no outs/
無私 [むし] /(adj-na,n,adj-no) selflessness/unselfish/
無糸分裂 [むしぶんれつ] /(n,adj-no) amitosis/
無脂肪 [むしぼう] /(adj-no) fat-free/no fat/
無視 [むし] /(n,vs) disregard/ignore/(P)/
無試験 [むしけん] /(n) without an examination/
無資格 [むしかく] /(adj-na,n) unqualified/unlicensed/uncertified/(P)/
無資格者 [むしかくしゃ] /(n) unqualified or unlicensed person/(legally) incompetent/
無資力 [むしりょく] /(n) lacking funds/
無事 [ぶじ] /(adj-na,n) safety/peace/quietness/(P)/
無事か [ぶじか] /(exp) (are you) alright?/(are you) OK?/
無事に [ぶじに] /(adv) safely/peacefully/quietly/without problems/
無事故 [むじこ] /(adj-na,n) without accident/
無事終了 [ぶじしゅうりょう] /(n,vs) ending without incident/being successfully brought to completion/finishing something without a hitch/
無事息災 [ぶじそくさい] /(n) safe and healthy/health and longevity/
無事太平 [ぶじたいへい] /(n,adj-na) peace and quiet/safe and peaceful/tranquil and uneventful/
無事平穏 [ぶじへいおん] /(n,adj-na) peace and quiet/safe and peaceful/tranquil and uneventful/
無字 [むじ] /(n) (Buddh) "No." (Zhaozhou's answer to the koan "Does a dog have Buddha nature?")/
無慈悲 [むじひ] /(adj-na,n) merciless/ruthless/
無自覚 [むじかく] /(adj-na,n) unaware or unmindful of/unconsciousness/
無実 [むじつ] /(n) (1) absence of the fact/insubstantiality/innocence/guiltlessness/(adj-no) (2) innocent/guiltless/(3) false/untrue/(P)/
無実の罪 [むじつのつみ] /(n) a false charge/
無射 [ぶえき] /(n) (1) (in China) 11th note of the ancient chromatic scale (approx. C)/(2) ninth month of the lunar calendar/
無射 [むえき] /(n) (1) (in China) 11th note of the ancient chromatic scale (approx. C)/(2) ninth month of the lunar calendar/
無邪気 [むじゃき] /(adj-na,n) innocence/simple-mindedness/(P)/
無手 [むて] /(n,adj-no) empty-handed/unarmed/lacking funds/
無手と [むずと] /(ateji) (adv) (uk) strongly/violently/with all one's strength/
無手順 [むてじゅん] /(n) (comp) ASCII data transfer with XON-XOFF flow control/
無手勝流 [むてかつりゅう] /(n) (1) winning without fighting/method used to win without fighting/(2) one's own way of doing things (i.e. as different from that of one's instructor)/(3) (col) Shinto-ryu (school of kenjutsu)/
無趣味 [むしゅみ] /(adj-na,n) lacking of flair or refinement/lacking interests or hobbies/vulgarity/dull/prosaic/
無宗教 [むしゅうきょう] /(adj-no) secular/without (official) religion/
無宗教の国 [むしゅうきょうのくに] /(n) secular country/
無宗教国 [むしゅうきょうこく] /(n) secular country/
無宗派 [むしゅうは] /(n) non-sectarian/
無修正 [むしゅうせい] /(n,adj-no) unaltered/uncensored/unexpurgated/(P)/
無臭 [むしゅう] /(n,adj-no) odorless/odourless/unscented/
無住 [むじゅう] /(n) temple lacking a priest/
無重量 [むじゅうりょう] /(n) weightlessness/zero gravity/(P)/
無重力 [むじゅうりょく] /(n) weightlessness/zero gravity/
無重力状態 [むじゅうりょくじょうたい] /(n) (the state of) weightlessness/
無宿 [むしゅく] /(n) homelessness/
無宿者 [むしゅくもの] /(n) homeless wanderer/
無所属 [むしょぞく] /(n) independent/(P)/
無所属現 [むしょぞくげん] /(n) incumbent member (or candidate) unaffiliated with a party/
無所属候補 [むしょぞくこうほ] /(n) independent candidate/
無傷 [むきず] /(adj-na,n,adj-no) unhurt/uninjured/unwounded/flawless/spotless/sound/perfect/(P)/
無傷針 [むきずはり] /(n) atraumatic needle/
無償 [むしょう] /(n,adj-no) no compensation/free of charge/(P)/
無償契約 [むしょうけいやく] /(n) gratuitous contract/
無償交付 [むしょうこうふ] /(n) free issue/
無償行為 [むしょうこうい] /(n) gratuitous act/volunteering/
無償収集 [むしょうしゅうしゅう] /(n) (comp) free acquisition/
無償信託 [むしょうしんたく] /(n) naked trust/
無症状 [むしょうじょう] /(n) without symptoms/
無上 [むじょう] /(adj-na,n,adj-no) best/
無上命法 [むじょうめいほう] /(n) (obsc) categorical imperative/
無常 [むじょう] /(adj-na,n,adj-no) uncertainty/transiency/impermanence/mutability/
無常感 [むじょうかん] /(n) sense of the vanity of life/perception of the evanescence of life/
無常観 [むじょうかん] /(n) sense of the vanity of life/perception of the evanescence of life/
無常迅速 [むじょうじんそく] /(n) the (fast) pace at which life passes, and thus the nearness of death/promptitude of the changes of the times/
無常鳥 [むじょうちょう] /(n) (obsc) lesser cuckoo (Cuculus poliocephalus)/
無情 [むじょう] /(n,adj-no,adj-na) heartlessness/hardness/cruelty/ruthless/(P)/
無条件 [むじょうけん] /(n) unconditional/(P)/
無条件解約 [むじょうけんかいやく] /(n) unconditional cancellation of a contract/
無条件降伏 [むじょうけんこうふく] /(n) unconditional surrender/
無条件反射 [むじょうけんはんしゃ] /(n) unconditioned reflex/
無条件飛越し命令 [むじょうけんとびこしめいれい] /(n) (comp) unconditional jump instruction/
無条件分岐 [むじょうけんぶんき] /(n) (comp) unconditional branch/
無条件文 [むじょうけんぶん] /(n) (comp) imperative statement/unconditional statement/
無職 [むしょく] /(n,adj-no) without an occupation/(P)/
無職者 [むしょくしゃ] /(n) unemployed person/
無色 [むしょく] /(n,adj-no) colourless/colorless/achromatic/(P)/
無色透明 [むしょくとうめい] /(n,adj-na,adj-no) colorless and transparent/
無心 [むしん] /(adj-na,n,adj-no) (1) innocence/(2) insentient (i.e. plants, inanimate objects, etc.)/(3) (Buddh) free from obstructive thoughts/(vs,vt) (4) to pester someone (for cash, etc.)/(P)/
無神経 [むしんけい] /(adj-na,n) insensibility/thick-skinned/(P)/
無神論 [むしんろん] /(n) atheism/
無神論者 [むしんろんしゃ] /(n,adj-no) atheist/person with no faith or belief system/
無人 [ぶじん] /(adj-na,n) (1) lack of help/(2) unmanned/uninhabited/
無人 [ぶにん] /(adj-na,n) (1) lack of help/(2) unmanned/uninhabited/
無人 [むじん] /(adj-na,n) (1) lack of help/(2) unmanned/uninhabited/(P)/
無人 [むにん] /(adj-na,n) (1) lack of help/(2) unmanned/uninhabited/
無人の境 [むじんのきょう] /(n) uninhabited land/
無人モード [むじんモード] /(n) (comp) non-operator mode/
無人宇宙船 [むじんうちゅうせん] /(n) unmanned spacecraft/
無人駅 [むじんえき] /(n) empty (unstaffed) train station/
無人化工場 [むじんかこうじょう] /(n) (fully) automated factory/
無人機 [むじんき] /(n) drone/unmanned aircraft/
無人工場 [むじんこうじょう] /(n) (fully) automated factory/
無人端末 [むじんたんまつ] /(n) (comp) unmanned, automated terminal/
無人地帯 [むじんちたい] /(n) no-man's-land/
無人島 [むじんとう] /(n) unpopulated island/
無人踏切 [むじんふみきり] /(n) (col) unstaffed railway crossing/
無人販売所 [むじんはんばいじょ] /(n) unattended sales place/vending machine/
無尽 [むじん] /(adj-na,n) inexhaustibility/mutual financing association/
無尽の講 [むじんのこう] /(n) mutual financing association/
無尽会社 [むじんがいしゃ] /(n) mutual aid or credit finance company/
無尽組合 [むじんくみあい] /(n) loan association/
無尽蔵 [むじんぞう] /(adj-na,adj-no,n) inexhaustible supply/(P)/
無水 [むすい] /(adj-no) anhydrous/absolute/
無水アルコール [むすいアルコール] /(n) anhydrous alcohol/absolute alcohol/
無水フタル酸 [むすいフタルさん] /(n) phthalic anhydride/
無水亜ヒ酸 [むすいあヒさん] /(n) (obsc) arsenic trioxide/white arsenic (As2O3)/
無水亜砒酸 [むすいあひさん] /(n) (obsc) arsenic trioxide/white arsenic (As2O3)/
無水酸 [むすいさん] /(n) acid anhydride/
無水酢酸 [むすいさくさん] /(n) acetic anhydride/
無水鍋 [むすいなべ] /(n) pan which can be used without water/
無水物 [むすいぶつ] /(n) anhydride/
無粋 [ぶすい] /(adj-na,n) no sense of refinement/inelegant/lacking in polish/unromantic/boorish/
無数 [むすう] /(n,adj-no,adj-na) countless number/infinite number/innumerable/(P)/
無制限 [むせいげん] /(adj-na,n) limitless/(P)/
無制限供給 [むせいげんきょうきゅう] /(n) unlimited supply/
無制限貿易 [むせいげんぼうえき] /(n) unlimited trade/unrestricted trade/
無勢 [ぶぜい] /(n) outnumbered/overwhelmed/
無性 [むせい] /(n,adj-no) asexual/
無性に [むしょうに] /(adv) excessively/very much/(P)/
無性芽 [むせいが] /(n) gemma/
無性語 [むせいご] /(n) (ling) gender neutral word (usu. to replace word with gender bias)/
無性生殖 [むせいせいしょく] /(n,adj-no) asexual reproduction/
無政府 [むせいふ] /(n) anarchy/(P)/
無政府主義 [むせいふしゅぎ] /(n) (doctrine of) anarchism/
無政府主義者 [むせいふしゅぎしゃ] /(n) anarchist/
無政府状態 [むせいふじょうたい] /(n) anarchy/
無生忍 [むしょうにん] /(n) (Buddh) (abbr) anutpattika-dharma-ksanti (recognition that nothing really arises or perishes)/
無生物 [むせいぶつ] /(n) inanimate object/(P)/
無生法忍 [むしょうほうにん] /(n) (Buddh) anutpattika-dharma-ksanti (recognition that nothing really arises or perishes)/
無精 [ぶしょう] /(adj-na,n) indolence/laziness/sloth/(P)/
無精ひげ [ぶしょうひげ] /(n) stubble/unshaven face/beard one has because one is too lazy to shave/5-o'clock shadow/
無精者 [ぶしょうもの] /(adj-na,n) slouch/lazybones/
無精髭 [ぶしょうひげ] /(n) stubble/unshaven face/beard one has because one is too lazy to shave/5-o'clock shadow/
無精卵 [むせいらん] /(n) wind egg/unfertilized egg/unfertilised egg/
無声 [むせい] /(n,adj-no) voiceless/unvoiced/silent/noiseless/
無声映画 [むせいえいが] /(n) silent movie/
無声音 [むせいおん] /(n) voiceless sound/
無声子音 [むせいしいん] /(n) voiceless consonant/
無税 [むぜい] /(n,adj-no) duty-free/tax-free/(P)/
無税品 [むぜいひん] /(n) duty-free goods/
無籍 [むせき] /(n,adj-no) lacking a registered domicile/
無籍者 [むせきもの] /(n) person without a registered or fixed address/
無脊椎動物 [むせきついどうぶつ] /(n) invertebrate/
無責任 [むせきにん] /(adj-na,n) irresponsibility/(P)/
無節操 [むせっそう] /(adj-na,n) inconstant/unchastity/unprincipled/
無雪 [むせつ] /(n) (1) (obsc) disappearance of snow (i.e. due to melting)/(2) (obsc) lack of snow (i.e. snow not falling)/
無洗米 [むせんまい] /(n) pre-washed rice/wash-free rice/musenmai/
無線 [むせん] /(n,adj-no) wireless/radio/(P)/
無線ＬＡＮ [むせんラン] /(n) (comp) wireless local area network/wireless LAN/WLAN/(P)/
無線インターネット接続 [むせんインターネットせつぞく] /(n) wireless Internet access/
無線タグ [むせんタグ] /(n) RFID tag/
無線リンク [むせんリンク] /(n) (comp) wireless link/
無線機 [むせんき] /(n) wireless/radio/transceiver/
無線技師 [むせんぎし] /(n) radio (wireless) operator/radioman/
無線技術 [むせんぎじゅつ] /(n) wireless technology/
無線局 [むせんきょく] /(n) radio station/
無線工学 [むせんこうがく] /(n) radio engineering/
無線周波 [むせんしゅうは] /(n) radio frequency/
無線周波数 [むせんしゅうはすう] /(n) radio frequency/RF/
無線操縦 [むせんそうじゅう] /(n,adj-no) radio-controlled (plane)/
無線通信 [むせんつうしん] /(n) radio communication/
無線通信士 [むせんつうしんし] /(n) radio communication operator/
無線電信 [むせんでんしん] /(n,adj-no) radio telegraphy/
無線電話 [むせんでんわ] /(n,adj-no) cordless telephone/wireless telephone/
無線標識 [むせんひょうしき] /(n) radio beacon/
無線方位測定器 [むせんほういそくていき] /(n) (obsc) radio direction finder/
無線方式 [むせんほうしき] /(n) (comp) wireless system/
無銭 [むせん] /(n) without money/no need for money/
無銭飲食 [むせんいんしょく] /(n,vs) leaving a restaurant without paying bill/
無銭遊興 [むせんゆうきょう] /(n) merrymaking without paying/
無銭旅行 [むせんりょこう] /(n) hitchhiking/
無双 [むそう] /(n,adj-no) peerless/unparalleled/unparallelled/matchless/
無双仕立 [むそうじたて] /(n) making a piece of clothing with the same cloth inside and out/making a kimono with lining of the same fabric/
無双仕立て [むそうじたて] /(n) making a piece of clothing with the same cloth inside and out/making a kimono with lining of the same fabric/
無双窓 [むそうまど] /(n) (openable) panel in a door/
無双直伝英信流 [むそうじきでんえいしんりゅう] /(n) (MA) Muso Jikiden Eishin-ryu (iaido style)/
無想 [むそう] /(n) a blank mind/
無想無念 [むそうむねん] /(n,adj-no) being free from all distracting thoughts/keeping one's mind clear of all worldly thoughts/being free from all ideas and thoughts/
無造作 [むぞうさ] /(adj-na) (1) casual/off-hand/careless/easy-going/(2) artless/simple/(P)/
無足人 [むそくにん] /(n) low-status samurai without land/low-status farmer without land/
無足類 [むそくるい] /(n) (obsc) caecilian (any burrowing legless amphibian of the order Gymnophiona)/
無駄 [むだ] /(adj-na,n) futility/uselessness/pointlessness/(P)/
無駄にしない [むだにしない] /(exp,adj-i) (uk) make good use of/make the most of/
無駄にする [むだにする] /(exp,vs-i) to render futile/to bring to naught/to waste/to not make good use of/
無駄を省く [むだをはぶく] /(exp,v5k) to exclude wastefulness/
無駄花 [むだばな] /(n) blossom which fails to produce fruit/
無駄遣い [むだづかい] /(n,vs) wasting ... on (e.g. money)/squandering/waste/frittering away/(P)/
無駄口 [むだぐち] /(n) chatter/idle talk/
無駄口をたたく [むだぐちをたたく] /(exp,v5k) to chatter pointlessly/to waste one's breath/
無駄口を叩く [むだぐちをたたく] /(exp,v5k) to chatter pointlessly/to waste one's breath/
無駄骨 [むだぼね] /(n) useless/waste of time and effort/pointless/vain efforts/
無駄骨を折る [むだぼねをおる] /(exp,v5r) (obsc) (id) to waste one's efforts/to work to no (useful) effect/
無駄骨折り [むだぼねおり] /(n,vs) laboring in vain or for no result/labouring in vain/
無駄使い [むだづかい] /(n,vs) wasting ... on (e.g. money)/squandering/waste/frittering away/
無駄死に [むだじに] /(n,vs) (sens) dying in vain/
無駄時間 [むだじかん] /(n) (comp) dead time/
無駄食い [むだぐい] /(n,vs) eating between meals/living idly/
無駄足 [むだあし] /(n,vs) visit for no reason/go on fool's errand/
無駄飯 [むだめし] /(n) living idly/
無駄話 [むだばなし] /(n,vs) gossip/idle talk/chat/
無体 [むたい] /(adj-na,n,adj-no) (1) intangible/incorporeal/(2) by force/outrageous/cruel/unreasonable/(3) making light of/making fun of/
無体財産 [むたいざいさん] /(n) intangible property/
無体資産 [むたいしさん] /(n) intangible asset/
無体物 [むたいぶつ] /(n) an intangible/
無代 [むたい] /(adj-na,n,adj-no) (1) intangible/incorporeal/(2) by force/outrageous/cruel/unreasonable/(3) making light of/making fun of/
無代 [むだい] /(n) free of charge/
無台 [むたい] /(adj-na,n,adj-no) (1) intangible/incorporeal/(2) by force/outrageous/cruel/unreasonable/(3) making light of/making fun of/
無題 [むだい] /(n,adj-no) No Title/untitled/
無担保 [むたんぽ] /(n) unsecured (loan)/
無担保債務 [むたんぽさいむ] /(n) unsecured debt/
無担保社債 [むたんぽしゃさい] /(n) unsecured (corporate) debenture/
無担保借入金 [むたんぽかりいれきん] /(n) unfunded debt/unsecured loan/unsecured debt/
無担保貸付 [むたんぽかしつけ] /(n) unsecured loan/
無担保貸付金 [むたんぽかしつけきん] /(n) unsecured debt/
無断 [むだん] /(n) without permission/without notice/(P)/
無断で [むだんで] /(exp) without permission/without notice/
無断外泊 [むだんがいはく] /(n,vs) staying out overnight without giving notice/spending night(s) away from home without permission (leave)/
無断欠勤 [むだんけっきん] /(n,vs) absence from work without permission/
無断欠席 [むだんけっせき] /(n) truancy/absence without leave/
無断転載 [むだんてんさい] /(n) unauthorized reproduction/unauthorised reproduction/unauthorized copying/unauthorised copying/
無知 [むち] /(adj-na,n) ignorance/innocence/stupidity/(P)/
無知の知 [むちのち] /(n) wisdom to realize one's own ignorance/
無知は幸福 [むちはこうふく] /(exp) (id) Ignorance is bliss/
無知愚昧 [むちぐまい] /(n,adj-na) unenlightened/in the darkest ignorance/not knowing from A to B/
無知文盲 [むちもんもう] /(n,adj-na) (sens) ignorant and illiterate/
無知蒙昧 [むちもうまい] /(adj-na,n) unenlightened/in the darkest ignorance/
無地 [むじ] /(n,adj-no) plain/unfigured/(P)/
無恥 [むち] /(adj-na,n) shameless/(P)/
無智 [むち] /(adj-na,n) ignorance/innocence/stupidity/
無秩序 [むちつじょ] /(adj-na,n) disorder/chaos/confusion/(P)/
無茶 [むちゃ] /(ateji) (adj-na,n) (uk) absurd/unreasonable/excessive/rash/absurdity/nonsense/(P)/
無茶苦茶 [むちゃくちゃ] /(adj-na,n) (uk) confused/jumbled/mixed up/unreasonable/(P)/
無着色 [むちゃくしょく] /(uK) (n,vs) no artificial coloring added (foods, drinks, etc.)/
無着陸 [むちゃくりく] /(n) nonstop/
無着陸飛行 [むちゃくりくひこう] /(n) nonstop flight/
無調整 [むちょうせい] /(adj-no) unadjusted/
無調法 [ぶちょうほう] /(adj-na,n) impoliteness/carelessness/misconduct/clumsiness/
無賃 [むちん] /(n,adj-no) charge-free/free of charge/
無賃乗車 [むちんじょうしゃ] /(n) riding free of charge/
無痛 [むつう] /(n,adj-no) painless/
無痛分娩 [むつうぶんべん] /(n) (1) painless childbirth/painless delivery/(2) obstetric analgesia for labor (e.g. epidural)/
無通話時 [むつうわじ] /(n) (comp) silent time/silence period/
無停電電源 [むていでんでんげん] /(n) (comp) uninterruptible power supply/UPS/
無停電電源装置 [むていでんでんげんそうち] /(n) (comp) Uninterruptible Power Supply/UPS/
無定形 [むていけい] /(adj-na,n) amorphous/shapeless/
無定形炭素 [むていけいたんそ] /(n) amorphous carbon/
無定見 [むていけん] /(adj-na,n) lacking fixed principles or opinions/
無抵抗 [むていこう] /(adj-na,n) nonresistance/
無抵抗主義 [むていこうしゅぎ] /(n) (the principle of) nonresistance/
無敵 [むてき] /(adj-na,n,adj-no) invincible/unrivaled/unrivalled/
無敵艦隊 [むてきかんたい] /(n) Spanish Armada/invincible armada/
無鉄砲 [むてっぽう] /(adj-na,n) rash/reckless/
無店舗型 [むてんぽがた] /(n,adj-no) non-store operation, i.e. operating from home, hotel, etc./
無店舗販売 [むてんぽはんばい] /(n) non-store retailing (e.g. Internet, mail-order, etc.)/
無点 [むてん] /(n) (1) kanji without kanbun assistance markings/(2) poetry, haiku, etc. without comments or corrections/(adj-na) (3) meaningless/incomprehensible/
無点本 [むてんぼん] /(n) Chinese classic without reading aids/book without reading aids/
無電 [むでん] /(n) (abbr) wireless/
無土器時代 [むどきじだい] /(n) (obsc) preceramic period/
無党派 [むとうは] /(n) political independents/
無党派層 [むとうはそう] /(n) unaffiliated voters/floating voters/swinging voters/(P)/
無投票 [むとうひょう] /(n) without a vote/(P)/
無東西 [むとうざい] /(n) (1) not knowing one's bearings/being disorientated/(2) itinerant monk/pilgrim/
無灯 [むとう] /(n,adj-no) without lights/
無灯火 [むとうか] /(n) without lights/
無答責 [むとうせき] /(n) lack of responsibility/absence of liability/
無糖 [むとう] /(n,adj-no) sugarless/unsweetened/
無統制 [むとうせい] /(adj-na,n) uncontrolled/
無道 [むどう] /(adj-na,n) wicked/unreasonable/
無得点 [むとくてん] /(n) scoreless (game or competition)/(P)/
無徳 [むとく] /(n,adj-na,adj-no) (1) virtueless/(2) (arch) poor/
無毒 [むどく] /(adj-na,n,adj-no) nonpoisonous/
無届 [むとどけ] /(n) (1) without notice/without leave (e.g. absence)/(2) unregistered/unreported (e.g. marriage, business, etc.)/
無届け [むとどけ] /(n) (1) without notice/without leave (e.g. absence)/(2) unregistered/unreported (e.g. marriage, business, etc.)/(P)/
無頓着 [むとんじゃく] /(adj-na,n) indifferent/do not care about/
無頓着 [むとんちゃく] /(adj-na,n) indifferent/do not care about/
無難 [ぶなん] /(adj-na,n) safety/security/(P)/
無二 [むに] /(n,adj-no) peerless/matchless/
無二無三 [むにむさん] /(n,adj-no) (1) in earnest/single-minded/with intense concentration/rushing headlong into/(2) one and only/unique/
無二無三 [むにむざん] /(n,adj-no) (1) in earnest/single-minded/with intense concentration/rushing headlong into/(2) one and only/unique/
無尿 [むにょう] /(n) anuria/
無任所 [むにんしょ] /(n,adj-no) lacking a portfolio (of a minister of state, etc.)/
無任所大臣 [むにんしょだいじん] /(n) minister without a portfolio/
無認可 [むにんか] /(adj-na) unapproved/lack of approval/
無認識 [むにんしき] /(adj-na) unrecognized/unrecognised/lack of recognition/
無熱 [むねつ] /(n,adj-no) normal temperature/
無念 [むねん] /(adj-na,n) (1) chagrin/regret/(2) (Buddh) free from obstructive thoughts/(P)/
無念がる [むねんがる] /(v5r,vi) to regret/
無念千万 [むねんせんばん] /(n,adj-na) being really disappointed/feeling utterly mortified/being deeply vexed/
無念無想 [むねんむそう] /(n) free from worldly or worthless thoughts/
無能 [むのう] /(adj-na,n,adj-no) inefficiency/incompetence/(P)/
無能者 [むのうしゃ] /(n) incompetent (person)/
無能無策 [むのうむさく] /(n) ineptitude and inaction/being incapable of devising any appropriate measures to cope with the situation/
無能力 [むのうりょく] /(adj-na,n) incompetence/inability/disability/
無能力者 [むのうりょくしゃ] /(n) (legally) incompetent/
無農薬 [むのうやく] /(adj-no) pesticide-free/non-chemical/organic/
無農薬栽培 [むのうやくさいばい] /(n) organic farming/organic cultivation/farming without pesticides/
無農薬農法 [むのうやくのうほう] /(n) organic farming/
無農薬野菜 [むのうやくやさい] /(n) organically produced vegetables/
無派 [むは] /(n) belonging to no party or school of thought/
無派閥 [むはばつ] /(adj-no) belonging to no (political) faction/
無敗 [むはい] /(adj-no,n) undefeated/
無配 [むはい] /(n,adj-no) without dividend/(P)/
無配会社 [むはいがいしゃ] /(n) non-dividend-paying company/
無配当 [むはいとう] /(n) paying no dividend/
無配当保険 [むはいとうほけん] /(n) non-participating insurance/
無反動銃 [むはんどうじゅう] /(n) recoiless rifle/
無反動砲 [むはんどうほう] /(n) recoilless rifle/recoilless gun/
無批判 [むひはん] /(adj-na,n) uncritically/
無比 [むひ] /(adj-na,n,adj-no) peerless/unparalleled/unparallelled/
無尾類 [むびるい] /(n) anurans (tailless amphibians)/
無筆 [むひつ] /(n) illiteracy/
無謬 [むびゅう] /(n,adj-no) infallibility/inerrancy/
無表情 [むひょうじょう] /(adj-na,n) expressionless/
無病 [むびょう] /(adj-na,n) in sound health/
無病息災 [むびょうそくさい] /(n) sound health/
無風 [むふう] /(n,adj-no) calm/windless/(P)/
無風帯 [むふうたい] /(n) calm belt or zone/
無風流 [ぶふうりゅう] /(adj-na,n) lack of refinement/inelegance/want of artistic taste/lack of poetic sense/
無分別 [むふんべつ] /(adj-na,n) thoughtlessness/indiscretion/
無文字社会 [むもじしゃかい] /(n) pre-literate society/non-literate society/
無変換 [むへんかん] /(n) (comp) impossible conversion/
無辺 [むへん] /(adj-na,n) infinite/boundless/
無辺際 [むへんさい] /(adj-na,n) infinite/boundless/
無辺際 [むへんざい] /(adj-na,n) infinite/boundless/
無保証 [むほしょう] /(n) unguaranteed/without a guarantee/
無報酬 [むほうしゅう] /(n) free of charge/gratuitous/without pay/(P)/
無法 [むほう] /(n) (1) lawlessness/injustice/wrong/outrage/(adj-na,adj-no) (2) outrageous/lawless/disorderly/unjust/unreasonable/(P)/
無法国家 [むほうこっか] /(n) rogue nation/rogue state/
無法者 [むほうしゃ] /(n) outlaw/
無法者 [むほうもの] /(n) outlaw/
無法状態 [むほうじょうたい] /(n) lawlessness/
無法地帯 [むほうちたい] /(n) lawless area (district)/
無帽 [むぼう] /(n,adj-no) bare-headed/uncovered head/
無暴 [むぼう] /(iK) (adj-na,n) reckless/thoughtless/recklessness/
無謀 [むぼう] /(adj-na,n) reckless/thoughtless/recklessness/(P)/
無防備 [むぼうび] /(adj-na,n,adj-no) defenseless/defenceless/
無防備都市 [むぼうびとし] /(n) open city/defenseless city/
無防備都市宣言 [むぼうびとしせんげん] /(n) open city declaration/
無味 [むみ] /(adj-na,n,adj-no) lacking taste/dull/
無味乾燥 [むみかんそう] /(adj-na,n) dull and uninteresting/cut-and-dried/
無味無臭 [むみむしゅう] /(adj-no) tasteless and odorless/bland/
無味無臭無色 [むみむしゅうむしょく] /(adj-no) tasteless, odorless and colorless/
無矛盾性 [むむじゅんせい] /(n) consistency (of an axiomatic system)/
無名 [むめい] /(n,adj-no) unsigned/nameless/anonymous/anonymity/(P)/
無名骨 [むめいこつ] /(n) (arch) hipbone/innominate bone/
無名指 [むめいし] /(n) the ring finger/
無名氏 [むめいし] /(n) anonymous person/a nobody/
無名戦士 [むめいせんし] /(n) unknown soldier/
無明 [むみょう] /(n) (Buddh) avidya (ignorance)/
無明長夜 [むみょうじょうや] /(n) the long night of spiritual darkness/
無銘 [むめい] /(n,adj-no) unsigned/without a signature/
無免許 [むめんきょ] /(n) unlicensed/(P)/
無免許運転 [むめんきょうんてん] /(n) driving without a license (licence)/
無毛 [むもう] /(n,adj-no) hairless/
無目的 [むもくてき] /(adj-na,adj-no,n) purposeless/aimless/
無役 [むやく] /(adj-no,n) (1) lacking a role/lacking responsibilities/(2) duty-free/tax-free/
無有 [むう] /(n) nonexistence or existence/absence or presence/
無遊病 [むゆうびょう] /(n) somnambulism/sleep-walking/
無様 [ぶざま] /(adj-na,n) unshapely/unsightly/clumsy/unpresentable/uncouth/
無用 [むよう] /(adj-na,n,adj-no) useless/futility/needlessness/unnecessariness/(P)/
無用の長物 [むようのちょうぶつ] /(exp) useless object/deadwood/white elephant/boondoggle/
無用心 [ぶようじん] /(adj-na,n) insecurity/carelessness/
無羊膜類 [むようまくるい] /(n) anamniotes/
無葉蘭 [むようらん] /(n) (uk) Lecanorchis japonica (species of saprophytic orchid)/
無慾 [むよく] /(adj-na,n,adj-no) unselfish/disinterested/unavaricious/free of avarice/
無欲 [むよく] /(adj-na,n,adj-no) unselfish/disinterested/unavaricious/free of avarice/(P)/
無欲無私 [むよくむし] /(n) unselfish and impartial (disinterested)/
無欲恬淡 [むよくてんたん] /(uK) (adj-na,adj-no,adj-t,adv-to,n) indifferent to worldly gain/
無頼 [ぶらい] /(n,adj-na,adj-no) (1) hoodlum/scoundrel/ruffian/tough/villain/(2) villainy/(3) without relying on others/without asking for help/
無頼の徒 [ぶらいのと] /(n) gang of rowdies/
無頼漢 [ぶらいかん] /(n) ruffian/villain/scoundrel/
無利子 [むりし] /(n) (earning or paying) no interest/(P)/
無利息 [むりそく] /(n) (earning or paying) no interest/
無利息公債 [むりそくこうさい] /(n) non interest-bearing bond/
無利息債務 [むりそくさいむ] /(n) passive debt/
無利息証券 [むりそくしょうけん] /(n) non interest-bearing securities/
無理 [むり] /(adj-na,n,vs) unreasonable/impossible/overdoing/(P)/
無理からぬ [むりからぬ] /(adj-pn) reasonable/natural/
無理が通れば道理が引っ込む [むりがとおればどうりがひっこむ] /(exp) (id) Where might is master, justice is servant/
無理のない [むりのない] /(exp) natural/reasonable/understandable/
無理はない [むりはない] /(exp) (to be) natural/(to be) understandable/
無理もない [むりもない] /(exp) (to be) natural/(to be) understandable/
無理も無い [むりもない] /(exp) (to be) natural/(to be) understandable/
無理やり [むりやり] /(adv,n) forcibly/against one's will/(P)/
無理を言う [むりをいう] /(exp,v5u) to ask a big favour/to ask unreasonable things/to be unreasonable/
無理圧状 [むりおうじょう] /(n) forcing compliance/
無理往生 [むりおうじょう] /(n) forcing compliance/
無理押し [むりおし] /(n,vs) by force/
無理解 [むりかい] /(adj-na,n) lack of understanding or sympathy/
無理関数 [むりかんすう] /(n) irrational function/
無理強い [むりじい] /(n,vs) compulsion/insistence/pressure/extortion/
無理遣り [むりやり] /(adv,n) forcibly/against one's will/
無理算段 [むりさんだん] /(n,vs) scraping together (a sum of money)/raising (a sum of money) by straining one's credit/
無理式 [むりしき] /(n) irrational expression/
無理心中 [むりしんじゅう] /(n,vs) forced double suicide/
無理数 [むりすう] /(n) (math) irrational number/
無理難題 [むりなんだい] /(n) an unreasonable demand/
無理非道 [むりひどう] /(n,adj-na) unreasonable and unjust/unconscionable/
無理方程式 [むりほうていしき] /(n) irrational equation/
無理無体 [むりむたい] /(adj-na,n) by force/
無理矢理 [むりやり] /(ateji) (adv,n) forcibly/against one's will/(P)/
無慮 [むりょ] /(adv) approximately/
無料 [むりょう] /(n,adj-no) free/no charge/(P)/
無料インターネット接続 [むりょうインターネットせつぞく] /(n) free Internet access/
無料体験 [むりょうたいけん] /(n) free trial (e.g. of software, game, etc.)/
無料電話相談 [むりょうでんわそうだん] /(n) free phone consultation/free phone consultation service/
無量 [むりょう] /(n,adj-no) immeasurable/(P)/
無量義経 [むりょうぎきょう] /(n) Sutra of Immeasurable Meanings/
無量寿経 [むりょうじゅきょう] /(n) Sutra of Immeasurable Life/
無量大数 [むりょうたいすう] /(n) 10^68 (or 10^88)/
無量無辺 [むりょうむへん] /(n,adj-no) immense and limitless/
無力 [むりょく] /(adj-na,n,adj-no) powerlessness/helplessness/incompetent/(P)/
無力感 [むりょくかん] /(n) sense of helplessness/(P)/
無類 [むるい] /(adj-na,n,adj-no) matchless/unequalled/unequaled/
無類力士 [むるいりきし] /(n) sumo wrestler of grand champion quality but without the title/
無礼 [ぶれい] /(adj-na,n) impolite/rude/(P)/
無礼講 [ぶれいこう] /(n,vs) putting aside rank/free and easy (party)/
無礼者 [ぶれいもの] /(n) insolent fellow/rude fellow/
無礼千万 [ぶれいせんばん] /(adj-na) extremely rude (impertinent, impolite)/
無論 [むろん] /(adv) of course/naturally/(P)/
無愧 [むき] /(n,adj-na) shameless/
無愧 [むぎ] /(n,adj-na) shameless/
無慙 [むざん] /(adj-na,n) cruelty/atrocity/cold-bloodedness/tragedy/misery/
無慚 [むざん] /(adj-na,n) cruelty/atrocity/cold-bloodedness/tragedy/misery/
無礙 [むげ] /(adj-na,n) free from obstacles/
無翅昆虫 [むしこんちゅう] /(n) apterygote (wingless insect)/
無翅昆虫類 [むしこんちゅうるい] /(n) apterygotes (wingless insects)/
無翅類 [むしるい] /(n) apterygotes (wingless insects)/
無聊 [ぶりょう] /(adj-na,n) boredom/ennui/
無辜 [むこ] /(n,adj-no) innocent/blameless/
無釉 [むゆう] /(adj-no) unglazed (e.g. pottery)/
牟子 [ぼうし] /(n) cap worn by masked dancer (cap covers hair and nape and reaches to the shoulders)/
牟尼 [むに] /(n) (1) (hon) muni (Indian ascetic or sage)/(2) Buddha/
矛 [ほこ] /(n) (1) long-handled Chinese spear/lance/pike/(2) weapon/arms/(3) grip of a bow/(P)/
矛盾 [むじゅん] /(n,vs,adj-no) contradiction/inconsistency/(P)/
矛盾データ [むじゅんデータ] /(n) (comp) inconsistent data/
矛盾原理 [むじゅんげんり] /(n) principle of contradiction (logic)/
矛盾語法 [むじゅんごほう] /(n,adj-no) oxymoron/
矛盾撞着 [むじゅんどうちゃく] /(n,vs) self-contradiction/
矛盾律 [むじゅんりつ] /(n) law of contradiction (logic)/
矛杉 [ほこすぎ] /(n) spear-shaped Japanese cedar/
矛先 [ほこさき] /(n) (1) point of spear/(2) brunt/aim of attack/force of argument/(P)/
矛偏 [ほこへん] /(n) kanji "spear" radical at left/
霧 [きり] /(n) (1) fog/mist/(2) spray/(P)/
霧に覆われる [きりにおおわれる] /(exp,v1) to be enveloped in mist/
霧に包まれる [きりにつつまれる] /(exp,v1) to be shrouded in mist/
霧雨 [きりさめ] /(n) drizzle/light rain/(P)/
霧雲 [きりぐも] /(n) fog-like cloud/high fog/stratus cloud/
霧散 [むさん] /(n,vs) dispersing/vanishing/
霧消 [むしょう] /(n,vs) vanishing like mist/
霧状 [きりじょう] /(n,adj-no) spray/mist (not meteorological)/
霧吹き [きりふき] /(n) spray/atomizer/atomiser/
霧雪 [むせつ] /(n) snow grain/
霧中 [むちゅう] /(n) in the fog/
霧中信号 [むちゅうしんごう] /(n) fog signal/
霧笛 [むてき] /(n) foghorn/
霧箱 [きりばこ] /(n) cloud chamber/
霧氷 [むひょう] /(n) rime/hoarfrost/silver frost/
霧雰 [むふん] /(n) misty air/
椋 [むく] /(n) (uk) Aphananthe oriental elm (Aphananthe aspera)/mukutree/
椋 [むくのき] /(n) (uk) Aphananthe oriental elm (Aphananthe aspera)/mukutree/
椋の木 [むくのき] /(n) (uk) Aphananthe oriental elm (Aphananthe aspera)/mukutree/
椋鳥 [むくどり] /(n) (1) (uk) grey starling (gray)/white-cheeked starling (Sturnus cineraceus)/(2) starling (any bird of family Sturnidae)/(3) bumpkin/gullible person/(4) sixty-nine (sexual position)/
椋木 [むくのき] /(n) (uk) Aphananthe oriental elm (Aphananthe aspera)/mukutree/
婿 [むこ] /(n) (1) husband/groom/(2) (one's) son-in-law/(P)/
婿取り [むことり] /(n) adopting a son-in-law into one's family/marrying off one's daughter/
婿選び [むこえらび] /(n) search for a husband for one's daughter/
婿入 [むこいり] /(n,vs) being adopted into the family of one's bride/
婿入り [むこいり] /(n,vs) being adopted into the family of one's bride/
婿養子 [むこようし] /(n) son-in-law taken (adopted) into family/
娘 [じょう] /(n) (1) unmarried woman/(n-suf) (2) (after a name) Miss/(3) (after a line of work) -ess/-ette/
娘 [むすめ] /(n) (1) (my) daughter/(2) girl (i.e. a young, unmarried woman)/(P)/
娘さん [むすめさん] /(n) (hon) daughter/
娘核 [じょうかく] /(n) daughter nucleus/
娘御 [むすめご] /(n) (1) (arch) girl/young (unmarried) woman/
娘細胞 [じょうさいぼう] /(n) daughter cell/
娘細胞 [むすめさいぼう] /(n) daughter cell/
娘子 [じょうし] /(n) (1) (arch) girl/young (unmarried) woman/(2) (grown) woman/lady/(3) (someone else's) wife/
娘子 [むすめご] /(n) (1) (arch) girl/young (unmarried) woman/
娘子軍 [じょうしぐん] /(n) Amazonian troops/Amazons/
娘心 [むすめごころ] /(n) girlish mind/girlish innocence/
娘盛り [むすめざかり] /(n) bloom of youth/prime of girlhood/
娘分 [むすめぶん] /(n) (1) treating somebody as one's own daughter/someone who is treated as a daughter/(2) (arch) woman who manages geisha (Edo period)/
娘婿 [むすめむこ] /(n) adopted son-in-law/(P)/
娘役 [むすめやく] /(n) female part or role (drama, kabuki, etc.)/
冥々 [めいめい] /(adj-na,n,adj-no) dark/invisible/divine/
冥い [くらい] /(adj-i) (1) (uk) dark/gloomy/(2) dark (in colour)/dull/(3) depressed/dispirited/(4) sorrowful/bitter (as in a dark past)/(5) unclear/unfamiliar/unknown/
冥き途 [くらきみち] /(n) Hades/underworld/realm of the dead/other world/
冥暗 [めいあん] /(n) gloom/shade/
冥闇 [めいあん] /(n) gloom/shade/
冥王星 [めいおうせい] /(n) Pluto (dwarf planet)/
冥加 [みょうが] /(adj-na,n) (Buddh) divine protection or blessing/
冥加に余る [みょうがにあまる] /(exp,v5r) to receive too many blessings/to be excessively favoured/to be too good for/
冥加金 [みょうがきん] /(n) monetary offering/
冥界 [めいかい] /(n) hades/realm of the dead/
冥境 [めいきょう] /(n) shades of the dead/
冥色 [めいしょく] /(n) evening twilight/
冥想 [めいそう] /(n,vs) meditation/contemplation/
冥途 [めいど] /(n) (Buddh) Hades/the underworld/the other world/realm of the dead/
冥土 [めいど] /(n) (Buddh) Hades/the underworld/the other world/realm of the dead/
冥漠 [めいばく] /(n,adj-na) dim and distant/
冥罰 [めいばつ] /(n) retribution/divine punishment/
冥府 [めいふ] /(n) hades/realm of the dead/sheol/
冥福 [めいふく] /(n) happiness in the next world/
冥冥 [めいめい] /(adj-na,n,adj-no) dark/invisible/divine/
冥利 [みょうり] /(n) providence/luck/favor/favour/advantage/
冥利がつきる [みょうりがつきる] /(exp,v1) to be frowned upon by Fortune/
冥利が尽きる [みょうりがつきる] /(exp,v1) to be frowned upon by Fortune/
冥利につきる [みょうりにつきる] /(exp,v1) to get more blessing than one deserves/
冥利に尽きる [みょうりにつきる] /(exp,v1) to get more blessing than one deserves/
名 [な] /(n) name/reputation/(P)/
名 [めい] /(ctr) (1) (hon) counter for people (usu. seating, reservations and such)/(n) (2) first name/(pref) (3) famous/great/(suf) (4) name/
名が泣く [ながなく] /(exp,v5k) to not be worthy of the reputation (e.g. restaurant, Diet member, etc.)/
名が挙がる [ながあがる] /(exp,v5r) to become famous/
名が響く [ながひびく] /(exp,v5k) (obsc) to be famous/to be well-known/
名だたる [なだたる] /(adj-pn) famous/notorious/noted/
名づける [なづける] /(v1,vt) to name (someone)/
名にし負う [なにしおう] /(exp,v5u) to be famous/to be celebrated/to be worthy of the name/
名に負う [なにおう] /(exp,v5u) to be famous/to be celebrated/to be worthy of the name/
名のる [なのる] /(v5r,vi) to call oneself (name, label, etc.)/to give one's name (as)/to impersonate or claim (to be someone)/
名の無い星は宵から出る [なのないほしはよいからでる] /(exp) (id) The worst goes foremost/
名は体を表す [なはたいをあらわす] /(exp,v5s) (id) Names and natures do often agree/
名ばかり [なばかり] /(adj-no) (something) in name only/
名ばかりの王 [なばかりのおう] /(n) a king in name only/
名まえ [なまえ] /(n) (1) name/full name/(2) given name/first name/
名もない [なもない] /(adj-i) unknown/obscure/insignificant/
名もない人 [なもないひと] /(n) nobody/nameless (insignificant) person/
名も無い [なもない] /(adj-i) unknown/obscure/insignificant/
名も無い人 [なもないひと] /(n) nobody/nameless (insignificant) person/
名をあげる [なをあげる] /(exp,v1) to gain fame/to make one's name/
名をはせる [なをはせる] /(exp,v1) to win fame/to be widely-known/to be well known/to make a name for oneself/
名を汚す [なをけがす] /(exp,v5s) to shame the name (of)/to blot the reputation (of)/
名を挙げる [なをあげる] /(exp,v1) to gain fame/to make one's name/
名を現す [なをあらわす] /(exp,v5s) to distinguish oneself/
名を残す [なをのこす] /(exp,v5s) to be remembered/to go down in history/
名を捨てて実を取る [なをすててじつをとる] /(exp) profit is better than fame/
名を取る [なをとる] /(exp,v5r) to become famous/
名を上げる [なをあげる] /(exp,v1) to gain fame/to make one's name/
名を成す [なをなす] /(exp,v5s) to become famous/to make a name for oneself/
名を馳せる [なをはせる] /(exp,v1) to win fame/to be widely-known/to be well known/to make a name for oneself/
名を売る [なをうる] /(exp,v5r) to gain a reputation/to make oneself famous/
名を表す [なをあらわす] /(exp,v5s) to distinguish oneself/
名を揚げる [なをあげる] /(exp,v1) to gain fame/to make one's name/
名を連ねる [なをつらねる] /(exp,v1) to have one's name entered (in a list)/
名宛 [なあて] /(n) address (on an envelope)/
名宛人 [なあてにん] /(n) addressee/
名案 [めいあん] /(n) good idea/(P)/
名医 [めいい] /(n) noted doctor/excellent physician/
名越しの祓 [なごしのはらえ] /(n) summer purification rites (held at shrines on the last day of the 6th lunar month)/
名演 [めいえん] /(n) fine performance/tour de force/
名演技 [めいえんぎ] /(n) fine performance/tour de force/
名家 [めいか] /(n) distinguished family/
名歌 [めいか] /(n) excellent or famous poem/
名花 [めいか] /(n) celebrated flower/beautiful woman/
名菓 [めいか] /(n) excellent cake/cake of an established name/
名画 [めいが] /(n) famous picture/masterpiece/(P)/
名鑑 [めいかん] /(n) directory/list/
名器 [めいき] /(n,adj-no) rare or famous utensil or instrument/
名寄 [なよせ] /(n,vs) (1) aggregation of names, addresses, etc./(2) collation of accounts held by the same person (by financial institutions)/
名寄せ [なよせ] /(n,vs) (1) aggregation of names, addresses, etc./(2) collation of accounts held by the same person (by financial institutions)/
名機 [めいき] /(n) high-performance machine, airplane, etc./
名妓 [めいぎ] /(n) talented or beautiful geisha/
名義 [めいぎ] /(n) (1) name/(n-suf) (2) in the name of/(P)/
名義で [めいぎで] /(exp) in someone (else's) name/
名義書き換え [めいぎかきかえ] /(n) stock transfer/
名義書換 [めいぎかきかえ] /(n) a transfer/
名義人 [めいぎにん] /(n) holder of a title deed/stock holder/lease holder/
名曲 [めいきょく] /(n) famous music/(P)/
名吟 [めいぎん] /(n) outstanding tanka or haiku or poem/
名句 [めいく] /(n) famous saying/noted haiku/
名君 [めいくん] /(n) wise ruler/enlightened monarch/benevolent lord/
名月 [めいげつ] /(n) (1) harvest moon/(P)/
名剣 [めいけん] /(n) famous sword/excellent sword/
名犬 [めいけん] /(n) fine dog/
名言 [めいげん] /(n) wise saying/
名古屋 [なごや] /(n) Nagoya (city)/
名古屋場所 [なごやばしょ] /(n) Nagoya (July) sumo tournament/
名古屋帯 [なごやおび] /(n) common variety of women's kimono sash/
名工 [めいこう] /(n) craftsman/skilled artisan/
名広め [なびろめ] /(n) announcing the succession to another's stage name/
名香 [めいこう] /(n) fine incense/
名高い [なだかい] /(adj-i) famous/celebrated/well-known/(P)/
名号 [みょうごう] /(n) name of a or the Buddha/
名告る [なのる] /(v5r,vi) to call oneself (name, label, etc.)/to give one's name (as)/to impersonate or claim (to be someone)/
名作 [めいさく] /(n) masterpiece/(P)/
名作選 [めいさくせん] /(n) selection of masterpieces/
名札 [なふだ] /(n) name plate/name tag/label/(P)/
名山 [めいざん] /(n) famous mountain/
名産 [めいさん] /(n) noted product/local specialty/
名産地 [めいさんち] /(n) location famous for production of something (usually food)/
名残 [なごり] /(n) (1) remains/traces/vestiges/relics/(2) (the sorrow of) parting/(3) end/(P)/
名残の雪 [なごりのゆき] /(n) (1) lingering snow/(2) snowfall at the end of the winter or the beginning of spring/
名残り [なごり] /(io) (n) (1) remains/traces/vestiges/relics/(2) (the sorrow of) parting/(3) end/
名残りの雪 [なごりのゆき] /(n) (1) lingering snow/(2) snowfall at the end of the winter or the beginning of spring/
名残り惜しい [なごりおしい] /(adj-i) regret (at parting)/reluctance (to part)/
名残り雪 [なごりゆき] /(n) (1) lingering snow/(2) snowfall at the end of the winter or the beginning of spring/
名残惜しい [なごりおしい] /(adj-i) regret (at parting)/reluctance (to part)/(P)/
名残雪 [なごりゆき] /(n) (1) lingering snow/(2) snowfall at the end of the winter or the beginning of spring/
名刺 [めいし] /(n) business card/(P)/
名刺受け [めいしうけ] /(n) (business) card tray/
名刺大 [めいしだい] /(n,adj-no) business-card size/
名刺入れ [めいしいれ] /(n) (business) card case/
名刺判 [めいしばん] /(n) 8.3 x 5.4 cm photograph (size)/
名士 [めいし] /(n) celebrity/personage/
名指し [なざし] /(n,vs) nomination/calling names/(P)/
名指す [なざす] /(v5s,vt) to name/to nominate/to call by name/
名詞 [なことば] /(ok) (n) (ling) noun/
名詞 [めいし] /(n) (ling) noun/(P)/
名詞の格 [めいしのかく] /(n) case of a noun/
名詞句 [めいしく] /(n) (ling) noun phrase/NP/
名詞止め [めいしどめ] /(n) ending a sentence with a noun/
名詞節 [めいしせつ] /(n) (ling) noun clause/nominal clause/
名詞相当語句 [めいしそうとうごく] /(n) noun equivalent (noun, pronoun, gerund, etc.)/substantive/
名詞的形容詞 [めいしてきけいようし] /(n) (ling) substantive adjective/
名詞法 [めいしほう] /(n) use of a verb or adjective conjugation (esp. ren'youkei) as a noun/
名字 [みょうじ] /(n,adj-no) surname/family name/(P)/
名字帯刀 [みょうじたいとう] /(n) the right to bear a surname and to wear a sword (during the Edo period)/
名辞 [めいじ] /(n) term/name/
名辞論理学 [めいじろんりがく] /(n) (obsc) term logic/
名実 [めいじつ] /(n) in name and in reality/nominally and virtually/form and contents/(P)/
名実ともに [めいじつともに] /(exp) both in name and reality/both in name and substance/
名実共に [めいじつともに] /(exp) both in name and reality/both in name and substance/
名実相伴う [めいじつあいともなう] /(exp,v5u) to be true to one's name/to live up to one's reputation/
名車 [めいしゃ] /(n) famous or exceptional car/
名主 [なぬし] /(n) (ktb:) village headman/
名取り [なとり] /(n) accredited master/
名手 [めいしゅ] /(n) expert/(P)/
名所 [などころ] /(n) (1) famous place/(2) name of a part (of an instrument, etc.)/(3) name and address/
名所 [めいしょ] /(n) (1) famous place/(P)/
名所旧跡 [めいしょきゅうせき] /(n) scenic and historic places/
名所古跡 [めいしょこせき] /(n) scenic sites and historic places/places of natural beauty and historic interest/
名勝 [めいしょう] /(n) place of scenic beauty/the sights/
名匠 [めいしょう] /(n) master craftsman/skillful worker/
名将 [めいしょう] /(n) great or famous commander/
名称 [めいしょう] /(n,adj-no) name/title/(P)/
名称を付ける [めいしょうをつける] /(exp,v1) to give a name (to something)/
名称集 [めいしょうしゅう] /(n) (comp) nomenclature/
名称変更 [めいしょうへんこう] /(n) (comp) name change/
名称領域 [めいしょうりょういき] /(n) (comp) title-domain/
名称領域名 [めいしょうりょういきめい] /(n) (comp) title-domain-name/
名乗り [なのり] /(n,vs) (1) name readings of kanji/(2) self-introduction/(3) announcement of candidature/(P)/
名乗り出る [なのりでる] /(v1,vi) to introduce oneself/to announce oneself (e.g. as the person sought)/to come forward (e.g. as a witness, with a claim, etc.)/(P)/
名乗る [なのる] /(v5r,vi) to call oneself (name, label, etc.)/to give one's name (as)/to impersonate or claim (to be someone)/(P)/
名場面 [めいばめん] /(n) famous (impressive) scene/
名状 [めいじょう] /(n) (1) description/(2) to describe/to depict/
名神高速道路 [めいしんこうそくどうろ] /(n) Meishin Expressway/
名親 [なおや] /(n) godparent/
名人 [めいじん] /(n) master/expert/(P)/
名人気質 [めいじんかたぎ] /(n) artist's or master's temperament/
名人芸 [めいじんげい] /(n) masterful performance/
名人戦 [めいじんせん] /(n) professional go (shogi) players' championship series/
名人肌 [めいじんはだ] /(n) artist's or master's temperament/
名数 [めいすう] /(n) (1) number of people/(2) denominate number/(3) the number at the start of phrases referring to well known 'somethings', equiv. to 'seven' in "the seven wonders of the world"/
名声 [めいせい] /(n) fame/reputation/renown/(P)/
名声を汚す [めいせいをけがす] /(exp,v5s) to defile one's reputation/to besmirch one's name/
名声赫々 [めいせいかくかく] /(adj-t,adv-to) of great renown/highly illustrious/at the zenith of one's fame/
名声赫々 [めいせいかっかく] /(adj-t,adv-to) of great renown/highly illustrious/at the zenith of one's fame/
名声赫赫 [めいせいかくかく] /(adj-t,adv-to) of great renown/highly illustrious/at the zenith of one's fame/
名声赫赫 [めいせいかっかく] /(adj-t,adv-to) of great renown/highly illustrious/at the zenith of one's fame/
名声嘖々 [めいせいさくさく] /(adj-t,adv-to) highly renowned/on everybody's lips/enjoying a high reputation/
名声嘖嘖 [めいせいさくさく] /(adj-t,adv-to) highly renowned/on everybody's lips/enjoying a high reputation/
名跡 [みょうせき] /(n) family name/
名跡 [めいせき] /(n) famous historic spot/
名折れ [なおれ] /(n) a disgrace/a blot/
名前 [なまえ] /(n) (1) name/full name/(2) given name/first name/(P)/
名前による代入 [なまえによるだいにゅう] /(n) (comp) assignment by name/
名前をつける [なまえをつける] /(exp,v1) to name/
名前を馳せる [なまえをはせる] /(v1) to win fame/to make a name for oneself/
名前を付ける [なまえをつける] /(exp,v1) to name/
名前コンテキスト [なまえコンテキスト] /(n) (comp) naming context/
名前解決 [なまえかいけつ] /(n) (comp) name resolution/
名前解析 [なまえかいせき] /(n) (comp) name resolution/
名前開始文字 [なまえかいしもじ] /(n) (comp) name start character/
名前空間 [なまえくうかん] /(n) namespace/
名前群 [なまえぐん] /(n) (comp) name group/
名前結合 [なまえけつごう] /(n) (comp) name association/
名前指定実体参照 [なまえしていじったいさんしょう] /(n) (comp) named entity reference/
名前指定文字参照 [なまえしていもじさんしょう] /(n) (comp) named character reference/
名前字句 [なまえじく] /(n) (comp) name token/
名前字句群 [なまえじくぐん] /(n) (comp) name token group/
名前集合 [なまえしゅうごう] /(n) (comp) name set/
名前付き [なまえつき] /(adj-f) (comp) named/labelled/labeled/
名前付きパイプ [なまえつきパイプ] /(n) (comp) named pipe/
名前付き定数 [なまえつきていすう] /(n) (comp) named constant/
名前負け [なまえまけ] /(n,vs) failing to live up to one's name/being beaten by one's name/
名前文字 [なまえもじ] /(n) (comp) name character/
名祖 [なおや] /(n,adj-no) eponym (word derived from the name of a place or person)/
名僧 [めいそう] /(n) noted or celebrated priest/
名僧知識 [めいそうちしき] /(n) great (learned) priest/celebrated priest who has attained spiritual enlightenment/
名代 [なだい] /(n) well-known/fame/
名代 [みょうだい] /(n) proxy/representative/
名題 [なだい] /(n) chief actor (e.g. of a kabuki play)/
名題役者 [なだいやくしゃ] /(n) chief (star) actor in a kabuki play/leading actors of a troupe/
名探偵 [めいたんてい] /(n) great detective/
名茶 [めいちゃ] /(n) fine tea/
名著 [めいちょ] /(n) famous book/masterpiece/(P)/
名店 [めいてん] /(n) well-known store/
名店街 [めいてんがい] /(n) street of well-known stores/
名刀 [めいとう] /(n) famous sword/excellent sword/
名投手 [めいとうしゅ] /(n) star pitcher/
名湯 [めいとう] /(n) well-known hot spring/
名答 [めいとう] /(n) correct answer/
名入れ [ないれ] /(n,vs) putting a name (self, company, etc.) on something (e.g. engraving, printing, etc.)/
名馬 [めいば] /(n) fine or famous horse/
名盤 [めいばん] /(n) famous (musical) recording/
名披露目 [なびろめ] /(n) announcing the succession to another's stage name/
名筆 [めいひつ] /(n) outstanding work of calligraphy/
名表 [なおもて] /(n) remains/traces/vestiges/memory/
名品 [めいひん] /(n) fine product/masterpiece/
名付ける [なづける] /(v1,vt) to name (someone)/(P)/
名付け親 [なづけおや] /(n,adj-no) godparent/
名物 [めいぶつ] /(n) famous product/special product/speciality/specialty/(P)/
名物料理 [めいぶつりょうり] /(n) local specialty/local special dish/
名分 [めいぶん] /(n) justification/just cause/moral duty/
名文 [めいぶん] /(n) famous literary composition/
名文家 [めいぶんか] /(n) fine writer/
名文句 [めいもんく] /(n) witty (happy, apt) remark/well-worded saying/epigram/aphorism/
名聞 [みょうもん] /(n) reputation/
名聞 [めいぶん] /(n) reputation/
名舗 [めいほ] /(n) quality shop/famous store/
名簿 [めいぼ] /(n) register of names/list of names/roll/register/(P)/
名簿式比例代表制 [めいぼしきひれいだいひょうせい] /(n) proportional representation system in which votes are cast for a publicly available list of party members or for individual members of that list/
名宝 [めいほう] /(n) famous treasure/noted treasure/
名峰 [めいほう] /(n) famous mountain/beautiful mountain/
名望 [めいぼう] /(n) reputation/renown/
名望家 [めいぼうか] /(n) person of great renown/
名無し [ななし] /(n) nameless/
名無しの権兵衛 [ななしのごんべえ] /(n) (arch) (col) John Doe (usu. used in jest)/a Mr. Nobody/
名木 [めいぼく] /(n) old trees of historical interest/
名目 [みょうもく] /(n,adj-no) (1) name/title/appellation/(something) nominal/(2) (under the) pretext (of)/pretense/
名目 [めいもく] /(n,adj-no) (1) name/title/appellation/(something) nominal/(2) (under the) pretext (of)/pretense/(P)/
名目ＧＤＰ [めいもくジーディーピー] /(n) nominal GDP/
名目経済成長率 [めいもくけいざいせいちょうりつ] /(n) nominal economic growth rate/
名目国民所得 [めいもくこくみんしょとく] /(n) nominal national income/
名目主義 [めいもくしゅぎ] /(n) tokenism/
名目上 [めいもくじょう] /(n) in name/on paper/
名目賃金 [めいもくちんぎん] /(n) nominal wages/
名目転送速度 [めいもくてんそうそくど] /(n) (comp) nominal transfer rate/
名目利子率 [めいもくりしりつ] /(n) nominal rate of interest/
名門 [めいもん] /(n,adj-no) noted family/noble family/(P)/
名門校 [めいもんこう] /(n) (sens) prestigious school/
名門大学 [めいもんだいがく] /(n) prestigious university/
名薬 [めいやく] /(n) effective or well-known medicine/
名訳 [めいやく] /(n) superlative translation/
名優 [めいゆう] /(n) great or famous actor/star/(P)/
名誉 [めいよ] /(adj-na,n) honor/honour/credit/prestige/(P)/
名誉ある退陣 [めいよあるたいじん] /(n) honorable withdrawal/honourable withdrawal/honorable retreat/honourable retreat/
名誉き損 [めいよきそん] /(n,adj-no) libel/defamation/slander/character assassination/
名誉会員 [めいよかいいん] /(n) honorary member/
名誉会長 [めいよかいちょう] /(n) honorary president/
名誉回復 [めいよかいふく] /(n) restoring one's impaired reputation/regaining one's honor/redeeming oneself/
名誉革命 [めいよかくめい] /(n) Glorious Revolution (1688-1689)/
名誉棄損 [めいよきそん] /(n,adj-no) libel/defamation/slander/character assassination/
名誉教授 [めいよきょうじゅ] /(n) emeritus professor/
名誉市民 [めいよしみん] /(n) honorary citizen/
名誉除隊 [めいよじょたい] /(n) honorable discharge/honourable discharge/
名誉職 [めいよしょく] /(n) honorary position/(P)/
名誉心 [めいよしん] /(n) desire for fame/
名誉挽回 [めいよばんかい] /(n) restoring one's impaired reputation/regaining one's honor/redeeming oneself/
名誉慾 [めいよよく] /(n) love of fame/
名誉毀損 [めいよきそん] /(n,adj-no) libel/defamation/slander/character assassination/
名容詞 [めいようし] /(n) (ling) (obsc) na-adjective/
名利 [みょうり] /(n) fame and fortune/
名利 [めいり] /(n) fame and fortune/
名立たる [なだたる] /(adj-pn) famous/notorious/noted/
名流 [めいりゅう] /(n) celebrities/notables/
名礼 [なれ] /(n) (comp) label (e.g. in programming languages)/
名論 [めいろん] /(n) excellent opinion/sound argument/
名論卓説 [めいろんたくせつ] /(n) excellent opinions and theories/
名刹 [めいさつ] /(n) famous temple/
命 [いのち] /(n) (mortal) life/(P)/
命 [みこと] /(n) (1) (after the name of a god or a noble) Lord/Highness/(2) (arch) (derog) you/
命 [みこと] /(n) (hon) the spoken words of the emperor or a noble/
命 [みょう] /(n) command/decree/life/destiny/
命 [めい] /(n) command/decree/life/destiny/(P)/
命からがら [いのちからがら] /(adv) for dear life/barely escaping alive/
命がけ [いのちがけ] /(n,adj-no) (1) risking one's life/(2) life and death/risky/desperate/(P)/
命じる [めいじる] /(v1,vt) to order/to command/to appoint/(P)/
命じ終わる [めいじおわる] /(v5r) to finish giving orders/
命ずる [めいずる] /(vz,vt) to command/to appoint/(P)/
命にかかわる [いのちにかかわる] /(exp,v5r) to be a matter of life or death/
命に依り [めいにより] /(n) under the orders of/by order (command)/
命に関わる [いのちにかかわる] /(exp,v5r) to be a matter of life or death/
命に係わる [いのちにかかわる] /(exp,v5r) to be a matter of life or death/
命に別条はない [いのちにべつじょうはない] /(exp) (id) (one's) life is not in danger/not life-threatening/
命の綱 [いのちのつな] /(n) the thread of life/
命の洗濯 [いのちのせんたく] /(exp,n) casting off the drudgery of everyday life and doing as one pleases/kicking back/
命はる [いのちはる] /(exp,v5r) to put one's life on the line/
命より名を貴ぶ [いのちよりなをたっとぶ] /(exp,v5b) to value honor above life/to value honour above life/
命をかける [いのちをかける] /(exp,v1) to put one's life on the line/to risk one's life/
命をはる [いのちをはる] /(exp,v5r) to put one's life on the line/
命を懸ける [いのちをかける] /(exp,v1) to put one's life on the line/to risk one's life/
命を捨てる [いのちをすてる] /(exp,v1) to give one's life/to lay down one's life/
命を縮める [いのちをちぢめる] /(exp,v1) to shorten one's life/
命を惜しむ [いのちをおしむ] /(exp,v5m) to hold one's life dear/to be reluctant to die/
命を張る [いのちをはる] /(exp,v5r) to put one's life on the line/
命を賭ける [いのちをかける] /(exp,v1) to put one's life on the line/to risk one's life/
命を保つ [いのちをたもつ] /(exp,v5t) to preserve life/
命を奉じる [めいをほうじる] /(exp,v1) to obey orders/
命を捧げる [いのちをささげる] /(exp,v1) to give one's life (e.g. in battle)/to devote one's life (e.g. to a cause)/
命を落とす [いのちをおとす] /(exp,v5s) to lose one's life/
命運 [めいうん] /(n) fate/doom/(P)/
命掛け [いのちがけ] /(oK) (n,adj-no) (1) risking one's life/(2) life and death/risky/desperate/
命懸け [いのちがけ] /(n,adj-no) (1) risking one's life/(2) life and death/risky/desperate/(P)/
命乞 [いのちごい] /(n,vs) begging for one's life/pleading for one's life/
命乞い [いのちごい] /(n,vs) begging for one's life/pleading for one's life/
命綱 [いのちづな] /(n) lifeline/
命根 [めいこん] /(n) life/
命取り [いのちとり] /(n,adj-no) fatal/
命拾い [いのちびろい] /(n,vs) narrow escape from death/
命辛々 [いのちからがら] /(adv) for dear life/barely escaping alive/
命辛々 [いのちがらがら] /(adv) for dear life/barely escaping alive/
命辛辛 [いのちからがら] /(adv) for dear life/barely escaping alive/
命辛辛 [いのちがらがら] /(adv) for dear life/barely escaping alive/
命数 [めいすう] /(n) span of life/destiny/
命数法 [めいすうほう] /(n) numeration system/
命題 [めいだい] /(n,adj-no) proposition/thesis/(P)/
命題関数 [めいだいかんすう] /(n) propositional (sentential) function/
命題論理 [めいだいろんり] /(n) propositional logic/
命題論理学 [めいだいろんりがく] /(n) propositional logic/
命旦夕に迫る [めいたんせきにせまる] /(exp,v5r) to be on the brink of death/
命知らず [いのちしらず] /(adj-na,n,adj-no) recklessness/daredevil/long-lasting/
命中 [めいちゅう] /(n,vs) a hit/hitting something that was aimed at/(P)/
命中数 [めいちゅうすう] /(n) number of hits/
命中弾 [めいちゅうだん] /(n) (direct) hit/straight shot/
命中率 [めいちゅうりつ] /(n) accuracy rate/
命張る [いのちはる] /(exp,v5r) to put one's life on the line/
命長ければ恥多し [いのちながければはじおおし] /(exp) (id) The longer you live, the more shame you suffer/
命日 [めいにち] /(n) death anniversary/(P)/
命婦 [みょうぶ] /(n) (arch) title for high-ranking court ladies/
命脈 [めいみゃく] /(n) life/thread of life/
命冥加 [いのちみょうが] /(adj-na,n) providential protection/
命名 [めいめい] /(n,vs,adj-no) naming/christening/(P)/
命名機関 [めいめいきかん] /(n) (comp) naming-authority/
命名規則 [めいめいきそく] /(n) (comp) naming rule/
命名式 [めいめいしき] /(n) christening (ceremony)/
命名日 [めいめいび] /(n) baptism day/name day/
命名副領域 [めいめいふくりょういき] /(n) (comp) naming-subdomain/
命名方法引数 [めいめいほうほうひきすう] /(n) (comp) naming rules parameter/
命名法 [めいめいほう] /(n) nomenclature/
命名領域 [めいめいりょういき] /(n) (comp) naming domain/
命有っての物種 [いのちあってのものだね] /(exp) (id) While there's life, there's hope/
命令 [めいれい] /(n,vs) (1) order/command/decree/directive/(2) (comp) (software) instruction/statement/(P)/
命令を下す [めいれいをくだす] /(exp,v5s) to give an order/
命令を伝える [めいれいをつたえる] /(exp,v1) to pass on an order/to pass the word/
命令アドレスレジスタ [めいれいアドレスレジスタ] /(n) (comp) instruction address register/program register/instruction pointer register/
命令コード [めいれいコード] /(n) (comp) Operation Code/opcode/
命令サイクル [めいれいサイクル] /(n) (comp) instruction cycle/
命令セット [めいれいセット] /(n) (comp) instruction set/
命令セットアーキテクチャ [めいれいセットアーキテクチャ] /(n) (comp) instruction set architecture/
命令ポインタレジスタ [めいれいポインタレジスタ] /(n) (comp) instruction address register/program register/instruction pointer register/
命令レジスタ [めいれいレジスタ] /(n) (comp) instruction register/
命令一下 [めいれいいっか] /(n) immediately/as soon as the order is given/
命令形 [めいれいけい] /(n) (ling) imperative form/command/
命令形式 [めいれいけいしき] /(n) (comp) instruction format/
命令口調 [めいれいくちょう] /(n) tone of command/authoritative tone/commanding tone/
命令再試行 [めいれいさいしこう] /(n) (comp) instruction execution retry/
命令実行段階 [めいれいじっこうだんかい] /(n) (comp) execution cycle/
命令取り出しサイクル [めいれいとりだしサイクル] /(n) (comp) fetch cycle/
命令取出し段階 [めいれいとりだしだんかい] /(n) (comp) instruction fetch cycle/
命令書 [めいれいしょ] /(n) decree/directive/
命令制御ユニット [めいれいせいぎょユニット] /(n) (comp) instruction control unit/
命令文 [めいれいぶん] /(n) (ling) imperative sentence/imperative statement/
命令法 [めいれいほう] /(n) (ling) imperative mood/
明 [さや] /(adv) (1) (arch) clearly/brightly/(2) cleanly/purely/
明 [みょう] /(n) (1) (Buddh) vidya (wisdom)/(2) mantra/(pref) (3) the coming (4th of July, etc.)/
明 [みん] /(n) Ming (dynasty of China, 1368-1644)/
明 [めい] /(n) (1) brightness/(2) clarity/acumen/(3) power of vision/
明々 [あかあか] /(adv) brightly lit/brightly lighted/lit up/lighted up/
明々と [あかあかと] /(adv) brilliantly/clearly/flaming/
明々後日 [しあさって] /(n-adv,n-t) (uk) (in) three days time (two days after tomorrow)/
明々白々 [めいめいはくはく] /(uK) (adj-na,adj-t,adv-to,n,adj-no) clearly evident/quite obvious/as clear as day/beyond any doubt/strikingly apparent/
明い [あかるい] /(io) (adj-i) (1) bright/colourful/(2) cheerful/(3) familiar (with)/knowledgeable (about)/(4) fair (e.g. politics)/clean/
明か [さやか] /(adj-na) (uk) clear/fresh/bright/
明かし [あかし] /(n) light (esp. as a religious offering)/lamp/
明かす [あかす] /(v5s,vt) (1) to pass (e.g. the night)/to spend/(2) to reveal/to divulge/(P)/
明かり [あかり] /(n) (1) light/illumination/glow/gleam/(2) lamp/light/(P)/
明かりを消す [あかりをけす] /(exp,v5s) to turn the lights off/
明かり採り [あかりとり] /(n) skylight/dormer/transom/dormer window/
明かり取り [あかりとり] /(n) skylight/dormer/transom/dormer window/
明かり障子 [あかりしょうじ] /(n) paper screen door for admitting light/
明かり窓 [あかりまど] /(n) transom/skylight/dormer window/
明かん [あかん] /(int,n) (uk) (ksb:) useless/no good/hopeless/
明き [あき] /(n) (1) space/room/emptiness/gap/(2) opening/vacancy/empty seat/(3) free time/time to spare/(4) disuse/unused thing/
明き家 [あきや] /(n) vacant house/unoccupied house/
明き巣 [あきす] /(n) (1) prowler/sneak thief/cat burglar/(2) empty nest/
明き盲 [あきめくら] /(n) (sens) illiterate or blind person/person who sees without understanding/amaurosis/
明く [あく] /(v5k,vi) (1) to open (e.g. doors)/(2) to open (e.g. business, etc.)/(3) to be empty/(4) to be vacant/to be available/to be free/(5) to be open (e.g. neckline, etc.)/(6) to have been opened (of one's eyes, mouth, etc.)/(7) to come to an end/(v5k,vt) (8) to open (one's eyes, mouth, etc.)/(v5k,vi) (9) to have a hole/to form a gap/to have an interval (between events)/
明くる [あくる] /(adj-pn) next/following/(P)/
明くる朝 [あくるあさ] /(n-t) next morning/
明くる朝 [あくるあした] /(n-t) next morning/
明くる日 [あくるひ] /(n-adv,n-t) next day/following day/(P)/
明くる年 [あくるとし] /(n-t) next year/
明け [あけ] /(n-t,adj-no,n-suf) (1) dawn/daybreak/(n-suf,n-pref) (2) end/soon after something has ended/(3) beginning (of a new year, month, etc.)/
明けがた [あけがた] /(n-adv,n-t) dawn/
明けっぱなし [あけっぱなし] /(adj-na,n) (1) leaving open/leaving ajar/(2) outspoken/frank/
明けっ広げ [あけっぴろげ] /(adj-na) unguarded/frank/open/
明けっ放し [あけっぱなし] /(adj-na,n) (1) leaving open/leaving ajar/(2) outspoken/frank/
明けておめでとうございます [あけておめでとうございます] /(int) (obsc) Happy New Year/
明けても暮れても [あけてもくれても] /(exp) day in and day out/all the time/
明けの明星 [あけのみょうじょう] /(n) Venus in the eastern morning sky/
明けましておめでとうございます [あけましておめでとうございます] /(int) Happy New Year/
明けやらぬ [あけやらぬ] /(adj-f) still dark/not yet dawn/
明ける [あける] /(v1,vt) (1) to open (a door, etc.)/to unwrap (e.g. parcel, package)/(2) to open (for business, etc.)/(3) to empty/to clear out/to make space/to make room/(v1,vi) (4) to dawn/to grow light/(5) to end/(P)/
明け烏 [あけがらす] /(n) (1) daybreak sound of a crow/(2) (name of) poetry anthology/
明け荷 [あけに] /(n) luggage trunk for sumo wrestlers and referees/wicker basket for sumo wrestler's belt, apron, etc./
明け広げ [あけひろげ] /(adj-na,n) (obsc) unguarded/frank/open/
明け残る [あけのこる] /(v5r,vi) to remain in the morning sky (i.e. the moon and stars)/
明け初める [あけそめる] /(v1) to dawn/
明け渡し [あけわたし] /(n) evacuation/surrender/
明け渡す [あけわたす] /(v5s,vt) to vacate/to surrender/
明け渡る [あけわたる] /(v5r,vi) to become daylight/
明け透け [あけすけ] /(adj-na,adv,n,adj-no) honest/open/frank/outspoken/
明け番 [あけばん] /(n) day off/off duty/
明け払う [あけはらう] /(v5u,vt) to open/to vacate/
明け暮れ [あけくれ] /(n-adv,n-t) morning and evening/all the time/(P)/
明け暮れる [あけくれる] /(v1,vi) to do nothing but/to spend all one's time doing/
明け放し [あけはなし] /(adj-na,adj-no,n) (1) leaving open/leaving ajar/(2) outspoken/frank/
明け放す [あけはなす] /(v5s,vt) to open wide (doors, windows, etc.)/to fling open/
明け放れる [あけはなれる] /(v1) to give way to the light of the morning (i.e. the darkness gives way)/
明け方 [あけがた] /(n-adv,n-t) dawn/(P)/
明け六つ [あけむつ] /(n-t) the sixth hour of the morning/
明し暮らす [あかしくらす] /(v5s) to spend one's days and nights doing .../
明らか [あきらか] /(adj-na,n) obvious/evident/clear/plain/(P)/
明らかにする [あきらかにする] /(exp,vs-i) to make clear/to clarify/to disclose/to make public/
明らかになる [あきらかになる] /(exp,v5r) (1) to become clear/(2) to be made public/
明らむ [あからむ] /(v5m,vi) to become luminous at dawn (esp. the sky)/
明らめる [あきらめる] /(v1,vt) to elucidate/to shed light on/to clarify/
明り [あかり] /(n) (1) light/illumination/glow/gleam/(2) lamp/light/
明りさき [あかりさき] /(n) source of light/
明りとり [あかりとり] /(n) skylight/dormer/transom/dormer window/
明りょう [めいりょう] /(n,adj-na) clarity/clearness/
明り取り [あかりとり] /(n) skylight/dormer/transom/dormer window/
明り先 [あかりさき] /(n) source of light/
明り窓 [あかりまど] /(n) transom/skylight/dormer window/
明る [あかる] /(v5r,vi) to become bright/to become clear/
明るい [あかるい] /(adj-i) (1) bright/colourful/(2) cheerful/(3) familiar (with)/knowledgeable (about)/(4) fair (e.g. politics)/clean/(P)/
明るさ [あかるさ] /(n) brightness/luminance/cheerfulness/
明るみ [あかるみ] /(adj-f,adv) (1) bright (place)/(2) into the light/
明るみにだす [あかるみにだす] /(exp,v5s) to make public/to bring to light/
明るみに出す [あかるみにだす] /(exp,v5s) to make public/to bring to light/
明るみに出る [あかるみにでる] /(exp,v1,vi) to come to light/
明るむ [あかるむ] /(v5m,vi) to brighten/to be refreshed/
明を失う [めいをうしなう] /(exp,v5u) to lose one's eyesight/
明暗 [めいあん] /(n) light and darkness/light and shade/(P)/
明暗を分ける [めいあんをわける] /(exp,v1) (1) to decide the outcome (e.g. game)/(2) to be very different/to be sharply contrasted/
明暗両面 [めいあんりょうめん] /(n) (both) the bright and dark sides/
明烏 [あけがらす] /(n) (1) daybreak sound of a crow/(2) (name of) poetry anthology/
明応 [めいおう] /(n) Meiou era (1492.7.19-1501.2.29)/
明王 [みょうおう] /(n) (Buddh) Wisdom King/
明荷 [あけに] /(n) luggage trunk for sumo wrestlers and referees/wicker basket for sumo wrestler's belt, apron, etc./
明解 [めいかい] /(adj-na,n) clear understanding/
明快 [めいかい] /(adj-na,n) clarion/clarity/(P)/
明確 [めいかく] /(adj-na) clear/precise/definite/distinct/(P)/
明確化 [めいかくか] /(n) (comp) definition/clarification/
明楽 [みんがく] /(n) Ming-era Chinese music (popularized in Japan during the early 17th century)/
明記 [めいき] /(n,vs) clear writing/specification/(P)/
明渠 [めいきょ] /(n) open ditch/
明鏡 [めいきょう] /(n) clear mirror/
明鏡止水 [めいきょうしすい] /(n) clear and serene (as a polished mirror and still water)/
明君 [めいくん] /(n) wise ruler/enlightened monarch/benevolent lord/
明月 [めいげつ] /(n) (1) harvest moon/(2) bright moon/full moon/
明言 [めいげん] /(n,vs) declaration/statement/(P)/
明後日 [あさって] /(n-adv,n-t) day after tomorrow/(P)/
明後日 [みょうごにち] /(n-adv,n-t) day after tomorrow/(P)/
明後年 [みょうごねん] /(n-adv,n-t) year after next/
明細 [めいさい] /(adj-na,n) (1) details/particulars/(n) (2) (abbr) detailed statement/(P)/
明細書 [めいさいしょ] /(n) detailed statement/detailed account/minute description/specifications/list of particulars/
明細表 [めいさいひょう] /(n) itemized account/itemised account/
明察 [めいさつ] /(n,vs) discernment/penetration/insight/intellectual acumen/
明視 [めいし] /(n,vs) clarity of vision/
明治 [めいじ] /(n) Meiji era (1868.9.8-1912.7.30)/(P)/
明治維新 [めいじいしん] /(n) Meiji Restoration/
明治期 [めいじき] /(n) Meiji period/
明治憲法 [めいじけんぽう] /(n) Meiji Constitution (Constitution of the Empire of Japan)/
明治座 [めいじざ] /(n) the Meijiza Theater/
明治時代 [めいじじだい] /(n) Meiji period (1868-1912)/
明治十四年の政変 [めいじじゅうよねんのせいへん] /(n) the failed Meiji-14 coup of 1881/
明治神宮 [めいじじんぐう] /(n) Meiji Shrine/
明治節 [めいじせつ] /(n) Emperor Meiji's birthday (November 3rd; national holiday held from 1927 to 1948)/
明治天皇 [めいじてんのう] /(n) Emperor Meiji/
明治二十七八年戦役 [めいじにじゅうしちはちねんせんえき] /(n) (obsc) Meiji 27-28 Campaign (alternate name for the First Sino-Japanese war; 1894-1895)/
明示 [めいじ] /(n,adj-no,vs) specification/explicit statement/(P)/
明示アドレシング [めいじアドレシング] /(n) (comp) explicit addressing/
明示アドレス指定 [めいじアドレスしてい] /(n) (comp) explicit addressing/
明示的 [めいじてき] /(adj-na) explicit/
明示的引用仕様 [めいじてきいんようしよう] /(n) (comp) explicit interface/
明示的順方向輻輳通知 [めいじてきじゅんほうこうふくそうつうち] /(n) (comp) explicit forward congestion indication/
明示的並列命令コンピューティング技術 [めいじてきへいれつめいれいコンピューティングぎじゅつ] /(n) (comp) EPIC:Explicitly Parallel Instruction Computing/
明示内容参照 [めいじないようさんしょう] /(n) (comp) explicit content reference/
明示範囲符 [めいじはんいふ] /(n) (comp) explicit scope terminator/
明示番地指定 [めいじばんちしてい] /(n) (comp) explicit addressing/
明示表現 [めいじひょうげん] /(n) (comp) explicit expression/
明示変換 [めいじへんかん] /(n) (comp) explicit conversion/
明示連結 [めいじれんけつ] /(n) (comp) explicit link (process definition)/
明示輻輳通知 [めいじふくそうつうち] /(n) (comp) explicit congestion notification/
明主 [めいしゅ] /(n) wise ruler/
明呪 [みょうじゅ] /(n) (Buddh) (obsc) mantra/
明春 [みょうしゅん] /(n-t) next spring/
明順応 [めいじゅんのう] /(n) light adaptation/
明初 [めいしょ] /(n) first year of Meiji era/
明証 [めいしょう] /(n,vs) proof/evidence/corroboration/
明色 [めいしょく] /(n) bright (light) colour (color)/
明神 [みょうじん] /(n) great god/gracious deity/miracle-working god/
明澄 [めいちょう] /(adj-na,n) lucidity/
明星 [みょうじょう] /(n) (1) morning star/Venus/(2) Lucifer/(3) preeminent person (within their own field)/star (of the stage, silver screen, etc.)/(P)/
明清楽 [みんしんがく] /(n) Ming & Xing-era Chinese music (as popularized in Japan before the First Sino-Japanese war)/
明石潟 [あかしがた] /(n) (uk) Camellia sasanqua 'Akasigata' (cultivar of Christmas camellia)/
明石焼 [あかしやき] /(n) (1) var. of pottery from Hyogo prefecture/(2) round balls made from eggs, flour, etc., (local food of Akashi)/
明石焼き [あかしやき] /(n) (1) var. of pottery from Hyogo prefecture/(2) round balls made from eggs, flour, etc., (local food of Akashi)/
明赤色 [めいせきしょく] /(adj-na) bright red/
明窓浄机 [めいそうじょうき] /(n) dustless desk by a well-lit window/well-lit and clean study conducive to learning/
明太 [めんたい] /(n) walleye pollack (Theragra chalcogramma) (kor: myeongtae)/Alaska pollack/
明太子 [めんたいこ] /(n) walleye pollack roe (generally served salted and spiced with red pepper)/
明代 [みんだい] /(n) Ming dinasty/
明達 [めいたつ] /(adj-na,n) wisdom/
明断 [めいだん] /(n,vs) clear or definite judgement (judgment)/
明徴 [めいちょう] /(n,vs) clarification/
明朝 [みょうちょう] /(n-adv,n-t) tomorrow morning/(P)/
明朝 [みんちょう] /(n) (1) Ming Dynasty/(2) (abbr) Ming-cho type(face)/
明朝体 [みんちょうたい] /(n) Ming-style typeface/Mincho/
明哲 [めいてつ] /(adj-na,n) wisdom/sagacity/wise man/
明哲保身 [めいてつほしん] /(n) wisdom and self-protection/wise and skilled in the art of self-protection/
明渡す [あけわたす] /(v5s,vt) to vacate/to surrender/
明度 [めいど] /(n) brightness/lightness/
明答 [めいとう] /(n,vs) definite answer/
明徳 [めいとく] /(n) (1) virtue/(2) Meitoku era (of the Northern Court) (1390.3.26-1392.10.5)/Meitoku era (of reunified Japan) (1392.10.5-1394.7.5)/
明日 [あした] /(n-t) tomorrow/(P)/
明日 [あす] /(n-t) tomorrow/(P)/
明日 [みょうにち] /(n-t) tomorrow/(P)/
明日の事を言えば鬼が笑う [あすのことをいえばおにがわらう] /(exp) (id) Nobody knows the morrow/
明日の百より今日の五十 [あすのひゃくよりきょうのごじゅう] /(exp) (id) A bird in the hand is worth two in the bush/
明日は明日の風が吹く [あしたはあしたのかぜがふく] /(exp) (id) Tomorrow will take care of itself/
明日葉 [あしたば] /(n) (uk) Angelica keiskei (species of angelica, a herb of the parsley family)/
明年 [みょうねん] /(n-adv,n-t) next year/(P)/
明年度 [みょうねんど] /(n-t) next (fiscal) year/
明白 [あからさま] /(ateji) (adj-na,adj-no) (uk) plain/frank/candid/open/direct/straightforward/unabashed/blatant/flagrant/
明白 [めいはく] /(adj-na) obvious/clear/plain/evident/apparent/explicit/overt/(P)/
明晩 [みょうばん] /(n-adv,n-t) tomorrow evening/(P)/
明美 [めいび] /(adj-na,n) picturesque/beautiful/
明敏 [めいびん] /(adj-na,n) intelligence/discernment/
明文 [めいぶん] /(n) statement (e.g. law)/
明文化 [めいぶんか] /(n,vs) stipulate/(P)/
明方 [あけがた] /(n-adv,n-t) dawn/
明明 [あかあか] /(adv) brightly lit/brightly lighted/lit up/lighted up/
明明と [あかあかと] /(adv) brilliantly/clearly/flaming/
明明後日 [しあさって] /(n-adv,n-t) (uk) (in) three days time (two days after tomorrow)/(P)/
明明白白 [めいめいはくはく] /(uK) (adj-na,adj-t,adv-to,n,adj-no) clearly evident/quite obvious/as clear as day/beyond any doubt/strikingly apparent/
明滅 [めいめつ] /(n,vs) flickering/blinking/
明盲 [あきめくら] /(io) (n) (sens) illiterate or blind person/person who sees without understanding/amaurosis/
明夜 [みょうや] /(n-adv,n-t) tomorrow night/
明了 [めいりょう] /(n,adj-na) clarity/clearness/
明亮 [めいりょう] /(n,adj-na) clarity/clearness/
明瞭 [めいりょう] /(n,adj-na) clarity/clearness/(P)/
明瞭度 [めいりょうど] /(n) articulation/
明暦 [めいれき] /(n) Meireki era (1655.4.13-1658.7.23)/
明朗 [めいろう] /(adj-na) bright/clear/cheerful/(P)/
明朗会計 [めいろうかいけい] /(n) clear accounting/honest accounting (billing)/transparent billing practices (in restaurant and bar charges, etc.)/
明朗快活 [めいろうかいかつ] /(n,adj-na) cheerful and openhearted/
明朗闊達 [めいろうかったつ] /(adj-na) upbeat and freehearted/cheerful and magnanimous/
明和 [めいわ] /(n) Meiwa era (1764.6.2-1772.11.16)/
明媚 [めいび] /(adj-na,n) beautiful/
明晰 [めいせき] /(adj-na) clear/distinct/
明晰夢 [めいせきむ] /(n) lucid dream (dreaming while knowing that you are dreaming)/
明眸 [めいぼう] /(n) bright or beautiful eyes/
明眸皓歯 [めいぼうこうし] /(exp,n) starry eyes and beautiful white teeth (said of beautiful women)/
盟う [ちかう] /(v5u,vt) to swear/to vow/to take an oath/to pledge/
盟を結ぶ [めいをむすぶ] /(exp,v5b) to form an alliance/
盟主 [めいしゅ] /(n) leader/leading power/(P)/
盟邦 [めいほう] /(n) ally/allied powers/
盟約 [めいやく] /(n,vs) oath/pledge/pact/covenant/(P)/
盟友 [めいゆう] /(n) sworn friend/(P)/
迷い [まよい] /(n) (1) hesitation/bewilderment/doubt/indecision/(2) (Buddh) inability to reach enlightenment/(P)/
迷い込む [まよいこむ] /(v5m) to go astray/to lose one's way/
迷い子 [まよいご] /(n) lost (stray) child/
迷い箸 [まよいばし] /(n) hovering one's chopsticks back and forth over side dishes, when trying to choose which one to take (a breach of etiquette)/
迷う [まよう] /(v5u,vi) (1) to lose one's way/(2) to waver/to hesitate/to be of two minds over/to be puzzled/to be perplexed/(3) to give into temptation/to lose control of oneself/(4) to turn in one's grave/(P)/
迷わす [まよわす] /(v5s,vt) to puzzle/perplex/bewilder/delude/mislead/fascinate/
迷宮 [めいきゅう] /(n,adj-no) mystery/maze/labyrinth/(P)/
迷宮入り [めいきゅういり] /(adj-no) going unsolved/unanswered/unresolved/deadend/
迷光 [めいこう] /(n) stray light/
迷彩 [めいさい] /(n) camouflage/disguise/(P)/
迷彩服 [めいさいふく] /(n) camouflaged clothes/
迷子 [まいご] /(n) lost (stray) child/(P)/
迷信 [めいしん] /(n,adj-no) superstition/(P)/
迷信家 [めいしんか] /(n) superstitious person/
迷走 [めいそう] /(n,vs) straying/
迷走神経 [めいそうしんけい] /(n) vagus nerve/
迷走台風 [めいそうたいふう] /(n) stray typhoon (i.e. one with an irregular path)/
迷鳥 [めいちょう] /(n) stray (migratory) bird/
迷迭香 [まんねんろう] /(n) (uk) rosemary/
迷答 [めいとう] /(n) ridiculous answer/absurd response/boner/
迷夢 [めいむ] /(n) illusion/fallacy/delusion/
迷霧 [めいむ] /(n) dense fog/
迷妄 [めいもう] /(n) illusion/fallacy/delusion/
迷訳 [めいやく] /(n) confused translation/puzzling translation/
迷路 [めいろ] /(n,vs,adj-no) maze/labyrinth/blind alley/(P)/
迷路炎 [めいじえん] /(n) labyrinthitis/
迷論 [めいろん] /(n) fallacious argument/fallacy/absurd opinion/
迷惑 [めいわく] /(adj-na,n) trouble/bother/annoyance/(P)/
迷惑の受け身 [めいわくのうけみ] /(n) (ling) suffering passive/
迷惑の受身 [めいわくのうけみ] /(n) (ling) suffering passive/
迷惑をかける [めいわくをかける] /(exp,v1) to cause trouble (for someone)/to annoy/to bother/to inconvenience/
迷惑を掛ける [めいわくをかける] /(exp,v1) to cause trouble (for someone)/to annoy/to bother/to inconvenience/
迷惑メール [めいわくメール] /(n) spam/unsolicited email/
迷惑至極 [めいわくしごく] /(n,adj-na) great nuisance/extremely annoying/quite embarrassing/
迷惑千万 [めいわくせんばん] /(n,adj-na) great nuisance/extremely annoying/quite embarrassing/
迷惑電話 [めいわくでんわ] /(n) nuisance phone call/spam phone call/
銘 [めい] /(n) inscription/
銘々 [めいめい] /(n) each/individual/(P)/
銘々皿 [めいめいざら] /(n) small plates for individual helpings of food/
銘々盆 [めいめいぼん] /(n) type of tray to serve sweets individually/
銘じる [めいじる] /(v1) to stamp/to engrave/to inscribe/
銘する [めいする] /(vs-s,vt) to stamp/to engrave/to inscribe/
銘ずる [めいずる] /(vz,vt) to stamp/to engrave/to inscribe/
銘を刻む [めいをきざむ] /(exp,v5m) to engrave an inscription/
銘菓 [めいか] /(n) excellent cake/cake of an established name/
銘記 [めいき] /(n,vs) keep in mind/take note of/remember/(P)/
銘酒 [めいしゅ] /(n) choice sake/
銘酒屋 [めいしゅや] /(n) seller of high-quality sake/(Meiji or Taisho era) brothel/
銘醸 [めいじょう] /(n) famous winery/famous brewery/
銘仙 [めいせん] /(n) variety of silk/
銘打つ [めいうつ] /(v5t,vi) to engrave an inscription/to call (designate) itself/to mark/to label/
銘茶 [めいちゃ] /(n) refined tea/
銘刀 [めいとう] /(n) sword inscribed with the name of the swordsmith/
銘板 [めいばん] /(n) nameplate (of machines)/
銘文 [めいぶん] /(n) inscription/
銘柄 [めいがら] /(n) (1) brand/make/description/(2) trading name of stocks and securities/(P)/
銘銘 [めいめい] /(n) each/individual/
銘銘皿 [めいめいざら] /(n) small plates for individual helpings of food/
銘銘盆 [めいめいぼん] /(n) type of tray to serve sweets individually/
銘木 [めいぼく] /(n) precious woods/
鳴かず飛ばず [なかずとばず] /(exp) living in obscurity/lying low/remaining unnoticed/
鳴きしきる [なきしきる] /(v5r) to chirp or buzz constantly (usu. insects or birds)/
鳴き交わす [なきかわす] /(v5s) to exchange wooing cries/to cry (howl) to each other/
鳴き砂 [なきすな] /(n) singing sand (which produces sound when stepped on)/whistling sand/squeaking sand/barking sand/
鳴き声 [なきごえ] /(n,vs) cry (esp. animal)/roar/chirp/tweet/bark/whine/meow/(P)/
鳴き鳥 [なきどり] /(n) songbird/bird with a beautiful song/
鳴き頻る [なきしきる] /(v5r) to chirp or buzz constantly (usu. insects or birds)/
鳴く [なく] /(v5k) (1) to sing (bird)/(2) to bark/to purr/to make sound (animal)/(P)/
鳴く猫は鼠を捕らぬ [なくねこはねずみをとらぬ] /(exp) empty vessels make the most sound/
鳴らす [ならす] /(v5s,vt) to ring/to sound/to chime/to beat/to snort (nose)/(P)/
鳴り [なり] /(n) ringing/sound/(P)/
鳴りひびく [なりひびく] /(v5k,vi) (1) to reverberate/to resound/to echo/(2) to have one's fame spread/to be renowned/
鳴り響く [なりひびく] /(v5k,vi) (1) to reverberate/to resound/to echo/(2) to have one's fame spread/to be renowned/
鳴り出す [なりだす] /(v5s) to begin making a sound (ringing, singing, crying, etc.)/
鳴り渡る [なりわたる] /(v5r,vi) to resound (echo) far and wide/
鳴り物 [なりもの] /(n) musical instrument/music/
鳴り物入り [なりものいり] /(n) a flourish of trumpets/
鳴り分け [なりわけ] /(n) distinctive ring tones/
鳴る [なる] /(v5r,vi) to sound/to ring/to resound/to echo/to roar/to rumble/(P)/
鳴咽 [おえつ] /(n,vs) sobbing/weeping/groaning/fit of crying/
鳴管 [めいかん] /(n,adj-no) syrinx (part of a bird)/lower larynx/
鳴響く [なりひびく] /(v5k,vi) (1) to reverberate/to resound/to echo/(2) to have one's fame spread/to be renowned/
鳴禽 [めいきん] /(n) songbird/oscine/
鳴禽類 [めいきんるい] /(n) oscines (birds of suborder Oscines)/songbirds/
鳴呼 [ああ] /(int) (1) (uk) Ah!/Oh!/Alas!/(2) Yes/Indeed/That is correct/(3) Hey!/Yo!/(4) Uh huh/Yeah yeah/Right/Gotcha/
鳴戸 [なると] /(n) maelstrom/
鳴砂 [なきすな] /(n) singing sand (which produces sound when stepped on)/whistling sand/squeaking sand/barking sand/
鳴砂 [なりすな] /(n) singing sand (which produces sound when stepped on)/whistling sand/squeaking sand/barking sand/
鳴子 [なるこ] /(n) clapper/
鳴子百合 [なるこゆり] /(n) (uk) Solomon's seal/Polygonatum falcatum/
鳴声 [なきごえ] /(io) (n,vs) cry (esp. animal)/roar/chirp/tweet/bark/whine/meow/
鳴鳥 [なきどり] /(n) songbird/bird with a beautiful song/
鳴鳥 [めいちょう] /(n) songbird/bird with a beautiful song/
鳴動 [めいどう] /(n,vs) rumbling/(ringing) cadence/
鳴物 [なりもの] /(n) musical instrument/music/
鳴門 [なると] /(n) steamed fish-paste cake, sliced to decorate soup (type of kamaboko)/(P)/
鳴門巻 [なるとまき] /(n) steamed fish-paste cake, sliced to decorate soup (type of kamaboko)/
鳴蜩 [あぶらぜみ] /(n) (uk) large brown cicada (Graptopsaltria nigrofuscata)/aburazemi/
姪 [めい] /(n) niece/(P)/
姪っ子 [めいっこ] /(n) niece/
姪御 [めいご] /(n) (hon) (another person's) niece/
姪子 [めいご] /(n) niece/
姪子 [めいっこ] /(n) niece/
姪孫 [てっそん] /(n) grandniece/grandnephew/
牝牛 [めうし] /(n) cow/heifer/
牝鶏 [めんどり] /(n) female bird/hen/
牝犬 [めいぬ] /(n) bitch/female dog/
牝犬 [めすいぬ] /(n) bitch/female dog/
牝鹿 [めか] /(ok) (n) doe (female deer)/
牝鹿 [めが] /(ok) (n) doe (female deer)/
牝鹿 [めしか] /(n) doe (female deer)/
牝鹿 [めじか] /(n) doe (female deer)/
牝鳥 [めんどり] /(n) female bird/hen/
牝馬 [ひんば] /(n) mare/filly/
牝馬 [めうま] /(n) mare/filly/
牝馬 [めま] /(n) mare/filly/
牝鷄 [ひんけい] /(n) hen/
滅する [めっする] /(vs-s,vi) (1) to be destroyed/to perish/to go out (e.g. fire)/(vs-s,vt) (2) to destroy/to get rid of/to extinguish/
滅びて行く民族 [ほろびていくみんぞく] /(n) dying race/
滅びる [ほろびる] /(v1,vi) to be ruined/to go under/to perish/to be destroyed/(P)/
滅ぶ [ほろぶ] /(v5b) to be ruined/to go under/to perish/to be destroyed/
滅ぼす [ほろぼす] /(v5s,vt) to destroy/to overthrow/to wreck/to ruin/(P)/
滅り込む [めりこむ] /(iK) (v5m,vi) to sink into/to cave in/
滅却 [めっきゃく] /(n,vs) extinguishment/destruction/effacement/
滅菌 [めっきん] /(n,vs,adj-no) sterilization/sterilisation/
滅金 [めっき] /(n,vs) (1) gilt/plating/(2) pretense/pretence/
滅罪 [めつざい] /(n) (Buddh) expiation/
滅殺 [めっさつ] /(n,vs) obliteration/annihilation/
滅私 [めっし] /(n) selflessness/being unselfish/
滅私奉公 [めっしほうこう] /(n) selfless devotion/
滅失 [めっしつ] /(n,vs) destruction/ruination/
滅相 [めっそう] /(adj-na,n) extravagant/absurd/
滅相もない [めっそうもない] /(exp) Don't be absurd/That's out of the question/Nonsense/Don't mention it/
滅多 [めった] /(adj-na,n) (uk) thoughtless/reckless/seldom (neg. verb)/careless/(P)/
滅多に [めったに] /(adv) rarely/seldom/(P)/
滅多にない [めったにない] /(adj-i) (uk) rare/
滅多に見られない図 [めったにみられないず] /(n) (obsc) seldom seen sight/
滅多に無い [めったにない] /(adj-i) (uk) rare/
滅多切り [めったきり] /(n) hack to pieces/
滅多打ち [めったうち] /(n) shower with blows/
滅多矢鱈 [めったやたら] /(adj-na,n) reckless/indiscriminate/
滅茶 [めちゃ] /(ateji) (adj-na,n) (1) (uk) absurd/ridiculous/nonsense/(2) excessive/extreme/
滅茶苦茶 [めちゃくちゃ] /(adj-na,n) (1) (uk) absurd/unreasonable/nonsensical/preposterous/incoherent/(2) extreme/senseless/reckless/wanton/(3) disorder/confusion/mess/wreck/
滅茶滅茶 [めちゃめちゃ] /(adj-na,n) (1) disorderly/messy/ruined/(2) absurd/unreasonable/excessive/rash/
滅諦 [めったい] /(n) (Buddh) truth of the cessation of suffering/
滅度 [めつど] /(n) extinguishing illusion and passing over to Nirvana/
滅道 [めつどう] /(n) (Buddh) truths of the cessation of suffering and of the way to the cessation of suffering/
滅入る [めいる] /(v5r,vi) to feel depressed/
滅法 [めっぽう] /(adj-na,adv,n) extraordinary/absurd/very/in chaos/incoherent/
滅亡 [めつぼう] /(n,vs) downfall/ruin/collapse/destruction/(P)/
滅裂 [めつれつ] /(adj-na,n) in chaos/incoherent/
免 [めん] /(n) dismissal/
免じて [めんじて] /(exp) in deference to/
免じる [めんじる] /(v1,vt) to dismiss/to exempt/
免ずる [めんずる] /(vz,vt) to dismiss/to exempt/
免れる [まぬかれる] /(v1,vt) to escape from/to be rescued from/to avoid/to evade/to avert/to elude/to be exempted/to be relieved from pain/to get rid of/(P)/
免れる [まぬがれる] /(v1,vt) to escape from/to be rescued from/to avoid/to evade/to avert/to elude/to be exempted/to be relieved from pain/to get rid of/
免疫 [めんえき] /(n) immunity/immunization/immunisation/(P)/
免疫グロブリン [めんえきグロブリン] /(n) immunoglobulin/
免疫システム [めんえきシステム] /(n) immune system/
免疫応答遺伝子 [めんえきおうとういでんし] /(n) immune response gene/IR gene/
免疫学 [めんえきがく] /(n) immunology/
免疫学部 [めんえきがくぶ] /(n) Immunology Department/Department of Immunology/
免疫機構 [めんえききこう] /(n) immune system/
免疫系 [めんえきけい] /(n) immune system/
免疫血清 [めんえきけっせい] /(n) immune serum/
免疫原性 [めんえきげんせい] /(n,adj-no) immunogenicity/
免疫源 [めんえきげん] /(n) immunogen/
免疫細胞 [めんえきさいぼう] /(n) immune cell/
免疫性 [めんえきせい] /(n) immunity/
免疫体 [めんえきたい] /(n) antibody/
免疫担当細胞 [めんえきたんとうさいぼう] /(n) immunocompetent cell/
免疫反応 [めんえきはんのう] /(n) immunoreaction/
免疫不全症 [めんえきふぜんしょう] /(n) immunodeficiency disease/
免疫賦活剤 [めんえきふかつざい] /(n) immunostimulant/immunostimulator/
免疫抑制剤 [めんえきよくせいざい] /(n) immunosuppressant (drug)/
免疫療法 [めんえきりょうほう] /(n,adj-no) immunotherapy/
免官 [めんかん] /(n,vs) dismissal/discharge/
免許 [めんきょ] /(n,vs) license/permit/licence/certificate/(P)/
免許皆伝 [めんきょかいでん] /(n) possessing full mastery of an art (e.g. Judo)/initiation into the secrets (e.g. of an art)/full mastership/
免許証 [めんきょしょう] /(n) licence/license/permit/(P)/
免許状 [めんきょじょう] /(n) license/licence/certificate/permit/
免許制 [めんきょせい] /(n) license system/licence system/
免許停止 [めんきょていし] /(n) driving license suspension/
免罪 [めんざい] /(n) acquittal/pardon/papal indulgence/
免罪符 [めんざいふ] /(n) indulgence/
免囚 [めんしゅう] /(n) discharged prisoner/ex-convict/
免除 [めんじょ] /(n,vs) exemption/exoneration/discharge/(P)/
免状 [めんじょう] /(n) diploma/licence/license/(P)/
免職 [めんしょく] /(n,vs) dismissal/sacking/discharge/(P)/
免震 [めんしん] /(n,vs) base isolation (in buildings to result in damping vibrations for earthquake-resistance)/base-isolating/
免震構造 [めんしんこうぞう] /(n) base isolated system/quake-absorbing structure/
免税 [めんぜい] /(n,vs,adj-no) tax exemption/duty exemption/(P)/
免税所得 [めんぜいしょとく] /(n) tax-free income/
免税店 [めんぜいてん] /(n) duty-free store/
免税点 [めんぜいてん] /(n) tax exemption limit/
免税表 [めんぜいひょう] /(n) duty-free list/
免税品 [めんぜいひん] /(n) duty-free articles/
免税率 [めんぜいりつ] /(n) tax-free ratio/tax free percentage/
免責 [めんせき] /(n,vs,adj-no) exemption from responsibility/disclaimer/(P)/
免責額 [めんせきがく] /(n) deductible/
免責金額 [めんせききんがく] /(n) deductible/
免責条項 [めんせきじょうこう] /(n) disclaimer/exemption clause/waiver clause/
免責特権 [めんせきとっけん] /(n,adj-no) diplomatic immunity/
免租 [めんそ] /(n) tax exemption/
免租地 [めんそち] /(n) tax-exempt land/
免訴 [めんそ] /(n,vs) acquittal/dismissal (of a case)/
免停 [めんてい] /(n) (col) (abbr) driving license suspension/
免役 [めんえき] /(n) release from office/military service, or prison/
免黜 [めんちゅつ] /(n,vs) dismissal/
棉花 [めんか] /(n) raw cotton/cotton wool/
棉実 [めんじつ] /(n) cottonseed/
棉実油 [めんじつゆ] /(n) cottonseed oil/
綿 [めん] /(n) cotton/(P)/
綿 [わた] /(n) (1) (uk) cotton plant (Gossypium spp.)/(2) batting/wadding/padding/(P)/
綿々 [めんめん] /(adj-t,adv-to) unbroken/endless/continuous/
綿の実 [わたのみ] /(n) cotton seed/
綿ぼこり [わたぼこり] /(n) dustballs/cotton dust/fluff/flecks of fibre (fiber)/
綿パン [めんパン] /(n) (abbr) cotton pants/
綿飴 [わたあめ] /(n) cotton candy/fairy floss/
綿衣 [めんい] /(n) (arch) cotton garment/clothes made out of cotton/
綿衣 [わたぎぬ] /(n) (arch) garment padded with cotton/
綿羽 [めんう] /(n,adj-no) plumule/down feather/
綿羽 [わたばね] /(n,adj-no) plumule/down feather/
綿雲 [わたぐも] /(n) fleecy clouds (esp. cumulus clouds)/
綿火薬 [めんかやく] /(n) guncotton/cotton powder/
綿花 [めんか] /(n) raw cotton/cotton wool/
綿菓子 [わたがし] /(n) cotton candy/
綿弓 [わたゆみ] /(n) tool for willowing cotton/
綿屑 [わたくず] /(n) cotton waste/flue/
綿繰り [わたくり] /(n) cotton ginning/
綿作 [めんさく] /(n) cotton production/
綿作 [わたさく] /(n) cotton production/
綿糸 [めんし] /(n) cotton yarn (thread)/
綿実 [めんじつ] /(n) cottonseed/
綿実油 [めんじつゆ] /(n) cottonseed oil/
綿織り物 [めんおりもの] /(n) cotton fabrics/cotton textiles/
綿織物 [めんおりもの] /(n) cotton fabrics/cotton textiles/
綿製品 [めんせいひん] /(n) made of cotton/cotton goods/
綿雪 [わたゆき] /(n) large snowflakes/
綿打ち [わたうち] /(n) cotton beating/
綿津見 [わたつみ] /(n) sea god/Poseidon/Neptune/
綿津見 [わだつみ] /(ik) (n) sea god/Poseidon/Neptune/
綿摘み [わたつみ] /(n) picking cotton/
綿入れ [わたいれ] /(n) padded with cotton/stuffed with cotton/
綿抜き [わたぬき] /(n) unpadded kimono/
綿蛮 [めんばん] /(n,adj-t) chirping of a small bird/
綿布 [めんぷ] /(n) cotton cloth/cotton material/(P)/
綿服 [めんぷく] /(n) cotton garment/clothes made out of cotton/
綿帽子 [わたぼうし] /(n) bride's silk floss headdress/
綿棒 [めんぼう] /(n) cotton swab/
綿紡 [めんぼう] /(n) cotton spinning/
綿密 [めんみつ] /(adj-na,n) minute/detailed/careful/scrupulous/thorough/(P)/
綿密周到 [めんみつしゅうとう] /(n,adj-na) detailed and careful/scrupulous/meticulous/elaborate/
綿綿 [めんめん] /(adj-t,adv-to) unbroken/endless/continuous/
綿毛 [めんもう] /(n) down/fuzz/fluff/
綿毛 [わたげ] /(n) down/fuzz/fluff/
綿油 [わたあぶら] /(n) cottonseed oil/
綿羊 [めんよう] /(n) sheep/
綿埃 [わたぼこり] /(n) dustballs/cotton dust/fluff/flecks of fibre (fiber)/
緬羊 [めんよう] /(n) sheep/
緬甸 [びるま] /(n) Burma/
緬甸 [めんでん] /(n) Burma/
面 [おも] /(n) (1) face/(2) surface/
面 [おもて] /(n) (1) face/(2) surface/(3) mask (esp. a noh or kyogen mask)/(P)/
面 [つら] /(n) (1) face (often derog. or vulg.)/mug/(2) surface/(3) (arch) surrounding area/(4) (arch) cheek/cheeks/(P)/
面 [づら] /(n-suf) looking like a .../acting as if a ..../
面 [めん] /(n) (1) face/(2) mask/face guard/(3) (MA) (in kendo) striking the head/(4) surface (esp. a geometrical surface)/(5) page/(n,suf) (6) aspect/facet/side/(7) chamfer/(ctr) (8) counter for broad, flat objects, levels or stages, e.g. in a video game/(P)/
面 [も] /(ok) (n) (1) face/(2) surface/
面 [もて] /(ok) (n) (1) face/(2) surface/(3) mask (esp. a noh or kyogen mask)/
面々 [めんめん] /(n) each one/all/every direction/(P)/
面くらう [めんくらう] /(v5u,vi) to be confused/to be bewildered/to be taken aback/
面する [めんする] /(vs-s) to face on/to look out on to/(P)/
面と向かう [めんとむかう] /(exp,v5u) to meet face-to-face/
面の皮が厚い [つらのかわがあつい] /(exp) shameless/bold/brazen/
面を取る [めんをとる] /(exp,v5r) to plane off the corners/
面を着ける [めんをつける] /(exp,v1) to put a mask on/
面オクテット [めんオクテット] /(n) (comp) plane octet/
面ファスナー [めんファスナー] /(n) hook and loop fastener (e.g. Velcro)/
面影 [おもかげ] /(n) face/looks/vestiges/trace/(P)/
面映ゆい [おもはゆい] /(adj-i) embarrassed/self-conscious/bashful/abashed/
面汚し [つらよごし] /(n) disgrace/shame/
面桶 [めんつ] /(n) round box for apportioning individual rice servings/
面桶 [めんつう] /(n) round box for apportioning individual rice servings/
面画 [めんが] /(n) surface-drawing/
面会 [めんかい] /(n,vs,adj-no) meeting (face-to-face)/interview/(P)/
面会時間 [めんかいじかん] /(n) visiting or office hours/
面会室 [めんかいしつ] /(n) visiting room/
面会謝絶 [めんかいしゃぜつ] /(n) No Visitors/
面会人 [めんかいにん] /(n) visitor/
面会日 [めんかいび] /(n) visiting day/
面開発 [めんかいはつ] /(n) large-scale housing and lifestyle development project/
面格子 [めんごうし] /(n) window grate/window grating/
面角 [めんかく] /(n) (math) face angle/
面掛 [おもがい] /(n) headstall/headgear/
面詰 [めんきつ] /(n,vs) reprimanding (a person) personally/personal reproof/
面喰らう [めんくらう] /(v5u,vi) to be confused/to be bewildered/to be taken aback/
面繋 [おもがい] /(n) headstall/headgear/
面懸 [おもがい] /(n) headstall/headgear/
面向不背 [めんこうふはい] /(n) flawless/
面構 [つらがまえ] /(io) (n) expression/look/
面構え [つらがまえ] /(n) expression/look/
面高 [おもだか] /(n) (uk) threeleaf arrowhead (Sagittaria trifolia)/
面魂 [つらだましい] /(n) fierce or defiant look/determined expression/plucky countenance/
面差 [おもざし] /(n) looks/features/
面差し [おもざし] /(n) looks/features/
面子 [めんこ] /(n) game of slapping cards down to overturn opponent's/
面子 [メンツ] /(n) face (chi: mianzi)/honour/honor/(P)/
面持 [おももち] /(n) expression/look/countenance/face/
面持ち [おももち] /(n) expression/look/countenance/face/(P)/
面識 [めんしき] /(n) acquaintance/(P)/
面取り [めんとり] /(n,vs) chamfering/beveling/bevelling/
面従後言 [めんじゅうこうげん] /(n) pretending to obey someone to his face but badmouthing him behind his back/
面従腹背 [めんじゅうふくはい] /(n) pretending to obey but secretly betraying (someone)/
面出し [つらだし] /(n,vs) (arch) putting in an appearance/showing one's face/
面色 [めんしょく] /(n) expression/complexion/
面食い [めんくい] /(n) attracted by physical looks only/
面食らう [めんくらう] /(v5u,vi) to be confused/to be bewildered/to be taken aback/
面積 [めんせき] /(n) area/(P)/
面積グラフ [めんせきグラフ] /(n) area graph/
面積計 [めんせきけい] /(n) planimeter/
面積速度 [めんせきそくど] /(n) areal velocity/
面責 [めんせき] /(n,vs) personal reproof/
面接 [めんせつ] /(n,vs) interview/(P)/
面接官 [めんせつかん] /(n) interviewer (for job, school, etc. interviews)/
面接試験 [めんせつしけん] /(n) interview/oral examination/
面前 [めんぜん] /(n) presence/
面相 [めんそう] /(n) countenance/features/looks/
面相筆 [めんそうふで] /(n) fine-point brushes/
面憎い [つらにくい] /(adj-i) provoking/offensive/
面舵 [おもかじ] /(n) starboard (side of a ship)/
面舵を取る [おもかじをとる] /(exp,v5r) to steer to starboard/
面体 [めんてい] /(n) face/looks/
面談 [めんだん] /(n,vs) interview/(P)/
面長 [おもなが] /(adj-na,n) oval-faced/long-faced/
面長 [めんちょう] /(adj-na,n) oval-faced/long-faced/
面通し [めんとおし] /(n,vs) (police) line-up/
面的 [めんてき] /(adj-na) whole area/entire region/
面倒 [めんどう] /(adj-na,n) trouble/difficulty/care/attention/(P)/
面倒い [めんどい] /(adj-i) troublesome/bothersome/
面倒くさい [めんどうくさい] /(adj-i) bother(some) to do/tiresome/(P)/
面倒くさい [めんどくさい] /(adj-i) bother(some) to do/tiresome/
面倒をかける [めんどうをかける] /(exp,v1) to put someone to trouble/
面倒を掛ける [めんどうをかける] /(exp,v1) to put someone to trouble/
面倒を見る [めんどうをみる] /(exp,v1) to care for someone/to look after someone/
面倒見 [めんどうみ] /(n) taking care of someone/
面倒見がいい [めんどうみがいい] /(exp,adj-i) very helpful/taking good care of/
面倒見がよい [めんどうみがよい] /(exp,adj-i) very helpful/taking good care of/
面倒見が良い [めんどうみがいい] /(exp,adj-i) very helpful/taking good care of/
面倒見が良い [めんどうみがよい] /(exp,adj-i) very helpful/taking good care of/
面倒見のいい [めんどうみのいい] /(adj-i) helpful (in terms of taking care of people)/
面倒見のよい [めんどうみのよい] /(adj-i) helpful (in terms of taking care of people)/
面倒見の良い [めんどうみのいい] /(adj-i) helpful (in terms of taking care of people)/
面倒見の良い [めんどうみのよい] /(adj-i) helpful (in terms of taking care of people)/
面倒臭い [めんどうくさい] /(adj-i) bother(some) to do/tiresome/(P)/
面倒臭い [めんどくさい] /(adj-i) bother(some) to do/tiresome/
面当 [つらあて] /(io) (n) spiteful remarks/
面当がましい [つらあてがましい] /(io) (adj-i) spiteful/snide/
面当て [つらあて] /(n) spiteful remarks/
面当てがましい [つらあてがましい] /(adj-i) spiteful/snide/
面罵 [めんば] /(n,vs) abusing someone to his (her) face/
面罵罵倒 [めんばばとう] /(n) abuse/
面白 [おもしろ] /(adj-f) amusing/interesting/(P)/
面白い [おもしろい] /(adj-i) interesting/amusing/(P)/
面白い所 [おもしろいところ] /(n) interesting passage/
面白おかしい [おもしろおかしい] /(adj-i) (uk) humorous/humourous/funny/amusing/laughable/hilarious/comical/jocular/
面白がる [おもしろがる] /(v5r,vi) to amuse oneself/to be amused/to enjoy/to think fun/
面白さ [おもしろさ] /(n) interest/fun/
面白み [おもしろみ] /(n) interest/fun/
面白可笑しい [おもしろおかしい] /(adj-i) (uk) humorous/humourous/funny/amusing/laughable/hilarious/comical/jocular/
面白半分 [おもしろはんぶん] /(adj-na,n) for fun/half in jest/
面白味 [おもしろみ] /(n) interest/fun/
面皮 [めんぴ] /(n) face/
面付き [つらつき] /(n) expression/look/
面付け [めんつけ] /(n) pagination (printing)/
面布 [めんぷ] /(n) veil (beekeeping, apiculture)/
面部 [めんぶ] /(n) face/
面伏せ [おもてぶせ] /(n,vs) being so embarrassed as to keep one's face down/
面壁 [めんぺき] /(n) meditation facing a wall/
面壁九年 [めんぺきくねん] /(n) (Buddh) facing a wall for nine years in meditation (by Bodhidharma at Shaolin Temple)/
面変わり [おもがわり] /(n) change in one's looks/
面忘れ [おもわすれ] /(n,vs) failure to recognize someone/failure to recognise someone/
面貌 [めんぼう] /(n) looks/
面頬 [めんぽお] /(n) face guard/visor/
面面 [めんめん] /(n) each one/all/every direction/
面目 [めいぼく] /(ok) (n) (1) face/honour/honor/reputation/prestige/dignity/credit/(2) appearance/look/
面目 [めんぼく] /(n) (1) face/honour/honor/reputation/prestige/dignity/credit/(2) appearance/look/(P)/
面目 [めんもく] /(n) (1) face/honour/honor/reputation/prestige/dignity/credit/(2) appearance/look/(P)/
面目が立つ [めんもくがたつ] /(exp,v5t) to save one's face/
面目ない [めんぼくない] /(adj-i) ashamed/
面目に係る問題 [めんぼくにかかるもんだい] /(n) problem concerning one's honor (honour)/
面目を施す [めんぼくをほどこす] /(exp,v5s) to get credit/to win honor/to win honour/
面目を失う [めんぼくをうしなう] /(exp,v5u) to lose face/to disgrace oneself/
面目一新 [めんぼくいっしん] /(n,vs) undergoing a complete change in appearance/changing something out of all recognition/a rise in one's reputation/
面目一新 [めんもくいっしん] /(n,vs) undergoing a complete change in appearance/changing something out of all recognition/a rise in one's reputation/
面目丸つぶれ [めんぼくまるつぶれ] /(exp) complete loss of face/
面目丸つぶれ [めんもくまるつぶれ] /(exp) complete loss of face/
面目丸潰れ [めんぼくまるつぶれ] /(exp) complete loss of face/
面目丸潰れ [めんもくまるつぶれ] /(exp) complete loss of face/
面目次第 [めんぼくしだい] /(n) face/honor/reputation/
面目無い [めんぼくない] /(adj-i) ashamed/
面目躍如 [めんもくやくじょ] /(uK) (adj-no,adj-t,adv-to) with evident joy of having lived up to one's reputation/having an effect of bolstering one's reputation/
面妖 [めんよう] /(adj-na,n) weird/strange/mysterious/
面容 [めんよう] /(n) looks, features/
面立ち [おもだち] /(n) features/
面輪 [おもわ] /(n) features/
面晤 [めんご] /(n,vs) face-to-face conversation/interview/
面梟 [めんふくろう] /(n) (uk) barn owl (Tyto alba)/
面疔 [めんちょう] /(n) facial carbuncle/facial furuncle/
面皰 [にきび] /(n) pimple/acne/(P)/
面皰 [めんぼう] /(n) pimple/acne/
面皰面 [にきびづら] /(n) face covered with pimples/
面窶れ [おもやつれ] /(n,vs) care-worn/haggard/
麺 [めん] /(n) noodles/
麺の太さ [めんのふとさ] /(n) thickness of noodles/
麺子 [めんす] /(n) variety of noodles/
麺棒 [めんぼう] /(n) rolling pin/
麺麻 [めんま] /(n) (uk) (sens) bamboo shoots boiled, sliced, fermented, dried or preserved in salt, then soaked in hot water and sea salt/
麺類 [めんるい] /(n) noodles/vermicelli/
麺媽 [めんま] /(n) (uk) (sens) bamboo shoots boiled, sliced, fermented, dried or preserved in salt, then soaked in hot water and sea salt/
麺麭 [めんぽう] /(n) (obsc) bread/
摸す [もす] /(v5s,vt) (1) to imitate/to copy/to mock/to replace/(2) to trace/to forge/
摸する [もする] /(vs-s,vt) (1) to imitate/to copy/to mock/to replace/(2) to trace/to forge/
摸擬 [もぎ] /(n,adj-no) (1) imitation/sham/mock/(2) (comp) simulation/
摸擬試験 [もぎしけん] /(n) trial examination/mock examination/
摸作 [もさく] /(n,vs) imitation (work)/
摸索 [もさく] /(n,vs) groping (for)/exploring for a solution/
摸写 [もしゃ] /(n,vs) copy (of the real thing)/copying/reproduction/tracing/
摸造 [もぞう] /(n,vs,adj-no) imitation/counterfeit/fake/sham/
摸造真珠 [もぞうしんじゅ] /(n) imitation pearl/fake pearl/
摸牌 [もうぱい] /(n,vs) identifying a piece by touch in a mah-jongg game (mahjong)/
摸倣 [もほう] /(n,vs,adj-no) imitation/copying/
模 [かたぎ] /(n) wooden printing block/
模す [もす] /(v5s,vt) (1) to imitate/to copy/to mock/to replace/(2) to trace/to forge/
模する [もする] /(vs-s,vt) (1) to imitate/to copy/to mock/to replace/(2) to trace/to forge/
模る [かたどる] /(v5r,vi) (1) to model on/to make in the shape of/to represent/to pattern after/to imitate/(2) to symbolise/
模擬 [もぎ] /(n,adj-no) (1) imitation/sham/mock/(2) (comp) simulation/(P)/
模擬裁判 [もぎさいばん] /(n) moot court/mock trial/
模擬試験 [もぎしけん] /(n) trial examination/mock examination/(P)/
模擬戦 [もぎせん] /(n) sham battle/
模擬店 [もぎてん] /(n) refreshment booth/
模擬刀 [もぎとう] /(n) practice sword/fake sword/
模擬投票 [もぎとうひょう] /(n) mock voting/
模型 [もけい] /(n,adj-no) model/dummy/maquette/(P)/
模型化 [もけいか] /(n,vs) modelling/modeling/
模型地図 [もけいちず] /(n) relief map/
模型飛行機 [もけいひこうき] /(n) model plane/
模糊 [もこ] /(adj-na,n) dimness/vagueness/
模作 [もさく] /(n,vs) imitation (work)/
模索 [もさく] /(n,vs) groping (for)/exploring for a solution/(P)/
模試 [もし] /(n) (abbr) mock examination/trial examination/
模式図 [もしきず] /(n) schematic diagram/
模式標本 [もしきひょうほん] /(n) type specimen/
模写 [もしゃ] /(n,vs) copy (of the real thing)/copying/reproduction/tracing/
模写説 [もしゃせつ] /(n) copy theory/
模造 [もぞう] /(n,vs,adj-no) imitation/counterfeit/fake/sham/(P)/
模造紙 [もぞうし] /(n) imitation Japanese vellum/
模造者 [もぞうしゃ] /(n) imitator/
模造真珠 [もぞうしんじゅ] /(n) imitation pearl/fake pearl/
模造刀 [もぞうとう] /(n) metal fake sword (esp. one that greatly resembles a real sword)/
模造品 [もぞうひん] /(n) fake goods/imitations/
模範 [もはん] /(n) exemplar/exemplification/exemplum/model/example/(P)/
模範演技 [もはんえんぎ] /(n) model demonstration/model performance/exhibition/
模範試合 [もはんじあい] /(n) exhibition match/
模範囚 [もはんしゅう] /(n) well-behaved (model) prisoner/trusty (trustee)/
模範生 [もはんせい] /(n) model or exemplary student/
模範的 [もはんてき] /(adj-na) exemplary/
模倣 [もほう] /(n,vs,adj-no) imitation/copying/(P)/
模倣者 [もほうしゃ] /(n) imitator/
模倣犯 [もうほうはん] /(n) copycat criminal/
模本 [もほん] /(n) copy of an original manuscript/
模様 [もよう] /(n) (1) pattern/figure/design/(2) state/condition/(3) conjecture of the current situation/the way it seems/(4) model/pattern/example/(5) (after a noun) indicates that that noun seems likely (e.g. rain or storm)/(P)/
模様次第 [もようしだい] /(n) according to circumstances/dependent on the state of things/
模様替え [もようがえ] /(n,vs) rearranging/remodeling/remodelling/
茂み [しげみ] /(n) thicket/
茂り [しげり] /(n) growing thick/
茂る [しげる] /(v5r,vi) to grow thickly/to be in full leaf/to be rampant/to luxuriate/to be luxurious/(P)/
茂林 [もりん] /(n) luxuriant (dense) forest/
妄りがましい [みだりがましい] /(oK) (adj-i) morally corrupt/
妄りに [みだりに] /(adv) without authority/without reason/arbitrarily/unnecessarily/indiscriminately/recklessly/
妄挙 [ぼうきょ] /(n) unreasonable actions/lack of discrimination/
妄言 [ぼうげん] /(n) reckless remark/rash remark/abusive language/thoughtless words/
妄言 [もうげん] /(n) reckless remark/rash remark/abusive language/thoughtless words/
妄言多謝 [ぼうげんたしゃ] /(exp) Kindly excuse my reckless remarks/Please excuse my thoughtless words. (used deferentially, in a letter, etc.)/
妄言多謝 [もうげんたしゃ] /(exp) Kindly excuse my reckless remarks/Please excuse my thoughtless words. (used deferentially, in a letter, etc.)/
妄語 [もうご] /(n,vs) lie/falsehood/
妄語戒 [もうごかい] /(exp) (Buddh) do not speak untruthfully (precept)/
妄執 [もうしゅう] /(n) (Buddh) deep-rooted delusion/firm conviction (based on incorrect beliefs)/
妄信 [ぼうしん] /(n,vs) blind acceptance/blind belief/credulity/(P)/
妄信 [もうしん] /(n,vs) blind acceptance/blind belief/credulity/
妄心 [もうしん] /(n) (Buddh) deluded mind (a mind polluted with klesha, incapable of understanding the original essence of things)/
妄心 [もうじん] /(n) (Buddh) deluded mind (a mind polluted with klesha, incapable of understanding the original essence of things)/
妄説 [ぼうせつ] /(n) fallacy/false report/
妄説 [もうせつ] /(n) fallacy/false report/
妄想 [ぼうそう] /(n,vs) wild idea/delusion/
妄想 [もうそう] /(n,vs) wild idea/delusion/(P)/
妄想症 [もうそうしょう] /(n) paranoia/
妄想癖 [もうそうへき] /(n) (col) (sens) day-dreamer/fantasist/
妄断 [もうだん] /(n,vs) reckless decision/
妄動 [ぼうどう] /(n,vs) acting blindly/
妄動 [もうどう] /(n,vs) acting blindly/
妄念 [もうねん] /(n) (Buddh) conviction based on flawed ideas/obstructive thought/
妄評 [ぼうひょう] /(n) unfair criticism/abusive remarks/
妄評 [もうひょう] /(n) unfair criticism/abusive remarks/
妄弁 [ぼうべん] /(n) incoherent talk/
妄用 [ぼうよう] /(n,vs) misuse/abuse/
孟夏 [もうか] /(n) (1) beginning of summer/(2) (obs) fourth month of the lunar calendar/
孟子 [もうし] /(n) (1) Mencius (Meng Zi) (371-289BCE)/(2) the Discourses of Mencius - one of the Four Books/
孟宗の節 [もうそうのふし] /(n) root of a moso bamboo/
孟宗竹 [もうそうだけ] /(n) (uk) moso bamboo (Phyllostachys pubescens)/a tall bamboo cultivated for its edible shoots/
孟秋 [もうしゅう] /(n) (1) (obs) beginning of autumn/(2) seventh month of the lunar calendar/
孟春 [もうしゅん] /(n) (1) beginning of spring/(2) (obs) first month of the lunar calendar/
孟女 [もうじょ] /(n) eldest daughter/
孟冬 [もうとう] /(n) (1) (obs) beginning of winter/(2) tenth month of the lunar calendar/
孟母三遷 [もうぼさんせん] /(exp) the importance of creating an environment conducive to a child's learning (lit: Mencius' mother, three moves)/
孟母三遷の教え [もうぼさんせんのおしえ] /(exp) the importance of creating an environment conducive to a child's learning (lit: Mencius' mother, three moves)/
毛 [け] /(n) hair/fur/(P)/
毛 [もう] /(n) (1) one-thousandth/0.03 mm (one-thousandth of a sun)/0.01 percent (one-thousandth of a wari)/3.75 milligrams (one-thousandth of a monme)/(2) old monetary unit (0.0001 yen)/
毛あな [けあな] /(n) pores (of the skin)/
毛がに [けがに] /(n) hair crab (Erimacrus isenbeckii)/
毛だに [けだに] /(n) trombiculid mite (any mite of family Trombiculidae)/
毛づくろい [けづくろい] /(n,vs) grooming oneself (esp. animals)/mutual grooming (e.g. monkeys)/social grooming/personal grooming/
毛ぶかい [けぶかい] /(adj-i) hairy/thickly haired/shaggy/
毛むくじゃら [けむくじゃら] /(n,adj-no) densely covered in thick hair/hairy/fuzzy/
毛ガニ [けガニ] /(n) hair crab (Erimacrus isenbeckii)/
毛ジラミ [けジラミ] /(n) crab louse (Pthirus pubis)/crab lice/pubic louse/pubic lice/
毛衣 [けごろも] /(n) (1) fur coat (to protect against the cold)/(2) clothes made with the down of birds/
毛羽 [けば] /(n) fluff/fuzz/nap/
毛羽立つ [けばだつ] /(v5t) to become fluffy/
毛瓜 [まうり] /(n) Okinawan yellow cucumber/
毛瓜 [もううい] /(n) Okinawan yellow cucumber/
毛瓜 [もううり] /(n) Okinawan yellow cucumber/
毛蟹 [けがに] /(n) hair crab (Erimacrus isenbeckii)/
毛鈎 [けばり] /(n) (fishing) fly/lure/
毛顎動物 [もうがくどうぶつ] /(n) chaetognath (any worm of phylum Chaetognatha)/
毛管 [もうかん] /(n) capillary/
毛管現象 [もうかんげんしょう] /(n) capillary phenomenon/
毛脚 [けあし] /(n) length of hair/
毛玉 [けだま] /(n) pilling/furball/hairball/trichobezoar/
毛筋 [けすじ] /(n) hair/hairline/minor details/
毛屑 [けくず] /(n) flock/(bits of) down/
毛穴 [けあな] /(n) pores (of the skin)/
毛嫌い [けぎらい] /(n,vs) antipathy/prejudice/
毛見 [けみ] /(n) Edo period inspection of rice plants/
毛孔 [けあな] /(n) pores (of the skin)/
毛孔 [もうく] /(n) pores (of the skin)/
毛根 [もうこん] /(n) hair root/
毛細管 [もうさいかん] /(n) (1) capillary tube/(2) capillary (anatomical)/
毛細管現象 [もうさいかんげんしょう] /(n) capillary phenomenon/
毛細血管 [もうさいけっかん] /(n,adj-no) capillary vessel/capillary/
毛蚕 [けご] /(n) silkworm (in the first or second instar)/
毛斯綸 [モスリン] /(ateji) (n) (uk) mousseline de laine (fre: mousseline)/muslin de laine/delaine/
毛糸 [けいと] /(n) knitting wool/(P)/
毛織 [けおり] /(n) woollen fabric/woollen cloth/
毛織り [けおり] /(n) woollen fabric/woollen cloth/
毛織り物 [けおりもの] /(n) woollen material/woollen goods or fabric/
毛織錦 [けおりにしき] /(n) woollen brocade/
毛織物 [けおりもの] /(n) woollen material/woollen goods or fabric/
毛色 [けいろ] /(n) hair color/hair colour/disposition/
毛深い [けぶかい] /(adj-i) hairy/thickly haired/shaggy/
毛深雀蜂 [けぶかすずめばち] /(n) (uk) Japanese hornet (Vespa simillima, esp. subspecies Vespa simillima simillima)/yellow hornet/
毛生え薬 [けはえぐすり] /(n) hair restorer/
毛製品 [もうせいひん] /(n) woollen goods/
毛切り石 [けきりいし] /(n) (arch) stone for cutting one's pubic hair (in public baths)(Edo period)/
毛切石 [けきりいし] /(n) (arch) stone for cutting one's pubic hair (in public baths)(Edo period)/
毛先 [けさき] /(n) tips of one's hair/hair ends/
毛染め [けぞめ] /(n) hair coloring/hair colouring/hair dye/
毛繕い [けづくろい] /(n,vs) grooming oneself (esp. animals)/mutual grooming (e.g. monkeys)/social grooming/personal grooming/
毛束 [けたば] /(n) bundle of hair/hair tuft/
毛足 [けあし] /(n) length of hair/
毛茸 [もうじょう] /(n) hair/trichome/
毛虫 [けむし] /(n) (1) hairy caterpillar/woolly bear/(2) pest/nudnik (nudnick)/(P)/
毛彫 [けばり] /(n) (fishing) fly/lure/
毛彫り [けばり] /(n) (fishing) fly/lure/
毛彫り [けぼり] /(n,vs) hairlines (on an engraving)/
毛長鼠 [けながねずみ] /(n) (uk) Ryukyu long-haired rat (Diplothrix legata)/
毛長鼬 [けながいたち] /(n) polecat/fitch/
毛唐 [けとう] /(n) (derog) (abbr) hairy foreigner (esp. Europeans)/
毛唐人 [けとうじん] /(n) (derog) hairy barbarian/foreigner (esp. Europeans)/
毛頭 [もうとう] /(adv) not in the least/
毛頭ない [もうとうない] /(exp) having no intention/
毛嚢 [もうのう] /(n) hair follicle/
毛嚢炎 [もうのうえん] /(n) folliculitis/
毛髪 [もうはつ] /(n,adj-no) hair/
毛髪移植 [もうはついしょく] /(n) hair transplant/
毛抜き [けぬき] /(n) (hair) tweezers/nippers/
毛皮 [けがわ] /(n,adj-no) (1) fur/skin/pelt/(2) kanji "fur" radical/(P)/
毛皮 [もうひ] /(n,adj-no) (1) fur/skin/pelt/
毛皮商 [けがわしょう] /(n) furrier/
毛皮貿易 [けがわぼうえき] /(n) fur trade/
毛筆 [もうひつ] /(n,adj-no) (writing, painting) brush/(P)/
毛表皮 [もうひょうひ] /(n) cuticle/outermost layer of a hair/
毛布 [もうふ] /(n) blanket/(P)/
毛並 [けなみ] /(n) (1) lie of a (dog's) hair/(2) type/sort/(3) (col) lineage/breeding/
毛並み [けなみ] /(n) (1) lie of a (dog's) hair/(2) type/sort/(3) (col) lineage/breeding/
毛編み [けあみ] /(n) knitting/
毛包 [もうほう] /(n,adj-no) hair follicle/
毛包虫症 [もうほうちゅうしょう] /(n) demodectic mange/
毛胞 [もうほう] /(n) trichocyst/
毛様体 [もうようたい] /(n) ciliary body (of the eye)/
毛裏 [けうら] /(adj-no) fur-lined/
毛氈 [もうせん] /(n) carpet/rug (esp. felt)/
毛氈苔 [もうせんごけ] /(n) sundew/
毛繻子 [けじゅす] /(n) satin cloth/sateen/
毛脛 [けずね] /(n) hairy legs/
毛臑 [けずね] /(n) hairy legs/
毛虱 [けじらみ] /(n) crab louse (Pthirus pubis)/crab lice/pubic louse/pubic lice/
毛黴 [けかび] /(n) (uk) mucor/
猛 [もう] /(adj-na) (1) greatly energetic/(2) ferocious/(pref) (3) extreme/severe/
猛々しい [たけだけしい] /(adj-i) ferocious/
猛し [たけし] /(n) (arch) brave/
猛り狂う [たけりくるう] /(v5u) to rage/to rampage/
猛り立つ [たけりたつ] /(v5t,vi) (1) to rage/(2) to howl/
猛る [たける] /(v5r,vi) (1) to rage/to be fierce/(2) to be excited/
猛スピード [もうスピード] /(n) great speed/recklessly fast speed/
猛悪 [もうあく] /(adj-na,n) savage/ferocious/atrocious/
猛威 [もうい] /(n) fury/power/menace/(P)/
猛煙 [もうえん] /(n) heavy smoke/thick smoke/
猛火 [もうか] /(n) raging or roaring flames/
猛禽 [もうきん] /(n,adj-no) bird of prey/
猛禽類 [もうきんるい] /(n) birds of prey (of order Falconiformes or Strigiformes)/raptors/
猛撃 [もうげき] /(n,vs) furious attack/
猛犬 [もうけん] /(n) savage dog/
猛虎 [もうこ] /(n) fierce tiger/
猛攻 [もうこう] /(n,vs) fierce attack/(P)/
猛攻撃 [もうこうげき] /(n) fierce attack/
猛射 [もうしゃ] /(n,vs) withering gunfire/
猛者 [もさ] /(n) man of valour/man of valor/stalwart/
猛襲 [もうしゅう] /(n,vs) fierce attack/furious attack/
猛獣 [もうじゅう] /(n) wild animal/beast of prey/(P)/
猛獣使い [もうじゅうつかい] /(n) wild-animal tamer/
猛獣使い [もうじゅうづかい] /(n) wild-animal tamer/
猛獣狩り [もうじゅうがり] /(n) big-game hunting/
猛暑 [もうしょ] /(n,adj-no) heat wave/fierce heat/(P)/
猛暑日 [もうしょび] /(n) extremely hot day (i.e. 35 degrees Celsius or greater)/
猛将 [もうしょう] /(n) brave general/brave warrior/courageous general/
猛省 [もうせい] /(n,vs) serious reflection or soul-searching/
猛進 [もうしん] /(n,vs) rushing madly ahead/
猛吹雪 [もうふぶき] /(n) blizzard/furious snowstorm/
猛勢 [もうせい] /(n) (1) (arch) great strength/(2) (arch) courageous army/valiant troops/
猛勢 [もうぜい] /(n) (1) (arch) great strength/(2) (arch) courageous army/valiant troops/
猛然 [もうぜん] /(n,adj-t,adv-to) fiercely/savagely/
猛打 [もうだ] /(n) heavy blow/heavy hit/(P)/
猛打者 [もうだしゃ] /(n) slugger (baseball)/heavy hitter/
猛鳥 [もうちょう] /(n) bird of prey/
猛追 [もうつい] /(n,vs) hot chase (pursuit)/hectic chase/
猛特訓 [もうとっくん] /(n) training extra hard/
猛毒 [もうどく] /(n,adj-no) deadly poison/
猛爆 [もうばく] /(n,vs) heavy bombing/intensive bombing/
猛勉強 [もうべんきょう] /(n) studying extra hard/
猛猛しい [たけだけしい] /(adj-i) ferocious/
猛勇 [もうゆう] /(adj-na,n) valiant courage/
猛烈 [もうれつ] /(adj-na,n) violent/vehement/rage/(P)/
猛烈社員 [もうれつしゃいん] /(n) gung-ho organization (corporate) man (woman)/go-getter worker/hard-driving worker/workaholic employee/
猛練習 [もうれんしゅう] /(n) hard training/
盲 [めくら] /(n) (1) (sens) blindness/blind person/(2) illiteracy/illiterate person/(3) ignorance/ignoramus/(P)/
盲 [めしい] /(n) (1) (sens) blindness/blind person/
盲いる [めしいる] /(v1) (arch) to become blind/
盲る [めしいる] /(io) (v1) (arch) to become blind/
盲パス [めくらパス] /(n) (uk) (sens) blind pass/passing (a ball) without looking/
盲パス [もうパス] /(n) (uk) (sens) blind pass/passing (a ball) without looking/
盲唖 [もうあ] /(n) blind and dumb/
盲唖学校 [もうあがっこう] /(n) school for the blind and dumb/
盲愛 [もうあい] /(n,vs,adj-no) (sens) blind love/
盲虻 [めくらあぶ] /(n) (uk) deerfly/
盲印 [めくらいん] /(n) (col) (obsc) (sens) rubber stamp/
盲鰻 [めくらうなぎ] /(n) (uk) hagfish (esp. the species Myxine garmani from Japan)/
盲学校 [もうがっこう] /(n) school for the blind/(P)/
盲管 [もうかん] /(n) cul-de-sac/
盲管銃創 [もうかんじゅうそう] /(n) lodged-bullet wound/
盲貫銃創 [もうかんじゅうそう] /(oK) (n) lodged-bullet wound/
盲亀 [もうき] /(n) blind turtle/
盲亀の浮木 [もうきのふぼく] /(exp) (Buddh) (id) unlikely event/rare occurence/
盲亀浮木 [もうきふぼく] /(exp) (Buddh) (id) unlikely event/rare occurence/
盲撃ち [めくらうち] /(n) (sens) random shooting/
盲穴 [めくらあな] /(n) (sens) blind hole/
盲執 [もうしゅう] /(iK) (n) (Buddh) deep-rooted delusion/firm conviction (based on incorrect beliefs)/
盲縞 [めくらじま] /(n) (sens) (obsc) plain blue cotton/
盲射 [もうしゃ] /(n,vs) shooting wildly/
盲者 [もうしゃ] /(n) blind person/
盲蛇 [めくらへび] /(n) (1) (uk) blind snake (esp. the Brahminy blind snake, Ramphotyphlops braminus)/worm snake/(exp) (2) (abbr) fools rush in/
盲蛇に怖じず [めくらへびにおじず] /(exp) (sens) (obsc) fools rush in where angels dare to tread/
盲従 [もうじゅう] /(n,vs) blind obedience/
盲信 [もうしん] /(n,vs) blind acceptance/blind belief/credulity/
盲進 [もうしん] /(n,vs) rushing recklessly/presumption/
盲人 [もうじん] /(n) blind person/(P)/
盲人が盲人を導く [もうじんがもうじんをみちびく] /(exp) (id) the blind leading the blind/
盲想 [ぼうそう] /(n,vs) wild idea/delusion/
盲想 [もうそう] /(n,vs) wild idea/delusion/
盲窓 [めくらまど] /(n) (sens) blind window/
盲打ち [めくらうち] /(n) (sens) punching blindly/random firing/
盲探し [めくらさがし] /(n) (sens) searching blindly/
盲探り [めくらさぐり] /(n) (sens) blindly groping/
盲断 [もうだん] /(n) hasty conclusion/
盲蜘蛛 [めくらぐも] /(n) (uk) harvestman/daddy longlegs (arachnid of order Opiliones)/
盲腸 [もうちょう] /(n,adj-no) (1) (col) appendix/appendicitis/(2) cecum/caecum/blind gut/(P)/
盲腸炎 [もうちょうえん] /(n) (1) (col) appendicitis/(2) typhlitis/
盲腸炎手術 [もうちょうえんしゅじゅつ] /(n) appendectomy/
盲長屋 [めくらながや] /(n) (sens) (obsc) tenement house with no windows/
盲点 [もうてん] /(n) blind spot/(P)/
盲動 [ぼうどう] /(n,vs) acting blindly/
盲動 [もうどう] /(n,vs) acting blindly/
盲導犬 [もうどうけん] /(n) guide dog for the blind/seeing eye dog/(P)/
盲買い [めくらがい] /(n) (sens) buying blindly/
盲爆 [もうばく] /(n,vs) blind (unscrupulous, indiscriminate) bombing/
盲判 [めくらばん] /(n) (sens) approving a document without adequately reading it/rubber-stamping/
盲斑 [もうはん] /(n) (obsc) blind spot (on the retina)/
盲壁 [めくらかべ] /(n) (sens) windowless wall/
盲滅法 [めくらめっぽう] /(adj-na) (sens) reckless/blind/without knowing/at random/
盲目 [もうもく] /(adj-na,adj-no,n) (sens) blindness/(P)/
盲目縞 [めくらじま] /(iK) (n) (sens) (obsc) plain blue cotton/
盲目的 [もうもくてき] /(adj-na,n) blind (devotion)/
盲目的に [もうもくてきに] /(adv) blindly (trusting someone, etc.)/
盲目飛行 [もうもくひこう] /(n) instrument flying/
盲暦 [めくらごよみ] /(n) (sens) picture calendar for illiterates/
網 [あみ] /(n) (1) net/netting/(2) web/(P)/
網 [もう] /(suf) network/
網かけ [あみかけ] /(n) (1) area fill (in printing)/(2) (comp) half-tone dot meshing/
網の目 [あみのめ] /(n) mesh (of a net)/
網の目をくぐる [あみのめをくぐる] /(exp,v5r) to slip through the dragnet/
網の目を潜る [あみのめをくぐる] /(exp,v5r) to slip through the dragnet/
網み目 [あみめ] /(iK) (n) stitch/
網を打つ [あみをうつ] /(exp,v5t) to cast a net/to throw a net/
網エレメント [もうエレメント] /(n) (comp) network element/
網タイツ [あみタイツ] /(n) fishnet stockings (tights)/
網ページ [もうページ] /(n) web page/
網リソース [もうリソース] /(n) (comp) network resource/network resources/
網安定性 [もうあんていせい] /(n) (comp) network stability/
網掛け [あみかけ] /(n) (1) area fill (in printing)/(2) (comp) half-tone dot meshing/
網干し垣 [あぼしがき] /(n) (obsc) bamboo fence that resembles a fishing net/
網干垣 [あぼしがき] /(n) (obsc) bamboo fence that resembles a fishing net/
網管理 [もうかんり] /(n) (comp) network management/
網漁 [あみりょう] /(n) net fishing/
網漁業 [あみぎょぎょう] /(n) net fishing/
網元 [あみもと] /(n) head of fisherman's group or union/
網戸 [あみど] /(n) screen door/(P)/
網効率 [もうこうりつ] /(n) (comp) network efficiency/
網識別子 [もうしきべつし] /(n) (comp) network identifier/
網杓子 [あみじゃくし] /(n) skimmer (kitchen utensil)/
網処 [あみどころ] /(n) place where a stationary fishing net is spread out/
網処 [もうしょ] /(n) website/URL/
網焼き [あみやき] /(n) (food) grilling/broiling/
網状 [もうじょう] /(n,adj-no) net/vascular/reticulated/
網状組織 [もうじょうそしき] /(n,adj-no) reticulum/network/
網制御装置 [もうせいぎょそうち] /(n) (comp) NCU/Network Control Unit/
網星 [あみぼし] /(n) Chinese "Neck" constellation (one of the 28 mansions)/
網石 [あみいし] /(n) (obsc) stone(s) used to weigh down a fishing net/
網打ち [あみうち] /(n) (1) net fishing/(2) fisherman's throw (resembling the casting of a fishing net) (sumo)/
網袋 [あみぶくろ] /(n) string bag/net bag/
網代 [あじろ] /(n) wickerwork/
網代 [あみしろ] /(n) dividing up a fishing catch/
網代垣 [あじろがき] /(n) wicker fence/
網代笠 [あじろがさ] /(n) conical wicker hat/
網棚 [あみだな] /(n) luggage rack/baggage rack/
網地 [あみじ] /(n) net fabric/thread from which nets are made/
網鳥 [あみどり] /(n) (obsc) lesser cuckoo (Cuculus poliocephalus)/
網点 [あみてん] /(n) (comp) dot/
網頭 [あみがしら] /(n) kanji "net" radical/
網闘士 [あみとうし] /(n) retiarius (type of gladiator)/net fighter/
網呑舟の魚を漏らす [あみどんしゅうのうおをもらす] /(exp) (id) (obsc) (of a legal system) so lax that even the greatest criminal can escape/
網版 [あみはん] /(n) half-tone (printing)/
網頁 [もうけつ] /(n) web page/
網頁 [もうよう] /(n) web page/
網頁 [もうページ] /(n) web page/
網膜 [もうまく] /(n,adj-no) retina/(P)/
網膜スキャン [もうまくスキャン] /(n) retinal scan/
網膜炎 [もうまくえん] /(n) retinitis/
網膜照合 [もうまくしょうごう] /(n) retina verification/retinal scan/
網膜症 [もうまくしょう] /(n) retinopathy/
網膜剥離 [もうまくはくり] /(n) detachment of the retina/
網目 [あみめ] /(iK) (n) stitch/
網目 [あみめ] /(n) (1) mesh (of net)/(2) halftone/
網目鰻 [あみめうなぎ] /(n) (uk) reedfish (Erpetoichthys calabaricus)/ropefish/
網目錦蛇 [あみめにしきへび] /(n) (uk) reticulated python (Python reticulatus)/
網目状 [あみめじょう] /(adj-no) cancellous/cancellate/reticulate/reticulated/ramified/
網目状ネットワーク [あみめじょうネットワーク] /(n) (comp) mesh network/
網目状網 [あみめじょうもう] /(n) (comp) mesh network/
網目版 [あみめばん] /(n) half-tone (printing)/
網目蜉蝣 [あみめかげろう] /(n) (uk) neuropteran (any insect of order Neuroptera)/
網目蜉蝣目 [あみめかげろうもく] /(n) Neuroptera (order of insects with four membranous wings)/
網様体 [もうようたい] /(n) reticular formation/
網羅 [もうら] /(n,vs) comprising/including/covering/encompassing/comprehending/(P)/
網羅的 [もうらてき] /(adj-na) comprehensive/exhaustive/cyclopedic/encompassing/
網猟 [あみりょう] /(n) hunting with a net/
網翅目 [もうしもく] /(n) Dictyoptera (order of insects comprising the cockroaches and the mantids)/
蒙 [もう] /(n) ignorance/
蒙る [こうむる] /(v5r,vt) to suffer/to receive/to sustain/
蒙を啓く [もうをひらく] /(exp,v5k) to enlighten/
蒙古 [もうこ] /(n) Mongolia/
蒙古語 [もうこご] /(n) Mongolian (language)/
蒙古症 [もうこしょう] /(n) (sens) mongolism/Down's Syndrome/
蒙古人種 [もうこじんしゅ] /(n) the Mongoloid race/
蒙古斑 [もうこはん] /(n) Mongolian spot/blue spot or mark/
蒙古襞 [もうこひだ] /(n) epicanthus/
蒙昧 [もうまい] /(adj-na,n) ignorance/(lack of) enlightenment or civilization (civilisation)/unenlightened/uncivilized/uncivilised/
蒙昧主義 [もうまいしゅぎ] /(n,adj-no) obscurantism/
儲 [もうけ] /(n) profit/earnings/
儲かりまっか [もうかりまっか] /(exp) (uk) (osb:) Are you making money? (stereotypical Osakan greeting)/
儲かる [もうかる] /(v5r,vi) to be profitable/to yield a profit/(P)/
儲け [もうけ] /(n) profit/earnings/(P)/
儲ける [もうける] /(v1,vt) (1) to profit/to get/to earn/to gain/(2) to have (bear, beget) a child/(3) to have a stroke of luck/(P)/
儲け口 [もうけぐち] /(n) profitable job/way to make a fast buck/
儲け主義 [もうけしゅぎ] /(n) moneymaking orientation/
儲け付くで [もうけづくで] /(exp) for investment/to make money/
儲け物 [もうけもの] /(n) good bargain/a find/godsend/a steal/
儲け役 [もうけやく] /(n) lucrative position/
儲け話 [もうけばなし] /(n) get rich quick scheme/
儲位 [ちょい] /(n) heirship/
儲口 [もうけぐち] /(n) profitable job/way to make a fast buck/
儲蓄 [ちょちく] /(n,vs) savings/
儲付くで [もうけづくで] /(exp) for investment/to make money/
儲物 [もうけもの] /(n) good bargain/a find/godsend/a steal/
儲役 [もうけやく] /(n) lucrative position/
木 [き] /(n) tree/wood/timber/(P)/
木 [もく] /(n) (1) (abbr) Thursday/(2) wood (first of the five elements)/
木々 [きぎ] /(n) every tree/many trees/all kinds of trees/(P)/
木かげ [こかげ] /(n) shade of tree/bower/
木くず [きくず] /(n) wood chips/wood offcuts/wood shavings/sawdust/
木こり [きこり] /(n) woodcutter/lumberjack/logger/
木っ端 [こっぱ] /(n) (1) wood chip/splinter/(n-pref,n) (2) worthless thing/worthless person/
木っ端みじん [こっぱみじん] /(n,vs) (uk) broken into small fragments/smashed to atoms/fragments and splinters/smithereens/
木っ端微塵 [こっぱみじん] /(n,vs) (uk) broken into small fragments/smashed to atoms/fragments and splinters/smithereens/
木っ端役人 [こっぱやくにん] /(n) petty (minor) official (derogatory term)/
木っ片 [こっぱ] /(n) (1) wood chip/splinter/(n-pref,n) (2) worthless thing/worthless person/
木っ葉 [こっぱ] /(n) (1) wood chip/splinter/(n-pref,n) (2) worthless thing/worthless person/
木づち [きづち] /(n) wooden hammer/wooden mallet/
木で鼻をくくる [きではなをくくる] /(exp,v5r) to give a blunt answer/
木に縁って魚を求む [きによってうおをもとむ] /(exp) (id) to be unable to accomplish something because one has chosen the wrong method/to ask for the impossible/to look for fish by climbing a tree (Mencius)/
木に縁りて魚を求む [きによりてうおをもとむ] /(exp) (id) to be unable to accomplish something because one has chosen the wrong method/to ask for the impossible/to look for fish by climbing a tree (Mencius)/
木に竹を接ぐ [きにたけをつぐ] /(exp,v5g) to sew a fox's skin to the lion's/to graft a bamboo shoot on a tree/
木に絡まる植物 [きにからまるしょくぶつ] /(n) creeping plant on trees/
木のぼり [きのぼり] /(n,vs) tree climbing/
木の下 [このした] /(exp) (arch) under a tree/
木の下 [このもと] /(exp) (arch) under a tree/
木の下闇 [このしたやみ] /(exp,adv) dark under the trees/obscurity of a forest/
木の下陰 [このしたかげ] /(exp) shade of a tree/
木の芽 [きのめ] /(n) bud of Japanese pepper tree (Xanthoxylum piperitum)/leaf bud/(P)/
木の芽 [このめ] /(n) bud of Japanese pepper tree (Xanthoxylum piperitum)/leaf bud/
木の芽時 [きのめどき] /(exp) early spring/
木の芽時 [このめどき] /(exp) early spring/
木の間 [このま] /(n) in the trees/
木の虚ろ [きのうつろ] /(n) hollow in a tree/
木の香 [きのか] /(n) smell of new wood/
木の叉 [きのまた] /(n) crotch of a tree/
木の実 [きのみ] /(n) nut/fruit/berry/(P)/
木の実 [このみ] /(n) nut/fruit/berry/
木の精 [きのせい] /(exp,n) dryad/tree spirit/
木の端 [きのはし] /(n) fragment of wood/
木の本 [きのもと] /(adv) at the root of a tree/
木の本 [このもと] /(adv) at the root of a tree/
木の葉 [きのは] /(n) foliage/leaves of trees/
木の葉 [このは] /(n) foliage/leaves of trees/(P)/
木の葉採り月 [このはとりづき] /(n) fourth lunar month/
木の葉採月 [このはとりづき] /(n) fourth lunar month/
木の葉虫 [このはむし] /(n) (uk) leaf insect (esp. species Phyllium pulchrifolium)/
木の葉鳥 [このはどり] /(n) (uk) leafbird/fairy bluebird/
木の葉天狗 [このはてんぐ] /(n) weak tengu (goblin)/
木の葉木菟 [このはずく] /(n) (uk) Eurasian scops owl (Otus scops)/
木べら [きべら] /(n) wooden spatula/
木を見て森を見ず [きをみてもりをみず] /(exp) to not see the wood for the trees/to be caught up with trivial matters and lose sight of the big picture/
木を伐る [きをきる] /(exp,v5r) to fell a tree/
木ノ実 [きのみ] /(n) nut/fruit/berry/
木ノ実 [このみ] /(n) nut/fruit/berry/
木ノ葉 [きのは] /(n) foliage/leaves of trees/
木ノ葉 [このは] /(n) foliage/leaves of trees/(P)/
木暗がり [こくらがり] /(n) (obsc) darkness under the trees/dark place under the trees/
木印 [もくいん] /(n) carved wooden seal/
木蔭 [こかげ] /(n) shade of tree/bower/
木陰 [こかげ] /(n) shade of tree/bower/(P)/
木陰で憩う [こかげでいこう] /(exp,v5u) to take a rest under a tree/to rest in the shade of a tree/
木隠れ [こがくれ] /(n) hidden behind trees/
木羽 [こば] /(n) (1) wood chip/splinter/(2) thin shingles/
木瓜 [ぼけ] /(n) (Chinese) flowering quince/Chaenomeles speciosa/
木洩れ日 [こもれび] /(iK) (n) sunlight filtering through trees/
木洩れ陽 [こもれび] /(iK) (n) sunlight filtering through trees/
木化 [もくか] /(n,vs) lignification/
木化 [もっか] /(n,vs) lignification/
木化石 [もくかせき] /(n) fossil wood/
木灰 [きばい] /(n) wood ashes/
木管 [もっかん] /(n) woodwind/wooden pipe/bobbin/
木管楽器 [もっかんがっき] /(n) woodwind instrument/
木簡 [もくかん] /(n) narrow, long, and thin pieces of wood strung together that were used to write on in ancient times/
木簡 [もっかん] /(n) narrow, long, and thin pieces of wood strung together that were used to write on in ancient times/
木魚 [もくぎょ] /(n) fish-shaped wooden temple drum/
木橋 [きばし] /(n) wooden bridge/
木橋 [もくきょう] /(n) wooden bridge/
木橋 [もっきょう] /(n) wooden bridge/
木琴 [もっきん] /(n) xylophone/
木金 [もくきん] /(n) Thursday and Friday/
木金土 [もくきんど] /(n) Thursday, Friday and Saturday/
木偶 [でく] /(n) wooden figure or doll/puppet/
木偶の坊 [でくのぼう] /(n) (1) wooden doll/(2) blockhead/good-for-nothing/
木屑 [きくず] /(n) wood chips/wood offcuts/wood shavings/sawdust/
木屑 [こけら] /(n) (1) chopped wood/wood chips/(2) (abbr) thin shingles/
木靴 [きぐつ] /(n) wooden shoes/clogs/
木型 [きがた] /(n) wooden form/shoe tree/
木剣 [ぼっけん] /(n) bokken/wooden sword/
木遣り [きやり] /(n) workmen's chant while pulling a heavy load/
木戸 [きど] /(n) (1) wicket gate/wooden door/(2) entrance to an entertainment venue (i.e. sumo arena, etc.)/(P)/
木戸御免 [きどごめん] /(n) have a pass to/have access to/
木戸銭 [きどせん] /(n) gate money/admission fee/
木戸番 [きどばん] /(n) doorman/gatekeeper/
木枯 [こがらし] /(io) (n) cold wintry wind/
木枯し [こがらし] /(n) cold wintry wind/(P)/
木枯らし [こがらし] /(n) cold wintry wind/(P)/
木五倍子 [きぶし] /(n) early spiketail (species of flowering plant, Stachyurus praecox)/
木口 [きぐち] /(n) (1) grade of wood/quality of wood/(2) cut end (of a piece of wood)/
木工 [もっこう] /(n) woodworking/woodworker/carpenter/(P)/
木工機械 [もっこうきかい] /(n) woodworking tools/woodworking machines/
木工具 [もっこうぐ] /(n) woodworking tool/
木工芸 [もっこうげい] /(n) woodworking/
木工細工 [もっこうさいく] /(n) woodwork/woodworking/
木工師 [もっこうし] /(n) woodworker/carpenter/
木工所 [もっこうしょ] /(n) carpentry shop/woodworking plant/sawmill/
木工所 [もっこうじょ] /(n) carpentry shop/woodworking plant/sawmill/
木工場 [もっこうじょう] /(n) sawmill/
木工品 [もっこうひん] /(n) woodwork/
木構造 [きこうぞう] /(n) (comp) tree structure/
木骨 [もっこつ] /(n) wooden frame/
木婚式 [もっこんしき] /(n) wooden wedding (anniversary)/
木魂 [こだま] /(n,vs) (1) echo/(vs) (2) to echo/to reverberate/(n) (3) the spirit of a tree/tree spirit/
木犀 [もくせい] /(n) fragrant olive/sweet olive/Osmanthus fragrans/Olea fragrans/
木犀草 [もくせいそう] /(n) mignonette (Reseda odorata)/
木材 [もくざい] /(n) lumber/timber/wood/(P)/
木材ガス [もくざいガス] /(n) producer gas/
木札 [きふだ] /(n) wooden tag/
木殺し [きごろし] /(n) pounding the edges of planks of wood to join them/
木皿 [きざら] /(n) wooden plate/
木耳 [きくらげ] /(n) (uk) cloud ear mushroom/wood ear mushroom/Jew's ear mushroom/
木質 [もくしつ] /(n,adj-no) woody/ligneous/
木質化 [もくしつか] /(n,vs) lignification/
木質繊維 [もくしつせんい] /(n,adj-no) wood fiber/wood fibre/
木守 [こもり] /(n) (arch) person who tends to trees (e.g. in a garden)/
木守り [きまぶり] /(n) (arch) fruits left on a tree during winter (supposedly causing more fruits to appear in the next season)/
木守り [きまもり] /(n) (arch) fruits left on a tree during winter (supposedly causing more fruits to appear in the next season)/
木所 [きどころ] /(n) classification of fragrant woods used as incense/
木樵 [きこり] /(n) woodcutter/lumberjack/logger/
木場 [きば] /(n) lumberyard/(P)/
木状ネットワーク [きじょうネットワーク] /(n) (comp) tree network/
木状網 [きじょうもう] /(n) (comp) tree network/
木食い虫 [きくいむし] /(n) (1) (uk) bark beetle (Scolytidae spp.)/(2) gribble (Limnoria lignorum)/
木食上人 [もくじきしょうにん] /(n) holy men who abstain from meat and cooked food/
木食虫 [きくいむし] /(n) (1) (uk) bark beetle (Scolytidae spp.)/(2) gribble (Limnoria lignorum)/
木尻 [こじり] /(n) (1) bottom of a bargeboard or cantilever/
木深い [こぶかい] /(adj-i) deep in the woods/
木星 [もくせい] /(n) Jupiter (planet)/(P)/
木生シダ [もくせいシダ] /(n) tree fern/
木生羊歯 [もくせいしだ] /(n) tree fern/
木精 [もくせい] /(n) wood alcohol/the spirit of a tree/
木製 [もくせい] /(n,adj-no) wooden/made of wood/(P)/
木製品 [もくせいひん] /(n) wooden products/
木石 [ぼくせき] /(n) (1) trees and stones/(2) unfeeling person/
木石漢 [ぼくせきかん] /(n) unfeeling or callous person/
木積もり [きづもり] /(n) person who estimates the variety and quantity of wood necessary to build a house from looking at the plans/
木積り [きづもり] /(n) person who estimates the variety and quantity of wood necessary to build a house from looking at the plans/
木切れ [きぎれ] /(n) a piece of wood (cut from a larger piece)/
木栓 [もくせん] /(n) wooden plug/cork/tampion/
木染月 [こぞめづき] /(n) eighth lunar month/
木曾川 [きそがわ] /(n) river in Gifu Prefecture/
木曽馬 [きそうま] /(n) var. of horse raised in Nagano and Gifu/
木曽路 [きそじ] /(n) section of the Nakasendo/
木組 [きぐみ] /(n) wooden framework/
木組み [きぐみ] /(n) wooden framework/
木鼠 [きねずみ] /(n) squirrel/
木叢 [こむら] /(n) thicket/
木走 [きばしり] /(n) (uk) common treecreeper (species of songbird, Certhia familiaris)/
木走り [きばしり] /(n) (uk) common treecreeper (species of songbird, Certhia familiaris)/
木像 [もくぞう] /(n) wooden statue or image/
木造 [もくぞう] /(adj-no,n) wooden/made of wood/(P)/
木造家屋 [もくぞうかおく] /(n) wooden house/frame house (building)/
木造建築 [もくぞうけんちく] /(n) wooden building/wooden architecture/
木造建築物 [もくぞうけんちくぶつ] /(n) wooden (timber) building/
木造住宅 [もくぞうじゅうたく] /(n) wooden house/woodframe house/
木賊 [とくさ] /(n) scouring rushes/Equisetum hyemale/common horsetail/
木賊板 [とくさいた] /(n) thin cedar or cypress shingles (4.5-6 mm thick, used for shingling roofs of temples, shrines, etc.)/
木賊葺 [とくさぶき] /(io) (n) shingling with thin cedar or cypress shingles/roof shingled in such a manner (usu. at temples, shrines, etc.)/
木賊葺き [とくさぶき] /(n) shingling with thin cedar or cypress shingles/roof shingled in such a manner (usu. at temples, shrines, etc.)/
木村蜘蛛 [きむらぐも] /(n) (uk) Heptathela kimurai (species of burrowing spider)/
木太刀 [きだち] /(n) wooden sword/
木啄 [きたたき] /(n) (uk) white-bellied woodpecker (Dryocopus javensis)/
木鐸 [ぼくたく] /(n) (1) bell with wooden clapper/(2) leader/
木叩 [きたたき] /(n) (uk) white-bellied woodpecker (Dryocopus javensis)/
木叩き [きたたき] /(n) (uk) white-bellied woodpecker (Dryocopus javensis)/
木探索 [きたんさく] /(n) (comp) tree search/
木炭 [もくたん] /(n) charcoal/(P)/
木炭画 [もくたんが] /(n) charcoal drawing/
木炭自動車 [もくたんじどうしゃ] /(n) wood or charcoal fueled automobile/
木炭車 [もくたんくるま] /(n) wood or charcoal fueled automobile/
木炭車 [もくたんしゃ] /(n) wood or charcoal fueled automobile/
木端 [こっぱ] /(io) (n) (1) wood chip/splinter/(n-pref,n) (2) worthless thing/worthless person/
木端 [こば] /(n) (1) wood chip/splinter/(2) thin shingles/
木端天狗 [こっぱてんぐ] /(n) weak tengu (goblin)/
木端微塵 [こっぱみじん] /(n,vs) (uk) broken into small fragments/smashed to atoms/fragments and splinters/smithereens/
木端役人 [こっぱやくにん] /(n) petty (minor) official (derogatory term)/
木地 [きじ] /(n) wood grain/unpainted wood/
木彫 [もくちょう] /(n) wood carving/woodcraft/(P)/
木彫り [きぼり] /(n) wood carving/woodcraft/(P)/
木彫り師 [きぼりし] /(n) (obsc) wood sculptor/woodcarver/
木彫り職人 [きぼりしょくにん] /(n) woodcarver/
木彫師 [きぼりし] /(n) (obsc) wood sculptor/woodcarver/
木彫職人 [きぼりしょくにん] /(n) woodcarver/
木賃宿 [きちんやど] /(n) cheap lodging house/
木槌 [きづち] /(n) wooden hammer/wooden mallet/
木通 [あけび] /(n) (1) chocolate-vine (Akebia quinata)/fiveleaf/fiveleaf akebia/(2) (food) fruit of the akebia/
木蔦 [きづた] /(n) (uk) Hedera rhombea (species of ivy)/
木釘 [きくぎ] /(n) wooden peg/
木天蓼 [またたび] /(n) (uk) silver vine (Actinidia polygama)/cat powder/
木兎 [つく] /(ok) (n) (uk) horned owl/
木登り [きのぼり] /(n,vs) tree climbing/
木登りカンガルー [きのぼりカンガルー] /(n) (uk) tree kangaroo/
木登り魚 [きのぼりうお] /(n) (uk) climbing perch (esp. of genus Anabas)/
木登り蜥蜴 [きのぼりとかげ] /(n) (uk) Ryukyu tree lizard (Japalura polygonata)/
木登魚 [きのぼりうお] /(n) (uk) climbing perch (esp. of genus Anabas)/
木登蜥蜴 [きのぼりとかげ] /(n) (uk) Ryukyu tree lizard (Japalura polygonata)/
木菟 [ずく] /(n) (uk) horned owl/
木菟 [つく] /(ok) (n) (uk) horned owl/
木菟 [みみずく] /(n) (uk) horned owl/
木刀 [ぼくとう] /(n) wooden sword/
木糖 [もくとう] /(n) xylose/wood sugar/
木糖醇 [もくとうじゅん] /(n) xylose/wood sugar/
木豆 [きまめ] /(n) (uk) pigeon pea (Cajanus cajan)/
木乃伊 [みいら] /(n) (uk) mummy (por: mirra)/
木馬 [きうま] /(n) wood sledge/
木馬 [きんま] /(n) wood sledge/
木馬 [もくば] /(n) (1) wooden horse/rocking horse/(2) vaulting horse/horse used in gymnastics/(3) the horse (ancient torture device that one was forced to straddle with rocks hanging from the feet)/
木杯 [もくはい] /(n) wooden cup/
木萩 [きはぎ] /(n) (uk) Lespedeza buergeri (species of bush clover)/
木箱 [きばこ] /(n) wooden box/
木肌 [きはだ] /(n) bark of a tree/
木鉢 [きばち] /(n) wooden bowl/
木板 [もくいた] /(n) wooden board/
木版 [もくはん] /(n) wood-block printing/wood engraving/
木版画 [もくはんが] /(n) woodblock print/
木版刷り [もくはんずり] /(n) block printing/
木版摺 [もくはんずり] /(n) block printing/
木挽き [こびき] /(n) sawyer/
木挽き歌 [こびきうた] /(n) sawyer's song/
木挽台 [こびきだい] /(n) sawhorse/
木皮 [もくひ] /(n) tree bark/
木付子 [きぶし] /(n) early spiketail (species of flowering plant, Stachyurus praecox)/
木舞 [こまい] /(n) laths/
木部 [もくぶ] /(n) wooden part/xylem/
木仏 [きぶつ] /(n) wooden Buddha/
木箆 [きべら] /(n) wooden spatula/
木偏 [きへん] /(n) kanji "tree" radical at left/
木片 [こっぱ] /(io) (n) (1) wood chip/splinter/(n-pref,n) (2) worthless thing/worthless person/
木片 [もくへん] /(n) block (of wood)/chip/splinter/(P)/
木辺派 [きべは] /(n) Kibe sect (of Shin Buddhism)/
木本 [もくほん] /(n,adj-no) tree/woody plant/
木麻黄 [もくまおう] /(n) (uk) beefwood (Casuarina equisetifolia)/
木末 [こぬれ] /(n) twigs/treetops/
木棉 [きわた] /(n) (1) cotton (material)/(2) (uk) red silk-cotton tree (Bombax ceiba)/
木綿 [きわた] /(n) (1) cotton (material)/(2) (uk) red silk-cotton tree (Bombax ceiba)/
木綿 [もめん] /(n) (1) cotton (material)/(P)/
木綿 [ゆう] /(n) (arch) string made of cut steamed, soaked mulberry bark fibers/
木綿糸 [もめんいと] /(n) cotton thread/
木綿針 [もめんばり] /(n) sewing needle for cotton thread/
木綿豆腐 [もめんどうふ] /(n) firm tofu/
木綿物 [もめんもの] /(n) cotton goods or clothing/
木綿綿 [もめんわた] /(n) cotton batting/cotton wadding/cotton padding/
木木 [きぎ] /(n) every tree/many trees/all kinds of trees/
木目 [きめ] /(n) grain (of wood)/curly grain/
木目 [もくめ] /(n) grain (of wood)/curly grain/
木目込 [きめこみ] /(n) (1) (abbr) wooden dolls/(2) type of theatrical makeup/(3) type of artwork using paper, cloth and paste/
木目込み [きめこみ] /(n) (1) (abbr) wooden dolls/(2) type of theatrical makeup/(3) type of artwork using paper, cloth and paste/
木目込み人形 [きめこみにんぎょう] /(n) wooden doll with Japanese costumes made from cloth with the edges tucked into grooves in the wood/kimekomi doll/
木目込人形 [きめこみにんぎょう] /(n) wooden doll with Japanese costumes made from cloth with the edges tucked into grooves in the wood/kimekomi doll/
木目込雛 [きめこみびな] /(n) kimekomi doll/
木目細か [きめこまか] /(adj-na) texture/grain/meticulous/
木目細やか [きめこまやか] /(adj-na) smooth/polite and attentive to detail/
木目塗 [もくめぬり] /(n) graining (lacquering technique)/
木目塗り [もくめぬり] /(n) graining (lacquering technique)/
木曜 [もくよう] /(n-adv,n) Thursday/(P)/
木曜日 [もくようび] /(n-adv,n-t) Thursday/(P)/
木葉 [こっぱ] /(io) (n) (1) wood chip/splinter/(n-pref,n) (2) worthless thing/worthless person/
木葉 [もくよう] /(n) (arch) foliage/leaves of trees/
木葉微塵 [こっぱみじん] /(n,vs) (uk) broken into small fragments/smashed to atoms/fragments and splinters/smithereens/
木螺子 [もくねじ] /(n) wood screw/
木藍 [きあい] /(n) (1) (uk) anil indigo (Indigofera suffruticosa)/(2) (uk) Assam indigo (Strobilanthes cusia)/
木蘭 [もくれん] /(n) (uk) lily magnolia (Magnolia quinquepeta, Magnolia liliiflora)/
木履 [ぼっくり] /(n) girl's lacquered wooden clogs/
木履 [ぽっくり] /(n) girl's lacquered wooden clogs/
木理 [もくり] /(n) (wood's) grain/
木立 [こだち] /(n) grove of trees/
木立ち [こだち] /(io) (n) grove of trees/
木立ち百里香 [きだちひゃくりこう] /(n) (obsc) thyme/
木立百里香 [きだちひゃくりこう] /(n) (obsc) thyme/
木霊 [こだま] /(n,vs) (1) echo/(vs) (2) to echo/to reverberate/(n) (3) the spirit of a tree/tree spirit/
木煉瓦 [きれんが] /(n) wooden block/
木煉瓦 [もくれんが] /(n) wooden block/
木蓮 [きはちす] /(n) (uk) rose of Sharon (Hibiscus syriacus)/
木蓮 [もくれん] /(n) (uk) lily magnolia (Magnolia quinquepeta, Magnolia liliiflora)/
木漏れ日 [こもれび] /(n) sunlight filtering through trees/
木漏れ陽 [こもれび] /(n) sunlight filtering through trees/
木蝋 [もくろう] /(n) Japan wax/Japan tallow/
木枠 [きわく] /(n) crate/palette/wooden frame/wooden flask/
木槿 [むくげ] /(n) (uk) rose of Sharon (Hibiscus syriacus)/
木槿 [もくげ] /(n) (uk) rose of Sharon (Hibiscus syriacus)/
木苺 [きいちご] /(n) (uk) raspberry (any plant of genus Rubus, esp. Rubus palmatus var. coptophyllus)/
木莓 [きいちご] /(n) (uk) raspberry (any plant of genus Rubus, esp. Rubus palmatus var. coptophyllus)/
木虱 [きじらみ] /(n) (uk) psylla (any insect of family Psyllidae)/psyllid/jumping plant louse/
木蝨 [きじらみ] /(n) (uk) psylla (any insect of family Psyllidae)/psyllid/jumping plant louse/
木蠧虫 [きくいむし] /(n) (1) (uk) bark beetle (Scolytidae spp.)/(2) gribble (Limnoria lignorum)/
木訥 [ぼくとつ] /(adj-na) unsophisticated/ruggedly honest/artless/unaffected/simple/naive/
木鋏 [きばさみ] /(n) pruning shears/
黙 [しじま] /(adj-na,n) silence/stillness/quietness/
黙々 [もくもく] /(adj-t,adv-to) silent/tacit/mute/
黙し難い [もだしがたい] /(n) unable to decline/
黙する [もくする] /(vs-s,vi) to stop talking/to be silent/
黙とう [もくとう] /(n,vs) silent prayer/(P)/
黙り [だんまり] /(n) (1) silence/without giving notice/taciturnity/refusing explanation/(2) pantomime (in kabuki)/
黙りこくる [だまりこくる] /(v5r,vi) to keep silent/
黙りこむ [だまりこむ] /(v5m,vi) to say no more/to sink into silence/
黙り込む [だまりこむ] /(v5m,vi) to say no more/to sink into silence/
黙る [だまる] /(v5r,vi) to be silent/(P)/
黙過 [もっか] /(n,vs) tacit approval/
黙許 [もっきょ] /(n,vs) tacit permission or approval/
黙契 [もっけい] /(n,vs) implicit agreement/tacit understanding/
黙劇 [もくげき] /(n) pantomime/
黙考 [もっこう] /(n,vs) contemplation/meditation/
黙座 [もくざ] /(n) sit silently/
黙殺 [もくさつ] /(n,vs) (1) ignoring/taking no notice of/refusing even to comment on/treating with silent contempt/shelving/smothering/(2) withholding comment/(P)/
黙思 [もくし] /(n,vs) silent contemplation/
黙止 [もくし] /(n,vs) keeping quiet/taking no measures/
黙視 [もくし] /(n,vs) view without saying a word/tacit permission/
黙示 [もくし] /(n) revelation/apocalypse/
黙示属性 [もくしぞくせい] /(n) (comp) impliable attribute/
黙示的 [もくしてき] /(adj-na) implied/implicit/
黙示録 [もくしろく] /(n) Revelation (book of the Bible)/the Apocalypse/
黙従 [もくじゅう] /(n,vs) acquiesce/
黙然 [もくぜん] /(n,adj-t,adv-to) muteness/silence/
黙然 [もくねん] /(n,adj-t,adv-to) muteness/silence/
黙想 [もくそう] /(n,vs) meditation/silent contemplation/
黙諾 [もくだく] /(n,vs) tacit consent/
黙祷 [もくとう] /(n,vs) silent prayer/
黙読 [もくどく] /(n,vs) reading silently/
黙認 [もくにん] /(n,vs,adj-no) connivance/tacit consent/toleration/(P)/
黙念 [もくねん] /(n,adj-t,adv-to) (arch) silent rumination/quiet thought/
黙否権 [もくひけん] /(iK) (n) right to keep silent/right to silence/right to remain silent/
黙秘 [もくひ] /(n,vs,adj-no) keep silent/keep a secret/
黙秘権 [もくひけん] /(n) right to keep silent/right to silence/right to remain silent/(P)/
黙黙 [もくもく] /(adj-t,adv-to) silent/tacit/mute/
黙約 [もくやく] /(n) tacit agreement/default/
黙礼 [もくれい] /(n,vs) silent bow/
目 [め] /(n) (1) eye/eyeball/(2) eyesight/sight/vision/(3) look/stare/glance/(4) experience/(5) viewpoint/(6) stitch/texture/weave/(suf) (7) ordinal number suffix/(8) somewhat/-ish/(P)/
目 [もく] /(n) (1) (biological) order/(2) item (of a budget revision, etc.)/(ctr) (3) counter for go pieces/counter for surrounded positions (in go)/
目あて [めあて] /(n) (1) mark/guide/landmark/(2) purpose/aim/goal/intention/end/(3) sight (on a firearm)/
目からウロコが落ちる [めからウロコがおちる] /(exp,v1) to see the light/to be awakened to the truth/to have the scales fall from one's eyes/
目からウロコの落ちる [めからウロコのおちる] /(exp,adj-f) revelatory/
目から火が出る [めからひがでる] /(v1) to "see stars" (i.e. after being hit in the head)/
目から鼻へ抜ける [めからはなへぬける] /(exp,v1) very shrewd/highly intelligent/very smart/
目から鱗が落ちる [めからうろこがおちる] /(exp,v1) to see the light/to be awakened to the truth/to have the scales fall from one's eyes/
目から鱗の落ちる [めからうろこのおちる] /(exp,adj-f) revelatory/
目がける [めがける] /(v1,vt) to aim at/
目がとまる [めがとまる] /(exp,v5r) have one's eye caught on something/
目がない [めがない] /(exp,adj-i) extremely fond of/having a weakness for/
目が悪い [めがわるい] /(exp,adj-i) have bad eyesight/
目が回る [めがまわる] /(v5r) to be dizzy/to feel faint/
目が覚める [めがさめる] /(exp,v1) to awaken/to perk up/to snap out (of something)/(P)/
目が見える [めがみえる] /(exp,v1) to be able to see (oft. used in the negative)/
目が効く [めがきく] /(exp,v5k) to have an eye for/
目が高い [めがたかい] /(exp,adj-i) having an expert eye/
目が黒いうち [めがくろいうち] /(exp) while alive (e.g. I won't allow ... while I'm alive)/
目が冴える [めがさえる] /(exp,v1) to be wide-awake/to be wakeful/to be unable to sleep/
目が出る [めがでる] /(exp,v1) (1) to have luck on one's side/to get lucky/(2) to have one's eyes bulge out of one's head (with surprise)/
目が据わって [めがすわって] /(exp) with set eyes/
目が据わる [めがすわる] /(exp,v5r) to have glazed eyes (when drunk, angry, etc.)/to have glassy eyes/
目が点に成る [めがてんになる] /(exp,v5r) to be stunned and utterly surprised (at something)/
目が肥える [めがこえる] /(exp,v1) to have a good eye (from having seen fine art, etc.)/to be a connoisseur/
目が飛び出る [めがとびでる] /(exp,v1) eye-popping/staggering/
目が舞う [めがまう] /(exp,v5u) to feel dizzy/
目が無い [めがない] /(exp,adj-i) extremely fond of/having a weakness for/
目が明く [めがあく] /(exp,v5k) to come to see/to come to understand/to regain sight/
目が利く [めがきく] /(exp,v5k) to have an eye for/
目が留まる [めがとまる] /(exp,v5r) have one's eye caught on something/
目が眩う [めがまう] /(exp,v5u) to feel dizzy/
目が眩む [めがくらむ] /(exp,v5m) (1) to be dizzy/to be disoriented/(2) to be dazzled/(3) to be lost in (greed, lust, etc.)/
目くじら [めくじら] /(n) corner of one's eye/
目くじらを立てる [めくじらをたてる] /(exp,v1) to scold over a minor matter/
目くそ鼻くそを笑う [めくそはなくそをわらう] /(exp) (id) the pot calling the kettle black (lit: for the sleep in one's eyes to laugh at the snot in one's nose)/
目くばせ [めくばせ] /(n,vs) exchanging looks/winking/making an eye signal/
目くらまし [めくらまし] /(n) (1) smoke screen/dazzler/distraction/(2) camouflage/deceptive means/(3) magic/witchcraft/sleight of hand/(4) shell game/
目くるめく [めくるめく] /(v5k,vi) to dazzle/to blind/
目ざす [めざす] /(v5s,vt) to aim at/to have an eye on/
目ざとい [めざとい] /(adj-i) (1) sharp sighted/(2) easily awakened/
目ざましい [めざましい] /(adj-i) brilliant/splendid/striking/remarkable/
目ざめる [めざめる] /(v1) to wake up/
目ざわり [めざわり] /(adj-na,n) eyesore/unpleasant sight/obstructing a view/
目じゃない [めじゃない] /(exp) no big deal/no match/not worth worrying about/
目じり [めじり] /(n) corner of the eye/
目す [もくす] /(v5s,vt) (1) to recognize/to recognise/to distinguish/(2) to pay attention to/
目する [もくする] /(vs-s,vt) (1) to recognize/to recognise/to distinguish/(2) to pay attention to/
目っけ物 [めっけもの] /(n) bargain/find/
目つき [めつき] /(n) look/expression of the eyes/eyes/
目つぶし [めつぶし] /(n) (1) sand, ash, etc., thrown in the eyes to blind someone/throwing something at someone's eyes to blind them/(2) poking someone's eyes during a fight to blind them/
目と鼻の先 [めとはなのさき] /(exp) in front of your eyes/right next to you/
目にあう [めにあう] /(exp,v5u) to go through/to suffer/to experience (something unpleasant)/
目にかかる [めにかかる] /(exp,v5r) (1) to meet (someone of higher status)/(2) (arch) to be recognized (esp. by someone of higher status)/to be visible/to be seen/to be noticed/
目にする [めにする] /(exp,vs-i) to see/to witness/
目につく [めにつく] /(v5k) to be noticeable/to notice/to catch one's eye/
目にとまる [めにとまる] /(exp,v5r) to catch one's attention/
目には目を歯には歯を [めにはめをはにははを] /(exp) an eye for an eye and a tooth for a tooth/
目にもの見せる [めにものみせる] /(exp,v1) to teach someone a lesson/to show someone a thing or two/to show someone what one can do/
目に悪い [めにわるい] /(n) bad for the eyes/
目に一丁字なし [めにいっていじなし] /(exp) completely illiterate/
目に一丁字もない [めにいっちょうじもない] /(exp) completely illiterate/
目に一丁字もない [めにいっていじもない] /(exp) completely illiterate/
目に会う [めにあう] /(iK) (exp,v5u) to go through/to suffer/to experience (something unpleasant)/
目に角を立てる [めにかどをたてる] /(exp,v1) to look angrily at/to look with anger in one's eyes/
目に掛かる [めにかかる] /(exp,v5r) (1) to meet (someone of higher status)/(2) (arch) to be recognized (esp. by someone of higher status)/to be visible/to be seen/to be noticed/
目に懸かる [めにかかる] /(exp,v5r) (1) to meet (someone of higher status)/(2) (arch) to be recognized (esp. by someone of higher status)/to be visible/to be seen/to be noticed/
目に見えて [めにみえて] /(exp,adv) remarkably/noticeably/
目に見える [めにみえる] /(exp,v1) (1) to be visible/to be clearly seen/(2) to be certain/
目に止まる [めにとまる] /(exp,v5r) to catch one's attention/
目に触れる [めにふれる] /(exp,v1) to catch the eye/to attract attention/
目に染みる [めにしみる] /(exp,v1) to sting one's eyes/to make one's eyes smart/
目に遭う [めにあう] /(exp,v5u) to go through/to suffer/to experience (something unpleasant)/
目に入って来る [めにはいってくる] /(exp,vk) to come into view/
目に入る [めにはいる] /(exp,v5r) to catch sight of/to come into view/to happen to see/
目に入れても痛くない [めにいれてもいたくない] /(exp) thinking the sun shines out of someone's eyes/being the apple of one's eye/
目に付く [めにつく] /(v5k) to be noticeable/to notice/to catch one's eye/
目に浮かぶ [めにうかぶ] /(exp,v5b) to picture/to come into one's mind/to remember/
目に物見せる [めにものみせる] /(exp,v1) to teach someone a lesson/to show someone a thing or two/to show someone what one can do/
目に余る [めにあまる] /(exp,v5r) to be intolerable or unpardonable/
目に留まる [めにとまる] /(exp,v5r) to catch one's attention/
目のあたり [まのあたり] /(exp) before one's eyes/
目のやり場 [めのやりば] /(exp) place to look (esp. when averting one's eyes)/
目の悪い [めのわるい] /(adj-i) having poor vision/poorly sighted/
目の覚めるよう [めのさめるよう] /(adj-na) stunning/electrifying/striking/eye-popping/brilliant/
目の覚める様 [めのさめるよう] /(adj-na) stunning/electrifying/striking/eye-popping/brilliant/
目の詰んだ [めのつんだ] /(n) close/fine(-grained)/
目の玉 [めのたま] /(n) eyeball/
目の玉が飛び出る [めのたまがとびでる] /(exp,v1) eye-popping/staggering/
目の遣り場 [めのやりば] /(exp) place to look (esp. when averting one's eyes)/
目の高い [めのたかい] /(exp,adj-i) having an expert eye/
目の細かな織り [めのこまかなおり] /(n) fine texture/
目の子勘定 [めのこかんじょう] /(n) rough estimate/mental arithmetic/
目の子算 [めのこざん] /(n) rough estimate/mental arithmetic/
目の上のこぶ [めのうえのこぶ] /(exp) a thorn in one's side/a pain in the butt (often someone higher in rank, ability, etc.)/nuisance/something in the way/
目の上のたんこぶ [めのうえのたんこぶ] /(exp) a thorn in one's side/a pain in the butt (often someone higher in rank, ability, etc.)/a person standing in one's way/a superior who obstructs one's freedom of action/
目の上のたん瘤 [めのうえのたんこぶ] /(exp) a thorn in one's side/a pain in the butt (often someone higher in rank, ability, etc.)/a person standing in one's way/a superior who obstructs one's freedom of action/
目の上の瘤 [めのうえのこぶ] /(exp) a thorn in one's side/a pain in the butt (often someone higher in rank, ability, etc.)/nuisance/something in the way/
目の色 [めのいろ] /(n) eye color/eye colour/
目の正月 [めのしょうがつ] /(exp) feast for one's eyes/sight as pleasing as the New Year/
目の前 [めのまえ] /(exp) before one's eyes/immediate/imminent/(P)/
目の前がまっくらになる [めのまえがまっくらになる] /(exp,v5r) (1) to lose hope/(2) to be plunged into darkness/
目の前が暗くなる [めのまえがくらくなる] /(exp,v5r) to lose hope/
目の前が真っ暗になる [めのまえがまっくらになる] /(exp,v5r) (1) to lose hope/(2) to be plunged into darkness/
目の前に [めのまえに] /(adv) before one's eyes/
目の粗い [めのあらい] /(n) coarse (texture or grain)/
目の中に入れても痛くない [めのなかにいれてもいたくない] /(exp) thinking the sun shines out of someone's eyes/being the apple of one's eye/
目の敵 [めのかたき] /(n) enemy/
目の当たり [まのあたり] /(adv,n) in one's presence/face to face/on the spot/before one's eyes/
目の当り [まのあたり] /(adv,n) in one's presence/face to face/on the spot/before one's eyes/
目の毒 [めのどく] /(n) tempting thing/temptation/something that shouldn't be seen/
目の届く限り [めのとどくかぎり] /(n) as far as the eye can reach/
目の不自由 [めのふじゆう] /(n,adj-na) blindness/the blind/
目の付けどころ [めのつけどころ] /(exp) focus of one's attention/what one is looking for/
目の付け所 [めのつけどころ] /(exp) focus of one's attention/what one is looking for/
目の辺り [まのあたり] /(adv,n) in one's presence/face to face/on the spot/before one's eyes/
目の保養 [めのほよう] /(exp) feast for one's eyes/
目はし [めはし] /(n) quick wittedness/having tact/being sensible/
目は口ほどに物を言う [めはくちほどにものをいう] /(exp,v5u) (id) one can say more with a look than with ten thousand words/the eyes cannot belie one's true thoughts/the eyes are the windows to the soul/Eyes are as eloquent as the tongue/
目は口程に物を言う [めはくちほどにものをいう] /(exp,v5u) (id) one can say more with a look than with ten thousand words/the eyes cannot belie one's true thoughts/the eyes are the windows to the soul/Eyes are as eloquent as the tongue/
目ぼし [めぼし] /(n) objective/aim/mark/
目ぼしい [めぼしい] /(adj-i) (uk) main/chief/important/valuable/
目まい [めまい] /(n,vs,adj-no) dizziness/giddiness/vertigo/
目まぐるしい [めまぐるしい] /(adj-i) hectic/bewildering/bustling/dizzy/
目もくれない [めもくれない] /(adj-i) indifferent/paying no attention/taking no notice/
目も綾 [めもあや] /(adj-na) dazzlingly beautiful/brilliant/
目やに [めやに] /(n) eye mucus/eye discharge/"sleep"/
目をくらます [めをくらます] /(exp,v5s) to deceive/to blind the eyes of/
目をさます [めをさます] /(exp,v5s) (1) to wake up/(2) to sober up/to come to one's senses/to become enlightened/
目をそらす [めをそらす] /(exp,v5s) to look away/to avert one's eyes/
目をつける [めをつける] /(exp,v1) to have an eye on/to zero in on/
目をつぶる [めをつぶる] /(exp,v5r) to shut one's eyes/to ignore/to pretend not to know/
目をみはる [めをみはる] /(exp,v5r) to be wide-eyed (in surprise)/to open one's eyes wide (in wonder)/to be amazed (at, by)/
目をやる [めをやる] /(exp,v5r) to look towards/
目を逸らす [めをそらす] /(exp,v5s) to look away/to avert one's eyes/
目を引く [めをひく] /(exp,v5k) to attract notice/to catch the eye/to stand out/
目を悦ばす [めをよろこばす] /(exp,v5s) to feast one's eyes (on)/
目を覚ます [めをさます] /(exp,v5s) (1) to wake up/(2) to sober up/to come to one's senses/to become enlightened/
目を楽しませる [めをたのしませる] /(exp,v1) to be pleasure to the eye/to delight the eye/to please the eye/to feast one's eyes on/
目を丸くする [めをまるくする] /(exp,vs-i) to stare in wonder/
目を喜ばす [めをよろこばす] /(exp,v5s) to feast one's eyes (on)/
目を凝らす [めをこらす] /(exp,v5s) to stare/
目を見る [めをみる] /(exp,v1) to experience/
目を見張る [めをみはる] /(exp,v5r) to be wide-eyed (in surprise)/to open one's eyes wide (in wonder)/to be amazed (at, by)/
目を光らす [めをひからす] /(exp,v5s) to keep a watchful eye on/
目を光らせる [めをひからせる] /(exp,v1) to keep a watchful eye on/
目を向ける [めをむける] /(exp,v1) to shift one's attention to/to shift one's focus on/
目を合わせる [めをあわせる] /(exp,v1) to make eye contact/
目を細くする [めをほそくする] /(exp,vs-i) (1) (obsc) to smile with one's whole face/(2) to squint/
目を細める [めをほそめる] /(exp,v1) (1) to close one's eyes partly/to squint/(2) to smile with one's whole face/to look fondly at/
目を皿にする [めをさらにする] /(exp,vs-i) open one's eyes wide/with eyes open like saucers/
目を三角にして怒る [めをさんかくにしておこる] /(exp,v5r) to be really angry/
目を三角にする [めをさんかくにする] /(exp,vs-i) to look daggers at someone/to be angry/
目を止める [めをとめる] /(exp,v1) to take notice (of)/to pay attention (to)/
目を真ん円にする [めをまんまるにする] /(exp,vs-i) to be very surprised/
目を奪われる [めをうばわれる] /(exp,v1) to be captivated (visually)/
目を通す [めをとおす] /(exp,v5s) to scan/to look over/(P)/
目を盗む [めをぬすむ] /(exp,v5m) to do something behind someone's back/to do something stealthily/
目を配る [めをくばる] /(exp,v5r) to keep an eye on/to keep a watchful eye on/
目を白黒させる [めをしろくろさせる] /(exp,v1) to dart one's eyes about/to be surprised, confused or flustered/
目を付ける [めをつける] /(exp,v1) to have an eye on/to zero in on/
目を伏せる [めをふせる] /(exp,v1) to cast down one's eyes/
目を離す [めをはなす] /(exp,v5s) to take one's eyes off/
目を留める [めをとめる] /(exp,v1) to take notice (of)/to pay attention (to)/
目を眩ます [めをくらます] /(exp,v5s) to deceive/to blind the eyes of/
目を瞑る [めをつぶる] /(exp,v5r) to shut one's eyes/to ignore/to pretend not to know/
目ん玉 [めんたま] /(n) eyeballs/
目安 [めやす] /(n) (1) criterion/standard/yardstick/reference/aim/(2) rough estimate/approximation/(P)/
目移り [めうつり] /(n,vs) distraction/difficulty in choosing/inability to choose/
目違い [めちがい] /(n) error in judgment/error in judgement/
目医者 [めいしゃ] /(n) eye doctor/oculist/
目一杯 [めいっぱい] /(adj-na,adv,n) with all one's might/
目溢し [めこぼし] /(n,vs) connivance/overlook/
目溢れ [めこぼれ] /(n) overlooking/something overlooked/
目印 [めじるし] /(n,vs) mark/sign/landmark/(P)/
目引き袖引き [めひきそでひき] /(n) catching someone's attention by winking and tugging at their sleeve/
目隠し [めかくし] /(n,vs) (1) something used to cover the eyes/blindfold/blinder/blinker/eye bandage/(2) concealing one's home such that the interior cannot be seen from outside/
目隠し鬼 [めかくしおに] /(n) game of (blindfolded) tag similar to the children's swimming pool game "Marco Polo"/
目隠し葺き [めかくしぶき] /(n) tiles used to cover nail holes in cypress bark roofing for the purpose of waterproofing/
目映い [まばゆい] /(adj-i) dazzling/glaring/dazzlingly beautiful/
目映ゆい [まばゆい] /(adj-i) dazzling/glaring/dazzlingly beautiful/
目縁 [まぶち] /(n) eyelid/
目下 [めした] /(n) subordinate/subordinates/inferior/inferiors/junior/(P)/
目下 [もっか] /(n-adv,n-t) at present/now/(P)/
目蓋 [まぶた] /(n) eyelid/eyelids/
目覚し [めざまし] /(n) (1) (abbr) alarm clock/(2) opening one's eyes/keeping one's eyes open/(3) type of candy given to a child after it wakes up from a nap/
目覚しい [めざましい] /(adj-i) brilliant/splendid/striking/remarkable/
目覚し時計 [めざましとけい] /(n) alarm clock/
目覚し時計 [めざましどけい] /(n) alarm clock/
目覚まし [めざまし] /(n) (1) (abbr) alarm clock/(2) opening one's eyes/keeping one's eyes open/(3) type of candy given to a child after it wakes up from a nap/(P)/
目覚ましい [めざましい] /(adj-i) brilliant/splendid/striking/remarkable/(P)/
目覚まし時計 [めざましとけい] /(n) alarm clock/
目覚まし時計 [めざましどけい] /(n) alarm clock/(P)/
目覚ます [めざます] /(v5s) to wake up/
目覚め [めざめ] /(n) waking/
目覚める [めざめる] /(v1) to wake up/(P)/
目角 [めかど] /(n) corner of one's eye/
目角を立てる [めかどをたてる] /(exp,v1) to look angrily at/to look with anger in one's eyes/
目掛 [めかけ] /(n) mistress/kept woman/concubine/
目掛け [めかけ] /(n) mistress/kept woman/concubine/
目掛ける [めがける] /(v1,vt) to aim at/
目貫 [めぬき] /(n) sword hilt/decorative hilt/
目貫き [めぬき] /(n) sword hilt/decorative hilt/
目顔 [めがお] /(n) signal/look/
目詰まり [めづまり] /(n,vs) clogging up/
目詰り [めづまり] /(n,vs) clogging up/
目許 [めもと] /(n) eyes/skin round one's eyes/
目許千両 [めもとせんりょう] /(n) beautiful eyes/bright-eyed/there being a sublime charm about one's eyes/
目玉 [めだま] /(n) (1) eyeball/(2) (abbr) special feature/centerpiece/showpiece/drawcard/(3) special program/loss leader/(P)/
目玉企画 [めだまきかく] /(n) special feature (e.g. in a magazine)/special program/special project/
目玉商品 [めだましょうひん] /(n) bargain goods/eye-catching goods/featured product/loss leader/(P)/
目玉焼き [めだまやき] /(n) sunny-side-up fried eggs/
目玉番組 [めだまばんぐみ] /(n) special-feature program/
目串 [めぐし] /(n) suspicions/guess/
目撃 [もくげき] /(vs) (1) to observe/to witness/(adj-f) (2) eye-witness/(P)/
目撃者 [もくげきしゃ] /(n) eye-witness/witness/
目撃証言 [もくげきしょうげん] /(n) eyewitness testimony/
目撃情報 [もくげきじょうほう] /(n) eyewitness report/eyewitness information/
目撃談 [もくげきだん] /(n) first-hand account/
目見 [まみ] /(n) (arch) look/one's eyes/
目見え [めみえ] /(n,vs) (1) interview/(2) stage debut/first appearance/(3) (hum) meeting/(4) trial for a servant/
目見得 [めみえ] /(n,vs) (1) interview/(2) stage debut/first appearance/(3) (hum) meeting/(4) trial for a servant/
目元 [めもと] /(n) eyes/skin round one's eyes/
目減り [めべり] /(n,vs) loss in weight/decrease in value/(P)/
目交い [まなかい] /(n) between one's eyes/before one's eyes/space where one's left and right eyesight meet/
目交ぜ [めまぜ] /(n) winking/
目交ひ [まぐわい] /(n,vs) (uk) (arch) sexual intercourse/
目垢 [めあか] /(n) eye discharge or mucus/
目高 [めだか] /(n) medaka ricefish (Oryzias latipes)/killifish/
目合 [まぐわい] /(n,vs) (uk) (arch) sexual intercourse/
目合 [めあい] /(n) mesh size of a net/
目合い [めあい] /(n) mesh size of a net/
目合ひ [まぐわい] /(n,vs) (uk) (arch) sexual intercourse/
目黒 [めぐろ] /(n) (uk) Bonin white-eye (Apalopteron familiare)/
目今 [もっこん] /(n-adv,n-t) at present/
目差 [まなざし] /(n) (a) look/gaze/
目差 [めざし] /(n) (1) aim/goal/purpose/(2) look/eyes/expression of eyes/
目差し [まなざし] /(n) (a) look/gaze/
目差し [めざし] /(n) (1) aim/goal/purpose/(2) look/eyes/expression of eyes/
目差す [めざす] /(v5s,vt) to aim at/to have an eye on/
目算 [もくさん] /(n,vs) expectations/anticipation/calculation/estimate/plan/
目刺 [めざし] /(n) dried sardines (held together by a bamboo skewer or string piercing the eye sockets)/
目刺し [めざし] /(n) dried sardines (held together by a bamboo skewer or string piercing the eye sockets)/
目指 [めざし] /(n) (1) aim/goal/purpose/(2) look/eyes/expression of eyes/
目指し [めざし] /(n) (1) aim/goal/purpose/(2) look/eyes/expression of eyes/
目指す [めざす] /(v5s,vt) to aim at/to have an eye on/(P)/
目脂 [がんし] /(n) eye mucus/eye discharge/"sleep"/
目脂 [めやに] /(n) eye mucus/eye discharge/"sleep"/
目視 [もくし] /(n,vs,adj-no) eyesight/seeing/
目次 [もくじ] /(n) table of contents/(P)/
目耳 [めみみ] /(n) (one's own) eyes and ears/
目出し帽 [めだしぼう] /(n) ski mask/balaclava/
目出度い [めでたい] /(ateji) (adj-i) (1) (uk) happy/auspicious/propitious/joyous/(2) naive/(P)/
目出度し目出度し [めでたしめでたし] /(exp) (uk) and they all lived happily ever after (traditional ending to stories)/
目処 [めど] /(n) (1) (uk) aim/goal/(2) prospect/outlook/(P)/
目処がたつ [めどがたつ] /(exp,v5s) the prospects for a solution look brighter/there is hope that we can (accomplish a certain thing)/
目処が付く [めどがつく] /(exp,v5k) to have a rough idea of what the situation is/
目処が立つ [めどがたつ] /(exp,v5s) the prospects for a solution look brighter/there is hope that we can (accomplish a certain thing)/
目障り [めざわり] /(adj-na,n) eyesore/unpleasant sight/obstructing a view/
目上 [めうえ] /(n) superior/superiors/senior/(P)/
目色 [めいろ] /(n) facial expression/
目尻 [めじり] /(n) corner of the eye/
目新しい [めあたらしい] /(adj-i) original/novel/new/
目深 [まぶか] /(adv) wearing low over one's eyes/
目星 [めぼし] /(n) objective/aim/mark/
目盛 [めもり] /(n) scale/gradations/
目盛り [めもり] /(n) scale/gradations/(P)/
目先 [めさき] /(n) near future/immediate/before one's eyes/under one's nose/(P)/
目先がきく [めさきがきく] /(exp,v5k) to have foresight/to be farsighted/to be nimble-witted/
目先が利く [めさきがきく] /(exp,v5k) to have foresight/to be farsighted/to be nimble-witted/
目先相場 [めさきそうば] /(n) the market trend in the near future/
目線 [めせん] /(n) (1) one's gaze/(2) from the point of view of/
目前 [もくぜん] /(n,adj-no) before one's very eyes/under one's nose/imminence/close at hand/(P)/
目早い [めばやい] /(adj-i) sharp-eyed/
目草 [まぐさ] /(n) lintel/lintel beam/
目送 [もくそう] /(n,vs) following with one's eyes/gazing after/
目測 [もくそく] /(n,vs) eye measurement/measure with eye/(P)/
目打ち [めうち] /(n) perforation/
目叩く [めたたく] /(v5k,vt) (1) to twinkle (e.g. stars)/to flicker/to waver/(2) to blink (one's eyes)/to wink/
目端 [めはし] /(n) quick wittedness/having tact/being sensible/
目端がきく [めはしがきく] /(exp,v5k) to be quick-witted/to be tactful/to be sensible/
目端が利く [めはしがきく] /(exp,v5k) to be quick-witted/to be tactful/to be sensible/
目地 [めじ] /(n) joint/
目茶 [めちゃ] /(ateji) (adj-na,n) (1) (uk) absurd/ridiculous/nonsense/(2) excessive/extreme/
目茶苦茶 [めちゃくちゃ] /(adj-na,n) (1) (uk) absurd/unreasonable/nonsensical/preposterous/incoherent/(2) extreme/senseless/reckless/wanton/(3) disorder/confusion/mess/wreck/(P)/
目茶目茶 [めちゃめちゃ] /(adj-na,n) (1) disorderly/messy/ruined/(2) absurd/unreasonable/excessive/rash/(P)/
目張 [めばる] /(n) (uk) black rockfish (Sebastes inermis)/darkbanded rockfish/
目張り [めばり] /(n,vs) (1) weather stripping/(2) putting on eyeliner/
目通し [めどおし] /(n) glancing through/
目通り [めどおり] /(n) audience with/
目潰し [めつぶし] /(n) (1) sand, ash, etc., thrown in the eyes to blind someone/throwing something at someone's eyes to blind them/(2) poking someone's eyes during a fight to blind them/
目釘 [めくぎ] /(n) rivet on a sword hilt/
目的 [もくてき] /(n) purpose/goal/aim/objective/intention/(P)/
目的にかなう [もくてきにかなう] /(exp,v5u) to serve one's aim/to serve one's purpose/
目的に適う [もくてきにかなう] /(exp,v5u) to serve one's aim/to serve one's purpose/
目的のためには手段を選ばない [もくてきのためにはしゅだんをえらばない] /(exp) to be willing to do anything (any trick) to achieve one's end/
目的を貫く [もくてきをつらぬく] /(exp,v5k) to accomplish (attain) one's object/
目的プログラム [もくてきプログラム] /(n) (comp) object program/
目的モジュール [もくてきモジュール] /(n) (comp) object module/
目的意識 [もくてきいしき] /(n) sense of purpose/
目的因 [もくてきいん] /(n) final cause/
目的格 [もくてきかく] /(n) (ling) objective case/
目的格補語 [もくてきかくほご] /(n) objective complement/noun or adjective following and modifing the direct object/
目的言語 [もくてきげんご] /(n) (comp) object language/
目的語 [もくてきご] /(n) (ling) object/
目的税 [もくてきぜい] /(n) earmarked tax/special-purpose tax/
目的地 [もくてきち] /(n) place of destination/(P)/
目的的 [もくてきてき] /(adj-na) purposeful/purposive/intentional/
目的物 [もくてきぶつ] /(n) object/objective/aim/
目的要素 [もくてきようそ] /(n) (comp) target element/
目的論 [もくてきろん] /(n) teleology/
目的論的証明 [もくてきろんてきしょうめい] /(n) teleological argument/argument from design/
目貼り [めばり] /(n,vs) (1) weather stripping/(2) putting on eyeliner/
目塗り [めぬり] /(n,vs) sealing or plastering up/
目途 [めど] /(n) (1) (uk) aim/goal/(2) prospect/outlook/
目途がたつ [めどがたつ] /(exp,v5s) the prospects for a solution look brighter/there is hope that we can (accomplish a certain thing)/
目途が立つ [めどがたつ] /(exp,v5s) the prospects for a solution look brighter/there is hope that we can (accomplish a certain thing)/
目当 [めあて] /(io) (n) (1) mark/guide/landmark/(2) purpose/aim/goal/intention/end/(3) sight (on a firearm)/
目当て [めあて] /(n) (1) mark/guide/landmark/(2) purpose/aim/goal/intention/end/(3) sight (on a firearm)/(P)/
目頭 [めがしら] /(n) inner canthus/inner corner of the eye/(P)/
目配せ [めくばせ] /(n,vs) exchanging looks/winking/making an eye signal/
目配り [めくばり] /(n,vs) being watchful/keeping watch/keeping an eye open/
目白 [めじろ] /(n) (1) (uk) white-eye family of birds (Zosteropidae)/(2) Japanese white-eye (Zosterops japonicus)/(P)/
目白押し [めじろおし] /(n) jostling/milling about/(P)/
目白鮫 [めじろざめ] /(n) (uk) sandbar shark (Carcharhinus plumbeus, a species of requiem shark)/
目八分 [めはちぶ] /(n) (1) below eye level/(2) about eight-tenths full/
目八分 [めはちぶん] /(n) (1) below eye level/(2) about eight-tenths full/
目抜 [めぬけ] /(n) (1) (uk) any large, red, deep-water scorpionfish with big eyes/(2) Matsubara's red rockfish (Sebastes matsubarae)/
目抜 [メヌケ] /(n) (1) (uk) any large, red, deep-water scorpionfish with big eyes/(2) Matsubara's red rockfish (Sebastes matsubarae)/
目抜き [めぬき] /(n,adj-no) principal/main/important/fashionable/(P)/
目抜き通り [めぬきどおり] /(n) principal street/
目板 [めいた] /(n) panel strip/butt strap/batten/fishplate/
目庇 [まびさし] /(n) visor/eyeshade/
目鼻 [めはな] /(n) shape/form/
目鼻がつく [めはながつく] /(exp,v5k) to complete most of something/to take a concrete shape/the nose and eyes are in place (the important parts are done)/
目鼻が付く [めはながつく] /(exp,v5k) to complete most of something/to take a concrete shape/the nose and eyes are in place (the important parts are done)/
目鼻立 [めはなだち] /(n) (a set of) facial features/looks/
目鼻立ち [めはなだち] /(n) (a set of) facial features/looks/
目標 [めじるし] /(n,vs) mark/sign/landmark/
目標 [もくひょう] /(n) mark/objective/target/(P)/
目標シソーラス [もくひょうシソーラス] /(n) (comp) target thesaurus/
目標デスクリプタ [もくひょうデスクリプタ] /(n) (comp) target descriptor/
目標プログラム [もくひょうプログラム] /(n) (comp) target program/
目標管理 [もくひょうかんり] /(n) management by objectives/MBO/
目標言語 [もくひょうげんご] /(n) target language/object language/
目標達成 [もくひょうたっせい] /(n) achievement of one's goal/goal achievement/
目敏い [めざとい] /(adj-i) (1) sharp sighted/(2) easily awakened/
目付 [めつけ] /(n) censor/overseer/inspector (Edo period)/
目付き [めつき] /(n) look/expression of the eyes/eyes/(P)/
目腐れ [めくされ] /(n) bleary-eyed person/
目腐れ金 [めくされがね] /(n) pittance/
目分量 [めぶんりょう] /(n) measuring by eye/
目糞 [めくそ] /(n) eye discharge or mucus/
目糞鼻糞を笑う [めくそはなくそをわらう] /(exp) (id) the pot calling the kettle black (lit: for the sleep in one's eyes to laugh at the snot in one's nose)/
目糞鼻屎を笑う [めくそはなくそをわらう] /(exp) (id) the pot calling the kettle black (lit: for the sleep in one's eyes to laugh at the snot in one's nose)/
目偏 [めへん] /(n) kanji "eye" radical at left/
目方 [めかた] /(n) weight/(P)/
目明かし [めあかし] /(n) hired thief taker (Edo-period)/private detective/private secret policeman/
目明き [めあき] /(n) one who can see/educated or sensible person/
目明き千人盲千人 [めあきせんにんめくらせんにん] /(exp) (id) Some are wise and some are otherwise/
目木 [めぎ] /(n) (uk) Japanese barberry (Berberis thunbergii)/
目薬 [めぐすり] /(n) eye drops/eyewash/(P)/
目薬を差す [めぐすりをさす] /(exp,v5s) to apply eyedrops/
目薬を注す [めぐすりをさす] /(exp,v5s) to apply eyedrops/
目薬を点す [めぐすりをさす] /(exp,v5s) to apply eyedrops/
目利き [めきき] /(n) judgement/judgment/connoisseur/
目利安 [めりやす] /(n) knitting (spa: medias, por: meias)/hosiery/knitted goods/
目立ちたがり [めだちたがり] /(n) show-off/
目立ちたがり屋 [めだちたがりや] /(n) show-off/
目立ちたがる [めだちたがる] /(v5r) to show off/
目立つ [めだつ] /(v5t,vi) to be conspicuous/to stand out/(P)/
目立て [めたて] /(n) setting (of a saw)/
目力 [めじから] /(n) the ability to convey strong emotions with his eyes (for an actor)/eyes that convey a strong sense of purpose/
目礼 [もくれい] /(n,vs) nodding/greeting (with eyes)/
目録 [もくろく] /(n) (1) catalogue/catalog/inventory/index/list/(2) certificate indicating an impending gift/(P)/
目論み [もくろみ] /(n,vs) plan/scheme/project/program/programme/intention/goal/
目論む [もくろむ] /(v5m,vt) to plan/to form a plan/to scheme/to envision/to intend to do/
目論見 [もくろみ] /(n,vs) plan/scheme/project/program/programme/intention/goal/
目論見書 [もくろみしょ] /(n) prospectus/offering memorandum/
目屎 [めくそ] /(n) eye discharge or mucus/
目戍る [みまもる] /(iK) (v5r,vt) to watch over/to watch attentively/
目撥 [めばち] /(n) bigeye tuna (edible fish, Thunnus obesus)/
目眩 [めまい] /(n,vs,adj-no) dizziness/giddiness/vertigo/(P)/
目眩い [めまい] /(io) (n,vs,adj-no) dizziness/giddiness/vertigo/
目眩く [めくるめく] /(v5k,vi) to dazzle/to blind/
目眩し [めくらまし] /(n) (1) smoke screen/dazzler/distraction/(2) camouflage/deceptive means/(3) magic/witchcraft/sleight of hand/(4) shell game/
目眩まし [めくらまし] /(n) (1) smoke screen/dazzler/distraction/(2) camouflage/deceptive means/(3) magic/witchcraft/sleight of hand/(4) shell game/
目笊 [めざる] /(n) openwork bamboo basket/
目箒 [めぼうき] /(n) (uk) sweet basil/
目籠 [めかご] /(n) openwork bamboo basket/
目鬘 [めかずら] /(n) simple paper mask/
杢魚 [もくぎょ] /(n) fish-shaped wooden temple drum/
杢糸 [もくし] /(n) grandrelle yarn/mouline yarn/mottled yarn/mock twist yarn/
杢調 [もくちょう] /(adj-no) mottled (cloth color)/speckled/grainy/
勿 [まな] /(n) (arch) must not/may not/
勿れ [なかれ] /(prt) must not/do not/
勿れ主義の道徳 [なかれしゅぎのどうとく] /(n) negative virtues/
勿怪 [もっけ] /(adj-no,adj-na,n) (uk) unexpected/
勿怪の幸い [もっけのさいわい] /(exp) windfall/piece of good luck/
勿吉 [もっきつ] /(n) (arch) Mohe (one of the Tungusic-speaking tribes)/
勿体 [もったい] /(n) (1) superior airs/air of importance/(2) overemphasis/
勿体ない [もったいない] /(adj-i) (1) (uk) impious/profane/sacrilegious/(2) too good/more than one deserves/unworthy of/(3) wasteful/(P)/
勿体ぶる [もったいぶる] /(v5r,vi) to put on airs/to assume importance/
勿体振る [もったいぶる] /(v5r,vi) to put on airs/to assume importance/
勿体無い [もったいない] /(adj-i) (1) (uk) impious/profane/sacrilegious/(2) too good/more than one deserves/unworthy of/(3) wasteful/
勿忘草 [わすれなぐさ] /(n) forget-me-not (esp. the water forget-me-not, Myosotis scorpioides)/
勿論 [もちろん] /(adv) (uk) of course/certainly/naturally/(P)/
餅 [あも] /(ok) (n) (uk) sticky rice cake/
餅 [あんも] /(n) (1) mochi rice cake/
餅 [かちん] /(ok) (n) (uk) sticky rice cake/
餅 [もち] /(n) (uk) sticky rice cake/(P)/
餅 [もちい] /(ok) (n) (uk) sticky rice cake/
餅いなり [もちいなり] /(n) sticky rice wrapped in deep-fried tofu/
餅つき [もちつき] /(n) pounding mochi/
餅は餅屋 [もちはもちや] /(exp) (id) every man knows his own business best/one should go to specialists for the best results/
餅屋 [もちや] /(n) rice cake shop keeper/rice cake store (shop)/
餅花 [もちばな] /(n) mochi flower (mochi used to decorate trees, e.g. for the New Year)/
餅菓子 [もちがし] /(n) bean-jam cake/
餅子 [ピンズ] /(n) dot tiles (in mahjong)/circle tiles/
餅草 [もちぐさ] /(n) Japanese mugwort/
餅代 [もちだい] /(n) money to see one over the New Year period/
餅肌 [もちはだ] /(n) soft skin/smooth skin/
餅米 [もちごめ] /(n) glutinous rice/
餅網 [もちあみ] /(n) grill or grate for toasting rice cakes/
餅搗き [もちつき] /(n) pounding mochi/
餅躑躅 [もちつつじ] /(n) (1) (uk) Rhododendron macrosepalum/(2) (uk) (arch) Japanese azalea (Rhododendron japonicum)/renge azalea/
餅餤 [へいたん] /(n) type of pastry of the Heian period made of duck or goose eggs mixed with vegetables boiled and wrapped in mochi which is then cut into squares/
餅餤 [へいだん] /(n) type of pastry of the Heian period made of duck or goose eggs mixed with vegetables boiled and wrapped in mochi which is then cut into squares/
餅餤 [べいだん] /(n) type of pastry of the Heian period made of duck or goose eggs mixed with vegetables boiled and wrapped in mochi which is then cut into squares/
尤なる [ゆうなる] /(exp) superb/outstanding/
尤も [もっとも] /(adj-na,adv,conj,n) quite right/plausible/natural/but then/although/(P)/
尤もらしい [もっともらしい] /(adj-i) (1) plausible/believable/(2) solemn/dignified/serious/(P)/
尤もらしい顔 [もっともらしいかお] /(exp) dignified expression/solemn expression/serious expression/
尤度 [ゆうど] /(n) plausibility/likelihood/
尤物 [ゆうぶつ] /(n) something superior/beautiful woman/
戻し [もどし] /(n) returning/giving back/(P)/
戻す [もどす] /(v5s,vt) to restore/to put back/to return/to give back/(P)/
戻ってくる [もどってくる] /(vk) to come back/
戻って行く [もどっていく] /(v5k-s) to go back/
戻って来る [もどってくる] /(vk) to come back/
戻り [もどり] /(n) (1) return/reaction/recovery/(2) (comp) return (from a procedure)/(P)/
戻り値 [もどりち] /(n) (comp) return value/return(ed) value/
戻り道 [もどりみち] /(n) the way back/
戻る [もどる] /(v5r,vi) to turn back/to return/to go back/to recover/to rebound/(P)/
戻入 [れいにゅう] /(n,vs) reversal of monies, funds, commissions/
籾 [もみ] /(n) unhulled rice/
籾殻 [もみがら] /(n) rice husks/
貰い子 [もらいご] /(n) adopted child/foster child/
貰い手 [もらいて] /(n) receiver/recipient/
貰い受ける [もらいうける] /(v1,vt) to get/to be given/
貰い乳 [もらいちち] /(n) having one's baby nursed by another woman/wet-nursing/breast milk received from another woman/
貰い乳 [もらいぢ] /(ok) (n) having one's baby nursed by another woman/wet-nursing/breast milk received from another woman/
貰い乳 [もらいぢち] /(n) having one's baby nursed by another woman/wet-nursing/breast milk received from another woman/
貰い物 [もらいもの] /(n) (received) present/gift/
貰う [もらう] /(v5u,vt) (1) (uk) to receive/to take/to accept/(2) to get somebody to do something (follows a verb in "te" form)/(P)/
貰泣き [もらいなき] /(n) infectious crying/
問 [とい] /(n) question/query/
問 [もん] /(suf,ctr) counter for questions/(P)/
問い [とい] /(n) question/query/(P)/
問いかける [といかける] /(v1,vt) (1) to ask a question/(2) to begin to ask a question/
問いただす [といただす] /(v5s,vt) to enquire of someone about something (inquire)/to question/
問いつめる [といつめる] /(v1,vt) to press a question/to cross-examine/
問いなおす [といなおす] /(v5s) to question/to query/
問いをかける [といをかける] /(exp,v1) to ask a question of (a person)/
問いを掛ける [といをかける] /(exp,v1) to ask a question of (a person)/
問い掛ける [といかける] /(v1,vt) (1) to ask a question/(2) to begin to ask a question/
問い詰める [といつめる] /(v1,vt) to press a question/to cross-examine/
問い合せる [といあわせる] /(v1) to enquire/to inquire/to seek information/
問い合わせ [といあわせ] /(n) enquiry/inquiry/ENQ/query/interrogation/(P)/
問い合わせる [といあわせる] /(v1) to enquire/to inquire/to seek information/(P)/
問い合わせ状 [といあわせじょう] /(n) letter of inquiry/letter of enquiry/
問い合わせ先 [といあわせさき] /(n) reference/
問い質す [といただす] /(v5s,vt) to enquire of someone about something (inquire)/to question/
問い正す [といただす] /(iK) (v5s,vt) to enquire of someone about something (inquire)/to question/
問い直す [といなおす] /(v5s) to question/to query/
問い返す [といかえす] /(v5s,vt) to ask again/to ask back/
問う [とう] /(v5u-s,vt) (1) to ask/to question/to inquire/(2) to charge (i.e. with a crime)/to accuse/(3) to care (about)/(4) without regard to (with negative verb)/(P)/
問うは一時の恥問わぬは末代の恥 [とうはいっときのはじとわぬはまつだいのはじ] /(exp) (id) Better to ask and be embarrassed than not ask and never to know/
問わず [とわず] /(exp) regardless of/
問わず語り [とわずがたり] /(n) unprompted remark or statement/
問屋 [といや] /(n) wholesale store/
問屋 [とんや] /(n) wholesale store/(P)/
問掛ける [といかける] /(v1,vt) (1) to ask a question/(2) to begin to ask a question/
問合せ [といあわせ] /(n) enquiry/inquiry/ENQ/query/interrogation/
問合せる [といあわせる] /(v1) to enquire/to inquire/to seek information/
問合せ関数 [といあわせかんすう] /(n) (comp) inquiry function/
問合せ機能 [といあわせきのう] /(n) (comp) inquiry function/
問合せ言語 [といあわせげんご] /(n) (comp) query language/
問合せ端末 [といあわせたんまつ] /(n) (comp) inquiry station/
問合わせる [といあわせる] /(v1) to enquire/to inquire/to seek information/
問罪 [もんざい] /(n,vs) accusation/indictment/
問診 [もんしん] /(n,vs) interview (usually medical)/history taking/
問診票 [もんしんひょう] /(n) medical questionnaire/medical interview sheet/medical history form/
問診表 [もんしんひょう] /(n) medical questionnaire/medical interview sheet/medical history form/
問責 [もんせき] /(n,vs) blame/censure/reproof/reprimand/rebuke/(P)/
問責決議 [もんせきけつぎ] /(n) (decision to) censure (as issued by the upper house of parliament)/
問責決議案 [もんせきけつぎあん] /(n) censure motion (in the upper house)/
問題 [もんだい] /(n) problem/question/(P)/
問題にならない [もんだいにならない] /(exp,adj-i) unthinkable/count for nothing/not matter/out of the question/
問題の解決 [もんだいのかいけつ] /(n) (comp) problem solution/
問題の点 [もんだいのてん] /(n) point in dispute/
問題を扱う [もんだいをあつかう] /(exp,v5u) to deal with (handle) a matter/
問題を詰める [もんだいをつめる] /(exp,v1) to work toward a solution to a problem/
問題を取り上げる [もんだいをとりあげる] /(exp,v1) to take up a problem/
問題を避ける [もんだいをさける] /(exp,v1) to avoid a problem/
問題意識 [もんだいいしき] /(n) awareness of the issues/(P)/
問題化 [もんだいか] /(n,vs) make an issue or problem of something/something becoming a problem or issue/
問題解決 [もんだいかいけつ] /(n) problem-solving/
問題解決能力 [もんだいかいけつのうりょく] /(n) problem-solving ability/
問題外 [もんだいがい] /(n) unthinkable/out of the question/
問題記述 [もんだいきじゅつ] /(n) (comp) problem definition/problem description/
問題群 [もんだいぐん] /(n) group of problems/set of issues/
問題劇 [もんだいげき] /(n) controversial or problem play/
問題向き言語 [もんだいむきげんご] /(n) (comp) problem-oriented language/
問題債権 [もんだいさいけん] /(n) problem loans/
問題視 [もんだいし] /(n,vs) viewed as a problem/
問題児 [もんだいじ] /(n) problem child/
問題集 [もんだいしゅう] /(n) question collection/problem collection/workbook/
問題商法 [もんだいしょうほう] /(n) unscrupulous (crooked, fraudulent) business practices/pernicious sales methods/
問題定義 [もんだいていぎ] /(n) (comp) problem definition/problem description/
問題提起 [もんだいていき] /(n,vs) raising a question/posing a problem/setting a hare running/
問題点 [もんだいてん] /(n) the point at issue/(P)/
問題発言 [もんだいはつげん] /(n) problematical statement/controversial statement/
問題領域 [もんだいりょういき] /(n) problem area/
問注所 [もんじゅうしょ] /(n) (arch) High Court (of Kamakura)/Board of Inquiry/
問注所 [もんちゅうじょ] /(n) (arch) High Court (of Kamakura)/Board of Inquiry/
問答 [もんどう] /(n,vs) questions and answers/dialogue/(P)/
問答法 [もんどうほう] /(n) dialectic/dialectics/
問答無益 [もんどうむえき] /(n) there being no use in arguing (about it)/being stone-deaf to someone's appeals/
問答無用 [もんどうむよう] /(n) there being no use in arguing (about it)/
悶々 [もんもん] /(adj-na,n) worrying endlessly/anguishedly/
悶え [もだえ] /(n) agony/anguish/
悶える [もだえる] /(v1,vi) to be in agony/to worry/
悶死 [もんし] /(n,vs) die in agony/
悶絶 [もんぜつ] /(n,vs) fainting in agony/
悶着 [もんちゃく] /(n,vs) trouble/quarrel/dispute/
悶悶 [もんもん] /(adj-na,n) worrying endlessly/anguishedly/
紋 [もん] /(n) (family) crest/coat of arms/(P)/
紋羽二重 [もんはぶたえ] /(n) crest-decorated habutae (silk fabric used as a cloth for lining high-quality kimono)/figured habutae/
紋黄蝶 [もんきちょう] /(n) (uk) eastern pale clouded yellow (butterfly, Colias erate)/
紋殻皮剥 [もんがらかわはぎ] /(n) (uk) clown triggerfish (Balistoides conspicillum)/
紋所 [もんどころ] /(n) family crest/
紋章 [もんしょう] /(n) crest/coat of arms/(P)/
紋章学 [もんしょうがく] /(n) heraldry/
紋織り [もんおり] /(n) figured textiles/
紋雀蜂 [もんすずめばち] /(n) (uk) European hornet (Vespa crabro)/
紋切り型 [もんきりがた] /(adj-na,n,adj-no) fixed formula/stereotyped phrase/hackneyed/(P)/
紋切型 [もんきりがた] /(adj-na,n,adj-no) fixed formula/stereotyped phrase/hackneyed/
紋日 [もんび] /(n) (1) holiday/(2) day on which prostitutes had to receive clients/
紋日 [もんぴ] /(n) (1) holiday/(2) day on which prostitutes had to receive clients/
紋白蝶 [もんしろちょう] /(n) (uk) small cabbage white butterfly (Pieris rapae)/
紋付 [もんつき] /(n) clothing (e.g. kimono) decorated with one's family crest/
紋付き [もんつき] /(n) clothing (e.g. kimono) decorated with one's family crest/
紋服 [もんぷく] /(n) clothing decorated with one's family crest/
紋様 [もんよう] /(n) pattern/design/
門 [かど] /(n,n-suf) (1) gate/(P)/
門 [と] /(n) (1) (arch) entrance (to a home)/(2) (arch) narrows/
門 [もん] /(n,n-suf) (1) gate/(2) branch of learning based on the teachings of a single master/(3) (biological) division/(ctr) (4) counter for cannons/(P)/
門違い [かどちがい] /(exp) barking up the wrong tree/calling at the wrong house/
門院 [もんいん] /(n) empress dowager/
門衛 [もんえい] /(n) gatekeeper/doorman/porter/
門下 [もんか] /(n) one's pupil or student or follower/(P)/
門下省 [もんかしょう] /(n) Chancellery (Tang-dynasty China)/
門下生 [もんかせい] /(n) pupil/disciple/follower/(P)/
門火 [かどび] /(n) fire lit at a gate for funerals, weddings and Obon/
門外 [もんがい] /(n) outside a gate/beyond one's area of expertise/
門外漢 [もんがいかん] /(n) outsider/layman/amateur/(P)/
門外不出 [もんがいふしゅつ] /(n,adj-no) (treasuring something by) never taking (it) off the premises/
門鑑 [もんかん] /(n) a pass allowing one through a gate/
門限 [もんげん] /(n) closing time/lockup/curfew/
門戸 [もんこ] /(n) door/(P)/
門戸を開く [もんこをひらく] /(exp,v5k) to (metaphorically) open the door (to)/
門戸を閉ざす [もんこをとざす] /(exp,v5s) to exclude/to close the door to/
門戸開放 [もんこかいほう] /(n,adj-no) open door policy/
門戸開放政策 [もんこかいほうせいさく] /(n) open door policy/
門口 [かどぐち] /(n) door/entrance/gateway/
門構 [かどがまえ] /(io) (n) (1) kanji "gate" radical/
門構 [もんがまえ] /(io) (n) (1) style or construction of a gate/gate-equipped (house, shop, etc.)/(2) kanji "gate" radical/
門構え [かどがまえ] /(n) (1) kanji "gate" radical/
門構え [もんがまえ] /(n) (1) style or construction of a gate/gate-equipped (house, shop, etc.)/(2) kanji "gate" radical/
門札 [もんさつ] /(n) doorplate/nameplate/gate pass/
門歯 [もんし] /(n) incisor/incisive tooth/
門出 [かどで] /(n,vs) (1) leaving one's own house (e.g. when going to war)/departure/setting out/(2) starting a new life/starting life anew/
門出茸 [かどでたけ] /(n) (obsc) departure mushroom/
門松 [かどまつ] /(n) New Year's pine decoration/(P)/
門人 [もんじん] /(n) pupil/student/follower/
門生 [もんせい] /(n) pupil/student/follower/
門跡 [もんぜき] /(n) (head priest of) temple formerly led by founder of sect/temple in which resided a member of nobility or imperial family/(head priest of) Honganji (temple in Kyoto)/
門前 [もんぜん] /(n) before a gate/(P)/
門前の小僧習わぬ経を読む [もんぜんのこぞうならわぬきょうをよむ] /(exp) (id) you learn, without realising it, from what is around you/a young monk outside the gate can read sutras he has never studied/
門前市をなす [もんぜんいちをなす] /(exp,v5s) to have many visitors (of a home)/to be prosperous (of a shop)/
門前市を成す [もんぜんいちをなす] /(exp,v5s) to have many visitors (of a home)/to be prosperous (of a shop)/
門前雀羅 [もんぜんじゃくら] /(n) (a house) looking deserted with few visitors/
門前成市 [もんぜんせいし] /(n) having a constant stream of visitors/being thronged with callers/
門前町 [もんぜんちょう] /(n) town originally built around a temple or shrine/
門前町 [もんぜんまち] /(n) town originally built around a temple or shrine/
門前払い [もんぜんばらい] /(n) turning another away at the gate or front door/refusing to receive a caller/(P)/
門地 [もんち] /(n) degree/lineage/
門柱 [もんちゅう] /(n) gatepost/pier/
門弟 [もんてい] /(n) disciple/pupil/follower/
門徒 [もんと] /(n) follower/believer/
門灯 [もんとう] /(n) gate lamp/
門内 [もんない] /(n) inside the gates/
門波 [となみ] /(n) (arch) clashing waves/tides in narrow sea straits/
門閥 [もんばつ] /(n) lineage/pedigree/good family/
門番 [もんばん] /(n) gatekeeper/
門扉 [もんぴ] /(n) door(s) of a gate/(P)/
門付 [かどつけ] /(n,vs) door-to-door entertainment/door-to-door entertainer/strolling musician/street musician/
門付 [かどづけ] /(n,vs) door-to-door entertainment/door-to-door entertainer/strolling musician/street musician/
門付け [かどつけ] /(n,vs) door-to-door entertainment/door-to-door entertainer/strolling musician/street musician/
門付け [かどづけ] /(n,vs) door-to-door entertainment/door-to-door entertainer/strolling musician/street musician/
門付け歌 [かどづけうた] /(n) (arch) song sung door-to-door/
門付歌 [かどづけうた] /(n) (arch) song sung door-to-door/
門附 [かどつけ] /(n,vs) door-to-door entertainment/door-to-door entertainer/strolling musician/street musician/
門附 [かどづけ] /(n,vs) door-to-door entertainment/door-to-door entertainer/strolling musician/street musician/
門附け [かどつけ] /(n,vs) door-to-door entertainment/door-to-door entertainer/strolling musician/street musician/
門附け [かどづけ] /(n,vs) door-to-door entertainment/door-to-door entertainer/strolling musician/street musician/
門並み [かどなみ] /(n-t) line of houses/at every door/
門脈 [もんみゃく] /(n,adj-no) portal vein/
門葉 [もんよう] /(n) (obsc) blood line/lineage/connected by blood/
門涼み [かどすずみ] /(n) (arch) stepping outside to cool down/cooling down outside the gate/
門廊 [もんろう] /(n) corridor connecting an annex to a pond-side building (in traditional palatial-style architecture)/
門浪 [となみ] /(n) (arch) waves in narrow straits/
匁 [もんめ] /(n) unit of weight, approx. 3.75 g/
也 [なり] /(aux-v) (1) (uk) (arch) to be (an affirmation)/(2) (uk) (arch) to be (location)/(n,suf) (3) sum of money (used to express an exact sum on a receipt, envelope, certificate, etc.)/
冶 [や] /(n) melting/
冶金 [やきん] /(n,adj-no) metallurgy/
冶金学 [やきんがく] /(n) metallurgy (the science)/
冶金学者 [やきんがくしゃ] /(n) metallurgist/
冶具 [じぐ] /(ateji) (iK) (n) (uk) jig (tool)/
冶工 [やこう] /(n) metallurgical worker/
夜 [よ] /(n-adv,n-t) evening/night/
夜 [よる] /(n-adv,n-t) evening/night/(P)/
夜々 [よよ] /(n-adv,n-t) every evening/night after night/
夜々中 [よるよなか] /(n-t) midnight/
夜があける [よがあける] /(exp,v1) dawn breaks/day dawns/
夜が明ける [よがあける] /(exp,v1) dawn breaks/day dawns/
夜ごと [よごと] /(n-adv,n-t) every night/nightly/
夜ごはん [よるごはん] /(n) dinner/
夜ご飯 [よるごはん] /(n) dinner/
夜っぴて [よっぴて] /(n) all night/throughout the night/
夜でも見える目 [よるでもみえるめ] /(n) eyes capable of seeing in the dark/
夜どおし [よどおし] /(adv,n) all night/throughout the night/
夜なか [よなか] /(n-adv,n-t) midnight/dead of night/
夜なべ [よなべ] /(n,vs) night work/
夜な夜な [よなよな] /(adv) every evening/night after night/
夜のしじま [よるのしじま] /(exp) stillness of night/
夜の静寂 [よるのしじま] /(exp) stillness of night/
夜の帳 [よるのとばり] /(n) veil of darkness/
夜の蝶 [よるのちょう] /(n) hostess (at a bar, cabaret, etc.)/
夜の目 [よのめ] /(n) (1) eyes of the night/(2) eyes asleep/at night/
夜の目も寝ず [よのめもねず] /(exp) sitting up all night/staying up all night/
夜の目も寝ない [よのめもねない] /(n) staying up all night/
夜ふかし [よふかし] /(n,vs) staying up late/keeping late hours/sitting up late at night/nighthawk/
夜ふけ [よふけ] /(n) late at night/
夜ふけて [よふけて] /(exp) late at night/deep in the night/
夜もすがら [よもすがら] /(adv) all night/
夜も日も明けない [よもひもあけない] /(exp) cannot live even a minute without someone or something/meaning the world to one/
夜を日についで [よをひについで] /(exp) day and night/turning night into day/
夜を日に継いで [よをひについで] /(exp) day and night/turning night into day/
夜を明かす [よをあかす] /(exp,v5s) to intentionally pass the night without sleeping until morning/
夜暗 [やあん] /(n) dead of night/shades of night/
夜闇 [よやみ] /(n) (obsc) black of night/dead of night/midnight/
夜陰 [やいん] /(n) shades of evening/dead of night/
夜陰に乗じて [やいんにじょうじて] /(exp) under cover of night/
夜烏 [よがらす] /(n) night crow/
夜雨 [やう] /(n) night rain/
夜営 [やえい] /(n,vs) encamping at night/
夜伽 [よとぎ] /(n,vs) (1) attending someone through the night (guard, nurse)/(2) act of a woman sleeping with a man (at his bidding)/(3) keeping overnight vigil over body before burial/
夜稼ぎ [よかせぎ] /(n) night work/burglary/
夜蛾 [やが] /(n) owlet moth (members of the family Noctuidae)/
夜会 [やかい] /(n) evening party/
夜会結び [やかいむすび] /(n) evening hairdo/
夜会服 [やかいふく] /(n) evening dress/
夜回り [よまわり] /(n,vs) night watch/night watchman/
夜開草 [やかいそう] /(n) (uk) (obsc) moonflower (Ipomoea alba)/
夜学 [やがく] /(n) evening course/night-school/(P)/
夜学校 [やがっこう] /(n) night school/
夜寒 [よさむ] /(n) night cold/cold night/
夜寒 [よざむ] /(n) night cold/cold night/
夜間 [やかん] /(n-adv,n-t) at night/nighttime/(P)/
夜間営業 [やかんえいぎょう] /(n) open at night/
夜間外出禁止令 [やかんがいしゅつきんしれい] /(n) curfew/
夜間勤務 [やかんきんむ] /(n,adj-no) night work/
夜間高校 [やかんこうこう] /(n) evening high school/
夜間撮影 [やかんさつえい] /(n) night photography/
夜間着陸訓練 [やかんちゃくりくくんれん] /(n) night landing practice (practise)/NLP/
夜間中学 [やかんちゅうがく] /(n) evening middle school/
夜間発送電報 [やかんはっそうでんぽう] /(n) telegram sent at night (usually to make use of a reduced rate)/
夜間部 [やかんぶ] /(n) night-school season/
夜間預金々庫 [やかんよきんきんこ] /(n) night-deposit safe/
夜間預金金庫 [やかんよきんきんこ] /(n) night-deposit safe/
夜顔 [よるがお] /(n) moonflower (Ipomoea alba)/
夜気 [やき] /(n) night air/stillness of night/cool evening/
夜汽車 [よぎしゃ] /(n) night train/
夜詰め [よづめ] /(n) night watch/
夜宮 [よみや] /(n) eve of a festival vigil/
夜泣き [よなき] /(n,vs) crying (of an infant) at night (due to colic)/
夜驚症 [やきょうしょう] /(n) night terror/
夜業 [やぎょう] /(n,vs) night work/night shift/
夜曲 [やきょく] /(n) nocturne/
夜勤 [やきん] /(n) night shift/(P)/
夜具 [やぐ] /(n) bedding/bedclothes/(P)/
夜空 [よぞら] /(n) night sky/(P)/
夜型 [よるがた] /(adj-na,adj-no) nocturnal (person)/
夜景 [やけい] /(n) night view/(P)/
夜警 [やけい] /(n) night watchman/
夜見の国 [よみのくに] /(n) hades/realm of the dead/the next world/
夜見世 [よみせ] /(n) night shop/night fair/
夜御飯 [よるごはん] /(n) dinner/
夜語り [よがたり] /(n) evening chat/
夜光 [やこう] /(n) nocturnal luminescence/
夜光貝 [やこうがい] /(n) (uk) great green turban (Turbo marmoratus)/
夜光時計 [やこうどけい] /(n) luminous watch/
夜光虫 [やこうちゅう] /(n) phosphorescent animalcule/noctiluca/
夜光塗料 [やこうとりょう] /(n) luminous paint/
夜攻め [よぜめ] /(n) night attack/
夜更かし [よふかし] /(n,vs) staying up late/keeping late hours/sitting up late at night/nighthawk/(P)/
夜更け [よふけ] /(n) late at night/(P)/
夜更けて [よふけて] /(exp) late at night/deep in the night/
夜更し [よふかし] /(n,vs) staying up late/keeping late hours/sitting up late at night/nighthawk/
夜行 [やぎょう] /(n,vs) walking around at night/night train/night travel/
夜行 [やこう] /(n,vs) walking around at night/night train/night travel/(P)/
夜行性 [やこうせい] /(n) nocturnal habit/
夜行動物 [やこうどうぶつ] /(n) nocturnal animal/
夜行列車 [やこうれっしゃ] /(n) night train/
夜香木 [やこうぼく] /(n) (uk) night jessamine (Cestrum nocturnum)/night jasmine/lady of the night/queen of the night/
夜叉 [やしゃ] /(n) yaksha (Buddhist guardian deities sometimes depicted as demonic warriors) (san: yaksa)/
夜祭り [よまつり] /(n) night festival/
夜桜 [よざくら] /(n) cherry trees at evening/
夜晒 [よざらし] /(n) leaving things exposed outside all night/
夜仕事 [よしごと] /(n) night work/
夜市 [よいち] /(n) night market/
夜酒 [よざけ] /(n) nightcap/drink at night/
夜襲 [やしゅう] /(n,vs) night attack/nocturnal assault/
夜商い [よあきない] /(n) night trading/
夜商人 [よあきんど] /(n) night shopkeeper/
夜上がり [よあがり] /(n) weather clearing at night/
夜色 [やしょく] /(n) shades of night/night scene/
夜食 [やしょく] /(n) supper/night meal/late-night snack/"fourth meal"/midnight snack/
夜深い [よぶかい] /(adj-i) (staying) up late at night/
夜深け [よふけ] /(n) late at night/
夜戦 [やせん] /(n) night warfare/
夜船 [よふね] /(n) night boat/
夜前 [やぜん] /(n-adv,n-t) last night/
夜想曲 [やそうきょく] /(n) nocturne/
夜鷹 [よたか] /(n) (1) (uk) grey nightjar (Caprimulgus indicus)/(2) (uk) nightjar (any bird of family Caprimulgidae)/goatsucker/(3) streetwalker/low class prostitute (Edo period)/(4) (abbr) soba vendors who walk around at night/soba sold by these vendors/
夜鷹蕎麦 [よたかそば] /(n) ambulatory evening vendor of noodles (or the noodles themselves)/
夜濯ぎ [よすすぎ] /(n) washing clothes at night (during the height of the summer)/
夜遅く [よるおそく] /(adv) late at night/at a late hour/
夜着 [よぎ] /(n) night-clothes/heavy kimono-like quilt/
夜中 [やちゅう] /(n-t) during the night/at night/
夜中 [よじゅう] /(n-t) (arch) all night/the whole night/
夜中 [よなか] /(n-adv,n-t) midnight/dead of night/(P)/
夜昼 [よるひる] /(adv,n) day and night/
夜長 [よなが] /(n-adv,n) long night/
夜鳥 [やちょう] /(n) nocturnal bird/
夜直 [やちょく] /(n) night duty/night shift/
夜通し [よどおし] /(adv,n) all night/throughout the night/
夜釣り [よづり] /(n) night angling/
夜店 [よみせ] /(n) night shop/night fair/
夜盗 [やとう] /(n,adj-no) night burglar/
夜盗蛾 [よとうが] /(n) cabbage armyworm/
夜盗虫 [やとうむし] /(n) cutworm/army worm/
夜盗虫 [よとうむし] /(n) cutworm/army worm/
夜討ち [ようち] /(n) night attack/
夜逃げ [よにげ] /(n,vs) night flight (without paying)/skipping out by night/moonlight flit/
夜働き [よばたらき] /(n,vs) night work/
夜道 [よみち] /(n) street at night/making a night journey/
夜凪 [よなぎ] /(n) evening calm/
夜尿症 [やにょうしょう] /(n) bed-wetting/enuresis/
夜這い [よばい] /(n,vs) ancient practice of creeping at night into a woman's bedroom (lit: night crawling)/stealing into a girl's bedroom at night to make love/sneaking visit/
夜這い星 [よばいぼし] /(n) meteor/shooting star/
夜這星 [よばいぼし] /(n) meteor/shooting star/
夜泊 [やはく] /(n,vs) night mooring/
夜泊まり [よどまり] /(n) (1) night mooring (for a boat)/(2) sleeping away for the night (esp. in a red light district)/
夜泊り [よどまり] /(n) (1) night mooring (for a boat)/(2) sleeping away for the night (esp. in a red light district)/
夜半 [やはん] /(n-adv,n-t) midnight/dead of night/
夜半 [よわ] /(n-adv,n-t) midnight/dead of night/
夜番 [やばん] /(n) night watch/night sentry/
夜番 [よばん] /(n) night watch/night sentry/
夜風 [よかぜ] /(n) night wind/
夜分 [やぶん] /(n-adv,n-t) evening/night/nighttime/
夜糞峰榛 [よぐそみねばり] /(n) (uk) Japanese cherry birch (Betula grossa)/
夜歩き [よあるき] /(n,vs) walking around at night/
夜毎 [よごと] /(n-adv,n-t) every night/nightly/
夜霧 [よぎり] /(n) night fog/
夜明 [よあけ] /(io) (n) dawn/daybreak/
夜明かし [よあかし] /(n,vs) staying up all night/all-night vigil/
夜明け [よあけ] /(n) dawn/daybreak/(P)/
夜明けの明星 [よあけのみょうじょう] /(n) morning star/
夜明け前が一番暗い [よあけまえがいちばんくらい] /(exp) it's always darkest before the dawn/the darkest hour is just before the dawn/
夜明し [よあかし] /(n,vs) staying up all night/all-night vigil/
夜鳴き [よなき] /(n) crying or singing (of bird, etc.) at night/
夜鳴き蕎麦 [よなきそば] /(n) ambulatory evening vendor of noodles (or the noodles themselves)/
夜盲症 [やもうしょう] /(n) night blindness/
夜網 [よあみ] /(n) night fishing with nets/
夜目 [よめ] /(n) in the dark/
夜目にも明るい [よめにもあかるい] /(exp,adj-i) bright even in the dark/clearly visible at night/
夜目遠目 [よめとおめ] /(n) seen in the dark or at a distance/(a woman) looking prettier when seen in the dark or at a distance/
夜目遠目笠の内 [よめとおめかさのうち] /(exp) expression used to depict a woman who is attractive primarily when it's dark out, she's far away, or her face is partially hidden by a bamboo hat/
夜夜 [よよ] /(n-adv,n-t) every evening/night after night/
夜夜中 [よるよなか] /(n-t) midnight/
夜遊び [よあそび] /(n,vs) nightlife/night amusements/
夜来 [やらい] /(n-adv,n-t) overnight/since last night/
夜嵐 [よあらし] /(n) night storm/
夜立ち [よだち] /(n,vs) setting out at night/
夜涼 [やりょう] /(n) (1) cool evening air/(2) cooling oneself outside during the summer/
夜露 [よつゆ] /(n) evening dew/night dew/
夜露死苦 [よろしく] /(ateji) (exp,adv) (1) (uk) well/properly/suitably/(2) best regards/please remember me/please treat me favorably (favourably)/please take care of/
夜郎自大 [やろうじだい] /(adj-na,n) throwing one's weight around in a small group without knowing one's real worth in a larger world outside/
夜話 [やわ] /(n) night talks/evening tea parties/
夜話 [よばなし] /(n) night talks/evening tea parties/
夜籠り [よごもり] /(n) the dead of night/praying all night in a shrine or temple/
爺 [じい] /(n) (1) (uk) old man/
爺 [じじ] /(n) (1) (uk) old man/
爺 [じじい] /(n) (1) (uk) old man/(2) (derog) geezer/
爺が背 [じいがせ] /(n) (1) (uk) chiton (any marine mollusk of the class Polyplacophora)/sea cradle/(2) Japanese chiton (Acanthopleura japonica)/
爺さん [じいさん] /(n) (1) grandfather (may be used after name as honorific)/(2) male senior-citizen (may be used after name as honorific)/(P)/
爺ちゃん [じいちゃん] /(n) (1) (fam) grandfather (may be used after name as honorific)/(2) male senior-citizen (may be used after name as honorific)/
爺むさい [じじむさい] /(adj-i) (uk) like an old man/doddering/wizened/frowzy/seedy/
爺穢い [じじむさい] /(adj-i) (uk) like an old man/doddering/wizened/frowzy/seedy/
耶嬢 [やじょう] /(n) father and mother/
耶蘇 [やそ] /(n) Jesus (Chinese)/
耶蘇教 [やそきょう] /(n) Christianity/
耶馬台国 [やばたいこく] /(n) (arch) Yamataikoku/(Japanese history) a country that existed within Japan. Ruled by Queen Himiko in the third century AD/
耶馬台国 [やまたいこく] /(n) (arch) Yamataikoku/(Japanese history) a country that existed within Japan. Ruled by Queen Himiko in the third century AD/
野 [ぬ] /(ok) (n) (1) plain/field/
野 [の] /(n) (1) plain/field/(2) hidden (structural) member/(n-pref) (3) wild/(P)/
野 [や] /(n) (1) plain/field/(2) lacking a political post/
野いちご [のいちご] /(n) wild strawberry/
野となれ山となれ [のとなれやまとなれ] /(exp) I don't care what happens (after this)/
野に隠れる [やにかくれる] /(exp,v1) (obsc) to retire from public service/
野に下る [やにくだる] /(exp,v5r) to leave the government service/
野に在る [やにある] /(exp) to be in opposition/to be in private life/
野の花 [ののはな] /(n) wild flowers/
野ぶどう [のぶどう] /(n) wild grape/wild grapevine/ampelopsis/
野ウサギ [のウサギ] /(n) (1) Japanese hare (Lepus brachyurus)/(2) wild rabbit/
野バラ [のバラ] /(n) (1) wild rose/(2) (uk) multiflora rose (Rosa multiflora)/
野育ち [のそだち] /(n) untutored/wild/
野茨 [のいばら] /(n) (uk) multiflora rose (Rosa multiflora)/
野営 [やえい] /(n,vs) camping/campground/making camp/
野営地 [やえいち] /(n) camp site/campground/
野猿 [やえん] /(n) wild monkey/
野牡丹 [のぼたん] /(n) Asian melastome/Melastoma candidum/
野火 [のび] /(n) burning off the fields/
野臥 [のぶし] /(n) (1) hermit/mountain ascetic/itinerant priest/(2) mountain-dwelling robber/brigand/
野臥せり [のぶせり] /(n) mountain-dwelling robber/brigand/
野外 [やがい] /(n,adj-no) fields/outskirts/open air/suburbs/(P)/
野外劇 [やがいげき] /(n) pageant/
野外撮影 [やがいさつえい] /(n) outdoor photography/
野鴨 [のがも] /(n) wild duck/
野萱草 [のかんぞう] /(n) (uk) day lily (Hemerocallis fulva var. distiche)/
野干玉 [ぬばたま] /(n,adj-no) pitch-black/darkness/
野雁 [のがん] /(n) (uk) bustard (esp. the great bustard, Otis tarda)/
野菊 [のぎく] /(n) wild chrysanthemum/aster/
野球 [やきゅう] /(n) baseball/(P)/
野球チーム [やきゅうチーム] /(n) baseball team/
野球拳 [やきゅうけん] /(n) strip version of rock-paper-scissors forfeit game/yakyuken/
野球場 [やきゅうじょう] /(n) baseball ground/baseball stadium/
野球人 [やきゅうじん] /(n) baseball player/
野球選手 [やきゅうせんしゅ] /(n) baseball player/ballplayer/
野球熱 [やきゅうねつ] /(n) baseball fever/enthusiasm for baseball/
野球部 [やきゅうぶ] /(n) baseball club (i.e. baseball team of a university, corporation, etc.)/
野球帽 [やきゅうぼう] /(n) baseball cap/
野牛 [やぎゅう] /(n) buffalo/
野禽 [やきん] /(n) wild birds/
野駒 [のごま] /(n) (uk) Siberian rubythroat (Luscinia calliope)/
野鶏 [やけい] /(n) fowl/
野犬 [やけん] /(n) stray dog/ownerless dog/(P)/
野犬狩り [やけんがり] /(n) rounding up stray dogs/
野犬捕獲員 [やけんほかくいん] /(n) dogcatcher/dog warden/
野原 [のはら] /(n) field/(P)/
野狐 [のぎつね] /(n) (1) wild fox/
野狐 [やこ] /(n) (1) wild fox/(2) (arch) fox spirit from the Kyushu region capable of possession/
野狐禅 [やこぜん] /(n) self-styled Zen philosophy/sciolism/dabbling in Zen/
野口啄木鳥 [のぐちげら] /(n) (uk) Okinawa woodpecker (Sapheopipo noguchii)/
野合 [やごう] /(n,vs) illicit union/collusion/(P)/
野合政権 [やごうせいけん] /(n) administration established through an unprincipled political coalition/government of convenience/cabinet created through an unholy alliance/
野菜 [やさい] /(n,adj-no) vegetable/(P)/
野菜くず [やさいくず] /(n) vegetable scraps/
野菜を作る [やさいをつくる] /(exp,v5r) to grow vegetables/
野菜一皿 [やさいひとさら] /(n) a dish of vegetables/
野菜屑 [やさいくず] /(n) vegetable scraps/
野菜汁 [やさいじる] /(n) vegetable soup/
野菜畑 [やさいばたけ] /(n) vegetable garden/kitchen garden/
野菜炒め [やさいいため] /(n) fried vegetables/
野晒し [のざらし] /(n) weather-beaten/
野山 [のやま] /(n) hills and fields/hill and dale/(P)/
野蚕 [くわこ] /(n) (uk) wild silkworm moth (Bombyx mandarina)/
野蚕 [くわご] /(n) (uk) wild silkworm moth (Bombyx mandarina)/
野蚕 [やさん] /(n) wild silkworm/
野史 [やし] /(n) non-official or privately composed history/
野師 [やし] /(n) showman/charlatan/faker/quack/
野次 [やじ] /(n) hooting/jeering/heckling/
野次る [やじる] /(v5r,vt) to jeer (at)/to hoot/to boo/to catcall/to heckle/
野次馬 [やじうま] /(n) (sens) curious onlookers/rubbernecks/
野次馬根性 [やじうまこんじょう] /(n) the spirit of curiosity/
野手 [やしゅ] /(n) a fielder/(P)/
野趣 [やしゅ] /(n) rural beauty/rusticity/rustic beauty/
野獣 [やじゅう] /(n,adj-no) beast/monster/wild animal/(P)/
野獣派 [やじゅうは] /(n) Fauvism/the Fauvists/
野宿 [のじゅく] /(n,vs) sleeping outdoors/sleeping out in the open air/camping/
野焼き [のやき] /(n) burning off the fields/
野心 [やしん] /(n) ambition/aspiration/designs/treachery/(P)/
野心家 [やしんか] /(n) ambitious person/
野心的 [やしんてき] /(adj-na) ambitious/treacherous/
野心満々 [やしんまんまん] /(uK) (adj-no,adj-t,adv-to) burning with ambition/highly ambitious/
野心満満 [やしんまんまん] /(uK) (adj-no,adj-t,adv-to) burning with ambition/highly ambitious/
野人 [やじん] /(n) (1) rustic/country bumpkin/person with rough and simple tastes/(2) Yeren/legendary mountain-dwelling hominid (similar to a sasquatch, yeti, etc.) of China's Hubei province/
野垂れ死に [のたれじに] /(n,vs) (sens) dying by the roadside/dying a dog's death/
野性 [やせい] /(n,adj-no) wildness (plants, animals, etc.)/uncouth/rough/unpolished/(P)/
野性的 [やせいてき] /(adj-na) wild (plants, animals, etc.)/uncouth/rough/unpolished/
野生 [やせい] /(n,vs,adj-no) (1) wild/growing wild/(pn) (2) (arch) (male) I/(P)/
野生犬 [やせいいぬ] /(n) (1) wild dog/Asiatic jackal (Canis aureus ssp.)/golden jackal/(2) side-striped jackal (carnivore, Canis adustus)/
野生生物 [やせいせいぶつ] /(n) wildlife/
野生動物 [やせいどうぶつ] /(n) wild animal/
野生動物保護団体 [やせいどうぶつほごだんたい] /(n) wildlife protection organization (organisation)/
野積み [のづみ] /(n) piled out in the open/
野戦 [やせん] /(n) field (mil)/
野戦特科 [やせんとっか] /(n) field artillery/
野戦病院 [やせんびょういん] /(n) field hospital/
野戦砲 [やせんほう] /(n) field gun/
野戦砲兵 [やせんほうへい] /(n) field artillery/
野選 [やせん] /(n) (baseball) a fielder's choice/
野鼠 [のねずみ] /(n) field mouse/
野草 [のぐさ] /(n) wild grasses/field grass/wildflowers/
野草 [やそう] /(n) wild grasses/field grass/wildflowers/
野太い [のぶとい] /(adj-i) audacious/throaty (voice)/
野太刀 [のだち] /(n) large war sword (carried across the back)/
野沢菜 [のざわな] /(n) (uk) rape (Brassica rapa)/common rape/cole/coleseed/coleseed greens/
野地鼠 [やちねずみ] /(n) (1) (uk) Japanese red-backed vole (Myodes andersoni)/(2) red-backed vole (any rodent of genus Myodes)/
野中 [のなか] /(n) in the middle of a field/(P)/
野猪 [やちょ] /(n) wild boar/
野鳥 [やちょう] /(n) wild bird/(P)/
野天 [のてん] /(n) in the open/the open air/
野天風呂 [のてんぶろ] /(n) open-air bath/
野点 [のだて] /(n,vs) (1) open-air tea ceremony/(2) aristocrat taking a break during a trip in a palanquin/(3) something standing in the open/
野点て [のだて] /(n,vs) (1) open-air tea ceremony/(2) aristocrat taking a break during a trip in a palanquin/(3) something standing in the open/
野兎 [のうさぎ] /(n) (1) Japanese hare (Lepus brachyurus)/(2) wild rabbit/
野兎 [やと] /(n) (1) wild rabbit/
野兎病 [やとびょう] /(n) rabbit fever/tularemia (tularaemia)/
野党 [やとう] /(n,adj-no) opposition party/political opposition/opposition/(P)/
野党指導者 [やとうしどうしゃ] /(n) opposition leader/
野党党首 [やとうとうしゅ] /(n) opposition leader/
野党連合 [やとうれんごう] /(n) opposition alliance/
野盗 [やとう] /(n) brigand/bandit/
野道 [のみち] /(n) path in a field/
野猫 [のねこ] /(n) stray cat/
野馬 [のうま] /(n) wild horse/
野梅 [やばい] /(n) mountain Japanese apricot/
野博打 [のばくち] /(n) (arch) outdoor gambling/gambling outdoors/
野蛮 [やばん] /(adj-na,n) savage/uncivilized/uncivilised/(P)/
野蛮人 [やばんじん] /(n) barbarian/savage/
野卑 [やひ] /(adj-na,n,adj-no) vulgarity/meanness/
野蒜 [のびる] /(n) wild rocambole (edible plant, Allium grayi)/
野葡萄 [のぶどう] /(n) wild grape/wild grapevine/ampelopsis/
野伏 [のぶし] /(n) (1) hermit/mountain ascetic/itinerant priest/(2) mountain-dwelling robber/brigand/
野伏せり [のぶせり] /(n) mountain-dwelling robber/brigand/
野分 [のわき] /(n) (1) late autumn (fall) windstorm in the countryside/typhoon, esp. one that blows from the 210th to the 220th day of the year/(2) name of the 28th roll of the Genji monogatari/
野分き [のわき] /(n) (1) late autumn (fall) windstorm in the countryside/typhoon, esp. one that blows from the 210th to the 220th day of the year/(2) name of the 28th roll of the Genji monogatari/
野糞 [のぐそ] /(n) (vulg) defecation outside/
野辺 [のべ] /(n) field/
野辺送り [のべおくり] /(n) burial/
野暮 [やぼ] /(n) (1) unrefinedness/uncouthness/boorishness/(adj-na) (2) tasteless/boorish/unrefined/thoughtless/dumb/(P)/
野暮ったい [やぼったい] /(adj-i) unfashionable (e.g. clothes)/uncouth/unpolished/
野暮天 [やぼてん] /(n) boorishness/coarseness/stupidity/
野暮用 [やぼよう] /(n) minor business/
野放し [のばなし] /(adj-na,n) leaving something to take care of itself/(P)/
野放しにする [のばなしにする] /(exp,vs-i) (1) to send cattle out grazing/(2) to leave at large (a criminal)/to leave unregulated/to leave something to take care of itself or something/
野放図 [のほうず] /(adj-na,n) unregulated/unruly/wild/unbridled/
野放途 [のほうず] /(adj-na,n) unregulated/unruly/wild/unbridled/
野砲 [やほう] /(n) field gun/field artillery/
野望 [やぼう] /(n) ambition/aspiration/designs/treachery/(P)/
野末 [のずえ] /(n) corners of a field/(P)/
野面 [のづら] /(n) (1) (surface of) field/plain/(2) unworked surface of (quarried) stone/(rough) surface of plank/
野遊び [のあそび] /(n) an outing/
野羊 [やぎ] /(n,adj-no) (uk) goat/
野立て [のだて] /(iK) (n,vs) (1) open-air tea ceremony/(2) aristocrat taking a break during a trip in a palanquin/(3) something standing in the open/
野良 [のら] /(n) (1) field/farm/(adj-no) (2) rural/agricultural/(n-pref) (3) stray (e.g. dog, cat)/
野良犬 [のらいぬ] /(n) stray dog/
野良仕事 [のらしごと] /(n) farm work/field labour/field labor/
野良着 [のらぎ] /(n) clothes for doing farm work or working in fields/
野良猫 [のらねこ] /(n) stray cat/alley cat/
野呂搗布 [のろかじめ] /(n) (uk) (obsc) Ecklonia cava (species of brown alga)/
野路 [のじ] /(n) path in a field/
野路子 [のじこ] /(n) (uk) Japanese yellow bunting (Emberiza sulphurata)/
野老 [ところ] /(n) (1) (uk) Dioscorea tokoro (species of wild yam)/
野老 [やろう] /(n) (1) (uk) Dioscorea tokoro (species of wild yam)/(2) old man living in the countryside/
野老葛 [ところずら] /(n) (arch) Dioscorea tokoro (species of wild yam)/
野郎 [やろう] /(n) rascal/(P)/
野苺 [のいちご] /(n) wild strawberry/
野茉莉 [えごのき] /(n) Japanese snowbell/styrax japonica/
野薊 [のあざみ] /(n) (uk) Japanese thistle (Cirsium japonicum)/
野薔薇 [のいばら] /(n) (uk) multiflora rose (Rosa multiflora)/
野薔薇 [のばら] /(n) (1) wild rose/(2) (uk) multiflora rose (Rosa multiflora)/
野衾 [のぶすま] /(n) legendary monster flying squirrel/
野襤褸菊 [のぼろぎく] /(n) (uk) common groundsel (Senecio vulgaris)/
野鄙 [やひ] /(adj-na,n) vulgar/base/mean/
野鵐 [のじこ] /(n) (uk) Japanese yellow bunting (Emberiza sulphurata)/
野鶲 [のびたき] /(n) (uk) common stonechat (Saxicola torquata)/
弥 [いや] /(adv) (1) (arch) more and more/increasingly/(2) (arch) extremely/very/
弥 [いよ] /(adv) (1) (arch) more and more/increasingly/
弥 [いよよ] /(adv) (1) (arch) more and more/increasingly/
弥 [よ] /(adv) (1) (arch) more and more/increasingly/
弥が上に [いやがうえに] /(exp,adv) even more/all the more/
弥が上にも [いやがうえにも] /(adv) all the more/
弥な明後日 [やなあさって] /(n-adv,n-t) four days from now/
弥の明後日 [やのあさって] /(n-adv,n-t) four days from now/
弥栄 [いやさか] /(n) (1) prosperity/prospering/flourishing/(int) (2) best of luck/all the best/hurray/hoorah/
弥栄 [やさか] /(n) (1) prosperity/prospering/flourishing/(int) (2) best of luck/all the best/hurray/hoorah/
弥久 [びきゅう] /(n) extending over a long time/
弥四 [やし] /(n) showman/charlatan/faker/quack/
弥次 [やじ] /(n) hooting/jeering/heckling/
弥次る [やじる] /(v5r,vt) to jeer (at)/to hoot/to boo/to catcall/to heckle/
弥次馬 [やじうま] /(n) (sens) curious onlookers/rubbernecks/
弥次馬根性 [やじうまこんじょう] /(n) the spirit of curiosity/
弥次郎兵衛 [やじろべえ] /(n) balancing toy/
弥生 [いやおい] /(n) (1) (obs) third month of the lunar calendar/(2) (arch) thick growth (of grass, etc.)/(3) Yayoi period (ca. 300 BCE - 300 CE)/
弥生 [やよい] /(n) (1) (obs) third month of the lunar calendar/(2) Yayoi period (ca. 300 BCE - 300 CE)/(P)/
弥生時代 [やよいじだい] /(n) Yayoi period (c. 300 BCE-300 CE)/
弥生尽 [やよいじん] /(n) last day of the third month of the lunar calendar/
弥生土器 [やよいどき] /(n) Yayoi pottery/
弥増さる [いやまさる] /(v5r,vi) to become still greater/
弥増す [いやます] /(v5s,vi) to increase (all the more)/
弥陀 [みだ] /(n) (abbr) Amitabha/
弥縫 [びほう] /(n,vs) patching up/
弥縫策 [びほうさく] /(n) stopgap measure/temporary expedient/
弥漫 [びまん] /(n,vs) pervasion/
弥猛に [やたけに] /(adv) burning with desire/
弥猛心 [やたけごころ] /(n) fervent spirit/
弥立つ [いよだつ] /(v5t) to stand up straight/to stand on end (e.g. of hair)/to have the creeps/
弥立つ [よだつ] /(v5t) to stand up straight/to stand on end (e.g. of hair)/to have the creeps/
弥勒 [みろく] /(n) Maitreya (a bodhisattva)/
弥勒仏 [みろくぶつ] /(n) Maitreya/
弥勒菩薩 [みろくぼさつ] /(n) Maitreya/
矢 [さ] /(ok) (n) arrow/
矢 [や] /(n) arrow/(P)/
矢がら [やがら] /(n) (1) shaft of an arrow (usu. made of thin bamboo)/(2) (uk) cornetfish/
矢じり [やじり] /(n) arrowhead/
矢っ張 [やっぱ] /(exp,adv,adj-f) (uk) also/as I thought/still/in spite of/absolutely/of course/
矢っ張し [やっぱし] /(exp,adv,adj-f) (uk) also/as I thought/still/in spite of/absolutely/of course/
矢っ張り [やっぱり] /(exp,adv,adj-f) (uk) also/as I thought/still/in spite of/absolutely/of course/(P)/
矢の根 [やのね] /(n) arrow-head/arrowhead/
矢印 [やじるし] /(n) arrow (mark or symbol)/directional marker or indicator/(P)/
矢印キー [やじるしキー] /(n) (comp) arrow key/
矢羽 [やばね] /(n) arrow feathers/
矢羽根 [やばね] /(n) arrow feathers/
矢幹 [やがら] /(n) (1) shaft of an arrow (usu. made of thin bamboo)/(2) (uk) cornetfish/
矢叫び [やさけび] /(n) yell made by archers when firing a volley of arrows/yell which opens a battle/
矢叫び [やたけび] /(n) yell made by archers when firing a volley of arrows/yell which opens a battle/
矢玉 [やだま] /(n) ammunition/arrows and bullets/missile/projectile/
矢継ぎ早 [やつぎばや] /(adj-na,n,adj-no) rapid succession (e.g. questions)/
矢継早 [やつぎばや] /(adj-na,n,adj-no) rapid succession (e.g. questions)/
矢視図 [やしず] /(n) arrow view/view on arrow/fragmentary view taken in the direction of an arrow/
矢車 [やぐるま] /(n) arrow wheel (decorative windmill on the pole on which carp streamers are raised)/
矢車菊 [やぐるまぎく] /(n) cornflower (Centaurea cyanus)/bluebottle/
矢車草 [やぐるまそう] /(n) Roger's bronze leaf/
矢取 [やとり] /(io) (n) arrow collector (at an archery range)/collecting arrows/
矢取り [やとり] /(n) arrow collector (at an archery range)/collecting arrows/
矢種 [やだね] /(n) one's supply of arrows/
矢床 [やっとこ] /(n) (uk) pincers/nippers/pliers/
矢場 [やにわ] /(n) (arch) archery range/
矢場 [やば] /(n) (1) archery range/(2) brothel (covering up as an archery range)/
矢場に [やにわに] /(adv) suddenly/instantly/
矢場女 [やばおんな] /(n) (arch) prostitute in a brothel disguised as an archery range/
矢尻 [やじり] /(n) arrowhead/
矢切りの渡し [やぎりのわたし] /(n) Yagiri No Watashi (ferry that has been taking passengers across the Edo river for nearly 400 years)/
矢先 [やさき] /(n) (1) arrowhead/brunt/target/(2) being about to/being on the point of/(P)/
矢先に [やさきに] /(adv) just when one is .../
矢倉 [やぐら] /(n) (1) turret/watchtower/(2) high wooden stage/scaffolding/(3) wooden frame (of a kotatsu)/(4) (arch) weapons storehouse/
矢倉 [やぐら] /(n) (uk) caves dug as tombs in and around Kamakura during the Kamakura and Muromachi periods/
矢鱈 [やたら] /(adj-na,adv,adv-to) (uk) at random/thoughtlessly/recklessly/excessively/
矢鱈に [やたらに] /(adv) (uk) randomly/recklessly/blindly/(P)/
矢弾 [やだま] /(n) ammunition/arrows and bullets/missile/projectile/
矢竹 [やだけ] /(n) (1) bamboo arrow shaft/(2) (uk) arrow bamboo (Pseudosasa japonica)/
矢虫 [やむし] /(n) (uk) arrow worm (any worm of phylum Chaetognatha)/
矢張り [やはり] /(exp,adv,adj-f) (uk) also/as I thought/still/in spite of/absolutely/of course/(P)/
矢庭 [やにわ] /(n) (arch) archery range/
矢庭に [やにわに] /(adv) suddenly/instantly/
矢筒 [やづつ] /(n) a quiver/
矢筈 [やはず] /(n) (1) nock of an arrow/(2) forked tool used for hanging scrolls/
矢筈模様 [やはずもよう] /(n,adj-no) herring-bone pattern/herringbone pattern/
矢飛白 [やがすり] /(n) pattern resembling that of arrow feathers/
矢文 [やぶみ] /(n) letter affixed to an arrow/
矢柄 [やがら] /(n) (1) shaft of an arrow (usu. made of thin bamboo)/(2) (uk) cornetfish/
矢柄責め [やがらぜめ] /(n) torture in which the victim is whipped with arrow shafts/
矢偏 [やへん] /(n) kanji "arrow" radical at left/
矢面 [やおもて] /(n,adj-no) bearing the full brunt of something/
矢面に立つ [やおもてにたつ] /(exp,v5t) to bear the full brunt of/
矢来 [やらい] /(n) rough fence of bamboo, logs, etc. constructed at battle sites or execution grounds/
矢立て [やたて] /(n) portable brush-and-ink case/
矢絣 [やがすり] /(n) pattern resembling that of arrow feathers/
厄 [やく] /(n) misfortune/bad luck/evil/disaster/(P)/
厄よけ [やくよけ] /(n) warding off evil/
厄を落とす [やくをおとす] /(exp,v5s) to exorcise/to escape evil/
厄介 [やっかい] /(adj-na,n) (1) trouble/burden/nuisance/bother/worry/(2) care/dependence/support/kindness/obligation/staying (with a person)/(P)/
厄介事 [やっかいごと] /(n) trouble/difficulty/burden/
厄介者 [やっかいもの] /(n) dependent/parasite/hanger-on/burden/
厄介払い [やっかいばらい] /(n,vs) driving off a troublesome person/getting rid of a nuisance/
厄介物 [やっかいもの] /(n) nuisance/encumbrance/
厄災 [やくさい] /(n) calamity/disaster/accident/
厄除け [やくよけ] /(n) warding off evil/
厄前 [やくまえ] /(n) the year before the unlucky year/
厄難 [やくなん] /(n) calamity/evil/misfortune/
厄日 [やくび] /(n) unlucky day/evil day/
厄年 [やくどし] /(n,adj-no) unlucky year/critical age/(P)/
厄負け [やくまけ] /(n,vs) victimized by the unlucky year/victimised by the unlucky year/
厄払い [やくはらい] /(n,vs) exorcism/ceremonial cleansing from evil influence/
厄払い [やくばらい] /(n,vs) exorcism/ceremonial cleansing from evil influence/
厄落とし [やくおとし] /(n) escape from evil/exorcism/
役 [えき] /(n) (1) war/campaign/battle/(2) unpaid work/
役 [やく] /(n,n-suf) (1) use/service/role/(2) post/position/(3) scoring combination (e.g. in mahjong, card games, etc.)/hand/(P)/
役する [えきする] /(vs-s,vt) to use/to employ/
役に就く [やくにつく] /(exp,v5k) to be appointed to a post/to assume office/
役に就ける [やくにつける] /(exp,v1) to place someone in a position/
役に立たない [やくにたたない] /(exp,adj-i) of no avail/useless/(P)/
役に立つ [やくにたつ] /(v5t) to be helpful/to be useful/(P)/
役を割り振る [やくをわりふる] /(exp,v5r) to assign a role to an actor/
役を干される [やくをほされる] /(exp,v1) to be deprived of one's role/to have one's livelihood taken away/
役を勤める [やくをつとめる] /(exp,v1) to act (as)/to hold an office/to play the part (of)/
役員 [やくいん] /(n) officer/official/executive/staff/(P)/
役員会 [やくいんかい] /(n) board or officer's meeting/
役員賞与 [やくいんしょうよ] /(n) directors' bonus/bonus allowances to company executives/officers' bonuses/
役員報酬 [やくいんほうしゅう] /(n) officer's compensation or remuneration/
役回り [やくまわり] /(n) role/part/(unpleasant) duty/(P)/
役割 [やくわり] /(n) part/assigning (allotment of) parts/role/duties/(P)/
役割り [やくわり] /(io) (n) part/assigning (allotment of) parts/role/duties/
役割を演じる [やくわりをえんじる] /(exp,v1) to carry out a role/
役割演技 [やくわりえんぎ] /(n) role-playing/
役割分担 [やくわりぶんたん] /(n,vs,adj-no) division (distribution) of roles/role-sharing/
役割理論 [やくわりりろん] /(n) role theory/
役儀 [やくぎ] /(n) role/duty/responsibility/
役牛 [えきぎゅう] /(n) work cow/work cattle/
役向き [やくむき] /(n) nature of one's position/
役者 [やくしゃ] /(n) actor/actress/(P)/
役者稼業 [やくしゃかぎょう] /(n) stage career/acting career/
役者絵 [やくしゃえ] /(n) actor print/ukiyo-e print of kabuki actors/
役者気質 [やくしゃかたぎ] /(n) characteristic temperament (spirit) of an actor/
役者子供 [やくしゃこども] /(n) skilled actor who is like a child offstage/good actor who knows but little of the ways of the world/
役者生命 [やくしゃせいめい] /(n) acting career/career as an actress/
役者馬鹿 [やくしゃばか] /(n) good actor who is inept in all other matters/demon for acting who is utterly indifferent to all other concerns/skilled actor who knows little of life/person who excels in one occupation (profession) but lacks simple common sense/
役者風情 [やくしゃふぜい] /(n) (the likes of) a mere actor/
役者冥利 [やくしゃみょうり] /(n) the happiness (good fortune) of being an actor/feeling blessed for being an actor/
役所 [やくしょ] /(n) government office/public office/(P)/
役所仕事 [やくしょしごと] /(n) red tape/red-tapism/officialism/bureaucratic bungling/
役場 [やくば] /(n) town hall/(P)/
役職 [やくしょく] /(n) post/managerial position/official position/(P)/
役職手当 [やくしょくてあて] /(n) executive allowance/
役職名 [やくしょくめい] /(n) job title/name of one's position/
役人 [やくにん] /(n) government official/(P)/
役人根性 [やくにんこんじょう] /(n) bureaucratism/bureaucratic nature/
役人風 [やくにんかぜ] /(n) (putting on the) airs of an official/
役責 [やくせき] /(n) (obsc) role and responsibility/
役僧 [やくそう] /(n) priest in charge of a temple's clerical duties/
役替え [やくがえ] /(n,vs) change of post/
役宅 [やくたく] /(n) government housing for officials/
役畜 [えきちく] /(n) beasts of burden/
役得 [やくとく] /(n) emoluments/perquisite/side benefit/
役不足 [やくぶそく] /(adj-na,n) dissatisfaction with the work (role) given to one/feeling oneself above the given work (role)/
役付き [やくつき] /(n) holding a position of responsibility/
役付き [やくづき] /(n) holding a position of responsibility/
役付取締役 [やくつきとりしまりやく] /(n) executive director/
役夫 [えきふ] /(n) laborer/labourer/
役柄 [やくがら] /(n) role/(P)/
役満 [やくまん] /(n) (mah-jongg) a win worth 32000 points (or, if dealer, 48000 points)/
役務 [えきむ] /(n) labor/labour/service/
役務賠償 [えきむばいしょう] /(n) reparation in the form of service/
役名 [やくめい] /(n) official title/
役目 [やくめ] /(n) duty/business/role/(P)/
役目柄 [やくめがら] /(n) by virtue of one's office/in the nature of one's duties/
役立たず [やくたたず] /(adj-no) useless/deadhead/
役立つ [やくだつ] /(v5t) to be useful/to be helpful/to serve the purpose/(P)/
役立てる [やくだてる] /(v1,vt) to put to use/to make use of/to turn to account/
役力士 [やくりきし] /(n) (member of one of) the top four ranks of sumo wrestlers/
約 [やく] /(adv) (1) approximately/about/(n) (2) promise/(3) shortening/reduction/simplification/(4) (ling) contraction (in phonetics)/(P)/
約する [やくする] /(vs-s,vt) (1) (math) to promise/(2) to abridge/to simplify/to shorten/(3) to reduce/
約まる [つづまる] /(v5r) to compress/to shrink/
約める [つづめる] /(v1,vt) to abridge/to shorten/to economize/
約やか [つづまやか] /(adj-na) (1) concise/brief/(2) humble/frugal/(3) modest/discrete/
約を交わす [やくをかわす] /(exp,v5s) (obsc) to exchange promises/
約因 [やくいん] /(n) consideration (in contract law, the thing given or done by the promisee in exchange for the promise)/
約音 [やくおん] /(n) (ling) contraction (in phonetics)/
約款 [やっかん] /(n) agreement/stipulation/article/clause/(P)/
約言 [やくげん] /(n,vs) summary/contraction/verbal agreement/
約手 [やくて] /(n) promissory note/
約数 [やくすう] /(n) divisor/factor/measure/
約束 [やくそく] /(n,vs) (1) arrangement/promise/appointment/pact/engagement/(2) convention/rule/(P)/
約束どおり [やくそくどおり] /(n,adv) as one promised/
約束に背く [やくそくにそむく] /(exp,v5k) to break one's promise/
約束の地 [やくそくのち] /(n) Promised Land/
約束の通り [やくそくのとおり] /(n) as promised/true to one's promise/
約束やぶる [やくそくやぶる] /(exp,v5r) to break a promise/to go back on one's word/to renege/
約束をやぶる [やくそくをやぶる] /(exp,v5r) to break a promise/to go back on one's word/to renege/
約束を守る [やくそくをまもる] /(exp,v5r) to keep a promise/to keep one's word/
約束を破る [やくそくをやぶる] /(exp,v5r) to break a promise/to go back on one's word/to renege/
約束事 [やくそくごと] /(n) (1) promise/vow/engagement/(2) convention/rule/resolution/
約束手形 [やくそくてがた] /(n) promissory note/
約束通り [やくそくどおり] /(n,adv) as one promised/(P)/
約束破る [やくそくやぶる] /(exp,v5r) to break a promise/to go back on one's word/to renege/
約諾 [やくだく] /(n,vs) agreement/promise/
約定 [やくじょう] /(n,vs) agreement/stipulation/contract/
約定済み [やくじょうずみ] /(n) promised/
約定書 [やくじょうしょ] /(n) written contract/
約半年 [やくはんねん] /(exp) approximately half a year/
約半分 [やくはんぶん] /(n) approximately half/
約物 [やくもの] /(n) punctuation marks and other special symbols (term used in printing)/
約分 [やくぶん] /(n,vs) reduction of a fraction (to lowest terms)/
薬 [くすり] /(n) (1) medicine/pharmaceuticals/(legal) drugs/(2) efficacious chemical (i.e. gunpowder, pesticide, etc.)/(3) (pottery) glaze/(4) small bribe/(P)/
薬 [やく] /(n) (1) (sl) dope/narcotics/drugs/(n-suf) (2) medication/drug/treatment/anti-/
薬が効く [やくがきく] /(exp,v5k) to have medicine be effective/
薬きょう [やっきょう] /(n) (ammunition) cartridge/shell case/
薬になる [くすりになる] /(exp,v5r) to be beneficial (to)/to do (a person) good/
薬の代 [くすりのしろ] /(n) cost of medicine/
薬の力 [くすりのちから] /(n) efficacy of a drug/
薬より養生 [くすりよりようじょう] /(exp) (id) Prevention is better than cure/
薬を合わせる [くすりをあわせる] /(exp,v1) to compound a medicine/
薬を打つ [やくをうつ] /(exp,v5t) to inject a unit of dope/
薬を付ける [くすりをつける] /(exp,v1) to apply medicine/
薬餌 [やくじ] /(n) medicine/drugs/
薬餌療法 [やくじりょうほう] /(n) treatment by medicine and diet/
薬液 [やくえき] /(n) liquid medicine/
薬園 [やくえん] /(n) medicinal-herb garden/
薬王菩薩 [やくおうぼさつ] /(n) (Buddh) Bhaisajyaraja (bodhisattva)/
薬屋 [くすりや] /(n) pharmacy/chemist/drug store/
薬価 [やくか] /(n) National Health Insurance drug price/NHI drug price/
薬価 [やっか] /(n) National Health Insurance drug price/NHI drug price/(P)/
薬科大学 [やっかだいがく] /(n) pharmaceutical college/college of pharmacy/
薬禍 [やっか] /(n) harmful side effects of a medicine or drug/
薬害 [やくがい] /(n) harmful side effects of a medicine or drug/(P)/
薬害ヤコブ病訴訟 [やくがいヤコブびょうそしょう] /(n) Japanese lawsuit involving cases where hospitalized patients contracted Creutzfeld-Jakob disease from infected transplants/
薬学 [やくがく] /(n,adj-no) (study of) pharmacy/pharmaceutics/(P)/
薬学者 [やくがくしゃ] /(n) pharmacologist/
薬学部 [やくがくぶ] /(n) pharmaceutical department/college of pharmacy/
薬缶 [やかん] /(n) kettle/(P)/
薬缶頭 [やかんあたま] /(n) bald head/
薬業界 [やくぎょうかい] /(n) pharmaceutical industry/medicine industry/
薬局 [やっきょく] /(n,adj-no) pharmacy/chemist (shop)/drugstore/(P)/
薬局方 [やっきょくほう] /(n) pharmacopeia/
薬局法 [やっきょくほう] /(iK) (n) pharmacopeia/
薬玉 [くすだま] /(n) ornamental scent bag/decorative paper ball/
薬九層倍 [くすりくそうばい] /(exp) "There is a huge markup in medicines."/
薬研 [やげん] /(n) druggist's mortar/
薬効 [やっこう] /(n) efficacy of a drug or medicine/
薬効物 [やっこうぶつ] /(n) medically effective ingredient/
薬剤 [やくざい] /(n,adj-no) medicine/drug/(P)/
薬剤師 [やくざいし] /(n) chemist/pharmacist/(P)/
薬殺 [やくさつ] /(n,vs) (killing by) poison/
薬師 [くすし] /(n) (arch) doctor/
薬師 [くすりし] /(n) (arch) doctor/
薬師 [やくし] /(n) Bhaisajyaguru/Pindola/The Healing Buddha/
薬師如来 [やくしにょらい] /(n) Bhaisajyaguru (buddha able to cure all ills)/
薬指 [くすりゆび] /(n) ring finger/third finger/(P)/
薬事監視員 [やくじかんしいん] /(n) pharmaceutical inspector/
薬事法 [やくじほう] /(n) (Japanese) Pharmaceutical Affairs Law/
薬室 [やくしつ] /(n) chamber (of a gun)/
薬種 [やくしゅ] /(n,adj-no) drugs/
薬酒 [やくしゅ] /(n) alcoholic beverage for medicinal purposes/
薬傷 [やくしょう] /(n) chemical burn/chemical injury/
薬食い [くすりぐい] /(n) winter-time practice of eating meat of animals such as boar and deer to ward off cold (practise)/
薬疹 [やくしん] /(n) drug rash (eruption)/
薬石 [やくせき] /(n) (1) various medicines/medical treatment/(2) supper in a Zen temple/rice porridge served for supper in a Zen temple/
薬石効なく [やくせきこうなく] /(adv) no medical treatment having proved effective/
薬石効無く [やくせきこうなく] /(adv) no medical treatment having proved effective/
薬石無効 [やくせきむこう] /(n) neither medicines nor medical care having little effect on a patient/
薬膳 [やくぜん] /(n) medicinal cooking (based on traditional Chinese medicine)/
薬草 [やくそう] /(n,adj-no) medicinal plants/
薬草療法 [やくそうりょうほう] /(n) herbal therapy/
薬代 [くすりだい] /(n) charge for medicine/
薬棚 [やくだな] /(n) medicine cabinet/
薬店 [やくてん] /(n) pharmacy (esp. one without facilities to prepare their own medicines)/drugstore/chemist/
薬湯 [くすりゆ] /(n) medicated bath/
薬湯 [やくとう] /(n) medicated bath/
薬湯 [やくゆ] /(ik) (n) medicated bath/
薬毒 [やくどく] /(n) poison in medicine/
薬箱 [くすりばこ] /(n) medicine box/
薬品 [やくひん] /(n) medicine/chemicals/(P)/
薬品会社 [やくひんがいしゃ] /(n) pharmaceutical company/
薬品臭 [やくひんくさ] /(n) chemical smell/
薬瓶 [くすりびん] /(n) medicine bottle/vial/
薬物 [やくぶつ] /(n) medicines/drugs/(P)/
薬物依存 [やくぶついそん] /(n) drug dependence/
薬物依存 [やくぶついぞん] /(n) drug dependence/
薬物検査 [やくぶつけんさ] /(n) drug test/
薬物使用 [やくぶつしよう] /(n,adj-no) drug use/
薬物治療 [やくぶつちりょう] /(n) drug therapy/
薬物中毒 [やくぶつちゅうどく] /(n) medicinal poisoning/
薬物統制 [やくぶつとうせい] /(n) drug control/
薬物動態 [やくぶつどうたい] /(n) pharmacokinetics/
薬物不法所持 [やくぶつふほうしょじ] /(n) drug possession/
薬物乱用 [やくぶつらんよう] /(n) drug abuse/
薬物療法 [やくぶつりょうほう] /(n,adj-no) pharmacotherapy/
薬舗 [やくほ] /(n) drugstore/pharmacy/chemist/
薬包 [やくほう] /(n) chartula/cartridge/
薬包紙 [やくほうし] /(n) paper for wrapping powdered medicine/
薬方 [やくほう] /(n) prescription/
薬味 [やくみ] /(n) condiment (e.g. grated or chopped topping such as daikon, wasabi, ginger, green onion, red pepper)/spice/(P)/
薬味皿 [やくみざら] /(n) plate for compounding condiments/small dish for serving condiments/
薬名 [やくめい] /(n) name of a drug or medicine/
薬用 [やくよう] /(n,adj-no) medicinal use/
薬用酒 [やくようしゅ] /(n) alcoholic beverage for medicinal purposes/
薬用植物 [やくようしょくぶつ] /(n) medicinal plants or herbs/
薬用石鹸 [やくようせっけん] /(n) medicinal soap/
薬理 [やくり] /(n) effects of drugs/
薬理学 [やくりがく] /(n) pharmacology/
薬理作用 [やくりさよう] /(n) medicinal action/
薬礼 [やくれい] /(n) medical fee/
薬煉 [くすね] /(n) boiled pine pitch and oil (traditionally used as a glue in archery, etc.)/
薬練 [くすね] /(n) boiled pine pitch and oil (traditionally used as a glue in archery, etc.)/
薬箋 [やくせん] /(n) prescription/
薬籠 [やくろう] /(n) medicine chest (container)/
薬籠中の物 [やくろうちゅうのもの] /(n) complete mastery of or over/at one's beck and call/
薬罐 [やかん] /(oK) (n) kettle/
薬罐をかける [やかんをかける] /(exp,v1) to put a kettle on (the stove)/
薬罐を掛ける [やかんをかける] /(exp,v1) to put a kettle on (the stove)/
薬罐頭 [やかんあたま] /(n) bald head/
薬莢 [やっきょう] /(n) (ammunition) cartridge/shell case/
薬鑵 [やかん] /(oK) (n) kettle/
薬鑵頭 [やかんあたま] /(n) bald head/
訳 [やく] /(n) translation/version (e.g. "English version")/
訳 [わけ] /(n) (uk) conclusion from reasoning, judgement or calculation based on something read or heard/reason/cause/meaning/circumstances/situation/(P)/
訳あって [わけあって] /(exp) for some (unspecified) reason/
訳がない [わけがない] /(exp) (uk) there is no way that ... (expresses speaker's belief that something is impossible)/(P)/
訳が違う [わけがちがう] /(exp,v5u) to be incomparable/to be completely different matters/to be completely different things/
訳が分らない [わけがわからない] /(adj-i) (uk) incomprehensible/
訳が無い [わけがない] /(exp) (uk) there is no way that ... (expresses speaker's belief that something is impossible)/
訳し難い [やくしがたい] /(n) difficult to translate/
訳じゃない [わけじゃない] /(exp) (uk) it does not mean that .../I don't mean that .../(P)/
訳す [やくす] /(v5s,vt) to translate/to interpret/(P)/
訳する [やくする] /(vs-s,vt) to translate/to interpret/
訳ではない [わけではない] /(exp) (uk) it does not mean that .../I don't mean that .../
訳では無い [わけではない] /(exp) (uk) it does not mean that .../I don't mean that .../
訳ない [わけない] /(adj-i) (1) easy/simple/(exp) (2) (there is) no reason/
訳なく [わけなく] /(adv) easily/without difficulty/
訳にはいかない [わけにはいかない] /(exp) (uk) impossible to do (although wants to)/
訳にはいきません [わけにはいきません] /(exp) (uk) impossible to do (although wants to)/
訳にはいけない [わけにはいけない] /(exp) (uk) impossible to do (although wants to)/
訳には行かない [わけにはいかない] /(exp) (uk) impossible to do (although wants to)/
訳の分かった人 [わけのわかったひと] /(n) sensible man/
訳の分からない言葉 [わけのわからないことば] /(n) meaningless words/words that make no sense/
訳もなく [わけもなく] /(n) without cause/without reason/
訳も無く [わけもなく] /(n) without cause/without reason/
訳解 [やっかい] /(n,vs) translating and explaining/
訳業 [やくぎょう] /(n) the translation profession/
訳語 [やくご] /(n) translational equivalent/gloss/term(s) used in translation/
訳合い [わけあい] /(n) reason/circumstances/meaning/
訳載 [やくさい] /(n,vs) running a translation (in a magazine)/
訳詞 [やくし] /(n) translated text/
訳詩 [やくし] /(n) translated poem/
訳者 [やくしゃ] /(n) translator/(P)/
訳出 [やくしゅつ] /(n,vs) translation/
訳述 [やくじゅつ] /(n,vs) translation/
訳書 [やくしょ] /(n) translation/
訳知り [わけしり] /(n) man of the world/experienced in matters of the heart/
訳知り顔 [わけしりがお] /(n) know-it-all airs/I-know-how-it-is look/
訳注 [やくちゅう] /(n) translation with notes/translator's notes/
訳読 [やくどく] /(n,vs) oral translation/reading and translating/
訳文 [やくぶん] /(n) a translation/translated sentence/
訳柄 [わけがら] /(n) reason/circumstances/meaning/
訳本 [やくほん] /(n) translated book/
訳無い [わけない] /(adj-i) (1) easy/simple/(exp) (2) (there is) no reason/
訳無く [わけなく] /(adv) easily/without difficulty/
訳名 [やくめい] /(n,vs) name or word formed by translation/
訳有り [わけあり] /(exp) (id) There is a certain reason/
躍り [おどり] /(n) leaping/jumping/spring/exciting/(P)/
躍り掛かる [おどりかかる] /(v5r) to spring at or upon/
躍り掛る [おどりかかる] /(v5r) to spring at or upon/
躍り懸かる [おどりかかる] /(v5r) to spring at or upon/
躍り込む [おどりこむ] /(v5m,vi) to jump into/to rush into/
躍り字 [おどりじ] /(n) iteration mark (used to represent repetition of the previous character)/ditto mark/
躍り出る [おどりでる] /(v1,vi) to jump (e.g. to first place)/to spring out/
躍り上がる [おどりあがる] /(v5r,vi) to spring up/to leap to one's feet/to jump up and down/
躍る [おどる] /(v5r,vi) (1) to jump/to leap/(2) to pound (of one's heart, i.e. with excitement)/to throb/(3) to be messily written/
躍起 [やっき] /(adj-na,n) desperation/eagerness/(P)/
躍字 [おどりじ] /(n) iteration mark (used to represent repetition of the previous character)/ditto mark/
躍進 [やくしん] /(n,vs) rush/dash/onslaught/dancing ahead/(P)/
躍動 [やくどう] /(n,vs) lively motion/throb/(P)/
躍如 [やくじょ] /(adj-t,adv-to) vivid/lifelike/graphic/(P)/
靖国 [せいこく] /(n) pacifying the nation/
靖国 [やすくに] /(n) Yasukuni (Shrine)/
靖国神社 [やすくにじんじゃ] /(n) Yasukuni Shrine/
靖寧 [せいねい] /(n,adj-na) (arch) peace and quiet/tranquility/peace on earth/
柳 [やなぎ] /(n) (1) willow (any tree of genus Salix)/(2) weeping willow (Salix babylonica)/(P)/
柳 [りゅう] /(n) Chinese "Willow" constellation (one of the 28 mansions)/
柳に雪折れなし [やなぎにゆきおれなし] /(exp) (obsc) the soft may prove more durable than the hard (lit: willow trees never break under the weight of snow)/
柳に雪折れ無し [やなぎにゆきおれなし] /(exp) (obsc) the soft may prove more durable than the hard (lit: willow trees never break under the weight of snow)/
柳に風 [やなぎにかぜ] /(exp) handling things without making waves/taking in one's stride/
柳の下にいつも泥鰌はおらぬ [やなぎのしたにいつもどじょうはおらぬ] /(exp) (obsc) just because a method works once doesn't mean it will work every time (lit: there aren't always loach under the willow tree)/
柳の下に何時も泥鰌は居ない [やなぎのしたにいつもどじょうはいない] /(exp) (id) Good luck does not always repeat itself/
柳の下に何時も泥鰌は居らぬ [やなぎのしたにいつもどじょうはおらぬ] /(exp) (obsc) just because a method works once doesn't mean it will work every time (lit: there aren't always loach under the willow tree)/
柳び [りゅうび] /(n) beautiful eyebrows/
柳暗花明 [りゅうあんかめい] /(n) (1) beautiful scenery of spring/(2) red-light district/
柳下駄 [やなぎげた] /(n) low geta made of willow/
柳科 [やなぎか] /(n) Salicaceae (plant family containing willows, poplars, aspens, etc.)/
柳巷花街 [りゅうこうかがい] /(n) (arch) red-light district/pleasure quarter/
柳行李 [やなぎごうり] /(n) wicker trunk/
柳腰 [やなぎごし] /(n,adj-no) (1) slim waist/(2) waist of a willow tree/
柳宿 [ぬりこぼし] /(n) Chinese "Willow" constellation (one of the 28 mansions)/
柳条 [りゅうじょう] /(n) willow twig/
柳刃 [やなぎば] /(n) kitchen knife for sashimi/
柳刃包丁 [やなぎばぼうちょう] /(n) kitchen knife for sashimi/
柳川鍋 [やながわなべ] /(n) soup prepared with dojou/
柳樽 [やなぎだる] /(n) box-shaped, lacquered liquor cask/
柳眉 [りゅうび] /(n) beautiful eyebrows/
柳葉 [やないば] /(n) (1) willow-leaf arrowhead/(2) part of a Japanese stirrup/
柳葉 [やなぎば] /(n) (1) willow-leaf arrowhead/(2) part of a Japanese stirrup/(3) willow leaf/
柳葉 [りゅうよう] /(n) (1) willow leaf/
柳葉魚 [ししゃも] /(n) shishamo smelt (Spirinchus lanceolatus) (ain: susuhamu)/
柳緑花紅 [りゅうりょくかこう] /(n) red blossoms and green willows/beautiful scenery of spring/natural beauty/beauty of nature/
薮 [やぶ] /(n) thicket/bush/grove/scrub/
薮をつついて蛇を出す [やぶをつついてへびをだす] /(exp,v5s) to stir up trouble for oneself/to scare out a snake by poking at the brush/
薮ワラビー [やぶワラビー] /(n) (uk) pademelon/paddymelon/
薮蚊 [やぶか] /(n) (uk) aedine mosquito (any mosquito of genus Aedes, characterized by stripes)/
薮柑子 [やぶこうじ] /(n) spearflower/
薮蛇 [やぶへび] /(n,vs) unnecessary trouble brought upon oneself/stirring up a hornet's nest/
薮蛇になる [やぶへびになる] /(exp,v5r) you'll only make work for yourself/to stir up a hornet's nest/to put one's foot in one's mouth/
薮蛇に成る [やぶへびになる] /(exp,v5r) you'll only make work for yourself/to stir up a hornet's nest/to put one's foot in one's mouth/
薮入り [やぶいり] /(n) (arch) holiday granted to servants on the 16th of the first and seventh months/
鑓 [やり] /(n) (1) (abbr) spear/lance/(2) javelin/(3) lance (shogi piece)/(4) (arch) jeering/
愉しい [たのしい] /(adj-i) enjoyable/fun/
愉しげ [たのしげ] /(adj-na) happy/cheerful/pleasant/
愉しみ [たのしみ] /(adj-na,n) (1) enjoyment/pleasure/diversion/amusement/hobby/(2) anticipation/looking forward to/
愉悦 [ゆえつ] /(n,vs) joy/
愉快 [ゆかい] /(adj-na,n) pleasant/happy/(P)/
愉快犯 [ゆかいはん] /(n) criminal who takes delight in people's reaction to his crimes/
愉楽 [ゆらく] /(n) pleasure/
愉色 [ゆしょく] /(n) cheerful expression/pleased look/
愈 [いよいよ] /(adv) (1) (uk) more and more/all the more/increasingly/(2) at last/finally/beyond doubt/(3) (at the) last moment/worst possible time/
愈 [いよよ] /(adv) (1) (arch) more and more/increasingly/
愈々 [いよいよ] /(adv) (1) (uk) more and more/all the more/increasingly/(2) at last/finally/beyond doubt/(3) (at the) last moment/worst possible time/(P)/
愈愈 [いよいよ] /(adv) (1) (uk) more and more/all the more/increasingly/(2) at last/finally/beyond doubt/(3) (at the) last moment/worst possible time/
油 [あぶら] /(n) oil/(P)/
油かす [あぶらかす] /(n) oil cake/
油きり [あぶらきり] /(n) abura kiri, shallow tray with rack for draining food after deep frying/
油さし [あぶらさし] /(n) oilcan/
油っこい [あぶらっこい] /(adj-i) (uk) greasy/fatty/oily/
油っ濃い [あぶらっこい] /(adj-i) (uk) greasy/fatty/oily/
油もの [あぶらもの] /(n,vs) fried food/frying food/
油もれ [あぶらもれ] /(n) oil leak/
油をさす [あぶらをさす] /(exp,v5s) to oil (e.g. chains, hinges, etc.)/
油をしぼる [あぶらをしぼる] /(exp,v5r) (1) to chew out/to reprimand severely/to rake over the coals/to give a sound scolding/to tell someone off/to scold/to rebuke/(2) to press oil/
油をそそぐ [あぶらをそそぐ] /(exp,v5g) (1) to pour oil on (something)/to anoint with oil/(2) to turn up/to add fuel (e.g. to a dispute)/to rev up/to encourage/
油を引く [あぶらをひく] /(exp,v5k) to oil (e.g. a frying pan)/to grease/
油を絞る [あぶらをしぼる] /(exp,v5r) (1) to chew out/to reprimand severely/to rake over the coals/to give a sound scolding/to tell someone off/to scold/to rebuke/(2) to press oil/
油を差す [あぶらをさす] /(exp,v5s) to oil (e.g. chains, hinges, etc.)/
油を搾る [あぶらをしぼる] /(exp,v5r) (1) to chew out/to reprimand severely/to rake over the coals/to give a sound scolding/to tell someone off/to scold/to rebuke/(2) to press oil/
油を注ぐ [あぶらをそそぐ] /(exp,v5g) (1) to pour oil on (something)/to anoint with oil/(2) to turn up/to add fuel (e.g. to a dispute)/to rev up/to encourage/
油を売る [あぶらをうる] /(exp,v5r) to loaf (particularly on the job)/to idle one's time away/to dawdle/
油ギッシュ [あぶらギッシュ] /(n,adj-na) (sl) chubby/
油圧 [ゆあつ] /(n,adj-no) oil pressure/hydraulics/
油圧ショベル [ゆあつショベル] /(n) excavator/power shovel/digger/
油圧器 [ゆあつき] /(n) hydraulic equipment/
油圧計 [ゆあつけい] /(n) oil pressure gauge/
油井 [ゆせい] /(n) oil well/(P)/
油引き [あぶらひき] /(n) oiling/oiling brush/
油煙 [ゆえん] /(n) lamp soot (smoke)/
油屋 [あぶらや] /(n) oil dealer/oil merchant/
油火 [あぶらび] /(n) flame of an oil lamp/
油絵 [あぶらえ] /(n) oil painting/(P)/
油絵の具 [あぶらえのぐ] /(n) oils/oil colors/oil colours/oil paints (colors, colours)/oil-based paints (for artwork)/
油絵タッチ [あぶらえタッチ] /(n) oil painting look (on processed photographs, etc.)/
油絵具 [あぶらえのぐ] /(n) oils/oil colors/oil colours/oil paints (colors, colours)/oil-based paints (for artwork)/
油蟹 [あぶらがに] /(n) (1) (uk) blue king crab (Paralithodes platypus)/(2) striped shore crab (Pachygrapsus crassipes)/
油角鮫 [あぶらつのざめ] /(n) (uk) spiny dogfish (Squalus acanthias)/
油汗 [あぶらあせ] /(n) cold sweat/greasy sweat/
油気 [あぶらけ] /(n) oiliness/greasiness/
油菊 [あぶらぎく] /(n) (uk) chrysanthemum (Chrysanthemum indicum)/
油魚 [あぶらめ] /(n) (1) (obsc) greenling/(2) salamander/
油桐 [あぶらぎり] /(n) (uk) Japanese tungoil tree (Vernicia cordata)/
油差し [あぶらさし] /(n) oilcan/
油彩 [ゆさい] /(n) oil painting/(P)/
油菜 [あぶらな] /(n) rape (seed oil plant, Brassica campestris)/
油菜科 [あぶらなか] /(n) Brassicaceae (cabbage family of plants)/
油剤 [ゆざい] /(n) oil-based (or greasy) medicine/
油鮫 [あぶらざめ] /(n) (uk) spiny dogfish (Squalus acanthias)/
油子 [あぶらこ] /(n) (1) (uk) (as used in Northern Japan) greenling/(2) (as used in Kochi and surrounds) medaka ricefish/
油子 [アブラコ] /(n) (1) (uk) (as used in Northern Japan) greenling/(2) (as used in Kochi and surrounds) medaka ricefish/
油紙 [あぶらがみ] /(n) oil paper/oiled paper/
油紙 [ゆし] /(n) oil paper/oiled paper/
油脂 [ゆし] /(n) fat/fats and oils/(P)/
油脂工業 [ゆしこうぎょう] /(n) the oil and fat industry/
油取り紙 [あぶらとりがみ] /(n) oil-absorbent paper used cosmetically to absorb oil from (facial) skin/
油女 [あぶらめ] /(n) (1) (obsc) greenling/(2) salamander/
油照 [あぶらでり] /(io) (n) sultry weather/
油照り [あぶらでり] /(n) sultry weather/
油症 [ゆしょう] /(n) yusho (disease caused by PCB ingestion)/
油障子 [あぶらしょうじ] /(n) shoji with an oil-treated screen (for increased water resistance)/
油状 [ゆじょう] /(n,adj-no) oily/
油性 [ゆせい] /(n,adj-no) oil-based/
油性ペン [ゆせいペン] /(n) permanent marker/
油性マーカー [ゆせいマーカー] /(n) permanent marker/
油性マジック [ゆせいマジック] /(n) permanent marker/
油性塗料 [ゆせいとりょう] /(n) oil-based paint/
油蝉 [あぶらぜみ] /(n) (uk) large brown cicada (Graptopsaltria nigrofuscata)/aburazemi/
油染みる [あぶらじみる] /(v1,vi) to become greasy/to be oil-stained/
油然 [ゆうぜん] /(n,adj-t,adv-to) welling or bubbling up/
油層 [ゆそう] /(n) an oil stratum/
油槽 [ゆそう] /(n) oil tank/
油槽船 [ゆそうせん] /(n) an oil tanker/
油糟 [あぶらかす] /(n) oil cake/
油送管 [ゆそうかん] /(n) an oil pipeline/
油送船 [ゆそうせん] /(n) an oil tanker/
油樽 [あぶらたる] /(n) oil barrel/oil cask/
油樽 [ゆそん] /(n) oil barrel/oil cask/
油単 [ゆたん] /(n) oilcloth/
油断 [ゆだん] /(n,vs) negligence/unpreparedness/(P)/
油断も隙もない [ゆだんもすきもない] /(exp) one must constantly be on one's guard with .../one cannot be too careful of .../
油断も隙も無い [ゆだんもすきもない] /(exp) one must constantly be on one's guard with .../one cannot be too careful of .../
油断大敵 [ゆだんたいてき] /(exp) Unpreparedness is one's greatest enemy/He that is too secure is not safe/
油注し [あぶらさし] /(n) oilcan/
油虫 [あぶらむし] /(n) (1) (uk) aphid/plant louse/(2) (obsc) cockroach/(3) (obsc) Japanese house bat (Pipistrellus abramus)/(4) hanger-on/parasite/(5) (arch) visitor to a red-light district who's only there to look/
油壷 [あぶらつぼ] /(n) oilcan/oil container/
油点草 [ほととぎす] /(n) (uk) toad lily (Tricyrtis hirta)/
油点草 [ほととぎすそう] /(n) (uk) toad lily (Tricyrtis hirta)/
油田 [ゆでん] /(n) oil field/(P)/
油田掘削施設 [ゆでんくっさくしせつ] /(n) oil rig/
油砥石 [あぶらといし] /(n) oilstone/
油桃 [あぶらもも] /(n) (obsc) nectarine/
油桃 [ずばいもも] /(n) (obsc) nectarine/
油桃 [つばきもも] /(n) (obsc) nectarine/
油桃 [づばいもも] /(n) (obsc) nectarine/
油粕 [あぶらかす] /(n) oil cake/
油皮 [ゆば] /(n) tofu skin/dried beancurd/delicacy made from the skin of gently boiled soybean milk/
油物 [あぶらもの] /(n,vs) fried food/frying food/
油分 [ゆぶん] /(n) oil content/
油頁岩 [ゆけつがん] /(n) oil shale/
油坊主 [あぶらぼうず] /(n) (uk) skilfish (Erilepis zonifer)/skil/
油密 [ゆみつ] /(adj-no) oil tight (seal, joint, etc.)/
油薬 [あぶらぐすり] /(n) (1) plaster/patch/(2) ointment/liniment/
油揚 [あぶらあげ] /(n) (1) (food) fried tofu/(n,vs,adj-no) (2) fried in oil/frying in oil/
油揚 [あぶらげ] /(n) (1) (food) fried tofu/(n,vs,adj-no) (2) fried in oil/frying in oil/
油揚げ [あぶらあげ] /(n) (1) (food) fried tofu/(n,vs,adj-no) (2) fried in oil/frying in oil/
油揚げ [あぶらげ] /(n) (1) (food) fried tofu/(n,vs,adj-no) (2) fried in oil/frying in oil/
油漏れ [あぶらもれ] /(n) oil leak/
油椰子 [あぶらやし] /(n) (uk) oil palm (esp. the African oil palm, Elaeis guineensis)/
油滓 [あぶらかす] /(n) oil cake/
油瀝青 [あぶらちゃん] /(n) Parabenzoin praecox/
油炒め [あぶらいため] /(n) vegetables cooked in oil/fried vegetables/
油烟 [ゆえん] /(n) lamp soot (smoke)/
油蝙蝠 [あぶらこうもり] /(n) (uk) Japanese house bat/Japanese pipistrelle (Pipistrellus abramus)/
油鮠 [あぶらはや] /(n) (uk) Amur minnow (Phoxinus logowskii steindachneri)/
癒える [いえる] /(v1,vi) to recover/to be healed/
癒し [いやし] /(n,adj-no) healing/soothing/therapy/comfort/solace/
癒し系 [いやしけい] /(n,adj-no) therapy/healing/rejuvenating/refreshing/soothing/
癒し犬 [いやしけん] /(n) therapy dog/
癒す [いやす] /(v5s,vt) to heal/to cure/
癒やし [いやし] /(n,adj-no) healing/soothing/therapy/comfort/solace/
癒やし犬 [いやしけん] /(n) therapy dog/
癒やす [いやす] /(v5s,vt) to heal/to cure/
癒合 [ゆごう] /(n,vs) agglutination/adhesion/
癒傷組織 [ゆしょうそしき] /(n) wound-healing tissue/
癒着 [ゆちゃく] /(n,vs,adj-no) (1) adhesion (medical)/conglutination/(2) collusion/collusive relationship/(P)/
癒着関係 [ゆちゃくかんけい] /(n) extremely close relationship/collusive relationship/
癒着体質 [ゆちゃくたいしつ] /(n) tendency to form collusive ties/predisposition to generate cozy (collusive) relationships/
癒着胎盤 [ゆちゃくたいばん] /(n) placenta accreta/
諭し [さとし] /(n) guidance/admonition/
諭す [さとす] /(v5s,vt) to admonish/to persuade/to warn/to remonstrate/(P)/
諭吉 [ゆきち] /(n) (sl) 10,000 yen note/
諭告 [ゆこく] /(n,vs) admonition/public announcement/
諭旨 [ゆし] /(n,vs) explanation/reasoning/
諭旨免職 [ゆしめんしょく] /(n) resignation under instruction/
諭示 [ゆし] /(n,vs) official suggestion/instruction (to subordinate)/
輸液 [ゆえき] /(n,vs) transfusion/
輸銀 [ゆぎん] /(n) import-export bank/(P)/
輸血 [ゆけつ] /(n,vs) blood transfusion/(P)/
輸出 [しゅしゅつ] /(n,vs,adj-no,adj-na) (1) export/(2) efferent (medical)/
輸出 [ゆしゅつ] /(n,vs,adj-no,adj-na) (1) export/(2) efferent (medical)/(P)/
輸出額 [ゆしゅつがく] /(n) export value/value of exports/
輸出管理 [ゆしゅつかんり] /(n) export control/export controls/
輸出関連株 [ゆしゅつかんれんかぶ] /(n) export-related shares/
輸出規制 [ゆしゅつきせい] /(n) export controls/
輸出業者 [ゆしゅつぎょうしゃ] /(n) exporter/
輸出検査 [ゆしゅつけんさ] /(n) export inspection/
輸出権 [ゆしゅつけん] /(n) (comp) export license, permit/
輸出港 [ゆしゅつこう] /(n) an export(ing) port/
輸出国 [ゆしゅつこく] /(n,n-suf) exporting country/
輸出自主規制 [ゆしゅつじしゅきせい] /(n) voluntary export restraint/VER/
輸出主導型経済 [ゆしゅつしゅどうがたけいざい] /(n) export-driven economy/
輸出手形 [ゆしゅつてがた] /(n) an export bill/
輸出信用状 [ゆしゅつしんようじょう] /(n) export letter of credit/
輸出制限 [ゆしゅつせいげん] /(n) export restrictions/
輸出税 [ゆしゅつぜい] /(n) export duties/
輸出超過 [ゆしゅつちょうか] /(n) excess of exports/
輸出入 [ゆしゅつにゅう] /(n) export and import/(P)/
輸出品 [ゆしゅつひん] /(n) exported goods/
輸出保険 [ゆしゅつほけん] /(n) export insurance/
輸出補助金 [ゆしゅつほじょきん] /(n) export subsidy/
輸精管 [ゆせいかん] /(n) spermaduct/
輸送 [ゆそう] /(n,vs) transport/transportation/(P)/
輸送科 [ゆそうか] /(n) Transportation Corps (Service branch of the Japan Ground Self-Defense Force)/
輸送艦艇 [ゆそうかんてい] /(n) military transport vessel/
輸送機 [ゆそうき] /(n) transport/
輸送機関 [ゆそうきかん] /(n) (means of) transport/
輸送車 [ゆそうしゃ] /(n) transport truck/transport vehicle/
輸送手段 [ゆそうしゅだん] /(n) means of transportation/means of transport/
輸送船 [ゆそうせん] /(n) transport ship/troop ship/
輸送費 [ゆそうひ] /(n) shipping charges/transportation expenses/
輸送問題 [ゆそうもんだい] /(n) (comp) transportation problem/
輸送量 [ゆそうりょう] /(n) traffic/volume or quantity of goods transported/
輸送力 [ゆそうりょく] /(n) carrying power/transportation (carrying) capacity/
輸入 [しゅにゅう] /(n,vs,adj-no) importation/import/introduction/
輸入 [ゆにゅう] /(n,vs,adj-no) importation/import/introduction/(P)/
輸入課徴金 [ゆにゅうかちょうきん] /(n) a surcharge on imports/
輸入額 [ゆにゅうがく] /(n) level of imports/
輸入割り当て [ゆにゅうわりあて] /(n) import quota/
輸入割り当て制 [ゆにゅうわりあてせい] /(n) (abbr) an import quota system/
輸入割り当て制度 [ゆにゅうわりあてせいど] /(n) an import quota system/
輸入割当 [ゆにゅうわりあて] /(n) import quota/
輸入感染症 [ゆにゅうかんせんしょう] /(n) infectious disease originating overseas entering the country through an infected traveller or goods/
輸入関税 [ゆにゅうかんぜい] /(n) import duty/
輸入業者 [ゆにゅうぎょうしゃ] /(n) importer/import merchant (trader)/importing firm/
輸入禁止 [ゆにゅうきんし] /(n) ban on import/import ban/import prohibition/prohibition of importation/
輸入港 [ゆにゅうこう] /(n) port of entry/
輸入国 [ゆにゅうこく] /(n,n-suf) importing country/
輸入自由化 [ゆにゅうじゆうか] /(n,vs) liberalization of imports/liberalisation of imports/
輸入手形 [ゆにゅうてがた] /(n) an import bill/
輸入数量規制 [ゆにゅうすうりょうきせい] /(n) import quota/
輸入制限 [ゆにゅうせいげん] /(n) import restrictions/
輸入税 [ゆにゅうぜい] /(n) import duties/
輸入超過 [ゆにゅうちょうか] /(n,adj-no) excess of imports/
輸入盤 [ゆにゅうばん] /(n) foreign (imported) record/
輸入品 [ゆにゅうひん] /(n) imported goods/
輸入米 [ゆにゅうまい] /(n) imported rice/
輸入量 [ゆにゅうりょう] /(n) import volume/
輸入枠 [ゆにゅうわく] /(n) import ceiling/
輸尿管 [ゆにょうかん] /(n) ureter/
輸配送 [ゆはいそう] /(n) transportation and delivery/
輸卵管 [ゆらんかん] /(n) oviduct/Fallopian tubes/
輸贏 [しゅえい] /(n) gain or loss/victory or defeat/
輸贏 [ゆえい] /(n) gain or loss/victory or defeat/
唯 [ただ] /(adj-no) (1) (uk) ordinary/common/usual/(2) free of charge/(3) unaffected/as is/safe/(adv) (4) only/merely/just/simply/(5) but/however/nevertheless/(P)/
唯々 [ただただ] /(adv) (uk) absolutely/only/emphatic modifier/
唯々諾々 [いいだくだく] /(uK) (adj-t,adv-to) quite willingly/readily/with acquiescence/
唯々諾々として [いいだくだくとして] /(exp) readily/willingly/
唯そこへ行きさえすれば良い [ただそこへいきさえすればよい] /(exp) have (need) only to go there/
唯でさえ [ただでさえ] /(adv) (uk) even at the best of times/(even) under normal circumstances/in addition to/
唯一 [ゆいいつ] /(adj-no,adv) only/sole/unique/(P)/
唯一 [ゆいつ] /(adj-no,adv) only/sole/unique/(P)/
唯一神教 [ゆいいつしんきょう] /(n) monotheism/
唯一度 [ただいちど] /(n) only once/
唯一不二 [ゆいいつふじ] /(n,adj-no) one and only/unique/
唯一無二 [ゆいいつむに] /(adj-na,n,adj-no) one and only/unique/
唯一無比 [ゆいいつむひ] /(n,adj-no) one and only/unique/
唯我独尊 [ゆいがどくそん] /(n) self-conceit/self-centeredness/vainglory/
唯我論 [ゆいがろん] /(n) solipsism (phil.)/
唯今 [ただいま] /(oK) (int,exp) (1) (uk) (abbr) Here I am/I'm home!/(n-t,adv) (2) presently/right away/right now/just now/
唯事 [ただごと] /(n) trivial matter/
唯識 [ゆいしき] /(n) (Buddh) vijnapti-matrata (theory that all existence is subjective and nothing exists outside of the mind)/
唯識宗 [ゆいしきしゅう] /(n) Hosso sect (of Buddhism)/
唯識派 [ゆいしきは] /(n) Consciousness-Only School (of Buddhism)/Yogacara/
唯心 [ゆいしん] /(n) (1) (Buddh) doctrine that all phenomena are produced from consciousness (a central teaching of the Avatamska sutra)/(2) spiritualism (in philosophy)/
唯心的 [ゆいしんてき] /(adj-na) spiritualistic/
唯心論 [ゆいしんろん] /(n) spiritualism/idealism/mentalism/
唯美主義 [ゆいびしゅぎ] /(n) estheticism/
唯物 [ゆいぶつ] /(n) materialism (in philosophy)/
唯物史観 [ゆいぶつしかん] /(n) historical materialism/
唯物主義 [ゆいぶつしゅぎ] /(n) materialism/
唯物的 [ゆいぶつてき] /(adj-na) materialistic/
唯物弁証法 [ゆいぶつべんしょうほう] /(n) dialectical materialism/
唯物論 [ゆいぶつろん] /(n) materialism/(P)/
唯名論 [ゆいめいろん] /(n) nominalism/
唯唯 [ただただ] /(adv) (uk) absolutely/only/emphatic modifier/
唯唯諾諾 [いいだくだく] /(uK) (adj-t,adv-to) quite willingly/readily/with acquiescence/
唯唯諾諾として [いいだくだくとして] /(exp) readily/willingly/
唯理論 [ゆいりろん] /(n) rationalism/
佑ける [たすける] /(v1,vt) to help/to save/to rescue/to give relief to/to spare (life)/to reinforce/to promote/to abet/
佑助 [ゆうじょ] /(n) assistance/
優 [やさ] /(pref) gentle/affectionate/
優 [ゆう] /(adj-na) (1) gentle/(2) elegant/classy/(3) superior/skilled/(4) excellent (in marking, grading, etc.)/(n) (5) actor/
優々閑々 [ゆうゆうかんかん] /(adj-t,adv-to) composed and unhurried/easygoing and leisurely/in indolence/
優しい [やさしい] /(adj-i) tender/kind/gentle/graceful/affectionate/amiable/suave/(P)/
優しい声 [やさしいこえ] /(n) soft voice/
優しくする [やさしくする] /(exp,vs-i) to be kind to/to treat kindly/
優しげ [やさしげ] /(adj-na) gentle/kind/sweet-looking/
優しすぎる [やさしすぎる] /(v1) to be too nice/
優し過ぎる [やさしすぎる] /(v1) to be too nice/
優に [ゆうに] /(adv) easily/sufficiently/well/skillfully/
優る [まさる] /(v5r,vi) (1) to excel/to surpass/to exceed/to have an edge/to be superior/to outrival/(2) to outweigh/to preponderate/
優るとも劣らない [まさるともおとらない] /(adj-i) not at all inferior to/
優るとも劣らぬ [まさるともおとらぬ] /(n) not at all inferior to/
優れた [すぐれた] /(adj-f) great/excellent/
優れた学者 [すぐれたがくしゃ] /(n) eminent scholar/
優れて [すぐれて] /(adv) exceedingly/conspicuously/by far/
優れる [すぐれる] /(v1,vi) to surpass/to outstrip/to excel/(P)/
優れ物 [すぐれもの] /(n) exceptional item/extraordinary product/
優渥 [ゆうあく] /(adj-na,n) gracious/
優位 [ゆうい] /(adj-na,n) predominance/ascendancy/superiority/(P)/
優位性 [ゆういせい] /(n) predominance/
優越 [ゆうえつ] /(n,vs) supremacy/predominance/being superior to/
優越感 [ゆうえつかん] /(n) superiority complex/sense of superiority/(P)/
優越権 [ゆうえつけん] /(n) special rights/predominant rights/
優越性 [ゆうえつせい] /(n) supremacy/predominance/
優越複合 [ゆうえつふくごう] /(n) superiority complex/
優艶 [ゆうえん] /(adj-na,n) charming/fascinating/
優雅 [ゆうが] /(adj-na,n) elegance/grace/refinement/(P)/
優角 [ゆうかく] /(n) reflex angle/
優遇 [ゆうぐう] /(n,vs,adj-no) favorable treatment/favourable treatment/hospitality/warm reception/good treatment/hearty welcome/(P)/
優形 [やさがた] /(n,adj-no) slender figure/
優弧 [ゆうこ] /(n) superior (major) arc/
優姿 [やさすがた] /(n) graceful figure/
優者 [ゆうしゃ] /(n) superior individual/
優秀 [ゆうしゅう] /(adj-na,n) superiority/excellence/(P)/
優秀品 [ゆうしゅうひん] /(n) high-grade merchandise/
優柔 [ゆうじゅう] /(adj-na,n) indecisiveness/
優柔不断 [ゆうじゅうふだん] /(n,adj-na,adj-no) shilly-shally/indecisiveness/(P)/
優駿 [ゆうしゅん] /(n) fine horse/
優駿馬 [ゆうしゅんば] /(n) fine horse/
優女 [やさおんな] /(n) (1) gentle woman/affectionate woman/
優女 [やさめ] /(n) (1) gentle woman/affectionate woman/
優女 [ゆうじょ] /(n) (1) gentle woman/affectionate woman/(2) beautiful graceful woman/
優勝 [ゆうしょう] /(n,vs) overall victory/championship/(P)/
優勝を争う [ゆうしょうをあらそう] /(exp,v5u) to contend for victory/
優勝額 [ゆうしょうがく] /(n) portrait of sumo tournament winner/
優勝旗 [ゆうしょうき] /(n) championship pennant/
優勝決定戦 [ゆうしょうけっていせん] /(n) deciding match (in a competition for a cup (pennant))/
優勝候補 [ゆうしょうこうほ] /(n) favorite (top choice) for the championship (favourite)/best bet for the title/
優勝者 [ゆうしょうしゃ] /(n) prize winner/pennant winner/victor/
優勝戦 [ゆうしょうせん] /(n) championship tournament/finals/
優勝争い [ゆうしょうあらそい] /(n) championship race/struggle for victory/
優勝馬 [ゆうしょうば] /(n) winning horse/
優勝杯 [ゆうしょうはい] /(n) championship cup/
優勝劣敗 [ゆうしょうれっぱい] /(n) survival of the fittest/
優勢 [ゆうせい] /(adj-na,n) superiority/superior power/predominance/preponderance/(P)/
優勢勝ち [ゆうせいがち] /(n) (MA) winning by judges' decision (in judo)/
優性 [ゆうせい] /(n) (1) dominance/(adj-no) (2) dominant/
優性の法則 [ゆうせいのほうそく] /(n) (Mendel's) law of dominance/
優性形質 [ゆうせいけいしつ] /(n) dominant character/
優生 [ゆうせい] /(n,adj-no) eugenic/
優生学 [ゆうせいがく] /(n) eugenics/
優生結婚 [ゆうせいけっこん] /(n) eugenic marriage/
優生手術 [ゆうせいしゅじゅつ] /(n) sterilization/sterilisation/
優生保護法 [ゆうせいほごほう] /(n) Eugenic Protection Act/
優先 [ゆうせん] /(n,vs,adj-no) preference/priority/precedence/(P)/
優先Ｎサービスデータ単位 [ゆうせんエンサービスデータたんい] /(n) (comp) expedited (N)-service-data-unit/(N)-expedited-data-unit/
優先リンクセット [ゆうせんリンクセット] /(n) (comp) priority link set/
優先扱い [ゆうせんあつかい] /(n) priority treatment/preferential treatment/
優先外貨 [ゆうせんがいか] /(n) preferred foreign currency/
優先株 [ゆうせんかぶ] /(n) preferred stock/preference shares/
優先株主 [ゆうせんかぶぬし] /(n) holder of preferred stock/
優先権 [ゆうせんけん] /(n) priority/preference/preferential right/
優先語 [ゆうせんご] /(n) (comp) preferred term/
優先座席 [ゆうせんざせき] /(n) priority seating/
優先使用語 [ゆうせんしようご] /(n) (comp) preferred term/
優先使用語をもたないシソーラス [ゆうせんしようごをもたないシソーラス] /(exp) (comp) thesaurus without preferred terms/
優先使用語をもつシソーラス [ゆうせんしようごをもつシソーラス] /(exp) (comp) thesaurus with preferred terms/
優先事項 [ゆうせんじこう] /(n) priority matter/
優先取り組み物質 [ゆうせんとりくみぶっしつ] /(n) substances requiring priority action (with regard to environmental issues)/priority substance/
優先取組物質 [ゆうせんとりくみぶっしつ] /(n) substances requiring priority action (with regard to environmental issues)/priority substance/
優先順位 [ゆうせんじゅんい] /(n) priority/order of precedence/
優先席 [ゆうせんせき] /(n) priority seating/
優先的 [ゆうせんてき] /(adj-na) preferential/(P)/
優先度 [ゆうせんど] /(n) (comp) degree of relative priority/
優待 [ゆうたい] /(n,vs,adj-no) preferential treatment/hospitality/warm reception/welcome/
優待券 [ゆうたいけん] /(n) complimentary ticket/
優退 [ゆうたい] /(n,vs) bowing out/retiring voluntarily/
優男 [やさおとこ] /(n) man of gentle manners/man of delicate features/
優長 [ゆうちょう] /(adj-na) (1) leisurely/slow/deliberate/easygoing/(2) conspicuous/exceeding/deliberate/
優等 [ゆうとう] /(adj-na,n) (academic) excellence/superiority/
優等財 [ゆうとうざい] /(n) superior goods/
優等賞 [ゆうとうしょう] /(n) honor prize/honour prize/
優等賞状 [ゆうとうしょうじょう] /(n) grand-prize diploma/
優等生 [ゆうとうせい] /(n) honor student/honours student/(P)/
優等卒業生 [ゆうとうそつぎょうせい] /(n) honor graduate/honours graduate/
優曇華 [うどんげ] /(n) (1) udumbara (mythical Indian plant often identified with the cluster fig, Ficus glomerata)/(2) something very rare (from the legend that it flowers once in 3000 years)/(3) Japanese fiber banana flower/(4) green lacewing eggs/
優婆夷 [うばい] /(n) (Buddh) upasika (devout female lay follower of Buddhism)/
優婆塞 [うばそく] /(n) (Buddh) upasaka (devout male lay follower of Buddhism)/
優美 [ゆうび] /(adj-na,n) grace/refinement/elegance/daintiness/(P)/
優優閑閑 [ゆうゆうかんかん] /(adj-t,adv-to) composed and unhurried/easygoing and leisurely/in indolence/
優利 [ゆうり] /(adj-na,n) advantageous/better/profitable/lucrative/
優良 [ゆうりょう] /(adj-na,n,adj-no) superior/excellent/fine/(P)/
優良株 [ゆうりょうかぶ] /(n) blue-chip stock/gilt-edged stock/
優良児 [ゆうりょうじ] /(n) superior child/
優良店 [ゆうりょうてん] /(n) store holding a special commendation (e.g. from the mayor)/
優良馬 [ゆうりょうば] /(n) thoroughbred horse/
優良品 [ゆうりょうひん] /(n) superior articles/
優劣 [ゆうれつ] /(n) (relative) merits/superiority or inferiority/quality/(P)/
優劣つけがたい [ゆうれつつけがたい] /(exp) it's hard to choose (because both are excellent)/
優劣の法則 [ゆうれつのほうそく] /(n) (Mendel's) law of dominance/
優婉 [ゆうえん] /(adj-na,n) elegant/grand/
優諚 [ゆうじょう] /(n) gracious imperial message/
勇 [ゆう] /(n) bravery/courage/heroism/
勇ましい [いさましい] /(adj-i) (1) brave/valiant/gallant/courageous/(2) stirring/vigorous/rousing/(P)/
勇み足 [いさみあし] /(n) (1) overeagerness/rashness/(2) forward step-out (in sumo)/(P)/
勇み肌 [いさみはだ] /(n) gallantry/
勇み立つ [いさみたつ] /(v5t,vi) to cheer up/to be encouraged (by)/to be in high spirits/
勇む [いさむ] /(v5m) to be in high spirits/to be encouraged/to be lively/to cheer up/(P)/
勇を鼓す [ゆうをこす] /(exp,v5s) to screw up one's courage/to take heart/
勇往 [ゆうおう] /(n) spirited advance/energetically going forward/
勇往邁進 [ゆうおうまいしん] /(n,vs) dash and go/pushing forward/
勇敢 [ゆうかん] /(adj-na) brave/heroic/gallant/(P)/
勇敢さ [ゆうかんさ] /(n) bravery/heroism/gallantry/
勇敢無比 [ゆうかんむひ] /(n) being unmatched (unparalleled) for bravery/
勇気 [ゆうき] /(n) courage/bravery/valour/valor/nerve/boldness/(P)/
勇気づける [ゆうきづける] /(v1,vt) to encourage/to cheer/
勇気を出す [ゆうきをだす] /(exp,v5s) to summon courage/to be brave/
勇気を奮い起こす [ゆうきをふるいおこす] /(exp,v5s) to muster up one's courage/
勇気百倍 [ゆうきひゃくばい] /(n,vs) inspire someone with fresh courage/with redoubled courage/
勇気付け [ゆうきづけ] /(n) have a burst of courage/
勇気付ける [ゆうきづける] /(v1,vt) to encourage/to cheer/
勇気凛々 [ゆうきりんりん] /(adj-t,adv-to) full of spirit/brimming with courage/high-spirited/mettlesome/
勇気凛凛 [ゆうきりんりん] /(adj-t,adv-to) full of spirit/brimming with courage/high-spirited/mettlesome/
勇侠 [ゆうきょう] /(n,adj-no) chivalry/bravery/
勇決 [ゆうけつ] /(n,vs) decisiveness/
勇健 [ゆうけん] /(adj-na,n) sound health/
勇士 [ゆうし] /(n) brave warrior/hero/brave man/(P)/
勇姿 [ゆうし] /(n) gallant figure/
勇者 [ゆうしゃ] /(n) hero/the brave/man of valour (valor)/
勇者 [ゆうじゃ] /(n) hero/the brave/man of valour (valor)/
勇将 [ゆうしょう] /(n) brave general/great soldier/
勇将の下に弱卒なし [ゆうしょうのもとにじゃくそつなし] /(exp) there are no cowardly soldiers under a superior general/
勇将の下に弱卒無し [ゆうしょうのもとにじゃくそつなし] /(exp) there are no cowardly soldiers under a superior general/
勇将弱卒 [ゆうしょうじゃくそつ] /(exp) there are no cowardly soldiers under a superior general/
勇進 [ゆうしん] /(adj-na,n,vs) dashing forward bravely/
勇図 [ゆうと] /(n) ambitious undertaking/
勇戦 [ゆうせん] /(n,vs) brave fight/desperate fight/
勇壮 [ゆうそう] /(adj-na) heroic/brave/majestic/soul-stirring/lively/gallant/
勇退 [ゆうたい] /(n,vs) bowing out/retiring voluntarily/(P)/
勇断 [ゆうだん] /(n,vs) resolute decision/
勇飛 [ゆうひ] /(n) flying jump/great achievement/
勇夫 [ゆうふ] /(n) valiant man/
勇婦 [ゆうふ] /(n) heroine/brave woman/
勇武 [ゆうぶ] /(adj-na,n) bravery/valor/valour/military prowess/
勇名 [ゆうめい] /(n) fame (for one's bravery)/great renown/
勇猛 [ゆうもう] /(adj-na,n) daring/bravery/valor/valour/
勇猛果敢 [ゆうもうかかん] /(n,adj-na) daring and resolute/having dauntless courage/
勇猛心 [ゆうもうしん] /(n) intrepid spirit/
勇猛精進 [ゆうみょうしょうじん] /(n,vs) engage in ascetic practices with dauntless spirit/
勇猛無比 [ゆうもうむひ] /(n,adj-na,adj-no) most brave/as brave as any/unmatched for valor/
勇躍 [ゆうやく] /(n,vs) taking heart/being in high spirits/
勇力 [ゆうりょく] /(n) courage/
勇烈 [ゆうれつ] /(adj-na,n) bravery/valor/valour/courage/
勇邁 [ゆうまい] /(adj-na) heroic/courageous/
友 [とも] /(n) friend/companion/pal/(P)/
友だち [ともだち] /(n) friend/companion/
友つ人 [ともつひと] /(n) (arch) friend/comrade/companion/
友チョコ [ともチョコ] /(n) chocolate given to a friend (on Valentine's day)/
友愛 [ゆうあい] /(n) fraternity/friendship/(P)/
友愛会 [ゆうあいかい] /(n) fraternal association/friendship society/fraternity/
友愛結婚 [ゆうあいけっこん] /(n) companionate marriage/
友引 [ともびき] /(n) good day for business and lawsuits (trial day)/
友引 [ゆういん] /(n) good day for business and lawsuits (trial day)/
友会 [ゆうかい] /(suf) association/club/friends of ..../
友垣 [ともがき] /(n) friend/
友宜 [ゆうぎ] /(n) friendship/friendly relations/fellowship/
友義 [ゆうぎ] /(n) friendship's responsibilities/
友誼 [ゆうぎ] /(n) friendship/friendly relations/fellowship/
友誼国家 [ゆうぎこっか] /(n) friendly nation/
友軍 [ゆうぐん] /(n,adj-no) friendly troops/
友軍部隊 [ゆうぐんぶたい] /(n) friendly troops/
友交 [ゆうこう] /(n) friendship/amity/companionship/
友好 [ゆうこう] /(n) friendship/(P)/
友好関係 [ゆうこうかんけい] /(n) (establish) friendly (cordial) relations (with, between)/(form) friendship (e.g. with a nation)/
友好国 [ゆうこうこく] /(n) friendly nation/
友好条約 [ゆうこうじょうやく] /(n) treaty of friendship/
友好通商航海 [ゆうこうつうしょうこうかい] /(n) (treaty of) friendship, commerce and navigation/
友好的 [ゆうこうてき] /(adj-na) friendly/amicable/
友子 [ともこ] /(n) (arch) friend/comrade/companion/
友情 [ゆうじょう] /(n) friendship/fellowship/camaraderie/(P)/
友人 [ゆうじん] /(n) friend/(P)/
友人を訪ねる [ゆうじんをたずねる] /(exp,v1) to call on a friend/
友人間 [ゆうじんかん] /(n) among one's friends/
友成 [ともなり] /(n) developing friendship/
友千鳥 [ともちどり] /(n) flocking plovers/flock of plovers/
友禅 [ゆうぜん] /(n) (abbr) type of dyeing method or pattern/silk printed by the Yuzen process/
友禅菊 [ゆうぜんぎく] /(n) Tartarian aster (Aster Novi-Belgii)/
友禅染 [ゆうぜんぞめ] /(n) type of dyeing method or pattern/silk printed by the Yuzen process/
友禅染め [ゆうぜんぞめ] /(n) type of dyeing method or pattern/silk printed by the Yuzen process/
友達 [ともだち] /(n) friend/companion/(P)/
友達がい [ともだちがい] /(n) true friendship/
友達を伴って [ともだちをともなって] /(exp) accompanied by a friend/
友達感覚 [ともだちかんかく] /(n) feeling like friends/the feeling of friendship/
友達言葉 [ともだちことば] /(n) casual speech/
友達甲斐 [ともだちがい] /(n) true friendship/
友達作戦 [ともだちさくせん] /(n) Operation Tomodachi/United States Armed Forces assistance operation to support Japan in disaster relief following the 2011 Tohoku earthquake and tsunami/
友達付き合い [ともだちづきあい] /(n) friendly relations/social relations/social life/
友釣り [ともづり] /(n) fishing with decoys/
友党 [ゆうとう] /(n) allied political party/
友討ち [ともうち] /(n) friends shooting one another/
友朋 [ゆうほう] /(n) (arch) friend/
友邦 [ゆうほう] /(n) friendly nation/
宥めすかす [なだめすかす] /(v5s,vt) to soothe and humor (humour)/to coax/
宥める [なだめる] /(v1,vt) (uk) to soothe/to calm/to pacify/(P)/
宥め賺す [なだめすかす] /(v5s,vt) to soothe and humor (humour)/to coax/
宥恕 [ゆうじょ] /(n,vs) forgiveness/generosity/
宥和 [ゆうわ] /(n,vs) appeasement/
宥和政策 [ゆうわせいさく] /(n) appeasement policy/
幽々 [ゆうゆう] /(adj-t,adv-to) deep/dark/quiet/
幽か [かすか] /(adj-na) faint/dim/weak/indistinct/hazy/poor/wretched/
幽し [かそけし] /(exp) (arch) faint/fleeting/
幽す [ゆうす] /(v5s,vt) (arch) to confine to a room/
幽暗 [ゆうあん] /(adj-na,n) dark and secluded/
幽欝 [ゆううつ] /(adj-na,n) depression/melancholy/dejection/gloom/
幽遠 [ゆうえん] /(adj-na,n) deep and remote/
幽雅 [ゆうが] /(n) refinement/
幽怪 [ゆうかい] /(n) (arch) ghost/apparition/spirit/
幽界 [ゆうかい] /(n) hades/realm of the dead/
幽閑 [ゆうかん] /(adj-na,n) quiet and secluded/
幽鬼 [ゆうき] /(n) ghost/revenant/spirit (of the dead)/departed soul/
幽客 [ゆうかく] /(n) quiet guest/orchid/
幽居 [ゆうきょ] /(n,vs) hermitage/retreat/retirement/seclusion/
幽境 [ゆうきょう] /(n) solitude/secluded place/
幽契 [ゆうけい] /(n) secret promise/
幽景 [ゆうけい] /(n) quiet sequestered scene/
幽玄 [ゆうげん] /(adj-na,n) subtle grace/hidden beauty/yugen/mysterious profundity/elegant simplicity/the subtle and profound/the occult/
幽香 [ゆうこう] /(n) fragrance/
幽魂 [ゆうこん] /(n) spirits of the dead/
幽室 [ゆうしつ] /(n) darkened room/quiet room/
幽寂 [ゆうじゃく] /(adj-na,n) quiet/sequestered/
幽寂味 [ゆうじゃくみ] /(n) solitude/quiet/
幽趣 [ゆうしゅ] /(n) a quiet (natural) setting/
幽囚 [ゆうしゅう] /(n,vs) imprisonment/
幽愁 [ゆうしゅう] /(n) deep contemplation/melancholy/gloom/
幽勝 [ゆうしょう] /(n) beautiful and quiet scene/
幽世 [かくりよ] /(n) (obsc) afterlife/realm of the dead/
幽棲 [ゆうせい] /(n,vs) living a quiet life in seclusion away from the masses/
幽栖 [ゆうせい] /(n,vs) living a quiet life in seclusion away from the masses/
幽静 [ゆうせい] /(adj-na) profoundly quiet/serene/
幽然 [ゆうぜん] /(adj-t,adv-to) quiet and secluded/
幽窓 [ゆうそう] /(n) quiet window (poet.)/dark window/
幽体 [ゆうたい] /(n) ethereal body/
幽体離脱 [ゆうたいりだつ] /(n) out-of-body experience/
幽谷 [ゆうこく] /(n) deep ravine/glen/
幽鳥 [ゆうちょう] /(n) mountain bird/
幽微 [ゆうび] /(adj-na) dim/indistinct/
幽閉 [ゆうへい] /(n,vs) confinement/imprisonment/incarceration/house arrest/depressed feeling/(P)/
幽冥 [ゆうめい] /(n) semidarkness/deep and strange/hades/the present and the other world/dark and light/
幽冥界 [ゆうめいかい] /(n) hades/realm of the dead/
幽明 [ゆうめい] /(n) semidarkness/deep and strange/hades/the present and the other world/dark and light/
幽明相隔てる [ゆうめいあいへだてる] /(v1) to die/
幽門 [ゆうもん] /(n,adj-no) pylorus/opening of stomach into duodenum/
幽門狭窄 [ゆうもんきょうさく] /(n) pyloric stenosis/
幽幽 [ゆうゆう] /(adj-t,adv-to) deep/dark/quiet/
幽林 [ゆうりん] /(n) deep forest/
幽霊 [ゆうれい] /(n) ghost/specter/spectre/apparition/phantom/(P)/
幽霊の正体見たり枯れ尾花 [ゆうれいのしょうたいみたりかれおばな] /(exp) if you look carefully, it's more ordinary than it appears (lit: the ghost, when examined closely, was withered silver grass)/
幽霊屋敷 [ゆうれいやしき] /(n) haunted house/
幽霊会社 [ゆうれいがいしゃ] /(n) bogus company/paper company/
幽霊株 [ゆうれいかぶ] /(n) watered stock/bogus shares/
幽霊社員 [ゆうれいしゃいん] /(n) bogus (phantom) employee/
幽霊人口 [ゆうれいじんこう] /(n) ghost population/
幽霊船 [ゆうれいせん] /(n) ghost ship/phantom ship/
幽霊蜘蛛 [ゆうれいぐも] /(n) (1) (uk) pholcid spider (any spider of family Pholcidae, esp. species Pholcus crypticolens)/(2) (col) harvestman/daddy longlegs/
幽霊部員 [ゆうれいぶいん] /(n) paper members/people theoretically part of a (school) club but who hardly ever turn up/
幽霊文字 [ゆうれいもじ] /(n) ghost character (apocryphal JIS kanji)/
幽霊話 [ゆうれいばなし] /(n) ghost story/
幽鬱 [ゆううつ] /(adj-na,n) depression/melancholy/dejection/gloom/
幽邃 [ゆうすい] /(adj-na,n) retired and quiet/
幽邃境 [ゆうすいきょう] /(n) secluded place/
幽篁 [ゆうこう] /(n) (obsc) deep and quiet bamboo grove/
悠々 [ゆうゆう] /(adj-t,adv-to) quiet/calm/leisurely/easy/(P)/
悠々緩々 [ゆうゆうかんかん] /(adj-t,adv-to) composed and unhurried/easygoing and leisurely/in indolence/
悠々閑々 [ゆうゆうかんかん] /(adj-t,adv-to) composed and unhurried/easygoing and leisurely/in indolence/
悠々自適 [ゆうゆうじてき] /(adj-na,n) living a life of leisure with dignity/living quietly and comfortably free from worldly cares/otium cum dignitate/
悠遠 [ゆうえん] /(adj-na,n) faraway/remoteness/
悠久 [ゆうきゅう] /(adj-na,adj-no,n) eternity/perpetuity/permanence/(P)/
悠然 [ゆうぜん] /(n,adj-t,adv-to) with an air of composure/calmly/
悠長 [ゆうちょう] /(adj-na) (1) leisurely/slow/deliberate/easygoing/(P)/
悠悠 [ゆうゆう] /(adj-t,adv-to) quiet/calm/leisurely/easy/
悠悠緩緩 [ゆうゆうかんかん] /(adj-t,adv-to) composed and unhurried/easygoing and leisurely/in indolence/
悠悠閑閑 [ゆうゆうかんかん] /(adj-t,adv-to) composed and unhurried/easygoing and leisurely/in indolence/
悠悠自適 [ゆうゆうじてき] /(adj-na,n) living a life of leisure with dignity/living quietly and comfortably free from worldly cares/otium cum dignitate/
悠悠自適の生活 [ゆうゆうじてきのせいかつ] /(n) life free from worldly cares/
悠揚 [ゆうよう] /(adj-na,n) self-possessed/calm/
憂い [うい] /(adj-i) unhappy/sad/gloomy/
憂い [うれい] /(n) grief/distress/sorrow/(P)/
憂いを帯びた顔 [うれいをおびたかお] /(exp) sorrowful look/
憂い顔 [うれいがお] /(n) sad face/sorrowful face/anxious look/sad countenance/
憂い事 [うれいごと] /(n) bitter experience/misery/distress/grief/sad thoughts/
憂い悩む [うれいなやむ] /(v5m) to be grievously troubled/
憂うつ [ゆううつ] /(adj-na,n) depression/melancholy/dejection/gloom/
憂うべき [うれうべき] /(exp) deplorable/alarming/grievous/lamentable/
憂え [うれえ] /(n) (1) lamentation/(2) grief/anguish/(3) anxiety/(4) illness/(5) mourning/
憂える [うれえる] /(v1,vt) to grieve/to lament/to be anxious/to be distressed/(P)/
憂き身 [うきみ] /(n) wretched life/
憂き世 [うきよ] /(n) fleeting life/this transient world/sad world/
憂き名 [うきな] /(n) (1) (arch) bad reputation/
憂き目 [うきめ] /(n) bitter experience/misery/distress/grief/sad thoughts/hardship/(P)/
憂き目を見る [うきめをみる] /(exp,v1) to have a hard time of it/to have a bitter experience/
憂さ [うさ] /(n) gloom/melancholy/
憂さばらし [うさばらし] /(n) diversion/distraction/
憂さを晴らしに [うさをはらしに] /(adv) (uk) for amusement/by way of diversion (distraction from grief)/
憂さを晴らす [うさをはらす] /(exp,v5s) to forget one's troubles by doing something enjoyable/
憂さ晴らし [うさばらし] /(n) diversion/distraction/
憂わしい [うれわしい] /(adj-i) wretched/sad/
憂欝 [ゆううつ] /(adj-na,n) depression/melancholy/dejection/gloom/
憂欝症 [ゆううつしょう] /(n) melancholia/hypochondria/
憂患 [ゆうかん] /(n,vs) sorrow/worry/distress/
憂苦 [ゆうく] /(n,vs) trouble/distress/sorrow/
憂虞 [ゆうぐ] /(n,vs) anxiety/fear/
憂国 [ゆうこく] /(n) patriotism/(P)/
憂国慨世 [ゆうこくがいせい] /(n) worrying about the conditions of the country out of sheer patriotism/
憂思 [ゆうし] /(n,vs) grieving/
憂事 [うれいごと] /(n) bitter experience/misery/distress/grief/sad thoughts/
憂愁 [ゆうしゅう] /(n,vs,adj-no) melancholy/gloom/grief/
憂色 [ゆうしょく] /(n) melancholy air/anxious look/traces of sorrow/gloom/
憂心 [ゆうしん] /(n) grieving heart/
憂身 [うきみ] /(n) life of misery/
憂世 [うきよ] /(n) fleeting life/this transient world/sad world/
憂世 [ゆうせい] /(n) worrying about world conditions/
憂晴し [うさばらし] /(io) (n) diversion/distraction/
憂戚 [ゆうせき] /(n) grief/
憂憤 [ゆうふん] /(n,vs) grief and anger/
憂目 [うきめ] /(n) bitter experience/misery/distress/grief/sad thoughts/hardship/
憂悶 [ゆうもん] /(n,vs) anguish/mortification/
憂慮 [ゆうりょ] /(n,vs) anxiety/concern/fear/(P)/
憂哭 [うきね] /(n) sobbing/
憂懼 [ゆうく] /(n,vs) fear/apprehension/dread/
憂鬱 [ゆううつ] /(adj-na,n) depression/melancholy/dejection/gloom/(P)/
憂鬱質 [ゆううつしつ] /(n) susceptibility to depression/
憂鬱症 [ゆううつしょう] /(n) severe depression/
有 [う] /(n) (Buddh) bhava (becoming, existence)/
有 [ゆう] /(n) (1) existence/(n,n-pref) (2) possession/having/(3) (abbr) limited company/(P)/
有する [ゆうする] /(vs-s) to own/to be endowed with/(P)/
有って無い [あってない] /(exp) (uk) lacking in some desired property (size, usefulness, etc.)/(P)/
有らしめる [あらしめる] /(v1) (uk) (arch) to bring into existence/to make be/to let be/
有らずもがな [あらずもがな] /(exp,adj-no) uncalled for/unnecessary/gratuitous/
有らせられる [あらせられる] /(v1,vi) (1) (uk) (hon) to be/to exist/(2) (uk) (hon) to be (honorific copula)/
有らぬ [あらぬ] /(adj-pn) different/false/wrong/improper/
有らぬ事 [あらぬこと] /(exp) the unthinkable/
有らまほしい [あらまほしい] /(adj-i) (uk) (arch) desirable/ideal/
有らゆる [あらゆる] /(adj-pn) (uk) all/every/(P)/
有らん限り [あらんかぎり] /(exp,adv,adj-no) all/as much as possible/
有り [あり] /(n,adj-no) (uk) existence (at the present moment)/
有りうる [ありうる] /(adj-f,exp) possible/likely/probable/
有りえる [ありえる] /(adj-f,exp) possible/likely/probable/
有りがち [ありがち] /(adj-na,adj-no) (uk) frequent/common/usual/
有りげ [ありげ] /(n,adj-na) (uk) appearing like/seeming to be/being pregnant with/
有りそう [ありそう] /(adj-na) (uk) probable/
有りったけ [ありったけ] /(adv,n) (uk) all that one has/all that there is/the whole/
有りっ丈 [ありったけ] /(adv,n) (uk) all that one has/all that there is/the whole/
有りつく [ありつく] /(v5k) (uk) to get/to obtain/to come by/to find/
有りとあらゆる [ありとあらゆる] /(exp,adj-pn) (uk) every single (piece of furniture)/every possible (excuse)/(P)/
有りと有らゆる [ありとあらゆる] /(exp,adj-pn) (uk) every single (piece of furniture)/every possible (excuse)/
有りのまま [ありのまま] /(adj-na,adv,n) (uk) the truth/fact/as it is/frankly/(P)/
有りの実 [ありのみ] /(n) pear/
有りの儘 [ありのまま] /(adj-na,adv,n) (uk) the truth/fact/as it is/frankly/
有りふれた [ありふれた] /(adj-f) (uk) unsurprising/trite/commonplace/mundane/hackneyed/garden variety (of)/
有りもしない [ありもしない] /(adj-i) nonexistent/unreal/imaginary/spurious/
有り気 [ありげ] /(n,adj-na) (uk) appearing like/seeming to be/being pregnant with/
有り金 [ありがね] /(n) money on hand/
有り高 [ありだか] /(n) amount on hand/
有り合う [ありあう] /(v5u,vi) to happen to be present/
有り合す [ありあわす] /(v5s) to have something on hand/to have something in stock/
有り合せ [ありあわせ] /(n,adj-no) anything available/on hand/ready/(P)/
有り合せる [ありあわせる] /(v1) to have something on hand/to have something in stock/
有り合わす [ありあわす] /(v5s) to have something on hand/to have something in stock/
有り合わせ [ありあわせ] /(n,adj-no) anything available/on hand/ready/(P)/
有り合わせる [ありあわせる] /(v1) to have something on hand/to have something in stock/
有り勝ち [ありがち] /(adj-na,adj-no) (uk) frequent/common/usual/(P)/
有り丈 [ありたけ] /(n,adv) (uk) all that one has/all that there is/the whole/
有り丈 [ありだけ] /(n,adv) (uk) all that one has/all that there is/the whole/
有り触れた [ありふれた] /(adj-f) (uk) unsurprising/trite/commonplace/mundane/hackneyed/garden variety (of)/(P)/
有り触れる [ありふれる] /(v1) to be common/
有り切れ [ありぎれ] /(n) remnants/
有り体 [ありてい] /(adj-na,n,adj-no) the unvarnished truth/
有り体に [ありていに] /(exp,adv) as it is/frankly/
有り得 [ありう] /(v2a-s,vi) to be possible/to be likely/to be probable/
有り得ない [ありえない] /(adj-i) (uk) impossible/(P)/
有り得ない程 [ありえないほど] /(n) (uk) unbelievable (extent)/
有り得べからざる [ありうべからざる] /(exp,adj-pn) impossible/unthinkable/unimaginable/
有り得べき [ありうべき] /(adj-f) (uk) possible/probable/likely/
有り得る [ありうる] /(adj-f,exp) possible/likely/probable/
有り得る [ありえる] /(adj-f,exp) possible/likely/probable/
有り難い [ありがたい] /(adj-i) grateful/thankful/welcome/appreciated/evoking gratitude/(P)/
有り難う [ありがとう] /(conj,exp) (uk) (abbr) Thank you/(P)/
有り難うございます [ありがとうございます] /(exp) (uk) thank you/(P)/
有り難う御座います [ありがとうございます] /(exp) (uk) thank you/
有り難がる [ありがたがる] /(v5r) to be thankful/to feel grateful/to show one's gratitude/
有り難く頂く [ありがたくいただく] /(exp,v5k) to accept (a thing) with thanks/
有り難さ [ありがたさ] /(n) (uk) value/virtue/blessing/
有り難み [ありがたみ] /(n) value/worth/virtue/blessing/
有り難味 [ありがたみ] /(n) value/worth/virtue/blessing/
有り難迷惑 [ありがためいわく] /(adj-na,n) unwelcome favor/unwelcome favour/mixed blessing/white elephant/
有り難涙 [ありがたなみだ] /(n) tears of gratitude/
有り付く [ありつく] /(v5k) (uk) to get/to obtain/to come by/to find/
有り布 [ありぎれ] /(n) remnants/
有り無し [ありなし] /(n) (1) existence or nonexistence/presence or absence/(2) consent or refusal/yes or no/
有り明け [ありあけ] /(n) dawn (sometimes esp. in ref. to the 16th day of the lunar month onward)/
有り余る [ありあまる] /(v5r,vi) to be superfluous/to be in excess/to be more than enough/
有り様 [ありさま] /(n) state/condition/circumstances/the way things are or should be/truth/(P)/
有り様 [ありよう] /(n) state/condition/circumstances/the way things are or should be/truth/
有る [ある] /(v5r-i,vi) (1) (uk) to be (usu. of inanimate objects)/to exist/to live/(2) to have/(3) to be located/(4) to be equipped with/(5) to happen/to come about/(P)/
有るか無きか [あるかなきか] /(exp) so slight as to be all but non-existent/
有るが儘 [あるがまま] /(exp) (uk) in truth/as it is/as you are/in practice/
有ること無いこと [あることないこと] /(exp) mixture of fact and fiction/half-truths/
有るたけ [あるたけ] /(exp) (uk) all that one has/all that there is/the whole/
有るだけ [あるだけ] /(exp) (uk) all that one has/all that there is/the whole/
有るべき [あるべき] /(adj-pn) (uk) ideal/desirable/the way something should be/
有るまじき [あるまじき] /(adj-pn) unworthy/unbecoming/improper/
有る限り [あるかぎり] /(n) (1) all (there is)/(exp,n-adv) (2) as long as there is/
有る事無い事 [あることないこと] /(exp) mixture of fact and fiction/half-truths/
有る時払い [あるときばらい] /(n) paying loan installments whenever one happens to have money (instalments)/
有る無し [あるなし] /(exp) (uk) presence or absence/whether something is there or not/whether something happens or not/
有ろうことか [あろうことか] /(exp) (uk) Of all things!/The strangest thing happened/
有ろう事か [あろうことか] /(exp) (uk) Of all things!/The strangest thing happened/
有意 [ゆうい] /(adj-na,n,adj-no) significance/
有意義 [ゆういぎ] /(adj-na) significant/useful/meaningful/worthwhile/valuable/of interest/(P)/
有意義に過ごしてください [ゆういぎにすごしてください] /(exp) Have a good time!/
有意義に過ごして下さい [ゆういぎにすごしてください] /(exp) Have a good time!/
有意差 [ゆういさ] /(n) significant difference/statistical signifigance/
有意瞬間 [ゆういしゅんかん] /(n) (comp) significant instant/
有意状態 [ゆういじょうたい] /(n) (comp) significant condition/
有意水準 [ゆういすいじゅん] /(n) significance level (stats)/level of significance/critical p-value/
有意的 [ゆういてき] /(adj-na) intentional/significant/
有為 [うい] /(n) (Buddh) perpetual change caused by karma/vicissitudes of life/that which is made/
有為 [ゆうい] /(adj-na,n) capable/able/talented/promising/
有為の材 [ゆういのざい] /(n) man of talent/
有為転変 [ういてんぺん] /(n,adj-no) mutability (of worldly affairs)/fleeting shifts and changes (of human life)/
有益 [ゆうえき] /(adj-na,n) beneficial/profitable/(P)/
有益無害 [ゆうえきむがい] /(n,adj-na) beneficial and harmless/
有煙炭 [ゆうえんたん] /(n) soft or bituminous coal/
有価 [ゆうか] /(n,adj-no) valuable (object)/negotiable (instrument)/
有価証券 [ゆうかしょうけん] /(n) marketable securities/stocks and bonds/(P)/
有価物 [ゆうかぶつ] /(n) valuables/
有夏 [ゆうか] /(n) (obsc) Mainland China/
有界 [うかい] /(n) (Buddh) realm of existence/
有界 [うがい] /(n) (Buddh) realm of existence/
有界 [ゆうかい] /(n,adj-no) (math) bounded/
有害 [ゆうがい] /(adj-na,n) harmfulness/(P)/
有害植物 [ゆうがいしょくぶつ] /(n) noxious plant/harmful plant/
有害食品 [ゆうがいしょくひん] /(n) harmful food/
有害物質 [ゆうがいぶっしつ] /(n) toxic substance/
有害無益 [ゆうがいむえき] /(n) more harm than good/harmful and of no use/
有蓋 [ゆうがい] /(n,adj-no) covered/roofed/lidded/
有蓋貨車 [ゆうがいかしゃ] /(n) boxcar/
有感地震 [ゆうかんじしん] /(n) perceptible earthquake/
有閑 [ゆうかん] /(n) leisured/
有閑マダム [ゆうかんマダム] /(n) bourgeoise wife/
有閑階級 [ゆうかんかいきゅう] /(n) the leisured class/
有期 [ゆうき] /(n,adj-no) definite period or term/
有期間社員 [ゆうきかんしゃいん] /(n) worker with a fixed term contract of employment/
有期刑 [ゆうきけい] /(n) definite term (of a prison sentence)/
有期年金 [ゆうきねんきん] /(n) fixed-term annuity/
有機 [ゆうき] /(n,adj-no) organic/(P)/
有機ＥＬ [ゆうきイーエル] /(n) (comp) organic electroluminescence/
有機エレクトロニクス [ゆうきエレクトロニクス] /(n) organic electronics/
有機ゴミ [ゆうきゴミ] /(n) organic waste/
有機リン [ゆうきリン] /(n) (1) organic phosphorus/(adj-no) (2) organophosphorus/
有機塩溶媒 [ゆうきえんようばい] /(n) organochloride solvent/
有機汚染物質 [ゆうきおせんぶっしつ] /(n) organic pollutant/
有機化学 [ゆうきかがく] /(n) organic chemistry/
有機化合物 [ゆうきかごうぶつ] /(n) organic compound/
有機栽培 [ゆうきさいばい] /(n) organic farming/organic cultivation/
有機質肥料 [ゆうきしつひりょう] /(n) organic fertilizer/
有機色素 [ゆうきしきそ] /(n) organic dye (optical disc media)/
有機水銀 [ゆうきすいぎん] /(n) organic mercury/
有機水銀中毒 [ゆうきすいぎんちゅうどく] /(n) organic mercury poisoning/
有機体 [ゆうきたい] /(n) organic body/organism/
有機的 [ゆうきてき] /(adj-na) (1) organic/(2) coordinated/working in a coordinated fashion/
有機農業 [ゆうきのうぎょう] /(n) organic farming/
有機農法 [ゆうきのうほう] /(n) organic agriculture (farming)/
有機肥料 [ゆうきひりょう] /(n) organic fertilizer/organic fertiliser/
有機物 [ゆうきぶつ] /(n) organic matter/(P)/
有機溶剤 [ゆうきようざい] /(n) organic solvent/
有気音 [ゆうきおん] /(n) (phonetics) an aspirate/
有休 [ゆうきゅう] /(n) (abbr) vacation/(paid) holiday/
有給 [ゆうきゅう] /(n,adj-no) salaried/with pay/(P)/
有給休暇 [ゆうきゅうきゅうか] /(n) paid vacation/leave/
有櫛動物 [ゆうしつどうぶつ] /(n) ctenophore (aquatic invertebrate of the phylum Ctenophora)/
有卦 [うけ] /(n) streak of good luck/
有卦に入る [うけにいる] /(exp,v1) to have good luck/
有卦に入る [うけにはいる] /(ik) (exp,v1) to have good luck/
有形 [ゆうけい] /(n,adj-no) material/tangible/concrete/
有形固定資産 [ゆうけいこていしさん] /(n) tangible fixed assets/tangible property/property, plant and equipment/PPE/
有形財産 [ゆうけいざいさん] /(n) tangible assets/
有形文化財 [ゆうけいぶんかざい] /(n) tangible cultural properties/
有形無形 [ゆうけいむけい] /(n) tangible and intangible/material and spiritual/
有権解釈 [ゆうけんかいしゃく] /(n) official interpretation or construction (e.g. of a law)/
有権者 [ゆうけんしゃ] /(n) voter/constituent/(electoral) franchise-holder/(the) electorate/eligible voters/(P)/
有言実行 [ゆうげんじっこう] /(n,vs) carrying out one's words/being as good as one's word/making good on one's promise/
有限 [ゆうげん] /(adj-no,adj-na,n) finite/limited/(P)/
有限花序 [ゆうげんかじょ] /(n,adj-no) definite inflorescence/
有限会社 [ゆうげんがいしゃ] /(n) limited company/company structure for small businesses, abolished in 2006 (YK)/
有限級数 [ゆうげんきゅうすう] /(n) a finite series/
有限型 [ゆうげんがた] /(exp) (math) of finite type/
有限個 [ゆうげんこ] /(n) countable/
有限集合 [ゆうげんしゅうごう] /(n) finite set/
有限状態文法 [ゆうげんじょうたいぶんぽう] /(n) (ling) finite-state grammar/
有限性 [ゆうげんせい] /(n) finiteness/finitude/
有限生成 [ゆうげんせいせい] /(adj-f) (math) finitely generated/of finite type/
有限責任 [ゆうげんせきにん] /(n,adj-no) limited liability/
有限責任会社 [ゆうげんせきにんかいしゃ] /(n) limited liability company (US, Australia, etc.)/LLC/
有限責任会社 [ゆうげんせきにんがいしゃ] /(n) limited liability company (US, Australia, etc.)/LLC/
有限体 [ゆうげんたい] /(n) (math) finite field/
有限要素法 [ゆうげんようそほう] /(n) finite element method/
有功 [ゆうこう] /(adj-na,n) merit/
有功章 [ゆうこうしょう] /(n) medal for merit/
有効 [ゆうこう] /(adj-na,n) validity/legality/availability/effectiveness/(P)/
有効ＰＰＤＵ [ゆうこうピーピーディーユー] /(n) (comp) valid PPDU/
有効ＳＰＤＵ [ゆうこうエスピーディーユー] /(n) (comp) valid SPDU/
有効けた [ゆうこうけた] /(n) (comp) significant digit/
有効けた演算 [ゆうこうけたえんざん] /(n) (comp) significant digit arithmetic/
有効データ転送速度 [ゆうこうデータてんそうそくど] /(n) (comp) effective data transfer rate/
有効ポテンシャル [ゆうこうポテンシャル] /(n) effective potential (physics)/
有効域 [ゆうこういき] /(n) (comp) scoping unit/
有効化 [ゆうこうか] /(n) (comp) validation/
有効期間 [ゆうこうきかん] /(n) term of validity/period for which (a ticket) is available (valid)/
有効期間 [ゆうこうきげん] /(n) term of validity/period for which (a ticket) is available (valid)/
有効期限 [ゆうこうきげん] /(n) expiration date (on a credit card)/effective date/
有効桁 [ゆうこうけた] /(n) (comp) significant digit/
有効作用 [ゆうこうさよう] /(n) effective action (physics)/
有効試験事象 [ゆうこうしけんじしょう] /(n) (comp) valid test event/
有効需要 [ゆうこうじゅよう] /(n) effective demand/
有効状態 [ゆうこうじょうたい] /(n) (comp) active state/
有効数字 [ゆうこうすうじ] /(n) significant digits/
有効性 [ゆうこうせい] /(n) validity/effectiveness/
有効成分 [ゆうこうせいぶん] /(n) active ingredient/
有効打 [ゆうこうだ] /(n) telling blow/
有効範囲 [ゆうこうはんい] /(n) (comp) scope/valid range/coverage/
有向ビーム表示装置 [ゆうこうビームひょうじそうち] /(n) (comp) calligraphic display device/directed beam display device/
有孔虫 [ゆうこうちゅう] /(n) foraminifer/foraminiferan/
有合わす [ありあわす] /(io) (v5s) to have something on hand/to have something in stock/
有彩色 [ゆうさいしょく] /(n) chromatic color/chromatic colour/
有罪 [ゆうざい] /(n,adj-no) guilt/culpability/(P)/
有罪答弁 [ゆうざいとうべん] /(n) guilty plea/
有罪判決 [ゆうざいはんけつ] /(n) guilty verdict/judgment of guilty (judgement)/
有産 [ゆうさん] /(n) propertied/monied/
有産階級 [ゆうさんかいきゅう] /(n) the propertied class/bourgeoisie/
有酸素運動 [ゆうさんそうんどう] /(n) aerobic exercise/
有刺鉄線 [ゆうしてっせん] /(n) barbed wire/
有司 [ゆうし] /(n) an official/
有史 [ゆうし] /(n) recorded in history/historical/
有史以前 [ゆうしいぜん] /(n,adj-no) prehistory/
有史以来 [ゆうしいらい] /(n-t) since the dawn of history/
有志 [ゆうし] /(n,adj-no) voluntary/volunteer/sympathizer/sympathiser/(P)/
有志一同 [ゆうしいちどう] /(exp) all those interested (in the matter)/all those willing/(from) all of us/(from) everyone concerned/
有志同盟 [ゆうしどうめい] /(n) Coalition of the Willing (nations who supported America's preemptive strike in Iraq in 2003)/
有志連合 [ゆうしれんごう] /(n) Coalition of the Willing (nations who supported America's preemptive strike in Iraq in 2003)/
有糸分裂 [ゆうしぶんれつ] /(n,adj-no) mitosis/
有視界飛行 [ゆうしかいひこう] /(n) visual flight/
有資格者 [ゆうしかくしゃ] /(n) licensed or qualified or eligible person/
有事 [ゆうじ] /(n) emergency/(P)/
有事立法 [ゆうじりっぽう] /(n) legislation to deal with emergencies/
有識 [ゆうしき] /(n) well-informed/learned/
有識経験者 [ゆうしきけいけんしゃ] /(n) knowledgeable and experienced person/
有識者 [ゆうしきしゃ] /(n) expert/knowledgeable person/(P)/
有終 [ゆうしゅう] /(n) perfection/
有衆 [ゆうしゅう] /(n) the multitudes/the people/
有償 [ゆうしょう] /(n,adj-no) (1) compensation/consideration/(2) for profit/non-free/(3) onerous/(P)/
有償契約 [ゆうしょうけいやく] /(n) an onerous contract/contract made for a consideration/
有償収集 [ゆうしょうしゅうしゅう] /(n) (comp) non-gratuitous acquisition/
有象無象 [うぞうむぞう] /(n) mob/the masses/rabble/riffraff/
有情 [うじょう] /(n) (Buddh) sentient beings/(feelings of) humanity/
有情無情 [うじょうむじょう] /(n) sentient and nonsentient beings/
有職 [ゆうしょく] /(n) (1) holding a job/(2) learned/well-versed in usages or practices of the court or military households (practises)/knowlegeable/
有職 [ゆうそく] /(n) (1) holding a job/(2) learned/well-versed in usages or practices of the court or military households (practises)/knowlegeable/
有職故実 [ゆうそくこじつ] /(n) well-versed in usages or practices of the court or military households (practises)/
有職者 [ゆうしょくしゃ] /(n) employed person/
有色 [ゆうしょく] /(n) colored/coloured/
有色人種 [ゆうしょくじんしゅ] /(n,adj-no) people of color (colour)/non-white races/
有色体 [ゆうしょくたい] /(n) chromoplast/chromoplastid/
有色野菜 [ゆうしょくやさい] /(n) brightly colored vegetables/brightly coloured vegetables/
有触れる [ありふれる] /(v1) to be common/
有心 [うしん] /(n) (1) discrimination/historical school of poetic thought/(2) (Buddh) attachment/distractions/
有神論 [ゆうしんろん] /(n) theism/belief in existence of a god or gods/
有人 [ゆうじん] /(n,adj-no) manned/occupied/piloted/(P)/
有人化 [ゆうじんか] /(n,vs) manning/occupying/
有数 [ゆうすう] /(adj-na,n,adj-no) prominent/leading/(P)/
有性 [ゆうせい] /(n,adj-no) sexual/
有性生殖 [ゆうせいせいしょく] /(n,adj-no) sexual reproduction/zoogamy/
有声 [ゆうせい] /(n,adj-no) voiced/vocal/
有声音 [ゆうせいおん] /(n) (ling) voiced sound/
有声音化 [ゆうせいおんか] /(n,vs) vocalization/vocalisation/
有声子音 [ゆうせいしいん] /(n) voiced consonant/
有税 [ゆうぜい] /(n,adj-no) taxable/
有税品 [ゆうぜいひん] /(n) taxable goods/
有線 [ゆうせん] /(n,adj-no) communicate by wire/(P)/
有線テレビ [ゆうせんテレビ] /(n) (1) closed-circuit television/(2) community antenna television/CATV/(3) pay TV/
有線通信 [ゆうせんつうしん] /(n) cable communications/
有線電信 [ゆうせんでんしん] /(n) wire telegraph/
有線放送 [ゆうせんほうそう] /(n) cable broadcast/
有体 [ありてい] /(adj-na,n,adj-no) the unvarnished truth/
有体 [ゆうたい] /(n,adj-no) tangible/corporeal/
有体に [ありていに] /(exp,adv) as it is/frankly/
有体資産 [ゆうたいしさん] /(n) tangible assets/
有体動産 [ゆうたいどうさん] /(n) tangible property/
有体物 [ゆうたいぶつ] /(n) something material/tangible object/
有袋動物 [ゆうたいどうぶつ] /(n) a marsupial/
有袋類 [ゆうたいるい] /(n) marsupial/
有段者 [ゆうだんしゃ] /(n) (MA) rank holder/rank holding person/Black Belt/
有畜農業 [ゆうちくのうぎょう] /(n) farming complemented by raising livestock/
有頂天 [うちょうてん] /(adj-na,n) ecstasy/(P)/
有頂天外 [うちょうてんがい] /(n) beside oneself with joy/in raptures/in an ecstasy of delight/
有頂点 [うちょうてん] /(iK) (adj-na,n) ecstasy/
有爪動物 [ゆうそうどうぶつ] /(n) velvet worm (Onychophora)/
有蹄類 [ゆうているい] /(n) ungulates/
有田焼 [ありたやき] /(n) Arita ware (porcelain)/
有田焼き [ありたやき] /(io) (n) Arita ware (porcelain)/
有頭動物 [ゆうとうどうぶつ] /(n) craniate/
有道 [ゆうどう] /(n) being good (virtuous)/good (virtuous) person/
有徳 [うとく] /(adj-na,n,adj-no) virtuous/rich/
有徳 [ゆうとく] /(adj-na,n,adj-no) virtuous/rich/
有毒 [ゆうどく] /(adj-na,n,adj-no) poisonous/toxic/(P)/
有毒ガス [ゆうどくガス] /(n) noxious gas/poisonous gas/toxic fumes/
有難い [ありがたい] /(adj-i) grateful/thankful/welcome/appreciated/evoking gratitude/(P)/
有難う [ありがとう] /(conj,exp) (uk) (abbr) Thank you/(P)/
有難うございます [ありがとうございます] /(exp) (uk) thank you/(P)/
有難さ [ありがたさ] /(n) (uk) value/virtue/blessing/
有難み [ありがたみ] /(n) value/worth/virtue/blessing/
有難味 [ありがたみ] /(n) value/worth/virtue/blessing/
有難迷惑 [ありがためいわく] /(adj-na,n) unwelcome favor/unwelcome favour/mixed blessing/white elephant/
有念 [うねん] /(n) (Buddh) contemplation on concrete, tangible things/
有能 [ゆうのう] /(adj-na,n) able/capable/efficient/skill/(P)/
有肺類 [ゆうはいるい] /(n) pulmonates/
有配 [ゆうはい] /(n) dividend-paying (stock)/
有髪 [うはつ] /(n) untonsured (monk or priest or nun)/
有髪俗体 [うはつぞくたい] /(n) (a Buddhist monk or priest or nun) without head shaven and not wearing religious garb/
有半 [ゆうはん] /(n) half again of a designated unit/
有斐閣 [ゆうひかく] /(n) Yuuhikaku (law book publisher)/
有尾類 [ゆうびるい] /(n) urodeles (tailed amphibians)/
有夫 [ゆうふ] /(n) married woman/
有吻類 [ゆうふんるい] /(n) snout beetle/
有平糖 [あるへいとう] /(n) toffee/
有胞子性乳酸菌 [ゆうほうしせいにゅうさんきん] /(n) Bacillus coagulans, species of lactic acid-forming Bacillus bacteria/
有望 [ゆうぼう] /(adj-na,n) good prospects/full of hope/promising/(P)/
有望株 [ゆうぼうかぶ] /(n) hopeful stock (share)/
有無 [うむ] /(n) (1) existence or nonexistence/presence or absence/(2) consent or refusal/yes or no/(3) (comp) flag indicator/presence or absence marker/(P)/
有無 [ゆうむ] /(ok) (n) (1) existence or nonexistence/presence or absence/(2) consent or refusal/yes or no/(3) (comp) flag indicator/presence or absence marker/
有無を言わさず [うむをいわさず] /(exp,adv) peremptorily/willy-nilly/forcibly/
有無を言わせず [うむをいわせず] /(exp) peremptorily/willy-nilly/forcibly/
有無相通じる [うむあいつうじる] /(v1) to help each other/to complement/
有名 [ゆうめい] /(adj-na) (1) famous/(n) (2) fame/(P)/
有名校 [ゆうめいこう] /(n) famous school or university/
有名人 [ゆうめいじん] /(n) celebrity/
有名税 [ゆうめいぜい] /(n) the price of fame/noblesse oblige/
有名無実 [ゆうめいむじつ] /(adj-na,n,adj-no) in name but not in reality/
有名無名 [ゆうめいむめい] /(n,adj-no) well-known and unknown/somebodies and nobodies/both famous and humble/
有明 [ありあけ] /(n) dawn (sometimes esp. in ref. to the 16th day of the lunar month onward)/
有明行灯 [ありあけあんどん] /(n) portable paper lantern for walking at night/
有耶無耶 [うやむや] /(adj-na,n) (uk) indefinite/hazy/vague/(P)/
有余 [ゆうよ] /(n,adj-no) more than/
有余る [ありあまる] /(v5r,vi) to be superfluous/to be in excess/to be more than enough/
有様 [ありさま] /(n) state/condition/circumstances/the way things are or should be/truth/(P)/
有様 [ありよう] /(n) state/condition/circumstances/the way things are or should be/truth/
有用 [ゆうよう] /(adj-na,n) useful/helpful/(P)/
有用性 [ゆうようせい] /(n) usefulness/
有用微生物群 [ゆうようびせいぶつぐん] /(n) effective microorganisms/EM/
有羊膜類 [ゆうようまくるい] /(n) amniotes/
有要 [ゆうよう] /(n) matter (thing, concept) of high (vital, extreme) importance/
有翼 [ゆうよく] /(adj-no) winged/
有利 [ゆうり] /(adj-na,n) advantageous/better/profitable/lucrative/(P)/
有利と踏む [ゆうりとふむ] /(exp,v5m) to be advantageous/to be a favorite (to win)/
有利化 [ゆうりか] /(n,vs) (comp) rationalization/
有利子負債 [ゆうりしふさい] /(n) interest-bearing liabilities/interest-bearing debt/debt with interest/liability with interest/
有理 [ゆうり] /(adj-no) (1) rational/(2) (math) rational (number or function)/
有理化 [ゆうりか] /(n,vs) (math) rationalization (modifying part of an irrational expression, esp. denominators, to exclude roots or irrational numbers)/
有理関数 [ゆうりかんすう] /(n) rational function/
有理式 [ゆうりしき] /(n) rational expression/
有理数 [ゆうりすう] /(n) (math) (comp) rational number/
有料 [ゆうりょう] /(n,adj-no) toll/fee/charge/admission-paid/(P)/
有料駐車場 [ゆうりょうちゅうしゃじょう] /(n) toll parking lot/toll car park/
有料道路 [ゆうりょうどうろ] /(n) toll road/
有力 [ゆうりょく] /(adj-na,n) (1) influential/prominent/(2) strong/likely/plausible/potent/(P)/
有力筋 [ゆうりょくすじ] /(n) influential quarters/
有力候補 [ゆうりょくこうほ] /(n) major contender/strong (leading) candidate/front runner/
有力者 [ゆうりょくしゃ] /(n) influential person/man of importance/(P)/
有力馬 [ゆうりょくば] /(n) hopeful (promising or strong) candidate/
有鱗類 [ゆうりんるい] /(n) (1) Squamata (order of scaled reptiles)/(2) Pholidota (order of pangolins)/
有翅昆虫 [ゆうしこんちゅう] /(n) pterygote (winged insect)/
有翅昆虫類 [ゆうしこんちゅうるい] /(n) pterygotes (winged insects)/
有翅類 [ゆうしるい] /(n) pterygotes (winged insects)/
有鉤条虫 [ゆうこうじょうちゅう] /(n) hooked tapeworm/
有鬚動物 [ゆうしゅどうぶつ] /(n) pogonophoran (any worm of phylum Pogonophora)/
柚 [ゆ] /(ok) (n) (uk) yuzu (species of aromatic Asiatic citron, Citrus junos)/
柚 [ゆう] /(ok) (n) (uk) yuzu (species of aromatic Asiatic citron, Citrus junos)/
柚 [ゆず] /(n) (uk) yuzu (species of aromatic Asiatic citron, Citrus junos)/
柚子 [ゆず] /(n) (uk) yuzu (species of aromatic Asiatic citron, Citrus junos)/
柚子胡椒 [ゆずこしょう] /(n) condiment paste made from yuzu zest and chile peppers/
柚子胡椒 [ゆずごしょう] /(n) condiment paste made from yuzu zest and chile peppers/
柚子坊 [ゆずぼう] /(n) swallowtail butterfly larva (a pest of citrus plants)/
柚坊 [ゆずぼう] /(n) swallowtail butterfly larva (a pest of citrus plants)/
柚餅子 [ゆべし] /(n) sweet yuzu-flavoured steamed dumpling/
湧き起こる [わきおこる] /(v5r,vi) to well up/to burst/to arise/
湧き起る [わきおこる] /(v5r,vi) to well up/to burst/to arise/
湧き出す [わきだす] /(v5s) to gush out/
湧き出る [わきでる] /(v1,vi) to gush forth/
湧き上がる [わきあがる] /(v5r,vi) (1) to boil up/to come to the boil/to seethe/(2) to arise/to break out/(3) to get excited/to be in uproar/
湧き上る [わきあがる] /(v5r,vi) (1) to boil up/to come to the boil/to seethe/(2) to arise/to break out/(3) to get excited/to be in uproar/
湧き水 [わきみず] /(n) spring water/
湧き立つ [わきたつ] /(v5t,vi) to appear suddenly/
湧く [わく] /(v5k,vi) (1) to well (up)/to gush forth (of water)/to spring out/to surge/(2) to appear (esp. suddenly) (sweat, tears, etc.)/(3) to feel emotions form (joy, bravery, etc.)/(4) to hatch (esp. of parasitic insects, etc.)/(P)/
湧出 [ゆうしゅつ] /(n,vs) gushing out/welling up/springing up/
湧出 [ようしゅつ] /(n,vs) gushing out/welling up/springing up/
湧出量 [ゆうしゅつりょう] /(n) output/
湧水 [ゆうすい] /(n) welling of water/(P)/
湧泉 [ゆうせん] /(n) bubbling or gushing spring/fountain/
涌き起こる [わきおこる] /(v5r,vi) to well up/to burst/to arise/
涌き起る [わきおこる] /(v5r,vi) to well up/to burst/to arise/
涌き出す [わきだす] /(v5s) to gush out/
涌き出る [わきでる] /(v1,vi) to gush forth/
涌き上る [わきあがる] /(v5r,vi) (1) to boil up/to come to the boil/to seethe/(2) to arise/to break out/(3) to get excited/to be in uproar/
涌き立つ [わきたつ] /(v5t,vi) to appear suddenly/
涌く [わく] /(v5k,vi) (1) to well (up)/to gush forth (of water)/to spring out/to surge/(2) to appear (esp. suddenly) (sweat, tears, etc.)/(3) to feel emotions form (joy, bravery, etc.)/(4) to hatch (esp. of parasitic insects, etc.)/
涌泉 [ゆうせん] /(n) bubbling or gushing spring/fountain/
猶 [なお] /(adv,conj) (uk) furthermore/still/yet/more/still more/in addition/greater/further/
猶あらじ [なおあらじ] /(exp) (arch) must not be concluded like this/shall not finish like this/
猶の事 [なおのこと] /(exp,adv) all the more/still more/
猶疑問が存 [なおぎもんがそん] /(n,vs) A doubt still remains/
猶更 [なおさら] /(adv) all the more/still less/
猶子 [ゆうし] /(n) nephew (like a son)/another child considered as one's own/
猶太 [ゆだや] /(n) (uk) Judea (southern Palestine) (lat: Judaea)/Jews/
猶予 [ゆうよ] /(n,vs) postponement/deferment/extension (of time)/(P)/
猶予う [たゆたう] /(ateji) (v5u,vi) (1) (uk) to sway to and fro/to drift about/to flutter/to flicker/(2) to be fickle/to be irresolute/to vacillate/to waver/
猶予う [たゆとう] /(ateji) (v5u,vi) (1) (uk) to sway to and fro/to drift about/to flutter/to flicker/(2) to be fickle/to be irresolute/to vacillate/to waver/
猶予なく [ゆうよなく] /(adv) without delay/promptly/
猶予期間 [ゆうよきかん] /(n) grace period/
猶良い [なおよい] /(n) still better/
由 [よし] /(n) reason/significance/cause/(P)/
由々しい [ゆゆしい] /(adj-i) grave/serious/alarming/
由々しき [ゆゆしき] /(adj-f) grave/serious/alarming/
由ありげ [よしありげ] /(adj-na) (arch) meaningful/suggestive/seeming to be with a history/seeming to be with circumstances that are hard to explain/
由あり気 [よしありげ] /(adj-na) (arch) meaningful/suggestive/seeming to be with a history/seeming to be with circumstances that are hard to explain/
由って来る [よってきたる] /(exp,adj-f) (uk) originating/causing/beginning/
由る [よる] /(v5r,vi) (1) (uk) to be due to/to be caused by/(2) to depend on/to turn on/(3) to be based on/to come from/
由縁 [ゆえん] /(n) acquaintance/relation/affinity/reason/
由緒 [ゆいしょ] /(n) history/pedigree/lineage/(P)/
由緒ただしい [ゆいしょただしい] /(adj-i) having an ancient and honorable origin/
由緒正しい [ゆいしょただしい] /(adj-i) having an ancient and honorable origin/
由無き [よしなき] /(n) meaningless/senseless/absurd/
由無し事 [よしなしごと] /(n) trivial thing/nonsense/
由有る [よしある] /(exp) of rank/of noble birth/
由由しい [ゆゆしい] /(adj-i) grave/serious/alarming/
由由しき [ゆゆしき] /(adj-f) grave/serious/alarming/
由来 [ゆらい] /(adv,n,vs) origin/source/history/derivation/reason/destiny/(P)/
由来書 [ゆらいしょ] /(n) history/memoirs/
由婁漫 [イルマン] /(ateji) (n) (arch) (uk) non-ordained Christian monk (por:)/
祐筆 [ゆうひつ] /(n) private secretary/amanuensis/
裕度 [ゆうど] /(n) electrical tolerance/
裕福 [ゆうふく] /(adj-na,n) affluence/prosperity/(P)/
誘い [いざない] /(n) (1) invitation/introduction/(2) temptation/
誘い [さそい] /(n) (1) invitation/introduction/(2) temptation/(P)/
誘いかける [さそいかける] /(v1) to invite/
誘いをかける [さそいをかける] /(exp,v1) to invite/to call out/
誘い掛ける [さそいかける] /(v1) to invite/
誘い合う [さそいあう] /(v5u) to ask each other/
誘い込む [さそいこむ] /(v5m,vt) to entice/to tempt/to invite someone to join in/
誘い出す [さそいだす] /(v5s,vt) to lure/to invite out/
誘い水 [さそいみず] /(n) pump priming/(P)/
誘う [いざなう] /(v5u,vt) (1) to invite/to ask/to call (for)/(2) to tempt/to lure/to induce/
誘う [さそう] /(v5u,vt) (1) to invite/to ask/to call (for)/(2) to tempt/to lure/to induce/(P)/
誘き寄せる [おびきよせる] /(v1,vt) to lure someone/to entice someone/
誘き出す [おびきだす] /(v5s,vt) (1) to lure out of/to decoy out of/(2) to drive to (tears, sleep, etc.)/to evoke (sympathy, etc.)/(3) (arch) to abduct/to entice out of/
誘き入れる [おびきいれる] /(v1,vt) to lure/to entice/
誘因 [ゆういん] /(n) exciting cause/incitement/incentive/(P)/
誘引 [ゆういん] /(n,vs) enticement/inducement/attraction/
誘蛾灯 [ゆうがとう] /(n) light trap for killing insects/
誘拐 [ゆうかい] /(n,vs) abduction/kidnapping/kidnaping/(P)/
誘拐罪 [ゆうかいざい] /(n) (the crime of) kidnapping (kidnaping)/
誘拐事件 [ゆうかいじけん] /(n) kidnapping/kidnaping/
誘拐者 [ゆうかいしゃ] /(n) abductor/
誘拐犯 [ゆうかいはん] /(n) kidnap/abduction/
誘拐犯人 [ゆうかいはんにん] /(n) a kidnapper/an abductor/
誘起 [ゆうき] /(n,vs) evocation/evoke/
誘殺 [ゆうさつ] /(n,vs) seduction and killing/
誘致 [ゆうち] /(n,vs) attraction/lure/invitation/(P)/
誘致合戦 [ゆうちかっせん] /(n) rivalry over winning the right to host an event/competition to lure (attract, invite) (institutions, manufacturing facilities, foreign tourists, etc.) to a locality/
誘電 [ゆうでん] /(n,vs,adj-no) (1) induction/induced electricity/(adj-f) (2) dielectric/inductive/
誘電泳動 [ゆうでんえいどう] /(n) dielectrophoresis/
誘電加熱 [ゆうでんかねつ] /(n) dielectric heating/
誘電子 [ゆうでんし] /(n) (electrical) inductor/
誘電性プラスチック [ゆうでんせいプラスチック] /(n) (comp) conductive plastic/
誘電正接 [ゆうでんせいせつ] /(n) dielectric tangent/
誘電体 [ゆうでんたい] /(n) dielectric/
誘電率 [ゆうでんりつ] /(n) dielectric constant/permittivity/conductivity/
誘導 [ゆうどう] /(n,vs) guidance/leading/induction/introduction/incitement/inducement/(P)/
誘導コイル [ゆうどうコイル] /(n) induction coil/
誘導ミサイル [ゆうどうミサイル] /(n) guided missile/GM/
誘導化石 [ゆうどうかせき] /(n) derived fossil/
誘導加熱 [ゆうどうかねつ] /(n) induction heating/
誘導子 [ゆうどうし] /(n) inductor (electronics)/
誘導尋問 [ゆうどうじんもん] /(n) leading question/
誘導体 [ゆうどうたい] /(n) (chem) derivative/
誘導単位 [ゆうどうたんい] /(n) (obsc) derived unit (i.e. metre per second, cubic metre, etc.)/
誘導弾 [ゆうどうだん] /(n) guided missile/
誘導電動機 [ゆうどうでんどうき] /(n) induction motor/
誘導電流 [ゆうどうでんりゅう] /(n,adj-no) induced current/
誘導灯 [ゆうどうとう] /(n) emergency exit light/guide light/
誘導路 [ゆうどうろ] /(n) taxiway/
誘爆 [ゆうばく] /(n,vs) induced explosion/
誘発 [ゆうはつ] /(n,vs,adj-no) cause/induce/lead up to/(P)/
誘眠剤 [ゆうみんざい] /(n) hypnotic drug/
誘惑 [ゆうわく] /(n,vs) temptation/allurement/lure/seduction/(P)/
誘惑に負ける [ゆうわくにまける] /(exp,v1) to yield (succumb) to temptation/
誘惑物 [ゆうわくもの] /(n) lure/
遊ばす [あそばす] /(v5s,vt) (1) to let one play/to leave idle/(2) (pol) to do/
遊ばせる [あそばせる] /(v1) to leave idle/
遊ばせ言葉 [あそばせことば] /(n) polite language used by women/
遊び [あそび] /(n,n-suf) (1) playing/(2) (uk) play (margin between on and off, gap before pressing button or lever has an effect)/(P)/
遊びにいく [あそびにいく] /(exp,v5k-s) to go on a trip/to go out to play/to go and visit (a friend)/
遊びにくる [あそびにくる] /(exp,vk) to come and stay/to drop in/to visit/
遊びに行く [あそびにいく] /(exp,v5k-s) to go on a trip/to go out to play/to go and visit (a friend)/
遊びに来る [あそびにくる] /(exp,vk) to come and stay/to drop in/to visit/
遊び回る [あそびまわる] /(v5r) to jaunt around/to play around/to visit one place after another without effect/
遊び戯れる [あそびたわむれる] /(v1) to frolic/
遊び好き [あそびずき] /(n) playfulness/
遊び紙 [あそびがみ] /(n) flyleaf/
遊び事 [あそびごと] /(n) game/pastime/recreation/diversion/
遊び時間 [あそびじかん] /(n) playtime/recess/
遊び車 [あそびぐるま] /(n) idle pulley/
遊び女 [あそびめ] /(n) (arch) prostitute/
遊び場 [あそびば] /(n) playground/(P)/
遊び心 [あそびごころ] /(n) desire to play or have a good time/
遊び人 [あそびにん] /(n) carouser/playboy/gambler/
遊び相手 [あそびあいて] /(n) playmate/playfellow/(P)/
遊び仲間 [あそびなかま] /(n) playmate/
遊び道具 [あそびどうぐ] /(n) plaything/toy/
遊び半分 [あそびはんぶん] /(adj-na,adj-no) half in fun/
遊び歩く [あそびあるく] /(v5k) to visit one place after another without effect/
遊び暮す [あそびくらす] /(v5s,vt) to idle away one's time/
遊び暮らす [あそびくらす] /(v5s,vt) to idle away one's time/
遊び呆ける [あそびほうける] /(v1) to spend all of one's time in idle amusement/
遊び友達 [あそびともだち] /(n) playmate/
遊ぶ [あすぶ] /(ok) (v5b,vi) (1) to play/to enjoy oneself/to have a good time/(2) to mess about (with alcohol, gambling, philandery, etc.)/(3) to be idle/to do nothing/to be unused/(4) to go to (for pleasure or for study)/(5) (in baseball) to intentionally throw a ball to lower the batter's concentration/
遊ぶ [あそぶ] /(v5b,vi) (1) to play/to enjoy oneself/to have a good time/(2) to mess about (with alcohol, gambling, philandery, etc.)/(3) to be idle/to do nothing/to be unused/(4) to go to (for pleasure or for study)/(5) (in baseball) to intentionally throw a ball to lower the batter's concentration/(P)/
遊ぶ [すさぶ] /(v5b,vi) to grow wild/to rage/to become rough/
遊泳 [ゆうえい] /(n,vs,adj-no) (1) swimming/bathing/(2) conduct of life/
遊泳肢 [ゆうえいし] /(n) pleopod/swimmeret/
遊泳者 [ゆうえいしゃ] /(n) swimmer/
遊泳術 [ゆうえいじゅつ] /(n) how to get on in life/
遊泳生物 [ゆうえいせいぶつ] /(n) nekton/
遊泳動物 [ゆうえいどうぶつ] /(n) nekton/
遊園地 [ゆうえんち] /(n) amusement park/(P)/
遊廓 [ゆうかく] /(n) red-light district/
遊郭 [ゆうかく] /(n) red light district/
遊学 [ゆうがく] /(n,vs) studying abroad/travelling to study/traveling to study/
遊楽 [ゆうらく] /(n,vs) amusement/
遊戯 [ゆうぎ] /(n,vs) game/play/sports/(P)/
遊戯場 [ゆうぎじょう] /(n) amusement place/
遊戯的 [ゆうぎてき] /(adj-na) playful/
遊戯療法 [ゆうぎりょうほう] /(n) play therapy/
遊技 [ゆうぎ] /(n) games/pastimes/
遊技場 [ゆうぎじょう] /(n) amusement center/amusement centre/
遊客 [ゆうかく] /(n) sightseer/playboy/frequenter of red-light districts/
遊休 [ゆうきゅう] /(n) idle/unused/fallow/(P)/
遊休施設 [ゆうきゅうしせつ] /(n) unused facilities or equipment/
遊休時間 [ゆうきゅうじかん] /(n) (comp) idle time/
遊休地 [ゆうきゅうち] /(n) idle land/
遊侠 [ゆうきょう] /(n) chivalrous person/
遊興 [ゆうきょう] /(n,vs) merrymaking/pleasures/
遊興税 [ゆうきょうぜい] /(n) entertainment tax/
遊興費 [ゆうきょうひ] /(n) entertainment expenses/
遊金 [ゆうきん] /(n) idle money or capital/
遊吟 [ゆうぎん] /(n,vs) wandering minstrel/
遊具 [ゆうぐ] /(n) play equipment/playground equipment/
遊君 [ゆうくん] /(n) (arch) prostitute/
遊軍 [ゆうぐん] /(n) reserve corps/flying squadron/
遊軍記者 [ゆうぐんきしゃ] /(n) roving reporter/
遊芸 [ゆうげい] /(n) artistic accomplishments/
遊撃 [ゆうげき] /(n,vs) raid/shortstop/(P)/
遊撃手 [ゆうげきしゅ] /(n) shortstop/(P)/
遊撃戦 [ゆうげきせん] /(n) guerrilla warfare/unconventional warfare/
遊撃隊 [ゆうげきたい] /(n) commando unit/
遊撃隊員 [ゆうげきたいいん] /(n) irregular forces/
遊行 [ゆうこう] /(n) (1) wander/walking for pleasure/(vs) (2) to gad around/to walk aimlessly/
遊行 [ゆぎょう] /(n,vs) (1) wandering/(2) pilgrimage/walking tour/
遊行女婦 [ゆうこうじょふ] /(n) (arch) wandering prostitute/
遊山 [ゆさん] /(n) excursion/outing/picnic/
遊山所 [ゆさんじょ] /(n) (1) (arch) excursion spot/getaway/(2) (arch) red-light district/brothel/
遊山船 [ゆさんぶね] /(n) excursion boat/pleasure boat/
遊子 [ゆうし] /(n) wanderer/traveller/traveler/
遊資 [ゆうし] /(n) idle funds or capital/
遊失 [ゆうしつ] /(n) shortstop error/
遊女 [ゆうじょ] /(n) prostitute/harlot/
遊女屋 [ゆうじょや] /(n) brothel/
遊食 [ゆうしょく] /(n,vs) living in idleness/
遊水地 [ゆうすいち] /(n) anti-flood pond/manmade pond used to prevent flooding/
遊星 [ゆうせい] /(n,adj-no) wandering star/planet/
遊星歯車 [ゆうせいはぐるま] /(n) planetary gear/planetary wheel/
遊説 [ゆうぜい] /(n,vs) election tour/election campaign/stumping/(P)/
遊説先 [ゆうぜいさき] /(n) campaign stop/stop on a speaking tour/
遊説旅行 [ゆうぜいりょこう] /(n) stumping (electioneering) tour/
遊走 [ゆうそう] /(pref,adj-no) migrating/wandering/plano-/ambulato-/
遊走細胞 [ゆうそうさいぼう] /(n) wandering cell/
遊走子 [ゆうそうし] /(n) zoospore/
遊惰 [ゆうだ] /(adj-na,n) indolence/
遊底 [ゆうてい] /(n) breechblock (of a gun)/
遊蕩 [ゆうとう] /(n,vs) self-indulgent pleasure/
遊蕩三昧 [ゆうとうざんまい] /(n) being absorbed in self-indulgent pleasures/giving oneself up to debauchery and dissipation/
遊蕩児 [ゆうとうじ] /(n) debauched person/
遊動円木 [ゆうどうえんぼく] /(n) swinging log/horizontal bar/
遊歩 [ゆうほ] /(n,vs) walk/promenade/(P)/
遊歩道 [ゆうほどう] /(n) promenade/esplanade/
遊牧 [ゆうぼく] /(n,vs,adj-no) nomadism/(P)/
遊牧民 [ゆうぼくみん] /(n) nomad/
遊民 [ゆうみん] /(adj-na,n) idler/the unemployed/
遊牝む [つるむ] /(v5m,vi) to copulate (animals)/to mate/
遊冶郎 [ゆうやろう] /(n) libertine/man of pleasure/
遊覧 [ゆうらん] /(n,vs) sightseeing/(P)/
遊覧客 [ゆうらんきゃく] /(n) sightseer/tourist/
遊覧船 [ゆうらんせん] /(n) pleasure cruise/
遊覧地 [ゆうらんち] /(n) resort/
遊覧飛行 [ゆうらんひこう] /(n) sightseeing flight/
遊里 [ゆうり] /(n) red light district/
遊里語 [ゆうりご] /(n) language used in red-light districts during the Edo period/
遊離 [ゆうり] /(n,vs,adj-no) separation/isolation/release (e.g. of a chemical)/
遊離基 [ゆうりき] /(n) free radical/
遊離基反応 [ゆうりきはんのう] /(n) reaction of free radicals/
遊猟 [ゆうりょう] /(n,vs) hunting/
遊歴 [ゆうれき] /(n,vs,adj-no) tour/
遊弋 [ゆうよく] /(n,vs) cruising/patrolling/
邑 [おおざと] /(n) (uk) kanji "large village" radical at right (radical 163)/
邑 [おおざる] /(n) (uk) kanji "large village" radical at right (radical 163)/
邑落 [ゆうらく] /(n) hamlet/
郵券 [ゆうけん] /(n) postage stamp/
郵政 [ゆうせい] /(n) postal system/(P)/
郵政公社 [ゆうせいこうしゃ] /(n) (abbr) Japan Post/
郵政事業庁 [ゆうせいじぎょうちょう] /(n) Postal Services Agency/
郵政事業民営化 [ゆうせいじぎょうみんえいか] /(n) postal service privatization/
郵政省 [ゆうせいしょう] /(n) Ministry of Posts and Telecommunications/(P)/
郵政大臣 [ゆうせいだいじん] /(n) Minister of Posts and Telecommunications/
郵政民営化 [ゆうせいみんえいか] /(n,vs) postal privatisation (privatisation of Japan Post)/
郵政民営化担当大臣 [ゆうせいみんえいかたんとうだいじん] /(n) State Minister in Charge of Postal Services Privatization/
郵税 [ゆうぜい] /(n) postage/
郵船 [ゆうせん] /(n) mail boat/
郵送 [ゆうそう] /(n,vs,adj-no) mailing/(P)/
郵送料 [ゆうそうりょう] /(n) freight costs/transport costs/
郵袋 [ゆうたい] /(n) mailbag/
郵貯 [ゆうちょ] /(n) (abbr) postal (post-office) savings (deposit)/(P)/
郵貯銀行 [ゆうちょぎんこう] /(n) JP Bank (former Postal Savings Bank, created when the Postal Services were privatized)/
郵貯銀行を除く [ゆうちょぎんこうをのぞく] /(exp,v5k) excluding the Post Office bank/excluding Japan Post Bank/
郵便 [ゆうびん] /(n) mail/postal service/(P)/
郵便ＯＲアドレス [ゆうびんオーアーアドレス] /(n) (comp) postal OR address/
郵便ＯＲアドレス構成要素 [ゆうびんオーアーアドレスこうせいようそ] /(n) (comp) postal OR address components/
郵便はがき [ゆうびんはがき] /(n) postcard/
郵便ポスト [ゆうびんポスト] /(n) postbox/mailbox/pillar box/
郵便マーク [ゆうびんマーク] /(n) (abbr) (Japanese) postal symbol/post office/post/postal service/mail/
郵便為替 [ゆうびんかわせ] /(n) postal money order/
郵便屋 [ゆうびんや] /(n) postman/mailman/letter carrier/mail carrier/
郵便記号 [ゆうびんきごう] /(n) (abbr) (Japanese) postal symbol/post office/post/postal service/mail/
郵便業務 [ゆうびんぎょうむ] /(n) mail service/postal service/
郵便局 [ゆうびんきょく] /(n) post office/(P)/
郵便局員 [ゆうびんきょくいん] /(n) mail clerk/post-office clerk/post-office worker/postal employee/postal worker/
郵便私書箱 [ゆうびんししょばこ] /(n) post office box/
郵便事業 [ゆうびんじぎょう] /(n) postal service/post service/
郵便車 [ゆうびんしゃ] /(n) mail truck/
郵便受 [ゆうびんうけ] /(io) (n) mailbox/
郵便受け [ゆうびんうけ] /(n) mailbox/
郵便集配人 [ゆうびんしゅうはいにん] /(n) postman/mailman/postie/
郵便書簡 [ゆうびんしょかん] /(n) letter-card/
郵便小包 [ゆうびんこづつみ] /(n) parcel/
郵便振替 [ゆうびんふりかえ] /(n) postal transfer/
郵便制度 [ゆうびんせいど] /(n) mail system/postal service/postal system/post/
郵便切手 [ゆうびんきって] /(n) postage stamp/
郵便船 [ゆうびんせん] /(n) mail boat/
郵便袋 [ゆうびんぶくろ] /(n) mail bag/
郵便貯金 [ゆうびんちょきん] /(n) postal savings (deposit)/
郵便年金 [ゆうびんねんきん] /(n) postal annuity/
郵便配達 [ゆうびんはいたつ] /(n) (1) postal delivery/mail delivery/(2) (abbr) postman/mailman/
郵便配達員 [ゆうびんはいたついん] /(n) postman/postwoman/postal delivery worker/
郵便配達人 [ゆうびんはいたつにん] /(n) mailman/postman/mail carrier/post carrier/
郵便箱 [ゆうびんばこ] /(n) mailbox/
郵便番号 [ゆうびんばんごう] /(n) postal code/
郵便物 [ゆうびんぶつ] /(n) postal items/
郵便民営化 [ゆうびんみんえいか] /(n,vs) postal privatisation (privatisation of Japan Post)/
郵便葉書 [ゆうびんはがき] /(n) postcard/
郵便料金 [ゆうびんりょうきん] /(n) postage/postal charges/
郵務局 [ゆうむきょく] /(n) Postal Bureau (within the Ministry of Posts and Telecommunications)/
雄 [おす] /(n) male (animal)/(P)/
雄々しい [おおしい] /(adj-i) manly/brave/heroic/
雄しべ [おしべ] /(n,adj-no) stamen/
雄たけび [おたけび] /(n) war cry/roar/
雄ねじ [おねじ] /(n) male screw/
雄コネクタ [おすコネクタ] /(n) (comp) male connector/
雄ネジ [おネジ] /(n) male screw/
雄偉 [ゆうい] /(adj-na,n) magnificent/
雄猿 [おすざる] /(n) male monkey/
雄花 [おばな] /(n) male flower/
雄気堂々 [ゆうきどうどう] /(adj-t,adv-to) with heroic drive and boundless energy/
雄気堂堂 [ゆうきどうどう] /(adj-t,adv-to) with heroic drive and boundless energy/
雄牛 [おうし] /(n) bull/ox/steer/
雄叫び [おさけび] /(n) war cry/roar/
雄叫び [おたけび] /(n) war cry/roar/
雄鶏 [おんどり] /(n) cock/rooster/chanticleer/
雄犬 [おすいぬ] /(n) male dog/
雄材大略 [ゆうざいたいりゃく] /(n) superior talent and strategic wisdom/outstanding abilities and a talent for developing and implementing grand strategies/
雄姿 [ゆうし] /(n) gallant figure/
雄志 [ゆうし] /(n) ambition/
雄鹿 [おか] /(ok) (n) buck (male deer)/
雄鹿 [おしか] /(n) buck (male deer)/
雄鹿 [おじか] /(n) buck (male deer)/
雄蕊 [おしべ] /(n,adj-no) stamen/
雄蕊 [ゆうずい] /(n,adj-no) stamen/
雄松 [おまつ] /(n) black pine/
雄心 [ゆうしん] /(n) heroic spirit/aspiration/
雄親 [ゆうしん] /(n) sire/male parent/
雄図 [ゆうと] /(n) ambitious plan (enterprise)/grand project/
雄雛 [おびな] /(n) Emperor doll (in display with Empress doll)/
雄性 [ゆうせい] /(n,adj-no) male characteristics/manliness/
雄性ホルモン [ゆうせいホルモン] /(n) male hormone/
雄壮 [ゆうそう] /(adj-na) heroic/brave/majestic/soul-stirring/lively/gallant/
雄大 [ゆうだい] /(adj-na,n) grandeur/magnificence/splendour/splendor/(P)/
雄大無比 [ゆうだいむひ] /(n,adj-na,adj-no) unparalleled grandeur/the grandest/the most spectacular/
雄滝 [おだき] /(n) greater waterfall (of the two)/
雄断 [ゆうだん] /(n) manly decision/
雄鳥 [おんどり] /(n) cock/rooster/chanticleer/
雄珍々 [おちんちん] /(adj-na,n) (col) (uk) penis (child)/
雄途 [ゆうと] /(n) brave enterprise/
雄日芝 [おひしば] /(n) (uk) Indian goosegrass (Eleusine indica)/
雄猫 [おすねこ] /(n) tomcat/male cat/
雄猫 [おねこ] /(n) tomcat/male cat/
雄捻子 [おねじ] /(n) male screw/
雄之万年草 [おのまんねんぐさ] /(n) (uk) needle stonecrop (Sedum lineare)/
雄馬 [おうま] /(n) male horse/
雄馬 [おすうま] /(n) male horse/
雄馬 [おま] /(n) male horse/
雄藩 [ゆうはん] /(n) (1) barony of the first degree/(2) influential feudal clan/
雄飛 [ゆうひ] /(n,vs) launching out/embarking upon (a career)/
雄蛭木 [おひるぎ] /(n) (uk) black mangrove (Bruguiera gymnorrhiza)/
雄武 [ゆうぶ] /(n) bravery/
雄風 [ゆうふう] /(n) strong breeze/
雄篇 [ゆうへん] /(n) masterpiece/
雄編 [ゆうへん] /(n) masterpiece/
雄弁 [ゆうべん] /(adj-na,n) oratory/eloquence/(P)/
雄弁は銀沈黙は金 [ゆうべんはぎんちんもくはきん] /(exp) (id) Speech is silver, silence is golden/
雄弁家 [ゆうべんか] /(n) orator/eloquent speaker/accomplished orator/
雄峰 [ゆうほう] /(n) majestic mountain/
雄蜂 [おばち] /(n) drone/
雄雄しい [おおしい] /(adj-i) manly/brave/heroic/
雄羊 [おひつじ] /(n) ram/
雄螺子 [おねじ] /(n) male screw/
雄螺旋 [おねじ] /(n) male screw/
雄勁 [ゆうけい] /(adj-na,n) vigorous/powerful/
雄渾 [ゆうこん] /(adj-na,n) magnificent/sublime/vigorous/bold/
雄蘂 [おしべ] /(n,adj-no) stamen/
雄蘂 [ゆうずい] /(n,adj-no) stamen/
雄蕋 [おしべ] /(n,adj-no) stamen/
雄蕋 [ゆうずい] /(n,adj-no) stamen/
融かす [とかす] /(v5s,vt) (1) to comb out/(2) to melt/
融く [とく] /(v5k,vt) to dissolve (paint)/to scramble (eggs)/to melt (metal, etc.)/to mix (water with flour, etc.)/
融ける [とける] /(v1,vi) to melt/to thaw/to fuse/to dissolve/
融け合う [とけあう] /(v5u,vi) to melt together/
融け込む [とけこむ] /(v5m,vi) (1) to melt into/to merge into/(2) to fit in/to adapt/to blend/
融解 [ゆうかい] /(n,vs) fusion/
融解点 [ゆうかいてん] /(n) melting point/
融解熱 [ゆうかいねつ] /(n) the heat of fusion/
融合 [ゆうごう] /(n,vs,adj-no) agglutination/adhesion/fusion/unite/(P)/
融剤 [ゆうざい] /(n) flux (substance mixed with a solid in order to lower its melting point)/fusing agent/
融資 [ゆうし] /(n,vs) financing/loan/(P)/
融除 [ゆうじょ] /(n) ablation shield (rocket)/
融接 [ゆうせつ] /(n) fusion welding/
融雪 [ゆうせつ] /(n) melted snow/melting of snow/
融雪ヒータ [ゆうせつヒータ] /(n) snow melting heater/
融雪機 [ゆうせつき] /(n) snow-melting machine/snow melter/
融通 [ゆうずう] /(n,adj-no,vs) (1) lending (money)/finance/(2) adaptability/versatility/flexibility/accommodation/(P)/
融通 [ゆうづう] /(n,adj-no,vs) (1) lending (money)/finance/(2) adaptability/versatility/flexibility/accommodation/
融通がきく [ゆうずうがきく] /(exp,v5k) to be flexible/to be accommodating/
融通が利く [ゆうずうがきく] /(exp,v5k) to be flexible/to be accommodating/
融通手形 [ゆうずうてがた] /(n) an accommodation bill/
融通無碍 [ゆうずうむげ] /(adj-na,n) free, unfettered and flexible/versatile/adaptable/
融通無礙 [ゆうずうむげ] /(adj-na,n) free, unfettered and flexible/versatile/adaptable/
融点 [ゆうてん] /(n) fusion point/melting point/
融熱 [ゆうねつ] /(n) heat of fusion/
融朗 [ゆうろう] /(n) brightness/clearness/
融和 [ゆうわ] /(n,vs,adj-no) harmony/reconciliation/(P)/
融和路線 [ゆうわろせん] /(n) policy of reconciliation/
夕 [しゃく] /(n) (1) 18 ml (one-tenth of a go)/(2) 0.033 meters square (one-hundredth of a tsubo)/(3) dip/ladle/
夕 [ゆう] /(n-adv,n-t) (1) evening/(P)/
夕 [ゆうべ] /(n-adv,n-t) (1) evening/(2) last night/(P)/
夕がた [ゆうがた] /(n-adv,n-t) evening/dusk/
夕ご飯 [ゆうごはん] /(n) evening meal/dinner/supper/
夕べ [ゆうべ] /(n-adv,n-t) (1) evening/(2) last night/(P)/
夕まぐれ [ゆうまぐれ] /(n) evening twilight/
夕闇 [ゆうやみ] /(n) dusk/twilight/
夕雲 [ゆうぐも] /(n) early evening cloud/clouds at sunset/
夕影鳥 [ゆうかげどり] /(n) (obsc) lesser cuckoo (Cuculus poliocephalus)/
夕映え [ゆうばえ] /(n) sunset glow/
夕化粧 [ゆうげしょう] /(n) evening makeup/
夕霞 [ゆうがすみ] /(n) evening breeze/evening mist/
夕刊 [ゆうかん] /(n) evening paper/(P)/
夕間暮れ [ゆうまぐれ] /(n) evening twilight/
夕顔 [ゆうがお] /(n) (1) bottle gourd (Lagenaria siceraria, esp. Lagenaria siceraria var. hispida)/(2) (col) moonflower (Ipomoea alba)/
夕空 [ゆうぞら] /(n) evening sky/twilight sky/
夕景 [ゆうけい] /(n) evening scene (landscape)/
夕景色 [ゆうげしき] /(n) evening scene (landscape)/
夕月 [ゆうづき] /(n) the evening moon/
夕月夜 [ゆうづきよ] /(n) moonlit evening/
夕月夜 [ゆうづくよ] /(n) moonlit evening/
夕御飯 [ゆうごはん] /(n) evening meal/dinner/supper/
夕刻 [ゆうこく] /(n-t) evening/evening hour/(P)/
夕汐 [ゆうしお] /(n) evening tide/
夕焼 [ゆうやけ] /(io) (n) sunset/
夕焼け [ゆうやけ] /(n) sunset/(P)/
夕焼けは晴れ朝焼けは雨 [ゆうやけははれあさやけはあめ] /(exp) (id) Red sky at night, shepherd's delight Red sky in the morning, shepherd's warning/
夕食 [ゆうしょく] /(n) evening meal/dinner/(P)/
夕食後 [ゆうしょくご] /(n-adv,n-t) after dinner/
夕食抜き [ゆうしょくぬき] /(n) without having supper/
夕菅 [ゆうすげ] /(n) daily lily/
夕晴れ [ゆうばれ] /(n) a clear evening/
夕張メロン [ゆうばりメロン] /(n) Yuubari melon (sweet orange melon grown in Yuubari City, Hokkaido)/
夕潮 [ゆうしお] /(n) evening tide/
夕凪 [ゆうなぎ] /(n) evening calm/
夕日 [ゆうひ] /(n) (in) the evening sun/setting sun/(P)/
夕日に彩られた空 [ゆうひにいろどられたそら] /(n) sky colored by the setting sun/sky coloured by the setting sun/
夕飯 [ゆうはん] /(n) evening meal/(P)/
夕飯 [ゆうめし] /(n) evening meal/(P)/
夕風 [ゆうかぜ] /(n) evening breeze/
夕暮 [ゆうぐれ] /(io) (n-adv,n) evening/(evening) twilight/
夕暮れ [ゆうぐれ] /(n-adv,n) evening/(evening) twilight/(P)/
夕暮れ族 [ゆうぐれぞく] /(n) couple with older man and younger woman/
夕方 [ゆうがた] /(n-adv,n-t) evening/dusk/(P)/
夕霧 [せきむ] /(n) evening mist/
夕霧 [ゆうぎり] /(n) evening mist/(P)/
夕明り [ゆうあかり] /(n) lingering light of evening/
夕陽 [せきよう] /(n) setting sun/
夕陽 [ゆうひ] /(n) setting sun/
夕立 [ゆうだち] /(n) (sudden) evening shower (rain)/(P)/
夕立ち [ゆうだち] /(io) (n) (sudden) evening shower (rain)/
夕立ちにあう [ゆうだちにあう] /(exp,v5u) to be caught in an evening shower/
夕立にあう [ゆうだちにあう] /(exp,v5u) to be caught in an evening shower/
夕立に遭う [ゆうだちにあう] /(exp,v5u) to be caught in an evening shower/
夕涼 [ゆうすずみ] /(io) (n,vs) evening cool/cool of the evening/
夕涼み [ゆうすずみ] /(n,vs) evening cool/cool of the evening/
夕冷え [ゆうびえ] /(n) evening chill/cool of the evening/
夕礼 [ゆうれい] /(n) evening assembly (company)/
夕凉 [ゆうすずみ] /(io) (n,vs) evening cool/cool of the evening/
夕暉 [せっき] /(n) (obsc) rays of the setting sun/
夕靄 [ゆうもや] /(n) evening haze or mist/
夕餉 [ゆうげ] /(n) evening meal/supper/dinner/
予 [よ] /(pn,adj-no) (1) (arch) formal or oratory first person pronoun/I/
予々 [かねがね] /(adv) often/lately/already/
予て [かねて] /(adv,n,adj-no) previously/already/lately/(P)/
予め [あらかじめ] /(adv,adj-f) beforehand/in advance/previously/(P)/
予め計画 [あらかじめけいかく] /(exp) advance plans/forward plans/
予め用意 [あらかじめようい] /(n,vs) advance preparation/
予価 [よか] /(n) probable (predetermined) price/expected price/
予科 [よか] /(n) preparatory course/preparatory department/
予科生 [よかせい] /(n) preparatory-department student/
予覚 [よかく] /(n,vs) hunch/foreboding/premonition/
予感 [よかん] /(n,vs) presentiment/premonition/(P)/
予期 [よき] /(n,vs) expectation/assume will happen/forecast/(P)/
予期しない結果 [よきしないけっか] /(n) (comp) unexpected results/unpredictable results/
予期せぬ [よきせぬ] /(exp) unexpected/unforeseen/(P)/
予研 [よけん] /(n) (abbr) National Institute of Health/
予見 [よけん] /(n,vs) foresight/foreknowledge/divination/
予見外試験結果 [よけんがいしけんけっか] /(n) (comp) unforeseen test outcome/
予見試験結果 [よけんしけんけっか] /(n) (comp) foreseen test outcome/
予言 [かねごと] /(n,vs,adj-no) prediction/promise/prognostication/
予言 [よげん] /(n,vs,adj-no) prediction/promise/prognostication/(P)/
予言者 [よげんしゃ] /(n) prophet/predictor/prognosticator/
予後 [よご] /(n,adj-no) prognosis/aftereffects/recuperation/convalescence/
予後診断医 [よごしんだんい] /(n) prognostician/
予稿 [よこう] /(n) preliminary draft/preliminary draught/
予行 [よこう] /(n,vs) rehearsal/
予行演習 [よこうえんしゅう] /(n,vs) dry run/rehearsal/
予告 [よこく] /(n,vs) advance notice/previous note/preliminary announcement/(P)/
予告なしに [よこくなしに] /(adv) without advance notice/
予告篇 [よこくへん] /(n) preview/
予告編 [よこくへん] /(n) (film, movie) preview/
予告無しに [よこくなしに] /(adv) without advance notice/
予察 [よさつ] /(n,vs) (obsc) guessing beforehand/conjecture in advance/
予参 [よさん] /(n,vs) act of joining a crowd or assembly of people/attendance/
予算 [よさん] /(n,vs,adj-no) estimate/budget/(P)/
予算を削る [よさんをけずる] /(exp,v5r) to curtail a budget/
予算案 [よさんあん] /(n) draft budget/draught budget/
予算委 [よさんい] /(n) (abbr) Budget Committee (of the Diet)/
予算委員会 [よさんいいんかい] /(n) (1) Budget Committee (of the Upper and Lower Houses of the Diet)/(2) budget committee/
予算外 [よさんがい] /(n) outside the budget/
予算削減 [よさんさくげん] /(n) budget cut/
予算執行調査 [よさんしっこうちょうさ] /(n) survey of expenditure/
予算上 [よさんじょう] /(adj-no) budgetary/
予算措置 [よさんそち] /(n) budgetary provision/
予算配分 [よさんはいぶん] /(n) budgetary allocation/
予算不足 [よさんぶそく] /(n,adj-no) budget deficit/
予算編成 [よさんへんせい] /(n) budget compilation (by the Cabinet)/
予示 [よじ] /(n,vs) showing signs of/foreshadow/
予習 [よしゅう] /(n,vs) preparation for a lesson/(P)/
予祝 [よしゅく] /(n) celebrating in advance/advance blessing (e.g. of crops)/
予審 [よしん] /(n) preliminary examination/pretrial hearing/
予審調書 [よしんちょうしょ] /(n) minutes of a pre-trial hearing/records of a preliminary examination/
予審廷 [よしんてい] /(n) court of first instance/
予診 [よしん] /(n) medical history interview before a medical examination/medical preexamination./
予震 [よしん] /(n) preliminary tremor/
予選 [よせん] /(n,vs) nomination/primary/preliminary contest/(P)/
予選会 [よせんかい] /(n) primary caucus/
予選通過者 [よせんつうかしゃ] /(n) qualifier/
予想 [よそう] /(n,vs,adj-no) expectation/anticipation/prediction/forecast/conjecture/(P)/
予想以上 [よそういじょう] /(adv,adj-no) more than expected/
予想屋 [よそうや] /(n) crystal gazer/dopester/
予想外 [よそうがい] /(adj-na,n) unexpected/unforeseen/strange/(P)/
予想高 [よそうだか] /(n) estimate/
予想収穫高 [よそうしゅうかくだか] /(n) crop estimate/
予想通り [よそうどおり] /(exp) as expected (neutral and negative events)/as feared/
予想日 [よそうび] /(n) forecasted day (of cherry blossom blooming, etc.)/
予想利益 [よそうりえき] /(n) estimated profits/
予測 [よそく] /(n,vs) prediction/estimation/(P)/
予測不能 [よそくふのう] /(adj-na,n) unpredictable/
予断 [よだん] /(n,vs) guessing/prediction/conclusion/(P)/
予知 [よち] /(n,vs) foresight/foreknowledge/intimation/premonition/prediction/(P)/
予知能力 [よちのうりょく] /(n) precognition/
予知夢 [よちむ] /(n) foresight dream/
予兆 [よちょう] /(n) omen/
予定 [よてい] /(n,vs) plans/arrangement/schedule/program/programme/expectation/estimate/(P)/
予定から外す [よていからはずす] /(exp,v5s) to exclude from the schedule/
予定どおり [よていどおり] /(n) as planned/
予定を変える [よていをかえる] /(exp,v1) to change the schedule/to change one's plans/
予定案 [よていあん] /(n) program/programme/prospectus/
予定価格 [よていかかく] /(n) estimated price/price estimate/
予定外 [よていがい] /(n,adj-no) unexpected/
予定期限 [よていきげん] /(n) target date/
予定期日 [よていきじつ] /(n) prearranged date/
予定者 [よていしゃ] /(n,suf) person in line (for ~)/person expected to ~/
予定説 [よていせつ] /(n) predestination/
予定調和 [よていちょうわ] /(n) preestablished harmony/
予定通り [よていどおり] /(n) as planned/
予定日 [よていび] /(n) scheduled date/expected date/
予定納税 [よていのうぜい] /(n) prepayment of income taxes/
予定表 [よていひょう] /(n) schedule/program/programme/itinerary/
予定変更 [よていへんこう] /(n) change of schedule/schedule change/
予熱 [よねつ] /(n,vs) preheat (oven, etc.)/warm up (engine, etc.)/
予納 [よのう] /(n,vs) advance payment/
予備 [よび] /(n,adj-no) preparation/preliminaries/reserve/spare/(P)/
予備員 [よびいん] /(n) reserve men/
予備運動 [よびうんどう] /(n) limbering up/
予備科 [よびか] /(n) preparatory course/
予備会議 [よびかいぎ] /(n) preliminary conference/
予備会談 [よびかいだん] /(n) preliminary discussion/
予備艦隊 [よびかんたい] /(n) reserve fleet/
予備協約 [よびきょうやく] /(n) preliminary agreement/
予備金 [よびきん] /(n) reserve fund/emergency fund/
予備軍 [よびぐん] /(n) (1) reserves (esp. troops)/reserve army/(2) potential members of some group (e.g. the elderly)/people at risk (e.g. of a medical condition)/wannabees/
予備交渉 [よびこうしょう] /(n) preliminary negotiations/
予備工作 [よびこうさく] /(n) spade work/preliminaries/
予備校 [よびこう] /(n) prep school (ronin year)/(P)/
予備座席 [よびざせき] /(n) rumble seat/
予備士官学校 [よびしかんがっこう] /(n) reserve officers' cadet school/
予備試験 [よびしけん] /(n) preliminary examination/
予備室 [よびしつ] /(n) spare room/
予備将校 [よびしょうこう] /(n) reserve officers/
予備尋問 [よびじんもん] /(n) voir dire (hearing to determine the admissibility of evidence, or the competency of a witness or juror)/
予備選挙 [よびせんきょ] /(n) preliminary election/a primary (election)/
予備選手 [よびせんしゅ] /(n) reserve player/
予備装置 [よびそうち] /(n) reserve equipment/backup unit/spare/
予備隊 [よびたい] /(n) reserve corps/
予備知識 [よびちしき] /(n) background knowledge/prerequisite knowledge/
予備調査 [よびちょうさ] /(n) preliminary investigation/
予備的 [よびてき] /(adj-na) preliminary/preparatory/
予備馬 [よびば] /(n) spare horse/
予備判事 [よびはんじ] /(n) supernumerary judge/
予備費 [よびひ] /(n) reserve funds/emergency funds/(P)/
予備錨 [よびいかり] /(n) spare anchor/
予備品 [よびひん] /(n) spares/reserve supply/
予備部品 [よびぶひん] /(n) spare parts/
予備兵 [よびへい] /(n) reservist/
予備役 [よびえき] /(n) service in the first reserve/
予備役将校訓練課程 [よびえきしょうこうくんれんかてい] /(n) Reserve Officers' Training Corps (US)/ROTC/
予表 [よひょう] /(n,vs,adj-no) prefiguring/foreshadowing/
予報 [よほう] /(n,vs) forecast/prediction/(P)/
予報円 [よほうえん] /(n) forecast center position (of a typhoon, etc.)/
予報音 [よほうおん] /(n) telephone time-warning sound/
予謀 [よぼう] /(n,adj-no) premeditation/aforethought/
予防 [よぼう] /(n,vs,adj-no) prevention/precaution/protection against/(P)/
予防医学 [よぼういがく] /(n) preventive medicine/prophylactic/
予防医療 [よぼういりょう] /(n) preventive medicine/
予防策 [よぼうさく] /(n) precautionary measures/
予防接種 [よぼうせっしゅ] /(n,adj-no) immunization/immunisation/vaccination/inoculation/(P)/
予防接種法 [よぼうせっしゅほう] /(n) Preventive Vaccination Law/
予防戦争 [よぼうせんそう] /(n) preventive war/
予防線 [よぼうせん] /(n) guard (against attack)/
予防注射 [よぼうちゅうしゃ] /(n) immunization/immunisation/shots/inoculation/preventive injection/
予防的ケア [よぼうてきケア] /(n) preventive care/
予防的治療 [よぼうてきちりょう] /(n) prophylactic treatment/
予防的停職 [よぼうてきていしょく] /(n) preventive suspension/
予防保守 [よぼうほしゅ] /(n) (comp) preventive maintenance/
予防保全 [よぼうほぜん] /(n) (comp) preventive maintenance/
予防法 [よぼうほう] /(n) precautionary measures/
予防薬 [よぼうやく] /(n) prophylactic medicine/
予約 [よやく] /(n,vs,adj-no) (1) reservation/appointment/booking/advance order/(2) contract/subscription/pledge/(P)/
予約を取る [よやくをとる] /(exp,v5r) to make an appointment/to make a reservation/
予約ファイル名 [よやくファイルめい] /(n) (comp) reserved filename/
予約金 [よやくきん] /(n) a deposit/
予約係 [よやくがかり] /(n) reservation desk (of an airline)/
予約券 [よやくけん] /(n) reservation slip/reservation voucher/
予約語 [よやくご] /(n) reserved word/keyword/
予約購読 [よやくこうどく] /(n) (comp) subscription/
予約済み [よやくずみ] /(n) reserved/engaged/
予約者 [よやくしゃ] /(n) subscriber/
予約受付 [よやくうけつけ] /(n) reservation/order acceptance/
予約受付係 [よやくうけつけけい] /(n) reservationist/person whose job is to take reservations/
予約出版 [よやくしゅっぱん] /(n) publication after securing subscriptions/
予約制 [よやくせい] /(n) (on) a subscription basis/
予約席 [よやくせき] /(n) reserved seat/
予約待ちリスト [よやくまちリスト] /(n) waiting list/
予約番号 [よやくばんごう] /(n) confirmation number/
予約名 [よやくめい] /(n) (comp) reserved name/
予約名使用引数 [よやくめいしようひきすう] /(n) (comp) reserved name use parameter/
予約名簿 [よやくめいぼ] /(n) subscription list/
予予 [かねがね] /(adv) often/lately/already/
予令 [よれい] /(n) preparatory command/
予鈴 [よれい] /(n) bell signalling that work, class, etc. will formally begin shortly/first bell/warning bell/
予讚本線 [よさんほんせん] /(n) Yosan Main Line (Ehime-Kagawa Railway)/
予餞会 [よせんかい] /(n) farewell party for graduates (held prior to graduation)/
予饌会 [よせんかい] /(n) farewell meeting/send-off/
余 [よ] /(n,suf) (1) over/more than/(pn,adj-no) (2) (arch) formal or oratory first person pronoun/I/
余し物 [あましもの] /(n) something not needed/person who is in the way/
余す [あます] /(v5s,vt) to save/to leave over/to spare/(P)/
余すところなく [あますところなく] /(exp,adv) fully/thoroughly/
余す所なく [あますところなく] /(exp,adv) fully/thoroughly/
余す所無く [あますところなく] /(exp,adv) fully/thoroughly/
余った金 [あまったかね] /(n) surplus money/
余っ程 [よっぽど] /(adv,n,adj-no,adj-na) (1) (uk) very/greatly/much/to a large extent/quite/(adv) (2) just about to/(P)/
余の儀 [よのぎ] /(exp) another method/another problem/
余の辞書には不可能という言葉は無い [よのじしょにはふかのうということばはない] /(exp) (id) There is nothing that I can't do/
余り [あまり] /(adj-na,adv,n,n-suf) (1) (uk) remainder/rest/balance/remains/scraps/residue/remnant/(adv) (2) not very (with negative sentence)/not much/(3) surplus/excess/fullness/too much/(4) overjoyed/overwhelmed/(n-suf) (5) more than/over/(P)/
余り [あんまり] /(adj-na,adv,n,n-suf) (1) (uk) remainder/rest/balance/remains/scraps/residue/remnant/(adv) (2) not very (with negative sentence)/not much/(3) surplus/excess/fullness/too much/(4) overjoyed/overwhelmed/(n-suf) (5) more than/over/(P)/
余りと言えば [あまりといえば] /(exp) excessively/
余りに [あまりに] /(adv) (uk) too much/excessively/too/(P)/
余りにも [あまりにも] /(adv) (uk) too much/excessive/too/
余り物 [あまりもの] /(n) remains/leavings/remnant/surplus/
余り物に福が有る [あまりものにふくがある] /(exp) (id) Leftovers are the best of all/
余り面白くない [あまりおもしろくない] /(adj-i) not very interesting/
余る [あまる] /(v5r,vi) to remain/to be left over/to be in excess/to be too many/(P)/
余意 [よい] /(n) implied meaning/
余韻 [よいん] /(n) (1) reverberation/swelling (of a hymn)/trailing note/(2) lingering memory/aftertaste/(3) suggestiveness (of a book, poem, etc.)/(P)/
余韻嫋々 [よいんじょうじょう] /(adj-no,adj-t,adv-to) (arch) (sound) lingering in the air/trailing notes (of a bell, etc.)/
余韻嫋嫋 [よいんじょうじょう] /(adj-no,adj-t,adv-to) (arch) (sound) lingering in the air/trailing notes (of a bell, etc.)/
余栄 [よえい] /(n) posthumous honors/posthumous honours/
余炎 [よえん] /(n) burning embers/
余煙 [よえん] /(n) lingering smoke/
余暇 [よか] /(n,adj-no) leisure/leisure time/spare time/(P)/
余角 [よかく] /(n) complementary angle/
余割 [よかつ] /(n) cosecant/
余寒 [よかん] /(n) lingering winter/
余儀 [よぎ] /(n) another method/another problem/
余儀ない [よぎない] /(adj-i) unavoidable/inevitable/beyond one's control/(P)/
余儀なく [よぎなく] /(adv) unavoidably/necessarily/inevitably/(P)/
余儀なくされる [よぎなくされる] /(exp,v1) to be forced to do or experience something (against one's will)/to be forced to do something because one has no other choice/
余儀無い [よぎない] /(adj-i) unavoidable/inevitable/beyond one's control/
余儀無く [よぎなく] /(adv) unavoidably/necessarily/inevitably/
余技 [よぎ] /(n) avocation/hobby/
余興 [よきょう] /(n) side show/entertainment/
余響 [よきょう] /(n) echo/reverberation/
余業 [よぎょう] /(n) side line/avocation/
余業なく [よぎょうなく] /(adv) unavoidably/necessarily/inevitably/
余業無く [よぎょうなく] /(adv) unavoidably/necessarily/inevitably/
余薫 [よくん] /(n) lingering odor/lingering odour/
余慶 [よけい] /(n) fortunate heredity/blessings/the rewards of virtue/something bequeathed to posterity/
余計 [よけい] /(adj-na,adv,n) too much/unnecessary/extraneous/abundance/surplus/excess/superfluity/(P)/
余計なお世話 [よけいなおせわ] /(exp) it's none of your business/it's not your concern/
余計な御世話 [よけいなおせわ] /(exp) (id) Mind your own business/
余計な世話を焼く [よけいなせわをやく] /(exp,v5k) to poke one's nose (in) where one is not wanted/
余計者 [よけいもの] /(n) person whose presence is unwelcome, unnecessary or a nuisance/fifth wheel/third wheel/interloper/
余弦 [よげん] /(n) cosine (in trigonometry)/
余光 [よこう] /(n) afterglow/lingering light/
余香 [よこう] /(n) lingering odor/lingering odour/
余罪 [よざい] /(n) other crimes/further offenses/further offences/
余財 [よざい] /(n) spare cash/available funds/remaining fortune/
余事 [よじ] /(n) other things/the rest/leisure tasks/
余習 [よしゅう] /(n) old remaining customs/
余臭 [よしゅう] /(n) lingering odor/lingering odour/
余集合 [よしゅうごう] /(n) (math) (obsc) complementary set/complement/
余所 [よそ] /(n) (1) another place/somewhere else/strange parts/(2) outside (one's family or group)/those people/(3) unrelated matter/(P)/
余所にする [よそにする] /(exp,vs-i) to neglect/to slight/to be indifferent to/
余所見 [よそみ] /(n,vs) looking away/looking aside/
余所行き [よそいき] /(adj-no) (1) going out/(2) one's best (clothes, looks, manners, behaviour, etc.)/(3) formal behaviour (manners, speech, etc.)/
余所行き [よそゆき] /(adj-no) (1) going out/(2) one's best (clothes, looks, manners, behaviour, etc.)/(3) formal behaviour (manners, speech, etc.)/
余所事 [よそごと] /(n) another's affair/
余所者 [よそもの] /(n) stranger/outsider/
余所乍ら [よそながら] /(adv) while at a distance/indirectly/casually/
余所聞き [よそぎき] /(n) reputation/respectability/
余所目 [よそめ] /(n) another's eyes/casual observer/
余所余所しい [よそよそしい] /(adj-i) (uk) distant/cold/formal/
余剰 [よじょう] /(n,adj-no) redundant/surplus/residue/balance/(P)/
余剰パルス [よじょうパルス] /(n) (comp) extra-pulse/
余剰人員 [よじょうじんいん] /(n) excess personnel/redundant staff/
余情 [よじょう] /(n) suggestiveness (of a poem)/lingering charm/lasting impression/
余色 [よしょく] /(n) complementary color/complementary colour/
余震 [よしん] /(n) aftershock/(P)/
余人 [よじん] /(n) others/other people/(P)/
余人 [よにん] /(n) others/other people/
余塵 [よじん] /(n) trailing dust/aftereffects/
余水吐 [よすいはき] /(n) spillway/
余水路 [よすいろ] /(n) spillway/
余世 [よせい] /(n) one's remaining years/
余勢 [よせい] /(n) surplus power/momentum/impetus/inertia/
余生 [よせい] /(n) one's remaining years/
余切 [よせつ] /(n) cotangent (in trigonometry)/
余接 [よせつ] /(n) cotangent/
余賊 [よぞく] /(n) the remaining bandits/
余沢 [よたく] /(n) blessings/benefits (of modern civilization, civilisation)/
余談 [よだん] /(n,adj-no) digression/sequel (of a story)/(P)/
余地 [よち] /(n) place/room/margin/scope/(P)/
余程 [よっぽど] /(adv,n,adj-no,adj-na) (1) (uk) very/greatly/much/to a large extent/quite/(adv) (2) just about to/
余程 [よほど] /(adv,n,adj-no,adj-na) (1) (uk) very/greatly/much/to a large extent/quite/(adv) (2) just about to/(P)/
余滴 [よてき] /(n) drippings/
余党 [よとう] /(n) remnants of a party or a gang/
余得 [よとく] /(n) emoluments/additional profits/
余徳 [よとく] /(n) influence of great virtue/influence of ancestors/
余日 [よじつ] /(n-adv,n-t) remaining time/days left/
余熱 [よねつ] /(n) waste heat/remaining heat/
余念 [よねん] /(n) another idea/(P)/
余念なく [よねんなく] /(adv) earnestly/intently/attentively/wholeheartedly/
余念もなく [よねんもなく] /(adv) earnestly/intently/attentively/wholeheartedly/
余念も無く [よねんもなく] /(adv) earnestly/intently/attentively/wholeheartedly/
余念無く [よねんなく] /(adv) earnestly/intently/attentively/wholeheartedly/
余波 [なごり] /(n) (1) waves that remain after the wind has subsided/
余波 [なごろ] /(ok) (n) (1) waves that remain after the wind has subsided/
余波 [よは] /(n) (1) waves that remain after the wind has subsided/(2) after-effect/aftermath/(P)/
余輩 [よはい] /(pn,adj-no) we/
余白 [よはく] /(n) blank space/margin/
余白注 [よはくちゅう] /(n) marginal notes/glosses/
余白頁 [よはくぺえじ] /(n) blank page/
余病 [よびょう] /(n) secondary disease/complications/
余風 [よふう] /(n) surviving custom/holdover influence/
余分 [よぶん] /(adj-na,n) extra/excess/surplus/(P)/
余憤 [よふん] /(n) pent-up anger/rage/
余聞 [よぶん] /(n) gossip/rumor/rumour/
余弊 [よへい] /(n) resulting evil/holdover/
余芳 [よほう] /(n) lingering fragrance/continuing fame (after death)/
余命 [よめい] /(n) remainder of one's life/one's remaining years/(P)/
余命幾何もない [よめいいくばくもない] /(exp) your days are numbered/
余裕 [よゆう] /(n) surplus/composure/margin/room/time/allowance/flexibility/scope/rope/(P)/
余裕しゃくしゃく [よゆうしゃくしゃく] /(adj-na,adj-no,adj-t,adv-to) calm and composed/broadminded/having enough and to spare/
余裕綽々 [よゆうしゃくしゃく] /(adj-na,adj-no,adj-t,adv-to) calm and composed/broadminded/having enough and to spare/
余裕綽綽 [よゆうしゃくしゃく] /(adj-na,adj-no,adj-t,adv-to) calm and composed/broadminded/having enough and to spare/
余力 [よりょく] /(n) spare energy, time or money/remaining strength/reserve power/money to spare/(P)/
余類 [よるい] /(n) remnants of a party or a gang/
余齢 [よれい] /(n) life expectancy/
余烈 [よれつ] /(n) ancestor's meritorious deeds/the evil effects of the lives of our predecessors/
余禄 [よろく] /(n) additional gain/
余録 [よろく] /(n) unofficial record/rumour/rumor/
余喘 [よぜん] /(n) lingering life/feeble existence/brink of ruin/
余蘖 [よげつ] /(n) (1) sprouts from a stump/(2) ruined family surviving through a descendant/
余殃 [よおう] /(n) trouble brought on by sins of forebears/
余瀝 [よれき] /(n) lingering raindrops/remaining portion of a drink/favors/favours/
余燼 [よじん] /(n) smouldering fire/smoldering fire/embers/
余蘊 [ようん] /(n) inexhaustible supply/
与え [あたえ] /(n) gift/godsend/
与える [あたえる] /(v1,vt) (1) to give (esp. to someone of lower status)/to bestow/to grant/to confer/to present/to award/(2) to provide/to afford/to offer/to supply/(3) to assign/(4) to cause/(5) (comp) to pass (a variable to a function)/(P)/
与え主 [あたえぬし] /(n) giver/
与し易い [くみしやすい] /(adj-i) easy to deal with/tractable/manageable/
与する [くみする] /(vs-s) to take part in/to be implicated in/to side with/to support/
与る [あずかる] /(v5r,vi) (1) (uk) to participate in/to take part in/(2) to receive/to enjoy/to be given/
与圧 [よあつ] /(n,vs) pressurization/pressurisation/
与格 [よかく] /(n) (ling) dative case/
与件 [よけん] /(n) postulate/given conditions/data/
与国 [よこく] /(n) ally/
与式 [よしき] /(n) (math) the assigned equation (used in maths to avoid writing out the original equation again in full)/
与信 [よしん] /(n) credit limit/
与太 [よた] /(adj-na,n) idle gossip/nonsense/good-for-nothing fellow/
与太る [よたる] /(v5r,vi) to live a wicked life/
与太者 [よたもの] /(n) (uk) hooligan/layabout/good-for-nothing/gangster/
与太郎 [よたろう] /(n) (obs) slow witted fellow/counter-hero/liar/
与太話 [よたばなし] /(n) idle gossip/
与奪 [よだつ] /(n,vs) giving and taking/plundering/
与点 [よてん] /(n) (math) point given/
与党 [よとう] /(n,adj-no) government party/(ruling) party in power/government/(P)/
与党連立 [よとうれんりつ] /(n) ruling coalition/
与那国蚕 [よなぐにさん] /(n) (uk) atlas moth (Attacus atlas)/
与野党 [よやとう] /(n) (political) parties in and out of power/majority and minority parties/(P)/
与力 [よりき] /(n,vs) feudal era police rank/
誉めそやす [ほめそやす] /(v5s) to praise/to extol/
誉めちぎる [ほめちぎる] /(v5r,vt) to praise (to the skies)/to sing the praises (of)/to extol/
誉める [ほめる] /(v1,vt) to praise/to admire/to speak well/
誉め言葉 [ほめことば] /(n) words of praise/eulogy/compliment/
誉め殺し [ほめごろし] /(n) lavish compliments and criticism/reverse compliment/"damning with faint praise"/
誉め称える [ほめたたえる] /(v1,vt) to admire/to praise/to applaud/
誉れ [ほまれ] /(n) honour/honor/(P)/
誉望 [よぼう] /(n) honor/honour/
輿 [かご] /(n) palanquin/litter/bier/
輿 [こし] /(n) palanquin/litter/bier/
輿地 [よち] /(n) earth/world/
輿丁 [よてい] /(n) person who carries a palanquin/palanquin bearer/
輿入れ [こしいれ] /(n,vs) wedding/bridal procession/marriage into a family/
輿望 [よぼう] /(n) popularity/esteem/reputation/confidence/
輿望をになう [よぼうをになう] /(exp,v5u) to enjoy the trust and confidence of/
輿望を担う [よぼうをになう] /(exp,v5u) to enjoy the trust and confidence of/
輿論 [よろん] /(n) public opinion/
輿論調査 [よろんちょうさ] /(n) public-opinion survey/
預かり [あずかり] /(n) (1) under custody/under supervision/(2) undecided match/draw/tie/(P)/
預かり金 [あずかりきん] /(n) deposit (received)/
預かり所 [あずかりしょ] /(n) cloakroom/parcel room/
預かり所 [あずかりじょ] /(n) cloakroom/parcel room/(P)/
預かり証 [あずかりしょう] /(n) claim check/baggage check/luggage check/deposit receipt/(P)/
預かり人 [あずかりにん] /(n) person left in charge of one's belongings/
預かり物 [あずかりもの] /(n) something left in charge/
預かる [あずかる] /(v5r,vt) (1) to look after/to take care of/to keep/to hold on to/to keep in custody/(2) to take charge of/to be entrusted with/to receive on deposit/(3) to reserve (judgment)/to leave undecided/(P)/
預け [あずけ] /(n) custody/keeping/
預ける [あずける] /(v1,vt) (1) to give into custody/to leave (a child) in the care of/to entrust/to deposit/(2) to lean on/to put one's weight on/(P)/
預け金 [あずけきん] /(n) key money/
預け主 [あずけぬし] /(n) depositor/
預け入れ [あずけいれ] /(n) deposit/
預け入れる [あずけいれる] /(v1,vt) to make a deposit/(P)/
預け物 [あずけもの] /(n) object left in a person's charge/
預り [あずかり] /(n) (1) under custody/under supervision/(2) undecided match/draw/tie/
預り金 [あずかりきん] /(n) deposit (received)/
預金 [よきん] /(n,vs) deposit/bank account/(P)/
預金口座 [よきんこうざ] /(n) bank account/
預金残高 [よきんざんだか] /(n) account balance/
預金残高証明書 [よきんざんだかしょうめいしょ] /(n) bank certificate/bank certification/bank certification of deposit/
預金者 [よきんしゃ] /(n) depositor/
預金準備率 [よきんじゅんびりつ] /(n) cash-deposit ratio/
預金通帳 [よきんつうちょう] /(n) (deposit) passbook/bankbook/
預金保険制度 [よきんほけんせいど] /(n) deposit insurance system/
預金保護 [よきんほご] /(n) bank deposit guarantee/
預金保証 [よきんほしょう] /(n) bank deposit guarantee/
預金利率 [よきんりりつ] /(n) deposit interest rate/
預血 [よけつ] /(n,vs) depositing blood (in a blood bank)/
預言 [よげん] /(n,vs,adj-no) prediction/promise/prognostication/
預言者 [よげんしゃ] /(n) prophet/predictor/prognosticator/
預言書 [よげんしょ] /(n) prophetic writing (e.g. Biblical)/written prophesy/
預参 [よさん] /(n,vs) act of joining a crowd or assembly of people/attendance/
預貸率 [よたいりつ] /(n) loan-deposit ratio/
預託 [よたく] /(n,vs,adj-no) depositing/deposition (of money, etc.)/(P)/
預託金 [よたくきん] /(n) deposit/
預貯金 [よちょきん] /(n) deposits and savings/bank account/(P)/
預貯金残高 [よちょきんざんだか] /(n) bank balance/
預入 [あずけいれ] /(n) deposit/
傭 [やとい] /(n) employee/employment/
傭い [やとい] /(n) employee/employment/
傭い兵 [やといへい] /(n) mercenary soldier/
傭う [やとう] /(v5u,vt) (1) to employ/(2) to hire/to charter/
傭人 [ようにん] /(n) employee/
傭船 [ようせん] /(n,vs) chartered ship/chartering or hiring a vessel/
傭船契約 [ようせんけいやく] /(n) chartering ships/
傭兵 [ようへい] /(n) mercenary (soldier)/
傭聘 [ようへい] /(n,vs) employing/employment/
幼 [いと] /(n) (1) (uk) (arch) young child (esp. a young girl)/(pref) (2) young/
幼い [いとけない] /(adj-i) (1) very young/(2) childish/immature/
幼い [おさない] /(adj-i) (1) very young/(2) childish/immature/(P)/
幼いころ [おさないころ] /(exp) as a child/when one was a child/
幼い頃 [おさないころ] /(exp) as a child/when one was a child/
幼き [おさなき] /(adj-f) (1) very young/(2) childish/immature/
幼なじみ [おさななじみ] /(n) childhood friend/friend from infancy/old playmate/(P)/
幼びる [おさなびる] /(v1,vi) to appear childish/
幼芽 [ようが] /(n,adj-no) (wheat) germ/
幼芽鞘 [ようがしょう] /(n) coleoptile/acrospire/
幼顔 [おさながお] /(n) baby's face/
幼気 [いたいけ] /(adj-na) (uk) innocent/helpless/tender/
幼気ない [いたいけない] /(adj-i) (uk) innocent/helpless/tender/
幼気盛り [いたいけざかり] /(n) a tender age/
幼魚 [ようぎょ] /(n) fry (young fish)/
幼君 [ようくん] /(n) young lord or master/
幼形進化 [ようけいしんか] /(n,vs) paedomorphosis/pedomorphosis/
幼妻 [おさなづま] /(n) very young bride/bride (married woman) who is little more than a girl/
幼子 [おさなご] /(n) infant/baby/little child/(P)/
幼児 [ようじ] /(n) infant/baby/child/(P)/
幼児ポルノ [ようじポルノ] /(n) child pornography/
幼児期 [ようじき] /(n) infancy/
幼児虐殺 [ようじぎゃくさつ] /(n) Massacre of the Innocents/episode of infanticide by Herod that appears in the New Testament/
幼児虐待 [ようじぎゃくたい] /(n) child abuse/
幼児教育 [ようじきょういく] /(n) early childhood education/
幼児語 [ようじご] /(n) baby talk (like choo-choo for train, etc.)/words and speech patterns used in talking with young children/
幼児殺し [ようじごろし] /(n) infanticide/
幼児死亡率 [ようじしぼうりつ] /(n) infant mortality rate/
幼児突然死症候群 [ようじとつぜんししょうこうぐん] /(n) sudden infant death syndrome/SIDS/
幼時 [おさなどき] /(ok) (n-t,adj-no) childhood/infancy/
幼時 [ようじ] /(n-t,adj-no) childhood/infancy/
幼若 [ようじゃく] /(adj-na,n) juvenile/
幼弱 [ようじゃく] /(adj-na,n) young and weak/
幼女 [ようじょ] /(n) little girl/
幼少 [ようしょう] /(n,adj-na,adj-no) infancy/childhood/tender age/(P)/
幼少期 [ようしょうき] /(n) (early) childhood/(P)/
幼心 [おさなごころ] /(n) child's mind/child's heart/very young mind/
幼生 [ようせい] /(adj-na,n,adj-no) larva/larvae/
幼生器官 [ようせいきかん] /(n) larval organ/
幼生生殖 [ようせいせいしょく] /(n) paedogenesis/pedogenesis/
幼稚 [ようち] /(adj-na,n,adj-no) infancy/childish/infantile/(P)/
幼稚園 [ようちえん] /(n) kindergarten/(P)/
幼稚園児 [ようちえんじ] /(n) kindergartener/pre-schooler/
幼稚産業保護論 [ようちさんぎょうほごろん] /(n) infant-industry argument/theory of infant-industry protection/
幼虫 [ようちゅう] /(n,adj-no) larva/chrysalis/(P)/
幼帝 [ようてい] /(n) young emperor/
幼童 [ようどう] /(n) little child/
幼馴染 [おさななじみ] /(n) childhood friend/friend from infancy/old playmate/
幼馴染み [おさななじみ] /(n) childhood friend/friend from infancy/old playmate/
幼年 [ようねん] /(n) childhood/infancy/
幼年期 [ようねんき] /(n) childhood/
幼年時代 [ようねんじだい] /(n) childhood/
幼名 [おさなな] /(n) childhood name/
幼名 [ようみょう] /(n) childhood name/
幼名 [ようめい] /(n) childhood name/
幼友達 [おさなともだち] /(n) childhood friend/
幼様 [いとさま] /(n) (uk) (hon) (ksb:) daughter (of a good family)/
幼様 [いとさん] /(n) (uk) (hon) (ksb:) daughter (of a good family)/
幼齢 [ようれい] /(n) childhood/
妖しい [あやしい] /(adj-i) (1) charming/bewitching/mysterious/
妖異 [ようい] /(n) mysterious occurrence/
妖雲 [よううん] /(n) ominous cloud/
妖艶 [ようえん] /(adj-na,n) fascinating/voluptuous/bewitching/
妖怪 [ようかい] /(n) ghost/apparition/phantom/spectre/specter/demon/monster/goblin/(P)/
妖怪ハンター [ようかいハンター] /(n) ghostbuster (lit: spirit or ghost hunter, trapper)/
妖怪変化 [ようかいへんげ] /(n,vs) (animal making a) monstrous apparition/
妖気 [ようき] /(n) ghostly/unearthly/weird/
妖狐 [ようこ] /(n) mythological fox spirit/
妖術 [ようじゅつ] /(n) black magic/black art/witchcraft/sorcery/
妖術師 [ようじゅつし] /(n) necromancer/
妖術者 [ようじゅつしゃ] /(n) magician/sorcerer/sorceress/
妖女 [ようじょ] /(n) enchantress/vamp/
妖精 [ようせい] /(n) fairy/sprite/elf/(P)/
妖刀 [ようとう] /(n) bewitched sword/magical sword/demon sword/
妖婆 [ようば] /(n) hag/old witch/
妖婦 [ようふ] /(n) enchantress/
妖魔 [ようま] /(n) ghost/apparition/
妖力 [ようりき] /(n) (obsc) spirit power/magical power/
妖力 [ようりょく] /(n) (obsc) spirit power/magical power/
容 [かたち] /(n) (1) form/shape/figure/(2) visage/
容 [かんばせ] /(n) (1) (arch) countenance/visage/(2) face/honor (honour)/dignity/
容 [よう] /(n) (1) form/shape/figure/(2) visage/
容ぼう [ようぼう] /(n,adj-no) looks/personal appearance/features/
容れる [いれる] /(v1,vt) (1) to put in/to let in/to take in/to bring in/to insert/to set (a jewel, etc.)/to ink in (e.g. a tattoo)/(2) to admit/to accept/to employ/to hire/(3) to accept/to comply/to grant/to adopt (a policy, etc.)/to take (advice, etc.)/to listen to/to pay attention to/(4) to include/(5) to pay (one's rent, etc.)/(6) to cast (a vote)/(7) to make (tea, coffee, etc.)/(8) to turn on (a switch, etc.)/(9) to send (a fax)/to call/
容れ物 [いれもの] /(n) (1) container/case/receptacle/(2) (euph. for) coffin/casket/
容を改む [ようをあらたむ] /(exp,v5m) to change one's appearance/
容易 [ようい] /(adj-na,n) easy/simple/plain/(P)/
容易い [たやすい] /(adj-i) (uk) easy/simple/light/(P)/
容易にする [よういにする] /(exp,vs-i) to facilitate/to make easy/to simplify/
容顔 [ようがん] /(n) features/looks/
容顔美麗 [ようがんびれい] /(n,adj-na) beautiful face/attractive features/
容器 [ようき] /(n) container/vessel/(P)/
容気 [かたぎ] /(n) spirit/character/trait/temperament/turn of mind/disposition/
容儀 [ようぎ] /(n) behavior/behaviour/deportment/
容疑 [ようぎ] /(n) suspect/charge/(P)/
容疑者 [ようぎしゃ] /(n) suspect (person)/(P)/
容共 [ようきょう] /(n) pro-communist/
容作る [かたちづくる] /(v5r,vi) to form/to shape/to make/to mold/to mould/to build up/
容姿 [ようし] /(n) appearance/one's face and figure/(P)/
容姿端麗 [ようしたんれい] /(n,adj-na) attractive face and figure/
容子 [ようす] /(n) (1) state/state of affairs/situation/circumstances/(2) appearance/look/aspect/(3) sign/indication/
容赦 [ようしゃ] /(n,vs) (1) pardon/forgiveness/mercy/(2) leniency/going easy (on someone)/(P)/
容赦なく [ようしゃなく] /(adv) relentlessly/mercilessly/(P)/
容赦会釈 [ようしゃえしゃく] /(n) pardon/forgiveness/mercy/making allowances/
容色 [ようしょく] /(n) looks/features/beauty/
容積 [ようせき] /(n) capacity/volume/(P)/
容積比 [ようせきひ] /(n) volume ratio/
容積率 [ようせきりつ] /(n) floor space index/ratio of building size to lot/
容体 [ようたい] /(n) condition (usually animate)/
容体 [ようだい] /(n) condition (usually animate)/
容体振る [ようだいぶる] /(v5r,vi) to put on airs/
容態 [ようたい] /(n) condition (usually animate)/
容態 [ようだい] /(n) condition (usually animate)/
容認 [ようにん] /(n,vs) approval/(P)/
容物 [いれもの] /(io) (n) (1) container/case/receptacle/(2) (euph. for) coffin/casket/
容貌 [ようぼう] /(n,adj-no) looks/personal appearance/features/
容貌魁偉 [ようぼうかいい] /(n,adj-na) (a man) having a commanding face and a powerful physique/
容貌端正 [ようぼうたんせい] /(n,adj-na) having handsome and clean-cut features/
容量 [ようりょう] /(n) capacity/electrical capacitance/(P)/
容量集合 [ようりょうしゅうごう] /(n) (comp) capacity set/
容量分析 [ようりょうぶんせき] /(n) volumetric analysis/
容躰 [ようたい] /(oK) (n) condition (usually animate)/
容躰 [ようだい] /(oK) (n) condition (usually animate)/
容體 [ようたい] /(oK) (n) condition (usually animate)/
容體 [ようだい] /(oK) (n) condition (usually animate)/
庸 [ちからしろ] /(n) tax paid to avoid forced labor (ritsuryo period)/
庸 [よう] /(n) tax paid to avoid forced labor (ritsuryo period)/
庸愚 [ようぐ] /(adj-na,n) mediocrity/imbecility/
庸君 [ようくん] /(n) stupid ruler/
庸才 [ようさい] /(n) mediocre talent/
庸人 [ようじん] /(n) common man/
揚々 [ようよう] /(adj-t,adv-to) triumphant/exultant/in high and proud spirits/
揚がる [あがる] /(v5r,vi) (1) to rise/to go up/to come up/to ascend/to be raised/(2) to enter (esp. from outdoors)/to come in/to go in/(3) to enter (a school)/to advance to the next grade/(4) to get out (of water)/to come ashore/(5) to increase/(6) to improve/to make progress/(7) to be promoted/to advance/(8) to be made (of profit, etc.)/(9) to occur (esp. of a favourable result)/(10) to be adequate (to cover expenses, etc.)/(11) to be finished/to be done/to be over/(12) (of rain) to stop/to lift/(13) to stop (working properly)/to cut out/to give out/to die/(14) to win (in a card game, etc.)/(15) to be deep fried/(16) to be spoken loudly/(17) to get stage fright/(18) to be offered (to the gods, etc.)/(19) (hum) to go/to visit/(20) (hon) to eat/to drink/(21) to be listed (as a candidate)/(22) to serve (in one's master's home)/(23) (in Kyoto) to go north/(suf,v5r) (24) (after the -masu stem of a verb) indicates completion/(P)/
揚げ [あげ] /(n,n-suf) fried bean curd/(P)/
揚げじゃが [あげじゃが] /(n) fried potato (incl. French fries, chips, croquettes, etc.)/
揚げもの [あげもの] /(n) (food) deep-fried food/
揚げる [あげる] /(v1,vt) (1) to raise/to elevate/(2) to do up (one's hair)/(3) to fly (a kite, etc.)/to launch (fireworks, etc.)/to surface (a submarine, etc.)/(4) to land (a boat)/(5) to deep-fry/(6) to show someone (into a room)/(7) (uk) to summon (for geishas, etc.)/(8) to send someone (away)/(9) to enrol (one's child in school) (enroll)/(10) to increase (price, quality, status, etc.)/(11) to make (a loud sound)/to raise (one's voice)/(12) to earn (something desirable)/(13) to praise/(14) to give (an example, etc.)/to cite/(15) to summon up (all of one's energy, etc.)/(16) (pol) to give/(17) to offer up (incense, a prayer, etc.) to the gods (or Buddha, etc.)/(18) to bear (a child)/(19) to conduct (a ceremony, esp. a wedding)/(v1,vi) (20) (of the tide) to come in/(v1,vi,vt) (21) to vomit/(aux-v) (22) (uk) (pol) (after the -te form of a verb) to do for (the sake of someone else)/(23) (after the -masu stem of a verb) to complete/(24) (hum) used after the -masu stem of a humble verb to increase the level of humility/(P)/
揚げ雲雀 [あげひばり] /(n) soaring skylark/
揚げ蒲鉾 [あげかまぼこ] /(n) deep-fried kamaboko/
揚げ巻 [あげまき] /(n) (1) old-fashioned boys' hairstyle/(2) Meiji period women's hairstyle/(3) type of dance in kabuki/(4) knots in colour of four cardinal points hanging from the roof above the sumo ring (color)/(5) (abbr) constricted tagelus (Sinonovacula constricta)/Chinese razor clam/
揚げ玉 [あげだま] /(n) bits of fried batter left after cooking tempura/
揚げ句 [あげく] /(n-adv,n-t) in the end/finally/after all/at last/(P)/
揚げ句の果て [あげくのはて] /(adv,n) finally/in the end/on top of all that/
揚げ戸 [あげど] /(n) push-up door/roll-up shutter/
揚げ出し [あげだし] /(n) (food) deep-fried (food)/
揚げ出し豆腐 [あげだしどうふ] /(n) (food) deep-fried tofu/
揚げ床 [あげどこ] /(n) raised seedbed/
揚げ場 [あげば] /(n) landing-stage/
揚げ足 [あげあし] /(n) (1) finding fault/
揚げ足を取る [あげあしをとる] /(exp,v5r) to find fault with someone/to flame someone/to trip up somebody/
揚げ足取り [あげあしとり] /(n) faultfinding/
揚げ代 [あげだい] /(n) fee paid for the services of a geisha or prostitute/
揚げ超 [あげちょう] /(n) (abbr) excess of withdrawals over deposits/
揚げ底 [あげそこ] /(n) (1) false bottom/fake bottom/raised bottom/platform (shoes)/kick (of a bottle)/(2) exaggeration/overstatement/
揚げ底 [あげぞこ] /(n) (1) false bottom/fake bottom/raised bottom/platform (shoes)/kick (of a bottle)/(2) exaggeration/overstatement/
揚げ豆腐 [あげどうふ] /(n) sliced deep-fried tofu/
揚げ鍋 [あげなべ] /(n) deep fryer/pot used for frying/
揚げ板 [あげいた] /(n) movable floor boards/trap door/
揚げ物 [あげもの] /(n) (food) deep-fried food/
揚げ物鍋 [あげものなべ] /(n) agemono nabe, thick pot for deep frying/
揚げ幕 [あげまく] /(n) entrance curtain (in Noh)/
揚げ油 [あげあぶら] /(n) cooking oil/
揚羽 [あげは] /(n) (uk) (abbr) swallowtail butterfly (esp. the citrus swallowtail butterfly, Papilio xuthus)/
揚羽蝶 [あげはちょう] /(n) (uk) swallowtail butterfly (esp. the citrus swallowtail butterfly, Papilio xuthus)/
揚屋 [あげや] /(n) (Edo-period) brothel/
揚音 [ようおん] /(n) acute (accent, etc.)/
揚音符 [ようおんぷ] /(n) acute accent/
揚巻 [あげまき] /(n) (1) old-fashioned boys' hairstyle/(2) Meiji period women's hairstyle/(3) type of dance in kabuki/(4) knots in colour of four cardinal points hanging from the roof above the sumo ring (color)/(5) (abbr) constricted tagelus (Sinonovacula constricta)/Chinese razor clam/
揚巻貝 [あげまきがい] /(n) (uk) constricted tagelus (Sinonovacula constricta)/Chinese razor clam/
揚弓 [あげゆみ] /(iK) (n) small toy bow that can be shot while sitting, popular in the Edo period/
揚弓 [ようきゅう] /(iK) (n) small toy bow that can be shot while sitting, popular in the Edo period/
揚句 [あげく] /(n-adv,n-t) in the end/finally/after all/at last/(P)/
揚句の果て [あげくのはて] /(adv,n) finally/in the end/on top of all that/
揚言 [ようげん] /(n,vs) opening declaration/profession/declaration in public/proclamation/
揚戸 [あげど] /(n) push-up door/roll-up shutter/
揚抗比 [ようこうひ] /(n) lift-drag ratio/
揚子江 [ようすこう] /(n) Yangtze River (in China)/
揚子江鰐 [ようすこうわに] /(n) (uk) Chinese alligator (Alligator sinesis)/
揚枝 [ようじ] /(iK) (n) toothpick/
揚収 [ようしゅう] /(n,vs) lifting and recovery (e.g. in marine salvage)/
揚床 [あげどこ] /(n) raised seedbed/
揚水 [ようすい] /(n,vs) pumping water/
揚水車 [ようすいしゃ] /(n) scoop wheel/
揚水発電 [ようすいはつでん] /(n) pumped storage/pumped-storage power generation/pumping up generation/pumped-storage hydroelectricity/pumping-up hydraulic power generation/
揚水発電所 [ようすいはつでんしょ] /(n) pumped storage power plant/pumped storage power station/
揚足 [あげあし] /(n) (1) finding fault/
揚足取り [あげあしとり] /(n) faultfinding/
揚代 [あげだい] /(n) fee paid for the services of a geisha or prostitute/
揚炭機 [ようたんき] /(n) coal hoist/coal unloader/
揚底 [あげそこ] /(n) (1) false bottom/fake bottom/raised bottom/platform (shoes)/kick (of a bottle)/(2) exaggeration/overstatement/
揚底 [あげぞこ] /(n) (1) false bottom/fake bottom/raised bottom/platform (shoes)/kick (of a bottle)/(2) exaggeration/overstatement/
揚程 [ようてい] /(n) lifting height (of a pump, etc.)/
揚鍋 [あげなべ] /(io) (n) deep fryer/pot used for frying/
揚揚 [ようよう] /(adj-t,adv-to) triumphant/exultant/in high and proud spirits/
揚陸 [ようりく] /(n,vs) landing/unloading/
揚陸艦 [ようりくかん] /(n) landing craft/
揚陸艦艇 [ようりくかんてい] /(n) landing ship/
揚陸料 [ようりくりょう] /(n) landing charge/
揚力 [ようりょく] /(n) dynamic lift/lifting power/
揺 [ゆり] /(n) vibration/flickering/jolting/tremor/
揺さぶり [ゆさぶり] /(n) shaking/shaking up (one's adversary)/(P)/
揺さぶる [ゆさぶる] /(v5r) to shake/to jolt/to rock/to swing/(P)/
揺す [ゆす] /(v5s,vt) (arch) to rock the left hand (to produce vibrato on a koto, etc.)/
揺すぶる [ゆすぶる] /(v5r) to shake/to jolt/to rock/to swing/
揺すり蚊 [ゆすりか] /(n) (uk) chironomid/nonbiting midge (any insect of family Chironomidae)/
揺すり起こす [ゆすりおこす] /(v5s) to shake someone awake/
揺する [ゆする] /(v5r,vt) to shake/to jolt/to rock (cradle)/to swing/(P)/
揺すれる [ゆすれる] /(v1,vi) to shake/to sway/
揺す振る [ゆすぶる] /(v5r) to shake/to jolt/to rock/to swing/
揺らぎ [ゆらぎ] /(n) tremor/fluctuation/(P)/
揺らぐ [ゆらぐ] /(v5g,vi) to swing/to sway/to shake/to tremble/(P)/
揺らす [ゆらす] /(v5s,vt) to rock/to shake/to swing/
揺らめき [ゆらめき] /(n) shaking/swaying/
揺らめく [ゆらめく] /(v5k,vi) to flicker/to quiver/to waver/to sway/
揺らん期本 [ようらんきぼん] /(n) (comp) incunabulum/
揺ら揺ら [ゆらゆら] /(adv,n,vs) (uk) slow swaying/rolling from side to side/swinging/wobbling/shake/swing/waver/roll/rock/tremble/vibration/flicker/
揺り [ゆり] /(n) vibration/flickering/jolting/tremor/
揺りかご [ゆりかご] /(n) cradle/(P)/
揺り蚊 [ゆすりか] /(n) (uk) chironomid/nonbiting midge (any insect of family Chironomidae)/
揺り起こす [ゆりおこす] /(v5s) to shake someone awake/
揺り動かす [ゆりうごかす] /(v5s,vt) to shake/to wave/to swing/to sway/
揺り動く [ゆりうごく] /(v5k,vi) to quake/to swing/
揺り返し [ゆりかえし] /(n) aftershock/afterquake/
揺り返す [ゆりかえす] /(v5s,vi) to shake back/
揺り戻し [ゆりもどし] /(n) swinging back/aftershock/backlash/
揺り戻す [ゆりもどす] /(v5s) swing back/
揺り落とす [ゆりおとす] /(v5s) to shake down (e.g. nuts from a tree)/
揺り篭 [ゆりかご] /(oK) (n) cradle/
揺り籠 [ゆりかご] /(n) cradle/
揺り籠から墓場まで [ゆりかごからはかばまで] /(exp) from the cradle to the grave/
揺り籃から墓場まで [ゆりかごからはかばまで] /(exp) from the cradle to the grave/
揺る [ゆる] /(v5r,vt) to shake/to jolt/to rock (cradle)/to swing/(P)/
揺るがす [ゆるがす] /(v5s,vt) to shake/to swing/to sway/to shock/(P)/
揺るぎ [ゆるぎ] /(n) shaking/swaying/
揺るぎない [ゆるぎない] /(adj-i) solid/firm/steady/
揺るぎ無い [ゆるぎない] /(adj-i) solid/firm/steady/
揺るぐ [ゆるぐ] /(v5g,vi) to shake/to waver/to tremble/(P)/
揺れ [ゆれ] /(n) vibration/flickering/jolting/tremor/
揺れる [ゆれる] /(v1,vi) to shake/to sway/(P)/
揺れ動く [ゆれうごく] /(v5k) to tremble/
揺曳 [ようえい] /(n,vs) flutter/linger/
揺蚊 [ゆすりか] /(n) (uk) chironomid/nonbiting midge (any insect of family Chironomidae)/
揺蕩 [ようとう] /(n,vs) (arch) shaking/swaying/
揺蕩う [たゆたう] /(ateji) (v5u,vi) (1) (uk) to sway to and fro/to drift about/to flutter/to flicker/(2) to be fickle/to be irresolute/to vacillate/to waver/
揺蕩う [たゆとう] /(ateji) (v5u,vi) (1) (uk) to sway to and fro/to drift about/to flutter/to flicker/(2) to be fickle/to be irresolute/to vacillate/to waver/
揺動 [ようどう] /(n,vs) titubation/shaking/swinging/
揺篭 [ゆりかご] /(oK) (n) cradle/
揺籠 [ゆりかご] /(io) (n) cradle/
揺籃 [ようらん] /(n) cradle/
揺籃から墓場まで [ゆりかごからはかばまで] /(exp) from the cradle to the grave/
揺籃の地 [ようらんのち] /(n) birthplace/
揺籃期 [ようらんき] /(n) infancy/in cradle/
揺籃期本 [ようらんきぼん] /(n) (comp) incunabulum/
擁する [ようする] /(vs-s) to have/to possess/(P)/
擁護 [ようご] /(n) (1) protection/advocacy/support/defence/championship/vindication/(vs) (2) to protect (e.g. rights, etc.)/to advocate (e.g. free trade, etc.)/to support/(P)/
擁護者 [ようごしゃ] /(n) advocate/defender/champion/backer/
擁護論 [ようごろん] /(n) championship/defense (e.g. of a position in debate)/apologetics/
擁壁 [ようへき] /(n) retaining wall (civil engineering)/
擁立 [ようりつ] /(n,vs) back/support/(P)/
曜日 [ようび] /(n) day of the week/(P)/
曜霊 [ようれい] /(n) literary term for the sun/
楊 [やなぎ] /(n) (1) willow (any tree of genus Salix)/(2) weeping willow (Salix babylonica)/
楊弓 [ようきゅう] /(n) small toy bow that can be shot while sitting, popular in the Edo period/
楊弓場 [ようきゅうば] /(n) (arch) archery range (sometimes a front for a brothel)/
楊弓店 [ようきゅうてん] /(n) (arch) toy bow archery range (sometimes front for a brothel)/
楊子 [ようじ] /(n) toothpick/
楊子魚 [ようじうお] /(n) (uk) pipefish (esp. the seaweed pipefish, Syngnathus schlegeli)/
楊枝 [ようじ] /(n) toothpick/
楊梅瘡 [ようばいそう] /(n) (arch) syphillis/
楊柳 [かわやなぎ] /(n) riverside willow (esp. rosegold pussy willow)/
楊柳 [やなぎ] /(n) (1) willow (any tree of genus Salix)/(2) weeping willow (Salix babylonica)/
楊柳 [ようりゅう] /(n) (1) willow (any tree of genus Salix)/
様 [さま] /(n,suf) (1) (pol) Mr, Mrs or Ms/(2) used (gen. in fixed expressions) to make words more polite/(3) manner/kind/appearance/(P)/
様 [ざま] /(n) (1) mess/sorry state/plight/sad sight/(suf) (2) way/manner/
様 [よう] /(n-suf,n) (1) (uk) (usu. after the -masu stem of a verb) appearing .../looking .../(2) (usu. after the -masu stem of a verb) way to .../method of ...ing/(3) (usu. after a noun) form/style/design/(4) (usu. after a noun) like/similar to/(n) (5) thing (thought or spoken)/(P)/
様々 [さまさま] /(suf) (1) our gracious (Queen)/honorific that attaches to name of a person or thing that has bestowed grace or favour upon you/(n) (2) agreeable condition/
様々 [さまざま] /(adj-na,n) varied/various/(P)/
様あ見ろ [ざまあみろ] /(exp) (id) It serves you right/
様だ [ようだ] /(aux) (1) (uk) (usu. at sentence-end) seeming to be/appearing to be/(2) like/similar to/(3) in order to (e.g. meet goal)/so that/(4) indicates hope, wish, request or mild command/
様です [ようです] /(aux) (1) (uk) (pol) seeming to be/appearing to be/(2) like/similar to/
様になる [さまになる] /(exp,v5r) to look good/
様みろ [ざまみろ] /(exp) serves you right!/see what happens!/
様を見ろ [ざまをみろ] /(exp) serves you right!/see what happens!/
様格 [ようかく] /(n,adj-no) (ling) essive/
様見ろ [ざまみろ] /(exp) serves you right!/see what happens!/
様子 [ようす] /(n) (1) state/state of affairs/situation/circumstances/(2) appearance/look/aspect/(3) sign/indication/(P)/
様子見 [ようすみ] /(n,adj-no) wait-and-see/
様子見ムード [ようすみムード] /(n) wait-and-see mood/
様子次第 [ようすしだい] /(n) according to circumstances/depending on the state of things/according to how the situation develops/
様式 [ようしき] /(n) style/form/pattern/(P)/
様式化 [ようしきか] /(n) (1) stylization/(vs) (2) to stylize/to conventionalize/
様相 [ようそう] /(n) aspect/(P)/
様相を呈する [ようそうをていする] /(exp,vs) to appear the same/to be like/to seem to be/to be similar to/
様相論理学 [ようそうろんりがく] /(n) (obsc) modal logic/
様体 [ようたい] /(n) appearance/condition/
様態 [ようたい] /(n,adj-no) form/situation/condition/
様変わり [さまがわり] /(n) complete change/(P)/
様変わる [さまがわる] /(v5r) to change the state of things/
様様 [さまさま] /(suf) (1) our gracious (Queen)/honorific that attaches to name of a person or thing that has bestowed grace or favour upon you/(n) (2) agreeable condition/
様様 [さまざま] /(adj-na,n) varied/various/
洋々 [ようよう] /(adj-t,adv-to) broad/vast/boundless/wide/
洋の東西を問わず [ようのとうざいをとわず] /(adv) in all parts of the world/both in the Occident and the Orient/
洋ラン [ようラン] /(n) orchid of Western origin/tropical orchid/
洋菓子 [ようがし] /(n) Western confectionery/
洋画 [ようが] /(n) (1) Western painting/(2) Western film/Western movie/(P)/
洋画家 [ようがか] /(n) artist who produces Western-style paintings/
洋芥子 [ようがらし] /(n) mustard/
洋学 [ようがく] /(n) Western learning/
洋楽 [ようがく] /(n) western (non-Japanese) music/(P)/
洋間 [ようま] /(n) Western-style room/(P)/
洋館 [ようかん] /(n) western-style house/
洋弓 [ようきゅう] /(n) Western-style archery/(small) Western-style bow/
洋琴 [ようきん] /(n) (1) yangqin (Chinese hammered dulcimer)/(2) (obs) piano/
洋銀 [ようぎん] /(n) (1) German silver/nickel silver/(2) silver coinage imported to Japan during the late Edo and early Meiji periods/
洋形 [ようけい] /(n) Japanese Western-style envelope (opening on the long dimension; numbered 0-7, each with different sizes)/
洋犬 [ようけん] /(n) foreign (Western) breed of dog/
洋語 [ようご] /(n) (1) Western language/(2) Japanese word of Western origin/
洋紅 [ようこう] /(n) carmine/crimson/
洋行 [ようこう] /(n,vs) overseas travel/(in preliberation China) a store operated by a foreigner/
洋裁 [ようさい] /(n) (Western) dressmaking/(P)/
洋裁師 [ようさいし] /(n) dressmaker/
洋傘 [ようがさ] /(n) (Western-style) umbrella/parasol/
洋算 [ようざん] /(n) Western arithmetic/
洋紙 [ようし] /(n) paper manufactured in the Western manner/
洋字 [ようじ] /(n) (obsc) characters used by Western civilization (esp. the Latin alphabet)/
洋式 [ようしき] /(n) Western style/foreign style/(P)/
洋室 [ようしつ] /(n) Western-style room/(P)/
洋車 [ヤンチョ] /(n) rickshaw (chi: yangche)/
洋種 [ようしゅ] /(n,adj-no) Western or foreign type/
洋種山牛蒡 [ようしゅやまごぼう] /(n) (uk) American pokeweed (Phytolacca americana)/
洋酒 [ようしゅ] /(n) Western liquor/(P)/
洋書 [ようしょ] /(n) Western books/(P)/
洋妾 [ようしょう] /(n) Westerner's mistress/
洋上 [ようじょう] /(n) on the sea or ocean/(P)/
洋上投票 [ようじょうとうひょう] /(n) on-the-sea ballot (votes cast in a federal election by ships' crewmen and sent by fax)/
洋食 [ようしょく] /(n) Western-style meal/(P)/
洋装 [ようそう] /(n,vs) Western clothing/Western binding/
洋装本 [ようそうぼん] /(n) book bound in Western style/
洋綴じ [ようとじ] /(n) Western-style binding/
洋灯 [ようとう] /(n) lamp/
洋灯 [ランプ] /(gikun) (n) lamp/
洋燈 [ようとう] /(n) lamp/
洋燈 [ランプ] /(gikun) (n) lamp/
洋白 [ようはく] /(n) German silver/nickel silver/
洋髪 [ようはつ] /(n) Western hairdressing/
洋皮紙 [ようひし] /(iK) (n) parchment/
洋品 [ようひん] /(n) Western-style apparel and accessories/haberdashery/
洋品店 [ようひんてん] /(n) shop which handles Western-style apparel and accessories/
洋舞 [ようぶ] /(n) Western-style dance/
洋風 [ようふう] /(n,adj-no,adj-na) Western style/(P)/
洋服 [ようふく] /(n) Western-style clothes (cf traditional Japanese clothes)/(P)/
洋服たんす [ようふくたんす] /(n) wardrobe/dresser/tallboy/
洋服だんす [ようふくだんす] /(n) wardrobe/dresser/tallboy/
洋服屋 [ようふくや] /(n) tailor's (shop)/dressmaker's shop/tailor/dressmaker/
洋服掛け [ようふくかけ] /(n) clothes hook/clothes hanger/
洋服掛け [ようふくがけ] /(n) clothes hook/clothes hanger/
洋服箪笥 [ようふくだんす] /(n) wardrobe (esp. for Western clothes)/chest of drawers/clothespress/
洋服店 [ようふくてん] /(n) clothier/Western clothes' shop/
洋文 [ようぶん] /(n) (1) Western word or sentence/(2) word created by translating components of a Western word/
洋本 [ようほん] /(n) book of Western origin/
洋洋 [ようよう] /(adj-t,adv-to) broad/vast/boundless/wide/
洋藍 [ようらん] /(n) (obsc) indigo/
洋蘭 [ようらん] /(n) orchid of Western origin/tropical orchid/
洋梨 [ようなし] /(n) European pear (Pyrus communis)/
溶々 [ようよう] /(adj-t,adv-to) vast/overflowing with water/spacious/
溶かす [とかす] /(v5s,vt) to melt/to dissolve/(P)/
溶きがらし [ときがらし] /(n) mustard paste/
溶きほぐす [ときほぐす] /(v5s) to whip an egg/to scramble (e.g. an egg)/
溶き卵 [ときたまご] /(n) beaten egg/eggwash/
溶く [とく] /(v5k,vt) to dissolve (paint)/to scramble (eggs)/to melt (metal, etc.)/to mix (water with flour, etc.)/(P)/
溶けこむ [とけこむ] /(v5m,vi) (1) to melt into/to merge into/(2) to fit in/to adapt/to blend/
溶けやすい [とけやすい] /(n) soluble/
溶ける [とける] /(v1,vi) to melt/to thaw/to fuse/to dissolve/(P)/
溶け合う [とけあう] /(v5u,vi) to melt together/
溶け込み [とけこみ] /(n) integration (e.g. social)/mixing/penetration/
溶け込む [とけこむ] /(v5m,vi) (1) to melt into/to merge into/(2) to fit in/to adapt/to blend/(P)/
溶け出す [とけだす] /(v5s) to begin to dissolve/
溶てん [ようてん] /(n) melting point/
溶液 [ようえき] /(n) solution (liquid)/(P)/
溶化 [ようか] /(n,vs) melting/smelting/
溶解 [ようかい] /(n) (1) dissolution/solution (e.g. chemical)/(vs) (2) to melt/to dissolve/to liquefy/(P)/
溶解性 [ようかいせい] /(n) solubility/
溶解度 [ようかいど] /(n) solubility/
溶解熱 [ようかいねつ] /(n) solution heat/
溶解力 [ようかいりょく] /(n) solubility/solvent power/
溶解炉 [ようかいろ] /(n) melting furnace/
溶岩 [ようがん] /(n) lava/(P)/
溶岩ドーム [ようがんドーム] /(n) lava dome/
溶岩円頂丘 [ようがんえんちょうきゅう] /(n) lava dome/
溶岩尖塔 [ようがんせんとう] /(n) (obsc) lava spine/
溶岩台地 [ようがんだいち] /(n) lava plateau/
溶岩洞 [ようがんどう] /(n) lava tube/
溶岩洞穴 [ようがんほらあな] /(n) lava cave/
溶岩流 [ようがんりゅう] /(n) lava flow/
溶菌 [ようきん] /(n) bacteriolysis/
溶血 [ようけつ] /(n,adj-no) hemolysis/
溶血性尿毒症症候群 [ようけつせいにょうどくしょうしょうこうぐん] /(n) hemolytic-uremic syndrome/HUS/
溶血性貧血 [ようけつせいひんけつ] /(n) hemolytic anemia/
溶血性連鎖球菌 [ようけつせいれんさきゅうきん] /(n) hemolytic streptococcus/
溶鉱炉 [ようこうろ] /(n) smelting furnace/blast furnace/(P)/
溶合う [とけあう] /(v5u,vi) to melt together/
溶込む [とけこむ] /(v5m,vi) (1) to melt into/to merge into/(2) to fit in/to adapt/to blend/
溶剤 [ようざい] /(n) solvent/solution/flux/
溶材 [ようざい] /(n) solvent/
溶質 [ようしつ] /(n) a solute/
溶出 [ようしゅつ] /(n,vs) liquation/elution/
溶食 [ようしょく] /(n) corrosion (in geology)/dissolution/
溶蝕 [ようしょく] /(n) corrosion (in geology)/dissolution/
溶接 [ようせつ] /(n,vs) weld/welding/(P)/
溶接機 [ようせつき] /(n) welding machine/
溶接工 [ようせつこう] /(n) welder/
溶接剤 [ようせつざい] /(n) welding flux/
溶接打点 [ようせつだてん] /(n) welding point/
溶銑 [ようせん] /(n) molten iron/
溶存 [ようぞん] /(n,vs) dissolution (dissolved)/
溶存酸素 [ようぞんさんそ] /(n) dissolved oxygen/
溶着 [ようちゃく] /(n,vs) (1) weld/welding/(2) deposition/
溶点 [ようてん] /(n) melting point/
溶媒 [ようばい] /(n,adj-no) solvent/
溶媒和物 [ようばいわぶつ] /(n) solvate/
溶発 [ようはつ] /(n) ablative shield (rocket)/
溶融 [ようゆう] /(adj-na,n) melting/fusion/
溶融型熱転写プリンタ [ようゆうがたねつてんしゃプリンタ] /(n) (comp) phase change printer/
溶溶 [ようよう] /(adj-t,adv-to) vast/overflowing with water/spacious/
溶連菌 [ようれんきん] /(n) (abbr) Streptococcus pyogens/
溶連菌感染症 [ようれんきんかんせんしょう] /(n) hemolytic streptococcal infection (haemolytic)/
溶滓 [ようさい] /(n) slag/molten slug (of metal)/
溶滓 [ようし] /(n) slag/molten slug (of metal)/
熔く [とく] /(oK) (v5k,vt) to dissolve (paint)/to scramble (eggs)/to melt (metal, etc.)/to mix (water with flour, etc.)/
熔ける [とける] /(v1,vi) to melt/to thaw/to fuse/to dissolve/
熔解 [ようかい] /(n,vs) melting/fusing/
熔岩 [ようがん] /(n) lava/
熔鉱炉 [ようこうろ] /(n) smelting furnace/blast furnace/
熔接 [ようせつ] /(n,vs) weld/welding/
熔銑 [ようせん] /(n) molten iron/
熔着 [ようちゃく] /(n,vs) (1) weld/welding/(2) deposition/
熔融 [ようゆう] /(adj-na,n) melting/fusion/
熔滓 [ようさい] /(n) slag/molten slug (of metal)/
熔滓 [ようし] /(n) slag/molten slug (of metal)/
用 [よう] /(n,n-suf) (1) task/business/(2) use/duty/service/(3) call of nature/excretion/(P)/
用いて表す [もちいいてひょうす] /(exp,v5s) express ... in terms of .../
用いる [もちいる] /(v1,vt) to use/to make use of/to utilize/to utilise/(P)/
用うる [もちうる] /(v5r) to use/to make use of/to utilize/
用が有る [ようがある] /(exp) to have things to do/
用たし [ようたし] /(n,vs) (1) (transaction of) business/going about one's business/(2) going to the washroom/(3) purveying/purveyor/
用なし [ようなし] /(exp) idle/useless/
用に足りない [ようにたりない] /(adj-i) of no use/useless/
用に立つ [ようにたつ] /(exp,v5t) to be of use (service)/
用を足す [ようをたす] /(exp,v5s) (1) to take care of some business/to go on an errand/(2) to relieve oneself/to do one's business/to go to the toilet/
用意 [ようい] /(n,vs) preparation/(P)/
用意どん [よういどん] /(int) (1) ready, go!/(n) (2) race/
用意にかかる [よういにかかる] /(exp,v5r) to set about preparations/
用意に掛かる [よういにかかる] /(exp,v5r) to set about preparations/
用意ドン [よういドン] /(int) (1) ready, go!/(n) (2) race/
用意周到 [よういしゅうとう] /(adj-na,n) very careful/thoroughly prepared/
用意万端 [よういばんたん] /(n) every preparation possible/all aspects of the preparation/
用益 [ようえき] /(n) use and benefits/
用益権 [ようえきけん] /(n) a usufructuary right/
用益物権 [ようえきぶっけん] /(n) usufruct/
用器 [ようき] /(n) tool/instrument/
用器画 [ようきが] /(n) mechanical drawing/
用金 [ようきん] /(n) public money/
用具 [ようぐ] /(n) tools/implements/(P)/
用件 [ようけん] /(n) business/thing to be done/something that should be perfomed/information that should be conveyed/(P)/
用言 [ようげん] /(n) (ling) declinable word/inflectable word/
用語 [ようご] /(n) term/terminology/(P)/
用語の抽出 [ようごのちゅうしゅつ] /(n) (comp) extraction of terms/
用語解説 [ようごかいせつ] /(n) (comp) glossary/
用語索引 [ようごさくいん] /(n) (comp) concordance/
用語集 [ようごしゅう] /(n) glossary/vocabulary/
用語表 [ようごひょう] /(n) (comp) basic list/
用語法 [ようごほう] /(n) word usage/terminology/
用向き [ようむき] /(n) errand/one's business/
用済み [ようずみ] /(n) finish using/business settled/
用材 [ようざい] /(n) materials/
用紙 [ようし] /(n) (1) blank form/(2) sheets of paper/sheet of paper/(P)/
用紙スタッカー [ようしスタッカー] /(n) (comp) form stacker/
用紙トレイ [ようしトレイ] /(n) (comp) paper tray/
用紙切れ [ようしきれ] /(n) (comp) out of paper/
用紙送り [ようしおくり] /(n) (comp) form feed/
用紙速送り [ようしはやおくり] /(n) (comp) paper skip/paper throw/paper slew/
用事 [ようじ] /(n) tasks/things to do/errand/business (to take care of)/affairs/engagement/(P)/
用字 [ようじ] /(n) using characters/
用捨 [ようしゃ] /(n) adoption or rejection/choice/separating the needed from the unneeded/
用心 [ようじん] /(n,vs) care/precaution/guarding/caution/(P)/
用心して [ようじんして] /(exp) on one's guard/
用心するにこしたことはない [ようじんするにこしたことはない] /(exp) better safe than sorry/one should err on the side of caution/
用心するに越したことはない [ようじんするにこしたことはない] /(exp) better safe than sorry/one should err on the side of caution/
用心するに如くはない [ようじんするにしくはない] /(n) Caution is the best policy/
用心に越した事は無い [ようじんにこしたことはない] /(exp) (id) You cannot be too careful/
用心堅固 [ようじんけんご] /(n,adj-na) very cautious (watchful, vigilant)/taking every possible precaution/
用心深い [ようじんぶかい] /(adj-i) wary/watchful/(P)/
用心棒 [ようじんぼう] /(n) bodyguard/(P)/
用人 [ようにん] /(n) (1) manager/steward/factotum/person next in rank to the chief retainers and in charge of general management and accounting in a samurai family (Edo period)/(2) useful person/
用水 [ようすい] /(n) irrigation water/water for fire/city water/cistern water/(P)/
用水池 [ようすいいけ] /(n) reservoir/
用水池 [ようすいち] /(ik) (n) reservoir/
用水堀 [ようすいぼり] /(n) irrigation ditch/
用水路 [ようすいろ] /(n) irrigation channel or ditch/flume/
用船 [ようせん] /(n,vs) chartered ship/chartering or hiring a vessel/
用足し [ようたし] /(n,vs) (1) (transaction of) business/going about one's business/(2) going to the washroom/(3) purveying/purveyor/(P)/
用達 [ようたし] /(n,vs) (1) (transaction of) business/going about one's business/(2) going to the washroom/(3) purveying/purveyor/
用達 [ようたつ] /(n,vs) (1) (transaction of) business/going about one's business/(2) going to the washroom/(3) purveying/purveyor/
用達し [ようたし] /(io) (n,vs) (1) (transaction of) business/going about one's business/(2) going to the washroom/(3) purveying/purveyor/
用箪笥 [ようだんす] /(n) small cabinet/chest of drawers/bureau/
用談 [ようだん] /(n,vs) business conversation/
用地 [ようち] /(n) site/(P)/
用途 [ようと] /(n) use/usefulness/utility/service/purpose/(P)/
用途が広い [ようとがひろい] /(exp,adj-i) versatile/
用途の広い [ようとのひろい] /(adj-i) versatile/
用度 [ようど] /(n) supplies/
用筆 [ようひつ] /(n) brush/penmanship/
用品 [ようひん] /(n) articles/supplies/parts/(P)/
用不用説 [ようふようせつ] /(n) Lamarckian evolutionary theory in which individuals lose characteristics that are not used and develop characteristics that are often used/
用兵 [ようへい] /(n) tactics/
用兵術 [ようへいじゅつ] /(n) tactics/strategy/
用便 [ようべん] /(n,vs) defecation/urination/
用法 [ようほう] /(n) directions/rules of use/
用務 [ようむ] /(n) business/
用務員 [ようむいん] /(n) orderly/janitor/
用無し [ようなし] /(exp) idle/useless/
用命 [ようめい] /(n) command/order/request/
用木 [ようぼく] /(n) timber/lumber/wood/
用役 [ようえき] /(n) service/
用立てる [ようだてる] /(v1,vt) to make use of/to lend money/
用量 [ようりょう] /(n) dose/
用例 [ようれい] /(n) example/illustration/(P)/
用箋 [ようせん] /(n) stationery/writing pad/
窯 [かま] /(n) stove/furnace/kiln/(P)/
窯印 [かまじるし] /(n) potter's mark/
窯業 [ようぎょう] /(n,adj-no) ceramics/ceramic industry/(P)/
窯元 [かまもと] /(n) pottery/(P)/
窯出し [かまだし] /(n,vs) removing pots from kiln/
窯場 [かまば] /(n) kiln-equipped pottery workshop/
羊 [ひつじ] /(n) sheep/(P)/
羊の群れ [ひつじのむれ] /(n) flock of sheep/
羊雲 [ひつじぐも] /(n) altocumulus cloud/
羊群 [ようぐん] /(n) herd of sheep/flock of sheep/
羊飼い [ひつじかい] /(n) shepherd/shepherdess/
羊歯 [しだ] /(n) fern/
羊歯植物 [しだしょくぶつ] /(n) pteridophyte (any plant of division Pteridophyta, inc. ferns and fern allies)/
羊質虎皮 [ようしつこひ] /(n) sheep in a tiger's skin/gimcrack/showy without real worth/all show and no substance/
羊小屋 [ひつじごや] /(n) sheepfold/
羊水 [ようすい] /(n) amniotic fluid/
羊水過少症 [ようすいかしょうしょう] /(n) oligohydramnios/oligoamnios/
羊水穿刺 [ようすいせんし] /(n) amniocentesis/
羊栖菜 [ひじき] /(n) hijiki (dark edible seaweed usu. sold in dried black strips; Hizikia fusiformis)/
羊腸 [ようちょう] /(n) winding/zigzag/
羊蹄 [ぎしぎし] /(n) (uk) Japanese dock (plant) (Rumex japonicus)/
羊蹄 [し] /(ok) (n) (uk) Japanese dock (plant) (Rumex japonicus)/
羊蹄 [しのね] /(ok) (n) (uk) Japanese dock (plant) (Rumex japonicus)/
羊蹄 [ようてい] /(n) (uk) Japanese dock (plant) (Rumex japonicus)/
羊頭狗肉 [ようとうくにく] /(n) using a better name to sell inferior goods/crying wine and selling vinegar/
羊肉 [ようにく] /(n) mutton/lamb (meat)/(P)/
羊乳 [ようにゅう] /(n) sheep's milk/
羊背岩 [ようはいがん] /(n) roche moutonnee (geol.)/sheepback/
羊皮 [ようひ] /(n) (1) (abbr) sheep skin/fleece/(2) parchment/
羊皮紙 [ようひし] /(n) parchment/
羊偏 [ひつじへん] /(n) kanji "sheep" radical at left/
羊膜 [ようまく] /(n,adj-no) amnion/
羊膜類 [ようまくるい] /(n) amniotes/
羊毛 [ようもう] /(n,adj-no) wool/(P)/
羊毛を刈る [ようもうをかる] /(exp,v5r) to shear sheep/
羊毛を梳く [ようもうをすく] /(exp,v5k) to card wool/
羊毛猿 [ようもうざる] /(n) (uk) (obsc) woolly monkey (any New World monkey of genus Lagothrix)/
羊羹 [ようかん] /(n) sweet bean jelly/
羊羹色 [ようかんいろ] /(n) rusty color produced when black or purple clothes fade/
羊羮 [ようかん] /(n) sweet bean jelly/
耀う [かがよう] /(v5u,vi) (arch) to shimmer/to sparkle/
耀かしい [かがやかしい] /(adj-i) brilliant/glorious/glittering/bright/splendid (e.g. achievement, success)/promising (e.g. future)/
耀く [かがやく] /(v5k) to shine/to glitter/to sparkle/
葉 [は] /(n) leaf/(P)/
葉 [よう] /(suf,ctr) (1) counter for leaves, pieces of paper, etc./(2) (arch) counter for boats/
葉かげ [はかげ] /(n) under the leaves (of a tree)/in the shadow of the leaves/
葉っぱ [はっぱ] /(n) leaf/(P)/
葉レタス [はレタス] /(n) leaf lettuce/
葉陰 [はかげ] /(n) under the leaves (of a tree)/in the shadow of the leaves/
葉隠れ [はがくれ] /(n) hiding in the leaves/
葉洩れ日 [はもれび] /(n) (obsc) sunlight sifting through the tree leaves/
葉洩日 [はもれび] /(io) (n) (obsc) sunlight sifting through the tree leaves/
葉煙草 [はたばこ] /(n) leaf tobacco/
葉牡丹 [はぼたん] /(n) ornamental kale (Brassica oleracea var. acephara)/
葉音 [はおと] /(n) sound of rustling leaves/
葉芽 [はめ] /(n) leaf bud/
葉芽 [ようが] /(n) leaf bud/
葉巻 [はまき] /(n) (abbr) cigar/(P)/
葉巻きタバコ [はまきタバコ] /(n) cigar/
葉巻き煙草 [はまきたばこ] /(n) cigar/
葉巻タバコ [はまきタバコ] /(n) cigar/
葉巻煙草 [はまきたばこ] /(n) cigar/
葉鶏頭 [はげいとう] /(n) tampala/Joseph's coat/Amaranthus tricolor/
葉月 [はづき] /(n) (obs) eighth month of the lunar calendar/
葉虎魚 [はおこぜ] /(n) (uk) Hypodytes rubripinnis (species of waspfish)/
葉菜類 [ようさいるい] /(n) leafy vegetables/
葉桜 [はざくら] /(n) cherry tree in leaf/cherry tree whose blossoms have fallen, revealing the young leaves/
葉酸 [ようさん] /(n,adj-no) folic acid/
葉書 [はがき] /(n) (1) (abbr) postcard/(2) memo/note/card/(P)/
葉書の表 [はがきのおもて] /(n) front of a post card/
葉書大 [はがきだい] /(n) postcard size/
葉序 [ようじょ] /(n) phyllotaxis/
葉焼け [はやけ] /(n) sunscald/leaf scald/leaf scorch/
葉状 [ようじょう] /(n,adj-no) leaflike/
葉状茎 [ようじょうけい] /(n) cladophyll/cladode/phylloclade/
葉状植物 [ようじょうしょくぶつ] /(n) thallophyte/
葉状体 [ようじょうたい] /(n) thallus/
葉食動物 [ようしょくどうぶつ] /(n) folivore/
葉身 [ようしん] /(n) leaf blade/
葉切蟻 [はきりあり] /(n) (uk) leafcutter ant/
葉節点 [はせってん] /(n) leafnodes/
葉茶 [はちゃ] /(n) leaf tea/
葉茶 [はぢゃ] /(n) leaf tea/
葉虫 [はむし] /(n) (uk) leaf beetle (of family Chrysomelidae)/
葉風 [はかぜ] /(n) breeze rustling through leaves/
葉物 [はもの] /(n) foliage plants/
葉柄 [ようへい] /(n,adj-no) leaf stalk/petiole/
葉壁蝨 [はだに] /(n) (uk) spider mite (any mite of family Tetranychidae)/
葉蜂 [はばち] /(n) sawfly/
葉末 [はずえ] /(n) tip of a leaf/
葉脈 [ようみゃく] /(n) veins of a leaf/
葉蘭 [はらん] /(n) aspidistra/Aspidistra elatior/
葉理 [ようり] /(n) lamina/
葉裏 [はうら] /(n) underside of a leaf/
葉緑素 [ようりょくそ] /(n) chlorophyl/
葉緑体 [ようりょくたい] /(n) chloroplast/
葉腋 [ようえき] /(n) leaf axil/
要 [かなめ] /(n) (1) pivot/(2) vital point/cornerstone/keystone/(3) Japanese photinia/(P)/
要 [よう] /(n) (1) cornerstone/main point/keystone/(2) requirement/need/(adj-f) (3) necessary/required/
要す [ようす] /(v5s,vt) to need/to require/to take/to demand/
要する [ようする] /(vs-s,vt) to need/to demand/to take/to require/(P)/
要するに [ようするに] /(exp,adv) in a word/after all/the point is .../in short .../(P)/
要は [ようは] /(adv) in short/the point is/(P)/
要らざる御世話 [いらざるおせわ] /(exp) (id) That's none of your business/
要らぬ [いらぬ] /(adj-na) needless/
要り [いり] /(n) expense/expenses/
要りよう [いりよう] /(adj-na,adj-no,n) (1) need/demand/necessity/(2) costs/expenses/
要り用 [いりよう] /(adj-na,adj-no,n) (1) need/demand/necessity/(2) costs/expenses/
要る [いる] /(v5r,vi) to need/(P)/
要る物 [いるもの] /(n) thing (someone) needs or wants/
要を得ている [ようをえている] /(exp,v1) to be to the point/
要を得る [ようをえる] /(exp,v1) to be to the point/
要員 [よういん] /(n) essential member/necessary person/personnel/(P)/
要因 [よういん] /(n,adj-no) main cause/primary factor/(P)/
要介護 [ようかいご] /(n) primary nursing care/nursing care level (with number between 1 and 5 based on assessed care needs)/
要介護度 [ようかいごど] /(n) nursing care level (between 1 and 5 based on assessment of care requirements)/
要介護認定 [ようかいごにんてい] /(n) primary nursing care requirement authorization (a 5-level graded system under health insurance)/
要害 [ようがい] /(n) stronghold/strategic position/
要害堅固 [ようがいけんご] /(n,adj-no) (a fortress being) impregnable/unassailable/
要確認 [ようかくにん] /(n) confirmation required/
要義 [ようぎ] /(n) essence/
要求 [ようきゅう] /(n,vs) demand/firm request/requisition/requirement/desire/(P)/
要求にかなう [ようきゅうにかなう] /(exp,v5u) to meet (one's) demands/
要求に適う [ようきゅうにかなう] /(exp,v5u) to meet (one's) demands/
要求に添う [ようきゅうにそう] /(exp,v5u) to meet (one's) demands/
要求モード [ようきゅうモード] /(n) (comp) request mode/
要求事項 [ようきゅうじこう] /(n) requirement/
要求時ページング [ようきゅうじページング] /(n) (comp) on-demand paging/
要求者 [ようきゅうしゃ] /(n) claimant/requester/
要求送信 [ようきゅうそうしん] /(n) send a request/
要求側 [ようきゅうがわ] /(n) (comp) requester/requesting SS user/
要求側ＳＳ利用者 [ようきゅうがわエスエスりようしゃ] /(n) (comp) requester/requesting SS user/
要求側アソシエーション制御プロトコル機械 [ようきゅうがわアソシエーションせいぎょプロトコルきかい] /(n) (comp) requesting Association Control Protocol Machine/
要求側遠隔操作プロトコル機械 [ようきゅうがわえんかくそうさプロトコルきかい] /(n) (comp) requesting-remote-operation-protocol-machine/
要求配信方法 [ようきゅうはいしんほうほう] /(n) (comp) requested preferred delivery method/
要求払い預金 [ようきゅうはらいよきん] /(n) demand deposit/
要求分解 [ようきゅうぶんかい] /(n) (comp) request decomposition/
要求分析 [ようきゅうぶんせき] /(n) (comp) requirements analysis/
要具 [ようぐ] /(n) necessary tools/
要撃 [ようげき] /(n,vs) ambush attack/
要撃機 [ようげきき] /(n) interceptor/
要撃戦闘機 [ようげきせんとうき] /(n) fighter interceptor/
要訣 [ようけつ] /(n) main point/
要件 [ようけん] /(n) (1) important matter/(2) requirement/requisite/necessary condition/sine qua non/(P)/
要港 [ようこう] /(n) important port/
要綱 [ようこう] /(n) main principle/gist/general plan/guidelines/outline/(P)/
要項 [ようこう] /(n) important points/(P)/
要塞 [ようさい] /(n) fort/stronghold/fortification/
要塞都市 [ようさいとし] /(n) fortified city/bastide/
要旨 [ようし] /(n) point/essentials/gist/summary/fundamentals/(P)/
要治療 [ようちりょう] /(exp) requiring medical treatment/
要式 [ようしき] /(n) formal/
要出典 [ようしゅってん] /(n) citation required/
要所 [ようしょ] /(n) important point/important position/(P)/
要所要所 [ようしょようしょ] /(n) every important point/
要償 [ようしょう] /(n) claim/
要衝 [ようしょう] /(n) important point/strategic position/key point/(P)/
要職 [ようしょく] /(n) important office/(P)/
要職から退ける [ようしょくからしりぞける] /(exp,v1) to expel (a person) from an important position/
要心 [ようじん] /(n,vs) care/precaution/guarding/caution/
要人 [ようじん] /(n) important person/(P)/
要図 [ようず] /(n) outline/rough sketch/
要請 [ようせい] /(n,vs) (1) appeal/call for something/request/claim/demand/(n) (2) axiom/(P)/
要石 [かなめいし] /(n) keystone/
要説 [ようせつ] /(n) outline/summary/
要素 [ようそ] /(n) (1) component/factor/item (e.g. in list)/(2) (comp) element (e.g. in array)/member (e.g. data structure)/(P)/
要素ポインタ [ようそポインタ] /(n) (comp) element pointer/
要素位置 [ようそいち] /(n) (comp) element position/
要素価格 [ようそかかく] /(n) factor price/
要素価格均等化定理 [ようそかかくきんとうかていり] /(n) factor price equalization theorem/
要素型 [ようそがた] /(n) (comp) element type/
要素型引数 [ようそがたひきすう] /(n) (comp) element type parameter/
要素型定義 [ようそがたていぎ] /(n) (comp) element type definition/
要素構造 [ようそこうぞう] /(n) (comp) element structure/
要素参照リスト [ようそさんしょうリスト] /(n) (comp) element reference list/
要素支払い [ようそしはらい] /(n) factor payment/
要素種別 [ようそしゅべつ] /(n) (comp) element type/
要素集合 [ようそしゅうごう] /(n) (comp) element set/
要素集約度 [ようそしゅうやくど] /(n) factor intensity/
要素数 [ようそすう] /(n) (comp) number of elements (e.g. in a matrix)/
要素宣言 [ようそせんげん] /(n) (comp) element declaration/
要素比率理論 [ようそひりつりろん] /(n) factor proportions theory (of international trade)/
要素費用 [ようそひよう] /(n) factor cost/
要素別処理 [ようそべつしょり] /(n) (comp) elemental/
要談 [ようだん] /(n) important talk/
要地 [ようち] /(n) important place/strategic location/
要注意 [ようちゅうい] /(n) attention (care) required/needs special attention/(P)/
要注意人物 [ようちゅういじんぶつ] /(n) person requiring special attention/person under surveillance/
要頂 [ようこう] /(n) main points/list of requirements/
要諦 [ようてい] /(n) important point/
要点 [ようてん] /(n) gist/main point/(P)/
要点に触れる [ようてんにふれる] /(exp,v1) to come to the point/to touch on the point/to address the main points/
要点把握 [ようてんはあく] /(n) grasping the (main) point/seizing the essence (of a matter)/
要督促 [ようとくそく] /(n) necessary reminder/
要否 [ようひ] /(adj-no) necessary or not/optional (items)/
要望 [ようぼう] /(n,vs) demand for/request/(P)/
要望クラス [ようぼうクラス] /(n) (comp) preferred class/
要務 [ようむ] /(n) important business/
要目 [ようもく] /(n) syllabus/main items/
要約 [ようやく] /(n,vs,adj-no) summary/digest/(P)/
要約者 [ようやくしゃ] /(n) promisee/
要訳 [ようやく] /(n,vs,adj-no) summary/digest/
要用 [ようよう] /(adj-na,n) important matters/
要覧 [ようらん] /(n) outline/summary/survey/handbook/
要略 [ようりゃく] /(n,vs) epitome/summary/outline/
要領 [ようりょう] /(n) (1) point/gist/essentials/tenets/outline/(2) knack/trick/the ropes/(P)/
要領を得る [ようりょうをえる] /(exp,v1) to be to the point/to hit the mark/to be relevant/
要路 [ようろ] /(n) (1) main or important road/(2) influential or important position/the authorities/
要黐 [かなめもち] /(n) Japanese photinia (Photinia glabra)/
謡 [うたい] /(n) Noh chanting/recitation/(P)/
謡い [うたい] /(n) Noh chanting/recitation/
謡い物 [うたいもの] /(n) utai (Noh chant) piece for recitation/
謡う [うたう] /(v5u,vt) (1) to sing/(2) to sing (one's praises in a poem, etc.)/to compose a poem/to recite a poem/
謡を謡う [うたいをうたう] /(exp,v5u) to recite an utai (Noh chant)/
謡曲 [ようきょく] /(n) Noh song/(P)/
謡物 [うたいもの] /(n) utai (Noh chant) piece for recitation/
踊らされる [おどらされる] /(v1) to be manipulated (lit: to be made to dance)/
踊らす [おどらす] /(v5s,vt) (1) to manipulate/(2) to let one dance/
踊り [おどり] /(n) dance/(P)/
踊り屋台 [おどりやたい] /(n) float at a festival upon which one can dance/
踊り狂う [おどりくるう] /(v5u) to dance in ecstasy/
踊り子 [おどりこ] /(n) dancer (usu. female)/(P)/
踊り子草 [おどりこそう] /(n) (uk) Lamium album var. barbatum (variety of white deadnettle)/
踊り字 [おどりじ] /(n) iteration mark (used to represent repetition of the previous character)/ditto mark/
踊り手 [おどりて] /(n) dancer/
踊り出す [おどりだす] /(v5s) to begin to dance/to break into a dance/
踊り上がる [おどりあがる] /(v5r,vi) to spring up/to leap to one's feet/to jump up and down/
踊り場 [おどりば] /(n) (1) dance hall/dance floor/(2) landing (stairs)/(3) leveling off (e.g. in the economy)/period of stagnation/cooling-off period/lull/(P)/
踊り食い [おどりぐい] /(n) eating live seafood (e.g. ice gobies, shrimp)/
踊り抜く [おどりぬく] /(v5k) to dance away/
踊り明かす [おどりあかす] /(v5s) to dance all night/to dance until dawn/
踊る [おどる] /(v5r,vi) to dance (orig. a hopping dance)/(P)/
踊子 [おどりこ] /(io) (n) dancer (usu. female)/
踊子草 [おどりこそう] /(n) (uk) Lamium album var. barbatum (variety of white deadnettle)/
踊字 [おどりじ] /(io) (n) iteration mark (used to represent repetition of the previous character)/ditto mark/
踊手 [おどりて] /(io) (n) dancer/
踊躍 [ようやく] /(n,vs) leaping with joy/jumping about/
遥々 [はるばる] /(adv) from afar/over a great distance/all the way/
遥か [はるか] /(adj-na,adv,n) far/far away/distant/remote/far off/(P)/
遥かに [はるかに] /(adv) far off/in the distance/long ago/far/by far/far and away/
遥か昔 [はるかむかし] /(n) long ago/
遥か彼方 [はるかかなた] /(adj-no) faraway/far-off/
遥遠 [ようえん] /(adj-na,n) (obsc) far away/very far off/remote/
遥拝 [ようはい] /(n,vs) worshipping from afar/
遥遥 [はるばる] /(adv) from afar/over a great distance/all the way/
陽 [ひ] /(n-adv,n-t) (1) sun/sunshine/sunlight/
陽 [よう] /(n) (1) yang (i.e. the positive)/(2) the open (i.e. a visible place)/(P)/
陽が差す [ひがさす] /(exp,v5s) to shine (of the sun)/
陽が射す [ひがさす] /(exp,v5s) to shine (of the sun)/
陽だまり [ひだまり] /(n) sunny spot/exposure to the sun/
陽に [ように] /(adv) visibly/openly/publicly/
陽の皮 [ようのかわ] /(n) foreskin/
陽イオン [ようイオン] /(n,adj-no) cation/positive ion/
陽炎 [かげろう] /(n) heat haze/shimmer of hot air/
陽炎 [ようえん] /(n) heat haze/shimmer of hot air/
陽音階 [ようおんかい] /(n) anhemitonic pentatonic scale (pentatonic scale containing no semitones)/
陽画 [ようが] /(n) positive (photographic) image/
陽気 [ようき] /(adj-na) (1) cheerful/merry/(n) (2) season/weather/(P)/
陽極 [ようきょく] /(n,adj-no) anode/
陽極酸化 [ようきょくさんか] /(n,vs) anodic oxidation/
陽極線 [ようきょくせん] /(n) anode rays/
陽極板 [ようきょくばん] /(n) positive plate/anode plate/
陽光 [ようこう] /(n) sunshine/sunlight/(P)/
陽刻 [ようこく] /(n) relief (carving)/
陽子 [ようし] /(n) proton/(P)/
陽子線 [ようしせん] /(n) proton beam/
陽射 [ひざし] /(n) sunlight/rays of the sun/
陽射し [ひざし] /(n) sunlight/rays of the sun/
陽春 [ようしゅん] /(n) spring/the springtime/
陽性 [ようせい] /(n,adj-no) positivity/(P)/
陽性反応 [ようせいはんのう] /(n) positive reaction/
陽旋法 [ようせんぽう] /(n) (arch) anhemitonic pentatonic scale (pentatonic scale containing no semitones)/
陽転 [ようてん] /(n,vs) positive reaction (to medical test)/
陽電気 [ようでんき] /(n) positive electric charge/positive (static) charge/(sometimes called "positive electricity")/
陽電子 [ようでんし] /(n) positron/
陽電子放射断層撮影 [ようでんしほうしゃだんそうさつえい] /(n) positron emission tomography/PET/
陽当たり [ひあたり] /(n) (1) exposure to the sun/sunny place/
陽当り [ひあたり] /(n) (1) exposure to the sun/sunny place/
陽動 [ようどう] /(n) diversion (action meant to attract attention away from the real objective)/feint/
陽動作戦 [ようどうさくせん] /(n) diversionary tactics/
陽忍 [ようにん] /(n) ninja working in the open/non-undercover ninja/
陽皮 [ようひ] /(n) foreskin/
陽物 [ようぶつ] /(n) phallus/penis/
陽報 [ようほう] /(n) open reward (for anonymous act of charity)/
陽明学 [ようめいがく] /(n) neo-Confucianism (based on the teachings of Wang Yangming and his followers)/
陽溜まり [ひだまり] /(n) sunny spot/exposure to the sun/
陽溜り [ひだまり] /(n) sunny spot/exposure to the sun/
陽暦 [ようれき] /(n) solar calendar/
陽爻 [ようこう] /(n) yang yao (unbroken line composing one third of a trigram)/
養い [やしない] /(n) nutrition/nourishment/nurture/bringing up/rearing/
養い育てる [やしないそだてる] /(v1) to bring up/to foster/to rear/
養い子 [やしないご] /(n) foster child/
養い親 [やしないおや] /(n) godparents/foster parents/
養う [やしなう] /(v5u,vt) to rear/to maintain/to support (e.g. family)/to cultivate/(P)/
養育 [よういく] /(n,vs) bringing up/rearing/upbringing/(P)/
養育費 [よういくひ] /(n) child-rearing expenses/
養家 [ようか] /(n) adoptive family/
養魚 [ようぎょ] /(n) fish breeding/pisciculture/
養魚場 [ようぎょじょう] /(n) hatchery/
養魚池 [ようぎょち] /(n) fish-breeding pond/
養鶏 [ようけい] /(n) poultry raising/(P)/
養鶏家 [ようけいか] /(n) poultry farmer/
養鶏業 [ようけいぎょう] /(n) the poultry industry/poultry farming/
養鶏場 [ようけいじょう] /(n) poultry or chicken farm/
養護 [ようご] /(n,vs) nursing/(protective) care/(P)/
養護ホーム [ようごホーム] /(n) nursing home/
養護学級 [ようごがっきゅう] /(n) school for the handicapped/special school/
養護学校 [ようごがっこう] /(n) school for the handicapped/special school/
養護教諭 [ようごきょうゆ] /(n) school nurse/nurse-teacher/health teacher/
養護施設 [ようごしせつ] /(n) children's home/child care institution/orphanage/
養鯉 [ようり] /(n) (obsc) carp breeding/
養蚕 [ようさん] /(n,adj-no) sericulture/silkworm culture/(P)/
養蚕業 [ようさんぎょう] /(n) the sericulture industry/
養嗣子 [ようしし] /(n) adoptive heir/
養子 [ようし] /(n) adopted child (usu. male)/son-in-law/(P)/
養子に行く [ようしにいく] /(exp,v5k-s) to be adopted/to enter a family as an adopted child/
養子に出す [ようしにだす] /(exp,v5s) to put up for adoption/
養子縁組 [ようしえんぐみ] /(n) adoption (of an heir)/
養子縁組み [ようしえんぐみ] /(n) adoption (of an heir)/
養子論 [ようしろん] /(n) adoptionism/
養女 [ようじょ] /(n) adopted daughter/foster daughter/
養殖 [ようしょく] /(n,vs,adj-no) raising/culture/cultivation/(P)/
養殖業 [ようしょくぎょう] /(n) aquaculture industry/
養殖場 [ようしょくじょう] /(n) nursery/(breeding) farm/
養殖真珠 [ようしょくしんじゅ] /(n) cultured pearl/
養殖池 [ようしょくち] /(n) fish pond/
養親 [ようしん] /(n) adopter/adopting parent or parents/adoptive parent or parents/foster parent or parents/
養成 [ようせい] /(n,vs) training/development/(P)/
養生 [ようじょう] /(n,vs) (1) hygiene/health care/recuperation/regimen/(2) covering (with a protective material)/coating/(vs) (3) to cure (concrete)/
養生 [ようせい] /(n,vs) (1) hygiene/health care/recuperation/regimen/(2) covering (with a protective material)/coating/(vs) (3) to cure (concrete)/
養生法 [ようじょうほう] /(n) regimen/
養豚 [ようとん] /(n) pig-keeping/pig farming/(P)/
養豚場 [ようとんじょう] /(n) pig or hog farm/
養浜 [ようひん] /(n,vs) shore reclamation/shoreline maintenance/
養父 [ようふ] /(n) foster father/adoptive father/(P)/
養父母 [ようふぼ] /(n) adoptive parents/(P)/
養分 [ようぶん] /(n) nourishment/nutrient/
養母 [ようぼ] /(n) foster mother/adoptive mother/
養蜂 [ようほう] /(n,adj-no) beekeeping/apiculture/
養蜂家 [ようほうか] /(n) beekeeper/apiarist/
養蜂場 [ようほうば] /(n) bee yard/apiary/
養蜂箱 [ようほうばこ] /(n) beehive/
養毛剤 [ようもうざい] /(n) hair tonic/
養老 [ようろう] /(n) (1) making provision for the elderly/(2) Yourou era (717.11.17-724.2.4)/(P)/
養老院 [ようろういん] /(n) home for the aged/old people's home/(P)/
養老年金 [ようろうねんきん] /(n) old age pension/
養老保険 [ようろうほけん] /(n) endowment insurance/
養老律令 [ようろうりつりょう] /(n) Yoro Code (757 CE)/
養和 [ようわ] /(n) Youwa era (1181.7.14-1182.5.27)/
慾 [よく] /(n) greed/craving/desire/avarice/wants/
慾望 [よくぼう] /(iK) (n) desire/appetite/lust/
抑 [そもそも] /(conj) (uk) in the first place/to begin with/from the start/originally/ab initio/(P)/
抑々 [そもそも] /(conj) (uk) in the first place/to begin with/from the start/originally/ab initio/
抑うつ [よくうつ] /(n) dejection/depression/
抑え [おさえ] /(n) weight (e.g. paperweight)/rear guard/control/check/pressure/(P)/
抑えきれず [おさえきれず] /(exp) uncontainable/irrepressibile/uncontrollable/
抑えきれない [おさえきれない] /(adj-i) uncontainable/irrepressibile/uncontrollable/
抑える [おさえる] /(v1,vt) (1) to pin something down/to hold something down/to hold something back/to stop/to restrain/to curb/(2) to seize/to grasp/to arrest/(3) to gain control of something/to govern/to keep down (e.g. information)/to suppress/(4) to catch happening/to determine (important points)/to find (proof)/to understand/(P)/
抑え込み [おさえこみ] /(n) holding down (esp. in judo)/holding technique/pinning down/immobilizing/bringing under control/
抑え込む [おさえこむ] /(v5m) to shut out one's opponents/to stop the other side from scoring/
抑え難い [おさえがたい] /(adj-i) uncontrollable/irrepressible/
抑え付ける [おさえつける] /(v1,vt) to press down/to hold down/to pin down/to repress/
抑圧 [よくあつ] /(n,vs) check/restraint/oppression/suppression/(P)/
抑止 [よくし] /(n,vs) check/checkmate/stave off/control/restraint/inhibit/(P)/
抑止信号 [よくししんごう] /(n) (comp) inhibiting signal/
抑止力 [よくしりょく] /(n) deterrence/ability to deter (an attack, etc.)/
抑制 [よくせい] /(n,vs,adj-no) control/restraint/suppression/constraint/curtailment/inhibition/check/curb/(P)/
抑揚 [よくよう] /(n) intonation/accent/modulation/inflection/(P)/
抑揚のない [よくようのない] /(exp,adj-i) monotonous/
抑抑 [そもそも] /(conj) (uk) in the first place/to begin with/from the start/originally/ab initio/
抑留 [よくりゅう] /(n,vs) internment/detainment/detention/(P)/
抑留者 [よくりゅうしゃ] /(n) detainee/
抑留所 [よくりゅうじょ] /(n) detention or internment camp/
抑鬱 [よくうつ] /(n) dejection/depression/
抑鬱症 [よくうつしょう] /(n) depression/
欲 [よく] /(n) greed/craving/desire/avarice/wants/(P)/
欲しい [ほしい] /(adj-i) (1) wanted/wished for/in need of/desired/(aux-adj) (2) (after the -te form of a verb) I want (you) to/(P)/
欲しがる [ほしがる] /(v5r,vt) to desire/to want/to wish for/to covet/(P)/
欲す [ほりす] /(v5s,vt) (arch) to want/to desire/
欲する [ほっする] /(vs-s,vt) to want/to desire/(P)/
欲に目が眩む [よくにめがくらむ] /(exp,v5m) to be blinded by greed/
欲の塊 [よくのかたまり] /(n) incarnation of selfishness/lump of avarice/
欲の固まり [よくのかたまり] /(n) incarnation of selfishness/lump of avarice/
欲の奴隷 [よくのどれい] /(n) slave to avarice/
欲の皮が突っ張っている [よくのかわがつっぱっている] /(exp,v1) to be greedy/
欲ばり [よくばり] /(adj-na,n) avarice/covetousness/greed/
欲も得もない [よくもとくもない] /(exp) having thought for neither gain nor greed/only wanting to do something (thinking about nothing else)/
欲をかく [よくをかく] /(exp,v5k) to be greedy/to covet/
欲を掻く [よくをかく] /(exp,v5k) to be greedy/to covet/
欲を張る [よくをはる] /(exp,v5r) to lust for/
欲気 [よくけ] /(n) extreme greediness/
欲求 [よっきゅう] /(n,vs,adj-no) desire/(P)/
欲求不満 [よっきゅうふまん] /(n) frustration/
欲情 [よくじょう] /(n,vs) passion/passions/(sexual) desire/craving/
欲心 [よくしん] /(n) greed/
欲深 [よくふか] /(adj-na,n) avarice/covetousness/greed/
欲深 [よくぶか] /(adj-na,n) avarice/covetousness/greed/(P)/
欲深い [よくぶかい] /(adj-i) greedy/
欲張り [よくばり] /(adj-na,n) avarice/covetousness/greed/(P)/
欲張り兄さん [よくばりにいさん] /(exp) greedy materialistic older brother/dirty old man/
欲張り法 [よくばりほう] /(n) (math) greedy algorithm/
欲張る [よくばる] /(v5r,vi) to covet/to lust for/(P)/
欲得 [よくとく] /(n) selfishness/self-interest/
欲得尽く [よくとくずく] /(n) carrying out mercenary deeds/having a mercenary attitude/calculating/
欲念 [よくねん] /(n) desire/wish/passion/
欲望 [よくぼう] /(n) desire/appetite/lust/(P)/
欲目 [よくめ] /(n) partiality/bias/
沃化 [ようか] /(n,vs) iodization/iodisation/
沃化カリウム [ようかカリウム] /(n) potassium iodide/KI/
沃化銀 [ようかぎん] /(n) silver iodide/
沃化水素 [ようかすいそ] /(n) hydrogen iodide/HI/
沃化物 [ようかぶつ] /(n) iodide/
沃素 [ようそ] /(n) iodine (I)/
沃素一三一 [ようそひゃくさんじゅういち] /(n) iodine-131/
沃素一二五 [ようそひゃくにじゅうご] /(n) iodine-125/
沃素価 [ようそか] /(n) iodine value/iodine number/
沃素澱粉反応 [ようそでんぷんはんのう] /(n) iodo-starch reaction/
沃地 [よくち] /(n) fertile land/oasis/
沃田 [よくでん] /(n) fertile field/field with fertile soil/
沃度 [ようど] /(n) iodine (ger: Jod)/
沃度丁幾 [ようどちんき] /(n) (uk) tincture of iodine (ger: Jodtinktur)/
沃土 [よくど] /(n) rich soil/fertile land/
沃野 [よくや] /(n) fertile fields or plain/
沃野千里 [よくやせんり] /(n) vast expansion of fertile land/
浴す [よくす] /(v5s,vi) (1) to bathe/(2) to receive (an honor, etc.)/
浴する [よくする] /(vs-s,vi) (1) to bathe/(2) to receive (an honor, etc.)/
浴びせかける [あびせかける] /(v1,vt) to hurl abuse/to level insults/
浴びせる [あびせる] /(v1,vt) to pour on/(P)/
浴びせ掛ける [あびせかける] /(v1,vt) to hurl abuse/to level insults/
浴びせ倒し [あびせたおし] /(n) pushing down (one's opponent) by leaning on (him)/
浴びる [あびる] /(v1,vt) (1) to dash over oneself (e.g. water)/to bathe/to bask in (e.g. the sun)/to be flooded with (e.g. light)/to shower/(2) to suffer (e.g. an attack)/to have abuse heaped upon/to draw criticism upon oneself/(P)/
浴衣 [ゆかた] /(n) yukata (light cotton kimono worn in the summer or used as a bathrobe)/(P)/
浴衣 [よくい] /(n) yukata (light cotton kimono worn in the summer or used as a bathrobe)/
浴衣掛け [ゆかたがけ] /(n) wearing a yukata/in one's informal summer kimono/
浴衣地 [ゆかたじ] /(n) yukata cloth material/special light woven material 36-40cm wide for making yukata/
浴客 [よっかく] /(n) bather/(hot springs resort) guest/
浴客 [よっきゃく] /(n) bather/(hot springs resort) guest/
浴後 [よくご] /(n-adv,n-t) after bathing/
浴室 [よくしつ] /(n) bathroom/bath/(P)/
浴場 [よくじょう] /(n) bath (tub, bath-house)/(P)/
浴槽 [よくそう] /(n) bathtub/(P)/
浴殿 [よくでん] /(n) (arch) bathhouse/bathroom/
浴用 [よくよう] /(n) for bath use/
翌 [よく] /(pref) the following/next/
翌々 [よくよく] /(n) the one after next/
翌々月 [よくよくげつ] /(n-t) two months later/the month after next/
翌々日 [よくよくじつ] /(n-t) two days later/next day but one/
翌々年 [よくよくねん] /(n-t) two years later/year after next/
翌る [あくる] /(iK) (adj-pn) next/following/
翌月 [よくげつ] /(n-adv,n-t) following month/(P)/
翌週 [よくしゅう] /(n-t) the following week/the next week/(P)/
翌春 [よくしゅん] /(n-t) next spring/
翌朝 [よくあさ] /(n-adv,n-t) the next morning/(P)/
翌朝 [よくちょう] /(n-adv,n-t) the next morning/(P)/
翌日 [よくじつ] /(n-adv,n-t) next day/(P)/
翌日物 [よくじつもの] /(n) overnight call/loan repaid the next day/
翌年 [よくとし] /(n-t) following year/
翌年 [よくねん] /(n-t) following year/(P)/
翌晩 [よくばん] /(n-t) the following evening/
翌桧 [あすなろ] /(n) (uk) hiba false arborvitae (species of cypress, Thujopsis dolabrata)/
翌翌 [よくよく] /(n) the one after next/
翌翌月 [よくよくげつ] /(n-t) two months later/the month after next/
翌翌日 [よくよくじつ] /(n-t) two days later/next day but one/
翌翌年 [よくよくねん] /(n-t) two years later/year after next/
翌檜 [あすなろ] /(n) (uk) hiba false arborvitae (species of cypress, Thujopsis dolabrata)/
翼 [つばさ] /(n) (1) wing/(P)/
翼 [よく] /(n) (1) wing/(2) Chinese "Wings" constellation (one of the 28 mansions)/(suf,ctr) (3) (arch) counter for birds or bird wings/
翼々 [よくよく] /(adj-na,n) prudent/very careful/
翼を広げる [つばさをひろげる] /(exp,v1) to spread one's wings/
翼を張る [つばさをはる] /(exp,v5r) to spread (one's) wings/
翼下 [よくか] /(n,adj-no) (1) underwing (esp. of an aircraft)/(2) under one's wing/under one's control/
翼下 [よっか] /(n,adj-no) (1) underwing (esp. of an aircraft)/(2) under one's wing/under one's control/
翼果 [よくか] /(n) samara/winged seed (ash, maple, etc.)/
翼果 [よっか] /(n) samara/winged seed (ash, maple, etc.)/
翼鏡 [よくきょう] /(n) speculum (bright patch on the wings of ducks)/
翼甲類 [よくこうるい] /(n) pteraspids (extinct armoured jawless fishes)/
翼賛 [よくさん] /(n,vs) supporting/countenance/assistance/
翼手目 [よくしゅもく] /(n) Chiroptera (animal order comprising the bats)/
翼宿 [たすきぼし] /(n) Chinese "Wings" constellation (one of the 28 mansions)/
翼状 [よくじょう] /(n,adj-no) wing shape/
翼状針 [よくじょうしん] /(n) butterfly needle/winged needle/
翼長 [よくちょう] /(n) wing length (esp. of a bird)/wingspan (esp. of an aircraft)/
翼棟 [よくとう] /(n) wing (of a building)/
翼面積 [よくめんせき] /(n) wing area/
翼翼 [よくよく] /(adj-na,n) prudent/very careful/
翼竜 [よくりゅう] /(n) pterosaur/
翼廊 [よくろう] /(n) transept/
翼鰓類 [よくさいるい] /(n) pterobranchs (hemichordates of class Pterobranchia)/
淀 [よど] /(n) pool (in river)/
淀 [よどみ] /(n) (1) stagnation/deposit/sediment/backwater/(2) faltering/hesitation/pause/
淀み [よどみ] /(n) (1) stagnation/deposit/sediment/backwater/(2) faltering/hesitation/pause/
淀む [よどむ] /(v5m,vi) to stagnate/to be stagnant/to settle/to deposit/to be sedimented/to be precipitated/to hesitate/to be sluggish/to stammer/to stumble/to falter/
淀川 [よどがわ] /(n) river in Osaka Prefecture/(P)/
淀木瓜 [よどぼけ] /(n) Choenomeles lagenaria/yodoboke flowering quince/
羅 [うすもの] /(n) (1) lightweight fabric or clothing/silk gauze/thin silk/
羅 [ら] /(n) (1) lightweight fabric or clothing/silk gauze/thin silk/(2) (abbr) Latin (language)/
羅宇 [らう] /(n) (1) Laos/(2) bamboo pipestem/
羅宇 [らお] /(n) (1) Laos/(2) bamboo pipestem/
羅漢 [らかん] /(n) arhat/Lohan/achiever of Nirvana/
羅漢柏 [あすなろ] /(n) (uk) hiba false arborvitae (species of cypress, Thujopsis dolabrata)/
羅漢柏 [らかんはく] /(n) (uk) hiba false arborvitae (species of cypress, Thujopsis dolabrata)/
羅漢槙 [らかんまき] /(n) (uk) Podocarpus macrophyllus var. maki (variety of yew plum pine)/
羅紗 [らしゃ] /(n) felt (por: raxa)/woollen cloth/
羅紗紙 [らしゃがみ] /(n) flock paper/
羅紗綿 [らしゃめん] /(n) foreigner's mistress/
羅紗緬 [らしゃめん] /(n) foreigner's mistress/
羅針 [らしん] /(n) compass needle/
羅針儀 [らしんぎ] /(n) compass/
羅針盤 [らしんばん] /(n) compass/(P)/
羅針盤座 [らしんばんざ] /(n) (constellation) Pyxis/
羅典 [らてん] /(n) (1) (abbr) Latin (language)/(2) Latin-American/Latin/Latino/
羅萄日辞典 [らぽにちじてん] /(n) Dictionarium Latino Lusitanicum, ac Iaponicum, (Latin- Portuguese-Japanese dictionary, pub. 1595)/
羅馬 [ローマ] /(n) (uk) Rome/
羅馬字 [ろーまじ] /(n) Latin alphabet/transliteration of Japanese in "Roman" or Latin letters/romanization/romanisation/romaji/
羅葡日辞典 [らぽにちじてん] /(n) Dictionarium Latino Lusitanicum, ac Iaponicum, (Latin- Portuguese-Japanese dictionary, pub. 1595)/
羅方位 [らほうい] /(n) compass bearing/
羅北 [らほく] /(n) compass north/
羅利粉灰 [らりこっぱい] /(n,adj-na) being scattered in all directions/being broken up and dispersed/
羅列 [られつ] /(n,vs) enumeration/(P)/
羅和 [らわ] /(n) Latin-Japanese (e.g. dictionary)/
羅刹 [らせつ] /(n) rakshasa (type of evil spirit) (san: raksasa)/
羅甸語 [らてんご] /(n,adj-no) Latin/
羅鱶 [らぶか] /(n) (uk) frilled shark (Chlamydoselachus anguineus)/
螺 [つび] /(ok) (n) (1) small spiral-shelled snail (esp. a pond snail)/
螺 [つぶ] /(n) (1) (uk) whelk (esp. Neptunea and Buccinum spp.)/(2) small spiral-shelled snail (esp. a pond snail)/
螺 [つみ] /(ok) (n) (1) small spiral-shelled snail (esp. a pond snail)/
螺 [にし] /(n) (uk) small spiral-shelled snail/
螺貝 [つぶがい] /(n) whelk (esp. Neptunea and Buccinum spp.)/
螺子 [ねじ] /(n) (1) (uk) screw/(2) key (of a clock, watch, etc.)/spring (of a clock, watch, etc.)/
螺子 [らし] /(n) (1) (uk) screw/(2) key (of a clock, watch, etc.)/spring (of a clock, watch, etc.)/
螺子プロペラ [ねじプロペラ] /(n) screw propeller/
螺子ポンプ [ねじポンプ] /(n) (uk) screw pump/
螺子回し [ねじまわし] /(n) screwdriver/
螺子山 [ねじやま] /(n) screw thread/ridge/
螺子切り [ねじきり] /(n) screw cutter/thread cutting/
螺子釘 [ねじくぎ] /(n) screw/screw spike/
螺旋 [ねじ] /(n) (1) (uk) screw/(2) key (of a clock, watch, etc.)/spring (of a clock, watch, etc.)/
螺旋 [らせん] /(n,adj-no) (1) spiral/helix/(2) screw/(P)/
螺旋階段 [らせんかいだん] /(n) spiral staircase/
螺旋状 [らせんじょう] /(n,adj-no) helical/spiral-shaped/
螺旋推進器 [らせんすいしんき] /(n) screw propeller/
螺旋水揚げ機 [らせんみずあげき] /(n) screw pump/
螺線 [らせん] /(n) (1) (math) helix/(2) spiral/
螺線面 [らせんめん] /(n) helicoid/
螺鈿 [らでん] /(n) mother-of-pearl/
螺鈿細工 [らでんざいく] /(n) mother-of-pearl inlay/
裸 [はだか] /(n,adj-no) naked/nude/bare/(P)/
裸になる [はだかになる] /(exp,v5r) to take off one's clothes/to undress/
裸の質量 [はだかのしつりょう] /(n) bare mass (physics)/
裸ん坊 [はだかんぼう] /(n) naked person/
裸一貫 [はだかいっかん] /(n) without any means/reduced to naked personal merit/
裸一貫の人 [はだかいっかんのひと] /(n) person with no property but his (her) own body/
裸鰯 [はだかいわし] /(n) (uk) lantern fish (any fish of family Myctophidae, esp. Watase's lanternfish, Diaphus watasei)/
裸火 [はだかび] /(n) naked flame/naked light/
裸芽 [らが] /(n) naked bud (of a plant)/bud unprotected by bud scales/
裸眼 [らがん] /(n) naked eye/
裸参り [はだかまいり] /(n) visiting a shrine naked in winter/
裸子植物 [らししょくぶつ] /(n) gymnosperm/gymnospermous plant/
裸蛇 [はだかへび] /(n) (obsc) caecilian (any burrowing legless amphibian of the order Gymnophiona)/
裸出 [らしゅつ] /(n,vs) exposure/
裸出歯鼠 [はだかでばねずみ] /(n) (uk) naked mole rat (Heterocephalus glaber)/
裸女 [らじょ] /(n) (obsc) naked woman/
裸身 [らしん] /(n) naked (body)/
裸石 [らせき] /(n) loose stone/unset jewel/
裸線 [はだかせん] /(n,adj-no) uninsulated electrical wire/open-wire line/
裸像 [らぞう] /(n) nude (figure, painting, statue)/
裸足 [はだし] /(n,adj-no) (1) barefoot/(n-suf) (2) superior to (a professional, etc. in ability or achievement)/(P)/
裸体 [らたい] /(n) naked body/nudity/
裸体画 [らたいが] /(n) nude (picture)/
裸体主義 [らたいしゅぎ] /(n,adj-no) nudism/
裸男 [はだかおとこ] /(n) (obsc) naked man/
裸虫 [はだかむし] /(n) (1) caterpillar (esp. hairless)/(2) person with scanty supply of clothes/
裸虫 [らちゅう] /(n) (1) caterpillar (esp. hairless)/(2) person with scanty supply of clothes/
裸電球 [はだかでんきゅう] /(n) naked light bulb/
裸馬 [はだかうま] /(n,adj-no) unsaddled horse/
裸麦 [はだかむぎ] /(n) naked barley (Hordeum vulgare var. nudum)/
裸婦 [らふ] /(n) nude woman/naked woman/(P)/
裸婦画 [らふが] /(n) nude (painting)/
裸葉 [らよう] /(n) sterile frond/
裸蝋燭 [はだかろうそく] /(n) uncovered candle/unshaded candle/
来 [らい] /(n) (1) next (year, etc.)/(2) since (last month, etc.)/(P)/
来々週 [らいらいしゅう] /(n) week after next/
来かかる [きかかる] /(v5r) to happen to come/
来がけに [きがけに] /(adv) on the way here/
来し方 [きしかた] /(n) the past/
来し方 [こしかた] /(n) the past/
来す [きたす] /(v5s,vt) to cause/to induce/to bring about a result or state/to produce/
来たす [きたす] /(v5s,vt) to cause/to induce/to bring about a result or state/to produce/
来たて [きたて] /(exp) new arrival/
来たる [きたる] /(io) (v5r,vi) (1) to come/to arrive/to be due to/(adj-pn) (2) next (e.g. "next April")/forthcoming/coming/
来たるべき [きたるべき] /(adj-f) expected to arrive (occur) in the near future/
来はじめる [きはじめる] /(v1) to come for the first time/to become for the first time/
来る [きたる] /(v5r,vi) (1) to come/to arrive/to be due to/(adj-pn) (2) next (e.g. "next April")/forthcoming/coming/(P)/
来る [くる] /(vk,vi,aux-v) (1) to come (spatially or temporally)/to approach/to arrive/(2) to come back/to do ... and come back/(3) to come to be/to become/to get/to grow/to continue/(vk,vi) (4) to come from/to be caused by/to derive from/(5) to come to (i.e. "when it comes to spinach ...")/(P)/
来るべき [きたるべき] /(adj-f) expected to arrive (occur) in the near future/
来る者は拒まず [くるものはこばまず] /(exp) (id) accept one who comes to you/
来る者拒まず [くるものこばまず] /(exp) (id) accept one who comes to you/
来る日 [くるひ] /(n) the coming days/
来る日も来る日も [くるひもくるひも] /(n) every day/
来る年 [くるとし] /(n) the coming year/
来意 [らいい] /(n) purpose of a visit/
来院 [らいいん] /(n,vs) visit to a hospital, temple, school, etc./
来園 [らいえん] /(n,vs) visit to a park/
来園者 [らいえんしゃ] /(n) park visitor/
来援 [らいえん] /(n,vs) assistance/support/
来演 [らいえん] /(n,vs) come to perform/
来夏 [らいなつ] /(n-adv,n-t) next summer/
来賀 [らいが] /(n,vs) your coming/coming with happy news/your presence/
来駕 [らいが] /(n,vs) your coming/coming with happy news/your presence/
来会 [らいかい] /(n,vs) attendance/
来会者 [らいかいしゃ] /(n) attendance/those present/
来学 [らいがく] /(n,vs) coming to school/coming to university/
来学期 [らいがっき] /(n-t) next semester/
来掛かる [きかかる] /(v5r) to happen to come/
来掛けに [きがけに] /(adv) on the way here/
来観 [らいかん] /(n,vs) inspection visit/
来観者 [らいかんしゃ] /(n) visitor (to an exhibit)/
来館 [らいかん] /(n,vs) coming to an embassy, theatre, library, etc./
来期 [らいき] /(n-t) next term/
来季 [らいき] /(n) next semester/next session/next season/next year/
来客 [らいかく] /(n) visitor/caller/
来客 [らいきゃく] /(n) visitor/caller/(P)/
来客筋 [らいきゃくすじ] /(n) customers/clients/
来客攻め [らいきゃくぜめ] /(n) flood of visitors/
来客芳名録 [らいきゃくほうめいろく] /(n) guest book/
来迎 [らいごう] /(n) the coming of Amida Buddha to welcome the spirits of the dead/
来月 [らいげつ] /(n-adv,n-t) next month/(P)/
来光 [らいこう] /(n) sunrise viewed from the top of a high mountain/
来向かう [きむかう] /(v5u) to come facing (us)/
来攻 [らいこう] /(n,vs) invasion/
来校 [らいこう] /(n,vs) school visit/
来航 [らいこう] /(n,vs) arrival of ships/arrival by ship/
来貢 [らいこう] /(n,vs) coming to pay tribute/
来合わせる [きあわせる] /(v1) to happen to come along/
来阪 [らいはん] /(n,vs) coming to Osaka/
来始める [きはじめる] /(v1) to come for the first time/to become for the first time/
来次第 [きしだい] /(exp,n-adv) as soon as (he, she, it) comes/
来社 [らいしゃ] /(n,vs) visit to a company/
来車 [らいしゃ] /(n,vs) your coming/your visiting me/
来手 [きて] /(n) someone who is coming/
来襲 [らいしゅう] /(n,vs) raid/attack/invasion/(P)/
来週 [らいしゅう] /(n-adv,n-t) next week/(P)/
来週の今日 [らいしゅうのきょう] /(n) this day next week/today week/a week from today/
来春 [らいしゅん] /(n-t) next spring/(P)/
来春 [らいはる] /(n-t) next spring/
来書 [らいしょ] /(n) letter received/
来場 [らいじょう] /(n,vs) attendance/
来場 [らいば] /(n,vs) attendance/
来場者 [らいじょうしゃ] /(n) those attending/
来状 [らいじょう] /(n) letter received/
来信 [らいしん] /(n) letter received/
来診 [らいしん] /(n,vs) doctor's visit/
来世 [らいせ] /(n,adj-no) the next world/the future/posterity/
来世 [らいせい] /(n,adj-no) the next world/the future/posterity/
来世紀 [らいせいき] /(n) next century/
来世信仰 [らいせしんこう] /(n) belief in the next world/belief in the hereafter/
来鮮 [らいせん] /(n) coming to Korea/
来孫 [らいそん] /(n) great-great-great-grandchild/
来宅 [らいたく] /(n,vs) coming of a visitor to one's home/
来談 [らいだん] /(n,vs) interview/
来着 [らいちゃく] /(n,vs) arrival/
来朝 [らいちょう] /(n,vs) arriving in Japan/visiting Japan/
来聴 [らいちょう] /(n,vs) attendance/
来邸 [らいてい] /(n) visiting someone's residence/
来店 [らいてん] /(n,vs) coming to the store/(P)/
来電 [らいでん] /(n) incoming telegram/
来難い [きにくい] /(n) difficult to come/
来日 [らいにち] /(n,vs) arrival in Japan/coming to Japan/visit to Japan/(P)/
来任 [らいにん] /(n,vs) arrival at one's post/
来年 [らいねん] /(n-adv,n-t) next year/(P)/
来年の事を言うと鬼が笑う [らいねんのことをいうとおにがわらう] /(exp) (id) Talk about next year and the devil will laugh/
来年度 [らいねんど] /(n) next year/next fiscal year/
来賓 [らいひん] /(n) guest/visitor/visitor's arrival/(P)/
来賓演説者 [らいひんえんせつしゃ] /(n) guest speaker/
来賓講演者 [らいひんごうえんしゃ] /(n) guest speaker/
来賓席 [らいひんせき] /(n) visitor's seats/
来付け [きつけ] /(adj-no,n) familiar/favourite/regular/
来付ける [きつける] /(v1) to call frequently/
来復 [らいふく] /(n) return/coming back/
来方 [きかた] /(n) your coming/
来訪 [らいほう] /(n,vs) visit/call/(P)/
来訪者 [らいほうしゃ] /(n) client/visitor/caller/
来由 [らいゆ] /(n) origin/cause/
来遊 [らいゆう] /(n,vs) visit/
来遊者 [らいゆうしゃ] /(n) visitor/tourist/
来来週 [らいらいしゅう] /(n) week after next/
来立て [きたて] /(exp) new arrival/
来臨 [らいりん] /(n,vs) (hon) attendance/presence/visit/coming/advent/
来歴 [らいれき] /(n) history/career/
来冦 [らいこう] /(n) invasion/raid/
頼み [たのみ] /(n) request/favor/favour/reliance/dependence/(P)/
頼みがい [たのみがい] /(n) reliability/
頼みの綱 [たのみのつな] /(exp,n) last ray of hope/
頼み甲斐 [たのみがい] /(n) reliability/
頼み込む [たのみこむ] /(v5m,vt) to request earnestly/
頼み事 [たのみごと] /(n) favour/favor/
頼み少ない [たのみすくない] /(adj-i) helpless/
頼み入る [たのみいる] /(v5r,vt) to entreat/to request earnestly/
頼む [たのむ] /(v5m) (1) to request/to beg/to ask/(2) to call/to order/to reserve/(3) to entrust to/(4) to rely on/(P)/
頼もしい [たのもしい] /(adj-i) reliable/trustworthy/hopeful/promising/(P)/
頼り [たより] /(n) reliance/dependence/(P)/
頼りない [たよりない] /(adj-i) unreliable/undependable/flaky/vague/helpless/forlorn/(P)/
頼りにする [たよりにする] /(exp,vt,vs-i) to rely on/
頼りにできる [たよりにできる] /(v1,vi) to be dependable/to be reliable/
頼りになる [たよりになる] /(exp,v5r) to be reliable/
頼りに出来る [たよりにできる] /(v1,vi) to be dependable/to be reliable/
頼り甲斐 [たよりがい] /(n,adj-no) reliability/trustworthiness/dependability/
頼り無い [たよりない] /(adj-i) unreliable/undependable/flaky/vague/helpless/forlorn/
頼る [たよる] /(v5r,vi) to rely on/to have recourse to/to depend on/(P)/
頼信紙 [らいしんし] /(n) telegram form/telegram blank/
頼母子 [たのもし] /(n) mutual financing association/
頼母子講 [たのもしこう] /(n) mutual financing association/
雷 [いかずち] /(n) thunder/
雷 [いかづち] /(n) thunder/
雷 [かみなり] /(n) thunder/(P)/
雷 [らい] /(n) thunder/
雷こう [らいこう] /(n) mercury fulminate/
雷雨 [らいう] /(n) thunderstorm/(P)/
雷雲 [らいうん] /(n) thunder cloud/
雷火 [らいか] /(n) flash of lightning/fire started by lightning/
雷管 [らいかん] /(n) detonator/
雷魚 [かみなりうお] /(n) (uk) sailfin sandfish (Arctoscopus japonicus)/
雷魚 [はたはた] /(n) (uk) sailfin sandfish (Arctoscopus japonicus)/
雷魚 [らいぎょ] /(n) (1) blotched snakehead (species of fish, Channa maculata)/(2) northern snakehead (species of fish, Channa argus)/
雷撃 [らいげき] /(n,vs) being struck by lightning/torpedo attack/
雷光 [らいこう] /(n) lightning/
雷酸水銀 [らいさんすいぎん] /(n) mercury fulminate/
雷獣 [らいじゅう] /(n) (in Chinese mythology) beast which descends from the sky with a thunderbolt/
雷神 [らいじん] /(n) god of lightning/
雷親父 [かみなりおやじ] /(n) snarling old man/irascible old man/
雷鳥 [らいちょう] /(n) ptarmigan (Lagopus muta, esp. the Japanese ptarmigan, Lagopus muta japonica)/grouse/
雷電 [らいでん] /(n) thunder and lightning/
雷同 [らいどう] /(n,vs) following blindly/
雷名 [らいめい] /(n) fame/renown/great name/
雷鳴 [らいめい] /(n) thunder/(P)/
雷竜 [らいりゅう] /(n) (obsc) brontosaurus/apatosaurus (dinosaur)/
雷汞 [らいこう] /(n) mercury fulminate/
洛外 [らくがい] /(n) outside Kyoto or the capital/
洛中 [らくちゅう] /(n) inside the capital/
洛中洛外 [らくちゅうらくがい] /(n) in and around the city of Kyoto/
洛中洛外図 [らくちゅうらくがいず] /(exp) views in and around the city of Kyoto (paintings and drawings)/
洛内 [らくない] /(n) in Kyoto or the capital/
洛南 [らくなん] /(n) (1) south of the capital/(2) southern part of Kyoto/
洛陽の紙価を高める [らくようのしかをたかめる] /(exp,v1) (id) (arch) to be highly-reputed and sell extremely well (of a printed literary work)/to raise the price of paper in Luoyang/
絡げ [からげ] /(n) bundle/sheaf/
絡げる [からげる] /(v1,vt) (1) to tie up/to bind/(2) to tuck up (clothes, etc.)/
絡ます [からます] /(v5s,vt) (1) to entwine/to entangle/(2) to connect/to relate/
絡ませる [からませる] /(v1,vt) (1) to entwine/to entangle/(2) to connect/to relate/
絡まり [からまり] /(n) entanglement/
絡まる [からまる] /(v5r,vi) to be entwined/to be involved/
絡み [からみ] /(n) linkage/entanglement/involvement/relationship/(P)/
絡み [がらみ] /(suf) (uk) about/concerning/related to/-ish/
絡みつく [からみつく] /(v5k) to twine oneself around/to coil around/
絡み合う [からみあう] /(v5u,vi) to be(come) intertwined/to be entangled/(P)/
絡み付く [からみつく] /(v5k) to twine oneself around/to coil around/
絡む [からむ] /(v5m,vi) (1) to entangle/to entwine/(2) to pick a quarrel/to find fault/(3) to be involved with/to be influenced by/to develop a connection with/(P)/
絡める [からめる] /(v1,vt) (1) to arrest/(2) to entwine/to twine around/to mix together/(3) to coordinate (with)/
絡繰 [からくり] /(io) (n) (1) (uk) mechanism/machinery/contrivance/device/(2) (uk) trick/dodge/(3) (uk) (abbr) mechanical doll/string puppet/
絡繰り [からくり] /(n) (1) (uk) mechanism/machinery/contrivance/device/(2) (uk) trick/dodge/(3) (uk) (abbr) mechanical doll/string puppet/
絡繰り時計 [からくりとけい] /(n) automaton clock/marionette clock/
絡繰り時計 [からくりどけい] /(n) automaton clock/marionette clock/
絡繰り人形 [からくりにんぎょう] /(n) mechanical doll/automaton/string puppet/marionette/person who follows orders blindly/
絡繰人形 [からくりにんぎょう] /(io) (n) mechanical doll/automaton/string puppet/marionette/person who follows orders blindly/
絡新婦 [じょろうぐも] /(n) (1) (uk) Nephila clavata (an Oriental species of golden orb-weaving spider)/(2) Argiope amoena (an Oriental species of orb-weaving spider)/(3) wasp spider (Argiope bruennichi)/
落 [おち] /(n) (1) slip/omission/(2) outcome/final result/the end/(3) (uk) punch line (of a joke)/
落し [おとし] /(n) (1) (abbr) dropping/losing/(2) missing item/something one forgot to write down/(3) trap/(4) wooden protrusion from a Japanese door frame that fits a hole in the threshold, acting as a lock when closed/(5) conclusion (of a speech, etc.)/(6) metallic bowl used to hold the charcoal in a wooden hibachi/
落し胤 [おとしだね] /(n) nobleman's illegitimate child/
落し蓋 [おとしぶた] /(n) lid resting directly on food/wooden drop-lid for simmering/
落し掛け [おとしがけ] /(n) (1) lintel of the alcove in a tea room or a window in a shoin-style reception room/(2) cloud-shaped carving on the bottom of a transom/(3) metallic bowl used to hold the charcoal in a wooden hibachi/
落し穴 [おとしあな] /(n) pitfall/trap/pit/
落し懸け [おとしがけ] /(n) (1) lintel of the alcove in a tea room or a window in a shoin-style reception room/(2) cloud-shaped carving on the bottom of a transom/(3) metallic bowl used to hold the charcoal in a wooden hibachi/
落し子 [おとしご] /(n) nobleman's illegitimate child/evil consequence/
落し紙 [おとしがみ] /(n) toilet paper/
落し主 [おとしぬし] /(n) loser/owner of a lost article/
落し所 [おとしどころ] /(n) point of compromise/common ground/
落し前 [おとしまえ] /(n) money paid to settle a fight/
落し入れる [おとしいれる] /(v1,vt) (1) to trick someone into (committing a crime, etc.)/to hatch a plan and deceive someone/(2) to assault (a castle, etc.)/(3) to drop something and have it fall into something/
落し物 [おとしもの] /(n) lost property/
落し文 [おとしぶみ] /(n) letter dropped in the road/Japanese insect/
落し卵 [おとしたまご] /(n) poached egg/
落す [おとす] /(v5s,vt) (1) to drop/to lose/to let fall/to shed (light)/to cast (one's gaze)/to pour in (liquid)/to leave behind/(2) to clean off (dirt, makeup, paint, etc.)/to remove (e.g. stains or facial hair)/to lose/to spend money at a certain place/to omit/to leave out/to secretly let escape/(3) to lose (a match)/to reject (an applicant)/to fail (a course)/to defeat (in an election)/(4) to lower (e.g. shoulders or voice)/to lessen (e.g. production or body weight)/to worsen (quality)/to reduce (e.g. rank or popularity)/to speak badly of/to make light of/to fall into straitened circumstances/(5) to fall into (e.g. a dilemma or sin)/to make one's own/to have one's bid accepted/to force surrender/to take (e.g. an enemy camp or castle)/to forcefully convince/to press for a confession/to deal with/(6) (comp) to download/to copy from a computer to another medium/(7) (MA) to make someone swoon (judo)/(8) to finish a story (e.g. with the punch line)/(9) to finish (a period, e.g. of fasting)/
落ち [おち] /(n) (1) slip/omission/(2) outcome/final result/the end/(3) (uk) punch line (of a joke)/(P)/
落ちこぼれ [おちこぼれ] /(n) (1) (sens) leftovers/odds and ends/pickings/(2) (sens) student who can't keep up in school/dunce/(P)/
落ちついた [おちついた] /(adj-f) quiet/calm/composed/
落ちつく [おちつく] /(v5k) to calm down/to settle down/to be steady/to settle in/to take up one's residence/to harmonize with/to harmonise with/to match/to restore presence of mind/
落ちぶれる [おちぶれる] /(v1) to be ruined/to fall low/to go under/to come to ruin/
落ちる [おちる] /(v1,vi) (1) to fall down/to drop/(2) to fail (e.g. exam)/(3) to crash/to degenerate/to degrade/(4) to fade/to come out (e.g. a stain)/(P)/
落ち鮎 [おちあゆ] /(n) sweetfish going downstream to spawn/
落ち鰻 [おちうなぎ] /(n) eel going downstream to spawn/
落ち延びる [おちのびる] /(v1,vi) to run away/to escape safely/
落ち魚 [おちうお] /(n) fish going downstream to spawn/dead fish/
落ち窪む [おちくぼむ] /(v5m) to sink in/to cave in/
落ち口 [おちぐち] /(n) mouth (of a river)/spout/
落ち行く [おちゆく] /(v5k-s,vi) to flee/to be ruined/
落ち合う [おちあう] /(v5u,vi) (1) to meet/to gather/to rendezvous/(2) to join (of roads, rivers, etc.)/to flow together/(P)/
落ち込み [おちこみ] /(n) decline (of something)/
落ち込む [おちこむ] /(v5m,vi) (1) to feel down (sad)/(2) to be in a slump (e.g. business, economy)/to be in an unfavourable condition/(3) to fall into (e.g. a hole)/(P)/
落ち札 [おちふだ] /(n) prize-winning ticket/winning lottery ticket/
落ち着いた [おちついた] /(adj-f) quiet/calm/composed/(P)/
落ち着き [おちつき] /(n) (1) calmness/composure/presence of mind/(2) stability/steadiness/(P)/
落ち着き払う [おちつきはらう] /(v5u,vi) to keep cool/
落ち着く [おちつく] /(v5k) to calm down/to settle down/to be steady/to settle in/to take up one's residence/to harmonize with/to harmonise with/to match/to restore presence of mind/(P)/
落ち着ける [おちつける] /(v1,vt) to quiet/to calm down/to compose oneself/to settle down/
落ち度 [おちど] /(n) mistake/error/(P)/
落ち入る [おちいる] /(v5r,vi) to fall/to trap/to cave in/to collapse/
落ち付き [おちつき] /(n) (1) calmness/composure/presence of mind/(2) stability/steadiness/
落ち付く [おちつく] /(v5k) to calm down/to settle down/to be steady/to settle in/to take up one's residence/to harmonize with/to harmonise with/to match/to restore presence of mind/
落ち付ける [おちつける] /(v1,vt) to quiet/to calm down/to compose oneself/to settle down/
落ち武者 [おちむしゃ] /(n) defeated soldier fleeing the enemy/
落ち穂 [おちぼ] /(n) fallen ears (of grain)/
落ち穂拾い [おちぼひろい] /(n) act of picking up crop left after harvesting/name of painting by Millet/
落ち目 [おちめ] /(n) on the wane (e.g. popularity of something)/decline of one's fortunes/
落ち葉 [おちば] /(n,vs,adj-no) fallen leaves/leaf litter/defoliation/shedding leaves/(P)/
落ち葉色 [おちばいろ] /(n) russet/
落ち落ち [おちおち] /(adv) quietly/calmly/
落ち零れ [おちこぼれ] /(n) (1) (sens) leftovers/odds and ends/pickings/(2) (sens) student who can't keep up in school/dunce/
落ち零れる [おちこぼれる] /(v1) (sens) to leave something behind/to fall behind/to fall short/to drop out/
落っこちる [おっこちる] /(v1,vi) to fall down/to drop/
落っことす [おっことす] /(v5s) to drop/to lose/to let fall/
落つ [おつ] /(v5t,vi) (1) to fall down/to drop/(2) to fail (e.g. exam)/(3) to crash/to degenerate/to degrade/
落とし [おとし] /(n) (1) (abbr) dropping/losing/(2) missing item/something one forgot to write down/(3) trap/(4) wooden protrusion from a Japanese door frame that fits a hole in the threshold, acting as a lock when closed/(5) conclusion (of a speech, etc.)/(6) metallic bowl used to hold the charcoal in a wooden hibachi/
落とし蓋 [おとしぶた] /(n) lid resting directly on food/wooden drop-lid for simmering/
落とし掛け [おとしがけ] /(n) (1) lintel of the alcove in a tea room or a window in a shoin-style reception room/(2) cloud-shaped carving on the bottom of a transom/(3) metallic bowl used to hold the charcoal in a wooden hibachi/
落とし穴 [おとしあな] /(n) pitfall/trap/pit/(P)/
落とし懸け [おとしがけ] /(n) (1) lintel of the alcove in a tea room or a window in a shoin-style reception room/(2) cloud-shaped carving on the bottom of a transom/(3) metallic bowl used to hold the charcoal in a wooden hibachi/
落とし込む [おとしこむ] /(v5m,vt) to take down in notes (meeting minutes, etc)/
落とし主 [おとしぬし] /(n) loser/owner of a lost article/
落とし所 [おとしどころ] /(n) point of compromise/common ground/
落とし前 [おとしまえ] /(n) money paid to settle a fight/
落とし前をつける [おとしまえをつける] /(exp,v1) (sens) to pay the debt/
落とし入れる [おとしいれる] /(v1,vt) (1) to trick someone into (committing a crime, etc.)/to hatch a plan and deceive someone/(2) to assault (a castle, etc.)/(3) to drop something and have it fall into something/
落とし物 [おとしもの] /(n) lost property/(P)/
落とし卵 [おとしたまご] /(n) poached egg/
落とし話 [おとしばなし] /(n) old term for rakugo/
落とす [おとす] /(v5s,vt) (1) to drop/to lose/to let fall/to shed (light)/to cast (one's gaze)/to pour in (liquid)/to leave behind/(2) to clean off (dirt, makeup, paint, etc.)/to remove (e.g. stains or facial hair)/to lose/to spend money at a certain place/to omit/to leave out/to secretly let escape/(3) to lose (a match)/to reject (an applicant)/to fail (a course)/to defeat (in an election)/(4) to lower (e.g. shoulders or voice)/to lessen (e.g. production or body weight)/to worsen (quality)/to reduce (e.g. rank or popularity)/to speak badly of/to make light of/to fall into straitened circumstances/(5) to fall into (e.g. a dilemma or sin)/to make one's own/to have one's bid accepted/to force surrender/to take (e.g. an enemy camp or castle)/to forcefully convince/to press for a confession/to deal with/(6) (comp) to download/to copy from a computer to another medium/(7) (MA) to make someone swoon (judo)/(8) to finish a story (e.g. with the punch line)/(9) to finish (a period, e.g. of fasting)/(P)/
落る [おちる] /(io) (v1,vi) (1) to fall down/to drop/(2) to fail (e.g. exam)/(3) to crash/to degenerate/to degrade/(4) to fade/to come out (e.g. a stain)/
落胤 [らくいん] /(n) nobleman's illegitimate child/
落羽松 [らくうしょう] /(n) (uk) bald Cypress (Taxodium distichum)/
落鰻 [おちうなぎ] /(n) eel going downstream to spawn/
落延びる [おちのびる] /(v1,vi) to run away/to escape safely/
落下 [らっか] /(n,vs) fall/drop/come down/(P)/
落下音 [らっかおん] /(n) sound of something falling/
落下傘 [らっかさん] /(n) parachute/
落下傘候補 [らっかさんこうほ] /(n) party appointee in a safe constituency/parachute candidate/
落下傘部隊 [らっかさんぶたい] /(n) paratroops/
落下物 [らっかぶつ] /(n) falling objects/
落花 [らっか] /(n) falling petals/
落花枝に帰らず破鏡再び照らさず [らっかえだにかえらずはきょうふたたびてらさず] /(exp) fallen blossom doesn't return to the branch, a broken mirror can not be made to shine/what's done is done/there's no use crying over spilled milk/
落花生 [らっかせい] /(n) peanut/groundnut/
落花紛々 [らっかふんぷん] /(uK) (adj-no,adj-t,adv-to) blossoms falling in confusion/
落花紛紛 [らっかふんぷん] /(uK) (adj-no,adj-t,adv-to) blossoms falling in confusion/
落花流水 [らっかりゅうすい] /(n) mutual love/the love one shows to another person being returned/
落花狼藉 [らっかろうぜき] /(n) running amok (amuck)/committing violence on/in utter disorder/
落花啼鳥 [らっかていちょう] /(exp) (obsc) the poetic feeling of a late spring scene (with flowers scattering and birds chirping)/
落款 [らっかん] /(n,vs) sign and seal/signature/
落雁 [らくがん] /(n) hard candy/
落球 [らっきゅう] /(n,vs) failing to catch a ball/fumble/
落慶 [らっけい] /(n) celebration of the completion of a temple or shrine's construction/
落伍 [らくご] /(n,vs) dropping out of/straggling/falling out of the ranks/
落伍者 [らくごしゃ] /(n) dropout/straggler/outcast/failure/
落後 [らくご] /(n,vs) dropping out of/straggling/falling out of the ranks/
落後者 [らくごしゃ] /(n) dropout/straggler/outcast/failure/
落語 [らくご] /(n) rakugo story/(telling) a comic story/(P)/
落語家 [らくごか] /(n) rakugo story teller/comic story teller/(P)/
落合う [おちあう] /(v5u,vi) (1) to meet/to gather/to rendezvous/(2) to join (of roads, rivers, etc.)/to flow together/
落込み [おちこみ] /(n) decline (of something)/
落込む [おちこむ] /(v5m,vi) (1) to feel down (sad)/(2) to be in a slump (e.g. business, economy)/to be in an unfavourable condition/(3) to fall into (e.g. a hole)/
落差 [らくさ] /(n) a head (of water)/a difference/(P)/
落札 [おちふだ] /(n) prize-winning ticket/winning lottery ticket/
落札 [らくさつ] /(n,vs) having one's bid accepted (e.g. for contract)/bid award/winning a tender/(P)/
落札者 [らくさつしゃ] /(n) tender winner/successful bidder/contract awardee/
落札値 [らくさつね] /(n) contract price/
落射照明 [らくしゃしょうめい] /(n) epi-illumination/illumination that impinges on the sample from the viewing direction/
落手 [らくしゅ] /(n,vs) receive/
落首 [らくしゅ] /(n) lampoon/satirical poem/
落書 [らくがき] /(n,vs) scrawl/scribble/graffiti/
落書き [らくがき] /(n,vs) scrawl/scribble/graffiti/(P)/
落書きちょう [らくがきちょう] /(n) sketchbook/
落書き帳 [らくがきちょう] /(n) sketchbook/
落書帳 [らくがきちょう] /(n) sketchbook/
落掌 [らくしょう] /(n,vs) receive/
落城 [らくじょう] /(n,vs) surrender (fall) of a castle/
落飾 [らくしょく] /(n,vs) cutting one's hair before entering a monastery/tonsure/
落人 [おちうど] /(n) defeated soldier fleeing the enemy/
落人 [おちゅうど] /(n) defeated soldier fleeing the enemy/
落人伝説 [おちゅうどでんせつ] /(n) legend concerning a fugitive clan/
落成 [らくせい] /(n,vs) completion/finish/
落成式 [らくせいしき] /(n) completion (of house, etc.) ceremony or party/
落成祝 [らくせいいわい] /(n) celebration for the completion of a project/
落成祝い [らくせいいわい] /(n) celebration for the completion of a project/
落石 [らくせき] /(n,vs) falling rocks/fallen rocks/
落籍 [らくせき] /(n,vs) (1) lack of registration (in the census register)/(2) buying a geisha or prostitute her contractual freedom/
落籍す [ひかす] /(v5s,vt) to redeem debts (e.g. of a geisha)/
落雪 [らくせつ] /(n,vs) snowslide/small avalanche/
落選 [らくせん] /(n,vs) election loss/rejection/(P)/
落選者 [らくせんしゃ] /(n) unsuccessful candidate/
落体 [らくたい] /(n) falling body/
落第 [らくだい] /(n,vs) failure/dropping out of a class/(P)/
落第生 [らくだいせい] /(n) student who repeats a year/
落第点 [らくだいてん] /(n) failing grade/
落胆 [らくたん] /(n,vs) discouragement/despondency/dejection/(P)/
落地 [らくち] /(n) falling to the ground/
落着 [らくちゃく] /(n,vs) being settled/coming to a conclusion/
落着き [おちつき] /(n) (1) calmness/composure/presence of mind/(2) stability/steadiness/
落着く [おちつく] /(v5k) to calm down/to settle down/to be steady/to settle in/to take up one's residence/to harmonize with/to harmonise with/to match/to restore presence of mind/
落着ける [おちつける] /(v1,vt) to quiet/to calm down/to compose oneself/to settle down/
落丁 [らくちょう] /(n) missing pages/
落潮 [らくちょう] /(n) low tide/decline/
落度 [おちど] /(n) fault/error/guilt/
落日 [らくじつ] /(n) setting sun/
落馬 [らくば] /(n,vs) falling from a horse/
落莫 [らくばく] /(adj-t,adv-to) desolate/dreary/lonesome/
落髪 [らくはつ] /(n,vs) cutting one's hair before entering a monastery/tonsure/
落盤 [らくばん] /(n,vs) cave-in/
落磐 [らくばん] /(n,vs) cave-in/
落筆 [らくひつ] /(n,vs) initial brush stroke in calligraphy/
落付き [おちつき] /(n) (1) calmness/composure/presence of mind/(2) stability/steadiness/
落付ける [おちつける] /(v1,vt) to quiet/to calm down/to compose oneself/to settle down/
落命 [らくめい] /(n,vs) death/
落綿 [らくめん] /(n) cotton waste/
落葉 [おちば] /(n,vs,adj-no) fallen leaves/leaf litter/defoliation/shedding leaves/
落葉 [らくよう] /(n,vs,adj-no) fallen leaves/leaf litter/defoliation/shedding leaves/
落葉喬木 [らくようきょうぼく] /(n) deciduous tall tree/
落葉高木 [らくようこうぼく] /(n) deciduous tall tree/
落葉剤 [らくようざい] /(n) defoliant/
落葉樹 [らくようじゅ] /(n) deciduous tree/
落葉松 [からまつ] /(n) (uk) (Japanese) larch (Larix leptolepis, Larix kaempferi)/
落葉松 [らくようしょう] /(n) (uk) (Japanese) larch (Larix leptolepis, Larix kaempferi)/
落葉状 [らくようじょう] /(n,adj-no) foliaceous/foliaceus/
落葉低木 [うりのき] /(n) alangium platanifolium var. trilobum/
落陽 [らくよう] /(n) setting sun/
落雷 [らくらい] /(n,vs) thunderbolt/bolt of lightning/(P)/
落雷にあう [らくらいにあう] /(exp,v5u) to be struck by lightning/
落涙 [らくるい] /(n,vs) shedding tears/
落涙滂沱 [らくるいぼうだ] /(adj-t,adv-to) tears streaming down one's cheeks/shedding copious tears/
落魄 [らくはく] /(n,vs) being reduced to poverty/living in poverty/coming down in the world/straitened (reduced) circumstances/
酪酸 [らくさん] /(n,adj-no) butyric acid/
酪製品 [らくせいひん] /(n) dairy product/
酪農 [らくのう] /(n) dairy (farm)/(P)/
酪農家 [らくのうか] /(n) dairy farmer/
酪農場 [らくのうじょう] /(n) dairy farm/
酪農製品 [らくのうせいひん] /(n) dairy produce/
乱 [らん] /(n) revolt/rebellion/war/
乱す [みだす] /(v5s,vt) to throw out of order/to disarrange/to disturb/(P)/
乱れ [みだれ] /(n) disorder/disturbance/unrest/(P)/
乱れうち [みだれうち] /(n) random pounding (e.g. on a drum)/
乱れる [みだれる] /(v1,vi) (1) to be disordered/to be disarranged/to be disarrayed/to be disheveled/to be dishevelled/(2) to be discomposed/to be upset/to get confused/to be disturbed/(3) to lapse into chaos (due to war, etc.)/(P)/
乱れ撃ち [みだれうち] /(n) random pounding (e.g. on a drum)/
乱れ勝ち [みだれかち] /(exp) undone victory/upset victory/lost victory/
乱れ打ち [みだれうち] /(n) random pounding (e.g. on a drum)/
乱れ箱 [みだればこ] /(n) lidless box for clothes/
乱れ髪 [みだれがみ] /(n) disheveled hair/unravelled hair/
乱れ飛ぶ [みだれとぶ] /(v5b,vi) to fly wildly about/
乱を起こす [らんをおこす] /(exp,v5s) to rise in rebellion/
乱雲 [らんうん] /(n) rain cloud/
乱開発 [らんかいはつ] /(n,vs) environmentally damaging (indiscriminate) development/
乱獲 [らんかく] /(n,vs) excessive fishing/overfishing/(P)/
乱気流 [らんきりゅう] /(n) (air) turbulence/turbulent air/
乱菊 [らんぎく] /(n) pattern made from chrysanthemums with disordered petals, esp. used on family crests/
乱逆 [らんぎゃく] /(n) rebellion/
乱逆 [らんげき] /(ok) (n) rebellion/
乱掘 [らんくつ] /(n,vs) over-mining (of coal)/
乱軍 [らんぐん] /(n) melee/
乱撃 [らんげき] /(n,vs) random shooting/
乱呼出し [らんよびだし] /(n) (comp) random access/
乱交 [らんこう] /(n,vs,adj-no) promiscuity/
乱交パーティー [らんこうパーティー] /(n) (X) sexual orgy/
乱杭 [らんぐい] /(n) palisade/
乱杭歯 [らんぐいば] /(n) uneven teeth/
乱行 [らんぎょう] /(n) violent conduct/misconduct/dissipation/profligacy/debauchery/
乱高下 [らんこうげ] /(n,vs) violent fluctuation/
乱作 [らんさく] /(n,vs) overproduction/
乱雑 [らんざつ] /(adj-na,n) clutter/disorder/promiscuity/affray/confusion/muddle/(P)/
乱視 [らんし] /(n,adj-no) astigmatism/
乱射 [らんしゃ] /(n,vs) random shooting/firing blindly/
乱射乱撃 [らんしゃらんげき] /(n) random shooting/
乱取 [らんどり] /(io) (n) (MA) randori (freestyle judo training)/
乱取り [らんどり] /(n) (MA) randori (freestyle judo training)/
乱酒 [らんしゅ] /(n) drunken spree or frenzy/
乱勝 [みだれかち] /(exp) undone victory/upset victory/lost victory/
乱心 [らんしん] /(n,vs) mental derangement/going mad/
乱心者 [らんしんしゃ] /(n) lunatics/
乱臣 [らんしん] /(n) traitor/
乱臣賊子 [らんしんぞくし] /(n) rebels against one's lord and one's parents/rebellious (treacherous) subject/traitor/
乱診乱療 [らんしんらんりょう] /(n,vs) unnecessary medical tests and treatments/
乱吹く [ふぶく] /(v5k,vi) to blow snow violently/
乱酔 [らんすい] /(n,vs) dead drunk/
乱数 [らんすう] /(n) random number/
乱数生成 [らんすうせいせい] /(n) (comp) random number generation/
乱数発生ルーチン [らんすうはっせいルーチン] /(n) random number generator/random number routine/
乱数発生ルチン [らんすうはっせいルチン] /(ik) (n) random number generator/random number routine/
乱数表 [らんすうひょう] /(n) table of random numbers/
乱数列 [らんすうれつ] /(n) (comp) random number sequence/
乱世 [らんせい] /(n) troubled times/turbulent times/
乱切り [らんきり] /(n) chopping (vegetables) into chunks/
乱戦 [らんせん] /(n) melee/
乱層雲 [らんそううん] /(n) nimbostratus/
乱造 [らんぞう] /(n,vs) overproduction/careless manufacture/churning out (substandard goods)/
乱打 [らんだ] /(n,vs) hitting/battering/
乱痴気パーティー [らんちきパーティー] /(n) drunken bash/rave party/
乱痴気騒ぎ [らんちきさわぎ] /(n) boisterous merrymaking/racket/spree/
乱丁 [らんちょう] /(n) pages out of order/
乱調 [らんちょう] /(n) confusion/(P)/
乱調子 [らんちょうし] /(n) confusion/
乱泥流 [らんでいりゅう] /(n) turbidity current/
乱塔場 [らんとうば] /(iK) (n) cemetery/
乱闘 [らんとう] /(n,vs) fray/fighting/brawling/scuffle/(P)/
乱読 [らんどく] /(n,vs) reading unsystematically/
乱入 [らんにゅう] /(n) (1) trespassing/intrusion/(vs) (2) to barge into/to burst into/to trespass/
乱入者 [らんにゅうしゃ] /(n) intruder/
乱売 [らんばい] /(n,vs) underselling/panic selling/(P)/
乱売合戦 [らんばいかっせん] /(n) price war/cuttrhoat competition/
乱箱 [みだればこ] /(io) (n) lidless box for clothes/
乱発 [らんぱつ] /(n,vs) random firing/reckless firing/excessive issue/(P)/
乱髪 [らんぱつ] /(n,adj-no) unkempt hair/
乱伐 [らんばつ] /(n,vs) reckless deforestation/overcutting of forests/
乱反射 [らんはんしゃ] /(n,vs) diffuse reflection/diffused reflection/irregular reflection/
乱費 [らんぴ] /(n,vs) waste/lavish spending/dissipation/
乱筆 [らんぴつ] /(n) hasty writing/scribble/
乱筆乱文 [らんぴつらんぶん] /(n) (my) poor writing/scribbling/hasty writing/
乱舞 [らっぷ] /(n,vs) boisterous dance/
乱舞 [らんぶ] /(n,vs) boisterous dance/
乱文 [らんぶん] /(n) poor writing/bad writing/rambling prose/
乱編成ファイル [らんへんせいファイル] /(n) random file/
乱捕 [らんどり] /(io) (n) (MA) randori (freestyle judo training)/
乱捕り [らんどり] /(n) (MA) randori (freestyle judo training)/
乱暴 [らんぼう] /(adj-na,n,vs) rude/violent/rough/lawless/unreasonable/reckless/(P)/
乱暴者 [らんぼうもの] /(n) thug/hooligan/
乱暴狼藉 [らんぼうろうぜき] /(n) running amok (amuck)/committing an outrage/rampageous behavior/
乱麻 [らんま] /(n) anarchy/chaos/
乱脈 [らんみゃく] /(adj-na,n) disorder/confusion/chaos/
乱脈経営 [らんみゃくけいえい] /(n) chaotic (irresponsible) management of a company/
乱用 [らんよう] /(n,vs) abuse/misuse/misappropriation/using to excess/(P)/
乱離 [らり] /(n,adj-na) (abbr) being scattered in all directions/being broken up and dispersed/
乱離 [らんり] /(adj-t,adv-to,adj-no) dispersed (of citizens in a war-torn country, etc.)/
乱離骨灰 [らりこっぱい] /(n,adj-na) being scattered in all directions/being broken up and dispersed/
乱立 [らんりつ] /(n,vs) flood (of candidates)/(P)/
乱流 [らんりゅう] /(n,vs) (air) turbulence/
乱倫 [らんりん] /(n) immorality/
乱鬢 [らんびん] /(n) disheveled hair/dishevelled hair/unkempt hair/
卵 [たまご] /(n) (1) eggs/egg/spawn/roe/(2) hen egg/(3) (an expert) in the making/(P)/
卵かけご飯 [たまごかけごはん] /(n) meal composed of a raw egg mixed with white rice, often seasoned with soy sauce/
卵に目鼻 [たまごにめはな] /(exp) (obsc) cute, white, oval face (appearing as if someone glued eyes and a nose on an egg)/
卵の殻 [たまごのから] /(n) eggshell/
卵アルブミン [らんアルブミン] /(n) egg albumin/
卵円 [らんえん] /(n) oval/
卵円窓 [らんえんそう] /(n) fenestra ovalis (of the ear)/
卵黄 [らんおう] /(n,adj-no) egg yolk/
卵黄嚢 [らんおうのう] /(n) yolk sac/
卵殻 [らんかく] /(n) eggshell/
卵割 [かいわり] /(n) radish sprout/
卵割 [らんかつ] /(n) cleavage (in embryology)/segmentation/
卵割り [かいわり] /(n) radish sprout/
卵割腔 [らんかつこう] /(n) cleavage cavity/segmentation cavity/
卵管 [らんかん] /(n,adj-no) fallopian tube/oviduct/(P)/
卵管妊娠 [らんかんにんしん] /(n) tubal pregnancy/
卵型 [たまごがた] /(n,adj-no) oval/egg-shaped/
卵形 [たまごがた] /(n,adj-no) oval/egg-shaped/
卵形 [らんけい] /(n,adj-no) oval/egg-shaped/(P)/
卵形嚢 [らんけいのう] /(n) utriculus/utricle/
卵原細胞 [らんげんさいぼう] /(n) oogonium/
卵細胞 [らんさいぼう] /(n) ovum/egg cell/
卵子 [らんし] /(n,adj-no) ovum/ovule/egg cell/(P)/
卵酒 [たまござけ] /(n) eggnog/
卵焼 [たまごやき] /(n) fried eggs/omelet/omelette/
卵焼き [たまごやき] /(n) fried eggs/omelet/omelette/
卵状 [らんじょう] /(n) egg-shaped/
卵色 [たまごいろ] /(n) yellowish colour (color)/
卵生 [らんせい] /(n,vs,adj-no) oviparity/produced from eggs/
卵生動物 [らんせいどうぶつ] /(n) oviparous animal/
卵巣 [らんそう] /(n,adj-no) ovary/(P)/
卵巣炎 [らんそうえん] /(n) ovaritis/
卵胎生 [らんたいせい] /(n) ovoviviparity/
卵大 [たまごだい] /(adj-no) egg-sized/
卵天狗茸 [たまごてんぐたけ] /(n) (uk) death cap (species of poisonous mushroom, Amanita phalloides)/death cup/
卵塔 [らんとう] /(n) oval tombstone/
卵塔場 [らんとうば] /(n) cemetery/
卵嚢 [らんのう] /(n,adj-no) egg sac/egg case/ootheca/
卵白 [らんぱく] /(n) white of an egg/albumen/
卵白質 [らんぱくしつ] /(n) (obsc) protein/
卵粉 [らんぷん] /(n) dried egg powder/
卵母細胞 [らんぼさいぼう] /(n) oocyte/
卵泡立て器 [たまごあわだてき] /(n) egg beater/
卵胞 [らんほう] /(n,adj-no) (ovarian) follicle/
卵胞 [らんぽう] /(n,adj-no) (ovarian) follicle/
卵胞ホルモン [らんほうホルモン] /(n) estrogen/oestrogen/
卵胞ホルモン [らんぽうホルモン] /(n) estrogen/oestrogen/
卵胞期 [らんぽうき] /(n) follicular phase/proliferative phase (of the estrous or menstrual cycle)/
卵胞刺激ホルモン [らんほうしげきホルモン] /(n) follicle-stimulating hormone/FSH/
卵膜 [らんまく] /(n) egg membrane/
卵立て [たまごたて] /(n) eggcup/
卵料理 [たまごりょうり] /(n) egg dishes/food prepared with eggs/
嵐 [あらし] /(n) storm/tempest/(P)/
嵐の前の静けさ [あらしのまえのしずけさ] /(n) calm before a storm/
嵐気 [らんき] /(n) mountain mist/mountain air/
欄 [らん] /(n) (1) column of text (e.g. in a newspaper)/(2) field (in a form, web page, etc.)/(P)/
欄外 [らんがい] /(n,adj-no) margin/(P)/
欄干 [らんかん] /(n) (1) guardrail/handrail/bannister/(2) (arch) (a person) shining like the stars or moon/(a person) crying endlessly/(P)/
欄間 [らんま] /(n) (in Japanese architecture) transom/
欄参照 [らんさんしょう] /(n) column reference/see column below/
欄杆 [らんかん] /(n) (1) guardrail/handrail/bannister/
濫りがましい [みだりがましい] /(adj-i) morally corrupt/
濫りがわしい [みだりがわしい] /(adj-i) morally corrupt/slovenly/obscene/
濫りに [みだりに] /(adv) without authority/without reason/arbitrarily/unnecessarily/indiscriminately/recklessly/
濫獲 [らんかく] /(n,vs) excessive fishing/overfishing/
濫作 [らんさく] /(n,vs) overproduction/
濫造 [らんぞう] /(n,vs) overproduction/careless manufacture/churning out (substandard goods)/
濫読 [らんどく] /(n,vs) indiscriminate reading/
濫入 [らんにゅう] /(n,vs) enter without permission/
濫発 [らんぱつ] /(n,vs) random firing/reckless firing/excessive issue/
濫伐 [らんばつ] /(n,vs) reckless deforestation/overcutting of forests/
濫費 [らんぴ] /(n,vs) waste/lavish spending/dissipation/
濫用 [らんよう] /(n,vs) abuse/misuse/misappropriation/using to excess/
濫立 [らんりつ] /(n,vs) standing in disarray/coming forth in great number/
濫觴 [らんしょう] /(n) source/beginning/origin/
藍 [あい] /(n) indigo/(P)/
藍てん [らんてん] /(n) (obsc) indigo/
藍衣社員 [らんいしゃいん] /(n) blue-collar/blue-collar worker (employee)/
藍鮫 [あいざめ] /(n) (uk) any shark of genus Centrophorus (esp. the dwarf gulper shark, Centrophorus atromarginatus)/
藍子 [あいご] /(n) (uk) mottled spinefoot (Siganus fuscescens, species of Western Pacific rabbitfish)/dusky rabbitfish/sandy spinefoot/
藍紫色 [らんししょく] /(n) violet tinged with indigo/
藍綬褒章 [らんじゅほうしょう] /(n) Medal with Blue Ribbon (philanthropy)/
藍晶石 [らんしょうせき] /(n) cyanite/
藍色 [あいいろ] /(n) indigo blue/
藍染 [あいぞめ] /(n) indigo dye/
藍染め [あいぞめ] /(n) indigo dye/
藍藻 [らんそう] /(n) blue-green algae/cyanobacteria/
藍銅鉱 [らんどうこう] /(n) azurite/
藍褸 [ぼろ] /(n,pref) rag/scrap/tattered clothes/fault (esp. in a pretense, pretence)/defect/run-down or junky/
蘭 [あららぎ] /(n) (1) (uk) Japanese yew (Taxus cuspidata)/(2) (arch) wild rocambole (Allium grayi)/
蘭 [らに] /(n) (arch) thoroughwort (species of boneset, Eupatorium fortunei)/
蘭 [らん] /(n) (1) orchid/(2) (abbr) Holland/The Netherlands/
蘭学 [らんがく] /(n) Dutch studies/studies of Western knowledge/
蘭月 [らんげつ] /(n) seventh lunar month/
蘭語 [らんご] /(n) (arch) Dutch (language)/
蘭国 [らんこく] /(n) Holland/
蘭栽培法 [らんさいばいほう] /(n) orchidology/
蘭人 [らんじん] /(n) Dutch people/
蘭虫 [らんちゅう] /(n) species of goldfish/
蘭鋳 [らんちゅう] /(n) species of goldfish/
蘭方 [らんぽう] /(n) Western medicine (as introduced to Japan by the Dutch during the Edo period)/
利 [り] /(n) advantage/benefit/profit/interest/(P)/
利いた風 [きいたふう] /(adj-na) flippant/saucy/
利かす [きかす] /(v5s) to season/to enliven/
利かせる [きかせる] /(v1,vt) to be seasoned/to be enlivened/(P)/
利かぬ [きかぬ] /(adj-f) obdurate/adamant/
利かぬ気 [きかぬき] /(adj-na,n) unyielding/
利かん気 [きかんき] /(adj-na,n,adj-no) daring/unyielding/
利かん坊 [きかんぼう] /(n) naughty or unruly child/
利き [きき] /(n) work/efficacy/effective/
利き手 [ききて] /(n) one's dominant hand/
利き酒 [ききざけ] /(n) wine or sake tasting/
利き所 [ききどころ] /(n) effective or important point/
利き足 [ききあし] /(n) one's dominant foot/
利き目 [ききめ] /(n) effect/virtue/efficacy/impression/(P)/
利き腕 [ききうで] /(n) one's dominant arm/
利く [きく] /(v5k,vi) (1) to be effective/to show effect/(2) to do its work/to carry out its function well/(3) to be possible to use/(P)/
利け者 [きけもの] /(n) influential person/
利ざや [りざや] /(n) profit margin/
利する [りする] /(vs-s) (1) to profit/to benefit from/(2) to take advantage of/to make good use of/
利に聡い [りにさとい] /(adj-i) wide-awake to one's interests/
利に走る [りにはしる] /(exp,v5r) to be eager to pursue one's own interests/to think only of profit/
利益 [りえき] /(n,vs) (1) profit/gains/(2) benefit/advantage/interest (of the public, etc.)/(P)/
利益 [りやく] /(n,vs) (1) profit/gains/(2) benefit/advantage/interest (of the public, etc.)/(3) grace (of God, Buddha, etc.) (esp. as attained through rightful actions, prayer, adherence to one's faith, etc.)/blessing/miracle/
利益至上主義 [りえきしじょうしゅぎ] /(n) self interest supremacy doctrine/(irresponsible) capitalism/
利益社会 [りえきしゃかい] /(n) society based on mutual self-interest/
利益相反 [りえきそうはん] /(n) conflict of interest/
利益配当 [りえきはいとう] /(n,adj-no) dividend/share of profits/
利益幅 [りえきはば] /(n) profit margin/
利益目的のために [りえきもくてきのために] /(adv) for profit/for (financial) gain/
利益率 [りえきりつ] /(n) profit ratio/
利下げ [りさげ] /(n,vs) decrease in interest rates/(P)/
利回り [りまわり] /(n) interest/(investment) yield/profits/(P)/
利害 [りがい] /(n) advantages and disadvantages/interest/(P)/
利害関係 [りがいかんけい] /(n) interests/stake/(P)/
利害関係者 [りがいかんけいしゃ] /(n) stakeholder/person holding other people's stakes in a venture (legal)/
利害得失 [りがいとくしつ] /(n) advantages and disadvantages/pros and cons/
利器 [りき] /(n) sharp-edged tool/convenience/
利休色 [りきゅういろ] /(n) blackish green/
利休鼠 [りきゅうねずみ] /(n) grayish dark green/greyish dark green/
利金 [りきん] /(n) interest (money)/
利権 [りけん] /(n) interest/rights/concession/(P)/
利権屋 [りけんや] /(n) concession hunter/profiteer/
利権団体 [りけんだんたい] /(n) special-interest group/
利己 [りこ] /(n) self-interest/(P)/
利己主義 [りこしゅぎ] /(n,adj-no) egoism/selfishness/(P)/
利己主義者 [りこしゅぎしゃ] /(n) egoist/
利己心 [りこしん] /(n) egoism/selfishness/
利己的 [りこてき] /(adj-na) selfish/
利己的遺伝子 [りこてきいでんし] /(n) selfish gene/
利口 [りこう] /(adj-na,n) clever/shrewd/bright/sharp/wise/intelligent/(P)/
利口者 [りこうもの] /(n) clever person/
利巧 [りこう] /(adj-na,n) clever/shrewd/bright/sharp/wise/intelligent/
利根 [りこん] /(adj-na,n) (obsc) intelligence/cleverness/innate aptitude/
利札 [りさつ] /(n) (interest) coupon/
利札 [りふだ] /(n) (interest) coupon/
利子 [りし] /(n) interest (bank)/(P)/
利子支払い [りししはらい] /(n) interest payment/
利子平衡税 [りしへいこうぜい] /(n) interest equalization tax/interest equalisation tax/
利子補給 [りしほきゅう] /(n) subsidized interest payments/subsidised interest payments/
利子率 [りしりつ] /(n) interest rate/
利手 [ききて] /(n) one's dominant hand/
利酒師 [ききさけし] /(n) master of sake/sake advisor/
利潤 [りじゅん] /(n) profit/returns/(P)/
利潤最大化 [りじゅんさいだいか] /(n,vs) profit maximization/profit maximisation/
利潤追求 [りじゅんついきゅう] /(n,adj-no) pursuit of profits/profit-seeking/
利潤率 [りじゅんりつ] /(n) rate of profit/
利鞘 [りざや] /(n) profit margin/
利上げ [りあげ] /(n,vs) increase in interest rates/(P)/
利殖 [りしょく] /(n,vs,adj-no) money-making/(P)/
利食い [りぐい] /(n,vs) profit-taking/
利食い売り [りぐいうり] /(n) profit-taking sale/profit-taking selling/
利尻昆布 [りしりこんぶ] /(n) (uk) Laminaria ochotensis (species of kelp)/
利刃 [りじん] /(n) sharp sword/
利水 [りすい] /(n,adj-no) irrigation/
利水工事 [りすいこうじ] /(n) irrigation works/
利生 [りしょう] /(n) (Buddh) (obsc) blessings bestowed by the Buddha on all living creatures/
利息 [りそく] /(n) interest (bank)/(P)/
利他 [りた] /(n) altruism/
利他主義 [りたしゅぎ] /(n) altruism/
利他主義者 [りたしゅぎしゃ] /(n) altruist/
利敵 [りてき] /(n) benefitting the enemy/benefiting the enemy/
利敵行為 [りてきこうい] /(n) act which serves the interests of (benefits) the enemy/
利点 [りてん] /(n) advantage/point in favor/point in favour/(P)/
利刀 [りとう] /(n) sharp sword/
利得 [りとく] /(n,vs) gain/profit/benefit/amplification/
利鈍 [りどん] /(n) sharp or blunt/bright or foolish/
利尿 [りにょう] /(n,adj-no) diuresis/
利尿剤 [りにょうざい] /(n) diuretic/
利発 [りはつ] /(adj-na,n) intelligence/
利付き [りつき] /(n) interest-bearing/
利付債 [りつきさい] /(n) interest-bearing bond/
利幅 [りはば] /(n) profit margin/
利福 [りふく] /(n) happiness/
利払い [りばらい] /(n) interest payment/(P)/
利便 [りべん] /(adj-na,n) convenience/(P)/
利便性 [りべんせい] /(n) convenience/user-friendliness/
利目 [ききめ] /(n) effect/virtue/efficacy/impression/
利用 [りよう] /(n,vs) use/utilization/utilisation/application/(P)/
利用価値 [りようかち] /(n) utility value/
利用可能 [りようかのう] /(adj-na) (comp) available/usable (e.g. bandwidth)/
利用可能ビットレート [りようかのうビットレート] /(n) (comp) available bit rate/ABR/
利用可能時間 [りようかのうじかん] /(n) (comp) accountable time/
利用可能領域 [りようかのうりょういき] /(n) (comp) available area/
利用時間 [りようじかん] /(n) usage time/utilization time/
利用者 [りようしゃ] /(n) user/end-user/consumer/(P)/
利用者ＡＳＥ [りようしゃエーエスイー] /(n) (comp) user-ASE/
利用者ＩＤ [りようしゃアイディー] /(n) (comp) user ID/
利用者の登録 [りようしゃのとうろく] /(n) (comp) user registration/
利用者の認証 [りようしゃのにんしょう] /(n) (comp) user authentication/
利用者サービスクラス [りようしゃサービスクラス] /(n) (comp) user class of service/
利用者マニュアル [りようしゃマニュアル] /(n) (comp) user manual/user's guide/
利用者機能 [りようしゃきのう] /(n) (comp) user facility/
利用者機能体 [りようしゃきのうたい] /(n) (comp) User Agent/UA/
利用者語 [りようしゃご] /(n) (comp) user-defined word/
利用者誤り指示未完了 [りようしゃあやまりしじみかんりょう] /(n) (comp) (obsc) user error indication outstanding/
利用者誤り要求未完了 [りようしゃあやまりようきゅうみかんりょう] /(n) (comp) User error request outstanding/
利用者座標 [りようしゃざひょう] /(n) (comp) user coordinate/
利用者証明証 [りようしゃしょうめいしょう] /(n) (comp) user certificate/certificate/
利用者定義演算 [りようしゃていぎえんざん] /(n) (comp) defined operation/
利用者定義代入文 [りようしゃていぎだいにゅうぶん] /(n) (comp) defined assignment statement/
利用者名 [りようしゃめい] /(n) (comp) user name/
利用条件 [りようじょうけん] /(n) terms of use/
利用頻度 [りようひんど] /(n,adj-no) (comp) frequency of use/
利用便覧 [りようびんらん] /(n) (comp) user handbook/
利用目的 [りようもくてき] /(n) purpose of use/
利用率 [りようりつ] /(n) utilization rate/capacity factor/utilization factor/coefficient of use/
利用料 [りようりょう] /(n) usage charge/usage fee/
利用料金 [りようりょうきん] /(n) usage charge/usage fee/
利欲 [りよく] /(n) greed/avarice/
利落ち [りおち] /(n,vs) ex-interest/
利率 [りりつ] /(n) interest rate/(P)/
利腕 [ききうで] /(n) one's dominant arm/
吏 [り] /(n) (arch) an official/
吏員 [りいん] /(n) official/
吏臭 [りしゅう] /(n) officialism/red tape/
吏人 [りじん] /(n) officials/
吏党 [りとう] /(n) party of officials/
吏道 [りどう] /(n) official ethics/
吏部 [りぶ] /(n) Ministry of Personnel (Tang-dynasty China)/
吏部 [りほう] /(n) Ministry of Personnel (Tang-dynasty China)/
吏務 [りむ] /(n) the work of officials/
履 [くつ] /(n) shoes/footwear/
履き違える [はきちがえる] /(v1,vt) (1) to put on another's shoes/(2) to be mistaken/
履き古し [はきふるし] /(n) worn-out shoes/worn-out socks/(P)/
履き替える [はきかえる] /(v1,vt) (1) to change (lower-body clothing: shoes, slippers, pants, a skirt, etc.)/(2) to put on the wrong pair of shoes by mistake/
履き物 [はきもの] /(n) footwear/clogs/
履く [はく] /(v5k,vt) (1) to put on (or wear) lower-body clothing (i.e. pants, skirt, etc.)/to put on (or wear) footwear/(2) to affix a sword to one's hip/(3) to affix a bowstring to a bow/(P)/
履む [ふむ] /(v5m,vt) (1) to step on/to tread on/(2) to experience/to undergo/(3) to estimate/to value/to appraise/(4) to rhyme/(5) (arch) to inherit (the throne, etc.)/(6) to follow (rules, morals, principles, etc.)/
履行 [りこう] /(n,vs) performance/fulfillment/fulfilment/discharge/implementation/(P)/
履修 [りしゅう] /(n,vs) taking a class/studying a subject/completing a course/
履替える [はきかえる] /(v1,vt) (1) to change (lower-body clothing: shoes, slippers, pants, a skirt, etc.)/(2) to put on the wrong pair of shoes by mistake/
履物 [はきもの] /(n) footwear/clogs/(P)/
履歴 [りれき] /(n) personal history/background/career/log/record/(P)/
履歴データ [りれきデータ] /(n) (comp) historical data/
履歴現象 [りれきげんしょう] /(n,adj-no) hysteresis (medical)/
履歴書 [りれきしょ] /(n) personal history/curriculum vitae/resume/(P)/
履歴情報 [りれきじょうほう] /(n) (comp) historical information/
李 [すもも] /(n) Japanese plum/prune/Prunus salicina/(P)/
李下に冠を正さず [りかにかんむりをたださず] /(exp) avoiding the appearance of evil (lit: don't straighten your crown under a plum tree)/
李下瓜田 [りかかでん] /(exp) Be careful not to invite the least suspicion/Leave no room for scandal/
李花 [りか] /(n) plum blossoms/
李氏朝鮮 [りしちょうせん] /(n) Joseon Dynasty/Yi Dynasty (1392-1910) Korea/
李承晩 [りしょうばん] /(n) Rhee Syngman, president of Korea 1948-1960/
李朝 [りちょう] /(n) Joseon Dynasty/Yi Dynasty of Korea (1392-1910)/Ly Dynasty of Vietnam (1009-1225)/
李部 [りぶ] /(n) Ministry of Personnel (Tang-dynasty China)/
李部 [りほう] /(n) Ministry of Personnel (Tang-dynasty China)/
梨 [なし] /(n) nashi (Pyrus pyrifolia, esp. var. culta)/Japanese pear/Asian pear/sand pear/apple pear/(P)/
梨の実 [なしのみ] /(n) pear/
梨の礫 [なしのつぶて] /(exp,n) not getting a reply/
梨園 [りえん] /(n) theatrical world/
梨果 [りか] /(n,adj-no) pome/
梨花 [りか] /(n) pear blossoms/
梨子地 [なしじ] /(n) nashiji (lacquering technique using gold or silver powder or flakes)/
梨地 [なしじ] /(n) nashiji (lacquering technique using gold or silver powder or flakes)/
理 [ことわり] /(n) reason/truth/way of things/justice/
理 [り] /(n) (1) reason/principle/logic/(2) (Buddh) general principle (as opposed to individual concrete phenomenon)/(3) (in neo-Confucianism) the underlying principles of the cosmos/(P)/
理が非でも [りがひでも] /(adv) by fair means or foul/right or wrong/
理にかなう [りにかなう] /(exp,v5u) to make sense/
理に適う [りにかなう] /(exp,v5u) to make sense/
理に落ちる [りにおちる] /(exp,v1) to become overly logical/to be hairsplitting/
理のある [りのある] /(exp) justifiable/
理の当然 [りのとうぜん] /(exp) standing to reason/natural/
理の有る [りのある] /(exp) justifiable/
理り [ことわり] /(n) reason/truth/way of things/justice/
理化学 [りかがく] /(n) physics and chemistry/
理科 [りか] /(n,adj-no) science/(P)/
理科系 [りかけい] /(n) science course/
理科大学 [りかだいがく] /(n) college of science/
理科離れ [りかばなれ] /(n) science phobia/
理会 [りかい] /(n,vs) being aware/
理解 [りかい] /(n,vs) understanding/comprehension/appreciation/sympathy/(P)/
理解しがたい [りかいしがたい] /(exp) hard to understand/Byzantine fashion/
理解し合う [りかいしあう] /(v5u) to reach mutual understanding/to understand each other/
理解を示す [りかいをしめす] /(exp,v5s) to show understanding/to appreciate/to be positive about/
理解を深める [りかいをふかめる] /(exp,v1) to cultivate a better understanding/
理解語彙 [りかいごい] /(n) (ling) passive vocabulary/
理解度 [りかいど] /(n) comprehension/understanding/
理解不能 [りかいふのう] /(adj-na) impossible to understand/impossible to decypher/
理解力 [りかいりょく] /(n) (power of) understanding/comprehensive faculty/
理外 [りがい] /(n) supra-rational/
理外の理 [りがいのり] /(n) transcendental reason/
理学 [りがく] /(n) (1) physical science (e.g. chemistry, biology, etc.)/(2) physics/(3) lixue (Song-era Chinese philosophy)/(4) (arch) philosophy/(P)/
理学士 [りがくし] /(n) Bachelor of Science/BSc/BS/
理学修士 [りがくしゅうし] /(n) Master of Science/
理学博士 [りがくはかせ] /(n) Doctor of Science/DSc/
理学博士 [りがくはくし] /(n) Doctor of Science/DSc/
理学部 [りがくぶ] /(n) department of science/(P)/
理学療法 [りがくりょうほう] /(n) physiotherapy/physical therapy/
理学療法士 [りがくりょうほうし] /(n) physiotherapist/
理詰 [りづめ] /(io) (n,adj-no) reasoning/logic/persuasion/
理詰め [りづめ] /(n,adj-no) reasoning/logic/persuasion/
理屈 [りくつ] /(n) theory/reason/(P)/
理屈っぽい [りくつっぽい] /(adj-i) argumentative/
理屈屋 [りくつや] /(n) quibbler/
理窟 [りくつ] /(n) theory/reason/
理系 [りけい] /(n) science/(P)/
理系ばなれ [りけいばなれ] /(n) flight from science/
理系離れ [りけいばなれ] /(n) flight from science/
理工 [りこう] /(n) science and technology/(P)/
理工科 [りこうか] /(n) department of science and technology/
理工学部 [りこうがくぶ] /(n) department of science and engineering/(P)/
理工系 [りこうけい] /(n) science and technology/
理財 [りざい] /(n) finance/economy/
理財家 [りざいか] /(n) financier/
理財学 [りざいがく] /(n) (obs) political economy/
理事 [りじ] /(n) director/board of directors/(P)/
理事会 [りじかい] /(n) board of directors or trustees/
理事国 [りじこく] /(n) member country of the executive committee in an international organization (organisation)/
理事長 [りじちょう] /(n) board chairman/
理神 [りしん] /(n) deism/belief in God as creator of universe/
理神論 [りしんろん] /(n) deism/
理数 [りすう] /(n) science and mathematics/
理性 [りせい] /(n) reason/sense/(P)/
理性に訴える [りせいにうったえる] /(exp,v1) to appeal to one's reason/
理性のたが [りせいのたが] /(exp) the bounds of reason/the limits of (common) sense/
理性のタガ [りせいのタガ] /(exp) the bounds of reason/the limits of (common) sense/
理性の箍 [りせいのたが] /(exp) the bounds of reason/the limits of (common) sense/
理性的 [りせいてき] /(adj-na) rational/
理性論 [りせいろん] /(n) rationalism/
理想 [りそう] /(n,adj-no) ideal/dream/(P)/
理想化 [りそうか] /(n,vs) idealization/idealisation/
理想家 [りそうか] /(n) idealist/
理想気体 [りそうきたい] /(n) ideal gas/perfect gas/
理想郷 [りそうきょう] /(n) ideal land/earthly paradise/Utopia/Arcadia/
理想型 [りそうけい] /(n) ideal type/
理想主義 [りそうしゅぎ] /(n,adj-no) idealism/
理想像 [りそうぞう] /(n) idealized image/
理想的 [りそうてき] /(adj-na) ideal/(P)/
理想的な言語使用者 [りそうてきなげんごしようしゃ] /(n) ideal speaker-hearer/
理想論 [りそうろん] /(n) idealistic thought (argument)/
理体 [りたい] /(n) (1) (Buddh) (obsc) essence of all things/(2) noumenon/
理知 [りち] /(n) intellect/
理知的 [りちてき] /(adj-na,n) intellectual/
理念 [りねん] /(n) idea/(P)/
理念型 [りねんけい] /(n) ideal type/
理念的 [りねんてき] /(adj-na) conceptual/
理髪 [りはつ] /(n,vs,adj-no) haircut/(P)/
理髪師 [りはつし] /(n) barber/
理髪室 [りはつしつ] /(n) barbershop/hairdresser/
理髪店 [りはつてん] /(n) barbershop/
理非 [りひ] /(n) judgement of right and wrong (judgment)/
理非曲直 [りひきょくちょく] /(n) the rights and wrongs (of a case)/
理不尽 [りふじん] /(adj-na,n) unreasonable/irrational/(P)/
理法 [りほう] /(n) law/
理由 [りゆう] /(n) reason/pretext/motive/(P)/
理由の原理 [りゆうのげんり] /(n) principle of reason (logic)/
理由をつける [りゆうをつける] /(exp,v1) to give a reason/
理由を付ける [りゆうをつける] /(exp,v1) to give a reason/
理容 [りよう] /(n) barbering/haircutting/hairdressing/
理容師 [りようし] /(n) barber/hairdresser/
理容室 [りようしつ] /(n) barber's shop/
理力 [りりき] /(n) the force (in Star Wars)/
理力 [りりょく] /(n) the force (in Star Wars)/
理路 [りろ] /(n) logic/reasoning/argument/
理路整然 [りろせいぜん] /(uK) (n) logical/cogent/well-reasoned/
理論 [りろん] /(n) theory/(P)/
理論づける [りろんづける] /(v1) to theorize/
理論化学 [りろんかがく] /(n) theoretical chemistry/
理論家 [りろんか] /(n) theorist/
理論空燃比 [りろんくうねんひ] /(n) theoretical air fuel ratio/
理論体系 [りろんたいけい] /(n) body of theory (about energy)/
理論値 [りろんち] /(n) theoretical value/
理論的 [りろんてき] /(adj-na) theoretical/
理論的には [りろんてきには] /(n) theoretically (speaking)/
理論哲学 [りろんてつがく] /(n) theoretical philosophy/
理論闘争 [りろんとうそう] /(n) theoretical dispute/
理論付ける [りろんづける] /(v1) to theorize/
理論武装 [りろんぶそう] /(n,vs) being prepared for a theoretical (ideological) argument/being armed with theoretical backing/
理論物理学 [りろんぶつりがく] /(n) theoretical physics/
裏 [うら] /(n) (1) bottom (or another side that is hidden from view)/undersurface/opposite side/reverse side/(2) rear/back/behind (the house)/(3) lining/inside/(4) out of sight/behind the scenes/(5) proof/(6) opposite (of a prediction, common sense, etc.)/(7) inverse (of a hypothesis, etc.)/(8) bottom (of an inning)/last half (of an inning)/(P)/
裏かく [うらかく] /(exp,v5k) (obsc) to pierce something all the way through (with a lance, arrow, etc.)/
裏が有る [うらがある] /(exp) (id) There are wheels within wheels/
裏ごし [うらごし] /(n,vs) strainer/
裏づけ [うらづけ] /(n,adj-no) backing/support/endorsement/collateral/security/guarantee/proof/substantiation/foundation/lining (something)/something lined/
裏づける [うらづける] /(v1,vt) to support/to endorse/to substantiate/(P)/
裏には裏がある [うらにはうらがある] /(exp) there are wheels within wheels/there's more to most things than meets the eye/
裏には裏が有る [うらにはうらがある] /(exp) there are wheels within wheels/there's more to most things than meets the eye/
裏ぶた [うらぶた] /(n) back cover (e.g. camera, watch, etc.)/
裏をかく [うらをかく] /(exp,v5k) (1) to outwit/to outsmart/to counterplot/to defeat/(2) to pierce something all the way through/
裏を取る [うらをとる] /(exp,v5r) to collect evidence/
裏を掻く [うらをかく] /(exp,v5k) (1) to outwit/to outsmart/to counterplot/to defeat/(2) to pierce something all the way through/
裏を返す [うらをかえす] /(exp,v5s) to turn inside out/to turn the other way/
裏スジ [うらスジ] /(n) frenulum of prepuce of penis/
裏プロセス [うらプロセス] /(n) (comp) background process/
裏プロセスグループ [うらプロセスグループ] /(n) (comp) background process group/
裏ルート [うらルート] /(n,adj-no) back channel/back route/illegal channel/back door/
裏囲い [うらがこい] /(n) back fence/
裏渦貝 [うらうずがい] /(n) (uk) Astralium haematragum (species of turban shell)/
裏屋 [うらや] /(n) alley house/rear tenement/slum/
裏蓋 [うらぶた] /(n) back cover (e.g. camera, watch, etc.)/
裏街 [うらまち] /(n) back street/back alley/slums/
裏街道 [うらかいどう] /(n) byroad/byway/
裏鬼門 [うらきもん] /(n) unlucky quarter (southwest)/
裏技 [うらわざ] /(n) (1) underhanded trick/(2) (comp) exception operation/
裏筋 [うらすじ] /(n) frenulum of prepuce of penis/
裏襟 [うらえり] /(n) neckband lining/
裏金 [うらがね] /(n) (1) bribe/(2) secret fund/slush fund/money for bribery/(P)/
裏芸 [うらげい] /(n) act or trick which a performer reserves for selected occasions/
裏拳 [うらけん] /(n) backhand blow/backhand chop/backfist (karate)/
裏口 [うらぐち] /(n,adj-no) backdoor/rear entrance/(P)/
裏口営業 [うらぐちえいぎょう] /(n) illegal business/
裏口入学 [うらぐちにゅうがく] /(n,vs) backdoor admission to a school/backdoor entry to a school/buying one's way into school/bribing one's way into a school/
裏向き [うらむき] /(n) (1) actual and hidden/(2) inside out (e.g. of socks, etc.)/
裏工作 [うらこうさく] /(n) dodgy dealings/monkey business/
裏合わせ [うらあわせ] /(adj-na,n) fitting things back to back/agreement of minds/
裏漉し [うらごし] /(n,vs) strainer/
裏込め [うらごめ] /(n) back-filling/
裏作 [うらさく] /(n) second crop/interim crop/
裏山 [うらやま] /(n) the hill back of one's home/hill back from the seashore/
裏若い [うらわかい] /(iK) (adj-i) young/youthful/
裏取り引き [うらとりひき] /(n) backroom deal/
裏取引 [うらとりひき] /(n) backroom deal/
裏手 [うらて] /(n,adj-no) back of house/
裏書 [うらがき] /(n,vs) endorsement/proof/note on back of the scroll/
裏書き [うらがき] /(n,vs) endorsement/proof/note on back of the scroll/
裏書禁止手形 [うらがききんしてがた] /(n) non-negotiable bill/
裏書譲渡 [うらがきじょうと] /(n) endorsing over to/
裏書人 [うらがきにん] /(n) endorser/
裏情 [うらなさけ] /(n) inner affection/
裏声 [うらごえ] /(n) falsetto/
裏切り [うらぎり] /(n) treachery/betrayal/perfidy/(P)/
裏切り者 [うらぎりもの] /(n) betrayer/traitor/turncoat/informer/(P)/
裏切る [うらぎる] /(v5r,vt) to betray/to turn traitor to/to double-cross/(P)/
裏切者 [うらぎりもの] /(n) betrayer/traitor/turncoat/informer/
裏千家 [うらせんけ] /(n) Urasenke school of tea ceremony/
裏窓 [うらまど] /(n) back (rear) window/
裏側 [うらがわ] /(n,adj-no) the reverse/other side/lining/(P)/
裏打ち [うらうち] /(n,vs) (1) lining/backing/(2) vouching for/
裏打ち紙 [うらうちがみ] /(n) end leaves (of a book)/lining paper/
裏貸屋 [うらがしや] /(n) house in back for rent/
裏地 [うらじ] /(n) lining/
裏張 [うらばり] /(n,vs) lining/
裏張り [うらばり] /(n,vs) lining/
裏町 [うらまち] /(n) back street/back alley/slums/
裏長屋 [うらながや] /(n) rear tenement/
裏通 [うらとおり] /(io) (ik) (n) side street (often parallel to a main street)/back street/alley/
裏通 [うらどおり] /(io) (n) side street (often parallel to a main street)/back street/alley/
裏通り [うらとおり] /(ik) (n) side street (often parallel to a main street)/back street/alley/
裏通り [うらどおり] /(n) side street (often parallel to a main street)/back street/alley/(P)/
裏庭 [うらにわ] /(n) rear garden/back yard/
裏釘 [うらくぎ] /(n) nail sticking through/
裏店 [うらだな] /(n) house in an alley/rear tenement/slums/
裏投げ [うらなげ] /(n) (MA) ura-nage (in judo, an over-the-head throw performed by rolling backwards)/
裏道 [うらみち] /(n) back lane/secret path/unfair means/(P)/
裏日本 [うらにっぽん] /(n) (sens) Japan Sea coastal areas/Sea of Japan coastal areas/
裏日本 [うらにほん] /(n) (sens) Japan Sea coastal areas/Sea of Japan coastal areas/
裏背戸 [うらせど] /(n) back door/
裏白 [うらじろ] /(n) fern with white-backed leaves/sorbus japonica/
裏帆 [うらほ] /(n) (1) sail with the wind at its back/(adv) (2) aback/
裏板 [うらいた] /(n) (1) roof boards/ceiling/(2) back board (furniture)/
裏番 [うらばん] /(n) (sl) secret leader of a group of juvenile delinquents/
裏番組 [うらばんぐみ] /(n) program in a competing timeslot (programme)/
裏扉 [うらとびら] /(n) back leaf/
裏表 [うらおもて] /(n) (1) both sides/(2) wrong side out/reverse/opposite/(3) double-dealing/two faces (c.f. two-faced)/(P)/
裏表紙 [うらびょうし] /(n) back cover/
裏付 [うらづけ] /(n,adj-no) backing/support/endorsement/collateral/security/guarantee/proof/substantiation/foundation/lining (something)/something lined/
裏付き [うらづき] /(n) lined/something lined/
裏付け [うらづけ] /(n,adj-no) backing/support/endorsement/collateral/security/guarantee/proof/substantiation/foundation/lining (something)/something lined/(P)/
裏付ける [うらづける] /(v1,vt) to support/to endorse/to substantiate/
裏付け物資 [うらづけぶっし] /(n) collateral goods/
裏腹 [うらはら] /(adj-na,n) opposite/reverse/contrary/(P)/
裏編み [うらあみ] /(n) purl (stitch)/purl knitting/
裏返し [うらがえし] /(n) inside out/upside down/(P)/
裏返す [うらがえす] /(v5s,vt) to turn inside out/to turn the other way/to turn (something) over/(P)/
裏返る [うらがえる] /(v5r,vi) to be turned inside out/
裏方 [うらかた] /(n) (1) lady consort (to a high personage)/(2) someone working behind-the-scenes/scene shifter/(P)/
裏名 [うらな] /(n) secret name/alias/
裏面 [りめん] /(n) back/reverse/other side/inside/tails (of coins)/background/(P)/
裏面に続く [りめんにつづく] /(exp,v5k) continued overleaf/please turn over/PTO/
裏面工作 [りめんこうさく] /(n) string-pulling/backstage manoeuvering (maneuvering)/
裏面史 [りめんし] /(n) hidden historical background/
裏毛 [うらけ] /(n) fleece lining/
裏木戸 [うらきど] /(n) back door/
裏目 [うらめ] /(n) (1) reverse side/opposite (of the expected)/backfire/(2) purl stitch (knitting)/(P)/
裏問う [うらどう] /(v5u-s) (obsc) to ascertain a person's innermost feelings/
裏紋 [うらもん] /(n) informal crest/
裏門 [うらもん] /(n) back gate/(P)/
裏話 [うらばなし] /(n) story not generally known/inside story/the real story (behind something)/
里 [さと] /(n) (1) village/hamlet/(2) countryside/country/(3) home (of one's parents, etc.)/hometown/(4) one's origins/one's upbringing/one's past/
里 [り] /(n) (1) ri (old Japanese unit of distance, approx. 3.927km or 2.44 miles)/(2) neighbourhood (under the ritsuryo system; orig. of 50 homes)/(3) unit of area (approx. 654m by 654m)/(P)/
里芋 [さといも] /(n) taro (Colocasia esculenta)/dasheen/eddo/
里芋科 [さといもか] /(n) Araceae (the arum family of plants)/
里帰り [さとがえり] /(n,vs) returning home/visiting one's parents/new bride's first visit to parents/(P)/
里帰り展 [さとがえりてん] /(n) exhibition of returned works (e.g. from overseas)/
里犬 [さといぬ] /(n) pet dog/domesticated dog/
里言 [りげん] /(n) dialect/
里言葉 [さとことば] /(n) dialect/(historical) language used toward customers by women in the drinking-world establishment/
里桜 [さとざくら] /(n) any oriental variety of cherry tree descended from the Oshima cherry/
里山 [さとやま] /(n) (1) undeveloped woodland near populated area/(2) settlement pattern of living in upland valleys and cultivating lower slopes/
里子 [さとご] /(n) foster child/(P)/
里心 [さとごころ] /(n) homesickness/nostalgia/
里神楽 [さとかぐら] /(n) kagura performance held somewhere other than the imperial palace/
里親 [さとおや] /(n,adj-no) foster parent/foster parents/(P)/
里人 [さとびと] /(n) villager/village folk/countryfolk/
里人 [りじん] /(n) villager/village folk/countryfolk/
里数 [りすう] /(n) mileage/distance/
里雪 [さとゆき] /(n) snow that falls on villages/
里村 [さとむら] /(n) village/
里程 [りてい] /(n) mileage/distance/
里程標 [りていひょう] /(n) milepost/milestone/
里内裏 [さとだいり] /(n) imperial palace temporarily built outside of the great imperial palace (Heian period)/
里偏 [さとへん] /(n) kanji "village" radical/
里方 [さとかた] /(n) wife's family/
里謡 [りよう] /(n) folk song/ballad/
離 [り] /(n) li (one of the trigrams of the I Ching: fire, south)/
離しょう [りしょう] /(n) syneresis/
離す [はなす] /(v5s,vt) to part/to divide/to separate/to release/(P)/
離れ [はなれ] /(pref) (1) detached (dwelling, room)/
離れ [ばなれ] /(suf) (1) separation from/loss of interest in/independence of/distancing (of oneself) from/disillusionment with/alienation from (something)/
離ればなれ [はなればなれ] /(adj-na,adj-no,n) separate/scattered/apart/atwain/
離れる [はなれる] /(v1,vi) to be separated from/to leave/to go away/to be a long way off/(P)/
離れ家 [はなれや] /(n) detached building/solitary house/
離れ技 [はなれわざ] /(n) stunt/feat/
離れ去る [はなれさる] /(v5r,vi) to break loose/to quit/
離れ業 [はなれわざ] /(n) stunt/feat/
離れ座敷 [はなれざしき] /(n) room detached from main house/
離れ島 [はなれじま] /(n) solitary island/
離れ離れ [はなればなれ] /(adj-na,adj-no,n) separate/scattered/apart/atwain/
離れ離れになる [はなればなれになる] /(exp) to be dispersed/to get separated/
離宴 [りえん] /(n) parting party/divorce party/
離縁 [りえん] /(n,vs) divorce/dissolution of adoption/
離縁状 [りえんじょう] /(n) letter of divorce/
離隔 [りかく] /(n,vs) isolation/separation/
離間 [りかん] /(n,vs) estrangement/alienation/
離間策 [りかんさく] /(n) scheme to provoke discord or alienation/
離岸 [りがん] /(n,vs) setting sail/
離岸流 [りがんりゅう] /(n) rip current/
離宮 [りきゅう] /(n) villa (imperial)/(P)/
離京 [りきょう] /(n,vs) departure from the capital/
離郷 [りきょう] /(n,vs) departure from one's home town/
離苦 [りく] /(n) agony of separation/
離合 [りごう] /(n,vs) alliance and rupture/meeting and parting/
離合集散 [りごうしゅうさん] /(n,vs) alliance and rupture/
離婚 [りこん] /(n,vs) divorce/(P)/
離婚を申請する [りこんをしんせいする] /(exp,vs-i) to file for divorce/
離婚訴訟 [りこんそしょう] /(n) divorce suit/divorce proceedings/
離婚届 [りこんとどけ] /(n) official divorce registration papers/
離婚届け [りこんとどけ] /(n) official divorce registration papers/
離婚率 [りこんりつ] /(n) divorce rate/
離魂病 [りこんびょう] /(n) somnambulism/
離座敷 [はなれざしき] /(io) (n) room detached from main house/
離山 [りざん] /(n,vs) isolated mountain/departure from a temple/
離散 [りさん] /(n,vs) (1) dispersal/scattering/(adj-no) (2) discrete/(P)/
離散コサイン変換 [りさんコサインへんかん] /(n) (comp) Discrete Cosine Transform/DCT/
離散フーリエ変換 [りさんフーリエへんかん] /(n) (comp) Discrete Fourier Transform/DFT/
離散集合 [りさんしゅうごう] /(n,vs) meeting and parting/gathering and scattering/alignment and realignment/alternating alliance and rupture/alternating cooperation and defection/
離散的 [りさんてき] /(adj-na) discrete/separate/
離散的データ [りさんてきデータ] /(n) (comp) discrete data/
離散的表現 [りさんてきひょうげん] /(n) (comp) discrete representation/
離愁 [りしゅう] /(n) sorrow of parting/
離床 [りしょう] /(n,vs) getting out of bed/leaving one's sick-bed/
離昇 [りしょう] /(n,vs) lift-off (e.g. of rockets, planes, etc.)/take-off/
離礁 [りしょう] /(n,vs) refloat/
離職 [りしょく] /(n,vs) leaving or losing a job/(P)/
離職者 [りしょくしゃ] /(n) retired employee/unemployed person/
離職率 [りしょくりつ] /(n) job separation rate/job turnover/
離心円 [りしんえん] /(n) eccentric circle/
離心率 [りしんりつ] /(n) eccentricity/
離人症 [りじんしょう] /(n) depersonalization/
離水 [りすい] /(n,vs) (seaplane's) takeoff/
離水海岸 [りすいかいがん] /(n) emergent coastline/emerged shoreline/negative shoreline/shoreline of emergence/
離席 [りせき] /(n,vs) leaving one's seat (keyboard, etc.)/
離席中 [りせきちゅう] /(exp) currently away from my seat (keyboard, etc.)/AFK/
離籍 [りせき] /(n,vs) removal of name from family register/
離村 [りそん] /(n,vs) leaving one's village/
離村傾向 [りそんけいこう] /(n) trend to move away from rural areas/rural depopulation/
離脱 [りだつ] /(n,vs) withdrawal/secession/separation/breakaway/(P)/
離断 [りだん] /(n) dissection/disconnection/diaeresis/
離着陸 [りちゃくりく] /(n,vs) takeoff and landing/(P)/
離党 [りとう] /(n,vs) secession from a political party/(P)/
離島 [りとう] /(n) isolated (outlying) island/departure from an island/(P)/
離日 [りにち] /(n,vs) departure from Japan/
離乳 [りにゅう] /(n,vs) weaning/
離乳期 [りにゅうき] /(n) weaning period/
離乳食 [りにゅうしょく] /(n) baby food/
離任 [りにん] /(n,vs) departure from office/
離農 [りのう] /(n,vs) giving up farming for another profession/
離反 [りはん] /(n,vs) estrangement/alienation/disaffection/(P)/
離別 [りべつ] /(n,vs) separation/divorce/
離弁花 [りべんか] /(n) schizopetalous flower/
離陸 [りりく] /(n,vs) takeoff/(P)/
離婁の明 [りろうのめい] /(n) (arch) (id) keen eyesight/the eyesight of Lilou (character with superior eyesight in ancient Chinese folklore)/
離漿 [りしょう] /(n) syneresis/
離筵 [りえん] /(n) parting party/divorce party/
陸 [おか] /(n) land/shore/
陸 [りく] /(n) land/shore/(P)/
陸 [ろく] /(adj-na) (uk) good/satisfactory/worthy/decent/
陸 [ろく] /(num) six (used in legal documents)/
陸々 [ろくろく] /(adv) hardly/barely/inadequately (with negative grammatical constructions)/
陸すっぽ [ろくすっぽ] /(adv) (uk) (before neg. verb) (not) enough/(in)sufficiently/(un)satisfactorily/
陸でなし [ろくでなし] /(n) (uk) bum/good-for-nothing/ne'er-do-well/
陸な [ろくな] /(adj-pn) (uk) satisfactory/decent/
陸に [ろくに] /(adv) (uk) well/enough/sufficient/
陸に上がった河童 [おかにあがったかっぱ] /(exp) a fish out of water/a kappa up on the land/
陸を行く [りくをいく] /(exp,v5k-s) to travel overland/to go by land/
陸稲 [おかぼ] /(n) rice grown on dry land/dry land rice plant/
陸稲 [りくとう] /(n) rice grown on dry land/dry land rice plant/
陸運 [りくうん] /(n) land transportation/
陸運局 [りくうんきょく] /(n) District Land Transport Bureau (i.e. motor traffic agency) (USA: DMV)/
陸屋根 [ろくやね] /(n) flat roof/
陸海 [りくかい] /(n) land and sea/(P)/
陸海空 [りくかいくう] /(n) land, sea, and air/
陸海空軍 [りくかいくうぐん] /(n) land, sea and air forces/
陸海軍 [りくかいぐん] /(n) army and navy/
陸岸 [りくがん] /(n) land/shore/
陸寄居虫 [おかやどかり] /(n) (uk) concave land hermit crab (Coenobita cavipes)/
陸橋 [りっきょう] /(n) (1) viaduct/overhead bridge/overpass/(2) land bridge/(P)/
陸軍 [りくぐん] /(n) army/(P)/
陸軍航空隊 [りくぐんこうくうたい] /(n) army aviation/
陸軍士官学校 [りくぐんしかんがっこう] /(n) (US) Military Academy/
陸軍省 [りくぐんしょう] /(n) (US) Department of the Army/
陸軍大学 [りくぐんだいがく] /(n) Military Staff College/
陸軍大佐 [りくぐんたいさ] /(n) army colonel/
陸軍大将 [りくぐんたいしょう] /(n) army general/
陸軍大臣 [りくぐんだいじん] /(n) Army Minister/Minister of War/
陸軍中将 [りくぐんちゅうじょう] /(n) lieutenant general (army)/lt. general/
陸軍特殊部隊 [りくぐんとくしゅぶたい] /(n) Delta Force (US)/
陸行 [りっこう] /(n,vs) go by land/
陸産 [りくさん] /(n) land products/
陸産物 [りくさんぶつ] /(n) land products/
陸自 [りくじ] /(n) (abbr) Japan Ground Self-Defense Force/JGSDF/
陸鹿尾菜 [おかひじき] /(n) (uk) Salsola komarovii (species of saltwort)/
陸尺 [ろくしゃく] /(n) (1) palanquin bearer/
陸宿借 [おかやどかり] /(n) (uk) concave land hermit crab (Coenobita cavipes)/
陸将 [りくしょう] /(n) general/lieutenant general/
陸上 [りくじょう] /(n,adj-no) land/ground/shore/(P)/
陸上運送保険 [りくじょううんそうほけん] /(n) land transportation insurance/
陸上競技 [りくじょうきょうぎ] /(n) track-and-field events/(P)/
陸上作戦本部 [りくじょうさくせんほんぶ] /(n) tactical operations center/tactical operations centre/
陸上自衛隊 [りくじょうじえいたい] /(n) Ground Self-Defense Forces (Defence)/(P)/
陸上植物 [りくじょうしょくぶつ] /(n) land plant/terrestrial plant/
陸上端局装置 [りくじょうたんきょくそうち] /(n) land terminal equipment (of a submarine cable)/
陸上部 [りくじょうぶ] /(n) track and field club/
陸蒸気 [おかじょうき] /(n) steam train/
陸水学 [りくすいがく] /(n) the study of inland waters/limnology/
陸棲 [りくせい] /(n,vs) terrestrial/
陸生 [りくせい] /(n,vs,adj-no) terrestrial/
陸生動物 [りくせいどうぶつ] /(n) land animals/
陸戦 [りくせん] /(n) land war/
陸戦隊 [りくせんたい] /(n) landing force/
陸曹 [りくそう] /(n) non-commissioned officer/
陸曹等 [りくそうとう] /(n) enlisted man/
陸相 [りくしょう] /(n) (abbr) army minister/
陸送 [りくそう] /(n,vs) land transportation/
陸続 [りくぞく] /(adj-na,n) one after another/
陸続き [りくつづき] /(n) border on/by land/
陸大 [りくだい] /(n) Military Staff College/
陸棚 [りくだな] /(n) continental shelf/
陸棚 [りくほう] /(n) continental shelf/
陸地 [りくち] /(n,adj-no) land/
陸地面積 [りくちめんせき] /(n) land area (of a country, continent, etc.)/
陸釣 [おかづり] /(n) fishing from land/
陸釣り [おかづり] /(n) fishing from land/
陸湯 [おかゆ] /(n) hot water used for cleaning up/
陸軟風 [りくなんぷう] /(n) breeze blowing from land to sea/
陸半球 [りくはんきゅう] /(n) land hemisphere/
陸封 [りくふう] /(n,vs,adj-no) landlocked/
陸封型 [りくふうがた] /(n) landlocked variety (of fish)/
陸風 [りくかぜ] /(n) land breeze/
陸風 [りくふう] /(n) land breeze/
陸兵 [りくへい] /(n) land troops/
陸揚げ [りくあげ] /(n,vs) unloading (a ship)/landing/
陸離 [りくり] /(adj-na,n) dazzling/
陸陸 [ろくろく] /(adv) hardly/barely/inadequately (with negative grammatical constructions)/
陸連 [りくれん] /(n) (abbr) track-and-field association/athletics association/
陸路 [りくろ] /(n-adv,n-t) overland route/land route/(P)/
律 [りつ] /(n) (1) law (esp. ancient East Asian criminal code)/regulation/(2) (Buddh) vinaya (rules for the monastic community)/(3) (abbr) Ritsu (school of Buddhism)/(4) (abbr) lushi (style of Chinese poem)/(5) (musical) pitch/(6) six odd-numbered notes of the ancient chromatic scale/(7) (abbr) Japanese seven-tone gagaku scale, similar to Dorian mode (corresponding to: re, mi, fa, so, la, ti, do)/(n,n-suf,ctr) (8) (in traditional Eastern music) step (corresponding to a Western semitone)/
律する [りっする] /(vs-s) (1) to judge (on the basis of)/(2) to regulate/to decide/
律音階 [りつおんかい] /(n) ritsu scale (anhemitonic pentatonic scale primarily used in gagaku: re, mi, so, la, ti)/
律管 [りっかん] /(n) ancient Chinese pitch pipe (12 pipes corresponding to the ancient Chinese chromatic scale)/
律儀 [りちぎ] /(adj-na,n) honesty/faithfulness/conscientiousness/integrity/
律儀者 [りちぎもの] /(n) honest or conscientious person/
律義 [りちぎ] /(adj-na,n) honesty/faithfulness/conscientiousness/integrity/
律義者 [りちぎもの] /(n) honest or conscientious person/
律語 [りつご] /(n) well-shaped verse/
律師 [りっし] /(n) Buddhist priest/
律詩 [りっし] /(n) ancient Chinese verse form/
律宗 [りっしゅう] /(n) Ritsu (school of Buddhism)/
律旋 [りっせん] /(n) Japanese seven-tone gagaku scale (corresponding to: re, mi, fa, so, la, ti, do, i.e. the Dorian mode)/
律旋法 [りっせんぽう] /(n) Japanese seven-tone gagaku scale (corresponding to: re, mi, fa, so, la, ti, do) similar to Dorian mode/
律旋法 [りつせんぽう] /(n) Japanese seven-tone gagaku scale (corresponding to: re, mi, fa, so, la, ti, do) similar to Dorian mode/
律動 [りつどう] /(n,vs) rhythm/
律動的 [りつどうてき] /(adj-na) rhythmical/
律文 [りつぶん] /(n) legal provisions/verse/
律法 [りっぽう] /(n) (1) law/rule/commandment/(2) the Torah (the law of God as revealed to Moses)/
律法学者 [りっぽうがくしゃ] /(n) (1) rabbi/(2) scribe (Biblical)/
律令 [りつりょう] /(n) criminal, administrative and civil codes (forming the basis of ancient East Asian law; orig. Chinese)/legal codes of the Nara and Heian eras based on Chinese models/
律令 [りつれい] /(n) criminal, administrative and civil codes (forming the basis of ancient East Asian law; orig. Chinese)/legal codes of the Nara and Heian eras based on Chinese models/
律令格式 [りつりょうきゃくしき] /(n) codes of laws and ethics (T'ang Code)/
律令国家 [りつりょうこっか] /(n) the Japanese nation under the ritsuryo codes/
律令時代 [りつりょうじだい] /(n) ritsuryo period (mid 7th-10th centuries CE)/
律令制 [りつりょうせい] /(n) ritsuryo system (ancient East Asian system of centralized governance; in Japan: esp. 7th-10th century)/
律呂 [りつりょ] /(n) standard tones/Chinese system of musical sounds/
率 [りつ] /(n,n-suf) rate/ratio/proportion/percentage/(P)/
率いる [ひきいる] /(v1,vt) to lead/to spearhead (a group)/to command (troops)/(P)/
率を定める [りつをさだめる] /(exp,v1) to fix the rate/
率爾 [そつじ] /(adj-na,n) abrupt/sudden/
率先 [そっせん] /(n,vs) taking the initiative/(P)/
率先垂範 [そっせんすいはん] /(n) set an example worth following/take the initiative in doing something thereby setting an example for others to follow/
率先躬行 [そっせんきゅうこう] /(n) taking a lead in (doing)/setting an example of (doing)/
率然 [そつぜん] /(adj-t,adv-to) sudden/unexpected/unannounced/abrupt/
率直 [そっちょく] /(adj-na,n) frankness/candour/candor/openheartedness/directness/(P)/
率直に言って [そっちょくにいって] /(exp) frankly speaking/
率土 [そっと] /(n) face of the earth/
率倒 [そっとう] /(n,vs) fainting/swooning/
率塔婆 [そとうば] /(n) (1) stupa/dagoba/(2) wooden grave tablet/
率塔婆 [そとば] /(n) (1) stupa/dagoba/(2) wooden grave tablet/
立たす [たたす] /(v5s,vi) to help a person stand/to get someone to their feet/to raise/to rouse/
立ち [たち] /(n) stand/(P)/
立ちあがる [たちあがる] /(v5r,vi) (1) to stand up/to get up/(2) to rise/(3) to recover/(4) to take action/to start/(5) to make the initial charge (in sumo)/(6) (comp) to start up/to boot up/
立ちいる [たちいる] /(v5r,vi) (1) to enter/to trespass/(2) to interfere/to meddle/to pry into/
立ちこめる [たちこめる] /(v1,vi) to hang over/to shroud/to enshroud/to envelop/to screen/
立ちすくむ [たちすくむ] /(v5m,vi) to be petrified/to be unable to move/to be paralyzed (with horror)/to be stupefied (with amazement)/
立ちっぱ [たちっぱ] /(n) (abbr) stand on one's feet for a long time/
立ちっぱなし [たちっぱなし] /(exp) stand on one's feet for a long time/
立ちつくす [たちつくす] /(v5s) to stand stock still/
立ちづめ [たちづめ] /(n) standing (for a long period of time)/continuing to stand/
立ちどまる [たちどまる] /(v5r) to stop/to halt/to stand still/
立ちなおる [たちなおる] /(v5r,vi) (1) to regain one's footing/to get back on one's feet/(2) to recover/(of the market) to improve/(P)/
立ちのぼる [たちのぼる] /(v5r,vi) to go up/to rise up/
立ちはだかる [たちはだかる] /(v5r,vi) to block one's way/
立ちふさがる [たちふさがる] /(v5r,vi) to stand in one's way/
立ちまじる [たちまじる] /(v5r,vi) (obsc) to join (a group)/to join companions/
立ちんぼ [たちんぼ] /(n) (1) being kept standing (without doing anything)/(2) beggar/tramp/
立ちんぼう [たちんぼう] /(n) (1) being kept standing (without doing anything)/(2) beggar/tramp/
立ちん坊 [たちんぼ] /(n) (1) being kept standing (without doing anything)/(2) beggar/tramp/
立ちん坊 [たちんぼう] /(n) (1) being kept standing (without doing anything)/(2) beggar/tramp/
立ちション [たちション] /(n,vs) (abbr) urinating outdoors/urinating standing up/
立ち葵 [たちあおい] /(n) (uk) hollyhock (Alcea rosea)/
立ち暗み [たちくらみ] /(n) giddiness (from standing up too fast)/
立ち飲み [たちのみ] /(n) drinking while standing/
立ち飲み屋 [たちのみや] /(n) drinking establishment where one drinks while standing/
立ち泳ぎ [たちおよぎ] /(n) treading water/
立ち往生 [たちおうじょう] /(n,vs) bring to a standstill/stalling/stranding/(P)/
立ち会い [たちあい] /(n) presence/session/(P)/
立ち会う [たちあう] /(v5u,vi) to be present/to be witness to/
立ち回り [たちまわり] /(n) (1) fight/scuffle/(2) walking about/walking around/(3) conducting oneself/(4) stroll (in Noh, an action piece involving circling the stage)/
立ち回り先 [たちまわりさき] /(n) whereabouts/present location/
立ち回る [たちまわる] /(v5r,vi) (1) to walk about/to walk around/(2) to conduct oneself/(3) to turn up/(4) to brawl (in a play, etc.)/
立ち寄る [たちよる] /(v5r,vi) to stop by/to drop in for a short visit/(P)/
立ち技 [たちわざ] /(n) standing throw in judo/
立ち詰め [たちづめ] /(n) standing (for a long period of time)/continuing to stand/
立ち去る [たちさる] /(v5r,vi) to leave/to depart/to take one's leave/(P)/
立ち居 [たちい] /(n) movements/sitting and standing/
立ち居振る舞 [たちいふるまい] /(n) movements/behavior/behaviour/bearing/deportment/manners/demeanor/
立ち居振る舞い [たちいふるまい] /(n) movements/behavior/behaviour/bearing/deportment/manners/demeanor/
立ち居振舞 [たちいふるまい] /(n) movements/behavior/behaviour/bearing/deportment/manners/demeanor/
立ち居振舞い [たちいふるまい] /(n) movements/behavior/behaviour/bearing/deportment/manners/demeanor/
立ち襟 [たちえり] /(n) stand-up collar/
立ち喰い [たちぐい] /(n,vs) eating while standing/eating at a (street) stall/
立ち稽古 [たちげいこ] /(n) rehearsal/
立ち撃ち [たちうち] /(n) shooting from a standing position/
立ち見 [たちみ] /(n,vs) standing watching a performance/standing and looking at something/
立ち見客 [たちみきゃく] /(n) person standing/the gallery/
立ち見席 [たちみせき] /(n) standing room/
立ち現れる [たちあらわれる] /(v1,vi) to manifest itself/to manifest oneself/
立ち枯れ [たちがれ] /(n,adj-no) blighted/withered/
立ち枯れ病 [たちがれびょう] /(n) damping-off/
立ち後れ [たちおくれ] /(n) slow start/
立ち後れる [たちおくれる] /(v1,vi) to start slowly/to lag behind/
立ち交じる [たちまじる] /(v5r,vi) (obsc) to join (a group)/to join companions/
立ち交る [たちまじる] /(v5r,vi) (obsc) to join (a group)/to join companions/
立ち向かう [たちむかう] /(v5u,vi) to fight against/to oppose/to face/
立ち行く [たちいく] /(v5k-s,vi) to maintain itself/to last/to make itself pay/to make a living/to keep going/
立ち行く [たちゆく] /(v5k-s,vi) to maintain itself/to last/to make itself pay/to make a living/to keep going/
立ち合い [たちあい] /(n) initial charge in sumo/(P)/
立ち合う [たちあう] /(v5u,vi) to be matched against (in a sports contest)/
立ち込める [たちこめる] /(v1,vi) to hang over/to shroud/to enshroud/to envelop/to screen/
立ち塞がる [たちふさがる] /(v5r,vi) to stand in one's way/
立ち姿 [たちすがた] /(n) (1) standing figure/standing posture/(2) dancing pose/
立ち止まる [たちどまる] /(v5r) to stop/to halt/to stand still/(P)/
立ち止る [たちどまる] /(v5r) to stop/to halt/to stand still/
立ち至る [たちいたる] /(v5r) to come to (a serious state)/to reach/
立ち所に [たちどころに] /(adv) (uk) at once/there and then/
立ち勝る [たちまさる] /(v5r) to be superior/to surpass/
立ち小便 [たちしょうべん] /(n,vs) urinating outdoors/urinating by the roadside/
立ち消え [たちぎえ] /(n) (1) going out (e.g. of a fire)/dying out/(2) fizzling out/falling through/coming to nothing/(P)/
立ち消える [たちぎえる] /(v1,vi) (1) to go out (of a fire, etc.)/to die out (before burning to ash)/(2) to fall through (of plans, etc.)/to fizzle out/to come to nothing/
立ち上がり [たちあがり] /(n) (1) start/beginning/build up/(2) how well a pitcher pitches at the start of the game (baseball)/(P)/
立ち上がる [たちあがる] /(v5r,vi) (1) to stand up/to get up/(2) to rise/(3) to recover/(4) to take action/to start/(5) to make the initial charge (in sumo)/(6) (comp) to start up/to boot up/(P)/
立ち上げ [たちあげ] /(n) (comp) starting up (e.g. business, computer)/
立ち上げる [たちあげる] /(v1) (comp) to start (something)/to boot (a computer)/
立ち上り [たちあがり] /(n) (1) start/beginning/build up/(2) how well a pitcher pitches at the start of the game (baseball)/
立ち上る [たちのぼる] /(v5r,vi) to go up/to rise up/
立ち食い [たちぐい] /(n,vs) eating while standing/eating at a (street) stall/
立ち振る舞い [たちふるまい] /(n) act/action/manner/
立ち振る舞う [たちふるまう] /(v5u) to act/to behave/
立ち振舞い [たちぶるまい] /(n) farewell dinner/
立ち振舞う [たちふるまう] /(v5u) to act/to behave/
立ち尽くす [たちつくす] /(v5s) to stand stock still/
立ち席 [たちせき] /(n) standing room only/
立ち騒ぐ [たちさわぐ] /(v5g,vi) to make a din/
立ち続け [たちつづけ] /(n) (being) kept standing/
立ち続ける [たちつづける] /(v1,vi) to keep standing/
立ち待ち月 [たちまちづき] /(n) 17-day-old moon/
立ち替わる [たちかわる] /(v5r) to alternate/to take turns/
立ち退かせる [たちのかせる] /(v1) to evict/to eject/
立ち退き [たちのき] /(n) eviction/(P)/
立ち退く [たちのく] /(v5k,vi) to evacuate/to clear out/to vacate/to withdraw/to take refuge/(P)/
立ち遅れ [たちおくれ] /(n) slow start/
立ち遅れる [たちおくれる] /(v1,vi) to start slowly/to lag behind/
立ち直り [たちなおり] /(n) recovery/restoration/(P)/
立ち直る [たちなおる] /(v5r,vi) (1) to regain one's footing/to get back on one's feet/(2) to recover/(of the market) to improve/(P)/
立ち通し [たちどおし] /(exp) remain standing/keeping standing (all the way)/
立ち到る [たちいたる] /(v5r) to come to (a serious state)/to reach/
立ち働く [たちはたらく] /(v5k,vi) to go about one's work/
立ち読み [たちよみ] /(n) reading while standing (in a bookstore)/(P)/
立ち呑み [たちのみ] /(n) drinking while standing/
立ち呑み屋 [たちのみや] /(n) drinking establishment where one drinks while standing/
立ち入り [たちいり] /(n) entering/(P)/
立ち入り禁止 [たちいりきんし] /(exp,n,adj-no) no entry/Keep Off!/No Trespassing/(P)/
立ち入る [たちいる] /(v5r,vi) (1) to enter/to trespass/(2) to interfere/to meddle/to pry into/
立ち入禁止 [たちいりきんし] /(exp,n,adj-no) no entry/Keep Off!/No Trespassing/(P)/
立ち売り [たちうり] /(n) peddler/
立ち番 [たちばん] /(n) standing watch/sentinel/
立ち腐れ [たちぐされ] /(n) dilapidation/
立ち幅跳び [たちはばとび] /(n) standing long jump/
立ち聞き [たちぎき] /(n,vs) eavesdropping/
立ち並ぶ [たちならぶ] /(v5b) (1) to stand up/to line in a row/(2) to be equal to/
立ち返る [たちかえる] /(v5r,vi) to come back (to)/to return to a starting point/
立ち迷う [たちまよう] /(v5u,vi) to drift along/
立ち毛 [たちげ] /(n) unharvested crops/
立ち木 [たちき] /(n) standing tree/standing timber/
立ち戻る [たちもどる] /(v5r,vi) to return/to come back/
立ち役 [たちやく] /(n) leading male role in kabuki/
立ち留まる [たちどまる] /(v5r) to stop/to halt/to stand still/
立ち話 [たちばなし] /(n) standing around talking/(P)/
立ち眩 [たちくらみ] /(n) giddiness (from standing up too fast)/
立ち眩み [たちくらみ] /(n) giddiness (from standing up too fast)/
立ち竦む [たちすくむ] /(v5m,vi) to be petrified/to be unable to move/to be paralyzed (with horror)/to be stupefied (with amazement)/
立ち籠める [たちこめる] /(v1,vi) to hang over/to shroud/to enshroud/to envelop/to screen/
立つ [たつ] /(v5t,vi) (1) to stand/to rise/to stand up/(2) to find oneself (e.g. in a difficult position)/(3) to depart (on a plane, train, etc.)/(P)/
立つ瀬 [たつせ] /(n) predicament/one's ground/one's position/
立つ瀬がない [たつせがない] /(exp) having lost face/in a bind/
立つ鳥 [たつとり] /(n) bird taking flight/
立つ鳥跡を濁さず [たつとりあとをにごさず] /(exp) it is simply common courtesy to clean up after yourself/a bird does not foul the nest it is about to leave/on leaving a place one should see that all is in good order/
立て [たて] /(pref) (1) central/main/head/chief/(suf) (2) (uk) just (done)/freshly (baked)/indicates activity only just occurred/(ctr) (3) counter for consecutive losses/
立て [だて] /(suf) (1) particularly/especially/(2) indicates the number of horses or oxen drawing a carriage/indicates the number of oars on a boat/(3) indicates the number of movies, plays, etc. comprising a single program/indicates the number of items or methods used/
立てかける [たてかける] /(v1,vt) to lean against/to set against/
立てこもり [たてこもり] /(n) (1) shutting oneself in (one's room, etc.)/(2) barricading oneself in (a fort, etc.) while being besieged/
立てこもる [たてこもる] /(v5r,vi) to barricade oneself in/to hold (a fort, etc.)/to shut oneself up/to be besieged/to dig in/
立てて [たてて] /(adv) especially/particularly/wholeheartedly/
立てなおす [たてなおす] /(v5s,vt) to rally/to make over/to rearrange/to reorganize/to reorganise/
立てる [たてる] /(v1,vt) (1) to stand (something) up/to erect (something)/(2) to make (a noise, a sound)/(3) to put (tooth, claw, pointed object) to/(4) to set (a plan, etc.)/to decide (objective, schedule)/(P)/
立て引く [たてひく] /(v5k) to compete with each other (e.g. out of pride, obstinacy, etc.)/
立て掛ける [たてかける] /(v1,vt) to lean against/to set against/
立て看板 [たてかんばん] /(n) billboard/
立て型ピアノ [たてがたピアノ] /(n) upright piano/
立て坑 [たてこう] /(n) shaft (e.g. in a mine)/pit/
立て行司 [たてぎょうじ] /(n) head referee in sumo/
立て込む [たてこむ] /(v5m,vi) to be crowded/to be busy/(P)/
立て込める [たてこめる] /(v1,vt) to be shut tight/
立て札 [たてふだ] /(n) notice/bulletin board/(P)/
立て社会 [たてしゃかい] /(n) vertically structured society/
立て石 [たていし] /(n) milestone/standing stone/
立て切る [たてきる] /(v5r,vt) to close tight/
立て前 [たてまえ] /(n) (1) face/official stance/public position or attitude (as opposed to private thoughts)/(2) tea ceremony procedures/tea ceremony etiquette/
立て続け [たてつづけ] /(n) succession/(P)/
立て替え [たてかえ] /(n) paying for someone else/payment made for someone else/
立て替える [たてかえる] /(v1,vt) (1) to pay an advance/to put down money on something/(2) to pay for another/to pay someone else's debt as a loan to him/(P)/
立て替え金 [たてかえきん] /(adj-na,n) advance/
立て直し [たてなおし] /(n) revamping/reshaping/rearranging/reorganizing/
立て直す [たてなおす] /(v5s,vt) to rally/to make over/to rearrange/to reorganize/to reorganise/(P)/
立て直る [たてなおる] /(v5r,vi) to recover/to rally/to pick up/
立て通す [たてとおす] /(v5s,vt) to push through (an idea)/
立て坪 [たてつぼ] /(n) unit of measurement, about 1.8 meters cubed/
立て髪 [たてがみ] /(n) long hair style popular in the Genroku era/
立て板に水 [たていたにみず] /(exp) fluency/volubility/
立て版古 [たてばんこ] /(n) papercraft sculpture representing a scene akin to a painting/
立て膝 [たてひざ] /(n,vs) sitting with one knee drawn up/
立て付け [たてつけ] /(n) way a door fits/
立て物 [たてもの] /(n) leading actor/
立て役 [たてやく] /(n) leading actor/protagonist/
立て役者 [たてやくしゃ] /(n) leading actor/person who acts as driving force behind something/key figure/leading spirit/central figure/
立て篭り [たてこもり] /(n) (1) shutting oneself in (one's room, etc.)/(2) barricading oneself in (a fort, etc.) while being besieged/
立て篭る [たてこもる] /(v5r,vi) to barricade oneself in/to hold (a fort, etc.)/to shut oneself up/to be besieged/to dig in/
立て籠り [たてこもり] /(n) (1) shutting oneself in (one's room, etc.)/(2) barricading oneself in (a fort, etc.) while being besieged/
立て籠る [たてこもる] /(v5r,vi) to barricade oneself in/to hold (a fort, etc.)/to shut oneself up/to be besieged/to dig in/
立葵 [たちあおい] /(n) (uk) hollyhock (Alcea rosea)/
立暗み [たちくらみ] /(n) giddiness (from standing up too fast)/
立案 [りつあん] /(n,vs) draft/draught/(rough) design/(P)/
立案者 [りつあんしゃ] /(n) planner/
立引く [たてひく] /(v5k) to compete with each other (e.g. out of pride, obstinacy, etc.)/
立飲屋 [たちのみや] /(n) drinking establishment where one drinks while standing/
立羽蝶 [たてはちょう] /(n) (uk) nymphalid (any butterfly of family Nymphalidae)/
立泳ぎ [たちおよぎ] /(n) treading water/
立往生 [たちおうじょう] /(n,vs) bring to a standstill/stalling/stranding/
立夏 [りっか] /(n) first day of summer (approx. May. 6)/
立会う [たちあう] /(v5u,vi) to be present/to be witness to/
立会演説 [たちあいえんぜつ] /(n) campaign speech/
立会人 [たちあいにん] /(n) witness/observer/
立回り [たちまわり] /(n) (1) fight/scuffle/(2) walking about/walking around/(3) conducting oneself/(4) stroll (in Noh, an action piece involving circling the stage)/
立回り先 [たちまわりさき] /(n) whereabouts/present location/
立回る [たちまわる] /(v5r,vi) (1) to walk about/to walk around/(2) to conduct oneself/(3) to turn up/(4) to brawl (in a play, etc.)/
立願 [りつがん] /(n,vs) prayer to a god/
立寄る [たちよる] /(v5r,vi) to stop by/to drop in for a short visit/
立詰め [たちづめ] /(n) standing (for a long period of time)/continuing to stand/
立脚 [りっきゃく] /(n,vs) being based on/(P)/
立脚地 [りっきゃくち] /(n) standpoint/
立脚点 [りっきゃくてん] /(n) standpoint/
立去る [たちさる] /(v5r,vi) to leave/to depart/to take one's leave/
立居 [たちい] /(n) movements/sitting and standing/
立居振る舞い [たちいふるまい] /(n) movements/behavior/behaviour/bearing/deportment/manners/demeanor/
立居振舞 [たちいふるまい] /(n) movements/behavior/behaviour/bearing/deportment/manners/demeanor/
立居振舞い [たちいふるまい] /(n) movements/behavior/behaviour/bearing/deportment/manners/demeanor/
立教 [りっきょう] /(n) established church/
立琴 [たてごと] /(n) (arch) koto erected in one's yard as decoration during the Festival to Plead for Skills/
立襟 [たちえり] /(n) stand-up collar/
立喰い [たちぐい] /(n,vs) eating while standing/eating at a (street) stall/
立形多段渦巻きステンレスポンプ [たてがたただんうずまきステンレスポンプ] /(n) vertical multistage centrifugal stainless pomp/
立件 [りっけん] /(n,adj-no) (1) assembling a case (for prosecution)/(2) precondition or prerequisite for prosecution/(vs) (3) to build a criminal case against someone/
立憲 [りっけん] /(n) constitutionalism/(P)/
立憲王政 [りっけんおうせい] /(n) constitutional monarchy/
立憲改進党 [りっけんかいしんとう] /(n) Constitutional Reform Party (1882-1896)/
立憲君主 [りっけんくんしゅ] /(n) constitutional monarch/
立憲君主国 [りっけんくんしゅこく] /(n) constitutional monarchy/
立憲君主制 [りっけんくんしゅせい] /(n) constitutional monarchy/limited monarchy/
立憲君主制体 [りっけんくんしゅせいたい] /(n) constitutional monarchy/
立憲君主政 [りっけんくんしゅせい] /(n) constitutional monarchy/limited monarchy/
立憲君主政体 [りっけんくんしゅせいたい] /(n) constitutional monarchy/
立憲国民党 [りっけんこくみんとう] /(n) Constitutional Nationalist Party (1910-1922)/
立憲主義 [りっけんしゅぎ] /(n) constitutionalism/
立憲政治 [りっけんせいじ] /(n) constitutional government/
立憲帝政党 [りっけんていせいとう] /(n) Constitutional Imperial Rule Party (1882-1883)/
立憲民政党 [りっけんみんせいとう] /(n) Constitutional Democratic Party (1927-1940)/
立見 [たちみ] /(n,vs) standing watching a performance/standing and looking at something/
立言 [りつげん] /(n,vs) expression of one's views/
立呼び出し [たてよびだし] /(n) highest ranked sumo usher/
立鼓 [りゅうご] /(n) (1) hourglass-shaped object/(2) sarugaku performance art using such an object/
立候補 [りっこうほ] /(n,vs) announcing candidacy/(P)/
立候補者 [りっこうほしゃ] /(n) candidate (for)/
立坑 [たてこう] /(n) shaft (e.g. in a mine)/pit/
立行司 [たてぎょうじ] /(n) head referee in sumo/
立合い [たちあい] /(n) initial charge in sumo/
立合う [たちあう] /(v5u,vi) to be matched against (in a sports contest)/
立国 [りっこく] /(n,vs) founding of a nation/(P)/
立込む [たてこむ] /(v5m,vi) to be crowded/to be busy/
立込める [たちこめる] /(v1,vi) to hang over/to shroud/to enshroud/to envelop/to screen/
立塞がる [たちふさがる] /(v5r,vi) to stand in one's way/
立札 [たてふだ] /(n) notice/bulletin board/(P)/
立山 [たてやま] /(n) mountain in Toyama Prefecture/
立姿 [たちすがた] /(n) (1) standing figure/standing posture/(2) dancing pose/
立師 [たてし] /(n) man who teaches actors or actresses how to use swords/
立志 [りっし] /(n) one's life goal/(fixing) one's aim in life/
立志式 [りっしんしき] /(n,vs) coming-of-age ceremony for middle school students/
立志伝 [りっしでん] /(n) success story/
立止る [たちどまる] /(v5r) to stop/to halt/to stand still/
立至る [たちいたる] /(v5r) to come to (a serious state)/to reach/
立秋 [りっしゅう] /(n) first day of autumn (fall) (approx. Aug. 8)/
立春 [りっしゅん] /(n) first day of spring (according to the traditional lunisolar calendar, approx. Feb. 4)/(P)/
立所に [たちどころに] /(adv) (uk) at once/there and then/
立女形 [たておやま] /(n) leading female role actor (in Kabuki)/
立勝る [たちまさる] /(v5r) to be superior/to surpass/
立消え [たちぎえ] /(n) (1) going out (e.g. of a fire)/dying out/(2) fizzling out/falling through/coming to nothing/
立消える [たちぎえる] /(v1,vi) (1) to go out (of a fire, etc.)/to die out (before burning to ash)/(2) to fall through (of plans, etc.)/to fizzle out/to come to nothing/
立証 [りっしょう] /(n,vs) establishing proof/demonstration/substantiation/(P)/
立上がり [たちあがり] /(n) (comp) leading edge/start/stand up/
立上がり時間 [たちあがりじかん] /(n) (comp) rise time/launch time/release time/
立上がる [たちあがる] /(v5r,vi) (1) to stand up/to get up/(2) to rise/(3) to recover/(4) to take action/to start/(5) to make the initial charge (in sumo)/(6) (comp) to start up/to boot up/
立上り [たちあがり] /(n) (1) start/beginning/build up/(2) how well a pitcher pitches at the start of the game (baseball)/
立上る [たちのぼる] /(v5r,vi) to go up/to rise up/
立場 [たちば] /(n) standpoint/position/situation/(P)/
立場にたつ [たちばにたつ] /(exp,v5t) to stand in (someone's) place/to be in a (certain) position/
立場に立つ [たちばにたつ] /(exp,v5t) to stand in (someone's) place/to be in a (certain) position/
立場を取る [たちばをとる] /(exp,v5r) to take a position/to adopt a stance (e.g. on an issue)/
立食 [りっしょく] /(n) stand-up meal/buffet/
立食い [たちぐい] /(n,vs) eating while standing/eating at a (street) stall/
立食パーティー [りっしょくパーティー] /(n) (standing) buffet party/
立心偏 [りっしんべん] /(n) kanji "heart" radical at left/
立振舞 [たちふるまい] /(n) act/action/manner/
立身 [りっしん] /(n,vs) establishing oneself in life/success in life/
立身栄達 [りっしんえいたつ] /(n,vs) success in life/advancement in life/rising in the world/
立身出世 [りっしんしゅっせ] /(n,vs) success in life/
立錐 [りっすい] /(n,vs) setting a drill bit/
立錐の余地 [りっすいのよち] /(exp) room to breathe (usually in the negative as "no room to breathe")/
立錐の余地もない [りっすいのよちもない] /(adj-i) tightly packed/full to capacity/
立正佼成会 [りっしょうこうせいかい] /(n) Rissho Kosei-kai (offshoot of Nichiren-Buddhism founded in 1938)/
立石電機 [たていしでんき] /(n) original name for Omron Corporation/
立前 [たてまえ] /(n) (1) face/official stance/public position or attitude (as opposed to private thoughts)/(2) tea ceremony procedures/tea ceremony etiquette/
立像 [りつぞう] /(n) standing statue/standing image/
立続ける [たちつづける] /(v1,vi) to keep standing/
立太子 [りったいし] /(n) investiture of the Crown Prince/
立太子式 [りったいししき] /(n) investiture of the Crown Prince/
立太子礼 [りったいしれい] /(n) ceremony of installing a Crown Prince/
立体 [りったい] /(n,adj-no) (1) solid body/three-dimensional object/(2) (abbr) multi-storey car park/(P)/
立体映画 [りったいえいが] /(n) three-dimensional movie/
立体音響 [りったいおんきょう] /(n,adj-no) stereophonic sound/
立体化学 [りったいかがく] /(n,adj-no) stereochemistry/
立体角 [りったいかく] /(n) solid angle/
立体角密度 [りったいかくみつど] /(n) (optics) radiance/sterance/radiant sterance/
立体感 [りったいかん] /(n) feeling of solidity/three-dimensionality/drawing highlights/
立体幾何学 [りったいきかがく] /(n) solid geometry/
立体鏡 [りったいきょう] /(n) stereoscope/
立体交差 [りったいこうさ] /(n) multi-level crossing/
立体構造 [りったいこうぞう] /(n,adj-no) spatial structure/structural arrangement/
立体裁断 [りったいさいだん] /(n) draping/
立体視 [りったいし] /(n) stereopsis/binocular vision/
立体写真 [りったいしゃしん] /(n) stereograph/
立体集合演算 [りったいしゅうごうえんざん] /(n) (comp) set operation/
立体戦 [りったいせん] /(n) three-dimensional warfare/
立体駐車場 [りったいちゅうしゃじょう] /(n) multi-storey car park/parking structure/parking deck/parking garage/parkade/
立体的 [りったいてき] /(adj-na) three-dimensional/(P)/
立体道路制度 [りったいどうろせいど] /(n) system that allows for the construction of highways and buildings in the same space/
立体派 [りったいは] /(n) Cubism/
立体配座 [りったいはいざ] /(n) (chem) conformation/
立体放送 [りったいほうそう] /(n) stereophonic broadcast/
立替 [たてかえ] /(io) (n) paying for someone else/payment made for someone else/
立替え [たてかえ] /(n) paying for someone else/payment made for someone else/
立替え金 [たてかえきん] /(adj-na,n) advance/
立替金 [たてかえきん] /(adj-na,n) advance/
立退き [たちのき] /(n) eviction/
立退く [たちのく] /(v5k,vi) to evacuate/to clear out/to vacate/to withdraw/to take refuge/
立大 [りつだい] /(n) (abbr) private university/
立談 [りつだん] /(n,vs) (arch) talking while standing/
立地 [りっち] /(n,vs) site/location (e.g. of industry)/(P)/
立地条件 [りっちじょうけん] /(n) condition of location/site condition/
立直 [リーチ] /(n) (uk) declaring that one is one tile away from winning in mahjong (chi: lizhi)/
立直し [たてなおし] /(n) revamping/reshaping/rearranging/reorganizing/
立直す [たてなおす] /(v5s,vt) to rally/to make over/to rearrange/to reorganize/to reorganise/
立直る [たちなおる] /(v5r,vi) (1) to regain one's footing/to get back on one's feet/(2) to recover/(of the market) to improve/
立田揚 [たつたあげ] /(iK) (n) fish (meat, etc.) flavoured with soy sauce and cooking sake, coated with dogtooth violet starch and then deep fried/
立田揚げ [たつたあげ] /(iK) (n) fish (meat, etc.) flavoured with soy sauce and cooking sake, coated with dogtooth violet starch and then deep fried/
立党 [りっとう] /(n,vs) founding a political party/
立冬 [りっとう] /(n) first day of winter (approx. Nov. 8)/
立刀 [りっとう] /(n) kanji "sword" radical at right/
立読み [たちよみ] /(n) reading while standing (in a bookstore)/
立呑屋 [たちのみや] /(n) drinking establishment where one drinks while standing/
立入り [たちいり] /(n) entering/
立入り禁止 [たちいりきんし] /(exp,n,adj-no) no entry/Keep Off!/No Trespassing/(P)/
立入り検査 [たちいりけんさ] /(n) on-the-spot inspection/on-site inspection/
立入る [たちいる] /(v5r,vi) (1) to enter/to trespass/(2) to interfere/to meddle/to pry into/
立入禁止 [たちいりきんし] /(exp,n,adj-no) no entry/Keep Off!/No Trespassing/(P)/
立入禁止柵 [たちいりきんしさく] /(n) no-entry barrier/
立入検査 [たちいりけんさ] /(n) on-the-spot inspection/on-site inspection/
立入調査 [たちいりちょうさ] /(n) on-site investigation/
立派 [りっぱ] /(adj-na,n) splendid/fine/handsome/elegant/imposing/prominent/legal/legitimate/(P)/
立破 [りっぱ] /(n) (Buddh) establishing and refuting (a doctrine)/
立破 [りゅうは] /(n) (Buddh) establishing and refuting (a doctrine)/
立髪 [たてがみ] /(n) long hair style popular in the Genroku era/
立板に水 [たていたにみず] /(exp) fluency/volubility/
立版古 [たてばんこ] /(n) papercraft sculpture representing a scene akin to a painting/
立番 [たちばん] /(n) standing watch/sentinel/
立腹 [りっぷく] /(n,vs) anger/offence/offense/rage/taking offense/taking offence/(P)/
立並ぶ [たちならぶ] /(v5b) (1) to stand up/to line in a row/(2) to be equal to/
立米 [りゅうべい] /(n) cubic meter/
立偏 [たつへん] /(n) kanji "stand" radical at left/
立方 [たちかた] /(n) dancing (geisha)/
立方 [りっぽう] /(n,vs) cube/
立方センチメートル [りっぽうセンチメートル] /(n) cubic centimeter/cubic centimetre/
立方メートル [りっぽうメートル] /(n) cubic meter/(P)/
立方根 [りっぽうこん] /(n) cubic root/
立方体 [りっぽうたい] /(n) cube/
立法 [りっぽう] /(n,vs,adj-no) legislation/lawmaking/(P)/
立法機関 [りっぽうきかん] /(n,adj-no) legislature/
立法権 [りっぽうけん] /(n) legislative power/
立法者 [りっぽうしゃ] /(n) legislator/
立法府 [りっぽうふ] /(n) (1) assize/court/(2) legislature/(P)/
立命 [りつめい] /(n) peace of mind/
立明戦 [りつめいせん] /(n) Rikkyo-Meiji (baseball) game/
立面図 [りつめんず] /(n) elevation/
立毛筋 [りつもうきん] /(n) erector pili (muscle fiber attached to a hair follicle)/erectores pilorum/
立木 [たちき] /(n) standing tree/standing timber/
立木 [りゅうぼく] /(n) standing tree/standing timber/
立戻る [たちもどる] /(v5r,vi) to return/to come back/
立役 [たちやく] /(n) leading male role in kabuki/
立役 [たてやく] /(n) leading actor/protagonist/
立役者 [たてやくしゃ] /(n) leading actor/person who acts as driving force behind something/key figure/leading spirit/central figure/
立留まる [たちどまる] /(v5r) to stop/to halt/to stand still/
立留る [たちどまる] /(v5r) to stop/to halt/to stand still/
立礼 [りつれい] /(n,vs) bowing while standing/standing bow/
立礼 [りゅうれい] /(n) tea ceremony performed with tables and chairs (instead of sitting on tatami)/
立浪草 [たつなみそう] /(n) (uk) Scutellaria indica (species of skullcap)/
立論 [りつろん] /(n,vs) argument(ation)/
立話 [たちばなし] /(n) standing around talking/
立籠る [たてこもる] /(v5r,vi) to barricade oneself in/to hold (a fort, etc.)/to shut oneself up/to be besieged/to dig in/
立纓 [りゅうえい] /(n) erect tail (of a traditional Japanese hat)/
立麝香草 [たちじゃこうそう] /(n) (uk) thyme/
葎 [うぐら] /(n) creepers/trailing plants/
葎 [むぐら] /(n) creepers/trailing plants/
葎 [もぐら] /(n) creepers/trailing plants/
葎草 [かなむぐら] /(n) (uk) Japanese hop (Humulus japonicus)/
掠う [さらう] /(v5u,vt) (1) (uk) to carry off/to run away with/to kidnap/to abduct/(2) (uk) to monopolize/to make one's own/
掠する [りゃくする] /(vs-s,vt) (1) to take/to capture/
掠める [かすめる] /(v1,vt) to rob/to pillage/to skim/to sweep over/to graze (in passing)/to cheat/to hint/
掠め取る [かすめとる] /(v5r,vt) to snatch/to steal/
掠め奪う [かすめうばう] /(v5u) to plunder/
掠り [かすり] /(n) (1) grazing/touching lightly/(2) squeezing (someone for money)/percentage/kickback/
掠り傷 [かすりきず] /(n,vs) scratch/graze/abrasion/
掠る [かする] /(v5r,vt) (1) to graze/to touch lightly/(2) to take a percentage/to exploit/to squeeze/
掠れる [かすれる] /(v1,vi) to be grazed/to touch/to chip/to crack (e.g. voice)/
掠れ声 [かすれごえ] /(n) hoarse voice/husky voice/
掠奪 [りゃくだつ] /(n,vs) pillage/plunder/looting/robbery/
略 [ほぼ] /(adv) (uk) almost/roughly/approximately/(P)/
略 [りゃく] /(n,n-suf) abbreviation/omission/(P)/
略して [りゃくして] /(exp) for short/
略す [りゃくす] /(v5s,vt) (1) to abbreviate/to omit/(2) to take/to capture/(P)/
略する [りゃくする] /(vs-s,vt) (1) to abbreviate/to omit/(2) to take/to capture/
略画 [りゃくが] /(n) rough sketch/
略解 [りゃっかい] /(n,vs) brief explanation/
略記 [りゃっき] /(n,vs) abbreviation/
略記組合せ比較条件 [りゃっきくみあわせひかくじょうけん] /(n) (comp) abbreviated combined relation condition/
略記法 [りゃっきほう] /(n) abridged notation/
略儀 [りゃくぎ] /(n) informality/
略言 [りゃくげん] /(n,vs) brief statement/summary/
略語 [りゃくご] /(n) abbreviation/acronym/(P)/
略号 [りゃくごう] /(n) code/mark/symbol/
略史 [りゃくし] /(n) brief history/
略字 [りゃくじ] /(n) (1) simplified character (i.e. kanji)/(2) (col) acronym/abbreviation/
略字方式コード [りゃくじほうしきコード] /(n) (comp) letter type code/
略式 [りゃくしき] /(adj-no,adj-na,n) informal/simplified/(P)/
略式手続き [りゃくしきてつづき] /(n) summary proceedings/
略式命令 [りゃくしきめいれい] /(n) summary order/
略取 [りゃくしゅ] /(n,vs) abduction/
略取誘拐罪 [りゃくしゅゆうかいざい] /(n) kidnapping/kidnaping/
略述 [りゃくじゅつ] /(n,vs) outline/summary/
略書 [りゃくしょ] /(n,vs) abbreviation/
略叙 [りゃくじょ] /(n,vs) brief account/
略称 [りゃくしょう] /(n,vs) abbreviation/(P)/
略章 [りゃくしょう] /(n) miniature medal or decoration/
略図 [りゃくず] /(n,adj-no) rough sketch/rough map/
略成語 [りゃくせいご] /(n) (comp) acronym/
略説 [りゃくせつ] /(n,vs) outline/summary/
略装 [りゃくそう] /(n,adj-no) demitoilet/ordinary dress/
略体 [りゃくたい] /(n) simplified form of a kanji/
略奪 [りゃくだつ] /(n,vs) pillage/plunder/looting/robbery/(P)/
略奪行為 [りゃくだつこうい] /(n) looting/
略伝 [りゃくでん] /(n) biographical sketch/
略筆 [りゃくひつ] /(n,vs) (1) outline/synopsis/abridgment/summary/(2) simplified form of a kanji/
略譜 [りゃくふ] /(n) brief genealogy/abbreviated musical notation/
略服 [りゃくふく] /(n) everyday clothes/informal clothes (dress)/
略文 [りゃくぶん] /(n) abridged sentence/
略帽 [りゃくぼう] /(n) ordinary cap/
略本暦 [りゃくほんれき] /(n) abbreviated koyomi (Japanese traditional calendar)/koyomi presented in a smaller, easy to use, format/
略名 [りゃくめい] /(n) mnemonic/
略暦 [りゃくれき] /(n) (abbr) abbreviated koyomi (Japanese traditional calendar)/koyomi presented in a smaller, easy to use, format/
略歴 [りゃくれき] /(n) brief personal record/short curriculum vitae/short CV/(P)/
流 [りゅう] /(n,n-suf) style of/method of/manner of/school (of thought)/(P)/
流 [る] /(n) (arch) exile/
流し [ながし] /(n) (1) sink/(adj-no) (2) cruising (e.g. taxi)/(P)/
流しそうめん [ながしそうめん] /(n) fine white noodles served flowing in a small flume/
流しだい [ながしだい] /(n) sink/washstand/
流し元 [ながしもと] /(n) sink/
流し込む [ながしこむ] /(v5m,vt) (1) to pour into/to wash down/(2) (comp) to insert (e.g. into a data stream)/
流し索麺 [ながしそうめん] /(n) fine white noodles served flowing in a small flume/
流し撮り [ながしどり] /(n) panning (a movie camera)/
流し出す [ながしだす] /(v5s) to draw off/to run out/to flush out/
流し場 [ながしば] /(n) place for showering next to a tub/
流し雛 [ながしびな] /(n) paper dolls floated downriver on March 3rd/
流し素麺 [ながしそうめん] /(n) fine white noodles served flowing in a small flume/
流し打ち [ながしうち] /(n) hitting to the opposite field (baseball)/
流し台 [ながしだい] /(n) sink/washstand/
流し釣り [ながしづり] /(n,vs) trolling/
流し読み [ながしよみ] /(n,vs) skimming (a book, etc.)/
流し板 [ながしいた] /(n) drainboard/
流し網 [ながしあみ] /(n) drift net/
流し目 [ながしめ] /(n) (1) sidelong glance/(2) flirtatious glance/
流す [ながす] /(v5s,vt) (1) to drain/to pour/to spill/to shed (blood, tears)/(2) to wash away/(3) to distribute (e.g. electricity over wires, music over a PA system, etc.)/to circulate/to broadcast/to beam/(4) to cruise (e.g. taxi)/(5) to float/to set adrift/(6) to call off (a meeting, etc.)/(P)/
流ちょう [りゅうちょう] /(adj-na,n) fluent (language skill)/flowing/
流れ [ながれ] /(n) stream/current/flow/(P)/
流れの向き [ながれのむき] /(n) (comp) flow direction/
流れる [ながれる] /(v1,vi) to stream/to flow (liquid, time, etc.)/to run (ink)/to be washed away/(P)/
流れを汲む [ながれをくむ] /(v5m) to be descended from/to be drawn from (the tradition of)/to be derived from/to follow the school (tradition) of/
流れ下る [ながれくだる] /(v5r) to flow down/to run down/
流れ込む [ながれこむ] /(v5m,vi) to flow into/to pour into/to stream into/(P)/
流れ作業 [ながれさぎょう] /(n) assembly-line system/
流れ者 [ながれもの] /(n) stranger/tramp/wanderer/
流れ出す [ながれだす] /(v5s) to flow out/to stream out/to pour out/to gush forth/to leak/to ooze out/to drift away/
流れ出る [ながれでる] /(v1) to flow out/to stream out/to pour out/to gush forth/to leak/to ooze out/to drift away/
流れ図 [ながれず] /(n) (comp) flowchart/flow diagram/
流れ図記号 [ながれずきごう] /(n) (comp) flowchart symbol/
流れ制御 [ながれせいぎょ] /(n) (comp) flow control/
流れ星 [ながれぼし] /(n) shooting star/meteor/(P)/
流れ線 [ながれせん] /(n) (comp) flowline/
流れ弾 [ながれだま] /(n) stray bullet/
流れ着く [ながれつく] /(v5k) to drift to/to be washed ashore/
流れ歩く [ながれあるく] /(v5k,vi) to wander about/
流れ矢 [ながれや] /(n) stray arrow/
流れ落ちる [ながれおちる] /(v1) to run off (fluid)/to run down/to flow down/
流域 [りゅういき] /(n) (river) basin/(P)/
流音 [りゅうおん] /(n,adj-no) (ling) liquid sound/
流下 [りゅうか] /(n,vs) flowing down (e.g. water in a river)/downward flow/
流会 [りゅうかい] /(n,vs) cancelling a meeting/adjournment of a meeting (due to lack of attendance)/
流感 [りゅうかん] /(n) (abbr) influenza/flu/cold/
流感の予防注射 [りゅうかんのよぼうちゅうしゃ] /(n) flu shot/injection for influenza immunization/
流汗 [りゅうかん] /(n) sweat/
流汗淋漓 [りゅうかんりんり] /(uK) (n,adj-t,adv-to) (arch) profuse perspiration/dripping with sweat/
流儀 [りゅうぎ] /(n) (1) style/fashion/(2) school (e.g. of poetry)/
流刑 [りゅうけい] /(n,vs) exile/deportation/
流刑 [るけい] /(n,vs) exile/deportation/
流刑地 [りゅうけいち] /(n) penal colony/
流血 [りゅうけつ] /(n,adj-no) bloodshed/(P)/
流血沙汰 [りゅうけつざた] /(n) bloodshed/bloody event/
流血淋漓 [りゅうけつりんり] /(adj-t,adv-to) dripping with fresh blood/
流言 [りゅうげん] /(n) groundless rumor/groundless rumour/
流言飛語 [りゅうげんひご] /(n) false (wild, groundless) rumor (rumour)/canard/
流言蜚語 [りゅうげんひご] /(n) false (wild, groundless) rumor (rumour)/canard/
流行 [はやり] /(n,vs,adj-no) fashion/fad/vogue/craze/(P)/
流行 [りゅうこう] /(n,vs,adj-no) fashion/fad/vogue/craze/(P)/
流行っ子 [はやりっこ] /(n) popular person/
流行の粋 [りゅうこうのすい] /(n) the cream (pink) of fashion/
流行の柄 [りゅうこうのがら] /(n) pattern now in fashion/
流行らす [はやらす] /(v5s,vt) (uk) to popularize/to give currency to/to set a trend/
流行らせる [はやらせる] /(v1,vt) (uk) to popularize/to give currency to/to set a trend/
流行り [はやり] /(n,vs,adj-no) fashion/fad/vogue/craze/
流行り唄 [はやりうた] /(n) popular song/
流行り歌 [はやりうた] /(n) popular song/
流行り言葉 [はやりことば] /(n) buzzword/popular expression/vogue word or phrase/
流行り廃り [はやりすたり] /(n) changes in fashion/
流行り風邪 [はやりかぜ] /(n) influenza/
流行り目 [はやりめ] /(n) conjunctivitis/pink eye/epidemic keratoconjunctivitis/
流行る [はやる] /(v5r,vi) (1) to be popular/to come into fashion/(2) to be prevalent/to spread widely (e.g. disease)/to be endemic/(3) to flourish/to thrive/(P)/
流行唄 [はやりうた] /(n) popular song/
流行歌 [はやりうた] /(n) popular song/
流行歌 [りゅうこうか] /(n) popular song/hit song/(P)/
流行歌手 [りゅうこうかしゅ] /(n) popular singer/singer of pop songs/
流行眼 [はやりめ] /(n) conjunctivitis/pink eye/epidemic keratoconjunctivitis/
流行言葉 [はやりことば] /(n) buzzword/popular expression/vogue word or phrase/
流行語 [りゅうこうご] /(n) buzzword/vogue word/popular phrase/word (phrase) in fashion or on everybody's lips/
流行作家 [りゅうこうさっか] /(n) popular writer/
流行児 [りゅうこうじ] /(n) popular person/
流行色 [りゅうこうしょく] /(n) fashionable color/fashionable colour/
流行性 [りゅうこうせい] /(n,adj-no) epidemic/
流行性角結膜炎 [りゅうこうせいかくけつまくえん] /(n) pink eye/epidemic keratoconjunctivitis/
流行性感冒 [りゅうこうせいかんぼう] /(n) influenza/flu/
流行性肝炎 [りゅうこうせいかんえん] /(n) epidemic hepatitis/
流行性結膜炎 [りゅうこうせいけつまくえん] /(n) pink eye/epidemic keratoconjunctivitis/
流行性耳下腺炎 [りゅうこうせいじかせんえん] /(n) mumps/
流行性脳炎 [りゅうこうせいのうえん] /(n) epidemic encephalitis/
流行病 [はやりやまい] /(n) epidemic/
流行病 [りゅうこうびょう] /(n) epidemic/
流行風邪 [はやりかぜ] /(n) influenza/
流行目 [はやりめ] /(n) conjunctivitis/pink eye/epidemic keratoconjunctivitis/
流砂 [りゅうさ] /(n) quicksand/
流砂 [りゅうしゃ] /(n) quicksand/
流罪 [るざい] /(n,vs) banishment/exile/
流産 [りゅうざん] /(n,vs,adj-no) miscarriage/(spontaneous) abortion/abortive birth/
流失 [りゅうしつ] /(n,vs) washed away/
流質 [りゅうしち] /(n) forfeited pawned article/
流出 [りゅうしゅつ] /(n,vs) (1) discharge/outward flow/efflux/effluence/(2) leak of (private) information or pictures/(P)/
流人 [るにん] /(n) an exile/
流水 [りゅうすい] /(n) running water/stream/
流星 [りゅうせい] /(n) meteor/falling star/
流星雨 [りゅうせいう] /(n) meteor shower/
流星群 [りゅうせいぐん] /(n) meteoric swarm/
流星塵 [りゅうせいじん] /(n) micrometeorite/
流星物質 [りゅうせいぶっしつ] /(n) meteoroid/
流石 [さすが] /(ateji) (adj-na,adv,n,adj-no) (1) (uk) as one would expect/(2) still/all the same/(3) even... (e.g. "even a genius...")/(P)/
流石に [さすがに] /(ateji) (adv) (1) (uk) as one would expect/(2) still/all the same/
流石は [さすがは] /(ateji) (exp,adv) (uk) as one would expect/
流説 [りゅうせつ] /(n) groundless rumor/groundless rumour/false report/
流説 [るせつ] /(n) groundless rumor/groundless rumour/false report/
流線 [りゅうせん] /(n) flow line/streamline/lines representing the flow of a fluid/
流線型 [りゅうせんけい] /(n) streamlined/
流線形 [りゅうせんけい] /(n) streamlined/
流速 [りゅうそく] /(n) speed of moving fluid/
流体 [りゅうたい] /(n) fluid/
流体力学 [りゅうたいりきがく] /(n,adj-no) fluid mechanics/
流弾 [りゅうだん] /(n) stray bullet/
流暢 [りゅうちょう] /(adj-na,n) fluent (language skill)/flowing/(P)/
流通 [りゅうつう] /(n,vs,adj-no) (1) circulation of money or goods/flow of water or air/distribution/(adj-f) (2) negotiable (e.g. shares)/(P)/
流通コスト [りゅうつうコスト] /(n) distribution cost/
流通チャンネル [りゅうつうチャンネル] /(n) distribution channel/
流通革命 [りゅうつうかくめい] /(n) distribution revolution/
流通機構 [りゅうつうきこう] /(n) distribution system/
流通経路 [りゅうつうけいろ] /(n) distribution channel/channel of distribution/
流通資本 [りゅうつうしほん] /(n) circulating capital/
流通証券 [りゅうつうしょうけん] /(n) negotiable securities/
流通税 [りゅうつうぜい] /(n) circulation tax/
流鏑馬 [やぶさめ] /(n) horseback archery/
流転 [るてん] /(n,vs) vicissitudes/
流転生死 [るてんしょうじ] /(n,vs) all things being in flux through the endless circle of birth, death, and rebirth/the circle of transmigration/
流転輪廻 [るてんりんね] /(n,vs) all things being in flux through the endless circle of birth, death, and rebirth/the circle of transmigration/
流動 [りゅうどう] /(n,vs) flow/(P)/
流動資産 [りゅうどうしさん] /(n) current assets/
流動資本 [りゅうどうしほん] /(n) floating capital/
流動食 [りゅうどうしょく] /(n) liquid food (diet)/
流動性 [りゅうどうせい] /(n) liquidity/
流動性知能 [りゅうどうせいちのう] /(n) fluid intelligence/
流動性預金 [りゅうどうせいよきん] /(n) liquid deposit/
流動体 [りゅうどうたい] /(n) liquid/
流動的 [りゅうどうてき] /(adj-na,n) fluid/unsettled/(P)/
流動負債 [りゅうどうふさい] /(n) current liabilities/
流動物 [りゅうどうぶつ] /(n) fluid/
流入 [りゅうにゅう] /(n,vs) afflux/influx/(P)/
流派 [りゅうは] /(n) school (e.g. of ikebana)/(P)/
流氷 [りゅうひょう] /(n) drift ice/ice floe/(P)/
流氷ダイビング [りゅうひょうダイビング] /(n) ice diving/
流布 [るふ] /(n,vs,adj-no) circulation/dissemination/
流布本 [るふぼん] /(n) popular edition/
流亡 [りゅうぼう] /(n,vs) (1) wandering/(2) soil erosion/
流民 [りゅうみん] /(n) refugees/
流民 [るみん] /(n) refugees/
流木 [りゅうぼく] /(n) driftwood/
流紋岩 [りゅうもんがん] /(n) rhyolite/
流用 [りゅうよう] /(n,vs,adj-no) diversion/appropriation (e.g. of funds)/misappropriation/(P)/
流離 [さすらい] /(n,vs) wandering (e.g. bird, exile, lifestyle)/wandering alone in a strange country/
流離 [りゅうり] /(n,vs) wandering (e.g. bird, exile, lifestyle)/wandering alone in a strange country/
流離う [さすらう] /(v5u,vi) to wander/to roam/
流流 [りゅうりゅう] /(n) workmanship/style/
流量 [りゅうりょう] /(n) quantity of flow/capacity/
流量計 [りゅうりょうけい] /(n) flow meter/
流涙症 [りゅうるいしょう] /(n) epiphora (excessive watering of the eye)/
流麗 [りゅうれい] /(adj-na,n) fluent/flowing/elegant/
流連 [りゅうれん] /(n,vs) stay on/
流連荒亡 [りゅうれんこうぼう] /(n) spending all one's time in idle amusement away from home/being absorbed in self-indulgent pleasures/
流路 [りゅうろ] /(n) channel/duct/passage/watercourse/flow channel/
流露 [りゅうろ] /(n,vs) revelation/outpouring/
流浪 [るろう] /(n,vs) vagrancy/wandering/nomadism/(P)/
流浪の民 [るろうのたみ] /(n) wandering people/nomadic tribe/
流浪者 [るろうしゃ] /(n) nomad/
流浪人 [るろうにん] /(n) wanderer/
流氓 [りゅうぼう] /(n) refugee/
流涕 [りゅうてい] /(n,vs) crying/delacrimation/
流竄 [りゅうざん] /(n) banishment/exile/
流竄 [るざん] /(n) banishment/exile/
流謫 [りゅうたく] /(n) exile/deportation/banishment/
流謫 [りゅうてき] /(n) exile/deportation/banishment/
流謫 [るたく] /(n) exile/deportation/banishment/
溜まり [たまり] /(n) (1) pile/pool/collection/(2) gathering spot/(3) waiting place for a sumo wrestler beside the ring/(4) liquid runoff from miso preparation/(5) (abbr) tamari/variety of rich soy sauce (used for sashimi, etc.)/
溜まり醤油 [たまりじょうゆ] /(n) tamari soy sauce/variety of rich soy sauce (used for sashimi, etc.)/
溜まり場 [たまりば] /(n) gathering spot/haunt/rendezvous/meeting place/hang-out/
溜まり水 [たまりみず] /(n) stagnant water/
溜まる [たまる] /(v5r,vi) to collect/to gather/to save/to accumulate/to pile up/(P)/
溜め [ため] /(n) cesspool/sink/manure sink/
溜める [ためる] /(v1,vt) (1) to amass/to accumulate/to store/(2) to leave unpaid/(P)/
溜め桶 [ためおけ] /(n) (1) bucket (for carrying sake, soy sauce, etc.)/(2) manure bucket/(3) rainwater bucket (for dousing fires)/
溜め込む [ためこむ] /(v5m,vt) to save up/to stockpile/to stash away/to hoard/to amass/to salt away/
溜め息 [ためいき] /(n) sigh/(P)/
溜め池 [ためいけ] /(n) reservoir/pond/
溜め塗 [ためぬり] /(n) lacquering technique that uses a coloured-lacquer undercoating and a transparent-lacquer topcoat/
溜め塗り [ためぬり] /(n) lacquering technique that uses a coloured-lacquer undercoating and a transparent-lacquer topcoat/
溜り [たまり] /(io) (n) (1) pile/pool/collection/(2) gathering spot/(3) waiting place for a sumo wrestler beside the ring/(4) liquid runoff from miso preparation/(5) (abbr) tamari/variety of rich soy sauce (used for sashimi, etc.)/
溜り場 [たまりば] /(n) gathering spot/haunt/rendezvous/meeting place/hang-out/
溜る [たまる] /(v5r,vi) to collect/to gather/to save/to accumulate/to pile up/
溜飲 [りゅういん] /(n) water brash/sour stomach/
溜飲が下がる [りゅういんがさがる] /(v5r) to feel gratified/
溜桶 [ためおけ] /(n) (1) bucket (for carrying sake, soy sauce, etc.)/(2) manure bucket/(3) rainwater bucket (for dousing fires)/
溜込む [ためこむ] /(v5m,vt) to save up/to stockpile/to stash away/to hoard/to amass/to salt away/
溜息 [ためいき] /(io) (n) sigh/
溜息をつく [ためいきをつく] /(exp,v5k) to sigh/to breathe a sigh/
溜息を吐く [ためいきをつく] /(exp,v5k) to sigh/to breathe a sigh/
溜池 [ためいけ] /(n) reservoir/pond/
溜分 [りゅうぶん] /(n) fraction (i.e. in distillation)/cut/
琉歌 [りゅうか] /(n) Okinawan fixed form poetry/
琉球芋 [りゅうきゅういも] /(n) (1) sweet potato (Ipomoea batatas)/(2) potato (Solanum tuberosum)/
琉球音階 [りゅうきゅうおんかい] /(n) Okinawan scale (hemitonic pentatonic scale: do, mi, fa, so, ti)/
琉球語 [りゅうきゅうご] /(n) Ryukyuan languages/
琉球諸島 [りゅうきゅうしょとう] /(n) Ryuukyuu (Ryukyu) Islands/
琉球藍 [りゅうきゅうあい] /(n) (uk) Assam indigo (Strobilanthes cusia)/
琉球列島 [りゅうきゅうれっとう] /(n) Ryuukyuu (Ryukyu) Islands/
琉璃 [るり] /(n) (1) lapis lazuli/(2) (abbr) lapis lazuli (color)/(3) (abbr) beryl/(4) (abbr) mall blue passerine bird (esp. the blue-and-white flycatcher and the Siberian blue robin, but also the red-flanked bluetail)/(5) (obsc) glass/
留まり [どまり] /(n-suf) stopping at/going no further than/
留まる [とどまる] /(v5r,vi) (1) to stop/to halt/(2) to remain/to abide/to stay (in the one place)/(v5r) (3) to come to a halt/(4) to be limited to/
留まる [とまる] /(v5r,vi) (1) to stop/to halt/(2) to remain/to abide/to stay (in the one place)/(v5r) (3) to come to a halt/(4) to be limited to/(P)/
留まるところを知らない [とどまるところをしらない] /(exp) knowing no bounds/showing no signs of stopping or slowing down/
留め [とどめ] /(n) finishing blow/clincher/
留め [とめ] /(n,suf) (1) (a) stop (e.g. in a timber joint, or at the end of a kanji stroke)/(2) remaining (e.g. poste-restante)/(3) forty-five degree angle/
留めくぎ [とめくぎ] /(n) stop peg/toggle/tack/
留める [とどめる] /(v1,vt) (1) to stop/to stay (e.g. the night)/to cease/to put an end to/(2) to contain/to keep (in position, in place)/to limit/(3) to record (e.g. a fact)/to retain/(P)/
留める [とめる] /(v1,vt) (1) to stop (something or someone)/to turn off/(2) to concentrate on/to pay attention to/(3) to remember/to bear in mind/(4) to fix into place/(5) to park/to leave somewhere for a time/
留め金 [とめがね] /(n) clasp/snap fastener/(P)/
留め金具 [とめかなぐ] /(n) buckle/
留め具 [とめぐ] /(n) latch/clasp/
留め山 [とめやま] /(n) mountain where logging is prohibited/
留め針 [とめばり] /(n) pin/
留め袖 [とめそで] /(n) woman's ceremonial kimono/
留め男 [とめおとこ] /(n) tout/arbitrator/
留め置き [とめおき] /(n,vs) (1) detention/keeping/retaining/(2) (abbr) mail held at the post office/
留め置き郵便 [とめおきゆうびん] /(n) mail held at the post office/
留め置く [とめおく] /(v5k,vt) to detain/to keep/to lock up/to retain/to leave (letter) till called for/
留め釘 [とめくぎ] /(n) stop peg/toggle/tack/
留め湯 [とめゆ] /(n) (1) one's own bath/(2) (reusing) yesterday's bath water/(3) monthly pass for a public bath/
留め風呂 [とめぶろ] /(n) bath for one's exclusive use/
留め木 [とめぎ] /(n) (1) fragrant wood/(2) wooden peg/toggle/
留め役 [とめやく] /(n) arbitrator/
留め立て [とめだて] /(n) restrain (someone)/restraint/
留り [どまり] /(n-suf) stopping at/going no further than/
留る [とまる] /(v5r,vi) (1) to stop/to halt/(2) to remain/to abide/to stay (in the one place)/(v5r) (3) to come to a halt/
留意 [りゅうい] /(n,vs) heeding/paying attention/bearing in mind/
留意事項 [りゅういじこう] /(n) points to note/points of concern/matters to keep in mind/matters that require attention/
留意点 [りゅういてん] /(n) points to remember/things to keep in mind/notes/
留飲 [りゅういん] /(n,vs) gloating/satisfaction/
留桶 [とめおけ] /(n) bucket used for cleaning oneself in a bathhouse/
留学 [りゅうがく] /(n,vs) studying abroad (usu. at university level)/(P)/
留学希望者 [りゅうがくきぼうしゃ] /(n) person interested in studying abroad/person wanting to study abroad/
留学生 [りゅうがくせい] /(n) overseas student/exchange student/(P)/
留学先 [りゅうがくさき] /(n) study abroad destination/
留金 [とめがね] /(n) clasp/snap fastener/
留主 [るす] /(n,vs) (1) absence/being away from home/(2) house-sitting/house-sitter/(3) being left unattended to (of one's studies, etc.)/neglecting/
留守 [るす] /(n,vs) (1) absence/being away from home/(2) house-sitting/house-sitter/(3) being left unattended to (of one's studies, etc.)/neglecting/(P)/
留守のあいだ [るすのあいだ] /(adv) (in) one's absence/
留守の間 [るすのあいだ] /(adv) (in) one's absence/
留守の間 [るすのま] /(adv) (in) one's absence/
留守をあずかる [るすをあずかる] /(exp,v5r) to take charge during someone's absence/
留守を預かる [るすをあずかる] /(exp,v5r) to take charge during someone's absence/
留守家族 [るすかぞく] /(n) family members left at home/
留守居 [るすい] /(n,vs) caretaker or keeper (official post in the Edo era)/
留守宅 [るすたく] /(n) house where the family is out/
留守中 [るすちゅう] /(n) during absence from home/
留守電 [るすでん] /(n) (abbr) answering machine/
留守番 [るすばん] /(n,vs) (1) care-taking/house-sitting/house-watching/(2) caretaker/house-sitter/(P)/
留守番電話 [るすばんでんわ] /(n) answering machine/answer phone/
留守録 [るすろく] /(n,vs) unattended (video, audio) recording/
留処 [とめど] /(n) end/termination point/
留処無い [とめどない] /(adj-i) endless/ceaseless/
留処無く [とめどなく] /(adv) endlessly/ceaselessly/
留針 [とめばり] /(n) pin/
留袖 [とめそで] /(n) formal, usually black, kimono with designs along the bottom of the skirt worn by married women on ceremonial occasions/
留置 [りゅうち] /(n,vs) detainment/imprisonment/poundage/(P)/
留置き [とめおき] /(n,vs) (1) detention/keeping/retaining/(2) (abbr) mail held at the post office/
留置き郵便 [とめおきゆうびん] /(n) mail held at the post office/
留置く [とめおく] /(v5k,vt) to detain/to keep/to lock up/to retain/to leave (letter) till called for/
留置所 [りゅうちじょ] /(n) jail/gaol/
留置場 [りゅうちじょう] /(n) police cell/place of detention/(P)/
留置郵便 [とめおきゆうびん] /(n) mail held at the post office/
留鳥 [りゅうちょう] /(n) nonmigratory bird/
留湯 [とめゆ] /(n) (1) one's own bath/(2) (reusing) yesterday's bath water/(3) monthly pass for a public bath/
留任 [りゅうにん] /(n,vs) remaining (staying) in office/remaining at one's post/(P)/
留年 [りゅうねん] /(n,vs) repeating the same class (school)/staying more than two years in the same class/(P)/
留年生 [りゅうねんせい] /(n) student repeating the same class/
留風呂 [とめぶろ] /(n) bath for one's exclusive use/
留分 [りゅうぶん] /(n) fraction (i.e. in distillation)/cut/
留別 [りゅうべつ] /(n) farewell to those staying behind/
留保 [りゅうほ] /(n,vs) reserving/withholding/(P)/
留保賃金 [りゅうほちんぎん] /(n) reservation wage/
留保利益 [りゅうほりえき] /(n) retained earnings/
留木 [とめぎ] /(n) (1) fragrant wood/(2) wooden peg/toggle/
硫安 [りゅうあん] /(n) ammonium sulfate/
硫黄 [いおう] /(n,adj-no) sulfur (S)/sulphur/(P)/
硫黄華 [いおうか] /(n) flowers of sulfur/flowers of sulphur/
硫黄細菌 [いおうさいきん] /(n) sulfur-reducing bacteria/
硫黄山 [いおうやま] /(n) sulfur mine/sulphur mine/
硫黄酸化物 [いおうさんかぶつ] /(n) sulphur oxide/sulfur oxide/
硫黄泉 [いおうせん] /(n) sulfur spring/sulphur spring/
硫化 [りゅうか] /(n,vs) sulfuration/sulphuration/
硫化アンモニウム [りゅうかアンモニウム] /(n) ammonium sulfide/
硫化カドミウム [りゅうかカドミウム] /(n) cadmium sulfide (CdS) (sulphide)/
硫化亜鉛 [りゅうかあえん] /(n) zinc sulfide (ZnS) (sulphide)/
硫化処理ゴム [りゅうかしょりゴム] /(n) vulcanized rubber/vulcanised rubber/
硫化水銀 [りゅうかすいぎん] /(n) mercury sulfide (esp. mercuric sulfide, HgS, but also mercurous sulfide, Hg2S) (sulphide)/
硫化水素 [りゅうかすいそ] /(n) hydrogen sulphide/hydrogen sulfide/sulphuretted hydrogen/sulfuretted hydrogen/
硫化物 [りゅうかぶつ] /(n) sulfide/
硫化変色 [りゅうかへんしょく] /(n) sulphide staining/
硫酸 [りゅうさん] /(n) sulfuric acid/sulphuric acid/(P)/
硫酸アルミニウム [りゅうさんアルミニウム] /(n) aluminum sulfate (Al2(SO4)3)/aluminium sulphate/
硫酸カルシウム [りゅうさんカルシウム] /(n) calcium sulfate (CaSO4) (sulphate)/
硫酸ナトリウム [りゅうさんナトリウム] /(n) sodium sulfate (sulphate)/
硫酸バリウム [りゅうさんバリウム] /(n) barium sulfate (BaSO4) (sulphate)/
硫酸マグネシウム [りゅうさんマグネシウム] /(n) magnesium sulfate (MgSO4) (sulphate)/
硫酸亜鉛 [りゅうさんあえん] /(n) zinc sulfate (ZnSO4) (sulphate)/
硫酸紙 [りゅうさんし] /(n) parchment paper/
硫酸銅 [りゅうさんどう] /(n) copper sulfate/
硫砒鉄鉱 [りゅうひてっこう] /(n) arsenopyrite/
粒 [つび] /(ok) (n,n-suf) (1) grain/bead/drop/(ctr) (2) counter for small round objects including grains, seeds, pills, drops/
粒 [つぶ] /(n,n-suf) (1) grain/bead/drop/(ctr) (2) counter for small round objects including grains, seeds, pills, drops/(P)/
粒 [つぼ] /(ok) (n,n-suf) (1) grain/bead/drop/(ctr) (2) counter for small round objects including grains, seeds, pills, drops/
粒々辛苦 [りゅうりゅうしんく] /(n,vs) toil and moil/working assiduously for/tireless hard work/painstaking labor (labour)/
粒ぞろい [つぶぞろい] /(n) uniform excellence/
粒だつ [つぶだつ] /(v5t,vi) to become grainy/
粒より [つぶより] /(n,adj-no) the pick/the choice/
粒界 [りゅうかい] /(n) grain boundary/
粒銀 [つぶぎん] /(n) small silver coin of the Edo period/
粒径 [りゅうけい] /(n) grain diameter/particle diameter/
粒子 [りゅうし] /(n) particle/grain/(P)/
粒子径 [りゅうしけい] /(n) particle size/particle diameter/
粒子線 [りゅうしせん] /(n) particle beam/
粒状 [りゅうじょう] /(n,adj-no) granular/granulated/(P)/
粒状斑 [りゅうじょうはん] /(n) granule (in solar physics)/
粒食 [りゅうしょく] /(n) eating rice/(cereal) grains/
粒選り [つぶより] /(n,adj-no) the pick/the choice/
粒揃い [つぶぞろい] /(n) uniform excellence/
粒度 [りゅうど] /(n) particle size/grain size/granularity/
粒度分布 [りゅうどぶんぷ] /(n) particle size distribution/
粒立つ [つぶだつ] /(v5t,vi) to become grainy/
粒粒 [つぶつぶ] /(n,adj-no) granulated/lumpy/
粒粒 [りゅうりゅう] /(n) bit by bit/
粒粒辛苦 [りゅうりゅうしんく] /(n,vs) toil and moil/working assiduously for/tireless hard work/painstaking labor (labour)/
隆々 [りゅうりゅう] /(adj-t,adv-to) prosperous/flourishing/thriving/muscular/brawny/
隆運 [りゅううん] /(n) prosperity/good fortune/
隆起 [りゅうき] /(n,vs,adj-no) protuberance/projection/rising/(P)/
隆昌 [りゅうしょう] /(n) prosperity/
隆盛 [りゅうせい] /(adj-na,n,adj-no) prosperity/(P)/
隆替 [りゅうたい] /(n) rise and decline/
隆鼻術 [りゅうびじゅつ] /(n) cosmetic (plastic) surgery of the nose/rhinoplasty/nose job/
隆隆 [りゅうりゅう] /(adj-t,adv-to) prosperous/flourishing/thriving/muscular/brawny/
竜 [たつ] /(n) (1) dragon (esp. a Chinese dragon)/(2) naga (semidivine human-cobra chimera in Indian mythology)/
竜 [りゅう] /(n) (1) dragon (esp. a Chinese dragon)/(2) naga (semidivine human-cobra chimera in Indian mythology)/(3) promoted rook (shogi)/(P)/
竜 [りょう] /(n) (1) dragon (esp. a Chinese dragon)/(2) naga (semidivine human-cobra chimera in Indian mythology)/(3) promoted rook (shogi)/
竜の口 [たつのくち] /(n) dragon-head gargoyle/gutter spout/
竜の髭 [りゅうのひげ] /(n) (uk) dwarf mondo grass (Ophiopogon japonicus)/
竜の落し子 [たつのおとしご] /(n) seahorse/sea horse/
竜の落とし子 [たつのおとしご] /(n) seahorse/sea horse/
竜の落子 [たつのおとしご] /(n) seahorse/sea horse/
竜王 [りゅうおう] /(n) (1) Dragon King/(2) promoted rook (shogi)/(P)/
竜蝦 [いせえび] /(iK) (n) (uk) spiny lobster (esp. Japanese spiny lobster, Panulirus japonicus)/
竜駕 [りゅうが] /(n) imperial carriage/
竜駕 [りょうが] /(n) imperial carriage/
竜巻 [たつまき] /(n,adj-no) tornado/waterspout/(P)/
竜巻き [たつまき] /(n,adj-no) tornado/waterspout/
竜眼 [りゅうがん] /(n) longan/
竜顔 [りゅうがん] /(n) imperial countenance/
竜顔 [りょうがん] /(n) imperial countenance/
竜騎兵 [りゅうきへい] /(n) dragoon/
竜脚類 [りゅうきゃくるい] /(n) sauropods/
竜宮 [りゅうぐう] /(n) Palace of the Dragon King/
竜宮の使い [りゅうぐうのつかい] /(n) (uk) king of herrings (Regalecus glesne)/oarfish/ribbonfish/
竜血樹 [りゅうけつじゅ] /(n) (uk) dragon tree (Dracaena draco)/
竜虎 [りゅうこ] /(n) (1) hero/clever writing/good writer/(2) dragon and tiger/two mighty rivals/
竜虎 [りょうこ] /(n) (1) hero/clever writing/good writer/(2) dragon and tiger/two mighty rivals/
竜虎の争い [りゅうこのあらそい] /(n) well-matched contest (lit: fight between dragon and tiger)/
竜虎相搏つ [りゅうこあいうつ] /(exp) (id) Diamonds cut diamonds/
竜骨 [りゅうこつ] /(n) keel/
竜骨座 [りゅうこつざ] /(n) (constellation) Carina/Keel star/
竜骨弁 [りゅうこつべん] /(n) keel petal (type of flower)/
竜座 [りゅうざ] /(n) (constellation) Draco (dragon)/
竜舎 [りゅうしゃ] /(n) (obsc) ryusha (spherical or egg-shaped part near the top of a pagoda finial)/
竜車 [りゅうしゃ] /(n) imperial carriage/
竜舟 [りゅうしゅう] /(n) dragon boat (long 22-person canoe used for racing)/
竜神 [りゅうじん] /(n) dragon god/dragon king/
竜舌蘭 [りゅうぜつらん] /(n) (1) (uk) agave/maguey/(2) American aloe/century plant (Agave americana)/
竜船 [りゅうせん] /(n) dragon boat/
竜胆 [りゅうたん] /(n) gentian/Gentiana scabra var. buergeri/bellflower/
竜胆 [りんどう] /(n) gentian/Gentiana scabra var. buergeri/bellflower/
竜笛 [りゅうてき] /(n) dragon flute (medium-pitched bamboo transverse flute with seven-holes)/
竜笛 [りょうてき] /(n) dragon flute (medium-pitched bamboo transverse flute with seven-holes)/
竜天栄螺 [りゅうてんさざえ] /(n) (uk) tapestry turban (species of turban shell, Turbo petholatus)/
竜田姫 [たつたひめ] /(n) Tatsutahime/goddess of autumn/goddess of fall/
竜田揚 [たつたあげ] /(n) fish (meat, etc.) flavoured with soy sauce and cooking sake, coated with dogtooth violet starch and then deep fried/
竜田揚げ [たつたあげ] /(n) fish (meat, etc.) flavoured with soy sauce and cooking sake, coated with dogtooth violet starch and then deep fried/
竜灯 [りゅうとう] /(n) phosphorescent lights seen at sea at night/lights that can be seen on the altar of gods, intended as an offering/
竜頭 [りゅうず] /(n) watch stem/
竜頭蛇尾 [りゅうとうだび] /(n) a strong beginning and a weak ending/an anticlimax/
竜脳 [りゅうのう] /(n) borneol (crystalline turpenoid alcohol)/
竜馬 [りゅうめ] /(n) (1) splendid horse/(2) promoted bishop (shogi)/
竜盤類 [りゅうばんるい] /(n) Saurischia (order of dinosaurs with lizard-like pelvic structures)/
竜皮巻 [りゅうひまき] /(n) white fish vinegared and rolled with konbu/
竜攘虎搏 [りゅうじょうこはく] /(n) fierce fighting/
竜涎香 [りゅうぜんこう] /(n) ambergris/
龍 [たつ] /(oK) (n) (1) dragon (esp. a Chinese dragon)/(2) naga (semidivine human-cobra chimera in Indian mythology)/
龍 [りゅう] /(oK) (n) (1) dragon (esp. a Chinese dragon)/(2) naga (semidivine human-cobra chimera in Indian mythology)/(3) promoted rook (shogi)/
龍 [りょう] /(oK) (n) (1) dragon (esp. a Chinese dragon)/(2) naga (semidivine human-cobra chimera in Indian mythology)/(3) promoted rook (shogi)/
龍王 [りゅうおう] /(n) (1) Dragon King/(2) promoted rook (shogi)/
龍虎 [りゅうこ] /(n) (1) hero/clever writing/good writer/(2) dragon and tiger/two mighty rivals/
龍虎 [りょうこ] /(n) (1) hero/clever writing/good writer/(2) dragon and tiger/two mighty rivals/
龍舟 [りゅうしゅう] /(n) dragon boat (long 22-person canoe used for racing)/
龍神 [りゅうじん] /(n) dragon god/dragon king/
龍舌蘭 [りゅうぜつらん] /(n) (1) (uk) agave/maguey/(2) American aloe/century plant (Agave americana)/
龍笛 [りゅうてき] /(oK) (n) dragon flute (medium-pitched bamboo transverse flute with seven-holes)/
龍笛 [りょうてき] /(oK) (n) dragon flute (medium-pitched bamboo transverse flute with seven-holes)/
龍天に登る [りゅうてんにのぼる] /(exp) rise of the dragon (bringing rain around the time of the spring equinox)/
龍馬 [りゅうめ] /(n) (1) splendid horse/(2) promoted bishop (shogi)/
龍甕 [りゅうが] /(iK) (n) imperial carriage/
龍甕 [りょうが] /(iK) (n) imperial carriage/
侶 [とも] /(n,vs) companion/follower/attendant/retinue/
侶伴 [りょはん] /(n) companion/
慮り [おもんぱかり] /(n) thought/consideration/fears/
慮る [おもんぱかる] /(v5r,vt) to consider/
慮外 [りょがい] /(adj-na,n,adj-no) unexpected/
旅 [たび] /(n,vs) travel/trip/journey/(P)/
旅 [りょ] /(n) 500-man battalion (Zhou-dynasty Chinese army)/
旅する [たびする] /(vs-s) to travel/to take a trip/
旅の空 [たびのそら] /(exp) away from home/while travelling/
旅の恥はかき捨て [たびのはじはかきすて] /(exp) (id) Once over the border, one may do anything/
旅の恥は掻き捨て [たびのはじはかきすて] /(exp) (id) Once over the border, one may do anything/
旅は心世は情け [たびはこころよはなさけ] /(exp) (id) In traveling, companionship; in life, kindness/
旅は道連れ世は情け [たびはみちづれよはなさけ] /(exp) just as it is reassuring to have a companion when traveling, it is important for us to care for each other as we pass through this life/
旅衣 [たびごろも] /(n) travel clothes/
旅烏 [たびがらす] /(n) (1) wanderer/stranger/vagrant/vagabond/(2) disparaging term used to refer to someone from another region/
旅稼ぎ [たびかせぎ] /(n,vs) working away from home/
旅回り [たびまわり] /(n) touring/
旅慣れる [たびなれる] /(v1,vi) to be accustomed to traveling (travelling)/
旅館 [りょかん] /(n) Japanese hotel/inn/ryokan/(P)/
旅館業 [りょかんぎょう] /(n) the hotel business/
旅客 [りょかく] /(n) passenger (transport)/(P)/
旅客 [りょきゃく] /(n) passenger (transport)/
旅客機 [りょかくき] /(n) passenger plane/(P)/
旅客機 [りょかっき] /(n) passenger plane/
旅客船 [りょかくせん] /(n) passenger ship/
旅客船 [りょきゃくせん] /(n) passenger ship/
旅客列車 [りょかくれっしゃ] /(n) passenger train/
旅客列車 [りょきゃくれっしゃ] /(n) passenger train/
旅興行 [たびこうぎょう] /(n) touring show/
旅芸人 [たびげいにん] /(n) itinerant entertainer/
旅券 [りょけん] /(n) passport/(P)/
旅券査証 [りょけんさしょう] /(n) visa/
旅行 [りょこう] /(n,vs,adj-no) travel/trip/(P)/
旅行家 [りょこうか] /(n) traveller/traveler/
旅行会社 [りょこうがいしゃ] /(n) travel agent/travel agency/
旅行鞄 [りょこうかばん] /(n) traveling bag/travelling bag/suitcase/
旅行記 [りょこうき] /(n) journal of one's travels/
旅行業者 [りょこうぎょうしゃ] /(n) travel agent/
旅行計画 [りょこうけいかく] /(n) travel planning/travel plans/
旅行券 [りょこうけん] /(n) travel voucher/travel coupon/(P)/
旅行社 [りょこうしゃ] /(n) travel agent/travel agency/
旅行者 [りょこうしゃ] /(n) traveller/traveler/
旅行者用小切手 [りょこうしゃようこぎって] /(n) traveler's check/traveller's cheque/
旅行小切手 [りょこうこぎって] /(n) traveler's check/traveller's cheque/
旅行先 [りょこうさき] /(n) destination/
旅行代理店 [りょこうだいりてん] /(n) travel agent/
旅行日程 [りょこうにってい] /(n) itinerary/
旅行鳩 [りょこうばと] /(n) (uk) passenger pigeon (Ectopistes migratorius)/
旅行疲れ [りょこうずかれ] /(n) fatigue from traveling (travelling)/
旅行文書 [りょこうぶんしょ] /(n) travel document/
旅行保険 [りょこうほけん] /(n) travel insurance/
旅子 [たびこ] /(n) (arch) travelling male homosexual prostitute/
旅支度 [たびじたく] /(n,vs) preparations for a journey/
旅次 [りょじ] /(n) hotel/inn/
旅愁 [りょしゅう] /(n) loneliness on a journey/
旅住い [たびずまい] /(n) place one stays when traveling (travelling)/
旅宿 [たびやど] /(ok) (n) travellers' inn/stage inn/
旅宿 [りょしゅく] /(n) travellers' inn/stage inn/
旅所 [たびしょ] /(n) place where the sacred palanquin is lodged during a festival/
旅商い [たびあきない] /(n,vs) peddling/peddler/pedlar/
旅商人 [たびあきんど] /(n) peddler/
旅商人 [たびしょうにん] /(n) peddler/
旅情 [りょじょう] /(n) one's mood while traveling (travelling)/
旅信 [たびだより] /(n) (obsc) message from someone on a journey/
旅信 [りょしん] /(n) (obsc) message from someone on a journey/
旅寝 [たびね] /(n,vs) sleeping away from home/overnight stay when traveling/
旅心 [たびごころ] /(n) desire to travel/
旅人 [たびにん] /(n) nomad/person who goes from place to place, gambling, etc./pilgrim/
旅人 [たびびと] /(n) traveller/traveler/wayfarer/tourist/(P)/
旅人 [りょじん] /(n) traveller/traveler/wayfarer/tourist/
旅人の木 [たびびとのき] /(n) (uk) traveller's tree (Ravenala madagascariensis)/traveller's palm/
旅人木 [りょじんぼく] /(n) traveller's tree (Ravenala madagascariensis)/traveller's palm/
旅先 [たびさき] /(n) (1) destination/goal (of travel)/(2) place one stays during a journey/(P)/
旅鼠 [たびねずみ] /(n) (uk) lemming/
旅僧 [たびそう] /(n) traveling priest/travelling priest/
旅装 [りょそう] /(n) travelling clothes/traveling clothes/travelling outfit/traveling outfit/
旅装を調える [りょそうをととのえる] /(exp,v1) to prepare for a journey/
旅団 [りょだん] /(n) brigade/(P)/
旅鳥 [たびどり] /(n) migrating bird (that is just passing through en route to its final destination)/
旅鳥 [りょちょう] /(n) migrating bird (that is just passing through en route to its final destination)/
旅亭 [りょてい] /(n) hotel/inn/
旅程 [りょてい] /(n) itinerary/
旅馴れる [たびなれる] /(v1,vi) to be accustomed to traveling (travelling)/
旅日記 [たびにっき] /(n) travel diary/
旅疲れ [たびづかれ] /(n) weary from traveling (travelling)/
旅費 [りょひ] /(n) travel expenses/(P)/
旅枕 [たびまくら] /(n) sleeping away from home/
旅役者 [たびやくしゃ] /(n) itinerant entertainer or troupe/
旅立ち [たびだち] /(n,vs) setting off (on a trip)/
旅立つ [たびだつ] /(v5t,vi) to begin a trip/(P)/
旅路 [たびじ] /(n) journey/
旅籠 [はたご] /(n) inn (originally a basket of woven bamboo in which travellers carried food) (travelers)/
旅籠屋 [はたごや] /(n) inn/tavern/
旅鴉 [たびがらす] /(n) (1) wanderer/stranger/vagrant/vagabond/(2) disparaging term used to refer to someone from another region/
虜 [とりこ] /(n) (1) captive/prisoner/(2) victim (of love, etc.)/slave (to one's lust, etc.)/
虜囚 [りょしゅう] /(n) captive/prisoner/
了 [りょう] /(n) finish/completion/understanding/(P)/
了い [しまい] /(n) (1) end/close/finish/termination/
了い [じまい] /(suf) (1) (uk) ending/quitting/closing/(2) (uk) indicates disappointment for not having done what one wanted or intended to do/
了う [しまう] /(v5u,vt) (uk) to finish/to close/to do something completely/to put away/to put an end to/
了える [おえる] /(v1,vt) (1) to finish/(2) to graduate/
了する [りょうする] /(vs-s,vi) (1) to finish/to complete/(2) to understand/
了わる [おわる] /(v5r,vi) to finish/to end/to close/
了解 [りょうかい] /(n,vs) comprehension/consent/understanding/roger (on the radio)/(P)/
了解済み [りょうかいずみ] /(adj-no) accepted/understood/
了解事項 [りょうかいじこう] /(n) understanding (between the two)/
了覚 [りょうかく] /(n,vs) coming to understand/
了簡 [りょうけん] /(n,vs) (1) idea/thought/intention/design/inclination/decision/motive/(2) discretion/(3) forgiveness/toleration/
了簡違い [りょうけんちがい] /(n) wrong idea/delusion/indiscretion/false step/misstep/
了見 [りょうけん] /(n,vs) (1) idea/thought/intention/design/inclination/decision/motive/(2) discretion/(3) forgiveness/toleration/
了見違い [りょうけんちがい] /(n) wrong idea/delusion/indiscretion/false step/misstep/
了察 [りょうさつ] /(n,vs) consideration/taking into account/sympathy with/
了承 [りょうしょう] /(n,vs) acknowledgement/acknowledgment/understanding (e.g. "please be understanding of the mess during our renovation")/noting/acceptance/(P)/
了承済み [りょうしょうずみ] /(adj-no) acknowledged/accepted/agreed/
了知 [りょうち] /(n,vs) knowing/understanding/appreciation/
亮月 [りょうげつ] /(n) bright moonlight/
亮察 [りょうさつ] /(n,vs) consideration/taking into account/sympathy with/
亮然 [りょうぜん] /(adj-t,adv-to) clear/obvious/
亮直 [りょうちょく] /(n) rightfulness/
僚艦 [りょうかん] /(n) consort ship/
僚機 [りょうき] /(n) consort plane/
僚船 [ともぶね] /(n) consort ship/
僚友 [りょうゆう] /(n) colleague/workmate/comrade/coworker/(P)/
両 [りょう] /(n,pref) (1) both (e.g. both shoulders, etc.)/(n) (2) ryo (obsolete unit of currency)/(3) 41-42 g (one sixteenth of a kin)/(4) 2 tan (measure of fabric size)/(ctr) (5) counter for carriages (e.g. in a train)/
両々 [りょうりょう] /(n) both/two each/
両の手 [りょうのて] /(n) both hands/
両バッテリー [りょうバッテリー] /(n) pitcher and catcher (baseball)/
両為 [りょうだめ] /(adv) for the benefit of both parties/
両院 [りょういん] /(n) both Houses of Parliament/(P)/
両院協議会 [りょういんきょうぎかい] /(n) joint committee of both houses/
両院制 [りょういんせい] /(n) bicameral constitution/bicameralism/bicameral system/
両下 [まや] /(n) (arch) (house with a) gabled roof/
両下 [りょうか] /(n) (arch) (house with a) gabled roof/
両家 [りょうけ] /(n) both families/
両界曼荼羅 [りょうかいまんだら] /(n) (obsc) Mandala of the Two Realms/
両開き [りょうびらき] /(n) double (two-leaf) door/
両蓋 [りょうぶた] /(n) hunting-case watch/
両蓋時計 [りょうぶたどけい] /(n) hunting-case watch/
両岸 [りょうがん] /(n,adj-no) both banks (of a river)/(P)/
両岸 [りょうぎし] /(n,adj-no) both banks (of a river)/
両眼 [りょうがん] /(n,adj-no) both eyes/binocular/(P)/
両義 [りょうぎ] /(n,adj-no) double meaning/two meanings/amphibolous/
両議院 [りょうぎいん] /(n) both houses of parliament/
両脚 [りょうあし] /(n) both legs/
両脚 [りょうきゃく] /(n) both legs/
両脚器 [りょうきゃくき] /(n) pair of compasses/
両脚規 [りょうきゃくき] /(n) compass (for drawing circles)/
両極 [りょうきょく] /(n) both extremities/north and south poles/positive and negative poles/
両極端 [りょうきょくたん] /(n) both extremes/
両極地方 [りょうきょくちほう] /(n) polar areas/
両軍 [りょうぐん] /(n) both armies/both teams/(P)/
両形 [ふたなり] /(n,adj-no) (uk) hermaphrodite/androgyny/hermaphroditism/
両形 [りょうけい] /(n,adj-no) dimorphism/
両建て [りょうだて] /(adj-na,n) straddling/option/
両建て預金 [りょうだてよきん] /(n) compulsory deposit in return for loan/
両拳 [りょうけん] /(n) both fists/
両肩 [りょうかた] /(n) both shoulders/
両肩 [りょうけん] /(n) both shoulders/
両舷 [りょうげん] /(n) both sides of a ship/
両虎 [りょうこ] /(n) two tigers/two rivals/
両口 [りょうぐち] /(n) both openings/two people/couple/
両国 [りょうこく] /(n) (1) both countries/(P)/
両国 [りょうごく] /(n) (1) both countries/(2) Ryougoku (area of Tokyo)/
両国間 [りょうこくかん] /(n) between both countries/
両国語 [りょうこくご] /(n) both languages/
両差し [もろざし] /(n) deep double underarm grip which prevents the opponent from grabbing the belt (sumo)/
両三 [りょうさん] /(n) two or three/
両三日 [りょうさんにち] /(n) two or three days/
両思い [りょうおもい] /(n) mutual love/
両氏 [りょうし] /(n) both persons/(P)/
両耳 [りょうみみ] /(n,adj-no) both ears/
両社 [りょうしゃ] /(n) both companies/
両者 [りょうしゃ] /(n) pair/the two/both persons/both things/(P)/
両手 [りょうて] /(n,adj-no) (1) (with) both hands/(2) approvingly/(P)/
両手に花 [りょうてにはな] /(n) two blessings at once/flanked by two beautiful women/
両手利 [りょうてきき] /(io) (n,adj-no) ambidexter/ambidexterity/
両手利き [りょうてきき] /(n,adj-no) ambidexter/ambidexterity/
両種 [りょうしゅ] /(n) both kinds/
両職を兼ねる [りょうしょくをかねる] /(exp,v1) to hold two offices concurrently/
両唇音 [りょうしんおん] /(n) (ling) bilabial/
両親 [ふたおや] /(n) parents/both parents/
両親 [りょうしん] /(n) parents/both parents/(P)/
両人 [りょうにん] /(n) both people/
両刃 [もろは] /(adj-no) (1) double-edged/(n) (2) double-edged blade/
両刃 [りょうば] /(adj-no) (1) double-edged/(n) (2) double-edged blade/
両刃の剣 [りょうばのけん] /(n) double-edged sword/
両刃鋸 [りょうばのこぎり] /(n) double-edged saw/
両性 [りょうせい] /(n,adj-no) both sexes/
両性花 [りょうせいか] /(n) androgynous flower/bisexual flower/
両性具有 [りょうせいぐゆう] /(n,adj-no) androgynous/hermaphroditic/
両性的 [りょうせいてき] /(adj-na) bisexual/
両成敗 [りょうせいばい] /(n) two guilty parties tried and punished together/
両棲 [りょうせい] /(adj-no,n) amphibious/amphibian/
両棲動物 [りょうせいどうぶつ] /(n) amphibious animal/
両棲類 [りょうせいるい] /(n) amphibia/amphibian/
両生 [りょうせい] /(adj-no,n) amphibious/amphibian/
両生動物 [りょうせいどうぶつ] /(n) amphibious animal/
両生類 [りょうせいるい] /(n) amphibia/amphibian/
両切り [りょうぎり] /(n) plain cigarette/
両切り煙草 [りょうぎりたばこ] /(n) plain cigarette/
両舌 [りょうぜつ] /(n) double-dealing/
両前 [りょうまえ] /(n,adj-no) double-breasted/
両全 [りょうぜん] /(n,vs) mutual advantage/
両像 [りょうぞう] /(n) both images/
両側 [りょうがわ] /(n,adj-no) both sides/(P)/
両側 [りょうそく] /(n,adj-no) both sides/
両足 [もろあし] /(n) (1) both feet/
両足 [りょうあし] /(n) (1) both feet/(2) both legs/
両足 [りょうそく] /(n) (1) both feet/(P)/
両袖 [りょうそで] /(n) both sleeves/
両損 [りょうそん] /(n) loss on both sides/
両損 [りょうぞん] /(n) loss on both sides/
両対数グラフ [りょうたいすうグラフ] /(n) double-logarithmic graph/
両替 [りょうがえ] /(n,vs) change/money exchange/(P)/
両替屋 [りょうがえや] /(n) money-exchange shop/
両替機 [りょうがえき] /(n) money-changing machine/
両替手数料 [りょうがえてすうりょう] /(n) commission for an exchange/
両替所 [りょうがえじょ] /(n) exchange counter (office)/
両替商 [りょうがえしょう] /(n) money-exchange business/
両替人 [りょうがえにん] /(n) money exchanger/
両端 [りょうたん] /(n) both ends/either end/both edges/sitting on the fence/
両端 [りょうはし] /(n) both ends/either end/both edges/sitting on the fence/(P)/
両断 [りょうだん] /(n,vs) bisection/
両天秤 [りょうてんびん] /(n) two alternatives/
両天秤にかける [りょうてんびんにかける] /(exp,v1) to try to have it both ways/to try to sit on two stools/
両天秤に掛ける [りょうてんびんにかける] /(exp,v1) to try to have it both ways/to try to sit on two stools/
両天秤をかける [りょうてんびんをかける] /(exp,v1) to try to have it both ways/to try to sit on two stools/
両天秤を掛ける [りょうてんびんをかける] /(exp,v1) to try to have it both ways/to try to sit on two stools/
両度 [りょうど] /(n-adv,n-t) both times/
両党 [りょうとう] /(n) both political parties/(P)/
両刀 [りょうとう] /(n) two swords/
両刀遣い [りょうとうつかい] /(n) two-sword fencer/expert in two fields/person who likes alcohol and sweets equally well/bisexual (person)/
両刀遣い [りょうとうづかい] /(n) two-sword fencer/expert in two fields/person who likes alcohol and sweets equally well/bisexual (person)/
両刀使い [りょうとうつかい] /(n) two-sword fencer/expert in two fields/person who likes alcohol and sweets equally well/bisexual (person)/
両刀使い [りょうとうづかい] /(n) two-sword fencer/expert in two fields/person who likes alcohol and sweets equally well/bisexual (person)/
両頭 [りょうとう] /(n,adj-no) double-headed/
両頭政治 [りょうとうせいじ] /(n) diarchy/dyarchy/
両得 [りょうとく] /(n,vs) double gain/
両凸 [りょうとつ] /(n,adj-no) biconvex/
両日 [りょうじつ] /(n-t) both days/two days/(P)/
両肌 [もろはだ] /(n) both bare shoulders/stripped to the waist/
両肌 [りょうはだ] /(n) both bare shoulders/stripped to the waist/
両班 [りょうはん] /(n) (Buddh) preliminary introduction (Zen)/
両班 [ヤンバン] /(n) (uk) aristocrat (kor:)/
両班 [リャンバン] /(n) (uk) aristocrat (kor:)/
両膝 [りょうひざ] /(n) both knees/
両肘 [りょうひじ] /(n) both elbows/
両部 [りょうぶ] /(n) (1) (Buddh) two parts/both parts/(2) both realms (i.e. the Diamond Realm and the Womb Realm)/(3) (abbr) Shinto-Buddhist amalgamation/
両部神道 [りょうぶしんとう] /(n) Shinto-Buddhist amalgamation/dual-aspect Shinto/
両分 [りょうぶん] /(n,vs) bisect/cut in two/
両陛下 [りょうへいか] /(n) Their Majesties/the Emperor and Empress/
両辺 [りょうへん] /(n) both sides/
両便 [りょうべん] /(n) urination and bowel movement/
両方 [りょうほう] /(n,adj-no) both sides/both parties/(P)/
両方とも [りょうほうとも] /(n) the two/both/
両方共 [りょうほうとも] /(n) the two/both/
両方向 [りょうほうこう] /(n,adj-no) two directions/both directions/two-way/bidirectional/
両方向印刷 [りょうほうこういんさつ] /(n) (comp) bidirectional printing/
両方向交互データ通信 [りょうほうこうこうごデータつうしん] /(n) (comp) two-way alternate data communication/
両方向交互相互動作 [りょうほうこうこうごそうごどうさ] /(n) (comp) two-way-alternate interaction/
両方向交互通信 [りょうほうこうこうごつうしん] /(n) (comp) two-way alternative communication/
両方向同時データ通信 [りょうほうこうどうじデータつうしん] /(n) (comp) two-way simultaneous data communication/
両方向同時相互動作 [りょうほうこうどうじそうごどうさ] /(n) (comp) two-way-simultaneous interaction/
両方向同時通信 [りょうほうこうどうじつうしん] /(n) (comp) two-way simultaneous communication/
両忘 [りょうぼう] /(n) (Buddh) (obsc) detachment from dichotomies/detachment from objectivity and subjectivity/
両忘 [りょうもう] /(n) (Buddh) (obsc) detachment from dichotomies/detachment from objectivity and subjectivity/
両名 [りょうめい] /(n) both persons/
両面 [りょうめん] /(n,adj-no) both sides/two sides/double-sided/(P)/
両面ディスク [りょうめんディスク] /(n) (comp) double-sided disk/
両面価値 [りょうめんかち] /(n,adj-no) ambivalence/
両面作戦 [りょうめんさくせん] /(n) operations (a strategy) on two fronts/two-pronged strategy/
両面刷り [りょうめんずり] /(n) printing on both sides/
両目 [りょうめ] /(n) both eyes/
両雄 [りょうゆう] /(n) two great men (rivals)/(P)/
両雄並び立たず [りょうゆうならびたたず] /(exp) (id) Two great men cannot coexist/
両様 [りょうよう] /(n) two ways/both ways/two kinds/
両洋 [りょうよう] /(n) Orient and Occident/Atlantic and Pacific/
両用 [りょうよう] /(n,vs) dual use/
両用機 [りょうようき] /(n) amphibian plane/
両翼 [りょうよく] /(n) both wings/both flanks/(P)/
両立 [りょうりつ] /(n,vs) compatibility/coexistence/standing together/(P)/
両両 [りょうりょう] /(n) both/two each/
両輪 [りょうりん] /(n) two wheels/(P)/
両隣 [りょうどなり] /(n) both sides/
両論 [りょうろん] /(n) both arguments (theories)/(P)/
両脇 [りょうわき] /(n) both sides/
両腕 [もろうで] /(n) both arms/
両腕 [りょううで] /(n) both arms/(P)/
両鬢 [りょうびん] /(n) sideburns/hair at the sides of the head/
凌ぎ [しのぎ] /(n) tiding over/
凌ぎ場 [しのぎば] /(n) shelter/
凌ぐ [しのぐ] /(v5g,vt) (1) to endure/to keep out (e.g. rain)/to stave off (e.g. starvation)/(2) to pull through/to get over/to survive/(3) to surpass/to outdo/to excel/to eclipse/to defy/to slight/(P)/
凌雲 [りょううん] /(adj-no) skyscraping/very high/above the clouds/above this mortal world/
凌駕 [りょうが] /(n,vs) excelling/surpassing/outdoing/superior/
凌虐 [りょうぎゃく] /(n,vs) humiliation/indignity/affront/assault/
凌辱 [りょうじょく] /(n,vs) (1) insult/affront/disgrace/indignity/(2) sexual assault/rape/
凌遅 [りょうち] /(n) Lingchi/Leng Tch'e/slow torture by slicing off parts of the body/
凌波性 [りょうはせい] /(n) seaworthiness/
凌霄 [りょうしょう] /(n) Chinese trumpet creeper (Campsis grandiflora)/
凌霄花 [のうぜんかずら] /(n) Chinese trumpet creeper (Campsis grandiflora)/
凌霄花 [りょうしょうか] /(n) Chinese trumpet creeper (Campsis grandiflora)/
凌霄葉蓮 [のうぜんはれん] /(n) (uk) nasturtium (species of Indian cress, Tropaeolum majus)/
寮 [つかさ] /(n) (1) (arch) office/official/(2) chief/head/
寮 [りょう] /(n) (1) hostel/dormitory/(2) (arch) bureau (government department beneath a ministry under the ritsuryo system)/(P)/
寮育 [りょういく] /(iK) (n,vs) rehabilitation (e.g. of disabled children)/
寮歌 [りょうか] /(n) dormitory song/
寮舎 [りょうしゃ] /(n) dormitory/
寮生 [りょうせい] /(n) boarder/boarding student/(P)/
寮長 [りょうちょう] /(n) dormitory leader/dormitory superintendent/
寮費 [りょうひ] /(n) boarding-expenses/
寮母 [りょうぼ] /(n) dorm mother/
料 [りょう] /(n,n-suf) material/charge/rate/fee/(P)/
料飲店 [りょういんてん] /(n) bar and restaurant/cafe and restaurant/
料簡 [りょうけん] /(n,vs) (1) idea/thought/intention/design/inclination/decision/motive/(2) discretion/(3) forgiveness/toleration/
料簡違い [りょうけんちがい] /(n) wrong idea/delusion/indiscretion/false step/misstep/
料金 [りょうきん] /(n) fee/charge/fare/(P)/
料金後納郵便 [りょうきんこうのうゆうびん] /(n) postage deferred payment mail/
料金所 [りょうきんしょ] /(n) tollgate/toll booth/
料金所 [りょうきんじょ] /(n) tollgate/toll booth/
料金体系 [りょうきんたいけい] /(n) (comp) rate structure/
料金表 [りょうきんひょう] /(n) list or table of charges/tariff/price list/
料金別納郵便 [りょうきんべつのうゆうびん] /(n) postpaid mail/postage paid/
料紙 [りょうし] /(n) writing paper/
料地 [りょうち] /(n) preserve (of land)/
料亭 [りょうてい] /(n) (traditional Japanese) restaurant/(P)/
料理 [りょうり] /(n,vs) (1) cooking/cookery/cuisine/(2) dealing with something/handling/administration/management/(P)/
料理の腕 [りょうりのうで] /(n) cooking ability/
料理屋 [りょうりや] /(n) restaurant/(P)/
料理学校 [りょうりがっこう] /(n) cookery school/cooking school/culinary school/culinary academy/
料理菊 [りょうりぎく] /(n) (obsc) edible chrysanthemum/
料理教室 [りょうりきょうしつ] /(n) cooking class/cookery school/
料理書 [りょうりしょ] /(n) cookbook/
料理人 [りょうりにん] /(n) cook/chef/
料理茶屋 [りょうりぢゃや] /(n) (arch) restaurant/
料理長 [りょうりちょう] /(n) head chef/master chef/
料理店 [りょうりてん] /(n) restaurant/
料理道具 [りょうりどうぐ] /(n) cookware/cooking gear/
料理番 [りょうりばん] /(n) a cook/
料理評論家 [りょうりひょうろんか] /(n) food critic/
料理法 [りょうりほう] /(n) recipe/
料理鋏 [りょうりばさみ] /(n) kitchen scissors/
料率 [りょうりつ] /(n) tariff/rates/
梁 [はり] /(n) beam/joist/(P)/
梁 [りょう] /(n) Liang Dynasty (of China)/
梁山泊 [りょうざんぱく] /(n) place of assemblage for the bold and ambitious/
梁上の君子 [りょうじょうのくんし] /(exp) (1) (arch) thief/(2) mouse/
梁木 [りょうぼく] /(n) beam/
涼しい [すずしい] /(adj-i) cool (of weather)/refreshing/(P)/
涼しい顔 [すずしいかお] /(n) nonchalant (unruffled) air/
涼しき道 [すずしきみち] /(n) (arch) the path to Sukhavati (Amitabha's Pure Land)/
涼しき方 [すずしきかた] /(n) (arch) Sukhavati (Amitabha's Pure Land)/
涼しさ [すずしさ] /(n) coolness/
涼み [すずみ] /(n) cooling oneself/enjoying the cool air/
涼み客 [すずみきゃく] /(n) people out enjoying the cool breezes/
涼み台 [すずみだい] /(n) outdoor bench (placed under the eaves of a house and used for cooling off during the summer)/
涼む [すずむ] /(v5m,vi) to cool oneself/to cool off/to enjoy evening cool/(P)/
涼やか [すずやか] /(adj-na) refreshing/clear/
涼をとる [りょうをとる] /(exp,v5r) to enjoy the cool breeze/
涼を取る [りょうをとる] /(exp,v5r) to enjoy the cool breeze/
涼雨 [りょうう] /(n) cool rain/
涼感 [りょうかん] /(n) feelings of coolness (e.g. from wearing light clothing in hot weather)/cool feeling/cool impression/
涼気 [りょうき] /(n) cool air/
涼秋 [りょうしゅう] /(n) cool autumn/cool fall/
涼台 [すずみだい] /(io) (n) outdoor bench (placed under the eaves of a house and used for cooling off during the summer)/
涼亭 [りょうてい] /(n) (arch) pavilion in a garden (used to keep cool)/gazebo/
涼風 [すずかぜ] /(n) cool breeze/refreshing breeze/
涼風 [りょうふう] /(n) cool breeze/refreshing breeze/(P)/
涼暮れ月 [すずくれづき] /(n) sixth lunar month/
涼暮月 [すずくれづき] /(n) sixth lunar month/
涼味 [りょうみ] /(n) cool/coolness/
猟 [りょう] /(n,adj-no) hunting/game/(P)/
猟る [かる] /(v5r,vt) to hunt (e.g. animals)/to go looking for (e.g. flowers, etc.)/to gather (e.g. mushrooms)/to pick (e.g. fruit)/
猟官 [りょうかん] /(n,vs) office-seeking/
猟官運動 [りょうかんうんどう] /(n) seeking government posts/
猟官制 [りょうかんせい] /(n) spoils system/
猟官制度 [りょうかんせいど] /(n) the spoils system/
猟奇 [りょうき] /(n) seeking the bizarre/
猟奇小説 [りょうきしょうせつ] /(n) bizarre story (novel)/
猟奇文学 [りょうきぶんがく] /(n) bizarre literature/the literature of the bizarre/
猟期 [りょうき] /(n) hunting season/
猟季 [りょうき] /(n) hunting season/
猟具 [りょうぐ] /(n) hunting gear/
猟犬 [かりいぬ] /(n) hound/hunting dog/gun dog/
猟犬 [りょうけん] /(n) hound/hunting dog/gun dog/(P)/
猟犬座 [りょうけんざ] /(n) (constellation) Hunting dogs/Canes Venatici/
猟虎 [らっこ] /(n) (uk) sea otter (Enhydra lutris) (ain:)/
猟師 [りょうし] /(n) hunter/huntsman/(P)/
猟獣 [りょうじゅう] /(n) game animal/
猟銃 [りょうじゅう] /(n) hunting gun/sportsgun/(P)/
猟場 [りょうば] /(n) hunting grounds/
猟色 [りょうしょく] /(n) lechery/philandering/lewdness/debauchery/
猟人 [かりうど] /(n) hunter/
猟人 [かりびと] /(n) hunter/
猟人 [かりゅうど] /(n) hunter/
猟人 [さつひと] /(n) hunter/
猟人 [りょうじん] /(n) hunter/
猟鳥 [りょうちょう] /(n) game bird/
猟友 [りょうゆう] /(n) hunting companion/
猟友会 [りょうゆうかい] /(n) hunting club/
療育 [りょういく] /(n,vs) rehabilitation (e.g. of disabled children)/
療治 [りょうじ] /(n,vs) treatment/therapy/cure/
療病 [りょうびょう] /(n) medical treatment/cure/
療法 [りょうほう] /(n,adj-no) remedy/medical treatment/(P)/
療法士 [りょうほうし] /(n) therapist/
療養 [りょうよう] /(n,vs) recuperation/medical treatment/(P)/
療養所 [りょうようしょ] /(n) sanatorium/
療養所 [りょうようじょ] /(n) sanatorium/(P)/
療養地 [りょうさんち] /(n) health resort/
療養中 [りょうようちゅう] /(n) under medical care/
療養費 [りょうようひ] /(n) medical expenses/
療養病床 [りょうようびょうしょう] /(n) long term care bed/long term care beds/chronic stage bed/chronic stage beds/
瞭然 [りょうぜん] /(n,adj-t,adv-to) obvious/
稜 [りょう] /(n) (1) edge/angle/(n,suf) (2) ridge (e.g. of a mountain)/
稜角 [りょうかく] /(n) (1) corner/sharp corner/(2) (math) dihedral angle/
稜線 [りょうせん] /(n) lines of a mountain ridge/
糧 [かて] /(n) food/provisions/
糧食 [りょうしょく] /(n) provisions/(P)/
糧食準備 [りょうしょくじゅんび] /(n) food preparation/
糧道 [りょうどう] /(n) supply line/supply of provisions/
糧米 [りょうまい] /(n) rice (as provisions)/
糧秣 [りょうまつ] /(n) military provisions and cavalry horse fodder/
良 [りょう] /(adj-f) (1) good/(n) (2) B grade (in an A, B, C ... system)/(P)/
良い [いい] /(adj-i) (1) (uk) good/excellent/fine/nice/pleasant/agreeable/(2) sufficient (can be used to turn down an offer)/ready/prepared/(3) profitable (e.g. deal, business offer, etc.)/beneficial/(4) OK/(P)/
良い [よい] /(adj-i) (1) (uk) good/excellent/fine/nice/pleasant/agreeable/(2) sufficient (can be used to turn down an offer)/ready/prepared/(3) profitable (e.g. deal, business offer, etc.)/beneficial/(4) OK/(P)/
良いお年を [よいおとしを] /(exp) Have a good New Year/
良いとして [いいとして] /(exp) (uk) enough about .../
良い引きが有る [よいひきがある] /(exp) to have a strong pull/
良い感じ [いいかんじ] /(n) pleasant feeling/good vibes/
良い頃 [いいころ] /(exp) high time/about time/
良い頃 [よいころ] /(exp) high time/about time/
良い資料 [いいしりょう] /(n) valuable material/
良い事 [いいこと] /(exp,n) (1) good thing/nice thing/(2) good excuse/good grounds/good opportunity/(int) (3) (fem) interjection used to impress an idea or to urge a response/
良い児 [いいこ] /(n) good boy (or girl)/
良い出足 [よいであし] /(n) good turnout of people/good start/
良い成績を上げる [よいせいせきをあげる] /(exp,v1) to achieve satisfactory results/
良い線 [いいせん] /(exp) more or less right/you are on the right track/getting warm/
良い線を行く [いいせんをいく] /(exp,v5k-s) to be on the right track/to go well/
良い線行く [いいせんいく] /(exp,v5k-s) to be on the right track/to go well/
良い男 [よいおとこ] /(n) handsome man/
良い値 [よいね] /(n) a good price/
良い天気 [いいてんき] /(n) fine weather/fair weather/
良い天気 [よいてんき] /(n) fine weather/fair weather/
良い伝が有る [よいつてがある] /(exp) to have a good connection/
良い度胸 [いいどきょう] /(n,vs) some nerve (as in 'you must have some nerve to ...')/
良い日を選ぶ [よいひをえらぶ] /(exp,v5b) to choose a lucky (auspicious) day/
良い薬になる [いいくすりになる] /(exp,v5r) to learn a lesson (usu. from an unpleasant experience)/to be good for someone/
良う [よう] /(adv) (1) (uk) well/properly/skillfully/(2) often/
良かったら [よかったら] /(exp) (uk) if you like/(P)/
良からぬ [よからぬ] /(adj-f) (uk) bad/wrong/
良かれ [よかれ] /(exp) (uk) all for the best/what is right/
良かれ悪しかれ [よかれあしかれ] /(exp,adv) good or bad/right or wrong/for better or for worse/rightly or wrongly/
良き [よき] /(n) (1) goodness/(adj-pn) (2) good/(P)/
良き手本 [よきてほん] /(n) good example/
良く [よく] /(adv) (1) (uk) nicely/properly/well/skillfully/(2) frequently/often/(P)/
良くある [よくある] /(exp,v5r-i) (uk) is often the case/
良くあるご質問 [よくあるごしつもん] /(n) frequently asked questions/FAQ/
良くある御質問 [よくあるごしつもん] /(n) frequently asked questions/FAQ/
良くある事だが [よくあることだが] /(exp) (uk) as often is the case/
良くしたもの [よくしたもの] /(n) (1) convenient thing/harmonious, well-made thing/(exp) (2) things always work out/
良くする [よくする] /(vs-s,vt) (1) (uk) to make good/to improve/(2) to do often/(3) to do well/
良くなる [よくなる] /(exp,v5r) (uk) to become better/to improve/
良くも悪くも [よくもわるくも] /(exp) for better or worse/for good and bad/regardless of merit/both good and bad/
良くも悪しくも [よくもあしくも] /(exp) regardless of right or wrong/regardless of merit/both good and bad/
良く起きた火 [よくおきたひ] /(n) blazing fire/
良く効く薬 [よくきくくすり] /(n) very efficacious medicine/
良く伸びるクリーム [よくのびるクリーム] /(n) well-spreading cream/
良く良く [よくよく] /(adv) (uk) exceedingly/very/
良ければ [よければ] /(exp) if it is good/
良さ [よさ] /(n) merit/virtue/good quality/(P)/
良さげ [よさげ] /(adj-na) (col) good appearing/(of) good appearance/
良さそう [よさそう] /(adj-na) looking good/(of) good appearance/
良し [えし] /(ok) (exp) good/excellent/fine/nice/pleasant/agreeable/
良し [よし] /(exp) good/excellent/fine/nice/pleasant/agreeable/
良し悪し [よしあし] /(n) right or wrong/good or bad/merits or demerits/quality/suitability/
良し悪し [よしわるし] /(n) right or wrong/good or bad/merits or demerits/quality/suitability/
良案 [りょうあん] /(n) good idea or plan/
良医 [りょうい] /(n) good doctor/
良縁 [りょうえん] /(n) (1) good match/suitable candidate (for marriage)/(2) (Buddh) good opportunity to be saved by Buddha/
良家 [りょうけ] /(n) good family/
良貨 [りょうか] /(n) good money/
良久 [りょうきゅう] /(n) for a good while/
良計 [りょうけい] /(n) good plan/
良好 [りょうこう] /(adj-na,n) favorable/favourable/satisfactory/(P)/
良工 [りょうこう] /(n) skilled artisan/
良港 [りょうこう] /(n) good harbor/good harbour/
良妻 [りょうさい] /(n) good wife/(P)/
良妻賢母 [りょうさいけんぼ] /(n) good wife and wise mother/
良剤 [りょうざい] /(n) good medicine/
良材 [りょうざい] /(n) good material/good timber/able persons/
良策 [りょうさく] /(n) good plan or policy/
良師 [りょうし] /(n) good teacher/
良識 [りょうしき] /(n) good sense/(P)/
良質 [りょうしつ] /(adj-na,n,adj-no) good quality/superior quality/(P)/
良質紙 [りょうしつし] /(n) good quality paper/
良種 [りょうしゅ] /(n) good seed or breed/
良酒 [りょうしゅ] /(exp) (id) good wine/good drink/
良書 [りょうしょ] /(n) good book/valuable work/
良将 [りょうしょう] /(n) great general/
良心 [りょうしん] /(n) conscience/(P)/
良心が咎める [りょうしんがとがめる] /(exp,v1) to have a guilty conscience/to have (something) lie heavy on one's conscience/
良心の自由 [りょうしんのじゆう] /(n) freedom of conscience/
良心の囚人 [りょうしんのしゅうじん] /(n) prisoner of conscience/
良心の呵責 [りょうしんのかしゃく] /(exp) pangs of conscience/
良心的 [りょうしんてき] /(adj-na) upright/fair/honest/
良心的兵役拒否 [りょうしんてきへいえききょひ] /(n) conscientious objection/
良人 [おっと] /(n) husband/
良人 [りょうじん] /(n) (1) husband/(2) good person/
良人 [りょうにん] /(n) (1) husband/(2) good person/
良性 [りょうせい] /(n,adj-no) benign/
良性移動性舌炎 [りょうせいいどうせいぜつえん] /(n) benign migratory glossitis/geographic tongue/
良性腫瘍 [りょうせいしゅよう] /(n) benign tumor/benign tumour/
良俗 [りょうぞく] /(n) good custom/
良知 [りょうち] /(n) intuition/
良知良能 [りょうちりょうのう] /(n) one's innate intelligence and ability/
良田 [りょうでん] /(n) fertile rice paddy/
良導体 [りょうどうたい] /(n) good conductor (of heat, etc.)/
良二千石 [りょうにせんせき] /(n) competent local official/
良日 [りょうじつ] /(n) lucky (auspicious) day/
良能 [りょうのう] /(n) natural ability/
良馬 [りょうば] /(n) good horse/
良否 [りょうひ] /(n) good or bad/
良品 [りょうひん] /(n) superior article/
良風 [りょうふう] /(n) good custom/
良風美俗 [りょうふうびぞく] /(n) good customs/
良法 [りょうほう] /(n) good method/
良民 [りょうみん] /(n) good citizens/law-abiding people/
良夜 [りょうや] /(n) moonlit night/
良薬 [りょうやく] /(n) good medicine/
良薬は口に苦し [りょうやくはくちににがし] /(exp) good medicine tastes bitter/the most helpful advice may be difficult to listen to/
良友 [りょうゆう] /(n) good friend/
良吏 [りょうり] /(n) good official/
諒 [りょう] /(n) truth/
諒する [りょうする] /(vs-s,vt) to acknowledge/to understand/to appreciate/
諒とする [りょうとする] /(exp,vs-i) to acknowledge/to understand/to appreciate/
諒闇 [りょうあん] /(n) court (national) mourning/
諒解 [りょうかい] /(n,vs) comprehension/consent/understanding/roger (on the radio)/
諒察 [りょうさつ] /(n,vs) consideration/taking into account/sympathy with/
諒承 [りょうしょう] /(n,vs) acknowledgement/acknowledgment/understanding (e.g. "please be understanding of the mess during our renovation")/noting/acceptance/
遼遠 [りょうえん] /(adj-na,n) remote/far off/
遼東の豕 [りょうとうのいのこ] /(n) someone so ignorant of the outside world that he thinks of himself as one-in-a-million (when really it's more like one-in-five) (lit: Liaodong pig)/
量 [りょう] /(n,n-suf) quantity/amount/volume/portion (of food)/(P)/
量が増える [りょうがふえる] /(exp,v1) to gain in quantity/
量より質 [りょうよりしつ] /(n) quality before quantity/
量り [はかり] /(n) measurements/weighing/
量り込む [はかりこむ] /(v5m,vt) to measure liberally/
量り売り [はかりうり] /(n,vs) selling by measure/selling by weight/
量る [はかる] /(v5r,vt) (1) to measure/to weigh/to survey/to time (sound, gauge, estimate)/(2) to conjecture/to infer/to surmise/(P)/
量感 [りょうかん] /(n) voluminous/massive/bulky/
量器 [りょうき] /(n) measure for volume/
量記号 [りょうきごう] /(n) quantifier/
量刑 [りょうけい] /(n,vs) judge's sentence/assessment of a case/(P)/
量産 [りょうさん] /(n,vs) mass production/(P)/
量子 [りょうし] /(n,adj-no) quantum/
量子もつれ [りょうしもつれ] /(n) quantum entanglement/
量子エレクトロニクス [りょうしエレクトロニクス] /(n) quantum electronics/
量子コンピュータ [りょうしコンピュータ] /(n) (comp) quantum computer/
量子ビット [りょうしビット] /(n) quantum bit/
量子化 [りょうしか] /(n,vs) quantization/quantisation/quantizing/
量子化学 [りょうしかがく] /(n) quantum chemistry/
量子化雑音 [りょうしかざつおん] /(n) (comp) quantization noise/
量子仮説 [りょうしかせつ] /(n) quantum hypothesis/
量子色力学 [りょうしいろりきがく] /(n) quantum chromodynamics (physics)/
量子数 [りょうしすう] /(n) quantum number/
量子電気力学 [りょうしでんきりきがく] /(n) quantum electrodynamics/QED/
量子電磁力学 [りょうしでんじりきがく] /(n) quantum electrodynamics/QED/
量子物理学 [りょうしぶつりがく] /(n) quantum physics/
量子力学 [りょうしりきがく] /(n,adj-no) quantum mechanics/
量子論 [りょうしろん] /(n) quantum theory/
量集合 [りょうしゅうごう] /(n) (comp) quantity set/
量水計 [りょうすいけい] /(n) water meter/
量的 [りょうてき] /(adj-na,n) substantively/(P)/
量的緩和 [りょうてきかんわ] /(n) quantitative easing/
量的金融緩和 [りょうてききんゆうかんわ] /(n) quantitative easing/
量販店 [りょうはんてん] /(n) volume seller/(P)/
量目 [はかりめ] /(n) weight/
量目 [りょうめ] /(n) weight/
陵 [みささぎ] /(n) imperial mausoleum/Emperor's tomb/(P)/
陵雲 [りょううん] /(adj-no) skyscraping/very high/above the clouds/above this mortal world/
陵駕 [りょうが] /(n,vs) excelling/surpassing/outdoing/superior/
陵虐 [りょうぎゃく] /(n,vs) humiliation/indignity/affront/assault/
陵丘 [りょうきゅう] /(n) (obsc) hill/
陵戸 [りょうこ] /(n) (arch) imperial tomb guard/
陵辱 [りょうじょく] /(n,vs) (1) insult/affront/disgrace/indignity/(2) sexual assault/rape/
陵墓 [りょうぼ] /(n) imperial tomb or mausoleum/
領 [えり] /(n) neck/collar/lapel/neckband/
領 [りょう] /(suf) territory of (country)/
領する [りょうする] /(vs-s) to own/to receive/to understand/
領域 [りょういき] /(n,adj-no) area/domain/territory/field/range/region/regime/(P)/
領域確保 [りょういきかくほ] /(n) (comp) partitioning/
領域型出力基本要素 [りょういきがたしゅつりょくきほんようそ] /(n) (comp) area primitive/
領域集合 [りょういきしゅうごう] /(n) (comp) fill area set/
領域束表 [りょういきたばひょう] /(n) (comp) fill area bundle table/
領域定義属性 [りょういきていぎぞくせい] /(n) (comp) domain defined attributes/
領域塗りつぶし [りょういきぬりつぶし] /(n) (comp) area filling/
領会 [りょうかい] /(n,vs) understanding/consent/agreement/
領解 [りょうかい] /(n,vs) understanding/consent/agreement/
領海 [りょうかい] /(n) territorial waters/(P)/
領海侵犯 [りょうかいしんぱん] /(n,vs) intrusion into territorial waters/violation of territorial waters/
領海線 [りょうかいせん] /(n) territorial limits/
領脚 [えりあし] /(n) nape of neck/border of hair at back of neck/
領空 [りょうくう] /(n) territorial airspace/(P)/
領空侵犯 [りょうくうしんぱん] /(n,vs) airspace incursion/airspace violation/
領国 [りょうごく] /(n) territory/fiefdom/feudal domain/
領事 [りょうじ] /(n,adj-no) consul/(P)/
領事館 [りょうじかん] /(n) consulate/(P)/
領主 [りょうしゅ] /(n) feudal lord/
領収 [りょうしゅう] /(n,vs) receipt/voucher/(P)/
領収書 [りょうしゅうしょ] /(n) (formal) receipt/(P)/
領収書の控え [りょうしゅうしょのひかえ] /(n) counterfoil of a receipt/
領収証 [りょうしゅうしょう] /(n) receipt/
領承 [りょうしょう] /(n,vs) acknowledgement/acknowledgment/understanding (e.g. "please be understanding of the mess during our renovation")/noting/acceptance/
領水 [りょうすい] /(n) territorial waters/
領袖 [りょうしゅう] /(n) leader/chief/boss/(P)/
領地 [りょうち] /(n,adj-no) territory/dominion/grounds (e.g. school)/(P)/
領土 [りょうど] /(n,adj-no) dominion/territory/possession/(P)/
領土回復主義 [りょうどかいふくしゅぎ] /(n) irredentism/
領土回復主義者 [りょうどかいふくしゅぎしゃ] /(n) irredentist/
領土侵犯 [りょうどしんぱん] /(n,vs) violation of territorial sovereignty/intrusion into territory/
領土保全 [りょうどほぜん] /(n) maintenance of territorial integrity/
領得 [りょうとく] /(n,vs) (1) understanding/(2) theft/
領内 [りょうない] /(n) (within a) territory/domains/(P)/
領布 [りょうふ] /(n) area distribution/
領分 [りょうぶん] /(n) territory/domain/dominion/possession/sphere of action/
領民 [りょうみん] /(n) population of a fief/
領有 [りょうゆう] /(n,vs) possession/(P)/
領有権 [りょうゆうけん] /(n) territorial right/dominion/
領有権問題 [りょうゆうけんもんだい] /(n) territorial dispute/
領略 [りょうりゃく] /(n,vs) understanding/comprehending/
力 [ちから] /(n) (1) force/strength/might/vigour (vigor)/energy/(2) capability/ability/proficiency/capacity/faculty/(3) efficacy/effect/(4) effort/endeavours (endeavors)/exertions/(5) power/authority/influence/good offices/agency/(6) support/help/aid/assistance/(7) stress/emphasis/(8) means/resources/(P)/
力 [りき] /(n) strength/
力 [りょく] /(n-suf) strength/power/(P)/
力いっぱい [ちからいっぱい] /(n-adv) with might and main/with all one's strength/
力ずく [ちからずく] /(n,adj-no) (brute) force/with all one's might/
力づく [ちからづく] /(v5k) to recover one's strength/to recover one's spirit/to revive/to be refreshed/to be invigorated/to be encouraged/
力づける [ちからづける] /(v1,vt) to encourage (someone)/to cheer (someone) up/to give someone a charge/
力ない [ちからない] /(adj-i) feeble/
力なげ [ちからなげ] /(adj-na) feeble/dejected/helpless/despondent/
力になる [ちからになる] /(exp,v5r) to be helpful/to be dependable/
力のモーメント [ちからのモーメント] /(n) moment of force/
力の外交 [ちからのがいこう] /(n) power diplomacy/
力の場 [ちからのば] /(n) field of force/
力の能率 [ちからののうりつ] /(n) moment of force/
力への意志 [ちからへのいし] /(exp) will to power/
力む [りきむ] /(v5m,vt) (1) to strain/to bear up/to exert one's strength/(2) to swagger/to bluff/to boast/(P)/
力める [つとめる] /(v1,vt) to endeavor (endeavour)/to try/to strive/to make an effort/to exert oneself/to be diligent/
力を合わせる [ちからをあわせる] /(exp,v1) to join forces/to cooperate/
力を込める [ちからをこめる] /(exp,v1) to put one's strength into/
力を試す [ちからをためす] /(exp,v5s) to try one's strength/
力を尽くす [ちからをつくす] /(exp,v5s) to exert oneself/to make efforts/
力を貸す [ちからをかす] /(exp,v5s) to assist/to help out/
力を致す [ちからをいたす] /(exp,v5s) to render assistance/to make an effort/
力を注ぐ [ちからをそそぐ] /(exp,v5g) to concentrate one's effort (on something)/
力を入れる [ちからをいれる] /(exp,v1) to put effort into/to strain/to put strength into/to put forth effort/
力んで見せる [りきんでみせる] /(v1) to show a bold front/
力一杯 [ちからいっぱい] /(n-adv) with might and main/with all one's strength/(P)/
力泳 [りきえい] /(n,vs) powerful swimming/
力演 [りきえん] /(n,vs) enthusiastic performance/
力押し [ちからおし] /(n) (sl) brute force approach/
力革 [ちからがわ] /(n) leather stirrup/
力学 [りきがく] /(n) mechanics/dynamics/(P)/
力学的 [りきがくてき] /(adj-na) mechanical/
力学的エネルギー [りきがくてきエネルギー] /(n) mechanical energy/
力感 [りきかん] /(n) power/force/
力関係 [ちからかんけい] /(n) power relationship/
力技 [ちからわざ] /(iK) (n) (1) heavy work/manual labour/(2) feat of strength/
力及ばず [ちからおよばず] /(exp) unable to accomplish/
力競べ [ちからくらべ] /(n) contest of strength/trial of strength/
力強い [ちからづよい] /(adj-i) (1) powerful/strong/forceful/vigorous/(2) reassuring/encouraging/(P)/
力業 [ちからわざ] /(n) (1) heavy work/manual labour/(2) feat of strength/
力行 [りっこう] /(n,vs) strenuous efforts/exertion/
力行 [りょっこう] /(n,vs) strenuous efforts/exertion/
力合わせ [ちからあわせ] /(n) test of strength/
力作 [りきさく] /(n) literary or artistic masterpiece (on which much labour was spent) (labor)/(P)/
力仕事 [ちからしごと] /(n) physical work/manual labour (labor)/
力士 [りきし] /(n) (1) sumo wrestler/rikishi/(2) strong man/(P)/
力士会 [りきしかい] /(n) association of salaried sumo wrestlers/
力紙 [ちからがみ] /(n) paper used in pre-bout sumo rituals/
力試し [ちからだめし] /(n) trial of strength/quiz/(P)/
力持ち [ちからもち] /(n) muscleman/strong man/(P)/
力自慢 [ちからじまん] /(adj-na,n) boasting of one's strength/
力芝 [ちからしば] /(n) (uk) Chinese fountain grass (Pennisetum alopecuroides)/
力弱い [ちからよわい] /(n) weak/
力織機 [りきしょっき] /(n) power loom/
力尽 [ちからずく] /(io) (n,adj-no) (brute) force/with all one's might/
力尽 [ちからづく] /(io) (n,adj-no) (brute) force/with all one's might/
力尽きる [ちからつきる] /(v1) to use up all one's strength/
力尽く [ちからずく] /(n,adj-no) (brute) force/with all one's might/
力尽く [ちからづく] /(n,adj-no) (brute) force/with all one's might/
力尽くで [ちからずくで] /(exp) by sheer strength/
力尽ける [ちからづける] /(oK) (v1,vt) to encourage (someone)/to cheer (someone) up/to give someone a charge/
力尽で [ちからずくで] /(exp) by sheer strength/
力水 [ちからみず] /(n) water offered to sumo wrestlers just prior to a bout/
力水を付ける [ちからみずをつける] /(exp,v1) the whole ritual of taking and spitting the water prior to the bout (sumo)/
力石 [ちからいし] /(n) lifting stone/
力説 [りきせつ] /(n,vs) insistence/(major) emphasis/stress/(P)/
力戦 [りきせん] /(n,vs) hard fighting/
力戦奮闘 [りきせんふんとう] /(n,vs) fighting with all one's might/fighting up against/making strenuous efforts/
力線 [りきせん] /(n) line of force/
力漕 [りきそう] /(n,vs) rowing hard/
力相撲 [ちからずもう] /(n) sumo wrestling using strength instead of technique/
力走 [りきそう] /(n,vs) hard running/
力足 [ちからあし] /(n) strong legs/
力帯 [ちからおび] /(n) abdominal-support belt/
力代 [ちからしろ] /(n) tax paid to avoid forced labor (ritsuryo period)/
力添え [ちからぞえ] /(n,vs) help/assistance/service/(P)/
力点 [りきてん] /(n) leverage/emphasis/importance/(P)/
力投 [りきとう] /(n,vs) powerful pitching/(P)/
力闘 [りきとう] /(n,vs) hard fight/
力動的 [りきどうてき] /(adj-na) dynamic/
力任せ [ちからまかせ] /(adj-na,n) with all one's strength/
力任せに [ちからまかせに] /(adv) with all one's might/
力抜け [ちからぬけ] /(n,vs) discouragement/disappointment/
力比べ [ちからくらべ] /(n) contest of strength/trial of strength/
力不足 [ちからぶそく] /(adj-na,n) strong weakness/great insufficiency/
力付く [ちからづく] /(v5k) to recover one's strength/to recover one's spirit/to revive/to be refreshed/to be invigorated/to be encouraged/
力付ける [ちからづける] /(v1,vt) to encourage (someone)/to cheer (someone) up/to give someone a charge/
力負 [ちからまけ] /(n,vs) misdirection of one's strength/
力負け [ちからまけ] /(n,vs) losing by being overmatched/losing by misusing one's powers/
力本説 [りきほんせつ] /(n) dynamism/
力無い [ちからない] /(adj-i) feeble/
力無げ [ちからなげ] /(adj-na) feeble/dejected/helpless/despondent/
力役 [りきえき] /(n,vs) physical labor/physical labour/
力頼み [ちからだのみ] /(n) dependence/
力落し [ちからおとし] /(n) discouragement/disappointment/loss of energy/fatigue/
力落とし [ちからおとし] /(n) discouragement/disappointment/loss of energy/fatigue/
力量 [りきりょう] /(n) ability/physical strength/capacity/tact/(P)/
力倆 [りきりょう] /(n) talent/skill/
力瘤 [ちからこぶ] /(n) large biceps/
力瘤を入れる [ちからこぶをいれる] /(exp,v1) to work earnestly/
緑 [みどり] /(n) (1) green/(2) greenery (esp. fresh verdure)/(P)/
緑のう菌 [りょくのうきん] /(n) Pseudomonas aeruginosa/
緑の黒髪 [みどりのくろかみ] /(n) glossy black hair (young woman)/raven black hair/
緑の指 [みどりのゆび] /(n) (uk) green thumb (i.e. natural gardener)/
緑の日 [みどりのひ] /(iK) (n) Greenery Day (national holiday; May 4)/
緑陰 [りょくいん] /(n) shade of trees/
緑雨 [りょくう] /(n) early-summer rain/
緑猿 [みどりざる] /(n) green monkey (Chlorocebus sabaeus, sometimes considered to be a subspecies of Chlorocebus aethiops)/
緑黄色 [りょくおうしょく] /(n) greenish yellow/
緑黄色野菜 [りょくおうしょくやさい] /(n) vegetables high in beta-carotene/
緑化 [りょくか] /(n,vs) tree planting/afforestation/
緑化 [りょっか] /(n,vs) tree planting/afforestation/(P)/
緑化屋根 [りょくかやね] /(n) roof garden/
緑化屋根 [りょっかやね] /(n) roof garden/
緑河豚 [みどりふぐ] /(n) (uk) green spotted puffer (Tetraodon nigroviridis)/
緑眼 [りょくがん] /(n) green eyes/blue eyes/
緑玉 [りょくぎょく] /(n) emerald/
緑玉石 [りょくぎょくせき] /(n) emerald/
緑砂 [りょくさ] /(n) greensand/
緑細大蜥蜴 [みどりほそおおとかげ] /(n) (uk) emerald tree monitor (Varanus prasinus, species of arboreal carnivorous monitor lizard found from New Guinea to Queensland, Australia)/green tree monitor/
緑酒 [りょくしゅ] /(n) green or sweet wine/
緑樹 [りょくじゅ] /(n) green-leaved trees/
緑綬褒章 [りょくじゅほうしょう] /(n) Medal with Green Ribbon (virtuous conduct)/
緑十字 [みどりじゅうじ] /(n) green cross (safety symbol)/
緑十字 [りょくじゅうじ] /(n) green cross (safety symbol)/
緑色 [みどりいろ] /(adj-na,n,adj-no) green/emerald green/green color of new foliage/verdure/(P)/
緑色 [りょくしょく] /(adj-na,n,adj-no) green/emerald green/green color of new foliage/verdure/
緑色蛍光タンパク質 [りょくしょくけいこうタンパクしつ] /(n) green fluorescent protein/GFP/
緑色蛍光蛋白質 [りょくしょくけいこうたんぱくしつ] /(n) green fluorescent protein/GFP/
緑色植物 [りょくしょくしょくぶつ] /(n) green plant/
緑青 [りょくしょう] /(n) verdigris/green rust/copper rust/
緑青 [ろくしょう] /(n) verdigris/green rust/copper rust/(P)/
緑閃石 [りょくせんせき] /(n) actinolite/
緑組 [みどりぐみ] /(n) green class/
緑藻 [りょくそう] /(n) green algae/
緑藻植物 [りょくそうしょくぶつ] /(n) chlorophyte/
緑藻類 [りょくそうるい] /(n) green algae/chlorophyceae/
緑啄木鳥 [あおげら] /(gikun) (n) (uk) Japanese green woodpecker (Picus awokera)/Japanese woodpecker/wavy-bellied woodpecker/
緑地 [りょくち] /(n) green tract of land/(P)/
緑地化計画 [りょくちかけいかく] /(n) forestation plan/
緑地帯 [りょくちたい] /(n) green belt/
緑茶 [りょくちゃ] /(n) green tea/Japanese tea/(P)/
緑柱石 [りょくちゅうせき] /(n) beryl/
緑虫 [みどりむし] /(n) freshwater flagellate (Euglena)/
緑土 [りょくど] /(n) wooded area/verdant area/
緑豆 [りょくとう] /(n) mung bean/green gram/
緑内障 [りょくないしょう] /(n) glaucoma/
緑膿菌 [りょくのうきん] /(n) Pseudomonas aeruginosa/
緑白色 [りょくはくしょく] /(n) greenish white/
緑髪 [りょくはつ] /(n) glossy black hair/green hair/
緑鳩 [あおばと] /(n) (uk) white-bellied green pigeon (Treron sieboldii)/
緑肥 [りょくひ] /(n) green manure/
緑風 [りょくふう] /(n) early-summer breeze/
緑便 [りょくべん] /(n) green stools/
緑豊か [みどりゆたか] /(adj-na) lushly green/verdant/
緑門 [りょくもん] /(n) arch of greenery/
緑野 [りょくや] /(n) green field/
緑葉 [りょくよう] /(n) green leaves/
緑葉甘藍 [りょくようかんらん] /(n) kale/
緑林 [りょくりん] /(n) greenwood/
倫社 [りんしゃ] /(n) ethics and civics/
倫敦 [ロンドン] /(n) (uk) London/
倫理 [りんり] /(n,adj-no) ethics/morals/(P)/
倫理委員会 [りんりいいんかい] /(n) ethics committee/
倫理学 [りんりがく] /(n) ethics/moral philosophy/(P)/
倫理観 [りんりかん] /(n) ethics/ethical viewpoint/moral value/sense of duty/sense of ethics/
倫理神学 [りんりしんがく] /(n) moral theology/
倫理的 [りんりてき] /(adj-na) ethical/(P)/
倫理的宗教 [りんりてきしゅうきょう] /(n) ethical religion/
倫理的投資 [りんりてきとうし] /(n) ethical investment/
厘 [りん] /(n) (1) one-hundredth/0.3 mm (one-hundredth of a sun)/0.1 percent (one-hundredth of a wari)/0.0375 grams (one-hundredth of a monme)/(2) old monetary unit (0.001 yen)/(P)/
厘毛 [りんもう] /(n) farthing/trifle/
厘毛の軽重無し [りんもうのけいちょうなし] /(exp) equal in weight/equal in significance/
林 [はやし] /(n) woods/forest/copse/thicket/(P)/
林家 [りんか] /(n) family working in the forest industry/forestry family/
林学 [りんがく] /(n) forestry/(P)/
林冠 [りんかん] /(n) canopy (of a forest)/tree canopy/crown canopy/
林間 [りんかん] /(n) in the forest/
林間学校 [りんかんがっこう] /(n) outdoors school/
林業 [りんぎょう] /(n) forestry/(P)/
林業試験場 [りんぎょうしけんじょう] /(n) experimental forestry station/
林檎 [りゅうごう] /(ok) (n) (1) (uk) apple/(2) apple tree (Malus pumila)/
林檎 [りんご] /(n) (1) (uk) apple/(2) apple tree (Malus pumila)/(P)/
林檎の心 [りんごのしん] /(n) core of an apple/
林檎の芯 [りんごのしん] /(n) core of an apple/
林檎飴 [りんごあめ] /(n) candied apple/toffee apple/
林檎園 [りんごえん] /(n) apple orchard/
林檎酸 [りんごさん] /(n) malic acid/
林檎狩り [りんごがり] /(n) apple picking/
林檎酒 [りんごしゅ] /(n) apple cider/
林檎摘み [りんごつみ] /(n) (obsc) picking apples/harvesting apples/
林檎病 [りんごびょう] /(n) slap-cheek (erythema infectiosum)/
林産 [りんさん] /(n) forest products/
林産物 [りんさんぶつ] /(n) forest products/
林鐘 [りんしょう] /(n) (1) (in China) 8th note of the ancient chromatic scale (approx. A)/(2) sixth lunar month/
林鐘梅 [りんしょうばい] /(n) Chinese bushberry/bush cherry/Prunus japonica/
林政 [りんせい] /(n) forest management/
林道 [りんどう] /(n) path through forest/woodland path/(P)/
林内 [りんない] /(n) interior of a forest or wood/
林務 [りんむ] /(n) forestry/
林務官 [りんむかん] /(n) forester/
林木 [りんぼく] /(n) forest tree/
林野 [りんや] /(n) forests and fields/(P)/
林野庁 [りんやちょう] /(n) Forestry Agency/(P)/
林邑楽 [りんゆうがく] /(n) Indian song and dance (introduced to Japan by the Chams in approx. 736 CE)/
林立 [りんりつ] /(n,vs) stand close together/(P)/
淋しい [さびしい] /(adj-i) lonely/lonesome/solitary/desolate/
淋しい [さみしい] /(adj-i) lonely/lonesome/solitary/desolate/
淋しがり屋 [さびしがりや] /(n) lonely person/someone who easily succumbs to loneliness/
淋しがる [さびしがる] /(v5r) to miss someone/to miss something/to feel lonely/
淋菌 [りんきん] /(n) gonococcus/
淋疾 [りんしつ] /(n,adj-no) gonorrhea/
淋巴 [りんぱ] /(ateji) (n) (uk) lymph (ger: Lymphe, dut: lympha)/
淋巴液 [りんぱえき] /(n) lymph fluid/
淋巴管 [りんぱかん] /(n) lymph duct/
淋巴球 [りんぱきゅう] /(n) lymphocyte/
淋巴節 [りんぱせつ] /(n) lymph node/
淋巴節腫脹 [りんぱせつしゅちょう] /(n) lymphadenoma/lymph node enlargement/lymphadenopathy/
淋巴腺 [りんぱせん] /(n) lymph gland/lymphatic gland/lymph node/
淋病 [りんびょう] /(n) gonorrhea/
淋漓 [りんり] /(adj-t,adv-to) dripping (with)/brimming/
燐 [りん] /(n) (uk) phosphorus/
燐化水素 [りんかすいそ] /(n) (1) (chem) phosphine/phosphane/PH3/hydrogen phosphide/phosphorus trihydride/(2) diphosphine/diphosphane/P2H4/(3) solid hydrogen phosphides (a yellow powder)/
燐火 [りんか] /(n) phosphorous light/ignis fatuus/will-o'-the-wisp/
燐灰石 [りんかいせき] /(n) apatite/
燐光 [りんこう] /(n) phosphorescence/
燐鉱 [りんこう] /(n) phosphoric ore/
燐酸 [りんさん] /(n) phosphoric acid (H3PO4)/
燐酸アンモニウム [りんさんアンモニウム] /(n) ammonium phosphate/
燐酸エステル [りんさんエステル] /(n) phosphate ester/
燐酸カルシウム [りんさんカルシウム] /(n) calcium phosphate (Ca3(PO4)2)/
燐酸コデイン [りんさんコデイン] /(n) codeine phosphate/
燐酸ナトリウム [りんさんナトリウム] /(n) sodium phosphate/
燐酸塩 [りんさんえん] /(n) phosphate/
燐酸肥料 [りんさんひりょう] /(n) phosphate fertilizer/phosphate fertiliser/
燐脂質 [りんししつ] /(n) phospholipid/
燐寸 [まっち] /(n) (1) (uk) match (to light fire with)/
燐青銅 [りんせいどう] /(n) phosphor bronze/
燐蛋白質 [りんたんぱくしつ] /(n) phosphoprotein/
臨く [のぞく] /(v5k,vt) (1) to peek (though a keyhole, gap, etc.)/(2) to look down into (a ravine, etc.)/(3) to peek into (a shop, bookstore, etc.)/(4) to sneak a look at/to take a quick look at/(5) to peep (through a telescope, microscope, etc.)/(v5k,vi) (6) to stick out (a scarf from a collar, etc.)/to peek through (sky though a forest canopy, etc.)/(7) (arch) to face/
臨み [のぞみ] /(n) challenge/confrontation/
臨む [のぞむ] /(v5m,vi) (1) to look out on/(2) to face/(3) to deal with/(4) to attend (e.g. function)/to appear (e.g. in court)/(P)/
臨海 [りんかい] /(n,adj-no) coastal/seaside/oceanfront/maritime/(P)/
臨海学校 [りんかいがっこう] /(n) seaside school/
臨界 [りんかい] /(n) critical (pressure, temperature, state, point)/(P)/
臨界圧力 [りんかいあつりょく] /(n) critical pressure/
臨界温度 [りんかいおんど] /(n) critical temperature/
臨界角 [りんかいかく] /(n) critical angle/
臨界事故 [りんかいじこ] /(n) criticality accident (in the nuclear industry)/
臨界実験 [りんかいじっけん] /(n) critical experiment (in nucleonics)/
臨界状態 [りんかいじょうたい] /(n) critical state/
臨界前核実験 [りんかいぜんかくじっけん] /(n) subcritical nuclear experiment/
臨界点 [りんかいてん] /(n) critical point (temperature)/
臨界量 [りんかいりょう] /(n) critical mass/
臨機 [りんき] /(n) expedient/
臨機応変 [りんきおうへん] /(n,adj-no) adapting oneself to the requirements of the moment/playing it by ear/ad hoc/
臨機目標 [りんきもくひょう] /(n) target of opportunity/
臨休 [りんきゅう] /(n) special holiday/
臨空 [りんくう] /(adj-no,n-pref) airport site/adjacent to airport/
臨月 [りんげつ] /(n,adj-no) the last month of pregnancy/
臨検 [りんけん] /(n,vs) on-the-spot investigation or inspection/raid/
臨御 [りんぎょ] /(n) emperor's visit/
臨幸 [りんこう] /(n,vs) emperor's visit/
臨港 [りんこう] /(n,adj-no) facing (along) the harbor (harbour)/
臨港線 [りんこうせん] /(n) harbor railroad/harbour railroad/
臨済宗 [りんざいしゅう] /(n) Rinzai school of Buddhism/
臨在 [りんざい] /(n,vs) presence/
臨死 [りんし] /(n,adj-no) near-death/close to death/
臨死体験 [りんしたいけん] /(n) near-death experience/
臨時 [りんじ] /(n,adj-no) temporary/special/extraordinary/(P)/
臨時閣議 [りんじかくぎ] /(n) extraordinary meeting of the Cabinet/
臨時記号 [りんじきごう] /(n) (musical) accidental/
臨時休業 [りんじきゅうぎょう] /(n) extra holiday/temporary closing/
臨時雇い [りんじやとい] /(n) temporary employment or employee/
臨時工 [りんじこう] /(n) temporary worker/
臨時国会 [りんじこっかい] /(n) extraordinary session of the Diet/
臨時収入 [りんじしゅうにゅう] /(n) casual income/extraordinary revenue/incidental income/nonrecurring income/perquisite/
臨時従業員 [りんじじゅうぎょういん] /(n) (comp) temporary employee/temp/
臨時政府 [りんじせいふ] /(n) provisional government/
臨時増刊 [りんじぞうかん] /(n) extra (special) issue (e.g. of a magazine)/
臨時費 [りんじひ] /(n) incidental expenses/
臨時列車 [りんじれっしゃ] /(n) special train/
臨写 [りんしゃ] /(n,vs) copying/
臨終 [りんじゅう] /(n,vs) deathbed/dying hour/one's death/(P)/
臨終の床 [りんじゅうのとこ] /(n) deathbed/
臨書 [りんしょ] /(n,vs) writing (from a copy)/
臨床 [りんしょう] /(adj-no) clinical (e.g. pathology, physiology)/(P)/
臨床データ [りんしょうデータ] /(n) clinical data/
臨床医 [りんしょうい] /(n) clinician/
臨床医学 [りんしょういがく] /(n) clinical medicine/
臨床研究 [りんしょうけんきゅう] /(n) clinical research/clinical study/
臨床講義 [りんしょうこうぎ] /(n) clinic/clinical lecture/
臨床試験 [りんしょうしけん] /(n) clinical study/
臨床症状 [りんしょうしょうじょう] /(n) clinical condition (of a patient's illness)/
臨床上 [りんしょうじょう] /(adj-no) clinical/
臨床心理学 [りんしょうしんりがく] /(n) clinical psychology/
臨床心理士 [りんしょうしんりし] /(n) clinical psychologist/clinical psychotherapist/
臨床尋問 [りんしょうじんもん] /(n) clinical examination/
臨床生理学 [りんしょうせいりがく] /(n) clinical physiology/
臨床倫理 [りんしょうりんり] /(n) clinical ethics/
臨場 [りんじょう] /(n,vs) visit/presence/attendance/
臨場感 [りんじょうかん] /(n) presence/(P)/
臨席 [りんせき] /(n,vs) attendance/presence/
臨戦 [りんせん] /(n) preparing for action or battle/
臨戦態勢 [りんせんたいせい] /(n) war preparation/
臨調 [りんちょう] /(n) special council or commission/
臨兵闘者皆陣裂在前 [りんぴょうとうしゃかいじんれつざいぜん] /(n) (Buddh) nine cuts mudra (mudra: hand posture which forms a part of Hindu prayer)/exorcism-purification spell/
輪 [りん] /(ctr) counter for wheels and flowers/
輪 [わ] /(n) (1) ring/circle/loop/(2) hoop/(3) wheel/(4) circle (e.g. of friends)/(P)/
輪っか [わっか] /(n) (1) ring/loop (of rope)/(2) halo (of an angel)/
輪っぱ [わっぱ] /(n) (1) (sl) circular obento box/(2) something ring-shaped/(3) handcuffs/
輪をかける [わをかける] /(exp,v1) to exceed/to be even more (so)/to exaggerate/
輪を掛ける [わをかける] /(exp,v1) to exceed/to be even more (so)/to exaggerate/
輪ゴム [わゴム] /(n) rubber band/(P)/
輪タク [りんタク] /(n) trishaw/pedicab/
輪禍 [りんか] /(n) traffic accident/automobile accident/
輪回 [りんね] /(n) Buddhism transmigration of souls/
輪回し [わまわし] /(n) hoop trundling or rolling/
輪廻 [りんね] /(n,vs) (Buddh) samsara (endless cycle of death and rebirth)/
輪廻転生 [りんねてんしょう] /(n,vs) all things being in flux through the endless circle of birth, death, and rebirth/the circle of transmigration/
輪廻転生 [りんねてんせい] /(n,vs) all things being in flux through the endless circle of birth, death, and rebirth/the circle of transmigration/
輪廓 [りんかく] /(n) contours/outlines/features/border/silhouette/
輪郭 [りんかく] /(n) contours/outlines/features/border/silhouette/(P)/
輪郭線 [りんかくせん] /(n) outline/contour line/border line/
輪郭線要素 [りんかくせんようそ] /(n) (comp) trimming curve/
輪姦 [りんかん] /(n,vs) gang rape/
輪姦す [まわす] /(v5s,vt) (uk) (sl) to gang-rape/
輪距 [りんきょ] /(n) wheel track/tread/
輪業 [りんぎょう] /(n) bicycle industry/
輪袈裟 [わげさ] /(n) loop-shaped monk's stole/
輪形 [りんけい] /(n,adj-no) ring-shaped/circular/
輪形動物 [りんけいどうぶつ] /(n) rotifer/
輪湖 [りんこ] /(n) (sumo) era during mid-1970s dominated by grand champions Wajima and Kitanoumi/
輪湖時代 [りんこじだい] /(n) (sumo) era during mid-1970s dominated by grand champions Wajima and Kitanoumi/
輪鼓 [りゅうご] /(n) (1) hourglass-shaped object/(2) sarugaku performance art using such an object/
輪講 [りんこう] /(n,vs) people taking turns reading and explaining a book/
輪差 [わさ] /(n) a loop/a trap/
輪栽 [りんさい] /(n,vs) rotation of crops/
輪作 [りんさく] /(n,vs,adj-no) rotation of crops/
輪子 [りゅうご] /(n) (1) hourglass-shaped object/(2) sarugaku performance art using such an object/
輪止め [わどめ] /(n) (1) brakes/(2) wheel stops/wedges/blocks/parking curbs/
輪唱 [りんしょう] /(n,vs) trolling/singing in a circular canon/round/
輪乗り [わのり] /(n) riding (a horse) in a circle/
輪状 [りんじょう] /(n,adj-no) ring-shaped/annular/
輪針 [りんばり] /(n) circular needle (knitting)/
輪生 [りんせい] /(n,vs,adj-no) (in botany) verticillation/
輪切り [わぎり] /(n) round slices/(P)/
輪蔵 [りんぞう] /(n) rotating shelf for sutras/
輪虫 [わむし] /(n) (uk) rotifer/
輪虫類 [りんちゅうるい] /(n) (uk) (obsc) rotifers/rotatoria/
輪転 [りんてん] /(n,vs) rotation/revolution/
輪転機 [りんてんき] /(n) rotary press/
輪島塗り [わじまぬり] /(n) Wajima lacquer/
輪投げ [わなげ] /(n) quoits/ring toss/
輪胴 [りんどう] /(n) chamber (of a revolver)/
輪胴式 [りんどうしき] /(adj-no) revolving chamber-style (e.g. pistol)/
輪胴式ピストル [りんどうしきピストル] /(n) revolver (lit: revolving chamber-style pistol)/
輪読 [りんどく] /(n,vs) reading in turns/
輪奈 [わな] /(n) loop (of thread, string, etc.)/
輪伐 [りんばつ] /(n,vs) logging in order by area/
輪抜け [わぬけ] /(n) jumping through a hoop/
輪番 [りんばん] /(n,adj-no) sequence/turn/rotation/(P)/
輪番制 [りんばんせい] /(n) rotation system/
輪番停電 [りんばんていでん] /(n) rolling blackout/
輪尾狐猿 [わおきつねざる] /(n) (uk) ring-tailed lemur (Lemur catta)/
輪舞 [りんぶ] /(n,vs) round dance/dancing in a circle/
輪舞曲 [りんぶきょく] /(n) rondo/
輪宝 [りんぼう] /(n) (Buddh) Cakraratna/wheel-shaped treasure possessed by the ideal universal ruler, carried in front of him during excursions to allow easy passage/
輪宝 [りんぽう] /(n) (Buddh) Cakraratna/wheel-shaped treasure possessed by the ideal universal ruler, carried in front of him during excursions to allow easy passage/
輪宝貝 [りんぼうがい] /(n) (uk) triumphant star turban (species of turban shell, Guildfordia triumphans)/
輪紋ゴキブリ [わもんゴキブリ] /(n) (uk) American cockroach (Periplaneta americana)/
輪紋海豹 [わもんあざらし] /(n) (uk) ringed seal (Pusa hispida)/
輪留め [わどめ] /(n) linchpin/
輪奐 [りんかん] /(n) grand and splendid building/
輪寶 [りんぼう] /(oK) (n) (Buddh) Cakraratna/wheel-shaped treasure possessed by the ideal universal ruler, carried in front of him during excursions to allow easy passage/
輪寶 [りんぽう] /(oK) (n) (Buddh) Cakraratna/wheel-shaped treasure possessed by the ideal universal ruler, carried in front of him during excursions to allow easy passage/
隣 [となり] /(n,adj-no) neighbor (neighbour)/next to (esp. living next door to)/(P)/
隣の花は赤い [となりのはなはあかい] /(exp) (id) The grass is always greener on the other side of the fence/
隣の芝生は青い [となりのしばふはあおい] /(exp) the grass is always greener on the other side/
隣り [となり] /(io) (n,adj-no) neighbor (neighbour)/next to (esp. living next door to)/
隣り合う [となりあう] /(v5u,vi) to adjoin each other/to sit side by side/(P)/
隣り合せ [となりあわせ] /(n,adj-no) adjoining each other/
隣り合わせ [となりあわせ] /(n,adj-no) adjoining each other/(P)/
隣り合わせる [となりあわせる] /(v1) to adjoin/
隣る [となる] /(v5r) to neighbor (neighbour)/to be next to (esp. to live next door to)/
隣家 [りんか] /(n,adj-no) neighbouring house/neighboring house/(P)/
隣近所 [となりきんじょ] /(n) neighbors/neighbours/neighborhood/neighbourhood/
隣合う [となりあう] /(io) (v5u,vi) to adjoin each other/to sit side by side/(P)/
隣合せ [となりあわせ] /(n,adj-no) adjoining each other/
隣合わせ [となりあわせ] /(n,adj-no) adjoining each other/(P)/
隣国 [りんこく] /(n) neighbouring country/neighboring country/neighbouring state/neighboring state/
隣国 [りんごく] /(n) neighbouring country/neighboring country/neighbouring state/neighboring state/(P)/
隣室 [りんしつ] /(n) next or adjoining room/(P)/
隣人 [りんじん] /(n,adj-no) neighbour/neighbor/neighbourhood/neighborhood/(P)/
隣人愛 [りんじんあい] /(n) neighborly love/neighbourly love/
隣席 [りんせき] /(n,adj-no) next seat/the seat next to/
隣接 [りんせつ] /(n,vs) adjoin/adjacent/related/(P)/
隣接した [りんせつした] /(adj-f) adjoining/neighboring/neighbouring/adjacent/
隣接ドメイン [りんせつドメイン] /(n) (comp) adjacent domain/
隣接ノード [りんせつノード] /(n) (comp) adjacent node/
隣接局 [りんせつきょく] /(n) (comp) neighboring office/adjoining office/
隣接局通知 [りんせつきょくつうち] /(n) (comp) neighbor notification/
隣接県 [りんせつけん] /(n) neighboring prefecture/neighbouring prefecture/
隣接節点 [りんせつせってん] /(n) (comp) adjacent node/
隣接単位料金区域 [りんせつたんいりょうきんくいき] /(n) (comp) adjacent message area/
隣接地 [りんせつち] /(n) adjoining land/
隣接定義域 [りんせつていぎいき] /(n) (comp) adjacent domain/
隣接部隊 [りんせつぶたい] /(n) adjacent units/
隣組 [となりぐみ] /(n) neighborhood association (established in Japan in 1940)/neighbourhood association/
隣村 [となりむら] /(n) neighboring village/neighbouring village/
隣村 [りんそん] /(n) neighboring village/neighbouring village/
隣地 [りんち] /(n) adjoining land/
隣町 [となりまち] /(n) neighboring (adjacent) town/neighbouring town/
隣付き合い [となりづきあい] /(n) neighborly relations/neighbourly relations/
隣保 [りんぽ] /(n) neighbouring house/neighboring house/neighbors/neighbours/
隣保館 [りんぽかん] /(n) settlement house/social services facility/
隣保事業 [りんぽじぎょう] /(n) living among the poor while striving to improve their conditions/
隣邦 [りんぽう] /(n) neighboring country/neighbouring country/
鱗 [うろこ] /(n) (1) scale (of fish)/(2) serif (on kana or kanji (e.g. in Mincho font))/
鱗 [こけ] /(n) (1) scale (of fish)/(2) serif (on kana or kanji (e.g. in Mincho font))/
鱗 [こけら] /(n) (1) scale (of fish)/(2) serif (on kana or kanji (e.g. in Mincho font))/
鱗引き [うろこひき] /(n) fish scaler/
鱗雲 [うろこぐも] /(n) cirrocumulus clouds/
鱗屑 [りんせつ] /(n) scale (i.e. of pathologically dry skin)/
鱗茎 [りんけい] /(n,adj-no) (lily or tulip, etc.) bulb/
鱗状 [りんじょう] /(n,adj-no) scaly/scale-like/
鱗板 [こけらいた] /(n) thin shingles/
鱗皮 [りんぴ] /(n) scaly hide or skin/
鱗粉 [りんぷん] /(n) (insectile, especially moth) scales/
鱗片 [りんぺん] /(n,adj-no) (animal or plant) scale/
鱗片葉 [りんぺんよう] /(n) scale leaf/
鱗木 [りんぼく] /(n) lepidodendron/
鱗葉 [りんよう] /(n) scale leaf (forming part of a bulb)/
鱗翅目 [りんしもく] /(n) Lepidoptera/
鱗翅類 [りんしるい] /(n) (obsc) lepidopterans/
瑠璃 [るり] /(n) (1) lapis lazuli/(2) (abbr) lapis lazuli (color)/(3) (abbr) beryl/(4) (abbr) mall blue passerine bird (esp. the blue-and-white flycatcher and the Siberian blue robin, but also the red-flanked bluetail)/(5) (obsc) glass/
瑠璃羽太 [るりはた] /(n) (uk) gold-ribbon grouper (species of fish, Aulacocephalus temmincki)/
瑠璃貝 [るりがい] /(n) (uk) elongate janthina (species of purple sea snail, Janthina globosa)/
瑠璃懸巣 [るりかけす] /(n) (uk) Lidth's jay (Garrulus lidthi)/
瑠璃虎の尾 [るりとらのお] /(n) beach speedwell/Veronica Longifolia/
瑠璃色 [るりいろ] /(n) lapis lazuli blue/bright blue/azure/
瑠璃雀鯛 [るりすずめだい] /(n) (uk) sapphire devil (Chrysiptera cyanea, damselfish from the Indo-West Pacific)/
瑠璃鳥 [るりちょう] /(n) (1) (col) Formosan whistling thrush (Myophonus insularis)/(2) blue-and-white flycatcher (Cyanoptila cyanomelana)/
瑠璃唐草 [るりからくさ] /(n) baby blue-eyes (name of plant)/
瑠璃木葉鳥 [るりこのはどり] /(n) (uk) Asian fairy bluebird (Irena puella)/
瑠璃野路子 [るりのじこ] /(n) (uk) indigo bunting (Passerina cyanea)/
瑠璃立羽 [るりたては] /(n) (uk) blue admiral (species of nymphalid butterfly, Kaniska canace)/
瑠璃鶇 [るりつぐみ] /(n) (uk) eastern bluebird (Sialia sialis)/
瑠璃鶲 [るりびたき] /(n) (uk) red-flanked bluetail (species of flycatcher, Tarsiger cyanurus)/
塁 [とりで] /(n) fortress/
塁 [るい] /(n) base (baseball)/(P)/
塁に出る [るいにでる] /(exp,v1) to get on base (in baseball)/
塁を守る [るいをまもる] /(exp,v5r) to defend a fort/
塁審 [るいしん] /(n) base umpire (baseball)/(P)/
塁打 [るいだ] /(n) base hit/
塁壁 [るいへき] /(n) rampart/
涙 [なだ] /(n) (1) tear/tears/lachrymal secretion/(2) sympathy/
涙 [なみだ] /(n) (1) tear/tears/lachrymal secretion/(2) sympathy/(P)/
涙ぐましい [なみだぐましい] /(adj-i) touching/moving/painful/(P)/
涙ぐむ [なみだぐむ] /(v5m,vi) to be moved to tears/
涙する [なみだする] /(vs-s) to shed tears/to bring tears to one's eyes/
涙ながら [なみだながら] /(adj-no) while crying/in tears/
涙もろい [なみだもろい] /(adj-i) easily moved to tears/
涙を催す [なみだをもよおす] /(exp,v5s) to be moved to tears/
涙を呑む [なみだをのむ] /(exp,v5m) to pocket an insult/to choke back one's tears/
涙を流す [なみだをながす] /(exp,v5s) to shed tears/
涙雨 [なみだあめ] /(n) light rain/rain falling at a time of sadness/
涙管 [るいかん] /(n) lachrymal or tear duct/
涙器 [るいき] /(n) lacrimal apparatus/
涙金 [なみだきん] /(n) (token amount of) consolation money/
涙骨 [るいこつ] /(n) lacrimal bone (of the skull)/
涙塞き敢えず [なみだせきあえず] /(adj-f) unable to fight back tears/
涙小管 [るいしょうかん] /(n) lachrymal canal (lacrimal, lacrymal)/lachrymal duct/
涙声 [なみだごえ] /(n) tearful voice/(P)/
涙脆い [なみだもろい] /(adj-i) easily moved to tears/
涙腺 [るいせん] /(n) lachrymal or tear gland/
涙滴型 [るいてきがた] /(adj-no,n) teardrop-shaped/
涙点 [るいてん] /(n) lachrymal punctum (lacrimal, lacrymal)/lacrimal point/
涙道 [るいどう] /(n) lachrymal passage (lacrimal, lacrymal)/
涙嚢 [るいのう] /(n) lachrymal or tear sac/dacryocyst/
涙箸 [なみだばし] /(n) dripping liquid (soup, sauce, etc.) from the tips of one's chopsticks (a breach of etiquette)/
涙目 [なみだめ] /(n,adj-no) teary eyes/
累 [るい] /(n) trouble/evil influence/implication/involvement/
累々 [るいるい] /(adj-t,adv-to) in heaps/
累を及ぼす [るいをおよぼす] /(exp,v5s) to cause trouble (for someone)/to have an unfavourable effect on (unfavorable)/
累加 [るいか] /(n,vs) acceleration/progressive increase/
累計 [るいけい] /(n,vs) cumulative total/accumulated total/total up to now/(P)/
累計メモリ [るいけいメモリ] /(n) (comp) sigma memory/
累月 [るいげつ] /(n-t) a number of months/
累減 [るいげん] /(n,vs,adj-no) regressive/
累減税 [るいげんぜい] /(n) regressive taxation/
累算 [るいさん] /(n,vs) total/
累算温度 [るいさんおんど] /(n) cumulative temperature/
累算器 [るいさんき] /(n) (comp) accumulator/
累次 [るいじ] /(n-adv,n-t) successive/repeated/
累囚 [るいしゅう] /(n) prisoner/
累乗 [るいじょう] /(n) raising a number to a power/
累乗根 [るいじょうこん] /(n) radical root/
累進 [るいしん] /(n,vs) successive promotion/gradual promotion/graduated/(P)/
累進課税 [るいしんかぜい] /(n) progressive taxation/graduated taxation/
累進税 [るいしんぜい] /(n) progressive tax/
累世 [るいせい] /(n-t) successive generations/
累積 [るいせき] /(n,vs,adj-no) accumulation/(P)/
累積差率 [るいせきさりつ] /(n) (comp) cumulative remainder/
累積債務 [るいせきさいむ] /(n) cumulative debt/debt accumulation/
累積索引付け [るいせきさくいんつけ] /(n) (comp) cumulative indexing/
累積赤字 [るいせきあかじ] /(n) accumulated deficit/
累積損失 [るいせきそんしつ] /(n) accumulated loss/
累積投票 [るいせきとうひょう] /(n) cumulative voting/
累積分布関数 [るいせきぶんぷかんすう] /(n) (comp) cumulative distribution function/
累積率 [るいせきりつ] /(n) (comp) cumulative percentage/
累積和 [るいせきわ] /(n) (comp) cumulative sum/
累増 [るいぞう] /(n,vs) successive or progressive increases/cumulative increase/
累損 [るいそん] /(n) (abbr) accumulated loss/
累代 [るいだい] /(n-t) successive generations/
累日 [るいじつ] /(n-t) many days/
累年 [るいねん] /(n-t) successive years/
累犯 [るいはん] /(n) repeated offense/repeated offence/
累犯者 [るいはんしゃ] /(n) repeat offender/
累累 [るいるい] /(adj-t,adv-to) in heaps/
類 [たぐい] /(io) (n) (1) kind/sort/type/(2) equal/match/peer/
類 [るい] /(n,n-suf) kind/sort/class/family/genus/(P)/
類い [たぐい] /(n) (1) kind/sort/type/(2) equal/match/peer/
類いする [たぐいする] /(vs-s,vi) to be equal to/to be as good as/to be a match for/to rival/
類いない [たぐいない] /(adj-i) matchless/
類い希 [たぐいまれ] /(adj-na) unique/rare/exceptional/unparalleled/incomparable/
類い稀 [たぐいまれ] /(adj-na) unique/rare/exceptional/unparalleled/incomparable/
類い無い [たぐいない] /(adj-i) matchless/
類える [たぐえる] /(v1) (1) (uk) (obsc) to compare/to liken/(2) to make (someone) accompany/
類する [たぐいする] /(io) (vs-s,vi) to be equal to/to be as good as/to be a match for/to rival/
類する [るいする] /(vs-s) to be similar to/
類のない [るいのない] /(adj-i) unprecedented/unparalleled/unparallelled/
類の無い [るいのない] /(adj-i) unprecedented/unparalleled/unparallelled/
類は友を呼ぶ [るいはともをよぶ] /(exp,v5b) birds of a feather flock together/
類韻 [るいいん] /(n) assonance/
類縁 [るいえん] /(n,adj-no) affinity/family relationship/
類縁関係 [るいえんかんけい] /(n) (having) a close relationship (with)/
類縁体 [るいえんたい] /(n) analog (chemistry)/analogue/
類音 [るいおん] /(n) similar sound/
類音語 [るいおんご] /(n) similar-sounding words/
類歌 [るいか] /(n) similar song/
類火 [るいか] /(n) catching fire/a spreading fire/
類概念 [るいがいねん] /(n) genus/
類感呪術 [るいかんじゅじゅつ] /(n) sympathetic magic/homeopathic magic/imitative magic/
類希 [たぐいまれ] /(adj-na) unique/rare/exceptional/unparalleled/incomparable/
類稀 [たぐいまれ] /(adj-na) unique/rare/exceptional/unparalleled/incomparable/
類義語 [るいぎご] /(n) (ling) quasi-synonym (word that has a similar meaning to another, but is not interchangeable)/
類義語辞典 [るいぎごじてん] /(n) thesaurus/
類義性 [るいぎせい] /(n) (comp) quasi-synonymy/quasi-synonymity/
類句 [るいく] /(n) similar phrase/
類群 [るいぐん] /(n) (math) class group/
類型 [るいけい] /(n) (1) type/pattern/shape/genre/breed/(2) similar type/similar pattern/
類型化 [るいけいか] /(n,vs) classifying in patterns/typification/
類型的 [るいけいてき] /(adj-na) stereotyped/patterned/typical/
類形 [るいけい] /(n) (1) type/pattern/shape/genre/breed/(2) similar type/similar pattern/
類語 [るいご] /(n) (ling) quasi-synonym (word that has a similar meaning to another, but is not interchangeable)/
類語辞典 [るいごじてん] /(n) thesaurus/dictionary of synonyms/
類纂 [るいさん] /(n,vs) collection of similar objects/classification by similarity/
類脂質 [るいししつ] /(n) lipoid/
類似 [るいじ] /(n,adj-no) (1) resemblance/similarity/analogous/quasi/(vs) (2) to resemble/to be similar/to be alike/(P)/
類似性 [るいじせい] /(n,adj-no) resemblance/similarity/analogy/
類似製品 [るいじせいひん] /(n) (comp) lookalike (product)/
類似体 [るいじたい] /(n) analog (chemistry)/analogue/
類似点 [るいじてん] /(n) points of similarity/
類似度 [るいじど] /(n) degree of similarity/
類似品 [るいじひん] /(n) imitation/similar article/similar goods/
類字 [るいじ] /(n) similar kanji/
類従 [るいじゅう] /(n,vs) assembling according to type/collection of items sorted by type/
類書 [るいしょ] /(n) similar books/
類焼 [るいしょう] /(n,vs) catching fire (from next door)/spreading fire/
類人猿 [るいじんえん] /(n) anthropoid/troglodyte/(P)/
類推 [るいすい] /(n,vs,adj-no) (1) analogy/(2) analogical reasoning/(P)/
類推推理 [るいすいすいり] /(n,vs) reasoning by analogy/analogical inference/analogism/
類推的 [るいすいてき] /(adj-na) analogical/
類線維腫 [るいせんいしゅ] /(n) fibroid/fibroid tumor/fibroid tumour/
類線形動物 [るいせんけいどうぶつ] /(n) nematomorpha/hairworm/
類題 [るいだい] /(n) similar question/(classification by) similarity of theme/
類同 [るいどう] /(adj-na,n) similar/of the same type/
類洞 [るいどう] /(n,adj-no) sinusoid (in anatomy)/
類肉腫症 [るいにくしゅしょう] /(n) sarcoidosis/
類比 [るいひ] /(n,vs) analogy/
類別 [るいべつ] /(n,vs) classification/
類本 [るいほん] /(n) similar books/
類友 [るいとも] /(n) hobby friend/friend gained through common interests or personality/
類例 [るいれい] /(n) similar instance/similar case/parallel case/analogy/
類聚 [るいじゅ] /(n,vs) collection of similar objects/classification by similarity/
類聚 [るいじゅう] /(n,vs) collection of similar objects/classification by similarity/
令 [りょう] /(n) (arch) administrative and civil code/
令 [れい] /(n,n-suf) command/order/dictation/(P)/
令する [れいする] /(vs-s,vt) to command/to order/
令む [しむ] /(v5m,aux-v) (uk) (arch) to make happen (old causative verbal ending)/
令甥 [れいせい] /(n) (hon) your nephew/
令外の官 [りょうげのかん] /(n) (arch) government position (or office) not specified in the administrative code of the ritsuryo/
令外官 [りょうげのかん] /(n) (arch) government position (or office) not specified in the administrative code of the ritsuryo/
令兄 [れいけい] /(n) your elder brother/
令月 [れいげつ] /(n) (1) (arch) auspicious month/(2) second lunar month/
令嗣 [れいし] /(n) your (his) heir/
令姉 [れいし] /(n) your elder sister/
令旨 [りょうじ] /(n) prince's message/command of a prince/
令旨 [れいし] /(n) prince's message/command of a prince/
令室 [れいしつ] /(n) your wife/
令嬢 [れいじょう] /(n) (hon) (your) daughter/young woman/(P)/
令状 [れいじょう] /(n) warrant/summons/written order/(P)/
令色 [れいしょく] /(n) servile looks/
令息 [れいそく] /(n) (hon) son/
令孫 [れいそん] /(n) your grandchild/
令弟 [れいてい] /(n) your younger brother/
令堂 [れいどう] /(n) (pol) home/mother/
令夫人 [れいふじん] /(n) Mrs/Lady/Madam/your wife/
令聞 [れいぶん] /(n) good reputation/fame/
令法 [りょうぶ] /(n) Japanese clethra/tree clethra/clethra barbinervis/
令望 [れいぼう] /(n) good reputation/
令妹 [れいまい] /(n) your younger sister/
令婿 [れいせい] /(n) your son-in-law/
令娘 [れいじょう] /(n) your daughter/young lady/
令名 [れいめい] /(n) good reputation/fame/
令姪 [れいてつ] /(n) (hon) your niece/
令閨 [れいけい] /(n) your wife/his wife/Mrs/
伶官 [れいかん] /(n) court musician/
伶人 [れいじん] /(n) court musician/minstrel/
伶優 [れいゆう] /(n) actor/
伶俐 [れいり] /(n,adj-na) cleverness/sagacity/
例 [ためし] /(n,pref,adj-no) (1) custom/practice/habit/usual/(2) instance/example/case/illustration/usage/(3) precedent/
例 [れい] /(n,pref,adj-no) (1) custom/practice/habit/usual/(2) said/aforementioned/(3) instance/example/case/illustration/usage/(4) precedent/(5) annual/(P)/
例え [たとえ] /(n) example/simile/metaphor/allegory/parable/(P)/
例えば [たとえば] /(adv) for example/e.g./(P)/
例えようもない [たとえようもない] /(exp,adj-i) beyond comparison/incomparable/
例える [たとえる] /(v1,vt) to compare/to liken/to speak figuratively/to illustrate/to use a simile/(P)/
例えるなら [たとえるなら] /(exp) for example/
例え様もない [たとえようもない] /(exp,adj-i) beyond comparison/incomparable/
例え様も無い [たとえようもない] /(exp,adj-i) beyond comparison/incomparable/
例になく [れいになく] /(adv) contrary to one's habit/unusually/
例によって [れいによって] /(exp) as usual/as is one's habit/
例によって例の如し [れいによってれいのごとし] /(exp) as always/the same as it always is/
例に無く [れいになく] /(adv) contrary to one's habit/unusually/
例に漏れず [れいにもれず] /(exp) no exception (to one's usual habits)/
例の [れいの] /(adj-pn,adv) (1) the usual/as it always is/(2) in the usual way/
例の件 [れいのけん] /(n) the matter you have been talking about/
例を引く [れいをひく] /(exp,v5k) to cite an example/
例を挙げる [れいをあげる] /(exp,v1) to cite an example/
例会 [れいかい] /(n) regular meeting/(P)/
例解 [れいかい] /(n,vs) illustration/example/
例外 [れいがい] /(n,adj-no) exception/(P)/
例外なく [れいがいなく] /(n) without exception/
例外の無い規則は無い [れいがいのないきそくはない] /(exp) (id) There is no rule without exceptions/
例外処理 [れいがいしょり] /(n) exception handling/
例外条件 [れいがいじょうけん] /(n) (comp) exception condition/
例外状態 [れいがいじょうたい] /(n) (comp) exception condition/
例外的 [れいがいてき] /(adj-na) exceptional/(P)/
例外無く [れいがいなく] /(n) without exception/
例規 [れいき] /(n) established rule/statute/
例月 [れいげつ] /(n-t) every month/
例言 [れいげん] /(n,vs) preface/foreword/
例語 [れいご] /(n) illustrative word/example word/
例刻 [れいこく] /(n-t) the regular time/
例祭 [れいさい] /(n) regular festival/annual festival/
例時 [れいじ] /(n) the usual time/
例示 [れいじ] /(n,vs) exemplification/illustrating by example/
例式 [れいしき] /(n) regular ceremony/established form/
例証 [れいしょう] /(n,vs) exemplification/illustration/example/
例数 [れいすう] /(n) number of cases/
例説 [れいせつ] /(n,vs) illustration (using an example)/
例大祭 [れいたいさい] /(n) regularly held festival/
例題 [れいだい] /(n) example/exercise (for the reader)/(P)/
例日 [れいじつ] /(n-adv,n-t) week day/ordinary day/appointed day/
例年 [れいねん] /(n-adv,n-t) average (normal, ordinary) year/every year/annually/(P)/
例年になく [れいねんになく] /(adv) unusually (compared to a typical year)/
例年に無く [れいねんになく] /(adv) unusually (compared to a typical year)/
例年祭 [れいねんさい] /(n) annual festival/
例文 [れいぶん] /(n) model sentence/(P)/
例話 [れいわ] /(n) illustration/
冷 [ひや] /(n) (1) (abbr) cold water/(2) (abbr) cold sake/(pref,adj-no) (3) cold/cool/chilled/unheated/
冷 [れい] /(adj-na,n) (1) (obsc) cold/cool/(n) (2) (abbr) (obsc) cold sake/
冷え [ひえ] /(n) chilling exposure/(P)/
冷える [ひえる] /(v1,vi) to grow cold (from room temperature, e.g. in refrigerator)/to get chilly/to cool down/(P)/
冷え込み [ひえこみ] /(n) turning into a cooler state/cooling down/
冷え込む [ひえこむ] /(v5m,vi) to get colder/to get chilled/(P)/
冷え者 [ひえもの] /(n) (1) something cold (esp. a body)/(2) something used to cool one's stomach/
冷え症 [ひえしょう] /(iK) (n) sensitivity to cold/
冷え上がる [ひえあがる] /(v5r,vi) to get completely chilled/
冷え性 [ひえしょう] /(n) sensitivity to cold/(P)/
冷え切る [ひえきる] /(v5r,vi) to become completely chilled/
冷え入る [ひえいる] /(v5r,vi) to become completely chilled/
冷え腹 [ひえばら] /(n) abdominal chills/diarrhea/diarrhoea/
冷え物 [ひえもの] /(n) (1) something cold (esp. a body)/(2) something used to cool one's stomach/
冷え募る [ひえつのる] /(v5r) to get colder/to get chilled/
冷え冷え [ひえひえ] /(adv,n,vs,adv-to) feeling chilly/being fearful/cold/
冷え冷え [ひえびえ] /(adv,n,vs,adv-to) feeling chilly/being fearful/cold/
冷かす [ひやかす] /(v5s) (1) to banter/to make fun of/to jeer at/(2) to cool/to refrigerate/
冷す [ひやす] /(v5s,vt) (1) to cool (from room temperature)/to chill/to refrigerate/(2) to calm down/to cool off/to regain one's composure/to relax/(3) to be frightened (at)/to be scared (of)/
冷たい [つべたい] /(adj-i) (1) cold (to the touch)/chilly/icy/freezing/(2) coldhearted/unfeeling/
冷たい [つめたい] /(adj-i) (1) cold (to the touch)/chilly/icy/freezing/(2) coldhearted/unfeeling/(P)/
冷たい暗黒物質 [つめたいあんこくぶっしつ] /(n) cold dark matter/
冷たい戦争 [つめたいせんそう] /(n) cold war/
冷ます [さます] /(v5s,vt) to cool (e.g. from a high temperature to room temperature)/to dampen/to let cool/to throw a damper on/to spoil/(P)/
冷めやらぬ [さめやらぬ] /(adj-pn) lingering (usu. feeling, emotion, etc.)/continuing (to)/still (...)/
冷める [さめる] /(v1,vi) (1) to become cool (e.g. from a high temperature to room temperature)/to come down (fever)/(2) to cool down (interest)/to abate/to subside/to dampen/(P)/
冷め遣らぬ [さめやらぬ] /(adj-pn) lingering (usu. feeling, emotion, etc.)/continuing (to)/still (...)/
冷や [ひや] /(n) (1) (abbr) cold water/(2) (abbr) cold sake/(pref,adj-no) (3) cold/cool/chilled/unheated/(P)/
冷やか [ひややか] /(adj-na,n) (1) cold/chilly/cool/(2) indifferent/cold-hearted/surly/curt/composed/
冷やかし [ひやかし] /(n) jeering/raillery/chaffing/merely asking the price/just looking at goods/window-shopping/browsing/
冷やかす [ひやかす] /(v5s) (1) to banter/to make fun of/to jeer at/(2) to cool/to refrigerate/(P)/
冷やし中華 [ひやしちゅうか] /(n) chilled Chinese noodles/
冷やす [ひやす] /(v5s,vt) (1) to cool (from room temperature)/to chill/to refrigerate/(2) to calm down/to cool off/to regain one's composure/to relax/(3) to be frightened (at)/to be scared (of)/(P)/
冷やっと [ひやっと] /(vs) (1) (uk) cool/chill/cold/(2) fear/fright/dread/
冷ややか [ひややか] /(adj-na,n) (1) cold/chilly/cool/(2) indifferent/cold-hearted/surly/curt/composed/(P)/
冷ややかさ [ひややかさ] /(n) coldness/frigidity/indifference/
冷ややかな態度 [ひややかなたいど] /(n) cold attitude/
冷やり [ひやり] /(n) (1) chill/(2) alarm/shock/
冷やりと [ひやりと] /(n,vs) (1) (uk) cool/chill/cold/(2) fear/fright/dread/
冷や汗 [ひやあせ] /(n) cold sweat/(P)/
冷や酒 [ひやざけ] /(n) cold sake/
冷や汁 [ひやじる] /(n) cold soup (usu. miso)/
冷や水 [ひやみず] /(n) cold (drinking) water/
冷や奴 [ひややっこ] /(n) cold tofu/
冷や麦 [ひやむぎ] /(n) cold noodles/iced noodles/
冷や飯 [ひやめし] /(n) (male) cold rice/
冷や飯を食う [ひやめしをくう] /(exp,v5u) (1) to depend on somebody for food and lodging/(2) to be treated coldly/to be kept in a low position/
冷や飯食い [ひやめしくい] /(n) a hanger-on/a dependent/
冷や飯草履 [ひやめしぞうり] /(n) crudely made zori with straw fastenings/
冷や冷や [ひやひや] /(adv,n,vs) feeling chilly/being fearful/
冷コー [れいコー] /(n) (sl) (ksb:) ice coffee/cold coffee/
冷暗所 [れいあんしょ] /(n) cool dark place/
冷雨 [れいう] /(n) chilly rain/
冷温 [れいおん] /(n,adj-no) (1) cold and warm/(2) low temperature/
冷夏 [れいか] /(n) a cool summer/(P)/
冷菓 [れいか] /(n) chilled sweets/ices/ice cream/
冷害 [れいがい] /(n) cold-weather damage/(P)/
冷覚 [れいかく] /(n,adj-no) sensation of cold/
冷寒 [れいかん] /(adj-na,adj-no,n) cold/chilly/
冷汗 [ひやあせ] /(n) cold sweat/(P)/
冷汗 [れいかん] /(n) cold sweat/(P)/
冷汗三斗 [れいかんさんと] /(n) breaking into cold sweat when one is very embarrassed or scared/
冷間焼結 [れいかんしょうけつ] /(n) cold-sintering/
冷眼 [れいがん] /(n) cold look/
冷気 [れいき] /(n) cold/chill/cold weather/cold wave/cold air/
冷却 [れいきゃく] /(n,vs) cooling/refrigeration/(P)/
冷却ファン [れいきゃくファン] /(n) (cooling) fan/
冷却液 [れいきゃくえき] /(n) coolant/
冷却器 [れいきゃくき] /(n) refrigerator/cooler/freezer/radiator (of a car)/
冷却期間 [れいきゃくきかん] /(n) cooling-off period/
冷却機能 [れいきゃくきのう] /(n) cooling capabilities/cooling function/
冷却剤 [れいきゃくざい] /(n) coolant/refrigerant/
冷却材 [れいきゃくざい] /(n) coolant (in a nuclear reactor)/
冷却水 [れいきゃくすい] /(n) coolant/
冷却装置 [れいきゃくそうち] /(n) cooling device/
冷却用 [れいきゃくよう] /(adj-no) used for cooling/used for refrigeration/heat-absorbing/
冷遇 [れいぐう] /(n,vs) cold reception/inhospitality/(P)/
冷血 [れいけつ] /(adj-na,n,adj-no) cold-bloodedness/coldheartedness/
冷血漢 [れいけつかん] /(n) cold-blooded person/heartless/coldhearted person/
冷血動物 [れいけつどうぶつ] /(n) cold-blooded animal/
冷厳 [れいげん] /(adj-na,n) grim/stern/stark/heartless/
冷語 [れいご] /(n) hard words/
冷光 [れいこう] /(n) cold light/luminescence/
冷剛 [れいごう] /(n) chilling (steel)/
冷酷 [れいこく] /(adj-na,n) cruelty/coldheartedness/relentless/ruthless/(P)/
冷酷無惨 [れいこくむざん] /(n,adj-na) cruel and heartless/merciless/implacable/cold-blooded/
冷酷無残 [れいこくむざん] /(n,adj-na) cruel and heartless/merciless/implacable/cold-blooded/
冷酷無情 [れいこくむじょう] /(n,adj-na) cruel and heartless/merciless/implacable/
冷酷無慙 [れいこくむざん] /(n,adj-na) cruel and heartless/merciless/implacable/cold-blooded/
冷酷無慚 [れいこくむざん] /(n,adj-na) cruel and heartless/merciless/implacable/cold-blooded/
冷湿布 [れいしっぷ] /(n) cold compress/
冷者 [ひえもの] /(n) (1) something cold (esp. a body)/(2) something used to cool one's stomach/
冷酒 [ひやざけ] /(n) cold sake/
冷酒 [れいしゅ] /(n) cold sake/
冷汁 [ひやじる] /(n) cold soup (usu. miso)/
冷笑 [れいしょう] /(n,vs) derision/derisive laughter/scornful laugh/(P)/
冷笑い [せせらわらい] /(n) sardonic laugh/scornful smile/
冷笑的 [れいしょうてき] /(adj-na) sarcastic/derisive/
冷水 [れいすい] /(n) cold water/(P)/
冷水塊 [れいすいかい] /(n) cold water mass/
冷水摩擦 [れいすいまさつ] /(n,vs) rubdown with a wet towel/cold-water rubbing/
冷水浴 [れいすいよく] /(n,vs) cold bath/cold shower/
冷性 [ひえしょう] /(n) sensitivity to cold/
冷製 [れいせい] /(n) cold dish (e.g. at a restaurant)/
冷静 [れいせい] /(adj-na,n) calm/composure/coolness/serenity/(P)/
冷静になる [れいせいになる] /(exp,v5r) to collect oneself/to chill out/to cool off/to recover oneself/
冷静に成る [れいせいになる] /(exp,v5r) to collect oneself/to chill out/to cool off/to recover oneself/
冷静沈着 [れいせいちんちゃく] /(n,adj-na) calm, cool, and collected/level and calm/
冷戦 [れいせん] /(n,adj-no) cold war/(P)/
冷戦型思考 [れいせんがたしこう] /(n) Cold War mentality/
冷戦時代 [れいせんじだい] /(n) cold war era/
冷戦終結 [れいせんしゅうけつ] /(n) the end of the Cold War/
冷泉 [れいせん] /(n) cold mineral spring/
冷然 [れいぜん] /(n,adj-t,adv-to) indifference/coolness/lukewarmness/cold-heartedness/
冷蔵 [れいぞう] /(n,vs,adj-no) cold storage/refrigeration/(P)/
冷蔵庫 [れいぞうこ] /(n) refrigerator/(P)/
冷蔵室 [れいぞうしつ] /(n) cold room/refrigerated room/
冷蔵車 [れいぞうしゃ] /(n) refrigerator car/
冷蔵船 [れいぞうせん] /(n) refrigerator ship/
冷蔵法 [れいぞうほう] /(n) refrigeration/
冷淡 [れいたん] /(adj-na,n) coolness/indifference/(P)/
冷淡無情 [れいたんむじょう] /(n,adj-na) cold-hearted/callous/pitiless/unsympathetic/
冷暖房 [れいだんぼう] /(n) air-conditioning/heating and cooling/(P)/
冷徹 [れいてつ] /(adj-na,n) cool-headedness/(P)/
冷奴 [ひややっこ] /(n) cold tofu/
冷凍 [れいとう] /(n,vs) freezing/cold storage/refrigeration/(P)/
冷凍器 [れいとうき] /(n) refrigerator/refrigerating machine/freezer/
冷凍機 [れいとうき] /(n) freezing machine/refrigerator/
冷凍魚 [れいとうぎょ] /(n) refrigerated fish/
冷凍業 [れいとうぎょう] /(n) cold-storage business/
冷凍庫 [れいとうこ] /(n) freezer/(P)/
冷凍剤 [れいとうざい] /(n) refrigerant/
冷凍室 [れいとうしつ] /(n) freezing compartment/freezer/
冷凍車 [れいとうしゃ] /(n) refrigerator car/
冷凍食品 [れいとうしょくひん] /(n) frozen food/
冷凍船 [れいとうせん] /(n) refrigerator ship/
冷凍保存 [れいとうほぞん] /(n) cold storage/deep freeze/cryopreservation/
冷凍野菜 [れいとうやさい] /(n) frozen vegetables/
冷肉 [れいにく] /(n) cold meat/
冷罵 [れいば] /(n,vs) sneer/scoffing/abuse/
冷媒 [れいばい] /(n) refrigerant/coolant/
冷麦 [ひやむぎ] /(n) cold noodles/iced noodles/
冷評 [れいひょう] /(n,vs) sarcasm/sneer/jeer/
冷風 [れいふう] /(n) cold wind/chilly breeze/(blast of) cold air/
冷物 [ひえもの] /(n) (1) something cold (esp. a body)/(2) something used to cool one's stomach/
冷房 [れいぼう] /(n,vs) cooling/air-conditioning/(P)/
冷房完備 [れいぼうかんび] /(n) air-conditioned/
冷房器 [れいぼうき] /(n) air conditioner/cooler/
冷房機 [れいぼうき] /(n) air conditioner/cooler/
冷房車 [れいぼうしゃ] /(n) air-conditioned car/
冷房設備 [れいぼうせつび] /(n) cooling facilities/air-conditioning facilities/
冷房装置 [れいぼうそうち] /(n) air-conditioning/air-cooling apparatus/
冷麺 [れいめん] /(n) (1) cold noodles (in Korean style)/(2) (ksb:) chilled Chinese noodles/(3) cold Chinese noodles accompanied by soup for dipping/
冷涼 [れいりょう] /(n) coolness/
冷嘲 [れいちょう] /(n,vs) cooling (something)/
冷澹 [れいたん] /(oK) (adj-na,n) coolness/indifference/
冷罨法 [れいあんぽう] /(n) cold compress/cold pack/
励まし [はげまし] /(n,adj-no) encouragement (as an abstract concept)/stimulation/(P)/
励ます [はげます] /(v5s,vt) to encourage/to cheer/to raise (the voice)/(P)/
励み [はげみ] /(n) (act of) encouragement/stimulus/incentive/(P)/
励み合い [はげみあい] /(n) competition/emulation/rivalry/
励み合う [はげみあう] /(v5u) to vie with another/to emulate each other/
励む [はげむ] /(v5m) to be zealous/to brace oneself/to endeavour/to endeavor/to strive/to make an effort/(P)/
励起 [れいき] /(n,vs) (electrical) excitation/
励起状態 [れいきじょうたい] /(n) excited state/
励弧 [れいこ] /(n) excitation/
励行 [れいこう] /(n,vs) strict enforcement/carry out (regulations)/
励磁 [れいじ] /(n,vs) excitation/
励磁機 [れいじき] /(n) exciter/
励磁損 [れいじそん] /(n) excitation loss/
励磁電流 [れいじでんりゅう] /(n) excitation current/
励振 [れいしん] /(n,vs) excitation (drive)/stimulus/
励振管 [れいしんかん] /(n) exciter tube/
励振器 [れいしんき] /(n) exciter (driver)/
励振素子 [れいしんそし] /(n) driven element (antenna)/
励精 [れいせい] /(n) diligence/
励声 [れいせい] /(n) shouts of encouragement/
励声一番 [れいせいいちばん] /(n) giving cries of encouragement at a critical moment/
励声叱咤 [れいせいしった] /(n,vs) cries of encouragement/shouting encouragement/
嶺 [みね] /(n) peak/ridge/
嶺桜 [みねざくら] /(n) (uk) Japanese alpine cherry (Prunus nipponica)/
怜俐 [れいり] /(n,adj-na) cleverness/sagacity/
怜悧 [れいり] /(n,adj-na) cleverness/sagacity/
怜悧狡猾 [れいりこうかつ] /(n,adj-na) cunning/crafty/shrewd/guileful/
玲玲 [れいれい] /(n) (arch) tinkling of jades/
玲瓏 [れいろう] /(adj-t,adv-to) clear/translucent/brilliant/sweetly ringing (as the tinklings of jade)/
礼 [れい] /(n) thanking/expression of gratitude/(P)/
礼やか [いややか] /(adj-na) polite/respectful/reverent/
礼をつくす [れいをつくす] /(v5s,exp) to accord someone every courtesy/
礼を言う [れいをいう] /(exp,v5u) to thank/
礼を尽くす [れいをつくす] /(v5s,exp) to accord someone every courtesy/
礼回り [れいまわり] /(n) making the rounds to express thanks/
礼楽 [れいがく] /(n) etiquette and music/
礼記 [らいき] /(n) the Li Ji or Book of Rites - one of the Five Classics/
礼儀 [れいぎ] /(n) manners/courtesy/etiquette/(P)/
礼儀感覚 [れいぎかんかく] /(n) sense of decorum/attention to the common civilities of life/
礼儀作法 [れいぎさほう] /(n) etiquette/courtesy/
礼儀正しい [れいぎただしい] /(adj-i) polite (person)/
礼金 [れいきん] /(n) (1) finder's fee/reward/honorarium/(2) key money/(P)/
礼遇 [れいぐう] /(n,vs) courteous reception/honorable treatment/honourable treatment/
礼参り [れいまいり] /(n) thanksgiving visit to a shrine/
礼讃 [らいさん] /(n,vs) praise/worship/adoration/glorification/
礼賛 [らいさん] /(n,vs) praise/worship/adoration/glorification/
礼式 [れいしき] /(n) etiquette/manners/
礼状 [れいじょう] /(n) acknowledgment/acknowledgement/letter of thanks/(P)/
礼譲 [れいじょう] /(n) comity/
礼節 [れいせつ] /(n) decorum/propriety/politeness/
礼装 [れいそう] /(n,vs) formal dress/
礼典 [れいてん] /(n) etiquette/ritual/
礼拝 [らいはい] /(n,vs) (1) worship (esp. Buddhist and Shinto)/
礼拝 [れいはい] /(n,vs,adj-no) (1) worship (esp. Christian)/adoration/divine service/(P)/
礼拝式 [れいはいしき] /(n) religious service/religious practice/
礼拝所 [れいはいしょ] /(n) place of worship/
礼拝堂 [らいはいどう] /(n) (1) place of worship (esp. Buddhist and Shinto)/
礼拝堂 [れいはいどう] /(n) (1) chapel/place of worship (esp. Christian)/
礼部 [れいぶ] /(n) Ministry of Rites (Tang-dynasty China)/
礼服 [れいふく] /(n) ceremonial dress/(P)/
礼物 [れいもつ] /(n) gift/
礼奉公 [れいぼうこう] /(n) free service after one has finished one's apprenticeship/
礼法 [れいほう] /(n) etiquette/courtesy/manners/
礼砲 [れいほう] /(n) salute (gun)/
礼帽 [れいぼう] /(n) ceremonial hat/
鈴 [すず] /(n) bell (often globular)/(P)/
鈴 [りん] /(n) bell (often globular)/
鈴 [れい] /(ok) (n) bell (often globular)/
鈴なり [すずなり] /(n) (1) bunches (e.g. of fruit)/clusters/(adj-no) (2) crammed (e.g. with people)/overflowing/
鈴なりになる [すずなりになる] /(exp,v5r) to grow in clusters/
鈴を鳴らす [りんをならす] /(exp,v5s) to ring a bell/
鈴蛙 [すずがえる] /(n) (uk) Oriental fire-bellied toad (Bombina orientalis)/
鈴鴨 [すずがも] /(n) (uk) greater scaup (species of diving duck, Aythya marila)/
鈴懸の木 [すずかけのき] /(n) plane tree (esp. the Oriental plane, Platanus orientalis)/
鈴菜 [すずな] /(n) (uk) turnip (Brassica rapa)/
鈴生り [すずなり] /(n) (1) bunches (e.g. of fruit)/clusters/(adj-no) (2) crammed (e.g. with people)/overflowing/
鈴生りに生る [すずなりになる] /(exp,v5r) to grow in clusters/
鈴虫 [すずむし] /(n) bell cricket (Homoeogryllus japonicus)/
鈴蘭 [すずらん] /(n) lily of the valley (Convallaria keiskei)/
隷下 [れいか] /(n) subordinates/followers/
隷従 [れいじゅう] /(n,vs) slavery/
隷書 [れいしょ] /(n) clerical script (ancient, highly angular style of kanji)/
隷属 [れいぞく] /(n,vs) subordination/servitude/servility/vassalage/slavery/
隷属国 [れいぞくこく] /(n) subject nation/subordinate state/dependency/
零 [ぜろ] /(n,adj-no) zero/nought/
零 [れい] /(n,adj-no) zero/nought/(P)/
零し [こぼし] /(n) waste-water container (tea ceremony)/
零し屋 [こぼしや] /(n) grump/heat merchant/
零し合い [こぼしあい] /(n) gripe session/grievance session/
零し話 [こぼしばなし] /(n) complaining/
零す [こぼす] /(v5s,vt) (1) to spill/to drop/to shed (tears)/(2) to grumble/to complain/(3) to let one's feelings show/(P)/
零れ [こぼれ] /(n) (1) spilling/spill/(2) leavings/leftovers/
零れる [こぼれる] /(v1,vi) (1) (uk) to spill/to fall out of/to overflow/(2) to peek through/to become visible (although normally not)/(3) to escape (of a smile, tear, etc.)/(P)/
零れ幸い [こぼれざいわい] /(n) unexpected piece of good luck/windfall/
零れ落ちる [こぼれおちる] /(v1,vi) to spill over and fall/to scatter (petals, leaves, etc.)/
零因子 [ぜろいんし] /(n) (math) zero divisor/null factor/nil factor/
零因子 [れいいんし] /(n) (math) zero divisor/null factor/nil factor/
零下 [れいか] /(n,adj-no) below zero/sub-zero/(P)/
零空間 [れいくうかん] /(n) null space/
零空間 [ゼロくうかん] /(n) null space/
零元 [れいげん] /(n) (math) zero element/
零行列 [れいぎょうれつ] /(n) zero matrix/
零砕 [れいさい] /(adj-na,n) (obsc) a tiny bit/
零細 [れいさい] /(adj-na) insignificant/trifling/paltry/cottage (industry)/tiny (company)/(P)/
零細企業 [れいさいきぎょう] /(n) small business/micro-enterprise/microenterprise/
零細農 [れいさいのう] /(n) subsistence farming/
零時 [れいじ] /(n) 12 o'clock (midnight)/(P)/
零式艦上戦闘機 [れいしきかんじょうせんとうき] /(n) A6M Zero fighter/
零戦 [ぜろせん] /(n) Zero fighter plane/
零点 [れいてん] /(n) zero/no marks/(P)/
零点振動 [れいてんしんどう] /(n) zero-point vibration/zero-point motion/
零度 [れいど] /(n) zero/absolute zero (temp.)/freezing point/
零敗 [れいはい] /(n,vs) going undefeated/losing without scoring a point/whitewash/being shut out/
零半 [ゼロはん] /(n) (uk) 50cc motorbike/
零本 [れいほん] /(n) fragmentary remains of a large set of writings/the odd volume/a few pages/
零余子 [ぬかご] /(n) (uk) bulbil (esp. of a Japanese yam)/
零余子 [むかご] /(n) (uk) bulbil (esp. of a Japanese yam)/
零余子 [れいよし] /(n) (uk) bulbil (esp. of a Japanese yam)/
零余子蕁麻 [むかごいらくさ] /(n) (uk) Laportea bulbifera (species of nettle-like plant)/
零落 [れいらく] /(n,vs) falling into straitened circumstances/downfall/ruin/
零露 [れいろ] /(n) dripping dew/
零和ゲーム [れいわゲーム] /(n) zero-sum game/
霊 [たま] /(n) soul/spirit/
霊 [れい] /(n) soul/spirit/departed soul/ghost/(P)/
霊と肉 [れいとにく] /(exp) flesh and spirit/
霊安室 [れいあんしつ] /(n) morgue/
霊位 [れいい] /(n) memorial tablet/
霊異 [りょうい] /(ik) (n) miracle/wonder/wondrous thing/
霊異 [れいい] /(n) miracle/wonder/wondrous thing/
霊域 [れいいき] /(n) sacred ground/sacred precincts/
霊園 [れいえん] /(n) cemetery/(P)/
霊屋 [たまや] /(n) mausoleum/(temporary) resting place of a corpse/
霊界 [れいかい] /(n,adj-no) the spiritual world/
霊感 [れいかん] /(n) (1) afflatus/inspiration/(2) ability to sense the supernatural (esp. ghosts, etc.)/
霊感商法 [れいかんしょうほう] /(n) fraudulent way of business, cajoling people into buying articles for an extremely high price by claiming they will bring good luck/
霊気 [れいき] /(n) aura/
霊亀 [れいき] /(n) (1) (obsc) mysterious turtle (an omen of good luck)/(2) Reiki era (715.9.2-717.11.17)/
霊剣 [れいけん] /(n) sacred or wondrous sword/
霊験 [れいけん] /(n) miraculous efficacy/miracle/miraculous virtue/
霊験 [れいげん] /(n) miraculous efficacy/miracle/miraculous virtue/
霊魂 [れいこん] /(n) soul/spirit/
霊魂消滅 [れいこんしょうめつ] /(n) annihilation/
霊魂不滅 [れいこんふめつ] /(n) immortality of the soul/
霊祭 [たままつり] /(n) ceremony honouring the spirits of ancestors (esp. the Bon festival)/
霊祭 [れいさい] /(n) ceremony honouring the spirits of ancestors (esp. the Bon festival)/
霊祭り [たままつり] /(n) ceremony honouring the spirits of ancestors (esp. the Bon festival)/
霊山 [れいざん] /(n) sacred mountain/
霊視商法 [れいししょうほう] /(n) fraudulent sale of exorcism services (to people led to believe that they are possessed by evil spirits)/
霊芝 [れいし] /(n) bracket fungus/Ganoderma lucidum (formerly Fomes japonicus)/
霊獣 [れいじゅう] /(n) sacred beast/
霊場 [れいじょう] /(n) sacred ground/
霊水 [れいすい] /(n) miraculous (miracle-working) water/
霊性 [れいせい] /(n) divine nature/spirituality/
霊泉 [れいせん] /(n) miraculous spring or fountain/
霊前 [れいぜん] /(n) before the spirit of the deceased/
霊送り [たまおくり] /(n) sending off the spirits of the dead/
霊体験 [れいたいけん] /(n) experience of seeing a ghost/
霊台 [れいだい] /(n) (1) (arch) observatory for astronomy, cloud-watching, etc./(2) (abbr) (arch) astronomical expert/(3) (arch) place where the soul is located/
霊台方寸 [れいだいほうすん] /(n) (obsc) heart/soul/
霊台郎 [れいだいろう] /(n) (arch) astronomical expert/
霊知 [れいち] /(n) mystic wisdom/
霊地 [れいち] /(n) sacred ground/
霊智 [れいち] /(n) mystic wisdom/
霊長 [れいちょう] /(n) leader with miraculous powers/humanity/
霊長目 [れいちょうもく] /(n) Primates (order of mammals)/
霊長類 [れいちょうるい] /(n) primates/
霊長類学 [れいちょうるいがく] /(n) primatology/
霊鳥 [れいちょう] /(n) sacred bird/
霊的 [れいてき] /(adj-na,n) spiritual/incorporeal/
霊的交感 [れいてきこうかん] /(n) spiritual sympathy/spiritual communion/
霊的交流 [れいてきこうりゅう] /(n) spiritual sympathy/spiritual communion/
霊殿 [れいでん] /(n) shrine/mausoleum/
霊肉 [れいにく] /(n) body and soul/
霊肉一致 [れいにくいっち] /(n) unity of body and spirit/
霊猫 [れいびょう] /(n) (obsc) civet cat/
霊能 [れいのう] /(n) spiritual ability/
霊能者 [れいのうしゃ] /(n) medium/
霊能力 [れいのうりょく] /(n) psychic power/
霊媒 [れいばい] /(n) spirit medium/
霊廟 [れいびょう] /(n) mausoleum/
霊符 [れいふ] /(n) charm/amulet/talisman/
霊宝 [れいほう] /(n) sacred treasure/
霊峰 [れいほう] /(n) sacred mountain/
霊妙 [れいみょう] /(adj-na,n) miraculous/wonderful/
霊夢 [れいむ] /(n) revelatory dream/revelation/a vision/
霊木 [れいぼく] /(n) sacred tree/
霊薬 [れいやく] /(n) unusually effective medicine/miracle drug/
霊友会 [れいゆうかい] /(n) Reiyukai (Buddhist sect founded in 1919 as an offshoot of Nichiren Buddhism)/
霊力 [れいりょく] /(n) spiritual power/
霊柩 [れいきゅう] /(n) coffin/casket/
霊柩車 [れいきゅうしゃ] /(n) hearse/
麗々しい [れいれいしい] /(adj-i) ostentatious/gaudy/showy/
麗か [うららか] /(io) (adj-na) bright/beautiful/fine/glorious/
麗しい [うるわしい] /(adj-i) beautiful/lovely/
麗しい情景 [うるわしいじょうけい] /(n) heartwarming scene/
麗らか [うららか] /(adj-na) bright/beautiful/fine/glorious/
麗句 [れいく] /(n) elegant phrase/
麗景殿 [れいけいでん] /(n) ladies' pavilion (of the inner Heian Palace)/
麗姿 [れいし] /(n) beautiful figure/
麗質 [れいしつ] /(n) genius/beauty/charm/
麗人 [れいじん] /(n) beautiful woman/beauty/belle/
麗日 [れいじつ] /(n) glorious spring day/
麗筆 [れいひつ] /(n) beautiful brushwork or writing/
麗容 [れいよう] /(n) beautiful shape or form/
麗麗しい [れいれいしい] /(adj-i) ostentatious/gaudy/showy/
齢 [よわい] /(n) (one's) age/(P)/
齢 [れい] /(n) instar/
暦 [こよみ] /(n,suf) calendar/almanac/(P)/
暦 [れき] /(n,suf) calendar/almanac/
暦の中段 [こよみのちゅうだん] /(n) (obsc) twelve words used to mark the old calendar as indicators of lucky and unlucky activites/
暦応 [りゃくおう] /(n) Ryakuou era (of the Northern Court) (1338.8.28-1342.4.27)/
暦応 [れきおう] /(n) (obsc) Rekiou era, Ryakuou era (of the Northern Court) (1338.8.28-1342.4.27)/
暦改正 [こよみかいせい] /(n) calendar reform/
暦学 [れきがく] /(n) the study of the calendar/
暦月 [れきげつ] /(n) calendar month/
暦週 [れきしゅう] /(n) (comp) calendar week/
暦術 [れきじゅつ] /(n) calendar-construction rules/
暦仁 [りゃくにん] /(n) Ryakunin era (1238.11.23-1239.2.7)/
暦数 [れきすう] /(n) calendar making/number of years/one's fate/the year/
暦注 [れきちゅう] /(n) various information recorded in the almanac (as regards astronomy, astrology, etc.)/
暦道 [れきどう] /(n) (arch) study of the calendar/way of the calendar/
暦日 [れきじつ] /(n) calendar day/time/
暦日付 [れきひづけ] /(n) (comp) calendar date/
暦年 [れきねん] /(n) calendar year/civil year/time/year after year/
暦年度 [れきねんど] /(n) calendar year/
暦年齢 [れきねんれい] /(n) chronological age/
暦法 [れきほう] /(n) calendar making/
暦本 [れきほん] /(n) books related to the calendar/the calendar/the almanac/
歴 [れき] /(suf) history of/experience of/
歴々 [れきれき] /(n,adj-t,adv-to) (1) notables/dignitaries/illustrious families/(2) clear/plain/obvious/
歴とした [れっきとした] /(exp) accepted/fully-fledged/clear/respectable/
歴る [へる] /(v1,vt) to pass/to elapse/to experience/
歴仕 [れきし] /(n) (successive lords) using the same retainers/
歴史 [れきし] /(n,adj-no) history/(P)/
歴史となること [れきしとなること] /(exp) history-making event/
歴史は繰り返す [れきしはくりかえす] /(exp) (id) History repeats itself/
歴史を刻む [れきしをきざむ] /(exp,v5m) to let (feel) time pass/
歴史家 [れきしか] /(n) historian/
歴史科学 [れきしかがく] /(n) historical science/
歴史画 [れきしが] /(n) historical picture/
歴史学 [れきしがく] /(n) study of history/
歴史学派 [れきしがくは] /(n) historical school/
歴史観 [れきしかん] /(n) historical viewpoint/
歴史劇 [れきしげき] /(n) historical drama/
歴史言語学 [れきしげんごがく] /(n) historical linguistics/
歴史再審論者 [れきしさいしんろんしゃ] /(n) revisionist (person who takes a revisionist view of history)/
歴史資料 [れきししげん] /(n) historical records/historical materials/
歴史時代 [れきしじだい] /(n) historical times/historical period/
歴史主義 [れきししゅぎ] /(n) historicism/
歴史修正主義 [れきししゅうせいしゅぎ] /(n) historical revisionism/
歴史書 [れきししょ] /(n) history book/
歴史小説 [れきししょうせつ] /(n) historical novel/
歴史上 [れきしじょう] /(adj-no,adv) historic/historical/
歴史人口学 [れきしじんこうがく] /(n) historical demography/
歴史地区 [れきしちく] /(n) historic district/historic center of a town/
歴史地図 [れきしちず] /(n) historical map/atlas/
歴史地理 [れきしちり] /(n) historical geography/
歴史的 [れきしてき] /(adj-na) historic/historical/traditional/(P)/
歴史的仮名遣い [れきしてきかなづかい] /(n) historical kana usage (as used prior to Japanese government reforms made in 1946)/
歴史的経緯から [れきしてきけいいから] /(exp) for historical reasons/
歴史的現在 [れきしてきげんざい] /(n) (ling) historical present/
歴史哲学 [れきしてつがく] /(n) historical philosophy/
歴史認識 [れきしにんしき] /(n) historical awareness/understanding of history/
歴史博物館 [れきしはくぶつかん] /(n) history museum/
歴史物語 [れきしものがたり] /(n) historical tale/
歴女 [れきじょ] /(n) young woman strongly interested in pre-Edo history/young woman making use of speech and mannerisms of pre-industrial Japan/female history buff/
歴世 [れきせい] /(n) successive generations/successive emperors/
歴青 [れきせい] /(n) asphalt/bitumen/
歴青 [チャン] /(n) asphalt/bitumen/
歴青ウラン鉱 [れきせいウランこう] /(n) (obsc) pitchblende/
歴青炭 [れきせいたん] /(n) bituminous coal/
歴戦 [れきせん] /(n,adj-no) long military service/
歴然 [れきぜん] /(adj-t,adv-to) evident/plain/distinct/clear/(P)/
歴代 [れきだい] /(n,adj-no) successive generations/successive emperors/(P)/
歴代史 [れきだいし] /(n) chronicles/annals/
歴代志 [れきだいし] /(n) The Chronicles (books of the Bible)/
歴代誌下 [れきだいしか] /(n) Chronicles II (book of the Bible)/
歴代誌上 [れきだいしじょう] /(n) Chronicles I (book of the Bible)/
歴朝 [れきちょう] /(n) successive reigns/successive emperors/successive dynasties/
歴程 [れきてい] /(n) a route or passage/
歴伝 [れきでん] /(n) tradition/
歴日 [れきじつ] /(n) the passing of time/
歴任 [れきにん] /(n,vs) successive jobs/consecutive jobs/(P)/
歴年 [れきねん] /(n) calendar year/civil year/time/year after year/
歴年齢 [れきねんれい] /(n) chronological age/
歴法の改正 [れきほうのかいせい] /(n) calendar reform/
歴訪 [れきほう] /(n,vs) round of calls/tour of visitation/(P)/
歴遊 [れきゆう] /(n,vs) touring/
歴覧 [れきらん] /(n) looking around/
歴歴 [れきれき] /(n,adj-t,adv-to) (1) notables/dignitaries/illustrious families/(2) clear/plain/obvious/
列 [れつ] /(n) queue/line/row/column/sequence/string/train/(P)/
列する [れっする] /(vs-s) (1) to line up with/to be a member of/to rank with/(2) to attend/to take part in/
列なる [つらなる] /(v5r,vi) to extend/to stretch out/to stand in a row/
列ねる [つらねる] /(v1,vt) to link/to join/to put together/
列ぶ [ならぶ] /(v5b,vi) (1) to line up/to stand in a line/(2) to rival/to match/to equal/
列を作る [れつをつくる] /(exp,v5r) to form a line (row)/
列ピッチ [れつピッチ] /(n) (comp) row pitch/
列ベクトル [れつベクトル] /(n) (comp) column vector/
列王記下 [れつおうきか] /(n) Kings II (book of the Bible)/
列王記上 [れつおうきじょう] /(n) Kings I (book of the Bible)/
列火 [れっか] /(n) kanji "fire" radical at bottom/
列記 [れっき] /(n,vs) list/enumeration/
列挙 [れっきょ] /(n,vs) enumeration/list/(P)/
列挙分類体系 [れっきょぶんるいたいけい] /(n) (comp) enumerative classification system/
列強 [れっきょう] /(n) major powers of the world/great powers/
列見出し [れつみだし] /(n) column heading/
列候 [れっこう] /(n) many daimyo/
列国 [れっこく] /(n) nations/states/(P)/
列座 [れつざ] /(n,vs) attendance/presence/
列車 [れっしゃ] /(n) train (ordinary)/(P)/
列聖 [れっせい] /(n,vs) canonization (i.e. establishment of sainthood)/
列席 [れっせき] /(n,vs) attendance/
列席者 [れっせきしゃ] /(n) persons present/
列伝 [れつでん] /(n) series of biographies/
列伝体 [れつでんたい] /(n) biographical style/
列島 [れっとう] /(n) archipelago/chain of islands/(P)/
列寧 [れえにん] /(n) Lenin/
列藩 [れっぱん] /(n) many feudal clans/
列番号 [れつばんごう] /(n) (comp) column number/
列福 [れっぷく] /(n,vs) beatification/
列変数 [れつへんすう] /(n) (comp) string variable/
列方行奇偶検査 [れつほうこうきぐうけんさ] /(n) (comp) transverse parity check/
劣 [れつ] /(pref) (math) sub-/inferior/minor/
劣らず [おとらず] /(adv) with the best of them/as the next fellow/
劣る [おとる] /(v5r,vi) to fall behind/to be inferior to/(P)/
劣悪 [れつあく] /(adj-na,n) inferiority/coarseness/(P)/
劣化 [れっか] /(n,vs) deterioration/degradation/drop in quality/(P)/
劣化ウラン [れっかウラン] /(n) depleted uranium/
劣化故障 [れっかこしょう] /(n) (comp) degradation failure/
劣角 [れっかく] /(n) minor angle/
劣弧 [れっこ] /(n) minor arc/
劣後債 [れつごさい] /(n) subordinated debt/
劣才 [れっさい] /(n) inferior talents/
劣者 [れっしゃ] /(n) an inferior/
劣弱 [れつじゃく] /(adj-na,n) inferiority/
劣弱意識 [れつじゃくいしき] /(n) inferiority complex/
劣情 [れつじょう] /(n) animal passions/carnal desire/lust/
劣勢 [れっせい] /(adj-na,n) numerical inferiority/(P)/
劣勢感 [れっせいかん] /(n) inferiority complex/
劣性 [れっせい] /(n) (1) recessiveness/(adj-no) (2) recessive/
劣性遺伝 [れっせいいでん] /(n) recessive heredity/
劣性遺伝形質 [れっせいいでんけいしつ] /(n) recessive trait/
劣性遺伝子 [れっせいいでんし] /(n) recessive (gene)/
劣性形質 [れっせいけいしつ] /(n) recessive trait/recessive character/
劣等 [れっとう] /(adj-na,n,adj-no) inferiority/low grade/
劣等感 [れっとうかん] /(n) inferiority complex/(P)/
劣等財 [れっとうざい] /(n) inferior goods/
劣等生 [れっとうせい] /(n) poor student/
劣等複合 [れっとうふくごう] /(n) inferiority complex/
劣敗 [れっぱい] /(n) defeat of the weaker/
烈しい [はげしい] /(adj-i) violent/vehement/intense/furious/tempestuous/
烈しい競争 [はげしいきょうそう] /(n) intense competition/hot competition/
烈火 [れっか] /(n) raging fire/conflagration/
烈士 [れっし] /(n) upright man/patriot/hero/
烈女 [れつじょ] /(n) heroine/
烈震 [れっしん] /(n) disastrous earthquake/(P)/
烈日 [れつじつ] /(n) blazing sun/scorching sun/hot day/
烈婦 [れっぷ] /(n) chaste, strong-minded woman/virtuous woman/heroine/
烈風 [れっぷう] /(n) gale/violent (strong) wind/
烈烈 [れつれつ] /(adj-na,n) fervent/fierce/violent/
裂く [さく] /(v5k,vt) (1) to tear/to rip up/(2) to cut up/to cleave/to cut open (esp. the abdomen)/(3) to forcibly separate (i.e. two lovers)/(4) (arch) to have a tattoo in the corner of one's eye/(P)/
裂ける [さける] /(v1,vi) to split/to tear/to burst/(P)/
裂け目 [さけめ] /(n) tear/rip/rent/slit/crack/chasm/rift/(P)/
裂れ痔 [きれじ] /(n) anal fistula/bleeding hemorrhoids/
裂果 [れっか] /(n) dehiscent fruit (fruit that opens when ripe, i.e. peas)/
裂開 [れっかい] /(n,vs) dehiscence/cleavage/fission/
裂開果 [れっかいか] /(n) dehiscent fruit (fruit that opens when ripe, i.e. pea pod)/
裂痔 [きれじ] /(n) anal fistula/bleeding hemorrhoids/
裂傷 [れっしょう] /(n) laceration/
裂創 [れっそう] /(n) laceration/
裂地 [きれじ] /(n) cloth/fabric/
裂目 [さけめ] /(io) (n) tear/rip/rent/slit/crack/chasm/rift/
裂帛 [れっぱく] /(n) (1) cutting through cloth/sound of cutting through cloth/(2) shrieking sound/woman's scream/loud scream/(3) cry of the lesser cuckoo (Cuculus poliocephalus)/
裂罅 [れっか] /(n) fissure/
裂肛 [れっこう] /(n) anal fissure/
廉 [かど] /(n) (uk) charge/grounds/suspicion/
廉 [れん] /(n,adj-na) (arch) cheap/inexpensive/
廉い [やすい] /(adj-i) (1) cheap/inexpensive/
廉価 [れんか] /(adj-na,n) low price/(P)/
廉価版 [れんかばん] /(n) popular edition/bargain priced edition/cheap edition/
廉価品 [れんかひん] /(n) low-priced goods/
廉潔 [れんけつ] /(adj-na,n) honest/incorruptible/integrity/
廉恥 [れんち] /(n) sense of honour (honor)/
廉恥心 [れんちしん] /(n) sense of honor/sense of honour/
廉直 [れんちょく] /(adj-na,n) integrity/uprightness/
廉売 [れんばい] /(n,vs) bargain sale/(P)/
恋 [こい] /(n) love/tender passion/(P)/
恋々として [れんれんとして] /(exp) fondly/longingly/
恋い初める [こいそめる] /(v1) to begin to love/
恋い焦がれる [こいこがれる] /(v1) to yearn for/to be deeply in love with/
恋い忍ぶ [こいしのぶ] /(v5b) to live on love/
恋い慕う [こいしたう] /(v5u,vt) to miss/to yearn for/
恋い暮らす [こいくらす] /(v5s) to live deeply in love/
恋い乱る [こいみだる] /(v5r) to be lovesick/
恋い佗びる [こいわびる] /(v1) to be lovesick/
恋い侘びる [こいわびる] /(v1) to be lovesick/
恋い籠る [こいこもる] /(v5r) to be deeply in love/
恋う [こう] /(v5u-s,vt) to love/
恋がたき [こいがたき] /(n) one's rival in love/
恋こがれる [こいこがれる] /(v1) to yearn for/to be deeply in love with/
恋しい [こいしい] /(adj-i) yearned for/longed for/missed/(P)/
恋しがる [こいしがる] /(v5r) to yearn for/to miss/
恋し鳥 [こいしどり] /(n) (obsc) lesser cuckoo (Cuculus poliocephalus)/
恋する [こいする] /(vs-s) to fall in love with/to love/(P)/
恋に上下の差別無し [こいにじょうげのさべつなし] /(exp) (id) Love makes men equal/
恋に落ちる [こいにおちる] /(exp,v1) to fall in love/
恋のさやあて [こいのさやあて] /(exp) rivalry for the heart of a woman/
恋の手管 [こいのてくだ] /(exp) wooing technique/the way to a man's (woman's) heart/
恋の鞘当て [こいのさやあて] /(exp) rivalry for the heart of a woman/
恋の悩み [こいのなやみ] /(n) pain of love/love troubles/
恋の病 [こいのやまい] /(n) lovesickness/
恋は思案の外 [こいはしあんのほか] /(exp) (id) Love is without reason/
恋は盲目 [こいはもうもく] /(exp) love is blind/
恋わずらい [こいわずらい] /(n,vs) lovesickness/
恋をする [こいをする] /(exp,vs-i) to fall in love/
恋バナ [こいバナ] /(n) (abbr) love story/
恋愛 [れんあい] /(n,vs,adj-no) love/love-making/passion/emotion/affections/(P)/
恋愛運 [れんあいうん] /(n) one's fate (fortune) as concerns love/
恋愛観 [れんあいかん] /(n) philosophy of love/
恋愛関係 [れんあいかんけい] /(n) love affair/love relationship/
恋愛結婚 [れんあいけっこん] /(n) love marriage/
恋愛指南 [れんあいしなん] /(n) instruction in the ways of love/
恋愛至上主義 [れんあいしじょうしゅぎ] /(n) love for love's sake/
恋愛小説 [れんあいしょうせつ] /(n) love romance/love story/romance/romance story/romantic fiction/
恋愛対象 [れんあいたいしょう] /(n) object of romantic interest/
恋愛遍歴 [れんあいへんれき] /(n) history of one's love affairs/
恋愛遊戯 [れんあいゆうぎ] /(n) trifling with love/
恋慰め [こいなぐさめ] /(n) comforting the lovelorn/
恋歌 [こいうた] /(n) (1) love song/love poem/(2) mating call (animals)/
恋歌 [こいか] /(n) (1) love song/love poem/(2) mating call (animals)/
恋歌 [れんか] /(n) (1) love song/love poem/(2) mating call (animals)/
恋河 [こいかわ] /(n) oceans of love/
恋患い [こいわずらい] /(n,vs) lovesickness/
恋仇 [こいがたき] /(n) one's rival in love/
恋妻 [こいづま] /(n) loving wife/
恋死 [こいじに] /(n,vs) dying of love/
恋女房 [こいにょうぼう] /(n) one's dear wife/
恋焦がれる [こいこがれる] /(v1) to yearn for/to be deeply in love with/
恋情 [こいなさけ] /(n) (1) love/attachment/(2) lovesickness/
恋情 [れんじょう] /(n) (1) love/attachment/(2) lovesickness/
恋心 [こいこころ] /(n) one's love/awakening of love/
恋心 [こいごころ] /(n) one's love/awakening of love/(P)/
恋人 [こいびと] /(n) lover/sweetheart/(P)/
恋人気分 [こいびときぶん] /(n) the feeling between (new) lovers/
恋人同士 [こいびとどうし] /(n) pair of lovers/girlfriend and boyfriend/
恋人同志 [こいびとどうし] /(n) pair of lovers/girlfriend and boyfriend/
恋水 [こいみず] /(n) tears of love/
恋盛り [こいざかり] /(n) lovesick period/
恋占い [こいうらない] /(n) love fortune-telling/
恋草 [こいぐさ] /(n) lovesickness/
恋着 [れんちゃく] /(n,vs) attachment/love/
恋仲 [こいなか] /(n) love/love relationship/
恋敵 [こいがたき] /(n) one's rival in love/
恋猫 [こいねこ] /(n) cats in season/haiku term for spring/
恋煩い [こいわずらい] /(n,vs) lovesickness/
恋疲れ [こいづかれ] /(n) haggard from love/
恋病 [こいやまい] /(n) lovesickness/
恋病 [こいやみ] /(n) lovesickness/
恋風 [こいかぜ] /(n) love's zephyr/
恋物語 [こいものがたり] /(n) love story/
恋文 [こいぶみ] /(n) love-letter/(P)/
恋慕 [れんぼ] /(n,vs) love/attachment/tender emotions/falling in love/
恋慕う [こいしたう] /(v5u,vt) to miss/to yearn for/
恋恋 [れんれん] /(adj-na,n) attached to/
恋恋として [れんれんとして] /(exp) fondly/longingly/
恋路 [こいじ] /(n) romance/love's pathway/
憐れ [あわれ] /(n) (1) pity/sorrow/grief/misery/compassion/pathos/(adj-na) (2) pitiable/pitiful/pathetic/miserable/(int) (3) alack/alas/
憐れみ [あわれみ] /(n) pity/compassion/
憐れむ [あわれむ] /(v5m,vt) (1) to commiserate/to pity/to have mercy on/to sympathize with/to sympathise with/
憐情 [れんじょう] /(n) compassion/pity/
憐愍 [れんびん] /(n) pity/compassion/mercy/
憐憫 [れんびん] /(n) pity/compassion/mercy/
漣 [さざなみ] /(n) (uk) ripple (on water)/wavelets/
漣音 [れんおん] /(n) mordent/
煉り紅 [ねりべに] /(n) muddy colored lipstick or rouge/
煉り歯磨き [ねりはみがき] /(n) toothpaste/
煉り上げる [ねりあげる] /(v1,vt) (1) to knead well/(2) to polish/to refine/
煉れる [ねれる] /(v1,vi) (1) to be well-kneaded/(2) to be seasoned/to be experienced/to be mature and well-rounded/
煉瓦 [れんが] /(n) brick/(P)/
煉瓦造り [れんがづくり] /(n) brickwork/
煉瓦塀 [れんがべい] /(n) brick wall/
煉獄 [れんごく] /(n,adj-no) purgatory/
煉歯磨 [ねりはみがき] /(n) toothpaste/
煉丹 [れんたん] /(n) elixir of life (prepared from cinnabar in ancient China)/
煉丹術 [れんたんじゅつ] /(n) alchemy/art of making elixirs/
煉炭 [れんたん] /(n) briquette (charcoal or coal)/
煉乳 [れんにゅう] /(n) condensed milk/
簾 [すだれ] /(n) (uk) bamboo screen/rattan blind/
簾貝 [すだれがい] /(n) (uk) Paphia euglypta (species of Venus clam)/
簾戸 [すど] /(n) bamboo door/door or screen made of fine bamboo strips, allowing air to pass through/
練り [ねり] /(n,n-suf) kneading/gloss/tempering/(P)/
練りからし [ねりからし] /(n) English mustard/
練りなおす [ねりなおす] /(v5s,vt) (1) to knead again/(2) to rework/to revise/to polish/
練り菓子 [ねりがし] /(n) Japanese sweets made of bean paste/
練り絹 [ねりぎぬ] /(n) glossy silk/
練り固める [ねりかためる] /(v1,vt) to harden by kneading/
練り紅 [ねりべに] /(n) muddy colored lipstick or rouge/
練り香 [ねりこう] /(n) round cake of incense, esp. used in koudou/pastille/
練り合せる [ねりあわせる] /(v1) to knead together/
練り合わせる [ねりあわせる] /(v1) to knead together/
練り糸 [ねりいと] /(n) glossy silk thread (made from raw silk treated in a solution to dissolve the sericin)/
練り歯磨き [ねりはみがき] /(n) toothpaste/
練り上げる [ねりあげる] /(v1,vt) (1) to knead well/(2) to polish/to refine/
練り辛し [ねりからし] /(n) English mustard/
練り製品 [ねりせいひん] /(n) boiled fish-paste products/
練り直す [ねりなおす] /(v5s,vt) (1) to knead again/(2) to rework/to revise/to polish/
練り物 [ねりもの] /(n) boiled fish-paste products/parade float/procession/
練り粉 [ねりこ] /(n) dough/
練り塀 [ねりべい] /(n) mud and tile wall topped with tile/
練り返す [ねりかえす] /(v5s) to knead again/to remix/
練り歩く [ねりあるく] /(v5k,vi) to parade/to march/
練り薬 [ねりぐすり] /(n) electuary/
練る [ねる] /(v5r,vt) (1) to knead/to work over/(2) to polish up (e.g. a plan)/(3) to drill/to train/(P)/
練れる [ねれる] /(v1,vi) (1) to be well-kneaded/(2) to be seasoned/to be experienced/to be mature and well-rounded/
練功 [れんこう] /(n) (MA) skills acquired through hard training/feats of practice (practise)/
練紅 [ねりべに] /(n) muddy colored lipstick or rouge/
練香 [ねりこう] /(n) round cake of incense, esp. used in koudou/pastille/
練糸 [ねりいと] /(n) glossy silk thread (made from raw silk treated in a solution to dissolve the sericin)/
練歯磨 [ねりはみがき] /(n) toothpaste/
練歯磨き [ねりはみがき] /(n) toothpaste/
練習 [れんしゅう] /(n,vs) practice/practise/(P)/
練習機 [れんしゅうき] /(n) trainer/training plane/
練習曲 [れんしゅうきょく] /(n) etude/
練習試合 [れんしゅうじあい] /(n) practice game/practise game/practice match/practise match/scrimmage/workout/
練習所 [れんしゅうじょ] /(n) training school or institute/
練習場 [れんしゅうじょう] /(n) practice ground/practise ground/
練習生 [れんしゅうせい] /(n) student/trainee/
練習船 [れんしゅうせん] /(n) school or training ship/
練習相手 [れんしゅうあいて] /(n) sparring partner/
練習帳 [れんしゅうちょう] /(n) exercise book/workbook/
練習不足 [れんしゅうぶそく] /(n,adj-no) lack of training/
練習問題 [れんしゅうもんだい] /(n) exercises/practice problem/practise problem/
練熟 [れんじゅく] /(n,vs) proficiency/skill/experience/
練上げる [ねりあげる] /(v1,vt) (1) to knead well/(2) to polish/to refine/
練成 [れんせい] /(n,vs) training/drilling/
練達 [れんたつ] /(n,vs) expert(ise)/skill/dexterity/
練達の士 [れんたつのし] /(n) expert/skilled hand/
練炭 [れんたん] /(n) briquette (charcoal or coal)/
練直す [ねりなおす] /(v5s,vt) (1) to knead again/(2) to rework/to revise/to polish/
練鉄 [れんてつ] /(n,adj-no) wrought iron/
練乳 [れんにゅう] /(n) condensed milk/
練馬大根 [ねりまだいこん] /(n) (1) variety of daikon/(2) woman's fat legs/
練兵 [れんぺい] /(n) military drill/
練兵場 [れんぺいじょう] /(n) parade ground/
練塀 [ねりべい] /(n) wall built with kneaded mud in between tiles or stones/
練歩く [ねりあるく] /(v5k,vi) to parade/to march/
練磨 [れんま] /(n,vs) training/practice/practise/cultivation/
聯句 [れんく] /(n) linked verse/couplet/
聯繋 [れんけい] /(n,vs) connection/linking/linkage/link/
聯合 [れんごう] /(oK) (n,vs,adj-no) (1) union/alliance/combination/(n) (2) RENGO (Japanese Trade Union Confederation)/
聯珠 [れんじゅ] /(n) variant of gobang (game)/
聯想 [れんそう] /(n,vs,adj-no) association (of ideas)/being reminded (of something)/suggestion/
聯隊 [れんたい] /(n,adj-no) regiment/
聯邦 [れんぽう] /(n,adj-no) commonwealth/federation of states/confederation/union/
聯盟 [れんめい] /(n,adj-no) league/federation/union/alliance/
聯絡 [れんらく] /(vs,adj-no) (1) to contact/to get in touch/(n) (2) contacting/getting in touch/communication/call/message/(3) connection/coordination/junction/(adj-no) (4) intercalary/intercalaris/internuncial/
聯立 [れんりつ] /(n,vs,adj-no) alliance/coalition/
聯亙 [れんこう] /(n,vs) (arch) extending in a row/
蓮 [はす] /(n) (1) (uk) sacred lotus (Nelumbo nucifera)/Indian lotus/lotus/(P)/
蓮 [はちす] /(ok) (n) (1) (uk) sacred lotus (Nelumbo nucifera)/Indian lotus/lotus/(2) rose of Sharon (Hibiscus syriacus)/
蓮っ葉 [はすっぱ] /(adj-na,n) vulgar/wanton/
蓮の藕 [はちすのはい] /(n) (arch) lotus root/
蓮芋 [はすいも] /(n) (uk) giant elephant ear (species of taro, Colocasia gigantea)/
蓮花 [れんげ] /(n) (1) lotus flower/(2) (abbr) Chinese milk vetch (Astragalus sinicus)/(3) (abbr) china spoon/(4) lotus-shaped pedestal for a gravestone/
蓮華 [れんげ] /(n) (1) lotus flower/(2) (abbr) Chinese milk vetch (Astragalus sinicus)/(3) (abbr) china spoon/(4) lotus-shaped pedestal for a gravestone/
蓮華座 [れんげざ] /(n) lotus seat (under Buddha's statue)/
蓮華升麻 [れんげしょうま] /(n) (uk) false anemone (Anemonopsis macrophylla)/
蓮華草 [れんげそう] /(n) Chinese milk vetch (Astragalus sinicus)/
蓮華躑躅 [れんげつつじ] /(n) (uk) Japanese azalea (Rhododendron japonicum)/renge azalea/
蓮月尼 [れんげつに] /(n) name of a famous Buddhist nun/
蓮見白 [はすみしろ] /(n) hasumijiro camelia/hasumishiro camelia/Camellia japonica var./
蓮見白 [はすみじろ] /(n) hasumijiro camelia/hasumishiro camelia/Camellia japonica var./
蓮根 [はすね] /(n) lotus root/
蓮根 [れんこん] /(n) lotus root/
蓮根掘る [はすねほる] /(exp,v5r) (arch) to dig up lotus roots/
蓮台 [れんだい] /(n) lotus-shaped pedestal for images of the Buddha/
蓮池 [はすいけ] /(n) lotus pond/
蓮池 [れんち] /(n) lotus pond/
連 [むらじ] /(n) (arch) Muraji (hereditary title; orig. one of the two highest such titles, later demoted to seventh highest of eight)/
連 [れん] /(n) (1) ream (of paper)/(2) stanza/verse/(3) (taxonomical) tribe/party/company/group/(4) (abbr) quinella/quiniela/
連なり [つらなり] /(n) series (of something)/range (e.g. of mountains)/
連なる [つらなる] /(v5r,vi) to extend/to stretch out/to stand in a row/(P)/
連ねる [つらねる] /(v1,vt) to link/to join/to put together/(P)/
連ぱつ [れんぱつ] /(n,vs) running continuously/firing in rapid succession/
連む [つるむ] /(v5m,vi) to go with (a companion)/to hang out with/
連れ [つれ] /(n,vs) companion/company/(P)/
連れしょん [つれしょん] /(n,vs) (vulg) (abbr) going to the bathroom in a group/going off to urinate together/
連れて [つれて] /(conj,exp) as/in proportion to/
連れていく [つれていく] /(v5k-s) to take someone (of lower status) along/
連れてくる [つれてくる] /(vk) to bring someone along/
連れて行く [つれていく] /(v5k-s) to take someone (of lower status) along/(P)/
連れて来る [つれてくる] /(vk) to bring someone along/(P)/
連れる [つれる] /(v1) to lead/to take (a person)/(P)/
連れション [つれション] /(n,vs) (vulg) (abbr) going to the bathroom in a group/going off to urinate together/
連れ帰る [つれかえる] /(v5r) to bring (someone) back home/to take (someone) back home/
連れ去り [つれさり] /(n) kidnapping/
連れ去る [つれさる] /(v5r) to take away/to kidnap/(P)/
連れ合い [つれあい] /(n) one's husband/one's wife/
連れ込み [つれこみ] /(n) taking one's lover to a hotel/
連れ込み宿 [つれこみやど] /(n) traditional love hotel/traditional Japanese inn specially for couples/
連れ込み旅館 [つれこみりょかん] /(n) traditional love hotel/traditional Japanese inn specially for couples/
連れ込む [つれこむ] /(v5m,vt) to bring (somebody into a place)/
連れ子 [つれこ] /(n) child from previous marriage/child brought by a second spouse/
連れ出す [つれだす] /(v5s,vt) to take out/
連れ小便 [つれしょうべん] /(n) going off to urinate together/
連れ添う [つれそう] /(v5u,vi) to become a couple/to be man and wife/to be married to/
連れ舞 [つれまい] /(n) dance done by two persons or more/
連れ歩く [つれあるく] /(v5k) (1) to walk with/to make someone tag along/(2) to carry around (esp. a child)/to carry about/
連れ戻す [つれもどす] /(v5s) to bring back/
連れ立つ [つれだつ] /(v5t,vi) to accompany/to go with/to go together/
連ドラ [れんドラ] /(n) (abbr) drama serial/
連音 [れんおん] /(n) (1) (ling) liaison/(2) trill/
連架 [れんか] /(n) row of racks (coined word)/
連歌 [れんが] /(n) early Japanese poetry form/poetic dialogue/
連歌師 [れんがし] /(n) renga poet/
連火 [れんが] /(n) kanji "fire" radical at bottom/
連画 [れんが] /(n) (abbr) sequential art or pictures (type of printed, graphic storytelling, differentiated from manga by its liberal use of page space, often only one panel per page, and sparing use of dialogue)/
連関 [れんかん] /(n,vs) connection/relation/linkage/(P)/
連記 [れんき] /(n,vs) multiple entry/listing/
連記投票 [れんきとうひょう] /(n) secret balloting with multiple entries/
連休 [れんきゅう] /(n) consecutive holidays/(P)/
連休明け [れんきゅうあけ] /(n) end of consecutive holidays/
連去る [つれさる] /(v5r) to take away/to kidnap/
連玉 [れだま] /(ateji) (n) (uk) Spanish broom (Spartium junceum) (spa: retama)/
連吟 [れんぎん] /(n,vs) duet/
連句 [れんく] /(n) linked verse/couplet/
連係 [れんけい] /(n,vs) connection/linking/linkage/link/(P)/
連係プレー [れんけいプレー] /(n) good teamwork play (baseball)/(P)/
連係編集 [れんけいへんしゅう] /(n) (comp) linkage editing/
連係編集プログラム [れんけいへんしゅうプログラム] /(n) (comp) linker/linking program/
連携 [れんけい] /(n,vs) cooperation/coordination/link/(P)/
連繋 [れんけい] /(n,vs) connection/linking/linkage/link/
連結 [れんけつ] /(n,vs,adj-na,adj-no) concatenation/coupling/connection/linking/consolidation (e.g. of company accounts)/(P)/
連結リスト [れんけつリスト] /(n) (comp) chained list/linked list/
連結リスト探索 [れんけつリストたんさく] /(n) (comp) chained list search/
連結演算子 [れんけつえんざんし] /(n) (comp) concatenation operator/
連結器 [れんけつき] /(n) connector/coupler/
連結型宣言 [れんけつがたせんげん] /(n) (comp) link type declaration/
連結型宣言部分集合 [れんけつがたせんげんぶぶんしゅうごう] /(n) (comp) link type declaration subset/
連結決算 [れんけつけっさん] /(n) consolidated balance sheet/
連結子会社 [れんけつこがいしゃ] /(n) consolidated subsidiary/
連結詞 [れんけつし] /(n) (ling) copula/connective/
連結事業 [れんけつじぎょう] /(n) consolidated operations/
連結式 [れんけつしき] /(n) (comp) concatenation expression/
連結集合 [れんけつしゅうごう] /(n) (comp) link set/
連結集合宣言 [れんけつしゅうごうせんげん] /(n) (comp) link set declaration/
連結純利益 [れんけつじゅんりえき] /(n) consolidated net profit/
連結処理 [れんけつしょり] /(n) (comp) link process/
連結処理の連鎖 [れんけつしょりのれんさ] /(n) (comp) chain of link processes/
連結処理定義 [れんけつしょりていぎ] /(n) (comp) link process definition/
連結性 [れんけつせい] /(n) (comp) connectivity/
連結操作 [れんけつそうさ] /(n) (comp) linked-operations/
連結属性 [れんけつぞくせい] /(n) (comp) link attribute/
連結網 [れんけつもう] /(n) (comp) web/
連結網表示 [れんけつもうひょうじ] /(n) (comp) view/
連結利益 [れんけつりえき] /(n) consolidated profit/
連言 [れんごん] /(n) (comp) (logical) conjunction/
連呼 [れんこ] /(n,vs) calling repeatedly/
連語 [れんご] /(n) compound word/phrase/collocation/
連行 [れんこう] /(n,vs) taking (a suspect to the police)/(P)/
連衡 [れんこう] /(n,vs) alliance (esp. originally of individual member states of the Six Kingdoms with the Qin dynasty)/
連合 [れんごう] /(n,vs,adj-no) (1) union/alliance/combination/(n) (2) RENGO (Japanese Trade Union Confederation)/(P)/
連合王国 [れんごうおうこく] /(n) the United Kingdom/
連合会 [れんごうかい] /(n) association/federation/(P)/
連合艦隊 [れんごうかんたい] /(n) combined fleet/
連合軍 [れんごうぐん] /(n) (WWII) the Allies/allied forces/
連合国 [れんごうこく] /(n) allied nations/(WW II) the Allies/
連合国軍最高司令官総司令部 [れんごうこくぐんさいこうしれいかんそうしれいぶ] /(n) General Headquarters (office of the Supreme Commander of the Allied Powers)/GHQ/
連合作戦 [れんごうさくせん] /(n) combined operation/
連合心理学 [れんごうしんりがく] /(n) association psychology/
連合政権 [れんごうせいけん] /(n) coalition government/
連合赤軍 [れんごうせきぐん] /(n) Coalition Red Army (defunct Japanese armed militant group)/
連合体 [れんごうたい] /(n) federation/
連合野 [れんごうや] /(n) association area/
連込み [つれこみ] /(n) taking one's lover to a hotel/
連込み宿 [つれこみやど] /(n) traditional love hotel/traditional Japanese inn specially for couples/
連鎖 [れんさ] /(n,vs) (1) chain/chaining/catena/connection/(2) (genetic) linkage/(P)/
連鎖シーケンス [れんさシーケンス] /(n) (comp) chained sequence/
連鎖リスト [れんさリスト] /(n) (comp) chained list/linked list/
連鎖リスト探索 [れんさリストたんさく] /(n) (comp) chained list search/
連鎖球菌 [れんさきゅうきん] /(n,adj-no) streptococcus/
連鎖球菌性咽頭炎 [れんさきゅうきんせいいんとうえん] /(n) streptococcal throat infection/strep throat/
連鎖群 [れんさぐん] /(n) linkage group (genetics)/
連鎖状球菌 [れんさじょうきゅうきん] /(n) streptococcus/
連鎖店 [れんさてん] /(n) chain store/
連鎖倒産 [れんさとうさん] /(n) chain-reaction bankruptcy/chain bankruptcy/
連鎖反応 [れんさはんのう] /(n) chain reaction/
連鎖不平衡 [れんさふへいこう] /(n) linkage disequilibrium/
連坐 [れんざ] /(n,vs) implicated (involved) in (a crime)/
連座 [れんざ] /(n,vs) implicated (involved) in (a crime)/(P)/
連座制 [れんざせい] /(n) system of guilt by association (especially that of Japanese election law, which stipulates that an elected official may lose his position if someone in his campaign commits a crime)/
連載 [れんさい] /(n,vs,adj-no) serialization/serialisation/serial story/(P)/
連載小説 [れんさいしょうせつ] /(n) serial/serialized novel/serialised novel/
連作 [れんさく] /(n,vs) (1) planting a field with the same crop each year/repeated cultivation/(2) collaborative literary work/story made up by several writers working on it in turn/(P)/
連刷 [れんさつ] /(n,adj-no) se-tenant/
連山 [れんざん] /(n) (1) mountain range/(2) Lian Shan (Xia period method of Chinese divination)/
連子 [つれこ] /(n) child from previous marriage/child brought by a second spouse/
連子 [れんじ] /(n) latticework/
連子窓 [れんじまど] /(n) lattice window/
連枝 [れんし] /(n) off-shoot/noble (family) sibling/
連辞 [れんじ] /(n) copula/
連辞関係 [れんじかんけい] /(n) (ling) syntagmatic relation/
連写 [れんしゃ] /(n,vs) continuous shooting (photography)/consecutive shooting/rapid shooting/
連写速度 [れんしゃそくど] /(n) continuous shooting speed (photo)/
連射 [れんしゃ] /(n,vs) rapid-fire/
連珠 [れんじゅ] /(n) variant of gobang (game)/
連珠形 [れんじゅけい] /(n) (math) lemniscate/
連珠毛 [れんじゅもう] /(n) monilethrix (medical)/moniliform hair/beaded hair/
連署 [れんしょ] /(n,vs,adj-no) joint signature/
連勝 [れんしょう] /(n,vs) consecutive victories/series of victories/(P)/
連勝式 [れんしょうしき] /(n) quinella/quiniela/
連勝複式 [れんしょうふくしき] /(n) quinella (dual forecast)/
連小便 [つれしょうべん] /(n) going off to urinate together/
連星 [れんせい] /(n) binary star/
連声 [れんじょう] /(n) type of liaison of consonants in a word/
連接 [れんせつ] /(n,vs,adj-no) (1) connection/(2) link (on a web page)/
連接的 [れんせつてき] /(adj-na) (math) coherent/
連節バス [れんせつバス] /(n) articulated bus/bendy bus/
連戦 [れんせん] /(n,vs) series of battles/(P)/
連戦連勝 [れんせんれんしょう] /(n,vs) succession of victories/
連戦連敗 [れんせんれんぱい] /(n) succession of defeats/
連銭葦毛 [れんぜんあしげ] /(n,adj-no) dapple gray (horse coat color)/dapple grey/
連奏 [れんそう] /(n,vs) performance by two or more musicians playing similar instruments/
連想 [れんそう] /(n,vs,adj-no) association (of ideas)/being reminded (of something)/suggestion/(P)/
連想関係 [れんそうかんけい] /(n) (comp) associative relation/
連想記憶装置 [れんそうきおくそうち] /(n) (comp) associative storage/content addressable storage/
連想検査 [れんそうけんさ] /(n) association test/
連想検索 [れんそうけんさく] /(n) (comp) associative retrieval/
連想配列 [れんそうはいれつ] /(n) (comp) associative array/
連荘 [れんちゃん] /(n) extended game/
連続 [れんぞく] /(n,vs) serial/consecutive/continuity/occurring in succession/continuing/(P)/
連続スペクトル [れんぞくスペクトル] /(n) continuous spectrum/
連続ドラマ [れんぞくドラマ] /(n) drama serial/
連続画像 [れんぞくがぞう] /(n) sequential art or pictures (type of printed, graphic storytelling, differentiated from manga by its liberal use of page space, often only one panel per page, and sparing use of dialogue)/
連続関係 [れんぞくかんけい] /(n) (comp) consecutive relation/
連続関数 [れんぞくかんすう] /(n) continuous function/
連続項目 [れんぞくこうもく] /(n) (comp) contiguous items/
連続撮影 [れんぞくさつえい] /(n) continuous shooting (camera)/
連続殺人 [れんぞくさつじん] /(n) serial murders/
連続殺人犯 [れんぞくさつじんはん] /(n) serial killer/
連続紙 [れんぞくし] /(n) (comp) continuous forms/continuous forms paper/
連続写真 [れんぞくしゃしん] /(n) sequence photographs/serial photographs/photographic strip/
連続性 [れんぞくせい] /(n) (math) continuity/
連続体 [れんぞくたい] /(n) continuum/continua/
連続鋳造 [れんぞくちゅうぞう] /(n) continuous casting/
連続帳票 [れんぞくちょうひょう] /(n) (comp) continuous form/
連続発生 [れんぞくはっせい] /(n) consecutive occurrences/
連続分布 [れんぞくぶんぷ] /(n) (comp) continuous distribution/
連続放火 [れんぞくほうか] /(n) a series of arson cases/
連続優勝 [れんぞくゆうしょう] /(n) consecutive tournament victories (sumo)/
連続用紙 [れんぞくようし] /(n,adj-no) (comp) continuous-feed paper/fan-fold paper/
連打 [れんだ] /(n,vs) barrage/(P)/
連体形 [れんたいけい] /(n) (ling) participle adjective/attributive form/
連体詞 [れんたいし] /(n) (ling) pre-noun adjectival/adnominal adjective/
連体修飾語 [れんたいしゅうしょくご] /(n) (ling) modifier of a non-inflectable word/
連帯 [れんたい] /(n,vs,adj-no) (1) solidarity/collective/(adj-no) (2) joint/(P)/
連帯感 [れんたいかん] /(n) feeling of solidarity/
連帯債務 [れんたいさいむ] /(n) joint liability/
連帯責任 [れんたいせきにん] /(n) collective responsibility/joint liability/
連帯保証 [れんたいほしょう] /(n) joint liability on guarantee/
連帯保証人 [れんたいほしょうにん] /(n) co-endorser/co-signer/co-maker/
連隊 [れんたい] /(n,adj-no) regiment/(P)/
連隊旗 [れんたいき] /(n) regimental colors/regimental colours/
連隊長 [れんたいちょう] /(n) regimental commander/
連濁 [れんだく] /(n) euphonic change of unvoiced to voiced sound (on the first consonant of the non-initial mora of a compound)/
連弾 [れんだん] /(n,vs,adj-no) four handed performance (on the piano)/
連中 [れんじゅう] /(n) colleagues/company/a lot/those guys (slightly impolite)/
連中 [れんちゅう] /(n) colleagues/company/a lot/those guys (slightly impolite)/(P)/
連投 [れんとう] /(n,vs) pitching in consecutive games/(P)/
連動 [れんどう] /(n,vs) (1) operating together/working together/gearing/linkage/(adj-f) (2) linked/coupled/interlocking/(P)/
連動機 [れんどうき] /(n) a clutch/
連動性 [れんどうせい] /(n) linkage/interrelation/relationship/
連日 [れんじつ] /(n-adv,n-t) every day/prolonged/(P)/
連日連夜 [れんじつれんや] /(n-t) every day and every night/
連年 [れんねん] /(n-t) every year/year after year/
連覇 [れんぱ] /(n,vs) successive championships/(P)/
連破 [れんぱ] /(n,vs) winning successively/defeating one's enemy in succession/
連敗 [れんぱい] /(n,vs) consecutive defeats/series of defeats/(P)/
連発 [れんぱつ] /(n,vs) running continuously/firing in rapid succession/(P)/
連発銃 [れんぱつじゅう] /(n) repeating firearm/a repeater/
連判 [れんばん] /(n,vs) joint seal or signature/
連判 [れんぱん] /(n,vs) joint seal or signature/
連判状 [れんばんじょう] /(n) jointly sealed covenant/
連番 [れんばん] /(n,adj-no) serial number/
連舞 [つれまい] /(n) dance done by two persons or more/
連分数 [れんぶんすう] /(n) continued fraction/
連文節変換 [れんぶんせつへんかん] /(n) (comp) group paragraph conversion/
連峰 [れんぽう] /(n) mountain range/(P)/
連峯 [れんぽう] /(n) mountain range/
連邦 [れんぽう] /(n,adj-no) commonwealth/federation of states/confederation/union/(P)/
連邦王国 [れんぽうおうこく] /(n) United Kingdom/UK/
連邦議会 [れんぽうぎかい] /(n) federal parliament/(German) Bundestag/
連邦警察 [れんぽうけいさつ] /(n) federal police (US, Brazil, Australia, etc.)/
連邦航空管理局 [れんぽうこうくうかんりきょく] /(n) Federal Aviation Administration/FAA/
連邦国家 [れんぽうこっか] /(n) federation/
連邦参議院 [れんぽうさんぎいん] /(n) Bundesrat (lower house of the German parliament)/
連邦取引委員会 [れんぽうとりひきいいんかい] /(n) Federal Trade Commission (USA)/FTC/
連邦首相 [れんぽうしゅしょう] /(n) federal chancellor/
連邦準備銀行 [れんぽうじゅんびぎんこう] /(n) Federal Reserve Bank (USA)/
連邦準備制度 [れんぽうじゅんびせいど] /(n) (US) Federal Reserve System/
連邦制 [れんぽうせい] /(n) federal system/
連邦制度 [れんぽうせいど] /(n) federalism/
連邦政府 [れんぽうせいふ] /(n,adj-no) federal government (e.g. USA, Australia, Mexico, Germany, Canada)/
連邦政府裁判所 [れんぽうせいふさいばんしょ] /(n) federal court (US)/
連邦赤字 [れんぽうあかじ] /(n) federal (budget) deficit/
連邦捜査局 [れんぽうそうさきょく] /(n) Federal Bureau of Investigation/FBI/
連邦大統領 [れんぽうだいとうりょう] /(n) federal president (e.g. in Germany)/
連邦通信委員会 [れんぼうつうしんいいんかい] /(n) (comp) Federal Communications Commission (USA)/FCC/
連邦通信協会 [れんぽうつうしんきょうかい] /(n) (comp) Federal Communications Commission/FCC/
連邦当局 [れんぽうとうきょく] /(n) federal authorities/
連邦貿易委員会 [れんぽうぼうえきいいんかい] /(n) Federal Trade Commission/FTC/
連邦予算 [れんぽうよさん] /(n) federal budget/
連名 [れんめい] /(n) joint signature/(P)/
連盟 [れんめい] /(n,adj-no) league/federation/union/alliance/(P)/
連綿 [れんめん] /(adj-t,adv-to) unbroken/uninterrupted/on and on/continuous/
連綿不断 [れんめんふだん] /(n,adj-no) long and uninterrupted (unbroken)/
連夜 [れんや] /(n-t) every evening/night after night/
連用 [れんよう] /(n,vs) continuous use/(P)/
連用形 [れんようけい] /(n) (ling) conjunctive form/continuative form/
連用修飾語 [れんようしゅうしょくご] /(n) (ling) modifier of an inflectable word/
連絡 [れんらく] /(vs,adj-no) (1) to contact/to get in touch/(n) (2) contacting/getting in touch/communication/call/message/(3) connection/coordination/junction/(adj-no) (4) intercalary/intercalaris/internuncial/(P)/
連絡がつく [れんらくがつく] /(exp,v5k) to make contact/
連絡がとれる [れんらくがとれる] /(exp,v1) to (be able to) make contact/to (be able to) get in touch/
連絡が取れる [れんらくがとれる] /(exp,v1) to (be able to) make contact/to (be able to) get in touch/
連絡が付く [れんらくがつく] /(exp,v5k) to make contact/
連絡を取り合う [れんらくをとりあう] /(exp,v5u) to keep in contact (e.g. by phone, mail, etc.)/to keep in touch/
連絡を取る [れんらくをとる] /(exp,v5r) to get in touch with/
連絡を絶つ [れんらくをたつ] /(exp,v5t) to lose contact with (someone)/to stop communication with/to go missing/to disappear/
連絡駅 [れんらくえき] /(n) connecting station/station where you change/
連絡会 [れんらくかい] /(n) liaison group/
連絡会議 [れんらくかいぎ] /(n) liaison conference/
連絡事項 [れんらくじこう] /(n) message/informative matter/
連絡切符 [れんらくきっぷ] /(n) connection (interline) ticket/
連絡節 [れんらくせつ] /(n) (comp) linkage section/
連絡先 [れんらくさき] /(n) contact address/
連絡線 [れんらくせん] /(n) connecting line/
連絡船 [れんらくせん] /(n) ferry/ferryboat/
連絡通路 [れんらくつうろ] /(n) accessway/passageway/walk-through/
連絡盤 [れんらくばん] /(n) bus tie (electrical)/
連絡網 [れんらくもう] /(n) network/
連理 [れんり] /(n) (1) trees with entwined branches/(2) intimate male and female relationship/
連理の松 [れんりのまつ] /(n) pines with entwined branches/
連理草 [れんりそう] /(n) (uk) Lathyrus quinquenervius (species of vetchling)/
連立 [れんりつ] /(n,vs,adj-no) alliance/coalition/(P)/
連立つ [つれだつ] /(v5t,vi) to accompany/to go with/to go together/
連立政権 [れんりつせいけん] /(n) coalition government/
連立内閣 [れんりつないかく] /(n) coalition cabinet/coalition government/
連立不等式 [れんりつふとうしき] /(n) simultaneous inequalities/
連立方程式 [れんりつほうていしき] /(n) simultaneous equations/
連立野党 [れんりつやとう] /(n) opposition coalition party/
連立与党 [れんりつよとう] /(n) ruling coalition party/
連量 [れんりょう] /(n) weight of 1000 sheets of paper/ream weight/
連累 [れんるい] /(n,vs) complicity/implication/involvement/
連亘 [れんこう] /(n,vs) (arch) extending in a row/
連枷 [からさお] /(n) flail (for threshing grain)/
連枷 [からざお] /(n) flail (for threshing grain)/
連翹 [れんぎょう] /(n) weeping forsythia (Forsythiae fructus, Forsythia suspensa)/weeping golden bell/
錬り上げる [ねりあげる] /(v1,vt) (1) to knead well/(2) to polish/to refine/
錬れる [ねれる] /(v1,vi) (1) to be well-kneaded/(2) to be seasoned/to be experienced/to be mature and well-rounded/
錬金術 [れんきんじゅつ] /(n) (1) alchemy/(2) making big money (implied, by dubious means)/(P)/
錬金術師 [れんきんじゅつし] /(n) alchemist/
錬鋼 [れんこう] /(n) wrought steel/
錬成 [れんせい] /(n,vs) training/drilling/
錬鉄 [れんてつ] /(n,adj-no) wrought iron/
錬磨 [れんま] /(n,vs) training/practice/practise/cultivation/
呂 [りょ] /(n) (1) (abbr) bass range (in Japanese music)/(2) six even-numbered notes of the ancient chromatic scale/(3) Japanese seven-tone gagaku scaleimilar to Mixolydian mode (corresponding to: re, mi, fa, so, la, ti, do)/
呂旋 [りょせん] /(n) Japanese seven-tone gagaku scale (corresponding to: so, la, ti, do, re, mi, fa), similar to Mixolydian mode/
呂旋法 [りょせんぽう] /(n) Japanese seven-tone gagaku scale (corresponding to: so, la, ti, do, re, mi, fa), similar to Mixolydian mode/
呂律 [ろれつ] /(n) articulation/
呂律が回らない [ろれつがまわらない] /(exp,adj-i) speaking inarticulately (slurring, lisping, etc.)/
魯魚の誤り [ろぎょのあやまり] /(n) miswriting a word/using the wrong kanji to write a word/
魯国 [ろこく] /(n) Russia/
魯鈍 [ろどん] /(n) imbecility/stupidity/
櫓 [やぐら] /(n) (1) turret/watchtower/(2) high wooden stage/scaffolding/(3) wooden frame (of a kotatsu)/(4) (arch) weapons storehouse/
櫓 [ろ] /(n) Japanese scull (oar attached to the rear of the boat by a traditional peg-in-hole oarlock)/
櫓杭 [ろぐい] /(n) fulcrum peg (fitted into the cavity in an oar as part of a traditional oarlock)/
櫓太鼓 [やぐらだいこ] /(n) drums which announce the opening of a stage performance or commencement of sumo bouts/the sound produced by such drums/
櫓投げ [やぐらなげ] /(n) inner thigh throw (sumo)/
櫓櫂 [ろかい] /(n) (obsc) sculls and paddles/
櫓臍 [ろべそ] /(n) (obsc) fulcrum peg (fitted into the cavity in an oar as part of a traditional oarlock)/
炉 [ろ] /(n) (1) hearth/fireplace/(2) furnace/kiln/
炉を囲む [ろをかこむ] /(exp,v5m) to sit around the fire/
炉床 [ろしょう] /(n) hearth/
炉心 [ろしん] /(n) nuclear reactor core/(P)/
炉心溶融 [ろしんようゆう] /(n) core meltdown/meltdown/nuclear reactor core meltdown/
炉心熔融 [ろしんようゆう] /(n) core meltdown/meltdown/nuclear reactor core meltdown/
炉棚 [ろだな] /(n) mantelpiece/
炉端 [ろばた] /(n) fireside/hearth/by the fire/
炉端焼き [ろばたやき] /(n) food cooked on a grill/
炉辺 [ろへん] /(n) fireside/
炉辺談話 [ろへんだんわ] /(n) fireside chat/
賂 [まいない] /(n) bribe/
賂い [まいない] /(n) bribe/
路 [じ] /(suf) (1) route/road/(2) distance travelled in a day/(3) (with decade) one's ..../age ..../
路 [ち] /(n) (1) (arch) way/road/(n-suf) (2) way to .../road to .../
路 [ぢ] /(n) (1) (arch) way/road/(n-suf) (2) way to .../road to .../
路 [みち] /(n) (1) road/street/way/path/course/route/lane/(2) distance/ways (e.g. "a long ways")/(3) the way (of proper conduct, etc.)/one's way/morals/(4) teachings (esp. Confucian or Buddhist)/dogma/(5) field (of medicine, etc.)/subject/(6) way/method/means/
路チュー [ろチュー] /(n) (obsc) (sl) kissing in public (on the street)/
路加 [るか] /(n) St Luke/
路銀 [ろぎん] /(n) traveling expenses/travelling expenses/
路肩 [ろかた] /(n) shoulder of a road/berm/
路肩 [ろけん] /(n) shoulder of a road/berm/
路床 [ろしょう] /(n,adj-no) roadbed/
路上 [ろじょう] /(n) (on the) road/(on the) way/(P)/
路上強盗 [ろじょうごうとう] /(n) mugging/mugger/
路上生活 [ろじょうせいかつ] /(n,vs) living on the street/life on the streets/homelessness/
路上生活者 [ろじょうせいかつしゃ] /(n) homeless people (living on the street)/
路上駐車 [ろじょうちゅうしゃ] /(n) parking on the streets/on-street parking/
路上犯罪 [ろじょうはんざい] /(n) street crime/
路線 [ろせん] /(n) route/line/alignment/(P)/
路線に沿って [ろせんにそって] /(exp) along the route (line)/
路線図 [ろせんず] /(n) route map (buses and trains, etc.)/
路線転換 [ろせんてんかん] /(n,vs) policy change (reversal)/
路線変更 [ろせんへんこう] /(n,vs) (1) change in a bus route/(2) change in policy/policy change (reversal)/
路地 [ろじ] /(n) (1) alley/alleyway/lane/(2) teahouse garden/(3) path through a gate (or through a garden, etc.)/(P)/
路地口 [ろじぐち] /(n) alley entrance/
路地裏 [ろじうら] /(n,adj-no) back street/back alley/off-street/
路駐 [ろちゅう] /(n) (abbr) parking on the streets/on-street parking/
路程 [ろてい] /(n) distance/
路頭 [ろとう] /(n) roadside/wayside/
路頭に迷う [ろとうにまよう] /(exp,v5u) to be adrift in the streets/to be out in the cold/
路導 [みちおしえ] /(n) (uk) (col) tiger beetle (esp. the Japanese tiger beetle, Cicindela japonica)/
路盤 [ろばん] /(n) roadbed/
路標 [ろひょう] /(n) road sign/
路傍 [ろぼう] /(n) roadside/
路傍の人 [ろぼうのひと] /(exp) utter stranger/mere passerby/outsider/
路面 [ろめん] /(n) road surface/(P)/
路面電車 [ろめんでんしゃ] /(n) tram/streetcar/trolley/tramcar/
路面凍結 [ろめんとうけつ] /(n) road surface freezing/
路用 [ろよう] /(n) travelling expenses/traveling expenses/
露 [あらわ] /(adj-na) (1) exposed/scanty/bare/unconcealed/naked/(2) public/open/
露 [つゆ] /(adv,n) dew/(P)/
露 [ろ] /(n) (abbr) Russia/
露に [あらわに] /(adv) (uk) openly/publicly/frankly/expressly/overtly/
露にする [あらわにする] /(exp,vs-i) to lay bare/to expose/to reveal/
露に濡れた [つゆにぬれた] /(adj-f) wet with dew/dewy/
露の間 [つゆのま] /(adj-na) instant/
露の宿 [つゆのやど] /(n) (arch) house covered with dew/place covered with dew/
露の宿り [つゆのやどり] /(n) (arch) house covered with dew/place covered with dew/
露の命 [つゆのいのち] /(n) life as evanescent as the dew/
露ばかり [つゆばかり] /(adv,adj-no) small amount/just a bit/
露わ [あらわ] /(io) (adj-na) (1) exposed/scanty/bare/unconcealed/naked/(2) public/open/
露わに [あらわに] /(adv) (uk) openly/publicly/frankly/expressly/overtly/
露わにする [あらわにする] /(exp,vs-i) to lay bare/to expose/to reveal/
露を宿した葉 [つゆをやどしたは] /(exp) leaf heavy with dew/
露悪 [ろあく] /(n) boasting of one's faults/
露悪趣味 [ろあくしゅみ] /(n) being apt to make a show of one's faults/penchant for boasting of one's faults/pretending to be worse than one really is/
露営 [ろえい] /(n,vs) bivouac/
露華 [ろか] /(n) beautiful dew/comparing the beauty of dew to that of a flower/
露兜樹 [たこのき] /(n) (uk) Pandanus boninensis (species of shrub)/
露寒 [つゆさむ] /(n) cold at the end of autumn/
露寒 [つゆざむ] /(n) cold at the end of autumn/
露許り [つゆばかり] /(adv,adj-no) small amount/just a bit/
露菌病 [べとびょう] /(n) downy mildew (disease)/
露菌病 [ろきんびょう] /(n) downy mildew (disease)/
露見 [ろけん] /(n,vs) discovery/detection/exposure/
露顕 [ろけん] /(n,vs) discovery/detection/exposure/(P)/
露語 [ろご] /(n) Russian (language)/
露光 [ろこう] /(n,vs) (photographic) exposure/
露光装置 [ろこうそうち] /(n) (comp) lithography/
露国 [ろこく] /(n) Russia/
露骨 [ろこつ] /(adj-na,n) (1) frank/blunt/plain/outspoken/(2) conspicuous/open/(3) broad/suggestive/lewd/(P)/
露座 [ろざ] /(n,vs) sitting in the open air/
露宿 [ろしゅく] /(n,vs) sleeping outdoors/
露出 [ろしゅつ] /(n,vs) (1) exposure/disclosure/(2) photographic exposure/(P)/
露出狂 [ろしゅつきょう] /(n) exhibitionist/flasher/
露出計 [ろしゅつけい] /(n) light meter/exposure meter/
露出時間 [ろしゅつじかん] /(n) exposure time/
露出症 [ろしゅつしょう] /(n) exhibitionism/
露出度 [ろしゅつど] /(n) degree of exposure/
露出不足 [ろしゅつぶそく] /(n) underexposure/
露助 [ろすけ] /(n) (uk) (sl) Russian person/russki/russky/
露場 [ろじょう] /(n) weather measurement station/
露西亜 [ろしあ] /(n) (uk) Russia/
露草 [つゆくさ] /(n) (uk) Asiatic dayflower (Commelina communis)/
露霜 [つゆじも] /(n) frozen dew/
露台 [ろだい] /(n) balcony/
露知らず [つゆしらず] /(exp) utterly ignorant/not knowing/having no idea/(being a) blithering idiot/
露地 [ろじ] /(n) (1) bare earth (i.e. ground not covered by a roof)/(2) teahouse garden/(3) path through a gate (or through a garden, etc.)/
露地栽培 [ろじさいばい] /(n) outdoor cultivation/
露地門 [ろじもん] /(n) gate to the garden of a tea ceremony house/
露呈 [ろてい] /(n,vs) exposure/disclosure/(P)/
露帝 [ろてい] /(n) emperor of Russia (prior to 1917)/tsar/czar/tzar/
露程 [つゆほど] /(n) little bit/
露滴 [ろてき] /(n) dewdrop/
露天 [ろてん] /(n,adj-no) open air/
露天掘 [ろてんぼり] /(io) (n) open-cut or open-air (strip) mining/
露天掘り [ろてんぼり] /(n) open-cut or open-air (strip) mining/
露天掘り炭鉱 [ろてんぼりたんこう] /(n) open-pit coal mine/open-cut coal mine/
露天掘炭鉱 [ろてんぼりたんこう] /(n) open-pit coal mine/open-cut coal mine/
露天商 [ろてんしょう] /(n) stallholder/
露天商人 [ろてんしょうにん] /(n) sidewalk vendor/street peddler/street vendor/
露天風呂 [ろてんぶろ] /(n) open air bath/rotemburo/
露店 [ろてん] /(n) street stall/stand/booth/(P)/
露点 [ろてん] /(n) dew point/
露土戦争 [ろとせんそう] /(n) Russo-Turkish War (1877-1878)/
露頭 [ろとう] /(n) rocky outcrop/
露日 [ろにち] /(adj-f) Russia and Japan/
露盤 [ろばん] /(n) roban (dew basin at the bottom of a pagoda finial)/
露払い [つゆはらい] /(n) (1) outrider/herald/(2) (sumo) rikishi who leads the yokozuna to the ring prior to his ring-entering ceremony/
露仏 [ろふつ] /(n) Russia and France/
露命 [ろめい] /(n) transient life/ephemeral existence/
露路 [ろじ] /(n) (1) alley/alleyway/lane/(2) path through a gate (or through a garden, etc.)/
露和 [ろわ] /(n) Russia and Japan/Russian-Japanese/
労 [ろう] /(n) labor/labour/toil/trouble/pains/work/effort/striving/(P)/
労々 [ろうろう] /(adj-t,adv-to) tired out/
労い [ねぎらい] /(n) appreciation/thanks/gratitude/
労う [ねぎらう] /(v5u,vt) (uk) to thank for/for reward for/
労き [いたずき] /(n) (1) (arch) pain/trouble/(2) illness/
労き [いたつき] /(n) (1) (arch) pain/trouble/(2) illness/
労き [いたづき] /(n) (1) (arch) pain/trouble/(2) illness/
労する [ろうする] /(vs-s,vi) (1) to work/to labor/to labour/(vs-s,vt) (2) to put to work/to make (someone) work/
労り [いたわり] /(n) trouble/service/labor/labour/sympathy/illness/carefulness/attention/
労る [いたわる] /(v5r,vt) (1) to pity/to sympathize with/to sympathise with/to console/to be kind to/(2) to tend to (e.g. an injury)/to care for/to nurse/(P)/
労わしい [いたわしい] /(adj-i) heartrending/pitiful/
労わる [いたわる] /(io) (v5r,vt) (1) to pity/to sympathize with/to sympathise with/to console/to be kind to/(2) to tend to (e.g. an injury)/to care for/to nurse/
労を惜しまず [ろうをおしまず] /(exp) sparing no trouble/taking pains (to)/take the trouble (to)/
労音 [ろうおん] /(n) Workers' Music Council/
労咳 [ろうがい] /(n) pulmonary tuberculosis/
労金 [ろうきん] /(n) (abbr) workers' credit union/labour credit association/
労銀 [ろうぎん] /(n) wages/labor wages/labour wages/
労苦 [ろうく] /(n,vs) labor/labour/toil/hardship/
労功 [ろうこう] /(n) meritorious deed/
労災 [ろうさい] /(n) (1) work-related injury/work-related illness/work-related death/on-the-job accident/(2) (abbr) workers' compensation insurance/(P)/
労災保険 [ろうさいほけん] /(n) (abbr) worker's accident insurance/
労作 [ろうさく] /(n,vs) toil/labor/labour/laborious task/(P)/
労作教育 [ろうさくきょういく] /(n) manual training/
労使 [ろうし] /(n) labour and management/labor and management/(P)/
労使協調 [ろうしきょうちょう] /(n) labor-management cooperation/labour-management cooperation/
労使交渉 [ろうしこうしょう] /(n) labor-management negotiation/labour-management negotiation/
労使双方 [ろうしそうほう] /(n) both labor and management/both the workers and the employers/
労使紛争 [ろうしふんそう] /(n) industrial (labor-management) dispute (labour)/industrial strife/
労資 [ろうし] /(n) capital and labor/capital and labour/capitalists and laborers/capitalists and labourers/
労政 [ろうせい] /(n) labor administration/labour administration/
労組 [ろうくみ] /(n) (abbr) labor union/labour union/
労組 [ろうそ] /(n) (abbr) labor union/labour union/(P)/
労組法 [ろうそほう] /(n) (abbr) (Japanese) Labor Union Law/
労相 [ろうしょう] /(n) Labor Minister/(P)/
労多くして功少なし [ろうおおくしてこうすくなし] /(exp) all pain and no gain/lots of pain and not much gain/
労賃 [ろうちん] /(n) wages/
労働 [ろうどう] /(n,vs,adj-no) (1) manual labor/manual labour/toil/work/(2) (abbr) Labour Party/(P)/
労働委員会 [ろうどういいんかい] /(n) labor-relations board/labour-relations board/
労働運動 [ろうどううんどう] /(n) labour movement/labor movement/(P)/
労働運動者 [ろうどううんどうしゃ] /(n) labor agitator/labour agitator/
労働歌 [ろうどうか] /(n) songs of labor/songs of labour/
労働階級 [ろうどうかいきゅう] /(n) working classes/
労働官 [ろうどうかん] /(n) labor attache/
労働関係調整法 [ろうどうかんけいちょうせいほう] /(n) labor relations adjustment law (labour)/
労働基準 [ろうどうきじゅん] /(n,adj-f) labor standard/labor standards (e.g. bureau,law)/
労働基準監督官 [ろうどうきじゅんかんとくかん] /(n) labor standards inspector (labour)/
労働基準局 [ろうどうきじゅんきょく] /(n) labor standards bureau/labour standards bureau/
労働基準法 [ろうどうきじゅんほう] /(n) Labor Standards Act/(P)/
労働基本権 [ろうどうきほんけん] /(n) basic labor rights/basic workers' rights/
労働許可証 [ろうどうきょかしょう] /(n) work permit/
労働協約 [ろうどうきょうやく] /(n) labor agreement/labour agreement/
労働金庫 [ろうどうきんこ] /(n) workers' credit union/labour credit association/
労働契約書 [ろうどうけいやくしょ] /(n) labour contract (labor)/
労働権 [ろうどうけん] /(n) the right to work/
労働交渉 [ろうどうこうしょう] /(n) labor negotiation/labour negotiation/
労働攻勢 [ろうどうこうせい] /(n) labor offensive/labour offensive/
労働災害 [ろうどうさいがい] /(n) work-related injury or death/
労働災害補償 [ろうどうさいがいほしょう] /(n) workers' compensation/
労働祭 [ろうどうさい] /(n) Labor Day/May Day/
労働三法 [ろうどうさんぽう] /(n) the three labor laws (trade union law, labor standards law, labor relations adjustment law) (labour)/
労働市場 [ろうどうしじょう] /(n,adj-no) labor market/labour market/
労働時間 [ろうどうじかん] /(n) working hours/man-hours/
労働者 [ろうどうしゃ] /(n) (sens) laborer (labourer)/blue-collar worker/(P)/
労働者階級 [ろうどうしゃかいきゅう] /(n) working class/
労働者災害補償保険 [ろうどうしゃさいがいほしょうほけん] /(n) workers' accident compensation insurance/
労働者集会 [ろうどうしゃしゅうかい] /(n) labor rally/labour rally/
労働者派遣業 [ろうどうしゃはけんぎょう] /(n) manpower business/manpower agency/
労働者派遣法 [ろうどうしゃはけんほう] /(n) Temporary Staffing Services Law/
労働収容所 [ろうどうしゅうようしょ] /(n) labor camp/labour camp/
労働集約 [ろうどうしゅうやく] /(n,adj-f) labour intensive/
労働集約産業 [ろうどうしゅうやくさんぎょう] /(n) labour intensive industry/
労働省 [ろうどうしょう] /(n) Ministry of Labour (now Ministry of Health, Labour and Welfare)/(P)/
労働条件 [ろうどうじょうけん] /(n) working conditions/(P)/
労働人口 [ろうどうじんこう] /(n) work force/
労働生産性 [ろうどうせいさんせい] /(n) labor productivity/labour productivity/
労働節約的技術進歩 [ろうどうせつやくてきぎじゅつしんぽ] /(n) labor-saving technological progress/labour-saving technological progress/
労働組合 [ろうどうくみあい] /(n) labor union/labour union/(P)/
労働組合法 [ろうどうくみあいほう] /(n) (Japanese) Labor Union Law/
労働争議 [ろうどうそうぎ] /(n) labor trouble/labour trouble/strike/
労働相 [ろうどうしょう] /(n) Minister of Labor (Labour)/
労働大臣 [ろうどうだいじん] /(n) Minister of Labour/
労働団体 [ろうどうだんたい] /(n) labor body/labour body/labor organization/labour organization/labor federation/labour federation/
労働党 [ろうどうとう] /(n) Labour Party/Labor Party/worker's party/(P)/
労働同盟 [ろうどうどうめい] /(n) labor federation/labour federation/
労働能率 [ろうどうのうりつ] /(n) labor efficiency (labour)/
労働不足 [ろうどうぶそく] /(n) labour shortage/
労働分配率 [ろうどうぶんぱいりつ] /(n) labor's share (of income)/
労働法 [ろうどうほう] /(n) labor law/labour law/
労働法典 [ろうどうほうてん] /(n) labor code (labour)/
労働問題 [ろうどうもんだい] /(n) labor problem/labour problem/
労働力 [ろうどうりょく] /(n) labor/labour/manpower/working force/
労働力削減 [ろうどうりょくさくげん] /(n) workforce reduction/
労働力人口 [ろうどうりょくじんこう] /(n) labor force/labour force/
労働力不足 [ろうどうりょくぶそく] /(n) labor shortage (labour)/
労働力率 [ろうどうりょくりつ] /(n) labor force participation rate/labour force participation rate/
労動 [ろうどう] /(oK) (n,vs,adj-no) (1) manual labor/manual labour/toil/work/(2) (abbr) Labour Party/
労動者 [ろうどうしゃ] /(oK) (n) laborer/labourer/worker/
労農 [ろうのう] /(n) workers and farmers/
労農政府 [ろうのうせいふ] /(n) Soviet Government/
労農党 [ろうのうとう] /(n) labor-farmer party/labour-farmer party/
労務 [ろうむ] /(n) labor/labour/work/service/(P)/
労務課 [ろうむか] /(n) labor section/labour section/
労務管理 [ろうむかんり] /(n) labor management/labour management/
労務者 [ろうむしゃ] /(n) (sens) laborer/labourer/workman/
労役 [ろうえき] /(n) work/labor/labour/toil/
労役場 [ろうえきじょう] /(n) prison labor camp/prison labour camp/
労力 [ろうりょく] /(n) labour/labor/effort/toil/trouble/(P)/
労力を省く [ろうりょくをはぶく] /(exp,v5k) to save labor/to save labour/
労連 [ろうれん] /(n) labour union/labor union/(P)/
労労 [ろうろう] /(adj-t,adv-to) tired out/
婁 [ろう] /(n) Chinese "Bond" constellation (one of the 28 mansions)/
婁宿 [たたらぼし] /(n) Chinese "Bond" constellation (one of the 28 mansions)/
廊 [ろう] /(n) corridor/passage/hall/
廊下 [ろうか] /(n) corridor/hallway/passageway/(P)/
弄くりまわす [いじくりまわす] /(v5s) (uk) to fiddle with/to monkey around with/
弄くり回す [いじくりまわす] /(v5s) (uk) to fiddle with/to monkey around with/
弄くる [いじくる] /(v5r,vt) to finger/to tamper (with)/
弄する [ろうする] /(vs-s) (1) to play with/to joke/to use (esp. trick, sophistry, etc.)/(2) to deride/to scoff at/to make fun of/
弄び物 [もてあそびもの] /(n) plaything/toy/
弄ぶ [もてあそぶ] /(v5b,vt) (1) (uk) to play with (a toy, one's hair, etc.)/to fiddle with/(2) to toy with (one's emotions, etc.)/to trifle with/(3) to do with something as one pleases/(4) to appreciate/
弄り [いじり] /(n) (uk) meddling/fumbling/fondling/playing around with something/
弄りまわす [いじりまわす] /(v5s) to tinker with/to fumble with/to twist up/
弄り回す [いじりまわす] /(v5s) to tinker with/to fumble with/to twist up/
弄る [いじる] /(v5r,vt) (1) to touch/to tamper with/(P)/
弄る [まさぐる] /(v5r,vt) (1) to touch/to tamper with/(2) to grope about/to feel for something/
弄火 [ろうか] /(n,vs) playing with fire/flirting/
弄花 [ろうか] /(n,vs) gambling with flower cards/
弄物 [もてあそびもの] /(io) (n) plaything/toy/
朗々 [ろうろう] /(adj-t,adv-to) clear/sonorous/full-sounding/resonant/bright/
朗らか [ほがらか] /(adj-na,n) brightness/cheerfulness/melodious/(P)/
朗らかに笑う [ほがらかにわらう] /(exp,v5u) to smile brightly/to laugh merrily/
朗詠 [ろうえい] /(n,vs) recitation (of Japanese or Chinese poem)/(P)/
朗吟 [ろうぎん] /(n,vs) recitation/singing/
朗唱 [ろうしょう] /(n,vs) recitation/chant/
朗読 [ろうどく] /(n,vs) reading aloud/recitation/(P)/
朗読ＣＤ [ろうどくシーディー] /(n) audiobook on a CDROM/
朗報 [ろうほう] /(n) good news/(P)/
朗朗 [ろうろう] /(adj-t,adv-to) clear/sonorous/full-sounding/resonant/bright/
朗誦 [ろうしょう] /(n,vs) recitation/chant/
楼 [ろう] /(n) tower/turret/lookout/belvedere/
楼に登る [ろうにのぼる] /(exp,v5r) to go up a tower/to climb a tower/
楼閣 [ろうかく] /(n) multistoried building/(P)/
楼観 [ろうかん] /(n) watchtower/
楼主 [ろうしゅ] /(n) owner of a brothel or restaurant/
楼上 [ろうじょう] /(n) on top of a tall building/balcony/upper floor/
楼門 [ろうもん] /(n) two-storied gate/tower gate/
浪 [なみ] /(n) wave/
浪々 [ろうろう] /(n) wandering/unemployed/
浪花 [なにわ] /(n) Naniwa (former name for Osaka region)/
浪花っ子 [なにわっこ] /(n) native of Osaka/
浪花節 [なにわぶし] /(n) naniwabushi/var. of sung narrative popular during the Edo period/
浪花節的 [なにわぶしてき] /(adj-na) of the old feeling of naniwa-bushi/marked by the dual themes of obligation and compassion that distinguish the naniwa-bushi ballads/
浪華 [なにわ] /(n) Naniwa (former name for Osaka region)/
浪曲 [ろうきょく] /(n) recitation of stories accompanied by samisen (called naniwabushi)/
浪士 [ろうし] /(n) ronin/lordless samurai/
浪人 [ろうにん] /(n,vs,adj-no) (1) ronin/wandering samurai without a master to serve/(2) out of work/(3) waiting for another chance to enter a university/(P)/
浪人鯵 [ろうにんあじ] /(n) (uk) giant trevally (Caranx ignobilis)/
浪人生 [ろうにんせい] /(n) student who failed entrance exam/
浪速 [なにわ] /(n) Naniwa (former name for Osaka region)/
浪費 [ろうひ] /(n,vs,adj-no) waste/extravagance/(P)/
浪費家 [ろうひか] /(n) spendthrift/
浪費癖 [ろうひへき] /(n) wasteful habits/
浪漫 [ろうまん] /(n) (1) romance (i.e. Arthurian romances) (fre: roman)/(2) novel/(3) romance/
浪漫思想 [ろうまんしそう] /(n) romantic thought/philosophy of romance/
浪漫主義 [ローマンしゅぎ] /(ateji) (n) romanticism/
浪漫主義 [ロマンしゅぎ] /(ateji) (n) romanticism/
浪漫的 [ローマンてき] /(ateji) (adj-na) romantic (school)/
浪漫的 [ロマンてき] /(ateji) (adj-na) romantic (school)/
浪漫派 [ローマンは] /(ateji) (n) romantic school/romanticism/
浪漫派 [ロマンは] /(ateji) (n) romantic school/romanticism/
浪浪 [ろうろう] /(n) wandering/unemployed/
浪曼 [ろうまん] /(n) (1) romance (i.e. Arthurian romances) (fre: roman)/(2) novel/(3) romance/
漏えい [ろうえい] /(n,vs) disclosure/leakage (e.g. of gas or liquids or information)/escape (e.g. of gas)/
漏らす [もらす] /(v5s,vt) to let leak/to reveal/(P)/
漏り [もり] /(n) leak/leakage (of rain)/
漏る [もる] /(v5r) to leak/to run out/(P)/
漏れ [もれ] /(n,n-suf) (1) omission/leakage/oversight/(2) (sl) I/me/
漏れなく [もれなく] /(adv) (uk) without omission/in full/
漏れる [もれる] /(v1,vi) to leak out/to escape/to come through/to shine through/to filter out/to be omitted/(P)/
漏れ出す [もれだす] /(v5s,vi) to leak out/
漏れ電流 [もれでんりゅう] /(n) (comp) leakage current/
漏れ聞く [もれきく] /(v5k,vt) to overhear/
漏れ無く [もれなく] /(adv) (uk) without omission/in full/
漏れ落ちる [もれおちる] /(v1,vi) (1) to leak down/(2) to be omitted/to be missing/
漏洩 [ろうえい] /(n,vs) disclosure/leakage (e.g. of gas or liquids or information)/escape (e.g. of gas)/
漏洩 [ろうせつ] /(n,vs) disclosure/leakage (e.g. of gas or liquids or information)/escape (e.g. of gas)/
漏洩電流 [ろうえいでんりゅう] /(n) leakage current/
漏刻 [ろうこく] /(n) water clock/
漏出 [ろうしゅつ] /(n,vs) leak out/
漏水 [ろうすい] /(n,vs) leakage/
漏電 [ろうでん] /(n,vs) leakage/short circuit/power failure/
漏斗 [じょうご] /(n) funnel/
漏斗 [ろうと] /(n) funnel/
漏斗胸 [ろうときょう] /(n) pectus excavatum/
漏話 [ろうわ] /(n) cross talk/
漏話結合 [ろうわげつごう] /(n) crosstalk coupling/
漏泄 [ろうえい] /(n,vs) disclosure/leakage (e.g. of gas or liquids or information)/escape (e.g. of gas)/
漏泄 [ろうせつ] /(n,vs) disclosure/leakage (e.g. of gas or liquids or information)/escape (e.g. of gas)/
牢 [ろう] /(n) prison/jail/gaol/
牢として [ろうとして] /(adv) firmly/strongly/
牢屋 [ろうや] /(n) jail/gaol/
牢屋敷 [ろうやしき] /(n) precinct of a jail/vicinity of a prison/
牢乎 [ろうこ] /(adj-na,adj-t) firm/solid/
牢固 [ろうこ] /(adj-na,adj-t) firm/solid/
牢獄 [ろうごく] /(n) prison/jail/gaol/
牢死 [ろうし] /(n,vs) dying in prison/
牢破り [ろうやぶり] /(n,vs) jailbreak/gaolbreak/
牢番 [ろうばん] /(n) prison guard/jailer/gaoler/
牢名主 [ろうなぬし] /(n) (Edo-period) head of a prisoners' group/
牢問 [ろうもん] /(n) whipping, stone placement, and shrimp-tie bondage (three forms of Edo-period torture)/
牢役人 [ろうやくにん] /(n) (Edo-period) jail warden (gaol)/
狼 [おおかみ] /(n) (uk) wolf (carnivore, Canis lupus)/(P)/
狼 [ろう] /(n) (uk) wolf (carnivore, Canis lupus)/
狼煙 [のろし] /(n) beacon/skyrocket/signal fire/
狼煙 [ろうえん] /(n) beacon/skyrocket/signal fire/
狼火 [ろうか] /(n) signal fire/beacon/
狼魚 [おおかみうお] /(n) (uk) Bering wolffish (Anarhichas orientalis)/
狼座 [おおかみざ] /(n) Lupus (constellation)/
狼少年 [おおかみしょうねん] /(n,vs) boy who cried wolf/
狼男 [おおかみおとこ] /(n) werewolf/
狼狽 [ろうばい] /(n,vs) confusion/dismay/consternation/panic/
狼狽える [うろたえる] /(v1,vi) (uk) to be flustered/to lose one's presence of mind/
狼狽気味 [ろうばいぎみ] /(n,adj-na) being rather confused/looking somewhat dismayed (perturbed)/
狼烟 [のろし] /(n) beacon/skyrocket/signal fire/
狼烟 [ろうえん] /(n) beacon/skyrocket/signal fire/
狼瘡 [ろうそう] /(n) lupus (esp. lupus vulgaris)/
狼藉 [ろうぜき] /(n,adj-no) violence/outrage/riot/confusion/disorder/
狼藉者 [ろうぜきもの] /(n) rioter/ruffian/
篭 [かご] /(n) (uk) basket (shopping, etc.)/hamper/cage/(P)/
篭の鳥 [かごのとり] /(exp) (1) caged bird/(2) person whose freedom has been restricted (esp. a prostitute, mistress, concubine, etc.)/
篭む [こむ] /(v5m,vi) (1) to be crowded/to be packed/(2) to be complex/
篭める [こめる] /(v1,vt) to include/to put into/
篭る [こもる] /(v5r,vi) (1) (uk) to seclude oneself/to be confined in/(2) to be filled (e.g. with emotion, satire, etc.)/to be heavy (with)/(3) to be stuffy/(4) to be implied/
篭手 [こて] /(n) gauntlet (used in Kendo)/bracer/fencing glove/
篭城 [ろうじょう] /(n,vs) siege/besieging/confinement/holding a castle/
篭絡 [ろうらく] /(n,vs) inveigling/ensnaring/enticement/cajoling/
老 [ろう] /(n) old age/age/old people/the old/the aged/
老い [おい] /(n) old age/old person/the old/the aged/(P)/
老いさらばえる [おいさらばえる] /(v1,vi) to become decrepit and ugly with age/
老いては子に従え [おいてはこにしたがえ] /(exp) (id) Be guided by your children when you are old/
老いの一徹 [おいのいってつ] /(n) obstinacy of old age/
老いの波 [おいのなみ] /(n) wrinkles/
老いぼれ [おいぼれ] /(n) (1) dotage/(2) feeble-minded old man/senile old fool/dodderer/
老いぼれる [おいぼれる] /(v1,vi) to become decrepit/to become senile/
老いも若きも [おいもわかきも] /(n) (both) young and old/
老いらく [おいらく] /(n) old age/declining years/
老いる [おいる] /(v1,vi) to age/to grow old/(P)/
老い込む [おいこむ] /(v5m,vi) to grow old/to weaken with age/to become senile/
老い松 [おいまつ] /(n) old pine tree/
老い先 [おいさき] /(n) remaining years (of one's life)/
老い木 [おいき] /(n) old tree/
老い耄れ [おいぼれ] /(n) (1) dotage/(2) feeble-minded old man/senile old fool/dodderer/
老い耄れる [おいぼれる] /(v1,vi) to become decrepit/to become senile/
老け [ふけ] /(n) aging/ageing/
老ける [ふける] /(v1,vi) to age/to grow old/(P)/
老け込む [ふけこむ] /(v5m,vi) to age/to become old/
老け役 [ふけやく] /(n) (theatrical) role of old person/
老と病 [ろうとびょう] /(exp) old age and sickness/
老翁 [ろうおう] /(n) old man/
老化 [ろうか] /(n,vs,adj-no) ageing/aging/senile deterioration/(P)/
老化現象 [ろうかげんしょう] /(n) aging process/ageing process/
老化防止剤 [ろうかぼうしざい] /(n,adj-no) age resister/antioxidant/
老海鼠 [ほや] /(n) (uk) sea squirt/ascidian/
老害 [ろうがい] /(n) problems caused by the elderly (esp. gerontocracy, and elderly people's control over the young)/
老冠 [おいかんむり] /(n) kanji "old" radical at top/
老眼 [ろうがん] /(n,adj-no) presbyopia/age-related longsightedness/farsightedness/(P)/
老眼鏡 [ろうがんきょう] /(n) reading (farsighted) glasses/spectacles for the aged/
老妓 [ろうぎ] /(n) aged geisha/
老朽 [ろうきゅう] /(n,vs,adj-no) superannuated/decrepitude/(P)/
老朽化 [ろうきゅうか] /(n,vs) aging/wearing out/deterioration/
老朽化した [ろうきゅうかした] /(adj-f) deteriorated/outworn/
老境 [ろうきょう] /(n,adj-no) old age/
老境に入る [ろうきょうにいる] /(exp,v5r) to be advanced in age/
老躯 [ろうく] /(n) one's old bones/aged body/
老健施設 [ろうけんしせつ] /(n) rehabilitation facility for the elderly/
老犬 [ろうけん] /(n) old dog/
老後 [ろうご] /(n) old age/(P)/
老公 [ろうこう] /(n) polite address for elderly nobleman/
老功 [ろうこう] /(n,adj-na) experienced/seasoned/veteran/
老巧 [ろうこう] /(n,adj-na) experienced/seasoned/veteran/
老骨 [ろうこつ] /(n) one's old bones/old man/
老妻 [ろうさい] /(n) old woman/
老子 [ろうし] /(n) Lao-tse/Lao-tzu/(P)/
老師 [ろうし] /(n) old priest/sage/(Zen) teacher/
老死 [ろうし] /(n,vs) die of old age/
老実 [ろうじつ] /(adj-na,n) loyalty/fidelity/
老若 [ろうじゃく] /(n,adj-na) young and old/all ages/
老若 [ろうにゃく] /(n,adj-na) young and old/all ages/(P)/
老若男女 [ろうじゃくだんじょ] /(n) men and women of all ages/
老若男女 [ろうにゃくなんにょ] /(n) men and women of all ages/
老弱 [ろうじゃく] /(n,adj-na) (1) infirmities of old age/(2) (obs) young and old/all ages/
老手 [ろうしゅ] /(n) veteran/past master/
老酒 [ろうしゅ] /(n) (1) fermented Chinese alcoholic beverage (esp. Shaoxing wine) (chi: laojiu)/(2) old alcohol/
老儒 [ろうじゅ] /(n) elderly Confucian scholar/
老樹 [ろうじゅ] /(n) old tree/
老醜 [ろうしゅう] /(n,adj-no) ugliness of old age/
老熟 [ろうじゅく] /(n,vs) maturity/
老女 [ろうじょ] /(n) elderly woman/senior lady-in-waiting/(P)/
老将 [ろうしょう] /(n) old or veteran army general/
老少 [ろうしょう] /(n) young and old/
老少不定 [ろうしょうふじょう] /(n) Death comes to old and young alike/uncertainty of life/
老少不定 [ろうしょうふてい] /(n) Death comes to old and young alike/uncertainty of life/
老松 [おいまつ] /(io) (n) old pine tree/
老松 [ろうしょう] /(n) old pine tree/
老嬢 [ろうじょう] /(n) elderly spinster/
老紳士 [ろうしんし] /(n) old gentleman/elderly gentleman/
老臣 [ろうしん] /(n) old or key retainer/
老人 [ろうじん] /(n,adj-no) the aged/old person/(P)/
老人ホーム [ろうじんホーム] /(n) senior citizens' home/(P)/
老人医療 [ろうじんいりょう] /(n) geriatrics/
老人施設 [ろうじんしせつ] /(n) old folks' home/
老人性 [ろうじんせい] /(adj-na) senile/(P)/
老人性痴呆 [ろうじんせいちほう] /(n) senile dementia/
老人性痴呆症 [ろうじんせいちほうしょう] /(n) senile dementia/
老人性白内障 [ろうじんせいはくないしょう] /(n) senile cataract/
老人病 [ろうじんびょう] /(n) geriatric diseases/
老人病院 [ろうじんびょういん] /(n) geriatric hospital/
老人福祉 [ろうじんふくし] /(n,adj-no) welfare for the aged/(P)/
老人福祉施設 [ろうじんふくししせつ] /(n) nursing home/welfare facility for the elderly/
老人福祉法 [ろうじんふくしほう] /(n) elderly welfare law/
老人保健施設 [ろうじんほけんしせつ] /(n) rehabilitation facility for the elderly/
老人力 [ろうじんりょく] /(n) grey power/gray power/
老衰 [ろうすい] /(n,vs,adj-no) senility/senile decay/infirmity (through age)/(P)/
老杉 [ろうさん] /(n) (arch) old cryptomeria/
老成 [ろうせい] /(adj-na,n,vs) mature/becoming precocious/
老政治家 [ろうせいじか] /(n) venerable statesman/
老生 [ろうせい] /(pn,adj-no) elderly person's polite reference to self/
老僧 [ろうそう] /(n) elderly priest/
老荘 [ろうそう] /(n) Laozi and Zhuangzi/
老荘思想 [ろうそうしそう] /(n) philosophy of Lao-tse and Chuang-tse/Taoism/
老体 [ろうたい] /(n) old body/aged person/
老大家 [ろうたいか] /(n) venerable authority/elderly master/
老大国 [ろうたいこく] /(n) great and ancient nation/
老中 [ろうじゅう] /(n) member of shogun's council of elders/
老鳥 [ろうちょう] /(n) old bird/
老頭 [おいがしら] /(n) (1) helmet with white hair coming out of the top to make one look like an old person/(2) kanji "old" radical at top/
老年 [ろうねん] /(n,adj-no) old age/(P)/
老年期 [ろうねんき] /(n) old age/
老農 [ろうのう] /(n) elderly or experienced farmer/
老婆 [ろうば] /(n) old woman/(P)/
老婆心 [ろうばしん] /(n) concern/
老婆心切 [ろうばしんせつ] /(n) grandmotherly solicitude for another's welfare/excessive solicitude/
老婆親切 [ろうばしんせつ] /(n) grandmotherly solicitude for another's welfare/excessive solicitude/
老廃 [ろうはい] /(n,vs) superannuation/
老廃物 [ろうはいぶつ] /(n) waste products/
老輩 [ろうはい] /(n) the aged/
老番 [おいばん] /(n) (abbr) higher number/higher numbers/
老病 [ろうびょう] /(n) infirmities of old age/
老夫婦 [ろうふうふ] /(n) old couple/elderly couple/(P)/
老婦 [ろうふ] /(n) old woman/(P)/
老婦人 [ろうふじん] /(n) old woman/
老父 [ろうふ] /(n) old father/
老兵 [ろうへい] /(n) old soldier/
老舗 [しにせ] /(n) (1) old shop/shop of long standing/(adj-no) (2) well-established/first of the kind/veteran/(P)/
老舗 [ろうほ] /(n) (1) old shop/shop of long standing/(adj-no) (2) well-established/first of the kind/veteran/
老母 [ろうぼ] /(n) old mother/aged mother/
老僕 [ろうぼく] /(n) elderly servant/
老麺 [らーめん] /(n) (uk) ramen (Chinese-style noodles) (chi: lamian)/
老麺 [らあめん] /(ik) (n) (uk) ramen (Chinese-style noodles) (chi: lamian)/
老木 [ろうぼく] /(n) old tree/
老爺 [おやじ] /(gikun) (n) one's father/old man/one's boss/
老爺 [ろうや] /(n) one's father/old man/one's boss/
老優 [ろうゆう] /(n) elderly or veteran actor/
老雄 [ろうゆう] /(n) aged hero/
老幼 [ろうよう] /(n) old and young/
老来 [ろうらい] /(adv,n) since growing old/
老齢 [ろうれい] /(n,adj-no) advanced age/senility/(P)/
老齢年金 [ろうれいねんきん] /(n) old-age pension/
老練 [ろうれん] /(adj-na,n,adj-no) experienced/veteran/
老練家 [ろうれんか] /(n) veteran/expert/
老婢 [ろうひ] /(n) old housemaid/old female servant/
老媼 [ろうおう] /(n) old woman/
老獪 [ろうかい] /(adj-na,n) cunning/crafty/
聾 [つんぼ] /(n) (1) deafness/(2) (derog) deaf person/
聾 [みみしい] /(n) (1) deafness/(2) (derog) deaf person/
聾する [ろうする] /(vs-s) to deafen/
聾唖 [ろうあ] /(n,adj-no) (1) deafness/(2) deaf-mute/
聾唖学校 [ろうあがっこう] /(n) school for the deaf/
聾唖者 [ろうあしゃ] /(n) deaf and mute person/
聾学校 [ろうがっこう] /(n) school for the deaf/
聾桟敷 [つんぼさじき] /(n) (1) (sens) being kept uninformed/being cut off/out of the loop/(2) (arch) upper gallery (where one can't hear)/blind seat/
聾者 [ろうしゃ] /(n) deaf person/
蝋 [ろう] /(n) wax/
蝋引き [ろうびき] /(n,adj-no) waxing/
蝋細工 [ろうざいく] /(n) waxwork/
蝋紙 [ろうかみ] /(n) wax paper/
蝋紙 [ろうし] /(n) wax paper/
蝋燭 [ろうそく] /(n) (uk) candle/(P)/
蝋燭の心 [ろうそくのしん] /(n) wick of a candle/
蝋燭の芯 [ろうそくのしん] /(n) wick of a candle/
蝋色漆 [ろいろうるし] /(n) black lacquer/
蝋人形 [ろうにんぎょう] /(n) waxwork/wax model/
蝋石 [ろうせき] /(n) agalmatolite/
蝋染め [ろうぞめ] /(n) batik/
蝋梅 [ろうばい] /(n) (uk) wintersweet (Chimonanthus praecox)/Japanese allspice/
蝋膜 [ろうまく] /(n) cere/skin at the base of a bird's beak/
蝋纈染め [ろうけつぞめ] /(n) batik (handbag, purse)/
郎君 [ろうくん] /(n) (obsc) young lord/young nobleman/
郎子 [いらつこ] /(n) (arch) (fam) lad (vocative)/
郎女 [いらつめ] /(n) (arch) (fam) lass (vocative)/
郎党 [ろうとう] /(n) vassals/retainers/followers/
郎党 [ろうどう] /(n) vassals/retainers/followers/
郎等 [ろうとう] /(n) vassals/retainers/followers/
郎等 [ろうどう] /(n) vassals/retainers/followers/
六 [む] /(num) six/
六 [むう] /(num) six/
六 [ろく] /(num) six/(P)/
六か年 [ろっかねん] /(adj-pn) sexennial/
六つ [むっつ] /(num) six/(P)/
六つ [むつ] /(num) six/
六つ子 [むつご] /(n) sextuplets/
六つ時 [むつどき] /(n) (arch) (approx.) 6 o'clock (am or pm)/
六つ切り [むつぎり] /(n) dividing something into six pieces/something divided into six pieces/
六カ年 [ろっかねん] /(adj-pn) sexennial/
六フッ化硫黄 [ろくフッかいおう] /(n) sulfur hexafluoride/
六ヵ年 [ろっかねん] /(adj-pn) sexennial/
六ヶ年 [ろっかねん] /(adj-pn) sexennial/
六価クロム [ろっかクロム] /(n) hexavalent chromium/
六箇年 [ろっかねん] /(adj-pn) sexennial/
六花 [りっか] /(n) snow/
六角 [ろっかく] /(n,adj-no) hexagon/
六角レンチ [ろっかくレンチ] /(n) hexagonal wrench/allen key/
六角形 [ろっかくけい] /(n) hexagon/
六角形 [ろっかっけい] /(n) hexagon/
六角穴付 [ろっかくあなつき] /(n) hexagon socket head/allen socket head/
六角穴付き [ろっかくあなつき] /(n) hexagon socket head/allen socket head/
六角穴付きボルト [ろっかくあなつきボルト] /(n) hex socket head cap bolt/
六角穴付ボルト [ろっかくあなつきボルト] /(n) hex socket head cap bolt/
六角柱 [ろっかくちゅう] /(n) hexagonal prism/
六角堂 [ろっかくどう] /(n) hexagonal building/
六官 [りくかん] /(n) six ministries (of Zhou-dynasty China)/
六官 [りっかん] /(n) six ministries (of Zhou-dynasty China)/
六官 [ろっかん] /(n) six ministries (of Zhou-dynasty China)/
六感 [ろっかん] /(n) the six senses/
六観音 [ろくかんのん] /(n) the Six Forms of Avalokitesvara (one for each of the six realms)/
六観音 [ろっかんのん] /(n) the Six Forms of Avalokitesvara (one for each of the six realms)/
六輝 [ろっき] /(n) Japanese calendar's six labels, indicating how auspicious each day is/
六義 [りくぎ] /(n) (1) six forms of the Shi Jing (genre: folk song, festal song, hymn; style: narrative, explicit comparison, implicit comparison)/(2) six forms of waka (allegorical, enumerative, metaphorical, allusive, plain, congratulatory)/(3) six principles of calligraphy/(4) six classes of kanji characters/
六義 [ろくぎ] /(n) (1) six forms of the Shi Jing (genre: folk song, festal song, hymn; style: narrative, explicit comparison, implicit comparison)/(2) six forms of waka (allegorical, enumerative, metaphorical, allusive, plain, congratulatory)/(3) six principles of calligraphy/(4) six classes of kanji characters/
六卿 [りくけい] /(n) six ministers (of the six Zhou-dynasty Chinese ministries)/
六卿 [りっけい] /(n) six ministers (of the six Zhou-dynasty Chinese ministries)/
六月 [ろくがつ] /(n-adv) June/(P)/
六月病 [ろくがつびょう] /(n) blues experienced by workplace recruits shortly after beginning work/
六月祓 [みなづきばらえ] /(n) summer purification rites (held at shrines on the last day of the 6th lunar month)/
六甲颪 [ろっこうおろし] /(n) cold northerly winter wind from the Rokko Mountains/
六号記事 [ろくごうきじ] /(n) (space) filler/fill-in (in magazines, newspapers, etc.)/
六合 [りくごう] /(n) the universe/the cosmos/
六国 [りくこく] /(n) Six Kingdoms (of China's Warring States period: Qi, Chu, Yan, Han, Wei & Zhao)/
六国 [りっこく] /(n) Six Kingdoms (of China's Warring States period: Qi, Chu, Yan, Han, Wei & Zhao)/
六国 [ろっこく] /(n) Six Kingdoms (of China's Warring States period: Qi, Chu, Yan, Han, Wei & Zhao)/
六国史 [りっこくし] /(n) Rikkokushi (the six ancient Japanese historical collections compiled between the Nara and Heian periods)/
六根清浄 [ろっこんしょうじょう] /(int) purification of the six roots of perception/
六歳臼歯 [ろくさいきゅうし] /(n) six-year molar/
六三制 [ろくさんせい] /(n) six-three system of education (six years of elementary school, followed by three years of junior high school)/
六字大明呪 [ろくじだいみょうじゅ] /(n) (Buddh) great six-syllable mantra ("om mani padme hum")/
六時 [ろくじ] /(n) (1) six o'clock/(2) (Buddh) six periods of a day (morning, midday, afternoon, evening, midnight, late night)/
六識 [ろくしき] /(n) six consciousnesses/
六尺 [ろくしゃく] /(n) (1) six feet/(2) (abbr) traditional Japanese G-string for men/(3) palanquin bearer/
六尺棒 [ろくしゃくぼう] /(n) (1) wooden pole (often oak), 6 shaku long/(2) shoulder pole/
六尺褌 [ろくしゃくふんどし] /(n) traditional Japanese G-string for men/
六種 [ろくしゅ] /(n) six kinds/
六十 [むそ] /(n) sixty/
六十 [ろくじゅう] /(n) sixty/(P)/
六十の手習い [ろくじゅうのてならい] /(exp) (id) Never too late to learn/
六十四卦 [ろくじゅうしけ] /(n) the 64 hexagrams (of the Book of Changes)/
六十四分音符 [ろくじゅうしぶおんぷ] /(n) 64th note/(P)/
六十余州 [ろくじゅうよしゅう] /(n) 66-odd provinces of old Japan/
六十路 [むそじ] /(n) age sixty/one's sixties/
六十六部 [ろくじゅうろくぶ] /(n) Buddhist pilgrim (carrying 66 copies of the Lotus Sutra to be left at sites across Japan)/
六重唱 [ろくじゅうしょう] /(n) vocal sextet/
六重奏 [ろくじゅうそう] /(n) instrumental sextet/
六書 [りきしょ] /(n) (1) the six classes of (kanji) characters/(2) Hexateuch (first six books of the Hebrew Bible)/
六書 [りくしょ] /(n) (1) the six classes of (kanji) characters/(2) Hexateuch (first six books of the Hebrew Bible)/
六書 [ろくしょ] /(n) (1) Hexateuch (first six books of the Hebrew Bible)/
六情 [ろくじょう] /(n) the six emotions (joy, anger, sorrow, pleasure and love, and hatred)/
六神丸 [ろくしんがん] /(n) pill made from various animal ingredients (inc. musk, toad venom, cow bezoars, etc.) used as a cardiac stimulant in Chinese medicine/
六親 [ろくしん] /(n) the six blood relations/
六親眷属 [ろくしんけんぞく] /(n) all of one's relatives by blood and by marriage/one's kith and kin/
六体 [りくたい] /(n) the six historical styles of writing kanji: large seal, small seal, clerical, triangular-swept clerical, running, and cursive/
六体 [ろくたい] /(n) the six historical styles of writing kanji: large seal, small seal, clerical, triangular-swept clerical, running, and cursive/
六大 [ろくだい] /(n) (Buddh) the six elements (earth, water, fire, wind, void, and consciousness)/
六大州 [ろくだいしゅう] /(n) the Six Continents/
六段の調べ [ろくだんのしらべ] /(n) rokudan (name of a koto composition)/
六知事 [ろくちじ] /(n) six administrators of a Zen temple/
六地蔵 [ろくじぞう] /(n) the Six Ksitigarbhas (one for each of the six realms)/
六朝 [りくちょう] /(n) (1) Six Dynasties (of China: Eastern Wu, Eastern Jin, Song, Qi, Liang, Chen)/(2) calligraphic style of the Six Dynasties period/
六朝 [ろくちょう] /(n) (1) Six Dynasties (of China: Eastern Wu, Eastern Jin, Song, Qi, Liang, Chen)/(2) calligraphic style of the Six Dynasties period/
六調子 [ろくちょうし] /(n) six main gagaku modes (equivalent to A Dorian, B Dorian, E Dorian, D Mixolydian, E Mixolydian and G Mixolydian)/
六道 [ろくどう] /(n) (Buddh) the six realms (Deva realm, Asura realm, Human realm, Animal realm, Hungry Ghost realm, Nakara realm)/
六道銭 [ろくどうせん] /(n) six coins placed in a casket (said to be to pay the fare to cross the River Sanzu)/
六道輪廻 [ろくどうりんね] /(n) endless circle of transmigration in the six posthumous worlds/
六日 [むいか] /(n) (1) sixth day of the month/(2) six days/(P)/
六日 [むゆか] /(ok) (n) (1) sixth day of the month/(2) six days/
六日 [むよか] /(ok) (n) (1) sixth day of the month/(2) six days/
六波羅蜜 [ろくはらみつ] /(n) the six virtues (perfections) a Buddha elect practices to attain supreme enlightenment/
六波羅蜜 [ろっぱらみつ] /(n) the six virtues (perfections) a Buddha elect practices to attain supreme enlightenment/
六派哲学 [ろっぱてつがく] /(n) six schools of classical Indian philosophy/
六白 [ろっぱく] /(n) sixth of nine traditional astrological signs (corresponding to Venus and north-west)/
六百 [ろっぴゃく] /(n) six hundred/
六百六号 [ろっぴゃくろくごう] /(n) # 606/salvarsan/
六府 [ろっぷ] /(n) the six internal organs (large intestine, small intestine, gallbladder, stomach, san jiao, urinary bladder)/
六部 [りくぶ] /(n) Six Ministries (Sui-dynasty to Qing-dynasty China)/
六部 [ろくぶ] /(n) (1) six copies/(2) (abbr) Buddhist pilgrim (carrying 66 copies of the Lotus Sutra to be left at sites across Japan)/
六弗化硫黄 [ろくふっかいおう] /(n) sulfur hexafluoride/
六分 [ろっぷん] /(n-t) six minutes/
六分儀 [ろくぶんぎ] /(n) sextant/
六分儀座 [ろくぶんぎざ] /(n) Sextant (constellation)/
六辺形 [ろくへんけい] /(n) hexagon/
六放海綿 [ろっぽうかいめん] /(n) hexactinellid sponge/glass sponge (any sponge of class Hexactinellida)/
六方 [ろっぽう] /(n) (1) the six directions (north, south, east, west, up, and down)/(pref) (2) hexagonal/
六方晶系 [ろっぽうしょうけい] /(n) hexagonal crystal system/
六法 [ろっぽう] /(n) six law codes/
六法全書 [ろっぽうぜんしょ] /(n) the Statute Books/
六本 [ろっぽん] /(n) six (long cylindrical things)/
六面体 [ろくめんたい] /(n) hexahedron/
六曜 [ろくよう] /(n) Japanese calendar's six labels, indicating how auspicious each day is/
六連星 [ろくれんせい] /(n) The Pleiades/
六連発 [ろくれんぱつ] /(n) six-chambered (revolver)/
六腑 [ろっぷ] /(n) the six internal organs (large intestine, small intestine, gallbladder, stomach, san jiao, urinary bladder)/
六韜三略 [りくとうさんりゃく] /(n) two books on the art of war in ancient China/the secrets (essence) of the art of war/secrets of successful life/precepts for living/
麓 [ふもと] /(n) (uk) the foot/the bottom/the base (of a mountain)/(P)/
禄 [ろく] /(n) stipend/reward/
禄高 [ろくだか] /(n) (amount of a samurai's) stipend/
禄命 [ろくめい] /(n) one's lot/
肋 [あばら] /(n) (abbr) rib/rib cage/
肋凹 [ろくおう] /(n) costal fovea/
肋間 [ろっかん] /(n,adj-no) intercostal/
肋間筋 [ろっかんきん] /(n) intercostal muscle/
肋間神経 [ろっかんしんけい] /(n) intercostal nerve/
肋間神経痛 [ろっかんしんけいつう] /(n) intercostal neuralgia/
肋筋 [ろっきん] /(n) stirrup (in reinforced concrete construction)/
肋骨 [あばらぼね] /(n) (1) rib/(2) frame (of a ship)/
肋骨 [ろっこつ] /(n) (1) rib/(2) frame (of a ship)/
肋材 [ろくざい] /(n) lumber (for the ribs of a ship)/
肋肉 [ばらにく] /(n) boned rib (esp. of pork)/
肋膜 [ろくまく] /(n,adj-no) pleura/
肋木 [ろくぼく] /(n) wall bars/
録 [ろく] /(n,suf) record/transcript/
録する [ろくする] /(vs-s,vt) to record/
録り溜め [とりだめ] /(n,vs) video taping (and storing)/
録る [とる] /(v5r) to record (video, audio, etc.)/
録れる [とれる] /(v1) (1) to be recorded (sound, etc.)/(2) to be able to record/
録音 [ろくおん] /(n,vs) (audio) recording/(P)/
録音テープ [ろくおんテープ] /(n) audio tape/magnetic tape/(P)/
録音機 [ろくおんき] /(n) tape recorder/
録音盤 [ろくおんばん] /(n) record/sound-recording/
録音放送 [ろくおんほうそう] /(n) pre-recorded broadcast/
録画 [ろくが] /(n,vs) (video) recording/(P)/
録取 [ろくしゅ] /(n,vs) recording/record-taking/
論 [ろん] /(n) (1) argument/discussion/dispute/controversy/discourse/debate/(2) theory/doctrine/(3) essay/treatise/comment/
論う [あげつらう] /(v5u,vt) (1) (uk) to discuss/(2) to find fault with/to criticize/to criticise/
論じる [ろんじる] /(v1,vt) to argue/to discuss/to debate/(P)/
論じ尽くす [ろんじつくす] /(v5s) to deal exhaustively with/(P)/
論ずる [ろんずる] /(vz,vt) to argue/to discuss/to debate/(P)/
論より証拠 [ろんよりしょうこ] /(exp) the proof of the pudding is in the eating (lit: evidence is better than debate)/
論をまたない [ろんをまたない] /(exp) needless to say/it goes without saying/
論を俟たない [ろんをまたない] /(exp) needless to say/it goes without saying/
論外 [ろんがい] /(adj-na,n,adj-no) out of the question/(P)/
論議 [ろんぎ] /(n,vs,adj-no) discussion/argument/debate/(P)/
論詰 [ろんきつ] /(n,vs) criticism/
論客 [ろんかく] /(n) controversialist/
論客 [ろんきゃく] /(n) controversialist/(P)/
論及 [ろんきゅう] /(n,vs) mention/reference to/touching upon/
論究 [ろんきゅう] /(n,vs) discuss thoroughly/deal exhaustively with/
論拠 [ろんきょ] /(n) grounds of an argument/(P)/
論結 [ろんけつ] /(n,vs) conclusion/
論語 [ろんご] /(n) the Analects of Confucius - one of the Four Books/
論語読みの論語知らず [ろんごよみのろんごしらず] /(exp) a mere scholar, unable to practically use what he has learned/someone who knows a theory, but cannot apply it/
論功行賞 [ろんこうこうしょう] /(n) conferral of honors (honours), according to merits/
論考 [ろんこう] /(n,vs) study (of something)/
論告 [ろんこく] /(n,vs) prosecutor's closing argument/(P)/
論告求刑 [ろんこくきゅうけい] /(n) closing argument/
論策 [ろんさく] /(n) (written) treatment of current events/
論賛 [ろんさん] /(n,vs) comments on those listed in a biography/
論旨 [ろんし] /(n) point of an argument/drift of an argument/(P)/
論旨不明 [ろんしふめい] /(n,adj-na) the point of an argument being unclear/the tenor of an argument being poorly reasoned/
論旨明快 [ろんしめいかい] /(n,adj-na) the point of an argument being clearly stated/the tenor of an argument being well-reasoned/
論者 [ろんしゃ] /(n) advocate/(P)/
論集 [ろんしゅう] /(n) treatise or essay collection/
論述 [ろんじゅつ] /(n,vs) statement/setting forth/
論書 [ろんしょ] /(n) (Buddh) textbook of Buddhist treatises (containing interpretation of the sutras)/
論証 [ろんしょう] /(n,vs) proof/certain truth/demonstration/
論陣 [ろんじん] /(n) (construction of an) argument/
論陣を張る [ろんじんをはる] /(exp,v5r) to take a firm stand/to argue about/
論説 [ろんせつ] /(n) editorial/dissertation/(P)/
論説委員 [ろんせついいん] /(n) editorial writer/
論説欄 [ろんせつらん] /(n) editorial column/
論戦 [ろんせん] /(n,vs) verbal dispute/(P)/
論戦を張る [ろんせんをはる] /(exp,v5r) (obsc) to take a firm stand/to argue about/
論叢 [ろんそう] /(n) treatise or essay collection/
論争 [ろんそう] /(n,vs,adj-no) controversy/dispute/(P)/
論争者 [ろんそうしゃ] /(n) disputant/
論題 [ろんだい] /(n,adj-no) subject/theme/
論壇 [ろんだん] /(n) rostrum/the world of criticism/
論断 [ろんだん] /(n,vs) conclusion/verdict/
論調 [ろんちょう] /(n) tenor or drift of an argument/(P)/
論定 [ろんてい] /(n,vs) discussing and deciding/
論敵 [ろんてき] /(n) opponent in a debate or argument/
論点 [ろんてん] /(n) point in question (at issue)/(P)/
論難 [ろんなん] /(n,vs) criticism/censure/
論難攻撃 [ろんなんこうげき] /(n,vs) attacking by argument/denunciation/condemnation/heated controversy/
論破 [ろんぱ] /(n,vs) defeating (winning) in an argument/
論駁 [ろんばく] /(n,vs) refutation/confutation/
論判 [ろんぱん] /(n,vs) argument/disputation/
論評 [ろんぴょう] /(n,vs) comment/criticism/(P)/
論文 [ろんぶん] /(n) thesis/essay/treatise/paper/article/(P)/
論文誌 [ろんぶんし] /(n) (academic) journal/
論文式試験 [ろんぶんしきしけん] /(n) essay-type test/essay-based examination/
論文集 [ろんぶんしゅう] /(n) collected papers/collected works/collection of articles and essays/
論文博士 [ろんぶんはかせ] /(n) doctoral degree (e.g. PhD) by thesis only/
論文博士 [ろんぶんはくし] /(n) doctoral degree (e.g. PhD) by thesis only/
論弁 [ろんべん] /(n,vs) argument/
論法 [ろんぽう] /(n) logic/reasoning/
論鋒 [ろんぽう] /(n) tone or force of an argument/
論孟 [ろんもう] /(n) The Confucian Analects and the Discourses of Mencius/
論理 [ろんり] /(n) (1) logic/(adj-no) (2) logical/(P)/
論理けた送り [ろんりけたおくり] /(n) (comp) logical shift/logic shift/
論理アドレス [ろんりアドレス] /(n) (comp) logical address/
論理エラー [ろんりエラー] /(n) (comp) logical error/
論理ゲート [ろんりゲート] /(n) (comp) logic gate/
論理コントローラ [ろんりコントローラ] /(n) (comp) logical controller/
論理シフト [ろんりシフト] /(n) (comp) logical shift/
論理ドライブ [ろんりドライブ] /(n) (comp) logical drive/
論理ノード [ろんりノード] /(n) (comp) logical node/
論理パス [ろんりパス] /(n) (comp) logical path/
論理フォーマット [ろんりフォーマット] /(n) (comp) logical format/
論理ブロック [ろんりブロック] /(n) (comp) logical block/
論理ブロックアドレス [ろんりブロックアドレス] /(n) (comp) logical block address/
論理プログラミング [ろんりプログラミング] /(n) (comp) logic programming/
論理ページ [ろんりページ] /(n) (comp) logical page/
論理ユニット [ろんりユニット] /(n) (comp) logical unit/
論理ユニット番号 [ろんりユニットばんごう] /(n) (comp) logical unit number/
論理リンク [ろんりリンク] /(n) (comp) logical link/
論理リンク制御 [ろんりリンクせいぎょ] /(n) (comp) logical link control/LLC/
論理リンク制御プロトコル [ろんりリンクせいぎょプロトコル] /(n) (comp) logical link control protocol/
論理リンク制御副層 [ろんりリンクせいぎょふくそう] /(n) (comp) logical link control layer/
論理リング [ろんりリング] /(n) (comp) logical ring/
論理レコード [ろんりレコード] /(n) (comp) logical record/
論理レベル [ろんりレベル] /(n) (comp) logic level/
論理演算 [ろんりえんざん] /(n) (comp) logic operation/logical operation/
論理演算機構 [ろんりえんざんきこう] /(n) (comp) logic unit/
論理演算子 [ろんりえんざんし] /(n) (comp) logical operator/
論理演算装置 [ろんりえんざんそうち] /(n) (comp) logic unit/arithmetic and logic unit/ALU/
論理回路 [ろんりかいろ] /(n) (comp) logic device/logic circuit/
論理学 [ろんりがく] /(n) (study of) logic/
論理機構 [ろんりきこう] /(n) (comp) logic device/
論理記号 [ろんりきごう] /(n) (comp) logic symbol/
論理型 [ろんりがた] /(n) (comp) boolean type/
論理型言語 [ろんりがたげんご] /(n) (comp) logic programming language/
論理形式 [ろんりけいしき] /(n) logical form/
論理構成 [ろんりこうせい] /(n) (comp) logical layout, organization/
論理構造 [ろんりこうぞう] /(n) (comp) logical structure/
論理構造編集処理 [ろんりこうぞうへんしゅうしょり] /(n) (comp) logical structure editing process/
論理合成 [ろんりごうせい] /(n,vs) logic synthesis (semiconductor technique)/
論理実証主義 [ろんりじっしょうしゅぎ] /(n) logical positivism/
論理主義 [ろんりしゅぎ] /(n) logicism/
論理順番 [ろんりじゅんばん] /(n) (comp) sequential logical order/
論理図 [ろんりず] /(n) (comp) logic diagram/
論理積 [ろんりせき] /(n) (comp) logical product/AND operation/conjunction/intersection/
論理積演算 [ろんりせきえんざん] /(n) (comp) AND operation/
論理積結合 [ろんりせきけつごう] /(n) (comp) conjunction/
論理積素子 [ろんりせきそし] /(n) (comp) AND gate/AND element/
論理設計 [ろんりせっけい] /(n) (comp) logic design/
論理素子 [ろんりそし] /(n) (comp) gate/logic element/
論理装置 [ろんりそうち] /(n) (comp) logical unit/
論理対象体 [ろんりたいしょうたい] /(n) (comp) logical object/
論理対象体クラス [ろんりたいしょうたいクラス] /(n) (comp) logical object class/
論理的 [ろんりてき] /(adj-na) logical/(P)/
論理的否定 [ろんりてきひてい] /(n) (comp) logical negation/
論理入力装置 [ろんりにゅうりょくそうち] /(n) (comp) logical input device/logical input value/
論理爆弾 [ろんりばくだん] /(n) (comp) logic bomb/
論理番号 [ろんりばんごう] /(n) (comp) logical number/
論理否定演算 [ろんりひていえんざん] /(n) (comp) NOT operation/
論理否定回路 [ろんりひていかいろ] /(n) (comp) logical NOT circuit/
論理比較 [ろんりひかく] /(n) (comp) logical comparison/
論理矛盾 [ろんりむじゅん] /(n) (comp) (logically) inconsistent/
論理和 [ろんりわ] /(n) disjunction/logical sum/logical add/OR operation/
論理和素子 [ろんりわそし] /(n) (comp) (INCLUSIVE-) OR gate/(INCLUSIVE-)OR element/
倭 [やまと] /(n) (1) Yamato/ancient province corresponding to modern-day Nara Prefecture/(2) (ancient) Japan/(adj-f) (3) Japanese/
倭鞍 [やまとぐら] /(n) Japanese-style ritual saddle/
倭鞍 [わぐら] /(n) Japanese-style ritual saddle/
倭王 [わおう] /(n) (arch) king of Yamato/
倭歌 [わか] /(n) waka (classic Japanese poem, esp. a tanka, often 31 mora)/
倭絵 [やまとえ] /(n) Yamato-e (classical Japan decorative paintings)/
倭漢氏 [やまとのあやうじ] /(n) Yamato no Aya clan/
倭鏡 [わきょう] /(n) Japanese-style mirror/
倭琴 [やまとごと] /(n) ancient Japanese koto (thought to be native to Japan)/
倭訓 [わくん] /(n) Japanese reading of a Chinese character/
倭語 [わご] /(n) native Japanese words (especially as opposed to Chinese and other foreign loanwords)/
倭国 [わこく] /(n) Yamato/ancient Japan/name by which Chinese rulers used to call Japan/
倭産 [わさん] /(n,adj-no) (obsc) Japanese production/Japanese product/
倭人 [わじん] /(n) (arch) Japanese person (term esp. used in ancient China, etc.)/
倭名類聚鈔 [わみょうるいじゅしょう] /(n) Wamyoruijusho (famous Heian-period Japanese dictionary)/
倭名鈔 [わみょうしょう] /(n) (abbr) Wamyoruijusho (famous Heian-period Japanese dictionary)/
倭冦 [わこう] /(n) Japanese pirates (of the Middle Ages)/
倭寇 [わこう] /(n) Japanese pirates (of the Middle Ages)/
和 [なぎ] /(n) calm/lull/
和 [やわ] /(adj-na) poorly-built/weak/insubstantial/
和 [わ] /(n) (1) sum/(2) harmony/peace/(pref) (3) Japanese-style/(P)/
和える [あえる] /(v1,vt) to dress vegetables (salad)/
和え物 [あえもの] /(n) (food) chopped fish, shellfish or vegetables, dressed with (miso or other) sauce/
和ぎ [なぎ] /(n) calm/lull/
和して同ぜず [わしてどうぜず] /(exp) harmonize but not agree (harmonise)/
和する [わする] /(vs-s,vi) (1) to get along/(2) to add (one's own concordant voice, etc.)/
和む [なごむ] /(v5m) to be softened/to calm down/(P)/
和める [なごめる] /(v1,vt) to calm/to soothe/to quiet/to appease/
和やか [なごやか] /(adj-na,n) mild/calm/gentle/quiet/harmonious/(P)/
和やかな家庭 [なごやかなかてい] /(n) harmonious (happy) family/
和らぎ [やわらぎ] /(n) alleviation/abatement/peacefulness/
和らぐ [やわらぐ] /(v5g,vi) to soften/to calm down/to be mitigated/(P)/
和らげる [やわらげる] /(v1,vt) to soften/to moderate/to relieve/(P)/
和を結ぶ [わをむすぶ] /(exp,v5b) to make peace/
和鞍 [やまとぐら] /(n) Japanese-style ritual saddle/
和鞍 [わぐら] /(n) Japanese-style ritual saddle/
和英 [わえい] /(n) Japanese-English/(P)/
和英辞書 [わえいじしょ] /(n) Japanese-English dictionary/
和英辞典 [わえいじてん] /(n) Japanese-English dictionary/
和音 [わおん] /(n,adj-no) (1) chord (music)/(2) (Japanese) On reading/(3) Japanese music/
和歌 [わか] /(n) waka (classic Japanese poem, esp. a tanka, often 31 mora)/(P)/
和歌を詠む [わかをよむ] /(exp,v5m) to compose a waka/
和歌山県 [わかやまけん] /(n) Wakayama prefecture (Kinki area)/
和菓子 [わがし] /(n) Japanese confectionery/(P)/
和解 [わかい] /(n,vs,adj-no) (1) reconciliation/settlement/accommodation/compromise/mediation/rapprochement/(2) (legal) settlement/(3) (arch) translation of a foreign language into Japanese/(P)/
和解 [わげ] /(n,vs,adj-no) (1) reconciliation/settlement/accommodation/compromise/mediation/rapprochement/(2) (arch) translation of a foreign language into Japanese/
和解案 [わかいあん] /(n) settlement (legal)/compromise settlement/settlement offer/
和解離婚 [わかいりこん] /(n) divorce by settlement/
和楽 [わがく] /(n) Japanese music/
和楽 [わらく] /(n,vs) peace and harmony/
和楽器 [わがっき] /(n) traditional Japanese musical instrument/
和姦 [わかん] /(n) (consensual) sexual intercourse/
和漢 [わかん] /(n) Japanese-Chinese/Japan and China/
和漢薬 [わかんやく] /(n) Japanese and Chinese medicine/oriental medicine/
和顔愛語 [わがんあいご] /(exp) with a gentle face and a nice word/
和気 [わき] /(n) harmonious atmosphere/
和気あいあい [わきあいあい] /(adj-na,adj-no,adj-t,adv-to) harmonious/peaceful/congenial/
和気藹々 [わきあいあい] /(adj-na,adj-no,adj-t,adv-to) harmonious/peaceful/congenial/
和気藹藹 [わきあいあい] /(adj-na,adj-no,adj-t,adv-to) harmonious/peaceful/congenial/
和気靄々 [わきあいあい] /(adj-na,adj-no,adj-t,adv-to) harmonious/peaceful/congenial/
和気靄靄 [わきあいあい] /(adj-na,adj-no,adj-t,adv-to) harmonious/peaceful/congenial/
和議 [わぎ] /(n) peace conference/peace negotiations/(P)/
和牛 [わぎゅう] /(n) Wagyu beef/Japanese beef/(P)/
和鏡 [わきょう] /(n) Japanese-style mirror/
和琴 [わごん] /(n) six-stringed Japanese zither/
和金 [わきん] /(n) Japanese wakin goldfish variety/
和訓 [わくん] /(n) Japanese reading of a Chinese character/
和敬清寂 [わけいせいじゃく] /(n) harmony, respect, purity and tranquility/the four most important elements of the tea ceremony/
和敬静寂 [わけいせいじゃく] /(iK) (n) harmony, respect, purity and tranquility/the four most important elements of the tea ceremony/
和語 [わご] /(n) native Japanese words (especially as opposed to Chinese and other foreign loanwords)/(P)/
和光同塵 [わこうどうじん] /(n) mingling with the world by hiding one's true talent or knowledge/living a quiet life by effacing oneself/
和合 [わごう] /(n,vs) harmony/concord/agreement/unity/union/
和国 [わこく] /(n) Yamato/ancient Japan/name by which Chinese rulers used to call Japan/
和魂漢才 [わこんかんさい] /(n) the Japanese spirit imbued with Chinese learning/
和魂洋才 [わこんようさい] /(n) Japanese spirit with Western learning/
和妻 [わづま] /(n) branch of ancient Japanese magic tricks inherited mainly from oral tradition/
和裁 [わさい] /(n) (abbr) Japanese clothing manufacture/
和三盆 [わさんぼん] /(n) refined Japanese sugar/
和傘 [わがさ] /(n) Japanese umbrella/
和産 [わさん] /(n,adj-no) (obsc) Japanese production/Japanese product/
和算 [わさん] /(n) Japanese mathematics/mathematics developed in Japan/
和算家 [わさんか] /(n) scholar of Japanese mathematics/expert of Japanese maths/
和讃 [わさん] /(n) Japanese translation of Buddhist hymns of praise/
和子 [わこ] /(n,pn) (arch) son of a person of high social standing/
和紙 [わし] /(n) Japanese paper/(P)/
和字 [わじ] /(n) kanji devised in Japan/
和時計 [わどけい] /(n) clocks made in Japan, mainly in the Edo period/clocks that tell Japanese time/
和式 [わしき] /(n) Japanese style/(P)/
和室 [わしつ] /(n) Japanese-style room/(P)/
和主 [わぬし] /(n) (arch) you (familiar or derogatory)/
和集合 [わしゅうごう] /(n) (math) union/
和書 [わしょ] /(n) (Japanese) book bound in the Japanese style/
和尚 [おしょう] /(n) (1) (hon) preceptor or high priest (esp. in Zen or Pure Land Buddhism)/(2) second highest priestly rank in Buddhism/(3) monk (esp. the head monk of a temple)/(4) master (of one's art, trade, etc.)/(P)/
和尚 [かしょう] /(n) (1) (hon) preceptor or high priest (in Tendai or Kegon Buddhism)/(2) second highest priestly rank in Buddhism/(3) monk (esp. the head monk of a temple)/(4) master (of one's art, trade, etc.)/
和尚 [わじょう] /(n) (1) (hon) preceptor or high priest (in Shingon, Hosso, Ritsu or Shin Buddhism)/(2) second highest priestly rank in Buddhism/(3) master (of one's art, trade, etc.)/
和上 [かしょう] /(n) (1) (hon) preceptor or high priest (in Tendai or Kegon Buddhism)/(2) second highest priestly rank in Buddhism/(3) monk (esp. the head monk of a temple)/(4) master (of one's art, trade, etc.)/
和上 [わじょう] /(n) (1) (hon) preceptor or high priest (in Shingon, Hosso, Ritsu or Shin Buddhism)/(2) second highest priestly rank in Buddhism/(3) master (of one's art, trade, etc.)/
和食 [わしょく] /(n) Japanese-style meal/(P)/
和食回帰 [わしょくかいき] /(n) revival of Japanese food/
和親 [わしん] /(n,vs) friendship/
和親条約 [わしんじょうやく] /(n) treaty of peace and amity/peace treaty/
和人 [わじん] /(n) (arch) Japanese person (term esp. used in ancient China, etc.)/
和人 [わひと] /(n) (arch) you (nuance of either deep affection or contempt)/
和人ども [わひとども] /(n) (arch) you (familiar or derog.; usu. plural)/
和声 [わせい] /(n,adj-no) harmony/concord/consonance/
和声学 [わせいがく] /(n) harmonics/
和声的短音階 [わせいてきたんおんかい] /(n) harmonic minor scale/
和声法 [わせいほう] /(n) law of harmony/
和製 [わせい] /(n) Japanese-made/
和製英語 [わせいえいご] /(n) Japanese word constructed of elements from one or more English terms/
和西 [わせい] /(exp) Japanese-Spanish/
和戦 [わせん] /(n) war and peace/peace/
和船 [わせん] /(n) Japanese-style ship/
和僧 [わそう] /(n) (arch) (vocative) monk (familiar or derogatory)/
和装 [わそう] /(n,adj-no) dressed in kimono/Japanese clothing/
和装本 [わそうぼん] /(n) book bound in Eastern style/
和太鼓 [わたいこ] /(n) Japanese drum/
和太鼓 [わだいこ] /(n) Japanese drum/
和衷協同 [わちゅうきょうどう] /(n,vs) harmonious cooperation/in close cooperation/
和痛分娩 [わつうぶんべん] /(n) delivery with little pain (i.e. use of pain-reducing drugs)/
和綴 [わとじ] /(n) Japanese-style book binding/
和綴じ [わとじ] /(n) Japanese-style book binding/
和殿 [わどの] /(n) (arch) you (familiar or derogatory)/
和同開珎 [わどうかいちん] /(n) Japan's first circulated coinage (minted in 708 CE)/
和同開珎 [わどうかいほ] /(n) Japan's first circulated coinage (minted in 708 CE)/
和銅 [わどう] /(n) Wadou era (708.1.11-715.9.2)/
和独 [わどく] /(n) Japanese-German (e.g. dictionary)/
和独辞典 [わどくじてん] /(n) Japanese-German dictionary/
和布 [わかめ] /(n) (uk) wakame (species of edible brown seaweed, Undaria pinnatifida)/(P)/
和布蕪 [めかぶ] /(n) thick wakame leaves, from near the stalk/
和布蕪 [めかぶら] /(n) thick wakame leaves, from near the stalk/
和風 [わふう] /(n) (1) Japanese style/(2) light wind/moderate breeze/(P)/
和服 [わふく] /(n) Japanese clothes/(P)/
和仏 [わふつ] /(n) Japanese-French (e.g. dictionary)/
和仏辞典 [わふつじてん] /(n) Japanese-French dictionary/
和物 [あえもの] /(n) (food) chopped fish, shellfish or vegetables, dressed with (miso or other) sauce/
和文 [わぶん] /(n) Japanese text/sentence in Japanese/(P)/
和文英訳 [わぶんえいやく] /(n) Japanese-English translation/
和平 [わへい] /(n,vs) peace/(P)/
和平プロセス [わへいプロセス] /(n) peace process/
和平会議 [わへいかいぎ] /(n) peace conference/
和平会談 [わへいかいだん] /(n) peace conference/peace talks/
和平協定 [わへいきょうてい] /(n) peace agreement/peace accord/
和平交渉 [わへいこうしょう] /(n) peace talks/peace negotiations/
和平工作 [わへいこうさく] /(n) a peace initiative/
和柄 [わがら] /(n) traditional Japanese pattern/traditional Japanese design/
和包丁 [わぼうちょう] /(n) Japanese knife/
和方 [わほう] /(n) traditional Japanese medicine/
和睦 [わぼく] /(n,vs) reconciliation/peace/rapprochement/
和本 [わほん] /(n) book bound in Japanese style/
和名 [わみょう] /(n) Japanese name (often of plants and animals, and written in kana)/
和名 [わめい] /(n) Japanese name (often of plants and animals, and written in kana)/
和名抄 [わみょうしょう] /(n) (abbr) Wamyoruijusho (famous Heian-period Japanese dictionary)/
和毛 [にこげ] /(n) downy hair/
和訳 [わやく] /(n,vs) Japanese translation/
和様 [わよう] /(n,adj-no) (traditional) Japanese style/
和洋 [わよう] /(n) Japan and Europe/
和洋折衷 [わようせっちゅう] /(n,adj-no) a blending of Japanese and Western styles/(P)/
和洋中 [わようちゅう] /(n) Japanese, Chinese and Western (e.g. when referring to food styles available, etc.)/
和蘭 [オランダ] /(ateji) (n,adj-no) (uk) Holland (por: Olanda)/The Netherlands/
和蘭陀 [オランダ] /(ateji) (n,adj-no) (uk) Holland (por: Olanda)/The Netherlands/
和林檎 [わりんご] /(n) (uk) Chinese apple (Malus asiatica)/
和暦 [われき] /(n) (1) Japanese calendar/(2) Japanese imperial year/
和露 [わろ] /(n) Japan and Russia/Japanese-Russian/
和郎 [わろ] /(n) (1) (arch) boy (sometimes derog.)/(pn) (2) (fam) you/
和郎 [わろう] /(n) (1) (arch) boy (sometimes derog.)/(pn) (2) (fam) you/
和冦 [わこう] /(n) Japanese pirates (of the Middle Ages)/
和讚 [わさん] /(n) Japanese translation of Buddhist hymns of praise/
和鋏 [わばさみ] /(n) U-shaped scissors with no place to put one's fingers/
話 [はなし] /(n) (1) talk/speech/chat/story/conversation/(2) discussions/negotiation/argument/(P)/
話 [わ] /(ctr) counter for stories, episodes of TV series, etc./
話々 [はなしばなし] /(n,vs) small talk/
話がつく [はなしがつく] /(v5k) to come to an agreement/
話がわかる [はなしがわかる] /(exp,v5r) down to earth/reasonable/able to deal with/
話が違う [はなしがちがう] /(exp,v5u) that's not what you said (before)/that's not what was promised/
話が付く [はなしがつく] /(v5k) to come to an agreement/
話が分かる [はなしがわかる] /(exp,v5r) down to earth/reasonable/able to deal with/
話し [はなし] /(io) (n) (1) talk/speech/chat/story/conversation/(2) discussions/negotiation/argument/
話しかける [はなしかける] /(v1,vt) to accost a person/to talk (to someone)/
話しがい [はなしがい] /(adj-no,n) worth talking to/
話しぶり [はなしぶり] /(n) one's way of talking/
話し掛ける [はなしかける] /(v1,vt) to accost a person/to talk (to someone)/(P)/
話し言葉 [はなしことば] /(n,adj-no) (ling) spoken language/colloquial expression/(P)/
話し好き [はなしずき] /(n,adj-na) talkative person/gossip/
話し甲斐 [はなしがい] /(adj-no,n) worth talking to/
話し合い [はなしあい] /(n,vs) discussion/conference/(P)/
話し合う [はなしあう] /(v5u,vt) to discuss/to talk together/(P)/
話し込む [はなしこむ] /(v5m,vt) to be deep in talk/(P)/
話し始める [はなしはじめる] /(v1) to begin to speak/
話し手 [はなして] /(n) (1) speaker/(2) one who is skilled at speaking/
話し出す [はなしだす] /(v5s) to tell the truth/to open up/
話し上手 [はなしじょうず] /(adj-na,n) good talker/
話し振り [はなしぶり] /(n) one's way of talking/
話し声 [はなしごえ] /(n) speaking voice/talking voice/(P)/
話し相手 [はなしあいて] /(n) person with whom to speak/someone to talk to/companion/advisor/adviser/
話し中 [はなしちゅう] /(n) while talking/the line is busy/
話し方 [はなしかた] /(n) way of talking/speaking style/(P)/
話す [はなす] /(v5s,vt) to speak/(P)/
話せる [はなせる] /(v1,vi) to be understanding/to be sensible/
話にならない [はなしにならない] /(exp) to not be worth considering/to be out of the question/
話に花が咲く [はなしにはながさく] /(exp,v5k) to reminisce/to engage in a lively conversation/to discuss mutual interests/
話に花を咲かせる [はなしにはなをさかせる] /(exp,v1) to engage in lively conversation/
話のわかる [はなしのわかる] /(exp,adj-f) down to earth/reasonable/
話の腰を折る [はなしのこしをおる] /(exp,v5r) to interfere/to butt in/to interrupt someone/
話の種 [はなしのたね] /(n) topic of conversation/
話の先 [はなしのさき] /(n) sequel of a story/
話の分かる [はなしのわかる] /(exp,adj-f) down to earth/reasonable/
話をする [はなしをする] /(exp,vs-i) to have a talk/to tell a story/
話をそらす [はなしをそらす] /(exp,v5s) to change the subject (e.g. away from something awkward or inconvenient)/
話を逸らす [はなしをそらす] /(exp,v5s) to change the subject (e.g. away from something awkward or inconvenient)/
話を遮る [はなしをさえぎる] /(exp,v5r) to interrupt (a person)/
話を振る [はなしをふる] /(exp,v5r) to bring up a subject/to touch on a matter/
話を付ける [はなしをつける] /(exp,v1) to negotiate/to settle a matter/to arrange/
話下手 [はなしべた] /(adj-na,n) poor talker/
話芸 [わげい] /(n) (the art of) storytelling/
話言葉 [はなしことば] /(n,adj-no) (ling) spoken language/colloquial expression/
話好 [はなしずき] /(io) (n,adj-na) talkative person/gossip/
話好き [はなしずき] /(n,adj-na) talkative person/gossip/
話合い [はなしあい] /(n,vs) discussion/conference/(P)/
話合う [はなしあう] /(v5u,vt) to discuss/to talk together/
話込む [はなしこむ] /(v5m,vt) to be deep in talk/(P)/
話者 [わしゃ] /(n) narrator/speaker/
話術 [わじゅつ] /(n,adj-no) art of conversation/
話上手 [はなしじょうず] /(adj-na,n) good talker/
話声 [はなしごえ] /(n) speaking voice/talking voice/
話相手 [はなしあいて] /(n) person with whom to speak/someone to talk to/companion/advisor/adviser/
話題 [わだい] /(n,adj-no) topic/subject/(P)/
話題になる [わだいになる] /(exp,v5r) to be in the news/to be talked about/to become a popular topic of conversation/to become the talk of the town/to become topical/
話題作 [わだいさく] /(n) much-discussed work (book, film, etc.)/
話題沸騰 [わだいふっとう] /(n) being much talked about/creating a stir/being the talk of town/
話中 [はなしちゅう] /(n) while talking/the line is busy/
話頭 [わとう] /(n) topic/subject/
話半分 [はなしはんぶん] /(n) taking a story with a grain of salt/hearing only half the story/
話柄 [わへい] /(n) topic/subject/
話変わって [はなしかわって] /(exp) meanwhile/in the meantime/on the other hand/
話法 [わほう] /(n) narration/
話話 [はなしばなし] /(n,vs) small talk/
歪 [いびつ] /(adj-na,n,adj-no) oval/elliptical/distorted/crooked/irregular/warped/
歪み [いがみ] /(n) strain/distortion/bend/
歪み [ひずみ] /(n) strain/distortion/bend/
歪み [ゆがみ] /(n) strain/distortion/bend/
歪む [いがむ] /(v5m,vi) to warp/to swerve/to deflect/to be crooked/to be distorted/to be bent/to incline/to slant/to be perverted/to be gross-grained/to get bent/to be strained/
歪む [ひずむ] /(v5m,vi) to warp/to swerve/to deflect/to be crooked/to be distorted/to be bent/to incline/to slant/to be perverted/to be gross-grained/to get bent/to be strained/
歪む [ゆがむ] /(v5m,vi) to warp/to swerve/to deflect/to be crooked/to be distorted/to be bent/to incline/to slant/to be perverted/to be gross-grained/to get bent/to be strained/(P)/
歪める [いがめる] /(v1,vt) to bend/to curve/to warp/to distort/
歪める [ゆがめる] /(v1,vt) to bend/to curve/to warp/to distort/
歪曲 [わいきょく] /(n,vs) distortion/falsification/perversion/
歪度 [わいど] /(n) skewness (statistics)/
歪力 [わいりょく] /(n) stress/
賄 [まいない] /(n) bribe/
賄い [まかない] /(n) boarding/board/meals/catering/cook/
賄い付き [まかないつき] /(n) with meals/meals inclusive/
賄い婦 [まかないふ] /(n) female cook/
賄い方 [まかないかた] /(n) kitchen manager/chef/cook/
賄う [まかなう] /(v5u,vt) to give board to/to provide meals/to pay/to cover (the cost)/(P)/
賄方 [まかないかた] /(io) (n) kitchen manager/chef/cook/
賄賂 [わいろ] /(n) bribe/sweetener/douceur/(P)/
脇 [かたわら] /(adj-no,n-adv,n-t) (1) side/edge/beside/besides/nearby/(n-adv) (2) while (doing)/
脇 [わき] /(n) (1) side/aside/(2) armpit/(3) back-burner/(P)/
脇が甘い [わきがあまい] /(exp,adj-i) (1) preventing one's opponent from getting an underarm grip (in sumo)/(2) having weak defenses/
脇による [わきによる] /(exp,v5r) to draw aside/
脇に寄る [わきによる] /(exp,v5r) to draw aside/
脇の下 [わきのした] /(n) armpit/axilla/
脇机 [わきづくえ] /(n) drawer unit (next to a desk)/return/
脇見 [わきみ] /(n,vs) looking from the side/looking aside/(P)/
脇見運転 [わきみうんてん] /(n,vs) looking aside while driving/taking one's eyes off the road ahead while driving/
脇戸 [わきど] /(n) side door/
脇差 [わきざし] /(n) short sword/
脇差し [わきざし] /(n) short sword/
脇士 [きょうじ] /(n) flanking attendant to the main deity of veneration in a temple/
脇士 [わきじ] /(n) flanking attendant to the main deity of veneration in a temple/
脇侍 [きょうじ] /(n) flanking attendant to the main deity of veneration in a temple/
脇侍 [わきじ] /(n) flanking attendant to the main deity of veneration in a temple/
脇寺 [わきでら] /(oK) (n) sub-temple/affiliated temple/
脇息 [きょうそく] /(n) armrest/
脇道 [わきみち] /(n,adj-no) side road/byroad/digression/
脇能 [わきのう] /(n) minor piece in noh plays/
脇付 [わきづけ] /(n) any of a number of respectful terms written after the addressee's name in a formal letter/
脇腹 [わきばら] /(n) flank/
脇明け [わきあけ] /(n) (1) robe worn by military officials with a round collar, unstitched open sides, and no wrapped fabric along the bottom/(2) small opening in the side of traditional Japanese clothing (where the sleeve meets the bodice, below the armpit)/clothing with such an opening (usu. worn by women or children)/
脇毛 [わきげ] /(n) underarm hair/
脇目 [わきめ] /(n) looking aside/(from the) eyes of an onlooker/
脇目も振らずに [わきめもふらずに] /(exp) without looking aside/looking neither right nor left/wholeheartedly/
脇役 [わきやく] /(n,adj-no) supporting role (actor)/minor role/(P)/
惑い [まどい] /(n) delusion/illusion/infatuation/bewilderment/perplexity/
惑い箸 [まどいばし] /(n) hovering one's chopsticks back and forth over side dishes, when trying to choose which one to take (a breach of etiquette)/
惑う [まどう] /(v5u,vi) to be puzzled/to be perplexed/to have doubts/to feel lost/to be at sea/
惑わす [まどわす] /(v5s,vt) (1) to bewilder/to perplex/to puzzle/to delude/to mislead/to deceive/(2) to tempt/to seduce/(P)/
惑わせる [まどわせる] /(v1) to lead astray/
惑星 [わくせい] /(n) planet/(P)/
惑星科学 [わくせいかがく] /(n) planetary science/
惑星系 [わくせいけい] /(n) planetary system/star system/
惑星状星雲 [わくせいじょうせいうん] /(n) planetary nebula/
惑星探査 [わくせいたんさ] /(n) planetary exploration/
惑溺 [わくでき] /(n,vs) being addicted or given over to/
惑乱 [わくらん] /(n,vs) bewilderment/confusion/
枠 [わく] /(n,n-suf) frame/slide/border/(P)/
枠に嵌まった [わくにはまった] /(adj-f) stereotyped/
枠を付ける [わくをつける] /(exp,v1) to set a frame/to frame/
枠外 [わくがい] /(n) beyond (the) limits/(P)/
枠型アンテナ [わくがたアンテナ] /(n) (obsc) frame antenna/
枠形アンテナ [わくがたアンテナ] /(n) (obsc) frame antenna/
枠線 [わくせん] /(n) grid-line (e.g. in spreadsheet)/closing line/
枠組 [わくぐみ] /(n) frame/framework/
枠組み [わくぐみ] /(n) frame/framework/(P)/
枠内 [わくない] /(n) within the limits (framework, boundaries, price, etc.)/(P)/
枠番連勝 [わくばんれんしょう] /(n) bracket win (in horse-racing)/bracket quinella/
枠物語 [わくものがたり] /(n) frame story/frame narrative/frame tale/
鷲 [わし] /(n) eagle (Accipitridae family)/(P)/
鷲づかみ [わしづかみ] /(n) grabbing hold/eagle grip/tight hold/
鷲座 [わしざ] /(n) (constellation) Aquila/
鷲掴み [わしづかみ] /(n) grabbing hold/eagle grip/tight hold/
鷲鼻 [わしばな] /(n) aquiline or hook nose/
鷲木菟 [わしみみずく] /(n) (uk) Eurasian eagle owl (Bubo bubo)/
亙る [わたる] /(v5r,vi) (1) to cross over/to go across/(2) to extend/to cover/to range/to span/
亙古 [こうこ] /(n) (arch) (obsc) from long ago up until the present day/
亘る [わたる] /(v5r,vi) (1) to cross over/to go across/(2) to extend/to cover/to range/to span/
亘古 [こうこ] /(n) (arch) for ever/from ancient times/
鰐 [わに] /(n,adj-no) (1) (uk) crocodile/alligator/crocodilian/(2) (arch) shark/
鰐亀 [わにがめ] /(n) (uk) alligator snapping turtle (Macroclemys temminckii)/
鰐口 [わにぐち] /(n,adj-no) (1) (derog) wide mouth/(n) (2) alligator/(3) temple gong/
鰐鮫 [わにざめ] /(n) (col) ferocious shark/
鰐足 [わにあし] /(n) bowlegs/knock-kneed/
鰐皮 [わにがわ] /(n) crocodile or alligator skin (hide)/
鰐蜥蜴鱚目 [わにとかげぎすもく] /(n) Stomiiformes (order of deep-sea ray-finned fishes)/
詫び [わび] /(n) apology/excuse/(P)/
詫びる [わびる] /(v1,vi) to apologize/to apologise/(P)/
詫びをいれる [わびをいれる] /(exp,v1) to make an apology/
詫びを入れる [わびをいれる] /(exp,v1) to make an apology/
詫び言 [わびごと] /(n) apology/
詫び寂び [わびさび] /(iK) (n) (uk) aesthetic sense in Japanese art emphasising quiet simplicity and subdued refinement/
詫び状 [わびじょう] /(n) letter of apology/
詫び入る [わびいる] /(v5r,vi) to apologize sincerely/to apologise sincerely/
詫る [わびる] /(io) (v1,vi) to apologize/to apologise/
詫状 [わびじょう] /(n) letter of apology/
藁 [わら] /(n) straw/(P)/
藁しべ [わらしべ] /(n) (rice) stalk/
藁で束ねても男は男 [わらでたばねてもおとこはおとこ] /(exp) a man is still a man even if his hair is tied with straw/a man is still a man even if he's poor/
藁屋根 [わらやね] /(n) straw-thatched roof/
藁灰 [わらばい] /(n) straw ashes/
藁蒲団 [わらぶとん] /(n) straw futon/straw mattress/palliasse/
藁靴 [わらぐつ] /(n) straw boots/
藁婚式 [わらこんしき] /(n) straw wedding (anniversary)/
藁仕事 [わらしごと] /(n,vs) making things out of straw (winter work for farmers)/
藁紙 [わらがみ] /(n) straw paper/
藁人形 [わらにんぎょう] /(n) straw doll or figure/straw effigy/
藁草履 [わらぞうり] /(n) straw zori/
藁塚 [わらづか] /(n) mound of straw/pile of straw/
藁半紙 [わらばんし] /(n) straw paper/
藁布団 [わらぶとん] /(n) straw futon/straw mattress/palliasse/
藁葺 [わらぶき] /(n) thatched roof/
藁葺き [わらぶき] /(n) thatched roof/
藁筵 [わらむしろ] /(n) (obsc) straw mat/
藁苞 [わらすぼ] /(n) (uk) Odontamblyopus lacepedii (species of eel goby)/
藁苞 [わらづと] /(n) straw wrapper/
蕨 [わらび] /(n) bracken/
蕨糊 [わらびのり] /(n) (uk) type of glue produced from bracken starch/
蕨粉 [わらびこ] /(n) bracken starch (starch produced from the rhizomes of bracken)/
蕨餅 [わらびもち] /(n) bracken-starch dumpling (type of dumpling traditionally made using bracken starch)/
椀 [わん] /(n) Japanese soup bowl/wooden bowl/(P)/
椀ぎ取る [もぎとる] /(v5r) (uk) to pluck off/to pick/to break or tear off/to wrest (away from)/to wrench free/to snatch (away)/
椀形アンテナ [わんようアンテナ] /(n) dish antenna/parabolic antenna/
椀子そば [わんこそば] /(n) (uk) soba noodles in broth served continuously so that the guest or customer never has an empty bowl/
椀子蕎麦 [わんこそば] /(n) (uk) soba noodles in broth served continuously so that the guest or customer never has an empty bowl/
椀種 [わんだね] /(n) soup ingredients/
椀盛 [わんもり] /(n) (ktb:) food cooked by boiling or stewing/
椀盛り [わんもり] /(n) (ktb:) food cooked by boiling or stewing/
椀飯振る舞い [おうばんぶるまい] /(n,vs) (1) lavish feast/splendid banquet/(2) corporate largess/lavish hospitality/
椀飯振舞 [おうばんぶるまい] /(n,vs) (1) lavish feast/splendid banquet/(2) corporate largess/lavish hospitality/
湾 [わん] /(n,n-suf) bay/gulf/inlet/(P)/
湾岸 [わんがん] /(n) gulf coast/bay coast/(P)/
湾岸危機 [わんがんきき] /(n) Gulf War (1990)/Persian Gulf crisis/
湾岸戦争 [わんがんせんそう] /(n) the Gulf War/
湾曲 [わんきょく] /(n,vs,adj-no) curve/bend/crook/(P)/
湾曲部 [わんきょくぶ] /(n) bend/flexure/
湾口 [わんこう] /(n) entrance or mouth of a bay/
湾頭 [わんとう] /(n) bay shore/
湾内 [わんない] /(n) inside the bay/
湾入 [わんにゅう] /(n,vs) embayment/gulf/indentation/
湾流 [わんりゅう] /(n) the Gulf Stream/
碗 [わん] /(n) bowl (porcelain)/
腕 [うで] /(n) (1) arm/(2) skill/(P)/
腕 [かいな] /(n) (1) (arch) arm (esp. upper arm)/(ctr) (2) counter used to measure the thickness of round objects/
腕がいい [うでがいい] /(exp,adj-i) able/skilled/
腕がない [うでがない] /(exp,adj-i) unskilled/not very good at/
腕がなる [うでがなる] /(exp,v5r) to be itching to put one's skills to use/
腕がよい [うでがよい] /(exp,adj-i) able/skilled/
腕が悪い [うでがわるい] /(exp,adj-i) unskilled/less able/
腕が上がる [うでがあがる] /(exp,v5r) to gain in skill/to improve/to get better/
腕が鈍る [うでがにぶる] /(exp,v5r) to become less capable/
腕が無い [うでがない] /(exp,adj-i) unskilled/not very good at/
腕が鳴る [うでがなる] /(exp,v5r) to be itching to put one's skills to use/
腕が立つ [うでがたつ] /(exp,v5t) to be talented/to be able/
腕が良い [うでがいい] /(exp,adj-i) able/skilled/
腕が良い [うでがよい] /(exp,adj-i) able/skilled/
腕きき [うできき] /(adj-no,adj-na) (1) able/capable/competent/(n) (2) able person/person of ability/
腕ずく [うでずく] /(n,adj-no) main force/brute force/strong-arm/
腕ずもう [うでずもう] /(n) (1) arm wrestling/Indian wrestling/(2) sumo wrestling relying on brute strength (of the arms), rather than skill/
腕っぷし [うでっぷし] /(n) physical strength/
腕っ節 [うでっぷし] /(n) physical strength/
腕によりをかける [うでによりをかける] /(exp,v1) to put all one's skill (into doing something)/to do something to the best of one's ability/
腕によりを掛ける [うでによりをかける] /(exp,v1) to put all one's skill (into doing something)/to do something to the best of one's ability/
腕に覚えがある [うでにおぼえがある] /(exp) (id) to have confidence in one's own abilities/
腕に縒りをかける [うでによりをかける] /(exp,v1) to put all one's skill (into doing something)/to do something to the best of one's ability/
腕に縒りを掛ける [うでによりをかける] /(exp,v1) to put all one's skill (into doing something)/to do something to the best of one's ability/
腕に縒をかける [うでによりをかける] /(exp,v1) to put all one's skill (into doing something)/to do something to the best of one's ability/
腕に縒を掛ける [うでによりをかける] /(exp,v1) to put all one's skill (into doing something)/to do something to the best of one's ability/
腕のいい [うでのいい] /(adj-i) skillful/
腕の冴え [うでのさえ] /(n) dexterity/skill/
腕の良い [うでのいい] /(adj-i) skillful/
腕まくり [うでまくり] /(n,vs) rolling up one's sleeves/
腕をこまぬく [うでをこまぬく] /(exp,v5k) to look on with arms folded/
腕をこまねく [うでをこまねく] /(exp,v5k) to look on with arms folded/
腕を上げる [うでをあげる] /(exp,v1) to improve one's skill/
腕を振るう [うでをふるう] /(exp,v5u) to exercise one's talent/to display one's ability/
腕を組む [うでをくむ] /(exp,v5m) (1) to fold one's arms/(2) to link arms with someone/
腕を返す [かいなをかえす] /(exp,v5s) to place one's arms under those of the opponent and lift them up, in order to prevent an overhand grip on one's mawashi (in sumo)/
腕を磨く [うでをみがく] /(exp,v5k) to polish one's skills/
腕を拱く [うでをこまぬく] /(exp,v5k) to look on with arms folded/
腕を拱く [うでをこまねく] /(exp,v5k) to look on with arms folded/
腕捲り [うでまくり] /(n,vs) rolling up one's sleeves/
腕骨 [わんこつ] /(n) wristbone/carpus/carpal bone/
腕試し [うでだめし] /(n,vs) trying one's ability/
腕時計 [うでどけい] /(n) wristwatch/(P)/
腕自慢 [うでじまん] /(n,vs) pride in one's strength or skill/
腕首 [うでくび] /(n) wrist/
腕章 [わんしょう] /(n) arm band/
腕飾 [うでかざり] /(io) (n) armlet/bracelet/
腕飾り [うでかざり] /(n) armlet/bracelet/
腕尽く [うでずく] /(n,adj-no) main force/brute force/strong-arm/
腕尽く [うでづく] /(ok) (n,adj-no) main force/brute force/strong-arm/
腕前 [うでまえ] /(n) ability/skill/facility/(P)/
腕組 [うでぐみ] /(n,vs) folding one's arms/
腕組み [うでぐみ] /(n,vs) folding one's arms/
腕相撲 [うでずもう] /(n) (1) arm wrestling/Indian wrestling/(2) sumo wrestling relying on brute strength (of the arms), rather than skill/
腕足類 [わんそくるい] /(n) brachiopod/
腕弛るい [かったるい] /(adj-i) (1) (uk) listless/languid/sluggish/(2) irritating/exasperating/tiresome/
腕渡り [うでわたり] /(n) brachiation/swinging from branch to branch/
腕捻り [かいなひねり] /(n) two-handed arm twist down (sumo)/
腕白 [わんぱく] /(ateji) (adj-na,n) naughtiness/(P)/
腕白横綱 [わんぱくよこづな] /(n) champion of children's sumo/
腕白小僧 [わんぱくこぞう] /(n) naughty (mischievous) boy, little rascal (devil)/brat/
腕白盛り [わんぱくざかり] /(n) (at the) peak of mischievousness/little demon (of children)/
腕白相撲 [わんぱくずもう] /(n) children's sumo/
腕白仲間 [わんぱくなかま] /(n) group (gang) of naughty (mischievous) boys/
腕白坊主 [わんぱくぼうず] /(n) naughty (mischievous) boy, little rascal (devil)/brat/
腕比べ [うでくらべ] /(n,vs) contest (of strength or skill)/
腕枕 [うでまくら] /(n,vs) using one's arms as a pillow/
腕木 [うでき] /(n) crossarm/bracket/blade/semaphore/
腕木 [うでぎ] /(n) crossarm/bracket/blade/semaphore/
腕利き [うできき] /(adj-no,adj-na) (1) able/capable/competent/(n) (2) able person/person of ability/
腕立 [うでたて] /(n,vs) push-up/
腕立て伏せ [うでたてふせ] /(n,vs) push-up (exercise)/
腕立伏せ [うでたてふせ] /(n,vs) push-up (exercise)/
腕力 [わんりょく] /(n) physical strength/brute strength/arm strength/(P)/
腕力沙汰 [わんりょくざた] /(n) resorting (coming) to fisticuffs/coming to blows/
腕輪 [うでわ] /(n) bracelet/bangle/
个 [か] /(ctr) counter for the ichi-ni-san counting system (usu. directly preceding the item being counted)/a noun read using its on-yomi/
丼 [どん] /(n) (1) (abbr) bowl of rice with food on top/
丼 [どんぶり] /(n) (1) porcelain bowl/(2) (abbr) bowl of rice with food on top/(P)/
丼ぶり [どんぶり] /(io) (n) (1) porcelain bowl/(2) (abbr) bowl of rice with food on top/
丼勘定 [どんぶりかんじょう] /(n) sloppy accounting/
丼鉢 [どんぶりばち] /(n) bowl/
丼飯 [どんぶりめし] /(n) bowl of rice/
丼物 [どんぶりもの] /(n) bowl of rice with food on top/
乖離 [かいり] /(n,vs) divergence/alienation/deviation/estrangement/separation/detachment/
乘る [のる] /(oK) (v5r,vi) (1) to get on/to ride in/to board/to mount/to get up on/(2) to spread (paints)/to be taken in/(3) to share in/to join/to feel like doing/to be mentioned in/to be in harmony with/
亂暴 [らんぼう] /(oK) (adj-na,n,vs) rude/violent/rough/lawless/unreasonable/reckless/
于蘭盆 [うらぼん] /(n) Bon festival/Feast of Lanterns/
于蘭盆会 [うらぼんえ] /(n) Bon festival/Feast of Lanterns/Buddhist ceremony held on July 15/ullambana/
亢 [こう] /(n) Chinese "Neck" constellation (one of the 28 mansions)/
亢進 [こうしん] /(n,vs) rising/exasperated/accelerated/
亢奮 [こうふん] /(n,vs) excitement/stimulation/agitation/arousal/
亢竜 [こうりょう] /(n) dragon which has already ascended to the heavens/
仍って [よって] /(conj) (uk) therefore/consequently/accordingly/because of/
仍りて [よりて] /(conj) (arch) as such/for that reason/therefore/consequently/
仍孫 [じょうそん] /(n) great-great-great-great-great-grandchild/
仄 [ほの] /(pref) (uk) slight/dim/faint/
仄々 [ほのぼの] /(adv-to) (1) dimly/faintly/(2) heartwarming (e.g. story, etc.)/
仄か [ほのか] /(adj-na,n) faint/indistinct/stupid/few/(P)/
仄めかし [ほのめかし] /(n) hint/intimation/
仄めかす [ほのめかす] /(v5s,vt) (uk) to hint at/to intimate/to suggest/to allude to/to imply/(P)/
仄めく [ほのめく] /(v5k,vi) to be seen dimly/glimmer/
仄暗い [ほのぐらい] /(adj-i) gloomy/obscure/
仄声 [そくせい] /(n) the three tones of Chinese that exclude the high-level, or first, tone/
仄白い [ほのじろい] /(adj-i) dimly white/
仄聞 [そくぶん] /(n,vs) casually hearing/hearing casually/
仄明かり [ほのあかり] /(n) faint light/dim light/
仄仄 [ほのぼの] /(adv-to) (1) dimly/faintly/(2) heartwarming (e.g. story, etc.)/
仆す [たおす] /(v5s,vt) (1) to kill/to defeat/to beat/
仆れる [たおれる] /(v1,vi) (1) to be forced to bed (by illness, etc.)/(2) to die/(3) to go bankrupt/to be ruined/to have a bad debt/(4) to be defeated (in a game)/(5) to fall (of governments, dictators, etc.)/
仗 [じょう] /(n) cane/whipping rod/
仗 [つえ] /(n) cane/whipping rod/
仞 [じん] /(n) ren (ancient Chinese measure of height, depth, etc.; between 1-3 meters)/
仭 [じん] /(n) ren (ancient Chinese measure of height, depth, etc.; between 1-3 meters)/
仟 [せん] /(num) thousand (used in legal documents)/
伉配 [こうはい] /(n) spouse/married couple/
佚 [いつ] /(n) being comfortable/relaxing/
佚する [いっする] /(vs-s) (1) to lose (a chance)/to miss (a chance)/(2) to overlook/to omit/to forget/(3) to deviate/
佚楽 [いつらく] /(n,vs) pleasure/
佚書 [いっしょ] /(n) lost book/
估券 [こけん] /(n) (1) dignity/credit/public estimation/face/honor/reputation/(2) (arch) deed of sale (for a land, forest or house)/(3) (arch) sale value/selling price/
佛種 [ぶっしゅ] /(n) (1) (Buddh) seed of Buddhahood/(2) something that makes it possible to attain Buddhahood/(3) teaching of Buddha which make it possible to be enlightened/
佛蘭西 [ふらんす] /(n,adj-no) (uk) France/
佝僂 [くる] /(n) (1) (uk) rickets/(2) someone suffering from rickets/
佝僂病 [くるびょう] /(n) rickets/
佗 [わび] /(iK) (n) the beauty to be found in poverty and simplicity/subdued taste/quiet refinement/sober refinement/wabi/
佗しい [わびしい] /(iK) (adj-i) miserable/wretched/lonely/dreary/shabby/comfortless/
佗び [わび] /(iK) (n) the beauty to be found in poverty and simplicity/subdued taste/quiet refinement/sober refinement/wabi/
佗びる [わびる] /(iK) (v1,vi) to be worried/to be grieved/to pine for/
佗び寝 [わびね] /(n) lonesome sleep/sleeping alone/
佗歌 [わびうた] /(n) sad song/singing in a lonesome tone/
佗言 [わびごと] /(n) sad words/anxious words/
佗住い [わびずまい] /(n) solitary life/wretched abode/
佗住居 [わびずまい] /(n) solitary life/wretched abode/
佗助椿 [わびすけつばき] /(n) (uk) Camellia japonica 'Wabisuke' (cultivar of common camellia)/
佗寝 [わびね] /(n) lonesome sleep/sleeping alone/
佗人 [わびびと] /(n) lonesome person/unwanted person/poverty-stricken person/
佗声 [わびごえ] /(n) sad voice/
佇い [たたずまい] /(n) (uk) appearance/shape/figure/bearing/
佇まい [たたずまい] /(n) (uk) appearance/shape/figure/bearing/
佇み [たたずみ] /(n) (1) standing still/(2) (arch) livelihood/
佇む [たたずむ] /(v5m,vi) (uk) to stand (still) a while/to loiter/to stop/(P)/
佇立 [ちょりつ] /(n,vs) standing still/
侏 [しゅ] /(n) actor/supporting post (in a roof truss)/
侏儒 [しゅじゅ] /(n,adj-no) dwarf/
侘 [わび] /(io) (n) the beauty to be found in poverty and simplicity/subdued taste/quiet refinement/sober refinement/wabi/
侘しい [わびしい] /(adj-i) miserable/wretched/lonely/dreary/shabby/comfortless/
侘と寂 [わびとさび] /(exp) taste for the simple and quiet/wabi and sabi/
侘び [わび] /(n) the beauty to be found in poverty and simplicity/subdued taste/quiet refinement/sober refinement/wabi/
侘びしい [わびしい] /(io) (adj-i) miserable/wretched/lonely/dreary/shabby/comfortless/
侘びる [わびる] /(v1,vi) to be worried/to be grieved/to pine for/
侘び言 [わびごと] /(ik) (n) apology/
侘び寂び [わびさび] /(n) (uk) aesthetic sense in Japanese art emphasising quiet simplicity and subdued refinement/
侘寂 [わびさび] /(n) (uk) aesthetic sense in Japanese art emphasising quiet simplicity and subdued refinement/
侘住い [わびずまい] /(n) solitary life/wretched abode/
佩 [はい] /(n) (1) ancient oriental belt decoration/(suf,ctr) (2) counter for swords/
佩く [はく] /(v5k,vt) (1) to put on (or wear) lower-body clothing (i.e. pants, skirt, etc.)/to put on (or wear) footwear/(2) to affix a sword to one's hip/(3) to affix a bowstring to a bow/
佩びる [おびる] /(v1) to wear/to put on (a sword)/
佩剣 [はいけん] /(n,vs) wearing a sword/
佩刀 [はいとう] /(n,vs) carrying a sword/
佩用 [はいよう] /(n,vs) wearing/
佰 [はく] /(num) one hundred (used in legal documents)/
佰 [ひゃく] /(num) one hundred (used in legal documents)/
侑食 [ゆうしょく] /(n) assisting at dinner/dining with a superior/
侑觴 [ゆうしょう] /(n) urging one to drink more good wine during a banquet/
佯狂 [ようきょう] /(n) feigned madness/
來る [くる] /(oK) (vk,vi,aux-v) (1) to come (spatially or temporally)/to approach/to arrive/(2) to come back/to do ... and come back/(3) to come to be/to become/to get/to grow/to continue/(vk,vi) (4) to come from/to be caused by/to derive from/(5) to come to (i.e. "when it comes to spinach ...")/
儘 [まま] /(prt) (1) (uk) as it is/as one likes/because/as/(2) condition/state/(P)/
儘 [まんま] /(prt) (1) (uk) as it is/as one likes/because/as/(2) condition/state/
儘ならない [ままならない] /(adj-i) (uk) unable to have one's way with/
儘ならぬ [ままならぬ] /(adj-f) beyond one's control/
儘に [ままに] /(exp) (1) (uk) as (i.e. "do as one is told")/(2) as (i.e. "as we age we gain wisdom")/
儘よ [ままよ] /(int) (uk) whatever/never mind/I don't care/the hell with it/
俟つ [まつ] /(v5t,vt,vi) (1) to await/to look forward to/to anticipate/(2) (usu. in negative form) to depend on/to need/
俎 [そ] /(n) altar of sacrifice/
俎 [まないた] /(n) chopping board/
俎の鯉 [まないたのこい] /(exp) confronted with a hopeless situation/about to be cut off (e.g. in a battle) and unable to do anything/
俎上 [そじょう] /(n) on the chopping board/
俎豆 [そとう] /(n) ancient altar of sacrifice/
俎板 [まないた] /(n) chopping board/(P)/
俎板の鯉 [まないたのこい] /(exp) confronted with a hopeless situation/about to be cut off (e.g. in a battle) and unable to do anything/
俘 [とりこ] /(n) (1) captive/prisoner/(2) victim (of love, etc.)/slave (to one's lust, etc.)/
俘虜 [ふりょ] /(n) captive/prisoner of war/
俘虜収容所 [ふりょしゅうようじょ] /(n) concentration camp/
俚言 [りげん] /(n) slang/dialect/
俚諺 [りげん] /(n) proverb/saying/
俚語 [りご] /(n) (obsc) slang/dialect/
俚耳 [りじ] /(n) the ears of the public/
俚俗 [りぞく] /(adj-na,n) vulgarity/rural customs/
俚謡 [りよう] /(n) ballad/folk song/popular song/
俐巧 [りこう] /(adj-na,n) clever/shrewd/bright/sharp/wise/intelligent/
俐発 [りはつ] /(n) cleverness/wisdom/intelligence/
俤 [おもかげ] /(n) face/looks/vestiges/trace/
俥 [くるま] /(n) rickshaw/jinrikisha/
倚り懸かる [よりかかる] /(v5r,vi) to lean against/to recline on/to lean on/to rely on/to depend on/
倚る [よる] /(v5r,vi) to lean on/to rest against/
倚子 [いし] /(n) traditional square chair with armrests and a torii-shaped back (used by the emperor, etc. during ceremonies)/
倚子 [いす] /(n) (1) chair/stool/(2) post/office/position/
倨傲 [きょごう] /(adj-na,n) pride/arrogance/
倔強 [くっきょう] /(adj-na,n,adj-no) robust/brawny/muscular/strong/sturdy/
倪雲林 [げいうんりん] /(n) Chinese painter (1301-1374)/
倥偬 [こうそう] /(n) hurrying/
倅 [せがれ] /(n) (1) (hum) son/(2) punk/brat/(3) (col) penis/
伜 [せがれ] /(n) (1) (hum) son/(2) punk/brat/(3) (col) penis/
倡婦 [しょうふ] /(n) prostitute/harlot/
倡楼 [しょうろう] /(n) (arch) brothel/
倡和 [しょうわ] /(n,vs) saying (cheering) in chorus/
倡佯 [しょうよう] /(n,vs) wandering/
倩 [せん] /(adv) (uk) carefully/attentively/profoundly/deeply/at length/
倩 [つらつら] /(adv) (uk) carefully/attentively/profoundly/deeply/at length/
倩々 [つらつら] /(adv) (uk) carefully/attentively/profoundly/deeply/at length/
俯き [うつむき] /(n,adj-no) lying face down/upside down/
俯きがち [うつむきがち] /(n) looking down/
俯く [うつむく] /(v5k) to hang one's head in shame/to look downward/to cast one's eyes down/(P)/
俯け [うつむけ] /(n) lying face down/upside down/
俯ける [うつむける] /(v1,vt) to turn upside down/to turn (face) downward/
俯す [うつぶす] /(v5s) (1) to lie with one's face on the ground/(2) (arch) to lower (one's head, gaze, etc.)/
俯す [ふす] /(vs-c) (arch) to lower (one's head, gaze, etc.)/
俯せ [うつぶせ] /(n,adj-no) lying on one's face/upside-down/(P)/
俯せる [うつぶせる] /(v1,vt) to lie face-down/
俯角 [ふかく] /(n) depression/angle of dip/
俯仰 [ふぎょう] /(n,vs) looking up and down/actions/being obliging/
俯仰角 [ふぎょうかく] /(n) angle of elevation/
俯仰天地 [ふぎょうてんち] /(n) looking up and down, from heaven to earth (having nothing to be ashamed of)/swearing by Heaven and Earth (having done nothing to be ashamed of)/
俯向き [うつむき] /(n,adj-no) lying face down/upside down/
俯向く [うつむく] /(v5k) to hang one's head in shame/to look downward/to cast one's eyes down/
俯向け [うつむけ] /(n) lying face down/upside down/
俯向ける [うつむける] /(v1,vt) to turn upside down/to turn (face) downward/
俯伏 [ふふく] /(n,vs) prostration/
俯伏す [うつぶす] /(iK) (v5s) (1) to lie with one's face on the ground/(2) (arch) to lower (one's head, gaze, etc.)/
俯瞰 [ふかん] /(n,vs) overlooking/looking down at/having an overhead view/having a bird's-eye view/having a high-angle view/
俯瞰撮影 [ふかんさつえい] /(n) high-angle shot/bird's-eye shot/overhead shot/crane shot/
俯瞰図 [ふかんず] /(n) bird's-eye view/
偃臥 [えんが] /(n,vs) lying face down/
偃月 [えんげつ] /(n) crescent moon/
偃月刀 [えんげつとう] /(n) scimitar/
偃塞 [えんそく] /(n) damming (e.g. a pond)/
假名 [かな] /(oK) (n) (uk) kana/Japanese syllabary (e.g. hiragana, katakana)/
偕楽 [かいらく] /(n) enjoying oneself with others/
偕老 [かいろう] /(n) growing old together/
偕老同穴 [かいろうどうけつ] /(n) (1) happy life partnership/(2) (uk) Venus's flower basket (species of sponge, Euplectella aspergillum)/Venus flower basket/
偈 [げ] /(n) (Buddh) gatha (poetic verse of a scripture)/
做す [なす] /(v5s) to make/
偖 [さて] /(conj,int) (uk) well/now/then/(P)/
偸む [ぬすむ] /(v5m,vt) to steal/
偸安 [とうあん] /(n,vs) snatching a moment of rest/dickering for time/
偸閑 [あからさま] /(ateji) (adj-na,adj-no) (uk) plain/frank/candid/open/direct/straightforward/unabashed/blatant/flagrant/
偸視 [とうし] /(n,vs) stealthy glance/furtive glance/
偸盗 [ちゅうとう] /(n,vs) robber/theft/
傀儡 [かいらい] /(n) (1) puppet/dummy/(2) (arch) prostitute/
傀儡 [くぐつ] /(n) (1) puppet/dummy/(2) (arch) prostitute/
傀儡師 [かいらいし] /(n) puppet player/wirepuller/
傀儡女 [くぐつめ] /(n) (arch) prostitute/geisha/
傀儡政権 [かいらいせいけん] /(n) puppet government (regime)/
傀儡政府 [かいらいせいふ] /(n) puppet government/
傚う [ならう] /(v5u,vi) (uk) to imitate/to follow/to emulate/
傅 [ふ] /(n) (arch) instructor/tutor (to a prince)/
傅 [めのと] /(n) (arch) instructor/tutor (to a prince)/
傅く [かしずく] /(v5k,vt) to wait upon/to serve/
傅育 [ふいく] /(n,vs) bringing up/tuition/
傴僂 [くぐせ] /(ok) (n) (sens) hunchback/humpback/crookback/
傴僂 [せむし] /(n) (sens) hunchback/humpback/crookback/
傲る [おごる] /(v5r,vt) (1) to give (someone) a treat/(v5r,vi) (2) to be extravagant/to live luxuriously/(3) to be proud/to be haughty/
傲岸 [ごうがん] /(adj-na,n) haughtiness/pride/
傲岸不遜 [ごうがんふそん] /(n) arrogance/
傲岸無礼 [ごうがんぶれい] /(n) arrogance/
傲然 [ごうぜん] /(adj-t,adv-to) (arch) proud/arrogant/haughty/
傲慢 [ごうまん] /(adj-na,n) pride/haughtiness/arrogance/insolence/hubris/
傲慢不遜 [ごうまんふそん] /(adj-na) haughty/arrogant/overbearing/
傲慢無礼 [ごうまんぶれい] /(n) (arrogance and) insolence/
傲倨 [ごうきょ] /(n) arrogance/
僥倖 [ぎょうこう] /(n,vs) fortuitous/luck/windfall/godsend/good fortune/
僭す [せんす] /(v5s) (obsc) to usurp boastfully/
僭する [せんする] /(vs-s) (obsc) to usurp boastfully/
僭位 [せんい] /(n) usurpation of a throne/
僭越 [せんえつ] /(adj-na) presumptuous/arrogant/audacious/forward/insolent/
僭王 [せんおう] /(n) usurper king/
僭主 [せんしゅ] /(n) usurper/tyrant/
僭取 [せんしゅ] /(n) usurpation/
僭称 [せんしょう] /(n,vs) pretension/assumption (of a title)/
僭上 [せんじょう] /(adj-na,n) audacity/forwardness/
僭上越権 [せんじょうえっけん] /(n) exceeding (overstepping) one's powers (competence, authority)/abuse of one's legal authority/acting ultra vires/
僭用 [せんよう] /(n,vs) using something belonging exclusively to someone else/
僣越 [せんえつ] /(adj-na) presumptuous/arrogant/audacious/forward/insolent/
僮僕 [どうぼく] /(n) young male servant/page/
價 [あたい] /(oK) (n,adj-no) (1) price/cost/(2) value/worth/merit/(3) (comp) variable (computer programming, programing)/(4) (math) value/count/number/(vs) (5) to have value/to have merit/
僵屍 [きょんし] /(n) Chinese "hopping vampire"/reanimated corpse/
儁 [しゅん] /(n) excellence/talented person/
儁才 [しゅんさい] /(iK) (n) prodigy/talented person/person of exceptional talent/genius/
儁秀 [しゅんしゅう] /(adj-na,n) genius/prodigy/talented person/
儂 [わし] /(pn,adj-no) (uk) I/me (used by elderly males)/
儕 [ともがら] /(n) comrade/fellow/
儕 [ばら] /(n-suf) suffixed to words indicating a class of people to create a plural (esp. in impolite contexts)/
儕輩 [さいはい] /(n) colleagues/fellows/
儚い [はかない] /(adj-i) (1) fleeting/transient/short-lived/momentary/ephemeral/fickle/vain/(2) empty (dream, etc.)/mere (hope)/faint (possibility)/(P)/
儚くなる [はかなくなる] /(v5r) (uk) (arch) to die/to pass away/
儚む [はかなむ] /(v5m) to despair of/to see the vanity of/
儺 [な] /(n) (arch) (ceremony of) driving out evil spirits/
儼 [げん] /(adj-t,adv-to) strict/stern/
儼として [げんとして] /(adv) solemnly/gravely/majestically/authoritatively/
儼然 [げんぜん] /(n,adj-t,adv-to) grave/solemn/majestic/stern/authoritative/
兀鷹 [はげたか] /(n) (uk) (col) vulture/
兀頭 [こっとう] /(n) (1) (arch) bald head/(2) (arch) baldness/
兌 [だ] /(n) dui (one of the trigrams of the I Ching: swamp, west)/
兌換 [だかん] /(n,vs) conversion (of paper money)/
兌換銀行 [だかんぎんこう] /(n) bank of issue/
兌換券 [だかんけん] /(n) convertible banknotes/
兔 [うさぎ] /(n) (uk) rabbit/hare/cony/
冀う [こいねがう] /(v5u,vt) to beg/to request/to beseech/to implore/to entreat/
冀わくは [こいねがわくは] /(exp,adv) I pray in earnest that/I beg that/I yearn that/
冀図 [きと] /(oK) (n,vs) hopefully planning/
冀望 [きぼう] /(n,vs) hope/wish/aspiration/
冂構え [まきがまえ] /(n) (uk) kanji radical 13 ("upside-down box")/
冏構え [けいがまえ] /(n) (uk) kanji radical 13 ("upside-down box")/
冑 [かぶと] /(n) helmet (of armor, armour)/headpiece/
冑魚 [かぶとうお] /(n) (1) (uk) large-headed midnight fish (Poromitra crassiceps)/(2) armored fish/armoured fish/
冕 [べん] /(n) crown/
冕冠 [べんかん] /(n) crown/
冖冠 [べきかんむり] /(n) (uk) kanji "wa" radical at top (radical 14)/
冤 [えん] /(n) false charge/hatred/
冤罪 [えんざい] /(n) false charge/false accusation/misrepresentation/
冤枉 [えんおう] /(n) false charge/
冢宰 [ちょうさい] /(n) Minister of State (Zhou-dynasty China)/
冪 [べき] /(n) (math) a power/
冪々 [べきべき] /(adj-t,adv-to) billowing (clouds, dust)/
冪級数 [べききゅうすう] /(n) power series/
冪集合 [べきしゅうごう] /(n) (math) power set/
冪乗 [べきじょう] /(n) (math) a power/
冪乗演算子 [べきじょうえんざんし] /(n) (comp) exponential operator (**)/
冪零 [べきれい] /(adj-no) (math) nilpotent/
冪冪 [べきべき] /(adj-t,adv-to) billowing (clouds, dust)/
冱え [さえ] /(n) (1) clearness/clarity/(2) skillfulness (skilfulness)/
冱えない [さえない] /(exp,adj-i) (1) dark/dull/sullen/(2) unsatisfactory/dissatisfying/(3) unattractive/unappealing/(4) boring/uninteresting/
冱える [さえる] /(v1,vi) (1) to be clear (of a sight, sound, colour, etc.)/to be bright/to be vivid/to be crisp/(2) to be clear-headed/to be alert/to be on the ball/to be wide awake/(3) to look upbeat/to be perky/to be cheerful/(4) to master (a skill)/to excel at/to cleanly execute/(5) to be satisfying/(6) to become frigid/to become intensely cold/
冱え冱え [さえざえ] /(adv-to,adv,vs) clearly/brightly/crisply/
冱え冱えした [さえざえした] /(exp,adj-f) cheerful (look)/healthy (complexion)/
冱え冱えとした [さえざえとした] /(exp,adj-f) cheerful (look)/healthy (complexion)/
冲する [ちゅうする] /(vs-s) to rise up into the air/to ascend into the sky/
冰 [ひ] /(n) (1) (arch) ice/(2) hail/
况や [いわんや] /(exp) much more/not to mention/not to speak of/to say nothing of/let alone/
冽々 [れつれつ] /(n) extremely cold/
冽冽 [れつれつ] /(n) extremely cold/
凛 [りん] /(adj-t,adv-to) (1) cold/frigid/bracing/(2) dignified/
凛々 [りんりん] /(adj-t,adv-to) (1) severe/intense/awe-inspiring/commanding/(2) biting/bitter (cold)/piercing/frigid/
凛々しい [りりしい] /(adj-i) gallant/brave/imposing/awe-inspiring/severe/biting/chivalrous/manly/dignified/
凛然 [りんぜん] /(adj-t,adv-to) commanding/awe-inspiring/
凛烈 [りんれつ] /(adj-na,n) biting/severe/intense/rigorous/
凛冽 [りんれつ] /(adj-na,n) biting/severe/intense/rigorous/
凛凛 [りんりん] /(adj-t,adv-to) (1) severe/intense/awe-inspiring/commanding/(2) biting/bitter (cold)/piercing/frigid/
凛凛しい [りりしい] /(adj-i) gallant/brave/imposing/awe-inspiring/severe/biting/chivalrous/manly/dignified/
几 [おしまずき] /(n) (1) (arch) armrest/(2) desk/table/
几 [き] /(n) (1) (arch) armrest/(2) desk/table/
几案 [きあん] /(n) (obsc) desk/
几下 [きか] /(n) (1) word of respect added to the addressee's name on a letter/(2) under the desk/
几帳 [きちょう] /(n) screen/
几帳面 [きちょうめん] /(adj-na,n,vs) methodical/punctual/steady/(P)/
處 [ところ] /(oK) (n,suf) (1) place/spot/scene/site/(2) address/(3) district/area/locality/(4) one's house/(5) point/(6) part/(7) space/room/(8) (uk) whereupon/as a result/(9) (after present form of a verb) about to/on the verge of/
凩 [こがらし] /(n) cold wintry wind/
凭せかける [もたせかける] /(v1,vt) to lean against/to set against/
凭せ掛ける [もたせかける] /(v1,vt) to lean against/to set against/
凭り掛かる [よりかかる] /(v5r,vi) to lean against/to recline on/to lean on/to rely on/to depend on/
凭る [よる] /(v5r,vi) to lean on/to rest against/
凭れる [もたれる] /(v1,vi) (1) (uk) to lean against/to lean on/to recline on/(2) (uk) to lie heavy (on the stomach)/to be uneasily digested/(P)/
凭れ椅子 [もたれいす] /(n) reclining chair/
凭れ掛かる [もたれかかる] /(v5r,vi) (1) to lean on/to recline on/(2) to rely on/to depend on/
凭れ掛る [もたれかかる] /(v5r,vi) (1) to lean on/to recline on/(2) to rely on/to depend on/
凰 [おう] /(n) huang (female Chinese firebird)/
凰 [おおとり] /(n) (obsc) phoenix/
凾 [はこ] /(n) (1) box/(2) car (of a train, etc.)/(3) shamisen case/shamisen/(4) (arch) man who carries a geisha's shamisen/(5) (arch) receptacle for human waste/feces (faeces)/
刎 [はね] /(suf,ctr) (arch) counter for helmets, etc./
刎ねる [はねる] /(v1,vt) (1) to hit (e.g. to have a car hit someone)/to run into/(2) to reject/to deny/to refuse/(3) to eliminate/to exclude/to leave out/(4) to flip/to splash/to splatter/(5) to decapitate/to behead/(6) to jump up/(7) to point or curl up (e.g. ends of hair)/
刎ね上がる [はねあがる] /(v5r,vi) to jump up/to spring up/
刎頚 [ふんけい] /(n) decapitation/
刎死 [ふんし] /(n,vs) decapitating oneself/
刎頸 [ふんけい] /(n) decapitation/
刪修 [さんしゅう] /(n) revision/reform/
刪定 [さんてい] /(n) revision of a passage/
刮げる [こそげる] /(v1,vt) to scrape off/
刮げ取る [こそげとる] /(v5r,vt) to scape off/
刮目 [かつもく] /(n,vs) careful observation/close attention/
刳い [えぐい] /(adj-i) (1) (uk) harsh/acrid/pungent/astringent/(2) strong-minded/heartless/inconsiderate/(adj-i,int) (3) (uk) (sl) nasty/gross/(4) (uk) (sl) amazing/
刳り [くり] /(n) hollow/scoop/
刳り貫く [くりぬく] /(v5k,vt) to gouge out/to excavate/to bore/to drill/
刳り舟 [くりふね] /(n) dugout canoe/
刳り舟 [くりぶね] /(n) dugout canoe/
刳り船 [くりふね] /(n) dugout canoe/
刳り船 [くりぶね] /(n) dugout canoe/
刳り抜く [くりぬく] /(v5k,vt) to gouge out/to excavate/to bore/to drill/
刳る [えぐる] /(v5r,vt) to gouge/to hollow out/to bore/to excavate/to scoop out/
刳る [くる] /(v5r,vt) to gouge/to hollow out/to bore/to excavate/to scoop out/
刳る [さくる] /(ok) (v5r,vt) (1) (uk) to dig out/to gouge out/to hollow out/(2) to scoop/to ladle/to bail/(3) to jerk (one's chin)/
刳る [しゃくる] /(v5r,vt) (1) (uk) to dig out/to gouge out/to hollow out/(2) to scoop/to ladle/to bail/(3) to jerk (one's chin)/
刳れる [えぐれる] /(v1,vi) to be gouged/to be hollowed/to become hollow/
刳貫く [くりぬく] /(io) (v5k,vt) to gouge out/to excavate/to bore/to drill/
刳形 [くりかた] /(n) molding/moulding/
刳舟 [くりふね] /(io) (n) dugout canoe/
刳舟 [くりぶね] /(io) (n) dugout canoe/
刳船 [くりふね] /(io) (n) dugout canoe/
刳船 [くりぶね] /(io) (n) dugout canoe/
刳抜く [くりぬく] /(io) (v5k,vt) to gouge out/to excavate/to bore/to drill/
刳味 [えぐみ] /(n) harshness/acridity/astringent taste/bitter taste/
刹 [さつ] /(n) central pillar of a pagoda/
刹 [せつ] /(n) (1) (Buddh) ksetra (realm, country)/(2) pagoda/temple/
刹帝利 [せっていり] /(n) (uk) Kshatriya (member of India's military caste)/
刹那 [せつな] /(n-adv,n-t) moment/instant/juncture/
刹那主義 [せつなしゅぎ] /(n) principle of living only for the moment/
刹那的 [せつなてき] /(adj-na) ephemeral/transitory/
剄る [くびきる] /(v5r) (1) to behead/to decapitate/(2) to fire/to dismiss/
剋 [こく] /(n) (1) archaic period of time (usu. a period of approx. two hours corresponding to one of the signs of the Chinese zodiac)/(2) victory/(3) strictness/cruelty/
剌激 [しげき] /(iK) (n,vs) stimulus/impetus/incentive/encouragement/motivation/provocation/
剔 [てき] /(n) cutting/
剔る [えぐる] /(v5r,vt) to gouge/to hollow out/to bore/to excavate/to scoop out/
剔出 [てきしゅつ] /(n,vs) extraction/removal/excision/
剔除 [てきじょ] /(n) removal (in surgery)/
剔抉 [てっけつ] /(n,vs) gouging (out)/exposure/
剪み切る [はさみきる] /(v5r,vt) to nip off/to snip/to clip/to trim off/
剪む [はさむ] /(v5m,vt) to clip/to snip/
剪る [きる] /(v5r) to cut/to prune/to trim (branches, leaves, flowers, etc.)/
剪裁 [せんさい] /(n,vs) cutting/trimming/shearing/pruning/
剪裁機 [せんさいき] /(n) shearing machine/
剪枝 [せんし] /(n,vs) pruning/
剪除 [せんじょ] /(n,vs) cutting off/cut(ting) out/
剪断 [せんだん] /(n,vs) shear/shearing/
剪断安定性 [せんだんあんていせい] /(n) shear stability/
剪断応力 [せんだんおうりょく] /(n) shear stress/
剪断加工 [せんだんかこう] /(n) shear processing/
剪断効果 [せんだんこうか] /(n) shear effect/shearing effect/
剪断断強さ [せんだんつよさ] /(n) shear strength/
剪断断強度 [せんだんきょうど] /(n) shear strength/
剪断断剛性 [せんだんごうせい] /(n) shear modulus/
剪断断弾性係数 [せんだんだんせいけいすう] /(n) elastic shear modulus/
剪断断抵抗角 [せんだんていこうかく] /(n) angle of shearing resistance/
剪断断破壊 [せんだんはかい] /(n) shear failure/
剪断断箱 [せんだんばこ] /(n) shear box/
剪定 [せんてい] /(n,vs) pruning/
剪定鋏 [せんていばさみ] /(n) pruning shears/
剪刀 [せんとう] /(n) scissors/punch/
剪刀 [はさみ] /(n) (uk) scissors/tongs/
剪毛 [せんもう] /(n,vs) wool shearing/
剴切 [がいせつ] /(adj-na,n) appropriateness/adequacy/aptness/
剳青 [いれずみ] /(n,vs) tattoo/
剿滅 [そうめつ] /(n,vs) wiping out/annihilation/
剽げる [ひょうげる] /(v1) to jest/to joke/
剽軽 [ひょうきん] /(adj-na,n) facetious/droll/funny/
剽軽者 [ひょうきんもの] /(n) comical person/
剽窃 [ひょうせつ] /(n,vs,adj-no) plagiarism/piracy/
剽盗 [ひょうとう] /(n) highwayman/
剽悍 [ひょうかん] /(adj-na,n) fierceness/daring/
剽悍無比 [ひょうかんむひ] /(n,adj-na,adj-no) as fierce and nimble as any/daring and agile without equal/
劍 [けん] /(oK) (n) (1) sword (originally esp. a doubled-edged sword)/sabre/saber/blade/(2) bayonet/(3) swordsmanship/(4) stinger/ovipositor/dart/
劍 [つるぎ] /(oK) (n) (1) sword (originally esp. a doubled-edged sword)/sabre/saber/blade/
劒 [けん] /(oK) (n) (1) sword (originally esp. a doubled-edged sword)/sabre/saber/blade/(2) bayonet/(3) swordsmanship/(4) stinger/ovipositor/dart/
劒 [つるぎ] /(oK) (n) (1) sword (originally esp. a doubled-edged sword)/sabre/saber/blade/
劈 [へき] /(n) break/tear/pierce/split/burst/
劈く [つんざく] /(v5k,vt) to break/to tear/to pierce/to split/to burst/
劈開 [へきかい] /(n,vs) cleavage (in gems)/
劈頭 [へきとう] /(n) outset/
劈頭第一 [へきとうだいいち] /(n) at the outset/at the very beginning/in the first place/to begin (start) with/first and foremost/
辨 [べん] /(oK) (n) Oversight Department (division of the daijokan responsible for controlling central and provincial governmental offices)/
辨え [わきまえ] /(oK) (n) sense/discretion/knowledge/
辨官 [おおともいのつかさ] /(oK) (ok) (n) Oversight Department (division of the daijokan responsible for controlling central and provincial governmental offices)/
辨官 [べんかん] /(oK) (n) Oversight Department (division of the daijokan responsible for controlling central and provincial governmental offices)/
辨財天 [べんざいてん] /(oK) (n) (Buddh) Saraswati (god of wealth, music, eloquence and water)/
辨当 [べんとう] /(oK) (n) bento/Japanese box lunch/
勁捷 [けいしょう] /(n) strong and nimble/
勁卒 [けいそつ] /(n) excellent soldier/
勁敵 [けいてき] /(n) formidable foe/
勁悍 [けいかん] /(n) strong and fierce/
勦討 [そうとう] /(n,vs) complete annihilation/
匆々 [そうそう] /(adj-na,adj-t,adv-to,n) (1) (arch) busy/hurried/rushed/(n,adj-na) (2) Yours Sincerely/Yours in haste/
匆匆 [そうそう] /(adj-na,adj-t,adv-to,n) (1) (arch) busy/hurried/rushed/(n,adj-na) (2) Yours Sincerely/Yours in haste/
匈 [きょう] /(n) (abbr) Hungary/
匈 [フン] /(n) (uk) Hun/
匈牙利 [はんがりー] /(n) (uk) Hungary/
匈奴 [きょうど] /(n) Xiongnu/ancient Central Asian nomadic people often associated with the Huns/
匈奴 [フンヌ] /(n) Xiongnu/ancient Central Asian nomadic people often associated with the Huns/
匍う [はう] /(v5u,vi) to creep/to crawl/
匍球 [ほきゅう] /(n) grounder (baseball)/
匍匐 [ほふく] /(n,vs) creeping/crawling/sneaking/
匍匐前進 [ほふくぜんしん] /(n,vs) crawling along/
匐行疹 [ふっこうしん] /(n) ringworm/
匏 [ひさこ] /(ok) (n) (arch) gourd/
匏 [ひさご] /(n) (arch) gourd/
匏 [ふくべ] /(n) (1) (uk) Lagenaria siceraria var. gourda (variety of bottle gourd)/gourd (container) made from its fruit/(2) Lagenaria siceraria var. depressa (variety of bottle gourd)/
匕 [かい] /(ok) (n) spoon/
匕 [さじ] /(n) spoon/
匕 [しゃじ] /(n) spoon/
匕首 [あいくち] /(n) dagger/dirk/
匕首 [ひしゅ] /(n) dagger/dirk/
匕箸 [ひちょ] /(n) spoon and chopsticks/
匚構え [はこがまえ] /(n) (uk) kanji "box-on-side" radical (radical 22)/
匣 [くしげ] /(n) (arch) toiletries case/
匣 [こう] /(n) (1) box/(2) car (of a train, etc.)/(3) shamisen case/shamisen/(4) (arch) man who carries a geisha's shamisen/(5) (arch) receptacle for human waste/feces (faeces)/
匣 [はこ] /(n) (1) box/(2) car (of a train, etc.)/(3) shamisen case/shamisen/(4) (arch) man who carries a geisha's shamisen/(5) (arch) receptacle for human waste/feces (faeces)/
匸構え [かくしがまえ] /(n) (uk) kanji "hiding-box" radical (radical 23)/
區別 [くべつ] /(oK) (n,vs) distinction/differentiation/classification/
卆寿 [そつじゅ] /(n) 90th birthday/
卆倒 [そっとう] /(iK) (n,vs) fainting/swooning/
卅 [さんじゅう] /(num) thirty/
卅 [みそ] /(num) thirty/
卍 [まんじ] /(n) swastika (esp. a counterclockwise swastika as a Buddhist symbol)/fylfot/gammadion/
卍字 [まんじ] /(n) swastika (esp. a counterclockwise swastika as a Buddhist symbol)/fylfot/gammadion/
卍刀 [まんとう] /(n) ninja weapon disguised as a pair of garden shears/
卍巴 [まんじともえ] /(n) falling in swirls/
卍巴 [まんじどもえ] /(n) falling in swirls/
卮 [し] /(n) zhi (large bowl-shaped ancient Chinese cup with two handles)/
厂 [がんだれ] /(n) (uk) kanji "cliff" radical/
厖大 [ぼうだい] /(adj-na,n,adj-no) huge/bulky/enormous/extensive/swelling/expansion/
厠 [かわや] /(n) privy/toilet/
厦門 [かもん] /(n) one's family or clan/
厥冷 [けつれい] /(n) clamminess/coldness of body/
參考 [さんこう] /(oK) (n,adj-no) reference/consultation/
簒奪 [さんだつ] /(n) (1) usurpation/(vs) (2) to usurp/
簒立 [さんりつ] /(n,vs) usurping the throne/
雙六 [すごろく] /(n) child's dice game/sugoroku/traditional Japanese board game/
曼珠沙華 [まんじゅしゃげ] /(n) red spider lily/cluster belladonna/cluster amaryllis/manjusaka/
曼陀羅 [まんだら] /(n) mandala/Buddhist visual schema of the enlightened mind/
曼荼羅 [まんだら] /(n) mandala/Buddhist visual schema of the enlightened mind/
叮嚀 [ていねい] /(adj-na,n) polite/courteous/careful/care/kind/close/thorough/conscientious/
叺 [かます] /(n) straw bag/
叺鰆 [かますさわら] /(n) (uk) wahoo (species of fish, Acanthocybium solandri)/
吁 [ああ] /(int) (1) (uk) Ah!/Oh!/Alas!/(2) Yes/Indeed/That is correct/(3) Hey!/Yo!/(4) Uh huh/Yeah yeah/Right/Gotcha/
吭 [のど] /(n) (1) (uk) throat/(2) singing voice/
吭 [のみと] /(ok) (n) (1) (uk) throat/(2) singing voice/
吭 [のみど] /(ok) (n) (1) (uk) throat/(2) singing voice/
吭 [のんど] /(ok) (n) (1) (uk) throat/(2) singing voice/
吭 [ふえ] /(n) (arch) windpipe/
吼える [ほえる] /(v1,vi) to bark/to bay/to howl/to bellow/to roar/to cry/
吼え声 [ほえごえ] /(n) bark/howl/
吼猿 [ほえざる] /(n) (uk) howler monkey/
吮癰舐痔 [せんようしじ] /(exp) currying favour (favor)/brown-nosing/bootlicking/lit: sucking pus from carbuncles and licking hemorrhoids (haemorrhoids)/
吶喊 [とっかん] /(n) (1) battlecry/cheer/cry where one breathes in a large volume of air and then releases it suddenly in a loud cry/(n,vs) (2) rushing at the enemy/
吝い [しわい] /(adj-i) (uk) stingy/cheap/very frugal/
吝か [やぶさか] /(adj-na) reluctant/hesitant/
吝かでない [やぶさかでない] /(adj-i) ready (to do)/willing/
吝しむ [おしむ] /(oK) (v5m,vt) (1) to be frugal/to be sparing/(2) to value/to hold dear/(3) to regret (e.g. a loss)/to feel sorry (for)/(4) to be unwilling/to be reluctant/
吝ん坊 [しわんぼう] /(n) miser/
吝気 [りんき] /(n,vs) jealousy/
吝嗇 [りんしょく] /(n,adj-na) stinginess/miser/miserliness/selfishness/
吝嗇る [けちる] /(v5r) (uk) (col) to be stingy/to scrimp/
吝嗇ん坊 [けちんぼ] /(n,adj-na) miser/cheapskate/skinflint/
吝嗇ん坊 [けちんぼう] /(n,adj-na) miser/cheapskate/skinflint/
吝嗇家 [りんしょくか] /(n) miser/
吝嗇臭い [けちくさい] /(adj-i) mean/stingy/
呵 [しかり] /(n) scolding/
呵々大笑 [かかたいしょう] /(n,vs) laughing a ringing laugh/having a hearty laugh/roaring with laughter/
呵り [しかり] /(n) scolding/
呵る [しかる] /(v5r,vt) (uk) to scold/
呵責 [かしゃく] /(n) blame/accusation/torture/maltreatment/pangs (of conscience)/
呵呵 [かか] /(adv,n) sound of laughter/
呵呵大笑 [かかたいしょう] /(n,vs) laughing a ringing laugh/having a hearty laugh/roaring with laughter/
咎 [とが] /(n) (1) (uk) error/mistake/fault/(2) (uk) sin/wrongdoing/offense/
咎め [とがめ] /(n) blame/censure/rebuke/reproof/
咎める [とがめる] /(v1) to blame/to find fault/to challenge/to threaten/to take someone to task/to aggravate (an injury)/(P)/
咎め立て [とがめだて] /(n,vs) fault-finding/
咎人 [とがにん] /(n) offender/criminal/
呟き [つぶやき] /(n) murmur/mutter/murmuring/
呟く [つぶやく] /(v5k) to mutter/to murmur/(P)/
呱々 [ここ] /(n) cry of a baby at its birth/
呱々の声をあげる [ここのこえをあげる] /(exp,v1) to be born (of a baby)/to come into the world/
呱々の声を上げる [ここのこえをあげる] /(exp,v1) to be born (of a baby)/to come into the world/
呱呱 [ここ] /(n) cry of a baby at its birth/
呱呱の声をあげる [ここのこえをあげる] /(exp,v1) to be born (of a baby)/to come into the world/
呱呱の声を上げる [ここのこえをあげる] /(exp,v1) to be born (of a baby)/to come into the world/
呷る [あおる] /(v5r,vt) to gulp down (a drink)/to slurp/
咒 [じゅ] /(n) (1) spell/curse/(2) (Buddh) dharani/mantra/
咒い [のろい] /(n) curse/spell/malediction/
咒い [まじない] /(n) charm/incantation/spell/magic formula/
呻き [うめき] /(n) a moan/
呻き声 [うめきごえ] /(n) groan/moan/moaning/
呻く [うめく] /(v5k,vi) (uk) to moan/to groan/
呻る [うなる] /(v5r,vi) to groan/to moan/to roar/to howl/to growl/to hum/to buzz/to sough/
呻吟 [しんぎん] /(n,vs) moaning/groaning/
咀嚼 [そしゃく] /(n,vs,adj-no) (1) chewing/mastication/breaking into bite-sized pieces/(2) digestion/assimilation/
咀嚼運動 [そしゃくうんどう] /(n) mastication/
咀嚼筋 [そしゃくきん] /(n) muscle of mastication/
呶鳴り込む [どなりこむ] /(v5m,vi) to storm in with a yell/
呶鳴り散らす [どなりちらす] /(v5s,vi) to yell/to rant/to rave/
呶鳴り出す [どなりだす] /(v5s) to start shouting/to break out/
呶鳴り声 [どなりごえ] /(n) angry voice/one's voice when shouting with anger/
呶鳴り付ける [どなりつける] /(v1,vt) to shout at/
呶鳴り立てる [どなりたてる] /(v1) to stand and shout/
呶鳴る [どなる] /(iK) (v5r,vi) to shout/to yell/
咄 [はなし] /(n) (1) talk/speech/chat/story/conversation/(2) discussions/negotiation/argument/
咄々 [とつとつ] /(adj-na,adv) (tongue) clicking/groaning/exclamation of surprise/
咄家 [はなしか] /(n) professional comic (rakugo) storyteller/
咄咄 [とつとつ] /(adj-na,adv) (tongue) clicking/groaning/exclamation of surprise/
咄嗟 [とっさ] /(n) moment/instant/
咄嗟に [とっさに] /(adv) (uk) at once/right away/promptly/on the spur of the moment/(P)/
咆吼 [ほうこう] /(n,vs) yell/roar/howl/
咆哮 [ほうこう] /(n,vs) yell/roar/howl/
咥えこむ [くわえこむ] /(v5m) (1) to hold fast deep in (one's mouth or other orifice, often used in a sexual context)/(2) to bring in a man for sex/
咥える [くわえる] /(v1,vt) (uk) to hold in one's mouth/
咥え込む [くわえこむ] /(v5m) (1) to hold fast deep in (one's mouth or other orifice, often used in a sexual context)/(2) to bring in a man for sex/
咬み傷 [かみきず] /(n) bite (wound)/
咬む [かむ] /(v5m,vt) (1) to bite/to chew/to gnaw/(2) to fumble or falter with one's words/(P)/
咬筋 [こうきん] /(n) masseter muscle/
咬傷 [こうしょう] /(n) a bite (wound)/
咬創 [こうそう] /(n,vs) biting wound/bite/
咬痙 [こうけい] /(n) (obsc) lockjaw/trismus/
哄笑 [こうしょう] /(n,vs) loud laughter/
哄然 [こうぜん] /(adv-to,adj-t) (laugh) broadly/(laugh) loudly/
咫 [あた] /(n,n-suf,ctr) (arch) distance between outstretched thumb and middle finger (approx. 18 cm)/
咫 [た] /(n,n-suf,ctr) (arch) distance between outstretched thumb and middle finger (approx. 18 cm)/
咫尺 [しせき] /(n,vs) very short distance/
哥沢 [うたざわ] /(n) slow-paced style of shamisen music with vocal accompaniment (popular during the late Edo period)/
哥沢節 [うたざわぶし] /(n) slow-paced style of shamisen music with vocal accompaniment (popular during the late Edo period)/
哥老会 [かろうかい] /(n) Gelaohui (secret Chinese society of the late Xing dynasty)/
哮り立つ [たけりたつ] /(v5t,vi) (1) to rage/(2) to howl/
哮る [たける] /(v5r,vi) to roar/to howl/
哭く [なく] /(iK) (v5k) to cry/to weep/to sob/to howl/
哺育 [ほいく] /(n,vs,adj-no) nursing/nurturing/rearing/lactation/suckling/
哺乳 [ほにゅう] /(n) lactation/suckling/mammal/
哺乳期 [ほにゅうき] /(n) lactation period/
哺乳動物 [ほにゅうどうぶつ] /(n) mammal/
哺乳瓶 [ほにゅうびん] /(n) baby bottle/
哺乳類 [ほにゅうるい] /(n) mammal/mammalian/
哺乳類学 [ほにゅうるいがく] /(n) mammalogy/
哺乳類型爬虫類 [ほにゅうるいがたはちゅうるい] /(n) mammal-like reptile/
啀み合い [いがみあい] /(n) (1) snarl/snarling/(2) quarrel/wrangling/feud/
啀み合う [いがみあう] /(v5u,vi) to snarl/to quarrel/
啣える [くわえる] /(v1,vt) (uk) to hold in one's mouth/
啜りなく [すすりなく] /(v5k,vi) to sob/
啜り泣き [すすりなき] /(n) sobbing/sob/weeping/
啜り泣く [すすりなく] /(v5k,vi) to sob/
啜り込む [すすりこむ] /(v5m) to slurp something noisily/
啜る [すする] /(v5r,vt) (uk) to sip/to slurp/
啖う [くう] /(oK) (v5u,vt) (1) (male) (vulg) to eat/(2) to live/to make a living/to survive/(3) to bite/to sting (as insects do)/(4) to tease/to torment/to taunt/to make light of/to make fun of/(5) to encroach on/to eat into/to consume/(6) to defeat a superior/to threaten a position/(7) to consume time and-or resources/(8) (col) to receive something (usu. an unfavourable event)/(9) (male) (vulg) to have sexual relations with a woman, esp. for the first time/
啖呵 [たんか] /(n) caustic words/
啖呵を切る [たんかをきる] /(exp,v5r) to speak sharply (e.g. during a heated discussion or argument)/
唸り [うなり] /(n) groan/roar/howl/growl/bellow/sough/
唸りだす [うなりだす] /(v5s) to let out a roar (hum, groan, moan)/to produce a loud noise/
唸り出す [うなりだす] /(v5s) to let out a roar (hum, groan, moan)/to produce a loud noise/
唸り声 [うなりごえ] /(n) (1) roar/growl/(2) groan/moan/
唸る [うなる] /(v5r,vi) to groan/to moan/to roar/to howl/to growl/to hum/to buzz/to sough/(P)/
喙 [くちばし] /(n) (uk) beak/bill/
喀血 [かっけつ] /(n,vs) lung hemorrhage/lung haemorrhage/
喀痰 [かくたん] /(n,vs) expectoration/sputum/
喀痰検査 [かくたんけんさ] /(n) examination of somebody's sputum/
喊声 [かんせい] /(oK) (n) battle cry/
喟然 [きぜん] /(adv-to,adj-t) (arch) sighing/
啻ならぬ [ただならぬ] /(adj-f) (uk) unusual/uncommon/extraordinary/out of the ordinary/incomparable/serious/alarming/
啻に [ただに] /(adv) merely/only/simply/
喘ぎ [あえぎ] /(n) (1) gasping/puffing/wheezing/(2) asthma/
喘ぎ声 [あえぎごえ] /(n) heavy breathing/
喘ぎ喘ぎ [あえぎあえぎ] /(n,adv) gasping/breathing heavily/
喘ぐ [あえぐ] /(v5g,vi) (1) to gasp/breathe hard/(2) to suffer/to struggle/
喘音 [ぜんおん] /(n) (1) stridor/(adj-no) (2) stridulous/
喘息 [ぜんそく] /(n,adj-no) asthma/phthisis/
喘息が起こる [ぜんそくがおこる] /(exp,v5r) to have an attack of asthma/
喘鳴 [ぜんめい] /(n,adj-no) stridor/wheezing/noisy breathing/
喞筒 [しょくとう] /(n) pump/
喞筒 [そくとう] /(n) pump/
單細胞 [たんさいぼう] /(oK) (n,adj-no) (1) single cell/(2) (col) simple-minded person/one-track-minded person/
啼き声 [なきごえ] /(n,vs) cry (esp. animal)/roar/chirp/tweet/bark/whine/meow/
啼く [なく] /(v5k) (1) to sing (bird)/(2) to bark/to purr/to make sound (animal)/
啼声 [なきごえ] /(io) (n,vs) cry (esp. animal)/roar/chirp/tweet/bark/whine/meow/
啼鳥 [ていちょう] /(n) (obsc) chirping bird/singing bird/
啼兎 [なきうさぎ] /(n) (uk) pika (rabbit-like animal of family Ochotonidae)/
喃語 [なんご] /(n,vs) (1) lover's whispers/sweet nothings/whispered intimacies/(2) baby babble/goo-goo/gaga/
喩える [たとえる] /(v1,vt) to compare/to liken/to speak figuratively/to illustrate/to use a simile/
喩え歌 [たとえうた] /(n) (1) metaphorical poem (of the Man'yoshu)/(2) metaphorical form (of waka)/
喇叭 [らっぱ] /(n) (uk) trumpet/horn/bugle/
喇叭飲み [らっぱのみ] /(n,vs) drinking straight from a bottle/
喇叭手 [らっぱしゅ] /(n) trumpeter/bugler/
喇叭吹き [らっぱふき] /(n) (1) bugler/trumpeter/(2) blowing one's own horn/
喇叭水仙 [らっぱずいせん] /(n) (uk) (trumpet) daffodil/
喇嘛 [らま] /(ateji) (n) (uk) lama (tib: bla-ma)/
喇嘛教 [らまきょう] /(n) Lamaism/
喨々 [りょうりょう] /(adv-to,adj-t) bright, clear and reverberate/
喨喨 [りょうりょう] /(adv-to,adj-t) bright, clear and reverberate/
嗚咽 [おえつ] /(n,vs) sobbing/weeping/groaning/fit of crying/
嗚呼 [ああ] /(int) (1) (uk) Ah!/Oh!/Alas!/(2) Yes/Indeed/That is correct/(3) Hey!/Yo!/(4) Uh huh/Yeah yeah/Right/Gotcha/
嗅ぎつける [かぎつける] /(v1,vt) to sniff out/to get wind of/
嗅ぎタバコ [かぎタバコ] /(n) snuff/
嗅ぎ煙草 [かぎたばこ] /(n) snuff/
嗅ぎ回る [かぎまわる] /(v5r) to sniff around (looking for)/
嗅ぎ取る [かぎとる] /(v5r,vt) (1) to smell/(2) to sense/
嗅ぎ出す [かぎだす] /(v5s,vt) to scent out/to detect/
嗅ぎ当てる [かぎあてる] /(v1,vt) to sniff out/to catch the scent of/
嗅ぎ付ける [かぎつける] /(v1,vt) to sniff out/to get wind of/
嗅ぎ分ける [かぎわける] /(v1,vt) to scent out/to discern/
嗅ぐ [かぐ] /(v5g,vt) to sniff/to smell/(P)/
嗅煙草 [かぎたばこ] /(n) snuff/
嗅覚 [きゅうかく] /(n,adj-no) the sense of smell/
嗅細胞 [きゅうさいぼう] /(n) olfactory cell/
嗅神経 [きゅうしんけい] /(n) olfactory nerve/
嗅脳 [きゅうのう] /(n) rhinencephalon/
嗟 [ああ] /(int) (1) (uk) Ah!/Oh!/Alas!/(2) Yes/Indeed/That is correct/(3) Hey!/Yo!/(4) Uh huh/Yeah yeah/Right/Gotcha/
嗟乎 [ああ] /(int) (1) (uk) Ah!/Oh!/Alas!/(2) Yes/Indeed/That is correct/(3) Hey!/Yo!/(4) Uh huh/Yeah yeah/Right/Gotcha/
嗟嘆 [さたん] /(n,vs) lamentation/
嗟歎 [さたん] /(n,vs) deploration/lamentation/admiration/
嗟夫 [ああ] /(int) (1) (uk) Ah!/Oh!/Alas!/(2) Yes/Indeed/That is correct/(3) Hey!/Yo!/(4) Uh huh/Yeah yeah/Right/Gotcha/
嗄びる [からびる] /(v1,vi) to dry up/to shrivel/
嗄らす [からす] /(v5s,vt) to talk (or shout) oneself hoarse/
嗄れる [かれる] /(v1,vi) to grow hoarse/to become husky/
嗄れる [しゃがれる] /(v1,vi) (uk) to become hoarse/
嗄れる [しわがれる] /(v1,vi) (uk) to become hoarse/
嗄れ声 [かれごえ] /(n,adj-no) hoarse voice/husky voice/
嗄れ声 [しゃがれごえ] /(n,adj-no) hoarse voice/husky voice/
嗄れ声 [しわがれごえ] /(n,adj-no) hoarse voice/husky voice/
嗄れ嗄れ [かれがれ] /(adj-na) hoarse/hoarse-voiced/
嗜み [たしなみ] /(n) (1) taste (in goods, etc.)/(2) prudence/preparedness/(3) modesty/restraint/(4) knowledge, experience (of the arts, etc.)/
嗜む [たしなむ] /(v5m,vt) (1) (uk) to have a taste for/to be fond of/to have an interest in (e.g. a hobby)/(2) to be modest/to be prudent/
嗜虐 [しぎゃく] /(n) sadism/
嗜虐性 [しぎゃくせい] /(n) sadism/
嗜虐的 [しぎゃくてき] /(adj-na) sadistic/
嗜好 [しこう] /(n,vs) taste/liking/preference/
嗜好品 [しこうひん] /(n) luxury grocery item/something consumed for taste or stimulant effect rather than nourishment (e.g. alcohol, tobacco, coffee)/indulgence/
嗜癖 [しへき] /(n) addiction/
嗜眠 [しみん] /(n,adj-no) deep sleep/torpor/
嗜眠性脳炎 [しみんせいのうえん] /(n) encephalitis lethargica/
嗤い [わらい] /(n) (1) laugh/laughter/(2) smile/(3) sneer/
嗤う [わらう] /(v5u,vi) (1) to laugh/(2) to smile/(3) to sneer/to ridicule/
嗤笑 [ししょう] /(n,vs) sneer/
嗔 [しん] /(n) (Buddh) dosa (ill will, antipathy)/
嗔恚 [しんい] /(n) (1) (Buddh) dosa (ill will, antipathy)/(2) irateness/anger/
嗔恚 [しんに] /(n) (1) (Buddh) dosa (ill will, antipathy)/(2) irateness/anger/
嗔恚 [しんね] /(n) (1) (Buddh) dosa (ill will, antipathy)/(2) irateness/anger/
嘔 [むかつき] /(n) (uk) getting nauseated/getting angry/
嘔き気 [はきけ] /(n) nausea/sickness in the stomach/
嘔気 [おうき] /(n) nausea/
嘔吐 [おうと] /(n,vs,adj-no) vomiting/
嘔吐く [えづく] /(v5k,vi) to vomit/
嘔吐反射 [おうとはんしゃ] /(n) vomiting reflex/retching reflex/
嘖む [さいなむ] /(v5m,vt) to torment/to torture/to harass/
嗾ける [けしかける] /(v1,vt) (uk) to instigate/to incite/to spur on/to set (e.g. a dog after someone)/
嗽 [うがい] /(n,vs) (uk) gargling/rinsing one's mouth/
嗽ぐ [くちすすぐ] /(v5g) to gargle/to rinse the mouth/
嗽薬 [うがいぐすり] /(n) mouthwash/
嗹 [れん] /(n) (1) ream (of paper)/
噎せる [むせる] /(v1,vi) to choke over/to be choked by/
噎せ返る [むせかえる] /(v5r,vi) to choke/to sob convulsively/to cough/
噎び泣き [むせびなき] /(vs) (1) to sob/to be choked with tears/(n) (2) sobbing/
噎ぶ [むせぶ] /(v5b,vi) to be choked/to be stifled/to be smothered/
嘴 [くちばし] /(n) (uk) beak/bill/(P)/
嘴 [はし] /(n) (uk) beak/bill/
嘴広鴨 [はしびろがも] /(n) (uk) northern shoveler (species of duck, Anas clypeata)/northern shoveller/
嘴広鸛 [はしびろこう] /(n) (uk) shoebill (Balaeniceps rex)/
嘴黒鶲 [はしぐろひたき] /(n) (uk) northern wheatear (Oenanthe oenanthe)/
嘴細啄木鳥 [はしぼそきつつき] /(n) (uk) northern flicker (species of bird, inc. the yellow-shafted flicker and the red-shafted flicker, Colaptes auratus)/
嘴細鴉 [はしぼそがらす] /(n) (uk) carrion crow (Corvus corone)/
嘴太海烏 [はしぶとうみがらす] /(n) (uk) thick-billed murre (Uria lomvia)/Brunnich's guillemot/
嘴太機織 [はしぶとはたおり] /(n) (uk) grosbeak weaver (Amblyospiza albifrons)/
嘴太鴉 [はしぶとがらす] /(n) (uk) jungle crow (Corvus macrorhynchos)/
嘶き [いななき] /(n) (uk) neigh of a horse/
嘶く [いななく] /(v5k,vi) to neigh/
嘲けり [あざけり] /(io) (n,adj-no) ridicule/scorn/
嘲ける [あざける] /(io) (v5r,vt) (uk) to scoff/to laugh at/to make fun of/to ridicule/to jeer at/
嘲ら笑う [せせらわらう] /(v5u,vt) (uk) to sneer at/to ridicule/
嘲り [あざけり] /(n,adj-no) ridicule/scorn/
嘲り笑う [あざけりわらう] /(v5u) to laugh to scorn/
嘲る [あざける] /(v5r,vt) (uk) to scoff/to laugh at/to make fun of/to ridicule/to jeer at/(P)/
嘲笑 [ちょうしょう] /(n,vs) scorn/sneer/
嘲笑い [せせらわらい] /(n) sardonic laugh/scornful smile/
嘲笑う [あざわらう] /(v5u,vt) (uk) to sneer at/to ridicule/
嘲笑う [せせらわらう] /(v5u,vt) (uk) to sneer at/to ridicule/
嘲罵 [ちょうば] /(n,vs) taunt/insult/abuse/
嘲弄 [ちょうろう] /(n,vs) scorn/mockery/ridicule/
嘸 [さぞ] /(adv) (uk) I am sure/certainly/no doubt/(P)/
嘸かし [さぞかし] /(adv) (uk) certainly/surely/
嘸や [さぞや] /(adv) (uk) surely/certainly/
噫 [ああ] /(int) (1) (uk) Ah!/Oh!/Alas!/(2) Yes/Indeed/That is correct/(3) Hey!/Yo!/(4) Uh huh/Yeah yeah/Right/Gotcha/
噫気 [あいき] /(n) (uk) belch/eructation/burp/
噤む [つぐむ] /(v5m,vt) (uk) to shut one's mouth/to hold one's tongue/to keep silent/
嘯く [うそぶく] /(v5k,vi) (1) (uk) to exaggerate/(2) (uk) to recite (a song or poem to oneself)/(3) (uk) to bark/to roar/to howl/
噬斉 [ぜいせい] /(n) (arch) bitter regret/
噬臍 [ぜいせい] /(n) (arch) bitter regret/
噪音 [そうおん] /(n) noise/cacophony/
嚆矢 [こうし] /(n) (1) arrow to which is attached a turnip-shaped whistle made of hollowed-out wood or deer horn/whistling arrow used to signal the start of battle/(2) the start of things/
嚊 [かか] /(n) wife/
嚊 [かかあ] /(n) wife/
嚠喨 [りゅうりょう] /(adv-to,adj-t) clear and resounding (as a voice or musical instrument)/
嚔ひる [はなひる] /(v1,vi) (arch) to sneeze/
嚔る [はなひる] /(io) (v1,vi) (arch) to sneeze/
嚏 [くさめ] /(n) (uk) sneeze/
嚏 [くしゃみ] /(n) (uk) sneeze/(P)/
嚏 [くっさめ] /(n) (uk) sneeze/
嚏の木 [はなひりのき] /(n) (uk) Leucothoe grayana (species of ericaceous plant)/
嚏る [ひる] /(v1,vt) (arch) to sneeze/
嚥下 [えんか] /(n,vs,adj-no) (act of) swallowing/deglutition/
嚥下 [えんげ] /(n,vs,adj-no) (act of) swallowing/deglutition/
嚥下障害 [えんげしょうがい] /(n) dysphagia/dysphagy/
嚮後 [きょうこう] /(n-adv,n-t) hereafter/
嚮後 [きょうご] /(n-adv,n-t) hereafter/
嚮後 [こうご] /(n-adv,n-t) hereafter/
嚮導 [きょうどう] /(n,vs) guidance/conduct/lead/
囂々 [ごうごう] /(adj-na,adj-t,n) noise/boisterousness/
囂しい [かしがましい] /(adj-i) (1) (uk) noisy/boisterous/
囂しい [かしましい] /(adj-i) (1) (uk) noisy/boisterous/
囂しい [かまびすしい] /(adj-i) (1) (uk) noisy/boisterous/
囂囂 [ごうごう] /(adj-na,adj-t,n) noise/boisterousness/
嚼む [かむ] /(v5m,vt) (1) to bite/to chew/to gnaw/(2) to fumble or falter with one's words/
囁き [ささやき] /(n,vs) whispering/whisper/secret talk/murmur/
囁き声 [ささやきごえ] /(n) whisper/murmur/
囁く [ささやく] /(v5k,vi) to whisper/to murmur/(P)/
囃し立てる [はやしたてる] /(v1,vt) (1) to cheer/(2) to jeer/to mock/
囃す [はやす] /(v5s,vt) to play accompaniment/to jeer at/
囃子 [はやし] /(n) Japanese orchestra/band/accompaniment/
囃子言葉 [はやしことば] /(n) meaningless words in a song for rhythm/words or utterances added to modulate the cadence of a song/
囃子詞 [はやしことば] /(n) meaningless words in a song for rhythm/words or utterances added to modulate the cadence of a song/
囃子方 [はやしかた] /(n) (in Noh) musician/orchestra leader/
囀り [さえずり] /(n) (1) chirp/twitter/warble/(2) (food) whale tongue/
囀る [さえずる] /(v5r,vi) (uk) to sing/to chirp/to twitter/(P)/
囈言 [うわごと] /(n) (uk) talking in delirium/incoherent muttering/
囈語 [うわごと] /(n) (uk) talking in delirium/incoherent muttering/
囈語 [げいご] /(n) (uk) talking in delirium/incoherent muttering/
囑託 [しょくたく] /(oK) (n,vs) (1) commission/charge (person with)/entrusting with/(2) part-time (employee)/
囓る [かじる] /(v5r,vt) (1) to chew/to bite (at)/to gnaw/to nibble/to munch/to crunch/to have a smattering of/(2) to dabble in (e.g. hobby, instrument)/
囮 [おとり] /(n) (uk) lure/decoy/
囮捜査 [おとりそうさ] /(n) sting operation/undercover investigation/
國 [くに] /(oK) (n) (1) country/(the) state/(2) region/(3) (obs) province (of Japan)/(4) home (i.e. hometown, home country)/(5) (arch) land/earth/
國章 [こくしょう] /(n) national emblem/(national) coat of arms/
圓 [えん] /(oK) (n) (1) Yen/money/(2) circle/
圓 [まる] /(oK) (n) (1) circle/
圖解 [ずかい] /(oK) (n,vs,adj-no) schematic/schema/illustration/explanatory diagram/
坎 [かん] /(n) (1) (arch) pit/hole/(2) kan (one of the trigrams of the I Ching: water, north)/
坎軻 [かんか] /(n) separation from the world/
址 [あと] /(n) (1) trace/tracks/mark/sign/(2) remains/ruins/(3) scar/
坏 [さかずき] /(n) sake cup/cup for alcoholic beverages/
坏 [つき] /(n) (arch) shallow bowl/
坩堝 [かんか] /(n) crucible/(melting) pot/
坩堝 [るつぼ] /(n) crucible/(melting) pot/
坩堝と化す [るつぼとかす] /(exp,v5s) to turn into a state of feverish mood/
垓 [がい] /(n) 10^20/100,000,000,000,000,000,000/hundred quintillion (American)/(obs) hundred trillion (British)/
垤 [ありづか] /(n) anthill/
埃 [あい] /(n) one ten-billionth/
埃 [ほこり] /(n) dust/(P)/
埃っぽい [ほこりっぽい] /(adj-i) dusty/
埃及 [えじぷと] /(n,adj-no) (uk) Egypt/
埒 [らち] /(n) bounds/limits/
埒が明かない [らちがあかない] /(adj-i) make no progress/remain unsettled/
埒が明く [らちがあく] /(exp,v5k) to come to a settlement/
埒もない [らちもない] /(adj-i) incoherent/vague/silly/foolish/
埒外 [らちがい] /(n) out of bounds/beyond the pale/
埒内 [らちない] /(n) within bounds/within the pale/
埓 [らち] /(n) bounds/limits/
埓が明く [らちがあく] /(exp,v5k) to come to a settlement/
堋 [あずち] /(n) mound on which targets are placed (in archery)/firing mound/
堡礁 [ほしょう] /(n) barrier reef/
堡塁 [ほうるい] /(n) fort/stronghold/
堡塁 [ほるい] /(n) fort/stronghold/
毀す [こわす] /(v5s,vt) (1) to break/to destroy/to demolish/(2) to wreck/to ruin/to spoil/to damage/(3) to break (a bill, etc.)/
毀つ [こぼつ] /(v5t,vt) to destroy/to break/to damage/
毀れ [こぼれ] /(n) nick/chip/scratch/
毀れる [こぼれる] /(v1,vt) to be chipped/to be nicked/
毀れる [こわれる] /(v1,vi) (1) to be broken/to break/(2) to fall through/to come to nothing/
毀棄 [きき] /(n,vs) destroying/demolishing/damage/
毀傷 [きしょう] /(n,vs) injury/damage/
毀損 [きそん] /(n,vs) damage/injury/defamation/waste/
毀誉 [きよ] /(n) praise/
毀誉褒貶 [きよほうへん] /(n) praise and censure/public criticisms/
塒 [とぐろ] /(n) (uk) coil/
塒 [ねぐら] /(n) (uk) roost/nesting place/
塒を巻く [とぐろをまく] /(exp,v5k) (1) to coil itself (e.g. a snake)/(2) to loaf around/
塹壕 [ざんごう] /(n) trench/dugout/
塹壕熱 [ざんごうねつ] /(n) trench fever/
墺太利 [おうすとりあ] /(n) Austria/
墻壁 [しょうへき] /(n) wall/fence/barrier/
壅がる [ふさがる] /(oK) (v5r,vi) (1) to be closed/to be blocked/to be healed (e.g. wound)/to be shut up/(2) to be clogged/to be plugged up/(3) to be occupied/to be taken (e.g. accommodation)/
壅がる [ふたがる] /(oK) (ok) (v5r,vi) (1) to be closed/to be blocked/to be healed (e.g. wound)/to be shut up/(2) to be clogged/to be plugged up/(3) to be occupied/to be taken (e.g. accommodation)/
壅ぐ [ふさぐ] /(v5g,vt) to stop up/to close up/to block (up)/to occupy/to fill up/to take up/to stand in another's way/to plug up/to shut up/
壜 [びん] /(n) bottle/
壜詰 [びんづめ] /(n) bottling/
壟 [おか] /(n) hill/height/knoll/rising ground/
壟畝 [ろうほ] /(n) (1) ridges of and paths between fields/(2) countryside/civilian/
壟断 [ろうだん] /(n,vs) monopoly/
壺 [こ] /(n) hu (ancient Chinese vessel shaped like a vase, usually used to store alcohol)/
壺 [つふ] /(ok) (n) (1) jar/pot/vase/(2) dice cup/(3) depression (i.e. the basin of a waterfall)/(4) (arch) target (when aiming an arrow)/(5) (figurative) bull's-eye/(6) key point (of a conversation, etc.)/(7) acupuncture point/moxibustion point/(8) nodes on a fingerboard (of a shamisen, etc.)/
壺 [つほ] /(ok) (n) (1) jar/pot/vase/(2) dice cup/(3) depression (i.e. the basin of a waterfall)/(4) (arch) target (when aiming an arrow)/(5) (figurative) bull's-eye/(6) key point (of a conversation, etc.)/(7) acupuncture point/moxibustion point/(8) nodes on a fingerboard (of a shamisen, etc.)/
壺 [つぼ] /(n) (1) jar/pot/vase/(2) dice cup/(3) depression (i.e. the basin of a waterfall)/(4) (arch) target (when aiming an arrow)/(5) (figurative) bull's-eye/(6) key point (of a conversation, etc.)/(7) acupuncture point/moxibustion point/(8) nodes on a fingerboard (of a shamisen, etc.)/
壺を心得る [つぼをこころえる] /(exp,v1) to understand the essence/to catch the main points/
壺皿 [つぼざら] /(n) small, deep dish/dice cup/
壺焼 [つぼやき] /(n) shellfish cooked in its own shell/sweet potatoes cooked in a crock/
壺焼き [つぼやき] /(n) shellfish cooked in its own shell/sweet potatoes cooked in a crock/
壺洗い [つぼあらい] /(n) (sl) individually "washing" a partner's fingers or toes in one's vagina (esp. as a service at a soapland)/
壺庭 [つぼにわ] /(n) type of small garden/inner garden/
壺黴 [つぼかび] /(n) (uk) chytrid (any simple, algaelike fungi of order Chytridiales)/
壻 [むこ] /(n) (1) husband/groom/(2) (one's) son-in-law/
壼 [つふ] /(iK) (ok) (n) (1) jar/pot/vase/(2) dice cup/(3) depression (i.e. the basin of a waterfall)/(4) (arch) target (when aiming an arrow)/(5) (figurative) bull's-eye/(6) key point (of a conversation, etc.)/(7) acupuncture point/moxibustion point/(8) nodes on a fingerboard (of a shamisen, etc.)/
壼 [つほ] /(iK) (ok) (n) (1) jar/pot/vase/(2) dice cup/(3) depression (i.e. the basin of a waterfall)/(4) (arch) target (when aiming an arrow)/(5) (figurative) bull's-eye/(6) key point (of a conversation, etc.)/(7) acupuncture point/moxibustion point/(8) nodes on a fingerboard (of a shamisen, etc.)/
壼 [つぼ] /(iK) (n) (1) jar/pot/vase/(2) dice cup/(3) depression (i.e. the basin of a waterfall)/(4) (arch) target (when aiming an arrow)/(5) (figurative) bull's-eye/(6) key point (of a conversation, etc.)/(7) acupuncture point/moxibustion point/(8) nodes on a fingerboard (of a shamisen, etc.)/
夊繞 [すいにょう] /(n) (uk) kanji "suinyou" radical (radical 35)/
夥しい [おびただしい] /(adj-i) (uk) large number/innumerable/great many/immense/vast/abundant/(P)/
夥多 [かた] /(adj-na,n) many/plentiful/
夭死 [ようし] /(n,vs) premature death/
夭逝 [ようせい] /(n,vs) premature death/
夭折 [ようせつ] /(n,vs) premature death/
夾角 [きょうかく] /(n) contained angle/included angle/
夾雑物 [きょうざつぶつ] /(n) foreign element/impurity/admixture/
夾侍 [きょうじ] /(n) flanking attendant to the main deity of veneration in a temple/
夾鐘 [きょうしょう] /(n) (1) (in China) 4th note of the ancient chromatic scale (approx. F)/(2) second lunar month/
夾竹桃 [きょうちくとう] /(n) oleander/Nerium oleander var. indicum/rosebay/
奕 [えき] /(n) (arch) playing the game of go/
奕世 [えきせい] /(n) many generations/
奎 [けい] /(n) Chinese "Legs" constellation (one of the 28 mansions)/
奎宿 [とかきぼし] /(n) Chinese "Legs" constellation (one of the 28 mansions)/
奚 [なぞ] /(exp) (1) something/(exp,adj-no) (2) (uk) what/(adv) (3) why/how/
奚 [なにぞ] /(exp) (1) something/(exp,adj-no) (2) (uk) what/(adv) (3) why/how/
奚 [なんぞ] /(exp) (1) something/(exp,adj-no) (2) (uk) what/(adv) (3) why/how/
奚琴 [けいきん] /(n) xiqin (2-stringed Chinese musical instrument)/
奢り [おごり] /(n) luxury/treat/extravagance/
奢る [おごる] /(v5r,vt) (1) to give (someone) a treat/(v5r,vi) (2) to be extravagant/to live luxuriously/(3) to be proud/to be haughty/(P)/
奢る平家久しからず [おごるへいけひさしからず] /(exp) pride goes before a fall/lit: the proud Heike family lasts not long/
奢侈 [しゃし] /(adj-na,n) luxury/extravagance/
奠都 [てんと] /(n,vs) transferring the capital/
奧 [おく] /(oK) (n) interior/inner part/inside/
奸 [かん] /(n,adj-na) cunning and wickedness/cunning, wicked person/
奸悪 [かんあく] /(adj-na,n) (1) wickedness/(2) wicked person/
奸計 [かんけい] /(n) trick/evil design/sharp practice/sharp practise/
奸策 [かんさく] /(n) shrewd (dirty) trick/sinister scheme (design)/sly art/
奸臣 [かんしん] /(n) disloyal retainer/treacherous subject/
奸賊 [かんぞく] /(n) villain/
奸知 [かんち] /(n) cunning/craft/wiles/
奸物 [かんぶつ] /(n) cunning man/crook/
奸佞邪知 [かんねいじゃち] /(n) wiles and cunning/craftiness and treachery/
奸佞邪智 [かんねいじゃち] /(n) wiles and cunning/craftiness and treachery/
奸黠 [かんかつ] /(adj-na) cunning/sly/
佞 [ねい] /(n) (arch) flattery/insincerity/
佞む [かたむ] /(v5m) (1) (arch) to deceive/to fool/to lie/(2) to commit adultery/
佞む [かだむ] /(v5m) (1) (arch) to deceive/to fool/to lie/(2) to commit adultery/
佞悪 [ねいあく] /(adj-na,n) perverseness/perverse person/
佞姦 [ねいかん] /(adj-na,n) treacherous/wicked/perverse/
佞者 [ねいしゃ] /(n) smooth talker/crafty person/
佞臣 [ねいしん] /(n) crafty courtier/traitor/
佞人 [ねいじん] /(n) flatterer/smooth talker/crafty person/
佞智 [ねいち] /(n) craftiness/
佞弁 [ねいべん] /(n) flattery/cajolery/adulation/
佞奸 [ねいかん] /(adj-na,n) treacherous/wicked/perverse/
妍醜 [けんしゅう] /(n) (arch) beauty and ugliness/
娑婆 [しゃば] /(n) this corrupt world/
娑婆っ気 [しゃばっけ] /(n) worldly desires/
娑婆ッ気 [しゃばッけ] /(n) worldly desires/
娑婆気 [しゃばき] /(n) worldly desires or ambitions/
娑婆気 [しゃばけ] /(n) worldly desires or ambitions/
娑羅 [さら] /(n) sal tree/
娑羅 [しゃら] /(n) sal tree/
娑羅双樹 [さらそうじゅ] /(n) sal tree/
婀娜 [あだ] /(n) coquettish woman/
婀娜っぽい [あだっぽい] /(adj-i) (uk) coquettish/
婀娜めく [あだめく] /(v5k) to be bewitching/to look coquettish/to behave in an alluring manner/to behave in a seductive manner/
婬 [いん] /(n,adj-na) licentiousness/
婬する [いんする] /(vs-s,vi) (1) to overdo/to go to excess/to indulge/(2) to act licentiously/
婬婦 [いんぷ] /(n) (1) woman of loose morals/lewd woman/(2) prostitute/whore/harlot/
婉曲 [えんきょく] /(adj-na,n) euphemistic/circumlocution/roundabout/indirect/(P)/
婉曲迂遠 [えんきょくうえん] /(n,adj-na) being euphemistic and circumlocutory/
婉曲表現 [えんきょくひょうげん] /(n) euphemism/euphemistic expression/
婉曲法 [えんきょくほう] /(n) euphemism/periphrasis/circumlocution/
婉然 [えんぜん] /(adv-to,adj-t) graceful/beautiful/
婉美 [えんび] /(adj-na,n) beauty/charm/
娵 [よめ] /(n) (1) wife/bride/(2) (one's) daughter-in-law/
娵入り [よめいり] /(n,vs) marriage/wedding/
娶る [めとる] /(v5r,vt) to marry (a woman)/to take to wife/
婢 [ひ] /(n) (1) (arch) female slave/(2) female servant/housemaid/
婢 [めのこやつこ] /(n) (1) (arch) female slave/
婢女 [はしため] /(n) female servant/
媚 [こび] /(n) flattery/cajolery/flirtation/
媚かしい [なまめかしい] /(iK) (adj-i) charming/captivating/bewitching/seductive/coquettish/
媚び [こび] /(n) flattery/cajolery/flirtation/
媚びへつらう [こびへつらう] /(v5u,vi) to toady/to be obsequious/
媚びる [こびる] /(v1,vi) to flatter/to curry favor with/to curry favour with/to flirt with/to fawn on/
媚び諂う [こびへつらう] /(v5u,vi) to toady/to be obsequious/
媚る [こびる] /(io) (v1,vi) to flatter/to curry favor with/to curry favour with/to flirt with/to fawn on/
媚を売る [こびをうる] /(exp,v5r) (1) to coquet (of a woman)/to entice a customer (of a prostitute)/(2) to flatter/to butter up/
媚眼秋波 [びがんしゅうは] /(n) casting a coquettish (an amorous) glance (at a man)/
媚態 [びたい] /(n) coquetry/
媚薬 [びやく] /(n) aphrodisiac/
媼 [うば] /(n) (1) elderly woman/(2) noh mask of an old woman/
媼 [おうな] /(n) elderly woman/
媾曳 [あいびき] /(n,vs) (lover's) date/assignation/rendezvous/
媾曳き [あいびき] /(n,vs) (lover's) date/assignation/rendezvous/
媾合 [こうごう] /(n,vs) sexual union/congress/
媾和 [こうわ] /(n,vs) reconciliation/peace/
嫋か [しなやか] /(adj-na,n) (uk) supple/flexible/elastic/(P)/
嫋やか [たおやか] /(adj-na) (uk) willowy/graceful/
嫂 [あによめ] /(n) elder brother's wife/sister-in-law/
媽姐揚 [ぼさあげ] /(n) (obsc) ceremony performed by Chinese merchants disembarking in Nagasaki (Edo period)/
媽姐揚げ [ぼさあげ] /(n) (obsc) ceremony performed by Chinese merchants disembarking in Nagasaki (Edo period)/
嫣然 [えんぜん] /(adj-t,adv-to) (arch) sweetly smiling/like the smiling of a beauty/
嫣然一笑 [えんぜんいっしょう] /(n,vs) giving a charming (bewitching) smile/
嫗 [おうな] /(n) elderly woman/
嫩芽 [どんが] /(n) (arch) bud/sprout/
嫩葉 [どんよう] /(n) new leaves/fresh verdure/
嫩葉 [わかば] /(n) new leaves/fresh verdure/
嬌姿 [きょうし] /(n) lovely figure/
嬌笑 [きょうしょう] /(n,vs) charming smile/
嬌声 [きょうせい] /(n) lovely voice/
嬌態 [きょうたい] /(n) coquetry/
嬌名 [きょうめい] /(n) reputation for beauty/
嬌羞 [きょうしゅう] /(n) charming and coy/
嬲り殺し [なぶりごろし] /(n) torture to death/torment to death/
嬲る [なぶる] /(v5r,vt) (1) (uk) to tease/to make fun of/to make sport of/(2) to torment/to blame/to persecute/(3) to tamper/
嬶 [かか] /(n) wife/
嬶 [かかあ] /(n) wife/
嬶天下 [かかあでんか] /(n) extremely overbearing wife/
嬾惰 [らんだ] /(adj-na) (1) lazy/idle/(n) (2) indolence/laziness/sloth/idleness/
孀 [やもめ] /(n) widow/
孑々 [ぼうふら] /(n) (uk) mosquito larva/wriggler/maggot/
孑々 [ぼうふり] /(n) (uk) mosquito larva/wriggler/maggot/
孑然 [けつぜん] /(adj-t,adv-to) isolated/alone/helpless/
孑孑 [ぼうふら] /(n) (uk) mosquito larva/wriggler/maggot/
孑孑 [ぼうふり] /(n) (uk) mosquito larva/wriggler/maggot/
孕み [はらみ] /(n) conception/pregnancy/
孕む [はらむ] /(v5m,vi) to conceive/to become pregnant/to get filled with/(P)/
孕る [みごもる] /(v5r,vi) to become pregnant/
孕んで [はらんで] /(exp) pregnant with/in litter/
孕女 [うぶめ] /(n) (obsc) woman in late pregnancy/woman on the point of giving birth/
孰 [いずれ] /(adv,pn,adj-no) (1) (uk) where/which/who/(2) anyway/anyhow/at any rate/sooner or later/eventually/at some future date or time/(P)/
孰 [いづれ] /(ik) (adv,pn,adj-no) (1) (uk) where/which/who/(2) anyway/anyhow/at any rate/sooner or later/eventually/at some future date or time/
孰か [いずれか] /(n,adj-no) (uk) any of/either of/(to) any/
孰れ [いずれ] /(adv,pn,adj-no) (1) (uk) where/which/who/(2) anyway/anyhow/at any rate/sooner or later/eventually/at some future date or time/
孰れ [いづれ] /(ik) (adv,pn,adj-no) (1) (uk) where/which/who/(2) anyway/anyhow/at any rate/sooner or later/eventually/at some future date or time/
孰れか [いずれか] /(n,adj-no) (uk) any of/either of/(to) any/
孰れにしても [いずれにしても] /(conj) (uk) anyhow/at all events/in any case/
孰方 [いずかた] /(oK) (n) (1) (uk) which way/which direction/where/(2) which one (esp. of two alternatives)/(3) who/
孰方 [いずし] /(oK) (ok) (n) (1) (uk) which way/which direction/where/(2) which one (esp. of two alternatives)/(3) who/
孰方 [いずち] /(oK) (n) (1) (uk) which way/which direction/where/(2) which one (esp. of two alternatives)/(3) who/
孰方 [どち] /(oK) (ok) (n) (1) (uk) which way/which direction/where/(2) which one (esp. of two alternatives)/(3) who/
孰方 [どちら] /(oK) (n) (1) (uk) which way/which direction/where/(2) which one (esp. of two alternatives)/(3) who/
孰方 [どっち] /(oK) (n) (1) (uk) which way/which direction/where/(2) which one (esp. of two alternatives)/(3) who/
孰方 [なにざま] /(oK) (ok) (n) (1) (uk) which way/which direction/where/(2) which one (esp. of two alternatives)/(3) who/
孳尾む [つるむ] /(v5m,vi) to copulate (animals)/to mate/
孵す [かえす] /(v5s,vt) to hatch/to incubate/
孵る [かえる] /(v5r,vi) to hatch out/
孵化 [ふか] /(n,vs) incubation/hatching/
孵化器 [ふかき] /(n) incubator/
孵卵 [ふらん] /(n,vs) incubation/hatching/
孵卵器 [ふらんき] /(n) incubator/
學ぶ [まなぶ] /(v5b) to study (in depth)/to learn/to take lessons in/
學校 [がっこう] /(oK) (n) school/
孺子 [じゅし] /(n) (1) child/young lad/(2) stripling/greenhorn/inexperienced person/
宀部 [べんぶ] /(n) "roof" kanji radical (radical 40)/
宦官 [かんがん] /(n) eunuch/
宸翰 [しんかん] /(n) Imperial letter/
寃罪 [えんざい] /(iK) (n) false charge/false accusation/misrepresentation/
寇 [あだ] /(n) (1) foe/enemy/rival/(2) resentment/enmity/grudge/(3) harm/injury/
寇 [こう] /(n) (obsc) invasion/invader/
寇する [あたする] /(vs-s) (1) to harm/to injure/(2) to oppose/
寇する [あだする] /(vs-s) (1) to harm/to injure/(2) to oppose/
寇する [こうする] /(vs-s) (arch) to invade/
寔に [まことに] /(adv) indeed/really/absolutely/truly/actually/very/quite/
寐る [ねる] /(v1,vi) (1) to lie down/(2) to go to bed/to lie in bed/(3) to sleep (lying down)/(4) to sleep (with someone, i.e. have intercourse)/(5) to lie idle/
寐語 [びご] /(n) sleep-talking/nonsense/
寐坊 [ねぼう] /(oK) (n,vs) (1) sleeping in late/oversleeping/(n) (2) late riser/sleepyhead/
寐竜 [メイロン] /(n) (uk) mei long (dinosaur discovered in China)/
實に [まことに] /(oK) (adv) indeed/really/absolutely/truly/actually/very/quite/
實手 [じって] /(iK) (n) (arch) short truncheon with a hook made of metal or wood (used by policeman and private thief-takers in Edo Japan)/
實手 [じゅって] /(iK) (n) (arch) short truncheon with a hook made of metal or wood (used by policeman and private thief-takers in Edo Japan)/
實踐者 [じっせんしゃ] /(oK) (n) practitioner/
寥々 [りょうりょう] /(adj-t,adv-to) lonely/rare/few/
寥寥 [りょうりょう] /(adj-t,adv-to) lonely/rare/few/
寶 [たから] /(n) treasure/
寳 [たから] /(n) treasure/
專門 [せんもん] /(iK) (n,adj-no) speciality/specialty/subject of study/expert/
尠い [すくない] /(adj-i) few/a little/scarce/insufficient/seldom/
尠からず [すくなからず] /(adv) considerably/not a little/in no small numbers/
尠くとも [すくなくとも] /(adv) at least/
尠くも [すくなくも] /(adv) at least/
尢 [だいのまげあし] /(n) kanji "crooked-leg" dai radical (radical 43)/
尨 [むく] /(n) (1) shaggy hair/(2) (abbr) shaggy dog/
尨犬 [むくいぬ] /(n) shaggy dog/
尨大 [ぼうだい] /(adj-na,n,adj-no) huge/bulky/enormous/extensive/swelling/expansion/
尨毛 [むくげ] /(n) shaggy hair/
尸 [かばね] /(n) (1) corpse/(2) kanji "corpse" radical/
尸 [し] /(n) (1) corpse/
尸 [しかばね] /(n) (1) corpse/(2) kanji "corpse" radical/
尸位素餐 [しいそさん] /(n) neglecting the duties of an office while taking pay/
尸冠 [しかばねかんむり] /(n) (uk) kanji "corpse" radical/
尸諌 [しかん] /(n,vs) admonishing (one's master) at the cost of one's life/
尸童 [よりまし] /(n) child or doll used as a vessel for a spirit invoked by a shaman or miko/
尹 [いん] /(n) director (of the ritsuryo-period Imperial Prosecuting and Investigating Office)/
屁 [おなら] /(n) (uk) wind/gas/fart/(P)/
屁 [へ] /(n) (uk) wind/gas/fart/
屁こき [へこき] /(n) farting/breaking wind/
屁っぴり腰 [へっぴりごし] /(n) (1) bent back/prone posture/(2) weak-kneed/timidity/lack of nerve/
屁っ放り腰 [へっぴりごし] /(n) (1) bent back/prone posture/(2) weak-kneed/timidity/lack of nerve/
屁っ放り虫 [へっぴりむし] /(n) (1) (uk) bombardier beetle (esp. species Pheropsophus jessoensis)/(2) stink bug/
屁とも思わない [へともおもわない] /(exp,adj-i) not give a damn/not care a bit/
屁と火事はもとから騒ぐ [へとかじはもとからさわぐ] /(exp,v5g) it is often the originator of problems who kicks up a fuss or complains loudest/
屁の河童 [へのかっぱ] /(n) something easy to do/cinch/
屁をひって尻窄め [へをひってしりつぼめ] /(exp) there's no point squeezing your buttocks after you have farted/no use shutting the stable door after the horse has bolted/
屁放き [へこき] /(n) farting/breaking wind/
屁放き虫 [へこきむし] /(n) fart bug/
屁理屈 [へりくつ] /(n) sophism/quibble/hair-splitting/argument for argument's sake/cavil/frivolous objections/
屁理屈屋 [へりくつや] /(n) sophist/quibbler/
屆ける [とどける] /(oK) (v1,vt) to deliver/to forward/to send/to report/to file notice (to the authorities)/
屎 [くそ] /(int) (1) (col) bullshit/shit/damn/(n) (2) (col) feces/excrement/(adj-f) (3) damn (adds emphasis and or annoyance to next word, e.g. damn hot, damn kids, etc.)/damned/
屎尿 [しにょう] /(n) excreta/raw sewage/human waste/night soil/
屎尿処理 [しにょうしょり] /(n) sewage disposal/
屏 [へい] /(n) wall/fence/
屏居 [へいきょ] /(n,vs) living in retirement/
屏息 [へいそく] /(n,vs) bated breath/being cowed into silence/
屏風 [びょうぶ] /(n) folding screen/(P)/
屏風絵 [びょうぶえ] /(n) picture drawn on a folding screen/
屏風岩 [びょうぶいわ] /(n) sheer cliff/
屹然 [きつぜん] /(adv-to,adj-t) (1) (arch) towering/lofty/(2) enduring isolation and not succumbing to one's surroundings/
屹度 [きっと] /(adv,n) (1) (uk) surely/undoubtedly/almost certainly/most likely (e.g. 90 percent)/(2) (arch) sternly/severely/(P)/
屹立 [きつりつ] /(n,vs) standing tall/towering/soaring/
岌々 [きゅうきゅう] /(adj-t,adv-to) (1) tall (as a mountain, etc.)/(2) exceedingly dangerous/
岌岌 [きゅうきゅう] /(adj-t,adv-to) (1) tall (as a mountain, etc.)/(2) exceedingly dangerous/
峙つ [そばだつ] /(v5t,vi) (uk) to tower/to rise/to soar/
峽 [かい] /(oK) (n) (arch) gorge/ravine/
峭刻 [しょうこく] /(adj-t,adv-to) (arch) very rigorous/strict/cruel/
嵌まり込む [はまりこむ] /(v5m) (1) to get stuck in/to be mired in/(2) to be addicted to/
嵌まり役 [はまりやく] /(n) well-suited role/
嵌まる [はまる] /(v5r,vi) (1) (uk) to fit/to get into/to go into/(2) (uk) to be fit for (a job, etc.)/to be suited for/to satisfy (conditions)/(3) (uk) to fall into/to plunge into/to get stuck/to get caught/(4) (uk) to be deceived/to be taken in/to fall into a trap/(5) (uk) to be addicted to/to be deep into/to be crazy about/to be stuck on/
嵌める [はめる] /(v1,vt) (1) (uk) to insert/to put in (such that there is a snug fit)/(2) (col) to have sex/to fuck/(3) to pigeonhole (into a particular category)/(4) to place a ring-shaped object around something (esp. one that restricts freedom, such as handcuffs)/(5) to entrap/to set someone up (i.e. frame them for a crime, etc.)/(P)/
嵌め込み [はめこみ] /(oK) (n) (1) insertion/inlaying/(2) (math) immersion/
嵌め込む [はめこむ] /(v5m,vt) (1) to inlay/to insert/to set/(2) (math) to plug in (to a formula)/to immerse/(3) to trick/to deceive/
嵌め殺し [はめごろし] /(n) fixed fitting/
嵌め木細工 [はめきざいく] /(n) inlaid woodwork/
嵌り込む [はまりこむ] /(v5m) (1) to get stuck in/to be mired in/(2) to be addicted to/
嵌り役 [はまりやく] /(n) well-suited role/
嵌る [はまる] /(io) (v5r,vi) (1) (uk) to fit/to get into/to go into/(2) (uk) to be fit for (a job, etc.)/to be suited for/to satisfy (conditions)/(3) (uk) to fall into/to plunge into/to get stuck/to get caught/(4) (uk) to be deceived/to be taken in/to fall into a trap/(5) (uk) to be addicted to/to be deep into/to be crazy about/to be stuck on/
嵌合 [かんごう] /(n,vs) fitting together (e.g. nuts and bolts)/fit/
嵌合 [はめあい] /(n,vs) fitting together (e.g. nuts and bolts)/fit/
嵌入 [かんにゅう] /(n,vs) setting in/inlaying/dovetailing/
嶄絶 [ざんぜつ] /(n,adj-na) (arch) sheer/precipitous/
嶮 [けん] /(n,adj-na) (1) steepness/steep place/(2) harsh (look)/sharp (tongue)/
嶮しい [けわしい] /(adj-i) (1) precipitous/rugged/inaccessible/impregnable/steep/(2) grim/severe/stern/
嶮峻 [けんしゅん] /(adj-na,n) steep/precipitous/
嶮岨 [けんそ] /(adj-na,n) precipice/steep (e.g. mountain pass)/
嶮難 [けんなん] /(adj-na,n) steep/dangerous/
嶮路 [けんろ] /(n) steep path/
嶽 [たけ] /(n,suf) (1) peak/(2) mountain/
巉巌 [ざんがん] /(n) near-vertical cliff or peak/
巉絶 [ざんぜつ] /(n,adj-na) (arch) sheer/precipitous/
巍然 [ぎぜん] /(adv-to,adj-t) (arch) towering (as mountains do)/of outstanding greatness (as a person)/
巖 [いわ] /(oK) (n) rock/crag/
巖 [いわお] /(oK) (n) rock/crag/
巫 [かんなぎ] /(n) medium/diviner/shaman/oracle/
巫山雲雨 [ふざんうんう] /(n) sexual liaison/
巫山戯る [ふざける] /(ateji) (v1) (uk) to romp/to gambol/to frolic/to joke/to make fun of/to flirt/to mess around/to screw around/to josh/(P)/
巫子 [いたこ] /(n) (uk) necromancer (esp. a blind female in Northeastern Honshu)/medium/shaman/
巫子 [いちこ] /(n) (1) sorceress/medium/female fortuneteller/
巫子 [みこ] /(n) (1) shrine maiden/virgin consecrated to a deity/(2) medium/sorceress/
巫者 [ふしゃ] /(n) virgin consecrated to a deity/shrine maiden/(spiritualistic) medium/
巫祝 [ふしゅく] /(n) shrine maiden/ancient priest/
巫術 [ふじゅつ] /(n) divination/sorcery/witchcraft/
巫女 [のろ] /(n) hereditary caste of female mediums in Okinawa/
巫女 [ふじょ] /(n) (1) shrine maiden/virgin consecrated to a deity/(2) medium/sorceress/
巫女 [みこ] /(n) (1) shrine maiden/virgin consecrated to a deity/(2) medium/sorceress/
巫女寄せ [みこよせ] /(n) spiritism/necromancy/sorcery/
巫女舞 [みこまい] /(n) shrine maiden's ceremonial dance (in kagura)/
巫覡 [ふげき] /(n) shaman/oracle/diviner/medium/
已に [すでに] /(oK) (adv) (uk) already/too late/
已に [すんでに] /(oK) (adv) (uk) already/too late/
已まない [やまない] /(exp,aux-adj) (1) (uk) (after the -te form of a verb) always/forever/(2) very/greatly (esp. of hopes and desires)/
已む [やむ] /(v5m,vi) to cease/to stop/to be over/
已むなく [やむなく] /(adv) reluctance/unwillingness/unavoidably/out of necessity/
已むに已まれず [やむにやまれず] /(exp) without being able to help oneself/against one's will/compelling/pressing/irresistible/
已むに已まれない [やむにやまれない] /(exp) without being able to help oneself/against one's will/compelling/pressing/irresistible/
已むに已まれぬ [やむにやまれぬ] /(exp) without being able to help oneself/against one's will/compelling/pressing/irresistible/
已むに已まれぬ事情 [やむにやまれぬじじょう] /(n) circumstances beyond one's control/
已むを得ず [やむをえず] /(adv) unavoidably/inevitably/necessarily/reluctantly/against one's will/
已むを得ない [やむをえない] /(exp) cannot be helped/unavoidable/
已む得ず [やむえず] /(adv) (uk) unavoidably/inevitably/necessarily/reluctantly/against one's will/
已む無く [やむなく] /(adv) reluctance/unwillingness/unavoidably/out of necessity/
已める [やめる] /(oK) (v1,vt) to end/to stop/to cease/to resign/
已んぬる哉 [やんぬるかな] /(exp) I give up/
已往 [いおう] /(oK) (n-adv,n-t) hereafter/the future/formerly/in ancient times/
已下 [いか] /(n) (1) not exceeding/and downward/... and below/(2) below (e.g. standard)/under (e.g. a level)/(3) the below-mentioned/the following/the rest/
已下 [いげ] /(n) (1) not exceeding/and downward/... and below/(2) below (e.g. standard)/under (e.g. a level)/(3) the below-mentioned/the following/the rest/
已後 [いご] /(n-adv,n-t) (1) after this/from now on/hereafter/(2) thereafter/since (verb) (after -te form of verb)/after (time)/since (then)/
已上 [いじょう] /(n-adv,n-t) (1) not less than/... and more/... and upwards/(2) beyond ... (e.g. one's means)/further (e.g. nothing further to say)/more than ... (e.g. cannot pay more than that)/(3) above-mentioned/foregoing/(4) since .../seeing that .../(5) this is all/that is the end/the end/
已前 [いぜん] /(oK) (n-adv,n-t) ago/since/before/previous/
已然形 [いぜんけい] /(n) (ling) realis form (e.g. has happened)/
巵 [さかずき] /(n) sake cup/cup for alcoholic beverages/
巵 [し] /(n) zhi (large bowl-shaped ancient Chinese cup with two handles)/
巵子 [くちなし] /(n) (uk) Cape jasmine (Gardenia jasminoides)/Cape jessamine/gardenia/
帚 [ほうき] /(n,vs) (uk) broom/
帚星 [ほうきぼし] /(n) comet/
帙 [ちつ] /(n) (1) protective covering for books, often in the form of a folding case with clasps/(ctr) (2) counter for book covers/(n) (3) book cover or dust jacket/
帛 [はく] /(n) (arch) silk/
帛紗 [ふくさ] /(n) small silk wrapper/small cloth for wiping tea utensils/crepe wrapper/
帶 [おび] /(oK) (n) (1) obi (kimono sash)/(2) paper wrapper on books, CDs, etc./
帷 [とばり] /(n) (uk) curtain/hanging/bunting/
帷子 [かたびら] /(n) light hemp garment/thin morning kimono/
帷帳 [いちょう] /(n) curtain/
帷幕 [いばく] /(n) curtain/field staff headquarters/secret meeting place/
帷幄 [いあく] /(n) headquarters/general staff/
帷幄の臣 [いあくのしん] /(n) close adviser/close advisor/
帷幄上奏 [いあくじょうそう] /(n) direct appeal to the throne by the military/
幄 [とばり] /(n) (uk) curtain/hanging/bunting/
幄舎 [あくしゃ] /(n) pavilion/
幔幕 [まんまく] /(n) curtain/drapery/
幟 [のぼり] /(n) flag/banner/streamer/
幟邑 [のぼりざと] /(n) (uk) kanji "large village" radical/
幢 [どう] /(n) (1) (Buddh) long-handled Chinese spear bearing a small flag/(2) banner/hanging/
幢 [はたほこ] /(n) (1) (Buddh) long-handled Chinese spear bearing a small flag/
幢 [はたぼこ] /(n) (1) (Buddh) long-handled Chinese spear bearing a small flag/
幢幡 [どうばん] /(n) hanging-banner used as ornament in Buddhist temples/
幇間 [たいこもち] /(n) (1) professional jester/professional entertainer/comedian/buffoon/(2) flatterer/sycophant/brown-noser/
幇間 [ほうかん] /(n) (1) professional jester/professional entertainer/comedian/buffoon/(2) flatterer/sycophant/brown-noser/
幇助 [ほうじょ] /(n,vs) assistance/backing/
并合 [へいごう] /(n) annexation/amalgamation/merger/
并呑 [へいどん] /(n,vs) annexation/merger/swallowing up/
广 [まだれ] /(n) the "dotted cliff" kanji radical/
庠序 [しょうじょ] /(n) (arch) school/
廂 [ひさし] /(n) (1) (uk) eaves (of roof)/(2) narrow aisle surrounding the core of a temple building/(3) visor or peak (of cap)/(4) (abbr) classic Japanese women's low pompadour hairstyle/
廐 [うまや] /(n) stable/barn/
廐舎 [きゅうしゃ] /(oK) (n) barn/stable/
廐肥 [きゅうひ] /(n) manure/compost/
廏 [うまや] /(n) stable/barn/
廏舎 [きゅうしゃ] /(n) barn/stable/
廏肥 [きゅうひ] /(n) manure/compost/
廣い [ひろい] /(adj-i) spacious/vast/wide/
廣汎 [こうはん] /(adj-na,adj-no) wide/extensive/comprehensive/far-reaching/widespread/
廣報 [こうほう] /(oK) (n) PR/public relations/publicity/information/
廚 [くりや] /(n) kitchen/
廚子 [ずし] /(oK) (n) (1) miniature shrine with double doors (used to store important Buddhist items such as sutras, etc.)/(2) cabinet with double doors (used by the nobility to store books, etc.)/
廚房 [ちゅうぼう] /(n) (1) kitchen/galley/(2) (sl) someone who makes childish posts (on a BBS, etc.)/
廢する [はいする] /(oK) (vs-s) (1) to abolish/to abandon/to repeal/to discontinue/(2) to dethrone/to depose/
廬 [いお] /(n,n-suf) hermitage/retreat/
廬 [いおり] /(n,n-suf) hermitage/retreat/
廬山会議 [ろざんかいぎ] /(n) Lushan Conference (1959 meeting of the Communist Party of China to discuss the Great Leap Forward)/
廬舎 [ろしゃ] /(n) (arch) small house/
廴繞 [いんにょう] /(n) (uk) kanji "stretch" radical (radical 54)/
彝語 [いご] /(n) Yi language/
弋人 [よくじん] /(n) hunter/archer/
弑逆 [しいぎゃく] /(vs) murder of one's own lord or father/
弑逆 [しぎゃく] /(vs) murder of one's own lord or father/
弖爾乎波 [てにをは] /(n) postpositions/particles/
弩 [いしゆみ] /(n) (1) crossbow (inc. large models operated by a number of people)/(2) netted apparatus atop a wall containing large stones, which were dropped onto attackers by cutting the net/(3) slingshot/catapult/
弩級 [どきゅう] /(n) dreadnought (dreadnaught) class of warship/
弩級艦 [どきゅうかん] /(n) dreadnought/
弭 [はず] /(n) (1) (uk) expectation that something took place, will take place or was in some state/it should be so/bound to be/expected to be/must be/(2) nock (of a bow)/(3) nock (of an arrow)/(4) nock-shaped grip (between thumb and forefinger) (Sumo)/(5) wooden frame on the tip of the mast of a Japanese ship that prevents the hawser from falling out/
彌榮 [いやさか] /(oK) (n) (1) prosperity/prospering/flourishing/(int) (2) best of luck/all the best/hurray/hoorah/
彌榮 [やさか] /(oK) (n) (1) prosperity/prospering/flourishing/(int) (2) best of luck/all the best/hurray/hoorah/
彎曲 [わんきょく] /(n,vs,adj-no) curve/bend/crook/
彎月 [わんげつ] /(n) crescent/
彎月状 [わんげつじょう] /(n) crescent shape/
彎入 [わんにゅう] /(n,vs) embayment/gulf/indentation/
弯曲 [わんきょく] /(n,vs,adj-no) curve/bend/crook/
弯入 [わんにゅう] /(n) curved indentation (esp. in stomach)/
彑頭 [けいがしら] /(n) kanji "pig's head" radical/
彗星 [すいせい] /(n) comet/(P)/
彗星のように現れる [すいせいのようにあらわれる] /(v1) to become famous overnight/to burst into fame/
彙報 [いほう] /(n) bulletin/collection of reports/
彙類 [いるい] /(n) same kind or class/classification/
彡旁 [さんづくり] /(n) (uk) kanji "three" or "hair ornament" radical at right/
彭湃 [ほうはい] /(adj-t,adv-to) (1) as the sound of surging water/(2) vigorous/surging/welling/
彳む [たたずむ] /(v5m,vi) (uk) to stand (still) a while/to loiter/to stop/
彷彿 [ほうふつ] /(n,vs,adj-t,adv-to) close resemblance/vivid reminder (e.g. of the past)/
彷徨 [ほうこう] /(n,vs) (1) wandering/rambling/roaming/(2) fluctuation/variation/
彷徨う [さまよう] /(v5u,vi) to loiter/to putter/to prowl/to wander about/to roam about/to knock around/(P)/
彷徨える [さまよえる] /(v1) (uk) to wander/
彷徨えるユダヤ人 [さまよえるユダヤじん] /(n) Wandering Jew/
彷徨き回る [うろつきまわる] /(v5r) to rove/to prowl/to go cruising/
彷徨く [うろつく] /(v5k,vi) (1) (uk) to loiter/to putter/to prowl/to wander aimlessly/to knock around/(2) to be confused from not knowing what to do/(P)/
從う [したがう] /(iK) (v5u,vi) to abide (by the rules)/to obey/to follow/to accompany/
從來農法 [じゅうらいのうほう] /(oK) (n) traditional farming/
徘回 [はいかい] /(n,vs) loitering/sauntering/wandering about/
徘徊 [はいかい] /(n,vs) loitering/sauntering/wandering about/
徭役 [ようえき] /(n) (arch) statute-labor service (ritsuryo period)/socage/
忖度 [そんたく] /(n,vs) surmise (about somebody's feelings)/guess/conjecture/
忻然 [きんぜん] /(adj-t,adv-to) joyful/cheerful/
忸怩 [じくじ] /(adj-t,adv-to) bashful/shameful/ashamed/
忝い [かたじけない] /(adj-i) grateful/indebted/
忝くも [かたじけなくも] /(adv) graciously/
忝涙 [かたじけなみだ] /(n) tears of gratitude/
忿然 [ふんぜん] /(n,adj-t,adv-to) anger/indignation/rage/wrath/
忿怒 [ふんど] /(n,vs) anger/rage/resentment/indignation/exasperation/
忿怒 [ふんぬ] /(n,vs) anger/rage/resentment/indignation/exasperation/
忿懣 [ふんまん] /(n,vs) anger/resentment/indignation/chagrin/irritation/
怡々 [いい] /(adj-t,adv-to) having fun/rejoicing/
怡悦 [いえつ] /(n,vs) (arch) rejoicing/
怡然 [いぜん] /(adv-to,adj-t) (arch) delightful/enjoyable/
怡怡 [いい] /(adj-t,adv-to) having fun/rejoicing/
怱々 [そうそう] /(adj-na,adj-t,adv-to,n) (1) (arch) busy/hurried/rushed/(n,adj-na) (2) Yours Sincerely/Yours in haste/
怱卒 [そうそつ] /(adj-na) sudden/hurried/busy/precipitate/abrupt/
怱怱 [そうそう] /(adj-na,adj-t,adv-to,n) (1) (arch) busy/hurried/rushed/(n,adj-na) (2) Yours Sincerely/Yours in haste/
怏々 [おうおう] /(adj-t,adv-to) discontented/unhappy/
怏怏 [おうおう] /(adj-t,adv-to) discontented/unhappy/
怺える [こらえる] /(v1,vi,vt) (1) to bear/to stand/to endure/to put up with/
恟々 [きょうきょう] /(adv-to,adj-t) terrified/horrified/panicked/
恟然 [きょうぜん] /(adv-to,adj-t) (arch) terrified/panicked/horrified/
恟恟 [きょうきょう] /(adv-to,adj-t) terrified/horrified/panicked/
恍け [とぼけ] /(n) assumed innocence/feigned ignorance/
恍ける [とぼける] /(v1,vi) (1) to play dumb/to feign ignorance/to play innocent/to have a blank facial expression/(2) to play the fool/(3) to be in one's dotage/
恍け顔 [とぼけがお] /(n) a face of (feigned) innocence/
恍惚 [こうこつ] /(adj-na,n,adj-no) ecstasy/trance/
恍惚状態 [こうこつじょうたい] /(n) state of ecstasy (rapture)/trance/senile dementia/
恍然 [こうぜん] /(adj-t,adv-to) fascinated and distracted by something/
恣 [ほしいまま] /(adj-na) (uk) selfish/self-indulgent/arbitrary/
恣意 [しい] /(n) selfishness/arbitrariness/
恣意性 [しいせい] /(n) arbitrariness/
恣意的 [しいてき] /(adj-na) arbitrary/selfish/
恃む [たのむ] /(v5m) (1) to request/to beg/to ask/(2) to call/to order/to reserve/(3) to entrust to/(4) to rely on/
恤む [めぐむ] /(v5m,vt) (1) to bless/to show mercy to/(2) to give (money, etc.)/
恬 [てん] /(adj-t,adv-to) nonchalant/
恬として [てんとして] /(exp,adv) nonchalantly/
恬然 [てんぜん] /(n,adj-t,adv-to) calm/peacefulness/
恬淡 [てんたん] /(adj-na,n,adv-to) disinterest/
恬淡虚無 [てんたんきょむ] /(adj-na,adj-no,adj-t,adv-to,n) (arch) rising above the trivia of life and remaining calm and selfless/
恫喝 [どうかつ] /(n) intimidation/threat/bluster/
恙ない [つつがない] /(adj-i) well/in good health/safe/free from accident/
恙む [つつむ] /(v5m) (arch) to become sick/to be struck by a disaster/to hinder/to be hindered/to run into problems/to have an accident/
恙虫 [つつがむし] /(n) (uk) chigger/jigger/harvest mite (any mite of family Trombiculidae)/
恙虫病 [つつがむしびょう] /(n) scrub typhus/tsutsugamushi disease/
恙無い [つつがない] /(adj-i) well/in good health/safe/free from accident/
悍ましい [おぞましい] /(adj-i) (uk) disgusting/repulsive/
悍馬 [かんば] /(n) bronco/unruly horse/
惧れる [おそれる] /(oK) (v1,vt) to fear/to be afraid of/
悚然 [しょうぜん] /(adj-t,adv-to) terrified/horrified/
悄々 [しおしお] /(adj-t,adv-to) (uk) in low spirits/dejected/sad/
悄々 [しょうしょう] /(adj-t,adv-to) (uk) in low spirits/dejected/sad/
悄々 [すごすご] /(adj-t,adv-to) (uk) in low spirits/dejected/sad/
悄気る [しょげる] /(v1,vi) to be dispirited/to be dejected/to be disheartened/to lose heart/
悄気込む [しょげこむ] /(v5m,vi) to be utterly disheartened/
悄然 [しょうぜん] /(adj-t,adv-to) dejected/dispirited/crestfallen/discouraged/
悄悄 [しおしお] /(adj-t,adv-to) (uk) in low spirits/dejected/sad/
悄悄 [しょうしょう] /(adj-t,adv-to) (uk) in low spirits/dejected/sad/
悄悄 [すごすご] /(adj-t,adv-to) (uk) in low spirits/dejected/sad/
悖る [もとる] /(v5r,vi) to go against/to deviate from/to oppose/
悖徳 [はいとく] /(n) corruption/immorality/lapse from virtue/fall from virtue/
悖反 [はいはん] /(n,vs) revolting/rebellion/going against/contradiction/antinomy/
悧巧 [りこう] /(adj-na,n) clever/shrewd/bright/sharp/wise/intelligent/
悋気 [りんき] /(n,vs) jealousy/
悋嗇 [りんしょく] /(oK) (n,adj-na) stinginess/miser/miserliness/selfishness/
惡い [わるい] /(oK) (adj-i) (1) bad/poor/inferior/(2) evil/sinful/(3) unprofitable/unbeneficial/(4) at fault/to blame/in the wrong/(5) sorry/
惡るい [わるい] /(oK) (adj-i) (1) bad/poor/inferior/(2) evil/sinful/(3) unprofitable/unbeneficial/(4) at fault/to blame/in the wrong/(5) sorry/
惡口 [あっこう] /(oK) (n,vs) abuse/insult/slander/evil speaking/bad mouth/
惡口 [わるくち] /(oK) (n,vs) abuse/insult/slander/evil speaking/bad mouth/
惡口 [わるぐち] /(oK) (n,vs) abuse/insult/slander/evil speaking/bad mouth/
惡戲 [あくぎ] /(oK) (adj-na,adj-no,n,vs) tease/prank/trick/practical joke/mischief/
惡戲 [いたずら] /(oK) (adj-na,adj-no,n,vs) tease/prank/trick/practical joke/mischief/
惡戲 [いたづら] /(oK) (ik) (adj-na,adj-no,n,vs) tease/prank/trick/practical joke/mischief/
悸える [おびえる] /(iK) (v1,vi) to become frightened/to be frightened (of)/to be scared (of)/
悴 [かせ] /(n-pref) low/poor/scrawny/
悴 [せがれ] /(n) (1) (hum) son/(2) punk/brat/(3) (col) penis/
悴せる [かせる] /(v1) (1) to dry up/to scab/to slough/(2) to be poisoned (with lacquer)/(3) (arch) to waste away/
悴む [かじかむ] /(v5m,vi) (uk) to grow numb with cold/
悽惨 [せいさん] /(adj-na,n) ghastliness/gruesomeness/luridness/
悽絶 [せいぜつ] /(adj-na,n) extremely weird/gruesome/lurid/ghastly/
悽愴 [せいそう] /(adj-na,n) pathetic/dreadful/
惘々 [ぼうぼう] /(adv-to) flat/listless (through despair)/
惘々 [もうもう] /(adv-to) flat/listless (through despair)/
惘れる [あきれる] /(v1,vi) to be amazed/to be shocked/
惘然 [ぼうぜん] /(adj-t,adv-to) dumbfounded/overcome with surprise/in blank amazement/in a daze/
惘然 [もうぜん] /(adj-t,adv-to) dumbfounded/overcome with surprise/in blank amazement/in a daze/
惘惘 [ぼうぼう] /(adv-to) flat/listless (through despair)/
惘惘 [もうもう] /(adv-to) flat/listless (through despair)/
愕く [おどろく] /(v5k,vi) to be surprised/to be astonished/
愕然 [がくぜん] /(n,adj-t,adv-to) astonishment/terror/
惶懼 [こうく] /(n) being struck with awe/
惶遽 [こうきょ] /(n) (arch) being afraid and panicked/
惷動 [しゅんどう] /(iK) (n,vs) (1) wriggling/squirming/maneuvering/manoeuvering/(2) mischief/despicable acts/
惻々 [そくそく] /(adv-to) keenly/heartily/heartrendingly/
惻隠 [そくいん] /(n) compassion/pity/
惻隠の情 [そくいんのじょう] /(n) compassion/pity/
惻惻 [そくそく] /(adv-to) keenly/heartily/heartrendingly/
愍笑 [びんしょう] /(n,vs) smiling with pity/
愍然 [びんぜん] /(n) pitiable/
慇懃 [いんぎん] /(adj-na,n) courtesy/intimacy/friendship/
慇懃な間柄 [いんぎんなあいだがら] /(exp) (1) (on) friendly terms with/(2) (on) sexually intimate terms with/
慇懃を通じる [いんぎんをつうじる] /(exp,v1) to have a surreptitious sexual relationship with/to have an illicit love affair with/
慇懃丁重 [いんぎんていちょう] /(n,adj-na) polite and courteous/
慇懃無礼 [いんぎんぶれい] /(adj-na,n) hypocritical courtesy/superficially polite but rude in intent/
愧じる [はじる] /(v1) to feel ashamed/
愧赧 [きたん] /(n,vs) blushing with embarrassment/
慊りる [あきたりる] /(v1,vi) to be satisfied/
慊る [あきたる] /(v5r,vi) to be satisfied/
慄然 [りつぜん] /(adj-t,adv-to) terrified/horrified/
慄烈 [りつれつ] /(n) stinging cold/
慷慨 [こうがい] /(n,vs) righteous indignation/patriotic lamentation/deploration/
慙じる [はじる] /(v1) to feel ashamed/
慙恚 [ざんい] /(n,vs) being ashamed and angry/
慙愧 [ざんき] /(n,vs) (feeling of) shame/
慙愧に堪えない [ざんきにたえない] /(exp) feeling deeply ashamed of oneself/overwhelmed with shame/
慚恚 [ざんい] /(n,vs) being ashamed and angry/
慚愧 [ざんき] /(n,vs) (feeling of) shame/
慚愧に堪えない [ざんきにたえない] /(exp) feeling deeply ashamed of oneself/overwhelmed with shame/
慫慂 [しょうよう] /(n,vs) (uk) advice/recommendation/suggestion/inducement/persuasion/
慥か [たしか] /(exp,n,adj-na) (1) certain/sure/definite/(adv) (2) if I'm not mistaken/if I remember correctly/
慥かに [たしかに] /(adv) surely/certainly/
慥かめる [たしかめる] /(v1,vt) to ascertain/to check/to make sure/
慟哭 [どうこく] /(n,vs) wailing/lamentation/
憖 [なまじ] /(adj-na,adv) (uk) thoughtlessly/rashly/
憖い [なまじい] /(adj-na) (uk) thoughtlessly/rashly/
憖っか [なまじっか] /(adv) (1) (uk) thoughtlessly/rashely/unwisely/half-heartedly/(adj-na) (2) halfway/half-done/incomplete/
憬れ [あこがれ] /(n,adj-no) yearning/longing/aspiration/
憬れる [あこがれる] /(v1,vi) to long for/to yearn after/to admire/to be attracted by/
憔悴 [しょうすい] /(n,vs) (1) emaciation/haggardness/wasting away/(2) exhaustion/tiredness/
憚り [はばかり] /(n) (1) hesitation/(2) hindrance/(3) washroom/
憚り乍ら [はばかりながら] /(adv) with all due respect .../I venture to say .../Excuse me, but .../
憚り様 [はばかりさま] /(int,n) thank you for your trouble/unfortunately .../
憚り様 [はばかりさん] /(int,n) thank you for your trouble/unfortunately .../
憚る [はばかる] /(v5r,vi) (1) to hesitate/to have scruples/to be afraid of what others may think/(2) to lord it over/to have great influence/
憑かれる [つかれる] /(v1,vi) to be possessed/
憑き物 [つきもの] /(n) evil spirit/demon/
憑く [つく] /(v5k) to possess/to haunt/
憑む [たのむ] /(v5m) (1) to request/to beg/to ask/(2) to call/to order/to reserve/(3) to entrust to/(4) to rely on/
憑依 [ひょうい] /(n,vs) (1) dependence/depending on/(2) possession (by a spirit, etc.)/
憑拠 [ひょうきょ] /(n,vs) devil possession/curse/
憑坐 [よりまし] /(n) child or doll used as a vessel for a spirit invoked by a shaman or miko/
憑子 [たのもし] /(n) mutual financing association/
憑子 [よりまし] /(n) child or doll used as a vessel for a spirit invoked by a shaman or miko/
憑代 [よりしろ] /(n) object representative of a divine spirit/object to which a spirit is drawn or summoned/object or animal occupied by a kami/
憑物 [つきもの] /(n) evil spirit/demon/
憫れ [あわれ] /(n) (1) pity/sorrow/grief/misery/compassion/pathos/(adj-na) (2) pitiable/pitiful/pathetic/miserable/(int) (3) alack/alas/
憫察 [びんさつ] /(n,vs) taking pity upon/sympathy/compassion/
憫笑 [びんしょう] /(n,vs) smiling with pity/
憫然 [びんぜん] /(adj-na,n) pitiable/
憮然 [ぶぜん] /(n,adj-t,adv-to) discouraged/disappointed/astonished/
懊悩 [おうのう] /(n) anguish/trouble/agony/
懊悩煩悶 [おうのうはんもん] /(n,vs) anguish/agony/
應需 [おうじゅ] /(oK) (n,vs) responding to a demand/answering a request/
懷 [ふところ] /(oK) (n) (1) bosom/bust/(2) (breast) pocket/purse/handbag/
懈怠 [かいたい] /(n,vs) negligence/laziness/
懈怠 [けたい] /(n,vs) negligence/laziness/
懈怠 [げたい] /(n,vs) negligence/laziness/
罹る [かかる] /(v5r) (uk) to suffer from/(P)/
罹患 [りかん] /(n,vs) contracting a disease/
罹患率 [りかんりつ] /(n) disease rate/infection rate/
罹災 [りさい] /(n,vs) suffering (from a calamity)/affliction/
罹災者 [りさいしゃ] /(n) victims/sufferers/
罹災民 [りさいみん] /(n) victims/sufferers/
罹病 [りびょう] /(n,vs) contraction of a disease/morbidity/
懦弱 [だじゃく] /(adj-na,n) (1) apathetic/lackadaisical/spiritless/gutless/weak-willed/unenterprising/enervated/effete/(2) physically weak/feeble/effeminate/
懶 [ものぐさ] /(adj-na,n) laziness/lazy person/
懶い [ものうい] /(adj-i) languid/weary/listless/melancholy/
懶い [ものぐさい] /(adj-i) troublesome/bothersome/burdensome/
懶ける [なまける] /(v1,vi) (1) to be idle/to slacken/(v1,vt) (2) to neglect (e.g. one's work)/
懶け者 [なまけもの] /(n) lazy person/lazy fellow/slothful person/
懶げ [ものうげ] /(adj-na) languorous/weary/listless/
懶熊 [なまけぐま] /(n) (uk) sloth bear (Melursus ursinus)/
懶惰 [らいだ] /(ik) (adj-na) (1) lazy/idle/(n) (2) indolence/laziness/sloth/idleness/
懶惰 [らんだ] /(adj-na) (1) lazy/idle/(n) (2) indolence/laziness/sloth/idleness/
懺悔 [さんげ] /(n,vs) repentance/confession/penitence/
懺悔 [ざんげ] /(n,vs) repentance/confession/penitence/
懼れる [おそれる] /(v1,vt) to fear/to be afraid of/
戀 [こい] /(oK) (n) love/tender passion/
戈 [か] /(n) ge (ancient Chinese dagger-axe)/
戈 [ほこ] /(n) (1) long-handled Chinese spear/lance/pike/(2) weapon/arms/(3) grip of a bow/
戈を収める [ほこをおさめる] /(exp,v1) to sheathe one's sword/to lay down arms/
戈構え [ほこがまえ] /(n) kanji "spear" radical at right/
戈旁 [ほこづくり] /(n) kanji "spear" radical at right/
戍る [まもる] /(iK) (v5r,vt) (1) to protect/to guard/to defend/(2) to keep (i.e. a promise)/to abide (by the rules)/to observe/to obey/to follow/
戍卒 [じゅそつ] /(n) garrison/guard/
戌 [いぬ] /(n) eleventh sign of Chinese zodiac (The Dog, 7pm-9pm, west-northwest, September)/
戌亥 [いぬい] /(n) (arch) northwest/
戌年 [いぬどし] /(n) year of the dog/
戛々 [かつかつ] /(adv-to) (uk) clicking/clopping/clacking/
戛然 [かつぜん] /(n) the sound of striking something hard/
戛飛ばす [かっとばす] /(v5s,vt) to knock out (a homer)/to slam/
戛戛 [かつかつ] /(adv-to) (uk) clicking/clopping/clacking/
戞々 [かつかつ] /(adv-to) (uk) clicking/clopping/clacking/
戞戞 [かつかつ] /(adv-to) (uk) clicking/clopping/clacking/
截ち割る [たちわる] /(v5r,vt) to cut open/to cut apart/to divide/to split/
截ち切る [たちきる] /(v5r,vt) (1) to cut apart (cloth, paper, etc.)/
截つ [たつ] /(v5t,vt) to sever/to cut off/to suppress/to abstain (from)/
截り口 [きりくち] /(n) cut end/section/opening/slit/
截る [きる] /(v5r) to cut (e.g. cloth)/
截拳道 [せっけんどう] /(n) (MA) Jeet Kune Do/Way of the Intercepting Fist, martial art founded by Bruce Lee/
截然 [さいぜん] /(adj-t,adv-to) clear/sharp/distinct/distinctive/
截然 [せつぜん] /(adj-t,adv-to) clear/sharp/distinct/distinctive/
截断 [せつだん] /(n,vs) cutting off/
截断機 [せつだんき] /(n) cutter/cutting machine/guillotine/
截断面 [せつだんめん] /(n) transverse section/
戮力協心 [りくりょくきょうしん] /(n,vs) combined (concerted) efforts/solidarity/joining forces (with)/
戰隊 [せんたい] /(n,adj-no) squadron/
戲ける [おどける] /(oK) (v1,vi) to jest/to joke/to play the fool/to act indecently/to be silly over/to talk foolishly/
戲ける [たわける] /(oK) (v1,vi) to jest/to joke/to play the fool/to act indecently/to be silly over/to talk foolishly/
戲け者 [おどけもの] /(oK) (n) idiot/dummy/joker/fool/trickster/
戲け者 [たわけもの] /(oK) (n) idiot/dummy/joker/fool/trickster/
戲言 [ぎげん] /(oK) (n) nonsense/bullshit/silly things/joke/
戲言 [たわこと] /(oK) (ok) (n) nonsense/bullshit/silly things/joke/
戲言 [たわごと] /(oK) (n) nonsense/bullshit/silly things/joke/
扁たい [ひらたい] /(adj-i) (1) flat/even/level/simple/(2) plain (speech, etc.)/simple/
扁額 [へんがく] /(n) framed picture or motto/
扁球 [へんきゅう] /(n) oblate spheroid/
扁形 [へんけい] /(n) flat shape/
扁形動物 [へんけいどうぶつ] /(n) flatworm/platyhelminth/
扁舟 [へんしゅう] /(n) skiff/little boat/
扁青石 [へんせいせき] /(n) lapis lazuli/
扁蜘蛛 [ひらぐも] /(n) (uk) Uroctea compactilis (species of araneomorph spider)/
扁蜘蛛 [ひらたぐも] /(n) (uk) Uroctea compactilis (species of araneomorph spider)/
扁爪 [ひらづめ] /(n) nail (e.g. fingernail, toenail)/
扁桃 [へんとう] /(n,adj-no) (1) sweet almond (Prunus dulcis)/(2) tonsil/
扁桃炎 [へんとうえん] /(n) tonsillitis/
扁桃周囲膿瘍 [へんとうしゅういのうよう] /(n) peritonsillar abscess/quinsy/
扁桃腺 [へんとうせん] /(n) (1) tonsils/(2) (abbr) tonsillitis/
扁桃腺炎 [へんとうせんえん] /(n) tonsillitis/
扁桃体 [へんとうたい] /(n,adj-no) amygdala/amygdaloid nucleus/corpus amygdaloideum/
扁桃摘出術 [へんとうてきしゅつじゅつ] /(n) tonsillectomy/
扁桃膿瘍 [へんとうのうよう] /(n) peritonsillar abscess/quinsy/
扁桃油 [へんとうゆ] /(n) almond oil/
扁豆 [ひらまめ] /(n) (uk) lentil (Lens culinaris, Lens esculenta)/
扁平 [へんぺい] /(adj-na) flat/
扁平足 [へんぺいそく] /(n) flatfoot/
扁平苔癬 [へんぺいたいせん] /(n) lichen planus/
扁平率 [へんぺいりつ] /(n) oblateness/
扁旁 [へんぼう] /(n) left and right radicals/
扣え [ひかえ] /(n) (1) reserve/spare/backup/(2) note/memorandum/(3) duplicate/copy/stub (of a ticket, etc.)/(4) waiting one's turn/
扣える [ひかえる] /(v1) (1) to be temperate in/to restrain oneself from excessive .../(2) to make notes/(3) to hold back/(4) to be in preparation for/to be in waiting for/(5) to be soon/to be in the offing/(6) to be in a close relationship (e.g. as a backer, etc.)/
扣除 [こうじょ] /(n,vs) subtraction/deduction (e.g. tax)/subsidy/
扠 [さて] /(conj,int) (uk) well/now/then/
扠置き [さておき] /(conj) setting aside/leaving to one side/
扠置く [さておく] /(v5k) (uk) to set aside/
扨 [さて] /(conj,int) (uk) well/now/then/
扨も [さても] /(int) (uk) wow/
扼殺 [やくさつ] /(n,vs) strangulation/
抉じる [こじる] /(v5r,v1,vt) (uk) to pry/to prize/to prise/
抉じ開ける [こじあける] /(v1,vt) to wrench open/to prize open/to pick (lock)/
抉じ入れる [こじいれる] /(v1) to force something (into)/to thrust forcibly (into)/
抉り出す [えぐりだす] /(v5s) to gouge/to scoop out/
抉る [えぐる] /(v5r,vt) to gouge/to hollow out/to bore/to excavate/to scoop out/
抉る [くじる] /(v5r,vt) (uk) to stick into and move around/to dig around in/to pick (i.e. one's teeth)/
抉る [こじる] /(v5r,v1,vt) (uk) to pry/to prize/to prise/
抉る [さくる] /(ok) (v5r,vt) (1) (uk) to dig out/to gouge out/to hollow out/(2) to scoop/to ladle/to bail/(3) to jerk (one's chin)/
抉る [しゃくる] /(v5r,vt) (1) (uk) to dig out/to gouge out/to hollow out/(2) to scoop/to ladle/to bail/(3) to jerk (one's chin)/
抉れる [えぐれる] /(v1,vi) to be gouged/to be hollowed/to become hollow/
抉れる [しゃくれる] /(v1) (1) (uk) to be concaved/to have a concave shape/(2) to be crooked (chin)/
抒情 [じょじょう] /(n,adj-no) lyricism/description or expression of one's feelings/
抒情詩 [じょじょうし] /(n) lyric poetry/lyric poem/ode/
抓み [つまみ] /(n) (1) (uk) knob/handle/button/(2) (comp) (file) handle/(3) snack (to have with a drink)/side dish/(suf) (4) a pinch (e.g. of salt)/(n,n-suf) (5) picking/harvesting/
抓む [つまむ] /(v5m,vt) (uk) to pinch/to hold/to pick up/
抓る [つねる] /(v5r,vt) to pinch/
抔 [など] /(n,n-suf,prt) (1) (uk) et cetera/etc./and the like/and so forth/(2) (indicating an approximate quote or vague suggestion) or something/(3) (lessening the significance or value of the previous word) the likes of/
拗くれる [ねじくれる] /(v1,vi) to curve/to twist/to be rebellious/
拗ける [ねじける] /(v1,vi) to curve/to twist/to be rebellious/
拗じる [ねじる] /(io) (v5r,vt) (1) (uk) to screw/to twist/(2) to distort/to parody/to make a pun/(3) to torture/to wrest/
拗ねる [すねる] /(v1,vi) to be peevish/to sulk/to pout/
拗ね者 [すねもの] /(n) perverse individual/cynic/misanthrope/
拗らす [こじらす] /(v5s) to make worse (e.g. disease)/to aggravate/to complicate/
拗らせる [こじらせる] /(v1,vt) (uk) to aggravate/to complicate/to make worse/
拗る [ねじる] /(v5r,vt) (1) (uk) to screw/to twist/(2) to distort/to parody/to make a pun/(3) to torture/to wrest/
拗れる [こじれる] /(v1,vi) to get complicated/to grow worse/to turn sour/
拗れる [ねじれる] /(v1,vi) (uk) to twist/to wrench/to screw/
拗音 [ようおん] /(n) contracted sound/palatised sound/
拏捕 [だほ] /(n,vs) capture/seizure/
拿捕 [だほ] /(n,vs) capture/seizure/
拈くる [ひねくる] /(v5r,vt) to twirl/to spin/to fiddle with/to change wording/
拈くれる [ひねくれる] /(v1,vi) to be contrary/to be uncooperative/to be rebellious/
拈り [ひねり] /(n) twist/spin/
拈る [ひねる] /(v5r,vt) (1) to twist/to wrench/to turn (a switch on or off, etc.)/to wring (a neck)/(2) to puzzle over/(3) to defeat easily/
拈華微笑 [ねんげみしょう] /(n) heart-to-heart communication (lit: holding a flower and subtly smiling)/thought transference/
拇印 [ぼいん] /(n) thumb print/
拇指 [ぼし] /(n) thumb/big toe/
拇指対向性 [おやゆびたいこうせい] /(n) ability to oppose the thumb/opposable thumb/
拇指対向性 [ぼしたいこうせい] /(n) ability to oppose the thumb/opposable thumb/
抛げ入れ [なげいれ] /(n) nageire (casual or nature-imitating style of Japanese floral arrangement)/
抛つ [なげうつ] /(v5t,vt) to abandon/to throw away/to fling away/
抛る [ほうる] /(v5r,vt) (1) to let go/to abandon/to leave undone/(2) to throw/to toss/to fling/
抛る [ほる] /(v5r,vt) (1) to let go/to abandon/to leave undone/(2) to throw/to toss/to fling/
抛棄 [ほうき] /(n,vs) abandonment/renunciation/resignation/abdication (responsibility, right)/
抛入れ [なげいれ] /(n) nageire (casual or nature-imitating style of Japanese floral arrangement)/
抛物線 [ほうぶつせん] /(n) parabola/
抛物面 [ほうぶつめん] /(n) parabolic surface/
抛擲 [ほうてき] /(n,vs) abandoning/giving up/quitting/
拉ぐ [ひしぐ] /(v5g,vt) to crush/
拉げる [ひしげる] /(v1,vi) (1) to be crushed/to be squashed (flat)/(2) to be discouraged/
拉げる [ひしゃげる] /(v1,vi) (1) to be crushed/to be squashed (flat)/(2) to be discouraged/
拉げる [へしゃげる] /(v1,vi) (1) to be crushed/to be squashed (flat)/(2) to be discouraged/
拉致 [らち] /(n,vs) taking captive/carrying away/kidnapping/kidnaping/abduction/
拉致る [らちる] /(v5r) (1) (sl) to kidnap/to abduct/(2) to force to go to (e.g. an event)/
拉致被害者 [らちひがいしゃ] /(n) abduction victims/abductees/
拉致問題 [らちもんだい] /(n) abduction issue (esp. of those Japanese abducted by North Korea)/(P)/
拉丁 [らてん] /(n) (1) (abbr) Latin (language)/(2) Latin-American/Latin/Latino/
拉丁語 [らてんご] /(n,adj-no) Latin/
拉麺 [らーめん] /(n) (uk) ramen (Chinese-style noodles) (chi: lamian)/(P)/
拉麺 [らあめん] /(ik) (n) (uk) ramen (Chinese-style noodles) (chi: lamian)/
挌技 [かくぎ] /(n) (abbr) martial arts which involve fighting without weapons/combat sport/one-on-one fighting sport/
挌技場 [かくぎじょう] /(n) (1) (martial arts) training place/(2) dojo/
挌闘 [かくとう] /(n,vs) hand-to-hand fighting/grappling/scuffling/
挌闘技 [かくとうぎ] /(n) martial arts which involve fighting without weapons/combat sport/one-on-one fighting sport/
拮抗 [きっこう] /(n,vs) (1) rivalry/competition/antagonism/struggle for supremacy/
拮抗筋 [きっこうきん] /(n) antagonist (muscle)/
拮据 [きっきょ] /(n,vs) (arch) diligence/assiduity/pinching/hard toil/
拱く [こまぬく] /(v5k,vt) (1) (uk) to fold (one's) arms/(2) to stand by and do nothing/to look on passively/
拱く [こまねく] /(v5k,vt) (1) (uk) to fold (one's) arms/(2) to stand by and do nothing/to look on passively/
拱ねく [こまねく] /(io) (v5k,vt) (1) (uk) to fold (one's) arms/(2) to stand by and do nothing/to look on passively/
拱手 [きょうしゅ] /(n,vs) folding one's arms/being idle/
拱手 [こうしゅ] /(n,vs) folding one's arms/
拱手傍観 [きょうしゅぼうかん] /(n,vs) stand idly by and watch/
拱手傍観 [こうしゅぼうかん] /(n,vs) stand idly by and watch/
挂冠 [かいかん] /(n,vs) (obsc) resigning from a government post/
挂冠 [けいかん] /(n,vs) (obsc) resigning from a government post/
拵え [こしらえ] /(n) make/workmanship/preparation/
拵える [こさえる] /(v1,vt) (uk) to make/to manufacture/
拵える [こしらえる] /(v1,vt) (uk) to make/to manufacture/(P)/
拵え事 [こしらえごと] /(n) invented story/fabrication/
拵え物 [こしらえもの] /(adj-na,n) fake/imitation/
挾む [はさむ] /(v5m,vt) to interpose/to hold between/to insert/(P)/
挾撃 [きょうげき] /(n,vs) pincer movement/pincer attack/
捏ち上げ [でっちあげ] /(n) (uk) fabrication/put-up job/trumped-up story/frame-up/hoax/
捏ち上げる [でっちあげる] /(v1,vt) (1) (uk) to fabricate/to invent/to make up (a story)/to hoax/to pull a hoax/(2) to frame someone/
捏っち上げる [でっちあげる] /(v1,vt) (1) (uk) to fabricate/to invent/to make up (a story)/to hoax/to pull a hoax/(2) to frame someone/
捏ね [つくね] /(n) chicken or fish meatloaf made with egg/
捏ねくり回す [こねくりまわす] /(v5s) to knead/to turn/
捏ねくり返す [こねくりかえす] /(v5s) (1) to tamper/to mess with/(2) to go on endlessly/
捏ねる [こねる] /(v1,vt) (1) to knead/to mix with fingers/(2) to quibble/to argue for argument's sake/
捏ね回す [こねまわす] /(v5s,vt) to knead/to mix/to complicate/to turn into a mess/
捏ね上げる [こねあげる] /(v1,vt) (1) to knead thoroughly/to work up/(2) to concoct/to make up/
捏ね返す [こねかえす] /(v5s,vt) to knead/to mix/to complicate/to turn into a mess/
捏回す [こねまわす] /(v5s,vt) to knead/to mix/to complicate/to turn into a mess/
捏造 [ねつぞう] /(n,vs) fabrication/forgery/falsehood/hoax/
捏造記事 [ねつぞうきじ] /(n) fabricated story/cooked up (news) report/
捏返す [こねかえす] /(v5s,vt) to knead/to mix/to complicate/to turn into a mess/
掖 [わき] /(n) (1) side/aside/(2) armpit/(3) back-burner/
掣肘 [せいちゅう] /(n,vs) restraint/restriction/control/
掏り替える [すりかえる] /(v1,vt) to switch (secretly)/to substitute/to sidestep (an issue)/
掏る [する] /(v5r,vt) to pick someone's pocket/
掏児 [すり] /(gikun) (n) (uk) pickpocket/
掏替える [すりかえる] /(io) (v1,vt) to switch (secretly)/to substitute/to sidestep (an issue)/
掏摸 [すり] /(gikun) (n) (uk) pickpocket/(P)/
掉尾 [たくび] /(ik) (n) final effort/end/
掉尾 [ちょうび] /(n) final effort/end/
掉尾 [とうび] /(n) final effort/end/
掟 [おきて] /(n) a law/(P)/
捩じり [ねじり] /(n,vs) torsion/apply torque/
捩じり鉢巻き [ねじりはちまき] /(n) towel twisted into a headband/
捩じり鉢巻きで [ねじりはちまきで] /(exp,adv) as hard as one can/with one's whole heart/
捩じる [ねじる] /(io) (v5r,vt) (1) (uk) to screw/to twist/(2) to distort/to parody/to make a pun/(3) to torture/to wrest/
捩じれる [ねじれる] /(v1,vi) (uk) to twist/to wrench/to screw/
捩じ開ける [ねじあける] /(v1,vt) to wrench open/
捩じ曲がる [ねじまがる] /(v5r) to be twisted/to be wrapped/to be distorted/
捩じ曲げる [ねじまげる] /(v1,vt) to twist/to distort/
捩じ向ける [ねじむける] /(v1,vt) to twist/
捩じ込む [ねじこむ] /(v5m,vt) to screw in/to thrust into a container/to protest against (and demand compensation)/
捩じ取る [ねじとる] /(v5r,vt) to wring off/to wrest from/
捩じ上げる [ねじあげる] /(v1,vt) to twist hard/
捩じ切り [ねじきり] /(n) screw cutter/
捩じ切る [ねじきる] /(v5r,vt) to twist off/
捩じ倒す [ねじたおす] /(v5s) (uk) (arch) to wrench someone down to the ground/
捩じ鉢巻き [ねじはちまき] /(n,vs) towel twisted into a headband/
捩じ伏せる [ねじふせる] /(v1,vt) to hold down/to twist one's arm/
捩って [もじって] /(exp) (uk) parodying/
捩り [もじり] /(n) parody/imitation/
捩り秤 [ねじりばかり] /(n) torsion balance/
捩る [ねじる] /(v5r,vt) (1) (uk) to screw/to twist/(2) to distort/to parody/to make a pun/(3) to torture/to wrest/(P)/
捩る [もじる] /(v5r,vt) (1) (uk) to screw/to twist/(2) to distort/to parody/to make a pun/(3) to torture/to wrest/
捩る [よじる] /(v5r,vt) (1) (uk) to screw/to twist/(2) to distort/to parody/to make a pun/(3) to torture/to wrest/
捩れる [ねじれる] /(v1,vi) (uk) to twist/to wrench/to screw/
捩れる [よじれる] /(v1,vi) to be twisted/
捩れ国会 [ねじれこっかい] /(n) the two houses of the Diet being controlled by different parties (lit: twisted parliament)/
捩れ秤 [ねじればかり] /(n) torsion balance/
捩花 [ねじばな] /(n) screw flower/
捩開ける [ねじあける] /(v1,vt) to wrench open/
捩曲げる [ねじまげる] /(v1,vt) to twist/to distort/
捩向ける [ねじむける] /(io) (v1,vt) to twist/
捩込む [ねじこむ] /(v5m,vt) to screw in/to thrust into a container/to protest against (and demand compensation)/
捩子 [ねじ] /(n) (1) (uk) screw/(2) key (of a clock, watch, etc.)/spring (of a clock, watch, etc.)/
捩上げる [ねじあげる] /(v1,vt) to twist hard/
捩切る [ねじきる] /(v5r,vt) to twist off/
捩伏せる [ねじふせる] /(v1,vt) to hold down/to twist one's arm/
揆 [き] /(n) (obsc) way/method/
揣摩憶測 [しまおくそく] /(n,vs) conjectures and surmises/speculation/giving one's imagination full play without any ground/
揣摩臆測 [しまおくそく] /(n,vs) conjectures and surmises/speculation/giving one's imagination full play without any ground/
揉みくちゃ [もみくちゃ] /(adj-na) jostling/being jostled/(in a) crush/
揉みこむ [もみこむ] /(v5m,vt) (1) (arch) to rub into/(2) to train for/to prepare for/
揉み解す [もみほぐす] /(v5s,vt) to massage/
揉み革 [もみかわ] /(n) buff/chamois/
揉み苦茶 [もみくちゃ] /(adj-na) jostling/being jostled/(in a) crush/
揉み合い [もみあい] /(n) jostle/struggle/scuffle/
揉み合う [もみあう] /(v5u,vt) to jostle/to shove and push/to struggle with one another/
揉み込む [もみこむ] /(v5m,vt) (1) (arch) to rub into/(2) to train for/to prepare for/
揉み手 [もみで] /(n,vs) rubbing one's hands together/
揉み手で頼む [もみででたのむ] /(exp,v5m) to supplicate/to implore humbly/
揉み出す [もみだす] /(v5s,vt) to squeeze out/to begin to squeeze/
揉み消す [もみけす] /(v5s,vt) to crush/to hush up/to blanket/
揉み上げ [もみあげ] /(n) tuft of hair under temple/sideburns/sidelocks/
揉み皮 [もみかわ] /(n) buff/chamois/
揉み立てる [もみたてる] /(v1,vt) (1) (arch) to crumple/to collapse/(2) to press/to urge/to rush/
揉み療治 [もみりょうじ] /(n,vs) (therapeutic) massage/
揉む [もむ] /(v5m,vt) to rub/to crumple (up)/to wrinkle/to massage/to be troubled about/to worry over/to train/to coach/(P)/
揉め [もめ] /(n) quarrel/trouble/dispute/
揉める [もめる] /(v1,vi) to disagree/to dispute/(P)/
揉め事 [もめごと] /(n) quarrel/trouble/dispute/friction (between people)/
揉烏帽子 [もみえぼし] /(n) soft, crumpled, unlacquered headwear (often worn by soldiers under their helmets from the Kamakura period onward)/
揉解す [もみほぐす] /(v5s,vt) to massage/
揉合う [もみあう] /(v5u,vt) to jostle/to shove and push/to struggle with one another/
揉事 [もめごと] /(n) quarrel/trouble/dispute/friction (between people)/
揉出す [もみだす] /(v5s,vt) to squeeze out/to begin to squeeze/
揉消す [もみけす] /(v5s,vt) to crush/to hush up/to blanket/
揉上げ [もみあげ] /(n) tuft of hair under temple/sideburns/sidelocks/
揉療治 [もみりょうじ] /(io) (n,vs) (therapeutic) massage/
揶揄 [やゆ] /(n,vs) banter/raillery/tease/ridicule/banter with/
揶揄い [からかい] /(n) (uk) banter/teasing/persiflage/
揶揄う [からかう] /(v5u) (uk) to ridicule/to tease/to mock/to chaff/to razz/to banter with/to make fun of/to poke fun at/to make cracks about/(P)/
揶揄嘲笑 [やゆちょうしょう] /(n,vs) ridicule and sneer/(cast) ridicule and scorn (upon)/
搦み [がらみ] /(suf) (uk) about/concerning/related to/-ish/
搦み合う [からみあう] /(v5u,vi) to be(come) intertwined/to be entangled/
搦める [からめる] /(v1,vt) (1) to arrest/(2) to entwine/to twine around/to mix together/(3) to coordinate (with)/
搦め取る [からめとる] /(v5r,vt) to arrest/
搦め手 [からめて] /(n) (1) rear gate (esp. of castle)/back entrance/(2) one who arrests/(3) force attacking the rear of a castle/(4) (opponent's) weak point/
搦め捕る [からめとる] /(v5r,vt) to arrest/
搦手 [からめて] /(n) (1) rear gate (esp. of castle)/back entrance/(2) one who arrests/(3) force attacking the rear of a castle/(4) (opponent's) weak point/
搗き臼 [つきうす] /(n) mortar (for pounding rice)/
搗き交ぜる [つきまぜる] /(v1) to pound together/to mix together/
搗き立て [つきたて] /(n) freshly pounded (rice cake)/
搗く [つく] /(v5k,vt) (uk) to hull (rice, barley, etc.)/to pound (rice)/to polish (rice)/to stamp (ore)/
搗ち栗 [かちぐり] /(n) dried chestnut/
搗ち合う [かちあう] /(v5u,vi) to clash/to be in conflict with/
搗栗 [かちぐり] /(n) dried chestnut/
搗精 [とうせい] /(n) rice polishing (removing the shell of brown rice to leave white rice)/
搗布 [かじめ] /(n) (uk) Ecklonia cava (species of brown alga)/
搏動 [はくどう] /(n,vs,adj-no) pulsation/pulsebeat/
搏風 [はふ] /(n,adj-no) gable/
摧く [くだく] /(v5k,vt) to break/to smash/
攪乱 [かくらん] /(n,vs) disturbance/perturbation/derangement/
攪乱 [こうらん] /(n,vs) disturbance/perturbation/derangement/
攪乱戦術 [かくらんせんじゅつ] /(n) disturbance tactics/
攪乱戦法 [かくらんせんぽう] /(n) disturbance strategy/
攪拌 [かくはん] /(n,vs) agitation/stirring/whipping/beating/
攪拌 [こうはん] /(n,vs) agitation/stirring/whipping/beating/
攪拌機 [かくはんき] /(n) mixer/agitator/
撓 [たわわ] /(adj-na) (of a branch heavily laden with fruit, etc.) drooping/bending/
撓う [しなう] /(v5u) to bend/to warp/to yield/
撓み [たわみ] /(n) (uk) bend/curvature/deflection/
撓み計 [たわみけい] /(n) deflectometer/
撓む [たわむ] /(v5m,vt) to bend/to warp/
撓める [ためる] /(v1) to bend/to train (e.g. a branch)/
撓める [たわめる] /(v1,vt) (uk) to bend (a piece of wood, etc.)/to bow/
撓る [しなる] /(v5r) to bend/to warp/to yield/
撓わ [たわわ] /(adj-na) (of a branch heavily laden with fruit, etc.) drooping/bending/
撓垂れる [しなだれる] /(v1,vi) to droop/
撓垂れ掛かる [しなだれかかる] /(v5r,vi) to lean coquettishly against/to snuggle into/to nestle into/
撥 [ばち] /(n) (1) plectrum/pick/(2) drumstick for Japanese drums (e.g. taiko)/
撥ね [はね] /(n) (1) (a) jump/(2) splashes (usu. of mud)/(3) upward turn at the bottom (e.g. of a vertical stroke of a kanji or of a hairdo)/(4) close (e.g. of a theatrical performance)/breakup/
撥ねかす [はねかす] /(v5s,vt) to splash/to splatter/
撥ねつける [はねつける] /(v1,vt) to repel/to spurn/
撥ねる [はねる] /(v1,vt) (1) to hit (e.g. to have a car hit someone)/to run into/(2) to reject/to deny/to refuse/(3) to eliminate/to exclude/to leave out/(4) to flip/to splash/to splatter/(5) to decapitate/to behead/(6) to jump up/(7) to point or curl up (e.g. ends of hair)/(P)/
撥ね除ける [はねのける] /(v1,vt) to push aside/to brush or thrust aside/to remove/to get rid of/
撥ね上げる [はねあげる] /(v1,vt) to splash/to raise/
撥ね釣瓶 [はねつるべ] /(n) water bucket suspended from a weighted rod/
撥ね飛ばす [はねとばす] /(v5s,vt) (1) to send (something) flying/to splatter/(2) to drive (something) off/
撥ね付ける [はねつける] /(v1,vt) to repel/to spurn/
撥ね物 [はねもの] /(n) rejected goods/
撥音 [はつおん] /(n) the sound of the kana "n"/
撥音便 [はつおんびん] /(n) (ling) nasal sound change (generation of the mora 'n', primarily from vowel stems ending in 'i')/
撥弦 [はつげん] /(n) plucking string instrument/
撥条 [ぜんまい] /(n) (uk) spring (e.g. coil, leaf)/mainspring/power spring/
撥条 [はつじょう] /(n) (uk) spring (e.g. coil, leaf)/mainspring/power spring/
撥条 [ばね] /(gikun) (n) (uk) spring (e.g. coil, leaf)/mainspring/power spring/
撥水 [はっすい] /(n,vs) water repelling/
撥皮 [ばちかわ] /(n) pick-guard (protective patch on a shamisen, etc.)/
撥面 [ばちめん] /(n) pick-guard (protective patch on a biwa, etc.)/
撥鬢 [ばちびん] /(n) (arch) Edo-period hairstyle for the common man (the entire head shaved just above the ear, with the remainder tied up in the back)/
撩乱 [りょうらん] /(n) profuse blooming/
擒 [とりこ] /(n) (1) captive/prisoner/(2) victim (of love, etc.)/slave (to one's lust, etc.)/
擅 [ほしいまま] /(adj-na) (uk) selfish/self-indulgent/arbitrary/
擅制 [せんせい] /(n,vs,adj-no) despotism/autocracy/
擅断 [せんだん] /(adj-na,n) arbitrary action/
擂りつぶす [すりつぶす] /(v5s,vt) to pulverize/to pulverise/to mash/to deface/to lose a fortune/
擂り餌 [すりえ] /(n) ground food/
擂り下ろす [すりおろす] /(v5s,vt) to grate/to scrape off/
擂り込む [すりこむ] /(v5m) to rub in/to grind and mix/
擂り身 [すりみ] /(n) surimi/minced fish (or meat) mashed into a paste/
擂り潰す [すりつぶす] /(iK) (v5s,vt) to pulverize/to pulverise/to mash/to deface/to lose a fortune/
擂り鉢 [すりばち] /(n) (earthenware) mortar (for grinding)/
擂り半 [すりばん] /(n) (1) fire alarm ringing continuously to warn that a fire is extremely near/(2) sound as produced by this alarm/
擂り半鐘 [すりばんしょう] /(n) (1) fire alarm ringing continuously to warn that a fire is extremely near/(2) sound as produced by this alarm/
擂り粉木 [すりこぎ] /(n) wooden pestle/
擂る [する] /(v5r,vt) (1) to rub/to chafe/to strike (match)/to file/to frost (glass)/(2) to lose (e.g. a match)/to forfeit/to squander one's money (e.g. through gambling, Pachinko, etc.)/
擂鉢 [すりばち] /(n) (earthenware) mortar (for grinding)/
擂粉木 [すりこぎ] /(n) wooden pestle/
擱座 [かくざ] /(n,vs) running aground/stalled/stranded/
擱筆 [かくひつ] /(n,vs) stopping writing/
擠陥 [せいかん] /(n,vs) tempting into crime/
擡げる [もたげる] /(v1,vt) to lift/to raise/
擡頭 [たいとう] /(n,vs) rise of/appearance of/raising one's head/coming to power/becoming famous/(being in the) forefront/prominence/
擯斥 [ひんせき] /(n,vs) rejection/ostracism/
擲つ [なげうつ] /(v5t,vt) to abandon/to throw away/to fling away/
擲り込む [なぐりこむ] /(v5m,vi) to raid/to launch an attack/to invade/
擲る [なぐる] /(v5r,vt) to strike/to hit/
擲弾 [てきだん] /(n) grenade/
擲弾筒 [てきだんとう] /(n) grenade launcher/
擲弾発射筒 [てきだんはっしゃとう] /(n) grenade launcher/
攀じる [よじる] /(v1) to clamber (up)/to scale/
攀じ上る [よじのぼる] /(v5r,vi) to climb/to clamber (over, up)/to scramble (up)/to scale/to claw one's way up/
攀じ登る [よじのぼる] /(v5r,vi) to climb/to clamber (over, up)/to scramble (up)/to scale/to claw one's way up/
攀援 [はんえん] /(n,vs) (arch) climbing/
攀援 [へんえん] /(n,vs) (arch) climbing/
攀縁 [はんえん] /(n,vs) (arch) climbing/
攀縁 [へんえん] /(n,vs) (arch) climbing/
攀縁茎 [はんえんけい] /(n) climbing stem/
攀禽類 [はんきんるい] /(n) climbers (birds formerly grouped in order Scansores)/
擽ぐったい [くすぐったい] /(io) (adj-i) (1) (uk) ticklish/(2) embarrassing/
擽ぐる [くすぐる] /(io) (v5r,vt) (1) (uk) to tickle/(2) (uk) to tickle (one's fancy)/to appeal/to flatter/to titillate/(3) (uk) to amuse/to entertain/
擽ったい [くすぐったい] /(adj-i) (1) (uk) ticklish/(2) embarrassing/(P)/
擽り [くすぐり] /(n) (1) tickle/tickling/(2) joke/gag/
擽る [くすぐる] /(v5r,vt) (1) (uk) to tickle/(2) (uk) to tickle (one's fancy)/to appeal/to flatter/to titillate/(3) (uk) to amuse/to entertain/(P)/
攘夷 [じょうい] /(n) expulsion of the foreigners/
攘夷論 [じょういろん] /(n) (late Edo-period) principle of excluding foreigners/
攣 [てなえ] /(n) (arch) arm disability/someone with disabled arms/
攣り目 [つりめ] /(n) slanted (upturned) eyes/
攣る [つる] /(v5r) (uk) to cramp/to be cramped/to contract/
攣縮 [れんしゅく] /(n,vs) spasm/
攫う [さらう] /(v5u,vt) (1) (uk) to carry off/to run away with/to kidnap/to abduct/(2) (uk) to monopolize/to make one's own/
攫む [つかむ] /(v5m,vt) (1) to seize/to catch/to grasp/to grip/to grab/to hold/to catch hold of/to lay one's hands on/to clutch/(2) to understand/to grasp/to comprehend/
攫われた [さらわれた] /(adj-f) kidnapped/abducted/carried off/swept away/
攴 [とまた] /(n) (uk) kanji "strike" radical at right (radical 66)/
攴繞 [ぼくにょう] /(n) (uk) kanji "strike" radical at right (radical 66)/
攵 [のぶん] /(n) kanji "strike" radical at right (radical 66)/
攵繞 [ぼくにょう] /(n) (uk) kanji "strike" radical at right (radical 66)/
敲き [たたき] /(n) (1) mince (minced meat or fish)/(2) seared skipjack tuna/(3) (sl) robbery/extortion/(4) hard-packed dirt (clay, gravel, etc.) floor/concrete floor/
敲く [たたく] /(v5k,vt) (1) to strike/to clap/to knock/to dust/to beat/(2) to play drums/(3) to abuse/to flame (e.g. on the Internet)/to insult/
敲く [はたく] /(v5k,vt) (1) to strike/to clap/to knock/to dust/to beat/(2) to use up money/
數度 [すうど] /(oK) (n) (1) several times/(2) several degrees/
斃す [たおす] /(v5s,vt) (1) to kill/to defeat/to beat/
斃れる [たおれる] /(v1,vi) (1) to be forced to bed (by illness, etc.)/(2) to die/(3) to go bankrupt/to be ruined/to have a bad debt/(4) to be defeated (in a game)/(5) to fall (of governments, dictators, etc.)/
斃死 [へいし] /(n,vs) falling dead/perishing/dying/
斃仆 [へいふ] /(n,vs) (obsc) falling dead/perishing/dying/
變 [へん] /(oK) (adj-na,n) (1) strange/odd/peculiar/weird/curious/queer/eccentric/funny/suspicious/fishy/(2) unexpected/(3) change/(4) incident/disturbance/disaster/accident/(n-pref) (5) flat (music)/
斛 [こく] /(n) (1) measure of volume (approx. 180.39 liters, 6.37 cub. ft.)/(2) measure of a Japanese-style boat's loading capacity (approx. 278.26 liters)/
斟酌 [しんしゃく] /(n,vs) consideration (for others)/(making) allowance/
斷つ [たつ] /(oK) (v5t,vt) to sever/to cut off/to suppress/to abstain (from)/
旁 [かたがた] /(adv,conj) incidentally/at the same time/
旁 [かたわら] /(adj-no,n-adv,n-t) (1) side/edge/beside/besides/nearby/(n-adv) (2) while (doing)/
旁 [つくり] /(n) the right half of a character when the left half is its radical/(P)/
旁々 [かたがた] /(adv,conj) incidentally/at the same time/
旁証 [ぼうしょう] /(n,vs) supporting evidence/corroboration/
旁註 [ぼうちゅう] /(n) side notes/gloss/
旁点 [ぼうてん] /(n) (1) marks or dots used to emphasize text passage (emphasise)/(2) marks to facilitate reading of kanbun/
旁旁 [かたがた] /(adv,conj) incidentally/at the same time/
旌 [せい] /(n) flag (esp. originally a flagpole-topping streamer made of feathers)/
旌 [はた] /(n) (1) flag/
无 [む] /(n) (1) nothing/naught/nought/nil/zero/(pref) (2) un-/non-/
旱 [ひでり] /(n) dry weather/drought/
旱り [ひでり] /(n) dry weather/drought/
旱害 [かんがい] /(n) drought damage/
旱天 [かんてん] /(n) drought/dry weather/
旱天慈雨 [かんてんじう] /(n) welcome (beneficial) rain in a drought/realization of something eagerly looked for/a welcome relief/
旱魃 [かんばつ] /(n) drought/long spell (period) of dry weather/
杳 [よう] /(adj-t,adv-to) dark/ununderstood/unknown/
杳として [ようとして] /(exp) no information/no clue/completely unknown/
昵近 [じっきん] /(n) familiarity/closeness/
昵懇 [じっこん] /(adj-na,n) intimacy/familiarity/
昴 [すばる] /(n) Chinese "Hairy Head" constellation (one of the 28 mansions)/Pleiades/Seven Sisters/
昴 [すまる] /(n) Chinese "Hairy Head" constellation (one of the 28 mansions)/Pleiades/Seven Sisters/
昴 [ぼう] /(n) Chinese "Hairy Head" constellation (one of the 28 mansions)/Pleiades/Seven Sisters/
昴宿 [ぼうしゅく] /(n) Chinese "Hairy Head" constellation (one of the 28 mansions)/Pleiades/Seven Sisters/
昴星 [すばるぼし] /(n) Chinese "Hairy Head" constellation (one of the 28 mansions)/Pleiades/Seven Sisters/
昴星 [ぼうせい] /(n) Chinese "Hairy Head" constellation (one of the 28 mansions)/Pleiades/Seven Sisters/
晏然 [あんぜん] /(adv-to,adj-t) (arch) calm/tranquil/
晏如 [あんじょ] /(adv-to,adj-t) (arch) calm/tranquil/
晝 [ひる] /(oK) (n-adv,n-t) (1) noon/midday/(2) daytime/(3) lunch/
晨朝 [しんちょう] /(n) (Buddh) around six o'clock AM/dawn service/
晨朝 [じんじょう] /(n) (Buddh) around six o'clock AM/dawn service/
晨朝 [じんちょう] /(n) (Buddh) around six o'clock AM/dawn service/
暈 [かさ] /(n) astronomical halo (ring, etc.)/
暈かす [ぼかす] /(v5s,vt) to shade off/to obscure/
暈ける [ぼける] /(v1,vi) to be faded/to be hazy/to be blurred/to be out of focus/(P)/
暈し [ぼかし] /(n) shading off/gradation/
暈す [ぼかす] /(v5s,vt) to shade off/to obscure/(P)/
暈倒病 [うんとうびょう] /(n) vertigo/staggers/
暈繝 [うげん] /(n) method of dying in which a color repeatedly goes from dense to diffuse, diffuse to dense - imported from western China and used in Buddhist pictures, temple ornaments, etc., during the Nara and Heian periods/
暈繝 [うんげん] /(n) method of dying in which a color repeatedly goes from dense to diffuse, diffuse to dense - imported from western China and used in Buddhist pictures, temple ornaments, etc., during the Nara and Heian periods/
曉 [あかつき] /(oK) (n) (1) dawn/daybreak/(2) event (i.e. "in the event of ...")/occasion/occurrence/
曉 [あかとき] /(oK) (ok) (n) (1) dawn/daybreak/
曖々 [あいあい] /(adj-t,adv-to) dim/faint/unclear/
曖昧 [あいまい] /(adj-na,n) (1) vague/ambiguous/unclear/(2) (math) (comp) fuzzy/(P)/
曖昧さ [あいまいさ] /(n) ambiguity/
曖昧な内容モデル [あいまいなないようモデル] /(n) (comp) ambiguous content model/
曖昧検索 [あいまいけんさく] /(n) (comp) fuzzy reference/ambiguous search/ambiguous retrieval/
曖昧制御 [あいまいせいぎょ] /(n) (comp) fuzzy control/
曖昧性 [あいまいせい] /(n) ambiguity/fuzziness/
曖昧度 [あいまいど] /(n) (comp) equivocation/
曖昧模糊 [あいまいもこ] /(uK) (adj-na,adj-t,adv-to) obscure/vague/ambiguous/
曖昧理論 [あいまいりろん] /(n) (comp) fuzzy theory/
曖昧量 [あいまいりょう] /(n) (comp) equivocation/
曖昧論理 [あいまいろんり] /(n) (comp) fuzzy logic/
曖曖 [あいあい] /(adj-t,adv-to) dim/faint/unclear/
曚昧 [もうまい] /(oK) (adj-na,n) ignorance/(lack of) enlightenment or civilization (civilisation)/unenlightened/uncivilized/uncivilised/
曠々 [こうこう] /(adj-t,adv-to) (arch) extensive/spacious/
曠原 [こうげん] /(n) wide plain or field/
曠古 [こうこ] /(n,adj-no) historic/unprecedented/
曠職 [こうしょく] /(n) neglect of official duty/
曠世 [こうせい] /(n,adj-no) unparalleled/unparallelled/matchless/
曠然 [こうぜん] /(adj-t,adv-to) wide open (as in land)/vast/
曠野 [あらの] /(iK) (n) wasteland/wilderness/deserted land/prairie/vast plain/wilds/desert/wild land/
曠野 [こうや] /(iK) (n) wasteland/wilderness/deserted land/prairie/vast plain/wilds/desert/wild land/
曠曠 [こうこう] /(adj-t,adv-to) (arch) extensive/spacious/
曩に [さきに] /(adv,n) before/earlier than/ahead/beyond/away/previously/recently/
曰う [のたまう] /(v4h) (uk) (pol) to say/to be pleased to say (hint of sarcasm)/
曰く [いわく] /(n) (1) pretext/history/past/story/(n-adv) (2) according to .../... says/
曰く言い難し [いわくいいがたし] /(exp) It is hard to explain/It is hard to say/
曰く付き [いわくつき] /(n,adj-no) with an interesting history (story)/with a shady history/with circumstances that are difficult to explain/
朦々 [もうもう] /(adj-t,adv-to) (1) dense (e.g. fog, dust, etc.)/thick/(2) vague (as in being unable to think clearly)/dim/
朦朦 [もうもう] /(adj-t,adv-to) (1) dense (e.g. fog, dust, etc.)/thick/(2) vague (as in being unable to think clearly)/dim/
朦朧 [もうろう] /(adj-t,adv-to) dim/hazy/vague/indistinct/ambiguous/faint/obscure/
朧 [おぼろ] /(adj-na) (1) hazy/dim/faint/(n) (2) minced meat or fish/
朧げ [おぼろげ] /(adj-na) vague/faint/dim/indistinct/
朧ろ [おぼろ] /(adj-na) (1) hazy/dim/faint/(n) (2) minced meat or fish/
朧ろ月夜 [おぼろづきよ] /(n) misty, moonlit night/
朧ろ夜 [おぼろよ] /(n) misty, moonlit night/
朧雲 [おぼろぐも] /(n) altostratus cloud/
朧気 [おぼろげ] /(adj-na) vague/faint/dim/indistinct/
朧月 [おぼろづき] /(n) hazy moon/
朧月夜 [おぼろづきよ] /(n) misty, moonlit night/
朧昆布 [おぼろこんぶ] /(n) shredded tangle or kelp/
朧夜 [おぼろよ] /(n) misty, moonlit night/
朮 [うけら] /(n) Atractylodes japonica/
朮 [おけら] /(n) Atractylodes japonica/
杆状体 [かんじょうたい] /(n) rod (shape of cell)/
杆体 [かんたい] /(n) rod (shape of cell)/
杆体細胞 [かんたいさいぼう] /(n) rod cell/
杞憂 [きゆう] /(n,vs) absurd fear/needless anxiety/
杠 [ゆずりは] /(n) (obsc) (uk) false daphne (Daphniphyllum macropodum)/Yuzuriha/
枉惑 [おうわく] /(n) (arch) trickery/
杼 [じょ] /(iK) (n) 10^24/
杼 [ひ] /(n) shuttle (of a loom)/
杪 [こずえ] /(n) treetop/tip of a branch/
杪 [すわい] /(n) (1) (arch) switch (long, tender shoot of a plant)/(2) switch (cane used for flogging)/
杪 [すわえ] /(n) (1) (arch) switch (long, tender shoot of a plant)/(2) switch (cane used for flogging)/
杪 [ずわい] /(n) (1) (arch) switch (long, tender shoot of a plant)/(2) switch (cane used for flogging)/
杪 [ずわえ] /(n) (1) (arch) switch (long, tender shoot of a plant)/(2) switch (cane used for flogging)/
杪秋 [びょうしゅう] /(n) (arch) (obsc) end of autumn (fall)/
杪春 [びょうしゅん] /(n) (arch) end of spring/
杪冬 [びょうとう] /(n) (arch) (obsc) end of winter/
杪葉 [うれは] /(n,n-adv,n-t) (1) end leaves/top leaves/last leaves/
枡 [ます] /(n) (1) measuring container/measure/(2) box (seating at a theatre, etc.)/(3) square on a grid/cell of a grid/
枡形 [ますがた] /(n) (1) square (shape)/(2) (in a castle) rectangular space between the inner and outer gates (where troops can gather)/
枡酒 [ますざけ] /(n) alcohol (esp. sake) served in a small wooden box/alcohol (esp. sake) sold in a small wooden box/
枡席 [ますせき] /(n) tatami "box seat" for four people at sumo, kabuki, etc./
枡組 [ますぐみ] /(n) square framing (in a house, temple, screen, etc.)/
枡組み [ますぐみ] /(n) square framing (in a house, temple, screen, etc.)/
枡売り [ますうり] /(n) selling something by the boxful (in a wooden masu box)/
枡目 [ますめ] /(n) (1) measure/(2) square (e.g. of graph paper or Japanese manuscript paper)/(3) box (e.g. on a form)/
枷 [かせ] /(n) (1) shackles/fetters/irons/handcuffs/restraint/constraint/(2) bonds (e.g. family)/ties/binding relationship/binding relationships/encumbrance/
枷蚯蚓 [かせみみず] /(n) Epimenia verrucosa (mollusc)/
柯 [ふる] /(n) (obsc) handle of an axe/handle of a hatchet/
柬蒲寨 [かんぼじあ] /(iK) (n) (uk) Cambodia/
柬埔寨 [かんぼじあ] /(ateji) (n) (uk) Cambodia/
枳 [からたち] /(n) (uk) trifoliate orange (Poncirus trifoliata)/hardy orange/
枳殻 [からたち] /(n) (uk) trifoliate orange (Poncirus trifoliata)/hardy orange/
枳殻 [きこく] /(n) (uk) trifoliate orange (Poncirus trifoliata)/hardy orange/
柩 [ひつぎ] /(n) coffin/casket/
柩車 [きゅうしゃ] /(n) hearse/
枸橘 [からたち] /(n) (uk) trifoliate orange (Poncirus trifoliata)/hardy orange/
枸杞 [くこ] /(n) (uk) Chinese matrimony vine (Lycium chinense)/Chinese wolfberry/goji/
枸杞の実 [くこのみ] /(n) Chinese wolfberry fruit (Lycium chinense)/Chinese matrimony vine fruit/
枸杞子 [くこし] /(n) extract of Chinese wolfberry fruit/
枸櫞 [くえん] /(n) (obsc) (uk) citron (Citrus medica)/
枸櫞酸 [くえんさん] /(n) citric acid/
枸櫞酸塩 [くえんさんえん] /(n) citrate/
枸櫞酸回路 [くえんさんかいろ] /(n) citric acid cycle/
柞 [なら] /(n) (uk) oak (esp. Quercus serrata)/
柝 [き] /(n) wooden clappers (signalling the beginning or end of a performance)/
柝 [たく] /(n) wooden clappers (signalling the beginning or end of a performance)/
柝が入る [きがはいる] /(exp,v5r) (obsc) clapping of wooden clappers signalling the beginning or end of a performance/
枹 [なら] /(n) (uk) oak (esp. Quercus serrata)/
枹 [ばち] /(n) (1) plectrum/pick/(2) drumstick for Japanese drums (e.g. taiko)/
檜 [ひ] /(ok) (n) (uk) hinoki cypress (Chamaecyparis obtusa)/Japanese cypress/
檜 [ひのき] /(n) (uk) hinoki cypress (Chamaecyparis obtusa)/Japanese cypress/
檜扇 [ひおうぎ] /(n) (1) formal folding fan made of hinoki cypress/(2) blackberry lily (Belamcanda Chinensis)/leopard lily/leopard flower/
檜皮 [ひはだ] /(n) cypress bark/
檜皮 [ひわだ] /(n) cypress bark/
檜皮色 [ひわだいろ] /(n,adj-no) dusky-red/color of cypress bark/
檜皮葺 [ひわだぶき] /(n) cypress bark roof/hinoki bark thatching/
檜皮葺き [ひわだぶき] /(n) cypress bark roof/hinoki bark thatching/
檜舞台 [ひのきぶたい] /(n) (1) stage made of Japanese cypress/(2) the limelight/the big time/
檜木 [ひのき] /(n) (uk) hinoki cypress (Chamaecyparis obtusa)/Japanese cypress/
檜葉 [ひば] /(n) (1) hinoki leaf/(2) (uk) hiba false arborvitae (species of cypress, Thujopsis dolabrata)/(3) (uk) small ornamental false cypress (i.e. a variety of hinoki or a related species)/
檜林 [ひのきばやし] /(n) cypress woodland/
栞 [しおり] /(n) (1) bookmark/(2) guidebook/
框 [かまち] /(n) (uk) door frame/window frame/frame sections of the door or window that provide most of its structural integrity/
框 [わく] /(n,n-suf) frame/slide/border/
栩板 [とちいた] /(n) thick roof shingle (1-3 cm thick, used for shrine buildings and noh stages)/
栩葺 [とちぶき] /(n) shingling using thick roof shingles/roof shingled in such a manner (usu. shrine buildings, noh stages, etc.)/
栩葺き [とちぶき] /(n) shingling using thick roof shingles/roof shingled in such a manner (usu. shrine buildings, noh stages, etc.)/
栲 [たえ] /(n) (arch) cloth (esp. cloth made from fibers of the paper mulberry tree)/
栲 [たく] /(n) (arch) paper mulberry/
桎梏 [しっこく] /(n) bonds/fetters/
梳かす [とかす] /(v5s,vt) (1) to comb out/(2) to melt/
梳き鋏 [すきばさみ] /(n) thinning scissors/thinning shears/
梳く [すく] /(v5k,vt) to comb (out)/to card/
梳く [とく] /(iK) (v5k,vt) (1) to comb/to untangle (hair)/
梳る [くしけずる] /(v5r,vt) to comb/
梳る [けずる] /(v5r,vt) (1) to shave (wood or leather)/to sharpen/to plane/to whittle/to pare/to scrape off/(2) to shave off (e.g. a budget, expenses, a salary, etc.)/to curtail/to cut down/(3) to cross out/to reduce/to curtail/to remove/to erase/to delete/
梳綿機 [そめんき] /(n) carding machine/
梳毛 [そもう] /(n) combed wool (yarn)/
梳毛織物 [そもうおりもの] /(n) worsted fabric/
桙 [ほこ] /(n) (1) long-handled Chinese spear/lance/pike/(2) weapon/arms/(3) grip of a bow/
桷 [ずみ] /(n) (uk) Toringo crabapple (Malus sieboldii)/
桿菌 [かんきん] /(n) bacillus/
桿状 [かんじょう] /(adj-no) rod-shaped/bacillary/bacilliform/baculiform/
桿状核球 [かんじょうかくきゅう] /(n) band cell/stab cell/
桿状体 [かんじょうたい] /(n) rod (shape of cell)/
梟 [さけ] /(n) (uk) owl (esp. the Ural owl, Strix uralensis)/
梟 [ふくろ] /(n) (uk) owl (esp. the Ural owl, Strix uralensis)/
梟 [ふくろう] /(n) (uk) owl (esp. the Ural owl, Strix uralensis)/
梟す [きょうす] /(v5s,vt) (arch) to expose (a severed head)/
梟する [きょうする] /(vs-s,vt) (arch) to expose (a severed head)/
梟悪 [きょうあく] /(n) great treachery/very atrocious person/
梟罪 [きょうざい] /(n) crime of exposing a severed head/
梟首 [きょうしゅ] /(n,vs) exposure of a severed head/
梟将 [きょうしょう] /(n) brave general/
梟敵 [きょうてき] /(n) treacherous enemy/
梟猛 [きょうもう] /(adj-na,n) fierce/
梟雄 [きょうゆう] /(n) ringleader/accomplished villain/
梟鸚鵡 [ふくろうおうむ] /(n) (uk) kakapo (Strigops habroptila)/owl parrot/
梏桎 [こくしつ] /(n) (obsc) fetters/bonds/
梭 [ひ] /(n) shuttle (of a loom)/
梭魚 [かます] /(n) (uk) barracuda/
梭子魚 [かます] /(n) (uk) barracuda/
梭子魚鰆 [かますさわら] /(n) (uk) wahoo (species of fish, Acanthocybium solandri)/
梭尾 [ほらがい] /(n) (uk) conch (Charonia tritonis)/trumpet shell/
梔子 [くちなし] /(n) (uk) Cape jasmine (Gardenia jasminoides)/Cape jessamine/gardenia/
梛 [なぎ] /(n) (uk) nagi (species of conifer, Nageia nagi)/
梛筏 [なぎいかだ] /(n) (uk) butcher's broom (Ruscus aculeatus)/
梃 [ちょう] /(ctr) counter for long and narrow things such as guns, scissors, spades, hoes, inksticks, palanquins, candles, jinrikishas, shamisen, oars, etc./
梃 [てこ] /(n) lever/
梃子 [てこ] /(n) lever/
梃子の原理 [てこのげんり] /(n) principle of leverage/
梃子摺る [てこずる] /(v5r) (uk) to have much trouble/to have a hard time/to not know how to handle/
梃摺る [てこずる] /(v5r) (uk) to have much trouble/to have a hard time/to not know how to handle/
梃入れ [てこいれ] /(n,vs) supporting/shoring up/
桴 [いかだ] /(n) (1) (uk) raft/(2) forearm protector/(3) skewered baby-eel kabayaki/
桴 [ばち] /(n) (1) plectrum/pick/(2) drumstick for Japanese drums (e.g. taiko)/
梵唄 [ぼんばい] /(n) song in praise of Buddhas virtues/
梵語 [ぼんご] /(n,adj-no) Sanskrit/
梵妻 [ぼんさい] /(n) Buddhist priest's wife/
梵字 [ぼんじ] /(n) Sanskrit characters/
梵鐘 [ぼんしょう] /(n) temple bell/
梵僧 [ぼんそう] /(n) (Buddh) monk (esp. one who maintains his purity)/
梵天 [ぼんてん] /(n) Brahma-Deva/
梵天王 [ぼんてんおう] /(n) Brahma/the Creator/
梵和辞典 [ぼんわじてん] /(n) Sanskrit-Japanese dictionary/
梵刹 [ぼんさつ] /(n) temple/
梵刹 [ぼんせつ] /(n) temple/
棊 [ご] /(n) go (board game of capturing territory)/
棊局 [ききょく] /(n) (1) go or shogi board/(2) position of a game of go or shogi/
棊子麺 [きしめん] /(n) (uk) noodles made in flat strips/
棊布 [きふ] /(n,vs) (arch) (obsc) scattering (e.g. of islands, Go pieces, etc., often in a harmonious balance)/dispersal/constellation/irregular spread/
椈 [ぶな] /(n) (uk) Japanese beech (Fagus crenata)/Siebold's beech/
椈の木 [ぶなのき] /(n) Japanese beech tree/
棘 [いばら] /(n) (1) thorny shrub/(2) wild rose/briar/(3) thorn/(4) (architectural) cusp/
棘 [おどろ] /(adj-na,n) briars/thicket/the bush/
棘 [とげ] /(n) thorn/splinter/spine/biting words/(P)/
棘魚 [とげうお] /(n) (uk) stickleback (any fish of family Gasterosteidae)/
棘魚類 [きょくぎょるい] /(n) acanthodians (extinct jawed fishes)/
棘条 [きょくじょう] /(n,adj-no) spiny ray (of a fin)/
棘鼠 [とげねずみ] /(n) (uk) Ryukyu spiny rat (Tokudaia osimensis)/
棘蝶々魚 [とげちょうちょううお] /(n) (uk) threadfin butterflyfish (Chaetodon auriga, species of the Indo-Pacific)/
棘蝶蝶魚 [とげちょうちょううお] /(n) (uk) threadfin butterflyfish (Chaetodon auriga, species of the Indo-Pacific)/
棘突起 [きょくとっき] /(n) spinous process/
棘皮動物 [きょくひどうぶつ] /(n) echinoderm/
棘尾大蜥蜴 [とげおおおとかげ] /(n) (uk) ridge-tailed monitor (Varanus acanthurus, species of monitor lizard found throughout the arid northern regions of Australia)/spiny-tailed monitor/
棍棒 [こんぼう] /(n) stick/club/cudgel/bludgeon/
棕梠 [しゅろ] /(n) (uk) Chinese windmill palm (Trachycarpus fortunei)/Chusan palm/hemp palm/
棕櫚 [しゅろ] /(n) (uk) Chinese windmill palm (Trachycarpus fortunei)/Chusan palm/hemp palm/
棕櫚 [すろ] /(n) (uk) Chinese windmill palm (Trachycarpus fortunei)/Chusan palm/hemp palm/
棕櫚の主日 [しゅろのしゅじつ] /(n) Palm Sunday/
棕櫚竹 [しゅろちく] /(n) (uk) Rhapis humilis/rhapis/
棕櫚箒 [しゅろぼうき] /(n) hemp-palm broom/
椶櫚 [しゅろ] /(n) (uk) Chinese windmill palm (Trachycarpus fortunei)/Chusan palm/hemp palm/
椒 [はじかみ] /(n) (1) (arch) ginger (Zingiber officinale)/(2) Japanese pepper (Zanthoxylum piperitum)/
棗 [なつめ] /(n) (1) jujube (tree)/(2) small tea caddy (tea ceremony)/
棗椰子 [なつめやし] /(n) date (palm tree)/
棹 [さお] /(n) (1) rod/pole/(2) neck (of a shamisen, etc.)/shamisen/(3) beam (i.e. the crossbar of a balance)/(4) single line (esp. as a flying formation for geese)/(5) (sl) penis/(ctr) (6) counter for flags (on poles)/counter for long, thin Japanese sweets (e.g. youkan)/
棹差す [さおさす] /(v5s) to pole (a boat)/to punt (a boat)/to swim with the tide/
棹秤 [さおばかり] /(n) beam balance/steelyard/
棠梨 [ずみ] /(n) (uk) Toringo crabapple (Malus sieboldii)/
椨 [たぶのき] /(n) type of evergreen tree/Machilus thunbergii/
椨の木 [たぶのき] /(n) type of evergreen tree/Machilus thunbergii/
椚 [くぬぎ] /(n) (uk) sawtooth oak (Quercus acutissima)/
椚 [くのぎ] /(n) (uk) sawtooth oak (Quercus acutissima)/
椣 [しで] /(n) (1) zigzag-shaped paper streamer often used to adorn Shinto-related objects/(2) hornbeam (deciduous tree in the birch family)/
楷書 [かいしょ] /(n) square style of handwriting/printed style of handwriting/block style/standard style/(P)/
楷書体 [かいしょたい] /(n) square (block) style of printed typeface/
楸 [きささげ] /(n) (uk) yellow catalpa (Catalpa ovata)/Chinese catalpa/
楸 [ひさぎ] /(n) (arch) unknown plant species (perhaps Catalpa ovata or Mallotus japonicus)/
楫 [かじ] /(n) rudder/helm/
楫の木 [かじのき] /(n) (uk) paper mulberry (Broussonetia papyrifera)/
楫枕 [かじまくら] /(n) voyage/
楔 [くさび] /(n) (1) (uk) wedge/(2) linchpin/lynchpin/
楔形 [くさびがた] /(adj-na,n) (uk) wedge-shape/
楔形文字 [くさびがたもじ] /(n) cuneiform (writing)/
楔形文字 [けっけいもじ] /(n) cuneiform (writing)/
楔形文字 [せっけいもじ] /(n) cuneiform (writing)/
楔子 [けっし] /(n) wedge/lynchpin/cotter/
楔状 [けつじょう] /(n,adj-no) wedge-shaped/cuneate/cuneiform/
楔状骨 [けつじょうこつ] /(n) (1) cuneiform (bones)/(2) sphenoid (bone)/
楔状骨 [せつじょうこつ] /(n) (1) sphenoid (bone)/
楔石 [くさびいし] /(n) (1) keystone/(2) sphene/
楾 [はんぞう] /(n) (1) tea pot like object made typically of lacquer ware and used to pour hot and cold liquids/(2) basin of water with two handles on either side used for washing one's face or hands/
楮 [かじ] /(n) (uk) paper mulberry (Broussonetia papyrifera)/
楮 [かぞ] /(n) (uk) hybrid mulberry tree used to make Japanese paper (Broussonetia kazinoki x papyrifera)/
楮 [こうぞ] /(n) (uk) hybrid mulberry tree used to make Japanese paper (Broussonetia kazinoki x papyrifera)/
楮の木 [かじのき] /(n) (uk) paper mulberry (Broussonetia papyrifera)/
楮紙 [こうぞがみ] /(n) var. of Japanese paper made from mulberry bark fibre/
楮紙 [ちょし] /(n) var. of Japanese paper made from mulberry bark fibre/
椹 [さわら] /(n) (uk) sawara cypress (Chamaecyparis pisifera)/
椽 [たるき] /(n) rafter/
椽側 [えんがわ] /(n) (1) veranda/porch/balcony/open corridor/
椰胡 [やこ] /(n) yehu (bowed Chinese instrument with a coconut-shell body)/
椰子 [やし] /(n) palm tree/
椰子の実 [やしのみ] /(n) coconut/
椰子の木 [やしのき] /(n) palm tree/
椰子科 [やしか] /(n) Palmae (palm family of plants)/Arecaceae/
椰子蟹 [やしがに] /(n) (uk) coconut crab (Birgus latro)/
椰子殻 [やしかく] /(n) coconut shell/
椰子油 [やしゆ] /(n) coconut oil/
楡 [にれ] /(n) (uk) elm tree (esp. the Japanese elm, Ulmus davidiana var. japonica)/
楝 [せんだん] /(n) (1) (uk) chinaberry/Japanese bead tree (Melia azedarach L.)/(2) Indian sandalwood (Santalum album)/
楪 [ゆずりは] /(n) (obsc) (uk) false daphne (Daphniphyllum macropodum)/Yuzuriha/
楪子 [ちゃつ] /(n) type of lacquerware plate/
槐 [えんじゅ] /(n) (uk) Japanese pagoda tree (Sophora japonica)/
槐樹 [かいじゅ] /(n) Japanese pagoda tree (Sophora japonica)/
榾 [ほた] /(n) (obsc) kindling/small bits of scrap wood used to fuel a stove/
榾 [ほだ] /(n) (obsc) kindling/small bits of scrap wood used to fuel a stove/
榾柮 [ほた] /(n) (obsc) kindling/small bits of scrap wood used to fuel a stove/
榾柮 [ほだ] /(n) (obsc) kindling/small bits of scrap wood used to fuel a stove/
寨 [とりで] /(n) fortress/
榻背 [とうはい] /(n) back of a chair/
榧 [かえ] /(ok) (n) (uk) Japanese nutmeg tree (Torreya nucifera)/
榧 [かや] /(n) (uk) Japanese nutmeg tree (Torreya nucifera)/
榕 [あこう] /(n) (uk) Japanese sea fig (Ficus superba var. japonica)/
榕樹 [がじゅまる] /(n) (uk) Chinese banyan (Ficus microcarpa or Ficus retusa)/Malayan banyan/Indian laurel/
榕樹 [ようじゅ] /(n) (uk) Chinese banyan (Ficus microcarpa or Ficus retusa)/Malayan banyan/Indian laurel/
榴輝岩 [りゅうきがん] /(n) (obsc) eclogite/
榴散弾 [りゅうさんだん] /(n) shrapnel/
榴弾 [りゅうだん] /(n) high-explosive projectile/
榴弾砲 [りゅうだんほう] /(n) howitzer/
榴弾砲 [りゅうだんぽう] /(n) howitzer/
槿 [むくげ] /(n) (uk) rose of Sharon (Hibiscus syriacus)/
槿 [もくげ] /(n) (uk) rose of Sharon (Hibiscus syriacus)/
槿花一朝 [きんかいっちょう] /(n) evanescent glory/passing prosperity/
槿花一日 [きんかいちじつ] /(n) evanescent glory/passing prosperity/
槲 [かしわ] /(n) oak/daimyo oak/Japanese emperor oak/Quercus dentata/
樅 [もみ] /(n) fir tree/
樅の木 [もみのき] /(n) fir tree/
榱 [たるき] /(n) rafter/
榱 [はえき] /(ok) (n) rafter/
槭樹 [かえで] /(n) maple (tree) (Acer spp.)/
樒 [しきび] /(n) (uk) Japanese star anise (Illicium anisatum)/
樒 [しきみ] /(n) (uk) Japanese star anise (Illicium anisatum)/
橄欖 [かんらん] /(n) (1) (uk) Chinese white olive (Canarium album)/(2) olive (Olea europea)/
橄欖岩 [かんらんがん] /(n) peridotite/
橄欖石 [かんらんせき] /(n) olivine/peridot/
橇 [かんじき] /(n) (uk) snow-shoes/
橇 [そり] /(n) (uk) sleigh/sled/sledge/
橇行 [きょうこう] /(n-adv) (poet) traveling by sleigh/
橢円 [だえん] /(oK) (n,adj-no) ellipse/
橙 [だいだい] /(n) bitter orange (Citrus aurantium)/
橙黄色 [とうこうしょく] /(n,adj-no) orange (colour)/
橙花油 [とうかゆ] /(n) citrus oil/neroli oil/
橙色 [だいだいいろ] /(n) orange-colored/orange-coloured/(P)/
橙皮油 [とうひゆ] /(n) orange-peel oil/
橈む [たわむ] /(iK) (v5m,vt) to bend/to warp/
橈める [たわめる] /(iK) (v1,vt) (uk) to bend (a piece of wood, etc.)/to bow/
橈脚類 [かいあしるい] /(n) copepods (small crustaceans of subclass Copepoda)/
橈脚類 [じょうきゃくるい] /(n) copepods (small crustaceans of subclass Copepoda)/
橈脚類 [とうきゃくるい] /(n) copepods (small crustaceans of subclass Copepoda)/
橈骨 [とうこつ] /(n,adj-no) radius (bone of the forearm)/
橈骨動脈 [とうこつどうみゃく] /(n) radial artery/
樸樹 [むくのき] /(n) (uk) Aphananthe oriental elm (Aphananthe aspera)/mukutree/
樸直 [ぼくちょく] /(adj-na,n) simple and honest/
檐 [のき] /(n) (1) eaves/(2) narrow aisle surrounding the core of a temple building/
檄 [げき] /(n) (written) appeal/circular/manifesto/
檄を飛ばす [げきをとばす] /(exp,v5s) to issue a manifesto/to appeal/
檄文 [げきぶん] /(n) written appeal/manifesto/declaration/
檣 [ほばしら] /(n) mast/
檣楼 [しょうろう] /(n) top/
檻 [おり] /(n) cage/pen/jail cell/gaol cell/(P)/
櫃 [ひつ] /(n) (1) (uk) chest/coffer/(2) round, wooden container for cooked rice/
櫃まぶし [ひつまぶし] /(n) eel fillets cooked over charcoal with soy flavoured sauce, cut in small pieces and serve on rice/
櫂 [かい] /(n) paddle/oar/scull/
檸檬 [れもん] /(oK) (gikun) (n) (uk) lemon/
檸檬鮫 [れもんざめ] /(n) (uk) sicklefin lemon shark (Negaprion acutidens)/sharptooth lemon shark/
檳榔 [あじまさ] /(ok) (n) (uk) Chinese fan palm (Livistona chinensis)/
檳榔 [びにろう] /(n) areca palm (Areca catechu)/betel palm/
檳榔 [びりょう] /(n) (uk) Chinese fan palm (Livistona chinensis)/
檳榔 [びろう] /(n) (uk) Chinese fan palm (Livistona chinensis)/
檳榔 [びんろう] /(n) areca palm (Areca catechu)/betel palm/
檳榔子 [びんろうじ] /(n) betel nut/areca nut/
檳榔樹 [びんろうじゅ] /(n) areca palm (Areca catechu)/betel palm/betel nut tree/
櫟 [いちい] /(n) (uk) Quercus gilva (species of oak)/
櫟 [くぬぎ] /(n) (uk) sawtooth oak (Quercus acutissima)/
櫟 [くのぎ] /(n) (uk) sawtooth oak (Quercus acutissima)/
櫪 [くぬぎ] /(n) (uk) sawtooth oak (Quercus acutissima)/
櫪 [くのぎ] /(n) (uk) sawtooth oak (Quercus acutissima)/
櫻 [さくら] /(oK) (n) (1) cherry tree/cherry blossom/(2) decoy/fake buyer/shill/(3) hired applauder/(4) (col) horse meat/
欅 [けやき] /(n) (uk) Japanese zelkova (species of elm-like tree, Zelkowa serrata)/
蘖 [ひこばえ] /(n) (uk) sprouts from a stump/buds from the base of a tree/
蘖 [もやし] /(iK) (n) bean sprouts/
蘖え [ひこばえ] /(io) (n) (uk) sprouts from a stump/buds from the base of a tree/
櫺子 [れんじ] /(n) latticework/
欒樹 [もくげんじ] /(n) (uk) goldenrain tree (Koelreuteria paniculata)/
鬱 [うつ] /(n) depression/low spirits/
鬱々 [うつうつ] /(adj-t,adv-to) (uk) gloomy/melancholy/pessimistic/
鬱ぐ [ふさぐ] /(v5g) to feel depressed/to mope/
鬱を散じる [うつをさんじる] /(exp,v1) (obsc) to chase one's gloom away/to free one's thoughts from melancholy/
鬱気 [うっき] /(n) gloomy/melancholy/
鬱金 [うこん] /(n) (uk) turmeric (Curcuma domestica)/
鬱金香 [うこんこう] /(n) tulip/
鬱金香 [うっこんこう] /(n) tulip/
鬱金色 [うこんいろ] /(n) yellow/saffron (color, colour)/
鬱屈 [うっくつ] /(n,vs) gloomy/
鬱血 [うっけつ] /(n,vs) (1) blood congestion/(suf) (2) -stasis/
鬱血除去薬 [うっけつじょきょやく] /(n) decongestant/
鬱状態 [うつじょうたい] /(n,adj-no) depression/manic depression/
鬱積 [うっせき] /(n,vs) accumulation (e.g. of emotions, grievances, etc.)/buildup/suppression (e.g. of anger)/
鬱然 [うつぜん] /(adj-t,adv-to) (1) dense (vegetation)/thick/(2) prominent/popular/(3) gloomy (mood)/
鬱蒼 [うっそう] /(adj-t,adv-to) thick/dense/luxuriant/
鬱滞 [うったい] /(n,adj-no,vs) (uk) congestion/pent-up feelings/
鬱陶しい [うっとうしい] /(adj-i) (1) (uk) gloomy (e.g. mood)/depressing/(2) heavy (weather)/cloudy/(3) irritating/troublesome/(P)/
鬱病 [うつびょう] /(n) melancholia/depression/
鬱憤 [うっぷん] /(n) resentment/grudge/anger/
鬱憤を晴らす [うっぷんをはらす] /(exp,v5s) to vent one's anger/
鬱憤晴らす [うっぷんはらす] /(exp,v5s) to vent one's anger/
鬱勃 [うつぼつ] /(adj-na,n,adj-t) irresistible force or movement/
鬱鬱 [うつうつ] /(adj-t,adv-to) (uk) gloomy/melancholy/pessimistic/
欹てる [そばだてる] /(v1) to strain to hear/to prick up one's ears/
飮み屋 [のみや] /(oK) (n) bar/saloon/
飮む [のむ] /(oK) (v5m,vt) (1) to drink/to gulp/to swallow/(2) to smoke (tobacco)/(3) to engulf/to overwhelm/(4) to keep down/to suppress/(5) to accept (e.g. demand, condition)/(6) to make light of/to conceal/
飮屋 [のみや] /(oK) (n) bar/saloon/
歔欷 [きょき] /(n,vs) sobbing/weeping/
歔欷き [すすりなき] /(n) sobbing/sob/weeping/
歸る [かえる] /(oK) (v5r,vi) (1) to return/to come home/to go home/to go back/(2) (of a guest, customer, etc.) to leave/(3) (of a baseball player rounding the bases) to get home/
歹偏 [がつへん] /(n) kanji "bare bone" radical at left/
歿 [ぼつ] /(n,n-suf) (1) discard/(n) (2) death/
歿する [ぼっする] /(vs-s) (1) to pass away/to die/
歿後 [ぼつご] /(n-adv,n-t) after death/posthumously/
歿前 [ぼつぜん] /(n-t) prior to death/during one's lifetime/
歿地 [ぼつち] /(n) dead place/place of death/
殄滅 [てんめつ] /(n,vs) complete and utter annihilation/
殪す [たおす] /(v5s,vt) (1) to kill/to defeat/to beat/
殪れる [たおれる] /(v1,vi) (1) to be forced to bed (by illness, etc.)/(2) to die/(3) to go bankrupt/to be ruined/to have a bad debt/(4) to be defeated (in a game)/(5) to fall (of governments, dictators, etc.)/
殯宮 [ひんきゅう] /(n) temporary imperial mortuary/
殲滅 [せんめつ] /(n,vs) extermination/annihilation/
殳 [るまた] /(n) kanji radical 79 at right/
殳旁 [ほこづくり] /(n) kanji radical 79 at right/
殷 [いん] /(n) Yin Dynasty (of China)/
殷々 [いんいん] /(adj-t,adv-to) roaring/booming/bellowing/pealing/reverberating/rumbling/
殷盛 [いんせい] /(adj-na,n) prosperity/
殷賑 [いんしん] /(adj-na,n) prosperity/
殷賑を極める [いんしんをきわめる] /(exp,v1) (obs) to enjoy prosperity/
殷富 [いんぷ] /(adj-na,n) wealth/prosperity/
殷墟文字 [いんきょもじ] /(n) ancient inscriptions of Chinese characters on oracle bones and carapaces/
殷殷 [いんいん] /(adj-t,adv-to) roaring/booming/bellowing/pealing/reverberating/rumbling/
毋れ [なかれ] /(prt) must not/do not/
毟り取る [むしりとる] /(v5r,vt) to tear off/to pluck off/
毟る [むしる] /(v5r,vt) to pluck/to pick/to tear/
毟れる [むしれる] /(v1,vi) (obsc) to be plucked/
毬 [いが] /(n) burr/bur/(chestnut) case/(pine) cone/
毬 [かさ] /(n) burr/bur/(chestnut) case/(pine) cone/
毬 [まり] /(n) ball/
毬果 [きゅうか] /(n) (pine) cone/
毬栗 [いがぐり] /(n) chestnut in its burr/
毬栗頭 [いがぐりあたま] /(n) close-cropped head/
毬藻 [まりも] /(n) (uk) marimo (variety of algae, Cladophora aegagropila)/round green alga/Cladophora ball/lake ball/moss ball/
毬投げ [まりなげ] /(n) playing catch/
毫も [ごうも] /(adv) (not) in the least/(not) at all/
毫光 [ごうこう] /(n) (abbr) light that is said to be emitted from some hair or tuft in Buddha's forehead/ray of light from the tuft of white hair (between the eyebrows)/
毫末 [ごうまつ] /(n) minute amount/
毫釐 [ごうり] /(n) very small quantity/
毳 [けば] /(n) fluff/fuzz/nap/
毳々しい [けばけばしい] /(adj-i) (uk) gaudy/showy/garish/loud/
毳毳しい [けばけばしい] /(adj-i) (uk) gaudy/showy/garish/loud/
麾下 [きか] /(n) troops under one's command/
氈瓜 [かもうり] /(n) (arch) wax gourd (Benincasa hispida)/winter melon/
氈鹿 [かもしか] /(n) (uk) serow/wild goat/
氣儘 [きまま] /(adj-na,n) willful/wilful/selfish/selfishness/one's own way/
汪々 [おうおう] /(adj-t,adv-to) wide and deep (of a body of water)/voluminous/
汪然 [おうぜん] /(adv-to,adj-t) (arch) vigorously flowing (e.g. tears)/
汪汪 [おうおう] /(adj-t,adv-to) wide and deep (of a body of water)/voluminous/
沁みる [しみる] /(v1,vi) (1) to pierce/to penetrate/to soak in/to permeate/(2) to (enter a wound or sensitive area and) sting/(3) to be infected (with vice)/to be steeped (with prejudice)/
沁み込む [しみこむ] /(v5m,vi) to soak into/to permeate/
沁み着く [しみつく] /(v5k,vi) to be indelibly stained or ingrained/to be dyed in deeply/
沁み透る [しみとおる] /(v5r,vi) (1) to soak through/(2) to be deeply impressed/
沁み沁み [しみじみ] /(adv-to,adv) (1) (uk) earnestly/keenly/fully/deeply/heartily/seriously/(2) calmly/
沁透る [しみとおる] /(v5r,vi) (1) to soak through/(2) to be deeply impressed/
沛然 [はいぜん] /(n,adj-t,adv-to) torrential/sprouting up/
沒る [いる] /(v5r) (poet) to set beyond the Western horizon (i.e. the sun)/
沐浴 [もくよく] /(n,vs) bathing/
沐猴 [もっこう] /(n) (obsc) monkey/
沐猴にして冠す [もっこうにしてかんす] /(exp) (id) (arch) to be an incompetent leader (like a monkey wearing a crown)/
泄れ [もれ] /(n,n-suf) (1) omission/leakage/oversight/(2) (sl) I/me/
沽券 [こけん] /(n) (1) dignity/credit/public estimation/face/honor/reputation/(2) (arch) deed of sale (for a land, forest or house)/(3) (arch) sale value/selling price/
沽券にかかわる [こけんにかかわる] /(exp,v5r) to be a point of honor/to affect someone's good name/
沽券に関わる [こけんにかかわる] /(exp,v5r) to be a point of honor/to affect someone's good name/
泝る [さかのぼる] /(v5r,vi) to go back/to go upstream/to make retroactive/
沮む [はばむ] /(v5m) to keep someone from doing/to stop/to prevent/to check/to hinder/to obstruct/to oppose/to thwart/
沮害 [そがい] /(n) check/obstruction/hindrance/impediment/
沮止 [そし] /(n,vs) check/obstruction/hindrance/
沮喪 [そそう] /(n,vs) loss of spirit/dejection/
泛かぶ [うかぶ] /(v5b) (1) to float/to be suspended/(2) to rise to surface/(3) to come to mind/to have inspiration/
泛かべる [うかべる] /(v1,vt) (1) to float/(2) to express/to look (sad, glad)/(3) to think/to imagine/to remember/
泛ぶ [うかぶ] /(v5b) (1) to float/to be suspended/(2) to rise to surface/(3) to come to mind/to have inspiration/
泛べる [うかべる] /(io) (v1,vt) (1) to float/(2) to express/to look (sad, glad)/(3) to think/to imagine/to remember/
泛称 [はんしょう] /(n,vs) lumping similar things together and giving the group a collective name/collective name/generic term/
泪 [なみだ] /(n) (1) tear/tears/lachrymal secretion/(2) sympathy/
洟 [はな] /(n) snivel/nasal mucus/snot/
洟垂らし [はなたらし] /(n) sniveler/sniveller/
洟垂れ小僧 [はなたれこぞう] /(n) snot-nosed kid/
洟水 [はなみず] /(n) nasal mucus/dripping nose/
衍字 [えんじ] /(n) (inadvertent) insertion of a character in a text/
衍文 [えんぶん] /(n) (inadvertent) redundancy in a text/
洸々 [こうこう] /(n) valiant/brave/surge (of water)/
洸洋 [こうよう] /(n) unfathomable/great expanse of water/incoherent/
洸洸 [こうこう] /(n) valiant/brave/surge (of water)/
洵に [まことに] /(adv) indeed/really/absolutely/truly/actually/very/quite/
洵美 [じゅんび] /(adj-na) (obsc) exquisite/truly beautiful/
洒々落々 [しゃしゃらくらく] /(n,adj-na) free and easy/frank, easy, and openhearted/sophisticatedly refined/
洒脱 [しゃだつ] /(adj-na,n) unconventional/unconstrained/
洒落 [しゃらく] /(adj-na,n) frank/open-hearted/
洒落 [しゃれ] /(adj-na,n) (1) joke/pun/witticism/(adj-na) (2) smartly dressed/stylish/fashion-conscious/refined/(P)/
洒落た [しゃれた] /(adj-f) stylish/tasteful/fashionable/
洒落っ気 [しゃれっけ] /(n) being dressed stylishly/
洒落る [しゃれる] /(v1,vi) to joke/to play on words/to dress stylishly/(P)/
洒落込む [しゃれこむ] /(v5m,vi) to get dressed up/
洒落者 [しゃれもの] /(n) a dandy or fop/
洒落臭い [しゃらくくさい] /(adj-i) impertinent/impudent/cheeky/
洒落臭い [しゃらくさい] /(adj-i) impertinent/impudent/cheeky/
洒落本 [しゃれぼん] /(n) type of book popular in the Edo period about life in the red life districts/
洒洒落落 [しゃしゃらくらく] /(n,adj-na) free and easy/frank, easy, and openhearted/sophisticatedly refined/
浣熊 [あらいぐま] /(n) common raccoon (Procyon lotor)/
浣腸 [かんちょう] /(n,vs) (1) (giving an) enema/(2) (uk) (sl) prank where the anal region of another person is poked with index fingers/
浚う [さらう] /(v5u,vt) to sweep away/to wash away/to dredge/(P)/
浚渫 [しゅんせつ] /(n,vs) dredging/
浚渫機 [しゅんせつき] /(n) dredger/
浚渫作業 [しゅんせつさぎょう] /(n) dredging operations/
浚渫船 [しゅんせつせん] /(n) dredger/
浙江財閥 [せっこうざいばつ] /(n) Sekko Zaibatsu/
涎 [よだれ] /(n) (uk) drool/(P)/
涎を垂らす [よだれをたらす] /(exp,v5s) to drool/to dribble/to slobber/
涎掛け [よだれかけ] /(n) bib/
涕 [なみだ] /(n) (1) tear/tears/lachrymal secretion/(2) sympathy/
濤 [なみ] /(n) wave/
涅槃 [ねはん] /(n) Nirvana/Buddha's death/salvation/
涅槃会 [ねはんえ] /(n) Buddhist service held on the day of Buddha's death (orig. 15th of the 2nd month, now 15th of the 3rd month)/
涅槃経 [ねはんぎょう] /(n) (Buddh) (abbr) Mahayana Mahaparinirvana Sutra/Nirvana Sutra/
涅槃原則 [ねはんげんそく] /(n) Nirvana principle/
涅槃西風 [ねはんにし] /(n) (Buddh) wind blowing on the day of the Buddhist mass held on the day of Buddha's death (15th day of the 2nd month)/
涅槃西風 [ねはんにしかぜ] /(n) (Buddh) wind blowing on the day of the Buddhist mass held on the day of Buddha's death (15th day of the 2nd month)/
涅槃雪 [ねはんゆき] /(n) last snows/snow remaining after the anniversary of Buddha's death/
淹れる [いれる] /(v1,vt) to make (tea, coffee, etc.)/
渕 [ふち] /(iK) (n) deep pool/abyss/the depths/
渊 [ふち] /(iK) (n) deep pool/abyss/the depths/
涵養 [かんよう] /(n,vs) (1) cultivation/fostering/training/(2) penetration, e.g. surface water into an aquifer/
淦 [あか] /(n) bilge-water/
涸びる [からびる] /(v1,vi) to dry up/to shrivel/
涸らす [からす] /(v5s,vt) to dry up/to exhaust/
涸れる [かれる] /(v1,vi) to dry up (spring, pond, etc.)/to run out/
涸れ涸れ [かれがれ] /(adj-na) (arch) dried up/parched/
涸渇 [こかつ] /(n,vs) drying up/becoming exhausted/running dry/starvation/
涸沼糸蜻蛉 [ひぬまいととんぼ] /(n) (uk) Mortonagrion hirosei (species of damselfly)/
淺見 [せんけん] /(n) shallow view/superficial idea/
淪落 [りんらく] /(n,vs) ruin/depravity/corruption/
湮滅 [いんめつ] /(n,vs) extinction/destruction/
渙然 [かんぜん] /(adv-to,adj-t) (arch) untied/undone/
渾々 [こんこん] /(adj-t,adv-to) copious (flowing)/
渾身 [こんしん] /(n) with all one's might/with one's whole body/
渾然 [こんぜん] /(adj-t,adv-to) whole/entire/harmonious/well-rounded/
渾然一体 [こんぜんいったい] /(exp) in complete harmony/
渾然一体となる [こんぜんいったいとなる] /(exp) to form a complete whole/to be joined together/
渾天儀 [こんてんぎ] /(n) armillary sphere/
渾沌 [こんとん] /(n,adj-no) (1) confusion/chaos/disorder/(adj-t,adv-to) (2) chaotic/confused/uncertain/disarrayed/
渾名 [あだな] /(n,vs) nickname/(P)/
渾名 [こんめい] /(n,vs) nickname/
渾淆 [こんこう] /(n,vs) (1) mixture/intermixture/mixing up/jumbling together/(2) contamination (creation of unorthodox words or phrases by combining terms of similar form or meaning)/
渾渾 [こんこん] /(adj-t,adv-to) copious (flowing)/
渫う [さらう] /(v5u,vt) to sweep away/to wash away/to dredge/
湍 [せ] /(n) (1) shallows/shoal/(2) rapids/current/torrent/(3) position/place/(4) chance/opportunity/
渺々 [びょうびょう] /(adj-t,adv-to) boundless/limitless/vast/broad/
渺渺 [びょうびょう] /(adj-t,adv-to) boundless/limitless/vast/broad/
渺茫 [びょうぼう] /(adj-t,adv-to) vast/boundless/
滿足 [まんぞく] /(oK) (adj-na,n,vs) (1) satisfaction/(2) (math) sufficiency/
游ぎ [およぎ] /(n) swimming/
游ぐ [およぐ] /(v5g,vi) to swim/
游泳 [ゆうえい] /(n,vs,adj-no) (1) swimming/bathing/(2) conduct of life/
游魚 [ゆうぎょ] /(n) fish swimming about in water/
游侠 [ゆうきょう] /(n) chivalrous person/
游蛇 [ゆうだ] /(n) (uk) water snake/
溪間 [けいかん] /(oK) (n) ravine/
溪谷 [けいこく] /(n) valley/ravine/canyon/
溘然 [こうぜん] /(adj-t,adv-to) sudden and unexpected (as in a person's death)/
溷濁 [こんだく] /(n,vs) (1) muddiness/turbidity/opacity/(2) disorder/chaos/
滓 [かす] /(n) dregs/feces/refuse/scum/
溯る [さかのぼる] /(v5r,vi) to go back/to go upstream/to make retroactive/
溯河魚 [さっかぎょ] /(n) anadromous fish (fish that migrates upstream, e.g. salmon)/
溯河魚 [そかぎょ] /(n) anadromous fish (fish that migrates upstream, e.g. salmon)/
溯及 [さっきゅう] /(n,vs) tracing back/retroactivity/
溯及 [そきゅう] /(n,vs) tracing back/retroactivity/
溯源 [さくげん] /(n,vs) returning to the origin/going back to the beginning/retracing/
溯源 [そげん] /(n,vs) returning to the origin/going back to the beginning/retracing/
溯航 [そこう] /(n,vs) going upstream/sailing against the current/
滄海 [そうかい] /(n) blue waters/
滄海一滴 [そうかいいってき] /(n) a drop in the ocean (bucket)/
滄海桑田 [そうかいそうでん] /(exp) The word is a scene of constant changes (as the blue sea changing into a mulberry field). (Chinese legend)/
滄浪 [そうろう] /(n) (1) blue waves/blue wave/(2) hair that has lost its shine due to ageing/
滄溟 [そうめい] /(n) (obsc) great blue sea/ocean/
溲瓶 [しびん] /(n) urine bottle/urinal/
溲瓶 [しゅびん] /(n) urine bottle/urinal/
滔々 [とうとう] /(adj-na,adj-t) flowing/swift/voluminous/
滔滔 [とうとう] /(adj-na,adj-t) flowing/swift/voluminous/
滂沱 [ぼうだ] /(n,vs) floods of tears, sweat, etc./
滂湃 [ほうはい] /(adj-t,adv-to) (1) as the sound of surging water/(2) vigorous/surging/welling/
漑ぐ [そそぐ] /(v5g) (1) to pour (into)/to fill/(2) to sprinkle on from above/to shed (e.g. tears)/(3) to concentrate one's spirit or strength on/(v5g,vi) (4) to fall onto (of rain, snow)/
灌ぐ [そそぐ] /(v5g) (1) to pour (into)/to fill/(2) to sprinkle on from above/to shed (e.g. tears)/(3) to concentrate one's spirit or strength on/(v5g,vi) (4) to fall onto (of rain, snow)/
灌水 [かんすい] /(n,vs) sprinkling (water)/watering (plants)/
灌腸 [かんちょう] /(n,vs) (1) (giving an) enema/(2) (uk) (sl) prank where the anal region of another person is poked with index fingers/
灌仏会 [かんぶつえ] /(n) Buddha's Birthday (8th day of the 4th lunar month)/
灌木 [かんぼく] /(n) bush/shrub/
灌漑 [かんがい] /(n,vs) irrigation/(P)/
灌漑用水 [かんがいようすい] /(n) irrigation water/
滾々 [こんこん] /(adj-t,adv-to) copious (flowing)/
滾る [たぎる] /(v5r,vi) to boil/to seethe/
滾滾 [こんこん] /(adj-t,adv-to) copious (flowing)/
漿 [こんず] /(n) (arch) rice water/
漿 [しょう] /(n) (arch) rice water/
漿 [におもい] /(n) (arch) boiled drinking water/
漿を乞いて酒を得る [しょうをこいてさけをうる] /(exp) (id) to get more than one requests/to beg for water and receive wine/
漿液 [しょうえき] /(n) juice/sap/blood serum/
漿果 [しょうか] /(n,adj-no) moist, pulpy fruit (i.e. tomato, grape, berry)/
漿尿膜 [しょうにょうまく] /(n) chorioallantois/
漿膜 [しょうまく] /(n) (1) serous membrane/(2) chorion/
滲みる [しみる] /(v1,vi) (1) to pierce/to penetrate/to soak in/to permeate/(2) to be infected (with vice)/to be steeped (with prejudice)/
滲み易いインク [にじみやすいインク] /(n) ink that runs easily/
滲み込む [しみこむ] /(v5m,vi) to soak into/to permeate/
滲み出す [しみだす] /(v5s) to ooze (out)/to seep/
滲み出る [しみでる] /(oK) (v1,vi) to ooze/to exude/to percolate/to soak through/
滲み出る [にじみでる] /(v1,vi) to exude/to ooze/to seep out/
滲み渡る [しみわたる] /(v5r,vi) to penetrate/to pervade/to spread/
滲む [にじむ] /(v5m) to run/to blur/to spread/to blot/to ooze/(P)/
滲出 [しんしゅつ] /(n,vs) (chem) infiltration/permeation/exudation/percolation/effusion/extraction/
滲出性 [しんしゅつせい] /(adj-no) exudative/
滲炭鋼 [しんたんこう] /(n) cement steel/
滲透 [しんとう] /(n,vs) (1) permeation/penetration/soaking/(2) osmosis/
漱 [うがい] /(n,vs) (uk) gargling/rinsing one's mouth/
漱ぐ [くちすすぐ] /(v5g) to gargle/to rinse the mouth/
漱ぐ [すすぐ] /(v5g,vt) (1) to rinse/to wash out/(2) to have one's revenge/to wipe out a disgrace/
漱石枕流 [そうせきちんりゅう] /(n) sore loser stubbornly refusing to admit being wrong and adhering to the far-fetched argument/
漲る [みなぎる] /(v5r,vi) (uk) to swell up/to rise/to be (brim) full of/to pervade/
滷汁 [にがり] /(n) bittern/concentrated solution of salts (esp. magnesium chloride) left over after the crystallization of seawater or brine/
滷汁 [ろじゅう] /(n) (obsc) alkaline solution/
澆季 [ぎょうき] /(n) frivolous age/degenerate period in history/decadent age/
潺々 [せんせん] /(adv-to,adj-t) murmuringly (of a river, etc.)/
潺潺 [せんせん] /(adv-to,adj-t) murmuringly (of a river, etc.)/
澁い [しぶい] /(oK) (adj-i) (1) tasteful (clothing)/cool/an aura of refined masculinity/(2) astringent/sullen/bitter (taste)/raspy (voice)/(3) grim/quiet/(4) sober/stingy/
潛心 [せんしん] /(oK) (n) meditation/
潛心力 [せんしんりょく] /(oK) (n) (MA) potential power/
濳む [ひそむ] /(v5m,vi) to lurk/to lie dormant/to be hidden/to be concealed/to be stashed/
濳める [ひそめる] /(v1,vt) (1) to hide/to conceal/(2) to lower volume (of a sound or one's voice) so as not to be heard/(3) to become quiet and inconspicuous/
潭 [ふち] /(n) deep pool/abyss/the depths/
澎湃 [ほうはい] /(adj-t,adv-to) (1) as the sound of surging water/(2) vigorous/surging/welling/
澳 [おき] /(n) open sea/
澳門 [まかお] /(n) (uk) Macau/Macao/
澹々 [たんたん] /(adj-t,adv-to) (1) uninterested/unconcerned/indifferent/(2) plain/light/simple/bland/(3) flowing gently/
澹澹 [たんたん] /(adj-t,adv-to) (1) uninterested/unconcerned/indifferent/(2) plain/light/simple/bland/(3) flowing gently/
澪 [みお] /(n) (1) waterway/channel/(2) wake (of a ship)/
澪標 [みおつくし] /(n) marks in a water channel/
澪標 [れいひょう] /(n) marks in a water channel/
濟む [すむ] /(oK) (v5m,vi) (1) to finish/to end/to be completed/(2) to merely result in something less severe than expected/(3) to feel at ease/(4) (neg) to feel unease or guilt for troubling someone/to be sorry/
濛々 [もうもう] /(adj-t,adv-to) (1) dense (e.g. fog, dust, etc.)/thick/(2) vague (as in being unable to think clearly)/dim/
濛濛 [もうもう] /(adj-t,adv-to) (1) dense (e.g. fog, dust, etc.)/thick/(2) vague (as in being unable to think clearly)/dim/
瀉す [しゃす] /(v5s) (1) (arch) to have diarrhea/(2) to vomit/
瀉する [しゃする] /(vs-s) (1) (arch) to have diarrhea/(2) to vomit/
瀉下 [しゃか] /(n,vs) purgation/catharsis/
瀉血 [しゃけつ] /(n,vs,adj-no) bloodletting/phlebotomy/
瀉剤 [しゃざい] /(n) cathartic/purgative/laxative/
瀉腹 [くだりばら] /(n) diarrhoea/diarrhea/loose bowels/
瀉薬 [しゃやく] /(n) cathartic/purgative/laxative/
濺ぐ [そそぐ] /(v5g) (1) to pour (into)/to fill/(2) to sprinkle on from above/to shed (e.g. tears)/(3) to concentrate one's spirit or strength on/(v5g,vi) (4) to fall onto (of rain, snow)/
瀑声 [ばくせい] /(n) sound of a waterfall/
瀑布 [ばくふ] /(n) waterfall/cataract/cascade/
瀏亮 [りゅうりょう] /(adv-to,adj-t) clear and resounding (as a voice or musical instrument)/
濾し布 [こしぬの] /(n) cloth strainer/filter cloth/
濾す [こす] /(v5s,vt) to filter/to strain/
濾液 [ろえき] /(n) filtrate/
濾過 [ろか] /(n,vs) filtration/filtering/percolation/
濾過器 [ろかき] /(n) strainer/colander/filter/
濾過性病原体 [ろかせいびょうげんたい] /(n) (obsc) virus/
濾紙 [ろし] /(n) filter paper/
濾紙クロマトグラフィー [ろしクロマトグラフィー] /(n) paper chromatography/
濾紙ディスク [ろしディスク] /(n) filter paper disk/
濾紙電気泳動 [ろしでんきえいどう] /(n) paper electrophoresis/
濾取 [ろしゅ] /(n) filtrand/filter residue/residue/
濾水 [ろすい] /(n) (1) filtered water/(2) drainage/
濾水タンク [ろすいタンク] /(n) filter bed/
濾水器 [ろすいき] /(n) water filter/
濾波器 [ろぱき] /(n) filter/wave filter/
濾胞 [ろほう] /(n) follicle (esp. an ovarian follicle)/
瀝青 [れきせい] /(n) asphalt/bitumen/
瀝青 [チャン] /(n) asphalt/bitumen/
瀝青ウラン鉱 [れきせいウランこう] /(n) (obsc) pitchblende/
瀝青岩 [れきせいがん] /(n) asphalt rock/asphalt stone/bituminous rock/rock asphalt/
瀝青炭 [れきせいたん] /(n) bituminous coal/
瀘過器 [ろかき] /(iK) (n) strainer/colander/filter/
瀟洒 [しょうしゃ] /(adj-na,n) elegant/trim/neat/refined/
瀰漫 [びまん] /(n,vs) pervasion/
炙り出し [あぶりだし] /(n,adj-no) invisible writing revealed by applying heat/writing done in invisible ink/
炙り出す [あぶりだす] /(v5s,vt) to bring into the open/to reveal/to uncover (e.g. evidence)/to bring to light/
炙る [あぶる] /(v5r,vt) (1) (uk) to warm (i.e. one's hands over a fire)/to dry/(2) to scorch/to broil/to toast/to grill/
炒まる [いたまる] /(v5r) (obsc) to be sauteed in oil/to be stir-fried/
炒める [いためる] /(v1,vt) to cook/to fry/to saute/to stir-fry/(P)/
炒め物 [いためもの] /(n) stir-fry/fried food (cooked in wok, frying pan, etc.)/
炒りつける [いりつける] /(v1,vt) to parch/to roast/to broil/to scorch/
炒り玉子 [いりたまご] /(n) scrambled eggs/
炒り子 [いりこ] /(n) (ksb:) small dried sardine/
炒り豆 [いりまめ] /(n) parched or roasted beans (or soybeans)/
炒り豆腐 [いりどうふ] /(n) boiled and seasoned tofu/
炒り付ける [いりつける] /(v1,vt) to parch/to roast/to broil/to scorch/
炒り粉 [いりこ] /(n) parched rice flour/
炒り卵 [いりたまご] /(n) scrambled eggs/
炒る [いる] /(v5r,vt) to parch/to fry/to fire/to broil/to roast/to boil down (in oil)/
炒れる [いれる] /(v1,vi) (1) to be roasted/to be parched/(2) (arch) to be irritated/to be annoyed/
炒子 [いりこ] /(io) (n) (ksb:) small dried sardine/
炒汁砕 [ちゃぷすい] /(n) (food) (uk) chop suey/
炒豆 [いりまめ] /(io) (n) parched or roasted beans (or soybeans)/
炒飯 [ちゃあはん] /(n) (uk) Chinese-style fried rice (chi:)/
炒粉 [いりこ] /(io) (n) parched rice flour/
炯々 [けいけい] /(adj-na,adj-t) glaring (e.g. eyes)/piercing/penetrating/
炯眼 [けいがん] /(adj-na,n) penetrating eyes/insightfulness/
炯然 [けいぜん] /(adj-t,adv-to) shining/radiant/bright/
炯炯 [けいけい] /(adj-na,adj-t) glaring (e.g. eyes)/piercing/penetrating/
烱々 [けいけい] /(adj-na,adj-t) glaring (e.g. eyes)/piercing/penetrating/
烱然 [けいぜん] /(adj-t,adv-to) shining/radiant/bright/
烱烱 [けいけい] /(adj-na,adj-t) glaring (e.g. eyes)/piercing/penetrating/
炬 [きょ] /(n) (pine) torch/flambeau/torchlight/
炬 [たいまつ] /(n) (pine) torch/flambeau/torchlight/
炬火 [きょか] /(n) pine torch/torchlight/firebrand/
炬燵 [こたつ] /(n) (uk) table with heater/(orig) charcoal brazier in a floor well/(P)/
炸れつ [さくれつ] /(n,vs) explosion/
炸醤麺 [ジャージャーめん] /(n) zhajiangmian (Chinese dish of ground pork over wheat noodles) (chi:)/
炸薬 [さくやく] /(n) explosives/
炸裂 [さくれつ] /(n,vs) explosion/
炮烙 [ほうろく] /(n) baking pan/parching pan/
烟 [けぶ] /(n) smoke/fumes/
烟 [けぶり] /(n) smoke/fumes/
烟 [けむ] /(n) smoke/fumes/
烟 [けむり] /(n) smoke/fumes/
烟い [けぶい] /(adj-i) smoky/
烟い [けむい] /(adj-i) smoky/
烟がる [けぶがる] /(v5r,vi) to be sensitive to smoke/to be uncomfortable because of smoke/
烟がる [けむがる] /(v5r,vi) to be sensitive to smoke/to be uncomfortable because of smoke/
烟たい [けぶたい] /(adj-i) (1) smoky/(2) awkward/ill at ease/
烟たい [けむたい] /(adj-i) (1) smoky/(2) awkward/ill at ease/
烟たがる [けぶたがる] /(v5r,vi) (1) to be sensitive to smoke/(v5r,vt) (2) to dislike the company of (someone)/to consider (someone) a burden or nuisance/
烟たがる [けむたがる] /(v5r,vi) (1) to be sensitive to smoke/(v5r,vt) (2) to dislike the company of (someone)/to consider (someone) a burden or nuisance/
烟に巻く [けむにまく] /(exp,v5k) to confuse someone/to befuddle someone/to create a smokescreen/
烟に巻く [けむりにまく] /(ik) (exp,v5k) to confuse someone/to befuddle someone/to create a smokescreen/
烟る [けぶる] /(v5r,vi) (1) to smoke (e.g. fire)/(2) to be hazy/
烟る [けむる] /(v5r,vi) (1) to smoke (e.g. fire)/(2) to be hazy/
烟管 [えんかん] /(n) (1) kiseru/Japanese smoking pipe/(2) fire tube (of a fire-tube boiler)/(3) chimney/
烟出し [けむだし] /(n) chimney/
烟草 [たばこ] /(gikun) (n) (uk) tobacco (por: tabaco)/cigarettes/
烟筒 [えんとう] /(n) (1) (arch) chimney/(2) kiseru/Japanese smoking pipe/
烟突 [えんとつ] /(n) (1) chimney/smokestack/funnel (of a ship)/stovepipe/(2) (sl) carrying a passenger without turning on the taximeter/
烟波 [えんぱ] /(n) sea spray/
烝民 [じょうみん] /(n) the masses/the people/
烙印 [らくいん] /(n) mark/brand/stigma/branding iron/
烙印を押される [らくいんをおされる] /(exp,v1) to be branded a .../to be labelled a .../
焉んぞ [いずくんぞ] /(int) (uk) how/why/
烽火 [のろし] /(n) beacon/skyrocket/signal fire/
烽火 [ほうか] /(n) beacon/skyrocket/signal fire/
焜炉 [こんろ] /(n) (uk) portable cooking stove/gas burner/(P)/
焙じる [ほうじる] /(v1,vt) to roast (i.e. tea leaves)/
焙じ茶 [ほうじちゃ] /(n) roasted green tea/
焙ずる [ほうずる] /(vz,vt) (obsc) to roast (i.e. tea leaves)/
焙り出し [あぶりだし] /(n,adj-no) invisible writing revealed by applying heat/writing done in invisible ink/
焙り出す [あぶりだす] /(v5s,vt) to bring into the open/to reveal/to uncover (e.g. evidence)/to bring to light/
焙る [あぶる] /(v5r,vt) (1) (uk) to warm (i.e. one's hands over a fire)/to dry/(2) to scorch/to broil/to toast/to grill/
焙焼 [ばいしょう] /(n,vs) roasting (in metallurgy, etc.)/calcination/torrefaction/
焙煎 [ばいせん] /(n,vs) roasting (e.g. of coffee)/
焙烙 [ほうろく] /(n) baking pan/parching pan/
煥発 [かんぱつ] /(n,vs) brilliance/
煕々 [きき] /(adv-to,adj-t) (1) spacious/(2) having fun/(3) heavily trafficked/
煕煕 [きき] /(adv-to,adj-t) (1) spacious/(2) having fun/(3) heavily trafficked/
煢然 [けいぜん] /(adj-t,adv-to) (arch) alone/helpless/
煢独 [けいどく] /(n) (obsc) orphan/last of kin/
煌々 [こうこう] /(adj-t,adv-to) brilliant/dazzling/light/bright/
煌く [かがやく] /(oK) (v5k) to shine/to glitter/to sparkle/
煌く [きらめく] /(v5k,vi) to glitter/to glisten/to sparkle/to twinkle/to glare/to gleam/
煌びやか [きらびやか] /(adj-na) gorgeous/gaudy/dazzling/gay/(P)/
煌めき [きらめき] /(n) glitter/glimmer/sparkle/twinkle/
煌めく [きらめく] /(v5k,vi) to glitter/to glisten/to sparkle/to twinkle/to glare/to gleam/
煌星 [きらぼし] /(n) glittering stars/
煌煌 [こうこう] /(adj-t,adv-to) brilliant/dazzling/light/bright/
煖 [だん] /(n) warming/warmth/
煖気 [だんき] /(n) warmth/warm weather/
煖房 [だんぼう] /(n,vs) heating/
煖炉 [だんろ] /(n) fireplace/hearth/stove/
熏し銀 [いぶしぎん] /(n) (1) oxidized silver/oxidised silver/(2) refined (aesthetic) taste/
熏蒸 [くんじょう] /(n,vs,adj-no) fumigation/smoking (out)/
熏蒸剤 [くんじょうざい] /(n) fumigant/
熏製 [くんせい] /(adj-no) smoking (of fish, meat, etc.)/
燻し [いぶし] /(n) fumigation/oxidation of metal/
燻し銀 [いぶしぎん] /(n) (1) oxidized silver/oxidised silver/(2) refined (aesthetic) taste/
燻す [いぶす] /(v5s,vt) (1) to smoke (something)/to fumigate/(2) to oxidize/to oxidise/
燻ぶる [いぶる] /(v5r,vi) to smoke/to smoulder/to smolder/to sputter/
燻ぶる [くすぶる] /(v5r,vi) to smoke/to smoulder/to smolder/to sputter/
燻べる [くすべる] /(v1) to smoke/to fumigate/
燻べる [ふすべる] /(v1) to smoke/to fumigate/
燻らす [くゆらす] /(v5s) to smoke (e.g. a pipe)/to puff (a cigarette)/
燻り出す [いぶりだす] /(v5s,vt) to smoke animal out of its den/
燻る [いぶる] /(io) (v5r,vi) to smoke/to smoulder/to smolder/to sputter/
燻る [くすぶる] /(io) (v5r,vi) to smoke/to smoulder/to smolder/to sputter/
燻煙 [くんえん] /(n) smoking (esp. as a means of preserving food)/
燻蒸 [くんじょう] /(n,vs,adj-no) fumigation/smoking (out)/
燻蒸剤 [くんじょうざい] /(n) fumigant/
燻製 [くんせい] /(adj-no) smoking (of fish, meat, etc.)/
熨斗 [のし] /(n) long thin strip of dried sea-ear or paper attached to a gift/
熨斗を付ける [のしをつける] /(exp,v1) (uk) to make a gift of/
熨斗糸 [のしいと] /(n) coarse silk from the outside of a cocoon (a type of waste thread)/
熨斗紙 [のしがみ] /(n) wrapping paper for a present/
熨斗袋 [のしぶくろ] /(n) paper bag for putting a present in/
熨斗目 [のしめ] /(n) variety of ceremonial dress made of intertwined cloth and silk threads/
熨斗鮑 [のしあわび] /(n) thin string of dried abalone (often tied to a gift)/
熬り子 [いりこ] /(n) (ksb:) small dried sardine/
熬る [いる] /(v5r,vt) to parch/to fry/to fire/to broil/to roast/to boil down (in oil)/
熬れる [いれる] /(v1,vi) (1) to be roasted/to be parched/(2) (arch) to be irritated/to be annoyed/
熬海鼠 [いりこ] /(n) dried sea slug/
燗 [かん] /(n) warming up sake/warmed sake/
燗をつける [かんをつける] /(exp,v1) to warm up sake/
燗酒 [かんざけ] /(n) warmed sake/
燗徳利 [かんどくり] /(n) bottle used for warming sake/
燗番 [かんばん] /(n) person in charge of warming sake in a bar/
燗冷まし [かんざまし] /(n) leftover sake (which has cooled)/
熾きる [おきる] /(v1,vi) to be kindled (fire)/to be made/
熾す [おこす] /(v5s) to light a fire/
熾火 [おきび] /(n) glowing ember (either red hot charcoal or the glowing remains of burnt firewood)/live charcoal/
熾熱 [しねつ] /(n) (arch) intense heat/
熾烈 [しきれつ] /(ik) (adj-na) (1) fierce/violent/severe/(n) (2) ferocity/violence/severity/
熾烈 [しれつ] /(adj-na) (1) fierce/violent/severe/(n) (2) ferocity/violence/severity/
燔祭 [はんさい] /(n) burnt offering (i.e. religious animal sacrifice)/
燎原 [りょうげん] /(n) agricultural burning/setting a field ablaze/
燠 [おき] /(n) embers/live charcoal/
燠火 [おきび] /(n) glowing ember (either red hot charcoal or the glowing remains of burnt firewood)/live charcoal/
燬く [やく] /(oK) (v5k,vt) (1) to burn (in flames, down, CD, DVD, etc.)/to scorch/
燧 [ひきり] /(n) hand drilling (to start a fire)/hand drill/
燧石 [すいせき] /(n) flint/
燧石 [ひうちいし] /(n) flint/
燧鉄 [ひうちがね] /(n) striker (triangular piece of steel used with flint to create sparks)/
燿く [かがやく] /(v5k) to shine/to glitter/to sparkle/
爛 [らん] /(adj-t,adv-to) (obsc) brilliant/bright/
爛々 [らんらん] /(adj-t,adv-to) glaring/flaming/fiery/blazing/
爛らかす [ただらかす] /(v5s,vt) to cause to be inflamed/
爛れた皮膚 [ただれたひふ] /(n) inflamed skin/
爛れる [ただれる] /(v1,vi) to be sore/to be inflamed/to be bleary/to fester/
爛れ目 [ただれめ] /(n) sore eyes/
爛死 [らんし] /(n) burning to death/
爛熟 [らんじゅく] /(n,adj-no,vs) overripeness/full maturity (of)/overmaturity/
爛熟期 [らんじゅくき] /(n) one's full maturity/
爛漫 [らんまん] /(adj-t,adv-to) glorious/luxuriant/splendid/in full bloom/in full glory/
爛爛 [らんらん] /(adj-t,adv-to) glaring/flaming/fiery/blazing/
爨ぐ [かしぐ] /(v5g,vt) to cook (e.g. rice)/
爬う [はう] /(iK) (v5u,vi) to creep/to crawl/
爬行 [はこう] /(n,vs) creeping/crawling/
爬行性 [はこうせい] /(n) sluggishness/
爬虫 [はちゅう] /(n) reptile/
爬虫両棲類学 [はちゅうりょうせいるいがく] /(n) herpetology/
爬虫両生類学 [はちゅうりょうせいるいがく] /(n) herpetology/
爬虫類 [はちゅうるい] /(n) reptiles/
爬竜 [はありい] /(n) Okinawan dragon boat race/
爬竜 [ハーリー] /(n) Okinawan dragon boat race/
爬龍 [はありい] /(n) Okinawan dragon boat race/
爬龍 [ハーリー] /(n) Okinawan dragon boat race/
爰 [ここ] /(n) (1) (uk) here (place physically close to the speaker, place pointed by the speaker while explaining)/this place/(2) these last (followed by a duration noun and a past sentence: time period before the present time of the speaker)/(3) these next ... (followed by a duration noun and a non past sentence: time period after the present time of the speaker)/the next .../
爲 [ため] /(oK) (n) (1) good/advantage/benefit/welfare/(2) sake/purpose/objective/aim/(3) consequence/result/effect/(4) affecting/regarding/concerning/
爲に [ために] /(oK) (conj) (1) (uk) for/for the sake of/to one's advantage/in favor of/in favour of/on behalf of/(2) because of/as a result of/
爻 [こう] /(n) yao (line representing yin or yang that comprises one third of a trigram)/
爻辞 [こうじ] /(n) commentary (on any of the 384 lines of the hexagrams in the Book of Changes)/
爼 [まないた] /(n) chopping board/
爿偏 [しょうへん] /(n) kanji radical 90 at left/
牀 [しょう] /(ctr) counter for beds/
牀 [ゆか] /(n) (1) floor/(2) stage (for the narrator and the shamisen player)/(3) dining platform built across a river/
牀几 [しょうぎ] /(oK) (n) camp stool/folding stool/
牀榻 [しょうとう] /(n) bed/seat/bench/
牆壁 [しょうへき] /(n) wall/fence/barrier/
牴触 [ていしょく] /(n,vs) (1) collision/conflict/(2) being contrary/being incompatible/being inconsistent/being contradictory/(3) being in violation (of the law, etc.)/
牴牾 [ていご] /(n,vs) crossing each other/running counter to/differing/clashing/
犂 [からすき] /(n) (arch) plow (esp. horse or ox-drawn)/plough/
犂 [すき] /(n) (1) spade/(2) plough/plow/
犂星 [からすきぼし] /(n) (obsc) Chinese "Three Stars" constellation (one of the 28 mansions)/
犇々 [ひしひし] /(adv) (uk) acutely/severely/tightly/keenly/
犇く [ひしめく] /(v5k,vi) (uk) to clamour/to crowd/to jostle/
犇と [ひしと] /(adv) (1) (uk) tightly/firmly/fast/(2) sharply/keenly/
犇めき [ひしめき] /(n,vs) (uk) clamour/crowd/jostle/
犇めき合う [ひしめきあう] /(v5u) to crowd together in a confined space/to gather and make a commotion/
犇めく [ひしめく] /(v5k,vi) (uk) to clamour/to crowd/to jostle/
犇犇 [ひしひし] /(adv) (uk) acutely/severely/tightly/keenly/(P)/
犒い [ねぎらい] /(n) appreciation/thanks/gratitude/
犒う [ねぎらう] /(v5u,vt) (uk) to thank for/for reward for/
犢鼻褌 [ふんどし] /(ateji) (n) (1) loincloth/breechcloth/breechclout/traditional Japanese male underwear/(2) sumo wrestler's ornamental apron/
狆 [ちん] /(n) Japanese spaniel (pug)/Pekinese (dog)/
狆くしゃ [ちんくしゃ] /(n) pug-nosed face/person with a pug-nosed face/
狎れる [なれる] /(v1,vi) (1) to grow accustomed (to)/to get too familiar with/to get used (to)/(2) to become domesticated/to become tame/
狒々 [ひひ] /(n) (1) (uk) baboon/(2) lecher/dirty old man/skirt-chaser/
狒狒 [ひひ] /(n) (1) (uk) baboon/(2) lecher/dirty old man/skirt-chaser/
狢 [むじな] /(n) (1) (uk) badger/(2) (uk) raccoon dog (Nyctereutes procyonoides)/
狢藻 [まじなも] /(n) (uk) waterwheel plant (Aldrovanda vesiculosa)/
狡 [ずる] /(n) (uk) cunning deed/sneaky person/
狡い [こすい] /(adj-i) (1) (uk) sly/cunning/dishonest/sneaky/crafty/(2) miserly/
狡い [ずるい] /(adj-i) (1) (uk) sly/cunning/dishonest/sneaky/crafty/(2) miserly/(P)/
狡ける [ずるける] /(v1,vi) (1) (uk) to shirk one's duties/to be idle/to play truant/(2) (uk) to come loose/to come undone/to get untied/
狡っ辛い [こすっからい] /(adj-i) (uk) sly/
狡休み [ずるやすみ] /(n,vs) playing hookey/being away from work without a good reason/
狡賢い [ずるがしこい] /(adj-i) sly/
狡辛い [こすからい] /(adj-i) (uk) sly/
狡知 [こうち] /(n) craft/cunning/
狡智 [こうち] /(n) cunning/craft/
狡兎 [こうと] /(n) smart rabbit/cunning rabbit/nimble rabbit/
狡兎三窟 [こうとさんくつ] /(n) very shrewd in preparing a means of escape/being very good at escaping danger/
狡兎死して走狗烹らる [こうとししてそうくにらる] /(exp) When the enemy is defeated, the victorious soldiers can be killed off (lit: when the (fast) rabbit dies, the hunting dog is cooked)/
狡兎良狗 [こうとりょうく] /(exp) When the enemy is defeated, the victorious soldiers can be killed off/
狡猾 [こうかつ] /(adj-na,n) sly/cunning/crafty/
狡猾老獪 [こうかつろうかい] /(n,adj-na) sly and crafty/
狷介 [けんかい] /(adj-na) obstinate/stubborn/headstrong/self-centred/self-centered/
狷介固陋 [けんかいころう] /(n,adj-na) stubbornly sticking to old ways/narrow-mindedly rejecting other people's views/
狷介孤高 [けんかいここう] /(n,adj-na) stubborn and aloof/
狷介不羈 [けんかいふき] /(n,adj-na) stubbornly sticking to one's own convictions/being stubbornly independent/
猊下 [げいか] /(n,n-suf) (hon) your highness/your grace/your eminence/
猊美渓 [げいびけい] /(n) Geibi Gorge (Higashiyama-cho, Iwate-ken)/
猜む [そねむ] /(v5m,vt) (uk) to be jealous of/to envy/to begrudge/
猜む [そねむ] /(v5m,vt) to be jealous/to be envious/
猜疑 [さいぎ] /(n,vs) suspicion/jealousy/
猜疑心 [さいぎしん] /(n) suspicion (of others)/jealousy/
猩々 [しょうじょう] /(n) orangutan/heavy drinker/
猩々紅冠鳥 [しょうじょうこうかんちょう] /(n) (uk) northern cardinal (Cardinalis cardinalis)/common cardinal/
猩々蝿 [しょうじょうばえ] /(n) (uk) fruit fly (any insect of family Drosophilidae)/vinegar fly/pomace fly/banana fly/
猩々緋 [しょうじょうひ] /(n) scarlet/
猩々蠅 [しょうじょうばえ] /(n) (uk) fruit fly (any insect of family Drosophilidae)/vinegar fly/pomace fly/banana fly/
猩紅熱 [しょうこうねつ] /(n) scarlet fever/
猩猩 [しょうじょう] /(n) orangutan/heavy drinker/
猩猩紅冠鳥 [しょうじょうこうかんちょう] /(n) (uk) northern cardinal (Cardinalis cardinalis)/common cardinal/
猩猩草 [しょうじょうそう] /(n) (uk) Mexican fireplant (species of poinsettia, Euphorbia heterophylla)/
猩猩蝿 [しょうじょうばえ] /(n) (uk) fruit fly (any insect of family Drosophilidae)/vinegar fly/pomace fly/banana fly/
猩猩緋 [しょうじょうひ] /(n) scarlet/
猩猩蠅 [しょうじょうばえ] /(n) (uk) fruit fly (any insect of family Drosophilidae)/vinegar fly/pomace fly/banana fly/
猥ら [みだら] /(adj-na,n) loose/bawdy/improper/dirty/
猥りがましい [みだりがましい] /(adj-i) morally corrupt/
猥りがわしい [みだりがわしい] /(adj-i) morally corrupt/slovenly/obscene/
猥りに [みだりに] /(adv) without authority/without reason/arbitrarily/unnecessarily/indiscriminately/recklessly/
猥シャツ [わいシャツ] /(n) obscene shirt (pun)/
猥言 [わいげん] /(n) dirty word/
猥語 [わいご] /(n) dirty word/
猥雑 [わいざつ] /(adj-na,n) confusion/disorder/
猥談 [わいだん] /(n,vs) indecent talk/
猥本 [わいほん] /(n) pornography/obscene book/
猥褻 [わいせつ] /(adj-na,n) obscenity/
猥褻罪 [わいせつざい] /(n) criminal indecency/
猥褻文書 [わいせつぶんしょ] /(n) indecent writings/pornography/
獏 [ばく] /(n) (1) (uk) tapir/(2) mo (mythological Chinese chimera similar to a tapir, said to devour bad dreams)/
獨活 [うど] /(oK) (n) (uk) udo (plant related to ginseng, used in medicine and cooking) (Aralia cordata)/
獨活 [つちたら] /(oK) (ok) (n) (uk) udo (plant related to ginseng, used in medicine and cooking) (Aralia cordata)/
獨活 [どっかつ] /(oK) (n) (uk) udo (plant related to ginseng, used in medicine and cooking) (Aralia cordata)/
獰悪 [どうあく] /(adj-na) violent/cruel/fiendish/
獰猛 [どうもう] /(adj-na,n) ferocity/truculence/
獰猛 [ねいもう] /(ik) (adj-na,n) ferocity/truculence/
獺 [うそ] /(n) (uk) otter (esp. the Japanese river otter, Lutra lutra whiteleyi)/
獺 [おそ] /(n) (uk) otter (esp. the Japanese river otter, Lutra lutra whiteleyi)/
獺 [かわうそ] /(n) (uk) otter (esp. the Japanese river otter, Lutra lutra whiteleyi)/
獺 [だつ] /(n) (uk) otter (esp. the Japanese river otter, Lutra lutra whiteleyi)/
獺魚を祭る [かわうそうおをまつる] /(exp) one of the 72 climates (from the 16th to the 20th of the first lunar month)/
獺虎 [らっこ] /(n) (uk) sea otter (Enhydra lutris) (ain:)/
獺祭 [だっさい] /(n) arraying a number of reference books in order to compose poetry/literary composition crammed with maxims, ancient episodes, legends, etc. (from the habit of otters to line a catch of fish on river bank)/
珈琲 [こーひー] /(ateji) (n,adj-no) (uk) coffee (eng: coffee, dut: koffie)/
珈琲粉砕機 [こーひーふんさいき] /(n) coffee grinder/coffee mill/
玳瑁 [たいまい] /(n) (uk) hawksbill turtle (Eretmochelys imbricata)/
玻璃 [はり] /(n) (1) (Buddh) quartz/(2) glass/
玻璃器 [はりき] /(n) (obsc) glassware/
珥とう [じとう] /(n) (arch) earplug (traditional jewellery worn in the earlobe, popular in Han-dynasty China)/
珮 [はい] /(n) (1) ancient oriental belt decoration/
琥珀 [こはく] /(n,adj-no) amber/
琥珀酸 [こはくさん] /(n) succinic acid/
琥珀色 [こはくいろ] /(n) amber (colour, color)/
琺瑯 [ほうろう] /(n) enamel/enamelled metal ware (sinks, pots, etc.)/
瑕 [きず] /(n) (1) wound/injury/cut/gash/bruise/scratch/scrape/scar/(2) chip/crack/scratch/nick/(3) flaw/defect/weakness/weak point/(4) stain (on one's reputation)/disgrace/dishonor/dishonour/(5) (emotional) hurt/hurt feelings/
瑕瑾 [かきん] /(n) (1) scratch/chip/nick/(2) flaw/fault/defect/(3) shame/disgrace/
瑕疵 [かし] /(n) (uk) flaw/defect/blemish/
瑕疵担保 [かしたんぽ] /(n) warranty against defects/
瑕疵担保責任 [かしたんぽせきにん] /(n) warranty against defects/
瑕釁 [かきん] /(n) (1) scratch/chip/nick/(2) flaw/fault/defect/(3) shame/disgrace/
瑟 [しつ] /(n) se (ancient Chinese plucked zither, usu. with 25 or 23 strings)/
瑜伽 [ゆが] /(n) (Buddh) yoga/
瑣事 [さじ] /(n) something small or petty/trifle/
瑣末 [さまつ] /(adj-na,n) trivial/trifling/
瑪瑙 [めのう] /(n) agate/
瑶顔 [ようがん] /(n) beautiful face/exquisite countenance/
瑶台 [ようだい] /(n) fairyland/beautiful building ornamented with gems/
瑶池 [ようち] /(n) beautiful pond/place where immortals live/
瑶緘 [ようかん] /(n) your letter/
璞 [あらたま] /(n) unpolished and uncut gem/
璞玉 [はくぎょく] /(n) (obsc) unpolished and uncut gem/
璧 [へき] /(n) bi (ancient Chinese artifact; flat jade or glass disc with a circular hole in the centre)/
瓊矛 [ぬほこ] /(n) (arch) jeweled spear (jewelled)/
瓠 [ひさ] /(ok) (n) (arch) gourd/
瓠 [ひさこ] /(ok) (n) (arch) gourd/
瓠 [ひさご] /(n) (arch) gourd/
瓠 [ふくべ] /(n) (1) (uk) Lagenaria siceraria var. gourda (variety of bottle gourd)/gourd (container) made from its fruit/(2) Lagenaria siceraria var. depressa (variety of bottle gourd)/
瓣 [べん] /(oK) (n) (1) petal/(2) valve/
瓩 [キログラム] /(n) (uk) kilogram (fre:)/kilogramme/
瓩米 [キログラムメートル] /(n) (uk) kilogram-meter/
瓮 [へ] /(n) (arch) earthenware vessel for alcoholic beverages, etc./
瓮 [もたい] /(n) (arch) earthenware vessel for alcoholic beverages, etc./
瓲 [トン] /(ateji) (n) (uk) ton (now usu. a metric ton, i.e. 1,000kg) (eng:)/
甃石 [しきいし] /(n) paving stone/pavement/
甌穴 [おうけつ] /(n) pothole (circular hole bored deep in a riverbed by stones rotating in an eddy)/
甌穴 [かめあな] /(n) pothole (circular hole bored deep in a riverbed by stones rotating in an eddy)/
甍 [いらか] /(n,adj-no) (1) roof tile/tiled roof/(2) objects crowded together (e.g. houses)/
甍段 [いらかだん] /(n) corbie-step/corbel gable/crowsteps/
甕 [かめ] /(n) earthenware pot/
甕 [たしらか] /(n) (arch) fired earthenware vessel used by the empower to clean his hands/
甕 [みか] /(n) (arch) large earthenware pot (for brewing sake)/
甕 [みかわ] /(n) (arch) large earthenware pot (for brewing sake)/
甕 [もたい] /(n) (arch) earthenware vessel for alcoholic beverages, etc./
甕わ [みかわ] /(n) (arch) large earthenware pot (for brewing sake)/
甕棺 [かめかん] /(n) burial urn (often two-storey)/funerary urn/
甕菜 [ようさい] /(n) swamp morning glory (ipomoea aquatica)/water spinach/kangkong/
甞める [なめる] /(v1,vt) (1) (uk) to lick/(2) to taste/(3) to experience (esp. a hardship)/(4) to make fun of/to make light of/to put down/to treat with contempt/
甦 [よみがえ] /(n) resurrection/
甦える [よみがえる] /(io) (v5r,vi) (1) to be resurrected/to be resuscitated/to be rehabilitated/to be revived/to be refreshed/to be restored/(2) to be recalled (e.g. memories)/to be brought back/
甦る [よみがえる] /(v5r,vi) (1) to be resurrected/to be resuscitated/to be rehabilitated/to be revived/to be refreshed/to be restored/(2) to be recalled (e.g. memories)/to be brought back/(P)/
甦生 [そせい] /(n,vs,adj-no) rebirth/resuscitation/rehabilitation/reorganization/reorganisation/regeneration/resurrection/reviving/
畚 [いしみ] /(n) implement for carrying heavy loads, generally made of bamboo and woven grass or rope/
畚 [ふご] /(n) implement for carrying heavy loads, generally made of bamboo and woven grass or rope/
畚 [もっこ] /(n) implement for carrying heavy loads, generally made of bamboo and woven grass or rope/
畚 [もっこう] /(n) implement for carrying heavy loads, generally made of bamboo and woven grass or rope/
畸型 [きけい] /(n,adj-no) (1) birth defect/deformity/malformation/(2) misshapenness/
畸形 [きけい] /(n,adj-no) (1) birth defect/deformity/malformation/(2) misshapenness/
畸形児 [きけいじ] /(n) deformed child/
畸人 [きじん] /(n) queer fellow/odd fellow/eccentric person/crank/oddball/
當十錢 [とうじゅうぜん] /(n) type of bronze Chinese coin first issued under Emperor Yuan of the Southern Liang dynasty worth the value of ten iron coins/
疆域 [きょういき] /(n) boundary/border/precinct/grounds/
疊 [たたみ] /(oK) (n) tatami mat/Japanese straw floor coverings/
疚しい [やましい] /(adj-i) (feel) guilty/(having a) guilty conscience/
疝気 [せんき] /(n) colic/
疥癬 [かいせん] /(n,adj-no) scabies/sarcoptic mange/the itch/
疥癬虫 [かいせんちゅう] /(n) (obsc) itch mite (Sarcoptes scabiei)/
疣 [いぼ] /(n) wart/
疣々 [いぼいぼ] /(n) (uk) warts/wart-like bumps/
疣蛙 [いぼがえる] /(n) (col) toad with wart-covered skin (esp. the Japanese toad or the wrinkled frog)/
疣雁木えい [いぼがんぎえい] /(n) (uk) thornback ray (Raja clavata)/thornback skate/
疣痔 [いぼじ] /(n) hemorrhoid/
疣辛螺 [いぼにし] /(n) (uk) Thais clavigera (species of rock shell)/
疣足 [いぼあし] /(n) parapodium/
疣鯛 [いぼだい] /(n) (uk) Japanese butterfish (Psenopsis anomala)/melon seed/
疣猪 [いぼいのしし] /(n) (uk) warthog (Phacochoerus aethiopicus)/
疣螺 [いぼにし] /(n) (uk) Thais clavigera (species of rock shell)/
疣疣 [いぼいぼ] /(n) (uk) warts/wart-like bumps/
疣贅 [ゆうぜい] /(n) wart/verruca/
痂 [かさぶた] /(n) crust/scab/
痂皮 [かひ] /(n,adj-f) crust/scab/
疳 [かん] /(n) (1) (in Chinese medicine) infantile neurosis characterized by crying at night and convulsions/(2) temper/nerves/
疳高い [かんだかい] /(adj-i) high-pitched/shrill/
疳性 [かんしょう] /(n,adj-na,adj-no) irritability/peevishness/irascibility/hot temper/
疳癪 [かんしゃく] /(iK) (n) passion/temper/irritability/
疳癪玉 [かんしゃくだま] /(n) (1) fit of anger/temper/rage/(2) firecracker/
疵 [きず] /(n) (1) wound/injury/cut/gash/bruise/scratch/scrape/scar/(2) chip/crack/scratch/nick/(3) flaw/defect/weakness/weak point/(4) stain (on one's reputation)/disgrace/dishonor/dishonour/(5) (emotional) hurt/hurt feelings/
疵つく [きずつく] /(v5k) (1) to be wounded/to get injured/(2) to get hurt feelings/(3) to chip/to scratch/to damage/
疵つける [きずつける] /(v1,vt) (1) to wound/to injure/(2) to hurt someone's feelings (pride, etc.)/(3) to damage/to chip/to scratch/
疵口 [きずぐち] /(n) wound/
疵痕 [きずあと] /(n) scar/cicatrix/
疵付く [きずつく] /(v5k) (1) to be wounded/to get injured/(2) to get hurt feelings/(3) to chip/to scratch/to damage/
疵付ける [きずつける] /(v1,vt) (1) to wound/to injure/(2) to hurt someone's feelings (pride, etc.)/(3) to damage/to chip/to scratch/
疵物 [きずもの] /(n,adj-no) (1) defective article/damaged goods/(2) deflowered girl/unvirtuous girl/
疵薬 [きずぐすり] /(n) salve/ointment/potion/
疵瑕 [しか] /(n) blemish/flaw/defect/
疽 [そ] /(n) type of carbuncle/
疽腫 [そしょう] /(n) swelling/boil/
疼く [うずく] /(v5k,vi) (uk) to throb/to ache/
疼痛 [とうつう] /(n,adj-no) pain/
疼木 [ひいらぎ] /(n) (1) (uk) holly olive (Osmanthus heterophyllus)/false holly/(2) holly (common mistranslation)/(3) spotnape ponyfish (Leiognathus nuchalis)/
疱疹 [ほうしん] /(n) herpes/blister/
疱瘡 [いもかさ] /(ok) (n) (1) (col) smallpox/variola/(2) pockmark/pock/
疱瘡 [いもがさ] /(ok) (n) (1) (col) smallpox/variola/(2) pockmark/pock/
疱瘡 [ほうそう] /(n) (1) (col) smallpox/variola/(2) pockmark/pock/
痒い [かいい] /(adj-i) itchy/itching/
痒い [かゆい] /(adj-i) itchy/itching/(P)/
痒いところに手が届く [かゆいところにてがとどく] /(exp,v5k) to be extremely thorough, focusing on even the finest of details/
痒い所に手が届く [かゆいところにてがとどく] /(exp,v5k) to be extremely thorough, focusing on even the finest of details/
痒がる [かゆがる] /(v5r) to complain of itching/
痒み [かゆみ] /(n) itch/
痒み止め [かゆみどめ] /(n) anti-itch medication/antipruritic drug/
痒疹 [ようしん] /(n,adj-no) rash that accompanies a severe itch/prurigo/
痙る [つる] /(v5r) (uk) to cramp/to be cramped/to contract/
痙攣 [けいれん] /(n,vs,adj-no) convulsions/cramps/
痣 [あざ] /(n) (1) birthmark/nevus/(2) bruise/(3) tache de vin/envie/(P)/
痞 [つかえ] /(io) (n) (1) load on one's chest/
痞え [つかえ] /(n) (1) load on one's chest/
痞える [つかえる] /(iK) (v1,vi) to be blocked/to choke/to be obstructed/to feel a pressure on one's chest/
痞える [つっかえる] /(iK) (v1,vi) to be blocked/to choke/to be obstructed/to feel a pressure on one's chest/
痼り [しこり] /(n) (1) stiffness (in shoulders)/swelling/hardening/(2) lingering discomfort/uneasiness/bad aftertaste/unpleasant feeling/
痼る [しこる] /(v5r,vi) to stiffen/to harden/
痼疾 [こしつ] /(n) chronic disease/
痰 [たん] /(n) phlegm/sputum/
痰唾 [たんつば] /(n) sputum/phlegm/
痰壷 [たんつぼ] /(n) spittoon/cuspidor/
痰壺 [たんつぼ] /(n) spittoon/cuspidor/
痺れ [しびれ] /(n) numbness/limbs going to sleep/
痺れえい [しびれえい] /(n) electric ray/
痺れる [しびれる] /(v1,vi) (1) to become numb/to go to sleep (e.g. a limb)/(2) to be excited/to be titillated/to be mesmerized/(P)/
痺れを切らす [しびれをきらす] /(exp,v5s) to get tired of waiting/to grow impatient/
痺れエイ [しびれエイ] /(n) electric ray/
痺れ鰻 [しびれうなぎ] /(n) (uk) (obsc) electric eel (Electrophorus electricus)/
痺れ感 [しびれかん] /(n) numbness/
痺れ薬 [しびれぐすり] /(n) (obsc) anesthetic/anaesthetic/
痺れ鯰 [しびれなまず] /(n) (uk) (obsc) electric catfish (any species of family Malapteruridae, esp. species Malapterurus electricus)/
痺鰻 [しびれうなぎ] /(n) (uk) (obsc) electric eel (Electrophorus electricus)/
痺鯰 [しびれなまず] /(n) (uk) (obsc) electric catfish (any species of family Malapteruridae, esp. species Malapterurus electricus)/
痲酔 [ますい] /(n,adj-no) anaesthesia/anesthesia/
痲薬 [まやく] /(n,adj-no) narcotic drugs/narcotic/opium/dope/
痲痺 [まひ] /(n,vs) paralysis/palsy/numbness/stupor/
痳病 [りんびょう] /(n) gonorrhea/
瘋癲 [ふうてん] /(n) (1) (sens) insanity/insane person/(2) vagabond/wanderer/
瘧 [おこり] /(n) ague/intermittent fever/the shakes/
瘧が落ちる [おこりがおちる] /(exp,v1,vi) to wake from a fever-induced delirium/
瘠せる [やせる] /(v1,vi) (1) (uk) to become thin/to lose weight/to reduce (one's) weight/to slim/(2) to be barren/to be infertile/to be sterile/
瘠る [やせる] /(io) (v1,vi) (1) (uk) to become thin/to lose weight/to reduce (one's) weight/to slim/(2) to be barren/to be infertile/to be sterile/
瘡 [かさ] /(n) (1) pustule/scab/(2) syphilis/pox/
瘡 [くさ] /(n) eczema/
瘡っかき [かさっかき] /(n) (uk) (col) person with skin disease (esp. syphilis)/
瘡蓋 [かさぶた] /(n) crust/scab/
瘡痕 [そうこん] /(n) scar/
瘡掻き [かさかき] /(n) (uk) (col) person with skin disease (esp. syphilis)/
瘡毒 [そうどく] /(n) syphilis/
瘢痕 [はんこん] /(n) scar/cicatrix/
瘢痕拘縮 [はんこんこうしゅく] /(n) scar contracture/cicatrical contracture/
瘢痕組織 [はんこんそしき] /(n) scar tissue/
瘢痕文身 [はんこんぶんしん] /(n) creating patterns in human flesh through scarification/
瘤 [こぶ] /(n) (uk) bump/lump/protuberance/swelling/(P)/
瘤つき [こぶつき] /(n,adj-no) (uk) having a child (usu. from a former relationship)/accompanied by one's child/
瘤牛 [こぶうし] /(n) (uk) zebu/
瘤鯛 [こぶだい] /(n) (uk) (adult male) Asian sheepshead wrasse (Semicossyphus reticulatus)/
瘤白鳥 [こぶはくちょう] /(n) (uk) mute swan (Cygnus olor)/
瘤付き [こぶつき] /(n,adj-no) (uk) having a child (usu. from a former relationship)/accompanied by one's child/
瘴気 [しょうき] /(n) miasma/(supposed) noxious gas originally believed to cause fever/
瘴癘 [しょうれい] /(n) tropical disease (e.g. malaria)/
瘰癧 [るいれき] /(n) scrofula/
瘻管 [ろうかん] /(n) fistula/
癇 [かん] /(n) temper/nerves/
癇にさわる [かんにさわる] /(exp,v5r) to irritate one/to get on one's nerves/
癇に障る [かんにさわる] /(exp,v5r) to irritate one/to get on one's nerves/
癇の強い [かんのつよい] /(exp) irritable/
癇高い [かんだかい] /(adj-i) high-pitched/shrill/
癇症 [かんしょう] /(n,adj-na,adj-no) irritability/peevishness/irascibility/hot temper/
癇性 [かんしょう] /(n,adj-na,adj-no) irritability/peevishness/irascibility/hot temper/
癇癖 [かんぺき] /(n) short temper/
癇癪 [かんしゃく] /(n) passion/temper/irritability/
癇癪を起こす [かんしゃくをおこす] /(exp,v5s) to lose one's temper/
癇癪玉 [かんしゃくだま] /(n) (1) fit of anger/temper/rage/(2) firecracker/
癇癪持ち [かんしゃくもち] /(n) hot-tempered person/
癈疾 [はいしつ] /(n) disablement/
癈人 [はいじん] /(n) cripple/disabled person/invalid/
癈兵 [はいへい] /(n) disabled soldier/crippled soldier/
癜風 [でんぷう] /(n) chromophytosis/tinea versicolor/
癡 [ち] /(oK) (n) (1) foolishness/fool/(2) (Buddh) moha (ignorance, folly)/
癢疹 [ようしん] /(n,adj-no) rash that accompanies a severe itch/prurigo/
癩 [かたい] /(n) (uk) (sens) Hansen's disease/leprosy/leper/
癩 [かったい] /(n) (uk) (sens) Hansen's disease/leprosy/leper/
癩 [らい] /(n) (uk) (sens) Hansen's disease/leprosy/leper/
癩菌 [らいきん] /(oK) (n) Mycobacterium leprae/the bacteria that causes Hansen's disease (leprosy)/
癩病 [らいびょう] /(n) (sens) Hansen's disease/leprosy/
癩病患者 [らいびょうかんじゃ] /(n) (sens) leper/
癪 [しゃく] /(adj-na,n) spasms/convulsions/cause of offense/cause of offence/an annoyance/a peeve/
癪にさわる [しゃくにさわる] /(exp,v5r) to irritate/to grate on one's nerves/to aggravate/to be galling/to be invidious/
癪に障る [しゃくにさわる] /(exp,v5r) to irritate/to grate on one's nerves/to aggravate/to be galling/to be invidious/
癪に触る [しゃくにさわる] /(iK) (exp,v5r) to irritate/to grate on one's nerves/to aggravate/to be galling/to be invidious/
癪の種 [しゃくのたね] /(n) irritant/cause of irritation/cause of annoyance/
癰 [よう] /(n) (uk) carbuncle/
癰疽 [ようそ] /(n) any serious skin eruption/
癲狂 [てんきょう] /(n) madness/insanity/lunacy/
癲狂院 [てんきょういん] /(n) (obs) asylum/bedlam/
癲癇 [てんかん] /(n) (uk) epilepsy/epileptic fit/
癲癇持ち [てんかんもち] /(n) (an) epileptic/
癸 [き] /(n) 10th in rank/tenth sign of the Chinese calendar/
癸 [みずのと] /(n) 10th in rank/tenth sign of the Chinese calendar/
癸亥 [きがい] /(n) 60th of the sexagenary cycle/
癸亥 [みずのとい] /(n) 60th of the sexagenary cycle/
癸卯 [きぼう] /(n) fortieth of the sexagenary cycle/
癸卯 [みずのとう] /(n) fortieth of the sexagenary cycle/
癸丑 [きちゅう] /(n) 50th of the sexagenary cycle/
癸丑 [みずのとうし] /(n) 50th of the sexagenary cycle/
癸酉 [きゆう] /(n) tenth of the sexagenary cycle/
癸酉 [みずのととり] /(n) tenth of the sexagenary cycle/
癸未 [きび] /(n) 20th of the sexagenary cycle/
癸未 [みずのとひつじ] /(n) 20th of the sexagenary cycle/
癸巳 [きし] /(n) thirtieth of the sexagenary cycle/
癸巳 [みずのとみ] /(n) thirtieth of the sexagenary cycle/
皀莢 [さいかち] /(n) (uk) honey locust/Gleditsia japonica/
皎々 [きょうきょう] /(adj-t,adv-to) (1) bright (esp. of the moon)/
皎々 [こうこう] /(adj-t,adv-to) (1) bright (esp. of the moon)/(2) broad and empty/
皎然 [こうぜん] /(adj-t,adv-to) shining brightly/shining whitely/
皎皎 [きょうきょう] /(adj-t,adv-to) (1) bright (esp. of the moon)/
皎皎 [こうこう] /(adj-t,adv-to) (1) bright (esp. of the moon)/(2) broad and empty/
皓々 [こうこう] /(adj-t,adv-to) (1) bright (esp. of the moon)/(2) broad and empty/
皓月 [こうげつ] /(n) (arch) bright white moon/
皓歯 [こうし] /(n) pearly white teeth/
皓然 [こうぜん] /(adj-t,adv-to) shining brightly/shining whitely/
皓皓 [こうこう] /(adj-t,adv-to) (1) bright (esp. of the moon)/(2) broad and empty/
皓礬 [こうばん] /(n) zinc sulfate heptahydrate/white vitriol/
皴 [しわ] /(n) (1) wrinkle/crease/(2) ripple/
皴を寄せる [しわをよせる] /(exp,v1,vt) to wrinkle up (one's eyebrows, one's nose)/to furrow/to crimple/
皸 [あかぎれ] /(n) (1) chaps/
皸 [ひび] /(n,adj-no) (1) (uk) crack/(skin) fissure/flaw or roughness (esp. in skin)/(n) (2) chaps/
皸が切れる [ひびがきれる] /(v1) to be chapped (e.g. skin)/
皸が入る [ひびがはいる] /(exp,v5r) to get cracked/to develop a crack/to be fissured/
皹 [あかぎれ] /(n) (1) chaps/
皹 [ひび] /(n,adj-no) (1) (uk) crack/(skin) fissure/flaw or roughness (esp. in skin)/(n) (2) chaps/
皹が切れる [ひびがきれる] /(v1) to be chapped (e.g. skin)/
皹が入る [ひびがはいる] /(exp,v5r) to get cracked/to develop a crack/to be fissured/
皹の切れた [ひびのきれた] /(adj-f) chapped (hands)/
皺 [さび] /(n) (1) bumpy texture of a material (esp. woven fabric)/(2) creases in an eboshi hat/
皺 [しぼ] /(n) (1) bumpy texture of a material (esp. woven fabric)/(2) creases in an eboshi hat/
皺 [しわ] /(n) (1) wrinkle/crease/(2) ripple/(P)/
皺々 [しわしわ] /(adv) (uk) crumpled/wrinkled/
皺が寄る [しわがよる] /(exp,v5r) to crumple/to wrinkle/
皺くちゃ [しわくちゃ] /(adj-na,n) (uk) crumpled/wrinkled/
皺だらけ [しわだらけ] /(adj-no,adj-na) wrinkled/
皺ばむ [しわばむ] /(v5m) (obsc) to wrinkle/
皺烏帽子 [さびえぼし] /(n) creased eboshi hat/
皺寄せ [しわよせ] /(n,vs) foisting upon/shifting to/shifting (the loss) to someone else/
皺曲 [しゅうきょく] /(n,vs) bend/geologic fold/
皺苦茶 [しわくちゃ] /(ateji) (adj-na,n) (uk) crumpled/wrinkled/
皺伸ばし [しわのばし] /(n) smoothing out wrinkles/(with reference to the elderly) recreation/
皺皺 [しわしわ] /(adv) (uk) crumpled/wrinkled/
皺襞 [しゅうへき] /(n) folds (e.g. on a mountain)/
盂蘭盆 [うらぼん] /(n) Bon festival/Feast of Lanterns/
盂蘭盆会 [うらぼんえ] /(n) Bon festival/Feast of Lanterns/Buddhist ceremony held on July 15/ullambana/
盂蘭盆會 [うらぼんえ] /(n) Bon festival/Feast of Lanterns/Buddhist ceremony held on July 15/ullambana/
盞 [うき] /(n) sake cup/cup for alcoholic beverages/
盞 [さかずき] /(n) sake cup/cup for alcoholic beverages/
盥 [たらい] /(n) (uk) tub/
盥回し [たらいまわし] /(n,vs) (1) acrobatic barrel-rolling (performed using the feet while lying on the back)/(2) handing something around (within a fixed group of people in a pre-arranged order)/(3) handing off a problem to someone else (in order to evade responsibility)/
盥船 [たらいぶね] /(n) tub boat/traditional round coracle-like boat/
盥漱 [かんそう] /(n,vs) washing one's hands and rinsing one's mouth/
盧溝橋 [ろこうきょう] /(n) Marco Polo Bridge (China)/
盧溝橋事件 [ろこうきょうじけん] /(n) Marco Polo Bridge Incident (July 7, 1937)/
盧舎那仏 [るしゃなぶつ] /(n) (obsc) Vairocana-Buddha/
盪かす [とろかす] /(v5s,vt) (1) to melt (steel, etc.)/to liquefy/to soften/(2) to melt (one's heart)/to disarm/
盪ける [とろける] /(v1,vi) (1) (uk) to melt (to a liquid)/(2) to be enchanted with/to be charmed/to be bewitched/
盪す [とろかす] /(v5s,vt) (1) to melt (steel, etc.)/to liquefy/to soften/(2) to melt (one's heart)/to disarm/
盪尽 [とうじん] /(n) squander/
盪盪 [とうとう] /(adj-t,adv-to) vast/calm/
眈々 [たんたん] /(adj-na,n) vigilant hostility/
眈眈 [たんたん] /(adj-na,n) vigilant hostility/
眇 [すがめ] /(n) squint eye/cross-eye/strabismus/
眇々 [びょうびょう] /(adj-t,adv-to) slight/trifling/
眇たる [びょうたる] /(adj-pn) small/minute/tiny/little/insignificant/
眇める [すがめる] /(v1,vt) to scrutinize/to scrutinise/
眇眇 [びょうびょう] /(adj-t,adv-to) slight/trifling/
眩い [まばゆい] /(adj-i) dazzling/glaring/dazzlingly beautiful/
眩い [まぶい] /(adj-i) (uk) (col) cute/pretty/
眩う [まう] /(v5u,vi) (arch) to be dizzy/to be vertiginous/
眩く [くるめく] /(io) (v5k,vi) (1) (arch) to spin/to revolve/to twirl/(2) to be dizzy/to feel faint/(3) to bustle about/
眩しい [まぶしい] /(adj-i) dazzling/radiant/(P)/
眩しい [まぼしい] /(adj-i) dazzling/radiant/
眩む [くらむ] /(v5m,vi) (1) to be dazzled by/to be dizzied by/to be disoriented by/(2) to be lost in (greed, lust, etc.)/(3) (arch) to become dark/
眩めく [くるめく] /(v5k,vi) (1) (arch) to spin/to revolve/to twirl/(2) to be dizzy/to feel faint/(3) to bustle about/
眩れる [くれる] /(v1,vi) to get dark/to end/to come to an end/to close/to run out/
眩惑 [げんわく] /(n,vs) dazzling/blinding/
眩暈 [げんうん] /(n,vs,adj-no) dizziness/giddiness/vertigo/
眩暈 [めまい] /(n,vs,adj-no) dizziness/giddiness/vertigo/
眞言 [しんごん] /(n) (1) (Buddh) (obsc) true word/(2) mantra/(3) (abbr) Shingon (Sino-Japanese esoteric Buddhism, originating in the eighth century)/
眞面目 [まじめ] /(ateji) (oK) (adj-na,n) diligent/serious/honest/sober/grave/earnest/steady/
眥 [まなじり] /(n) corner of the eye/
眦 [まなじり] /(n) corner of the eye/
眦を決して [まなじりをけっして] /(exp) with one's eyes flashing/
眛旦 [まいだん] /(n) (obsc) dawn/daybreak/
眷顧 [けんこ] /(n) favor/patronage/being partial to/paying special attention to/
眷属 [けんぞく] /(n) (one's) family/dependents/household/
眷族 [けんぞく] /(n) (one's) family/dependents/household/
眸 [ひとみ] /(n) (1) pupil (of eye)/(2) eye/
眸子 [ぼうし] /(n) eye/pupil/
睇視 [ていし] /(n,vs) squinting/looking closely/
睨まれる [にらまれる] /(v1,vi) (uk) to have an eye kept on one/to be watched/
睨み [にらみ] /(n) glare/sharp look/
睨みあう [にらみあう] /(v5u,vi) to glare at each other/
睨みあわせる [にらみあわせる] /(v1,vt) to weigh one thing against the other/to act in consideration of/to compare and take into consideration/
睨みがきく [にらみがきく] /(exp,v5k) (obsc) to have authority (over)/
睨みが利く [にらみがきく] /(exp,v5k) (obsc) to have authority (over)/
睨みつける [にらみつける] /(v1,vt) to glare at/to scowl at/
睨み合い [にらみあい] /(n) glaring at each other/
睨み合う [にらみあう] /(v5u,vi) to glare at each other/
睨み合せる [にらみあわせる] /(v1,vt) to weigh one thing against the other/to act in consideration of/to compare and take into consideration/
睨み合わせる [にらみあわせる] /(v1,vt) to weigh one thing against the other/to act in consideration of/to compare and take into consideration/
睨み付ける [にらみつける] /(v1,vt) to glare at/to scowl at/
睨む [にらむ] /(v5m,vt) (1) to glare at/to scowl at/to glower at/(2) to stare intensely at/to examine carefully/(3) to estimate/to guess/to suspect/to judge/(4) to keep an eye on someone (e.g. a suspicious or untrustworthy person)/to watch/(5) to take account of/to take into consideration/(P)/
睨めっこ [にらめっこ] /(n,vs) (1) (uk) staring-out (down) game/game in which two children looking at each other try to make the opponents laugh first/(2) constant looking at something (e.g. the computer screen, the clock, etc.)/
睨めつける [にらめつける] /(v1,vt) to glare at/to scowl at/
睨めつける [ねめつける] /(v1,vt) to glare at/to scowl at/
睨め競 [にらめくら] /(n) (arch) staring contest/
睨め付ける [にらめつける] /(v1,vt) to glare at/to scowl at/
睨め付ける [ねめつける] /(v1,vt) to glare at/to scowl at/
睫 [まつげ] /(n,adj-no) (uk) eyelashes/
睫毛 [まつげ] /(n,adj-no) (uk) eyelashes/
睥睨 [へいげい] /(n,vs) glaring at/lording over/
睿智 [えいち] /(n) wisdom/intelligence/intellect/
睾丸 [こうがん] /(n,adj-no) testicles/testes/balls/
睾丸炎 [こうがんえん] /(n) orchitis/
瞋 [しん] /(n) (Buddh) dosa (ill will, antipathy)/
瞋恚 [しんい] /(n) (1) (Buddh) dosa (ill will, antipathy)/(2) irateness/anger/
瞋恚 [しんに] /(n) (1) (Buddh) dosa (ill will, antipathy)/(2) irateness/anger/
瞋恚 [しんね] /(n) (1) (Buddh) dosa (ill will, antipathy)/(2) irateness/anger/
瞋恚の炎 [しんいのほのお] /(exp) intense antipathy (like a blazing fire)/flames of rage/
瞑す [めいす] /(vs-c,vi) (1) to close one's eyes/to sleep/(2) to rest in peace/
瞑する [めいする] /(vs-s,vi) (1) to close one's eyes/to sleep/(2) to rest in peace/
瞑る [つぶる] /(v5r,vt) to close the eyes/(P)/
瞑る [つむる] /(v5r,vt) to close the eyes/(P)/
瞑色 [めいしょく] /(n) evening twilight/
瞑想 [めいそう] /(n,vs) meditation/contemplation/(P)/
瞑想生活 [めいそうせいかつ] /(n) contemplative life/life of meditation/
瞑目 [めいもく] /(n,vs) closing one's eyes/passing away/
瞑目合掌 [めいもくがっしょう] /(n,vs) closing one's eyes and joining one's hands together in prayer/
瞠る [みはる] /(v5r,vt) to watch/to (stand) guard/to look out/to open one's eyes wide/
瞠若 [どうじゃく] /(adj-na,n) being dumbfounded/
瞠若たらしめる [どうじゃくたらしめる] /(v1) to strike someone dumb with astonishment/
瞠目 [どうもく] /(n,vs) gazing at (in wonderment)/
瞞す [だます] /(v5s,vt) to trick/to cheat/to deceive/
瞞着 [まんちゃく] /(n,vs) deception/cheating/trickery/fraud/
瞞着手段 [まんちゃくしゅだん] /(n) ruse/trick/deception tactics/
瞿然 [くぜん] /(adj-t,adv-to) looking on with surprise/surprised and changing one's expression/
瞿麦 [なでしこ] /(n) (1) (uk) pink (Dianthus spp., esp. the fringed pink, Dianthus superbus)/(2) (arch) lovable, caressable girl/
瞼 [まなぶた] /(ok) (n) eyelid/eyelids/
瞼 [まぶた] /(n) eyelid/eyelids/(P)/
瞽 [めくら] /(n) (1) (sens) blindness/blind person/(2) illiteracy/illiterate person/(3) ignorance/ignoramus/
瞽者 [こしゃ] /(n) blind person/
瞽女 [ごぜ] /(n) blind female beggar who sings or plays shamisen/
瞻る [まばる] /(v5r) (uk) to keep a watch (on)/
瞻望 [せんぼう] /(n,vs) (arch) looking afar/taking an extensive view of/
矇昧 [もうまい] /(oK) (adj-na,n) ignorance/(lack of) enlightenment or civilization (civilisation)/unenlightened/uncivilized/uncivilised/
矍鑠 [かくしゃく] /(adj-t,adv-to) vigorous (in old age)/hale and hearty/
矜持 [きょうじ] /(n) pride/dignity/self-respect/
矜持 [きんじ] /(n) pride/dignity/self-respect/
矜恃 [きょうじ] /(n) pride/dignity/self-respect/
矜恃 [きんじ] /(n) pride/dignity/self-respect/
矮化 [わいか] /(n) dwarfing/stunting/
矮躯 [わいく] /(n) small stature/
矮鶏 [チャボ] /(n) (uk) (Japanese) bantam (vie:)/
矮鶏檜葉 [チャボひば] /(n) (uk) Chamaecyparis obtusa var. breviramea (ornamental variety of hinoki cypress)/
矮鹿 [まめじか] /(n) (uk) chevrotain/mouse deer/
矮樹 [わいじゅ] /(n) low or short tree/
矮小 [わいしょう] /(adj-na,n) diminutive/pygmy/pigmy/stunted/
矮小不規則銀河 [わいしょうふきそくぎんが] /(n) dwarf irregular galaxy/
矮人 [わいじん] /(n) dwarf/
矮星 [わいせい] /(n) dwarf star/
矮惑星 [わいわくせい] /(n) dwarf planet (e.g. Pluto)/
砌 [みぎり] /(n) (uk) time/age/chance/moment/occasion/
砌 [みぎん] /(n) (uk) time/age/chance/moment/occasion/
砒化ガリウム [ひかガリウム] /(n) (obsc) gallium arsenide (GaAs)/
砒化水素 [ひかすいそ] /(n) (obsc) arsine/
砒酸 [ひさん] /(n) arsenic acid/
砒酸鉛 [ひさんなまり] /(n) lead arsenate/
砒素 [ひそ] /(n,adj-no) arsenic (As)/
砒素剤 [ひそざい] /(n) arsenicals (drugs containing arsenic)/
礦業 [こうぎょう] /(n) mining industry/
礦石 [こうせき] /(n) mineral/ore/
硅砂 [けいしゃ] /(n) silica sand/
硅酸塩 [けいさんえん] /(oK) (n) silicate/
硅石 [けいせき] /(n) silica/
硅素 [けいそ] /(n) silicon (Si)/
硅肺 [けいはい] /(n) silicosis/
硴 [かき] /(n) oyster/
硼砂 [ほうしゃ] /(n) borax/
硼酸 [ほうさん] /(n) boric acid/
硼酸塩 [ほうさんえん] /(n) borate/
硼酸末 [ほうさんまつ] /(n) borax powder/
硼素 [ほうそ] /(n) boron (B)/
碌 [ろく] /(adj-na) (uk) good/satisfactory/worthy/decent/
碌々 [ろくろく] /(adv) hardly/barely/inadequately (with negative grammatical constructions)/
碌すっぽ [ろくすっぽ] /(adv) (uk) (before neg. verb) (not) enough/(in)sufficiently/(un)satisfactorily/
碌すっぽう [ろくすっぽう] /(ateji) (adv) (uk) (before neg. verb) (not) enough/(in)sufficiently/(un)satisfactorily/
碌ずっぽ [ろくずっぽ] /(ateji) (adv) (uk) (before neg. verb) (not) enough/(in)sufficiently/(un)satisfactorily/
碌でなし [ろくでなし] /(n) (uk) bum/good-for-nothing/ne'er-do-well/
碌でもない [ろくでもない] /(exp,adj-i) (uk) good-for-nothing/worthless/
碌な [ろくな] /(ateji) (adj-pn) (uk) satisfactory/decent/(P)/
碌に [ろくに] /(adv) (uk) well/enough/sufficient/(P)/
碌碌 [ろくろく] /(adv) hardly/barely/inadequately (with negative grammatical constructions)/
磔 [はりつけ] /(n) crucifixion/
磔刑 [たくけい] /(n) crucifixion/
磔刑 [たっけい] /(n) crucifixion/
磔刑像 [たくけいぞう] /(n) crucifix/
磔刑像 [たっけいぞう] /(n) crucifix/
磔柱 [はっつけばしら] /(n) cross (used in a crucifixion)/
磔柱 [はりつけばしら] /(n) cross (used in a crucifixion)/
碾き臼 [ひきうす] /(n) quern/hand mill/
碾き茶 [ひきちゃ] /(n) powdered green tea (steamed and dried before being stone-ground)/
碾く [ひく] /(v5k,vt) (1) to grind (e.g. coffee beans)/to mill/
碾臼 [ひきうす] /(n) quern/hand mill/
碾茶 [てんちゃ] /(n) powdered green tea (steamed and dried before being stone-ground)/
碾茶 [ひきちゃ] /(n) powdered green tea (steamed and dried before being stone-ground)/
碼 [ヤード] /(n) (uk) yard (unit of distance)/
碼頭 [マートー] /(n) (obsc) wharf (chi: matou)/dock/landing place/
磊々落々 [らいらいらくらく] /(n,adj-na) openhearted/unaffected/free and easy/
磊落 [らいらく] /(adj-na,n) open-hearted/
磊磊落落 [らいらいらくらく] /(n,adj-na) openhearted/unaffected/free and easy/
磬 [きん] /(n) inverted copper or iron bell shaped like a bowl (sounded when reciting sutras)/
磬 [けい] /(n) qing (ancient Chinese musical instrument; suspended gong-like chime shaped like an inverted 'v'; orig. made of stone)/
磚子苗 [いぬくぐ] /(n) (uk) Pacific island flatsedge (Cyperus cyperoides)/
磚子苗 [くぐ] /(n) (uk) Pacific island flatsedge (Cyperus cyperoides)/
磚茶 [たんちゃ] /(n) brick tea/
磚茶 [だんちゃ] /(n) brick tea/
礒 [いそ] /(n,adj-na) (rocky) beach/seashore/
礬砂 [どうさ] /(n) size (solution for stiffening textiles, etc.)/
礬水 [どうさ] /(n) size (solution for stiffening textiles, etc.)/
礫 [こいし] /(n) pebble/
礫 [つぶて] /(n) stone thrown at somebody/throwing stones/
礫岩 [れきがん] /(n) conglomerate stone/
礫刑 [はりつけ] /(iK) (n) crucifixion/
祀る [まつる] /(v5r,vt) (1) to deify/to enshrine/(2) to pray/to worship/
祠 [そうし] /(n) (1) (uk) small shrine/
祠 [ほこら] /(n) (1) (uk) small shrine/
祠宇 [しう] /(n) (arch) shrine (in Shinto)/
祗管打坐 [しかんたざ] /(n) shikantaza (zazen meditation in which one focuses on sitting without actively seeking enlightenment)/
祟り [たたり] /(n) curse/
祟り目 [たたりめ] /(n) the evil eye/
祟る [たたる] /(v5r,vi) to curse/to cast a spell/
祓 [はらい] /(n) purification/exorcism/
祓 [はらえ] /(n) purification/exorcism/
祓い [はらい] /(n) purification/exorcism/
祓い清める [はらいきよめる] /(v1,vt) to purify/to exorcise/
祓う [はらう] /(v5u,vt) to exorcise/to cleanse/to purify/
祓串 [はらえぐし] /(n) (obsc) tamagushi used at Ise Shrine's purification ceremonies/
祓詞 [はらえことば] /(n) words read by the priest in a Shinto purification rite/
祓川 [はらえがわ] /(n) river in which worshippers purify themselves before praying/
祓殿 [はらいでん] /(n) purification hall of a Shinto shrine/
祓殿 [はらいどの] /(n) purification hall of a Shinto shrine/
祓殿 [はらえどの] /(n) purification hall of a Shinto shrine/
祿 [ろく] /(oK) (n) stipend/reward/
禊 [みそぎ] /(n,vs) purification ceremony/
禊教 [みそぎきょう] /(n) Misogi-kyo (sect of Shinto)/
禊萩 [みそはぎ] /(n) (uk) Lythrum anceps (species of loosestrife closely related to purple loosestrife, Lythrum salicaria)/
禊萩 [みぞはぎ] /(n) (uk) Lythrum anceps (species of loosestrife closely related to purple loosestrife, Lythrum salicaria)/
禊祓 [みそぎはらえ] /(n) form of Shinto purification/
禪 [ぜん] /(oK) (n) (1) (Buddh) dhyana (profound meditation)/(2) (abbr) Zen (Buddhism)/
禹歩 [うほ] /(n) (1) ceremony performed by a sorcerer to protect a noble setting out on a trip/(2) walking in large steps/(3) walking with a disabled leg/someone with a disabled leg/
秕 [しいな] /(n) (1) empty grain husk/immature ear (e.g. wheat)/hollow object/(2) unripe fruit/
秧鶏 [くいな] /(n) (uk) rail (any bird of family Rallidae, esp. the water rail, Rallus aquaticus)/
秣 [うまくさ] /(n) fodder/
秣 [まぐさ] /(n) fodder/
稈 [かん] /(n) culm (hollow stem of a grass)/
稍 [やや] /(adv,adj-f) (uk) a little/partially/somewhat/slightly/semi-/-ish/on the ... side/a short time/a while/(P)/
稍あって [ややあって] /(exp) a little while later/for a little while/some time later/for some time/
稍重 [ややおも] /(n,adj-no) slightly heavy (esp. horse-racing track)/
稠度 [ちゅうど] /(n) consistency/
稠度 [ちょうど] /(n) consistency/
稠密 [ちゅうみつ] /(adj-na,n) dense/populous/crowded/thick/
稠密 [ちょうみつ] /(adj-na,n) dense/populous/crowded/thick/
稟議 [ひんぎ] /(n,vs) reaching a decision by using a circular letter/reaching a decision via a document circulated to all employees/
稟議 [りんぎ] /(n,vs) reaching a decision by using a circular letter/reaching a decision via a document circulated to all employees/
稟議書 [りんぎしょ] /(n) draft plan circulated to obtain permission (draught)/
稟議制度 [りんぎせいど] /(n) the system in government offices and business corporations in which draft proposals are prepared by someone in charge of the matter and circulated for collective deliberation and final approval by particular (designated) officials or executives/
稟質 [ひんしつ] /(n) inborn nature/
稟性 [ひんせい] /(n) inborn nature/
稟請 [りんせい] /(n) petition/
禀議 [ひんぎ] /(n,vs) reaching a decision by using a circular letter/reaching a decision via a document circulated to all employees/
禀議 [りんぎ] /(n,vs) reaching a decision by using a circular letter/reaching a decision via a document circulated to all employees/
禀議書 [りんぎしょ] /(n) draft plan circulated to obtain permission (draught)/
禀告 [りんこく] /(n) notice/notification/
禀質 [ひんしつ] /(n) natural disposition/
禀性 [ひんせい] /(n) nature/character/
禀性 [りんせい] /(n) nature/character/
禀請 [りんせい] /(n) petition/
禀請書 [りんせいしょ] /(n) petition/
稷 [きび] /(n) (uk) (common) millet (Panicum miliaceium)/proso millet/
稷 [きみ] /(n) (uk) (common) millet (Panicum miliaceium)/proso millet/
穗 [ほ] /(n) (1) ear (of plant)/head (of plant)/(2) point/tip/(3) scion (in grafting)/cion/
穢い [きたない] /(adj-i) dirty/unclean/filthy/
穢す [けがす] /(v5s,vt) (1) to pollute/to contaminate/to soil/to make dirty/to stain/(2) to disgrace/to dishonour/to dishonor/to defile/
穢らわしい [けがらわしい] /(adj-i) filthy/unfair/dirty/untouchable/disgusting/nasty/foul/odious/repulsive/
穢れ [けがれ] /(n) uncleanness/impurity/disgrace/
穢れのない [けがれのない] /(adj-i) pure/clean/untouched/innocent/
穢れの無い [けがれのない] /(adj-i) pure/clean/untouched/innocent/
穢れる [けがれる] /(v1,vi) to be violated/to be corrupted/to be polluted/to be stained/
穢多 [えた] /(ateji) (n) (vulg) one group comprising the lowest rank of Japan's Edo-period caste system (people whose work usually involved handling human bodies or animal carcasses)/
穢土 [えど] /(exp) (1) (Buddh) this impure world (as opposed to the pure land)/(2) (arch) feces/faeces/
穹窿 [きゅうりゅう] /(n) (1) vault (a poetic term for clear skies)/(2) dome/
窗 [まど] /(n) window/
窘める [たしなめる] /(v1,vt) (uk) to chide/to rebuke/to reprove/
窖 [あなぐら] /(n) cellar/cave/hole in the ground/
窩主買 [けいずかい] /(io) (n) (1) fencing stolen goods/fence/
窩主買い [けいずかい] /(n) (1) fencing stolen goods/fence/
竈 [かまど] /(n) kitchen range/cooking stove/hearth/(kitchen) furnace/
竈 [くど] /(n) the rear of an old-fashioned Japanese hearth from which smoke was exhausted/(in Kyoto dialect) the hearth itself/
竈 [へっつい] /(n) kitchen range/cooking stove/hearth/(kitchen) furnace/
竈神 [かまどがみ] /(n) tutelary deities of the hearth/
竈突 [くど] /(n) the rear of an old-fashioned Japanese hearth from which smoke was exhausted/(in Kyoto dialect) the hearth itself/
竈風呂 [かまぶろ] /(n) steam bath (often using brine)/
窶す [やつす] /(v5s,vt) (1) to be absorbed in/to lose oneself to/(2) to disguise oneself as/to adorn oneself/
窶れ [やつれ] /(n) (uk) emaciation/gauntness/haggardness/
窶れる [やつれる] /(v1,vi) (uk) to be worn out/(P)/
竄する [ざんする] /(vs-s) (1) to exile/to banish/(2) to revise the wording of a phrase/
竄匿 [ざんとく] /(n,vs) diving under cover and hiding/
竏 [キロリットル] /(n) (uk) kilolitre (fre:)/kiloliter/
竦み上がる [すくみあがる] /(v5r) to cringe with fear/to cower with fright/to be terribly afraid/
竦む [すくむ] /(v5m,vi) to cower/to be cramped/
竦める [すくめる] /(v1,vt) (uk) to shrug (shoulders)/to duck (head)/to draw back (body)/
竦然 [しょうぜん] /(adj-t,adv-to) terrified/horrified/
竭きる [つきる] /(oK) (v1,vi) to be used up/to be run out/to be exhausted/to be consumed/to come to an end/
笏 [しゃく] /(n) shaku (flat wooden or ivory baton carried in the right hand when in ceremonial imperial or Shinto garb)/
笏拍子 [さくほうし] /(n) clapper (two long pieces of wood that are clapped together; used in gagaku, etc.)/
笏拍子 [しゃくびょうし] /(n) clapper (two long pieces of wood that are clapped together; used in gagaku, etc.)/
笊 [ざる] /(n) (1) (uk) (col) sieve/strainer made from bamboo and used in the preparation and presentation of Japanese cuisine/zaru/bamboo draining basket/(2) person who can drink copiously without getting drunk/
笊そば [ざるそば] /(n) (uk) zaru soba (soba served on a bamboo draining basket with dipping sauce)/
笊貝 [ざるがい] /(n) (uk) Burchard's cockle (Vasticardium burchardi)/
笊貝科 [ざるがいか] /(n) Cardiidae (family of bivalve molluscs comprising the cockles)/
笊蕎麦 [ざるそば] /(n) (uk) zaru soba (soba served on a bamboo draining basket with dipping sauce)/
笊法 [ざるほう] /(n) (uk) law full of loopholes/toothless law/
笆 [ませ] /(n) (1) (arch) short roughly woven fence/(2) divider between boxes (i.e. for box seats) in a theatre, etc./
笙 [しょう] /(n) traditional Japanese wind instrument resembling panpipes/free-reed instrument used in Japanese court music/
笙 [そう] /(n) traditional Japanese wind instrument resembling panpipes/free-reed instrument used in Japanese court music/
笙の笛 [しょうのふえ] /(n) sho (Japanese free reed musical instrument)/
笙の笛 [そうのふえ] /(n) sho (Japanese free reed musical instrument)/
笙歌 [しょうか] /(n) singing and playing the sho/
笙歌 [せいか] /(n) singing and playing the sho/
笞 [しもと] /(n) (arch) switch (flogging implement made from a branch)/
笞 [ち] /(n) (arch) light caning (10-50 times)/
笞 [むち] /(n) (1) whip/lash/scourge/(2) stick/cane/rod/pointer/
笞刑 [ちけい] /(n) flogging/
筐 [かたみ] /(n) (arch) fine-meshed bamboo basket/
筐 [はこ] /(n) (1) box/(2) car (of a train, etc.)/(3) shamisen case/shamisen/(4) (arch) man who carries a geisha's shamisen/(5) (arch) receptacle for human waste/feces (faeces)/
筐体 [きょうたい] /(n) (comp) cabinet/case/housing/component/unit/chassis/main frame/(P)/
筐底 [きょうてい] /(n) bottom of a box/
筐筥 [きょうきょ] /(n) (obsc) woven bamboo box/
筺体 [きょうたい] /(n) (comp) cabinet/case/housing/component/unit/chassis/main frame/
笄 [こうがい] /(n) hairpin/
笄ぐる [こうがいぐる] /(n) type of Japanese woman's hairstyle using a hairpin (Edo period)/
笄髷 [こうがいわげ] /(n) type of Japanese woman's hairstyle using a hairpin (Edo period)/
筍 [たけのこ] /(n) bamboo shoots/
筍医者 [たけのこいしゃ] /(n) inexperienced doctor/quack/
筍貝 [たけのこがい] /(n) auger shell (Terebra subulata)/terebra/
筍生活 [たけのこせいかつ] /(n) selling one's personal effects in order to live/
筍虫 [たけのこむし] /(n) (obsc) horse botfly larva/
筵 [えん] /(n) (1) woven mat (esp. one made of straw)/(2) (arch) seat/
筵 [むしろ] /(n) (1) woven mat (esp. one made of straw)/(2) (arch) seat/
筥 [はこ] /(n) (1) box/(2) car (of a train, etc.)/(3) shamisen case/shamisen/(4) (arch) man who carries a geisha's shamisen/(5) (arch) receptacle for human waste/feces (faeces)/
筧 [かけひ] /(n) open water pipe/conduit/
筬象虫 [おさぞうむし] /(n) (uk) true weevil (any weevil of family Curculionidae)/
筬打ち [おさうち] /(n) beating/beating up/
筬虫 [おさむし] /(n) (1) (uk) ground beetle/carabid (esp. of subfamily Carabinae)/(2) (arch) millipede/
筬通し [おさとおし] /(n) reed drawing-in (manuf.)/denting/
筮 [めどき] /(n) divination sticks/
筮 [めどぎ] /(n) divination sticks/
筮竹 [ぜいちく] /(n) bamboo divination stick/
箝げる [すげる] /(v1,vt) to tie/to fix/to attach/
箝口 [かんこう] /(n,vs) gagging/hushing up/
箝口令 [かんこうれい] /(n) gag order/gag rule/
箝口令をしく [かんこうれいをしく] /(exp,v5k) to impose a gag order/to hush up/to order someone not to mention something/
箝口令を敷く [かんこうれいをしく] /(exp,v5k) to impose a gag order/to hush up/to order someone not to mention something/
箍 [たが] /(n) hoop/binding (e.g. of a barrel)/
箍を締める [たがをしめる] /(exp,v1) to pull oneself together/to get one's act together/to brace oneself/
箍を嵌める [たがをはめる] /(exp,v1) to hoop/to put a hoop on/to bind a barrel with hoops/
箜篌 [くうご] /(n) konghou (ancient Chinese harp)/
箜篌 [くご] /(n) konghou (ancient Chinese harp)/
箋 [せん] /(n) (1) slip (of paper)/(2) tag (usu. bamboo, wood, ivory, etc.)/label/
箒 [ほうき] /(n,vs) (uk) broom/(P)/
箒星 [ほうきぼし] /(n) comet/
箒虫 [ほうきむし] /(n) (uk) phoronid (any wormlike animal of phylum Phoronida)/
箏 [こと] /(n) (1) koto (13-stringed Japanese zither)/(2) (arch) stringed instrument/(3) zheng (Chinese zither)/guzheng/
箏 [そう] /(n) (1) koto (13-stringed Japanese zither)/(2) zheng (Chinese zither)/guzheng/
箏曲 [そうきょく] /(n) koto music/
箏曲家 [そうきょくしゃ] /(n) koto player/
箏柱 [ことじ] /(n) bridge of a koto/
筝 [こと] /(n) (1) koto (13-stringed Japanese zither)/(2) (arch) stringed instrument/(3) zheng (Chinese zither)/guzheng/
筝 [そう] /(n) (1) koto (13-stringed Japanese zither)/(2) zheng (Chinese zither)/guzheng/
筝曲 [そうきょく] /(n) koto music/
筝柱 [ことじ] /(n) bridge of a koto/
箙 [えびら] /(n) quiver (of arrows)/
篋底 [きょうてい] /(n) bottom of a box/
篁 [たかむら] /(n) bamboo grove/
篏める [はめる] /(oK) (v1,vt) (1) (uk) to insert/to put in (such that there is a snug fit)/(2) (col) to have sex/to fuck/(3) to pigeonhole (into a particular category)/(4) to place a ring-shaped object around something (esp. one that restricts freedom, such as handcuffs)/(5) to entrap/to set someone up (i.e. frame them for a crime, etc.)/
箴言 [しんげん] /(n) (1) proverb/maxim/(2) Proverbs (book of the Bible)/
篆刻 [てんこく] /(n,vs) seal engraving/
篆字 [てんじ] /(n) seal script character/
篆書 [てんしょ] /(n) characters used on seals/
篆隷 [てんれい] /(n) seal style and ancient square style/
篝 [かがり] /(n) (1) iron basket for torches/(2) (abbr) bonfire/
篝火 [かがりび] /(n) bonfire/watch fire/fishing fire/cresset/brazier/
篩 [ふるい] /(n) sieve/screen/
篩い [ふるい] /(io) (n) sieve/screen/
篩い分ける [ふるいわける] /(v1,vt) to sift/to screen/
篩い落す [ふるいおとす] /(v5s) to sift out/to screen or eliminate (candidates)/
篩い落とす [ふるいおとす] /(v5s) to sift out/to screen or eliminate (candidates)/
篩う [ふるう] /(v5u) (1) to sieve (flour)/(2) to eliminate (possibilities)/
篩にかける [ふるいにかける] /(v1) (uk) to sieve/to sift/
篩に掛ける [ふるいにかける] /(v1) (uk) to sieve/to sift/
篩骨 [しこつ] /(n,adj-no) ethmoid bone (of the skull)/
篩部 [しぶ] /(n) phloem/inner bark/
篦鹿 [へらじか] /(n) (uk) moose/elk/
篦棒 [べらぼう] /(ateji) (adj-na) (uk) absurd/unreasonable/awful/
籠 [かご] /(n) (uk) basket (shopping, etc.)/hamper/cage/(P)/
籠で水を汲む [かごでみずをくむ] /(exp,v5m) (obsc) like trying to scoop water with a basket (i.e. impossible, a waste of time & energy)/
籠の垂れ [かごのたれ] /(n) hanging of a palanquin/
籠の鳥 [かごのとり] /(exp) (1) caged bird/(2) person whose freedom has been restricted (esp. a prostitute, mistress, concubine, etc.)/
籠む [こむ] /(v5m,vi) (1) to be crowded/to be packed/(2) to be complex/
籠める [こめる] /(v1,vt) to include/to put into/
籠もった声 [こもったこえ] /(n) thick voice/
籠もる [こもる] /(v5r,vi) (1) (uk) to seclude oneself/to be confined in/(2) to be filled (e.g. with emotion, satire, etc.)/to be heavy (with)/(3) to be stuffy/(4) to be implied/(P)/
籠る [こもる] /(v5r,vi) (1) (uk) to seclude oneself/to be confined in/(2) to be filled (e.g. with emotion, satire, etc.)/to be heavy (with)/(3) to be stuffy/(4) to be implied/
籠球 [ろうきゅう] /(n) basketball/
籠居 [ろうきょ] /(n,vs) staying at home or indoors/living in seclusion/retirement/
籠手 [こて] /(n) gauntlet (used in Kendo)/bracer/fencing glove/
籠城 [ろうじょう] /(n,vs) siege/besieging/confinement/holding a castle/
籠城作戦 [ろうじょうさくせん] /(n) strategy of holing oneself up in a castle (house, building)/
籠脱け [かごぬけ] /(n) slipping out the back way with swindled goods/
籠抜け [かごぬけ] /(n) slipping out the back way with swindled goods/
籠枕 [かごまくら] /(n) pillow made from bamboo or cane (for use during the summer)/
籠目 [かごめ] /(n) woven-bamboo pattern/
籠絡 [ろうらく] /(n,vs) inveigling/ensnaring/enticement/cajoling/
籠絡手段 [ろうらくしゅだん] /(n) means of cajolement (trickery)/
簀 [さく] /(n) mat (made of pieces of split bamboo or reeds tied together)/
簀 [す] /(n) mat (made of pieces of split bamboo or reeds tied together)/
簀の子 [すのこ] /(n) drainboard/floor grates/duckboard/slatted wood (e.g. used as a base for storing futons inside a cupboard)/
簀巻 [すまき] /(n) (1) wrapping something in a bamboo mat/(2) wrapping somebody in a bamboo mat and throwing him in a river (Edo period unofficial punishment)/
簀巻き [すまき] /(n) (1) wrapping something in a bamboo mat/(2) wrapping somebody in a bamboo mat and throwing him in a river (Edo period unofficial punishment)/
簀戸 [すど] /(n) bamboo door/door or screen made of fine bamboo strips, allowing air to pass through/
簀子 [すのこ] /(n) drainboard/floor grates/duckboard/slatted wood (e.g. used as a base for storing futons inside a cupboard)/
簀垂れ [すだれ] /(n) (uk) bamboo screen/rattan blind/
簇々 [そうそう] /(adj-t,adv-to) gathering/swarming/
簇々 [ぞくぞく] /(adj-t,adv-to) gathering/swarming/
簇がる [むらがる] /(v5r,vi) to swarm/to gather/
簇出 [そうしゅつ] /(n,vs) springing up (in clusters)/mushrooming/being highly productive/
簇出 [ぞくしゅつ] /(n,vs) springing up in clusters/
簇生 [ぞくせい] /(n,vs) (of plants) growing in clusters/growing gregariously/
簇簇 [そうそう] /(adj-t,adv-to) gathering/swarming/
簇簇 [ぞくぞく] /(adj-t,adv-to) gathering/swarming/
簓 [ささら] /(n) bamboo whisk/
簓子 [ささらこ] /(n) (1) notched bamboo rod rubbed with an implement similar to a bamboo whisk (used as a percussion instrument)/(2) wooden vertical batten/
簓子 [ささらのこ] /(n) (1) notched bamboo rod rubbed with an implement similar to a bamboo whisk (used as a percussion instrument)/(2) wooden vertical batten/
篳篥 [ひちりき] /(n) small double-reed wind instrument used in gagaku, made of bamboo, with 7 holes in the front and one in the back/
篷 [とま] /(n) woven mat (of sedge, hay, etc.)/
簗 [やな] /(n) (fish) weir/fish trap/
篶 [すず] /(n) (1) (arch) Sasamorpha borealis (species of bamboo grass unique to Japan)/(2) shoots of this plant/
簧 [した] /(n) reed (of a woodwind, etc.)/
簪 [かんざし] /(n) ornate hairpin/
簪屋 [かんざしや] /(n) ornate hairpin store/
簟 [たかむしろ] /(n) bamboo mat/
簷 [のき] /(n) (1) eaves/(2) narrow aisle surrounding the core of a temple building/
簫 [しょう] /(n) xiao (vertical Chinese bamboo flute)/
簫の笛 [しょうのふえ] /(n) (obsc) xiao (vertical Chinese bamboo flute)/
籌 [ちゅう] /(n) (arch) wooden skewer used for counting/
籌 [はかりごと] /(n) plan/strategy/
籌木 [ちゅうぎ] /(n) small block of wood used to clean one's buttocks after defecating/
籀書 [ちゅうしょ] /(n) large seal script (dating from China's Spring and Autumn period onward)/
籀文 [ちゅうぶん] /(n) large seal script (dating from China's Spring and Autumn period onward)/
籐 [とう] /(n) cane/rattan/
籐いす [とういす] /(n) wicker(work) (cane, rattan) chair/
籐椅子 [とういす] /(n) wicker(work) (cane, rattan) chair/
籐製 [とうせい] /(n) rattan/
籤 [くじ] /(n) (uk) lottery/lot/(P)/
籤 [せん] /(n) (1) slip (of paper)/(2) tag (usu. bamboo, wood, ivory, etc.)/label/
籤 [ひご] /(n) (uk) thin strip of bamboo/
籤で選ぶ [くじでえらぶ] /(exp,v5b) to choose by lot/
籤を引く [くじをひく] /(exp,v5k) to draw lots/
籤引 [くじびき] /(n,vs) (uk) lottery/drawn lot/(P)/
籤引き [くじびき] /(n,vs) (uk) lottery/drawn lot/(P)/
籤運 [くじうん] /(n) luck in a lottery/luck in a raffle/
籤逃れ [くじのがれ] /(n) elimination by lottery/
籬 [まがき] /(n) roughly woven fence/
籬 [ませ] /(n) (1) (arch) short roughly woven fence/(2) divider between boxes (i.e. for box seats) in a theatre, etc./
籬垣 [ませがき] /(n) (obsc) short roughly woven fence/
籵 [デカメートル] /(n) (uk) decametre (fre:)/decameter/dekametre/dekameter/
粃 [しいだ] /(ok) (n) (1) empty grain husk/immature ear (e.g. wheat)/hollow object/(2) unripe fruit/
粃 [しいな] /(n) (1) empty grain husk/immature ear (e.g. wheat)/hollow object/(2) unripe fruit/
粃 [しいら] /(ok) (n) (1) empty grain husk/immature ear (e.g. wheat)/hollow object/(2) unripe fruit/
粃 [みよさ] /(n) (col) unripe fruit/
粃糠疹 [ひこうしん] /(n) pityriasis/
粳 [うる] /(n) nonglutinous grain (not sticky enough to make mochi rice cakes)/
粳 [うるち] /(n) nonglutinous grain (not sticky enough to make mochi rice cakes)/
粳粟 [うるあわ] /(n) non-glutinous millet/
粲々 [さんさん] /(adj-t,adv-to) brilliant/bright/
粲然 [さんぜん] /(adj-t,adv-to) brilliant/radiant/
粲爛 [さんらん] /(adj-t,adv-to) brilliant/bright/radiant/
粲粲 [さんさん] /(adj-t,adv-to) brilliant/bright/
粽 [ちまき] /(n) cake wrapped in bamboo leaves/
糀 [こうじ] /(n) mould grown on rice, etc. as a starter to make sake (mold)/
糂汰 [じんた] /(n) (1) salted rice-bran paste for pickling/(2) mashed green soybeans/
糂汰 [じんだ] /(n) (1) salted rice-bran paste for pickling/(2) mashed green soybeans/
糒 [ほしい] /(n) dried boiled rice used mainly as provisions of samurai troops and travelers (travellers)/
糜爛 [びらん] /(n,vs) inflammation/erosion of skin or mucous membranes/
糜爛性 [びらんせい] /(n) irritating/poisonous (gas)/
鬻ぐ [ひさぐ] /(v5g) (uk) (arch) to sell/
糯 [もち] /(n) mochi (glutinous rice or other grain, sticky enough to make mochi rice cakes)/
糯粟 [もちあわ] /(n) glutinous millet (for making mochi and certain types of alcohol)/
糯米 [もちごめ] /(n) glutinous rice/
糶 [せり] /(io) (n) (1) competing/competition/(2) auction/
糶り [せり] /(n) (1) competing/competition/(2) auction/
糶り市 [せりいち] /(n) auction market/
糶る [せる] /(v5r,vt) (1) to compete/(2) to bid/(3) to sell at auction/
糶市 [せりいち] /(n) auction market/
糺す [ただす] /(v5s,vt) (uk) to ascertain/to confirm/to verify/to make sure of/(P)/
糺弾 [きゅうだん] /(n,vs) blame/
糺明 [きゅうめい] /(n,vs) searching examination/establishing the facts through thorough examination/
糺問 [きゅうもん] /(n,vs) inquiry/enquiry/
紆曲 [うきょく] /(n,vs) winding/roundabout/
紆余 [うよ] /(n) meandering/beating around the bush/abundant talent/
紆余曲折 [うよきょくせつ] /(n,vs) turns and twists/ups and downs/meandering/complications/vicissitudes/
紆余曲折を経て [うよきょくせつをへて] /(exp) after many twists and turns/after much trouble/
紕 [まよい] /(io) (n) (1) hesitation/bewilderment/doubt/indecision/(2) (Buddh) inability to reach enlightenment/
紕い [まよい] /(n) (1) hesitation/bewilderment/doubt/indecision/(2) (Buddh) inability to reach enlightenment/
紕う [まよう] /(v5u,vi) (1) to lose one's way/(2) to waver/to hesitate/to be of two minds over/to be puzzled/to be perplexed/(3) to give into temptation/to lose control of oneself/(4) to turn in one's grave/
紊れる [みだれる] /(v1,vi) (1) to be disordered/to be disarranged/to be disarrayed/to be disheveled/to be dishevelled/(2) to be discomposed/to be upset/to get confused/to be disturbed/(3) to lapse into chaos (due to war, etc.)/
紊乱 [びんらん] /(n,vs) disorder/
紊乱 [ぶんらん] /(n,vs) disorder/
紮げる [からげる] /(v1,vt) (1) to tie up/to bind/(2) to tuck up (clothes, etc.)/
紲 [きずな] /(n) (1) bonds/fetters/encumbrance/(2) tether/
紲 [きづな] /(n) (1) bonds/fetters/encumbrance/(2) tether/
絆 [きずな] /(n) (1) bonds/fetters/encumbrance/(2) tether/(P)/
絆 [きづな] /(n) (1) bonds/fetters/encumbrance/(2) tether/
絆される [ほだされる] /(v1,vi) to be moved by affection/to be moved by kindness/
絆創膏 [ばんそうこう] /(n) adhesive plaster/sticking plaster/bandage/band-aid/
絎ける [くける] /(v1,vt) to blindstitch/
絎針 [くけばり] /(n) needle for the blind stitch/
絎縫い [くけぬい] /(n) blind stitch/
絨毛 [じゅうもう] /(n,adj-no) (1) villus (intestinal or chorionic)/(2) soft hair/
絨毯 [じゅうたん] /(n) (uk) carpet/rug/runner/(P)/
絨毯爆撃 [じゅうたんばくげき] /(n) carpet bombing/
絨氈 [じゅうたん] /(iK) (n) (uk) carpet/rug/runner/
絨緞 [じゅうたん] /(n) (uk) carpet/rug/runner/(P)/
絮雪 [じょせつ] /(n) (obsc) willow flower/
絣 [かすり] /(n) splash pattern (e.g. on a kimono)/dye pattern/kasuri/
經文 [きょうもん] /(oK) (n) (Buddh) scriptural text/scriptures/sutras/
絛虫 [じょうちゅう] /(n,adj-no) cestode/tapeworm/
絛虫類 [じょうちゅうるい] /(n) cestodes/tapeworms/
綏撫 [すいぶ] /(n,vs) lulled into peacefulness/comforted and consoled/
綏撫 [ずいぶ] /(n,vs) lulled into peacefulness/comforted and consoled/
絽 [ろ] /(n) type of silk gauze/
絽縮緬 [ろちりめん] /(n) type of crepe/gauze crepe/
綛 [かせ] /(n) (1) (uk) hank/skein/reel/(2) (uk) (abbr) reeled thread/
綛糸 [かせいと] /(n) reeled thread/
綺 [かにはた] /(n) (arch) thin twilled silk fabric/
綺 [かんはた] /(n) (arch) thin twilled silk fabric/
綺 [かんばた] /(n) (arch) thin twilled silk fabric/
綺 [き] /(n) (arch) thin twilled silk fabric/
綺想曲 [きそうきょく] /(n) capriccio/lively musical composition/
綺談 [きだん] /(n) romantic story/colorful story/colourful story/highly embellished story/
綺羅 [きら] /(n) fine clothes/
綺羅びやか [きらびやか] /(adj-na) gorgeous/gaudy/dazzling/gay/
綺羅星 [きらぼし] /(n) glittering stars/
綺麗 [きれい] /(adj-na) (1) (uk) pretty/lovely/beautiful/fair/(2) clean/clear/pure/tidy/neat/(3) completely/entirely/(P)/
綺麗さっぱり [きれいさっぱり] /(adv,adv-to,vs,adj-na) (1) (uk) once and for all/(adv,adv-to,vs) (2) spotlessly/
綺麗な薔薇には刺が有る [きれいなばらにはとげがある] /(exp) (id) There is no rose without a thorn/
綺麗好き [きれいずき] /(n,adj-na) tidy (of people)/neat/liking cleanliness/
綺麗事 [きれいごと] /(n) (1) (uk) whitewashing/glossing over/lip service/(2) deftly finishing up/putting on the final touches/
緇素 [しそ] /(n) old term for Buddhist priesthood and the common people (since they used to wear black and white clothing respectively)/
綽号 [しゃくごう] /(n) nickname/
綽名 [あだな] /(n,vs) nickname/(P)/
總領 [そうりょう] /(oK) (n) (1) eldest child/oldest child/first-born child/(2) child who carries on the family name/(3) (arch) pre-ritsuryo official established in key provinces, responsible for administration of his home and surrounding provinces/(4) (arch) head of a warrior clan (Kamakura period)/
總覽 [そうらん] /(oK) (n,vs,adj-no) guide/general survey/conspectus/comprehensive bibliography/
綢密 [ちゅうみつ] /(adj-na,n) dense/populous/crowded/thick/
綢繆 [ちゅうびゅう] /(n) (1) coiled about/entangled/entwined/(2) familiar/harmonious/
綯い交ぜにする [ないまぜにする] /(exp,vs-i) to blend (e.g. truth and lies)/to mix together (e.g. kanji and kana)/
綯い交ぜる [ないまぜる] /(v1,vt) (1) to mix/to include/(2) to entwine threads of various colours (colors)/
綯う [なう] /(v5u) to twist/to twine/
緜蛮 [めんばん] /(n,adj-t) chirping of a small bird/
綸言 [りんげん] /(n) imperial words/
綸子 [りんず] /(n) figured satin/
綸旨 [りんじ] /(n) the Emperor's command/private message from an emperor/
綟 [もじ] /(n) hemp yarn or linen thread woven into a coarse cloth used for mosquito nets, summer clothes, etc./
綟子 [もじ] /(n) hemp yarn or linen thread woven into a coarse cloth used for mosquito nets, summer clothes, etc./
綰ねる [たかねる] /(v1) to gather and bundle together/
綰ねる [たがねる] /(v1) to gather and bundle together/
綰ねる [わがねる] /(v1,vt) to bend into a loop (wire, hair, etc.)/
緘する [かんする] /(vs-s) to shut/to close/to seal/
緘口 [かんこう] /(n) keeping silent/
緘口令を敷く [かんこうれいをしく] /(exp,v5k) to impose a gag order/to hush up/to order someone not to mention something/
緘黙 [かんもく] /(n,vs) keeping silent/
緘黙症 [かんもくしょう] /(n) mutism/
緝輯 [しゅうしゅう] /(n,vs) gathered together and compiled/
緞子 [どんす] /(n) silk damask/satin damask/
緞帳 [どんちょう] /(n) thick curtain/drop curtain/
緞帳芝居 [どんちょうしばい] /(n) low-class (Kabuki) theater (play)/
緞帳役者 [どんちょうやくしゃ] /(n) low-class (Kabuki) actor/actor who plays in low-class (cheap) theater/
緻密 [ちみつ] /(adj-na,n) minute/fine/delicate/accurate/elaborate/
緡縄 [さしなわ] /(n) slender rope that goes through the hole in a coin/
縅 [おどし] /(n) leather strap binding the plates of traditional Japanese armor (armour)/
縊り殺す [くびりころす] /(v5s,vt) to strangle to death/
縊る [くびる] /(v5r,vt) to strangle to death/
縊死 [いし] /(n,vs) suicide by hanging/hanging oneself/
縊首 [いしゅ] /(n,vs) suicide by hanging/
縣 [あがた] /(oK) (n) (1) territory (pre-Taika: under the Yamato court; Heian: under a provincial governor, etc.)/(2) (arch) countryside/
縣 [けん] /(oK) (n) (1) prefecture (of Japan)/(2) county (of China)/
縒り [より] /(n) twist/ply/
縒りを戻す [よりをもどす] /(exp,v5s) to get back together again/to be reconciled/
縒り合せる [よりあわせる] /(v1,vt) to intertwine/to twist together/
縒り合わせる [よりあわせる] /(v1,vt) to intertwine/to twist together/
縒り糸 [よりいと] /(n) twisting (thread, etc.)/twisted yarn/twisted thread/twine/
縒る [よる] /(v5r,vt) to twist (yarn)/to lay (rope)/
縒れる [よれる] /(v1,vi) to get twisted/to get kinked/
縟礼 [じょくれい] /(n) bothersome formalities/
縉紳 [しんしん] /(n) person of rank/person of status/ranked official/
縋りつく [すがりつく] /(v5k,vi) to cling to/to depend on/to embrace/to hug/
縋り付く [すがりつく] /(v5k,vi) to cling to/to depend on/to embrace/to hug/
縋る [すがる] /(v5r,vi) to cling to/to rely on/(P)/
縢がり [かがり] /(n) sewing up/darning/
縢がる [かがる] /(v5r,vt) to cross-stitch/to hemstitch/to sew (up)/to darn/
縢り [かがり] /(n) sewing up/darning/
縢る [かがる] /(v5r,vt) to cross-stitch/to hemstitch/to sew (up)/to darn/
繦 [たすき] /(n) (1) cord used to tuck up the sleeves of a kimono/(2) wrapper on books, CDs, etc./(3) sash (e.g. worn across chest)/
縵面 [なめ] /(n) (arch) smooth unlettered back surface of an old "zeni" coin/
縹 [はなだ] /(n) (abbr) light indigo/
縹色 [はなだいろ] /(n) light indigo/
縹渺 [ひょうびょう] /(adj-t,adv-to) (1) boundlessly wide or vast/(2) dim and indistinct/
縹緲 [ひょうびょう] /(adj-t,adv-to) (1) boundlessly wide or vast/(2) dim and indistinct/
繃帯 [ほうたい] /(n,vs,adj-no) bandage/dressing/
縷々 [るる] /(adj-t,adv-to) continuously/unbroken/at great length/in minute detail/
縷々綿々 [るるめんめん] /(adj-t,adv-to) going on and on in tedious detail/
縷説 [るせつ] /(n,vs) detailed explanation/
縷縷 [るる] /(adj-t,adv-to) continuously/unbroken/at great length/in minute detail/
縷縷綿綿 [るるめんめん] /(adj-t,adv-to) going on and on in tedious detail/
縲囚 [るいしゅう] /(n) prisoner/
縲紲 [るいせつ] /(n) (arch) black rope used to bind criminals/being bound in prison/
縲絏 [るいせつ] /(n) (arch) black rope used to bind criminals/being bound in prison/
縺れ [もつれ] /(n,adj-na) tangle/entanglement/snarl/difficulties/trouble/troubles/snag/
縺れる [もつれる] /(v1,vi) to tangle/to become complicated/to get twisted/(P)/
縺れ合う [もつれあう] /(v5u) to entangle themselves together (e.g. of butterflies)/to be intertwined/
縺れ込む [もつれこむ] /(v5m,vi) to proceed though deadlocked/
繧繝 [うげん] /(n) method of dying in which a color repeatedly goes from dense to diffuse, diffuse to dense - imported from western China and used in Buddhist pictures, temple ornaments, etc., during the Nara and Heian periods/
繧繝 [うんげん] /(n) method of dying in which a color repeatedly goes from dense to diffuse, diffuse to dense - imported from western China and used in Buddhist pictures, temple ornaments, etc., during the Nara and Heian periods/
繖形花序 [さんけいかじょ] /(n) umbellate inflorescence/umbel (i.e. flower with a large number of flowers growing radially from a common center)/
繖房花序 [さんぼうかじょ] /(n,adj-no) corymbose inflorescence/corymb/
繞 [にょう] /(n) (uk) kanji radical that runs from the left to the bottom part of the kanji/kanji enclosure-type radical/
繞く [しまく] /(v5k,vt) (obsc) to enclose/to surround/
繙く [ひもとく] /(v5k,vi,vt) (1) to peruse (a book)/(2) to untie a scroll/
繚乱 [りょうらん] /(adj-na,n) profusion/
繩張り [なわばり] /(n,vs) roping off/stretching rope/demarcation/one's turf/domain/territory/sphere of influence/
繻子 [しゅす] /(n,adj-no) satin/
繻子織り [しゅすおり] /(n) satin weave/
繻珍 [しちん] /(n) satin with raised figures (por: setim, dut: satijn)/
繻珍 [しゅちん] /(n) satin with raised figures (por: setim, dut: satijn)/
繽紛 [ひんぷん] /(adj-t,adv-to) (1) jumbled/in disarray/(2) scattered randomly about (small items)/
辮髪 [べんぱつ] /(oK) (n) pigtail/queue/cue/
纒わり付く [まつわりつく] /(iK) (v5k,vi) to coil about/to follow about/
纒わり付く [まとわりつく] /(iK) (v5k,vi) to coil about/to follow about/
纒足 [てんそく] /(n,vs) foot-binding/
纐纈 [こうけち] /(n) style of tie-dying used during the Nara era/
纐纈 [こうけつ] /(n) style of tie-dying used during the Nara era/
纓 [えい] /(n) (1) tail (of a traditional Japanese cap)/(2) chinstrap/
纔 [ひたた] /(adv) (arch) just a tiny bit/
纔か [わずか] /(adj-na,adv,n) only/merely/(a) little/small quantity/
纛 [おにがしら] /(n) decorative black flagpole tassel made from tail hair (of a yak, horse, ox, etc.) or dyed hemp/
纛 [とう] /(n) decorative black flagpole tassel made from tail hair (of a yak, horse, ox, etc.) or dyed hemp/
纜 [ともづな] /(n) stern line/mooring line/
缺 [けつ] /(oK) (n) lack/deficiency/vacancy/
缺け [かけ] /(n) (1) fragment/splinter/(2) wane (of the moon)/
缺ける [かける] /(v1,vi) (1) to be chipped/to be damaged/to be broken/(2) to be lacking/to be missing/(3) to be insufficient/to be short/to be deficient/to be negligent toward/(4) (of the moon) to wane/to go into eclipse/
罅 [ひび] /(n,adj-no) (1) (uk) crack/(skin) fissure/flaw or roughness (esp. in skin)/(n) (2) chaps/(P)/
罅が入る [ひびがはいる] /(exp,v5r) to get cracked/to develop a crack/to be fissured/
罅ぜる [はぜる] /(v1,vi) to burst open/to pop/to split/
罅割れ [ひびわれ] /(n,vs) crack/crevice/fissure/
罅割れる [ひびわれる] /(v1,vi) to crack/to develop a crack/
罅隙 [こげき] /(n) crack/slit/crevasse/crevice/
罅焼き [ひびやき] /(n) crackleware/
罌粟 [けし] /(n) poppy/
罌粟粒 [けしつぶ] /(n) (1) poppy seed/(adj-f) (2) pinhead-like/small as ants/
罎 [びん] /(n) bottle/
罐 [かん] /(ateji) (oK) (n) can/tin/
罐詰 [かんづめ] /(oK) (n,adj-no) packing (in cans)/canning/canned goods/tin can/
罐詰め [かんづめ] /(oK) (n,adj-no) packing (in cans)/canning/canned goods/tin can/
罐焚き [かまたき] /(n) stoker/fireman/
罠 [わな] /(n) (1) snare/trap (for catching wild game, etc.)/(2) trap (i.e. ruse, subterfuge, etc.)/(P)/
罠にかかる [わなにかかる] /(exp,v5r) (1) to be caught in a trap (snare, etc.)/(2) to fall for (a trick, ambush, etc.)/
罠に掛かる [わなにかかる] /(exp,v5r) (1) to be caught in a trap (snare, etc.)/(2) to fall for (a trick, ambush, etc.)/
罠網 [わなみ] /(n) snare/
罨法 [あんぽう] /(n,vs) poultice/(cold) pack/
罩める [こめる] /(iK) (v1,vt) to include/to put into/
羂 [わな] /(n) (1) snare/trap (for catching wild game, etc.)/(2) trap (i.e. ruse, subterfuge, etc.)/
羆 [しくま] /(ok) (n) (uk) brown bear (Ursus arctos)/
羆 [しぐま] /(ok) (n) (uk) brown bear (Ursus arctos)/
羆 [ひ] /(ok) (n) (uk) brown bear (Ursus arctos)/
羆 [ひぐま] /(n) (uk) brown bear (Ursus arctos)/
羃 [べき] /(n) (math) a power/
羃級数 [べききゅうすう] /(n) power series/
羃集合 [べきしゅうごう] /(n) (math) power set/
羈 [おもがい] /(n) headstall/headgear/
羈束 [きそく] /(n,vs) fetters/shackles/restraints/
羈旅 [きりょ] /(n) travel/traveler/traveller/
羈絆 [きはん] /(n) fetters/shackles/restraints/bond/connection/
羈縻 [きび] /(vs) to be tied down/to be fastened/to be bound to/
羌 [きょう] /(n) Qiang (Chinese ethnic group)/
羔 [こひつじ] /(oK) (n) lamb/
羞 [はじ] /(n) shame/embarrassment/
羞い [はじらい] /(n) shyness/
羞じらい [はじらい] /(n) shyness/
羞じらう [はじらう] /(v5u,vi) to feel shy/to be bashful/to blush/
羞じる [はじる] /(v1) to feel ashamed/
羞ずかしい [はずかしい] /(adj-i) shy/ashamed/embarrassed/
羞らい [はじらい] /(n) shyness/
羞月閉花 [しゅうげつへいか] /(n) the charms of a uniquely beautiful woman (lit: (so beautiful that) the Moon is abashed and flowers wilt)/
羞恥 [しゅうち] /(n) shyness/bashfulness/
羞恥心 [しゅうちしん] /(n) shyness/shame/
羞明 [しゅうめい] /(n) photophobia/
羝羊 [ていよう] /(n) (1) (obsc) ram (sheep)/(2) used to liken one to someone who lives their life by instinct/
羚羊 [かもしか] /(n) (uk) serow/wild goat/
羚羊 [れいよう] /(n) antelope/
羯 [けつ] /(n) Jie (ancient Chinese ethnic group)/
羯鼓 [かっこ] /(n) type of ancient Japanese drum/
羹 [あつもの] /(n) broth made of fish and vegetables/
羹に懲りて膾を吹く [あつものにこりてなますをふく] /(exp) (id) (obs) a burnt child dreads the fire/once bitten twice shy/to become over cautious from a bad experience/
羶血 [せんけつ] /(n) stink of blood or meat/meat eating barbarian (i.e. Westerner)/
羸 [るい] /(n) weak/thin/
羸弱 [るいじゃく] /(adj-na,n) weakness/feebleness/imbecility/
翅 [はね] /(n) (1) feather/plume/wing/(2) blade (fan, propeller, etc.)/
翅鞘 [ししょう] /(n) elytron/
翅斑蚊 [はまだらか] /(n) (uk) anopheles mosquito (any mosquito of genus Anopheles, capable of carrying malaria)/
翅脈 [しみゃく] /(n) wing veins (of an insect)/
翕然 [きゅうぜん] /(n,adj-t,adv-to) spontaneously/with one accord/
翔ける [かける] /(io) (v5r,vi) (1) to soar/to fly/(2) to run/to dash/
翔ぶ [とぶ] /(oK) (v5b,vi) (1) to jump/to leap/to spring/to bound/to hop/(2) to fly/to soar/
翔る [かける] /(v5r,vi) (1) to soar/to fly/(2) to run/to dash/(P)/
翔んでる [とんでる] /(exp,v1) far-out/groovy/flipped out/
翔破 [しょうは] /(n,vs) completing a flight/
翡翠 [かわせみ] /(n) (1) kingfisher (esp. the common kingfisher, Alcedo atthis)/
翡翠 [しょうびん] /(n) (1) kingfisher (esp. the common kingfisher, Alcedo atthis)/
翡翠 [ひすい] /(n) (1) kingfisher (esp. the common kingfisher, Alcedo atthis)/(2) jade (gem)/(3) beautiful lustrous colour similar to that of the kingfisher's feathers/
翡翠色 [ひすいいろ] /(n) jade green/
翩々 [へんぺん] /(adj-t,adv-to) fluttering/frivolous/
翩翻 [へんぽん] /(adj-t,adv-to) fluttering/frivolous/
翩翩 [へんぺん] /(adj-t,adv-to) fluttering/frivolous/
翳 [えい] /(n) large fan-shaped object held by an attendant and used to conceal the face of a noble, etc./
翳 [かげ] /(n) (1) shade/shadow/(2) other side/back/background/
翳 [かすみ] /(n) (1) dimness (of sight)/
翳 [さしは] /(n) large fan-shaped object held by an attendant and used to conceal the face of a noble, etc./
翳 [さしば] /(n) large fan-shaped object held by an attendant and used to conceal the face of a noble, etc./
翳 [は] /(n) large fan-shaped object held by an attendant and used to conceal the face of a noble, etc./
翳す [かざす] /(v5s,vt) (1) to hold up over one's head/to hold aloft/(2) to hold one's hands out (e.g. towards a fire)/(3) to shade one's eyes, face, etc./
翳み [かすみ] /(n) (1) dimness (of sight)/
翳む [かすむ] /(v5m,vi) (1) to grow hazy/to be misty/(2) to get blurry/(3) to be overshadowed/
翳り [かげり] /(n) shadow or cloud (e.g. on someone's happiness)/shade/gloom/
翳りのある顔 [かげりのあるかお] /(n) face shaded with pensiveness/
翳りの有る顔 [かげりのあるかお] /(n) face shaded with pensiveness/
翳る [かげる] /(v5r,vi) to darken/to get dark/to be clouded/to be obscured/
翳目 [かすみめ] /(n) partial blindness/dim eyesight/
翹望 [ぎょうぼう] /(n,vs) looking forward (to something)/awaiting/
飜す [ひるがえす] /(v5s,vt) (1) to turn over/to turn around/(2) to change (one's mind)/to reverse (one's decision)/to take back (one's words)/(3) to fly (flag, etc.)/to wave (skirt, cape, etc.)/
飜って [ひるがえって] /(adv) conversely/from another angle/
飜る [ひるがえる] /(v5r,vi) to turn over/to wave/to flutter/
飜訳 [ほんやく] /(n,vs) (1) translation/(2) de-encryption/deciphering/(3) rendering/
飜弄 [ほんろう] /(n,vs) (1) trifling with/toying with/playing with/making sport of/making fun of/leading around by the nose/(2) tossing about (a ship)/
耆那教 [じなきょう] /(n) Jainism/
耆那教 [じゃいなきょう] /(n) Jainism/
耄ける [ほうける] /(v1,vi) (1) to grow senile/to be childish with age/(2) to be mentally slow/to be befuddled/(3) to become engrossed (in something)/
耄碌 [もうろく] /(n,vs) senility/second childhood/
耒 [らいすき] /(n) kanji "plow" or "three-branch tree" radical/
耒偏 [すきへん] /(n) kanji "plow" or "three-branch tree" radical/
耻 [はじ] /(n) shame/embarrassment/
耻じる [はじる] /(v1) to feel ashamed/
聊 [いささか] /(io) (adj-na,adv) (uk) a little/a bit/somewhat/
聊か [いささか] /(adj-na,adv) (uk) a little/a bit/somewhat/(P)/
聆い [とい] /(adj-i) (1) (arch) nimble/(2) keen/sharp/
聚楽 [じゅらく] /(n) grey wall covering material (gray)/
聚散 [しゅうさん] /(n,vs) collection and distribution/
聚落 [しゅうらく] /(n) village/community/settlement/town/colony (animals, etc.)/
聚落 [じゅらく] /(n) village/community/settlement/town/colony (animals, etc.)/
聚斂 [しゅうれん] /(n,vs) (levying of a) heavy taxation/
聟 [むこ] /(n) (1) husband/groom/(2) (one's) son-in-law/
聢と [しかと] /(adv) (1) certainly/for sure/(2) distinctly/clearly/exactly/(3) firmly/tightly/
聢と [しっかと] /(adv) (1) certainly/for sure/(2) distinctly/clearly/exactly/(3) firmly/tightly/
聢り [しっかり] /(adj-na,adv,adv-to,n,vs) (uk) firmly/tightly/reliable/level-headed/steady/
聳える [そびえる] /(v1,vi) (uk) to rise/to tower/to soar/(P)/
聳え立つ [そびえたつ] /(v5t) to stand towering over the surrounds/
聳やかす [そびやかす] /(v5s) to raise (usu. one's shoulders, with a jaunty, swaggering effect)/
聳り立つ [そそりたつ] /(v5t) to rise (steeply)/to tower/to soar/
聳立 [しょうりつ] /(n,vs) being conspicuously tall/
聲 [こえ] /(oK) (n) voice/
聲明 [しょうみょう] /(n) (1) sabdavidya (ancient Indian linguistic and grammatical studies)/(2) (Buddh) chanting of Buddhist hymns (usu. in Sanskrit or Chinese)/
聰明 [そうめい] /(adj-na,n) wisdom/sagacity/
聿旁 [ふでずくり] /(ik) (n) (uk) kanji "brush" radical/
聿旁 [ふでづくり] /(n) (uk) kanji "brush" radical/
肆 [し] /(num) four (used in legal documents)/
肛門 [こうもん] /(n,adj-no) anus/
肛門科 [こうもんか] /(n) proctology clinic/proctology/
肛門学 [こうもんがく] /(n) proctology/
肛門括約筋 [こうもんかつやくきん] /(n) anal sphincter/
肛門期 [こうもんき] /(n,adj-no) anal stage/
肛門出血 [こうもんしゅっけつ] /(n) anal bleeding/bleeding of the anus/
肛門上皮 [こうもんじょうひ] /(n) anal epithelium/
肛門性格 [こうもんせいかく] /(n) anal character (in psychoanalysis)/
肛門性交 [こうもんせいこう] /(n) anal intercourse/pederasty/
肚 [はら] /(n) (1) abdomen/belly/stomach/(2) one's mind/one's real intentions/one's true motive/(3) loop (physics)/(suf,ctr) (4) counter for hard roe/
肚裏 [とり] /(n) in the heart/
胛 [かいがね] /(n) (arch) shoulder blade/scapula/
胙 [ひもろぎ] /(n) (arch) offerings of food (to the gods)/
胝 [たこ] /(n,adj-no) (uk) callus/callosity/corn/
胄 [かぶと] /(iK) (n) helmet (of armor, armour)/headpiece/
胚 [はい] /(n) embryo (zoological or botanical)/germ (e.g. wheat germ)/
胚芽 [はいが] /(n) embryo bud/germ/
胚芽米 [はいがまい] /(n) milled rice with embryo buds/rice with the germ/rice polished to remove the bran but not the germ/
胚幹細胞 [はいかんさいぼう] /(n) embryonic stem cell/
胚子 [はいし] /(n,adj-no) embryo/
胚珠 [はいしゅ] /(n,adj-no) ovule/
胚性 [はいせい] /(adj-na) embryonic/embryonal/
胚性幹細胞 [はいせいかんさいぼう] /(n) embryonic stem cell/ES/
胚胎 [はいたい] /(n,vs) germination/pregnancy/
胚乳 [はいにゅう] /(n) albumen (of a seed, esp. the endosperm)/
胚嚢 [はいのう] /(n) embryo sac/
胚盤 [はいばん] /(n) (1) blastodisk/blastodisc/(2) scutellum (of a grass seed)/
胚盤胞 [はいばんほう] /(n) blastocyst/blastodermic vesicle/
胚膜 [はいまく] /(n) embryonic membrane/
胚葉 [はいよう] /(n,adj-no) germ (germinal, embryonic) layers/
胯 [また] /(n) (1) crotch/crutch/groin/thigh/(2) fork (in a tree, road, river, etc.)/tines (of a fork)/
胯間 [こかん] /(n) nether region/between the legs/
脛 [すね] /(n) (uk) shin/shank/lower leg/(P)/
脛 [はぎ] /(ok) (n) (uk) shin/shank/lower leg/
脛に傷持つ [すねにきずもつ] /(exp,v5t) to have a guilty conscience/
脛に疵持つ [すねにきずもつ] /(exp,v5t) to have a guilty conscience/
脛巾 [はばき] /(n) leggings/
脛骨 [けいこつ] /(n,adj-no) tibia/shinbone/
脛当て [すねあて] /(n) greaves/shin guards/
脛齧り [すねかじり] /(n) sponging off one's parents/
脩竹 [しゅうちく] /(n) tall bamboo/
脣 [くちびる] /(n) lips/
腋 [わき] /(n) (1) side/aside/(2) armpit/(3) back-burner/
腋の下 [わきのした] /(n) armpit/axilla/
腋下 [えきか] /(n,adj-no) armpit/
腋芽 [えきが] /(n) axillary bud/
腋芽 [わきめ] /(n) axillary bud/
腋臭 [わきが] /(n) body odor (odour)/abnormal underarm odor (odour)/
腋生 [えきせい] /(n,vs) axillary growth/
腋明け [わきあけ] /(n) (1) robe worn by military officials with a round collar, unstitched open sides, and no wrapped fabric along the bottom/(2) small opening in the side of traditional Japanese clothing (where the sleeve meets the bodice, below the armpit)/clothing with such an opening (usu. worn by women or children)/
腋毛 [わきげ] /(n) underarm hair/
腋窩 [えきか] /(n,adj-no) armpit/
腋窩腺 [えきかせん] /(n) axillary gland/
隋 [ずい] /(n) Sui (dynasty of China, 581-619 CE)/
脾 [ひ] /(n) spleen/
脾 [よこし] /(ok) (n) spleen/
脾腫 [ひしゅ] /(n) swollen or cancerous spleen/
脾臓 [ひぞう] /(n,adj-no) spleen/
脾肉 [ひにく] /(n) round meat/meat from a pig's thigh (from which ham is made)/
脾腹 [ひばら] /(n) one's side/spleen/
脾臟 [ひぞう] /(n) spleen/
腓 [こぶら] /(n) calf (of the leg)/
腓 [こむら] /(n) calf (of the leg)/
腓骨 [ひこつ] /(n,adj-no) fibula/
腓腸筋 [はいちょうきん] /(ik) (n) (obs) gastrocnemius muscle/
腓腸筋 [ひちょうきん] /(n) (obs) gastrocnemius muscle/
腓腹筋 [ひふくきん] /(n) gastrocnemius muscle/
腓返り [こむらがえり] /(n) cramp in the leg/
腑 [ふ] /(n) internal organ/viscera/gut/
腑に落ちない [ふにおちない] /(exp,adj-i) cannot understand/doesn't make sense/
腑甲斐ない [ふがいない] /(adj-i) disappointing/weak-minded/spiritless/cowardly/worthless/pusillanimous/feckless/faint-hearted/shiftless/tame/timid/
腑甲斐無い [ふがいない] /(adj-i) disappointing/weak-minded/spiritless/cowardly/worthless/pusillanimous/feckless/faint-hearted/shiftless/tame/timid/
腑抜け [ふぬけ] /(adj-na,n) fool/coward/
腑抜ける [ふぬける] /(v1) to be cowardly/
腑分け [ふわけ] /(n,vs) dissection/autopsy/
胼胝 [たこ] /(n,adj-no) (uk) callus/callosity/corn/
胼胝 [へんち] /(n,adj-no) (uk) callus/callosity/corn/
胼胝 [べんち] /(n,adj-no) (uk) callus/callosity/corn/
胼胝体 [べんちたい] /(n) corpus callosum/
腱 [けん] /(n) tendon/
腱炎 [けんえん] /(n) tendinitis/tendonitis/
腱鞘 [けんしょう] /(n,adj-no) sheath of tendon/
腱鞘炎 [けんしょうえん] /(n) inflammation of a tendon (sheath)/tendonitis/tendinitis/tenosynovitis/tenovaginitis/tendovaginitis/
腱板 [けんばん] /(n) (abbr) rotator cuff/
腱板損傷 [けんばんそんしょう] /(n) rotator cuff tear/
腱膜瘤 [けんまくりゅう] /(n) bunion/hallux valgus/
腮 [あぎと] /(n) (1) (arch) chin/jaw/(2) (arch) gills/branchia/
腮 [あご] /(oK) (n,adj-no) chin/jaw/
腥い [なまぐさい] /(adj-i) fishy/raw/smelling of fish or blood/
腴 [つちすり] /(n) (arch) fatty portion of a fish's underbelly/
膃肭獣 [おっとせい] /(n) (uk) fur seal (esp. the northern fur seal, Callorhinus ursinus)/Alaskan fur seal/
膃肭臍 [おっとせい] /(n) (uk) fur seal (esp. the northern fur seal, Callorhinus ursinus)/Alaskan fur seal/
膈 [かく] /(n) (obsc) diaphragm/vicinity of the diaphragm/
膀胱 [ぼうこう] /(n,adj-no) urinary bladder/
膀胱がん [ぼうこうがん] /(n) bladder cancer/
膀胱炎 [ぼうこうえん] /(n) cystitis/
膀胱癌 [ぼうこうがん] /(n) bladder cancer/
膀胱鏡 [ぼうこうきょう] /(n) cystoscope/
膀胱結石 [ぼうこうけっせき] /(n,adj-no) bladder stones/cystoliths/
膂宍 [そしし] /(n) (arch) meat, flesh, or muscles along the spine/
膂宍 [そじし] /(n) (arch) meat, flesh, or muscles along the spine/
膂力 [りょりょく] /(n) physical strength/the strength of one's muscles/
膠 [にかわ] /(n) glue/
膠もない [にべもない] /(adj-i) (uk) curt/point-blank/
膠も無い [にべもない] /(adj-i) (uk) curt/point-blank/
膠化 [こうか] /(n,vs) gelatinization/gelatinisation/
膠原質 [こうげんしつ] /(n) collagen/
膠原病 [こうげんびょう] /(n) collagen disease/
膠漆 [こうしつ] /(n) glue and lacquer/great intimacy/
膠質 [こうしつ] /(n,adj-no) gluey/colloidal/
膠状 [こうじょう] /(n,adj-no) colloid/
膠着 [こうちゃく] /(n,vs,adj-no) stalemate/agglutination/adhesion/
膠着語 [こうちゃくご] /(n) agglutinative language/
膠着剤 [こうちゃくざい] /(n) adhesion/agglutination/
膠着状態 [こうちゃくじょうたい] /(n,adj-no) deadlock/stalemate/
膠付け [にかわづけ] /(n) (obsc) glueing/
膣 [ちつ] /(n) vagina/
膣けいれん [ちつけいれん] /(n) vaginismus/vaginal spasm/
膣カンジタ症 [ちつカンジタしょう] /(n) vaginal yeast infection/thrush/candidiasis/
膣カンジダ症 [ちつカンジダしょう] /(n) vaginal yeast infection/thrush/candidiasis/
膣トリコモナス症 [ちつトリコモナスしょう] /(n) vaginal trichomoniasis/
膣圧 [ちつあつ] /(n) vaginal tightness/vaginal pressure/
膣液 [ちつえき] /(n) vaginal secretion (during arousal)/vaginal lubricant/
膣炎 [ちつえん] /(n) vaginitis/
膣口 [ちつこう] /(n,adj-no) vaginal opening/
膣前庭 [ちつぜんてい] /(n) vaginal vestibule/vulvar vestibule/
膣内 [ちつない] /(adj-no) intravaginal/
膣内射精 [ちつないしゃせい] /(n,vs) (1) intravaginal ejaculation/(2) (sl) cream pie/depth charge/
膣排気音 [ちつはいきおん] /(n) vaginal flatulence/flatus vaginalis/
膣分泌液 [ちつぶんぴつえき] /(n) vaginal secretion (during arousal)/vaginal lubricant/
膣壁 [ちつへき] /(n) vaginal wall/
膣痙攣 [ちつけいれん] /(n) vaginismus/vaginal spasm/
腟 [ちつ] /(n) vagina/
膩 [あぶら] /(n) fat/tallow/lard/grease/
膰 [ひもろぎ] /(n) (arch) offerings of food (to the gods)/
膵液 [すいえき] /(n) pancreatic juice/
膵炎 [すいえん] /(n) pancreatitis/
膵管 [すいかん] /(n) pancreatic duct/
膵臓 [すいぞう] /(n,adj-no) pancreas/
膵臓がん [すいぞうがん] /(n) pancreatic cancer/cancer of the pancreas/
膵臓ガン [すいぞうガン] /(n) pancreatic cancer/cancer of the pancreas/
膵臓癌 [すいぞうがん] /(n) pancreatic cancer/cancer of the pancreas/
膵島 [すいとう] /(n) islets of Langerhans (pancreatic cells which produce insulin)/
膾 [なます] /(n) dish of raw fish and vegetables seasoned in vinegar/
膾炙 [かいしゃ] /(n,vs) household word/universal praise/
臀 [しり] /(n) (1) buttocks/behind/rump/bottom/(2) undersurface/bottom/(3) last place/end/(4) consequence/
臀鰭 [しりびれ] /(n) anal fin (of a fish)/
臀部 [でんぶ] /(n) (1) buttocks/(adj-no) (2) gluteal/rear/
臂 [ひじ] /(n) (uk) elbow/
膺懲 [ようちょう] /(n,vs) punishment/chastisement/
臍 [へそ] /(n) navel/belly button/(P)/
臍 [ほぞ] /(n) navel/belly button/
臍のゴマ [へそのゴマ] /(n) (uk) belly-button lint/navel fluff/
臍の緒 [へそのお] /(n) umbilical cord/
臍を噛む [ほぞをかむ] /(exp,v5m) to regret bitterly/to be very sorry (for)/
臍を曲げる [へそをまげる] /(exp,v1) to get angry/to become perverse/
臍を固める [ほぞをかためる] /(exp,v1) to make up one's mind (to do something)/to resolve firmly (to do something)/
臍ピ [へそピ] /(n) (uk) (abbr) (sl) navel piercing/belly button ring/
臍ピアス [へそピアス] /(n) navel piercing/belly button ring/
臍ヘルニア [さいヘルニア] /(n) umbilical hernia/
臍下 [せいか] /(n,adj-no) lower abdomen/
臍下丹田 [せいかたんでん] /(n) pit of the stomach/
臍回り [へそまわり] /(n) (uk) circumference of the navel/treasure trail/sagittal hair/
臍曲がり [へそまがり] /(n,adj-na,adj-no) perverseness/devil's advocate/
臍曲り [へそまがり] /(n,adj-na,adj-no) perverseness/devil's advocate/
臍繰り [へそくり] /(n) (uk) secret savings/stash/
臍繰り金 [へそくりがね] /(n) secret savings/
臍帯 [さいたい] /(n,adj-no) umbilical cord/
臍帯 [せいたい] /(n,adj-no) umbilical cord/
臍帯血 [さいたいけつ] /(n) umbilical cord blood/
臍帯血移植 [さいたいけついしょく] /(n) umbilical cord blood transplant/
臍猪 [へそいのしし] /(n) (uk) (obsc) peccary/
臑 [すね] /(n) (uk) shin/shank/lower leg/
臑毛 [すねげ] /(n) leg hair/
臙脂 [えんじ] /(n) rouge/lipstick/dark-red pigment/
臙脂虫 [えんじむし] /(n) (uk) cochineal insect (Dactylopius coccus)/
臘 [ろう] /(n) (1) (Buddh) offering ceremony held on the third day of the dog after the winter solstice/(2) twelfth month of the lunisolar calendar/(3) year in the Buddhist order (after the completion of the first meditation retreat)/
臘月 [ろうげつ] /(n) twelfth lunar month/12th month of the lunar calendar/
臘梅 [ろうばい] /(n) (uk) wintersweet (Chimonanthus praecox)/Japanese allspice/
臈 [ろう] /(n) (1) (Buddh) year in the Buddhist order (after the completion of the first meditation retreat)/(2) becoming more experienced with age/social status based on this experience/
臈たける [ろうたける] /(v1,vi) (1) to be elegant (usu. of a woman)/to be graceful/to be refined/(2) to become well-experienced/to mature/
臈長ける [ろうたける] /(v1,vi) (1) to be elegant (usu. of a woman)/to be graceful/to be refined/(2) to become well-experienced/to mature/
臈闌ける [ろうたける] /(v1,vi) (1) to be elegant (usu. of a woman)/to be graceful/to be refined/(2) to become well-experienced/to mature/
臚列 [ろれつ] /(n,vs) lined up in a row/
臧否 [ぞうひ] /(n) the good and bad/
臺なし [だいなし] /(oK) (adj-na,n) mess/spoiled/spoilt/(come to) nothing/
臺無し [だいなし] /(oK) (adj-na,n) mess/spoiled/spoilt/(come to) nothing/
臺處 [だいどこ] /(oK) (n,adj-no) kitchen/
臺處 [だいどころ] /(oK) (n,adj-no) kitchen/
舁き上げる [かきあげる] /(v1) to shoulder (palanquin)/
舁き入れる [かきいれる] /(v1) to carry in/
舂 [うす] /(n) mill-stone/mortar/
舂く [うすつく] /(v5k,vt) (arch) to pound (rice, etc.)/
舂く [うすづく] /(v5k,vt) (arch) to pound (rice, etc.)/
舂く [つく] /(v5k,vt) (uk) to hull (rice, barley, etc.)/to pound (rice)/to polish (rice)/to stamp (ore)/
舅 [しいと] /(ok) (n) father-in-law/
舅 [しうと] /(n) father-in-law/
舅 [しゅうと] /(n) father-in-law/(P)/
舅姑 [きゅうこ] /(n) parents-in-law/
與太者 [よたもの] /(n) (uk) hooligan/layabout/good-for-nothing/gangster/
與論 [よろん] /(oK) (n) public opinion/
舊字體 [きゅうじたい] /(oK) (n) old character form/
舍人 [しゃじん] /(oK) (n) (1) servant/valet/footman/(2) (arch) someone who works in close quarters with the emperor or imperial family/(3) (arch) low-ranking official who works for the imperial family or nobility (under the Rituryo system)/(4) (arch) ox-tender for oxcarts/horse boy/(5) honorary junior official of the Imperial Household Department's Board of Ceremonies involved in miscellaneous duties related to ceremonies/
舍人 [とねり] /(oK) (gikun) (n) (1) servant/valet/footman/(2) (arch) someone who works in close quarters with the emperor or imperial family/(3) (arch) low-ranking official who works for the imperial family or nobility (under the Rituryo system)/(4) (arch) ox-tender for oxcarts/horse boy/(5) honorary junior official of the Imperial Household Department's Board of Ceremonies involved in miscellaneous duties related to ceremonies/
舐ぶる [ねぶる] /(io) (v5r,vt) to lick/
舐めずる [なめずる] /(v5r) to lick one's lips/
舐める [なめる] /(v1,vt) (1) (uk) to lick/(2) to taste/(3) to experience (esp. a hardship)/(4) to make fun of/to make light of/to put down/to treat with contempt/(P)/
舐め回す [なめまわす] /(v5s,vt) to lick all over/to run one's tongue over/
舐め舐め [なめなめ] /(n,vs) (col) licking/
舐り箸 [ねぶりばし] /(n) licking one's chopsticks (a breach of etiquette)/
舐る [ねぶる] /(v5r,vt) to lick/
舫い [もやい] /(n) painter/mooring rope/
舫い結び [もやいむすび] /(n) bowline (knot)/
舫う [もやう] /(v5u) to moor (a boat)/
舫結び [もやいむすび] /(n) bowline (knot)/
舸 [はやふね] /(n) (1) (arch) fast-moving rowboat/(2) type of fast military ship/
舸 [はやぶね] /(n) (1) (arch) fast-moving rowboat/(2) type of fast military ship/
舳 [じく] /(n) bow of a ship/
舳先 [へさき] /(n) bow (e.g. of a ship)/prow/
舳艫千里 [じくろせんり] /(n) a large number of ships sailing in a long chain-like formation/
艀 [はしけ] /(n) barge/
艀船 [はしけぶね] /(n) barge/
艀船 [ふせん] /(n) barge/
艙口 [そうこう] /(n) hatch/hatchway (ship)/
艘 [そう] /(ctr) counter for (small) boats/
艤装 [ぎそう] /(n,vs) fitting-out of a ship/rigging/ship's outfit/
艨艟 [もうどう] /(n) warship/
艪 [ろ] /(n) Japanese scull (oar attached to the rear of the boat by a traditional peg-in-hole oarlock)/
艪杭 [ろぐい] /(n) fulcrum peg (fitted into the cavity in an oar as part of a traditional oarlock)/
艪櫂 [ろかい] /(n) (obsc) sculls and paddles/
艪臍 [ろべそ] /(n) (obsc) fulcrum peg (fitted into the cavity in an oar as part of a traditional oarlock)/
艫 [とも] /(n) stern/
艫綱 [ともづな] /(n) stern line/mooring line/
艱苦 [かんく] /(n,vs) privation suffering/
艱難 [かんなん] /(n,vs) hardships/privations/difficulties/
艱難苦労 [かんなんくろう] /(n) trials and tribulations/adversities/suffering hardships and troubles/
艱難辛苦 [かんなんしんく] /(n) trial and tribulation/hardships/privations/difficulties/
艱難汝を玉にす [かんなんなんじをたまにす] /(exp) Hardship makes the man/
艷やか [あでやか] /(adj-na) glossy/beautiful/bewitching/fascinatingly elegant/
艷やか [つややか] /(adj-na) glossy/beautiful/bewitching/fascinatingly elegant/
艷冶 [えんや] /(adj-na) charming/bewitching/coquettish/
艸 [くさ] /(oK) (n) grass/
艸 [そうこう] /(n) (1) kanji "grass radical" (radical 140)/(2) grass crown/
艸部 [そうぶ] /(n) kanji "grass radical" (radical 140)/
艾 [もぐさ] /(n) (1) moxa/(2) Japanese mugwort/
艾 [よもぎ] /(n) (1) Japanese mugwort (Artemisia princeps, Artemisia indica var. maximowiczii)/(2) general term for plants in the Artemisia genus/mugwort/sagebrush/wormwood/
芍薬 [しゃくやく] /(n) (uk) Chinese peony (Paeonia lactiflora)/
芒 [すすき] /(n) Japanese pampas grass (Miscanthus sinensis)/silver grass/zebra grass/
芒 [のぎ] /(n) arista/awn/(grain) beard/
芒果 [マンゴー] /(ateji) (n) (uk) mango/
芒種 [ぼうしゅ] /(n) "grain in ear" solar term (approx. June 6, when awns begin to grow on grains)/
芒硝 [ぼうしょう] /(n) sodium sulfate (sulphate)/
芒洋 [ぼうよう] /(adj-na,n) vastness/
芫菁 [げんせい] /(n) (1) (obsc) blister beetle/(2) cantharides/
芟除 [さんじょ] /(n,vs) cutting away/
芬々 [ふんぷん] /(adj-t,adv-to) (of a smell, esp. a good smell) strong/
芬蘭 [ふぃんらんど] /(n) (uk) Finland/
芬芬 [ふんぷん] /(adj-t,adv-to) (of a smell, esp. a good smell) strong/
苟も [いやしくも] /(adv) (uk) any/at all/in the least/even in a slight degree/ever/
苟且 [かりそめ] /(adj-no,adj-na) (1) (uk) temporary/transient/(2) trifling/slight/negligent/
苟且 [こうしょ] /(adj-no,adj-na) (1) (uk) temporary/transient/(2) trifling/slight/negligent/
苳 [ふき] /(n) (uk) giant butterbur (Petasites japonicus)/Japanese sweet coltsfoot/
苺 [いちご] /(n) strawberry (esp. the garden strawberry, Fragaria x ananassa)/(P)/
莓 [いちご] /(n) strawberry (esp. the garden strawberry, Fragaria x ananassa)/
苹果 [ひょうか] /(n) apple (fruit)/
苹果 [へいか] /(n) apple (fruit)/
苹果 [りんご] /(n) (1) (uk) apple/(2) apple tree (Malus pumila)/
苞 [つと] /(n) (1) straw-wrapped item/bundle of straw (containing a food item, etc.)/(2) local produce/souvenir/present/gift/
苞 [ほう] /(n) bract (leaf)/
苞葉 [ほうよう] /(n) bract (leaf)/
苞苴 [あらまき] /(n) salted salmon/fish wrapped in (bamboo) leaves/
苞苴 [つと] /(n) (1) straw-wrapped item/bundle of straw (containing a food item, etc.)/(2) local produce/souvenir/present/gift/
苞苴 [ほうしょ] /(ok) (n) (1) straw-wrapped item/bundle of straw (containing a food item, etc.)/(2) local produce/souvenir/present/gift/
苞苴 [ほうそ] /(ok) (n) (1) straw-wrapped item/bundle of straw (containing a food item, etc.)/(2) local produce/souvenir/present/gift/
苜蓿 [うまごやし] /(n) (1) toothed medick (Medicago polymorpha)/hairy medick/bur clover/(2) (col) white clover (Trifolium repens)/
苜蓿 [おおい] /(ok) (n) (1) toothed medick (Medicago polymorpha)/hairy medick/bur clover/(2) (col) white clover (Trifolium repens)/
苜蓿 [まごやし] /(n) (1) toothed medick (Medicago polymorpha)/hairy medick/bur clover/(2) (col) white clover (Trifolium repens)/
苜蓿 [もくしゅく] /(n) (1) toothed medick (Medicago polymorpha)/hairy medick/bur clover/(2) (col) white clover (Trifolium repens)/
茉莉 [まつり] /(n) (uk) Arabian jasmine (Jasminum sambac)/
茉莉花 [まつりか] /(n) Arabian jasmine (Jasminum sambac)/
茵 [しとね] /(n) cushion/pillow/mattress/
茴香 [ういきょう] /(n) fennel/Foeniculum vulgare/
茲 [ここ] /(n) (1) (uk) here (place physically close to the speaker, place pointed by the speaker while explaining)/this place/(2) these last (followed by a duration noun and a past sentence: time period before the present time of the speaker)/(3) these next ... (followed by a duration noun and a non past sentence: time period after the present time of the speaker)/the next .../
茱萸 [ぐみ] /(n) (uk) oleaster (any plant of genus Elaeagnus)/silverberry (US)/
茹だる [うだる] /(v5r,vi) (1) to boil/to seethe/(2) to be oppressed by heat/
茹だる [ゆだる] /(v5r,vi) (1) to boil/to seethe/(2) to be oppressed by heat/
茹でる [ゆでる] /(v1,vt) to boil/(P)/
茹で溢す [ゆでこぼす] /(v5s) to boil over/
茹で海老 [ゆでえび] /(n) boiled red prawn, shrimp, lobster, etc. (sometimes used as a New Year decoration)/
茹で汁 [ゆでじる] /(n) the broth left over after boiling something/
茹で蛸 [ゆでたこ] /(ik) (n) (1) octopus (boiled)/(2) man as red as a lobster/
茹で蛸 [ゆでだこ] /(n) (1) octopus (boiled)/(2) man as red as a lobster/
茹で麺 [ゆでめん] /(n) boiled noodles/
茹で卵 [ゆでたまご] /(n) boiled egg/
茹る [うだる] /(io) (v5r,vi) (1) to boil/to seethe/(2) to be oppressed by heat/
茹る [ゆだる] /(io) (v5r,vi) (1) to boil/to seethe/(2) to be oppressed by heat/
茹海老 [ゆでえび] /(io) (n) boiled red prawn, shrimp, lobster, etc. (sometimes used as a New Year decoration)/
茹蛸 [ゆでたこ] /(ik) (n) (1) octopus (boiled)/(2) man as red as a lobster/
茹蛸 [ゆでだこ] /(n) (1) octopus (boiled)/(2) man as red as a lobster/
茯苓 [ぶくりょう] /(n) Poria cocos (species of basidiomycete used in Chinese medicine)/
茫 [ぼう] /(adv-to,adj-t) (1) (arch) extensive/spacious/(n) (2) (arch) vague/hazy/
茫々 [ぼうぼう] /(n) (1) wide expanse of flat surface (e.g. sea, plains)/(2) endless/(3) rampant growth of (weeds, hair)/
茫々 [もうもう] /(n) (1) wide expanse of flat surface (e.g. sea, plains)/(2) endless/(3) rampant growth of (weeds, hair)/
茫然 [ぼうぜん] /(adj-t,adv-to) dumbfounded/overcome with surprise/in blank amazement/in a daze/
茫然自失 [ぼうぜんじしつ] /(n,vs,adj-no) stupor/stupefaction/trance/(being) dumbfounded/
茫漠 [ぼうばく] /(adj-t,adv-to) boundless/vast/vague/obscure/
茫茫 [ぼうぼう] /(n) (1) wide expanse of flat surface (e.g. sea, plains)/(2) endless/(3) rampant growth of (weeds, hair)/
茫茫 [もうもう] /(n) (1) wide expanse of flat surface (e.g. sea, plains)/(2) endless/(3) rampant growth of (weeds, hair)/
茗荷 [みょうが] /(n) Japanese ginger (Zingiber mioga)/
茘枝 [れいし] /(n) (1) litchi (Nephelium litchi)/lychee/lichee/litchi nut/(2) (abbr) bitter melon (Momordica charantia)/(3) (abbr) Thais bronni (species of muricid gastropod)/
茘枝貝 [れいしがい] /(n) (uk) Thais bronni (species of muricid gastropod)/
莚 [むしろ] /(n) (1) woven mat (esp. one made of straw)/(2) (arch) seat/
莚席 [えんせき] /(n) matting/
莟 [つぼみ] /(n) (uk) bud/flower bud/
莟む [つぼむ] /(v5m,vi) (arch) to bud/to be budding/
莢 [さや] /(n) shell (i.e. of a pea)/pod/hull/
莢隠元 [さやいんげん] /(n) French beans/string beans/
莢迷 [がまずみ] /(n) (uk) linden arrowwood (Viburnum dilatatum)/Japanese bush cranberry/
莢豌豆 [さやえんどう] /(n) peas/
莖茶 [くきちゃ] /(oK) (n) tea made from twigs pruned from the tea plant during its dormant season/
茣蓙 [ござ] /(n) mat/matting/rush mat/(P)/
莎草 [かやつりぐさ] /(n) (1) (uk) galingale (any plant of genus Cyperus, esp. species Cyperus microiria)/
莎草 [くぐ] /(n) (uk) Pacific island flatsedge (Cyperus cyperoides)/
莎草 [しゃそう] /(n) (1) (uk) galingale (any plant of genus Cyperus, esp. species Cyperus microiria)/(2) nut grass (Cyperus rotundus)/
荼毘 [だび] /(n) cremation/
荼枳尼 [だきに] /(n) (Buddh) Dakini (fairy-goddess)/
荳 [まめ] /(n) (1) legume (esp. edible legumes or their seeds, such as beans, peas, pulses, etc.)/beans/peas/(2) soya bean (soybean)/soy (Glycine max)/(3) (col) female genitalia (esp. the clitoris)/(4) (food) (col) kidney/(n-pref) (5) miniature/tiny/(6) child/
荳 [まめ] /(n) (col) blister/corn/
荳科 [まめか] /(n) Fabaceae (pea family of plants)/
荵 [しのぶ] /(n) (1) (uk) Davallia mariesii (species of fern)/(2) Lepisorus thunbergiana (species of fern)/(3) color of clothing layers under one's overcoat (light green on blue)/(4) (abbr) ancient women's hairstyle/(5) (abbr) clothing patterned using the fern Davallia mariesii/
莨 [たばこ] /(gikun) (n) (uk) tobacco (por: tabaco)/cigarettes/
菴 [あん] /(n,n-suf) hermitage/retreat/
菴 [いお] /(n,n-suf) hermitage/retreat/
菴 [いおり] /(n,n-suf) hermitage/retreat/
菫 [すみれ] /(n) (uk) violet (any flower of genus Viola, esp. the Fuji dawn, Viola mandshurica)/
菫科 [すみれか] /(n) Violaceae (the violet family of plants)/
菫色 [すみれいろ] /(n,adj-no) violet (colour)/
菫青石 [きんせいせき] /(n) cordierite/
菫草 [すみれぐさ] /(n) (arch) Fuji dawn (species of violet, Viola mandshurica)/
菎蒻 [こんにゃく] /(n) (uk) solidified jelly made from the rhizome of devil's tongue (konjac, konjak, koniak, konnyaku)/
菽 [まめ] /(n) (1) legume (esp. edible legumes or their seeds, such as beans, peas, pulses, etc.)/beans/peas/(2) soya bean (soybean)/soy (Glycine max)/(3) (col) female genitalia (esp. the clitoris)/(4) (food) (col) kidney/(n-pref) (5) miniature/tiny/(6) child/
菘 [すずな] /(n) (uk) turnip (Brassica rapa)/
菠薐草 [ほうれんそう] /(n) spinach/(P)/
菠蘿包 [ポーローパーウ] /(n) pineapple bun (Chinese sweet pastry similar to the Japanese melonpan)/
菲才 [ひさい] /(n) lack of ability/incompetence/incapacity/
菲沃斯 [ひよす] /(ateji) (n) (uk) henbane (Hyoscyamus niger) (lat:)/
萍 [うきくさ] /(n) (1) floating weed/(2) (uk) greater duckweed (Spirodela polyrhiza)/(adj-no) (3) precarious/unstable/
萠黄 [もえぎ] /(n) light yellowish green/color of a freshly sprouted onion/
萠黄 [もよぎ] /(ok) (n) light yellowish green/color of a freshly sprouted onion/
萠黄色 [もえぎいろ] /(n) light green/yellowish-green/
萠芽 [ほうが] /(n,vs) germination/germ/sprout/bud/sign/
葭 [あし] /(n,adj-no) (uk) common reed (Phragmites australis)/
葭 [よし] /(n,adj-no) (uk) common reed (Phragmites australis)/
葭戸 [よしど] /(n) reed sliding door/
葭切 [よしきり] /(n) (uk) reed warbler (esp. the great reed warbler, but also the black-browed reed warbler)/
葭簀 [よしず] /(n) reed screen/
萼 [うてな] /(n) calyx/
萼 [がく] /(n) calyx/
萼片 [がくへん] /(n) sepal/
葷酒 [くんしゅ] /(n) garlic and wine/
葫 [にんにく] /(n) garlic (edible plant, Allium sativum)/
葫 [ひる] /(n) (arch) strong-smelling edible plant (esp. perennials of the family Liliaceae, e.g. Welsh onion, garlic, wild rocambole, etc.)/
葫蘆 [ころ] /(n) (obsc) calabash (Lagenaria siceraria)/
萬 [まん] /(num) (1) 10,000/ten thousand/(n) (2) myriads/
萬 [よろず] /(num) (1) 10,000/ten thousand/(n) (2) myriads/(n-adv) (3) everything/all/
萬歳 [まんざい] /(oK) (n) door-to-door comedic duo/
萬刀 [まんとう] /(n) ninja weapon disguised as a pair of garden shears/
萬葉集 [まんようしゅう] /(n) Manyoushuu (famous 8thC poetry)/Japan's oldest anthology of poems/
葯 [やく] /(n) anther/
萵苣 [ちさ] /(n) (uk) lettuce/
萵苣 [ちしゃ] /(n) (uk) lettuce/
蓊蔚 [おううつ] /(adj-t,adv-to) (arch) overgrown/exuberant/lush/
蓊鬱 [おううつ] /(adj-t,adv-to) (arch) overgrown/exuberant/lush/
蒿 [よもぎ] /(n) (1) Japanese mugwort (Artemisia princeps, Artemisia indica var. maximowiczii)/(2) general term for plants in the Artemisia genus/mugwort/sagebrush/wormwood/
蒿雀 [あおじ] /(gikun) (n) (uk) black-faced bunting (Emberiza spodocephala)/
蒟醤 [きんま] /(n) (uk) betel (Piper betle)/
蒟蒻 [こんにゃく] /(n) (uk) solidified jelly made from the rhizome of devil's tongue (konjac, konjak, koniak, konnyaku)/
蒟蒻問答 [こんにゃくもんどう] /(n) an irrelevant and incoherent dialogue/dialogue at cross purposes/an off-the-beam response/
蓙 [ござ] /(n) mat/matting/rush mat/
蓍 [めど] /(n) (1) (arch) Chinese lespedeza (species of bush clover, Lespedeza cuneata)/(2) fortune-telling (using divination sticks)/
蓍 [めどき] /(n) divination sticks/
蓍 [めどぎ] /(n) divination sticks/
蓍萩 [めどはぎ] /(n) (uk) Chinese lespedeza (species of bush clover, Lespedeza cuneata)/
蓍木 [めどぎ] /(n) (obsc) Chinese lespedeza (species of bush clover, Lespedeza cuneata)/
蓚酸 [しゅうさん] /(n) oxalic acid/
蓚酸カルシウム [しゅうさんカルシウム] /(n) calcium oxalate/
蓐 [じょく] /(n) cushion/pillow/mattress/
蓐傷 [じょくしょう] /(n) bedsore/
蓐草 [じょくそう] /(n) (obsc) straw or hay (layed out in barns for livestock)/
蓆 [むしろ] /(n) (1) woven mat (esp. one made of straw)/(2) (arch) seat/
蓖麻 [ひま] /(n) castor oil plant/
蓖麻子 [ひまし] /(n) castor bean/
蓖麻子油 [ひましゆ] /(n) castor oil/
蓴 [ぬなわ] /(n) water shield (Brasenia schreberi)/
蓴菜 [じゅんさい] /(n) (uk) water shield (Brasenia schreberi)/
蔗糖 [しょとう] /(n) sucrose/saccharose/cane sugar/
蔘精 [じんせい] /(n) essence of ginseng/
蔬菜 [そさい] /(n) greens/vegetables/
蔕 [へた] /(n) calyx/stem/
蓼 [たで] /(n) knotweed/jointweed/smartweed/
蓼食う虫も好き好き [たでくうむしもすきずき] /(exp) there's no accounting for taste/
蕈 [きのこ] /(n) mushroom/
蕈 [たけ] /(n) mushroom/
蕁麻 [いらくさ] /(oK) (n) (uk) nettle (Urtica thunbergiana)/
蕁麻疹 [じんましん] /(n) hives/nettle rash/urticaria/
蘂 [ずい] /(n) (1) pistil (of a flower)/(2) stamen/
薀蓄 [うんちく] /(n,vs) one's vast stock of knowledge/
薀蓄を傾ける [うんちくをかたむける] /(exp,v1) (obs) to draw upon one's profound knowledge/
薤 [らっきょう] /(n) Japanese leek (edible plant, Allium bakeri, Allium chinense)/sour-sweet pickle of Japanese leek/
薑 [しょうが] /(n) (uk) ginger (Zingiber officinale)/
薑 [はじかみ] /(n) (1) (arch) ginger (Zingiber officinale)/(2) Japanese pepper (Zanthoxylum piperitum)/
薊 [あざみ] /(n) (uk) thistle (Cirsium spp.)/
薊芥子 [あざみげし] /(n) (uk) Mexican prickly poppy (Argemone mexicana)/
薊馬 [あざみうま] /(n) (uk) thrips (any insect of order Thysanoptera)/thrip/
薨 [こう] /(n) death (of a nobleman, etc.)/
薨ずる [こうずる] /(vz,vi) to die (of a nobleman, etc.)/
薨去 [こうきょ] /(n,vs) death/demise/
蕭 [よもぎ] /(n) (1) Japanese mugwort (Artemisia princeps, Artemisia indica var. maximowiczii)/(2) general term for plants in the Artemisia genus/mugwort/sagebrush/wormwood/
蕭々 [しょうしょう] /(adv-to,adj-t) drearily/with desolation/with loneliness (esp. the rain and wind)/
蕭索 [しょうさく] /(oK) (adj-t) lonely/
蕭条 [しょうじょう] /(adj-t,adv-to) dreary/bleak/lonely/
蕭寥 [しょうりょう] /(adj-t,adv-to) (arch) desolate/lonely/barren/
蕭蕭 [しょうしょう] /(adv-to,adj-t) drearily/with desolation/with loneliness (esp. the rain and wind)/
薔薇 [しょうび] /(n) (uk) rose/
薔薇 [そうび] /(n) (uk) rose/
薔薇 [ばら] /(gikun) (n) (uk) rose/(P)/
薔薇羽太 [ばらはた] /(n) (uk) yellow-edged lyretail (species of fish, Variola louti)/lyretail grouper/
薔薇園 [ばらえん] /(n) rose garden/
薔薇十字団 [ばらじゅうじだん] /(n) Rosicrucian/Fellowship of the Rosy Cross/
薔薇色 [ばらいろ] /(n) rose-colour/rose-color/(P)/
薔薇戦争 [ばらせんそう] /(n) War of the Roses/
薔薇笛鯛 [ばらふえだい] /(n) (uk) two-spot red snapper (Lutjanus bohar)/
藪 [やぶ] /(n) thicket/bush/grove/scrub/
藪から棒に [やぶからぼうに] /(adv) unexpectedly/out of the blue/
藪の中 [やぶのなか] /(exp) inability to discern the truth due to conflicting testimony (name derived the Akutagawa Ryuunosuke story "In A Grove")/
藪をつついて蛇を出す [やぶをつついてへびをだす] /(exp,v5s) to stir up trouble for oneself/to scare out a snake by poking at the brush/
藪ワラビー [やぶワラビー] /(n) (uk) pademelon/paddymelon/
藪医者 [やぶいしゃ] /(n) (medical) quack/
藪萱草 [やぶかんぞう] /(n) (uk) Hemerocallis fulva var. kwanso (variety of daylily)/
藪蕎麦 [やぶそば] /(n) variety of soba (buckwheat noodles)/
藪枯 [やぶがらし] /(n) (uk) bushkiller (species of herbaceous plant, Cayratia japonica)/
藪枯らし [やぶがらし] /(n) (uk) bushkiller (species of herbaceous plant, Cayratia japonica)/
藪蛇 [やぶへび] /(n,vs) unnecessary trouble brought upon oneself/stirring up a hornet's nest/
藪肉桂 [やぶにっけい] /(n) (uk) Japanese cinnamon (Cinnamomum japonicum)/
藪入 [やぶいり] /(n) (arch) holiday granted to servants on the 16th of the first and seventh months/
藪睨み [やぶにらみ] /(n) squint/mistaken view/
藪茗荷 [やぶみょうが] /(n) (uk) Pollia japonica (species of spiderwort)/
薇 [ぜんまい] /(n) royal fern/Osmunda japonica/flowering fern/
蕾 [つぼみ] /(n) (uk) bud/flower bud/(P)/
蕾む [つぼむ] /(v5m,vi) (arch) to bud/to be budding/
藉す [かす] /(v5s,vt) (1) to lend/to loan/(2) to rent out/to hire out/
藉口 [しゃこう] /(n,vs) pretence/pretense/
薺 [なずな] /(n) (uk) shepherd's purse (Capsella bursa-pastoris)/
藏人 [くらびと] /(n) (1) keeper of imperial archives/(2) worker at a sake brewery/
藏人 [くらんど] /(n) (1) keeper of imperial archives/(2) worker at a sake brewery/
藏人 [くろうど] /(n) (1) keeper of imperial archives/(2) worker at a sake brewery/
薹が立つ [とうがたつ] /(exp,v5t) to become hard and fibrous/to go to seed/to have passed one's prime/to have lost the first bloom of one's youth/
藕 [はす] /(n) (1) (uk) sacred lotus (Nelumbo nucifera)/Indian lotus/lotus/
藝 [げい] /(n) art/craft/accomplishment/artistic skill/technique/performance/
藝術 [げいじゅつ] /(n) (fine) art/the arts/
藥罐 [やかん] /(oK) (n) kettle/
藜 [あかざ] /(n) (uk) white gooseweed (Chenopodium album)/fat hen/lamb's-quarters/pigweed/
藜科 [あかざか] /(n) Chenopodiaceae (plant family)/
藜海老 [あかざえび] /(n) (uk) Japanese lobster (Metanephrops japonicus)/
藹々 [あいあい] /(adj-t,adv-to) (1) harmonious/peaceful/congenial/(2) luxuriant (vegetation)/
藹然 [あいぜん] /(adv-to,adj-t) (1) (arch) hovering like mist or clouds/(2) gentle/calm/
藹藹 [あいあい] /(adj-t,adv-to) (1) harmonious/peaceful/congenial/(2) luxuriant (vegetation)/
蘊奥 [うんおう] /(n) mysteries/
蘊奥 [うんのう] /(n) mysteries/
蘊奥を究める [うんのうをきわめる] /(exp,v1) (obs) to master the secrets of/
蘊奥を極める [うんのうをきわめる] /(exp,v1) (obs) to master the secrets of/
蘊蓄 [うんちく] /(n,vs) one's vast stock of knowledge/
蘊蓄を傾ける [うんちくをかたむける] /(exp,v1) (obs) to draw upon one's profound knowledge/
藺 [い] /(n) (uk) soft rush (Juncus effusus var. decipiens)/
藺草 [いぐさ] /(n) (uk) soft rush (Juncus effusus var. decipiens)/
藺草科 [いぐさか] /(n) Juncaceae (the rush family)/
蘆 [あし] /(n,adj-no) (uk) common reed (Phragmites australis)/
蘆 [よし] /(n,adj-no) (uk) common reed (Phragmites australis)/
蘆溝橋 [ろこうきょう] /(iK) (n) Marco Polo Bridge (China)/
蘆溝橋事件 [ろこうきょうじけん] /(iK) (n) Marco Polo Bridge Incident (July 7, 1937)/
蘆辺 [あしべ] /(n) reedy shore/
蘆毛 [あしげ] /(n) dapple-grey (gray) (horse coat color)/
蘆木 [ろぼく] /(n) calamite/
蘆薈 [ろかい] /(n) aloe/
蘚 [こけ] /(n) (1) moss/(2) short plants resembling moss (inc. other bryophytes, lichens, very small spermatophytes, etc.)/
蘚苔 [せんたい] /(n) moss/bryophyte/
蘚苔学 [せんたいがく] /(n) bryology/
蘚苔植物 [せんたいしょくぶつ] /(n) (obsc) bryophyte (any of three groups of non-vascular land plants, inc. mosses, hornworts and liverworts)/
蘚類 [せんるい] /(n) mosses (non-vascular plants of class Bryopsida)/
蘿 [かげ] /(n) (arch) running ground pine (species of club moss, Lycopodium clavatum)/
蘿 [こけ] /(n) (1) moss/(2) short plants resembling moss (inc. other bryophytes, lichens, very small spermatophytes, etc.)/
蘿芋 [ががいも] /(n) (uk) rough potato (Metaplexis japonica)/
蘿藷 [ががいも] /(n) (uk) rough potato (Metaplexis japonica)/
蘿蔔 [すずしろ] /(n) (obsc) daikon radish (Raphanus sativus)/
蘿蔔 [らふく] /(n) (obsc) daikon radish (Raphanus sativus)/
蘿蔔草 [すずしろそう] /(n) (uk) Arabis flagellosa (species of rockcress)/
虔しみ [つつしみ] /(io) (n) modesty/self-control/discretion/
虔み [つつしみ] /(n) modesty/self-control/discretion/
虔み深い [つつしみぶかい] /(adj-i) discreet/modest/cautious/
虔む [つつしむ] /(v5m,vt) (1) to be careful/to be discreet/(2) to do in moderation/to refrain (from overdoing)/to abstain/(3) to be purified/to be chaste/
號 [ごう] /(n,n-suf) (1) number/edition/make/model/issue/part of that group/(2) sobriquet/pen-name/
虱 [しらみ] /(n) louse (esp. a sucking louse)/lice/
虱潰し [しらみつぶし] /(n) (uk) very thorough search (for contraband, escaped convict, etc.) (lit: crushing lice)/fine-tooth-comb search/exhaustive search/scouring/
虱潰しに [しらみつぶしに] /(adv) (uk) one by one/going over with a fine-tooth comb/
虱蝿 [しらみばえ] /(n) (uk) louse fly (any fly of family Hippoboscidae)/
虱目魚 [さばひい] /(n) (uk) milkfish (Chanos chanos)/
虱蠅 [しらみばえ] /(n) (uk) louse fly (any fly of family Hippoboscidae)/
蚩尾 [しび] /(n) ornamental ridge-end tile/
蚩尤 [しゆう] /(n) (arch) Chinese god of war./
蚋 [ぶと] /(n) (uk) black fly (any insect of family Simuliidae)/gnat/
蚋 [ぶゆ] /(n) (uk) black fly (any insect of family Simuliidae)/gnat/
蚋 [ぶよ] /(n) (uk) black fly (any insect of family Simuliidae)/gnat/
蚌 [はまぐり] /(n) (uk) common orient clam (Meretrix lusoria)/
蚶 [きさ] /(n) (arch) blood clam (Scapharca broughtonii)/
蚶貝 [きさがい] /(n) (arch) blood clam (Scapharca broughtonii)/
蚯蚓 [きゅういん] /(n) earthworm/
蚯蚓 [みみず] /(n) earthworm/
蚯蚓 [めめず] /(n) earthworm/
蚯蚓蜥蜴 [みみずとかげ] /(n) (uk) worm lizard/amphisbaenian/
蚯蚓鯊 [みみずはぜ] /(n) (uk) flat-headed goby (Luciogobius guttatus)/
蛆 [うじ] /(n) (uk) maggot/larva/grub/
蛆虫 [うじむし] /(n) (1) maggot/(2) worm (used figuratively as a term of abuse)/
蚰蜒 [げじげじ] /(n) millipede/centipede/
蚰蜒眉 [げじげじまゆ] /(n) bushy eyebrows/
蛔虫 [かいちゅう] /(n,adj-no) roundworm/intestinal worm/
蛞蝓 [なめくじ] /(n) (uk) slug/
蛞蝓魚 [なめくじうお] /(n) (uk) lancelet/amphioxus/
蛟竜 [こうりゅう] /(n) rain dragon/hidden genius/
蛟竜 [こうりょう] /(n) rain dragon/hidden genius/
蛟龍 [こうりゅう] /(n) rain dragon/hidden genius/
蛟龍 [こうりょう] /(n) rain dragon/hidden genius/
蛛形類 [しゅけいるい] /(n) arachnids/
蛛形類 [ちゅけいるい] /(n) arachnids/
蛯 [えび] /(n) prawn/shrimp/lobster/crayfish/
蜆 [しじみ] /(n) shijimi clam (corbicula japonica)/
蜈蚣 [むかで] /(gikun) (n) (uk) centipede/
蜀 [しょく] /(n) Shu (one of the Three Kingdoms competing for control of China after the fall of the Han Dynasty)/Shu Han/
蜀漢 [しょくかん] /(n) Shu-Han (dynasty of China, 221-263 CE)/
蜀漢 [しょっかん] /(n) Shu-Han (dynasty of China, 221-263 CE)/
蜀黍 [もろこし] /(n) Indian millet/sorghum/
蜀錦 [しょっきん] /(n) type of brocade/
蜀江の錦 [しょっこうのにしき] /(n) (1) type of red brocade originally from the ancient Chinese country of Shu and passed on in Japan/(2) type of brocade made in Sichuan during the Ming period/
蜀魂 [しょっこん] /(n) (uk) lesser cuckoo (Cuculus poliocephalus)/
蜀魂 [ほととぎす] /(n) (uk) lesser cuckoo (Cuculus poliocephalus)/
蜀鳥 [しょくちょう] /(n) (obsc) lesser cuckoo (Cuculus poliocephalus)/
蜃気楼 [しんきろう] /(n) mirage/
蛻 [もぬけ] /(n) shed skin of snake, insect, etc. (also place left behind)/
蛻け [もぬけ] /(n) shed skin of snake, insect, etc. (also place left behind)/
蛻けの殻 [もぬけのから] /(exp) (uk) completely empty/
蛻の殻 [もぬけのから] /(exp) (uk) completely empty/
蜑 [あま] /(n) (1) male diver/(2) fisherman/
蜑小舟貝 [あまおぶねがい] /(n) (uk) ox-palate nerite (Nerita albicilla)/blotched nerite/
蜉蝣 [かげろう] /(n) (1) mayfly/ephemeropteran/(2) (arch) dragonfly/damselfly/
蜉蝣 [ふゆう] /(n) (1) mayfly/ephemeropteran/(2) ephemerality (of human life)/
蛹 [さなぎ] /(n) chrysalis/pupa/
蛹化 [ようか] /(n,vs) pupation/
蛹虫 [ようちゅう] /(n) pupa/chrysalis/
蜿々 [えんえん] /(adj-t,adv-to) (1) forever/endlessly/on and on/(2) meandering/wandering/winding/sinuous/serpentine/zigzagging/
蜿々長蛇 [えんえんちょうだ] /(n) (a line, queue) being long and serpentine/
蜿蜒 [えんえん] /(adj-t,adv-to) (1) forever/endlessly/on and on/(2) meandering/wandering/winding/sinuous/serpentine/zigzagging/
蜿蜿 [えんえん] /(adj-t,adv-to) (1) forever/endlessly/on and on/(2) meandering/wandering/winding/sinuous/serpentine/zigzagging/
蜿蜿長蛇 [えんえんちょうだ] /(n) (a line, queue) being long and serpentine/
蜷局 [とぐろ] /(n) (uk) coil/
蜷局を巻く [とぐろをまく] /(exp,v5k) (1) to coil itself (e.g. a snake)/(2) to loaf around/
蜻蛉 [かげろう] /(n) (1) mayfly/ephemeropteran/(2) (arch) dragonfly/damselfly/
蜻蛉 [せいれい] /(n) (uk) dragonfly/damselfly/
蜻蛉 [とんぼ] /(n) (uk) dragonfly/damselfly/(P)/
蜻蛉 [とんぼう] /(n) (uk) dragonfly/damselfly/
蜻蛉返り [とんぼがえり] /(n,vs) (1) somersault/(2) returning from a destination right after arriving there/non-stop round trip/round trip without an overnight stop/(3) abrupt change of direction/
蜥蜴 [せきえき] /(ik) (n) lizard/
蜥蜴 [とかげ] /(n) lizard/
蜥蜴座 [とかげざ] /(n) (constellation) Lacerta/
蜥蜴目 [とかげもく] /(n) Squamata (order of scaled reptiles, sometimes esp. the Sauria or Lacertilia)/
蜩 [ひぐらし] /(n) (uk) evening cicada (Tanna japonensis)/
蜚語 [ひご] /(n) baseless rumor/baseless rumour/gossip/false report/
蜚鳥 [ひちょう] /(iK) (n) flying bird/
蝟 [はりねずみ] /(n) (uk) hedgehog (any mammal of family Erinaceidae)/
蝟集 [いしゅう] /(n,vs) swarm/throng/flock together/
蝸牛 [かぎゅう] /(n) (1) (uk) snail/(n,adj-no) (2) (abbr) cochlea/
蝸牛 [かたつむり] /(n) (1) (uk) snail/
蝸牛 [でんでんむし] /(n) (1) (uk) snail/
蝸牛殻 [かぎゅうかく] /(n) cochlea/
蝸牛角上 [かぎゅうかくじょう] /(n) trifling (fight)/(a conflict) between small countries/
蝸牛神経 [かぎゅうしんけい] /(n) cochlear nerve/
蝌蚪 [おたまじゃくし] /(n) (1) tadpole/(2) ladle/(3) musical note/
蝌蚪 [かと] /(n) (1) tadpole/(2) ladle/(3) musical note/
蝎座 [さそりざ] /(n) (constellation) Scorpio/the Scorpion/
蝴蝶 [こちょう] /(n) butterfly/
蝗 [いなご] /(n) (1) (uk) rice grasshopper (of genus Oxya)/(2) grasshopper/locust (of family Catantopidae)/
蝗 [いなむし] /(n) rice pest/
蝗 [おおねむし] /(n) rice pest/
蝗 [こう] /(n) (1) (uk) rice grasshopper (of genus Oxya)/(2) grasshopper/locust (of family Catantopidae)/
蝗 [ばった] /(n) (uk) grasshopper/locust (of superfamily Acridoidea)/
蝗虫 [こうちゅう] /(n) rice grasshopper (of genus Oxya)/
蝗虫 [ばった] /(n) (uk) grasshopper/locust (of superfamily Acridoidea)/
蝨 [しらみ] /(n) louse (esp. a sucking louse)/lice/
蝨潰し [しらみつぶし] /(n) (uk) very thorough search (for contraband, escaped convict, etc.) (lit: crushing lice)/fine-tooth-comb search/exhaustive search/scouring/
蝨潰しに [しらみつぶしに] /(adv) (uk) one by one/going over with a fine-tooth comb/
蝮 [くちばみ] /(ok) (n) (uk) pit viper (esp. the mamushi, Gloydius blomhoffi)/
蝮 [たじひ] /(ok) (n) (uk) pit viper (esp. the mamushi, Gloydius blomhoffi)/
蝮 [はみ] /(ok) (n) (uk) pit viper (esp. the mamushi, Gloydius blomhoffi)/
蝮 [まむし] /(n) (uk) pit viper (esp. the mamushi, Gloydius blomhoffi)/
蝮草 [まむしぐさ] /(n) (uk) Arisaema serratum (species of jack-in-the-pulpit)/
蝮丼 [まむしどん] /(n) (ksb:) bowl of eel and rice (donburi)/
蝮丼 [まむしどんぶり] /(n) (ksb:) bowl of eel and rice (donburi)/
蝙蝠 [かわほり] /(n) (1) bat (animal)/(2) (abbr) umbrella/(3) opportunist/
蝙蝠 [こうもり] /(n) (1) bat (animal)/(2) (abbr) umbrella/(3) opportunist/
蝙蝠 [へんぷく] /(n) (1) bat (animal)/(2) (abbr) umbrella/(3) opportunist/
蝙蝠蛾 [こうもりが] /(n) (uk) swift moth (Hepialidae spp., esp. Endoclita excrescens)/
蝙蝠傘 [こうもりがさ] /(n) (Western-style) umbrella/
蠅 [はえ] /(n) (1) (uk) fly (of infraorder Muscomorpha)/(2) (derog) person of no worth/pisher/scrub/
蠅虎 [はえとりぐも] /(n) (uk) jumping spider (any spider of family Salticidae)/
蠅取 [はいとり] /(n) (1) catching flies/fly-catcher/flytrap/flypaper/(2) (abbr) jumping spider/
蠅取 [はえとり] /(n) (1) catching flies/fly-catcher/flytrap/flypaper/(2) (abbr) jumping spider/
蠅取り [はいとり] /(n) (1) catching flies/fly-catcher/flytrap/flypaper/(2) (abbr) jumping spider/
蠅取り [はえとり] /(n) (1) catching flies/fly-catcher/flytrap/flypaper/(2) (abbr) jumping spider/
蠅取り紙 [はえとりがみ] /(n) flypaper/
蠅取紙 [はえとりがみ] /(n) flypaper/
蠅取草 [はえとりぐさ] /(n) (uk) Venus flytrap/Venus's flytrap/
蠅取草 [はえとりそう] /(n) (uk) Venus flytrap/Venus's flytrap/
蠅取蜘蛛 [はえとりぐも] /(n) (uk) jumping spider (any spider of family Salticidae)/
蠅地獄 [はえじごく] /(n) (uk) Venus flytrap/Venus's flytrap/
蠅帳 [はいちょう] /(n) fly-net cupboard/
蠅目 [はえもく] /(n) Diptera/
螢 [ほたる] /(oK) (n) (uk) firefly (Luciola cruciata)/lightning bug/glowworm/
螢火 [けいか] /(n) light of a firefly/
螢火 [ほたるび] /(n) light of a firefly/
螢光 [けいこう] /(n,adj-no) fluorescence/
螢光ペン [けいこうペン] /(n) highlighter/highlighter pen/
螢光灯 [けいこうとう] /(oK) (n) (1) fluorescent lamp/fluorescent light/(2) person who is slow to react/someone slow on the uptake/
螢光燈 [けいこうとう] /(oK) (n) (1) fluorescent lamp/fluorescent light/(2) person who is slow to react/someone slow on the uptake/
螢石 [けいせき] /(n,adj-no) fluorite/fluorspar/
螢石 [ほたるいし] /(n,adj-no) fluorite/fluorspar/
螢雪 [けいせつ] /(n) diligent study/
螟蛾 [めいが] /(n) (uk) pyralid (any moth of family Pyralidae, many of which have larvae that devour foodstuffs)/
螟虫 [ずいむし] /(n) pyralid larva/borer/
螟虫 [めいちゅう] /(n) pyralid larva/borer/
螟蛉 [めいれい] /(n) (1) (obsc) hornworm/(2) (arch) adopted child/
螯 [はさみ] /(n) (uk) pincers (crab, scorpion, etc.)/claws/
蟋蟀 [きりぎりす] /(n) (1) (uk) Japanese katydid (Gampsocleis buergeri)/(2) katydid/bush-cricket (Tettigoniidae)/long-horned grasshopper/(3) (arch) cricket/
蟋蟀 [こおろぎ] /(n) (1) (uk) cricket (Gryllidae)/(2) (arch) any insect that chirps in autumn/
螽斯 [きりぎりす] /(n) (1) (uk) Japanese katydid (Gampsocleis buergeri)/(2) katydid/bush-cricket (Tettigoniidae)/long-horned grasshopper/(3) (arch) cricket/
蟀谷 [こめかみ] /(n) (uk) temple (of the forehead)/
雖も [いうとも] /(exp) (uk) even though/despite/notwithstanding/
雖も [いえども] /(exp) (uk) even though/despite/notwithstanding/
螫す [さす] /(oK) (v5s) to sting (i.e. bee, wasp, etc.)/
蟄居 [ちっきょ] /(n,vs) keeping house/being confined to one's house/
蟄居閉門 [ちっきょへいもん] /(n) house arrest/being placed in confinement at home/
蟄伏 [ちっぷく] /(n,vs) hibernation/staying home or in place/
螳螂 [かまきり] /(n) (uk) praying mantis (esp. the narrow-winged mantis, Tenodera angustipennis)/
螳螂 [とうろう] /(n) (uk) praying mantis (esp. the narrow-winged mantis, Tenodera angustipennis)/
螳螂拳 [とうろうけん] /(n) (MA) praying mantis style/
蟇 [かま] /(ok) (n) (uk) toad (esp. the Japanese toad, Bufo japonicus)/
蟇 [がま] /(n) (uk) toad (esp. the Japanese toad, Bufo japonicus)/
蟇 [がまがえる] /(n) (uk) toad (esp. the Japanese toad, Bufo japonicus)/
蟇 [ひき] /(n) (uk) toad (esp. the Japanese toad, Bufo japonicus)/
蟇 [ひきがえる] /(n) (uk) toad (esp. the Japanese toad, Bufo japonicus)/
蟇蛙 [ひきがえる] /(n) (uk) toad (esp. the Japanese toad, Bufo japonicus)/
蟇股 [かえるまた] /(n) curved wooden support on top of the main beam of a house, now mainly decorative (shape evocates an open-legged frog)/
蟇口 [がまぐち] /(n) pouch/purse/handbag/
蟇目 [ひきめ] /(n) large, perforated, turnip-shaped arrowhead cover made of Japanese bigleaf magnolia or paulownia/harmless arrow affixed with such a cover (that whistles when shot and is used to drive off evil spirits)/
蟆 [ひき] /(n) (uk) toad (esp. the Japanese toad, Bufo japonicus)/
蟆 [ぶと] /(n) (uk) black fly (any insect of family Simuliidae)/gnat/
蟆子 [ぶと] /(n) (uk) black fly (any insect of family Simuliidae)/gnat/
蟆子 [ぶゆ] /(n) (uk) black fly (any insect of family Simuliidae)/gnat/
蟆子 [ぶよ] /(n) (uk) black fly (any insect of family Simuliidae)/gnat/
螻 [けら] /(n) (uk) mole cricket (esp. the Oriental mole cricket, Gryllotalpa orientalis)/
螻蛄 [おけら] /(n) (uk) mole cricket (esp. the Oriental mole cricket, Gryllotalpa orientalis)/
螻蛄 [けら] /(n) (uk) mole cricket (esp. the Oriental mole cricket, Gryllotalpa orientalis)/
螻蛄 [ろうこ] /(n) (uk) mole cricket (esp. the Oriental mole cricket, Gryllotalpa orientalis)/
蟯虫 [ぎょうちゅう] /(n) threadworm/pinworm/
蟲惑 [こわく] /(iK) (n,vs) fascination/glamour/glamor/enchantment/seduction/
蟠り [わだかまり] /(n) cares/ill feeling/reserve/
蟠りなく [わだかまりなく] /(adv) with no ill feeling/
蟠る [わだかまる] /(v5r) (1) (uk) to lurk/to hover in the background/(2) to be coiled up/to stretch tortuously/
蟠桃 [ばんとう] /(n) (uk) donut peach (Amygdalus persica var. compressa)/UFO peach/flat peach/pan tao peach/Saturn peach/saucer peach/
蟠踞 [ばんきょ] /(n,vs) settling in a coiled shape/holding sway/exercising authority/
蠏 [かに] /(n) crab/
蠏缶 [かにかん] /(n) canned crab/
蠏玉 [かにたま] /(n) Chinese dish with fried egg and crab/
蠏股 [がにまた] /(iK) (adj-no) bowlegged/bandy-legged/
蠏工船 [かにこうせん] /(n) crab-canning boat/
蠏座 [かにざ] /(n) (constellation) Cancer/the Crab/
蠍 [さそり] /(n) scorpion/
蠍擬 [さそりもどき] /(n) (uk) whip scorpion (any arachnid of order Thelyphonida)/
蠍座 [さそりざ] /(n) (constellation) Scorpio/the Scorpion/
蟾 [ひき] /(n) (uk) toad (esp. the Japanese toad, Bufo japonicus)/
蟾蜍 [ひきがえる] /(n) (uk) toad (esp. the Japanese toad, Bufo japonicus)/
蟾酥 [せんそ] /(n) toad venom (used as an analgesic and cardiac stimulant in Chinese medicine)/
蟶貝 [まてがい] /(n) razor clam/
蟷螂 [いいぼむしり] /(n) (uk) praying mantis (esp. the narrow-winged mantis, Tenodera angustipennis)/
蟷螂 [いもじり] /(n) (uk) praying mantis (esp. the narrow-winged mantis, Tenodera angustipennis)/
蟷螂 [かまきり] /(n) (uk) praying mantis (esp. the narrow-winged mantis, Tenodera angustipennis)/
蟷螂 [とうろう] /(n) (uk) praying mantis (esp. the narrow-winged mantis, Tenodera angustipennis)/
蟷螂の斧 [とうろうのおの] /(n) courageous but doomed resistance/
蟷螂擬 [かまきりもどき] /(n) (uk) mantidfly (any insect of the family Mantispidae)/
蠎 [うわばみ] /(n) (1) large snake/(2) (col) heavy drinking/heavy drinker/
蟒蛇 [うわばみ] /(n) (1) large snake/(2) (col) heavy drinking/heavy drinker/
蠑螺 [さざえ] /(n) (uk) turban shell (any mollusc of the family Turbinidae, esp. the horned turban, Turbo cornutus)/
蠕く [うごめく] /(iK) (v5k,vi) to wriggle/to squirm/to crawl like a worm/
蠕虫 [ぜんちゅう] /(n,adj-no) helminth/
蠕動 [ぜんどう] /(n,vs,adj-no) vermiculation/peristalsis/crawling like a worm/
蠢かす [うごめかす] /(v5s,vt) to wriggle/
蠢く [うごめく] /(v5k,vi) to wriggle/to squirm/to crawl like a worm/
蠢動 [しゅんどう] /(n,vs) (1) wriggling/squirming/maneuvering/manoeuvering/(2) mischief/despicable acts/
蠱 [まじ] /(n) (1) (arch) charmed and cursed/(2) something that bewilders/something that leads one astray/the work of demons/
蠱る [まじこる] /(v5r,vi) (arch) to be drawn in by something wicked/to be won over by something wicked/
蠱毒 [こどく] /(n,vs) (obsc) poisoning someone/
蠱物 [まじもの] /(n,vs) (1) (arch) charmed and cursed/(2) something that bewilders/something that leads one astray/the work of demons/
蠱惑 [こわく] /(n,vs) fascination/glamour/glamor/enchantment/seduction/
蠱惑的 [こわくてき] /(adj-na) fascinating/alluring/
蠧魚 [しみ] /(gikun) (n) (1) (uk) true bristletail (any insect of order Thysanura, esp. of family Lepismatidae)/(2) oriental silverfish (Ctenolepisma villosa)/(3) (derog) someone who is unable to apply what they have read/
蠧魚 [とぎょ] /(n) (1) (uk) true bristletail (any insect of order Thysanura, esp. of family Lepismatidae)/(2) oriental silverfish (Ctenolepisma villosa)/(3) (derog) someone who is unable to apply what they have read/
衒う [てらう] /(v5u,vt) to show off/to parade/to pretend/
衒学 [げんがく] /(n) pedantry/display of learning/
衒学者 [げんがくしゃ] /(n) pedant/
衒学趣味 [げんがくしゅみ] /(n) pedantry/display of one's learning/being of a pedantic disposition/
衒学的 [げんがくてき] /(adj-na) pedantic/
衒気 [げんき] /(n) affectation/ostentation/vanity/
衒耀 [げんよう] /(n,vs) false glitter/
衢 [ちまた] /(n) (1) the public/(2) street/district/quarters/(3) location (of a battle, etc.)/(4) divide (e.g. between life and death)/(5) (orig. meaning) fork (in a road)/crossroads/
衾 [ふすま] /(n) (arch) quilt/bedding/
袞竜 [こんりょう] /(n) imperial robes/
袞龍 [こんりょう] /(n) imperial robes/
衵 [あこめ] /(n) (arch) layer of clothing worn by nobles (worn beneath the robe but over the undergarments)/
衵扇 [あこめおうぎ] /(n) formal folding fan made of hinoki cypress (formerly used by court ladies)/
衽 [おくみ] /(n) gusset (esp. in kimono)/gore/
袵 [おくみ] /(n) gusset (esp. in kimono)/gore/
袂 [たもと] /(n) (1) sleeve (esp. of a kimono)/(2) vicinity (esp. of a bridge)/(3) foot of a mountain/base of a mountain/
袂を絞る [たもとをしぼる] /(exp,v5r) to shed many tears/to weep/to wring dry one's sleeve (which has been soaked by tears)/
袂を分かつ [たもとをわかつ] /(exp,v5t) part from (with)/part company with/break with/
袂を連ねる [たもとをつらねる] /(exp,v5r) to do in unison/to do en masse/
袙 [あこめ] /(n) (arch) layer of clothing worn by nobles (worn beneath the robe but over the undergarments)/
袢天 [はんてん] /(iK) (n) (1) traditional short winter coat resembling a haori without gussets/(2) livery coat/
袢纏 [はんてん] /(n) (1) traditional short winter coat resembling a haori without gussets/(2) livery coat/
袍 [ほう] /(n) round-necked robe worn by members of nobility and the imperial court/
袱紗 [ふくさ] /(n) small silk wrapper/small cloth for wiping tea utensils/crepe wrapper/
裃 [かみしも] /(n) (1) samurai costume/old ceremonial costume/
裄 [ゆき] /(n) distance from the seam in the back of a kimono to the end of the sleeve/
裔 [えい] /(n) descendant/scion/lineage/
裔 [こはな] /(n) descendant/scion/lineage/
裘 [かわごろも] /(n) fur coat/
裘 [けごろも] /(n) (1) fur coat (to protect against the cold)/(2) clothes made with the down of birds/
裙蔕菜 [わかめ] /(n) (uk) wakame (species of edible brown seaweed, Undaria pinnatifida)/
裝飾男子 [そうしょくだんし] /(iK) (n) (1) (abbr) young men who are not competitive as in tradition male stereotypes, including in the avid pursuit of money and sex, and who may also be kind, co-operative and family-oriented/(2) (abbr) (sl) men who pretend they aren't interested in women/spineless males/men with no balls/
裹む [つつむ] /(v5m,vt) (1) to wrap up/to tuck in/to pack/to do up/to cover with/to dress in/(v5m) (2) to conceal/to hide/to be engulfed in/to be enveloped by/
裨益 [ひえき] /(n,vs) benefit/profit/good/
裲襠 [うちかけ] /(n) (1) women's bridal robe with trailing skirts worn over a kimono/
褄 [つま] /(n) skirt (of a kimono)/hem (of a kimono)/
褄黒横這 [つまぐろよこばい] /(n) (uk) green rice leafhopper (Nephotettix cincticeps)/
褄黒横這い [つまぐろよこばい] /(n) (uk) green rice leafhopper (Nephotettix cincticeps)/
褄取 [つまとり] /(n) rear toe pick (sumo)/
褄取 [つまどり] /(n) rear toe pick (sumo)/
褄取り [つまとり] /(n) rear toe pick (sumo)/
褄取り [つまどり] /(n) rear toe pick (sumo)/
褌 [ふどし] /(n) (1) loincloth/breechcloth/breechclout/traditional Japanese male underwear/(2) sumo wrestler's ornamental apron/
褌 [ふんどし] /(n) (1) loincloth/breechcloth/breechclout/traditional Japanese male underwear/(2) sumo wrestler's ornamental apron/
褌 [みつ] /(n) (1) T-shaped section of a loincloth/(2) sumo mawashi/
褌担ぎ [ふんどしかつぎ] /(n) (1) (uk) (col) rikishi of the lowest rank/(2) underling/
褊狭 [へんきょう] /(adj-na,n) narrow-mindedness/intolerance/illiberality/narrowness/
褞袍 [どてら] /(n) padded kimono/
褥 [しとね] /(n) cushion/pillow/mattress/
褥 [じょく] /(n) cushion/pillow/mattress/
褥傷 [じょくしょう] /(n) bedsore/
褥草 [じょくそう] /(n) (obsc) straw or hay (layed out in barns for livestock)/
褥婦 [じょくふ] /(n) woman resting after childbirth/
褥瘡 [じょくそう] /(n) bedsore/
褪せる [あせる] /(v1,vi) to fade/to discolor/to discolour/(P)/
褪める [さめる] /(v1,vi) to fade/to lose colour (color)/to discolour (discolor)/
褪紅 [たいこう] /(n) light pink/
褪紅色 [たいこうしょく] /(n) (light) pink/
褪色 [たいしょく] /(n,vs) fading/faded colour/faded color/
襁褓 [おしめ] /(n) (1) diaper/nappy/(2) (arch) swaddling clothes/(3) (arch) loincloth/
襁褓 [むつき] /(n) (1) diaper/nappy/(2) (arch) swaddling clothes/(3) (arch) loincloth/
褻 [せつ] /(n) (arch) informality/ordinariness/
褻涜 [せっとく] /(n,vs) profanation/defiling something precious/
褶曲 [しゅうきょく] /(n,vs) bend/geologic fold/
褶襞 [しゅうへき] /(n) folds (e.g. on a mountain)/
襠 [まち] /(n) gusset/
襞 [ひだ] /(n) pleats/creases/gills of a mushroom (mycology)/
襦袢 [じばん] /(n) undershirt (por:)/singlet/
襦袢 [じゅばん] /(n) undershirt (por:)/singlet/
襤褸 [ぼろ] /(n,pref) rag/scrap/tattered clothes/fault (esp. in a pretense, pretence)/defect/run-down or junky/
襤褸 [らんる] /(n,pref) rag/scrap/tattered clothes/fault (esp. in a pretense, pretence)/defect/run-down or junky/
襤褸を出す [ぼろをだす] /(exp,v5s) to reveal the faults/
襤褸屋 [ぼろや] /(n) (1) run-down shabby house/(2) (arch) rag and scrap merchant/
襤褸家 [ぼろや] /(n) (1) run-down shabby house/(2) (arch) rag and scrap merchant/
襤褸切 [ぼろきれ] /(n) old rag/
襤褸切れ [ぼろきれ] /(n) old rag/
襤褸糞 [ぼろくそ] /(n,adj-na) (uk) trashy reputation/
襤褸糞に言う [ぼろくそにいう] /(exp,v5u) to speak ill of/to speak very disparagingly about/to speak very harshly about/
襯衣 [しんい] /(n) underwear/
襴 [すそつき] /(n) horizontally-wrapped fabric forming the bottom part of some traditional Japanese clothing/
襴 [らん] /(n) horizontally-wrapped fabric forming the bottom part of some traditional Japanese clothing/
襷 [たすき] /(n) (1) cord used to tuck up the sleeves of a kimono/(2) wrapper on books, CDs, etc./(3) sash (e.g. worn across chest)/
襷掛 [たすきがけ] /(n,vs) tucking up the sleeves of a kimono with a tasuki/
襷掛け [たすきがけ] /(n,vs) tucking up the sleeves of a kimono with a tasuki/
襷星 [たすきぼし] /(n) Chinese "Wings" constellation (one of the 28 mansions)/
襷反り [たすきぞり] /(n) reverse backwards body drop (sumo)/
覊絆 [きはん] /(n) fetters/shackles/restraints/bond/connection/
覘く [のぞく] /(v5k,vt) (1) to peek (though a keyhole, gap, etc.)/(2) to look down into (a ravine, etc.)/(3) to peek into (a shop, bookstore, etc.)/(4) to sneak a look at/to take a quick look at/(5) to peep (through a telescope, microscope, etc.)/(v5k,vi) (6) to stick out (a scarf from a collar, etc.)/to peek through (sky though a forest canopy, etc.)/(7) (arch) to face/
覡 [かんなぎ] /(n) medium/diviner/shaman/oracle/
覺束ない [おぼつかない] /(ateji) (oK) (adj-i) (1) (uk) uncertain/doubtful/(2) (uk) unreliable/unsteady/shaky/faltering/
覺束ない [かくそくない] /(ateji) (oK) (ik) (adj-i) (1) (uk) uncertain/doubtful/(2) (uk) unreliable/unsteady/shaky/faltering/
覿面 [てきめん] /(adj-na,n) immediacy/instantaneousness/promptness/
觀音 [かんのん] /(n) Kannon/Kwannon/Buddhist deity of mercy/Goddess of Mercy/Guan Yin/Avalokitesvara/
觀音菩薩 [かんのんぼさつ] /(oK) (n) Kannon/Goddess of Mercy/Bodhisattva of Compassion/Guan Yin/
觀世音 [かんぜおん] /(n) Kannon/Avalokitesvara (bodhisattva of mercy and salvation)/Kwannon/Kuan Yin/Goddess of Mercy/Guan Yin/
觜 [し] /(n) Chinese "Turtle Beak" constellation (one of the 28 mansions)/
觜 [はし] /(n) (uk) beak/bill/
觜宿 [とろきぼし] /(n) Chinese "Turtle Beak" constellation (one of the 28 mansions)/
觝触 [ていしょく] /(n,vs) (1) collision/conflict/(2) being contrary/being incompatible/being inconsistent/being contradictory/(3) being in violation (of the law, etc.)/
訃 [ふ] /(n) news of someone's death/
訃音 [ふいん] /(n) report of a death/
訃音 [ふおん] /(n) report of a death/
訃報 [ふほう] /(n) news of a person's death/obituary/
訌争 [こうそう] /(n) confused fighting/
訛 [なまり] /(n) (1) (uk) accent (of one's speech)/(2) dialect/provincialism/patois/(3) corrupted form (e.g. of word)/mispronunciation/
訛み声 [だみごえ] /(n) (1) thick voice/hoarse voice/(2) voice with a thick accent/
訛り [なまり] /(n) (1) (uk) accent (of one's speech)/(2) dialect/provincialism/patois/(3) corrupted form (e.g. of word)/mispronunciation/(P)/
訛る [なまる] /(v5r,vi) to speak with an accent/to be corrupted (of word)/to mispronounce/
訛音 [かおん] /(n) accent/
訛語 [かご] /(n) non-standard pronunciation/
訛声 [だみごえ] /(n) (1) thick voice/hoarse voice/(2) voice with a thick accent/
訛伝 [かでん] /(n,vs) mistaken account/miscommunication/
訝しい [いぶかしい] /(adj-i) suspicious/doubtful/
訝しむ [いぶかしむ] /(v5m,vt) to doubt/
訝る [いぶかる] /(v5r,vi) to wonder/to puzzle oneself about/to feel anxious about/to suspect/
訥々 [とつとつ] /(adj-na,n) halting/faltering/
訥弁 [とつべん] /(adj-na,n,adj-no) slowness of speech/awkwardness of speech/
訥訥 [とつとつ] /(adj-na,n) halting/faltering/
詛い [のろい] /(n) curse/spell/malediction/
詛う [のろう] /(v5u,vt) to curse/to put a curse on/to detest intensely/
詛呪 [そじゅ] /(n) (obsc) curse/
詭計 [きけい] /(n) tricks/wiles/
詭道 [きどう] /(n) deceptive methods/questionable means/
詭弁 [きべん] /(n,adj-no) sophistry/sophism/chicanery/play on words/
詭弁を弄する [きべんをろうする] /(exp,vs-s) to use sophistry/
詭弁家 [きべんか] /(n,adj-no) sophist/
詭弁学派 [きべんがくは] /(n) sophist school (of philosophy)/
詭謀 [きぼう] /(n) ruse/trick/
詭辯 [きべん] /(oK) (n,adj-no) sophistry/sophism/chicanery/play on words/
誅殺 [ちゅうさつ] /(n,vs) execution of a criminal/
誅伐 [ちゅうばつ] /(n,vs) assailing criminals/
誂え [あつらえ] /(n,adj-no) order/article ordered/
誂える [あつらえる] /(v1,vt) (uk) to give an order/to place an order/
誂え向き [あつらえむき] /(adj-na,adj-no) ideal/most suitable/
誡める [いましめる] /(v1,vt) (1) to admonish/to warn/to remonstrate/(2) to prohibit/to forbid/(3) (arch) to be cautious/(4) (arch) to punish/
誡告 [かいこく] /(n,vs) warning/caution/
誑かす [たぶらかす] /(v5s,vt) to trick/to cheat/to deceive/to seduce/
誑し [たらし] /(n) cajolement/
誑し込む [たらしこむ] /(v5m,vt) to cajole/to deceive/to seduce/
誑す [たらす] /(v5s,vt) to cajole/to deceive/to seduce/
誦す [じゅす] /(v5s,vt) to recite/to chant/to read aloud/
誦す [ずす] /(v5s,vt) to recite/to chant/to read aloud/
誦する [しょうする] /(vs-s) to recite/to chant/to read aloud/
誦する [じゅする] /(vs-s) to recite/to chant/to read aloud/
誦する [ずする] /(vs-s) to recite/to chant/to read aloud/
誦経 [じゅきょう] /(n,vs) chanting or reading the sutras/
誦経 [ずきょう] /(n,vs) chanting or reading the sutras/
誦習 [しょうしゅう] /(n,vs) learning by memorization/learning by memorisation/
誣いる [しいる] /(v1,vt) to slander/to accuse falsely/
誣言 [ふげん] /(n) calumny/slander/false charge/
誣告 [ぶこく] /(n,vs) false accusation/slander/calumny/
諄々しい [くどくどしい] /(adj-i) (uk) wordy/verbose/prolix/
諄い [くどい] /(adj-i) (1) (uk) verbose/importunate/wordy/repetitious/long-winded/(2) heavy (taste)/gaudy/loud/greasy/(P)/
諄諄しい [くどくどしい] /(adj-i) (uk) wordy/verbose/prolix/
諍い [いさかい] /(n,vs) quarrel/dispute/
諍う [あらがう] /(v5u,vi) to go against/to fight against/to oppose/to resist/to deny/
諍う [いさかう] /(v5u,vi) to quarrel/to dispute/
諂い [へつらい] /(n) (uk) flattery/
諂う [へつらう] /(v5u,vi) to flatter/
諫め [いさめ] /(n) advice/counsel/
諫める [いさめる] /(v1,vt) to remonstrate/to warn not to do something/
諫言 [かんげん] /(n,vs) admonition/remonstrance/expostulation/
諫止 [かんし] /(n,vs,adj-no) dissuasion/
諫死 [かんし] /(n,vs) preparing to die in an effort to dissuade one's lord/
諫臣 [かんしん] /(n) retainer who dares to dissuade his lord/
諳んじる [そらんじる] /(v1) to memorize/to memorise/to recite from memory/
諳記 [あんき] /(n,vs) memorization/memorisation/learning by heart/
諳譜 [あんぷ] /(n,vs) memorizing musical scores/
諳誦 [あんしょう] /(n,vs) recitation/reciting from memory/
諳誦 [あんじゅ] /(ok) (n,vs) recitation/reciting from memory/
諧声 [かいせい] /(n) vocal harmony/harmonious voice/harmonious voices/
諧調 [かいちょう] /(n) melody/harmony/unity/euphony/
諧和 [かいか] /(n) (1) gentle mutual affection/harmony/(2) harmony (music)/
諧和 [かいわ] /(n) (1) gentle mutual affection/harmony/(2) harmony (music)/
諧謔 [かいぎゃく] /(n) joke/jest/banter/
諧謔を弄する [かいぎゃくをろうする] /(exp,vs-s) (obsc) to crack jokes/
諤々 [がくがく] /(adj-na,n,adj-no) outspoken/
諤諤 [がくがく] /(adj-na,n,adj-no) outspoken/
諱 [いみな] /(n) (1) real name (of a deceased person or a noble)/(2) posthumous name/
諱 [ただのみな] /(n) (1) real name (of a deceased person or a noble)/
諱む [いむ] /(v5m,vi) (1) to avoid/to refrain from/to shun/(2) to detest/
諠譁 [けんか] /(n,vs) quarrel/brawl/fight/squabble/scuffle/
諠譟 [けんそう] /(n,adj-na) tumult/great noise/clatter/hustle and bustle/
諢名 [あだな] /(n,vs) nickname/
諢名 [こんめい] /(n,vs) nickname/
諷する [ふうする] /(vs-s) to hint/to insinuate/to satirize/to satirise/
諷詠 [ふうえい] /(n) poetic composition/
諷歌 [そえうた] /(n) allegorical form (of waka)/
諷諌 [ふうかん] /(n) indirect remonstrance/exhortation by insinuation/
諷経 [ふぎん] /(n) (Buddh) chanting of the sutras/
諷刺 [ふうし] /(n,vs,adj-no) satire/irony/sarcasm/
諷喩 [ふうゆ] /(n,vs) hint/insinuation/allegory/
諷誦 [ふうしょう] /(n,vs) reciting/
諷誦 [ふうじゅ] /(n,vs) reciting/
諷誦 [ふじゅ] /(n,vs) reciting/
諷諫 [ふうかん] /(n) indirect remonstrance/exhortation by insinuation/
諛い [へつらい] /(n) (uk) flattery/
諛う [へつらう] /(v5u,vi) to flatter/
謚号 [しごう] /(n) one's posthumous name/
諡 [おくりな] /(n) posthumous name/
諡号 [おくりごう] /(n) posthumous Buddhist name/
諡号 [しごう] /(n) posthumous name (based the deeds one has performed in their lifetime)/
諡法 [しほう] /(n) the rules according to which posthumous names are assigned/
謗り [そしり] /(n) (uk) slander/libel/disparagement/calumny/vilification/
謗る [そしる] /(v5r,vt) to slander/to libel/to criticize/to criticise/
謳い文句 [うたいもんく] /(n) catchphrase/promotional line/
謳う [うたう] /(v5u,vt) to express/to state/to insist/to stipulate/(P)/
謳われる [うたわれる] /(v1,vi) to be admired/to be stipulated/to be clearly expressed/
謳歌 [おうか] /(n,vs) rejoicing/glorification/exultation/celebration/enjoyment/singing praises/
鞫問 [きくもん] /(n,vs) examination/interrogation/questioning/
謦咳 [けいがい] /(n,vs) (1) cough/hawking/(2) laughing and talking at the same time/speak laughing/
謦咳に接する [けいがいにせっする] /(exp,vs-s) to meet someone in person/to have the pleasure of meeting/
謫所 [たくしょ] /(n) exile for crime/
譏る [そしる] /(v5r,vt) to slander/to libel/to criticize/to criticise/
譏嫌 [きげん] /(oK) (n) humour/humor/temper/mood/
譏誹 [きひ] /(n) (arch) abuse/slander/
譎詐 [きっさ] /(n) falsehood/fabrication/dissimulation/
譎詐 [けっさ] /(n) falsehood/fabrication/dissimulation/
證券 [しょうけん] /(oK) (n) securities/bonds/certificates/
證據 [しょうこ] /(oK) (n) evidence/proof/
譚歌 [たんか] /(n) ballad/
譚詩 [たんし] /(n) ballade/
譚詩曲 [たんしきょく] /(n) ballade/
譫言 [うわごと] /(n) (uk) talking in delirium/incoherent muttering/
譫言 [せんげん] /(n) (uk) talking in delirium/incoherent muttering/
譫言 [たわこと] /(iK) (ok) (n) nonsense/bullshit/silly things/joke/
譫言 [たわごと] /(iK) (n) nonsense/bullshit/silly things/joke/
譫語 [せんご] /(n) talking in a delirium/
譫妄 [せんもう] /(n) delirium/
譬え [たとえ] /(n) example/simile/metaphor/allegory/parable/
譬える [たとえる] /(v1,vt) to compare/to liken/to speak figuratively/to illustrate/to use a simile/
譬え歌 [たとえうた] /(n) (1) metaphorical poem (of the Man'yoshu)/(2) metaphorical form (of waka)/
譬え話 [たとえばなし] /(n) allegory/fable/parable/
譬話 [たとえばなし] /(n) allegory/fable/parable/
譬喩 [けいゆ] /(ik) (n) simile/metaphor/
譬喩 [ひゆ] /(n) simile/metaphor/
譬喩歌 [ひゆか] /(n) metaphorical poem (of the Man'yoshu)/
譴責 [けんせき] /(n,vs) reprimand/rebuke/censure/reproof/
讌 [うたげ] /(oK) (n) party/banquet/feast/
讌 [えん] /(oK) (n) party/banquet/feast/
讒する [ざんする] /(vs-s,vt) to slander/
讒言 [ざんげん] /(n,vs) false charge/slander/defamation/
讒口 [ざんこう] /(n,vs) false charge/slander/defamation/
讒臣 [ざんしん] /(n) false subject (vassal)/
讒訴 [ざんそ] /(n,vs) false charges/slander/
讒誣 [ざんぶ] /(n,vs) slander/
讒謗 [ざんぼう] /(n,vs) libel/slander/defamation/
讓位 [じょうい] /(n,vs) abdication/
讖 [しん] /(n) (obsc) foretelling/prophecy/
讚 [さん] /(n) a style of Chinese poetry/legend or inscription on a picture/
讚歌 [さんか] /(n) song of praise/eulogy/paean/hymn/
讚辞 [さんじ] /(n) praise/
讚嘆 [さんたん] /(n) admiration/extollment/
讚美 [さんび] /(n,vs,adj-no) praise/adoration/glorification/
讚美歌 [さんびか] /(n) hymn/hymnal/
谺 [こだま] /(n,vs) (1) echo/(vs) (2) to echo/to reverberate/(n) (3) the spirit of a tree/tree spirit/
豁然 [かつぜん] /(n,adj-t,adv-to) spread out/broad/all of a sudden/
豁然大悟 [かつぜんたいご] /(n,vs) suddenly seeing the light/achieving full enlightenment all of a sudden/
豁達 [かったつ] /(adj-na,n) openhearted/frank/broad-minded/
豁達 [かつだつ] /(ok) (adj-na,n) openhearted/frank/broad-minded/
谿 [たに] /(n) valley/
谿澗 [けいかん] /(n) mountain stream/valley/
谿間 [けいかん] /(n) ravine/
谿水 [けいすい] /(n) mountain stream/the water of a mountain stream/
谿声 [けいせい] /(n) sound of a valley stream/
谿泉 [けいせん] /(n) a spring that gushes forth from a valley/
谿谷 [けいこく] /(n) valley/ravine/canyon/
谿壑 [けいがく] /(n) (1) ravine/chasm/(2) ravenous desire/insatiable desire/
豈 [あに] /(int) expression of surprise/
豈図らんや [あにはからんや] /(exp) contrary to one's expectations/to one's surprise/
豌豆 [えんどう] /(n) green peas/
豌豆まめ [えんどうまめ] /(n) pea (Pisum sativum)/green pea/
豌豆豆 [えんどうまめ] /(n) pea (Pisum sativum)/green pea/
豎子 [じゅし] /(n) (1) child/young lad/(2) stripling/greenhorn/inexperienced person/
豐田 [とよた] /(n) Toyota (company)/
豕 [い] /(n) (arch) hog (esp. a wild boar, but also including the domesticated pig)/
豕 [いのこ] /(n) (1) (arch) wild boar/(2) infant wild boar/(3) pig/
豕 [ぶた] /(n) pig/
豕偏 [いのこへん] /(n) kanji "pig" radical at left/
豬 [い] /(n) (arch) hog (esp. a wild boar, but also including the domesticated pig)/
豸偏 [むじなへん] /(n) kanji "badger" radical at left/
豺 [やまいぬ] /(n) (1) Japanese wolf (Canis lupus hodophilax, extinct)/(2) wild dog/
豺狼 [さいろう] /(n) (1) wolf/(2) rapacious person/merciless and greedy person/
貂 [てん] /(n) (1) (uk) Japanese marten (Martes melampus)/(2) marten (any arboreal weasel-like mammal of genus Martes)/
貂熊 [くずり] /(n) (uk) wolverine (Gulo gulo)/glutton/carcajou/
貉 [むじな] /(oK) (n) (1) (uk) badger/(2) (uk) raccoon dog (Nyctereutes procyonoides)/
貍 [たぬき] /(n) (1) raccoon dog/tanuki (Nyctereutes procyonoides)/(2) craftiness/sly person/someone who makes evil plans without ever breaking their poker face/
豼貅 [ひきゅう] /(n) ferocious leopard-like beast/brave warrior/
貘 [ばく] /(n) (1) (uk) tapir/(2) mo (mythological Chinese chimera similar to a tapir, said to devour bad dreams)/
貪 [たん] /(n) (1) coveting/(2) (Buddh) raga (desire)/
貪 [どん] /(n) (1) coveting/(2) (Buddh) raga (desire)/
貪り食う [むさぼりくう] /(v5u) to devour greedily/
貪り食らう [むさぼりくらう] /(v5u) to devour greedily/
貪り読む [むさぼりよむ] /(v5m) to read avidly/
貪る [むさぼる] /(v5r,vt) (uk) to covet/to indulge in/to deeply desire/to lust insatiably for/to devour greedily/(P)/
貪愛 [とんあい] /(n,vs) (Buddh) attachment/craving/
貪愛 [とんない] /(n,vs) (Buddh) attachment/craving/
貪愛 [どんあい] /(n,vs) (Buddh) attachment/craving/
貪汚 [たんお] /(n) greed/corruption/
貪官汚吏 [たんかんおり] /(n) corrupt government official/
貪官汚吏 [どんかんおり] /(n) corrupt government official/
貪食 [どんしょく] /(n,vs) voracity/ravenousness/
貪食細胞 [どんしょくさいぼう] /(n) phagocyte/
貪戻 [たんれい] /(n,adj-na) (arch) avariciousness and inhumanity/
貪戻 [どんれい] /(n,adj-na) (arch) avariciousness and inhumanity/
貪慾 [たんよく] /(adj-na,n) (1) avarice/greed/covetousness/(2) (Buddh) raga (desire)/
貪慾 [とんよく] /(adj-na,n) (1) avarice/greed/covetousness/(2) (Buddh) raga (desire)/
貪慾 [どんよく] /(adj-na,n) (1) avarice/greed/covetousness/(2) (Buddh) raga (desire)/
貪欲 [たんよく] /(adj-na,n) (1) avarice/greed/covetousness/(2) (Buddh) raga (desire)/
貪欲 [とんよく] /(adj-na,n) (1) avarice/greed/covetousness/(2) (Buddh) raga (desire)/
貪欲 [どんよく] /(adj-na,n) (1) avarice/greed/covetousness/(2) (Buddh) raga (desire)/(P)/
貪欲法 [どんよくほう] /(n) (math) greedy algorithm/
貪婪 [たんらん] /(adj-na,n) covetousness/greed/
貪婪 [どんらん] /(adj-na,n) covetousness/greed/
貽貝 [いがい] /(n) (uk) Korean mussel (Mytilus coruscus)/
貶す [けなす] /(v5s,vt) (uk) to speak ill of/(P)/
貶なす [けなす] /(v5s,vt) (uk) to speak ill of/
貶み [さげすみ] /(n) contempt/
貶む [さげすむ] /(v5m,vt) to scorn/to despise/
貶める [おとしめる] /(v1,vt) (1) to show contempt for/to look down upon/to have a low opinion of/(2) to cause to fall/to make decline/
賤 [しず] /(n) (1) (arch) lowly person/lowliness/(2) (hum) I (used by male entertainers)/
賤 [せん] /(n) (1) (arch) lowly person/lowliness/
賤しい [いやしい] /(adj-i) (1) lowborn/humble/lowly/(2) vulgar/coarse/crude/mean/base/vile/(3) shabby/(4) greedy/gluttonous/avaricious/
賤しむ [いやしむ] /(oK) (v5m) to despise/to disdain/to scorn/
賤しむべき [いやしむべき] /(exp) despicable/
賤の女 [しずのめ] /(n) woman of lowly birth/
賤業婦 [せんぎょうふ] /(n) prostitute/
賤女 [せんじょ] /(n) lowly woman/
賤称 [せんしょう] /(n) (obsc) depreciatory name/
賤鳥 [しずとり] /(n) (obsc) lesser cuckoo (Cuculus poliocephalus)/
賤民 [せんみん] /(n) humble or lowly people/
賤吏 [せんり] /(n) (arch) low-ranking official/
賽 [さい] /(n) (1) (abbr) dice/die/(2) baton (of command)/
賽 [さえ] /(n) (1) (abbr) dice/die/
賽の河原 [さいのかわら] /(n) The Children's Limbo/
賽の目 [さいのめ] /(n) (1) pip (spot on a die)/(2) small cube (esp. of food)/die/dice/
賽は投げられた [さいはなげられた] /(exp) the die is cast/no going back/alea jacta est/
賽子 [さいころ] /(n) (uk) dice/die/
賽銭 [さいせん] /(n) monetary offering/offertory/
賽銭箱 [さいせんばこ] /(n) offertory box/
賽六 [さいろく] /(n) (1) (arch) kid/brat/(2) Edo term used to debase people from Kansai/
賺す [すかす] /(v5s) to coax/to cajole/to humour (humor)/to wheedle/
贄 [にえ] /(n) (1) (arch) offering (to the gods, emperor, etc.)/(2) gift/(3) sacrifice/
贅 [ぜい] /(n) extravagance/luxury/
贅する [ぜいする] /(vs-s,vt) (arch) to say more than necessary/
贅言 [ぜいげん] /(n,vs) verbosity/redundancy/
贅沢 [ぜいたく] /(adj-na,n) (1) luxury/extravagance/(vs) (2) to live in luxury/(P)/
贅沢屋 [ぜいたくや] /(n) person who lives an extravagant lifestyle/
贅沢三昧 [ぜいたくざんまい] /(n) indulging in every possible luxury/
贅沢品 [ぜいたくひん] /(n) luxury item/
贅肉 [ぜいにく] /(n) excess flesh/flab/
贅六 [ぜいろく] /(n) (arch) Edo term used to debase people from Kansai/
贅六 [ぜえろく] /(n) (arch) Edo term used to debase people from Kansai/
贏ち得る [かちえる] /(v1,vt) to achieve/to win/to gain/to attain/
贏つ [かつ] /(v5t,vi) to win/to gain victory/
贏余 [えいよ] /(n) remainder/
贐 [はなむけ] /(n) farewell gift/parting gift/viaticum/
齎す [もたらす] /(v5s) (uk) to bring/to take/to bring about/(P)/
齎らす [もたらす] /(io) (v5s) (uk) to bring/to take/to bring about/
贔負 [ひいき] /(n,vs) favour/favor/patronage/partiality/
贔屓 [ひいき] /(n,vs) favour/favor/patronage/partiality/(P)/
贔屓 [びいき] /(n-suf) liking something/being partial to something/-phile/
贔屓にする [ひいきにする] /(exp,vs-i) to favor/to favour/to show favor to/to show favour to/to be partial to/to be a regular customer of/
贔屓目 [ひいきめ] /(n) see things in a favourable light (favorable)/
贔屓贔屓 [ひいきびいき] /(n) each person supporting (patronizing) his (her) own favorite/
贖い [あがない] /(n,adj-no) atonement/redemption/compensation/
贖う [あがなう] /(v5u,vt) to compensate/to make up for/
贖罪 [しょくざい] /(n,vs) (1) atonement/(2) the Atonement/
贖罪 [ぞくざい] /(n,vs) (1) atonement/(2) the Atonement/
贖罪 [とくざい] /(ik) (n,vs) (1) atonement/(2) the Atonement/
贖罪の日 [しょくざいのひ] /(n) Yom Kippur/Day of Atonement/
贖罪意識 [しょくざいいしき] /(n) a sense of atonement/
贖宥 [しょくゆう] /(n) indulgence (in the Catholic Church)/
贖宥状 [しょくゆうじょう] /(n) indulgence (religious)/
赧らめる [あからめる] /(v1,vt) to blush/to redden/
赧顔 [たんがん] /(n) blushing (with shyness)/flushed face/
赭い [あかい] /(oK) (adj-i) (1) red/(2) Red (i.e. communist)/
赭顔 [しゃがん] /(n) ruddy face/
赭黒い [あかぐろい] /(oK) (adj-i) dark red/dark brown/reddish brown/
赭土 [しゃど] /(n) red ocher/
赳赳たる武夫 [きゅうきゅうたるぶふ] /(n) soldier of dauntless courage/
跂及 [ききゅう] /(n,vs) attempt/
趾行性 [しこうせい] /(n,adj-no) digitigrade (walking on the toes)/
趾骨 [しこつ] /(n) phalanx (phalange) of the foot/
跛 [あしなえ] /(n) (1) (uk) (sens) lameness/cripple/(2) mismatched pair (of shoes, etc.)/
跛 [ちんば] /(n) (1) (uk) (sens) lameness/cripple/(2) mismatched pair (of shoes, etc.)/
跛 [びっこ] /(n) (1) (uk) (sens) lameness/cripple/(2) mismatched pair (of shoes, etc.)/
跛を引く [びっこをひく] /(exp,v5k) to limp/
跛行 [はこう] /(n,vs) limp/imbalance/unfavorable progress/unfavourable progress/
跛行 [ひこう] /(ik) (n,vs) limp/imbalance/unfavorable progress/unfavourable progress/
跛行景気 [はこうけいき] /(n) spotty economic boom/
跛行婚 [はこうこん] /(n) international marriage which is recognized in only one party's country (e.g. same-sex marriage, polygamy, underage marriage)/
跋 [ばつ] /(n) epilogue/postscript/envoi/
跋渉 [ばっしょう] /(n,vs) wandering/
跋文 [ばつぶん] /(n) afterword/
跋扈 [ばっこ] /(n,vs) rampancy/prevalence/domination/
跋扈跳梁 [ばっこちょうりょう] /(n,vs) evildoers being rampant and roaming at will/
跪く [ひざまずく] /(v5k,vi) (uk) to kneel/(P)/
跪け [ひざまずけ] /(n) kneeling/
跪坐 [きざ] /(n,vs) kneeling with the balls of the feet on the floor and sitting on one's heels/
跪座 [きざ] /(n,vs) kneeling with the balls of the feet on the floor and sitting on one's heels/
跫音 [きょうおん] /(n) sound of footsteps/
跫然 [きょうぜん] /(adv-to,adj-t) (arch) as the sound of footsteps/
跣 [はだし] /(n,adj-no) (1) barefoot/(n-suf) (2) superior to (a professional, etc. in ability or achievement)/(P)/
跣足 [せんそく] /(n,adj-no) (1) barefoot/
跣足 [はだし] /(n,adj-no) (1) barefoot/(n-suf) (2) superior to (a professional, etc. in ability or achievement)/
跼まる [せくぐまる] /(v5r) to bend down with a round back/
跼まる [せぐくまる] /(v5r) to bend down with a round back/
跼む [せくぐむ] /(v5m) to bend down with a round back/
踝 [くるぶし] /(n,adj-no) (uk) ankle/malleolus/
踞う [つくばう] /(v5u,vi) to crouch/to squat/
踞る [うずくまる] /(v5r,vi) (uk) to crouch/to squat/to cower/
蹂躙 [じゅうりん] /(n,vs) trampling down/overrunning/infringement/violation/
蹂躪 [じゅうりん] /(n,vs) trampling down/overrunning/infringement/violation/
踵 [あくと] /(n) (uk) heel (of foot, shoe, stocking, etc.)/
踵 [かかと] /(n) (uk) heel (of foot, shoe, stocking, etc.)/(P)/
踵 [きびす] /(n) (uk) heel (of foot, shoe, stocking, etc.)/
踵 [くびす] /(n) (uk) heel (of foot, shoe, stocking, etc.)/
踵を返す [きびすをかえす] /(exp,v5s) to turn back/to return/
踵を返す [くびすをかえす] /(exp,v5s) to turn back/to return/
踵骨 [しょうこつ] /(n) calcaneus/calcaneum/heel bone/
蹇 [あしなえ] /(n) (1) (uk) (sens) lameness/cripple/
蹉跌 [さてつ] /(n,vs) failure/stumbling/setback/
蹌々 [そうそう] /(adv-to,adj-t) (obsc) moving unsteadily/staggeringly/
蹌踉 [そうろう] /(adj-t,adv-to) tottering/staggering/reeling/
蹌踉ける [よろける] /(v1,vi) to stagger/to stumble/
蹌踉めく [よろめく] /(v5k,vi) (1) (uk) to stagger/(2) (uk) to misconduct oneself/to have a love affair/to waver/to feel some inclination/(P)/
蹌蹌 [そうそう] /(adv-to,adj-t) (obsc) moving unsteadily/staggeringly/
蹈襲 [とうしゅう] /(n,vs) following (e.g. suit, in someone's footsteps, etc.)/emulation/
蹈鞴 [たたら] /(n) (uk) foot-operated bellows/foot bellows/
蹈鞴を踏む [たたらをふむ] /(exp,v5m) to stumble a step or two forward (when trying to stop)/to pass one's destination and stumble a step or two forward/to totter/
蹠 [あしうら] /(n) sole of the foot/
蹠 [あなうら] /(n) sole of the foot/
蹠行性 [しょこうせい] /(n,adj-no) plantigrade (walking on the soles of the feet)/
蹠骨 [しょこつ] /(n) (obs) metatarsal/
蹣跚ける [よろける] /(v1,vi) to stagger/to stumble/
蹶起 [けっき] /(n,vs) jump to one's feet/stand up against/rising to action/
蹶然 [けつぜん] /(adj-t,adv-to) resolute/with a spring/
蹲 [つくばい] /(n) stone wash basin found in Japanese gardens/
蹲い [つくばい] /(n) stone wash basin found in Japanese gardens/
蹲う [つくばう] /(v5u,vi) to crouch/to squat/
蹲み込む [しゃがみこむ] /(v5m,vi) (uk) to squat/to crouch down (completely, generally with face looking through knees)/
蹲む [つくなむ] /(v5m,vi) (obsc) to squat/to crouch/
蹲る [うずくまる] /(v5r,vi) (uk) to crouch/to squat/to cower/(P)/
蹲る [つくばる] /(v5r,vi) (uk) to crouch/to squat/to cower/
蹲踞 [そんきょ] /(n,vs) crouching/formal crouch performed at the beginning of a sumo or kendo match/
蹲踞 [つくばい] /(n) stone wash basin found in Japanese gardens/
蹼 [みずかき] /(n) web(foot)/paddle/swimfin/(diving) fin/(diving) flipper/
躁うつ [そううつ] /(adj-na,n) manic-depressive (bipolar)/mood swing/
躁うつ質 [そううつしつ] /(n) cyclothymia/
躁うつ病 [そううつびょう] /(n,adj-no) manic depression/manic-depressive psychosis/bipolar disorder/
躁うつ病 [そううつやまい] /(n,adj-no) manic depression/manic-depressive psychosis/bipolar disorder/
躁欝病 [そううつびょう] /(n,adj-no) manic depression/manic-depressive psychosis/bipolar disorder/
躁欝病 [そううつやまい] /(n,adj-no) manic depression/manic-depressive psychosis/bipolar disorder/
躁状態 [そうじょうたい] /(n) manic state/
躁病 [そうびょう] /(n,adj-no) mania/
躁鬱 [そううつ] /(adj-na,n) manic-depressive (bipolar)/mood swing/
躁鬱質 [そううつしつ] /(n) cyclothymia/
躁鬱病 [そううつびょう] /(n,adj-no) manic depression/manic-depressive psychosis/bipolar disorder/
躁鬱病 [そううつやまい] /(n,adj-no) manic depression/manic-depressive psychosis/bipolar disorder/
躄 [いざり] /(n) (1) crawling on the ground/shuffling one one's knees/(2) (sens) cripple/
躄る [いざる] /(v5r,vi) to crawl/to shuffle along/
躄魚 [いざりうお] /(n) (uk) (sens) frogfish (any fish of family Antennariidae, esp. the striated frogfish, Antennarius striatus)/
躊む [つくなむ] /(v5m,vi) (obsc) to squat/to crouch/
躊躇 [ちゅうちょ] /(n,vs) hesitation/indecision/vacillation/
躊躇い [ためらい] /(n,vs) faltering/hesitation/
躊躇いながら [ためらいながら] /(exp) doing something in a halting way/
躊躇う [ためらう] /(v5u,vi) (uk) to hesitate/(P)/
躊躇わずに [ためらわずに] /(exp) (uk) without hesitation/without a qualm/at the drop of a hat/
躊躇逡巡 [ちゅうちょしゅんじゅん] /(n,vs) hesitation and vacillation/
躓き [つまずき] /(n) (1) (uk) stumbling/(2) failure/misstep/
躓く [つまずく] /(v5k,vi) (1) to stumble/to trip/(2) to fail/(P)/
躓く [つまづく] /(ok) (v5k,vi) (1) to stumble/to trip/(2) to fail/
躑躅 [つつじ] /(n) azalea/Rhododendron spp./
躙り寄る [にじりよる] /(v5r,vi) to sidle up to/
躙り口 [にじりぐち] /(n) small door which leads into a tea ceremony hut/
躙る [にじる] /(v5r) (1) (uk) to shuffle one's feet/(2) to trample underfoot/
躬行 [きゅうこう] /(n,vs) executing by oneself/
躰 [からだ] /(n,adj-no) (1) body/(2) health/
躱す [かわす] /(v5s,vt) (uk) to dodge/to evade/to avoid/to sidestep/
躾 [しつけ] /(n) (uk) home discipline/training/upbringing/breeding/(P)/
躾ける [しつける] /(v1) to train/to discipline/to teach manners/
躾方 [しつけかた] /(n) way of training/
軈て [やがて] /(adv) (1) (uk) before long/soon/(2) (uk) almost/nearly/(3) (uk) finally/in the end/eventually/(P)/
軋みあう [きしみあう] /(v5u) to engage in (mutual) competition/
軋み合う [きしみあう] /(v5u) to engage in (mutual) competition/
軋む [きしむ] /(v5m,vi) (uk) to jar/to creak/to grate/
軋り [きしり] /(n) (1) creaking/squeaking/(2) friction (between people)/
軋る [きしる] /(v5r) to creak/to squeak/
軋轢 [あつれき] /(n,vs) friction/discord/strife/
軛 [くびき] /(n) yoke/
軻遇突智 [かぐつち] /(n) Kagutsuchi/fire deity who burned to death his mother Izanami during childbirth (and was therefore beheaded by his father Izanagi)/
軫 [しん] /(n) Chinese "Chariot" constellation (one of the 28 mansions)/
軫宿 [みつかけぼし] /(n) Chinese "Chariot" constellation (one of the 28 mansions)/
軫念 [しんねん] /(n) the grief or feelings of the Emperor/
輒 [すなわち] /(adv,conj) (uk) that is/namely/i.e./
輓近 [ばんきん] /(n,n-t) (arch) lately/recently/
輓馬 [ばんば] /(n) draft horse/draught horse/
輜重兵 [しちょうへい] /(n) (obs) Transportation Corps (service branch of the Imperial Japanese Army)/
輦車 [れんしゃ] /(n) wheeled palanquin (with a castle-shaped box)/
輻 [や] /(n) spoke/
輻射 [ふくしゃ] /(n,vs) radiation/
輻射エネルギー [ふくしゃエネルギー] /(n) (obsc) radiant energy/
輻射線 [ふくしゃせん] /(n) radiation/radiant rays/
輻射点 [ふくしゃてん] /(n) radiant point/
輻射熱 [ふくしゃねつ] /(n,adj-no) radiant heat/photothermal/
輻湊 [ふくそう] /(n,vs,adj-no) (1) congestion (e.g. traffic)/overcrowding/(2) convergence (esp. optical)/
輻輳 [ふくそう] /(n,vs,adj-no) (1) congestion (e.g. traffic)/overcrowding/(2) convergence (esp. optical)/
輻輳状態 [ふくそうじょうたい] /(n) (comp) congestion condition/congestion state/
輻輳制御 [ふくそうせいぎょ] /(n) (comp) collision congestion control/
轅 [ながえ] /(n) shafts (attached to the yoke of a cart, plow, etc.)/
轂 [こしき] /(n) hub/nave/
輾転 [てんてん] /(n,vs) (1) rolling about/(2) tossing and turning (in bed)/jactitation/jactation/
輾転反側 [てんてんはんそく] /(n,vs) tossing and turning in bed/turning over in bed worrying over something/
轌 [そり] /(n) (uk) sleigh/sled/sledge/
轉任 [てんにん] /(oK) (n,vs) change of post/
轆轤 [ろくろ] /(n) (1) lathe/(2) potter's wheel/(3) windlass/pulley/
轆轤っ首 [ろくろっくび] /(n) rokurokubi/long-neck woman/monstrous person (often a woman) with a neck that can expand and contract (in Japanese folklore)/
轆轤首 [ろくろくび] /(n) rokurokubi/long-neck woman/monstrous person (often a woman) with a neck that can expand and contract (in Japanese folklore)/
轗軻 [かんか] /(n) separation from the world/
轢き殺す [ひきころす] /(v5s,vt) to kill by running over/
轢き逃げ [ひきにげ] /(n,vs) (uk) hit-and-run accident causing personal injury/
轢く [ひく] /(v5k,vt) to run somebody over (with vehicle)/to knock someone down/(P)/
轢殺 [れきさつ] /(n,vs) killing by running over with a car or train/
轢殺す [ひきころす] /(v5s,vt) to kill by running over/
轢死 [れきし] /(n,vs) death by being run over/
轢断 [れきだん] /(n,vs) cutting in two under train wheels/
轢逃げ [ひきにげ] /(n,vs) (uk) hit-and-run accident causing personal injury/
辟 [へき] /(n) false/punish/crime/law/ruler/
辟易 [へきえき] /(vs) (1) to wince/to shrink back/(2) to be stumped/to be disconcerted/(3) to be bored/(4) to be fed up/
辣韮 [らっきょう] /(n) Japanese leek (edible plant, Allium bakeri, Allium chinense)/sour-sweet pickle of Japanese leek/
辣油 [らーゆ] /(n) (uk) Chinese red chile oil (chile, chilli) (chi: layou)/raayu/
辣油 [らぜゆ] /(n) (uk) Chinese red chile oil (chile, chilli) (chi: layou)/raayu/
辣腕 [らつわん] /(adj-na,n) shrewdness/tact/
辣韭 [らっきょう] /(n) Japanese leek (edible plant, Allium bakeri, Allium chinense)/sour-sweet pickle of Japanese leek/
辭典 [ことばてん] /(oK) (n) dictionary/
辭典 [じてん] /(oK) (n) dictionary/
辯 [べん] /(oK) (n) (1) speech/(n-suf) (2) dialect/
辯解 [べんかい] /(oK) (n,vs,adj-no) justification/rationalization/pretext/explanation/exculpation/defence/defense/excuse/
辯才天 [べんざいてん] /(oK) (n) (Buddh) Saraswati (god of wealth, music, eloquence and water)/
辯士 [べんし] /(oK) (n) (1) lecturer/rhetorician/orator/(2) narrator in Japanese silent cinema/film interpreter/
辯駁 [べんばく] /(oK) (n,vs) refutation/contradiction/rebuttal/disproof/disputation/
辯駁 [べんぱく] /(oK) (n,vs) refutation/contradiction/rebuttal/disproof/disputation/
辯論 [べんろん] /(oK) (n,vs,adj-no) discussion/debate/argument/
辷らす [すべらす] /(v5s,vt) to let something slip/to slide/to glide/
辷り止め [すべりどめ] /(n) (1) tyre chains/anti-skid device/(2) backup measure/taking entrance examination to a university in case one fails at other universities/
辷る [すべる] /(v5r,vi) (1) to glide/to slide (e.g. on skis)/to slip/(2) to fail (an examination)/to bomb (when telling a joke)/(3) to drop/to go down/to come down/to fall (e.g. in status)/
迚も [とっても] /(adv) (1) (uk) very/awfully/exceedingly/(2) (before a negative form) (not) at all/by no means/simply (cannot)/
迚も [とても] /(adv) (1) (uk) very/awfully/exceedingly/(2) (before a negative form) (not) at all/by no means/simply (cannot)/(P)/
迚もじゃないが [とてもじゃないが] /(exp) (uk) (before a negative form) simply (cannot)/
迚も迚も [とてもとても] /(adv) (uk) (before a negative form) simply (cannot)/
迯がす [にがす] /(oK) (v5s,vt) to let loose/to set free/to let escape/
迯げる [にげる] /(oK) (v1,vi) to escape/to run away/
迹 [あと] /(n) (1) trace/tracks/mark/sign/(2) remains/ruins/(3) scar/
迹門 [しゃくもん] /(n) first half of the Lotus Sutra, in which the Buddha appears as a spatiotemporally restricted being/
逕庭 [けいてい] /(n) great difference/
逕路 [けいろ] /(n) (1) course/route/path/channel/(2) process/means/
逡巡 [しゅんじゅん] /(n,vs) hesitation/indecision/
逍遥 [しょうよう] /(n,vs) ramble/saunter/walk/wander/
逍遥学派 [しょうようがくは] /(n) Peripatetic school (of philosophy)/
逍遙 [しょうよう] /(oK) (n) stroll/walk/
逞しい [たくましい] /(adj-i) (uk) burly/strong/sturdy/(P)/
逞しくする [たくましくする] /(vs-s,vt) to give rein to/
逞しゅうする [たくましゅうする] /(vs-s,vt) to give rein to/
迸しり出る [ほとばしりでる] /(v1) to gush out/to gush forth/to effuse/
迸り [とばしり] /(n) (1) (uk) splash/spray/(2) chance blow/by-blow/quarrel/
迸り [とばっちり] /(n) (1) (uk) splash/spray/(2) chance blow/by-blow/quarrel/
迸り [ほとばしり] /(n) gusher/spout/outpouring/effusion/torrent/
迸る [とばしる] /(v5r,vi) (uk) to surge/to well up/to gush out/
迸る [ほとばしる] /(v5r,vi) (uk) to surge/to well up/to gush out/
遑 [いとま] /(adj-na,n) (1) spare time/free time/leisure/(2) time off/day off/vacation/holiday/leave/(3) quitting (one's job)/firing someone/divorcing (one's spouse)/(n) (4) leaving/departing/
遖 [あっぱれ] /(adj-na,n) (1) (uk) splendid/praiseworthy/admirable/brilliant/(int) (2) (uk) well done!/bravo!/
遯世 [とんせい] /(n,vs) seclusion from the world/
遯竄 [とんざん] /(n,vs) fleeing into hiding/
隨筆 [ずいひつ] /(oK) (n) essays/miscellaneous writings/literary jottings/
隨筆家 [ずいひつか] /(n) essayist/
隨筆集 [ずいひつしゅう] /(n) collection of essays (miscellaneous writings, literary jottings, etc.)/
隨分 [ずいぶん] /(oK) (adv,adv-to) (1) very/extremely/surprisingly/considerably/(adj-na) (2) contemptible/reprehensible/
遲い [おそい] /(oK) (adj-i) (1) late (e.g. "late at night")/
邂逅 [かいこう] /(n,vs) chance meeting/
遽しい [あわただしい] /(adj-i) busy/hurried/confused/flurried/
遽然 [きょぜん] /(adv-to,adj-t) (arch) sudden/abrupt/
邁進 [まいしん] /(n,vs) push forward/work vigorously towards an aim/
邀える [むかえる] /(v1,vt) (1) to go out to meet/(2) to receive/to welcome/(3) to accept (e.g. as a member of a group or family)/(4) to call for/to summon/to invite/(5) to approach (a certain time, a point in one's life, etc.)/
邀え撃つ [むかえうつ] /(oK) (v5t,vt) to ambush/to attack/to assault/to meet the enemy/
邀撃 [ようげき] /(n,vs) ambush/assault/
邏卒 [らそつ] /(n) (1) serviceman on patrol/(2) (arch) policeman (early Meiji era)/
邯鄲 [かんたん] /(n) tree cricket (Oecanthus longicauda)/
邯鄲の歩み [かんたんのあゆみ] /(exp) like the young man who tried to walk like the Kantan people, gave up, and forgot how to walk/
邯鄲の夢 [かんたんのゆめ] /(n) vain dream of wealth and splendour (splendor)/
邯鄲師 [かんたんし] /(n) bedroom thief/
扈従 [こしょう] /(n,vs) attendance/
扈従 [こじゅう] /(n,vs) attendance/
鄙 [ひな] /(n) (the) country/
鄙びる [ひなびる] /(v1,vi) to become rustic/to be countrified/
鄙歌 [ひなうた] /(n) folk song/
鄙見 [ひけん] /(n) my humble opinion/
鄙語 [ひご] /(n) vulgar expression/vulgarism/
鄙振り [ひなぶり] /(n) (1) appearing rustic/(2) ancient song played at the court/(3) comical tanka/
鄙俗 [ひぞく] /(adj-na,n) vulgarity/vulgarism/vulgar/coarse/
鄙劣 [ひれつ] /(adj-na,n) mean/foul play/cowardly/base/
鄙猥 [ひわい] /(adj-na,n) (uk) indecent/obscene/
鄙賤 [ひせん] /(adj-na,n) low class/lowly (position)/humble (condition)/
鄰 [となり] /(oK) (n,adj-no) neighbor (neighbour)/next to (esp. living next door to)/
酖溺 [たんでき] /(n,vs) (1) indulgence (e.g. in alcohol, women, etc.)/(2) debauchery/dissipation/
酣 [たけなわ] /(adv) (uk) in full swing/at full height/
酩酊 [めいてい] /(n,vs,adj-no) drunkenness/intoxication/
酩酊者 [めいていしゃ] /(n) drunkard/reveller/
酩酊歩行 [めいていほこう] /(n) drunken (staggering, tottering) gait/wide-based gait/
醋 [す] /(n) vinegar/
醋橘 [すだち] /(n) (uk) sudachi (species of Japanese citrus, Citrus sudachi)/
醋酸 [さくさん] /(n,adj-no) acetic acid/
醂す [あわす] /(v5s,vt) (1) to remove the astringent taste from persimmons/
醂す [さわす] /(v5s,vt) (1) to remove the astringent taste from persimmons/(2) to soak in water/to steep in water/(3) to matte (with black lacquer)/
醢 [ししびしお] /(n) (arch) salted and fermented meat or fish/
醢 [ひしお] /(n) salted flesh (fish, etc.)/
醢汁 [しょっつる] /(n) salted and fermented fish sauce from Akita/
醪 [もろみ] /(n) (1) main fermenting mash (in production of sake or soy sauce)/unrefined sake or soy sourc/(adj-f) (2) unrefined/rough/
醵金 [きょきん] /(n,vs) contribution/subscription/
醵出 [きょしゅつ] /(n,vs) donation/contribution/
醴 [あまざけ] /(n) (food) sweet half sake/sweet drink made from fermented rice/
醴泉 [れいせん] /(n) (obsc) spring of sweet water/
醺然 [くんぜん] /(adj-t,adv-to) appearing drunk and cheerful/
釁る [ちぬる] /(v5r,vi) to smear with blood/to kill/
釉 [うわぐすり] /(n) glaze/overglaze/enamel/
釉薬 [うわぐすり] /(n) glaze/overglaze/enamel/
釉薬 [ゆうやく] /(n) glaze/overglaze/enamel/
釵 [さい] /(n) (MA) sai (an Okinawan weapon)/
鈔 [しょう] /(n) (1) (obs) excerpt/extract/(2) annotation/(3) shou (unit of volume, approx. 1.8 ml)/
鈕 [ぼたん] /(n) (uk) button (por: bota~o)/
鈑金 [ばんきん] /(n) sheet metal/metal plate/
鉞 [まさかり] /(n) broadaxe/
鉗む [つぐむ] /(v5m,vt) (uk) to shut one's mouth/to hold one's tongue/to keep silent/
鉗子 [かんし] /(n) forceps/
鉉 [つる] /(n) (1) bowstring/(2) string (of shamisen, guitar, violin, etc.)/(3) bail (arched pot handle)/(4) diagonal levelling wire across the top of a masu/
鉉鍋 [つるなべ] /(n) pot with a bail for a handle/
鉤 [かぎ] /(n) (1) hook/(2) (abbr) hook bracket (Japanese quotation mark)/
鉤 [ち] /(ok) (n) (1) needle/pin/(2) hook/(3) stinger/thorn/(4) hand (e.g. clock, etc.)/pointer/(5) staple (for a stapler)/(6) needlework/sewing/(7) malice/(ctr,n-suf) (8) counter for stitches/
鉤 [はり] /(n) (1) needle/pin/(2) hook/(3) stinger/thorn/(4) hand (e.g. clock, etc.)/pointer/(5) staple (for a stapler)/(6) needlework/sewing/(7) malice/(ctr,n-suf) (8) counter for stitches/
鉤の手 [かぎのて] /(n) right-angled bend/
鉤括弧 [かぎかっこ] /(n) square bracket/Japanese-style quotation marks/
鉤十字 [かぎじゅうじ] /(n) swastika/
鉤針 [かぎばり] /(n) hook/crochet needle/
鉤針編 [かぎばりあみ] /(n) crochet/
鉤針編み [かぎばりあみ] /(n) crochet/
鉤素 [はりす] /(n) snell (fishing)/leader/
鉤虫 [かぎむし] /(n) (uk) velvet worm (Onychophora)/
鉤虫 [こうちゅう] /(n) hookworm/
鉤虫症 [こうちゅうしょう] /(n) hookworm disease/ancylostomiasis/ankylostomiasis/uncinariasis/
鉤爪 [かぎづめ] /(n) claw/talon/
鉤頭虫 [こうとうちゅう] /(n) thorny-headed worm (any parasitic worm of phylum Acanthocephala)/
鉤頭虫類 [こうとうちゅうるい] /(n) acanthocephalans/thorny-headed worms/
鉤縄 [かぎなわ] /(n) ninja rope with grappling hook/
鉤鼻 [かぎばな] /(n) hooked nose/
鉤欄 [こうらん] /(n) balustrade/railing/handrail/banister/bannister/
鉤裂き [かぎざき] /(n) rip/tear/
鉈 [なた] /(n) wide blade knife (similar to a machete but not so large)/
鉈鎌 [なたがま] /(n) (uk) billhook/fascine knife/sickle-shaped tool with a sharp inner edge, halfway between a knife and an axe/
鉈豆 [なたまめ] /(n) sword bean/
鉋 [かんな] /(n) plane (for working with wood)/
鉋掛け [かんなかけ] /(n) (uk) planing (wood)/
鉋屑 [かんなくず] /(n) wood shavings/
鉋身 [かんなみ] /(n) cutting blade of a plane/
銜 [くつわ] /(n) bit (i.e. attached to a bridle)/
銜えこむ [くわえこむ] /(v5m) (1) to hold fast deep in (one's mouth or other orifice, often used in a sexual context)/(2) to bring in a man for sex/
銜える [くわえる] /(v1,vt) (uk) to hold in one's mouth/
銜え込む [くわえこむ] /(v5m) (1) to hold fast deep in (one's mouth or other orifice, often used in a sexual context)/(2) to bring in a man for sex/
銜え箸 [くわえばし] /(n) holding one's chopsticks in one's mouth (a breach of etiquette)/
銜む [くくむ] /(v5m,vt) (1) to contain/to comprise/to have/to hold/to include/to embrace/(2) to hold in the mouth/(3) to bear in mind/to understand/to harbor (grudge, etc.)/to harbour/(4) to express (emotion, etc.)/to imply/
銜む [ふくむ] /(v5m,vt) (1) to contain/to comprise/to have/to hold/to include/to embrace/(2) to hold in the mouth/(3) to bear in mind/to understand/to harbor (grudge, etc.)/to harbour/(4) to express (emotion, etc.)/to imply/
銓衡 [せんこう] /(n,vs) selection/screening/
銛 [もり] /(n) lance/harpoon/
鋏 [はさみ] /(n) (uk) scissors/tongs/(P)/
鋏 [やっとこ] /(n) (uk) pincers/nippers/pliers/
鋏む [はさむ] /(v5m,vt) to cut off/
鋏角 [きょうかく] /(n) chelicera/
鋏角亜門 [きょうかくあもん] /(n) Chelicerata (suborder comprising arachnids, sea spiders, and horseshoe crabs)/
鋏角類 [きょうかくるい] /(n) Chelicerata/chelicerates/
鋏虫 [はさみむし] /(n) (uk) earwig/
銹病 [さびびょう] /(n) (plant) rust/rust fungus/
銹病 [しゅうきん] /(n) (plant) rust/rust fungus/
銷する [しょうする] /(vs-s,vi) (1) to disappear/(vs-s,vt) (2) to cause to disappear/to get rid of/(3) (of time) to pass/to while away/
銷夏 [しょうか] /(n) summering/
銷却 [しょうきゃく] /(n,vs) erasure/paying back debt/effacement/
銷沈 [しょうちん] /(n,vs,adj-no) depression/low spirits/dejection/
鋩 [へさき] /(n) the tip of a spear/the edge at the very tip of a sword/
鋩子 [ぼうし] /(n) the edge at the very tip of a sword/
錏 [しころ] /(n) series of articulated plates attached to the back and sides of a Japanese helmet/
鋺 [かなまり] /(n) small metal bowl/
錢 [せん] /(oK) (n) (1) hundredth of a yen/(2) coin made of non-precious materials/(3) (obs) one-thousandth of a kan (as a unit of currency)/(4) (arch) one-thousandth of a kan (as a unit of mass)/
錚々 [そうそう] /(adj-t,adv-to) (uk) eminent/distinguished/
錚錚 [そうそう] /(adj-t,adv-to) (uk) eminent/distinguished/
錣 [しころ] /(n) series of articulated plates attached to the back and sides of a Japanese helmet/
錻 [ブリキ] /(ateji) (n) (uk) tin plate (dut: blik)/
錻力 [ブリキ] /(ateji) (n) (uk) tin plate (dut: blik)/
鍼 [はり] /(n) (1) (acupuncture) needle/(2) acupuncture/
鍼のつぼ [はりのつぼ] /(n) acupuncture point/
鍼の壷 [はりのつぼ] /(n) acupuncture point/
鍼医 [はりい] /(n) acupuncturist/
鍼灸 [しんきゅう] /(n) acupuncture and moxibustion/
鍼灸師 [しんきゅうし] /(n) acupuncturist and practitioner of moxibustion/
鍼師 [はりし] /(n) acupuncturist/
鍼治 [しんじ] /(n) acupuncture/
鍼治療 [はりちりょう] /(n) acupuncture/
鍼術 [しんじゅつ] /(n) acupuncture/
鍼麻酔 [はりますい] /(n) anesthesia by acupuncture/
鍼療法 [はりりょうほう] /(n) acupuncture therapy/
鎬 [しのぎ] /(n) (1) ridges on a blade (sword, knife, etc.)/(2) ridged pattern in building/
鎬を削る [しのぎをけずる] /(exp,v5r) to compete ruthlessly/to sharpen swords/
鎬鑿 [しのぎのみ] /(n) chisel for making dovetail joints/
鎔かす [わかす] /(v5s,vt) (1) (arch) to melt (metal)/
鎔く [とく] /(oK) (v5k,vt) to dissolve (paint)/to scramble (eggs)/to melt (metal, etc.)/to mix (water with flour, etc.)/
鎔ける [とける] /(v1,vi) to melt/to thaw/to fuse/to dissolve/
鎔解 [ようかい] /(n,vs) melting/fusing/
鎔鉱炉 [ようこうろ] /(n) smelting furnace/blast furnace/
鎔接 [ようせつ] /(n,vs) weld/welding/
鎔銑 [ようせん] /(n) molten iron/
鎹 [かすがい] /(n) (1) (uk) clamp/cramp (metal)/(2) tie (metaphorical, e.g. something that binds two people together)/
鏖 [みなごろし] /(n) massacre/annihilation/wholesale slaughter/
鏖殺 [おうさつ] /(n,vs) massacre/extermination/
鏗々 [こうこう] /(adj-t,adv-to) (arch) the ringing out of bells or chimes/
鏗然 [こうぜん] /(adj-t,adv-to) emitting a shrill sound (musical instrument, metal, stone)/
鏗鏗 [こうこう] /(adj-t,adv-to) (arch) the ringing out of bells or chimes/
鏗鏘 [こうそう] /(adj-t,adv-to) (arch) the resoudning sound of bells, musical instruments, stones being struck, etc./
鏨 [たがね] /(n) (uk) chisel/
鏃 [やじり] /(n) arrowhead/
鏝 [こて] /(n) (1) flat-iron/(2) soldering iron/(3) crimper/curling tongs/(4) (uk) trowel/
鏈 [くさり] /(n) chain/chains/
鏤める [ちりばめる] /(v1,vt) (uk) to inlay/to set/to stud/to enchase (a thing) with/to mount (gem)/
鏤刻 [るこく] /(n) carve/engrave/shape (sentences)/
鏤刻 [ろうこく] /(n) carve/engrave/shape (sentences)/
鏤骨 [るこつ] /(n) painstaking efforts/
鐚一文 [びたいちもん] /(exp) being penniless/not having a cent/
鐔 [つば] /(n) (1) guard on sword, polearms, etc./flange/(2) brim/visor (e.g. of a hat)/
鐶 [かん] /(n) (1) ring/link/(2) open spirals of heavy metal wire twisted into a kettle and used to lift it (tea ceremony)/
鐶 [たまき] /(n) (1) (arch) bracelet (made of stringed jewels or bells and worn at the elbow)/(2) bracer (for the elbow of an archer)/
鐫る [える] /(ok) (v5r,vt) (1) to carve/to engrave/to sculpt/to chisel/
鐫る [ほる] /(v5r,vt) (1) to carve/to engrave/to sculpt/to chisel/(2) to tattoo/
鐵 [てつ] /(oK) (n) iron/
鐺 [こじり] /(n) (1) (ornamental) tip of a scabbard/(2) bottom of a bargeboard or cantilever/
鑒 [かがみ] /(n) model/pattern/
鑒みる [かんがみる] /(v1,vt) to heed/to take into account/to learn from/to take warning from/in view of/in the light of/
鑒識 [かんしき] /(n,vs) (1) judgement/judgment/discernment/discrimination/having eye for/(n) (2) forensics/crime lab/
鑄る [いる] /(oK) (v1,vt) to cast/to mint/to coin/
鑛 [あらかね] /(n) ore/
鑛 [あらがね] /(n) ore/
鑢 [やすり] /(n) (uk) file/rasp/
鑞 [ろう] /(n) solder/
鑞付け [ろうづけ] /(n) soldering/brazing/
鑰 [かぎ] /(n) (1) key/(2) lock/
鑵 [かん] /(ateji) (n) can/tin/
鑷子 [せっし] /(n) tweezers (esp. in a medical or laboratory setting)/forceps/
鑷子 [ちょうし] /(n) tweezers (esp. in a medical or laboratory setting)/forceps/
鑷子 [ぢょうし] /(n) tweezers (esp. in a medical or laboratory setting)/forceps/
鑽 [たがね] /(n) (uk) chisel/
鑽る [きる] /(v5r,vt) (obsc) to start a fire (with wood-wood friction or by striking metal against stone)/
鑽孔 [さんこう] /(n,vs) boring/punching/
鑽孔機 [さんこうき] /(n) boring machine/punching machine/perforator/
鑚孔機 [さんこうき] /(n) boring machine/punching machine/perforator/
鑿 [のみ] /(n) (uk) chisel/
鑿井 [さくせい] /(n,vs) well drilling/
鑿岩機 [さくがんき] /(n) rock drill/pneumatic drill/jackhammer/
閂 [かんぬき] /(n) (uk) bar/bolt (e.g. on door)/latch/
閂どめ [かんぬきどめ] /(n) reinforcing "bolt" stitch across the bottom of a seam/
閂止め [かんぬきどめ] /(n) reinforcing "bolt" stitch across the bottom of a seam/
閊え [つかえ] /(n) (1) load on one's chest/(2) obstacle/hindrance/impediment/difficulty/
閊える [つかえる] /(v1,vi) to be blocked/to choke/to be obstructed/to feel a pressure on one's chest/
閊える [つっかえる] /(v1,vi) to be blocked/to choke/to be obstructed/to feel a pressure on one's chest/
閔れむ [あわれむ] /(oK) (v5m,vt) (1) to commiserate/to pity/to have mercy on/to sympathize with/to sympathise with/
閘門 [こうもん] /(n) lock gate/
閨 [ねや] /(n) (1) sleeping quarters/bedroom (mainly refers to one used by a married couple)/(2) inner room/inner sanctum/
閨閤 [けいこう] /(n) (1) (obsc) sleeping quarters/bedroom/(2) (obsc) woman's living room/woman/
閨事 [ねやごと] /(n) (arch) sexual intercourse/lovemaking/
閨秀 [けいしゅう] /(n) accomplished lady/
閨秀画家 [けいしゅうがか] /(n) (accomplished) woman painter/
閨秀作家 [けいしゅうさっか] /(n) woman writer/
閨閥 [けいばつ] /(n) clan/
閨閥政治 [けいばつせいじ] /(n) government by relatives of ruler's wife/
閨房 [けいぼう] /(n) bedroom/(woman's) bedchamber/pillow talk/
閨門 [けいもん] /(n) (1) bedroom entrance/bedroom/(2) home/family life/household/conjugal relationship/
閭門 [りょもん] /(n) gate of a village/
閼伽 [あか] /(n) (Buddh) water offering to Buddha (san: argha, arghya)/holy water/
閻王 [えんおう] /(n) (abbr) Yama, judge of the afterlife/
閻浮提 [えんぶだい] /(n) Jambudvipa (continent of the terrestrial world in Hindu cosmology)/
閻魔 [えんま] /(n) devil/ruler of Hades/
閻魔の庁 [えんまのちょう] /(n) judgment seat of Yama (judgement)/
閻魔顔 [えんまがお] /(n) devilish face/diabolical face/
閻魔大王 [えんまだいおう] /(n) Yama/judge of the afterlife/
閻魔帳 [えんまちょう] /(n) teacher's mark or grade book/
閻魔蟋蟀 [えんまこおろぎ] /(n) Oriental garden cricket/Emma field cricket/
閹官 [えんかん] /(n) eunuch/
閹人 [えんじん] /(n) eunuch/
閾 [いき] /(n,pref) threshold/liminal threshold between the exterior and the interior of a house/
閾 [しき] /(n,pref) threshold/liminal threshold between the exterior and the interior of a house/
閾 [しきみ] /(n,pref) threshold/liminal threshold between the exterior and the interior of a house/
閾下 [いきか] /(n,adj-no) subliminal (below the threshold of sensation or consciousness)/
閾刺激 [いきしげき] /(n) threshold stimulus/
閾値 [いきち] /(n) threshold (amount, dose, etc.)/(P)/
閾値 [しきいち] /(n) threshold (amount, dose, etc.)/(P)/
閾値下 [いきちか] /(adj-no) subliminal/
闊達 [かったつ] /(adj-na,n) openhearted/frank/broad-minded/
闊達 [かつだつ] /(ok) (adj-na,n) openhearted/frank/broad-minded/
闊達自在 [かったつじざい] /(n,adj-na) broad-minded and free in disposition/large-hearted and not scrupulous about trifles/
闊歩 [かっぽ] /(n,vs) striding/swaggering/strutting/
闊葉樹 [かつようじゅ] /(n) broad-leaved tree/
濶達 [かったつ] /(adj-na,n) openhearted/frank/broad-minded/
濶達 [かつだつ] /(ok) (adj-na,n) openhearted/frank/broad-minded/
濶歩 [かっぽ] /(n,vs) striding/swaggering/strutting/
闃 [げき] /(adv-to,adj-t) (arch) quietly/
闃寂 [げきじゃく] /(adj-t,adv-to) silent and still/desolate/
闃寂 [げきせき] /(adj-t,adv-to) silent and still/desolate/
闃然 [げきぜん] /(adj-t,adv-to) quiet and still/without sign of life/
闌 [たけなわ] /(adv) (uk) in full swing/at full height/
闌ける [たける] /(v1,vi) (1) to excel at/to be proficient at/(2) to grow old/(3) to ripen/(4) to rise high (e.g. the sun)/
闌干 [らんかん] /(n) (1) guardrail/handrail/bannister/(2) (arch) (a person) shining like the stars or moon/(a person) crying endlessly/
闕け [かけ] /(n) (1) fragment/splinter/(2) wane (of the moon)/
闕ける [かける] /(v1,vi) (1) to be chipped/to be damaged/to be broken/(2) to be lacking/to be missing/(3) to be insufficient/to be short/to be deficient/to be negligent toward/(4) (of the moon) to wane/to go into eclipse/
闕所 [けっしょ] /(n) confiscation of property (Edo period)/
闕望 [けつぼう] /(n,vs) disappointment/disillusion/resentment/
闕腋 [けってき] /(n) (1) (abbr) unstitched, open side of some traditional Japanese clothing/clothing with such an open side/(2) robe worn by military officials with a round collar, unstitched open sides and no ran/
闕腋 [けつえき] /(n) (1) (abbr) unstitched, open side of some traditional Japanese clothing/clothing with such an open side/(2) robe worn by military officials with a round collar, unstitched open sides and no ran/
闕腋の袍 [けってきのほう] /(n) robe worn by military officials with a round collar, unstitched open sides and no ran/
闔 [とびら] /(n) (1) door/gate/opening/(2) title page/
闖入 [ちんにゅう] /(n,vs) intrusion/forced entry/
闖入者 [ちんにゅうしゃ] /(n) intruder/
闡明 [せんめい] /(n,vs) make clear/explicate/explain/
阡 [せん] /(num) thousand (used in legal documents)/
阮朝 [げんちょう] /(n) Nguyen Dynasty (Vietnam; 1802-1945)/
阮咸 [げんかん] /(n) ruanxian (4 or 5-stringed Chinese lute)/ruan/
陌 [はく] /(num) one hundred (used in legal documents)/
陌 [ひゃく] /(num) one hundred (used in legal documents)/
陋屋 [ろうおく] /(n) cramped home/one's humble abode/hovel/pigsty/cottage/squalid hut/
陋巷 [ろうこう] /(n) narrow, dirty backstreet/
陋習 [ろうしゅう] /(n) evil custom/
陋劣 [ろうれつ] /(adj-na,n) mean/base/nasty/
陞る [のぼる] /(oK) (v5r,vi) (1) to ascend/to go up/to climb/(2) to ascend (as a natural process, e.g. the sun)/to rise/(3) to go to (the capital)/(4) to be promoted/(5) to add up to/(6) to advance (in price)/(7) to swim up (a river)/to sail up/(8) to come up (on the agenda)/
陞叙 [しょうじょ] /(n,vs) advancement/promotion/
陞進 [しょうしん] /(n,vs) promotion/rising in rank/
陞任 [しょうにん] /(n,vs) advancement/promotion/
隘路 [あいろ] /(n) defile/narrow path/bottleneck/
隕星 [いんせい] /(n) meteor/falling star/
隕石 [いんせき] /(n) meteorite/
隕石孔 [いんせきこう] /(n) meteorite crater/
隕鉄 [いんてつ] /(n) meteoric iron/
隧道 [すいどう] /(n) (1) tunnel/(2) fielding error (baseball)/
隧道 [ずいどう] /(n) (1) tunnel/(2) fielding error (baseball)/
隧道 [ついどう] /(ik) (n) (1) tunnel/(2) fielding error (baseball)/
隱くす [かくす] /(io) (oK) (v5s,vt) to hide/to conceal/
隱語 [いんご] /(n) secret word/code word/
隴を得て蜀を望む [ろうをえてしょくをのぞむ] /(exp,v5m) never being satisfied with what one gets, and always wanting more (lit: taking Gansu only to want Sichuan)/give him an inch and he'll take a mile/
隴畝 [ろうほ] /(n) (1) ridges of and paths between fields/(2) countryside/civilian/
隹 [ふるとり] /(n) kanji "old bird" radical/
雎鳩 [しょきゅう] /(n) (uk) osprey (Pandion haliaetus)/fish hawk/
雎鳩 [みさご] /(n) (uk) osprey (Pandion haliaetus)/fish hawk/
雉 [きぎし] /(ok) (n) (uk) green pheasant (Phasianus versicolor)/Japanese pheasant/
雉 [きぎす] /(ok) (n) (uk) green pheasant (Phasianus versicolor)/Japanese pheasant/
雉 [きじ] /(n) (uk) green pheasant (Phasianus versicolor)/Japanese pheasant/
雉も鳴かずば撃たれまい [きじもなかずばうたれまい] /(exp) avoiding unnecessary talk can prevent disaster falling on one/there is safety in silence/the pheasant would not be shot but for its cries/
雉隠 [きじかくし] /(n) (uk) Asparagus schoberioides/
雉羽太 [きじはた] /(n) (uk) red-spotted grouper (species of fish, Epinephelus akaara)/Hong Kong grouper/
雉科 [きじか] /(n) Phasianidae (pheasant family of birds)/
雉子 [きぎし] /(ok) (n) (uk) green pheasant (Phasianus versicolor)/Japanese pheasant/
雉子 [きぎす] /(ok) (n) (uk) green pheasant (Phasianus versicolor)/Japanese pheasant/
雉子 [きじ] /(n) (uk) green pheasant (Phasianus versicolor)/Japanese pheasant/
雉鳩 [きじばと] /(n) (uk) Oriental turtle dove (Streptopelia orientalis)/eastern turtle dove/rufous turtledove/
雉目 [きじもく] /(n) Galliformes (galliform order of birds)/
雍菜 [ようさい] /(n) swamp morning glory (ipomoea aquatica)/water spinach/kangkong/
霍公鳥 [ほととぎす] /(n) (uk) lesser cuckoo (Cuculus poliocephalus)/
霍乱 [かくらん] /(n) sunstroke/heatstroke/
雕る [える] /(ok) (v5r,vt) (1) to carve/to engrave/to sculpt/to chisel/
雕る [ほる] /(v5r,vt) (1) to carve/to engrave/to sculpt/to chisel/(2) to tattoo/
雹 [ひょう] /(n) hail (esp. hailballs 5 mm or greater)/
雹害 [ひょうがい] /(n) hail damage/
霄壌 [しょうじょう] /(n) heaven and earth/
霓 [にじ] /(oK) (n) rainbow/
霑う [うるおう] /(v5u,vi) (1) to be moist/to be damp/to get wet/to be watered/(2) to profit by/to receive benefits/to receive favors (favours)/(3) to become rich/to become at ease financially/
霖 [ながあめ] /(n) long spell of rain/
霖 [ながめ] /(n) long spell of rain/
霖雨 [りんう] /(n) (obs) long spell of rain/
霙 [みぞれ] /(n) (1) sleet (mixture of snow and rain)/(2) shaved ice topped with honey/
霰 [あられ] /(n) (1) hail (esp. hailballs under 5 mm)/graupel/(2) (food) dicing/small cubes/(3) (abbr) roasted mochi pieces (usu. flavoured with soy sauce, etc.)/
霰石 [あられいし] /(n) aragonite/
霰弾 [さんだん] /(n) shot/buckshot/
霰弾銃 [さんだんじゅう] /(n) shotgun/
霰餅 [あられもち] /(n) roasted mochi pieces (usu. flavoured with soy sauce, or sweetened with sugar, etc.)/
霰粒腫 [さんりゅうしゅ] /(n) chalazion (sebaceous cyst of the eyelid)/tarsal cyst/
霰粒腫 [せんりゅうしゅ] /(n) chalazion (sebaceous cyst of the eyelid)/tarsal cyst/
霹靂 [へきれき] /(n) thunder/thunderclap/
霹靂神 [はたたがみ] /(n) (arch) loud thunder/
霹靂神 [はたはたがみ] /(n) (arch) loud thunder/
霽らす [はらす] /(v5s,vt) to dispel/to clear away/to refresh (oneself)/
霽れ [はれ] /(n) (1) clear weather/(adj-no) (2) public/formal/(3) cleared of suspicion/
霽れる [はれる] /(v1,vi) (1) to clear up/to clear away/to be sunny/to stop raining/(2) to refresh (e.g. spirits)/(3) to be cleared (e.g. of a suspicion)/(4) to be dispelled/to be banished/
霽月 [せいげつ] /(n) moon shining in a rain-cleansed sky/
霾る [つちふる] /(v5r) to rain dust/to have a dust storm/
靄 [もや] /(n) mist/haze/
靄々 [あいあい] /(adj-t,adv-to) accumulation of clouds or mist/
靄の掛かった [もやのかかった] /(exp) hazy/
靄然 [あいぜん] /(adv-to,adj-t) (1) (arch) hovering like mist or clouds/(2) gentle/calm/
靄靄 [あいあい] /(adj-t,adv-to) accumulation of clouds or mist/
靈氣 [れいき] /(n) Reiki (healing method)/
靉靆 [あいたい] /(adj-t,adv-to) trailing clouds/
靠れる [もたれる] /(v1,vi) (1) (uk) to lean against/to lean on/to recline on/(2) (uk) to lie heavy (on the stomach)/to be uneasily digested/
靠れ掛かる [もたれかかる] /(v5r,vi) (1) to lean on/to recline on/(2) to rely on/to depend on/
靠れ掛る [もたれかかる] /(v5r,vi) (1) to lean on/to recline on/(2) to rely on/to depend on/
靨 [えくぼ] /(n) (uk) dimple/(P)/
勒する [ろくする] /(vs-s,vt) (1) to manage/(2) to carve/to write (for posterity)/
靫 [うつお] /(n) quiver (of arrows; cylindrical)/
靫 [うつぼ] /(n) quiver (of arrows; cylindrical)/
靫 [ゆき] /(ok) (n) quiver (of arrows; box-shaped)/
靫 [ゆぎ] /(n) quiver (of arrows; box-shaped)/
靫葛 [うつぼかずら] /(n) pitcher plant/
靫草 [うつぼぐさ] /(n) (uk) common self-heal (Prunella vulgaris subsp. asiatica)/common selfheal/
靫蔓 [うつぼかずら] /(n) pitcher plant/
靱 [うつお] /(iK) (n) quiver (of arrows; cylindrical)/
靱 [うつぼ] /(iK) (n) quiver (of arrows; cylindrical)/
靱 [ゆき] /(ok) (n) quiver (of arrows; box-shaped)/
靱 [ゆぎ] /(n) quiver (of arrows; box-shaped)/
靱性 [じんせい] /(n) tenacity/toughness/
靱帯 [じんたい] /(n,adj-no) ligament/
靱皮 [じんぴ] /(n) soft leather/
鞅 [むなかき] /(ok) (n) martingale/
鞅 [むながい] /(n) martingale/
鞅々 [おうおう] /(adj-t,adv-to) discontented/unhappy/
鞅掌 [おうしょう] /(n,vs) being busy with/
鞅鞅 [おうおう] /(adj-t,adv-to) discontented/unhappy/
靺鞨 [まっかつ] /(n) Mohe (one of the Tungusic-speaking tribes)/
靺鞨 [まつかつ] /(n) Mohe (one of the Tungusic-speaking tribes)/
鞋 [くつ] /(n) shoes/footwear/
鞏固 [きょうこ] /(adj-na,n) firmness/stability/security/strength/
鞏皮症 [きょうひしょう] /(n) scleroderma/
鞏膜 [きょうまく] /(n,adj-no) sclera/
鞐 [こはぜ] /(n) clasp/
鞦 [しりがい] /(n) crupper/
鞦韆 [ぶらんこ] /(n) (uk) swing/(P)/
鞣 [なめし] /(pref) tanning/
鞣す [なめす] /(v5s) (uk) to tan (leather, hide, etc.)/
鞣革 [なめしがわ] /(n,adj-no) (1) leather/tanned animal hide/suede/(2) kanji "tanned leather" radical (radical 178)/
鞴 [ふいご] /(n) (uk) (pair of) bellows/
鞴祭 [ふいごまつり] /(n) Bellows Festival (festival for blacksmiths and foundries on the eighth day of the eleventh month of the lunar calendar, on which they would clean their bellows and pray)/
鞴祭り [ふいごまつり] /(n) Bellows Festival (festival for blacksmiths and foundries on the eighth day of the eleventh month of the lunar calendar, on which they would clean their bellows and pray)/
鞴韜 [たたら] /(n) (1) (Buddh) (pair of) bellows/(2) lungs (of the body)/
鞴韜 [ふくとう] /(n) (1) (Buddh) (pair of) bellows/(2) lungs (of the body)/
韃 [むち] /(n) (1) whip/lash/scourge/(2) stick/cane/rod/pointer/
韃靼 [だったん] /(n) Tartary (various tribes that historically inhabited the area north of China)/
韋陀 [いだ] /(n) Veda (san:)/
韋陀 [ベーダ] /(n) Veda (san:)/
韋陀 [ヴェーダ] /(n) Veda (san:)/
韋陀天 [いだてん] /(n) (Buddh) Wei-To (temple guardian sometimes confused with Vajrapani)/
韋駄天 [いだてん] /(n) (1) (Buddh) Skanda (swift-footed guardian deity)/(2) great runner/
韋編 [いへん] /(n) leather cord/
韋編三絶 [いへんさんぜつ] /(n,vs) repeated reading/close (careful) reading/careful perusal/
韜晦 [とうかい] /(n,vs) hidden (talents, etc.)/self-concealment/self-effacement/
韜晦趣味 [とうかいしゅみ] /(n) propensity to efface oneself/being prone to conceal one's talent/
韜略 [とうりゃく] /(n) strategy/tactics/
韭 [かみら] /(ok) (n) (uk) Chinese chive/garlic chive (Allium tuberosum)/
韭 [にら] /(n) (uk) Chinese chive/garlic chive (Allium tuberosum)/
韭 [みら] /(ok) (n) (uk) Chinese chive/garlic chive (Allium tuberosum)/
韲える [あえる] /(v1,vt) to dress vegetables (salad)/
韲え物 [あえもの] /(n) (food) chopped fish, shellfish or vegetables, dressed with (miso or other) sauce/
韲物 [あえもの] /(n) (food) chopped fish, shellfish or vegetables, dressed with (miso or other) sauce/
竟に [ついに] /(adv) (1) (uk) finally/at last/(2) (with neg) in the end/
竟わる [おわる] /(v5r,vi) to finish/to end/to close/
頌 [いわいうた] /(n) (1) festive poem or song/(2) congratulatory form (of waka)/
頌 [しょう] /(n) (1) praise/(2) hymn (genre of the Shi Jing)/
頌 [じゅ] /(n) (Buddh) gatha (poetic verse of a scripture)/
頌する [しょうする] /(vs-s) to celebrate someone's achievements/
頌栄 [しょうえい] /(n) doxology/
頌歌 [しょうか] /(n) anthem/carol/hymn of praise/
頌詞 [しょうし] /(n) (words of) praise/eulogy/
頌詩 [しょうし] /(n) admired poem/
頌寿 [しょうじゅ] /(n,vs) (obsc) celebration of longevity/
頌寿 [じゅじゅ] /(uK) (n,vs) (obsc) celebration of longevity/
頌春 [しょうしゅん] /(n) Happy New Year/
頌徳 [しょうとく] /(n) eulogy/
頌壽 [しょうじゅ] /(n,vs) (obsc) celebration of longevity/
頌壽 [じゅじゅ] /(uK) (n,vs) (obsc) celebration of longevity/
頸 [くび] /(n) (1) neck/(2) head/(3) unemployed person/
頸っ丈 [くびったけ] /(adj-na,n) deeply in love with/madly in love with/heads over heels in love with/to be crazy about/
頸巻 [くびまき] /(n) comforter/muffler/neckerchief/scarf/neckwear/
頸巻き [くびまき] /(n) comforter/muffler/neckerchief/scarf/neckwear/
頸筋 [くびすじ] /(n) nape of the neck/back of the neck/scruff of the neck/
頸肩腕症候群 [けいけんわんしょうこうぐん] /(n) cervicobrachial syndrome/indicates pain, swelling, weakness and/or numbness in the neck/shoulder region. Used when specific diagnosis is not known./
頸骨 [けいこつ] /(n) neckbones/
頸紙 [くびかみ] /(n) neckband/round upright collar (on some traditional Japanese clothing)/
頸上 [くびかみ] /(n) neckband/round upright collar (on some traditional Japanese clothing)/
頸飾り [くびかざり] /(n) necklace/choker/
頸髄 [けいずい] /(n) cervical spinal cord/cervical cord/
頸静脈 [けいじょうみゃく] /(n) jugular vein/
頸袋 [けいたい] /(n) dewlap/
頸着き [うなつき] /(n) type of children's haircut/
頸椎 [けいつい] /(n) cervical vertebrae/
頸椎脱臼 [けいついだっきゅう] /(n) cervical dislocation/
頸動脈 [けいどうみゃく] /(n) carotid artery/
頸動脈エコー [けいどうみゃくエコー] /(n) carotid duplex (ultrasound)/
頸動脈狭窄症 [けいどうみゃくきょうさくしょう] /(n) carotid stenosis/carotid artery stenosis/
頸動脈小体 [けいどうみゃくしょうたい] /(n) carotid body/carotid glomus/
頸肉 [けいにく] /(n) (obsc) neck flesh/
頸部 [けいぶ] /(n,adj-no) neck (region)/
頸木 [くびき] /(n) yoke/
頸輪 [くびわ] /(n) (animal) collar/necklace/
頸腕症候群 [けいわんしょうこうぐん] /(n) cervico-omo-brachial syndrome/
頤 [あご] /(n,adj-no) chin/jaw/
頤 [おとがい] /(n) (1) (lower) jaw/(2) chatterbox/
頤で人を使う [あごでひとをつかう] /(exp,v5u) to set somebody to work in an arrogant fashion/to push somebody around/to indicate someone by pointing one's chin/
頤使 [いし] /(n,vs) bossing someone around/having a person under one's control/
頤指 [いし] /(n,vs) bossing someone around/having a person under one's control/
頡頏 [きっこう] /(n,vs) (1) rivalry/competition/antagonism/struggle for supremacy/
頡頏 [けっこう] /(n,vs) (1) rivalry/competition/antagonism/struggle for supremacy/(2) rising and falling (of a bird)/
頷いて [うなずいて] /(adv) (uk) with a nod/
頷き [うなずき] /(n) (uk) nod/inclination of the head/
頷く [うなずく] /(v5k,vi) (uk) to nod/to bow one's head in assent/(P)/
頽れる [くずおれる] /(v1,vi) to collapse (physically or emotionally)/to fall down/
頽れる [すたれる] /(v1,vi) to go out of use/to become obsolete/to die out/to go out of fashion/
頽勢 [たいせい] /(n) one's declining fortunes/decay/
頽唐 [たいとう] /(n) decadence/decline/
頽廃 [たいはい] /(n,vs,adj-no) degeneration/decadence/deterioration/laxness/corruption/
頽齢 [たいれい] /(n) declining years/
顆 [か] /(n) (1) condyle/(ctr) (2) (arch) counter for grains and small spheres/
顆粒 [かりゅう] /(n,adj-no) granule/
顆粒球 [かりゅうきゅう] /(n) granulocyte/
顆粒球減少症 [かりゅうきゅうげんしょうしょう] /(n) agranulocytosis/
顆粒剤 [かりゅうざい] /(n) granule/pellet/
顆粒状 [かりゅうじょう] /(adj-no) granular/
顆粒性 [かりゅうせい] /(n,adj-no) granular/
顆粒層 [かりゅうそう] /(n) granular layer/stratum granulosum/
顆粒白血球 [かりゅうはっけっきゅう] /(n) granulocyte/
顏 [かお] /(oK) (n) face (person)/
顋 [あご] /(n,adj-no) chin/jaw/
顋門 [ひよめき] /(n) (uk) fontanel/fontanelle/
顫える [ふるえる] /(v1,vi) to shiver/to shake/to quake/to tremble/to quaver/to quiver/
顫動 [せんどう] /(n) (1) vibration/(vs) (2) to tremble/to shake/
顫動音 [せんどうおん] /(n) (ling) trill/
顰 [ひそみ] /(n) knitted brows/frown/
顰めっ面 [しかめっつら] /(n) frown or scowl/grimace/
顰める [しかめる] /(v1,vt) (uk) to knit the brows/to raise eyebrows/to scowl/to grimace/to frown/
顰める [ひそめる] /(v1,vt) (uk) to knit the brows/to raise eyebrows/to scowl/to grimace/to frown/
顰め面 [しかめつら] /(n) frown or scowl/grimace/
顰蹙 [ひんしゅく] /(n,vs) frowning on/being shocked at/
顰蹙を買う [ひんしゅくをかう] /(exp,v5u) to displease someone/to make someone disgusted/to be frowned at/
顱骨 [ろこつ] /(n) skull/
顴骨 [かんこつ] /(n) (obsc) cheekbone/zygomatic bone/malar bone/
顴骨 [けんこつ] /(n) (obsc) cheekbone/zygomatic bone/malar bone/
顳 [こめかみ] /(n) (uk) temple (of the forehead)/
颪 [おろし] /(n) wind blowing down from mountains/
颯っと [さっと] /(io) (adv) (1) (uk) quickly (esp. actions)/(2) suddenly (esp. wind, rain, etc.)/
颯と [さっと] /(adv) (1) (uk) quickly (esp. actions)/(2) suddenly (esp. wind, rain, etc.)/(P)/
颯爽 [さっそう] /(adj-t,adv-to) gallant/dashing/jaunty/
颯颯 [さっさつ] /(adj-na,n) rustle of wind/
颱風 [たいふう] /(n) typhoon/hurricane/
颶風 [ぐふう] /(n) tornado/hurricane/typhoon/
飄々 [ひょうひょう] /(adv-to,adv) aloof from the world/
飄逸 [ひょういつ] /(adj-na) easygoing/unconventional/happy-go-lucky/light/
飄然 [ひょうぜん] /(n,adj-t,adv-to) casually/aimlessly/abruptly/unexpectedly/
飄飄 [ひょうひょう] /(adv-to,adv) aloof from the world/
餃子 [ぎょうざ] /(n) (uk) gyoza (crescent-shaped pan-fried dumplings stuffed with minced pork and vegetables)/(P)/
餘り [あまり] /(oK) (adj-na,adv,n,n-suf) (1) (uk) remainder/rest/balance/remains/scraps/residue/remnant/(adv) (2) not very (with negative sentence)/not much/(3) surplus/excess/fullness/too much/(4) overjoyed/overwhelmed/(n-suf) (5) more than/over/
餘り [あんまり] /(oK) (adj-na,adv,n,n-suf) (1) (uk) remainder/rest/balance/remains/scraps/residue/remnant/(adv) (2) not very (with negative sentence)/not much/(3) surplus/excess/fullness/too much/(4) overjoyed/overwhelmed/(n-suf) (5) more than/over/
餘地 [よち] /(oK) (n) place/room/margin/scope/
餡 [あん] /(n) red bean paste/red bean jam/anko/(P)/
餡かけ [あんかけ] /(n) (food) thick starchy sauce made of kuzu or katakuriko flour/
餡こ [あんこ] /(n) (1) (uk) red bean paste/red bean jam/anko/(2) (sl) filling (e.g. of a manjuu)/(P)/
餡パン [あんパン] /(n) (1) bread roll filled with anko/(2) paint thinner placed inside a bag used as a drug/
餡掛け [あんかけ] /(n) (food) thick starchy sauce made of kuzu or katakuriko flour/
餡子 [あんこ] /(n) (1) (uk) red bean paste/red bean jam/anko/(2) (sl) filling (e.g. of a manjuu)/
餡蜜 [あんみつ] /(n) (food) syrup-covered anko (bean jam) and fruit/mitsumame mixed with an(ko)/
餡餅 [あんも] /(n) (1) (fem) mochi rice cake with red bean jam filling/mochi rice cake covered in red bean jam/(2) mochi rice cake/
餡餅 [あんもち] /(n) (1) (fem) mochi rice cake with red bean jam filling/mochi rice cake covered in red bean jam/
餡饅 [あんまん] /(n) bun with anko filling/
餝り車 [かざりぐるま] /(n) type of carriage beautifully decorated with gold, silver, gems, etc., for use by Heian era nobles at festivals and like activities/
餞 [はなむけ] /(n) farewell gift/parting gift/viaticum/
餞別 [せんべつ] /(n,adj-no) farewell gift/
餠 [あも] /(oK) (ok) (n) (uk) sticky rice cake/
餠 [かちん] /(oK) (ok) (n) (uk) sticky rice cake/
餠 [もち] /(oK) (n) (uk) sticky rice cake/
餠 [もちい] /(oK) (ok) (n) (uk) sticky rice cake/
餠は餠屋 [もちはもちや] /(exp) (id) every man knows his own business best/one should go to specialists for the best results/
餠肌 [もちはだ] /(n) soft skin/smooth skin/
餠網 [もちあみ] /(n) grill or grate for toasting rice cakes/
餬口 [ここう] /(n) bare existence/living on others/
饂飩 [うどん] /(n) (uk) udon (thick Japanese wheat noodles)/(P)/
饂飩屋 [うどんや] /(n) noodle shop/
饂飩鋤 [うどんすき] /(n) (uk) seafood and vegetables cooked sukiyaki style and served with udon/
饂飩粉 [うどんこ] /(n) udon flour (wheat flour)/
饂飩粉病 [うどんこびょう] /(n) powdery mildew/
饅頭 [まんじゅう] /(n) manjuu/steamed yeast bun with filling/
饅頭蟹 [まんじゅうがに] /(n) (uk) egg crab (Atergatis spp.)/
饐える [すえる] /(v1,vi) to go bad/to turn sour/
饐え臭い [すえくさい] /(adj-i) (obsc) smelling of rotten food and drink/
饋還 [きかん] /(n,vs) (1) (electrical) feedback/
饋電線 [きでんせん] /(n) (obs) feeder/
饑い [ひだるい] /(adj-i) (uk) hungry/
饑え [うえ] /(n) hunger/starvation/
饑える [うえる] /(v1,vi) to starve/to thirst/to be hungry/
饑餓 [きが] /(n) hunger/starvation/
饑渇 [きかつ] /(n,vs) hunger and thirst/starvation/
饑寒 [きかん] /(n) hunger and cold/
饑饉 [ききん] /(n) famine/drought/shortage/crop failure/
饒舌 [じょうぜつ] /(adj-na,n) garrulity/loquacity/talkativeness/
饒舌家 [じょうぜつか] /(n) talkative person/chatterbox/
饌米 [せんまい] /(n) offering of consecrated rice/
饕餮 [とうてつ] /(n) (1) (arch) tao-tie (mythological Chinese creature engraved on bronzeware during the Shang & Zhou dynasties)/(2) (used as a metaphor for a) brutal person/(3) coveting of wealth (property, etc.)/
饕餮文 [とうてつもん] /(n) figure of a creature of Chinese mythology engraved on bronze ware during the Yin-Chou dynasty/
馘す [かくす] /(v5s,vt) (1) (arch) to behead/(2) to fire/
馘る [くびきる] /(v5r) (1) to behead/to decapitate/(2) to fire/to dismiss/
馘首 [かくしゅ] /(n,vs) beheading/dismissal/
馥郁 [ふくいく] /(adj-t,adv-to) fragrant/sweet-smelling/
馭する [ぎょする] /(vs-s,vt) (1) to drive (e.g. horse, carriage)/
馭者 [ぎょしゃ] /(n) coachman/driver/cabman/postilion/
馭者座 [ぎょしゃざ] /(n) (constellation) Auriga/
駝鳥 [だちょう] /(n) (uk) ostrich/
駘蕩 [たいとう] /(adj-na,n) peaceful and calm/large and wide/
駑馬 [どば] /(n) (riding) hack/
駭く [おどろく] /(v5k,vi) to be surprised/to be astonished/
駭然 [がいぜん] /(adv-to,adj-t) (arch) astonished/very surprised/
駱駝 [らくだ] /(n) camel/
駱駝色 [らくだいろ] /(n) (uk) camel color/
駱駝虫 [らくだむし] /(n) (uk) inocelliid snakefly (any insect of family Inocelliidae)/
駻馬 [かんば] /(n) bronco/unruly horse/
駸々 [しんしん] /(adv-to,adj-t) (1) proceeding quickly/flying (of time)/rapidly/with great strides/(2) (arch) running quickly (of a horse)/
駸駸 [しんしん] /(adv-to,adj-t) (1) proceeding quickly/flying (of time)/rapidly/with great strides/(2) (arch) running quickly (of a horse)/
騙されやすい [だまされやすい] /(adj-i) (uk) gullible/naive/
騙され易い [だまされやすい] /(adj-i) (uk) gullible/naive/
騙し [だまし] /(n) deceiving/cheating/fooling/
騙しこむ [だましこむ] /(v5m,vt) to deceive/to ensnare/
騙しとる [だましとる] /(v5r) to take something away by deception/
騙し絵 [だましえ] /(n) trompe l'oeil/
騙し合い [だましあい] /(n) cheating each other/
騙し合う [だましあう] /(v5u) to cheat each other/
騙し込む [だましこむ] /(v5m,vt) to deceive/to ensnare/
騙し取る [だましとる] /(v5r) to take something away by deception/
騙し討ち [だましうち] /(n) surprise attack/sneak attack/foul play/
騙し騙し [だましだまし] /(n,vs) using every trick (in the book)/
騙す [だます] /(v5s,vt) to trick/to cheat/to deceive/(P)/
騙り [かたり] /(n) swindle/fraud/
騙る [かたる] /(v5r,vt) to swindle/to deceive/to cheat/
騙取 [へんしゅ] /(n,vs) swindling/
騷ぐ [さわぐ] /(oK) (v5g,vi) (1) to make noise/to make racket/to be noisy/(2) to rustle/to swoosh/(3) to make merry/(4) to clamor/to clamour/to make a fuss/to kick up a fuss/(5) to lose one's cool/to panic/to act flustered/(6) to feel tense/to be uneasy/to be excited/
驀進 [ばくしん] /(n,vs) dash/rush/
驀地 [ばくち] /(adv) (uk) at full speed/
驀地 [ましくら] /(adv) (uk) at full speed/
驀地 [ましぐら] /(adv) (uk) at full speed/
驀地 [まっしぐら] /(adv) (uk) at full speed/
騾馬 [らば] /(n) (uk) mule/
驕り [おごり] /(n) arrogance/haughtiness/conceitedness/
驕る [おごる] /(v5r,vt) (1) to give (someone) a treat/(v5r,vi) (2) to be extravagant/to live luxuriously/(3) to be proud/to be haughty/
驕る平家は久しからず [おごるへいけはひさしからず] /(exp) (id) Pride will have a fall/
驕る平家久しからず [おごるへいけひさしからず] /(exp) pride goes before a fall/lit: the proud Heike family lasts not long/
驕児 [きょうじ] /(n) spoiled child/spoilt child/
驕兵必敗 [きょうへいひっぱい] /(exp) Defeat is inevitable for an overconfident army/Being arrogant and overconfident inevitably leads to defeat (failure)/Pride comes before a fall/
驕慢 [きょうまん] /(adj-na,n) arrogance/
驕傲 [きょうごう] /(adj-na,n) pride/arrogance/
驕奢 [きょうしゃ] /(adj-na,n) luxury/extravagance/
驕恣 [きょうし] /(n) being proud and self-willed/
驕肆 [きょうし] /(n) being proud and self-willed/
驍将 [ぎょうしょう] /(n) veteran general/leader/
驛 [えき] /(oK) (n) station/
驟雨 [しゅうう] /(n) sudden shower/
驢 [うさぎうま] /(n) donkey/
驢 [ろ] /(n) donkey/
驢車 [ろしゃ] /(n) (obsc) donkey cart/
驢馬 [ろば] /(n,adj-no) (uk) donkey/ass/
驢馬の橋 [ろばのはし] /(n) pons asinorum (hurdle to learning)/
驥足 [きそく] /(n) full ability/
驥尾 [きび] /(n) leader (to follow)/
骭 [はぎ] /(n) (obsc) shin/shinbone/
骰子 [さいころ] /(n) (uk) dice/die/
骰子 [シャイツ] /(n) (uk) dice/die/
髀肉 [ひにく] /(n) round meat/meat from a pig's thigh (from which ham is made)/
髀肉の嘆を託つ [ひにくのたんをかこつ] /(exp,v5t) to fret from forced idleness/
髑髏 [されこうべ] /(n) skull (esp. weatherbeaten)/cranium/
髑髏 [しゃりこうべ] /(n) skull (esp. weatherbeaten)/cranium/
髑髏 [しゃれこうべ] /(n) skull (esp. weatherbeaten)/cranium/
髑髏 [どくろ] /(n) skull (esp. weatherbeaten)/cranium/
體術 [たいじゅつ] /(n) classical form of martial art/
髢 [かもじ] /(n) (1) hairpiece/false hair/switch/(2) (arch) (fem) hair/
髣髴 [ほうふつ] /(n,vs,adj-t,adv-to) close resemblance/vivid reminder (e.g. of the past)/
髯 [ひげ] /(n) (1) moustache/beard/whiskers/(2) extremely short pulse appearing on an electrical signal/
髮を切る [かみをきる] /(oK) (exp,v5r) to cut hair/to give a haircut/
髱 [たぼ] /(n) chignon (in a Japanese hair-style)/
髷 [まげ] /(n) bun (hairstyle)/chignon/topknot/
髷結い [まげゆい] /(n) hairdressing of sumo wrestler's top-knot/
髻 [たきふさ] /(n) (arch) place where hair is gathered together atop the head/hair tied (or pinned) together in this position/
髻 [たぶさ] /(n) (arch) place where hair is gathered together atop the head/hair tied (or pinned) together in this position/
髻 [もとどり] /(n) (arch) place where hair is gathered together atop the head/hair tied (or pinned) together in this position/
鬆 [す] /(n) (1) pore/(2) blowhole/
鬘 [かずら] /(n) hairpiece/wig/
鬘 [かつら] /(n) hairpiece/wig/(P)/
鬚 [ひげ] /(n) (1) moustache/beard/whiskers/(2) extremely short pulse appearing on an electrical signal/
鬚を生やす [ひげをはやす] /(exp,v5s) to grow a beard/
鬚鯨 [ひげくじら] /(n) (uk) baleen whale/whalebone whale/
鬚虫 [ひげむし] /(n) (uk) (obsc) beard worm (any worm of phylum Pogonophora)/
鬚髯 [しゅぜん] /(n) mustache and beard/
鬢 [びん] /(oK) (n) sideburns/
鬢きり [びんきり] /(n) hairstyle for men and women from early Edo era to the Genroku era/
鬢差 [びんさし] /(n) (arch) (obsc) bow-shaped whale-bone or copper hairpins used to increase the volume on the side of a woman's hair (Edo period)/
鬢差し [びんさし] /(n) (arch) (obsc) bow-shaped whale-bone or copper hairpins used to increase the volume on the side of a woman's hair (Edo period)/
鬢切り [びんきり] /(n) hairstyle for men and women from early Edo era to the Genroku era/
鬢切り [びんぎり] /(n) hairstyle for men and women from early Edo era to the Genroku era/
鬢長 [びんなが] /(n) (uk) albacore (Thunnus alalunga)/germon/
鬢髪 [びんぱつ] /(n) hair at the temples/hair at the sides of the head/
鬢付け [びんつけ] /(n) (abbr) fragrant oil used to make sumo wrestler's top-knot/
鬢付け油 [びんつけあぶら] /(n) fragrant oil used to make sumo wrestler's top-knot/
鬢付油 [びんつけあぶら] /(n) fragrant oil used to make sumo wrestler's top-knot/
鬣 [たてがみ] /(n) mane (of a horse, lion, etc.)/
鬣犬 [たてがみいぬ] /(n) hyena/
鬥構え [とうがまえ] /(n) kanji "fighting" radical/
鬨 [とき] /(n) battle cry/war cry/
鬨の声 [ときのこえ] /(n) war cry/battle cry/
鬩ぎ合い [せめぎあい] /(n) conflict/fighting each other/
鬩ぎ合う [せめぎあう] /(v5u) to fight each other/
鬩ぐ [せめぐ] /(v5g) (1) to be mutually bitter/to argue together/to quarrel/(2) to resent and bemoan/
鬮 [くじ] /(n) (uk) lottery/lot/
鬲 [かなえ] /(n) kanji "tripod" radical (radical 193)/
鬲 [れき] /(n) (obsc) Chinese kettle with three legs/
魄 [たま] /(n) soul/spirit/
魄 [たましい] /(n) soul/spirit/
魄 [だましい] /(n) soul/spirit/
魄 [はく] /(n) Yin energy/spirit/
魏 [ぎ] /(n) Kingdom of Wei/State of Wei (China)/
魏志 [ぎし] /(n) the history of Wei/
魏晋南北朝時代 [ぎしんなんぼくちょうじだい] /(n) Wei, Jin, and Southern and Northern Dynasties period (220-589 CE)/
魍魎 [もうりょう] /(n) all kinds of spirits and goblins/
魑魅 [ちみ] /(n) mountain demon/
魑魅魍魎 [ちみもうりょう] /(n) evil spirits of rivers and mountains/
魘される [うなされる] /(v1,vi) (1) (uk) to have a nightmare/(2) to make a noise during a nightmare/
魘われる [おそわれる] /(v1,vi) to be tormented (by dreams)/to have a nightmare/
魘魅 [えんみ] /(n) killing someone with a magical curse/
鮓 [すし] /(n) (food) sushi/anything made with vinegared rice (may also contain vegetables, spices, fish, or other delicacies)/
鮃 [ひらめ] /(n) (1) (uk) flounder (esp. the large-tooth flounders of family Paralichthyidae, but also lefteye flounders of family Bothidae)/(2) bastard halibut/olive flounder (Paralichthys olivaceus)/
鮑 [あわび] /(n) (uk) abalone/ear shell/
鮑の貝の片思い [あわびのかいのかたおもい] /(exp) (obsc) secret, unrequited love/
鮑の片思い [あわびのかたおもい] /(exp) (obsc) secret, unrequited love/
鮑結び [あわびむすび] /(n) (1) var. of knot often used to tie mizu-hiki/(2) woman's hairstyle, braided in this fashion/
鮑熨斗 [あわびのし] /(n) dried stretched abalone flesh/
鮗 [このしろ] /(n) (uk) konoshiro gizzard shad (Konosirus punctatus)/
鮗 [ひいらぎ] /(n) (1) spotnape ponyfish (Leiognathus nuchalis)/
鮟肝 [あんきも] /(n) monkfish liver/goosefish liver/
鮟鱇 [あんこ] /(n) (1) (uk) goosefish (any anglerfish of family Lophiidae)/monkfish/sea devil/(2) (arch) fool/(3) curved gutter/
鮟鱇 [あんこう] /(n) (1) (uk) goosefish (any anglerfish of family Lophiidae)/monkfish/sea devil/(2) (arch) fool/(3) curved gutter/
鮠 [はい] /(n) minnow/shinner/
鮠 [はえ] /(n) minnow/shinner/
鮠 [はや] /(n) minnow/shinner/
鮨 [すし] /(n) (food) sushi/anything made with vinegared rice (may also contain vegetables, spices, fish, or other delicacies)/
鮨屋 [すしや] /(n) sushi shop/sushi restaurant/
鮨詰 [すしづめ] /(n) (food) jam-packed/packed in like sushi (like sardines)/
鮨詰め [すしづめ] /(n) (food) jam-packed/packed in like sushi (like sardines)/
鮨種 [すしだね] /(n) (obsc) sushi topping/
鮴 [ごり] /(n) (1) (uk) fish of the genus Rhinogobius/(2) dusky tripletooth goby (Tridentiger obscurus)/(3) common freshwater goby (Gymnogobius urotaenia)/(4) Japanese fluvial sculpin (fish, Cottus pollux)/
鮴押し [ごりおし] /(n,vs) pushing though/bulldozing/doing something by force/arm twisting/
鯊 [はぜ] /(n) (1) goby (fish)/(2) yellowfin goby (Acanthogobius flavimanus)/
鮹 [たこ] /(n) octopus/
鯏 [あさり] /(n) Manila clam (Ruditapes philippinarum)/
鯑 [かずのこ] /(n) herring roe/
鯒 [こち] /(n) (uk) flathead (esp. the bartailed flathead, Platycephalus indicus)/
鯣 [するめ] /(n) (1) (uk) dried squid/dried cuttlefish/(2) (uk) Japanese common squid (Todarodes pacificus)/
鯣烏賊 [するめいか] /(n) (uk) Japanese common squid/Pacific flying squid (Todarodes pacificus)/
鯢波 [げいは] /(n) (1) raging waves/(2) battle cry/war cry/
鯤 [こん] /(n) (arch) kun (in Chinese mythology, giant fish said to be able to turn into a bird)/
鯔 [ぼら] /(n) (1) (uk) striped mullet (Mugil cephalus)/(2) (obsc) redlip mullet (Chelon haematocheilus)/
鯔のつまり [とどのつまり] /(exp,adv) final outcome/final result/consequence/upshot/in the end/after all is said and done/
鯔の詰まり [とどのつまり] /(exp,adv) final outcome/final result/consequence/upshot/in the end/after all is said and done/
鯔背 [いなせ] /(adj-na) (uk) (arch) gallant/dashing/smart/
鯡 [にしん] /(n) (uk) Pacific herring (Clupea pallasii)/
鰺 [あじ] /(n) (food) horse mackerel/
鰺のたたき [あじのたたき] /(n) fresh scad/
鰺刺 [あじさし] /(n) (uk) tern (esp. the common tern, Sterna hirundo)/
鯱 [しゃち] /(n) (1) (uk) orca (Orcinus orca)/killer whale/grampus/(2) (abbr) mythical carp with the head of a lion and the body of a fish (auspicious protectors of well-being)/
鯱 [しゃちほこ] /(n) mythical carp with the head of a lion and the body of a fish (auspicious protectors of well-being)/
鯱蛾 [しゃちほこが] /(n) (uk) lobster moth (Stauropus fagi persimilis)/
鯱瓦 [しゃちほこがわら] /(n) ridge-end tile with the figure of a Shachihoko (e.g. on a castle)/
鯱張る [しゃちこばる] /(v5r) (1) to stand on ceremony/(2) to stiffen up (the nerves)/to be tense/
鯱張る [しゃちほこばる] /(v5r) (1) to stand on ceremony/(2) to stiffen up (the nerves)/to be tense/
鯱張る [しゃっちょこばる] /(v5r) (1) to stand on ceremony/(2) to stiffen up (the nerves)/to be tense/
鯱鉾 [しゃちほこ] /(n) mythical carp with the head of a lion and the body of a fish (auspicious protectors of well-being)/
鯰 [なまず] /(n) (1) (uk) catfish (esp. the Amur catfish, Silurus asotus)/(2) (arch) earthquake/
鯰号 [なまずごう] /(n) earthquake simulator/
鯰髭 [なまずひげ] /(n) drooping moustache/
鰕 [えび] /(n) prawn/shrimp/lobster/crayfish/
鰉 [ちょうざめ] /(oK) (n) (uk) sturgeon (Acipenser mikadoi)/
鰉 [ひがい] /(n) (uk) Sarcocheillichthys variegatus (species of minnow)/
鰓 [あぎと] /(n) (1) (arch) chin/jaw/(2) (arch) gills/branchia/
鰓 [えら] /(n) gills/branchia/
鰓蓋 [えらぶた] /(n) gill cover/operculum/
鰓蓋 [さいがい] /(n) gill cover/operculum/
鰓弓 [さいきゅう] /(n) branchial arch/gill arch/
鰓呼吸 [えらこきゅう] /(n) branchial respiration (breathing using gills)/
鰓孔 [えらあな] /(n) gill slit/
鰓弁 [さいべん] /(n) gill lamella/branchial lamella/gill filament/
鰓裂 [さいれつ] /(n) gill slit/
鰌 [どじょう] /(n) (1) (uk) loach (any fish of family Cobitidae)/(2) weather loach (Misgurnus anguillicaudatus)/
鰆 [さわら] /(n) (uk) Japanese Spanish mackerel (Scomberomorus niphonius)/
鰈 [かれい] /(n) (uk) righteye flounder (any fish of family Pleuronectidae)/
鰒 [あわび] /(n) (uk) abalone/ear shell/
鰒 [ふぐ] /(n) (uk) puffer fish/blow fish/fugu/globefish/swellfish/
鰊 [かど] /(n) (uk) Pacific herring (Clupea pallasii)/
鰊 [にしん] /(n) (uk) Pacific herring (Clupea pallasii)/
鰊曇り [にしんぐもり] /(n) cloudy weather near Hokkaido during the herrings season (from the third to the sixth lunar month)/
鰮 [いわし] /(n) pilchard (esp. the Japanese pilchard, Sardinops melanostictus)/sardine (esp. the sardine of the Japanese pilchard)/
鰥 [やもお] /(n) widower/
鰥 [やもめ] /(n) widow/
鰥寡 [かんか] /(n) widow and widower/lonely people/
鰥寡孤独 [かんかこどく] /(n) with no one upon whom to depend/utter loneliness/the lonely and the helpless/people who have no kith or kin/
鰥夫 [やもお] /(n) widower/
鰥夫 [やもめ] /(n) widow/
鰥暮し [やもめぐらし] /(n) widowhood/widowerhood/viduity/
鰥暮らし [やもめぐらし] /(n) widowhood/widowerhood/viduity/
鰤 [ぶり] /(n) (uk) Japanese amberjack (species of yellowtail, Seriola quinqueradiata)/
鰤っ子 [ぶりっこ] /(ateji) (n,vs,adj-no) cutesy girl/child-like woman/
鰤擬 [ぷりもどき] /(n) (uk) pilot fish (Naucrates ductor)/
鰤子 [ぶりっこ] /(ateji) (n,vs,adj-no) cutesy girl/child-like woman/
鰡 [ぼら] /(n) (1) (uk) striped mullet (Mugil cephalus)/(2) (obsc) redlip mullet (Chelon haematocheilus)/
鰡子 [からすみ] /(n) dried mullet roe/
鰰 [はたはた] /(n) (uk) sailfin sandfish (Arctoscopus japonicus)/
鰾 [ふえ] /(n) swim bladder/air bladder/
鰾 [ほばら] /(n) swim bladder/air bladder/
鱚 [きす] /(n) (uk) sillago (any fish of genus Sillago, esp. the Japanese whiting, Sillago japonica)/
鱠 [なます] /(n) dish of raw fish and vegetables seasoned in vinegar/
鱧 [はむ] /(n) (1) (uk) daggertooth pike conger (Muraenesox cinereus)/(2) (in Northern Japan) conger eel/garden eel/
鱧 [はも] /(n) (1) (uk) daggertooth pike conger (Muraenesox cinereus)/(2) (in Northern Japan) conger eel/garden eel/
鱶 [ふか] /(n) (uk) (ksb:) (large) shark/
鱶鰭 [ふかひれ] /(n) (food) (uk) shark fin/
鱸 [すずき] /(n) (uk) Japanese sea perch (Lateolabrax japonicus, esp. referring to an adult)/Japanese sea bass/
鳧 [かも] /(n) (1) (uk) duck/(2) easy mark/sucker/sitting duck/
鳧 [けり] /(n) (uk) gray-headed lapwing (Microsarcops cinereus)/grey-headed lapwing/
鳧が付く [けりがつく] /(ateji) (exp,v5k) (uk) to be settled/to be brought to an end/
鳧を付ける [けりをつける] /(ateji) (exp,v1) (uk) to settle/to finish/to bring to an end/
鳧鐘 [ふしょう] /(n) (1) temple bell/(2) (in Japan) 7th note of the ancient chromatic scale (approx. G sharp)/
鳰鳥 [におどり] /(n) (arch) little grebe (Tachybaptus ruficollis)/
鳰鳥 [みおどり] /(n) (arch) little grebe (Tachybaptus ruficollis)/
鴉 [からす] /(n) crow/raven/
鴉天狗 [からすてんぐ] /(n) crow-billed goblin/
鴉片 [あへん] /(n) (uk) opium/
鴉片窟 [あへんくつ] /(n) opium den/
鴉髻 [あけい] /(n) (obsc) jet-black hair/
鴈 [かり] /(n) (1) wild goose/
鴈 [がん] /(n) (1) wild goose/
鴃舌 [げきぜつ] /(n) barbarian jabbering/
鶯 [うぐいす] /(n) (1) (uk) Japanese bush warbler/Japanese nightingale (Cettia diphone)/(2) (abbr) greenish brown/(n-pref) (3) having a beautiful voice/
鶯貝 [うぐいすがい] /(n) (uk) Pteria brevialata (species of wing oyster)/
鶯嬢 [うぐいすじょう] /(n) female announcer/woman who makes public announcements (e.g. from an election campaign truck)/
鶯色 [うぐいすいろ] /(n) greenish brown/
鶯茶 [うぐいすちゃ] /(n) greenish brown/
鶯張り [うぐいすばり] /(n) nightingale (flooring)/method of laying floors to deliberately make a noise (like a nightingale's call) when walked across (security feature)/
鶯餅 [うぐいすもち] /(n) mochi filled with red bean paste and topped with green soy flour/
鴟 [とび] /(n) (1) (uk) black kite (bird of prey, Milvus migrans)/(2) (abbr) construction worker/scaffold erector/firefighter/
鴟 [とんび] /(n) (1) (uk) black kite (bird of prey, Milvus migrans)/(2) (abbr) Inverness cape/
鴟尾 [しび] /(n) ornamental ridge-end tile/
鵄 [とび] /(n) (1) (uk) black kite (bird of prey, Milvus migrans)/(2) (abbr) construction worker/scaffold erector/firefighter/
鵄 [とんび] /(n) (1) (uk) black kite (bird of prey, Milvus migrans)/(2) (abbr) Inverness cape/
鵄尾 [しび] /(n) ornamental ridge-end tile/
鴕鳥 [だちょう] /(iK) (n) (uk) ostrich/
鴿 [どばと] /(n) (uk) domestic pigeon/feral pigeon/
鴿 [はと] /(n) pigeon/dove/
鴾毛 [つきげ] /(n) palomino/
鵆 [ちどり] /(n) (uk) plover/
鵝口瘡 [がこうそう] /(n) thrush (pediatric disease)/aphtha/moniliasis/
鵝鳥 [がちょう] /(n) (uk) goose/
鵝毛 [がもう] /(n) goose down/goose feather/
鵞ペン [がペン] /(n) quill pen/
鵞眼 [ががん] /(n) (arch) zeni coin/
鵞口瘡 [がこうそう] /(n) thrush (pediatric disease)/aphtha/moniliasis/
鵞鳥 [がちょう] /(n) (uk) goose/
鵞毛 [がもう] /(n) goose down/goose feather/
鵤 [いかる] /(n) (uk) Japanese grosbeak (Eophona personata)/
鵙 [もず] /(n) (1) (uk) shrike (any bird of family Laniidae)/(2) bull-headed shrike (Lanius bucephalus)/butcher bird/
鵲 [かささぎ] /(n) (uk) European magpie (Pica pica)/
鵲豆 [ふじまめ] /(n) (uk) hyacinth bean (Lablab purpureus)/
鶉 [うずら] /(n) (1) (uk) quail/(2) Japanese quail (Coturnix japonica)/
鶉水鶏 [うずらくいな] /(n) (uk) corn crake/corncrake/land rail (Crex crex)/
鶉豆 [うずらまめ] /(n) pinto bean/mottled kidney bean/
鶉秧鶏 [うずらくいな] /(n) (uk) corn crake/corncrake/land rail (Crex crex)/
鶇 [つぐみ] /(n) (uk) thrush (esp. the dusky thrush, Turdus naumanni)/
鶫 [つぐみ] /(n) (uk) thrush (esp. the dusky thrush, Turdus naumanni)/
鵯 [ひえどり] /(n) (uk) brown-eared bulbul (Hypsipetes amaurotis)/
鵯 [ひよどり] /(n) (uk) brown-eared bulbul (Hypsipetes amaurotis)/
鵯花 [ひよどりばな] /(n) (uk) Eupatorium makinoi (species of boneset)/
鵯上戸 [ひよどりじょうご] /(n) (uk) Solanum lyratum (species of nightshade)/
鵺 [ぬえ] /(n) (1) Japanese chimera/mythical creature with a monkey's head, tanuki's body, tiger's limbs, and a snake tail/(2) White's thrush (Zoothera dauma)/(3) man of mystery/
鵺鳥 [ぬえどり] /(n) (arch) White's thrush (Zoothera dauma)/
鵺的 [ぬえてき] /(adj-na) mysterious/strange/sphinx-like/enigmatic/noncommital/
鶚 [みさご] /(n) (uk) osprey (Pandion haliaetus)/fish hawk/
鶩 [あひる] /(n) domestic duck/
鶲 [ひたき] /(n) (uk) Old World flycatcher (any bird of family Muscicapinae, esp. the typical flycatchers of subfamily Muscicapinae)/
鶸 [ひわ] /(n) (uk) cardueline finch (any finch of subfamily Carduelinae, esp. the Eurasian siskin, Carduelis spinus)/
鶺鴒 [せきれい] /(n) (uk) any bird of family Motacillidae (excluding the pipits)/wagtail/longclaw/
鶺鴒 [つつ] /(ok) (n) (uk) any bird of family Motacillidae (excluding the pipits)/wagtail/longclaw/
鶺鴒 [にわくなぎ] /(ok) (n) (uk) any bird of family Motacillidae (excluding the pipits)/wagtail/longclaw/
鶺鴒 [にわくなぶり] /(ok) (n) (uk) any bird of family Motacillidae (excluding the pipits)/wagtail/longclaw/
鶺鴒 [まなばしら] /(ok) (n) (uk) any bird of family Motacillidae (excluding the pipits)/wagtail/longclaw/
鷂 [はいたか] /(n) (uk) Eurasian sparrowhawk (Accipiter nisus)/
鷂 [はしたか] /(n) (uk) Eurasian sparrowhawk (Accipiter nisus)/
鷂 [はしばみ] /(n) (uk) Eurasian sparrowhawk (Accipiter nisus)/
鷓鴣 [しゃこ] /(n) (1) (uk) francolin (partridge-like bird of genus Francolinus)/(2) (arch) partridge (of genus Perdix)/
鷸 [しぎ] /(n) (uk) sandpiper (any bird of family Scolopacidae, inc. the curlews, godwits, phalaropes, redshanks, ruff, snipes, turnstones, and woodcocks)/
鷸駝鳥 [しぎだちょう] /(n) (uk) tinamou (any bird of family Tinamidae)/
鷦鷯 [ささぎ] /(ok) (n) (uk) winter wren (Troglodytes troglodytes)/
鷦鷯 [さざい] /(ok) (n) (uk) winter wren (Troglodytes troglodytes)/
鷦鷯 [さざき] /(ok) (n) (uk) winter wren (Troglodytes troglodytes)/
鷦鷯 [しょうりょう] /(ok) (n) (uk) winter wren (Troglodytes troglodytes)/
鷦鷯 [みそさざい] /(gikun) (n) (uk) winter wren (Troglodytes troglodytes)/
鷦鷯 [みそさんざい] /(ok) (n) (uk) winter wren (Troglodytes troglodytes)/
鷽 [うそ] /(n) (uk) Eurasian bullfinch (Pyrrhula pyrrhula)/Japanese bullfinch/
鷽替 [うそかえ] /(n) annual religious ceremony that occurs in Tenmangu where worshippers come to exchange their wooden bullfinch birds/
鸚鵡 [おうむ] /(n) (uk) (large) parrot (inc. the cockatoo)/
鸚鵡貝 [おうむがい] /(n) (uk) chambered nautilus (esp. species Nautilus pompilius)/
鸚鵡病 [おうむびょう] /(n) psittacosis/parrot fever/
鸚鵡返し [おうむがえし] /(n) parroting another's words/
鸚哥 [いんこ] /(n) (uk) true parrot (esp. small parrots such as the parakeet, lory and conure)/
鸛 [こう] /(n) (uk) stork (esp. the Oriental stork, Ciconia boyciana)/
鸛 [こうのとり] /(n) (uk) stork (esp. the Oriental stork, Ciconia boyciana)/
鸛の揺り籠 [こうのとりのゆりかご] /(n) (uk) baby hatch for unwanted newborns at Jikei Hospital, Kumamoto (lit: stork's cradle)/
鸛鶴 [こうづる] /(n) (obsc) Oriental stork (Ciconia boyciana)/
鸞 [らん] /(n) luan (mythical Chinese bird)/
鸞鏡 [らんきょう] /(n) (1) mirror with a mythical Chinese bird carved into the back/
鸞鏡 [らんけい] /(n) (1) mirror with a mythical Chinese bird carved into the back/(2) (in Japan) 9th note of the ancient chromatic scale (approx. A sharp)/
鸞鳥 [らんちょう] /(n) luan (mythical Chinese bird)/
鸞輿 [らんよ] /(n) imperial conveyance/
鹵獲 [ろかく] /(n,vs) capture/seizure/plunder/
鹵石 [ろせき] /(n) (chem) halide/
鹵簿 [ろぼ] /(n) Imperial cortege (procession)/
鹹い [からい] /(adj-i) (1) salty/
鹹気 [しおけ] /(oK) (n) saltiness/
鹹湖 [かんこ] /(n) salt lake/lagoon/
鹹水 [かんすい] /(n) brackish water/brine/salt water/
鹹水魚 [かんすいぎょ] /(n) saltwater fish/
鹹水湖 [かんすいこ] /(n) saltwater lake/
鹹草 [あしたぐさ] /(n) (uk) Angelica keiskei (species of angelica, a herb of the parsley family)/
鹹草 [あしたば] /(n) (uk) Angelica keiskei (species of angelica, a herb of the parsley family)/
鹹味 [かんみ] /(n) saltiness/
鹽花 [しおばな] /(oK) (n) (1) (arch) purifying salt/(2) pile of salt placed by the door of a shop or restaurant/(3) whitecap/
麁言 [そげん] /(n) rude word/inappropriate word/coarse language/
麁言 [そごん] /(n) rude word/inappropriate word/coarse language/
麁本 [そほん] /(n) Chinese classic without reading aids/book without reading aids/
麈尾 [しゅび] /(n) priest's flapper made from the tail of a large deer/long stick with the tail of a large deer attached/
麋 [おおじか] /(n) (1) large deer/(2) moose/elk/red deer/
麒麟 [きりん] /(n) (1) (uk) giraffe/(2) qilin (Chinese unicorn)/(3) Kirin (brand of beer)/(P)/
麒麟血 [きりんけつ] /(n) dragon's blood/
麒麟座 [きりんざ] /(n) Giraffe (constellation)/Cameleopardalis/
麒麟菜 [きりんさい] /(n) (uk) Eucheuma muricatum (species of red algae)/
麒麟児 [きりんじ] /(n) child prodigy/wonder child/
麒麟草 [きりんそう] /(n) (uk) Kamchatka stonecrop (Sedum kamtschaticum)/
麒麟竭 [きりんけつ] /(n) dragon's blood/
麝香 [じゃこう] /(n,adj-no) musk/
麝香牛 [じゃこううし] /(n) (uk) muskox (Ovibos moschatus)/
麝香鹿 [じゃこうじか] /(n) musk deer/
麝香水 [じゃこうすい] /(n) musk water/musk scent/
麝香腺 [じゃこうせん] /(n) musk gland/
麝香鼠 [じゃこうねずみ] /(n) (uk) Asian house shrew (Suncus murinus)/
麝香猫 [じゃこうねこ] /(n) (uk) civet cat/
麝香鳳蝶 [じゃこうあげは] /(n) (uk) Chinese windmill (species of red-bodied swallowtail butterfly, Atrophaneura alcinous)/
麝香揚羽 [じゃこうあげは] /(n) (uk) Chinese windmill (species of red-bodied swallowtail butterfly, Atrophaneura alcinous)/
麝香豌豆 [じゃこうえんどう] /(n) sweet peas/
麥繞 [ばくにょう] /(n) kanji "wheat" radical/
麩 [ふ] /(n) wheat-gluten bread/
麩 [ふすま] /(n) wheat bran/mash/
麩質 [ふしつ] /(n) gluten/
麪 [めん] /(n) noodles/
麪包 [めんぽう] /(n) (obsc) bread/
麪包 [メンパオ] /(n) (obsc) bread/
麪棒 [めんぼう] /(n) rolling pin/
麪類 [めんるい] /(n) noodles/vermicelli/
靡かす [なびかす] /(v5s,vt) to seduce/to win over/to conquer/
靡かせる [なびかせる] /(v1) to fly/to flutter/to win over/to win one's heart/to subdue/
靡く [なびく] /(v5k,vi) to bend/to flutter/to wave/to bow to/to yield to/to obey/to be swayed by/(P)/
黎族 [リーぞく] /(n) Li (people)/
黎明 [れいめい] /(n) daybreak/dawn/
黎明期 [れいめいき] /(n) dawning/
黏稠 [ねんちゅう] /(adj-na,n) viscous/
黐 [もち] /(n) (1) birdlime/(2) (uk) Nepal holly (Ilex integra)/
黐の木 [もちのき] /(n) (uk) Nepal holly (Ilex integra)/
黐の木科 [もちのきか] /(n) Aquifoliaceae (plant family)/holly/
黐竿 [もちざお] /(n) lime stick for catching insects/
黐木科 [もちのきか] /(n) Aquifoliaceae (plant family)/holly/
黐躑躅 [もちつつじ] /(n) (1) (uk) Rhododendron macrosepalum/(2) (uk) (arch) Japanese azalea (Rhododendron japonicum)/renge azalea/
黔首 [けんしゅ] /(n) the people (lit: black necks)/the masses/the public/the great unwashed/
點穴 [てんけつ] /(oK) (n) (1) pressure points (e.g. for application of moxa)/(2) (MA) vulnerable body cavities/
黝い [あおぐろい] /(adj-i) black with hints of blue (as in a bruise)/bluish black/
黥 [いれずみ] /(n,vs) tattoo/
黥 [げい] /(n,vs) tattoo/
黥く [めさく] /(v5k) (arch) (obsc) to have a facial tattoo (esp. one around the eye, one form of punishment in ancient Japan)/
黯然 [あんぜん] /(adj-t,adv-to) (1) dark/gloomy/black/unclear/(2) doleful/discouraged/disappointed/tearful/dispirited/
黴 [かび] /(n) mold/mould/mildew/(P)/
黴が生える [かびがはえる] /(exp,v1) (1) to get moldy/to get mouldy/(2) (id) to get out-of-fashion/
黴びる [かびる] /(v1,vi) to become moldy or musty (mouldy)/
黴る [かびる] /(io) (v1,vi) to become moldy or musty (mouldy)/
黴雨 [つゆ] /(n) (1) rainy season/(2) rain during the rainy season/
黴雨 [ばいう] /(n) (1) rainy season/(2) rain during the rainy season/
黴菌 [ばいきん] /(n) (1) (col) germ/germs/bacteria/mold (mould)/(2) something harmful (used figuratively)/vermin/
黴止め [かびどめ] /(n) fungicide/preservative against mold/antimold agent/
黴臭 [かびしゅう] /(n) mold smell/mould smell/
黴臭い [かびくさい] /(adj-i) musty/putrid/
黴毒 [ばいどく] /(n) syphilis/
黶 [あざ] /(n) (1) birthmark/nevus/(2) bruise/(3) tache de vin/envie/
黽勉 [びんべん] /(n,vs) industry/diligence/
鼈 [すっぽん] /(n) (uk) Chinese soft-shelled turtle (Pelodiscus sinensis)/soft-shelled turtle (Trionychidae)/
鼈甲 [べっこう] /(n) (1) tortoiseshell (of the hawksbill turtle)/bekko/(2) (in Chinese medicine) tortoiseshell (esp. of the Chinese soft-shelled turtle)/
鼈甲細工 [べっこうざいく] /(n) article of tortoise shell/tortoiseshell work/
鼈甲色 [べっこういろ] /(n) amber (colour, color)/
鼈甲蜂 [べっこうばち] /(n) spider wasp/pompilid/
鼈茸 [すっぽんたけ] /(n) (uk) common stinkhorn (Phallus impudicus)/
鼕々 [とうとう] /(adj-t,adv-to) (1) (uk) sound of bells or drums reverberating/(2) (uk) sound of water or waves resounding/
鼕鼕 [とうとう] /(adj-t,adv-to) (1) (uk) sound of bells or drums reverberating/(2) (uk) sound of water or waves resounding/
鼡径 [そけい] /(n,adj-f) groin/inguinal region/
鼡径部 [そけいぶ] /(n) groin/groin region/inguinal region/
鼬 [いたち] /(n) (1) (uk) weasel (esp. the Japanese weasel, Mustela itatsi)/(2) mustelid (any other member of the weasel family, inc. badgers, martens, minks, ferrets, otters, polecats, stoats, skunks, etc.)/
鼬ごっこ [いたちごっこ] /(n) doing the same thing repeatedly/
鼬の最後っ屁 [いたちのさいごっぺ] /(exp) (obsc) final emergency measure (lit: the final fart of a weasel)/final defence when one is cornered (defense)/
鼬の道 [いたちのみち] /(exp) not to write to or visit someone/road of the weasel (it is believed that if someone blocks the path a weasel, he will never take that path again)/
鼬の道切り [いたちのみちきり] /(exp) not to write to or visit someone/road of the weasel (it is believed that if someone blocks the path a weasel, he will never take that path again)/
鼬魚 [いたちうお] /(n) (uk) goatsbeard brotula (species of ophidiiform fish, Brotula multibarbata)/
鼬穴熊 [いたちあなぐま] /(n) (uk) ferret badger (esp. the Chinese ferret-badger, Melogale moschata)/
鼬鮫 [いたちざめ] /(n) (uk) tiger shark (Galeocerdo cuvier)/
鼬鼠 [いたち] /(n) (1) (uk) weasel (esp. the Japanese weasel, Mustela itatsi)/(2) mustelid (any other member of the weasel family, inc. badgers, martens, minks, ferrets, otters, polecats, stoats, skunks, etc.)/
鼬萩 [いたちはぎ] /(n) (uk) false indigo (Amorpha fruticosa)/bastard indigo/leadwort/
鼾 [いびき] /(n) (uk) snoring/(P)/
鼾をかく [いびきをかく] /(exp,v5k) (uk) to snore/
鼾酔 [かんすい] /(n) snoring/
鼾声 [かんせい] /(n) snoring sound/
齊 [せい] /(n) Qi (kingdom in China during the Spring and Autumn Period and the Period of the Warring States)/Ch'i/
齒 [は] /(oK) (n) tooth/
齣 [くさり] /(gikun) (n) (uk) passage/section/
齣 [こま] /(n) (1) frame (e.g. of film, a comic, etc.)/(2) scene/(3) time block (e.g. of a class schedule)/
齣 [せき] /(n) (1) act (of a Chinese drama)/scene/(2) paragraph (esp. of an Edo-period novel)/passage/section/
齣 [せつ] /(n) (1) act (of a Chinese drama)/scene/(2) paragraph (esp. of an Edo-period novel)/passage/section/
齣撮り [こまどり] /(n,vs) photographic frame/
齣飛び [こまとび] /(n) (obsc) frame skipping (e.g. during video playback)/
齣落 [こまおとし] /(n) time-lapse photography/
齣落し [こまおとし] /(n) time-lapse photography/
齣落とし [こまおとし] /(n) time-lapse photography/
齟齬 [そご] /(n,vs) inconsistency/discord/conflict/discrepancy/contradiction/failure/frustration/
齦 [はぐき] /(n,adj-no) gums/teethridge/
齧りつく [かじりつく] /(v5k,vi) to bite into/to stick to/
齧りつく [かぶりつく] /(v5k,vi) to bite into/to stick to/
齧り散らす [かじりちらす] /(v5s) to gnaw at and scatter around/to start a lot of things without finishing any/
齧り付く [かじりつく] /(v5k,vi) to bite into/to stick to/
齧り付く [かぶりつく] /(v5k,vi) to bite into/to stick to/
齧る [かじる] /(v5r,vt) (1) to chew/to bite (at)/to gnaw/to nibble/to munch/to crunch/to have a smattering of/(2) to dabble in (e.g. hobby, instrument)/
齧歯 [げっし] /(n) (abbr) rodent/
齧歯動物 [げっしどうぶつ] /(n) (1) gnawing animal/(2) rodent/
齧歯目 [げっしもく] /(n) (1) Rodentia/(adj-no) (2) rat-like/rodential/
齧歯類 [げっしるい] /(n,adj-no) rodent/
齷齪 [あくせく] /(adv-to,vs) fussily/busily/sedulously/worrying about (small things)/
齲 [むしば] /(n,adj-no) cavity/tooth decay/decayed tooth/caries/
齲歯 [うし] /(n,adj-no) cavity/tooth decay/decayed tooth/caries/
齲歯 [むしば] /(n,adj-no) cavity/tooth decay/decayed tooth/caries/
齲蝕 [うしょく] /(n) tooth decay/dental caries/
齶 [あご] /(n,adj-no) chin/jaw/
龕 [がん] /(n) niche or alcove for an image/
龕像 [がんぞう] /(n) (1) Buddha figure carved into a rock/(2) Buddha figure in a cabinet/
龕灯 [がんどう] /(n) Buddhist altar light/
龕灯返し [がんとうがえし] /(n) rotating stage machinery, which rolls backwards 90 degrees to reveal the next scene/
龕灯返し [がんどうがえし] /(n) rotating stage machinery, which rolls backwards 90 degrees to reveal the next scene/
龕燈 [がんどう] /(n) Buddhist altar light/
龕燈返し [がんとうがえし] /(oK) (n) rotating stage machinery, which rolls backwards 90 degrees to reveal the next scene/
龕燈返し [がんどうがえし] /(oK) (n) rotating stage machinery, which rolls backwards 90 degrees to reveal the next scene/
龜の甲 [かめのこう] /(oK) (n) tortoise shell/
龜の子 [かめのこ] /(oK) (n) (1) young turtle (tortoise)/(2) turtle (tortoise) shell/
龜の手 [かめのて] /(oK) (n) barnacle/
龜鑑 [きかん] /(oK) (n) pattern/example/model/paragon/mirror/
龜甲 [きこう] /(oK) (n) tortoise shell/
龜甲 [きっこう] /(oK) (n) tortoise shell/
龜虫 [かめむし] /(oK) (n) (uk) shield bug/stink bug/
龜卜 [かめうら] /(oK) (n) tortoise-shell divination/
龜卜 [きぼく] /(oK) (n) tortoise-shell divination/
龜裂 [きれつ] /(oK) (n) crack/crevice/fissure/chap/
槇 [まき] /(oK) (n) (uk) yew plum pine (Podocarpus macrophyllus)/
槇皮 [まいはだ] /(n) caulking/calking/oakum/
遙々 [はるばる] /(adv) from afar/over a great distance/all the way/
遙か [はるか] /(iK) (adj-na,adv,n) far/far away/distant/remote/far off/
遙かに [はるかに] /(iK) (adv) far off/in the distance/long ago/far/by far/far and away/
遙遙 [はるばる] /(adv) from afar/over a great distance/all the way/
凜 [りん] /(adj-t,adv-to) (1) cold/frigid/bracing/(2) dignified/'''

